// Code automatically generated by NCrystal/ncmat2cpp
#include <array>
#include <cstdint>

#include "NCrystal/core/NCDefs.hh"

namespace NCRYSTAL_NAMESPACE { namespace internal { void registerEmbeddedNCMAT(const char*,const char*); } }

namespace NCRYSTAL_NAMESPACE { namespace AutoGenNCMAT { void registerStdNCMAT(); } }

void NCrystal::AutoGenNCMAT::registerStdNCMAT()
{
  {
    // File AcrylicGlass_C5O2H8.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polymethyl-methacrylate (PMMA).\n"
      "#\n"
      "# Also known as Acrylic (glass), Plexiglass, or Lucite.\n"
      "#\n"
      "# The chemical composition and density value is widely known and quoted across\n"
      "# many sources, providing consistent information, with quoted densities ranging\n"
      "# from 1.17-1.20 g/cm3.\n"
      "#\n"
      "# Considering only scattering lengths and chemical composition, incoherent\n"
      "# scattering on hydrogen accounts for 92.7% of the scattering physics in this\n"
      "# material. This number is important since the physics modelling based on the\n"
      "# present file will be most accurate for incoherent hydrogen scattering.\n"
      "#\n"
      "# The hydrogen VDOS was extracted from tsl-HinC5O2H8.leapr from ENDF/B-VIII.0,\n"
      "# which had the following comments concerning the origin:\n"
      "#\n"
      "#  --->  H(Lucite) LEIP LAB   EVAL-SEP17 Petersen, Zhu, Wormald, Hawari\n"
      "#  --->\n"
      "#  ---> This library was produced by the Low Energy Interaction Physics\n"
      "#  ---> (LEIP) group at North Carolina State University.  One temperature\n"
      "#  ---> (300 K) is available in this library.  The inelastic scattering\n"
      "#  ---> cross section libraries for C5O2H8 (Lucite) were developed using\n"
      "#  ---> molecular dynamics methods [1]. This material is a polymer. The\n"
      "#  ---> incoherent elastic cross section is significant, so the MT = 2\n"
      "#  ---> section for elastic scattering is present. The LEAPR module from\n"
      "#  ---> NJOY code system was used to produce MT = 2 and MT = 4 data. By\n"
      "#  ---> convention, MAT=39 and ZA=139 are used for H in Lucite.\n"
      "#  --->\n"
      "#  --->  References\n"
      "#  --->  1. A.I. Hawari, \"Modern Techniques in Inelastic Thermal Neutron\n"
      "#  --->     Scattering Analysis,\" Nuclear Data Sheets 118 (2014) 172.\n"
      "#\n"
      "# As a cross-check, it was verified that generating an NCMAT file with\n"
      "# ncrystal_hfg2ncmat --spec=2xCH3+1xCH2 --formula=C5O2H8 results in reasonably\n"
      "# similar scattering cross sections (although not exactly identical).\n"
      "#\n"
      "# Finally, oxygen and carbon are simply modelled using a Debye model VDOS, with\n"
      "# a typical (and untuned) Debye temperature value.\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.18 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 5/15\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 2/15\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 8/15\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00248233 0.45674872\n"
      "  vdos_density .0320526 .0523842 .0589341 .0556925 .0482712 .04604 .0488577\n"
      "    .0555998 .0681023 .0873125 .10404 .10505 .0960022 .0833572 .0792042 .0795941\n"
      "    .0703918 .0586601 .048551 .0444327 .0428836 .0406001 .034804 .03126 .0323898\n"
      "    .0318059 .0262885 .0189452 .0145184 .0130911 .0128814 .00911313 .00487015\n"
      "    .00479178 .0100184 .023988 .0209993 .0172226 .0108761 .0249876 .0435499\n"
      "    .058841 .0485414 .0264677 .0153746 .0269481 .0478941 .0608041 .0418187\n"
      "    .0993624 .255398 .096384 .0728214 .303841 .117381 .0974911 .0787343 .0315088\n"
      "    .0167896 .0521171 .0658746 .0655566 .0605295 .0621738 .0519052 .0406029\n"
      "    .0431916 .0469361 .0472763 .0414252 .0236682 .025075 .0322837 .03718 .018915\n"
      "    .00920446 .0093339 .0125479 .0225788 .0632754 .131141 .437127 .734922\n"
      "    .449283 .222467 .11251 .0777223 .0417637 .0240818 .0160283 .0113089\n"
      "    .00903573 .00814369 .00728443 .00565555 .00489153 .00498008 .00456859\n"
      "    .00451012 .0059822 .00413731 .00371101 .00399916 .00337841 .00249342\n"
      "    .00218826 .00246006 .00279368 .00217899 .00171631 .00161161 .00146348\n"
      "    .00123083 .000992606 .000804012 .000712973 .000715503 .00075871 .000773826\n"
      "    .000816972 .000897173 .000992781 .0011496 .00133758 .00140328 .00140369\n"
      "    .00141019 .00152732 .00177625 .0021264 .00249258 .00301538 .00417188\n"
      "    .00513791 .0065149 .00899207 .00795198 .00687606 .00630146 .00630002\n"
      "    .00677173 .00778384 .0097658 .0125019 .0161224 .0242558 .0878632 .430443\n"
      "    .0826172 .205694 .111887 .0571586 .10344 1 .300374 .0901556 .0344012\n"
      "    .0175012 .010123 .00660921 .00504236 .0042972 .00439909 .00475078 .00437341\n"
      "    .00413259 .00319848 .00226504 .00172641 .00136454 .00105544 .00083938\n"
      "    .000666021 .000543167 .000451593 .000373434 .000303038 .000250254 .000212185\n"
      "    .000179495 .000147053 .000122171 .000102832 8.71184e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("AcrylicGlass_C5O2H8.ncmat",textdata);
  }
  {
    // File AgBr_sg225_SilverBromide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Silver Bromide (AgBr, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 705K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008596\n"
      "#    https://www.crystallography.net/cod/9008596.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23231\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for AgBr taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23231.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.7745\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ag   0   0   0\n"
      "  Ag   0 1/2 1/2\n"
      "  Ag 1/2   0 1/2\n"
      "  Ag 1/2 1/2   0\n"
      "  Br 1/2   0   0\n"
      "  Br 1/2 1/2 1/2\n"
      "  Br   0   0 1/2\n"
      "  Br   0 1/2   0\n"
      "@DYNINFO\n"
      "  element  Ag\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00109996 .0179994\n"
      "  vdos_density .0459825 .0526435 .0590015 .0654671 .072834 .0818815 .0929077\n"
      "    .10542 .118614 .132448 .147984 .166506 .188406 .212935 .23901 .266508 .29693\n"
      "    .332812 .37659 .429855 .493235 .566624 .648724 .735314 .818191 .887593\n"
      "    .937064 .966237 .979438 .982321 .979514 .973925 .966785 .957354 .942048\n"
      "    .914558 .86904 .805862 .735159 .673423 .634502 .622021 .628626 .641266\n"
      "    .648246 .643825 .628297 .604643 .575323 .542046 .507453 .475312 .448089\n"
      "    .424877 .402744 .380069 .357989 .338704 .323049 .309806 .296867 .283117\n"
      "    .269936 .261302 .261907 .27436 .297987 .330778 .373103 .429631 .507031\n"
      "    .608217 .726736 .845374 .94113 .994818 1 .965651 .91116 .857141 .817483\n"
      "    .796313 .79033 .793664 .801495 .810646 .818298 .821 .814868 .796866 .766755\n"
      "    .728508 .689631 .658485 .641809 .644055 .667313 .709891 .764102 .81628\n"
      "    .850994 .857706 .835545 .793157 .7441 .700984 .671444 .656996 .653904\n"
      "    .654893 .651309 .635882 .605483 .562423 .51318 .465227 .423983 .391535\n"
      "    .367266 .349341 .335891 .325479 .317083 .309984 .30368 .297812 .292141\n"
      "    .286546 .280966 .275288 .269228 .262363 .254286 .244767 .233844 .221811\n"
      "    .209103 .196137 .183192 .170395 .157839 .145749 .134593 .1251 .118174\n"
      "    .114747 .11556 .12092 .130468 .143046 .156735 .169063 .177365 .179267\n"
      "    .173266 .15925 .138688 .114278 .0891421 .0659405 .0463312 .030918 .0195397\n"
      "    .0116271 .00646343 .00332784 .00157406 .000679134 .000265731 9.38601e-05\n"
      "@DYNINFO\n"
      "  element  Br\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00109996 .0179994\n"
      "  vdos_density .0217383 .0247404 .0275223 .030289 .0334388 .0373506 .0421378\n"
      "    .0474959 .0529614 .0584636 .0645155 .0717822 .0804973 .0902708 .100449\n"
      "    .11078 .121785 .134512 .14995 .168598 .1904 .215074 .242369 .271662 .301232\n"
      "    .328455 .351202 .369174 .383834 .397126 .410347 .424148 .439129 .4557\n"
      "    .472932 .487632 .49504 .491174 .475463 .452047 .428671 .413005 .408182\n"
      "    .410945 .41432 .412286 .402186 .384004 .35909 .330032 .300524 .273968\n"
      "    .251675 .232606 .214969 .19796 .181892 .167029 .15279 .138199 .122814\n"
      "    .107101 .0921458 .0791973 .0693055 .0629579 .0598552 .0591295 .0599344\n"
      "    .0619226 .0652595 .070308 .0773363 .0863433 .096869 .107874 .118001 .126262\n"
      "    .132596 .137751 .142537 .147165 .151242 .154309 .156302 .157489 .1581\n"
      "    .158154 .157683 .157161 .157661 .160516 .166576 .175701 .187094 .200323\n"
      "    .216013 .235399 .259108 .286288 .314731 .341648 .364512 .381755 .393186\n"
      "    .399898 .403579 .405693 .407067 .408011 .408581 .408686 .408077 .406488\n"
      "    .403926 .400858 .398055 .396206 .395673 .396544 .398783 .402298 .406897\n"
      "    .412282 .418113 .424114 .430177 .43637 .442806 .449424 .45585 .461475\n"
      "    .465714 .468289 .469425 .469894 .470811 .473214 .477558 .483434 .489749\n"
      "    .495367 .499982 .504806 .512719 .527761 .554194 .595388 .652777 .724978\n"
      "    .807048 .889831 .959746 1 .994402 .933365 .819456 .668602 .505208 .353441\n"
      "    .229581 .139196 .0792776 .0426313 .0216798 .0103933 .00466281 .0019393\n"
      "    .000740639 .0002576\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("AgBr_sg225_SilverBromide.ncmat",textdata);
  }
  {
    // File Ag_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Silver (Ag)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011135 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008459.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 6 of:\n"
      "#\n"
      "#   \"Revisiting the revised Ag-Pt phase diagram\"\n"
      "#   Gus L.W. Hart, et. al.\n"
      "#   Acta Materialia 124 (2017) 325-332\n"
      "#   https://doi.org/10.1016/j.actamat.2016.10.053\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.0862\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ag   0   0   0\n"
      "  Ag   0 1/2 1/2\n"
      "  Ag 1/2   0 1/2\n"
      "  Ag 1/2 1/2   0\n"
      "@DYNINFO\n"
      "  element  Ag\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00052039106190946 0.020295251414469\n"
      "  vdos_density .00274907 .0048563 .00372493 .000951321 .000243358 .000200615\n"
      "    .000157873 .000115131 .0060174 .0118653 .00745539 .00714304 .00750692\n"
      "    .00444959 .00323194 .00522845 .0124436 .024682 .0236716 .0156604 .0136588\n"
      "    .0121413 .0135549 .0136048 .0100927 .0232529 .0354073 .0346778 .0434456\n"
      "    .0426393 .0322194 .0259912 .0232745 .0259176 .0299485 .0366437 .052165\n"
      "    .0584808 .0600406 .0638966 .0658608 .0569898 .0471553 .0391438 .0565192\n"
      "    .0742944 .078436 .0941165 .0871803 .07953 .0912955 .0911176 .0759351\n"
      "    .0683732 .0772428 .11229 .121809 .117429 .126111 .126744 .116763 .0991412\n"
      "    .118097 .13465 .140272 .142801 .153963 .169097 .163535 .162042 .193139\n"
      "    .194996 .151376 .182274 .206015 .202647 .210804 .215819 .217074 .214398\n"
      "    .239483 .268384 .28725 .275017 .269535 .291612 .301664 .311542 .322169\n"
      "    .356123 .396017 .405278 .400617 .401237 .463032 .497616 .51043 .523704\n"
      "    .600915 .646514 .614928 .551847 .535262 .503186 .595693 .722797 .627986\n"
      "    .557308 .550482 .573306 .636942 .677886 .680275 .649584 .597911 .5756\n"
      "    .662083 .682614 .653475 .628494 .648492 .670747 .659443 .682419 .708844\n"
      "    .644525 .58171 .657273 .73632 .705872 .678098 .682794 .674788 .655949\n"
      "    .658433 .666347 .688735 .70421 .62007 .591215 .570505 .552303 .520804\n"
      "    .489492 .48214 .48135 .447101 .437463 .426753 .394412 .404998 .408748\n"
      "    .384383 .392423 .393949 .406211 .433656 .364747 .33302 .348389 .390406\n"
      "    .385732 .354467 .336252 .31653 .351597 .350431 .28212 .313506 .313963 .29655\n"
      "    .313075 .294275 .2478 .219812 .217783 .239288 .219894 .210431 .199 .171725\n"
      "    .158355 .16544 .197956 .266715 .324173 .327714 .333233 .36677 .424545\n"
      "    .583661 .622218 .656777 .639609 .692356 .807153 .851684 .820288 .799597\n"
      "    .890546 .862063 .868488 1 .938946 .856472 .717357 .663651 .646461 .555812\n"
      "    .475688 .435498 .412036 .365726 .317685 .306438 .257764 .210934 .170075\n"
      "    .121634 .0794426 .0350507 .0105436 .00391376 .00240628 .00169875 .00094794\n"
      "    .00070276 .000516426 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ag_sg225.ncmat",textdata);
  }
  {
    // File Al2O3_sg167_Corundum.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Corundum (alpha alumina, alpha-Al2O3, trigonal, SG-167 / R-3c)\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Accurate structure analysis with synchrotron radiation.\n"
      "#     The electron density in Al2O3 and Cu2O\"\n"
      "#    Kirfel, A. and Eichhorn, K. (1990)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108767389012596\n"
      "#    Crystallography Open Database entry 9007498\n"
      "#    https://www.crystallography.net/cod/9007498.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#    https://www.crystallography.net/cod/2300448.html\n"
      "#    https://www.crystallography.net/cod/2101056.html\n"
      "#    https://www.crystallography.net/cod/9007496.html\n"
      "#    https://www.crystallography.net/cod/9007634.html\n"
      "#    https://www.crystallography.net/cod/9008081.html\n"
      "#\n"
      "# The VDOS curves were extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 5 of:\n"
      "#\n"
      "#   \"Dynamical stability of the alpha and theta phases of alumina\"\n"
      "#   Lodziana, Z., & Parlinski, K. (2003).\n"
      "#   Physical Review B Condensed Matter, 67(17), 174106.\n"
      "#   https://doi.org/10.1103/PhysRevB.67.174106\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.757 !! 12.9877\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  167\n"
      "@ATOMPOSITIONS\n"
      "  Al 1/3 2/3 .018846666666666667\n"
      "  Al 2/3 1/3 .185513333333333333\n"
      "  Al 0   0   .14782\n"
      "  Al 1/3 2/3 .314486666666666667\n"
      "  Al 0   0   .35218\n"
      "  Al 1/3 2/3 .518846666666666667\n"
      "  Al 2/3 1/3 .481153333333333333\n"
      "  Al 0   0   .64782\n"
      "  Al 2/3 1/3 .685513333333333333\n"
      "  Al 0   0   .85218\n"
      "  Al 1/3 2/3 .814486666666666667\n"
      "  Al 2/3 1/3 .981153333333333333\n"
      "  O  0.30625 0       1/4\n"
      "  O  467/480 307/480 1/12\n"
      "  O  0       0.30625 1/4\n"
      "  O  173/480 1/3     1/12\n"
      "  O  0.69375 0.69375 1/4\n"
      "  O  2/3     13/480  1/12\n"
      "  O  467/480 1/3     7/12\n"
      "  O  307/480 467/480 5/12\n"
      "  O  2/3     307/480 7/12\n"
      "  O  13/480  2/3     5/12\n"
      "  O  173/480 13/480  7/12\n"
      "  O  1/3     173/480 5/12\n"
      "  O  307/480 2/3     11/12\n"
      "  O  0.30625 0.30625 3/4\n"
      "  O  1/3     467/480 11/12\n"
      "  O  0.69375 0       3/4\n"
      "  O  13/480  173/480 11/12\n"
      "  O  0       0.69375 3/4\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .011354475566021 .10769548036862\n"
      "  vdos_density .00548724 .00611484 .00674243 .00904192 .0113476 .0121203\n"
      "    .0119391 .0117579 .0115768 .0117876 .0142005 .0166134 .0191242 .0216487\n"
      "    .0250538 .0289909 .0326977 .0362232 .039752 .0433017 .0468514 .04771\n"
      "    .0482879 .0507355 .0555599 .0577008 .0571872 .0569227 .0584375 .0599523\n"
      "    .0663987 .0729721 .0776443 .0810226 .083307 .0844492 .085771 .0879585\n"
      "    .0908713 .098654 .106437 .108581 .107321 .103503 .0953281 .0884032 .0881289\n"
      "    .0878545 .0903562 .0930145 .0914209 .0875463 .0861217 .0884159 .0911631\n"
      "    .0958987 .100634 .103518 .106312 .106977 .106728 .106315 .105424 .105168\n"
      "    .107242 .109316 .111538 .113834 .112141 .109987 .10682 .101755 .0974226\n"
      "    .0951402 .0928579 .0909948 .0891986 .090519 .0930906 .0923612 .0870551\n"
      "    .0829906 .0878574 .0927241 .113804 .138979 .171656 .207123 .254766 .301329\n"
      "    .341941 .442327 .600695 .691408 .64039 .59696 .547604 .507319 .462003\n"
      "    .427798 .411203 .40778 .41325 .419239 .415103 .410968 .437477 .454625\n"
      "    .456672 .44961 .420902 .384464 .356527 .359519 .363137 .366652 .357569\n"
      "    .348486 .335009 .327088 .33673 .357629 .363674 .368865 .365491 .362117\n"
      "    .365972 .378125 .402316 .424268 .449268 .467398 .469083 .463728 .457578\n"
      "    .449186 .433364 .392037 .370307 .392573 .446819 .452171 .449195 .439082\n"
      "    .4393 .438098 .436805 .43571 .434677 .427516 .415014 .402512 .38762 .372415\n"
      "    .359098 .351705 .347608 .343953 .332083 .29999 .273473 .245418 .220523\n"
      "    .229535 .248826 .272872 .302899 .323352 .357418 .381536 .376776 .356661\n"
      "    .355053 .365679 .37388 .360846 .341256 .324222 .315856 .311504 .316005\n"
      "    .320505 .317205 .31325 .326766 .352204 .372102 .359716 .351676 .378779\n"
      "    .449339 .499313 .490233 .475354 .413988 .347177 .323411 .3141 .315149\n"
      "    .316197 .314631 .296584 .262777 .208456 .149764 .0947365 .077013 .071417\n"
      "    .0668017 .0652853 .067858 .070167 .0721427 .0766965 .0894752 .102213 .114897\n"
      "    .137452 .304149 .459765 .640566 .837028 1 .767451 .521093 .361966 .256188\n"
      "    .190598 .156054 .134978 .128088 .132357 .137354 .144245 .151817 .170793\n"
      "    .196008 .212872 .227982 .242538 .307988 .350041 .327711 .305161 .284648\n"
      "    .264135 .227987 .171129 .131866 .11115 .0975611 .0824406 .0643491 .0451777\n"
      "    .0355279 .0268818 .0237419 .0206021 .020105 .019997 .0197637 .0194434\n"
      "    .0190742 .0184731 .0177893 .0156224 .0134555 .0123954 .0118303 .0112651\n"
      "    .0106999 .00980463 .00739357 .0049825 .00421033 .00352371 .00305158\n"
      "    .00266204 .00202286 .00130394 0\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .012375158345003 .106802997021\n"
      "  vdos_density .0355487 .0412635 .0455539 .0469793 .0484047 .0484566 .0483716\n"
      "    .0491236 .0541993 .0600895 .0671384 .0736452 .0799096 .0822211 .0899743\n"
      "    .104812 .119834 .134856 .150102 .165457 .180811 .186051 .190575 .195098\n"
      "    .200432 .206151 .21187 .228714 .248305 .267622 .261581 .255974 .253286\n"
      "    .275609 .305613 .33553 .361453 .38429 .406212 .42692 .445532 .464145 .479843\n"
      "    .495044 .510756 .542666 .595836 .648386 .66769 .677309 .683901 .666327\n"
      "    .636506 .605178 .588881 .580806 .577579 .58256 .595876 .606834 .597916\n"
      "    .574411 .554568 .549752 .575531 .61323 .64951 .68777 .740097 .77891 .800055\n"
      "    .820962 .829555 .814199 .796787 .785881 .794251 .803472 .81674 .873189\n"
      "    .921566 .965105 .943532 .92406 .893421 .850718 .798733 .745348 .728138\n"
      "    .708827 .682736 .649152 .61511 .579236 .568673 .561025 .552607 .518797\n"
      "    .479483 .436138 .416397 .407499 .401409 .415196 .449627 .48024 .533062\n"
      "    .611001 .693989 .733981 .726962 .72101 .748839 .849732 .95228 1 .9725\n"
      "    .945321 .922165 .896602 .872854 .854097 .831382 .805955 .791567 .806629\n"
      "    .82229 .834453 .829593 .824734 .819201 .81357 .808315 .80667 .81086 .815307\n"
      "    .811881 .762649 .703713 .645172 .631224 .627377 .623262 .617923 .611155\n"
      "    .602487 .594209 .584815 .572319 .576185 .585422 .593636 .592391 .585101\n"
      "    .577611 .557561 .524142 .488532 .487632 .499636 .517138 .545218 .579328\n"
      "    .617057 .64097 .658284 .674103 .683294 .686265 .687365 .68117 .643362\n"
      "    .610346 .603963 .639846 .695377 .73022 .734649 .738571 .744328 .783084\n"
      "    .811452 .826395 .795278 .75547 .720698 .720268 .721152 .719241 .699831\n"
      "    .679638 .663093 .634789 .596426 .567741 .547121 .532286 .516434 .497939\n"
      "    .479446 .45769 .429812 .39597 .359047 .352936 .358824 .366145 .377748\n"
      "    .396318 .413716 .423205 .429087 .433477 .42955 .41133 .38705 .378703 .385634\n"
      "    .392623 .39344 .366362 .333206 .308923 .290983 .276714 .263676 .251632\n"
      "    .241684 .227631 .204331 .181598 .158225 .162879 .165934 .166608 .162191\n"
      "    .154444 .148003 .159622 .176322 .192334 .202684 .208358 .21176 .21029\n"
      "    .204344 .204521 .204699 .204877 .209349 .221728 .234643 .243283 .244011\n"
      "    .24091 .220303 .200388 .151986 .117002 .0892955 .0782259 .0681622 .0613156\n"
      "    .0552005 .0482076 .0408092 .0330314 .0245961 .0176685 .0178678 .0180672\n"
      "    .0231814 .0243746 .0280446 .0359147 .0608917 .0846986 .107969 .13847 .181692\n"
      "    .206791 .202716 .194195 .178846 .169623 .152644 .136045 .123563 .111841\n"
      "    .104464 .10602 .110178 .116734 .123291 .128205 .133106 .152188 .169653\n"
      "    .178821 .187394 .202922 .219189 .252298 .298684 .348522 .360622 .347551\n"
      "    .337135 .325464 .312935 .302395 .277538 .237258 .189599 .17094 .152281\n"
      "    .136397 .120688 .104979 .0895622 .074154 .0618153 .0507715 .0426759 .0414129\n"
      "    .0457006 .0499883 .0505132 .0510091 .0510441 .0509894 .0509347 .05088\n"
      "    .0493501 .0445798 .0379225 .0297748 .0241339 .0230362 .0236171 .0242027\n"
      "    .0248156 .0233036 .0184669 .0133624 .00929068 .00679859 .00633777 .00605305\n"
      "    .00604681 .00412848 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Al2O3_sg167_Corundum.ncmat",textdata);
  }
  {
    // File Al4C3_sg166_AluminiumCarbide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Aluminium carbide (Al4C3, trigonal, SG-166 / R-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2470K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Die Struktur des Aluminiumcarbids\"\n"
      "#    von Stackelberg, M. and Schnorrenberg, E. (1934)\n"
      "#    Crystallography Open Database entry 1540874\n"
      "#    https://www.crystallography.net/cod/1540874.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1591\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Al4C3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1591.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.329 !! 24.98\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  166\n"
      "@ATOMPOSITIONS\n"
      "  Al 0 0 .128\n"
      "  Al 0 0 .872\n"
      "  Al 2/3 1/3 .46133333333333333\n"
      "  Al 2/3 1/3 .20533333333333333\n"
      "  Al 1/3 2/3 .79466666666666667\n"
      "  Al 1/3 2/3 .53866666666666667\n"
      "  Al 0 0 .293\n"
      "  Al 0 0 .707\n"
      "  Al 2/3 1/3 .62633333333333333\n"
      "  Al 2/3 1/3 .04033333333333333\n"
      "  Al 1/3 2/3 .95966666666666667\n"
      "  Al 1/3 2/3 .37366666666666667\n"
      "  C 0 0 .217\n"
      "  C 0 0 .783\n"
      "  C 2/3 1/3 .55033333333333333\n"
      "  C 2/3 1/3 .11633333333333333\n"
      "  C 1/3 2/3 .88366666666666667\n"
      "  C 1/3 2/3 .44966666666666667\n"
      "  C 0 0 0\n"
      "  C 2/3 1/3 1/3\n"
      "  C 1/3 2/3 2/3\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 4/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0164994 .109496\n"
      "  vdos_density .165105 .214156 .219548 .267247 .328689 .41309 .511308 .526762\n"
      "    .729497 .668521 .58316 .475745 .510685 .58194 .653036 .681047 .833575\n"
      "    .681102 .675677 .73399 .826392 .799321 .740687 .797884 1 .841591 .627997\n"
      "    .377968 .29616 .288785 .339591 .410492 .411493 .475758 .545879 .615668\n"
      "    .557563 .539226 .597553 .647425 .56779 .49729 .45301 .439966 .389359 .317504\n"
      "    .293403 .25866 .251141 .252114 .227022 .227527 .243316 .240216 .222367\n"
      "    .204196 .194844 .243025 .251119 .27382 .271924 .254773 .245238 .242468\n"
      "    .238632 .242006 .273453 .312714 .28768 .244229 .181638 .0852675 .058871\n"
      "    .0610166 .0552781 .0469138 .037362 .0264629 .0135548 .00388391 .000504739\n"
      "    2.6006e-05 3.5498e-07 9.83039e-10 0r2 8.18845e-11 5.44301e-08 8.75775e-06\n"
      "    .000363735 .00467283 .0240159 .0556963 .0722056 .0783387 .0997812 .202366\n"
      "    .403256 .50582 .426323 .305132 .234935 .173038 .126598 .105903 .0868363\n"
      "    .0758602 .0644789 .0543251 .0464741 .0401074 .035836 .033005 .0315901\n"
      "    .029319 .0271623 .0270897 .0274692 .0252474 .0185707 .0110136 .00638128\n"
      "    .00407581 .00275971 .00144968\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 3/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0187494 .109496\n"
      "  vdos_density .037681 .0479218 .0536909 .0610779 .0549146 .0583402 .0476852\n"
      "    .0469953 .0473714 .0475922 .0527558 .055465 .0522703 .0603696 .0500297\n"
      "    .0497553 .0558642 .0562652 .0516007 .0501987 .0505353 .0638487 .0574726\n"
      "    .0505527 .0432957 .0433845 .0442236 .0476573 .0562135 .0595323 .0683487\n"
      "    .0783057 .0847564 .0685038 .0682689 .0803486 .0855808 .066418 .0574427\n"
      "    .0517579 .047893 .0392183 .0321352 .0303125 .0546727 .172355 .277653 .34105\n"
      "    .464605 .478474 .340541 .273336 .189864 .160789 .143637 .141476 .145462\n"
      "    .117269 .108243 .102861 .125316 .147467 .129905 .119866 .132749 .131378\n"
      "    .127674 .1318 .134748 .163353 .175103 .163253 .144054 .118447 .0887859\n"
      "    .0527094 .0175049 .00252202 .000137747 1.91096e-06 5.31193e-09 0r2\n"
      "    3.45612e-10 2.2998e-07 3.71532e-05 .0015645 .0207755 .110544 .255235 .313267\n"
      "    .313022 .342216 .50109 .820438 1 .916153 .759842 .655009 .549257 .490995\n"
      "    .459331 .36179 .289822 .226402 .173137 .137999 .113841 .0982939 .0883254\n"
      "    .0826037 .0751998 .0685379 .066942 .0661942 .0596976 .0432151 .0251002\n"
      "    .014103 .00870062 .00575824 .00300498\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Al4C3_sg166_AluminiumCarbide.ncmat",textdata);
  }
  {
    // File AlN_sg186_AluminumNitride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Aluminum nitride (AlN, hexagonal, SG-186 / P6_3mc)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2770K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Electronic, optical, and structural properties of some wurtzite crystals\"\n"
      "#    Xu, Y. N. and Ching, W. Y. (1993)\n"
      "#    DOI: https://dx.doi.org/10.1103/PhysRevB.48.4335\n"
      "#    Crystallography Open Database entry 9011657\n"
      "#    https://www.crystallography.net/cod/9011657.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-661\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for AlN taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-661.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.11 !! 4.98\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  186\n"
      "@ATOMPOSITIONS\n"
      "  Al 2/3 1/3 0\n"
      "  Al 1/3 2/3 1/2\n"
      "  N  2/3 1/3 .382\n"
      "  N  1/3 2/3 .882\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0232492 .106496\n"
      "  vdos_density .188993 .243706 .280394 .301156 .358545 .427018 .519098 .5658\n"
      "    .742416 .95004 .929731 .816422 .757606 .661777 .695139 .677509 .621645\n"
      "    .691966 .589635 .647632 .593569 .599698 .580804 .617323 .615291 .619728\n"
      "    .547878 .518734 .571594 .474133 .463365 .524163 .433278 .436877 .4928 .45459\n"
      "    .412527 .3266 .279607 .184767 .149027 .190616 .187644 .195864 .239088\n"
      "    .272767 .266989 .322589 .364814 .501723 .611879 .580904 .552713 .546086\n"
      "    .549474 .534595 .502135 .492575 .455592 .349953 .257497 .180239 .0863459\n"
      "    .0189481 .00102752 9.55541e-06 7.6166e-06 .000549225 .0082924 .0369055\n"
      "    .0791782 .130852 .275317 .466158 .432028 .370839 .49626 .828291 1 .914172\n"
      "    .631464 .390353 .23477 .108207 .0555469 .0685929 .101643 .121583 .110536\n"
      "    .0939315 .0871457 .0885047 .0922084 .0875717 .0851465 .0903865 .0981982\n"
      "    .104053 .110587 .124297 .14507 .156771 .137394 .107072 .0856247 .0731174\n"
      "    .0634737 .0510727 .036183 .0200376 .00682761 .00110411\n"
      "@DYNINFO\n"
      "  element  N\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0232492 .106496\n"
      "  vdos_density .0282539 .0361368 .0406355 .0434531 .0504738 .0595514 .0709347\n"
      "    .07531 .0960483 .119849 .114857 .0988268 .090072 .0768387 .0789159 .0759588\n"
      "    .0684077 .0738008 .061828 .0668422 .0605065 .060098 .0555084 .0579736\n"
      "    .058151 .055929 .0487849 .0461116 .0476227 .0385058 .0371758 .0411864\n"
      "    .0348139 .0314907 .0354445 .0333589 .0309122 .0252117 .0278621 .0220908\n"
      "    .0197119 .0245842 .0237462 .0237572 .0266971 .0291373 .0270128 .0297927\n"
      "    .0299839 .0315606 .0312481 .0265159 .0243579 .022663 .0211367 .018756\n"
      "    .0159997 .0138225 .0114482 .00935104 .00742526 .00556492 .00286602\n"
      "    .000658679 3.61495e-05 3.49684e-07 5.20462e-06 .000377075 .00576846 .0266633\n"
      "    .060774 .109566 .250303 .442006 .433727 .409978 .533573 .82519 1 .939624\n"
      "    .702658 .533811 .414437 .20709 .108662 .169047 .295576 .376003 .341001\n"
      "    .267508 .209491 .178089 .160614 .135728 .119962 .116507 .11614 .115232\n"
      "    .11507 .120559 .132958 .139051 .119714 .09191 .0723561 .0606501 .0517927\n"
      "    .0411241 .0288896 .0159335 .00541442 .000874213\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("AlN_sg186_AluminumNitride.ncmat",textdata);
  }
  {
    // File Al_sg225.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Aluminium (Al, fcc, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 933K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers,\n"
      "#     New York, Cubic closest packed, ccp, structure\"\n"
      "#    Wyckoff R W G (1963)\n"
      "#    Crystallography Open Database entry 9008460\n"
      "#    https://www.crystallography.net/cod/9008460.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/9012428.html\n"
      "#   https://www.crystallography.net/cod/9011602.html\n"
      "#   https://www.crystallography.net/cod/9012002.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 1 of:\n"
      "#\n"
      "#    \"First principles phonon calculations in materials science\"\n"
      "#    A. Togo and I. Tanaka, Scripta Materialia 108 (2015) 1-5\n"
      "#    https://doi.org/10.1016/j.scriptamat.2015.07.021\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.04958\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Al   0 1/2 1/2\n"
      "  Al   0   0   0\n"
      "  Al 1/2 1/2   0\n"
      "  Al 1/2   0 1/2\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .00485015 .0398222\n"
      "  vdos_density .013232 .0141193 .0150065 .0158938 .0167811 .0176684 .0185557\n"
      "    .0195536 .020725 .0218964 .0230678 .0242392 .0254106 .0265808 .027748\n"
      "    .0289152 .0300825 .0312497 .032417 .0338129 .0352559 .0366988 .0381418\n"
      "    .0395847 .0412955 .043043 .0447906 .0465382 .0482858 .0500848 .0519404\n"
      "    .0537959 .0556515 .057507 .0593626 .0613858 .0638226 .0662593 .0686961\n"
      "    .0711328 .0735696 .0760063 .0785759 .081366 .0841561 .0869462 .0897363\n"
      "    .0925265 .0954792 .0987494 .10202 .10529 .10856 .11183 .115538 .119309\n"
      "    .12308 .126851 .130875 .135268 .139661 .144055 .148448 .152842 .157573\n"
      "    .162305 .167036 .171767 .176499 .18201 .187579 .193147 .198833 .20494\n"
      "    .211048 .217155 .223262 .229369 .236467 .243837 .251208 .258578 .266432\n"
      "    .275333 .284233 .293133 .303592 .314275 .324959 .335642 .349394 .363213\n"
      "    .377789 .396045 .414301 .439971 .471089 .514605 .610025 .707931 .696698\n"
      "    .687436 .679569 .672862 .667612 .662494 .65946 .656426 .653391 .651511\n"
      "    .649818 .648548 .648291 .648033 .648114 .648959 .649803 .650648 .652271\n"
      "    .654251 .656231 .658385 .660883 .66338 .666831 .670734 .674636 .678939\n"
      "    .68327 .687962 .693084 .698207 .703766 .710271 .716775 .72328 .73082 .738646\n"
      "    .746472 .755309 .764205 .773061 .781132 .789068 .794645 .797985 .798822\n"
      "    .798529 .79508 .774768 .71273 .67965 .649939 .627278 .607527 .590861 .57517\n"
      "    .561495 .54884 .537956 .527173 .516685 .506197 .496343 .487181 .478019\n"
      "    .46898 .460042 .451104 .442408 .434216 .426025 .415941 .403984 .39053\n"
      "    .375124 .372167 .371561 .37199 .372419 .372847 .373079 .373154 .373228\n"
      "    .373214 .372782 .372351 .37192 .371412 .370855 .370298 .369741 .368973\n"
      "    .367973 .366974 .365974 .364975 .363901 .362208 .360515 .358822 .356884\n"
      "    .354458 .352031 .349604 .347178 .34379 .340173 .336555 .332841 .327735\n"
      "    .322629 .317522 .311459 .304041 .296623 .287643 .278031 .260712 .247663\n"
      "    .243349 .241651 .241493 .245625 .252347 .260515 .272178 .288183 .308977\n"
      "    .337849 .366583 .394604 .428828 .466863 .508577 .555451 .617322 .679027\n"
      "    .79657 .954686 .930006 .908781 .916995 .932774 .950737 .968525 .988039 1\n"
      "    .979429 .895711 .774741 .718589 .672154 .631992 .596623 .565164 .537389\n"
      "    .509862 .484214 .458806 .434668 .410583 .386357 .362131 .337836 .313452\n"
      "    .289068 .261524 .233749 .20274 .16795 .125961 .0770796 .0135243 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Al_sg225.ncmat",textdata);
  }
  {
    // File Ar_Gas_STP.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Argon gas.\n"
      "#\n"
      "# Noble gasses such as this one can be modelled realistically using the freegas\n"
      "# model of NCrystal. The density is the value at STP (273.15K, 1atm) calculated\n"
      "# with the ideal gas equation. The density value must currently (NCrystal\n"
      "# v2.7.0) be manually changed by the user if modelling using different\n"
      "# temperatures or pressures is desired (the formula is given below).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  gas\n"
      "@DYNINFO\n"
      "  element  Ar\n"
      "  fraction 1\n"
      "  type     freegas\n"
      "@DENSITY\n"
      "  # Notice: We are hardcoding the STP values (273.15K, 1atm) here. For other\n"
      "  # values of pressure and temperature, it can be calculated as:\n"
      "  #\n"
      "  #      density [kg/m3] = 486.833 * ( P[atm] / T[K] )\n"
      "  #\n"
      "  # Which assumes an Ar mass of 39.948 amu.\n"
      "  1.78229 kg_per_m3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ar_Gas_STP.ncmat",textdata);
  }
  {
    // File Au_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Gold (Au, fcc)\n"
      "#\n"
      "# Converted from the cif file of the entry 0011140 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008463.html\n"
      "#\n"
      "# VDOS curve taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.07825\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Au   0 1/2 1/2\n"
      "  Au   0   0   0\n"
      "  Au 1/2 1/2   0\n"
      "  Au 1/2   0 1/2\n"
      "@DYNINFO\n"
      "  element  Au\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0031017507465 0.0192308546283\n"
      "  vdos_density .0744879 .0837989 .0949721 .104283 .115456 .128492 .141527\n"
      "    .154562 .16946 .18622 .20298 .221601 .240223 .26257 .284916 .310987 .33892\n"
      "    .372439 .409683 .452514 .502793 .56797 .664804 .83054r2 .832402 .834264r4\n"
      "    .832402 .83054 .826816 .824953 .821229 .817505 .811918 .806331 .726257\n"
      "    .612663 .523277 .461825 .450652 .441341 .430168 .417132 .405959 .392924\n"
      "    .378026 .363128 .348231 .329609 .310987 .288641 .264432 .236499 .20298\n"
      "    .160149 .163873 .227188 .294227 .364991 .441341 .536313 .674115 .845438\n"
      "    .884544 .92365 .962756 1 .757914 .60149 .497207 .417132 .348231 .283054\n"
      "    .217877 .0502793 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Au_sg225.ncmat",textdata);
  }
  {
    // File BaF2_sg225_BariumFluoride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Barium fluoride (BaF2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1640K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, Fluorite structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9009004\n"
      "#    https://www.crystallography.net/cod/9009004.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1029\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for BaF2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1029.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 6.2001\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ba   0   0   0\n"
      "  Ba   0 1/2 1/2\n"
      "  Ba 1/2   0 1/2\n"
      "  Ba 1/2 1/2   0\n"
      "  F  1/4 1/4 1/4\n"
      "  F  1/4 3/4 3/4\n"
      "  F  3/4 1/4 3/4\n"
      "  F  3/4 3/4 1/4\n"
      "  F  1/4 3/4 1/4\n"
      "  F  1/4 1/4 3/4\n"
      "  F  3/4 3/4 3/4\n"
      "  F  3/4 1/4 1/4\n"
      "@DYNINFO\n"
      "  element  Ba\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .0429985\n"
      "  vdos_density .0953472 .10491 .131158 .154717 .173437 .192285 .223877 .266179\n"
      "    .324411 .421647 .61828 .87331 1 .977446 .922227 .88155 .829645 .798542\n"
      "    .768844 .763571 .76625 .746062 .730003 .719964 .678943 .591031 .496571\n"
      "    .427912 .377061 .356093 .362177 .378341 .373474 .35545 .352078 .357151\n"
      "    .348469 .322677 .30977 .314516 .309532 .299963 .334022 .441203 .586803\n"
      "    .689376 .754403 .805563 .753788 .609951 .466224 .32565 .189604 .100693\n"
      "    .064709 .0488304 .0324563 .0188522 .0127005 .0113514 .0117775 .0125761\n"
      "    .013303 .0144585 .0164585 .0198345 .0268759 .0431633 .0770323 .129376\n"
      "    .176914 .188289 .165711 .136531 .115963 .104304 .0993277 .0995324 .101956\n"
      "    .101886 .0953875 .0824061 .0674539 .0550971 .0457093 .036758 .0276552\n"
      "    .0204387 .0164926 .0150494 .0142424 .0131416 .0123238 .0123981 .0129011\n"
      "    .013133 .0136465 .0154773 .0179487 .0189589 .0173789 .0138052 .0096073\n"
      "    .0061406 .00415237 .0037923 .00506168 .00712665 .00810111 .00705901\n"
      "    .00521996 .00421023 .00429707 .00537379 .00781781 .0106886 .0117689 .0107211\n"
      "    .00961718 .0101987 .0123925 .015089 .0173632 .0189545 .0200466 .0209847\n"
      "    .0223208 .0244722 .026788 .0278311 .0269702 .0248888 .0226046 .0207001\n"
      "    .019293 .0182399 .0173781 .0166138 .0158123 .0148575 .0138094 .0127958\n"
      "    .0117884 .0106514 .00930795 .00771979 .00584737 .00381644 .00202137\n"
      "    .000829112 .000255211 5.7741e-05\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .0429985\n"
      "  vdos_density .0108218 .011579 .0141838 .0164544 .0180519 .0194119 .0218735\n"
      "    .025122 .0293097 .0357195 .0477797 .0616204 .0653063 .0599903 .0538043\n"
      "    .0489491 .0436025 .0398149 .0363883 .034616 .0337131 .0311648 .0289015\n"
      "    .0279007 .0262222 .0235734 .0214037 .0201637 .0185921 .0174765 .0175535\n"
      "    .0182505 .0177273 .0165719 .0161771 .0159979 .0154193 .0141385 .0133059\n"
      "    .0136132 .0136114 .013047 .0134133 .0157301 .0194111 .0222905 .0249974\n"
      "    .0279405 .0269063 .0219975 .0174728 .0155454 .0197779 .0324741 .0525644\n"
      "    .0802653 .108699 .127254 .134375 .133459 .131414 .132969 .134262 .133058\n"
      "    .138876 .159607 .206398 .31649 .52012 .769423 .929662 .916299 .803318\n"
      "    .699153 .629482 .590907 .588206 .607727 .626946 .630706 .594261 .513191\n"
      "    .439954 .417642 .425116 .427655 .426618 .430364 .43768 .450942 .460349\n"
      "    .453189 .442618 .4463 .467861 .509825 .583051 .704036 .865531 1 .997578\n"
      "    .800772 .489808 .220451 .0735615 .0225951 .0142986 .0177872 .0201263\n"
      "    .0176451 .0132395 .0109402 .0114192 .0145396 .0214251 .0296046 .0332533\n"
      "    .0319267 .0324202 .0413915 .0596582 .0820752 .102085 .117153 .129902 .14668\n"
      "    .177979 .233864 .306792 .362813 .368802 .327296 .269151 .220058 .185718\n"
      "    .160082 .137685 .117777 .100981 .0868672 .0749427 .0650827 .0566956 .0488985\n"
      "    .0411537 .0330833 .0243989 .0155832 .00812263 .00329517 .00100679 .000226634\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("BaF2_sg225_BariumFluoride.ncmat",textdata);
  }
  {
    // File BaO_sg225_BariumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Barium oxide (BaO, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2196K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008599\n"
      "#    https://www.crystallography.net/cod/9008599.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1011362.html\n"
      "#   https://www.crystallography.net/cod/5910030.html\n"
      "#   https://www.materialsproject.org/materials/mp-1342\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for BaO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1342.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.523\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ba 0 0 0\n"
      "  Ba 0 1/2 1/2\n"
      "  Ba 1/2 0 1/2\n"
      "  Ba 1/2 1/2 0\n"
      "  O 1/2 1/2 1/2\n"
      "  O 1/2 0 0\n"
      "  O 0 1/2 0\n"
      "  O 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  Ba\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .0479984\n"
      "  vdos_density .105139 .124417 .137853 .162985 .183203 .2193 .266093 .370495\n"
      "    .616387 .929427 1 .852502 .719221 .634814 .580575 .554397 .545312 .524866\n"
      "    .502987 .467875 .420405 .387823 .367209 .345917 .318956 .310801 .303864\n"
      "    .277345 .265318 .26567 .261721 .24441 .218653 .203387 .184179 .160335\n"
      "    .153084 .163763 .196623 .259488 .379064 .555304 .661354 .610459 .506605\n"
      "    .420968 .343142 .282547 .239611 .204097 .177941 .157285 .137074 .123062\n"
      "    .109732 .0896559 .0688548 .0488082 .028963 .0140929 .00699354 .005166\n"
      "    .0050078 .00513122 .00531465 .00539849 .00541756 .0056215 .00646786\n"
      "    .00832851 .0107802 .0124111 .0122338 .0108571 .00970777 .00942892 .00962968\n"
      "    .00976026 .00961241 .00927121 .00865035 .00784754 .00733684 .00713435\n"
      "    .00701587 .00705793 .00703289 .00642906 .00527794 .00403164 .00295347\n"
      "    .00204074 .00134505 .00094988 .000807267 .000898934 .00123754 .00162137\n"
      "    .0017244 .00147415 .00109279 .000804843 .000694932 .000753545 .0009465\n"
      "    .00121211 .00143079 .00155086 .00168099 .00190471 .00209368 .00203191\n"
      "    .00170799 .00136485 .00119839 .00115392 .00110818 .00109377 .00127931\n"
      "    .00178323 .00247602 .00298849 .00302138 .00265846 .00222676 .00188675\n"
      "    .00161829 .00151249 .00176941 .00243651 .00323995 .0037018 .00357683\n"
      "    .00310145 .00268049 .00258252 .00296603 .00376674 .00450864 .00470808\n"
      "    .00455861 .00481747 .00586789 .00709062 .00747698 .00677119 .00558231\n"
      "    .00455764 .00387505 .00338771 .00291351 .00237724 .00182859 .0013633\n"
      "    .00102141 .000777353 .000595982 .000458978 .000354699 .000271676 .000202978\n"
      "    .000147449 .000105013 7.2743e-05 4.67805e-05 2.61656e-05 1.2064e-05\n"
      "    4.42947e-06 1.2681e-06 2.79231e-07 4.68342e-08 5.93719e-09\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .0479984\n"
      "  vdos_density .0110796 .0122808 .012914 .0142934 .0144846 .0154664 .0161086\n"
      "    .0174295 .0193053 .0207142 .0211528 .0211231 .0211627 .0210079 .021145\n"
      "    .0221406 .0235928 .0247467 .0241982 .0203341 .0154674 .0116284 .00876277\n"
      "    .00710299 .00654202 .00649621 .00843473 .0179836 .035201 .0467948 .0460427\n"
      "    .0408499 .039245 .0400999 .0422441 .0554951 .0697339 .0744674 .0810031\n"
      "    .0977255 .124814 .16705 .214913 .238602 .247178 .278532 .340589 .39507\n"
      "    .40164 .40463 .426266 .432516 .420357 .415004 .424113 .442462 .4674 .490784\n"
      "    .498932 .487631 .493327 .534129 .56909 .592424 .618933 .64171 .663577 .69227\n"
      "    .745543 .83824 .946646 1 .962891 .876677 .809031 .789139 .796914 .805491\n"
      "    .812328 .828393 .832894 .81022 .796479 .813191 .840384 .861209 .862361\n"
      "    .822335 .737455 .623299 .483519 .32175 .177975 .0924569 .0612577 .0604599\n"
      "    .0745872 .0912495 .0973166 .0900539 .0764118 .0650074 .0639769 .0745157\n"
      "    .08959 .103579 .115338 .123356 .127666 .134802 .149238 .161345 .158575\n"
      "    .144337 .130944 .124848 .126417 .132427 .141685 .157403 .178381 .195527\n"
      "    .199749 .192426 .183903 .178436 .17126 .163275 .16523 .185951 .220432\n"
      "    .248033 .250799 .23474 .220465 .221335 .240673 .273155 .303049 .316507\n"
      "    .319225 .335634 .383594 .445137 .478457 .466245 .430739 .400178 .381242\n"
      "    .364462 .340126 .305526 .2656 .228643 .199257 .176644 .158479 .143438\n"
      "    .130634 .118913 .107506 .0966444 .0863524 .0747514 .0594237 .0408919\n"
      "    .0232026 .0104687 .00365644 .000969169 .000192073 2.8146e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("BaO_sg225_BariumOxide.ncmat",textdata);
  }
  {
    // File Ba_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Barium (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011207 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008529.html\n"
      "#\n"
      "# VDOS curve at 295K is taken from:\n"
      "#\n"
      "#    Oli, B.A. (1988). Microscopic theory of the phonon frequencies in BCC\n"
      "#    barium (IC--88/322). International Atomic Energy Agency (IAEA)\n"
      "#\n"
      "# However, note that the VDOS curve in the reference had almost linear behaviour\n"
      "# at low E, so we force ~E^2 behaviour below 2.4meV, to not get inflated\n"
      "# quasy-elastic scattering. This also moves up the derived Debye temperature\n"
      "# towards the catalogued value (89.6K) derived from the Debye-waller factor at\n"
      "# 293K compiled in the supplement of Acta Cryst., A52, p. 456-470, 1996.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.025\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Ba 1/2 1/2 1/2\n"
      "  Ba   0   0   0\n"
      "@DYNINFO\n"
      "  element  Ba\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0024132861508069 0.0091978075936412\n"
      "  vdos_density .531495 .55588 .570281 .575456 .579918 .584166 .588218 .593424\n"
      "    .59863 .604238 .609398 .613639 .61154 .606213 .59878 .592221 .586459 .580933\n"
      "    .575868 .570855 .565899 .560943 .55623 .551607 .547053 .542886 .538718 .5348\n"
      "    .531279 .527758 .524358 .521528 .518698 .516169 .513721 .512994 .512284\n"
      "    .512567 .51285 .513682 .515755 .517299 .518613 .520795 .523725 .526707\n"
      "    .529839 .533296 .537504 .542682 .548512 .555306 .562247 .569359 .576872\n"
      "    .584596 .594881 .605123 .614949 .62495 .634604 .642453 .649261 .6551 .659725\n"
      "    .661058 .65817 .6531 .648432 .643856 .639682 .635507 .631486 .627484 .623372\n"
      "    .619222 .616721 .614497 .612199 .609851 .607575 .606232 .604889 .604039\n"
      "    .603401 .602763 .602125 .602191 .6026 .60301 .603419 .604268 .605513 .606793\n"
      "    .608263 .609733 .611203 .613038 .614885 .616996 .619529 .622062 .624732\n"
      "    .627569 .630406 .633244 .636972 .641147 .64537 .649762 .654155 .658756\n"
      "    .663859 .668963 .674875 .681462 .68805 .695462 .70307 .710693 .719835\n"
      "    .728977 .738522 .748642 .758914 .771037 .78316 .795361 .807637 .821511\n"
      "    .840357 .866186 1 .93438 .802568 .699857 .57233 .213072 .172048 .143894\n"
      "    .12205 .100942 .084673 .0689349 .0527215 .0389545 .0248723 .0131813\n"
      "    .00148669 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ba_sg229.ncmat",textdata);
  }
  {
    // File Be3N2_sg206_BerylliumNitride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Alpha beryllium nitride (alpha-Be3N2, cubic, SG-206 / Ia-3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2470K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Rietveld refinement of the crystal structure of alpha-(Be3N2)\n"
      "#     and the experimental determination of optical band gaps for\n"
      "#     Mg3 N2, Ca3 N2 and Ca  Mg2 N2\"\n"
      "#    Reckeweg, O., et al. (2003)\n"
      "#    Crystallography Open Database entry 7222775\n"
      "#    https://www.crystallography.net/cod/7222775.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-18337\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Be3N2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d018/mp-18337.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 8.14518\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Be .3865 .1465 .3758\n"
      "  Be .6135 .3535 .3758\n"
      "  Be .3865 .8535 .1242\n"
      "  Be .6135 .6465 .1242\n"
      "  Be .3758 .3865 .1465\n"
      "  Be .6242 .1135 .1465\n"
      "  Be .3758 .6135 .3535\n"
      "  Be .6242 .8865 .3535\n"
      "  Be .1465 .3758 .3865\n"
      "  Be .1465 .6242 .1135\n"
      "  Be .8535 .8758 .1135\n"
      "  Be .3535 .6242 .8865\n"
      "  Be .6135 .8535 .6242\n"
      "  Be .3865 .6465 .6242\n"
      "  Be .6135 .1465 .8758\n"
      "  Be .3865 .3535 .8758\n"
      "  Be .6242 .6135 .8535\n"
      "  Be .3758 .8865 .8535\n"
      "  Be .6242 .3865 .6465\n"
      "  Be .3758 .1135 .6465\n"
      "  Be .8535 .6242 .6135\n"
      "  Be .8535 .3758 .8865\n"
      "  Be .1465 .1242 .8865\n"
      "  Be .6465 .3758 .1135\n"
      "  Be .8865 .6465 .8758\n"
      "  Be .1135 .8535 .8758\n"
      "  Be .8865 .3535 .6242\n"
      "  Be .1135 .1465 .6242\n"
      "  Be .8758 .8865 .6465\n"
      "  Be .1242 .6135 .6465\n"
      "  Be .8758 .1135 .8535\n"
      "  Be .1242 .3865 .8535\n"
      "  Be .6465 .8758 .8865\n"
      "  Be .6465 .1242 .6135\n"
      "  Be .3535 .3758 .6135\n"
      "  Be .8535 .1242 .3865\n"
      "  Be .1135 .3535 .1242\n"
      "  Be .8865 .1465 .1242\n"
      "  Be .1135 .6465 .3758\n"
      "  Be .8865 .8535 .3758\n"
      "  Be .1242 .1135 .3535\n"
      "  Be .8758 .3865 .3535\n"
      "  Be .1242 .8865 .1465\n"
      "  Be .8758 .6135 .1465\n"
      "  Be .3535 .1242 .1135\n"
      "  Be .3535 .8758 .3865\n"
      "  Be .6465 .6242 .3865\n"
      "  Be .1465 .8758 .6135\n"
      "  N .9785 0 1/4\n"
      "  N .0215 1/2 1/4\n"
      "  N 1/4 .9785 0\n"
      "  N 3/4 .5215 0\n"
      "  N 1/4 .0215 1/2\n"
      "  N 3/4 .4785 1/2\n"
      "  N 0 1/4 .9785\n"
      "  N 0 3/4 .5215\n"
      "  N 1/2 3/4 .4785\n"
      "  N .0215 0 3/4\n"
      "  N .9785 1/2 3/4\n"
      "  N 3/4 .0215 0\n"
      "  N 1/4 .4785 0\n"
      "  N 3/4 .9785 1/2\n"
      "  N 1/4 .5215 1/2\n"
      "  N 0 3/4 .0215\n"
      "  N 0 1/4 .4785\n"
      "  N 1/2 1/4 .5215\n"
      "  N .4785 1/2 3/4\n"
      "  N .5215 0 3/4\n"
      "  N 1/2 1/4 .0215\n"
      "  N .5215 1/2 1/4\n"
      "  N .4785 0 1/4\n"
      "  N 1/2 3/4 .9785\n"
      "  N 1/4 1/4 1/4\n"
      "  N 3/4 1/4 1/4\n"
      "  N 1/4 3/4 1/4\n"
      "  N 3/4 3/4 1/4\n"
      "  N 1/4 3/4 3/4\n"
      "  N 3/4 3/4 3/4\n"
      "  N 3/4 1/4 3/4\n"
      "  N 1/4 1/4 3/4\n"
      "@DYNINFO\n"
      "  element  Be\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0314989 .133495\n"
      "  vdos_density .0700741 .0935634 .0952627 .112899 .112024 .127156 .135268\n"
      "    .143727 .175346 .18644 .199881 .236279 .294311 .28607 .266782 .296571\n"
      "    .314147 .356319 .379288 .382763 .424315 .474758 .506624 .534056 .612114\n"
      "    .653066 .603541 .476267 .414095 .435111 .475962 .491588 .590352 .683236\n"
      "    .737441 .807713 .876396 1 .998678 .856464 .814888 .910048 .882814 .843539\n"
      "    .785351 .734404 .690662 .623569 .524468 .507937 .560433 .703195 .831435\n"
      "    .785959 .719607 .666735 .686872 .766567 .839367 .841931 .753686 .721402\n"
      "    .800387 .826769 .746202 .715058 .641954 .496722 .441205 .425381 .395953\n"
      "    .402364 .473158 .614687 .685902 .614855 .567716 .598798 .632053 .64775\n"
      "    .636223 .624003 .658155 .671274 .555252 .4732 .490502 .572717 .704701\n"
      "    .813916 .784947 .734789 .710454 .529461 .219022 .051066 .022852 .025859\n"
      "    .038141 .0607492 .107813 .186938 .282144 .376536 .482147 .550574 .521094\n"
      "    .5101 .55548 .578923 .556398 .469432 .355684 .278024 .253479 .260577 .273764\n"
      "    .293289 .328416 .357252 .351968 .31982 .285654 .271321 .266973 .244448\n"
      "    .206268 .168882 .139974 .120973 .105797 .0873178 .0656953 .0436506 .023209\n"
      "    .00859641 .00195223\n"
      "@DYNINFO\n"
      "  element  N\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0314989 .133495\n"
      "  vdos_density .0898085 .120402 .123462 .142311 .144021 .162769 .168149 .182288\n"
      "    .223895 .233947 .251193 .293687 .365478 .362811 .340897 .376571 .404841\n"
      "    .439155 .449041 .444116 .491466 .536949 .520915 .52259 .575995 .552182\n"
      "    .44471 .331354 .315243 .321604 .344951 .335102 .358197 .396996 .393949\n"
      "    .370814 .371506 .405814 .380996 .328842 .339251 .41162 .402213 .388453\n"
      "    .405654 .438156 .438168 .420658 .40414 .466398 .593632 .813964 1 .922442\n"
      "    .859497 .781214 .749881 .780588 .847364 .908241 .83501 .806547 .938365\n"
      "    .982862 .924211 .979684 .959602 .79766 .750495 .74446 .689071 .678245\n"
      "    .746137 .913302 .985004 .859048 .780859 .801442 .837968 .895814 .887726\n"
      "    .853948 .868192 .824959 .690839 .635491 .658113 .722779 .853643 .94022\n"
      "    .793321 .559601 .442541 .335119 .153347 .0477977 .0306816 .0339251 .042714\n"
      "    .0503691 .0655562 .0946288 .122537 .148888 .177749 .185325 .168261 .174327\n"
      "    .208208 .239912 .253787 .226808 .16603 .110883 .0882482 .0912559 .10236\n"
      "    .122604 .156203 .186224 .197777 .191359 .176919 .170252 .169393 .157716\n"
      "    .135197 .111749 .0932554 .0812845 .0717809 .0596179 .044986 .0299744\n"
      "    .0159894 .00593985 .00135187\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Be3N2_sg206_BerylliumNitride.ncmat",textdata);
  }
  {
    // File BeF2_sg152_Beryllium_Fluoride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beryllium fluoride (BeF2, trigonal, SG-152 / P3_121)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 827K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Single Crystal X-Ray Structure of BeF2: alpha-Quartz\"\n"
      "#    Ghalsasi, Pallavi and Ghalsasi, Prasanna S.\n"
      "#    Inorganic Chemistry, vol. 50, p. 86-89, 2011.\n"
      "#    DOI: https://dx.doi.org/10.1021/ic101248g\n"
      "#    Crystallography Open Database entry 4324085\n"
      "#    https://www.crystallography.net/cod/4324085.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1537223.html other\n"
      "#   https://www.materialsproject.org/materials/mp-15951\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for BeF2 (material ID 15951, DB release 2018-04-17) taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d015/mp-15951.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.739 !! 5.1875\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  152\n"
      "@ATOMPOSITIONS\n"
      "  Be .47 0   1/3\n"
      "  Be 0   .47 2/3\n"
      "  Be .53 .53 0\n"
      "  F .4164 .2671 .21312\n"
      "  F .7329 .1493 .54645333333333333\n"
      "  F .8507 .5836 .87978666666666667\n"
      "  F .2671 .4164 .78688\n"
      "  F .1493 .7329 .45354666666666667\n"
      "  F .5836 .8507 .12021333333333333\n"
      "@DYNINFO\n"
      "  element  Be\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00209993 .124316\n"
      "  vdos_density .00397365 .0053641 .00662673 .00815811 .00965732 .0117751\n"
      "    .0163095 .0254522 .0444169 .0647533 .0702844 .0651274 .0566433 .0520687\n"
      "    .054065 .0590557 .0632976 .0629648 .0591803 .0569761 .0576001 .0571424\n"
      "    .0567682 .0566434 .0531085 .0455397 .0390935 .0357241 .0341856 .0336866\n"
      "    .0353502 .0390515 .0411725 .0392181 .0368472 .0386775 .0411725 .0404655\n"
      "    .0391763 .0388852 .0374298 .033686 .030193 .0310668 .0366812 .0426281\n"
      "    .0460799 .0472029 .0456636 .0402154 .0338943 .0325222 .035267 .0387603\n"
      "    .0428366 .0476192 .0494069 .0455804 .0386354 .0355581 .038885 .0425037\n"
      "    .0415464 .0386354 .0397588 .0459555 .0507795 .0464129 .0342262 .0257842\n"
      "    .0257852 .0285714 .0285296 .0251609 .0207957 .0178332 .0172224 .0190665\n"
      "    .0244131 .0339784 .0455396 .053857 .056061 .0531076 .0457461 .0359731\n"
      "    .0269073 .0228736 .0274483 .0400526 .054691 .066626 .077106 .0881266\n"
      "    .0975667 .10106 .0979816 .0979835 .113706 .141903 .162195 .160572 .144811\n"
      "    .13121 .129965 .137243 .141151 .135827 .121729 .0980236 .0671586 .0388812\n"
      "    .022789 .0190588 .0218758 .0264089 .030526 .0340201 .0375134 .0413811\n"
      "    .0459558 .0516533 .0588481 .0677061 .076566 .0817214 .079308 .0691598\n"
      "    .0537723 .0375534 .0237051 .0142131 .00927763 .00772437 .00831009 .0101592\n"
      "    .0128082 .0161913 .0203769 .0257029 .0324403 .0412571 .0527353 .0661265\n"
      "    .077937 .0829687 .0794739 .0702409 .0597612 .050737 .0434595 .0368883\n"
      "    .0301083 .0236625 .0183359 .0144579 .0117477 .00996108 .00895872 .00852239\n"
      "    .0083977 .00850647 .0089846 .0099783 .0115406 .0139848 .0184636 .0267852\n"
      "    .0403021 .0573947 .072781 .0791843 .0735682 .0597169 .0445381 .0324371\n"
      "    .024453 .0198074 .0169015 .0147935 .0130355 .0115327 .010257 .00913937\n"
      "    .00811671 .00717144 .00630576 .0055109 .00477146 .00407996 .00344009\n"
      "    .00285707 .00232756 .00184401 .00140376 .00101326 .000684074 .000423481\n"
      "    .000234417 .000112928 4.61623e-05 1.58768e-05 4.50081e-06 1.1166e-06\n"
      "    9.96614e-07 5.99933e-06 3.61508e-05 .000173028 .000664716 .00208335\n"
      "    .00543506 .0122013 .0243731 .045792 .0847731 .154737 .272941 .446704 .660964\n"
      "    .868436 1 .995931 .851006 .620852 .392757 .239741 .196591 .258319 .395642\n"
      "    .561783 .704952 .787487 .80282 .767298 .705686 .638231 .578998 .535275\n"
      "    .507035 .487432 .466797 .439298 .406566 .374591 .349483 .33436 .32913\n"
      "    .331049 .335415 .336532 .329367 .313474 .293929 .280008 .280355 .299462\n"
      "    .334488 .376366 .413412 .434816 .433756 .409831 .368319 .317913 .266637\n"
      "    .220813 .182806 .152034 .126169 .102964 .0817141 .0625849 .0466163 .0341412\n"
      "    .0249097 .0180096 .0126403 .00833834 .00501932 .00269235 .00126332\n"
      "    .000515584 .000180501 5.37446e-05 1.35008e-05 2.83665e-06 5.12514e-07\n"
      "    7.75698e-08 9.76323e-09 9.95921e-10 7.96112e-11 0\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00209993 .124316\n"
      "  vdos_density .0180403 .0249773 .0319348 .0411648 .0514986 .0676535 .10407\n"
      "    .192861 .385876 .581758 .62774 .577369 .492813 .429435 .418545 .450765\n"
      "    .49221 .503403 .498865 .527299 .569507 .568747 .560732 .563605 .523673\n"
      "    .43186 .35759 .320523 .299499 .29103 .31009 .358795 .401148 .396462 .369836\n"
      "    .380429 .412495 .42278 .424444 .426713 .405387 .353494 .305094 .303587\n"
      "    .353957 .415973 .462561 .49811 .507939 .461647 .388742 .368174 .391922\n"
      "    .411435 .431405 .465895 .489487 .472845 .427467 .408864 .444712 .479807\n"
      "    .460438 .413851 .400243 .445472 .490394 .453185 .354703 .302978 .336567\n"
      "    .384664 .38708 .344727 .289064 .251093 .245805 .275607 .345947 .467411\n"
      "    .63077 .803961 .94254 1 .945833 .787303 .560414 .339429 .211617 .192258\n"
      "    .217065 .231887 .242779 .26456 .290123 .300257 .289817 .290277 .341109\n"
      "    .42778 .482529 .467401 .412796 .371951 .374228 .404633 .427016 .421417\n"
      "    .385264 .315534 .218554 .128258 .076756 .0646851 .0726927 .0847078 .0957495\n"
      "    .105281 .11481 .12434 .136138 .150356 .167146 .187264 .207234 .217819\n"
      "    .210101 .182418 .141578 .0987723 .0626346 .038785 .0269918 .0242461 .0270127\n"
      "    .032722 .0399957 .0487079 .0591944 .0718877 .0877357 .109215 .136593 .16866\n"
      "    .197701 .210255 .203445 .182419 .158672 .137798 .120253 .103462 .0844001\n"
      "    .0654592 .0499473 .038727 .0310958 .0262009 .0235778 .0226075 .0225775\n"
      "    .0232885 .0251829 .0287713 .0343514 .0430852 .0588212 .0875896 .134785\n"
      "    .195139 .251858 .279232 .264402 .21841 .163654 .119491 .0898472 .0728272\n"
      "    .0627311 .0557896 .0501889 .0455059 .0416024 .0382172 .035131 .0322892\n"
      "    .0296938 .0272976 .0250303 .0228614 .0208106 .0188958 .0170775 .0152734\n"
      "    .0134119 .0114497 .00934404 .00709555 .00484501 .00287242 .00143145\n"
      "    .000587945 .000194479 5.09616e-05 1.09162e-05 5.57377e-06 2.40725e-05\n"
      "    .000114031 .000436779 .00136382 .00353909 .00788093 .0155721 .0288061\n"
      "    .0522265 .0937993 .16384 .2664 .392249 .513554 .58766 .58189 .492931 .354976\n"
      "    .217034 .114946 .0601733 .0429874 .0486646 .0642325 .0801735 .091818\n"
      "    .0960519 .0948413 .0903092 .0847127 .0792646 .076021 .0739559 .0732339\n"
      "    .0728185 .0721914 .0715052 .0714107 .0726672 .0756352 .0804792 .0860757\n"
      "    .0916722 .0951477 .0952924 .092116 .0874269 .0842505 .0847072 .0915222\n"
      "    .102718 .116485 .129642 .137351 .138401 .131139 .11828 .102849 .0869673\n"
      "    .0724639 .0606847 .0510803 .0428817 .0354014 .0283794 .0219925 .0165677\n"
      "    .0122908 .00906767 .00661759 .00467353 .00309479 .00186722 .00100298\n"
      "    .000471061 .000192371 6.73787e-05 2.00693e-05 5.04286e-06 1.05978e-06\n"
      "    1.91508e-07 2.8989e-08 3.64909e-09 3.723e-10 2.97675e-11 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("BeF2_sg152_Beryllium_Fluoride.ncmat",textdata);
  }
  {
    // File BeO_sg186.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beryllium Oxide (BeO, hexagonal, SG-186 / P6_3mc)\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Wurtzite structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008861\n"
      "#    https://www.crystallography.net/cod/9008861.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1010943.html\n"
      "#   https://www.crystallography.net/cod/1010526.html\n"
      "#   https://materialsproject.org/materials/mp-2542\n"
      "#\n"
      "# Phonon VDOS curves are the same as used to generate the scattering kernels\n"
      "# shipped with the ENDF/B-VIII release (extracted from the files\n"
      "# tsl-BeinBeO.leapr and tsl-OinBeO.leapr in that release). These were developed\n"
      "# by the Low Energy Interaction Physics (LEIP) group at North Carolina State\n"
      "# University.\n"
      "#\n"
      "@CELL\n"
      "  lengths 2.698 !! 4.38\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  186\n"
      "@ATOMPOSITIONS\n"
      "  Be 1/3 2/3 0\n"
      "  Be 2/3 1/3 1/2\n"
      "  O  1/3 2/3 .378\n"
      "  O  2/3 1/3 .878\n"
      "@DYNINFO\n"
      "  element  Be\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .001 .149\n"
      "  vdos_density 4.44392e-05 .000101759 .000209314 .000362274 .00053681 .000735496\n"
      "    .000993759 .00128744 .00165003 .00208186 .00250468 .00299028 .00357443\n"
      "    .0041998 .00478299 .00545342 .00631288 .007202 .00811912 .00919108 .0102954\n"
      "    .0114762 .0128634 .0143119 .0157629 .0173459 .0190617 .0209255 .0228567\n"
      "    .0249343 .0272551 .0299352 .0326696 .0354776 .0386198 .0423229 .0468241\n"
      "    .0520271 .0595235 .0681789 .0754103 .081168 .0873135 .0959258 .108606\n"
      "    .127847 .135829 .127849 .120899 .114005 .106079 .0991692 .0936812 .0902852\n"
      "    .0883163 .0867668 .0853531 .0846343 .0845815 .0839787 .0813761 .0783226\n"
      "    .0756279 .0713734 .0675065 .0650797 .062784 .0612045 .0617931 .0624735\n"
      "    .0587911 .055749 .0588081 .0618623 .0586418 .0531936 .0565891 .0699474\n"
      "    .0822848 .104427 .125388 .191696 .624597 1 .855927 .795624 .782016 .571183\n"
      "    .354328 .196255 .114866 .0569598 .0268145 .0190542 .0136628 .0177825\n"
      "    .0357244 .0623922 .0842846 .0945791 .101253 .107774 .116465 .130889 .140995\n"
      "    .14168 .139053 .134133 .131963 .133945 .135202 .134702 .127847 .113727\n"
      "    .102343 .0960591 .0920267 .0898981 .0935499 .0880471 .0737544 .0674917\n"
      "    .067341 .0729867 .0724302 .0587954 .0474999 .0432744 .0398018 .0369714\n"
      "    .0346948 .032896 .0315069 .0298023 .0280359 .0268811 .02592 .0237667\n"
      "    .0214647 .0201312 .0186269 .0171396 .0158454 .01462 .0125174 .00937817\n"
      "    .00636243 .00257612 8.77064e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .004 .149\n"
      "  vdos_density .000937036 .0013878 .00189964 .00256916 .00332958 .00426234\n"
      "    .00538547 .00649439 .00776475 .00928938 .0109291 .0124689 .0142453 .0165186\n"
      "    .0188747 .021326 .0241924 .0271617 .0303529 .0341006 .0380296 .0419847\n"
      "    .0463123 .0510075 .0561226 .0614427 .0671889 .0736137 .0810415 .0886697\n"
      "    .096552 .105394 .11585 .128585 .143413 .165009 .190173 .211126 .227613\n"
      "    .245192 .269797 .306162 .361866 .385743 .363126 .343629 .324758 .302483\n"
      "    .283328 .268576 .26012 .255973 .253454 .251726 .252385 .255371 .257022\n"
      "    .252769 .246443 .240988 .231118 .222124 .217014 .21144 .208298 .21626 .22748\n"
      "    .221373 .215143 .230811 .247259 .238456 .221052 .241047 .312687 .370389\n"
      "    .38777 .345026 .32665 .672483 1 .866988 .806318 .770787 .497116 .260893\n"
      "    .143153 .0839294 .0416229 .0203407 .0146603 .0106669 .00815476 .00736468\n"
      "    .00808291 .00939166 .010689 .0120322 .0134598 .015097 .0171044 .0193402\n"
      "    .0214393 .0231611 .0246518 .0267676 .0295919 .0319727 .0337782 .0353759\n"
      "    .0364894 .0373851 .0385559 .0399716 .04185 .0470723 .0467443 .0402421\n"
      "    .0378864 .039308 .0448234 .0462341 .0379458 .0307544 .0285163 .0267718\n"
      "    .0253771 .0242899 .0235211 .0229737 .0220727 .0210544 .0204386 .0199364\n"
      "    .0184422 .0167589 .0158266 .0147643 .0136945 .0127664 .0118853 .0102498\n"
      "    .00772582 .00526579 .00213807 7.30145e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("BeO_sg186.ncmat",textdata);
  }
  {
    // File Be_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Beryllium\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011165 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008488.html\n"
      "#\n"
      "# The VDOS is the same as used to generate the scattering kernels shipped with\n"
      "# the ENDF/B-VIII release (extracted from the file tsl-Be-metal.leapr).\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.materialsproject.org/materials/mp-87\n"
      "#\n"
      "@CELL\n"
      "  lengths 2.2866 !! 3.5833\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Be 1/3 2/3 1/4\n"
      "  Be 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element Be\n"
      "  fraction 1\n"
      "  type vdos\n"
      "  vdos_egrid .00069552 .08763552\n"
      "  vdos_density .00072477 .0037084 .0080087 .010642 .015897 .027372 .041843\n"
      "    .050214 .065036 .083674 .099329 .11977 .14296 .16484 .18945 .21887 .23537\n"
      "    .26166 .30003 .34054 .38728 .42481 .47598 .5189 .574 .6297 .65754 .72042\n"
      "    .79118 .86756 .92948 1.003 1.1163 1.2048 1.287 1.4139 1.5249 1.6221 1.7638\n"
      "    1.8924 2.0388 2.2056 2.3709 2.5558 2.7595 3.0108 3.2603 3.5066 3.7442 4.0067\n"
      "    4.3677 4.7164 5.082 5.5881 6.0898 6.551 7.0877 7.5931 8.0736 8.6232 9.2283\n"
      "    9.9334 10.613 11.278 11.973 12.784 13.744 14.739 15.918 17.654 19.834 21.455\n"
      "    22.574 23.744 24.9 26.227 27.931 29.747 29.884 27.358 24.817 23.69 23.242\n"
      "    23.624 23.473 22.368 21.447 20.724 21.121 24.24 27.607 27.643 25.431 23.755\n"
      "    23.377 23.41 23.504 23.647 23.681 23.805 23.714 23.385 23.05 22.244 21.008\n"
      "    19.536 18.341 18.075 18.606 19.599 21.037 23.193 24.016 23.573 25.664 30.187\n"
      "    31.256 27.257 22.765 14.893 6.8192 3.8444 2.4718 1.3358 .35968 0\n"
      "\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Be_sg194.ncmat",textdata);
  }
  {
    // File Bi_sg166.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Bismuth (Bi, trigonal, SG-166 / R-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 500K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"The crystal structure of Bi and of solid solutions\n"
      "#     of Pb, Sn, Sb and Te in Bi\"\n"
      "#    Cucka, P. and Barrett, C.S.\n"
      "#    Acta Cryst. (1962). 15, 865-872\n"
      "#    DOI: https://doi.org/10.1107/S0365110X62002297\n"
      "#    Crystallography Open Database entry 2310889\n"
      "#    https://www.crystallography.net/cod/2310889.html\n"
      "#\n"
      "# This crystal structure is also compatible with structures obtained from:\n"
      "#\n"
      "#    https://www.crystallography.net/cod/5000215.html\n"
      "#    https://www.crystallography.net/cod/7123351.html\n"
      "#    https://www.crystallography.net/cod/7123352.html\n"
      "#    https://www.crystallography.net/cod/9008576.html\n"
      "#\n"
      "# Note that while https://www.materialsproject.org/ seems to contain many\n"
      "# Bismuth structures, they are mutually incompatible and none seem to be\n"
      "# compatible with the crystal structure here.\n"
      "#\n"
      "# Reference for VDOS curve:\n"
      "#\n"
      "#    \"Evaluation of coherent and incoherent thermal neutron\n"
      "#     scattering cross-sections for polycrystalline bismuth\"\n"
      "#    Keinert, J. , Kaefer, S., Mattes, M.\n"
      "#    Kerntechnik (1987), ISSN 0932-3902, v. 57(4), p. 233-236\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.546 !! 11.862\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  166\n"
      "@ATOMPOSITIONS\n"
      "  Bi 0 0 .23389\n"
      "  Bi 0 0 .76611\n"
      "  Bi 2/3 1/3 .5672233333333333\n"
      "  Bi 2/3 1/3 .0994433333333333\n"
      "  Bi 1/3 2/3 .9005566666666667\n"
      "  Bi 1/3 2/3 .4327766666666667\n"
      "@DYNINFO\n"
      "  element  Bi\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0002 .0176\n"
      "  vdos_density .00281682 .00563364 .00845047 .0112673 .0198903 .0327872 .0474756\n"
      "    .063094 .0834686 .109856 .143837 .189588 .258674 .335502 .422763 .506798\n"
      "    .589905 .627724 .617159 .580207 .546573 .513244 .477436 .455275 .440407\n"
      "    .432726 .441112 .471245 .498392 .490859 .457184 .395065 .337799 .283188\n"
      "    .231598 .187761 .156331 .138213 .121788 .11228 .106666 .104593 .104639\n"
      "    .108319 .114531 .122518 .140137 .161389 .190461 .23441 .293406 .380876\n"
      "    .491502 .602562 .707191 .805798 .919206 .998979 1 .969377 .8354 .727403\n"
      "    .60195 .49949 .412923 .328949 .256908 .19483 .151467 .115067 .0934517\n"
      "    .0780789 .0679886 .0611239 .0547696 .0484229 .044127 .0396116 .0338677\n"
      "    .0284933 .0242352 .0199826 .0158975 .0118772 .00833614 .00493855 .00186072 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Bi_sg166.ncmat",textdata);
  }
  {
    // File C_sg194_pyrolytic_graphite.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Pyrolytic Graphite (HOPG if used as single crystal, suitable to model large\n"
      "# mosaicity graphite monochromators or analysers).\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0014675 in the AMCSD.\n"
      "# Additional reference: Trucano P, Chen R, Nature, vol. 258, p. 136-137, 1975.\n"
      "#                       https://www.crystallography.net/cod/9011577.html\n"
      "#\n"
      "# The VDOS is the same as used to generate the scattering kernels shipped with\n"
      "# the ENDF/B-VIII release (extracted from the file tsl-crystalline-graphite.leapr).\n"
      "#\n"
      "# With the addition of a VDOS curve in NCrystal v2.0.0 and atomic displacements\n"
      "# based on VDOS in v2.6.0, the performance is in general very good. However, the\n"
      "# resulting inelastic cross sections at long wavelengths seems to still be too\n"
      "# low when comparing with (some) measurements, which one can speculate as being\n"
      "# a sign that the incoherent approximation is not very good for this strongly\n"
      "# coherently scattering material, and that there are strong coherent effects in\n"
      "# single-phonon scattering. This might be solved in the future by adding support\n"
      "# for coherent scattering kernels. The experimental data used for comparison was\n"
      "# R.B.Walton, et al. (1960, EXFOR id 11359002) and P.A.Egelstaff (1957, EXFOR id\n"
      "# 21149003). Additionally, part of the remaining discrepancy might also be\n"
      "# attributed to density fluctuations in the experimentally studied materials,\n"
      "# leading to a SANS contribution to the measured cross section at long\n"
      "# wavelengths.\n"
      "#\n"
      "# Finally here is \"magic comment\" which ensures that NCrystal will model this as\n"
      "# an anisotropic layered crystal, rotated around the third lattice axis:\n"
      "# NCRYSTALMATCFG[lcaxis=0,0,1]\n"
      "#\n"
      "@CELL\n"
      "  lengths 2.464 !! 6.711\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  C 0   0   1/4\n"
      "  C 0   0   3/4\n"
      "  C 1/3 2/3 1/4\n"
      "  C 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 1\n"
      "  type vdos\n"
      "  vdos_egrid .001 .2\n"
      "  vdos_density .00309353 .00794698 .0141481 .0208237 .0283104 .0362997 .0423721\n"
      "    .0495059 .056153 .0642826 .071264 .0806098 .0893965 .102372 .115595 .130668\n"
      "    .152203 .179365 .219154 .273286 .218029 .200013 .190266 .184251 .182032\n"
      "    .17833 .175926 .179949 .177758 .176972 .180969 .181485 .18296 .18523 .189594\n"
      "    .192805 .19599 .196178 .202293 .205029 .207887 .214359 .215189 .219913\n"
      "    .228341 .226387 .236094 .241831 .24696 .25506 .265063 .272429 .281992 .29391\n"
      "    .311849 .337053 .369871 .456491 .506091 .40162 .230909 .202774 .18931\n"
      "    .174114 .163587 .152437 .144301 .152529 .174171 .198147 .226285 .252915\n"
      "    .285801 .326294 .386921 .484573 .641818 .674101 .615264 .524236 .480167\n"
      "    .45512 .428462 .422442 .413551 .401039 .396001 .392968 .38571 .384238\n"
      "    .379749 .382103 .376636 .378938 .376893 .372721 .369655 .382403 .383139\n"
      "    .37844 .385972 .400144 .406228 .427897 .447305 .474171 .52221 .282231\n"
      "    .137091 .133718 .130441 .130065 .130931 .126409 .128377 .122807 .130644\n"
      "    .129636 .127476 .128087 .126488 .12789 .125484 .0873798 .0920572 .0960012\n"
      "    .0973327 .0975992 .100134 .102128 .10631 .106026 .111238 .113677 .115097\n"
      "    .119976 .120118 .122706 .130783 .130849 .134766 .142561 .1443 .148359\n"
      "    .152492 .159142 .166635 .172798 .185415 .205184 .189264 .150803 .149006\n"
      "    .148597 .152717 .154729 .151346 .155224 .156941 .157002 .155699 .161196\n"
      "    .158282 .163972 .154623 .143037 .171981 .188703 .621008 .859091 .770705\n"
      "    .753829 .806613 1 .959911 .637302 .531013 .476125 .43781 .417543 .400867\n"
      "    .38582 .370983 .367645 .36121 .359361 .361592 .359231 .361276 .366002\n"
      "    .369424 .380428 .397168 .420602 .450652 .505492 .711627 .926181 .384246 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("C_sg194_pyrolytic_graphite.ncmat",textdata);
  }
  {
    // File C_sg227_Diamond.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Diamond.\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011242 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008564.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 9 (the 0 GPa curve) of:\n"
      "#\n"
      "#   \"High-pressure thermal expansion, bulk modulus, and phonon structure of diamond\"\n"
      "#   Jianjun Xie, et. al.\n"
      "#   Phys. Rev. B 60, 9444 - Published 1 October 1999\n"
      "#   https://doi.org/10.1103/PhysRevB.60.9444\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.56679\n"
      "@SPACEGROUP\n"
      "  227\n"
      "@ATOMPOSITIONS\n"
      "  C 1/2 0   1/2\n"
      "  C 1/4 3/4 3/4\n"
      "  C 1/2 1/2 0\n"
      "  C 1/4 1/4 1/4\n"
      "  C 0   0   0\n"
      "  C 3/4 3/4 1/4\n"
      "  C 0   1/2 1/2\n"
      "  C 3/4 1/4 3/4\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.040474125140929 0.16831313015923\n"
      "  vdos_density .0209487 .0217242 .0224996 .0232752 .0240506 .0248261 .0256017\n"
      "    .0263771 .0271528 .0280637 .0289767 .0298896 .0308025 .0317155 .0326285\n"
      "    .0335414 .0344544 .0354977 .0368035 .0381178 .0394321 .0407464 .0420608\n"
      "    .0433751 .0446894 .0460037 .0472718 .0484702 .0496685 .050867 .0520653\n"
      "    .0532636 .0544978 .055973 .0574618 .0589506 .0604897 .062336 .0642716\n"
      "    .0662072 .0681428 .0700922 .0723128 .0746406 .0770915 .0796168 .0821422\n"
      "    .0847387 .088066 .0916663 .0953545 .100735 .10477 .108874 .118724 .128674\n"
      "    .138624 .146466 .148475 .150296 .152117 .153938 .15503 .15512 .155209\n"
      "    .155298 .155388 .155477 .156136 .157812 .159487 .161162 .162837 .163607\n"
      "    .164206 .164805 .165405 .166003 .166603 .167202 .167801 .168489 .169752\n"
      "    .171189 .172626 .174062 .175309 .176196 .177081 .177967 .178854 .179739\n"
      "    .180625 .1816 .182887 .184199 .185512 .186824 .188125 .189398 .190671\n"
      "    .191944 .193241 .194751 .196337 .197923 .199509 .20146 .204209 .206919\n"
      "    .209027 .21107 .214399 .218598 .22177 .21992 .201231 .190126 .185713 .196729\n"
      "    .185567 .168983 .163417 .160837 .158484 .15613 .153351 .150466 .148105\n"
      "    .146745 .145425 .143913 .14169 .13935 .137064 .13567 .134742 .133885 .133635\n"
      "    .133492 .133348 .133205 .133061 .132957 .132987 .133021 .133054 .133088\n"
      "    .133123 .133866 .135706 .137599 .140455 .143278 .145204 .147009 .148829\n"
      "    .153137 .148062 .140881 .139052 .139398 .139744 .140836 .145287 .149836\n"
      "    .154331 .159085 .163141 .168246 .175543 .187351 .207303 .23903 .255942\n"
      "    .260539 .266819 .271473 .252462 .218718 .206477 .200154 .191453 .182016\n"
      "    .175669 .168944 .159143 .151849 .145798 .139866 .134731 .130221 .125691\n"
      "    .125209 .132818 .141298 .152717 .190693 .203158 .18749 .167678 .160502\n"
      "    .165223 .174623 .191694 .209493 .22536 .243121 .265288 .2925 .326343 .362991\n"
      "    .384053 .404082 .429381 .46865 .487029 .487541 .474025 .450322 .428985\n"
      "    .427326 .432982 .442039 .453835 .467913 .49482 .529233 .561281 .6085 .700138\n"
      "    .772859 .890644 1 .956028 .950543 .976436 .806266 .644307 .436769 .377621\n"
      "    .346177 .326601 .303106 .285723 .275154 .265023 .255021 .247243 .239366\n"
      "    .230996 .221714 .218637 .279661 .417152 .290038 .120577 .0378375 .00676022 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("C_sg227_Diamond.ncmat",textdata);
  }
  {
    // File CaCO3_sg62_Aragonite.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Aragonite (CaCO3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1100 K.\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0006300 in the AMCSD\n"
      "# Additional reference: Antao S M, Hassan I, The Canadian Mineralogist, vol. 47,\n"
      "#                       p. 1245-1255, 2009.\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/2100187.html\n"
      "#   https://www.crystallography.net/cod/4001361.html\n"
      "#   https://www.crystallography.net/cod/4001363.html\n"
      "#   https://www.crystallography.net/cod/5000085.html\n"
      "#   https://www.crystallography.net/cod/9000229.html\n"
      "#   https://www.crystallography.net/cod/9013799.html\n"
      "#   https://www.materialsproject.org/materials/mp-4626\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CaCO3 (material ID 4626, DB release 2018-04-17) taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d004/mp-4626.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.74181 4.96062 7.97006\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  62\n"
      "@ATOMPOSITIONS\n"
      "  Ca 0.2404    3/4 0.415\n"
      "  Ca 0.7596    1/4 0.585\n"
      "  Ca 0.2596    1/4 0.915\n"
      "  Ca 0.7404    3/4 0.085\n"
      "  C  0.0849    3/4 0.7619\n"
      "  C  0.9151    1/4 0.2381\n"
      "  C  0.4151    1/4 0.2619\n"
      "  C  0.5849    3/4 0.7381\n"
      "  O  0.0956    3/4 0.9224\n"
      "  O  0.9044    1/4 0.0776\n"
      "  O  0.4044    1/4 0.4224\n"
      "  O  0.5956    3/4 0.5776\n"
      "  O  0.0871 0.5262 0.6804\n"
      "  O  0.0871 0.9738 0.6804\n"
      "  O  0.9129 0.0262 0.3196\n"
      "  O  0.4129 0.0262 0.1804\n"
      "  O  0.5871 0.9738 0.8196\n"
      "  O  0.5871 0.5262 0.8196\n"
      "  O  0.4129 0.4738 0.1804\n"
      "  O  0.9129 0.4738 0.3196\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00109996 0.20019272\n"
      "  vdos_density .0104042 .0199242 .0287771 .0367776 .0396639 .0472956 .0633991\n"
      "    .0756836 .0761024 .0907395 .104246 .120965 .143393 .167277 .190693 .230366\n"
      "    .283995 .318155 .325909 .349507 .388605 .403802 .420936 .451784 .495667\n"
      "    .534926 .571761 .638501 .69541 .675233 .643737 .643404 .655363 .658764\n"
      "    .661431 .570992 .455962 .456896 .549156 .649491 .721225 .82297 .923553\n"
      "    .968842 1 .985132 .869069 .779291 .779279 .790386 .794971 .758386 .661801\n"
      "    .582837 .523376 .44967 .389728 .383201 .376944 .345581 .356774 .42941\n"
      "    .478101 .444425 .371631 .294567 .228666 .171706 .125205 .0940998 .0751715\n"
      "    .0628336 .0521097 .0411018 .0282782 .0143766 .00438301 .000688471\n"
      "    4.72979e-05 1.49382e-06 1.71985e-08 7.47445e-11 0r57 4.64548e-13 1.78767e-10\n"
      "    8.49685e-09 2.17483e-07 3.6724e-06 3.65413e-05 .000235977 .000960332\n"
      "    .0026198 .00495715 .00690822 .00755235 .00691618 .00567935 .00418792\n"
      "    .00253573 .00113201 .000343985 6.96881e-05 8.86682e-06 7.45315e-07\n"
      "    3.72044e-08 1.25456e-09 1.76475e-11 0r8 1.09179e-13 1.27338e-11 4.10462e-10\n"
      "    7.99378e-09 1.10995e-07 9.94283e-07 6.24388e-06 2.64844e-05 7.98396e-05\n"
      "    .000173762 .000289206 .000393841 .000475124 .000543159 .000609443 .00067929\n"
      "    .000754049 .000829801 .000883675 .000864091 .000720301 .000478685 .000240602\n"
      "    8.79298e-05 2.31399e-05 4.21326e-06 5.49015e-07 4.76727e-08 3.01076e-09\n"
      "    1.20771e-10 1.76068e-12 0r25 1.02015e-12 5.72524e-11 1.10648e-09 1.48034e-08\n"
      "    1.56272e-07 1.19905e-06 7.1474e-06 3.16651e-05 .00010812 .000280114\n"
      "    .000561318 .000872184 .00106563 .00104221 .000826698 .000539442 .000290644\n"
      "    .000127949 4.57541e-05 1.28864e-05 2.88377e-06 4.89984e-07 6.5765e-08\n"
      "    6.50003e-09 5.1124e-10 2.81557e-11 6.75628e-13 0r45 3.1877e-14 7.05503e-13\n"
      "    9.01498e-12 8.68811e-11 7.14469e-10 4.71268e-09 2.64924e-08 1.21766e-07\n"
      "    4.77068e-07 1.56061e-06 4.39487e-06 1.06243e-05 2.26487e-05 4.30651e-05\n"
      "    7.49423e-05 .000121026 .000183805 .000262409 .000350877 .000437356 .00050945\n"
      "    .000562916 .000605258 .000651492 .000712398 .000785579 .000858383 .000918993\n"
      "    .000965357 .00100465 .00104494 .00109037 .00114088 .00119144 .00123067\n"
      "    .00124396 .00122018 .00116018 .00107419 .000977198 .000880869 .000790195\n"
      "    .000703604 .000616027 .000523736 .000428927 .000338442 .000260155 .000198641\n"
      "    .000152715 .000118285 9.06198e-05 6.69901e-05 4.65512e-05 2.97983e-05\n"
      "    1.72372e-05 8.9179e-06 4.05937e-06 1.62512e-06 5.61569e-07 1.69337e-07\n"
      "    4.3419e-08 9.70033e-09 0\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00109996 0.20019272\n"
      "  vdos_density .00518673 .00986893 .0144394 .0188824 .0204498 .0236816 .0311035\n"
      "    .0364227 .035992 .0410605 .0456791 .0501962 .0560915 .0627942 .0670078\n"
      "    .0726464 .0813667 .0856631 .0817644 .0806752 .0833277 .0821256 .0824529\n"
      "    .0879884 .0927896 .0953654 .10107 .112863 .126058 .131511 .134164 .129102\n"
      "    .120312 .121333 .127778 .118231 .102492 .109761 .139852 .167674 .17557\n"
      "    .184093 .199069 .205714 .207211 .198996 .173562 .151154 .152453 .169543\n"
      "    .180665 .175743 .161166 .154064 .14628 .132974 .1483 .200145 .223735 .181556\n"
      "    .12745 .108153 .108267 .108746 .10869 .0981668 .0775108 .0571047 .0423077\n"
      "    .0331548 .0273149 .0231476 .019257 .0152153 .0104824 .00533532 .00162738\n"
      "    .000255655 1.75668e-05 5.54891e-07 6.38767e-09 2.77804e-11 0r57 1.26661e-10\n"
      "    1.50774e-08 6.51208e-07 1.54899e-05 .000245082 .00231862 .0143929 .0569612\n"
      "    .151976 .280806 .378266 .395429 .343994 .265968 .182261 .101972 .0423468\n"
      "    .0120781 .00232343 .000282818 2.29506e-05 1.11122e-06 3.64824e-08\n"
      "    4.72376e-10 0r8 4.54596e-10 5.04489e-08 1.5898e-06 3.04865e-05 .000414381\n"
      "    .00361011 .0217824 .0874579 .243204 .472015 .666449 .730788 .68633 .621308\n"
      "    .587719 .593126 .639938 .737776 .88192 1 .961422 .720475 .398007 .156866\n"
      "    .0437937 .00837799 .00113624 .00010222 6.6504e-06 2.75641e-07 4.8988e-09\n"
      "    0r25 6.27001e-12 3.04615e-10 5.73582e-09 7.53918e-08 7.79708e-07 5.85088e-06\n"
      "    3.39847e-05 .000146337 .000483485 .00120753 .00231944 .00343533 .00397073\n"
      "    .00364406 .00269071 .00162434 .00080941 .000330679 .000110779 2.94763e-05\n"
      "    6.29743e-06 1.02834e-06 1.3366e-07 1.28398e-08 9.85823e-10 5.25486e-11\n"
      "    1.09624e-12 0r45 9.40874e-11 2.00534e-09 2.51812e-08 2.40231e-07 1.95487e-06\n"
      "    1.27449e-05 7.06282e-05 .000319225 .00122469 .00390572 .010648 .0247249\n"
      "    .0500443 .0891916 .14311 .209968 .286061 .364747 .436691 .492396 .527137\n"
      "    .54775 .572039 .620202 .701404 .803021 .89671 .955188 .966147 .936035\n"
      "    .878711 .809851 .743112 .688431 .648731 .618413 .588366 .552009 .508253\n"
      "    .460508 .413018 .368263 .326137 .28482 .242806 .200792 .161249 .127021\n"
      "    .099687 .0785978 .0620337 .0481102 .0358269 .0250115 .016061 .00931312\n"
      "    .00482751 .00220097 .000882299 .00030523 9.21281e-05 2.36421e-05 5.28568e-06 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00109996 0.20019272\n"
      "  vdos_density .00541465 .0102909 .0150981 .0197349 .0216972 .024889 .0328829\n"
      "    .0398522 .0403016 .046774 .0533733 .0613956 .0720432 .0836121 .0950364\n"
      "    .110252 .131461 .154367 .166068 .167163 .172954 .173163 .180241 .190058\n"
      "    .202519 .216664 .225865 .235647 .252857 .260608 .269395 .266109 .258584\n"
      "    .271804 .296282 .291237 .272364 .287417 .336995 .382423 .390706 .397071\n"
      "    .421649 .451599 .501928 .516008 .44852 .386133 .377236 .397058 .417359\n"
      "    .403205 .357592 .337864 .340099 .337997 .378337 .477193 .527981 .462205\n"
      "    .354278 .301662 .304955 .305937 .267416 .192401 .125501 .0825152 .0555637\n"
      "    .0388506 .028444 .0218086 .0167042 .0123152 .00802333 .00392734 .00116841\n"
      "    .00018093 1.23207e-05 3.87071e-07 4.43749e-09 1.9168e-11 0r57 3.05647e-10\n"
      "    3.68617e-08 1.59664e-06 3.80682e-05 .00060394 .00572988 .0356842 .141719\n"
      "    .379567 .703956 .951671 1 .881342 .699848 .496231 .286126 .121388 .0351401\n"
      "    .00682713 .000836964 6.82448e-05 3.31594e-06 1.09184e-07 1.42043e-09 0r8\n"
      "    2.92152e-11 3.24358e-09 1.02234e-07 1.96076e-06 2.66568e-05 .000232298\n"
      "    .00140217 .005633 .0156782 .0304699 .0431162 .04744 .0447654 .0407311\n"
      "    .0386642 .0390385 .041968 .0480015 .0567787 .0637577 .0608616 .0453934\n"
      "    .0250014 .00983487 .00274242 .000524242 7.10672e-05 6.3919e-06 4.15816e-07\n"
      "    1.72331e-08 3.07013e-10 0r25 5.48005e-10 3.28301e-08 6.32865e-07 8.46681e-06\n"
      "    8.9288e-05 .000683618 .00406022 .0178984 .0607066 .15602 .309727 .476483\n"
      "    .576439 .558917 .440545 .286454 .154183 .0679117 .0243112 .00685403\n"
      "    .00153485 .000260874 3.50162e-05 3.4603e-06 2.72116e-07 1.49958e-08\n"
      "    3.57134e-10 0r45 8.7786e-12 1.87241e-10 2.35197e-09 2.24424e-08 1.82663e-07\n"
      "    1.19116e-06 6.60298e-06 2.98545e-05 .000114588 .000365646 .000997616\n"
      "    .00231884 .00469997 .00839196 .0134978 .0198627 .0271531 .0347416 .041719\n"
      "    .0471341 .0504778 .0523642 .0544904 .0588269 .0663196 .0758408 .0847427\n"
      "    .0904247 .0916597 .0889757 .0836258 .0770898 .0707009 .0654568 .0616759\n"
      "    .0588382 .056074 .0527405 .0487154 .0443042 .0398936 .0357088 .0317308\n"
      "    .0277834 .023725 .0196356 .0157704 .0124199 .00974574 .00768612 .0060712\n"
      "    .00471381 .00351449 .00245626 .00157877 .00091618 .000475203 .000216767\n"
      "    8.69304e-05 3.00836e-05 9.08261e-06 2.33133e-06 5.21314e-07 0\n"
      "\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaCO3_sg62_Aragonite.ncmat",textdata);
  }
  {
    // File CaF2_sg225_CalciumFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Calcium Flouride (CaF2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1600K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Single-crystal elastic constants of fluorite (CaF2) to 9.3 GPa; Sample: P = 0 GPa\"\n"
      "#    Speziale, S. and Duffy, T. S. (2002)\n"
      "#    DOI: https://dx.doi.org/10.1007/s00269-002-0250-x\n"
      "#    Crystallography Open Database entry 9007060\n"
      "#    https://www.crystallography.net/cod/9007060.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-2741\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CaF2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2741.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.4631\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ca 0 0 0\n"
      "  Ca 0 1/2 1/2\n"
      "  Ca 1/2 0 1/2\n"
      "  Ca 1/2 1/2 0\n"
      "  F 1/4 1/4 1/4\n"
      "  F 1/4 3/4 3/4\n"
      "  F 3/4 1/4 3/4\n"
      "  F 3/4 3/4 1/4\n"
      "  F 1/4 3/4 1/4\n"
      "  F 1/4 1/4 3/4\n"
      "  F 3/4 3/4 3/4\n"
      "  F 3/4 1/4 1/4\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0155995 .0581731\n"
      "  vdos_density .299919 .342473 .403414 .481577 .601342 .758342 .929796 1 .973251\n"
      "    .941204 .881093 .819843 .742601 .657962 .587653 .526813 .535593 .560139\n"
      "    .501486 .410818 .369327 .381521 .407943 .380731 .309135 .241734 .215057\n"
      "    .227468 .229908 .219591 .248542 .31503 .35567 .390253 .475535 .575436 .62672\n"
      "    .688956 .771091 .777109 .757608 .743335 .728695 .762891 .814005 .820068\n"
      "    .784224 .73115 .683871 .642606 .593048 .552479 .559316 .6135 .665411 .682143\n"
      "    .69535 .753412 .831096 .846885 .783257 .678038 .542181 .391735 .261407\n"
      "    .174544 .133797 .124449 .117249 .102459 .0870987 .0750582 .0671334 .0597525\n"
      "    .05479 .0591012 .0721855 .0865745 .0980998 .108233 .115743 .113625 .0971426\n"
      "    .0720659 .0541369 .0536748 .0598225 .0580463 .0512627 .0497022 .0549349\n"
      "    .066409 .0890134 .122721 .154911 .171549 .17176 .168473 .169738 .174159\n"
      "    .177072 .173692 .16335 .148529 .132952 .119387 .108619 .101593 .0984028\n"
      "    .0966107 .0931526 .0869224 .08023 .0758094 .0726104 .069158 .0656527\n"
      "    .0616521 .0567039 .0521616 .0484416 .0440976 .0389165 .0332357 .0265239\n"
      "    .0184977 .0104582 .00445467 .00133878 .000284453 4.07868e-05 0\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0155995 .0581731\n"
      "  vdos_density .125053 .137725 .157372 .189715 .237171 .282521 .323808 .350103\n"
      "    .376119 .431935 .472925 .469796 .434473 .388368 .319702 .286256 .336399\n"
      "    .376719 .362015 .323175 .292406 .25014 .214785 .202142 .200087 .208243\n"
      "    .21621 .219855 .216192 .224596 .264763 .302769 .302885 .306933 .355275\n"
      "    .41163 .423188 .421017 .439034 .431419 .417433 .431719 .457254 .477174\n"
      "    .493018 .502529 .5112 .530766 .537526 .517406 .489969 .484099 .513001\n"
      "    .533656 .508985 .477501 .510081 .600851 .665037 .688732 .719061 .720025\n"
      "    .635568 .547482 .514009 .469609 .433008 .446586 .45022 .448151 .481523\n"
      "    .527878 .588537 .685493 .813233 .927881 .984282 .998648 1 .960667 .846374\n"
      "    .678192 .500859 .33462 .195089 .105384 .0663433 .0543201 .0516407 .0561564\n"
      "    .0664881 .0847234 .120989 .189043 .292024 .38905 .418959 .383999 .336413\n"
      "    .301921 .276753 .249776 .21893 .189295 .163936 .142763 .125702 .113971\n"
      "    .107241 .102068 .0950323 .086117 .0781066 .072841 .0686399 .0639118 .0590652\n"
      "    .0543828 .049555 .0451554 .0412778 .0369379 .0321333 .0271317 .0214473\n"
      "    .0148439 .00834731 .0035433 .00106249 .000225387 3.22718e-05 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaF2_sg225_CalciumFlouride.ncmat",textdata);
  }
  {
    // File CaH2_sg62_CalciumHydride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Calcium Hydride (CaH2, orthorombic, SG-62 / Pnma)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1200K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Ca2LiC3H: A New Complex Carbide Hydride Phase Grown in Metal Flux\"\n"
      "#    David A. Lang, et al. (2010)\n"
      "#    DOI: https://dx.doi.org/10.1021/ja107436n\n"
      "#    Crystallography Open Database entry 4103660\n"
      "#    https://www.crystallography.net/cod/4103660.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23713\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CaH2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23713.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.9696 3.6022 6.8336\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  62\n"
      "@ATOMPOSITIONS\n"
      "  Ca 0.26043 1/4 0.39014\n"
      "  Ca 0.23957 3/4 0.89014\n"
      "  Ca 0.73957 3/4 0.60986\n"
      "  Ca 0.76043 1/4 0.10986\n"
      "  H 0.138 1/4 0.072\n"
      "  H 0.362 3/4 0.572\n"
      "  H 0.862 3/4 0.928\n"
      "  H 0.638 1/4 0.428\n"
      "  H 0.029 1/4 0.672\n"
      "  H 0.471 3/4 0.172\n"
      "  H 0.971 3/4 0.328\n"
      "  H 0.529 1/4 0.828\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00899969 .150745\n"
      "  vdos_density .0894021 .113245 .140109 .171079 .193221 .276257 .315255 .40234\n"
      "    .45089 .575154 .644574 .627499 .823397 1 .866435 .727212 .71586 .834454\n"
      "    .844461 .682197 .588912 .566236 .54069 .483759 .337415 .385762 .480127\n"
      "    .549504 .61328 .72221 .705468 .520818 .348131 .167238 .087309 .00948171\n"
      "    2.16901e-05 0r48 6.07919e-14 1.04216e-10 3.43144e-08 2.21242e-06 3.05573e-05\n"
      "    .000128227 .000337011 .000841342 .00182402 .00350291 .00647375 .00932561\n"
      "    .00914042 .00789791 .00759836 .00889514 .00921448 .00671093 .00445207\n"
      "    .00361297 .00373966 .00413022 .00417532 .00384052 .0036422 .00362034\n"
      "    .00337745 .00294941 .00262566 .00269496 .00323366 .00439705 .00542067\n"
      "    .00526591 .00411809 .00327993 .00285633 .00257696 .00234987 .00216083\n"
      "    .00192262 .00162152 .00132633 .00131314 .00131872 .00127709 .00135067\n"
      "    .00137029 .0012085 .000780694 .000326034 .000103835 .000131013 .000346921\n"
      "    .000666381 .00106213 .00152924 .00209089 .00297278 .00418093 .0049215\n"
      "    .00436681 .00305238 .00206305 .00158685 .00126649 .000997452 .000841223\n"
      "    .000835594 .000998268 .00131443 .00186623 .00261792 .00326047 .00381384\n"
      "    .00468674 .00578288 .00634189 .00609784 .00582499 .00592226 .0055689\n"
      "    .00437925 .00325864 .00295138 .00317838 .00330507 .00310746 .00285034\n"
      "    .00272592 .00248666 .00200602 .00155213 .00130146 .00116367 .00102924\n"
      "    .000879255 .000729814 .000600435 .000494431 .000386988 .000264773 .000145923\n"
      "    5.92343e-05 1.61682e-05\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00974967 .150745\n"
      "  vdos_density .00486681 .00577232 .00681809 .00742384 .0100158 .0110166\n"
      "    .0131333 .0136441 .0160036 .0159007 .0144315 .0170896 .0184128 .0148715\n"
      "    .0124645 .0121071 .0134818 .0133178 .0104301 .00869162 .00806899 .00777568\n"
      "    .00714282 .00546509 .00618897 .00722763 .00757082 .00732109 .0072527\n"
      "    .0066707 .00525141 .0035854 .00179453 .000985104 .000107964 2.47017e-07 0r48\n"
      "    8.80259e-12 1.50923e-08 4.97169e-06 .000321242 .00446934 .0186024 .04167\n"
      "    .0799968 .152912 .282488 .490282 .685179 .734847 .73285 .745049 .837074\n"
      "    .875499 .682599 .473291 .399429 .460696 .565528 .591379 .514066 .437919\n"
      "    .400151 .371319 .336271 .313724 .340265 .465269 .729015 .952622 .885662\n"
      "    .587469 .382799 .306918 .272515 .24489 .21663 .18113 .144487 .114737 .111932\n"
      "    .112547 .112237 .125203 .133024 .120231 .0800484 .0353609 .0124645 .0175539\n"
      "    .04637 .0892354 .14605 .220348 .324311 .513227 .798481 1 .912029 .636564\n"
      "    .40918 .278732 .184823 .115533 .0793243 .0692599 .0789623 .105505 .15558\n"
      "    .226752 .29444 .363094 .473774 .615437 .696062 .674517 .644429 .664706\n"
      "    .642182 .51755 .399779 .422534 .580087 .747127 .798614 .713034 .56715\n"
      "    .421099 .298421 .217766 .175435 .148663 .122175 .0954207 .0720709 .0540694\n"
      "    .0408811 .0297251 .0192076 .0101935 .00404376 .00108777\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaH2_sg62_CalciumHydride.ncmat",textdata);
  }
  {
    // File CaO2H2_sg164_CalciumHydroxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Calcium hydroxide, Ca(HO)2 (trigonal, SG-164 / P-3m1)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 853K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Hydrogen thermal motion in calcium hydroxide: Ca(OH)2\"\n"
      "#    Desgranges, L, et al. (1993)\n"
      "#    Crystallography Open Database entry 1001768\n"
      "#    https://www.crystallography.net/cod/1001768.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1000045.html\n"
      "#   https://www.crystallography.net/cod/1008781.html\n"
      "#   https://www.crystallography.net/cod/1529752.html\n"
      "#   https://www.materialsproject.org/materials/mp-23879\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Ca(OH)2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20151124/d023/mp-23879.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.589 !! 4.911\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  164\n"
      "@ATOMPOSITIONS\n"
      "  Ca 0 0 0\n"
      "  H 1/3 2/3 .5744\n"
      "  H 2/3 1/3 .4256\n"
      "  O 1/3 2/3 .7663\n"
      "  O 2/3 1/3 .2337\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00499983 .460984\n"
      "  vdos_density .123381 .179018 .228117 .282484 .375774 .466539 .556658 .733138 1\n"
      "    .572959 .382511 .361353 .427246 .39224 .259922 .325772 .389252 .270559\n"
      "    .184038 .163686 .157828 .235213 .201265 .202433 .30492 .300981 .203435\n"
      "    .303507 .358923 .33258 .522124 .408528 .459038 .66782 .673232 .518314\n"
      "    .238411 .0982129 .0677536 .124465 .254536 .13963 .00874029 .000886644\n"
      "    .00141128 .00235389 .00293602 .00371747 .0045778 .00623205 .00798376\n"
      "    .0115101 .0131306 .01178 .0112727 .0110096 .0112592 .0110252 .0115767\n"
      "    .0121794 .0140519 .0168035 .0246067 .0352224 .0431849 .0267863 .0159845\n"
      "    .010268 .00629555 .00362672 .00226594 .0012827 .000606269 .000304847\n"
      "    .000102027 .000241957 .00033276 .000523228 .000613973 .000766609 .000893525\n"
      "    .00112489 .00137324 .00196116 .00225629 .00212351 .00196446 .0018224\n"
      "    .00176476 .00163137 .00152709 .00156477 .00171075 .00210713 .0027413\n"
      "    .00291901 .00247353 .00221732 .0020742 .00172335 .00087418 .000195855\n"
      "    1.22267e-05 2.27958e-07 1.44553e-09 1.91398e-12 0r325 2.64991e-15\n"
      "    3.54225e-14 3.49465e-13 2.85486e-12 1.9928e-11 1.19537e-10 6.17667e-10\n"
      "    2.75545e-09 1.06384e-08 3.56363e-08 1.03833e-07 2.63773e-07 5.85447e-07\n"
      "    1.13725e-06 1.93586e-06 2.88991e-06 3.78453e-06 4.34734e-06 4.37849e-06\n"
      "    3.86387e-06 2.98491e-06 2.01657e-06 1.19011e-06 6.12842e-07 2.75025e-07\n"
      "    1.07433e-07\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00499983 .460984\n"
      "  vdos_density .0424719 .0628876 .0794246 .0939574 .116841 .135522 .155878\n"
      "    .192492 .210427 .148085 .114086 .113465 .137502 .127874 .074096 .0816727\n"
      "    .101096 .0786321 .0537847 .0461864 .061815 .111691 .179632 .207301 .22648\n"
      "    .287552 .833792 1 .608757 .426793 .516326 .454909 .520546 .455973 .47436\n"
      "    .403581 .205682 .184339 .151497 .210525 .398896 .251725 .0181519 .00394038\n"
      "    .00403311 .00505424 .00510545 .00535986 .00538419 .00634149 .0072949\n"
      "    .00857284 .00922701 .00842418 .00816398 .00773439 .00804752 .00795492\n"
      "    .00822841 .00890923 .0102146 .0124106 .0194231 .0268435 .0293673 .0198703\n"
      "    .013234 .00937337 .00631597 .00406033 .0028345 .00181266 .00098854\n"
      "    .000567794 .000195091 .000466536 .000695662 .00117521 .0014512 .00188544\n"
      "    .00230597 .00305061 .00449633 .00762983 .00881284 .00716159 .00618057\n"
      "    .00579856 .00563468 .00529308 .00521968 .00500304 .00447307 .00483259\n"
      "    .00593728 .00621054 .00576277 .0054943 .00542841 .00492459 .0031309\n"
      "    .000948405 .000106346 4.22816e-06 3.64237e-08 5.15259e-11 0r325 1.44382e-10\n"
      "    1.60347e-09 1.46839e-08 1.14031e-07 7.5348e-07 4.23879e-06 2.03132e-05\n"
      "    8.29812e-05 .000289221 .000861035 .00219271 .00478544 .00897189 .0144943\n"
      "    .0202548 .0246 .0261142 .0243865 .020171 .0148757 .00983523 .00585049\n"
      "    .00313441 .00151026 .000652191 .000251226\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00499983 .460984\n"
      "  vdos_density .0884415 .0964782 .126232 .132333 .155507 .130749 .121236 .104889\n"
      "    .0896423 .0839173 .0806547 .0907158 .112011 .111073 .08908 .152639 .210853\n"
      "    .14381 .086695 .0595917 .0916557 .158119 .141791 .106555 .0776237 .068855\n"
      "    .162713 .27239 .207137 .203263 .195334 .210407 .296387 .380411 .311617\n"
      "    .235198 .162772 .133684 .0488772 .049041 .104836 .0509423 .0040561 .00241541\n"
      "    .0033243 .005386 .00675153 .00835153 .00920514 .0119956 .0156617 .0173404\n"
      "    .0215738 .0263221 .030911 .0340953 .0415205 .0465756 .054255 .0656394\n"
      "    .0853895 .130141 .277737 .38317 .400107 .293278 .220411 .177364 .135034\n"
      "    .0964976 .0747079 .0517376 .0301815 .0184543 .00665297 .0166158 .0259095\n"
      "    .0457719 .0589548 .0803264 .104044 .15209 .290787 .626106 .761795 .554497\n"
      "    .431744 .382945 .359042 .332532 .323573 .303158 .246712 .229724 .263629\n"
      "    .279725 .268783 .263545 .267083 .250169 .165252 .0517119 .0060311 .000245966\n"
      "    2.13129e-06 3.0181e-09 0r325 5.47148e-09 6.08003e-08 5.5689e-07 4.32532e-06\n"
      "    2.85853e-05 .000160844 .000770994 .00315057 .0109852 .0327189 .0833701\n"
      "    .182079 .341664 .552546 .773128 .940394 1 .935624 .775443 .572998 .379512\n"
      "    .226068 .121229 .0584359 .0252335 .00971567\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaO2H2_sg164_CalciumHydroxide.ncmat",textdata);
  }
  {
    // File CaO_sg225_CalciumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Calcium oxide (CaO, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2886K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structural and electrical properties of calcium and strontium hydrides\"\n"
      "#    Verbraeken, Maarten C., et al. (2009)\n"
      "#    DOI: https://dx.doi.org/10.1039/b820173k\n"
      "#    Crystallography Open Database entry 7200686\n"
      "#    https://www.crystallography.net/cod/7200686.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1000044.html\n"
      "#   https://www.crystallography.net/cod/1011094.html\n"
      "#   https://www.crystallography.net/cod/1011095.html\n"
      "#   https://www.crystallography.net/cod/1011327.html\n"
      "#   https://www.crystallography.net/cod/9006694.html\n"
      "#   https://www.crystallography.net/cod/9006712.html\n"
      "#   https://www.crystallography.net/cod/9006731.html\n"
      "#   https://www.materialsproject.org/materials/mp-2605\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CaO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2605.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.81072\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ca   0   0   0\n"
      "  Ca 1/2 1/2   0\n"
      "  Ca 1/2   0 1/2\n"
      "  Ca   0 1/2 1/2\n"
      "  O  1/2 1/2 1/2\n"
      "  O    0   0 1/2\n"
      "  O    0 1/2   0\n"
      "  O  1/2   0   0\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0149995 .0609979\n"
      "  vdos_density .101099 .125546 .140702 .143356 .160528 .179008 .202998 .23703\n"
      "    .227653 .30101 .347022 .351434 .528978 .741117 1 .922882 .699701 .629186\n"
      "    .561974 .555387 .499941 .434272 .412103 .376032 .344985 .356561 .31125\n"
      "    .325927 .300106 .276503 .284356 .269874 .252029 .222836 .242365 .191286\n"
      "    .165898 .194223 .193417 .259444 .411065 .602384 .698312 .615315 .544815\n"
      "    .488787 .443206 .368449 .225054 .123688 .0840035 .0770676 .0795088 .0875886\n"
      "    .10995 .135646 .146833 .140006 .120084 .103434 .0872401 .0691029 .0413902\n"
      "    .0196951 .0124908 .0109654 .0112859 .0143995 .0171355 .0161021 .0152374\n"
      "    .016328 .0151708 .0146991 .0200569 .0274453 .0268666 .0233674 .0237768\n"
      "    .0297836 .0404465 .0444245 .0426571 .0536432 .0804756 .0965904 .0811008\n"
      "    .050617 .0284801 .0157534 .00738624 .00235215 .000396789\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0169994 .0609979\n"
      "  vdos_density .0183823 .0192724 .0203241 .022126 .019622 .0243065 .0254949\n"
      "    .0211358 .0279666 .028071 .0269658 .0280426 .0254641 .0252228 .0236532\n"
      "    .0234208 .0189469 .0171236 .0152058 .012679 .0118354 .0109395 .0093029\n"
      "    .00991573 .0107017 .00829932 .00898801 .0105516 .00839402 .00890151 .0124027\n"
      "    .0102316 .0154495 .0349941 .0524323 .0775352 .115796 .163426 .266307 .437722\n"
      "    .670714 .94033 1 .878477 .616334 .39573 .259244 .181229 .149881 .155474\n"
      "    .164903 .16453 .143618 .0915654 .052055 .0362734 .0333346 .0400835 .0486757\n"
      "    .0617976 .0721126 .0696152 .0690539 .0748423 .0735929 .0697945 .0756551\n"
      "    .0828562 .0758533 .0716343 .0853683 .0998818 .100428 .0957254 .0989341\n"
      "    .111477 .133391 .146988 .149969 .178512 .241716 .284093 .23512 .131054\n"
      "    .0604995 .0299402 .0136442 .00429658 .000720278\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaO_sg225_CalciumOxide.ncmat",textdata);
  }
  {
    // File CaSiO3_sg2_Wollastonite.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Wollastonite (CaSiO3, triclinic, SG-2 / P-1)\n"
      "#\n"
      "# Atoms per unit cell: 6xCa+18xO+6xSi\n"
      "#\n"
      "# Structure converted with NCrystal.cifutils from:\n"
      "#\n"
      "#    \"The Existence of Partial Mirrors in Wollastonite\"\n"
      "#    Ito, Tei-ichi, et al. (1969)\n"
      "#    DOI: https://dx.doi.org/10.2183/pjab1945.45.913\n"
      "#    Crystallography Open Database entry 9012890\n"
      "#    https://www.crystallography.net/cod/9012890.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "#\n"
      "#   https://www.crystallography.net/cod/9005777\n"
      "#   https://www.materialsproject.org/materials/mp-4429\n"
      "#\n"
      "# Debye temperature value taken from (using the same value\n"
      "# for all elements):\n"
      "#\n"
      "#   \"Debye temperatures of selected silicate minerals.\"\n"
      "#   Robie, Richard A., Department of the Interior,\n"
      "#   Geological Survey, 1988.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.3]\n"
      "#\n"
      "@CELL\n"
      "  lengths 7.07 7.32 7.94\n"
      "  angles 103.43 95.37 90.03\n"
      "@SPACEGROUP\n"
      "  2\n"
      "@ATOMPOSITIONS\n"
      "  Ca .026 .7505 .002\n"
      "  Ca .261 .4245 .698\n"
      "  Ca .264 37/40 7/10\n"
      "  Ca .736 3/40 3/10\n"
      "  Ca .739 .5755 .302\n"
      "  Ca .974 .2495 .998\n"
      "  Si .229 .043 .314\n"
      "  Si .229 .614 .314\n"
      "  Si .442 .2755 .102\n"
      "  Si .558 .7245 .898\n"
      "  Si .771 .386 .686\n"
      "  Si .771 .957 .686\n"
      "  O .037 .062 .194\n"
      "  O .037 .535 .194\n"
      "  O .226 .129 .516\n"
      "  O .233 .63 13/25\n"
      "  O .26 .8225 .29\n"
      "  O .307 .231 .924\n"
      "  O .334 29/40 9/10\n"
      "  O .405 3/25 .224\n"
      "  O .405 .492 .224\n"
      "  O .595 .508 .776\n"
      "  O .595 22/25 .776\n"
      "  O .666 11/40 1/10\n"
      "  O .693 .769 .076\n"
      "  O .74 .1775 .71\n"
      "  O .767 .37 12/25\n"
      "  O .774 .871 .484\n"
      "  O .963 .465 .806\n"
      "  O .963 .938 .806\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1/5\n"
      "  type     vdosdebye\n"
      "  debye_temp 539\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/5\n"
      "  type     vdosdebye\n"
      "  debye_temp 539\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdosdebye\n"
      "  debye_temp 539\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CaSiO3_sg2_Wollastonite.ncmat",textdata);
  }
  {
    // File Ca_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Calcium (fcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011141 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008464.html\n"
      "#\n"
      "# VDOS curve at 295K taken from:\n"
      "#\n"
      "#    \"Lattice dynamics of fcc Ca\"\n"
      "#    Stassis, C. and Zaretsky, J. and Misemer, D. K. and Skriver, H. L. and Harmon,\n"
      "#    B. N. and Nicklow, R. M.\n"
      "#    Phys. Rev. B, v.27, p3303-3307,1983, American Physical Society\n"
      "#    10.1103/PhysRevB.27.3303\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.576\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ca 1/2 1/2   0\n"
      "  Ca 1/2   0 1/2\n"
      "  Ca   0 1/2 1/2\n"
      "  Ca   0   0   0\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00729118 0.019382386833333\n"
      "  vdos_density .10001 .101938 .103866 .105794 .107721 .109704 .111814 .113923\n"
      "    .116033 .118142 .120587 .12311 .125633 .128157 .130748 .133545 .136343\n"
      "    .13914 .141937 .144761 .147602 .150443 .153285 .156346 .159847 .163348\n"
      "    .166849 .170724 .174599 .178475 .183426 .189341 .194836 .199991 .206326\n"
      "    .216456 .231313 .242077 .247292 .249992 .251687 .253382 .255077 .256797\n"
      "    .258518 .260239 .262134 .264297 .26646 .268623 .270244 .27186 .273476\n"
      "    .275093 .277273 .279511 .281748 .283881 .285911 .287942 .289972 .292195\n"
      "    .294681 .297167 .299653 .302107 .304546 .306986 .309452 .312274 .315097\n"
      "    .31792 .32088 .323873 .326866 .329841 .3327 .335559 .338418 .341518 .34471\n"
      "    .347901 .351654 .355616 .358607 .352493 .343286 .331319 .319757 .312091\n"
      "    .305973 .301065 .296156 .290813 .28522 .280955 .277186 .273917 .271055\n"
      "    .268194 .265333 .263922 .262599 .261275 .259731 .258135 .25654 .255071\n"
      "    .254093 .253115 .252137 .251159 .250207 .24948 .248754 .248028 .247301\n"
      "    .246575 .246093 .245651 .24521 .244768 .244327 .243165 .241674 .240182\n"
      "    .239631 .239651 .239671 .239692 .239545 .23915 .238755 .23836 .237992\n"
      "    .237829 .237665 .237502 .237338 .237175 .236894 .236606 .236317 .236029\n"
      "    .235668 .235084 .2345 .233916 .233332 .232748 .232373 .232141 .231909\n"
      "    .231677 .231445 .231002 .230341 .22968 .228714 .227009 .225304 .223757\n"
      "    .222486 .221215 .221489 .225348 .234509 .259284 .265442 .269302 .272044\n"
      "    .277167 .286539 .297218 .308805 .32152 .334873 .350547 .369563 .385881\n"
      "    .402513 .425299 .449219 .491737 .545688 .641921 .702841 .780674 .86599 1\n"
      "    .849423 .788871 .715953 .594807 .482905 .387428 .240242 .122183 .0204241 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ca_sg225.ncmat",textdata);
  }
  {
    // File Ca_sg229_Calcium-gamma.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Gamma calcium (Ca, bcc, cubic, SG-229 / Im-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from roughly 700K to 1100K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York,\n"
      "#     Sample at T = 773 K  Body centered cubic, bcc, structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008530\n"
      "#    https://www.crystallography.net/cod/9008530.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/9011034.html\n"
      "#   https://www.crystallography.net/cod/9012732.html\n"
      "#\n"
      "# The Debye temperature is derived from the Debye-waller factor at 293K compiled\n"
      "# in the supplement of Acta Cryst., A52, p. 456-470, 1996.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.38\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Ca   0   0   0\n"
      "  Ca 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Ca\n"
      "  fraction 1\n"
      "  type     vdosdebye\n"
      "  debye_temp 180.7036\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ca_sg229_Calcium-gamma.ncmat",textdata);
  }
  {
    // File CeO2_sg225_CeriumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Cerium oxide (CeO2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2670K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structural Features of Sm- and Gd-Doped Ceria Studied by\n"
      "#     Synchrotron X-ray Diffraction and mu-Raman Spectroscopy.\"\n"
      "#    Artini, Cristina, et al. (2015)\n"
      "#    DOI: https://dx.doi.org/10.1021/acs.inorgchem.5b00395\n"
      "#    Crystallography Open Database entry 4343161\n"
      "#    https://www.crystallography.net/cod/4343161.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-20194\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CeO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d020/mp-20194.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.40972\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ce 0 0 0\n"
      "  Ce 1/2 1/2 0\n"
      "  Ce 1/2 0 1/2\n"
      "  Ce 0 1/2 1/2\n"
      "  O 1/4 1/4 1/4\n"
      "  O 1/4 3/4 3/4\n"
      "  O 3/4 1/4 3/4\n"
      "  O 3/4 3/4 1/4\n"
      "  O 3/4 3/4 3/4\n"
      "  O 3/4 1/4 1/4\n"
      "  O 1/4 3/4 1/4\n"
      "  O 1/4 1/4 3/4\n"
      "@DYNINFO\n"
      "  element  Ce\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0114996 .0734975\n"
      "  vdos_density .116669 .137568 .165122 .253776 .3671 .795518 1 .608027 .477302\n"
      "    .391369 .320898 .216255 .201435 .172348 .181839 .215836 .177899 .175465\n"
      "    .194574 .173286 .162787 .187566 .158637 .167255 .182281 .27825 .345153\n"
      "    .385204 .342647 .19209 .132917 .117402 .108147 .0897728 .0726854 .0572612\n"
      "    .0455101 .0398214 .0372433 .0440702 .0539503 .0536276 .0444937 .0352281\n"
      "    .0326301 .0356645 .0306758 .0247287 .0233153 .0204414 .0179503 .0163534\n"
      "    .0150875 .0136993 .012896 .0118303 .0117049 .011443 .0102315 .00985964\n"
      "    .00955489 .00812074 .00699222 .00714063 .00660324 .00476478 .00297759\n"
      "    .00240377 .00241315 .00187074 .00149055 .00209761 .00258363 .00219671\n"
      "    .0019771 .00167231 .00221312 .00339216 .0035839 .00348401 .00445178\n"
      "    .00578251 .00542275 .00472545 .00497121 .00573645 .00638339 .00652032\n"
      "    .00630037 .00577939 .00390467 .00210744 .00124196 .00122558 .00198822\n"
      "    .00320903 .00356619 .00290595 .0023398 .0024475 .00294909 .00354834\n"
      "    .00375693 .00357776 .00362599 .00371382 .00356087 .00364412 .00406545\n"
      "    .004384 .00453414 .00454189 .00456298 .00471411 .00486634 .00474242\n"
      "    .00438079 .00411271 .0039078 .00351596 .00293579 .00220002 .00130904\n"
      "    .000525116 .000122648\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0119996 .0734975\n"
      "  vdos_density .0298013 .0322341 .044523 .0438733 .0530753 .0520133 .0353688\n"
      "    .0294073 .0191524 .0233831 .0212945 .022501 .0153748 .0198355 .0248165\n"
      "    .0182134 .0179504 .0229007 .0210033 .0190893 .0340797 .0620225 .0975252\n"
      "    .134212 .190793 .224217 .198042 .180433 .168216 .207592 .218767 .248486\n"
      "    .295777 .368983 .392401 .391318 .396053 .407315 .435245 .4448 .452848\n"
      "    .459014 .460465 .455097 .479931 .443057 .417454 .437942 .430762 .402431\n"
      "    .385245 .396459 .399355 .404255 .402148 .41522 .405714 .416256 .450117\n"
      "    .483172 .433323 .393417 .435128 .430904 .298927 .250275 .364537 .426827\n"
      "    .402667 .417982 .446008 .365775 .370799 .408694 .354508 .372643 .417193\n"
      "    .432134 .44442 .458846 .51696 .568412 .677909 .849627 .985689 1 .926425\n"
      "    .793177 .598212 .390176 .212705 .0857064 .0345914 .0364096 .0553009 .061195\n"
      "    .0527848 .0495796 .0586132 .0749067 .0996708 .120946 .126686 .13225 .139293\n"
      "    .142145 .152227 .17201 .193367 .217382 .247946 .293705 .365344 .44105\n"
      "    .453725 .387439 .306279 .242403 .182762 .126726 .0799723 .0419524 .0155778\n"
      "    .00348792\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("CeO2_sg225_CeriumOxide.ncmat",textdata);
  }
  {
    // File Cr_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Chromium (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011209 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008531.html\n"
      "#\n"
      "# VDOS curve at 300K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 2.8839\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Cr   0   0   0\n"
      "  Cr 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Cr\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.010339169155 0.039914001854186\n"
      "  vdos_density .02759 .0291941 .0307981 .0324022 .0340063 .0356104 .0372144\n"
      "    .0388185 .0404226 .0420266 .0436307 .0463255 .0495337 .0512019 .052806\n"
      "    .0544101 .0568482 .0600564 .0632645 .0663443 .0679484 .0701299 .0733381\n"
      "    .0765462 .0797544 .0844382 .0889296 .0921378 .0953459 .0985541 .102981\n"
      "    .107794 .112606 .117418 .12223 .127042 .131855 .138078 .144238 .14905\n"
      "    .155274 .163294 .17016 .176576 .184596 .193066 .20269 .212315 .221939\n"
      "    .231564 .241573 .254406 .26788 .282316 .296753 .31119 .330246 .35065 .374711\n"
      "    .404611 .4399 .493155 .546539 .549747 .552955 .556163 .560398 .56521 .568547\n"
      "    .572076 .576888 .58247 .588886 .595302 .601719 .608135 .615065 .623085\n"
      "    .631105 .639126 .649969 .661711 .676148 .69129 .707331 .727991 .750448\n"
      "    .784134 .827251 .894622 .976021 1 .98939 .966869 .885062 .804537 .725938\n"
      "    .598254 .447471 .329027 .240803 .244011 .271409 .321135 .379844 .444905\n"
      "    .55719 .641179 .674864 .703417 .729082 .753271 .777332 .801393 .823145\n"
      "    .842393 .866519 .882239 .659273 .461972 .31921 .187035 .0619171 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Cr_sg229.ncmat",textdata);
  }
  {
    // File Cu2O_sg224_Cuprite.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Cuprite (Cu2O, cubic, SG-224 / Pn-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1500 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Accurate structure analysis with synchrotron radiation. The electron\n"
      "#     density in Al2O3 and Cu2O (note: Atomic parameters were mislabeled\n"
      "#     in the publication. They have been fixed in this dataset)\".\n"
      "#    Kirfel, A. and Eichhorn, K. (1990)\n"
      "#    Acta Crystallographica, Section A, vol. 46, p. 271-284, 1990.\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108767389012596\n"
      "#    Crystallography Open Database entry 9007497\n"
      "#    https://www.crystallography.net/cod/9007497.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1000063.html\n"
      "#   https://www.crystallography.net/cod/1010941.html\n"
      "#   https://www.crystallography.net/cod/1010963.html\n"
      "#   https://www.materialsproject.org/materials/mp-361\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Cu2O (material ID 361, DB release 2018-04-17) taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-361.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.2685\n"
      "@SPACEGROUP\n"
      "  224\n"
      "@ATOMPOSITIONS\n"
      "  Cu 1/4 1/4 1/4\n"
      "  Cu 3/4 1/4 3/4\n"
      "  Cu 1/4 3/4 3/4\n"
      "  Cu 3/4 3/4 1/4\n"
      "  O 0 0 0\n"
      "  O 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Cu\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00209993 .0881971\n"
      "  vdos_density .0731485 .0898552 .107024 .118254 .120262 .119736 .121373 .123058\n"
      "    .124953 .130209 .138093 .143916 .14095 .1301 .119421 .113101 .111856 .121552\n"
      "    .162442 .259492 .410571 .590384 .775744 .927544 1 .977717 .879635 .757636\n"
      "    .660689 .593306 .523088 .427566 .333163 .275221 .24871 .234167 .230126\n"
      "    .246318 .279456 .296945 .26582 .199862 .140249 .104923 .0864819 .0746484\n"
      "    .0656068 .058839 .053115 .0477662 .0429684 .0384203 .033689 .0298185\n"
      "    .0287631 .0294946 .0285855 .026338 .0265383 .0292843 .0312143 .0323271\n"
      "    .0349825 .0380299 .0376869 .0329252 .0273451 .0254123 .028341 .033857\n"
      "    .0374338 .0355031 .0294309 .0239411 .0223302 .0251742 .0306668 .034444\n"
      "    .0327907 .0269051 .0212459 .0189714 .0206144 .0245302 .02741 .0263917\n"
      "    .0216454 .0160479 .0125229 .0123892 .0148704 .016996 .0155964 .0106847\n"
      "    .00537148 .00233026 .00229307 .00527742 .0106693 .0159815 .0181214 .0169265\n"
      "    .0154762 .0165889 .0206924 .0262756 .0306359 .0314449 .0292199 .0272817\n"
      "    .0285817 .0332248 .0384809 .0408898 .039588 .0374927 .0381856 .0421317\n"
      "    .0466474 .0489336 .0485356 .0469928 .0455664 .0439117 .0411401 .0373696\n"
      "    .0335597 .0304242 .0282006 .0268584 .0259233 .0246432 .0227941 .0209369\n"
      "    .0196722 .0189628 .0182728 .0171581 .0156791 .0142929 .0133418 .0126919\n"
      "    .0119195 .0107539 .00922152 .00744704 .00552362 .00361951 .00201557\n"
      "    .000925526 .000343218 .000101329 2.35751e-05 4.28994e-06 6.06759e-07\n"
      "    6.64568e-08 5.62135e-09 3.55169e-10 0r47 1.02681e-13 1.7812e-12 2.28155e-11\n"
      "    2.20752e-10 1.77275e-09 1.19676e-08 6.8188e-08 3.29433e-07 1.35409e-06\n"
      "    4.7662e-06 1.44682e-05 3.81997e-05 8.85805e-05 .000182326 .000336754\n"
      "    .000564186 .000866661 .00123413 .00164616 .00207611 .00249279 .00286391\n"
      "    .00316478 .00338992 .00355917 .0037137 .00390346 .00417184 .00454502\n"
      "    .0050328 .00563461 .00634334 .00714906 .00805279 .00908591 .0103078 .0117657\n"
      "    .0134286 .0151356 .016583 .0174056 .0173718 .0166111 .0157009 .0154848\n"
      "    .0166644 .019366 .02296 .0263358 .0285306 .029353 .0296406 .0310729 .0356595\n"
      "    .0449978 .059389 .0771674 .0947507 .107753 .11259 .107822 .0945451 .0758138\n"
      "    .0554618 .0368783 .0221776 .0119991 .00580561 .00249727 .0009498 .000317855\n"
      "    9.3202e-05 2.38609e-05 5.31781e-06 1.0292e-06 1.72463e-07 2.49269e-08\n"
      "    3.05414e-09 2.70116e-10 1.42323e-11 9.48788e-12 4.74347e-12 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00209993 .0881971\n"
      "  vdos_density .0350734 .0461533 .0584247 .0671003 .0695496 .0699507 .0717279\n"
      "    .0737261 .0756093 .0792577 .0843801 .0873845 .0831631 .0729325 .0626674\n"
      "    .0546901 .0481382 .0419939 .0359288 .0293676 .0222305 .016748 .0153599\n"
      "    .0175758 .0214853 .0255101 .028325 .0299063 .0316995 .0350745 .0398742\n"
      "    .0447872 .0494504 .0536624 .0557165 .0543802 .0512474 .0504246 .0541722\n"
      "    .0584713 .0574136 .0510237 .0436581 .0380542 .034133 .0308957 .0282604\n"
      "    .0264726 .0249785 .0233455 .02172 .0203306 .0192087 .0189306 .0204228\n"
      "    .0225133 .0226939 .0216005 .0224059 .0251825 .0272649 .0286813 .0312431\n"
      "    .0338375 .0333185 .0290412 .0242377 .0226306 .0250825 .0296351 .0325263\n"
      "    .0307781 .0255555 .0208392 .0193691 .0215884 .0259987 .0290134 .0275651\n"
      "    .0226199 .0178371 .0158128 .0169756 .0199759 .0221527 .0212405 .0173854\n"
      "    .0128569 .00995181 .00969954 .0114942 .0130459 .0119273 .00815129 .00408661\n"
      "    .00174931 .00165214 .00374949 .00756132 .0112987 .0127556 .0118085 .0106246\n"
      "    .011174 .0137359 .017262 .0199475 .0202675 .0185606 .0169689 .017372\n"
      "    .0198297 .0226616 .023772 .0226188 .0208811 .0206328 .0221791 .024059\n"
      "    .0247366 .0239439 .0225176 .0212143 .0199651 .0183322 .0162898 .0142257\n"
      "    .0124575 .0110961 .0101375 .0094058 .0086035 .00761125 .0066041 .00579853\n"
      "    .00521047 .00468925 .00409879 .00343366 .00279524 .00227395 .00186505\n"
      "    .00150005 .00113494 .000786241 .000495551 .000284527 .000147776 6.79148e-05\n"
      "    2.68014e-05 8.83109e-06 2.37776e-06 5.15052e-07 8.8729e-08 1.20411e-08\n"
      "    1.27762e-09 1.05777e-10 6.34515e-12 0r47 3.00511e-10 4.68977e-09 5.22271e-08\n"
      "    4.73363e-07 3.56964e-06 2.25208e-05 .000119174 .000530728 .00199369\n"
      "    .00635089 .0172611 .0403565 .0820564 .147164 .236849 .348607 .477532 .616521\n"
      "    .754473 .875788 .962711 1 .978476 .89699 .764584 .602013 .438258 .300627\n"
      "    .204517 .149893 .126615 .122328 .127657 .137469 .150004 .165428 .18428\n"
      "    .206004 .227948 .245243 .252216 .245379 .226539 .203543 .187377 .186889\n"
      "    .204056 .232513 .260853 .279058 .284471 .283987 .292067 .326052 .399859\n"
      "    .516729 .663623 .811277 .922949 .967572 .931245 .821419 .662807 .487876\n"
      "    .326291 .197255 .107216 .0520775 .0224738 .00857021 .00287416 .000844195\n"
      "    .000216413 4.8282e-05 9.35208e-06 1.56817e-06 2.26799e-07 2.78102e-08\n"
      "    2.46292e-09 1.28591e-10 8.57242e-11 4.28578e-11 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Cu2O_sg224_Cuprite.ncmat",textdata);
  }
  {
    // File Cu_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Copper (Cu, fcc).\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011145 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008468.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 4 (the 298K curve) of:\n"
      "#\n"
      "#   \"Phonon Frequencies in Copper at 49 and 298K\"\n"
      "#   R. M. Nicklow, et. al. Phys. Rev. 164, 922 (1967)\n"
      "#   https://doi.org/10.1103/PhysRev.164.922\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.61496\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Cu 1/2 1/2 0\n"
      "  Cu 1/2 0   1/2\n"
      "  Cu 0   1/2 1/2\n"
      "  Cu 0   0   0\n"
      "@DYNINFO\n"
      "  element  Cu\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0058437397630826 .030314400020991\n"
      "  vdos_density .0381641 .0400517 .0419393 .0438269 .0457144 .047602 .0494896\n"
      "    .0514836 .0536559 .0558282 .0580005 .0601728 .0623451 .0645173 .0669316\n"
      "    .0693775 .0718234 .0742694 .0767153 .0791612 .0819076 .0848049 .0877023\n"
      "    .0905996 .093497 .0963943 .099314 .102691 .106068 .109445 .112823 .1162\n"
      "    .119577 .122954 .12671 .131346 .135982 .140618 .145253 .149889 .154747\n"
      "    .159783 .16482 .169856 .174892 .179929 .184965 .190415 .196928 .203442\n"
      "    .209956 .216469 .222983 .229497 .237342 .246052 .254761 .263471 .275412\n"
      "    .287753 .300093 .312434 .328291 .345247 .36345 .385048 .414272 .476823\n"
      "    .490181 .49338 .496671 .499998 .503326 .506819 .510311 .513804 .517297\n"
      "    .520619 .523896 .527174 .530451 .533728 .537005 .539904 .542704 .545545\n"
      "    .548932 .552319 .555706 .558824 .561636 .564449 .567352 .570353 .573354\n"
      "    .576333 .579298 .582263 .585229 .588148 .591046 .593944 .596754 .599391\n"
      "    .602029 .604622 .607201 .609898 .612802 .615707 .618612 .621241 .623504\n"
      "    .625767 .627671 .629364 .631057 .631665 .593171 .560776 .54144 .525029\n"
      "    .512377 .500514 .488192 .47795 .468273 .463817 .460283 .45738 .455201 .45292\n"
      "    .450365 .447811 .443941 .44029 .437882 .435279 .430199 .425116 .420025\n"
      "    .414238 .407183 .400234 .393582 .385969 .377363 .36793 .35799 .346704\n"
      "    .333596 .3192 .304097 .286285 .269571 .24777 .225238 .199199 .186073 .188846\n"
      "    .205649 .229496 .263686 .306778 .340561 .382446 .422383 .4698 .535319\n"
      "    .600723 .732722 .772003 .798366 .821318 .845351 .873979 .89913 .921198\n"
      "    .946326 .972917 1 .830482 .717534 .62952 .575571 .523119 .483658 .450899\n"
      "    .416298 .385905 .353797 .32147 .292833 .259694 .222939 .177986 .120609\n"
      "    .101508 .0792401 .0439823 .0013455 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Cu_sg225.ncmat",textdata);
  }
  {
    // File Dy2O3_sg206_DysprosiumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Dysprosium oxide (Dy2O3, cubic, SG-206 / Ia-3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2681K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"The structure characteristics of the diluted\n"
      "#     magnetic semiconductor Y2-x Dyx O3\"\n"
      "#    Antic, B., et al. (1993)\n"
      "#    Crystallography Open Database entry 1539592\n"
      "#    https://www.crystallography.net/cod/1539592.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-2345\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Dy2O3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2345.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.63\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Dy 1/4 1/4 1/4\n"
      "  Dy 3/4 1/4 1/4\n"
      "  Dy 1/4 3/4 1/4\n"
      "  Dy 3/4 3/4 1/4\n"
      "  Dy 1/4 3/4 3/4\n"
      "  Dy 3/4 3/4 3/4\n"
      "  Dy 3/4 1/4 3/4\n"
      "  Dy 1/4 1/4 3/4\n"
      "  Dy .9683 0 1/4\n"
      "  Dy .0317 1/2 1/4\n"
      "  Dy 1/4 .9683 0\n"
      "  Dy 3/4 .5317 0\n"
      "  Dy 1/4 .0317 1/2\n"
      "  Dy 3/4 .4683 1/2\n"
      "  Dy 0 1/4 .9683\n"
      "  Dy 0 3/4 .5317\n"
      "  Dy 1/2 3/4 .4683\n"
      "  Dy .0317 0 3/4\n"
      "  Dy .9683 1/2 3/4\n"
      "  Dy 3/4 .0317 0\n"
      "  Dy 1/4 .4683 0\n"
      "  Dy 3/4 .9683 1/2\n"
      "  Dy 1/4 .5317 1/2\n"
      "  Dy 0 3/4 .0317\n"
      "  Dy 0 1/4 .4683\n"
      "  Dy 1/2 1/4 .5317\n"
      "  Dy .4683 1/2 3/4\n"
      "  Dy .5317 0 3/4\n"
      "  Dy 1/2 1/4 .0317\n"
      "  Dy .5317 1/2 1/4\n"
      "  Dy .4683 0 1/4\n"
      "  Dy 1/2 3/4 .9683\n"
      "  O .387 .153 .379\n"
      "  O .613 .347 .379\n"
      "  O .387 .847 .121\n"
      "  O .613 .653 .121\n"
      "  O .379 .387 .153\n"
      "  O .621 .113 .153\n"
      "  O .379 .613 .347\n"
      "  O .621 .887 .347\n"
      "  O .153 .379 .387\n"
      "  O .153 .621 .113\n"
      "  O .847 .879 .113\n"
      "  O .347 .621 .887\n"
      "  O .613 .847 .621\n"
      "  O .387 .653 .621\n"
      "  O .613 .153 .879\n"
      "  O .387 .347 .879\n"
      "  O .621 .613 .847\n"
      "  O .379 .887 .847\n"
      "  O .621 .387 .653\n"
      "  O .379 .113 .653\n"
      "  O .847 .621 .613\n"
      "  O .847 .379 .887\n"
      "  O .153 .121 .887\n"
      "  O .653 .379 .113\n"
      "  O .887 .653 .879\n"
      "  O .113 .847 .879\n"
      "  O .887 .347 .621\n"
      "  O .113 .153 .621\n"
      "  O .879 .887 .653\n"
      "  O .121 .613 .653\n"
      "  O .879 .113 .847\n"
      "  O .121 .387 .847\n"
      "  O .653 .879 .887\n"
      "  O .653 .121 .613\n"
      "  O .347 .379 .613\n"
      "  O .847 .121 .387\n"
      "  O .113 .347 .121\n"
      "  O .887 .153 .121\n"
      "  O .113 .653 .379\n"
      "  O .887 .847 .379\n"
      "  O .121 .113 .347\n"
      "  O .879 .387 .347\n"
      "  O .121 .887 .153\n"
      "  O .879 .613 .153\n"
      "  O .347 .121 .113\n"
      "  O .347 .879 .387\n"
      "  O .653 .621 .387\n"
      "  O .153 .879 .613\n"
      "@DYNINFO\n"
      "  element  Dy\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00599979 .0769974\n"
      "  vdos_density .0753531 .0729406 .101644 .144444 .173321 .17857 .324882 .393056\n"
      "    .723054 .751783 .637298 .890238 1 .848338 .743468 .69432 .723146 .89337\n"
      "    .910011 .862103 .751676 .668063 .531505 .445891 .519835 .497025 .48967\n"
      "    .461172 .394874 .34999 .376238 .402222 .448669 .510206 .544341 .613655\n"
      "    .686162 .693934 .511842 .445552 .370541 .185794 .0773381 .0162342 .000544584\n"
      "    2.0691e-06 8.53357e-10 0r3 1.41881e-13 5.86596e-10 3.84615e-07 4.17113e-05\n"
      "    .000912474 .00647108 .0190894 .0268712 .0232403 .0218839 .0233272 .0210026\n"
      "    .0254583 .031841 .032415 .0267985 .025545 .0256717 .0261035 .0263353\n"
      "    .0257238 .0210097 .0185343 .0206424 .0220922 .0204487 .017324 .0158185\n"
      "    .0154931 .0176563 .018964 .0187233 .0196937 .0200678 .0224745 .0250957\n"
      "    .0252827 .0222746 .0168687 .0119753 .0071769 .00402625 .00363966 .0044833\n"
      "    .00660229 .00798186 .00587955 .00367206 .00378117 .00559555 .00754554\n"
      "    .00774515 .00660923 .00539972 .00501637 .00605114 .00707766 .00616487\n"
      "    .00451856 .00400235 .00440625 .00521645 .00583447 .00606843 .00642745\n"
      "    .00625471 .00522476 .00396018 .00292443 .0023028 .00217209 .00283091\n"
      "    .00449604 .00609045 .00631799 .00573838 .00481435 .00372574 .00393712\n"
      "    .00559278 .00737909 .00828574 .00829716 .00835755 .00862773 .00826089\n"
      "    .00673299 .00456606 .00249791 .000981667 .00023736 3.126e-05 2.08437e-06\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00649978 .0769974\n"
      "  vdos_density .00937625 .0126858 .0174541 .0202892 .01946 .0315081 .0328962\n"
      "    .0532861 .0544527 .0426827 .0561177 .0564834 .0446547 .0384072 .0331648\n"
      "    .030365 .0304079 .0287366 .0262147 .0242391 .0218948 .017591 .0169902\n"
      "    .0206766 .0200983 .0202264 .0187393 .0166659 .0153557 .0165276 .0175534\n"
      "    .0190042 .0214009 .0225623 .0230441 .0236825 .0238293 .0169864 .0138995\n"
      "    .00982757 .00322781 .000656764 .000105195 3.39744e-06 1.28523e-08\n"
      "    5.30068e-12 0r3 1.30569e-12 5.39956e-09 3.54429e-06 .000386713 .00867873\n"
      "    .0646239 .200116 .302734 .315286 .40525 .514867 .490367 .558498 .672755\n"
      "    .698332 .621418 .613849 .608962 .629291 .661791 .667653 .552066 .509589\n"
      "    .616141 .70717 .689295 .626007 .611578 .608856 .707952 .756259 .696729\n"
      "    .67661 .711218 .866033 .9978 1 .867056 .59813 .370853 .211115 .119361\n"
      "    .112049 .155247 .265637 .343508 .248159 .145134 .187216 .389694 .637076\n"
      "    .695179 .591491 .460729 .410297 .530678 .647447 .498951 .234698 .104584\n"
      "    .0916105 .115176 .13789 .149406 .163286 .161831 .138462 .110367 .0868659\n"
      "    .0731618 .0771776 .117577 .2072 .301775 .360697 .417012 .432995 .389575\n"
      "    .406832 .474257 .512154 .495315 .434468 .378875 .340154 .288228 .210677\n"
      "    .129813 .0661576 .0249276 .00589682 .000768342 5.09726e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Dy2O3_sg206_DysprosiumOxide.ncmat",textdata);
  }
  {
    // File Epoxy_Araldite506_C18H20O3.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Epoxy resin (Araldite 506)\n"
      "#\n"
      "# CAS number: 25068-38-6\n"
      "#\n"
      "# Density and structure taken from:\n"
      "# https://www.chemsrc.com/en/cas/25068-38-6_683612.html\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=1xCHali+2xCH2+8xCHaro+2xCH3+1xOH\n"
      "#  --formula=C18H20O3\n"
      "#  --density=1.18\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 91.6% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.18 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 18/41\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 3/41\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 20/41\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .043309 .0779235 .112894 .139888 .169118 .196297 .189244 .154913\n"
      "    .128538 .120193 .124561 .159969 .220393 .230656 .174001 .148712 .174183\n"
      "    .164441 .12447 .110187 .118859 .118415 .097689 .0750618 .0552938 .0482929\n"
      "    .0718586 .109292 .11513 .0942049 .0757252 .0599599 .0460091 .0449658\n"
      "    .0551662 .0584408 .0561541 .0548797 .0516317 .0523923 .0696506 .0937339\n"
      "    .0893854 .0626383 .0459178 .045639 .0774232 .151751 .217027 .242098 .243703\n"
      "    .220231 .192279 .227435 .311099 .335686 .290472 .22614 .172796 .172853\n"
      "    .254394 .355645 .439516 .498779 .45585 .367219 .325731 .312936 .263153\n"
      "    .197111 .162593 .194398 .299561 .399777 .415054 .391996 .435115 .527185\n"
      "    .547222 .453398 .308757 .225796 .237089 .29787 .370815 .417911 .440997\n"
      "    .478284 .518727 .554407 .561318 .521483 .468745 .441951 .469518 .54918\n"
      "    .702592 .862943 .827421 .579335 .320043 .163447 .08199 .038626 .0279013\n"
      "    .033331 .037759 .0394594 .0395558 .0339508 .0223253 .0122658 .00705439\n"
      "    .00389425 .00152277 .000409499 .00012774 7.87769e-05 7.1209e-05 7.03542e-05\n"
      "    7.0301e-05 7.02993e-05r17 7.02969e-05 7.02684e-05 7.0108e-05 6.96869e-05\n"
      "    6.90375e-05 6.76093e-05 6.29756e-05 5.30244e-05 4.14388e-05 3.45511e-05\n"
      "    3.21061e-05 3.04269e-05 2.83109e-05 4.94905e-05 .000553014 .00500527\n"
      "    .0218769 .0479611 .0567253 .0370207 .0126244 .00209184 .000165242\n"
      "    1.15638e-05 6.29687e-06 1.30956e-05 .000185294 .00212164 .0118442 .0329179\n"
      "    .0494666 .0458424 .0290121 .0117415 .00259172 .000287593 2.33493e-05\n"
      "    1.04155e-05 1.39234e-05 1.75558e-05 2.14935e-05 3.11529e-05 4.05326e-05\n"
      "    3.59423e-05 2.37778e-05 1.73995e-05 1.59163e-05 1.56593e-05 1.76628e-05\n"
      "    3.36765e-05 8.8681e-05 .000183178 .00026012 .000277503 .000307276 .00041576\n"
      "    .000945164 .00452692 .016326 .0321406 .0427672 .0853416 .222303 .427484\n"
      "    .575373 .61286 .641951 .732756 .858424 .974865 .98241 .816675 .634185\n"
      "    .589992 .617236 .599127 .479225 .330334 .268714 .278662 .223484 .101049\n"
      "    .023024 .0028284 .000810195 .000602997 .000235352 4.14236e-05 3.42706e-06\n"
      "    2.48858e-07 1.95077e-07 5.9078e-07 1.30974e-06 2.20114e-06 4.56646e-06\n"
      "    8.18462e-06 8.23569e-06 4.80252e-06 1.97401e-06 6.5484e-07 1.55005e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Epoxy_Araldite506_C18H20O3.ncmat",textdata);
  }
  {
    // File Fe_sg225_Iron-gamma.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Gamma-iron (austenite, fcc Fe)\n"
      "#\n"
      "# In pure iron and at atmospheric pressure, the gamma phase of iron forms at\n"
      "# 1180K, but might exist at lower temperatures in impure alloys.\n"
      "#\n"
      "# Crystal structure (225, fcc) is well known and available from many\n"
      "# sources. The only parameter to determine is the lattice parameter, which affects\n"
      "# d-spacings and material density. We use the temperature-dependent\n"
      "# parameterisation found in (evaluated at 1300K):\n"
      "#\n"
      "#    \"Lattice Constant of Iron and Austenite Including Its Supersaturation\n"
      "#     Phase of Carbon\", Ichiro SEKI, Kazuhiro NAGATA,\n"
      "#     ISIJ International, 2005, Volume 45, Issue 12, Pages 1789-1794\n"
      "#     https://doi.org/10.2355/isijinternational.45.1789\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/9012706.html\n"
      "#   https://www.crystallography.net/cod/9012714.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 2 of:\n"
      "#\n"
      "#    \"Lattice dynamics of gamma-Fe\"\n"
      "#    J. Zarestky and C. Stassis\n"
      "#    Phys. Rev. B 35, 4500 - Published 15 March 1987\n"
      "#\n"
      "@CELL\n"
      "  #Value calculated (to four decimals) as 3.5519+8.1593e-5*T with T=1300\n"
      "  #which is a formula from https://doi.org/10.2355/isijinternational.45.1789\n"
      "  cubic 3.658\n"
      "@SPACEGROUP\n"
      "    225\n"
      "@ATOMPOSITIONS\n"
      "    Fe   0   0   0\n"
      "    Fe   0 1/2 1/2\n"
      "    Fe 1/2   0 1/2\n"
      "    Fe 1/2 1/2   0\n"
      "@DYNINFO\n"
      "  element  Fe\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0103457 0.030933643\n"
      "  vdos_density .0649167 .0664705 .0680242 .0696 .0712214 .0728428 .0744641\n"
      "    .0760855 .0777761 .079585 .081394 .083203 .085012 .086934 .0891046 .0912752\n"
      "    .0934458 .0956164 .0979062 .100237 .102568 .105132 .10793 .110727 .113796\n"
      "    .116996 .120204 .123432 .12666 .130378 .134277 .138177 .142195 .146247 .1503\n"
      "    .155174 .160261 .16539 .170872 .177581 .185127 .193101 .194944 .196283\n"
      "    .197732 .199273 .200814 .202355 .203928 .205584 .207241 .208897 .210553\n"
      "    .212212 .213872 .215531 .217191 .218858 .220536 .222213 .223891 .225582\n"
      "    .227366 .22915 .230934 .232718 .234502 .236314 .238138 .239961 .241785\n"
      "    .243734 .245721 .247642 .249074 .250764 .252801 .254838 .256875 .258863\n"
      "    .260812 .26276 .264714 .266757 .2688 .270837 .272711 .274585 .276459 .27869\n"
      "    .28093 .283108 .285168 .287151 .289175 .291396 .293618 .295861 .2982 .30054\n"
      "    .303047 .305665 .308282 .310889 .313453 .316016 .318615 .321315 .324015\n"
      "    .326715 .329734 .332802 .335803 .338672 .34121 .326449 .248617 .216294\n"
      "    .214817 .214836 .214854 .214852 .21481 .214768 .214725 .214647 .214536\n"
      "    .214425 .214314 .214203 .214092 .213981 .213522 .213032 .212541 .212051\n"
      "    .211462 .21081 .210158 .209506 .208428 .207275 .206121 .204967 .203339\n"
      "    .201319 .199298 .196833 .194193 .191553 .188288 .184454 .18062 .174717\n"
      "    .168349 .161588 .154539 .143125 .134714 .127964 .123218 .121498 .122202\n"
      "    .125256 .129158 .1368 .143693 .14967 .158913 .173055 .189982 .202053 .241901\n"
      "    .272547 .311176 .344165 .381467 .426797 .466621 .504469 .560971 .627021\n"
      "    .733418 .844712 .959797 1 .954421 .886591 .816193 .861479 .914495 .101916\n"
      "    .0748203 .0643153 .052565 .0415266 .0231842 .0134555 .00282871 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Fe_sg225_Iron-gamma.ncmat",textdata);
  }
  {
    // File Fe_sg229_Iron-alpha.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Alpha-iron (bcc Fe)\n"
      "#\n"
      "# Can be used to model low-carbon steel, where it is the primary phase.\n"
      "#\n"
      "# Crystal structure (229, bcc) is well known and available from many\n"
      "# sources. The only parameter to determine is the lattice parameter, which\n"
      "# affects d-spacings and material density. We use the temperature-dependent\n"
      "# parameterisation found in (evaluated at 300K):\n"
      "#\n"
      "#    \"Lattice Constant of Iron and Austenite Including Its Supersaturation\n"
      "#     Phase of Carbon\", Ichiro SEKI, Kazuhiro NAGATA,\n"
      "#     ISIJ International, 2005, Volume 45, Issue 12, Pages 1789-1794\n"
      "#     https://doi.org/10.2355/isijinternational.45.1789\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#    https://www.crystallography.net/cod/9008536.html\n"
      "#    https://www.crystallography.net/cod/9006588.html\n"
      "#    https://www.crystallography.net/cod/9013414.html\n"
      "#    https://www.crystallography.net/cod/9013463.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 5 of:\n"
      "#\n"
      "#    \"Phonon Dispersion Relation for Iron\"\n"
      "#    V. J. Minkiewicz, G. Shirane, and R. Nathans\n"
      "#    Phys. Rev. 162, 528 - Published 15 October 1967\n"
      "#    https://doi.org/10.1103/PhysRev.162.528\n"
      "#\n"
      "# The VDOS curve was validated with experimental data in:\n"
      "#\n"
      "#    T. S. Toellner, et. al., Appl. Phys. Lett. 71, 2112 (1997)\n"
      "#    https://doi.org/10.1063/1.120448\n"
      "#\n"
      "# Finally it should be noted that the VDOS curve was compared with the one used\n"
      "# to generate the alpha-Iron scattering kernel in ENDF/B-VIII (which uses a\n"
      "# distribution due to Stedman, Almqvist, and Nilsson). It is essentially roughly\n"
      "# compatible in shape, but the Minkiewicz distribution adopted for the present\n"
      "# NCMAT file is more detailed.\n"
      "#\n"
      "@CELL\n"
      "  #Value calculated (to five decimals) as a0=1.602e-8*T**2+2.059e-5*T+2.860 with T=300\n"
      "  #which is a formula from https://doi.org/10.2355/isijinternational.45.1789\n"
      "  cubic 2.8676\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Fe 1/2 1/2 1/2\n"
      "  Fe 0 0 0\n"
      "@DYNINFO\n"
      "  element Fe\n"
      "  fraction 1\n"
      "  type vdos\n"
      "  vdos_egrid .010394090821551 .038841076227902\n"
      "  vdos_density .0506018 .0518623 .0531229 .0543834 .055644 .0569046 .0581651\n"
      "    .0594257 .0606862 .0619468 .0632073 .0644679 .0658821 .0673033 .0687244\n"
      "    .0701455 .0715666 .0729877 .0744088 .0758299 .077251 .0786722 .0800933\n"
      "    .0816588 .0832887 .0849187 .0865486 .0881786 .0898086 .0914385 .0930685\n"
      "    .0946985 .0963284 .0979584 .100064 .102196 .104328 .10646 .108592 .110724\n"
      "    .112856 .114988 .117267 .119796 .122325 .124853 .127382 .129911 .13244\n"
      "    .134969 .137498 .140367 .144 .147632 .151265 .154898 .158531 .162164 .165797\n"
      "    .169569 .174171 .178773 .183375 .187977 .192579 .197271 .202374 .207477\n"
      "    .212581 .217684 .222787 .229555 .238129 .246703 .255277 .269528 .286419\n"
      "    .29223 .295107 .298069 .301032 .303994 .306956 .309919 .31319 .316673\n"
      "    .320157 .32364 .327123 .330607 .33409 .338006 .341961 .345915 .349869\n"
      "    .353823 .357777 .36205 .366894 .371738 .376581 .381425 .386433 .392041\n"
      "    .397649 .403257 .408865 .414473 .42026 .426155 .432049 .437944 .44386\n"
      "    .450233 .456607 .46298 .469467 .476683 .483887 .490951 .498015 .479524\n"
      "    .451012 .435526 .423939 .416232 .409982 .404167 .39962 .395715 .392873\n"
      "    .390979 .389204 .389055 .388907 .388758 .389582 .391131 .393079 .395991\n"
      "    .398903 .402709 .407603 .412931 .418333 .425619 .433503 .442532 .454787\n"
      "    .47324 .504413 .529708 .525272 .520469 .515665 .510404 .504959 .499514\n"
      "    .494391 .489618 .484846 .480074 .475628 .471435 .467242 .46305 .458635\n"
      "    .454045 .449455 .444895 .440819 .436743 .432667 .428645 .425037 .42143\n"
      "    .417823 .413162 .407277 .401278 .395139 .388771 .382403 .377258 .372963\n"
      "    .368669 .364612 .360698 .356785 .353028 .350378 .347727 .345077 .34273\n"
      "    .34086 .339336 .338473 .337609 .337437 .337283 .33713 .337747 .338884\n"
      "    .340022 .341567 .343729 .34589 .34916 .352499 .356506 .360963 .367101\n"
      "    .373941 .384133 .395397 .407721 .422761 .43935 .456797 .47835 .533985\n"
      "    .541505 .551715 .561824 .571921 .585816 .600216 .622737 .648741 .761597\n"
      "    .91258 .951435 .978056 1 .881954 .751008 .671092 .607991 .571715 .538943\n"
      "    .506024 .469791 .438457 .407738 .386914 .360903 .340238 .319321 .299012\n"
      "    .280497 .257388 .237627 .21824 .198624 .180561 .163346 .141289 .118719\n"
      "    .0950716 .0661943 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Fe_sg229_Iron-alpha.ncmat",textdata);
  }
  {
    // File GaN_sg186_GalliumNitride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Gallium nitride (GaN, hexagonal, SG-186 / P6_3mc)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1900K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Electronic, optical, and structural properties of some wurtzite crystals\"\n"
      "#    Xu, Y. N. and Ching, W. Y. (1993)\n"
      "#    DOI: https://dx.doi.org/10.1103/PhysRevB.48.4335\n"
      "#    Crystallography Open Database entry 9011658\n"
      "#    https://www.crystallography.net/cod/9011658.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-804\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for GaN taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20151124/d000/mp-804.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.19 !! 5.189\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  186\n"
      "@ATOMPOSITIONS\n"
      "  Ga 2/3 1/3 0\n"
      "  Ga 1/3 2/3 1/2\n"
      "  N 2/3 1/3 3/8\n"
      "  N 1/3 2/3 7/8\n"
      "@DYNINFO\n"
      "  element  Ga\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00549981 .0909969\n"
      "  vdos_density .0204665 .024649 .0281015 .0329129 .0367665 .0410561 .0470061\n"
      "    .053737 .0594511 .0655731 .0750375 .0838145 .0969686 .10156 .117456 .132416\n"
      "    .155711 .172673 .190007 .216783 .264129 .315831 .397139 .451553 .503437\n"
      "    .581723 .782867 1 .881159 .802976 .760241 .7321 .712561 .696337 .655356\n"
      "    .637549 .619689 .581517 .524296 .480614 .462951 .448218 .419677 .377243\n"
      "    .360429 .375221 .381025 .310515 .233431 .165851 .122044 .104427 .101046\n"
      "    .115731 .128473 .137421 .153454 .182346 .224791 .268001 .310342 .421455\n"
      "    .590243 .644783 .604769 .578841 .571407 .570044 .505677 .391707 .294692\n"
      "    .215994 .141627 .0656863 .0160025 .00140318 3.25374e-05 1.76937e-07 0r34\n"
      "    1.63623e-13 5.93823e-11 8.73684e-09 5.27243e-07 1.33034e-05 .0001464\n"
      "    .000763475 .00215959 .00396396 .00577178 .0078359 .011668 .0213077 .0387055\n"
      "    .0600507 .0820093 .101998 .118735 .136148 .148794 .142532 .12265 .102495\n"
      "    .0876346 .0779731 .0695875 .0593679 .0484378 .0392944 .0327033 .0283374\n"
      "    .0256689 .0238669 .0215023 .0174381 .0130119 .0101519 .00901601 .00907196\n"
      "    .010077 .0122391 .0158462 .0206949 .0261936 .0320976 .0371958 .0385116\n"
      "    .0348498 .0285679 .0222698 .017028 .0130501 .0100142 .00735984 .00475868\n"
      "    .00243746 .000900455 .000224508 3.60595e-05 3.58602e-06\n"
      "@DYNINFO\n"
      "  element  N\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00549981 .0909969\n"
      "  vdos_density .00305797 .00365933 .00414211 .00481046 .00532107 .00589275\n"
      "    .00667507 .00754584 .0082535 .00897805 .0101469 .0111724 .0127416 .0131174\n"
      "    .0149088 .0164991 .0190084 .0206048 .022155 .0246722 .029202 .0337959\n"
      "    .0410536 .0452462 .0487087 .0537605 .0680755 .0827895 .0709797 .0626945\n"
      "    .0573421 .0532569 .0498954 .0471546 .0428851 .0401665 .0376901 .0341474\n"
      "    .0299531 .0265891 .0248048 .0232009 .0211249 .0183542 .0169925 .0166528\n"
      "    .0163908 .0137282 .011439 .00944586 .00819272 .00789219 .00773261 .0085634\n"
      "    .00911379 .00927664 .00977131 .0106315 .0115673 .0122958 .0123853 .013075\n"
      "    .0134346 .0126391 .0109561 .00939215 .00786885 .00653432 .00510913 .00367562\n"
      "    .00257194 .0017418 .00106516 .00046986 .000110923 9.60459e-06 2.21975e-07\n"
      "    1.20596e-09 0r34 6.40966e-13 2.32698e-10 3.42514e-08 2.06908e-06 5.23293e-05\n"
      "    .000578861 .00305071 .0087933 .0166154 .0250894 .0352508 .0534939 .0980631\n"
      "    .181681 .294601 .42466 .557896 .692517 .855645 .99604 1 .898373 .788165\n"
      "    .714676 .67895 .648464 .593846 .521093 .452919 .401645 .372054 .365536\n"
      "    .370784 .356481 .294489 .205826 .135167 .0990207 .0904983 .104915 .147753\n"
      "    .224744 .330162 .450804 .577927 .687784 .730417 .682141 .57618 .458517\n"
      "    .355946 .277051 .216212 .161272 .104767 .0529334 .0188812 .00446956\n"
      "    .000677588 6.39932e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("GaN_sg186_GalliumNitride.ncmat",textdata);
  }
  {
    // File GaSe_sg194_GalliumSelenide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Gallium selinde (GaSe, hexagonal, SG-194 / P6_3/mmc)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1230K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"The electron diffraction analysis of GaSe\"\n"
      "#    Tatarinova, L.I., et al. (1956)\n"
      "#    Crystallography Open Database entry 1530863\n"
      "#    https://www.crystallography.net/cod/1530863.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/9008968.html\n"
      "#   https://www.materialsproject.org/materials/mp-1943\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for GaSe taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1943.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.75 !! 15.92\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Ga 1/3 2/3 .9\n"
      "  Ga 2/3 1/3 .4\n"
      "  Ga 2/3 1/3 .1\n"
      "  Ga 1/3 2/3 .6\n"
      "  Se 1/3 2/3 .177\n"
      "  Se 2/3 1/3 .677\n"
      "  Se 1/3 2/3 .323\n"
      "  Se 2/3 1/3 .823\n"
      "@DYNINFO\n"
      "  element  Ga\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0389987\n"
      "  vdos_density .0712484 .0794398 .0737862 .0737179 .0821533 .086713 .0899922\n"
      "    .0907041 .0968339 .11646 .116338 .10666 .104081 .135954 .170902 .165016\n"
      "    .182341 .238681 .317715 .441032 .600605 .734815 .749478 .746496 .796761\n"
      "    .734132 .574395 .477596 .438518 .410803 .352061 .294792 .310948 .375221\n"
      "    .378805 .357563 .366076 .337337 .260879 .201305 .170269 .171399 .189581\n"
      "    .202953 .209455 .231004 .271593 .311607 .35023 .380195 .360864 .265038\n"
      "    .151479 .0791113 .045358 .0337434 .034965 .0393019 .0419421 .0442651\n"
      "    .0494161 .0591538 .0746486 .0959133 .108822 .0994922 .0801545 .0635465\n"
      "    .0470813 .0281446 .0117416 .00303488 .000444233 3.46564e-05 1.38949e-06\n"
      "    2.8062e-08 2.80276e-10 0r2 4.20883e-10 4.15251e-08 2.21877e-06 6.50437e-05\n"
      "    .00105507 .00962029 .0508006 .16419 .356441 .58597 .798802 .929665 .957829\n"
      "    .966941 1 .950646 .755561 .516642 .351809 .288124 .299582 .351976 .419606\n"
      "    .500297 .606781 .742264 .885003 .973596 .932387 .748356 .493146 .260413\n"
      "    .10611 .0319669 .00686193 .00102101 .000103362 7.03e-06 3.17443e-07\n"
      "    9.2841e-09 1.43296e-10 0r4 2.64815e-11 1.75387e-09 7.31311e-08 1.99939e-06\n"
      "    3.61154e-05 .000435212 .00354583 .0198839 .0785194 .224443 .478344 .779544\n"
      "    .984646 .967422 .749278 .483692 .289889 .174464 .100766 .0500869 .0195898\n"
      "    .0056779 .00117177 .0001677\n"
      "@DYNINFO\n"
      "  element  Se\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0389987\n"
      "  vdos_density .0689547 .0768026 .071027 .0702468 .0775262 .0812281 .0835177\n"
      "    .0832627 .0874513 .103668 .101987 .0913473 .0873767 .112763 .138774 .129751\n"
      "    .141181 .188904 .269865 .402238 .556077 .668076 .655513 .600373 .588862\n"
      "    .53306 .449627 .429876 .438148 .414613 .333974 .251705 .242804 .282666\n"
      "    .279311 .253208 .24607 .22107 .175717 .14307 .124664 .126274 .139937 .152096\n"
      "    .164483 .192357 .239416 .303684 .40398 .541979 .637641 .604458 .481101\n"
      "    .331857 .207981 .147296 .142282 .152581 .156908 .160635 .176078 .211327\n"
      "    .274006 .363901 .416073 .37001 .284919 .219926 .162626 .0979423 .0411881\n"
      "    .0107089 .00157321 .000122978 4.93566e-06 9.97318e-08 9.96564e-10 0r2\n"
      "    5.08382e-10 5.02388e-08 2.68769e-06 7.89591e-05 .00128551 .0117919 .0628135\n"
      "    .204885 .444581 .709999 .905791 .970548 .940442 .938902 1 .992786 .82647\n"
      "    .580615 .377072 .259312 .211555 .209687 .234242 .275732 .336813 .421108\n"
      "    .51807 .588736 .581064 .479624 .324165 .174869 .0724942 .0221596 .00482029\n"
      "    .000726678 7.45586e-05 5.14001e-06 2.35081e-07 6.95699e-09 1.09827e-10 0r4\n"
      "    4.00235e-12 2.65482e-10 1.10788e-08 3.03231e-07 5.48632e-06 6.62676e-05\n"
      "    .000541661 .00305076 .0121148 .0348615 .0748197 .122619 .155149 .151675\n"
      "    .115813 .073068 .0428818 .025717 .0150248 .00757261 .00299315 .000873512\n"
      "    .000181037 2.59766e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("GaSe_sg194_GalliumSelenide.ncmat",textdata);
  }
  {
    // File Ge3Bi4O12_sg220_BismuthGermanate.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Bismuth germanate, (BGO, Ge3(BiO3)4, cubic, SG-220 / I-43d)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1323K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Neutron diffraction study of single crystals of Bi4 Ge3\n"
      "#     O12 with eulitine structure\"\n"
      "#    Radaev, S.F., et al. (1990)\n"
      "#    Crystallography Open Database entry 1536787\n"
      "#    https://www.crystallography.net/cod/1536787.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23560\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Ge3Bi3O12 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23560.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.524\n"
      "@SPACEGROUP\n"
      "  220\n"
      "@ATOMPOSITIONS\n"
      "  Ge 3/8 0 1/4\n"
      "  Ge 1/4 3/8 0\n"
      "  Ge 5/8 1/2 1/4\n"
      "  Ge 3/4 1/8 0\n"
      "  Ge 1/4 5/8 1/2\n"
      "  Ge 7/8 1/2 3/4\n"
      "  Ge 3/4 7/8 1/2\n"
      "  Ge 1/8 0 3/4\n"
      "  Ge 0 1/4 3/8\n"
      "  Ge 0 3/4 1/8\n"
      "  Ge 1/2 1/4 5/8\n"
      "  Ge 1/2 3/4 7/8\n"
      "  Bi .08751 .08751 .08751\n"
      "  Bi .33751 .66249 .16249\n"
      "  Bi .91249 .41249 .08751\n"
      "  Bi .66249 .83751 .16249\n"
      "  Bi .08751 .91249 .41249\n"
      "  Bi .16249 .66249 .83751\n"
      "  Bi .91249 .58751 .41249\n"
      "  Bi .83751 .83751 .83751\n"
      "  Bi .33751 .33751 .33751\n"
      "  Bi .41249 .91249 .58751\n"
      "  Bi .16249 .33751 .66249\n"
      "  Bi .83751 .16249 .66249\n"
      "  Bi .58751 .58751 .58751\n"
      "  Bi .58751 .41249 .91249\n"
      "  Bi .66249 .16249 .33751\n"
      "  Bi .41249 .08751 .91249\n"
      "  O .06951 .12668 .2877\n"
      "  O .37668 .68049 .9623\n"
      "  O .93049 .37332 .2877\n"
      "  O .62332 .81951 .9623\n"
      "  O .06951 .87332 .2123\n"
      "  O .12332 .68049 .0377\n"
      "  O .93049 .62668 .2123\n"
      "  O .87668 .81951 .0377\n"
      "  O .2877 .06951 .12668\n"
      "  O .31951 .4623 .12332\n"
      "  O .7123 .43049 .12668\n"
      "  O .68049 .0377 .12332\n"
      "  O .2877 .93049 .37332\n"
      "  O .18049 .4623 .87668\n"
      "  O .7123 .56951 .37332\n"
      "  O .81951 .0377 .87668\n"
      "  O .12668 .2877 .06951\n"
      "  O .12668 .7123 .43049\n"
      "  O .9623 .62332 .81951\n"
      "  O .87332 .7877 .43049\n"
      "  O .5377 .37668 .31951\n"
      "  O .37332 .7123 .56951\n"
      "  O .9623 .37668 .68049\n"
      "  O .0377 .12332 .68049\n"
      "  O .56951 .62668 .7877\n"
      "  O .87668 .18049 .4623\n"
      "  O .43049 .87332 .7877\n"
      "  O .12332 .31951 .4623\n"
      "  O .56951 .37332 .7123\n"
      "  O .62332 .18049 .5377\n"
      "  O .43049 .12668 .7123\n"
      "  O .37668 .31951 .5377\n"
      "  O .7877 .56951 .62668\n"
      "  O .81951 .9623 .62332\n"
      "  O .2123 .93049 .62668\n"
      "  O .18049 .5377 .62332\n"
      "  O .7877 .43049 .87332\n"
      "  O .68049 .9623 .37668\n"
      "  O .2123 .06951 .87332\n"
      "  O .31951 .5377 .37668\n"
      "  O .62668 .7877 .56951\n"
      "  O .62668 .2123 .93049\n"
      "  O .4623 .12332 .31951\n"
      "  O .37332 .2877 .93049\n"
      "  O .0377 .87668 .81951\n"
      "  O .87332 .2123 .06951\n"
      "  O .4623 .87668 .18049\n"
      "  O .5377 .62332 .18049\n"
      "@DYNINFO\n"
      "  element  Bi\n"
      "  fraction 4/19\n"
      "  type     vdos\n"
      "  vdos_egrid .00149995 .0999966\n"
      "  vdos_density .0396859 .0917984 .179066 .344141 .61373 .521243 .573488 .733572\n"
      "    .964755 .787942 1 .860527 .887421 .960905 .766174 .575708 .500553 .788548\n"
      "    .836078 .668814 .925859 .991202 .625413 .564095 .595846 .502682 .570181\n"
      "    .576856 .595649 .519738 .547138 .331881 .278203 .21263 .233675 .203019\n"
      "    .167518 .237583 .276509 .192145 .06322 .0230378 .022652 .0301875 .0430984\n"
      "    .048549 .0332295 .0285984 .0364573 .0769039 .15272 .182596 .145921 .0935012\n"
      "    .0582648 .025993 .0197228 .036399 .0550255 .062006 .0465679 .0388265\n"
      "    .0263308 .0321433 .0727329 .0974836 .0807855 .0485265 .0174221 .00290818\n"
      "    .000162075 1.92833e-06 4.13284e-09 0r5 3.87192e-11 2.6602e-08 4.36238e-06\n"
      "    .000179404 .00215323 .00975137 .0193202 .0228564 .0265761 .0263526 .0228286\n"
      "    .0170981 .0146186 .0178596 .0246318 .0284701 .030201 .0323896 .0315898\n"
      "    .0228244 .0132196 .00819423 .00735733 .00918475 .0117355 .0117012 .00985859\n"
      "    .012755 .0188936 .0244122 .0277999 .0172894 .00494017 .000649141 3.61982e-05\n"
      "    7.64038e-07 5.63908e-09 0r37 1.1944e-13 1.91967e-11 1.56764e-09 6.56475e-08\n"
      "    1.42001e-06 1.60781e-05 9.75551e-05 .000329717 .000658087 .000844431\n"
      "    .00079766 .000682587 .000614676 .00054447 .000431158 .000351787 .000428306\n"
      "    .000660964 .00084993 .000847176 .000788875 .000854859 .00102766 .00116682\n"
      "    .00119726 .00117101 .00113087 .00114913 .00139304 .00178695 .0019941\n"
      "    .00189144 .00156676 .0012983 .00182262 .00363162 .00565122 .00615161\n"
      "    .00509627 .00360732 .00221205 .00106062 .000357536 7.93459e-05 1.11501e-05\n"
      "    9.67474e-07\n"
      "@DYNINFO\n"
      "  element  Ge\n"
      "  fraction 3/19\n"
      "  type     vdos\n"
      "  vdos_egrid .00199993 .0999966\n"
      "  vdos_density .0211617 .0351731 .0522024 .0743093 .0645578 .0747274 .0984546\n"
      "    .119217 .0883692 .12079 .100412 .105948 .125303 .09346 .0673411 .0705813\n"
      "    .116287 .147452 .150053 .18302 .191307 .0995562 .0820251 .104843 .122441\n"
      "    .154373 .196959 .224468 .163574 .161227 .14883 .163391 .207585 .310596\n"
      "    .325505 .3136 .452843 .451596 .262364 .0892067 .0598072 .0669605 .0878089\n"
      "    .131815 .181888 .145616 .120457 .159669 .384615 .823529 1 .792859 .525662\n"
      "    .351272 .164672 .105451 .142174 .13827 .114881 .112261 .127249 .0892104\n"
      "    .0791625 .134138 .162185 .117347 .0600553 .0190252 .00285088 .000151117\n"
      "    1.77808e-06 3.80231e-09 0r5 2.2729e-10 1.56307e-07 2.57259e-05 .00107186\n"
      "    .0133261 .0633798 .130468 .174237 .237178 .233908 .185691 .138919 .116413\n"
      "    .122471 .148326 .159539 .165429 .179681 .174181 .126746 .0772425 .0497807\n"
      "    .0425053 .0464897 .0512456 .0450763 .0325272 .036489 .0577378 .0901789\n"
      "    .11455 .0736453 .0214692 .00286612 .000161238 3.41554e-06 2.52558e-08 0r37\n"
      "    1.45148e-11 2.33376e-09 1.90644e-07 7.98864e-06 .000173003 .00196294\n"
      "    .0119522 .0406123 .081637 .105707 .101439 .0899838 .0858925 .080512 .0662629\n"
      "    .0554643 .0680994 .103242 .129376 .123605 .102597 .0886558 .08242 .0767025\n"
      "    .07178 .072443 .0767182 .0812097 .0911489 .105871 .112629 .10578 .086329\n"
      "    .0566111 .0286813 .0149275 .0136843 .0156333 .0156729 .0134724 .00947865\n"
      "    .00494497 .00175998 .000405206 5.83602e-05 5.1448e-06\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 12/19\n"
      "  type     vdos\n"
      "  vdos_egrid .00199993 .0999966\n"
      "  vdos_density .0161587 .0312257 .0597613 .105373 .0931886 .109005 .1469 .2058\n"
      "    .150689 .195983 .167449 .158357 .17496 .152576 .148551 .152691 .229802\n"
      "    .236517 .189339 .187355 .179638 .129235 .192369 .448143 .40611 .436199\n"
      "    .565474 .599631 .532333 .615415 .487082 .447323 .360259 .444882 .451607\n"
      "    .392792 .494506 .529909 .351668 .145411 .0949944 .11008 .156184 .243259\n"
      "    .306218 .209633 .156996 .166228 .275093 .511422 .662395 .644098 .537838\n"
      "    .422619 .284091 .358655 .602999 .681709 .650392 .630619 .742095 .607838\n"
      "    .517379 .749761 .883433 .692556 .399277 .141194 .0236965 .0013262 1.5794e-05\n"
      "    3.38566e-08 0r5 1.44115e-09 9.90028e-07 .000162283 .00666393 .0796734\n"
      "    .359698 .719838 .87068 1 .947136 .786037 .550968 .407684 .468923 .700337\n"
      "    .864146 .901698 .904306 .816031 .568918 .338163 .228581 .23098 .308781\n"
      "    .394255 .38259 .326677 .447618 .621149 .633325 .58548 .327869 .0843064\n"
      "    .00997651 .000521016 1.06888e-05 7.77062e-08 0r37 7.45621e-11 1.19907e-08\n"
      "    9.79672e-07 4.1064e-05 .000889787 .010106 .0616422 .210042 .423928 .551857\n"
      "    .533465 .478429 .462343 .435845 .354748 .282482 .322075 .474204 .595478\n"
      "    .577453 .490268 .433159 .409039 .385621 .366343 .375718 .402918 .429678\n"
      "    .482779 .558451 .589626 .547836 .447146 .330021 .323938 .525793 .790619\n"
      "    .87912 .788868 .63736 .44088 .227602 .0797445 .0180494 .00256267 .000223599\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ge3Bi4O12_sg220_BismuthGermanate.ncmat",textdata);
  }
  {
    // File Ge_sg227.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Germanium (Ge)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011245 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008567.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 3 of:\n"
      "#\n"
      "#   \"Phonon Density of States in Germanium at 80 K Measured by Neutron Spectrometry\"\n"
      "#   G. Nelin and G. Nilsson\n"
      "#   Phys. Rev. B 5, 3151 - Published 15 April 1972\n"
      "#   https://doi.org/10.1103/PhysRevB.5.3151\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.65735\n"
      "@SPACEGROUP\n"
      "  227\n"
      "@ATOMPOSITIONS\n"
      "  Ge 1/2 1/2 1/2\n"
      "  Ge 1/4 1/4 3/4\n"
      "  Ge 1/2 0   0\n"
      "  Ge 1/4 3/4 1/4\n"
      "  Ge 0   1/2 0\n"
      "  Ge 3/4 1/4 1/4\n"
      "  Ge 0   0   1/2\n"
      "  Ge 3/4 3/4 3/4\n"
      "@DYNINFO\n"
      "  element  Ge\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0037709431308882 .037789664141454\n"
      "  vdos_density .00642161 .00671832 .00701502 .00741641 .00788829 .00786109\n"
      "    .00783389 .00825074 .008794 .00939951 .0100254 .0106512 .0111997 .0116794\n"
      "    .0121591 .0128384 .0139002 .0142917 .0143953 .014912 .0162159 .0172128\n"
      "    .0179935 .0187743 .0196919 .0206208 .0215496 .0228621 .0242531 .0256441\n"
      "    .0262288 .0269449 .0280969 .0298877 .0316785 .0334823 .0353066 .0371309\n"
      "    .0389924 .0411774 .0433623 .0456422 .0483213 .0510005 .0534526 .0556042\n"
      "    .0578568 .0690471 .0803681 .0877839 .101449 .119528 .138503 .142826 .144484\n"
      "    .146868 .146935 .147554 .148889 .151723 .154558 .15746 .160364 .163379\n"
      "    .166949 .170519 .174953 .179824 .184727 .189652 .194836 .20264 .211943\n"
      "    .215947 .220494 .228493 .24062 .27392 .358112 .354823 .353134 .347787\n"
      "    .342544 .287175 .275034 .265128 .256337 .248191 .240405 .233216 .226226\n"
      "    .219739 .213279 .207165 .201763 .196829 .191895 .187885 .183937 .180348\n"
      "    .177157 .174655 .173788 .172723 .170877 .168134 .165899 .164905 .164712\n"
      "    .162083 .159975 .157925 .155844 .153731 .151841 .150098 .148355 .146644\n"
      "    .144935 .143224 .14147 .139923 .139333 .139693 .14112 .145225 .149503\n"
      "    .154077 .158861 .168779 .185507 .161185 .15217 .141356 .119385 .103411\n"
      "    .090328 .0746752 .0688458 .058713 .0549918 .0480121 .0170378 .0160755\n"
      "    .0159431 .0158657 .015906 .0159918 .0161616 .0163313 .0165145 .0167603\n"
      "    .0170061 .017252 .0174417 .0175901 .0177385 .0179197 .0181395 .0183593\n"
      "    .0185791 .0187989 .0190788 .0195906 .0201023 .0206141 .021023 .0212553\n"
      "    .0214876 .0217198 .0220285 .0224567 .0228849 .0233131 .0237207 .0241152\n"
      "    .0245097 .0249919 .0256848 .0263722 .026687 .0270018 .0273348 .027706\n"
      "    .0280771 .0284483 .0289719 .0295127 .0300949 .0307374 .03138 .0320225\n"
      "    .0325901 .0330855 .0335809 .0340466 .0345001 .0352059 .0361614 .0369706\n"
      "    .0375988 .0382269 .0389413 .0399031 .0408649 .0417688 .0423995 .0430303\n"
      "    .0436611 .044393 .0451836 .0460433 .0471141 .0477325 .048804 .0500163\n"
      "    .0510684 .0522395 .0534663 .0546932 .0554935 .0566684 .0581009 .059414\n"
      "    .0607434 .0621957 .0636479 .0651001 .0665523 .0679737 .0693704 .0707671\n"
      "    .0722485 .0741638 .0760791 .0780517 .0801075 .0822694 .0844684 .0866744\n"
      "    .0898355 .0929966 .0972184 .101941 .109107 .119944 .131422 .151138 .196404\n"
      "    .189721 .185197 .161885 .14481 .134636 .122754 .116125 .107795 .101843\n"
      "    .0950889 .0889744 .0835496 .0789225 .0762901 .0741303 .0704634 .066508\n"
      "    .0629868 .0597318 .0583304 .0566176 .05541 .0531745 .051872 .0498401\n"
      "    .0471895 .0446015 .0434758 .0436862 .0439699 .0442155 .044422 .0443594\n"
      "    .0439542 .0438053 .0441778 .0453018 .0477108 .0501771 .0526466 .0548435\n"
      "    .0565366 .0582297 .0596201 .0603445 .0613954 .063615 .0692368 .0749845\n"
      "    .0794927 .082745 .0855977 .0870762 .08785 .0879778 .0879416 .0889055 .090216\n"
      "    .0917523 .093269 .0947204 .0960874 .0971176 .0967653 .0961992 .0955932\n"
      "    .095261r2 .0956162 .096566 .0976804 .0988581 .0996075 .100453 .101928\n"
      "    .102035 .101987 .101658 .100535 .0991375 .097502 .0954866 .0968568 .0963578\n"
      "    .0939135 .0924605 .0918101 .0912967 .0907287 .0901447 .08951 .088479\n"
      "    .0874479 .0865983 .0858608 .0850773 .0840866 .0830959 .0820049 .0807563\n"
      "    .0795078 .0783703 .0773779 .0763855 .0756108 .0749832 .0737732 .072358\n"
      "    .0710051 .0697942 .0685833 .0674625 .0663519 .0656774 .0652634 .0646987\n"
      "    .0639048 .0629132 .0618761 .0608454 .0598158 .0590349 .0582539 .0573493\n"
      "    .0563759 .0556531 .0551371 .0546249 .0541795 .0546597 .170356 .423666\n"
      "    .706151 .789197 .771843 .577726 .549473 .532508 .539114 .605547 .626206\n"
      "    .640302 .648089 .648205 .634134 .607647 .594267 .629515 .738786 .849025\n"
      "    .861101 1 .951751 .864257 .582436 .306075 .248015 .198144 .16098 .139755\n"
      "    .134341 .131798 .125662 .113864 .0972679 .0792541 .066718 .0582536 .0559391\n"
      "    .0541794 .0473765 .0327775 .022636 .0129234 .00248401 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ge_sg227.ncmat",textdata);
  }
  {
    // File He_Gas_STP.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Helium (aka \"Helium-4\" ) gas.\n"
      "#\n"
      "# Noble gasses such as this one can be modelled realistically using the freegas\n"
      "# model of NCrystal. The density is the value at STP (273.15K, 1atm) calculated\n"
      "# with the ideal gas equation. The density value must currently (NCrystal\n"
      "# v2.7.0) be manually changed by the user if modelling using different\n"
      "# temperatures or pressures is desired (the formula is given below).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  gas\n"
      "@DYNINFO\n"
      "  element  He\n"
      "  fraction 1\n"
      "  type     freegas\n"
      "@DENSITY\n"
      "  # Notice: We are hardcoding the STP values (273.15K, 1atm) here. For other\n"
      "  # values of pressure and temperature, it can be calculated as:\n"
      "  #\n"
      "  #      density [kg/m3] = 48.77840 * ( P[atm] / T[K] )\n"
      "  #\n"
      "  # Which assumes a He mass of 4.002602 amu.\n"
      "  0.178577 kg_per_m3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("He_Gas_STP.ncmat",textdata);
  }
  {
    // File HfO2_sg14_HafniumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Hafnium oxide (HfO2, hafnia, monoclinic, SG-14 / P2_1/c)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 1400 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Neutron diffraction and MAS NMR of cesium tungstate defect pyrochlores\"\n"
      "#    Whittle, K.R., et al. (2006)\n"
      "#    Crystallography Open Database entry 1528988\n"
      "#    https://www.crystallography.net/cod/1528988.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-352\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for HfO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-352.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.2]\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.118 5.1857 5.2841\n"
      "  angles 90 99.352 90\n"
      "@SPACEGROUP\n"
      "  14\n"
      "@ATOMPOSITIONS\n"
      "  Hf .2755 .0397 .208\n"
      "  Hf .7245 .5397 .292\n"
      "  Hf .7245 .9603 .792\n"
      "  Hf .2755 .4603 .708\n"
      "  O .4487 .7581 .4801\n"
      "  O .5513 .2581 .0199\n"
      "  O .5513 .2419 .5199\n"
      "  O .4487 .7419 .9801\n"
      "  O .0742 .3316 .3467\n"
      "  O .9258 .8316 .1533\n"
      "  O .9258 .6684 .6533\n"
      "  O .0742 .1684 .8467\n"
      "@DYNINFO\n"
      "  element  Hf\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00674977 .105746\n"
      "  vdos_density .0898221 .132443 .160005 .225099 .310067 .534042 .54688 .605853\n"
      "    .666487 1 .834969 .787271 .822802 .767721 .596295 .451624 .406935 .414046\n"
      "    .440874 .449592 .417685 .418973 .517005 .563125 .440593 .410432 .421258\n"
      "    .440895 .467598 .591179 .502326 .231909 .152588 .0900495 .0335874 .018474\n"
      "    .0297133 .0608176 .0438511 .0294979 .020156 .014905 .0112272 .00858842\n"
      "    .00717051 .00901443 .0144378 .0246561 .0293794 .027507 .023761 .0214096\n"
      "    .0178512 .0151476 .016208 .0185858 .0178084 .0172399 .0156681 .0149607\n"
      "    .0124827 .0100855 .00875322 .00857785 .00862685 .00895686 .00977814 .0100553\n"
      "    .0107036 .0104872 .0109547 .0116971 .010875 .00987883 .00783758 .00599456\n"
      "    .00553564 .00544728 .00500588 .00474136 .00503061 .00537469 .00619876\n"
      "    .00614939 .00607197 .00621404 .00538918 .00455862 .00419664 .00397819\n"
      "    .00355504 .00319851 .0032614 .00309216 .00243344 .00195483 .00189908\n"
      "    .00240067 .00275429 .00256905 .00260817 .00278526 .00277896 .00286176\n"
      "    .00292601 .00297721 .00324378 .00337891 .00290397 .00201995 .00136755\n"
      "    .00107464 .00161663 .00299819 .00432799 .00507993 .00518976 .00507588\n"
      "    .00505302 .00487485 .00412294 .00275888 .00161159 .00106226 .000874091\n"
      "    .000760485 .000617954 .000466735 .000334925 .000200884 7.33495e-05\n"
      "    1.20247e-05 7.43318e-07\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00674977 .105746\n"
      "  vdos_density .0242088 .0343382 .0388559 .0511364 .0633706 .0853117 .0839134\n"
      "    .088626 .0922277 .121123 .100011 .114682 .121748 .102952 .107616 .123399\n"
      "    .143442 .146893 .157657 .176101 .211433 .18513 .222703 .271321 .215286\n"
      "    .128366 .108813 .11734 .171395 .311943 .41331 .446616 .67506 .691785 .309742\n"
      "    .21611 .350859 .624344 .544782 .4841 .417242 .399054 .371649 .298966 .22446\n"
      "    .262535 .447562 .817837 .95454 .897395 .851318 .864146 .807058 .733481\n"
      "    .787583 .904149 .879608 .853233 .74095 .717969 .619607 .508858 .446833\n"
      "    .45329 .475777 .477941 .555446 .614858 .716014 .772084 .894107 1 .962352\n"
      "    .946876 .829377 .736289 .782664 .813643 .740053 .668208 .683938 .75496\n"
      "    .87716 .856703 .851798 .847985 .693353 .564386 .51702 .477683 .39626 .32383\n"
      "    .29194 .252289 .191678 .151642 .166389 .249799 .306517 .271044 .257989\n"
      "    .29303 .305045 .303232 .305899 .32473 .355541 .37374 .343953 .258974 .18342\n"
      "    .161333 .258187 .42892 .524738 .536246 .498745 .458879 .433659 .397789\n"
      "    .314746 .190244 .0900101 .0438021 .0296973 .023902 .0185502 .0134662\n"
      "    .00933479 .00546959 .00197257 .000321688 1.98476e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("HfO2_sg14_HafniumOxide.ncmat",textdata);
  }
  {
    // File Ho2O3_sg206_HolmiumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Holmium oxide (Ho2O3, cubic, SG-206 / Ia-3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2688K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"A synchrotron X-ray study of the electron density\n"
      "#     in C-type rare earth oxides\"\n"
      "#    Maslen, E. N., et al. (1996)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108768195013371\n"
      "#    Crystallography Open Database entry 2101512\n"
      "#    https://www.crystallography.net/cod/2101512.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1541744.html other\n"
      "#   https://www.crystallography.net/cod/2106880.html other\n"
      "#   https://www.materialsproject.org/materials/mp-812\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Ho2O3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-812.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.605\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Ho 1/4 1/4 1/4\n"
      "  Ho 3/4 1/4 1/4\n"
      "  Ho 1/4 1/4 3/4\n"
      "  Ho 1/4 3/4 1/4\n"
      "  Ho 3/4 3/4 3/4\n"
      "  Ho 1/4 3/4 3/4\n"
      "  Ho 3/4 3/4 1/4\n"
      "  Ho 3/4 1/4 3/4\n"
      "  Ho .96801 0 1/4\n"
      "  Ho .46801 0 1/4\n"
      "  Ho .96801 1/2 3/4\n"
      "  Ho .53199 1/2 1/4\n"
      "  Ho 3/4 .03199 0\n"
      "  Ho 1/4 .46801 0\n"
      "  Ho 3/4 .96801 1/2\n"
      "  Ho 1/4 .53199 1/2\n"
      "  Ho 0 3/4 .03199\n"
      "  Ho 0 1/4 .46801\n"
      "  Ho 1/2 3/4 .96801\n"
      "  Ho 1/2 1/4 .53199\n"
      "  Ho .03199 0 3/4\n"
      "  Ho .53199 0 3/4\n"
      "  Ho .03199 1/2 1/4\n"
      "  Ho .46801 1/2 3/4\n"
      "  Ho 1/4 .96801 0\n"
      "  Ho 3/4 .53199 0\n"
      "  Ho 1/4 .03199 1/2\n"
      "  Ho 3/4 .46801 1/2\n"
      "  Ho 0 1/4 .96801\n"
      "  Ho 0 3/4 .53199\n"
      "  Ho 1/2 1/4 .03199\n"
      "  Ho 1/2 3/4 .46801\n"
      "  O .3908 .1516 .3798\n"
      "  O .8908 .1516 .1202\n"
      "  O .3908 .3484 .8798\n"
      "  O .1092 .6516 .3798\n"
      "  O .6202 .6092 .8484\n"
      "  O .1202 .8908 .1516\n"
      "  O .8798 .3908 .3484\n"
      "  O .3798 .1092 .6516\n"
      "  O .8484 .6202 .6092\n"
      "  O .1516 .1202 .8908\n"
      "  O .3484 .8798 .3908\n"
      "  O .6516 .3798 .1092\n"
      "  O .6092 .8484 .6202\n"
      "  O .1092 .8484 .8798\n"
      "  O .6092 .6516 .1202\n"
      "  O .8908 .3484 .6202\n"
      "  O .3798 .3908 .1516\n"
      "  O .8798 .1092 .8484\n"
      "  O .1202 .6092 .6516\n"
      "  O .6202 .8908 .3484\n"
      "  O .1516 .3798 .3908\n"
      "  O .8484 .8798 .1092\n"
      "  O .6516 .1202 .6092\n"
      "  O .3484 .6202 .8908\n"
      "  O .8908 .6516 .8798\n"
      "  O .3908 .6516 .6202\n"
      "  O .8908 .8484 .3798\n"
      "  O .6092 .1516 .8798\n"
      "  O .1202 .1092 .3484\n"
      "  O .6202 .3908 .6516\n"
      "  O .3798 .8908 .8484\n"
      "  O .8798 .6092 .1516\n"
      "  O .3484 .1202 .1092\n"
      "  O .6516 .6202 .3908\n"
      "  O .8484 .3798 .8908\n"
      "  O .1516 .8798 .6092\n"
      "  O .1092 .3484 .1202\n"
      "  O .6092 .3484 .3798\n"
      "  O .1092 .1516 .6202\n"
      "  O .3908 .8484 .1202\n"
      "  O .8798 .8908 .6516\n"
      "  O .3798 .6092 .3484\n"
      "  O .6202 .1092 .1516\n"
      "  O .1202 .3908 .8484\n"
      "  O .6516 .8798 .8908\n"
      "  O .3484 .3798 .6092\n"
      "  O .1516 .6202 .1092\n"
      "  O .8484 .1202 .3908\n"
      "@DYNINFO\n"
      "  element  Ho\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00649978 .0769974\n"
      "  vdos_density .0672478 .103506 .132236 .169176 .169768 .304791 .378498 .68088\n"
      "    .726698 .635463 .856691 1 .83765 .733598 .690579 .712247 .867539 .895508\n"
      "    .849921 .73204 .668328 .527814 .432703 .509944 .487114 .482414 .4536 .39125\n"
      "    .341577 .370093 .395144 .439933 .501065 .533482 .601389 .672825 .678387\n"
      "    .502506 .437761 .361461 .179785 .0744858 .0156332 .000524441 1.99257e-06\n"
      "    8.21798e-10 0r4 2.98675e-13 1.10348e-09 6.62103e-07 6.68587e-05 .00134616\n"
      "    .00839272 .0211239 .02488 .0206177 .0207848 .0214507 .0201436 .0252602\n"
      "    .030169 .0301831 .0253399 .0240604 .0242352 .02482 .0246403 .0238304\n"
      "    .0195709 .0176641 .0200781 .021189 .0191507 .0162609 .0150036 .014925\n"
      "    .017024 .0181775 .0177556 .0184402 .0185099 .020127 .0219607 .0224285\n"
      "    .020989 .0176464 .0128489 .00766801 .00389143 .00306161 .00386681 .00570747\n"
      "    .00745451 .00636855 .00408108 .00353058 .00461218 .00614532 .00721457\n"
      "    .00704228 .00581441 .00484214 .00515888 .00653617 .00685444 .00529659\n"
      "    .00412011 .00413472 .00476591 .00544378 .00582919 .00612173 .00579378\n"
      "    .00478033 .00372111 .00291297 .00227817 .0019791 .00245748 .00395054\n"
      "    .00561391 .00608895 .00568459 .00490942 .00359431 .00328613 .00462907\n"
      "    .00645153 .00763866 .00775261 .0076173 .00802242 .00820762 .00719793\n"
      "    .00521502 .00306118 .00135106 .000402866 7.48074e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00649978 .0769974\n"
      "  vdos_density .00926086 .0138301 .0170664 .0211746 .0199323 .0319747 .0343893\n"
      "    .0534469 .0564505 .0455583 .0574459 .0600186 .0466903 .0400762 .0349576\n"
      "    .03176 .0314558 .0299289 .027217 .0247855 .0230963 .0184618 .017392 .021406\n"
      "    .0207883 .021029 .0194581 .0174338 .0158364 .0171797 .0182427 .0196623\n"
      "    .0221472 .0232333 .0236063 .0241535 .0241719 .0173137 .014117 .00985912\n"
      "    .00320919 .000650454 .000104655 3.38375e-06 1.28023e-08 5.28004e-12 0r4\n"
      "    3.03464e-12 1.12146e-08 6.73674e-06 .000684551 .0141606 .0933587 .248415\n"
      "    .318048 .324486 .440917 .537862 .527416 .619165 .718081 .734714 .66019\n"
      "    .642899 .641586 .671635 .695955 .693342 .571156 .53772 .664389 .754953\n"
      "    .724662 .662356 .654182 .659074 .762554 .80757 .725979 .691867 .71672\n"
      "    .854091 .981359 1 .921237 .73733 .486433 .269374 .134118 .106313 .144719\n"
      "    .246009 .351916 .305362 .179166 .167108 .308774 .53133 .690515 .691531\n"
      "    .558536 .432319 .457486 .639042 .682327 .418189 .175232 .107736 .120756\n"
      "    .146601 .162741 .175512 .168589 .142405 .116628 .0964255 .0795376 .0764168\n"
      "    .110476 .197423 .29849 .363371 .432398 .468102 .399528 .386823 .468631\n"
      "    .533536 .538523 .482535 .413079 .375545 .338463 .265054 .173326 .0938091\n"
      "    .0392225 .0113121 .00205585\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ho2O3_sg206_HolmiumOxide.ncmat",textdata);
  }
  {
    // File KBr_sg225_PotassiumBromide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Potassium Bromide, (KBr, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1000K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008650\n"
      "#    https://www.crystallography.net/cod/9008650.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23251\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for KBr taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23251.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 6.6\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  K 0 0 0\n"
      "  K 0 1/2 1/2\n"
      "  K 1/2 0 1/2\n"
      "  K 1/2 1/2 0\n"
      "  Br 1/2 1/2 1/2\n"
      "  Br 1/2 0 0\n"
      "  Br 0 1/2 0\n"
      "  Br 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  Br\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0179994\n"
      "  vdos_density .0602193 .0734317 .0820251 .0961617 .110598 .140693 .177352\n"
      "    .207254 .2411 .301194 .378657 .444931 .474513 .484138 .495078 .518505\n"
      "    .546242 .563129 .592993 .625516 .667837 .728846 .836546 .982672 1 .737001\n"
      "    .445723 .374046 .456882 .549815 .661841 .779275 .773552 .566902 .296251\n"
      "    .11236 .0307099 .0122489 .0274575 .0616222 .101085 .138061 .176962 .21933\n"
      "    .279756 .390411 .501243 .494687 .370713 .220868 .127744 .0938914 .0736915\n"
      "    .0607018 .0637661 .0765206 .0840375 .0753244 .0541989 .0324145 .0164588\n"
      "    .00660623 .00183252 .000317044\n"
      "@DYNINFO\n"
      "  element  K\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0179994\n"
      "  vdos_density .0203969 .0246615 .0272374 .0315436 .035793 .0448449 .0556141\n"
      "    .0638132 .072684 .0887697 .109073 .125166 .129887 .128298 .126417 .126865\n"
      "    .127189 .123548 .12179 .11896 .114508 .109103 .103145 .0911901 .0726831\n"
      "    .0554076 .0441011 .0425459 .0488218 .0537087 .058283 .0600818 .0504901\n"
      "    .0316529 .0149408 .00711457 .0220176 .101578 .248565 .380183 .454509 .499663\n"
      "    .557955 .624693 .700469 .844303 1 .983634 .775386 .522575 .405092 .421204\n"
      "    .426328 .411952 .43023 .474467 .495002 .450931 .361669 .267239 .177768\n"
      "    .0942787 .0345088 .00773543\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("KBr_sg225_PotassiumBromide.ncmat",textdata);
  }
  {
    // File KF_sg225_PotassiumFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Potassium Flouride (KF, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1131K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers,\n"
      "#     New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008652\n"
      "#    https://www.crystallography.net/cod/9008652.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1010978.html\n"
      "#   https://www.materialsproject.org/materials/mp-463\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for KF taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-463.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.347\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  K 0 0 0\n"
      "  K 0 1/2 1/2\n"
      "  K 1/2 0 1/2\n"
      "  K 1/2 1/2 0\n"
      "  F 1/2 1/2 1/2\n"
      "  F 1/2 0 0\n"
      "  F 0 1/2 0\n"
      "  F 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  K\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0329989\n"
      "  vdos_density .130628 .142233 .162558 .17479 .191355 .199831 .204952 .236311\n"
      "    .265568 .292188 .325642 .362334 .405912 .480933 .578297 .628619 .615749\n"
      "    .599602 .614833 .628045 .636871 .667115 .719056 .770007 .810166 .872893\n"
      "    .918874 .890891 .835738 .777179 .697771 .613888 .571382 .557448 .529193\n"
      "    .477406 .427317 .39255 .359463 .316937 .272684 .227215 .18913 .180284\n"
      "    .201186 .23102 .269298 .325987 .395885 .470038 .549364 .633614 .704993\n"
      "    .725615 .672051 .573065 .480019 .410897 .374872 .385982 .420962 .447744\n"
      "    .498616 .627971 .824858 .991461 1 .819591 .552691 .318963 .167134 .0873205\n"
      "    .0525109 .0398569 .0341421 .0286576 .0229088 .0184805 .0165054 .016828\n"
      "    .0187527 .0214674 .0230729 .0222204 .0214293 .0251238 .0322035 .0359618\n"
      "    .0350896 .0365403 .0440533 .0528005 .0589261 .0661616 .0790005 .097916\n"
      "    .12262 .14748 .152176 .120524 .0688633 .02773 .00781337 .00153248\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0329989\n"
      "  vdos_density .0237721 .0255686 .0289588 .0308462 .0334147 .0346127 .0351759\n"
      "    .0400459 .0442069 .0480161 .0529654 .0583351 .0647373 .0757003 .0895207\n"
      "    .0946519 .0884386 .0813564 .0793814 .076885 .0728737 .0709149 .0705303\n"
      "    .0684494 .0638254 .060024 .0538538 .0439131 .0384548 .0391091 .0391748\n"
      "    .036556 .0361359 .0378325 .037796 .0344706 .0309343 .0289448 .0268464\n"
      "    .0243935 .0220999 .0192931 .0168772 .0171454 .0199155 .0228578 .0264217\n"
      "    .0321755 .0401455 .0505921 .0639563 .078 .0892347 .100011 .127087 .191407\n"
      "    .275184 .325317 .335731 .351793 .384565 .415382 .464762 .581177 .776012\n"
      "    .961668 1 .851881 .609988 .38403 .226766 .142832 .115212 .119306 .129028\n"
      "    .128202 .119108 .113408 .113546 .112755 .11186 .117217 .124169 .122344\n"
      "    .114843 .116734 .131543 .141851 .138289 .136098 .146692 .160591 .169325\n"
      "    .180375 .200964 .230227 .267488 .302291 .298965 .231214 .13037 .0518867\n"
      "    .0143765 .00275176\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("KF_sg225_PotassiumFlouride.ncmat",textdata);
  }
  {
    // File KOH_sg4_PotassiumHydroxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Potassium hydroxide (KOH, monoclinic, SG-4 / P2_1)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 500K.\n"
      "#\n"
      "# Structure converted with NCrystal.cifutils from:\n"
      "#\n"
      "#    The Materials Project\n"
      "#    https://www.materialsproject.org/materials/mp-626716\n"
      "#\n"
      "# This crystal structure is compatible with the structure reported by: James\n"
      "# A. Ibers, Junji Kumamoto, and Robert G. Snyder , \"Structure of Potassium\n"
      "# Hydroxide: An X-Ray and Infrared Study\", The Journal of Chemical Physics 33,\n"
      "# 1164-1170 (1960) https://doi.org/10.1063/1.1731351\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for KOH taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d626/mp-626716.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.9092 3.97746 5.50725\n"
      "  angles 90 109.975 90\n"
      "@SPACEGROUP\n"
      "  4\n"
      "@ATOMPOSITIONS\n"
      "  H .46660881 .40161473 .93624027\n"
      "  H .53339119 .90161473 .06375973\n"
      "  K .14280099 .25829552 .27803776\n"
      "  K .85719901 .75829552 .72196224\n"
      "  O .38612037 .23951175 .79434111\n"
      "  O .61387963 .73951175 .20565889\n"
      "@DYNINFO\n"
      "  element  K\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0029999 .412986\n"
      "  vdos_density .0400678 .0563346 .0789443 .109321 .142516 .212184 .408146\n"
      "    .555845 .71345 .817642 1 .987163 .547834 .433111 .659628 .676983 .270742\n"
      "    .32621 .328468 .268066 .158236 .0429713 .0318657 .02559 .0170485 .0109414\n"
      "    .011665 .00888663 .0141184 .022235 .0206983 .0247934 .0352103 .0249146\n"
      "    .0129665 .0106462 .00777238 .00128495 4.34371e-05 3.71025e-09 0r53\n"
      "    2.62298e-16 2.18642e-12 2.45766e-09 3.78284e-07 8.78636e-06 4.66858e-05\n"
      "    9.60626e-05 9.1777e-05 6.62942e-05 6.46498e-05 7.29216e-05 5.96166e-05\n"
      "    6.63142e-05 6.08399e-05 4.98164e-05 8.37667e-05 8.0428e-05 .000149815\n"
      "    .000227795 .000205023 .000220648 .000282191 .000295917 .000330078 .000407906\n"
      "    .000551345 .000707103 .000725717 .000590495 .000394028 .000188068\n"
      "    6.66697e-05 4.47309e-05 7.16592e-05 5.61606e-05 4.70805e-05 7.16487e-05\n"
      "    5.44401e-05 4.9381e-05 7.74059e-05 7.3606e-05 7.75718e-05 8.17038e-05\n"
      "    9.45421e-05 .000111991 .000137917 .000147668 .000100862 4.22451e-05\n"
      "    1.06894e-05 1.32252e-06 6.25292e-08 9.84649e-10 4.88026e-12 0r225\n"
      "    9.16888e-16 1.58719e-14 1.97423e-13 1.97957e-12 1.61576e-11 1.07576e-10\n"
      "    5.85711e-10 2.61594e-09 9.62187e-09 2.92954e-08 7.43373e-08 1.58678e-07\n"
      "    2.8861e-07 4.55237e-07 6.37454e-07 8.15539e-07 9.83496e-07 1.1494e-06\n"
      "    1.32533e-06 1.516e-06 1.71191e-06 1.88854e-06 2.01301e-06 2.05685e-06\n"
      "    2.00824e-06 1.87318e-06 1.66724e-06 1.40861e-06 1.11874e-06 8.24757e-07\n"
      "    5.56561e-07 3.38798e-07 1.83332e-07 8.69645e-08 3.57146e-08 1.25664e-08\n"
      "    3.7567e-09 9.4803e-10 2.00978e-10\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0029999 .412986\n"
      "  vdos_density .0273127 .0374014 .0516389 .0668415 .0819437 .114561 .203185\n"
      "    .256769 .271009 .204923 .213846 .205893 .151319 .199029 .533788 .533657\n"
      "    .441003 .908887 1 .973669 .649946 .346735 .310818 .276197 .183757 .160073\n"
      "    .159952 .12797 .172496 .294742 .316018 .537974 .714942 .437428 .253584\n"
      "    .19106 .132881 .0259966 .000920911 7.86685e-08 0r53 1.22755e-14 1.02305e-10\n"
      "    1.14882e-07 1.75646e-05 .00039154 .00178595 .00309178 .0026208 .0016313\n"
      "    .00146091 .00144256 .00117964 .00112795 .00117048 .000830983 .00121281\n"
      "    .000999734 .00131291 .00220698 .00203394 .00223541 .0029708 .00302914\n"
      "    .00341201 .0045832 .0062856 .00804189 .00873557 .00765142 .00530707\n"
      "    .00255658 .000979942 .000632079 .000977593 .000854875 .000684026 .00100371\n"
      "    .000856169 .000756196 .00112512 .00106858 .00112118 .00128134 .00140462\n"
      "    .00167539 .0020684 .00242379 .00203032 .001087 .000330579 4.47851e-05\n"
      "    2.18951e-06 3.48484e-08 1.73493e-10 0r225 2.4644e-11 4.08348e-10 5.00901e-09\n"
      "    4.96159e-08 3.99065e-07 2.61031e-06 1.39118e-05 6.05498e-05 .000215838\n"
      "    .000632434 .00153056 .00307922 .00519673 .00745409 .00926233 .0102464\n"
      "    .0104686 .0103132 .010201 .0103988 .0109963 .0119475 .013087 .0141266\n"
      "    .0146871 .0144049 .0130997 .0109054 .00824625 .00564353 .00349041 .00194633\n"
      "    .000973105 .00043218 .000168517 5.69937e-05 1.65379e-05 4.08049e-06\n"
      "    8.50211e-07\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0029999 .412986\n"
      "  vdos_density .0036452 .00490563 .0063857 .00845887 .0103376 .0141038 .0223026\n"
      "    .0259329 .0262739 .0215737 .0241946 .0304663 .0200097 .0211747 .0459846\n"
      "    .042426 .02314 .0537335 .0622226 .0585466 .0390539 .0234631 .0267494\n"
      "    .0288052 .0191453 .0160579 .0176301 .0133367 .0179835 .0355036 .0414207\n"
      "    .0678968 .0838856 .0533835 .0337612 .0267279 .0192446 .00389726 .000139152\n"
      "    1.18871e-08 0r53 1.85999e-12 1.55014e-08 1.74071e-05 .00266156 .0593502\n"
      "    .271114 .470793 .402619 .254288 .226122 .227626 .18393 .180749 .181076\n"
      "    .13322 .217742 .394676 .886603 1 .753297 .65214 .689579 .624835 .607842\n"
      "    .691214 .812835 .928412 .930935 .715942 .464299 .285924 .149316 .105922\n"
      "    .165826 .143365 .114201 .167764 .14214 .124111 .184192 .175275 .181916\n"
      "    .203988 .222181 .261778 .320266 .367882 .299503 .156751 .0471912 .00637289\n"
      "    .000311278 4.953e-06 2.46558e-08 0r225 9.25164e-10 1.53338e-08 1.8811e-07\n"
      "    1.86343e-06 1.49891e-05 9.80565e-05 .000522673 .0022753 .00811255 .0237781\n"
      "    .0575688 .115884 .195728 .28107 .349847 .388003 .397895 .394016 .392314\n"
      "    .403029 .429781 .470941 .520015 .565316 .591174 .582389 .531239 .443056\n"
      "    .335284 .229445 .14181 .0789905 .0394426 .0174954 .00681408 .00230234\n"
      "    .000667535 .000164597 3.42772e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("KOH_sg4_PotassiumHydroxide.ncmat",textdata);
  }
  {
    // File K_sg229.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Potassium (K, cubic, SG-229 / Im-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 330K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York,\n"
      "#     Sample at T = 78 K  Body centered cubic, bcc, structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008540\n"
      "#    https://www.crystallography.net/cod/9008540.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#    https://www.crystallography.net/cod/9011007.html\n"
      "#    https://www.crystallography.net/cod/9011970.html\n"
      "#    https://materialsproject.org/materials/mp-58\n"
      "#\n"
      "# VDOS curve was taken from:\n"
      "#\n"
      "#   Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#   Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#   States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#   Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#   ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#   DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.247\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  K 0 0 0\n"
      "  K 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  K\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0006464 .00998329\n"
      "  vdos_density .00432642 .00573373 .00707023 .00957669 .0125834 .0153963\n"
      "    .0182025 .0210202 .0241069 .027865 .0315045 .0351739 .0405996 .0453368\n"
      "    .0500914 .0555908 .0619319 .0680619 .0768355 .0840553 .0937659 .104609\n"
      "    .123521 .163715 .169315 .174916 .180038 .185769 .192784 .19939 .206113\n"
      "    .211465 .219012 .225955 .23353 .240952 .248623 .258541 .266893 .273939\n"
      "    .28408 .292923 .304065 .315271 .326539 .337783 .351577 .364825 .379621\n"
      "    .396505 .412007 .345455 .320669 .306538 .294773 .28552 .278317 .272749\n"
      "    .268956 .266692 .263835 .262607 .262832 .2618 .263554 .264789 .266761\n"
      "    .270057 .272455 .274372 .279559 .285922 .292888 .301092 .311413 .322397\n"
      "    .336275 .357661 .387556 .42123 .428725 .422165 .416456 .409817 .403673\n"
      "    .397692 .393503 .388624 .385016 .379511 .375738 .370871 .367263 .36244\n"
      "    .357652 .352356 .346352 .339016 .334232 .331759 .329548 .327349 .328174\n"
      "    .328196 .329869 .331622 .334306 .338723 .345291 .352968 .363905 .380559\n"
      "    .400637 .426996 .470681 .52175 .637614 .66645 .711234 .822816 1 .732258\n"
      "    .607836 .514916 .449658 .382555 .324967 .267942 .184365 .0345542 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("K_sg229.ncmat",textdata);
  }
  {
    // File Kapton_C22H10N2O5.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Kapton polyimide film (HN type)\n"
      "#\n"
      "# Chemical name: poly-oxydiphenylene-pyromellitimide\n"
      "# Brand name: DuPont(tm) Kapton(R) HN (polyimide)\n"
      "#\n"
      "# The chemical composition and density value is widely known and quoted across\n"
      "# many sources (wikipedia, NIST, various company websites all provide consistent\n"
      "# information).\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=10xCHaro\n"
      "#  --formula=C22H10N2O5\n"
      "#  --density=1.42\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 81.4% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.42 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 22/39\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element N\n"
      "  fraction 2/39\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 5/39\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 10/39\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.432866\n"
      "  vdos_density .0237943 .0315475 .0433995 .0586297 .0738821 .0838902 .0835501\n"
      "    .0784029 .0744613 .0704175 .0558287 .037298 .0326092 .039743 .0429886\n"
      "    .0346587 .0210891 .0124559 .0178378 .0314617 .0356971 .0309153 .0271553\n"
      "    .0248605 .0202817 .0271311 .0701407 .119949 .107072 .0640391 .04897 .0446155\n"
      "    .0366833 .0380528 .0483776 .0522996 .0552269 .0583057 .053321 .0508078\n"
      "    .0715214 .101629 .0917831 .0541658 .0336414 .0385925 .0866661 .183064\n"
      "    .238742 .232304 .243738 .242441 .210337 .27473 .416138 .456194 .378195\n"
      "    .251189 .137101 .10811 .185616 .263221 .279582 .322345 .372739 .363986\n"
      "    .324518 .282608 .211942 .147426 .111311 .136005 .251492 .362538 .37544\n"
      "    .339552 .390913 .544451 .62834 .540939 .363957 .255869 .230187 .229402\n"
      "    .235318 .213555 .191393 .221309 .298987 .376109 .377393 .305809 .242642\n"
      "    .213057 .182667 .126151 .0914827 .110962 .133362 .117041 .11543 .125317\n"
      "    .0928684 .0465895 .0337105 .0419269 .0464123 .0456525 .0448739 .0385291\n"
      "    .0223913 .00824165 .0023864 .000788291 .00034011 .000137539 3.43205e-05\n"
      "    4.27272e-06 2.45439e-07 0r50 9.37081e-07 5.34267e-06 1.35701e-05 1.54824e-05\n"
      "    8.10862e-06 2.0607e-06 4.51114e-07 1.42325e-06 5.61623e-06 1.4818e-05\n"
      "    3.18257e-05 4.63824e-05 3.68168e-05 1.45308e-05 2.73197e-06 2.3801e-07 0\n"
      "    1.33285e-07 1.28153e-06 6.30338e-06 1.65201e-05 2.27525e-05 1.55779e-05\n"
      "    5.02861e-06 7.70308e-07 7.7543e-07 7.98671e-06 3.97136e-05 9.75522e-05\n"
      "    .000219846 .000873006 .00270892 .00630066 .0210451 .0831551 .230738 .403745\n"
      "    .454176 .310153 .137386 .152502 .410397 .75542 .968211 .976649 .781362\n"
      "    .533638 .435035 .459057 .372051 .168849 .0383649 .0041801 .000306999\n"
      "    9.07592e-05 3.24832e-05 5.49708e-06 4.18328e-07 0r3 1.45209e-07 1.4463e-06\n"
      "    6.47862e-06 1.33703e-05 1.34589e-05 7.28512e-06 2.2874e-06 4.01677e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Kapton_C22H10N2O5.ncmat",textdata);
  }
  {
    // File Kr_Gas_STP.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Krypton gas.\n"
      "#\n"
      "# Noble gasses such as this one can be modelled realistically using the freegas\n"
      "# model of NCrystal. The density is the value at STP (273.15K, 1atm) calculated\n"
      "# with the ideal gas equation. The density value must currently (NCrystal\n"
      "# v2.7.0) be manually changed by the user if modelling using different\n"
      "# temperatures or pressures is desired (the formula is given below).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  gas\n"
      "@DYNINFO\n"
      "  element  Kr\n"
      "  fraction 1\n"
      "  type     freegas\n"
      "@DENSITY\n"
      "  # Notice: We are hardcoding the STP values (273.15K, 1atm) here. For other\n"
      "  # values of pressure and temperature, it can be calculated as:\n"
      "  #\n"
      "  #      density [kg/m3] = 1021.22 * ( P[atm] / T[K] )\n"
      "  #\n"
      "  # Which assumes a Kr mass of 83.798 amu.\n"
      "  3.73867 kg_per_m3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Kr_Gas_STP.ncmat",textdata);
  }
  {
    // File LaBr3_sg176_LanthanumBromide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lanthanum bromide (LaBr3, hexagonal, SG-176 / P6_3/m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1056K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Three bromides of lanthanum: La Br2, La2 Br5, and La Br3\"\n"
      "#    Kraemer, K., et al. (1989)\n"
      "#    Crystallography Open Database entry 1540318\n"
      "#    https://www.crystallography.net/cod/1540318.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23263\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for LaBr3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23263.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 7.9648 !! 4.5119\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  176\n"
      "@ATOMPOSITIONS\n"
      "  La 1/3 2/3 1/4\n"
      "  La 2/3 1/3 3/4\n"
      "  Br .38506 .29878 1/4\n"
      "  Br .08628 .38506 3/4\n"
      "  Br .70122 .08628 1/4\n"
      "  Br .61494 .70122 3/4\n"
      "  Br .91372 .61494 1/4\n"
      "  Br .29878 .91372 3/4\n"
      "@DYNINFO\n"
      "  element  Br\n"
      "  fraction 3/4\n"
      "  type     vdos\n"
      "  vdos_egrid .00259991 .0239992\n"
      "  vdos_density .0342314 .0416446 .0500927 .0609711 .0734044 .0827832 .0892075\n"
      "    .0997265 .1138 .123082 .130767 .143095 .156027 .168259 .180051 .180105\n"
      "    .173577 .179718 .1923 .201825 .209495 .222461 .251922 .305868 .378112 .44988\n"
      "    .487358 .460827 .390404 .319781 .28098 .290261 .335147 .384291 .418564\n"
      "    .421849 .405676 .435436 .526158 .612257 .646811 .632825 .591795 .549137\n"
      "    .526971 .547712 .611691 .686133 .761189 .845346 .912907 .943681 .946788\n"
      "    .916835 .848745 .777528 .73851 .730418 .753645 .810855 .880321 .946414\n"
      "    .996898 1 .943775 .844779 .730397 .645276 .613833 .621892 .662424 .743495\n"
      "    .853765 .949377 .970327 .883806 .722604 .553881 .416287 .313048 .241247\n"
      "    .202528 .192751 .198908 .209588 .220537 .232409 .242272 .239332 .2175\n"
      "    .183797 .147874 .113625 .0825847 .0570763 .0387629 .027001 .0197274 .0151477\n"
      "    .0119714 .00916474 .00629749 .00365633 .00171634 .000627363 .000172473\n"
      "    3.45872e-05 4.93497e-06\n"
      "@DYNINFO\n"
      "  element  La\n"
      "  fraction 1/4\n"
      "  type     vdos\n"
      "  vdos_egrid .00259991 .0239992\n"
      "  vdos_density .0588728 .0719587 .0871884 .106956 .129287 .146009 .157836\n"
      "    .177239 .202782 .219961 .234874 .257927 .281215 .301745 .319878 .318443\n"
      "    .308691 .324153 .3537 .381886 .411357 .45173 .5226 .638128 .781143 .919633 1\n"
      "    .955069 .807259 .645447 .536037 .495841 .492367 .483866 .463953 .424407\n"
      "    .354611 .29569 .284686 .306516 .324949 .322229 .314072 .315646 .317741\n"
      "    .315376 .311797 .305544 .304529 .320601 .352837 .395259 .435798 .448864\n"
      "    .422051 .38174 .356046 .337791 .320418 .321658 .350689 .394093 .427507\n"
      "    .431882 .412809 .395704 .409515 .470959 .560898 .641153 .701917 .756587\n"
      "    .804757 .826267 .799787 .722037 .614103 .505362 .416137 .358775 .339295\n"
      "    .353792 .388025 .424842 .453915 .476636 .506253 .544898 .56444 .538603\n"
      "    .475629 .399334 .323172 .251723 .189409 .14057 .105426 .0808911 .0639903\n"
      "    .051592 .0400806 .0278496 .0163072 .00770241 .00282721 .000779266 .000156506\n"
      "    2.23488e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("LaBr3_sg176_LanthanumBromide.ncmat",textdata);
  }
  {
    // File Li2O_sg225_LithiumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lithium oxide (Li2O, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1711K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Anti-fluorite structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9009059\n"
      "#    https://www.crystallography.net/cod/9009059.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1960\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for LiO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1960.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.619\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Li 1/4 1/4 1/4\n"
      "  Li 1/4 3/4 3/4\n"
      "  Li 3/4 1/4 3/4\n"
      "  Li 3/4 3/4 1/4\n"
      "  Li 1/4 3/4 1/4\n"
      "  Li 1/4 1/4 3/4\n"
      "  Li 3/4 3/4 3/4\n"
      "  Li 3/4 1/4 1/4\n"
      "  O 0 0 0\n"
      "  O 0 1/2 1/2\n"
      "  O 1/2 0 1/2\n"
      "  O 1/2 1/2 0\n"
      "@DYNINFO\n"
      "  element  Li\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0247492 .0944968\n"
      "  vdos_density .124642 .154011 .167824 .179463 .1991 .203906 .246909 .312728\n"
      "    .488304 .715485 .836626 .751647 .726524 .804654 .749903 .611058 .505772\n"
      "    .566046 .405275 .354967 .318286 .228994 .194779 .279943 .353801 .307483\n"
      "    .32843 .40687 .312449 .367016 .452251 .539352 .517707 .471792 .487565\n"
      "    .563975 .525686 .613359 .71126 .707263 .715983 .731894 .767905 .736958\n"
      "    .680852 .782127 .814578 .72508 .729551 .807728 .823262 .681068 .63829\n"
      "    .644936 .629894 .644415 .804816 .802455 .805709 .812175 .783343 .797223\n"
      "    .805499 .856775 .927449 1 .907829 .733152 .585706 .479988 .42936 .390512\n"
      "    .36109 .37707 .386313 .386802 .409737 .400907 .352115 .296211 .291883\n"
      "    .263072 .247263 .234754 .213567 .205173 .209664 .187486 .155484 .125226\n"
      "    .0918556 .0591757 .0266127 .00649677\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0247492 .0944968\n"
      "  vdos_density .137703 .16909 .178959 .189149 .199649 .219874 .22984 .260255\n"
      "    .310177 .33028 .331814 .428635 .506074 .595118 .481448 .511805 .421269 .4411\n"
      "    .393348 .367394 .274932 .194334 .181477 .283457 .360791 .414755 .422844\n"
      "    .420286 .499304 .556947 .58422 .775457 .872302 .765027 .717291 .717785\n"
      "    .699178 .775515 .815743 .82205 .96749 1 .787918 .586921 .429682 .317956\n"
      "    .229709 .167506 .151222 .13862 .100083 .0537197 .0335718 .0242918 .0173989\n"
      "    .0128015 .0150536 .025319 .0340877 .0352721 .0364239 .0439679 .0493877\n"
      "    .0633783 .0620432 .0614775 .0677694 .0823721 .0809002 .0715494 .0680845\n"
      "    .0672003 .0692388 .0823462 .0831717 .0700634 .0614467 .0543645 .0514491\n"
      "    .0456865 .0436749 .0408965 .0383061 .035835 .0334629 .0315646 .0320844\n"
      "    .0283144 .0243522 .022512 .0191763 .0137177 .00647729 .00161053\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Li2O_sg225_LithiumOxide.ncmat",textdata);
  }
  {
    // File Li3N_sg191_LithiumNitride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lithium nitride (Li3N, hexagonal, SG-191 / P6/mmm)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1000K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Time-of-flight neutron diffraction study of Li3N at\n"
      "#     high temperature  Sample: 20 C\"\n"
      "#    Kawada, I, et al. (1986)\n"
      "#    Crystallography Open Database entry 1544904\n"
      "#    https://www.crystallography.net/cod/1544904.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/4311893.html\n"
      "#   https://www.materialsproject.org/materials/mp-2251\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Li3N taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2251.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.652 !! 3.866\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  191\n"
      "@ATOMPOSITIONS\n"
      "  Li 0 0 1/2\n"
      "  Li 1/3 2/3 0\n"
      "  Li 2/3 1/3 0\n"
      "  N 0 0 0\n"
      "@DYNINFO\n"
      "  element  Li\n"
      "  fraction 3/4\n"
      "  type     vdos\n"
      "  vdos_egrid .0119996 .0907469\n"
      "  vdos_density .15436 .201635 .232853 .251672 .293162 .461975 .702957 .664084\n"
      "    .583744 .477908 .601291 .511018 .578969 .683741 .677837 .643368 .587068\n"
      "    .39916 .321099 .28541 .272101 .240179 .328029 .319929 .324012 .381745\n"
      "    .632282 .525749 .314838 .32986 .441067 .535308 .614745 .703089 .757945\n"
      "    .820475 .898428 .795624 .46173 .367319 .344488 .326547 .316066 .302323\n"
      "    .346948 .341354 .372607 .391538 .409773 .459491 .466206 .428525 .408619\n"
      "    .357809 .357138 .358601 .344407 .332843 .276971 .239686 .21918 .213567\n"
      "    .215851 .242062 .254264 .232925 .293419 .384385 .389857 .38484 .314661\n"
      "    .176084 .11127 .0790057 .0919102 .111587 .130268 .165662 .226486 .254733\n"
      "    .276499 .285527 .299238 .322226 .364728 .430085 .517718 .674432 .818075\n"
      "    .75439 .649829 .637845 .667894 .632893 .520531 .430953 .425802 .507331\n"
      "    .771167 1 .807762 .480431 .209587 .0514001 .00516757 .000160658\n"
      "@DYNINFO\n"
      "  element  N\n"
      "  fraction 1/4\n"
      "  type     vdos\n"
      "  vdos_egrid .0119996 .0907469\n"
      "  vdos_density .0859244 .107759 .139789 .148314 .155353 .159838 .163036 .187367\n"
      "    .15694 .182752 .189824 .202478 .211223 .232111 .25704 .231107 .214641\n"
      "    .171206 .164718 .173539 .163613 .159251 .206922 .197023 .195797 .191662\n"
      "    .205741 .17167 .128546 .170517 .187932 .164644 .169991 .188414 .211327\n"
      "    .228068 .241205 .247877 .218097 .245495 .290445 .33131 .401808 .451035\n"
      "    .586774 .682197 .824394 .851589 .917606 1 .911744 .733553 .638126 .550537\n"
      "    .479189 .423092 .380971 .390666 .353452 .296411 .2937 .332172 .387553\n"
      "    .468407 .468097 .3632 .395394 .520383 .561188 .588828 .531543 .342133\n"
      "    .217802 .122489 .0957291 .0896587 .0776486 .0692088 .0726361 .0674895\n"
      "    .061408 .0493844 .028245 .0215759 .0237094 .0271818 .0323791 .0380957\n"
      "    .0429043 .0487579 .053646 .062508 .0664751 .0599604 .0629801 .0709531\n"
      "    .0914835 .163571 .333104 .437308 .284251 .11014 .0333396 .00701901\n"
      "    .000675704 2.07773e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Li3N_sg191_LithiumNitride.ncmat",textdata);
  }
  {
    // File LiF_sg225_LithiumFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lithium Flouride (LiF, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1118K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008667\n"
      "#    https://www.crystallography.net/cod/9008667.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1010990\n"
      "#   https://www.materialsproject.org/materials/mp-1138\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for LiF taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1138.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.0173\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Li   0   0   0\n"
      "  Li   0 1/2 1/2\n"
      "  Li 1/2   0 1/2\n"
      "  Li 1/2 1/2   0\n"
      "  F  1/2 1/2 1/2\n"
      "  F  1/2   0   0\n"
      "  F    0 1/2   0\n"
      "  F    0   0 1/2\n"
      "@DYNINFO\n"
      "  element  Li\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0219992 .0759974\n"
      "  vdos_density .044448 .0476955 .0562181 .0529394 .0587278 .0610891 .0631504\n"
      "    .0716374 .0736314 .0808415 .0844479 .0735673 .0649114 .0649549 .0576375\n"
      "    .0540434 .0505819 .0379869 .0339801 .0365352 .0322094 .0268665 .0254975\n"
      "    .0301637 .030153 .0281713 .0290848 .0284313 .0397727 .115882 .28645 .448046\n"
      "    .507994 .474148 .481152 .539624 .619383 .705017 .78443 .909178 1 .963561\n"
      "    .889677 .847412 .70081 .508579 .39929 .348436 .323675 .320089 .321439 .31804\n"
      "    .285391 .257136 .228126 .195068 .148539 .126728 .105153 .0774576 .0642572\n"
      "    .0559139 .0467341 .0411118 .0462027 .0620415 .0744731 .0847426 .100258\n"
      "    .117012 .133593 .139775 .13434 .130002 .132635 .129466 .122081 .131834\n"
      "    .146654 .150088 .142521 .139604 .154409 .170964 .168755 .169905 .184312\n"
      "    .19622 .198891 .216485 .252533 .283743 .329059 .385346 .398933 .354607\n"
      "    .268677 .191103 .148194 .130131 .118239 .102459 .0887091 .0779943 .0646837\n"
      "    .0460231 .0252162 .00947529 .00217718\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0204993 .0759974\n"
      "  vdos_density .152966 .198248 .210969 .200139 .223404 .272858 .273711 .31375\n"
      "    .351879 .40498 .515678 .622645 .867316 .989286 .773762 .634685 .649862\n"
      "    .572254 .550653 .545268 .463355 .428304 .45604 .422463 .367797 .36243\n"
      "    .345112 .33851 .323937 .329612 .332736 .299072 .327341 .310226 .289489\n"
      "    .348127 .334765 .3323 .346566 .403597 .520396 .693608 .873709 1 .944484\n"
      "    .677499 .45258 .293692 .1867 .147865 .152468 .176969 .223319 .27795 .249557\n"
      "    .119907 .0402846 .019647 .0117882 .006777 .00401904 .00231101 .00175771\n"
      "    .00301343 .00462446 .00499496 .00484383 .00470061 .00373029 .00437482\n"
      "    .00553477 .00523103 .00621433 .00952501 .01225 .0119231 .0110336 .0103644\n"
      "    .00961002 .00941767 .0115458 .0152491 .0175156 .0169039 .0150517 .0155761\n"
      "    .0180982 .0200376 .0220957 .0243164 .0256459 .0253453 .0288025 .03674\n"
      "    .0424569 .0504216 .0618823 .0642015 .053403 .0345176 .018335 .0101929\n"
      "    .00685776 .0051439 .00370937 .00249194 .00163292 .000980166 .000485872\n"
      "    .000181346 4.60368e-05 7.30861e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("LiF_sg225_LithiumFlouride.ncmat",textdata);
  }
  {
    // File LiH_sg225_LithiumHydride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lithium hydride (LiH, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 960K\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from (followed by swapping\n"
      "# natural hydrogen for deuterium):\n"
      "#\n"
      "#    \"Structure of the novel ternary hydrides Li4Tt2D (Tt=Si and Ge)\"\n"
      "#    Wu, Hui, et al. (2007)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108768106046465\n"
      "#    Crystallography Open Database entry 2102764\n"
      "#    https://www.crystallography.net/cod/2102764.html [with D->H]\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23703\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for LiH taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23703.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.0735\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  H 1/2 1/2 1/2\n"
      "  H 1/2 0 0\n"
      "  H 0 1/2 0\n"
      "  H 0 0 1/2\n"
      "  Li 0 0 0\n"
      "  Li 0 1/2 1/2\n"
      "  Li 1/2 0 1/2\n"
      "  Li 1/2 1/2 0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .136495\n"
      "  vdos_density 6.39614e-06 .0028074 1.10005e-05 .00135551 .00130379 .00128761\n"
      "    .0012183 3.46786e-05 .00348798 .00235151 .00223619 .00214844 .00206438\n"
      "    .00210758 .00393669 .00385458 .00449578 .00199315 .00509164 .00416655\n"
      "    .0039783 .00551676 .00509269 .00640268 .00666317 .00328175 .00436741\n"
      "    .0101927 .00731056 .00484196 .00843282 .00720192 .00817821 .00757046\n"
      "    .00958935 .00803304 .00713942 .0112803 .00822611 .00885884 .00926073\n"
      "    .00839426 .0107029 .00852504 .00846823 .00801531 .00745808 .00697715\n"
      "    .00647814 .00699309 .00621835 .00468802 .00436743 .00345355 .00343817\n"
      "    .00305064 .00329398 .00306808 .00296944 .00317263 .00285264 .00379599\n"
      "    .00309393 .00261844 .00430117 .00337695 .00456272 .00549225 .0057762\n"
      "    .00492709 .00431538 .00379137 .00281853 .00208863 .00173129 .00150141\n"
      "    .00130048 .00107687 .000819725 .000628469 .000483674 .000354153 .000204314\n"
      "    7.40352e-05 1.36402e-05 9.49757e-07 2.46327e-08 1.3913e-10 1.13343e-13 0r6\n"
      "    9.72359e-12 1.51565e-08 4.63384e-06 .000282971 .00373799 .0139941 .0232199\n"
      "    .027791 .0340473 .0320975 .0330066 .0418502 .0500842 .051818 .0530164\n"
      "    .0640479 .0612599 .062245 .0800922 .0885766 .0929275 .0990567 .107205\n"
      "    .114949 .129091 .140159 .162448 .170455 .195036 .231143 .262665 .315903\n"
      "    .426533 .683867 .986296 1 .808757 .672212 .609835 .546498 .468095 .396113\n"
      "    .352189 .329882 .303281 .279565 .244277 .219174 .205159 .193289 .181121\n"
      "    .165207 .15928 .166803 .163073 .136227 .0994403 .0731819 .0597232 .0495122\n"
      "    .0599024 .100175 .137471 .144652 .149558 .1674 .196947 .244913 .293586\n"
      "    .323428 .360916 .438185 .535073 .592077 .549398 .411854 .260933 .161673\n"
      "    .113924 .0898117 .0669896 .0408867 .0186311 .00583507 .00116338\n"
      "@DYNINFO\n"
      "  element  Li\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .136495\n"
      "  vdos_density 5.29896e-05 .0232582 9.13351e-05 .01129 .0111915 .0110229\n"
      "    .0108438 .000313259 .0316214 .0210707 .020819 .0206436 .0204782 .0205557\n"
      "    .0398619 .040083 .0486998 .021226 .0574821 .048912 .049138 .0666836 .0681185\n"
      "    .085778 .0928692 .0501597 .0619002 .162531 .122672 .0830557 .154209 .144636\n"
      "    .166312 .157747 .22671 .200601 .211353 .328558 .269093 .324006 .39471\n"
      "    .385215 .608982 .672043 .966742 1 .989645 .84146 .841606 .769381 .748366\n"
      "    .579349 .526694 .475664 .450108 .376023 .387663 .339282 .336535 .289354\n"
      "    .258126 .231893 .168509 .155229 .223708 .272284 .431668 .615211 .732484\n"
      "    .547926 .44419 .401585 .326604 .259721 .224777 .222689 .183099 .175005\n"
      "    .151536 .135011 .11225 .100598 .0812132 .0475737 .0159567 .0024196\n"
      "    9.66429e-05 5.92928e-07 4.88854e-10 0r6 1.66422e-12 2.59394e-09 7.92896e-07\n"
      "    4.83733e-05 .000636383 .00235055 .00378693 .004298 .0050812 .00463516\n"
      "    .00445991 .00537974 .00613239 .0061801 .00592389 .00676326 .00638632\n"
      "    .00615607 .00737158 .0076254 .00769131 .00786659 .0078186 .00783874\n"
      "    .00875183 .00903573 .00949707 .00923636 .00975937 .0107141 .011074 .0117922\n"
      "    .0129961 .0146518 .015253 .0124171 .0089774 .0072274 .00635287 .00544875\n"
      "    .00429532 .00328341 .00296376 .00325009 .00338177 .00308871 .0025441\n"
      "    .00176673 .00145607 .00161098 .00129925 .000842856 .00102317 .00225536\n"
      "    .00332625 .00277078 .00182868 .00147916 .00135557 .00105529 .001287\n"
      "    .00292087 .00430363 .00337367 .00195079 .00172386 .00246081 .00405684\n"
      "    .00529889 .00505008 .00498744 .00657114 .00871107 .00973569 .00895045\n"
      "    .00697858 .00510174 .0038997 .00324152 .0027888 .00217669 .00137031\n"
      "    .000639818 .000204492 4.14729e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("LiH_sg225_LithiumHydride.ncmat",textdata);
  }
  {
    // File LiquidHeavyWaterD2O_T293.6K.ncmat (too large for string literals)
    static const std::array<std::uint8_t,1560969> rawdata {
      78,67,77,65,84,32,118,53,10,35,10,35,32,72,101,97,118,121,32,119,97,116,101,
      114,32,40,68,50,79,41,32,98,97,115,101,100,32,111,110,32,69,78,68,70,47,66,
      45,86,73,73,73,46,48,32,115,99,97,116,116,101,114,105,110,103,32,107,101,114,
      110,101,108,115,32,98,121,32,74,46,73,46,32,77,97,114,113,117,101,122,10,35,
      32,68,97,109,105,97,110,44,32,101,116,46,32,97,108,46,32,40,115,101,101,32,
      98,101,108,111,119,32,102,111,114,32,114,101,102,101,114,101,110,99,101,115,
      41,46,32,80,108,101,97,115,101,32,99,104,101,99,107,32,116,104,101,32,64,68,
      69,78,83,73,84,89,10,35,32,99,97,114,101,102,117,108,108,121,32,98,101,108,
      111,119,44,32,97,115,32,116,104,101,32,100,101,110,115,105,116,121,32,111,102,
      32,108,105,113,117,105,100,32,119,97,116,101,114,32,100,101,112,101,110,100,
      115,32,111,110,32,116,104,101,32,109,97,116,101,114,105,97,108,10,35,32,112,
      114,101,115,115,117,114,101,46,10,35,10,35,32,78,111,116,105,99,101,58,32,84,
      104,105,115,32,78,67,77,65,84,32,102,105,108,101,32,105,115,32,118,97,108,105,
      100,32,97,116,32,84,61,50,57,51,46,54,75,32,111,110,108,121,46,32,79,116,104,
      101,114,32,102,105,108,101,115,32,97,108,116,101,114,110,97,116,105,118,101,
      108,121,32,112,114,111,118,105,100,101,10,35,32,116,104,101,32,115,97,109,101,
      32,109,97,116,101,114,105,97,108,32,97,116,32,116,101,109,112,101,114,97,116,
      117,114,101,115,58,10,35,10,35,32,32,32,32,32,32,32,50,56,51,46,54,75,32,51,
      48,48,46,48,75,32,51,50,51,46,54,75,32,51,53,48,46,48,75,32,51,55,51,46,54,
      75,32,52,48,48,46,48,75,32,52,50,51,46,54,75,10,35,32,32,32,32,32,32,32,52,
      53,48,46,48,75,32,52,55,51,46,54,75,32,53,48,48,46,48,75,32,53,50,51,46,54,
      75,32,53,53,48,46,48,75,32,53,55,51,46,54,75,32,54,48,48,46,48,75,10,35,32,
      32,32,32,32,32,32,54,50,51,46,54,75,10,35,10,35,32,73,110,32,99,97,115,101,
      32,121,111,117,114,32,108,111,99,97,108,32,105,110,115,116,97,108,108,97,116,
      105,111,110,32,100,111,101,115,32,110,111,116,32,112,114,111,118,105,100,101,
      32,97,108,108,32,116,104,101,115,101,32,102,105,108,101,115,44,32,116,104,101,
      121,32,99,97,110,32,98,101,10,35,32,100,111,119,110,108,111,97,100,101,100,
      32,102,114,111,109,58,32,104,116,116,112,115,58,47,47,103,105,116,104,117,98,
      46,99,111,109,47,109,99,116,111,111,108,115,47,110,99,114,121,115,116,97,108,
      45,101,120,116,114,97,47,116,114,101,101,47,109,97,115,116,101,114,47,100,97,
      116,97,10,35,10,64,83,84,65,84,69,79,70,77,65,84,84,69,82,10,32,32,108,105,
      113,117,105,100,10,64,68,69,78,83,73,84,89,10,32,32,35,78,66,58,32,68,101,110,
      115,105,116,121,32,100,101,112,101,110,100,115,32,111,110,32,112,114,101,115,
      115,117,114,101,32,40,118,97,108,117,101,32,104,101,114,101,32,112,114,111,
      118,105,100,101,100,32,98,121,32,101,110,103,105,110,101,101,114,105,110,103,
      116,111,111,108,98,111,120,46,99,111,109,41,58,10,32,32,49,46,49,48,53,50,54,
      32,103,95,112,101,114,95,99,109,51,32,35,40,97,116,32,49,97,116,109,32,112,
      114,101,115,115,117,114,101,41,10,64,68,89,78,73,78,70,79,10,32,32,35,32,83,
      99,97,116,116,101,114,105,110,103,32,107,101,114,110,101,108,32,102,111,114,
      32,68,32,64,32,50,57,51,46,54,75,32,101,120,116,114,97,99,116,101,100,32,102,
      114,111,109,32,116,115,108,45,68,105,110,68,50,79,46,101,110,100,102,10,32,
      32,35,10,32,32,35,32,70,111,114,32,114,101,102,101,114,101,110,99,101,32,116,
      104,101,32,100,101,115,99,114,105,112,116,105,111,110,32,101,109,98,101,100,
      100,101,100,32,105,110,32,105,110,112,117,116,32,69,78,68,70,32,102,105,108,
      101,32,40,115,101,99,116,105,111,110,32,77,70,49,44,77,84,52,53,49,41,32,105,
      115,32,114,101,112,101,97,116,101,100,32,104,101,114,101,58,10,32,32,35,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,32,36,82,101,118,58,58,32,49,52,52,57,
      32,32,32,32,32,36,32,32,36,68,97,116,101,58,58,32,50,48,49,56,45,48,49,45,49,
      55,35,36,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,49,46,48,48,50,48,48,
      48,43,51,32,49,46,57,57,54,56,48,48,43,48,32,32,32,32,32,32,32,32,32,45,49,
      32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,
      32,32,32,32,32,32,32,48,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,48,46,
      48,48,48,48,48,48,43,48,32,48,46,48,48,48,48,48,48,43,48,32,32,32,32,32,32,
      32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,
      32,48,32,32,32,32,32,32,32,32,32,32,54,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,32,49,46,48,48,48,48,48,48,43,48,32,53,46,48,48,48,48,48,48,43,48,32,
      32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,
      32,32,32,32,32,49,50,32,32,32,32,32,32,32,32,32,32,56,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,32,48,46,48,48,48,48,48,48,43,48,32,48,46,48,48,48,48,
      48,48,43,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,
      48,32,32,32,32,32,32,32,32,32,54,54,32,32,32,32,32,32,32,32,32,32,50,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,32,68,40,68,50,79,41,32,32,32,32,32,65,
      82,67,65,66,32,32,32,32,32,69,86,65,76,45,74,85,78,49,55,32,77,97,114,113,117,
      101,122,32,68,97,109,105,97,110,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,
      78,68,83,32,49,52,56,44,32,49,32,40,50,48,49,56,41,32,32,32,32,68,73,83,84,
      45,70,69,66,49,56,10,32,32,35,32,32,32,32,32,45,45,45,62,32,45,45,45,45,69,
      78,68,70,47,66,45,86,73,73,73,46,48,32,32,32,32,32,77,65,84,69,82,73,65,76,
      32,49,49,10,32,32,35,32,32,32,32,32,45,45,45,62,32,45,45,45,45,45,84,72,69,
      82,77,65,76,32,78,69,85,84,82,79,78,32,83,67,65,84,84,69,82,73,78,71,32,68,
      65,84,65,10,32,32,35,32,32,32,32,32,45,45,45,62,32,45,45,45,45,45,45,69,78,
      68,70,45,54,32,70,79,82,77,65,84,10,32,32,35,32,32,32,32,32,45,45,45,62,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      84,101,109,112,101,114,97,116,117,114,101,115,32,61,32,50,56,51,46,54,44,32,
      50,57,51,46,54,44,32,51,48,48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,51,50,51,46,54,44,32,51,53,
      48,46,48,44,32,51,55,51,46,54,44,32,52,48,48,46,48,44,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,52,50,51,46,
      54,44,32,52,53,48,46,48,44,32,52,55,51,46,54,44,32,53,48,48,46,48,44,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,
      32,53,50,51,46,54,44,32,53,53,48,46,48,44,32,53,55,51,46,54,44,32,54,48,48,
      46,48,32,75,44,32,54,50,51,46,54,32,75,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,69,120,116,114,97,112,111,108,97,116,101,100,32,116,101,109,112,101,
      114,97,116,117,114,101,32,61,32,54,53,48,46,48,32,75,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,104,105,115,32,101,
      118,97,108,117,97,116,105,111,110,32,105,115,32,98,97,115,101,100,32,111,110,
      32,116,104,101,32,67,65,66,32,77,111,100,101,108,32,102,111,114,32,104,101,
      97,118,121,32,119,97,116,101,114,91,49,93,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,105,110,32,97,32,108,105,113,117,105,100,32,115,
      116,97,116,101,44,32,84,32,60,32,84,45,99,114,105,116,40,68,50,79,41,32,61,
      32,54,52,51,46,56,32,75,46,32,84,104,101,32,102,105,108,101,32,40,77,70,55,
      41,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,119,97,115,32,
      103,101,110,101,114,97,116,101,100,32,117,115,105,110,103,32,78,74,79,89,32,
      57,57,46,51,57,54,91,49,93,32,119,105,116,104,32,97,32,112,97,116,99,104,32,
      40,117,112,99,97,98,41,46,32,79,110,101,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,116,101,109,112,101,114,97,116,117,114,101,32,112,111,
      105,110,116,32,97,116,32,54,53,48,32,75,32,119,97,115,32,97,100,100,101,100,
      32,102,111,114,32,98,97,99,107,119,97,114,100,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,99,111,109,112,
      97,116,105,98,105,108,105,116,121,32,119,105,116,104,32,69,78,68,70,47,66,45,
      86,73,73,46,49,32,115,99,114,105,112,116,115,46,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,
      45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,84,104,101,32,67,65,66,32,109,111,100,101,
      108,32,105,115,32,97,32,102,117,114,116,104,101,114,32,100,101,118,101,108,
      111,112,109,101,110,116,32,111,102,32,69,78,68,70,47,66,45,86,73,73,32,40,50,
      48,48,54,41,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      97,110,100,32,73,75,69,44,32,83,116,117,116,116,103,97,114,116,32,40,50,48,
      48,53,41,32,109,111,100,101,108,115,32,102,111,114,32,104,101,97,118,121,32,
      119,97,116,101,114,32,40,110,32,43,32,68,50,79,41,59,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,118,105,98,114,97,116,105,111,110,97,
      108,32,115,112,101,99,116,114,117,109,32,100,101,99,111,109,112,111,115,105,
      116,105,111,110,32,105,115,32,97,112,112,108,105,101,100,46,32,84,104,101,32,
      99,111,110,116,105,110,117,111,117,115,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,115,112,101,99,116,114,117,109,32,105,115,32,98,97,115,
      101,100,32,111,110,32,77,68,32,71,82,79,77,65,67,83,32,67,97,108,99,117,108,
      97,116,105,111,110,115,91,50,93,32,97,110,100,32,100,105,102,102,117,115,105,
      111,110,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,99,111,101,
      102,102,105,99,105,101,110,116,115,32,109,101,97,115,117,114,101,100,32,98,
      121,32,89,111,115,104,105,100,97,91,51,93,32,97,110,100,32,77,105,108,108,115,
      91,52,93,46,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,
      32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,70,111,114,32,110,32,43,32,72,
      45,50,45,105,110,45,68,50,79,44,32,83,107,111,108,100,32,97,112,112,114,111,
      120,105,109,97,116,105,111,110,32,119,97,115,32,97,112,112,108,105,101,100,
      32,102,111,114,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,99,111,104,101,114,101,110,116,32,105,110,101,108,97,115,116,
      105,99,32,99,111,114,114,101,99,116,105,111,110,32,119,105,116,104,32,112,97,
      114,116,105,97,108,32,115,116,114,117,99,116,117,114,101,32,102,97,99,116,111,
      114,115,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,118,97,
      108,105,100,97,116,101,100,32,97,103,97,105,110,115,116,32,101,120,112,101,
      114,105,109,101,110,116,97,108,32,100,97,116,97,32,109,101,97,115,117,114,101,
      100,32,98,121,32,83,111,112,101,114,91,53,93,46,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,115,105,103,95,99,111,104,40,72,45,
      50,41,47,115,105,103,95,115,40,72,45,50,41,32,61,32,48,46,55,51,49,57,52,32,
      46,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,
      32,70,111,114,32,111,120,121,103,101,110,32,105,110,32,68,50,79,44,32,97,32,
      110,101,119,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,
      101,32,115,99,97,116,116,101,114,105,110,103,32,107,101,114,110,101,108,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,119,97,115,32,112,
      114,101,112,97,114,101,100,32,40,102,114,101,101,32,103,97,115,32,109,111,100,
      101,108,32,105,115,32,110,111,116,32,97,112,112,108,105,101,100,41,46,32,84,
      104,101,32,115,99,97,116,116,101,114,105,110,103,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,107,101,114,110,101,108,115,32,102,111,114,
      32,72,45,50,45,105,110,45,68,50,79,32,97,110,100,32,79,45,49,54,45,105,110,
      45,68,50,79,32,119,101,114,101,32,116,101,115,116,101,100,32,119,105,116,104,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      99,114,105,116,105,99,97,108,105,116,121,32,99,97,108,99,117,108,97,116,105,
      111,110,115,32,105,110,32,99,111,108,108,97,98,111,114,97,116,105,111,110,32,
      119,105,116,104,32,68,46,32,82,111,117,98,116,115,111,118,32,32,32,32,32,42,
      10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,102,114,111,109,32,67,97,110,
      97,100,105,97,110,32,78,117,99,108,101,97,114,32,76,97,98,111,114,97,116,111,
      114,105,101,115,91,54,93,46,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,
      45,45,62,32,42,32,84,104,101,32,101,118,97,108,117,97,116,105,111,110,32,119,
      97,115,32,112,114,101,112,97,114,101,100,32,98,121,58,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,74,46,73,
      46,32,77,97,114,113,117,101,122,32,68,97,109,105,97,110,44,32,70,46,32,67,97,
      110,116,97,114,103,105,44,32,97,110,100,32,74,46,82,46,32,71,114,97,110,97,
      100,97,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,78,117,99,108,101,97,114,32,68,97,116,97,32,71,114,111,
      117,112,32,45,32,78,101,117,116,114,111,110,32,80,104,121,115,105,99,115,32,
      68,101,112,97,114,116,109,101,110,116,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,67,101,110,116,
      114,111,32,65,116,111,109,105,99,111,32,66,97,114,105,108,111,99,104,101,32,
      45,32,65,114,103,101,110,116,105,110,97,32,40,67,65,66,41,58,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,32,97,110,100,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,68,46,32,
      82,111,117,98,116,115,111,118,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,67,97,110,97,100,105,97,110,32,78,117,99,108,101,97,114,32,76,97,
      98,111,114,97,116,111,114,105,101,115,32,40,67,78,76,41,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,67,104,97,108,107,32,82,105,118,101,
      114,44,32,67,97,110,97,100,97,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,
      32,82,101,102,101,114,101,110,99,101,115,58,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,32,91,49,93,32,65,110,110,46,32,78,117,99,108,46,32,
      69,110,101,114,103,121,44,32,54,53,44,32,50,56,48,32,40,50,48,49,52,41,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,
      58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,49,54,47,106,
      46,97,110,117,99,101,110,101,46,50,48,49,51,46,49,49,46,48,49,52,32,32,32,32,
      32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,
      91,50,93,32,74,46,32,67,104,101,109,46,32,80,104,121,115,46,32,49,51,57,44,
      32,48,50,52,53,48,52,32,40,50,48,49,51,41,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,
      45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,58,47,47,100,120,46,100,111,
      105,46,111,114,103,47,49,48,46,49,48,54,51,47,49,46,52,56,49,50,56,50,56,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,51,93,32,74,46,32,67,104,101,
      109,46,32,80,104,121,115,46,32,49,50,51,44,32,49,54,52,53,48,54,32,40,50,48,
      48,53,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,
      104,116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,
      49,48,54,51,47,49,46,50,48,53,54,53,52,50,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,32,91,52,93,32,74,46,32,80,104,121,115,46,32,67,104,101,109,46,
      32,55,55,44,32,54,56,53,32,40,49,57,55,51,41,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,58,47,47,100,
      120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,50,49,47,106,49,48,48,54,
      50,52,97,48,50,53,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,53,93,32,67,
      104,101,109,46,32,80,104,121,115,46,32,50,53,56,44,32,49,50,49,32,40,50,48,
      48,48,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,
      32,32,32,32,32,32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,
      103,47,49,48,46,49,48,49,54,47,83,48,51,48,49,45,48,49,48,52,40,48,48,41,48,
      48,49,55,57,45,56,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,91,54,93,32,65,110,110,46,32,78,117,99,108,46,
      32,69,110,101,114,103,121,44,32,55,49,44,32,50,48,54,32,40,50,48,49,52,41,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,
      10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,
      112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,49,54,
      47,106,46,97,110,117,99,101,110,101,46,50,48,49,52,46,48,51,46,48,50,52,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,49,32,32,32,32,32,32,32,32,52,53,49,32,32,32,32,32,32,32,32,
      32,55,50,32,32,32,32,32,32,32,32,32,32,48,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,55,32,32,32,32,32,32,32,32,32,32,52,32,32,32,
      32,32,52,55,55,53,56,49,32,32,32,32,32,32,32,32,32,32,48,10,32,32,101,108,101,
      109,101,110,116,32,32,68,10,32,32,102,114,97,99,116,105,111,110,32,50,47,51,
      10,32,32,116,121,112,101,32,32,32,32,32,115,99,97,116,107,110,108,10,32,32,
      101,103,114,105,100,32,32,32,32,51,46,55,32,35,32,86,97,108,117,101,32,116,
      117,110,101,100,32,109,97,110,117,97,108,108,121,32,98,121,32,84,46,32,75,105,
      116,116,101,108,109,97,110,110,10,32,32,116,101,109,112,101,114,97,116,117,
      114,101,32,50,57,51,46,54,32,35,78,66,58,32,69,78,68,70,32,102,105,108,101,
      32,115,112,101,99,105,102,105,101,100,32,34,101,102,102,101,99,116,105,118,
      101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,97,115,32,56,54,53,
      46,53,53,54,54,75,10,32,32,97,108,112,104,97,103,114,105,100,32,50,46,48,51,
      54,55,101,45,48,54,32,56,46,49,54,54,55,54,101,45,48,54,32,49,46,56,51,57,48,
      50,101,45,48,53,32,50,46,48,51,54,55,101,45,48,53,32,56,46,49,54,54,55,54,101,
      45,48,53,32,46,48,48,48,49,56,51,57,48,50,32,46,48,48,48,51,50,54,56,55,32,
      46,48,48,48,53,49,48,53,55,50,10,32,32,46,48,48,48,55,51,53,52,48,55,32,46,
      48,48,49,48,48,48,55,56,32,46,48,48,49,51,48,55,50,56,32,46,48,48,49,54,53,
      52,53,50,32,46,48,48,50,48,52,50,52,57,32,46,48,48,50,52,55,49,51,57,32,46,
      48,48,50,57,52,49,50,51,32,46,48,48,51,52,53,49,56,10,32,32,46,48,48,52,48,
      48,51,51,49,32,46,48,48,52,53,57,53,55,53,32,46,48,48,53,50,50,56,57,50,32,
      46,48,48,53,57,48,51,48,51,32,46,48,48,54,54,49,55,56,55,32,46,48,48,55,51,
      55,51,54,52,32,46,48,48,56,49,55,48,49,53,32,46,48,48,57,48,48,55,53,57,10,
      32,32,46,48,48,57,56,56,53,57,55,32,46,48,49,48,56,48,53,49,32,46,48,49,49,
      55,54,52,57,32,46,48,49,50,55,54,53,57,32,46,48,49,51,56,48,55,54,32,46,48,
      49,52,56,57,48,49,32,46,48,49,54,48,49,51,52,32,46,48,49,55,49,55,55,55,32,
      46,48,49,56,51,56,50,56,10,32,32,46,48,49,57,54,50,56,56,32,46,48,50,48,57,
      49,53,53,32,46,48,50,50,50,52,51,51,32,46,48,50,51,54,49,49,55,32,46,48,50,
      53,48,50,49,32,46,48,50,54,52,55,49,51,32,46,48,50,55,57,54,50,51,32,46,48,
      50,57,52,57,52,50,32,46,48,51,49,48,54,55,32,46,48,51,50,54,56,48,54,10,32,
      32,46,48,51,52,51,51,53,49,32,46,48,51,54,48,51,48,52,32,46,48,51,55,55,54,
      54,54,32,46,48,51,57,53,52,51,53,32,46,48,52,49,51,54,49,51,32,46,48,52,51,
      50,50,48,49,32,46,48,52,53,49,49,57,54,32,46,48,52,55,48,54,48,49,32,46,48,
      52,57,48,52,49,51,10,32,32,46,48,53,49,48,54,51,52,32,46,48,53,51,49,50,54,
      52,32,46,48,53,53,50,51,48,50,32,46,48,53,55,51,55,53,32,46,48,53,57,53,54,
      48,52,32,46,48,54,49,55,56,54,56,32,46,48,54,52,48,53,51,57,32,46,48,54,54,
      51,54,50,32,46,48,54,56,55,49,49,32,46,48,55,49,49,48,48,55,10,32,32,46,48,
      55,51,53,51,49,52,32,46,48,55,54,48,48,50,56,32,46,48,55,56,53,49,53,49,32,
      46,48,56,49,48,54,56,51,32,46,48,56,51,54,54,50,51,32,46,48,56,54,50,57,55,
      51,32,46,48,56,56,57,55,50,57,32,46,48,57,49,54,56,57,53,32,46,48,57,52,52,
      52,54,56,10,32,32,46,48,57,55,50,52,53,49,32,46,49,48,48,48,56,52,32,46,49,
      48,50,57,54,52,32,46,49,48,53,56,56,53,32,46,49,48,56,56,52,55,32,46,49,49,
      49,56,52,57,32,46,49,49,52,56,57,51,32,46,49,49,55,57,55,55,32,46,49,50,49,
      49,48,50,32,46,49,50,52,50,54,56,10,32,32,46,49,50,55,52,55,53,32,46,49,51,
      48,55,50,50,32,46,49,51,52,48,49,49,32,46,49,51,55,51,52,32,46,49,52,48,55,
      49,32,46,49,52,52,49,50,49,32,46,49,52,55,53,55,51,32,46,49,53,49,48,54,54,
      32,46,49,53,52,54,32,46,49,53,56,49,55,52,32,46,49,54,49,55,56,57,10,32,32,
      46,49,54,53,52,52,54,32,46,49,54,57,49,52,51,32,46,49,55,50,56,56,32,46,49,
      55,54,54,53,57,32,46,49,56,48,52,55,57,32,46,49,56,52,51,51,57,32,46,49,56,
      56,50,52,32,46,49,57,50,49,56,50,32,46,49,57,54,49,54,53,32,46,50,48,48,49,
      56,57,32,46,50,48,52,50,53,51,10,32,32,46,50,48,56,51,54,32,46,50,49,50,53,
      48,53,32,46,50,49,54,54,57,51,32,46,50,50,48,57,50,50,32,46,50,50,53,49,57,
      49,32,46,50,50,57,53,32,46,50,51,51,56,53,49,32,46,50,51,56,50,52,50,32,46,
      50,52,50,54,55,52,32,46,50,52,55,49,52,55,32,46,50,53,49,54,54,50,10,32,32,
      46,50,53,54,50,49,55,32,46,50,54,48,56,49,49,32,46,50,54,53,52,52,56,32,46,
      50,55,48,49,50,54,32,46,50,55,52,56,52,52,32,46,50,55,57,54,48,51,32,46,50,
      56,52,52,48,51,32,46,50,56,57,50,52,51,32,46,50,57,52,49,50,53,32,46,50,57,
      57,48,52,55,10,32,32,46,51,48,52,48,49,49,32,46,51,48,57,48,49,53,32,46,51,
      49,52,48,54,49,32,46,51,49,57,49,52,54,32,46,51,50,52,50,55,52,32,46,51,50,
      57,52,52,50,32,46,51,51,52,54,52,57,32,46,51,51,57,56,57,57,32,46,51,52,53,
      49,56,56,32,46,51,53,48,53,50,32,46,51,53,53,56,57,49,10,32,32,46,51,54,49,
      51,48,52,32,46,51,54,54,55,53,55,32,46,51,55,50,50,53,50,32,46,51,55,55,55,
      56,55,32,46,51,56,51,51,54,52,32,46,51,56,56,57,56,49,32,46,51,57,52,54,51,
      56,32,46,52,48,48,51,51,55,32,46,52,48,54,48,55,55,32,46,52,49,49,56,53,54,
      10,32,32,46,52,49,55,54,55,57,32,46,52,50,51,53,52,49,32,46,52,50,57,52,52,
      52,32,46,52,51,53,51,56,56,32,46,52,52,49,51,55,50,32,46,52,52,55,51,57,54,
      32,46,52,53,51,52,54,53,32,46,52,53,57,53,55,49,32,46,52,54,53,55,49,57,32,
      46,52,55,49,57,48,57,10,32,32,46,52,55,56,49,51,55,32,46,52,56,52,52,48,56,
      32,46,52,57,48,55,50,32,46,52,57,57,49,57,32,46,53,49,57,49,53,56,32,46,53,
      52,57,49,49,32,46,53,57,57,48,50,57,32,46,54,52,56,57,52,56,32,46,54,57,56,
      56,54,55,32,46,55,52,56,55,56,54,32,46,55,57,56,55,48,53,10,32,32,46,56,52,
      56,54,50,52,32,46,56,57,56,53,52,51,32,46,57,52,56,52,54,50,32,46,57,57,56,
      51,56,49,32,49,46,48,52,56,51,32,49,46,48,57,56,50,50,32,49,46,49,53,56,49,
      50,32,49,46,50,49,56,48,50,32,49,46,50,57,55,57,32,49,46,51,55,55,55,55,32,
      49,46,52,53,55,54,52,10,32,32,49,46,53,53,55,52,55,32,49,46,54,53,55,51,49,
      32,49,46,55,53,55,49,53,32,49,46,56,55,54,57,54,32,49,46,57,57,54,55,54,32,
      50,46,49,53,54,53,32,50,46,51,49,54,50,52,32,50,46,52,55,53,57,56,32,50,46,
      54,53,53,54,57,32,50,46,56,53,53,51,55,32,51,46,48,55,53,48,49,10,32,32,51,
      46,51,49,52,54,50,32,51,46,53,55,52,50,32,51,46,56,55,51,55,50,32,52,46,49,
      55,51,50,51,32,52,46,53,49,50,54,56,32,52,46,57,53,49,57,55,32,53,46,52,49,
      54,54,50,32,53,46,55,55,48,54,52,32,54,46,50,48,57,57,51,32,54,46,55,52,57,
      48,54,32,55,46,51,50,56,49,50,10,32,32,55,46,57,52,55,49,49,32,56,46,54,50,
      54,48,49,32,57,46,50,56,52,57,52,32,57,46,57,56,51,56,49,32,49,48,46,56,51,
      51,52,32,49,49,46,57,56,48,54,32,49,51,46,48,57,56,56,32,49,52,46,50,51,54,
      57,32,49,53,46,49,55,53,52,32,49,54,46,49,55,57,32,49,55,46,53,55,49,53,10,
      32,32,49,56,46,57,54,57,50,32,50,48,46,51,54,55,32,50,49,46,53,57,53,52,32,
      50,51,46,51,54,50,49,32,50,53,46,49,53,57,50,32,50,55,46,48,49,50,50,32,50,
      56,46,55,53,51,52,32,51,48,46,53,53,48,53,32,51,50,46,51,53,55,55,32,51,52,
      46,52,49,48,50,32,51,54,46,51,52,49,49,10,32,32,51,55,46,55,55,56,55,32,52,
      48,46,53,51,52,51,32,52,51,46,49,57,32,52,53,46,55,50,53,56,32,52,56,46,53,
      51,55,51,32,53,49,46,49,49,55,49,32,53,51,46,57,53,50,53,32,53,54,46,55,48,
      56,32,53,57,46,51,54,51,55,32,54,49,46,56,57,57,54,32,54,52,46,55,49,53,49,
      10,32,32,54,54,46,55,55,49,55,32,54,56,46,56,50,48,52,32,55,50,46,49,56,50,
      57,32,55,52,46,50,51,57,54,32,55,55,46,52,55,52,52,32,56,48,46,56,57,52,56,
      32,56,50,46,57,52,53,53,32,56,53,46,48,48,50,50,32,56,56,46,50,53,54,57,32,
      57,49,46,56,53,49,49,10,32,32,57,51,46,56,52,55,56,32,57,55,46,48,55,50,54,
      32,57,57,46,48,51,57,52,32,49,48,50,46,50,51,52,32,49,48,52,46,56,51,32,49,
      48,56,46,54,52,52,32,49,49,48,46,50,50,49,32,49,49,51,46,50,53,54,32,49,49,
      54,46,54,49,49,32,49,49,57,46,52,48,54,32,49,50,50,46,50,48,50,10,32,32,49,
      50,52,46,56,49,56,32,49,50,55,46,51,57,51,32,49,51,48,46,50,52,57,32,49,51,
      50,46,55,56,53,32,49,51,53,46,53,56,32,49,51,55,46,54,51,55,32,49,52,48,46,
      57,57,49,32,49,52,51,46,48,52,56,32,49,52,53,46,54,48,52,32,49,53,49,46,53,
      53,52,32,49,53,57,46,55,52,49,10,32,32,49,54,55,46,55,50,56,32,49,55,55,46,
      55,49,50,32,49,56,55,46,54,57,54,32,49,57,57,46,54,55,54,32,50,48,57,46,54,
      54,32,50,50,53,46,54,51,52,32,50,52,48,46,56,54,57,32,50,53,49,46,53,57,50,
      32,50,54,51,46,53,55,51,32,50,55,57,46,53,52,55,32,50,57,51,46,53,50,52,10,
      32,32,51,48,55,46,53,48,49,32,51,50,51,46,52,55,53,32,51,51,57,46,52,53,32,
      51,53,51,46,52,50,55,32,51,54,55,46,52,48,52,32,51,56,49,46,51,56,50,32,51,
      57,55,46,51,53,54,32,52,49,53,46,51,50,54,32,52,51,53,46,50,57,52,32,52,53,
      51,46,50,54,53,32,52,55,51,46,50,51,51,10,32,32,52,57,49,46,50,48,51,32,53,
      48,57,46,49,55,52,32,53,50,57,46,49,52,50,32,53,53,48,46,53,52,55,32,53,54,
      55,46,48,56,32,53,56,54,46,50,48,57,32,54,48,51,46,48,50,50,32,54,50,48,46,
      57,57,51,32,54,51,56,46,57,54,52,32,54,53,54,46,57,51,53,32,54,55,52,46,57,
      48,54,10,32,32,54,57,50,46,56,55,54,32,55,49,48,46,56,52,55,32,55,50,56,46,
      56,49,56,32,55,52,54,46,55,56,57,32,55,54,52,46,55,54,32,55,56,50,46,55,51,
      49,32,56,48,48,46,55,48,50,32,56,49,56,46,54,55,50,32,56,51,54,46,54,52,51,
      32,56,53,52,46,54,49,52,32,56,55,50,46,53,56,53,10,32,32,56,57,48,46,53,53,
      54,32,57,48,56,46,53,50,55,32,57,50,54,46,52,57,56,32,57,52,52,46,52,54,56,
      32,57,54,50,46,52,51,57,32,57,56,48,46,52,49,32,57,57,56,46,51,56,49,32,49,
      48,49,54,46,51,53,32,49,48,51,52,46,51,50,32,49,48,53,50,46,50,57,32,49,48,
      55,48,46,50,54,10,32,32,49,48,56,56,46,50,52,32,49,49,48,54,46,50,49,32,49,
      49,50,52,46,49,56,32,49,49,52,50,46,49,53,32,49,49,54,48,46,49,50,32,49,49,
      55,56,46,48,57,32,49,49,57,50,46,48,55,32,49,50,48,54,46,48,52,32,49,50,50,
      48,46,48,50,32,49,50,51,52,32,49,50,52,55,46,57,56,10,32,32,49,50,54,51,46,
      55,53,32,49,50,56,51,46,55,50,32,49,51,48,51,46,54,57,32,49,51,50,51,46,54,
      53,32,49,51,52,51,46,54,50,32,49,51,54,51,46,53,57,32,49,51,56,51,46,53,54,
      32,49,52,48,51,46,53,50,32,49,52,50,51,46,52,57,32,49,52,52,51,46,52,54,10,
      32,32,49,52,54,51,46,52,51,32,49,52,56,51,46,51,57,32,49,53,48,51,46,51,54,
      32,49,53,50,51,46,51,51,32,49,53,52,51,46,51,32,49,53,54,51,46,50,54,32,49,
      53,56,51,46,50,51,32,49,54,48,51,46,50,32,49,54,50,51,46,49,55,32,49,54,52,
      51,46,49,52,32,49,54,54,51,46,49,10,32,32,49,54,56,51,46,48,55,32,49,55,48,
      51,46,48,52,32,49,55,50,51,46,48,49,32,49,55,52,50,46,57,55,32,49,55,54,50,
      46,57,52,32,49,55,56,50,46,57,49,32,49,56,48,50,46,56,56,32,49,56,50,50,46,
      56,52,32,49,56,52,50,46,56,49,32,49,56,54,50,46,55,56,10,32,32,49,56,56,50,
      46,55,53,32,49,57,48,50,46,55,49,32,49,57,50,50,46,54,56,32,49,57,52,50,46,
      54,53,32,49,57,54,50,46,54,50,32,49,57,56,50,46,53,56,32,50,48,50,50,46,53,
      50,32,50,48,54,50,46,52,54,32,50,49,48,50,46,51,57,32,50,49,52,50,46,51,51,
      10,32,32,50,49,56,50,46,50,54,32,50,50,50,50,46,50,32,50,50,54,50,46,49,51,
      32,50,51,48,50,46,48,55,32,50,51,52,50,32,50,51,56,49,46,57,52,32,50,52,50,
      49,46,56,55,32,50,52,54,49,46,56,49,32,50,53,48,49,46,55,52,32,50,53,52,49,
      46,54,56,32,50,53,56,49,46,54,49,10,32,32,50,54,50,49,46,53,53,32,50,54,54,
      49,46,52,56,32,50,55,48,49,46,52,50,32,50,55,52,49,46,51,53,32,50,55,56,49,
      46,50,57,32,50,56,50,49,46,50,50,32,50,56,54,49,46,49,54,32,50,57,48,49,46,
      49,32,50,57,52,49,46,48,51,32,50,57,56,48,46,57,55,32,51,48,50,48,46,57,10,
      32,32,51,48,54,48,46,56,52,32,51,49,48,48,46,55,55,32,51,49,52,48,46,55,49,
      10,32,32,98,101,116,97,103,114,105,100,32,48,32,50,46,52,57,57,57,53,101,45,
      48,54,32,52,46,57,57,57,57,101,45,48,54,32,57,46,57,57,57,56,49,101,45,48,54,
      32,49,46,52,57,57,57,55,101,45,48,53,32,49,46,57,57,57,57,54,101,45,48,53,32,
      50,46,52,57,57,57,53,101,45,48,53,32,52,46,57,57,57,57,101,45,48,53,10,32,32,
      57,46,57,57,57,56,49,101,45,48,53,32,46,48,48,48,49,52,57,57,57,55,32,46,48,
      48,48,49,57,57,57,57,54,32,46,48,48,48,50,52,57,57,57,53,32,46,48,48,48,52,
      57,57,57,57,32,46,48,48,48,57,57,57,57,56,49,32,46,48,48,49,52,57,57,57,55,
      32,46,48,48,49,57,57,57,57,54,10,32,32,46,48,48,50,52,57,57,57,53,32,46,48,
      48,52,57,57,57,57,32,46,48,48,57,57,57,57,56,49,32,46,48,49,52,57,57,57,55,
      32,46,48,49,57,57,57,57,54,32,46,48,50,52,57,57,57,53,32,46,48,52,57,57,57,
      57,32,46,48,55,52,57,57,56,54,32,46,48,57,57,57,57,56,49,10,32,32,46,49,52,
      57,57,57,55,32,46,49,57,57,57,57,54,32,46,50,52,57,57,57,53,32,46,50,57,57,
      57,57,52,32,46,51,52,57,57,57,51,32,46,51,57,57,57,57,50,32,46,52,52,57,57,
      57,49,32,46,52,57,57,57,57,32,46,53,52,57,57,57,32,46,53,57,57,57,56,57,32,
      46,54,52,57,57,56,56,10,32,32,46,54,57,57,57,56,55,32,46,55,52,57,57,56,54,
      32,46,55,57,57,57,56,53,32,46,56,52,57,57,56,52,32,46,56,57,57,57,56,51,32,
      46,57,52,57,57,56,50,32,46,57,57,57,57,56,49,32,49,46,48,52,57,57,56,32,49,
      46,48,57,57,57,56,32,49,46,49,52,57,57,56,10,32,32,49,46,49,57,57,57,56,32,
      49,46,50,52,57,57,56,32,49,46,50,57,57,57,56,32,49,46,51,52,57,57,55,32,49,
      46,51,57,57,57,55,32,49,46,52,52,57,57,55,32,49,46,52,57,57,57,55,32,49,46,
      53,52,57,57,55,32,49,46,53,57,57,57,55,32,49,46,54,52,57,57,55,10,32,32,49,
      46,54,57,57,57,55,32,49,46,55,52,57,57,55,32,49,46,55,57,57,57,55,32,49,46,
      56,52,57,57,54,32,49,46,56,57,57,57,54,32,49,46,57,52,57,57,54,32,49,46,57,
      57,57,57,54,32,50,46,48,52,57,57,54,32,50,46,48,57,57,57,54,32,50,46,49,52,
      57,57,54,10,32,32,50,46,49,57,57,57,54,32,50,46,50,52,57,57,54,32,50,46,50,
      57,57,57,54,32,50,46,51,52,57,57,54,32,50,46,51,57,57,57,53,32,50,46,52,52,
      57,57,53,32,50,46,52,57,57,57,53,32,50,46,53,52,57,57,53,32,50,46,53,57,57,
      57,53,32,50,46,54,52,57,57,53,10,32,32,50,46,55,49,50,54,53,32,50,46,55,54,
      57,57,53,32,50,46,56,50,57,57,53,32,50,46,56,57,57,57,52,32,50,46,57,53,57,
      57,52,32,51,46,48,50,57,57,52,32,51,46,49,48,57,57,52,32,51,46,49,55,57,57,
      52,32,51,46,50,53,57,57,52,32,51,46,51,51,57,57,52,10,32,32,51,46,52,50,57,
      57,51,32,51,46,53,49,57,57,51,32,51,46,54,48,57,57,51,32,51,46,55,48,57,57,
      51,32,51,46,56,48,57,57,51,32,51,46,57,49,57,57,51,32,52,46,48,50,57,57,50,
      32,52,46,49,51,57,57,50,32,52,46,50,53,57,57,50,32,52,46,51,56,57,57,50,10,
      32,32,52,46,53,49,57,57,49,32,52,46,54,52,57,57,49,32,52,46,55,57,57,57,49,
      32,52,46,57,51,57,57,49,32,53,46,48,57,57,57,32,53,46,50,53,57,57,32,53,46,
      52,50,53,52,32,53,46,53,57,57,56,57,32,53,46,55,55,57,56,57,32,53,46,57,54,
      57,56,57,32,54,46,49,54,57,56,56,10,32,32,54,46,51,54,57,56,56,32,54,46,53,
      56,57,56,55,32,54,46,56,48,57,56,55,32,55,46,48,51,57,56,55,32,55,46,50,56,
      57,56,54,32,55,46,53,51,57,56,54,32,55,46,56,48,57,56,53,32,56,46,49,48,50,
      56,53,32,56,46,51,54,57,56,52,32,56,46,54,54,57,56,51,10,32,32,56,46,57,55,
      57,56,51,32,57,46,50,57,57,56,50,32,57,46,54,51,57,56,50,32,57,46,57,57,57,
      56,49,32,49,48,46,51,57,57,56,32,49,48,46,56,49,53,32,49,49,46,49,53,57,56,
      32,49,49,46,53,54,57,56,32,49,49,46,57,57,57,56,32,49,50,46,52,53,57,56,32,
      49,50,46,57,55,57,56,10,32,32,49,51,46,53,50,55,55,32,49,51,46,57,51,57,55,
      32,49,52,46,52,55,57,55,32,49,53,46,48,50,57,55,32,49,53,46,54,49,57,55,32,
      49,54,46,50,48,52,56,32,49,54,46,55,57,57,55,32,49,55,46,50,51,50,55,32,49,
      56,46,49,57,57,55,32,49,56,46,57,49,57,54,10,32,32,49,57,46,51,57,57,54,32,
      49,57,46,57,52,57,54,32,50,48,46,54,57,57,54,32,50,49,46,54,50,57,54,32,50,
      50,46,48,57,57,54,32,50,50,46,54,53,57,54,32,50,51,46,52,57,57,54,32,50,52,
      46,51,48,55,53,32,50,52,46,55,57,57,53,32,50,53,46,51,51,57,53,10,32,32,50,
      54,46,49,57,57,53,32,50,55,46,48,49,57,53,32,50,55,46,52,57,57,53,32,50,56,
      46,48,52,57,53,32,50,56,46,56,57,57,52,32,50,57,46,55,50,57,52,32,51,48,46,
      49,57,57,52,32,51,48,46,55,53,57,52,32,51,49,46,52,57,57,52,32,51,50,46,52,
      48,57,52,10,32,32,51,50,46,56,57,57,52,32,51,51,46,52,51,57,52,32,51,51,46,
      57,57,57,52,32,51,52,46,52,54,53,51,32,51,53,46,50,57,57,51,32,51,54,46,49,
      52,57,51,32,51,54,46,53,57,57,51,32,51,55,46,49,55,57,51,32,51,55,46,56,57,
      57,51,32,51,56,46,55,57,57,51,10,32,32,51,57,46,56,56,57,50,32,52,48,46,49,
      57,57,50,32,52,48,46,53,49,50,50,32,52,48,46,57,57,57,50,32,52,49,46,53,51,
      57,50,32,52,49,46,57,57,57,50,32,52,50,46,53,54,57,50,32,52,51,46,49,57,57,
      50,32,52,52,46,49,57,57,50,32,52,53,46,50,55,57,49,10,32,32,52,53,46,57,57,
      57,49,32,52,54,46,57,57,57,49,32,52,55,46,57,56,57,49,32,52,56,46,50,57,57,
      49,32,52,56,46,54,49,52,49,32,52,57,46,53,57,57,49,32,53,48,46,54,54,57,32,
      53,49,46,49,57,57,32,53,49,46,54,57,57,32,53,50,46,52,57,57,32,53,51,46,51,
      55,57,10,32,32,53,51,46,56,57,57,32,53,52,46,52,48,57,32,53,53,46,49,57,56,
      57,32,53,53,46,57,57,56,57,32,53,54,46,55,49,56,57,32,53,55,46,49,49,56,57,
      32,53,56,46,51,57,56,57,32,53,57,46,55,57,56,57,32,54,49,46,49,57,56,56,32,
      54,50,46,53,48,56,56,32,54,51,46,55,57,56,56,10,32,32,54,53,46,50,50,56,56,
      32,54,54,46,52,57,56,55,32,54,55,46,56,57,56,55,32,54,56,46,51,57,56,55,32,
      54,56,46,57,50,56,55,32,54,57,46,55,57,56,55,32,55,48,46,54,48,56,55,32,55,
      49,46,48,57,56,54,32,55,49,46,54,51,56,54,32,55,50,46,49,57,56,54,10,32,32,
      55,50,46,57,49,56,54,32,55,51,46,51,51,50,54,32,55,51,46,57,57,56,54,32,55,
      52,46,55,57,56,54,32,55,53,46,53,57,56,54,32,55,54,46,51,57,56,53,32,55,55,
      46,49,57,56,53,32,55,55,46,57,57,56,53,32,55,56,46,56,57,56,53,32,55,57,46,
      55,57,56,53,10,32,32,56,48,46,54,57,56,53,32,56,49,46,53,57,56,52,32,56,50,
      46,52,57,56,52,32,56,51,46,51,57,56,52,32,56,52,46,50,57,56,52,32,56,53,46,
      49,57,56,52,32,56,54,46,48,57,56,52,32,56,54,46,57,57,56,51,32,56,55,46,57,
      57,56,51,32,56,56,46,57,57,56,51,10,32,32,56,57,46,57,57,56,51,32,57,48,46,
      57,57,56,51,32,57,49,46,57,57,56,50,32,57,50,46,57,57,56,50,32,57,51,46,57,
      57,56,50,32,57,52,46,57,57,56,50,32,57,53,46,57,57,56,50,32,57,54,46,57,57,
      56,50,32,57,55,46,57,57,56,49,32,57,56,46,57,57,56,49,10,32,32,57,57,46,57,
      57,56,49,32,49,48,49,46,49,57,56,32,49,48,50,46,51,57,56,32,49,48,51,46,53,
      57,56,32,49,48,52,46,55,57,56,32,49,48,53,46,57,57,56,32,49,48,55,46,49,57,
      56,32,49,48,56,46,51,57,56,32,49,48,57,46,53,57,56,32,49,49,48,46,55,57,56,
      10,32,32,49,49,49,46,57,57,56,32,49,49,51,46,52,57,56,32,49,49,52,46,57,57,
      56,32,49,49,54,46,52,57,56,32,49,49,55,46,57,57,56,32,49,49,57,46,52,57,56,
      32,49,50,48,46,57,57,56,32,49,50,50,46,52,57,56,32,49,50,51,46,57,57,56,32,
      49,50,53,46,52,57,56,10,32,32,49,50,54,46,57,57,56,32,49,50,56,46,52,57,56,
      32,49,50,57,46,57,57,56,32,49,51,49,46,57,57,55,32,49,51,51,46,57,57,55,32,
      49,51,53,46,57,57,55,32,49,51,55,46,57,57,55,32,49,51,57,46,57,57,55,32,49,
      52,49,46,57,57,55,32,49,52,51,46,57,57,55,10,32,32,49,52,53,46,57,57,55,32,
      49,52,55,46,57,57,55,32,49,52,57,46,57,57,55,32,49,53,49,46,57,57,55,32,49,
      53,51,46,57,57,55,32,49,53,53,46,57,57,55,32,49,53,56,46,48,57,55,32,49,54,
      48,46,48,57,55,32,49,54,50,46,48,57,55,32,49,54,52,46,48,57,55,10,32,32,49,
      54,54,46,48,57,55,32,49,54,56,46,48,57,55,32,49,55,48,46,48,57,55,32,49,55,
      50,46,48,57,55,32,49,55,52,46,48,57,55,32,49,55,54,46,48,57,55,32,49,55,56,
      46,48,57,55,32,49,56,48,46,48,57,55,32,49,56,50,46,48,57,55,32,49,56,52,46,
      48,57,54,10,32,32,49,56,54,46,48,57,54,32,49,56,56,46,48,57,54,32,49,57,48,
      46,48,57,54,32,49,57,50,46,48,57,54,32,49,57,52,46,48,57,54,32,49,57,54,46,
      48,57,54,32,49,57,56,46,48,57,54,32,50,48,48,46,48,57,54,32,50,48,50,46,48,
      57,54,32,50,48,52,46,48,57,54,10,32,32,50,48,54,46,48,57,54,32,50,48,56,46,
      48,57,54,32,50,49,48,46,48,57,54,32,50,49,50,46,48,57,54,32,50,49,52,46,48,
      57,54,32,50,49,54,46,48,57,54,32,50,49,56,46,48,57,54,32,50,50,48,46,48,57,
      54,32,50,50,50,46,48,57,54,32,50,50,52,46,48,57,54,10,32,32,50,50,54,46,48,
      57,54,32,50,50,56,46,48,57,54,32,50,51,48,46,48,57,54,32,50,51,50,46,48,57,
      54,32,50,51,52,46,48,57,54,32,50,51,54,46,48,57,54,32,50,51,56,46,48,57,53,
      32,50,52,48,46,48,57,53,32,50,52,50,46,48,57,53,32,50,52,52,46,48,57,53,10,
      32,32,50,52,54,46,48,57,53,32,50,52,56,46,48,57,53,32,50,53,48,46,48,57,53,
      32,50,53,50,46,48,57,53,32,50,53,52,46,48,57,53,32,50,53,54,46,48,57,53,32,
      50,53,56,46,48,57,53,32,50,54,48,46,48,57,53,32,50,54,50,46,48,57,53,32,50,
      54,52,46,48,57,53,10,32,32,50,54,54,46,48,57,53,32,50,54,56,46,48,57,53,32,
      50,55,48,46,48,57,53,32,50,55,50,46,48,57,53,32,50,55,52,46,48,57,53,32,50,
      55,54,46,48,57,53,32,50,55,56,46,48,57,53,32,50,56,48,46,48,57,53,32,50,56,
      50,46,48,57,53,32,50,56,52,46,48,57,53,10,32,32,50,56,54,46,48,57,53,32,50,
      56,56,46,48,57,53,32,50,57,48,46,48,57,52,32,50,57,50,46,48,57,52,32,50,57,
      52,46,48,57,52,32,50,57,54,46,48,57,52,32,50,57,56,46,48,57,52,32,51,48,48,
      46,48,57,52,32,51,48,50,46,48,57,52,32,51,48,52,46,48,57,52,10,32,32,51,48,
      54,46,48,57,52,32,51,48,56,46,48,57,52,32,51,49,48,46,48,57,52,32,51,49,50,
      46,48,57,52,32,51,49,52,46,48,57,52,32,51,49,54,46,48,57,52,32,51,49,56,46,
      48,57,52,32,51,50,48,46,48,57,52,32,51,50,50,46,48,57,52,32,51,50,52,46,48,
      57,52,10,32,32,51,50,54,46,48,57,52,32,51,50,56,46,48,57,52,32,51,51,48,46,
      48,57,52,32,51,51,50,46,48,57,52,32,51,51,52,46,48,57,52,32,51,51,54,46,48,
      57,52,32,51,51,56,46,48,57,52,32,51,52,48,46,48,57,52,32,51,52,50,46,48,57,
      51,32,51,52,52,46,48,57,51,10,32,32,51,52,54,46,48,57,51,32,51,52,56,46,48,
      57,51,32,51,53,48,46,48,57,51,32,51,53,50,46,48,57,51,32,51,53,52,46,48,57,
      51,32,51,53,54,46,48,57,51,32,51,53,56,46,48,57,51,32,51,54,48,46,48,57,51,
      32,51,54,50,46,48,57,51,32,51,54,52,46,48,57,51,10,32,32,51,54,54,46,48,57,
      51,32,51,54,56,46,48,57,51,32,51,55,48,46,48,57,51,32,51,55,50,46,48,57,51,
      32,51,55,52,46,48,57,51,32,51,55,54,46,48,57,51,32,51,55,56,46,48,57,51,32,
      51,56,48,46,48,57,51,32,51,56,50,46,48,57,51,32,51,56,52,46,48,57,51,10,32,
      32,51,56,54,46,48,57,51,32,51,56,56,46,48,57,51,32,51,57,48,46,48,57,51,32,
      51,57,50,46,48,57,51,32,51,57,52,46,48,57,50,32,51,57,54,46,48,57,50,10,32,
      32,115,97,98,95,115,99,97,108,101,100,32,56,52,53,51,48,48,32,50,49,48,56,48,
      57,32,57,51,54,49,53,46,56,32,56,52,53,50,57,46,52,32,50,49,48,55,57,46,49,
      32,57,51,53,57,46,51,56,32,53,50,54,52,46,56,50,32,51,51,54,57,46,55,53,32,
      50,51,51,56,46,55,56,32,49,55,49,56,32,49,51,49,52,46,54,52,10,32,32,49,48,
      51,56,46,50,49,32,56,52,48,46,53,50,50,32,54,57,52,46,50,48,52,32,53,56,50,
      46,56,57,32,52,57,54,46,50,55,50,32,52,50,55,46,53,50,52,32,51,55,50,46,48,
      53,49,32,51,50,54,46,54,53,55,32,50,56,57,46,48,50,52,32,50,53,55,46,52,57,
      49,32,50,51,48,46,56,10,32,32,50,48,56,46,48,49,52,32,49,56,56,46,52,48,51,
      32,49,55,49,46,52,48,51,32,49,53,54,46,53,56,32,49,52,51,46,53,55,51,32,49,
      51,50,46,48,57,51,32,49,50,49,46,57,50,52,32,49,49,50,46,56,55,32,49,48,52,
      46,55,54,56,32,57,55,46,53,48,48,52,32,57,48,46,57,53,57,10,32,32,56,53,46,
      48,51,57,50,32,55,57,46,54,55,53,53,32,55,52,46,56,48,56,53,32,55,48,46,51,
      54,52,53,32,54,54,46,51,48,48,52,32,54,50,46,53,57,52,51,32,53,57,46,49,56,
      51,55,32,53,54,46,48,51,55,55,32,53,51,46,49,54,48,54,32,53,48,46,52,57,53,
      54,10,32,32,52,56,46,48,50,50,32,52,53,46,55,52,55,53,32,52,51,46,54,51,51,
      54,32,52,49,46,54,54,49,55,32,51,57,46,56,51,55,53,32,51,56,46,49,51,57,50,
      32,51,54,46,53,52,56,49,32,51,53,46,48,54,54,57,32,51,51,46,54,56,54,54,32,
      51,50,46,51,56,56,54,32,51,49,46,49,55,50,55,10,32,32,51,48,46,48,51,56,56,
      32,50,56,46,57,54,57,49,32,50,55,46,57,54,49,52,32,50,55,46,48,50,48,49,32,
      50,54,46,49,50,57,56,32,50,53,46,50,56,54,57,32,50,52,46,52,57,56,55,32,50,
      51,46,55,53,49,51,32,50,51,46,48,52,50,32,50,50,46,51,55,54,56,32,50,49,46,
      55,52,54,50,10,32,32,50,49,46,49,52,54,54,32,50,48,46,53,56,52,52,32,50,48,
      46,48,53,51,50,32,49,57,46,53,52,55,51,32,49,57,46,48,55,52,54,32,49,56,46,
      54,51,51,51,32,49,56,46,50,49,50,55,32,49,55,46,56,50,49,53,32,49,55,46,52,
      54,55,51,32,49,55,46,49,51,48,51,10,32,32,49,54,46,56,49,54,56,32,49,54,46,
      53,53,51,53,32,49,54,46,51,48,52,51,32,49,54,46,48,54,57,50,32,49,53,46,57,
      48,53,53,32,49,53,46,55,53,52,49,32,49,53,46,54,49,52,49,32,49,53,46,53,53,
      49,57,32,49,53,46,53,49,51,49,32,49,53,46,52,56,53,32,49,53,46,53,51,52,56,
      10,32,32,49,53,46,54,50,56,32,49,53,46,55,51,50,51,32,49,53,46,57,48,56,51,
      32,49,54,46,49,53,53,49,32,49,54,46,52,49,52,53,32,49,54,46,55,51,50,53,32,
      49,55,46,49,53,51,49,32,49,55,46,53,56,56,55,32,49,56,46,48,54,51,56,32,49,
      56,46,54,55,49,52,32,49,57,46,50,57,54,53,10,32,32,49,57,46,57,51,57,54,32,
      50,48,46,55,51,50,32,50,49,46,53,52,51,54,32,50,50,46,51,55,50,54,32,50,51,
      46,51,48,55,54,32,50,52,46,50,55,54,53,32,50,53,46,50,54,51,32,50,54,46,50,
      57,55,32,50,55,46,51,54,49,56,32,50,56,46,52,52,48,57,32,50,57,46,53,48,57,
      49,10,32,32,51,48,46,53,54,53,49,32,51,49,46,54,51,48,49,32,51,50,46,54,52,
      53,52,32,51,51,46,53,54,48,49,32,51,52,46,52,55,54,52,32,51,53,46,51,51,56,
      53,32,51,53,46,57,53,51,32,51,54,46,53,54,52,57,32,51,55,46,49,54,53,53,32,
      51,55,46,51,51,50,56,32,51,55,46,52,57,56,50,10,32,32,51,55,46,54,54,49,57,
      32,51,55,46,51,55,32,51,55,46,48,48,54,50,32,51,54,46,54,53,48,50,32,51,53,
      46,57,49,56,54,32,51,53,46,48,51,53,50,32,51,52,46,49,55,55,32,51,51,46,48,
      56,57,51,32,51,49,46,56,49,48,55,32,51,48,46,53,55,55,55,32,50,57,46,50,54,
      57,10,32,32,50,55,46,56,48,48,51,32,50,54,46,51,57,51,56,32,50,53,46,48,49,
      55,56,32,50,51,46,53,55,55,51,32,50,50,46,50,48,53,50,32,50,48,46,56,57,56,
      32,49,57,46,54,52,49,50,32,49,56,46,52,52,54,49,32,49,55,46,51,49,48,54,32,
      49,54,46,50,57,51,51,32,49,53,46,51,51,53,53,10,32,32,49,52,46,52,50,52,57,
      32,49,51,46,54,50,55,56,32,49,50,46,56,57,55,53,32,49,50,46,50,48,49,52,32,
      49,49,46,53,56,53,53,32,49,49,46,48,51,57,50,32,49,48,46,53,49,54,50,32,49,
      48,46,48,52,48,55,32,57,46,54,50,56,57,54,32,57,46,50,51,51,48,55,10,32,32,
      56,46,56,54,48,57,54,32,56,46,53,51,56,56,55,32,56,46,50,50,56,49,53,32,55,
      46,57,50,56,57,55,32,55,46,54,54,52,52,54,32,55,46,52,48,56,55,32,55,46,49,
      54,49,53,50,32,54,46,56,53,54,54,53,32,54,46,50,48,49,51,50,32,53,46,51,52,
      57,54,54,32,52,46,50,48,52,49,55,10,32,32,51,46,51,57,53,52,49,32,50,46,56,
      56,56,55,53,32,50,46,54,48,54,53,55,32,50,46,52,54,57,57,55,32,50,46,52,49,
      53,49,32,50,46,51,57,52,53,56,32,50,46,51,55,54,54,49,32,50,46,51,52,48,49,
      55,32,50,46,50,55,54,50,32,50,46,49,56,53,52,49,32,50,46,48,52,53,54,54,10,
      32,32,49,46,56,56,52,52,51,32,49,46,54,53,57,52,56,32,49,46,52,52,54,52,50,
      32,49,46,50,53,55,52,53,32,49,46,48,54,49,51,56,32,46,57,48,55,53,49,50,32,
      46,55,57,53,53,55,56,32,46,55,48,56,56,54,51,32,46,54,54,51,49,51,32,46,54,
      52,48,53,52,56,32,46,54,51,54,50,56,56,10,32,32,46,54,51,50,57,57,52,32,46,
      54,49,54,49,57,53,32,46,53,55,54,51,53,55,32,46,53,50,48,56,57,57,32,46,52,
      54,51,53,54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,50,57,32,46,51,50,
      54,54,52,55,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,50,10,32,32,46,50,
      56,54,57,50,54,32,46,50,55,51,53,56,57,32,46,50,52,55,49,32,46,50,48,55,50,
      49,54,32,46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,
      52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,32,46,48,54,50,54,
      55,51,55,10,32,32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,50,32,46,
      48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,
      32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,
      55,32,46,48,49,56,56,57,52,55,10,32,32,46,48,49,53,50,50,53,55,32,46,48,49,
      50,49,57,54,49,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,
      32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,
      50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,
      10,32,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,
      48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,55,32,46,48,48,48,56,56,
      57,52,53,54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,52,
      32,46,48,48,48,51,57,55,54,52,52,10,32,32,46,48,48,48,51,49,49,49,50,54,32,
      46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,
      48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,
      56,101,45,48,53,32,55,46,48,50,52,54,55,101,45,48,53,32,53,46,48,56,51,53,49,
      101,45,48,53,10,32,32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,
      101,45,48,53,32,50,46,53,52,49,57,51,101,45,48,53,32,49,46,56,49,52,54,49,101,
      45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,
      53,32,57,46,50,54,56,56,101,45,48,54,10,32,32,54,46,56,55,55,56,53,101,45,48,
      54,32,53,46,51,57,48,54,56,101,45,48,54,32,57,46,51,48,50,57,56,101,45,48,54,
      32,56,46,49,55,56,48,55,101,45,48,54,32,54,46,51,56,52,48,52,101,45,48,54,32,
      52,46,56,53,55,53,54,101,45,48,54,32,51,46,56,54,57,54,55,101,45,48,54,10,32,
      32,51,46,48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,51,101,45,48,54,32,
      50,46,48,50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,
      48,56,55,101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,56,46,56,52,53,50,
      51,101,45,48,55,10,32,32,54,46,55,52,57,52,51,101,45,48,55,32,53,46,55,49,57,
      49,54,101,45,48,55,32,52,46,54,53,53,57,52,101,45,48,55,32,50,46,56,56,54,50,
      54,101,45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,48,49,50,54,
      101,45,48,56,32,51,46,53,54,48,57,55,101,45,48,56,10,32,32,49,46,54,48,55,55,
      56,101,45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,32,50,46,56,49,49,49,53,
      101,45,48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,46,51,56,52,56,53,101,
      45,49,48,32,49,46,48,50,52,50,54,101,45,49,48,32,51,46,57,56,56,57,49,101,45,
      49,49,10,32,32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,50,49,101,
      45,49,50,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,56,101,45,49,51,
      32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,32,
      49,46,49,55,53,50,54,101,45,49,52,10,32,32,51,46,57,53,50,49,51,101,45,49,53,
      32,49,46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,55,101,45,49,54,32,
      53,46,50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,
      46,55,48,51,101,45,49,56,32,54,46,54,48,52,50,57,101,45,49,57,10,32,32,49,46,
      54,51,48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,101,45,50,48,32,48,114,
      49,48,55,32,52,57,57,55,46,52,55,32,49,48,57,57,49,46,55,32,49,53,51,49,53,
      46,51,32,49,53,57,49,52,46,56,32,49,53,57,48,52,46,55,32,56,55,51,52,46,49,
      51,32,53,49,50,49,46,55,54,10,32,32,51,51,49,48,46,56,51,32,50,51,49,48,46,
      51,49,32,49,55,48,50,46,54,49,32,49,51,48,53,46,54,50,32,49,48,51,50,46,53,
      56,32,56,51,54,46,56,50,52,32,54,57,49,46,54,55,56,32,53,56,49,46,49,48,55,
      32,52,57,52,46,57,55,57,32,52,50,54,46,53,54,51,10,32,32,51,55,49,46,51,50,
      51,32,51,50,54,46,48,57,53,32,50,56,56,46,53,56,51,32,50,53,55,46,49,52,32,
      50,51,48,46,53,49,56,32,50,48,55,46,55,56,53,32,49,56,56,46,50,49,52,32,49,
      55,49,46,50,52,54,32,49,53,54,46,52,52,57,32,49,52,51,46,52,54,52,32,49,51,
      50,10,32,32,49,50,49,46,56,52,53,32,49,49,50,46,56,48,50,32,49,48,52,46,55,
      48,57,32,57,55,46,52,52,57,51,32,57,48,46,57,49,52,52,32,56,53,46,48,48,48,
      50,32,55,57,46,54,52,49,50,32,55,52,46,55,55,56,50,32,55,48,46,51,51,55,55,
      32,54,54,46,50,55,54,53,10,32,32,54,50,46,53,55,51,49,32,53,57,46,49,54,52,
      55,32,53,54,46,48,50,48,55,32,53,51,46,49,52,53,50,32,53,48,46,52,56,49,55,
      32,52,56,46,48,48,57,53,32,52,53,46,55,51,54,50,32,52,51,46,54,50,51,51,32,
      52,49,46,54,53,50,51,32,51,57,46,56,50,56,57,10,32,32,51,56,46,49,51,49,52,
      32,51,54,46,53,52,49,32,51,53,46,48,54,48,51,32,51,51,46,54,56,48,54,32,51,
      50,46,51,56,51,32,51,49,46,49,54,55,54,32,51,48,46,48,51,52,49,32,50,56,46,
      57,54,52,55,32,50,55,46,57,53,55,52,32,50,55,46,48,49,54,52,32,50,54,46,49,
      50,54,51,10,32,32,50,53,46,50,56,51,55,32,50,52,46,52,57,53,55,32,50,51,46,
      55,52,56,53,32,50,51,46,48,51,57,52,32,50,50,46,51,55,52,51,32,50,49,46,55,
      52,51,57,32,50,49,46,49,52,52,52,32,50,48,46,53,56,50,52,32,50,48,46,48,53,
      49,51,32,49,57,46,53,52,53,53,10,32,32,49,57,46,48,55,50,57,32,49,56,46,54,
      51,49,55,32,49,56,46,50,49,49,50,32,49,55,46,56,50,32,49,55,46,52,54,54,32,
      49,55,46,49,50,57,32,49,54,46,56,49,53,54,32,49,54,46,53,53,50,51,32,49,54,
      46,51,48,51,50,32,49,54,46,48,54,56,49,32,49,53,46,57,48,52,53,10,32,32,49,
      53,46,55,53,51,49,32,49,53,46,54,49,51,49,32,49,53,46,53,53,49,32,49,53,46,
      53,49,50,50,32,49,53,46,52,56,52,50,32,49,53,46,53,51,52,32,49,53,46,54,50,
      55,50,32,49,53,46,55,51,49,53,32,49,53,46,57,48,55,53,32,49,54,46,49,53,52,
      51,32,49,54,46,52,49,51,55,10,32,32,49,54,46,55,51,49,56,32,49,55,46,49,53,
      50,51,32,49,55,46,53,56,55,57,32,49,56,46,48,54,51,32,49,56,46,54,55,48,54,
      32,49,57,46,50,57,53,54,32,49,57,46,57,51,56,55,32,50,48,46,55,51,49,49,32,
      50,49,46,53,52,50,55,32,50,50,46,51,55,49,54,32,50,51,46,51,48,54,53,10,32,
      32,50,52,46,50,55,53,51,32,50,53,46,50,54,49,57,32,50,54,46,50,57,53,56,32,
      50,55,46,51,54,48,53,32,50,56,46,52,51,57,53,32,50,57,46,53,48,55,55,32,51,
      48,46,53,54,51,54,32,51,49,46,54,50,56,53,32,51,50,46,54,52,51,55,32,51,51,
      46,53,53,56,52,10,32,32,51,52,46,52,55,52,54,32,51,53,46,51,51,54,55,32,51,
      53,46,57,53,49,50,32,51,54,46,53,54,51,32,51,55,46,49,54,51,54,32,51,55,46,
      51,51,48,57,32,51,55,46,52,57,54,51,32,51,55,46,54,54,32,51,55,46,51,54,56,
      49,32,51,55,46,48,48,52,51,32,51,54,46,54,52,56,52,10,32,32,51,53,46,57,49,
      54,56,32,51,53,46,48,51,51,54,32,51,52,46,49,55,53,52,32,51,51,46,48,56,55,
      56,32,51,49,46,56,48,57,51,32,51,48,46,53,55,54,52,32,50,57,46,50,54,55,56,
      32,50,55,46,55,57,57,50,32,50,54,46,51,57,50,56,32,50,53,46,48,49,54,57,10,
      32,32,50,51,46,53,55,54,53,32,50,50,46,50,48,52,52,32,50,48,46,56,57,55,51,
      32,49,57,46,54,52,48,54,32,49,56,46,52,52,53,53,32,49,55,46,51,49,48,49,32,
      49,54,46,50,57,50,56,32,49,53,46,51,51,53,49,32,49,52,46,52,50,52,53,32,49,
      51,46,54,50,55,52,10,32,32,49,50,46,56,57,55,50,32,49,50,46,50,48,49,49,32,
      49,49,46,53,56,53,50,32,49,49,46,48,51,57,32,49,48,46,53,49,54,32,49,48,46,
      48,52,48,53,32,57,46,54,50,56,55,54,32,57,46,50,51,50,56,57,32,56,46,56,54,
      48,55,57,32,56,46,53,51,56,55,49,32,56,46,50,50,56,10,32,32,55,46,57,50,56,
      56,51,32,55,46,54,54,52,51,51,32,55,46,52,48,56,53,55,32,55,46,49,54,49,52,
      32,54,46,56,53,54,53,52,32,54,46,50,48,49,50,51,32,53,46,51,52,57,53,57,32,
      52,46,50,48,52,49,50,32,51,46,51,57,53,51,56,32,50,46,56,56,56,55,51,32,50,
      46,54,48,54,53,54,10,32,32,50,46,52,54,57,57,54,32,50,46,52,49,53,48,57,32,
      50,46,51,57,52,53,55,32,50,46,51,55,54,54,32,50,46,51,52,48,49,54,32,50,46,
      50,55,54,49,57,32,50,46,49,56,53,52,32,50,46,48,52,53,54,53,32,49,46,56,56,
      52,52,50,32,49,46,54,53,57,52,56,32,49,46,52,52,54,52,49,10,32,32,49,46,50,
      53,55,52,53,32,49,46,48,54,49,51,56,32,46,57,48,55,53,49,49,32,46,55,57,53,
      53,55,55,32,46,55,48,56,56,54,51,32,46,54,54,51,49,50,57,32,46,54,52,48,53,
      52,56,32,46,54,51,54,50,56,56,32,46,54,51,50,57,57,52,32,46,54,49,54,49,57,
      53,10,32,32,46,53,55,54,51,53,55,32,46,53,50,48,56,57,57,32,46,52,54,51,53,
      54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,50,57,32,46,51,50,54,54,52,
      55,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,50,32,46,50,56,54,57,50,54,
      32,46,50,55,51,53,56,57,10,32,32,46,50,52,55,49,32,46,50,48,55,50,49,54,32,
      46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,
      48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,32,46,48,54,50,54,55,51,55,
      32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,50,10,32,32,46,48,53,50,
      51,49,49,56,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,
      51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,
      48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,
      10,32,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,
      48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,
      57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,
      48,50,55,56,53,53,57,10,32,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,
      50,54,56,50,32,46,48,48,48,57,57,51,57,51,55,32,46,48,48,48,56,56,57,52,53,
      54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,52,32,46,48,
      48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,49,50,54,10,32,32,46,48,48,
      48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,
      48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,
      48,53,32,55,46,48,50,52,54,55,101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,
      53,10,32,32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,
      53,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,
      32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,
      46,50,54,56,56,101,45,48,54,10,32,32,54,46,56,55,55,56,53,101,45,48,54,32,53,
      46,51,57,48,54,56,101,45,48,54,32,57,46,51,48,50,57,56,101,45,48,54,32,56,46,
      49,55,56,48,55,101,45,48,54,32,54,46,51,56,52,48,52,101,45,48,54,32,52,46,56,
      53,55,53,54,101,45,48,54,32,51,46,56,54,57,54,55,101,45,48,54,10,32,32,51,46,
      48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,51,101,45,48,54,32,50,46,48,
      50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,48,56,55,
      101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,56,46,56,52,53,50,51,101,
      45,48,55,10,32,32,54,46,55,52,57,52,51,101,45,48,55,32,53,46,55,49,57,49,54,
      101,45,48,55,32,52,46,54,53,53,57,52,101,45,48,55,32,50,46,56,56,54,50,54,101,
      45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,48,49,50,54,101,45,
      48,56,32,51,46,53,54,48,57,55,101,45,48,56,10,32,32,49,46,54,48,55,55,56,101,
      45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,32,50,46,56,49,49,49,53,101,45,
      48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,
      48,32,49,46,48,50,52,50,54,101,45,49,48,32,51,46,57,56,56,57,49,101,45,49,49,
      10,32,32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,
      50,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,56,101,45,49,51,32,49,
      46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,32,49,46,
      49,55,53,50,54,101,45,49,52,10,32,32,51,46,57,53,50,49,51,101,45,49,53,32,49,
      46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,55,101,45,49,54,32,53,46,
      50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,
      48,51,101,45,49,56,32,54,46,54,48,52,50,57,101,45,49,57,10,32,32,49,46,54,51,
      48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,101,45,50,48,32,48,114,49,48,
      55,32,49,51,50,51,46,54,51,32,52,48,50,49,46,53,49,32,53,57,54,57,46,52,51,
      32,54,50,49,53,46,51,52,32,57,52,50,52,46,51,32,55,52,49,55,46,51,53,32,52,
      56,51,48,46,53,55,10,32,32,51,50,53,50,46,57,56,32,50,50,56,50,46,50,32,49,
      54,56,55,46,51,54,32,49,50,57,54,46,54,53,32,49,48,50,54,46,57,55,32,56,51,
      51,46,49,52,50,32,54,56,57,46,49,54,51,32,53,55,57,46,51,51,49,32,52,57,51,
      46,54,56,57,32,52,50,53,46,54,48,52,32,51,55,48,46,53,57,54,10,32,32,51,50,
      53,46,53,51,51,32,50,56,56,46,49,52,51,32,50,53,54,46,55,57,32,50,51,48,46,
      50,51,55,32,50,48,55,46,53,53,54,32,49,56,56,46,48,50,54,32,49,55,49,46,48,
      57,32,49,53,54,46,51,49,57,32,49,52,51,46,51,53,52,32,49,51,49,46,57,48,55,
      32,49,50,49,46,55,54,53,10,32,32,49,49,50,46,55,51,52,32,49,48,52,46,54,53,
      32,57,55,46,51,57,56,49,32,57,48,46,56,54,57,56,32,56,52,46,57,54,49,50,32,
      55,57,46,54,48,54,57,32,55,52,46,55,52,55,57,32,55,48,46,51,49,48,57,32,54,
      54,46,50,53,50,55,32,54,50,46,53,53,49,56,32,53,57,46,49,52,53,55,10,32,32,
      53,54,46,48,48,51,54,32,53,51,46,49,50,57,57,32,53,48,46,52,54,55,57,32,52,
      55,46,57,57,55,32,52,53,46,55,50,52,57,32,52,51,46,54,49,51,32,52,49,46,54,
      52,50,57,32,51,57,46,56,50,48,52,32,51,56,46,49,50,51,54,32,51,54,46,53,51,
      51,56,32,51,53,46,48,53,51,56,10,32,32,51,51,46,54,55,52,54,32,51,50,46,51,
      55,55,53,32,51,49,46,49,54,50,53,32,51,48,46,48,50,57,51,32,50,56,46,57,54,
      48,51,32,50,55,46,57,53,51,51,32,50,55,46,48,49,50,54,32,50,54,46,49,50,50,
      57,32,50,53,46,50,56,48,52,32,50,52,46,52,57,50,55,10,32,32,50,51,46,55,52,
      53,55,32,50,51,46,48,51,54,55,32,50,50,46,51,55,49,57,32,50,49,46,55,52,49,
      54,32,50,49,46,49,52,50,51,32,50,48,46,53,56,48,51,32,50,48,46,48,52,57,52,
      32,49,57,46,53,52,51,55,32,49,57,46,48,55,49,51,32,49,56,46,54,51,48,49,10,
      32,32,49,56,46,50,48,57,55,32,49,55,46,56,49,56,54,32,49,55,46,52,54,52,54,
      32,49,55,46,49,50,55,55,32,49,54,46,56,49,52,52,32,49,54,46,53,53,49,49,32,
      49,54,46,51,48,50,49,32,49,54,46,48,54,55,49,32,49,53,46,57,48,51,52,32,49,
      53,46,55,53,50,49,10,32,32,49,53,46,54,49,50,50,32,49,53,46,53,53,48,49,32,
      49,53,46,53,49,49,52,32,49,53,46,52,56,51,51,32,49,53,46,53,51,51,50,32,49,
      53,46,54,50,54,52,32,49,53,46,55,51,48,55,32,49,53,46,57,48,54,55,32,49,54,
      46,49,53,51,54,32,49,54,46,52,49,51,32,49,54,46,55,51,49,10,32,32,49,55,46,
      49,53,49,54,32,49,55,46,53,56,55,49,32,49,56,46,48,54,50,50,32,49,56,46,54,
      54,57,56,32,49,57,46,50,57,52,56,32,49,57,46,57,51,55,56,32,50,48,46,55,51,
      48,50,32,50,49,46,53,52,49,55,32,50,50,46,51,55,48,54,32,50,51,46,51,48,53,
      52,10,32,32,50,52,46,50,55,52,50,32,50,53,46,50,54,48,55,32,50,54,46,50,57,
      52,54,32,50,55,46,51,53,57,50,32,50,56,46,52,51,56,50,32,50,57,46,53,48,54,
      50,32,51,48,46,53,54,50,49,32,51,49,46,54,50,55,32,51,50,46,54,52,50,49,32,
      51,51,46,53,53,54,55,32,51,52,46,52,55,50,57,10,32,32,51,53,46,51,51,52,57,
      32,51,53,46,57,52,57,51,32,51,54,46,53,54,49,49,32,51,55,46,49,54,49,54,32,
      51,55,46,51,50,56,57,32,51,55,46,52,57,52,52,32,51,55,46,54,53,56,49,32,51,
      55,46,51,54,54,50,32,51,55,46,48,48,50,53,32,51,54,46,54,52,54,54,10,32,32,
      51,53,46,57,49,53,49,32,51,53,46,48,51,49,57,32,51,52,46,49,55,51,56,32,51,
      51,46,48,56,54,51,32,51,49,46,56,48,55,57,32,51,48,46,53,55,53,49,32,50,57,
      46,50,54,54,54,32,50,55,46,55,57,56,32,50,54,46,51,57,49,56,32,50,53,46,48,
      49,54,32,50,51,46,53,55,53,54,10,32,32,50,50,46,50,48,51,54,32,50,48,46,56,
      57,54,54,32,49,57,46,54,51,57,57,32,49,56,46,52,52,52,57,32,49,55,46,51,48,
      57,54,32,49,54,46,50,57,50,51,32,49,53,46,51,51,52,55,32,49,52,46,52,50,52,
      49,32,49,51,46,54,50,55,49,32,49,50,46,56,57,54,57,10,32,32,49,50,46,50,48,
      48,56,32,49,49,46,53,56,53,32,49,49,46,48,51,56,56,32,49,48,46,53,49,53,55,
      32,49,48,46,48,52,48,51,32,57,46,54,50,56,53,55,32,57,46,50,51,50,55,49,32,
      56,46,56,54,48,54,50,32,56,46,53,51,56,53,53,32,56,46,50,50,55,56,53,32,55,
      46,57,50,56,54,57,10,32,32,55,46,54,54,52,50,32,55,46,52,48,56,52,53,32,55,
      46,49,54,49,50,57,32,54,46,56,53,54,52,51,32,54,46,50,48,49,49,52,32,53,46,
      51,52,57,53,50,32,52,46,50,48,52,48,56,32,51,46,51,57,53,51,53,32,50,46,56,
      56,56,55,32,50,46,54,48,54,53,52,32,50,46,52,54,57,57,52,10,32,32,50,46,52,
      49,53,48,55,32,50,46,51,57,52,53,53,32,50,46,51,55,54,53,57,32,50,46,51,52,
      48,49,52,32,50,46,50,55,54,49,56,32,50,46,49,56,53,51,57,32,50,46,48,52,53,
      54,52,32,49,46,56,56,52,52,49,32,49,46,54,53,57,52,55,32,49,46,52,52,54,52,
      49,10,32,32,49,46,50,53,55,52,53,32,49,46,48,54,49,51,56,32,46,57,48,55,53,
      49,32,46,55,57,53,53,55,55,32,46,55,48,56,56,54,50,32,46,54,54,51,49,50,57,
      32,46,54,52,48,53,52,56,32,46,54,51,54,50,56,56,32,46,54,51,50,57,57,52,32,
      46,54,49,54,49,57,53,32,46,53,55,54,51,53,55,10,32,32,46,53,50,48,56,57,57,
      32,46,52,54,51,53,54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,50,57,32,
      46,51,50,54,54,52,55,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,50,32,46,
      50,56,54,57,50,54,32,46,50,55,51,53,56,57,32,46,50,52,55,49,32,46,50,48,55,
      50,49,54,10,32,32,46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,
      55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,32,46,48,
      54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,50,32,
      46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,10,32,32,46,48,52,51,48,
      53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,
      50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,
      49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,
      51,10,32,32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,
      48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,
      48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,
      48,48,49,51,50,54,56,50,10,32,32,46,48,48,48,57,57,51,57,51,55,32,46,48,48,
      48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,
      54,51,52,32,46,48,48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,49,50,54,
      32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,10,32,32,
      46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,
      53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,101,45,48,53,32,53,46,48,56,
      51,53,49,101,45,48,53,32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,
      51,101,45,48,53,10,32,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,
      54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,
      101,45,48,53,32,57,46,50,54,56,56,101,45,48,54,32,54,46,56,55,55,56,53,101,
      45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,10,32,32,57,46,51,48,50,57,56,
      101,45,48,54,32,56,46,49,55,56,48,55,101,45,48,54,32,54,46,51,56,52,48,52,101,
      45,48,54,32,52,46,56,53,55,53,54,101,45,48,54,32,51,46,56,54,57,54,55,101,45,
      48,54,32,51,46,48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,51,101,45,48,
      54,10,32,32,50,46,48,50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,
      32,49,46,51,48,56,55,101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,56,46,
      56,52,53,50,51,101,45,48,55,32,54,46,55,52,57,52,51,101,45,48,55,32,53,46,55,
      49,57,49,54,101,45,48,55,10,32,32,52,46,54,53,53,57,52,101,45,48,55,32,50,46,
      56,56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,
      48,49,50,54,101,45,48,56,32,51,46,53,54,48,57,55,101,45,48,56,32,49,46,54,48,
      55,55,56,101,45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,10,32,32,50,46,56,
      49,49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,46,51,56,
      52,56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,45,49,48,32,51,46,57,56,56,
      57,49,101,45,49,49,32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,50,
      49,101,45,49,50,10,32,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,55,
      101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,
      45,49,52,32,49,46,49,55,53,50,54,101,45,49,52,32,51,46,57,53,50,49,51,101,45,
      49,53,32,49,46,48,49,48,54,55,101,45,49,53,10,32,32,50,46,52,56,50,57,55,101,
      45,49,54,32,53,46,50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,55,101,45,
      49,55,32,50,46,55,48,51,101,45,49,56,32,54,46,54,48,52,50,57,101,45,49,57,32,
      49,46,54,51,48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,101,45,50,48,10,32,
      32,48,114,49,48,55,32,51,51,54,46,48,56,55,32,49,50,51,50,46,56,51,32,50,50,
      49,55,46,54,57,32,50,51,54,49,46,56,53,32,52,48,48,50,46,56,56,32,52,55,48,
      56,46,50,50,32,51,57,55,51,46,54,49,32,50,57,54,50,46,56,32,50,49,56,50,46,
      52,55,32,49,54,53,55,46,50,56,10,32,32,49,50,55,56,46,57,50,32,49,48,49,53,
      46,56,54,32,56,50,53,46,56,50,57,32,54,56,52,46,49,53,57,32,53,55,53,46,55,
      57,52,32,52,57,49,46,49,50,32,52,50,51,46,54,57,51,32,51,54,57,46,49,52,54,
      32,51,50,52,46,52,49,52,32,50,56,55,46,50,54,52,32,50,53,54,46,48,57,50,10,
      32,32,50,50,57,46,54,55,53,32,50,48,55,46,48,57,56,32,49,56,55,46,54,53,32,
      49,55,48,46,55,55,57,32,49,53,54,46,48,53,56,32,49,52,51,46,49,51,52,32,49,
      51,49,46,55,50,32,49,50,49,46,54,48,54,32,49,49,50,46,53,57,55,32,49,48,52,
      46,53,51,50,32,57,55,46,50,57,53,57,10,32,32,57,48,46,55,56,48,55,32,56,52,
      46,56,56,51,50,32,55,57,46,53,51,56,51,32,55,52,46,54,56,55,52,32,55,48,46,
      50,53,55,51,32,54,54,46,50,48,53,49,32,54,50,46,53,48,57,52,32,53,57,46,49,
      48,55,55,32,53,53,46,57,54,57,54,32,53,51,46,48,57,57,50,10,32,32,53,48,46,
      52,52,48,51,32,52,55,46,57,55,50,32,52,53,46,55,48,50,50,32,52,51,46,53,57,
      50,53,32,52,49,46,54,50,52,50,32,51,57,46,56,48,51,51,32,51,56,46,49,48,56,
      32,51,54,46,53,49,57,54,32,51,53,46,48,52,48,54,32,51,51,46,54,54,50,53,32,
      51,50,46,51,54,54,52,10,32,32,51,49,46,49,53,50,50,32,51,48,46,48,49,57,57,
      32,50,56,46,57,53,49,54,32,50,55,46,57,52,53,50,32,50,55,46,48,48,53,49,32,
      50,54,46,49,49,53,57,32,50,53,46,50,55,51,57,32,50,52,46,52,56,54,54,32,50,
      51,46,55,52,32,50,51,46,48,51,49,52,32,50,50,46,51,54,54,57,10,32,32,50,49,
      46,55,51,55,32,50,49,46,49,51,55,57,32,50,48,46,53,55,54,51,32,50,48,46,48,
      52,53,53,32,49,57,46,53,52,48,49,32,49,57,46,48,54,55,57,32,49,56,46,54,50,
      54,57,32,49,56,46,50,48,54,54,32,49,55,46,56,49,53,56,32,49,55,46,52,54,49,
      57,32,49,55,46,49,50,53,49,10,32,32,49,54,46,56,49,49,57,32,49,54,46,53,52,
      56,56,32,49,54,46,50,57,57,57,32,49,54,46,48,54,53,32,49,53,46,57,48,49,52,
      32,49,53,46,55,53,48,50,32,49,53,46,54,49,48,52,32,49,53,46,53,52,56,51,32,
      49,53,46,53,48,57,54,32,49,53,46,52,56,49,55,32,49,53,46,53,51,49,53,10,32,
      32,49,53,46,54,50,52,56,32,49,53,46,55,50,57,49,32,49,53,46,57,48,53,50,32,
      49,54,46,49,53,50,32,49,54,46,52,49,49,52,32,49,54,46,55,50,57,52,32,49,55,
      46,49,53,32,49,55,46,53,56,53,54,32,49,56,46,48,54,48,54,32,49,56,46,54,54,
      56,49,32,49,57,46,50,57,51,49,10,32,32,49,57,46,57,51,54,49,32,50,48,46,55,
      50,56,51,32,50,49,46,53,51,57,56,32,50,50,46,51,54,56,54,32,50,51,46,51,48,
      51,51,32,50,52,46,50,55,50,32,50,53,46,50,53,56,52,32,50,54,46,50,57,50,49,
      32,50,55,46,51,53,54,54,32,50,56,46,52,51,53,52,32,50,57,46,53,48,51,52,10,
      32,32,51,48,46,53,53,57,49,32,51,49,46,54,50,51,56,32,51,50,46,54,51,56,56,
      32,51,51,46,53,53,51,51,32,51,52,46,52,54,57,52,32,51,53,46,51,51,49,50,32,
      51,53,46,57,52,53,54,32,51,54,46,53,53,55,51,32,51,55,46,49,53,55,56,32,51,
      55,46,51,50,53,49,10,32,32,51,55,46,52,57,48,53,32,51,55,46,54,53,52,50,32,
      51,55,46,51,54,50,52,32,51,54,46,57,57,56,56,32,51,54,46,54,52,51,32,51,53,
      46,57,49,49,54,32,51,53,46,48,50,56,54,32,51,52,46,49,55,48,54,32,51,51,46,
      48,56,51,51,32,51,49,46,56,48,53,49,32,51,48,46,53,55,50,52,10,32,32,50,57,
      46,50,54,52,49,32,50,55,46,55,57,53,56,32,50,54,46,51,56,57,55,32,50,53,46,
      48,49,52,49,32,50,51,46,53,55,51,57,32,50,50,46,50,48,50,49,32,50,48,46,56,
      57,53,50,32,49,57,46,54,51,56,55,32,49,56,46,52,52,51,56,32,49,55,46,51,48,
      56,54,10,32,32,49,54,46,50,57,49,52,32,49,53,46,51,51,51,56,32,49,52,46,52,
      50,51,51,32,49,51,46,54,50,54,52,32,49,50,46,56,57,54,51,32,49,50,46,50,48,
      48,50,32,49,49,46,53,56,52,52,32,49,49,46,48,51,56,51,32,49,48,46,53,49,53,
      51,32,49,48,46,48,51,57,56,10,32,32,57,46,54,50,56,49,56,32,57,46,50,51,50,
      51,53,32,56,46,56,54,48,50,56,32,56,46,53,51,56,50,51,32,56,46,50,50,55,53,
      53,32,55,46,57,50,56,52,49,32,55,46,54,54,51,57,52,32,55,46,52,48,56,50,32,
      55,46,49,54,49,48,53,32,54,46,56,53,54,50,49,32,54,46,50,48,48,57,54,10,32,
      32,53,46,51,52,57,51,56,32,52,46,50,48,51,57,57,32,51,46,51,57,53,50,57,32,
      50,46,56,56,56,54,54,32,50,46,54,48,54,53,32,50,46,52,54,57,57,49,32,50,46,
      52,49,53,48,52,32,50,46,51,57,52,53,51,32,50,46,51,55,54,53,54,32,50,46,51,
      52,48,49,50,32,50,46,50,55,54,49,54,10,32,32,50,46,49,56,53,51,56,32,50,46,
      48,52,53,54,51,32,49,46,56,56,52,52,32,49,46,54,53,57,52,54,32,49,46,52,52,
      54,52,32,49,46,50,53,55,52,52,32,49,46,48,54,49,51,56,32,46,57,48,55,53,48,
      57,32,46,55,57,53,53,55,53,32,46,55,48,56,56,54,50,32,46,54,54,51,49,50,56,
      10,32,32,46,54,52,48,53,52,55,32,46,54,51,54,50,56,56,32,46,54,51,50,57,57,
      52,32,46,54,49,54,49,57,53,32,46,53,55,54,51,53,55,32,46,53,50,48,56,57,57,
      32,46,52,54,51,53,54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,50,57,32,
      46,51,50,54,54,52,55,10,32,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,50,
      32,46,50,56,54,57,50,54,32,46,50,55,51,53,56,57,32,46,50,52,55,49,32,46,50,
      48,55,50,49,54,32,46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,
      55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,10,32,32,
      46,48,54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,
      50,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,
      53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,
      50,50,54,55,10,32,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,
      46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,
      54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,
      48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,10,32,32,46,48,48,51,
      57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,
      32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,55,32,46,48,48,
      48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,
      54,51,52,10,32,32,46,48,48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,49,
      50,54,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,
      46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,
      53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,101,45,48,53,10,32,32,53,46,
      48,56,51,53,49,101,45,48,53,32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,
      53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,
      54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,
      101,45,48,53,10,32,32,57,46,50,54,56,56,101,45,48,54,32,54,46,56,55,55,56,53,
      101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,32,57,46,51,48,50,57,56,101,
      45,48,54,32,56,46,49,55,56,48,55,101,45,48,54,32,54,46,51,56,52,48,52,101,45,
      48,54,32,52,46,56,53,55,53,54,101,45,48,54,10,32,32,51,46,56,54,57,54,55,101,
      45,48,54,32,51,46,48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,51,101,45,
      48,54,32,50,46,48,50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,
      49,46,51,48,56,55,101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,10,32,32,56,
      46,56,52,53,50,51,101,45,48,55,32,54,46,55,52,57,52,51,101,45,48,55,32,53,46,
      55,49,57,49,54,101,45,48,55,32,52,46,54,53,53,57,52,101,45,48,55,32,50,46,56,
      56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,48,
      49,50,54,101,45,48,56,10,32,32,51,46,53,54,48,57,55,101,45,48,56,32,49,46,54,
      48,55,55,56,101,45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,32,50,46,56,49,
      49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,46,51,56,52,
      56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,45,49,48,10,32,32,51,46,57,56,
      56,57,49,101,45,49,49,32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,
      50,49,101,45,49,50,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,55,101,
      45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,
      49,52,10,32,32,49,46,49,55,53,50,54,101,45,49,52,32,51,46,57,53,50,49,51,101,
      45,49,53,32,49,46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,56,101,45,
      49,54,32,53,46,50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,
      55,32,50,46,55,48,51,101,45,49,56,10,32,32,54,46,54,48,52,50,57,101,45,49,57,
      32,49,46,54,51,48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,101,45,50,48,32,
      48,114,49,48,55,32,49,52,57,46,56,48,57,32,53,55,54,46,49,49,55,32,49,49,52,
      51,46,57,55,32,49,50,51,56,46,49,57,32,50,51,50,49,46,51,50,10,32,32,51,48,
      49,56,46,56,32,51,48,55,48,46,51,57,32,50,53,56,55,46,57,55,32,50,48,51,57,
      46,56,54,32,49,53,56,49,46,49,53,32,49,50,53,51,46,48,49,32,49,48,48,52,46,
      56,55,32,56,49,56,46,53,56,51,32,54,55,57,46,49,57,51,32,53,55,50,46,50,56,
      32,52,56,56,46,53,54,53,10,32,32,52,50,49,46,55,57,50,32,51,54,55,46,55,48,
      50,32,51,50,51,46,50,57,56,32,50,56,54,46,51,56,57,32,50,53,53,46,51,57,54,
      32,50,50,57,46,49,49,52,32,50,48,54,46,54,52,50,32,49,56,55,46,50,55,53,32,
      49,55,48,46,52,54,56,32,49,53,53,46,55,57,56,10,32,32,49,52,50,46,57,49,53,
      32,49,51,49,46,53,51,53,32,49,50,49,46,52,52,56,32,49,49,50,46,52,54,49,32,
      49,48,52,46,52,49,52,32,57,55,46,49,57,51,56,32,57,48,46,54,57,49,55,32,56,
      52,46,56,48,53,50,32,55,57,46,52,54,57,56,32,55,52,46,54,50,54,57,10,32,32,
      55,48,46,50,48,51,55,32,54,54,46,49,53,55,53,32,54,50,46,52,54,54,57,32,53,
      57,46,48,54,57,56,32,53,53,46,57,51,53,53,32,53,51,46,48,54,56,54,32,53,48,
      46,52,49,50,54,32,52,55,46,57,52,55,32,52,53,46,54,55,57,54,32,52,51,46,53,
      55,49,57,32,52,49,46,54,48,53,53,10,32,32,51,57,46,55,56,54,50,32,51,56,46,
      48,57,50,52,32,51,54,46,53,48,53,51,32,51,53,46,48,50,55,53,32,51,51,46,54,
      53,48,52,32,51,50,46,51,53,53,51,32,51,49,46,49,52,50,32,51,48,46,48,49,48,
      52,32,50,56,46,57,52,50,56,32,50,55,46,57,51,55,49,32,50,54,46,57,57,55,54,
      10,32,32,50,54,46,49,48,56,57,32,50,53,46,50,54,55,52,32,50,52,46,52,56,48,
      53,32,50,51,46,55,51,52,52,32,50,51,46,48,50,54,50,32,50,50,46,51,54,50,32,
      50,49,46,55,51,50,52,32,50,49,46,49,51,51,54,32,50,48,46,53,55,50,50,32,50,
      48,46,48,52,49,55,32,49,57,46,53,51,54,53,10,32,32,49,57,46,48,54,52,53,32,
      49,56,46,54,50,51,55,32,49,56,46,50,48,51,54,32,49,55,46,56,49,50,57,32,49,
      55,46,52,53,57,50,32,49,55,46,49,50,50,54,32,49,54,46,56,48,57,53,32,49,54,
      46,53,52,54,53,32,49,54,46,50,57,55,55,32,49,54,46,48,54,50,57,10,32,32,49,
      53,46,56,57,57,52,32,49,53,46,55,52,56,51,32,49,53,46,54,48,56,53,32,49,53,
      46,53,52,54,53,32,49,53,46,53,48,55,57,32,49,53,46,52,56,32,49,53,46,53,50,
      57,57,32,49,53,46,54,50,51,50,32,49,53,46,55,50,55,53,32,49,53,46,57,48,51,
      54,32,49,54,46,49,53,48,53,10,32,32,49,54,46,52,48,57,57,32,49,54,46,55,50,
      55,57,32,49,55,46,49,52,56,52,32,49,55,46,53,56,52,32,49,56,46,48,53,57,32,
      49,56,46,54,54,54,52,32,49,57,46,50,57,49,52,32,49,57,46,57,51,52,51,32,50,
      48,46,55,50,54,53,32,50,49,46,53,51,55,56,32,50,50,46,51,54,54,53,10,32,32,
      50,51,46,51,48,49,50,32,50,52,46,50,54,57,56,32,50,53,46,50,53,54,32,50,54,
      46,50,56,57,54,32,50,55,46,51,53,52,32,50,56,46,52,51,50,55,32,50,57,46,53,
      48,48,53,32,51,48,46,53,53,54,49,32,51,49,46,54,50,48,55,32,51,50,46,54,51,
      53,53,32,51,51,46,53,52,57,57,10,32,32,51,52,46,52,54,53,56,32,51,53,46,51,
      50,55,54,32,51,53,46,57,52,49,57,32,51,54,46,53,53,51,54,32,51,55,46,49,53,
      51,57,32,51,55,46,51,50,49,50,32,51,55,46,52,56,54,55,32,51,55,46,54,53,48,
      52,32,51,55,46,51,53,56,54,32,51,54,46,57,57,53,49,10,32,32,51,54,46,54,51,
      57,51,32,51,53,46,57,48,56,49,32,51,53,46,48,50,53,50,32,51,52,46,49,54,55,
      52,32,51,51,46,48,56,48,50,32,51,49,46,56,48,50,50,32,51,48,46,53,54,57,56,
      32,50,57,46,50,54,49,55,32,50,55,46,55,57,51,53,32,50,54,46,51,56,55,54,10,
      32,32,50,53,46,48,49,50,50,32,50,51,46,53,55,50,50,32,50,50,46,50,48,48,53,
      32,50,48,46,56,57,51,56,32,49,57,46,54,51,55,52,32,49,56,46,52,52,50,54,32,
      49,55,46,51,48,55,53,32,49,54,46,50,57,48,52,32,49,53,46,51,51,51,32,49,52,
      46,52,50,50,54,32,49,51,46,54,50,53,55,10,32,32,49,50,46,56,57,53,54,32,49,
      50,46,49,57,57,54,32,49,49,46,53,56,51,57,32,49,49,46,48,51,55,56,32,49,48,
      46,53,49,52,56,32,49,48,46,48,51,57,52,32,57,46,54,50,55,55,57,32,57,46,50,
      51,49,57,56,32,56,46,56,53,57,57,52,32,56,46,53,51,55,57,50,10,32,32,56,46,
      50,50,55,50,53,32,55,46,57,50,56,49,51,32,55,46,54,54,51,54,55,32,55,46,52,
      48,55,57,53,32,55,46,49,54,48,56,50,32,54,46,56,53,54,32,54,46,50,48,48,55,
      55,32,53,46,51,52,57,50,52,32,52,46,50,48,51,57,32,51,46,51,57,53,50,51,32,
      50,46,56,56,56,54,49,10,32,32,50,46,54,48,54,52,55,32,50,46,52,54,57,56,56,
      32,50,46,52,49,53,48,50,32,50,46,51,57,52,53,32,50,46,51,55,54,53,52,32,50,
      46,51,52,48,49,32,50,46,50,55,54,49,52,32,50,46,49,56,53,51,54,32,50,46,48,
      52,53,54,49,32,49,46,56,56,52,51,57,32,49,46,54,53,57,52,53,10,32,32,49,46,
      52,52,54,52,32,49,46,50,53,55,52,52,32,49,46,48,54,49,51,55,32,46,57,48,55,
      53,48,55,32,46,55,57,53,53,55,51,32,46,55,48,56,56,54,49,32,46,54,54,51,49,
      50,56,32,46,54,52,48,53,52,55,32,46,54,51,54,50,56,55,32,46,54,51,50,57,57,
      51,32,46,54,49,54,49,57,52,10,32,32,46,53,55,54,51,53,55,32,46,53,50,48,56,
      57,57,32,46,52,54,51,53,54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,50,
      57,32,46,51,50,54,54,52,55,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,50,
      32,46,50,56,54,57,50,54,32,46,50,55,51,53,56,57,10,32,32,46,50,52,55,49,32,
      46,50,48,55,50,49,54,32,46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,46,
      49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,32,
      46,48,54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,
      50,10,32,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,32,46,48,52,
      51,48,53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,
      48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,
      46,48,49,50,49,57,54,49,10,32,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,
      56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,
      32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,
      57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,10,32,32,46,48,48,49,56,55,49,
      55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,55,32,46,
      48,48,48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,
      49,52,54,51,52,32,46,48,48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,49,
      50,54,10,32,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,
      51,32,46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,
      46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,101,45,48,53,32,53,46,
      48,56,51,53,49,101,45,48,53,10,32,32,52,46,49,56,57,50,57,101,45,48,53,32,51,
      46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,56,
      49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,
      51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,48,54,10,32,32,54,46,56,55,55,
      56,53,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,32,57,46,51,48,50,57,
      56,101,45,48,54,32,56,46,49,55,56,48,54,101,45,48,54,32,54,46,51,56,52,48,52,
      101,45,48,54,32,52,46,56,53,55,53,54,101,45,48,54,32,51,46,56,54,57,54,55,101,
      45,48,54,10,32,32,51,46,48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,51,
      101,45,48,54,32,50,46,48,50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,45,
      48,54,32,49,46,51,48,56,55,101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,
      56,46,56,52,53,50,51,101,45,48,55,10,32,32,54,46,55,52,57,52,51,101,45,48,55,
      32,53,46,55,49,57,49,54,101,45,48,55,32,52,46,54,53,53,57,52,101,45,48,55,32,
      50,46,56,56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,
      46,57,48,49,50,54,101,45,48,56,32,51,46,53,54,48,57,55,101,45,48,56,10,32,32,
      49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,32,50,
      46,56,49,49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,46,
      51,56,52,56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,45,49,48,32,51,46,57,
      56,56,57,49,101,45,49,49,10,32,32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,
      55,57,53,50,49,101,45,49,50,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,
      48,55,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,
      52,101,45,49,52,32,49,46,49,55,53,50,54,101,45,49,52,10,32,32,51,46,57,53,50,
      49,51,101,45,49,53,32,49,46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,
      56,101,45,49,54,32,53,46,50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,55,
      101,45,49,55,32,50,46,55,48,51,101,45,49,56,32,54,46,54,48,52,50,57,101,45,
      49,57,10,32,32,49,46,54,51,48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,101,
      45,50,48,32,48,114,49,48,55,32,56,52,46,51,53,52,32,51,51,48,46,50,50,49,32,
      54,56,56,46,48,52,51,32,55,53,49,46,48,56,53,32,49,53,56,54,46,49,55,32,50,
      48,56,52,46,52,53,32,50,51,53,53,46,53,55,10,32,32,50,50,48,54,46,51,57,32,
      49,56,53,51,46,51,52,32,49,53,48,52,46,53,55,32,49,50,48,54,46,49,57,32,57,
      56,51,46,53,48,54,32,56,49,49,46,52,48,51,32,54,55,52,46,50,54,53,32,53,54,
      56,46,55,56,56,32,52,56,54,46,48,50,51,32,52,49,57,46,56,57,57,10,32,32,51,
      54,54,46,50,54,52,32,51,50,50,46,49,56,55,32,50,56,53,46,53,49,55,32,50,53,
      52,46,55,48,50,32,50,50,56,46,53,53,53,32,50,48,54,46,49,56,55,32,49,56,54,
      46,57,48,49,32,49,55,48,46,49,53,55,32,49,53,53,46,53,51,56,32,49,52,50,46,
      54,57,54,10,32,32,49,51,49,46,51,52,57,32,49,50,49,46,50,56,57,32,49,49,50,
      46,51,50,53,32,49,48,52,46,50,57,55,32,57,55,46,48,57,49,57,32,57,48,46,54,
      48,50,56,32,56,52,46,55,50,55,52,32,55,57,46,52,48,49,51,32,55,52,46,53,54,
      54,53,32,55,48,46,49,53,48,50,10,32,32,54,54,46,49,48,57,57,32,54,50,46,52,
      50,52,53,32,53,57,46,48,51,49,56,32,53,53,46,57,48,49,53,32,53,51,46,48,51,
      56,32,53,48,46,51,56,53,32,52,55,46,57,50,50,49,32,52,53,46,54,53,55,32,52,
      51,46,53,53,49,51,32,52,49,46,53,56,54,56,32,51,57,46,55,54,57,50,10,32,32,
      51,56,46,48,55,54,56,32,51,54,46,52,57,49,32,51,53,46,48,49,52,52,32,51,51,
      46,54,51,56,52,32,51,50,46,51,52,52,50,32,51,49,46,49,51,49,56,32,51,48,46,
      48,48,49,32,50,56,46,57,51,52,49,32,50,55,46,57,50,57,32,50,54,46,57,57,48,
      49,32,50,54,46,49,48,49,57,10,32,32,50,53,46,50,54,48,57,32,50,52,46,52,55,
      52,53,32,50,51,46,55,50,56,55,32,50,51,46,48,50,48,57,32,50,50,46,51,53,55,
      49,32,50,49,46,55,50,55,56,32,50,49,46,49,50,57,51,32,50,48,46,53,54,56,49,
      32,50,48,46,48,51,55,57,32,49,57,46,53,51,50,57,10,32,32,49,57,46,48,54,49,
      49,32,49,56,46,54,50,48,53,32,49,56,46,50,48,48,54,32,49,55,46,56,49,48,49,
      32,49,55,46,52,53,54,53,32,49,55,46,49,50,32,49,54,46,56,48,55,49,32,49,54,
      46,53,52,52,50,32,49,54,46,50,57,53,52,32,49,54,46,48,54,48,56,32,49,53,46,
      56,57,55,52,10,32,32,49,53,46,55,52,54,51,32,49,53,46,54,48,54,54,32,49,53,
      46,53,52,52,55,32,49,53,46,53,48,54,49,32,49,53,46,52,55,56,51,32,49,53,46,
      53,50,56,51,32,49,53,46,54,50,49,54,32,49,53,46,55,50,53,57,32,49,53,46,57,
      48,50,32,49,54,46,49,52,56,57,32,49,54,46,52,48,56,51,10,32,32,49,54,46,55,
      50,54,51,32,49,55,46,49,52,54,57,32,49,55,46,53,56,50,52,32,49,56,46,48,53,
      55,52,32,49,56,46,54,54,52,56,32,49,57,46,50,56,57,54,32,49,57,46,57,51,50,
      53,32,50,48,46,55,50,52,54,32,50,49,46,53,51,53,57,32,50,50,46,51,54,52,53,
      10,32,32,50,51,46,50,57,57,49,32,50,52,46,50,54,55,53,32,50,53,46,50,53,51,
      55,32,50,54,46,50,56,55,50,32,50,55,46,51,53,49,52,32,50,56,46,52,50,57,57,
      32,50,57,46,52,57,55,54,32,51,48,46,53,53,51,49,32,51,49,46,54,49,55,53,32,
      51,50,46,54,51,50,50,10,32,32,51,51,46,53,52,54,53,32,51,52,46,52,54,50,51,
      32,51,53,46,51,50,52,32,51,53,46,57,51,56,50,32,51,54,46,53,52,57,56,32,51,
      55,46,49,53,48,49,32,51,55,46,51,49,55,52,32,51,55,46,52,56,50,56,32,51,55,
      46,54,52,54,53,32,51,55,46,51,53,52,57,32,51,54,46,57,57,49,52,10,32,32,51,
      54,46,54,51,53,55,32,51,53,46,57,48,52,54,32,51,53,46,48,50,49,57,32,51,52,
      46,49,54,52,50,32,51,51,46,48,55,55,50,32,51,49,46,55,57,57,52,32,51,48,46,
      53,54,55,49,32,50,57,46,50,53,57,50,32,50,55,46,55,57,49,51,32,50,54,46,51,
      56,53,54,10,32,32,50,53,46,48,49,48,51,32,50,51,46,53,55,48,53,32,50,50,46,
      49,57,56,57,32,50,48,46,56,57,50,52,32,49,57,46,54,51,54,49,32,49,56,46,52,
      52,49,53,32,49,55,46,51,48,54,53,32,49,54,46,50,56,57,53,32,49,53,46,51,51,
      50,49,32,49,52,46,52,50,49,56,10,32,32,49,51,46,54,50,53,32,49,50,46,56,57,
      53,32,49,50,46,49,57,57,32,49,49,46,53,56,51,52,32,49,49,46,48,51,55,51,32,
      49,48,46,53,49,52,52,32,49,48,46,48,51,57,32,57,46,54,50,55,52,32,57,46,50,
      51,49,54,50,32,56,46,56,53,57,54,49,32,56,46,53,51,55,54,10,32,32,56,46,50,
      50,54,57,54,32,55,46,57,50,55,56,53,32,55,46,54,54,51,52,49,32,55,46,52,48,
      55,55,32,55,46,49,54,48,53,56,32,54,46,56,53,53,55,56,32,54,46,50,48,48,53,
      57,32,53,46,51,52,57,49,32,52,46,50,48,51,56,49,32,51,46,51,57,53,49,55,32,
      50,46,56,56,56,53,55,10,32,32,50,46,54,48,54,52,51,32,50,46,52,54,57,56,53,
      32,50,46,52,49,52,57,57,32,50,46,51,57,52,52,55,32,50,46,51,55,54,53,49,32,
      50,46,51,52,48,48,56,32,50,46,50,55,54,49,49,32,50,46,49,56,53,51,52,32,50,
      46,48,52,53,54,32,49,46,56,56,52,51,56,32,49,46,54,53,57,52,53,10,32,32,49,
      46,52,52,54,51,57,32,49,46,50,53,55,52,52,32,49,46,48,54,49,51,55,32,46,57,
      48,55,53,48,53,32,46,55,57,53,53,55,50,32,46,55,48,56,56,54,32,46,54,54,51,
      49,50,55,32,46,54,52,48,53,52,54,32,46,54,51,54,50,56,55,32,46,54,51,50,57,
      57,51,32,46,54,49,54,49,57,52,10,32,32,46,53,55,54,51,53,55,32,46,53,50,48,
      56,57,57,32,46,52,54,51,53,54,56,32,46,52,48,57,51,49,52,32,46,51,54,48,54,
      50,57,32,46,51,50,54,54,52,55,32,46,51,48,52,57,57,55,32,46,50,57,53,57,50,
      50,32,46,50,56,54,57,50,54,32,46,50,55,51,53,56,57,10,32,32,46,50,52,55,49,
      32,46,50,48,55,50,49,54,32,46,49,54,56,48,54,55,32,46,49,51,53,49,57,57,32,
      46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,55,50,49,53,
      32,46,48,54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,
      50,50,10,32,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,32,46,48,
      52,51,48,53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,
      46,48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,
      32,46,48,49,50,49,57,54,49,10,32,32,46,48,48,57,54,51,51,55,55,32,46,48,48,
      55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,
      55,32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,
      51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,10,32,32,46,48,48,49,56,55,
      49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,55,32,
      46,48,48,48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,
      53,49,52,54,51,52,32,46,48,48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,
      49,50,54,10,32,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,
      54,51,32,46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,
      57,46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,101,45,48,53,32,53,
      46,48,56,51,53,49,101,45,48,53,10,32,32,52,46,49,56,57,50,57,101,45,48,53,32,
      51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,
      56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,
      49,51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,48,54,10,32,32,54,46,56,55,
      55,56,53,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,32,57,46,51,48,50,
      57,56,101,45,48,54,32,56,46,49,55,56,48,54,101,45,48,54,32,54,46,51,56,52,48,
      52,101,45,48,54,32,52,46,56,53,55,53,54,101,45,48,54,32,51,46,56,54,57,54,55,
      101,45,48,54,10,32,32,51,46,48,56,51,54,50,101,45,48,54,32,50,46,52,57,52,48,
      51,101,45,48,54,32,50,46,48,50,52,50,101,45,48,54,32,49,46,54,48,54,53,101,
      45,48,54,32,49,46,51,48,56,55,101,45,48,54,32,49,46,48,52,52,50,101,45,48,54,
      32,56,46,56,52,53,50,51,101,45,48,55,10,32,32,54,46,55,52,57,52,51,101,45,48,
      55,32,53,46,55,49,57,49,54,101,45,48,55,32,52,46,54,53,53,57,52,101,45,48,55,
      32,50,46,56,56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,50,101,45,48,55,32,
      55,46,57,48,49,50,54,101,45,48,56,32,51,46,53,54,48,57,55,101,45,48,56,10,32,
      32,49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,49,50,101,45,48,57,32,
      50,46,56,49,49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,101,45,49,48,32,50,
      46,51,56,52,56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,45,49,48,32,51,46,
      57,56,56,57,49,101,45,49,49,10,32,32,49,46,49,51,54,54,50,101,45,49,49,32,51,
      46,55,57,53,50,49,101,45,49,50,32,49,46,50,54,57,101,45,49,50,32,51,46,54,51,
      52,48,55,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,57,56,
      49,52,101,45,49,52,32,49,46,49,55,53,50,54,101,45,49,52,10,32,32,51,46,57,53,
      50,49,51,101,45,49,53,32,49,46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,
      57,56,101,45,49,54,32,53,46,50,50,55,49,52,101,45,49,55,32,49,46,50,56,54,56,
      55,101,45,49,55,32,50,46,55,48,51,101,45,49,56,32,54,46,54,48,52,50,57,101,
      45,49,57,10,32,32,49,46,54,51,48,49,53,101,45,49,57,32,50,46,56,54,56,50,56,
      101,45,50,48,32,48,114,49,48,55,32,53,52,46,48,49,50,50,32,50,49,51,46,50,51,
      57,32,52,53,53,46,54,52,52,32,52,57,57,46,54,56,50,32,49,49,56,48,46,48,51,
      32,49,53,52,52,46,56,50,32,49,56,51,54,46,54,50,10,32,32,49,56,54,50,46,52,
      50,32,49,54,54,57,46,57,51,32,49,52,48,53,46,52,54,32,49,49,54,49,46,50,49,
      32,57,53,52,46,51,53,56,32,55,57,53,46,48,50,56,32,54,54,57,46,51,55,52,32,
      53,54,53,46,51,49,57,32,52,56,51,46,52,57,53,32,52,49,56,46,48,49,53,10,32,
      32,51,54,52,46,56,51,50,32,51,50,49,46,48,55,57,32,50,56,52,46,54,52,55,32,
      50,53,52,46,48,48,57,32,50,50,55,46,57,57,55,32,50,48,53,46,55,51,51,32,49,
      56,54,46,53,50,55,32,49,54,57,46,56,52,55,32,49,53,53,46,50,55,57,32,49,52,
      50,46,52,55,55,10,32,32,49,51,49,46,49,54,51,32,49,50,49,46,49,51,49,32,49,
      49,50,46,49,56,57,32,49,48,52,46,49,56,32,57,54,46,57,57,32,57,48,46,53,49,
      52,32,56,52,46,54,52,57,54,32,55,57,46,51,51,51,32,55,52,46,53,48,54,50,32,
      55,48,46,48,57,54,56,32,54,54,46,48,54,50,52,10,32,32,54,50,46,51,56,50,49,
      32,53,56,46,57,57,51,57,32,53,53,46,56,54,55,53,32,53,51,46,48,48,55,52,32,
      53,48,46,51,53,55,52,32,52,55,46,56,57,55,49,32,52,53,46,54,51,52,51,32,52,
      51,46,53,51,48,56,32,52,49,46,53,54,56,49,32,51,57,46,55,53,50,49,10,32,32,
      51,56,46,48,54,49,50,32,51,54,46,52,55,54,55,32,51,53,46,48,48,49,51,32,51,
      51,46,54,50,54,52,32,51,50,46,51,51,51,49,32,51,49,46,49,50,49,54,32,50,57,
      46,57,57,49,53,32,50,56,46,57,50,53,52,32,50,55,46,57,50,48,57,32,50,54,46,
      57,56,50,54,10,32,32,50,54,46,48,57,52,57,32,50,53,46,50,53,52,52,32,50,52,
      46,52,54,56,52,32,50,51,46,55,50,51,49,32,50,51,46,48,49,53,54,32,50,50,46,
      51,53,50,49,32,50,49,46,55,50,51,50,32,50,49,46,49,50,52,57,32,50,48,46,53,
      54,52,49,32,50,48,46,48,51,52,49,10,32,32,49,57,46,53,50,57,51,32,49,57,46,
      48,53,55,55,32,49,56,46,54,49,55,51,32,49,56,46,49,57,55,54,32,49,55,46,56,
      48,55,50,32,49,55,46,52,53,51,56,32,49,55,46,49,49,55,52,32,49,54,46,56,48,
      52,54,32,49,54,46,53,52,49,57,32,49,54,46,50,57,51,50,10,32,32,49,54,46,48,
      53,56,55,32,49,53,46,56,57,53,52,32,49,53,46,55,52,52,52,32,49,53,46,54,48,
      52,56,32,49,53,46,53,52,50,57,32,49,53,46,53,48,52,52,32,49,53,46,52,55,54,
      54,32,49,53,46,53,50,54,54,32,49,53,46,54,50,32,49,53,46,55,50,52,52,32,49,
      53,46,57,48,48,53,10,32,32,49,54,46,49,52,55,52,32,49,54,46,52,48,54,56,32,
      49,54,46,55,50,52,56,32,49,55,46,49,52,53,51,32,49,55,46,53,56,48,56,32,49,
      56,46,48,53,53,56,32,49,56,46,54,54,51,49,32,49,57,46,50,56,55,57,32,49,57,
      46,57,51,48,56,32,50,48,46,55,50,50,56,10,32,32,50,49,46,53,51,52,32,50,50,
      46,51,54,50,53,32,50,51,46,50,57,55,32,50,52,46,50,54,53,51,32,50,53,46,50,
      53,49,51,32,50,54,46,50,56,52,55,32,50,55,46,51,52,56,56,32,50,56,46,52,50,
      55,50,32,50,57,46,52,57,52,55,32,51,48,46,53,53,48,49,32,51,49,46,54,49,52,
      52,10,32,32,51,50,46,54,50,56,57,32,51,51,46,53,52,51,49,32,51,52,46,52,53,
      56,56,32,51,53,46,51,50,48,51,32,51,53,46,57,51,52,53,32,51,54,46,53,52,54,
      32,51,55,46,49,52,54,50,32,51,55,46,51,49,51,53,32,51,55,46,52,55,57,32,51,
      55,46,54,52,50,55,32,51,55,46,51,53,49,49,10,32,32,51,54,46,57,56,55,55,32,
      51,54,46,54,51,50,49,32,51,53,46,57,48,49,49,32,51,53,46,48,49,56,54,32,51,
      52,46,49,54,49,49,32,51,51,46,48,55,52,50,32,51,49,46,55,57,54,54,32,51,48,
      46,53,54,52,53,32,50,57,46,50,53,54,56,32,50,55,46,55,56,57,32,50,54,46,51,
      56,51,53,10,32,32,50,53,46,48,48,56,52,32,50,51,46,53,54,56,56,32,50,50,46,
      49,57,55,52,32,50,48,46,56,57,48,57,32,49,57,46,54,51,52,57,32,49,56,46,52,
      52,48,51,32,49,55,46,51,48,53,53,32,49,54,46,50,56,56,54,32,49,53,46,51,51,
      49,51,32,49,52,46,52,50,49,32,49,51,46,54,50,52,51,10,32,32,49,50,46,56,57,
      52,52,32,49,50,46,49,57,56,53,32,49,49,46,53,56,50,56,32,49,49,46,48,51,54,
      56,32,49,48,46,53,49,51,57,32,49,48,46,48,51,56,54,32,57,46,54,50,55,48,49,
      32,57,46,50,51,49,50,54,32,56,46,56,53,57,50,55,32,56,46,53,51,55,50,56,10,
      32,32,56,46,50,50,54,54,54,32,55,46,57,50,55,53,55,32,55,46,54,54,51,49,52,
      32,55,46,52,48,55,52,54,32,55,46,49,54,48,51,53,32,54,46,56,53,53,53,54,32,
      54,46,50,48,48,52,49,32,53,46,51,52,56,57,54,32,52,46,50,48,51,55,49,32,51,
      46,51,57,53,49,49,10,32,32,50,46,56,56,56,53,50,32,50,46,54,48,54,52,32,50,
      46,52,54,57,56,50,32,50,46,52,49,52,57,54,32,50,46,51,57,52,52,53,32,50,46,
      51,55,54,52,57,32,50,46,51,52,48,48,53,32,50,46,50,55,54,49,32,50,46,49,56,
      53,51,50,32,50,46,48,52,53,53,56,32,49,46,56,56,52,51,54,10,32,32,49,46,54,
      53,57,52,52,32,49,46,52,52,54,51,57,32,49,46,50,53,55,52,51,32,49,46,48,54,
      49,51,55,32,46,57,48,55,53,48,51,32,46,55,57,53,53,55,32,46,55,48,56,56,53,
      57,32,46,54,54,51,49,50,54,32,46,54,52,48,53,52,54,32,46,54,51,54,50,56,54,
      32,46,54,51,50,57,57,51,10,32,32,46,54,49,54,49,57,52,32,46,53,55,54,51,53,
      54,32,46,53,50,48,56,57,56,32,46,52,54,51,53,54,55,32,46,52,48,57,51,49,52,
      32,46,51,54,48,54,50,57,32,46,51,50,54,54,52,55,32,46,51,48,52,57,57,55,32,
      46,50,57,53,57,50,50,32,46,50,56,54,57,50,54,10,32,32,46,50,55,51,53,56,57,
      32,46,50,52,55,49,32,46,50,48,55,50,49,54,32,46,49,54,56,48,54,55,32,46,49,
      51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,
      55,50,55,50,49,53,32,46,48,54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,10,
      32,32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,
      53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,
      55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,
      49,53,50,50,53,55,10,32,32,46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,
      55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,
      48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,
      56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,10,32,32,
      46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,
      57,51,57,51,55,32,46,48,48,48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,
      51,32,46,48,48,48,53,49,52,54,51,52,32,46,48,48,48,51,57,55,54,52,52,32,46,
      48,48,48,51,49,49,49,50,54,10,32,32,46,48,48,48,50,51,55,50,54,56,32,46,48,
      48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,
      49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,
      101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,53,10,32,32,52,46,49,56,57,50,
      57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,
      45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,
      48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,48,54,10,
      32,32,54,46,56,55,55,56,53,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,
      32,57,46,51,48,50,57,56,101,45,48,54,32,56,46,49,55,56,48,54,101,45,48,54,32,
      54,46,51,56,52,48,52,101,45,48,54,32,52,46,56,53,55,53,54,101,45,48,54,32,51,
      46,56,54,57,54,55,101,45,48,54,10,32,32,51,46,48,56,51,54,50,101,45,48,54,32,
      50,46,52,57,52,48,51,101,45,48,54,32,50,46,48,50,52,50,101,45,48,54,32,49,46,
      54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,45,48,54,32,49,46,48,52,
      52,50,101,45,48,54,32,56,46,56,52,53,50,51,101,45,48,55,10,32,32,54,46,55,52,
      57,52,51,101,45,48,55,32,53,46,55,49,57,49,54,101,45,48,55,32,52,46,54,53,53,
      57,52,101,45,48,55,32,50,46,56,56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,
      50,101,45,48,55,32,55,46,57,48,49,50,54,101,45,48,56,32,51,46,53,54,48,57,55,
      101,45,48,56,10,32,32,49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,49,
      50,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,
      101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,
      45,49,48,32,51,46,57,56,56,57,49,101,45,49,49,10,32,32,49,46,49,51,54,54,50,
      101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,50,32,49,46,50,54,57,101,45,
      49,50,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,
      51,32,51,46,52,57,56,49,52,101,45,49,52,32,49,46,49,55,53,50,54,101,45,49,52,
      10,32,32,51,46,57,53,50,49,51,101,45,49,53,32,49,46,48,49,48,54,55,101,45,49,
      53,32,50,46,52,56,50,57,56,101,45,49,54,32,53,46,50,50,55,49,52,101,45,49,55,
      32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,101,45,49,56,32,54,46,
      54,48,52,50,57,101,45,49,57,10,32,32,49,46,54,51,48,49,53,101,45,49,57,32,50,
      46,56,54,56,50,56,101,45,50,48,32,48,114,49,48,55,32,49,51,46,53,49,49,54,32,
      53,51,46,57,54,51,51,32,49,49,57,46,56,49,56,32,49,51,50,46,51,52,51,32,52,
      50,55,46,49,55,49,32,54,49,55,46,48,53,49,32,55,52,50,46,49,57,10,32,32,56,
      54,49,46,57,51,53,32,57,51,52,46,54,55,57,32,57,51,51,46,50,49,53,32,56,55,
      52,46,49,57,54,32,55,56,55,46,56,49,55,32,54,57,50,46,53,57,52,32,54,48,54,
      46,52,55,57,32,53,50,53,46,56,51,55,32,52,53,57,46,48,51,50,32,52,48,51,46,
      51,55,53,10,32,32,51,53,54,46,55,49,50,32,51,49,53,46,53,57,57,32,50,56,48,
      46,51,51,57,32,50,53,48,46,53,55,55,32,50,50,53,46,50,51,32,50,48,51,46,52,
      55,55,32,49,56,52,46,54,55,49,32,49,54,56,46,51,48,54,32,49,53,51,46,57,56,
      57,32,49,52,49,46,51,57,32,49,51,48,46,50,52,10,32,32,49,50,48,46,51,52,51,
      32,49,49,49,46,53,49,50,32,49,48,51,46,53,57,53,32,57,54,46,52,56,50,51,32,
      57,48,46,48,55,49,51,32,56,52,46,50,54,49,57,32,55,56,46,57,57,50,32,55,52,
      46,50,48,53,49,32,54,57,46,56,51,32,54,53,46,56,50,53,50,32,54,50,46,49,55,
      48,54,10,32,32,53,56,46,56,48,52,55,32,53,53,46,54,57,55,55,32,53,50,46,56,
      53,52,55,32,53,48,46,50,49,57,55,32,52,55,46,55,55,50,54,32,52,53,46,53,50,
      49,53,32,52,51,46,52,50,56,51,32,52,49,46,52,55,52,55,32,51,57,46,54,54,54,
      57,32,51,55,46,57,56,51,52,10,32,32,51,54,46,52,48,53,52,32,51,52,46,57,51,
      53,57,32,51,51,46,53,54,54,50,32,51,50,46,50,55,55,55,32,51,49,46,48,55,48,
      53,32,50,57,46,57,52,52,52,32,50,56,46,56,56,49,55,32,50,55,46,56,56,48,53,
      32,50,54,46,57,52,53,32,50,54,46,48,54,48,49,32,50,53,46,50,50,50,10,32,32,
      50,52,46,52,51,56,50,32,50,51,46,54,57,52,57,32,50,50,46,57,56,57,51,32,50,
      50,46,51,50,55,53,32,50,49,46,55,48,48,49,32,50,49,46,49,48,51,51,32,50,48,
      46,53,52,51,55,32,50,48,46,48,49,53,32,49,57,46,53,49,49,52,32,49,57,46,48,
      52,48,56,32,49,56,46,54,48,49,52,10,32,32,49,56,46,49,56,50,53,32,49,55,46,
      55,57,51,32,49,55,46,52,52,48,51,32,49,55,46,49,48,52,54,32,49,54,46,55,57,
      50,53,32,49,54,46,53,51,48,51,32,49,54,46,50,56,50,50,32,49,54,46,48,52,56,
      49,32,49,53,46,56,56,53,51,32,49,53,46,55,51,52,55,32,49,53,46,53,57,53,53,
      10,32,32,49,53,46,53,51,51,57,32,49,53,46,52,57,53,55,32,49,53,46,52,54,56,
      50,32,49,53,46,53,49,56,52,32,49,53,46,54,49,50,32,49,53,46,55,49,54,53,32,
      49,53,46,56,57,50,55,32,49,54,46,49,51,57,54,32,49,54,46,51,57,57,49,32,49,
      54,46,55,49,55,49,32,49,55,46,49,51,55,53,10,32,32,49,55,46,53,55,50,57,32,
      49,56,46,48,52,55,55,32,49,56,46,54,53,52,56,32,49,57,46,50,55,57,52,32,49,
      57,46,57,50,49,57,32,50,48,46,55,49,51,54,32,50,49,46,53,50,52,52,32,50,50,
      46,51,53,50,52,32,50,51,46,50,56,54,52,32,50,52,46,50,53,52,50,10,32,32,50,
      53,46,50,51,57,54,32,50,54,46,50,55,50,51,32,50,55,46,51,51,53,56,32,50,56,
      46,52,49,51,53,32,50,57,46,52,56,48,52,32,51,48,46,53,51,53,32,51,49,46,53,
      57,56,54,32,51,50,46,54,49,50,53,32,51,51,46,53,50,54,49,32,51,52,46,52,52,
      49,50,32,51,53,46,51,48,50,50,10,32,32,51,53,46,57,49,54,32,51,54,46,53,50,
      55,49,32,51,55,46,49,50,55,32,51,55,46,50,57,52,51,32,51,55,46,52,53,57,55,
      32,51,55,46,54,50,51,52,32,51,55,46,51,51,50,50,32,51,54,46,57,54,57,50,32,
      51,54,46,54,49,52,32,51,53,46,56,56,51,55,32,51,53,46,48,48,49,57,10,32,32,
      51,52,46,49,52,53,49,32,51,51,46,48,53,57,49,32,51,49,46,55,56,50,53,32,51,
      48,46,53,53,49,51,32,50,57,46,50,52,52,53,32,50,55,46,55,55,55,56,32,50,54,
      46,51,55,51,50,32,50,52,46,57,57,56,57,32,50,51,46,53,54,48,50,32,50,50,46,
      49,56,57,54,10,32,32,50,48,46,56,56,51,57,32,49,57,46,54,50,56,53,32,49,56,
      46,52,51,52,54,32,49,55,46,51,48,48,51,32,49,54,46,50,56,51,57,32,49,53,46,
      51,50,55,32,49,52,46,52,49,55,50,32,49,51,46,54,50,48,56,32,49,50,46,56,57,
      49,50,32,49,50,46,49,57,53,54,32,49,49,46,53,56,48,50,10,32,32,49,49,46,48,
      51,52,51,32,49,48,46,53,49,49,55,32,49,48,46,48,51,54,53,32,57,46,54,50,53,
      48,54,32,57,46,50,50,57,52,52,32,56,46,56,53,55,53,56,32,56,46,53,51,53,54,
      57,32,56,46,50,50,53,49,55,32,55,46,57,50,54,49,55,32,55,46,54,54,49,56,51,
      10,32,32,55,46,52,48,54,50,50,32,55,46,49,53,57,49,56,32,54,46,56,53,52,52,
      56,32,54,46,49,57,57,53,32,53,46,51,52,56,50,54,32,52,46,50,48,51,50,54,32,
      51,46,51,57,52,56,32,50,46,56,56,56,51,32,50,46,54,48,54,50,50,32,50,46,52,
      54,57,54,54,32,50,46,52,49,52,56,50,10,32,32,50,46,51,57,52,51,50,32,50,46,
      51,55,54,51,55,32,50,46,51,51,57,57,52,32,50,46,50,55,53,57,57,32,50,46,49,
      56,53,50,51,32,50,46,48,52,53,53,49,32,49,46,56,56,52,51,32,49,46,54,53,57,
      51,57,32,49,46,52,52,54,51,53,32,49,46,50,53,55,52,49,32,49,46,48,54,49,51,
      53,10,32,32,46,57,48,55,52,57,52,32,46,55,57,53,53,54,51,32,46,55,48,56,56,
      53,53,32,46,54,54,51,49,50,51,32,46,54,52,48,53,52,51,32,46,54,51,54,50,56,
      52,32,46,54,51,50,57,57,49,32,46,54,49,54,49,57,50,32,46,53,55,54,51,53,53,
      32,46,53,50,48,56,57,56,10,32,32,46,52,54,51,53,54,55,32,46,52,48,57,51,49,
      52,32,46,51,54,48,54,50,57,32,46,51,50,54,54,52,55,32,46,51,48,52,57,57,55,
      32,46,50,57,53,57,50,50,32,46,50,56,54,57,50,53,32,46,50,55,51,53,56,57,32,
      46,50,52,55,49,32,46,50,48,55,50,49,54,32,46,49,54,56,48,54,55,10,32,32,46,
      49,51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,
      48,55,50,55,50,49,53,32,46,48,54,50,54,55,51,55,32,46,48,53,55,49,53,52,57,
      32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,
      50,51,32,46,48,52,51,48,53,48,50,10,32,32,46,48,51,52,55,51,52,54,32,46,48,
      50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,
      48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,
      55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,10,32,32,46,
      48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,
      54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,
      48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,
      51,57,51,55,10,32,32,46,48,48,48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,
      52,51,32,46,48,48,48,53,49,52,54,51,52,32,46,48,48,48,51,57,55,54,52,52,32,
      46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,
      48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,10,32,32,46,48,48,48,
      49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,
      55,101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,53,32,52,46,49,56,57,50,57,
      101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,
      45,48,53,10,32,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,
      101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,
      48,54,32,54,46,56,55,55,56,53,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,
      54,32,57,46,51,48,50,57,56,101,45,48,54,10,32,32,56,46,49,55,56,48,54,101,45,
      48,54,32,54,46,51,56,52,48,51,101,45,48,54,32,52,46,56,53,55,53,54,101,45,48,
      54,32,51,46,56,54,57,54,55,101,45,48,54,32,51,46,48,56,51,54,50,101,45,48,54,
      32,50,46,52,57,52,48,51,101,45,48,54,32,50,46,48,50,52,50,101,45,48,54,10,32,
      32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,45,48,54,32,49,
      46,48,52,52,50,101,45,48,54,32,56,46,56,52,53,50,51,101,45,48,55,32,54,46,55,
      52,57,52,51,101,45,48,55,32,53,46,55,49,57,49,53,101,45,48,55,32,52,46,54,53,
      53,57,52,101,45,48,55,10,32,32,50,46,56,56,54,50,54,101,45,48,55,32,49,46,52,
      57,55,48,50,101,45,48,55,32,55,46,57,48,49,50,54,101,45,48,56,32,51,46,53,54,
      48,57,55,101,45,48,56,32,49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,
      49,49,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,10,32,32,55,46,57,52,
      49,48,52,101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,49,46,48,50,52,
      50,54,101,45,49,48,32,51,46,57,56,56,57,49,101,45,49,49,32,49,46,49,51,54,54,
      50,101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,50,32,49,46,50,54,57,101,
      45,49,50,10,32,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,52,50,50,52,
      101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,32,49,46,49,55,53,50,54,101,
      45,49,52,32,51,46,57,53,50,49,50,101,45,49,53,32,49,46,48,49,48,54,55,101,45,
      49,53,32,50,46,52,56,50,57,56,101,45,49,54,10,32,32,53,46,50,50,55,49,52,101,
      45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,101,45,49,56,
      32,54,46,54,48,52,50,57,101,45,49,57,32,49,46,54,51,48,49,53,101,45,49,57,32,
      50,46,56,54,56,50,56,101,45,50,48,32,48,114,49,48,55,32,51,46,51,55,56,52,52,
      10,32,32,49,51,46,53,51,50,56,32,51,48,46,51,54,50,57,32,51,51,46,54,48,51,
      52,32,49,50,54,46,49,57,32,50,51,48,46,55,57,54,32,50,57,54,46,56,52,56,32,
      51,52,49,46,53,57,55,32,51,56,54,46,48,49,55,32,52,50,56,46,48,54,53,32,52,
      53,56,46,54,51,57,32,52,55,48,46,53,53,51,10,32,32,52,54,52,46,54,50,49,32,
      52,52,52,46,56,56,52,32,52,49,54,46,49,54,55,32,51,56,51,46,51,56,32,51,52,
      57,46,55,52,56,32,51,49,56,46,56,49,53,32,50,56,56,46,53,50,49,32,50,54,48,
      46,56,55,55,32,50,51,54,46,54,56,49,32,50,49,53,46,52,52,50,32,49,57,54,46,
      55,52,53,10,32,32,49,56,48,46,50,50,56,32,49,54,53,46,50,54,56,32,49,53,49,
      46,52,52,51,32,49,51,57,46,50,52,49,32,49,50,56,46,52,49,53,32,49,49,56,46,
      55,56,50,32,49,49,48,46,49,55,32,49,48,50,46,52,51,53,32,57,53,46,52,55,53,
      51,32,56,57,46,49,57,50,54,32,56,51,46,52,57,49,57,10,32,32,55,56,46,51,49,
      52,53,32,55,51,46,54,48,54,56,32,54,57,46,50,57,57,55,32,54,53,46,51,53,51,
      55,32,54,49,46,55,52,57,57,32,53,56,46,52,50,56,50,32,53,53,46,51,53,57,57,
      32,53,50,46,53,53,48,54,32,52,57,46,57,52,53,52,32,52,55,46,53,50,52,53,10,
      32,32,52,53,46,50,57,54,54,32,52,51,46,50,50,51,57,32,52,49,46,50,56,56,55,
      32,51,57,46,52,57,55,50,32,51,55,46,56,50,56,50,32,51,54,46,50,54,51,51,32,
      51,52,46,56,48,53,53,32,51,51,46,52,52,54,51,32,51,50,46,49,54,55,51,32,51,
      48,46,57,54,56,55,10,32,32,50,57,46,56,53,48,51,32,50,56,46,55,57,52,55,32,
      50,55,46,55,57,57,56,32,50,54,46,56,55,48,50,32,50,53,46,57,57,48,53,32,50,
      53,46,49,53,55,51,32,50,52,46,51,55,55,57,32,50,51,46,54,51,56,54,32,50,50,
      46,57,51,54,55,32,50,50,46,50,55,56,51,10,32,32,50,49,46,54,53,52,32,50,49,
      46,48,54,48,49,32,50,48,46,53,48,51,50,32,49,57,46,57,55,54,57,32,49,57,46,
      52,55,53,53,32,49,57,46,48,48,55,32,49,56,46,53,54,57,53,32,49,56,46,49,53,
      50,52,32,49,55,46,55,54,52,53,32,49,55,46,52,49,51,52,32,49,55,46,48,55,57,
      49,10,32,32,49,54,46,55,54,56,50,32,49,54,46,53,48,55,50,32,49,54,46,50,54,
      48,50,32,49,54,46,48,50,55,49,32,49,53,46,56,54,53,50,32,49,53,46,55,49,53,
      52,32,49,53,46,53,55,54,57,32,49,53,46,53,49,54,32,49,53,46,52,55,56,52,32,
      49,53,46,52,53,49,52,32,49,53,46,53,48,50,10,32,32,49,53,46,53,57,53,57,32,
      49,53,46,55,48,48,55,32,49,53,46,56,55,55,49,32,49,54,46,49,50,52,50,32,49,
      54,46,51,56,51,55,32,49,54,46,55,48,49,54,32,49,55,46,49,50,49,57,32,49,55,
      46,53,53,55,32,49,56,46,48,51,49,54,32,49,56,46,54,51,56,50,32,49,57,46,50,
      54,50,51,10,32,32,49,57,46,57,48,52,51,32,50,48,46,54,57,53,49,32,50,49,46,
      53,48,53,49,32,50,50,46,51,51,50,51,32,50,51,46,50,54,53,50,32,50,52,46,50,
      51,49,57,32,50,53,46,50,49,54,50,32,50,54,46,50,52,55,55,32,50,55,46,51,48,
      57,56,32,50,56,46,51,56,54,50,10,32,32,50,57,46,52,53,49,55,32,51,48,46,53,
      48,53,32,51,49,46,53,54,55,50,32,51,50,46,53,55,57,55,32,51,51,46,52,57,50,
      49,32,51,52,46,52,48,54,32,51,53,46,50,54,53,57,32,51,53,46,56,55,57,32,51,
      54,46,52,56,57,52,32,51,55,46,48,56,56,54,32,51,55,46,50,53,53,57,10,32,32,
      51,55,46,52,50,49,51,32,51,55,46,53,56,53,32,51,55,46,50,57,52,53,32,51,54,
      46,57,51,50,51,32,51,54,46,53,55,55,57,32,51,53,46,56,52,56,57,32,51,52,46,
      57,54,56,54,32,51,52,46,49,49,51,50,32,51,51,46,48,50,57,32,51,49,46,55,53,
      52,51,32,51,48,46,53,50,53,10,32,32,50,57,46,50,50,32,50,55,46,55,53,53,51,
      32,50,54,46,51,53,50,53,32,50,52,46,57,56,32,50,51,46,53,52,51,32,50,50,46,
      49,55,52,49,32,50,48,46,56,54,57,56,32,49,57,46,54,49,53,56,32,49,56,46,52,
      50,51,49,32,49,55,46,50,57,32,49,54,46,50,55,52,54,10,32,32,49,53,46,51,49,
      56,54,32,49,52,46,52,48,57,54,32,49,51,46,54,49,51,56,32,49,50,46,56,56,52,
      56,32,49,50,46,49,56,57,56,32,49,49,46,53,55,52,56,32,49,49,46,48,50,57,52,
      32,49,48,46,53,48,55,49,32,49,48,46,48,51,50,51,32,57,46,54,50,49,49,54,10,
      32,32,57,46,50,50,53,56,49,32,56,46,56,53,52,49,57,32,56,46,53,51,50,53,50,
      32,56,46,50,50,50,49,57,32,55,46,57,50,51,51,56,32,55,46,54,53,57,49,57,32,
      55,46,52,48,51,55,51,32,55,46,49,53,54,56,52,32,54,46,56,53,50,51,49,32,54,
      46,49,57,55,54,57,10,32,32,53,46,51,52,54,56,54,32,52,46,50,48,50,51,53,32,
      51,46,51,57,52,49,57,32,50,46,56,56,55,56,53,32,50,46,54,48,53,56,54,32,50,
      46,52,54,57,51,54,32,50,46,52,49,52,53,52,32,50,46,51,57,52,48,54,32,50,46,
      51,55,54,49,50,32,50,46,51,51,57,55,49,10,32,32,50,46,50,55,53,55,57,32,50,
      46,49,56,53,48,53,32,50,46,48,52,53,51,53,32,49,46,56,56,52,49,56,32,49,46,
      54,53,57,51,32,49,46,52,52,54,50,57,32,49,46,50,53,55,51,55,32,49,46,48,54,
      49,51,50,32,46,57,48,55,52,55,54,32,46,55,57,53,53,52,55,32,46,55,48,56,56,
      52,54,10,32,32,46,54,54,51,49,49,55,32,46,54,52,48,53,51,56,32,46,54,51,54,
      50,56,32,46,54,51,50,57,56,55,32,46,54,49,54,49,56,57,32,46,53,55,54,51,53,
      51,32,46,53,50,48,56,57,54,32,46,52,54,51,53,54,54,32,46,52,48,57,51,49,51,
      32,46,51,54,48,54,50,57,32,46,51,50,54,54,52,55,10,32,32,46,51,48,52,57,57,
      54,32,46,50,57,53,57,50,49,32,46,50,56,54,57,50,53,32,46,50,55,51,53,56,57,
      32,46,50,52,55,49,32,46,50,48,55,50,49,54,32,46,49,54,56,48,54,55,32,46,49,
      51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,
      55,50,55,50,49,53,10,32,32,46,48,54,50,54,55,51,54,32,46,48,53,55,49,53,52,
      57,32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,
      53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,
      55,53,52,48,55,32,46,48,50,50,50,54,55,10,32,32,46,48,49,56,56,57,52,55,32,
      46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,
      55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,
      48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,
      56,57,10,32,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,
      46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,
      57,51,57,51,55,32,46,48,48,48,56,56,57,52,53,54,32,46,48,48,48,54,55,51,52,
      51,32,46,48,48,48,53,49,52,54,51,52,10,32,32,46,48,48,48,51,57,55,54,52,52,
      32,46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,50,54,56,32,46,48,
      48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,
      49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,55,
      101,45,48,53,10,32,32,53,46,48,56,51,53,49,101,45,48,53,32,52,46,49,56,57,50,
      57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,
      45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,
      48,53,32,49,46,49,49,51,55,101,45,48,53,10,32,32,57,46,50,54,56,56,101,45,48,
      54,32,54,46,56,55,55,56,53,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,
      32,57,46,51,48,50,57,55,101,45,48,54,32,56,46,49,55,56,48,54,101,45,48,54,32,
      54,46,51,56,52,48,51,101,45,48,54,32,52,46,56,53,55,53,54,101,45,48,54,10,32,
      32,51,46,56,54,57,54,54,101,45,48,54,32,51,46,48,56,51,54,50,101,45,48,54,32,
      50,46,52,57,52,48,51,101,45,48,54,32,50,46,48,50,52,50,101,45,48,54,32,49,46,
      54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,45,48,54,32,49,46,48,52,
      52,50,101,45,48,54,10,32,32,56,46,56,52,53,50,50,101,45,48,55,32,54,46,55,52,
      57,52,51,101,45,48,55,32,53,46,55,49,57,49,53,101,45,48,55,32,52,46,54,53,53,
      57,51,101,45,48,55,32,50,46,56,56,54,50,54,101,45,48,55,32,49,46,52,57,55,48,
      50,101,45,48,55,32,55,46,57,48,49,50,54,101,45,48,56,10,32,32,51,46,53,54,48,
      57,55,101,45,48,56,32,49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,49,
      49,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,32,55,46,57,52,49,48,52,
      101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,49,46,48,50,52,50,54,101,
      45,49,48,10,32,32,51,46,57,56,56,57,49,101,45,49,49,32,49,46,49,51,54,54,50,
      101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,50,32,49,46,50,54,57,101,45,
      49,50,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,
      51,32,51,46,52,57,56,49,52,101,45,49,52,10,32,32,49,46,49,55,53,50,54,101,45,
      49,52,32,51,46,57,53,50,49,50,101,45,49,53,32,49,46,48,49,48,54,55,101,45,49,
      53,32,50,46,52,56,50,57,56,101,45,49,54,32,53,46,50,50,55,49,53,101,45,49,55,
      32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,101,45,49,56,10,32,32,
      54,46,54,48,52,51,101,45,49,57,32,49,46,54,51,48,49,53,101,45,49,57,32,50,46,
      56,54,56,50,55,101,45,50,48,32,48,114,49,48,55,32,49,46,53,48,49,53,56,32,54,
      46,48,49,56,48,51,32,49,51,46,53,50,57,32,49,52,46,57,55,56,54,32,53,56,46,
      50,53,57,49,10,32,32,49,49,55,46,53,50,55,32,49,54,56,46,48,53,50,32,50,48,
      48,46,53,48,51,32,50,50,52,46,56,54,57,32,50,52,57,46,48,55,49,32,50,55,50,
      46,52,52,54,32,50,57,51,46,52,50,51,32,51,48,55,46,52,55,51,32,51,49,51,46,
      50,55,32,51,49,48,46,57,54,53,32,51,48,50,46,48,54,53,10,32,32,50,56,55,46,
      57,57,52,32,50,55,49,46,55,53,53,32,50,53,51,46,51,54,49,32,50,51,52,46,57,
      54,53,32,50,49,55,46,55,54,53,32,50,48,49,46,51,57,52,32,49,56,53,46,49,49,
      56,32,49,55,48,46,53,51,50,32,49,53,55,46,52,52,52,32,49,52,53,46,54,56,55,
      10,32,32,49,51,53,46,49,48,49,32,49,50,53,46,53,52,50,32,49,49,54,46,57,48,
      55,32,49,48,56,46,56,52,53,32,49,48,49,46,50,56,57,32,57,52,46,52,55,57,49,
      32,56,56,46,51,50,50,55,32,56,50,46,55,50,57,50,32,55,55,46,54,52,51,49,32,
      55,51,46,48,49,51,53,10,32,32,54,56,46,55,55,51,54,32,54,52,46,56,56,53,54,
      32,54,49,46,51,51,50,49,32,53,56,46,48,53,52,50,32,53,53,46,48,50,52,49,32,
      53,50,46,50,52,56,52,32,52,57,46,54,55,50,55,32,52,55,46,50,55,55,56,32,52,
      53,46,48,55,50,57,32,52,51,46,48,50,48,54,10,32,32,52,49,46,49,48,51,53,32,
      51,57,46,51,50,56,50,32,51,55,46,54,55,51,54,32,51,54,46,49,50,49,55,32,51,
      52,46,54,55,53,54,32,51,51,46,51,50,54,57,32,51,50,46,48,53,55,51,32,51,48,
      46,56,54,55,50,32,50,57,46,55,53,54,53,32,50,56,46,55,48,55,57,10,32,32,50,
      55,46,55,49,57,52,32,50,54,46,55,57,53,53,32,50,53,46,57,50,49,49,32,50,53,
      46,48,57,50,55,32,50,52,46,51,49,55,55,32,50,51,46,53,56,50,53,32,50,50,46,
      56,56,52,51,32,50,50,46,50,50,57,51,32,50,49,46,54,48,56,49,32,50,49,46,48,
      49,55,32,50,48,46,52,54,50,55,10,32,32,49,57,46,57,51,56,57,32,49,57,46,52,
      51,57,55,32,49,56,46,57,55,51,51,32,49,56,46,53,51,55,55,32,49,56,46,49,50,
      50,52,32,49,55,46,55,51,54,49,32,49,55,46,51,56,54,52,32,49,55,46,48,53,51,
      53,32,49,54,46,55,52,51,57,32,49,54,46,52,56,52,49,10,32,32,49,54,46,50,51,
      56,50,32,49,54,46,48,48,54,49,32,49,53,46,56,52,53,32,49,53,46,54,57,54,49,
      32,49,53,46,53,53,56,52,32,49,53,46,52,57,56,49,32,49,53,46,52,54,49,49,32,
      49,53,46,52,51,52,54,32,49,53,46,52,56,53,54,32,49,53,46,53,55,57,57,32,49,
      53,46,54,56,53,10,32,32,49,53,46,56,54,49,54,32,49,54,46,49,48,56,55,32,49,
      54,46,51,54,56,51,32,49,54,46,54,56,54,50,32,49,55,46,49,48,54,51,32,49,55,
      46,53,52,49,50,32,49,56,46,48,49,53,53,32,49,56,46,54,50,49,54,32,49,57,46,
      50,52,53,50,32,49,57,46,56,56,54,54,10,32,32,50,48,46,54,55,54,55,32,50,49,
      46,52,56,53,57,32,50,50,46,51,49,50,50,32,50,51,46,50,52,52,49,32,50,52,46,
      50,48,57,54,32,50,53,46,49,57,50,56,32,50,54,46,50,50,51,32,50,55,46,50,56,
      51,56,32,50,56,46,51,53,56,56,32,50,57,46,52,50,51,32,51,48,46,52,55,52,57,
      10,32,32,51,49,46,53,51,53,55,32,51,50,46,53,52,55,32,51,51,46,52,53,56,49,
      32,51,52,46,51,55,48,57,32,51,53,46,50,50,57,54,32,51,53,46,56,52,50,32,51,
      54,46,52,53,49,55,32,51,55,46,48,53,48,50,32,51,55,46,50,49,55,53,32,51,55,
      46,51,56,50,57,32,51,55,46,53,52,54,54,10,32,32,51,55,46,50,53,54,56,32,51,
      54,46,56,57,53,52,32,51,54,46,53,52,49,55,32,51,53,46,56,49,52,49,32,51,52,
      46,57,51,53,51,32,51,52,46,48,56,49,52,32,51,50,46,57,57,56,57,32,51,49,46,
      55,50,54,50,32,51,48,46,52,57,56,54,32,50,57,46,49,57,53,54,10,32,32,50,55,
      46,55,51,50,56,32,50,54,46,51,51,49,57,32,50,52,46,57,54,49,50,32,50,51,46,
      53,50,53,57,32,50,50,46,49,53,56,54,32,50,48,46,56,53,53,56,32,49,57,46,54,
      48,51,49,32,49,56,46,52,49,49,55,32,49,55,46,50,55,57,55,32,49,54,46,50,54,
      53,50,10,32,32,49,53,46,51,49,48,49,32,49,52,46,52,48,49,57,32,49,51,46,54,
      48,54,57,32,49,50,46,56,55,56,53,32,49,50,46,49,56,52,32,49,49,46,53,54,57,
      53,32,49,49,46,48,50,52,53,32,49,48,46,53,48,50,54,32,49,48,46,48,50,56,49,
      32,57,46,54,49,55,50,55,32,57,46,50,50,50,49,56,10,32,32,56,46,56,53,48,56,
      49,32,56,46,53,50,57,51,53,32,56,46,50,49,57,50,50,32,55,46,57,50,48,53,57,
      32,55,46,54,53,54,53,54,32,55,46,52,48,49,50,53,32,55,46,49,53,52,53,32,54,
      46,56,53,48,49,53,32,54,46,49,57,53,56,55,32,53,46,51,52,53,52,54,32,52,46,
      50,48,49,52,53,10,32,32,51,46,51,57,51,53,55,32,50,46,56,56,55,52,32,50,46,
      54,48,53,53,32,50,46,52,54,57,48,53,32,50,46,52,49,52,50,54,32,50,46,51,57,
      51,56,32,50,46,51,55,53,56,56,32,50,46,51,51,57,52,57,32,50,46,50,55,53,53,
      56,32,50,46,49,56,52,56,55,32,50,46,48,52,53,50,10,32,32,49,46,56,56,52,48,
      54,32,49,46,54,53,57,50,49,32,49,46,52,52,54,50,51,32,49,46,50,53,55,51,50,
      32,49,46,48,54,49,50,56,32,46,57,48,55,52,53,57,32,46,55,57,53,53,51,50,32,
      46,55,48,56,56,51,56,32,46,54,54,51,49,49,49,32,46,54,52,48,53,51,51,10,32,
      32,46,54,51,54,50,55,54,32,46,54,51,50,57,56,52,32,46,54,49,54,49,56,54,32,
      46,53,55,54,51,53,49,32,46,53,50,48,56,57,53,32,46,52,54,51,53,54,53,32,46,
      52,48,57,51,49,51,32,46,51,54,48,54,50,56,32,46,51,50,54,54,52,55,32,46,51,
      48,52,57,57,54,10,32,32,46,50,57,53,57,50,49,32,46,50,56,54,57,50,53,32,46,
      50,55,51,53,56,57,32,46,50,52,55,49,32,46,50,48,55,50,49,54,32,46,49,54,56,
      48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,
      57,48,53,32,46,48,55,50,55,50,49,52,10,32,32,46,48,54,50,54,55,51,54,32,46,
      48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,
      32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,51,
      52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,10,32,32,46,48,49,
      56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,
      48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,
      54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,
      48,48,52,53,56,54,56,57,10,32,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,
      55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,
      32,46,48,48,48,57,57,51,57,51,55,32,46,48,48,48,56,56,57,52,53,55,32,46,48,
      48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,52,10,32,32,46,48,48,48,
      51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,
      50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,
      32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,
      46,48,50,52,54,55,101,45,48,53,10,32,32,53,46,48,56,51,53,49,101,45,48,53,32,
      52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,
      53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,
      48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,10,32,32,57,46,50,
      54,56,56,101,45,48,54,32,54,46,56,55,55,56,53,101,45,48,54,32,53,46,51,57,48,
      54,56,101,45,48,54,32,57,46,51,48,50,57,55,101,45,48,54,32,56,46,49,55,56,48,
      54,101,45,48,54,32,54,46,51,56,52,48,51,101,45,48,54,32,52,46,56,53,55,53,54,
      101,45,48,54,10,32,32,51,46,56,54,57,54,54,101,45,48,54,32,51,46,48,56,51,54,
      49,101,45,48,54,32,50,46,52,57,52,48,50,101,45,48,54,32,50,46,48,50,52,49,57,
      101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,
      45,48,54,32,49,46,48,52,52,50,101,45,48,54,10,32,32,56,46,56,52,53,50,50,101,
      45,48,55,32,54,46,55,52,57,52,50,101,45,48,55,32,53,46,55,49,57,49,53,101,45,
      48,55,32,52,46,54,53,53,57,51,101,45,48,55,32,50,46,56,56,54,50,54,101,45,48,
      55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,48,49,50,54,101,45,48,56,
      10,32,32,51,46,53,54,48,57,55,101,45,48,56,32,49,46,54,48,55,55,56,101,45,48,
      56,32,54,46,50,48,53,49,49,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,
      32,55,46,57,52,49,48,51,101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,
      49,46,48,50,52,50,54,101,45,49,48,10,32,32,51,46,57,56,56,57,49,101,45,49,49,
      32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,50,32,
      49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,
      52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,10,32,32,49,46,
      49,55,53,50,54,101,45,49,52,32,51,46,57,53,50,49,50,101,45,49,53,32,49,46,48,
      49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,56,101,45,49,54,32,53,46,50,50,
      55,49,53,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,
      101,45,49,56,10,32,32,54,46,54,48,52,51,101,45,49,57,32,49,46,54,51,48,49,53,
      101,45,49,57,32,50,46,56,54,56,50,55,101,45,50,48,32,48,114,49,48,55,32,46,
      56,52,52,54,52,56,32,51,46,51,56,53,56,51,32,55,46,54,49,54,57,32,56,46,52,
      51,52,49,32,51,51,46,50,50,56,32,55,48,46,48,53,53,53,10,32,32,49,48,55,46,
      52,53,51,32,49,51,53,46,51,48,50,32,49,53,52,46,49,56,52,32,49,54,57,46,54,
      51,57,32,49,56,53,46,51,56,55,32,50,48,48,46,56,49,52,32,50,49,53,46,48,53,
      52,32,50,50,54,46,49,57,50,32,50,51,50,46,57,50,57,32,50,51,52,46,55,55,51,
      10,32,32,50,51,50,46,50,50,51,32,50,50,54,46,49,56,52,32,50,49,55,46,49,56,
      32,50,48,54,46,55,51,49,32,49,57,53,46,51,53,51,32,49,56,51,46,48,53,52,32,
      49,55,49,46,51,55,51,32,49,54,48,46,51,56,56,32,49,52,57,46,55,50,32,49,51,
      57,46,49,50,57,32,49,50,57,46,53,10,32,32,49,50,48,46,55,51,53,32,49,49,50,
      46,55,54,32,49,48,53,46,52,56,55,32,57,56,46,56,51,56,52,32,57,50,46,55,54,
      50,53,32,56,55,46,50,48,48,57,32,56,49,46,57,55,51,55,32,55,54,46,57,55,55,
      54,32,55,50,46,52,50,53,50,32,54,56,46,50,53,49,54,32,54,52,46,52,50,49,10,
      32,32,54,48,46,57,49,55,51,32,53,55,46,54,56,50,55,32,53,52,46,54,57,48,53,
      32,53,49,46,57,52,56,32,52,57,46,52,48,49,53,32,52,55,46,48,51,50,52,32,52,
      52,46,56,53,48,51,32,52,50,46,56,49,56,51,32,52,48,46,57,49,57,50,32,51,57,
      46,49,54,32,51,55,46,53,49,57,56,10,32,32,51,53,46,57,56,48,55,32,51,52,46,
      53,52,54,49,32,51,51,46,50,48,55,56,32,51,49,46,57,52,55,55,32,51,48,46,55,
      54,54,32,50,57,46,54,54,51,32,50,56,46,54,50,49,52,32,50,55,46,54,51,57,50,
      32,50,54,46,55,50,49,49,32,50,53,46,56,53,49,57,32,50,53,46,48,50,56,51,10,
      32,32,50,52,46,50,53,55,55,32,50,51,46,53,50,54,53,32,50,50,46,56,51,49,57,
      32,50,50,46,49,56,48,51,32,50,49,46,53,54,50,50,32,50,48,46,57,55,52,32,50,
      48,46,52,50,50,52,32,49,57,46,57,48,48,57,32,49,57,46,52,48,52,32,49,56,46,
      57,51,57,54,32,49,56,46,53,48,53,57,10,32,32,49,56,46,48,57,50,52,32,49,55,
      46,55,48,55,55,32,49,55,46,51,53,57,54,32,49,55,46,48,50,56,32,49,54,46,55,
      49,57,55,32,49,54,46,52,54,49,49,32,49,54,46,50,49,54,50,32,49,53,46,57,56,
      53,50,32,49,53,46,56,50,53,32,49,53,46,54,55,54,56,32,49,53,46,53,51,57,57,
      10,32,32,49,53,46,52,56,48,50,32,49,53,46,52,52,51,56,32,49,53,46,52,49,55,
      56,32,49,53,46,52,54,57,51,32,49,53,46,53,54,51,57,32,49,53,46,54,54,57,51,
      32,49,53,46,56,52,54,49,32,49,54,46,48,57,51,51,32,49,54,46,51,53,50,57,32,
      49,54,46,54,55,48,56,10,32,32,49,55,46,48,57,48,55,32,49,55,46,53,50,53,52,
      32,49,55,46,57,57,57,52,32,49,56,46,54,48,53,49,32,49,57,46,50,50,56,49,32,
      49,57,46,56,54,57,32,50,48,46,54,53,56,51,32,50,49,46,52,54,54,55,32,50,50,
      46,50,57,50,49,32,50,51,46,50,50,51,32,50,52,46,49,56,55,52,10,32,32,50,53,
      46,49,54,57,52,32,50,54,46,49,57,56,52,32,50,55,46,50,53,55,57,32,50,56,46,
      51,51,49,53,32,50,57,46,51,57,52,51,32,51,48,46,52,52,52,57,32,51,49,46,53,
      48,52,51,32,51,50,46,53,49,52,50,32,51,51,46,52,50,52,50,32,51,52,46,51,51,
      53,56,10,32,32,51,53,46,49,57,51,52,32,51,53,46,56,48,53,49,32,51,54,46,52,
      49,52,49,32,51,55,46,48,49,49,57,32,51,55,46,49,55,57,50,32,51,55,46,51,52,
      52,54,32,51,55,46,53,48,56,50,32,51,55,46,50,49,57,49,32,51,54,46,56,53,56,
      53,32,51,54,46,53,48,53,55,10,32,32,51,53,46,55,55,57,51,32,51,52,46,57,48,
      50,49,32,51,52,46,48,52,57,54,32,51,50,46,57,54,56,56,32,51,49,46,54,57,56,
      32,51,48,46,52,55,50,51,32,50,57,46,49,55,49,49,32,50,55,46,55,49,48,52,32,
      50,54,46,51,49,49,51,32,50,52,46,57,52,50,51,32,50,51,46,53,48,56,56,10,32,
      32,50,50,46,49,52,51,49,32,50,48,46,56,52,49,56,32,49,57,46,53,57,48,52,32,
      49,56,46,52,48,48,50,32,49,55,46,50,54,57,51,32,49,54,46,50,53,53,57,32,49,
      53,46,51,48,49,55,32,49,52,46,51,57,52,51,32,49,51,46,53,57,57,57,32,49,50,
      46,56,55,50,49,10,32,32,49,50,46,49,55,56,50,32,49,49,46,53,54,52,50,32,49,
      49,46,48,49,57,54,32,49,48,46,52,57,56,49,32,49,48,46,48,50,51,57,32,57,46,
      54,49,51,51,55,32,57,46,50,49,56,53,54,32,56,46,56,52,55,52,51,32,56,46,53,
      50,54,49,55,32,56,46,50,49,54,50,52,10,32,32,55,46,57,49,55,55,57,32,55,46,
      54,53,51,57,51,32,55,46,51,57,56,55,55,32,55,46,49,53,50,49,55,32,54,46,56,
      52,55,57,56,32,54,46,49,57,52,48,54,32,53,46,51,52,52,48,54,32,52,46,50,48,
      48,53,52,32,51,46,51,57,50,57,54,32,50,46,56,56,54,57,53,10,32,32,50,46,54,
      48,53,49,52,32,50,46,52,54,56,55,52,32,50,46,52,49,51,57,57,32,50,46,51,57,
      51,53,52,32,50,46,51,55,53,54,52,32,50,46,51,51,57,50,54,32,50,46,50,55,53,
      51,56,32,50,46,49,56,52,54,56,32,50,46,48,52,53,48,53,32,49,46,56,56,51,57,
      51,10,32,32,49,46,54,53,57,49,50,32,49,46,52,52,54,49,55,32,49,46,50,53,55,
      50,56,32,49,46,48,54,49,50,53,32,46,57,48,55,52,52,49,32,46,55,57,53,53,49,
      55,32,46,55,48,56,56,51,32,46,54,54,51,49,48,52,32,46,54,52,48,53,50,56,32,
      46,54,51,54,50,55,50,32,46,54,51,50,57,56,10,32,32,46,54,49,54,49,56,51,32,
      46,53,55,54,51,52,57,32,46,53,50,48,56,57,51,32,46,52,54,51,53,54,52,32,46,
      52,48,57,51,49,50,32,46,51,54,48,54,50,56,32,46,51,50,54,54,52,54,32,46,51,
      48,52,57,57,54,32,46,50,57,53,57,50,49,32,46,50,56,54,57,50,53,10,32,32,46,
      50,55,51,53,56,57,32,46,50,52,55,49,32,46,50,48,55,50,49,54,32,46,49,54,56,
      48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,
      57,48,53,32,46,48,55,50,55,50,49,52,32,46,48,54,50,54,55,51,54,32,46,48,53,
      55,49,53,52,57,10,32,32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,
      32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,51,
      52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,56,
      57,52,55,32,46,48,49,53,50,50,53,55,10,32,32,46,48,49,50,49,57,54,49,32,46,
      48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,
      54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,
      48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,
      53,53,57,10,32,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,
      32,46,48,48,48,57,57,51,57,51,56,32,46,48,48,48,56,56,57,52,53,55,32,46,48,
      48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,52,32,46,48,48,48,51,57,
      55,54,52,53,32,46,48,48,48,51,49,49,49,50,54,10,32,32,46,48,48,48,50,51,55,
      50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,
      32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,
      46,48,50,52,54,55,101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,53,10,32,32,
      52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,
      53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,
      48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,
      56,101,45,48,54,10,32,32,54,46,56,55,55,56,53,101,45,48,54,32,53,46,51,57,48,
      54,56,101,45,48,54,32,57,46,51,48,50,57,54,101,45,48,54,32,56,46,49,55,56,48,
      53,101,45,48,54,32,54,46,51,56,52,48,51,101,45,48,54,32,52,46,56,53,55,53,54,
      101,45,48,54,32,51,46,56,54,57,54,54,101,45,48,54,10,32,32,51,46,48,56,51,54,
      49,101,45,48,54,32,50,46,52,57,52,48,50,101,45,48,54,32,50,46,48,50,52,49,57,
      101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,
      45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,56,46,56,52,53,50,50,101,45,48,
      55,10,32,32,54,46,55,52,57,52,50,101,45,48,55,32,53,46,55,49,57,49,53,101,45,
      48,55,32,52,46,54,53,53,57,51,101,45,48,55,32,50,46,56,56,54,50,54,101,45,48,
      55,32,49,46,52,57,55,48,50,101,45,48,55,32,55,46,57,48,49,50,53,101,45,48,56,
      32,51,46,53,54,48,57,55,101,45,48,56,10,32,32,49,46,54,48,55,55,56,101,45,48,
      56,32,54,46,50,48,53,49,49,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,
      32,55,46,57,52,49,48,51,101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,
      49,46,48,50,52,50,54,101,45,49,48,32,51,46,57,56,56,57,49,101,45,49,49,10,32,
      32,49,46,49,51,54,54,50,101,45,49,49,32,51,46,55,57,53,50,49,101,45,49,50,32,
      49,46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,
      52,50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,32,49,46,49,55,
      53,50,54,101,45,49,52,10,32,32,51,46,57,53,50,49,50,101,45,49,53,32,49,46,48,
      49,48,54,55,101,45,49,53,32,50,46,52,56,50,57,56,101,45,49,54,32,53,46,50,50,
      55,49,53,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,
      101,45,49,56,32,54,46,54,48,52,51,49,101,45,49,57,10,32,32,49,46,54,51,48,49,
      53,101,45,49,57,32,50,46,56,54,56,50,55,101,45,50,48,32,48,114,49,48,55,32,
      46,53,52,48,53,56,32,50,46,49,54,55,49,53,32,52,46,56,55,54,56,54,32,53,46,
      52,48,48,52,49,32,50,49,46,52,48,54,49,32,52,54,46,49,52,48,51,32,55,51,46,
      57,49,55,52,10,32,32,57,55,46,53,50,54,57,32,49,49,52,46,52,49,54,32,49,50,
      54,46,54,52,32,49,51,55,46,53,54,50,32,49,52,56,46,57,49,55,32,49,53,57,46,
      56,52,50,32,49,55,48,46,49,55,53,32,49,55,56,46,54,54,54,32,49,56,52,46,52,
      55,50,32,49,56,55,46,49,57,56,32,49,56,55,46,48,56,50,10,32,32,49,56,52,46,
      49,56,49,32,49,55,57,46,51,51,32,49,55,50,46,53,50,56,32,49,54,53,32,49,53,
      54,46,57,52,56,32,49,52,56,46,48,54,54,32,49,51,57,46,53,54,51,32,49,51,49,
      46,53,48,52,32,49,50,51,46,57,48,57,32,49,49,54,46,49,50,49,32,49,48,56,46,
      55,54,55,10,32,32,49,48,50,46,48,49,54,32,57,53,46,56,48,57,54,32,57,48,46,
      49,48,56,57,32,56,52,46,56,54,55,50,32,56,48,46,48,51,48,50,32,55,53,46,53,
      55,49,50,32,55,49,46,52,54,50,56,32,54,55,46,54,53,54,52,32,54,51,46,57,53,
      57,56,32,54,48,46,53,48,53,51,10,32,32,53,55,46,51,49,51,55,32,53,52,46,51,
      53,57,32,53,49,46,54,52,57,52,32,52,57,46,49,51,49,57,32,52,54,46,55,56,56,
      52,32,52,52,46,54,50,56,57,32,52,50,46,54,49,55,32,52,48,46,55,51,53,56,32,
      51,56,46,57,57,50,53,32,51,55,46,51,54,54,54,32,51,53,46,56,52,48,51,10,32,
      32,51,52,46,52,49,55,50,32,51,51,46,48,56,57,51,32,51,49,46,56,51,56,53,32,
      51,48,46,54,54,53,50,32,50,57,46,53,54,57,57,32,50,56,46,53,51,53,50,32,50,
      55,46,53,53,57,51,32,50,54,46,54,52,54,57,32,50,53,46,55,56,51,32,50,52,46,
      57,54,52,49,32,50,52,46,49,57,55,57,10,32,32,50,51,46,52,55,48,54,32,50,50,
      46,55,55,57,55,32,50,50,46,49,51,49,53,32,50,49,46,53,49,54,53,32,50,48,46,
      57,51,49,49,32,50,48,46,51,56,50,49,32,49,57,46,56,54,51,49,32,49,57,46,51,
      54,56,52,32,49,56,46,57,48,54,49,32,49,56,46,52,55,52,50,10,32,32,49,56,46,
      48,54,50,52,32,49,55,46,54,55,57,52,32,49,55,46,51,51,50,55,32,49,55,46,48,
      48,50,54,32,49,54,46,54,57,53,54,32,49,54,46,52,51,56,32,49,54,46,49,57,52,
      51,32,49,53,46,57,54,52,50,32,49,53,46,56,48,52,57,32,49,53,46,54,53,55,54,
      32,49,53,46,53,50,49,52,10,32,32,49,53,46,52,54,50,52,32,49,53,46,52,50,54,
      53,32,49,53,46,52,48,49,49,32,49,53,46,52,53,50,57,32,49,53,46,53,52,55,57,
      32,49,53,46,54,53,51,53,32,49,53,46,56,51,48,53,32,49,54,46,48,55,55,57,32,
      49,54,46,51,51,55,53,32,49,54,46,54,53,53,52,10,32,32,49,55,46,48,55,53,49,
      32,49,55,46,53,48,57,54,32,49,55,46,57,56,51,51,32,49,56,46,53,56,56,54,32,
      49,57,46,50,49,49,49,32,49,57,46,56,53,49,52,32,50,48,46,54,51,57,57,32,50,
      49,46,52,52,55,52,32,50,50,46,50,55,50,49,32,50,51,46,50,48,49,57,10,32,32,
      50,52,46,49,54,53,50,32,50,53,46,49,52,54,32,50,54,46,49,55,51,56,32,50,55,
      46,50,51,50,32,50,56,46,51,48,52,51,32,50,57,46,51,54,53,55,32,51,48,46,52,
      49,52,57,32,51,49,46,52,55,50,57,32,51,50,46,52,56,49,53,32,51,51,46,51,57,
      48,52,32,51,52,46,51,48,48,55,10,32,32,51,53,46,49,53,55,51,32,51,53,46,55,
      54,56,50,32,51,54,46,51,55,54,53,32,51,54,46,57,55,51,54,32,51,55,46,49,52,
      48,57,32,51,55,46,51,48,54,50,32,51,55,46,52,54,57,57,32,51,55,46,49,56,49,
      53,32,51,54,46,56,50,49,55,32,51,54,46,52,54,57,54,10,32,32,51,53,46,55,52,
      52,54,32,51,52,46,56,54,56,56,32,51,52,46,48,49,55,56,32,51,50,46,57,51,56,
      56,32,51,49,46,54,54,57,57,32,51,48,46,52,52,54,32,50,57,46,49,52,54,55,32,
      50,55,46,54,56,55,57,32,50,54,46,50,57,48,55,32,50,52,46,57,50,51,52,32,50,
      51,46,52,57,49,55,10,32,32,50,50,46,49,50,55,54,32,50,48,46,56,50,55,55,32,
      49,57,46,53,55,55,56,32,49,56,46,51,56,56,56,32,49,55,46,50,53,57,32,49,54,
      46,50,52,54,53,32,49,53,46,50,57,51,50,32,49,52,46,51,56,54,54,32,49,51,46,
      53,57,51,32,49,50,46,56,54,53,56,32,49,50,46,49,55,50,52,10,32,32,49,49,46,
      53,53,56,57,32,49,49,46,48,49,52,55,32,49,48,46,52,57,51,54,32,49,48,46,48,
      49,57,56,32,57,46,54,48,57,52,56,32,57,46,50,49,52,57,51,32,56,46,56,52,52,
      48,53,32,56,46,53,50,51,32,56,46,50,49,51,50,54,32,55,46,57,49,53,32,55,46,
      54,53,49,51,10,32,32,55,46,51,57,54,50,57,32,55,46,49,52,57,56,51,32,54,46,
      56,52,53,56,50,32,54,46,49,57,50,50,52,32,53,46,51,52,50,54,54,32,52,46,49,
      57,57,54,51,32,51,46,51,57,50,51,53,32,50,46,56,56,54,53,49,32,50,46,54,48,
      52,55,57,32,50,46,52,54,56,52,51,10,32,32,50,46,52,49,51,55,49,32,50,46,51,
      57,51,50,56,32,50,46,51,55,53,52,32,50,46,51,51,57,48,52,32,50,46,50,55,53,
      49,55,32,50,46,49,56,52,53,32,50,46,48,52,52,57,32,49,46,56,56,51,56,49,32,
      49,46,54,53,57,48,52,32,49,46,52,52,54,49,32,49,46,50,53,55,50,52,10,32,32,
      49,46,48,54,49,50,49,32,46,57,48,55,52,50,51,32,46,55,57,53,53,48,49,32,46,
      55,48,56,56,50,49,32,46,54,54,51,48,57,56,32,46,54,52,48,53,50,52,32,46,54,
      51,54,50,54,56,32,46,54,51,50,57,55,55,32,46,54,49,54,49,56,49,32,46,53,55,
      54,51,52,55,10,32,32,46,53,50,48,56,57,50,32,46,52,54,51,53,54,51,32,46,52,
      48,57,51,49,49,32,46,51,54,48,54,50,55,32,46,51,50,54,54,52,54,32,46,51,48,
      52,57,57,54,32,46,50,57,53,57,50,49,32,46,50,56,54,57,50,53,32,46,50,55,51,
      53,56,57,32,46,50,52,55,48,57,57,10,32,32,46,50,48,55,50,49,54,32,46,49,54,
      56,48,54,55,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,
      51,57,48,53,32,46,48,55,50,55,50,49,52,32,46,48,54,50,54,55,51,54,32,46,48,
      53,55,49,53,52,57,32,46,48,53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,10,
      32,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,
      51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,
      56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,48,
      48,57,54,51,51,55,55,10,32,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,
      52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,
      46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,
      56,53,53,57,32,46,48,48,49,56,55,49,55,56,10,32,32,46,48,48,49,51,50,54,56,
      50,32,46,48,48,48,57,57,51,57,51,56,32,46,48,48,48,56,56,57,52,53,55,32,46,
      48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,52,32,46,48,48,48,51,
      57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,50,
      54,56,10,32,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,
      55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,
      55,46,48,50,52,54,55,101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,53,32,52,
      46,49,56,57,50,57,101,45,48,53,10,32,32,51,46,52,53,49,51,101,45,48,53,32,50,
      46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,
      53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,
      56,56,101,45,48,54,32,54,46,56,55,55,56,54,101,45,48,54,10,32,32,53,46,51,57,
      48,54,56,101,45,48,54,32,57,46,51,48,50,57,54,101,45,48,54,32,56,46,49,55,56,
      48,53,101,45,48,54,32,54,46,51,56,52,48,50,101,45,48,54,32,52,46,56,53,55,53,
      54,101,45,48,54,32,51,46,56,54,57,54,54,101,45,48,54,32,51,46,48,56,51,54,49,
      101,45,48,54,10,32,32,50,46,52,57,52,48,50,101,45,48,54,32,50,46,48,50,52,49,
      57,101,45,48,54,32,49,46,54,48,54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,
      45,48,54,32,49,46,48,52,52,50,101,45,48,54,32,56,46,56,52,53,50,49,101,45,48,
      55,32,54,46,55,52,57,52,50,101,45,48,55,10,32,32,53,46,55,49,57,49,52,101,45,
      48,55,32,52,46,54,53,53,57,51,101,45,48,55,32,50,46,56,56,54,50,54,101,45,48,
      55,32,49,46,52,57,55,48,49,101,45,48,55,32,55,46,57,48,49,50,53,101,45,48,56,
      32,51,46,53,54,48,57,55,101,45,48,56,32,49,46,54,48,55,55,56,101,45,48,56,10,
      32,32,54,46,50,48,53,49,101,45,48,57,32,50,46,56,49,49,49,53,101,45,48,57,32,
      55,46,57,52,49,48,51,101,45,49,48,32,50,46,51,56,52,56,53,101,45,49,48,32,49,
      46,48,50,52,50,54,101,45,49,48,32,51,46,57,56,56,57,49,101,45,49,49,32,49,46,
      49,51,54,54,50,101,45,49,49,10,32,32,51,46,55,57,53,50,49,101,45,49,50,32,49,
      46,50,54,57,101,45,49,50,32,51,46,54,51,52,48,55,101,45,49,51,32,49,46,48,52,
      50,50,52,101,45,49,51,32,51,46,52,57,56,49,52,101,45,49,52,32,49,46,49,55,53,
      50,54,101,45,49,52,32,51,46,57,53,50,49,50,101,45,49,53,10,32,32,49,46,48,49,
      48,54,55,101,45,49,53,32,50,46,52,56,50,57,56,101,45,49,54,32,53,46,50,50,55,
      49,54,101,45,49,55,32,49,46,50,56,54,56,55,101,45,49,55,32,50,46,55,48,51,48,
      49,101,45,49,56,32,54,46,54,48,52,51,49,101,45,49,57,32,49,46,54,51,48,49,53,
      101,45,49,57,10,32,32,50,46,56,54,56,50,55,101,45,50,48,32,48,114,49,48,55,
      32,46,48,57,56,57,50,52,32,46,53,52,49,56,55,53,32,49,46,50,49,57,57,51,32,
      49,46,51,53,49,48,49,32,53,46,51,57,57,52,52,32,49,50,46,48,49,51,32,50,48,
      46,55,48,57,55,32,51,48,46,52,56,56,51,10,32,32,52,48,46,48,54,57,49,32,52,
      56,46,50,50,51,49,32,53,52,46,53,53,54,52,32,53,57,46,52,56,53,55,32,54,51,
      46,53,57,49,53,32,54,55,46,52,49,49,50,32,55,49,46,50,56,55,52,32,55,53,46,
      50,52,50,57,32,55,57,46,48,50,49,54,32,56,50,46,55,55,48,52,10,32,32,56,54,
      46,48,56,49,32,56,56,46,56,56,32,57,49,46,48,53,55,53,32,57,50,46,52,50,32,
      57,50,46,57,54,48,52,32,57,50,46,56,52,57,53,32,57,50,46,48,49,54,53,32,57,
      48,46,54,49,54,32,56,56,46,55,56,54,52,32,56,54,46,52,50,48,55,32,56,51,46,
      56,49,49,50,10,32,32,56,49,46,48,57,52,52,32,55,56,46,51,49,54,49,32,55,53,
      46,49,51,50,49,32,55,50,46,48,52,51,50,32,54,57,46,48,53,49,52,32,54,54,46,
      49,55,54,56,32,54,51,46,52,51,49,52,32,54,48,46,55,57,57,53,32,53,56,46,48,
      54,55,57,32,53,53,46,52,50,54,55,10,32,32,53,50,46,57,51,55,56,32,53,48,46,
      53,57,49,56,32,52,56,46,52,49,48,50,32,52,54,46,51,53,49,55,32,52,52,46,52,
      48,56,50,32,52,50,46,53,57,55,51,32,52,48,46,56,57,48,49,32,51,57,46,50,55,
      53,53,32,51,55,46,55,54,53,54,32,51,54,46,51,52,52,51,10,32,32,51,52,46,57,
      57,55,54,32,51,51,46,55,51,50,49,32,51,50,46,53,48,51,49,32,51,49,46,50,57,
      56,50,32,51,48,46,49,54,54,53,32,50,57,46,49,48,56,56,32,50,56,46,49,48,56,
      50,32,50,55,46,49,54,51,52,32,50,54,46,50,55,57,50,32,50,53,46,52,52,49,49,
      10,32,32,50,52,46,54,52,53,55,32,50,51,46,57,48,49,32,50,51,46,49,57,51,53,
      32,50,50,46,53,50,48,55,32,50,49,46,56,56,57,49,32,50,49,46,50,56,57,51,32,
      50,48,46,55,49,56,49,32,50,48,46,49,56,50,32,49,57,46,54,55,52,57,32,49,57,
      46,49,57,49,50,32,49,56,46,55,51,57,49,10,32,32,49,56,46,51,49,54,55,32,49,
      55,46,57,49,51,54,32,49,55,46,53,51,56,54,32,49,55,46,49,57,57,51,32,49,54,
      46,56,55,54,32,49,54,46,53,55,53,51,32,49,54,46,51,50,51,53,32,49,54,46,48,
      56,53,49,32,49,53,46,56,54,32,49,53,46,55,48,53,32,49,53,46,53,54,49,56,10,
      32,32,49,53,46,52,50,57,51,32,49,53,46,51,55,51,53,32,49,53,46,51,52,48,52,
      32,49,53,46,51,49,55,54,32,49,53,46,51,55,49,53,32,49,53,46,52,54,56,49,32,
      49,53,46,53,55,53,51,32,49,53,46,55,53,51,50,32,49,54,46,48,48,49,32,49,54,
      46,50,54,48,57,32,49,54,46,53,55,56,54,10,32,32,49,54,46,57,57,55,52,32,49,
      55,46,52,51,48,57,32,49,55,46,57,48,51,49,32,49,56,46,53,48,54,49,32,49,57,
      46,49,50,54,32,49,57,46,55,54,51,53,32,50,48,46,53,52,56,51,32,50,49,46,51,
      53,49,55,32,50,50,46,49,55,50,32,50,51,46,48,57,54,54,32,50,52,46,48,53,52,
      53,10,32,32,50,53,46,48,50,57,54,32,50,54,46,48,53,49,49,32,50,55,46,49,48,
      50,56,32,50,56,46,49,54,56,51,32,50,57,46,50,50,51,32,51,48,46,50,54,53,52,
      32,51,49,46,51,49,54,53,32,51,50,46,51,49,56,54,32,51,51,46,50,50,49,53,32,
      51,52,46,49,50,54,32,51,52,46,57,55,55,10,32,32,51,53,46,53,56,52,52,32,51,
      54,46,49,56,57,49,32,51,54,46,55,56,50,55,32,51,54,46,57,53,32,51,55,46,49,
      49,53,51,32,51,55,46,50,55,56,57,32,51,54,46,57,57,52,32,51,54,46,54,51,56,
      50,32,51,54,46,50,56,57,57,32,51,53,46,53,55,49,53,32,51,52,46,55,48,51,51,
      10,32,32,51,51,46,56,53,57,52,32,51,50,46,55,56,57,32,51,49,46,53,50,57,56,
      32,51,48,46,51,49,52,57,32,50,57,46,48,50,52,56,32,50,55,46,53,55,54,32,50,
      54,46,49,56,56,32,50,52,46,56,50,57,52,32,50,51,46,52,48,54,52,32,50,50,46,
      48,53,48,50,32,50,48,46,55,53,55,55,10,32,32,49,57,46,53,49,52,53,32,49,56,
      46,51,51,49,55,32,49,55,46,50,48,55,54,32,49,54,46,50,32,49,53,46,50,53,49,
      49,32,49,52,46,51,52,56,53,32,49,51,46,53,53,56,50,32,49,50,46,56,51,52,49,
      32,49,50,46,49,52,51,53,32,49,49,46,53,51,50,52,32,49,48,46,57,57,48,51,10,
      32,32,49,48,46,52,55,49,32,57,46,57,57,56,57,32,57,46,53,57,48,48,53,32,57,
      46,49,57,54,56,50,32,56,46,56,50,55,49,56,32,56,46,53,48,55,49,55,32,56,46,
      49,57,56,52,49,32,55,46,57,48,49,48,55,32,55,46,54,51,56,49,55,32,55,46,51,
      56,51,57,50,32,55,46,49,51,56,49,54,10,32,32,54,46,56,51,53,48,49,32,54,46,
      49,56,51,49,56,32,53,46,51,51,53,54,56,32,52,46,49,57,53,49,32,51,46,51,56,
      57,50,56,32,50,46,56,56,52,50,55,32,50,46,54,48,51,32,50,46,52,54,54,57,32,
      50,46,52,49,50,51,50,32,50,46,51,57,49,57,57,32,50,46,51,55,52,49,56,10,32,
      32,50,46,51,51,55,57,49,32,50,46,50,55,52,49,53,32,50,46,49,56,51,53,57,32,
      50,46,48,52,52,49,51,32,49,46,56,56,51,49,57,32,49,46,54,53,56,53,56,32,49,
      46,52,52,53,55,57,32,49,46,50,53,55,48,50,32,49,46,48,54,49,48,52,32,46,57,
      48,55,51,51,51,10,32,32,46,55,57,53,52,50,51,32,46,55,48,56,55,55,56,32,46,
      54,54,51,48,54,53,32,46,54,52,48,52,57,56,32,46,54,51,54,50,52,55,32,46,54,
      51,50,57,53,57,32,46,54,49,54,49,54,54,32,46,53,55,54,51,51,54,32,46,53,50,
      48,56,56,52,32,46,52,54,51,53,53,56,10,32,32,46,52,48,57,51,48,55,32,46,51,
      54,48,54,50,52,32,46,51,50,54,54,52,52,32,46,51,48,52,57,57,52,32,46,50,57,
      53,57,50,32,46,50,56,54,57,50,52,32,46,50,55,51,53,56,56,32,46,50,52,55,48,
      57,57,32,46,50,48,55,50,49,54,32,46,49,54,56,48,54,54,32,46,49,51,53,49,57,
      57,10,32,32,46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,53,32,46,48,55,50,
      55,50,49,52,32,46,48,54,50,54,55,51,54,32,46,48,53,55,49,53,52,57,32,46,48,
      53,53,50,49,50,50,32,46,48,53,50,51,49,49,56,32,46,48,52,56,53,53,50,51,32,
      46,48,52,51,48,53,48,50,10,32,32,46,48,51,52,55,51,52,54,32,46,48,50,55,53,
      52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,49,53,
      50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,55,32,46,
      48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,10,32,32,46,48,48,53,
      56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,48,48,52,53,56,54,56,57,
      32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,
      56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,
      56,10,32,32,46,48,48,48,56,56,57,52,53,55,32,46,48,48,48,54,55,51,52,51,32,
      46,48,48,48,53,49,52,54,51,53,32,46,48,48,48,51,57,55,54,52,53,32,46,48,48,
      48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,
      52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,10,32,32,46,48,48,48,49,49,54,
      49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,55,46,48,50,52,54,56,101,45,
      48,53,32,53,46,48,56,51,53,49,101,45,48,53,32,52,46,49,56,57,50,57,101,45,48,
      53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,53,10,
      32,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,
      32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,48,54,32,54,46,
      56,55,55,56,54,101,45,48,54,32,53,46,51,57,48,54,56,101,45,48,54,32,57,46,51,
      48,50,57,52,101,45,48,54,10,32,32,56,46,49,55,56,48,51,101,45,48,54,32,54,46,
      51,56,52,48,49,101,45,48,54,32,52,46,56,53,55,53,53,101,45,48,54,32,51,46,56,
      54,57,54,53,101,45,48,54,32,51,46,48,56,51,54,101,45,48,54,32,50,46,52,57,52,
      48,50,101,45,48,54,32,50,46,48,50,52,49,57,101,45,48,54,10,32,32,49,46,54,48,
      54,53,101,45,48,54,32,49,46,51,48,56,54,57,101,45,48,54,32,49,46,48,52,52,49,
      57,101,45,48,54,32,56,46,56,52,53,49,57,101,45,48,55,32,54,46,55,52,57,52,101,
      45,48,55,32,53,46,55,49,57,49,51,101,45,48,55,32,52,46,54,53,53,57,50,101,45,
      48,55,10,32,32,50,46,56,56,54,50,53,101,45,48,55,32,49,46,52,57,55,48,49,101,
      45,48,55,32,55,46,57,48,49,50,51,101,45,48,56,32,51,46,53,54,48,57,54,101,45,
      48,56,32,49,46,54,48,55,55,56,101,45,48,56,32,54,46,50,48,53,48,57,101,45,48,
      57,32,50,46,56,49,49,49,52,101,45,48,57,10,32,32,55,46,57,52,49,48,49,101,45,
      49,48,32,50,46,51,56,52,56,52,101,45,49,48,32,49,46,48,50,52,50,54,101,45,49,
      48,32,51,46,57,56,56,57,101,45,49,49,32,49,46,49,51,54,54,49,101,45,49,49,32,
      51,46,55,57,53,50,101,45,49,50,32,49,46,50,54,57,101,45,49,50,10,32,32,51,46,
      54,51,52,48,54,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,46,52,
      57,56,49,51,101,45,49,52,32,49,46,49,55,53,50,54,101,45,49,52,32,51,46,57,53,
      50,49,49,101,45,49,53,32,49,46,48,49,48,54,55,101,45,49,53,32,50,46,52,56,50,
      57,57,101,45,49,54,10,32,32,53,46,50,50,55,49,55,101,45,49,55,32,49,46,50,56,
      54,56,55,101,45,49,55,32,50,46,55,48,51,48,49,101,45,49,56,32,54,46,54,48,52,
      51,51,101,45,49,57,32,49,46,54,51,48,49,54,101,45,49,57,32,50,46,56,54,56,50,
      54,101,45,50,48,32,48,114,49,48,55,32,46,48,50,52,55,51,54,54,10,32,32,46,49,
      51,53,52,57,52,32,46,51,48,53,48,55,51,32,46,51,51,55,56,53,57,32,49,46,51,
      53,51,49,49,32,51,46,48,51,53,55,57,32,53,46,51,52,56,50,56,32,56,46,50,49,
      48,55,52,32,49,49,46,52,57,48,52,32,49,52,46,57,53,53,50,32,49,56,46,51,56,
      51,32,50,49,46,53,50,55,56,10,32,32,50,52,46,50,53,52,32,50,54,46,53,49,57,
      32,50,56,46,51,57,53,49,32,50,57,46,57,56,54,50,32,51,49,46,51,57,49,54,32,
      51,50,46,55,54,48,57,32,51,52,46,48,53,48,53,32,51,53,46,51,57,51,51,32,51,
      54,46,55,56,53,52,32,51,56,46,48,56,49,32,51,57,46,51,57,57,56,10,32,32,52,
      48,46,54,54,55,52,32,52,49,46,56,52,56,53,32,52,50,46,57,48,53,50,32,52,51,
      46,56,52,50,54,32,52,52,46,54,50,56,54,32,52,53,46,49,56,50,57,32,52,53,46,
      54,48,48,57,32,52,53,46,55,54,51,32,52,53,46,56,48,56,50,32,52,53,46,54,54,
      50,56,32,52,53,46,51,52,50,54,10,32,32,52,52,46,56,56,50,55,32,52,52,46,51,
      49,57,49,32,52,51,46,54,53,52,54,32,52,50,46,56,52,50,52,32,52,49,46,57,55,
      48,52,32,52,49,46,48,53,55,50,32,52,48,46,49,49,52,57,32,51,57,46,49,56,51,
      54,32,51,56,46,49,56,49,32,51,55,46,48,57,53,49,32,51,54,46,48,53,49,51,10,
      32,32,51,53,46,48,51,48,57,32,51,52,46,48,51,49,57,32,51,51,46,48,55,52,32,
      51,50,46,49,52,56,50,32,51,49,46,50,52,54,56,32,51,48,46,51,56,49,55,32,50,
      57,46,53,48,49,55,32,50,56,46,53,57,56,52,32,50,55,46,55,51,56,50,32,50,54,
      46,57,50,52,56,32,50,54,46,49,52,52,54,10,32,32,50,53,46,51,57,56,54,32,50,
      52,46,54,57,52,49,32,50,52,46,48,49,56,51,32,50,51,46,51,54,57,57,32,50,50,
      46,55,53,56,51,32,50,50,46,49,55,49,51,32,50,49,46,54,48,55,57,32,50,49,46,
      48,55,53,52,32,50,48,46,53,54,53,55,32,50,48,46,48,55,54,51,10,32,32,49,57,
      46,54,49,52,53,32,49,57,46,49,55,52,57,32,49,56,46,55,53,50,54,32,49,56,46,
      51,53,54,50,32,49,55,46,57,56,52,52,32,49,55,46,54,49,57,57,32,49,55,46,50,
      54,48,54,32,49,54,46,57,51,53,56,32,49,54,46,54,50,53,57,32,49,54,46,51,51,
      55,55,10,32,32,49,54,46,48,57,55,50,32,49,53,46,56,54,57,50,32,49,53,46,54,
      53,51,57,32,49,53,46,53,48,55,53,32,49,53,46,51,55,50,49,32,49,53,46,50,52,
      55,32,49,53,46,49,57,55,52,32,49,53,46,49,54,57,57,32,49,53,46,49,53,50,50,
      32,49,53,46,50,49,48,49,32,49,53,46,51,49,10,32,32,49,53,46,52,50,32,49,53,
      46,53,57,57,56,32,49,53,46,56,52,56,53,32,49,54,46,49,48,56,57,32,49,54,46,
      52,50,54,49,32,49,54,46,56,52,51,50,32,49,55,46,50,55,52,53,32,49,55,46,55,
      52,51,57,32,49,56,46,51,52,50,50,32,49,56,46,57,53,55,49,32,49,57,46,53,56,
      57,49,10,32,32,50,48,46,51,54,54,50,32,50,49,46,49,54,49,53,32,50,49,46,57,
      55,51,50,32,50,50,46,56,56,55,55,32,50,51,46,56,51,52,54,32,50,52,46,55,57,
      56,51,32,50,53,46,56,48,55,53,32,50,54,46,56,52,54,51,32,50,55,46,56,57,56,
      52,32,50,56,46,57,51,57,55,10,32,32,50,57,46,57,54,56,56,32,51,49,46,48,48,
      54,50,32,51,49,46,57,57,53,50,32,51,50,46,56,56,54,53,32,51,51,46,55,55,57,
      50,32,51,52,46,54,49,57,52,32,51,53,46,50,49,57,55,32,51,53,46,56,49,55,51,
      32,51,54,46,52,48,52,49,32,51,54,46,53,55,49,50,10,32,32,51,54,46,55,51,54,
      52,32,51,54,46,57,32,51,54,46,54,50,50,32,51,54,46,50,55,51,57,32,51,53,46,
      57,51,51,52,32,51,53,46,50,50,55,57,32,51,52,46,51,55,52,54,32,51,51,46,53,
      52,52,57,32,51,50,46,52,57,49,53,32,51,49,46,50,53,49,52,32,51,48,46,48,53,
      52,53,10,32,32,50,56,46,55,56,50,55,32,50,55,46,51,53,51,55,32,50,53,46,57,
      56,51,57,32,50,52,46,54,52,50,53,32,50,51,46,50,51,54,56,32,50,49,46,56,57,
      54,53,32,50,48,46,54,49,56,52,32,49,57,46,51,56,56,55,32,49,56,46,50,49,56,
      50,32,49,55,46,49,48,53,50,10,32,32,49,54,46,49,48,55,51,32,49,53,46,49,54,
      55,49,32,49,52,46,50,55,50,54,32,49,51,46,52,56,57,49,32,49,50,46,55,55,49,
      32,49,50,46,48,56,53,57,32,49,49,46,52,55,57,54,32,49,48,46,57,52,49,53,32,
      49,48,46,52,50,54,49,32,57,46,57,53,55,51,50,32,57,46,53,53,49,51,49,10,32,
      32,57,46,49,54,48,55,50,32,56,46,55,57,51,53,51,32,56,46,52,55,53,54,49,32,
      56,46,49,54,56,55,56,32,55,46,56,55,51,50,54,32,55,46,54,49,49,57,56,32,55,
      46,51,53,57,50,51,32,55,46,49,49,52,56,56,32,54,46,56,49,51,52,50,32,54,46,
      49,54,53,49,32,53,46,51,50,49,55,52,10,32,32,52,46,49,56,54,48,54,32,51,46,
      51,56,51,49,54,32,50,46,56,55,57,55,55,32,50,46,53,57,57,52,51,32,50,46,52,
      54,51,56,51,32,50,46,52,48,57,53,49,32,50,46,51,56,57,51,56,32,50,46,51,55,
      49,55,51,32,50,46,51,51,53,54,51,32,50,46,50,55,50,49,49,10,32,32,50,46,49,
      56,49,55,55,32,50,46,48,52,50,54,49,32,49,46,56,56,49,57,54,32,49,46,54,53,
      55,54,50,32,49,46,52,52,53,49,55,32,49,46,50,53,54,53,57,32,49,46,48,54,48,
      54,57,32,46,57,48,55,49,53,54,32,46,55,57,53,50,54,53,32,46,55,48,56,54,57,
      52,10,32,32,46,54,54,51,48,48,49,32,46,54,52,48,52,52,55,32,46,54,51,54,50,
      48,53,32,46,54,51,50,57,50,52,32,46,54,49,54,49,51,55,32,46,53,55,54,51,49,
      53,32,46,53,50,48,56,55,32,46,52,54,51,53,52,57,32,46,52,48,57,51,32,46,51,
      54,48,54,49,53,32,46,51,50,54,54,52,49,10,32,32,46,51,48,52,57,57,50,32,46,
      50,57,53,57,49,56,32,46,50,56,54,57,50,50,32,46,50,55,51,53,56,54,32,46,50,
      52,55,48,57,56,32,46,50,48,55,50,49,52,32,46,49,54,56,48,54,54,32,46,49,51,
      53,49,57,57,32,46,49,48,55,52,49,52,32,46,48,56,55,51,57,48,51,10,32,32,46,
      48,55,50,55,50,49,51,32,46,48,54,50,54,55,51,54,32,46,48,53,55,49,53,52,57,
      32,46,48,53,53,50,49,50,49,32,46,48,53,50,51,49,49,55,32,46,48,52,56,53,53,
      50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,51,52,54,32,46,48,50,55,
      53,52,48,55,10,32,32,46,48,50,50,50,54,55,32,46,48,49,56,56,57,52,55,32,46,
      48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,
      55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,57,32,46,48,48,
      53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,10,32,32,46,48,48,52,53,56,
      54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,
      48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,
      51,57,51,56,32,46,48,48,48,56,56,57,52,53,55,32,46,48,48,48,54,55,51,52,51,
      10,32,32,46,48,48,48,53,49,52,54,51,53,32,46,48,48,48,51,57,55,54,52,53,32,
      46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,
      48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,
      54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,10,32,32,55,46,48,50,52,54,
      56,101,45,48,53,32,53,46,48,56,51,53,49,101,45,48,53,32,52,46,49,56,57,50,57,
      101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,
      45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,53,48,53,51,52,101,45,
      48,53,10,32,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,56,101,45,48,
      54,32,54,46,56,55,55,56,54,101,45,48,54,32,53,46,51,57,48,54,57,101,45,48,54,
      32,57,46,51,48,50,57,101,45,48,54,32,56,46,49,55,56,101,45,48,54,32,54,46,51,
      56,51,57,56,101,45,48,54,32,52,46,56,53,55,53,50,101,45,48,54,10,32,32,51,46,
      56,54,57,54,52,101,45,48,54,32,51,46,48,56,51,53,57,101,45,48,54,32,50,46,52,
      57,52,48,49,101,45,48,54,32,50,46,48,50,52,49,56,101,45,48,54,32,49,46,54,48,
      54,52,57,101,45,48,54,32,49,46,51,48,56,54,57,101,45,48,54,32,49,46,48,52,52,
      49,57,101,45,48,54,10,32,32,56,46,56,52,53,49,53,101,45,48,55,32,54,46,55,52,
      57,51,55,101,45,48,55,32,53,46,55,49,57,49,49,101,45,48,55,32,52,46,54,53,53,
      57,101,45,48,55,32,50,46,56,56,54,50,52,101,45,48,55,32,49,46,52,57,55,48,49,
      101,45,48,55,32,55,46,57,48,49,50,101,45,48,56,10,32,32,51,46,53,54,48,57,53,
      101,45,48,56,32,49,46,54,48,55,55,55,101,45,48,56,32,54,46,50,48,53,48,55,101,
      45,48,57,32,50,46,56,49,49,49,51,101,45,48,57,32,55,46,57,52,48,57,56,101,45,
      49,48,32,50,46,51,56,52,56,52,101,45,49,48,32,49,46,48,50,52,50,53,101,45,49,
      48,10,32,32,51,46,57,56,56,56,56,101,45,49,49,32,49,46,49,51,54,54,49,101,45,
      49,49,32,51,46,55,57,53,49,57,101,45,49,50,32,49,46,50,54,57,101,45,49,50,32,
      51,46,54,51,52,48,53,101,45,49,51,32,49,46,48,52,50,50,52,101,45,49,51,32,51,
      46,52,57,56,49,50,101,45,49,52,10,32,32,49,46,49,55,53,50,54,101,45,49,52,32,
      51,46,57,53,50,49,101,45,49,53,32,49,46,48,49,48,54,56,101,45,49,53,32,50,46,
      52,56,51,101,45,49,54,32,53,46,50,50,55,50,101,45,49,55,32,49,46,50,56,54,56,
      56,101,45,49,55,32,50,46,55,48,51,48,51,101,45,49,56,10,32,32,54,46,54,48,52,
      51,55,101,45,49,57,32,49,46,54,51,48,49,55,101,45,49,57,32,50,46,56,54,56,50,
      53,101,45,50,48,32,48,114,49,48,55,32,46,48,48,49,53,48,50,57,52,32,46,48,52,
      52,48,57,54,56,32,46,49,51,53,54,50,56,32,46,49,53,48,50,48,52,32,46,54,48,
      49,55,57,49,10,32,32,49,46,51,53,50,50,55,32,50,46,51,57,50,53,32,51,46,55,
      48,52,56,53,32,53,46,50,54,48,54,51,32,55,46,48,48,50,48,53,32,56,46,56,53,
      55,56,54,32,49,48,46,55,52,53,50,32,49,50,46,53,54,57,57,32,49,52,46,50,53,
      49,50,32,49,53,46,55,52,55,32,49,55,46,48,52,48,49,10,32,32,49,56,46,49,52,
      48,52,32,49,57,46,48,56,55,57,32,49,57,46,57,50,48,52,32,50,48,46,54,54,56,
      54,32,50,49,46,52,48,54,54,32,50,50,46,48,57,50,57,32,50,50,46,55,56,57,50,
      32,50,51,46,53,48,48,51,32,50,52,46,50,52,56,56,32,50,52,46,57,54,50,50,10,
      32,32,50,53,46,54,53,53,54,32,50,54,46,51,52,51,53,32,50,55,46,48,49,55,56,
      32,50,55,46,54,52,56,54,32,50,56,46,50,48,50,55,32,50,56,46,55,53,53,56,32,
      50,57,46,50,48,52,56,32,50,57,46,53,57,54,52,32,50,57,46,56,56,52,57,32,51,
      48,46,49,50,55,50,10,32,32,51,48,46,50,52,54,54,32,51,48,46,51,48,50,52,32,
      51,48,46,51,48,48,51,32,51,48,46,50,48,57,56,32,51,48,46,48,52,48,54,32,50,
      57,46,56,51,50,52,32,50,57,46,53,54,52,52,32,50,57,46,50,52,53,52,32,50,56,
      46,57,48,55,54,32,50,56,46,52,56,51,56,10,32,32,50,56,46,48,51,50,57,32,50,
      55,46,53,55,57,49,32,50,55,46,49,49,54,55,32,50,54,46,54,52,49,49,32,50,54,
      46,49,54,55,49,32,50,53,46,54,54,32,50,53,46,49,49,50,51,32,50,52,46,53,55,
      54,51,32,50,52,46,48,53,56,53,32,50,51,46,53,52,56,49,32,50,51,46,48,52,56,
      52,10,32,32,50,50,46,53,54,56,54,32,50,50,46,48,57,56,50,32,50,49,46,54,51,
      55,53,32,50,49,46,49,57,55,51,32,50,48,46,55,54,55,32,50,48,46,51,49,55,54,
      32,49,57,46,56,54,51,57,32,49,57,46,52,50,55,51,32,49,57,46,48,48,53,55,32,
      49,56,46,54,48,54,57,32,49,56,46,50,50,53,56,10,32,32,49,55,46,56,53,56,32,
      49,55,46,53,49,50,50,32,49,55,46,49,56,55,53,32,49,54,46,56,55,52,52,32,49,
      54,46,53,56,50,50,32,49,54,46,51,49,56,56,32,49,54,46,48,54,53,53,32,49,53,
      46,56,50,57,51,32,49,53,46,54,51,54,51,32,49,53,46,52,53,50,49,32,49,53,46,
      50,55,55,10,32,32,49,53,46,49,54,55,50,32,49,53,46,48,54,53,52,32,49,52,46,
      57,55,49,49,32,49,52,46,57,52,57,51,32,49,52,46,57,52,55,49,32,49,52,46,57,
      53,50,54,32,49,53,46,48,51,49,49,32,49,53,46,49,52,57,52,32,49,53,46,50,54,
      54,53,32,49,53,46,52,52,56,49,10,32,32,49,53,46,54,57,55,53,32,49,53,46,57,
      53,56,51,32,49,54,46,50,55,53,50,32,49,54,46,54,57,48,53,32,49,55,46,49,49,
      57,54,32,49,55,46,53,56,54,49,32,49,56,46,49,55,57,57,32,49,56,46,55,56,57,
      55,32,49,57,46,52,49,54,50,32,50,48,46,49,56,53,56,10,32,32,50,48,46,57,55,
      51,49,32,50,49,46,55,55,54,51,32,50,50,46,54,56,48,54,32,50,51,46,54,49,54,
      56,32,50,52,46,53,54,57,50,32,50,53,46,53,54,54,51,32,50,54,46,53,57,50,50,
      32,50,55,46,54,51,49,50,32,50,56,46,54,53,57,50,32,50,57,46,54,55,53,49,10,
      32,32,51,48,46,54,57,57,32,51,49,46,54,55,53,49,32,51,50,46,53,53,53,32,51,
      51,46,52,51,54,50,32,51,52,46,50,54,53,53,32,51,52,46,56,53,56,56,32,51,53,
      46,52,52,57,53,32,51,54,46,48,50,57,53,32,51,54,46,49,57,54,52,32,51,54,46,
      51,54,49,54,32,51,54,46,53,50,53,10,32,32,51,54,46,50,53,51,56,32,51,53,46,
      57,49,51,53,32,51,53,46,53,56,48,52,32,51,52,46,56,56,55,56,32,51,52,46,48,
      52,57,49,32,51,51,46,50,51,51,53,32,51,50,46,49,57,54,56,32,51,48,46,57,55,
      53,54,32,50,57,46,55,57,54,52,32,50,56,46,53,52,50,56,10,32,32,50,55,46,49,
      51,51,50,32,50,53,46,55,56,49,52,32,50,52,46,52,53,55,49,32,50,51,46,48,54,
      56,52,32,50,49,46,55,52,51,56,32,50,48,46,52,56,48,50,32,49,57,46,50,54,51,
      55,32,49,56,46,49,48,53,51,32,49,55,46,48,48,51,53,32,49,54,46,48,49,53,49,
      10,32,32,49,53,46,48,56,51,55,32,49,52,46,49,57,55,49,32,49,51,46,52,50,48,
      51,32,49,50,46,55,48,56,50,32,49,50,46,48,50,56,54,32,49,49,46,52,50,55,32,
      49,48,46,56,57,51,32,49,48,46,51,56,49,51,32,57,46,57,49,53,57,50,32,57,46,
      53,49,50,55,51,32,57,46,49,50,52,55,56,10,32,32,56,46,55,54,48,48,51,32,56,
      46,52,52,52,49,55,32,56,46,49,51,57,50,53,32,55,46,56,52,53,53,53,32,55,46,
      53,56,53,56,56,32,55,46,51,51,52,54,51,32,55,46,48,57,49,54,57,32,54,46,55,
      57,49,57,50,32,54,46,49,52,55,48,57,32,53,46,51,48,55,56,52,10,32,32,52,46,
      49,55,55,48,49,32,51,46,51,55,55,48,54,32,50,46,56,55,53,50,55,32,50,46,53,
      57,53,56,56,32,50,46,52,54,48,55,53,32,50,46,52,48,54,54,55,32,50,46,51,56,
      54,55,50,32,50,46,51,54,57,50,52,32,50,46,51,51,51,51,49,32,50,46,50,55,48,
      48,55,10,32,32,50,46,49,55,57,57,54,32,50,46,48,52,49,48,57,32,49,46,56,56,
      48,55,52,32,49,46,54,53,54,54,55,32,49,46,52,52,52,53,53,32,49,46,50,53,54,
      49,54,32,49,46,48,54,48,51,53,32,46,57,48,54,57,55,57,32,46,55,57,53,49,48,
      57,32,46,55,48,56,54,49,32,46,54,54,50,57,51,56,10,32,32,46,54,52,48,51,57,
      54,32,46,54,51,54,49,54,52,32,46,54,51,50,56,56,57,32,46,54,49,54,49,48,57,
      32,46,53,55,54,50,57,51,32,46,53,50,48,56,53,55,32,46,52,54,51,53,52,32,46,
      52,48,57,50,57,50,32,46,51,54,48,54,48,54,32,46,51,50,54,54,51,56,32,46,51,
      48,52,57,57,10,32,32,46,50,57,53,57,49,54,32,46,50,56,54,57,50,49,32,46,50,
      55,51,53,56,53,32,46,50,52,55,48,57,54,32,46,50,48,55,50,49,50,32,46,49,54,
      56,48,54,54,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,51,32,46,48,56,55,
      51,57,48,50,32,46,48,55,50,55,50,49,50,10,32,32,46,48,54,50,54,55,51,53,32,
      46,48,53,55,49,53,52,57,32,46,48,53,53,50,49,50,49,32,46,48,53,50,51,49,49,
      55,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,32,46,48,51,52,55,
      51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,10,32,32,46,48,
      49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,50,32,
      46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,
      52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,
      46,48,48,52,53,56,54,56,57,10,32,32,46,48,48,51,57,57,48,52,57,32,46,48,48,
      50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,
      50,32,46,48,48,48,57,57,51,57,51,56,32,46,48,48,48,56,56,57,52,53,55,32,46,
      48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,54,51,53,10,32,32,46,48,48,
      48,51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,54,32,46,48,48,48,50,51,
      55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,
      55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,56,101,45,48,53,32,
      55,46,48,50,52,54,56,101,45,48,53,10,32,32,53,46,48,56,51,53,49,101,45,48,53,
      32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,
      46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,
      53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,10,32,32,57,46,
      50,54,56,56,49,101,45,48,54,32,54,46,56,55,55,56,54,101,45,48,54,32,53,46,51,
      57,48,54,57,101,45,48,54,32,57,46,51,48,50,56,54,101,45,48,54,32,56,46,49,55,
      55,57,54,101,45,48,54,32,54,46,51,56,51,57,54,101,45,48,54,32,52,46,56,53,55,
      53,101,45,48,54,10,32,32,51,46,56,54,57,54,50,101,45,48,54,32,51,46,48,56,51,
      53,56,101,45,48,54,32,50,46,52,57,52,101,45,48,54,32,50,46,48,50,52,49,55,101,
      45,48,54,32,49,46,54,48,54,52,56,101,45,48,54,32,49,46,51,48,56,54,56,101,45,
      48,54,32,49,46,48,52,52,49,57,101,45,48,54,10,32,32,56,46,56,52,53,49,50,101,
      45,48,55,32,54,46,55,52,57,51,53,101,45,48,55,32,53,46,55,49,57,48,57,101,45,
      48,55,32,52,46,54,53,53,56,56,101,45,48,55,32,50,46,56,56,54,50,51,101,45,48,
      55,32,49,46,52,57,55,101,45,48,55,32,55,46,57,48,49,49,55,101,45,48,56,10,32,
      32,51,46,53,54,48,57,51,101,45,48,56,32,49,46,54,48,55,55,55,101,45,48,56,32,
      54,46,50,48,53,48,52,101,45,48,57,32,50,46,56,49,49,49,50,101,45,48,57,32,55,
      46,57,52,48,57,53,101,45,49,48,32,50,46,51,56,52,56,51,101,45,49,48,32,49,46,
      48,50,52,50,53,101,45,49,48,10,32,32,51,46,57,56,56,56,55,101,45,49,49,32,49,
      46,49,51,54,54,49,101,45,49,49,32,51,46,55,57,53,49,55,101,45,49,50,32,49,46,
      50,54,56,57,57,101,45,49,50,32,51,46,54,51,52,48,52,101,45,49,51,32,49,46,48,
      52,50,50,51,101,45,49,51,32,51,46,52,57,56,49,49,101,45,49,52,10,32,32,49,46,
      49,55,53,50,53,101,45,49,52,32,51,46,57,53,50,48,57,101,45,49,53,32,49,46,48,
      49,48,54,56,101,45,49,53,32,50,46,52,56,51,48,50,101,45,49,54,32,53,46,50,50,
      55,50,52,101,45,49,55,32,49,46,50,56,54,56,57,101,45,49,55,32,50,46,55,48,51,
      48,53,101,45,49,56,10,32,32,54,46,54,48,52,52,101,45,49,57,32,49,46,54,51,48,
      49,56,101,45,49,57,32,50,46,56,54,56,50,51,101,45,50,48,32,48,114,49,48,55,
      32,46,48,48,48,57,56,53,54,50,51,32,46,48,50,52,56,49,55,54,32,46,48,55,54,
      51,49,57,55,32,46,48,56,52,53,50,50,32,46,51,51,56,54,56,51,10,32,32,46,55,
      54,49,52,55,32,49,46,51,52,57,50,51,32,50,46,48,57,53,56,49,32,50,46,57,57,
      49,55,57,32,52,46,48,49,53,50,51,32,53,46,49,52,51,51,54,32,54,46,51,51,55,
      52,51,32,55,46,53,53,52,50,52,32,56,46,55,53,53,50,54,32,57,46,56,57,53,48,
      57,32,49,48,46,57,52,51,50,10,32,32,49,49,46,56,55,55,55,32,49,50,46,55,32,
      49,51,46,52,49,52,55,32,49,52,46,48,51,52,49,32,49,52,46,53,56,57,54,32,49,
      53,46,48,56,48,56,32,49,53,46,53,53,52,53,32,49,54,46,48,50,50,54,32,49,54,
      46,52,53,51,51,32,49,54,46,56,57,56,32,49,55,46,51,53,57,10,32,32,49,55,46,
      56,50,50,51,32,49,56,46,51,48,51,49,32,49,56,46,55,53,55,55,32,49,57,46,50,
      48,50,50,32,49,57,46,54,54,49,53,32,50,48,46,49,49,49,51,32,50,48,46,53,50,
      50,52,32,50,48,46,57,49,53,32,50,49,46,50,57,53,50,32,50,49,46,54,49,53,52,
      32,50,49,46,57,49,51,49,10,32,32,50,50,46,49,55,52,52,32,50,50,46,51,55,55,
      53,32,50,50,46,53,52,55,53,32,50,50,46,54,55,53,53,32,50,50,46,55,52,55,55,
      32,50,50,46,55,55,57,52,32,50,50,46,55,56,48,57,32,50,50,46,55,51,54,57,32,
      50,50,46,54,52,54,55,32,50,50,46,53,51,51,57,10,32,32,50,50,46,51,57,52,32,
      50,50,46,50,50,50,56,32,50,50,46,48,51,53,52,32,50,49,46,56,49,56,49,32,50,
      49,46,53,54,51,52,32,50,49,46,50,57,57,56,32,50,49,46,48,51,53,49,32,50,48,
      46,55,53,57,57,32,50,48,46,52,55,56,54,32,50,48,46,50,48,49,53,32,49,57,46,
      57,49,57,49,10,32,32,49,57,46,53,56,55,50,32,49,57,46,50,54,52,49,32,49,56,
      46,57,52,51,53,32,49,56,46,54,50,54,49,32,49,56,46,51,50,48,55,32,49,56,46,
      48,50,48,56,32,49,55,46,55,50,53,51,32,49,55,46,52,52,50,55,32,49,55,46,49,
      54,56,56,32,49,54,46,57,32,49,54,46,54,52,53,53,10,32,32,49,54,46,52,48,52,
      57,32,49,54,46,49,53,57,56,32,49,53,46,57,48,53,51,32,49,53,46,54,55,55,50,
      32,49,53,46,52,53,54,56,32,49,53,46,50,53,49,52,32,49,53,46,48,56,55,32,49,
      52,46,57,50,57,54,32,49,52,46,55,55,57,55,32,49,52,46,54,57,50,57,32,49,52,
      46,54,49,50,55,10,32,32,49,52,46,53,51,56,56,32,49,52,46,53,51,53,51,32,49,
      52,46,53,53,48,51,32,49,52,46,53,55,49,56,32,49,52,46,54,54,52,56,32,49,52,
      46,55,57,54,49,32,49,52,46,57,51,53,32,49,53,46,49,51,57,57,32,49,53,46,52,
      49,48,49,32,49,53,46,54,56,57,57,32,49,54,46,48,50,51,52,10,32,32,49,54,46,
      52,53,50,57,32,49,54,46,56,57,52,53,32,49,55,46,51,55,49,56,32,49,55,46,57,
      55,51,53,32,49,56,46,53,57,32,49,57,46,50,50,49,56,32,49,57,46,57,57,51,56,
      32,50,48,46,55,56,50,51,32,50,49,46,53,56,49,50,32,50,50,46,52,55,53,53,32,
      50,51,46,51,57,57,53,10,32,32,50,52,46,51,50,57,56,32,50,53,46,50,57,48,55,
      32,50,54,46,50,55,55,55,32,50,55,46,50,55,53,57,32,50,56,46,50,54,50,55,32,
      50,57,46,50,51,54,57,32,51,48,46,50,49,56,49,32,51,49,46,49,53,51,52,32,51,
      49,46,57,57,55,55,32,51,50,46,56,52,50,57,10,32,32,51,51,46,54,51,57,51,32,
      51,52,46,50,49,51,56,32,51,52,46,55,56,54,49,32,51,53,46,51,52,56,54,32,51,
      53,46,53,50,51,32,51,53,46,54,57,53,57,32,51,53,46,56,54,55,51,32,51,53,46,
      54,50,57,53,32,51,53,46,51,50,53,52,32,51,53,46,48,50,55,54,32,51,52,46,51,
      56,56,10,32,32,51,51,46,54,48,55,57,32,51,50,46,56,52,55,32,51,49,46,56,55,
      50,55,32,51,48,46,55,48,48,55,32,50,57,46,53,52,48,54,32,50,56,46,51,48,52,
      57,32,50,54,46,57,49,52,53,32,50,53,46,53,56,48,54,32,50,52,46,50,55,51,49,
      32,50,50,46,57,48,49,52,32,50,49,46,53,57,50,51,10,32,32,50,48,46,51,52,50,
      57,32,49,57,46,49,51,57,53,32,49,55,46,57,57,51,50,32,49,54,46,57,48,50,52,
      32,49,53,46,57,50,51,53,32,49,53,46,48,48,48,55,32,49,52,46,49,50,50,32,49,
      51,46,51,53,50,32,49,50,46,54,52,53,55,32,49,49,46,57,55,49,54,32,49,49,46,
      51,55,52,55,10,32,32,49,48,46,56,52,52,55,32,49,48,46,51,51,54,56,32,57,46,
      56,55,52,55,32,57,46,52,55,52,51,50,32,57,46,48,56,57,32,56,46,55,50,54,54,
      54,32,56,46,52,49,50,56,53,32,56,46,49,48,57,56,53,32,55,46,56,49,55,57,54,
      32,55,46,53,53,57,56,55,32,55,46,51,49,48,49,51,10,32,32,55,46,48,54,56,53,
      55,32,54,46,55,55,48,53,32,54,46,49,50,57,49,52,32,53,46,50,57,51,57,57,32,
      52,46,49,54,55,57,56,32,51,46,51,55,48,57,56,32,50,46,56,55,48,55,55,32,50,
      46,53,57,50,51,51,32,50,46,52,53,55,54,55,32,50,46,52,48,51,56,52,32,50,46,
      51,56,52,48,56,10,32,32,50,46,51,54,54,55,52,32,50,46,51,51,48,57,53,32,50,
      46,50,54,55,57,50,32,50,46,49,55,56,49,50,32,50,46,48,51,57,53,56,32,49,46,
      56,55,57,53,50,32,49,46,54,53,53,55,50,32,49,46,52,52,51,57,51,32,49,46,50,
      53,53,55,50,32,49,46,48,54,48,48,49,10,32,32,46,57,48,54,56,48,53,32,46,55,
      57,52,57,53,51,32,46,55,48,56,53,50,55,32,46,54,54,50,56,55,54,32,46,54,52,
      48,51,52,50,32,46,54,51,54,49,49,55,32,46,54,51,50,56,52,54,32,46,54,49,54,
      48,54,52,32,46,53,55,54,50,53,50,32,46,53,50,48,56,52,51,10,32,32,46,52,54,
      51,53,51,49,32,46,52,48,57,50,56,52,32,46,51,54,48,53,57,56,32,46,51,50,54,
      54,51,53,32,46,51,48,52,57,56,56,32,46,50,57,53,57,49,52,32,46,50,56,54,57,
      49,57,32,46,50,55,51,53,56,52,32,46,50,52,55,48,57,52,32,46,50,48,55,50,49,
      32,46,49,54,56,48,54,53,10,32,32,46,49,51,53,49,57,57,32,46,49,48,55,52,49,
      51,32,46,48,56,55,51,57,32,46,48,55,50,55,50,49,49,32,46,48,54,50,54,55,51,
      52,32,46,48,53,55,49,53,52,56,32,46,48,53,53,50,49,50,49,32,46,48,53,50,51,
      49,49,55,32,46,48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,10,32,32,46,
      48,51,52,55,51,52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,
      46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,
      50,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,
      54,54,52,54,51,57,10,32,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,
      54,57,56,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,
      48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,
      54,56,50,32,46,48,48,48,57,57,51,57,51,56,10,32,32,46,48,48,48,56,56,57,52,
      53,55,32,46,48,48,48,54,55,51,52,51,49,32,46,48,48,48,53,49,52,54,51,53,32,
      46,48,48,48,51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,55,32,46,48,48,
      48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,
      48,48,52,55,10,32,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,57,
      101,45,48,53,32,55,46,48,50,52,54,56,101,45,48,53,32,53,46,48,56,51,53,50,101,
      45,48,53,32,52,46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,
      53,32,50,46,53,52,49,57,52,101,45,48,53,10,32,32,49,46,56,49,52,54,49,101,45,
      48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,
      32,57,46,50,54,56,56,49,101,45,48,54,32,54,46,56,55,55,56,54,101,45,48,54,32,
      53,46,51,57,48,54,57,101,45,48,54,32,57,46,51,48,50,56,50,101,45,48,54,10,32,
      32,56,46,49,55,55,57,51,101,45,48,54,32,54,46,51,56,51,57,51,101,45,48,54,32,
      52,46,56,53,55,52,56,101,45,48,54,32,51,46,56,54,57,54,101,45,48,54,32,51,46,
      48,56,51,53,55,101,45,48,54,32,50,46,52,57,51,57,57,101,45,48,54,32,50,46,48,
      50,52,49,54,101,45,48,54,10,32,32,49,46,54,48,54,52,56,101,45,48,54,32,49,46,
      51,48,56,54,55,101,45,48,54,32,49,46,48,52,52,49,56,101,45,48,54,32,56,46,56,
      52,53,48,56,101,45,48,55,32,54,46,55,52,57,51,50,101,45,48,55,32,53,46,55,49,
      57,48,54,101,45,48,55,32,52,46,54,53,53,56,54,101,45,48,55,10,32,32,50,46,56,
      56,54,50,50,101,45,48,55,32,49,46,52,57,54,57,57,101,45,48,55,32,55,46,57,48,
      49,49,51,101,45,48,56,32,51,46,53,54,48,57,50,101,45,48,56,32,49,46,54,48,55,
      55,54,101,45,48,56,32,54,46,50,48,53,48,50,101,45,48,57,32,50,46,56,49,49,49,
      49,101,45,48,57,10,32,32,55,46,57,52,48,57,50,101,45,49,48,32,50,46,51,56,52,
      56,50,101,45,49,48,32,49,46,48,50,52,50,52,101,45,49,48,32,51,46,57,56,56,56,
      53,101,45,49,49,32,49,46,49,51,54,54,101,45,49,49,32,51,46,55,57,53,49,54,101,
      45,49,50,32,49,46,50,54,56,57,57,101,45,49,50,10,32,32,51,46,54,51,52,48,50,
      101,45,49,51,32,49,46,48,52,50,50,51,101,45,49,51,32,51,46,52,57,56,48,57,101,
      45,49,52,32,49,46,49,55,53,50,53,101,45,49,52,32,51,46,57,53,50,48,55,101,45,
      49,53,32,49,46,48,49,48,54,57,101,45,49,53,32,50,46,52,56,51,48,51,101,45,49,
      54,10,32,32,53,46,50,50,55,50,55,101,45,49,55,32,49,46,50,56,54,57,101,45,49,
      55,32,50,46,55,48,51,48,55,101,45,49,56,32,54,46,54,48,52,52,52,101,45,49,57,
      32,49,46,54,51,48,49,57,101,45,49,57,32,50,46,56,54,56,50,50,101,45,50,48,32,
      48,114,49,48,55,32,46,48,48,48,55,49,48,56,50,54,10,32,32,46,48,49,53,56,57,
      52,49,32,46,48,52,56,56,54,56,52,32,46,48,53,52,49,50,48,53,32,46,50,49,54,
      56,55,55,32,46,52,56,55,55,51,54,32,46,56,54,52,55,57,57,32,49,46,51,52,53,
      50,56,32,49,46,57,50,53,50,32,50,46,53,57,52,56,54,32,51,46,51,52,51,49,52,
      10,32,32,52,46,49,53,51,49,53,32,53,46,48,48,50,52,56,32,53,46,56,54,55,52,
      52,32,54,46,55,50,57,56,53,32,55,46,53,53,52,57,51,32,56,46,51,50,54,52,55,
      32,57,46,48,51,52,54,50,32,57,46,54,54,54,49,49,32,49,48,46,50,50,51,51,32,
      49,48,46,55,49,54,53,10,32,32,49,49,46,49,52,56,53,32,49,49,46,53,52,49,49,
      32,49,49,46,56,57,51,56,32,49,50,46,50,50,52,55,32,49,50,46,53,53,54,49,32,
      49,50,46,56,55,55,52,32,49,51,46,49,56,50,52,32,49,51,46,53,48,55,51,32,49,
      51,46,56,51,56,50,32,49,52,46,49,55,51,56,10,32,32,49,52,46,53,50,50,57,32,
      49,52,46,56,54,51,50,32,49,53,46,49,57,57,49,32,49,53,46,53,51,53,49,32,49,
      53,46,56,54,54,55,32,49,54,46,49,56,52,55,32,49,54,46,52,57,53,53,32,49,54,
      46,55,56,54,55,32,49,55,46,48,55,51,56,32,49,55,46,51,49,49,51,10,32,32,49,
      55,46,53,53,55,56,32,49,55,46,55,54,56,49,32,49,55,46,57,50,53,50,32,49,56,
      46,48,57,57,51,32,49,56,46,50,50,56,56,32,49,56,46,51,49,51,50,32,49,56,46,
      51,56,57,55,32,49,56,46,52,52,49,54,32,49,56,46,52,53,55,32,49,56,46,52,53,
      48,50,32,49,56,46,52,50,49,51,10,32,32,49,56,46,51,54,51,54,32,49,56,46,50,
      56,55,52,32,49,56,46,50,48,48,57,32,49,56,46,48,57,52,56,32,49,55,46,57,55,
      51,54,32,49,55,46,56,51,48,50,32,49,55,46,54,54,56,32,49,55,46,52,57,53,56,
      32,49,55,46,51,50,53,52,32,49,55,46,49,52,55,53,32,49,54,46,57,54,51,55,10,
      32,32,49,54,46,55,56,50,57,32,49,54,46,53,57,57,53,32,49,54,46,52,48,50,55,
      32,49,54,46,49,56,56,51,32,49,53,46,57,55,56,54,32,49,53,46,55,55,48,50,32,
      49,53,46,53,55,50,54,32,49,53,46,51,56,53,54,32,49,53,46,50,48,48,55,32,49,
      53,46,48,50,55,53,10,32,32,49,52,46,56,55,52,56,32,49,52,46,55,50,52,53,32,
      49,52,46,53,56,52,32,49,52,46,52,55,57,54,32,49,52,46,51,55,55,56,32,49,52,
      46,50,55,57,53,32,49,52,46,50,51,55,54,32,49,52,46,49,55,55,55,32,49,52,46,
      49,50,50,55,32,49,52,46,49,51,54,54,32,49,52,46,49,54,55,54,10,32,32,49,52,
      46,50,48,52,50,32,49,52,46,51,49,48,54,32,49,52,46,52,53,52,50,32,49,52,46,
      54,48,52,52,32,49,52,46,56,49,57,51,32,49,53,46,48,57,56,49,32,49,53,46,51,
      56,53,55,32,49,53,46,55,50,53,50,32,49,54,46,49,53,49,57,32,49,54,46,53,56,
      52,54,10,32,32,49,55,46,48,53,48,51,32,49,55,46,54,51,51,53,32,49,56,46,50,
      50,57,32,49,56,46,56,51,55,56,32,49,57,46,53,55,55,54,32,50,48,46,51,51,49,
      50,32,50,49,46,48,57,55,49,32,50,49,46,57,53,52,32,50,50,46,56,51,55,55,32,
      50,51,46,55,51,51,56,32,50,52,46,54,54,56,53,10,32,32,50,53,46,54,50,55,51,
      32,50,54,46,53,57,53,55,32,50,55,46,53,53,50,52,32,50,56,46,52,57,54,49,32,
      50,57,46,52,52,53,56,32,51,48,46,51,53,48,57,32,51,49,46,49,54,56,51,32,51,
      49,46,57,56,49,52,32,51,50,46,55,52,55,50,32,51,51,46,51,48,48,57,10,32,32,
      51,51,46,56,53,50,54,32,51,52,46,51,57,53,32,51,52,46,53,54,54,55,32,51,52,
      46,55,51,54,57,32,51,52,46,57,48,53,57,32,51,52,46,54,56,51,53,32,51,52,46,
      51,57,55,51,32,51,52,46,49,49,55,32,51,51,46,53,48,56,57,32,51,50,46,55,54,
      53,50,32,51,50,46,48,51,57,49,10,32,32,51,49,46,49,48,55,50,32,51,48,46,48,
      48,48,56,32,50,56,46,57,50,55,51,32,50,55,46,55,55,57,49,32,50,54,46,52,55,
      57,53,32,50,53,46,50,50,54,55,32,50,51,46,57,57,50,57,32,50,50,46,54,57,49,
      54,32,50,49,46,52,51,57,54,32,50,48,46,50,48,54,53,10,32,32,49,57,46,48,49,
      54,50,32,49,55,46,56,56,49,57,32,49,54,46,56,48,49,57,32,49,53,46,56,51,50,
      53,32,49,52,46,57,49,56,51,32,49,52,46,48,52,55,52,32,49,51,46,50,56,51,57,
      32,49,50,46,53,56,51,54,32,49,49,46,57,49,52,57,32,49,49,46,51,50,50,54,10,
      32,32,49,48,46,55,57,54,55,32,49,48,46,50,57,50,52,32,57,46,56,51,51,54,54,
      32,57,46,52,51,54,48,57,32,57,46,48,53,51,51,57,32,56,46,54,57,51,52,51,32,
      56,46,51,56,49,54,52,32,56,46,48,56,48,53,54,32,55,46,55,57,48,52,56,32,55,
      46,53,51,51,57,54,10,32,32,55,46,50,56,53,55,50,32,55,46,48,52,53,53,53,32,
      54,46,55,52,57,49,54,32,54,46,49,49,49,50,54,32,53,46,50,56,48,49,55,32,52,
      46,49,53,56,57,55,32,51,46,51,54,52,56,57,32,50,46,56,54,54,50,56,32,50,46,
      53,56,56,55,57,32,50,46,52,53,52,54,32,50,46,52,48,49,48,50,10,32,32,50,46,
      51,56,49,52,52,32,50,46,51,54,52,50,53,32,50,46,51,50,56,54,32,50,46,50,54,
      53,55,56,32,50,46,49,55,54,50,57,32,50,46,48,51,56,48,55,32,49,46,56,55,56,
      51,32,49,46,54,53,52,55,56,32,49,46,52,52,51,51,49,32,49,46,50,53,53,51,32,
      49,46,48,53,57,54,55,10,32,32,46,57,48,54,54,51,50,32,46,55,57,52,55,57,57,
      32,46,55,48,56,52,52,54,32,46,54,54,50,56,49,53,32,46,54,52,48,50,56,53,32,
      46,54,51,54,48,54,54,32,46,54,51,50,55,57,55,32,46,54,49,54,48,49,50,32,46,
      53,55,54,50,49,32,46,53,50,48,56,51,32,46,52,54,51,53,50,51,10,32,32,46,52,
      48,57,50,55,55,32,46,51,54,48,53,56,57,32,46,51,50,54,54,51,50,32,46,51,48,
      52,57,56,53,32,46,50,57,53,57,49,50,32,46,50,56,54,57,49,56,32,46,50,55,51,
      53,56,51,32,46,50,52,55,48,57,50,32,46,50,48,55,50,48,55,32,46,49,54,56,48,
      54,53,10,32,32,46,49,51,53,49,57,56,32,46,49,48,55,52,49,51,32,46,48,56,55,
      51,56,57,57,32,46,48,55,50,55,50,49,32,46,48,54,50,54,55,51,51,32,46,48,53,
      55,49,53,52,56,32,46,48,53,53,50,49,50,49,32,46,48,53,50,51,49,49,55,32,46,
      48,52,56,53,53,50,51,32,46,48,52,51,48,53,48,50,10,32,32,46,48,51,52,55,51,
      52,54,32,46,48,50,55,53,52,48,55,32,46,48,50,50,50,54,55,32,46,48,49,56,56,
      57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,50,49,57,54,50,32,46,48,48,
      57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,51,32,46,48,48,54,54,52,54,51,
      57,10,32,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,50,52,54,57,56,32,46,
      48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,52,57,32,46,48,48,50,55,56,
      53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,48,49,51,50,54,56,50,32,46,
      48,48,48,57,57,51,57,51,56,10,32,32,46,48,48,48,56,56,57,52,53,55,32,46,48,
      48,48,54,55,51,52,51,49,32,46,48,48,48,53,49,52,54,51,53,32,46,48,48,48,51,
      57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,55,32,46,48,48,48,50,51,55,50,
      54,56,32,46,48,48,48,49,57,52,55,54,51,32,46,48,48,48,49,54,48,48,52,55,10,
      32,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,52,57,101,45,48,53,32,
      55,46,48,50,52,54,56,101,45,48,53,32,53,46,48,56,51,53,50,101,45,48,53,32,52,
      46,49,56,57,50,57,101,45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,
      52,49,57,52,101,45,48,53,10,32,32,49,46,56,49,52,54,49,101,45,48,53,32,49,46,
      53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,
      56,56,49,101,45,48,54,32,54,46,56,55,55,56,54,101,45,48,54,32,53,46,51,57,48,
      54,57,101,45,48,54,32,57,46,51,48,50,55,57,101,45,48,54,10,32,32,56,46,49,55,
      55,56,57,101,45,48,54,32,54,46,51,56,51,57,101,45,48,54,32,52,46,56,53,55,52,
      54,101,45,48,54,32,51,46,56,54,57,53,57,101,45,48,54,32,51,46,48,56,51,53,53,
      101,45,48,54,32,50,46,52,57,51,57,56,101,45,48,54,32,50,46,48,50,52,49,53,101,
      45,48,54,10,32,32,49,46,54,48,54,52,55,101,45,48,54,32,49,46,51,48,56,54,55,
      101,45,48,54,32,49,46,48,52,52,49,56,101,45,48,54,32,56,46,56,52,53,48,52,101,
      45,48,55,32,54,46,55,52,57,50,57,101,45,48,55,32,53,46,55,49,57,48,52,101,45,
      48,55,32,52,46,54,53,53,56,52,101,45,48,55,10,32,32,50,46,56,56,54,50,101,45,
      48,55,32,49,46,52,57,54,57,57,101,45,48,55,32,55,46,57,48,49,49,101,45,48,56,
      32,51,46,53,54,48,57,101,45,48,56,32,49,46,54,48,55,55,53,101,45,48,56,32,54,
      46,50,48,52,57,57,101,45,48,57,32,50,46,56,49,49,49,101,45,48,57,10,32,32,55,
      46,57,52,48,56,57,101,45,49,48,32,50,46,51,56,52,56,49,101,45,49,48,32,49,46,
      48,50,52,50,52,101,45,49,48,32,51,46,57,56,56,56,52,101,45,49,49,32,49,46,49,
      51,54,54,101,45,49,49,32,51,46,55,57,53,49,52,101,45,49,50,32,49,46,50,54,56,
      57,56,101,45,49,50,10,32,32,51,46,54,51,52,48,49,101,45,49,51,32,49,46,48,52,
      50,50,50,101,45,49,51,32,51,46,52,57,56,48,56,101,45,49,52,32,49,46,49,55,53,
      50,52,101,45,49,52,32,51,46,57,53,50,48,54,101,45,49,53,32,49,46,48,49,48,54,
      57,101,45,49,53,32,50,46,52,56,51,48,52,101,45,49,54,10,32,32,53,46,50,50,55,
      51,101,45,49,55,32,49,46,50,56,54,57,49,101,45,49,55,32,50,46,55,48,51,48,56,
      101,45,49,56,32,54,46,54,48,52,52,56,101,45,49,57,32,49,46,54,51,48,50,101,
      45,49,57,32,50,46,56,54,56,50,101,45,50,48,32,48,114,49,48,55,32,56,46,49,54,
      49,53,53,101,45,48,54,10,32,32,46,48,48,49,50,52,56,49,55,32,46,48,48,56,57,
      57,56,48,52,32,46,48,48,57,57,54,53,48,55,32,46,48,53,52,52,52,53,53,32,46,
      49,50,50,52,56,52,32,46,50,49,55,51,55,56,32,46,51,51,56,56,48,54,32,46,52,
      56,54,53,51,54,32,46,54,53,57,51,57,52,32,46,56,53,54,55,49,52,10,32,32,49,
      46,48,55,54,55,52,32,49,46,51,49,55,53,51,32,49,46,53,55,54,53,53,32,49,46,
      56,53,49,49,51,32,50,46,49,51,55,55,52,32,50,46,52,51,50,32,50,46,55,51,48,
      50,55,32,51,46,48,50,55,50,54,32,51,46,51,49,56,56,57,32,51,46,54,48,49,51,
      51,32,51,46,56,55,48,48,56,10,32,32,52,46,49,50,53,49,32,52,46,51,54,49,57,
      55,32,52,46,53,55,55,57,49,32,52,46,55,56,48,52,32,52,46,57,54,49,56,51,32,
      53,46,49,50,57,53,54,32,53,46,50,56,52,49,50,32,53,46,52,50,55,55,56,32,53,
      46,53,54,50,48,57,32,53,46,54,57,52,55,51,32,53,46,56,50,50,51,50,10,32,32,
      53,46,57,52,54,51,51,32,54,46,48,55,50,49,49,32,54,46,50,48,57,51,54,32,54,
      46,51,52,52,57,55,32,54,46,52,55,56,50,51,32,54,46,54,50,51,48,50,32,54,46,
      55,54,56,50,51,32,54,46,57,49,51,53,54,32,55,46,48,55,56,53,50,32,55,46,50,
      52,32,55,46,51,57,53,51,52,10,32,32,55,46,53,55,50,56,49,32,55,46,55,52,52,
      52,49,32,55,46,57,48,57,54,55,32,56,46,48,56,54,55,49,32,56,46,50,53,55,55,
      32,56,46,52,50,55,55,57,32,56,46,53,57,52,49,32,56,46,55,53,57,53,53,32,56,
      46,57,49,56,52,53,32,57,46,48,54,51,57,54,32,57,46,50,50,48,53,54,10,32,32,
      57,46,51,54,51,51,50,32,57,46,52,57,49,49,55,32,57,46,54,50,54,49,54,32,57,
      46,55,53,48,54,51,32,57,46,56,53,57,55,50,32,57,46,57,54,51,32,49,48,46,48,
      54,54,50,32,49,48,46,49,53,54,51,32,49,48,46,50,52,48,53,32,49,48,46,51,49,
      51,54,32,49,48,46,51,55,55,51,10,32,32,49,48,46,52,52,50,52,32,49,48,46,53,
      48,48,49,32,49,48,46,53,52,55,57,32,49,48,46,53,57,52,50,32,49,48,46,54,51,
      57,51,32,49,48,46,54,55,53,57,32,49,48,46,55,49,50,53,32,49,48,46,55,53,55,
      54,32,49,48,46,55,57,53,57,32,49,48,46,56,51,52,50,10,32,32,49,48,46,56,57,
      53,56,32,49,48,46,57,53,49,57,32,49,49,46,48,48,51,54,32,49,49,46,48,57,56,
      53,32,49,49,46,49,56,50,50,32,49,49,46,50,54,50,54,32,49,49,46,51,57,53,32,
      49,49,46,53,51,53,51,32,49,49,46,54,55,51,55,32,49,49,46,56,54,53,54,32,49,
      50,46,48,56,51,50,10,32,32,49,50,46,51,48,48,53,32,49,50,46,53,54,55,49,32,
      49,50,46,56,56,50,49,32,49,51,46,49,57,56,57,32,49,51,46,53,53,50,54,32,49,
      51,46,57,54,48,56,32,49,52,46,51,54,54,57,32,49,52,46,55,57,53,32,49,53,46,
      51,49,50,53,32,49,53,46,56,51,52,55,32,49,54,46,51,54,50,52,10,32,32,49,54,
      46,57,56,56,32,49,55,46,54,49,56,56,32,49,56,46,50,53,52,32,49,56,46,57,53,
      52,32,49,57,46,54,54,57,32,50,48,46,51,56,56,54,32,50,49,46,49,51,50,50,32,
      50,49,46,56,56,57,32,50,50,46,54,52,56,57,32,50,51,46,51,57,54,54,32,50,52,
      46,49,51,49,49,10,32,32,50,52,46,56,54,55,50,32,50,53,46,53,54,56,56,32,50,
      54,46,50,48,54,49,32,50,54,46,56,51,53,56,32,50,55,46,52,51,49,49,32,50,55,
      46,56,55,53,57,32,50,56,46,51,49,57,53,32,50,56,46,55,53,54,53,32,50,56,46,
      57,51,49,54,32,50,57,46,49,48,53,54,10,32,32,50,57,46,50,55,56,56,32,50,57,
      46,49,55,51,51,32,50,57,46,48,49,57,32,50,56,46,56,54,55,53,32,50,56,46,52,
      55,52,56,32,50,55,46,57,55,55,53,32,50,55,46,52,56,54,53,32,50,54,46,56,51,
      53,52,32,50,54,46,48,52,51,55,32,50,53,46,50,54,53,49,32,50,52,46,52,49,55,
      55,10,32,32,50,51,46,52,52,48,49,32,50,50,46,52,56,52,51,32,50,49,46,53,50,
      57,54,32,50,48,46,53,48,54,54,32,49,57,46,53,48,54,54,32,49,56,46,52,57,50,
      55,32,49,55,46,53,48,50,52,32,49,54,46,53,52,56,57,32,49,53,46,54,51,50,50,
      32,49,52,46,56,48,50,52,10,32,32,49,52,46,48,49,50,57,32,49,51,46,50,53,52,
      54,32,49,50,46,53,56,53,50,32,49,49,46,57,54,54,57,32,49,49,46,51,55,50,52,
      32,49,48,46,56,52,50,57,32,49,48,46,51,55,48,51,32,57,46,57,49,52,54,56,32,
      57,46,52,57,56,49,55,32,57,46,49,51,53,57,56,10,32,32,56,46,55,56,53,54,55,
      32,56,46,52,53,52,55,56,32,56,46,49,54,55,52,50,32,55,46,56,56,56,57,52,32,
      55,46,54,49,57,53,56,32,55,46,51,56,48,56,51,32,55,46,49,52,57,48,53,32,54,
      46,57,50,52,49,53,32,54,46,54,52,50,57,49,32,54,46,48,50,50,52,55,10,32,32,
      53,46,50,49,49,55,49,32,52,46,49,49,52,50,50,32,51,46,51,51,52,52,57,32,50,
      46,56,52,52,32,50,46,53,55,48,56,57,32,50,46,52,51,57,49,50,32,50,46,51,56,
      54,57,32,50,46,51,54,56,50,54,32,50,46,51,53,49,55,52,32,50,46,51,49,54,57,
      32,50,46,50,53,53,48,55,10,32,32,50,46,49,54,54,57,54,32,50,46,48,51,48,52,
      54,32,49,46,56,55,49,57,55,32,49,46,54,53,48,48,57,32,49,46,52,52,48,49,54,
      32,49,46,50,53,51,49,51,32,49,46,48,53,55,57,56,32,46,57,48,53,53,55,51,32,
      46,55,57,52,48,52,56,32,46,55,48,55,57,52,55,10,32,32,46,54,54,50,53,48,54,
      32,46,54,51,57,57,57,56,32,46,54,51,53,56,48,52,32,46,54,51,50,53,51,55,32,
      46,54,49,53,55,51,52,32,46,53,55,53,57,56,54,32,46,53,50,48,55,54,54,32,46,
      52,54,51,52,55,55,32,46,52,48,57,50,52,52,32,46,51,54,48,53,53,32,46,51,50,
      54,54,49,54,10,32,32,46,51,48,52,57,55,32,46,50,57,53,57,48,50,32,46,50,56,
      54,57,49,49,32,46,50,55,51,53,55,53,32,46,50,52,55,48,56,49,32,46,50,48,55,
      49,56,53,32,46,49,54,56,48,53,56,32,46,49,51,53,49,57,55,32,46,49,48,55,52,
      49,50,32,46,48,56,55,51,56,56,56,10,32,32,46,48,55,50,55,50,48,51,32,46,48,
      54,50,54,55,50,57,32,46,48,53,55,49,53,52,54,32,46,48,53,53,50,49,50,32,46,
      48,53,50,51,49,49,54,32,46,48,52,56,53,53,50,50,32,46,48,52,51,48,53,48,49,
      32,46,48,51,52,55,51,52,53,32,46,48,50,55,53,52,48,55,10,32,32,46,48,50,50,
      50,54,55,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,46,48,49,
      50,49,57,54,50,32,46,48,48,57,54,51,51,55,55,32,46,48,48,55,56,52,54,56,50,
      32,46,48,48,54,54,52,54,51,57,32,46,48,48,53,56,57,53,53,55,32,46,48,48,53,
      50,52,54,57,56,10,32,32,46,48,48,52,53,56,54,56,57,32,46,48,48,51,57,57,48,
      52,57,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,46,48,
      48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,56,32,46,48,48,48,56,56,
      57,52,53,53,32,46,48,48,48,54,55,51,52,51,49,10,32,32,46,48,48,48,53,49,52,
      54,51,53,32,46,48,48,48,51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,50,55,
      32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,52,32,46,48,
      48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,
      52,57,101,45,48,53,10,32,32,55,46,48,50,52,54,57,101,45,48,53,32,53,46,48,56,
      51,53,50,101,45,48,53,32,52,46,49,56,57,51,101,45,48,53,32,51,46,52,53,49,51,
      101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,53,32,49,46,56,49,52,54,50,101,
      45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,10,32,32,49,46,49,49,51,55,101,
      45,48,53,32,57,46,50,54,56,56,50,101,45,48,54,32,54,46,56,55,55,56,55,101,45,
      48,54,32,53,46,51,57,48,55,101,45,48,54,32,57,46,51,48,50,53,57,101,45,48,54,
      32,56,46,49,55,55,55,50,101,45,48,54,32,54,46,51,56,51,55,55,101,45,48,54,10,
      32,32,52,46,56,53,55,51,54,101,45,48,54,32,51,46,56,54,57,53,49,101,45,48,54,
      32,51,46,48,56,51,52,57,101,45,48,54,32,50,46,52,57,51,57,50,101,45,48,54,32,
      50,46,48,50,52,49,49,101,45,48,54,32,49,46,54,48,54,52,52,101,45,48,54,32,49,
      46,51,48,56,54,52,101,45,48,54,10,32,32,49,46,48,52,52,49,54,101,45,48,54,32,
      56,46,56,52,52,56,54,101,45,48,55,32,54,46,55,52,57,49,53,101,45,48,55,32,53,
      46,55,49,56,57,50,101,45,48,55,32,52,46,54,53,53,55,53,101,45,48,55,32,50,46,
      56,56,54,49,53,101,45,48,55,32,49,46,52,57,54,57,54,101,45,48,55,10,32,32,55,
      46,57,48,48,57,52,101,45,48,56,32,51,46,53,54,48,56,51,101,45,48,56,32,49,46,
      54,48,55,55,50,101,45,48,56,32,54,46,50,48,52,56,55,101,45,48,57,32,50,46,56,
      49,49,48,52,101,45,48,57,32,55,46,57,52,48,55,51,101,45,49,48,32,50,46,51,56,
      52,55,54,101,45,49,48,10,32,32,49,46,48,50,52,50,50,101,45,49,48,32,51,46,57,
      56,56,55,54,101,45,49,49,32,49,46,49,51,54,53,56,101,45,49,49,32,51,46,55,57,
      53,48,55,101,45,49,50,32,49,46,50,54,56,57,54,101,45,49,50,32,51,46,54,51,51,
      57,53,101,45,49,51,32,49,46,48,52,50,50,49,101,45,49,51,10,32,32,51,46,52,57,
      56,48,50,101,45,49,52,32,49,46,49,55,53,50,51,101,45,49,52,32,51,46,57,53,50,
      101,45,49,53,32,49,46,48,49,48,55,50,101,45,49,53,32,50,46,52,56,51,49,50,101,
      45,49,54,32,53,46,50,50,55,52,54,101,45,49,55,32,49,46,50,56,54,57,53,101,45,
      49,55,10,32,32,50,46,55,48,51,49,55,101,45,49,56,32,54,46,54,48,52,54,55,101,
      45,49,57,32,49,46,54,51,48,50,53,101,45,49,57,32,50,46,56,54,56,49,50,101,45,
      50,48,32,48,114,49,48,55,32,56,46,49,54,49,54,52,101,45,48,54,32,46,48,48,48,
      52,51,57,52,57,49,32,46,48,48,50,51,48,49,52,52,10,32,32,46,48,48,50,53,52,
      56,55,56,32,46,48,49,51,56,51,54,56,32,46,48,51,49,49,51,48,57,32,46,48,53,
      53,50,54,50,51,32,46,48,56,54,49,55,52,50,32,46,49,50,51,56,53,54,32,46,49,
      54,56,49,48,49,32,46,50,49,56,56,55,52,32,46,50,55,53,57,52,51,32,46,51,51,
      57,48,57,50,10,32,32,46,52,48,56,48,55,57,32,46,52,56,50,54,49,53,32,46,53,
      54,50,51,50,53,32,46,54,52,54,55,53,51,32,46,55,51,53,52,53,50,32,46,56,50,
      55,56,48,49,32,46,57,50,51,49,55,50,32,49,46,48,50,49,48,55,32,49,46,49,50,
      48,51,49,32,49,46,50,50,48,56,49,10,32,32,49,46,51,50,49,48,57,32,49,46,52,
      50,49,49,53,32,49,46,53,50,48,51,49,32,49,46,54,49,54,57,52,32,49,46,55,49,
      48,57,53,32,49,46,56,48,50,49,32,49,46,56,57,48,57,55,32,49,46,57,55,53,53,
      56,32,50,46,48,53,54,54,49,32,50,46,49,51,54,49,50,32,50,46,50,49,48,56,54,
      10,32,32,50,46,50,56,51,51,57,32,50,46,51,53,54,50,55,32,50,46,52,50,53,49,
      55,32,50,46,52,57,50,55,51,32,50,46,53,54,51,57,53,32,50,46,54,51,50,57,55,
      32,50,46,55,48,48,48,55,32,50,46,55,55,52,50,32,50,46,56,52,55,53,55,32,50,
      46,57,49,57,49,51,32,50,46,57,57,57,49,52,10,32,32,51,46,48,55,57,54,55,32,
      51,46,49,53,57,51,56,32,51,46,50,52,53,51,56,32,51,46,51,51,52,49,52,32,51,
      46,52,50,50,50,50,32,51,46,53,49,52,51,32,51,46,54,48,57,51,53,32,51,46,55,
      48,50,55,50,32,51,46,55,57,56,48,56,32,51,46,56,57,56,53,57,32,51,46,57,57,
      54,55,55,10,32,32,52,46,48,57,52,57,49,32,52,46,49,57,55,55,57,32,52,46,50,
      57,54,57,56,32,52,46,51,57,55,54,49,32,52,46,52,57,56,50,51,32,52,46,54,48,
      48,55,53,32,52,46,54,57,55,57,55,32,52,46,56,48,48,48,51,32,52,46,56,57,57,
      50,56,32,52,46,57,57,53,52,52,10,32,32,53,46,48,57,54,51,53,32,53,46,49,57,
      51,57,49,32,53,46,50,57,48,49,56,32,53,46,51,57,48,51,52,32,53,46,52,57,32,
      53,46,53,56,54,55,52,32,53,46,54,56,57,53,49,32,53,46,55,57,55,48,52,32,53,
      46,56,57,57,54,53,32,54,46,48,48,53,52,32,54,46,49,50,56,50,49,10,32,32,54,
      46,50,52,54,50,56,32,54,46,51,54,48,50,50,32,54,46,53,48,48,56,52,32,54,46,
      54,52,50,57,51,32,54,46,55,56,48,54,32,54,46,57,52,56,49,52,32,55,46,49,49,
      55,55,52,32,55,46,50,56,51,55,50,32,55,46,52,56,50,52,54,32,55,46,54,57,52,
      50,50,32,55,46,57,48,50,52,55,10,32,32,56,46,49,51,53,56,50,32,56,46,51,57,
      50,55,53,32,56,46,54,52,54,52,53,32,56,46,57,49,55,51,50,32,57,46,50,50,50,
      48,57,32,57,46,53,50,49,51,51,32,57,46,56,50,55,48,57,32,49,48,46,49,55,52,
      49,32,49,48,46,53,49,55,49,32,49,48,46,56,53,55,32,49,49,46,50,51,56,56,10,
      32,32,49,49,46,54,49,54,52,32,49,49,46,57,56,57,55,32,49,50,46,51,56,54,52,
      32,49,50,46,55,56,51,52,32,49,51,46,49,55,54,49,32,49,51,46,53,55,50,54,32,
      49,51,46,57,54,57,49,32,49,52,46,51,54,49,56,32,49,52,46,55,52,53,52,32,49,
      53,46,49,49,57,50,10,32,32,49,53,46,52,57,48,53,32,49,53,46,56,52,53,54,32,
      49,54,46,49,55,52,53,32,49,54,46,52,57,56,55,32,49,54,46,56,48,57,53,32,49,
      55,46,48,54,52,55,32,49,55,46,51,49,57,52,32,49,55,46,53,55,49,52,32,49,55,
      46,55,50,56,49,32,49,55,46,56,56,52,49,10,32,32,49,56,46,48,51,57,55,32,49,
      56,46,48,57,49,57,32,49,56,46,49,50,49,54,32,49,56,46,49,53,48,55,32,49,56,
      46,48,56,49,32,49,55,46,57,54,50,54,32,49,55,46,56,51,56,55,32,49,55,46,54,
      51,56,55,32,49,55,46,51,54,53,49,32,49,55,46,48,56,49,51,32,49,54,46,55,52,
      56,55,10,32,32,49,54,46,51,51,54,53,32,49,53,46,57,49,53,50,32,49,53,46,52,
      55,53,51,32,49,52,46,57,56,48,49,32,49,52,46,52,55,55,51,32,49,51,46,57,53,
      53,53,32,49,51,46,52,50,54,49,32,49,50,46,56,57,55,54,32,49,50,46,51,55,49,
      54,32,49,49,46,56,56,49,51,10,32,32,49,49,46,52,48,48,57,32,49,48,46,57,50,
      53,56,32,49,48,46,52,57,54,50,32,49,48,46,48,55,51,55,32,57,46,54,53,55,50,
      49,32,57,46,50,56,48,57,52,32,56,46,57,52,48,56,54,32,56,46,54,48,56,49,53,
      32,56,46,51,48,48,52,50,32,56,46,48,51,48,52,56,10,32,32,55,46,55,54,54,50,
      55,32,55,46,53,49,52,49,53,32,55,46,50,57,51,56,53,32,55,46,48,55,56,50,52,
      32,54,46,56,54,55,54,53,32,54,46,54,55,57,57,56,32,54,46,52,57,54,50,55,32,
      54,46,51,49,54,53,32,54,46,48,56,56,53,57,32,53,46,53,55,50,48,56,32,52,46,
      56,56,49,56,49,10,32,32,51,46,57,49,57,55,52,32,51,46,50,49,54,52,50,32,50,
      46,55,54,54,53,32,50,46,53,49,52,57,56,32,50,46,51,57,53,53,55,32,50,46,51,
      53,48,55,57,32,50,46,51,51,55,48,56,32,50,46,51,50,52,52,32,50,46,50,57,50,
      57,50,32,50,46,50,51,51,56,53,32,50,46,49,52,55,55,55,10,32,32,50,46,48,49,
      52,49,54,32,49,46,56,53,57,49,32,49,46,54,52,48,57,53,32,49,46,52,51,51,51,
      52,32,49,46,50,52,55,56,53,32,49,46,48,53,52,51,54,32,46,57,48,51,49,50,54,
      32,46,55,57,50,54,48,56,32,46,55,48,54,55,55,54,32,46,54,54,49,53,54,53,32,
      46,54,51,57,51,53,56,10,32,32,46,54,51,53,49,55,55,32,46,54,51,49,57,51,51,
      32,46,54,49,53,49,56,55,32,46,53,55,53,53,52,52,32,46,53,50,48,52,56,53,32,
      46,52,54,51,51,51,52,32,46,52,48,57,49,51,52,32,46,51,54,48,52,54,56,32,46,
      51,50,54,53,54,54,32,46,51,48,52,57,52,53,10,32,32,46,50,57,53,56,54,57,32,
      46,50,56,54,56,55,49,32,46,50,55,51,53,51,32,46,50,52,55,48,50,54,32,46,50,
      48,55,49,50,56,32,46,49,54,56,48,51,53,32,46,49,51,53,49,57,49,32,46,49,48,
      55,52,48,57,32,46,48,56,55,51,56,54,53,32,46,48,55,50,55,49,56,55,10,32,32,
      46,48,54,50,54,55,49,56,32,46,48,53,55,49,53,51,57,32,46,48,53,53,50,49,49,
      51,32,46,48,53,50,51,49,49,49,32,46,48,52,56,53,53,49,56,32,46,48,52,51,48,
      52,57,54,32,46,48,51,52,55,51,52,32,46,48,50,55,53,52,48,54,32,46,48,50,50,
      50,54,54,57,10,32,32,46,48,49,56,56,57,52,55,32,46,48,49,53,50,50,53,55,32,
      46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,54,32,46,48,48,55,56,52,
      54,56,32,46,48,48,54,54,52,54,51,53,32,46,48,48,53,56,57,53,53,54,32,46,48,
      48,53,50,52,54,57,55,32,46,48,48,52,53,56,54,56,57,10,32,32,46,48,48,51,57,
      57,48,52,57,32,46,48,48,50,55,56,53,53,57,32,46,48,48,49,56,55,49,55,56,32,
      46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,54,32,46,48,48,48,
      56,56,57,52,53,50,32,46,48,48,48,54,55,51,52,51,49,32,46,48,48,48,53,49,52,
      54,51,54,10,32,32,46,48,48,48,51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,
      50,55,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,52,32,
      46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,
      53,48,52,57,101,45,48,53,32,55,46,48,50,52,54,57,101,45,48,53,10,32,32,53,46,
      48,56,51,53,51,101,45,48,53,32,52,46,49,56,57,51,49,101,45,48,53,32,51,46,52,
      53,49,51,49,101,45,48,53,32,50,46,53,52,49,57,53,101,45,48,53,32,49,46,56,49,
      52,54,50,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,32,49,46,49,49,51,
      55,101,45,48,53,10,32,32,57,46,50,54,56,56,52,101,45,48,54,32,54,46,56,55,55,
      56,56,101,45,48,54,32,53,46,51,57,48,55,101,45,48,54,32,57,46,51,48,50,50,101,
      45,48,54,32,56,46,49,55,55,51,56,101,45,48,54,32,54,46,51,56,51,53,101,45,48,
      54,32,52,46,56,53,55,49,54,101,45,48,54,10,32,32,51,46,56,54,57,51,52,101,45,
      48,54,32,51,46,48,56,51,51,54,101,45,48,54,32,50,46,52,57,51,56,50,101,45,48,
      54,32,50,46,48,50,52,48,51,101,45,48,54,32,49,46,54,48,54,51,55,101,45,48,54,
      32,49,46,51,48,56,53,57,101,45,48,54,32,49,46,48,52,52,49,49,101,45,48,54,10,
      32,32,56,46,56,52,52,52,57,101,45,48,55,32,54,46,55,52,56,56,54,101,45,48,55,
      32,53,46,55,49,56,54,56,101,45,48,55,32,52,46,54,53,53,53,53,101,45,48,55,32,
      50,46,56,56,54,48,51,101,45,48,55,32,49,46,52,57,54,56,57,101,45,48,55,32,55,
      46,57,48,48,54,50,101,45,48,56,10,32,32,51,46,53,54,48,54,57,101,45,48,56,32,
      49,46,54,48,55,54,54,101,45,48,56,32,54,46,50,48,52,54,50,101,45,48,57,32,50,
      46,56,49,48,57,51,101,45,48,57,32,55,46,57,52,48,52,50,101,45,49,48,32,50,46,
      51,56,52,54,55,101,45,49,48,32,49,46,48,50,52,49,56,101,45,49,48,10,32,32,51,
      46,57,56,56,54,49,101,45,49,49,32,49,46,49,51,54,53,51,101,45,49,49,32,51,46,
      55,57,52,57,52,101,45,49,50,32,49,46,50,54,56,57,49,101,45,49,50,32,51,46,54,
      51,51,56,50,101,45,49,51,32,49,46,48,52,50,49,55,101,45,49,51,32,51,46,52,57,
      55,57,49,101,45,49,52,10,32,32,49,46,49,55,53,49,57,101,45,49,52,32,51,46,57,
      53,49,56,55,101,45,49,53,32,49,46,48,49,48,55,55,101,45,49,53,32,50,46,52,56,
      51,50,54,101,45,49,54,32,53,46,50,50,55,55,56,101,45,49,55,32,49,46,50,56,55,
      48,51,101,45,49,55,32,50,46,55,48,51,51,52,101,45,49,56,10,32,32,54,46,54,48,
      53,48,53,101,45,49,57,32,49,46,54,51,48,51,53,101,45,49,57,32,50,46,56,54,55,
      57,55,101,45,50,48,32,48,114,49,48,55,32,56,46,49,54,49,54,56,101,45,48,54,
      32,51,46,50,55,50,53,52,101,45,48,53,32,46,48,48,48,51,52,55,48,55,53,32,46,
      48,48,48,53,52,55,57,49,53,10,32,32,46,48,48,52,55,49,49,52,51,32,46,48,49,
      52,50,49,53,56,32,46,48,50,53,50,51,54,52,32,46,48,51,57,51,53,54,54,32,46,
      48,53,54,53,55,53,54,32,46,48,55,54,56,48,55,32,46,49,48,48,48,52,54,32,46,
      49,50,54,50,48,54,32,46,49,53,53,50,49,50,32,46,49,56,54,57,57,54,10,32,32,
      46,50,50,49,52,54,51,32,46,50,53,56,52,56,55,32,46,50,57,55,57,52,56,32,46,
      51,51,57,55,48,51,32,46,51,56,51,53,56,32,46,52,50,57,52,49,54,32,46,52,55,
      55,48,50,32,46,53,50,54,49,49,51,32,46,53,55,54,53,50,55,32,46,54,50,56,48,
      56,49,32,46,54,56,48,50,54,57,10,32,32,46,55,51,51,48,54,32,46,55,56,54,51,
      55,53,32,46,56,51,57,53,57,51,32,46,56,57,50,54,50,32,46,57,52,53,51,50,54,
      32,46,57,57,55,51,52,52,32,49,46,48,52,57,49,50,32,49,46,49,48,48,51,56,32,
      49,46,49,53,48,49,51,32,49,46,49,57,57,51,52,32,49,46,50,52,56,55,51,10,32,
      32,49,46,50,57,54,54,54,32,49,46,51,52,52,48,53,32,49,46,51,57,50,56,56,32,
      49,46,52,51,57,56,51,32,49,46,52,56,54,57,51,32,49,46,53,51,54,57,55,32,49,
      46,53,56,53,57,54,32,49,46,54,51,51,56,57,32,49,46,54,56,54,50,49,32,49,46,
      55,51,56,57,54,10,32,32,49,46,55,57,49,50,51,32,49,46,56,52,54,51,53,32,49,
      46,57,48,51,48,50,32,49,46,57,53,57,49,54,32,50,46,48,49,55,56,49,32,50,46,
      48,55,56,56,52,32,50,46,49,51,57,55,54,32,50,46,50,48,49,57,55,32,50,46,50,
      54,54,55,54,32,50,46,51,51,49,52,49,10,32,32,50,46,51,57,54,53,50,32,50,46,
      52,54,52,49,49,32,50,46,53,51,49,52,57,32,50,46,53,57,56,50,56,32,50,46,54,
      54,55,52,55,32,50,46,55,51,54,56,57,32,50,46,56,48,53,54,49,32,50,46,56,55,
      53,53,52,32,50,46,57,52,54,54,55,32,51,46,48,49,54,51,52,10,32,32,51,46,48,
      56,56,51,50,32,51,46,49,54,48,54,55,32,51,46,50,51,50,52,53,32,51,46,51,48,
      54,50,52,32,51,46,51,56,50,51,52,32,51,46,52,53,55,48,49,32,51,46,53,51,53,
      49,53,32,51,46,54,49,54,52,54,32,51,46,54,57,56,55,57,32,51,46,55,56,49,54,
      52,10,32,32,51,46,56,55,51,51,54,32,51,46,57,54,54,50,51,32,52,46,48,53,54,
      57,49,32,52,46,49,54,51,50,55,32,52,46,50,55,49,49,54,32,52,46,51,55,54,52,
      54,32,52,46,52,57,56,56,51,32,52,46,54,50,52,55,57,32,52,46,55,52,57,56,56,
      32,52,46,56,57,48,55,54,10,32,32,53,46,48,51,55,52,50,32,53,46,49,56,52,50,
      50,32,53,46,51,52,52,54,57,32,53,46,53,49,54,50,53,32,53,46,54,56,52,53,57,
      32,53,46,56,54,48,54,49,32,54,46,48,53,54,54,54,32,54,46,50,52,57,55,49,32,
      54,46,52,52,52,49,50,32,54,46,54,53,54,56,53,10,32,32,54,46,56,54,53,48,49,
      32,55,46,48,55,49,50,32,55,46,50,57,53,49,56,32,55,46,53,49,53,50,51,32,55,
      46,55,51,53,48,52,32,55,46,57,54,51,51,52,32,56,46,49,56,57,48,49,32,56,46,
      52,49,48,54,32,56,46,54,51,51,50,57,32,56,46,56,53,51,53,51,32,57,46,48,55,
      49,52,54,10,32,32,57,46,50,56,53,52,56,32,57,46,52,57,55,49,52,32,57,46,55,
      48,54,53,49,32,57,46,57,48,55,55,52,32,49,48,46,48,57,55,51,32,49,48,46,50,
      56,53,53,32,49,48,46,52,54,56,50,32,49,48,46,54,50,55,57,32,49,48,46,55,56,
      55,50,32,49,48,46,57,52,52,57,10,32,32,49,49,46,48,54,52,49,32,49,49,46,49,
      56,50,54,32,49,49,46,51,48,48,55,32,49,49,46,51,55,54,52,32,49,49,46,52,52,
      48,55,32,49,49,46,53,48,52,50,32,49,49,46,53,50,51,50,32,49,49,46,53,50,52,
      54,114,50,32,49,49,46,52,57,32,49,49,46,52,49,56,52,10,32,32,49,49,46,51,51,
      53,57,32,49,49,46,50,50,53,53,32,49,49,46,48,56,48,56,32,49,48,46,57,50,53,
      54,32,49,48,46,55,53,49,54,32,49,48,46,53,51,57,56,32,49,48,46,51,49,52,57,
      32,49,48,46,48,56,51,53,32,57,46,56,51,54,56,51,32,57,46,53,55,55,54,49,10,
      32,32,57,46,51,48,56,48,56,32,57,46,48,52,56,50,55,32,56,46,55,56,51,53,53,
      32,56,46,53,49,50,56,56,32,56,46,50,54,50,52,51,32,56,46,48,50,32,55,46,55,
      55,53,50,50,32,55,46,53,52,57,49,49,32,55,46,51,51,57,56,55,32,55,46,49,50,
      52,56,50,32,54,46,57,50,50,51,10,32,32,54,46,55,52,50,56,49,32,54,46,53,54,
      52,49,52,32,54,46,51,57,49,50,53,32,54,46,50,51,57,48,55,32,54,46,48,56,56,
      49,49,32,53,46,57,51,56,55,50,32,53,46,56,48,52,55,57,32,53,46,54,55,50,49,
      56,32,53,46,53,52,48,57,51,32,53,46,51,55,50,55,54,10,32,32,52,46,57,56,50,
      54,50,32,52,46,52,52,50,56,56,32,51,46,54,53,53,50,57,32,51,46,48,52,56,56,
      52,32,50,46,54,52,53,55,49,32,50,46,52,50,49,48,51,32,50,46,51,49,51,57,50,
      32,50,46,50,55,54,49,32,50,46,50,54,55,48,51,32,50,46,50,53,56,53,50,32,50,
      46,50,51,49,57,10,32,32,50,46,49,55,57,52,57,32,50,46,49,48,49,52,54,32,49,
      46,57,55,55,54,53,32,49,46,56,51,49,53,54,32,49,46,54,50,51,50,56,32,49,46,
      52,50,50,53,32,49,46,50,52,49,53,54,32,49,46,48,53,48,54,57,32,46,57,48,48,
      52,56,32,46,55,57,48,53,53,55,32,46,55,48,53,52,56,49,10,32,32,46,54,54,48,
      53,48,55,32,46,54,51,56,52,51,50,32,46,54,51,52,53,48,50,32,46,54,51,49,51,
      53,57,32,46,54,49,52,55,48,51,32,46,53,55,53,49,53,52,32,46,53,50,48,49,55,
      50,32,46,52,54,51,48,55,56,32,46,52,48,56,57,56,32,46,51,54,48,51,56,55,32,
      46,51,50,54,52,55,49,10,32,32,46,51,48,52,56,52,55,32,46,50,57,53,55,55,52,
      32,46,50,56,54,55,56,50,32,46,50,55,51,52,52,56,32,46,50,52,54,57,53,57,32,
      46,50,48,55,48,54,54,32,46,49,54,56,48,48,51,32,46,49,51,53,49,55,56,32,46,
      49,48,55,52,48,51,32,46,48,56,55,51,56,50,57,10,32,32,46,48,55,50,55,49,54,
      50,32,46,48,54,50,54,55,32,46,48,53,55,49,53,50,52,32,46,48,53,53,50,49,48,
      49,32,46,48,53,50,51,49,48,49,32,46,48,52,56,53,53,49,32,46,48,52,51,48,52,
      56,56,32,46,48,51,52,55,51,51,52,32,46,48,50,55,53,52,48,51,32,46,48,50,50,
      50,54,54,55,10,32,32,46,48,49,56,56,57,52,53,32,46,48,49,53,50,50,53,54,32,
      46,48,49,50,49,57,54,49,32,46,48,48,57,54,51,51,55,49,32,46,48,48,55,56,52,
      54,55,53,32,46,48,48,54,54,52,54,51,49,32,46,48,48,53,56,57,53,53,51,32,46,
      48,48,53,50,52,54,57,53,32,46,48,48,52,53,56,54,56,55,10,32,32,46,48,48,51,
      57,57,48,52,56,32,46,48,48,50,55,56,53,53,56,32,46,48,48,49,56,55,49,55,56,
      32,46,48,48,49,51,50,54,56,50,32,46,48,48,48,57,57,51,57,51,51,32,46,48,48,
      48,56,56,57,52,52,56,32,46,48,48,48,54,55,51,52,51,32,46,48,48,48,53,49,52,
      54,51,53,10,32,32,46,48,48,48,51,57,55,54,52,53,32,46,48,48,48,51,49,49,49,
      50,55,32,46,48,48,48,50,51,55,50,54,56,32,46,48,48,48,49,57,52,55,54,52,32,
      46,48,48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,
      53,48,52,55,101,45,48,53,32,55,46,48,50,52,54,57,101,45,48,53,10,32,32,53,46,
      48,56,51,53,51,101,45,48,53,32,52,46,49,56,57,51,49,101,45,48,53,32,51,46,52,
      53,49,51,49,101,45,48,53,32,50,46,53,52,49,57,53,101,45,48,53,32,49,46,56,49,
      52,54,50,101,45,48,53,32,49,46,53,48,53,51,53,101,45,48,53,32,49,46,49,49,51,
      55,101,45,48,53,10,32,32,57,46,50,54,56,56,53,101,45,48,54,32,54,46,56,55,55,
      56,57,101,45,48,54,32,53,46,51,57,48,55,101,45,48,54,32,57,46,51,48,49,56,49,
      101,45,48,54,32,56,46,49,55,55,48,52,101,45,48,54,32,54,46,51,56,51,50,52,101,
      45,48,54,32,52,46,56,53,54,57,54,101,45,48,54,10,32,32,51,46,56,54,57,49,56,
      101,45,48,54,32,51,46,48,56,51,50,51,101,45,48,54,32,50,46,52,57,51,55,50,101,
      45,48,54,32,50,46,48,50,51,57,52,101,45,48,54,32,49,46,54,48,54,51,101,45,48,
      54,32,49,46,51,48,56,53,51,101,45,48,54,32,49,46,48,52,52,48,55,101,45,48,54,
      10,32,32,56,46,56,52,52,49,51,101,45,48,55,32,54,46,55,52,56,53,56,101,45,48,
      55,32,53,46,55,49,56,52,52,101,45,48,55,32,52,46,54,53,53,51,54,101,45,48,55,
      32,50,46,56,56,53,57,49,101,45,48,55,32,49,46,52,57,54,56,51,101,45,48,55,32,
      55,46,57,48,48,51,101,45,48,56,10,32,32,51,46,53,54,48,53,52,101,45,48,56,32,
      49,46,54,48,55,53,57,101,45,48,56,32,54,46,50,48,52,51,56,101,45,48,57,32,50,
      46,56,49,48,56,50,101,45,48,57,32,55,46,57,52,48,49,50,101,45,49,48,32,50,46,
      51,56,52,53,56,101,45,49,48,32,49,46,48,50,52,49,52,101,45,49,48,10,32,32,51,
      46,57,56,56,52,55,101,45,49,49,32,49,46,49,51,54,52,57,101,45,49,49,32,51,46,
      55,57,52,56,101,45,49,50,32,49,46,50,54,56,56,55,101,45,49,50,32,51,46,54,51,
      51,55,101,45,49,51,32,49,46,48,52,50,49,52,101,45,49,51,32,51,46,52,57,55,55,
      57,101,45,49,52,10,32,32,49,46,49,55,53,49,53,101,45,49,52,32,51,46,57,53,49,
      55,52,101,45,49,53,32,49,46,48,49,48,56,50,101,45,49,53,32,50,46,52,56,51,52,
      101,45,49,54,32,53,46,50,50,56,49,49,101,45,49,55,32,49,46,50,56,55,49,50,101,
      45,49,55,32,50,46,55,48,51,53,49,101,45,49,56,10,32,32,54,46,54,48,53,52,51,
      101,45,49,57,32,49,46,54,51,48,52,53,101,45,49,57,32,50,46,56,54,55,56,50,101,
      45,50,48,32,48,114,49,48,55,32,56,46,49,54,49,54,55,101,45,48,54,32,51,46,50,
      55,50,53,52,101,45,48,53,32,46,48,48,48,50,53,53,53,55,53,32,46,48,48,48,51,
      55,54,48,53,54,10,32,32,46,48,48,50,55,56,54,53,50,32,46,48,48,56,50,57,55,
      54,51,32,46,48,49,52,55,51,48,54,32,46,48,50,50,57,55,51,52,32,46,48,51,51,
      48,50,54,53,32,46,48,52,52,56,52,49,50,32,46,48,53,56,52,49,55,52,32,46,48,
      55,51,55,48,55,52,32,46,48,57,48,54,55,51,53,10,32,32,46,49,48,57,50,56,52,
      32,46,49,50,57,52,57,51,32,46,49,53,49,50,51,54,32,46,49,55,52,52,54,49,32,
      46,49,57,57,49,48,55,32,46,50,50,53,48,56,52,32,46,50,53,50,51,51,53,32,46,
      50,56,48,55,51,54,32,46,51,49,48,50,51,52,32,46,51,52,48,55,48,57,10,32,32,
      46,51,55,50,48,49,32,46,52,48,52,48,56,56,32,46,52,51,54,56,57,55,32,46,52,
      55,48,48,57,49,32,46,53,48,51,56,48,51,32,46,53,51,55,55,57,55,32,46,53,55,
      50,48,50,57,32,46,54,48,54,51,48,53,32,46,54,52,48,54,53,53,32,46,54,55,53,
      48,54,52,32,46,55,48,57,51,54,57,10,32,32,46,55,52,51,52,57,53,32,46,55,55,
      55,55,51,55,32,46,56,49,49,56,57,56,32,46,56,52,53,56,50,50,32,46,56,56,48,
      52,48,52,32,46,57,49,52,55,55,54,32,46,57,52,56,57,52,51,32,46,57,56,52,51,
      50,49,32,49,46,48,50,48,50,51,32,49,46,48,53,53,54,49,10,32,32,49,46,48,57,
      50,54,49,32,49,46,49,51,48,49,32,49,46,49,54,56,48,57,32,49,46,50,48,55,54,
      32,49,46,50,52,55,56,54,32,49,46,50,56,56,48,49,32,49,46,51,50,57,51,56,32,
      49,46,51,55,50,54,50,32,49,46,52,49,54,49,49,32,49,46,52,54,48,52,53,32,49,
      46,53,48,54,51,50,10,32,32,49,46,53,53,50,51,49,32,49,46,53,57,56,54,53,32,
      49,46,54,52,54,52,57,32,49,46,54,57,52,52,53,32,49,46,55,52,50,51,50,32,49,
      46,55,57,49,57,54,32,49,46,56,52,49,53,32,49,46,56,57,49,49,32,49,46,57,52,
      50,48,51,32,49,46,57,57,51,49,54,32,50,46,48,52,52,50,10,32,32,50,46,48,57,
      54,54,49,32,50,46,49,53,48,48,53,32,50,46,50,48,51,49,51,32,50,46,50,53,55,
      51,56,32,50,46,51,49,51,55,50,32,50,46,51,54,57,51,57,32,50,46,52,50,54,57,
      57,32,50,46,52,56,55,53,54,32,50,46,53,52,55,57,32,50,46,54,48,57,52,55,32,
      50,46,54,55,55,48,54,10,32,32,50,46,55,52,52,50,50,32,50,46,56,49,49,53,53,
      32,50,46,56,56,56,48,54,32,50,46,57,54,53,52,53,32,51,46,48,52,49,51,32,51,
      46,49,50,56,51,54,32,51,46,50,49,55,52,56,32,51,46,51,48,53,51,50,32,51,46,
      52,48,52,51,54,32,51,46,53,48,55,48,57,32,51,46,54,48,55,57,49,10,32,32,51,
      46,55,49,55,49,32,51,46,56,51,50,57,54,32,51,46,57,52,54,51,54,32,52,46,48,
      54,51,52,55,32,52,46,49,57,50,53,49,32,52,46,51,49,57,57,56,32,52,46,52,52,
      55,51,53,32,52,46,53,56,51,56,51,32,52,46,55,49,56,57,53,32,52,46,56,53,48,
      56,52,32,52,46,57,57,52,57,53,10,32,32,53,46,49,51,54,50,57,32,53,46,50,55,
      53,52,51,32,53,46,52,49,56,53,55,32,53,46,53,53,57,53,50,32,53,46,54,57,57,
      56,54,32,53,46,56,52,49,56,53,32,53,46,57,56,50,49,53,32,54,46,49,50,49,53,
      32,54,46,50,53,55,51,52,32,54,46,51,56,57,50,51,32,54,46,53,50,49,53,55,10,
      32,32,54,46,54,53,49,55,32,54,46,55,55,53,55,52,32,54,46,57,32,55,46,48,50,
      49,52,54,32,55,46,49,51,49,50,51,32,55,46,50,52,48,53,57,32,55,46,51,52,57,
      48,52,32,55,46,52,51,56,49,50,32,55,46,53,50,54,54,53,32,55,46,54,49,53,49,
      50,32,55,46,54,56,51,48,53,10,32,32,55,46,55,52,53,48,50,32,55,46,56,48,54,
      56,54,32,55,46,56,53,50,49,57,32,55,46,56,56,52,57,50,32,55,46,57,49,51,50,
      53,32,55,46,57,50,49,50,49,32,55,46,57,49,50,53,32,55,46,57,48,51,48,51,32,
      55,46,56,55,54,57,52,32,55,46,56,50,52,52,50,32,55,46,55,54,56,51,10,32,32,
      55,46,55,48,52,48,56,32,55,46,54,49,52,53,53,32,55,46,53,49,51,52,51,32,55,
      46,52,49,48,56,50,32,55,46,50,57,52,50,53,32,55,46,49,54,53,50,51,32,55,46,
      48,50,55,56,32,54,46,56,57,54,54,54,32,54,46,55,53,55,53,56,32,54,46,54,48,
      57,53,32,54,46,52,54,56,57,54,10,32,32,54,46,51,51,50,49,57,32,54,46,49,57,
      48,48,55,32,54,46,48,53,54,48,55,32,53,46,57,51,48,51,51,32,53,46,56,48,49,
      49,56,32,53,46,54,55,55,52,32,53,46,53,54,54,48,49,32,53,46,52,53,50,53,51,
      32,53,46,51,52,48,56,32,53,46,50,52,49,55,55,32,53,46,49,52,49,57,50,10,32,
      32,53,46,48,52,49,53,49,32,52,46,57,53,48,57,54,32,52,46,56,54,48,48,55,32,
      52,46,55,54,56,56,54,32,52,46,54,53,49,51,50,32,52,46,51,55,52,32,51,46,57,
      55,51,52,54,32,51,46,51,53,49,51,55,32,50,46,56,52,50,51,57,32,50,46,52,57,
      57,54,50,32,50,46,51,48,54,55,10,32,32,50,46,50,50,48,48,53,32,50,46,49,57,
      52,53,50,32,50,46,49,57,51,56,52,32,50,46,49,57,49,57,53,32,50,46,49,55,49,
      54,54,32,50,46,49,50,53,49,51,32,50,46,48,53,50,50,53,32,49,46,57,51,53,51,
      55,32,49,46,55,57,54,51,52,32,49,46,53,57,54,56,53,10,32,32,49,46,52,48,51,
      56,50,32,49,46,50,50,56,52,53,32,49,46,48,52,50,55,50,32,46,56,57,53,55,51,
      51,32,46,55,56,55,53,51,32,46,55,48,51,51,57,49,32,46,54,53,57,48,57,51,32,
      46,54,51,55,52,54,32,46,54,51,51,54,54,52,32,46,54,51,48,55,51,56,32,46,54,
      49,52,50,55,52,10,32,32,46,53,55,52,56,49,54,32,46,53,49,57,56,49,54,32,46,
      52,54,50,55,55,56,32,46,52,48,56,55,48,54,32,46,51,54,48,49,52,51,32,46,51,
      50,54,50,55,57,32,46,51,48,52,54,56,49,32,46,50,57,53,54,52,49,32,46,50,56,
      54,54,55,51,32,46,50,55,51,51,53,51,10,32,32,46,50,52,54,56,56,51,32,46,50,
      48,55,48,48,52,32,46,49,54,55,57,54,56,32,46,49,51,53,49,54,51,32,46,49,48,
      55,51,57,50,32,46,48,56,55,51,55,55,53,32,46,48,55,50,55,49,51,53,32,46,48,
      54,50,54,54,56,32,46,48,53,55,49,53,48,51,32,46,48,53,53,50,48,56,50,10,32,
      32,46,48,53,50,51,48,56,54,32,46,48,52,56,53,52,57,56,32,46,48,52,51,48,52,
      55,56,32,46,48,51,52,55,51,50,55,32,46,48,50,55,53,52,32,46,48,50,50,50,54,
      54,53,32,46,48,49,56,56,57,52,52,32,46,48,49,53,50,50,53,53,32,46,48,49,50,
      49,57,54,32,46,48,48,57,54,51,51,54,51,10,32,32,46,48,48,55,56,52,54,54,57,
      32,46,48,48,54,54,52,54,50,53,32,46,48,48,53,56,57,53,52,57,32,46,48,48,53,
      50,52,54,57,50,32,46,48,48,52,53,56,54,56,53,32,46,48,48,51,57,57,48,52,54,
      32,46,48,48,50,55,56,53,53,56,32,46,48,48,49,56,55,49,55,55,10,32,32,46,48,
      48,49,51,50,54,56,49,32,46,48,48,48,57,57,51,57,50,57,32,46,48,48,48,56,56,
      57,52,52,52,32,46,48,48,48,54,55,51,52,50,56,32,46,48,48,48,53,49,52,54,51,
      51,32,46,48,48,48,51,57,55,54,52,52,32,46,48,48,48,51,49,49,49,50,55,32,46,
      48,48,48,50,51,55,50,54,56,10,32,32,46,48,48,48,49,57,52,55,54,51,32,46,48,
      48,48,49,54,48,48,52,55,32,46,48,48,48,49,49,54,49,52,51,32,57,46,53,53,48,
      52,53,101,45,48,53,32,55,46,48,50,52,54,56,101,45,48,53,32,53,46,48,56,51,53,
      51,101,45,48,53,32,52,46,49,56,57,51,101,45,48,53,10,32,32,51,46,52,53,49,51,
      49,101,45,48,53,32,50,46,53,52,49,57,53,101,45,48,53,32,49,46,56,49,52,54,50,
      101,45,48,53,32,49,46,53,48,53,51,53,101,45,48,53,32,49,46,49,49,51,55,101,
      45,48,53,32,57,46,50,54,56,56,53,101,45,48,54,32,54,46,56,55,55,56,57,101,45,
      48,54,10,32,32,53,46,51,57,48,55,101,45,48,54,32,57,46,51,48,49,52,50,101,45,
      48,54,32,56,46,49,55,54,55,101,45,48,54,32,54,46,51,56,50,57,55,101,45,48,54,
      32,52,46,56,53,54,55,54,101,45,48,54,32,51,46,56,54,57,48,50,101,45,48,54,32,
      51,46,48,56,51,49,49,101,45,48,54,10,32,32,50,46,52,57,51,54,49,101,45,48,54,
      32,50,46,48,50,51,56,54,101,45,48,54,32,49,46,54,48,54,50,52,101,45,48,54,32,
      49,46,51,48,56,52,56,101,45,48,54,32,49,46,48,52,52,48,51,101,45,48,54,32,56,
      46,56,52,51,55,55,101,45,48,55,32,54,46,55,52,56,51,101,45,48,55,10,32,32,53,
      46,55,49,56,50,49,101,45,48,55,32,52,46,54,53,53,49,55,101,45,48,55,32,50,46,
      56,56,53,55,57,101,45,48,55,32,49,46,52,57,54,55,55,101,45,48,55,32,55,46,56,
      57,57,57,57,101,45,48,56,32,51,46,53,54,48,52,101,45,48,56,32,49,46,54,48,55,
      53,51,101,45,48,56,10,32,32,54,46,50,48,52,49,52,101,45,48,57,32,50,46,56,49,
      48,55,49,101,45,48,57,32,55,46,57,51,57,56,49,101,45,49,48,32,50,46,51,56,52,
      52,57,101,45,49,48,32,49,46,48,50,52,49,49,101,45,49,48,32,51,46,57,56,56,51,
      50,101,45,49,49,32,49,46,49,51,54,52,53,101,45,49,49,10,32,32,51,46,55,57,52,
      54,55,101,45,49,50,32,49,46,50,54,56,56,51,101,45,49,50,32,51,46,54,51,51,53,
      55,101,45,49,51,32,49,46,48,52,50,49,101,45,49,51,32,51,46,52,57,55,54,56,101,
      45,49,52,32,49,46,49,55,53,49,49,101,45,49,52,32,51,46,57,53,49,54,50,101,45,
      49,53,10,32,32,49,46,48,49,48,56,56,101,45,49,53,32,50,46,52,56,51,53,52,101,
      45,49,54,32,53,46,50,50,56,52,51,101,45,49,55,32,49,46,50,56,55,50,101,45,49,
      55,32,50,46,55,48,51,54,57,101,45,49,56,32,54,46,54,48,53,56,50,101,45,49,57,
      32,49,46,54,51,48,53,53,101,45,49,57,10,32,32,50,46,56,54,55,54,55,101,45,50,
      48,32,48,114,49,48,55,32,56,46,49,54,49,54,49,101,45,48,54,32,51,46,50,55,50,
      53,49,101,45,48,53,32,46,48,48,48,50,48,52,53,52,52,32,46,48,48,48,50,56,53,
      55,56,52,32,46,48,48,49,56,57,54,48,50,32,46,48,48,53,53,53,57,55,54,10,32,
      32,46,48,48,57,56,55,48,50,32,46,48,49,53,51,57,51,54,32,46,48,50,50,49,51,
      48,53,32,46,48,51,48,48,52,56,55,32,46,48,51,57,49,52,57,49,32,46,48,52,57,
      52,48,48,54,32,46,48,54,48,55,56,48,54,32,46,48,55,51,50,54,56,57,32,46,48,
      56,54,56,51,55,56,10,32,32,46,49,48,49,52,52,56,32,46,49,49,55,48,55,50,32,
      46,49,51,51,54,55,50,32,46,49,53,49,49,57,54,32,46,49,54,57,54,48,52,32,46,
      49,56,56,56,52,52,32,46,50,48,56,56,54,57,32,46,50,50,57,54,49,49,32,46,50,
      53,49,48,51,53,32,46,50,55,51,48,51,52,10,32,32,46,50,57,53,54,50,49,32,46,
      51,49,56,54,52,53,32,46,51,52,50,48,55,54,32,46,51,54,53,57,49,49,32,46,51,
      57,48,48,52,50,32,46,52,49,52,51,55,50,32,46,52,51,56,57,49,57,32,46,52,54,
      51,54,51,50,32,46,52,56,56,52,49,54,32,46,53,49,51,52,51,49,10,32,32,46,53,
      51,56,54,48,55,32,46,53,54,51,57,50,51,32,46,53,56,57,50,48,52,32,46,54,49,
      52,56,48,52,32,46,54,52,48,56,54,56,32,46,54,54,54,52,52,55,32,46,54,57,51,
      52,53,56,32,46,55,50,48,49,51,53,32,46,55,52,55,49,50,52,32,46,55,55,53,51,
      50,52,10,32,32,46,56,48,51,52,56,52,32,46,56,51,50,48,49,51,32,46,56,54,49,
      57,50,49,32,46,56,57,50,51,50,53,32,46,57,50,50,54,56,52,32,46,57,53,51,56,
      52,32,46,57,56,54,51,32,49,46,48,49,57,48,55,32,49,46,48,53,50,52,56,32,49,
      46,48,56,54,56,57,32,49,46,49,50,49,51,56,10,32,32,49,46,49,53,54,50,57,32,
      49,46,49,57,50,49,53,32,49,46,50,50,56,50,57,32,49,46,50,54,52,51,57,32,49,
      46,51,48,49,54,54,32,49,46,51,51,57,51,54,32,49,46,51,55,55,50,53,32,49,46,
      52,49,54,48,50,32,49,46,52,53,53,48,54,32,49,46,52,57,52,49,56,10,32,32,49,
      46,53,51,52,49,53,32,49,46,53,55,52,54,50,32,49,46,54,49,53,50,32,49,46,54,
      53,54,56,55,32,49,46,54,57,57,53,55,32,49,46,55,52,50,50,50,32,49,46,55,56,
      54,48,51,32,49,46,56,51,50,49,54,32,49,46,56,55,56,48,56,32,49,46,57,50,52,
      57,51,32,49,46,57,55,53,57,54,10,32,32,50,46,48,50,54,53,50,32,50,46,48,55,
      55,54,56,32,50,46,49,51,52,56,32,50,46,49,57,50,52,32,50,46,50,52,57,49,53,
      32,50,46,51,49,51,52,55,32,50,46,51,55,55,56,56,32,50,46,52,52,50,56,49,32,
      50,46,53,49,51,51,32,50,46,53,56,55,54,32,50,46,54,54,49,52,54,10,32,32,50,
      46,55,51,57,52,32,50,46,56,50,50,49,56,32,50,46,57,48,51,50,52,32,50,46,57,
      56,54,51,50,32,51,46,48,55,54,56,53,32,51,46,49,54,54,52,50,32,51,46,50,53,
      53,53,51,32,51,46,51,53,49,48,51,32,51,46,52,52,51,57,32,51,46,53,51,56,50,
      53,32,51,46,54,51,55,55,54,10,32,32,51,46,55,51,53,52,55,32,51,46,56,51,49,
      32,51,46,57,50,57,57,54,32,52,46,48,50,57,54,56,32,52,46,49,50,55,57,54,32,
      52,46,50,50,52,55,55,32,52,46,51,50,49,57,52,32,52,46,52,49,56,54,52,32,52,
      46,53,49,53,52,53,32,52,46,54,48,57,53,55,32,52,46,55,48,50,53,57,10,32,32,
      52,46,55,57,50,57,32,52,46,56,56,48,53,52,32,52,46,57,54,57,57,57,32,53,46,
      48,53,55,55,56,32,53,46,49,51,56,53,54,32,53,46,50,49,57,48,51,32,53,46,50,
      57,56,56,56,32,53,46,51,54,55,50,50,32,53,46,52,51,54,51,52,32,53,46,53,48,
      53,51,55,32,53,46,53,54,49,54,49,10,32,32,53,46,54,49,55,50,52,32,53,46,54,
      55,50,51,57,32,53,46,55,49,52,53,51,32,53,46,55,52,56,53,55,32,53,46,55,56,
      50,50,56,32,53,46,56,48,55,52,56,32,53,46,56,50,49,50,51,32,53,46,56,50,57,
      49,56,32,53,46,56,51,49,54,51,32,53,46,56,50,48,49,32,53,46,55,57,57,52,49,
      10,32,32,53,46,55,55,55,57,54,32,53,46,55,52,48,55,57,32,53,46,54,57,52,56,
      57,32,53,46,54,52,56,52,54,32,53,46,53,57,48,55,55,32,53,46,53,50,52,48,53,
      32,53,46,52,53,53,56,52,32,53,46,51,56,52,56,49,32,53,46,51,48,54,48,50,32,
      53,46,50,50,53,52,49,10,32,32,53,46,49,52,56,49,56,32,53,46,48,54,56,54,54,
      32,52,46,57,56,51,49,54,32,52,46,57,48,52,53,53,32,52,46,56,51,48,54,57,32,
      52,46,55,53,50,53,49,32,52,46,54,55,54,49,54,32,52,46,54,48,55,49,53,32,52,
      46,53,51,53,55,32,52,46,52,54,53,51,51,32,52,46,52,48,50,55,56,10,32,32,52,
      46,51,51,56,52,55,32,52,46,50,55,50,53,51,32,52,46,50,49,50,56,50,32,52,46,
      49,53,49,57,53,32,52,46,48,56,57,57,49,32,52,46,48,48,57,55,32,51,46,56,49,
      55,54,56,32,51,46,53,50,54,55,53,32,51,46,48,52,52,50,50,32,50,46,54,51,50,
      53,50,32,50,46,51,52,54,48,50,10,32,32,50,46,49,56,50,51,32,50,46,49,49,50,
      54,54,32,50,46,48,57,54,56,55,32,50,46,49,48,49,49,52,32,50,46,49,48,51,57,
      53,32,50,46,48,56,57,53,32,50,46,48,53,49,51,52,32,49,46,57,56,56,56,55,32,
      49,46,56,56,52,54,56,32,49,46,55,53,55,55,54,32,49,46,53,55,49,52,54,10,32,
      32,49,46,51,56,52,56,50,32,49,46,50,49,52,56,55,32,49,46,48,51,51,54,49,32,
      46,56,56,57,53,50,57,32,46,55,56,51,48,50,54,32,46,55,48,48,50,55,57,32,46,
      54,53,54,55,53,52,32,46,54,51,53,54,53,54,32,46,54,51,50,50,53,55,32,46,54,
      50,57,54,49,54,10,32,32,46,54,49,51,53,48,54,32,46,53,55,52,51,53,50,32,46,
      53,49,57,50,52,55,32,46,52,54,50,50,51,56,32,46,52,48,56,50,56,51,32,46,51,
      53,57,56,50,53,32,46,51,50,54,48,53,53,32,46,51,48,52,53,49,53,32,46,50,57,
      53,52,57,55,32,46,50,56,54,53,52,54,10,32,32,46,50,55,51,50,52,50,32,46,50,
      52,54,55,57,50,32,46,50,48,54,57,52,50,32,46,49,54,55,57,51,32,46,49,51,53,
      49,52,50,32,46,49,48,55,51,56,32,46,48,56,55,51,54,57,55,32,46,48,55,50,55,
      48,57,54,32,46,48,54,50,54,54,53,49,32,46,48,53,55,49,52,55,53,10,32,32,46,
      48,53,53,50,48,53,57,32,46,48,53,50,51,48,54,54,32,46,48,52,56,53,52,56,49,
      32,46,48,52,51,48,52,54,53,32,46,48,51,52,55,51,49,57,32,46,48,50,55,53,51,
      57,53,32,46,48,50,50,50,54,54,50,32,46,48,49,56,56,57,52,49,32,46,48,49,53,
      50,50,53,52,10,32,32,46,48,49,50,49,57,53,56,32,46,48,48,57,54,51,51,53,52,
      32,46,48,48,55,56,52,54,54,49,32,46,48,48,54,54,52,54,49,57,32,46,48,48,53,
      56,57,53,52,52,32,46,48,48,53,50,52,54,56,56,32,46,48,48,52,53,56,54,56,50,
      32,46,48,48,51,57,57,48,52,51,32,46,48,48,50,55,56,53,53,54,10,32,32,46,48,
      48,49,56,55,49,55,54,32,46,48,48,49,51,50,54,56,49,32,46,48,48,48,57,57,51,
      57,50,52,32,46,48,48,48,56,56,57,52,51,57,32,46,48,48,48,54,55,51,52,50,53,
      32,46,48,48,48,53,49,52,54,51,49,32,46,48,48,48,51,57,55,54,52,50,32,46,48,
      48,48,51,49,49,49,50,54,10,32,32,46,48,48,48,50,51,55,50,54,55,32,46,48,48,
      48,49,57,52,55,54,50,32,46,48,48,48,49,54,48,48,52,54,32,46,48,48,48,49,49,
      54,49,52,51,32,57,46,53,53,48,52,51,101,45,48,53,32,55,46,48,50,52,54,55,101,
      45,48,53,32,53,46,48,56,51,53,50,101,45,48,53,10,32,32,52,46,49,56,57,51,101,
      45,48,53,32,51,46,52,53,49,51,101,45,48,53,32,50,46,53,52,49,57,52,101,45,48,
      53,32,49,46,56,49,52,54,50,101,45,48,53,32,49,46,53,48,53,51,52,101,45,48,53,
      32,49,46,49,49,51,55,101,45,48,53,32,57,46,50,54,56,56,52,101,45,48,54,10,32,
      32,54,46,56,55,55,56,57,101,45,48,54,32,53,46,51,57,48,55,101,45,48,54,32,57,
      46,51,48,49,48,52,101,45,48,54,32,56,46,49,55,54,51,54,101,45,48,54,32,54,46,
      51,56,50,55,49,101,45,48,54,32,52,46,56,53,54,53,53,101,45,48,54,32,51,46,56,
      54,56,56,54,101,45,48,54,10,32,32,51,46,48,56,50,57,56,101,45,48,54,32,50,46,
      52,57,51,53,49,101,45,48,54,32,50,46,48,50,51,55,56,101,45,48,54,32,49,46,54,
      48,54,49,55,101,45,48,54,32,49,46,51,48,56,52,51,101,45,48,54,32,49,46,48,52,
      51,57,57,101,45,48,54,32,56,46,56,52,51,52,49,101,45,48,55,10,32,32,54,46,55,
      52,56,48,51,101,45,48,55,32,53,46,55,49,55,57,56,101,45,48,55,32,52,46,54,53,
      52,57,56,101,45,48,55,32,50,46,56,56,53,54,55,101,45,48,55,32,49,46,52,57,54,
      55,49,101,45,48,55,32,55,46,56,57,57,54,55,101,45,48,56,32,51,46,53,54,48,50,
      54,101,45,48,56,10,32,32,49,46,54,48,55,52,55,101,45,48,56,32,54,46,50,48,51,
      57,101,45,48,57,32,50,46,56,49,48,54,49,101,45,48,57,32,55,46,57,51,57,53,49,
      101,45,49,48,32,50,46,51,56,52,52,101,45,49,48,32,49,46,48,50,52,48,55,101,
      45,49,48,32,51,46,57,56,56,49,56,101,45,49,49,10,32,32,49,46,49,51,54,52,49,
      101,45,49,49,32,51,46,55,57,52,53,52,101,45,49,50,32,49,46,50,54,56,55,56,101,
      45,49,50,32,51,46,54,51,51,52,53,101,45,49,51,32,49,46,48,52,50,48,55,101,45,
      49,51,32,51,46,52,57,55,53,54,101,45,49,52,32,49,46,49,55,53,48,55,101,45,49,
      52,10,32,32,51,46,57,53,49,53,101,45,49,53,32,49,46,48,49,48,57,51,101,45,49,
      53,32,50,46,52,56,51,54,57,101,45,49,54,32,53,46,50,50,56,55,54,101,45,49,55,
      32,49,46,50,56,55,50,57,101,45,49,55,32,50,46,55,48,51,56,54,101,45,49,56,32,
      54,46,54,48,54,50,101,45,49,57,10,32,32,49,46,54,51,48,54,53,101,45,49,57,32,
      50,46,56,54,55,53,50,101,45,50,48,32,48,114,49,48,55,32,56,46,49,54,48,52,55,
      101,45,48,54,32,51,46,50,55,49,57,52,101,45,48,53,32,55,46,51,54,55,48,50,101,
      45,48,53,32,56,46,49,53,56,55,53,101,45,48,53,32,46,48,48,48,55,49,48,53,52,
      53,10,32,32,46,48,48,49,53,57,56,50,53,32,46,48,48,51,51,57,56,56,56,32,46,
      48,48,53,51,48,48,48,53,32,46,48,48,55,54,49,56,51,56,32,46,48,49,48,51,52,
      50,54,32,46,48,49,51,52,55,51,49,32,46,48,49,54,57,57,57,51,32,46,48,50,48,
      57,49,51,57,32,46,48,50,53,50,49,48,53,10,32,32,46,48,50,57,56,56,48,57,32,
      46,48,51,52,57,49,50,57,32,46,48,52,48,50,57,56,54,32,46,48,52,54,48,50,55,
      53,32,46,48,53,50,48,56,53,51,32,46,48,53,56,52,54,50,32,46,48,54,53,49,52,
      51,55,32,46,48,55,50,49,49,55,53,32,46,48,55,57,51,54,56,56,10,32,32,46,48,
      56,54,56,56,53,52,32,46,48,57,52,54,53,49,53,32,46,49,48,50,54,53,55,32,46,
      49,49,48,56,55,57,32,46,49,49,57,51,48,56,32,46,49,50,55,57,51,57,32,46,49,
      51,54,55,53,32,46,49,52,53,55,50,54,32,46,49,53,52,56,55,49,32,46,49,54,52,
      49,56,52,10,32,32,46,49,55,51,54,50,56,32,46,49,56,51,50,50,56,32,46,49,57,
      50,57,57,57,32,46,50,48,50,57,48,49,32,46,50,49,50,57,50,32,46,50,50,51,49,
      56,49,32,46,50,51,51,53,55,53,32,46,50,52,52,48,54,54,32,46,50,53,52,57,50,
      53,32,46,50,54,53,57,48,51,32,46,50,55,54,57,57,50,10,32,32,46,50,56,56,52,
      55,51,32,46,51,48,48,49,53,49,32,46,51,49,49,57,53,57,32,46,51,50,52,49,53,
      50,32,46,51,51,54,54,49,54,32,46,51,52,57,50,51,56,32,46,51,54,50,49,51,49,
      32,46,51,55,53,52,49,57,32,46,51,56,56,56,54,50,32,46,52,48,50,53,52,49,10,
      32,32,46,52,49,54,53,53,49,32,46,52,51,48,55,54,53,32,46,52,52,53,50,50,49,
      32,46,52,54,48,48,48,52,32,46,52,55,52,57,51,55,32,46,52,56,57,57,53,51,32,
      46,53,48,53,51,54,55,32,46,53,50,48,57,55,57,32,46,53,51,54,55,51,53,32,46,
      53,53,50,56,48,51,10,32,32,46,53,54,57,48,51,55,32,46,53,56,53,51,57,49,32,
      46,54,48,50,48,53,51,32,46,54,49,56,57,52,55,32,46,54,51,53,57,55,32,46,54,
      53,51,51,56,53,32,46,54,55,49,49,54,52,32,46,54,56,57,48,55,56,32,46,55,48,
      55,51,55,55,32,46,55,50,54,51,50,57,32,46,55,52,53,52,48,54,10,32,32,46,55,
      54,52,56,32,46,55,56,53,50,57,49,32,46,56,48,53,56,56,54,32,46,56,50,54,54,
      49,52,32,46,56,52,57,49,48,49,32,46,56,55,49,54,55,54,32,46,56,57,52,51,52,
      49,32,46,57,49,56,57,48,56,32,46,57,52,51,55,52,50,32,46,57,54,56,54,49,57,
      32,46,57,57,53,48,55,54,10,32,32,49,46,48,50,50,53,49,32,49,46,48,52,57,56,
      51,32,49,46,48,55,56,50,56,32,49,46,49,48,56,48,51,32,49,46,49,51,55,55,55,
      32,49,46,49,54,56,48,54,32,49,46,49,57,57,57,55,32,49,46,50,51,49,54,57,32,
      49,46,50,54,51,53,54,32,49,46,50,57,55,50,52,10,32,32,49,46,51,51,48,51,50,
      32,49,46,51,54,51,55,56,32,49,46,51,57,56,51,51,32,49,46,52,51,50,56,54,32,
      49,46,52,54,55,49,53,32,49,46,53,48,50,50,50,32,49,46,53,51,55,50,57,32,49,
      46,53,55,50,50,53,32,49,46,54,48,55,51,32,49,46,54,52,50,52,57,32,49,46,54,
      55,55,52,50,10,32,32,49,46,55,49,50,51,51,32,49,46,55,52,54,57,55,32,49,46,
      55,56,49,53,57,32,49,46,56,49,53,55,56,32,49,46,56,52,57,50,53,32,49,46,56,
      56,51,48,52,32,49,46,57,49,54,52,56,32,49,46,57,52,56,51,32,49,46,57,56,48,
      52,54,32,50,46,48,49,50,53,51,32,50,46,48,52,49,56,57,10,32,32,50,46,48,55,
      49,53,53,32,50,46,49,48,49,50,49,32,50,46,49,50,55,56,55,32,50,46,49,53,52,
      50,55,32,50,46,49,56,48,55,55,32,50,46,50,48,52,48,57,32,50,46,50,50,54,32,
      50,46,50,52,55,56,50,32,50,46,50,54,55,49,55,32,50,46,50,56,51,57,50,32,50,
      46,50,57,57,56,55,10,32,32,50,46,51,49,52,48,56,32,50,46,51,50,52,57,52,32,
      50,46,51,51,52,53,49,32,50,46,51,52,50,56,50,32,50,46,51,52,55,54,32,50,46,
      51,53,48,57,32,50,46,51,53,50,56,57,32,50,46,51,53,50,55,49,32,50,46,51,53,
      48,49,54,32,50,46,51,52,54,50,32,50,46,51,52,50,49,52,10,32,32,50,46,51,51,
      54,48,54,32,50,46,51,50,56,55,50,32,50,46,51,50,48,57,54,32,50,46,51,49,51,
      54,53,32,50,46,51,48,51,55,52,32,50,46,50,57,53,52,51,32,50,46,50,56,55,52,
      52,32,50,46,50,55,55,52,51,32,50,46,50,54,56,54,57,32,50,46,50,54,48,55,56,
      10,32,32,50,46,50,53,49,51,50,32,50,46,50,52,50,55,50,32,50,46,50,51,53,52,
      55,32,50,46,50,50,54,55,32,50,46,50,49,55,50,51,32,50,46,50,48,57,56,49,32,
      50,46,50,48,49,49,51,32,50,46,49,57,49,49,49,32,50,46,49,55,56,49,50,32,50,
      46,49,52,51,57,51,32,50,46,48,55,56,50,10,32,32,49,46,57,52,48,50,53,32,49,
      46,55,57,52,55,50,32,49,46,54,56,51,50,52,32,49,46,54,50,52,57,51,32,49,46,
      54,49,51,49,54,32,49,46,54,50,57,56,54,32,49,46,54,53,55,48,52,32,49,46,54,
      56,48,49,54,32,49,46,54,56,57,53,56,32,49,46,54,56,49,51,49,10,32,32,49,46,
      54,53,51,53,56,32,49,46,53,57,54,52,54,32,49,46,53,49,55,56,57,32,49,46,51,
      57,49,53,52,32,49,46,50,53,53,51,32,49,46,49,50,50,56,32,46,57,55,51,54,32,
      46,56,52,56,50,57,57,32,46,55,53,51,54,54,54,32,46,54,55,56,52,49,50,32,46,
      54,51,57,48,54,54,10,32,32,46,54,50,48,57,53,32,46,54,49,57,48,54,32,46,54,
      49,55,53,50,49,32,46,54,48,50,56,50,32,46,53,54,53,55,51,51,32,46,53,49,50,
      57,57,54,32,46,52,53,55,56,53,54,32,46,52,48,53,50,50,54,32,46,51,53,55,54,
      57,54,32,46,51,50,52,51,54,57,32,46,51,48,51,49,51,54,10,32,32,46,50,57,52,
      50,57,55,32,46,50,56,53,53,48,54,32,46,50,55,50,51,53,57,32,46,50,52,54,49,
      53,54,32,46,50,48,54,53,57,56,32,46,49,54,55,54,57,49,32,46,49,51,52,57,55,
      52,32,46,49,48,55,50,56,50,32,46,48,56,55,51,48,55,56,32,46,48,55,50,54,54,
      54,54,10,32,32,46,48,54,50,54,51,53,52,32,46,48,53,55,49,50,53,57,32,46,48,
      53,53,49,56,55,50,32,46,48,53,50,50,57,48,54,32,46,48,52,56,53,51,52,56,32,
      46,48,52,51,48,51,54,55,32,46,48,51,52,55,50,53,56,32,46,48,50,55,53,51,53,
      32,46,48,50,50,50,54,51,49,10,32,32,46,48,49,56,56,57,49,56,32,46,48,49,53,
      50,50,51,55,32,46,48,49,50,49,57,52,55,32,46,48,48,57,54,51,50,55,32,46,48,
      48,55,56,52,54,48,50,32,46,48,48,54,54,52,53,55,52,32,46,48,48,53,56,57,53,
      48,50,32,46,48,48,53,50,52,54,53,50,32,46,48,48,52,53,56,54,53,49,10,32,32,
      46,48,48,51,57,57,48,49,55,32,46,48,48,50,55,56,53,51,57,32,46,48,48,49,56,
      55,49,54,54,32,46,48,48,49,51,50,54,55,52,32,46,48,48,48,57,57,51,56,56,51,
      32,46,48,48,48,56,56,57,52,49,32,46,48,48,48,54,55,51,51,57,55,32,46,48,48,
      48,53,49,52,54,49,49,10,32,32,46,48,48,48,51,57,55,54,50,55,32,46,48,48,48,
      51,49,49,49,49,52,32,46,48,48,48,50,51,55,50,53,57,32,46,48,48,48,49,57,52,
      55,53,54,32,46,48,48,48,49,54,48,48,52,49,32,46,48,48,48,49,49,54,49,51,57,
      32,57,46,53,53,48,49,55,101,45,48,53,32,55,46,48,50,52,52,57,101,45,48,53,10,
      32,32,53,46,48,56,51,51,57,101,45,48,53,32,52,46,49,56,57,50,101,45,48,53,32,
      51,46,52,53,49,50,51,101,45,48,53,32,50,46,53,52,49,56,57,101,45,48,53,32,49,
      46,56,49,52,53,56,101,45,48,53,32,49,46,53,48,53,51,50,101,45,48,53,32,49,46,
      49,49,51,54,56,101,45,48,53,10,32,32,57,46,50,54,56,54,57,101,45,48,54,32,54,
      46,56,55,55,55,56,101,45,48,54,32,53,46,51,57,48,54,53,101,45,48,54,32,57,46,
      50,57,57,49,52,101,45,48,54,32,56,46,49,55,52,54,57,101,45,48,54,32,54,46,51,
      56,49,52,49,101,45,48,54,32,52,46,56,53,53,53,55,101,45,48,54,10,32,32,51,46,
      56,54,56,48,56,101,45,48,54,32,51,46,48,56,50,51,54,101,45,48,54,32,50,46,52,
      57,51,48,49,101,45,48,54,32,50,46,48,50,51,51,55,101,45,48,54,32,49,46,54,48,
      53,56,53,101,45,48,54,32,49,46,51,48,56,49,54,101,45,48,54,32,49,46,48,52,51,
      55,56,101,45,48,54,10,32,32,56,46,56,52,49,54,52,101,45,48,55,32,54,46,55,52,
      54,55,101,45,48,55,32,53,46,55,49,54,56,53,101,45,48,55,32,52,46,54,53,52,48,
      54,101,45,48,55,32,50,46,56,56,53,49,49,101,45,48,55,32,49,46,52,57,54,52,50,
      101,45,48,55,32,55,46,56,57,56,49,51,101,45,48,56,10,32,32,51,46,53,53,57,53,
      56,101,45,48,56,32,49,46,54,48,55,49,54,101,45,48,56,32,54,46,50,48,50,55,51,
      101,45,48,57,32,50,46,56,49,48,48,56,101,45,48,57,32,55,46,57,51,56,48,54,101,
      45,49,48,32,50,46,51,56,51,57,55,101,45,49,48,32,49,46,48,50,51,56,56,101,45,
      49,48,10,32,32,51,46,57,56,55,52,55,101,45,49,49,32,49,46,49,51,54,50,49,101,
      45,49,49,32,51,46,55,57,51,56,57,101,45,49,50,32,49,46,50,54,56,53,55,101,45,
      49,50,32,51,46,54,51,50,56,53,101,45,49,51,32,49,46,48,52,49,57,101,45,49,51,
      32,51,46,52,57,55,48,49,101,45,49,52,10,32,32,49,46,49,55,52,56,57,101,45,49,
      52,32,51,46,57,53,48,57,101,45,49,53,32,49,46,48,49,49,50,49,101,45,49,53,32,
      50,46,52,56,52,52,50,101,45,49,54,32,53,46,50,51,48,52,51,101,45,49,55,32,49,
      46,50,56,55,55,50,101,45,49,55,32,50,46,55,48,52,55,53,101,45,49,56,10,32,32,
      54,46,54,48,56,49,56,101,45,49,57,32,49,46,54,51,49,49,54,101,45,49,57,32,50,
      46,56,54,54,55,57,101,45,50,48,32,48,114,49,48,55,32,54,46,57,49,52,50,101,
      45,48,54,32,50,46,55,55,50,51,51,101,45,48,53,32,54,46,50,52,50,52,50,101,45,
      48,53,32,54,46,57,49,51,51,53,101,45,48,53,10,32,32,46,48,48,48,52,52,50,53,
      57,54,32,46,48,48,48,57,57,53,55,55,56,32,46,48,48,49,55,54,55,54,56,32,46,
      48,48,51,49,51,53,54,52,32,46,48,48,52,53,48,56,52,54,32,46,48,48,54,49,50,
      50,53,51,32,46,48,48,55,57,55,56,52,53,32,46,48,49,48,48,55,48,52,10,32,32,
      46,48,49,50,51,57,52,52,32,46,48,49,52,57,52,55,52,32,46,48,49,55,55,50,53,
      32,46,48,50,48,55,50,48,52,32,46,48,50,51,57,50,57,55,32,46,48,50,55,51,52,
      55,52,32,46,48,51,48,57,54,53,53,32,46,48,51,52,55,55,57,49,32,46,48,51,56,
      55,56,48,55,10,32,32,46,48,52,50,57,54,51,51,32,46,48,52,55,51,49,57,56,32,
      46,48,53,49,56,52,51,49,32,46,48,53,54,53,50,53,52,32,46,48,54,49,51,54,48,
      51,32,46,48,54,54,51,51,55,57,32,46,48,55,49,52,53,50,53,32,46,48,55,54,55,
      48,48,53,32,46,48,56,50,48,55,49,57,10,32,32,46,48,56,55,53,53,55,53,32,46,
      48,57,51,49,54,50,52,32,46,48,57,56,56,56,50,51,32,46,49,48,52,54,57,57,32,
      46,49,49,48,54,50,53,32,46,49,49,54,54,55,54,32,46,49,50,50,56,49,52,32,46,
      49,50,57,48,53,49,32,46,49,51,53,52,53,32,46,49,52,49,57,51,57,10,32,32,46,
      49,52,56,53,48,57,32,46,49,53,53,50,57,55,32,46,49,54,50,49,56,54,32,46,49,
      54,57,49,53,49,32,46,49,55,54,51,54,56,32,46,49,56,51,55,48,52,32,46,49,57,
      49,49,51,55,32,46,49,57,56,56,48,51,32,46,50,48,54,54,51,55,32,46,50,49,52,
      53,55,56,10,32,32,46,50,50,50,55,49,49,32,46,50,51,49,48,54,32,46,50,51,57,
      53,48,57,32,46,50,52,56,49,49,56,32,46,50,53,54,57,55,50,32,46,50,54,53,57,
      49,57,32,46,50,55,52,57,56,55,32,46,50,56,52,51,48,52,32,46,50,57,51,55,50,
      57,32,46,51,48,51,50,51,32,46,51,49,50,57,54,56,10,32,32,46,51,50,50,56,49,
      51,32,46,51,51,50,55,54,49,32,46,51,52,50,57,32,46,51,53,51,49,53,52,32,46,
      51,54,51,53,48,54,32,46,51,55,52,48,55,32,46,51,56,52,55,56,52,32,46,51,57,
      53,53,57,32,46,52,48,54,54,49,53,32,46,52,49,55,56,54,56,32,46,52,50,57,50,
      49,10,32,32,46,52,52,48,55,56,56,32,46,52,53,50,55,51,50,32,46,52,54,52,55,
      54,51,32,46,52,55,54,57,57,53,32,46,52,56,57,56,52,52,32,46,53,48,50,55,54,
      55,32,46,53,49,53,55,56,56,32,46,53,50,57,55,52,56,32,46,53,52,51,55,56,55,
      32,46,53,53,55,56,56,49,10,32,32,46,53,55,50,57,55,56,32,46,53,56,56,50,57,
      56,32,46,54,48,51,54,55,55,32,46,54,49,57,57,50,32,46,54,51,54,54,50,51,32,
      46,54,53,51,50,57,55,32,46,54,55,48,54,57,51,32,46,54,56,56,55,49,54,32,46,
      55,48,54,55,50,50,32,46,55,50,53,49,55,55,32,46,55,52,52,51,57,56,10,32,32,
      46,55,54,51,53,54,53,32,46,55,56,50,57,48,53,32,46,56,48,51,49,49,56,32,46,
      56,50,51,50,48,50,32,46,56,52,51,51,50,53,32,46,56,54,52,49,55,53,32,46,56,
      56,52,57,52,49,32,46,57,48,53,55,49,53,32,46,57,50,54,56,57,53,32,46,57,52,
      56,48,54,56,10,32,32,46,57,54,57,50,51,53,32,46,57,57,48,53,52,53,32,49,46,
      48,49,49,56,56,32,49,46,48,51,51,49,56,32,49,46,48,53,52,52,50,32,49,46,48,
      55,53,53,53,32,49,46,48,57,54,55,50,32,49,46,49,49,55,55,52,32,49,46,49,51,
      56,52,51,32,49,46,49,53,57,50,32,49,46,49,55,57,56,50,10,32,32,49,46,49,57,
      57,55,55,32,49,46,50,49,57,55,51,32,49,46,50,51,57,56,49,32,49,46,50,53,56,
      53,52,32,49,46,50,55,55,51,55,32,49,46,50,57,54,50,52,32,49,46,51,49,51,54,
      57,32,49,46,51,51,48,56,54,32,49,46,51,52,56,48,54,32,49,46,51,54,51,56,54,
      10,32,32,49,46,51,55,56,56,54,32,49,46,51,57,51,55,57,32,49,46,52,48,55,52,
      51,32,49,46,52,49,57,55,51,32,49,46,52,51,49,56,57,32,49,46,52,52,50,57,49,
      32,49,46,52,53,50,51,32,49,46,52,54,49,49,52,32,49,46,52,54,57,50,49,32,49,
      46,52,55,53,53,52,32,49,46,52,56,49,49,54,10,32,32,49,46,52,56,53,56,57,32,
      49,46,52,56,57,54,49,32,49,46,52,57,50,53,50,32,49,46,52,57,52,51,54,32,49,
      46,52,57,54,48,52,32,49,46,52,57,54,57,51,32,49,46,52,57,54,57,53,32,49,46,
      52,57,55,50,51,32,49,46,52,57,55,48,56,32,49,46,52,57,54,50,32,49,46,52,57,
      53,54,57,10,32,32,49,46,52,57,53,51,32,49,46,52,57,52,51,55,32,49,46,52,57,
      51,50,56,32,49,46,52,57,51,52,53,32,49,46,52,57,50,54,52,32,49,46,52,57,49,
      55,55,32,49,46,52,57,49,53,56,32,49,46,52,57,49,49,56,32,49,46,52,57,48,49,
      57,32,49,46,52,56,57,55,55,32,49,46,52,56,57,49,55,10,32,32,49,46,52,56,55,
      56,54,32,49,46,52,56,54,48,54,32,49,46,52,55,56,56,55,32,49,46,52,53,57,52,
      56,32,49,46,52,48,53,55,32,49,46,51,52,48,56,54,32,49,46,50,57,48,55,52,32,
      49,46,50,54,57,55,53,32,49,46,50,55,55,54,53,32,49,46,51,48,51,52,50,32,49,
      46,51,51,53,52,49,10,32,32,49,46,51,54,51,55,54,32,49,46,51,56,50,50,32,49,
      46,51,56,55,55,50,32,49,46,51,55,56,52,54,32,49,46,51,52,57,48,50,32,49,46,
      51,48,49,53,32,49,46,50,49,55,50,54,32,49,46,49,50,32,49,46,48,49,57,53,52,
      32,46,56,57,57,57,50,52,32,46,55,57,53,55,53,49,10,32,32,46,55,49,52,48,55,
      57,32,46,54,52,56,55,53,55,32,46,54,49,52,57,48,50,32,46,54,48,48,52,57,57,
      32,46,54,48,48,56,48,54,32,46,54,48,48,57,55,55,32,46,53,56,56,52,51,49,32,
      46,53,53,52,49,53,55,32,46,53,48,52,48,51,52,32,46,52,53,49,49,49,52,10,32,
      32,46,52,48,48,50,51,50,32,46,51,53,52,48,48,49,32,46,51,50,49,53,55,52,32,
      46,51,48,48,56,55,54,32,46,50,57,50,51,51,49,32,46,50,56,51,55,56,52,32,46,
      50,55,48,56,53,32,46,50,52,52,57,53,51,32,46,50,48,53,55,51,49,32,46,49,54,
      55,49,56,55,32,46,49,51,52,54,57,51,10,32,32,46,49,48,55,49,49,54,32,46,48,
      56,55,50,48,52,57,32,46,48,55,50,54,48,48,54,32,46,48,54,50,53,56,57,52,32,
      46,48,53,55,48,57,48,50,32,46,48,53,53,49,53,54,54,32,46,48,53,50,50,54,52,
      54,32,46,48,52,56,53,49,51,51,32,46,48,52,51,48,49,57,54,10,32,32,46,48,51,
      52,55,49,52,49,32,46,48,50,55,53,50,55,56,32,46,48,50,50,50,53,56,49,32,46,
      48,49,56,56,56,56,32,46,48,49,53,50,50,49,32,46,48,49,50,49,57,50,55,32,46,
      48,48,57,54,51,49,51,55,32,46,48,48,55,56,52,53,48,50,32,46,48,48,54,54,52,
      52,57,52,10,32,32,46,48,48,53,56,57,52,51,57,32,46,48,48,53,50,52,53,57,56,
      32,46,48,48,52,53,56,54,48,55,32,46,48,48,51,57,56,57,56,32,46,48,48,50,55,
      56,53,49,54,32,46,48,48,49,56,55,49,53,50,32,46,48,48,49,51,50,54,54,53,32,
      46,48,48,48,57,57,51,56,49,51,10,32,32,46,48,48,48,56,56,57,51,52,52,32,46,
      48,48,48,54,55,51,51,53,55,32,46,48,48,48,53,49,52,53,56,50,32,46,48,48,48,
      51,57,55,54,48,54,32,46,48,48,48,51,49,49,49,32,46,48,48,48,50,51,55,50,52,
      56,32,46,48,48,48,49,57,52,55,52,55,32,46,48,48,48,49,54,48,48,51,53,10,32,
      32,46,48,48,48,49,49,54,49,51,52,32,57,46,53,52,57,55,55,101,45,48,53,32,55,
      46,48,50,52,50,52,101,45,48,53,32,53,46,48,56,51,50,50,101,45,48,53,32,52,46,
      49,56,57,48,54,101,45,48,53,32,51,46,52,53,49,49,50,101,45,48,53,32,50,46,53,
      52,49,56,49,101,45,48,53,10,32,32,49,46,56,49,52,53,52,101,45,48,53,32,49,46,
      53,48,53,50,56,101,45,48,53,32,49,46,49,49,51,54,54,101,45,48,53,32,57,46,50,
      54,56,52,55,101,45,48,54,32,54,46,56,55,55,54,51,101,45,48,54,32,53,46,51,57,
      48,53,51,101,45,48,54,32,57,46,50,57,55,50,56,101,45,48,54,10,32,32,56,46,49,
      55,51,48,55,101,45,48,54,32,54,46,51,56,48,49,52,101,45,48,54,32,52,46,56,53,
      52,54,49,101,45,48,54,32,51,46,56,54,55,51,50,101,45,48,54,32,51,46,48,56,49,
      55,53,101,45,48,54,32,50,46,52,57,50,53,50,101,45,48,54,32,50,46,48,50,50,57,
      55,101,45,48,54,10,32,32,49,46,54,48,53,53,52,101,45,48,54,32,49,46,51,48,55,
      57,49,101,45,48,54,32,49,46,48,52,51,53,55,101,45,48,54,32,56,46,56,51,57,57,
      51,101,45,48,55,32,54,46,55,52,53,51,56,101,45,48,55,32,53,46,55,49,53,55,52,
      101,45,48,55,32,52,46,54,53,51,49,55,101,45,48,55,10,32,32,50,46,56,56,52,53,
      54,101,45,48,55,32,49,46,52,57,54,49,52,101,45,48,55,32,55,46,56,57,54,54,53,
      101,45,48,56,32,51,46,53,53,56,57,49,101,45,48,56,32,49,46,54,48,54,56,54,101,
      45,48,56,32,54,46,50,48,49,54,101,45,48,57,32,50,46,56,48,57,53,56,101,45,48,
      57,10,32,32,55,46,57,51,54,54,53,101,45,49,48,32,50,46,51,56,51,53,53,101,45,
      49,48,32,49,46,48,50,51,55,49,101,45,49,48,32,51,46,57,56,54,56,101,45,49,49,
      32,49,46,49,51,54,48,50,101,45,49,49,32,51,46,55,57,51,50,56,101,45,49,50,32,
      49,46,50,54,56,51,55,101,45,49,50,10,32,32,51,46,54,51,50,50,55,101,45,49,51,
      32,49,46,48,52,49,55,52,101,45,49,51,32,51,46,52,57,54,53,101,45,49,52,32,49,
      46,49,55,52,55,50,101,45,49,52,32,51,46,57,53,48,51,51,101,45,49,53,32,49,46,
      48,49,49,53,101,45,49,53,32,50,46,52,56,53,49,56,101,45,49,54,10,32,32,53,46,
      50,51,50,49,53,101,45,49,55,32,49,46,50,56,56,49,55,101,45,49,55,32,50,46,55,
      48,53,54,55,101,45,49,56,32,54,46,54,49,48,50,50,101,45,49,57,32,49,46,54,51,
      49,54,57,101,45,49,57,32,50,46,56,54,54,48,57,101,45,50,48,32,48,114,49,48,
      55,32,53,46,54,57,55,53,55,101,45,48,54,10,32,32,50,46,50,56,52,53,50,101,45,
      48,53,32,53,46,49,52,52,48,56,101,45,48,53,32,53,46,54,57,54,57,55,101,45,48,
      53,32,46,48,48,48,50,54,49,49,51,32,46,48,48,48,55,49,54,48,54,55,32,46,48,
      48,49,50,55,49,51,55,32,46,48,48,49,57,56,51,49,32,46,48,48,51,49,52,55,56,
      53,10,32,32,46,48,48,52,50,55,53,55,57,32,46,48,48,53,53,55,51,51,54,32,46,
      48,48,55,48,51,54,55,53,32,46,48,48,56,54,54,51,52,56,32,46,48,49,48,52,53,
      49,55,32,46,48,49,50,51,57,56,54,32,46,48,49,52,52,57,57,57,32,46,48,49,54,
      55,53,51,51,32,46,48,49,57,49,53,53,49,10,32,32,46,48,50,49,55,48,48,52,32,
      46,48,50,52,51,56,54,50,32,46,48,50,55,50,48,55,53,32,46,48,51,48,49,54,48,
      50,32,46,48,51,51,50,51,57,53,32,46,48,51,54,52,52,49,50,32,46,48,51,57,55,
      54,48,50,32,46,48,52,51,49,57,50,53,32,46,48,52,54,55,51,49,52,10,32,32,46,
      48,53,48,51,55,52,49,32,46,48,53,52,49,49,55,53,32,46,48,53,55,57,53,53,57,
      32,46,48,54,49,56,56,51,50,32,46,48,54,53,57,48,50,49,32,46,48,55,48,48,49,
      48,55,32,46,48,55,52,49,57,55,50,32,46,48,55,56,52,54,55,53,32,46,48,56,50,
      56,51,53,53,10,32,32,46,48,56,55,50,55,52,51,32,46,48,57,49,55,57,49,54,32,
      46,48,57,54,52,50,55,32,46,49,48,49,49,51,53,32,46,49,48,53,57,48,57,32,46,
      49,49,48,56,52,51,32,46,49,49,53,56,53,32,46,49,50,48,57,50,55,32,46,49,50,
      54,49,55,52,32,46,49,51,49,53,49,52,10,32,32,46,49,51,54,57,51,50,32,46,49,
      52,50,53,49,55,32,46,49,52,56,50,50,52,32,46,49,53,52,48,48,56,32,46,49,53,
      57,57,51,57,32,46,49,54,54,48,49,55,32,46,49,55,50,49,55,57,32,46,49,55,56,
      52,54,49,32,46,49,56,52,57,32,46,49,57,49,52,50,53,32,46,49,57,56,48,53,50,
      10,32,32,46,50,48,52,56,51,54,32,46,50,49,49,55,48,51,32,46,50,49,56,54,52,
      53,32,46,50,50,53,55,53,53,32,46,50,51,50,57,52,50,32,46,50,52,48,50,49,32,
      46,50,52,55,54,50,49,32,46,50,53,53,49,50,32,46,50,54,50,54,57,55,32,46,50,
      55,48,52,50,52,32,46,50,55,56,50,54,51,10,32,32,46,50,56,54,49,55,53,32,46,
      50,57,52,50,52,52,32,46,51,48,50,52,55,50,32,46,51,49,48,55,55,52,32,46,51,
      49,57,50,52,51,32,46,51,50,55,57,54,50,32,46,51,51,54,55,53,49,32,46,51,52,
      53,54,56,53,32,46,51,53,53,48,51,32,46,51,54,52,52,51,55,32,46,51,55,51,57,
      50,49,10,32,32,46,51,56,52,48,50,53,32,46,51,57,52,49,57,51,32,46,52,48,52,
      52,49,51,32,46,52,49,53,50,56,55,32,46,52,50,54,51,50,32,46,52,51,55,52,48,
      53,32,46,52,52,57,48,54,55,32,46,52,54,49,48,50,49,32,46,52,55,51,48,48,51,
      32,46,52,56,53,52,51,57,32,46,52,57,56,50,57,52,10,32,32,46,53,49,49,49,53,
      54,32,46,53,50,52,51,48,49,32,46,53,51,55,57,54,50,32,46,53,53,49,54,49,50,
      32,46,53,54,53,51,55,57,32,46,53,55,57,54,57,54,32,46,53,57,51,57,56,50,32,
      46,54,48,56,50,54,57,32,46,54,50,51,48,55,52,32,46,54,51,55,56,52,50,10,32,
      32,46,54,53,50,53,57,49,32,46,54,54,55,54,50,56,32,46,54,56,50,54,57,52,32,
      46,54,57,55,55,54,50,32,46,55,49,50,57,48,53,32,46,55,50,56,48,57,51,32,46,
      55,52,51,50,57,52,32,46,55,53,56,52,54,49,32,46,55,55,51,53,56,54,32,46,55,
      56,56,55,52,56,10,32,32,46,56,48,51,56,49,51,32,46,56,49,56,55,48,54,32,46,
      56,51,51,54,53,32,46,56,52,56,53,51,55,32,46,56,54,50,57,54,57,32,46,56,55,
      55,52,55,56,32,46,56,57,50,48,50,52,32,46,57,48,53,55,54,32,46,57,49,57,53,
      54,53,32,46,57,51,51,52,49,49,32,46,57,52,54,51,55,49,10,32,32,46,57,53,57,
      49,54,57,32,46,57,55,50,48,48,52,32,46,57,56,51,57,52,54,32,46,57,57,53,52,
      49,56,32,49,46,48,48,54,56,53,32,49,46,48,49,55,52,56,32,49,46,48,50,55,51,
      51,32,49,46,48,51,54,57,56,32,49,46,48,52,54,48,50,32,49,46,48,53,51,57,56,
      10,32,32,49,46,48,54,49,53,57,32,49,46,48,54,56,55,52,32,49,46,48,55,52,56,
      50,32,49,46,48,56,48,52,49,32,49,46,48,56,53,52,56,32,49,46,48,56,57,57,51,
      32,49,46,48,57,51,55,53,32,49,46,48,57,54,57,52,32,49,46,49,48,48,48,57,32,
      49,46,49,48,50,54,56,10,32,32,49,46,49,48,52,54,50,32,49,46,49,48,54,56,53,
      32,49,46,49,48,56,56,51,32,49,46,49,49,48,50,51,32,49,46,49,49,49,56,54,32,
      49,46,49,49,51,55,50,32,49,46,49,49,53,48,51,32,49,46,49,49,54,52,51,32,49,
      46,49,49,56,52,51,32,49,46,49,49,57,56,57,10,32,32,49,46,49,50,49,50,54,32,
      49,46,49,50,51,50,50,32,49,46,49,50,52,56,54,32,49,46,49,50,54,48,57,32,49,
      46,49,50,55,56,54,32,49,46,49,50,57,50,51,32,49,46,49,51,48,51,54,32,49,46,
      49,51,49,55,54,32,49,46,49,51,50,56,50,32,49,46,49,50,56,52,51,10,32,32,49,
      46,49,48,53,48,55,32,49,46,48,55,49,56,49,32,49,46,48,52,54,54,57,32,49,46,
      48,52,49,50,54,32,49,46,48,53,53,55,53,32,49,46,48,56,50,57,50,32,49,46,49,
      49,52,52,49,32,49,46,49,52,51,49,32,49,46,49,54,52,48,54,32,49,46,49,55,53,
      49,54,32,49,46,49,55,52,55,49,10,32,32,49,46,49,53,57,52,51,32,49,46,49,50,
      57,53,55,32,49,46,48,55,49,52,49,32,49,46,48,48,48,48,53,32,46,57,50,51,32,
      46,56,50,55,56,49,57,32,46,55,52,48,56,52,57,32,46,54,55,49,53,55,53,32,46,
      54,49,53,48,51,52,32,46,53,56,54,49,57,56,32,46,53,55,53,51,53,49,10,32,32,
      46,53,55,55,53,56,57,32,46,53,55,57,50,52,49,32,46,53,54,56,56,52,49,32,46,
      53,51,55,57,48,56,32,46,52,57,49,54,57,32,46,52,52,50,48,50,49,32,46,51,57,
      51,53,52,32,46,51,52,57,49,52,53,32,46,51,49,55,55,55,49,32,46,50,57,55,55,
      54,53,32,46,50,56,57,54,48,54,10,32,32,46,50,56,49,52,48,51,32,46,50,54,56,
      56,48,50,32,46,50,52,51,52,50,32,46,50,48,52,55,57,52,32,46,49,54,54,53,56,
      50,32,46,49,51,52,51,48,54,32,46,49,48,54,56,56,56,32,46,48,56,55,48,54,49,
      51,32,46,48,55,50,53,48,51,53,32,46,48,54,50,53,50,49,57,10,32,32,46,48,53,
      55,48,52,48,49,32,46,48,53,53,49,49,51,53,32,46,48,53,50,50,50,55,57,32,46,
      48,52,56,52,56,50,55,32,46,48,52,50,57,57,54,52,32,46,48,51,52,54,57,57,50,
      32,46,48,50,55,53,49,55,54,32,46,48,50,50,50,53,49,32,46,48,49,56,56,56,50,
      54,10,32,32,46,48,49,53,50,49,55,49,32,46,48,49,50,49,57,32,46,48,48,57,54,
      50,57,51,57,32,46,48,48,55,56,52,51,53,52,32,46,48,48,54,54,52,51,55,57,32,
      46,48,48,53,56,57,51,51,57,32,46,48,48,53,50,52,53,49,51,32,46,48,48,52,53,
      56,53,51,55,32,46,48,48,51,57,56,57,50,51,10,32,32,46,48,48,50,55,56,52,56,
      49,32,46,48,48,49,56,55,49,51,49,32,46,48,48,49,51,50,54,53,49,32,46,48,48,
      48,57,57,51,55,49,56,32,46,48,48,48,56,56,57,50,54,54,32,46,48,48,48,54,55,
      51,50,57,52,32,46,48,48,48,53,49,52,53,51,55,32,46,48,48,48,51,57,55,53,55,
      51,10,32,32,46,48,48,48,51,49,49,48,55,53,32,46,48,48,48,50,51,55,50,51,32,
      46,48,48,48,49,57,52,55,51,51,32,46,48,48,48,49,54,48,48,50,52,32,46,48,48,
      48,49,49,54,49,50,54,32,57,46,53,52,57,49,55,101,45,48,53,32,55,46,48,50,51,
      56,51,101,45,48,53,32,53,46,48,56,50,57,51,101,45,48,53,10,32,32,52,46,49,56,
      56,56,51,101,45,48,53,32,51,46,52,53,48,57,52,101,45,48,53,32,50,46,53,52,49,
      54,56,101,45,48,53,32,49,46,56,49,52,52,53,101,45,48,53,32,49,46,53,48,53,50,
      49,101,45,48,53,32,49,46,49,49,51,54,49,101,45,48,53,32,57,46,50,54,56,48,55,
      101,45,48,54,10,32,32,54,46,56,55,55,51,52,101,45,48,54,32,53,46,51,57,48,51,
      52,101,45,48,54,32,57,46,50,57,53,52,56,101,45,48,54,32,56,46,49,55,49,52,56,
      101,45,48,54,32,54,46,51,55,56,57,49,101,45,48,54,32,52,46,56,53,51,54,56,101,
      45,48,54,32,51,46,56,54,54,53,56,101,45,48,54,10,32,32,51,46,48,56,49,49,54,
      101,45,48,54,32,50,46,52,57,50,48,53,101,45,48,54,32,50,46,48,50,50,53,57,101,
      45,48,54,32,49,46,54,48,53,50,51,101,45,48,54,32,49,46,51,48,55,54,54,101,45,
      48,54,32,49,46,48,52,51,51,56,101,45,48,54,32,56,46,56,51,56,50,56,101,45,48,
      55,10,32,32,54,46,55,52,52,49,53,101,45,48,55,32,53,46,55,49,52,54,57,101,45,
      48,55,32,52,46,54,53,50,51,49,101,45,48,55,32,50,46,56,56,52,48,50,101,45,48,
      55,32,49,46,52,57,53,56,54,101,45,48,55,32,55,46,56,57,53,50,51,101,45,48,56,
      32,51,46,53,53,56,50,56,101,45,48,56,10,32,32,49,46,54,48,54,53,56,101,45,48,
      56,32,54,46,50,48,48,53,51,101,45,48,57,32,50,46,56,48,57,48,57,101,45,48,57,
      32,55,46,57,51,53,51,51,101,45,49,48,32,50,46,51,56,51,49,54,101,45,49,48,32,
      49,46,48,50,51,53,52,101,45,49,48,32,51,46,57,56,54,49,55,101,45,49,49,10,32,
      32,49,46,49,51,53,56,53,101,45,49,49,32,51,46,55,57,50,55,101,45,49,50,32,49,
      46,50,54,56,49,56,101,45,49,50,32,51,46,54,51,49,55,51,101,45,49,51,32,49,46,
      48,52,49,53,57,101,45,49,51,32,51,46,52,57,54,48,49,101,45,49,52,32,49,46,49,
      55,52,53,55,101,45,49,52,10,32,32,51,46,57,52,57,56,49,101,45,49,53,32,49,46,
      48,49,49,56,101,45,49,53,32,50,46,52,56,53,57,54,101,45,49,54,32,53,46,50,51,
      51,57,49,101,45,49,55,32,49,46,50,56,56,54,51,101,45,49,55,32,50,46,55,48,54,
      54,49,101,45,49,56,32,54,46,54,49,50,51,51,101,45,49,57,10,32,32,49,46,54,51,
      50,50,52,101,45,49,57,32,50,46,56,54,53,52,49,101,45,50,48,32,48,114,49,48,
      55,32,51,46,55,55,57,54,50,101,45,48,54,32,49,46,53,49,53,53,101,45,48,53,32,
      51,46,52,49,50,52,57,101,45,48,53,32,51,46,55,55,57,50,56,101,45,48,53,32,46,
      48,48,48,49,53,49,53,48,49,10,32,32,46,48,48,48,52,50,51,55,50,55,32,46,48,
      48,48,55,53,50,53,48,50,32,46,48,48,49,49,55,52,49,50,32,46,48,48,49,54,56,
      56,56,56,32,46,48,48,50,52,53,57,54,51,32,46,48,48,51,50,48,55,51,56,32,46,
      48,48,52,48,53,49,52,50,32,46,48,48,52,57,57,48,54,10,32,32,46,48,48,54,48,
      50,52,49,53,32,46,48,48,55,49,53,48,55,54,32,46,48,48,56,51,54,56,51,57,32,
      46,48,48,57,54,55,53,57,53,32,46,48,49,49,48,55,49,56,32,46,48,49,50,53,53,
      51,54,32,46,48,49,52,49,49,57,57,32,46,48,49,53,55,54,56,51,32,46,48,49,55,
      52,57,55,10,32,32,46,48,49,57,51,48,51,55,32,46,48,50,49,49,56,54,51,32,46,
      48,50,51,49,52,50,53,32,46,48,50,53,49,55,48,51,32,46,48,50,55,50,54,54,53,
      32,46,48,50,57,52,50,57,57,32,46,48,51,49,54,53,56,55,32,46,48,51,51,57,53,
      48,50,32,46,48,51,54,51,48,49,54,10,32,32,46,48,51,56,55,49,52,49,32,46,48,
      52,49,49,56,54,52,32,46,48,52,51,55,49,51,50,32,46,48,52,54,50,57,54,57,32,
      46,48,52,56,57,52,52,52,32,46,48,53,49,54,52,50,50,32,46,48,53,52,51,57,52,
      51,32,46,48,53,55,50,50,48,50,32,46,48,54,48,48,57,54,53,10,32,32,46,48,54,
      51,48,50,49,53,32,46,48,54,54,48,51,57,51,32,46,48,54,57,49,48,57,32,46,48,
      55,50,50,50,56,52,32,46,48,55,53,52,52,54,50,32,46,48,55,56,55,50,53,53,32,
      46,48,56,50,48,53,56,32,46,48,56,53,52,56,54,53,32,46,48,56,56,57,57,49,32,
      46,48,57,50,53,52,57,57,10,32,32,46,48,57,54,49,57,53,32,46,48,57,57,57,50,
      55,51,32,46,49,48,51,55,49,54,32,46,49,48,55,53,56,32,46,49,49,49,53,51,56,
      32,46,49,49,53,53,53,50,32,46,49,49,57,54,51,32,46,49,50,51,56,48,50,32,46,
      49,50,56,48,51,49,32,46,49,51,50,51,49,52,32,46,49,51,54,54,57,52,10,32,32,
      46,49,52,49,49,50,54,32,46,49,52,53,54,49,51,32,46,49,53,48,49,56,55,32,46,
      49,53,52,56,50,50,32,46,49,53,57,53,48,57,32,46,49,54,52,50,56,52,32,46,49,
      54,57,49,51,32,46,49,55,52,48,50,56,32,46,49,55,57,48,49,57,32,46,49,56,52,
      49,48,52,32,46,49,56,57,50,52,49,10,32,32,46,49,57,52,52,55,54,32,46,49,57,
      57,56,53,32,46,50,48,53,50,55,52,32,46,50,49,48,55,56,53,32,46,50,49,54,53,
      49,52,32,46,50,50,50,50,57,32,46,50,50,56,49,49,57,32,46,50,51,52,50,55,32,
      46,50,52,48,52,54,55,32,46,50,52,54,55,48,55,32,46,50,53,51,50,56,55,10,32,
      32,46,50,53,57,57,53,52,32,46,50,54,54,54,54,50,32,46,50,55,51,54,55,54,32,
      46,50,56,48,56,52,50,32,46,50,56,56,48,51,54,32,46,50,57,53,52,55,51,32,46,
      51,48,51,49,50,55,32,46,51,49,48,55,57,56,32,46,51,49,56,54,50,54,32,46,51,
      50,54,55,49,57,10,32,32,46,51,51,52,56,49,56,32,46,51,52,50,57,57,32,46,51,
      53,49,52,52,56,32,46,51,53,57,57,48,50,32,46,51,54,56,51,54,57,32,46,51,55,
      55,49,48,49,32,46,51,56,53,56,51,49,32,46,51,57,52,53,54,57,32,46,52,48,51,
      52,54,32,46,52,49,50,51,55,57,32,46,52,50,49,51,49,54,10,32,32,46,52,51,48,
      51,48,51,32,46,52,51,57,51,50,56,32,46,52,52,56,51,55,53,32,46,52,53,55,52,
      50,50,32,46,52,54,54,52,54,50,32,46,52,55,53,53,51,55,32,46,52,56,52,53,56,
      49,32,46,52,57,51,53,53,55,32,46,53,48,50,53,54,57,32,46,53,49,49,53,55,51,
      10,32,32,46,53,50,48,51,55,56,32,46,53,50,57,50,50,56,32,46,53,51,56,49,49,
      56,32,46,53,52,54,54,51,56,32,46,53,53,53,50,48,49,32,46,53,54,51,56,48,54,
      32,46,53,55,49,57,57,54,32,46,53,56,48,49,50,52,32,46,53,56,56,50,56,55,32,
      46,53,57,54,48,50,54,10,32,32,46,54,48,51,53,54,51,32,46,54,49,49,48,56,56,
      32,46,54,49,56,50,53,52,32,46,54,50,53,48,51,56,32,46,54,51,49,55,53,32,46,
      54,51,56,49,55,32,46,54,52,52,48,56,56,32,46,54,52,57,56,52,53,32,46,54,53,
      53,51,55,53,32,46,54,54,48,51,57,56,32,46,54,54,53,49,56,55,10,32,32,46,54,
      54,57,55,50,55,32,46,54,55,51,57,52,56,32,46,54,55,55,56,56,56,32,46,54,56,
      49,53,49,50,32,46,54,56,53,49,48,54,32,46,54,56,56,52,50,57,32,46,54,57,49,
      52,51,57,32,46,54,57,52,53,52,32,46,54,57,55,53,52,57,32,46,55,48,48,50,53,
      50,32,46,55,48,51,48,54,52,10,32,32,46,55,48,53,57,56,51,32,46,55,48,56,54,
      52,52,32,46,55,49,49,51,49,56,32,46,55,49,52,50,55,57,32,46,55,49,55,48,48,
      51,32,46,55,49,57,54,52,49,32,46,55,50,50,53,57,52,32,46,55,50,53,51,54,32,
      46,55,50,55,57,50,55,32,46,55,51,48,55,51,56,32,46,55,51,51,52,48,53,10,32,
      32,46,55,51,53,56,53,51,32,46,55,51,57,49,49,56,32,46,55,52,53,53,50,55,32,
      46,55,53,49,52,49,56,32,46,55,53,49,53,49,52,32,46,55,52,52,52,54,51,32,46,
      55,52,48,53,48,56,32,46,55,52,54,56,56,54,32,46,55,54,52,53,53,54,32,46,55,
      56,57,53,56,52,10,32,32,46,56,49,55,48,50,54,32,46,56,52,50,53,53,51,32,46,
      56,54,51,50,48,52,32,46,56,55,55,54,52,32,46,56,56,52,54,56,51,32,46,56,56,
      51,52,32,46,56,55,49,57,48,51,32,46,56,52,51,48,51,50,32,46,56,48,51,48,54,
      50,32,46,55,53,54,50,52,49,32,46,54,57,52,50,57,54,10,32,32,46,54,51,52,54,
      56,52,32,46,53,56,53,51,56,55,32,46,53,52,52,51,56,56,32,46,53,50,52,54,49,
      49,32,46,53,49,57,57,50,56,32,46,53,50,53,52,48,49,32,46,53,50,57,57,48,53,
      32,46,53,50,51,56,55,55,32,46,52,57,57,56,49,55,32,46,52,54,49,52,56,51,10,
      32,32,46,52,49,56,55,56,52,32,46,51,55,54,48,49,55,32,46,51,51,54,49,48,57,
      32,46,51,48,55,53,49,56,32,46,50,56,57,51,48,56,32,46,50,56,50,49,55,52,32,
      46,50,55,52,56,54,52,32,46,50,54,51,49,48,51,32,46,50,51,57,48,48,51,32,46,
      50,48,49,56,53,57,10,32,32,46,49,54,52,55,55,50,32,46,49,51,51,50,49,50,32,
      46,49,48,54,50,52,32,46,48,56,54,54,53,53,51,32,46,48,55,50,50,51,52,52,32,
      46,48,54,50,51,51,52,49,32,46,48,53,54,56,57,55,54,32,46,48,53,52,57,57,48,
      55,32,46,48,53,50,49,50,51,52,32,46,48,52,56,51,57,53,57,10,32,32,46,48,52,
      50,57,50,57,52,32,46,48,51,52,54,53,52,57,32,46,48,50,55,52,56,56,54,32,46,
      48,50,50,50,51,48,57,32,46,48,49,56,56,54,55,50,32,46,48,49,53,50,48,54,50,
      32,46,48,49,50,49,56,50,50,32,46,48,48,57,54,50,51,56,57,32,46,48,48,55,56,
      51,57,52,52,10,32,32,46,48,48,54,54,52,48,53,53,32,46,48,48,53,56,57,48,54,
      55,32,46,48,48,53,50,52,50,56,51,32,46,48,48,52,53,56,51,52,54,32,46,48,48,
      51,57,56,55,54,52,32,46,48,48,50,55,56,51,56,49,32,46,48,48,49,56,55,48,55,
      32,46,48,48,49,51,50,54,49,50,32,46,48,48,48,57,57,51,52,52,53,10,32,32,46,
      48,48,48,56,56,57,48,50,57,32,46,48,48,48,54,55,51,49,50,55,32,46,48,48,48,
      53,49,52,52,49,56,32,46,48,48,48,51,57,55,52,56,55,32,46,48,48,48,51,49,49,
      48,49,50,32,46,48,48,48,50,51,55,49,56,51,32,46,48,48,48,49,57,52,54,57,54,
      32,46,48,48,48,49,53,57,57,57,53,10,32,32,46,48,48,48,49,49,54,49,48,54,32,
      57,46,53,52,55,53,52,101,45,48,53,32,55,46,48,50,50,55,49,101,45,48,53,32,53,
      46,48,56,50,49,54,101,45,48,53,32,52,46,49,56,56,50,50,101,45,48,53,32,51,46,
      52,53,48,52,53,101,45,48,53,32,50,46,53,52,49,51,52,101,45,48,53,10,32,32,49,
      46,56,49,52,50,50,101,45,48,53,32,49,46,53,48,53,48,50,101,45,48,53,32,49,46,
      49,49,51,52,56,101,45,48,53,32,57,46,50,54,55,48,49,101,45,48,54,32,54,46,56,
      55,54,53,56,101,45,48,54,32,53,46,51,56,57,56,101,45,48,54,32,57,46,50,57,50,
      48,51,101,45,48,54,10,32,32,56,46,49,54,56,52,54,101,45,48,54,32,54,46,51,55,
      54,53,55,101,45,48,54,32,52,46,56,53,49,57,101,45,48,54,32,51,46,56,54,53,49,
      55,101,45,48,54,32,51,46,48,56,48,48,53,101,45,48,54,32,50,46,52,57,49,49,53,
      101,45,48,54,32,50,46,48,50,49,56,55,101,45,48,54,10,32,32,49,46,54,48,52,54,
      54,101,45,48,54,32,49,46,51,48,55,50,101,45,48,54,32,49,46,48,52,51,48,49,101,
      45,48,54,32,56,46,56,51,53,49,55,101,45,48,55,32,54,46,55,52,49,55,56,101,45,
      48,55,32,53,46,55,49,50,54,57,101,45,48,55,32,52,46,54,53,48,54,57,101,45,48,
      55,10,32,32,50,46,56,56,51,48,51,101,45,48,55,32,49,46,52,57,53,51,54,101,45,
      48,55,32,55,46,56,57,50,53,56,101,45,48,56,32,51,46,53,53,55,49,101,45,48,56,
      32,49,46,54,48,54,48,54,101,45,48,56,32,54,46,49,57,56,53,52,101,45,48,57,32,
      50,46,56,48,56,50,49,101,45,48,57,10,32,32,55,46,57,51,50,56,56,101,45,49,48,
      32,50,46,51,56,50,52,52,101,45,49,48,32,49,46,48,50,51,50,52,101,45,49,48,32,
      51,46,57,56,53,48,49,101,45,49,49,32,49,46,49,51,53,53,50,101,45,49,49,32,51,
      46,55,57,49,54,53,101,45,49,50,32,49,46,50,54,55,56,52,101,45,49,50,10,32,32,
      51,46,54,51,48,55,53,101,45,49,51,32,49,46,48,52,49,51,50,101,45,49,51,32,51,
      46,52,57,53,49,53,101,45,49,52,32,49,46,49,55,52,50,56,101,45,49,52,32,51,46,
      57,52,56,56,55,101,45,49,53,32,49,46,48,49,50,52,50,101,45,49,53,32,50,46,52,
      56,55,54,101,45,49,54,10,32,32,53,46,50,51,55,54,101,45,49,55,32,49,46,50,56,
      57,53,56,101,45,49,55,32,50,46,55,48,56,53,55,101,45,49,56,32,54,46,54,49,54,
      55,51,101,45,49,57,32,49,46,54,51,51,51,56,101,45,49,57,32,50,46,56,54,52,49,
      52,101,45,50,48,32,48,114,49,48,55,32,50,46,52,50,54,50,55,101,45,48,54,10,
      32,32,57,46,55,50,56,54,50,101,45,48,54,32,50,46,49,57,48,54,53,101,45,48,53,
      32,50,46,52,50,54,49,49,101,45,48,53,32,57,46,55,50,54,52,57,101,45,48,53,32,
      46,48,48,48,50,50,50,54,55,54,32,46,48,48,48,52,54,52,49,57,56,32,46,48,48,
      48,55,50,52,53,49,54,10,32,32,46,48,48,49,48,52,50,53,55,32,46,48,48,49,52,
      49,55,49,55,32,46,48,48,49,56,52,56,56,32,46,48,48,50,52,55,53,56,57,32,46,
      48,48,51,48,53,49,54,52,32,46,48,48,51,54,56,54,48,49,32,46,48,48,52,51,55,
      56,51,57,32,46,48,48,53,49,50,55,55,57,32,46,48,48,53,57,51,51,55,55,10,32,
      32,46,48,48,54,55,57,53,53,57,32,46,48,48,55,55,49,50,48,51,32,46,48,48,56,
      54,56,50,53,51,32,46,48,48,57,55,48,53,57,50,32,46,48,49,48,55,56,49,52,32,
      46,48,49,49,57,48,55,55,32,46,48,49,51,48,56,52,32,46,48,49,52,51,48,57,49,
      32,46,48,49,53,53,56,50,49,10,32,32,46,48,49,54,57,48,49,51,32,46,48,49,56,
      50,54,54,50,32,46,48,49,57,54,55,53,57,32,46,48,50,49,49,50,56,57,32,46,48,
      50,50,54,50,51,57,32,46,48,50,52,49,54,49,53,32,46,48,50,53,55,52,48,57,32,
      46,48,50,55,51,53,57,53,32,46,48,50,57,48,49,56,51,10,32,32,46,48,51,48,55,
      50,48,54,32,46,48,51,50,52,54,32,46,48,51,52,50,51,56,32,46,48,51,54,48,54,
      52,52,32,46,48,51,55,57,50,55,53,32,46,48,51,57,56,50,54,53,32,46,48,52,49,
      55,56,51,49,32,46,48,52,51,55,55,55,51,32,46,48,52,53,56,48,55,57,32,46,48,
      52,55,56,57,56,55,10,32,32,46,48,53,48,48,51,49,57,32,46,48,53,50,50,48,51,
      49,32,46,48,53,52,52,51,51,54,32,46,48,53,54,55,49,51,54,32,46,48,53,57,48,
      51,50,54,32,46,48,54,49,52,48,54,49,32,46,48,54,51,56,51,52,56,32,46,48,54,
      54,51,48,51,51,32,46,48,54,56,56,50,49,49,10,32,32,46,48,55,49,51,57,55,51,
      32,46,48,55,52,48,49,51,51,32,46,48,55,54,54,55,51,49,32,46,48,55,57,51,57,
      49,55,32,46,48,56,50,49,53,48,51,32,46,48,56,52,57,52,54,57,32,46,48,56,55,
      56,48,52,49,32,46,48,57,48,54,57,57,32,46,48,57,51,54,51,51,49,10,32,32,46,
      48,57,54,54,50,50,55,32,46,48,57,57,54,53,52,49,32,46,49,48,50,55,50,52,32,
      46,49,48,53,56,52,57,32,46,49,48,57,48,50,49,32,46,49,49,50,50,51,49,32,46,
      49,49,53,53,32,46,49,49,56,56,50,56,32,46,49,50,50,49,57,51,32,46,49,50,53,
      54,49,57,10,32,32,46,49,50,57,49,50,56,32,46,49,51,50,54,55,51,32,46,49,51,
      54,50,55,51,32,46,49,51,57,57,57,54,32,46,49,52,51,55,53,52,32,46,49,52,55,
      53,53,49,32,46,49,53,49,53,50,50,32,46,49,53,53,53,50,56,32,46,49,53,57,53,
      54,55,32,46,49,54,51,55,57,32,46,49,54,56,48,54,56,10,32,32,46,49,55,50,51,
      55,56,32,46,49,55,54,56,53,53,32,46,49,56,49,52,49,57,32,46,49,56,54,48,48,
      56,32,46,49,57,48,55,51,49,32,46,49,57,53,53,55,52,32,46,50,48,48,52,51,52,
      32,46,50,48,53,51,56,53,32,46,50,49,48,52,56,32,46,50,49,53,53,56,55,32,46,
      50,50,48,55,52,50,10,32,32,46,50,50,54,48,53,32,46,50,51,49,51,54,55,32,46,
      50,51,54,55,48,49,32,46,50,52,50,49,55,54,32,46,50,52,55,54,54,50,32,46,50,
      53,51,49,54,50,32,46,50,53,56,55,52,56,32,46,50,54,52,51,53,57,32,46,50,54,
      57,57,57,49,32,46,50,55,53,54,53,56,32,46,50,56,49,51,53,53,10,32,32,46,50,
      56,55,48,55,52,32,46,50,57,50,56,48,52,32,46,50,57,56,53,52,49,32,46,51,48,
      52,51,48,56,32,46,51,49,48,48,55,50,32,46,51,49,53,56,49,52,32,46,51,50,49,
      53,56,53,32,46,51,50,55,51,54,52,32,46,51,51,51,48,53,56,32,46,51,51,56,55,
      56,53,10,32,32,46,51,52,52,53,52,51,32,46,51,53,48,49,51,51,32,46,51,53,53,
      55,53,52,32,46,51,54,49,52,48,56,32,46,51,54,54,56,55,50,32,46,51,55,50,51,
      49,54,32,46,51,55,55,55,56,57,32,46,51,56,51,48,54,54,32,46,51,56,56,50,53,
      52,32,46,51,57,51,52,52,52,10,32,32,46,51,57,56,52,54,57,32,46,52,48,51,51,
      49,55,32,46,52,48,56,49,51,55,32,46,52,49,50,56,50,32,46,52,49,55,50,54,51,
      32,46,52,50,49,54,51,50,32,46,52,50,53,56,57,32,46,52,50,57,57,48,51,32,46,
      52,51,51,56,48,50,32,46,52,51,55,53,55,57,32,46,52,52,49,49,57,56,10,32,32,
      46,52,52,52,54,54,57,32,46,52,52,55,57,56,51,32,46,52,53,49,50,55,57,32,46,
      52,53,52,52,51,57,32,46,52,53,55,52,50,56,32,46,52,54,48,52,55,32,46,52,54,
      51,52,53,56,32,46,52,54,54,50,56,32,46,52,54,57,49,53,53,32,46,52,55,50,48,
      57,51,32,46,52,55,52,56,56,51,10,32,32,46,52,55,55,54,55,56,32,46,52,56,48,
      54,50,32,46,52,56,51,52,52,49,32,46,52,56,54,50,48,54,32,46,52,56,57,49,51,
      51,32,46,52,57,49,57,54,54,32,46,52,57,52,54,56,57,32,46,52,57,55,53,52,32,
      46,53,48,48,51,32,46,53,48,50,57,53,55,32,46,53,48,54,52,55,55,10,32,32,46,
      53,49,51,57,56,32,46,53,50,50,57,56,55,32,46,53,51,49,55,55,50,32,46,53,51,
      53,52,56,51,32,46,53,52,48,49,54,54,32,46,53,53,48,54,49,50,32,46,53,54,55,
      55,51,53,32,46,53,56,57,50,57,53,32,46,54,49,50,50,56,50,32,46,54,51,51,57,
      54,50,32,46,54,53,50,52,53,10,32,32,46,54,54,54,56,55,52,32,46,54,55,54,52,
      52,51,32,46,54,56,49,51,54,49,32,46,54,55,57,50,50,51,32,46,54,54,54,52,55,
      55,32,46,54,52,52,56,56,55,32,46,54,49,55,49,49,57,32,46,53,55,55,56,50,53,
      32,46,53,51,55,54,51,49,32,46,53,48,51,51,51,53,10,32,32,46,52,55,52,56,49,
      50,32,46,52,54,50,49,51,52,32,46,52,54,49,57,57,32,46,52,54,57,56,54,51,32,
      46,52,55,54,52,55,50,32,46,52,55,52,50,51,49,32,46,52,53,54,54,52,51,32,46,
      52,50,54,50,48,55,32,46,51,57,48,56,53,56,32,46,51,53,52,51,55,55,32,46,51,
      49,57,53,57,51,10,32,32,46,50,57,52,51,56,56,32,46,50,55,56,51,53,57,32,46,
      50,55,50,52,56,52,32,46,50,54,54,50,57,49,32,46,50,53,53,53,57,57,32,46,50,
      51,51,49,52,55,32,46,49,57,55,57,51,49,32,46,49,54,50,51,50,52,32,46,49,51,
      49,55,49,57,32,46,49,48,53,51,53,50,10,32,32,46,48,56,54,48,57,54,32,46,48,
      55,49,56,54,50,51,32,46,48,54,50,48,55,51,56,32,46,48,53,54,54,57,57,56,32,
      46,48,53,52,56,50,48,50,32,46,48,53,49,57,55,56,51,32,46,48,52,56,50,55,53,
      52,32,46,48,52,50,56,51,54,49,32,46,48,51,52,53,57,51,50,10,32,32,46,48,50,
      55,52,52,56,49,32,46,48,50,50,50,48,50,56,32,46,48,49,56,56,52,53,55,32,46,
      48,49,53,49,57,48,57,32,46,48,49,50,49,55,49,51,32,46,48,48,57,54,49,54,49,
      56,32,46,48,48,55,56,51,51,54,55,32,46,48,48,54,54,51,53,57,57,32,46,48,48,
      53,56,56,54,56,51,10,32,32,46,48,48,53,50,51,57,53,56,32,46,48,48,52,53,56,
      48,55,53,32,46,48,48,51,57,56,53,52,32,46,48,48,50,55,56,50,52,32,46,48,48,
      49,56,54,57,56,54,32,46,48,48,49,51,50,53,53,54,32,46,48,48,48,57,57,51,48,
      53,57,32,46,48,48,48,56,56,56,54,57,53,10,32,32,46,48,48,48,54,55,50,56,57,
      32,46,48,48,48,53,49,52,50,52,55,32,46,48,48,48,51,57,55,51,54,49,32,46,48,
      48,48,51,49,48,57,49,57,32,46,48,48,48,50,51,55,49,49,53,32,46,48,48,48,49,
      57,52,54,52,50,32,46,48,48,48,49,53,57,57,53,51,32,46,48,48,48,49,49,54,48,
      55,54,10,32,32,57,46,53,52,53,49,57,101,45,48,53,32,55,46,48,50,49,49,101,45,
      48,53,32,53,46,48,56,49,48,54,101,45,48,53,32,52,46,49,56,55,51,52,101,45,48,
      53,32,51,46,52,52,57,55,54,101,45,48,53,32,50,46,53,52,48,56,54,101,45,48,53,
      32,49,46,56,49,51,56,57,101,45,48,53,10,32,32,49,46,53,48,52,55,54,101,45,48,
      53,32,49,46,49,49,51,50,57,101,45,48,53,32,57,46,50,54,53,52,55,101,45,48,54,
      32,54,46,56,55,53,52,54,101,45,48,54,32,53,46,51,56,56,57,54,101,45,48,54,32,
      57,46,50,56,56,55,55,101,45,48,54,32,56,46,49,54,53,54,101,45,48,54,10,32,32,
      54,46,51,55,52,51,53,101,45,48,54,32,52,46,56,53,48,50,51,101,45,48,54,32,51,
      46,56,54,51,56,53,101,45,48,54,32,51,46,48,55,57,101,45,48,54,32,50,46,52,57,
      48,51,49,101,45,48,54,32,50,46,48,50,49,49,57,101,45,48,54,32,49,46,54,48,52,
      49,51,101,45,48,54,10,32,32,49,46,51,48,54,55,55,101,45,48,54,32,49,46,48,52,
      50,54,55,101,45,48,54,32,56,46,56,51,50,50,55,101,45,48,55,32,54,46,55,51,57,
      53,57,101,45,48,55,32,53,46,55,49,48,56,52,101,45,48,55,32,52,46,54,52,57,49,
      57,101,45,48,55,32,50,46,56,56,50,49,49,101,45,48,55,10,32,32,49,46,52,57,52,
      56,57,101,45,48,55,32,55,46,56,57,48,49,53,101,45,48,56,32,51,46,53,53,54,48,
      51,101,45,48,56,32,49,46,54,48,53,53,56,101,45,48,56,32,54,46,49,57,54,55,52,
      101,45,48,57,32,50,46,56,48,55,52,49,101,45,48,57,32,55,46,57,51,48,54,55,101,
      45,49,48,10,32,32,50,46,51,56,49,56,101,45,49,48,32,49,46,48,50,50,57,55,101,
      45,49,48,32,51,46,57,56,51,57,56,101,45,49,49,32,49,46,49,51,53,50,52,101,45,
      49,49,32,51,46,55,57,48,55,51,101,45,49,50,32,49,46,50,54,55,53,51,101,45,49,
      50,32,51,46,54,50,57,56,57,101,45,49,51,10,32,32,49,46,48,52,49,48,57,101,45,
      49,51,32,51,46,52,57,52,52,49,101,45,49,52,32,49,46,49,55,52,48,52,101,45,49,
      52,32,51,46,57,52,56,48,53,101,45,49,53,32,49,46,48,49,51,48,56,101,45,49,53,
      32,50,46,52,56,57,51,51,101,45,49,54,32,53,46,50,52,49,52,51,101,45,49,55,10,
      32,32,49,46,50,57,48,53,51,101,45,49,55,32,50,46,55,49,48,53,55,101,45,49,56,
      32,54,46,54,50,49,51,56,101,45,49,57,32,49,46,54,51,52,53,56,101,45,49,57,32,
      50,46,56,54,50,57,56,101,45,50,48,32,48,114,49,48,55,32,49,46,53,52,57,52,50,
      101,45,48,54,32,54,46,50,49,50,55,54,101,45,48,54,10,32,32,49,46,51,57,56,57,
      55,101,45,48,53,32,49,46,53,52,57,51,52,101,45,48,53,32,54,46,50,49,49,55,51,
      101,45,48,53,32,46,48,48,48,49,51,57,56,53,57,32,46,48,48,48,50,57,49,57,52,
      49,32,46,48,48,48,52,53,53,55,55,32,46,48,48,48,54,53,54,48,51,49,32,46,48,
      48,48,56,57,50,48,53,10,32,32,46,48,48,49,49,54,52,50,32,46,48,48,49,52,55,
      49,57,50,32,46,48,48,49,57,49,52,51,54,32,46,48,48,50,51,49,51,53,51,32,46,
      48,48,50,55,52,57,54,55,32,46,48,48,51,50,50,50,50,57,32,46,48,48,51,55,51,
      49,50,53,32,46,48,48,52,50,55,54,50,51,32,46,48,48,52,56,53,54,54,50,10,32,
      32,46,48,48,53,52,55,50,50,51,32,46,48,48,54,49,50,50,52,55,32,46,48,48,54,
      56,48,55,48,50,32,46,48,48,55,53,50,53,50,56,32,46,48,48,56,50,55,54,57,32,
      46,48,48,57,48,54,49,51,54,32,46,48,48,57,56,55,56,48,57,32,46,48,49,48,55,
      50,54,52,32,46,48,49,49,54,48,54,49,10,32,32,46,48,49,50,53,49,54,54,32,46,
      48,49,51,52,53,55,51,32,46,48,49,52,52,50,55,54,32,46,48,49,53,52,50,55,54,
      32,46,48,49,54,52,53,55,32,46,48,49,55,53,49,52,53,32,46,48,49,56,54,48,48,
      54,32,46,48,49,57,55,49,54,56,32,46,48,50,48,56,53,57,56,10,32,32,46,48,50,
      50,48,51,48,55,32,46,48,50,51,50,51,51,56,32,46,48,50,52,52,54,51,54,32,46,
      48,50,53,55,49,57,56,32,46,48,50,55,48,49,50,55,32,46,48,50,56,51,51,50,53,
      32,46,48,50,57,54,55,56,57,32,46,48,51,49,48,54,51,50,32,46,48,51,50,52,55,
      54,57,10,32,32,46,48,51,51,57,49,55,56,32,46,48,51,53,51,57,54,52,32,46,48,
      51,54,57,48,55,56,32,46,48,51,56,52,52,54,57,32,46,48,52,48,48,50,49,53,32,
      46,48,52,49,54,51,49,54,32,46,48,52,51,50,54,57,57,32,46,48,52,52,57,52,49,
      49,32,46,48,52,54,54,52,57,52,10,32,32,46,48,52,56,51,56,54,49,32,46,48,53,
      48,49,53,50,57,32,46,48,53,49,57,53,55,50,32,46,48,53,51,55,56,57,55,32,46,
      48,53,53,54,52,57,55,32,46,48,53,55,53,52,56,50,32,46,48,53,57,52,55,51,56,
      32,46,48,54,49,52,50,55,53,32,46,48,54,51,52,49,54,56,10,32,32,46,48,54,53,
      52,51,53,52,32,46,48,54,55,52,56,49,53,32,46,48,54,57,53,54,51,55,32,46,48,
      55,49,54,55,55,56,32,46,48,55,51,56,49,56,57,32,46,48,55,53,57,57,55,55,32,
      46,48,55,56,50,49,52,51,32,46,48,56,48,52,53,56,32,46,48,56,50,55,52,48,54,
      10,32,32,46,48,56,53,48,55,50,51,32,46,48,56,55,52,51,48,56,32,46,48,56,57,
      56,50,53,51,32,46,48,57,50,50,56,57,49,32,46,48,57,52,55,55,56,55,32,46,48,
      57,55,50,57,53,56,32,46,48,57,57,57,48,56,49,32,46,49,48,50,53,52,54,32,46,
      49,48,53,50,48,57,32,46,49,48,55,57,55,49,10,32,32,46,49,49,48,55,55,32,46,
      49,49,51,53,57,50,32,46,49,49,54,53,48,52,32,46,49,49,57,52,54,57,32,46,49,
      50,50,52,53,51,32,46,49,50,53,53,49,50,32,46,49,50,56,54,51,55,32,46,49,51,
      49,55,56,32,46,49,51,52,57,55,53,32,46,49,51,56,50,52,56,32,46,49,52,49,53,
      51,54,10,32,32,46,49,52,52,56,53,53,32,46,49,52,56,50,53,54,32,46,49,53,49,
      54,55,32,46,49,53,53,49,48,49,32,46,49,53,56,54,48,56,32,46,49,54,50,49,50,
      57,32,46,49,54,53,54,54,52,32,46,49,54,57,50,53,32,46,49,55,50,56,53,54,32,
      46,49,55,54,52,56,49,32,46,49,56,48,49,51,49,10,32,32,46,49,56,51,56,48,52,
      32,46,49,56,55,52,57,55,32,46,49,57,49,50,48,51,32,46,49,57,52,57,50,51,32,
      46,49,57,56,54,54,53,32,46,50,48,50,52,49,53,32,46,50,48,54,49,54,52,32,46,
      50,48,57,57,51,54,32,46,50,49,51,55,50,49,32,46,50,49,55,52,55,52,10,32,32,
      46,50,50,49,50,53,51,32,46,50,50,53,48,53,53,32,46,50,50,56,55,56,56,32,46,
      50,51,50,53,52,53,32,46,50,51,54,51,50,54,32,46,50,52,48,48,50,55,32,46,50,
      52,51,55,50,54,32,46,50,52,55,52,52,57,32,46,50,53,49,48,56,56,32,46,50,53,
      52,54,57,51,10,32,32,46,50,53,56,51,48,56,32,46,50,54,49,56,53,50,32,46,50,
      54,53,51,50,49,32,46,50,54,56,55,56,50,32,46,50,55,50,49,56,54,32,46,50,55,
      53,52,56,32,46,50,55,56,55,52,54,32,46,50,56,49,57,54,52,32,46,50,56,53,48,
      54,57,32,46,50,56,56,49,50,52,32,46,50,57,49,49,50,49,10,32,32,46,50,57,52,
      48,52,54,32,46,50,57,54,57,48,49,32,46,50,57,57,54,55,57,32,46,51,48,50,52,
      53,49,32,46,51,48,53,49,53,54,32,46,51,48,55,55,55,55,32,46,51,49,48,52,50,
      53,32,46,51,49,51,48,52,53,32,46,51,49,53,53,56,50,32,46,51,49,56,49,52,56,
      10,32,32,46,51,50,48,55,52,32,46,51,50,51,50,53,57,32,46,51,50,53,55,56,49,
      32,46,51,50,56,51,56,51,32,46,51,51,48,57,49,52,32,46,51,51,51,52,49,57,32,
      46,51,51,54,48,49,51,32,46,51,51,56,53,53,50,32,46,51,52,49,48,51,52,32,46,
      51,52,51,53,56,56,32,46,51,52,54,48,57,10,32,32,46,51,52,56,53,51,55,32,46,
      51,53,49,55,56,55,32,46,51,53,56,57,55,32,46,51,54,56,51,54,55,32,46,51,56,
      48,49,53,56,32,46,51,56,56,52,54,54,32,46,51,57,54,56,49,49,32,46,52,48,56,
      50,56,54,32,46,52,50,51,54,55,56,32,46,52,52,49,55,49,49,32,46,52,54,48,53,
      55,10,32,32,46,52,55,56,53,55,53,32,46,52,57,52,53,49,50,32,46,53,48,55,56,
      53,51,32,46,53,49,55,57,54,54,32,46,53,50,53,55,51,52,32,46,53,50,56,55,51,
      54,32,46,53,50,53,54,49,54,32,46,53,49,53,55,52,51,32,46,53,48,48,54,51,32,
      46,52,55,54,57,57,49,32,46,52,53,49,50,51,56,10,32,32,46,52,50,56,52,51,32,
      46,52,48,57,53,49,50,32,46,52,48,50,51,55,55,32,46,52,48,53,54,49,56,32,46,
      52,49,52,57,51,52,32,46,52,50,51,48,50,50,32,46,52,50,51,56,54,52,32,46,52,
      49,49,57,52,55,32,46,51,56,56,55,55,32,46,51,54,48,52,56,49,32,46,51,51,48,
      51,50,55,10,32,32,46,51,48,48,57,49,49,32,46,50,55,57,50,52,57,32,46,50,54,
      53,54,32,46,50,54,49,49,48,53,32,46,50,53,54,49,52,56,32,46,50,52,54,54,54,
      51,32,46,50,50,54,49,32,46,49,57,51,49,52,51,32,46,49,53,57,51,48,57,32,46,
      49,50,57,56,54,54,32,46,49,48,52,50,52,49,10,32,32,46,48,56,53,51,57,51,32,
      46,48,55,49,51,57,51,50,32,46,48,54,49,55,52,52,55,32,46,48,53,54,52,52,57,
      32,46,48,53,52,54,48,51,55,32,46,48,53,49,55,57,51,54,32,46,48,52,56,49,50,
      49,54,32,46,48,52,50,55,49,54,57,32,46,48,51,52,53,49,52,51,32,46,48,50,55,
      51,57,54,50,10,32,32,46,48,50,50,49,54,54,54,32,46,48,49,56,56,49,56,32,46,
      48,49,53,49,55,49,50,32,46,48,49,50,49,53,55,51,32,46,48,48,57,54,48,54,50,
      51,32,46,48,48,55,56,50,54,50,54,32,46,48,48,54,54,51,48,49,53,32,46,48,48,
      53,56,56,49,57,50,32,46,48,48,53,50,51,53,52,51,10,32,32,46,48,48,52,53,55,
      55,51,32,46,48,48,51,57,56,50,53,51,32,46,48,48,50,55,56,48,54,32,46,48,48,
      49,56,54,56,55,55,32,46,48,48,49,51,50,52,56,53,32,46,48,48,48,57,57,50,53,
      54,51,32,46,48,48,48,56,56,56,50,54,54,32,46,48,48,48,54,55,50,53,56,52,10,
      32,32,46,48,48,48,53,49,52,48,50,54,32,46,48,48,48,51,57,55,49,57,57,32,46,
      48,48,48,51,49,48,55,57,57,32,46,48,48,48,50,51,55,48,50,56,32,46,48,48,48,
      49,57,52,53,55,52,32,46,48,48,48,49,53,57,56,57,57,32,46,48,48,48,49,49,54,
      48,51,57,32,57,46,53,52,50,50,101,45,48,53,10,32,32,55,46,48,49,57,48,52,101,
      45,48,53,32,53,46,48,55,57,54,53,101,45,48,53,32,52,46,49,56,54,50,49,101,45,
      48,53,32,51,46,52,52,56,56,53,101,45,48,53,32,50,46,53,52,48,50,50,101,45,48,
      53,32,49,46,56,49,51,52,54,101,45,48,53,32,49,46,53,48,52,52,49,101,45,48,53,
      10,32,32,49,46,49,49,51,48,52,101,45,48,53,32,57,46,50,54,51,52,52,101,45,48,
      54,32,54,46,56,55,52,48,49,101,45,48,54,32,53,46,51,56,55,56,57,101,45,48,54,
      32,57,46,50,56,53,55,49,101,45,48,54,32,56,46,49,54,50,57,51,101,45,48,54,32,
      54,46,51,55,50,50,57,101,45,48,54,10,32,32,52,46,56,52,56,54,56,101,45,48,54,
      32,51,46,56,54,50,54,51,101,45,48,54,32,51,46,48,55,56,48,52,101,45,48,54,32,
      50,46,52,56,57,53,51,101,45,48,54,32,50,46,48,50,48,53,54,101,45,48,54,32,49,
      46,54,48,51,54,52,101,45,48,54,32,49,46,51,48,54,51,55,101,45,48,54,10,32,32,
      49,46,48,52,50,51,53,101,45,48,54,32,56,46,56,50,57,54,50,101,45,48,55,32,54,
      46,55,51,55,53,57,101,45,48,55,32,53,46,55,48,57,49,53,101,45,48,55,32,52,46,
      54,52,55,56,51,101,45,48,55,32,50,46,56,56,49,50,56,101,45,48,55,32,49,46,52,
      57,52,52,55,101,45,48,55,10,32,32,55,46,56,56,55,57,54,101,45,48,56,32,51,46,
      53,53,53,48,54,101,45,48,56,32,49,46,54,48,53,49,54,101,45,48,56,32,54,46,49,
      57,53,49,53,101,45,48,57,32,50,46,56,48,54,55,49,101,45,48,57,32,55,46,57,50,
      56,55,53,101,45,49,48,32,50,46,51,56,49,50,52,101,45,49,48,10,32,32,49,46,48,
      50,50,55,52,101,45,49,48,32,51,46,57,56,51,48,57,101,45,49,49,32,49,46,49,51,
      53,101,45,49,49,32,51,46,55,56,57,57,53,101,45,49,50,32,49,46,50,54,55,50,55,
      101,45,49,50,32,51,46,54,50,57,49,54,101,45,49,51,32,49,46,48,52,48,56,57,101,
      45,49,51,10,32,32,51,46,52,57,51,56,101,45,49,52,32,49,46,49,55,51,56,51,101,
      45,49,52,32,51,46,57,52,55,51,56,101,45,49,53,32,49,46,48,49,51,55,56,101,45,
      49,53,32,50,46,52,57,49,49,53,101,45,49,54,32,53,46,50,52,53,52,54,101,45,49,
      55,32,49,46,50,57,49,53,51,101,45,49,55,10,32,32,50,46,55,49,50,54,56,101,45,
      49,56,32,54,46,54,50,54,50,57,101,45,49,57,32,49,46,54,51,53,56,53,101,45,49,
      57,32,50,46,56,54,49,57,51,101,45,50,48,32,48,114,49,48,55,32,57,46,54,48,48,
      53,54,101,45,48,55,32,51,46,56,52,57,54,49,101,45,48,54,32,56,46,54,54,56,54,
      101,45,48,54,10,32,32,57,46,54,48,48,51,57,101,45,48,54,32,51,46,56,52,57,52,
      55,101,45,48,53,32,56,46,54,54,56,56,49,101,45,48,53,32,46,48,48,48,49,55,52,
      57,57,32,46,48,48,48,50,56,50,56,55,32,46,48,48,48,52,48,55,51,51,51,32,46,
      48,48,48,53,53,52,49,52,53,32,46,48,48,48,55,50,51,54,48,49,10,32,32,46,48,
      48,48,57,49,53,52,51,53,32,46,48,48,49,49,50,57,53,57,32,46,48,48,49,52,52,
      48,57,32,46,48,48,49,55,49,51,56,55,32,46,48,48,50,48,49,48,49,51,32,46,48,
      48,50,51,50,57,55,32,46,48,48,50,54,55,50,52,57,32,46,48,48,51,48,51,56,50,
      53,32,46,48,48,51,52,50,54,57,56,10,32,32,46,48,48,51,56,51,56,52,50,32,46,
      48,48,52,50,55,50,53,52,32,46,48,48,52,55,50,57,48,55,32,46,48,48,53,50,48,
      55,57,52,32,46,48,48,53,55,48,56,57,55,32,46,48,48,54,50,51,49,57,32,46,48,
      48,54,55,55,54,52,54,32,46,48,48,55,51,52,50,54,57,32,46,48,48,55,57,51,48,
      50,53,10,32,32,46,48,48,56,53,51,56,56,56,32,46,48,48,57,49,54,56,51,56,32,
      46,48,48,57,56,49,56,56,32,46,48,49,48,52,56,57,57,32,46,48,49,49,49,56,49,
      50,32,46,48,49,49,56,57,50,56,32,46,48,49,50,54,50,53,52,32,46,48,49,51,51,
      55,55,53,32,46,48,49,52,49,52,57,54,10,32,32,46,48,49,52,57,52,51,50,32,46,
      48,49,53,55,53,54,51,32,46,48,49,54,53,56,56,55,32,46,48,49,55,52,52,52,52,
      32,46,48,49,56,51,49,57,54,32,46,48,49,57,50,49,52,49,32,46,48,50,48,49,51,
      50,51,32,46,48,50,49,48,55,49,49,32,46,48,50,50,48,50,57,52,10,32,32,46,48,
      50,51,48,49,49,52,32,46,48,50,52,48,49,53,52,32,46,48,50,53,48,51,57,49,32,
      46,48,50,54,48,56,53,55,32,46,48,50,55,49,53,53,50,32,46,48,50,56,50,52,52,
      57,32,46,48,50,57,51,53,54,53,32,46,48,51,48,52,57,49,56,32,46,48,51,49,54,
      52,55,49,10,32,32,46,48,51,50,56,50,51,51,32,46,48,51,52,48,50,51,51,32,46,
      48,51,53,50,52,51,53,32,46,48,51,54,52,56,51,52,32,46,48,51,55,55,52,55,55,
      32,46,48,51,57,48,51,49,53,32,46,48,52,48,51,51,53,52,32,46,48,52,49,54,54,
      50,53,32,46,48,52,51,48,49,48,49,10,32,32,46,48,52,52,51,55,55,53,32,46,48,
      52,53,55,54,56,49,32,46,48,52,55,49,56,48,53,32,46,48,52,56,54,49,50,52,32,
      46,48,53,48,48,54,56,53,32,46,48,53,49,53,52,56,54,32,46,48,53,51,48,52,56,
      52,32,46,48,53,52,53,55,50,56,32,46,48,53,54,49,50,54,49,10,32,32,46,48,53,
      55,54,57,57,32,46,48,53,57,50,57,53,51,32,46,48,54,48,57,50,56,57,32,46,48,
      54,50,53,56,49,54,32,46,48,54,52,50,53,52,50,32,46,48,54,53,57,55,53,32,46,
      48,54,55,55,49,53,32,46,48,54,57,52,55,51,53,32,46,48,55,49,50,56,50,32,46,
      48,55,51,49,49,51,52,10,32,32,46,48,55,52,57,54,51,51,32,46,48,55,54,56,53,
      56,53,32,46,48,55,56,55,56,51,51,32,46,48,56,48,55,50,52,55,32,46,48,56,50,
      55,48,52,55,32,46,48,56,52,55,50,48,49,32,46,48,56,54,55,53,48,54,32,46,48,
      56,56,56,49,48,52,32,46,48,57,48,57,48,57,56,10,32,32,46,48,57,51,48,50,51,
      49,32,46,48,57,53,49,53,55,51,32,46,48,57,55,51,51,50,52,32,46,48,57,57,53,
      50,48,53,32,46,49,48,49,55,50,52,32,46,49,48,51,57,54,53,32,46,49,48,54,50,
      50,32,46,49,48,56,52,56,57,32,46,49,49,48,55,56,54,32,46,49,49,51,49,10,32,
      32,46,49,49,53,52,51,32,46,49,49,55,55,55,55,32,46,49,50,48,49,52,51,32,46,
      49,50,50,53,50,53,32,46,49,50,52,57,50,49,32,46,49,50,55,51,51,49,32,46,49,
      50,57,55,53,56,32,46,49,51,50,49,57,56,32,46,49,51,52,54,52,55,32,46,49,51,
      55,49,49,51,32,46,49,51,57,53,57,52,10,32,32,46,49,52,50,48,55,50,32,46,49,
      52,52,53,54,57,32,46,49,52,55,48,56,52,32,46,49,52,57,53,56,52,32,46,49,53,
      50,49,48,49,32,46,49,53,52,54,51,54,32,46,49,53,55,49,53,32,46,49,53,57,54,
      55,52,32,46,49,54,50,50,49,53,32,46,49,54,52,55,51,51,32,46,49,54,55,50,52,
      56,10,32,32,46,49,54,57,55,55,53,32,46,49,55,50,50,56,51,32,46,49,55,52,55,
      55,32,46,49,55,55,50,54,50,32,46,49,55,57,55,51,56,32,46,49,56,50,49,55,57,
      32,46,49,56,52,54,49,53,32,46,49,56,55,48,51,55,32,46,49,56,57,52,49,57,32,
      46,49,57,49,55,56,53,32,46,49,57,52,49,51,51,10,32,32,46,49,57,54,52,53,51,
      32,46,49,57,56,55,52,56,32,46,50,48,49,48,49,51,32,46,50,48,51,50,55,55,32,
      46,50,48,53,53,49,51,32,46,50,48,55,55,49,53,32,46,50,48,57,57,50,56,32,46,
      50,49,50,49,51,32,46,50,49,52,50,57,53,32,46,50,49,54,52,55,52,32,46,50,49,
      56,54,54,53,10,32,32,46,50,50,48,56,50,51,32,46,50,50,50,57,56,51,32,46,50,
      50,53,49,55,56,32,46,50,50,55,51,52,51,32,46,50,50,57,52,57,53,32,46,50,51,
      49,54,56,57,32,46,50,51,51,56,53,56,32,46,50,51,54,48,48,50,32,46,50,51,56,
      49,55,57,32,46,50,52,48,51,51,51,10,32,32,46,50,52,50,52,54,32,46,50,52,53,
      50,56,56,32,46,50,53,49,54,55,53,32,46,50,54,48,52,53,32,46,50,55,50,55,50,
      55,32,46,50,56,50,54,55,56,32,46,50,57,50,50,54,49,32,46,51,48,51,52,48,51,
      32,46,51,49,54,55,51,54,32,46,51,51,49,53,57,52,32,46,51,52,54,57,49,49,10,
      32,32,46,51,54,49,54,53,56,32,46,51,55,53,49,48,51,32,46,51,56,54,57,49,32,
      46,51,57,54,54,55,53,32,46,52,48,53,53,51,53,32,46,52,49,49,49,56,55,32,46,
      52,49,51,55,50,51,32,46,52,49,49,50,51,57,32,46,52,48,52,53,53,54,32,46,51,
      57,49,56,54,53,32,46,51,55,54,52,49,51,10,32,32,46,51,54,50,50,48,55,32,46,
      51,53,48,53,57,54,32,46,51,52,55,54,49,50,32,46,51,53,51,49,53,57,32,46,51,
      54,51,50,57,51,32,46,51,55,50,50,54,50,32,46,51,55,53,52,53,49,32,46,51,54,
      56,50,53,32,46,51,53,49,51,56,53,32,46,51,50,57,53,49,52,32,46,51,48,53,51,
      50,52,10,32,32,46,50,56,49,48,53,32,46,50,54,50,57,52,50,32,46,50,53,49,54,
      53,57,32,46,50,52,56,53,54,32,46,50,52,52,56,56,32,46,50,51,54,54,55,49,32,
      46,50,49,56,49,52,54,32,46,49,56,55,54,55,50,32,46,49,53,53,56,49,56,32,46,
      49,50,55,54,57,54,32,46,49,48,50,57,50,57,10,32,32,46,48,56,52,53,53,55,51,
      32,46,48,55,48,56,51,50,55,32,46,48,54,49,51,52,57,55,32,46,48,53,54,49,52,
      54,57,32,46,48,53,52,51,52,50,50,32,46,48,53,49,53,55,48,51,32,46,48,52,55,
      57,51,53,53,32,46,48,52,50,53,55,50,54,32,46,48,51,52,52,49,56,53,10,32,32,
      46,48,50,55,51,51,51,32,46,48,50,50,49,50,50,55,32,46,48,49,56,55,56,52,53,
      32,46,48,49,53,49,52,55,52,32,46,48,49,50,49,52,48,50,32,46,48,48,57,53,57,
      52,49,51,32,46,48,48,55,56,49,55,50,51,32,46,48,48,54,54,50,51,48,50,32,46,
      48,48,53,56,55,53,57,50,10,32,32,46,48,48,53,50,51,48,51,51,32,46,48,48,52,
      53,55,51,48,54,32,46,48,48,51,57,55,57,32,46,48,48,50,55,55,56,51,56,32,46,
      48,48,49,56,54,55,52,51,32,46,48,48,49,51,50,51,57,56,32,46,48,48,48,57,57,
      49,57,53,54,32,46,48,48,48,56,56,55,55,52,49,10,32,32,46,48,48,48,54,55,50,
      50,49,32,46,48,48,48,53,49,51,55,53,54,32,46,48,48,48,51,57,55,48,48,50,32,
      46,48,48,48,51,49,48,54,53,50,32,46,48,48,48,50,51,54,57,50,49,32,46,48,48,
      48,49,57,52,52,56,56,32,46,48,48,48,49,53,57,56,51,49,32,46,48,48,48,49,49,
      53,57,57,51,10,32,32,57,46,53,51,56,53,101,45,48,53,32,55,46,48,49,54,52,55,
      101,45,48,53,32,53,46,48,55,55,56,55,101,45,48,53,32,52,46,49,56,52,55,57,101,
      45,48,53,32,51,46,52,52,55,55,50,101,45,48,53,32,50,46,53,51,57,52,50,101,45,
      48,53,32,49,46,56,49,50,57,50,101,45,48,53,10,32,32,49,46,53,48,51,57,55,101,
      45,48,53,32,49,46,49,49,50,55,51,101,45,48,53,32,57,46,50,54,48,57,50,101,45,
      48,54,32,54,46,56,55,50,50,49,101,45,48,54,32,53,46,51,56,54,53,52,101,45,48,
      54,32,57,46,50,56,50,56,51,101,45,48,54,32,56,46,49,54,48,52,50,101,45,48,54,
      10,32,32,54,46,51,55,48,51,54,101,45,48,54,32,52,46,56,52,55,50,52,101,45,48,
      54,32,51,46,56,54,49,52,57,101,45,48,54,32,51,46,48,55,55,49,52,101,45,48,54,
      32,50,46,52,56,56,56,49,101,45,48,54,32,50,46,48,49,57,57,57,101,45,48,54,32,
      49,46,54,48,51,49,56,101,45,48,54,10,32,32,49,46,51,48,54,101,45,48,54,32,49,
      46,48,52,50,48,54,101,45,48,54,32,56,46,56,50,55,50,101,45,48,55,32,54,46,55,
      51,53,55,54,101,45,48,55,32,53,46,55,48,55,54,49,101,45,48,55,32,52,46,54,52,
      54,53,57,101,45,48,55,32,50,46,56,56,48,53,51,101,45,48,55,10,32,32,49,46,52,
      57,52,48,57,101,45,48,55,32,55,46,56,56,54,101,45,48,56,32,51,46,53,53,52,50,
      49,101,45,48,56,32,49,46,54,48,52,55,56,101,45,48,56,32,54,46,49,57,51,55,53,
      101,45,48,57,32,50,46,56,48,54,48,57,101,45,48,57,32,55,46,57,50,55,48,56,101,
      45,49,48,10,32,32,50,46,51,56,48,55,54,101,45,49,48,32,49,46,48,50,50,53,52,
      101,45,49,48,32,51,46,57,56,50,51,52,101,45,49,49,32,49,46,49,51,52,56,101,
      45,49,49,32,51,46,55,56,57,50,57,101,45,49,50,32,49,46,50,54,55,48,53,101,45,
      49,50,32,51,46,54,50,56,53,55,101,45,49,51,10,32,32,49,46,48,52,48,55,51,101,
      45,49,51,32,51,46,52,57,51,50,56,101,45,49,52,32,49,46,49,55,51,54,55,101,45,
      49,52,32,51,46,57,52,54,56,55,101,45,49,53,32,49,46,48,49,52,53,49,101,45,49,
      53,32,50,46,52,57,51,48,55,101,45,49,54,32,53,46,50,52,57,55,101,45,49,55,10,
      32,32,49,46,50,57,50,53,56,101,45,49,55,32,50,46,55,49,52,56,57,101,45,49,56,
      32,54,46,54,51,49,52,53,101,45,49,57,32,49,46,54,51,55,49,56,101,45,49,57,32,
      50,46,56,54,48,57,56,101,45,50,48,32,48,114,49,48,55,32,53,46,57,51,48,51,56,
      101,45,48,55,32,50,46,51,55,56,101,45,48,54,10,32,32,53,46,51,53,52,57,54,101,
      45,48,54,32,53,46,57,51,48,54,101,45,48,54,32,50,46,51,55,56,52,101,45,48,53,
      32,53,46,51,53,55,53,50,101,45,48,53,32,57,46,53,50,56,52,54,101,45,48,53,32,
      46,48,48,48,49,55,54,53,52,51,32,46,48,48,48,50,53,52,51,54,51,10,32,32,46,
      48,48,48,51,52,54,50,53,53,32,46,48,48,48,52,53,50,52,53,49,32,46,48,48,48,
      53,55,50,56,51,57,32,46,48,48,48,55,48,55,52,52,52,32,46,48,48,48,56,53,54,
      51,54,32,46,48,48,49,48,55,55,56,56,32,46,48,48,49,50,54,53,52,55,32,46,48,
      48,49,52,54,56,50,49,10,32,32,46,48,48,49,54,56,54,49,49,32,46,48,48,49,57,
      49,57,49,50,32,46,48,48,50,49,54,55,51,49,32,46,48,48,50,52,51,48,54,50,32,
      46,48,48,50,55,48,57,49,32,46,48,48,51,48,48,50,55,32,46,48,48,51,51,49,49,
      52,54,32,46,48,48,51,54,51,53,51,55,32,46,48,48,51,57,55,52,51,50,10,32,32,
      46,48,48,52,51,50,56,50,56,32,46,48,48,52,54,57,55,51,55,32,46,48,48,53,48,
      56,49,51,55,32,46,48,48,53,52,56,48,50,52,32,46,48,48,53,56,57,51,57,57,32,
      46,48,48,54,51,50,50,53,53,32,46,48,48,54,55,54,53,56,32,46,48,48,55,50,50,
      51,55,52,32,46,48,48,55,54,57,54,50,10,32,32,46,48,48,56,49,56,51,51,53,32,
      46,48,48,56,54,56,52,56,52,32,46,48,48,57,50,48,48,55,54,32,46,48,48,57,55,
      51,49,50,56,32,46,48,49,48,50,55,54,49,32,46,48,49,48,56,51,53,49,32,46,48,
      49,49,52,48,57,32,46,48,49,49,57,57,55,49,32,46,48,49,50,53,57,57,52,10,32,
      32,46,48,49,51,50,49,54,55,32,46,48,49,51,56,52,56,52,32,46,48,49,52,52,57,
      52,51,32,46,48,49,53,49,53,53,51,32,46,48,49,53,56,51,49,50,32,46,48,49,54,
      53,50,49,50,32,46,48,49,55,50,50,54,51,32,46,48,49,55,57,52,54,52,32,46,48,
      49,56,54,56,49,10,32,32,46,48,49,57,52,51,48,52,32,46,48,50,48,49,57,53,32,
      46,48,50,48,57,55,52,32,46,48,50,49,55,54,55,55,32,46,48,50,50,53,55,54,55,
      32,46,48,50,51,52,48,48,49,32,46,48,50,52,50,51,55,56,32,46,48,50,53,48,57,
      49,49,32,46,48,50,53,57,53,56,54,32,46,48,50,54,56,52,48,54,10,32,32,46,48,
      50,55,55,51,55,56,32,46,48,50,56,54,52,57,54,32,46,48,50,57,53,55,53,55,32,
      46,48,51,48,53,49,55,49,32,46,48,51,49,52,55,51,52,32,46,48,51,50,52,52,52,
      32,46,48,51,51,52,51,48,49,32,46,48,51,52,52,51,49,56,32,46,48,51,53,52,52,
      55,56,10,32,32,46,48,51,54,52,55,57,54,32,46,48,51,55,53,50,56,51,32,46,48,
      51,56,53,57,49,51,32,46,48,51,57,54,54,57,55,32,46,48,52,48,55,54,55,53,32,
      46,48,52,49,56,55,57,53,32,46,48,52,51,48,48,53,56,32,46,48,52,52,49,53,52,
      53,32,46,48,52,53,51,49,55,52,10,32,32,46,48,52,54,52,57,52,50,32,46,48,52,
      55,54,57,51,55,32,46,48,52,56,57,48,56,50,32,46,48,53,48,49,51,54,54,32,46,
      48,53,49,51,56,54,49,32,46,48,53,50,54,53,50,49,32,46,48,53,51,57,51,49,52,
      32,46,48,53,53,50,50,57,51,32,46,48,53,54,53,52,53,50,10,32,32,46,48,53,55,
      56,55,51,57,32,46,48,53,57,50,49,56,54,32,46,48,54,48,53,56,49,55,32,46,48,
      54,49,57,53,55,49,32,46,48,54,51,51,52,54,54,32,46,48,54,52,55,53,52,50,32,
      46,48,54,54,49,55,52,32,46,48,54,55,54,48,54,53,32,46,48,54,57,48,53,54,49,
      10,32,32,46,48,55,48,53,49,56,51,32,46,48,55,49,57,57,51,49,32,46,48,55,51,
      52,56,51,32,46,48,55,52,57,56,53,53,32,46,48,55,54,53,48,50,32,46,48,55,56,
      48,51,49,32,46,48,55,57,53,55,51,56,32,46,48,56,49,49,51,48,49,32,46,48,56,
      50,54,57,57,50,32,46,48,56,52,50,56,48,57,10,32,32,46,48,56,53,56,55,54,53,
      32,46,48,56,55,52,56,52,54,32,46,48,56,57,49,48,53,54,32,46,48,57,48,55,51,
      57,57,32,46,48,57,50,51,56,55,55,32,46,48,57,52,48,52,54,51,32,46,48,57,53,
      55,49,56,53,32,46,48,57,55,52,48,52,55,32,46,48,57,57,49,48,48,51,10,32,32,
      46,49,48,48,56,48,57,32,46,49,48,50,53,51,50,32,46,49,48,52,50,54,51,32,46,
      49,48,54,48,48,53,32,46,49,48,55,55,54,50,32,46,49,48,57,53,50,53,32,46,49,
      49,49,50,57,56,32,46,49,49,51,48,56,51,32,46,49,49,52,56,55,52,32,46,49,49,
      54,54,55,49,10,32,32,46,49,49,56,52,55,55,32,46,49,50,48,50,56,57,32,46,49,
      50,50,49,48,49,32,46,49,50,51,57,49,57,32,46,49,50,53,55,52,32,46,49,50,55,
      53,53,56,32,46,49,50,57,51,55,56,32,46,49,51,49,49,57,55,32,46,49,51,51,48,
      49,52,32,46,49,51,52,56,50,55,32,46,49,51,54,54,51,52,10,32,32,46,49,51,56,
      52,52,51,32,46,49,52,48,50,52,55,32,46,49,52,50,48,52,32,46,49,52,51,56,51,
      57,32,46,49,52,53,54,51,54,32,46,49,52,55,52,50,32,46,49,52,57,50,49,32,46,
      49,53,49,48,48,54,32,46,49,53,50,55,57,32,46,49,53,52,53,55,54,32,46,49,53,
      54,51,55,54,10,32,32,46,49,53,56,49,54,53,32,46,49,53,57,57,53,50,32,46,49,
      54,49,55,53,52,32,46,49,54,51,53,52,57,32,46,49,54,53,51,51,52,32,46,49,54,
      55,49,51,52,32,46,49,54,56,57,50,55,32,46,49,55,48,55,48,56,32,46,49,55,51,
      48,56,32,46,49,55,56,53,49,53,32,46,49,56,54,50,48,56,10,32,32,46,49,57,55,
      54,55,52,32,46,50,48,55,54,50,32,46,50,49,55,48,55,55,32,46,50,50,55,50,49,
      51,32,46,50,51,56,53,48,53,32,46,50,53,48,54,51,54,32,46,50,54,51,48,48,56,
      32,46,50,55,53,48,49,52,32,46,50,56,54,50,50,32,46,50,57,54,52,51,51,32,46,
      51,48,53,51,52,10,32,32,46,51,49,52,50,48,56,32,46,51,50,48,57,54,53,32,46,
      51,50,54,53,52,56,32,46,51,50,56,52,53,32,46,51,50,55,48,57,49,32,46,51,50,
      49,54,50,57,32,46,51,49,51,52,53,53,32,46,51,48,53,52,49,56,32,46,50,57,57,
      49,53,57,32,46,50,57,57,48,55,55,32,46,51,48,54,48,57,53,10,32,32,46,51,49,
      54,53,49,52,32,46,51,50,53,56,54,53,32,46,51,51,48,55,51,57,32,46,51,50,55,
      50,55,50,32,46,51,49,53,54,52,54,32,46,50,57,57,51,52,54,32,46,50,56,48,52,
      53,54,32,46,50,54,48,57,51,53,32,46,50,52,54,49,51,53,32,46,50,51,55,49,51,
      56,10,32,32,46,50,51,53,51,56,50,32,46,50,51,50,57,52,57,32,46,50,50,54,48,
      49,57,32,46,50,48,57,53,54,56,32,46,49,56,49,54,55,56,32,46,49,53,49,57,52,
      32,46,49,50,53,50,53,54,32,46,49,48,49,52,51,57,32,46,48,56,51,54,48,49,50,
      32,46,48,55,48,49,56,55,55,10,32,32,46,48,54,48,56,57,51,50,32,46,48,53,53,
      55,57,54,54,32,46,48,53,52,48,51,56,54,32,46,48,53,49,51,49,48,51,32,46,48,
      52,55,55,49,56,51,32,46,48,52,50,52,48,51,53,32,46,48,51,52,51,48,54,32,46,
      48,50,55,50,53,56,56,32,46,48,50,50,48,55,48,57,10,32,32,46,48,49,56,55,52,
      52,57,32,46,48,49,53,49,49,57,51,32,46,48,49,50,49,50,48,49,32,46,48,48,57,
      53,55,57,56,57,32,46,48,48,55,56,48,54,54,32,46,48,48,54,54,49,52,54,32,46,
      48,48,53,56,54,56,56,51,32,46,48,48,53,50,50,52,51,50,32,46,48,48,52,53,54,
      56,48,55,10,32,32,46,48,48,51,57,55,52,56,54,32,46,48,48,50,55,55,53,55,56,
      32,46,48,48,49,56,54,53,56,54,32,46,48,48,49,51,50,50,57,54,32,46,48,48,48,
      57,57,49,50,52,32,46,48,48,48,56,56,55,49,50,49,32,46,48,48,48,54,55,49,55,
      54,57,32,46,48,48,48,53,49,51,52,51,55,10,32,32,46,48,48,48,51,57,54,55,54,
      54,32,46,48,48,48,51,49,48,52,55,55,32,46,48,48,48,50,51,54,55,57,51,32,46,
      48,48,48,49,57,52,51,56,55,32,46,48,48,48,49,53,57,55,53,50,32,46,48,48,48,
      49,49,53,57,51,56,32,57,46,53,51,52,49,51,101,45,48,53,32,55,46,48,49,51,52,
      52,101,45,48,53,10,32,32,53,46,48,55,53,55,56,101,45,48,53,32,52,46,49,56,51,
      49,50,101,45,48,53,32,51,46,52,52,54,51,56,101,45,48,53,32,50,46,53,51,56,52,
      55,101,45,48,53,32,49,46,56,49,50,50,55,101,45,48,53,32,49,46,53,48,51,52,53,
      101,45,48,53,32,49,46,49,49,50,51,54,101,45,48,53,10,32,32,57,46,50,53,55,57,
      49,101,45,48,54,32,54,46,56,55,48,48,53,101,45,48,54,32,53,46,51,56,52,57,51,
      101,45,48,54,32,57,46,50,54,53,57,101,45,48,54,32,56,46,49,52,54,50,49,101,
      45,48,54,32,54,46,51,54,48,50,54,101,45,48,54,32,52,46,56,52,48,51,55,101,45,
      48,54,10,32,32,51,46,56,53,54,53,54,101,45,48,54,32,51,46,48,55,51,54,52,101,
      45,48,54,32,50,46,52,56,54,51,101,45,48,54,32,50,46,48,49,56,50,101,45,48,54,
      32,49,46,54,48,49,57,56,101,45,48,54,32,49,46,51,48,53,49,56,101,45,48,54,32,
      49,46,48,52,49,53,52,101,45,48,54,10,32,32,56,46,56,50,51,54,49,101,45,48,55,
      32,54,46,55,51,52,48,52,101,45,48,55,32,53,46,55,48,54,50,51,101,45,48,55,32,
      52,46,54,52,53,52,55,101,45,48,55,32,50,46,56,55,57,56,54,101,45,48,55,32,49,
      46,52,57,51,55,53,101,45,48,55,32,55,46,56,56,52,50,56,101,45,48,56,10,32,32,
      51,46,53,53,51,52,54,101,45,48,56,32,49,46,54,48,52,52,54,101,45,48,56,32,54,
      46,49,57,50,53,54,101,45,48,57,32,50,46,56,48,53,53,55,101,45,48,57,32,55,46,
      57,50,53,54,56,101,45,49,48,32,50,46,51,56,48,51,55,101,45,49,48,32,49,46,48,
      50,50,51,55,101,45,49,48,10,32,32,51,46,57,56,49,55,52,101,45,49,49,32,49,46,
      49,51,52,54,51,101,45,49,49,32,51,46,55,56,56,55,54,101,45,49,50,32,49,46,50,
      54,54,56,56,101,45,49,50,32,51,46,54,50,56,49,50,101,45,49,51,32,49,46,48,52,
      48,54,49,101,45,49,51,32,51,46,52,57,50,56,57,101,45,49,52,10,32,32,49,46,49,
      55,51,53,53,101,45,49,52,32,51,46,57,52,54,53,101,45,49,53,32,49,46,48,49,53,
      51,101,45,49,53,32,50,46,52,57,53,48,54,101,45,49,54,32,53,46,50,53,52,48,52,
      101,45,49,55,32,49,46,50,57,51,54,55,101,45,49,55,32,50,46,55,49,55,50,101,
      45,49,56,10,32,32,54,46,54,51,54,56,55,101,45,49,57,32,49,46,54,51,56,53,55,
      101,45,49,57,32,50,46,56,54,48,49,53,101,45,50,48,32,48,114,49,48,55,32,52,
      46,48,49,48,54,55,101,45,48,55,32,49,46,54,48,56,50,52,101,45,48,54,32,51,46,
      54,50,49,54,101,45,48,54,32,52,46,48,49,48,57,49,101,45,48,54,10,32,32,49,46,
      54,48,56,54,51,101,45,48,53,32,51,46,54,50,51,56,57,101,45,48,53,32,54,46,52,
      52,54,48,56,101,45,48,53,32,46,48,48,48,49,49,57,53,53,55,32,46,48,48,48,49,
      55,50,51,48,56,32,46,48,48,48,50,51,52,54,50,53,32,46,48,48,48,51,48,54,54,
      56,53,10,32,32,46,48,48,48,51,56,56,52,50,55,32,46,48,48,48,52,55,57,56,57,
      32,46,48,48,48,53,56,49,49,54,49,32,46,48,48,48,54,57,50,50,56,32,46,48,48,
      48,56,53,57,55,48,54,32,46,48,48,48,57,57,55,57,54,56,32,46,48,48,49,49,52,
      54,55,50,32,46,48,48,49,51,48,53,57,54,10,32,32,46,48,48,49,52,55,53,55,56,
      32,46,48,48,49,54,53,54,49,53,32,46,48,48,49,56,52,55,49,55,32,46,48,48,50,
      48,52,56,56,50,32,46,48,48,50,50,54,49,49,57,32,46,48,48,50,52,56,52,50,57,
      32,46,48,48,50,55,49,56,49,32,46,48,48,50,57,54,50,54,52,32,46,48,48,51,50,
      49,56,48,52,10,32,32,46,48,48,51,52,56,52,49,55,32,46,48,48,51,55,54,49,48,
      51,32,46,48,48,52,48,52,56,55,50,32,46,48,48,52,51,52,55,49,53,32,46,48,48,
      52,54,53,54,50,54,32,46,48,48,52,57,55,54,49,53,32,46,48,48,53,51,48,54,54,
      56,32,46,48,48,53,54,52,55,56,51,10,32,32,46,48,48,53,57,57,57,53,56,32,46,
      48,48,54,51,54,49,57,54,32,46,48,48,54,55,51,52,55,50,32,46,48,48,55,49,49,
      56,48,53,32,46,48,48,55,53,49,49,57,57,32,46,48,48,55,57,49,54,49,50,32,46,
      48,48,56,51,51,48,55,57,32,46,48,48,56,55,53,53,57,57,10,32,32,46,48,48,57,
      49,57,49,51,55,32,46,48,48,57,54,51,55,50,54,32,46,48,49,48,48,57,51,54,32,
      46,48,49,48,53,54,48,51,32,46,48,49,49,48,51,55,52,32,46,48,49,49,53,50,53,
      49,32,46,48,49,50,48,50,51,49,32,46,48,49,50,53,51,49,54,32,46,48,49,51,48,
      53,48,55,10,32,32,46,48,49,51,53,56,48,50,32,46,48,49,52,49,50,48,50,32,46,
      48,49,52,54,55,48,56,32,46,48,49,53,50,51,49,57,32,46,48,49,53,56,48,51,53,
      32,46,48,49,54,51,56,53,55,32,46,48,49,54,57,55,56,53,32,46,48,49,55,53,56,
      49,56,32,46,48,49,56,49,57,53,55,10,32,32,46,48,49,56,56,50,48,50,32,46,48,
      49,57,52,53,53,50,32,46,48,50,48,49,48,48,56,32,46,48,50,48,55,53,55,32,46,
      48,50,49,52,50,51,55,32,46,48,50,50,49,48,49,49,32,46,48,50,50,55,56,57,49,
      32,46,48,50,51,52,56,55,54,32,46,48,50,52,49,57,54,57,10,32,32,46,48,50,52,
      57,49,54,55,32,46,48,50,53,54,52,55,51,32,46,48,50,54,51,56,56,54,32,46,48,
      50,55,49,52,48,53,32,46,48,50,55,57,48,51,49,32,46,48,50,56,54,55,54,54,32,
      46,48,50,57,52,54,48,55,32,46,48,51,48,50,53,53,52,32,46,48,51,49,48,54,49,
      50,10,32,32,46,48,51,49,56,55,55,53,32,46,48,51,50,55,48,52,52,32,46,48,51,
      51,53,52,50,51,32,46,48,51,52,51,57,48,53,32,46,48,51,53,50,52,57,49,32,46,
      48,51,54,49,49,56,51,32,46,48,51,54,57,57,55,56,32,46,48,51,55,56,56,55,53,
      32,46,48,51,56,55,56,55,51,10,32,32,46,48,51,57,54,57,55,49,32,46,48,52,48,
      54,49,55,49,32,46,48,52,49,53,52,55,32,46,48,52,50,52,56,54,51,32,46,48,52,
      51,52,51,53,55,32,46,48,52,52,51,57,53,32,46,48,52,53,51,54,51,53,32,46,48,
      52,54,51,52,49,57,32,46,48,52,55,51,51,48,55,32,46,48,52,56,51,50,56,10,32,
      32,46,48,52,57,51,51,53,55,32,46,48,53,48,51,53,51,55,32,46,48,53,49,51,56,
      49,32,46,48,53,50,52,49,56,49,32,46,48,53,51,52,54,54,51,32,46,48,53,52,53,
      50,51,56,32,46,48,53,53,53,57,49,57,32,46,48,53,54,54,55,48,54,32,46,48,53,
      55,55,53,57,56,10,32,32,46,48,53,56,56,53,57,51,32,46,48,53,57,57,54,57,55,
      32,46,48,54,49,48,57,48,56,32,46,48,54,50,50,50,51,55,32,46,48,54,51,51,54,
      54,55,32,46,48,54,52,53,50,49,32,46,48,54,53,54,56,56,32,46,48,54,54,56,54,
      53,49,32,46,48,54,56,48,53,50,57,32,46,48,54,57,50,53,53,54,10,32,32,46,48,
      55,48,52,54,56,53,32,46,48,55,49,54,57,49,51,32,46,48,55,50,57,50,57,53,32,
      46,48,55,52,49,55,56,52,32,46,48,55,53,52,51,56,32,46,48,55,54,55,49,49,53,
      32,46,48,55,55,57,57,55,51,32,46,48,55,57,50,57,51,32,46,48,56,48,54,48,49,
      55,32,46,48,56,49,57,50,50,54,10,32,32,46,48,56,51,50,53,51,51,32,46,48,56,
      52,53,57,52,55,32,46,48,56,53,57,52,55,53,32,46,48,56,55,51,48,57,51,32,46,
      48,56,56,54,55,57,51,32,46,48,57,48,48,53,56,53,32,46,48,57,49,52,52,52,55,
      32,46,48,57,50,56,51,55,52,32,46,48,57,52,50,51,53,54,10,32,32,46,48,57,53,
      54,51,56,56,32,46,48,57,55,48,52,53,55,32,46,48,57,56,52,53,54,55,32,46,48,
      57,57,56,55,48,52,32,46,49,48,49,50,56,54,32,46,49,48,50,55,48,51,32,46,49,
      48,52,49,50,52,32,46,49,48,53,53,52,52,32,46,49,48,54,57,54,56,32,46,49,48,
      56,51,57,53,10,32,32,46,49,48,57,56,50,49,32,46,49,49,49,50,53,32,46,49,49,
      50,54,56,52,32,46,49,49,52,49,49,56,32,46,49,49,53,53,53,51,32,46,49,49,54,
      57,57,53,32,46,49,49,56,52,51,54,32,46,49,49,57,56,55,54,32,46,49,50,49,51,
      50,52,32,46,49,50,50,55,55,50,32,46,49,50,52,50,49,54,10,32,32,46,49,50,54,
      49,52,51,32,46,49,51,48,53,57,56,32,46,49,51,55,48,51,49,32,46,49,52,54,57,
      56,32,46,49,53,53,57,55,54,32,46,49,54,52,53,51,51,32,46,49,55,51,51,53,50,
      32,46,49,56,50,55,55,49,32,46,49,57,50,54,52,53,32,46,50,48,50,54,52,52,32,
      46,50,49,50,52,49,10,32,32,46,50,50,49,54,56,51,32,46,50,51,48,51,53,50,32,
      46,50,51,56,50,48,56,32,46,50,52,54,52,56,51,32,46,50,53,51,51,53,57,32,46,
      50,54,48,49,57,51,32,46,50,54,52,51,56,56,32,46,50,54,54,48,57,50,32,46,50,
      54,53,49,54,57,32,46,50,54,49,55,51,53,10,32,32,46,50,53,55,57,50,53,32,46,
      50,53,53,51,56,57,32,46,50,53,55,50,55,32,46,50,54,53,48,52,56,32,46,50,55,
      53,51,55,49,32,46,50,56,52,55,52,49,32,46,50,57,48,55,32,46,50,57,48,48,52,
      56,32,46,50,56,50,53,57,50,32,46,50,55,48,57,51,53,32,46,50,53,54,53,55,54,
      10,32,32,46,50,52,49,50,51,50,32,46,50,50,57,52,53,52,32,46,50,50,50,53,52,
      50,32,46,50,50,50,48,49,53,32,46,50,50,48,55,52,52,32,46,50,49,53,48,52,51,
      32,46,50,48,48,54,50,49,32,46,49,55,53,51,51,54,32,46,49,52,55,55,55,49,32,
      46,49,50,50,53,57,56,10,32,32,46,48,57,57,55,57,54,51,32,46,48,56,50,53,51,
      56,51,32,46,48,54,57,52,54,54,52,32,46,48,54,48,51,55,57,55,32,46,48,53,53,
      52,48,48,54,32,46,48,53,51,54,57,52,51,32,46,48,53,49,48,49,52,57,32,46,48,
      52,55,52,55,49,32,46,48,52,50,50,49,48,57,10,32,32,46,48,51,52,49,55,55,53,
      32,46,48,50,55,49,55,51,54,32,46,48,50,50,48,49,49,54,32,46,48,49,56,54,57,
      57,52,32,46,48,49,53,48,56,54,57,32,46,48,49,50,48,57,54,57,32,46,48,48,57,
      53,54,51,52,51,32,46,48,48,55,55,57,52,51,49,32,46,48,48,54,54,48,52,57,49,
      10,32,32,46,48,48,53,56,54,48,54,57,32,46,48,48,53,50,49,55,52,51,32,46,48,
      48,52,53,54,50,51,52,32,46,48,48,51,57,55,48,48,57,32,46,48,48,50,55,55,50,
      55,55,32,46,48,48,49,56,54,52,48,52,32,46,48,48,49,51,50,49,55,56,32,46,48,
      48,48,57,57,48,52,49,54,10,32,32,46,48,48,48,56,56,54,52,48,55,32,46,48,48,
      48,54,55,49,50,54,32,46,48,48,48,53,49,51,48,55,32,46,48,48,48,51,57,54,52,
      57,55,32,46,48,48,48,51,49,48,50,55,54,32,46,48,48,48,50,51,54,54,52,55,32,
      46,48,48,48,49,57,52,50,55,50,32,46,48,48,48,49,53,57,54,54,49,10,32,32,46,
      48,48,48,49,49,53,56,55,53,32,57,46,53,50,57,49,101,45,48,53,32,55,46,48,48,
      57,57,51,101,45,48,53,32,53,46,48,55,51,51,53,101,45,48,53,32,52,46,49,56,49,
      49,54,101,45,48,53,32,51,46,52,52,52,56,49,101,45,48,53,32,50,46,53,51,55,51,
      54,101,45,48,53,10,32,32,49,46,56,49,49,53,49,101,45,48,53,32,49,46,53,48,50,
      56,51,101,45,48,53,32,49,46,49,49,49,57,50,101,45,48,53,32,57,46,50,53,52,51,
      57,101,45,48,54,32,54,46,56,54,55,53,52,101,45,48,54,32,53,46,51,56,51,48,54,
      101,45,48,54,32,57,46,50,52,55,55,57,101,45,48,54,10,32,32,56,46,49,51,48,51,
      101,45,48,54,32,54,46,51,52,55,56,56,101,45,48,54,32,52,46,56,51,48,57,56,101,
      45,48,54,32,51,46,56,52,57,49,101,45,48,54,32,51,46,48,54,55,55,101,45,48,54,
      32,50,46,52,56,49,53,49,101,45,48,54,32,50,46,48,49,52,51,50,101,45,48,54,10,
      32,32,49,46,53,57,56,57,49,101,45,48,54,32,49,46,51,48,50,54,56,101,45,48,54,
      32,49,46,48,51,57,53,53,101,45,48,54,32,56,46,56,48,54,56,101,45,48,55,32,54,
      46,55,50,49,50,53,101,45,48,55,32,53,46,54,57,53,56,55,101,45,48,55,32,52,46,
      54,51,55,53,55,101,45,48,55,10,32,32,50,46,56,55,53,55,50,101,45,48,55,32,49,
      46,52,57,50,49,51,101,45,48,55,32,55,46,56,55,56,51,53,101,45,48,56,32,51,46,
      53,53,50,50,50,101,45,48,56,32,49,46,54,48,52,49,56,101,45,48,56,32,54,46,49,
      57,49,53,55,101,45,48,57,32,50,46,56,48,53,49,52,101,45,48,57,10,32,32,55,46,
      57,50,52,53,53,101,45,49,48,32,50,46,51,56,48,48,53,101,45,49,48,32,49,46,48,
      50,50,50,53,101,45,49,48,32,51,46,57,56,49,50,55,101,45,49,49,32,49,46,49,51,
      52,53,49,101,45,49,49,32,51,46,55,56,56,51,53,101,45,49,50,32,49,46,50,54,54,
      55,53,101,45,49,50,10,32,32,51,46,54,50,55,56,101,45,49,51,32,49,46,48,52,48,
      53,50,101,45,49,51,32,51,46,52,57,50,54,49,101,45,49,52,32,49,46,49,55,51,52,
      55,101,45,49,52,32,51,46,57,52,54,50,56,101,45,49,53,32,49,46,48,49,54,49,49,
      101,45,49,53,32,50,46,52,57,55,49,49,101,45,49,54,10,32,32,53,46,50,53,56,52,
      55,101,45,49,55,32,49,46,50,57,52,56,49,101,45,49,55,32,50,46,55,50,55,57,51,
      101,45,49,56,32,54,46,54,52,50,53,53,101,45,49,57,32,49,46,54,52,48,48,50,101,
      45,49,57,32,50,46,56,53,57,52,50,101,45,50,48,32,48,114,49,48,55,32,51,46,48,
      52,52,53,54,101,45,48,55,10,32,32,49,46,50,50,48,56,51,101,45,48,54,32,50,46,
      55,52,57,49,57,101,45,48,54,32,51,46,48,52,52,55,49,101,45,48,54,32,49,46,50,
      50,49,48,55,101,45,48,53,32,50,46,55,53,48,53,52,101,45,48,53,32,52,46,56,57,
      49,56,52,101,45,48,53,32,56,46,50,52,48,52,52,101,45,48,53,10,32,32,46,48,48,
      48,49,50,57,49,51,54,32,46,48,48,48,49,55,53,56,51,50,32,46,48,48,48,50,50,
      57,56,49,57,32,46,48,48,48,50,57,49,48,53,32,46,48,48,48,51,53,57,53,53,52,
      32,46,48,48,48,52,51,53,51,57,52,32,46,48,48,48,53,49,56,54,32,46,48,48,48,
      54,48,57,49,54,57,10,32,32,46,48,48,48,55,52,52,56,49,54,32,46,48,48,48,56,
      53,53,55,57,55,32,46,48,48,48,57,55,52,53,57,54,32,46,48,48,49,49,48,49,50,
      56,32,46,48,48,49,50,51,53,56,52,32,46,48,48,49,51,55,56,51,52,32,46,48,48,
      49,53,50,56,55,56,32,46,48,48,49,54,56,55,50,51,10,32,32,46,48,48,49,56,53,
      51,55,32,46,48,48,50,48,50,56,49,57,32,46,48,48,50,50,49,48,55,50,32,46,48,
      48,50,52,48,49,52,32,46,48,48,50,54,48,48,49,50,32,46,48,48,50,56,48,54,57,
      51,32,46,48,48,51,48,50,49,56,57,32,46,48,48,51,50,52,52,57,52,32,46,48,48,
      51,52,55,54,48,54,10,32,32,46,48,48,51,55,49,53,51,51,32,46,48,48,51,57,54,
      50,54,53,32,46,48,48,52,50,49,56,48,49,32,46,48,48,52,52,56,49,52,51,32,46,
      48,48,52,55,53,50,57,49,32,46,48,48,53,48,51,50,50,51,32,46,48,48,53,51,49,
      57,54,32,46,48,48,53,54,49,53,48,54,32,46,48,48,53,57,49,56,49,53,10,32,32,
      46,48,48,54,50,50,57,50,55,32,46,48,48,54,53,52,56,52,50,32,46,48,48,54,56,
      55,53,49,54,32,46,48,48,55,50,48,57,56,54,32,46,48,48,55,53,53,50,53,52,32,
      46,48,48,55,57,48,50,57,49,32,46,48,48,56,50,54,49,49,52,32,46,48,48,56,54,
      50,55,51,55,10,32,32,46,48,48,57,48,48,49,51,56,32,46,48,48,57,51,56,51,49,
      54,32,46,48,48,57,55,55,50,57,55,32,46,48,49,48,49,55,48,55,32,46,48,49,48,
      53,55,54,49,32,46,48,49,48,57,56,57,54,32,46,48,49,49,52,49,49,49,32,46,48,
      49,49,56,52,48,51,32,46,48,49,50,50,55,55,54,10,32,32,46,48,49,50,55,50,50,
      57,32,46,48,49,51,49,55,54,32,46,48,49,51,54,51,55,49,32,46,48,49,52,49,48,
      54,51,32,46,48,49,52,53,56,51,52,32,46,48,49,53,48,54,56,52,32,46,48,49,53,
      53,54,49,53,32,46,48,49,54,48,54,50,52,32,46,48,49,54,53,55,49,52,10,32,32,
      46,48,49,55,48,56,56,52,32,46,48,49,55,54,49,51,50,32,46,48,49,56,49,52,54,
      32,46,48,49,56,54,56,54,56,32,46,48,49,57,50,51,53,53,32,46,48,49,57,55,57,
      49,56,32,46,48,50,48,51,53,54,51,32,46,48,50,48,57,50,56,55,32,46,48,50,49,
      53,48,56,54,10,32,32,46,48,50,50,48,57,54,53,32,46,48,50,50,54,57,50,52,32,
      46,48,50,51,50,57,53,52,32,46,48,50,51,57,48,54,52,32,46,48,50,52,53,50,53,
      53,32,46,48,50,53,49,53,49,52,32,46,48,50,53,55,56,53,50,32,46,48,50,54,52,
      50,55,32,46,48,50,55,48,55,53,52,10,32,32,46,48,50,55,55,51,49,51,32,46,48,
      50,56,51,57,53,49,32,46,48,50,57,48,54,53,56,32,46,48,50,57,55,52,51,52,32,
      46,48,51,48,52,50,57,32,46,48,51,49,49,50,49,55,32,46,48,51,49,56,50,48,56,
      32,46,48,51,50,53,50,55,56,32,46,48,51,51,50,52,50,53,10,32,32,46,48,51,51,
      57,54,51,50,32,46,48,51,52,54,57,49,57,32,46,48,51,53,52,50,56,56,32,46,48,
      51,54,49,55,49,52,32,46,48,51,54,57,50,50,51,32,46,48,51,55,54,56,49,51,32,
      46,48,51,56,52,52,55,50,32,46,48,51,57,50,50,48,55,32,46,48,52,48,48,48,50,
      57,10,32,32,46,48,52,48,55,57,50,51,32,46,48,52,49,53,56,57,57,32,46,48,52,
      50,51,57,53,55,32,46,48,52,51,50,48,57,56,32,46,48,52,52,48,51,50,32,46,48,
      52,52,56,54,50,54,32,46,48,52,53,55,48,49,54,32,46,48,52,54,53,53,48,49,32,
      46,48,52,55,52,48,54,52,10,32,32,46,48,52,56,50,55,49,52,32,46,48,52,57,49,
      52,54,57,32,46,48,53,48,48,51,48,50,32,46,48,53,48,57,50,49,54,32,46,48,53,
      49,56,50,53,55,32,46,48,53,50,55,51,55,54,32,46,48,53,51,54,53,55,50,32,46,
      48,53,52,53,56,57,57,32,46,48,53,53,53,51,49,50,10,32,32,46,48,53,54,52,56,
      48,55,32,46,48,53,55,52,52,50,53,32,46,48,53,56,52,49,52,54,32,46,48,53,57,
      51,57,52,54,32,46,48,54,48,51,56,54,49,32,46,48,54,49,51,56,56,55,32,46,48,
      54,50,51,57,57,54,32,46,48,54,51,52,50,48,51,32,46,48,54,52,52,53,50,50,10,
      32,32,46,48,54,53,52,57,50,50,32,46,48,54,54,53,52,48,51,32,46,48,54,55,53,
      57,56,54,32,46,48,54,56,54,54,52,50,32,46,48,54,57,55,51,55,32,46,48,55,48,
      56,49,55,32,46,48,55,49,57,48,51,52,32,46,48,55,50,57,57,53,52,32,46,48,55,
      52,48,57,50,54,32,46,48,55,53,49,57,52,54,10,32,32,46,48,55,54,51,48,48,57,
      32,46,48,55,55,52,49,48,55,32,46,48,55,56,53,50,53,49,32,46,48,55,57,54,52,
      50,32,46,48,56,48,55,54,50,55,32,46,48,56,49,56,56,54,56,32,46,48,56,51,48,
      49,51,32,46,48,56,52,49,52,52,49,32,46,48,56,53,50,55,56,51,32,46,48,56,54,
      52,49,52,53,10,32,32,46,48,56,55,53,53,52,56,32,46,48,56,56,54,57,56,55,32,
      46,48,56,57,56,52,53,53,32,46,48,57,48,57,57,52,50,32,46,48,57,50,49,52,56,
      51,32,46,48,57,51,51,48,52,51,32,46,48,57,52,52,54,49,57,32,46,48,57,54,48,
      48,55,57,32,46,48,57,57,54,48,51,50,10,32,32,46,49,48,52,56,53,56,32,46,49,
      49,51,49,55,32,46,49,50,48,56,56,57,32,46,49,50,56,50,56,51,32,46,49,51,53,
      55,55,32,46,49,52,51,53,56,54,32,46,49,53,49,54,54,32,46,49,53,57,56,48,51,
      32,46,49,54,55,55,57,53,32,46,49,55,53,52,55,57,32,46,49,56,50,55,56,54,10,
      32,32,46,49,56,57,53,55,50,32,46,49,57,54,57,54,50,32,46,50,48,51,52,50,57,
      32,46,50,49,48,52,53,50,32,46,50,49,53,53,55,57,32,46,50,49,56,56,53,52,32,
      46,50,50,48,53,49,52,32,46,50,50,48,48,54,49,32,46,50,49,56,57,57,32,46,50,
      49,56,57,48,56,32,46,50,50,50,48,48,49,10,32,32,46,50,51,48,48,52,53,32,46,
      50,51,57,57,56,56,32,46,50,52,57,49,50,32,46,50,53,53,54,56,52,32,46,50,53,
      55,48,52,57,32,46,50,53,50,56,48,53,32,46,50,52,52,56,53,49,32,46,50,51,52,
      50,53,52,32,46,50,50,50,52,57,49,32,46,50,49,51,51,51,56,32,46,50,48,56,50,
      54,50,10,32,32,46,50,48,56,56,49,57,32,46,50,48,56,53,57,54,32,46,50,48,52,
      48,51,55,32,46,49,57,49,53,52,52,32,46,49,54,56,55,57,51,32,46,49,52,51,52,
      32,46,49,49,57,55,54,57,32,46,48,57,56,48,50,55,49,32,46,48,56,49,51,56,50,
      57,32,46,48,54,56,54,55,54,56,10,32,32,46,48,53,57,56,49,52,49,32,46,48,53,
      52,57,54,50,51,32,46,48,53,51,51,49,50,50,32,46,48,53,48,54,56,54,53,32,46,
      48,52,55,49,57,53,52,32,46,48,52,49,57,57,53,52,32,46,48,51,52,48,51,51,50,
      32,46,48,50,55,48,55,55,56,32,46,48,50,49,57,52,52,54,10,32,32,46,48,49,56,
      54,52,56,49,32,46,48,49,53,48,53,48,52,32,46,48,49,50,48,55,48,56,32,46,48,
      48,57,53,52,52,56,53,32,46,48,48,55,55,56,48,52,52,32,46,48,48,54,53,57,51,
      57,53,32,46,48,48,53,56,53,49,52,55,32,46,48,48,53,50,48,57,53,57,32,46,48,
      48,52,53,53,53,56,50,10,32,32,46,48,48,51,57,54,52,54,56,32,46,48,48,50,55,
      54,57,52,32,46,48,48,49,56,54,49,57,57,32,46,48,48,49,51,50,48,52,52,32,46,
      48,48,48,57,56,57,52,56,50,32,46,48,48,48,56,56,53,53,57,56,32,46,48,48,48,
      54,55,48,54,56,53,32,46,48,48,48,53,49,50,54,53,53,10,32,32,46,48,48,48,51,
      57,54,49,57,51,32,46,48,48,48,51,49,48,48,53,32,46,48,48,48,50,51,54,52,56,
      51,32,46,48,48,48,49,57,52,49,52,50,32,46,48,48,48,49,53,57,53,53,56,32,46,
      48,48,48,49,49,53,56,48,51,32,57,46,53,50,51,52,50,101,45,48,53,32,55,46,48,
      48,53,57,56,101,45,48,53,10,32,32,53,46,48,55,48,54,52,101,45,48,53,32,52,46,
      49,55,57,101,45,48,53,32,51,46,52,52,51,48,55,101,45,48,53,32,50,46,53,51,54,
      49,51,101,45,48,53,32,49,46,56,49,48,54,55,101,45,48,53,32,49,46,53,48,50,49,
      53,101,45,48,53,32,49,46,49,49,49,52,52,101,45,48,53,10,32,32,57,46,50,53,48,
      52,54,101,45,48,54,32,54,46,56,54,52,55,50,101,45,48,54,32,53,46,51,56,48,57,
      52,101,45,48,54,32,57,46,50,50,57,56,55,101,45,48,54,32,56,46,49,49,52,53,57,
      101,45,48,54,32,54,46,51,51,53,54,53,101,45,48,54,32,52,46,56,50,49,55,49,101,
      45,48,54,10,32,32,51,46,56,52,49,55,51,101,45,48,54,32,51,46,48,54,49,56,53,
      101,45,48,54,32,50,46,52,55,54,55,57,101,45,48,54,32,50,46,48,49,48,53,101,
      45,48,54,32,49,46,53,57,53,56,56,101,45,48,54,32,49,46,51,48,48,50,50,101,45,
      48,54,32,49,46,48,51,55,53,57,101,45,48,54,10,32,32,56,46,55,57,48,50,52,101,
      45,48,55,32,54,46,55,48,56,54,53,101,45,48,55,32,53,46,54,56,53,50,49,101,45,
      48,55,32,52,46,54,50,56,57,49,101,45,48,55,32,50,46,56,55,48,51,55,101,45,48,
      55,32,49,46,52,56,57,51,55,101,45,48,55,32,55,46,56,54,51,57,49,101,45,48,56,
      10,32,32,51,46,53,52,53,55,54,101,45,48,56,32,49,46,54,48,49,54,51,101,45,48,
      56,32,54,46,49,56,52,53,52,101,45,48,57,32,50,46,56,48,50,57,56,101,45,48,57,
      32,55,46,57,50,50,57,54,101,45,49,48,32,50,46,51,55,57,56,50,101,45,49,48,32,
      49,46,48,50,50,49,53,101,45,49,48,10,32,32,51,46,57,56,48,57,53,101,45,49,49,
      32,49,46,49,51,52,52,50,101,45,49,49,32,51,46,55,56,56,48,57,101,45,49,50,32,
      49,46,50,54,54,54,56,101,45,49,50,32,51,46,54,50,55,54,50,101,45,49,51,32,49,
      46,48,52,48,52,55,101,45,49,51,32,51,46,52,57,50,52,54,101,45,49,52,10,32,32,
      49,46,49,55,51,52,52,101,45,49,52,32,51,46,57,52,54,50,50,101,45,49,53,32,49,
      46,48,49,54,57,54,101,45,49,53,32,50,46,52,57,57,50,54,101,45,49,54,32,53,46,
      50,54,51,49,101,45,49,55,32,49,46,50,57,53,57,57,101,45,49,55,32,50,46,55,51,
      48,53,50,101,45,49,56,10,32,32,54,46,54,52,56,52,55,101,45,49,57,32,49,46,54,
      52,49,53,52,101,45,49,57,32,50,46,56,53,56,56,101,45,50,48,32,48,114,49,48,
      55,32,50,46,53,48,49,56,57,101,45,48,55,32,49,46,48,48,51,50,50,101,45,48,54,
      32,50,46,50,53,57,49,51,101,45,48,54,32,50,46,53,48,49,57,55,101,45,48,54,10,
      32,32,49,46,48,48,51,51,53,101,45,48,53,32,50,46,50,53,57,56,53,101,45,48,53,
      32,52,46,48,49,56,51,49,101,45,48,53,32,54,46,50,56,49,49,101,45,48,53,32,46,
      48,48,48,49,48,52,48,50,54,32,46,48,48,48,49,52,49,54,50,51,32,46,48,48,48,
      49,56,53,48,55,52,10,32,32,46,48,48,48,50,51,52,51,51,55,32,46,48,48,48,50,
      56,57,52,50,55,32,46,48,48,48,51,53,48,51,57,49,32,46,48,48,48,52,49,55,50,
      52,52,32,46,48,48,48,52,56,57,57,56,32,46,48,48,48,53,54,56,54,52,53,32,46,
      48,48,48,54,56,52,49,49,57,32,46,48,48,48,55,55,56,56,55,57,10,32,32,46,48,
      48,48,56,55,57,56,56,32,46,48,48,48,57,56,55,49,48,54,32,46,48,48,49,49,48,
      48,54,49,32,46,48,48,49,50,50,48,51,55,32,46,48,48,49,51,52,54,52,53,32,46,
      48,48,49,52,55,56,56,53,32,46,48,48,49,54,49,55,53,54,32,46,48,48,49,55,54,
      50,54,10,32,32,46,48,48,49,57,49,52,48,52,32,46,48,48,50,48,55,49,56,49,32,
      46,48,48,50,50,51,53,57,52,32,46,48,48,50,52,48,54,52,56,32,46,48,48,50,53,
      56,51,51,57,32,46,48,48,50,55,54,54,54,52,32,46,48,48,50,57,53,54,51,49,32,
      46,48,48,51,49,53,50,51,50,10,32,32,46,48,48,51,51,53,52,54,56,32,46,48,48,
      51,53,54,51,51,56,32,46,48,48,51,55,55,56,52,54,32,46,48,48,51,57,57,57,55,
      53,32,46,48,48,52,50,50,55,52,32,46,48,48,52,52,54,49,52,50,32,46,48,48,52,
      55,48,49,53,53,32,46,48,48,52,57,52,56,48,49,32,46,48,48,53,50,48,48,56,49,
      10,32,32,46,48,48,53,52,53,57,54,57,32,46,48,48,53,55,50,52,56,54,32,46,48,
      48,53,57,57,54,51,52,32,46,48,48,54,50,55,51,57,54,32,46,48,48,54,53,53,55,
      56,32,46,48,48,54,56,52,55,57,53,32,46,48,48,55,49,52,52,51,32,46,48,48,55,
      52,52,54,56,49,32,46,48,48,55,55,53,53,54,54,10,32,32,46,48,48,56,48,55,48,
      55,55,32,46,48,48,56,51,57,50,48,50,32,46,48,48,56,55,49,57,54,50,32,46,48,
      48,57,48,53,51,53,50,32,46,48,48,57,51,57,51,54,32,46,48,48,57,55,52,32,46,
      48,49,48,48,57,50,55,32,46,48,49,48,52,53,49,55,32,46,48,49,48,56,49,54,57,
      10,32,32,46,48,49,49,49,56,56,54,32,46,48,49,49,53,54,54,52,32,46,48,49,49,
      57,53,48,54,32,46,48,49,50,51,52,49,49,32,46,48,49,50,55,51,55,56,32,46,48,
      49,51,49,52,48,56,32,46,48,49,51,53,53,48,50,32,46,48,49,51,57,54,53,56,32,
      46,48,49,52,51,56,55,54,10,32,32,46,48,49,52,56,49,53,56,32,46,48,49,53,50,
      53,48,50,32,46,48,49,53,54,57,48,56,32,46,48,49,54,49,51,55,55,32,46,48,49,
      54,53,57,48,56,32,46,48,49,55,48,52,57,57,32,46,48,49,55,53,49,53,51,32,46,
      48,49,55,57,56,55,49,32,46,48,49,56,52,54,52,52,10,32,32,46,48,49,56,57,52,
      56,50,32,46,48,49,57,52,51,56,51,32,46,48,49,57,57,51,51,57,32,46,48,50,48,
      52,51,53,54,32,46,48,50,48,57,52,51,56,32,46,48,50,49,52,53,55,51,32,46,48,
      50,49,57,55,54,56,32,46,48,50,50,53,48,50,54,32,46,48,50,51,48,51,52,10,32,
      32,46,48,50,51,53,55,49,32,46,48,50,52,49,49,52,52,32,46,48,50,52,54,54,51,
      53,32,46,48,50,53,50,49,55,57,32,46,48,50,53,55,55,56,54,32,46,48,50,54,51,
      52,53,53,32,46,48,50,54,57,49,55,52,32,46,48,50,55,52,57,53,55,32,46,48,50,
      56,48,56,48,52,10,32,32,46,48,50,56,54,55,48,49,32,46,48,50,57,50,54,54,52,
      32,46,48,50,57,56,54,57,32,46,48,51,48,52,55,55,51,32,46,48,51,49,48,57,49,
      55,32,46,48,51,49,55,49,50,57,32,46,48,51,50,51,51,57,57,32,46,48,51,50,57,
      55,51,52,32,46,48,51,51,54,49,51,53,10,32,32,46,48,51,52,50,53,57,57,32,46,
      48,51,52,57,49,50,57,32,46,48,51,53,53,55,50,51,32,46,48,51,54,50,51,56,52,
      32,46,48,51,54,57,49,49,54,32,46,48,51,55,53,57,49,49,32,46,48,51,56,50,55,
      55,53,32,46,48,51,56,57,55,49,54,32,46,48,51,57,54,55,49,56,10,32,32,46,48,
      52,48,51,55,56,54,32,46,48,52,49,48,57,52,53,32,46,48,52,49,56,49,54,54,32,
      46,48,52,50,53,52,52,57,32,46,48,52,51,50,56,50,53,32,46,48,52,52,48,50,54,
      57,32,46,48,52,52,55,55,55,56,32,46,48,52,53,53,51,55,54,32,46,48,52,54,51,
      48,53,50,10,32,32,46,48,52,55,48,55,57,49,32,46,48,52,55,56,54,49,54,32,46,
      48,52,56,54,53,50,51,32,46,48,52,57,52,52,57,54,32,46,48,53,48,50,53,52,52,
      32,46,48,53,49,48,54,55,55,32,46,48,53,49,56,56,55,53,32,46,48,53,50,55,49,
      52,32,46,48,53,51,53,52,56,51,10,32,32,46,48,53,52,51,56,56,56,32,46,48,53,
      53,50,51,53,52,32,46,48,53,54,48,56,56,32,46,48,53,54,57,52,54,52,32,46,48,
      53,55,56,49,32,46,48,53,56,54,55,56,53,32,46,48,53,57,53,53,49,54,32,46,48,
      54,48,52,50,57,50,32,46,48,54,49,51,49,48,52,32,46,48,54,50,49,57,54,50,10,
      32,32,46,48,54,51,48,56,53,52,32,46,48,54,51,57,55,56,54,32,46,48,54,52,56,
      55,53,49,32,46,48,54,53,55,55,53,32,46,48,54,54,54,55,57,32,46,48,54,55,53,
      56,54,55,32,46,48,54,56,52,57,55,51,32,46,48,54,57,52,49,49,55,32,46,48,55,
      48,51,51,48,49,32,46,48,55,49,50,53,49,53,10,32,32,46,48,55,50,49,55,54,49,
      32,46,48,55,51,49,48,52,57,32,46,48,55,52,48,51,55,49,32,46,48,55,52,57,55,
      49,51,32,46,48,55,54,50,50,49,32,46,48,55,57,49,51,54,55,32,46,48,56,51,52,
      50,55,55,32,46,48,57,48,51,48,53,52,32,46,48,57,54,56,48,52,56,10,32,32,46,
      49,48,51,48,55,57,32,46,49,48,57,51,57,54,32,46,49,49,53,57,49,50,32,46,49,
      50,50,53,57,32,46,49,50,57,51,48,55,32,46,49,51,53,57,50,55,32,46,49,52,50,
      51,52,50,32,46,49,52,56,53,49,49,32,46,49,53,52,51,51,50,32,46,49,54,48,56,
      48,56,32,46,49,54,54,54,53,53,10,32,32,46,49,55,51,51,50,56,32,46,49,55,56,
      54,51,52,32,46,49,56,50,53,53,56,32,46,49,56,53,53,55,56,32,46,49,56,54,56,
      52,57,32,46,49,56,55,52,54,55,32,46,49,56,56,57,49,56,32,46,49,57,50,54,55,
      56,32,46,50,48,48,54,52,54,32,46,50,49,48,48,53,55,10,32,32,46,50,49,56,55,
      55,57,32,46,50,50,53,53,57,51,32,46,50,50,56,51,51,32,46,50,50,54,52,55,32,
      46,50,50,49,51,56,52,32,46,50,49,51,56,49,50,32,46,50,48,53,48,49,57,32,46,
      49,57,56,48,57,57,32,46,49,57,52,54,48,49,32,46,49,57,54,48,56,51,32,46,49,
      57,54,55,55,10,32,32,46,49,57,51,50,52,51,32,46,49,56,50,53,50,57,32,46,49,
      54,50,49,56,56,32,46,49,51,56,57,49,32,46,49,49,54,56,50,32,46,48,57,54,49,
      53,55,50,32,46,48,56,48,49,52,57,50,32,46,48,54,55,56,50,55,49,32,46,48,53,
      57,50,48,49,53,32,46,48,53,52,52,56,53,10,32,32,46,48,53,50,56,57,52,55,32,
      46,48,53,48,51,50,54,55,32,46,48,52,54,56,57,50,54,32,46,48,52,49,55,53,56,
      49,32,46,48,51,51,56,55,51,55,32,46,48,50,54,57,55,49,54,32,46,48,50,49,56,
      55,48,52,32,46,48,49,56,53,57,49,32,46,48,49,53,48,48,57,54,10,32,32,46,48,
      49,50,48,52,49,54,32,46,48,48,57,53,50,52,49,52,32,46,48,48,55,55,54,52,57,
      54,32,46,48,48,54,53,56,49,55,49,32,46,48,48,53,56,52,49,49,54,32,46,48,48,
      53,50,48,48,56,54,32,46,48,48,52,53,52,56,53,55,32,46,48,48,51,57,53,56,54,
      53,32,46,48,48,50,55,54,53,54,49,10,32,32,46,48,48,49,56,53,57,55,32,46,48,
      48,49,51,49,56,57,53,32,46,48,48,48,57,56,56,52,52,32,46,48,48,48,56,56,52,
      54,57,53,32,46,48,48,48,54,55,48,48,52,50,32,46,48,48,48,53,49,50,49,57,32,
      46,48,48,48,51,57,53,56,53,49,32,46,48,48,48,51,48,57,55,57,54,10,32,32,46,
      48,48,48,50,51,54,50,57,56,32,46,48,48,48,49,57,51,57,57,53,32,46,48,48,48,
      49,53,57,52,52,50,32,46,48,48,48,49,49,53,55,50,51,32,57,46,53,49,55,48,53,
      101,45,48,53,32,55,46,48,48,49,53,52,101,45,48,53,32,53,46,48,54,55,53,56,101,
      45,48,53,10,32,32,52,46,49,55,54,53,52,101,45,48,53,32,51,46,52,52,49,49,49,
      101,45,48,53,32,50,46,53,51,52,55,52,101,45,48,53,32,49,46,56,48,57,55,51,101,
      45,48,53,32,49,46,53,48,49,51,57,101,45,48,53,32,49,46,49,49,48,57,101,45,48,
      53,32,57,46,50,52,54,48,53,101,45,48,54,10,32,32,54,46,56,54,49,53,54,101,45,
      48,54,32,53,46,51,55,56,53,52,101,45,48,54,32,57,46,50,49,50,49,53,101,45,48,
      54,32,56,46,48,57,57,48,52,101,45,48,54,32,54,46,51,50,51,53,53,101,45,48,54,
      32,52,46,56,49,50,53,52,101,45,48,54,32,51,46,56,51,52,52,53,101,45,48,54,10,
      32,32,51,46,48,53,54,48,54,101,45,48,54,32,50,46,52,55,50,49,50,101,45,48,54,
      32,50,46,48,48,54,55,50,101,45,48,54,32,49,46,53,57,50,56,57,101,45,48,54,32,
      49,46,50,57,55,55,57,101,45,48,54,32,49,46,48,51,53,54,54,101,45,48,54,32,56,
      46,55,55,51,57,101,45,48,55,10,32,32,54,46,54,57,54,50,51,101,45,48,55,32,53,
      46,54,55,52,55,101,45,48,55,32,52,46,54,50,48,51,56,101,45,48,55,32,50,46,56,
      54,53,49,49,101,45,48,55,32,49,46,52,56,54,54,54,101,45,48,55,32,55,46,56,52,
      57,55,101,45,48,56,32,51,46,53,51,57,52,49,101,45,48,56,10,32,32,49,46,53,57,
      56,55,56,101,45,48,56,32,54,46,49,55,51,54,54,101,45,48,57,32,50,46,55,57,56,
      48,56,101,45,48,57,32,55,46,57,48,57,50,57,101,45,49,48,32,50,46,51,55,54,55,
      52,101,45,49,48,32,49,46,48,50,49,49,57,101,45,49,48,32,51,46,57,55,56,55,53,
      101,45,49,49,10,32,32,49,46,49,51,52,51,54,101,45,49,49,32,51,46,55,56,55,57,
      53,101,45,49,50,32,49,46,50,54,54,54,52,101,45,49,50,32,51,46,54,50,55,53,54,
      101,45,49,51,32,49,46,48,52,48,52,54,101,45,49,51,32,51,46,52,57,50,52,51,101,
      45,49,52,32,49,46,49,55,51,52,52,101,45,49,52,10,32,32,51,46,57,52,54,50,55,
      101,45,49,53,32,49,46,48,49,55,56,53,101,45,49,53,32,50,46,53,48,49,53,101,
      45,49,54,32,53,46,50,54,55,57,52,101,45,49,55,32,49,46,50,57,55,50,51,101,45,
      49,55,32,50,46,55,51,51,50,49,101,45,49,56,32,54,46,54,53,52,54,54,101,45,49,
      57,10,32,32,49,46,54,52,51,49,50,101,45,49,57,32,50,46,56,53,56,50,57,101,45,
      50,48,32,48,114,49,48,55,32,50,46,49,54,55,48,51,101,45,48,55,32,56,46,54,56,
      57,52,52,101,45,48,55,32,49,46,57,53,54,55,52,101,45,48,54,32,50,46,49,54,55,
      48,56,101,45,48,54,32,56,46,54,57,48,48,54,101,45,48,54,10,32,32,49,46,57,53,
      55,48,54,101,45,48,53,32,51,46,52,55,57,50,53,101,45,48,53,32,53,46,52,51,54,
      57,54,101,45,48,53,32,56,46,56,49,54,51,56,101,45,48,53,32,46,48,48,48,49,50,
      48,48,49,51,32,46,48,48,48,49,53,54,56,48,53,32,46,48,48,48,49,57,56,52,57,
      57,10,32,32,46,48,48,48,50,52,53,49,48,52,32,46,48,48,48,50,57,54,54,53,32,
      46,48,48,48,51,53,51,49,52,54,32,46,48,48,48,52,49,52,53,55,56,32,46,48,48,
      48,52,56,48,57,55,56,32,46,48,48,48,53,53,50,51,53,53,32,46,48,48,48,54,53,
      52,50,49,49,32,46,48,48,48,55,51,56,55,57,55,10,32,32,46,48,48,48,56,50,56,
      53,52,32,46,48,48,48,57,50,51,52,55,51,32,46,48,48,49,48,50,51,53,56,32,46,
      48,48,49,49,50,56,56,56,32,46,48,48,49,50,51,57,52,32,46,48,48,49,51,53,53,
      49,32,46,48,48,49,52,55,54,32,46,48,48,49,54,48,50,49,53,32,46,48,48,49,55,
      51,51,53,10,32,32,46,48,48,49,56,55,48,48,53,32,46,48,48,50,48,49,49,56,51,
      32,46,48,48,50,49,53,56,56,51,32,46,48,48,50,51,49,49,48,51,32,46,48,48,50,
      52,54,56,52,55,32,46,48,48,50,54,51,49,48,57,32,46,48,48,50,55,57,56,57,52,
      32,46,48,48,50,57,55,49,57,54,10,32,32,46,48,48,51,49,53,48,49,57,32,46,48,
      48,51,51,51,51,53,56,32,46,48,48,51,53,50,50,49,54,32,46,48,48,51,55,49,53,
      57,52,32,46,48,48,51,57,49,52,56,52,32,46,48,48,52,49,49,56,57,50,32,46,48,
      48,52,51,50,56,50,32,46,48,48,52,53,52,50,53,55,32,46,48,48,52,55,54,50,49,
      50,10,32,32,46,48,48,52,57,56,54,56,52,32,46,48,48,53,50,49,54,54,56,32,46,
      48,48,53,52,53,49,55,32,46,48,48,53,54,57,49,56,57,32,46,48,48,53,57,51,55,
      50,50,32,46,48,48,54,49,56,55,55,32,46,48,48,54,52,52,51,51,54,32,46,48,48,
      54,55,48,52,50,32,46,48,48,54,57,55,48,49,55,10,32,32,46,48,48,55,50,52,49,
      51,53,32,46,48,48,55,53,49,55,55,32,46,48,48,55,55,57,57,50,32,46,48,48,56,
      48,56,53,56,56,32,46,48,48,56,51,55,55,55,53,32,46,48,48,56,54,55,52,56,49,
      32,46,48,48,56,57,55,55,48,51,32,46,48,48,57,50,56,52,52,54,32,46,48,48,57,
      53,57,55,48,52,10,32,32,46,48,48,57,57,49,52,56,49,32,46,48,49,48,50,51,55,
      56,32,46,48,49,48,53,54,53,57,32,46,48,49,48,56,57,57,50,32,46,48,49,49,50,
      51,55,56,32,46,48,49,49,53,56,49,53,32,46,48,49,49,57,51,48,51,32,46,48,49,
      50,50,56,52,52,32,46,48,49,50,54,52,51,55,10,32,32,46,48,49,51,48,48,56,49,
      32,46,48,49,51,51,55,55,55,32,46,48,49,51,55,53,50,54,32,46,48,49,52,49,51,
      50,54,32,46,48,49,52,53,49,55,55,32,46,48,49,52,57,48,56,49,32,46,48,49,53,
      51,48,51,54,32,46,48,49,53,55,48,52,51,32,46,48,49,54,49,49,48,50,10,32,32,
      46,48,49,54,53,50,49,50,32,46,48,49,54,57,51,55,51,32,46,48,49,55,51,53,56,
      54,32,46,48,49,55,55,56,53,32,46,48,49,56,50,49,54,52,32,46,48,49,56,54,53,
      51,32,46,48,49,57,48,57,52,54,32,46,48,49,57,53,52,49,50,32,46,48,49,57,57,
      57,50,57,32,46,48,50,48,52,52,57,55,10,32,32,46,48,50,48,57,49,49,52,32,46,
      48,50,49,51,55,56,49,32,46,48,50,49,56,53,32,46,48,50,50,51,50,54,55,32,46,
      48,50,50,56,48,56,53,32,46,48,50,51,50,57,53,54,32,46,48,50,51,55,56,55,51,
      32,46,48,50,52,50,56,52,51,32,46,48,50,52,55,56,54,52,32,46,48,50,53,50,57,
      51,53,10,32,32,46,48,50,53,56,48,53,53,32,46,48,50,54,51,50,51,49,32,46,48,
      50,54,56,52,53,53,32,46,48,50,55,51,55,51,50,32,46,48,50,55,57,48,54,49,32,
      46,48,50,56,52,52,52,51,32,46,48,50,56,57,56,55,53,32,46,48,50,57,53,51,54,
      32,46,48,51,48,48,56,57,56,10,32,32,46,48,51,48,54,52,57,49,32,46,48,51,49,
      50,49,51,53,32,46,48,51,49,55,56,51,50,32,46,48,51,50,51,53,56,54,32,46,48,
      51,50,57,51,57,32,46,48,51,51,53,50,52,55,32,46,48,51,52,49,49,54,55,32,46,
      48,51,52,55,49,51,54,32,46,48,51,53,51,49,53,54,10,32,32,46,48,51,53,57,50,
      51,57,32,46,48,51,54,53,51,55,52,32,46,48,51,55,49,53,54,50,32,46,48,51,55,
      55,56,48,57,32,46,48,51,56,52,49,49,51,32,46,48,51,57,48,52,54,55,32,46,48,
      51,57,54,56,56,49,32,46,48,52,48,51,51,53,49,32,46,48,52,48,57,56,55,51,10,
      32,32,46,48,52,49,54,52,52,56,32,46,48,52,50,51,48,55,57,32,46,48,52,50,57,
      55,54,49,32,46,48,52,51,54,52,57,50,32,46,48,52,52,51,50,55,55,32,46,48,52,
      53,48,49,48,57,32,46,48,52,53,54,57,56,56,32,46,48,52,54,51,57,49,50,32,46,
      48,52,55,48,56,56,10,32,32,46,48,52,55,55,56,56,57,32,46,48,52,56,52,57,52,
      49,32,46,48,52,57,50,48,51,50,32,46,48,52,57,57,49,53,55,32,46,48,53,48,54,
      51,50,49,32,46,48,53,49,51,53,50,53,32,46,48,53,50,48,55,53,56,32,46,48,53,
      50,56,48,51,49,32,46,48,53,51,53,51,51,57,10,32,32,46,48,53,52,50,54,55,54,
      32,46,48,53,53,48,48,53,53,32,46,48,53,53,55,52,55,32,46,48,53,54,52,57,49,
      51,32,46,48,53,55,50,51,57,51,32,46,48,53,55,57,57,49,50,32,46,48,53,56,55,
      52,54,49,32,46,48,53,57,53,48,51,57,32,46,48,54,48,50,54,54,32,46,48,54,49,
      48,51,48,57,10,32,32,46,48,54,49,55,57,56,52,32,46,48,54,50,56,50,53,55,32,
      46,48,54,53,50,50,55,49,32,46,48,54,56,55,55,50,54,32,46,48,55,52,52,57,54,
      32,46,48,55,57,57,54,52,51,32,46,48,56,53,50,56,51,54,32,46,48,57,48,54,51,
      53,54,32,46,48,57,54,49,51,48,50,10,32,32,46,49,48,49,55,51,57,32,46,49,48,
      55,51,55,54,32,46,49,49,50,57,52,52,32,46,49,49,56,51,54,57,32,46,49,50,51,
      54,49,55,32,46,49,50,56,54,49,57,32,46,49,51,52,50,54,51,32,46,49,51,57,52,
      53,52,32,46,49,52,53,53,54,49,32,46,49,53,48,54,54,32,46,49,53,52,55,49,55,
      10,32,32,46,49,53,56,51,50,51,32,46,49,54,48,53,51,51,32,46,49,54,50,49,51,
      50,32,46,49,54,52,52,54,52,32,46,49,54,56,53,51,53,32,46,49,55,54,50,50,51,
      32,46,49,56,53,48,49,57,32,46,49,57,51,50,52,55,32,46,50,48,48,48,54,49,32,
      46,50,48,51,54,55,51,10,32,32,46,50,48,51,53,50,50,32,46,50,48,48,54,48,52,
      32,46,49,57,53,52,49,50,32,46,49,56,57,48,50,32,46,49,56,51,57,52,53,32,46,
      49,56,49,55,54,51,32,46,49,56,52,48,48,50,32,46,49,56,53,52,53,55,32,46,49,
      56,50,56,51,57,32,46,49,55,51,55,51,56,32,46,49,53,53,54,51,54,10,32,32,46,
      49,51,52,51,55,55,32,46,49,49,51,55,57,51,32,46,48,57,52,50,49,49,51,32,46,
      48,55,56,56,53,49,52,32,46,48,54,54,57,50,53,57,32,46,48,53,56,53,52,55,49,
      32,46,48,53,51,57,55,50,32,46,48,53,50,52,52,52,51,32,46,48,52,57,57,51,55,
      55,32,46,48,52,54,53,54,52,53,10,32,32,46,48,52,49,53,32,46,48,51,51,54,57,
      57,52,32,46,48,50,54,56,53,53,50,32,46,48,50,49,55,56,56,55,32,46,48,49,56,
      53,50,56,51,32,46,48,49,52,57,54,52,57,32,46,48,49,50,48,48,57,53,32,46,48,
      48,57,53,48,49,50,55,32,46,48,48,55,55,52,55,56,54,10,32,32,46,48,48,54,53,
      54,56,50,49,32,46,48,48,53,56,50,57,56,49,32,46,48,48,53,49,57,49,50,51,32,
      46,48,48,52,53,52,48,53,53,32,46,48,48,51,57,53,49,57,57,32,46,48,48,50,55,
      54,49,52,51,32,46,48,48,49,56,53,55,49,55,32,46,48,48,49,51,49,55,51,32,46,
      48,48,48,57,56,55,50,56,54,10,32,32,46,48,48,48,56,56,51,54,57,54,32,46,48,
      48,48,54,54,57,51,51,50,32,46,48,48,48,53,49,49,54,55,54,32,46,48,48,48,51,
      57,53,52,55,51,32,46,48,48,48,51,48,57,53,49,53,32,46,48,48,48,50,51,54,48,
      57,52,32,46,48,48,48,49,57,51,56,51,51,32,46,48,48,48,49,53,57,51,49,52,10,
      32,32,46,48,48,48,49,49,53,54,51,53,32,57,46,53,48,57,57,56,101,45,48,53,32,
      54,46,57,57,54,54,101,45,48,53,32,53,46,48,54,52,49,55,101,45,48,53,32,52,46,
      49,55,51,56,49,101,45,48,53,32,51,46,52,51,56,57,51,101,45,48,53,32,50,46,53,
      51,51,50,101,45,48,53,10,32,32,49,46,56,48,56,54,56,101,45,48,53,32,49,46,53,
      48,48,53,52,101,45,48,53,32,49,46,49,49,48,50,57,101,45,48,53,32,57,46,50,52,
      49,49,101,45,48,54,32,54,46,56,53,56,48,49,101,45,48,54,32,53,46,51,55,53,56,
      54,101,45,48,54,32,57,46,49,57,52,54,50,101,45,48,54,10,32,32,56,46,48,56,51,
      54,53,101,45,48,54,32,54,46,51,49,49,53,57,101,45,48,54,32,52,46,56,48,51,52,
      56,101,45,48,54,32,51,46,56,50,55,50,54,101,45,48,54,32,51,46,48,53,48,51,53,
      101,45,48,54,32,50,46,52,54,55,53,49,101,45,48,54,32,50,46,48,48,50,57,57,101,
      45,48,54,10,32,32,49,46,53,56,57,57,52,101,45,48,54,32,49,46,50,57,53,52,101,
      45,48,54,32,49,46,48,51,51,55,53,101,45,48,54,32,56,46,55,53,55,55,57,101,45,
      48,55,32,54,46,54,56,51,57,55,101,45,48,55,32,53,46,54,54,52,51,52,101,45,48,
      55,32,52,46,54,49,49,57,54,101,45,48,55,10,32,32,50,46,56,53,57,57,50,101,45,
      48,55,32,49,46,52,56,51,57,57,101,45,48,55,32,55,46,56,51,53,55,49,101,45,48,
      56,32,51,46,53,51,51,49,54,101,45,48,56,32,49,46,53,57,53,57,56,101,45,48,56,
      32,54,46,49,54,50,57,53,101,45,48,57,32,50,46,55,57,51,50,55,101,45,48,57,10,
      32,32,55,46,56,57,53,56,56,101,45,49,48,32,50,46,51,55,50,55,53,101,45,49,48,
      32,49,46,48,49,57,53,101,45,49,48,32,51,46,57,55,50,49,57,101,45,49,49,32,49,
      46,49,51,50,53,49,101,45,49,49,32,51,46,55,56,51,51,51,101,45,49,50,32,49,46,
      50,54,53,54,50,101,45,49,50,10,32,32,51,46,54,50,54,50,54,101,45,49,51,32,49,
      46,48,52,48,52,56,101,45,49,51,32,51,46,52,57,50,53,52,101,45,49,52,32,49,46,
      49,55,51,52,56,101,45,49,52,32,51,46,57,52,54,52,54,101,45,49,53,32,49,46,48,
      49,56,55,53,101,45,49,53,32,50,46,53,48,51,55,56,101,45,49,54,10,32,32,53,46,
      50,55,50,57,55,101,45,49,55,32,49,46,50,57,56,53,50,101,45,49,55,32,50,46,55,
      51,54,48,49,101,45,49,56,32,54,46,54,54,48,57,57,101,45,49,57,32,49,46,54,52,
      52,55,101,45,49,57,32,50,46,56,53,55,56,57,101,45,50,48,32,48,114,49,48,55,
      32,49,46,57,51,55,54,101,45,48,55,10,32,32,55,46,55,54,57,52,50,101,45,48,55,
      32,49,46,55,52,57,53,53,101,45,48,54,32,49,46,57,51,55,54,50,101,45,48,54,32,
      55,46,55,54,57,54,51,101,45,48,54,32,49,46,55,52,57,54,52,101,45,48,53,32,51,
      46,49,49,48,48,55,101,45,48,53,32,52,46,56,53,56,57,56,101,45,48,53,10,32,32,
      55,46,49,48,57,53,53,101,45,48,53,32,46,48,48,48,49,48,53,49,52,50,32,46,48,
      48,48,49,51,55,51,53,54,32,46,48,48,48,49,55,51,56,52,56,32,46,48,48,48,50,
      49,52,54,50,49,32,46,48,48,48,50,53,57,54,57,57,32,46,48,48,48,51,48,57,48,
      56,50,32,46,48,48,48,51,54,50,55,53,51,10,32,32,46,48,48,48,52,50,48,55,51,
      51,32,46,48,48,48,52,56,51,48,50,55,32,46,48,48,48,53,52,57,54,49,53,32,46,
      48,48,48,54,52,49,55,53,53,32,46,48,48,48,55,49,57,52,57,50,32,46,48,48,48,
      56,48,49,54,55,56,32,46,48,48,48,56,56,56,50,56,56,32,46,48,48,48,57,55,57,
      51,52,51,10,32,32,46,48,48,49,48,55,52,56,52,32,46,48,48,49,49,55,52,55,54,
      32,46,48,48,49,50,55,57,49,32,46,48,48,49,51,56,55,56,57,32,46,48,48,49,53,
      48,49,49,32,46,48,48,49,54,49,56,55,51,32,46,48,48,49,55,52,48,55,56,32,46,
      48,48,49,56,54,55,50,53,32,46,48,48,49,57,57,56,49,51,10,32,32,46,48,48,50,
      49,51,51,52,51,32,46,48,48,50,50,55,51,49,50,32,46,48,48,50,52,49,55,50,53,
      32,46,48,48,50,53,54,53,55,53,32,46,48,48,50,55,49,56,54,52,32,46,48,48,50,
      56,55,53,57,54,32,46,48,48,51,48,51,55,54,53,32,46,48,48,51,50,48,51,55,52,
      10,32,32,46,48,48,51,51,55,52,50,54,32,46,48,48,51,53,52,57,49,54,32,46,48,
      48,51,55,50,56,52,52,32,46,48,48,51,57,49,50,49,53,32,46,48,48,52,49,48,48,
      50,55,32,46,48,48,52,50,57,50,55,53,32,46,48,48,52,52,56,57,54,57,32,46,48,
      48,52,54,57,49,48,53,10,32,32,46,48,48,52,56,57,54,55,57,32,46,48,48,53,49,
      48,54,57,54,32,46,48,48,53,51,50,49,53,55,32,46,48,48,53,53,52,48,53,55,32,
      46,48,48,53,55,54,52,32,46,48,48,53,57,57,49,56,55,32,46,48,48,54,50,50,52,
      49,53,32,46,48,48,54,52,54,48,56,50,32,46,48,48,54,55,48,49,57,53,10,32,32,
      46,48,48,54,57,52,55,52,54,32,46,48,48,55,49,57,55,51,55,32,46,48,48,55,52,
      53,49,55,54,32,46,48,48,55,55,49,48,53,49,32,46,48,48,55,57,55,51,54,55,32,
      46,48,48,56,50,52,49,50,54,32,46,48,48,56,53,49,51,50,55,32,46,48,48,56,55,
      56,57,54,55,10,32,32,46,48,48,57,48,55,48,53,32,46,48,48,57,51,53,53,55,56,
      32,46,48,48,57,54,52,53,52,50,32,46,48,48,57,57,51,57,53,52,32,46,48,49,48,
      50,51,56,49,32,46,48,49,48,53,52,49,49,32,46,48,49,48,56,52,56,54,32,46,48,
      49,49,49,54,48,54,32,46,48,49,49,52,55,55,10,32,32,46,48,49,49,55,57,55,57,
      32,46,48,49,50,49,50,51,53,32,46,48,49,50,52,53,51,52,32,46,48,49,50,55,56,
      55,56,32,46,48,49,51,49,50,55,49,32,46,48,49,51,52,55,48,56,32,46,48,49,51,
      56,49,56,56,32,46,48,49,52,49,55,49,56,32,46,48,49,52,53,50,57,51,10,32,32,
      46,48,49,52,56,57,49,49,32,46,48,49,53,50,53,55,55,32,46,48,49,53,54,50,56,
      56,32,46,48,49,54,48,48,52,51,32,46,48,49,54,51,56,52,53,32,46,48,49,54,55,
      54,57,51,32,46,48,49,55,49,53,56,52,32,46,48,49,55,53,53,50,32,46,48,49,55,
      57,53,48,51,10,32,32,46,48,49,56,51,53,50,56,32,46,48,49,56,55,53,57,55,32,
      46,48,49,57,49,55,49,51,32,46,48,49,57,53,56,55,49,32,46,48,50,48,48,48,55,
      50,32,46,48,50,48,52,51,49,57,32,46,48,50,48,56,54,48,57,32,46,48,50,49,50,
      57,52,50,32,46,48,50,49,55,51,50,10,32,32,46,48,50,50,49,55,51,57,32,46,48,
      50,50,54,50,48,52,32,46,48,50,51,48,55,49,32,46,48,50,51,53,50,54,32,46,48,
      50,51,57,56,53,53,32,46,48,50,52,52,52,57,50,32,46,48,50,52,57,49,55,49,32,
      46,48,50,53,51,56,57,52,32,46,48,50,53,56,54,53,57,32,46,48,50,54,51,52,54,
      56,10,32,32,46,48,50,54,56,51,49,57,32,46,48,50,55,51,50,49,53,32,46,48,50,
      55,56,49,53,49,32,46,48,50,56,51,49,50,57,32,46,48,50,56,56,49,53,50,32,46,
      48,50,57,51,50,49,54,32,46,48,50,57,56,51,50,50,32,46,48,51,48,51,52,55,49,
      32,46,48,51,48,56,54,54,10,32,32,46,48,51,49,51,56,57,32,46,48,51,49,57,49,
      54,53,32,46,48,51,50,52,52,55,55,32,46,48,51,50,57,56,51,49,32,46,48,51,51,
      53,50,50,54,32,46,48,51,52,48,54,54,49,32,46,48,51,52,54,49,51,50,32,46,48,
      51,53,49,54,52,53,32,46,48,51,53,55,49,57,53,10,32,32,46,48,51,54,50,55,55,
      57,32,46,48,51,54,56,52,48,50,32,46,48,51,55,52,48,54,32,46,48,51,55,57,55,
      53,51,32,46,48,51,56,53,52,55,57,32,46,48,51,57,49,50,52,49,32,46,48,51,57,
      55,48,51,53,32,46,48,52,48,50,56,54,49,32,46,48,52,48,56,55,49,54,10,32,32,
      46,48,52,49,52,54,48,56,32,46,48,52,50,48,53,50,57,32,46,48,52,50,54,52,55,
      55,32,46,48,52,51,50,52,54,32,46,48,52,51,56,52,55,56,32,46,48,52,52,52,53,
      49,55,32,46,48,52,53,48,53,57,53,32,46,48,52,53,54,55,48,56,32,46,48,52,54,
      50,56,52,51,10,32,32,46,48,52,54,57,48,49,53,32,46,48,52,55,53,50,50,56,32,
      46,48,52,56,49,52,54,51,32,46,48,52,56,55,55,50,56,32,46,48,52,57,52,48,51,
      53,32,46,48,53,48,48,51,54,55,32,46,48,53,48,54,55,50,53,32,46,48,53,49,51,
      49,50,50,32,46,48,53,49,57,53,52,56,10,32,32,46,48,53,50,53,57,57,49,32,46,
      48,53,51,52,54,50,51,32,46,48,53,53,52,56,49,51,32,46,48,53,56,52,54,53,56,
      32,46,48,54,51,50,57,54,52,32,46,48,54,55,57,52,48,55,32,46,48,55,50,52,56,
      55,49,32,46,48,55,55,48,55,49,54,32,46,48,56,49,55,55,51,53,10,32,32,46,48,
      56,54,53,54,55,53,32,46,48,57,49,51,56,53,52,32,46,48,57,54,49,53,49,32,46,
      49,48,48,56,48,56,32,46,49,48,53,51,51,49,32,46,49,48,57,54,54,53,32,46,49,
      49,52,53,57,49,32,46,49,49,57,49,55,53,32,46,49,50,52,54,55,49,32,46,49,50,
      57,51,57,57,10,32,32,46,49,51,51,51,50,55,32,46,49,51,55,48,57,32,46,49,51,
      57,55,50,57,32,46,49,52,49,56,51,55,32,46,49,52,52,54,51,51,32,46,49,52,56,
      55,54,57,32,46,49,53,54,48,54,51,32,46,49,54,52,50,51,54,32,46,49,55,49,57,
      51,51,32,46,49,55,56,53,56,56,32,46,49,56,50,55,48,55,10,32,32,46,49,56,51,
      55,51,57,32,46,49,56,50,52,48,56,32,46,49,55,57,48,52,50,32,46,49,55,52,53,
      52,57,32,46,49,55,48,57,55,51,32,46,49,54,57,56,54,50,32,46,49,55,50,55,48,
      55,32,46,49,55,52,55,57,51,32,46,49,55,50,57,53,56,32,46,49,54,53,50,56,53,
      10,32,32,46,49,52,57,50,50,56,32,46,49,50,57,56,54,51,32,46,49,49,48,55,50,
      57,32,46,48,57,50,50,49,50,52,32,46,48,55,55,53,48,51,32,46,48,54,53,57,56,
      49,51,32,46,48,53,55,56,53,54,32,46,48,53,51,52,50,54,57,32,46,48,53,49,57,
      54,52,51,32,46,48,52,57,53,50,49,54,10,32,32,46,48,52,54,50,49,50,51,32,46,
      48,52,49,50,50,50,32,46,48,51,51,53,49,49,49,32,46,48,50,54,55,50,57,32,46,
      48,50,49,55,32,46,48,49,56,52,54,32,46,48,49,52,57,49,54,49,32,46,48,49,49,
      57,55,52,53,32,46,48,48,57,52,55,54,51,56,32,46,48,48,55,55,50,57,50,51,10,
      32,32,46,48,48,54,53,53,51,52,56,32,46,48,48,53,56,49,55,51,57,32,46,48,48,
      53,49,56,48,54,56,32,46,48,48,52,53,51,49,55,56,32,46,48,48,51,57,52,52,55,
      50,32,46,48,48,50,55,53,54,56,54,32,46,48,48,49,56,53,52,52,32,46,48,48,49,
      51,49,53,53,32,46,48,48,48,57,56,54,48,50,56,10,32,32,46,48,48,48,56,56,50,
      54,48,54,32,46,48,48,48,54,54,56,53,53,54,32,46,48,48,48,53,49,49,49,49,53,
      32,46,48,48,48,51,57,53,48,54,50,32,46,48,48,48,51,48,57,50,49,32,46,48,48,
      48,50,51,53,56,55,49,32,46,48,48,48,49,57,51,54,53,54,32,46,48,48,48,49,53,
      57,49,55,51,10,32,32,46,48,48,48,49,49,53,53,51,56,32,57,46,53,48,50,50,55,
      101,45,48,53,32,54,46,57,57,49,50,50,101,45,48,53,32,53,46,48,54,48,52,54,101,
      45,48,53,32,52,46,49,55,48,56,52,101,45,48,53,32,51,46,52,51,54,53,52,101,45,
      48,53,32,50,46,53,51,49,53,49,101,45,48,53,10,32,32,49,46,56,48,55,53,51,101,
      45,48,53,32,49,46,52,57,57,54,49,101,45,48,53,32,49,46,49,48,57,54,51,101,45,
      48,53,32,57,46,50,51,53,55,50,101,45,48,54,32,54,46,56,53,52,49,54,101,45,48,
      54,32,53,46,51,55,50,57,53,101,45,48,54,32,57,46,49,55,55,50,57,101,45,48,54,
      10,32,32,56,46,48,54,56,52,54,101,45,48,54,32,54,46,50,57,57,55,57,101,45,48,
      54,32,52,46,55,57,52,53,52,101,45,48,54,32,51,46,56,50,48,49,54,101,45,48,54,
      32,51,46,48,52,52,55,50,101,45,48,54,32,50,46,52,54,50,57,55,101,45,48,54,32,
      49,46,57,57,57,51,49,101,45,48,54,10,32,32,49,46,53,56,55,48,52,101,45,48,54,
      32,49,46,50,57,51,48,52,101,45,48,54,32,49,46,48,51,49,56,56,101,45,48,54,32,
      56,46,55,52,49,57,50,101,45,48,55,32,54,46,54,55,49,57,49,101,45,48,55,32,53,
      46,54,53,52,49,52,101,45,48,55,32,52,46,54,48,51,54,56,101,45,48,55,10,32,32,
      50,46,56,53,52,56,50,101,45,48,55,32,49,46,52,56,49,51,55,101,45,48,55,32,55,
      46,56,50,49,57,55,101,45,48,56,32,51,46,53,50,55,48,51,101,45,48,56,32,49,46,
      53,57,51,50,52,101,45,48,56,32,54,46,49,53,50,52,54,101,45,48,57,32,50,46,55,
      56,56,53,54,101,45,48,57,10,32,32,55,46,56,56,50,55,52,101,45,49,48,32,50,46,
      51,54,56,56,54,101,45,49,48,32,49,46,48,49,55,56,52,101,45,49,48,32,51,46,57,
      54,53,55,56,101,45,49,49,32,49,46,49,51,48,55,101,45,49,49,32,51,46,55,55,55,
      51,55,101,45,49,50,32,49,46,50,54,51,54,53,101,45,49,50,10,32,32,51,46,54,50,
      48,54,54,101,45,49,51,32,49,46,48,51,56,57,54,101,45,49,51,32,51,46,52,56,56,
      55,52,101,45,49,52,32,49,46,49,55,50,54,52,101,45,49,52,32,51,46,57,52,53,48,
      52,101,45,49,53,32,49,46,48,49,57,54,49,101,45,49,53,32,50,46,53,48,54,49,52,
      101,45,49,54,10,32,32,53,46,50,55,56,50,101,45,49,55,32,49,46,50,57,57,56,53,
      101,45,49,55,32,50,46,55,51,56,57,49,101,45,49,56,32,54,46,54,54,55,53,54,101,
      45,49,57,32,49,46,54,52,54,51,51,101,45,49,57,32,50,46,56,53,55,53,57,101,45,
      50,48,32,48,114,49,48,55,32,49,46,55,54,49,53,54,101,45,48,55,10,32,32,55,46,
      48,54,51,53,52,101,45,48,55,32,49,46,53,57,48,54,101,45,48,54,32,49,46,55,54,
      49,53,56,101,45,48,54,32,55,46,48,54,51,54,54,101,45,48,54,32,49,46,53,57,48,
      54,51,101,45,48,53,32,50,46,56,50,55,50,54,101,45,48,53,32,52,46,52,49,54,54,
      101,45,48,53,10,32,32,54,46,51,54,51,48,55,101,45,48,53,32,57,46,51,57,53,51,
      52,101,45,48,53,32,46,48,48,48,49,50,50,55,51,53,32,46,48,48,48,49,53,53,51,
      51,50,32,46,48,48,48,49,57,49,55,52,53,32,46,48,48,48,50,51,49,57,57,51,32,
      46,48,48,48,50,55,54,48,55,53,32,46,48,48,48,51,50,51,57,55,49,10,32,32,46,
      48,48,48,51,55,53,54,57,57,32,46,48,48,48,52,51,49,50,53,54,32,46,48,48,48,
      52,57,48,54,50,52,32,46,48,48,48,53,53,51,56,49,57,32,46,48,48,48,54,51,56,
      53,56,49,32,46,48,48,48,55,49,49,52,48,49,32,46,48,48,48,55,56,56,49,49,54,
      32,46,48,48,48,56,54,56,55,51,54,10,32,32,46,48,48,48,57,53,51,50,53,54,32,
      46,48,48,49,48,52,49,54,53,32,46,48,48,49,49,51,51,57,50,32,46,48,48,49,50,
      51,48,48,57,32,46,48,48,49,51,51,48,49,50,32,46,48,48,49,52,51,52,32,46,48,
      48,49,53,52,49,55,52,32,46,48,48,49,54,53,51,51,53,32,46,48,48,49,55,54,56,
      56,10,32,32,46,48,48,49,56,56,56,48,57,32,46,48,48,50,48,49,49,50,49,32,46,
      48,48,50,49,51,56,50,49,32,46,48,48,50,50,54,57,32,46,48,48,50,52,48,51,54,
      51,32,46,48,48,50,53,52,50,49,51,32,46,48,48,50,54,56,52,52,52,32,46,48,48,
      50,56,51,48,53,55,32,46,48,48,50,57,56,48,54,50,10,32,32,46,48,48,51,49,51,
      52,52,56,32,46,48,48,51,50,57,50,49,53,32,46,48,48,51,52,53,51,55,53,32,46,
      48,48,51,54,49,57,50,49,32,46,48,48,51,55,56,56,52,54,32,46,48,48,51,57,54,
      49,54,55,32,46,48,48,52,49,51,56,55,54,32,46,48,48,52,51,49,57,54,55,10,32,
      32,46,48,48,52,53,48,52,53,32,46,48,48,52,54,57,51,50,52,32,46,48,48,52,56,
      56,53,56,49,32,46,48,48,53,48,56,50,50,56,32,46,48,48,53,50,56,50,54,56,32,
      46,48,48,53,52,56,54,57,50,32,46,48,48,53,54,57,53,48,49,32,46,48,48,53,57,
      48,55,48,52,32,46,48,48,54,49,50,50,57,10,32,32,46,48,48,54,51,52,50,53,56,
      32,46,48,48,54,53,54,54,50,51,32,46,48,48,54,55,57,51,54,57,32,46,48,48,55,
      48,50,52,57,56,32,46,48,48,55,50,54,48,49,56,32,46,48,48,55,52,57,57,50,52,
      32,46,48,48,55,55,52,50,49,50,32,46,48,48,55,57,56,56,57,50,10,32,32,46,48,
      48,56,50,51,57,54,49,32,46,48,48,56,52,57,52,49,49,32,46,48,48,56,55,53,50,
      53,54,32,46,48,48,57,48,49,52,57,55,32,46,48,48,57,50,56,49,50,32,46,48,48,
      57,53,53,49,52,50,32,46,48,48,57,56,50,53,55,51,32,46,48,49,48,49,48,51,57,
      32,46,48,49,48,51,56,53,57,10,32,32,46,48,49,48,54,55,50,52,32,46,48,49,48,
      57,54,50,55,32,46,48,49,49,50,53,54,55,32,46,48,49,49,53,53,53,53,32,46,48,
      49,49,56,53,56,49,32,46,48,49,50,49,54,52,53,32,46,48,49,50,52,55,53,56,32,
      46,48,49,50,55,57,48,56,32,46,48,49,51,49,48,57,55,10,32,32,46,48,49,51,52,
      51,51,50,32,46,48,49,51,55,54,48,57,32,46,48,49,52,48,57,50,50,32,46,48,49,
      52,52,50,56,32,46,48,49,52,55,54,56,49,32,46,48,49,53,49,49,49,56,32,46,48,
      49,53,52,53,57,55,32,46,48,49,53,56,49,50,32,46,48,49,54,49,54,55,57,32,46,
      48,49,54,53,50,55,55,10,32,32,46,48,49,54,56,57,50,32,46,48,49,55,50,53,57,
      56,32,46,48,49,55,54,51,49,52,32,46,48,49,56,48,48,55,50,32,46,48,49,56,51,
      56,54,56,32,46,48,49,56,55,55,32,46,48,49,57,49,53,55,50,32,46,48,49,57,53,
      52,56,49,32,46,48,49,57,57,52,50,57,32,46,48,50,48,51,52,49,50,10,32,32,46,
      48,50,48,55,52,51,52,32,46,48,50,49,49,52,57,52,32,46,48,50,49,53,53,56,57,
      32,46,48,50,49,57,55,50,32,46,48,50,50,51,56,57,32,46,48,50,50,56,48,57,52,
      32,46,48,50,51,50,51,51,52,32,46,48,50,51,54,54,49,49,32,46,48,50,52,48,57,
      50,54,32,46,48,50,52,53,50,55,49,10,32,32,46,48,50,52,57,54,53,51,32,46,48,
      50,53,52,48,55,51,32,46,48,50,53,56,53,50,50,32,46,48,50,54,51,48,48,55,32,
      46,48,50,54,55,53,50,57,32,46,48,50,55,50,48,55,56,32,46,48,50,55,54,54,54,
      49,32,46,48,50,56,49,50,56,50,32,46,48,50,56,53,57,50,55,10,32,32,46,48,50,
      57,48,54,48,52,32,46,48,50,57,53,51,49,54,32,46,48,51,48,48,48,53,53,32,46,
      48,51,48,52,56,49,56,32,46,48,51,48,57,54,49,54,32,46,48,51,49,52,52,51,57,
      32,46,48,51,49,57,50,56,51,32,46,48,51,50,52,49,53,56,32,46,48,51,50,57,48,
      53,57,10,32,32,46,48,51,51,51,57,56,32,46,48,51,51,56,57,50,55,32,46,48,51,
      52,51,56,57,57,32,46,48,51,52,56,56,57,51,32,46,48,51,53,51,57,49,49,32,46,
      48,51,53,56,57,52,57,32,46,48,51,54,52,48,49,57,32,46,48,51,54,57,49,48,57,
      32,46,48,51,55,52,50,49,55,10,32,32,46,48,51,55,57,51,53,57,32,46,48,51,56,
      52,53,50,57,32,46,48,51,56,57,55,49,52,32,46,48,51,57,52,57,51,52,32,46,48,
      52,48,48,49,56,55,32,46,48,52,48,53,52,53,55,32,46,48,52,49,48,55,53,57,32,
      46,48,52,49,54,49,48,49,32,46,48,52,50,49,52,54,10,32,32,46,48,52,50,54,56,
      52,53,32,46,48,52,51,50,50,55,49,32,46,48,52,51,55,55,49,56,32,46,48,52,52,
      51,49,56,52,32,46,48,52,52,56,54,57,32,46,48,52,53,52,50,49,55,32,46,48,52,
      53,57,55,54,49,32,46,48,52,54,55,49,56,55,32,46,48,52,56,52,53,53,53,10,32,
      32,46,48,53,49,48,50,49,53,32,46,48,53,53,49,55,52,56,32,46,48,53,57,49,55,
      56,32,46,48,54,51,49,49,52,57,32,46,48,54,55,48,57,56,55,32,46,48,55,49,49,
      57,48,51,32,46,48,55,53,51,54,51,57,32,46,48,55,57,53,53,56,57,32,46,48,56,
      51,55,49,49,54,10,32,32,46,48,56,55,55,55,52,49,32,46,48,57,49,55,50,51,51,
      32,46,48,57,53,53,50,49,56,32,46,48,57,57,56,53,54,53,32,46,49,48,51,57,49,
      50,32,46,49,48,56,56,50,56,32,46,49,49,51,49,51,55,32,46,49,49,54,56,49,32,
      46,49,50,48,52,56,53,32,46,49,50,51,50,54,10,32,32,46,49,50,53,53,57,32,46,
      49,50,56,53,55,54,32,46,49,51,50,54,51,53,32,46,49,51,57,52,56,57,32,46,49,
      52,55,48,53,57,32,46,49,53,52,50,50,57,32,46,49,54,48,54,50,54,32,46,49,54,
      52,57,57,50,32,46,49,54,54,56,48,56,32,46,49,54,54,54,49,52,32,46,49,54,52,
      54,50,49,10,32,32,46,49,54,49,54,48,53,32,46,49,53,57,50,49,54,32,46,49,53,
      56,57,53,54,32,46,49,54,50,50,54,55,32,46,49,54,52,56,53,53,32,46,49,54,51,
      54,56,52,32,46,49,53,55,50,53,53,32,46,49,52,51,48,51,55,32,46,49,50,53,52,
      50,50,32,46,49,48,55,54,54,51,10,32,32,46,48,57,48,49,56,49,53,32,46,48,55,
      54,49,49,54,55,32,46,48,54,53,48,48,49,51,32,46,48,53,55,49,51,51,50,32,46,
      48,53,50,56,53,51,32,46,48,53,49,52,53,54,57,32,46,48,52,57,48,56,48,53,32,
      46,48,52,53,56,51,55,57,32,46,48,52,48,57,50,53,53,10,32,32,46,48,51,51,51,
      48,57,50,32,46,48,50,54,53,57,51,50,32,46,48,50,49,54,48,52,51,32,46,48,49,
      56,51,56,54,51,32,46,48,49,52,56,54,51,51,32,46,48,49,49,57,51,54,54,32,46,
      48,48,57,52,52,57,52,51,32,46,48,48,55,55,48,57,48,55,32,46,48,48,54,53,51,
      55,53,50,10,32,32,46,48,48,53,56,48,51,57,53,32,46,48,48,53,49,54,57,50,56,
      32,46,48,48,52,53,50,50,51,49,32,46,48,48,51,57,51,54,56,52,32,46,48,48,50,
      55,53,49,57,32,46,48,48,49,56,53,49,52,49,32,46,48,48,49,51,49,51,53,52,32,
      46,48,48,48,57,56,52,54,54,50,10,32,32,46,48,48,48,56,56,49,52,50,52,32,46,
      48,48,48,54,54,55,55,49,52,32,46,48,48,48,53,49,48,53,48,57,32,46,48,48,48,
      51,57,52,54,49,55,32,46,48,48,48,51,48,56,56,55,57,32,46,48,48,48,50,51,53,
      54,51,32,46,48,48,48,49,57,51,52,54,52,32,46,48,48,48,49,53,57,48,50,50,10,
      32,32,46,48,48,48,49,49,53,52,51,52,32,57,46,52,57,51,57,53,101,45,48,53,32,
      54,46,57,56,53,52,101,45,48,53,32,53,46,48,53,54,52,51,101,45,48,53,32,52,46,
      49,54,55,54,49,101,45,48,53,32,51,46,52,51,51,57,54,101,45,48,53,32,50,46,53,
      50,57,54,57,101,45,48,53,10,32,32,49,46,56,48,54,50,56,101,45,48,53,32,49,46,
      52,57,56,54,101,45,48,53,32,49,46,49,48,56,57,49,101,45,48,53,32,57,46,50,50,
      57,57,101,45,48,54,32,54,46,56,52,57,57,57,101,45,48,54,32,53,46,51,54,57,56,
      101,45,48,54,32,57,46,49,53,52,50,56,101,45,48,54,10,32,32,56,46,48,52,56,56,
      54,101,45,48,54,32,54,46,50,56,53,52,51,101,45,48,54,32,52,46,55,56,52,51,57,
      101,45,48,54,32,51,46,56,49,50,53,56,101,45,48,54,32,51,46,48,51,57,48,56,101,
      45,48,54,32,50,46,52,53,56,53,101,45,48,54,32,49,46,57,57,53,54,57,101,45,48,
      54,10,32,32,49,46,53,56,52,49,55,101,45,48,54,32,49,46,50,57,48,55,49,101,45,
      48,54,32,49,46,48,51,48,48,51,101,45,48,54,32,56,46,55,50,54,51,49,101,45,48,
      55,32,54,46,54,54,48,48,53,101,45,48,55,32,53,46,54,52,52,49,50,101,45,48,55,
      32,52,46,53,57,53,53,52,101,45,48,55,10,32,32,50,46,56,52,57,56,49,101,45,48,
      55,32,49,46,52,55,56,55,57,101,45,48,55,32,55,46,56,48,56,52,56,101,45,48,56,
      32,51,46,53,50,49,48,49,101,45,48,56,32,49,46,53,57,48,53,53,101,45,48,56,32,
      54,46,49,52,50,49,56,101,45,48,57,32,50,46,55,56,51,57,53,101,45,48,57,10,32,
      32,55,46,56,54,57,56,57,101,45,49,48,32,50,46,51,54,53,48,53,101,45,49,48,32,
      49,46,48,49,54,50,50,101,45,49,48,32,51,46,57,53,57,53,50,101,45,49,49,32,49,
      46,49,50,56,57,52,101,45,49,49,32,51,46,55,55,49,53,53,101,45,49,50,32,49,46,
      50,54,49,55,51,101,45,49,50,10,32,32,51,46,54,49,53,50,49,101,45,49,51,32,49,
      46,48,51,55,52,49,101,45,49,51,32,51,46,52,56,51,54,50,101,45,49,52,32,49,46,
      49,55,48,57,52,101,45,49,52,32,51,46,57,51,57,52,101,45,49,53,32,49,46,48,49,
      56,56,51,101,45,49,53,32,50,46,53,48,53,51,49,101,45,49,54,10,32,32,53,46,50,
      55,57,51,57,101,45,49,55,32,49,46,51,48,48,55,55,101,45,49,55,32,50,46,55,52,
      49,57,50,101,45,49,56,32,54,46,55,52,56,50,50,101,45,49,57,32,49,46,54,52,56,
      48,51,101,45,49,57,32,50,46,56,53,55,52,49,101,45,50,48,32,48,114,49,48,55,
      32,49,46,54,51,57,53,56,101,45,48,55,10,32,32,54,46,53,55,52,52,49,101,45,48,
      55,32,49,46,52,56,48,52,53,101,45,48,54,32,49,46,54,51,57,53,56,101,45,48,54,
      32,54,46,53,55,52,51,54,101,45,48,54,32,49,46,52,56,48,51,57,101,45,48,53,32,
      50,46,54,51,49,49,52,101,45,48,53,32,52,46,49,48,57,55,54,101,45,48,53,10,32,
      32,53,46,57,49,57,57,51,101,45,48,53,32,56,46,48,53,55,56,101,45,48,53,32,46,
      48,48,48,49,49,50,52,55,55,32,46,48,48,48,49,52,50,51,51,54,32,46,48,48,48,
      49,55,53,54,56,50,32,46,48,48,48,50,49,50,53,51,32,46,48,48,48,50,53,50,56,
      55,53,32,46,48,48,48,50,57,54,54,57,56,10,32,32,46,48,48,48,51,52,52,48,48,
      57,32,46,48,48,48,51,57,52,56,48,54,32,46,48,48,48,52,52,57,48,54,53,32,46,
      48,48,48,53,48,54,55,57,57,32,46,48,48,48,53,54,55,57,56,53,32,46,48,48,48,
      54,51,50,54,51,49,32,46,48,48,48,55,49,55,50,49,57,32,46,48,48,48,55,57,48,
      52,48,56,10,32,32,46,48,48,48,56,54,55,49,48,52,32,46,48,48,48,57,52,55,50,
      56,50,32,46,48,48,49,48,51,48,57,51,32,46,48,48,49,49,49,56,48,55,32,46,48,
      48,49,50,48,56,54,55,32,46,48,48,49,51,48,50,55,50,32,46,48,48,49,52,48,48,
      50,49,32,46,48,48,49,53,48,49,49,54,10,32,32,46,48,48,49,54,48,53,53,52,32,
      46,48,48,49,55,49,51,51,52,32,46,48,48,49,56,50,52,53,53,32,46,48,48,49,57,
      51,57,50,52,32,46,48,48,50,48,53,55,51,32,46,48,48,50,49,55,56,55,55,32,46,
      48,48,50,51,48,51,55,52,32,46,48,48,50,52,51,50,48,57,32,46,48,48,50,53,54,
      51,56,51,10,32,32,46,48,48,50,54,57,57,49,52,32,46,48,48,50,56,51,55,56,51,
      32,46,48,48,50,57,55,57,57,50,32,46,48,48,51,49,50,53,53,57,32,46,48,48,51,
      50,55,52,55,32,46,48,48,51,52,50,55,50,32,46,48,48,51,53,56,51,50,57,32,46,
      48,48,51,55,52,50,56,57,32,46,48,48,51,57,48,53,56,57,10,32,32,46,48,48,52,
      48,55,50,52,52,32,46,48,48,52,50,52,50,53,50,32,46,48,48,52,52,49,54,48,51,
      32,46,48,48,52,53,57,51,48,53,32,46,48,48,52,55,55,51,54,51,32,46,48,48,52,
      57,53,55,54,52,32,46,48,48,53,49,52,53,49,32,46,48,48,53,51,51,54,49,52,32,
      46,48,48,53,53,51,48,53,57,10,32,32,46,48,48,53,55,50,56,52,53,32,46,48,48,
      53,57,50,57,57,50,32,46,48,48,54,49,51,52,55,55,32,46,48,48,54,51,52,51,48,
      53,32,46,48,48,54,53,53,52,56,55,32,46,48,48,54,55,55,48,49,51,32,46,48,48,
      54,57,56,56,55,57,32,46,48,48,55,50,49,49,48,49,10,32,32,46,48,48,55,52,51,
      54,55,50,32,46,48,48,55,54,54,53,56,50,32,46,48,48,55,56,57,56,53,49,32,46,
      48,48,56,49,51,52,55,57,32,46,48,48,56,51,55,52,52,55,32,46,48,48,56,54,49,
      55,55,55,32,46,48,48,56,56,54,52,56,55,32,46,48,48,57,49,49,53,51,55,10,32,
      32,46,48,48,57,51,54,57,52,51,32,46,48,48,57,54,50,55,54,55,32,46,48,48,57,
      56,56,57,50,56,32,46,48,49,48,49,53,52,51,32,46,48,49,48,52,50,52,32,46,48,
      49,48,54,57,55,32,46,48,49,48,57,55,51,52,32,46,48,49,49,50,53,52,54,32,46,
      48,49,49,53,51,57,51,10,32,32,46,48,49,49,56,50,55,51,32,46,48,49,50,49,49,
      57,57,32,46,48,49,50,52,49,54,52,32,46,48,49,50,55,49,54,49,32,46,48,49,51,
      48,50,48,49,32,46,48,49,51,51,50,56,50,32,46,48,49,51,54,51,57,53,32,46,48,
      49,51,57,53,52,54,32,46,48,49,52,50,55,52,49,10,32,32,46,48,49,52,53,57,54,
      55,32,46,48,49,52,57,50,50,56,32,46,48,49,53,50,53,51,51,32,46,48,49,53,53,
      56,54,57,32,46,48,49,53,57,50,51,55,32,46,48,49,54,50,54,52,56,32,46,48,49,
      54,54,48,57,49,32,46,48,49,54,57,53,54,53,32,46,48,49,55,51,48,55,55,10,32,
      32,46,48,49,55,54,54,50,49,32,46,48,49,56,48,49,57,57,32,46,48,49,56,51,56,
      48,57,32,46,48,49,56,55,52,53,51,32,46,48,49,57,49,49,51,49,32,46,48,49,57,
      52,56,51,57,32,46,48,49,57,56,53,55,55,32,46,48,50,48,50,51,53,32,46,48,50,
      48,54,49,53,51,10,32,32,46,48,50,48,57,57,56,53,32,46,48,50,49,51,56,52,57,
      32,46,48,50,49,55,55,52,54,32,46,48,50,50,49,54,54,54,32,46,48,50,50,53,54,
      49,56,32,46,48,50,50,57,54,48,52,32,46,48,50,51,51,54,48,56,32,46,48,50,51,
      55,54,52,53,32,46,48,50,52,49,55,49,52,10,32,32,46,48,50,52,53,55,57,56,32,
      46,48,50,52,57,57,49,49,32,46,48,50,53,52,48,53,56,32,46,48,50,53,56,50,49,
      55,32,46,48,50,54,50,52,48,49,32,46,48,50,54,54,54,49,52,32,46,48,50,55,48,
      56,52,52,32,46,48,50,55,53,48,56,57,32,46,48,50,55,57,51,54,50,10,32,32,46,
      48,50,56,51,54,53,51,32,46,48,50,56,55,57,53,49,32,46,48,50,57,50,50,55,52,
      32,46,48,50,57,54,54,49,54,32,46,48,51,48,48,57,54,54,32,46,48,51,48,53,51,
      51,53,32,46,48,51,48,57,55,50,50,32,46,48,51,49,52,49,50,51,32,46,48,51,49,
      56,53,51,57,10,32,32,46,48,51,50,50,57,54,56,32,46,48,51,50,55,52,50,52,32,
      46,48,51,51,49,56,57,53,32,46,48,51,51,54,51,55,53,32,46,48,51,52,48,56,56,
      56,32,46,48,51,52,53,52,50,53,32,46,48,51,52,57,57,54,57,32,46,48,51,53,52,
      53,52,56,32,46,48,51,53,57,49,53,55,10,32,32,46,48,51,54,51,55,55,55,32,46,
      48,51,54,56,52,50,54,32,46,48,51,55,51,49,49,53,32,46,48,51,55,55,56,49,55,
      32,46,48,51,56,50,53,52,32,46,48,51,56,55,51,48,53,32,46,48,51,57,50,48,56,
      53,32,46,48,51,57,54,56,56,49,32,46,48,52,48,49,55,49,52,10,32,32,46,48,52,
      48,54,53,54,53,32,46,48,52,49,49,52,50,57,32,46,48,52,49,55,57,52,51,32,46,
      48,52,51,51,49,55,50,32,46,48,52,53,53,54,51,57,32,46,48,52,57,49,57,51,54,
      32,46,48,53,50,54,57,51,49,32,46,48,53,54,49,52,56,32,46,48,53,57,54,53,57,
      52,10,32,32,46,48,54,51,50,55,54,52,32,46,48,54,54,57,55,49,57,32,46,48,55,
      48,54,56,56,55,32,46,48,55,52,51,54,57,49,32,46,48,55,55,57,55,48,49,32,46,
      48,56,49,52,55,49,54,32,46,48,56,52,56,51,56,32,46,48,56,56,54,56,52,55,32,
      46,48,57,50,50,57,53,55,10,32,32,46,48,57,54,54,57,53,50,32,46,49,48,48,53,
      57,49,32,46,49,48,51,57,54,55,32,46,49,48,55,52,52,52,32,46,49,49,48,49,56,
      49,32,46,49,49,50,53,53,51,32,46,49,49,53,53,54,49,32,46,49,49,57,52,54,50,
      32,46,49,50,53,56,55,49,32,46,49,51,50,56,55,57,10,32,32,46,49,51,57,53,52,
      57,32,46,49,52,53,54,52,32,46,49,53,48,48,55,56,32,46,49,53,50,51,56,54,32,
      46,49,53,50,57,56,50,32,46,49,53,49,57,57,54,32,46,49,53,48,49,48,54,32,46,
      49,52,56,54,52,52,32,46,49,52,57,48,52,56,32,46,49,53,50,55,48,51,32,46,49,
      53,53,54,55,56,10,32,32,46,49,53,53,48,53,55,32,46,49,52,57,55,32,46,49,51,
      55,49,49,50,32,46,49,50,49,48,57,53,32,46,49,48,52,54,50,53,32,46,48,56,56,
      49,51,55,49,32,46,48,55,52,55,48,52,49,32,46,48,54,51,57,57,51,49,32,46,48,
      53,54,51,56,51,52,32,46,48,53,50,50,53,51,56,10,32,32,46,48,53,48,57,50,53,
      32,46,48,52,56,54,49,54,54,32,46,48,52,53,52,52,50,55,32,46,48,52,48,54,49,
      49,51,32,46,48,51,51,48,57,52,51,32,46,48,50,54,52,52,56,50,32,46,48,50,49,
      53,48,49,55,32,46,48,49,56,51,48,55,50,32,46,48,49,52,56,48,54,54,10,32,32,
      46,48,49,49,56,57,53,56,32,46,48,48,57,52,50,48,52,49,32,46,48,48,55,54,56,
      55,51,51,32,46,48,48,54,53,50,48,51,51,32,46,48,48,53,55,56,57,52,56,32,46,
      48,48,53,49,53,55,32,46,48,48,52,53,49,50,48,56,32,46,48,48,51,57,50,56,51,
      52,32,46,48,48,50,55,52,54,53,53,10,32,32,46,48,48,49,56,52,56,49,56,32,46,
      48,48,49,51,49,49,52,51,32,46,48,48,48,57,56,51,49,56,53,32,46,48,48,48,56,
      56,48,49,52,53,32,46,48,48,48,54,54,54,56,48,52,32,46,48,48,48,53,48,57,56,
      53,32,46,48,48,48,51,57,52,49,51,52,32,46,48,48,48,51,48,56,53,49,56,10,32,
      32,46,48,48,48,50,51,53,51,54,56,32,46,48,48,48,49,57,51,50,53,55,32,46,48,
      48,48,49,53,56,56,53,56,32,46,48,48,48,49,49,53,51,50,32,57,46,52,56,52,57,
      101,45,48,53,32,54,46,57,55,57,48,57,101,45,48,53,32,53,46,48,53,50,48,57,101,
      45,48,53,32,52,46,49,54,52,49,50,101,45,48,53,10,32,32,51,46,52,51,49,49,53,
      101,45,48,53,32,50,46,53,50,55,55,101,45,48,53,32,49,46,56,48,52,57,51,101,
      45,48,53,32,49,46,52,57,55,53,101,45,48,53,32,49,46,49,48,56,49,51,101,45,48,
      53,32,57,46,50,50,51,53,50,101,45,48,54,32,54,46,56,52,53,52,50,101,45,48,54,
      10,32,32,53,46,51,54,54,51,55,101,45,48,54,32,57,46,49,51,48,49,55,101,45,48,
      54,32,56,46,48,50,55,55,49,101,45,48,54,32,54,46,50,54,56,57,55,101,45,48,54,
      32,52,46,55,55,49,57,50,101,45,48,54,32,51,46,56,48,50,54,56,101,45,48,54,32,
      51,46,48,51,49,50,49,101,45,48,54,10,32,32,50,46,52,53,50,51,55,101,45,48,54,
      32,49,46,57,57,48,57,54,101,45,48,54,32,49,46,53,56,48,54,50,101,45,48,54,32,
      49,46,50,56,55,57,55,101,45,48,54,32,49,46,48,50,55,57,55,101,45,48,54,32,56,
      46,55,48,57,54,50,101,45,48,55,32,54,46,54,52,56,50,56,101,45,48,55,10,32,32,
      53,46,54,51,52,50,50,101,45,48,55,32,52,46,53,56,55,53,50,101,45,48,55,32,50,
      46,56,52,52,56,55,101,45,48,55,32,49,46,52,55,54,50,53,101,45,48,55,32,55,46,
      55,57,53,50,101,45,48,56,32,51,46,53,49,53,48,57,101,45,48,56,32,49,46,53,56,
      55,57,101,45,48,56,10,32,32,54,46,49,51,50,48,57,101,45,48,57,32,50,46,55,55,
      57,52,50,101,45,48,57,32,55,46,56,53,55,50,56,101,45,49,48,32,50,46,51,54,49,
      51,49,101,45,49,48,32,49,46,48,49,52,54,51,101,45,49,48,32,51,46,57,53,51,51,
      56,101,45,49,49,32,49,46,49,50,55,50,49,101,45,49,49,10,32,32,51,46,55,54,53,
      56,53,101,45,49,50,32,49,46,50,53,57,56,52,101,45,49,50,32,51,46,54,48,57,56,
      55,101,45,49,51,32,49,46,48,51,53,57,101,45,49,51,32,51,46,52,55,56,54,50,101,
      45,49,52,32,49,46,49,54,57,50,55,101,45,49,52,32,51,46,57,51,51,55,57,101,45,
      49,53,10,32,32,49,46,48,49,56,48,55,101,45,49,53,32,50,46,53,48,51,53,53,101,
      45,49,54,32,53,46,50,55,53,57,55,101,45,49,55,32,49,46,50,57,57,57,56,101,45,
      49,55,32,50,46,55,52,48,54,54,101,45,49,56,32,54,46,55,52,56,48,49,101,45,49,
      57,32,49,46,54,52,56,53,56,101,45,49,57,10,32,32,50,46,56,53,54,51,55,101,45,
      50,48,32,48,114,49,48,55,32,49,46,53,52,57,54,101,45,48,55,32,54,46,50,49,51,
      53,54,101,45,48,55,32,49,46,51,57,57,49,57,101,45,48,54,32,49,46,53,52,57,53,
      56,101,45,48,54,32,54,46,50,49,51,51,101,45,48,54,32,49,46,51,57,57,48,50,101,
      45,48,53,10,32,32,50,46,52,56,54,51,52,101,45,48,53,32,51,46,56,56,51,49,52,
      101,45,48,53,32,53,46,53,57,50,53,53,101,45,48,53,32,55,46,54,49,48,53,53,101,
      45,48,53,32,46,48,48,48,49,48,52,56,57,55,32,46,48,48,48,49,51,50,55,51,49,
      32,46,48,48,48,49,54,51,56,48,52,10,32,32,46,48,48,48,49,57,56,49,50,57,32,
      46,48,48,48,50,51,53,55,48,50,32,46,48,48,48,50,55,54,52,57,55,32,46,48,48,
      48,51,50,48,53,50,54,32,46,48,48,48,51,54,55,55,55,57,32,46,48,48,48,52,49,
      56,50,51,51,32,46,48,48,48,52,55,49,56,57,53,32,46,48,48,48,53,50,56,55,52,
      49,10,32,32,46,48,48,48,53,56,56,55,55,56,32,46,48,48,48,54,53,49,57,55,56,
      32,46,48,48,48,55,51,50,49,55,55,32,46,48,48,48,56,48,51,48,50,52,32,46,48,
      48,48,56,55,55,48,53,53,32,46,48,48,48,57,53,52,50,53,51,32,46,48,48,49,48,
      51,52,54,52,32,46,48,48,49,49,49,56,49,55,10,32,32,46,48,48,49,50,48,52,56,
      53,32,46,48,48,49,50,57,52,54,54,32,46,48,48,49,51,56,55,54,32,46,48,48,49,
      52,56,51,54,55,32,46,48,48,49,53,56,50,56,53,32,46,48,48,49,54,56,53,49,50,
      32,46,48,48,49,55,57,48,53,54,32,46,48,48,49,56,57,57,48,54,32,46,48,48,50,
      48,49,48,54,53,10,32,32,46,48,48,50,49,50,53,52,53,32,46,48,48,50,50,52,51,
      51,32,46,48,48,50,51,54,52,50,51,32,46,48,48,50,52,56,56,52,54,32,46,48,48,
      50,54,49,53,55,54,32,46,48,48,50,55,52,54,49,51,32,46,48,48,50,56,55,57,56,
      50,32,46,48,48,51,48,49,54,54,53,32,46,48,48,51,49,53,54,53,53,10,32,32,46,
      48,48,51,50,57,57,55,56,32,46,48,48,51,52,52,54,50,50,32,46,48,48,51,53,57,
      53,55,53,32,46,48,48,51,55,52,56,53,53,32,46,48,48,51,57,48,52,54,49,32,46,
      48,48,52,48,54,51,55,56,32,46,48,48,52,50,50,54,49,55,32,46,48,48,52,51,57,
      49,56,53,10,32,32,46,48,48,52,53,54,48,54,53,32,46,48,48,52,55,51,50,53,56,
      32,46,48,48,52,57,48,55,56,52,32,46,48,48,53,48,56,54,49,57,32,46,48,48,53,
      50,54,55,54,51,32,46,48,48,53,52,53,50,52,49,32,46,48,48,53,54,52,48,50,54,
      32,46,48,48,53,56,51,49,50,50,10,32,32,46,48,48,54,48,50,53,52,52,32,46,48,
      48,54,50,50,50,55,57,32,46,48,48,54,52,50,51,50,52,32,46,48,48,54,54,50,54,
      57,53,32,46,48,48,54,56,51,51,56,54,32,46,48,48,55,48,52,51,56,51,32,46,48,
      48,55,50,53,55,49,51,32,46,48,48,55,52,55,51,55,53,10,32,32,46,48,48,55,54,
      57,51,52,52,32,46,48,48,55,57,49,54,52,56,32,46,48,48,56,49,52,51,49,32,46,
      48,48,56,51,55,50,56,32,46,48,48,56,54,48,53,55,55,32,46,48,48,56,56,52,50,
      55,56,32,46,48,48,57,48,56,50,56,52,32,46,48,48,57,51,50,53,57,56,32,46,48,
      48,57,53,55,51,55,54,10,32,32,46,48,48,57,56,50,52,53,56,32,46,48,49,48,48,
      55,56,52,32,46,48,49,48,51,51,55,32,46,48,49,48,53,57,56,57,32,46,48,49,48,
      56,54,51,56,32,46,48,49,49,49,51,51,49,32,46,48,49,49,52,48,54,50,32,46,48,
      49,49,54,56,50,49,32,46,48,49,49,57,54,50,50,10,32,32,46,48,49,50,50,52,54,
      51,32,46,48,49,50,53,51,51,51,32,46,48,49,50,56,50,52,32,46,48,49,51,49,49,
      56,56,32,46,48,49,51,52,49,54,53,32,46,48,49,51,55,49,55,51,32,46,48,49,52,
      48,50,50,53,32,46,48,49,52,51,51,48,53,32,46,48,49,52,54,52,49,51,10,32,32,
      46,48,49,52,57,53,54,51,32,46,48,49,53,50,55,52,50,32,46,48,49,53,53,57,52,
      56,32,46,48,49,53,57,49,57,32,46,48,49,54,50,52,54,49,32,46,48,49,54,53,55,
      54,51,32,46,48,49,54,57,48,57,51,32,46,48,49,55,50,52,53,52,32,46,48,49,55,
      53,56,52,53,10,32,32,46,48,49,55,57,50,54,51,32,46,48,49,56,50,55,48,55,32,
      46,48,49,56,54,49,56,51,32,46,48,49,56,57,54,56,52,32,46,48,49,57,51,50,49,
      32,46,48,49,57,54,55,54,53,32,46,48,50,48,48,51,52,56,32,46,48,50,48,51,57,
      52,56,32,46,48,50,48,55,53,55,56,10,32,32,46,48,50,49,49,50,51,56,32,46,48,
      50,49,52,57,48,55,32,46,48,50,49,56,54,48,54,32,46,48,50,50,50,51,51,52,32,
      46,48,50,50,54,48,54,56,32,46,48,50,50,57,56,50,55,32,46,48,50,51,51,54,49,
      53,32,46,48,50,51,55,52,48,56,32,46,48,50,52,49,50,49,57,10,32,32,46,48,50,
      52,53,48,53,54,32,46,48,50,52,56,57,48,49,32,46,48,50,53,50,55,53,51,32,46,
      48,50,53,54,54,50,57,32,46,48,50,54,48,53,49,53,32,46,48,50,54,52,52,32,46,
      48,50,54,56,51,48,53,32,46,48,50,55,50,50,50,50,32,46,48,50,55,54,49,51,57,
      32,46,48,50,56,48,48,54,57,10,32,32,46,48,50,56,52,48,49,49,32,46,48,50,56,
      55,57,54,49,32,46,48,50,57,49,57,50,49,32,46,48,50,57,53,56,56,55,32,46,48,
      50,57,57,56,55,55,32,46,48,51,48,51,56,55,54,32,46,48,51,48,55,56,56,32,46,
      48,51,49,49,57,49,53,32,46,48,51,49,53,57,54,57,10,32,32,46,48,51,50,48,48,
      50,55,32,46,48,51,50,52,49,49,54,32,46,48,51,50,56,50,51,54,32,46,48,51,51,
      50,51,54,50,32,46,48,51,51,54,53,49,51,32,46,48,51,52,48,55,48,54,32,46,48,
      51,52,52,57,48,54,32,46,48,51,52,57,49,50,53,32,46,48,51,53,51,51,56,54,10,
      32,32,46,48,51,53,55,54,53,57,32,46,48,51,54,49,57,52,50,32,46,48,51,54,54,
      50,54,52,32,46,48,51,55,48,53,57,57,32,46,48,51,55,52,57,52,52,32,46,48,51,
      56,48,55,54,51,32,46,48,51,57,52,51,53,51,32,46,48,52,49,52,51,55,32,46,48,
      52,52,54,54,49,53,10,32,32,46,48,52,55,55,54,55,54,32,46,48,53,48,56,52,50,
      55,32,46,48,53,51,57,56,51,50,32,46,48,53,55,50,51,48,51,32,46,48,54,48,53,
      53,52,55,32,46,48,54,51,57,48,48,52,32,46,48,54,55,50,49,51,52,32,46,48,55,
      48,52,53,50,52,32,46,48,55,51,53,57,55,55,10,32,32,46,48,55,54,54,50,50,53,
      32,46,48,56,48,48,55,52,53,32,46,48,56,51,51,49,53,55,32,46,48,56,55,50,55,
      50,32,46,48,57,48,55,57,53,32,46,48,57,51,56,55,55,55,32,46,48,57,55,49,48,
      51,56,32,46,48,57,57,55,49,57,49,32,46,49,48,50,48,51,55,32,46,49,48,52,57,
      54,57,10,32,32,46,49,48,56,54,55,53,32,46,49,49,52,54,53,56,32,46,49,50,49,
      49,53,55,32,46,49,50,55,51,54,54,32,46,49,51,51,49,51,53,32,46,49,51,55,53,
      51,49,32,46,49,52,48,49,50,53,32,46,49,52,49,50,53,50,32,46,49,52,48,57,57,
      49,32,46,49,51,57,57,52,54,10,32,32,46,49,51,57,49,57,51,32,46,49,52,48,49,
      48,50,32,46,49,52,51,57,57,57,32,46,49,52,55,50,54,51,32,46,49,52,55,48,57,
      49,32,46,49,52,50,54,52,50,32,46,49,51,49,52,56,55,32,46,49,49,54,57,49,51,
      32,46,49,48,49,54,51,57,32,46,48,56,54,48,57,53,53,10,32,32,46,48,55,51,50,
      55,53,54,32,46,48,54,50,57,54,51,53,32,46,48,53,53,54,49,49,51,32,46,48,53,
      49,54,51,50,51,32,46,48,53,48,51,55,49,50,32,46,48,52,56,49,51,49,56,32,46,
      48,52,53,48,50,56,52,32,46,48,52,48,50,56,48,55,32,46,48,51,50,56,54,55,10,
      32,32,46,48,50,54,50,57,52,50,32,46,48,50,49,51,57,50,54,32,46,48,49,56,50,
      50,51,32,46,48,49,52,55,52,54,49,32,46,48,49,49,56,53,50,51,32,46,48,48,57,
      51,56,57,51,54,32,46,48,48,55,54,54,52,48,56,32,46,48,48,54,53,48,49,57,51,
      32,46,48,48,53,55,55,51,57,55,10,32,32,46,48,48,53,49,52,51,56,51,32,46,48,
      48,52,53,48,49,49,51,32,46,48,48,51,57,49,57,50,53,32,46,48,48,50,55,52,48,
      56,51,32,46,48,48,49,56,52,52,55,49,32,46,48,48,49,51,48,57,49,54,32,46,48,
      48,48,57,56,49,54,48,50,32,46,48,48,48,56,55,56,55,55,52,10,32,32,46,48,48,
      48,54,54,53,56,50,53,32,46,48,48,48,53,48,57,49,52,51,32,46,48,48,48,51,57,
      51,54,49,54,32,46,48,48,48,51,48,56,49,51,50,32,46,48,48,48,50,51,53,48,56,
      55,32,46,48,48,48,49,57,51,48,51,52,32,46,48,48,48,49,53,56,54,56,49,32,46,
      48,48,48,49,49,53,49,57,57,10,32,32,57,46,52,55,53,50,101,45,48,53,32,54,46,
      57,55,50,51,49,101,45,48,53,32,53,46,48,52,55,52,101,45,48,53,32,52,46,49,54,
      48,51,53,101,45,48,53,32,51,46,52,50,56,49,52,101,45,48,53,32,50,46,53,50,53,
      53,57,101,45,48,53,32,49,46,56,48,51,52,56,101,45,48,53,10,32,32,49,46,52,57,
      54,51,51,101,45,48,53,32,49,46,49,48,55,50,57,101,45,48,53,32,57,46,50,49,54,
      54,57,101,45,48,54,32,54,46,56,52,48,53,50,101,45,48,54,32,53,46,51,54,50,54,
      56,101,45,48,54,32,57,46,49,48,54,50,53,101,45,48,54,32,56,46,48,48,54,55,51,
      101,45,48,54,10,32,32,54,46,50,53,50,54,54,101,45,48,54,32,52,46,55,53,57,53,
      54,101,45,48,54,32,51,46,55,57,50,56,55,101,45,48,54,32,51,46,48,50,51,52,50,
      101,45,48,54,32,50,46,52,52,54,48,56,101,45,48,54,32,49,46,57,56,53,56,55,101,
      45,48,54,32,49,46,53,55,54,54,101,45,48,54,10,32,32,49,46,50,56,52,55,101,45,
      48,54,32,49,46,48,50,53,51,55,101,45,48,54,32,56,46,54,56,55,54,51,101,45,48,
      55,32,54,46,54,51,49,53,54,101,45,48,55,32,53,46,54,50,48,53,101,45,48,55,32,
      52,46,53,55,54,56,53,101,45,48,55,32,50,46,56,51,56,57,55,101,45,48,55,10,32,
      32,49,46,52,55,51,54,57,101,45,48,55,32,55,46,55,56,50,49,54,101,45,48,56,32,
      51,46,53,48,57,50,56,101,45,48,56,32,49,46,53,56,53,51,101,45,48,56,32,54,46,
      49,50,50,49,57,101,45,48,57,32,50,46,55,55,52,57,56,101,45,48,57,32,55,46,56,
      52,52,57,50,101,45,49,48,10,32,32,50,46,51,53,55,54,54,101,45,49,48,32,49,46,
      48,49,51,48,55,101,45,49,48,32,51,46,57,52,55,51,54,101,45,49,49,32,49,46,49,
      50,53,53,50,101,45,49,49,32,51,46,55,54,48,50,56,101,45,49,50,32,49,46,50,53,
      55,57,57,101,45,49,50,32,51,46,54,48,52,54,54,101,45,49,51,10,32,32,49,46,48,
      51,52,52,51,101,45,49,51,32,51,46,52,55,51,55,53,101,45,49,52,32,49,46,49,54,
      55,54,51,101,45,49,52,32,51,46,57,50,56,50,55,101,45,49,53,32,49,46,48,49,55,
      51,52,101,45,49,53,32,50,46,53,48,49,56,57,101,45,49,54,32,53,46,50,55,50,55,
      52,101,45,49,55,10,32,32,49,46,50,57,57,50,52,101,45,49,55,32,50,46,55,51,57,
      49,49,101,45,49,56,32,54,46,55,52,52,50,53,101,45,49,57,32,49,46,54,52,55,53,
      54,101,45,49,57,32,50,46,56,53,48,52,49,101,45,50,48,32,48,114,49,48,55,32,
      49,46,52,53,52,56,53,101,45,48,55,32,53,46,56,51,51,54,55,101,45,48,55,10,32,
      32,49,46,51,49,51,54,52,101,45,48,54,32,49,46,52,53,52,56,53,101,45,48,54,32,
      53,46,56,51,51,52,57,101,45,48,54,32,49,46,51,49,51,53,50,101,45,48,53,32,50,
      46,51,51,52,52,50,101,45,48,53,32,51,46,54,52,53,56,55,101,45,48,53,32,53,46,
      50,53,48,54,56,101,45,48,53,10,32,32,55,46,49,52,52,56,52,101,45,48,53,32,57,
      46,53,52,51,48,56,101,45,48,53,32,46,48,48,48,49,50,51,52,49,54,32,46,48,48,
      48,49,53,50,51,49,51,32,46,48,48,48,49,56,52,50,51,52,32,46,48,48,48,50,49,
      57,49,55,51,32,46,48,48,48,50,53,55,49,49,32,46,48,48,48,50,57,56,48,53,50,
      10,32,32,46,48,48,48,51,52,49,57,57,50,32,46,48,48,48,51,56,56,57,48,53,32,
      46,48,48,48,52,51,56,56,32,46,48,48,48,52,57,49,54,53,50,32,46,48,48,48,53,
      52,55,52,54,54,32,46,48,48,48,54,48,54,50,49,57,32,46,48,48,48,54,54,55,57,
      49,52,32,46,48,48,48,55,52,52,49,54,52,10,32,32,46,48,48,48,56,49,50,55,53,
      51,32,46,48,48,48,56,56,52,50,55,49,32,46,48,48,48,57,53,56,55,51,53,32,46,
      48,48,49,48,51,54,49,49,32,46,48,48,49,49,49,54,51,56,32,46,48,48,49,49,57,
      57,53,53,32,46,48,48,49,50,56,53,54,49,32,46,48,48,49,51,55,52,53,53,10,32,
      32,46,48,48,49,52,54,54,51,54,32,46,48,48,49,53,54,49,48,50,32,46,48,48,49,
      54,53,56,54,49,32,46,48,48,49,55,53,57,32,46,48,48,49,56,54,50,50,53,32,46,
      48,48,49,57,54,56,52,55,32,46,48,48,50,48,55,55,52,57,32,46,48,48,50,49,56,
      57,51,53,32,46,48,48,50,51,48,52,50,54,10,32,32,46,48,48,50,52,50,50,32,46,
      48,48,50,53,52,50,53,55,32,46,48,48,50,54,54,54,50,49,32,46,48,48,50,55,57,
      50,55,53,32,46,48,48,50,57,50,50,49,50,32,46,48,48,51,48,53,52,53,55,32,46,
      48,48,51,49,56,57,57,57,32,46,48,48,51,51,50,56,50,54,32,46,48,48,51,52,54,
      57,53,53,10,32,32,46,48,48,51,54,49,51,56,55,32,46,48,48,51,55,54,49,48,54,
      32,46,48,48,51,57,49,49,50,49,32,46,48,48,52,48,54,52,52,51,32,46,48,48,52,
      50,50,48,53,50,32,46,48,48,52,51,55,57,52,57,32,46,48,48,52,53,52,49,53,54,
      32,46,48,48,52,55,48,54,52,55,10,32,32,46,48,48,52,56,55,52,50,51,32,46,48,
      48,53,48,52,53,49,32,46,48,48,53,50,49,56,55,57,32,46,48,48,53,51,57,53,51,
      52,32,46,48,48,53,53,55,52,57,49,32,46,48,48,53,55,53,55,51,56,32,46,48,48,
      53,57,52,50,54,57,32,46,48,48,54,49,51,49,48,52,32,46,48,48,54,51,50,50,51,
      52,10,32,32,46,48,48,54,53,49,54,52,54,32,46,48,48,54,55,49,51,54,54,32,46,
      48,48,54,57,49,51,57,53,32,46,48,48,55,49,49,55,48,54,32,46,48,48,55,51,50,
      51,50,57,32,46,48,48,55,53,51,50,56,54,32,46,48,48,55,55,52,53,50,55,32,46,
      48,48,55,57,54,48,55,49,10,32,32,46,48,48,56,49,55,57,57,54,32,46,48,48,56,
      52,48,50,48,50,32,46,48,48,56,54,50,54,57,49,32,46,48,48,56,56,53,54,50,51,
      32,46,48,48,57,48,56,56,51,52,32,46,48,48,57,51,50,51,50,52,32,46,48,48,57,
      53,54,50,54,54,32,46,48,48,57,56,48,53,49,49,10,32,32,46,48,49,48,48,53,48,
      51,32,46,48,49,48,50,57,57,56,32,46,48,49,48,53,53,50,56,32,46,48,49,48,56,
      48,56,51,32,46,48,49,49,48,54,55,57,32,46,48,49,49,51,51,49,49,32,46,48,49,
      49,53,57,55,32,46,48,49,49,56,54,54,51,32,46,48,49,50,49,51,57,55,10,32,32,
      46,48,49,50,52,49,53,53,32,46,48,49,50,54,57,52,51,32,46,48,49,50,57,55,55,
      50,32,46,48,49,51,50,54,50,55,32,46,48,49,51,53,53,48,55,32,46,48,49,51,56,
      52,50,55,32,46,48,49,52,49,51,55,50,32,46,48,49,52,52,51,52,51,32,46,48,49,
      52,55,51,52,55,10,32,32,46,48,49,53,48,51,55,56,32,46,48,49,53,51,52,51,55,
      32,46,48,49,53,54,53,50,50,32,46,48,49,53,57,54,51,53,32,46,48,49,54,50,55,
      55,53,32,46,48,49,54,53,57,52,32,46,48,49,54,57,49,51,32,46,48,49,55,50,51,
      52,56,32,46,48,49,55,53,53,56,56,32,46,48,49,55,56,56,53,50,10,32,32,46,48,
      49,56,50,49,52,50,32,46,48,49,56,53,52,53,55,32,46,48,49,56,56,55,56,55,32,
      46,48,49,57,50,49,52,53,32,46,48,49,57,53,53,51,32,46,48,49,57,56,57,50,50,
      32,46,48,50,48,50,51,52,49,32,46,48,50,48,53,55,56,55,32,46,48,50,48,57,50,
      51,54,10,32,32,46,48,50,49,50,55,48,56,32,46,48,50,49,54,50,48,55,32,46,48,
      50,49,57,55,48,56,32,46,48,50,50,51,50,50,52,32,46,48,50,50,54,55,54,51,32,
      46,48,50,51,48,51,48,57,32,46,48,50,51,51,56,53,56,32,46,48,50,51,55,52,50,
      57,32,46,48,50,52,49,48,48,56,10,32,32,46,48,50,52,52,53,56,51,32,46,48,50,
      52,56,49,55,52,32,46,48,50,53,49,55,55,54,32,46,48,50,53,53,51,55,51,32,46,
      48,50,53,56,57,56,49,32,46,48,50,54,50,53,57,56,32,46,48,50,54,54,50,50,32,
      46,48,50,54,57,56,52,56,32,46,48,50,55,51,52,56,32,46,48,50,55,55,49,51,51,
      10,32,32,46,48,50,56,48,55,57,50,32,46,48,50,56,52,52,53,50,32,46,48,50,56,
      56,49,52,32,46,48,50,57,49,56,52,53,32,46,48,50,57,53,53,53,49,32,46,48,50,
      57,57,50,56,53,32,46,48,51,48,51,48,52,55,32,46,48,51,48,54,56,49,51,32,46,
      48,51,49,48,54,48,50,10,32,32,46,48,51,49,52,52,50,57,32,46,48,51,49,56,50,
      54,49,32,46,48,51,50,50,49,48,57,32,46,48,51,50,53,57,57,55,32,46,48,51,50,
      57,56,57,52,32,46,48,51,51,51,55,57,57,32,46,48,51,51,55,55,52,32,46,48,51,
      52,49,54,57,50,32,46,48,51,52,53,54,53,49,10,32,32,46,48,51,53,48,57,53,50,
      32,46,48,51,54,51,51,50,51,32,46,48,51,56,49,53,49,49,32,46,48,52,49,48,55,
      50,55,32,46,48,52,51,56,56,48,56,32,46,48,52,54,54,54,52,50,32,46,48,52,57,
      53,49,53,56,32,46,48,53,50,52,55,51,51,32,46,48,53,53,53,48,54,52,10,32,32,
      46,48,53,56,53,54,48,56,32,46,48,54,49,53,56,52,55,32,46,48,54,52,53,51,56,
      53,32,46,48,54,55,52,48,51,54,32,46,48,55,48,49,53,52,53,32,46,48,55,51,50,
      57,48,54,32,46,48,55,54,50,51,48,55,32,46,48,55,57,56,50,48,50,32,46,48,56,
      51,48,50,49,55,10,32,32,46,48,56,53,56,51,55,32,46,48,56,56,56,49,54,53,32,
      46,48,57,49,50,55,50,32,46,48,57,51,52,56,54,51,32,46,48,57,54,50,57,53,32,
      46,48,57,57,55,57,50,55,32,46,49,48,53,51,56,49,32,46,49,49,49,52,50,56,32,
      46,49,49,55,50,50,49,32,46,49,50,50,54,55,49,10,32,32,46,49,50,54,57,53,56,
      32,46,49,50,57,54,57,53,32,46,49,51,49,49,54,53,32,46,49,51,49,52,49,54,32,
      46,49,51,48,57,57,51,32,46,49,51,48,55,55,54,32,46,49,51,50,48,54,32,46,49,
      51,54,49,49,53,32,46,49,51,57,53,56,52,32,46,49,51,57,55,55,52,32,46,49,51,
      54,48,57,10,32,32,46,49,50,54,49,56,49,32,46,49,49,50,56,57,56,32,46,48,57,
      56,55,50,50,54,32,46,48,56,52,48,54,57,57,32,46,48,55,49,56,52,48,50,32,46,
      48,54,49,57,49,56,55,32,46,48,53,52,56,50,48,57,32,46,48,53,48,57,57,49,54,
      32,46,48,52,57,55,57,55,55,32,46,48,52,55,54,50,56,50,10,32,32,46,48,52,52,
      53,57,54,53,32,46,48,51,57,57,51,52,55,32,46,48,51,50,54,50,56,32,46,48,50,
      54,49,51,49,54,32,46,48,50,49,50,55,55,49,32,46,48,49,56,49,51,51,54,32,46,
      48,49,52,54,56,49,57,32,46,48,49,49,56,48,54,32,46,48,48,57,51,53,54,51,51,
      10,32,32,46,48,48,55,54,51,57,51,51,32,46,48,48,54,52,56,50,51,51,32,46,48,
      48,53,55,53,55,52,53,32,46,48,48,53,49,50,57,56,49,32,46,48,48,52,52,56,57,
      52,55,32,46,48,48,51,57,48,57,53,53,32,46,48,48,50,55,51,52,55,51,32,46,48,
      48,49,56,52,49,48,49,10,32,32,46,48,48,49,51,48,54,55,53,32,46,48,48,48,57,
      55,57,57,49,55,32,46,48,48,48,56,55,55,51,49,52,32,46,48,48,48,54,54,52,55,
      56,52,32,46,48,48,48,53,48,56,51,57,49,32,46,48,48,48,51,57,51,48,54,53,32,
      46,48,48,48,51,48,55,55,49,57,32,46,48,48,48,50,51,52,55,56,55,10,32,32,46,
      48,48,48,49,57,50,55,57,55,32,46,48,48,48,49,53,56,52,57,51,32,46,48,48,48,
      49,49,53,48,54,57,32,57,46,52,54,52,56,52,101,45,48,53,32,54,46,57,54,53,48,
      54,101,45,48,53,32,53,46,48,52,50,52,49,101,45,48,53,32,52,46,49,53,54,51,54,
      101,45,48,53,10,32,32,51,46,52,50,52,57,51,101,45,48,53,32,50,46,53,50,51,51,
      51,101,45,48,53,32,49,46,56,48,49,57,52,101,45,48,53,32,49,46,52,57,53,48,56,
      101,45,48,53,32,49,46,49,48,54,52,101,45,48,53,32,57,46,50,48,57,52,55,101,
      45,48,54,32,54,46,56,51,53,51,51,101,45,48,54,10,32,32,53,46,51,53,56,55,53,
      101,45,48,54,32,57,46,48,56,50,53,54,101,45,48,54,32,55,46,57,56,53,57,53,101,
      45,48,54,32,54,46,50,51,54,53,101,45,48,54,32,52,46,55,52,55,51,50,101,45,48,
      54,32,51,46,55,56,51,49,53,101,45,48,54,32,51,46,48,49,53,55,101,45,48,54,10,
      32,32,50,46,52,51,57,56,54,101,45,48,54,32,49,46,57,56,48,56,52,101,45,48,54,
      32,49,46,53,55,50,54,50,101,45,48,54,32,49,46,50,56,49,52,54,101,45,48,54,32,
      49,46,48,50,50,55,57,101,45,48,54,32,56,46,54,54,53,57,101,45,48,55,32,54,46,
      54,49,53,48,52,101,45,48,55,10,32,32,53,46,54,48,54,53,51,101,45,48,55,32,52,
      46,53,54,53,53,101,45,48,55,32,50,46,56,51,49,57,56,101,45,48,55,32,49,46,52,
      55,48,48,57,101,45,48,55,32,55,46,55,54,53,50,57,101,45,48,56,32,51,46,53,48,
      51,48,51,101,45,48,56,32,49,46,53,56,50,55,54,101,45,48,56,10,32,32,54,46,49,
      49,50,53,49,101,45,48,57,32,50,46,55,55,48,54,52,101,45,48,57,32,55,46,56,51,
      50,56,54,101,45,49,48,32,50,46,51,53,52,48,57,101,45,49,48,32,49,46,48,49,49,
      53,53,101,45,49,48,32,51,46,57,52,49,52,57,101,45,49,49,32,49,46,49,50,51,56,
      55,101,45,49,49,10,32,32,51,46,55,53,52,56,53,101,45,49,50,32,49,46,50,53,54,
      50,101,45,49,50,32,51,46,53,57,57,53,57,101,45,49,51,32,49,46,48,51,51,101,
      45,49,51,32,51,46,52,54,57,48,49,101,45,49,52,32,49,46,49,54,54,48,52,101,45,
      49,52,32,51,46,57,50,50,57,49,101,45,49,53,10,32,32,49,46,48,49,54,54,54,101,
      45,49,53,32,50,46,53,48,48,51,50,101,45,49,54,32,53,46,50,54,57,55,50,101,45,
      49,55,32,49,46,50,57,56,53,52,101,45,49,55,32,50,46,55,51,55,54,54,101,45,49,
      56,32,54,46,55,52,48,55,51,101,45,49,57,32,49,46,54,52,54,54,49,101,45,49,57,
      10,32,32,50,46,56,52,52,53,54,101,45,50,48,32,48,114,49,48,55,32,49,46,51,55,
      52,52,55,101,45,48,55,32,53,46,53,49,49,51,54,101,45,48,55,32,49,46,50,52,49,
      48,55,101,45,48,54,32,49,46,51,55,52,52,55,101,45,48,54,32,53,46,53,49,49,50,
      56,101,45,48,54,32,49,46,50,52,48,57,57,101,45,48,53,10,32,32,50,46,50,48,53,
      53,54,101,45,48,53,32,51,46,52,52,52,54,55,101,45,48,53,32,52,46,57,54,48,57,
      101,45,48,53,32,54,46,55,53,48,51,101,45,48,53,32,56,46,56,49,55,51,50,101,
      45,48,53,32,46,48,48,48,49,49,53,54,56,32,46,48,48,48,49,52,50,55,55,52,32,
      46,48,48,48,49,55,50,55,48,49,10,32,32,46,48,48,48,50,48,53,52,53,57,32,46,
      48,48,48,50,52,49,48,50,56,32,46,48,48,48,50,55,57,52,49,53,32,46,48,48,48,
      51,50,48,54,49,51,32,46,48,48,48,51,54,52,54,48,49,32,46,48,48,48,52,49,49,
      51,56,51,32,46,48,48,48,52,54,48,57,51,56,32,46,48,48,48,53,49,51,50,54,57,
      10,32,32,46,48,48,48,53,54,56,51,53,52,32,46,48,48,48,54,50,54,49,57,54,32,
      46,48,48,48,54,56,54,55,56,53,32,46,48,48,48,55,53,57,56,57,49,32,46,48,48,
      48,56,50,54,55,54,49,32,46,48,48,48,56,57,54,51,56,53,32,46,48,48,48,57,54,
      56,55,50,56,32,46,48,48,49,48,52,51,55,55,10,32,32,46,48,48,49,49,50,49,53,
      50,32,46,48,48,49,50,48,49,57,55,32,46,48,48,49,50,56,53,49,49,32,46,48,48,
      49,51,55,48,57,49,32,46,48,48,49,52,53,57,51,56,32,46,48,48,49,53,53,48,53,
      56,32,46,48,48,49,54,52,52,51,57,32,46,48,48,49,55,52,48,56,55,10,32,32,46,
      48,48,49,56,52,48,49,32,46,48,48,49,57,52,49,57,54,32,46,48,48,50,48,52,54,
      52,53,32,46,48,48,50,49,53,51,56,32,46,48,48,50,50,54,51,55,56,32,46,48,48,
      50,51,55,54,52,32,46,48,48,50,52,57,49,56,57,32,46,48,48,50,54,49,48,48,56,
      32,46,48,48,50,55,51,48,57,49,10,32,32,46,48,48,50,56,53,52,54,50,32,46,48,
      48,50,57,56,49,49,32,46,48,48,51,49,49,48,50,52,32,46,48,48,51,50,52,50,50,
      32,46,48,48,51,51,55,55,32,46,48,48,51,53,49,52,52,54,32,46,48,48,51,54,53,
      52,55,32,46,48,48,51,55,57,55,56,49,32,46,48,48,51,57,52,51,53,57,10,32,32,
      46,48,48,52,48,57,50,48,55,32,46,48,48,52,50,52,51,52,51,32,46,48,48,52,51,
      57,55,52,53,32,46,48,48,52,53,53,52,49,51,32,46,48,48,52,55,49,51,55,49,32,
      46,48,48,52,56,55,53,57,50,32,46,48,48,53,48,52,48,56,32,46,48,48,53,50,48,
      56,53,49,32,46,48,48,53,51,55,56,57,50,10,32,32,46,48,48,53,53,53,49,57,55,
      32,46,48,48,53,55,50,55,56,55,32,46,48,48,53,57,48,54,53,50,32,46,48,48,54,
      48,56,55,56,32,46,48,48,54,50,55,49,57,55,32,46,48,48,54,52,53,57,48,50,32,
      46,48,48,54,54,52,56,55,50,32,46,48,48,54,56,52,49,51,51,32,46,48,48,55,48,
      51,55,48,56,10,32,32,46,48,48,55,50,51,53,52,55,32,46,48,48,55,52,51,54,55,
      49,32,46,48,48,55,54,52,49,53,52,32,46,48,48,55,56,52,56,57,57,32,46,48,48,
      56,48,53,57,48,57,32,46,48,48,56,50,55,51,52,49,32,46,48,48,56,52,57,48,51,
      51,32,46,48,48,56,55,48,57,56,51,10,32,32,46,48,48,56,57,51,51,54,53,32,46,
      48,48,57,49,54,48,51,32,46,48,48,57,51,56,57,53,50,32,46,48,48,57,54,50,50,
      56,51,32,46,48,48,57,56,53,57,51,52,32,46,48,49,48,48,57,56,51,32,46,48,49,
      48,51,52,49,32,46,48,49,48,53,56,55,51,32,46,48,49,48,56,51,54,10,32,32,46,
      48,49,49,48,56,55,57,32,46,48,49,49,51,52,51,54,32,46,48,49,49,54,48,49,54,
      32,46,48,49,49,56,54,50,52,32,46,48,49,50,49,50,55,32,46,48,49,50,51,57,52,
      32,46,48,49,50,54,54,51,52,32,46,48,49,50,57,51,54,53,32,46,48,49,51,50,49,
      50,32,46,48,49,51,52,56,57,56,10,32,32,46,48,49,51,55,55,48,56,32,46,48,49,
      52,48,53,52,50,32,46,48,49,52,51,52,48,50,32,46,48,49,52,54,50,56,54,32,46,
      48,49,52,57,49,57,55,32,46,48,49,53,50,49,51,51,32,46,48,49,53,53,48,57,49,
      32,46,48,49,53,56,48,55,51,32,46,48,49,54,49,48,56,10,32,32,46,48,49,54,52,
      49,48,57,32,46,48,49,54,55,49,53,56,32,46,48,49,55,48,50,51,50,32,46,48,49,
      55,51,51,51,32,46,48,49,55,54,52,52,49,32,46,48,49,55,57,53,55,55,32,46,48,
      49,56,50,55,51,57,32,46,48,49,56,53,57,48,54,32,46,48,49,56,57,48,57,57,10,
      32,32,46,48,49,57,50,51,49,54,32,46,48,49,57,53,53,51,54,32,46,48,49,57,56,
      55,55,54,32,46,48,50,48,50,48,52,50,32,46,48,50,48,53,51,48,56,32,46,48,50,
      48,56,53,56,55,32,46,48,50,49,49,56,56,57,32,46,48,50,49,53,49,57,52,32,46,
      48,50,49,56,53,48,51,10,32,32,46,48,50,50,49,56,51,32,46,48,50,50,53,49,54,
      52,32,46,48,50,50,56,52,57,50,32,46,48,50,51,49,56,51,53,32,46,48,50,51,53,
      49,56,54,32,46,48,50,51,56,53,51,49,32,46,48,50,52,49,56,56,53,32,46,48,50,
      52,53,50,52,53,32,46,48,50,52,56,54,48,57,10,32,32,46,48,50,53,49,57,55,54,
      32,46,48,50,53,53,51,52,53,32,46,48,50,53,56,55,51,51,32,46,48,50,54,50,49,
      50,53,32,46,48,50,54,53,53,49,54,32,46,48,50,54,56,57,51,51,32,46,48,50,55,
      50,51,54,51,32,46,48,50,55,53,55,57,51,32,46,48,50,55,57,50,52,57,10,32,32,
      46,48,50,56,50,55,51,32,46,48,50,56,54,50,49,51,32,46,48,50,56,57,55,49,55,
      32,46,48,50,57,51,50,53,54,32,46,48,50,57,54,55,57,57,32,46,48,51,48,48,51,
      53,54,32,46,48,51,48,51,57,53,49,32,46,48,51,48,55,53,53,50,32,46,48,51,49,
      49,49,54,32,46,48,51,49,52,56,48,49,10,32,32,46,48,51,49,56,52,53,50,32,46,
      48,51,50,50,49,48,54,32,46,48,51,50,55,32,46,48,51,51,56,52,49,32,46,48,51,
      53,53,49,53,57,32,46,48,51,56,49,57,56,54,32,46,48,52,48,55,55,49,49,32,46,
      48,52,51,51,50,50,49,32,46,48,52,53,57,52,51,49,32,46,48,52,56,54,54,56,55,
      10,32,32,46,48,53,49,52,54,56,55,32,46,48,53,52,50,57,48,50,32,46,48,53,55,
      48,56,50,49,32,46,48,53,57,56,48,54,55,32,46,48,54,50,52,52,53,52,32,46,48,
      54,52,57,55,53,49,32,46,48,54,55,56,53,52,49,32,46,48,55,48,53,52,55,53,32,
      46,48,55,51,56,51,49,55,10,32,32,46,48,55,54,55,54,48,50,32,46,48,55,57,51,
      51,57,32,46,48,56,50,48,56,51,53,32,46,48,56,52,51,55,52,55,32,46,48,56,54,
      52,54,52,51,32,46,48,56,57,49,50,56,54,32,46,48,57,50,52,50,50,57,32,46,48,
      57,55,54,53,54,52,32,46,49,48,51,51,48,51,32,46,49,48,56,55,50,54,10,32,32,
      46,49,49,51,56,55,52,32,46,49,49,56,48,49,51,32,46,49,50,48,55,57,56,32,46,
      49,50,50,52,55,56,32,46,49,50,51,48,56,51,32,46,49,50,51,49,49,51,32,46,49,
      50,51,50,57,51,32,46,49,50,52,56,53,32,46,49,50,56,57,57,54,32,46,49,51,50,
      54,48,49,32,46,49,51,51,48,55,56,10,32,32,46,49,51,48,48,51,32,46,49,50,49,
      49,57,55,32,46,49,48,57,48,54,50,32,46,48,57,53,56,57,32,46,48,56,50,48,55,
      49,49,32,46,48,55,48,52,48,53,55,32,46,48,54,48,56,54,51,57,32,46,48,53,52,
      48,49,54,32,46,48,53,48,51,51,52,53,32,46,48,52,57,50,48,55,50,10,32,32,46,
      48,52,55,49,48,55,55,32,46,48,52,52,49,52,56,54,32,46,48,51,57,53,55,52,52,
      32,46,48,51,50,51,55,55,55,32,46,48,50,53,57,54,48,54,32,46,48,50,49,49,53,
      53,51,32,46,48,49,56,48,51,57,50,32,46,48,49,52,54,49,52,32,46,48,49,49,55,
      53,55,32,46,48,48,57,51,50,49,51,52,10,32,32,46,48,48,55,54,49,51,48,56,32,
      46,48,48,54,52,54,49,53,53,32,46,48,48,53,55,51,57,57,53,32,46,48,48,53,49,
      49,52,57,52,32,46,48,48,52,52,55,55,48,57,32,46,48,48,51,56,57,57,50,54,32,
      46,48,48,50,55,50,56,50,54,32,46,48,48,49,56,51,55,48,57,10,32,32,46,48,48,
      49,51,48,52,49,57,32,46,48,48,48,57,55,56,49,50,54,32,46,48,48,48,56,55,53,
      55,54,50,32,46,48,48,48,54,54,51,54,55,57,32,46,48,48,48,53,48,55,53,57,51,
      32,46,48,48,48,51,57,50,52,55,56,32,46,48,48,48,51,48,55,50,56,50,32,46,48,
      48,48,50,51,52,52,55,10,32,32,46,48,48,48,49,57,50,53,52,54,32,46,48,48,48,
      49,53,56,50,57,51,32,46,48,48,48,49,49,52,57,51,32,57,46,52,53,51,56,51,101,
      45,48,53,32,54,46,57,53,55,51,54,101,45,48,53,32,53,46,48,51,55,49,101,45,48,
      53,32,52,46,49,53,50,49,101,45,48,53,32,51,46,52,50,49,53,51,101,45,48,53,10,
      32,32,50,46,53,50,48,57,49,101,45,48,53,32,49,46,56,48,48,51,101,45,48,53,32,
      49,46,52,57,51,55,53,101,45,48,53,32,49,46,49,48,53,52,53,101,45,48,53,32,57,
      46,50,48,49,55,52,101,45,48,54,32,54,46,56,50,57,55,56,101,45,48,54,32,53,46,
      51,53,52,53,56,101,45,48,54,10,32,32,57,46,48,53,57,48,55,101,45,48,54,32,55,
      46,57,54,53,51,53,101,45,48,54,32,54,46,50,50,48,53,101,45,48,54,32,52,46,55,
      51,53,50,101,45,48,54,32,51,46,55,55,51,53,51,101,45,48,54,32,51,46,48,48,56,
      48,55,101,45,48,54,32,50,46,52,51,51,55,49,101,45,48,54,10,32,32,49,46,57,55,
      53,56,54,101,45,48,54,32,49,46,53,54,56,54,56,101,45,48,54,32,49,46,50,55,56,
      50,54,101,45,48,54,32,49,46,48,50,48,50,53,101,45,48,54,32,56,46,54,52,52,52,
      101,45,48,55,32,54,46,53,57,56,54,57,101,45,48,55,32,53,46,53,57,50,55,50,101,
      45,48,55,10,32,32,52,46,53,53,52,50,57,101,45,48,55,32,50,46,56,50,53,48,55,
      101,45,48,55,32,49,46,52,54,54,53,52,101,45,48,55,32,55,46,55,52,54,54,56,101,
      45,48,56,32,51,46,52,57,52,55,50,101,45,48,56,32,49,46,53,55,57,51,53,101,45,
      48,56,32,54,46,49,48,50,48,49,101,45,48,57,10,32,32,50,46,55,54,54,51,57,101,
      45,48,57,32,55,46,56,50,49,48,54,101,45,49,48,32,50,46,51,53,48,54,101,45,49,
      48,32,49,46,48,49,48,48,54,101,45,49,48,32,51,46,57,51,53,55,55,101,45,49,49,
      32,49,46,49,50,50,50,55,101,45,49,49,32,51,46,55,52,57,53,54,101,45,49,50,10,
      32,32,49,46,50,53,52,52,53,101,45,49,50,32,51,46,53,57,52,54,53,101,45,49,51,
      32,49,46,48,51,49,54,101,45,49,51,32,51,46,52,54,52,51,54,101,45,49,52,32,49,
      46,49,54,52,52,57,101,45,49,52,32,51,46,57,49,55,55,101,45,49,53,32,49,46,48,
      49,54,48,49,101,45,49,53,10,32,32,50,46,52,57,56,56,53,101,45,49,54,32,53,46,
      50,54,54,56,55,101,45,49,55,32,49,46,50,57,55,56,56,101,45,49,55,32,50,46,55,
      51,54,51,49,101,45,49,56,32,54,46,55,51,55,52,56,101,45,49,57,32,49,46,54,52,
      53,55,50,101,45,49,57,32,50,46,56,51,56,56,49,101,45,50,48,10,32,32,48,114,
      49,48,55,32,49,46,51,50,53,48,54,101,45,48,55,32,53,46,51,49,51,50,50,101,45,
      48,55,32,49,46,49,57,54,52,52,101,45,48,54,32,49,46,51,50,53,48,53,101,45,48,
      54,32,53,46,51,49,50,57,56,101,45,48,54,32,49,46,49,57,54,50,57,101,45,48,53,
      32,50,46,49,50,54,48,49,101,45,48,53,10,32,32,51,46,51,50,48,50,101,45,48,53,
      32,52,46,55,56,49,50,50,101,45,48,53,32,54,46,53,48,53,101,45,48,53,32,56,46,
      52,57,53,53,49,101,45,48,53,32,46,48,48,48,49,48,56,48,51,55,32,46,48,48,48,
      49,51,54,53,56,55,32,46,48,48,48,49,54,53,50,32,46,48,48,48,49,57,54,53,49,
      50,10,32,32,46,48,48,48,50,51,48,53,48,50,32,46,48,48,48,50,54,55,49,55,53,
      32,46,48,48,48,51,48,54,53,50,53,32,46,48,48,48,51,52,56,53,50,53,32,46,48,
      48,48,51,57,51,49,56,50,32,46,48,48,48,52,52,48,52,55,49,32,46,48,48,48,52,
      57,48,51,57,51,32,46,48,48,48,53,52,50,57,50,54,10,32,32,46,48,48,48,53,57,
      56,48,54,57,32,46,48,48,48,54,53,53,56,49,49,32,46,48,48,48,55,49,54,49,51,
      32,46,48,48,48,55,55,57,48,48,55,32,46,48,48,48,56,53,51,52,49,52,32,46,48,
      48,48,57,50,50,49,49,53,32,46,48,48,48,57,57,51,51,54,50,32,46,48,48,49,48,
      54,55,49,53,10,32,32,46,48,48,49,49,52,51,52,56,32,46,48,48,49,50,50,50,51,
      52,32,46,48,48,49,51,48,51,55,32,46,48,48,49,51,56,55,53,55,32,46,48,48,49,
      52,55,52,32,46,48,48,49,53,54,50,57,32,46,48,48,49,54,53,52,50,57,32,46,48,
      48,49,55,52,56,51,32,46,48,48,49,56,52,52,55,54,10,32,32,46,48,48,49,57,52,
      51,55,32,46,48,48,50,48,52,53,51,53,32,46,48,48,50,49,52,57,52,56,32,46,48,
      48,50,50,53,54,48,56,32,46,48,48,50,51,54,53,52,50,32,46,48,48,50,52,55,55,
      51,32,46,48,48,50,53,57,49,54,54,32,46,48,48,50,55,48,56,55,54,32,46,48,48,
      50,56,50,56,52,57,10,32,32,46,48,48,50,57,53,48,55,49,32,46,48,48,51,48,55,
      53,54,50,32,46,48,48,51,50,48,51,50,50,32,46,48,48,51,51,51,51,51,50,32,46,
      48,48,51,52,54,54,48,53,32,46,48,48,51,54,48,49,53,32,46,48,48,51,55,51,57,
      52,54,32,46,48,48,51,56,55,57,57,56,32,46,48,48,52,48,50,51,50,51,10,32,32,
      46,48,48,52,49,54,56,57,57,32,46,48,48,52,51,49,55,50,51,32,46,48,48,52,52,
      54,56,50,52,32,46,48,48,52,54,50,49,55,51,32,46,48,48,52,55,55,55,55,49,32,
      46,48,48,52,57,51,54,51,57,32,46,48,48,53,48,57,55,54,32,46,48,48,53,50,54,
      49,51,32,46,48,48,53,52,50,55,54,57,10,32,32,46,48,48,53,53,57,54,54,57,32,
      46,48,48,53,55,54,56,49,54,32,46,48,48,53,57,52,50,51,55,32,46,48,48,54,49,
      49,57,51,50,32,46,48,48,54,50,57,56,55,53,32,46,48,48,54,52,56,48,57,54,32,
      46,48,48,54,54,54,54,49,57,32,46,48,48,54,56,53,51,56,57,10,32,32,46,48,48,
      55,48,52,52,50,57,32,46,48,48,55,50,51,56,50,50,32,46,48,48,55,52,51,52,53,
      56,32,46,48,48,55,54,51,51,52,52,32,46,48,48,55,56,51,54,52,55,32,46,48,48,
      56,48,52,49,57,52,32,46,48,48,56,50,52,57,56,52,32,46,48,48,56,52,54,50,48,
      50,10,32,32,46,48,48,56,54,55,54,57,32,46,48,48,56,56,57,52,49,56,32,46,48,
      48,57,49,49,53,53,32,46,48,48,57,51,51,57,57,50,32,46,48,48,57,53,54,54,54,
      53,32,46,48,48,57,55,57,55,48,52,32,46,48,49,48,48,51,48,57,32,46,48,49,48,
      50,54,55,32,46,48,49,48,53,48,54,50,10,32,32,46,48,49,48,55,52,57,50,32,46,
      48,49,48,57,57,52,51,32,46,48,49,49,50,52,50,32,46,48,49,49,52,57,51,54,32,
      46,48,49,49,55,52,55,51,32,46,48,49,50,48,48,51,51,32,46,48,49,50,50,54,50,
      57,32,46,48,49,50,53,50,52,55,32,46,48,49,50,55,56,56,55,10,32,32,46,48,49,
      51,48,53,53,56,32,46,48,49,51,51,50,53,49,32,46,48,49,51,53,57,54,56,32,46,
      48,49,51,56,55,48,56,32,46,48,49,52,49,52,55,51,32,46,48,49,52,52,50,54,49,
      32,46,48,49,52,55,48,55,32,46,48,49,52,57,57,32,46,48,49,53,50,55,53,52,32,
      46,48,49,53,53,54,50,56,10,32,32,46,48,49,53,56,53,50,32,46,48,49,54,49,52,
      51,53,32,46,48,49,54,52,51,55,50,32,46,48,49,54,55,51,49,56,32,46,48,49,55,
      48,50,56,56,32,46,48,49,55,51,50,56,51,32,46,48,49,55,54,50,55,57,32,46,48,
      49,55,57,50,57,56,32,46,48,49,56,50,51,52,32,46,48,49,56,53,51,56,49,10,32,
      32,46,48,49,56,56,52,51,57,32,46,48,49,57,49,53,50,49,32,46,48,49,57,52,54,
      32,46,48,49,57,55,54,56,57,32,46,48,50,48,48,55,57,56,32,46,48,50,48,51,57,
      48,55,32,46,48,50,48,55,48,49,53,32,46,48,50,49,48,49,52,32,46,48,50,49,51,
      50,54,56,32,46,48,50,49,54,51,56,54,10,32,32,46,48,50,49,57,53,49,54,32,46,
      48,50,50,50,54,53,50,32,46,48,50,50,53,55,55,56,32,46,48,50,50,56,57,48,57,
      32,46,48,50,51,50,48,52,54,32,46,48,50,51,53,49,56,49,32,46,48,50,51,56,51,
      49,57,32,46,48,50,52,49,52,53,53,32,46,48,50,52,52,54,48,57,10,32,32,46,48,
      50,52,55,55,54,52,32,46,48,50,53,48,57,49,53,32,46,48,50,53,52,48,57,50,32,
      46,48,50,53,55,50,56,50,32,46,48,50,54,48,52,54,55,32,46,48,50,54,51,54,55,
      57,32,46,48,50,54,54,57,49,53,32,46,48,50,55,48,49,53,49,32,46,48,50,55,51,
      52,48,54,10,32,32,46,48,50,55,54,54,57,55,32,46,48,50,55,57,57,56,57,32,46,
      48,50,56,51,50,57,52,32,46,48,50,56,54,54,51,54,32,46,48,50,56,57,57,56,51,
      32,46,48,50,57,51,51,51,53,32,46,48,50,57,54,55,50,32,46,48,51,48,48,49,49,
      49,32,46,48,51,48,51,53,48,54,10,32,32,46,48,51,48,56,48,53,50,32,46,48,51,
      49,56,54,52,50,32,46,48,51,51,52,49,54,49,32,46,48,51,53,56,57,53,32,46,48,
      51,56,50,54,55,51,32,46,48,52,48,54,50,50,57,32,46,48,52,51,48,53,49,55,32,
      46,48,52,53,53,56,53,57,32,46,48,52,56,49,57,52,52,10,32,32,46,48,53,48,56,
      50,52,54,32,46,48,53,51,52,50,54,51,32,46,48,53,53,57,54,50,52,32,46,48,53,
      56,52,49,52,54,32,46,48,54,48,55,54,49,53,32,46,48,54,51,52,50,54,51,32,46,
      48,54,53,57,49,51,49,32,46,48,54,56,57,51,56,53,32,46,48,55,49,54,51,49,56,
      10,32,32,46,48,55,52,48,48,52,55,32,46,48,55,54,53,51,56,54,32,46,48,55,56,
      54,54,55,50,32,46,48,56,48,54,51,32,46,48,56,51,49,52,54,55,32,46,48,56,54,
      50,53,48,53,32,46,48,57,49,49,54,54,55,32,46,48,57,54,52,54,51,55,32,46,49,
      48,49,53,53,57,32,46,49,48,54,52,50,55,10,32,32,46,49,49,48,52,48,50,32,46,
      49,49,51,49,55,53,32,46,49,49,52,57,55,52,32,46,49,49,53,56,49,54,32,46,49,
      49,54,49,54,57,32,46,49,49,54,54,52,49,32,46,49,49,56,51,56,57,32,46,49,50,
      50,53,55,54,32,46,49,50,54,50,54,51,32,46,49,50,54,57,54,52,10,32,32,46,49,
      50,52,52,52,49,32,46,49,49,54,53,51,52,32,46,49,48,53,52,49,51,32,46,48,57,
      51,49,53,48,55,32,46,48,56,48,49,48,55,53,32,46,48,54,56,57,55,56,53,32,46,
      48,53,57,56,48,52,32,46,48,53,51,50,32,46,48,52,57,54,54,51,53,32,46,48,52,
      56,54,48,49,54,10,32,32,46,48,52,54,53,55,50,49,32,46,48,52,51,54,56,54,32,
      46,48,51,57,50,48,48,56,32,46,48,51,50,49,49,54,57,32,46,48,50,53,55,56,49,
      54,32,46,48,50,49,48,50,55,53,32,46,48,49,55,57,52,32,46,48,49,52,53,52,50,
      52,32,46,48,49,49,55,48,53,52,32,46,48,48,57,50,56,52,52,51,10,32,32,46,48,
      48,55,53,56,53,51,56,32,46,48,48,54,52,51,57,53,57,32,46,48,48,53,55,50,49,
      52,50,32,46,48,48,53,48,57,57,50,49,32,46,48,48,52,52,54,52,32,46,48,48,51,
      56,56,56,51,55,32,46,48,48,50,55,50,49,52,49,32,46,48,48,49,56,51,50,57,52,
      32,46,48,48,49,51,48,49,52,56,10,32,32,46,48,48,48,57,55,54,50,50,57,32,46,
      48,48,48,56,55,52,49,49,56,32,46,48,48,48,54,54,50,53,48,56,32,46,48,48,48,
      53,48,54,55,52,54,32,46,48,48,48,51,57,49,56,53,54,32,46,48,48,48,51,48,54,
      56,49,56,32,46,48,48,48,50,51,52,49,51,51,32,46,48,48,48,49,57,50,50,55,56,
      10,32,32,46,48,48,48,49,53,56,48,56,49,32,46,48,48,48,49,49,52,55,56,52,32,
      57,46,52,52,50,49,54,101,45,48,53,32,54,46,57,52,57,49,56,101,45,48,53,32,53,
      46,48,51,49,52,51,101,45,48,53,32,52,46,49,52,55,53,55,101,45,48,53,32,51,46,
      52,49,55,57,101,45,48,53,10,32,32,50,46,53,49,56,51,53,101,45,48,53,32,49,46,
      55,57,56,53,52,101,45,48,53,32,49,46,52,57,50,51,51,101,45,48,53,32,49,46,49,
      48,52,52,52,101,45,48,53,32,57,46,49,57,51,53,101,45,48,54,32,54,46,56,50,51,
      57,101,45,48,54,32,53,46,51,53,48,49,51,101,45,48,54,10,32,32,57,46,48,51,53,
      55,56,101,45,48,54,32,55,46,57,52,52,57,50,101,45,48,54,32,54,46,50,48,52,54,
      51,101,45,48,54,32,52,46,55,50,51,49,56,101,45,48,54,32,51,46,55,54,52,101,
      45,48,54,32,51,46,48,48,48,53,101,45,48,54,32,50,46,52,50,55,54,49,101,45,48,
      54,10,32,32,49,46,57,55,48,57,51,101,45,48,54,32,49,46,53,54,52,55,56,101,45,
      48,54,32,49,46,50,55,53,49,101,45,48,54,32,49,46,48,49,55,55,51,101,45,48,54,
      32,56,46,54,50,51,49,51,101,45,48,55,32,54,46,53,56,50,53,51,101,45,48,55,32,
      53,46,53,55,57,48,53,101,45,48,55,10,32,32,52,46,53,52,51,50,101,45,48,55,32,
      50,46,56,49,56,50,52,101,45,48,55,32,49,46,52,54,51,48,51,101,45,48,55,32,55,
      46,55,50,56,50,57,101,45,48,56,32,51,46,52,56,54,53,49,101,45,48,56,32,49,46,
      53,55,53,54,56,101,45,48,56,32,54,46,48,56,56,101,45,48,57,10,32,32,50,46,55,
      54,48,53,54,101,45,48,57,32,55,46,56,48,56,56,52,101,45,49,48,32,50,46,51,52,
      55,49,56,101,45,49,48,32,49,46,48,48,56,54,49,101,45,49,48,32,51,46,57,51,48,
      49,56,101,45,49,49,32,49,46,49,50,48,55,101,45,49,49,32,51,46,55,52,52,51,55,
      101,45,49,50,10,32,32,49,46,50,53,50,55,52,101,45,49,50,32,51,46,53,56,57,56,
      53,101,45,49,51,32,49,46,48,51,48,50,52,101,45,49,51,32,51,46,52,53,57,55,56,
      101,45,49,52,32,49,46,49,54,50,57,54,101,45,49,52,32,51,46,57,49,50,54,52,101,
      45,49,53,32,49,46,48,49,53,52,101,45,49,53,10,32,32,50,46,52,57,55,52,55,101,
      45,49,54,32,53,46,50,54,52,49,54,101,45,49,55,32,49,46,50,57,55,50,51,101,45,
      49,55,32,50,46,55,51,53,48,53,101,45,49,56,32,54,46,55,51,52,53,101,45,49,57,
      32,49,46,54,52,52,57,101,45,49,57,32,51,46,52,56,50,56,51,101,45,50,48,10,32,
      32,48,114,49,48,55,32,49,46,50,55,55,56,51,101,45,48,55,32,53,46,49,50,51,56,
      52,101,45,48,55,32,49,46,49,53,51,56,101,45,48,54,32,49,46,50,55,55,56,50,101,
      45,48,54,32,53,46,49,50,51,53,51,101,45,48,54,32,49,46,49,53,51,54,49,101,45,
      48,53,32,50,46,48,53,48,48,57,101,45,48,53,10,32,32,51,46,50,48,49,53,50,101,
      45,48,53,32,52,46,54,49,48,48,55,101,45,48,53,32,54,46,50,55,49,54,55,101,45,
      48,53,32,56,46,49,56,57,57,50,101,45,48,53,32,46,48,48,48,49,48,51,54,50,51,
      32,46,48,48,48,49,51,48,57,51,32,46,48,48,48,49,53,56,51,53,32,46,48,48,48,
      49,56,56,51,53,10,32,32,46,48,48,48,50,50,48,57,49,49,32,46,48,48,48,50,53,
      54,48,51,54,32,46,48,48,48,50,57,51,55,49,55,32,46,48,48,48,51,51,51,57,51,
      32,46,48,48,48,51,55,54,54,55,55,32,46,48,48,48,52,50,49,57,51,53,32,46,48,
      48,48,52,54,57,55,48,50,32,46,48,48,48,53,49,57,57,53,54,10,32,32,46,48,48,
      48,53,55,50,54,57,54,32,46,48,48,48,54,50,55,57,48,55,32,46,48,48,48,54,56,
      53,53,54,56,32,46,48,48,48,55,52,53,54,54,50,32,46,48,48,48,56,48,56,50,32,
      46,48,48,48,56,56,48,55,48,50,32,46,48,48,48,57,52,56,54,50,52,32,46,48,48,
      49,48,49,56,57,53,10,32,32,46,48,48,49,48,57,49,54,57,32,46,48,48,49,49,54,
      54,56,50,32,46,48,48,49,50,52,52,51,50,32,46,48,48,49,51,50,52,49,57,32,46,
      48,48,49,52,48,54,53,32,46,48,48,49,52,57,49,49,50,32,46,48,48,49,53,55,56,
      49,49,32,46,48,48,49,54,54,55,53,57,32,46,48,48,49,55,53,57,51,57,10,32,32,
      46,48,48,49,56,53,51,53,50,32,46,48,48,49,57,53,48,50,52,32,46,48,48,50,48,
      52,57,51,49,32,46,48,48,50,49,53,48,55,49,32,46,48,48,50,50,53,52,55,51,32,
      46,48,48,50,51,54,49,49,54,32,46,48,48,50,52,54,57,57,52,32,46,48,48,50,53,
      56,49,51,51,10,32,32,46,48,48,50,54,57,53,50,51,32,46,48,48,50,56,49,49,52,
      56,32,46,48,48,50,57,51,48,50,57,32,46,48,48,51,48,53,49,54,54,32,46,48,48,
      51,49,55,53,52,49,32,46,48,48,51,51,48,49,54,53,32,46,48,48,51,52,51,48,53,
      32,46,48,48,51,53,54,49,55,50,32,46,48,48,51,54,57,53,51,53,10,32,32,46,48,
      48,51,56,51,49,54,49,32,46,48,48,51,57,55,48,50,51,32,46,48,48,52,49,49,49,
      50,49,32,46,48,48,52,50,53,52,56,50,32,46,48,48,52,52,48,48,55,56,32,46,48,
      48,52,53,52,57,49,32,46,48,48,52,54,57,57,57,57,32,46,48,48,52,56,53,51,50,
      56,32,46,48,48,53,48,48,56,57,50,10,32,32,46,48,48,53,49,54,55,49,51,32,46,
      48,48,53,51,50,55,56,49,32,46,48,48,53,52,57,48,56,51,32,46,48,48,53,54,53,
      54,52,55,32,46,48,48,53,56,50,52,55,50,32,46,48,48,53,57,57,53,51,50,32,46,
      48,48,54,49,54,56,53,54,32,46,48,48,54,51,52,52,55,49,10,32,32,46,48,48,54,
      53,50,51,50,32,46,48,48,54,55,48,52,50,55,32,46,48,48,54,56,56,56,55,55,32,
      46,48,48,55,48,55,53,53,55,32,46,48,48,55,50,54,52,55,50,32,46,48,48,55,52,
      53,55,57,57,32,46,48,48,55,54,53,51,53,54,32,46,48,48,55,56,53,49,52,49,32,
      46,48,48,56,48,53,51,52,57,10,32,32,46,48,48,56,50,53,56,49,51,32,46,48,48,
      56,52,54,53,48,53,32,46,48,48,56,54,55,53,57,52,32,46,48,48,56,56,56,57,56,
      50,32,46,48,48,57,49,48,53,56,55,32,46,48,48,57,51,50,53,53,32,46,48,48,57,
      53,52,56,53,49,32,46,48,48,57,55,55,51,54,49,32,46,48,49,48,48,48,49,55,10,
      32,32,46,48,49,48,50,51,51,53,32,46,48,49,48,52,54,55,51,32,46,48,49,48,55,
      48,51,54,32,46,48,49,48,57,52,51,55,32,46,48,49,49,49,56,53,56,32,46,48,49,
      49,52,50,57,57,32,46,48,49,49,54,55,55,55,32,46,48,49,49,57,50,55,54,32,46,
      48,49,50,49,55,57,52,10,32,32,46,48,49,50,52,51,52,50,32,46,48,49,50,54,57,
      49,49,32,46,48,49,50,57,53,48,51,32,46,48,49,51,50,49,49,55,32,46,48,49,51,
      52,55,53,52,32,46,48,49,51,55,52,49,50,32,46,48,49,52,48,48,57,32,46,48,49,
      52,50,55,56,56,32,46,48,49,52,53,53,48,56,10,32,32,46,48,49,52,56,50,52,54,
      32,46,48,49,53,49,48,48,49,32,46,48,49,53,51,55,55,55,32,46,48,49,53,54,53,
      55,52,32,46,48,49,53,57,51,55,56,32,46,48,49,54,50,50,48,53,32,46,48,49,54,
      53,48,53,53,32,46,48,49,54,55,57,48,50,32,46,48,49,55,48,55,55,50,10,32,32,
      46,48,49,55,51,54,54,52,32,46,48,49,55,54,53,53,50,32,46,48,49,55,57,52,53,
      53,32,46,48,49,56,50,51,56,32,46,48,49,56,53,51,32,46,48,49,56,56,50,50,55,
      32,46,48,49,57,49,49,55,51,32,46,48,49,57,52,49,49,54,32,46,48,49,57,55,48,
      53,54,32,46,48,50,48,48,48,49,49,10,32,32,46,48,50,48,50,57,54,55,32,46,48,
      50,48,53,57,49,32,46,48,50,48,56,56,54,51,32,46,48,50,49,49,56,50,32,46,48,
      50,49,52,55,54,53,32,46,48,50,49,55,55,49,51,32,46,48,50,50,48,54,54,51,32,
      46,48,50,50,51,54,49,49,32,46,48,50,50,54,53,54,32,46,48,50,50,57,53,48,53,
      10,32,32,46,48,50,51,50,52,54,53,32,46,48,50,51,53,52,50,54,32,46,48,50,51,
      56,51,56,50,32,46,48,50,52,49,51,54,50,32,46,48,50,52,52,51,53,51,32,46,48,
      50,52,55,51,51,56,32,46,48,50,53,48,51,52,57,32,46,48,50,53,51,51,56,52,32,
      46,48,50,53,54,52,49,54,10,32,32,46,48,50,53,57,52,54,54,32,46,48,50,54,50,
      53,53,51,32,46,48,50,54,53,54,51,57,32,46,48,50,54,56,55,51,53,32,46,48,50,
      55,49,56,55,32,46,48,50,55,53,48,48,56,32,46,48,50,55,56,49,52,56,32,46,48,
      50,56,49,51,50,49,32,46,48,50,56,52,53,32,46,48,50,56,55,54,56,10,32,32,46,
      48,50,57,49,57,51,57,32,46,48,51,48,49,56,53,51,32,46,48,51,49,54,51,54,49,
      32,46,48,51,51,57,52,55,55,32,46,48,51,54,49,53,53,57,32,46,48,51,56,51,53,
      48,55,32,46,48,52,48,54,50,48,53,32,46,48,52,50,57,57,53,54,32,46,48,52,53,
      52,52,52,52,10,32,32,46,48,52,55,57,49,53,49,32,46,48,53,48,51,53,56,49,32,
      46,48,53,50,55,51,55,49,32,46,48,53,53,48,51,52,50,32,46,48,53,55,50,50,56,
      52,32,46,48,53,57,55,49,52,56,32,46,48,54,50,48,51,48,51,32,46,48,54,52,56,
      52,48,52,32,46,48,54,55,51,51,55,49,10,32,32,46,48,54,57,53,51,52,54,32,46,
      48,55,49,56,56,52,51,32,46,48,55,51,56,54,57,50,32,46,48,55,53,55,49,50,49,
      32,46,48,55,56,48,56,57,57,32,46,48,56,49,48,50,48,51,32,46,48,56,53,54,53,
      54,52,32,46,48,57,48,54,52,55,52,32,46,48,57,53,52,53,51,57,10,32,32,46,49,
      48,48,48,54,56,32,46,49,48,51,56,55,54,32,46,49,48,54,54,48,49,32,46,49,48,
      56,52,53,55,32,46,49,48,57,52,53,55,32,46,49,49,48,48,51,57,32,46,49,49,48,
      55,50,32,46,49,49,50,53,57,54,32,46,49,49,54,55,56,52,32,46,49,50,48,53,49,
      32,46,49,50,49,51,56,51,10,32,32,46,49,49,57,50,57,52,32,46,49,49,50,49,55,
      56,32,46,49,48,49,57,53,32,46,48,57,48,53,49,32,46,48,55,56,49,56,53,52,32,
      46,48,54,55,53,54,51,56,32,46,48,53,56,55,52,50,56,32,46,48,53,50,51,55,54,
      32,46,48,52,56,57,56,49,32,46,48,52,55,57,56,51,10,32,32,46,48,52,54,48,50,
      51,49,32,46,48,52,51,50,49,32,46,48,51,56,56,49,52,57,32,46,48,51,49,56,52,
      54,49,32,46,48,50,53,53,57,53,32,46,48,50,48,56,57,51,56,32,46,48,49,55,56,
      51,54,49,32,46,48,49,52,52,54,55,52,32,46,48,49,49,54,53,49,49,32,46,48,48,
      57,50,52,53,54,49,10,32,32,46,48,48,55,53,53,54,50,51,32,46,48,48,54,52,49,
      54,52,56,32,46,48,48,53,55,48,49,57,51,32,46,48,48,53,48,56,50,54,54,32,46,
      48,48,52,52,53,48,50,49,32,46,48,48,51,56,55,54,56,57,32,46,48,48,50,55,49,
      52,49,56,32,46,48,48,49,56,50,56,53,54,10,32,32,46,48,48,49,50,57,56,54,50,
      32,46,48,48,48,57,55,52,50,50,56,32,46,48,48,48,56,55,50,51,56,52,32,46,48,
      48,48,54,54,49,50,55,49,32,46,48,48,48,53,48,53,56,53,50,32,46,48,48,48,51,
      57,49,50,32,46,48,48,48,51,48,54,51,50,56,32,46,48,48,48,50,51,51,55,55,55,
      10,32,32,46,48,48,48,49,57,49,57,57,54,32,46,48,48,48,49,53,55,56,53,54,32,
      46,48,48,48,49,49,52,54,50,57,32,57,46,52,50,57,56,52,101,45,48,53,32,54,46,
      57,52,48,53,54,101,45,48,53,32,53,46,48,50,53,52,56,101,45,48,53,32,52,46,49,
      52,50,55,57,101,45,48,53,10,32,32,51,46,52,49,52,48,55,101,45,48,53,32,50,46,
      53,49,53,54,51,101,45,48,53,32,49,46,55,57,54,54,56,101,45,48,53,32,49,46,52,
      57,48,56,50,101,45,48,53,32,49,46,49,48,51,51,55,101,45,48,53,32,57,46,49,56,
      52,56,101,45,48,54,32,54,46,56,49,55,54,53,101,45,48,54,10,32,32,53,46,51,52,
      53,52,49,101,45,48,54,32,57,46,48,48,51,53,50,101,45,48,54,32,55,46,57,49,56,
      49,56,101,45,48,54,32,54,46,49,56,54,49,52,101,45,48,54,32,52,46,55,49,49,48,
      57,101,45,48,54,32,51,46,55,53,52,53,54,101,45,48,54,32,50,46,57,57,51,48,49,
      101,45,48,54,10,32,32,50,46,52,50,49,53,56,101,45,48,54,32,49,46,57,54,54,48,
      53,101,45,48,54,32,49,46,53,54,48,57,50,101,45,48,54,32,49,46,50,55,49,57,55,
      101,45,48,54,32,49,46,48,49,53,50,52,101,45,48,54,32,56,46,54,48,50,48,57,101,
      45,48,55,32,54,46,53,54,54,53,52,101,45,48,55,10,32,32,53,46,53,54,53,53,52,
      101,45,48,55,32,52,46,53,51,50,50,51,101,45,48,55,32,50,46,56,49,49,52,57,101,
      45,48,55,32,49,46,52,53,57,53,54,101,45,48,55,32,55,46,55,49,48,49,52,101,45,
      48,56,32,51,46,52,55,56,52,49,101,45,48,56,32,49,46,53,55,50,48,54,101,45,48,
      56,10,32,32,54,46,48,55,52,49,55,101,45,48,57,32,50,46,55,53,52,51,53,101,45,
      48,57,32,55,46,55,57,49,53,55,101,45,49,48,32,50,46,51,52,50,57,52,101,45,49,
      48,32,49,46,48,48,55,49,51,101,45,49,48,32,51,46,57,50,52,55,51,101,45,49,49,
      32,49,46,49,49,57,49,55,101,45,49,49,10,32,32,51,46,55,51,57,51,50,101,45,49,
      50,32,49,46,50,53,49,48,56,101,45,49,50,32,51,46,53,56,53,49,56,101,45,49,51,
      32,49,46,48,50,56,57,50,101,45,49,51,32,51,46,52,53,53,51,50,101,45,49,52,32,
      49,46,49,54,49,52,56,101,45,49,52,32,51,46,57,48,55,55,50,101,45,49,53,10,32,
      32,49,46,48,49,52,56,51,101,45,49,53,32,50,46,52,57,54,49,57,101,45,49,54,32,
      53,46,50,54,49,54,53,101,45,49,55,32,49,46,50,57,54,54,52,101,45,49,55,32,50,
      46,55,51,51,56,57,101,45,49,56,32,54,46,55,51,49,55,55,101,45,49,57,32,49,46,
      54,52,52,49,52,101,45,49,57,10,32,32,51,46,52,56,49,51,54,101,45,50,48,32,48,
      114,49,48,55,32,49,46,50,50,49,48,56,101,45,48,55,32,52,46,56,57,54,51,101,
      45,48,55,32,49,46,49,48,50,53,54,101,45,48,54,32,49,46,50,50,49,48,55,101,45,
      48,54,32,52,46,56,57,54,48,56,101,45,48,54,32,49,46,49,48,50,52,50,101,45,48,
      53,10,32,32,49,46,57,53,57,49,54,101,45,48,53,32,51,46,48,53,57,53,57,101,45,
      48,53,32,52,46,52,48,53,56,49,101,45,48,53,32,53,46,57,57,51,56,57,101,45,48,
      53,32,55,46,56,50,55,49,57,101,45,48,53,32,57,46,57,48,51,50,101,45,48,53,32,
      46,48,48,48,49,50,50,50,49,56,10,32,32,46,48,48,48,49,53,48,55,49,32,46,48,
      48,48,49,55,57,50,55,49,32,46,48,48,48,50,49,48,50,55,49,32,46,48,48,48,50,
      52,51,55,49,51,32,46,48,48,48,50,55,57,53,57,49,32,46,48,48,48,51,49,55,56,
      56,49,32,46,48,48,48,51,53,56,53,56,54,32,46,48,48,48,52,48,49,54,56,52,10,
      32,32,46,48,48,48,52,52,55,49,55,50,32,46,48,48,48,52,57,53,48,51,32,46,48,
      48,48,53,52,53,50,53,54,32,46,48,48,48,53,57,55,56,51,55,32,46,48,48,48,54,
      53,50,55,53,50,32,46,48,48,48,55,48,57,57,56,51,32,46,48,48,48,55,54,57,53,
      52,51,32,46,48,48,48,56,51,49,52,48,50,10,32,32,46,48,48,48,56,57,53,53,52,
      51,32,46,48,48,48,57,54,56,56,48,49,32,46,48,48,49,48,51,55,57,56,32,46,48,
      48,49,49,48,57,52,51,32,46,48,48,49,49,56,51,49,51,32,46,48,48,49,50,53,57,
      48,57,32,46,48,48,49,51,51,55,51,54,32,46,48,48,49,52,49,55,56,51,10,32,32,
      46,48,48,49,53,48,48,53,53,32,46,48,48,49,53,56,53,54,51,32,46,48,48,49,54,
      55,50,57,50,32,46,48,48,49,55,54,50,52,51,32,46,48,48,49,56,53,52,52,32,46,
      48,48,49,57,52,56,53,57,32,46,48,48,50,48,52,53,32,46,48,48,50,49,52,51,57,
      32,46,48,48,50,50,52,53,48,57,10,32,32,46,48,48,50,51,52,56,53,49,32,46,48,
      48,50,52,53,52,52,50,32,46,48,48,50,53,54,50,55,49,32,46,48,48,50,54,55,51,
      50,51,32,46,48,48,50,55,56,54,49,57,32,46,48,48,50,57,48,49,53,56,32,46,48,
      48,51,48,49,57,50,51,32,46,48,48,51,49,51,57,50,54,10,32,32,46,48,48,51,50,
      54,49,55,54,32,46,48,48,51,51,56,54,53,50,32,46,48,48,51,53,49,51,53,56,32,
      46,48,48,51,54,52,51,49,50,32,46,48,48,51,55,55,52,57,50,32,46,48,48,51,57,
      48,56,57,53,32,46,48,48,52,48,52,53,53,32,46,48,48,52,49,56,52,50,55,32,46,
      48,48,52,51,50,53,50,56,10,32,32,46,48,48,52,52,54,56,55,52,32,46,48,48,52,
      54,49,52,52,56,32,46,48,48,52,55,54,50,52,53,32,46,48,48,52,57,49,50,56,56,
      32,46,48,48,53,48,54,53,54,53,32,46,48,48,53,50,50,48,54,52,32,46,48,48,53,
      51,55,56,49,50,32,46,48,48,53,53,51,56,48,57,10,32,32,46,48,48,53,55,48,48,
      50,57,32,46,48,48,53,56,54,53,48,49,32,46,48,48,54,48,51,50,53,32,46,48,48,
      54,50,48,50,50,50,32,46,48,48,54,51,55,52,51,56,32,46,48,48,54,53,52,57,56,
      50,32,46,48,48,54,55,50,55,52,54,32,46,48,48,54,57,48,55,51,50,32,46,48,48,
      55,48,57,49,49,51,10,32,32,46,48,48,55,50,55,55,49,50,32,46,48,48,55,52,54,
      53,50,57,32,46,48,48,55,54,53,55,52,57,32,46,48,48,55,56,53,50,49,52,32,46,
      48,48,56,48,52,56,57,52,32,46,48,48,56,50,52,57,53,53,32,46,48,48,56,52,53,
      51,32,46,48,48,56,54,53,56,53,50,32,46,48,48,56,56,54,55,52,52,10,32,32,46,
      48,48,57,48,55,57,53,57,32,46,48,48,57,50,57,51,55,51,32,46,48,48,57,53,49,
      48,55,51,32,46,48,48,57,55,51,49,50,52,32,46,48,48,57,57,53,51,54,55,32,46,
      48,49,48,49,55,56,52,32,46,48,49,48,52,48,54,56,32,46,48,49,48,54,51,55,49,
      32,46,48,49,48,56,54,57,51,10,32,32,46,48,49,49,49,48,53,32,46,48,49,49,51,
      52,50,54,32,46,48,49,49,53,56,50,50,32,46,48,49,49,56,50,52,53,32,46,48,49,
      50,48,54,56,57,32,46,48,49,50,51,49,53,52,32,46,48,49,50,53,54,52,32,46,48,
      49,50,56,49,52,55,32,46,48,49,51,48,54,55,53,32,46,48,49,51,51,50,50,50,10,
      32,32,46,48,49,51,53,55,56,55,32,46,48,49,51,56,51,55,52,32,46,48,49,52,48,
      57,55,55,32,46,48,49,52,51,53,57,55,32,46,48,49,52,54,50,51,55,32,46,48,49,
      52,56,56,57,54,32,46,48,49,53,49,53,54,50,32,46,48,49,53,52,50,52,57,32,46,
      48,49,53,54,57,53,57,10,32,32,46,48,49,53,57,54,54,54,32,46,48,49,54,50,51,
      57,52,32,46,48,49,54,53,49,52,52,32,46,48,49,54,55,56,56,57,32,46,48,49,55,
      48,54,52,56,32,46,48,49,55,51,52,50,57,32,46,48,49,55,54,50,48,52,32,46,48,
      49,55,56,57,56,54,32,46,48,49,56,49,55,56,54,10,32,32,46,48,49,56,52,53,56,
      52,32,46,48,49,56,55,51,55,55,32,46,48,49,57,48,49,56,53,32,46,48,49,57,50,
      57,57,51,32,46,48,49,57,53,55,56,57,32,46,48,49,57,56,53,57,51,32,46,48,50,
      48,49,52,48,49,32,46,48,50,48,52,49,57,55,32,46,48,50,48,54,57,57,53,10,32,
      32,46,48,50,48,57,55,57,53,32,46,48,50,49,50,53,57,50,32,46,48,50,49,53,51,
      56,56,32,46,48,50,49,56,49,56,49,32,46,48,50,50,48,57,56,56,32,46,48,50,50,
      51,55,57,52,32,46,48,50,50,54,53,57,52,32,46,48,50,50,57,52,49,56,32,46,48,
      50,51,50,50,53,49,10,32,32,46,48,50,51,53,48,55,56,32,46,48,50,51,55,57,50,
      57,32,46,48,50,52,48,56,48,50,32,46,48,50,52,51,54,55,50,32,46,48,50,52,54,
      53,53,57,32,46,48,50,52,57,52,56,32,46,48,50,53,50,52,32,46,48,50,53,53,51,
      50,57,32,46,48,50,53,56,50,57,53,32,46,48,50,54,49,50,54,51,10,32,32,46,48,
      50,54,52,50,51,51,32,46,48,50,54,55,50,51,52,32,46,48,50,55,48,50,52,32,46,
      48,50,55,51,50,52,54,32,46,48,50,55,55,50,55,50,32,46,48,50,56,54,54,51,57,
      32,46,48,51,48,48,51,51,51,32,46,48,51,50,50,49,49,51,32,46,48,51,52,50,56,
      56,53,10,32,32,46,48,51,54,51,53,51,50,32,46,48,51,56,52,57,49,55,32,46,48,
      52,48,55,51,51,50,32,46,48,52,51,48,52,54,55,32,46,48,52,53,51,56,49,52,32,
      46,48,52,55,54,56,57,52,32,46,48,52,57,57,51,53,52,32,46,48,53,50,49,48,49,
      54,32,46,48,53,52,49,54,56,55,10,32,32,46,48,53,54,53,48,55,54,32,46,48,53,
      56,54,56,49,56,32,46,48,54,49,51,49,53,53,32,46,48,54,51,54,53,49,50,32,46,
      48,54,53,55,48,52,56,32,46,48,54,55,57,48,50,57,32,46,48,54,57,55,54,51,52,
      32,46,48,55,49,53,48,49,54,32,46,48,55,51,55,53,52,49,10,32,32,46,48,55,54,
      53,51,48,57,32,46,48,56,48,57,50,48,57,32,46,48,56,53,54,52,52,55,32,46,48,
      57,48,49,57,55,57,32,46,48,57,52,53,56,51,53,32,46,48,57,56,50,51,48,56,32,
      46,49,48,48,56,57,49,32,46,49,48,50,55,54,52,32,46,49,48,51,56,54,52,32,46,
      49,48,52,54,48,53,10,32,32,46,49,48,53,52,51,53,32,46,49,48,55,51,57,51,32,
      46,49,49,49,53,53,50,32,46,49,49,53,50,56,53,32,46,49,49,54,50,56,56,32,46,
      49,49,52,53,53,52,32,46,49,48,56,49,49,52,32,46,48,57,56,54,54,57,57,32,46,
      48,56,55,57,55,48,50,32,46,48,55,54,51,48,56,57,10,32,32,46,48,54,54,49,54,
      53,54,32,46,48,53,55,54,56,51,53,32,46,48,53,49,53,52,54,52,32,46,48,52,56,
      50,56,57,49,32,46,48,52,55,51,53,51,51,32,46,48,52,53,52,54,50,51,32,46,48,
      52,50,55,50,50,49,32,46,48,51,56,52,49,55,54,32,46,48,51,49,53,54,53,57,10,
      32,32,46,48,50,53,52,48,49,49,32,46,48,50,48,55,53,52,53,32,46,48,49,55,55,
      50,55,54,32,46,48,49,52,51,56,56,56,32,46,48,49,49,53,57,52,51,32,46,48,48,
      57,50,48,52,57,50,32,46,48,48,55,53,50,53,54,55,32,46,48,48,54,51,57,50,50,
      52,32,46,48,48,53,54,56,49,52,57,10,32,32,46,48,48,53,48,54,53,50,56,32,46,
      48,48,52,52,51,53,55,52,32,46,48,48,51,56,54,52,56,53,32,46,48,48,50,55,48,
      54,53,56,32,46,48,48,49,56,50,51,57,54,32,46,48,48,49,50,57,53,54,49,32,46,
      48,48,48,57,55,50,49,50,53,32,46,48,48,48,56,55,48,53,54,50,10,32,32,46,48,
      48,48,54,53,57,57,55,50,32,46,48,48,48,53,48,52,57,49,52,32,46,48,48,48,51,
      57,48,53,49,32,46,48,48,48,51,48,53,56,49,51,32,46,48,48,48,50,51,51,52,48,
      51,32,46,48,48,48,49,57,49,54,57,57,32,46,48,48,48,49,53,55,54,50,49,32,46,
      48,48,48,49,49,52,52,54,55,10,32,32,57,46,52,49,54,56,57,101,45,48,53,32,54,
      46,57,51,49,52,57,101,45,48,53,32,53,46,48,49,57,50,49,101,45,48,53,32,52,46,
      49,51,55,55,54,101,45,48,53,32,51,46,52,49,48,48,52,101,45,48,53,32,50,46,53,
      49,50,55,56,101,45,48,53,32,49,46,55,57,52,55,52,101,45,48,53,10,32,32,49,46,
      52,56,57,50,53,101,45,48,53,32,49,46,49,48,50,50,52,101,45,48,53,32,57,46,49,
      55,53,54,50,101,45,48,54,32,54,46,56,49,49,48,53,101,45,48,54,32,53,46,51,52,
      48,52,53,101,45,48,54,32,56,46,57,54,56,49,57,101,45,48,54,32,55,46,56,56,55,
      49,55,101,45,48,54,10,32,32,54,46,49,54,50,48,50,101,45,48,54,32,52,46,54,57,
      50,56,101,45,48,54,32,51,46,55,52,49,49,51,101,45,48,54,32,50,46,57,56,51,51,
      51,101,45,48,54,32,50,46,52,49,52,53,49,101,45,48,54,32,49,46,57,54,48,57,49,
      101,45,48,54,32,49,46,53,53,55,49,49,101,45,48,54,10,32,32,49,46,50,54,56,56,
      55,101,45,48,54,32,49,46,48,49,50,55,56,101,45,48,54,32,56,46,53,56,49,51,101,
      45,48,55,32,54,46,53,53,48,55,53,101,45,48,55,32,53,46,53,53,50,50,101,45,48,
      55,32,52,46,53,50,49,52,101,45,48,55,32,50,46,56,48,52,56,51,101,45,48,55,10,
      32,32,49,46,52,53,54,49,52,101,45,48,55,32,55,46,54,57,50,50,52,101,45,48,56,
      32,51,46,52,55,48,52,50,101,45,48,56,32,49,46,53,54,56,52,57,101,45,48,56,32,
      54,46,48,54,48,53,54,101,45,48,57,32,50,46,55,52,56,50,52,101,45,48,57,32,55,
      46,55,55,52,53,54,101,45,49,48,10,32,32,50,46,51,51,55,56,57,101,45,49,48,32,
      49,46,48,48,52,57,56,101,45,49,48,32,51,46,57,49,55,53,56,101,45,49,49,32,49,
      46,49,49,55,54,54,101,45,49,49,32,51,46,55,51,52,52,49,101,45,49,50,32,49,46,
      50,52,57,52,54,101,45,49,50,32,51,46,53,56,48,54,51,101,45,49,51,10,32,32,49,
      46,48,50,55,54,51,101,45,49,51,32,51,46,52,53,48,57,57,101,45,49,52,32,49,46,
      49,54,48,48,52,101,45,49,52,32,51,46,57,48,50,57,54,101,45,49,53,32,49,46,48,
      49,52,50,57,101,45,49,53,32,50,46,52,57,52,57,57,101,45,49,54,32,53,46,50,53,
      57,51,49,101,45,49,55,10,32,32,49,46,50,57,54,49,101,45,49,55,32,50,46,55,51,
      50,56,53,101,45,49,56,32,54,46,55,50,57,51,101,45,49,57,32,49,46,54,52,51,52,
      52,101,45,49,57,32,51,46,52,56,101,45,50,48,32,48,114,49,48,55,32,49,46,49,
      55,50,54,52,101,45,48,55,32,52,46,55,48,50,48,54,101,45,48,55,10,32,32,49,46,
      48,53,56,56,50,101,45,48,54,32,49,46,49,55,50,54,51,101,45,48,54,32,52,46,55,
      48,49,56,50,101,45,48,54,32,49,46,48,53,56,54,55,101,45,48,53,32,49,46,56,56,
      49,51,57,101,45,48,53,32,50,46,57,51,56,48,57,101,45,48,53,32,52,46,50,51,48,
      55,55,101,45,48,53,10,32,32,53,46,55,53,53,54,101,45,48,53,32,55,46,53,49,53,
      54,57,101,45,48,53,32,57,46,53,48,56,53,101,45,48,53,32,46,48,48,48,49,49,55,
      51,51,57,32,46,48,48,48,49,52,52,49,56,57,32,46,48,48,48,49,55,49,53,49,51,
      32,46,48,48,48,50,48,49,49,54,54,32,46,48,48,48,50,51,51,49,53,51,10,32,32,
      46,48,48,48,50,54,55,52,54,54,32,46,48,48,48,51,48,52,48,56,52,32,46,48,48,
      48,51,52,51,48,48,57,32,46,48,48,48,51,56,52,50,49,56,32,46,48,48,48,52,50,
      55,55,49,32,46,48,48,48,52,55,51,52,54,51,32,46,48,48,48,53,50,49,52,55,54,
      32,46,48,48,48,53,55,49,55,51,52,10,32,32,46,48,48,48,54,50,52,50,49,57,32,
      46,48,48,48,54,55,56,57,49,50,32,46,48,48,48,55,51,53,56,50,52,32,46,48,48,
      48,55,57,52,57,50,57,32,46,48,48,48,56,53,54,50,48,57,32,46,48,48,48,57,49,
      57,54,53,54,32,46,48,48,48,57,57,49,48,52,55,32,46,48,48,49,48,53,57,50,50,
      10,32,32,46,48,48,49,49,50,57,53,51,32,46,48,48,49,50,48,49,57,56,32,46,48,
      48,49,50,55,54,54,52,32,46,48,48,49,51,53,51,52,32,46,48,48,49,52,51,50,50,
      57,32,46,48,48,49,53,49,51,52,51,32,46,48,48,49,53,57,54,54,56,32,46,48,48,
      49,54,56,50,48,50,32,46,48,48,49,55,54,57,55,51,10,32,32,46,48,48,49,56,53,
      57,53,53,32,46,48,48,49,57,53,49,52,56,32,46,48,48,50,48,52,53,55,56,32,46,
      48,48,50,49,52,50,50,55,32,46,48,48,50,50,52,48,56,56,32,46,48,48,50,51,52,
      49,56,54,32,46,48,48,50,52,52,53,49,50,32,46,48,48,50,53,53,48,52,57,10,32,
      32,46,48,48,50,54,53,56,50,32,46,48,48,50,55,54,56,50,51,32,46,48,48,50,56,
      56,48,52,49,32,46,48,48,50,57,57,52,56,53,32,46,48,48,51,49,49,49,54,53,32,
      46,48,48,51,50,51,48,54,32,46,48,48,51,51,53,49,55,52,32,46,48,48,51,52,55,
      53,50,54,32,46,48,48,51,54,48,48,57,50,10,32,32,46,48,48,51,55,50,56,55,49,
      32,46,48,48,51,56,53,56,56,57,32,46,48,48,51,57,57,49,49,57,32,46,48,48,52,
      49,50,53,54,51,32,46,48,48,52,50,54,50,52,32,46,48,48,52,52,48,49,51,53,32,
      46,48,48,52,53,52,50,52,50,32,46,48,48,52,54,56,53,56,50,32,46,48,48,52,56,
      51,49,52,54,10,32,32,46,48,48,52,57,55,57,50,49,32,46,48,48,53,49,50,57,51,
      53,32,46,48,48,53,50,56,49,56,54,32,46,48,48,53,52,51,54,52,56,32,46,48,48,
      53,53,57,51,53,50,32,46,48,48,53,55,53,51,50,49,32,46,48,48,53,57,49,53,48,
      49,32,46,48,48,54,48,55,57,49,54,10,32,32,46,48,48,54,50,52,54,52,52,32,46,
      48,48,54,52,49,53,56,50,32,46,48,48,54,53,56,55,51,50,32,46,48,48,54,55,54,
      50,54,50,32,46,48,48,54,57,52,32,46,48,48,55,49,49,57,52,52,32,46,48,48,55,
      51,48,50,55,57,32,46,48,48,55,52,56,56,52,54,32,46,48,48,55,54,55,54,49,57,
      10,32,32,46,48,48,55,56,54,55,53,57,32,46,48,48,56,48,54,49,55,49,32,46,48,
      48,56,50,53,55,55,57,32,46,48,48,56,52,53,55,49,53,32,46,48,48,56,54,53,57,
      54,50,32,46,48,48,56,56,54,51,57,55,32,46,48,48,57,48,55,49,48,55,32,46,48,
      48,57,50,56,49,53,52,10,32,32,46,48,48,57,52,57,51,56,52,32,46,48,48,57,55,
      48,56,51,55,32,46,48,48,57,57,50,54,52,32,46,48,49,48,49,52,54,50,32,46,48,
      49,48,51,54,55,57,32,46,48,49,48,53,57,50,57,32,46,48,49,48,56,49,57,55,32,
      46,48,49,49,48,52,56,51,32,46,48,49,49,50,55,57,55,10,32,32,46,48,49,49,53,
      49,50,57,32,46,48,49,49,55,52,56,50,32,46,48,49,49,57,56,53,52,32,46,48,49,
      50,50,50,52,55,32,46,48,49,50,52,54,54,32,46,48,49,50,55,48,57,32,46,48,49,
      50,57,53,51,56,32,46,48,49,51,50,48,48,54,32,46,48,49,51,52,52,57,49,32,46,
      48,49,51,54,57,56,57,10,32,32,46,48,49,51,57,53,48,56,32,46,48,49,52,50,48,
      52,52,32,46,48,49,52,52,53,56,55,32,46,48,49,52,55,49,53,32,46,48,49,52,57,
      55,51,51,32,46,48,49,53,50,51,49,52,32,46,48,49,53,52,57,49,53,32,46,48,49,
      53,55,53,51,54,32,46,48,49,54,48,49,53,49,10,32,32,46,48,49,54,50,55,56,49,
      32,46,48,49,54,53,52,51,49,32,46,48,49,54,56,48,55,51,32,46,48,49,55,48,55,
      50,51,32,46,48,49,55,51,51,56,56,32,46,48,49,55,54,48,53,49,32,46,48,49,55,
      56,55,48,57,32,46,48,49,56,49,51,56,32,46,48,49,56,52,48,53,49,10,32,32,46,
      48,49,56,54,55,48,57,32,46,48,49,56,57,51,55,54,32,46,48,49,57,50,48,52,53,
      32,46,48,49,57,52,55,32,46,48,49,57,55,51,53,56,32,46,48,50,48,48,48,49,55,
      32,46,48,50,48,50,54,55,51,32,46,48,50,48,53,51,50,55,32,46,48,50,48,55,57,
      55,55,32,46,48,50,49,48,54,52,49,10,32,32,46,48,50,49,51,51,48,52,32,46,48,
      50,49,53,57,54,32,46,48,50,49,56,54,51,57,32,46,48,50,50,49,51,50,54,32,46,
      48,50,50,52,48,48,55,32,46,48,50,50,54,55,49,49,32,46,48,50,50,57,52,51,54,
      32,46,48,50,51,50,49,53,56,32,46,48,50,51,52,56,57,54,10,32,32,46,48,50,51,
      55,54,54,55,32,46,48,50,52,48,52,51,54,32,46,48,50,52,51,50,49,53,32,46,48,
      50,52,54,48,50,56,32,46,48,50,52,56,56,52,51,32,46,48,50,53,49,54,54,32,46,
      48,50,53,52,53,48,54,32,46,48,50,53,55,51,53,55,32,46,48,50,54,48,50,48,55,
      10,32,32,46,48,50,54,52,48,50,53,32,46,48,50,55,50,57,48,53,32,46,48,50,56,
      53,56,55,57,32,46,48,51,48,54,52,57,55,32,46,48,51,50,54,49,52,52,32,46,48,
      51,52,53,54,56,32,46,48,51,54,53,57,51,55,32,46,48,51,56,55,49,57,50,32,46,
      48,52,48,57,49,52,52,10,32,32,46,48,52,51,49,51,48,50,32,46,48,52,53,51,50,
      48,51,32,46,48,52,55,52,53,48,55,32,46,48,52,57,53,48,52,52,32,46,48,53,49,
      52,54,50,53,32,46,48,53,51,54,55,54,50,32,46,48,53,53,55,51,49,57,32,46,48,
      53,56,50,49,57,52,32,46,48,54,48,52,50,51,51,10,32,32,46,48,54,50,51,54,48,
      49,32,46,48,54,52,52,51,51,51,32,46,48,54,54,49,57,50,53,32,46,48,54,55,56,
      52,49,55,32,46,48,54,57,57,56,53,53,32,46,48,55,50,54,50,55,55,32,46,48,55,
      54,56,48,50,49,32,46,48,56,49,50,57,50,32,46,48,56,53,54,50,50,55,10,32,32,
      46,48,56,57,56,48,52,51,32,46,48,57,51,51,48,50,50,32,46,48,57,53,56,56,57,
      53,32,46,48,57,55,55,53,54,52,32,46,48,57,56,57,49,55,52,32,46,48,57,57,55,
      54,55,53,32,46,49,48,48,55,32,46,49,48,50,55,48,53,32,46,49,48,54,56,49,53,
      32,46,49,49,48,53,51,10,32,32,46,49,49,49,54,50,56,32,46,49,49,48,49,56,53,
      32,46,49,48,52,51,50,50,32,46,48,57,53,53,54,53,32,46,48,56,53,53,51,49,32,
      46,48,55,52,52,56,48,53,32,46,48,54,52,55,56,54,57,32,46,48,53,54,54,50,56,
      57,32,46,48,53,48,55,49,51,52,32,46,48,52,55,53,56,57,54,10,32,32,46,48,52,
      54,55,49,52,49,32,46,48,52,52,56,57,48,57,32,46,48,52,50,50,50,51,51,32,46,
      48,51,56,48,48,57,57,32,46,48,51,49,50,55,54,56,32,46,48,50,53,50,48,48,49,
      32,46,48,50,48,54,48,57,55,32,46,48,49,55,54,49,52,55,32,46,48,49,52,51,48,
      55,10,32,32,46,48,49,49,53,51,52,57,32,46,48,48,57,49,54,50,52,32,46,48,48,
      55,52,57,51,55,32,46,48,48,54,51,54,54,56,56,32,46,48,48,53,54,54,48,48,56,
      32,46,48,48,53,48,52,55,48,57,32,46,48,48,52,52,50,48,53,56,32,46,48,48,51,
      56,53,50,50,51,32,46,48,48,50,54,57,56,54,51,10,32,32,46,48,48,49,56,49,57,
      49,51,32,46,48,48,49,50,57,50,52,54,32,46,48,48,48,57,54,57,57,49,55,32,46,
      48,48,48,56,54,56,54,52,56,32,46,48,48,48,54,53,56,54,48,57,32,46,48,48,48,
      53,48,51,57,50,57,32,46,48,48,48,51,56,57,55,56,54,32,46,48,48,48,51,48,53,
      50,55,52,10,32,32,46,48,48,48,50,51,51,48,48,57,32,46,48,48,48,49,57,49,51,
      56,55,32,46,48,48,48,49,53,55,51,55,52,32,46,48,48,48,49,49,52,50,57,54,32,
      57,46,52,48,51,50,55,101,45,48,53,32,54,46,57,50,49,57,52,101,45,48,53,32,53,
      46,48,49,50,54,51,101,45,48,53,10,32,32,52,46,49,51,50,52,56,101,45,48,53,32,
      51,46,52,48,53,56,49,101,45,48,53,32,50,46,53,48,57,55,57,101,45,48,53,32,49,
      46,55,57,50,55,101,45,48,53,32,49,46,52,56,55,54,101,45,48,53,32,49,46,49,48,
      49,48,54,101,45,48,53,32,57,46,49,54,53,57,56,101,45,48,54,10,32,32,54,46,56,
      48,52,49,53,101,45,48,54,32,53,46,51,51,53,50,51,101,45,48,54,32,56,46,57,51,
      51,48,53,101,45,48,54,32,55,46,56,53,54,51,53,101,45,48,54,32,54,46,49,51,56,
      48,52,101,45,48,54,32,52,46,54,55,52,54,51,101,45,48,54,32,51,46,55,50,54,55,
      101,45,48,54,10,32,32,50,46,57,55,49,56,54,101,45,48,54,32,50,46,52,48,53,50,
      54,101,45,48,54,32,49,46,57,53,51,52,50,101,45,48,54,32,49,46,53,53,49,52,52,
      101,45,48,54,32,49,46,50,54,52,54,51,101,45,48,54,32,49,46,48,48,57,55,50,101,
      45,48,54,32,56,46,53,53,55,51,57,101,45,48,55,10,32,32,54,46,53,51,52,57,55,
      101,45,48,55,32,53,46,53,51,57,101,45,48,55,32,52,46,53,49,48,55,101,45,48,
      55,32,50,46,55,57,56,50,52,101,45,48,55,32,49,46,52,53,50,55,54,101,45,48,55,
      32,55,46,54,55,52,53,54,101,45,48,56,32,51,46,52,54,50,53,52,101,45,48,56,10,
      32,32,49,46,53,54,52,57,55,101,45,48,56,32,54,46,48,52,55,49,52,101,45,48,57,
      32,50,46,55,52,50,50,51,101,45,48,57,32,55,46,55,53,55,55,55,101,45,49,48,32,
      50,46,51,51,50,57,49,101,45,49,48,32,49,46,48,48,50,56,54,101,45,49,48,32,51,
      46,57,48,57,52,50,101,45,49,49,10,32,32,49,46,49,49,53,51,55,101,45,49,49,32,
      51,46,55,50,56,50,101,45,49,50,32,49,46,50,52,55,56,56,101,45,49,50,32,51,46,
      53,55,54,49,57,101,45,49,51,32,49,46,48,50,54,51,53,101,45,49,51,32,51,46,52,
      52,54,55,55,101,45,49,52,32,49,46,49,53,56,54,53,101,45,49,52,10,32,32,51,46,
      56,57,56,51,53,101,45,49,53,32,49,46,48,49,51,56,101,45,49,53,32,50,46,52,57,
      51,56,51,101,45,49,54,32,53,46,50,53,55,48,57,101,45,49,55,32,49,46,50,57,53,
      54,101,45,49,55,32,50,46,55,51,49,57,101,45,49,56,32,54,46,55,50,55,49,101,
      45,49,57,10,32,32,49,46,54,52,50,56,49,101,45,49,57,32,51,46,52,55,56,54,53,
      101,45,50,48,32,48,114,49,48,55,32,49,46,49,50,54,52,56,101,45,48,55,32,52,
      46,53,49,54,57,53,101,45,48,55,32,49,46,48,49,55,49,51,101,45,48,54,32,49,46,
      49,50,54,52,55,101,45,48,54,32,52,46,53,49,54,54,52,101,45,48,54,10,32,32,49,
      46,48,49,54,57,53,101,45,48,53,32,49,46,56,48,55,50,101,45,48,53,32,50,46,56,
      50,50,49,54,101,45,48,53,32,52,46,48,54,51,54,56,101,45,48,53,32,53,46,53,50,
      56,48,53,101,45,48,53,32,55,46,50,49,56,49,53,101,45,48,53,32,57,46,49,51,49,
      52,49,101,45,48,53,10,32,32,46,48,48,48,49,49,50,54,55,53,32,46,48,48,48,49,
      51,54,50,55,51,32,46,48,48,48,49,54,52,50,49,55,32,46,48,48,48,49,57,50,54,
      32,46,48,48,48,50,50,51,50,49,51,32,46,48,48,48,50,53,54,48,52,56,32,46,48,
      48,48,50,57,49,48,56,53,32,46,48,48,48,51,50,56,51,50,52,10,32,32,46,48,48,
      48,51,54,55,55,52,52,32,46,48,48,48,52,48,57,51,52,51,32,46,48,48,48,52,53,
      51,48,57,57,32,46,48,48,48,52,57,57,48,49,49,32,46,48,48,48,53,52,55,48,54,
      53,32,46,48,48,48,53,57,55,50,52,50,32,46,48,48,48,54,52,57,53,50,51,32,46,
      48,48,48,55,48,51,57,49,57,10,32,32,46,48,48,48,55,54,48,52,48,52,32,46,48,
      48,48,56,49,56,57,54,49,32,46,48,48,48,56,55,57,53,56,52,32,46,48,48,48,57,
      52,50,50,55,57,32,46,48,48,49,48,48,55,48,51,32,46,48,48,49,48,55,57,32,46,
      48,48,49,49,52,56,49,52,32,46,48,48,49,50,49,57,51,57,10,32,32,46,48,48,49,
      50,57,50,54,51,32,46,48,48,49,51,54,55,57,32,46,48,48,49,52,52,53,51,50,32,
      46,48,48,49,53,50,52,55,52,32,46,48,48,49,54,48,54,49,54,32,46,48,48,49,54,
      56,57,56,52,32,46,48,48,49,55,55,53,53,50,32,46,48,48,49,56,54,51,50,50,32,
      46,48,48,49,57,53,51,49,57,10,32,32,46,48,48,50,48,52,53,50,51,32,46,48,48,
      50,49,51,57,50,57,32,46,48,48,50,50,51,53,54,51,32,46,48,48,50,51,51,52,49,
      51,32,46,48,48,50,52,51,52,54,53,32,46,48,48,50,53,51,55,52,32,46,48,48,50,
      54,52,50,51,54,32,46,48,48,50,55,52,57,51,55,32,46,48,48,50,56,53,56,53,52,
      10,32,32,46,48,48,50,57,54,57,57,54,32,46,48,48,51,48,56,51,52,51,32,46,48,
      48,51,49,57,56,57,56,32,46,48,48,51,51,49,54,56,49,32,46,48,48,51,52,51,54,
      54,55,32,46,48,48,51,53,53,56,53,54,32,46,48,48,51,54,56,50,55,52,32,46,48,
      48,51,56,48,56,57,51,10,32,32,46,48,48,51,57,51,55,49,54,32,46,48,48,52,48,
      54,55,54,49,32,46,48,48,52,50,48,48,49,51,32,46,48,48,52,51,51,52,54,56,32,
      46,48,48,52,52,55,49,52,54,32,46,48,48,52,54,49,48,51,54,32,46,48,48,52,55,
      53,49,50,56,32,46,48,48,52,56,57,52,52,55,10,32,32,46,48,48,53,48,51,57,57,
      50,32,46,48,48,53,49,56,55,52,32,46,48,48,53,51,51,55,49,55,32,46,48,48,53,
      52,56,57,52,56,32,46,48,48,53,54,52,51,56,49,32,46,48,48,53,56,48,48,51,54,
      32,46,48,48,53,57,53,57,57,52,32,46,48,48,54,49,50,49,53,32,46,48,48,54,50,
      56,53,48,56,10,32,32,46,48,48,54,52,53,50,51,51,32,46,48,48,54,54,50,49,53,
      53,32,46,48,48,54,55,57,50,55,51,32,46,48,48,54,57,54,55,54,56,32,46,48,48,
      55,49,52,52,56,53,32,46,48,48,55,51,50,51,57,55,32,46,48,48,55,53,48,54,54,
      51,32,46,48,48,55,54,57,49,57,32,46,48,48,55,56,55,57,48,51,10,32,32,46,48,
      48,56,48,54,57,51,50,32,46,48,48,56,50,54,50,53,57,32,46,48,48,56,52,53,55,
      54,53,32,46,48,48,56,54,53,53,51,54,32,46,48,48,56,56,53,54,51,49,32,46,48,
      48,57,48,53,57,32,46,48,48,57,50,54,51,56,51,32,46,48,48,57,52,55,50,48,50,
      32,46,48,48,57,54,56,49,57,10,32,32,46,48,48,57,56,57,51,53,52,32,46,48,49,
      48,49,48,56,52,32,46,48,49,48,51,50,53,32,46,48,49,48,53,52,51,51,32,46,48,
      49,48,55,54,52,50,32,46,48,49,48,57,56,55,32,46,48,49,49,50,49,49,54,32,46,
      48,49,49,52,51,56,50,32,46,48,49,49,54,54,54,55,10,32,32,46,48,49,49,56,57,
      55,49,32,46,48,49,50,49,50,57,49,32,46,48,49,50,51,54,50,56,32,46,48,49,50,
      53,57,56,52,32,46,48,49,50,56,51,53,53,32,46,48,49,51,48,55,52,32,46,48,49,
      51,51,49,52,52,32,46,48,49,51,53,53,54,53,32,46,48,49,51,55,57,57,49,10,32,
      32,46,48,49,52,48,52,51,54,32,46,48,49,52,50,57,48,49,32,46,48,49,52,53,51,
      54,51,32,46,48,49,52,55,56,52,51,32,46,48,49,53,48,51,52,51,32,46,48,49,53,
      50,56,51,54,32,46,48,49,53,53,51,52,50,32,46,48,49,53,55,56,54,56,32,46,48,
      49,54,48,51,56,54,10,32,32,46,48,49,54,50,57,49,32,46,48,49,54,53,52,52,57,
      32,46,48,49,54,55,57,56,53,32,46,48,49,55,48,53,49,53,32,46,48,49,55,51,48,
      53,56,32,46,48,49,55,53,54,32,46,48,49,55,56,49,50,57,32,46,48,49,56,48,54,
      54,53,32,46,48,49,56,51,50,48,52,32,46,48,49,56,53,55,50,57,10,32,32,46,48,
      49,56,56,50,53,54,32,46,48,49,57,48,55,56,52,32,46,48,49,57,51,51,48,56,32,
      46,48,49,57,53,56,51,32,46,48,49,57,56,51,52,57,32,46,48,50,48,48,56,56,32,
      46,48,50,48,51,52,49,32,46,48,50,48,53,57,51,52,32,46,48,50,48,56,52,56,32,
      46,48,50,49,49,48,51,52,10,32,32,46,48,50,49,51,53,56,50,32,46,48,50,49,54,
      49,53,49,32,46,48,50,49,56,55,52,50,32,46,48,50,50,49,51,51,32,46,48,50,50,
      51,57,51,50,32,46,48,50,50,54,53,54,55,32,46,48,50,50,57,50,48,49,32,46,48,
      50,51,49,56,52,50,32,46,48,50,51,52,53,49,56,10,32,32,46,48,50,51,55,49,57,
      53,32,46,48,50,51,57,56,55,51,32,46,48,50,52,50,53,56,49,32,46,48,50,52,53,
      50,57,50,32,46,48,50,52,56,48,48,51,32,46,48,50,53,49,54,51,52,32,46,48,50,
      54,48,48,56,49,32,46,48,50,55,50,52,50,49,32,46,48,50,57,50,48,51,10,32,32,
      46,48,51,49,48,55,49,54,32,46,48,51,50,57,51,48,52,32,46,48,51,52,56,53,56,
      52,32,46,48,51,54,56,56,50,32,46,48,51,56,57,55,50,50,32,46,48,52,49,48,56,
      50,51,32,46,48,52,51,49,54,55,55,32,46,48,52,53,49,57,54,50,32,46,48,52,55,
      49,53,49,51,10,32,32,46,48,52,57,48,49,53,53,32,46,48,53,49,49,50,50,55,32,
      46,48,53,51,48,55,57,51,32,46,48,53,53,52,52,54,52,32,46,48,53,55,53,52,51,
      56,32,46,48,53,57,51,56,55,50,32,46,48,54,49,51,54,50,53,32,46,48,54,51,48,
      52,48,54,32,46,48,54,52,54,49,55,10,32,32,46,48,54,54,54,54,56,52,32,46,48,
      54,57,49,57,51,52,32,46,48,55,51,49,55,56,56,32,46,48,55,55,52,54,51,52,32,
      46,48,56,49,53,57,55,56,32,46,48,56,53,53,57,55,56,32,46,48,56,56,57,53,57,
      32,46,48,57,49,52,55,50,52,32,46,48,57,51,51,49,57,32,46,48,57,52,53,49,51,
      55,10,32,32,46,48,57,53,52,51,54,54,32,46,48,57,54,52,51,56,55,32,46,48,57,
      56,52,54,52,57,32,46,49,48,50,53,49,49,32,46,49,48,54,49,56,57,32,46,49,48,
      55,51,53,54,32,46,49,48,54,49,53,32,46,49,48,48,55,56,32,46,48,57,50,54,50,
      53,54,32,46,48,56,51,49,56,57,56,10,32,32,46,48,55,50,55,48,49,49,32,46,48,
      54,51,52,50,57,53,32,46,48,53,53,53,56,48,57,32,46,48,52,57,56,55,56,57,32,
      46,48,52,54,56,56,52,49,32,46,48,52,54,48,54,54,57,32,46,48,52,52,51,49,48,
      53,32,46,48,52,49,55,49,52,56,32,46,48,51,55,53,57,50,54,10,32,32,46,48,51,
      48,57,55,57,51,32,46,48,50,52,57,57,50,53,32,46,48,50,48,52,53,57,54,32,46,
      48,49,55,52,57,55,52,32,46,48,49,52,50,50,49,57,32,46,48,49,49,52,55,51,50,
      32,46,48,48,57,49,49,56,48,57,32,46,48,48,55,52,54,48,51,55,32,46,48,48,54,
      51,52,48,52,50,10,32,32,46,48,48,53,54,51,55,55,52,32,46,48,48,53,48,50,56,
      49,32,46,48,48,52,52,48,52,55,53,32,46,48,48,51,56,51,57,48,54,32,46,48,48,
      50,54,57,48,51,50,32,46,48,48,49,56,49,52,48,57,32,46,48,48,49,50,56,57,49,
      55,32,46,48,48,48,57,54,55,54,48,57,10,32,32,46,48,48,48,56,54,54,54,53,32,
      46,48,48,48,54,53,55,49,56,51,32,46,48,48,48,53,48,50,56,57,56,32,46,48,48,
      48,51,56,57,48,50,57,32,46,48,48,48,51,48,52,55,48,57,32,46,48,48,48,50,51,
      50,53,57,57,32,46,48,48,48,49,57,49,48,54,50,32,46,48,48,48,49,53,55,49,49,
      53,10,32,32,46,48,48,48,49,49,52,49,49,56,32,57,46,51,56,57,48,51,101,45,48,
      53,32,54,46,57,49,49,57,55,101,45,48,53,32,53,46,48,48,53,55,52,101,45,48,53,
      32,52,46,49,50,54,57,54,101,45,48,53,32,51,46,52,48,49,51,57,101,45,48,53,32,
      50,46,53,48,54,54,54,101,45,48,53,10,32,32,49,46,55,57,48,53,54,101,45,48,53,
      32,49,46,52,56,53,56,54,101,45,48,53,32,49,46,48,57,57,56,51,101,45,48,53,32,
      57,46,49,53,53,57,52,101,45,48,54,32,54,46,55,57,54,57,53,101,45,48,54,32,53,
      46,51,50,57,55,55,101,45,48,54,32,56,46,56,57,56,49,52,101,45,48,54,10,32,32,
      55,46,56,50,53,55,50,101,45,48,54,32,54,46,49,49,52,50,50,101,45,48,54,32,52,
      46,54,53,54,53,56,101,45,48,54,32,51,46,55,49,50,51,55,101,45,48,54,32,50,46,
      57,54,48,52,56,101,45,48,54,32,50,46,51,57,54,48,56,101,45,48,54,32,49,46,57,
      52,53,57,57,101,45,48,54,10,32,32,49,46,53,52,53,53,54,101,45,48,54,32,49,46,
      50,53,57,56,53,101,45,48,54,32,49,46,48,48,53,57,50,101,45,48,54,32,56,46,53,
      50,53,50,54,101,45,48,55,32,54,46,53,49,48,53,52,101,45,48,55,32,53,46,53,49,
      57,52,51,101,45,48,55,32,52,46,52,57,54,48,52,101,45,48,55,10,32,32,50,46,55,
      57,48,57,55,101,45,48,55,32,49,46,52,52,57,52,50,101,45,48,55,32,55,46,54,53,
      55,49,50,101,45,48,56,32,51,46,52,53,52,55,56,101,45,48,56,32,49,46,53,54,49,
      53,49,101,45,48,56,32,54,46,48,51,51,57,51,101,45,48,57,32,50,46,55,51,54,51,
      101,45,48,57,10,32,32,55,46,55,52,49,50,54,101,45,49,48,32,50,46,51,50,56,48,
      51,101,45,49,48,32,49,46,48,48,48,55,57,101,45,49,48,32,51,46,57,48,49,52,49,
      101,45,49,49,32,49,46,49,49,51,49,49,101,45,49,49,32,51,46,55,50,48,55,55,101,
      45,49,50,32,49,46,50,52,53,52,50,101,45,49,50,10,32,32,51,46,53,55,48,54,53,
      101,45,49,51,32,49,46,48,50,53,49,50,101,45,49,51,32,51,46,52,52,50,54,57,101,
      45,49,52,32,49,46,49,53,55,50,57,101,45,49,52,32,51,46,56,57,51,56,57,101,45,
      49,53,32,49,46,48,49,51,51,52,101,45,49,53,32,50,46,52,57,50,55,55,101,45,49,
      54,10,32,32,53,46,50,53,53,48,55,101,45,49,55,32,49,46,50,57,53,49,54,101,45,
      49,55,32,50,46,55,51,49,48,55,101,45,49,56,32,54,46,55,50,53,49,53,101,45,49,
      57,32,49,46,54,52,50,50,52,101,45,49,57,32,51,46,52,55,55,52,51,101,45,50,48,
      32,48,114,49,48,55,32,49,46,48,54,55,57,57,101,45,48,55,10,32,32,52,46,50,56,
      50,51,57,101,45,48,55,32,57,46,54,52,51,49,56,101,45,48,55,32,49,46,48,54,55,
      57,55,101,45,48,54,32,52,46,50,56,50,49,54,101,45,48,54,32,57,46,54,52,49,55,
      49,101,45,48,54,32,49,46,55,49,51,52,53,101,45,48,53,32,50,46,54,55,53,56,51,
      101,45,48,53,10,32,32,51,46,56,53,51,48,57,101,45,48,53,32,53,46,50,52,49,55,
      54,101,45,48,53,32,54,46,56,52,52,53,56,101,45,48,53,32,56,46,54,53,57,48,56,
      101,45,48,53,32,46,48,48,48,49,48,54,56,52,57,32,46,48,48,48,49,50,57,50,50,
      57,32,46,48,48,48,49,53,53,52,48,55,10,32,32,46,48,48,48,49,56,50,50,56,32,
      46,48,48,48,50,49,49,50,54,55,32,46,48,48,48,50,52,50,51,54,50,32,46,48,48,
      48,50,55,53,53,52,53,32,46,48,48,48,51,49,48,56,49,57,32,46,48,48,48,51,52,
      56,49,54,51,32,46,48,48,48,51,56,55,53,55,54,32,46,48,48,48,52,50,57,48,52,
      10,32,32,46,48,48,48,52,55,50,53,53,50,32,46,48,48,48,53,49,56,49,48,49,32,
      46,48,48,48,53,54,53,54,54,56,32,46,48,48,48,54,49,53,50,51,55,32,46,48,48,
      48,54,54,54,56,49,57,32,46,48,48,48,55,50,48,51,56,57,32,46,48,48,48,55,55,
      53,57,51,50,32,46,48,48,48,56,51,51,52,52,50,10,32,32,46,48,48,48,56,57,50,
      57,50,53,32,46,48,48,48,57,53,52,51,54,55,32,46,48,48,49,48,49,55,55,53,32,
      46,48,48,49,48,56,55,52,53,32,46,48,48,49,49,53,53,48,50,32,46,48,48,49,50,
      50,52,53,49,32,46,48,48,49,50,57,53,57,50,32,46,48,48,49,51,54,57,51,56,10,
      32,32,46,48,48,49,52,52,52,55,52,32,46,48,48,49,53,50,50,48,49,32,46,48,48,
      49,54,48,49,52,50,32,46,48,48,49,54,56,50,55,52,32,46,48,48,49,55,54,53,57,
      55,32,46,48,48,49,56,53,49,51,53,32,46,48,48,49,57,51,56,55,49,32,46,48,48,
      50,48,50,55,57,57,10,32,32,46,48,48,50,49,49,57,52,51,32,46,48,48,50,50,49,
      50,57,50,32,46,48,48,50,51,48,56,51,51,32,46,48,48,50,52,48,53,56,53,32,46,
      48,48,50,53,48,53,52,55,32,46,48,48,50,54,48,55,48,52,32,46,48,48,50,55,49,
      48,54,54,32,46,48,48,50,56,49,54,52,50,10,32,32,46,48,48,50,57,50,52,49,50,
      32,46,48,48,51,48,51,51,56,49,32,46,48,48,51,49,52,53,54,52,32,46,48,48,51,
      50,53,57,52,50,32,46,48,48,51,51,55,53,49,51,32,46,48,48,51,52,57,51,48,49,
      32,46,48,48,51,54,49,50,56,32,46,48,48,51,55,51,52,53,52,32,46,48,48,51,56,
      53,56,51,56,10,32,32,46,48,48,51,57,56,52,49,57,32,46,48,48,52,49,49,49,57,
      51,32,46,48,48,52,50,52,49,55,56,32,46,48,48,52,51,55,51,54,54,32,46,48,48,
      52,53,48,55,52,53,32,46,48,48,52,54,52,51,52,32,46,48,48,52,55,56,49,53,32,
      46,48,48,52,57,50,49,53,49,32,46,48,48,53,48,54,51,55,10,32,32,46,48,48,53,
      50,48,56,50,57,32,46,48,48,53,51,53,52,56,32,46,48,48,53,53,48,51,52,50,32,
      46,48,48,53,54,53,52,56,55,32,46,48,48,53,56,48,56,50,49,32,46,48,48,53,57,
      54,51,52,55,32,46,48,48,54,49,50,50,49,53,32,46,48,48,54,50,56,50,55,49,32,
      46,48,48,54,52,52,53,49,52,10,32,32,46,48,48,54,54,49,49,48,55,32,46,48,48,
      54,55,55,57,49,32,46,48,48,54,57,52,57,32,46,48,48,55,49,50,50,49,57,32,46,
      48,48,55,50,57,55,56,51,32,46,48,48,55,52,55,53,50,54,32,46,48,48,55,54,53,
      53,54,51,32,46,48,48,55,56,51,56,56,32,46,48,48,56,48,50,51,54,55,10,32,32,
      46,48,48,56,50,49,49,48,51,32,46,48,48,56,52,48,49,52,50,32,46,48,48,56,53,
      57,51,52,55,32,46,48,48,56,55,56,55,53,53,32,46,48,48,56,57,56,52,55,54,32,
      46,48,48,57,49,56,51,53,57,32,46,48,48,57,51,56,52,49,49,32,46,48,48,57,53,
      56,55,54,53,10,32,32,46,48,48,57,55,57,50,56,50,32,46,48,48,57,57,57,57,54,
      54,32,46,48,49,48,50,48,56,57,32,46,48,49,48,52,50,32,46,48,49,48,54,51,50,
      56,32,46,48,49,48,56,52,55,52,32,46,48,49,49,48,54,52,32,46,48,49,49,50,56,
      50,51,32,46,48,49,49,53,48,50,50,10,32,32,46,48,49,49,55,50,51,55,32,46,48,
      49,49,57,52,55,49,32,46,48,49,50,49,55,49,57,32,46,48,49,50,51,57,56,32,46,
      48,49,50,54,50,54,32,46,48,49,50,56,53,53,54,32,46,48,49,51,48,56,53,56,32,
      46,48,49,51,51,49,55,56,32,46,48,49,51,53,53,49,55,32,46,48,49,51,55,56,53,
      52,10,32,32,46,48,49,52,48,50,49,32,46,48,49,52,50,53,56,51,32,46,48,49,52,
      52,57,53,50,32,46,48,49,52,55,51,51,52,32,46,48,49,52,57,55,51,53,32,46,48,
      49,53,50,49,50,57,32,46,48,49,53,52,53,51,32,46,48,49,53,54,57,52,55,32,46,
      48,49,53,57,51,54,49,32,46,48,49,54,49,55,55,49,10,32,32,46,48,49,54,52,49,
      57,51,32,46,48,49,54,54,54,49,54,32,46,48,49,54,57,48,50,56,32,46,48,49,55,
      49,52,52,56,32,46,48,49,55,51,56,55,49,32,46,48,49,55,54,50,56,50,32,46,48,
      49,55,56,54,57,54,32,46,48,49,56,49,49,49,50,32,46,48,49,56,51,53,50,53,10,
      32,32,46,48,49,56,53,57,51,56,32,46,48,49,56,56,51,52,55,32,46,48,49,57,48,
      55,54,57,32,46,48,49,57,51,49,57,49,32,46,48,49,57,53,54,48,55,32,46,48,49,
      57,56,48,52,52,32,46,48,50,48,48,52,56,57,32,46,48,50,48,50,57,50,56,32,46,
      48,50,48,53,51,56,57,10,32,32,46,48,50,48,55,56,54,57,32,46,48,50,49,48,51,
      52,54,32,46,48,50,49,50,56,51,56,32,46,48,50,49,53,51,54,32,46,48,50,49,55,
      56,56,32,46,48,50,50,48,52,49,32,46,48,50,50,50,57,55,32,46,48,50,50,53,53,
      51,50,32,46,48,50,50,56,48,57,55,32,46,48,50,51,48,54,56,56,10,32,32,46,48,
      50,51,51,50,56,50,32,46,48,50,51,53,56,55,56,32,46,48,50,51,57,51,53,52,32,
      46,48,50,52,55,52,52,50,32,46,48,50,53,57,50,54,54,32,46,48,50,55,56,48,55,
      51,32,46,48,50,57,54,48,48,54,32,46,48,51,49,51,56,51,32,46,48,51,51,50,50,
      56,57,10,32,32,46,48,51,53,49,54,51,55,32,46,48,51,55,49,54,48,54,32,46,48,
      51,57,49,55,54,32,46,48,52,49,49,54,56,49,32,46,48,52,51,49,48,54,54,32,46,
      48,52,52,57,55,54,49,32,46,48,52,54,55,53,57,55,32,46,48,52,56,55,55,55,53,
      32,46,48,53,48,54,53,51,32,46,48,53,50,57,50,52,10,32,32,46,48,53,52,57,51,
      56,49,32,46,48,53,54,55,49,32,46,48,53,56,54,49,48,50,32,46,48,54,48,50,50,
      54,53,32,46,48,54,49,55,52,52,57,32,46,48,54,51,55,49,56,49,32,46,48,54,54,
      49,52,50,32,46,48,54,57,57,54,49,49,32,46,48,55,52,48,54,52,32,46,48,55,56,
      48,50,52,55,10,32,32,46,48,56,49,56,54,50,53,32,46,48,56,53,48,57,57,52,32,
      46,48,56,55,53,52,48,53,32,46,48,56,57,51,53,56,32,46,48,57,48,53,54,56,50,
      32,46,48,57,49,53,51,55,53,32,46,48,57,50,53,56,51,57,32,46,48,57,52,54,49,
      49,57,32,46,48,57,56,53,56,51,52,10,32,32,46,49,48,50,50,49,50,32,46,49,48,
      51,52,50,54,32,46,49,48,50,52,49,51,32,46,48,57,55,52,54,52,54,32,46,48,56,
      57,56,52,48,51,32,46,48,56,48,57,52,50,53,32,46,48,55,48,57,55,48,53,32,46,
      48,54,50,48,57,52,56,32,46,48,53,52,53,52,49,32,46,48,52,57,48,52,52,51,10,
      32,32,46,48,52,54,49,55,51,57,32,46,48,52,53,52,49,50,57,32,46,48,52,51,55,
      50,50,32,46,48,52,49,49,57,55,53,32,46,48,51,55,49,54,54,52,32,46,48,51,48,
      54,55,52,32,46,48,50,52,55,55,56,53,32,46,48,50,48,51,48,52,53,32,46,48,49,
      55,51,55,54,32,46,48,49,52,49,51,51,54,10,32,32,46,48,49,49,52,48,57,32,46,
      48,48,57,48,55,50,48,50,32,46,48,48,55,52,50,53,54,55,32,46,48,48,54,51,49,
      50,56,54,32,46,48,48,53,54,49,52,52,55,32,46,48,48,53,48,48,56,51,49,32,46,
      48,48,52,51,56,56,50,54,32,46,48,48,51,56,50,53,51,50,32,46,48,48,50,54,56,
      49,54,54,10,32,32,46,48,48,49,56,48,56,56,50,32,46,48,48,49,50,56,53,55,50,
      32,46,48,48,48,57,54,53,49,57,57,32,46,48,48,48,56,54,52,53,54,49,32,46,48,
      48,48,54,53,53,54,57,50,32,46,48,48,48,53,48,49,56,50,32,46,48,48,48,51,56,
      56,50,51,55,32,46,48,48,48,51,48,52,49,49,56,10,32,32,46,48,48,48,50,51,50,
      49,54,57,32,46,48,48,48,49,57,48,55,50,49,32,46,48,48,48,49,53,54,56,52,53,
      32,46,48,48,48,49,49,51,57,51,49,32,57,46,51,55,52,49,52,101,45,48,53,32,54,
      46,57,48,49,53,50,101,45,48,53,32,52,46,57,57,56,53,51,101,45,48,53,10,32,32,
      52,46,49,50,49,49,56,101,45,48,53,32,51,46,51,57,54,55,53,101,45,48,53,32,50,
      46,53,48,51,51,56,101,45,48,53,32,49,46,55,56,56,51,49,101,45,48,53,32,49,46,
      52,56,52,48,53,101,45,48,53,32,49,46,48,57,56,53,51,101,45,48,53,32,57,46,49,
      52,53,51,56,101,45,48,54,10,32,32,54,46,55,56,57,51,55,101,45,48,54,32,53,46,
      51,50,52,48,52,101,45,48,54,32,56,46,56,54,51,52,50,101,45,48,54,32,55,46,55,
      57,53,50,54,101,45,48,54,32,54,46,48,57,48,53,52,101,45,48,54,32,52,46,54,51,
      56,54,52,101,45,48,54,32,51,46,54,57,56,49,50,101,45,48,54,10,32,32,50,46,57,
      52,57,49,54,101,45,48,54,32,50,46,51,56,54,57,53,101,45,48,54,32,49,46,57,51,
      56,54,49,101,45,48,54,32,49,46,53,51,57,55,50,101,45,48,54,32,49,46,50,53,53,
      49,101,45,48,54,32,49,46,48,48,50,49,53,101,45,48,54,32,56,46,52,57,51,51,53,
      101,45,48,55,10,32,32,54,46,52,56,54,50,55,101,45,48,55,32,53,46,52,57,56,57,
      49,101,45,48,55,32,52,46,52,55,57,51,56,101,45,48,55,32,50,46,55,56,48,54,57,
      101,45,48,55,32,49,46,52,52,52,57,53,101,45,48,55,32,55,46,54,51,57,56,101,
      45,48,56,32,51,46,52,52,55,49,50,101,45,48,56,10,32,32,49,46,53,53,56,48,57,
      101,45,48,56,32,54,46,48,50,48,57,49,101,45,48,57,32,50,46,55,51,48,52,54,101,
      45,48,57,32,55,46,55,50,52,57,57,101,45,49,48,32,50,46,51,50,51,50,49,101,45,
      49,48,32,57,46,57,56,55,52,101,45,49,49,32,51,46,56,57,51,53,50,101,45,49,49,
      10,32,32,49,46,49,49,48,56,57,101,45,49,49,32,51,46,55,49,51,52,54,101,45,49,
      50,32,49,46,50,52,51,101,45,49,50,32,51,46,53,54,51,55,55,101,45,49,51,32,49,
      46,48,50,51,50,50,101,45,49,51,32,51,46,52,51,55,53,53,101,45,49,52,32,49,46,
      49,53,53,57,55,101,45,49,52,10,32,32,51,46,56,56,57,53,53,101,45,49,53,32,49,
      46,48,49,50,57,49,101,45,49,53,32,50,46,52,57,49,55,57,101,45,49,54,32,53,46,
      50,53,51,50,53,101,45,49,55,32,49,46,50,57,52,55,54,101,45,49,55,32,50,46,55,
      51,48,51,51,101,45,49,56,32,54,46,55,50,51,52,50,101,45,49,57,10,32,32,49,46,
      54,52,49,54,55,101,45,49,57,32,51,46,52,55,54,50,49,101,45,50,48,32,48,114,
      49,48,55,32,49,46,48,48,53,53,49,101,45,48,55,32,52,46,48,51,49,56,56,101,45,
      48,55,32,57,46,48,55,57,48,57,101,45,48,55,32,49,46,48,48,53,53,101,45,48,54,
      32,52,46,48,51,49,55,52,101,45,48,54,10,32,32,57,46,48,55,56,49,51,101,45,48,
      54,32,49,46,54,49,51,51,54,101,45,48,53,32,50,46,53,49,57,54,52,101,45,48,53,
      32,51,46,54,50,56,52,49,101,45,48,53,32,52,46,57,51,54,52,50,101,45,48,53,32,
      54,46,52,52,54,51,50,101,45,48,53,32,56,46,49,53,53,56,50,101,45,48,53,10,32,
      32,46,48,48,48,49,48,48,54,52,55,32,46,48,48,48,49,50,49,55,51,53,32,46,48,
      48,48,49,52,52,56,50,51,32,46,48,48,48,49,55,49,52,53,51,32,46,48,48,48,49,
      57,56,55,52,52,32,46,48,48,48,50,50,56,48,50,53,32,46,48,48,48,50,53,57,50,
      55,56,32,46,48,48,48,50,57,50,53,48,56,10,32,32,46,48,48,48,51,50,55,54,57,
      55,32,46,48,48,48,51,54,52,56,52,53,32,46,48,48,48,52,48,51,57,51,54,32,46,
      48,48,48,52,52,52,57,54,57,32,46,48,48,48,52,56,55,57,51,52,32,46,48,48,48,
      53,51,50,56,49,54,32,46,48,48,48,53,55,57,53,57,57,32,46,48,48,48,54,50,56,
      50,57,54,10,32,32,46,48,48,48,54,55,56,56,56,51,32,46,48,48,48,55,51,49,51,
      52,55,32,46,48,48,48,55,56,53,54,56,53,32,46,48,48,48,56,52,49,57,48,49,32,
      46,48,48,48,56,57,57,57,56,49,32,46,48,48,48,57,53,57,57,48,57,32,46,48,48,
      49,48,50,49,54,57,32,46,48,48,49,48,56,53,51,54,10,32,32,46,48,48,49,49,53,
      52,55,54,32,46,48,48,49,50,50,50,51,49,32,46,48,48,49,50,57,49,55,57,32,46,
      48,48,49,51,54,51,48,56,32,46,48,48,49,52,51,54,50,32,46,48,48,49,53,49,49,
      51,51,32,46,48,48,49,53,56,56,50,56,32,46,48,48,49,54,54,55,48,54,32,46,48,
      48,49,55,52,55,56,54,10,32,32,46,48,48,49,56,51,48,53,53,32,46,48,48,49,57,
      49,53,48,53,32,46,48,48,50,48,48,49,53,57,32,46,48,48,50,48,57,48,48,55,32,
      46,48,48,50,49,56,48,51,57,32,46,48,48,50,50,55,50,54,57,32,46,48,48,50,51,
      54,54,57,56,32,46,48,48,50,52,54,51,49,50,10,32,32,46,48,48,50,53,54,49,50,
      49,32,46,48,48,50,54,54,49,51,49,32,46,48,48,50,55,54,51,50,54,32,46,48,48,
      50,56,54,55,48,57,32,46,48,48,50,57,55,50,57,53,32,46,48,48,51,48,56,48,54,
      54,32,46,48,48,51,49,57,48,50,50,32,46,48,48,51,51,48,49,56,49,10,32,32,46,
      48,48,51,52,49,53,50,51,32,46,48,48,51,53,51,48,53,32,46,48,48,51,54,52,55,
      55,54,32,46,48,48,51,55,54,54,56,57,32,46,48,48,51,56,56,55,56,55,32,46,48,
      48,52,48,49,48,56,51,32,46,48,48,52,49,51,53,55,50,32,46,48,48,52,50,54,50,
      52,52,32,46,48,48,52,51,57,49,49,56,10,32,32,46,48,48,52,53,50,49,57,53,32,
      46,48,48,52,54,53,52,53,53,32,46,48,48,52,55,56,57,50,32,46,48,48,52,57,50,
      54,48,57,32,46,48,48,53,48,54,52,56,49,32,46,48,48,53,50,48,53,53,51,32,46,
      48,48,53,51,52,56,56,53,32,46,48,48,53,52,57,51,57,56,32,46,48,48,53,54,52,
      48,57,53,10,32,32,46,48,48,53,55,57,49,48,49,32,46,48,48,53,57,52,50,56,56,
      32,46,48,48,54,48,57,54,53,52,32,46,48,48,54,50,53,51,51,56,32,46,48,48,54,
      52,49,50,50,32,46,48,48,54,53,55,50,56,32,46,48,48,54,55,51,54,52,32,46,48,
      48,54,57,48,50,50,56,32,46,48,48,55,48,54,57,56,56,10,32,32,46,48,48,55,50,
      52,48,49,55,32,46,48,48,55,52,49,51,48,51,32,46,48,48,55,53,56,55,53,52,32,
      46,48,48,55,55,54,52,51,53,32,46,48,48,55,57,52,51,57,51,32,46,48,48,56,49,
      50,53,49,50,32,46,48,48,56,51,48,56,50,50,32,46,48,48,56,52,57,52,49,55,10,
      32,32,46,48,48,56,54,56,49,54,57,32,46,48,48,56,56,55,48,56,52,32,46,48,48,
      57,48,54,50,55,52,32,46,48,48,57,50,53,54,50,50,32,46,48,48,57,52,53,49,51,
      50,32,46,48,48,57,54,52,56,54,56,32,46,48,48,57,56,52,55,54,57,32,46,48,49,
      48,48,52,56,53,32,46,48,49,48,50,53,49,10,32,32,46,48,49,48,52,53,53,51,32,
      46,48,49,48,54,54,49,51,32,46,48,49,48,56,54,56,57,32,46,48,49,49,48,55,56,
      32,46,48,49,49,50,56,56,57,32,46,48,49,49,53,48,49,50,32,46,48,49,49,55,49,
      52,57,32,46,48,49,49,57,51,48,51,32,46,48,49,50,49,52,55,51,10,32,32,46,48,
      49,50,51,54,53,49,32,46,48,49,50,53,56,52,54,32,46,48,49,50,56,48,53,57,32,
      46,48,49,51,48,50,55,50,32,46,48,49,51,50,53,48,51,32,46,48,49,51,52,55,53,
      50,32,46,48,49,51,54,57,57,57,32,46,48,49,51,57,50,53,57,32,46,48,49,52,49,
      53,51,55,10,32,32,46,48,49,52,51,56,49,50,32,46,48,49,52,54,48,57,53,32,46,
      48,49,52,56,51,57,50,32,46,48,49,53,48,54,57,32,46,48,49,53,50,57,56,55,32,
      46,48,49,53,53,50,57,54,32,46,48,49,53,55,54,48,55,32,46,48,49,53,57,57,49,
      49,32,46,48,49,54,50,50,50,52,10,32,32,46,48,49,54,52,53,52,49,32,46,48,49,
      54,54,56,53,32,46,48,49,54,57,49,54,51,32,46,48,49,55,49,52,55,57,32,46,48,
      49,55,51,55,57,52,32,46,48,49,55,54,49,49,49,32,46,48,49,55,56,52,50,54,32,
      46,48,49,56,48,55,53,51,32,46,48,49,56,51,48,56,49,10,32,32,46,48,49,56,53,
      52,48,53,32,46,48,49,56,55,55,52,57,32,46,48,49,57,48,49,32,46,48,49,57,50,
      52,52,57,32,46,48,49,57,52,56,49,54,32,46,48,49,57,55,50,48,49,32,46,48,49,
      57,57,53,56,53,32,46,48,50,48,49,57,56,50,32,46,48,50,48,52,52,48,55,32,46,
      48,50,48,54,56,51,49,10,32,32,46,48,50,48,57,50,54,52,32,46,48,50,49,49,55,
      50,53,32,46,48,50,49,52,49,56,57,32,46,48,50,49,54,54,53,53,32,46,48,50,49,
      57,49,52,54,32,46,48,50,50,49,54,52,50,32,46,48,50,50,52,49,51,56,32,46,48,
      50,50,55,52,56,49,32,46,48,50,51,53,50,54,53,10,32,32,46,48,50,52,54,54,53,
      55,32,46,48,50,54,52,56,49,49,32,46,48,50,56,50,49,52,32,46,48,50,57,57,51,
      51,54,32,46,48,51,49,55,48,57,53,32,46,48,51,51,53,54,54,50,32,46,48,51,53,
      52,55,57,56,32,46,48,51,55,52,49,48,49,32,46,48,51,57,51,49,56,53,10,32,32,
      46,48,52,49,49,55,54,57,32,46,48,52,50,57,55,49,49,32,46,48,52,52,54,56,53,
      49,32,46,48,52,54,54,50,54,57,32,46,48,52,56,52,51,52,57,32,46,48,53,48,54,
      50,56,32,46,48,53,50,53,55,54,50,32,46,48,53,52,50,57,50,51,32,46,48,53,54,
      49,51,52,50,10,32,32,46,48,53,55,55,48,49,52,32,46,48,53,57,49,55,50,51,32,
      46,48,54,49,48,55,56,53,32,46,48,54,51,52,49,50,56,32,46,48,54,55,48,56,51,
      57,32,46,48,55,49,48,50,52,57,32,46,48,55,52,56,51,48,50,32,46,48,55,56,53,
      50,49,57,32,46,48,56,49,54,52,52,57,10,32,32,46,48,56,52,48,49,53,54,32,46,
      48,56,53,55,57,55,55,32,46,48,56,55,48,48,57,54,32,46,48,56,56,48,48,53,51,
      32,46,48,56,57,48,55,54,55,32,46,48,57,49,48,57,50,52,32,46,48,57,52,57,56,
      50,55,32,46,48,57,56,53,53,49,53,32,46,48,57,57,55,57,54,50,10,32,32,46,48,
      57,56,57,52,48,53,32,46,48,57,52,51,53,52,50,32,46,48,56,55,49,57,54,55,32,
      46,48,55,56,55,56,51,54,32,46,48,54,57,50,56,55,52,32,46,48,54,48,55,56,51,
      32,46,48,53,51,53,49,48,50,32,46,48,52,56,50,49,48,57,32,46,48,52,53,52,54,
      48,52,10,32,32,46,48,52,52,55,53,51,52,32,46,48,52,51,49,50,54,53,32,46,48,
      52,48,54,55,50,52,32,46,48,51,54,55,51,50,50,32,46,48,51,48,51,54,49,51,32,
      46,48,50,52,53,53,56,52,32,46,48,50,48,49,52,52,53,32,46,48,49,55,50,53,48,
      54,32,46,48,49,52,48,52,50,50,10,32,32,46,48,49,49,51,52,50,53,32,46,48,48,
      57,48,50,52,50,49,32,46,48,48,55,51,56,57,54,54,32,46,48,48,54,50,56,52,50,
      50,32,46,48,48,53,53,57,48,50,55,32,46,48,48,52,57,56,55,55,51,32,46,48,48,
      52,51,55,49,49,32,46,48,48,51,56,49,49,48,51,32,46,48,48,50,54,55,50,54,52,
      10,32,32,46,48,48,49,56,48,51,51,53,32,46,48,48,49,50,56,50,49,52,32,46,48,
      48,48,57,54,50,54,56,56,32,46,48,48,48,56,54,50,51,56,52,32,46,48,48,48,54,
      53,52,49,51,56,32,46,48,48,48,53,48,48,54,57,54,32,46,48,48,48,51,56,55,52,
      49,49,32,46,48,48,48,51,48,51,53,48,49,10,32,32,46,48,48,48,50,51,49,55,50,
      32,46,48,48,48,49,57,48,51,54,53,32,46,48,48,48,49,53,54,53,54,50,32,46,48,
      48,48,49,49,51,55,51,54,32,57,46,51,53,56,53,57,101,45,48,53,32,54,46,56,57,
      48,54,52,101,45,48,53,32,52,46,57,57,48,57,57,101,45,48,53,32,52,46,49,49,53,
      49,52,101,45,48,53,10,32,32,51,46,51,57,49,56,57,101,45,48,53,32,50,46,52,57,
      57,57,52,101,45,48,53,32,49,46,55,56,53,57,55,101,45,48,53,32,49,46,52,56,50,
      49,53,101,45,48,53,32,49,46,48,57,55,49,55,101,45,48,53,32,57,46,49,51,52,51,
      52,101,45,48,54,32,54,46,55,56,49,52,54,101,45,48,54,10,32,32,53,46,51,49,56,
      48,54,101,45,48,54,32,56,46,56,50,56,57,49,101,45,48,54,32,55,46,55,54,52,57,
      57,101,45,48,54,32,54,46,48,54,55,101,45,48,54,32,52,46,54,50,48,56,49,101,
      45,48,54,32,51,46,54,56,51,57,55,101,45,48,54,32,50,46,57,51,55,57,50,101,45,
      48,54,10,32,32,50,46,51,55,55,56,57,101,45,48,54,32,49,46,57,51,49,50,56,101,
      45,48,54,32,49,46,53,51,51,57,50,101,45,48,54,32,49,46,50,53,48,51,57,101,45,
      48,54,32,57,46,57,56,51,57,56,101,45,48,55,32,56,46,52,54,49,54,55,101,45,48,
      55,32,54,46,52,54,50,49,56,101,45,48,55,10,32,32,53,46,52,55,56,53,52,101,45,
      48,55,32,52,46,52,54,50,56,52,101,45,48,55,32,50,46,55,55,48,53,101,45,48,55,
      32,49,46,52,51,57,55,101,45,48,55,32,55,46,54,49,50,51,49,101,45,48,56,32,51,
      46,52,51,56,49,51,101,45,48,56,32,49,46,53,53,52,55,50,101,45,48,56,10,32,32,
      54,46,48,48,56,48,56,101,45,48,57,32,50,46,55,50,52,55,49,101,45,48,57,32,55,
      46,55,48,56,57,56,101,45,49,48,32,50,46,51,49,56,52,56,101,45,49,48,32,57,46,
      57,54,55,50,54,101,45,49,49,32,51,46,56,56,53,55,54,101,45,49,49,32,49,46,49,
      48,56,55,50,101,45,49,49,10,32,32,51,46,55,48,54,50,57,101,45,49,50,32,49,46,
      50,52,48,54,50,101,45,49,50,32,51,46,53,53,54,57,56,101,45,49,51,32,49,46,48,
      50,49,51,101,45,49,51,32,51,46,52,51,49,49,57,101,45,49,52,32,49,46,49,53,51,
      56,54,101,45,49,52,32,51,46,56,56,51,55,51,101,45,49,53,10,32,32,49,46,48,49,
      50,52,51,101,45,49,53,32,50,46,52,57,48,56,57,101,45,49,54,32,53,46,50,53,49,
      54,51,101,45,49,55,32,49,46,50,57,52,52,50,101,45,49,55,32,50,46,55,50,57,55,
      49,101,45,49,56,32,54,46,55,50,49,57,49,101,45,49,57,32,49,46,54,52,49,48,56,
      101,45,49,57,10,32,32,51,46,52,55,52,57,50,101,45,50,48,32,48,114,49,48,55,
      32,57,46,52,57,53,56,57,101,45,48,56,32,51,46,56,48,55,54,54,101,45,48,55,32,
      56,46,53,55,52,50,49,101,45,48,55,32,57,46,52,57,53,56,55,101,45,48,55,32,51,
      46,56,48,55,53,56,101,45,48,54,32,56,46,53,55,51,53,54,101,45,48,54,10,32,32,
      49,46,53,50,51,55,51,101,45,48,53,32,50,46,51,55,57,55,52,101,45,48,53,32,51,
      46,52,50,55,48,56,101,45,48,53,32,52,46,54,54,50,55,51,101,45,48,53,32,54,46,
      48,56,57,50,50,101,45,48,53,32,55,46,55,48,52,52,53,101,45,48,53,32,57,46,53,
      48,56,49,52,101,45,48,53,10,32,32,46,48,48,48,49,49,53,48,49,32,46,48,48,48,
      49,51,54,56,50,57,32,46,48,48,48,49,54,48,53,50,54,32,46,48,48,48,49,56,55,
      53,51,57,32,46,48,48,48,50,49,53,49,57,49,32,46,48,48,48,50,52,52,55,49,49,
      32,46,48,48,48,50,55,54,49,48,51,32,46,48,48,48,51,48,57,51,53,50,10,32,32,
      46,48,48,48,51,52,52,52,54,49,32,46,48,48,48,51,56,49,52,49,52,32,46,48,48,
      48,52,50,48,50,49,49,32,46,48,48,48,52,54,48,56,52,53,32,46,48,48,48,53,48,
      51,51,48,49,32,46,48,48,48,53,52,55,53,54,56,32,46,48,48,48,53,57,51,54,53,
      55,32,46,48,48,48,54,52,49,53,52,54,10,32,32,46,48,48,48,54,57,49,50,50,52,
      32,46,48,48,48,55,52,50,54,57,32,46,48,48,48,55,57,53,57,52,55,32,46,48,48,
      48,56,53,48,57,56,49,32,46,48,48,48,57,48,55,55,56,49,32,46,48,48,48,57,54,
      54,51,52,55,32,46,48,48,49,48,50,54,55,50,32,46,48,48,49,48,56,56,56,50,10,
      32,32,46,48,48,49,49,53,50,54,57,32,46,48,48,49,50,50,49,56,54,32,46,48,48,
      49,50,56,57,52,56,32,46,48,48,49,51,53,56,56,52,32,46,48,48,49,52,51,48,48,
      57,32,46,48,48,49,53,48,51,48,57,32,46,48,48,49,53,55,55,56,51,32,46,48,48,
      49,54,53,52,52,57,10,32,32,46,48,48,49,55,51,50,57,51,32,46,48,48,49,56,49,
      51,49,49,32,46,48,48,49,56,57,53,50,50,32,46,48,48,49,57,55,57,49,54,32,46,
      48,48,50,48,54,52,56,54,32,46,48,48,50,49,53,50,52,52,32,46,48,48,50,50,52,
      49,57,32,46,48,48,50,51,51,51,49,50,32,46,48,48,50,52,50,54,49,57,10,32,32,
      46,48,48,50,53,50,49,49,54,32,46,48,48,50,54,49,55,57,32,46,48,48,50,55,49,
      54,52,51,32,46,48,48,50,56,49,54,56,56,32,46,48,48,50,57,49,57,48,57,32,46,
      48,48,51,48,50,51,48,54,32,46,48,48,51,49,50,56,57,54,32,46,48,48,51,50,51,
      54,54,49,32,46,48,48,51,51,52,54,48,49,10,32,32,46,48,48,51,52,53,55,51,49,
      32,46,48,48,51,53,55,48,51,57,32,46,48,48,51,54,56,53,50,50,32,46,48,48,51,
      56,48,49,57,52,32,46,48,48,51,57,50,48,52,57,32,46,48,48,52,48,52,48,55,56,
      32,46,48,48,52,49,54,50,57,57,32,46,48,48,52,50,56,55,49,50,10,32,32,46,48,
      48,52,52,49,50,57,57,32,46,48,48,52,53,52,48,56,49,32,46,48,48,52,54,55,48,
      55,49,32,46,48,48,52,56,48,50,51,55,32,46,48,48,52,57,51,53,57,50,32,46,48,
      48,53,48,55,49,56,55,32,46,48,48,53,50,48,57,53,53,32,46,48,48,53,51,52,56,
      57,57,10,32,32,46,48,48,53,52,57,49,50,53,32,46,48,48,53,54,51,53,50,52,32,
      46,48,48,53,55,56,48,57,53,32,46,48,48,53,57,50,57,53,52,32,46,48,48,54,48,
      56,48,48,49,32,46,48,48,54,50,51,50,49,57,32,46,48,48,54,51,56,55,49,32,46,
      48,48,54,53,52,52,49,53,32,46,48,48,54,55,48,50,56,52,10,32,32,46,48,48,54,
      56,54,52,48,49,32,46,48,48,55,48,50,55,53,53,32,46,48,48,55,49,57,50,54,56,
      32,46,48,48,55,51,53,57,57,53,32,46,48,48,55,53,50,57,55,54,32,46,48,48,55,
      55,48,49,49,50,32,46,48,48,55,56,55,52,51,32,46,48,48,56,48,53,48,48,56,32,
      46,48,48,56,50,50,55,51,56,10,32,32,46,48,48,56,52,48,54,50,54,32,46,48,48,
      56,53,56,55,54,53,32,46,48,48,56,55,55,48,53,57,32,46,48,48,56,57,53,53,48,
      56,32,46,48,48,57,49,52,49,54,57,32,46,48,48,57,51,50,57,56,56,32,46,48,48,
      57,53,49,57,55,57,32,46,48,48,57,55,49,49,51,51,10,32,32,46,48,48,57,57,48,
      52,53,57,32,46,48,49,48,48,57,57,53,32,46,48,49,48,50,57,53,57,32,46,48,49,
      48,52,57,51,57,32,46,48,49,48,54,57,51,53,32,46,48,49,48,56,57,52,54,32,46,
      48,49,49,48,57,55,32,46,48,49,49,51,48,49,49,32,46,48,49,49,53,48,54,55,10,
      32,32,46,48,49,49,55,49,51,50,32,46,48,49,49,57,50,49,51,32,46,48,49,50,49,
      51,49,50,32,46,48,49,50,51,52,49,52,32,46,48,49,50,53,53,51,50,32,46,48,49,
      50,55,54,54,55,32,46,48,49,50,57,56,48,51,32,46,48,49,51,49,57,53,51,32,46,
      48,49,51,52,49,49,57,10,32,32,46,48,49,51,54,50,56,53,32,46,48,49,51,56,52,
      54,32,46,48,49,52,48,54,52,57,32,46,48,49,52,50,56,52,49,32,46,48,49,52,53,
      48,51,52,32,46,48,49,52,55,50,51,57,32,46,48,49,52,57,52,52,56,32,46,48,49,
      53,49,54,53,52,32,46,48,49,53,51,56,54,56,10,32,32,46,48,49,53,54,48,56,55,
      32,46,48,49,53,56,51,48,51,32,46,48,49,54,48,53,50,51,32,46,48,49,54,50,55,
      52,55,32,46,48,49,54,52,57,55,51,32,46,48,49,54,55,50,48,49,32,46,48,49,54,
      57,52,50,57,32,46,48,49,55,49,54,54,57,32,46,48,49,55,51,57,49,49,10,32,32,
      46,48,49,55,54,49,53,50,32,46,48,49,55,56,52,49,32,46,48,49,56,48,54,55,55,
      32,46,48,49,56,50,57,52,49,32,46,48,49,56,53,50,50,52,32,46,48,49,56,55,53,
      50,50,32,46,48,49,56,57,56,50,49,32,46,48,49,57,50,49,51,51,32,46,48,49,57,
      52,52,55,32,46,48,49,57,54,56,48,55,10,32,32,46,48,49,57,57,49,53,51,32,46,
      48,50,48,49,53,50,52,32,46,48,50,48,51,56,57,57,32,46,48,50,48,54,50,55,55,
      32,46,48,50,48,56,54,55,56,32,46,48,50,49,49,48,56,51,32,46,48,50,49,51,52,
      57,49,32,46,48,50,49,54,55,49,53,32,46,48,50,50,52,50,50,53,10,32,32,46,48,
      50,51,53,50,51,49,32,46,48,50,53,50,56,48,55,32,46,48,50,54,57,54,48,52,32,
      46,48,50,56,54,50,52,55,32,46,48,51,48,51,51,56,53,32,46,48,51,50,49,50,53,
      53,32,46,48,51,51,57,54,52,51,32,46,48,51,53,56,49,56,51,32,46,48,51,55,54,
      53,49,56,10,32,32,46,48,51,57,52,51,56,54,32,46,48,52,49,49,54,53,57,32,46,
      48,52,50,56,49,56,49,32,46,48,52,52,54,57,50,57,32,46,48,52,54,52,52,49,52,
      32,46,48,52,56,53,54,54,50,32,46,48,53,48,52,53,55,32,46,48,53,50,49,50,52,
      50,32,46,48,53,51,57,49,52,57,10,32,32,46,48,53,53,52,51,56,54,32,46,48,53,
      54,56,54,54,52,32,46,48,53,56,55,49,49,52,32,46,48,54,48,57,54,52,50,32,46,
      48,54,52,53,48,49,50,32,46,48,54,56,50,57,54,49,32,46,48,55,49,57,54,48,52,
      32,46,48,55,53,53,49,56,54,32,46,48,55,56,53,51,53,10,32,32,46,48,56,48,56,
      51,53,54,32,46,48,56,50,53,55,55,32,46,48,56,51,55,55,57,32,46,48,56,52,55,
      56,53,51,32,46,48,56,53,56,54,54,56,32,46,48,56,55,56,53,57,51,32,46,48,57,
      49,54,54,51,57,32,46,48,57,53,49,54,53,57,32,46,48,57,54,52,50,55,53,32,46,
      48,57,53,55,48,48,51,10,32,32,46,48,57,49,52,50,54,51,32,46,48,56,52,54,56,
      50,49,32,46,48,55,54,55,48,55,49,32,46,48,54,55,54,52,57,57,32,46,48,53,57,
      52,57,52,51,32,46,48,53,50,52,56,57,50,32,46,48,52,55,51,55,57,53,32,46,48,
      52,52,55,52,52,51,32,46,48,52,52,48,56,57,50,10,32,32,46,48,52,50,53,50,53,
      32,46,48,52,48,49,52,48,51,32,46,48,51,54,50,57,48,53,32,46,48,51,48,48,52,
      49,56,32,46,48,50,52,51,51,50,53,32,46,48,49,57,57,55,57,57,32,46,48,49,55,
      49,50,49,51,32,46,48,49,51,57,52,55,57,32,46,48,49,49,50,55,51,56,10,32,32,
      46,48,48,56,57,55,52,55,51,32,46,48,48,55,51,53,50,51,53,32,46,48,48,54,50,
      53,52,53,54,32,46,48,48,53,53,54,53,50,32,46,48,48,52,57,54,54,51,57,32,46,
      48,48,52,51,53,51,51,49,32,46,48,48,51,55,57,54,50,49,32,46,48,48,50,54,54,
      51,50,56,32,46,48,48,49,55,57,55,54,54,10,32,32,46,48,48,49,50,55,56,52,50,
      32,46,48,48,48,57,54,48,48,56,32,46,48,48,48,56,54,48,49,50,51,32,46,48,48,
      48,54,53,50,53,50,54,32,46,48,48,48,52,57,57,53,51,32,46,48,48,48,51,56,54,
      53,53,52,32,46,48,48,48,51,48,50,56,54,32,46,48,48,48,50,51,49,50,53,52,10,
      32,32,46,48,48,48,49,56,57,57,57,53,32,46,48,48,48,49,53,54,50,54,56,32,46,
      48,48,48,49,49,51,53,51,52,32,57,46,51,52,50,52,53,101,45,48,53,32,54,46,56,
      55,57,51,50,101,45,48,53,32,52,46,57,56,51,49,55,101,45,48,53,32,52,46,49,48,
      56,56,55,101,45,48,53,10,32,32,51,46,51,56,54,56,55,101,45,48,53,32,50,46,52,
      57,54,51,56,101,45,48,53,32,49,46,55,56,51,53,51,101,45,48,53,32,49,46,52,56,
      48,49,55,101,45,48,53,32,49,46,48,57,53,55,55,101,45,48,53,32,57,46,49,50,50,
      56,57,101,45,48,54,32,54,46,55,55,51,50,53,101,45,48,54,10,32,32,53,46,51,49,
      49,56,53,101,45,48,54,32,56,46,55,57,49,51,49,101,45,48,54,32,55,46,55,51,50,
      56,54,101,45,48,54,32,54,46,48,52,51,50,57,101,45,48,54,32,52,46,54,48,51,49,
      101,45,48,54,32,51,46,54,54,57,57,50,101,45,48,54,32,50,46,57,50,54,55,55,101,
      45,48,54,10,32,32,50,46,51,54,56,57,101,45,48,54,32,49,46,57,50,52,101,45,48,
      54,32,49,46,53,50,56,49,54,101,45,48,54,32,49,46,50,52,53,55,50,101,45,48,54,
      32,57,46,57,52,54,56,101,45,48,55,32,56,46,52,51,48,50,53,101,45,48,55,32,54,
      46,52,51,56,50,57,101,45,48,55,10,32,32,53,46,52,53,56,51,52,101,45,48,55,32,
      52,46,52,52,54,52,52,101,45,48,55,32,50,46,55,54,48,52,101,45,48,55,32,49,46,
      52,51,52,53,101,45,48,55,32,55,46,53,56,53,48,55,101,45,48,56,32,51,46,52,50,
      53,57,54,101,45,48,56,32,49,46,53,53,48,48,56,101,45,48,56,10,32,32,53,46,57,
      57,53,52,55,101,45,48,57,32,50,46,55,49,57,48,53,101,45,48,57,32,55,46,54,57,
      51,50,54,101,45,49,48,32,50,46,51,49,51,56,52,101,45,49,48,32,57,46,57,52,55,
      52,57,101,45,49,49,32,51,46,56,55,56,49,52,101,45,49,49,32,49,46,49,48,54,53,
      56,101,45,49,49,10,32,32,51,46,54,57,57,50,54,101,45,49,50,32,49,46,50,51,56,
      50,56,101,45,49,50,32,51,46,53,53,48,51,50,101,45,49,51,32,49,46,48,49,57,52,
      50,101,45,49,51,32,51,46,52,50,52,57,55,101,45,49,52,32,49,46,49,53,49,56,101,
      45,49,52,32,51,46,56,55,54,56,53,101,45,49,53,10,32,32,49,46,48,49,49,50,53,
      101,45,49,53,32,50,46,52,56,57,48,51,101,45,49,54,32,53,46,50,53,48,50,49,101,
      45,49,55,32,49,46,50,57,52,49,50,101,45,49,55,32,50,46,55,50,57,49,57,101,45,
      49,56,32,54,46,55,50,48,54,53,101,45,49,57,32,49,46,54,52,48,53,53,101,45,49,
      57,10,32,32,51,46,52,55,51,55,55,101,45,50,48,32,48,114,49,48,55,32,57,46,48,
      49,50,55,56,101,45,48,56,32,51,46,54,49,51,57,54,101,45,48,55,32,56,46,49,51,
      56,48,52,101,45,48,55,32,57,46,48,49,50,56,50,101,45,48,55,32,51,46,54,49,51,
      57,53,101,45,48,54,32,56,46,49,51,55,56,49,101,45,48,54,10,32,32,49,46,52,52,
      54,51,52,101,45,48,53,32,50,46,50,53,56,57,57,101,45,48,53,32,51,46,50,53,51,
      51,54,101,45,48,53,32,52,46,52,50,54,54,54,101,45,48,53,32,53,46,55,56,49,51,
      52,101,45,48,53,32,55,46,51,49,53,52,53,101,45,48,53,32,57,46,48,50,56,55,56,
      101,45,48,53,10,32,32,46,48,48,48,49,48,57,50,50,32,46,48,48,48,49,50,57,57,
      53,49,32,46,48,48,48,49,53,50,52,54,57,32,46,48,48,48,49,55,55,57,50,57,32,
      46,48,48,48,50,48,52,49,56,57,32,46,48,48,48,50,51,50,50,50,57,32,46,48,48,
      48,50,54,50,48,53,51,32,46,48,48,48,50,57,51,54,52,57,10,32,32,46,48,48,48,
      51,50,55,48,49,57,32,46,48,48,48,51,54,50,49,53,32,46,48,48,48,51,57,57,48,
      52,53,32,46,48,48,48,52,51,55,54,57,53,32,46,48,48,48,52,55,56,48,56,57,32,
      46,48,48,48,53,50,48,50,49,55,32,46,48,48,48,53,54,52,48,57,32,46,48,48,48,
      54,48,57,54,56,56,10,32,32,46,48,48,48,54,53,55,48,48,49,32,46,48,48,48,55,
      48,54,48,51,32,46,48,48,48,55,53,54,55,55,53,32,46,48,48,48,56,48,57,50,50,
      53,32,46,48,48,48,56,54,51,51,55,49,32,46,48,48,48,57,49,57,50,49,50,32,46,
      48,48,48,57,55,54,55,56,32,46,48,48,49,48,51,54,48,49,10,32,32,46,48,48,49,
      48,57,54,57,52,32,46,48,48,49,49,53,57,54,49,32,46,48,48,49,50,50,54,56,57,
      32,46,48,48,49,50,57,51,48,54,32,46,48,48,49,51,54,49,48,51,32,46,48,48,49,
      52,51,48,54,55,32,46,48,48,49,53,48,49,57,57,32,46,48,48,49,53,55,53,49,50,
      10,32,32,46,48,48,49,54,52,57,57,55,32,46,48,48,49,55,50,54,52,57,32,46,48,
      48,49,56,48,52,56,51,32,46,48,48,49,56,56,52,57,51,32,46,48,48,49,57,54,54,
      55,49,32,46,48,48,50,48,53,48,50,56,32,46,48,48,50,49,51,53,54,51,32,46,48,
      48,50,50,50,50,54,57,10,32,32,46,48,48,50,51,49,49,53,32,46,48,48,50,52,48,
      50,49,50,32,46,48,48,50,52,57,52,52,52,32,46,48,48,50,53,56,56,52,56,32,46,
      48,48,50,54,56,52,51,51,32,46,48,48,50,55,56,49,56,56,32,46,48,48,50,56,56,
      49,49,50,32,46,48,48,50,57,56,50,49,56,32,46,48,48,51,48,56,52,57,51,10,32,
      32,46,48,48,51,49,56,57,51,55,32,46,48,48,51,50,57,53,54,32,46,48,48,51,52,
      48,51,53,52,32,46,48,48,51,53,49,51,49,55,32,46,48,48,51,54,50,52,54,32,46,
      48,48,51,55,51,55,55,55,32,46,48,48,51,56,53,50,54,50,32,46,48,48,51,57,54,
      57,50,57,32,46,48,48,52,48,56,55,55,56,10,32,32,46,48,48,52,50,48,55,57,54,
      32,46,48,48,52,51,50,57,57,56,32,46,48,48,52,52,53,51,57,55,32,46,48,48,52,
      53,55,57,54,51,32,46,48,48,52,55,48,55,49,49,32,46,48,48,52,56,51,54,56,50,
      32,46,48,48,52,57,54,56,49,57,32,46,48,48,53,49,48,49,50,53,10,32,32,46,48,
      48,53,50,51,54,57,49,32,46,48,48,53,51,55,52,50,51,32,46,48,48,53,53,49,51,
      50,32,46,48,48,53,54,53,52,56,49,32,46,48,48,53,55,57,56,50,50,32,46,48,48,
      53,57,52,51,50,55,32,46,48,48,54,48,57,48,56,51,32,46,48,48,54,50,52,48,52,
      32,46,48,48,54,51,57,49,53,53,10,32,32,46,48,48,54,53,52,53,32,46,48,48,54,
      55,48,48,54,53,32,46,48,48,54,56,53,55,56,52,32,46,48,48,55,48,49,55,48,52,
      32,46,48,48,55,49,55,56,53,55,32,46,48,48,55,51,52,49,54,49,32,46,48,48,55,
      53,48,54,51,57,32,46,48,48,55,54,55,51,53,53,32,46,48,48,55,56,52,50,49,57,
      10,32,32,46,48,48,56,48,49,50,51,55,32,46,48,48,56,49,56,52,56,53,32,46,48,
      48,56,51,53,56,56,52,32,46,48,48,56,53,51,52,51,52,32,46,48,48,56,55,49,49,
      56,50,32,46,48,48,56,56,57,48,56,51,32,46,48,48,57,48,55,49,53,49,32,46,48,
      48,57,50,53,51,55,52,10,32,32,46,48,48,57,52,51,55,54,51,32,46,48,48,57,54,
      50,51,49,52,32,46,48,48,57,56,49,48,49,50,32,46,48,48,57,57,57,56,53,54,32,
      46,48,49,48,49,56,56,55,32,46,48,49,48,51,56,48,50,32,46,48,49,48,53,55,51,
      32,46,48,49,48,55,54,55,53,32,46,48,49,48,57,54,51,52,10,32,32,46,48,49,49,
      49,54,48,51,32,46,48,49,49,51,53,56,56,32,46,48,49,49,53,53,57,32,46,48,49,
      49,55,53,57,55,32,46,48,49,49,57,54,50,32,46,48,49,50,49,54,53,56,32,46,48,
      49,50,51,55,48,49,32,46,48,49,50,53,55,53,54,32,46,48,49,50,55,56,50,55,32,
      46,48,49,50,57,57,48,49,10,32,32,46,48,49,51,49,57,56,53,32,46,48,49,51,52,
      48,56,50,32,46,48,49,51,54,49,56,52,32,46,48,49,51,56,50,56,57,32,46,48,49,
      52,48,52,48,55,32,46,48,49,52,50,53,50,57,32,46,48,49,52,52,54,53,49,32,46,
      48,49,52,54,55,56,49,32,46,48,49,52,56,57,49,56,10,32,32,46,48,49,53,49,48,
      53,52,32,46,48,49,53,51,49,57,53,32,46,48,49,53,53,51,52,49,32,46,48,49,53,
      55,52,56,57,32,46,48,49,53,57,54,52,50,32,46,48,49,54,49,55,57,53,32,46,48,
      49,54,51,57,54,49,32,46,48,49,54,54,49,50,57,32,46,48,49,54,56,50,57,55,10,
      32,32,46,48,49,55,48,52,56,49,32,46,48,49,55,50,54,55,51,32,46,48,49,55,52,
      56,54,53,32,46,48,49,55,55,48,55,51,32,46,48,49,55,57,50,57,55,32,46,48,49,
      56,49,53,50,49,32,46,48,49,56,51,55,53,56,32,46,48,49,56,54,48,49,55,32,46,
      48,49,56,56,50,55,56,10,32,32,46,48,49,57,48,53,52,55,32,46,48,49,57,50,56,
      52,32,46,48,49,57,53,49,51,54,32,46,48,49,57,55,52,51,55,32,46,48,49,57,57,
      55,53,56,32,46,48,50,48,50,48,56,52,32,46,48,50,48,52,52,49,51,32,46,48,50,
      48,55,53,51,32,46,48,50,49,52,55,57,55,32,46,48,50,50,53,52,53,54,10,32,32,
      46,48,50,52,50,53,48,50,32,46,48,50,53,56,56,48,52,32,46,48,50,55,52,57,51,
      54,32,46,48,50,57,49,53,48,57,32,46,48,51,48,56,55,53,55,32,46,48,51,50,54,
      52,56,52,32,46,48,51,52,52,51,53,32,46,48,51,54,50,48,50,49,32,46,48,51,55,
      57,50,53,50,10,32,32,46,48,51,57,53,57,50,51,32,46,48,52,49,49,56,56,51,32,
      46,48,52,51,48,48,49,51,32,46,48,52,52,54,57,52,50,32,46,48,52,54,55,53,51,
      55,32,46,48,52,56,53,56,56,49,32,46,48,53,48,50,48,54,50,32,46,48,53,49,57,
      52,52,49,32,46,48,53,51,52,50,50,10,32,32,46,48,53,52,56,48,53,49,32,46,48,
      53,54,53,56,57,51,32,46,48,53,56,55,54,52,56,32,46,48,54,50,49,55,55,55,32,
      46,48,54,53,56,51,56,51,32,46,48,54,57,51,55,51,49,32,46,48,55,50,56,48,54,
      56,32,46,48,55,53,55,50,48,57,32,46,48,55,55,57,52,57,55,10,32,32,46,48,55,
      57,54,52,52,51,32,46,48,56,48,56,50,54,55,32,46,48,56,49,56,51,48,49,32,46,
      48,56,50,57,48,57,56,32,46,48,56,52,56,55,48,56,32,46,48,56,56,53,56,54,54,
      32,46,48,57,50,48,49,55,32,46,48,57,51,50,56,52,56,32,46,48,57,50,54,54,50,
      53,10,32,32,46,48,56,56,54,53,57,54,32,46,48,56,50,50,56,51,51,32,46,48,55,
      52,55,48,54,50,32,46,48,54,54,48,53,53,51,32,46,48,53,56,50,50,55,57,32,46,
      48,53,49,52,55,56,51,32,46,48,52,54,53,53,48,55,32,46,48,52,52,48,50,54,55,
      32,46,48,52,51,52,50,49,50,10,32,32,46,48,52,49,57,49,56,50,32,46,48,51,57,
      54,48,50,32,46,48,51,53,56,52,50,49,32,46,48,50,57,55,49,53,56,32,46,48,50,
      52,49,48,49,50,32,46,48,49,57,56,49,48,56,32,46,48,49,54,57,56,56,51,32,46,
      48,49,51,56,53,48,54,32,46,48,49,49,50,48,50,56,10,32,32,46,48,48,56,57,50,
      51,54,32,46,48,48,55,51,49,51,55,54,32,46,48,48,54,50,50,51,56,54,32,46,48,
      48,53,53,51,57,50,53,32,46,48,48,52,57,52,52,51,32,46,48,48,52,51,51,52,56,
      56,32,46,48,48,51,55,56,48,56,53,32,46,48,48,50,54,53,51,53,55,32,46,48,48,
      49,55,57,49,55,54,10,32,32,46,48,48,49,50,55,52,53,54,32,46,48,48,48,57,53,
      55,51,55,53,32,46,48,48,48,56,53,55,55,55,56,32,46,48,48,48,54,53,48,56,53,
      50,32,46,48,48,48,52,57,56,51,49,57,32,46,48,48,48,51,56,53,54,54,52,32,46,
      48,48,48,51,48,50,49,57,52,32,46,48,48,48,50,51,48,55,55,49,10,32,32,46,48,
      48,48,49,56,57,54,49,49,32,46,48,48,48,49,53,53,57,54,51,32,46,48,48,48,49,
      49,51,51,50,51,32,57,46,51,50,53,54,56,101,45,48,53,32,54,46,56,54,55,53,52,
      101,45,48,53,32,52,46,57,55,53,48,52,101,45,48,53,32,52,46,49,48,50,51,53,101,
      45,48,53,10,32,32,51,46,51,56,49,54,52,101,45,48,53,32,50,46,52,57,50,54,57,
      101,45,48,53,32,49,46,55,56,49,48,49,101,45,48,53,32,49,46,52,55,56,49,50,101,
      45,48,53,32,49,46,48,57,52,51,49,101,45,48,53,32,57,46,49,49,48,57,57,101,45,
      48,54,32,54,46,55,54,52,55,101,45,48,54,10,32,32,53,46,51,48,53,51,56,101,45,
      48,54,32,56,46,55,53,50,49,51,101,45,48,54,32,55,46,54,57,56,52,56,101,45,48,
      54,32,54,46,48,49,54,53,53,101,45,48,54,32,52,46,53,56,51,54,51,101,45,48,54,
      32,51,46,54,53,53,49,53,101,45,48,54,32,50,46,57,49,53,53,55,101,45,48,54,10,
      32,32,50,46,51,53,57,57,55,101,45,48,54,32,49,46,57,49,54,55,56,101,45,48,54,
      32,49,46,53,50,50,52,53,101,45,48,54,32,49,46,50,52,49,48,56,101,45,48,54,32,
      57,46,57,48,57,57,49,101,45,48,55,32,56,46,51,57,57,48,55,101,45,48,55,32,54,
      46,52,49,52,53,57,101,45,48,55,10,32,32,53,46,52,51,56,51,101,45,48,55,32,52,
      46,52,51,48,49,55,101,45,48,55,32,50,46,55,53,48,51,55,101,45,48,55,32,49,46,
      52,50,57,51,52,101,45,48,55,32,55,46,53,53,56,48,55,101,45,48,56,32,51,46,52,
      49,51,57,101,45,48,56,32,49,46,53,52,52,54,57,101,45,48,56,10,32,32,53,46,57,
      55,54,51,51,101,45,48,57,32,50,46,55,49,50,56,52,101,45,48,57,32,55,46,54,55,
      55,56,101,45,49,48,32,50,46,51,48,57,50,55,101,45,49,48,32,57,46,57,50,56,48,
      55,101,45,49,49,32,51,46,56,55,48,54,55,101,45,49,49,32,49,46,49,48,52,52,57,
      101,45,49,49,10,32,32,51,46,54,57,50,51,52,101,45,49,50,32,49,46,50,51,53,57,
      56,101,45,49,50,32,51,46,53,52,51,56,101,45,49,51,32,49,46,48,49,55,53,56,101,
      45,49,51,32,51,46,52,49,56,56,56,101,45,49,52,32,49,46,49,52,57,55,55,101,45,
      49,52,32,51,46,56,55,48,48,56,101,45,49,53,10,32,32,49,46,48,49,48,49,101,45,
      49,53,32,50,46,52,56,54,51,51,101,45,49,54,32,53,46,50,52,53,48,57,101,45,49,
      55,32,49,46,50,57,51,52,53,101,45,49,55,32,50,46,55,50,56,55,49,101,45,49,56,
      32,54,46,55,49,57,51,51,101,45,49,57,32,49,46,54,52,48,48,53,101,45,49,57,10,
      32,32,51,46,52,55,50,55,53,101,45,50,48,32,53,46,50,53,48,49,101,45,50,49,32,
      48,114,49,48,54,32,56,46,54,57,54,48,50,101,45,48,56,32,51,46,52,56,54,57,52,
      101,45,48,55,32,55,46,56,53,50,48,52,101,45,48,55,32,56,46,54,57,54,48,55,101,
      45,48,55,32,51,46,52,56,54,57,54,101,45,48,54,10,32,32,55,46,56,53,49,57,101,
      45,48,54,32,49,46,51,57,53,53,52,101,45,48,53,32,50,46,49,55,57,54,56,101,45,
      48,53,32,51,46,49,51,57,49,56,101,45,48,53,32,52,46,50,55,49,51,54,101,45,48,
      53,32,53,46,53,55,56,54,49,101,45,48,53,32,55,46,48,53,57,48,54,101,45,48,53,
      10,32,32,56,46,55,49,50,52,56,101,45,48,53,32,46,48,48,48,49,48,53,51,57,54,
      32,46,48,48,48,49,50,53,52,48,49,32,46,48,48,48,49,52,55,49,51,50,32,46,48,
      48,48,49,55,48,53,57,52,32,46,48,48,48,49,57,54,56,51,52,32,46,48,48,48,50,
      50,51,56,55,50,32,46,48,48,48,50,53,50,54,51,50,10,32,32,46,48,48,48,50,56,
      51,49,48,50,32,46,48,48,48,51,49,53,50,56,52,32,46,48,48,48,51,52,57,49,54,
      55,32,46,48,48,48,51,56,52,55,53,50,32,46,48,48,48,52,50,50,48,51,51,32,46,
      48,48,48,52,54,48,57,57,57,32,46,48,48,48,53,48,49,54,51,57,32,46,48,48,48,
      53,52,51,57,54,54,10,32,32,46,48,48,48,53,56,55,57,53,56,32,46,48,48,48,54,
      51,51,54,48,57,32,46,48,48,48,54,56,48,57,49,56,32,46,48,48,48,55,50,57,56,
      56,54,32,46,48,48,48,55,56,48,53,48,49,32,46,48,48,48,56,51,50,55,53,54,32,
      46,48,48,48,56,56,54,54,52,56,32,46,48,48,48,57,52,50,50,48,57,10,32,32,46,
      48,48,48,57,57,57,51,56,49,32,46,48,48,49,48,53,56,49,57,32,46,48,48,49,49,
      49,56,54,56,32,46,48,48,49,49,56,48,55,57,32,46,48,48,49,50,52,52,53,49,32,
      46,48,48,49,51,49,50,53,56,32,46,48,48,49,51,55,57,55,56,32,46,48,48,49,52,
      52,56,54,49,10,32,32,46,48,48,49,53,49,57,49,56,32,46,48,48,49,53,57,49,52,
      49,32,46,48,48,49,54,54,53,50,54,32,46,48,48,49,55,52,48,56,54,32,46,48,48,
      49,56,49,56,49,53,32,46,48,48,49,56,57,55,48,55,32,46,48,48,49,57,55,55,55,
      50,32,46,48,48,50,48,54,48,48,57,10,32,32,46,48,48,50,49,52,52,49,32,46,48,
      48,50,50,50,57,56,49,32,46,48,48,50,51,49,55,50,55,32,46,48,48,50,52,48,54,
      51,54,32,46,48,48,50,52,57,55,49,49,32,46,48,48,50,53,56,57,54,49,32,46,48,
      48,50,54,56,51,55,53,32,46,48,48,50,55,55,57,53,51,32,46,48,48,50,56,55,55,
      48,54,10,32,32,46,48,48,50,57,55,54,50,50,32,46,48,48,51,48,55,55,48,50,32,
      46,48,48,51,49,55,57,53,52,32,46,48,48,51,50,56,51,55,50,32,46,48,48,51,51,
      56,57,53,51,32,46,48,48,51,52,57,55,48,55,32,46,48,48,51,54,48,54,51,32,46,
      48,48,51,55,49,55,49,52,32,46,48,48,51,56,50,57,55,53,10,32,32,46,48,48,51,
      57,52,52,49,49,32,46,48,48,52,48,54,48,49,32,46,48,48,52,49,55,55,56,54,32,
      46,48,48,52,50,57,55,53,50,32,46,48,48,52,52,49,56,56,32,46,48,48,52,53,52,
      49,56,51,32,46,48,48,52,54,54,55,32,46,48,48,52,55,57,51,55,56,32,46,48,48,
      52,57,50,50,49,56,10,32,32,46,48,48,53,48,53,51,48,56,32,46,48,48,53,49,56,
      53,53,55,32,46,48,48,53,51,49,57,54,55,32,46,48,48,53,52,53,54,50,57,32,46,
      48,48,53,53,57,52,54,52,32,46,48,48,53,55,51,52,53,56,32,46,48,48,53,56,55,
      54,57,50,32,46,48,48,54,48,50,49,49,57,10,32,32,46,48,48,54,49,54,54,57,57,
      32,46,48,48,54,51,49,52,57,57,32,46,48,48,54,52,54,53,49,32,46,48,48,54,54,
      49,54,55,49,32,46,48,48,54,55,55,48,50,52,32,46,48,48,54,57,50,54,48,49,32,
      46,48,48,55,48,56,51,50,52,32,46,48,48,55,50,52,50,49,52,32,46,48,48,55,52,
      48,51,51,50,10,32,32,46,48,48,55,53,54,53,57,52,32,46,48,48,55,55,51,48,48,
      52,32,46,48,48,55,56,57,54,51,53,32,46,48,48,56,48,54,52,49,50,32,46,48,48,
      56,50,51,51,51,53,32,46,48,48,56,52,48,52,52,57,32,46,48,48,56,53,55,55,49,
      32,46,48,48,56,55,53,49,51,52,32,46,48,48,56,57,50,55,48,55,10,32,32,46,48,
      48,57,49,48,52,52,49,32,46,48,48,57,50,56,51,51,49,32,46,48,48,57,52,54,51,
      54,52,32,46,48,48,57,54,52,53,51,57,32,46,48,48,57,56,50,56,55,53,32,46,48,
      49,48,48,49,51,53,32,46,48,49,48,49,57,57,53,32,46,48,49,48,51,56,55,49,32,
      46,48,49,48,53,55,54,49,10,32,32,46,48,49,48,55,54,54,49,32,46,48,49,48,57,
      53,55,55,32,46,48,49,49,49,53,48,56,32,46,48,49,49,51,52,52,53,32,46,48,49,
      49,53,51,57,55,32,46,48,49,49,55,51,54,53,32,46,48,49,49,57,51,51,55,32,46,
      48,49,50,49,51,50,49,32,46,48,49,50,51,51,50,50,10,32,32,46,48,49,50,53,51,
      50,53,32,46,48,49,50,55,51,51,55,32,46,48,49,50,57,51,54,51,32,46,48,49,51,
      49,51,57,52,32,46,48,49,51,51,52,50,56,32,46,48,49,51,53,52,55,53,32,46,48,
      49,51,55,53,50,55,32,46,48,49,51,57,53,55,56,32,46,48,49,52,49,54,51,56,10,
      32,32,46,48,49,52,51,55,48,53,32,46,48,49,52,53,55,55,49,32,46,48,49,52,55,
      56,52,50,32,46,48,49,52,57,57,49,57,32,46,48,49,53,49,57,57,56,32,46,48,49,
      53,52,48,56,49,32,46,48,49,53,54,49,54,54,32,46,48,49,53,56,50,54,50,32,46,
      48,49,54,48,51,54,49,10,32,32,46,48,49,54,50,52,54,49,32,46,48,49,54,52,53,
      55,53,32,46,48,49,54,54,54,57,56,32,46,48,49,54,56,56,50,32,46,48,49,55,48,
      57,53,56,32,46,48,49,55,51,49,49,49,32,46,48,49,55,53,50,54,53,32,46,48,49,
      55,55,52,51,32,46,48,49,55,57,54,49,55,32,46,48,49,56,49,56,48,54,10,32,32,
      46,48,49,56,52,48,48,51,32,46,48,49,56,54,50,50,50,32,46,48,49,56,56,52,52,
      54,32,46,48,49,57,48,54,55,50,32,46,48,49,57,50,57,49,57,32,46,48,49,57,53,
      49,55,49,32,46,48,49,57,55,52,50,54,32,46,48,50,48,48,52,52,52,32,46,48,50,
      48,55,52,55,57,10,32,32,46,48,50,49,55,55,57,57,32,46,48,50,51,52,51,48,57,
      32,46,48,50,53,48,48,57,56,32,46,48,50,54,53,55,49,53,32,46,48,50,56,49,55,
      53,50,32,46,48,50,57,56,52,51,52,32,46,48,51,49,53,53,55,54,32,46,48,51,51,
      50,56,53,51,32,46,48,51,52,57,57,52,10,32,32,46,48,51,54,54,54,48,51,32,46,
      48,51,56,50,55,50,53,32,46,48,51,57,56,49,54,32,46,48,52,49,53,54,57,54,32,
      46,48,52,51,50,48,54,55,32,46,48,52,53,49,57,56,32,46,48,52,54,57,55,48,56,
      32,46,48,52,56,53,51,51,53,32,46,48,53,48,50,49,48,50,32,46,48,53,49,54,51,
      52,54,10,32,32,46,48,53,50,57,54,55,49,32,46,48,53,52,54,56,55,49,32,46,48,
      53,54,55,56,54,52,32,46,48,54,48,48,56,49,57,32,46,48,54,51,54,49,55,49,32,
      46,48,54,55,48,51,48,56,32,46,48,55,48,51,52,54,53,32,46,48,55,51,49,54,32,
      46,48,55,53,51,49,51,55,32,46,48,55,54,57,53,53,10,32,32,46,48,55,56,49,48,
      56,54,32,46,48,55,57,48,57,56,50,32,46,48,56,48,49,54,54,51,32,46,48,56,50,
      48,56,57,52,32,46,48,56,53,55,49,52,55,32,46,48,56,57,48,54,57,57,32,46,48,
      57,48,51,51,53,56,32,46,48,56,57,55,57,57,53,32,46,48,56,54,48,51,52,49,10,
      32,32,46,48,55,57,57,56,55,57,32,46,48,55,50,55,55,52,50,32,46,48,54,52,53,
      48,48,57,32,46,48,53,54,57,56,51,32,46,48,53,48,52,55,55,53,32,46,48,52,53,
      55,50,53,49,32,46,48,52,51,51,48,56,32,46,48,52,50,55,53,48,50,32,46,48,52,
      49,51,48,55,32,46,48,51,57,48,53,56,49,10,32,32,46,48,51,53,51,56,55,53,32,
      46,48,50,57,51,56,51,56,32,46,48,50,51,56,54,52,56,32,46,48,49,57,54,51,55,
      52,32,46,48,49,54,56,53,49,55,32,46,48,49,51,55,53,48,54,32,46,48,49,49,49,
      50,57,55,32,46,48,48,56,56,55,48,56,53,32,46,48,48,55,50,55,51,57,52,10,32,
      32,46,48,48,54,49,57,50,49,54,32,46,48,48,53,53,49,50,52,51,32,46,48,48,52,
      57,50,49,52,55,32,46,48,48,52,51,49,53,56,51,32,46,48,48,51,55,54,52,57,55,
      32,46,48,48,50,54,52,51,53,51,32,46,48,48,49,55,56,53,54,53,32,46,48,48,49,
      50,55,48,53,54,10,32,32,46,48,48,48,57,53,52,53,55,51,32,46,48,48,48,56,53,
      53,51,52,55,32,46,48,48,48,54,52,57,49,49,55,32,46,48,48,48,52,57,55,48,54,
      51,32,46,48,48,48,51,56,52,55,52,49,32,46,48,48,48,51,48,49,53,48,53,32,46,
      48,48,48,50,51,48,50,55,32,46,48,48,48,49,56,57,50,49,52,10,32,32,46,48,48,
      48,49,53,53,54,52,56,32,46,48,48,48,49,49,51,49,48,53,32,57,46,51,48,56,50,
      52,101,45,48,53,32,54,46,56,53,53,51,51,101,45,48,53,32,52,46,57,54,54,54,101,
      45,48,53,32,52,46,48,57,53,53,57,101,45,48,53,32,51,46,51,55,54,50,50,101,45,
      48,53,10,32,32,50,46,52,56,56,56,54,101,45,48,53,32,49,46,55,55,56,51,57,101,
      45,48,53,32,49,46,52,55,54,101,45,48,53,32,49,46,48,57,50,55,57,101,45,48,53,
      32,57,46,48,57,56,54,51,101,45,48,54,32,54,46,55,53,53,56,51,101,45,48,54,32,
      53,46,50,57,56,54,56,101,45,48,54,10,32,32,56,46,55,49,51,49,54,101,45,48,54,
      32,55,46,54,54,52,51,101,45,48,54,32,53,46,57,56,57,57,56,101,45,48,54,32,52,
      46,53,54,51,53,101,45,48,54,32,51,46,54,51,57,49,54,101,45,48,54,32,50,46,57,
      48,50,56,56,101,45,48,54,32,50,46,51,53,48,48,52,101,45,48,54,10,32,32,49,46,
      57,48,57,48,54,101,45,48,54,32,49,46,53,49,54,54,51,101,45,48,54,32,49,46,50,
      51,54,52,56,101,45,48,54,32,57,46,56,55,51,50,57,101,45,48,55,32,56,46,51,54,
      56,49,52,101,45,48,55,32,54,46,51,57,49,48,56,101,45,48,55,32,53,46,52,49,56,
      52,51,101,45,48,55,10,32,32,52,46,52,49,52,48,51,101,45,48,55,32,50,46,55,52,
      48,52,51,101,45,48,55,32,49,46,52,50,52,50,51,101,45,48,55,32,55,46,53,51,49,
      51,49,101,45,48,56,32,51,46,52,48,49,57,53,101,45,48,56,32,49,46,53,51,57,51,
      52,101,45,48,56,32,53,46,57,53,53,56,57,101,45,48,57,10,32,32,50,46,55,48,51,
      54,53,101,45,48,57,32,55,46,54,54,48,56,52,101,45,49,48,32,50,46,51,48,52,55,
      55,101,45,49,48,32,57,46,57,48,56,57,57,101,45,49,49,32,51,46,56,54,51,51,52,
      101,45,49,49,32,49,46,49,48,50,52,51,101,45,49,49,32,51,46,54,56,53,53,101,
      45,49,50,10,32,32,49,46,50,51,51,55,50,101,45,49,50,32,51,46,53,51,55,52,50,
      101,45,49,51,32,49,46,48,49,53,55,56,101,45,49,51,32,51,46,52,49,50,57,51,101,
      45,49,52,32,49,46,49,52,55,55,56,101,45,49,52,32,51,46,56,54,51,52,49,101,45,
      49,53,32,49,46,48,48,56,57,57,101,45,49,53,10,32,32,50,46,52,56,51,55,52,101,
      45,49,54,32,53,46,50,51,57,57,50,101,45,49,55,32,49,46,50,57,50,50,51,101,45,
      49,55,32,50,46,55,50,54,52,50,101,45,49,56,32,54,46,55,49,53,57,54,101,45,49,
      57,32,49,46,54,51,57,53,55,101,45,49,57,32,51,46,52,55,49,56,56,101,45,50,48,
      10,32,32,53,46,50,52,49,50,55,101,45,50,49,32,48,114,49,48,54,32,56,46,53,53,
      52,52,49,101,45,48,56,32,51,46,52,51,48,49,53,101,45,48,55,32,55,46,55,50,52,
      49,52,101,45,48,55,32,56,46,53,53,52,52,50,101,45,48,55,32,51,46,52,51,48,49,
      49,101,45,48,54,32,55,46,55,50,51,55,51,101,45,48,54,10,32,32,49,46,51,55,50,
      55,50,101,45,48,53,32,50,46,49,52,51,57,54,101,45,48,53,32,51,46,48,56,55,54,
      49,101,45,48,53,32,52,46,50,48,48,57,57,101,45,48,53,32,53,46,52,56,54,52,50,
      101,45,48,53,32,54,46,57,52,49,57,57,101,45,48,53,32,56,46,53,54,55,52,52,101,
      45,48,53,10,32,32,46,48,48,48,49,48,51,54,51,51,32,46,48,48,48,49,50,51,50,
      57,53,32,46,48,48,48,49,52,52,54,52,55,32,46,48,48,48,49,54,55,54,57,54,32,
      46,48,48,48,49,57,50,52,56,57,32,46,48,48,48,50,49,57,56,49,54,32,46,48,48,
      48,50,52,56,48,51,53,32,46,48,48,48,50,55,55,57,50,53,10,32,32,46,48,48,48,
      51,48,57,52,57,32,46,48,48,48,51,52,50,55,49,55,32,46,48,48,48,51,55,55,54,
      48,55,32,46,48,48,48,52,49,52,49,53,51,32,46,48,48,48,52,53,50,51,52,52,32,
      46,48,48,48,52,57,50,49,54,57,32,46,48,48,48,53,51,51,54,51,57,32,46,48,48,
      48,53,55,54,55,51,52,10,32,32,46,48,48,48,54,50,49,52,52,53,32,46,48,48,48,
      54,54,55,55,55,50,32,46,48,48,48,55,49,53,55,49,53,32,46,48,48,48,55,54,53,
      50,54,52,32,46,48,48,48,56,49,54,52,48,57,32,46,48,48,48,56,54,57,49,52,57,
      32,46,48,48,48,57,50,51,53,49,55,32,46,48,48,48,57,55,57,52,53,50,10,32,32,
      46,48,48,49,48,51,54,57,56,32,46,48,48,49,48,57,54,49,53,32,46,48,48,49,49,
      53,54,57,32,46,48,48,49,50,49,57,50,50,32,46,48,48,49,50,56,51,50,52,32,46,
      48,48,49,51,52,56,56,52,32,46,48,48,49,52,49,56,51,49,32,46,48,48,49,52,56,
      55,51,32,46,48,48,49,53,53,55,57,49,10,32,32,46,48,48,49,54,51,48,49,32,46,
      48,48,49,55,48,52,32,46,48,48,49,55,55,57,53,54,32,46,48,48,49,56,53,54,55,
      32,46,48,48,49,57,51,53,53,51,32,46,48,48,50,48,49,54,48,53,32,46,48,48,50,
      48,57,56,49,55,32,46,48,48,50,49,56,49,57,53,32,46,48,48,50,50,54,55,52,51,
      10,32,32,46,48,48,50,51,53,52,53,49,32,46,48,48,50,52,52,51,50,49,32,46,48,
      48,50,53,51,51,54,51,32,46,48,48,50,54,50,53,54,52,32,46,48,48,50,55,49,57,
      50,52,32,46,48,48,50,56,49,52,53,55,32,46,48,48,50,57,49,49,52,56,32,46,48,
      48,51,48,48,57,57,56,10,32,32,46,48,48,51,49,49,48,49,55,32,46,48,48,51,50,
      49,49,57,56,32,46,48,48,51,51,49,53,51,55,32,46,48,48,51,52,50,48,52,54,32,
      46,48,48,51,53,50,55,49,57,32,46,48,48,51,54,51,53,53,32,46,48,48,51,55,52,
      53,53,52,32,46,48,48,51,56,53,55,50,57,32,46,48,48,51,57,55,48,54,50,10,32,
      32,46,48,48,52,48,56,53,55,32,46,48,48,52,50,48,50,54,52,32,46,48,48,52,51,
      50,49,49,55,32,46,48,48,52,52,52,49,52,32,46,48,48,52,53,54,51,55,54,32,46,
      48,48,52,54,56,55,54,57,32,46,48,48,52,56,49,51,50,32,46,48,48,52,57,52,49,
      50,32,46,48,48,53,48,55,48,55,54,10,32,32,46,48,48,53,50,48,49,56,56,32,46,
      48,48,53,51,51,53,53,52,32,46,48,48,53,52,55,48,56,56,32,46,48,48,53,54,48,
      55,55,55,32,46,48,48,53,55,52,55,48,55,32,46,48,48,53,56,56,56,50,55,32,46,
      48,48,54,48,51,48,57,54,32,46,48,48,54,49,55,53,56,53,10,32,32,46,48,48,54,
      51,50,50,56,52,32,46,48,48,54,52,55,49,50,55,32,46,48,48,54,54,50,49,54,49,
      32,46,48,48,54,55,55,52,49,57,32,46,48,48,54,57,50,56,49,55,32,46,48,48,55,
      48,56,51,56,32,46,48,48,55,50,52,49,55,50,32,46,48,48,55,52,48,49,48,50,32,
      46,48,48,55,53,54,49,55,54,10,32,32,46,48,48,55,55,50,52,55,32,46,48,48,55,
      56,56,57,48,54,32,46,48,48,56,48,53,52,56,51,32,46,48,48,56,50,50,50,52,57,
      32,46,48,48,56,51,57,49,53,56,32,46,48,48,56,53,54,50,50,51,32,46,48,48,56,
      55,51,52,51,53,32,46,48,48,56,57,48,56,48,51,32,46,48,48,57,48,56,51,50,51,
      10,32,32,46,48,48,57,50,53,57,55,57,32,46,48,48,57,52,51,55,55,51,32,46,48,
      48,57,54,49,55,50,50,32,46,48,48,57,55,57,56,48,49,32,46,48,48,57,57,56,48,
      48,54,32,46,48,49,48,49,54,51,54,32,46,48,49,48,51,52,56,54,32,46,48,49,48,
      53,51,52,51,32,46,48,49,48,55,50,49,54,10,32,32,46,48,49,48,57,49,48,53,32,
      46,48,49,49,48,57,57,55,32,46,48,49,49,50,57,48,53,32,46,48,49,49,52,56,50,
      55,32,46,48,49,49,54,55,53,50,32,46,48,49,49,56,54,56,57,32,46,48,49,50,48,
      54,52,49,32,46,48,49,50,50,53,57,53,32,46,48,49,50,52,53,53,55,10,32,32,46,
      48,49,50,54,53,51,50,32,46,48,49,50,56,53,49,32,46,48,49,51,48,52,57,49,32,
      46,48,49,51,50,52,56,51,32,46,48,49,51,52,52,55,57,32,46,48,49,51,54,52,55,
      51,32,46,48,49,51,56,52,55,54,32,46,48,49,52,48,52,56,52,32,46,48,49,52,50,
      52,57,32,46,48,49,52,52,53,10,32,32,46,48,49,52,54,53,49,53,32,46,48,49,52,
      56,53,51,50,32,46,48,49,53,48,53,53,49,32,46,48,49,53,50,53,55,49,32,46,48,
      49,53,52,54,48,51,32,46,48,49,53,54,54,51,54,32,46,48,49,53,56,54,54,57,32,
      46,48,49,54,48,55,49,55,32,46,48,49,54,50,55,55,52,10,32,32,46,48,49,54,52,
      56,50,57,32,46,48,49,54,54,56,57,57,32,46,48,49,54,56,57,56,52,32,46,48,49,
      55,49,48,55,32,46,48,49,55,51,49,54,55,32,46,48,49,55,53,50,56,54,32,46,48,
      49,55,55,52,48,54,32,46,48,49,55,57,53,51,52,32,46,48,49,56,49,54,56,52,10,
      32,32,46,48,49,56,51,56,51,55,32,46,48,49,56,53,57,57,52,32,46,48,49,56,56,
      49,55,49,32,46,48,49,57,48,51,53,50,32,46,48,49,57,50,53,51,54,32,46,48,49,
      57,53,52,53,57,32,46,48,50,48,50,50,55,32,46,48,50,49,50,50,53,53,32,46,48,
      50,50,56,50,48,57,10,32,32,46,48,50,52,51,52,53,50,32,46,48,50,53,56,53,52,
      32,46,48,50,55,52,48,53,55,32,46,48,50,57,48,50,50,51,32,46,48,51,48,54,56,
      53,50,32,46,48,51,50,51,54,49,52,32,46,48,51,52,48,49,57,49,32,46,48,51,53,
      54,51,52,54,32,46,48,51,55,49,57,54,52,10,32,32,46,48,51,56,54,57,48,49,32,
      46,48,52,48,51,56,52,56,32,46,48,52,49,57,54,52,56,32,46,48,52,51,56,56,50,
      57,32,46,48,52,53,53,56,54,57,32,46,48,52,55,48,56,53,55,32,46,48,52,56,54,
      57,48,53,32,46,48,53,48,48,53,49,49,32,46,48,53,49,51,50,53,50,10,32,32,46,
      48,53,50,57,55,53,56,32,46,48,53,52,57,57,56,53,32,46,48,53,56,49,56,49,32,
      46,48,54,49,53,57,55,55,32,46,48,54,52,56,57,54,56,32,46,48,54,56,48,57,56,
      57,32,46,48,55,48,56,49,49,55,32,46,48,55,50,56,56,54,51,32,46,48,55,52,52,
      54,56,53,10,32,32,46,48,55,53,53,56,53,51,32,46,48,55,54,53,53,50,32,46,48,
      55,55,54,48,49,49,32,46,48,55,57,52,56,49,53,32,46,48,56,51,48,49,53,53,32,
      46,48,56,54,50,57,51,53,32,46,48,56,55,53,53,49,51,32,46,48,56,55,48,56,54,
      32,46,48,56,51,53,51,48,56,32,46,48,55,55,55,56,51,53,10,32,32,46,48,55,48,
      57,48,52,32,46,48,54,50,57,56,51,51,32,46,48,53,53,55,53,56,53,32,46,48,52,
      57,52,56,54,55,32,46,48,52,52,57,48,51,32,46,48,52,50,53,56,56,56,32,46,48,
      52,50,48,55,54,56,32,46,48,52,48,54,57,49,56,32,46,48,51,56,53,48,57,50,32,
      46,48,51,52,57,50,55,52,10,32,32,46,48,50,57,48,52,54,51,32,46,48,50,51,54,
      50,51,52,32,46,48,49,57,52,54,32,46,48,49,54,55,49,49,55,32,46,48,49,51,54,
      52,55,56,32,46,48,49,49,48,53,52,53,32,46,48,48,56,56,49,54,53,52,32,46,48,
      48,55,50,51,50,56,57,32,46,48,48,54,49,53,57,52,55,10,32,32,46,48,48,53,52,
      56,52,55,55,32,46,48,48,52,56,57,55,57,49,32,46,48,48,52,50,57,54,49,54,32,
      46,48,48,51,55,52,56,53,56,32,46,48,48,50,54,51,51,49,53,32,46,48,48,49,55,
      55,57,51,51,32,46,48,48,49,50,54,54,52,50,32,46,48,48,48,57,53,49,54,55,52,
      10,32,32,46,48,48,48,56,53,50,56,51,51,32,46,48,48,48,54,52,55,51,50,50,32,
      46,48,48,48,52,57,53,55,54,51,32,46,48,48,48,51,56,51,55,56,54,32,46,48,48,
      48,51,48,48,55,57,49,32,46,48,48,48,50,50,57,55,53,49,32,46,48,48,48,49,56,
      56,56,48,50,32,46,48,48,48,49,53,53,51,50,10,32,32,46,48,48,48,49,49,50,56,
      55,57,32,57,46,50,57,48,50,49,101,45,48,53,32,54,46,56,52,50,54,54,101,45,48,
      53,32,52,46,57,53,55,56,54,101,45,48,53,32,52,46,48,56,56,53,56,101,45,48,53,
      32,51,46,51,55,48,53,57,101,45,48,53,32,50,46,52,56,52,56,55,101,45,48,53,10,
      32,32,49,46,55,55,53,54,55,101,45,48,53,32,49,46,52,55,51,55,57,101,45,48,53,
      32,49,46,48,57,49,50,50,101,45,48,53,32,57,46,48,56,53,56,101,45,48,54,32,54,
      46,55,52,54,54,52,101,45,48,54,32,53,46,50,57,49,55,52,101,45,48,54,32,56,46,
      54,55,52,52,101,45,48,54,10,32,32,55,46,54,51,48,51,101,45,48,54,32,53,46,57,
      54,51,53,53,101,45,48,54,32,52,46,53,52,51,52,56,101,45,48,54,32,51,46,54,50,
      51,50,55,101,45,48,54,32,50,46,56,57,48,50,54,101,45,48,54,32,50,46,51,51,57,
      56,55,101,45,48,54,32,49,46,57,48,48,56,51,101,45,48,54,10,32,32,49,46,53,49,
      48,49,49,101,45,48,54,32,49,46,50,51,49,50,54,101,45,48,54,32,57,46,56,51,51,
      53,52,101,45,48,55,32,56,46,51,51,53,54,101,45,48,55,32,54,46,51,54,55,54,54,
      101,45,48,55,32,53,46,51,57,56,55,101,45,48,55,32,52,46,51,57,56,48,50,101,
      45,48,55,10,32,32,50,46,55,51,48,53,55,101,45,48,55,32,49,46,52,49,57,49,55,
      101,45,48,55,32,55,46,53,48,52,55,55,101,45,48,56,32,51,46,51,57,48,49,49,101,
      45,48,56,32,49,46,53,51,52,48,53,101,45,48,56,32,53,46,57,51,53,54,53,101,45,
      48,57,32,50,46,54,57,52,53,54,101,45,48,57,10,32,32,55,46,54,51,53,53,101,45,
      49,48,32,50,46,50,57,57,53,57,101,45,49,48,32,57,46,56,57,48,50,52,101,45,49,
      49,32,51,46,56,53,54,49,52,101,45,49,49,32,49,46,49,48,48,52,50,101,45,49,49,
      32,51,46,54,55,56,56,101,45,49,50,32,49,46,50,51,49,52,57,101,45,49,50,10,32,
      32,51,46,53,51,49,49,54,101,45,49,51,32,49,46,48,49,52,48,49,101,45,49,51,32,
      51,46,52,48,55,48,56,101,45,49,52,32,49,46,49,52,53,56,51,101,45,49,52,32,51,
      46,56,53,54,56,56,101,45,49,53,32,49,46,48,48,55,57,51,101,45,49,53,32,50,46,
      52,56,49,50,51,101,45,49,54,10,32,32,53,46,50,51,52,57,53,101,45,49,55,32,49,
      46,50,57,49,48,55,101,45,49,55,32,50,46,55,50,51,57,50,101,45,49,56,32,54,46,
      55,48,57,51,56,101,45,49,57,32,49,46,54,51,56,48,52,101,45,49,57,32,51,46,52,
      55,48,50,52,101,45,50,48,32,53,46,50,51,50,54,52,101,45,50,49,10,32,32,48,114,
      49,48,54,32,56,46,52,57,52,50,56,101,45,48,56,32,51,46,52,48,54,48,52,101,45,
      48,55,32,55,46,54,54,57,56,50,101,45,48,55,32,56,46,52,57,52,50,55,101,45,48,
      55,32,51,46,52,48,53,57,54,101,45,48,54,32,55,46,54,54,57,50,49,101,45,48,54,
      32,49,46,51,54,51,101,45,48,53,10,32,32,50,46,49,50,56,55,101,45,48,53,32,51,
      46,48,54,53,53,51,101,45,48,53,32,52,46,49,55,48,55,55,101,45,48,53,32,53,46,
      52,52,54,54,56,101,45,48,53,32,54,46,56,57,49,51,51,101,45,48,53,32,56,46,53,
      48,52,52,101,45,48,53,32,46,48,48,48,49,48,50,56,54,52,10,32,32,46,48,48,48,
      49,50,50,51,55,32,46,48,48,48,49,52,51,53,52,57,32,46,48,48,48,49,54,54,52,
      48,56,32,46,48,48,48,49,57,48,57,52,50,32,46,48,48,48,50,49,55,54,55,49,32,
      46,48,48,48,50,52,53,56,53,55,32,46,48,48,48,50,55,53,52,54,32,46,48,48,48,
      51,48,54,55,49,53,10,32,32,46,48,48,48,51,51,57,54,48,56,32,46,48,48,48,51,
      55,52,49,52,49,32,46,48,48,48,52,49,48,51,48,53,32,46,48,48,48,52,52,56,48,
      56,57,32,46,48,48,48,52,56,55,52,56,32,46,48,48,48,53,50,56,52,57,32,46,48,
      48,48,53,55,49,48,57,55,32,46,48,48,48,54,49,53,50,57,50,10,32,32,46,48,48,
      48,54,54,49,48,55,52,32,46,48,48,48,55,48,56,52,52,51,32,46,48,48,48,55,53,
      55,51,56,57,32,46,48,48,48,56,48,55,57,32,46,48,48,48,56,53,57,57,55,54,32,
      46,48,48,48,57,49,51,54,53,50,32,46,48,48,48,57,54,56,56,54,51,32,46,48,48,
      49,48,50,53,54,51,10,32,32,46,48,48,49,48,56,52,48,51,32,46,48,48,49,49,52,
      51,57,54,32,46,48,48,49,50,48,53,52,52,32,46,48,48,49,50,54,56,54,32,46,48,
      48,49,51,51,51,51,49,32,46,48,48,49,51,57,57,53,53,32,46,48,48,49,52,54,55,
      53,32,46,48,48,49,53,51,57,48,54,32,46,48,48,49,54,49,48,50,51,10,32,32,46,
      48,48,49,54,56,51,49,32,46,48,48,49,55,53,55,54,32,46,48,48,49,56,51,51,54,
      54,32,46,48,48,49,57,49,49,51,56,32,46,48,48,49,57,57,48,55,56,32,46,48,48,
      50,48,55,49,55,52,32,46,48,48,50,49,53,52,51,51,32,46,48,48,50,50,51,56,54,
      49,32,46,48,48,50,51,50,52,52,55,10,32,32,46,48,48,50,52,49,49,57,49,32,46,
      48,48,50,53,48,49,48,53,32,46,48,48,50,53,57,49,55,54,32,46,48,48,50,54,56,
      52,48,50,32,46,48,48,50,55,55,55,57,57,32,46,48,48,50,56,55,51,53,50,32,46,
      48,48,50,57,55,48,54,32,46,48,48,51,48,54,57,51,54,32,46,48,48,51,49,54,57,
      55,10,32,32,46,48,48,51,50,55,49,53,57,32,46,48,48,51,51,55,53,49,54,32,46,
      48,48,51,52,56,48,51,54,32,46,48,48,51,53,56,55,48,57,32,46,48,48,51,54,57,
      53,53,51,32,46,48,48,51,56,48,53,54,55,32,46,48,48,51,57,49,55,51,55,32,46,
      48,48,52,48,51,48,55,56,10,32,32,46,48,48,52,49,52,54,48,54,32,46,48,48,52,
      50,54,50,57,32,46,48,48,52,51,56,49,52,49,32,46,48,48,52,53,48,50,48,56,32,
      46,48,48,52,54,50,52,50,55,32,46,48,48,52,55,52,56,48,51,32,46,48,48,52,56,
      55,52,51,51,32,46,48,48,53,48,48,50,49,54,32,46,48,48,53,49,51,49,53,10,32,
      32,46,48,48,53,50,54,51,52,53,32,46,48,48,53,51,57,55,48,55,32,46,48,48,53,
      53,51,50,49,57,32,46,48,48,53,54,54,57,55,56,32,46,48,48,53,56,48,57,50,56,
      32,46,48,48,53,57,53,48,50,50,32,46,48,48,54,48,57,51,51,57,32,46,48,48,54,
      50,51,56,54,56,10,32,32,46,48,48,54,51,56,53,51,56,32,46,48,48,54,53,51,51,
      57,57,32,46,48,48,54,54,56,52,56,56,32,46,48,48,54,56,51,55,49,52,32,46,48,
      48,54,57,57,49,48,49,32,46,48,48,55,49,52,55,50,50,32,46,48,48,55,51,48,52,
      55,54,32,46,48,48,55,52,54,51,55,49,10,32,32,46,48,48,55,54,50,52,57,32,46,
      48,48,55,55,56,55,52,53,32,46,48,48,55,57,53,49,51,55,32,46,48,48,56,49,49,
      55,49,56,32,46,48,48,56,50,56,52,51,57,32,46,48,48,56,52,53,51,49,50,32,46,
      48,48,56,54,50,51,50,56,32,46,48,48,56,55,57,52,57,55,32,46,48,48,56,57,54,
      56,49,51,10,32,32,46,48,48,57,49,52,50,54,50,32,46,48,48,57,51,49,56,52,50,
      32,46,48,48,57,52,57,53,55,52,32,46,48,48,57,54,55,52,51,32,46,48,48,57,56,
      53,52,48,53,32,46,48,49,48,48,51,53,50,32,46,48,49,48,50,49,55,56,32,46,48,
      49,48,52,48,49,49,32,46,48,49,48,53,56,53,56,10,32,32,46,48,49,48,55,55,50,
      49,32,46,48,49,48,57,53,56,54,32,46,48,49,49,49,52,54,53,32,46,48,49,49,51,
      51,53,57,32,46,48,49,49,53,50,53,52,32,46,48,49,49,55,49,54,32,46,48,49,49,
      57,48,56,49,32,46,48,49,50,49,48,48,49,32,46,48,49,50,50,57,50,56,10,32,32,
      46,48,49,50,52,56,54,56,32,46,48,49,50,54,56,49,32,46,48,49,50,56,55,53,50,
      32,46,48,49,51,48,55,48,53,32,46,48,49,51,50,54,54,32,46,48,49,51,52,54,49,
      49,32,46,48,49,51,54,53,55,32,46,48,49,51,56,53,51,51,32,46,48,49,52,48,52,
      57,49,32,46,48,49,52,50,52,53,51,10,32,32,46,48,49,52,52,52,49,57,32,46,48,
      49,52,54,51,56,52,32,46,48,49,52,56,51,53,49,32,46,48,49,53,48,51,49,56,32,
      46,48,49,53,50,50,57,53,32,46,48,49,53,52,50,55,52,32,46,48,49,53,54,50,53,
      32,46,48,49,53,56,50,52,50,32,46,48,49,54,48,50,52,49,10,32,32,46,48,49,54,
      50,50,51,55,32,46,48,49,54,52,50,52,57,32,46,48,49,54,54,50,55,54,32,46,48,
      49,54,56,51,48,50,32,46,48,49,55,48,51,51,57,32,46,48,49,55,50,51,57,57,32,
      46,48,49,55,52,52,53,57,32,46,48,49,55,54,53,50,54,32,46,48,49,55,56,54,49,
      54,10,32,32,46,48,49,56,48,55,48,56,32,46,48,49,56,50,56,48,51,32,46,48,49,
      56,52,57,49,56,32,46,48,49,56,55,48,51,55,32,46,48,49,56,57,49,53,55,32,46,
      48,49,57,49,57,57,54,32,46,48,49,57,56,54,48,53,32,46,48,50,48,56,50,56,32,
      46,48,50,50,51,55,32,46,48,50,51,56,52,48,53,10,32,32,46,48,50,53,50,57,55,
      51,32,46,48,50,54,55,57,57,56,32,46,48,50,56,51,54,57,56,32,46,48,50,57,57,
      56,55,53,32,46,48,51,49,54,49,57,49,32,46,48,51,51,50,51,50,32,46,48,51,52,
      56,48,50,49,32,46,48,51,54,51,49,55,54,32,46,48,51,55,55,54,52,51,10,32,32,
      46,48,51,57,52,48,49,56,32,46,48,52,48,57,50,52,32,46,48,52,50,55,54,53,53,
      32,46,48,52,52,51,57,53,49,32,46,48,52,53,56,50,51,50,32,46,48,52,55,51,52,
      54,56,32,46,48,52,56,54,51,53,32,46,48,52,57,56,52,51,56,32,46,48,53,49,52,
      50,48,52,32,46,48,53,51,51,54,53,55,10,32,32,46,48,53,54,52,51,56,55,32,46,
      48,53,57,55,52,50,49,32,46,48,54,50,57,51,49,52,32,46,48,54,54,48,50,51,51,
      32,46,48,54,56,54,51,53,53,32,46,48,55,48,54,50,55,54,32,46,48,55,50,49,52,
      54,50,32,46,48,55,51,50,50,48,51,32,46,48,55,52,49,53,55,53,10,32,32,46,48,
      55,53,49,56,50,49,32,46,48,55,55,48,49,54,55,32,46,48,56,48,52,53,57,52,32,
      46,48,56,51,54,53,57,32,46,48,56,52,57,48,52,50,32,46,48,56,52,52,57,56,55,
      32,46,48,56,49,49,51,50,51,32,46,48,55,53,54,53,56,53,32,46,48,54,57,48,56,
      56,57,10,32,32,46,48,54,49,52,57,57,52,32,46,48,53,52,53,53,51,32,46,48,52,
      56,53,48,53,52,32,46,48,52,52,48,56,52,52,32,46,48,52,49,56,54,57,54,32,46,
      48,52,49,52,48,49,53,32,46,48,52,48,48,55,51,52,32,46,48,51,55,57,53,54,32,
      46,48,51,52,52,54,50,49,32,46,48,50,56,55,48,51,53,10,32,32,46,48,50,51,51,
      55,55,52,32,46,48,49,57,50,55,56,54,32,46,48,49,54,53,54,56,51,32,46,48,49,
      51,53,52,50,52,32,46,48,49,48,57,55,55,50,32,46,48,48,56,55,54,48,55,32,46,
      48,48,55,49,57,48,54,52,32,46,48,48,54,49,50,53,56,32,46,48,48,53,52,53,54,
      50,56,10,32,32,46,48,48,52,56,55,51,54,51,32,46,48,48,52,50,55,53,56,56,32,
      46,48,48,51,55,51,49,54,54,32,46,48,48,50,54,50,50,52,52,32,46,48,48,49,55,
      55,50,56,49,32,46,48,48,49,50,54,50,49,53,32,46,48,48,48,57,52,56,54,55,55,
      32,46,48,48,48,56,53,48,50,51,51,10,32,32,46,48,48,48,54,52,53,52,54,54,32,
      46,48,48,48,52,57,52,52,50,32,46,48,48,48,51,56,50,55,57,56,32,46,48,48,48,
      51,48,48,48,53,50,32,46,48,48,48,50,50,57,50,49,52,32,46,48,48,48,49,56,56,
      51,55,53,32,46,48,48,48,49,53,52,57,56,49,32,46,48,48,48,49,49,50,54,52,53,
      10,32,32,57,46,50,55,49,53,53,101,45,48,53,32,54,46,56,50,57,53,55,101,45,48,
      53,32,52,46,57,52,56,56,101,45,48,53,32,52,46,48,56,49,51,101,45,48,53,32,51,
      46,51,54,52,55,53,101,45,48,53,32,50,46,52,56,48,55,52,101,45,48,53,32,49,46,
      55,55,50,56,52,101,45,48,53,10,32,32,49,46,52,55,49,53,101,45,48,53,32,49,46,
      48,56,57,53,57,101,45,48,53,32,57,46,48,55,50,52,56,101,45,48,54,32,54,46,55,
      51,55,48,57,101,45,48,54,32,53,46,50,56,52,53,54,101,45,48,54,32,56,46,54,51,
      53,56,52,101,45,48,54,32,55,46,53,57,54,52,56,101,45,48,54,10,32,32,53,46,57,
      51,55,50,54,101,45,48,54,32,52,46,53,50,51,53,55,101,45,48,54,32,51,46,54,48,
      55,52,55,101,45,48,54,32,50,46,56,55,55,55,50,101,45,48,54,32,50,46,51,50,57,
      55,53,101,45,48,54,32,49,46,56,57,50,54,53,101,45,48,54,32,49,46,53,48,51,54,
      52,101,45,48,54,10,32,32,49,46,50,50,54,101,45,48,54,32,57,46,55,57,49,55,51,
      101,45,48,55,32,56,46,51,48,48,50,55,101,45,48,55,32,54,46,51,52,48,55,57,101,
      45,48,55,32,53,46,51,55,54,53,57,101,45,48,55,32,52,46,51,56,48,55,53,101,45,
      48,55,32,50,46,55,50,48,55,57,101,45,48,55,10,32,32,49,46,52,49,52,49,52,101,
      45,48,55,32,55,46,52,55,56,52,54,101,45,48,56,32,51,46,51,55,56,51,55,101,45,
      48,56,32,49,46,53,50,56,56,101,45,48,56,32,53,46,57,49,53,53,56,101,45,48,57,
      32,50,46,54,56,53,53,53,101,45,48,57,32,55,46,54,49,48,51,57,101,45,49,48,10,
      32,32,50,46,50,57,50,49,52,101,45,49,48,32,57,46,56,54,51,54,52,101,45,49,49,
      32,51,46,56,52,57,48,55,101,45,49,49,32,49,46,48,57,56,52,50,101,45,49,49,32,
      51,46,54,55,50,50,101,45,49,50,32,49,46,50,50,57,51,50,101,45,49,50,32,51,46,
      53,50,53,48,51,101,45,49,51,10,32,32,49,46,48,49,50,50,56,101,45,49,51,32,51,
      46,52,48,49,51,101,45,49,52,32,49,46,49,52,51,57,101,45,49,52,32,51,46,56,53,
      48,53,101,45,49,53,32,49,46,48,48,54,56,57,101,45,49,53,32,50,46,52,55,56,56,
      50,101,45,49,54,32,53,46,50,51,48,49,55,101,45,49,55,10,32,32,49,46,50,57,48,
      51,54,101,45,49,55,32,50,46,55,50,49,51,54,101,45,49,56,32,54,46,55,48,51,48,
      57,101,45,49,57,32,49,46,54,51,54,51,57,101,45,49,57,32,51,46,52,54,54,56,56,
      101,45,50,48,32,53,46,50,50,48,50,55,101,45,50,49,32,48,114,49,48,54,32,56,
      46,52,55,55,49,52,101,45,48,56,10,32,32,51,46,51,57,57,49,54,101,45,48,55,32,
      55,46,54,53,52,51,52,101,45,48,55,32,56,46,52,55,55,49,50,101,45,48,55,32,51,
      46,51,57,57,48,56,101,45,48,54,32,55,46,54,53,51,54,55,101,45,48,54,32,49,46,
      51,54,48,50,50,101,45,48,53,32,50,46,49,50,52,51,51,101,45,48,53,10,32,32,51,
      46,48,53,57,49,56,101,45,48,53,32,52,46,49,54,50,48,51,101,45,48,53,32,53,46,
      52,51,53,49,50,101,45,48,53,32,54,46,56,55,54,52,57,101,45,48,53,32,56,46,52,
      56,53,55,56,101,45,48,53,32,46,48,48,48,49,48,50,54,51,52,32,46,48,48,48,49,
      50,50,48,57,49,10,32,32,46,48,48,48,49,52,51,50,49,52,32,46,48,48,48,49,54,
      54,48,48,56,32,46,48,48,48,49,57,48,52,54,57,32,46,48,48,48,50,49,54,53,56,
      51,32,46,48,48,48,50,52,53,48,52,55,32,46,48,48,48,50,55,52,53,51,51,32,46,
      48,48,48,51,48,53,54,54,32,46,48,48,48,51,51,56,52,49,51,10,32,32,46,48,48,
      48,51,55,50,55,57,49,32,46,48,48,48,52,48,56,55,56,56,32,46,48,48,48,52,52,
      54,51,56,56,32,46,48,48,48,52,56,53,53,56,49,32,46,48,48,48,53,50,54,51,55,
      53,32,46,48,48,48,53,54,56,55,53,32,46,48,48,48,54,49,50,54,57,53,32,46,48,
      48,48,54,53,56,50,48,54,10,32,32,46,48,48,48,55,48,53,50,56,54,32,46,48,48,
      48,55,53,51,57,50,51,32,46,48,48,48,56,48,52,49,48,52,32,46,48,48,48,56,53,
      53,56,50,57,32,46,48,48,48,57,48,57,49,51,53,32,46,48,48,48,57,54,51,57,53,
      51,32,46,48,48,49,48,50,48,51,49,32,46,48,48,49,48,55,56,50,56,10,32,32,46,
      48,48,49,49,51,55,55,54,32,46,48,48,49,49,57,56,55,53,32,46,48,48,49,50,54,
      49,52,51,32,46,48,48,49,51,50,53,54,51,32,46,48,48,49,51,57,49,51,52,32,46,
      48,48,49,52,53,56,55,53,32,46,48,48,49,53,50,55,55,51,32,46,48,48,49,53,57,
      56,50,51,10,32,32,46,48,48,49,54,55,50,50,49,32,46,48,48,49,55,52,54,49,32,
      46,48,48,49,56,50,49,53,50,32,46,48,48,49,56,57,56,54,32,46,48,48,49,57,55,
      55,51,52,32,46,48,48,50,48,53,55,54,50,32,46,48,48,50,49,51,57,53,51,32,46,
      48,48,50,50,50,51,49,49,32,46,48,48,50,51,48,56,50,53,10,32,32,46,48,48,50,
      51,57,52,57,53,32,46,48,48,50,52,56,51,51,53,32,46,48,48,50,53,55,51,50,57,
      32,46,48,48,50,54,54,52,55,55,32,46,48,48,50,55,53,55,57,53,32,46,48,48,50,
      56,53,50,54,54,32,46,48,48,50,57,52,56,57,49,32,46,48,48,51,48,52,54,56,50,
      10,32,32,46,48,48,51,49,52,54,50,57,32,46,48,48,51,50,52,55,51,32,46,48,48,
      51,51,52,57,57,55,32,46,48,48,51,52,53,52,50,53,32,46,48,48,51,53,54,48,48,
      52,32,46,48,48,51,54,54,55,53,52,32,46,48,48,51,55,55,54,55,51,32,46,48,48,
      51,56,56,55,52,53,32,46,48,48,51,57,57,57,56,57,10,32,32,46,48,48,52,49,49,
      52,50,32,46,48,48,52,50,51,48,48,52,32,46,48,48,52,51,52,55,53,53,32,46,48,
      48,52,52,54,55,50,54,32,46,48,48,52,53,56,56,52,55,32,46,48,48,52,55,49,49,
      50,50,32,46,48,48,52,56,51,54,53,57,32,46,48,48,52,57,54,51,52,54,32,46,48,
      48,53,48,57,49,56,50,10,32,32,46,48,48,53,50,50,50,56,56,32,46,48,48,53,51,
      53,53,53,57,32,46,48,48,53,52,56,57,55,57,32,46,48,48,53,54,50,54,53,50,32,
      46,48,48,53,55,54,53,49,55,32,46,48,48,53,57,48,53,50,52,32,46,48,48,54,48,
      52,55,53,57,32,46,48,48,54,49,57,50,49,32,46,48,48,54,51,51,55,57,56,10,32,
      32,46,48,48,54,52,56,53,55,56,32,46,48,48,54,54,51,53,57,50,32,46,48,48,54,
      55,56,55,51,57,32,46,48,48,54,57,52,48,52,54,32,46,48,48,55,48,57,53,57,51,
      32,46,48,48,55,50,53,50,54,57,32,46,48,48,55,52,49,48,56,49,32,46,48,48,55,
      53,55,49,50,51,10,32,32,46,48,48,55,55,51,50,57,56,32,46,48,48,55,56,57,54,
      48,53,32,46,48,48,56,48,54,49,48,51,32,46,48,48,56,50,50,55,51,55,32,46,48,
      48,56,51,57,53,50,32,46,48,48,56,53,54,52,52,51,32,46,48,48,56,55,51,53,49,
      54,32,46,48,48,56,57,48,55,51,51,32,46,48,48,57,48,56,48,55,56,10,32,32,46,
      48,48,57,50,53,53,53,32,46,48,48,57,52,51,49,55,50,32,46,48,48,57,54,48,57,
      49,50,32,46,48,48,57,55,56,55,54,51,32,46,48,48,57,57,54,55,53,54,32,46,48,
      49,48,49,52,56,56,32,46,48,49,48,51,51,48,55,32,46,48,49,48,53,49,52,32,46,
      48,49,48,54,57,56,56,10,32,32,46,48,49,48,56,56,51,54,32,46,48,49,49,48,54,
      57,57,32,46,48,49,49,50,53,55,54,32,46,48,49,49,52,52,53,49,32,46,48,49,49,
      54,51,51,55,32,46,48,49,49,56,50,51,56,32,46,48,49,50,48,49,51,55,32,46,48,
      49,50,50,48,52,32,46,48,49,50,51,57,53,55,10,32,32,46,48,49,50,53,56,55,51,
      32,46,48,49,50,55,55,56,56,32,46,48,49,50,57,55,49,50,32,46,48,49,51,49,54,
      51,56,32,46,48,49,51,51,53,53,55,32,46,48,49,51,53,52,56,51,32,46,48,49,51,
      55,52,49,50,32,46,48,49,51,57,51,51,52,32,46,48,49,52,49,50,53,55,10,32,32,
      46,48,49,52,51,49,56,52,32,46,48,49,52,53,49,48,56,32,46,48,49,52,55,48,51,
      50,32,46,48,49,52,56,57,53,53,32,46,48,49,53,48,56,56,55,32,46,48,49,53,50,
      56,50,32,46,48,49,53,52,55,52,56,32,46,48,49,53,54,54,57,49,32,46,48,49,53,
      56,54,52,50,10,32,32,46,48,49,54,48,53,56,56,32,46,48,49,54,50,53,52,57,32,
      46,48,49,54,52,53,50,54,32,46,48,49,54,54,53,32,46,48,49,54,56,52,56,54,32,
      46,48,49,55,48,52,57,52,32,46,48,49,55,50,53,48,49,32,46,48,49,55,52,53,49,
      52,32,46,48,49,55,54,53,53,50,32,46,48,49,55,56,53,57,10,32,32,46,48,49,56,
      48,54,51,32,46,48,49,56,50,54,57,49,32,46,48,49,56,52,55,53,53,32,46,48,49,
      56,54,56,49,56,32,46,48,49,56,57,53,56,49,32,46,48,49,57,54,48,48,56,32,46,
      48,50,48,53,51,57,54,32,46,48,50,50,48,51,48,55,32,46,48,50,51,52,52,56,54,
      10,32,32,46,48,50,52,56,53,52,54,32,46,48,50,54,51,49,48,51,32,46,48,50,55,
      56,51,55,52,32,46,48,50,57,52,49,52,55,32,46,48,51,49,48,48,54,54,32,46,48,
      51,50,53,55,57,52,32,46,48,51,52,49,48,56,50,32,46,48,51,53,53,56,48,54,32,
      46,48,51,54,57,56,50,52,10,32,32,46,48,51,56,53,54,51,57,32,46,48,52,48,48,
      50,56,50,32,46,48,52,49,55,57,49,50,32,46,48,52,51,51,52,50,57,32,46,48,52,
      52,54,57,53,57,32,46,48,52,54,49,51,50,51,32,46,48,52,55,51,52,50,32,46,48,
      52,56,52,56,49,51,32,46,48,52,57,57,56,48,56,10,32,32,46,48,53,49,56,52,56,
      55,32,46,48,53,52,56,49,53,32,46,48,53,56,48,48,57,52,32,46,48,54,49,48,57,
      51,50,32,46,48,54,52,48,55,55,57,32,46,48,54,54,53,57,48,49,32,46,48,54,56,
      52,57,56,49,32,46,48,54,57,57,53,48,55,32,46,48,55,48,57,55,56,56,10,32,32,
      46,48,55,49,56,56,50,56,32,46,48,55,50,56,55,57,57,32,46,48,55,52,54,54,55,
      49,32,46,48,55,56,48,49,57,53,32,46,48,56,49,49,52,48,56,32,46,48,56,50,51,
      55,48,52,32,46,48,56,50,48,49,54,53,32,46,48,55,56,56,50,50,54,32,46,48,55,
      51,54,48,50,50,10,32,32,46,48,54,55,51,50,50,53,32,46,48,54,48,48,52,53,57,
      32,46,48,53,51,51,54,53,49,32,46,48,52,55,53,51,51,50,32,46,48,52,51,50,54,
      57,54,32,46,48,52,49,49,53,48,55,32,46,48,52,48,55,50,52,55,32,46,48,51,57,
      52,53,50,49,32,46,48,51,55,51,57,56,57,10,32,32,46,48,51,51,57,57,50,50,32,
      46,48,50,56,51,53,54,32,46,48,50,51,49,50,55,32,46,48,49,57,48,57,51,54,32,
      46,48,49,54,52,50,49,56,32,46,48,49,51,52,51,52,53,32,46,48,49,48,56,57,56,
      32,46,48,48,56,55,48,51,51,55,32,46,48,48,55,49,52,55,50,53,10,32,32,46,48,
      48,54,48,57,49,49,57,32,46,48,48,53,52,50,54,57,55,32,46,48,48,52,56,52,56,
      54,53,32,46,48,48,52,50,53,53,48,49,32,46,48,48,51,55,49,52,50,54,32,46,48,
      48,50,54,49,49,52,50,32,46,48,48,49,55,54,54,48,57,32,46,48,48,49,50,53,55,
      55,52,10,32,32,46,48,48,48,57,52,53,53,56,55,32,46,48,48,48,56,52,55,53,53,
      52,32,46,48,48,48,54,52,51,53,53,50,32,46,48,48,48,52,57,51,48,51,52,32,46,
      48,48,48,51,56,49,55,55,57,32,46,48,48,48,50,57,57,50,57,49,32,46,48,48,48,
      50,50,56,54,53,57,32,46,48,48,48,49,56,55,57,51,53,10,32,32,46,48,48,48,49,
      53,52,54,51,49,32,46,48,48,48,49,49,50,52,48,52,32,57,46,50,53,50,50,56,101,
      45,48,53,32,54,46,56,49,54,48,53,101,45,48,53,32,52,46,57,51,57,52,53,101,45,
      48,53,32,52,46,48,55,51,56,101,45,48,53,32,51,46,51,53,56,55,51,101,45,48,53,
      10,32,32,50,46,52,55,54,52,56,101,45,48,53,32,49,46,55,54,57,57,50,101,45,48,
      53,32,49,46,52,54,57,49,52,101,45,48,53,32,49,46,48,56,55,57,101,45,48,53,32,
      57,46,48,53,56,55,54,101,45,48,54,32,54,46,55,50,55,50,52,101,45,48,54,32,53,
      46,50,55,55,49,53,101,45,48,54,10,32,32,56,46,53,57,55,53,49,101,45,48,54,32,
      55,46,53,54,50,56,55,101,45,48,54,32,53,46,57,49,49,49,52,101,45,48,54,32,52,
      46,53,48,51,55,57,101,45,48,54,32,51,46,53,57,49,55,55,101,45,48,54,32,50,46,
      56,54,53,50,53,101,45,48,54,32,50,46,51,49,57,55,49,101,45,48,54,10,32,32,49,
      46,56,56,52,53,50,101,45,48,54,32,49,46,52,57,55,50,50,101,45,48,54,32,49,46,
      50,50,48,55,56,101,45,48,54,32,57,46,55,53,48,50,50,101,45,48,55,32,56,46,50,
      54,53,49,57,101,45,48,55,32,54,46,51,49,52,49,51,101,45,48,55,32,53,46,51,53,
      52,48,52,101,45,48,55,10,32,32,52,46,51,54,50,52,52,101,45,48,55,32,50,46,55,
      48,57,54,50,101,45,48,55,32,49,46,52,48,57,48,54,101,45,48,55,32,55,46,52,53,
      50,52,101,45,48,56,32,51,46,51,54,54,55,53,101,45,48,56,32,49,46,53,50,51,53,
      57,101,45,48,56,32,53,46,56,57,53,55,51,101,45,48,57,10,32,32,50,46,54,55,54,
      54,52,101,45,48,57,32,55,46,53,56,53,53,52,101,45,49,48,32,50,46,50,56,52,55,
      55,101,45,49,48,32,57,46,56,51,50,50,56,101,45,49,49,32,51,46,56,51,55,51,55,
      101,45,49,49,32,49,46,48,57,54,52,49,101,45,49,49,32,51,46,54,54,53,55,51,101,
      45,49,50,10,32,32,49,46,50,50,55,49,57,101,45,49,50,32,51,46,53,49,57,48,52,
      101,45,49,51,32,49,46,48,49,48,53,56,101,45,49,51,32,51,46,51,57,53,54,50,101,
      45,49,52,32,49,46,49,52,50,48,50,101,45,49,52,32,51,46,56,52,52,50,55,101,45,
      49,53,32,49,46,48,48,53,57,101,45,49,53,10,32,32,50,46,52,55,54,53,101,45,49,
      54,32,53,46,50,50,53,54,101,45,49,55,32,49,46,50,56,57,49,56,101,45,49,55,32,
      50,46,55,49,56,56,54,101,45,49,56,32,54,46,54,57,55,48,52,101,45,49,57,32,49,
      46,54,51,52,56,101,45,49,57,32,51,46,52,54,51,54,54,101,45,50,48,10,32,32,53,
      46,50,48,54,56,52,101,45,50,49,32,48,114,49,48,54,32,56,46,53,52,55,54,54,101,
      45,48,56,32,51,46,52,50,55,52,51,101,45,48,55,32,55,46,55,49,55,57,55,101,45,
      48,55,32,56,46,53,52,55,53,57,101,45,48,55,32,51,46,52,50,55,50,55,101,45,48,
      54,32,55,46,55,49,54,57,50,101,45,48,54,10,32,32,49,46,51,55,49,52,101,45,48,
      53,32,50,46,49,52,49,54,56,101,45,48,53,32,51,46,48,56,51,57,54,101,45,48,53,
      32,52,46,49,57,53,52,52,101,45,48,53,32,53,46,52,55,56,50,57,101,45,48,53,32,
      54,46,57,51,48,52,54,101,45,48,53,32,56,46,53,53,49,53,49,101,45,48,53,10,32,
      32,46,48,48,48,49,48,51,52,49,56,32,46,48,48,48,49,50,51,48,48,56,32,46,48,
      48,48,49,52,52,50,55,49,32,46,48,48,48,49,54,55,50,48,57,32,46,48,48,48,49,
      57,49,56,49,56,32,46,48,48,48,50,49,56,48,56,49,32,46,48,48,48,50,52,54,48,
      48,49,32,46,48,48,48,50,55,54,49,56,53,10,32,32,46,48,48,48,51,48,55,52,52,
      55,32,46,48,48,48,51,52,48,51,51,49,32,46,48,48,48,51,55,52,56,51,54,32,46,
      48,48,48,52,49,48,57,53,50,32,46,48,48,48,52,52,56,54,54,51,32,46,48,48,48,
      52,56,55,57,53,54,32,46,48,48,48,53,50,56,56,52,32,46,48,48,48,53,55,49,50,
      57,50,10,32,32,46,48,48,48,54,49,53,51,48,49,32,46,48,48,48,54,54,48,56,54,
      49,32,46,48,48,48,55,48,55,57,55,53,32,46,48,48,48,55,53,54,54,51,50,32,46,
      48,48,48,56,48,54,56,49,52,32,46,48,48,48,56,53,56,53,50,51,32,46,48,48,48,
      57,49,49,56,48,49,32,46,48,48,48,57,54,54,53,55,49,10,32,32,46,48,48,49,48,
      50,50,56,54,32,46,48,48,49,48,56,48,55,53,32,46,48,48,49,49,52,48,49,52,32,
      46,48,48,49,50,48,49,48,51,32,46,48,48,49,50,54,51,53,57,32,46,48,48,49,51,
      50,55,54,55,32,46,48,48,49,51,57,51,50,51,32,46,48,48,49,52,54,48,53,49,10,
      32,32,46,48,48,49,53,50,57,51,51,32,46,48,48,49,53,57,57,54,54,32,46,48,48,
      49,54,55,49,55,32,46,48,48,49,55,52,53,51,53,32,46,48,48,49,56,50,50,48,56,
      32,46,48,48,49,56,57,56,57,55,32,46,48,48,49,57,55,55,53,50,32,46,48,48,50,
      48,53,55,54,32,46,48,48,50,49,51,57,50,57,10,32,32,46,48,48,50,50,50,50,54,
      56,32,46,48,48,50,51,48,55,53,57,32,46,48,48,50,51,57,52,48,54,32,46,48,48,
      50,52,56,50,50,51,32,46,48,48,50,53,55,49,57,51,32,46,48,48,50,54,54,51,49,
      52,32,46,48,48,50,55,53,54,48,55,32,46,48,48,50,56,53,48,53,32,46,48,48,50,
      57,52,54,52,53,10,32,32,46,48,48,51,48,52,52,48,55,32,46,48,48,51,49,52,51,
      50,52,32,46,48,48,51,50,52,51,57,50,32,46,48,48,51,51,52,54,50,55,32,46,48,
      48,51,52,53,48,50,50,32,46,48,48,51,53,53,53,54,55,32,46,48,48,51,54,54,50,
      56,50,32,46,48,48,51,55,55,49,54,55,10,32,32,46,48,48,51,56,56,50,48,51,32,
      46,48,48,51,57,57,52,49,50,32,46,48,48,52,49,48,56,49,50,32,46,48,48,52,50,
      50,51,54,50,32,46,48,48,52,51,52,48,55,57,32,46,48,48,52,52,54,48,50,52,32,
      46,48,48,52,53,56,49,49,55,32,46,48,48,52,55,48,51,54,50,10,32,32,46,48,48,
      52,56,50,56,56,51,32,46,48,48,52,57,53,53,53,51,32,46,48,48,53,48,56,51,54,
      57,32,46,48,48,53,50,49,52,54,57,32,46,48,48,53,51,52,55,51,54,32,46,48,48,
      53,52,56,49,52,57,32,46,48,48,53,54,49,56,50,56,32,46,48,48,53,55,53,55,48,
      52,10,32,32,46,48,48,53,56,57,55,49,57,32,46,48,48,54,48,51,57,55,49,32,46,
      48,48,54,49,56,52,52,56,32,46,48,48,54,51,51,48,53,55,32,46,48,48,54,52,55,
      56,54,52,32,46,48,48,54,54,50,57,49,55,32,46,48,48,54,55,56,48,57,55,32,46,
      48,48,54,57,51,52,51,55,10,32,32,46,48,48,55,48,57,48,51,32,46,48,48,55,50,
      52,55,52,55,32,46,48,48,55,52,48,53,57,54,32,46,48,48,55,53,54,54,56,55,32,
      46,48,48,55,55,50,57,48,53,32,46,48,48,55,56,57,50,53,50,32,46,48,48,56,48,
      53,55,57,51,32,46,48,48,56,50,50,52,54,56,32,46,48,48,56,51,57,50,56,55,10,
      32,32,46,48,48,56,53,54,50,52,54,32,46,48,48,56,55,51,51,53,49,32,46,48,48,
      56,57,48,53,57,55,32,46,48,48,57,48,55,57,54,53,32,46,48,48,57,50,53,52,53,
      53,32,46,48,48,57,52,51,48,57,49,32,46,48,48,57,54,48,56,51,57,32,46,48,48,
      57,55,56,54,56,56,10,32,32,46,48,48,57,57,54,54,55,55,32,46,48,49,48,49,52,
      55,57,32,46,48,49,48,51,50,57,53,32,46,48,49,48,53,49,50,53,32,46,48,49,48,
      54,57,54,57,32,46,48,49,48,56,56,49,49,32,46,48,49,49,48,54,54,55,32,46,48,
      49,49,50,53,51,55,32,46,48,49,49,52,52,48,51,10,32,32,46,48,49,49,54,50,55,
      56,32,46,48,49,49,56,49,54,56,32,46,48,49,50,48,48,53,49,32,46,48,49,50,49,
      57,51,57,32,46,48,49,50,51,56,51,56,32,46,48,49,50,53,55,51,53,32,46,48,49,
      50,55,54,50,55,32,46,48,49,50,57,53,50,56,32,46,48,49,51,49,52,50,56,10,32,
      32,46,48,49,51,51,51,49,56,32,46,48,49,51,53,50,49,51,32,46,48,49,51,55,49,
      48,56,32,46,48,49,51,56,57,57,52,32,46,48,49,52,48,56,56,32,46,48,49,52,50,
      55,54,54,32,46,48,49,52,52,54,52,56,32,46,48,49,52,54,53,50,56,32,46,48,49,
      52,56,52,48,52,10,32,32,46,48,49,53,48,50,57,32,46,48,49,53,50,49,55,51,32,
      46,48,49,53,52,48,53,49,32,46,48,49,53,53,57,52,52,32,46,48,49,53,55,56,52,
      51,32,46,48,49,53,57,55,51,54,32,46,48,49,54,49,54,52,53,32,46,48,49,54,51,
      53,54,56,32,46,48,49,54,53,52,56,57,10,32,32,46,48,49,54,55,52,50,32,46,48,
      49,54,57,51,55,53,32,46,48,49,55,49,51,50,56,32,46,48,49,55,51,50,56,54,32,
      46,48,49,55,53,50,54,57,32,46,48,49,55,55,50,53,51,32,46,48,49,55,57,50,51,
      55,32,46,48,49,56,49,50,52,50,32,46,48,49,56,51,50,52,57,10,32,32,46,48,49,
      56,53,50,53,53,32,46,48,49,56,55,57,52,49,32,46,48,49,57,52,49,56,32,46,48,
      50,48,51,50,55,51,32,46,48,50,49,55,54,53,51,32,46,48,50,51,49,50,56,50,32,
      46,48,50,52,52,56,50,50,32,46,48,50,53,56,57,49,52,32,46,48,50,55,51,55,55,
      32,46,48,50,56,57,49,53,57,10,32,32,46,48,51,48,52,55,48,55,32,46,48,51,50,
      48,48,53,55,32,46,48,51,51,52,57,53,49,32,46,48,51,52,57,50,53,56,32,46,48,
      51,54,50,56,51,55,32,46,48,51,55,56,48,57,54,32,46,48,51,57,50,49,53,54,32,
      46,48,52,48,56,57,56,57,32,46,48,52,50,51,55,48,57,10,32,32,46,48,52,51,54,
      52,54,55,32,46,48,52,52,57,57,51,53,32,46,48,52,54,49,50,51,49,32,46,48,52,
      55,49,57,49,55,32,46,48,52,56,54,49,52,50,32,46,48,53,48,52,48,53,55,32,46,
      48,53,51,50,54,56,53,32,46,48,53,54,51,53,55,53,32,46,48,53,57,51,51,57,50,
      10,32,32,46,48,54,50,50,49,57,57,32,46,48,54,52,54,51,52,51,32,46,48,54,54,
      52,53,57,53,32,46,48,54,55,56,52,54,55,32,46,48,54,56,56,50,56,56,32,46,48,
      54,57,54,57,56,55,32,46,48,55,48,54,54,55,53,32,46,48,55,50,52,48,55,55,32,
      46,48,55,53,54,55,49,52,10,32,32,46,48,55,56,55,49,53,52,32,46,48,55,57,57,
      50,56,32,46,48,55,57,54,50,48,52,32,46,48,55,54,53,56,55,49,32,46,48,55,49,
      54,48,52,55,32,46,48,54,53,53,57,56,55,32,46,48,53,56,54,49,57,55,32,46,48,
      53,50,49,57,51,52,32,46,48,52,54,53,54,57,56,10,32,32,46,48,52,50,52,53,56,
      53,32,46,48,52,48,52,51,50,52,32,46,48,52,48,48,52,55,32,46,48,51,56,56,50,
      56,53,32,46,48,51,54,56,51,56,53,32,46,48,51,51,53,49,56,49,32,46,48,50,56,
      48,48,52,32,46,48,50,50,56,55,50,53,32,46,48,49,56,57,48,53,49,32,46,48,49,
      54,50,55,50,50,10,32,32,46,48,49,51,51,50,52,49,32,46,48,49,48,56,49,55,32,
      46,48,48,56,54,52,52,54,50,32,46,48,48,55,49,48,50,55,51,32,46,48,48,54,48,
      53,53,54,55,32,46,48,48,53,51,57,54,56,55,32,46,48,48,52,56,50,50,57,57,32,
      46,48,48,52,50,51,51,53,54,32,46,48,48,51,54,57,54,51,54,10,32,32,46,48,48,
      50,54,48,48,48,56,32,46,48,48,49,55,53,57,49,56,32,46,48,48,49,50,53,51,50,
      49,32,46,48,48,48,57,52,50,52,48,55,32,46,48,48,48,56,52,52,55,57,53,32,46,
      48,48,48,54,52,49,53,56,49,32,46,48,48,48,52,57,49,54,48,55,32,46,48,48,48,
      51,56,48,55,50,56,10,32,32,46,48,48,48,50,57,56,53,48,54,32,46,48,48,48,50,
      50,56,48,56,56,32,46,48,48,48,49,56,55,52,56,50,32,46,48,48,48,49,53,52,50,
      55,32,46,48,48,48,49,49,50,49,53,53,32,57,46,50,51,50,52,51,101,45,48,53,32,
      54,46,56,48,50,49,101,45,48,53,32,52,46,57,50,57,56,50,101,45,48,53,10,32,32,
      52,46,48,54,54,48,54,101,45,48,53,32,51,46,51,53,50,53,50,101,45,48,53,32,50,
      46,52,55,50,48,57,101,45,48,53,32,49,46,55,54,54,57,50,101,45,48,53,32,49,46,
      52,54,54,55,101,45,48,53,32,49,46,48,56,54,49,54,101,45,48,53,32,57,46,48,52,
      52,54,50,101,45,48,54,10,32,32,54,46,55,49,55,49,101,45,48,54,32,53,46,50,54,
      57,53,101,45,48,54,32,56,46,53,53,52,57,54,101,45,48,54,32,55,46,53,50,55,50,
      101,45,48,54,32,53,46,56,56,53,49,56,101,45,48,54,32,52,46,52,56,52,49,51,101,
      45,48,54,32,51,46,53,55,54,49,56,101,45,48,54,10,32,32,50,46,56,53,50,56,56,
      101,45,48,54,32,50,46,51,48,57,55,51,101,45,48,54,32,49,46,56,55,54,52,53,101,
      45,48,54,32,49,46,52,57,48,56,52,101,45,48,54,32,49,46,50,49,53,54,101,45,48,
      54,32,57,46,55,48,57,48,49,101,45,48,55,32,56,46,50,51,48,51,54,101,45,48,55,
      10,32,32,54,46,50,56,55,54,53,101,45,48,55,32,53,46,51,51,49,54,54,101,45,48,
      55,32,52,46,51,52,52,50,56,101,45,48,55,32,50,46,54,57,56,52,51,101,45,48,55,
      32,49,46,52,48,51,51,101,45,48,55,32,55,46,52,50,53,48,57,101,45,48,56,32,51,
      46,51,53,53,50,52,101,45,48,56,10,32,32,49,46,53,49,56,52,53,101,45,48,56,32,
      53,46,56,55,54,48,56,101,45,48,57,32,50,46,54,54,55,56,50,101,45,48,57,32,55,
      46,53,54,48,57,55,101,45,49,48,32,50,46,50,55,55,52,56,101,45,49,48,32,57,46,
      56,48,49,51,101,45,49,49,32,51,46,56,50,53,52,49,101,45,49,49,10,32,32,49,46,
      48,57,51,48,51,101,45,49,49,32,51,46,54,53,56,48,56,101,45,49,50,32,49,46,50,
      50,53,49,49,101,45,49,50,32,51,46,53,49,51,49,56,101,45,49,51,32,49,46,48,48,
      56,57,50,101,45,49,51,32,51,46,51,57,48,48,56,101,45,49,52,32,49,46,49,52,48,
      49,57,101,45,49,52,10,32,32,51,46,56,51,56,49,57,101,45,49,53,32,49,46,48,48,
      52,57,52,101,45,49,53,32,50,46,52,55,52,50,55,101,45,49,54,32,53,46,50,50,49,
      48,57,101,45,49,55,32,49,46,50,56,56,53,50,101,45,49,55,32,50,46,55,49,54,52,
      56,101,45,49,56,32,54,46,54,57,49,50,53,101,45,49,57,10,32,32,49,46,54,51,51,
      50,55,101,45,49,57,32,51,46,52,54,48,53,54,101,45,50,48,32,53,46,49,57,51,54,
      50,101,45,50,49,32,48,114,49,48,54,32,56,46,54,51,52,57,52,101,45,48,56,32,
      51,46,52,54,50,52,50,101,45,48,55,32,55,46,55,57,54,55,51,101,45,48,55,32,56,
      46,54,51,52,56,101,45,48,55,10,32,32,51,46,52,54,50,49,53,101,45,48,54,32,55,
      46,55,57,53,49,52,101,45,48,54,32,49,46,51,56,53,50,50,101,45,48,53,32,50,46,
      49,54,51,49,49,101,45,48,53,32,51,46,49,49,52,53,54,101,45,48,53,32,52,46,50,
      51,54,54,54,101,45,48,53,32,53,46,53,51,49,53,51,101,45,48,53,10,32,32,54,46,
      57,57,54,57,57,101,45,48,53,32,56,46,54,51,50,52,56,101,45,48,53,32,46,48,48,
      48,49,48,52,51,56,50,32,46,48,48,48,49,50,52,49,51,55,32,46,48,48,48,49,52,
      53,53,55,49,32,46,48,48,48,49,54,56,54,56,56,32,46,48,48,48,49,57,51,52,55,
      56,32,46,48,48,48,50,49,57,57,50,54,10,32,32,46,48,48,48,50,52,56,48,51,50,
      32,46,48,48,48,50,55,55,55,55,56,32,46,48,48,48,51,48,57,55,49,57,32,46,48,
      48,48,51,52,50,55,55,51,32,46,48,48,48,51,55,55,52,52,51,32,46,48,48,48,52,
      49,51,55,49,53,32,46,48,48,48,52,53,49,53,55,53,32,46,48,48,48,52,57,49,48,
      48,54,10,32,32,46,48,48,48,53,51,50,48,49,52,32,46,48,48,48,53,55,52,53,55,
      57,32,46,48,48,48,54,49,56,54,56,54,32,46,48,48,48,54,54,52,51,50,54,32,46,
      48,48,48,55,49,49,53,48,55,32,46,48,48,48,55,54,48,50,49,51,32,46,48,48,48,
      56,49,48,52,50,52,32,46,48,48,48,56,54,50,49,52,54,10,32,32,46,48,48,48,57,
      49,53,52,50,52,32,46,48,48,48,57,55,48,49,55,50,32,46,48,48,49,48,50,54,52,
      50,32,46,48,48,49,48,56,52,50,55,32,46,48,48,49,49,52,51,53,57,32,46,48,48,
      49,50,48,52,51,56,32,46,48,48,49,50,54,54,56,55,32,46,48,48,49,51,51,48,56,
      52,10,32,32,46,48,48,49,51,57,54,50,57,32,46,48,48,49,52,54,51,52,53,32,46,
      48,48,49,53,51,50,49,54,32,46,48,48,49,54,48,50,51,53,32,46,48,48,49,54,55,
      52,50,53,32,46,48,48,49,55,52,55,55,55,32,46,48,48,49,56,50,50,55,56,32,46,
      48,48,49,56,57,57,52,53,10,32,32,46,48,48,49,57,55,55,56,32,46,48,48,50,48,
      53,57,48,55,32,46,48,48,50,49,52,48,53,56,32,46,48,48,50,50,50,51,56,32,46,
      48,48,50,51,48,56,53,50,32,46,48,48,50,51,57,52,55,57,32,46,48,48,50,52,56,
      50,55,55,32,46,48,48,50,53,55,50,50,54,32,46,48,48,50,54,54,51,50,52,10,32,
      32,46,48,48,50,55,53,53,57,53,32,46,48,48,50,56,53,48,49,52,32,46,48,48,50,
      57,52,53,56,51,32,46,48,48,51,48,52,51,49,57,32,46,48,48,51,49,52,50,48,57,
      32,46,48,48,51,50,52,50,52,56,32,46,48,48,51,51,52,52,53,52,32,46,48,48,51,
      52,52,56,49,57,10,32,32,46,48,48,51,53,53,51,51,50,32,46,48,48,51,54,54,48,
      49,54,32,46,48,48,51,55,54,56,55,49,32,46,48,48,51,56,55,56,55,52,32,46,48,
      48,51,57,57,48,53,49,32,46,48,48,52,49,48,52,50,51,32,46,48,48,52,50,49,57,
      52,50,32,46,48,48,52,51,51,54,50,57,10,32,32,46,48,48,52,52,53,53,53,51,32,
      46,48,48,52,53,55,54,50,51,32,46,48,48,52,54,57,56,52,50,32,46,48,48,52,56,
      50,51,53,52,32,46,48,48,52,57,53,48,49,49,32,46,48,48,53,48,55,56,49,50,32,
      46,48,48,53,50,48,57,49,52,32,46,48,48,53,51,52,49,56,51,10,32,32,46,48,48,
      53,52,55,53,57,54,32,46,48,48,53,54,49,50,57,32,46,48,48,53,55,53,49,56,54,
      32,46,48,48,53,56,57,50,49,54,32,46,48,48,54,48,51,52,57,54,32,46,48,48,54,
      49,56,48,48,57,32,46,48,48,54,51,50,54,53,49,32,46,48,48,54,52,55,52,57,54,
      32,46,48,48,54,54,50,53,57,57,10,32,32,46,48,48,54,55,55,56,50,53,32,46,48,
      48,54,57,51,50,49,49,32,46,48,48,55,48,56,56,54,52,32,46,48,48,55,50,52,54,
      51,55,32,46,48,48,55,52,48,53,51,54,32,46,48,48,55,53,54,54,57,50,32,46,48,
      48,55,55,50,57,54,57,32,46,48,48,55,56,57,51,54,57,10,32,32,46,48,48,56,48,
      53,57,55,32,46,48,48,56,50,50,55,48,50,32,46,48,48,56,51,57,53,55,51,32,46,
      48,48,56,53,54,53,56,50,32,46,48,48,56,55,51,55,51,54,32,46,48,48,56,57,49,
      48,50,53,32,46,48,48,57,48,56,52,51,49,32,46,48,48,57,50,53,57,53,52,32,46,
      48,48,57,52,51,54,49,57,10,32,32,46,48,48,57,54,49,51,56,56,32,46,48,48,57,
      55,57,50,52,56,32,46,48,48,57,57,55,50,52,52,32,46,48,49,48,49,53,51,54,32,
      46,48,49,48,51,51,53,32,46,48,49,48,53,49,55,55,32,46,48,49,48,55,48,50,32,
      46,48,49,48,56,56,53,54,32,46,48,49,49,48,55,48,54,10,32,32,46,48,49,49,50,
      53,55,32,46,48,49,49,52,52,50,53,32,46,48,49,49,54,50,56,57,32,46,48,49,49,
      56,49,54,56,32,46,48,49,50,48,48,51,54,32,46,48,49,50,49,57,48,55,32,46,48,
      49,50,51,55,56,57,32,46,48,49,50,53,54,54,52,32,46,48,49,50,55,53,51,50,10,
      32,32,46,48,49,50,57,52,48,57,32,46,48,49,51,49,50,56,49,32,46,48,49,51,51,
      49,52,32,46,48,49,51,53,48,48,50,32,46,48,49,51,54,56,54,51,32,46,48,49,51,
      56,55,49,32,46,48,49,52,48,53,53,53,32,46,48,49,52,50,51,57,57,32,46,48,49,
      52,52,50,51,54,32,46,48,49,52,54,48,54,57,10,32,32,46,48,49,52,55,56,57,54,
      32,46,48,49,52,57,55,51,50,32,46,48,49,53,49,53,54,52,32,46,48,49,53,51,51,
      56,56,32,46,48,49,53,53,50,50,56,32,46,48,49,53,55,48,55,51,32,46,48,49,53,
      56,57,49,49,32,46,48,49,54,48,55,54,52,32,46,48,49,54,50,54,51,52,10,32,32,
      46,48,49,54,52,52,57,56,32,46,48,49,54,54,51,55,50,32,46,48,49,54,56,50,55,
      50,32,46,48,49,55,48,49,54,57,32,46,48,49,55,50,48,55,32,46,48,49,55,51,57,
      57,56,32,46,48,49,55,53,57,50,53,32,46,48,49,55,55,56,53,49,32,46,48,49,55,
      57,56,32,46,48,49,56,49,55,52,57,10,32,32,46,48,49,56,51,54,57,54,32,46,48,
      49,56,54,51,48,51,32,46,48,49,57,50,51,53,49,32,46,48,50,48,49,49,52,52,32,
      46,48,50,49,52,57,56,56,32,46,48,50,50,56,48,54,57,32,46,48,50,52,49,48,57,
      51,32,46,48,50,53,52,55,50,50,32,46,48,50,54,57,49,54,55,10,32,32,46,48,50,
      56,52,49,55,55,32,46,48,50,57,57,51,53,53,32,46,48,51,49,52,51,51,50,32,46,
      48,51,50,56,56,51,54,32,46,48,51,52,50,55,51,50,32,46,48,51,53,53,56,55,57,
      32,46,48,51,55,48,53,57,51,32,46,48,51,56,52,48,56,53,32,46,48,52,48,48,49,
      52,51,10,32,32,46,48,52,49,52,48,57,51,32,46,48,52,50,54,49,49,32,46,48,52,
      51,56,55,50,52,32,46,48,52,52,57,50,53,55,32,46,48,52,53,57,50,55,32,46,48,
      52,55,50,55,54,50,32,46,48,52,56,57,57,52,54,32,46,48,53,49,55,53,55,50,32,
      46,48,53,52,55,52,52,51,32,46,48,53,55,54,50,55,50,10,32,32,46,48,54,48,52,
      48,55,56,32,46,48,54,50,55,50,56,56,32,46,48,54,52,52,55,53,53,32,46,48,54,
      53,56,48,49,50,32,46,48,54,54,55,52,48,52,32,46,48,54,55,53,55,56,57,32,46,
      48,54,56,53,50,49,50,32,46,48,55,48,50,49,54,32,46,48,55,51,51,57,51,55,10,
      32,32,46,48,55,54,51,54,50,51,32,46,48,55,55,53,53,55,55,32,46,48,55,55,50,
      57,51,54,32,46,48,55,52,52,49,50,57,32,46,48,54,57,54,53,54,57,32,46,48,54,
      51,57,49,50,32,46,48,53,55,50,49,55,57,32,46,48,53,49,48,51,54,53,32,46,48,
      52,53,54,49,52,53,10,32,32,46,48,52,49,54,53,49,49,32,46,48,51,57,55,49,52,
      57,32,46,48,51,57,51,54,56,53,32,46,48,51,56,50,48,50,57,32,46,48,51,54,50,
      55,53,49,32,46,48,51,51,48,52,48,51,32,46,48,50,55,54,52,55,56,32,46,48,50,
      50,54,49,52,51,32,46,48,49,56,55,49,51,50,10,32,32,46,48,49,54,49,49,57,56,
      32,46,48,49,51,50,49,49,53,32,46,48,49,48,55,51,52,32,46,48,48,56,53,56,52,
      52,53,32,46,48,48,55,48,53,55,49,49,32,46,48,48,54,48,49,57,50,52,32,46,48,
      48,53,51,54,54,32,46,48,48,52,55,57,54,54,54,32,46,48,48,52,50,49,49,53,53,
      10,32,32,46,48,48,51,54,55,55,57,56,32,46,48,48,50,53,56,56,52,50,32,46,48,
      48,49,55,53,50,48,55,32,46,48,48,49,50,52,56,53,53,32,46,48,48,48,57,51,57,
      49,51,52,32,46,48,48,48,56,52,49,57,53,52,32,46,48,48,48,54,51,57,53,53,50,
      32,46,48,48,48,52,57,48,49,51,54,10,32,32,46,48,48,48,51,55,57,54,52,55,32,
      46,48,48,48,50,57,55,54,57,55,32,46,48,48,48,50,50,55,52,57,57,32,46,48,48,
      48,49,56,55,48,49,53,32,46,48,48,48,49,53,51,56,57,57,32,46,48,48,48,49,49,
      49,56,57,56,32,57,46,50,49,49,57,53,101,45,48,53,32,54,46,55,56,55,55,50,101,
      45,48,53,10,32,32,52,46,57,49,57,56,56,101,45,48,53,32,52,46,48,53,56,48,57,
      101,45,48,53,32,51,46,51,52,54,49,51,101,45,48,53,32,50,46,52,54,55,53,55,101,
      45,48,53,32,49,46,55,54,51,56,51,101,45,48,53,32,49,46,52,54,52,49,57,101,45,
      48,53,32,49,46,48,56,52,51,55,101,45,48,53,10,32,32,57,46,48,51,48,48,50,101,
      45,48,54,32,54,46,55,48,54,53,56,101,45,48,54,32,53,46,50,54,49,53,56,101,45,
      48,54,32,56,46,53,48,57,49,49,101,45,48,54,32,55,46,52,56,54,57,56,101,45,48,
      54,32,53,46,56,53,52,54,101,45,48,54,32,52,46,52,54,51,101,45,48,54,10,32,32,
      51,46,53,54,48,54,56,101,45,48,54,32,50,46,56,52,48,53,55,101,45,48,54,32,50,
      46,50,57,57,56,50,101,45,48,54,32,49,46,56,54,56,52,52,101,45,48,54,32,49,46,
      52,56,52,53,101,45,48,54,32,49,46,50,49,48,52,53,101,45,48,54,32,57,46,54,54,
      56,48,55,101,45,48,55,10,32,32,56,46,49,57,53,55,55,101,45,48,55,32,54,46,50,
      54,49,51,55,101,45,48,55,32,53,46,51,48,57,52,52,101,45,48,55,32,52,46,51,50,
      54,50,52,101,45,48,55,32,50,46,54,56,55,51,50,101,45,48,55,32,49,46,51,57,55,
      53,57,101,45,48,55,32,55,46,51,57,53,50,101,45,48,56,10,32,32,51,46,51,52,51,
      48,52,101,45,48,56,32,49,46,53,49,51,51,52,101,45,48,56,32,53,46,56,53,54,54,
      51,101,45,48,57,32,50,46,54,53,57,48,57,101,45,48,57,32,55,46,53,51,54,54,53,
      101,45,49,48,32,50,46,50,55,48,50,56,101,45,49,48,32,57,46,55,55,48,54,54,101,
      45,49,49,10,32,32,51,46,56,49,51,53,50,101,45,49,49,32,49,46,48,56,57,54,56,
      101,45,49,49,32,51,46,54,52,55,48,51,101,45,49,50,32,49,46,50,50,50,50,50,101,
      45,49,50,32,51,46,53,48,55,52,50,101,45,49,51,32,49,46,48,48,55,50,56,101,45,
      49,51,32,51,46,51,56,52,54,54,101,45,49,52,10,32,32,49,46,49,51,56,52,101,45,
      49,52,32,51,46,56,51,50,50,55,101,45,49,53,32,49,46,48,48,52,48,50,101,45,49,
      53,32,50,46,52,55,50,48,57,101,45,49,54,32,53,46,50,49,54,51,49,101,45,49,55,
      32,49,46,50,56,55,52,101,45,49,55,32,50,46,55,49,52,50,101,45,49,56,10,32,32,
      54,46,54,56,53,55,51,101,45,49,57,32,49,46,54,51,49,56,101,45,49,57,32,51,46,
      52,53,55,54,101,45,50,48,32,53,46,49,56,48,53,57,101,45,50,49,32,48,114,49,
      48,54,32,56,46,54,48,53,48,51,101,45,48,56,32,51,46,52,53,48,52,50,101,45,48,
      55,32,55,46,55,54,57,55,101,45,48,55,10,32,32,56,46,54,48,52,56,55,101,45,48,
      55,32,51,46,52,53,48,49,50,101,45,48,54,32,55,46,55,54,55,57,51,101,45,48,54,
      32,49,46,51,56,48,51,54,101,45,48,53,32,50,46,49,53,53,52,53,101,45,48,53,32,
      51,46,49,48,51,52,50,101,45,48,53,32,52,46,50,50,49,51,53,101,45,48,53,10,32,
      32,53,46,53,49,49,50,57,101,45,48,53,32,54,46,57,55,49,48,51,101,45,48,53,32,
      56,46,53,57,57,57,56,101,45,48,53,32,46,48,48,48,49,48,51,57,56,51,32,46,48,
      48,48,49,50,51,54,53,51,32,46,48,48,48,49,52,52,57,57,52,32,46,48,48,48,49,
      54,56,48,48,54,10,32,32,46,48,48,48,49,57,50,54,56,32,46,48,48,48,50,49,56,
      57,57,56,32,46,48,48,48,50,52,54,57,54,49,32,46,48,48,48,50,55,54,53,52,57,
      32,46,48,48,48,51,48,55,55,54,32,46,48,48,48,51,52,49,48,55,50,32,46,48,48,
      48,51,55,53,53,51,32,46,48,48,48,52,49,49,53,55,51,10,32,32,46,48,48,48,52,
      52,57,49,56,52,32,46,48,48,48,52,56,56,51,52,56,32,46,48,48,48,53,50,57,48,
      54,56,32,46,48,48,48,53,55,49,51,50,53,32,46,48,48,48,54,49,53,49,48,50,32,
      46,48,48,48,54,54,48,51,57,32,46,48,48,48,55,48,55,49,57,54,32,46,48,48,48,
      55,53,53,53,48,54,10,32,32,46,48,48,48,56,48,53,50,57,54,32,46,48,48,48,56,
      53,54,53,55,51,32,46,48,48,48,57,48,57,51,56,53,32,46,48,48,48,57,54,51,54,
      52,50,32,46,48,48,49,48,49,57,51,56,32,46,48,48,49,48,55,54,54,57,32,46,48,
      48,49,49,51,53,52,54,32,46,48,48,49,49,57,53,54,55,10,32,32,46,48,48,49,50,
      53,55,53,54,32,46,48,48,49,51,50,48,57,49,32,46,48,48,49,51,56,53,55,49,32,
      46,48,48,49,52,53,50,50,50,32,46,48,48,49,53,50,48,50,53,32,46,48,48,49,53,
      56,57,55,52,32,46,48,48,49,54,54,48,57,52,32,46,48,48,49,55,51,51,55,51,10,
      32,32,46,48,48,49,56,48,55,57,57,32,46,48,48,49,56,56,51,57,32,46,48,48,49,
      57,54,49,52,55,32,46,48,48,50,48,52,48,53,51,32,46,48,48,50,49,50,49,49,56,
      32,46,48,48,50,50,48,52,55,53,32,46,48,48,50,50,56,56,54,50,32,46,48,48,50,
      51,55,52,48,49,32,46,48,48,50,52,54,49,49,49,10,32,32,46,48,48,50,53,52,57,
      54,56,32,46,48,48,50,54,51,57,55,51,32,46,48,48,50,55,51,49,52,57,32,46,48,
      48,50,56,50,52,55,50,32,46,48,48,50,57,49,57,52,50,32,46,48,48,51,48,49,53,
      55,56,32,46,48,48,51,49,49,51,54,52,32,46,48,48,51,50,49,50,57,56,10,32,32,
      46,48,48,51,51,49,51,57,55,32,46,48,48,51,52,49,54,53,52,32,46,48,48,51,53,
      50,48,53,54,32,46,48,48,51,54,50,54,50,56,32,46,48,48,51,55,51,51,55,32,46,
      48,48,51,56,52,50,53,56,32,46,48,48,51,57,53,51,49,56,32,46,48,48,52,48,54,
      53,55,52,32,46,48,48,52,49,55,57,55,53,10,32,32,46,48,48,52,50,57,53,52,50,
      32,46,48,48,52,52,49,51,53,32,46,48,48,52,53,51,51,32,46,48,48,52,54,53,51,
      57,56,32,46,48,48,52,55,55,55,57,53,32,46,48,48,52,57,48,51,51,52,32,46,48,
      48,53,48,51,48,49,53,32,46,48,48,53,49,54,48,48,53,32,46,48,48,53,50,57,49,
      54,10,32,32,46,48,48,53,52,50,52,53,54,32,46,48,48,53,53,54,48,52,32,46,48,
      48,53,54,57,56,50,55,32,46,48,48,53,56,51,55,52,53,32,46,48,48,53,57,55,57,
      49,54,32,46,48,48,54,49,50,51,50,53,32,46,48,48,54,50,54,56,53,56,32,46,48,
      48,54,52,49,53,57,54,32,46,48,48,54,53,54,53,57,56,10,32,32,46,48,48,54,55,
      49,55,49,56,32,46,48,48,54,56,54,57,57,54,32,46,48,48,55,48,50,53,52,57,32,
      46,48,48,55,49,56,50,49,54,32,46,48,48,55,51,52,48,48,53,32,46,48,48,55,53,
      48,48,53,55,32,46,48,48,55,54,54,50,50,53,32,46,48,48,55,56,50,53,49,51,10,
      32,32,46,48,48,55,57,57,48,48,51,32,46,48,48,56,49,53,54,50,32,46,48,48,56,
      51,50,51,55,51,32,46,48,48,56,52,57,50,54,50,32,46,48,48,56,54,54,50,57,49,
      32,46,48,48,56,56,51,52,53,51,32,46,48,48,57,48,48,55,50,56,32,46,48,48,57,
      49,56,49,49,52,32,46,48,48,57,51,53,54,52,10,32,32,46,48,48,57,53,51,50,54,
      52,32,46,48,48,57,55,48,57,55,50,32,46,48,48,57,56,56,56,49,51,32,46,48,49,
      48,48,54,55,55,32,46,48,49,48,50,52,55,52,32,46,48,49,48,52,50,56,52,32,46,
      48,49,48,54,49,48,56,32,46,48,49,48,55,57,50,53,32,46,48,49,48,57,55,53,53,
      10,32,32,46,48,49,49,49,53,57,57,32,46,48,49,49,51,52,51,50,32,46,48,49,49,
      53,50,55,52,32,46,48,49,49,55,49,50,57,32,46,48,49,49,56,57,55,50,32,46,48,
      49,50,48,56,49,55,32,46,48,49,50,50,54,55,50,32,46,48,49,50,52,53,49,57,32,
      46,48,49,50,54,51,53,55,10,32,32,46,48,49,50,56,50,48,50,32,46,48,49,51,48,
      48,52,51,32,46,48,49,51,49,56,54,54,32,46,48,49,51,51,54,57,50,32,46,48,49,
      51,53,53,49,55,32,46,48,49,51,55,51,50,52,32,46,48,49,51,57,49,50,57,32,46,
      48,49,52,48,57,51,49,32,46,48,49,52,50,55,50,54,10,32,32,46,48,49,52,52,53,
      49,53,32,46,48,49,52,54,50,57,54,32,46,48,49,52,56,48,56,54,32,46,48,49,52,
      57,56,55,32,46,48,49,53,49,54,52,54,32,46,48,49,53,51,52,51,55,32,46,48,49,
      53,53,50,51,50,32,46,48,49,53,55,48,49,57,32,46,48,49,53,56,56,50,50,10,32,
      32,46,48,49,54,48,54,52,32,46,48,49,54,50,52,53,51,32,46,48,49,54,52,50,55,
      53,32,46,48,49,54,54,49,50,52,32,46,48,49,54,55,57,54,56,32,46,48,49,54,57,
      56,49,54,32,46,48,49,55,49,54,57,50,32,46,48,49,55,51,53,54,54,32,46,48,49,
      55,53,52,51,56,10,32,32,46,48,49,55,55,51,51,50,32,46,48,49,55,57,50,50,55,
      32,46,48,49,56,49,49,49,57,32,46,48,49,56,51,54,53,49,32,46,48,49,56,57,53,
      50,50,32,46,48,49,57,56,48,51,57,32,46,48,50,49,49,52,48,50,32,46,48,50,50,
      51,57,57,51,32,46,48,50,51,54,53,52,54,10,32,32,46,48,50,52,57,55,51,55,32,
      46,48,50,54,51,55,55,51,32,46,48,50,55,56,51,57,51,32,46,48,50,57,51,49,56,
      55,32,46,48,51,48,55,55,55,55,32,46,48,51,50,49,56,56,54,32,46,48,51,51,53,
      51,55,53,32,46,48,51,52,56,49,48,52,32,46,48,51,54,50,51,48,52,10,32,32,46,
      48,51,55,53,50,55,50,32,46,48,51,57,48,54,51,32,46,48,52,48,51,56,57,54,32,
      46,48,52,49,53,50,54,49,32,46,48,52,50,55,49,50,57,32,46,48,52,51,55,32,46,
      48,52,52,54,52,50,54,32,46,48,52,53,57,50,54,32,46,48,52,55,53,55,54,52,32,
      46,48,53,48,50,52,51,51,10,32,32,46,48,53,51,49,51,49,54,32,46,48,53,53,57,
      49,57,49,32,46,48,53,56,54,48,51,57,32,46,48,54,48,56,51,55,56,32,46,48,54,
      50,53,49,51,54,32,46,48,54,51,55,56,53,32,46,48,54,52,54,56,55,56,32,46,48,
      54,53,53,48,48,52,32,46,48,54,54,52,49,57,57,10,32,32,46,48,54,56,48,55,50,
      55,32,46,48,55,49,49,54,55,53,32,46,48,55,52,48,54,51,53,32,46,48,55,53,50,
      52,50,55,32,46,48,55,53,48,50,49,51,32,46,48,55,50,50,56,56,55,32,46,48,54,
      55,55,53,49,50,32,46,48,54,50,50,53,55,52,32,46,48,53,53,56,51,55,56,10,32,
      32,46,48,52,57,56,57,51,50,32,46,48,52,52,54,54,54,56,32,46,48,52,48,56,52,
      55,52,32,46,48,51,56,57,57,56,53,32,46,48,51,56,54,56,57,54,32,46,48,51,55,
      53,55,53,55,32,46,48,51,53,55,48,57,49,32,46,48,51,50,53,53,57,50,32,46,48,
      50,55,50,56,55,57,10,32,32,46,48,50,50,51,53,50,52,32,46,48,49,56,53,49,56,
      50,32,46,48,49,53,57,54,52,54,32,46,48,49,51,48,57,54,54,32,46,48,49,48,54,
      52,57,52,32,46,48,48,56,53,50,50,57,51,32,46,48,48,55,48,49,48,52,50,32,46,
      48,48,53,57,56,49,57,52,32,46,48,48,53,51,51,52,51,55,10,32,32,46,48,48,52,
      55,54,57,54,54,32,46,48,48,52,49,56,56,57,55,32,46,48,48,51,54,53,57,49,51,
      32,46,48,48,50,53,55,54,52,54,32,46,48,48,49,55,52,52,55,55,32,46,48,48,49,
      50,52,51,55,54,32,46,48,48,48,57,51,53,55,54,57,32,46,48,48,48,56,51,57,48,
      51,52,10,32,32,46,48,48,48,54,51,55,52,54,54,32,46,48,48,48,52,56,56,54,50,
      52,32,46,48,48,48,51,55,56,53,51,52,32,46,48,48,48,50,57,54,56,54,53,32,46,
      48,48,48,50,50,54,56,57,52,32,46,48,48,48,49,56,54,53,51,52,32,46,48,48,48,
      49,53,51,53,49,55,32,46,48,48,48,49,49,49,54,51,52,10,32,32,57,46,49,57,48,
      56,54,101,45,48,53,32,54,46,55,55,50,57,49,101,45,48,53,32,52,46,57,48,57,54,
      52,101,45,48,53,32,52,46,48,52,57,56,56,101,45,48,53,32,51,46,51,51,57,53,52,
      101,45,48,53,32,50,46,52,54,50,57,101,45,48,53,32,49,46,55,54,48,54,52,101,
      45,48,53,10,32,32,49,46,52,54,49,54,101,45,48,53,32,49,46,48,56,50,53,50,101,
      45,48,53,32,57,46,48,49,52,57,54,101,45,48,54,32,54,46,54,57,53,55,55,101,45,
      48,54,32,53,46,50,53,51,51,57,101,45,48,54,32,56,46,52,54,51,52,56,101,45,48,
      54,32,55,46,52,52,54,57,53,101,45,48,54,10,32,32,53,46,56,50,51,52,56,101,45,
      48,54,32,52,46,52,51,57,52,51,101,45,48,54,32,51,46,53,52,50,48,51,101,45,48,
      54,32,50,46,56,50,54,56,49,101,45,48,54,32,50,46,50,56,57,53,49,101,45,48,54,
      32,49,46,56,54,48,52,55,101,45,48,54,32,49,46,52,55,56,50,101,45,48,54,10,32,
      32,49,46,50,48,53,51,52,101,45,48,54,32,57,46,54,50,55,52,49,101,45,48,55,32,
      56,46,49,54,49,52,50,101,45,48,55,32,54,46,50,51,53,50,54,101,45,48,55,32,53,
      46,50,56,55,51,56,101,45,48,55,32,52,46,51,48,56,51,52,101,45,48,55,32,50,46,
      54,55,54,51,101,45,48,55,10,32,32,49,46,51,57,49,57,51,101,45,48,55,32,55,46,
      51,54,53,53,52,101,45,48,56,32,51,46,51,50,57,56,101,45,48,56,32,49,46,53,48,
      55,56,54,101,45,48,56,32,53,46,56,51,55,51,56,101,45,48,57,32,50,46,54,53,48,
      52,53,101,45,48,57,32,55,46,53,49,50,53,56,101,45,49,48,10,32,32,50,46,50,54,
      51,49,54,101,45,49,48,32,57,46,55,52,48,51,55,101,45,49,49,32,51,46,56,48,49,
      55,54,101,45,49,49,32,49,46,48,56,54,51,55,101,45,49,49,32,51,46,54,51,54,49,
      101,45,49,50,32,49,46,50,49,56,54,49,101,45,49,50,32,51,46,52,57,56,53,55,101,
      45,49,51,10,32,32,49,46,48,48,53,54,56,101,45,49,51,32,51,46,51,55,57,51,54,
      101,45,49,52,32,49,46,49,51,54,54,52,101,45,49,52,32,51,46,56,50,54,52,55,101,
      45,49,53,32,49,46,48,48,51,49,52,101,45,49,53,32,50,46,52,55,48,48,49,101,45,
      49,54,32,53,46,50,49,49,55,52,101,45,49,55,10,32,32,49,46,50,56,54,51,51,101,
      45,49,55,32,50,46,55,49,50,48,50,101,45,49,56,32,54,46,54,56,48,52,53,101,45,
      49,57,32,49,46,54,51,48,52,101,45,49,57,32,51,46,52,53,52,55,55,101,45,50,48,
      32,53,46,49,54,55,55,54,101,45,50,49,32,48,114,49,48,54,32,56,46,52,51,57,55,
      50,101,45,48,56,10,32,32,51,46,51,56,52,49,52,101,45,48,55,32,55,46,54,50,48,
      52,53,101,45,48,55,32,56,46,52,51,57,53,56,101,45,48,55,32,51,46,51,56,51,56,
      54,101,45,48,54,32,55,46,54,49,56,55,56,101,45,48,54,32,49,46,51,53,51,56,54,
      101,45,48,53,32,50,46,49,49,52,48,56,101,45,48,53,10,32,32,51,46,48,52,51,56,
      56,101,45,48,53,32,52,46,49,52,48,51,56,101,45,48,53,32,53,46,52,48,53,53,57,
      101,45,48,53,32,54,46,56,51,55,51,54,101,45,48,53,32,56,46,52,51,53,49,101,
      45,48,53,32,46,48,48,48,49,48,49,57,57,32,46,48,48,48,49,50,49,50,56,51,10,
      32,32,46,48,48,48,49,52,50,50,49,53,32,46,48,48,48,49,54,52,55,56,53,32,46,
      48,48,48,49,56,56,57,56,53,32,46,48,48,48,50,49,52,55,57,56,32,46,48,48,48,
      50,52,50,50,50,49,32,46,48,48,48,50,55,49,50,51,56,32,46,48,48,48,51,48,49,
      56,52,53,32,46,48,48,48,51,51,52,49,48,55,10,32,32,46,48,48,48,51,54,56,50,
      49,49,32,46,48,48,48,52,48,51,53,52,56,32,46,48,48,48,52,52,48,52,50,49,32,
      46,48,48,48,52,55,56,56,49,51,32,46,48,48,48,53,49,56,55,51,32,46,48,48,48,
      53,54,48,49,53,32,46,48,48,48,54,48,51,48,53,56,32,46,48,48,48,54,52,55,52,
      52,53,10,32,32,46,48,48,48,54,57,51,51,49,54,32,46,48,48,48,55,52,48,54,53,
      56,32,46,48,48,48,55,56,57,52,52,56,32,46,48,48,48,56,51,57,54,57,51,32,46,
      48,48,48,56,57,49,52,51,56,32,46,48,48,48,57,52,52,53,57,54,32,46,48,48,48,
      57,57,57,49,57,55,32,46,48,48,49,48,53,53,51,53,10,32,32,46,48,48,49,49,49,
      50,57,49,32,46,48,48,49,49,55,49,56,57,32,46,48,48,49,50,51,50,53,50,32,46,
      48,48,49,50,57,52,53,55,32,46,48,48,49,51,53,56,48,52,32,46,48,48,49,52,50,
      51,49,56,32,46,48,48,49,52,56,57,56,49,32,46,48,48,49,53,53,55,56,55,10,32,
      32,46,48,48,49,54,50,55,54,32,46,48,48,49,54,57,56,56,57,32,46,48,48,49,55,
      55,49,54,50,32,46,48,48,49,56,52,53,57,55,32,46,48,48,49,57,50,49,57,52,32,
      46,48,48,49,57,57,57,51,54,32,46,48,48,50,48,55,56,51,53,32,46,48,48,50,49,
      53,56,57,57,32,46,48,48,50,50,52,49,48,57,10,32,32,46,48,48,50,51,50,53,55,
      53,32,46,48,48,50,52,49,49,48,52,32,46,48,48,50,52,57,55,55,56,32,46,48,48,
      50,53,56,53,57,54,32,46,48,48,50,54,55,53,56,51,32,46,48,48,50,55,54,55,49,
      49,32,46,48,48,50,56,53,57,56,53,32,46,48,48,50,57,53,52,50,49,10,32,32,46,
      48,48,51,48,53,48,48,52,32,46,48,48,51,49,52,55,51,49,32,46,48,48,51,50,52,
      54,50,49,32,46,48,48,51,51,52,54,54,52,32,46,48,48,51,52,52,56,53,32,46,48,
      48,51,53,53,50,48,50,32,46,48,48,51,54,53,55,50,49,32,46,48,48,51,55,54,51,
      56,50,32,46,48,48,51,56,55,50,49,51,10,32,32,46,48,48,51,57,56,50,51,54,32,
      46,48,48,52,48,57,52,48,49,32,46,48,48,52,50,48,55,50,57,32,46,48,48,52,51,
      50,50,57,52,32,46,48,48,52,52,51,57,57,57,32,46,48,48,52,53,53,56,52,55,32,
      46,48,48,52,54,55,57,57,51,32,46,48,48,52,56,48,50,55,55,10,32,32,46,48,48,
      52,57,50,54,57,57,32,46,48,48,53,48,53,52,50,56,32,46,48,48,53,49,56,51,49,
      57,32,46,48,48,53,51,49,51,52,54,32,46,48,48,53,52,52,54,54,32,46,48,48,53,
      53,56,49,55,50,32,46,48,48,53,55,49,56,49,51,32,46,48,48,53,56,53,55,48,52,
      32,46,48,48,53,57,57,56,50,57,10,32,32,46,48,48,54,49,52,48,55,53,32,46,48,
      48,54,50,56,53,50,50,32,46,48,48,54,52,51,50,51,32,46,48,48,54,53,56,48,53,
      51,32,46,48,48,54,55,51,48,51,49,32,46,48,48,54,56,56,50,55,57,32,46,48,48,
      55,48,51,54,51,57,32,46,48,48,55,49,57,49,49,56,32,46,48,48,55,51,52,56,53,
      53,10,32,32,46,48,48,55,53,48,55,48,54,32,46,48,48,55,54,54,54,55,51,32,46,
      48,48,55,56,50,56,51,56,32,46,48,48,55,57,57,49,50,55,32,46,48,48,56,49,53,
      53,52,56,32,46,48,48,56,51,50,49,48,50,32,46,48,48,56,52,56,55,57,51,32,46,
      48,48,56,54,53,54,49,51,10,32,32,46,48,48,56,56,50,53,52,50,32,46,48,48,56,
      57,57,53,56,32,46,48,48,57,49,54,55,53,52,32,46,48,48,57,51,52,48,50,51,32,
      46,48,48,57,53,49,51,55,50,32,46,48,48,57,54,56,56,53,49,32,46,48,48,57,56,
      54,52,52,50,32,46,48,49,48,48,52,48,52,32,46,48,49,48,50,49,55,55,10,32,32,
      46,48,49,48,51,57,54,52,32,46,48,49,48,53,55,52,50,32,46,48,49,48,55,53,51,
      52,32,46,48,49,48,57,51,52,32,46,48,49,49,49,49,51,52,32,46,48,49,49,50,57,
      51,54,32,46,48,49,49,52,55,53,50,32,46,48,49,49,54,53,53,54,32,46,48,49,49,
      56,51,54,32,46,48,49,50,48,49,55,52,10,32,32,46,48,49,50,49,57,56,49,32,46,
      48,49,50,51,55,55,55,32,46,48,49,50,53,53,56,32,46,48,49,50,55,51,55,57,32,
      46,48,49,50,57,49,54,32,46,48,49,51,48,57,52,51,32,46,48,49,51,50,55,50,52,
      32,46,48,49,51,52,52,56,56,32,46,48,49,51,54,50,52,57,32,46,48,49,51,56,48,
      48,54,10,32,32,46,48,49,51,57,55,53,53,32,46,48,49,52,49,52,57,57,32,46,48,
      49,52,51,50,51,52,32,46,48,49,52,52,57,55,55,32,46,48,49,52,54,55,49,52,32,
      46,48,49,52,56,52,52,50,32,46,48,49,53,48,49,56,53,32,46,48,49,53,49,57,51,
      50,32,46,48,49,53,51,54,55,10,32,32,46,48,49,53,53,52,50,51,32,46,48,49,53,
      55,49,57,51,32,46,48,49,53,56,57,53,53,32,46,48,49,54,48,55,50,55,32,46,48,
      49,54,50,53,50,52,32,46,48,49,54,52,51,49,55,32,46,48,49,54,54,49,49,51,32,
      46,48,49,54,55,57,51,55,32,46,48,49,54,57,55,53,57,10,32,32,46,48,49,55,49,
      53,55,56,32,46,48,49,55,51,52,49,57,32,46,48,49,55,53,50,54,32,46,48,49,55,
      55,48,57,56,32,46,48,49,55,57,53,53,56,32,46,48,49,56,53,50,53,55,32,46,48,
      49,57,51,53,49,54,32,46,48,50,48,54,52,52,54,32,46,48,50,49,56,54,48,54,10,
      32,32,46,48,50,51,48,55,51,52,32,46,48,50,52,51,53,48,53,32,46,48,50,53,55,
      49,50,51,32,46,48,50,55,49,51,50,54,32,46,48,50,56,53,55,48,52,32,46,48,50,
      57,57,56,55,56,32,46,48,51,49,51,53,55,52,32,46,48,51,50,54,54,53,49,32,46,
      48,51,51,56,57,55,51,10,32,32,46,48,51,53,50,54,57,32,46,48,51,54,53,49,56,
      52,32,46,48,51,55,57,57,51,53,32,46,48,51,57,50,54,50,55,32,46,48,52,48,51,
      52,54,49,32,46,48,52,49,52,55,51,51,32,46,48,52,50,52,48,56,32,46,48,52,51,
      51,48,51,54,32,46,48,52,52,53,51,49,52,32,46,48,52,54,49,50,48,50,10,32,32,
      46,48,52,56,54,57,54,50,32,46,48,53,49,52,56,56,55,32,46,48,53,52,49,56,51,
      56,32,46,48,53,54,55,55,55,56,32,46,48,53,56,57,51,50,54,32,46,48,54,48,53,
      52,55,50,32,46,48,54,49,55,55,52,49,32,46,48,54,50,54,52,57,53,32,46,48,54,
      51,52,52,52,10,32,32,46,48,54,52,51,52,54,53,32,46,48,54,53,57,54,49,54,32,
      46,48,54,56,57,55,55,52,32,46,48,55,49,56,48,52,49,32,46,48,55,50,57,54,56,
      57,32,46,48,55,50,55,57,49,52,32,46,48,55,48,50,48,52,56,32,46,48,54,53,56,
      56,48,54,32,46,48,54,48,54,51,48,53,10,32,32,46,48,53,52,52,55,55,49,32,46,
      48,52,56,55,54,50,52,32,46,48,52,51,55,50,54,52,32,46,48,52,48,48,52,55,51,
      32,46,48,51,56,50,56,51,50,32,46,48,51,56,48,49,48,55,32,46,48,51,54,57,52,
      55,52,32,46,48,51,53,49,52,49,32,46,48,51,50,48,55,53,49,10,32,32,46,48,50,
      54,57,50,52,54,32,46,48,50,50,48,56,55,50,32,46,48,49,56,51,50,48,50,32,46,
      48,49,53,56,48,54,56,32,46,48,49,50,57,55,57,54,32,46,48,49,48,53,54,51,32,
      46,48,48,56,52,54,48,48,57,32,46,48,48,54,57,54,50,54,56,32,46,48,48,53,57,
      52,51,55,56,10,32,32,46,48,48,53,51,48,49,57,57,32,46,48,48,52,55,52,50,48,
      51,32,46,48,48,52,49,54,53,56,53,32,46,48,48,51,54,51,57,56,50,32,46,48,48,
      50,53,54,52,49,57,32,46,48,48,49,55,51,55,50,55,32,46,48,48,49,50,51,56,56,
      52,32,46,48,48,48,57,51,50,51,49,52,10,32,32,46,48,48,48,56,51,54,48,51,54,
      32,46,48,48,48,54,51,53,51,50,50,32,46,48,48,48,52,56,55,48,55,49,32,46,48,
      48,48,51,55,55,51,57,32,46,48,48,48,50,57,54,48,48,57,32,46,48,48,48,50,50,
      54,50,55,32,46,48,48,48,49,56,54,48,51,57,32,46,48,48,48,49,53,51,49,50,51,
      10,32,32,46,48,48,48,49,49,49,51,54,50,32,57,46,49,54,57,49,56,101,45,48,53,
      32,54,46,55,53,55,54,57,101,45,48,53,32,52,46,56,57,57,49,49,101,45,48,53,32,
      52,46,48,52,49,52,50,101,45,48,53,32,51,46,51,51,50,55,53,101,45,48,53,32,50,
      46,52,53,56,48,57,101,45,48,53,10,32,32,49,46,55,53,55,51,52,101,45,48,53,32,
      49,46,52,53,56,57,52,101,45,48,53,32,49,46,48,56,48,54,50,101,45,48,53,32,56,
      46,57,57,57,52,51,101,45,48,54,32,54,46,54,56,52,54,51,101,45,48,54,32,53,46,
      50,52,52,57,51,101,45,48,54,32,56,46,52,49,56,48,54,101,45,48,54,10,32,32,55,
      46,52,48,55,49,49,101,45,48,54,32,53,46,55,57,50,53,50,101,45,48,54,32,52,46,
      52,49,53,57,55,101,45,48,54,32,51,46,53,50,51,52,49,101,45,48,54,32,50,46,56,
      49,50,48,50,101,45,48,54,32,50,46,50,55,55,53,57,101,45,48,54,32,49,46,56,53,
      49,48,55,101,45,48,54,10,32,32,49,46,52,55,49,51,101,45,48,54,32,49,46,50,48,
      48,49,50,101,45,48,54,32,57,46,53,56,55,48,51,101,45,48,55,32,56,46,49,50,55,
      51,49,101,45,48,55,32,54,46,50,48,57,51,52,101,45,48,55,32,53,46,50,54,53,52,
      55,101,45,48,55,32,52,46,50,57,48,53,54,101,45,48,55,10,32,32,50,46,54,54,53,
      51,53,101,45,48,55,32,49,46,51,56,54,51,101,45,48,55,32,55,46,51,51,54,49,101,
      45,48,56,32,51,46,51,49,54,54,53,101,45,48,56,32,49,46,53,48,49,57,56,101,45,
      48,56,32,53,46,56,49,54,56,55,101,45,48,57,32,50,46,54,52,49,56,57,101,45,48,
      57,10,32,32,55,46,52,56,56,55,56,101,45,49,48,32,50,46,50,53,54,49,49,101,45,
      49,48,32,57,46,55,49,48,50,53,101,45,49,49,32,51,46,55,57,48,49,50,101,45,49,
      49,32,49,46,48,56,51,48,57,101,45,49,49,32,51,46,54,50,53,51,49,101,45,49,50,
      32,49,46,50,49,53,48,51,101,45,49,50,10,32,32,51,46,52,56,56,52,51,101,45,49,
      51,32,49,46,48,48,50,57,52,101,45,49,51,32,51,46,51,55,51,51,50,101,45,49,52,
      32,49,46,49,51,52,57,52,101,45,49,52,32,51,46,56,50,48,56,50,101,45,49,53,32,
      49,46,48,48,50,50,54,101,45,49,53,32,50,46,52,54,55,56,56,101,45,49,54,10,32,
      32,53,46,50,48,55,51,52,101,45,49,55,32,49,46,50,56,53,51,49,101,45,49,55,32,
      50,46,55,48,57,57,52,101,45,49,56,32,54,46,54,55,53,52,53,101,45,49,57,32,49,
      46,54,50,57,48,54,101,45,49,57,32,51,46,52,53,50,48,54,101,45,50,48,32,53,46,
      49,53,53,49,51,101,45,50,49,10,32,32,48,114,49,48,54,32,56,46,49,57,53,54,101,
      45,48,56,32,51,46,50,56,54,50,53,101,45,48,55,32,55,46,52,48,48,48,50,101,45,
      48,55,32,56,46,49,57,53,52,53,101,45,48,55,32,51,46,50,56,53,57,55,101,45,48,
      54,32,55,46,51,57,56,51,51,101,45,48,54,32,49,46,51,49,52,54,56,101,45,48,53,
      10,32,32,50,46,48,53,50,56,56,101,45,48,53,32,50,46,57,53,53,55,51,101,45,48,
      53,32,52,46,48,50,48,52,52,101,45,48,53,32,53,46,50,52,56,57,53,101,45,48,53,
      32,54,46,54,51,57,49,54,101,45,48,53,32,56,46,49,57,48,52,56,101,45,48,53,32,
      57,46,57,48,51,48,55,101,45,48,53,10,32,32,46,48,48,48,49,49,55,55,54,51,32,
      46,48,48,48,49,51,56,48,56,53,32,46,48,48,48,49,53,57,57,57,55,32,46,48,48,
      48,49,56,51,52,57,49,32,46,48,48,48,50,48,56,53,52,57,32,46,48,48,48,50,51,
      53,49,55,49,32,46,48,48,48,50,54,51,51,51,55,32,46,48,48,48,50,57,51,48,52,
      54,10,32,32,46,48,48,48,51,50,52,50,56,32,46,48,48,48,51,53,55,48,51,52,32,
      46,48,48,48,51,57,49,54,56,54,32,46,48,48,48,52,50,55,52,54,56,32,46,48,48,
      48,52,54,52,55,50,52,32,46,48,48,48,53,48,51,52,53,56,32,46,48,48,48,53,52,
      51,54,52,57,32,46,48,48,48,53,56,53,50,56,51,10,32,32,46,48,48,48,54,50,56,
      51,53,49,32,46,48,48,48,54,55,50,56,53,55,32,46,48,48,48,55,49,56,55,57,49,
      32,46,48,48,48,55,54,54,49,50,55,32,46,48,48,48,56,49,52,56,55,51,32,46,48,
      48,48,56,54,53,48,55,53,32,46,48,48,48,57,49,54,54,52,54,32,46,48,48,48,57,
      54,57,54,49,53,10,32,32,46,48,48,49,48,50,52,48,57,32,46,48,48,49,48,55,57,
      57,51,32,46,48,48,49,49,51,55,49,52,32,46,48,48,49,49,57,53,57,54,32,46,48,
      48,49,50,53,54,49,53,32,46,48,48,49,51,49,55,55,50,32,46,48,48,49,51,56,48,
      57,50,32,46,48,48,49,52,52,53,53,53,10,32,32,46,48,48,49,53,49,49,53,55,32,
      46,48,48,49,53,55,57,50,49,32,46,48,48,49,54,52,56,51,54,32,46,48,48,49,55,
      49,56,57,49,32,46,48,48,49,55,57,49,48,51,32,46,48,48,49,56,54,52,55,51,32,
      46,48,48,49,57,51,57,56,51,32,46,48,48,50,48,49,54,52,52,10,32,32,46,48,48,
      50,48,57,52,54,55,32,46,48,48,50,49,55,52,51,32,46,48,48,50,50,53,53,51,56,
      32,46,48,48,50,51,51,56,48,56,32,46,48,48,50,52,50,50,49,56,32,46,48,48,50,
      53,48,56,54,52,32,46,48,48,50,53,57,53,56,49,32,46,48,48,50,54,56,52,51,53,
      32,46,48,48,50,55,55,52,51,10,32,32,46,48,48,50,56,54,53,56,50,32,46,48,48,
      50,57,53,56,55,55,32,46,48,48,51,48,53,51,49,49,32,46,48,48,51,49,52,57,48,
      52,32,46,48,48,51,50,52,54,52,53,32,46,48,48,51,51,52,53,50,52,32,46,48,48,
      51,52,52,53,54,53,32,46,48,48,51,53,52,55,54,55,10,32,32,46,48,48,51,54,53,
      49,48,56,32,46,48,48,51,55,53,54,49,51,32,46,48,48,51,56,54,51,48,52,32,46,
      48,48,51,57,55,49,51,52,32,46,48,48,52,48,56,49,50,49,32,46,48,48,52,49,57,
      51,51,57,32,46,48,48,52,51,48,54,57,50,32,46,48,48,52,52,50,49,56,53,10,32,
      32,46,48,48,52,53,51,57,54,54,32,46,48,48,52,54,53,56,56,51,32,46,48,48,52,
      55,55,57,51,50,32,46,48,48,52,57,48,50,56,32,46,48,48,53,48,50,55,56,54,32,
      46,48,48,53,49,53,52,50,52,32,46,48,48,53,50,56,51,52,32,46,48,48,53,52,49,
      52,52,57,32,46,48,48,53,53,52,54,56,51,10,32,32,46,48,48,53,54,56,49,54,32,
      46,48,48,53,56,49,56,54,53,32,46,48,48,53,57,53,54,56,55,32,46,48,48,54,48,
      57,55,48,53,32,46,48,48,54,50,51,57,55,54,32,46,48,48,54,51,56,51,53,56,32,
      46,48,48,54,53,50,56,57,49,32,46,48,48,54,54,55,54,56,55,32,46,48,48,54,56,
      50,53,57,49,10,32,32,46,48,48,54,57,55,54,49,32,46,48,48,55,49,50,56,56,32,
      46,48,48,55,50,56,50,54,49,32,46,48,48,55,52,51,55,53,51,32,46,48,48,55,53,
      57,52,51,56,32,46,48,48,55,55,53,50,52,52,32,46,48,48,55,57,49,49,55,55,32,
      46,48,48,56,48,55,50,51,57,32,46,48,48,56,50,51,52,51,52,10,32,32,46,48,48,
      56,51,57,55,53,52,32,46,48,48,56,53,54,49,55,57,32,46,48,48,56,55,50,55,48,
      57,32,46,48,48,56,56,57,51,55,49,32,46,48,48,57,48,54,49,50,53,32,46,48,48,
      57,50,50,57,53,54,32,46,48,48,57,51,57,57,49,51,32,46,48,48,57,53,54,57,55,
      56,10,32,32,46,48,48,57,55,52,48,52,54,32,46,48,48,57,57,49,50,52,54,32,46,
      48,49,48,48,56,53,56,32,46,48,49,48,50,53,56,51,32,46,48,49,48,52,51,50,49,
      32,46,48,49,48,54,48,55,50,32,46,48,49,48,55,56,49,50,32,46,48,49,48,57,53,
      54,32,46,48,49,49,49,51,50,10,32,32,46,48,49,49,51,48,54,57,32,46,48,49,49,
      52,56,49,57,32,46,48,49,49,54,53,55,56,32,46,48,49,49,56,51,50,57,32,46,48,
      49,50,48,48,55,32,46,48,49,50,49,56,49,56,32,46,48,49,50,51,53,54,49,32,46,
      48,49,50,53,50,56,55,32,46,48,49,50,55,48,49,53,10,32,32,46,48,49,50,56,55,
      52,32,46,48,49,51,48,52,52,57,32,46,48,49,51,50,49,53,53,32,46,48,49,51,51,
      56,53,55,32,46,48,49,51,53,53,53,49,32,46,48,49,51,55,50,51,57,32,46,48,49,
      51,56,57,50,32,46,48,49,52,48,54,48,56,32,46,48,49,52,50,50,57,32,46,48,49,
      52,51,57,54,50,10,32,32,46,48,49,52,53,54,53,32,46,48,49,52,55,51,52,50,32,
      46,48,49,52,57,48,50,52,32,46,48,49,53,48,55,50,49,32,46,48,49,53,50,52,51,
      52,32,46,48,49,53,52,49,52,32,46,48,49,53,53,56,53,53,32,46,48,49,53,55,53,
      57,54,32,46,48,49,53,57,51,51,49,32,46,48,49,54,49,48,55,10,32,32,46,48,49,
      54,50,56,51,54,32,46,48,49,54,52,53,57,57,32,46,48,49,54,54,51,54,32,46,48,
      49,54,56,49,52,50,32,46,48,49,54,57,57,50,52,32,46,48,49,55,49,55,48,51,32,
      46,48,49,55,52,48,56,52,32,46,48,49,55,57,53,57,57,32,46,48,49,56,55,53,56,
      57,10,32,32,46,48,50,48,48,48,57,49,32,46,48,50,49,49,56,52,50,32,46,48,50,
      50,51,53,54,50,32,46,48,50,51,53,57,49,49,32,46,48,50,52,57,48,56,54,32,46,
      48,50,54,50,56,51,50,32,46,48,50,55,54,55,52,56,32,46,48,50,57,48,52,54,55,
      32,46,48,51,48,51,55,49,57,10,32,32,46,48,51,49,54,51,54,55,32,46,48,51,50,
      56,50,55,57,32,46,48,51,52,49,53,51,49,32,46,48,51,53,51,53,57,51,32,46,48,
      51,54,55,56,49,55,32,46,48,51,56,48,48,52,50,32,46,48,51,57,48,52,54,51,32,
      46,48,52,48,49,50,57,52,32,46,48,52,49,48,50,54,57,10,32,32,46,48,52,49,56,
      56,56,49,32,46,48,52,51,48,55,49,53,32,46,48,52,52,54,48,53,55,32,46,48,52,
      55,48,57,53,49,32,46,48,52,57,55,57,52,53,32,46,48,53,50,51,57,57,57,32,46,
      48,53,52,57,48,56,49,32,46,48,53,54,57,57,50,52,32,46,48,53,56,53,53,55,10,
      32,32,46,48,53,57,55,53,48,56,32,46,48,54,48,54,48,57,50,32,46,48,54,49,51,
      57,53,50,32,46,48,54,50,50,56,55,51,32,46,48,54,51,56,55,48,49,32,46,48,54,
      54,56,49,49,49,32,46,48,54,57,53,55,50,50,32,46,48,55,48,55,50,53,32,46,48,
      55,48,53,57,51,56,10,32,32,46,48,54,56,49,53,51,53,32,46,48,54,52,48,51,57,
      54,32,46,48,53,57,48,50,55,56,32,46,48,53,51,49,51,51,54,32,46,48,52,55,54,
      52,50,57,32,46,48,52,50,55,57,50,57,32,46,48,51,57,50,53,48,56,32,46,48,51,
      55,53,54,57,52,32,46,48,51,55,51,51,49,57,10,32,32,46,48,51,54,51,49,56,49,
      32,46,48,51,52,53,55,49,50,32,46,48,51,49,53,56,56,52,32,46,48,50,54,53,53,
      56,49,32,46,48,50,49,56,49,56,57,32,46,48,49,56,49,49,57,52,32,46,48,49,53,
      54,52,54,54,32,46,48,49,50,56,54,48,53,32,46,48,49,48,52,55,53,10,32,32,46,
      48,48,56,51,57,54,32,46,48,48,54,57,49,51,57,52,32,46,48,48,53,57,48,52,55,
      56,32,46,48,48,53,50,54,56,57,32,46,48,48,52,55,49,51,55,55,32,46,48,48,52,
      49,52,50,50,32,46,48,48,51,54,50,48,48,53,32,46,48,48,50,53,53,49,54,50,32,
      46,48,48,49,55,50,57,54,10,32,32,46,48,48,49,50,51,51,55,57,32,46,48,48,48,
      57,50,56,55,55,50,32,46,48,48,48,56,51,50,57,54,32,46,48,48,48,54,51,51,49,
      50,51,32,46,48,48,48,52,56,53,52,55,54,32,46,48,48,48,51,55,54,50,49,54,32,
      46,48,48,48,50,57,53,49,50,57,32,46,48,48,48,50,50,53,54,51,49,10,32,32,46,
      48,48,48,49,56,53,53,51,32,46,48,48,48,49,53,50,55,49,57,32,46,48,48,48,49,
      49,49,48,56,52,32,57,46,49,52,54,57,49,101,45,48,53,32,54,46,55,52,50,48,53,
      101,45,48,53,32,52,46,56,56,56,50,57,101,45,48,53,32,52,46,48,51,50,55,51,101,
      45,48,53,10,32,32,51,46,51,50,53,55,55,101,45,48,53,32,50,46,52,53,51,49,53,
      101,45,48,53,32,49,46,55,53,51,57,55,101,45,48,53,32,49,46,52,53,54,49,57,101,
      45,48,53,32,49,46,48,55,56,54,54,101,45,48,53,32,56,46,57,56,51,52,57,101,45,
      48,54,32,54,46,54,55,51,49,56,101,45,48,54,10,32,32,53,46,50,51,54,50,52,101,
      45,48,54,32,56,46,51,55,50,56,55,101,45,48,54,32,55,46,51,54,55,52,57,101,45,
      48,54,32,53,46,55,54,49,55,49,101,45,48,54,32,52,46,51,57,50,54,52,101,45,48,
      54,32,51,46,53,48,52,56,57,101,45,48,54,32,50,46,55,57,55,51,50,101,45,48,54,
      10,32,32,50,46,50,54,53,55,51,101,45,48,54,32,49,46,56,52,49,52,56,101,45,48,
      54,32,49,46,52,54,51,55,49,101,45,48,54,32,49,46,49,57,51,57,54,101,45,48,54,
      32,57,46,53,52,48,51,101,45,48,55,32,56,46,48,56,57,56,56,101,45,48,55,32,54,
      46,49,56,51,52,52,101,45,48,55,10,32,32,53,46,50,52,51,55,51,101,45,48,55,32,
      52,46,50,55,50,57,49,101,45,48,55,32,50,46,54,53,52,52,57,101,45,48,55,32,49,
      46,51,56,48,55,50,101,45,48,55,32,55,46,51,48,54,56,57,101,45,48,56,32,51,46,
      51,48,51,54,50,101,45,48,56,32,49,46,52,57,54,49,54,101,45,48,56,10,32,32,53,
      46,55,57,52,54,52,101,45,48,57,32,50,46,54,51,50,53,55,101,45,48,57,32,55,46,
      52,54,53,50,52,101,45,49,48,32,50,46,50,52,57,49,51,101,45,49,48,32,57,46,54,
      56,48,51,57,101,45,49,49,32,51,46,55,55,56,54,49,101,45,49,49,32,49,46,48,55,
      57,56,54,101,45,49,49,10,32,32,51,46,54,49,52,54,54,101,45,49,50,32,49,46,50,
      49,49,53,101,45,49,50,32,51,46,52,55,56,51,57,101,45,49,51,32,49,46,48,48,48,
      49,101,45,49,51,32,51,46,51,54,51,57,101,45,49,52,32,49,46,49,51,50,53,49,101,
      45,49,52,32,51,46,56,49,53,51,50,101,45,49,53,10,32,32,49,46,48,48,49,52,50,
      101,45,49,53,32,50,46,52,54,53,55,53,101,45,49,54,32,53,46,50,48,51,49,53,101,
      45,49,55,32,49,46,50,56,52,51,51,101,45,49,55,32,50,46,55,48,55,57,56,101,45,
      49,56,32,54,46,54,55,48,55,101,45,49,57,32,49,46,54,50,55,55,57,101,45,49,57,
      10,32,32,51,46,52,52,57,52,55,101,45,50,48,32,53,46,49,52,50,55,101,45,50,49,
      32,48,114,49,48,54,32,55,46,56,53,48,49,49,101,45,48,56,32,51,46,49,52,55,55,
      50,101,45,48,55,32,55,46,48,56,56,48,55,101,45,48,55,32,55,46,56,52,57,57,55,
      101,45,48,55,32,51,46,49,52,55,52,53,101,45,48,54,10,32,32,55,46,48,56,54,52,
      56,101,45,48,54,32,49,46,50,53,57,50,55,101,45,48,53,32,49,46,57,54,54,51,55,
      101,45,48,53,32,50,46,56,51,49,49,57,101,45,48,53,32,51,46,56,53,49,48,54,101,
      45,48,53,32,53,46,48,50,55,56,53,101,45,48,53,32,54,46,51,53,57,53,56,101,45,
      48,53,10,32,32,55,46,56,52,53,54,55,101,45,48,53,32,57,46,52,56,54,50,57,101,
      45,48,53,32,46,48,48,48,49,49,50,56,48,56,32,46,48,48,48,49,51,50,50,55,56,
      32,46,48,48,48,49,53,51,50,55,49,32,46,48,48,48,49,55,53,55,56,49,32,46,48,
      48,48,49,57,57,55,57,32,46,48,48,48,50,50,53,50,57,56,10,32,32,46,48,48,48,
      50,53,50,50,56,56,32,46,48,48,48,50,56,48,55,53,55,32,46,48,48,48,51,49,48,
      54,56,55,32,46,48,48,48,51,52,50,48,55,55,32,46,48,48,48,51,55,52,57,49,51,
      32,46,48,48,48,52,48,57,53,50,52,32,46,48,48,48,52,52,53,50,51,50,32,46,48,
      48,48,52,56,50,51,53,57,10,32,32,46,48,48,48,53,50,48,56,56,53,32,46,48,48,
      48,53,54,48,55,57,54,32,46,48,48,48,54,48,50,48,56,53,32,46,48,48,48,54,52,
      52,55,53,54,32,46,48,48,48,54,56,56,55,57,55,32,46,48,48,48,55,51,52,49,56,
      55,32,46,48,48,48,55,56,48,57,51,50,32,46,48,48,48,56,50,57,48,55,53,10,32,
      32,46,48,48,48,56,55,56,53,51,52,32,46,48,48,48,57,50,57,51,51,56,32,46,48,
      48,48,57,56,49,53,56,51,32,46,48,48,49,48,51,53,49,53,32,46,48,48,49,48,57,
      48,48,51,32,46,48,48,49,49,52,54,52,52,32,46,48,48,49,50,48,52,49,56,32,46,
      48,48,49,50,54,51,50,53,10,32,32,46,48,48,49,51,50,51,56,55,32,46,48,48,49,
      51,56,53,56,55,32,46,48,48,49,52,52,57,50,32,46,48,48,49,53,49,52,48,57,32,
      46,48,48,49,53,56,48,52,51,32,46,48,48,49,54,52,56,49,49,32,46,48,48,49,55,
      49,55,50,57,32,46,48,48,49,55,56,55,57,57,32,46,48,48,49,56,54,48,48,51,10,
      32,32,46,48,48,49,57,51,51,53,51,32,46,48,48,50,48,48,56,53,55,32,46,48,48,
      50,48,56,52,57,54,32,46,48,48,50,49,54,50,55,53,32,46,48,48,50,50,52,50,48,
      56,32,46,48,48,50,51,50,50,55,54,32,46,48,48,50,52,48,52,55,57,32,46,48,48,
      50,52,56,56,51,56,10,32,32,46,48,48,50,53,55,51,50,57,32,46,48,48,50,54,54,
      48,52,50,32,46,48,48,50,55,52,56,50,50,32,46,48,48,50,56,51,55,52,32,46,48,
      48,50,57,50,55,57,49,32,46,48,48,51,48,49,57,57,52,32,46,48,48,51,49,49,51,
      51,57,32,46,48,48,51,50,48,56,49,55,32,46,48,48,51,51,48,52,53,49,10,32,32,
      46,48,48,51,52,48,50,51,56,32,46,48,48,51,53,48,49,53,57,32,46,48,48,51,54,
      48,50,51,55,32,46,48,48,51,55,48,52,57,52,32,46,48,48,51,56,48,56,56,51,32,
      46,48,48,51,57,49,52,50,51,32,46,48,48,52,48,50,49,56,51,32,46,48,48,52,49,
      51,48,55,51,10,32,32,46,48,48,52,50,52,48,57,55,32,46,48,48,52,51,53,51,57,
      53,32,46,48,48,52,52,54,56,50,52,32,46,48,48,52,53,56,51,56,32,46,48,48,52,
      55,48,50,50,32,46,48,48,52,56,50,50,49,49,32,46,48,48,52,57,52,51,50,57,32,
      46,48,48,53,48,54,55,49,49,32,46,48,48,53,49,57,50,55,56,10,32,32,46,48,48,
      53,51,49,57,54,53,32,46,48,48,53,52,52,56,56,51,32,46,48,48,53,53,56,48,49,
      56,32,46,48,48,53,55,49,50,54,55,32,46,48,48,53,56,52,55,48,50,32,46,48,48,
      53,57,56,51,55,56,32,46,48,48,54,49,50,49,54,50,32,46,48,48,54,50,54,48,56,
      57,10,32,32,46,48,48,54,52,48,50,54,55,32,46,48,48,54,53,52,53,52,57,32,46,
      48,48,54,54,56,57,52,51,32,46,48,48,54,56,51,53,55,53,32,46,48,48,54,57,56,
      51,49,52,32,46,48,48,55,49,51,49,54,49,32,46,48,48,55,50,56,49,57,50,32,46,
      48,48,55,52,51,51,51,57,10,32,32,46,48,48,55,53,56,54,49,32,46,48,48,55,55,
      52,48,48,51,32,46,48,48,55,56,57,53,50,53,32,46,48,48,56,48,53,49,54,56,32,
      46,48,48,56,50,48,57,49,50,32,46,48,48,56,51,54,55,53,56,32,46,48,48,56,53,
      50,55,51,49,32,46,48,48,56,54,56,55,57,51,32,46,48,48,56,56,52,57,51,49,10,
      32,32,46,48,48,57,48,49,49,57,32,46,48,48,57,49,55,53,53,53,32,46,48,48,57,
      51,51,57,50,52,32,46,48,48,57,53,48,52,50,32,46,48,48,57,54,55,48,52,53,32,
      46,48,48,57,56,51,53,57,54,32,46,48,49,48,48,48,50,55,32,46,48,49,48,49,55,
      48,55,32,46,48,49,48,51,51,55,55,10,32,32,46,48,49,48,53,48,53,53,32,46,48,
      49,48,54,55,52,53,32,46,48,49,48,56,52,50,52,32,46,48,49,49,48,49,48,52,32,
      46,48,49,49,49,55,57,52,32,46,48,49,49,51,52,55,54,32,46,48,49,49,53,49,53,
      32,46,48,49,49,54,56,51,32,46,48,49,49,56,53,48,53,32,46,48,49,50,48,49,54,
      53,10,32,32,46,48,49,50,49,56,50,56,32,46,48,49,50,51,52,56,56,32,46,48,49,
      50,53,49,51,50,32,46,48,49,50,54,55,55,53,32,46,48,49,50,56,52,49,52,32,46,
      48,49,51,48,48,52,54,32,46,48,49,51,49,54,55,50,32,46,48,49,51,51,50,57,50,
      32,46,48,49,51,52,57,49,56,10,32,32,46,48,49,51,54,53,52,32,46,48,49,51,56,
      49,53,51,32,46,48,49,51,57,55,56,32,46,48,49,52,49,52,49,49,32,46,48,49,52,
      51,48,51,51,32,46,48,49,52,52,54,55,49,32,46,48,49,52,54,51,50,50,32,46,48,
      49,52,55,57,54,56,32,46,48,49,52,57,54,50,50,32,46,48,49,53,49,51,48,49,10,
      32,32,46,48,49,53,50,57,55,52,32,46,48,49,53,52,54,53,49,32,46,48,49,53,54,
      51,53,52,32,46,48,49,53,56,48,53,53,32,46,48,49,53,57,55,53,51,32,46,48,49,
      54,49,52,55,50,32,46,48,49,54,51,49,57,49,32,46,48,49,54,52,57,48,54,32,46,
      48,49,54,55,50,48,51,10,32,32,46,48,49,55,50,53,50,53,32,46,48,49,56,48,50,
      51,57,32,46,48,49,57,50,51,50,49,32,46,48,50,48,51,54,56,53,32,46,48,50,49,
      53,48,49,50,32,46,48,50,50,54,57,51,52,32,46,48,50,51,57,54,51,57,32,46,48,
      50,53,50,56,56,53,32,46,48,50,54,54,50,57,51,10,32,32,46,48,50,55,57,53,49,
      50,32,46,48,50,57,50,50,56,54,32,46,48,51,48,52,52,56,53,32,46,48,51,49,53,
      57,56,49,32,46,48,51,50,56,55,56,50,32,46,48,51,52,48,52,52,53,32,46,48,51,
      53,52,50,49,56,32,46,48,51,54,54,48,55,50,32,46,48,51,55,54,49,57,50,10,32,
      32,46,48,51,56,54,55,51,49,32,46,48,51,57,53,52,55,55,32,46,48,52,48,51,56,
      54,56,32,46,48,52,49,53,51,54,56,32,46,48,52,51,48,50,50,57,32,46,48,52,53,
      52,50,57,57,32,46,48,52,56,48,51,56,50,32,46,48,53,48,53,53,54,50,32,46,48,
      53,50,57,56,51,49,10,32,32,46,48,53,53,48,48,53,53,32,46,48,53,54,53,51,49,
      52,32,46,48,53,55,55,48,51,54,32,46,48,53,56,53,53,54,51,32,46,48,53,57,51,
      52,51,56,32,46,48,54,48,50,51,51,49,32,46,48,54,49,55,56,57,49,32,46,48,54,
      52,54,53,57,52,32,46,48,54,55,51,53,57,49,10,32,32,46,48,54,56,53,48,50,54,
      32,46,48,54,56,52,50,49,32,46,48,54,54,49,50,56,54,32,46,48,54,50,50,50,51,
      54,32,46,48,53,55,52,52,54,51,32,46,48,53,49,56,48,53,56,32,46,48,52,54,53,
      51,52,32,46,48,52,49,56,54,53,56,32,46,48,51,56,52,53,55,56,32,46,48,51,54,
      56,53,55,50,10,32,32,46,48,51,54,54,53,51,55,32,46,48,51,53,54,56,56,51,32,
      46,48,51,51,57,57,57,57,32,46,48,51,49,48,57,57,53,32,46,48,50,54,49,56,56,
      56,32,46,48,50,49,53,52,55,56,32,46,48,49,55,57,49,54,49,32,46,48,49,53,52,
      56,52,32,46,48,49,50,55,51,57,53,10,32,32,46,48,49,48,51,56,53,52,32,46,48,
      48,56,51,51,48,54,56,32,46,48,48,54,56,54,52,50,51,32,46,48,48,53,56,54,52,
      57,57,32,46,48,48,53,50,51,53,49,49,32,46,48,48,52,54,56,52,57,32,46,48,48,
      52,49,49,56,48,51,32,46,48,48,51,53,57,57,56,53,32,46,48,48,50,53,51,56,55,
      55,10,32,32,46,48,48,49,55,50,49,55,52,32,46,48,48,49,50,50,56,54,51,32,46,
      48,48,48,57,50,53,49,52,53,32,46,48,48,48,56,50,57,56,49,49,32,46,48,48,48,
      54,51,48,56,55,49,32,46,48,48,48,52,56,51,56,52,50,32,46,48,48,48,51,55,53,
      48,49,51,32,46,48,48,48,50,57,52,50,51,10,32,32,46,48,48,48,50,50,52,57,55,
      54,32,46,48,48,48,49,56,53,48,49,32,46,48,48,48,49,53,50,51,48,53,32,46,48,
      48,48,49,49,48,55,57,56,32,57,46,49,50,52,48,57,101,45,48,53,32,54,46,55,50,
      53,57,57,101,45,48,53,32,52,46,56,55,55,50,101,45,48,53,32,52,46,48,50,51,56,
      50,101,45,48,53,10,32,32,51,46,51,49,56,54,50,101,45,48,53,32,50,46,52,52,56,
      48,56,101,45,48,53,32,49,46,55,53,48,53,101,45,48,53,32,49,46,52,53,51,51,56,
      101,45,48,53,32,49,46,48,55,54,54,53,101,45,48,53,32,56,46,57,54,55,49,53,101,
      45,48,54,32,54,46,54,54,49,52,53,101,45,48,54,10,32,32,53,46,50,50,55,51,52,
      101,45,48,54,32,56,46,51,50,55,57,51,101,45,48,54,32,55,46,51,50,56,48,55,101,
      45,48,54,32,53,46,55,51,49,48,56,101,45,48,54,32,52,46,51,54,57,52,52,101,45,
      48,54,32,51,46,52,56,54,52,56,101,45,48,54,32,50,46,55,56,50,55,101,45,48,54,
      10,32,32,50,46,50,53,51,57,53,101,45,48,54,32,49,46,56,51,49,57,52,101,45,48,
      54,32,49,46,52,53,54,49,55,101,45,48,54,32,49,46,49,56,55,56,52,101,45,48,54,
      32,57,46,52,57,49,53,57,101,45,48,55,32,56,46,48,52,56,55,51,101,45,48,55,32,
      54,46,49,53,50,49,53,101,45,48,55,10,32,32,53,46,50,49,56,52,52,101,45,48,55,
      32,52,46,50,53,51,54,57,101,45,48,55,32,50,46,54,52,51,55,50,101,45,48,55,32,
      49,46,51,55,53,49,57,101,45,48,55,32,55,46,50,55,55,57,50,101,45,48,56,32,51,
      46,50,57,48,55,101,45,48,56,32,49,46,52,57,48,51,57,101,45,48,56,10,32,32,53,
      46,55,55,50,54,101,45,48,57,32,50,46,54,50,50,54,55,101,45,48,57,32,55,46,52,
      52,49,48,50,101,45,49,48,32,50,46,50,52,50,50,51,101,45,49,48,32,57,46,54,53,
      48,56,57,101,45,49,49,32,51,46,55,54,55,50,53,101,45,49,49,32,49,46,48,55,54,
      54,55,101,45,49,49,10,32,32,51,46,54,48,52,49,51,101,45,49,50,32,49,46,50,48,
      56,48,49,101,45,49,50,32,51,46,52,54,56,52,57,101,45,49,51,32,57,46,57,55,51,
      48,52,101,45,49,52,32,51,46,51,53,52,54,49,101,45,49,52,32,49,46,49,50,57,52,
      50,101,45,49,52,32,51,46,56,48,53,55,50,101,45,49,53,10,32,32,49,46,48,48,48,
      52,51,101,45,49,53,32,50,46,52,54,51,55,49,101,45,49,54,32,53,46,49,57,57,49,
      52,101,45,49,55,32,49,46,50,56,51,52,49,101,45,49,55,32,50,46,55,48,54,49,49,
      101,45,49,56,32,54,46,54,54,54,50,49,101,45,49,57,32,49,46,54,50,54,53,54,101,
      45,49,57,10,32,32,51,46,52,52,54,57,52,101,45,50,48,32,53,46,49,51,48,52,55,
      101,45,50,49,32,48,114,49,48,54,32,55,46,52,48,49,55,52,101,45,48,56,32,50,
      46,57,54,55,57,52,101,45,48,55,32,54,46,54,56,51,50,52,101,45,48,55,32,55,46,
      52,48,49,54,51,101,45,48,55,32,50,46,57,54,55,55,50,101,45,48,54,10,32,32,54,
      46,54,56,49,57,52,101,45,48,54,32,49,46,49,56,55,52,49,101,45,48,53,32,49,46,
      56,53,52,50,51,101,45,48,53,32,50,46,54,54,57,56,51,101,45,48,53,32,51,46,54,
      51,49,55,51,101,45,48,53,32,52,46,55,52,49,55,52,101,45,48,53,32,53,46,57,57,
      56,48,49,101,45,48,53,10,32,32,55,46,52,48,48,48,53,101,45,48,53,32,56,46,57,
      52,56,48,56,101,45,48,53,32,46,48,48,48,49,48,54,52,49,53,32,46,48,48,48,49,
      50,52,55,57,49,32,46,48,48,48,49,52,52,54,48,56,32,46,48,48,48,49,54,53,56,
      53,57,32,46,48,48,48,49,56,56,53,50,57,32,46,48,48,48,50,49,50,54,49,57,10,
      32,32,46,48,48,48,50,51,56,49,49,50,32,46,48,48,48,50,54,53,48,48,55,32,46,
      48,48,48,50,57,51,50,56,55,32,46,48,48,48,51,50,50,57,53,50,32,46,48,48,48,
      51,53,51,57,57,32,46,48,48,48,51,56,54,51,57,56,32,46,48,48,48,52,50,48,52,
      51,51,32,46,48,48,48,52,53,53,53,52,55,10,32,32,46,48,48,48,52,57,49,57,57,
      49,32,46,48,48,48,53,50,57,55,53,52,32,46,48,48,48,53,54,56,56,50,57,32,46,
      48,48,48,54,48,57,50,49,57,32,46,48,48,48,54,53,48,57,49,51,32,46,48,48,48,
      54,57,51,56,57,52,32,46,48,48,48,55,51,56,49,54,53,32,46,48,48,48,55,56,51,
      55,54,54,10,32,32,46,48,48,48,56,51,48,54,50,51,32,46,48,48,48,56,55,56,55,
      54,49,32,46,48,48,48,57,50,56,50,54,55,32,46,48,48,48,57,55,57,48,51,32,46,
      48,48,49,48,51,49,48,53,32,46,48,48,49,48,56,52,53,50,32,46,48,48,49,49,51,
      57,50,54,32,46,48,48,49,49,57,53,50,53,10,32,32,46,48,48,49,50,53,50,55,50,
      32,46,48,48,49,51,49,49,52,57,32,46,48,48,49,51,55,49,53,52,32,46,48,48,49,
      52,51,51,48,54,32,46,48,48,49,52,57,53,57,53,32,46,48,48,49,53,54,48,49,50,
      32,46,48,48,49,54,50,53,55,50,32,46,48,48,49,54,57,50,55,51,10,32,32,46,48,
      48,49,55,54,49,48,52,32,46,48,48,49,56,51,48,55,51,32,46,48,48,49,57,48,49,
      56,55,32,46,48,48,49,57,55,52,51,49,32,46,48,48,50,48,52,56,48,54,32,46,48,
      48,50,49,50,51,50,56,32,46,48,48,50,49,57,57,55,56,32,46,48,48,50,50,55,55,
      53,54,10,32,32,46,48,48,50,51,53,54,56,50,32,46,48,48,50,52,51,55,51,53,32,
      46,48,48,50,53,49,57,49,55,32,46,48,48,50,54,48,50,52,49,32,46,48,48,50,54,
      56,55,55,32,46,48,48,50,55,55,51,53,53,32,46,48,48,50,56,54,48,56,51,32,46,
      48,48,50,57,52,57,52,54,32,46,48,48,51,48,51,57,51,54,10,32,32,46,48,48,51,
      49,51,48,55,51,32,46,48,48,51,50,50,51,53,54,32,46,48,48,51,51,49,55,54,53,
      32,46,48,48,51,52,49,51,50,51,32,46,48,48,51,53,49,48,52,57,32,46,48,48,51,
      54,48,57,48,49,32,46,48,48,51,55,48,56,57,54,32,46,48,48,51,56,49,48,57,53,
      10,32,32,46,48,48,51,57,49,52,49,57,32,46,48,48,52,48,49,56,55,49,32,46,48,
      48,52,49,50,53,55,53,32,46,48,48,52,50,51,52,48,51,32,46,48,48,52,51,52,51,
      53,52,32,46,48,48,52,52,53,53,54,55,32,46,48,48,52,53,54,57,50,49,32,46,48,
      48,52,54,56,51,57,56,10,32,32,46,48,48,52,56,48,49,49,57,32,46,48,48,52,57,
      50,48,49,50,32,46,48,48,53,48,52,48,50,32,46,48,48,53,49,54,50,52,51,32,46,
      48,48,53,50,56,54,54,56,32,46,48,48,53,52,49,50,48,49,32,46,48,48,53,53,51,
      57,48,56,32,46,48,48,53,54,54,56,51,56,32,46,48,48,53,55,57,56,55,51,10,32,
      32,46,48,48,53,57,51,48,52,52,32,46,48,48,54,48,54,52,52,54,32,46,48,48,54,
      49,57,57,52,56,32,46,48,48,54,51,51,53,53,56,32,46,48,48,54,52,55,51,56,57,
      32,46,48,48,54,54,49,51,50,50,32,46,48,48,54,55,53,51,54,49,32,46,48,48,54,
      56,57,53,55,49,10,32,32,46,48,48,55,48,51,56,57,50,32,46,48,48,55,49,56,51,
      51,50,32,46,48,48,55,51,50,56,56,57,32,46,48,48,55,52,55,53,54,57,32,46,48,
      48,55,54,50,51,54,53,32,46,48,48,55,55,55,50,54,32,46,48,48,55,57,50,50,53,
      51,32,46,48,48,56,48,55,51,54,57,32,46,48,48,56,50,50,53,55,49,10,32,32,46,
      48,48,56,51,55,56,53,32,46,48,48,56,53,51,50,52,54,32,46,48,48,56,54,56,55,
      52,52,32,46,48,48,56,56,52,50,53,53,32,46,48,48,56,57,57,56,56,55,32,46,48,
      48,57,49,53,54,52,51,32,46,48,48,57,51,49,51,52,50,32,46,48,48,57,52,55,49,
      54,32,46,48,48,57,54,51,48,57,56,10,32,32,46,48,48,57,55,56,57,53,57,32,46,
      48,48,57,57,52,56,57,51,32,46,48,49,48,49,48,57,53,32,46,48,49,48,50,54,57,
      50,32,46,48,49,48,52,50,57,32,46,48,49,48,53,56,57,55,32,46,48,49,48,55,52,
      57,57,32,46,48,49,48,57,48,57,52,32,46,48,49,49,48,54,57,54,10,32,32,46,48,
      49,49,50,50,57,53,32,46,48,49,49,51,56,56,32,46,48,49,49,53,52,54,57,32,46,
      48,49,49,55,48,53,54,32,46,48,49,49,56,54,51,32,46,48,49,50,48,50,48,50,32,
      46,48,49,50,49,55,55,51,32,46,48,49,50,51,51,51,55,32,46,48,49,50,52,56,57,
      56,32,46,48,49,50,54,52,53,51,10,32,32,46,48,49,50,56,48,49,52,32,46,48,49,
      50,57,53,55,50,32,46,48,49,51,49,49,50,51,32,46,48,49,51,50,54,56,54,32,46,
      48,49,51,52,50,53,52,32,46,48,49,51,53,56,49,52,32,46,48,49,51,55,51,56,56,
      32,46,48,49,51,56,57,55,54,32,46,48,49,52,48,53,53,56,10,32,32,46,48,49,52,
      50,49,52,57,32,46,48,49,52,51,55,54,50,32,46,48,49,52,53,51,55,50,32,46,48,
      49,52,54,57,56,52,32,46,48,49,52,56,54,50,32,46,48,49,53,48,50,53,53,32,46,
      48,49,53,49,56,56,56,32,46,48,49,53,51,53,52,49,32,46,48,49,53,53,49,57,51,
      10,32,32,46,48,49,53,54,56,52,51,32,46,48,49,53,57,48,53,50,32,46,48,49,54,
      52,49,55,52,32,46,48,49,55,49,54,48,56,32,46,48,49,56,51,50,55,57,32,46,48,
      49,57,52,50,55,54,32,46,48,50,48,53,50,50,53,32,46,48,50,49,54,55,49,51,32,
      46,48,50,50,56,57,50,49,10,32,32,46,48,50,52,49,54,50,57,32,46,48,50,53,52,
      52,56,54,32,46,48,50,54,55,49,54,53,32,46,48,50,55,57,52,51,32,46,48,50,57,
      49,49,53,57,32,46,48,51,48,50,50,51,50,32,46,48,51,49,52,53,56,57,32,46,48,
      51,50,53,56,56,32,46,48,51,51,57,50,53,57,32,46,48,51,53,48,56,50,50,10,32,
      32,46,48,51,54,48,55,51,53,32,46,48,51,55,49,49,48,54,32,46,48,51,55,57,55,
      52,56,32,46,48,51,56,56,48,50,53,32,46,48,51,57,57,50,56,54,32,46,48,52,49,
      51,55,50,50,32,46,48,52,51,55,48,48,49,32,46,48,52,54,50,49,56,55,32,46,48,
      52,56,54,53,48,57,10,32,32,46,48,53,49,48,48,48,53,32,46,48,53,50,57,54,56,
      54,32,46,48,53,52,52,54,54,51,32,46,48,53,53,54,50,56,32,46,48,53,54,52,56,
      53,54,32,46,48,53,55,50,56,52,53,32,46,48,53,56,49,55,56,32,46,48,53,57,55,
      49,50,56,32,46,48,54,50,53,49,54,55,32,46,48,54,53,49,53,56,55,10,32,32,46,
      48,54,54,50,57,54,32,46,48,54,54,50,54,55,54,32,46,48,54,52,49,50,53,54,32,
      46,48,54,48,52,50,57,51,32,46,48,53,53,56,56,51,55,32,46,48,53,48,52,57,50,
      51,32,46,48,52,53,52,51,53,49,32,46,48,52,48,57,52,53,49,32,46,48,51,55,54,
      54,56,54,10,32,32,46,48,51,54,49,52,54,55,32,46,48,51,53,57,55,54,50,32,46,
      48,51,53,48,53,56,51,32,46,48,51,51,52,50,55,54,32,46,48,51,48,54,48,56,55,
      32,46,48,50,53,56,49,55,32,46,48,50,49,50,55,52,32,46,48,49,55,55,49,48,51,
      32,46,48,49,53,51,49,57,50,32,46,48,49,50,54,49,54,54,10,32,32,46,48,49,48,
      50,57,52,51,32,46,48,48,56,50,54,52,49,55,32,46,48,48,54,56,49,51,53,55,32,
      46,48,48,53,56,50,52,52,49,32,46,48,48,53,50,48,48,54,51,32,46,48,48,52,54,
      53,53,52,51,32,46,48,48,52,48,57,51,51,52,32,46,48,48,51,53,55,57,50,49,32,
      46,48,48,50,53,50,53,54,52,10,32,32,46,48,48,49,55,49,51,55,32,46,48,48,49,
      50,50,51,51,53,32,46,48,48,48,57,50,49,52,51,32,46,48,48,48,56,50,54,53,56,
      52,32,46,48,48,48,54,50,56,53,54,50,32,46,48,48,48,52,56,50,49,54,57,32,46,
      48,48,48,51,55,51,55,56,49,32,46,48,48,48,50,57,51,51,48,55,10,32,32,46,48,
      48,48,50,50,52,51,48,52,32,46,48,48,48,49,56,52,52,55,55,32,46,48,48,48,49,
      53,49,56,56,32,46,48,48,48,49,49,48,53,48,52,32,57,46,49,48,48,54,51,101,45,
      48,53,32,54,46,55,48,57,53,51,101,45,48,53,32,52,46,56,54,53,56,101,45,48,53,
      32,52,46,48,49,52,54,56,101,45,48,53,10,32,32,51,46,51,49,49,50,57,101,45,48,
      53,32,50,46,52,52,50,56,57,101,45,48,53,32,49,46,55,52,54,57,52,101,45,48,53,
      32,49,46,52,53,48,53,101,45,48,53,32,49,46,48,55,52,53,57,101,45,48,53,32,56,
      46,57,53,48,51,55,101,45,48,54,32,54,46,54,52,57,52,50,101,45,48,54,10,32,32,
      53,46,50,49,56,50,101,45,48,54,32,56,46,50,56,49,56,50,101,45,48,54,32,55,46,
      50,56,56,51,55,101,45,48,54,32,53,46,55,48,48,54,49,101,45,48,54,32,52,46,51,
      52,54,51,54,101,45,48,54,32,51,46,52,54,56,49,54,101,45,48,54,32,50,46,55,54,
      56,49,54,101,45,48,54,10,32,32,50,46,50,52,50,50,51,101,45,48,54,32,49,46,56,
      50,50,52,54,101,45,48,54,32,49,46,52,52,56,54,55,101,45,48,54,32,49,46,49,56,
      49,55,53,101,45,48,54,32,57,46,52,52,51,49,55,101,45,48,55,32,56,46,48,48,55,
      56,101,45,48,55,32,54,46,49,50,49,48,53,101,45,48,55,10,32,32,53,46,49,57,50,
      49,52,101,45,48,55,32,52,46,50,51,50,51,53,101,45,48,55,32,50,46,54,51,49,51,
      56,101,45,48,55,32,49,46,51,54,57,55,101,45,48,55,32,55,46,50,52,57,49,56,101,
      45,48,56,32,51,46,50,55,55,56,57,101,45,48,56,32,49,46,52,56,52,54,54,101,45,
      48,56,10,32,32,53,46,55,53,48,55,54,101,45,48,57,32,50,46,54,49,50,56,55,101,
      45,48,57,32,55,46,52,49,51,55,53,101,45,49,48,32,50,46,50,51,53,51,56,101,45,
      49,48,32,57,46,54,50,49,55,52,101,45,49,49,32,51,46,55,53,54,48,51,101,45,49,
      49,32,49,46,48,55,51,53,50,101,45,49,49,10,32,32,51,46,53,57,51,54,57,101,45,
      49,50,32,49,46,50,48,52,53,53,101,45,49,50,32,51,46,52,53,56,55,51,101,45,49,
      51,32,57,46,57,52,53,52,51,101,45,49,52,32,51,46,51,52,53,52,53,101,45,49,52,
      32,49,46,49,50,54,51,56,101,45,49,52,32,51,46,55,57,53,51,57,101,45,49,53,10,
      32,32,57,46,57,56,49,56,55,101,45,49,54,32,50,46,52,54,48,55,53,101,45,49,54,
      32,53,46,49,57,53,51,52,101,45,49,55,32,49,46,50,56,50,53,52,101,45,49,55,32,
      50,46,55,48,52,51,54,101,45,49,56,32,54,46,54,54,49,57,56,101,45,49,57,32,49,
      46,54,50,53,51,53,101,45,49,57,10,32,32,51,46,52,52,52,51,101,45,50,48,32,53,
      46,49,49,56,52,51,101,45,50,49,32,48,114,49,48,54,32,54,46,57,48,57,52,51,101,
      45,48,56,32,50,46,55,55,48,53,52,101,45,48,55,32,54,46,50,51,56,55,53,101,45,
      48,55,32,54,46,57,48,57,51,53,101,45,48,55,32,50,46,55,55,48,51,55,101,45,48,
      54,10,32,32,54,46,50,51,55,55,101,45,48,54,32,49,46,49,48,56,53,101,45,48,53,
      32,49,46,55,51,49,48,52,101,45,48,53,32,50,46,52,57,50,53,54,101,45,48,53,32,
      51,46,51,57,48,55,51,101,45,48,53,32,52,46,52,50,55,51,101,45,48,53,32,53,46,
      54,48,48,53,55,101,45,48,53,10,32,32,54,46,57,49,48,49,51,101,45,48,53,32,56,
      46,51,53,54,50,49,101,45,48,53,32,57,46,57,51,56,51,56,101,45,48,53,32,46,48,
      48,48,49,49,54,53,53,52,32,46,48,48,48,49,51,53,48,55,52,32,46,48,48,48,49,
      53,52,57,51,56,32,46,48,48,48,49,55,54,49,51,50,10,32,32,46,48,48,48,49,57,
      56,54,53,54,32,46,48,48,48,50,50,50,52,57,56,32,46,48,48,48,50,52,55,54,53,
      54,32,46,48,48,48,50,55,52,49,49,53,32,46,48,48,48,51,48,49,56,55,53,32,46,
      48,48,48,51,51,48,57,50,54,32,46,48,48,48,51,54,49,50,53,55,32,46,48,48,48,
      51,57,50,56,53,53,10,32,32,46,48,48,48,52,50,53,57,57,49,32,46,48,48,48,52,
      54,48,49,51,53,32,46,48,48,48,52,57,53,53,50,51,32,46,48,48,48,53,51,50,49,
      52,57,32,46,48,48,48,53,55,48,48,49,55,32,46,48,48,48,54,48,57,49,49,54,32,
      46,48,48,48,54,52,57,52,51,50,32,46,48,48,48,54,57,48,57,54,55,10,32,32,46,
      48,48,48,55,51,51,55,53,54,32,46,48,48,48,55,55,55,55,51,52,32,46,48,48,48,
      56,50,50,57,50,52,32,46,48,48,48,56,54,57,51,57,57,32,46,48,48,48,57,49,55,
      48,54,53,32,46,48,48,48,57,54,53,57,50,50,32,46,48,48,49,48,49,54,49,52,32,
      46,48,48,49,48,54,55,53,53,10,32,32,46,48,48,49,49,50,48,49,53,32,46,48,48,
      49,49,55,52,49,50,32,46,48,48,49,50,50,57,51,52,32,46,48,48,49,50,56,53,55,
      54,32,46,48,48,49,51,52,51,53,52,32,46,48,48,49,52,48,50,54,51,32,46,48,48,
      49,52,54,50,57,49,32,46,48,48,49,53,50,52,53,52,10,32,32,46,48,48,49,53,56,
      55,53,32,46,48,48,49,54,53,49,54,56,32,46,48,48,49,55,49,55,49,53,32,46,48,
      48,49,55,56,51,57,56,32,46,48,48,49,56,53,50,48,51,32,46,48,48,49,57,50,49,
      51,51,32,46,48,48,49,57,57,50,32,46,48,48,50,48,54,51,56,56,32,46,48,48,50,
      49,51,54,57,56,10,32,32,46,48,48,50,50,49,49,52,53,32,46,48,48,50,50,56,55,
      49,50,32,46,48,48,50,51,54,52,48,49,32,46,48,48,50,52,52,50,50,52,32,46,48,
      48,50,53,50,49,55,32,46,48,48,50,54,48,50,51,55,32,46,48,48,50,54,56,52,51,
      56,32,46,48,48,50,55,54,56,51,51,32,46,48,48,50,56,53,50,56,51,10,32,32,46,
      48,48,50,57,51,56,55,49,32,46,48,48,51,48,50,53,57,53,32,46,48,48,51,49,49,
      52,51,57,32,46,48,48,51,50,48,52,50,50,32,46,48,48,51,50,57,53,54,32,46,48,
      48,51,51,56,56,49,56,32,46,48,48,51,52,56,50,49,32,46,48,48,51,53,55,55,57,
      32,46,48,48,51,54,55,52,56,55,10,32,32,46,48,48,51,55,55,51,48,52,32,46,48,
      48,51,56,55,51,53,50,32,46,48,48,51,57,55,53,49,54,32,46,48,48,52,48,55,55,
      57,56,32,46,48,48,52,49,56,51,49,53,32,46,48,48,52,50,56,57,54,54,32,46,48,
      48,52,51,57,55,51,51,32,46,48,48,52,53,48,55,50,49,10,32,32,46,48,48,52,54,
      49,56,54,57,32,46,48,48,52,55,51,49,50,54,32,46,48,48,52,56,52,53,55,57,32,
      46,48,48,52,57,54,50,49,55,32,46,48,48,53,48,55,57,53,56,32,46,48,48,53,49,
      57,56,54,49,32,46,48,48,53,51,49,57,54,54,32,46,48,48,53,52,52,49,55,50,10,
      32,32,46,48,48,53,53,54,53,48,54,32,46,48,48,53,54,57,48,52,57,32,46,48,48,
      53,56,49,54,56,57,32,46,48,48,53,57,52,52,51,51,32,46,48,48,54,48,55,51,55,
      55,32,46,48,48,54,50,48,52,50,32,46,48,48,54,51,51,53,54,52,32,46,48,48,54,
      52,54,56,54,55,32,46,48,48,54,54,48,50,55,54,10,32,32,46,48,48,54,55,51,55,
      57,56,32,46,48,48,54,56,55,52,51,50,32,46,48,48,55,48,49,49,56,50,32,46,48,
      48,55,49,53,48,52,50,32,46,48,48,55,50,56,57,57,56,32,46,48,48,55,52,51,48,
      53,49,32,46,48,48,55,53,55,50,49,56,32,46,48,48,55,55,49,52,55,50,10,32,32,
      46,48,48,55,56,53,56,48,50,32,46,48,48,56,48,48,50,52,51,32,46,48,48,56,49,
      52,55,56,52,32,46,48,48,56,50,57,51,52,55,32,46,48,48,56,52,52,48,50,53,32,
      46,48,48,56,53,56,56,49,57,32,46,48,48,56,55,51,53,55,55,32,46,48,48,56,56,
      56,52,52,56,10,32,32,46,48,48,57,48,51,52,51,51,32,46,48,48,57,49,56,51,54,
      51,32,46,48,48,57,51,51,51,54,54,32,46,48,48,57,52,56,52,56,52,32,46,48,48,
      57,54,51,53,51,57,32,46,48,48,57,55,56,54,49,55,32,46,48,48,57,57,51,55,56,
      54,32,46,48,49,48,48,56,57,50,32,46,48,49,48,50,52,10,32,32,46,48,49,48,51,
      57,49,53,32,46,48,49,48,53,52,50,56,32,46,48,49,48,54,57,51,49,32,46,48,49,
      48,56,52,51,56,32,46,48,49,48,57,57,52,52,32,46,48,49,49,49,52,52,32,46,48,
      49,49,50,57,51,54,32,46,48,49,49,52,52,51,49,32,46,48,49,49,53,57,50,50,10,
      32,32,46,48,49,49,55,52,48,57,32,46,48,49,49,56,56,57,51,32,46,48,49,50,48,
      51,56,51,32,46,48,49,50,49,56,55,49,32,46,48,49,50,51,51,53,51,32,46,48,49,
      50,52,56,52,56,32,46,48,49,50,54,51,52,55,32,46,48,49,50,55,56,51,57,32,46,
      48,49,50,57,51,52,53,10,32,32,46,48,49,51,48,56,54,51,32,46,48,49,51,50,51,
      55,55,32,46,48,49,51,51,56,57,57,32,46,48,49,51,53,52,52,49,32,46,48,49,51,
      54,57,56,49,32,46,48,49,51,56,53,50,52,32,46,48,49,52,48,48,56,56,32,46,48,
      49,52,49,54,53,50,32,46,48,49,52,51,50,49,53,10,32,32,46,48,49,52,52,55,57,
      54,32,46,48,49,52,54,51,55,55,32,46,48,49,52,55,57,53,55,32,46,48,49,53,48,
      48,55,50,32,46,48,49,53,52,57,56,32,46,48,49,54,50,49,49,56,32,46,48,49,55,
      51,51,54,51,32,46,48,49,56,51,57,56,55,32,46,48,49,57,52,53,53,49,10,32,32,
      46,48,50,48,53,53,57,32,46,48,50,49,55,50,55,53,32,46,48,50,50,57,52,48,57,
      32,46,48,50,52,49,54,55,55,32,46,48,50,53,51,55,56,51,32,46,48,50,54,53,53,
      48,57,32,46,48,50,55,54,55,52,56,32,46,48,50,56,55,51,56,52,32,46,48,50,57,
      57,50,57,53,10,32,32,46,48,51,49,48,50,50,50,32,46,48,51,50,51,50,51,55,32,
      46,48,51,51,52,53,53,56,32,46,48,51,52,52,51,50,52,32,46,48,51,53,52,54,49,
      49,32,46,48,51,54,51,50,51,56,32,46,48,51,55,49,52,56,32,46,48,51,56,50,53,
      55,50,32,46,48,51,57,54,54,50,53,10,32,32,46,48,52,49,57,49,51,53,32,46,48,
      52,52,51,52,51,51,32,46,48,52,54,54,57,48,57,32,46,48,52,56,57,54,54,49,32,
      46,48,53,48,56,56,54,50,32,46,48,53,50,51,54,52,51,32,46,48,53,51,53,50,52,
      56,32,46,48,53,52,51,57,54,54,32,46,48,53,53,50,49,53,57,10,32,32,46,48,53,
      54,49,50,48,50,32,46,48,53,55,54,51,56,56,32,46,48,54,48,51,56,48,49,32,46,
      48,54,50,57,54,56,49,32,46,48,54,52,49,48,50,32,46,48,54,52,49,51,48,52,32,
      46,48,54,50,49,52,49,53,32,46,48,53,56,54,53,52,51,32,46,48,53,52,51,51,56,
      50,10,32,32,46,48,52,57,49,57,50,50,32,46,48,52,52,51,52,53,55,32,46,48,52,
      48,48,51,48,55,32,46,48,51,54,56,56,51,49,32,46,48,51,53,52,51,56,51,32,46,
      48,51,53,50,57,57,55,32,46,48,51,52,52,50,56,52,32,46,48,51,50,56,53,52,53,
      32,46,48,51,48,49,49,54,52,10,32,32,46,48,50,53,52,52,51,32,46,48,50,48,57,
      57,55,57,32,46,48,49,55,53,48,50,50,32,46,48,49,53,49,53,50,52,32,46,48,49,
      50,52,57,50,32,46,48,49,48,50,48,49,56,32,46,48,48,56,49,57,54,53,53,32,46,
      48,48,54,55,54,50,48,49,32,46,48,48,53,55,56,51,48,55,10,32,32,46,48,48,53,
      49,54,53,53,32,46,48,48,52,54,50,53,51,57,32,46,48,48,52,48,54,56,49,55,32,
      46,48,48,51,53,53,56,49,53,32,46,48,48,50,53,49,50,50,51,32,46,48,48,49,55,
      48,53,52,57,32,46,48,48,49,50,49,55,57,53,32,46,48,48,48,57,49,55,54,51,49,
      10,32,32,46,48,48,48,56,50,51,50,56,54,32,46,48,48,48,54,50,54,50,48,50,32,
      46,48,48,48,52,56,48,52,53,56,32,46,48,48,48,51,55,50,53,50,32,46,48,48,48,
      50,57,50,51,54,51,32,46,48,48,48,50,50,51,54,49,54,32,46,48,48,48,49,56,51,
      57,51,32,46,48,48,48,49,53,49,52,52,53,10,32,32,46,48,48,48,49,49,48,50,48,
      52,32,57,46,48,55,54,54,52,101,45,48,53,32,54,46,54,57,50,54,53,101,45,48,53,
      32,52,46,56,53,52,49,52,101,45,48,53,32,52,46,48,48,53,51,50,101,45,48,53,32,
      51,46,51,48,51,55,55,101,45,48,53,32,50,46,52,51,55,53,55,101,45,48,53,10,32,
      32,49,46,55,52,51,51,101,45,48,53,32,49,46,52,52,55,53,53,101,45,48,53,32,49,
      46,48,55,50,52,56,101,45,48,53,32,56,46,57,51,51,49,57,101,45,48,54,32,54,46,
      54,51,55,48,53,101,45,48,54,32,53,46,50,48,56,56,52,101,45,48,54,32,56,46,50,
      51,52,52,101,45,48,54,10,32,32,55,46,50,52,54,55,55,101,45,48,54,32,53,46,54,
      54,56,57,56,101,45,48,54,32,52,46,51,50,51,51,49,101,45,48,54,32,51,46,52,52,
      57,57,53,101,45,48,54,32,50,46,55,53,51,55,101,45,48,54,32,50,46,50,51,48,53,
      55,101,45,48,54,32,49,46,56,49,51,48,52,101,45,48,54,10,32,32,49,46,52,52,49,
      50,50,101,45,48,54,32,49,46,49,55,53,55,101,45,48,54,32,57,46,51,57,53,48,52,
      101,45,48,55,32,55,46,57,54,55,49,51,101,45,48,55,32,54,46,48,57,48,49,52,101,
      45,48,55,32,53,46,49,54,54,48,49,101,45,48,55,32,52,46,50,49,49,49,52,101,45,
      48,55,10,32,32,50,46,54,49,56,51,50,101,45,48,55,32,49,46,51,54,51,52,50,101,
      45,48,55,32,55,46,50,50,48,54,56,101,45,48,56,32,51,46,50,54,53,49,57,101,45,
      48,56,32,49,46,52,55,56,57,57,101,45,48,56,32,53,46,55,50,57,49,49,101,45,48,
      57,32,50,46,54,48,51,49,55,101,45,48,57,10,32,32,55,46,51,56,54,55,53,101,45,
      49,48,32,50,46,50,50,55,51,50,101,45,49,48,32,57,46,53,57,50,48,57,101,45,49,
      49,32,51,46,55,52,52,57,53,101,45,49,49,32,49,46,48,55,48,52,49,101,45,49,49,
      32,51,46,53,56,51,51,57,101,45,49,50,32,49,46,50,48,49,49,51,101,45,49,50,10,
      32,32,51,46,52,52,57,48,57,101,45,49,51,32,57,46,57,49,56,49,56,101,45,49,52,
      32,51,46,51,51,54,52,50,101,45,49,52,32,49,46,49,50,51,51,56,101,45,49,52,32,
      51,46,55,56,53,50,101,45,49,53,32,57,46,57,53,57,56,50,101,45,49,54,32,50,46,
      52,53,53,52,55,101,45,49,54,10,32,32,53,46,49,56,56,56,101,45,49,55,32,49,46,
      50,56,49,55,49,101,45,49,55,32,50,46,55,48,50,55,101,45,49,56,32,54,46,54,53,
      55,57,57,101,45,49,57,32,49,46,54,50,52,50,101,45,49,57,32,51,46,52,52,49,55,
      56,101,45,50,48,32,53,46,49,48,54,54,101,45,50,49,10,32,32,48,114,49,48,54,
      32,54,46,51,57,55,57,49,101,45,48,56,32,50,46,53,54,53,52,51,101,45,48,55,32,
      53,46,55,55,54,56,57,101,45,48,55,32,54,46,51,57,55,56,53,101,45,48,55,32,50,
      46,53,54,53,51,49,101,45,48,54,32,53,46,55,55,54,49,49,101,45,48,54,32,49,46,
      48,50,54,53,101,45,48,53,10,32,32,49,46,54,48,51,48,53,101,45,48,53,32,50,46,
      51,48,56,51,54,101,45,48,53,32,51,46,49,52,48,51,50,101,45,48,53,32,52,46,49,
      48,48,53,56,101,45,48,53,32,53,46,49,56,55,53,57,101,45,48,53,32,54,46,52,48,
      49,48,52,101,45,48,53,32,55,46,55,52,49,49,57,101,45,48,53,10,32,32,57,46,50,
      48,55,54,56,101,45,48,53,32,46,48,48,48,49,48,55,57,57,52,32,46,48,48,48,49,
      50,53,49,54,54,32,46,48,48,48,49,52,51,53,56,56,32,46,48,48,48,49,54,51,50,
      52,55,32,46,48,48,48,49,56,52,49,52,53,32,46,48,48,48,50,48,54,50,54,57,32,
      46,48,48,48,50,50,57,54,50,10,32,32,46,48,48,48,50,53,52,49,56,53,32,46,48,
      48,48,50,55,57,57,54,52,32,46,48,48,48,51,48,54,57,52,56,32,46,48,48,48,51,
      51,53,49,50,57,32,46,48,48,48,51,54,52,52,57,54,32,46,48,48,48,51,57,53,48,
      53,51,32,46,48,48,48,52,50,55,48,49,57,32,46,48,48,48,52,53,57,57,51,52,10,
      32,32,46,48,48,48,52,57,52,48,49,49,32,46,48,48,48,53,50,57,50,53,50,32,46,
      48,48,48,53,54,53,54,52,57,32,46,48,48,48,54,48,51,49,56,56,32,46,48,48,48,
      54,52,49,56,55,50,32,46,48,48,48,54,56,49,55,51,49,32,46,48,48,48,55,50,50,
      55,48,57,32,46,48,48,48,55,54,52,56,50,54,10,32,32,46,48,48,48,56,48,56,49,
      52,51,32,46,48,48,48,56,53,50,53,56,32,46,48,48,48,56,57,56,49,51,56,32,46,
      48,48,48,57,52,52,57,53,54,32,46,48,48,48,57,57,50,56,57,56,32,46,48,48,49,
      48,52,49,57,54,32,46,48,48,49,48,57,50,51,32,46,48,48,49,49,52,51,56,10,32,
      32,46,48,48,49,49,57,54,52,51,32,46,48,48,49,50,53,48,51,51,32,46,48,48,49,
      51,48,53,52,52,32,46,48,48,49,51,54,49,54,56,32,46,48,48,49,52,49,57,49,54,
      32,46,48,48,49,52,55,55,56,57,32,46,48,48,49,53,51,55,55,54,32,46,48,48,49,
      53,57,56,56,51,10,32,32,46,48,48,49,54,54,49,49,55,32,46,48,48,49,55,50,52,
      54,54,32,46,48,48,49,55,56,57,51,49,32,46,48,48,49,56,53,53,50,52,32,46,48,
      48,49,57,50,50,51,32,46,48,48,49,57,57,48,53,32,46,48,48,50,48,53,57,57,56,
      32,46,48,48,50,49,51,48,53,57,32,46,48,48,50,50,48,50,51,52,10,32,32,46,48,
      48,50,50,55,53,51,52,32,46,48,48,50,51,52,57,52,57,32,46,48,48,50,52,50,52,
      55,56,32,46,48,48,50,53,48,49,51,50,32,46,48,48,50,53,55,57,48,53,32,46,48,
      48,50,54,53,55,57,49,32,46,48,48,50,55,51,56,48,52,32,46,48,48,50,56,50,48,
      48,50,10,32,32,46,48,48,50,57,48,50,53,55,32,46,48,48,50,57,56,54,52,32,46,
      48,48,51,48,55,49,54,54,32,46,48,48,51,49,53,56,48,52,32,46,48,48,51,50,52,
      53,54,55,32,46,48,48,51,51,51,53,32,46,48,48,51,52,50,53,52,52,32,46,48,48,
      51,53,49,55,48,49,32,46,48,48,51,54,49,48,54,51,10,32,32,46,48,48,51,55,48,
      53,51,55,32,46,48,48,51,56,48,49,49,57,32,46,48,48,51,56,57,57,49,51,32,46,
      48,48,51,57,57,56,51,49,32,46,48,48,52,48,57,56,53,57,32,46,48,48,52,50,48,
      48,56,52,32,46,48,48,52,51,48,52,53,53,32,46,48,48,52,52,48,57,51,49,10,32,
      32,46,48,48,52,53,49,53,56,51,32,46,48,48,52,54,50,52,48,49,32,46,48,48,52,
      55,51,51,50,32,46,48,48,52,56,52,51,56,53,32,46,48,48,52,57,53,54,51,50,32,
      46,48,48,53,48,54,57,55,53,32,46,48,48,53,49,56,52,51,56,32,46,48,48,53,51,
      48,48,56,56,32,46,48,48,53,52,49,56,51,50,10,32,32,46,48,48,53,53,51,54,55,
      53,32,46,48,48,53,54,53,54,57,55,32,46,48,48,53,55,55,56,49,53,32,46,48,48,
      53,57,48,48,50,57,32,46,48,48,54,48,50,51,56,56,32,46,48,48,54,49,52,56,52,
      55,32,46,48,48,54,50,55,52,49,53,32,46,48,48,54,52,48,48,56,55,10,32,32,46,
      48,48,54,53,50,56,55,32,46,48,48,54,54,53,55,53,55,32,46,48,48,54,55,56,55,
      51,55,32,46,48,48,54,57,49,56,48,57,32,46,48,48,55,48,52,57,57,32,46,48,48,
      55,49,56,50,53,53,32,46,48,48,55,51,49,53,57,56,32,46,48,48,55,52,53,48,52,
      53,32,46,48,48,55,53,56,53,56,56,10,32,32,46,48,48,55,55,50,49,54,51,32,46,
      48,48,55,56,53,56,52,54,32,46,48,48,55,57,57,54,51,57,32,46,48,48,56,49,51,
      52,49,54,32,46,48,48,56,50,55,50,57,56,32,46,48,48,56,52,49,50,56,56,32,46,
      48,48,56,53,53,50,52,54,32,46,48,48,56,54,57,50,55,55,10,32,32,46,48,48,56,
      56,51,52,49,54,32,46,48,48,56,57,55,53,49,54,32,46,48,48,57,49,49,54,52,56,
      32,46,48,48,57,50,53,56,54,56,32,46,48,48,57,52,48,48,54,57,32,46,48,48,57,
      53,52,50,52,49,32,46,48,48,57,54,56,52,56,51,32,46,48,48,57,56,50,55,50,49,
      10,32,32,46,48,48,57,57,54,56,56,53,32,46,48,49,48,49,49,48,57,32,46,48,49,
      48,50,53,51,32,46,48,49,48,51,57,52,52,32,46,48,49,48,53,51,53,57,32,46,48,
      49,48,54,55,55,52,32,46,48,49,48,56,49,56,54,32,46,48,49,48,57,53,57,55,32,
      46,48,49,49,49,48,48,54,10,32,32,46,48,49,49,50,52,50,49,32,46,48,49,49,51,
      56,51,52,32,46,48,49,49,53,50,52,52,32,46,48,49,49,54,54,54,53,32,46,48,49,
      49,56,48,57,49,32,46,48,49,49,57,53,49,50,32,46,48,49,50,48,57,52,53,32,46,
      48,49,50,50,51,56,57,32,46,48,49,50,51,56,51,49,10,32,32,46,48,49,50,53,50,
      56,49,32,46,48,49,50,54,55,52,56,32,46,48,49,50,56,50,49,52,32,46,48,49,50,
      57,54,56,51,32,46,48,49,51,49,49,55,50,32,46,48,49,51,50,54,54,49,32,46,48,
      49,51,52,49,53,32,46,48,49,51,53,54,53,52,32,46,48,49,51,55,49,54,49,10,32,
      32,46,48,49,51,56,54,54,54,32,46,48,49,52,48,54,56,49,32,46,48,49,52,53,51,
      54,52,32,46,48,49,53,50,49,57,32,46,48,49,54,50,57,56,53,32,46,48,49,55,51,
      50,49,56,32,46,48,49,56,51,51,56,32,46,48,49,57,51,57,53,49,32,46,48,50,48,
      53,48,57,32,46,48,50,49,54,54,50,55,10,32,32,46,48,50,50,56,50,56,49,32,46,
      48,50,51,57,55,56,56,32,46,48,50,53,48,57,53,52,32,46,48,50,54,49,54,56,50,
      32,46,48,50,55,49,56,54,55,32,46,48,50,56,51,51,49,57,32,46,48,50,57,51,56,
      55,55,32,46,48,51,48,54,53,51,51,32,46,48,51,49,55,54,50,52,10,32,32,46,48,
      51,50,55,50,54,56,32,46,48,51,51,55,53,49,51,32,46,48,51,52,54,49,55,51,32,
      46,48,51,53,52,52,50,54,32,46,48,51,54,53,51,57,52,32,46,48,51,55,57,48,56,
      57,32,46,48,52,48,48,56,52,51,32,46,48,52,50,52,50,53,53,32,46,48,52,52,54,
      56,57,10,32,32,46,48,52,54,56,57,49,56,32,46,48,52,56,55,54,56,50,32,46,48,
      53,48,50,51,51,49,32,46,48,53,49,51,57,57,56,32,46,48,53,50,50,57,51,52,32,
      46,48,53,51,49,52,32,46,48,53,52,48,54,48,54,32,46,48,53,53,53,54,55,53,32,
      46,48,53,56,50,52,57,53,32,46,48,54,48,55,56,54,55,10,32,32,46,48,54,49,57,
      49,57,55,32,46,48,54,50,48,48,56,49,32,46,48,54,48,49,55,52,57,32,46,48,53,
      54,56,57,55,50,32,46,48,53,50,56,48,56,57,32,46,48,52,55,57,48,52,57,32,46,
      48,52,51,50,54,53,54,32,46,48,51,57,49,50,50,52,32,46,48,51,54,49,48,49,53,
      10,32,32,46,48,51,52,55,51,50,50,32,46,48,51,52,54,50,52,55,32,46,48,51,51,
      55,57,56,57,32,46,48,51,50,50,56,49,49,32,46,48,50,57,54,50,50,57,32,46,48,
      50,53,48,54,55,32,46,48,50,48,55,49,57,53,32,46,48,49,55,50,57,50,32,46,48,
      49,52,57,56,51,54,32,46,48,49,50,51,54,53,55,10,32,32,46,48,49,48,49,48,55,
      57,32,46,48,48,56,49,50,55,56,50,32,46,48,48,54,55,48,57,53,53,32,46,48,48,
      53,55,52,48,57,57,32,46,48,48,53,49,50,57,55,49,32,46,48,48,52,53,57,52,55,
      56,32,46,48,48,52,48,52,50,53,32,46,48,48,51,53,51,54,54,56,32,46,48,48,50,
      52,57,56,53,52,10,32,32,46,48,48,49,54,57,55,49,32,46,48,48,49,50,49,50,52,
      51,32,46,48,48,48,57,49,51,55,52,54,32,46,48,48,48,56,49,57,57,49,49,32,46,
      48,48,48,54,50,51,55,56,55,32,46,48,48,48,52,55,56,55,48,52,32,46,48,48,48,
      51,55,49,50,50,56,32,46,48,48,48,50,57,49,51,57,53,10,32,32,46,48,48,48,50,
      50,50,57,49,49,32,46,48,48,48,49,56,51,51,55,32,46,48,48,48,49,53,48,57,57,
      57,32,46,48,48,48,49,48,57,56,57,54,32,57,46,48,53,50,48,53,101,45,48,53,32,
      54,46,54,55,53,51,54,101,45,48,53,32,52,46,56,52,50,49,55,101,45,48,53,32,51,
      46,57,57,53,55,49,101,45,48,53,10,32,32,51,46,50,57,54,48,53,101,45,48,53,32,
      50,46,52,51,50,49,101,45,48,53,32,49,46,55,51,57,53,54,101,45,48,53,32,49,46,
      52,52,52,53,49,101,45,48,53,32,49,46,48,55,48,51,49,101,45,48,53,32,56,46,57,
      49,53,53,101,45,48,54,32,54,46,54,50,52,51,53,101,45,48,54,10,32,32,53,46,49,
      57,57,51,49,101,45,48,54,32,56,46,49,56,55,49,53,101,45,48,54,32,55,46,50,48,
      53,51,52,101,45,48,54,32,53,46,54,51,54,55,57,101,45,48,54,32,52,46,50,57,56,
      57,52,101,45,48,54,32,51,46,52,51,49,49,50,101,45,48,54,32,50,46,55,51,57,50,
      50,101,45,48,54,10,32,32,50,46,50,49,56,57,57,101,45,48,54,32,49,46,56,48,51,
      54,54,101,45,48,54,32,49,46,52,51,51,56,49,101,45,48,54,32,49,46,49,54,57,54,
      56,101,45,48,54,32,57,46,51,52,55,49,55,101,45,48,55,32,55,46,57,50,54,54,56,
      101,45,48,55,32,54,46,48,53,57,52,49,101,45,48,55,10,32,32,53,46,49,52,48,48,
      51,101,45,48,55,32,52,46,49,57,48,48,53,101,45,48,55,32,50,46,54,48,53,51,50,
      101,45,48,55,32,49,46,51,53,54,55,51,101,45,48,55,32,55,46,49,56,55,56,49,101,
      45,48,56,32,51,46,50,53,50,53,57,101,45,48,56,32,49,46,52,55,51,51,54,101,45,
      48,56,10,32,32,53,46,55,48,55,54,52,101,45,48,57,32,50,46,53,57,51,53,52,101,
      45,48,57,32,55,46,51,53,57,56,49,101,45,49,48,32,50,46,50,49,57,51,53,101,45,
      49,48,32,57,46,53,53,56,49,54,101,45,49,49,32,51,46,55,51,51,52,57,101,45,49,
      49,32,49,46,48,54,55,51,50,101,45,49,49,10,32,32,51,46,53,55,51,49,55,101,45,
      49,50,32,49,46,49,57,55,55,54,101,45,49,50,32,51,46,52,51,57,53,56,101,45,49,
      51,32,57,46,56,57,49,51,101,45,49,52,32,51,46,51,50,55,52,52,101,45,49,52,32,
      49,46,49,50,48,51,51,101,45,49,52,32,51,46,55,55,53,48,49,101,45,49,53,10,32,
      32,57,46,57,51,56,49,54,101,45,49,54,32,50,46,52,53,48,50,56,101,45,49,54,32,
      53,46,49,55,56,49,57,101,45,49,55,32,49,46,50,55,57,56,51,101,45,49,55,32,50,
      46,55,48,49,49,53,101,45,49,56,32,54,46,54,53,51,56,51,101,45,49,57,32,49,46,
      54,50,51,48,49,101,45,49,57,10,32,32,51,46,52,51,57,52,50,101,45,50,48,32,53,
      46,48,57,52,57,54,101,45,50,49,32,48,114,49,48,54,32,53,46,56,57,55,57,101,
      45,48,56,32,50,46,51,54,52,57,52,101,45,48,55,32,53,46,51,50,53,52,52,101,45,
      48,55,32,53,46,56,57,55,56,56,101,45,48,55,32,50,46,51,54,52,56,54,101,45,48,
      54,10,32,32,53,46,51,50,52,57,101,45,48,54,32,57,46,52,54,51,52,49,101,45,48,
      54,32,49,46,52,55,55,57,51,101,45,48,53,32,50,46,49,50,56,50,57,101,45,48,53,
      32,50,46,56,57,53,53,101,45,48,53,32,51,46,55,56,49,49,50,101,45,48,53,32,52,
      46,55,56,51,55,55,101,45,48,53,10,32,32,53,46,57,48,51,49,57,101,45,48,53,32,
      55,46,49,51,57,54,56,101,45,48,53,32,56,46,52,57,50,57,52,101,45,48,53,32,57,
      46,57,54,50,48,53,101,45,48,53,32,46,48,48,48,49,49,53,52,55,50,32,46,48,48,
      48,49,51,50,52,56,49,32,46,48,48,48,49,53,48,54,51,53,10,32,32,46,48,48,48,
      49,54,57,57,51,56,32,46,48,48,48,49,57,48,51,55,57,32,46,48,48,48,50,49,49,
      57,53,55,32,46,48,48,48,50,51,52,54,54,51,32,46,48,48,48,50,53,56,52,57,54,
      32,46,48,48,48,50,56,51,52,53,49,32,46,48,48,48,51,48,57,53,49,56,32,46,48,
      48,48,51,51,54,54,57,10,32,32,46,48,48,48,51,54,52,57,55,49,32,46,48,48,48,
      51,57,52,51,52,57,32,46,48,48,48,52,50,53,48,49,56,32,46,48,48,48,52,53,54,
      53,56,50,32,46,48,48,48,52,56,57,50,51,52,32,46,48,48,48,53,50,50,57,54,52,
      32,46,48,48,48,53,53,55,55,54,51,32,46,48,48,48,53,57,51,54,51,50,10,32,32,
      46,48,48,48,54,51,48,53,57,54,32,46,48,48,48,54,54,56,54,48,56,32,46,48,48,
      48,55,48,55,54,56,53,32,46,48,48,48,55,52,55,56,55,56,32,46,48,48,48,55,56,
      57,49,50,32,46,48,48,48,56,51,49,52,49,50,32,46,48,48,48,56,55,52,56,54,56,
      32,46,48,48,48,57,49,57,51,55,55,10,32,32,46,48,48,48,57,54,52,57,51,56,32,
      46,48,48,49,48,49,49,54,55,32,46,48,48,49,48,53,57,52,57,32,46,48,48,49,49,
      48,56,51,55,32,46,48,48,49,49,53,56,52,49,32,46,48,48,49,50,48,57,53,57,32,
      46,48,48,49,50,54,49,56,50,32,46,48,48,49,51,49,53,50,10,32,32,46,48,48,49,
      51,54,57,55,51,32,46,48,48,49,52,50,53,51,51,32,46,48,48,49,52,56,50,48,53,
      32,46,48,48,49,53,51,57,57,52,32,46,48,48,49,53,57,56,57,32,46,48,48,49,54,
      53,56,57,53,32,46,48,48,49,55,50,48,49,55,32,46,48,48,49,55,56,50,52,54,32,
      46,48,48,49,56,52,53,56,49,10,32,32,46,48,48,49,57,49,48,51,53,32,46,48,48,
      49,57,55,53,57,52,32,46,48,48,50,48,52,50,54,32,46,48,48,50,49,49,48,52,49,
      32,46,48,48,50,49,55,57,51,32,46,48,48,50,50,52,57,50,53,32,46,48,48,50,51,
      50,48,51,54,32,46,48,48,50,51,57,50,53,56,32,46,48,48,50,52,54,53,56,54,10,
      32,32,46,48,48,50,53,52,48,51,49,32,46,48,48,50,54,49,53,57,51,32,46,48,48,
      50,54,57,50,54,50,32,46,48,48,50,55,55,48,52,57,32,46,48,48,50,56,53,48,49,
      56,32,46,48,48,50,57,51,48,52,50,32,46,48,48,51,48,49,49,56,50,32,46,48,48,
      51,48,57,52,55,52,10,32,32,46,48,48,51,49,55,56,55,49,32,46,48,48,51,50,54,
      51,55,52,32,46,48,48,51,51,53,48,53,57,32,46,48,48,51,52,51,56,52,56,32,46,
      48,48,51,53,50,55,52,49,32,46,48,48,51,54,49,56,50,32,46,48,48,51,55,49,48,
      49,53,32,46,48,48,51,56,48,51,49,50,32,46,48,48,51,56,57,55,56,53,10,32,32,
      46,48,48,51,57,57,51,57,49,32,46,48,48,52,48,57,48,57,54,32,46,48,48,52,49,
      56,57,53,57,32,46,48,48,52,50,56,57,55,50,32,46,48,48,52,51,57,48,55,57,32,
      46,48,48,52,52,57,51,50,32,46,48,48,52,53,57,55,50,52,32,46,48,48,52,55,48,
      50,49,57,32,46,48,48,52,56,48,56,50,53,10,32,32,46,48,48,52,57,49,53,57,56,
      32,46,48,48,53,48,50,52,54,49,32,46,48,48,53,49,51,52,49,56,32,46,48,48,53,
      50,52,53,51,52,32,46,48,48,53,51,53,55,52,50,32,46,48,48,53,52,55,48,52,50,
      32,46,48,48,53,53,56,52,55,52,32,46,48,48,53,55,48,48,48,49,10,32,32,46,48,
      48,53,56,49,54,51,32,46,48,48,53,57,51,51,53,54,32,46,48,48,54,48,53,49,56,
      54,32,46,48,48,54,49,55,49,49,54,32,46,48,48,54,50,57,49,51,52,32,46,48,48,
      54,52,49,50,52,49,32,46,48,48,54,53,51,52,53,32,46,48,48,54,54,53,55,52,49,
      32,46,48,48,54,55,56,49,48,57,10,32,32,46,48,48,54,57,48,53,55,53,32,46,48,
      48,55,48,51,49,51,51,32,46,48,48,55,49,53,55,51,49,32,46,48,48,55,50,56,52,
      50,57,32,46,48,48,55,52,49,50,51,49,32,46,48,48,55,53,52,48,51,51,32,46,48,
      48,55,54,54,57,51,54,32,46,48,48,55,55,57,57,51,56,10,32,32,46,48,48,55,57,
      50,57,50,56,32,46,48,48,56,48,53,57,57,32,46,48,48,56,49,57,49,53,53,32,46,
      48,48,56,51,50,51,32,46,48,48,56,52,53,52,56,53,32,46,48,48,56,53,56,55,53,
      51,32,46,48,48,56,55,50,48,50,32,46,48,48,56,56,53,50,55,53,32,46,48,48,56,
      57,56,54,10,32,32,46,48,48,57,49,49,57,51,51,32,46,48,48,57,50,53,50,49,55,
      32,46,48,48,57,51,56,53,52,54,32,46,48,48,57,53,49,56,57,52,32,46,48,48,57,
      54,53,49,57,50,32,46,48,48,57,55,56,53,48,54,32,46,48,48,57,57,49,56,51,51,
      32,46,48,49,48,48,53,49,53,32,46,48,49,48,49,56,52,54,10,32,32,46,48,49,48,
      51,49,55,55,32,46,48,49,48,52,53,49,52,32,46,48,49,48,53,56,53,32,46,48,49,
      48,55,49,56,52,32,46,48,49,48,56,53,50,57,32,46,48,49,48,57,56,55,56,32,46,
      48,49,49,49,50,50,52,32,46,48,49,49,50,53,56,49,32,46,48,49,49,51,57,52,57,
      10,32,32,46,48,49,49,53,51,49,53,32,46,48,49,49,54,54,56,56,32,46,48,49,49,
      56,48,55,56,32,46,48,49,49,57,52,54,54,32,46,48,49,50,48,56,53,57,32,46,48,
      49,50,50,50,54,57,32,46,48,49,50,51,54,55,57,32,46,48,49,50,53,48,57,49,32,
      46,48,49,50,54,53,49,55,10,32,32,46,48,49,50,55,57,52,52,32,46,48,49,50,57,
      51,55,50,32,46,48,49,51,49,50,56,52,32,46,48,49,51,53,55,51,32,46,48,49,52,
      50,50,50,54,32,46,48,49,53,50,53,52,50,32,46,48,49,54,50,51,53,53,32,46,48,
      49,55,50,48,57,32,46,48,49,56,50,49,55,51,32,46,48,49,57,50,55,53,10,32,32,
      46,48,50,48,51,54,55,51,32,46,48,50,49,52,54,57,57,32,46,48,50,50,53,53,57,
      52,32,46,48,50,51,54,49,56,53,32,46,48,50,52,54,51,56,57,32,46,48,50,53,54,
      49,48,57,32,46,48,50,54,55,48,56,51,32,46,48,50,55,55,50,53,54,32,46,48,50,
      56,57,53,51,51,10,32,32,46,48,51,48,48,51,56,50,32,46,48,51,48,57,56,57,55,
      32,46,48,51,50,48,49,48,50,32,46,48,51,50,56,56,48,54,32,46,48,51,51,55,48,
      56,54,32,46,48,51,52,55,57,52,55,32,46,48,51,54,49,50,57,52,32,46,48,51,56,
      50,50,57,53,32,46,48,52,48,52,56,50,49,10,32,32,46,48,52,50,54,54,49,55,32,
      46,48,52,52,55,57,51,49,32,46,48,52,54,54,50,56,52,32,46,48,52,56,48,56,52,
      51,32,46,48,52,57,50,54,50,49,32,46,48,53,48,49,56,50,54,32,46,48,53,49,48,
      54,49,56,32,46,48,53,50,48,48,50,57,32,46,48,53,51,53,48,49,52,10,32,32,46,
      48,53,54,49,50,54,56,32,46,48,53,56,54,49,54,32,46,48,53,57,55,53,32,46,48,
      53,57,57,48,49,32,46,48,53,56,50,50,53,53,32,46,48,53,53,49,53,55,53,32,46,
      48,53,49,50,57,53,51,32,46,48,52,54,54,51,32,46,48,52,50,49,57,52,55,32,46,
      48,51,56,50,50,48,53,10,32,32,46,48,51,53,51,50,52,49,32,46,48,51,52,48,50,
      56,54,32,46,48,51,51,57,53,49,51,32,46,48,51,51,49,55,48,50,32,46,48,51,49,
      55,48,55,55,32,46,48,50,57,49,50,56,54,32,46,48,50,52,54,56,57,52,32,46,48,
      50,48,52,51,57,50,32,46,48,49,55,48,55,57,57,10,32,32,46,48,49,52,56,49,51,
      32,46,48,49,50,50,51,55,57,32,46,48,49,48,48,49,50,55,32,46,48,48,56,48,53,
      56,48,54,32,46,48,48,54,54,53,54,50,54,32,46,48,48,53,54,57,56,50,49,32,46,
      48,48,53,48,57,51,51,49,32,46,48,48,52,53,54,51,54,51,32,46,48,48,52,48,49,
      54,51,56,10,32,32,46,48,48,51,53,49,52,56,49,32,46,48,48,50,52,56,52,53,56,
      32,46,48,48,49,54,56,56,53,53,32,46,48,48,49,50,48,54,56,32,46,48,48,48,57,
      48,57,55,56,50,32,46,48,48,48,56,49,54,52,54,55,32,46,48,48,48,54,50,49,51,
      50,32,46,48,48,48,52,55,54,57,49,51,10,32,32,46,48,48,48,51,54,57,57,48,56,
      32,46,48,48,48,50,57,48,52,48,55,32,46,48,48,48,50,50,50,49,57,49,32,46,48,
      48,48,49,56,50,55,57,56,32,46,48,48,48,49,53,48,53,52,52,32,46,48,48,48,49,
      48,57,53,56,49,32,57,46,48,50,54,57,49,101,45,48,53,32,54,46,54,53,55,54,57,
      101,45,48,53,10,32,32,52,46,56,50,57,57,52,101,45,48,53,32,51,46,57,56,53,56,
      56,101,45,48,53,32,51,46,50,56,56,49,54,101,45,48,53,32,50,46,52,50,54,53,49,
      101,45,48,53,32,49,46,55,51,53,55,51,101,45,48,53,32,49,46,52,52,49,52,101,
      45,48,53,32,49,46,48,54,56,48,57,101,45,48,53,10,32,32,56,46,56,57,55,52,101,
      45,48,54,32,54,46,54,49,49,51,53,101,45,48,54,32,53,46,49,56,57,53,53,101,45,
      48,54,32,56,46,49,52,48,49,56,101,45,48,54,32,55,46,49,54,52,49,52,101,45,48,
      54,32,53,46,54,48,52,55,55,101,45,48,54,32,52,46,50,55,52,54,57,101,45,48,54,
      10,32,32,51,46,52,49,49,56,56,101,45,48,54,32,50,46,55,50,51,57,53,101,45,48,
      54,32,50,46,50,48,54,57,52,101,45,48,54,32,49,46,55,57,52,49,57,101,45,48,54,
      32,49,46,52,50,54,52,52,101,45,48,54,32,49,46,49,54,51,55,101,45,48,54,32,57,
      46,50,57,57,54,50,101,45,48,55,10,32,32,55,46,56,56,54,53,49,101,45,48,55,32,
      54,46,48,50,56,56,55,101,45,48,55,32,53,46,49,49,52,50,50,101,45,48,55,32,52,
      46,49,54,57,49,49,101,45,48,55,32,50,46,53,57,50,52,50,101,45,48,55,32,49,46,
      51,53,48,49,101,45,48,55,32,55,46,49,53,51,48,56,101,45,48,56,10,32,32,51,46,
      50,51,56,53,56,101,45,48,56,32,49,46,52,54,55,55,56,101,45,48,56,32,53,46,54,
      56,54,51,57,101,45,48,57,32,50,46,53,56,52,48,49,101,45,48,57,32,55,46,51,51,
      51,49,53,101,45,49,48,32,50,46,50,49,49,52,53,101,45,49,48,32,57,46,53,50,52,
      53,56,101,45,49,49,10,32,32,51,46,55,50,48,53,54,101,45,49,49,32,49,46,48,54,
      52,50,53,101,45,49,49,32,51,46,53,54,51,48,57,101,45,49,50,32,49,46,49,57,52,
      52,52,101,45,49,50,32,51,46,52,51,48,50,101,45,49,51,32,57,46,56,54,52,55,57,
      101,45,49,52,32,51,46,51,49,56,54,101,45,49,52,10,32,32,49,46,49,49,55,51,50,
      101,45,49,52,32,51,46,55,54,52,57,55,101,45,49,53,32,57,46,57,49,54,56,54,101,
      45,49,54,32,50,46,52,52,53,49,56,101,45,49,54,32,53,46,49,54,55,55,55,101,45,
      49,55,32,49,46,50,55,55,51,52,101,45,49,55,32,50,46,54,57,54,56,50,101,45,49,
      56,10,32,32,54,46,54,52,57,55,50,101,45,49,57,32,49,46,54,50,49,56,57,101,45,
      49,57,32,51,46,52,51,55,49,55,101,45,50,48,32,53,46,48,56,51,53,49,101,45,50,
      49,32,48,114,49,48,54,32,53,46,52,52,51,101,45,48,56,32,50,46,49,56,50,53,52,
      101,45,48,55,32,52,46,57,49,52,55,101,45,48,55,10,32,32,53,46,52,52,50,57,56,
      101,45,48,55,32,50,46,49,56,50,52,56,101,45,48,54,32,52,46,57,49,52,50,56,101,
      45,48,54,32,56,46,55,51,51,55,56,101,45,48,54,32,49,46,51,54,52,48,49,101,45,
      48,53,32,49,46,57,54,52,50,56,101,45,48,53,32,50,46,54,55,50,52,53,101,45,48,
      53,10,32,32,51,46,52,56,57,57,54,101,45,48,53,32,52,46,52,49,53,53,54,101,45,
      48,53,32,53,46,52,52,57,48,51,101,45,48,53,32,54,46,53,57,48,54,56,101,45,48,
      53,32,55,46,56,52,48,50,55,101,45,48,53,32,57,46,49,57,54,57,53,101,45,48,53,
      32,46,48,48,48,49,48,54,54,49,10,32,32,46,48,48,48,49,50,50,51,50,32,46,48,
      48,48,49,51,57,48,57,49,32,46,48,48,48,49,53,54,57,50,53,32,46,48,48,48,49,
      55,53,56,49,51,32,46,48,48,48,49,57,53,55,53,53,32,46,48,48,48,50,49,54,55,
      52,50,32,46,48,48,48,50,51,56,55,55,53,32,46,48,48,48,50,54,49,56,52,56,10,
      32,32,46,48,48,48,50,56,53,57,53,51,32,46,48,48,48,51,49,49,48,56,52,32,46,
      48,48,48,51,51,55,50,52,54,32,46,48,48,48,51,54,52,52,50,55,32,46,48,48,48,
      51,57,50,54,50,49,32,46,48,48,48,52,50,49,57,54,57,32,46,48,48,48,52,53,50,
      50,50,56,32,46,48,48,48,52,56,51,52,53,57,10,32,32,46,48,48,48,53,49,53,54,
      56,54,32,46,48,48,48,53,52,56,57,48,57,32,46,48,48,48,53,56,51,49,53,49,32,
      46,48,48,48,54,49,56,51,55,32,46,48,48,48,54,53,52,53,56,50,32,46,48,48,48,
      54,57,49,56,50,57,32,46,48,48,48,55,51,48,48,53,53,32,46,48,48,48,55,54,57,
      50,54,49,10,32,32,46,48,48,48,56,48,57,53,52,51,32,46,48,48,48,56,53,48,56,
      48,56,32,46,48,48,48,56,57,51,48,53,51,32,46,48,48,48,57,51,54,51,56,50,32,
      46,48,48,48,57,56,48,55,50,49,32,46,48,48,49,48,50,54,48,52,32,46,48,48,49,
      48,55,50,52,53,32,46,48,48,49,49,49,57,57,10,32,32,46,48,48,49,49,54,56,51,
      51,32,46,48,48,49,50,49,55,56,52,32,46,48,48,49,50,54,56,52,32,46,48,48,49,
      51,49,57,57,54,32,46,48,48,49,51,55,50,53,54,32,46,48,48,49,52,50,54,50,52,
      32,46,48,48,49,52,56,48,57,50,32,46,48,48,49,53,51,54,54,49,32,46,48,48,49,
      53,57,51,51,56,10,32,32,46,48,48,49,54,53,49,49,53,32,46,48,48,49,55,48,57,
      57,49,32,46,48,48,49,55,54,57,55,54,32,46,48,48,49,56,51,48,53,57,32,46,48,
      48,49,56,57,50,52,50,32,46,48,48,49,57,53,53,51,50,32,46,48,48,50,48,49,57,
      50,50,32,46,48,48,50,48,56,52,49,49,10,32,32,46,48,48,50,49,53,48,48,55,32,
      46,48,48,50,50,49,55,48,54,32,46,48,48,50,50,56,53,48,51,32,46,48,48,50,51,
      53,52,49,32,46,48,48,50,52,50,52,50,52,32,46,48,48,50,52,57,53,51,55,32,46,
      48,48,50,53,54,55,54,49,32,46,48,48,50,54,52,49,48,51,32,46,48,48,50,55,49,
      53,52,52,10,32,32,46,48,48,50,55,57,48,57,50,32,46,48,48,50,56,54,56,50,51,
      32,46,48,48,50,57,52,54,48,56,32,46,48,48,51,48,50,52,57,50,32,46,48,48,51,
      49,48,53,51,57,32,46,48,48,51,49,56,54,56,51,32,46,48,48,51,50,54,57,50,51,
      32,46,48,48,51,51,53,51,51,49,10,32,32,46,48,48,51,52,51,56,52,53,32,46,48,
      48,51,53,50,52,53,54,32,46,48,48,51,54,49,50,50,52,32,46,48,48,51,55,48,49,
      49,52,32,46,48,48,51,55,57,48,57,54,32,46,48,48,51,56,56,50,50,50,32,46,48,
      48,51,57,55,52,56,51,32,46,48,48,52,48,54,56,51,51,10,32,32,46,48,48,52,49,
      54,51,48,54,32,46,48,48,52,50,53,57,50,53,32,46,48,48,52,51,53,54,51,49,32,
      46,48,48,52,52,53,52,51,57,32,46,48,48,52,53,53,51,57,56,32,46,48,48,52,54,
      53,52,52,49,32,46,48,48,52,55,53,53,55,51,32,46,48,48,52,56,53,56,53,32,46,
      48,48,52,57,54,50,49,50,10,32,32,46,48,48,53,48,54,54,54,50,32,46,48,48,53,
      49,55,50,51,50,32,46,48,48,53,50,55,56,57,49,32,46,48,48,53,51,56,54,52,55,
      32,46,48,48,53,52,57,52,57,52,32,46,48,48,53,54,48,52,51,56,32,46,48,48,53,
      55,49,52,55,53,32,46,48,48,53,56,50,53,57,54,10,32,32,46,48,48,53,57,51,56,
      48,49,32,46,48,48,54,48,53,49,48,50,32,46,48,48,54,49,54,52,56,49,32,46,48,
      48,54,50,55,57,51,53,32,46,48,48,54,51,57,52,56,49,32,46,48,48,54,53,49,49,
      49,53,32,46,48,48,54,54,50,55,57,32,46,48,48,54,55,52,53,54,32,46,48,48,54,
      56,54,52,50,56,10,32,32,46,48,48,54,57,56,51,48,53,32,46,48,48,55,49,48,50,
      55,53,32,46,48,48,55,50,50,51,52,32,46,48,48,55,51,52,52,48,51,32,46,48,48,
      55,52,54,53,51,56,32,46,48,48,55,53,56,55,54,56,32,46,48,48,55,55,48,57,57,
      49,32,46,48,48,55,56,51,50,53,55,32,46,48,48,55,57,53,54,48,51,10,32,32,46,
      48,48,56,48,55,57,53,55,32,46,48,48,56,50,48,51,49,32,46,48,48,56,51,50,55,
      51,50,32,46,48,48,56,52,53,49,55,32,46,48,48,56,53,55,53,55,53,32,46,48,48,
      56,55,48,48,50,56,32,46,48,48,56,56,50,53,48,54,32,46,48,48,56,57,52,57,53,
      49,32,46,48,48,57,48,55,52,49,56,10,32,32,46,48,48,57,49,57,57,48,52,32,46,
      48,48,57,51,50,51,57,49,32,46,48,48,57,52,52,56,56,53,32,46,48,48,57,53,55,
      51,55,54,32,46,48,48,57,54,57,57,51,50,32,46,48,48,57,56,50,52,57,52,32,46,
      48,48,57,57,53,48,52,51,32,46,48,49,48,48,55,54,57,32,46,48,49,48,50,48,51,
      56,10,32,32,46,48,49,48,51,51,48,54,32,46,48,49,48,52,53,56,51,32,46,48,49,
      48,53,56,55,32,46,48,49,48,55,49,53,55,32,46,48,49,48,56,52,53,49,32,46,48,
      49,48,57,55,53,57,32,46,48,49,49,49,48,54,55,32,46,48,49,49,50,51,55,57,32,
      46,48,49,49,51,55,48,55,10,32,32,46,48,49,49,53,48,51,54,32,46,48,49,49,54,
      51,54,55,32,46,48,49,49,55,55,49,32,46,48,49,49,57,48,53,54,32,46,48,49,50,
      48,52,48,51,32,46,48,49,50,50,50,48,54,32,46,48,49,50,54,52,48,53,32,46,48,
      49,51,50,53,53,50,32,46,48,49,52,50,51,53,51,10,32,32,46,48,49,53,49,55,48,
      56,32,46,48,49,54,48,57,56,55,32,46,48,49,55,48,53,54,50,32,46,48,49,56,48,
      53,54,54,32,46,48,49,57,48,56,55,49,32,46,48,50,48,49,50,54,53,32,46,48,50,
      49,49,53,52,51,32,46,48,50,50,49,53,53,52,32,46,48,50,51,49,50,50,50,10,32,
      32,46,48,50,52,48,52,54,51,32,46,48,50,53,48,57,52,49,32,46,48,50,54,48,55,
      48,54,32,46,48,50,55,50,53,55,50,32,46,48,50,56,51,49,52,57,32,46,48,50,57,
      50,53,48,55,32,46,48,51,48,50,54,52,55,32,46,48,51,49,49,51,55,57,32,46,48,
      51,49,57,54,55,56,10,32,32,46,48,51,51,48,52,50,56,32,46,48,51,52,51,52,50,
      54,32,46,48,51,54,51,54,55,51,32,46,48,51,56,53,51,49,32,46,48,52,48,54,50,
      54,54,32,46,48,52,50,54,56,55,49,32,46,48,52,52,52,56,50,53,32,46,48,52,53,
      57,51,49,51,32,46,48,52,55,49,50,50,55,10,32,32,46,48,52,56,48,55,51,49,32,
      46,48,52,56,57,56,56,51,32,46,48,52,57,57,53,50,53,32,46,48,53,49,52,52,52,
      57,32,46,48,53,52,48,49,53,57,32,46,48,53,54,52,53,57,32,46,48,53,55,53,57,
      53,55,32,46,48,53,55,56,49,49,32,46,48,53,54,50,57,52,50,32,46,48,53,51,52,
      51,53,53,10,32,32,46,48,52,57,55,57,55,52,32,46,48,52,53,51,54,55,54,32,46,
      48,52,49,49,51,51,49,32,46,48,51,55,51,50,53,32,46,48,51,52,53,53,49,32,46,
      48,51,51,51,50,55,57,32,46,48,51,51,50,55,57,57,32,46,48,51,50,53,52,50,55,
      32,46,48,51,49,49,51,52,55,32,46,48,50,56,54,51,51,56,10,32,32,46,48,50,52,
      51,49,48,52,32,46,48,50,48,49,53,55,50,32,46,48,49,54,56,54,54,32,46,48,49,
      52,54,52,48,56,32,46,48,49,50,49,48,56,54,32,46,48,48,57,57,49,54,50,54,32,
      46,48,48,55,57,56,55,50,57,32,46,48,48,54,54,48,50,49,53,32,46,48,48,53,54,
      53,52,55,51,10,32,32,46,48,48,53,48,53,54,51,32,46,48,48,52,53,51,49,57,52,
      32,46,48,48,51,57,56,57,55,57,32,46,48,48,51,52,57,50,53,52,32,46,48,48,50,
      52,55,48,51,54,32,46,48,48,49,54,55,57,56,50,32,46,48,48,49,50,48,49,48,53,
      32,46,48,48,48,57,48,53,55,51,55,10,32,32,46,48,48,48,56,49,50,57,53,32,46,
      48,48,48,54,49,56,56,48,49,32,46,48,48,48,52,55,53,48,56,53,32,46,48,48,48,
      51,54,56,53,54,49,32,46,48,48,48,50,56,57,51,57,56,32,46,48,48,48,50,50,49,
      52,53,54,32,46,48,48,48,49,56,50,50,49,51,32,46,48,48,48,49,53,48,48,55,57,
      10,32,32,46,48,48,48,49,48,57,50,53,57,32,57,46,48,48,49,50,49,101,45,48,53,
      32,54,46,54,51,57,53,57,101,45,48,53,32,52,46,56,49,55,52,50,101,45,48,53,32,
      51,46,57,55,53,56,51,101,45,48,53,32,51,46,50,56,48,48,56,101,45,48,53,32,50,
      46,52,50,48,55,56,101,45,48,53,10,32,32,49,46,55,51,49,56,49,101,45,48,53,32,
      49,46,52,51,56,50,50,101,45,48,53,32,49,46,48,54,53,56,50,101,45,48,53,32,56,
      46,56,55,56,56,57,101,45,48,54,32,54,46,53,57,56,48,54,101,45,48,54,32,53,46,
      49,55,57,53,54,101,45,48,54,32,56,46,48,57,51,52,50,101,45,48,54,10,32,32,55,
      46,49,50,51,49,52,101,45,48,54,32,53,46,53,55,50,57,49,101,45,48,54,32,52,46,
      50,53,48,53,55,101,45,48,54,32,51,46,51,57,50,55,52,101,45,48,54,32,50,46,55,
      48,56,55,54,101,45,48,54,32,50,46,49,57,52,55,101,45,48,54,32,49,46,55,56,52,
      50,57,101,45,48,54,10,32,32,49,46,52,49,56,55,51,101,45,48,54,32,49,46,49,53,
      55,54,49,101,45,48,54,32,57,46,50,53,50,51,52,101,45,48,55,32,55,46,56,52,54,
      53,55,101,45,48,55,32,53,46,57,57,56,53,50,101,45,48,55,32,53,46,48,56,56,53,
      55,101,45,48,55,32,52,46,49,52,56,50,55,101,45,48,55,10,32,32,50,46,53,55,57,
      53,57,101,45,48,55,32,49,46,51,52,51,53,101,45,48,55,32,55,46,49,49,56,53,56,
      101,45,48,56,32,51,46,50,50,51,49,56,101,45,48,56,32,49,46,52,54,49,55,53,101,
      45,48,56,32,53,46,54,54,53,51,52,101,45,48,57,32,50,46,53,55,52,53,53,101,45,
      48,57,10,32,32,55,46,51,48,54,55,51,101,45,49,48,32,50,46,50,48,51,54,52,101,
      45,49,48,32,57,46,52,57,49,51,54,101,45,49,49,32,51,46,55,48,55,55,50,101,45,
      49,49,32,49,46,48,54,48,54,51,101,45,49,49,32,51,46,53,53,51,49,101,45,49,50,
      32,49,46,49,57,49,49,54,101,45,49,50,10,32,32,51,46,52,50,48,57,53,101,45,49,
      51,32,57,46,56,51,56,51,52,101,45,49,52,32,51,46,51,48,57,54,57,101,45,49,52,
      32,49,46,49,49,52,51,52,101,45,49,52,32,51,46,55,53,53,48,56,101,45,49,53,32,
      57,46,56,57,53,57,52,101,45,49,54,32,50,46,52,52,48,49,56,101,45,49,54,10,32,
      32,53,46,49,53,55,53,53,101,45,49,55,32,49,46,50,55,52,56,55,101,45,49,55,32,
      50,46,54,57,49,53,53,101,45,49,56,32,54,46,54,51,54,55,52,101,45,49,57,32,49,
      46,54,50,48,49,57,101,45,49,57,32,51,46,52,51,53,48,54,101,45,50,48,32,53,46,
      48,55,50,50,55,101,45,50,49,10,32,32,48,114,49,48,54,32,53,46,48,51,49,52,55,
      101,45,48,56,32,50,46,48,49,55,53,50,101,45,48,55,32,52,46,53,52,51,49,49,101,
      45,48,55,32,53,46,48,51,49,52,53,101,45,48,55,32,50,46,48,49,55,52,54,101,45,
      48,54,32,52,46,53,52,50,54,57,101,45,48,54,32,56,46,48,55,51,51,54,101,45,48,
      54,10,32,32,49,46,50,54,48,56,55,101,45,48,53,32,49,46,56,49,53,55,53,101,45,
      48,53,32,50,46,52,55,48,51,55,101,45,48,53,32,51,46,50,50,54,48,54,101,45,48,
      53,32,52,46,48,56,49,54,55,101,45,48,53,32,53,46,48,51,55,48,50,101,45,48,53,
      32,54,46,48,57,50,51,56,101,45,48,53,10,32,32,55,46,50,52,55,53,52,101,45,48,
      53,32,56,46,53,48,49,55,52,101,45,48,53,32,57,46,56,53,53,49,57,101,45,48,53,
      32,46,48,48,48,49,49,51,48,55,54,32,46,48,48,48,49,50,56,53,56,50,32,46,48,
      48,48,49,52,53,48,55,49,32,46,48,48,48,49,54,50,53,51,53,10,32,32,46,48,48,
      48,49,56,48,57,55,53,32,46,48,48,48,50,48,48,51,56,51,32,46,48,48,48,50,50,
      48,55,53,56,32,46,48,48,48,50,52,50,48,57,55,32,46,48,48,48,50,54,52,51,57,
      50,32,46,48,48,48,50,56,55,54,51,56,32,46,48,48,48,51,49,49,56,51,57,32,46,
      48,48,48,51,51,54,57,56,53,10,32,32,46,48,48,48,51,54,51,48,55,49,32,46,48,
      48,48,51,57,48,48,57,52,32,46,48,48,48,52,49,56,49,32,46,48,48,48,52,52,55,
      49,49,52,32,46,48,48,48,52,55,54,57,52,52,32,46,48,48,48,53,48,55,54,57,57,
      32,46,48,48,48,53,51,57,51,57,57,32,46,48,48,48,53,55,50,48,48,56,10,32,32,
      46,48,48,48,54,48,53,53,52,32,46,48,48,48,54,52,48,48,51,49,32,46,48,48,48,
      54,55,53,52,51,51,32,46,48,48,48,55,49,49,55,52,54,32,46,48,48,48,55,52,57,
      48,53,53,32,46,48,48,48,55,56,55,50,55,55,32,46,48,48,48,56,50,54,52,49,49,
      32,46,48,48,48,56,54,54,53,52,56,10,32,32,46,48,48,48,57,48,55,54,50,32,46,
      48,48,48,57,52,57,54,48,56,32,46,48,48,48,57,57,50,53,57,57,32,46,48,48,49,
      48,51,54,53,53,32,46,48,48,49,48,56,49,52,51,32,46,48,48,49,49,50,55,50,57,
      32,46,48,48,49,49,55,52,49,51,32,46,48,48,49,50,50,49,57,10,32,32,46,48,48,
      49,50,55,48,54,51,32,46,48,48,49,51,50,48,51,54,32,46,48,48,49,51,55,49,48,
      49,32,46,48,48,49,52,50,50,54,49,32,46,48,48,49,52,55,53,50,49,32,46,48,48,
      49,53,50,56,55,51,32,46,48,48,49,53,56,51,49,55,32,46,48,48,49,54,51,56,54,
      50,10,32,32,46,48,48,49,54,57,52,57,56,32,46,48,48,49,55,53,50,50,55,32,46,
      48,48,49,56,49,48,53,52,32,46,48,48,49,56,54,57,55,53,32,46,48,48,49,57,50,
      57,56,56,32,46,48,48,49,57,57,49,32,46,48,48,50,48,53,51,48,55,32,46,48,48,
      50,49,49,54,48,54,32,46,48,48,50,49,56,48,48,53,10,32,32,46,48,48,50,50,52,
      53,48,52,32,46,48,48,50,51,49,48,57,53,32,46,48,48,50,51,55,55,56,56,32,46,
      48,48,50,52,52,53,57,32,46,48,48,50,53,49,52,56,51,32,46,48,48,50,53,56,52,
      55,54,32,46,48,48,50,54,53,53,57,53,32,46,48,48,50,55,50,56,48,52,32,46,48,
      48,50,56,48,49,48,53,10,32,32,46,48,48,50,56,55,53,57,51,32,46,48,48,50,57,
      53,49,51,52,32,46,48,48,51,48,50,55,54,52,32,46,48,48,51,49,48,53,52,53,32,
      46,48,48,51,49,56,52,50,53,32,46,48,48,51,50,54,51,57,52,32,46,48,48,51,51,
      52,53,48,54,32,46,48,48,51,52,50,55,51,32,46,48,48,51,53,49,48,52,10,32,32,
      46,48,48,51,53,57,52,56,49,32,46,48,48,51,54,56,48,52,53,32,46,48,48,51,55,
      54,54,57,51,32,46,48,48,51,56,53,52,53,52,32,46,48,48,51,57,52,51,52,55,32,
      46,48,48,52,48,51,51,50,50,32,46,48,48,52,49,50,51,57,50,32,46,48,48,52,50,
      49,53,57,57,10,32,32,46,48,48,52,51,48,56,56,53,32,46,48,48,52,52,48,50,53,
      53,32,46,48,48,52,52,57,55,53,54,32,46,48,48,52,53,57,51,51,56,32,46,48,48,
      52,54,57,48,48,50,32,46,48,48,52,55,56,55,55,55,32,46,48,48,52,56,56,54,51,
      53,32,46,48,48,52,57,56,53,56,51,10,32,32,46,48,48,53,48,56,54,49,54,32,46,
      48,48,53,49,56,55,52,32,46,48,48,53,50,56,57,53,49,32,46,48,48,53,51,57,50,
      52,32,46,48,48,53,52,57,54,48,57,32,46,48,48,53,54,48,48,54,55,32,46,48,48,
      53,55,48,53,57,57,32,46,48,48,53,56,49,50,48,50,32,46,48,48,53,57,49,56,57,
      49,10,32,32,46,48,48,54,48,50,54,54,50,32,46,48,48,54,49,51,52,55,53,32,46,
      48,48,54,50,52,51,55,54,32,46,48,48,54,51,53,51,54,56,32,46,48,48,54,52,54,
      51,55,52,32,46,48,48,54,53,55,52,54,56,32,46,48,48,54,54,56,54,52,57,32,46,
      48,48,54,55,57,56,51,53,10,32,32,46,48,48,54,57,49,48,56,56,32,46,48,48,55,
      48,50,52,51,49,32,46,48,48,55,49,51,55,55,51,32,46,48,48,55,50,53,49,53,56,
      32,46,48,48,55,51,54,54,50,32,46,48,48,55,52,56,48,57,52,32,46,48,48,55,53,
      57,53,55,51,32,46,48,48,55,55,49,49,49,56,32,46,48,48,55,56,50,54,56,52,10,
      32,32,46,48,48,55,57,52,50,50,55,32,46,48,48,56,48,53,56,49,56,32,46,48,48,
      56,49,55,52,51,55,32,46,48,48,56,50,57,48,51,52,32,46,48,48,56,52,48,54,53,
      54,32,46,48,48,56,53,50,51,48,51,32,46,48,48,56,54,51,57,53,54,32,46,48,48,
      56,55,53,54,50,50,10,32,32,46,48,48,56,56,55,50,57,51,32,46,48,48,56,57,57,
      48,50,55,32,46,48,48,57,49,48,55,55,50,32,46,48,48,57,50,50,53,49,51,32,46,
      48,48,57,51,52,51,52,54,32,46,48,48,57,52,54,50,50,52,32,46,48,48,57,53,56,
      48,57,54,32,46,48,48,57,55,48,48,54,49,10,32,32,46,48,48,57,56,50,49,49,53,
      32,46,48,48,57,57,52,49,55,50,32,46,48,49,48,48,54,51,32,46,48,49,48,49,56,
      53,53,32,46,48,49,48,51,48,56,50,32,46,48,49,48,52,51,49,50,32,46,48,49,48,
      53,53,53,55,32,46,48,49,48,54,56,48,51,32,46,48,49,48,56,48,53,50,10,32,32,
      46,48,49,48,57,51,49,50,32,46,48,49,49,48,53,55,53,32,46,48,49,49,49,56,51,
      57,32,46,48,49,49,51,53,51,51,32,46,48,49,49,55,52,55,57,32,46,48,49,50,51,
      50,54,57,32,46,48,49,51,50,53,51,50,32,46,48,49,52,49,52,48,54,32,46,48,49,
      53,48,50,49,10,32,32,46,48,49,53,57,50,54,55,32,46,48,49,54,56,54,57,54,32,
      46,48,49,55,56,51,56,56,32,46,48,49,56,56,49,53,53,32,46,48,49,57,55,56,50,
      49,32,46,48,50,48,55,50,53,51,32,46,48,50,49,54,51,56,53,32,46,48,50,50,53,
      49,52,49,32,46,48,50,51,53,49,49,10,32,32,46,48,50,52,52,52,52,57,32,46,48,
      50,53,53,56,55,55,32,46,48,50,54,54,49,52,57,32,46,48,50,55,53,51,50,49,32,
      46,48,50,56,53,51,54,49,32,46,48,50,57,52,48,57,50,32,46,48,51,48,50,51,56,
      57,32,46,48,51,49,51,48,49,53,32,46,48,51,50,53,54,53,54,10,32,32,46,48,51,
      52,53,49,52,53,32,46,48,51,54,53,56,57,52,32,46,48,51,56,54,48,49,32,46,48,
      52,48,53,57,48,55,32,46,48,52,50,51,52,54,49,32,46,48,52,51,55,56,55,57,32,
      46,48,52,52,57,57,51,55,32,46,48,52,53,57,55,53,32,46,48,52,54,57,50,55,51,
      32,46,48,52,55,57,49,54,10,32,32,46,48,52,57,52,48,51,54,32,46,48,53,49,57,
      50,49,54,32,46,48,53,52,51,50,48,50,32,46,48,53,53,52,54,48,51,32,46,48,53,
      53,55,52,48,56,32,46,48,53,52,51,56,50,54,32,46,48,53,49,55,51,49,57,32,46,
      48,52,56,51,49,53,53,32,46,48,52,52,49,49,56,10,32,32,46,48,52,48,48,56,49,
      49,32,46,48,51,54,52,51,54,52,32,46,48,51,51,55,56,50,54,32,46,48,51,50,54,
      51,48,52,32,46,48,51,50,54,49,48,57,32,46,48,51,49,57,49,54,55,32,46,48,51,
      48,53,54,50,52,32,46,48,50,56,49,51,56,56,32,46,48,50,51,57,51,48,52,10,32,
      32,46,48,49,57,56,55,51,55,32,46,48,49,54,54,53,48,54,32,46,48,49,52,52,54,
      55,32,46,48,49,49,57,55,55,57,32,46,48,48,57,56,49,56,54,55,32,46,48,48,55,
      57,49,53,53,56,32,46,48,48,54,53,52,55,50,54,32,46,48,48,53,54,49,48,54,32,
      46,48,48,53,48,49,56,55,49,10,32,32,46,48,48,52,52,57,57,55,53,32,46,48,48,
      51,57,54,50,55,54,32,46,48,48,51,52,54,57,57,32,46,48,48,50,52,53,53,56,57,
      32,46,48,48,49,54,55,48,57,52,32,46,48,48,49,49,57,53,50,32,46,48,48,48,57,
      48,49,54,49,50,32,46,48,48,48,56,48,57,51,54,56,10,32,32,46,48,48,48,54,49,
      54,50,51,53,32,46,48,48,48,52,55,51,50,50,50,32,46,48,48,48,51,54,55,49,56,
      55,32,46,48,48,48,50,56,56,51,54,56,32,46,48,48,48,50,50,48,55,48,54,32,46,
      48,48,48,49,56,49,54,49,54,32,46,48,48,48,49,52,57,54,48,51,32,46,48,48,48,
      49,48,56,57,51,49,10,32,32,56,46,57,55,52,57,53,101,45,48,53,32,54,46,54,50,
      49,49,50,101,45,48,53,32,52,46,56,48,52,54,51,101,45,48,53,32,51,46,57,54,53,
      53,54,101,45,48,53,32,51,46,50,55,49,56,52,101,45,48,53,32,50,46,52,49,52,57,
      52,101,45,48,53,32,49,46,55,50,55,56,49,101,45,48,53,10,32,32,49,46,52,51,52,
      57,56,101,45,48,53,32,49,46,48,54,51,53,49,101,45,48,53,32,56,46,56,54,48,48,
      49,101,45,48,54,32,54,46,53,56,52,52,57,101,45,48,54,32,53,46,49,54,57,51,54,
      101,45,48,54,32,56,46,48,52,54,57,49,101,45,48,54,32,55,46,48,56,50,51,54,101,
      45,48,54,10,32,32,53,46,53,52,49,50,51,101,45,48,54,32,52,46,50,50,54,53,56,
      101,45,48,54,32,51,46,51,55,51,55,49,101,45,48,54,32,50,46,54,57,51,54,53,101,
      45,48,54,32,50,46,49,56,50,53,50,101,45,48,54,32,49,46,55,55,52,52,53,101,45,
      48,54,32,49,46,52,49,48,57,53,101,45,48,54,10,32,32,49,46,49,53,49,50,56,101,
      45,48,54,32,57,46,50,48,50,52,52,101,45,48,55,32,55,46,56,48,53,51,50,101,45,
      48,55,32,53,46,57,54,56,50,57,101,45,48,55,32,53,46,48,54,51,48,55,101,45,48,
      55,32,52,46,49,50,55,53,56,101,45,48,55,32,50,46,53,54,54,56,53,101,45,48,55,
      10,32,32,49,46,51,51,54,57,54,101,45,48,55,32,55,46,48,56,52,51,52,101,45,48,
      56,32,51,46,50,48,55,56,56,101,45,48,56,32,49,46,52,53,52,57,50,101,45,48,56,
      32,53,46,54,52,52,51,50,101,45,48,57,32,50,46,53,54,53,49,55,101,45,48,57,32,
      55,46,50,56,48,54,101,45,49,48,10,32,32,50,46,49,57,53,57,101,45,49,48,32,57,
      46,52,53,56,53,49,101,45,49,49,32,51,46,54,57,53,48,50,101,45,49,49,32,49,46,
      48,53,55,48,53,101,45,49,49,32,51,46,53,52,49,51,101,45,49,50,32,49,46,49,56,
      55,57,101,45,49,50,32,51,46,52,49,49,56,52,101,45,49,51,10,32,32,57,46,56,49,
      50,49,56,101,45,49,52,32,51,46,51,48,48,56,54,101,45,49,52,32,49,46,49,49,49,
      52,49,101,45,49,52,32,51,46,55,52,53,51,52,101,45,49,53,32,57,46,56,55,53,52,
      101,45,49,54,32,50,46,52,51,53,51,101,45,49,54,32,53,46,49,52,55,53,51,101,
      45,49,55,10,32,32,49,46,50,55,50,52,52,101,45,49,55,32,50,46,54,56,54,51,52,
      101,45,49,56,32,54,46,54,50,51,57,56,101,45,49,57,32,49,46,54,49,54,57,51,101,
      45,49,57,32,51,46,52,51,48,55,57,101,45,50,48,32,53,46,48,54,49,50,50,101,45,
      50,49,32,48,114,49,48,54,32,52,46,54,50,57,49,53,101,45,48,56,10,32,32,49,46,
      56,53,54,50,101,45,48,55,32,52,46,49,55,57,56,52,101,45,48,55,32,52,46,54,50,
      57,49,52,101,45,48,55,32,49,46,56,53,54,49,53,101,45,48,54,32,52,46,49,55,57,
      52,56,101,45,48,54,32,55,46,52,50,55,57,101,45,48,54,32,49,46,49,54,48,48,55,
      101,45,48,53,10,32,32,49,46,54,55,48,54,49,101,45,48,53,32,50,46,50,55,50,57,
      52,101,45,48,53,32,50,46,57,54,56,50,57,101,45,48,53,32,51,46,55,53,53,54,49,
      101,45,48,53,32,52,46,54,51,52,55,52,101,45,48,53,32,53,46,54,48,53,57,54,101,
      45,48,53,32,54,46,54,54,57,48,55,101,45,48,53,10,32,32,55,46,56,50,51,52,101,
      45,48,53,32,57,46,48,54,57,49,55,101,45,48,53,32,46,48,48,48,49,48,52,48,54,
      49,32,46,48,48,48,49,49,56,51,51,54,32,46,48,48,48,49,51,51,53,49,55,32,46,
      48,48,48,49,52,57,53,57,55,32,46,48,48,48,49,54,54,53,55,55,32,46,48,48,48,
      49,56,52,52,52,57,10,32,32,46,48,48,48,50,48,51,50,49,54,32,46,48,48,48,50,
      50,50,56,55,50,32,46,48,48,48,50,52,51,52,49,49,32,46,48,48,48,50,54,52,56,
      50,56,32,46,48,48,48,50,56,55,49,50,57,32,46,48,48,48,51,49,48,51,48,51,32,
      46,48,48,48,51,51,52,51,52,54,32,46,48,48,48,51,53,57,50,53,56,10,32,32,46,
      48,48,48,51,56,53,48,51,57,32,46,48,48,48,52,49,49,54,56,51,32,46,48,48,48,
      52,51,57,51,50,54,32,46,48,48,48,52,54,55,54,57,52,32,46,48,48,48,52,57,54,
      57,51,54,32,46,48,48,48,53,50,55,48,50,49,32,46,48,48,48,53,53,55,57,54,50,
      32,46,48,48,48,53,56,57,55,56,56,10,32,32,46,48,48,48,54,50,50,52,54,32,46,
      48,48,48,54,53,53,57,55,55,32,46,48,48,48,54,57,48,52,49,49,32,46,48,48,48,
      55,50,53,54,57,50,32,46,48,48,48,55,54,49,56,50,32,46,48,48,48,55,57,56,56,
      55,32,46,48,48,48,56,51,54,55,56,55,32,46,48,48,48,56,55,53,53,53,50,10,32,
      32,46,48,48,48,57,49,53,50,52,32,46,48,48,48,57,53,53,56,49,57,32,46,48,48,
      48,57,57,55,50,52,57,32,46,48,48,49,48,51,57,53,57,32,46,48,48,49,48,56,50,
      56,51,32,46,48,48,49,49,50,54,57,51,32,46,48,48,49,49,55,49,57,51,32,46,48,
      48,49,50,49,55,56,52,10,32,32,46,48,48,49,50,54,52,54,49,32,46,48,48,49,51,
      49,50,50,53,32,46,48,48,49,51,54,48,56,49,32,46,48,48,49,52,49,48,50,50,32,
      46,48,48,49,52,54,48,52,57,32,46,48,48,49,53,49,49,54,57,32,46,48,48,49,53,
      54,51,55,51,32,46,48,48,49,54,49,54,54,52,10,32,32,46,48,48,49,54,55,48,52,
      53,32,46,48,48,49,55,50,53,49,50,32,46,48,48,49,55,56,48,54,53,32,46,48,48,
      49,56,51,55,48,57,32,46,48,48,49,56,57,52,52,49,32,46,48,48,49,57,53,50,53,
      56,32,46,48,48,50,48,49,49,54,56,32,46,48,48,50,48,55,49,54,57,10,32,32,46,
      48,48,50,49,51,50,53,54,32,46,48,48,50,49,57,52,51,54,32,46,48,48,50,50,53,
      55,49,54,32,46,48,48,50,51,50,48,56,49,32,46,48,48,50,51,56,53,51,55,32,46,
      48,48,50,52,53,49,48,55,32,46,48,48,50,53,49,55,54,49,32,46,48,48,50,53,56,
      53,48,49,10,32,32,46,48,48,50,54,53,51,55,51,32,46,48,48,50,55,50,51,50,57,
      32,46,48,48,50,55,57,51,54,56,32,46,48,48,50,56,54,53,52,51,32,46,48,48,50,
      57,51,56,52,52,32,46,48,48,51,48,49,49,57,51,32,46,48,48,51,48,56,54,55,49,
      32,46,48,48,51,49,54,50,53,49,10,32,32,46,48,48,51,50,51,57,49,50,32,46,48,
      48,51,51,49,54,56,57,32,46,48,48,51,51,57,53,56,32,46,48,48,51,52,55,53,52,
      56,32,46,48,48,51,53,53,54,49,57,32,46,48,48,51,54,51,56,49,32,46,48,48,51,
      55,50,48,55,55,32,46,48,48,51,56,48,52,51,50,32,46,48,48,51,56,56,57,49,10,
      32,32,46,48,48,51,57,55,52,54,52,32,46,48,48,52,48,54,48,57,53,32,46,48,48,
      52,49,52,56,52,52,32,46,48,48,52,50,51,54,55,32,46,48,48,52,51,50,53,55,51,
      32,46,48,48,52,52,49,53,55,54,32,46,48,48,52,53,48,54,53,55,32,46,48,48,52,
      53,57,56,50,51,32,46,48,48,52,54,57,48,54,56,10,32,32,46,48,48,52,55,56,51,
      57,54,32,46,48,48,52,56,55,56,48,54,32,46,48,48,52,57,55,50,57,32,46,48,48,
      53,48,54,56,52,56,32,46,48,48,53,49,54,52,57,32,46,48,48,53,50,54,50,48,49,
      32,46,48,48,53,51,53,57,56,32,46,48,48,53,52,53,56,51,57,32,46,48,48,53,53,
      53,55,55,53,10,32,32,46,48,48,53,54,53,55,53,53,32,46,48,48,53,55,53,56,49,
      54,32,46,48,48,53,56,53,57,54,49,32,46,48,48,53,57,54,49,50,54,32,46,48,48,
      54,48,54,51,55,50,32,46,48,48,54,49,54,55,32,46,48,48,54,50,55,48,51,57,32,
      46,48,48,54,51,55,52,52,51,32,46,48,48,54,52,55,57,51,49,10,32,32,46,48,48,
      54,53,56,52,50,52,32,46,48,48,54,54,56,57,54,51,32,46,48,48,54,55,57,53,55,
      50,32,46,48,48,54,57,48,50,48,49,32,46,48,48,55,48,48,56,52,49,32,46,48,48,
      55,49,49,53,52,52,32,46,48,48,55,50,50,50,55,50,32,46,48,48,55,51,50,57,56,
      57,10,32,32,46,48,48,55,52,51,55,53,52,32,46,48,48,55,53,52,53,52,57,32,46,
      48,48,55,54,53,51,51,52,32,46,48,48,55,55,54,49,52,56,32,46,48,48,55,56,54,
      57,57,32,46,48,48,55,57,55,56,52,52,32,46,48,48,56,48,56,55,49,56,32,46,48,
      48,56,49,57,54,48,51,32,46,48,48,56,51,48,53,52,57,10,32,32,46,48,48,56,52,
      49,53,49,50,32,46,48,48,56,53,50,52,55,56,32,46,48,48,56,54,51,53,50,57,32,
      46,48,48,56,55,52,54,50,55,32,46,48,48,56,56,53,55,50,53,32,46,48,48,56,57,
      54,57,49,49,32,46,48,48,57,48,56,49,55,57,32,46,48,48,57,49,57,52,53,55,10,
      32,32,46,48,48,57,51,48,55,57,57,32,46,48,48,57,52,50,50,53,56,32,46,48,48,
      57,53,51,55,51,50,32,46,48,48,57,54,53,50,53,50,32,46,48,48,57,55,54,56,57,
      50,32,46,48,48,57,56,56,53,53,56,32,46,48,49,48,48,48,50,53,32,46,48,49,48,
      49,50,48,52,32,46,48,49,48,50,51,56,55,10,32,32,46,48,49,48,51,53,55,49,32,
      46,48,49,48,53,49,53,56,32,46,48,49,48,56,56,54,32,46,48,49,49,52,51,32,46,
      48,49,50,51,48,51,54,32,46,48,49,51,49,52,51,52,32,46,48,49,51,57,55,54,55,
      32,46,48,49,52,56,51,49,52,32,46,48,49,53,55,49,55,57,32,46,48,49,54,54,50,
      55,10,32,32,46,48,49,55,53,52,50,54,32,46,48,49,56,52,52,57,50,32,46,48,49,
      57,51,51,53,54,32,46,48,50,48,49,57,54,32,46,48,50,49,48,50,51,54,32,46,48,
      50,49,57,54,57,56,32,46,48,50,50,56,54,48,56,32,46,48,50,51,57,53,56,53,32,
      46,48,50,52,57,53,51,52,10,32,32,46,48,50,53,56,52,57,54,32,46,48,50,54,56,
      52,48,51,32,46,48,50,55,55,49,48,52,32,46,48,50,56,53,51,55,53,32,46,48,50,
      57,53,56,53,55,32,46,48,51,48,56,49,51,51,32,46,48,51,50,54,56,54,50,32,46,
      48,51,52,54,55,50,53,32,46,48,51,54,54,48,48,53,10,32,32,46,48,51,56,53,49,
      57,50,32,46,48,52,48,50,51,52,32,46,48,52,49,54,54,55,55,32,46,48,52,50,56,
      56,54,57,32,46,48,52,51,56,57,56,51,32,46,48,52,52,56,56,55,51,32,46,48,52,
      53,57,48,48,52,32,46,48,52,55,51,56,51,55,32,46,48,52,57,56,52,57,54,10,32,
      32,46,48,53,50,50,48,52,53,32,46,48,53,51,51,52,56,52,32,46,48,53,51,54,57,
      51,57,32,46,48,53,50,52,57,51,50,32,46,48,53,48,48,52,56,50,32,46,48,52,54,
      56,53,48,54,32,46,48,52,50,56,56,49,54,32,46,48,51,57,48,51,57,49,32,46,48,
      51,53,53,53,52,57,10,32,32,46,48,51,51,48,49,57,51,32,46,48,51,49,57,51,54,
      54,32,46,48,51,49,57,52,52,56,32,46,48,51,49,50,57,50,54,32,46,48,50,57,57,
      57,49,49,32,46,48,50,55,54,52,52,32,46,48,50,51,53,52,57,53,32,46,48,49,57,
      53,56,56,57,32,46,48,49,54,52,51,51,56,10,32,32,46,48,49,52,50,57,49,56,32,
      46,48,49,49,56,52,53,57,32,46,48,48,57,55,49,57,57,54,32,46,48,48,55,56,52,
      50,57,54,32,46,48,48,54,52,57,49,54,50,32,46,48,48,53,53,54,53,56,52,32,46,
      48,48,52,57,56,48,53,54,32,46,48,48,52,52,54,55,48,54,32,46,48,48,51,57,51,
      53,51,49,10,32,32,46,48,48,51,52,52,54,56,57,32,46,48,48,50,52,52,49,49,55,
      32,46,48,48,49,54,54,49,57,32,46,48,48,49,49,56,57,50,52,32,46,48,48,48,56,
      57,55,52,49,51,32,46,48,48,48,56,48,53,55,49,54,32,46,48,48,48,54,49,51,54,
      49,57,32,46,48,48,48,52,55,49,51,50,10,32,32,46,48,48,48,51,54,53,55,56,53,
      32,46,48,48,48,50,56,55,51,49,55,32,46,48,48,48,50,49,57,57,51,57,32,46,48,
      48,48,49,56,49,48,48,55,32,46,48,48,48,49,52,57,49,49,56,32,46,48,48,48,49,
      48,56,53,57,53,32,56,46,57,52,56,49,52,101,45,48,53,32,54,46,54,48,50,50,55,
      101,45,48,53,10,32,32,52,46,55,57,49,53,57,101,45,48,53,32,51,46,57,53,53,48,
      56,101,45,48,53,32,51,46,50,54,51,52,51,101,45,48,53,32,50,46,52,48,56,57,57,
      101,45,48,53,32,49,46,55,50,51,55,51,101,45,48,53,32,49,46,52,51,49,54,55,101,
      45,48,53,32,49,46,48,54,49,49,52,101,45,48,53,10,32,32,56,46,56,52,48,55,101,
      45,48,54,32,54,46,53,55,48,54,53,101,45,48,54,32,53,46,49,53,56,57,51,101,45,
      48,54,32,55,46,57,57,57,48,53,101,45,48,54,32,55,46,48,52,49,54,101,45,48,54,
      32,53,46,53,48,57,55,49,101,45,48,54,32,52,46,50,48,50,55,51,101,45,48,54,10,
      32,32,51,46,51,53,52,55,57,101,45,48,54,32,50,46,54,55,56,54,51,101,45,48,54,
      32,50,46,49,55,48,52,50,101,45,48,54,32,49,46,55,54,52,54,54,101,45,48,54,32,
      49,46,52,48,51,50,49,101,45,48,54,32,49,46,49,52,53,101,45,48,54,32,57,46,49,
      53,50,52,55,101,45,48,55,10,32,32,55,46,55,54,51,49,101,45,48,55,32,53,46,57,
      51,54,49,57,101,45,48,55,32,53,46,48,51,54,52,53,101,45,48,55,32,52,46,49,48,
      54,53,53,101,45,48,55,32,50,46,53,53,52,50,101,45,48,55,32,49,46,51,51,48,52,
      54,101,45,48,55,32,55,46,48,53,48,51,49,101,45,48,56,10,32,32,51,46,49,57,50,
      55,49,101,45,48,56,32,49,46,52,52,56,49,52,101,45,48,56,32,53,46,54,49,56,52,
      101,45,48,57,32,50,46,53,53,53,56,54,101,45,48,57,32,55,46,50,53,52,55,51,101,
      45,49,48,32,50,46,49,56,56,50,53,101,45,49,48,32,57,46,52,50,53,57,49,101,45,
      49,49,10,32,32,51,46,54,56,50,52,51,101,45,49,49,32,49,46,48,53,51,53,49,101,
      45,49,49,32,51,46,53,50,57,54,52,101,45,49,50,32,49,46,49,56,52,48,53,101,45,
      49,50,32,51,46,52,48,50,55,53,101,45,49,51,32,57,46,55,56,54,49,50,101,45,49,
      52,32,51,46,50,57,50,49,54,101,45,49,52,10,32,32,49,46,49,48,56,53,51,101,45,
      49,52,32,51,46,55,51,53,55,53,101,45,49,53,32,57,46,56,53,53,50,51,101,45,49,
      54,32,50,46,52,51,48,52,56,101,45,49,54,32,53,46,49,51,55,53,56,101,45,49,55,
      32,49,46,50,55,48,48,49,101,45,49,55,32,50,46,54,56,49,50,51,101,45,49,56,10,
      32,32,54,46,54,49,49,52,57,101,45,49,57,32,49,46,54,49,51,55,51,101,45,49,57,
      32,51,46,52,50,52,49,56,101,45,50,48,32,53,46,48,52,52,54,51,101,45,50,49,32,
      48,114,49,48,54,32,52,46,50,50,54,51,49,101,45,48,56,32,49,46,54,57,52,54,55,
      101,45,48,55,32,51,46,56,49,54,49,49,101,45,48,55,10,32,32,52,46,50,50,54,51,
      49,101,45,48,55,32,49,46,54,57,52,54,53,101,45,48,54,32,51,46,56,49,53,57,49,
      101,45,48,54,32,54,46,55,56,49,57,54,101,45,48,54,32,49,46,48,53,57,50,51,101,
      45,48,53,32,49,46,53,50,53,52,54,101,45,48,53,32,50,46,48,55,53,53,53,101,45,
      48,53,10,32,32,50,46,55,49,48,54,55,101,45,48,53,32,51,46,52,50,57,56,56,101,
      45,48,53,32,52,46,50,51,51,48,53,101,45,48,53,32,53,46,49,50,48,52,55,101,45,
      48,53,32,54,46,48,57,50,48,49,101,45,48,53,32,55,46,49,52,55,48,54,101,45,48,
      53,32,56,46,50,56,53,56,57,101,45,48,53,10,32,32,57,46,53,48,56,51,49,101,45,
      48,53,32,46,48,48,48,49,48,56,49,51,55,32,46,48,48,48,49,50,50,48,50,50,32,
      46,48,48,48,49,51,54,55,51,51,32,46,48,48,48,49,53,50,50,55,49,32,46,48,48,
      48,49,54,56,54,50,57,32,46,48,48,48,49,56,53,56,48,56,32,46,48,48,48,50,48,
      51,56,48,55,10,32,32,46,48,48,48,50,50,50,54,49,57,32,46,48,48,48,50,52,50,
      50,51,57,32,46,48,48,48,50,54,50,54,55,52,32,46,48,48,48,50,56,51,57,49,52,
      32,46,48,48,48,51,48,53,57,53,54,32,46,48,48,48,51,50,56,56,32,46,48,48,48,
      51,53,50,52,52,54,32,46,48,48,48,51,55,54,56,57,10,32,32,46,48,48,48,52,48,
      50,49,50,56,32,46,48,48,48,52,50,56,50,49,32,46,48,48,48,52,53,53,49,50,53,
      32,46,48,48,48,52,56,50,55,52,57,32,46,48,48,48,53,49,49,49,54,53,32,46,48,
      48,48,53,52,48,51,57,54,32,46,48,48,48,53,55,48,52,48,56,32,46,48,48,48,54,
      48,49,50,48,53,10,32,32,46,48,48,48,54,51,50,56,52,32,46,48,48,48,54,54,53,
      50,53,57,32,46,48,48,48,54,57,56,52,54,50,32,46,48,48,48,55,51,50,53,48,56,
      32,46,48,48,48,55,54,55,51,53,52,32,46,48,48,48,56,48,50,57,56,53,32,46,48,
      48,48,56,51,57,52,54,32,46,48,48,48,56,55,54,55,53,52,10,32,32,46,48,48,48,
      57,49,52,56,51,53,32,46,48,48,48,57,53,51,55,52,56,32,46,48,48,48,57,57,51,
      52,57,51,32,46,48,48,49,48,51,52,48,51,32,46,48,48,49,48,55,53,51,57,32,46,
      48,48,49,49,49,55,53,56,32,46,48,48,49,49,54,48,53,55,32,46,48,48,49,50,48,
      52,51,54,10,32,32,46,48,48,49,50,52,57,32,46,48,48,49,50,57,52,52,50,32,46,
      48,48,49,51,52,48,54,52,32,46,48,48,49,51,56,55,55,32,46,48,48,49,52,51,53,
      53,53,32,46,48,48,49,52,56,52,49,57,32,46,48,48,49,53,51,51,54,55,32,46,48,
      48,49,53,56,51,57,52,32,46,48,48,49,54,51,53,10,32,32,46,48,48,49,54,56,54,
      57,32,46,48,48,49,55,51,57,54,32,46,48,48,49,55,57,51,49,32,46,48,48,49,56,
      52,55,52,52,32,46,48,48,49,57,48,50,54,50,32,46,48,48,49,57,53,56,53,57,32,
      46,48,48,50,48,49,53,52,49,32,46,48,48,50,48,55,51,49,52,32,46,48,48,50,49,
      51,49,54,54,10,32,32,46,48,48,50,49,57,49,48,49,32,46,48,48,50,50,53,49,51,
      56,32,46,48,48,50,51,49,50,53,51,32,46,48,48,50,51,55,52,52,55,32,46,48,48,
      50,52,51,55,53,55,32,46,48,48,50,53,48,49,52,54,32,46,48,48,50,53,54,54,49,
      49,32,46,48,48,50,54,51,49,57,54,10,32,32,46,48,48,50,54,57,56,54,51,32,46,
      48,48,50,55,54,54,48,56,32,46,48,48,50,56,51,52,54,54,32,46,48,48,50,57,48,
      52,52,54,32,46,48,48,50,57,55,52,55,50,32,46,48,48,51,48,52,54,48,50,32,46,
      48,48,51,49,49,56,51,50,32,46,48,48,51,49,57,49,51,53,10,32,32,46,48,48,51,
      50,54,53,51,49,32,46,48,48,51,51,52,48,51,50,32,46,48,48,51,52,49,54,48,54,
      32,46,48,48,51,52,57,50,54,49,32,46,48,48,51,53,55,48,50,51,32,46,48,48,51,
      54,52,56,53,55,32,46,48,48,51,55,50,55,54,51,32,46,48,48,51,56,48,55,55,52,
      10,32,32,46,48,48,51,56,56,56,53,55,32,46,48,48,51,57,55,48,49,50,32,46,48,
      48,52,48,53,50,53,56,32,46,48,48,52,49,51,53,55,54,32,46,48,48,52,50,49,57,
      55,51,32,46,48,48,52,51,48,52,52,51,32,46,48,48,52,51,56,57,57,49,32,46,48,
      48,52,52,55,54,49,54,10,32,32,46,48,48,52,53,54,51,49,32,46,48,48,52,54,53,
      48,55,51,32,46,48,48,52,55,51,57,49,53,32,46,48,48,52,56,50,56,50,51,32,46,
      48,48,52,57,49,55,57,54,32,46,48,48,53,48,48,56,52,52,32,46,48,48,53,48,57,
      57,54,52,32,46,48,48,53,49,57,49,51,32,46,48,48,53,50,56,51,55,50,10,32,32,
      46,48,48,53,51,55,54,57,51,32,46,48,48,53,52,55,48,52,50,32,46,48,48,53,53,
      54,52,54,54,32,46,48,48,53,54,53,57,54,53,32,46,48,48,53,55,53,52,56,55,32,
      46,48,48,53,56,53,48,55,32,46,48,48,53,57,52,55,51,50,32,46,48,48,54,48,52,
      52,49,32,46,48,48,54,49,52,49,51,54,10,32,32,46,48,48,54,50,51,57,50,57,32,
      46,48,48,54,51,51,55,52,57,32,46,48,48,54,52,51,53,56,57,32,46,48,48,54,53,
      51,52,57,49,32,46,48,48,54,54,51,52,50,52,32,46,48,48,54,55,51,51,53,57,32,
      46,48,48,54,56,51,51,52,51,32,46,48,48,54,57,51,51,54,49,10,32,32,46,48,48,
      55,48,51,51,56,51,32,46,48,48,55,49,51,52,51,55,32,46,48,48,55,50,51,53,50,
      53,32,46,48,48,55,51,51,54,51,50,32,46,48,48,55,52,51,55,54,53,32,46,48,48,
      55,53,51,57,49,53,32,46,48,48,55,54,52,49,50,52,32,46,48,48,55,55,52,51,53,
      54,10,32,32,46,48,48,55,56,52,54,32,46,48,48,55,57,52,57,50,32,46,48,48,56,
      48,53,50,56,55,32,46,48,48,56,49,53,54,54,50,32,46,48,48,56,50,54,49,49,56,
      32,46,48,48,56,51,54,54,52,55,32,46,48,48,56,52,55,49,57,51,32,46,48,48,56,
      53,55,56,32,46,48,48,56,54,56,53,48,57,10,32,32,46,48,48,56,55,57,50,51,56,
      32,46,48,48,56,57,48,48,49,52,32,46,48,48,57,48,48,56,57,53,32,46,48,48,57,
      49,49,56,48,53,32,46,48,48,57,50,50,55,52,50,32,46,48,48,57,51,51,55,55,51,
      32,46,48,48,57,52,52,56,51,57,32,46,48,48,57,53,53,57,50,55,10,32,32,46,48,
      48,57,55,48,55,56,32,46,48,49,48,48,53,52,55,32,46,48,49,48,53,54,53,54,32,
      46,48,49,49,51,56,56,56,32,46,48,49,50,49,56,51,32,46,48,49,50,57,55,48,55,
      32,46,48,49,51,55,55,53,57,32,46,48,49,52,54,48,55,56,32,46,48,49,53,52,53,
      56,55,10,32,32,46,48,49,54,51,49,53,49,32,46,48,49,55,49,54,51,56,32,46,48,
      49,55,57,57,53,32,46,48,49,56,56,48,52,32,46,48,49,57,53,56,52,56,32,46,48,
      50,48,52,56,49,49,32,46,48,50,49,51,50,57,53,32,46,48,50,50,51,56,49,55,32,
      46,48,50,51,51,52,51,49,32,46,48,50,52,50,49,54,52,10,32,32,46,48,50,53,49,
      57,49,32,46,48,50,54,48,53,53,32,46,48,50,54,56,55,54,57,32,46,48,50,55,57,
      48,56,52,32,46,48,50,57,48,57,56,52,32,46,48,51,48,56,57,53,53,32,46,48,51,
      50,55,57,52,32,46,48,51,52,54,51,56,57,32,46,48,51,54,52,56,54,54,32,46,48,
      51,56,49,53,57,54,10,32,32,46,48,51,57,53,56,51,50,32,46,48,52,48,56,49,51,
      53,32,46,48,52,49,56,53,50,57,32,46,48,52,50,56,55,54,57,32,46,48,52,51,57,
      49,51,50,32,46,48,52,53,51,57,49,55,32,46,48,52,55,56,48,53,57,32,46,48,53,
      48,49,49,55,53,32,46,48,53,49,50,54,52,57,10,32,32,46,48,53,49,54,55,52,50,
      32,46,48,53,48,54,50,56,53,32,46,48,52,56,51,56,54,49,32,46,48,52,53,52,48,
      51,54,32,46,48,52,49,54,53,57,51,32,46,48,51,56,48,48,55,53,32,46,48,51,52,
      54,56,49,32,46,48,51,50,50,54,49,52,32,46,48,51,49,50,52,54,54,10,32,32,46,
      48,51,49,50,56,49,55,32,46,48,51,48,54,55,48,56,32,46,48,50,57,52,50,49,51,
      32,46,48,50,55,49,52,57,55,32,46,48,50,51,49,54,56,49,32,46,48,49,57,51,48,
      50,57,32,46,48,49,54,50,49,53,54,32,46,48,49,52,49,49,53,52,32,46,48,49,49,
      55,49,50,56,10,32,32,46,48,48,57,54,50,48,50,51,32,46,48,48,55,55,54,57,52,
      56,32,46,48,48,54,52,51,53,50,54,32,46,48,48,53,53,50,48,52,54,32,46,48,48,
      52,57,52,49,56,55,32,46,48,48,52,52,51,51,56,56,32,46,48,48,51,57,48,55,52,
      51,32,46,48,48,51,52,50,51,53,50,10,32,32,46,48,48,50,52,50,54,50,50,32,46,
      48,48,49,54,53,50,55,32,46,48,48,49,49,56,51,49,55,32,46,48,48,48,56,57,51,
      49,51,53,32,46,48,48,48,56,48,49,57,57,55,32,46,48,48,48,54,49,48,57,53,49,
      32,46,48,48,48,52,54,57,51,56,51,32,46,48,48,48,51,54,52,51,53,53,10,32,32,
      46,48,48,48,50,56,54,50,52,52,32,46,48,48,48,50,49,57,49,53,56,32,46,48,48,
      48,49,56,48,51,56,54,32,46,48,48,48,49,52,56,54,50,51,32,46,48,48,48,49,48,
      56,50,53,51,32,56,46,57,50,48,56,52,101,45,48,53,32,54,46,53,56,51,48,53,101,
      45,48,53,32,52,46,55,55,56,50,55,101,45,48,53,10,32,32,51,46,57,52,52,51,57,
      101,45,48,53,32,51,46,50,53,52,56,51,101,45,48,53,32,50,46,52,48,50,56,57,101,
      45,48,53,32,49,46,55,49,57,53,54,101,45,48,53,32,49,46,52,50,56,50,56,101,45,
      48,53,32,49,46,48,53,56,55,50,101,45,48,53,32,56,46,56,50,48,57,54,101,45,48,
      54,10,32,32,54,46,53,53,54,52,52,101,45,48,54,32,53,46,49,52,56,50,101,45,48,
      54,32,55,46,57,52,56,56,55,101,45,48,54,32,54,46,57,57,55,54,101,45,48,54,32,
      53,46,52,55,55,49,54,101,45,48,54,32,52,46,49,55,56,57,57,101,45,48,54,32,51,
      46,51,51,53,57,54,101,45,48,54,10,32,32,50,46,54,54,51,54,57,101,45,48,54,32,
      50,46,49,53,56,51,56,101,45,48,54,32,49,46,55,53,52,57,50,101,45,48,54,32,49,
      46,51,57,53,53,49,101,45,48,54,32,49,46,49,51,56,55,53,101,45,48,54,32,57,46,
      49,48,50,55,55,101,45,48,55,32,55,46,55,50,49,48,57,101,45,48,55,10,32,32,53,
      46,57,48,52,50,55,101,45,48,55,32,53,46,48,48,57,52,56,101,45,48,55,32,52,46,
      48,56,52,54,54,101,45,48,55,32,50,46,53,52,49,50,54,101,45,48,55,32,49,46,51,
      50,52,101,45,48,55,32,55,46,48,49,54,53,101,45,48,56,32,51,46,49,55,55,54,52,
      101,45,48,56,10,32,32,49,46,52,52,49,52,101,45,48,56,32,53,46,53,57,50,54,51,
      101,45,48,57,32,50,46,53,52,52,51,57,101,45,48,57,32,55,46,50,50,57,49,49,101,
      45,49,48,32,50,46,49,56,48,54,57,101,45,49,48,32,57,46,51,57,51,53,55,101,45,
      49,49,32,51,46,54,54,57,57,54,101,45,49,49,10,32,32,49,46,48,53,48,48,49,101,
      45,49,49,32,51,46,53,49,56,49,49,101,45,49,50,32,49,46,49,56,48,50,53,101,45,
      49,50,32,51,46,51,57,49,57,55,101,45,49,51,32,57,46,55,54,48,50,52,101,45,49,
      52,32,51,46,50,56,51,53,56,101,45,49,52,32,49,46,49,48,53,54,56,101,45,49,52,
      10,32,32,51,46,55,50,54,50,57,101,45,49,53,32,57,46,56,51,53,52,52,101,45,49,
      54,32,50,46,52,50,53,55,54,101,45,49,54,32,53,46,49,50,55,55,51,101,45,49,55,
      32,49,46,50,54,55,53,57,101,45,49,55,32,50,46,54,55,54,50,50,101,45,49,56,32,
      54,46,53,57,57,50,53,101,45,49,57,10,32,32,49,46,54,49,48,54,101,45,49,57,32,
      51,46,52,49,55,55,101,45,50,48,32,53,46,48,50,52,57,54,101,45,50,49,32,48,114,
      49,48,54,32,51,46,56,53,51,51,51,101,45,48,56,32,49,46,53,52,53,49,49,101,45,
      48,55,32,51,46,52,55,57,51,52,101,45,48,55,32,51,46,56,53,51,51,52,101,45,48,
      55,10,32,32,49,46,53,52,53,49,50,101,45,48,54,32,51,46,52,55,57,50,56,101,45,
      48,54,32,54,46,49,56,51,56,52,101,45,48,54,32,57,46,54,53,56,52,55,101,45,48,
      54,32,49,46,51,57,49,48,51,101,45,48,53,32,49,46,56,57,50,55,53,101,45,48,53,
      32,50,46,52,55,50,48,54,101,45,48,53,10,32,32,51,46,49,50,56,49,53,101,45,48,
      53,32,51,46,56,54,48,57,51,101,45,48,53,32,52,46,54,55,48,54,56,101,45,48,53,
      32,53,46,53,53,55,51,49,101,45,48,53,32,54,46,53,50,48,51,101,45,48,53,32,55,
      46,53,53,57,57,51,101,45,48,53,32,56,46,54,55,54,48,54,101,45,48,53,10,32,32,
      57,46,56,54,56,49,54,101,45,48,53,32,46,48,48,48,49,49,49,51,54,52,32,46,48,
      48,48,49,50,52,56,48,52,32,46,48,48,48,49,51,57,48,48,49,32,46,48,48,48,49,
      53,51,57,53,50,32,46,48,48,48,49,54,57,54,53,55,32,46,48,48,48,49,56,54,49,
      49,52,32,46,48,48,48,50,48,51,51,49,57,10,32,32,46,48,48,48,50,50,49,50,54,
      56,32,46,48,48,48,50,51,57,57,54,54,32,46,48,48,48,50,53,57,52,48,54,32,46,
      48,48,48,50,55,57,53,56,52,32,46,48,48,48,51,48,48,53,48,49,32,46,48,48,48,
      51,50,50,49,53,56,32,46,48,48,48,51,52,52,53,52,57,32,46,48,48,48,51,54,55,
      54,55,53,10,32,32,46,48,48,48,51,57,49,53,51,49,32,46,48,48,48,52,49,54,49,
      51,50,32,46,48,48,48,52,52,49,53,52,54,32,46,48,48,48,52,54,55,54,50,49,32,
      46,48,48,48,52,57,52,52,50,55,32,46,48,48,48,53,50,49,57,53,55,32,46,48,48,
      48,53,53,48,50,49,32,46,48,48,48,53,55,57,50,51,10,32,32,46,48,48,48,54,48,
      56,57,55,52,32,46,48,48,48,54,51,57,52,52,52,32,46,48,48,48,54,55,48,54,56,
      49,32,46,48,48,48,55,48,50,54,53,55,32,46,48,48,48,55,51,53,51,53,54,32,46,
      48,48,48,55,54,56,56,50,55,32,46,48,48,48,56,48,51,48,53,32,46,48,48,48,56,
      51,56,10,32,32,46,48,48,48,56,55,51,55,49,49,32,46,48,48,48,57,49,48,49,56,
      51,32,46,48,48,48,57,52,55,51,56,55,32,46,48,48,48,57,56,53,51,52,51,32,46,
      48,48,49,48,50,52,48,55,32,46,48,48,49,48,54,51,53,50,32,46,48,48,49,49,48,
      51,55,49,32,46,48,48,49,49,52,52,54,56,10,32,32,46,48,48,49,49,56,54,51,55,
      32,46,48,48,49,50,50,56,55,57,32,46,48,48,49,50,55,49,57,57,32,46,48,48,49,
      51,49,53,57,50,32,46,48,48,49,51,54,48,53,55,32,46,48,48,49,52,48,53,57,57,
      32,46,48,48,49,52,53,50,49,52,32,46,48,48,49,52,57,57,48,50,10,32,32,46,48,
      48,49,53,52,54,54,55,32,46,48,48,49,53,57,53,48,54,32,46,48,48,49,54,52,52,
      49,56,32,46,48,48,49,54,57,52,48,55,32,46,48,48,49,55,52,52,55,51,32,46,48,
      48,49,55,57,54,49,50,32,46,48,48,49,56,52,56,50,57,32,46,48,48,49,57,48,49,
      50,56,10,32,32,46,48,48,49,57,53,52,57,57,32,46,48,48,50,48,48,57,52,55,32,
      46,48,48,50,48,54,52,56,54,32,46,48,48,50,49,50,48,57,55,32,46,48,48,50,49,
      55,55,56,32,46,48,48,50,50,51,53,54,54,32,46,48,48,50,50,57,52,50,52,32,46,
      48,48,50,51,53,51,53,51,32,46,48,48,50,52,49,51,56,55,10,32,32,46,48,48,50,
      52,55,52,57,54,32,46,48,48,50,53,51,54,55,56,32,46,48,48,50,53,57,57,53,56,
      32,46,48,48,50,54,54,51,50,50,32,46,48,48,50,55,50,55,53,53,32,46,48,48,50,
      55,57,50,56,49,32,46,48,48,50,56,53,56,57,54,32,46,48,48,50,57,50,54,48,54,
      10,32,32,46,48,48,50,57,57,51,55,52,32,46,48,48,51,48,54,50,51,52,32,46,48,
      48,51,49,51,49,54,50,32,46,48,48,51,50,48,49,54,53,32,46,48,48,51,50,55,50,
      54,50,32,46,48,48,51,51,52,52,50,54,32,46,48,48,51,52,49,54,53,56,32,46,48,
      48,51,52,56,57,56,51,10,32,32,46,48,48,51,53,54,51,55,53,32,46,48,48,51,54,
      51,56,51,51,32,46,48,48,51,55,49,51,55,53,32,46,48,48,51,55,56,57,56,51,32,
      46,48,48,51,56,54,54,54,53,32,46,48,48,51,57,52,52,49,52,32,46,48,48,52,48,
      50,50,51,54,32,46,48,48,52,49,48,49,50,57,10,32,32,46,48,48,52,49,56,48,56,
      55,32,46,48,48,52,50,54,49,49,49,32,46,48,48,52,51,52,50,48,54,32,46,48,48,
      52,52,50,51,54,53,32,46,48,48,52,53,48,53,56,55,32,46,48,48,52,53,56,56,55,
      56,32,46,48,48,52,54,55,50,51,55,32,46,48,48,52,55,53,54,52,52,10,32,32,46,
      48,48,52,56,52,49,50,49,32,46,48,48,52,57,50,54,55,49,32,46,48,48,53,48,49,
      50,53,54,32,46,48,48,53,48,57,57,49,32,46,48,48,53,49,56,54,51,52,32,46,48,
      48,53,50,55,51,56,57,32,46,48,48,53,51,54,50,48,51,32,46,48,48,53,52,53,48,
      56,57,32,46,48,48,53,53,52,48,48,49,10,32,32,46,48,48,53,54,50,57,54,50,32,
      46,48,48,53,55,49,57,56,54,32,46,48,48,53,56,49,48,52,52,32,46,48,48,53,57,
      48,49,50,57,32,46,48,48,53,57,57,50,55,52,32,46,48,48,54,48,56,52,53,52,32,
      46,48,48,54,49,55,54,52,55,32,46,48,48,54,50,54,56,57,32,46,48,48,54,51,54,
      49,55,49,10,32,32,46,48,48,54,52,53,52,54,53,32,46,48,48,54,53,52,55,57,53,
      32,46,48,48,54,54,52,49,54,50,32,46,48,48,54,55,51,53,53,52,32,46,48,48,54,
      56,50,57,55,55,32,46,48,48,54,57,50,52,50,51,32,46,48,48,55,48,49,57,50,53,
      32,46,48,48,55,49,49,52,53,52,10,32,32,46,48,48,55,50,49,48,48,50,32,46,48,
      48,55,51,48,54,49,57,32,46,48,48,55,52,48,50,56,51,32,46,48,48,55,52,57,57,
      54,50,32,46,48,48,55,53,57,55,49,51,32,46,48,48,55,54,57,53,51,50,32,46,48,
      48,55,55,57,51,55,49,32,46,48,48,55,56,57,50,54,57,10,32,32,46,48,48,55,57,
      57,50,53,55,32,46,48,48,56,48,57,50,54,56,32,46,48,48,56,49,57,51,50,54,32,
      46,48,48,56,50,57,52,55,54,32,46,48,48,56,51,57,54,53,56,32,46,48,48,56,52,
      57,56,55,32,46,48,48,56,54,48,49,54,53,32,46,48,48,56,55,48,52,57,54,32,46,
      48,48,56,56,48,56,53,51,10,32,32,46,48,48,56,57,52,55,50,57,32,46,48,48,57,
      50,55,49,54,57,32,46,48,48,57,55,53,48,51,50,32,46,48,49,48,53,50,52,51,32,
      46,48,49,49,50,55,51,52,32,46,48,49,50,48,49,54,50,32,46,48,49,50,55,55,51,
      50,32,46,48,49,51,53,53,50,51,32,46,48,49,52,51,52,55,50,10,32,32,46,48,49,
      53,49,52,54,55,32,46,48,49,53,57,51,57,54,32,46,48,49,54,55,49,55,55,32,46,
      48,49,55,52,55,54,56,32,46,48,49,56,50,49,49,56,32,46,48,49,57,48,53,57,32,
      46,48,49,57,56,54,52,57,32,46,48,50,48,56,55,48,56,32,46,48,50,49,55,57,55,
      49,10,32,32,46,48,50,50,54,52,53,51,32,46,48,50,51,54,48,48,53,32,46,48,50,
      52,52,53,52,57,32,46,48,50,53,50,54,56,51,32,46,48,50,54,50,56,48,55,32,46,
      48,50,55,52,51,50,49,32,46,48,50,57,49,53,51,55,32,46,48,51,48,57,54,53,51,
      32,46,48,51,50,55,50,56,49,10,32,32,46,48,51,52,53,48,52,57,32,46,48,51,54,
      49,51,52,54,32,46,48,51,55,53,52,53,51,32,46,48,51,56,55,56,51,55,32,46,48,
      51,57,56,52,55,57,32,46,48,52,48,57,48,51,56,32,46,48,52,49,57,54,49,52,32,
      46,48,52,51,52,51,52,32,46,48,52,53,55,57,54,53,10,32,32,46,48,52,56,48,54,
      52,55,32,46,48,52,57,50,49,52,57,32,46,48,52,57,54,56,54,49,32,46,48,52,56,
      55,57,49,55,32,46,48,52,54,55,52,55,54,32,46,48,52,51,57,55,53,57,32,46,48,
      52,48,52,53,49,55,32,46,48,51,54,57,56,55,32,46,48,51,51,56,49,53,50,10,32,
      32,46,48,51,49,53,48,57,52,32,46,48,51,48,53,54,49,32,46,48,51,48,54,50,50,
      50,32,46,48,51,48,48,53,49,53,32,46,48,50,56,56,53,51,51,32,46,48,50,54,54,
      53,54,50,32,46,48,50,50,55,56,54,52,32,46,48,49,57,48,49,54,49,32,46,48,49,
      53,57,57,54,51,10,32,32,46,48,49,51,57,51,55,55,32,46,48,49,49,53,55,56,53,
      32,46,48,48,57,53,49,57,53,51,32,46,48,48,55,54,57,53,49,54,32,46,48,48,54,
      51,55,56,50,49,32,46,48,48,53,52,55,52,52,56,32,46,48,48,52,57,48,50,54,53,
      32,46,48,48,52,52,48,48,50,52,32,46,48,48,51,56,55,57,49,53,10,32,32,46,48,
      48,51,51,57,57,55,57,32,46,48,48,50,52,49,49,48,50,32,46,48,48,49,54,52,51,
      51,53,32,46,48,48,49,49,55,54,57,57,32,46,48,48,48,56,56,56,55,56,32,46,48,
      48,48,55,57,56,50,48,56,32,46,48,48,48,54,48,56,50,51,51,32,46,48,48,48,52,
      54,55,52,48,55,10,32,32,46,48,48,48,51,54,50,56,57,56,32,46,48,48,48,50,56,
      53,49,53,51,32,46,48,48,48,50,49,56,51,54,49,32,46,48,48,48,49,55,57,55,53,
      51,32,46,48,48,48,49,52,56,49,49,57,32,46,48,48,48,49,48,55,57,48,52,32,56,
      46,56,57,50,57,50,101,45,48,53,32,54,46,53,54,51,52,51,101,45,48,53,10,32,32,
      52,46,55,54,52,54,56,101,45,48,53,32,51,46,57,51,51,52,54,101,45,48,53,32,51,
      46,50,52,54,48,53,101,45,48,53,32,50,46,51,57,54,54,55,101,45,48,53,32,49,46,
      55,49,53,50,56,101,45,48,53,32,49,46,52,50,52,56,49,101,45,48,53,32,49,46,48,
      53,54,50,52,101,45,48,53,10,32,32,56,46,56,48,48,56,101,45,48,54,32,54,46,53,
      52,49,57,53,101,45,48,54,32,53,46,49,51,55,50,50,101,45,48,54,32,55,46,56,57,
      56,56,57,101,45,48,54,32,54,46,57,53,51,55,56,101,45,48,54,32,53,46,52,52,51,
      49,49,101,45,48,54,32,52,46,49,53,51,55,57,101,45,48,54,10,32,32,51,46,51,49,
      54,57,51,101,45,48,54,32,50,46,54,52,56,56,51,101,45,48,54,32,50,46,49,52,54,
      52,49,101,45,48,54,32,49,46,55,52,53,50,52,101,45,48,54,32,49,46,51,56,55,56,
      54,101,45,48,54,32,49,46,49,51,50,53,52,101,45,48,54,32,57,46,48,53,51,51,51,
      101,45,48,55,10,32,32,55,46,54,55,57,51,50,101,45,48,55,32,53,46,56,55,50,53,
      51,101,45,48,55,32,52,46,57,56,50,54,53,101,45,48,55,32,52,46,48,54,50,56,57,
      101,45,48,55,32,50,46,53,50,55,56,54,101,45,48,55,32,49,46,51,49,55,52,57,101,
      45,48,55,32,54,46,57,56,50,57,50,101,45,48,56,10,32,32,51,46,49,54,50,54,55,
      101,45,48,56,32,49,46,52,51,52,55,49,101,45,48,56,32,53,46,53,54,55,48,51,101,
      45,48,57,32,50,46,53,51,50,56,57,101,45,48,57,32,55,46,50,48,49,56,55,101,45,
      49,48,32,50,46,49,55,51,49,54,101,45,49,48,32,57,46,51,54,49,53,52,101,45,49,
      49,10,32,32,51,46,54,53,55,54,51,101,45,49,49,32,49,46,48,52,54,53,53,101,45,
      49,49,32,51,46,53,48,54,55,49,101,45,49,50,32,49,46,49,55,54,52,52,101,45,49,
      50,32,51,46,51,56,49,49,101,45,49,51,32,57,46,55,51,48,49,50,101,45,49,52,32,
      51,46,50,55,53,49,50,101,45,49,52,10,32,32,49,46,49,48,50,56,55,101,45,49,52,
      32,51,46,55,49,54,57,56,101,45,49,53,32,57,46,56,49,54,48,51,101,45,49,54,32,
      50,46,52,50,49,48,54,101,45,49,54,32,53,46,49,49,55,57,53,101,45,49,55,32,49,
      46,50,54,53,50,51,101,45,49,55,32,50,46,54,55,49,51,50,101,45,49,56,10,32,32,
      54,46,53,56,55,50,55,101,45,49,57,32,49,46,54,48,55,53,51,101,45,49,57,32,51,
      46,52,49,49,51,53,101,45,50,48,32,53,46,48,48,53,52,56,101,45,50,49,32,48,114,
      49,48,54,32,51,46,53,51,48,57,54,101,45,48,56,32,49,46,52,49,53,56,53,101,45,
      48,55,32,51,46,49,56,56,50,55,101,45,48,55,10,32,32,51,46,53,51,48,57,56,101,
      45,48,55,32,49,46,52,49,53,56,54,101,45,48,54,32,51,46,49,56,56,50,50,101,45,
      48,54,32,53,46,54,54,54,53,54,101,45,48,54,32,56,46,56,53,48,53,57,101,45,48,
      54,32,49,46,50,55,52,54,57,101,45,48,53,32,49,46,55,51,52,52,54,101,45,48,53,
      10,32,32,50,46,50,54,53,51,54,101,45,48,53,32,50,46,56,54,54,54,52,101,45,48,
      53,32,51,46,53,51,56,50,50,101,45,48,53,32,52,46,50,56,48,51,55,101,45,48,53,
      32,53,46,48,57,51,48,49,101,45,48,53,32,53,46,57,55,53,55,101,45,48,53,32,54,
      46,57,50,56,54,56,101,45,48,53,10,32,32,55,46,57,53,49,56,53,101,45,48,53,32,
      57,46,48,52,52,55,50,101,45,48,53,32,46,48,48,48,49,48,50,48,55,53,32,46,48,
      48,48,49,49,52,51,57,56,32,46,48,48,48,49,50,55,52,49,55,32,46,48,48,48,49,
      52,49,49,50,55,32,46,48,48,48,49,53,53,53,51,49,32,46,48,48,48,49,55,48,54,
      50,54,10,32,32,46,48,48,48,49,56,54,52,48,57,32,46,48,48,48,50,48,50,56,55,
      53,32,46,48,48,48,50,50,48,48,51,49,32,46,48,48,48,50,51,55,56,55,32,46,48,
      48,48,50,53,54,51,56,56,32,46,48,48,48,50,55,53,53,56,54,32,46,48,48,48,50,
      57,53,52,54,54,32,46,48,48,48,51,49,54,48,50,51,10,32,32,46,48,48,48,51,51,
      55,50,53,54,32,46,48,48,48,51,53,57,49,54,51,32,46,48,48,48,51,56,49,55,53,
      53,32,46,48,48,48,52,48,53,48,49,51,32,46,48,48,48,52,50,56,57,52,53,32,46,
      48,48,48,52,53,51,54,53,56,32,46,48,48,48,52,55,56,57,53,54,32,46,48,48,48,
      53,48,52,57,49,55,10,32,32,46,48,48,48,53,51,49,53,56,49,32,46,48,48,48,53,
      53,56,57,49,51,32,46,48,48,48,53,56,54,57,49,51,32,46,48,48,48,54,49,53,54,
      49,57,32,46,48,48,48,54,52,53,48,48,52,32,46,48,48,48,54,55,53,48,53,55,32,
      46,48,48,48,55,48,53,56,49,56,32,46,48,48,48,55,51,55,50,54,57,10,32,32,46,
      48,48,48,55,54,57,51,57,32,46,48,48,48,56,48,50,50,49,49,32,46,48,48,48,56,
      51,53,55,51,32,46,48,48,48,56,54,57,57,50,51,32,46,48,48,48,57,48,52,56,48,
      56,32,46,48,48,48,57,52,48,51,57,54,32,46,48,48,48,57,55,54,54,53,57,32,46,
      48,48,49,48,49,51,54,10,32,32,46,48,48,49,48,53,49,50,53,32,46,48,48,49,48,
      56,57,53,55,32,46,48,48,49,49,50,56,53,55,32,46,48,48,49,49,54,56,50,55,32,
      46,48,48,49,50,48,56,54,52,32,46,48,48,49,50,52,57,54,57,32,46,48,48,49,50,
      57,49,52,52,32,46,48,48,49,51,51,51,56,54,10,32,32,46,48,48,49,51,55,54,57,
      54,32,46,48,48,49,52,50,48,55,54,32,46,48,48,49,52,54,53,50,53,32,46,48,48,
      49,53,49,48,52,32,46,48,48,49,53,53,54,50,54,32,46,48,48,49,54,48,50,56,51,
      32,46,48,48,49,54,53,48,48,55,32,46,48,48,49,54,57,56,48,50,32,46,48,48,49,
      55,52,54,55,50,10,32,32,46,48,48,49,55,57,54,48,57,32,46,48,48,49,56,52,54,
      49,55,32,46,48,48,49,56,57,55,48,54,32,46,48,48,49,57,52,56,54,49,32,46,48,
      48,50,48,48,48,56,52,32,46,48,48,50,48,53,51,57,56,32,46,48,48,50,49,48,55,
      55,56,32,46,48,48,50,49,54,50,50,53,10,32,32,46,48,48,50,50,49,55,54,52,32,
      46,48,48,50,50,55,51,55,51,32,46,48,48,50,51,51,48,52,56,32,46,48,48,50,51,
      56,56,49,50,32,46,48,48,50,52,52,54,53,50,32,46,48,48,50,53,48,53,53,54,32,
      46,48,48,50,53,54,53,52,51,32,46,48,48,50,54,50,54,49,50,10,32,32,46,48,48,
      50,54,56,55,52,51,32,46,48,48,50,55,52,57,53,49,32,46,48,48,50,56,49,50,52,
      50,32,46,48,48,50,56,55,53,57,54,32,46,48,48,50,57,52,48,52,50,32,46,48,48,
      51,48,48,53,53,32,46,48,48,51,48,55,49,50,49,32,46,48,48,51,49,51,55,53,52,
      32,46,48,48,51,50,48,52,55,49,10,32,32,46,48,48,51,50,55,50,53,32,46,48,48,
      51,51,52,48,57,50,32,46,48,48,51,52,49,48,48,57,32,46,48,48,51,52,55,57,56,
      55,32,46,48,48,51,53,53,48,51,53,32,46,48,48,51,54,50,49,52,52,32,46,48,48,
      51,54,57,51,50,49,32,46,48,48,51,55,54,53,54,51,32,46,48,48,51,56,51,56,54,
      55,10,32,32,46,48,48,51,57,49,50,51,49,32,46,48,48,51,57,56,54,54,50,32,46,
      48,48,52,48,54,49,53,51,32,46,48,48,52,49,51,54,57,50,32,46,48,48,52,50,49,
      50,55,51,32,46,48,48,52,50,56,57,50,50,32,46,48,48,52,51,54,54,51,52,32,46,
      48,48,52,52,52,52,49,49,10,32,32,46,48,48,52,53,50,50,54,50,32,46,48,48,52,
      54,48,49,54,56,32,46,48,48,52,54,56,49,52,51,32,46,48,48,52,55,54,49,56,52,
      32,46,48,48,52,56,52,50,56,54,32,46,48,48,52,57,50,51,57,55,32,46,48,48,53,
      48,48,53,55,52,32,46,48,48,53,48,56,55,55,57,10,32,32,46,48,48,53,49,55,48,
      51,51,32,46,48,48,53,50,53,51,52,54,32,46,48,48,53,51,51,54,57,52,32,46,48,
      48,53,52,50,48,55,50,32,46,48,48,53,53,48,53,48,55,32,46,48,48,53,53,56,57,
      55,56,32,46,48,48,53,54,55,52,54,55,32,46,48,48,53,55,54,48,48,53,10,32,32,
      46,48,48,53,56,52,53,56,49,32,46,48,48,53,57,51,49,55,54,32,46,48,48,54,48,
      49,56,48,56,32,46,48,48,54,49,48,52,55,56,32,46,48,48,54,49,57,49,55,54,32,
      46,48,48,54,50,55,57,48,54,32,46,48,48,54,51,54,54,54,51,32,46,48,48,54,52,
      53,52,55,52,10,32,32,46,48,48,54,53,52,51,49,52,32,46,48,48,54,54,51,49,55,
      54,32,46,48,48,54,55,50,49,48,51,32,46,48,48,54,56,49,48,55,54,32,46,48,48,
      54,57,48,48,54,55,32,46,48,48,54,57,57,49,50,54,32,46,48,48,55,48,56,50,52,
      56,32,46,48,48,55,49,55,51,57,51,10,32,32,46,48,48,55,50,54,53,57,52,32,46,
      48,48,55,51,53,56,55,53,32,46,48,48,55,52,53,49,56,51,32,46,48,48,55,53,52,
      53,51,55,32,46,48,48,55,54,51,57,55,51,32,46,48,48,55,55,51,52,52,50,32,46,
      48,48,55,56,50,57,52,52,32,46,48,48,55,57,50,53,50,32,46,48,48,56,48,50,49,
      51,51,10,32,32,46,48,48,56,49,49,55,55,53,32,46,48,48,56,50,52,54,57,53,32,
      46,48,48,56,53,52,57,50,52,32,46,48,48,56,57,57,54,48,54,32,46,48,48,57,55,
      50,48,56,57,32,46,48,49,48,52,50,52,54,32,46,48,49,49,49,50,50,55,32,46,48,
      49,49,56,51,50,52,32,46,48,49,50,53,54,48,53,10,32,32,46,48,49,51,51,48,49,
      56,32,46,48,49,52,48,52,55,32,46,48,49,52,55,56,54,53,32,46,48,49,53,53,49,
      51,53,32,46,48,49,54,50,50,52,52,32,46,48,49,54,57,49,52,55,32,46,48,49,55,
      55,49,51,53,32,46,48,49,56,52,55,54,57,32,46,48,49,57,52,51,53,53,10,32,32,
      46,48,50,48,51,50,52,56,32,46,48,50,49,49,52,53,52,32,46,48,50,50,48,55,55,
      55,32,46,48,50,50,57,49,56,54,32,46,48,50,51,55,50,48,53,32,46,48,50,52,55,
      49,49,49,32,46,48,50,53,56,50,51,32,46,48,50,55,52,54,57,54,32,46,48,50,57,
      49,57,53,56,10,32,32,46,48,51,48,56,55,55,54,32,46,48,51,50,53,56,51,56,32,
      46,48,51,52,49,54,56,54,32,46,48,51,53,53,54,51,54,32,46,48,51,54,56,48,54,
      51,32,46,48,51,55,56,57,49,52,32,46,48,51,56,57,55,53,52,32,46,48,52,48,48,
      53,49,52,32,46,48,52,49,53,49,54,53,10,32,32,46,48,52,51,56,50,55,32,46,48,
      52,54,48,53,49,52,32,46,48,52,55,50,48,51,51,32,46,48,52,55,55,51,51,54,32,
      46,48,52,54,57,56,53,57,32,46,48,52,53,49,51,52,56,32,46,48,52,50,53,54,56,
      57,32,46,48,51,57,50,53,57,56,32,46,48,51,53,57,55,56,51,10,32,32,46,48,51,
      50,57,53,56,32,46,48,51,48,55,54,51,55,32,46,48,50,57,56,56,48,50,32,46,48,
      50,57,57,54,54,55,32,46,48,50,57,52,51,53,52,32,46,48,50,56,50,56,55,53,32,
      46,48,50,54,49,54,51,57,32,46,48,50,50,52,48,52,55,32,46,48,49,56,55,50,56,
      55,10,32,32,46,48,49,53,55,55,54,49,32,46,48,49,51,55,53,57,49,32,46,48,49,
      49,52,52,51,50,32,46,48,48,57,52,49,55,57,32,46,48,48,55,54,50,48,49,32,46,
      48,48,54,51,50,48,53,50,32,46,48,48,53,52,50,55,57,54,32,46,48,48,52,56,54,
      50,57,50,32,46,48,48,52,51,54,54,49,54,10,32,32,46,48,48,51,56,53,48,52,57,
      32,46,48,48,51,51,55,53,55,52,32,46,48,48,50,51,57,53,54,32,46,48,48,49,54,
      51,51,56,52,32,46,48,48,49,49,55,48,55,50,32,46,48,48,48,56,56,52,51,53,49,
      32,46,48,48,48,55,57,52,51,53,56,32,46,48,48,48,54,48,53,52,55,50,10,32,32,
      46,48,48,48,52,54,53,51,57,57,32,46,48,48,48,51,54,49,52,49,55,32,46,48,48,
      48,50,56,52,48,52,49,32,46,48,48,48,50,49,55,53,53,49,32,46,48,48,48,49,55,
      57,49,48,56,32,46,48,48,48,49,52,55,54,48,53,32,46,48,48,48,49,48,55,53,52,
      57,32,56,46,56,54,52,53,51,101,45,48,53,10,32,32,54,46,53,52,51,51,57,101,45,
      48,53,32,52,46,55,53,48,56,49,101,45,48,53,32,51,46,57,50,50,51,51,101,45,48,
      53,32,51,46,50,51,55,49,101,45,48,53,32,50,46,51,57,48,51,50,101,45,48,53,32,
      49,46,55,49,48,57,52,101,45,48,53,32,49,46,52,50,49,50,57,101,45,48,53,10,32,
      32,49,46,48,53,51,55,50,101,45,48,53,32,56,46,55,56,48,50,50,101,45,48,54,32,
      54,46,53,50,55,49,55,101,45,48,54,32,53,46,49,50,54,48,49,101,45,48,54,32,55,
      46,56,52,57,49,56,101,45,48,54,32,54,46,57,49,48,49,56,101,45,48,54,32,53,46,
      52,48,57,50,52,101,45,48,54,10,32,32,52,46,49,50,56,49,52,101,45,48,54,32,51,
      46,50,57,54,53,57,101,45,48,54,32,50,46,54,51,51,50,49,101,45,48,54,32,50,46,
      49,51,52,51,57,101,45,48,54,32,49,46,55,51,53,54,49,101,45,48,54,32,49,46,51,
      56,48,50,52,101,45,48,54,32,49,46,49,50,54,51,53,101,45,48,54,10,32,32,57,46,
      48,48,52,50,101,45,48,55,32,55,46,54,51,55,56,50,101,45,48,55,32,53,46,56,52,
      49,48,49,101,45,48,55,32,52,46,57,53,54,101,45,48,55,32,52,46,48,52,49,50,55,
      101,45,48,55,32,50,46,53,49,52,53,53,101,45,48,55,32,49,46,51,49,48,54,53,101,
      45,48,55,10,32,32,54,46,57,52,57,53,51,101,45,48,56,32,51,46,49,52,55,56,50,
      101,45,48,56,32,49,46,52,50,56,48,54,101,45,48,56,32,53,46,53,52,49,54,49,101,
      45,48,57,32,50,46,53,50,49,52,57,101,45,48,57,32,55,46,49,55,48,49,54,101,45,
      49,48,32,50,46,49,54,53,55,101,45,49,48,10,32,32,57,46,51,50,57,56,53,101,45,
      49,49,32,51,46,54,52,53,52,51,101,45,49,49,32,49,46,48,52,51,49,51,101,45,49,
      49,32,51,46,52,57,53,52,52,101,45,49,50,32,49,46,49,55,50,54,55,101,45,49,50,
      32,51,46,51,55,48,51,49,101,45,49,51,32,57,46,54,57,57,54,49,101,45,49,52,10,
      32,32,51,46,50,54,53,49,50,101,45,49,52,32,49,46,49,48,48,48,57,101,45,49,52,
      32,51,46,55,48,55,56,49,101,45,49,53,32,57,46,55,57,54,57,57,101,45,49,54,32,
      50,46,52,49,54,52,101,45,49,54,32,53,46,49,48,56,50,55,101,45,49,55,32,49,46,
      50,54,50,57,49,101,45,49,55,10,32,32,50,46,54,54,54,53,51,101,45,49,56,32,54,
      46,53,55,53,53,52,101,45,49,57,32,49,46,54,48,52,53,51,101,45,49,57,32,51,46,
      52,48,53,49,52,101,45,50,48,32,52,46,57,56,54,49,57,101,45,50,49,32,48,114,
      49,48,54,32,51,46,50,52,50,54,54,101,45,48,56,32,49,46,51,48,48,50,52,101,45,
      48,55,10,32,32,50,46,57,50,55,57,52,101,45,48,55,32,51,46,50,52,50,54,55,101,
      45,48,55,32,49,46,51,48,48,50,53,101,45,48,54,32,50,46,57,50,55,56,55,101,45,
      48,54,32,53,46,50,48,51,55,56,101,45,48,54,32,56,46,49,50,55,55,51,101,45,48,
      54,32,49,46,49,55,48,53,55,101,45,48,53,10,32,32,49,46,53,57,50,55,56,101,45,
      48,53,32,50,46,48,56,48,51,101,45,48,53,32,50,46,54,51,50,52,52,101,45,48,53,
      32,51,46,50,52,57,49,51,101,45,48,53,32,51,46,57,51,48,54,50,101,45,48,53,32,
      52,46,54,55,54,56,53,101,45,48,53,32,53,46,52,56,55,51,57,101,45,48,53,10,32,
      32,54,46,51,54,50,52,56,101,45,48,53,32,55,46,51,48,50,48,51,101,45,48,53,32,
      56,46,51,48,53,53,57,101,45,48,53,32,57,46,51,55,51,51,57,101,45,48,53,32,46,
      48,48,48,49,48,53,48,53,32,46,48,48,48,49,49,55,48,48,54,32,46,48,48,48,49,
      50,57,53,57,55,10,32,32,46,48,48,48,49,52,50,56,50,53,32,46,48,48,48,49,53,
      54,54,56,56,32,46,48,48,48,49,55,49,49,56,51,32,46,48,48,48,49,56,54,51,48,
      56,32,46,48,48,48,50,48,50,48,54,54,32,46,48,48,48,50,49,56,52,53,50,32,46,
      48,48,48,50,51,53,52,54,52,32,46,48,48,48,50,53,51,49,48,49,10,32,32,46,48,
      48,48,50,55,49,51,54,54,32,46,48,48,48,50,57,48,50,53,51,32,46,48,48,48,51,
      48,57,55,54,51,32,46,48,48,48,51,50,57,56,57,52,32,46,48,48,48,51,53,48,54,
      53,53,32,46,48,48,48,51,55,50,48,51,32,46,48,48,48,51,57,52,48,50,54,32,46,
      48,48,48,52,49,54,54,53,54,10,32,32,46,48,48,48,52,51,57,57,32,46,48,48,48,
      52,54,51,56,51,51,32,46,48,48,48,52,56,56,51,54,51,32,46,48,48,48,53,49,51,
      52,57,32,46,48,48,48,53,51,57,50,51,52,32,46,48,48,48,53,54,53,54,50,54,32,
      46,48,48,48,53,57,50,54,52,50,32,46,48,48,48,54,50,48,50,55,53,10,32,32,46,
      48,48,48,54,52,56,53,53,55,32,46,48,48,48,54,55,55,52,55,52,32,46,48,48,48,
      55,48,55,48,48,57,32,46,48,48,48,55,51,55,49,56,54,32,46,48,48,48,55,54,56,
      48,48,52,32,46,48,48,48,55,57,57,52,52,52,32,46,48,48,48,56,51,49,53,49,57,
      32,46,48,48,48,56,54,52,50,52,49,10,32,32,46,48,48,48,56,57,55,53,56,51,32,
      46,48,48,48,57,51,49,53,53,49,32,46,48,48,48,57,54,54,49,54,56,32,46,48,48,
      49,48,48,49,52,32,46,48,48,49,48,51,55,50,54,32,46,48,48,49,48,55,51,55,55,
      32,46,48,48,49,49,49,48,56,57,32,46,48,48,49,49,52,56,54,52,10,32,32,46,48,
      48,49,49,56,55,48,50,32,46,48,48,49,50,50,54,48,52,32,46,48,48,49,50,54,53,
      54,55,32,46,48,48,49,51,48,53,57,52,32,46,48,48,49,51,52,54,56,53,32,46,48,
      48,49,51,56,56,51,55,32,46,48,48,49,52,51,48,53,53,32,46,48,48,49,52,55,51,
      51,55,10,32,32,46,48,48,49,53,49,54,56,49,32,46,48,48,49,53,54,48,57,32,46,
      48,48,49,54,48,53,54,55,32,46,48,48,49,54,53,49,48,55,32,46,48,48,49,54,57,
      55,49,49,32,46,48,48,49,55,52,51,56,56,32,46,48,48,49,55,57,49,50,56,32,46,
      48,48,49,56,51,57,50,57,32,46,48,48,49,56,56,56,49,50,10,32,32,46,48,48,49,
      57,51,55,53,55,32,46,48,48,49,57,56,55,54,50,32,46,48,48,50,48,51,56,53,49,
      32,46,48,48,50,48,57,48,48,52,32,46,48,48,50,49,52,50,49,57,32,46,48,48,50,
      49,57,53,49,51,32,46,48,48,50,50,52,56,55,54,32,46,48,48,50,51,48,50,57,57,
      10,32,32,46,48,48,50,51,53,55,57,56,32,46,48,48,50,52,49,51,55,32,46,48,48,
      50,52,55,32,46,48,48,50,53,50,55,32,46,48,48,50,53,56,52,55,54,32,46,48,48,
      50,54,52,51,49,32,46,48,48,50,55,48,50,48,56,32,46,48,48,50,55,54,49,56,50,
      32,46,48,48,50,56,50,50,49,52,10,32,32,46,48,48,50,56,56,51,48,53,32,46,48,
      48,50,57,52,52,57,51,32,46,48,48,51,48,48,55,49,55,32,46,48,48,51,48,55,32,
      46,48,48,51,49,51,51,53,50,32,46,48,48,51,49,57,55,54,49,32,46,48,48,51,50,
      54,50,51,51,32,46,48,48,51,51,50,55,54,51,32,46,48,48,51,51,57,51,49,49,10,
      32,32,46,48,48,51,52,53,57,52,49,32,46,48,48,51,53,50,54,52,56,32,46,48,48,
      51,53,57,52,49,51,32,46,48,48,51,54,54,50,51,57,32,46,48,48,51,55,51,49,50,
      32,46,48,48,51,56,48,48,53,54,32,46,48,48,51,56,55,48,53,50,32,46,48,48,51,
      57,52,49,48,55,32,46,48,48,52,48,49,50,48,54,10,32,32,46,48,48,52,48,56,51,
      54,52,32,46,48,48,52,49,53,53,56,53,32,46,48,48,52,50,50,56,52,50,32,46,48,
      48,52,51,48,49,53,56,32,46,48,48,52,51,55,53,51,51,32,46,48,48,52,52,52,57,
      52,50,32,46,48,48,52,53,50,52,48,51,32,46,48,48,52,53,57,57,50,53,10,32,32,
      46,48,48,52,54,55,52,55,55,32,46,48,48,52,55,53,48,55,52,32,46,48,48,52,56,
      50,55,56,50,32,46,48,48,52,57,48,53,48,57,32,46,48,48,52,57,56,50,50,57,32,
      46,48,48,53,48,54,48,48,49,32,46,48,48,53,49,51,56,48,57,32,46,48,48,53,50,
      49,54,51,56,10,32,32,46,48,48,53,50,57,53,49,51,32,46,48,48,53,51,55,52,50,
      54,32,46,48,48,53,52,53,51,54,32,46,48,48,53,53,51,51,51,49,32,46,48,48,53,
      54,49,51,52,32,46,48,48,53,54,57,51,55,56,32,46,48,48,53,55,55,52,52,57,32,
      46,48,48,53,56,53,53,52,56,32,46,48,48,53,57,51,54,57,57,10,32,32,46,48,48,
      54,48,49,56,56,32,46,48,48,54,49,48,48,56,54,32,46,48,48,54,49,56,51,53,50,
      32,46,48,48,54,50,54,54,54,51,32,46,48,48,54,51,52,57,57,53,32,46,48,48,54,
      52,51,51,57,49,32,46,48,48,54,53,49,56,52,52,32,46,48,48,54,54,48,51,50,52,
      32,46,48,48,54,54,56,56,53,54,10,32,32,46,48,48,54,55,55,52,54,50,32,46,48,
      48,54,56,54,48,57,54,32,46,48,48,54,57,52,55,55,52,32,46,48,48,55,48,51,53,
      50,55,32,46,48,48,55,49,50,51,49,52,32,46,48,48,55,50,49,49,51,52,32,46,48,
      48,55,51,48,48,50,50,32,46,48,48,55,51,56,57,52,56,10,32,32,46,48,48,55,52,
      55,57,48,52,32,46,48,48,55,53,57,57,48,54,32,46,48,48,55,56,56,48,49,49,32,
      46,48,48,56,50,57,54,50,49,32,46,48,48,56,57,55,51,49,56,32,46,48,48,57,54,
      51,50,53,32,46,48,49,48,50,56,55,32,46,48,49,48,57,53,48,57,32,46,48,49,49,
      54,51,48,50,10,32,32,46,48,49,50,51,50,48,54,32,46,48,49,51,48,49,52,50,32,
      46,48,49,51,55,48,51,32,46,48,49,52,51,56,49,49,32,46,48,49,53,48,52,53,56,
      32,46,48,49,53,54,57,51,49,32,46,48,49,54,52,52,52,55,32,46,48,49,55,49,54,
      54,50,32,46,48,49,56,48,55,55,52,10,32,32,46,48,49,56,57,50,56,55,32,46,48,
      49,57,55,50,48,49,32,46,48,50,48,54,50,54,54,32,46,48,50,49,52,53,49,32,46,
      48,50,50,50,51,56,53,32,46,48,50,51,50,48,53,49,32,46,48,50,52,50,55,54,57,
      32,46,48,50,53,56,52,57,52,32,46,48,50,55,52,57,50,32,46,48,50,57,48,57,52,
      52,10,32,32,46,48,51,48,55,51,48,53,32,46,48,51,50,50,54,57,50,32,46,48,51,
      51,54,52,53,51,32,46,48,51,52,56,56,56,51,32,46,48,51,53,57,57,32,46,48,51,
      55,48,57,55,56,32,46,48,51,56,49,56,57,49,32,46,48,51,57,54,52,52,54,32,46,
      48,52,49,57,48,50,55,32,46,48,52,52,48,56,50,55,10,32,32,46,48,52,53,50,51,
      52,56,32,46,48,52,53,56,50,48,56,32,46,48,52,53,50,49,52,32,46,48,52,51,53,
      52,57,57,32,46,48,52,49,49,56,51,57,32,46,48,51,56,48,56,52,54,32,46,48,51,
      52,57,56,50,32,46,48,51,50,49,49,32,46,48,51,48,48,50,52,55,32,46,48,50,57,
      50,48,52,53,10,32,32,46,48,50,57,51,49,53,53,32,46,48,50,56,56,50,50,55,32,
      46,48,50,55,55,50,52,50,32,46,48,50,53,54,55,51,49,32,46,48,50,50,48,50,51,
      51,32,46,48,49,56,52,52,48,56,32,46,48,49,53,53,53,53,32,46,48,49,51,53,55,
      57,54,32,46,48,49,49,51,48,55,49,10,32,32,46,48,48,57,51,49,53,52,50,32,46,
      48,48,55,53,52,52,51,49,32,46,48,48,54,50,54,50,50,32,46,48,48,53,51,56,48,
      56,57,32,46,48,48,52,56,50,50,55,53,32,46,48,48,52,51,51,49,54,54,32,46,48,
      48,51,56,50,49,52,53,32,46,48,48,51,51,53,49,51,55,32,46,48,48,50,51,55,57,
      57,52,10,32,32,46,48,48,49,54,50,52,50,32,46,48,48,49,49,54,52,51,53,32,46,
      48,48,48,56,55,57,56,53,52,32,46,48,48,48,55,57,48,52,52,53,32,46,48,48,48,
      54,48,50,54,54,52,32,46,48,48,48,52,54,51,51,53,55,32,46,48,48,48,51,53,57,
      57,48,56,32,46,48,48,48,50,56,50,57,49,10,32,32,46,48,48,48,50,49,54,55,50,
      54,32,46,48,48,48,49,55,56,52,53,49,32,46,48,48,48,49,52,55,48,56,50,32,46,
      48,48,48,49,48,55,49,56,54,32,56,46,56,51,53,53,54,101,45,48,53,32,54,46,53,
      50,51,48,50,101,45,48,53,32,52,46,55,51,54,54,56,101,45,48,53,10,32,32,51,46,
      57,49,48,57,55,101,45,48,53,32,51,46,50,50,55,57,56,101,45,48,53,32,50,46,51,
      56,51,56,54,101,45,48,53,32,49,46,55,48,54,53,49,101,45,48,53,32,49,46,52,49,
      55,54,57,101,45,48,53,32,49,46,48,53,49,49,53,101,45,48,53,32,56,46,55,53,57,
      50,55,101,45,48,54,10,32,32,54,46,53,49,50,49,49,101,45,48,54,32,53,46,49,49,
      52,53,56,101,45,48,54,32,55,46,55,57,57,55,49,101,45,48,54,32,54,46,56,54,54,
      56,101,45,48,54,32,53,46,51,55,53,53,52,101,45,48,54,32,52,46,49,48,50,54,51,
      101,45,48,54,32,51,46,50,55,54,51,53,101,45,48,54,10,32,32,50,46,54,49,55,49,
      52,101,45,48,54,32,50,46,49,50,49,52,52,101,45,48,54,32,49,46,55,50,53,52,57,
      101,45,48,54,32,49,46,51,55,50,54,51,101,45,48,54,32,49,46,49,50,48,50,49,101,
      45,48,54,32,56,46,57,53,53,51,54,101,45,48,55,32,55,46,53,57,54,53,54,101,45,
      48,55,10,32,32,53,46,56,48,57,54,54,101,45,48,55,32,52,46,57,50,57,53,50,101,
      45,48,55,32,52,46,48,49,57,55,55,101,45,48,55,32,50,46,53,48,49,51,50,101,45,
      48,55,32,49,46,51,48,51,56,53,101,45,48,55,32,54,46,57,49,51,57,57,101,45,48,
      56,32,51,46,49,51,51,48,55,101,45,48,56,10,32,32,49,46,52,50,49,52,53,101,45,
      48,56,32,53,46,53,49,54,52,101,45,48,57,32,50,46,53,49,48,49,56,101,45,48,57,
      32,55,46,49,51,56,54,52,101,45,49,48,32,50,46,49,53,54,56,53,101,45,49,48,32,
      57,46,50,57,56,53,101,45,49,49,32,51,46,54,51,51,51,56,101,45,49,49,10,32,32,
      49,46,48,51,57,55,53,101,45,49,49,32,51,46,52,56,52,49,56,101,45,49,50,32,49,
      46,49,54,56,57,49,101,45,49,50,32,51,46,51,53,57,54,54,101,45,49,51,32,57,46,
      54,54,57,52,56,101,45,49,52,32,51,46,50,53,53,49,51,101,45,49,52,32,49,46,48,
      57,54,55,56,101,45,49,52,10,32,32,51,46,54,57,56,53,101,45,49,53,32,57,46,55,
      55,55,57,54,101,45,49,54,32,50,46,52,49,49,55,56,101,45,49,54,32,53,46,48,57,
      56,55,57,101,45,49,55,32,49,46,50,54,48,54,52,101,45,49,55,32,50,46,54,54,49,
      56,51,101,45,49,56,32,54,46,53,54,52,48,55,101,45,49,57,10,32,32,49,46,54,48,
      49,53,56,101,45,49,57,32,51,46,51,57,57,48,54,101,45,50,48,32,52,46,57,54,55,
      49,101,45,50,49,32,48,114,49,48,54,32,50,46,57,54,52,48,54,101,45,48,56,32,
      49,46,49,56,56,53,51,101,45,48,55,32,50,46,54,55,54,51,56,101,45,48,55,32,50,
      46,57,54,52,48,55,101,45,48,55,10,32,32,49,46,49,56,56,53,52,101,45,48,54,32,
      50,46,54,55,54,51,52,101,45,48,54,32,52,46,55,53,54,55,54,101,45,48,54,32,55,
      46,52,50,57,53,57,101,45,48,54,32,49,46,48,55,48,48,52,101,45,48,53,32,49,46,
      52,53,54,101,45,48,53,32,49,46,57,48,49,54,57,101,45,48,53,10,32,32,50,46,52,
      48,54,52,56,101,45,48,53,32,50,46,57,55,48,51,101,45,48,53,32,51,46,53,57,51,
      52,101,45,48,53,32,52,46,50,55,53,55,49,101,45,48,53,32,53,46,48,49,54,56,57,
      101,45,48,53,32,53,46,56,49,55,49,52,101,45,48,53,32,54,46,54,55,54,51,57,101,
      45,48,53,10,32,32,55,46,53,57,52,50,54,101,45,48,53,32,56,46,53,55,48,57,53,
      101,45,48,53,32,57,46,54,48,54,48,57,101,45,48,53,32,46,48,48,48,49,48,54,57,
      57,57,32,46,48,48,48,49,49,56,53,49,57,32,46,48,48,48,49,51,48,54,50,51,32,
      46,48,48,48,49,52,51,51,49,32,46,48,48,48,49,53,54,53,55,54,10,32,32,46,48,
      48,48,49,55,48,52,50,32,46,48,48,48,49,56,52,56,52,55,32,46,48,48,48,49,57,
      57,56,52,57,32,46,48,48,48,50,49,53,52,50,54,32,46,48,48,48,50,51,49,53,55,
      57,32,46,48,48,48,50,52,56,51,48,56,32,46,48,48,48,50,54,53,54,48,57,32,46,
      48,48,48,50,56,51,52,56,51,10,32,32,46,48,48,48,51,48,49,57,50,56,32,46,48,
      48,48,51,50,48,57,53,51,32,46,48,48,48,51,52,48,53,52,50,32,46,48,48,48,51,
      54,48,55,48,51,32,46,48,48,48,51,56,49,52,52,53,32,46,48,48,48,52,48,50,55,
      53,52,32,46,48,48,48,52,50,52,54,51,50,32,46,48,48,48,52,52,55,49,10,32,32,
      46,48,48,48,52,55,48,49,52,51,32,46,48,48,48,52,57,51,56,50,51,32,46,48,48,
      48,53,49,56,48,50,50,32,46,48,48,48,53,52,50,55,57,53,32,46,48,48,48,53,54,
      56,49,51,55,32,46,48,48,48,53,57,52,48,55,49,32,46,48,48,48,54,50,48,53,56,
      57,32,46,48,48,48,54,52,55,54,55,52,10,32,32,46,48,48,48,54,55,53,51,52,57,
      32,46,48,48,48,55,48,51,54,48,57,32,46,48,48,48,55,51,50,52,52,50,32,46,48,
      48,48,55,54,49,56,53,56,32,46,48,48,48,55,57,49,56,54,53,32,46,48,48,48,56,
      50,50,52,52,51,32,46,48,48,48,56,53,51,53,57,53,32,46,48,48,48,56,56,53,51,
      52,49,10,32,32,46,48,48,48,57,49,55,54,53,56,32,46,48,48,48,57,53,48,53,52,
      52,32,46,48,48,48,57,56,52,48,50,55,32,46,48,48,49,48,49,56,48,56,32,46,48,
      48,49,48,53,50,55,32,46,48,48,49,48,56,55,57,49,32,46,48,48,49,49,50,51,54,
      57,32,46,48,48,49,49,54,48,48,52,10,32,32,46,48,48,49,49,57,54,57,57,32,46,
      48,48,49,50,51,52,53,49,32,46,48,48,49,50,55,50,54,32,46,48,48,49,51,49,49,
      50,56,32,46,48,48,49,51,53,48,53,54,32,46,48,48,49,51,57,48,52,32,46,48,48,
      49,52,51,48,56,53,32,46,48,48,49,52,55,49,57,49,32,46,48,48,49,53,49,51,53,
      52,10,32,32,46,48,48,49,53,53,53,55,54,32,46,48,48,49,53,57,56,54,53,32,46,
      48,48,49,54,52,50,49,32,46,48,48,49,54,56,54,49,51,32,46,48,48,49,55,51,48,
      56,56,32,46,48,48,49,55,55,54,49,57,32,46,48,48,49,56,50,50,48,56,32,46,48,
      48,49,56,54,56,54,57,32,46,48,48,49,57,49,53,57,10,32,32,46,48,48,49,57,54,
      51,54,55,32,46,48,48,50,48,49,50,49,53,32,46,48,48,50,48,54,49,50,54,32,46,
      48,48,50,49,49,48,57,50,32,46,48,48,50,49,54,49,50,54,32,46,48,48,50,50,49,
      50,50,54,32,46,48,48,50,50,54,51,56,32,46,48,48,50,51,49,53,57,55,32,46,48,
      48,50,51,54,56,56,50,10,32,32,46,48,48,50,52,50,50,50,49,32,46,48,48,50,52,
      55,54,49,56,32,46,48,48,50,53,51,48,56,52,32,46,48,48,50,53,56,54,48,52,32,
      46,48,48,50,54,52,49,55,56,32,46,48,48,50,54,57,56,50,32,46,48,48,50,55,53,
      53,49,54,32,46,48,48,50,56,49,50,53,56,32,46,48,48,50,56,55,48,50,57,10,32,
      32,46,48,48,50,57,50,57,49,49,32,46,48,48,50,57,56,56,51,53,32,46,48,48,51,
      48,52,56,49,49,32,46,48,48,51,49,48,56,52,52,32,46,48,48,51,49,54,57,51,52,
      32,46,48,48,51,50,51,48,55,54,32,46,48,48,51,50,57,50,55,49,32,46,48,48,51,
      51,53,53,50,51,10,32,32,46,48,48,51,52,49,56,50,55,32,46,48,48,51,52,56,49,
      56,50,32,46,48,48,51,53,52,53,57,50,32,46,48,48,51,54,49,48,53,55,32,46,48,
      48,51,54,55,53,54,53,32,46,48,48,51,55,52,49,50,56,32,46,48,48,51,56,48,55,
      52,57,32,46,48,48,51,56,55,52,48,54,10,32,32,46,48,48,51,57,52,49,49,56,32,
      46,48,48,52,48,48,56,56,53,32,46,48,48,52,48,55,54,56,54,32,46,48,48,52,49,
      52,53,51,54,32,46,48,48,52,50,49,52,52,52,32,46,48,48,52,50,56,51,56,50,32,
      46,48,48,52,51,53,51,54,53,32,46,48,48,52,52,50,52,32,46,48,48,52,52,57,52,
      55,49,10,32,32,46,48,48,52,53,54,53,55,52,32,46,48,48,52,54,51,55,52,32,46,
      48,48,52,55,48,57,57,54,32,46,48,48,52,55,56,50,49,49,32,46,48,48,52,56,53,
      52,55,32,46,48,48,52,57,50,55,54,56,32,46,48,48,53,48,48,48,57,32,46,48,48,
      53,48,55,52,53,32,46,48,48,53,49,52,56,52,55,10,32,32,46,48,48,53,50,50,50,
      55,53,32,46,48,48,53,50,57,55,51,56,32,46,48,48,53,51,55,50,51,32,46,48,48,
      53,52,52,55,55,49,32,46,48,48,53,53,50,51,52,53,32,46,48,48,53,53,57,57,52,
      53,32,46,48,48,53,54,55,54,48,49,32,46,48,48,53,55,53,51,32,46,48,48,53,56,
      51,48,50,51,10,32,32,46,48,48,53,57,48,56,48,53,32,46,48,48,53,57,56,54,52,
      32,46,48,48,54,48,54,53,48,52,32,46,48,48,54,49,52,52,49,54,32,46,48,48,54,
      50,50,51,57,53,32,46,48,48,54,51,48,52,48,51,32,46,48,48,54,51,56,52,53,53,
      32,46,48,48,54,52,54,53,55,50,32,46,48,48,54,53,52,55,50,53,10,32,32,46,48,
      48,54,54,50,57,49,50,32,46,48,48,54,55,49,49,53,57,32,46,48,48,54,55,57,52,
      52,52,32,46,48,48,54,56,55,55,54,49,32,46,48,48,54,57,56,57,48,56,32,46,48,
      48,55,50,53,48,51,50,32,46,48,48,55,54,51,55,55,50,32,46,48,48,56,50,54,57,
      56,56,10,32,32,46,48,48,56,56,56,55,51,56,32,46,48,48,57,53,48,48,53,56,32,
      46,48,49,48,49,50,49,50,32,46,48,49,48,55,53,52,52,32,46,48,49,49,51,57,54,
      54,32,46,48,49,50,48,52,49,52,32,46,48,49,50,54,56,50,50,32,46,48,49,51,51,
      49,52,50,32,46,48,49,51,57,51,53,10,32,32,46,48,49,52,53,52,49,50,32,46,48,
      49,53,50,52,55,55,32,46,48,49,53,57,50,56,56,32,46,48,49,54,55,57,51,56,32,
      46,48,49,55,54,48,55,52,32,46,48,49,56,51,54,57,32,46,48,49,57,50,52,56,50,
      32,46,48,50,48,48,53,52,49,32,46,48,50,48,56,50,53,49,10,32,32,46,48,50,49,
      55,54,54,32,46,48,50,50,55,57,55,52,32,46,48,50,52,50,57,55,51,32,46,48,50,
      53,56,53,56,51,32,46,48,50,55,51,56,51,52,32,46,48,50,56,57,53,48,51,32,46,
      48,51,48,52,52,49,56,32,46,48,51,49,55,57,54,32,46,48,51,51,48,51,53,53,32,
      46,48,51,52,49,52,57,51,10,32,32,46,48,51,53,50,55,54,50,32,46,48,51,54,51,
      55,57,51,32,46,48,51,55,56,50,51,32,46,48,52,48,48,50,56,49,32,46,48,52,50,
      49,54,50,56,32,46,48,52,51,51,49,51,53,32,46,48,52,51,57,53,49,51,32,46,48,
      52,51,52,55,57,49,32,46,48,52,49,57,57,52,57,10,32,32,46,48,51,57,56,50,50,
      52,32,46,48,51,54,57,50,55,50,32,46,48,51,51,57,57,56,57,32,46,48,51,49,50,
      55,49,56,32,46,48,50,57,50,57,51,49,32,46,48,50,56,53,51,52,54,32,46,48,50,
      56,54,54,57,49,32,46,48,50,56,50,49,51,56,32,46,48,50,55,49,54,51,56,10,32,
      32,46,48,50,53,49,56,52,49,32,46,48,50,49,54,52,50,53,32,46,48,49,56,49,53,
      50,54,32,46,48,49,53,51,51,51,52,32,46,48,49,51,51,57,57,50,32,46,48,49,49,
      49,55,48,49,32,46,48,48,57,50,49,50,49,54,32,46,48,48,55,52,54,55,56,50,32,
      46,48,48,54,50,48,51,51,50,10,32,32,46,48,48,53,51,51,51,51,50,32,46,48,48,
      52,55,56,50,48,56,32,46,48,48,52,50,57,54,55,52,32,46,48,48,51,55,57,50,48,
      53,32,46,48,48,51,51,50,54,54,55,32,46,48,48,50,51,54,52,48,56,32,46,48,48,
      49,54,49,52,52,50,32,46,48,48,49,49,53,55,56,56,10,32,32,46,48,48,48,56,55,
      53,50,56,53,32,46,48,48,48,55,56,54,52,55,32,46,48,48,48,53,57,57,56,49,49,
      32,46,48,48,48,52,54,49,50,56,50,32,46,48,48,48,51,53,56,51,55,54,32,46,48,
      48,48,50,56,49,55,53,57,32,46,48,48,48,50,49,53,56,56,54,32,46,48,48,48,49,
      55,55,55,56,52,10,32,32,46,48,48,48,49,52,54,53,52,57,32,46,48,48,48,49,48,
      54,56,49,56,32,56,46,56,48,54,49,50,101,45,48,53,32,54,46,53,48,50,50,55,101,
      45,48,53,32,52,46,55,50,50,51,51,101,45,48,53,32,51,46,56,57,57,52,53,101,45,
      48,53,32,51,46,50,49,56,55,50,101,45,48,53,10,32,32,50,46,51,55,55,50,56,101,
      45,48,53,32,49,46,55,48,50,101,45,48,53,32,49,46,52,49,52,48,52,101,45,48,53,
      32,49,46,48,52,56,53,52,101,45,48,53,32,56,46,55,51,55,57,54,101,45,48,54,32,
      54,46,52,57,54,55,57,101,45,48,54,32,53,46,49,48,50,57,55,101,45,48,54,10,32,
      32,55,46,55,53,48,52,57,101,45,48,54,32,54,46,56,50,51,54,52,101,45,48,54,32,
      53,46,51,52,50,48,50,101,45,48,54,32,52,46,48,55,55,50,55,101,45,48,54,32,51,
      46,50,53,54,50,51,101,45,48,54,32,50,46,54,48,49,49,54,101,45,48,54,32,50,46,
      49,48,56,53,54,101,45,48,54,10,32,32,49,46,55,49,53,48,56,101,45,48,54,32,49,
      46,51,54,52,52,101,45,48,54,32,49,46,49,49,51,55,55,101,45,48,54,32,56,46,57,
      48,54,54,52,101,45,48,55,32,55,46,53,53,53,53,56,101,45,48,55,32,53,46,55,55,
      56,53,52,101,45,48,55,32,52,46,57,48,51,50,50,101,45,48,55,10,32,32,51,46,57,
      57,56,52,50,101,45,48,55,32,50,46,52,56,56,49,55,101,45,48,55,32,49,46,50,57,
      55,49,101,45,48,55,32,54,46,56,55,56,54,56,101,45,48,56,32,51,46,49,49,55,55,
      52,101,45,48,56,32,49,46,52,49,52,56,57,101,45,48,56,32,53,46,52,57,49,51,57,
      101,45,48,57,10,32,32,50,46,52,57,56,57,55,101,45,48,57,32,55,46,49,48,55,51,
      54,101,45,49,48,32,50,46,49,52,55,53,55,101,45,49,48,32,57,46,50,54,49,54,52,
      101,45,49,49,32,51,46,54,50,49,52,54,101,45,49,49,32,49,46,48,51,54,52,49,101,
      45,49,49,32,51,46,52,55,50,57,55,101,45,49,50,10,32,32,49,46,49,54,53,49,56,
      101,45,49,50,32,51,46,51,52,57,49,52,101,45,49,51,32,57,46,54,51,57,55,50,101,
      45,49,52,32,51,46,50,52,53,50,54,101,45,49,52,32,49,46,48,57,51,53,101,45,49,
      52,32,51,46,54,56,55,54,51,101,45,49,53,32,57,46,55,53,56,49,57,101,45,49,54,
      10,32,32,50,46,52,48,55,50,50,101,45,49,54,32,53,46,48,56,57,53,101,45,49,55,
      32,49,46,50,53,56,52,50,101,45,49,55,32,50,46,54,53,55,50,52,101,45,49,56,32,
      54,46,53,53,50,56,53,101,45,49,57,32,49,46,53,57,56,55,101,45,49,57,32,51,46,
      51,57,51,49,49,101,45,50,48,10,32,32,52,46,57,52,56,50,49,101,45,50,49,32,48,
      114,49,48,54,32,50,46,54,57,49,48,51,101,45,48,56,32,49,46,48,55,57,48,53,101,
      45,48,55,32,50,46,52,50,57,56,54,101,45,48,55,32,50,46,54,57,49,48,53,101,45,
      48,55,32,49,46,48,55,57,48,55,101,45,48,54,32,50,46,52,50,57,57,101,45,48,54,
      10,32,32,52,46,51,49,56,56,57,101,45,48,54,32,54,46,55,52,53,57,51,101,45,48,
      54,32,57,46,55,49,54,49,55,101,45,48,54,32,49,46,51,50,50,49,53,101,45,48,53,
      32,49,46,55,50,54,57,55,101,45,48,53,32,50,46,49,56,53,53,49,101,45,48,53,32,
      50,46,54,57,55,55,52,101,45,48,53,10,32,32,51,46,50,54,51,57,49,101,45,48,53,
      32,51,46,56,56,51,57,56,101,45,48,53,32,52,46,53,53,55,54,51,101,45,48,53,32,
      53,46,50,56,53,49,49,101,45,48,53,32,54,46,48,54,54,51,53,101,45,48,53,32,54,
      46,57,48,49,48,53,101,45,48,53,32,55,46,55,56,57,52,49,101,45,48,53,10,32,32,
      56,46,55,51,49,49,51,101,45,48,53,32,57,46,55,50,54,51,56,101,45,48,53,32,46,
      48,48,48,49,48,55,55,52,57,32,46,48,48,48,49,49,56,55,54,56,32,46,48,48,48,
      49,51,48,51,50,32,46,48,48,48,49,52,50,52,48,50,32,46,48,48,48,49,53,53,48,
      49,52,32,46,48,48,48,49,54,56,49,53,57,10,32,32,46,48,48,48,49,56,49,56,51,
      50,32,46,48,48,48,49,57,54,48,51,50,32,46,48,48,48,50,49,48,55,54,49,32,46,
      48,48,48,50,50,54,48,49,56,32,46,48,48,48,50,52,49,56,48,49,32,46,48,48,48,
      50,53,56,49,49,49,32,46,48,48,48,50,55,52,57,52,52,32,46,48,48,48,50,57,50,
      51,48,57,10,32,32,46,48,48,48,51,49,48,49,57,52,32,46,48,48,48,51,50,56,54,
      48,52,32,46,48,48,48,51,52,55,53,52,53,32,46,48,48,48,51,54,55,48,48,56,32,
      46,48,48,48,51,56,54,57,57,52,32,46,48,48,48,52,48,55,53,49,56,32,46,48,48,
      48,52,50,56,53,54,52,32,46,48,48,48,52,53,48,49,51,51,10,32,32,46,48,48,48,
      52,55,50,50,51,57,32,46,48,48,48,52,57,52,57,48,50,32,46,48,48,48,53,49,56,
      49,48,53,32,46,48,48,48,53,52,49,56,48,51,32,46,48,48,48,53,54,54,48,51,52,
      32,46,48,48,48,53,57,48,55,56,55,32,46,48,48,48,54,49,54,48,55,55,32,46,48,
      48,48,54,52,49,57,48,50,10,32,32,46,48,48,48,54,54,56,50,53,49,32,46,48,48,
      48,54,57,53,49,51,52,32,46,48,48,48,55,50,50,53,53,53,32,46,48,48,48,55,53,
      48,53,48,49,32,46,48,48,48,55,55,56,57,55,51,32,46,48,48,48,56,48,55,57,56,
      53,32,46,48,48,48,56,51,55,53,50,49,32,46,48,48,48,56,54,55,53,56,50,10,32,
      32,46,48,48,48,56,57,56,49,56,52,32,46,48,48,48,57,50,57,51,48,56,32,46,48,
      48,48,57,54,48,57,53,56,32,46,48,48,48,57,57,51,49,52,51,32,46,48,48,49,48,
      50,53,56,53,32,46,48,48,49,48,53,57,48,57,32,46,48,48,49,48,57,50,56,54,32,
      46,48,48,49,49,50,55,49,55,10,32,32,46,48,48,49,49,54,50,32,46,48,48,49,49,
      57,55,51,54,32,46,48,48,49,50,51,51,50,55,32,46,48,48,49,50,54,57,55,32,46,
      48,48,49,51,48,54,54,55,32,46,48,48,49,51,52,52,50,32,46,48,48,49,51,56,50,
      50,53,32,46,48,48,49,52,50,48,56,53,32,46,48,48,49,52,54,48,48,51,10,32,32,
      46,48,48,49,52,57,57,55,51,32,46,48,48,49,53,51,57,57,54,32,46,48,48,49,53,
      56,48,56,50,32,46,48,48,49,54,50,50,50,32,46,48,48,49,54,54,52,49,32,46,48,
      48,49,55,48,54,54,52,32,46,48,48,49,55,52,57,55,49,32,46,48,48,49,55,57,51,
      51,49,32,46,48,48,49,56,51,55,53,50,10,32,32,46,48,48,49,56,56,50,51,32,46,
      48,48,49,57,50,55,53,57,32,46,48,48,49,57,55,51,52,55,32,46,48,48,50,48,49,
      57,57,52,32,46,48,48,50,48,54,54,57,50,32,46,48,48,50,49,49,52,52,53,32,46,
      48,48,50,49,54,50,53,56,32,46,48,48,50,50,49,49,50,50,32,46,48,48,50,50,54,
      48,51,57,10,32,32,46,48,48,50,51,49,48,49,54,32,46,48,48,50,51,54,48,52,50,
      32,46,48,48,50,52,49,48,56,52,32,46,48,48,50,52,54,50,50,32,46,48,48,50,53,
      49,52,48,54,32,46,48,48,50,53,54,54,52,50,32,46,48,48,50,54,49,57,51,52,32,
      46,48,48,50,54,55,50,55,54,32,46,48,48,50,55,50,54,55,50,10,32,32,46,48,48,
      50,55,56,49,49,55,32,46,48,48,50,56,51,54,49,52,32,46,48,48,50,56,57,49,56,
      32,46,48,48,50,57,52,55,56,32,46,48,48,51,48,48,52,50,56,32,46,48,48,51,48,
      54,49,50,57,32,46,48,48,51,49,49,56,55,57,32,46,48,48,51,49,55,54,55,56,32,
      46,48,48,51,50,51,53,50,56,10,32,32,46,48,48,51,50,57,52,50,57,32,46,48,48,
      51,51,53,51,55,51,32,46,48,48,51,52,49,51,54,55,32,46,48,48,51,52,55,52,49,
      53,32,46,48,48,51,53,51,53,48,50,32,46,48,48,51,53,57,54,52,32,46,48,48,51,
      54,53,56,50,56,32,46,48,48,51,55,50,48,53,52,32,46,48,48,51,55,56,51,50,56,
      10,32,32,46,48,48,51,56,52,54,53,52,32,46,48,48,51,57,49,48,49,53,32,46,48,
      48,51,57,55,52,50,49,32,46,48,48,52,48,51,56,55,52,32,46,48,48,52,49,48,51,
      54,55,32,46,48,48,52,49,54,56,57,54,32,46,48,48,52,50,51,52,55,50,32,46,48,
      48,52,51,48,48,56,55,10,32,32,46,48,48,52,51,54,55,51,50,32,46,48,48,52,52,
      51,52,55,50,32,46,48,48,52,53,48,50,49,53,32,46,48,48,52,53,54,57,55,52,32,
      46,48,48,52,54,51,55,55,49,32,46,48,48,52,55,48,54,48,54,32,46,48,48,52,55,
      55,52,55,53,32,46,48,48,52,56,52,51,56,32,46,48,48,52,57,49,51,49,56,10,32,
      32,46,48,48,52,57,56,51,48,49,32,46,48,48,53,48,53,51,49,56,32,46,48,48,53,
      49,50,51,54,52,32,46,48,48,53,49,57,52,54,49,32,46,48,48,53,50,54,54,32,46,
      48,48,53,51,51,55,54,54,32,46,48,48,53,52,48,57,56,53,32,46,48,48,53,52,56,
      50,53,50,32,46,48,48,53,53,53,53,53,10,32,32,46,48,48,53,54,50,56,57,52,32,
      46,48,48,53,55,48,50,57,52,32,46,48,48,53,55,55,55,50,55,32,46,48,48,53,56,
      53,50,48,49,32,46,48,48,53,57,50,55,51,51,32,46,48,48,54,48,48,51,32,46,48,
      48,54,48,55,57,48,50,32,46,48,48,54,49,53,53,53,55,32,46,48,48,54,50,51,50,
      53,49,10,32,32,46,48,48,54,51,48,57,55,54,32,46,48,48,54,52,49,51,51,50,32,
      46,48,48,54,54,53,54,50,52,32,46,48,48,55,48,49,55,48,55,32,46,48,48,55,54,
      48,55,54,54,32,46,48,48,56,49,56,54,50,32,46,48,48,56,55,54,48,55,32,46,48,
      48,57,51,52,48,54,55,32,46,48,48,57,57,51,48,51,57,10,32,32,46,48,49,48,53,
      50,55,51,32,46,48,49,49,49,50,54,50,32,46,48,49,49,55,50,49,56,32,46,48,49,
      50,51,49,48,50,32,46,48,49,50,56,56,57,53,32,46,48,49,51,52,53,54,57,32,46,
      48,49,52,49,50,48,52,32,46,48,49,52,55,54,50,57,32,46,48,49,53,53,56,51,52,
      10,32,32,46,48,49,54,51,54,48,49,32,46,48,49,55,48,57,50,32,46,48,49,55,57,
      52,51,49,32,46,48,49,56,55,50,56,55,32,46,48,49,57,52,56,49,55,32,46,48,50,
      48,51,57,53,55,32,46,48,50,49,51,56,54,55,32,46,48,50,50,56,49,53,55,32,46,
      48,50,52,50,57,55,56,10,32,32,46,48,50,53,55,52,55,54,32,46,48,50,55,50,52,
      54,53,32,46,48,50,56,54,57,32,46,48,51,48,48,49,57,55,32,46,48,51,49,50,53,
      50,32,46,48,51,50,51,55,51,52,32,46,48,51,51,53,49,52,56,32,46,48,51,52,54,
      50,54,32,46,48,51,54,48,53,53,55,32,46,48,51,56,50,48,55,10,32,32,46,48,52,
      48,50,57,53,55,32,46,48,52,49,52,52,50,57,32,46,48,52,50,49,50,56,53,32,46,
      48,52,49,55,56,51,55,32,46,48,52,48,52,55,49,57,32,46,48,51,56,52,56,54,32,
      46,48,51,53,55,56,56,52,32,46,48,51,51,48,50,57,56,32,46,48,51,48,52,52,51,
      56,10,32,32,46,48,50,56,53,54,57,50,32,46,48,50,55,56,55,48,54,32,46,48,50,
      56,48,50,55,56,32,46,48,50,55,54,48,57,51,32,46,48,50,54,54,48,54,57,32,46,
      48,50,52,54,57,55,51,32,46,48,50,49,50,54,50,51,32,46,48,49,55,56,54,52,51,
      32,46,48,49,53,49,49,49,50,10,32,32,46,48,49,51,50,49,56,50,32,46,48,49,49,
      48,51,50,51,32,46,48,48,57,49,48,56,50,50,32,46,48,48,55,51,57,48,54,57,32,
      46,48,48,54,49,52,51,56,54,32,46,48,48,53,50,56,53,50,55,32,46,48,48,52,55,
      52,48,57,57,32,46,48,48,52,50,54,49,52,50,32,46,48,48,51,55,54,50,51,49,10,
      32,32,46,48,48,51,51,48,49,54,57,32,46,48,48,50,51,52,56,48,49,32,46,48,48,
      49,54,48,52,52,57,32,46,48,48,49,49,53,49,51,49,32,46,48,48,48,56,55,48,54,
      52,56,32,46,48,48,48,55,56,50,52,51,50,32,46,48,48,48,53,57,54,57,48,57,32,
      46,48,48,48,52,53,57,49,55,49,10,32,32,46,48,48,48,51,53,54,56,49,56,32,46,
      48,48,48,50,56,48,53,57,32,46,48,48,48,50,49,53,48,51,51,32,46,48,48,48,49,
      55,55,49,48,52,32,46,48,48,48,49,52,54,48,48,56,32,46,48,48,48,49,48,54,52,
      52,52,32,56,46,55,55,54,49,57,101,45,48,53,32,54,46,52,56,49,49,57,101,45,48,
      53,10,32,32,52,46,55,48,55,55,49,101,45,48,53,32,51,46,56,56,55,55,101,45,48,
      53,32,51,46,50,48,57,50,56,101,45,48,53,32,50,46,51,55,48,53,57,101,45,48,53,
      32,49,46,54,57,55,52,50,101,45,48,53,32,49,46,52,49,48,51,49,101,45,48,53,32,
      49,46,48,52,53,56,55,101,45,48,53,10,32,32,56,46,55,49,54,50,52,101,45,48,54,
      32,54,46,52,56,49,50,49,101,45,48,54,32,53,46,48,57,49,49,53,101,45,48,54,32,
      55,46,55,48,49,48,56,101,45,48,54,32,54,46,55,56,48,54,57,101,45,48,54,32,53,
      46,51,48,56,54,54,101,45,48,54,32,52,46,48,53,50,48,49,101,45,48,54,10,32,32,
      51,46,50,51,54,49,57,101,45,48,54,32,50,46,53,56,53,50,54,101,45,48,54,32,50,
      46,48,57,53,55,53,101,45,48,54,32,49,46,55,48,52,55,50,101,45,48,54,32,49,46,
      51,53,54,50,49,101,45,48,54,32,49,46,49,48,55,49,50,101,45,48,54,32,56,46,56,
      53,51,55,56,101,45,48,55,10,32,32,55,46,53,49,50,50,52,101,45,48,55,32,53,46,
      55,52,55,52,53,101,45,48,55,32,52,46,56,55,55,48,53,101,45,48,55,32,51,46,57,
      55,55,49,57,101,45,48,55,32,50,46,52,55,53,49,49,101,45,48,55,32,49,46,50,57,
      48,51,57,101,45,48,55,32,54,46,56,52,51,53,57,101,45,48,56,10,32,32,51,46,49,
      48,50,48,53,101,45,48,56,32,49,46,52,48,56,50,54,101,45,48,56,32,53,46,52,54,
      54,53,56,101,45,48,57,32,50,46,52,56,55,56,52,101,45,48,57,32,55,46,48,55,54,
      50,57,101,45,49,48,32,50,46,49,51,56,51,55,101,45,49,48,32,57,46,50,50,50,53,
      50,101,45,49,49,10,32,32,51,46,54,48,55,56,57,101,45,49,49,32,49,46,48,51,51,
      48,54,101,45,49,49,32,51,46,52,54,49,56,51,101,45,49,50,32,49,46,49,54,49,53,
      101,45,49,50,32,51,46,51,51,56,55,53,101,45,49,51,32,57,46,54,49,48,51,53,101,
      45,49,52,32,51,46,50,51,53,53,51,101,45,49,52,10,32,32,49,46,48,57,48,50,54,
      101,45,49,52,32,51,46,54,55,54,54,57,101,45,49,53,32,57,46,55,51,51,55,55,101,
      45,49,54,32,50,46,52,48,50,54,55,101,45,49,54,32,53,46,48,56,48,52,50,101,45,
      49,55,32,49,46,50,53,54,50,53,101,45,49,55,32,50,46,54,53,50,55,54,101,45,49,
      56,10,32,32,54,46,53,55,49,50,56,101,45,49,57,32,49,46,53,57,53,56,56,101,45,
      49,57,32,51,46,51,56,55,48,52,101,45,50,48,32,52,46,57,50,57,53,101,45,50,49,
      32,48,114,49,48,54,32,50,46,52,52,51,52,57,101,45,48,56,32,57,46,55,57,55,57,
      56,101,45,48,56,32,50,46,50,48,54,51,54,101,45,48,55,10,32,32,50,46,52,52,51,
      53,50,101,45,48,55,32,57,46,55,57,56,51,101,45,48,55,32,50,46,50,48,54,52,54,
      101,45,48,54,32,51,46,57,50,49,56,52,101,45,48,54,32,54,46,49,50,53,57,51,101,
      45,48,54,32,56,46,56,50,51,53,101,45,48,54,32,49,46,50,48,48,55,51,101,45,48,
      53,10,32,32,49,46,53,54,56,52,52,101,45,48,53,32,49,46,57,56,52,57,57,101,45,
      48,53,32,50,46,52,53,48,51,56,101,45,48,53,32,50,46,57,54,52,56,50,101,45,48,
      53,32,51,46,53,50,56,51,101,45,48,53,32,52,46,49,52,48,53,54,101,45,48,53,32,
      52,46,56,48,49,56,51,101,45,48,53,10,32,32,53,46,53,49,50,48,57,101,45,48,53,
      32,54,46,50,55,49,48,54,101,45,48,53,32,55,46,48,55,56,57,54,101,45,48,53,32,
      55,46,57,51,53,53,50,101,45,48,53,32,56,46,56,52,48,57,53,101,45,48,53,32,57,
      46,55,57,52,57,56,101,45,48,53,32,46,48,48,48,49,48,55,57,55,56,10,32,32,46,
      48,48,48,49,49,56,52,57,52,32,46,48,48,48,49,50,57,52,57,52,32,46,48,48,48,
      49,52,48,57,55,57,32,46,48,48,48,49,53,50,57,53,50,32,46,48,48,48,49,54,53,
      52,48,57,32,46,48,48,48,49,55,56,51,52,57,32,46,48,48,48,49,57,49,55,55,51,
      32,46,48,48,48,50,48,53,54,56,49,10,32,32,46,48,48,48,50,50,48,48,55,50,32,
      46,48,48,48,50,51,52,57,52,54,32,46,48,48,48,50,53,48,51,48,49,32,46,48,48,
      48,50,54,54,49,52,50,32,46,48,48,48,50,56,50,52,54,49,32,46,48,48,48,50,57,
      57,50,54,50,32,46,48,48,48,51,49,54,53,52,56,32,46,48,48,48,51,51,52,51,49,
      52,10,32,32,46,48,48,48,51,53,50,53,54,49,32,46,48,48,48,51,55,49,50,57,55,
      32,46,48,48,48,51,57,48,53,49,51,32,46,48,48,48,52,49,48,50,48,57,32,46,48,
      48,48,52,51,48,51,57,52,32,46,48,48,48,52,53,49,48,54,51,32,46,48,48,48,52,
      55,50,50,49,32,46,48,48,48,52,57,51,56,52,57,10,32,32,46,48,48,48,53,49,53,
      57,55,52,32,46,48,48,48,53,51,56,54,52,32,46,48,48,48,53,54,49,55,52,53,32,
      46,48,48,48,53,56,53,51,50,56,32,46,48,48,48,54,48,57,51,57,51,32,46,48,48,
      48,54,51,51,57,52,53,32,46,48,48,48,54,53,56,57,56,55,32,46,48,48,48,54,56,
      52,53,49,10,32,32,46,48,48,48,55,49,48,53,49,54,32,46,48,48,48,55,51,55,48,
      49,51,32,46,48,48,48,55,54,51,57,57,49,32,46,48,48,48,55,57,49,52,53,32,46,
      48,48,48,56,49,57,52,48,50,32,46,48,48,48,56,52,55,56,51,51,32,46,48,48,48,
      56,55,54,55,52,54,32,46,48,48,48,57,48,54,49,52,55,10,32,32,46,48,48,48,57,
      51,54,48,51,49,32,46,48,48,48,57,54,54,51,57,56,32,46,48,48,48,57,57,55,50,
      53,50,32,46,48,48,49,48,50,56,53,57,32,46,48,48,49,48,54,48,52,49,32,46,48,
      48,49,48,57,50,55,50,32,46,48,48,49,49,50,53,53,51,32,46,48,48,49,49,53,56,
      56,49,10,32,32,46,48,48,49,49,57,50,53,57,32,46,48,48,49,50,50,54,56,55,32,
      46,48,48,49,50,54,49,54,51,32,46,48,48,49,50,57,54,56,56,32,46,48,48,49,51,
      51,50,54,53,32,46,48,48,49,51,54,56,57,32,46,48,48,49,52,48,53,54,52,32,46,
      48,48,49,52,52,50,57,50,32,46,48,48,49,52,56,48,54,56,10,32,32,46,48,48,49,
      53,49,56,57,50,32,46,48,48,49,53,53,55,55,50,32,46,48,48,49,53,57,55,32,46,
      48,48,49,54,51,54,55,55,32,46,48,48,49,54,55,55,48,55,32,46,48,48,49,55,49,
      55,56,55,32,46,48,48,49,55,53,57,49,53,32,46,48,48,49,56,48,48,57,54,32,46,
      48,48,49,56,52,51,50,56,10,32,32,46,48,48,49,56,56,54,48,55,32,46,48,48,49,
      57,50,57,51,55,32,46,48,48,49,57,55,51,49,57,32,46,48,48,50,48,49,55,50,57,
      32,46,48,48,50,48,54,49,57,55,32,46,48,48,50,49,48,55,50,54,32,46,48,48,50,
      49,53,51,48,49,32,46,48,48,50,49,57,57,50,52,10,32,32,46,48,48,50,50,52,53,
      57,56,32,46,48,48,50,50,57,51,50,32,46,48,48,50,51,52,48,56,56,32,46,48,48,
      50,51,56,57,48,54,32,46,48,48,50,52,51,55,55,32,46,48,48,50,52,56,54,56,53,
      32,46,48,48,50,53,51,54,52,52,32,46,48,48,50,53,56,54,53,50,32,46,48,48,50,
      54,51,55,48,56,10,32,32,46,48,48,50,54,56,56,49,32,46,48,48,50,55,51,57,53,
      56,32,46,48,48,50,55,57,49,53,52,32,46,48,48,50,56,52,52,49,32,46,48,48,50,
      56,57,54,57,56,32,46,48,48,50,57,53,48,51,52,32,46,48,48,51,48,48,52,49,55,
      32,46,48,48,51,48,53,56,52,51,32,46,48,48,51,49,49,51,49,53,10,32,32,46,48,
      48,51,49,54,56,51,54,32,46,48,48,51,50,50,51,57,56,32,46,48,48,51,50,56,48,
      48,55,32,46,48,48,51,51,51,54,54,50,32,46,48,48,51,51,57,51,53,56,32,46,48,
      48,51,52,53,48,57,56,32,46,48,48,51,53,48,56,56,55,32,46,48,48,51,53,54,55,
      49,51,10,32,32,46,48,48,51,54,50,53,56,51,32,46,48,48,51,54,56,52,57,56,32,
      46,48,48,51,55,52,52,53,52,32,46,48,48,51,56,48,52,52,55,32,46,48,48,51,56,
      54,52,56,54,32,46,48,48,51,57,50,53,54,52,32,46,48,48,51,57,56,54,55,53,32,
      46,48,48,52,48,52,56,51,32,46,48,48,52,49,49,48,50,52,10,32,32,46,48,48,52,
      49,55,50,55,49,32,46,48,48,52,50,51,53,55,53,32,46,48,48,52,50,57,56,56,49,
      32,46,48,48,52,51,54,50,50,50,32,46,48,48,52,52,50,54,48,49,32,46,48,48,52,
      52,57,48,49,51,32,46,48,48,52,53,53,52,54,57,32,46,48,48,52,54,49,57,53,57,
      10,32,32,46,48,48,52,54,56,52,56,49,32,46,48,48,52,55,53,48,52,57,32,46,48,
      48,52,56,49,54,53,55,32,46,48,48,52,56,56,50,57,53,32,46,48,48,52,57,52,57,
      56,49,32,46,48,48,53,48,49,55,49,32,46,48,48,53,48,56,52,55,50,32,46,48,48,
      53,49,53,50,55,55,32,46,48,48,53,50,50,49,51,49,10,32,32,46,48,48,53,50,57,
      48,49,56,32,46,48,48,53,51,53,57,52,54,32,46,48,48,53,52,50,57,50,51,32,46,
      48,48,53,52,57,57,51,54,32,46,48,48,53,53,54,57,56,53,32,46,48,48,53,54,52,
      48,56,32,46,48,48,53,55,49,50,49,52,32,46,48,48,53,55,56,51,56,32,46,48,48,
      53,56,55,57,56,54,10,32,32,46,48,48,54,49,48,53,52,50,32,46,48,48,54,52,52,
      49,48,50,32,46,48,48,54,57,57,49,57,56,32,46,48,48,55,53,51,51,50,53,32,46,
      48,48,56,48,55,48,56,49,32,46,48,48,56,54,49,50,49,53,32,46,48,48,57,49,54,
      48,56,53,32,46,48,48,57,55,49,53,48,52,10,32,32,46,48,49,48,50,55,48,55,32,
      46,48,49,48,56,50,51,56,32,46,48,49,49,51,55,49,49,32,46,48,49,49,57,49,49,
      50,32,46,48,49,50,52,52,49,54,32,46,48,49,51,48,54,52,50,32,46,48,49,51,54,
      54,57,54,32,46,48,49,52,52,52,54,56,32,46,48,49,53,49,56,55,50,10,32,32,46,
      48,49,53,56,56,57,51,32,46,48,49,54,55,49,49,52,32,46,48,49,55,52,55,53,53,
      32,46,48,49,56,50,48,57,32,46,48,49,57,48,57,53,49,32,46,48,50,48,48,52,54,
      49,32,46,48,50,49,52,48,54,50,32,46,48,50,50,56,49,49,57,32,46,48,50,52,49,
      56,56,57,10,32,32,46,48,50,53,54,50,49,52,32,46,48,50,55,48,49,54,52,32,46,
      48,50,56,51,49,57,51,32,46,48,50,57,53,52,48,55,32,46,48,51,48,54,54,53,51,
      32,46,48,51,49,56,49,54,54,32,46,48,51,50,57,51,50,50,32,46,48,51,52,51,52,
      53,54,32,46,48,51,54,52,52,50,54,10,32,32,46,48,51,56,52,56,52,52,32,46,48,
      51,57,54,50,54,51,32,46,48,52,48,51,53,53,49,32,46,48,52,48,49,51,48,50,32,
      46,48,51,56,57,56,50,55,32,46,48,51,55,49,55,54,49,32,46,48,51,52,54,54,57,
      51,32,46,48,51,50,48,55,53,52,32,46,48,50,57,54,50,54,57,10,32,32,46,48,50,
      55,56,53,51,54,32,46,48,50,55,50,49,51,50,32,46,48,50,55,51,57,50,51,32,46,
      48,50,55,48,48,57,51,32,46,48,50,54,48,53,51,52,32,46,48,50,52,50,49,50,57,
      32,46,48,50,48,56,56,51,51,32,46,48,49,55,53,55,54,49,32,46,48,49,52,56,56,
      56,55,10,32,32,46,48,49,51,48,51,54,55,32,46,48,49,48,56,57,51,57,32,46,48,
      48,57,48,48,51,54,51,32,46,48,48,55,51,49,51,32,46,48,48,54,48,56,51,56,56,
      32,46,48,48,53,50,51,54,55,54,32,46,48,48,52,54,57,57,53,32,46,48,48,52,50,
      50,53,55,51,32,46,48,48,51,55,51,50,50,50,10,32,32,46,48,48,51,50,55,54,52,
      32,46,48,48,50,51,51,49,55,51,32,46,48,48,49,53,57,52,52,51,32,46,48,48,49,
      49,52,52,54,53,32,46,48,48,48,56,54,53,57,52,32,46,48,48,48,55,55,56,51,51,
      55,32,46,48,48,48,53,57,51,57,54,56,32,46,48,48,48,52,53,55,48,50,57,10,32,
      32,46,48,48,48,51,53,53,50,51,54,32,46,48,48,48,50,55,57,52,48,51,32,46,48,
      48,48,50,49,52,49,54,54,32,46,48,48,48,49,55,54,52,49,52,32,46,48,48,48,49,
      52,53,52,53,56,32,46,48,48,48,49,48,54,48,54,50,32,56,46,55,52,53,54,57,101,
      45,48,53,32,54,46,52,53,57,55,50,101,45,48,53,10,32,32,52,46,54,57,50,56,50,
      101,45,48,53,32,51,46,56,55,53,55,51,101,45,48,53,32,51,46,49,57,57,54,54,101,
      45,48,53,32,50,46,51,54,51,55,55,101,45,48,53,32,49,46,54,57,50,55,52,101,45,
      48,53,32,49,46,52,48,54,53,50,101,45,48,53,32,49,46,48,52,51,49,54,101,45,48,
      53,10,32,32,56,46,54,57,52,48,56,101,45,48,54,32,54,46,52,54,53,50,53,101,45,
      48,54,32,53,46,48,55,57,49,57,101,45,48,54,32,55,46,54,53,48,57,53,101,45,48,
      54,32,54,46,55,51,54,56,53,101,45,48,54,32,53,46,50,55,53,50,57,101,45,48,54,
      32,52,46,48,50,54,56,56,101,45,48,54,10,32,32,51,46,50,49,54,50,52,101,45,48,
      54,32,50,46,53,54,57,52,52,101,45,48,54,32,50,46,48,56,51,101,45,48,54,32,49,
      46,54,57,52,52,49,101,45,48,54,32,49,46,51,52,56,48,54,101,45,48,54,32,49,46,
      49,48,48,53,49,101,45,48,54,32,56,46,56,48,49,50,50,101,45,48,55,10,32,32,55,
      46,52,54,55,56,51,101,45,48,55,32,53,46,55,49,51,54,57,101,45,48,55,32,52,46,
      56,52,57,51,53,101,45,48,55,32,51,46,57,53,53,54,54,101,45,48,55,32,50,46,52,
      54,50,49,51,101,45,48,55,32,49,46,50,56,51,55,51,101,45,48,55,32,54,46,56,48,
      56,55,50,101,45,48,56,10,32,32,51,46,48,56,54,52,54,101,45,48,56,32,49,46,52,
      48,49,51,101,45,48,56,32,53,46,52,52,49,57,53,101,45,48,57,32,50,46,52,55,54,
      55,57,101,45,48,57,32,55,46,48,52,53,52,54,101,45,49,48,32,50,46,49,50,57,50,
      53,101,45,49,48,32,57,46,49,56,51,55,51,101,45,49,49,10,32,32,51,46,53,57,50,
      57,53,101,45,49,49,32,49,46,48,50,57,54,57,101,45,49,49,32,51,46,52,53,48,56,
      101,45,49,50,32,49,46,49,53,55,56,54,101,45,49,50,32,51,46,51,50,56,52,55,101,
      45,49,51,32,57,46,53,56,49,51,50,101,45,49,52,32,51,46,50,50,53,57,101,45,49,
      52,10,32,32,49,46,48,56,55,48,53,101,45,49,52,32,51,46,54,54,53,56,52,101,45,
      49,53,32,57,46,55,48,57,54,56,101,45,49,54,32,50,46,51,57,54,57,101,45,49,54,
      32,53,46,48,55,49,53,50,101,45,49,55,32,49,46,50,53,52,49,51,101,45,49,55,32,
      50,46,54,52,56,51,56,101,45,49,56,10,32,32,54,46,53,54,48,55,57,101,45,49,57,
      32,49,46,53,57,51,49,49,101,45,49,57,32,51,46,51,56,49,48,49,101,45,50,48,32,
      52,46,57,49,48,57,57,101,45,50,49,32,48,114,49,48,54,32,50,46,50,51,48,48,50,
      101,45,48,56,32,56,46,57,52,49,57,55,101,45,48,56,32,50,46,48,49,51,53,57,101,
      45,48,55,10,32,32,50,46,50,51,48,48,52,101,45,48,55,32,56,46,57,52,50,50,50,
      101,45,48,55,32,50,46,48,49,51,54,55,101,45,48,54,32,51,46,53,55,57,49,52,101,
      45,48,54,32,53,46,53,57,48,54,101,45,48,54,32,56,46,48,53,50,51,55,101,45,48,
      54,32,49,46,48,57,53,55,57,101,45,48,53,10,32,32,49,46,52,51,49,51,53,101,45,
      48,53,32,49,46,56,49,49,52,57,101,45,48,53,32,50,46,50,51,54,49,57,101,45,48,
      53,32,50,46,55,48,53,54,53,101,45,48,53,32,51,46,50,49,57,56,56,101,45,48,53,
      32,51,46,55,55,56,54,51,101,45,48,53,32,52,46,51,56,50,49,101,45,48,53,10,32,
      32,53,46,48,51,48,51,101,45,48,53,32,53,46,55,50,50,57,55,101,45,48,53,32,54,
      46,52,54,48,51,49,101,45,48,53,32,55,46,50,52,50,49,101,45,48,53,32,56,46,48,
      54,56,53,50,101,45,48,53,32,56,46,57,51,57,51,52,101,45,48,53,32,57,46,56,53,
      52,55,52,101,45,48,53,10,32,32,46,48,48,48,49,48,56,49,52,55,32,46,48,48,48,
      49,49,56,49,57,32,46,48,48,48,49,50,56,54,55,53,32,46,48,48,48,49,51,57,54,
      48,56,32,46,48,48,48,49,53,48,57,56,51,32,46,48,48,48,49,54,50,55,57,57,32,
      46,48,48,48,49,55,53,48,54,32,46,48,48,48,49,56,55,55,54,52,10,32,32,46,48,
      48,48,50,48,48,57,48,57,32,46,48,48,48,50,49,52,52,57,56,32,46,48,48,48,50,
      50,56,53,50,55,32,46,48,48,48,50,52,51,48,48,49,32,46,48,48,48,50,53,55,57,
      49,52,32,46,48,48,48,50,55,51,50,54,56,32,46,48,48,48,50,56,57,48,54,56,32,
      46,48,48,48,51,48,53,51,48,54,10,32,32,46,48,48,48,51,50,49,57,56,54,32,46,
      48,48,48,51,51,57,49,49,51,32,46,48,48,48,51,53,54,54,56,32,46,48,48,48,51,
      55,52,54,56,56,32,46,48,48,48,51,57,51,49,52,49,32,46,48,48,48,52,49,50,48,
      51,55,32,46,48,48,48,52,51,49,51,55,51,32,46,48,48,48,52,53,49,49,53,55,10,
      32,32,46,48,48,48,52,55,49,51,56,54,32,46,48,48,48,52,57,50,48,53,53,32,46,
      48,48,48,53,49,51,49,55,49,32,46,48,48,48,53,51,52,55,51,49,32,46,48,48,48,
      53,53,54,55,51,51,32,46,48,48,48,53,55,57,49,56,32,46,48,48,48,54,48,50,48,
      55,51,32,46,48,48,48,54,50,53,52,51,53,10,32,32,46,48,48,48,54,52,57,50,53,
      57,32,46,48,48,48,54,55,51,52,56,55,32,46,48,48,48,54,57,56,49,53,53,32,46,
      48,48,48,55,50,51,50,54,53,32,46,48,48,48,55,52,56,56,50,52,32,46,48,48,48,
      55,55,52,56,50,50,32,46,48,48,48,56,48,49,50,54,50,32,46,48,48,48,56,50,56,
      49,52,56,10,32,32,46,48,48,48,56,53,53,52,55,54,32,46,48,48,48,56,56,51,50,
      52,55,32,46,48,48,48,57,49,49,52,54,50,32,46,48,48,48,57,52,48,49,50,51,32,
      46,48,48,48,57,54,57,50,50,51,32,46,48,48,48,57,57,56,55,55,50,32,46,48,48,
      49,48,50,56,55,55,32,46,48,48,49,48,53,57,50,10,32,32,46,48,48,49,48,57,48,
      48,57,32,46,48,48,49,49,50,49,52,51,32,46,48,48,49,49,53,51,50,50,32,46,48,
      48,49,49,56,53,52,53,32,46,48,48,49,50,49,56,49,53,32,46,48,48,49,50,53,49,
      50,56,32,46,48,48,49,50,56,52,56,54,32,46,48,48,49,51,49,56,57,51,10,32,32,
      46,48,48,49,51,53,51,52,52,32,46,48,48,49,51,56,56,51,56,32,46,48,48,49,52,
      50,51,56,50,32,46,48,48,49,52,53,57,55,32,46,48,48,49,52,57,54,48,50,32,46,
      48,48,49,53,51,50,56,50,32,46,48,48,49,53,55,48,48,56,32,46,48,48,49,54,48,
      55,55,55,32,46,48,48,49,54,52,53,56,53,10,32,32,46,48,48,49,54,56,52,51,55,
      32,46,48,48,49,55,50,51,52,51,32,46,48,48,49,55,54,50,57,52,32,46,48,48,49,
      56,48,50,57,50,32,46,48,48,49,56,52,51,51,52,32,46,48,48,49,56,56,52,49,57,
      32,46,48,48,49,57,50,53,53,50,32,46,48,48,49,57,54,55,50,56,10,32,32,46,48,
      48,50,48,48,57,52,56,32,46,48,48,50,48,53,50,49,52,32,46,48,48,50,48,57,53,
      50,51,32,46,48,48,50,49,51,56,55,54,32,46,48,48,50,49,56,50,55,52,32,46,48,
      48,50,50,50,55,49,52,32,46,48,48,50,50,55,50,48,49,32,46,48,48,50,51,49,55,
      50,57,10,32,32,46,48,48,50,51,54,51,48,49,32,46,48,48,50,52,48,57,49,57,32,
      46,48,48,50,52,53,53,55,56,32,46,48,48,50,53,48,50,56,32,46,48,48,50,53,53,
      48,50,55,32,46,48,48,50,53,57,56,49,54,32,46,48,48,50,54,52,54,52,57,32,46,
      48,48,50,54,57,53,50,52,32,46,48,48,50,55,52,52,52,51,10,32,32,46,48,48,50,
      55,57,52,48,51,32,46,48,48,50,56,52,52,49,55,32,46,48,48,50,56,57,52,54,52,
      32,46,48,48,50,57,52,53,53,50,32,46,48,48,50,57,57,54,56,49,32,46,48,48,51,
      48,52,56,53,52,32,46,48,48,51,49,48,48,54,54,32,46,48,48,51,49,53,51,50,32,
      46,48,48,51,50,48,54,49,56,10,32,32,46,48,48,51,50,53,57,53,51,32,46,48,48,
      51,51,49,51,50,57,32,46,48,48,51,51,54,55,52,56,32,46,48,48,51,52,50,50,48,
      53,32,46,48,48,51,52,55,55,32,46,48,48,51,53,51,50,51,55,32,46,48,48,51,53,
      56,56,49,51,32,46,48,48,51,54,52,52,50,50,32,46,48,48,51,55,48,48,55,51,10,
      32,32,46,48,48,51,55,53,55,54,49,32,46,48,48,51,56,49,52,56,54,32,46,48,48,
      51,56,55,50,52,56,32,46,48,48,51,57,51,48,52,56,32,46,48,48,51,57,56,57,50,
      57,32,46,48,48,52,48,52,56,48,50,32,46,48,48,52,49,48,55,48,57,32,46,48,48,
      52,49,54,54,53,55,10,32,32,46,48,48,52,50,50,54,51,57,32,46,48,48,52,50,56,
      54,53,52,32,46,48,48,52,51,52,55,49,51,32,46,48,48,52,52,48,56,48,57,32,46,
      48,48,52,52,54,57,51,55,32,46,48,48,52,53,51,49,48,57,32,46,48,48,52,53,57,
      51,50,49,32,46,48,48,52,54,53,53,54,55,10,32,32,46,48,48,52,55,49,56,53,51,
      32,46,48,48,52,55,56,49,56,51,32,46,48,48,52,56,52,53,52,55,32,46,48,48,52,
      57,48,57,53,32,46,48,48,52,57,55,51,57,55,32,46,48,48,53,48,51,56,56,32,46,
      48,48,53,49,48,51,57,56,32,46,48,48,53,49,54,57,53,56,32,46,48,48,53,50,51,
      53,53,54,10,32,32,46,48,48,53,51,48,49,56,54,32,46,48,48,53,51,57,48,55,55,
      32,46,48,48,53,53,57,57,54,57,32,46,48,48,53,57,49,49,48,53,32,46,48,48,54,
      52,50,51,55,53,32,46,48,48,54,57,50,56,57,56,32,46,48,48,55,52,51,49,48,49,
      32,46,48,48,55,57,51,53,53,52,10,32,32,46,48,48,56,52,52,53,52,55,32,46,48,
      48,56,57,53,57,53,49,32,46,48,48,57,52,55,52,54,53,32,46,48,48,57,57,56,55,
      55,49,32,46,48,49,48,52,57,54,51,32,46,48,49,48,57,57,57,51,32,46,48,49,49,
      52,57,52,55,32,46,48,49,50,48,55,56,49,32,46,48,49,50,54,52,55,56,10,32,32,
      46,48,49,51,51,56,51,32,46,48,49,52,48,56,55,55,32,46,48,49,52,55,54,32,46,
      48,49,53,53,53,50,54,32,46,48,49,54,50,57,51,57,32,46,48,49,55,48,48,54,56,
      32,46,48,49,55,56,54,52,51,32,46,48,49,56,55,55,53,56,32,46,48,50,48,48,54,
      57,32,46,48,50,49,52,48,49,51,10,32,32,46,48,50,50,55,48,56,49,32,46,48,50,
      52,48,55,53,54,32,46,48,50,53,52,50,50,49,32,46,48,50,54,54,57,54,32,46,48,
      50,55,57,48,51,51,32,46,48,50,57,48,50,55,50,32,46,48,51,48,49,56,51,56,32,
      46,48,51,49,51,48,48,51,32,46,48,51,50,54,57,53,32,46,48,51,52,55,51,55,50,
      10,32,32,46,48,51,54,55,51,49,51,32,46,48,51,55,56,54,54,32,46,48,51,56,54,
      51,51,51,32,46,48,51,56,53,50,48,54,32,46,48,51,55,53,50,56,57,32,46,48,51,
      53,56,57,51,56,32,46,48,51,51,53,55,48,56,32,46,48,51,49,49,51,54,52,32,46,
      48,50,56,56,50,49,51,10,32,32,46,48,50,55,49,52,54,54,32,46,48,50,54,53,54,
      50,55,32,46,48,50,54,55,54,50,54,32,46,48,50,54,52,49,52,51,32,46,48,50,53,
      53,48,52,49,32,46,48,50,51,55,51,49,51,32,46,48,50,48,53,48,53,53,32,46,48,
      49,55,50,56,56,50,32,46,48,49,52,54,54,54,10,32,32,46,48,49,50,56,53,52,55,
      32,46,48,49,48,55,53,52,57,32,46,48,48,56,56,57,56,51,55,32,46,48,48,55,50,
      51,52,55,51,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,49,56,55,55,55,32,
      46,48,48,52,54,53,55,53,54,32,46,48,48,52,49,56,57,54,55,32,46,48,48,51,55,
      48,49,56,51,10,32,32,46,48,48,51,50,53,48,56,51,32,46,48,48,50,51,49,53,50,
      54,32,46,48,48,49,53,56,52,50,52,32,46,48,48,49,49,51,55,57,49,32,46,48,48,
      48,56,54,49,49,54,56,32,46,48,48,48,55,55,52,49,55,57,32,46,48,48,48,53,57,
      48,57,56,49,32,46,48,48,48,52,53,52,56,53,54,10,32,32,46,48,48,48,51,53,51,
      54,50,56,32,46,48,48,48,50,55,56,49,57,53,32,46,48,48,48,50,49,51,50,56,52,
      32,46,48,48,48,49,55,53,55,49,51,32,46,48,48,48,49,52,52,56,57,56,32,46,48,
      48,48,49,48,53,54,55,53,32,56,46,55,49,52,55,49,101,45,48,53,32,54,46,52,51,
      55,56,53,101,45,48,53,10,32,32,52,46,54,55,55,54,54,101,45,48,53,32,51,46,56,
      54,51,53,54,101,45,48,53,32,51,46,49,56,57,56,55,101,45,48,53,32,50,46,51,53,
      54,56,50,101,45,48,53,32,49,46,54,56,55,57,55,101,45,48,53,32,49,46,52,48,50,
      54,53,101,45,48,53,32,49,46,48,52,48,52,101,45,48,53,10,32,32,56,46,54,55,49,
      53,51,101,45,48,54,32,54,46,52,52,57,48,53,101,45,48,54,32,53,46,48,54,55,48,
      51,101,45,48,54,32,55,46,54,48,49,48,52,101,45,48,54,32,54,46,54,57,51,48,56,
      101,45,48,54,32,53,46,50,52,49,50,56,101,45,48,54,32,52,46,48,48,49,53,55,101,
      45,48,54,10,32,32,51,46,49,57,54,52,50,101,45,48,54,32,50,46,53,53,51,55,101,
      45,48,54,32,50,46,48,55,48,51,50,101,45,48,54,32,49,46,54,56,52,49,54,101,45,
      48,54,32,49,46,51,51,57,57,54,101,45,48,54,32,49,46,48,57,51,57,51,101,45,48,
      54,32,56,46,55,52,56,57,49,101,45,48,55,10,32,32,55,46,52,50,51,54,52,101,45,
      48,55,32,53,46,54,56,48,49,50,101,45,48,55,32,52,46,56,50,48,57,56,101,45,48,
      55,32,51,46,57,51,50,54,52,101,45,48,55,32,50,46,52,52,57,48,54,101,45,48,55,
      32,49,46,50,55,55,49,101,45,48,55,32,54,46,55,55,51,57,56,101,45,48,56,10,32,
      32,51,46,48,55,48,57,56,101,45,48,56,32,49,46,51,57,52,51,56,101,45,48,56,32,
      53,46,52,49,54,50,56,101,45,48,57,32,50,46,52,54,53,55,57,101,45,48,57,32,55,
      46,48,49,52,56,57,101,45,49,48,32,50,46,49,50,48,50,101,45,49,48,32,57,46,49,
      52,53,50,57,101,45,49,49,10,32,32,51,46,53,55,55,57,57,101,45,49,49,32,49,46,
      48,50,53,52,53,101,45,49,49,32,51,46,52,51,57,57,49,101,45,49,50,32,49,46,49,
      53,52,50,55,101,45,49,50,32,51,46,51,49,56,51,52,101,45,49,51,32,57,46,53,53,
      50,54,54,101,45,49,52,32,51,46,50,49,54,51,49,101,45,49,52,10,32,32,49,46,48,
      56,51,56,51,101,45,49,52,32,51,46,54,53,53,49,50,101,45,49,53,32,57,46,54,56,
      53,57,56,101,45,49,54,32,50,46,51,57,49,50,49,101,45,49,54,32,53,46,48,54,48,
      50,53,101,45,49,55,32,49,46,50,53,50,48,54,101,45,49,55,32,50,46,54,52,52,49,
      101,45,49,56,10,32,32,54,46,53,53,48,53,55,101,45,49,57,32,49,46,53,57,48,49,
      54,101,45,49,57,32,51,46,51,55,52,53,101,45,50,48,32,52,46,56,57,50,54,55,101,
      45,50,49,32,48,114,49,48,54,32,50,46,48,50,55,55,52,101,45,48,56,32,56,46,49,
      51,48,56,55,101,45,48,56,32,49,46,56,51,48,57,53,101,45,48,55,10,32,32,50,46,
      48,50,55,55,54,101,45,48,55,32,56,46,49,51,49,48,57,101,45,48,55,32,49,46,56,
      51,49,48,49,101,45,48,54,32,51,46,50,53,52,52,57,101,45,48,54,32,53,46,48,56,
      51,53,49,101,45,48,54,32,55,46,51,50,50,48,51,101,45,48,54,32,57,46,57,54,52,
      48,53,101,45,48,54,10,32,32,49,46,51,48,49,53,53,101,45,48,53,32,49,46,54,52,
      55,50,52,101,45,48,53,32,50,46,48,51,51,52,54,101,45,48,53,32,50,46,52,54,48,
      52,49,101,45,48,53,32,50,46,57,50,56,48,56,101,45,48,53,32,51,46,52,51,54,50,
      55,101,45,48,53,32,51,46,57,56,53,49,55,101,45,48,53,10,32,32,52,46,53,55,52,
      55,57,101,45,48,53,32,53,46,50,48,52,57,101,45,48,53,32,53,46,56,55,53,55,101,
      45,48,53,32,54,46,53,56,55,101,45,48,53,32,55,46,51,51,56,57,55,101,45,48,53,
      32,56,46,49,51,49,52,50,101,45,48,53,32,56,46,57,54,52,53,50,101,45,48,53,10,
      32,32,57,46,56,51,56,50,56,101,45,48,53,32,46,48,48,48,49,48,55,53,50,53,32,
      46,48,48,48,49,49,55,48,55,49,32,46,48,48,48,49,50,55,48,50,54,32,46,48,48,
      48,49,51,55,51,56,52,32,46,48,48,48,49,52,56,49,52,55,32,46,48,48,48,49,53,
      57,51,49,53,32,46,48,48,48,49,55,48,56,56,57,10,32,32,46,48,48,48,49,56,50,
      56,54,55,32,46,48,48,48,49,57,53,50,53,32,46,48,48,48,50,48,56,48,51,54,32,
      46,48,48,48,50,50,49,50,51,32,46,48,48,48,50,51,52,56,50,53,32,46,48,48,48,
      50,52,56,56,50,53,32,46,48,48,48,50,54,51,50,51,49,32,46,48,48,48,50,55,56,
      48,52,10,32,32,46,48,48,48,50,57,51,50,53,51,32,46,48,48,48,51,48,56,56,55,
      52,32,46,48,48,48,51,50,52,56,57,55,32,46,48,48,48,51,52,49,51,50,52,32,46,
      48,48,48,51,53,56,49,53,55,32,46,48,48,48,51,55,53,51,57,53,32,46,48,48,48,
      51,57,51,48,51,54,32,46,48,48,48,52,49,49,48,56,52,10,32,32,46,48,48,48,52,
      50,57,53,51,56,32,46,48,48,48,52,52,56,51,57,54,32,46,48,48,48,52,54,55,54,
      53,57,32,46,48,48,48,52,56,55,51,50,56,32,46,48,48,48,53,48,55,52,48,50,32,
      46,48,48,48,53,50,55,56,56,50,32,46,48,48,48,53,52,56,55,54,56,32,46,48,48,
      48,53,55,48,48,53,56,10,32,32,46,48,48,48,53,57,49,55,53,50,32,46,48,48,48,
      54,49,51,56,53,52,32,46,48,48,48,54,51,54,51,53,56,32,46,48,48,48,54,53,57,
      50,54,56,32,46,48,48,48,54,56,50,53,56,53,32,46,48,48,48,55,48,54,51,48,53,
      32,46,48,48,48,55,51,48,52,51,32,46,48,48,48,55,53,52,57,54,10,32,32,46,48,
      48,48,55,55,57,56,57,53,32,46,48,48,48,56,48,53,50,52,52,32,46,48,48,48,56,
      51,49,48,49,56,32,46,48,48,48,56,53,55,49,57,57,32,46,48,48,48,56,56,51,55,
      55,54,32,46,48,48,48,57,49,48,55,52,49,32,46,48,48,48,57,51,56,49,49,50,32,
      46,48,48,48,57,54,53,56,56,55,10,32,32,46,48,48,48,57,57,52,48,55,50,32,46,
      48,48,49,48,50,50,54,55,32,46,48,48,49,48,53,49,54,54,32,46,48,48,49,48,56,
      49,48,55,32,46,48,48,49,49,49,48,56,57,32,46,48,48,49,49,52,49,49,50,32,46,
      48,48,49,49,55,49,55,53,32,46,48,48,49,50,48,50,56,10,32,32,46,48,48,49,50,
      51,52,50,54,32,46,48,48,49,50,54,54,48,56,32,46,48,48,49,50,57,56,50,57,32,
      46,48,48,49,51,51,48,57,55,32,46,48,48,49,51,54,52,48,54,32,46,48,48,49,51,
      57,55,53,56,32,46,48,48,49,52,51,49,53,49,32,46,48,48,49,52,54,53,56,51,10,
      32,32,46,48,48,49,53,48,48,53,56,32,46,48,48,49,53,51,53,55,51,32,46,48,48,
      49,53,55,49,50,57,32,46,48,48,49,54,48,55,50,54,32,46,48,48,49,54,52,51,54,
      53,32,46,48,48,49,54,56,48,52,51,32,46,48,48,49,55,49,55,54,50,32,46,48,48,
      49,55,53,53,50,51,10,32,32,46,48,48,49,55,57,51,50,51,32,46,48,48,49,56,51,
      49,54,52,32,46,48,48,49,56,55,48,52,54,32,46,48,48,49,57,48,57,54,56,32,46,
      48,48,49,57,52,57,51,32,46,48,48,49,57,56,57,51,51,32,46,48,48,50,48,50,57,
      55,53,32,46,48,48,50,48,55,48,54,32,46,48,48,50,49,49,49,56,51,10,32,32,46,
      48,48,50,49,53,51,52,55,32,46,48,48,50,49,57,53,53,50,32,46,48,48,50,50,51,
      55,57,54,32,46,48,48,50,50,56,48,55,57,32,46,48,48,50,51,50,52,48,52,32,46,
      48,48,50,51,54,55,54,55,32,46,48,48,50,52,49,49,55,50,32,46,48,48,50,52,53,
      54,49,53,10,32,32,46,48,48,50,53,48,49,32,46,48,48,50,53,52,54,50,51,32,46,
      48,48,50,53,57,49,56,53,32,46,48,48,50,54,51,55,56,57,32,46,48,48,50,54,56,
      52,51,50,32,46,48,48,50,55,51,49,49,52,32,46,48,48,50,55,55,56,51,54,32,46,
      48,48,50,56,50,54,48,55,32,46,48,48,50,56,55,52,48,54,10,32,32,46,48,48,50,
      57,50,50,52,54,32,46,48,48,50,57,55,49,50,52,32,46,48,48,51,48,50,48,52,49,
      32,46,48,48,51,48,54,57,57,55,32,46,48,48,51,49,49,57,57,50,32,46,48,48,51,
      49,55,48,50,52,32,46,48,48,51,50,50,48,57,54,32,46,48,48,51,50,55,50,48,54,
      10,32,32,46,48,48,51,51,50,51,53,49,32,46,48,48,51,51,55,53,51,53,32,46,48,
      48,51,52,50,55,53,54,32,46,48,48,51,52,56,48,49,53,32,46,48,48,51,53,51,51,
      49,32,46,48,48,51,53,56,54,52,51,32,46,48,48,51,54,52,48,49,49,32,46,48,48,
      51,54,57,52,49,56,32,46,48,48,51,55,52,56,55,56,10,32,32,46,48,48,51,56,48,
      51,55,54,32,46,48,48,51,56,53,56,57,49,32,46,48,48,51,57,49,52,51,57,32,46,
      48,48,51,57,55,48,50,55,32,46,48,48,52,48,50,54,53,50,32,46,48,48,52,48,56,
      51,48,56,32,46,48,48,52,49,52,48,48,54,32,46,48,48,52,49,57,55,52,49,10,32,
      32,46,48,48,52,50,53,53,49,32,46,48,48,52,51,49,51,49,54,32,46,48,48,52,51,
      55,49,54,50,32,46,48,48,52,52,51,48,52,50,32,46,48,48,52,52,56,57,54,32,46,
      48,48,52,53,52,57,49,54,32,46,48,48,52,54,48,57,48,56,32,46,48,48,52,54,54,
      57,51,52,32,46,48,48,52,55,50,57,57,56,10,32,32,46,48,48,52,55,57,49,32,46,
      48,48,52,56,53,50,51,52,32,46,48,48,52,57,51,52,54,32,46,48,48,53,49,50,56,
      48,56,32,46,48,48,53,52,49,54,57,52,32,46,48,48,53,56,57,52,48,52,32,46,48,
      48,54,51,54,53,54,49,32,46,48,48,54,56,51,52,51,55,32,46,48,48,55,51,48,52,
      52,50,10,32,32,46,48,48,55,55,55,56,48,55,32,46,48,48,56,50,53,52,53,53,32,
      46,48,48,56,55,51,49,55,54,32,46,48,48,57,50,48,55,51,57,32,46,48,48,57,54,
      55,57,55,32,46,48,49,48,49,52,55,56,32,46,48,49,48,54,49,48,51,32,46,48,49,
      49,49,53,54,56,32,46,48,49,49,54,57,50,54,10,32,32,46,48,49,50,51,56,55,55,
      32,46,48,49,51,48,53,55,56,32,46,48,49,51,55,48,49,32,46,48,49,52,52,54,52,
      49,32,46,48,49,53,49,56,50,49,32,46,48,49,53,56,55,51,55,32,46,48,49,54,55,
      48,50,50,32,46,48,49,55,53,55,52,57,32,46,48,49,56,56,48,51,55,10,32,32,46,
      48,50,48,48,54,53,52,32,46,48,50,49,51,48,52,54,32,46,48,50,50,54,48,57,49,
      32,46,48,50,51,57,48,55,49,32,46,48,50,53,49,53,48,52,32,46,48,50,54,51,52,
      48,54,32,46,48,50,55,52,53,57,57,32,46,48,50,56,54,49,55,54,32,46,48,50,57,
      55,51,49,56,10,32,32,46,48,51,49,49,48,53,55,32,46,48,51,51,48,57,50,55,32,
      46,48,51,53,48,51,56,51,32,46,48,51,54,49,54,51,55,32,46,48,51,54,57,54,53,
      32,46,48,51,54,57,53,54,53,32,46,48,51,54,49,49,49,56,32,46,48,51,52,54,52,
      48,51,32,46,48,51,50,52,57,51,56,10,32,32,46,48,51,48,50,49,51,51,32,46,48,
      50,56,48,50,55,56,32,46,48,50,54,52,52,56,56,32,46,48,50,53,57,49,57,52,32,
      46,48,50,54,49,51,57,53,32,46,48,50,53,56,50,52,54,32,46,48,50,52,57,53,56,
      56,32,46,48,50,51,50,53,50,55,32,46,48,50,48,49,50,57,50,10,32,32,46,48,49,
      55,48,48,48,56,32,46,48,49,52,52,52,51,50,32,46,48,49,50,54,55,50,52,32,46,
      48,49,48,54,49,53,52,32,46,48,48,56,55,57,50,54,52,32,46,48,48,55,49,53,53,
      57,54,32,46,48,48,53,57,54,50,53,49,32,46,48,48,53,49,51,56,52,51,32,46,48,
      48,52,54,49,53,50,55,10,32,32,46,48,48,52,49,53,51,50,54,32,46,48,48,51,54,
      55,49,49,50,32,46,48,48,51,50,50,53,32,46,48,48,50,50,57,56,54,32,46,48,48,
      49,53,55,51,57,52,32,46,48,48,49,49,51,49,48,55,32,46,48,48,48,56,53,54,51,
      51,49,32,46,48,48,48,55,54,57,57,54,57,32,46,48,48,48,53,56,55,57,53,50,10,
      32,32,46,48,48,48,52,53,50,54,52,57,32,46,48,48,48,51,53,49,57,57,56,32,46,
      48,48,48,50,55,54,57,55,49,32,46,48,48,48,50,49,50,51,57,32,46,48,48,48,49,
      55,53,32,46,48,48,48,49,52,52,51,51,32,46,48,48,48,49,48,53,50,56,50,32,56,
      46,54,56,51,50,50,101,45,48,53,10,32,32,54,46,52,49,53,54,55,101,45,48,53,32,
      52,46,54,54,50,50,56,101,45,48,53,32,51,46,56,53,49,49,56,101,45,48,53,32,51,
      46,49,55,57,57,50,101,45,48,53,32,50,46,51,52,57,55,55,101,45,48,53,32,49,46,
      54,56,51,49,51,101,45,48,53,32,49,46,51,57,56,55,50,101,45,48,53,10,32,32,49,
      46,48,51,55,53,56,101,45,48,53,32,56,46,54,52,56,53,57,101,45,48,54,32,54,46,
      52,51,50,53,52,101,45,48,54,32,53,46,48,53,52,54,52,101,45,48,54,32,55,46,53,
      53,49,52,49,101,45,48,54,32,54,46,54,52,57,53,54,101,45,48,54,32,53,46,50,48,
      55,52,54,101,45,48,54,10,32,32,51,46,57,55,53,57,55,101,45,48,54,32,51,46,49,
      55,54,50,52,101,45,48,54,32,50,46,53,51,55,57,57,101,45,48,54,32,50,46,48,53,
      55,55,50,101,45,48,54,32,49,46,54,55,51,57,55,101,45,48,54,32,49,46,51,51,49,
      57,101,45,48,54,32,49,46,48,56,55,51,57,101,45,48,54,10,32,32,56,46,54,57,54,
      56,57,101,45,48,55,32,55,46,51,55,57,55,101,45,48,55,32,53,46,54,52,54,55,52,
      101,45,48,55,32,52,46,55,57,50,55,56,101,45,48,55,32,51,46,57,48,57,55,54,101,
      45,48,55,32,50,46,52,51,52,57,56,101,45,48,55,32,49,46,50,55,48,53,50,101,45,
      48,55,10,32,32,54,46,55,51,57,52,56,101,45,48,56,32,51,46,48,53,53,54,49,101,
      45,48,56,32,49,46,51,56,55,53,50,101,45,48,56,32,53,46,51,57,48,49,101,45,48,
      57,32,50,46,52,53,52,53,57,101,45,48,57,32,54,46,57,56,52,54,101,45,49,48,32,
      50,46,49,49,49,50,52,101,45,49,48,10,32,32,57,46,49,48,55,49,49,101,45,49,49,
      32,51,46,53,54,51,49,52,101,45,49,49,32,49,46,48,50,49,50,53,101,45,49,49,32,
      51,46,52,50,54,55,50,101,45,49,50,32,49,46,49,53,48,55,50,101,45,49,50,32,51,
      46,51,48,56,51,50,101,45,49,51,32,57,46,53,50,52,51,101,45,49,52,10,32,32,51,
      46,50,48,54,56,50,101,45,49,52,32,49,46,48,56,48,54,52,101,45,49,52,32,51,46,
      54,52,52,53,53,101,45,49,53,32,57,46,54,54,50,54,52,101,45,49,54,32,50,46,51,
      56,53,54,49,101,45,49,54,32,53,46,48,52,56,55,57,101,45,49,55,32,49,46,50,52,
      57,52,51,101,45,49,55,10,32,32,50,46,54,51,57,57,49,101,45,49,56,32,54,46,53,
      52,48,50,54,101,45,49,57,32,49,46,53,56,55,50,50,101,45,49,57,32,51,46,51,54,
      56,49,49,101,45,50,48,32,52,46,56,55,52,53,52,101,45,50,49,32,48,114,49,48,
      54,32,49,46,56,50,53,101,45,48,56,32,55,46,51,49,55,57,51,101,45,48,56,10,32,
      32,49,46,54,52,55,56,57,101,45,48,55,32,49,46,56,50,53,48,51,101,45,48,55,32,
      55,46,51,49,56,51,49,101,45,48,55,32,49,46,54,52,56,48,52,101,45,48,54,32,50,
      46,57,50,57,51,57,101,45,48,54,32,52,46,53,55,53,57,55,101,45,48,54,32,54,46,
      53,57,49,52,50,101,45,48,54,10,32,32,56,46,57,55,48,52,56,101,45,48,54,32,49,
      46,49,55,49,56,54,101,45,48,53,32,49,46,52,56,51,50,52,101,45,48,53,32,49,46,
      56,51,49,50,101,45,48,53,32,50,46,50,49,53,57,50,101,45,48,53,32,50,46,54,51,
      55,52,51,101,45,48,53,32,51,46,48,57,53,53,54,101,45,48,53,10,32,32,51,46,53,
      57,48,53,49,101,45,48,53,32,52,46,49,50,50,51,101,45,48,53,32,52,46,54,57,48,
      55,55,101,45,48,53,32,53,46,50,57,54,49,50,101,45,48,53,32,53,46,57,51,56,49,
      56,101,45,48,53,32,54,46,54,49,55,49,55,101,45,48,53,32,55,46,51,51,50,57,49,
      101,45,48,53,10,32,32,56,46,48,56,53,54,50,101,45,48,53,32,56,46,56,55,53,51,
      49,101,45,48,53,32,57,46,55,48,49,56,49,101,45,48,53,32,46,48,48,48,49,48,53,
      54,53,50,32,46,48,48,48,49,49,52,54,53,55,32,46,48,48,48,49,50,52,48,51,49,
      32,46,48,48,48,49,51,51,55,55,52,10,32,32,46,48,48,48,49,52,51,56,56,56,32,
      46,48,48,48,49,53,52,51,55,50,32,46,48,48,48,49,54,53,50,50,53,32,46,48,48,
      48,49,55,54,52,52,57,32,46,48,48,48,49,56,56,48,52,49,32,46,48,48,48,50,48,
      48,48,48,54,32,46,48,48,48,50,49,50,51,51,56,32,46,48,48,48,50,50,53,48,52,
      10,32,32,46,48,48,48,50,51,56,49,49,50,32,46,48,48,48,50,53,49,53,53,50,32,
      46,48,48,48,50,54,53,51,54,52,32,46,48,48,48,50,55,57,53,52,51,32,46,48,48,
      48,50,57,52,48,57,32,46,48,48,48,51,48,57,48,48,57,32,46,48,48,48,51,50,52,
      50,57,50,32,46,48,48,48,51,51,57,57,52,54,10,32,32,46,48,48,48,51,53,53,57,
      54,56,32,46,48,48,48,51,55,50,51,53,56,32,46,48,48,48,51,56,57,49,49,54,32,
      46,48,48,48,52,48,54,50,52,52,32,46,48,48,48,52,50,51,55,51,57,32,46,48,48,
      48,52,52,49,54,48,49,32,46,48,48,48,52,53,57,56,51,52,32,46,48,48,48,52,55,
      56,52,51,53,10,32,32,46,48,48,48,52,57,55,52,48,51,32,46,48,48,48,53,49,54,
      55,52,49,32,46,48,48,48,53,51,54,52,52,56,32,46,48,48,48,53,53,54,53,50,50,
      32,46,48,48,48,53,55,54,57,54,53,32,46,48,48,48,53,57,55,55,55,57,32,46,48,
      48,48,54,49,56,57,54,32,46,48,48,48,54,52,48,53,49,49,10,32,32,46,48,48,48,
      54,54,50,52,51,50,32,46,48,48,48,54,56,52,55,49,57,32,46,48,48,48,55,48,55,
      51,55,55,32,46,48,48,48,55,51,48,52,48,54,32,46,48,48,48,55,53,51,56,48,49,
      32,46,48,48,48,55,55,55,53,54,54,32,46,48,48,48,56,48,49,55,32,46,48,48,48,
      56,50,54,50,48,51,10,32,32,46,48,48,48,56,53,49,48,55,50,32,46,48,48,48,56,
      55,54,51,49,51,32,46,48,48,48,57,48,49,57,50,49,32,46,48,48,48,57,50,55,56,
      57,52,32,46,48,48,48,57,53,52,50,51,56,32,46,48,48,48,57,56,48,57,53,32,46,
      48,48,49,48,48,56,48,50,32,46,48,48,49,48,51,53,52,55,10,32,32,46,48,48,49,
      48,54,51,50,56,32,46,48,48,49,48,57,49,52,53,32,46,48,48,49,49,49,57,57,57,
      32,46,48,48,49,49,52,56,57,32,46,48,48,49,49,55,56,49,55,32,46,48,48,49,50,
      48,55,56,32,46,48,48,49,50,51,55,56,32,46,48,48,49,50,54,56,49,54,32,46,48,
      48,49,50,57,56,56,56,10,32,32,46,48,48,49,51,50,57,57,56,32,46,48,48,49,51,
      54,49,52,51,32,46,48,48,49,51,57,51,50,52,32,46,48,48,49,52,50,53,52,50,32,
      46,48,48,49,52,53,55,57,54,32,46,48,48,49,52,57,48,56,54,32,46,48,48,49,53,
      50,52,49,51,32,46,48,48,49,53,53,55,55,55,10,32,32,46,48,48,49,53,57,49,55,
      54,32,46,48,48,49,54,50,54,49,50,32,46,48,48,49,54,54,48,56,53,32,46,48,48,
      49,54,57,53,57,52,32,46,48,48,49,55,51,49,52,32,46,48,48,49,55,54,55,50,51,
      32,46,48,48,49,56,48,51,52,50,32,46,48,48,49,56,51,57,57,55,32,46,48,48,49,
      56,55,54,57,50,10,32,32,46,48,48,49,57,49,52,50,49,32,46,48,48,49,57,53,49,
      56,57,32,46,48,48,49,57,56,57,57,52,32,46,48,48,50,48,50,56,51,54,32,46,48,
      48,50,48,54,55,49,52,32,46,48,48,50,49,48,54,51,32,46,48,48,50,49,52,53,56,
      51,32,46,48,48,50,49,56,53,55,53,32,46,48,48,50,50,50,54,48,51,10,32,32,46,
      48,48,50,50,54,54,55,32,46,48,48,50,51,48,55,55,52,32,46,48,48,50,51,52,57,
      49,53,32,46,48,48,50,51,57,48,57,52,32,46,48,48,50,52,51,51,49,52,32,46,48,
      48,50,52,55,53,55,32,46,48,48,50,53,49,56,54,51,32,46,48,48,50,53,54,49,57,
      55,32,46,48,48,50,54,48,53,54,56,10,32,32,46,48,48,50,54,52,57,55,54,32,46,
      48,48,50,54,57,52,50,53,32,46,48,48,50,55,51,57,49,51,32,46,48,48,50,55,56,
      52,52,55,32,46,48,48,50,56,51,48,49,50,32,46,48,48,50,56,55,54,49,55,32,46,
      48,48,50,57,50,50,54,32,46,48,48,50,57,54,57,52,49,32,46,48,48,51,48,49,54,
      54,49,10,32,32,46,48,48,51,48,54,52,50,32,46,48,48,51,49,49,50,49,55,32,46,
      48,48,51,49,54,48,53,52,32,46,48,48,51,50,48,57,50,55,32,46,48,48,51,50,53,
      56,51,57,32,46,48,48,51,51,48,55,56,56,32,46,48,48,51,51,53,55,55,54,32,46,
      48,48,51,52,48,55,57,57,32,46,48,48,51,52,53,56,53,57,10,32,32,46,48,48,51,
      53,48,57,53,53,32,46,48,48,51,53,54,49,49,55,32,46,48,48,51,54,49,50,56,51,
      32,46,48,48,51,54,54,52,56,53,32,46,48,48,51,55,49,55,50,32,46,48,48,51,55,
      54,57,57,50,32,46,48,48,51,56,50,50,57,56,32,46,48,48,51,56,55,54,51,55,32,
      46,48,48,51,57,51,48,49,50,10,32,32,46,48,48,51,57,56,52,50,32,46,48,48,52,
      48,51,56,54,50,32,46,48,48,52,48,57,51,52,50,32,46,48,48,52,49,52,56,53,50,
      32,46,48,48,52,50,48,51,57,57,32,46,48,48,52,50,53,57,56,32,46,48,48,52,51,
      49,53,57,51,32,46,48,48,52,51,55,50,52,52,32,46,48,48,52,52,50,57,50,55,10,
      32,32,46,48,48,52,53,48,53,52,57,32,46,48,48,52,54,56,52,57,51,32,46,48,48,
      52,57,53,51,51,49,32,46,48,48,53,51,57,56,32,46,48,48,53,56,51,56,55,57,32,
      46,48,48,54,50,55,54,56,56,32,46,48,48,54,55,49,52,57,54,32,46,48,48,55,49,
      53,52,56,55,32,46,48,48,55,53,57,54,51,54,10,32,32,46,48,48,56,48,51,56,50,
      51,32,46,48,48,56,52,55,56,57,53,32,46,48,48,56,57,49,55,52,49,32,46,48,48,
      57,51,53,51,48,54,32,46,48,48,57,55,56,52,54,52,32,46,48,49,48,50,57,54,53,
      32,46,48,49,48,56,48,48,53,32,46,48,49,49,52,53,55,54,32,46,48,49,50,48,57,
      52,56,10,32,32,46,48,49,50,55,48,57,56,32,46,48,49,51,52,52,51,55,32,46,48,
      49,52,49,51,56,49,32,46,48,49,52,56,48,56,32,46,48,49,53,54,48,55,52,32,46,
      48,49,54,52,52,50,50,32,46,48,49,55,54,48,56,57,32,46,48,49,56,56,48,51,49,
      32,46,48,49,57,57,55,55,53,10,32,32,46,48,50,49,50,50,48,57,32,46,48,50,50,
      52,55,48,56,32,46,48,50,51,54,56,50,32,46,48,50,52,56,53,50,54,32,46,48,50,
      53,57,54,51,56,32,46,48,50,55,49,49,56,55,32,46,48,50,56,50,50,55,50,32,46,
      48,50,57,53,55,56,51,32,46,48,51,49,53,48,57,56,10,32,32,46,48,51,51,52,48,
      54,52,32,46,48,51,52,53,50,48,56,32,46,48,51,53,51,53,49,52,32,46,48,51,53,
      52,51,57,50,32,46,48,51,52,55,51,50,54,32,46,48,51,51,52,49,54,52,32,46,48,
      51,49,52,51,57,51,32,46,48,50,57,51,48,55,32,46,48,50,55,50,52,54,56,10,32,
      32,46,48,50,53,55,54,48,54,32,46,48,50,53,50,56,52,32,46,48,50,53,53,50,51,
      49,32,46,48,50,53,50,52,48,56,32,46,48,50,52,52,49,56,53,32,46,48,50,50,55,
      55,55,53,32,46,48,49,57,55,53,52,54,32,46,48,49,54,55,49,52,32,46,48,49,52,
      50,50,48,51,32,46,48,49,50,52,56,57,57,10,32,32,46,48,49,48,52,55,53,54,32,
      46,48,48,56,54,56,54,52,52,32,46,48,48,55,48,55,54,55,50,32,46,48,48,53,57,
      48,49,49,52,32,46,48,48,53,48,56,56,54,55,32,46,48,48,52,53,55,50,54,54,32,
      46,48,48,52,49,49,54,53,53,32,46,48,48,51,54,52,48,49,50,32,46,48,48,51,49,
      57,56,57,10,32,32,46,48,48,50,50,56,49,55,54,32,46,48,48,49,53,54,51,53,32,
      46,48,48,49,49,50,52,49,53,32,46,48,48,48,56,53,49,52,51,50,32,46,48,48,48,
      55,54,53,54,57,57,32,46,48,48,48,53,56,52,56,56,32,46,48,48,48,52,53,48,52,
      49,49,32,46,48,48,48,51,53,48,51,52,50,10,32,32,46,48,48,48,50,55,53,55,50,
      54,32,46,48,48,48,50,49,49,52,56,50,32,46,48,48,48,49,55,52,50,55,55,32,46,
      48,48,48,49,52,51,55,53,51,32,46,48,48,48,49,48,52,56,56,50,32,56,46,54,53,
      49,50,54,101,45,48,53,32,54,46,51,57,51,49,52,101,45,48,53,32,52,46,54,52,54,
      54,54,101,45,48,53,10,32,32,51,46,56,51,56,54,50,101,45,48,53,32,51,46,49,54,
      57,56,51,101,45,48,53,32,50,46,51,52,50,54,101,45,48,53,32,49,46,54,55,56,50,
      49,101,45,48,53,32,49,46,51,57,52,55,50,101,45,48,53,32,49,46,48,51,52,55,51,
      101,45,48,53,32,56,46,54,50,53,51,50,101,45,48,54,10,32,32,54,46,52,49,53,56,
      101,45,48,54,32,53,46,48,52,50,48,53,101,45,48,54,32,55,46,53,48,49,57,56,101,
      45,48,54,32,54,46,54,48,54,50,51,101,45,48,54,32,53,46,49,55,51,56,49,101,45,
      48,54,32,51,46,57,53,48,53,50,101,45,48,54,32,51,46,49,53,54,48,54,101,45,48,
      54,10,32,32,50,46,53,50,49,57,56,101,45,48,54,32,50,46,48,52,52,57,56,101,45,
      48,54,32,49,46,54,54,51,56,51,101,45,48,54,32,49,46,51,50,51,56,57,101,45,48,
      54,32,49,46,48,56,48,56,56,101,45,48,54,32,56,46,54,52,53,49,57,101,45,48,55,
      32,55,46,51,51,54,48,52,101,45,48,55,10,32,32,53,46,54,49,51,53,56,101,45,48,
      55,32,52,46,55,54,52,55,53,101,45,48,55,32,51,46,56,56,55,48,50,101,45,48,55,
      32,50,46,52,50,48,57,56,101,45,48,55,32,49,46,50,54,51,53,101,45,48,55,32,54,
      46,55,48,53,50,51,101,45,48,56,32,51,46,48,52,48,51,54,101,45,48,56,10,32,32,
      49,46,51,56,48,55,49,101,45,48,56,32,53,46,51,54,52,48,53,101,45,48,57,32,50,
      46,52,52,50,57,49,101,45,48,57,32,54,46,57,53,52,53,54,101,45,49,48,32,50,46,
      49,48,50,51,55,101,45,49,48,32,57,46,48,54,56,57,51,101,45,49,49,32,51,46,53,
      52,56,51,51,101,45,49,49,10,32,32,49,46,48,49,55,48,57,101,45,49,49,32,51,46,
      52,49,51,101,45,49,50,32,49,46,49,52,54,54,53,101,45,49,50,32,51,46,50,57,56,
      52,53,101,45,49,51,32,57,46,52,57,53,57,57,101,45,49,52,32,51,46,49,57,55,51,
      54,101,45,49,52,32,49,46,48,55,55,53,101,45,49,52,10,32,32,51,46,54,51,52,49,
      50,101,45,49,53,32,57,46,54,51,57,54,54,101,45,49,54,32,50,46,51,56,48,49,49,
      101,45,49,54,32,53,46,48,51,55,53,52,101,45,49,55,32,49,46,50,52,54,55,51,101,
      45,49,55,32,50,46,54,51,52,55,101,45,49,56,32,54,46,53,50,56,57,57,101,45,49,
      57,10,32,32,49,46,53,56,52,50,49,101,45,49,57,32,51,46,51,54,49,56,53,101,45,
      50,48,32,52,46,56,53,54,54,101,45,50,49,32,48,114,49,48,54,32,49,46,54,48,50,
      50,54,101,45,48,56,32,54,46,52,50,52,55,57,101,45,48,56,32,49,46,52,52,54,55,
      55,101,45,48,55,32,49,46,54,48,50,50,57,101,45,48,55,10,32,32,54,46,52,50,53,
      50,52,101,45,48,55,32,49,46,52,52,54,57,54,101,45,48,54,32,50,46,53,55,50,48,
      54,101,45,48,54,32,52,46,48,49,55,57,54,101,45,48,54,32,53,46,55,56,55,57,52,
      101,45,48,54,32,55,46,56,55,55,52,54,101,45,48,54,32,49,46,48,50,57,49,53,101,
      45,48,53,10,32,32,49,46,51,48,50,55,101,45,48,53,32,49,46,54,48,56,52,53,101,
      45,48,53,32,49,46,57,52,54,53,53,101,45,48,53,32,50,46,51,49,55,48,54,101,45,
      48,53,32,50,46,55,49,57,56,52,101,45,48,53,32,51,46,49,53,53,48,56,101,45,48,
      53,32,51,46,54,50,50,56,51,101,45,48,53,10,32,32,52,46,49,50,50,57,54,101,45,
      48,53,32,52,46,54,53,53,54,56,101,45,48,53,32,53,46,50,50,48,56,54,101,45,48,
      53,32,53,46,56,49,56,55,49,101,45,48,53,32,54,46,52,52,57,49,50,101,45,48,53,
      32,55,46,49,49,50,50,56,101,45,48,53,32,55,46,56,48,56,50,54,101,45,48,53,10,
      32,32,56,46,53,51,54,57,101,45,48,53,32,57,46,50,57,56,50,57,101,45,48,53,32,
      46,48,48,48,49,48,48,57,50,56,32,46,48,48,48,49,48,57,50,32,46,48,48,48,49,
      49,55,56,48,49,32,46,48,48,48,49,50,54,55,51,51,32,46,48,48,48,49,51,53,57,
      57,53,32,46,48,48,48,49,52,53,53,56,53,10,32,32,46,48,48,48,49,53,53,53,48,
      55,32,46,48,48,48,49,54,53,55,53,56,32,46,48,48,48,49,55,54,51,52,32,46,48,
      48,48,49,56,55,50,53,49,32,46,48,48,48,49,57,56,52,57,51,32,46,48,48,48,50,
      49,48,48,54,50,32,46,48,48,48,50,50,49,57,54,50,32,46,48,48,48,50,51,52,49,
      57,51,10,32,32,46,48,48,48,50,52,54,55,52,56,32,46,48,48,48,50,53,57,54,51,
      50,32,46,48,48,48,50,55,50,56,52,57,32,46,48,48,48,50,56,54,51,56,55,32,46,
      48,48,48,51,48,48,50,53,52,32,46,48,48,48,51,49,52,52,53,32,46,48,48,48,51,
      50,56,57,55,32,46,48,48,48,51,52,51,56,49,55,10,32,32,46,48,48,48,51,53,56,
      57,57,51,32,46,48,48,48,51,55,52,52,57,52,32,46,48,48,48,51,57,48,51,49,57,
      32,46,48,48,48,52,48,54,52,55,53,32,46,48,48,48,52,50,50,57,53,55,32,46,48,
      48,48,52,51,57,55,54,51,32,46,48,48,48,52,53,54,56,57,57,32,46,48,48,48,52,
      55,52,51,54,50,10,32,32,46,48,48,48,52,57,50,49,52,57,32,46,48,48,48,53,49,
      48,50,54,54,32,46,48,48,48,53,50,56,55,49,52,32,46,48,48,48,53,52,55,52,56,
      53,32,46,48,48,48,53,54,54,53,56,54,32,46,48,48,48,53,56,54,48,49,56,32,46,
      48,48,48,54,48,53,55,55,52,32,46,48,48,48,54,50,53,56,54,10,32,32,46,48,48,
      48,54,52,54,50,55,55,32,46,48,48,48,54,54,55,48,49,56,32,46,48,48,48,54,56,
      56,48,56,55,32,46,48,48,48,55,48,57,52,56,54,32,46,48,48,48,55,51,49,50,48,
      57,32,46,48,48,48,55,53,51,50,53,54,32,46,48,48,48,55,55,53,54,51,52,32,46,
      48,48,48,55,57,56,51,51,53,10,32,32,46,48,48,48,56,50,49,51,53,50,32,46,48,
      48,48,56,52,52,55,48,49,32,46,48,48,48,56,54,56,51,55,53,32,46,48,48,48,56,
      57,50,51,53,50,32,46,48,48,48,57,49,54,54,53,57,32,46,48,48,48,57,52,49,50,
      57,55,32,46,48,48,48,57,54,54,50,50,51,32,46,48,48,48,57,57,49,52,55,56,10,
      32,32,46,48,48,49,48,49,55,48,55,32,46,48,48,49,48,52,50,57,52,32,46,48,48,
      49,48,54,57,49,51,32,46,48,48,49,48,57,53,54,54,32,46,48,48,49,49,50,50,52,
      56,32,46,48,48,49,49,52,57,54,32,46,48,48,49,49,55,55,48,55,32,46,48,48,49,
      50,48,52,56,51,32,46,48,48,49,50,51,50,56,57,10,32,32,46,48,48,49,50,54,49,
      50,56,32,46,48,48,49,50,56,57,57,57,32,46,48,48,49,51,49,56,57,57,32,46,48,
      48,49,51,52,56,51,51,32,46,48,48,49,51,55,55,57,57,32,46,48,48,49,52,48,55,
      57,52,32,46,48,48,49,52,51,56,50,51,32,46,48,48,49,52,54,56,56,54,10,32,32,
      46,48,48,49,52,57,57,55,56,32,46,48,48,49,53,51,49,48,51,32,46,48,48,49,53,
      54,50,54,51,32,46,48,48,49,53,57,52,53,52,32,46,48,48,49,54,50,54,55,54,32,
      46,48,48,49,54,53,57,51,53,32,46,48,48,49,54,57,50,50,53,32,46,48,48,49,55,
      50,53,52,57,10,32,32,46,48,48,49,55,53,57,48,55,32,46,48,48,49,55,57,50,57,
      56,32,46,48,48,49,56,50,55,50,51,32,46,48,48,49,56,54,49,56,50,32,46,48,48,
      49,56,57,54,55,53,32,46,48,48,49,57,51,50,48,52,32,46,48,48,49,57,54,55,54,
      54,32,46,48,48,50,48,48,51,54,50,10,32,32,46,48,48,50,48,51,57,57,54,32,46,
      48,48,50,48,55,54,54,50,32,46,48,48,50,49,49,51,54,51,32,46,48,48,50,49,53,
      49,48,53,32,46,48,48,50,49,56,56,56,32,46,48,48,50,50,50,54,56,55,32,46,48,
      48,50,50,54,53,51,55,32,46,48,48,50,51,48,52,50,49,32,46,48,48,50,51,52,51,
      52,10,32,32,46,48,48,50,51,56,51,32,46,48,48,50,52,50,50,57,56,32,46,48,48,
      50,52,54,51,51,32,46,48,48,50,53,48,52,48,51,32,46,48,48,50,53,52,53,49,54,
      32,46,48,48,50,53,56,54,54,54,32,46,48,48,50,54,50,56,53,51,32,46,48,48,50,
      54,55,48,56,50,32,46,48,48,50,55,49,51,53,54,10,32,32,46,48,48,50,55,53,54,
      53,57,32,46,48,48,50,56,48,48,48,54,32,46,48,48,50,56,52,51,56,56,32,46,48,
      48,50,56,56,56,48,57,32,46,48,48,50,57,51,50,54,56,32,46,48,48,50,57,55,55,
      54,53,32,46,48,48,51,48,50,50,57,57,32,46,48,48,51,48,54,56,54,54,10,32,32,
      46,48,48,51,49,49,52,55,32,46,48,48,51,49,54,49,49,32,46,48,48,51,50,48,55,
      56,50,32,46,48,48,51,50,53,52,57,50,32,46,48,48,51,51,48,50,53,50,32,46,48,
      48,51,51,53,48,50,53,32,46,48,48,51,51,57,56,50,55,32,46,48,48,51,52,52,54,
      54,52,32,46,48,48,51,52,57,53,51,51,10,32,32,46,48,48,51,53,52,52,50,57,32,
      46,48,48,51,53,57,51,53,57,32,46,48,48,51,54,52,51,50,53,32,46,48,48,51,54,
      57,51,49,54,32,46,48,48,51,55,52,51,52,50,32,46,48,48,51,55,57,52,48,51,32,
      46,48,48,51,56,52,52,57,32,46,48,48,51,56,57,54,49,51,32,46,48,48,51,57,52,
      55,54,57,10,32,32,46,48,48,52,48,49,54,56,53,32,46,48,48,52,49,55,57,56,55,
      32,46,48,48,52,52,50,52,50,54,32,46,48,48,52,56,51,48,56,52,32,46,48,48,53,
      50,51,53,51,51,32,46,48,48,53,54,51,55,51,54,32,46,48,48,54,48,51,56,48,52,
      32,46,48,48,54,52,51,56,54,57,10,32,32,46,48,48,54,56,51,57,54,50,32,46,48,
      48,55,50,52,48,53,53,32,46,48,48,55,54,52,48,56,50,32,46,48,48,56,48,51,57,
      57,53,32,46,48,48,56,52,51,55,55,52,32,46,48,48,56,56,51,51,50,54,32,46,48,
      48,57,51,48,52,52,53,32,46,48,48,57,55,55,48,55,56,10,32,32,46,48,49,48,51,
      56,50,54,32,46,48,49,48,57,55,57,57,32,46,48,49,49,53,54,48,51,32,46,48,49,
      50,50,53,55,56,32,46,48,49,50,57,50,50,50,32,46,48,49,51,53,54,52,51,32,46,
      48,49,52,51,50,55,49,32,46,48,49,53,49,49,53,55,32,46,48,49,54,50,48,56,10,
      32,32,46,48,49,55,51,50,49,55,32,46,48,49,56,52,49,56,57,32,46,48,49,57,53,
      56,56,53,32,46,48,50,48,55,55,56,54,32,46,48,50,49,57,52,56,32,46,48,50,51,
      48,57,48,56,32,46,48,50,52,49,56,55,52,32,46,48,50,53,51,51,51,54,32,46,48,
      50,54,52,51,49,32,46,48,50,55,55,53,49,50,10,32,32,46,48,50,57,54,49,50,57,
      32,46,48,51,49,52,52,55,52,32,46,48,51,50,53,52,53,51,32,46,48,51,51,52,48,
      54,53,32,46,48,51,51,54,48,51,55,32,46,48,51,51,48,53,56,51,32,46,48,51,49,
      57,50,52,56,32,46,48,51,48,49,52,57,50,32,46,48,50,56,49,57,52,57,10,32,32,
      46,48,50,54,50,56,53,56,32,46,48,50,52,57,49,49,55,32,46,48,50,52,52,57,56,
      53,32,46,48,50,52,55,54,48,49,32,46,48,50,52,53,49,55,50,32,46,48,50,51,55,
      52,55,57,32,46,48,50,50,49,56,54,56,32,46,48,49,57,50,56,55,56,32,46,48,49,
      54,51,53,53,55,10,32,32,46,48,49,51,57,52,49,51,32,46,48,49,50,50,54,48,57,
      32,46,48,49,48,50,57,57,55,32,46,48,48,56,53,53,50,54,56,32,46,48,48,54,57,
      55,54,55,57,32,46,48,48,53,56,50,51,54,54,32,46,48,48,53,48,50,53,55,53,32,
      46,48,48,52,53,49,56,55,32,46,48,48,52,48,55,48,48,55,10,32,32,46,48,48,51,
      54,48,48,56,54,32,46,48,48,51,49,54,53,56,51,32,46,48,48,50,50,54,48,51,56,
      32,46,48,48,49,53,53,48,50,53,32,46,48,48,49,49,49,53,51,53,32,46,48,48,48,
      56,52,53,50,48,49,32,46,48,48,48,55,54,48,50,55,51,32,46,48,48,48,53,56,48,
      57,55,55,10,32,32,46,48,48,48,52,52,55,53,54,53,32,46,48,48,48,51,52,56,50,
      51,56,32,46,48,48,48,50,55,52,49,52,53,32,46,48,48,48,50,49,48,51,50,53,32,
      46,48,48,48,49,55,51,51,53,55,32,46,48,48,48,49,52,51,48,49,57,32,46,48,48,
      48,49,48,52,51,55,52,32,56,46,54,49,48,53,55,101,45,48,53,10,32,32,54,46,51,
      54,52,52,52,101,45,48,53,32,52,46,54,50,54,55,54,101,45,48,53,32,51,46,56,50,
      50,54,51,101,45,48,53,32,51,46,49,53,54,57,54,101,45,48,53,32,50,46,51,51,51,
      52,55,101,45,48,53,32,49,46,54,55,49,57,53,101,45,48,53,32,49,46,51,56,57,54,
      52,101,45,48,53,10,32,32,49,46,48,51,49,48,57,101,45,48,53,32,56,46,53,57,53,
      53,57,101,45,48,54,32,54,46,51,57,52,52,53,101,45,48,54,32,53,46,48,50,54,101,
      45,48,54,32,55,46,52,52,48,51,56,101,45,48,54,32,54,46,53,53,50,50,50,101,45,
      48,54,32,53,46,49,51,49,56,55,101,45,48,54,10,32,32,51,46,57,49,56,55,57,101,
      45,48,54,32,51,46,49,51,48,56,57,101,45,48,54,32,50,46,53,48,50,101,45,48,54,
      32,50,46,48,50,56,56,57,101,45,48,54,32,49,46,54,53,48,56,51,101,45,48,54,32,
      49,46,51,49,51,55,54,101,45,48,54,32,49,46,48,55,50,55,55,101,45,48,54,10,32,
      32,56,46,53,56,48,56,101,45,48,55,32,55,46,50,56,49,54,52,101,45,48,55,32,53,
      46,53,55,50,50,54,101,45,48,55,32,52,46,55,50,57,56,53,101,45,48,55,32,51,46,
      56,53,56,54,57,101,45,48,55,32,50,46,52,48,51,53,50,101,45,48,55,32,49,46,50,
      53,52,53,50,101,45,48,55,10,32,32,54,46,54,54,48,53,49,101,45,48,56,32,51,46,
      48,50,49,51,57,101,45,48,56,32,49,46,51,55,50,50,50,101,45,48,56,32,53,46,51,
      51,49,54,55,101,45,48,57,32,50,46,52,50,56,51,57,101,45,48,57,32,54,46,57,49,
      53,56,51,101,45,49,48,32,50,46,48,57,49,50,53,101,45,49,48,10,32,32,57,46,48,
      50,49,51,53,101,45,49,49,32,51,46,53,50,57,57,55,101,45,49,49,32,49,46,48,49,
      49,57,51,101,45,49,49,32,51,46,51,57,53,57,57,101,45,49,50,32,49,46,49,52,49,
      48,51,101,45,49,50,32,51,46,50,56,52,57,101,45,49,51,32,57,46,52,54,48,56,51,
      101,45,49,52,10,32,32,51,46,49,56,53,54,56,101,45,49,52,32,49,46,48,55,51,54,
      51,101,45,49,52,32,51,46,54,50,49,50,52,101,45,49,53,32,57,46,54,49,49,51,57,
      101,45,49,54,32,50,46,51,55,51,51,52,101,45,49,54,32,53,46,48,50,51,54,57,101,
      45,49,55,32,49,46,50,52,51,51,53,101,45,49,55,10,32,32,50,46,54,50,55,49,57,
      101,45,49,56,32,54,46,53,49,49,52,57,101,45,49,57,32,49,46,54,48,55,51,52,101,
      45,49,57,32,51,46,51,53,52,50,101,45,50,48,32,52,46,56,51,52,51,55,101,45,50,
      49,32,48,114,49,48,54,32,49,46,52,51,48,50,101,45,48,56,32,53,46,55,51,52,56,
      55,101,45,48,56,10,32,32,49,46,50,57,49,52,49,101,45,48,55,32,49,46,52,51,48,
      50,51,101,45,48,55,32,53,46,55,51,53,50,55,101,45,48,55,32,49,46,50,57,49,53,
      56,101,45,48,54,32,50,46,50,57,53,56,56,101,45,48,54,32,51,46,53,56,54,53,52,
      101,45,48,54,32,53,46,49,54,54,53,51,101,45,48,54,10,32,32,55,46,48,51,49,56,
      50,101,45,48,54,32,57,46,49,56,54,56,52,101,45,48,54,32,49,46,49,54,50,57,101,
      45,48,53,32,49,46,52,51,53,56,55,101,45,48,53,32,49,46,55,51,55,55,53,101,45,
      48,53,32,50,46,48,54,56,53,56,101,45,48,53,32,50,46,52,50,56,50,54,101,45,48,
      53,10,32,32,50,46,56,49,54,57,54,101,45,48,53,32,51,46,50,51,52,55,51,101,45,
      48,53,32,51,46,54,56,49,52,55,101,45,48,53,32,52,46,49,53,55,51,55,101,45,48,
      53,32,52,46,54,54,50,51,51,101,45,48,53,32,53,46,49,57,54,53,54,101,45,48,53,
      32,53,46,55,53,57,57,54,101,45,48,53,10,32,32,54,46,51,53,50,55,50,101,45,48,
      53,32,54,46,57,55,52,57,49,101,45,48,53,32,55,46,54,50,54,52,50,101,45,48,53,
      32,56,46,51,48,55,51,50,101,45,48,53,32,57,46,48,49,55,57,54,101,45,48,53,32,
      57,46,55,53,56,48,54,101,45,48,53,32,46,48,48,48,49,48,53,50,55,55,10,32,32,
      46,48,48,48,49,49,51,50,55,49,32,46,48,48,48,49,50,49,53,54,50,32,46,48,48,
      48,49,51,48,49,52,56,32,46,48,48,48,49,51,57,48,51,52,32,46,48,48,48,49,52,
      56,50,49,54,32,46,48,48,48,49,53,55,54,57,54,32,46,48,48,48,49,54,55,52,55,
      50,32,46,48,48,48,49,55,55,53,52,55,10,32,32,46,48,48,48,49,56,55,57,49,54,
      32,46,48,48,48,49,57,56,53,56,51,32,46,48,48,48,50,48,57,53,53,32,46,48,48,
      48,50,50,48,56,48,54,32,46,48,48,48,50,51,50,51,53,57,32,46,48,48,48,50,52,
      52,50,49,50,32,46,48,48,48,50,53,54,51,53,50,32,46,48,48,48,50,54,56,55,56,
      56,10,32,32,46,48,48,48,50,56,49,53,50,50,32,46,48,48,48,50,57,52,53,52,52,
      32,46,48,48,48,51,48,55,56,54,32,46,48,48,48,51,50,49,52,55,50,32,46,48,48,
      48,51,51,53,51,55,54,32,46,48,48,48,51,52,57,53,54,57,32,46,48,48,48,51,54,
      52,48,54,32,46,48,48,48,51,55,56,56,52,52,10,32,32,46,48,48,48,51,57,51,57,
      49,55,32,46,48,48,48,52,48,57,50,56,56,32,46,48,48,48,52,50,52,57,53,51,32,
      46,48,48,48,52,52,48,57,48,56,32,46,48,48,48,52,53,55,49,53,57,32,46,48,48,
      48,52,55,51,55,48,57,32,46,48,48,48,52,57,48,53,52,55,32,46,48,48,48,53,48,
      55,54,56,51,10,32,32,46,48,48,48,53,50,53,49,49,56,32,46,48,48,48,53,52,50,
      56,52,50,32,46,48,48,48,53,54,48,56,54,51,32,46,48,48,48,53,55,57,49,56,50,
      32,46,48,48,48,53,57,55,55,57,50,32,46,48,48,48,54,49,54,54,57,53,32,46,48,
      48,48,54,51,53,56,57,55,32,46,48,48,48,54,53,53,51,56,56,10,32,32,46,48,48,
      48,54,55,53,49,54,56,32,46,48,48,48,54,57,53,50,52,54,32,46,48,48,48,55,49,
      53,54,49,52,32,46,48,48,48,55,51,54,50,53,57,32,46,48,48,48,55,53,55,50,48,
      51,32,46,48,48,48,55,55,56,52,51,57,32,46,48,48,48,55,57,57,57,51,54,32,46,
      48,48,48,56,50,49,55,51,10,32,32,46,48,48,48,56,52,51,56,50,52,32,46,48,48,
      48,56,54,54,49,53,54,32,46,48,48,48,56,56,56,55,56,55,32,46,48,48,48,57,49,
      49,55,49,57,32,46,48,48,48,57,51,52,56,56,53,32,46,48,48,48,57,53,56,51,52,
      32,46,48,48,48,57,56,50,48,57,55,32,46,48,48,49,48,48,54,48,57,10,32,32,46,
      48,48,49,48,51,48,51,55,32,46,48,48,49,48,53,52,57,52,32,46,48,48,49,48,55,
      57,55,55,32,46,48,48,49,49,48,52,56,54,32,46,48,48,49,49,51,48,50,54,32,46,
      48,48,49,49,53,53,57,51,32,46,48,48,49,49,56,49,56,53,32,46,48,48,49,50,48,
      56,48,56,10,32,32,46,48,48,49,50,51,52,54,32,46,48,48,49,50,54,49,51,54,32,
      46,48,48,49,50,56,56,52,52,32,46,48,48,49,51,49,53,56,50,32,46,48,48,49,51,
      52,51,52,53,32,46,48,48,49,51,55,49,51,57,32,46,48,48,49,51,57,57,54,52,32,
      46,48,48,49,52,50,56,49,54,32,46,48,48,49,52,53,54,57,56,10,32,32,46,48,48,
      49,52,56,54,49,51,32,46,48,48,49,53,49,53,53,53,32,46,48,48,49,53,52,53,50,
      56,32,46,48,48,49,53,55,53,51,51,32,46,48,48,49,54,48,53,54,56,32,46,48,48,
      49,54,51,54,51,51,32,46,48,48,49,54,54,55,50,57,32,46,48,48,49,54,57,56,53,
      55,10,32,32,46,48,48,49,55,51,48,49,56,32,46,48,48,49,55,54,50,48,56,32,46,
      48,48,49,55,57,52,51,49,32,46,48,48,49,56,50,54,56,56,32,46,48,48,49,56,53,
      57,55,53,32,46,48,48,49,56,57,50,57,51,32,46,48,48,49,57,50,54,53,49,32,46,
      48,48,49,57,54,48,51,57,10,32,32,46,48,48,49,57,57,52,53,54,32,46,48,48,50,
      48,50,57,49,53,32,46,48,48,50,48,54,52,48,54,32,46,48,48,50,48,57,57,50,55,
      32,46,48,48,50,49,51,52,56,57,32,46,48,48,50,49,55,48,56,56,32,46,48,48,50,
      50,48,55,49,55,32,46,48,48,50,50,52,51,56,54,10,32,32,46,48,48,50,50,56,48,
      57,52,32,46,48,48,50,51,49,56,51,54,32,46,48,48,50,51,53,54,49,53,32,46,48,
      48,50,51,57,52,51,53,32,46,48,48,50,52,51,50,57,49,32,46,48,48,50,52,55,49,
      56,50,32,46,48,48,50,53,49,49,49,55,32,46,48,48,50,53,53,48,56,54,10,32,32,
      46,48,48,50,53,57,48,57,51,32,46,48,48,50,54,51,49,51,54,32,46,48,48,50,54,
      55,50,50,52,32,46,48,48,50,55,49,51,52,49,32,46,48,48,50,55,53,52,57,49,32,
      46,48,48,50,55,57,54,55,54,32,46,48,48,50,56,51,56,57,55,32,46,48,48,50,56,
      56,49,52,55,10,32,32,46,48,48,50,57,50,52,51,32,46,48,48,50,57,54,55,52,55,
      32,46,48,48,51,48,49,48,57,52,32,46,48,48,51,48,53,52,55,51,32,46,48,48,51,
      48,57,56,57,53,32,46,48,48,51,49,52,51,51,51,32,46,48,48,51,49,56,55,57,52,
      32,46,48,48,51,50,51,50,56,57,32,46,48,48,51,50,55,56,49,56,10,32,32,46,48,
      48,51,51,50,51,54,55,32,46,48,48,51,51,54,57,53,50,32,46,48,48,51,52,49,53,
      55,32,46,48,48,51,52,54,50,49,32,46,48,48,51,53,48,56,56,54,32,46,48,48,51,
      53,53,53,57,52,32,46,48,48,51,54,49,57,49,49,32,46,48,48,51,55,54,56,49,53,
      32,46,48,48,51,57,57,50,48,52,10,32,32,46,48,48,52,51,54,53,56,53,32,46,48,
      48,52,55,51,57,48,49,32,46,48,48,53,49,49,48,48,53,32,46,48,48,53,52,55,56,
      57,50,32,46,48,48,53,56,52,54,52,55,32,46,48,48,54,50,49,51,51,57,32,46,48,
      48,54,53,56,48,48,52,32,46,48,48,54,57,52,54,52,32,46,48,48,55,51,49,50,52,
      54,10,32,32,46,48,48,55,54,55,56,50,54,32,46,48,48,56,48,52,51,49,53,32,46,
      48,48,56,52,55,57,53,52,32,46,48,48,56,57,49,51,51,57,32,46,48,48,57,52,56,
      53,55,32,46,48,49,48,48,52,55,57,32,46,48,49,48,53,57,55,51,32,46,48,49,49,
      50,54,49,54,32,46,48,49,49,56,57,56,49,10,32,32,46,48,49,50,53,49,52,51,32,
      46,48,49,51,50,52,51,54,32,46,48,49,51,57,57,49,51,32,46,48,49,53,48,49,57,
      32,46,48,49,54,48,54,51,50,32,46,48,49,55,48,57,51,52,32,46,48,49,56,49,57,
      56,53,32,46,48,49,57,51,51,53,32,46,48,50,48,52,54,53,32,46,48,50,49,53,55,
      57,56,10,32,32,46,48,50,50,54,53,57,51,32,46,48,50,51,55,57,51,50,32,46,48,
      50,52,56,55,54,56,32,46,48,50,54,49,54,54,53,32,46,48,50,55,57,54,52,55,32,
      46,48,50,57,55,52,50,32,46,48,51,48,56,50,50,56,32,46,48,51,49,55,48,54,50,
      32,46,48,51,49,57,57,50,57,10,32,32,46,48,51,49,53,56,50,50,32,46,48,51,48,
      54,48,52,52,32,46,48,50,57,48,48,50,52,32,46,48,50,55,50,48,51,32,46,48,50,
      53,52,50,54,49,32,46,48,50,52,49,53,48,51,32,46,48,50,51,55,57,50,52,32,46,
      48,50,52,48,55,51,52,32,46,48,50,51,56,54,52,55,10,32,32,46,48,50,51,49,52,
      50,51,32,46,48,50,49,54,53,50,52,32,46,48,49,56,56,54,52,49,32,46,48,49,54,
      48,50,57,54,32,46,48,49,51,54,56,54,56,32,46,48,49,50,48,53,49,55,32,46,48,
      49,48,49,51,56,56,32,46,48,48,56,52,51,48,48,50,32,46,48,48,54,56,56,52,57,
      56,10,32,32,46,48,48,53,55,53,50,51,56,32,46,48,48,52,57,54,55,56,50,32,46,
      48,48,52,52,54,56,57,53,32,46,48,48,52,48,50,55,49,56,32,46,48,48,51,53,54,
      52,54,50,32,46,48,48,51,49,51,53,51,49,32,46,48,48,50,50,52,48,54,51,32,46,
      48,48,49,53,51,55,57,56,10,32,32,46,48,48,49,49,48,55,50,49,32,46,48,48,48,
      56,51,57,52,50,54,32,46,48,48,48,55,53,53,50,51,54,32,46,48,48,48,53,55,55,
      51,53,53,32,46,48,48,48,52,52,52,57,50,52,32,46,48,48,48,51,52,54,50,56,51,
      32,46,48,48,48,50,55,50,54,55,54,32,46,48,48,48,50,48,57,50,53,50,10,32,32,
      46,48,48,48,49,55,50,53,48,49,32,46,48,48,48,49,52,50,51,51,54,32,46,48,48,
      48,49,48,51,57,32,56,46,53,55,50,55,49,101,45,48,53,32,54,46,51,51,55,55,52,
      101,45,48,53,32,52,46,54,48,56,50,50,101,45,48,53,32,51,46,56,48,55,55,49,101,
      45,48,53,32,51,46,49,52,52,57,55,101,45,48,53,10,32,32,50,46,51,50,52,57,54,
      101,45,48,53,32,49,46,54,54,54,49,49,101,45,48,53,32,49,46,51,56,52,56,57,101,
      45,48,53,32,49,46,48,50,55,54,57,101,45,48,53,32,56,46,53,54,55,57,51,101,45,
      48,54,32,54,46,51,55,52,53,51,101,45,48,54,32,53,46,48,49,48,57,51,101,45,48,
      54,10,32,32,55,46,51,56,51,51,49,101,45,48,54,32,54,46,53,48,50,56,55,101,45,
      48,54,32,53,46,48,57,51,55,57,101,45,48,54,32,51,46,56,56,57,57,55,101,45,48,
      54,32,51,46,49,48,56,48,51,101,45,48,54,32,50,46,52,56,51,56,55,101,45,48,54,
      32,50,46,48,49,52,50,56,101,45,48,54,10,32,32,49,46,54,51,57,48,49,101,45,48,
      54,32,49,46,51,48,52,52,51,101,45,48,54,32,49,46,48,54,53,50,101,45,48,54,32,
      56,46,53,50,49,52,53,101,45,48,55,32,55,46,50,51,50,49,101,45,48,55,32,53,46,
      53,51,52,55,54,101,45,48,55,32,52,46,54,57,56,49,52,101,45,48,55,10,32,32,51,
      46,56,51,50,57,53,101,45,48,55,32,50,46,51,56,55,54,53,101,45,48,55,32,49,46,
      50,52,54,51,56,101,45,48,55,32,54,46,54,49,55,57,52,101,45,48,56,32,51,46,48,
      48,52,48,49,101,45,48,56,32,49,46,51,54,52,53,51,101,45,48,56,32,53,46,51,48,
      50,51,53,101,45,48,57,10,32,32,50,46,52,49,53,50,53,101,45,48,57,32,54,46,56,
      55,57,50,53,101,45,49,48,32,50,46,48,56,49,49,52,101,45,49,48,32,56,46,57,55,
      56,50,51,101,45,49,49,32,51,46,53,49,51,51,54,101,45,49,49,32,49,46,48,48,55,
      50,55,101,45,49,49,32,51,46,51,56,48,54,49,101,45,49,50,10,32,32,49,46,49,51,
      53,57,52,101,45,49,50,32,51,46,50,55,48,51,56,101,45,49,51,32,57,46,52,50,55,
      50,56,101,45,49,52,32,51,46,49,55,53,49,54,101,45,49,52,32,49,46,48,55,48,49,
      52,101,45,49,52,32,51,46,54,48,57,54,55,101,45,49,53,32,57,46,53,56,54,48,56,
      101,45,49,54,10,32,32,50,46,51,54,55,50,56,101,45,49,54,32,53,46,48,49,49,49,
      53,101,45,49,55,32,49,46,50,52,48,50,101,45,49,55,32,50,46,54,50,48,50,54,101,
      45,49,56,32,54,46,52,57,52,55,51,101,45,49,57,32,49,46,54,48,51,50,53,101,45,
      49,57,32,51,46,51,52,55,50,57,101,45,50,48,10,32,32,52,46,56,49,52,51,50,101,
      45,50,49,32,48,114,49,48,54,32,49,46,50,54,53,48,57,101,45,48,56,32,53,46,48,
      55,50,56,49,101,45,48,56,32,49,46,49,52,50,51,51,101,45,48,55,32,49,46,50,54,
      53,49,50,101,45,48,55,32,53,46,48,55,51,50,51,101,45,48,55,32,49,46,49,52,50,
      53,49,101,45,48,54,10,32,32,50,46,48,51,48,57,53,101,45,48,54,32,51,46,49,55,
      50,55,57,101,45,48,54,32,52,46,53,55,48,55,101,45,48,54,32,54,46,50,50,49,49,
      55,101,45,48,54,32,56,46,49,50,56,50,49,101,45,48,54,32,49,46,48,50,56,57,54,
      101,45,48,53,32,49,46,50,55,48,53,56,101,45,48,53,10,32,32,49,46,53,51,55,56,
      50,101,45,48,53,32,49,46,56,51,48,55,52,101,45,48,53,32,50,46,49,52,57,50,54,
      101,45,48,53,32,50,46,52,57,51,53,51,101,45,48,53,32,50,46,56,54,51,54,50,101,
      45,48,53,32,51,46,50,53,57,52,54,101,45,48,53,32,51,46,54,56,49,50,51,101,45,
      48,53,10,32,32,52,46,49,50,56,56,53,101,45,48,53,32,52,46,54,48,50,53,51,101,
      45,48,53,32,53,46,49,48,50,49,57,101,45,48,53,32,53,46,54,50,56,48,51,101,45,
      48,53,32,54,46,49,56,48,49,50,101,45,48,53,32,54,46,55,53,56,51,56,101,45,48,
      53,32,55,46,51,54,50,57,101,45,48,53,10,32,32,55,46,57,57,52,101,45,48,53,32,
      56,46,54,53,49,52,53,101,45,48,53,32,57,46,51,51,53,51,51,101,45,48,53,32,46,
      48,48,48,49,48,48,52,53,57,32,46,48,48,48,49,48,55,56,51,32,46,48,48,48,49,
      49,53,52,54,54,32,46,48,48,48,49,50,51,51,55,49,32,46,48,48,48,49,51,49,53,
      52,49,10,32,32,46,48,48,48,49,51,57,57,55,56,32,46,48,48,48,49,52,56,54,56,
      49,32,46,48,48,48,49,53,55,54,53,51,32,46,48,48,48,49,54,54,56,56,54,32,46,
      48,48,48,49,55,54,51,56,56,32,46,48,48,48,49,56,54,49,53,56,32,46,48,48,48,
      49,57,54,49,56,54,32,46,48,48,48,50,48,54,52,56,10,32,32,46,48,48,48,50,49,
      55,48,52,52,32,46,48,48,48,50,50,55,56,54,50,32,46,48,48,48,50,51,56,57,52,
      53,32,46,48,48,48,50,53,48,50,57,54,32,46,48,48,48,50,54,49,57,48,50,32,46,
      48,48,48,50,55,51,55,54,57,32,46,48,48,48,50,56,53,57,48,52,32,46,48,48,48,
      50,57,56,50,57,54,10,32,32,46,48,48,48,51,49,48,57,52,54,32,46,48,48,48,51,
      50,51,56,54,52,32,46,48,48,48,51,51,55,48,52,51,32,46,48,48,48,51,53,48,52,
      55,55,32,46,48,48,48,51,54,52,49,55,57,32,46,48,48,48,51,55,56,49,52,52,32,
      46,48,48,48,51,57,50,51,54,54,32,46,48,48,48,52,48,54,56,53,52,10,32,32,46,
      48,48,48,52,50,49,54,49,32,46,48,48,48,52,51,54,54,50,49,32,46,48,48,48,52,
      53,49,57,32,46,48,48,48,52,54,55,52,52,54,32,46,48,48,48,52,56,51,50,53,32,
      46,48,48,48,52,57,57,51,50,32,46,48,48,48,53,49,53,54,53,56,32,46,48,48,48,
      53,51,50,50,53,51,10,32,32,46,48,48,48,53,52,57,49,49,49,32,46,48,48,48,53,
      54,54,50,51,55,32,46,48,48,48,53,56,51,54,50,32,46,48,48,48,54,48,49,50,53,
      55,32,46,48,48,48,54,49,57,49,54,52,32,46,48,48,48,54,51,55,51,50,54,32,46,
      48,48,48,54,53,53,55,51,32,46,48,48,48,54,55,52,52,48,52,10,32,32,46,48,48,
      48,54,57,51,51,51,54,32,46,48,48,48,55,49,50,52,56,56,32,46,48,48,48,55,51,
      49,57,48,57,32,46,48,48,48,55,53,49,53,57,56,32,46,48,48,48,55,55,49,52,55,
      57,32,46,48,48,48,55,57,49,54,50,57,32,46,48,48,48,56,49,50,48,53,32,46,48,
      48,48,56,51,50,54,53,56,10,32,32,46,48,48,48,56,53,51,53,50,51,32,46,48,48,
      48,56,55,52,54,53,57,32,46,48,48,48,56,57,53,57,57,32,46,48,48,48,57,49,55,
      53,54,49,32,46,48,48,48,57,51,57,52,48,54,32,46,48,48,48,57,54,49,52,54,52,
      32,46,48,48,48,57,56,51,55,52,52,32,46,48,48,49,48,48,54,51,10,32,32,46,48,
      48,49,48,50,57,49,32,46,48,48,49,48,53,50,49,32,46,48,48,49,48,55,53,51,56,
      32,46,48,48,49,48,57,56,57,50,32,46,48,48,49,49,50,50,54,54,32,46,48,48,49,
      49,52,54,54,57,32,46,48,48,49,49,55,49,32,46,48,48,49,49,57,53,53,49,32,46,
      48,48,49,50,50,48,51,49,10,32,32,46,48,48,49,50,52,53,51,56,32,46,48,48,49,
      50,55,48,55,32,46,48,48,49,50,57,54,50,56,32,46,48,48,49,51,50,50,49,54,32,
      46,48,48,49,51,52,56,50,56,32,46,48,48,49,51,55,52,54,57,32,46,48,48,49,52,
      48,49,51,56,32,46,48,48,49,52,50,56,51,53,32,46,48,48,49,52,53,53,53,57,10,
      32,32,46,48,48,49,52,56,51,49,50,32,46,48,48,49,53,49,48,57,51,32,46,48,48,
      49,53,51,57,48,53,32,46,48,48,49,53,54,55,52,52,32,46,48,48,49,53,57,54,49,
      50,32,46,48,48,49,54,50,53,49,52,32,46,48,48,49,54,53,52,52,50,32,46,48,48,
      49,54,56,51,57,56,10,32,32,46,48,48,49,55,49,51,57,51,32,46,48,48,49,55,52,
      52,49,53,32,46,48,48,49,55,55,52,54,52,32,46,48,48,49,56,48,53,53,52,32,46,
      48,48,49,56,51,54,55,51,32,46,48,48,49,56,54,56,50,32,46,48,48,49,57,48,48,
      48,55,32,46,48,48,49,57,51,50,50,57,32,46,48,48,49,57,54,52,55,57,10,32,32,
      46,48,48,49,57,57,55,54,57,32,46,48,48,50,48,51,48,57,55,32,46,48,48,50,48,
      54,52,53,54,32,46,48,48,50,48,57,56,53,49,32,46,48,48,50,49,51,50,56,57,32,
      46,48,48,50,49,54,55,53,57,32,46,48,48,50,50,48,50,54,52,32,46,48,48,50,50,
      51,56,49,50,10,32,32,46,48,48,50,50,55,51,57,52,32,46,48,48,50,51,49,48,49,
      50,32,46,48,48,50,51,52,54,54,55,32,46,48,48,50,51,56,51,53,56,32,46,48,48,
      50,52,50,48,56,53,32,46,48,48,50,52,53,56,52,50,32,46,48,48,50,52,57,54,51,
      52,32,46,48,48,50,53,51,52,54,49,10,32,32,46,48,48,50,53,55,51,49,52,32,46,
      48,48,50,54,49,49,57,56,32,46,48,48,50,54,53,49,50,50,32,46,48,48,50,54,57,
      48,54,55,32,46,48,48,50,55,51,48,51,54,32,46,48,48,50,55,55,48,51,57,32,46,
      48,48,50,56,49,48,55,32,46,48,48,50,56,53,49,50,32,46,48,48,50,56,57,50,49,
      53,10,32,32,46,48,48,50,57,51,51,51,51,32,46,48,48,50,57,55,52,54,53,32,46,
      48,48,51,48,49,54,51,32,46,48,48,51,48,53,56,50,56,32,46,48,48,51,49,48,48,
      52,53,32,46,48,48,51,49,52,50,57,55,32,46,48,48,51,49,56,53,55,57,32,46,48,
      48,51,50,52,51,50,54,32,46,48,48,51,51,55,56,57,57,10,32,32,46,48,48,51,53,
      56,51,51,50,32,46,48,48,51,57,50,53,54,56,32,46,48,48,52,50,54,56,54,32,46,
      48,48,52,54,48,57,54,55,32,46,48,48,52,57,52,55,56,51,32,46,48,48,53,50,56,
      51,53,56,32,46,48,48,53,54,49,55,56,57,32,46,48,48,53,57,53,49,55,49,32,46,
      48,48,54,50,56,53,53,55,10,32,32,46,48,48,54,54,49,57,56,53,32,46,48,48,54,
      57,53,52,56,49,32,46,48,48,55,50,57,48,48,52,32,46,48,48,55,54,57,50,53,52,
      32,46,48,48,56,48,57,52,53,49,32,46,48,48,56,54,50,55,54,53,32,46,48,48,57,
      49,53,52,53,49,32,46,48,48,57,54,55,50,52,51,10,32,32,46,48,49,48,51,48,50,
      54,32,46,48,49,48,57,48,57,54,32,46,48,49,49,52,57,56,52,32,46,48,49,50,49,
      57,51,49,32,46,48,49,50,56,57,57,53,32,46,48,49,51,56,54,50,55,32,46,48,49,
      52,56,51,56,51,32,46,48,49,53,56,48,50,49,32,46,48,49,54,56,52,50,55,10,32,
      32,46,48,49,55,57,50,52,51,32,46,48,49,57,48,49,50,50,32,46,48,50,48,48,57,
      53,52,32,46,48,50,49,49,53,51,55,32,46,48,50,50,50,55,48,57,32,46,48,50,51,
      51,51,54,56,32,46,48,50,52,53,57,50,57,32,46,48,50,54,51,50,52,57,32,46,48,
      50,56,48,52,50,50,10,32,32,46,48,50,57,49,48,51,32,46,48,51,48,48,48,52,49,
      32,46,48,51,48,51,55,52,52,32,46,48,51,48,48,57,50,54,32,46,48,50,57,50,54,
      54,53,32,46,48,50,55,56,51,53,54,32,46,48,50,54,49,57,48,51,32,46,48,50,52,
      53,52,53,54,32,46,48,50,51,51,54,56,51,10,32,32,46,48,50,51,48,54,53,54,32,
      46,48,50,51,51,54,53,53,32,46,48,50,51,49,57,49,51,32,46,48,50,50,53,49,54,
      52,32,46,48,50,49,48,57,57,32,46,48,49,56,52,50,52,50,32,46,48,49,53,54,56,
      57,57,32,46,48,49,51,52,50,49,32,46,48,49,49,56,51,50,56,32,46,48,48,57,57,
      54,57,57,55,10,32,32,46,48,48,56,51,48,49,49,32,46,48,48,54,55,56,56,51,54,
      32,46,48,48,53,54,55,55,51,32,46,48,48,52,57,48,54,55,52,32,46,48,48,52,52,
      49,54,52,55,32,46,48,48,51,57,56,49,56,57,32,46,48,48,51,53,50,54,51,50,32,
      46,48,48,51,49,48,51,32,46,48,48,50,50,49,57,55,50,10,32,32,46,48,48,49,53,
      50,52,57,55,32,46,48,48,49,48,57,56,53,54,32,46,48,48,48,56,51,51,51,32,46,
      48,48,48,55,52,57,56,57,55,32,46,48,48,48,53,55,51,53,48,52,32,46,48,48,48,
      52,52,50,49,49,53,32,46,48,48,48,51,52,52,50,48,54,32,46,48,48,48,50,55,49,
      49,49,51,10,32,32,46,48,48,48,50,48,56,49,48,56,32,46,48,48,48,49,55,49,53,
      57,32,46,48,48,48,49,52,49,54,48,57,32,46,48,48,48,49,48,51,51,57,54,32,56,
      46,53,51,50,51,50,101,45,48,53,32,54,46,51,48,57,50,51,101,45,48,53,32,52,46,
      53,56,56,52,54,101,45,48,53,32,51,46,55,57,49,56,50,101,45,48,53,10,32,32,51,
      46,49,51,50,49,56,101,45,48,53,32,50,46,51,49,53,56,55,101,45,48,53,32,49,46,
      54,53,57,56,56,101,45,48,53,32,49,46,51,55,57,56,52,101,45,48,53,32,49,46,48,
      50,52,48,56,101,45,48,53,32,56,46,53,51,56,51,57,101,45,48,54,32,54,46,51,53,
      51,50,56,101,45,48,54,10,32,32,52,46,57,57,52,56,50,101,45,48,54,32,55,46,51,
      50,50,57,50,101,45,48,54,32,54,46,52,52,57,57,50,101,45,48,54,32,53,46,48,53,
      51,52,51,101,45,48,54,32,51,46,56,53,57,57,53,101,45,48,54,32,51,46,48,56,52,
      50,51,101,45,48,54,32,50,46,52,54,52,57,57,101,45,48,54,10,32,32,49,46,57,57,
      57,48,56,101,45,48,54,32,49,46,54,50,54,55,50,101,45,48,54,32,49,46,50,57,52,
      55,49,101,45,48,54,32,49,46,48,53,55,51,49,101,45,48,54,32,56,46,52,53,56,55,
      57,101,45,48,55,32,55,46,49,55,57,49,55,101,45,48,55,32,53,46,52,57,53,48,53,
      101,45,48,55,10,32,32,52,46,54,54,52,57,50,101,45,48,55,32,51,46,56,48,54,49,
      51,101,45,48,55,32,50,46,51,55,49,49,55,101,45,48,55,32,49,46,50,51,55,57,49,
      101,45,48,55,32,54,46,53,55,51,54,56,101,45,48,56,32,50,46,57,56,52,50,53,101,
      45,48,56,32,49,46,51,53,54,53,51,101,45,48,56,10,32,32,53,46,50,55,49,57,49,
      101,45,48,57,32,50,46,52,48,49,54,49,101,45,48,57,32,54,46,56,52,49,49,51,101,
      45,49,48,32,50,46,48,54,57,56,51,101,45,49,48,32,56,46,57,51,51,53,53,101,45,
      49,49,32,51,46,52,57,54,49,54,101,45,49,49,32,49,46,48,48,50,52,52,101,45,49,
      49,10,32,32,51,46,51,54,52,54,55,101,45,49,50,32,49,46,49,51,48,54,51,101,45,
      49,50,32,51,46,50,53,53,50,56,101,45,49,51,32,57,46,51,56,52,53,54,101,45,49,
      52,32,51,46,49,54,51,53,57,101,45,49,52,32,49,46,48,54,54,53,53,101,45,49,52,
      32,51,46,53,57,55,55,53,101,45,49,53,10,32,32,57,46,53,54,48,48,57,101,45,49,
      54,32,50,46,51,54,49,48,50,101,45,49,54,32,52,46,57,57,55,56,101,45,49,55,32,
      49,46,50,51,54,55,57,101,45,49,55,32,50,46,54,49,51,49,54,101,45,49,56,32,54,
      46,52,55,55,53,53,101,45,49,57,32,49,46,53,57,57,48,50,101,45,49,57,10,32,32,
      51,46,51,51,55,57,57,101,45,50,48,32,52,46,55,57,51,49,55,101,45,50,49,32,48,
      114,49,48,54,32,49,46,48,57,52,54,101,45,48,56,32,52,46,51,56,57,49,55,101,
      45,48,56,32,57,46,56,56,51,56,53,101,45,48,56,32,49,46,48,57,52,54,51,101,45,
      48,55,32,52,46,51,56,57,54,53,101,45,48,55,10,32,32,57,46,56,56,54,48,49,101,
      45,48,55,32,49,46,55,53,55,52,52,101,45,48,54,32,50,46,55,52,53,54,54,101,45,
      48,54,32,51,46,57,53,53,54,52,101,45,48,54,32,53,46,51,56,52,52,53,101,45,48,
      54,32,55,46,48,51,53,54,50,101,45,48,54,32,56,46,57,48,55,51,56,101,45,48,54,
      10,32,32,49,46,49,48,48,48,49,101,45,48,53,32,49,46,51,51,49,53,52,101,45,48,
      53,32,49,46,53,56,53,51,55,101,45,48,53,32,49,46,56,54,49,52,53,101,45,48,53,
      32,50,46,49,53,57,57,51,101,45,48,53,32,50,46,52,56,48,56,57,101,45,48,53,32,
      50,46,56,50,52,50,55,101,45,48,53,10,32,32,51,46,49,57,48,50,54,101,45,48,53,
      32,51,46,53,55,56,56,49,101,45,48,53,32,51,46,57,57,48,49,49,101,45,48,53,32,
      52,46,52,50,52,49,50,101,45,48,53,32,52,46,56,56,49,48,52,101,45,48,53,32,53,
      46,51,54,48,57,51,101,45,48,53,32,53,46,56,54,51,55,54,101,45,48,53,10,32,32,
      54,46,51,56,57,54,51,101,45,48,53,32,54,46,57,51,56,56,52,101,45,48,53,32,55,
      46,53,49,49,49,56,101,45,48,53,32,56,46,49,48,54,55,53,101,45,48,53,32,56,46,
      55,50,53,55,57,101,45,48,53,32,57,46,51,54,56,50,51,101,45,48,53,32,46,48,48,
      48,49,48,48,51,52,10,32,32,46,48,48,48,49,48,55,50,51,52,32,46,48,48,48,49,
      49,52,51,54,50,32,46,48,48,48,49,50,49,55,50,53,32,46,48,48,48,49,50,57,51,
      50,51,32,46,48,48,48,49,51,55,49,53,55,32,46,48,48,48,49,52,53,50,50,49,32,
      46,48,48,48,49,53,51,53,50,49,32,46,48,48,48,49,54,50,48,53,57,10,32,32,46,
      48,48,48,49,55,48,56,50,49,32,46,48,48,48,49,55,57,56,49,56,32,46,48,48,48,
      49,56,57,48,53,51,32,46,48,48,48,49,57,56,53,48,56,32,46,48,48,48,50,48,56,
      49,57,55,32,46,48,48,48,50,49,56,49,50,49,32,46,48,48,48,50,50,56,50,54,56,
      32,46,48,48,48,50,51,56,54,52,51,10,32,32,46,48,48,48,50,52,57,50,53,51,32,
      46,48,48,48,50,54,48,48,56,56,32,46,48,48,48,50,55,49,49,52,55,32,46,48,48,
      48,50,56,50,52,52,50,32,46,48,48,48,50,57,51,57,54,54,32,46,48,48,48,51,48,
      53,55,49,50,32,46,48,48,48,51,49,55,54,57,51,32,46,48,48,48,51,50,57,57,48,
      54,10,32,32,46,48,48,48,51,52,50,51,52,49,32,46,48,48,48,51,53,53,48,49,49,
      32,46,48,48,48,51,54,55,57,49,56,32,46,48,48,48,51,56,49,48,52,54,32,46,48,
      48,48,51,57,52,52,49,32,46,48,48,48,52,48,56,48,49,32,46,48,48,48,52,50,49,
      56,51,52,32,46,48,48,48,52,51,53,56,57,51,10,32,32,46,48,48,48,52,53,48,49,
      56,56,32,46,48,48,48,52,54,52,55,48,55,32,46,48,48,48,52,55,57,52,53,54,32,
      46,48,48,48,52,57,52,52,52,50,32,46,48,48,48,53,48,57,54,53,32,46,48,48,48,
      53,50,53,48,56,32,46,48,48,48,53,52,48,55,52,56,32,46,48,48,48,53,53,54,54,
      51,55,10,32,32,46,48,48,48,53,55,50,55,51,50,32,46,48,48,48,53,56,57,48,54,
      52,32,46,48,48,48,54,48,53,54,50,50,32,46,48,48,48,54,50,50,51,54,32,46,48,
      48,48,54,51,57,51,51,53,32,46,48,48,48,54,53,54,53,52,55,32,46,48,48,48,54,
      55,51,57,48,52,32,46,48,48,48,54,57,49,52,57,57,10,32,32,46,48,48,48,55,48,
      57,51,51,53,32,46,48,48,48,55,50,55,51,48,57,32,46,48,48,48,55,52,53,53,48,
      55,32,46,48,48,48,55,54,51,57,52,54,32,46,48,48,48,55,56,50,53,51,52,32,46,
      48,48,48,56,48,49,51,50,53,32,46,48,48,48,56,50,48,51,53,57,32,46,48,48,48,
      56,51,57,53,54,54,10,32,32,46,48,48,48,56,53,56,57,53,51,32,46,48,48,48,56,
      55,56,53,56,56,32,46,48,48,48,56,57,56,52,50,52,32,46,48,48,48,57,49,56,52,
      50,50,32,46,48,48,48,57,51,56,54,55,52,32,46,48,48,48,57,53,57,49,53,52,32,
      46,48,48,48,57,55,57,55,57,32,46,48,48,49,48,48,48,54,56,10,32,32,46,48,48,
      49,48,50,49,56,50,32,46,48,48,49,48,52,51,49,50,32,46,48,48,49,48,54,52,54,
      56,32,46,48,48,49,48,56,54,52,57,32,46,48,48,49,49,48,56,53,49,32,46,48,48,
      49,49,51,48,55,53,32,46,48,48,49,49,53,51,50,55,32,46,48,48,49,49,55,54,32,
      46,48,48,49,49,57,56,57,57,10,32,32,46,48,48,49,50,50,50,50,50,32,46,48,48,
      49,50,52,53,55,32,46,48,48,49,50,54,57,52,52,32,46,48,48,49,50,57,51,52,50,
      32,46,48,48,49,51,49,55,54,55,32,46,48,48,49,51,52,50,50,32,46,48,48,49,51,
      54,54,57,54,32,46,48,48,49,51,57,49,57,57,32,46,48,48,49,52,49,55,51,52,10,
      32,32,46,48,48,49,52,52,50,57,50,32,46,48,48,49,52,54,56,55,52,32,46,48,48,
      49,52,57,52,57,54,32,46,48,48,49,53,50,49,52,49,32,46,48,48,49,53,52,56,49,
      32,46,48,48,49,53,55,53,49,57,32,46,48,48,49,54,48,50,53,53,32,46,48,48,49,
      54,51,48,49,54,32,46,48,48,49,54,53,56,49,54,10,32,32,46,48,48,49,54,56,54,
      52,57,32,46,48,48,49,55,49,53,48,56,32,46,48,48,49,55,52,52,48,54,32,46,48,
      48,49,55,55,51,52,49,32,46,48,48,49,56,48,51,48,53,32,46,48,48,49,56,51,51,
      48,51,32,46,48,48,49,56,54,51,52,52,32,46,48,48,49,56,57,52,49,54,10,32,32,
      46,48,48,49,57,50,53,50,32,46,48,48,49,57,53,54,54,56,32,46,48,48,49,57,56,
      56,52,57,32,46,48,48,50,48,50,48,54,52,32,46,48,48,50,48,53,51,49,52,32,46,
      48,48,50,48,56,54,32,46,48,48,50,49,49,57,50,49,32,46,48,48,50,49,53,50,54,
      57,32,46,48,48,50,49,56,54,53,10,32,32,46,48,48,50,50,50,48,54,55,32,46,48,
      48,50,50,53,53,48,54,32,46,48,48,50,50,56,57,55,52,32,46,48,48,50,51,50,52,
      55,54,32,46,48,48,50,51,54,48,48,49,32,46,48,48,50,51,57,53,52,54,32,46,48,
      48,50,52,51,49,50,53,32,46,48,48,50,52,54,55,50,57,10,32,32,46,48,48,50,53,
      48,51,52,56,32,46,48,48,50,53,51,57,57,57,32,46,48,48,50,53,55,54,56,32,46,
      48,48,50,54,49,51,55,56,32,46,48,48,50,54,53,49,48,52,32,46,48,48,50,54,56,
      56,54,49,32,46,48,48,50,55,50,54,52,53,32,46,48,48,50,55,54,52,53,32,46,48,
      48,50,56,48,50,56,53,10,32,32,46,48,48,50,56,53,52,51,51,32,46,48,48,50,57,
      55,54,48,53,32,46,48,48,51,49,53,57,54,57,32,46,48,48,51,52,54,56,54,49,32,
      46,48,48,51,55,55,57,49,54,32,46,48,48,52,48,56,56,49,50,32,46,48,48,52,51,
      57,51,53,52,32,46,48,48,52,54,57,53,53,54,10,32,32,46,48,48,52,57,57,53,52,
      53,32,46,48,48,53,50,57,52,54,52,32,46,48,48,53,53,57,52,49,54,32,46,48,48,
      53,56,57,52,55,55,32,46,48,48,54,49,57,54,57,49,32,46,48,48,54,53,48,48,52,
      32,46,48,48,54,56,54,54,51,57,32,46,48,48,55,50,51,51,55,53,32,46,48,48,55,
      55,50,51,57,10,32,32,46,48,48,56,50,49,49,53,51,32,46,48,48,56,54,57,51,57,
      51,32,46,48,48,57,50,56,52,56,32,46,48,48,57,56,53,55,54,55,32,46,48,49,48,
      52,49,52,53,32,46,48,49,49,48,54,57,52,32,46,48,49,49,55,50,57,52,32,46,48,
      49,50,54,50,49,57,32,46,48,49,51,53,50,50,52,10,32,32,46,48,49,52,52,49,51,
      54,32,46,48,49,53,51,56,50,55,32,46,48,49,54,52,48,49,57,32,46,48,49,55,52,
      52,48,50,32,46,48,49,56,52,56,52,53,32,46,48,49,57,53,49,52,55,32,46,48,50,
      48,54,48,56,49,32,46,48,50,49,54,52,57,57,32,46,48,50,50,56,54,52,57,10,32,
      32,46,48,50,52,53,50,48,53,32,46,48,50,54,49,54,56,49,32,46,48,50,55,50,48,
      51,52,32,46,48,50,56,49,49,56,55,32,46,48,50,56,53,55,51,54,32,46,48,50,56,
      52,50,55,52,32,46,48,50,55,55,54,51,55,32,46,48,50,54,53,49,56,56,32,46,48,
      50,53,48,52,50,53,10,32,32,46,48,50,51,53,52,52,52,32,46,48,50,50,52,55,54,
      51,32,46,48,50,50,50,51,52,51,32,46,48,50,50,53,53,52,53,32,46,48,50,50,52,
      49,56,54,32,46,48,50,49,55,57,54,57,32,46,48,50,48,52,54,49,53,32,46,48,49,
      55,57,49,53,56,32,46,48,49,53,50,57,54,10,32,32,46,48,49,51,49,49,50,49,32,
      46,48,49,49,53,55,55,57,32,46,48,48,57,55,55,51,48,50,32,46,48,48,56,49,53,
      48,52,51,32,46,48,48,54,54,55,53,49,53,32,46,48,48,53,53,56,57,49,57,32,46,
      48,48,52,56,51,52,57,57,32,46,48,48,52,51,53,52,55,55,32,46,48,48,51,57,50,
      56,54,49,10,32,32,46,48,48,51,52,56,49,50,50,32,46,48,48,51,48,54,52,57,54,
      32,46,48,48,50,49,57,53,48,51,32,46,48,48,49,53,48,57,54,50,32,46,48,48,49,
      48,56,56,51,52,32,46,48,48,48,56,50,54,48,52,54,32,46,48,48,48,55,52,51,53,
      55,52,32,46,48,48,48,53,54,56,57,52,57,10,32,32,46,48,48,48,52,51,56,55,56,
      57,32,46,48,48,48,51,52,49,55,52,49,32,46,48,48,48,50,54,57,50,53,57,32,46,
      48,48,48,50,48,54,55,53,51,32,46,48,48,48,49,55,48,53,49,32,46,48,48,48,49,
      52,48,55,52,54,32,46,48,48,48,49,48,50,55,57,55,32,56,46,52,56,52,52,54,101,
      45,48,53,10,32,32,54,46,50,55,53,52,51,101,45,48,53,32,52,46,53,54,52,57,56,
      101,45,48,53,32,51,46,55,55,50,57,52,101,45,48,53,32,51,46,49,49,55,48,49,101,
      45,48,53,32,50,46,51,48,53,49,49,101,45,48,53,32,49,46,54,53,50,52,56,101,45,
      48,53,32,49,46,51,55,51,56,50,101,45,48,53,10,32,32,49,46,48,49,57,55,55,101,
      45,48,53,32,56,46,53,48,51,50,53,101,45,48,54,32,54,46,51,50,56,48,49,101,45,
      48,54,32,52,46,57,55,53,54,52,101,45,48,54,32,55,46,50,53,50,57,49,101,45,48,
      54,32,54,46,51,56,56,53,53,101,45,48,54,32,53,46,48,48,53,55,54,101,45,48,54,
      10,32,32,51,46,56,50,52,49,56,101,45,48,54,32,51,46,48,53,54,52,101,45,48,54,
      32,50,46,52,52,51,49,51,101,45,48,54,32,49,46,57,56,49,52,55,101,45,48,54,32,
      49,46,54,49,50,52,57,101,45,48,54,32,49,46,50,56,51,52,55,101,45,48,54,32,49,
      46,48,52,56,49,56,101,45,48,54,10,32,32,56,46,51,56,54,49,52,101,45,48,55,32,
      55,46,49,49,55,55,52,101,45,48,55,32,53,46,52,52,56,51,57,101,45,48,55,32,52,
      46,54,50,53,52,57,101,45,48,55,32,51,46,55,55,52,51,54,101,45,48,55,32,50,46,
      51,53,50,48,57,101,45,48,55,32,49,46,50,50,56,49,50,101,45,48,55,10,32,32,54,
      46,53,50,50,52,52,101,45,48,56,32,50,46,57,54,49,51,56,101,45,48,56,32,49,46,
      51,52,54,53,51,101,45,48,56,32,53,46,50,51,54,55,54,101,45,48,57,32,50,46,51,
      56,53,56,54,101,45,48,57,32,54,46,55,57,54,55,52,101,45,49,48,32,50,46,48,53,
      54,54,57,101,45,49,48,10,32,32,56,46,56,55,56,50,51,101,45,49,49,32,51,46,52,
      55,54,51,52,101,45,49,49,32,57,46,57,54,56,55,55,101,45,49,50,32,51,46,51,52,
      54,49,56,101,45,49,50,32,49,46,49,50,52,52,56,101,45,49,50,32,51,46,50,51,55,
      57,49,101,45,49,51,32,57,46,51,51,53,51,57,101,45,49,52,10,32,32,51,46,49,52,
      55,50,56,101,45,49,52,32,49,46,48,54,49,57,51,101,45,49,52,32,51,46,53,56,52,
      49,101,45,49,53,32,57,46,53,51,48,52,101,45,49,54,32,50,46,51,53,51,54,53,101,
      45,49,54,32,52,46,57,56,49,54,51,101,45,49,55,32,49,46,50,51,50,56,57,101,45,
      49,55,10,32,32,50,46,54,48,53,48,53,101,45,49,56,32,54,46,52,53,55,57,53,101,
      45,49,57,32,49,46,53,57,52,50,101,45,49,57,32,51,46,51,50,55,51,56,101,45,50,
      48,32,52,46,55,54,52,49,53,101,45,50,49,32,48,114,49,48,54,32,57,46,55,55,49,
      55,49,101,45,48,57,32,51,46,57,49,56,51,49,101,45,48,56,10,32,32,56,46,56,50,
      51,53,51,101,45,48,56,32,57,46,55,55,50,48,50,101,45,48,56,32,51,46,57,49,56,
      55,51,101,45,48,55,32,56,46,56,50,53,52,50,101,45,48,55,32,49,46,53,54,56,56,
      57,101,45,48,54,32,50,46,52,53,49,48,57,101,45,48,54,32,51,46,53,51,49,50,53,
      101,45,48,54,10,32,32,52,46,56,48,54,55,55,101,45,48,54,32,54,46,50,56,48,56,
      49,101,45,48,54,32,55,46,57,53,49,55,57,101,45,48,54,32,57,46,56,50,48,48,57,
      101,45,48,54,32,49,46,49,56,56,55,49,101,45,48,53,32,49,46,52,49,53,51,51,101,
      45,48,53,32,49,46,54,54,49,56,49,101,45,48,53,10,32,32,49,46,57,50,56,51,50,
      101,45,48,53,32,50,46,50,49,52,57,101,45,48,53,32,50,46,53,50,49,53,50,101,
      45,48,53,32,50,46,56,52,56,51,53,101,45,48,53,32,51,46,49,57,53,51,52,101,45,
      48,53,32,51,46,53,54,50,54,56,101,45,48,53,32,51,46,57,53,48,51,52,101,45,48,
      53,10,32,32,52,46,51,53,56,52,56,101,45,48,53,32,52,46,55,56,55,50,101,45,48,
      53,32,53,46,50,51,54,52,52,101,45,48,53,32,53,46,55,48,54,51,51,101,45,48,53,
      32,54,46,49,57,55,49,50,101,45,48,53,32,54,46,55,48,56,54,53,101,45,48,53,32,
      55,46,50,52,49,101,45,48,53,10,32,32,55,46,55,57,52,52,49,101,45,48,53,32,56,
      46,51,54,56,56,49,101,45,48,53,32,56,46,57,54,52,49,52,101,45,48,53,32,57,46,
      53,56,48,55,101,45,48,53,32,46,48,48,48,49,48,50,49,56,51,32,46,48,48,48,49,
      48,56,55,54,57,32,46,48,48,48,49,49,53,53,54,55,10,32,32,46,48,48,48,49,50,
      50,53,55,55,32,46,48,48,48,49,50,57,55,57,51,32,46,48,48,48,49,51,55,50,50,
      49,32,46,48,48,48,49,52,52,56,54,51,32,46,48,48,48,49,53,50,55,48,53,32,46,
      48,48,48,49,54,48,55,53,57,32,46,48,48,48,49,54,57,48,50,55,32,46,48,48,48,
      49,55,55,52,57,50,10,32,32,46,48,48,48,49,56,54,49,54,53,32,46,48,48,48,49,
      57,53,48,53,49,32,46,48,48,48,50,48,52,49,51,53,32,46,48,48,48,50,49,51,52,
      50,52,32,46,48,48,48,50,50,50,57,50,52,32,46,48,48,48,50,51,50,54,50,53,32,
      46,48,48,48,50,52,50,53,50,55,32,46,48,48,48,50,53,50,54,52,10,32,32,46,48,
      48,48,50,54,50,57,53,56,32,46,48,48,48,50,55,51,52,55,52,32,46,48,48,48,50,
      56,52,50,48,50,32,46,48,48,48,50,57,53,49,51,56,32,46,48,48,48,51,48,54,50,
      55,50,32,46,48,48,48,51,49,55,54,49,55,32,46,48,48,48,51,50,57,49,55,53,32,
      46,48,48,48,51,52,48,57,51,10,32,32,46,48,48,48,51,53,50,56,57,55,32,46,48,
      48,48,51,54,53,48,55,54,32,46,48,48,48,51,55,55,52,53,54,32,46,48,48,48,51,
      57,48,48,52,53,32,46,48,48,48,52,48,50,56,52,56,32,46,48,48,48,52,49,53,56,
      53,32,46,48,48,48,52,50,57,48,53,57,32,46,48,48,48,52,52,50,52,56,10,32,32,
      46,48,48,48,52,53,54,49,32,46,48,48,48,52,54,57,57,49,55,32,46,48,48,48,52,
      56,51,57,52,57,32,46,48,48,48,52,57,56,49,55,55,32,46,48,48,48,53,49,50,53,
      56,55,32,46,48,48,48,53,50,55,50,49,49,32,46,48,48,48,53,52,50,48,51,54,32,
      46,48,48,48,53,53,55,48,49,55,10,32,32,46,48,48,48,53,55,50,50,49,49,32,46,
      48,48,48,53,56,55,54,49,56,32,46,48,48,48,54,48,51,49,52,53,32,46,48,48,48,
      54,49,56,56,56,55,32,46,48,48,48,54,51,52,56,52,53,32,46,48,48,48,54,53,48,
      57,49,55,32,46,48,48,48,54,54,55,49,56,57,32,46,48,48,48,54,56,51,54,55,57,
      10,32,32,46,48,48,48,55,48,48,50,57,51,32,46,48,48,48,55,49,55,48,56,54,32,
      46,48,48,48,55,51,52,48,57,57,32,46,48,48,48,55,53,49,50,54,32,46,48,48,48,
      55,54,56,53,55,56,32,46,48,48,48,55,56,54,49,50,49,32,46,48,48,48,56,48,51,
      56,52,49,32,46,48,48,48,56,50,49,55,10,32,32,46,48,48,48,56,51,57,55,56,56,
      32,46,48,48,48,56,53,56,48,56,50,32,46,48,48,48,56,55,54,53,48,57,32,46,48,
      48,48,56,57,53,49,54,54,32,46,48,48,48,57,49,52,48,53,50,32,46,48,48,48,57,
      51,51,48,55,54,32,46,48,48,48,57,53,50,51,51,50,32,46,48,48,48,57,55,49,56,
      49,54,10,32,32,46,48,48,48,57,57,49,52,56,32,46,48,48,49,48,49,49,51,54,32,
      46,48,48,49,48,51,49,52,56,32,46,48,48,49,48,53,49,55,57,32,46,48,48,49,48,
      55,50,51,51,32,46,48,48,49,48,57,51,49,32,46,48,48,49,49,49,52,48,57,32,46,
      48,48,49,49,51,53,51,49,32,46,48,48,49,49,53,54,55,54,10,32,32,46,48,48,49,
      49,55,56,52,52,32,46,48,48,49,50,48,48,51,56,32,46,48,48,49,50,50,50,53,51,
      32,46,48,48,49,50,52,52,57,51,32,46,48,48,49,50,54,55,54,49,32,46,48,48,49,
      50,57,48,53,49,32,46,48,48,49,51,49,51,54,51,32,46,48,48,49,51,51,55,49,49,
      10,32,32,46,48,48,49,51,54,48,56,32,46,48,48,49,51,56,52,55,49,32,46,48,48,
      49,52,48,56,57,57,32,46,48,48,49,52,51,51,53,50,32,46,48,48,49,52,53,56,50,
      55,32,46,48,48,49,52,56,51,51,57,32,46,48,48,49,53,48,56,56,50,32,46,48,48,
      49,53,51,52,52,55,32,46,48,48,49,53,54,48,52,57,10,32,32,46,48,48,49,53,56,
      54,56,54,32,46,48,48,49,54,49,51,53,32,46,48,48,49,54,52,48,52,54,32,46,48,
      48,49,54,54,55,56,49,32,46,48,48,49,54,57,53,52,54,32,46,48,48,49,55,50,51,
      52,49,32,46,48,48,49,55,53,49,55,55,32,46,48,48,49,55,56,48,52,52,32,46,48,
      48,49,56,48,57,52,51,10,32,32,46,48,48,49,56,51,56,55,54,32,46,48,48,49,56,
      54,56,52,50,32,46,48,48,49,56,57,56,52,50,32,46,48,48,49,57,50,56,54,55,32,
      46,48,48,49,57,53,57,50,51,32,46,48,48,49,57,57,48,49,52,32,46,48,48,50,48,
      50,49,50,52,32,46,48,48,50,48,53,50,54,50,10,32,32,46,48,48,50,48,56,52,51,
      50,32,46,48,48,50,49,49,54,50,51,32,46,48,48,50,49,52,56,51,51,32,46,48,48,
      50,49,56,48,55,53,32,46,48,48,50,50,49,51,52,32,46,48,48,50,50,52,54,49,57,
      32,46,48,48,50,50,55,57,50,55,32,46,48,48,50,51,49,50,54,52,32,46,48,48,50,
      51,52,54,49,50,10,32,32,46,48,48,50,51,55,57,57,32,46,48,48,50,52,49,51,57,
      57,32,46,48,48,50,52,52,56,50,32,46,48,48,50,52,56,50,55,50,32,46,48,48,50,
      53,49,55,53,51,32,46,48,48,50,53,54,52,50,55,32,46,48,48,50,54,55,53,32,46,
      48,48,50,56,52,50,49,56,32,46,48,48,51,49,50,52,50,54,10,32,32,46,48,48,51,
      52,48,56,55,51,32,46,48,48,51,54,57,49,57,53,32,46,48,48,51,57,55,49,52,53,
      32,46,48,48,52,50,52,55,48,55,32,46,48,48,52,53,50,48,49,56,32,46,48,48,52,
      55,57,50,53,32,46,48,48,53,48,54,53,51,53,32,46,48,48,53,51,51,57,54,57,32,
      46,48,48,53,54,49,54,48,57,10,32,32,46,48,48,53,56,57,52,53,49,32,46,48,48,
      54,50,51,49,52,52,32,46,48,48,54,53,55,48,57,55,32,46,48,48,55,48,50,54,50,
      50,32,46,48,48,55,52,56,49,54,49,32,46,48,48,55,57,51,52,52,56,32,46,48,48,
      56,52,57,50,51,49,32,46,48,48,57,48,51,54,48,49,10,32,32,46,48,48,57,53,54,
      53,54,51,32,46,48,49,48,49,56,55,50,32,46,48,49,48,56,48,57,49,32,46,48,49,
      49,54,52,52,53,32,46,48,49,50,52,56,52,57,32,46,48,49,51,51,49,55,56,32,46,
      48,49,52,50,50,56,56,32,46,48,49,53,49,57,54,50,32,46,48,49,54,49,57,50,49,
      10,32,32,46,48,49,55,50,48,49,56,32,46,48,49,56,50,48,53,53,32,46,48,49,57,
      50,55,53,54,32,46,48,50,48,50,57,52,51,32,46,48,50,49,52,55,51,49,32,46,48,
      50,51,48,54,52,51,32,46,48,50,52,54,53,50,53,32,46,48,50,53,54,54,52,51,32,
      46,48,50,54,53,56,54,54,10,32,32,46,48,50,55,49,48,52,49,32,46,48,50,55,48,
      54,50,50,32,46,48,50,54,53,50,53,53,32,46,48,50,53,52,50,56,53,32,46,48,50,
      52,48,56,56,50,32,46,48,50,50,55,48,56,57,32,46,48,50,49,55,50,57,56,32,46,
      48,50,49,53,51,54,55,32,46,48,50,49,56,55,50,55,10,32,32,46,48,50,49,55,54,
      55,56,32,46,48,50,49,49,57,32,46,48,49,57,57,50,50,55,32,46,48,49,55,52,56,
      52,54,32,46,48,49,52,57,54,49,32,46,48,49,50,56,52,56,52,32,46,48,49,49,51,
      54,32,46,48,48,57,54,48,52,50,50,32,46,48,48,56,48,50,49,48,49,32,46,48,48,
      54,53,55,55,55,53,10,32,32,46,48,48,53,53,49,51,50,54,32,46,48,48,52,55,55,
      51,49,49,32,46,48,48,52,51,48,49,53,55,32,46,48,48,51,56,56,50,54,50,32,46,
      48,48,51,52,52,50,50,55,32,46,48,48,51,48,51,50,48,55,32,46,48,48,50,49,55,
      51,54,53,32,46,48,48,49,52,57,54,51,32,46,48,48,49,48,55,57,52,56,10,32,32,
      46,48,48,48,56,49,57,55,52,57,32,46,48,48,48,55,51,56,48,55,56,32,46,48,48,
      48,53,54,52,57,56,54,32,46,48,48,48,52,51,53,56,57,57,32,46,48,48,48,51,51,
      57,54,48,49,32,46,48,48,48,50,54,55,54,52,55,32,46,48,48,48,50,48,53,53,55,
      51,32,46,48,48,48,49,54,57,53,55,10,32,32,46,48,48,48,49,51,57,57,57,54,32,
      46,48,48,48,49,48,50,50,55,55,32,56,46,52,52,50,55,54,101,45,48,53,32,54,46,
      50,52,54,48,49,101,45,48,53,32,52,46,53,52,52,53,53,101,45,48,53,32,51,46,55,
      53,54,53,101,45,48,53,32,51,46,49,48,51,55,55,101,45,48,53,10,32,32,50,46,50,
      57,53,55,101,45,48,53,32,49,46,54,52,54,48,50,101,45,48,53,32,49,46,51,54,56,
      53,56,101,45,48,53,32,49,46,48,49,54,48,50,101,45,48,53,32,56,46,52,55,50,54,
      51,101,45,48,54,32,54,46,51,48,53,57,54,101,45,48,54,32,52,46,57,53,56,56,56,
      101,45,48,54,10,32,32,55,46,49,57,51,50,56,101,45,48,54,32,54,46,51,51,54,50,
      56,101,45,48,54,32,52,46,57,54,53,49,57,101,45,48,54,32,51,46,55,57,51,52,57,
      101,45,48,54,32,51,46,48,51,50,48,55,101,45,48,54,32,50,46,52,50,52,48,51,101,
      45,48,54,32,49,46,57,54,54,52,101,45,48,54,10,32,32,49,46,54,48,48,51,55,101,
      45,48,54,32,49,46,50,55,51,56,56,101,45,48,54,32,49,46,48,52,48,51,57,101,45,
      48,54,32,56,46,51,50,52,50,53,101,45,48,55,32,55,46,48,54,53,52,55,101,45,48,
      55,32,53,46,52,48,56,55,49,101,45,48,55,32,52,46,53,57,49,57,55,101,45,48,55,
      10,32,32,51,46,55,52,55,49,55,101,45,48,55,32,50,46,51,51,53,52,50,101,45,48,
      55,32,49,46,50,49,57,55,57,101,45,48,55,32,54,46,52,55,56,56,50,101,45,48,56,
      32,50,46,57,52,49,57,54,101,45,48,56,32,49,46,51,51,55,56,53,101,45,48,56,32,
      53,46,50,48,53,55,54,101,45,48,57,10,32,32,50,46,51,55,50,51,55,101,45,48,57,
      32,54,46,55,53,57,49,101,45,49,48,32,50,46,48,52,53,53,54,101,45,49,48,32,56,
      46,56,51,48,57,101,45,49,49,32,51,46,52,53,56,51,101,45,49,49,32,57,46,57,50,
      49,51,50,101,45,49,50,32,51,46,51,51,48,52,51,101,45,49,50,10,32,32,49,46,49,
      49,57,50,55,101,45,49,50,32,51,46,50,50,51,50,49,101,45,49,51,32,57,46,50,57,
      51,56,51,101,45,49,52,32,51,46,49,51,51,53,101,45,49,52,32,49,46,48,53,55,51,
      54,101,45,49,52,32,51,46,53,55,48,54,55,101,45,49,53,32,57,46,53,48,52,52,49,
      101,45,49,54,10,32,32,50,46,51,52,55,48,53,101,45,49,54,32,52,46,57,54,56,48,
      55,101,45,49,55,32,49,46,50,50,57,54,51,101,45,49,55,32,50,46,53,57,56,50,54,
      101,45,49,56,32,54,46,52,52,49,53,54,101,45,49,57,32,49,46,53,57,48,49,55,101,
      45,49,57,32,51,46,51,49,56,52,56,101,45,50,48,10,32,32,52,46,55,51,57,53,56,
      101,45,50,49,32,48,114,49,48,54,32,56,46,53,54,53,56,57,101,45,48,57,32,51,
      46,52,51,52,56,101,45,48,56,32,55,46,55,51,52,55,49,101,45,48,56,32,56,46,53,
      54,54,49,53,101,45,48,56,32,51,46,52,51,53,49,52,101,45,48,55,32,55,46,55,51,
      54,50,56,101,45,48,55,10,32,32,49,46,51,55,53,50,55,101,45,48,54,32,50,46,49,
      52,56,53,55,101,45,48,54,32,51,46,48,57,53,52,101,45,48,54,32,52,46,50,49,51,
      52,53,101,45,48,54,32,53,46,53,48,53,53,51,101,45,48,54,32,54,46,57,55,48,50,
      51,101,45,48,54,32,56,46,54,48,55,57,101,45,48,54,10,32,32,49,46,48,52,49,57,
      56,101,45,48,53,32,49,46,50,52,48,54,50,101,45,48,53,32,49,46,52,53,54,54,57,
      101,45,48,53,32,49,46,54,57,48,51,50,101,45,48,53,32,49,46,57,52,49,53,53,101,
      45,48,53,32,50,46,50,49,48,51,54,101,45,48,53,32,50,46,52,57,54,57,101,45,48,
      53,10,32,32,50,46,56,48,49,49,52,101,45,48,53,32,51,46,49,50,51,50,52,101,45,
      48,53,32,51,46,52,54,51,49,55,101,45,48,53,32,51,46,56,50,49,49,101,45,48,53,
      32,52,46,49,57,55,49,101,45,48,53,32,52,46,53,57,49,49,53,101,45,48,53,32,53,
      46,48,48,51,51,52,101,45,48,53,10,32,32,53,46,52,51,51,57,50,101,45,48,53,32,
      53,46,56,56,50,55,53,101,45,48,53,32,54,46,51,52,57,57,49,101,45,48,53,32,54,
      46,56,51,53,54,49,101,45,48,53,32,55,46,51,51,57,56,101,45,48,53,32,55,46,56,
      54,50,52,51,101,45,48,53,32,56,46,52,48,51,55,56,101,45,48,53,10,32,32,56,46,
      57,54,51,54,55,101,45,48,53,32,57,46,53,52,50,48,57,101,45,48,53,32,46,48,48,
      48,49,48,49,51,57,50,32,46,48,48,48,49,48,55,53,53,32,46,48,48,48,49,49,51,
      56,56,57,32,46,48,48,48,49,50,48,52,49,54,32,46,48,48,48,49,50,55,49,51,51,
      32,46,48,48,48,49,51,52,48,50,52,10,32,32,46,48,48,48,49,52,49,49,48,50,32,
      46,48,48,48,49,52,56,51,55,32,46,48,48,48,49,53,53,56,48,57,32,46,48,48,48,
      49,54,51,52,51,51,32,46,48,48,48,49,55,49,50,52,53,32,46,48,48,48,49,55,57,
      50,51,32,46,48,48,48,49,56,55,51,57,53,32,46,48,48,48,49,57,53,55,52,55,10,
      32,32,46,48,48,48,50,48,52,50,55,53,32,46,48,48,48,50,49,50,57,55,57,32,46,
      48,48,48,50,50,49,56,55,32,46,48,48,48,50,51,48,57,52,49,32,46,48,48,48,50,
      52,48,49,56,53,32,46,48,48,48,50,52,57,54,49,54,32,46,48,48,48,50,53,57,50,
      51,32,46,48,48,48,50,54,57,48,49,56,10,32,32,46,48,48,48,50,55,56,57,57,50,
      32,46,48,48,48,50,56,57,49,53,52,32,46,48,48,48,50,57,57,52,56,57,32,46,48,
      48,48,51,49,48,48,49,32,46,48,48,48,51,50,48,55,49,57,32,46,48,48,48,51,51,
      49,54,48,51,32,46,48,48,48,51,52,50,54,55,51,32,46,48,48,48,51,53,51,57,51,
      10,32,32,46,48,48,48,51,54,53,51,54,51,32,46,48,48,48,51,55,54,57,55,55,32,
      46,48,48,48,51,56,56,55,55,57,32,46,48,48,48,52,48,48,55,53,53,32,46,48,48,
      48,52,49,50,57,48,52,32,46,48,48,48,52,50,53,50,52,49,32,46,48,48,48,52,51,
      55,55,53,32,46,48,48,48,52,53,48,52,49,56,10,32,32,46,48,48,48,52,54,51,50,
      55,52,32,46,48,48,48,52,55,54,51,48,54,32,46,48,48,48,52,56,57,52,55,32,46,
      48,48,48,53,48,50,56,50,50,32,46,48,48,48,53,49,54,51,54,50,32,46,48,48,48,
      53,50,57,57,57,57,32,46,48,48,48,53,52,51,56,50,54,32,46,48,48,48,53,53,55,
      56,52,51,10,32,32,46,48,48,48,53,55,49,57,53,50,32,46,48,48,48,53,56,54,50,
      51,53,32,46,48,48,48,54,48,48,55,49,49,32,46,48,48,48,54,49,53,50,56,57,32,
      46,48,48,48,54,51,48,48,50,49,32,46,48,48,48,54,52,52,57,52,57,32,46,48,48,
      48,54,54,48,48,48,50,32,46,48,48,48,54,55,53,49,56,56,10,32,32,46,48,48,48,
      54,57,48,53,55,52,32,46,48,48,48,55,48,54,49,49,51,32,46,48,48,48,55,50,49,
      55,54,57,32,46,48,48,48,55,51,55,54,50,57,32,46,48,48,48,55,53,51,54,55,32,
      46,48,48,48,55,54,57,56,50,50,32,46,48,48,48,55,56,54,49,56,32,46,48,48,48,
      56,48,50,55,52,49,10,32,32,46,48,48,48,56,49,57,52,49,57,32,46,48,48,48,56,
      51,54,51,48,51,32,46,48,48,48,56,53,51,51,57,49,32,46,48,48,48,56,55,48,54,
      51,53,32,46,48,48,48,56,56,56,48,54,56,32,46,48,48,48,57,48,53,55,49,54,32,
      46,48,48,48,57,50,51,53,51,55,32,46,48,48,48,57,52,49,53,53,55,10,32,32,46,
      48,48,48,57,53,57,55,56,49,32,46,48,48,48,57,55,56,50,48,54,32,46,48,48,48,
      57,57,54,56,51,51,32,46,48,48,49,48,49,53,54,54,32,46,48,48,49,48,51,52,55,
      32,46,48,48,49,48,53,51,57,55,32,46,48,48,49,48,55,51,52,50,32,46,48,48,49,
      48,57,51,48,57,10,32,32,46,48,48,49,49,49,51,48,51,32,46,48,48,49,49,51,51,
      49,53,32,46,48,48,49,49,53,51,52,55,32,46,48,48,49,49,55,52,49,50,32,46,48,
      48,49,49,57,52,57,54,32,46,48,48,49,50,49,53,57,56,32,46,48,48,49,50,51,55,
      51,53,32,46,48,48,49,50,53,56,57,52,10,32,32,46,48,48,49,50,56,48,55,51,32,
      46,48,48,49,51,48,50,56,54,32,46,48,48,49,51,50,53,50,55,32,46,48,48,49,51,
      52,55,56,56,32,46,48,48,49,51,55,48,56,50,32,46,48,48,49,51,57,52,48,57,32,
      46,48,48,49,52,49,55,53,57,32,46,48,48,49,52,52,49,51,57,10,32,32,46,48,48,
      49,52,54,53,53,54,32,46,48,48,49,52,57,32,46,48,48,49,53,49,52,55,50,32,46,
      48,48,49,53,51,57,56,50,32,46,48,48,49,53,54,53,50,32,46,48,48,49,53,57,48,
      56,56,32,46,48,48,49,54,49,54,56,55,32,46,48,48,49,54,52,51,49,56,32,46,48,
      48,49,54,54,57,56,10,32,32,46,48,48,49,54,57,54,54,53,32,46,48,48,49,55,50,
      51,55,57,32,46,48,48,49,55,53,49,50,53,32,46,48,48,49,55,55,56,57,32,46,48,
      48,49,56,48,54,56,32,46,48,48,49,56,51,53,32,46,48,48,49,56,54,51,51,57,32,
      46,48,48,49,56,57,49,57,54,32,46,48,48,49,57,50,48,56,50,10,32,32,46,48,48,
      49,57,52,57,57,32,46,48,48,49,57,55,57,48,57,32,46,48,48,50,48,48,56,53,54,
      32,46,48,48,50,48,51,56,51,32,46,48,48,50,48,54,56,49,51,32,46,48,48,50,48,
      57,56,50,51,32,46,48,48,50,49,50,56,54,51,32,46,48,48,50,49,53,57,49,51,32,
      46,48,48,50,49,56,57,57,51,10,32,32,46,48,48,50,50,50,48,57,57,32,46,48,48,
      50,50,54,50,55,49,32,46,48,48,50,51,54,49,53,53,32,46,48,48,50,53,49,49,50,
      56,32,46,48,48,50,55,54,52,55,57,32,46,48,48,51,48,50,49,51,51,32,46,48,48,
      51,50,55,55,32,46,48,48,51,53,50,56,56,52,32,46,48,48,51,55,55,54,52,10,32,
      32,46,48,48,52,48,50,49,49,54,32,46,48,48,52,50,54,53,48,53,32,46,48,48,52,
      53,48,57,54,51,32,46,48,48,52,55,53,54,48,57,32,46,48,48,53,48,48,53,48,54,
      32,46,48,48,53,50,53,54,55,49,32,46,48,48,53,53,54,50,52,50,32,46,48,48,53,
      56,55,49,56,57,10,32,32,46,48,48,54,50,56,57,49,32,46,48,48,54,55,48,57,48,
      51,32,46,48,48,55,49,50,57,49,53,32,46,48,48,55,54,52,57,57,54,32,46,48,48,
      56,49,54,48,54,51,32,46,48,48,56,54,53,57,51,50,32,46,48,48,57,50,52,51,49,
      53,32,46,48,48,57,56,50,51,48,50,32,46,48,49,48,53,57,54,10,32,32,46,48,49,
      49,51,55,48,56,32,46,48,49,50,49,52,48,49,32,46,48,49,50,57,56,55,50,32,46,
      48,49,51,56,57,54,55,32,46,48,49,52,56,52,51,54,32,46,48,49,53,56,49,50,51,
      32,46,48,49,54,55,56,51,50,32,46,48,49,55,56,50,51,53,32,46,48,49,56,56,49,
      51,51,10,32,32,46,48,49,57,57,52,57,32,46,48,50,49,52,54,54,52,32,46,48,50,
      50,57,56,54,51,32,46,48,50,51,57,54,57,51,32,46,48,50,52,56,57,52,52,32,46,
      48,50,53,52,55,52,51,32,46,48,50,53,53,52,48,55,32,46,48,50,53,49,51,56,55,
      32,46,48,50,52,50,48,49,53,10,32,32,46,48,50,51,48,48,57,56,32,46,48,50,49,
      55,54,49,51,32,46,48,50,48,56,56,48,51,32,46,48,50,48,55,52,48,57,32,46,48,
      50,49,48,57,51,56,32,46,48,50,49,48,50,51,32,46,48,50,48,52,57,52,49,32,46,
      48,49,57,51,48,51,53,32,46,48,49,54,57,56,55,54,10,32,32,46,48,49,52,53,55,
      51,53,32,46,48,49,50,53,52,50,56,32,46,48,49,49,49,48,54,56,32,46,48,48,57,
      52,48,55,54,56,32,46,48,48,55,56,54,57,57,57,32,46,48,48,54,52,54,51,56,56,
      32,46,48,48,53,52,50,52,51,53,32,46,48,48,52,55,48,48,53,50,32,46,48,48,52,
      50,51,57,48,51,10,32,32,46,48,48,51,56,50,56,53,54,32,46,48,48,51,51,57,54,
      52,54,32,46,48,48,50,57,57,51,51,54,32,46,48,48,50,49,52,56,52,55,32,46,48,
      48,49,52,56,48,53,56,32,46,48,48,49,48,54,57,32,46,48,48,48,56,49,50,51,49,
      49,32,46,48,48,48,55,51,49,53,56,56,10,32,32,46,48,48,48,53,54,48,51,48,50,
      32,46,48,48,48,52,51,50,52,55,53,32,46,48,48,48,51,51,55,48,54,51,32,46,48,
      48,48,50,54,53,55,51,57,32,46,48,48,48,50,48,52,49,55,55,32,46,48,48,48,49,
      54,56,52,53,54,32,46,48,48,48,49,51,57,49,48,54,32,46,48,48,48,49,48,49,54,
      54,10,32,32,56,46,51,57,51,51,53,101,45,48,53,32,54,46,50,49,49,49,101,45,48,
      53,32,52,46,53,50,48,51,49,101,45,48,53,32,51,46,55,51,54,57,57,101,45,48,53,
      32,51,46,48,56,56,48,56,101,45,48,53,32,50,46,50,56,52,53,54,101,45,48,53,32,
      49,46,54,51,56,51,55,101,45,48,53,10,32,32,49,46,51,54,50,51,54,101,45,48,53,
      32,49,46,48,49,49,53,54,101,45,48,53,32,56,46,52,51,54,50,57,101,45,48,54,32,
      54,46,50,55,57,56,53,101,45,48,54,32,52,46,57,51,57,48,54,101,45,48,54,32,55,
      46,49,50,52,50,101,45,48,54,32,54,46,50,55,53,55,51,101,45,48,54,10,32,32,52,
      46,57,49,56,49,56,101,45,48,54,32,51,46,55,53,55,57,51,101,45,48,54,32,51,46,
      48,48,51,56,56,101,45,48,54,32,50,46,52,48,49,54,54,101,45,48,54,32,49,46,57,
      52,56,51,54,101,45,48,54,32,49,46,53,56,53,57,54,101,45,48,54,32,49,46,50,54,
      50,55,101,45,48,54,10,32,32,49,46,48,51,49,51,56,101,45,48,54,32,56,46,50,53,
      50,54,54,101,45,48,55,32,55,46,48,48,53,48,50,101,45,48,55,32,53,46,51,54,50,
      55,57,101,45,48,55,32,52,46,53,53,51,49,55,101,45,48,55,32,51,46,55,49,53,54,
      57,101,45,48,55,32,50,46,51,49,54,48,54,101,45,48,55,10,32,32,49,46,50,48,57,
      57,54,101,45,48,55,32,54,46,52,50,56,51,56,101,45,48,56,32,50,46,57,49,57,53,
      101,45,48,56,32,49,46,51,50,55,56,51,101,45,48,56,32,53,46,49,54,55,51,51,101,
      45,48,57,32,50,46,51,53,54,51,51,101,45,48,57,32,54,46,55,49,53,54,56,101,45,
      49,48,10,32,32,50,46,48,51,50,55,49,101,45,49,48,32,56,46,55,55,54,51,49,101,
      45,49,49,32,51,46,52,51,55,50,53,101,45,49,49,32,57,46,56,54,52,48,57,101,45,
      49,50,32,51,46,51,49,50,50,57,101,45,49,50,32,49,46,49,49,51,50,57,101,45,49,
      50,32,51,46,50,48,54,51,49,101,45,49,51,10,32,32,57,46,50,52,54,48,50,101,45,
      49,52,32,51,46,49,49,55,54,52,101,45,49,52,32,49,46,48,53,50,48,57,101,45,49,
      52,32,51,46,53,53,50,55,54,101,45,49,53,32,57,46,52,54,54,50,49,101,45,49,54,
      32,50,46,51,51,57,53,49,101,45,49,54,32,52,46,57,53,50,54,49,101,45,49,55,10,
      32,32,49,46,50,50,53,57,101,45,49,55,32,50,46,53,57,48,53,50,101,45,49,56,32,
      54,46,52,50,50,57,101,45,49,57,32,49,46,53,56,53,53,56,101,45,49,57,32,51,46,
      51,48,56,51,53,101,45,50,48,32,52,46,55,49,49,50,52,101,45,50,49,32,48,114,
      49,48,54,32,55,46,50,52,51,49,101,45,48,57,10,32,32,50,46,57,48,52,51,56,101,
      45,48,56,32,54,46,53,52,48,51,49,101,45,48,56,32,55,46,50,52,51,51,55,101,45,
      48,56,32,50,46,57,48,52,55,54,101,45,48,55,32,54,46,53,52,50,48,52,101,45,48,
      55,32,49,46,49,54,51,48,51,101,45,48,54,32,49,46,56,49,55,49,101,45,48,54,10,
      32,32,50,46,54,49,56,48,53,101,45,48,54,32,51,46,53,54,52,101,45,48,54,32,52,
      46,54,53,55,51,55,101,45,48,54,32,53,46,56,57,55,48,54,101,45,48,54,32,55,46,
      50,56,51,52,54,101,45,48,54,32,56,46,56,49,55,55,101,45,48,54,32,49,46,48,53,
      48,48,50,101,45,48,53,10,32,32,49,46,50,51,51,48,56,101,45,48,53,32,49,46,52,
      51,49,48,55,101,45,48,53,32,49,46,54,52,52,48,53,101,45,48,53,32,49,46,56,55,
      50,48,49,101,45,48,53,32,50,46,49,49,53,48,56,101,45,48,53,32,50,46,51,55,51,
      50,54,101,45,48,53,32,50,46,54,52,54,55,101,45,48,53,10,32,32,50,46,57,51,53,
      51,57,101,45,48,53,32,51,46,50,51,57,52,57,101,45,48,53,32,51,46,53,53,57,48,
      55,101,45,48,53,32,51,46,56,57,52,49,51,101,45,48,53,32,52,46,50,52,52,55,55,
      101,45,48,53,32,52,46,54,49,49,50,49,101,45,48,53,32,52,46,57,57,51,51,52,101,
      45,48,53,10,32,32,53,46,51,57,49,50,53,101,45,48,53,32,53,46,56,48,53,49,52,
      101,45,48,53,32,54,46,50,51,52,57,55,101,45,48,53,32,54,46,54,56,48,54,56,101,
      45,48,53,32,55,46,49,52,50,53,54,101,45,48,53,32,55,46,54,50,48,52,53,101,45,
      48,53,32,56,46,49,49,52,50,56,101,45,48,53,10,32,32,56,46,54,50,52,50,53,101,
      45,48,53,32,57,46,49,53,48,52,51,101,45,48,53,32,57,46,54,57,50,49,101,45,48,
      53,32,46,48,48,48,49,48,50,53,32,46,48,48,48,49,48,56,50,52,51,32,46,48,48,
      48,49,49,52,49,51,53,32,46,48,48,48,49,50,48,49,56,57,32,46,48,48,48,49,50,
      54,52,48,54,10,32,32,46,48,48,48,49,51,50,55,54,57,32,46,48,48,48,49,51,57,
      50,57,49,32,46,48,48,48,49,52,53,57,55,53,32,46,48,48,48,49,53,50,56,48,54,
      32,46,48,48,48,49,53,57,55,57,50,32,46,48,48,48,49,54,54,57,51,57,32,46,48,
      48,48,49,55,52,50,51,54,32,46,48,48,48,49,56,49,54,56,50,10,32,32,46,48,48,
      48,49,56,57,50,57,32,46,48,48,48,49,57,55,48,53,50,32,46,48,48,48,50,48,52,
      57,54,50,32,46,48,48,48,50,49,51,48,51,50,32,46,48,48,48,50,50,49,50,54,49,
      32,46,48,48,48,50,50,57,54,51,55,32,46,48,48,48,50,51,56,49,55,51,32,46,48,
      48,48,50,52,54,56,55,49,10,32,32,46,48,48,48,50,53,53,55,49,54,32,46,48,48,
      48,50,54,52,55,50,51,32,46,48,48,48,50,55,51,56,57,50,32,46,48,48,48,50,56,
      51,50,48,57,32,46,48,48,48,50,57,50,54,56,55,32,46,48,48,48,51,48,50,51,50,
      55,32,46,48,48,48,51,49,50,49,49,54,32,46,48,48,48,51,50,50,48,54,49,10,32,
      32,46,48,48,48,51,51,50,49,54,56,32,46,48,48,48,51,52,50,52,50,51,32,46,48,
      48,48,51,53,50,56,50,53,32,46,48,48,48,51,54,51,51,56,57,32,46,48,48,48,51,
      55,52,49,32,46,48,48,48,51,56,52,57,52,49,32,46,48,48,48,51,57,53,57,52,53,
      32,46,48,48,48,52,48,55,49,10,32,32,46,48,48,48,52,49,56,51,53,55,32,46,48,
      48,48,52,50,57,55,55,55,32,46,48,48,48,52,52,49,51,54,32,46,48,48,48,52,53,
      51,48,48,56,32,46,48,48,48,52,54,52,56,50,49,32,46,48,48,48,52,55,54,55,57,
      57,32,46,48,48,48,52,56,56,56,51,55,32,46,48,48,48,53,48,49,48,50,51,10,32,
      32,46,48,48,48,53,49,51,51,55,55,32,46,48,48,48,53,50,53,56,48,50,32,46,48,
      48,48,53,51,56,51,53,52,32,46,48,48,48,53,53,49,48,55,54,32,46,48,48,48,53,
      54,51,56,57,52,32,46,48,48,48,53,55,54,56,49,54,32,46,48,48,48,53,56,57,57,
      49,51,32,46,48,48,48,54,48,51,49,51,54,10,32,32,46,48,48,48,54,49,54,52,52,
      53,32,46,48,48,48,54,50,57,57,51,53,32,46,48,48,48,54,52,51,53,56,32,46,48,
      48,48,54,53,55,51,48,53,32,46,48,48,48,54,55,49,50,49,49,32,46,48,48,48,54,
      56,53,50,57,54,32,46,48,48,48,54,57,57,52,54,56,32,46,48,48,48,55,49,51,56,
      50,50,10,32,32,46,48,48,48,55,50,56,51,53,54,32,46,48,48,48,55,52,51,48,49,
      55,32,46,48,48,48,55,53,55,56,52,51,32,46,48,48,48,55,55,50,56,53,56,32,46,
      48,48,48,55,56,56,48,50,51,32,46,48,48,48,56,48,51,51,54,49,32,46,48,48,48,
      56,49,56,56,55,55,32,46,48,48,48,56,51,52,53,55,10,32,32,46,48,48,48,56,53,
      48,52,52,50,32,46,48,48,48,56,54,54,52,56,56,32,46,48,48,48,56,56,50,55,50,
      49,32,46,48,48,48,56,57,57,49,54,51,32,46,48,48,48,57,49,53,55,54,57,32,46,
      48,48,48,57,51,50,53,54,52,32,46,48,48,48,57,52,57,54,48,53,32,46,48,48,48,
      57,54,54,56,48,55,10,32,32,46,48,48,48,57,56,52,49,56,49,32,46,48,48,49,48,
      48,49,56,55,32,46,48,48,49,48,49,57,55,50,32,46,48,48,49,48,51,55,55,51,32,
      46,48,48,49,48,53,54,48,55,32,46,48,48,49,48,55,52,54,49,32,46,48,48,49,48,
      57,51,51,51,32,46,48,48,49,49,49,50,51,55,10,32,32,46,48,48,49,49,51,49,54,
      54,32,46,48,48,49,49,53,49,49,52,32,46,48,48,49,49,55,48,57,51,32,46,48,48,
      49,49,57,49,48,51,32,46,48,48,49,50,49,49,51,53,32,46,48,48,49,50,51,49,57,
      52,32,46,48,48,49,50,53,50,57,32,46,48,48,49,50,55,52,48,57,32,46,48,48,49,
      50,57,53,53,53,10,32,32,46,48,48,49,51,49,55,51,56,32,46,48,48,49,51,51,57,
      52,55,32,46,48,48,49,51,54,49,56,52,32,46,48,48,49,51,56,52,53,32,46,48,48,
      49,52,48,55,52,54,32,46,48,48,49,52,51,48,55,50,32,46,48,48,49,52,53,52,49,
      56,32,46,48,48,49,52,55,55,57,50,32,46,48,48,49,53,48,49,57,55,10,32,32,46,
      48,48,49,53,50,54,49,55,32,46,48,48,49,53,53,48,54,32,46,48,48,49,53,55,53,
      51,50,32,46,48,48,49,54,48,48,50,49,32,46,48,48,49,54,50,53,50,52,32,46,48,
      48,49,54,53,48,53,54,32,46,48,48,49,54,55,54,48,54,32,46,48,48,49,55,48,49,
      54,53,32,46,48,48,49,55,50,55,53,49,10,32,32,46,48,48,49,55,53,51,54,49,32,
      46,48,48,49,55,55,57,55,54,32,46,48,48,49,56,48,54,49,57,32,46,48,48,49,56,
      51,50,56,56,32,46,48,48,49,56,53,57,54,53,32,46,48,48,49,56,56,54,55,32,46,
      48,48,49,57,49,52,32,46,48,48,49,57,53,48,54,55,32,46,48,48,50,48,51,55,54,
      54,10,32,32,46,48,48,50,49,54,57,55,51,32,46,48,48,50,51,57,52,52,49,32,46,
      48,48,50,54,50,50,55,49,32,46,48,48,50,56,53,48,51,54,32,46,48,48,51,48,55,
      51,57,52,32,46,48,48,51,50,57,50,55,56,32,46,48,48,51,53,48,56,52,55,32,46,
      48,48,51,55,50,51,50,32,46,48,48,51,57,51,56,55,57,10,32,32,46,48,48,52,49,
      53,54,54,49,32,46,48,48,52,51,55,55,52,50,32,46,48,48,52,54,48,49,53,32,46,
      48,48,52,56,55,53,48,53,32,46,48,48,53,49,53,51,52,55,32,46,48,48,53,53,51,
      49,50,51,32,46,48,48,53,57,49,52,49,52,32,46,48,48,54,50,57,57,55,56,32,46,
      48,48,54,55,56,49,49,56,10,32,32,46,48,48,55,50,53,54,50,55,32,46,48,48,55,
      55,50,49,52,51,32,46,48,48,56,50,54,52,53,56,32,46,48,48,56,55,57,57,53,51,
      32,46,48,48,57,53,48,54,52,55,32,46,48,49,48,50,49,50,51,32,46,48,49,48,57,
      49,52,54,32,46,48,49,49,54,57,51,55,32,46,48,49,50,53,52,48,53,10,32,32,46,
      48,49,51,52,51,51,49,32,46,48,49,52,51,53,52,56,32,46,48,49,53,50,56,55,32,
      46,48,49,54,50,57,48,56,32,46,48,49,55,50,52,53,53,32,46,48,49,56,51,51,49,
      54,32,46,48,49,57,55,54,55,49,32,46,48,50,49,50,49,48,53,32,46,48,50,50,49,
      53,57,50,10,32,32,46,48,50,51,48,56,49,54,32,46,48,50,51,55,49,57,55,32,46,
      48,50,51,56,57,51,56,32,46,48,50,51,54,50,57,52,32,46,48,50,50,56,53,56,50,
      32,46,48,50,49,56,50,51,53,32,46,48,50,48,55,49,52,51,32,46,48,49,57,57,51,
      56,32,46,48,49,57,56,53,53,52,10,32,32,46,48,50,48,50,50,53,51,32,46,48,50,
      48,49,57,48,57,32,46,48,49,57,55,49,53,51,32,46,48,49,56,54,48,56,54,32,46,
      48,49,54,52,50,55,53,32,46,48,49,52,49,51,53,51,32,46,48,49,50,49,57,54,49,
      32,46,48,49,48,56,49,57,32,46,48,48,57,49,56,51,52,55,10,32,32,46,48,48,55,
      54,57,55,51,53,32,46,48,48,54,51,51,51,52,51,32,46,48,48,53,51,50,50,51,51,
      32,46,48,48,52,54,49,55,49,51,32,46,48,48,52,49,54,55,49,54,32,46,48,48,51,
      55,54,54,51,53,32,46,48,48,51,51,52,51,54,56,32,46,48,48,50,57,52,56,55,53,
      10,32,32,46,48,48,50,49,49,57,51,57,32,46,48,48,49,52,54,50,52,49,32,46,48,
      48,49,48,53,54,56,55,32,46,48,48,48,56,48,51,54,56,51,32,46,48,48,48,55,50,
      52,48,54,49,32,46,48,48,48,53,53,52,56,54,55,32,46,48,48,48,52,50,56,53,32,
      46,48,48,48,51,51,52,49,49,54,10,32,32,46,48,48,48,50,54,51,53,49,56,32,46,
      48,48,48,50,48,50,53,53,49,32,46,48,48,48,49,54,55,49,54,32,46,48,48,48,49,
      51,56,48,55,32,46,48,48,48,49,48,48,57,52,32,56,46,51,51,53,54,56,101,45,48,
      53,32,54,46,49,55,48,52,101,45,48,53,32,52,46,52,57,50,48,52,101,45,48,53,10,
      32,32,51,46,55,49,52,50,52,101,45,48,53,32,51,46,48,54,57,55,54,101,45,48,53,
      32,50,46,50,55,49,53,52,101,45,48,53,32,49,46,54,50,57,52,51,101,45,48,53,32,
      49,46,51,53,53,49,101,45,48,53,32,49,46,48,48,54,51,54,101,45,48,53,32,56,46,
      51,57,51,56,52,101,45,48,54,10,32,32,54,46,50,52,57,50,54,101,45,48,54,32,52,
      46,57,49,54,48,49,101,45,48,54,32,55,46,48,52,53,49,51,101,45,48,54,32,54,46,
      50,48,54,54,55,101,45,48,54,32,52,46,56,54,52,56,55,101,45,48,54,32,51,46,55,
      49,55,53,56,101,45,48,54,32,50,46,57,55,49,56,53,101,45,48,54,10,32,32,50,46,
      51,55,54,50,52,101,45,48,54,32,49,46,57,50,55,56,57,101,45,48,54,32,49,46,53,
      54,57,52,49,101,45,48,54,32,49,46,50,52,57,54,51,101,45,48,54,32,49,46,48,50,
      48,56,55,101,45,48,54,32,56,46,49,55,48,52,55,101,45,48,55,32,54,46,57,51,54,
      52,51,101,45,48,55,10,32,32,53,46,51,49,48,55,55,101,45,48,55,32,52,46,53,48,
      57,50,50,101,45,48,55,32,51,46,54,56,48,48,50,101,45,48,55,32,50,46,50,57,52,
      48,56,101,45,48,55,32,49,46,49,57,56,54,56,101,45,48,55,32,54,46,51,55,48,50,
      56,101,45,48,56,32,50,46,56,57,52,48,57,101,45,48,56,10,32,32,49,46,51,49,54,
      52,53,101,45,48,56,32,53,46,49,50,51,54,51,101,45,48,57,32,50,46,51,51,54,55,
      52,101,45,48,57,32,54,46,54,54,54,54,51,101,45,49,48,32,50,46,48,49,56,50,50,
      101,45,49,48,32,56,46,55,49,52,53,51,101,45,49,49,32,51,46,52,49,51,50,50,101,
      45,49,49,10,32,32,57,46,55,57,54,54,52,101,45,49,50,32,51,46,50,57,49,48,50,
      101,45,49,50,32,49,46,49,48,54,53,52,101,45,49,50,32,51,46,49,56,55,50,56,101,
      45,49,51,32,57,46,49,57,50,50,51,101,45,49,52,32,51,46,48,57,57,55,49,101,45,
      49,52,32,49,46,48,52,53,57,53,101,45,49,52,10,32,32,51,46,53,51,49,57,51,101,
      45,49,53,32,57,46,52,49,54,57,56,101,45,49,54,32,50,46,51,50,56,57,101,45,49,
      54,32,52,46,57,51,53,51,56,101,45,49,55,32,49,46,50,50,49,55,54,101,45,49,55,
      32,50,46,53,56,49,57,50,101,45,49,56,32,54,46,52,48,50,49,56,101,45,49,57,10,
      32,32,49,46,53,56,48,52,56,101,45,49,57,32,51,46,50,57,55,48,56,101,45,50,48,
      32,52,46,54,55,57,51,49,101,45,50,49,32,48,114,49,48,54,32,54,46,50,51,51,57,
      56,101,45,48,57,32,50,46,52,57,57,55,52,101,45,48,56,32,53,46,54,50,57,49,50,
      101,45,48,56,32,54,46,50,51,52,50,51,101,45,48,56,10,32,32,50,46,53,48,48,48,
      57,101,45,48,55,32,53,46,54,51,48,55,54,101,45,48,55,32,49,46,48,48,49,48,52,
      101,45,48,54,32,49,46,53,54,52,48,55,101,45,48,54,32,50,46,50,53,51,53,55,101,
      45,48,54,32,51,46,48,54,55,57,55,101,45,48,54,32,52,46,48,48,57,51,55,101,45,
      48,54,10,32,32,53,46,48,55,54,56,57,101,45,48,54,32,54,46,50,55,48,57,101,45,
      48,54,32,55,46,53,57,50,52,49,101,45,48,54,32,57,46,48,52,49,56,56,101,45,48,
      54,32,49,46,48,54,49,57,50,101,45,48,53,32,49,46,50,51,50,53,53,101,45,48,53,
      32,49,46,52,49,54,49,51,101,45,48,53,10,32,32,49,46,54,49,50,54,55,101,45,48,
      53,32,49,46,56,50,50,50,57,101,45,48,53,32,50,46,48,52,52,57,57,101,45,48,53,
      32,50,46,50,56,48,57,50,101,45,48,53,32,50,46,53,51,48,48,55,101,45,48,53,32,
      50,46,55,57,50,53,57,101,45,48,53,32,51,46,48,54,56,53,56,101,45,48,53,10,32,
      32,51,46,51,53,56,101,45,48,53,32,51,46,54,54,48,57,57,101,45,48,53,32,51,46,
      57,55,55,55,52,101,45,48,53,32,52,46,51,48,56,49,54,101,45,48,53,32,52,46,54,
      53,50,51,52,101,45,48,53,32,53,46,48,49,48,52,55,101,45,48,53,32,53,46,51,56,
      50,53,101,45,48,53,10,32,32,53,46,55,54,56,52,49,101,45,48,53,32,54,46,49,54,
      56,52,55,101,45,48,53,32,54,46,53,56,50,53,50,101,45,48,53,32,55,46,48,49,48,
      52,56,101,45,48,53,32,55,46,52,53,50,53,56,101,45,48,53,32,55,46,57,48,56,56,
      54,101,45,48,53,32,56,46,51,55,56,54,51,101,45,48,53,10,32,32,56,46,56,54,50,
      54,53,101,45,48,53,32,57,46,51,54,49,48,51,101,45,48,53,32,57,46,56,55,50,50,
      53,101,45,48,53,32,46,48,48,48,49,48,51,57,55,55,32,46,48,48,48,49,48,57,51,
      55,52,32,46,48,48,48,49,49,52,56,57,55,32,46,48,48,48,49,50,48,53,53,57,10,
      32,32,46,48,48,48,49,50,54,51,54,51,32,46,48,48,48,49,51,50,50,57,52,32,46,
      48,48,48,49,51,56,51,53,57,32,46,48,48,48,49,52,52,53,54,52,32,46,48,48,48,
      49,53,48,57,32,46,48,48,48,49,53,55,51,54,54,32,46,48,48,48,49,54,51,57,55,
      50,32,46,48,48,48,49,55,48,55,49,50,10,32,32,46,48,48,48,49,55,55,53,56,32,
      46,48,48,48,49,56,52,53,56,56,32,46,48,48,48,49,57,49,55,51,52,32,46,48,48,
      48,49,57,57,48,48,55,32,46,48,48,48,50,48,54,52,50,49,32,46,48,48,48,50,49,
      51,57,55,54,32,46,48,48,48,50,50,49,54,53,56,32,46,48,48,48,50,50,57,52,56,
      49,10,32,32,46,48,48,48,50,51,55,52,52,54,32,46,48,48,48,50,52,53,53,52,32,
      46,48,48,48,50,53,51,55,55,52,32,46,48,48,48,50,54,50,49,52,57,32,46,48,48,
      48,50,55,48,54,53,52,32,46,48,48,48,50,55,57,50,57,52,32,46,48,48,48,50,56,
      56,48,55,54,32,46,48,48,48,50,57,54,57,56,54,10,32,32,46,48,48,48,51,48,54,
      48,50,50,32,46,48,48,48,51,49,53,50,48,49,32,46,48,48,48,51,50,52,53,48,53,
      32,46,48,48,48,51,51,51,57,49,57,32,46,48,48,48,51,52,51,52,55,55,32,46,48,
      48,48,51,53,51,49,54,52,32,46,48,48,48,51,54,50,57,51,50,32,46,48,48,48,51,
      55,50,56,52,52,10,32,32,46,48,48,48,51,56,50,56,57,55,32,46,48,48,48,51,57,
      50,57,57,53,32,46,48,48,48,52,48,51,50,51,54,32,46,48,48,48,52,49,51,54,50,
      52,32,46,48,48,48,52,50,52,48,52,56,32,46,48,48,48,52,51,52,54,48,50,32,46,
      48,48,48,52,52,53,51,48,51,32,46,48,48,48,52,53,54,48,53,51,10,32,32,46,48,
      48,48,52,54,54,57,48,57,32,46,48,48,48,52,55,55,57,49,54,32,46,48,48,48,52,
      56,56,57,57,55,32,46,48,48,48,53,48,48,49,54,50,32,46,48,48,48,53,49,49,52,
      56,50,32,46,48,48,48,53,50,50,57,48,56,32,46,48,48,48,53,51,52,51,57,57,32,
      46,48,48,48,53,52,54,48,53,10,32,32,46,48,48,48,53,53,55,56,51,55,32,46,48,
      48,48,53,54,57,54,56,50,32,46,48,48,48,53,56,49,54,57,32,46,48,48,48,53,57,
      51,56,53,55,32,46,48,48,48,54,48,54,48,57,32,46,48,48,48,54,49,56,52,56,53,
      32,46,48,48,48,54,51,49,48,51,57,32,46,48,48,48,54,52,51,55,48,50,10,32,32,
      46,48,48,48,54,53,54,53,49,32,46,48,48,48,54,54,57,52,56,53,32,46,48,48,48,
      54,56,50,53,57,50,32,46,48,48,48,54,57,53,56,53,49,32,46,48,48,48,55,48,57,
      50,54,56,32,46,48,48,48,55,50,50,56,52,52,32,46,48,48,48,55,51,54,53,55,56,
      32,46,48,48,48,55,53,48,52,54,54,10,32,32,46,48,48,48,55,54,52,53,50,49,32,
      46,48,48,48,55,55,56,55,54,53,32,46,48,48,48,55,57,51,49,53,52,32,46,48,48,
      48,56,48,55,55,49,50,32,46,48,48,48,56,50,50,52,57,54,32,46,48,48,48,56,51,
      55,52,50,50,32,46,48,48,48,56,53,50,52,57,57,32,46,48,48,48,56,54,55,56,55,
      49,10,32,32,46,48,48,48,56,56,51,51,56,53,32,46,48,48,48,56,57,57,48,52,49,
      32,46,48,48,48,57,49,53,48,48,57,32,46,48,48,48,57,51,49,49,53,54,32,46,48,
      48,48,57,52,55,52,53,54,32,46,48,48,48,57,54,52,48,54,51,32,46,48,48,48,57,
      56,48,57,48,55,32,46,48,48,48,57,57,55,57,49,52,10,32,32,46,48,48,49,48,49,
      53,50,50,32,46,48,48,49,48,51,50,56,49,32,46,48,48,49,48,53,48,54,32,46,48,
      48,49,48,54,56,54,53,32,46,48,48,49,48,56,55,48,52,32,46,48,48,49,49,48,53,
      54,53,32,46,48,48,49,49,50,52,53,49,32,46,48,48,49,49,52,51,55,50,32,46,48,
      48,49,49,54,51,49,56,10,32,32,46,48,48,49,49,56,50,57,49,32,46,48,48,49,50,
      48,50,57,49,32,46,48,48,49,50,50,51,49,57,32,46,48,48,49,50,52,51,55,53,32,
      46,48,48,49,50,54,52,53,32,46,48,48,49,50,56,53,53,49,32,46,48,48,49,51,48,
      54,56,50,32,46,48,48,49,51,50,56,50,54,32,46,48,48,49,51,52,57,57,49,10,32,
      32,46,48,48,49,51,55,49,56,52,32,46,48,48,49,51,57,51,57,50,32,46,48,48,49,
      52,49,54,49,51,32,46,48,48,49,52,51,56,54,32,46,48,48,49,52,54,49,50,53,32,
      46,48,48,49,52,56,51,57,54,32,46,48,48,49,53,48,54,57,51,32,46,48,48,49,53,
      51,48,49,50,32,46,48,48,49,53,53,51,51,53,10,32,32,46,48,48,49,53,55,54,56,
      52,32,46,48,48,49,54,48,48,53,55,32,46,48,48,49,54,50,52,51,56,32,46,48,48,
      49,54,52,56,52,51,32,46,48,48,49,54,55,50,55,51,32,46,48,48,49,55,48,53,51,
      56,32,46,48,48,49,55,56,50,57,51,32,46,48,48,49,57,48,48,57,54,10,32,32,46,
      48,48,50,49,48,50,54,32,46,48,48,50,51,48,56,52,50,32,46,48,48,50,53,49,51,
      55,57,32,46,48,48,50,55,49,52,57,54,32,46,48,48,50,57,49,49,48,53,32,46,48,
      48,51,49,48,51,55,51,32,46,48,48,51,50,57,53,51,57,32,46,48,48,51,52,56,56,
      48,52,32,46,48,48,51,54,56,51,49,57,10,32,32,46,48,48,51,56,56,49,54,57,32,
      46,48,48,52,48,56,51,57,51,32,46,48,48,52,51,51,49,57,52,32,46,48,48,52,53,
      56,53,54,55,32,46,48,48,52,57,51,50,32,46,48,48,53,50,56,53,51,49,32,46,48,
      48,53,54,52,51,50,56,32,46,48,48,54,48,57,50,56,54,32,46,48,48,54,53,51,56,
      57,56,10,32,32,46,48,48,54,57,55,54,54,57,32,46,48,48,55,52,56,54,53,52,32,
      46,48,48,55,57,56,53,48,50,32,46,48,48,56,54,51,56,55,51,32,46,48,48,57,50,
      56,57,49,53,32,46,48,48,57,57,51,55,52,32,46,48,49,48,54,54,49,52,32,46,48,
      49,49,52,53,54,53,32,46,48,49,50,51,48,51,52,10,32,32,46,48,49,51,49,56,52,
      56,32,46,48,49,52,48,56,50,53,32,46,48,49,53,48,53,51,51,32,46,48,49,53,57,
      55,54,51,32,46,48,49,55,48,49,57,49,32,46,48,49,56,51,56,53,51,32,46,48,49,
      57,55,54,51,52,32,46,48,50,48,54,56,49,50,32,46,48,50,49,53,57,54,56,10,32,
      32,46,48,50,50,50,55,53,56,32,46,48,50,50,53,51,49,49,32,46,48,50,50,51,55,
      51,55,32,46,48,50,49,55,51,52,32,46,48,50,48,56,50,53,54,32,46,48,49,57,56,
      50,57,56,32,46,48,49,57,49,51,57,32,46,48,49,57,49,48,50,50,32,46,48,49,57,
      52,56,53,50,32,46,48,49,57,52,56,48,53,10,32,32,46,48,49,57,48,52,56,57,32,
      46,48,49,56,48,49,50,52,32,46,48,49,53,57,52,53,32,46,48,49,51,55,53,54,52,
      32,46,48,49,49,56,57,53,51,32,46,48,49,48,53,54,56,56,32,46,48,48,56,57,56,
      56,49,53,32,46,48,48,55,53,52,54,52,57,32,46,48,48,54,50,49,57,49,54,10,32,
      32,46,48,48,53,50,51,50,56,49,32,46,48,48,52,53,52,51,56,54,32,46,48,48,52,
      49,48,51,57,50,32,46,48,48,51,55,49,49,53,55,32,46,48,48,51,50,57,55,49,54,
      32,46,48,48,50,57,48,57,51,56,32,46,48,48,50,48,57,51,55,49,32,46,48,48,49,
      52,52,54,51,52,10,32,32,46,48,48,49,48,52,54,49,51,32,46,48,48,48,55,57,54,
      48,51,54,32,46,48,48,48,55,49,55,51,55,57,32,46,48,48,48,53,53,48,48,52,53,
      32,46,48,48,48,52,50,52,57,55,54,32,46,48,48,48,51,51,49,53,48,49,32,46,48,
      48,48,50,54,49,53,52,54,32,46,48,48,48,50,48,49,49,48,54,10,32,32,46,48,48,
      48,49,54,54,48,48,55,32,46,48,48,48,49,51,55,49,53,32,46,48,48,48,49,48,48,
      51,48,49,32,56,46,50,56,52,53,49,101,45,48,53,32,54,46,49,51,52,49,56,101,45,
      48,53,32,52,46,52,54,54,56,53,101,45,48,53,32,51,46,54,57,51,57,56,101,45,48,
      53,10,32,32,51,46,48,53,51,52,54,101,45,48,53,32,50,46,50,53,57,57,53,101,45,
      48,53,32,49,46,54,50,49,52,54,101,45,48,53,32,49,46,51,52,56,54,49,101,45,48,
      53,32,49,46,48,48,49,55,50,101,45,48,53,32,56,46,51,53,53,57,51,101,45,48,54,
      32,54,46,50,50,49,57,56,101,45,48,54,10,32,32,52,46,56,57,53,52,57,101,45,48,
      54,32,54,46,57,55,54,51,49,101,45,48,54,32,54,46,49,52,54,51,51,101,45,48,54,
      32,52,46,56,49,56,48,50,101,45,48,54,32,51,46,54,56,50,52,101,45,48,54,32,50,
      46,57,52,52,48,53,101,45,48,54,32,50,46,51,53,52,49,57,101,45,48,54,10,32,32,
      49,46,57,49,48,49,51,101,45,48,54,32,49,46,53,53,53,48,54,101,45,48,54,32,49,
      46,50,51,56,50,57,101,45,48,54,32,49,46,48,49,49,54,55,101,45,48,54,32,56,46,
      48,57,55,51,52,101,45,48,55,32,54,46,56,55,52,54,54,101,45,48,55,32,53,46,50,
      54,52,55,55,101,45,48,55,10,32,32,52,46,52,55,48,56,53,101,45,48,55,32,51,46,
      54,52,57,48,52,101,45,48,55,32,50,46,50,55,53,48,51,101,45,48,55,32,49,46,49,
      56,56,57,49,101,45,48,55,32,54,46,51,49,57,50,50,101,45,48,56,32,50,46,56,55,
      49,56,101,45,48,56,32,49,46,51,48,54,53,50,101,45,48,56,10,32,32,53,46,48,56,
      53,56,101,45,48,57,32,50,46,51,49,57,55,56,101,45,48,57,32,54,46,54,50,48,56,
      57,101,45,49,48,32,50,46,48,48,53,54,52,101,45,49,48,32,56,46,54,54,48,54,54,
      101,45,49,49,32,51,46,51,57,50,52,57,101,45,49,49,32,57,46,55,51,56,52,101,
      45,49,50,10,32,32,51,46,50,55,49,56,51,101,45,49,50,32,49,46,49,48,48,52,57,
      101,45,49,50,32,51,46,49,55,48,56,57,101,45,49,51,32,57,46,49,52,53,51,52,101,
      45,49,52,32,51,46,48,56,51,54,52,101,45,49,52,32,49,46,48,52,48,53,55,101,45,
      49,52,32,51,46,53,49,52,48,49,101,45,49,53,10,32,32,57,46,51,55,52,54,55,101,
      45,49,54,32,50,46,51,49,56,54,57,101,45,49,54,32,52,46,57,49,54,52,101,45,49,
      55,32,49,46,50,49,56,50,52,101,45,49,55,32,50,46,53,55,52,54,50,101,45,49,56,
      32,54,46,51,56,52,53,56,101,45,49,57,32,49,46,53,55,54,49,53,101,45,49,57,10,
      32,32,51,46,50,56,55,50,51,101,45,50,48,32,52,46,54,53,49,55,53,101,45,50,49,
      32,48,114,49,48,54,32,53,46,50,48,48,54,55,101,45,48,57,32,50,46,48,56,53,52,
      101,45,48,56,32,52,46,54,57,54,48,54,101,45,48,56,32,53,46,50,48,48,56,54,101,
      45,48,56,32,50,46,48,56,53,54,54,101,45,48,55,10,32,32,52,46,54,57,55,50,57,
      101,45,48,55,32,56,46,51,53,48,55,56,101,45,48,55,32,49,46,51,48,52,55,52,101,
      45,48,54,32,49,46,56,55,57,57,49,101,45,48,54,32,50,46,53,53,57,50,54,101,45,
      48,54,32,51,46,51,52,52,53,55,101,45,48,54,32,52,46,50,51,53,49,101,45,48,54,
      10,32,32,53,46,50,51,49,50,101,45,48,54,32,54,46,51,51,51,55,52,101,45,48,54,
      32,55,46,53,52,51,49,49,101,45,48,54,32,56,46,56,53,57,50,56,101,45,48,54,32,
      49,46,48,50,56,51,50,101,45,48,53,32,49,46,49,56,49,53,53,101,45,48,53,32,49,
      46,51,52,53,54,50,101,45,48,53,10,32,32,49,46,53,50,48,54,51,101,45,48,53,32,
      49,46,55,48,54,54,49,101,45,48,53,32,49,46,57,48,51,54,55,101,45,48,53,32,50,
      46,49,49,49,56,52,101,45,48,53,32,50,46,51,51,49,50,51,101,45,48,53,32,50,46,
      53,54,49,57,52,101,45,48,53,32,50,46,56,48,51,57,54,101,45,48,53,10,32,32,51,
      46,48,53,55,52,49,101,45,48,53,32,51,46,51,50,50,52,54,101,45,48,53,32,51,46,
      53,57,57,48,52,101,45,48,53,32,51,46,56,56,55,50,54,101,45,48,53,32,52,46,49,
      56,55,50,57,101,45,48,53,32,52,46,52,57,57,48,56,101,45,48,53,32,52,46,56,50,
      50,54,50,101,45,48,53,10,32,32,53,46,49,53,56,49,55,101,45,48,53,32,53,46,53,
      48,53,54,101,45,48,53,32,53,46,56,54,52,56,101,45,48,53,32,54,46,50,51,54,48,
      52,101,45,48,53,32,54,46,54,49,57,51,52,101,45,48,53,32,55,46,48,49,52,48,50,
      101,45,48,53,32,55,46,52,50,48,56,51,101,45,48,53,10,32,32,55,46,56,51,57,56,
      57,101,45,48,53,32,56,46,50,54,57,54,56,101,45,48,53,32,56,46,55,49,49,53,54,
      101,45,48,53,32,57,46,49,54,53,54,54,101,45,48,53,32,57,46,54,51,48,50,51,101,
      45,48,53,32,46,48,48,48,49,48,49,48,54,54,32,46,48,48,48,49,48,53,57,53,10,
      32,32,46,48,48,48,49,49,48,57,52,32,46,48,48,48,49,49,54,48,52,51,32,46,48,
      48,48,49,50,49,50,54,54,32,46,48,48,48,49,50,54,53,57,56,32,46,48,48,48,49,
      51,50,48,51,56,32,46,48,48,48,49,51,55,53,57,56,32,46,48,48,48,49,52,51,50,
      55,49,32,46,48,48,48,49,52,57,48,53,10,32,32,46,48,48,48,49,53,52,57,52,56,
      32,46,48,48,48,49,54,48,57,54,51,32,46,48,48,48,49,54,55,48,56,52,32,46,48,
      48,48,49,55,51,51,50,52,32,46,48,48,48,49,55,57,54,56,53,32,46,48,48,48,49,
      56,54,49,53,49,32,46,48,48,48,49,57,50,55,51,55,32,46,48,48,48,49,57,57,52,
      52,51,10,32,32,46,48,48,48,50,48,54,50,53,56,32,46,48,48,48,50,49,51,49,57,
      32,46,48,48,48,50,50,48,50,52,52,32,46,48,48,48,50,50,55,52,48,54,32,46,48,
      48,48,50,51,52,54,56,49,32,46,48,48,48,50,52,50,48,55,56,32,46,48,48,48,50,
      52,57,53,56,32,46,48,48,48,50,53,55,49,56,56,10,32,32,46,48,48,48,50,54,52,
      57,49,55,32,46,48,48,48,50,55,50,55,53,49,32,46,48,48,48,50,56,48,54,55,51,
      32,46,48,48,48,50,56,56,55,49,55,32,46,48,48,48,50,57,54,56,54,57,32,46,48,
      48,48,51,48,53,48,56,32,46,48,48,48,51,49,51,52,49,52,32,46,48,48,48,51,50,
      49,56,54,57,10,32,32,46,48,48,48,51,51,48,51,52,54,32,46,48,48,48,51,51,56,
      57,52,53,32,46,48,48,48,51,52,55,54,54,57,32,46,48,48,48,51,53,54,52,48,57,
      32,46,48,48,48,51,54,53,50,53,54,32,46,48,48,48,51,55,52,50,50,57,32,46,48,
      48,48,51,56,51,50,51,49,32,46,48,48,48,51,57,50,51,49,55,10,32,32,46,48,48,
      48,52,48,49,53,51,52,32,46,48,48,48,52,49,48,56,48,51,32,46,48,48,48,52,50,
      48,49,51,53,32,46,48,48,48,52,50,57,54,48,50,32,46,48,48,48,52,51,57,49,53,
      51,32,46,48,48,48,52,52,56,55,52,57,32,46,48,48,48,52,53,56,52,56,53,32,46,
      48,48,48,52,54,56,51,51,54,10,32,32,46,48,48,48,52,55,56,50,50,53,32,46,48,
      48,48,52,56,56,50,53,54,32,46,48,48,48,52,57,56,52,50,53,32,46,48,48,48,53,
      48,56,54,52,32,46,48,48,48,53,49,56,57,57,55,32,46,48,48,48,53,50,57,52,57,
      50,32,46,48,48,48,53,52,48,48,55,53,32,46,48,48,48,53,53,48,55,56,52,10,32,
      32,46,48,48,48,53,54,49,54,51,56,32,46,48,48,48,53,55,50,54,48,52,32,46,48,
      48,48,53,56,51,55,48,49,32,46,48,48,48,53,57,52,57,51,52,32,46,48,48,48,54,
      48,54,51,48,53,32,46,48,48,48,54,49,55,56,49,52,32,46,48,48,48,54,50,57,52,
      53,53,32,46,48,48,48,54,52,49,50,52,50,10,32,32,46,48,48,48,54,53,51,49,57,
      54,32,46,48,48,48,54,54,53,50,55,53,32,46,48,48,48,54,55,55,53,32,46,48,48,
      48,54,56,57,57,50,57,32,46,48,48,48,55,48,50,52,55,57,32,46,48,48,48,55,49,
      53,49,53,57,32,46,48,48,48,55,50,56,49,48,56,32,46,48,48,48,55,52,49,49,55,
      57,10,32,32,46,48,48,48,55,53,52,51,55,51,32,46,48,48,48,55,54,55,56,53,51,
      32,46,48,48,48,55,56,49,52,57,32,46,48,48,48,55,57,53,50,54,32,46,48,48,48,
      56,48,57,51,49,50,32,46,48,48,48,56,50,51,53,56,32,46,48,48,48,56,51,55,57,
      57,32,46,48,48,48,56,53,50,54,55,49,10,32,32,46,48,48,48,56,54,55,54,50,50,
      32,46,48,48,48,56,56,50,55,52,56,32,46,48,48,48,56,57,56,49,49,54,32,46,48,
      48,48,57,49,51,56,48,51,32,46,48,48,48,57,50,57,54,57,54,32,46,48,48,48,57,
      52,53,56,49,53,32,46,48,48,48,57,54,50,50,54,54,32,46,48,48,48,57,55,56,57,
      52,55,10,32,32,46,48,48,48,57,57,53,56,55,51,32,46,48,48,49,48,49,51,48,54,
      32,46,48,48,49,48,51,48,53,49,32,46,48,48,49,48,52,56,50,51,32,46,48,48,49,
      48,54,54,49,50,32,46,48,48,49,48,56,52,50,54,32,46,48,48,49,49,48,50,54,56,
      32,46,48,48,49,49,50,49,50,49,10,32,32,46,48,48,49,49,51,57,57,53,32,46,48,
      48,49,49,53,56,57,53,32,46,48,48,49,49,55,56,48,56,32,46,48,48,49,49,57,55,
      51,50,32,46,48,48,49,50,49,54,56,50,32,46,48,48,49,50,51,54,52,56,32,46,48,
      48,49,50,53,54,49,55,32,46,48,48,49,50,55,54,49,50,10,32,32,46,48,48,49,50,
      57,54,50,55,32,46,48,48,49,51,49,54,52,53,32,46,48,48,49,51,51,54,56,54,32,
      46,48,48,49,51,53,55,53,49,32,46,48,48,49,51,55,56,50,49,32,46,48,48,49,51,
      57,57,49,53,32,46,48,48,49,52,50,48,51,50,32,46,48,48,49,52,52,56,55,55,10,
      32,32,46,48,48,49,53,49,54,52,57,32,46,48,48,49,54,49,57,57,52,32,46,48,48,
      49,55,57,55,55,54,32,46,48,48,49,57,56,48,51,49,32,46,48,48,50,49,54,50,55,
      51,32,46,48,48,50,51,52,48,55,49,32,46,48,48,50,53,49,51,50,51,32,46,48,48,
      50,54,56,50,48,54,10,32,32,46,48,48,50,56,52,57,55,55,32,46,48,48,51,48,49,
      56,54,50,32,46,48,48,51,49,57,48,50,56,32,46,48,48,51,51,54,53,54,56,32,46,
      48,48,51,53,52,53,51,52,32,46,48,48,51,55,54,55,48,49,32,46,48,48,51,57,57,
      53,51,32,46,48,48,52,51,48,57,50,55,32,46,48,48,52,54,51,50,48,57,10,32,32,
      46,48,48,52,57,54,49,53,49,32,46,48,48,53,51,55,56,48,56,32,46,48,48,53,55,
      57,51,57,49,32,46,48,48,54,50,48,50,55,49,32,46,48,48,54,54,55,55,51,50,32,
      46,48,48,55,49,51,55,51,54,32,46,48,48,55,55,51,53,49,55,32,46,48,48,56,51,
      50,55,52,55,10,32,32,46,48,48,56,57,49,57,32,46,48,48,57,53,56,52,55,55,32,
      46,48,49,48,51,50,52,55,32,46,48,49,49,49,50,49,57,32,46,48,49,49,57,53,56,
      51,32,46,48,49,50,56,49,54,56,32,46,48,49,51,55,52,57,50,32,46,48,49,52,54,
      51,53,50,32,46,48,49,53,54,50,57,49,10,32,32,46,48,49,54,57,49,56,56,32,46,
      48,49,56,50,50,52,54,32,46,48,49,57,49,48,54,53,32,46,48,50,48,48,49,32,46,
      48,50,48,55,50,53,53,32,46,48,50,49,48,54,48,49,32,46,48,50,49,48,49,48,53,
      32,46,48,50,48,53,48,54,56,32,46,48,49,57,55,51,48,55,32,46,48,49,56,56,53,
      53,49,10,32,32,46,48,49,56,50,53,53,50,32,46,48,49,56,50,54,54,51,32,46,48,
      49,56,54,54,50,49,32,46,48,49,56,54,56,56,56,32,46,48,49,56,51,48,52,56,32,
      46,48,49,55,51,52,53,49,32,46,48,49,53,52,48,50,57,32,46,48,49,51,51,50,57,
      49,32,46,48,49,49,53,53,53,10,32,32,46,48,49,48,50,56,53,32,46,48,48,56,55,
      54,53,57,54,32,46,48,48,55,51,55,52,52,56,32,46,48,48,54,48,56,56,53,54,32,
      46,48,48,53,49,51,48,51,49,32,46,48,48,52,52,53,57,56,52,32,46,48,48,52,48,
      51,49,51,55,32,46,48,48,51,54,52,56,54,53,32,46,48,48,51,50,52,51,55,10,32,
      32,46,48,48,50,56,54,52,49,49,32,46,48,48,50,48,54,52,49,32,46,48,48,49,52,
      50,55,55,57,32,46,48,48,49,48,51,51,55,50,32,46,48,48,48,55,56,55,49,57,52,
      32,46,48,48,48,55,48,57,54,53,54,32,46,48,48,48,53,52,52,52,53,54,32,46,48,
      48,48,52,50,48,56,56,54,10,32,32,46,48,48,48,51,50,56,52,54,57,32,46,48,48,
      48,50,53,57,50,54,50,32,46,48,48,48,49,57,57,52,51,49,32,46,48,48,48,49,54,
      52,54,55,32,46,48,48,48,49,51,54,48,56,49,32,57,46,57,53,53,56,49,101,45,48,
      53,32,56,46,50,50,52,57,55,101,45,48,53,32,54,46,48,57,50,49,52,101,45,48,53,
      10,32,32,52,46,52,51,55,54,50,101,45,48,53,32,51,46,54,55,48,52,52,101,45,48,
      53,32,51,46,48,51,52,53,101,45,48,53,32,50,46,50,52,54,52,55,101,45,48,53,32,
      49,46,54,49,50,50,101,45,48,53,32,49,46,51,52,49,48,57,101,45,48,53,32,57,46,
      57,54,51,50,54,101,45,48,54,10,32,32,56,46,51,49,49,56,56,101,45,48,54,32,54,
      46,49,57,48,50,53,101,45,48,54,32,52,46,56,55,49,54,49,101,45,48,54,32,54,46,
      56,57,56,50,51,101,45,48,54,32,54,46,48,55,55,56,55,101,45,48,54,32,52,46,55,
      54,52,56,54,101,45,48,54,32,51,46,54,52,50,50,101,45,48,54,10,32,32,50,46,57,
      49,50,50,55,101,45,48,54,32,50,46,51,50,57,49,51,101,45,48,54,32,49,46,56,57,
      48,48,49,101,45,48,54,32,49,46,53,51,56,56,101,45,48,54,32,49,46,50,50,53,52,
      52,101,45,48,54,32,49,46,48,48,49,50,51,101,45,48,54,32,56,46,48,49,52,51,56,
      101,45,48,55,10,32,32,54,46,56,48,52,53,55,101,45,48,55,32,53,46,50,49,49,53,
      53,101,45,48,55,32,52,46,52,50,53,56,57,101,45,48,55,32,51,46,54,49,50,57,52,
      101,45,48,55,32,50,46,50,53,51,52,56,101,45,48,55,32,49,46,49,55,55,56,53,101,
      45,48,55,32,54,46,50,54,49,51,49,101,45,48,56,10,32,32,50,46,56,52,53,56,52,
      101,45,48,56,32,49,46,50,57,53,50,53,101,45,48,56,32,53,46,48,52,51,48,54,101,
      45,48,57,32,50,46,51,48,48,54,50,101,45,48,57,32,54,46,53,54,55,53,101,45,49,
      48,32,49,46,57,57,48,56,57,101,45,49,48,32,56,46,53,57,57,57,51,101,45,49,49,
      10,32,32,51,46,51,54,57,49,49,101,45,49,49,32,57,46,54,55,50,56,101,45,49,50,
      32,51,46,50,53,48,50,49,101,45,49,50,32,49,46,48,57,51,51,53,101,45,49,50,32,
      51,46,49,53,49,52,57,101,45,49,51,32,57,46,48,57,48,55,51,101,45,49,52,32,51,
      46,48,54,53,52,51,101,45,49,52,10,32,32,49,46,48,51,52,53,49,101,45,49,52,32,
      51,46,52,57,51,56,54,101,45,49,53,32,57,46,51,50,55,49,55,101,45,49,54,32,50,
      46,51,48,55,50,51,101,45,49,54,32,52,46,56,57,50,55,56,101,45,49,55,32,49,46,
      50,49,50,57,51,101,45,49,55,32,50,46,53,54,54,53,49,101,45,49,56,10,32,32,54,
      46,51,54,52,56,52,101,45,49,57,32,49,46,53,55,49,49,101,45,49,57,32,51,46,50,
      55,53,53,57,101,45,50,48,32,52,46,54,50,48,55,49,101,45,50,49,32,48,114,49,
      48,54,32,52,46,48,55,57,51,55,101,45,48,57,32,49,46,54,51,53,55,56,101,45,48,
      56,32,51,46,54,56,51,54,50,101,45,48,56,10,32,32,52,46,48,55,57,54,101,45,48,
      56,32,49,46,54,51,54,49,49,101,45,48,55,32,51,46,54,56,53,50,50,101,45,48,55,
      32,54,46,53,53,50,53,51,101,45,48,55,32,49,46,48,50,51,57,56,101,45,48,54,32,
      49,46,52,55,53,55,49,101,45,48,54,32,50,46,48,48,57,53,51,101,45,48,54,10,32,
      32,50,46,54,50,54,57,55,101,45,48,54,32,51,46,51,50,55,53,56,101,45,48,54,32,
      52,46,49,49,49,55,56,101,45,48,54,32,52,46,57,56,48,52,53,101,45,48,54,32,53,
      46,57,51,52,48,56,101,45,48,54,32,54,46,57,55,50,56,54,101,45,48,54,32,56,46,
      48,57,55,55,56,101,45,48,54,10,32,32,57,46,51,48,57,52,55,101,45,48,54,32,49,
      46,48,54,48,56,51,101,45,48,53,32,49,46,49,57,57,53,51,101,45,48,53,32,49,46,
      51,52,55,48,57,101,45,48,53,32,49,46,53,48,51,54,53,101,45,48,53,32,49,46,54,
      54,57,50,50,101,45,48,53,32,49,46,56,52,51,57,54,101,45,48,53,10,32,32,50,46,
      48,50,55,57,54,101,45,48,53,32,50,46,50,50,49,50,51,101,45,48,53,32,50,46,52,
      50,51,57,50,101,45,48,53,32,50,46,54,51,54,49,57,101,45,48,53,32,50,46,56,53,
      55,57,57,101,45,48,53,32,51,46,48,56,57,52,53,101,45,48,53,32,51,46,51,51,48,
      55,51,101,45,48,53,10,32,32,51,46,53,56,49,56,101,45,48,53,32,51,46,56,52,50,
      54,53,101,45,48,53,32,52,46,49,49,51,53,55,101,45,48,53,32,52,46,51,57,52,52,
      49,101,45,48,53,32,52,46,54,56,53,48,49,101,45,48,53,32,52,46,57,56,53,55,52,
      101,45,48,53,32,53,46,50,57,54,53,55,101,45,48,53,10,32,32,53,46,54,49,54,55,
      49,101,45,48,53,32,53,46,57,52,55,48,56,101,45,48,53,32,54,46,50,56,55,55,54,
      101,45,48,53,32,54,46,54,51,54,57,57,101,45,48,53,32,54,46,57,57,54,51,56,101,
      45,48,53,32,55,46,51,54,54,48,54,101,45,48,53,32,55,46,55,52,52,101,45,48,53,
      10,32,32,56,46,49,51,49,55,52,101,45,48,53,32,56,46,53,50,57,53,57,101,45,48,
      53,32,56,46,57,51,53,56,51,101,45,48,53,32,57,46,51,53,49,50,55,101,45,48,53,
      32,57,46,55,55,54,55,54,101,45,48,53,32,46,48,48,48,49,48,50,49,49,32,46,48,
      48,48,49,48,54,53,51,57,10,32,32,46,48,48,48,49,49,49,48,54,57,32,46,48,48,
      48,49,49,53,54,57,49,32,46,48,48,48,49,50,48,51,57,55,32,46,48,48,48,49,50,
      53,50,48,51,32,46,48,48,48,49,51,48,49,48,53,32,46,48,48,48,49,51,53,48,57,
      50,32,46,48,48,48,49,52,48,49,55,55,32,46,48,48,48,49,52,53,51,54,53,10,32,
      32,46,48,48,48,49,53,48,54,51,53,32,46,48,48,48,49,53,54,48,48,55,32,46,48,
      48,48,49,54,49,52,55,57,32,46,48,48,48,49,54,55,48,51,56,32,46,48,48,48,49,
      55,50,54,57,54,32,46,48,48,48,49,55,56,52,53,53,32,46,48,48,48,49,56,52,51,
      32,46,48,48,48,49,57,48,50,51,57,10,32,32,46,48,48,48,49,57,54,50,56,32,46,
      48,48,48,50,48,50,52,48,53,32,46,48,48,48,50,48,56,54,49,51,32,46,48,48,48,
      50,49,52,57,50,52,32,46,48,48,48,50,50,49,51,49,54,32,46,48,48,48,50,50,55,
      55,55,51,32,46,48,48,48,50,51,52,51,51,50,32,46,48,48,48,50,52,48,57,55,57,
      10,32,32,46,48,48,48,50,52,55,54,53,54,32,46,48,48,48,50,53,52,52,51,54,32,
      46,48,48,48,50,54,49,51,49,56,32,46,48,48,48,50,54,56,49,56,54,32,46,48,48,
      48,50,55,53,49,53,56,32,46,48,48,48,50,56,50,50,51,53,32,46,48,48,48,50,56,
      57,50,57,50,32,46,48,48,48,50,57,54,52,51,54,10,32,32,46,48,48,48,51,48,51,
      54,56,54,32,46,48,48,48,51,49,48,57,51,32,46,48,48,48,51,49,56,50,51,52,32,
      46,48,48,48,51,50,53,54,53,32,46,48,48,48,51,51,51,48,56,56,32,46,48,48,48,
      51,52,48,53,53,57,32,46,48,48,48,51,52,56,49,52,56,32,46,48,48,48,51,53,53,
      55,57,52,10,32,32,46,48,48,48,51,54,51,52,53,52,32,46,48,48,48,51,55,49,50,
      51,55,32,46,48,48,48,51,55,57,49,49,52,32,46,48,48,48,51,56,54,57,57,53,32,
      46,48,48,48,51,57,53,48,48,50,32,46,48,48,48,52,48,51,49,51,32,46,48,48,48,
      52,49,49,50,55,49,32,46,48,48,48,52,49,57,53,51,55,10,32,32,46,48,48,48,52,
      50,55,57,50,54,32,46,48,48,48,52,51,54,51,55,54,32,46,48,48,48,52,52,52,57,
      51,52,32,46,48,48,48,52,53,51,54,49,56,32,46,48,48,48,52,54,50,51,57,55,32,
      46,48,48,48,52,55,49,50,56,55,32,46,48,48,48,52,56,48,50,57,53,32,46,48,48,
      48,52,56,57,52,50,54,10,32,32,46,48,48,48,52,57,56,54,55,57,32,46,48,48,48,
      53,48,56,48,52,53,32,46,48,48,48,53,49,55,53,52,52,32,46,48,48,48,53,50,55,
      49,57,55,32,46,48,48,48,53,51,54,57,53,54,32,46,48,48,48,53,52,54,56,52,54,
      32,46,48,48,48,53,53,54,57,51,56,32,46,48,48,48,53,54,55,49,51,49,10,32,32,
      46,48,48,48,53,55,55,52,51,53,32,46,48,48,48,53,56,56,48,49,54,32,46,48,48,
      48,53,57,56,55,48,49,32,46,48,48,48,54,48,57,52,56,57,32,46,48,48,48,54,50,
      48,53,55,51,32,46,48,48,48,54,51,49,56,48,51,32,46,48,48,48,54,52,51,49,52,
      55,32,46,48,48,48,54,53,52,55,56,51,10,32,32,46,48,48,48,54,54,54,54,51,49,
      32,46,48,48,48,54,55,56,54,48,55,32,46,48,48,48,54,57,48,56,53,57,32,46,48,
      48,48,55,48,51,51,56,57,32,46,48,48,48,55,49,54,48,56,32,46,48,48,48,55,50,
      57,48,49,54,32,46,48,48,48,55,52,50,50,56,53,32,46,48,48,48,55,53,53,55,53,
      49,10,32,32,46,48,48,48,55,54,57,52,52,50,32,46,48,48,48,55,56,51,52,55,54,
      32,46,48,48,48,55,57,55,55,51,56,32,46,48,48,48,56,49,50,50,52,49,32,46,48,
      48,48,56,50,55,48,48,57,32,46,48,48,48,56,52,50,48,51,57,32,46,48,48,48,56,
      53,55,51,51,53,32,46,48,48,48,56,55,50,55,56,53,10,32,32,46,48,48,48,56,56,
      56,52,56,51,32,46,48,48,48,57,48,52,52,54,49,32,46,48,48,48,57,50,48,53,51,
      51,32,46,48,48,48,57,51,54,55,57,50,32,46,48,48,48,57,53,51,51,49,56,32,46,
      48,48,48,57,54,57,57,52,55,32,46,48,48,48,57,56,54,54,54,51,32,46,48,48,49,
      48,48,51,54,52,10,32,32,46,48,48,49,48,50,48,55,53,32,46,48,48,49,48,51,55,
      56,55,32,46,48,48,49,48,53,53,50,51,32,46,48,48,49,48,55,50,55,56,32,46,48,
      48,49,48,57,48,51,51,32,46,48,48,49,49,48,56,49,32,46,48,48,49,49,50,54,49,
      49,32,46,48,48,49,49,52,52,49,52,32,46,48,48,49,49,54,50,51,57,10,32,32,46,
      48,48,49,49,56,48,56,55,32,46,48,48,49,50,48,53,55,50,32,46,48,48,49,50,54,
      53,32,46,48,48,49,51,53,54,32,46,48,48,49,53,49,51,54,55,32,46,48,48,49,54,
      55,54,53,54,32,46,48,48,49,56,51,57,50,51,32,46,48,48,49,57,57,54,57,53,32,
      46,48,48,50,49,52,56,53,54,10,32,32,46,48,48,50,50,57,54,32,46,48,48,50,52,
      52,50,50,49,32,46,48,48,50,53,56,57,55,32,46,48,48,50,55,52,48,51,53,32,46,
      48,48,50,56,57,53,50,49,32,46,48,48,51,48,53,52,56,54,32,46,48,48,51,50,53,
      51,51,50,32,46,48,48,51,52,53,57,51,51,32,46,48,48,51,55,52,53,48,52,10,32,
      32,46,48,48,52,48,52,49,49,57,32,46,48,48,52,51,52,53,53,50,32,46,48,48,52,
      55,51,50,56,51,32,46,48,48,53,49,50,49,52,51,32,46,48,48,53,53,48,51,57,53,
      32,46,48,48,53,57,52,54,51,50,32,46,48,48,54,51,55,49,50,51,32,46,48,48,54,
      57,49,56,48,55,10,32,32,46,48,48,55,52,53,55,52,56,32,46,48,48,55,57,57,55,
      50,56,32,46,48,48,56,54,48,57,53,54,32,46,48,48,57,50,57,56,49,50,32,46,48,
      49,48,48,52,56,50,32,46,48,49,48,56,52,49,51,32,46,48,49,49,54,54,48,57,32,
      46,48,49,50,53,53,52,52,32,46,48,49,51,52,48,51,51,10,32,32,46,48,49,52,51,
      52,57,49,32,46,48,49,53,53,54,53,53,32,46,48,49,54,56,48,49,52,32,46,48,49,
      55,54,52,55,50,32,46,48,49,56,53,51,52,54,32,46,48,49,57,50,55,54,57,32,46,
      48,49,57,54,55,55,56,32,46,48,49,57,55,50,50,32,46,48,49,57,51,51,57,56,10,
      32,32,46,48,49,56,54,56,51,56,32,46,48,49,55,57,49,56,56,32,46,48,49,55,52,
      48,50,55,32,46,48,49,55,52,53,55,50,32,46,48,49,55,56,54,51,55,32,46,48,49,
      55,57,49,57,49,32,46,48,49,55,53,56,32,46,48,49,54,54,57,51,52,32,46,48,49,
      52,56,55,49,50,32,46,48,49,50,57,48,56,10,32,32,46,48,49,49,50,49,56,55,32,
      46,48,49,48,48,48,51,55,32,46,48,48,56,53,52,53,49,52,32,46,48,48,55,50,48,
      51,49,32,46,48,48,53,57,53,56,49,32,46,48,48,53,48,50,55,55,32,46,48,48,52,
      51,55,53,54,51,32,46,48,48,51,57,53,56,53,51,32,46,48,48,51,53,56,53,52,53,
      10,32,32,46,48,48,51,49,56,57,57,52,32,46,48,48,50,56,49,56,53,52,32,46,48,
      48,50,48,51,52,50,53,32,46,48,48,49,52,48,57,48,53,32,46,48,48,49,48,50,49,
      49,57,32,46,48,48,48,55,55,56,50,53,49,32,46,48,48,48,55,48,49,56,51,56,32,
      46,48,48,48,53,51,56,56,48,51,10,32,32,46,48,48,48,52,49,54,55,52,52,32,46,
      48,48,48,51,50,53,51,57,32,46,48,48,48,50,53,54,57,51,57,32,46,48,48,48,49,
      57,55,55,51,32,46,48,48,48,49,54,51,51,49,51,32,46,48,48,48,49,51,52,57,57,
      52,32,57,46,56,56,48,50,56,101,45,48,53,32,56,46,49,54,52,52,50,101,45,48,53,
      10,32,32,54,46,48,52,57,50,57,101,45,48,53,32,52,46,52,48,55,56,53,101,45,48,
      53,32,51,46,54,52,54,52,56,101,45,48,53,32,51,46,48,49,53,50,49,101,45,48,53,
      32,50,46,50,51,50,55,52,101,45,48,53,32,49,46,54,48,50,55,54,101,45,48,53,32,
      49,46,51,51,51,52,49,101,45,48,53,10,32,32,57,46,57,48,56,50,57,101,45,48,54,
      32,56,46,50,54,55,48,50,101,45,48,54,32,54,46,49,53,55,57,55,101,45,48,54,32,
      52,46,56,52,55,51,101,45,48,54,32,54,46,56,50,48,55,56,101,45,48,54,32,54,46,
      48,48,57,57,57,101,45,48,54,32,52,46,55,49,50,49,56,101,45,48,54,10,32,32,51,
      46,54,48,50,51,54,101,45,48,54,32,50,46,56,56,48,55,101,45,48,54,32,50,46,51,
      48,52,48,57,101,45,48,54,32,49,46,56,54,57,56,56,101,45,48,54,32,49,46,53,50,
      50,54,101,45,48,54,32,49,46,50,49,50,54,57,101,45,48,54,32,57,46,57,48,56,56,
      53,101,45,48,55,10,32,32,55,46,57,51,50,49,56,101,45,48,55,32,54,46,55,51,53,
      49,55,101,45,48,55,32,53,46,49,53,56,56,54,101,45,48,55,32,52,46,51,56,49,51,
      56,101,45,48,55,32,51,46,53,55,54,56,51,101,45,48,55,32,50,46,50,51,49,51,56,
      101,45,48,55,32,49,46,49,54,54,56,56,101,45,48,55,10,32,32,54,46,50,48,51,54,
      56,101,45,48,56,32,50,46,56,50,48,49,53,101,45,48,56,32,49,46,50,56,51,55,57,
      101,45,48,56,32,53,46,48,48,48,56,49,101,45,48,57,32,50,46,50,56,49,54,56,101,
      45,48,57,32,54,46,53,49,52,52,53,101,45,49,48,32,49,46,57,55,53,49,56,101,45,
      49,48,10,32,32,56,46,53,51,55,53,57,101,45,49,49,32,51,46,51,52,54,48,55,101,
      45,49,49,32,57,46,54,48,56,49,56,101,45,49,50,32,51,46,50,50,56,57,101,45,49,
      50,32,49,46,48,56,54,50,101,45,49,50,32,51,46,49,51,48,56,101,45,49,51,32,57,
      46,48,51,53,48,51,101,45,49,52,10,32,32,51,46,48,52,55,53,51,101,45,49,52,32,
      49,46,48,50,56,53,54,101,45,49,52,32,51,46,52,55,52,48,55,101,45,49,53,32,57,
      46,50,56,48,54,49,101,45,49,54,32,50,46,50,57,54,101,45,49,54,32,52,46,56,54,
      57,54,52,101,45,49,55,32,49,46,50,48,55,51,52,101,45,49,55,10,32,32,50,46,53,
      53,53,48,54,101,45,49,56,32,54,46,51,52,51,52,57,101,45,49,57,32,49,46,53,54,
      54,101,45,49,57,32,51,46,50,54,52,50,55,101,45,50,48,32,52,46,53,57,48,49,51,
      101,45,50,49,32,48,114,49,48,54,32,50,46,57,54,53,56,54,101,45,48,57,32,49,
      46,49,56,57,50,57,101,45,48,56,10,32,32,50,46,54,55,56,50,49,101,45,48,56,32,
      50,46,57,54,54,49,51,101,45,48,56,32,49,46,49,56,57,54,57,101,45,48,55,32,50,
      46,54,56,48,49,55,101,45,48,55,32,52,46,55,54,54,55,49,101,45,48,55,32,55,46,
      52,53,49,52,52,101,45,48,55,32,49,46,48,55,52,50,57,101,45,48,54,10,32,32,49,
      46,52,54,51,53,55,101,45,48,54,32,49,46,57,49,52,50,53,101,45,48,54,32,50,46,
      52,50,54,49,56,101,45,48,54,32,50,46,57,57,57,56,56,101,45,48,54,32,51,46,54,
      51,54,49,57,101,45,48,54,32,52,46,51,51,53,55,49,101,45,48,54,32,53,46,48,57,
      56,56,51,101,45,48,54,10,32,32,53,46,57,50,54,53,54,101,45,48,54,32,54,46,56,
      49,57,54,51,101,45,48,54,32,55,46,55,55,56,54,51,101,45,48,54,32,56,46,56,48,
      52,54,57,101,45,48,54,32,57,46,56,57,56,51,56,101,45,48,54,32,49,46,49,48,54,
      49,49,101,45,48,53,32,49,46,50,50,57,51,51,101,45,48,53,10,32,32,49,46,51,53,
      57,54,54,101,45,48,53,32,49,46,52,57,55,50,101,45,48,53,32,49,46,54,52,49,57,
      56,101,45,48,53,32,49,46,55,57,52,49,55,101,45,48,53,32,49,46,57,53,51,57,51,
      101,45,48,53,32,50,46,49,50,49,50,50,101,45,48,53,32,50,46,50,57,54,49,57,101,
      45,48,53,10,32,32,50,46,52,55,57,48,51,101,45,48,53,32,50,46,54,54,57,54,55,
      101,45,48,53,32,50,46,56,54,56,49,51,101,45,48,53,32,51,46,48,55,52,55,50,101,
      45,48,53,32,51,46,50,56,57,50,55,101,45,48,53,32,51,46,53,49,49,53,57,101,45,
      48,53,32,51,46,55,52,50,49,51,101,45,48,53,10,32,32,51,46,57,56,48,56,52,101,
      45,48,53,32,52,46,50,50,54,55,57,101,45,48,53,32,52,46,52,56,49,48,53,101,45,
      48,53,32,52,46,55,52,51,55,50,101,45,48,53,32,53,46,48,49,50,55,54,101,45,48,
      53,32,53,46,50,57,48,48,52,101,45,48,53,32,53,46,53,55,53,54,57,101,45,48,53,
      10,32,32,53,46,56,54,55,52,101,45,48,53,32,54,46,49,54,54,57,50,101,45,48,53,
      32,54,46,52,55,52,54,50,101,45,48,53,32,54,46,55,56,56,53,51,101,45,48,53,32,
      55,46,49,48,57,53,54,101,45,48,53,32,55,46,52,51,56,55,101,45,48,53,32,55,46,
      55,55,52,52,56,101,45,48,53,10,32,32,56,46,49,49,54,56,101,45,48,53,32,56,46,
      52,54,55,50,101,45,48,53,32,56,46,56,50,52,55,53,101,45,48,53,32,57,46,49,56,
      56,53,51,101,45,48,53,32,57,46,53,54,48,51,56,101,45,48,53,32,57,46,57,51,57,
      56,55,101,45,48,53,32,46,48,48,48,49,48,51,50,53,54,10,32,32,46,48,48,48,49,
      48,55,49,57,51,32,46,48,48,48,49,49,49,50,49,51,32,46,48,48,48,49,49,53,50,
      57,51,32,46,48,48,48,49,49,57,52,53,54,32,46,48,48,48,49,50,51,55,32,46,48,
      48,48,49,50,56,48,48,57,32,46,48,48,48,49,51,50,51,57,54,32,46,48,48,48,49,
      51,54,56,54,55,10,32,32,46,48,48,48,49,52,49,52,48,49,32,46,48,48,48,49,52,
      54,48,49,32,46,48,48,48,49,53,48,55,48,49,32,46,48,48,48,49,53,53,52,53,53,
      32,46,48,48,48,49,54,48,50,55,32,46,48,48,48,49,54,53,49,54,56,32,46,48,48,
      48,49,55,48,49,50,55,32,46,48,48,48,49,55,53,49,50,53,10,32,32,46,48,48,48,
      49,56,48,50,48,54,32,46,48,48,48,49,56,53,51,53,52,32,46,48,48,48,49,57,48,
      53,48,51,32,46,48,48,48,49,57,53,55,51,54,32,46,48,48,48,50,48,49,48,53,49,
      32,46,48,48,48,50,48,54,51,49,56,32,46,48,48,48,50,49,49,54,55,32,46,48,48,
      48,50,49,55,49,48,57,10,32,32,46,48,48,48,50,50,50,52,57,49,32,46,48,48,48,
      50,50,55,57,51,56,32,46,48,48,48,50,51,51,52,55,51,32,46,48,48,48,50,51,56,
      57,54,56,32,46,48,48,48,50,52,52,52,57,55,32,46,48,48,48,50,53,48,49,50,32,
      46,48,48,48,50,53,53,55,51,53,32,46,48,48,48,50,54,49,51,53,52,10,32,32,46,
      48,48,48,50,54,55,48,55,51,32,46,48,48,48,50,55,50,56,50,53,32,46,48,48,48,
      50,55,56,53,53,56,32,46,48,48,48,50,56,52,51,57,54,32,46,48,48,48,50,57,48,
      51,48,56,32,46,48,48,48,50,57,54,49,57,50,32,46,48,48,48,51,48,50,49,56,52,
      32,46,48,48,48,51,48,56,50,56,49,10,32,32,46,48,48,48,51,49,52,51,53,56,32,
      46,48,48,48,51,50,48,53,52,53,32,46,48,48,48,51,50,54,56,51,55,32,46,48,48,
      48,51,51,51,49,54,53,32,46,48,48,48,51,51,57,53,56,51,32,46,48,48,48,51,52,
      54,49,48,57,32,46,48,48,48,51,53,50,55,49,49,32,46,48,48,48,51,53,57,52,48,
      54,10,32,32,46,48,48,48,51,54,54,50,48,49,32,46,48,48,48,51,55,51,49,48,50,
      32,46,48,48,48,51,56,48,49,49,49,32,46,48,48,48,51,56,55,50,49,51,32,46,48,
      48,48,51,57,52,52,51,53,32,46,48,48,48,52,48,49,55,57,57,32,46,48,48,48,52,
      48,57,50,53,49,32,46,48,48,48,52,49,54,56,49,55,10,32,32,46,48,48,48,52,50,
      52,53,56,50,32,46,48,48,48,52,51,50,52,51,32,46,48,48,48,52,52,48,51,55,32,
      46,48,48,48,52,52,56,53,57,51,32,46,48,48,48,52,53,54,57,48,49,32,46,48,48,
      48,52,54,53,50,57,53,32,46,48,48,48,52,55,51,57,57,52,32,46,48,48,48,52,56,
      50,56,50,54,10,32,32,46,48,48,48,52,57,49,55,53,52,32,46,48,48,48,53,48,48,
      57,56,53,32,46,48,48,48,53,49,48,52,50,51,32,46,48,48,48,53,49,57,57,55,51,
      32,46,48,48,48,53,50,57,56,48,53,32,46,48,48,48,53,51,57,57,50,50,32,46,48,
      48,48,53,53,48,49,56,56,32,46,48,48,48,53,54,48,55,10,32,32,46,48,48,48,53,
      55,49,53,53,57,32,46,48,48,48,53,56,50,54,48,55,32,46,48,48,48,53,57,51,56,
      55,56,32,46,48,48,48,54,48,53,53,48,52,32,46,48,48,48,54,49,55,51,53,53,32,
      46,48,48,48,54,50,57,52,52,53,32,46,48,48,48,54,52,49,56,48,49,32,46,48,48,
      48,54,53,52,52,49,55,10,32,32,46,48,48,48,54,54,55,51,48,50,32,46,48,48,48,
      54,56,48,51,50,52,32,46,48,48,48,54,57,51,53,57,51,32,46,48,48,48,55,48,55,
      49,52,50,32,46,48,48,48,55,50,48,55,54,51,32,46,48,48,48,55,51,52,53,53,55,
      32,46,48,48,48,55,52,56,54,50,32,46,48,48,48,55,54,50,55,54,50,10,32,32,46,
      48,48,48,55,55,54,57,54,54,32,46,48,48,48,55,57,49,52,50,54,32,46,48,48,48,
      56,48,54,48,48,54,32,46,48,48,48,56,50,48,53,54,49,32,46,48,48,48,56,51,53,
      51,53,52,32,46,48,48,48,56,53,48,51,51,50,32,46,48,48,48,56,54,53,50,54,50,
      32,46,48,48,48,56,56,48,52,49,54,10,32,32,46,48,48,48,56,57,53,55,57,54,32,
      46,48,48,48,57,49,49,49,54,52,32,46,48,48,48,57,50,54,55,53,52,32,46,48,48,
      48,57,52,50,53,54,52,32,46,48,48,48,57,54,51,56,50,55,32,46,48,48,49,48,49,
      52,55,51,32,46,48,48,49,48,57,51,51,56,32,46,48,48,49,50,51,49,48,52,10,32,
      32,46,48,48,49,51,55,52,52,49,32,46,48,48,49,53,49,55,52,55,32,46,48,48,49,
      54,53,53,48,50,32,46,48,48,49,55,56,53,56,49,32,46,48,48,49,57,49,49,57,57,
      32,46,48,48,50,48,51,54,56,32,46,48,48,50,49,54,51,48,50,32,46,48,48,50,50,
      57,50,55,51,32,46,48,48,50,52,50,55,49,51,10,32,32,46,48,48,50,53,54,54,56,
      52,32,46,48,48,50,55,52,50,49,50,32,46,48,48,50,57,50,53,56,51,32,46,48,48,
      51,49,56,51,49,54,32,46,48,48,51,52,53,50,51,55,32,46,48,48,51,55,51,49,49,
      57,32,46,48,48,52,48,56,56,52,53,32,46,48,48,52,52,52,56,56,49,10,32,32,46,
      48,48,52,56,48,51,56,57,32,46,48,48,53,50,49,50,54,55,32,46,48,48,53,54,48,
      49,51,52,32,46,48,48,54,48,57,54,48,53,32,46,48,48,54,53,56,49,53,57,32,46,
      48,48,55,48,54,56,53,56,32,46,48,48,55,54,50,53,55,56,32,46,48,48,56,50,54,
      48,53,57,10,32,32,46,48,48,56,57,54,48,51,55,32,46,48,48,57,55,48,54,50,49,
      32,46,48,49,48,52,56,50,52,32,46,48,49,49,51,51,50,32,46,48,49,50,49,51,56,
      56,32,46,48,49,51,48,51,49,55,32,46,48,49,52,49,54,57,52,32,46,48,49,53,51,
      50,57,55,32,46,48,49,54,49,51,52,56,10,32,32,46,48,49,55,48,48,48,50,32,46,
      48,49,55,55,54,50,52,32,46,48,49,56,50,50,51,57,32,46,48,49,56,51,53,56,51,
      32,46,48,49,56,48,57,54,54,32,46,48,49,55,53,54,50,52,32,46,48,49,54,57,49,
      48,55,32,46,48,49,54,52,56,48,56,32,46,48,49,54,53,55,57,51,10,32,32,46,48,
      49,54,57,57,53,52,32,46,48,49,55,48,56,48,49,32,46,48,49,54,55,56,55,57,32,
      46,48,49,53,57,55,57,32,46,48,49,52,50,56,53,56,32,46,48,49,50,52,52,50,53,
      32,46,48,49,48,56,52,53,49,32,46,48,48,57,54,57,48,56,56,32,46,48,48,56,50,
      57,56,54,53,10,32,32,46,48,48,55,48,49,49,50,53,32,46,48,48,53,56,49,49,54,
      57,32,46,48,48,52,57,49,50,50,57,32,46,48,48,52,50,56,48,55,51,32,46,48,48,
      51,56,55,54,51,57,32,46,48,48,51,53,49,52,48,57,32,46,48,48,51,49,50,57,49,
      56,32,46,48,48,50,55,54,55,32,46,48,48,50,48,48,48,52,49,10,32,32,46,48,48,
      49,51,56,55,55,54,32,46,48,48,49,48,48,54,57,49,32,46,48,48,48,55,54,56,48,
      54,54,32,46,48,48,48,54,57,50,57,51,53,32,46,48,48,48,53,51,50,51,53,51,32,
      46,48,48,48,52,49,50,48,49,55,32,46,48,48,48,51,50,49,56,55,56,32,46,48,48,
      48,50,53,52,50,56,56,10,32,32,46,48,48,48,49,57,53,55,56,53,32,46,48,48,48,
      49,54,49,55,54,32,46,48,48,48,49,51,51,55,53,51,32,57,46,55,57,51,57,54,101,
      45,48,53,32,56,46,48,57,53,49,57,101,45,48,53,32,54,46,48,48,48,50,56,101,45,
      48,53,32,52,46,51,55,51,55,51,101,45,48,53,10,32,32,51,46,54,49,56,57,57,101,
      45,48,53,32,50,46,57,57,51,48,56,101,45,48,53,32,50,46,50,49,55,48,49,101,45,
      48,53,32,49,46,53,57,49,57,52,101,45,48,53,32,49,46,51,50,52,54,50,101,45,48,
      53,32,57,46,56,52,53,50,50,101,45,48,54,32,56,46,50,49,53,52,56,101,45,48,54,
      10,32,32,54,46,49,50,48,56,51,101,45,48,54,32,52,46,56,49,57,49,53,101,45,48,
      54,32,54,46,55,51,51,51,57,101,45,48,54,32,53,46,57,51,51,55,49,101,45,48,54,
      32,52,46,54,53,51,52,50,101,45,48,54,32,51,46,53,53,55,57,52,101,45,48,54,32,
      50,46,56,52,53,52,54,101,45,48,54,10,32,32,50,46,50,55,54,49,51,101,45,48,54,
      32,49,46,56,52,55,51,55,101,45,48,54,32,49,46,53,48,52,52,49,101,45,48,54,32,
      49,46,49,57,56,51,52,101,45,48,54,32,57,46,55,57,50,57,56,101,45,48,55,32,55,
      46,56,52,48,53,57,101,45,48,55,32,54,46,54,53,55,56,54,101,45,48,55,10,32,32,
      53,46,49,48,48,49,55,101,45,48,55,32,52,46,51,51,49,56,101,45,48,55,32,51,46,
      53,51,54,54,51,101,45,48,55,32,50,46,50,48,54,53,55,101,45,48,55,32,49,46,49,
      53,52,50,49,101,45,48,55,32,54,46,49,51,57,52,56,101,45,48,56,32,50,46,55,57,
      49,53,55,101,45,48,56,10,32,32,49,46,50,55,49,48,52,101,45,48,56,32,52,46,57,
      53,50,53,101,45,48,57,32,50,46,50,54,48,52,56,101,45,48,57,32,54,46,52,53,53,
      52,54,101,45,49,48,32,49,46,57,53,55,55,51,101,45,49,48,32,56,46,52,54,51,52,
      53,101,45,49,49,32,51,46,51,49,57,50,56,101,45,49,49,10,32,32,57,46,53,51,54,
      54,101,45,49,50,32,51,46,50,48,52,54,54,101,45,49,50,32,49,46,48,55,56,48,55,
      101,45,49,50,32,51,46,49,48,55,56,50,101,45,49,51,32,56,46,57,54,57,57,52,101,
      45,49,52,32,51,46,48,50,54,55,51,101,45,49,52,32,49,46,48,50,49,57,57,101,45,
      49,52,10,32,32,51,46,52,53,50,50,50,101,45,49,53,32,57,46,50,50,57,51,51,101,
      45,49,54,32,50,46,50,56,51,54,53,101,45,49,54,32,52,46,56,52,52,48,57,101,45,
      49,55,32,49,46,50,48,48,57,54,101,45,49,55,32,50,46,53,52,49,52,56,101,45,49,
      56,32,54,46,51,49,48,53,50,101,45,49,57,10,32,32,49,46,53,53,57,51,57,101,45,
      49,57,32,51,46,50,53,49,57,51,101,45,50,48,32,52,46,53,53,54,50,57,101,45,50,
      49,32,48,114,49,48,54,32,50,46,49,52,50,55,51,101,45,48,57,32,56,46,53,57,50,
      51,49,101,45,48,57,32,49,46,57,51,52,57,55,101,45,48,56,32,50,46,49,52,50,57,
      57,101,45,48,56,10,32,32,56,46,53,57,54,50,55,101,45,48,56,32,49,46,57,51,54,
      57,52,101,45,48,55,32,51,46,52,52,53,55,54,101,45,48,55,32,53,46,51,56,56,50,
      55,101,45,48,55,32,55,46,55,55,49,52,55,101,45,48,55,32,49,46,48,53,57,50,53,
      101,45,48,54,32,49,46,51,56,54,49,54,101,45,48,54,10,32,32,49,46,55,53,55,57,
      50,101,45,48,54,32,50,46,49,55,53,48,52,101,45,48,54,32,50,46,54,51,56,51,49,
      101,45,48,54,32,51,46,49,52,56,51,51,101,45,48,54,32,51,46,55,48,53,54,101,
      45,48,54,32,52,46,51,49,49,48,55,101,45,48,54,32,52,46,57,54,53,52,54,101,45,
      48,54,10,32,32,53,46,54,54,57,52,56,101,45,48,54,32,54,46,52,50,52,50,49,101,
      45,48,54,32,55,46,50,51,48,51,49,101,45,48,54,32,56,46,48,56,57,48,57,101,45,
      48,54,32,57,46,48,48,49,50,51,101,45,48,54,32,57,46,57,54,56,49,101,45,48,54,
      32,49,46,48,57,57,48,56,101,45,48,53,10,32,32,49,46,50,48,54,57,57,101,45,48,
      53,32,49,46,51,50,48,54,57,101,45,48,53,32,49,46,52,52,48,51,51,101,45,48,53,
      32,49,46,53,54,53,57,49,101,45,48,53,32,49,46,54,57,55,53,54,101,45,48,53,32,
      49,46,56,51,53,52,54,101,45,48,53,32,49,46,57,55,57,53,55,101,45,48,53,10,32,
      32,50,46,49,50,57,56,57,101,45,48,53,32,50,46,50,56,54,55,52,101,45,48,53,32,
      50,46,52,52,57,57,54,101,45,48,53,32,50,46,54,49,57,51,51,101,45,48,53,32,50,
      46,55,57,53,51,53,101,45,48,53,32,50,46,57,55,55,57,51,101,45,48,53,32,51,46,
      49,54,54,49,51,101,45,48,53,10,32,32,51,46,51,54,49,48,54,101,45,48,53,32,51,
      46,53,54,50,56,50,101,45,48,53,32,51,46,55,54,57,50,57,101,45,48,53,32,51,46,
      57,56,50,52,50,101,45,48,53,32,52,46,50,48,50,51,51,101,45,48,53,32,52,46,52,
      50,54,54,54,101,45,48,53,32,52,46,54,53,55,49,56,101,45,48,53,10,32,32,52,46,
      56,57,52,51,49,101,45,48,53,32,53,46,49,51,53,57,57,101,45,48,53,32,53,46,51,
      56,51,49,56,101,45,48,53,32,53,46,54,51,54,56,56,101,45,48,53,32,53,46,56,57,
      53,53,56,101,45,48,53,32,54,46,49,53,57,49,57,101,45,48,53,32,54,46,52,50,57,
      50,57,101,45,48,53,10,32,32,54,46,55,48,52,57,50,101,45,48,53,32,54,46,57,56,
      53,49,50,101,45,48,53,32,55,46,50,55,49,56,49,101,45,48,53,32,55,46,53,54,52,
      53,52,101,45,48,53,32,55,46,56,54,49,56,52,101,45,48,53,32,56,46,49,54,53,53,
      56,101,45,48,53,32,56,46,52,55,53,57,49,101,45,48,53,10,32,32,56,46,55,57,48,
      55,101,45,48,53,32,57,46,49,49,50,48,57,101,45,48,53,32,57,46,52,52,48,48,52,
      101,45,48,53,32,57,46,55,55,50,56,54,101,45,48,53,32,46,48,48,48,49,48,49,49,
      50,32,46,48,48,48,49,48,52,53,55,55,32,46,48,48,48,49,48,56,48,56,51,32,46,
      48,48,48,49,49,49,54,52,54,10,32,32,46,48,48,48,49,49,53,50,55,54,32,46,48,
      48,48,49,49,56,57,53,50,32,46,48,48,48,49,50,50,54,55,51,32,46,48,48,48,49,
      50,54,52,54,49,32,46,48,48,48,49,51,48,50,57,51,32,46,48,48,48,49,51,52,49,
      52,55,32,46,48,48,48,49,51,56,48,55,32,46,48,48,48,49,52,50,48,52,49,10,32,
      32,46,48,48,48,49,52,53,57,57,54,32,46,48,48,48,49,53,48,48,49,57,32,46,48,
      48,48,49,53,52,49,48,57,32,46,48,48,48,49,53,56,49,51,32,46,48,48,48,49,54,
      50,50,50,49,32,46,48,48,48,49,54,54,51,56,50,32,46,48,48,48,49,55,48,52,54,
      56,32,46,48,48,48,49,55,52,54,48,49,10,32,32,46,48,48,48,49,55,56,56,48,55,
      32,46,48,48,48,49,56,50,57,53,52,32,46,48,48,48,49,56,55,49,49,56,32,46,48,
      48,48,49,57,49,51,54,32,46,48,48,48,49,57,53,53,55,54,32,46,48,48,48,49,57,
      57,55,55,55,32,46,48,48,48,50,48,52,48,54,52,32,46,48,48,48,50,48,56,51,54,
      54,10,32,32,46,48,48,48,50,49,50,54,51,32,46,48,48,48,50,49,54,57,56,53,32,
      46,48,48,48,50,50,49,51,57,55,32,46,48,48,48,50,50,53,55,54,50,32,46,48,48,
      48,50,51,48,50,50,49,32,46,48,48,48,50,51,52,55,54,56,32,46,48,48,48,50,51,
      57,50,55,57,32,46,48,48,48,50,52,51,56,56,50,10,32,32,46,48,48,48,50,52,56,
      53,55,54,32,46,48,48,48,50,53,51,50,56,57,32,46,48,48,48,50,53,56,48,55,55,
      32,46,48,48,48,50,54,50,57,53,54,32,46,48,48,48,50,54,55,56,57,55,32,46,48,
      48,48,50,55,50,57,49,52,32,46,48,48,48,50,55,56,48,49,53,32,46,48,48,48,50,
      56,51,50,48,57,10,32,32,46,48,48,48,50,56,56,52,57,52,32,46,48,48,48,50,57,
      51,56,53,56,32,46,48,48,48,50,57,57,51,50,53,32,46,48,48,48,51,48,52,57,50,
      32,46,48,48,48,51,49,48,53,56,56,32,46,48,48,48,51,49,54,51,53,53,32,46,48,
      48,48,51,50,50,51,48,56,32,46,48,48,48,51,50,56,51,50,56,10,32,32,46,48,48,
      48,51,51,52,52,50,53,32,46,48,48,48,51,52,48,55,57,51,32,46,48,48,48,51,52,
      55,50,51,49,32,46,48,48,48,51,53,51,55,51,56,32,46,48,48,48,51,54,48,53,52,
      49,32,46,48,48,48,51,54,55,52,54,51,32,46,48,48,48,51,55,52,52,54,52,32,46,
      48,48,48,51,56,49,55,53,57,10,32,32,46,48,48,48,51,56,57,50,52,55,32,46,48,
      48,48,51,57,54,56,51,51,32,46,48,48,48,52,48,52,54,57,32,46,48,48,48,52,49,
      50,56,50,49,32,46,48,48,48,52,50,49,48,56,55,32,46,48,48,48,52,50,57,53,56,
      55,32,46,48,48,48,52,51,56,52,50,55,32,46,48,48,48,52,52,55,52,52,51,10,32,
      32,46,48,48,48,52,53,54,54,54,57,32,46,48,48,48,52,54,54,50,52,50,32,46,48,
      48,48,52,55,54,48,50,57,32,46,48,48,48,52,56,54,48,52,51,32,46,48,48,48,52,
      57,54,51,49,50,32,46,48,48,48,53,48,54,56,51,50,32,46,48,48,48,53,49,55,54,
      48,57,32,46,48,48,48,53,50,56,53,49,49,10,32,32,46,48,48,48,53,51,57,54,52,
      57,32,46,48,48,48,53,53,49,48,53,55,32,46,48,48,48,53,54,50,53,50,50,32,46,
      48,48,48,53,55,52,49,52,55,32,46,48,48,48,53,56,54,48,51,50,32,46,48,48,48,
      53,57,55,57,55,57,32,46,48,48,48,54,48,57,57,55,53,32,46,48,48,48,54,50,50,
      50,49,54,10,32,32,46,48,48,48,54,51,52,53,54,50,32,46,48,48,48,54,52,54,56,
      54,54,32,46,48,48,48,54,53,57,51,57,55,32,46,48,48,48,54,55,50,49,32,46,48,
      48,48,54,56,52,55,51,56,32,46,48,48,48,54,57,55,53,56,56,32,46,48,48,48,55,
      49,48,54,53,51,32,46,48,48,48,55,50,51,54,56,57,10,32,32,46,48,48,48,55,51,
      54,57,51,54,32,46,48,48,48,55,53,48,51,57,50,32,46,48,48,48,55,54,56,52,57,
      57,32,46,48,48,48,56,49,49,57,57,51,32,46,48,48,48,56,55,57,54,48,55,32,46,
      48,48,48,57,57,57,49,56,51,32,46,48,48,49,49,50,52,55,53,32,46,48,48,49,50,
      53,48,48,56,10,32,32,46,48,48,49,51,54,57,55,51,32,46,48,48,49,52,56,50,51,
      53,32,46,48,48,49,53,57,48,49,55,32,46,48,48,49,54,57,54,53,56,32,46,48,48,
      49,56,48,52,52,55,32,46,48,48,49,57,49,54,48,50,32,46,48,48,50,48,51,50,53,
      49,32,46,48,48,50,49,53,52,53,53,10,32,32,46,48,48,50,51,48,57,48,53,32,46,
      48,48,50,52,55,50,53,49,32,46,48,48,50,55,48,51,54,53,32,46,48,48,50,57,52,
      55,54,55,32,46,48,48,51,50,48,50,51,49,32,46,48,48,51,53,51,48,56,49,32,46,
      48,48,51,56,54,51,56,57,32,46,48,48,52,49,57,50,54,52,10,32,32,46,48,48,52,
      53,54,57,53,54,32,46,48,48,52,57,50,52,54,55,32,46,48,48,53,51,55,50,48,51,
      32,46,48,48,53,56,48,56,57,54,32,46,48,48,54,50,52,56,50,49,32,46,48,48,54,
      55,53,53,48,52,32,46,48,48,55,51,51,57,55,51,32,46,48,48,55,57,57,49,50,32,
      46,48,48,56,54,57,48,56,55,10,32,32,46,48,48,57,52,50,51,55,53,32,46,48,49,
      48,50,50,57,49,32,46,48,49,48,57,57,51,56,32,46,48,49,49,56,51,53,32,46,48,
      49,50,56,57,55,56,32,46,48,49,51,57,56,53,55,32,46,48,49,52,55,53,48,50,32,
      46,48,49,53,53,57,48,50,32,46,48,49,54,51,54,50,55,10,32,32,46,48,49,54,56,
      55,49,53,32,46,48,49,55,48,56,49,52,32,46,48,49,54,57,50,52,56,32,46,48,49,
      54,52,57,57,50,32,46,48,49,53,57,53,32,46,48,49,53,53,57,56,49,32,46,48,49,
      53,55,51,53,51,32,46,48,49,54,49,53,56,55,32,46,48,49,54,50,54,57,54,32,46,
      48,49,54,48,50,48,56,10,32,32,46,48,49,53,50,56,52,57,32,46,48,49,51,55,49,
      52,51,32,46,48,49,49,57,56,54,32,46,48,49,48,52,55,55,54,32,46,48,48,57,51,
      56,49,56,54,32,46,48,48,56,48,53,52,53,51,32,46,48,48,54,56,50,48,54,32,46,
      48,48,53,54,54,53,56,32,46,48,48,52,55,57,55,48,55,10,32,32,46,48,48,52,49,
      56,53,56,49,32,46,48,48,51,55,57,52,48,57,32,46,48,48,51,52,52,50,53,49,32,
      46,48,48,51,48,54,56,49,53,32,46,48,48,50,55,49,53,49,56,32,46,48,48,49,57,
      54,54,51,51,32,46,48,48,49,51,54,54,50,57,32,46,48,48,48,57,57,50,52,57,53,
      10,32,32,46,48,48,48,55,53,55,55,54,49,32,46,48,48,48,54,56,51,57,50,49,32,
      46,48,48,48,53,50,53,56,50,49,32,46,48,48,48,52,48,55,50,50,53,32,46,48,48,
      48,51,49,56,51,49,51,32,46,48,48,48,50,53,49,53,57,55,32,46,48,48,48,49,57,
      51,56,48,57,32,46,48,48,48,49,54,48,49,56,49,10,32,32,46,48,48,48,49,51,50,
      52,56,57,32,57,46,55,48,54,48,55,101,45,48,53,32,56,46,48,50,52,55,53,101,45,
      48,53,32,53,46,57,53,48,52,53,101,45,48,53,32,52,46,51,51,57,48,51,101,45,48,
      53,32,51,46,53,57,49,48,51,101,45,48,53,32,50,46,57,55,48,53,53,101,45,48,53,
      10,32,32,50,46,50,48,48,57,55,101,45,48,53,32,49,46,53,56,48,57,101,45,48,53,
      32,49,46,51,49,53,54,53,101,45,48,53,32,57,46,55,56,48,57,101,45,48,54,32,56,
      46,49,54,50,57,53,101,45,48,54,32,54,46,48,56,50,57,54,101,45,48,54,32,52,46,
      55,57,48,51,49,101,45,48,54,10,32,32,54,46,54,52,54,54,56,101,45,48,54,32,53,
      46,56,53,55,55,101,45,48,54,32,52,46,53,57,52,51,57,101,45,48,54,32,51,46,53,
      49,51,54,51,101,45,48,54,32,50,46,56,49,48,53,55,101,45,48,54,32,50,46,50,52,
      56,52,54,101,45,48,54,32,49,46,56,50,53,48,57,101,45,48,54,10,32,32,49,46,52,
      56,54,52,49,101,45,48,54,32,49,46,49,56,52,49,50,101,45,48,54,32,57,46,54,55,
      55,54,51,101,45,48,55,32,55,46,55,52,56,57,55,101,45,48,55,32,54,46,53,56,48,
      54,53,101,45,48,55,32,53,46,48,52,49,55,54,101,45,48,55,32,52,46,50,56,50,53,
      50,101,45,48,55,10,32,32,51,46,52,57,54,53,55,101,45,48,55,32,50,46,49,56,49,
      57,50,101,45,48,55,32,49,46,49,52,49,53,55,101,45,48,55,32,54,46,48,55,51,57,
      56,101,45,48,56,32,50,46,55,54,51,51,53,101,45,48,56,32,49,46,50,53,56,52,49,
      101,45,48,56,32,52,46,57,48,52,49,54,101,45,48,57,10,32,32,50,46,50,51,56,57,
      50,101,45,48,57,32,54,46,51,57,55,51,101,45,49,48,32,49,46,57,52,48,53,52,101,
      45,49,48,32,56,46,51,57,48,51,57,101,45,49,49,32,51,46,50,57,48,57,53,101,45,
      49,49,32,57,46,52,54,49,49,54,101,45,49,50,32,51,46,49,56,48,52,56,101,45,49,
      50,10,32,32,49,46,48,55,48,48,56,101,45,49,50,32,51,46,48,56,53,50,51,101,45,
      49,51,32,56,46,57,48,53,57,56,101,45,49,52,32,51,46,48,48,53,53,49,101,45,49,
      52,32,49,46,48,49,53,48,54,101,45,49,52,32,51,46,52,51,48,54,56,101,45,49,53,
      32,57,46,49,55,57,50,50,101,45,49,54,10,32,32,50,46,50,55,49,51,49,101,45,49,
      54,32,52,46,56,49,55,56,53,101,45,49,55,32,49,46,49,57,52,54,50,101,45,49,55,
      32,50,46,53,50,56,50,51,101,45,49,56,32,54,46,50,55,56,51,53,101,45,49,57,32,
      49,46,53,53,49,52,54,101,45,49,57,32,51,46,50,51,54,51,55,101,45,50,48,10,32,
      32,52,46,53,50,51,48,51,101,45,50,49,32,48,114,49,48,54,32,49,46,53,54,51,48,
      56,101,45,48,57,32,54,46,50,54,56,48,51,101,45,48,57,32,49,46,52,49,49,53,56,
      101,45,48,56,32,49,46,53,54,51,51,52,101,45,48,56,32,54,46,50,55,49,56,54,101,
      45,48,56,32,49,46,52,49,51,52,56,101,45,48,55,10,32,32,50,46,53,49,53,50,54,
      101,45,48,55,32,51,46,57,51,52,54,53,101,45,48,55,32,53,46,54,55,55,52,49,101,
      45,48,55,32,55,46,55,52,50,50,53,101,45,48,55,32,49,46,48,49,51,55,55,101,45,
      48,54,32,49,46,50,56,54,52,57,101,45,48,54,32,49,46,53,57,50,57,101,45,48,54,
      10,32,32,49,46,57,51,51,55,49,101,45,48,54,32,50,46,51,48,57,52,56,101,45,48,
      54,32,50,46,55,50,48,55,53,101,45,48,54,32,51,46,49,54,56,51,56,101,45,48,54,
      32,51,46,54,53,51,48,56,101,45,48,54,32,52,46,49,55,53,53,55,101,45,48,54,32,
      52,46,55,51,54,56,50,101,45,48,54,10,32,32,53,46,51,51,55,53,51,101,45,48,54,
      32,53,46,57,55,56,57,50,101,45,48,54,32,54,46,54,54,49,54,56,101,45,48,54,32,
      55,46,51,56,55,48,56,101,45,48,54,32,56,46,49,53,54,49,57,101,45,48,54,32,56,
      46,57,54,57,53,57,101,45,48,54,32,57,46,56,50,56,55,51,101,45,48,54,10,32,32,
      49,46,48,55,51,53,101,45,48,53,32,49,46,49,54,56,56,51,101,45,48,53,32,49,46,
      50,54,57,48,50,101,45,48,53,32,49,46,51,55,52,50,50,101,45,48,53,32,49,46,52,
      56,52,51,56,101,45,48,53,32,49,46,53,57,57,53,51,101,45,48,53,32,49,46,55,49,
      57,57,54,101,45,48,53,10,32,32,49,46,56,52,53,53,51,101,45,48,53,32,49,46,57,
      55,54,48,49,101,45,48,53,32,50,46,49,49,49,56,57,101,45,48,53,32,50,46,50,53,
      51,49,101,45,48,53,32,50,46,51,57,56,55,49,101,45,48,53,32,50,46,53,52,57,56,
      49,101,45,48,53,32,50,46,55,48,54,52,55,101,45,48,53,10,32,32,50,46,56,54,54,
      54,55,101,45,48,53,32,51,46,48,51,50,50,57,101,45,48,53,32,51,46,50,48,51,52,
      52,101,45,48,53,32,51,46,51,55,55,56,52,101,45,48,53,32,51,46,53,53,55,50,101,
      45,48,53,32,51,46,55,52,49,57,51,101,45,48,53,32,51,46,57,51,48,48,52,101,45,
      48,53,10,32,32,52,46,49,50,50,52,53,101,45,48,53,32,52,46,51,50,48,49,51,101,
      45,48,53,32,52,46,53,50,49,54,51,101,45,48,53,32,52,46,55,50,54,56,53,101,45,
      48,53,32,52,46,57,51,55,51,50,101,45,48,53,32,53,46,49,53,50,49,49,101,45,48,
      53,32,53,46,51,55,48,51,101,45,48,53,10,32,32,53,46,53,57,51,55,51,101,45,48,
      53,32,53,46,56,50,49,57,57,101,45,48,53,32,54,46,48,53,51,54,52,101,45,48,53,
      32,54,46,50,57,48,52,57,101,45,48,53,32,54,46,53,51,50,54,56,101,45,48,53,32,
      54,46,55,55,56,49,55,101,45,48,53,32,55,46,48,50,57,48,50,101,45,48,53,10,32,
      32,55,46,50,56,53,49,55,101,45,48,53,32,55,46,53,52,53,48,49,101,45,48,53,32,
      55,46,56,48,57,57,101,45,48,53,32,56,46,48,56,48,49,56,101,45,48,53,32,56,46,
      51,53,52,49,50,101,45,48,53,32,56,46,54,51,50,53,57,101,45,48,53,32,56,46,57,
      49,54,52,57,101,45,48,53,10,32,32,57,46,50,48,51,55,55,101,45,48,53,32,57,46,
      52,57,52,52,50,101,45,48,53,32,57,46,55,57,48,53,52,101,45,48,53,32,46,48,48,
      48,49,48,48,56,57,57,32,46,48,48,48,49,48,51,57,48,51,32,46,48,48,48,49,48,
      54,57,54,51,32,46,48,48,48,49,49,48,48,54,32,46,48,48,48,49,49,51,49,51,49,
      10,32,32,46,48,48,48,49,49,54,50,53,56,32,46,48,48,48,49,49,57,52,51,57,32,
      46,48,48,48,49,50,50,53,52,51,32,46,48,48,48,49,50,53,55,48,53,32,46,48,48,
      48,49,50,56,57,50,52,32,46,48,48,48,49,51,50,48,54,32,46,48,48,48,49,51,53,
      50,51,50,32,46,48,48,48,49,51,56,52,54,52,10,32,32,46,48,48,48,49,52,49,54,
      50,57,32,46,48,48,48,49,52,52,56,32,46,48,48,48,49,52,56,48,51,54,32,46,48,
      48,48,49,53,49,50,51,55,32,46,48,48,48,49,53,52,52,49,52,32,46,48,48,48,49,
      53,55,54,54,50,32,46,48,48,48,49,54,48,57,49,54,32,46,48,48,48,49,54,52,49,
      50,51,10,32,32,46,48,48,48,49,54,55,52,48,56,32,46,48,48,48,49,55,48,55,51,
      56,32,46,48,48,48,49,55,52,48,49,50,32,46,48,48,48,49,55,55,51,54,55,32,46,
      48,48,48,49,56,48,55,57,55,32,46,48,48,48,49,56,52,49,56,49,32,46,48,48,48,
      49,56,55,54,52,54,32,46,48,48,48,49,57,49,49,56,55,10,32,32,46,48,48,48,49,
      57,52,55,51,54,32,46,48,48,48,49,57,56,51,52,57,32,46,48,48,48,50,48,50,48,
      51,56,32,46,48,48,48,50,48,53,55,55,56,32,46,48,48,48,50,48,57,53,56,49,32,
      46,48,48,48,50,49,51,52,53,52,32,46,48,48,48,50,49,55,52,48,55,32,46,48,48,
      48,50,50,49,52,51,56,10,32,32,46,48,48,48,50,50,53,53,51,53,32,46,48,48,48,
      50,50,57,55,50,50,32,46,48,48,48,50,51,52,48,50,50,32,46,48,48,48,50,51,56,
      51,56,50,32,46,48,48,48,50,52,50,56,50,55,32,46,48,48,48,50,52,55,52,52,49,
      32,46,48,48,48,50,53,50,49,49,49,32,46,48,48,48,50,53,54,56,52,52,10,32,32,
      46,48,48,48,50,54,49,56,50,56,32,46,48,48,48,50,54,54,56,54,57,32,46,48,48,
      48,50,55,49,57,54,57,32,46,48,48,48,50,55,55,51,52,50,32,46,48,48,48,50,56,
      50,56,50,32,46,48,48,48,50,56,56,51,54,52,32,46,48,48,48,50,57,52,49,56,49,
      32,46,48,48,48,51,48,48,49,55,53,10,32,32,46,48,48,48,51,48,54,50,53,51,32,
      46,48,48,48,51,49,50,53,56,50,32,46,48,48,48,51,49,57,49,54,54,32,46,48,48,
      48,51,50,53,56,55,32,46,48,48,48,51,51,50,55,56,57,32,46,48,48,48,51,52,48,
      48,50,55,32,46,48,48,48,51,52,55,52,50,52,32,46,48,48,48,51,53,53,48,49,53,
      10,32,32,46,48,48,48,51,54,50,57,51,49,32,46,48,48,48,51,55,49,48,52,52,32,
      46,48,48,48,51,55,57,51,54,54,32,46,48,48,48,51,56,55,57,50,54,32,46,48,48,
      48,51,57,54,55,49,56,32,46,48,48,48,52,48,53,55,53,32,46,48,48,48,52,49,52,
      56,57,51,32,46,48,48,48,52,50,52,50,53,53,10,32,32,46,48,48,48,52,51,51,56,
      55,32,46,48,48,48,52,52,51,53,51,32,46,48,48,48,52,53,51,51,51,54,32,46,48,
      48,48,52,54,51,51,56,54,32,46,48,48,48,52,55,51,52,56,54,32,46,48,48,48,52,
      56,51,54,50,52,32,46,48,48,48,52,57,51,57,57,49,32,46,48,48,48,53,48,52,52,
      53,49,10,32,32,46,48,48,48,53,49,52,56,54,50,32,46,48,48,48,53,50,53,52,56,
      51,32,46,48,48,48,53,51,54,50,54,50,32,46,48,48,48,53,52,54,57,54,56,32,46,
      48,48,48,53,53,55,56,55,50,32,46,48,48,48,53,54,56,57,55,53,32,46,48,48,48,
      53,56,48,48,52,49,32,46,48,48,48,53,57,49,51,48,51,10,32,32,46,48,48,48,54,
      48,50,55,53,56,32,46,48,48,48,54,49,56,49,56,50,32,46,48,48,48,54,53,53,51,
      51,55,32,46,48,48,48,55,49,51,52,49,50,32,46,48,48,48,56,49,55,48,51,54,32,
      46,48,48,48,57,50,54,54,55,49,32,46,48,48,49,48,51,54,49,57,32,46,48,48,49,
      49,52,48,49,57,10,32,32,46,48,48,49,50,51,55,50,55,32,46,48,48,49,51,50,57,
      54,49,32,46,48,48,49,52,50,48,53,55,32,46,48,48,49,53,49,51,48,49,32,46,48,
      48,49,54,48,57,49,49,32,46,48,48,49,55,49,48,49,52,32,46,48,48,49,56,49,54,
      55,50,32,46,48,48,49,57,53,50,55,51,10,32,32,46,48,48,50,48,57,55,55,55,32,
      46,48,48,50,51,48,52,54,50,32,46,48,48,50,53,50,52,55,55,32,46,48,48,50,55,
      53,54,49,51,32,46,48,48,51,48,53,54,53,51,32,46,48,48,51,51,54,50,55,56,32,
      46,48,48,51,54,54,53,54,50,32,46,48,48,52,48,49,49,57,55,10,32,32,46,48,48,
      52,51,51,53,55,54,32,46,48,48,52,55,51,57,57,55,32,46,48,48,53,49,51,51,48,
      56,32,46,48,48,53,53,50,57,49,53,32,46,48,48,53,57,56,57,55,53,32,46,48,48,
      54,53,50,55,50,51,32,46,48,48,55,49,51,50,49,56,32,46,48,48,55,55,56,54,52,
      32,46,48,48,56,52,55,53,57,57,10,32,32,46,48,48,57,50,51,54,55,32,46,48,48,
      57,57,53,57,50,52,32,46,48,49,48,55,53,32,46,48,49,49,55,52,49,54,32,46,48,
      49,50,55,54,48,49,32,46,48,49,51,52,56,52,53,32,46,48,49,52,50,57,54,32,46,
      48,49,53,48,55,48,54,32,46,48,49,53,54,49,53,49,32,46,48,49,53,56,56,55,52,
      10,32,32,46,48,49,53,56,50,49,53,32,46,48,49,53,52,57,50,50,32,46,48,49,53,
      48,51,53,52,32,46,48,49,52,55,53,51,57,32,46,48,49,52,57,50,53,49,32,46,48,
      49,53,51,53,51,54,32,46,48,49,53,52,56,55,56,32,46,48,49,53,50,55,57,32,46,
      48,49,52,54,49,49,54,10,32,32,46,48,49,51,49,53,55,52,32,46,48,49,49,53,51,
      57,49,32,46,48,49,48,49,49,54,52,32,46,48,48,57,48,55,55,51,54,32,46,48,48,
      55,56,49,50,57,52,32,46,48,48,54,54,51,49,52,57,32,46,48,48,53,53,50,48,54,
      51,32,46,48,48,52,54,56,50,49,55,32,46,48,48,52,48,57,49,48,50,10,32,32,46,
      48,48,51,55,49,49,56,50,32,46,48,48,51,51,55,48,56,53,32,46,48,48,51,48,48,
      54,57,57,32,46,48,48,50,54,54,51,50,32,46,48,48,49,57,51,50,48,53,32,46,48,
      48,49,51,52,52,54,52,32,46,48,48,48,57,55,55,57,51,56,32,46,48,48,48,55,52,
      55,51,52,56,10,32,32,46,48,48,48,54,55,52,56,48,54,32,46,48,48,48,53,49,57,
      50,49,49,32,46,48,48,48,52,48,50,51,55,54,32,46,48,48,48,51,49,52,55,48,53,
      32,46,48,48,48,50,52,56,56,55,32,46,48,48,48,49,57,49,56,48,53,32,46,48,48,
      48,49,53,56,53,55,57,32,46,48,48,48,49,51,49,50,48,55,10,32,32,57,46,54,49,
      54,55,52,101,45,48,53,32,55,46,57,53,51,48,54,101,45,48,53,32,53,46,56,57,57,
      54,57,101,45,48,53,32,52,46,51,48,51,55,53,101,45,48,53,32,51,46,53,54,50,54,
      49,101,45,48,53,32,50,46,57,52,55,54,52,101,45,48,53,32,50,46,49,56,52,54,53,
      101,45,48,53,10,32,32,49,46,53,54,57,54,55,101,45,48,53,32,49,46,51,48,54,53,
      49,101,45,48,53,32,57,46,55,49,53,51,54,101,45,48,54,32,56,46,49,48,57,52,50,
      101,45,48,54,32,54,46,48,52,52,52,49,101,45,48,54,32,52,46,55,54,49,101,45,
      48,54,32,54,46,53,54,48,55,56,101,45,48,54,10,32,32,53,46,55,56,50,52,50,101,
      45,48,54,32,52,46,53,51,53,57,55,101,45,48,54,32,51,46,52,54,57,52,53,101,45,
      48,54,32,50,46,55,55,53,53,55,101,45,48,54,32,50,46,50,50,48,57,101,45,48,54,
      32,49,46,56,48,51,48,53,101,45,48,54,32,49,46,52,54,56,53,57,101,45,48,54,10,
      32,32,49,46,49,55,48,48,51,101,45,48,54,32,57,46,53,54,51,48,54,101,45,48,55,
      32,55,46,54,53,55,55,52,101,45,48,55,32,54,46,53,48,51,53,56,101,45,48,55,32,
      52,46,57,56,51,50,50,101,45,48,55,32,52,46,50,51,51,48,57,101,45,48,55,32,51,
      46,52,53,54,54,54,101,45,48,55,10,32,32,50,46,49,53,55,53,55,101,45,48,55,32,
      49,46,49,50,57,48,55,101,45,48,55,32,54,46,48,48,56,55,50,101,45,48,56,32,50,
      46,55,51,52,54,52,101,45,48,56,32,49,46,50,52,53,56,56,101,45,48,56,32,52,46,
      56,53,54,52,55,101,45,48,57,32,50,46,50,49,55,53,54,101,45,48,57,10,32,32,54,
      46,51,51,57,50,53,101,45,49,48,32,49,46,57,50,51,53,53,101,45,49,48,32,56,46,
      51,49,55,49,56,101,45,49,49,32,51,46,50,54,50,51,52,101,45,49,49,32,57,46,51,
      56,48,53,56,101,45,49,50,32,51,46,49,53,53,57,52,101,45,49,50,32,49,46,48,54,
      50,50,51,101,45,49,50,10,32,32,51,46,48,54,51,48,53,101,45,49,51,32,56,46,56,
      52,51,50,50,101,45,49,52,32,50,46,57,56,52,54,56,101,45,49,52,32,49,46,48,48,
      56,49,52,101,45,49,52,32,51,46,52,48,55,52,51,101,45,49,53,32,57,46,49,50,54,
      56,50,101,45,49,54,32,50,46,50,53,56,57,101,45,49,54,10,32,32,52,46,55,57,50,
      50,50,101,45,49,55,32,49,46,49,56,56,52,50,101,45,49,55,32,50,46,53,49,55,48,
      50,101,45,49,56,32,54,46,50,52,54,57,57,101,45,49,57,32,49,46,53,52,51,55,51,
      101,45,49,57,32,51,46,50,49,57,52,101,45,50,48,32,54,46,49,51,51,48,56,101,
      45,50,49,10,32,32,48,114,49,48,54,32,49,46,49,53,57,55,49,101,45,48,57,32,52,
      46,54,53,48,53,53,101,45,48,57,32,49,46,48,52,55,51,51,101,45,48,56,32,49,46,
      49,53,57,57,51,101,45,48,56,32,52,46,54,53,51,57,101,45,48,56,32,49,46,48,52,
      57,101,45,48,55,32,49,46,56,54,55,48,55,101,45,48,55,10,32,32,50,46,57,50,49,
      52,55,101,45,48,55,32,52,46,50,49,54,56,57,101,45,48,55,32,53,46,55,53,50,56,
      101,45,48,55,32,55,46,53,51,54,49,50,101,45,48,55,32,57,46,53,54,56,51,49,101,
      45,48,55,32,49,46,49,56,53,51,57,101,45,48,54,32,49,46,52,51,57,56,57,101,45,
      48,54,10,32,32,49,46,55,50,48,56,52,101,45,48,54,32,50,46,48,50,56,55,52,101,
      45,48,54,32,50,46,51,54,52,51,51,101,45,48,54,32,50,46,55,50,56,50,53,101,45,
      48,54,32,51,46,49,50,49,49,52,101,45,48,54,32,51,46,53,52,51,56,56,101,45,48,
      54,32,51,46,57,57,55,48,57,101,45,48,54,10,32,32,52,46,52,56,49,56,52,101,45,
      48,54,32,52,46,57,57,56,55,56,101,45,48,54,32,53,46,53,52,57,48,49,101,45,48,
      54,32,54,46,49,51,51,53,49,101,45,48,54,32,54,46,55,53,50,56,49,101,45,48,54,
      32,55,46,52,48,56,50,50,101,45,48,54,32,56,46,49,48,48,57,50,101,45,48,54,10,
      32,32,56,46,56,51,48,57,56,101,45,48,54,32,57,46,53,57,57,54,49,101,45,48,54,
      32,49,46,48,52,48,56,51,101,45,48,53,32,49,46,49,50,53,54,55,101,45,48,53,32,
      49,46,50,49,52,52,57,101,45,48,53,32,49,46,51,48,55,53,54,101,45,48,53,32,49,
      46,52,48,52,55,53,101,45,48,53,10,32,32,49,46,53,48,53,56,54,101,45,48,53,32,
      49,46,54,49,49,51,52,101,45,48,53,32,49,46,55,50,49,49,101,45,48,53,32,49,46,
      56,51,52,51,52,101,45,48,53,32,49,46,57,53,50,48,49,101,45,48,53,32,50,46,48,
      55,52,50,101,45,48,53,32,50,46,49,57,57,48,56,101,45,48,53,10,32,32,50,46,51,
      50,56,51,51,101,45,48,53,32,50,46,52,54,50,48,55,101,45,48,53,32,50,46,53,57,
      56,50,52,101,45,48,53,32,50,46,55,51,56,51,56,101,45,48,53,32,50,46,56,56,50,
      56,53,101,45,48,53,32,51,46,48,50,57,56,54,101,45,48,53,32,51,46,49,56,48,50,
      53,101,45,48,53,10,32,32,51,46,51,51,52,56,56,101,45,48,53,32,51,46,52,57,50,
      52,53,101,45,48,53,32,51,46,54,53,50,56,55,101,45,48,53,32,51,46,56,49,55,53,
      49,101,45,48,53,32,51,46,57,56,53,53,52,101,45,48,53,32,52,46,49,53,54,49,51,
      101,45,48,53,32,52,46,51,51,48,57,52,101,45,48,53,10,32,32,52,46,53,48,57,53,
      57,101,45,48,53,32,52,46,54,57,48,55,57,101,45,48,53,32,52,46,56,55,54,49,55,
      101,45,48,53,32,53,46,48,54,53,56,54,101,45,48,53,32,53,46,50,53,56,48,49,101,
      45,48,53,32,53,46,52,53,52,52,57,101,45,48,53,32,53,46,54,53,53,50,52,101,45,
      48,53,10,32,32,53,46,56,53,56,56,49,101,45,48,53,32,54,46,48,54,54,52,50,101,
      45,48,53,32,54,46,50,55,56,51,57,101,45,48,53,32,54,46,52,57,51,49,52,101,45,
      48,53,32,54,46,55,49,49,52,55,101,45,48,53,32,54,46,57,51,52,49,56,101,45,48,
      53,32,55,46,49,53,57,52,51,101,45,48,53,10,32,32,55,46,51,56,55,50,49,101,45,
      48,53,32,55,46,54,49,57,52,101,45,48,53,32,55,46,56,53,51,57,55,101,45,48,53,
      32,56,46,48,56,57,48,53,101,45,48,53,32,56,46,51,50,56,53,56,101,45,48,53,32,
      56,46,53,55,48,57,55,101,45,48,53,32,56,46,56,49,48,52,53,101,45,48,53,10,32,
      32,57,46,48,53,52,52,54,101,45,48,53,32,57,46,51,48,50,56,52,101,45,48,53,32,
      57,46,53,52,51,55,54,101,45,48,53,32,57,46,55,56,57,51,49,101,45,48,53,32,46,
      48,48,48,49,48,48,51,57,54,32,46,48,48,48,49,48,50,56,49,56,32,46,48,48,48,
      49,48,53,50,54,55,10,32,32,46,48,48,48,49,48,55,55,54,54,32,46,48,48,48,49,
      49,48,49,57,56,32,46,48,48,48,49,49,50,54,51,32,46,48,48,48,49,49,53,49,49,
      55,32,46,48,48,48,49,49,55,53,54,54,32,46,48,48,48,49,49,57,57,56,57,32,46,
      48,48,48,49,50,50,52,55,50,32,46,48,48,48,49,50,52,57,53,51,10,32,32,46,48,
      48,48,49,50,55,51,56,57,32,46,48,48,48,49,50,57,56,56,57,32,46,48,48,48,49,
      51,50,52,50,52,32,46,48,48,48,49,51,52,57,48,53,32,46,48,48,48,49,51,55,52,
      53,52,32,46,48,48,48,49,52,48,48,54,53,32,46,48,48,48,49,52,50,54,51,49,32,
      46,48,48,48,49,52,53,50,54,52,10,32,32,46,48,48,48,49,52,55,57,54,49,32,46,
      48,48,48,49,53,48,54,54,32,46,48,48,48,49,53,51,52,49,50,32,46,48,48,48,49,
      53,54,50,50,56,32,46,48,48,48,49,53,57,48,56,53,32,46,48,48,48,49,54,49,57,
      57,51,32,46,48,48,48,49,54,52,57,54,49,32,46,48,48,48,49,54,55,57,57,53,10,
      32,32,46,48,48,48,49,55,49,48,57,52,32,46,48,48,48,49,55,52,50,52,56,32,46,
      48,48,48,49,55,55,52,55,56,32,46,48,48,48,49,56,48,56,48,52,32,46,48,48,48,
      49,56,52,49,56,32,46,48,48,48,49,56,55,54,50,56,32,46,48,48,48,49,57,49,50,
      50,50,32,46,48,48,48,49,57,52,56,54,50,10,32,32,46,48,48,48,49,57,56,53,53,
      52,32,46,48,48,48,50,48,50,52,54,54,32,46,48,48,48,50,48,54,52,50,53,32,46,
      48,48,48,50,49,48,52,51,50,32,46,48,48,48,50,49,52,54,55,57,32,46,48,48,48,
      50,49,57,48,49,55,32,46,48,48,48,50,50,51,52,48,57,32,46,48,48,48,50,50,56,
      48,52,50,10,32,32,46,48,48,48,50,51,50,56,50,57,32,46,48,48,48,50,51,55,54,
      56,56,32,46,48,48,48,50,52,50,55,54,55,32,46,48,48,48,50,52,56,48,55,50,32,
      46,48,48,48,50,53,51,52,55,57,32,46,48,48,48,50,53,57,48,55,56,32,46,48,48,
      48,50,54,52,57,53,56,32,46,48,48,48,50,55,48,57,55,57,10,32,32,46,48,48,48,
      50,55,55,49,55,32,46,48,48,48,50,56,51,54,53,32,46,48,48,48,50,57,48,51,48,
      53,32,46,48,48,48,50,57,55,49,52,53,32,46,48,48,48,51,48,52,49,57,54,32,46,
      48,48,48,51,49,49,52,53,52,32,46,48,48,48,51,49,56,57,50,55,32,46,48,48,48,
      51,50,54,52,57,54,10,32,32,46,48,48,48,51,51,52,50,54,49,32,46,48,48,48,51,
      52,50,50,53,51,32,46,48,48,48,51,53,48,50,56,51,32,46,48,48,48,51,53,56,52,
      52,49,32,46,48,48,48,51,54,54,56,50,32,46,48,48,48,51,55,53,50,52,32,46,48,
      48,48,51,56,51,54,57,49,32,46,48,48,48,51,57,50,51,52,57,10,32,32,46,48,48,
      48,52,48,49,48,56,55,32,46,48,48,48,52,48,57,55,55,56,32,46,48,48,48,52,49,
      56,54,53,56,32,46,48,48,48,52,50,55,54,55,56,32,46,48,48,48,52,51,54,54,50,
      56,32,46,48,48,48,52,52,53,55,53,54,32,46,48,48,48,52,53,53,48,54,49,32,46,
      48,48,48,52,54,52,51,51,49,10,32,32,46,48,48,48,52,55,51,55,55,52,32,46,48,
      48,48,52,56,51,51,57,51,32,46,48,48,48,52,57,54,51,53,32,46,48,48,48,53,50,
      55,54,52,49,32,46,48,48,48,53,55,54,55,56,49,32,46,48,48,48,54,54,53,49,51,
      54,32,46,48,48,48,55,53,57,50,54,55,32,46,48,48,48,56,53,51,52,54,10,32,32,
      46,48,48,48,57,52,50,53,56,32,46,48,48,49,48,50,53,50,52,32,46,48,48,49,49,
      48,51,52,53,32,46,48,48,49,49,56,48,51,54,32,46,48,48,49,50,53,56,55,32,46,
      48,48,49,51,52,48,53,51,32,46,48,48,49,52,50,55,48,55,32,46,48,48,49,53,49,
      56,57,49,32,46,48,48,49,54,51,54,57,49,10,32,32,46,48,48,49,55,54,51,54,53,
      32,46,48,48,49,57,52,53,55,56,32,46,48,48,50,49,52,49,48,57,32,46,48,48,50,
      51,52,55,55,54,32,46,48,48,50,54,49,55,57,50,32,46,48,48,50,56,57,52,57,55,
      32,46,48,48,51,49,54,57,55,32,46,48,48,51,52,56,51,53,49,32,46,48,48,51,55,
      55,52,57,52,10,32,32,46,48,48,52,49,51,53,55,52,32,46,48,48,52,52,56,53,50,
      56,32,46,48,48,52,56,51,56,50,54,32,46,48,48,53,50,53,49,57,56,32,46,48,48,
      53,55,52,48,50,32,46,48,48,54,50,57,53,50,55,32,46,48,48,54,56,57,57,57,53,
      32,46,48,48,55,53,52,49,53,51,32,46,48,48,56,50,53,50,52,10,32,32,46,48,48,
      56,57,50,56,50,51,32,46,48,48,57,54,54,52,53,52,32,46,48,49,48,53,56,49,50,
      32,46,48,49,49,53,50,54,51,32,46,48,49,50,50,48,54,54,32,46,48,49,50,57,56,
      51,56,32,46,48,49,51,55,53,50,52,32,46,48,49,52,51,50,52,53,32,46,48,49,52,
      54,53,50,52,10,32,32,46,48,49,52,54,55,50,52,32,46,48,49,52,52,51,55,32,46,
      48,49,52,48,55,49,57,32,46,48,49,51,56,54,48,52,32,46,48,49,52,48,54,52,32,
      46,48,49,52,52,57,53,55,32,46,48,49,52,54,53,50,54,32,46,48,49,52,52,56,52,
      55,32,46,48,49,51,56,56,56,51,32,46,48,49,50,53,53,53,57,10,32,32,46,48,49,
      49,48,53,52,49,32,46,48,48,57,55,50,50,55,54,32,46,48,48,56,55,52,52,54,32,
      46,48,48,55,53,52,56,48,52,32,46,48,48,54,52,50,51,51,50,32,46,48,48,53,51,
      54,48,52,50,32,46,48,48,52,53,53,53,48,49,32,46,48,48,51,57,56,53,57,49,32,
      46,48,48,51,54,50,48,52,55,10,32,32,46,48,48,51,50,57,49,50,49,32,46,48,48,
      50,57,51,56,57,50,32,46,48,48,50,54,48,53,50,53,32,46,48,48,49,56,57,51,55,
      55,32,46,48,48,49,51,50,48,52,50,32,46,48,48,48,57,54,49,54,51,50,32,46,48,
      48,48,55,51,53,54,54,53,32,46,48,48,48,54,54,52,53,55,54,10,32,32,46,48,48,
      48,53,49,49,55,56,49,32,46,48,48,48,51,57,54,57,49,55,32,46,48,48,48,51,49,
      48,54,52,51,32,46,48,48,48,50,52,53,56,48,49,32,46,48,48,48,49,56,57,53,53,
      32,46,48,48,48,49,53,54,55,55,54,32,46,48,48,48,49,50,57,55,54,50,32,57,46,
      53,49,54,49,51,101,45,48,53,10,32,32,55,46,56,55,50,51,49,101,45,48,53,32,53,
      46,56,52,50,52,52,101,45,48,53,32,52,46,50,54,51,56,50,101,45,48,53,32,51,46,
      53,51,48,52,52,101,45,48,53,32,50,46,57,50,49,55,50,101,45,48,53,32,50,46,49,
      54,54,50,50,101,45,48,53,32,49,46,53,53,54,57,56,101,45,48,53,10,32,32,49,46,
      50,57,54,49,56,101,45,48,53,32,57,46,54,52,49,50,53,101,45,48,54,32,56,46,48,
      52,56,56,53,101,45,48,54,32,54,46,48,48,48,55,53,101,45,48,54,32,52,46,55,50,
      55,55,51,101,45,48,54,32,54,46,52,54,54,49,54,101,45,48,54,32,53,46,54,57,57,
      54,101,45,48,54,10,32,32,52,46,52,55,49,55,57,101,45,48,54,32,51,46,52,50,48,
      57,49,101,45,48,54,32,50,46,55,51,55,48,53,101,45,48,54,32,50,46,49,57,48,51,
      49,101,45,48,54,32,49,46,55,55,56,51,55,101,45,48,54,32,49,46,52,52,56,55,51,
      101,45,48,54,32,49,46,49,53,52,52,50,101,45,48,54,10,32,32,57,46,52,51,54,56,
      52,101,45,48,55,32,55,46,53,53,55,52,57,101,45,48,55,32,54,46,52,49,56,57,51,
      101,45,48,55,32,52,46,57,49,56,57,55,101,45,48,55,32,52,46,49,55,56,56,49,101,
      45,48,55,32,51,46,52,49,50,54,52,101,45,48,55,32,50,46,49,51,48,53,56,101,45,
      48,55,10,32,32,49,46,49,49,53,51,52,101,45,48,55,32,53,46,57,51,54,55,53,101,
      45,48,56,32,50,46,55,48,50,53,53,101,45,48,56,32,49,46,50,51,49,56,53,101,45,
      48,56,32,52,46,56,48,52,50,51,101,45,48,57,32,50,46,49,57,52,49,53,101,45,48,
      57,32,54,46,50,55,51,56,56,101,45,49,48,10,32,32,49,46,57,48,52,52,53,101,45,
      49,48,32,56,46,50,51,53,56,52,101,45,49,49,32,51,46,50,51,48,57,57,101,45,49,
      49,32,57,46,50,57,50,52,54,101,45,49,50,32,51,46,49,50,54,56,55,101,45,49,50,
      32,49,46,48,53,51,50,55,101,45,49,50,32,51,46,48,51,56,56,57,101,45,49,51,10,
      32,32,56,46,55,55,52,55,53,101,45,49,52,32,50,46,57,54,49,55,52,101,45,49,52,
      32,49,46,48,48,48,52,101,45,49,52,32,51,46,51,56,49,52,57,101,45,49,53,32,57,
      46,48,54,52,52,54,101,45,49,54,32,50,46,50,52,52,56,101,45,49,54,32,52,46,55,
      54,52,52,54,101,45,49,55,10,32,32,49,46,49,56,49,55,101,45,49,55,32,50,46,53,
      48,52,54,51,101,45,49,56,32,54,46,50,49,51,48,57,101,45,49,57,32,49,46,53,51,
      53,51,56,101,45,49,57,32,51,46,50,48,49,48,52,101,45,50,48,32,54,46,48,57,56,
      56,50,101,45,50,49,32,48,114,49,48,54,32,57,46,48,52,52,50,54,101,45,49,48,
      10,32,32,51,46,54,50,54,56,54,101,45,48,57,32,56,46,49,54,56,48,51,101,45,48,
      57,32,57,46,48,52,54,50,101,45,48,57,32,51,46,54,50,57,55,56,101,45,48,56,32,
      56,46,49,56,50,53,54,101,45,48,56,32,49,46,52,53,54,54,101,45,48,55,32,50,46,
      50,55,57,54,52,101,45,48,55,10,32,32,51,46,50,57,49,50,52,101,45,48,55,32,52,
      46,52,57,49,50,57,101,45,48,55,32,53,46,56,56,53,52,54,101,45,48,55,32,55,46,
      52,55,53,50,54,101,45,48,55,32,57,46,50,54,52,53,57,101,45,48,55,32,49,46,49,
      50,53,56,54,101,45,48,54,32,49,46,51,52,54,49,56,101,45,48,54,10,32,32,49,46,
      53,56,55,56,54,101,45,48,54,32,49,46,56,53,49,53,52,101,45,48,54,32,50,46,49,
      51,55,55,53,101,45,48,54,32,50,46,52,52,55,49,49,101,45,48,54,32,50,46,55,56,
      48,51,52,101,45,48,54,32,51,46,49,51,56,101,45,48,54,32,51,46,53,50,49,48,51,
      101,45,48,54,10,32,32,51,46,57,51,101,45,48,54,32,52,46,51,54,53,56,55,101,
      45,48,54,32,52,46,56,50,57,52,56,101,45,48,54,32,53,46,51,50,49,51,51,101,45,
      48,54,32,53,46,56,52,50,53,54,101,45,48,54,32,54,46,51,57,52,49,56,101,45,48,
      54,32,54,46,57,55,54,50,57,101,45,48,54,10,32,32,55,46,53,56,57,57,53,101,45,
      48,54,32,56,46,50,51,54,52,56,101,45,48,54,32,56,46,57,49,53,52,55,101,45,48,
      54,32,57,46,54,50,55,50,49,101,45,48,54,32,49,46,48,51,55,51,57,101,45,48,53,
      32,49,46,49,49,53,52,54,101,45,48,53,32,49,46,49,57,54,55,51,101,45,48,53,10,
      32,32,49,46,50,56,49,54,49,101,45,48,53,32,49,46,51,55,48,48,51,101,45,48,53,
      32,49,46,52,54,49,50,54,101,45,48,53,32,49,46,53,53,54,49,55,101,45,48,53,32,
      49,46,54,53,52,56,50,101,45,48,53,32,49,46,55,53,53,54,101,45,48,53,32,49,46,
      56,54,101,45,48,53,10,32,32,49,46,57,54,56,49,101,45,48,53,32,50,46,48,55,56,
      49,50,101,45,48,53,32,50,46,49,57,49,51,57,101,45,48,53,32,50,46,51,48,56,50,
      53,101,45,48,53,32,50,46,52,50,55,49,49,101,45,48,53,32,50,46,53,52,56,54,57,
      101,45,48,53,32,50,46,54,55,51,55,57,101,45,48,53,10,32,32,50,46,56,48,49,50,
      50,101,45,48,53,32,50,46,57,51,48,57,52,101,45,48,53,32,51,46,48,54,52,49,51,
      101,45,48,53,32,51,46,50,48,48,48,55,101,45,48,53,32,51,46,51,51,56,48,50,101,
      45,48,53,32,51,46,52,55,57,52,53,101,45,48,53,32,51,46,54,50,52,48,51,101,45,
      48,53,10,32,32,51,46,55,55,48,54,49,101,45,48,53,32,51,46,57,50,48,54,52,101,
      45,48,53,32,52,46,48,55,52,50,51,101,45,48,53,32,52,46,50,50,57,55,51,101,45,
      48,53,32,52,46,51,56,56,56,49,101,45,48,53,32,52,46,53,53,49,52,50,101,45,48,
      53,32,52,46,55,49,54,50,55,101,45,48,53,10,32,32,52,46,56,56,52,52,52,101,45,
      48,53,32,53,46,48,53,54,50,49,101,45,48,53,32,53,46,50,51,48,49,57,101,45,48,
      53,32,53,46,52,48,55,48,56,101,45,48,53,32,53,46,53,56,55,53,57,101,45,48,53,
      32,53,46,55,55,48,49,101,45,48,53,32,53,46,57,53,52,53,56,101,45,48,53,10,32,
      32,54,46,49,52,50,55,50,101,45,48,53,32,54,46,51,51,50,55,49,101,45,48,53,32,
      54,46,53,50,50,56,57,101,45,48,53,32,54,46,55,49,54,55,54,101,45,48,53,32,54,
      46,57,49,50,57,101,45,48,53,32,55,46,49,48,54,50,50,101,45,48,53,32,55,46,51,
      48,51,50,57,101,45,48,53,10,32,32,55,46,53,48,51,57,55,101,45,48,53,32,55,46,
      54,57,55,56,101,45,48,53,32,55,46,56,57,53,52,56,101,45,48,53,32,56,46,48,57,
      55,49,101,45,48,53,32,56,46,50,57,49,50,56,101,45,48,53,32,56,46,52,56,55,54,
      55,101,45,48,53,32,56,46,54,56,56,49,54,101,45,48,53,10,32,32,56,46,56,56,50,
      53,50,101,45,48,53,32,57,46,48,55,54,54,56,101,45,48,53,32,57,46,50,55,53,52,
      51,101,45,48,53,32,57,46,52,55,48,53,55,101,45,48,53,32,57,46,54,54,51,49,52,
      101,45,48,53,32,57,46,56,54,48,55,55,101,45,48,53,32,46,48,48,48,49,48,48,53,
      56,49,10,32,32,46,48,48,48,49,48,50,53,49,49,32,46,48,48,48,49,48,52,52,57,
      54,32,46,48,48,48,49,48,54,53,49,32,46,48,48,48,49,48,56,52,55,51,32,46,48,
      48,48,49,49,48,52,57,51,32,46,48,48,48,49,49,50,53,54,55,32,46,48,48,48,49,
      49,52,53,57,56,32,46,48,48,48,49,49,54,54,56,54,10,32,32,46,48,48,48,49,49,
      56,56,50,57,32,46,48,48,48,49,50,48,57,55,49,32,46,48,48,48,49,50,51,49,53,
      55,32,46,48,48,48,49,50,53,51,57,56,32,46,48,48,48,49,50,55,54,55,49,32,46,
      48,48,48,49,50,57,57,56,56,32,46,48,48,48,49,51,50,51,53,53,32,46,48,48,48,
      49,51,52,55,55,56,10,32,32,46,48,48,48,49,51,55,50,53,54,32,46,48,48,48,49,
      51,57,55,56,32,46,48,48,48,49,52,50,51,54,57,32,46,48,48,48,49,52,53,48,52,
      32,46,48,48,48,49,52,55,55,53,50,32,46,48,48,48,49,53,48,53,50,53,32,46,48,
      48,48,49,53,51,52,50,53,32,46,48,48,48,49,53,54,51,54,50,10,32,32,46,48,48,
      48,49,53,57,51,52,51,32,46,48,48,48,49,54,50,53,49,53,32,46,48,48,48,49,54,
      53,55,50,55,32,46,48,48,48,49,54,56,57,55,56,32,46,48,48,48,49,55,50,52,51,
      56,32,46,48,48,48,49,55,53,57,55,53,32,46,48,48,48,49,55,57,53,53,56,32,46,
      48,48,48,49,56,51,51,53,49,10,32,32,46,48,48,48,49,56,55,50,55,54,32,46,48,
      48,48,49,57,49,50,54,51,32,46,48,48,48,49,57,53,52,52,49,32,46,48,48,48,49,
      57,57,56,49,54,32,46,48,48,48,50,48,52,50,55,57,32,46,48,48,48,50,48,56,57,
      48,56,32,46,48,48,48,50,49,51,55,56,52,32,46,48,48,48,50,49,56,55,56,49,10,
      32,32,46,48,48,48,50,50,51,57,50,55,32,46,48,48,48,50,50,57,51,50,54,32,46,
      48,48,48,50,51,52,56,55,55,32,46,48,48,48,50,52,48,53,57,32,46,48,48,48,50,
      52,54,52,56,56,32,46,48,48,48,50,53,50,53,54,55,32,46,48,48,48,50,53,56,56,
      51,53,32,46,48,48,48,50,54,53,49,56,55,10,32,32,46,48,48,48,50,55,49,55,49,
      49,32,46,48,48,48,50,55,56,52,51,53,32,46,48,48,48,50,56,53,49,57,49,32,46,
      48,48,48,50,57,50,48,54,32,46,48,48,48,50,57,57,49,50,51,32,46,48,48,48,51,
      48,54,50,50,50,32,46,48,48,48,51,49,51,51,52,56,32,46,48,48,48,51,50,48,54,
      53,55,10,32,32,46,48,48,48,51,50,56,48,51,53,32,46,48,48,48,51,51,53,51,55,
      49,32,46,48,48,48,51,52,50,56,55,51,32,46,48,48,48,51,53,48,52,57,57,32,46,
      48,48,48,51,53,56,48,54,49,32,46,48,48,48,51,54,53,55,56,32,46,48,48,48,51,
      55,51,54,53,55,32,46,48,48,48,51,56,49,53,10,32,32,46,48,48,48,51,56,57,52,
      57,55,32,46,48,48,48,51,57,55,54,52,57,32,46,48,48,48,52,48,56,54,51,54,32,
      46,48,48,48,52,51,53,50,49,51,32,46,48,48,48,52,55,55,48,56,52,32,46,48,48,
      48,53,53,50,55,55,51,32,46,48,48,48,54,51,51,56,50,51,32,46,48,48,48,55,49,
      53,48,54,57,10,32,32,46,48,48,48,55,57,49,55,56,57,32,46,48,48,48,56,54,50,
      54,52,57,32,46,48,48,48,57,50,57,52,54,32,46,48,48,48,57,57,53,49,48,49,32,
      46,48,48,49,48,54,50,48,55,32,46,48,48,49,49,51,50,50,53,32,46,48,48,49,50,
      48,54,55,57,32,46,48,48,49,50,56,54,50,53,10,32,32,46,48,48,49,51,56,56,56,
      51,32,46,48,48,49,52,57,57,53,57,32,46,48,48,49,54,53,57,54,56,32,46,48,48,
      49,56,51,50,51,57,32,46,48,48,50,48,49,54,49,57,32,46,48,48,50,50,53,55,56,
      52,32,46,48,48,50,53,48,55,48,50,32,46,48,48,50,55,53,52,57,51,10,32,32,46,
      48,48,51,48,51,56,48,49,32,46,48,48,51,50,57,57,54,57,32,46,48,48,51,54,50,
      49,54,50,32,46,48,48,51,57,51,50,53,49,32,46,48,48,52,50,52,55,49,52,32,46,
      48,48,52,54,49,56,52,51,32,46,48,48,53,48,54,48,55,57,32,46,48,48,53,53,54,
      56,49,57,10,32,32,46,48,48,54,49,50,52,55,49,32,46,48,48,54,55,49,56,57,54,
      32,46,48,48,55,51,56,48,51,50,32,46,48,48,56,48,49,32,46,48,48,56,54,57,51,
      54,55,32,46,48,48,57,53,51,57,55,32,46,48,49,48,52,49,53,50,32,46,48,49,49,
      48,53,50,53,32,46,48,49,49,55,57,51,50,10,32,32,46,48,49,50,53,52,56,53,32,
      46,48,49,51,49,51,55,52,32,46,48,49,51,53,48,56,52,32,46,48,49,51,54,48,48,
      50,32,46,48,49,51,52,52,54,50,32,46,48,49,51,49,54,50,32,46,48,49,51,48,49,
      50,53,32,46,48,49,51,50,52,51,54,32,46,48,49,51,54,55,54,49,10,32,32,46,48,
      49,51,56,53,50,53,32,46,48,49,51,55,50,49,54,32,46,48,49,51,49,57,49,32,46,
      48,49,49,57,55,51,32,46,48,49,48,53,56,49,55,32,46,48,48,57,51,51,55,54,55,
      32,46,48,48,56,52,49,56,48,54,32,46,48,48,55,50,56,55,49,49,32,46,48,48,54,
      50,49,55,53,49,10,32,32,46,48,48,53,50,48,49,52,55,32,46,48,48,52,52,50,56,
      54,49,32,46,48,48,51,56,56,49,50,49,32,46,48,48,51,53,50,57,51,50,32,46,48,
      48,51,50,49,49,54,53,32,46,48,48,50,56,55,48,56,53,32,46,48,48,50,53,52,55,
      50,54,32,46,48,48,49,56,53,53,51,50,10,32,32,46,48,48,49,50,57,54,48,51,32,
      46,48,48,48,57,52,53,49,56,50,32,46,48,48,48,55,50,51,56,55,50,32,46,48,48,
      48,54,53,52,50,52,49,32,46,48,48,48,53,48,52,50,55,32,46,48,48,48,51,57,49,
      51,57,53,32,46,48,48,48,51,48,54,53,50,54,32,46,48,48,48,50,52,50,54,56,53,
      10,32,32,46,48,48,48,49,56,55,50,53,57,32,46,48,48,48,49,53,52,57,52,52,32,
      46,48,48,48,49,50,56,50,57,52,32,57,46,52,49,51,55,55,101,45,48,53,32,55,46,
      55,57,48,49,50,101,45,48,53,32,53,46,55,56,52,49,56,101,45,48,53,32,52,46,50,
      50,51,50,51,101,45,48,53,10,32,32,51,46,52,57,55,55,101,45,48,53,32,50,46,56,
      57,53,51,49,101,45,48,53,32,50,46,49,52,55,52,101,45,48,53,32,49,46,53,52,52,
      48,50,101,45,48,53,32,49,46,50,56,53,54,52,101,45,48,53,32,57,46,53,54,53,54,
      51,101,45,48,54,32,55,46,57,56,55,48,52,101,45,48,54,10,32,32,53,46,57,53,54,
      49,52,101,45,48,54,32,52,46,54,57,51,56,56,101,45,48,54,32,54,46,51,55,50,51,
      50,101,45,48,54,32,53,46,54,49,55,51,50,101,45,48,54,32,52,46,52,48,55,56,56,
      101,45,48,54,32,51,46,51,55,50,54,51,101,45,48,54,32,50,46,54,57,56,55,57,101,
      45,48,54,10,32,32,50,46,49,53,57,57,55,101,45,48,54,32,49,46,55,53,51,57,52,
      101,45,48,54,32,49,46,52,50,56,57,57,101,45,48,54,32,49,46,49,51,56,56,51,101,
      45,48,54,32,57,46,51,49,48,54,53,101,45,48,55,32,55,46,52,53,55,56,52,101,45,
      48,55,32,54,46,51,51,53,49,53,101,45,48,55,10,32,32,52,46,56,53,53,52,56,101,
      45,48,55,32,52,46,49,50,53,49,54,101,45,48,55,32,51,46,51,54,57,49,101,45,48,
      55,32,50,46,49,48,51,55,54,101,45,48,55,32,49,46,49,48,49,54,101,45,48,55,32,
      53,46,56,54,53,54,101,45,48,56,32,50,46,54,55,48,56,57,101,45,48,56,10,32,32,
      49,46,50,49,55,55,50,101,45,48,56,32,52,46,55,53,49,57,57,101,45,48,57,32,50,
      46,49,55,48,56,57,101,45,48,57,32,54,46,50,48,56,49,101,45,49,48,32,49,46,56,
      56,52,57,52,101,45,49,48,32,56,46,49,53,53,48,51,101,45,49,49,32,51,46,50,48,
      48,49,52,101,45,49,49,10,32,32,57,46,50,48,53,56,101,45,49,50,32,51,46,48,57,
      56,50,55,101,45,49,50,32,49,46,48,52,51,56,50,101,45,49,50,32,51,46,48,49,51,
      54,57,101,45,49,51,32,56,46,55,48,53,56,52,101,45,49,52,32,50,46,57,51,56,55,
      51,101,45,49,52,32,57,46,57,50,55,53,50,101,45,49,53,10,32,32,51,46,51,53,54,
      48,53,101,45,49,53,32,57,46,48,48,51,53,50,101,45,49,54,32,50,46,50,51,48,48,
      57,101,45,49,54,32,52,46,55,51,53,55,52,101,45,49,55,32,49,46,49,55,53,49,56,
      101,45,49,55,32,50,46,52,57,49,48,57,101,45,49,56,32,54,46,49,56,48,49,55,101,
      45,49,57,10,32,32,49,46,53,50,55,50,54,101,45,49,57,32,51,46,49,56,51,49,57,
      101,45,50,48,32,54,46,48,54,52,56,54,101,45,50,49,32,48,114,49,48,54,32,55,
      46,50,57,50,52,49,101,45,49,48,32,50,46,57,50,52,51,53,101,45,48,57,32,54,46,
      53,56,53,57,53,101,45,48,57,32,55,46,50,57,52,48,51,101,45,48,57,10,32,32,50,
      46,57,50,54,55,57,101,45,48,56,32,54,46,53,57,56,48,53,101,45,48,56,32,49,46,
      49,55,52,53,57,101,45,48,55,32,49,46,56,51,56,52,101,45,48,55,32,50,46,54,53,
      52,52,49,101,45,48,55,32,51,46,54,50,50,54,49,101,45,48,55,32,52,46,55,52,55,
      54,55,101,45,48,55,10,32,32,54,46,48,51,48,57,50,101,45,48,55,32,55,46,52,55,
      53,54,51,101,45,48,55,32,57,46,48,56,54,49,51,101,45,48,55,32,49,46,48,56,54,
      54,50,101,45,48,54,32,49,46,50,56,49,57,53,101,45,48,54,32,49,46,52,57,53,49,
      53,101,45,48,54,32,49,46,55,50,54,54,55,101,45,48,54,10,32,32,49,46,57,55,55,
      48,51,101,45,48,54,32,50,46,50,52,54,56,52,101,45,48,54,32,50,46,53,51,54,53,
      57,101,45,48,54,32,50,46,56,52,55,48,53,101,45,48,54,32,51,46,49,55,56,55,49,
      101,45,48,54,32,51,46,53,51,50,52,101,45,48,54,32,51,46,57,48,56,56,51,101,
      45,48,54,10,32,32,52,46,51,48,56,52,51,101,45,48,54,32,52,46,55,51,50,49,53,
      101,45,48,54,32,53,46,49,56,48,56,56,101,45,48,54,32,53,46,54,53,52,54,57,101,
      45,48,54,32,54,46,49,53,52,53,50,101,45,48,54,32,54,46,54,56,49,52,54,101,45,
      48,54,32,55,46,50,51,53,49,55,101,45,48,54,10,32,32,55,46,56,49,53,57,50,101,
      45,48,54,32,56,46,52,50,53,54,50,101,45,48,54,32,57,46,48,54,51,51,54,101,45,
      48,54,32,57,46,55,50,55,53,54,101,45,48,54,32,49,46,48,52,50,49,55,101,45,48,
      53,32,49,46,49,49,52,53,49,101,45,48,53,32,49,46,49,56,57,49,56,101,45,48,53,
      10,32,32,49,46,50,54,54,56,56,101,45,48,53,32,49,46,51,52,55,54,57,101,45,48,
      53,32,49,46,52,51,48,50,52,101,45,48,53,32,49,46,53,49,53,55,57,101,45,48,53,
      32,49,46,54,48,52,52,49,101,45,48,53,32,49,46,54,57,52,53,56,101,45,48,53,32,
      49,46,55,56,55,52,52,101,45,48,53,10,32,32,49,46,56,56,51,50,56,101,45,48,53,
      32,49,46,57,56,48,55,50,101,45,48,53,32,50,46,48,56,48,52,49,101,45,48,53,32,
      50,46,49,56,51,48,49,101,45,48,53,32,50,46,50,56,55,53,50,101,45,48,53,32,50,
      46,51,57,51,56,56,101,45,48,53,32,50,46,53,48,51,49,51,101,45,48,53,10,32,32,
      50,46,54,49,52,54,50,101,45,48,53,32,50,46,55,50,55,55,53,101,45,48,53,32,50,
      46,56,52,51,55,53,101,45,48,53,32,50,46,57,54,50,51,53,101,45,48,53,32,51,46,
      48,56,50,53,55,101,45,48,53,32,51,46,50,48,53,54,52,101,45,48,53,32,51,46,51,
      51,49,54,54,101,45,48,53,10,32,32,51,46,52,53,57,50,51,101,45,48,53,32,51,46,
      53,56,57,55,54,101,45,48,53,32,51,46,55,50,51,50,49,101,45,48,53,32,51,46,56,
      53,56,52,56,101,45,48,53,32,51,46,57,57,54,53,101,45,48,53,32,52,46,49,51,55,
      53,101,45,48,53,32,52,46,50,56,48,50,57,101,45,48,53,10,32,32,52,46,52,50,53,
      52,56,101,45,48,53,32,52,46,53,55,51,54,55,101,45,48,53,32,52,46,55,50,51,52,
      54,101,45,48,53,32,52,46,56,55,52,56,54,101,45,48,53,32,53,46,48,50,57,50,56,
      101,45,48,53,32,53,46,49,56,53,49,56,101,45,48,53,32,53,46,51,52,49,49,52,101,
      45,48,53,10,32,32,53,46,53,48,48,49,55,101,45,48,53,32,53,46,54,54,49,48,51,
      101,45,48,53,32,53,46,56,49,57,51,55,101,45,48,53,32,53,46,57,56,48,56,51,101,
      45,48,53,32,54,46,49,52,53,50,55,101,45,48,53,32,54,46,51,48,51,55,51,101,45,
      48,53,32,54,46,52,54,53,51,57,101,45,48,53,10,32,32,54,46,54,51,48,51,52,101,
      45,48,53,32,54,46,55,56,56,55,57,101,45,48,53,32,54,46,57,52,57,48,51,101,45,
      48,53,32,55,46,49,49,50,54,57,101,45,48,53,32,55,46,50,55,48,57,57,101,45,48,
      53,32,55,46,52,50,57,48,52,101,45,48,53,32,55,46,53,57,48,57,49,101,45,48,53,
      10,32,32,55,46,55,52,57,54,101,45,48,53,32,55,46,57,48,54,101,45,48,53,32,56,
      46,48,54,54,54,53,101,45,48,53,32,56,46,50,50,54,57,53,101,45,48,53,32,56,46,
      51,56,51,52,52,101,45,48,53,32,56,46,53,52,52,53,54,101,45,48,53,32,56,46,55,
      48,56,48,54,101,45,48,53,10,32,32,56,46,56,54,55,49,54,101,45,48,53,32,57,46,
      48,51,49,48,56,101,45,48,53,32,57,46,49,57,57,52,56,101,45,48,53,32,57,46,51,
      54,52,49,51,101,45,48,53,32,57,46,53,51,51,53,57,101,45,48,53,32,57,46,55,48,
      55,54,49,101,45,48,53,32,57,46,56,56,49,53,50,101,45,48,53,10,32,32,46,48,48,
      48,49,48,48,53,57,49,32,46,48,48,48,49,48,50,52,49,51,32,46,48,48,48,49,48,
      52,50,54,50,32,46,48,48,48,49,48,54,49,52,55,32,46,48,48,48,49,48,56,48,55,
      52,32,46,48,48,48,49,49,48,48,52,56,32,46,48,48,48,49,49,50,48,54,57,32,46,
      48,48,48,49,49,52,49,50,55,10,32,32,46,48,48,48,49,49,54,50,52,32,46,48,48,
      48,49,49,56,52,50,51,32,46,48,48,48,49,50,48,54,52,32,46,48,48,48,49,50,50,
      57,48,55,32,46,48,48,48,49,50,53,50,56,50,32,46,48,48,48,49,50,55,54,56,57,
      32,46,48,48,48,49,51,48,49,51,49,32,46,48,48,48,49,51,50,55,51,54,10,32,32,
      46,48,48,48,49,51,53,51,55,52,32,46,48,48,48,49,51,56,48,52,52,32,46,48,48,
      48,49,52,48,56,57,50,32,46,48,48,48,49,52,51,56,48,53,32,46,48,48,48,49,52,
      54,55,53,54,32,46,48,48,48,49,52,57,56,56,53,32,46,48,48,48,49,53,51,49,50,
      55,32,46,48,48,48,49,53,54,52,50,10,32,32,46,48,48,48,49,53,57,56,55,55,32,
      46,48,48,48,49,54,51,53,32,46,48,48,48,49,54,55,49,57,56,32,46,48,48,48,49,
      55,49,48,51,56,32,46,48,48,48,49,55,53,48,56,55,32,46,48,48,48,49,55,57,50,
      52,32,46,48,48,48,49,56,51,53,50,32,46,48,48,48,49,56,56,48,49,54,10,32,32,
      46,48,48,48,49,57,50,54,52,51,32,46,48,48,48,49,57,55,52,48,56,32,46,48,48,
      48,50,48,50,51,51,49,32,46,48,48,48,50,48,55,52,49,49,32,46,48,48,48,50,49,
      50,54,53,49,32,46,48,48,48,50,49,55,57,54,53,32,46,48,48,48,50,50,51,52,50,
      54,32,46,48,48,48,50,50,57,48,54,10,32,32,46,48,48,48,50,51,52,55,50,49,32,
      46,48,48,48,50,52,48,52,56,49,32,46,48,48,48,50,52,54,52,48,55,32,46,48,48,
      48,50,53,50,51,54,53,32,46,48,48,48,50,53,56,51,52,55,32,46,48,48,48,50,54,
      52,52,56,54,32,46,48,48,48,50,55,48,54,56,54,32,46,48,48,48,50,55,54,56,52,
      57,10,32,32,46,48,48,48,50,56,51,49,53,55,32,46,48,48,48,50,56,57,53,55,32,
      46,48,48,48,50,57,53,57,51,32,46,48,48,48,51,48,50,52,50,53,32,46,48,48,48,
      51,48,57,48,53,55,32,46,48,48,48,51,49,53,54,54,32,46,48,48,48,51,50,50,51,
      57,54,32,46,48,48,48,51,50,57,50,54,55,10,32,32,46,48,48,48,51,51,56,53,50,
      57,32,46,48,48,48,51,54,48,57,54,53,32,46,48,48,48,51,57,54,51,57,49,32,46,
      48,48,48,52,54,48,54,55,54,32,46,48,48,48,53,50,57,55,56,57,32,46,48,48,48,
      53,57,57,49,57,51,32,46,48,48,48,54,54,52,54,55,54,32,46,48,48,48,55,50,52,
      57,57,55,10,32,32,46,48,48,48,55,56,49,55,51,54,32,46,48,48,48,56,51,55,52,
      53,32,46,48,48,48,56,57,52,51,53,54,32,46,48,48,48,57,53,52,49,53,51,32,46,
      48,48,49,48,49,55,56,53,32,46,48,48,49,48,56,53,57,55,32,46,48,48,49,49,55,
      52,50,54,32,46,48,48,49,50,54,57,57,53,10,32,32,46,48,48,49,52,48,56,57,49,
      32,46,48,48,49,53,53,57,53,57,32,46,48,48,49,55,50,48,55,50,32,46,48,48,49,
      57,51,51,55,50,32,46,48,48,50,49,53,52,53,52,32,46,48,48,50,51,55,53,48,50,
      32,46,48,48,50,54,50,54,57,50,32,46,48,48,50,56,53,56,57,56,10,32,32,46,48,
      48,51,49,52,50,57,57,32,46,48,48,51,52,49,54,53,49,32,46,48,48,51,54,57,51,
      57,49,32,46,48,48,52,48,50,51,51,53,32,46,48,48,52,52,49,57,51,52,32,46,48,
      48,52,56,55,55,52,50,32,46,48,48,53,51,56,51,51,32,46,48,48,53,57,50,55,48,
      54,32,46,48,48,54,53,51,53,50,49,10,32,32,46,48,48,55,49,49,53,52,54,32,46,
      48,48,55,55,52,51,55,54,32,46,48,48,56,53,49,55,49,49,32,46,48,48,57,51,50,
      48,53,51,32,46,48,48,57,57,49,49,57,49,32,46,48,49,48,54,49,49,32,46,48,49,
      49,51,52,53,50,32,46,48,49,49,57,52,50,50,32,46,48,49,50,51,52,56,50,10,32,
      32,46,48,49,50,53,48,52,55,32,46,48,49,50,52,50,55,49,32,46,48,49,50,50,50,
      48,56,32,46,48,49,50,49,51,48,57,32,46,48,49,50,51,56,55,32,46,48,49,50,56,
      49,56,49,32,46,48,49,51,48,49,50,53,32,46,48,49,50,57,49,56,49,32,46,48,49,
      50,52,53,52,49,10,32,32,46,48,49,49,51,53,51,54,32,46,48,49,48,48,55,54,57,
      32,46,48,48,56,57,50,52,51,53,32,46,48,48,56,48,54,54,52,50,32,46,48,48,55,
      48,48,53,32,46,48,48,53,57,57,52,50,55,32,46,48,48,53,48,50,56,52,32,46,48,
      48,52,50,57,48,53,56,32,46,48,48,51,55,54,54,54,55,10,32,32,46,48,48,51,52,
      50,57,52,54,32,46,48,48,51,49,50,52,51,53,32,46,48,48,50,55,57,54,48,52,32,
      46,48,48,50,52,56,51,52,53,32,46,48,48,49,56,49,50,57,51,32,46,48,48,49,50,
      54,57,48,55,32,46,48,48,48,57,50,54,57,54,52,32,46,48,48,48,55,49,48,55,56,
      54,10,32,32,46,48,48,48,54,52,50,55,55,32,46,48,48,48,52,57,53,57,50,49,32,
      46,48,48,48,51,56,53,50,52,57,32,46,48,48,48,51,48,49,57,52,52,32,46,48,48,
      48,50,51,57,50,49,54,32,46,48,48,48,49,56,52,55,48,53,32,46,48,48,48,49,53,
      50,57,32,46,48,48,48,49,50,54,54,53,55,10,32,32,57,46,50,57,57,53,54,101,45,
      48,53,32,55,46,54,57,56,51,56,101,45,48,53,32,53,46,55,49,57,48,55,101,45,48,
      53,32,52,46,49,55,55,56,101,45,48,53,32,51,46,52,54,49,48,55,101,45,48,53,32,
      50,46,56,54,53,55,56,101,45,48,53,32,50,46,49,50,54,51,52,101,45,48,53,10,32,
      32,49,46,53,50,57,53,101,45,48,53,32,49,46,50,55,51,56,50,101,45,48,53,32,57,
      46,52,56,48,56,52,101,45,48,54,32,55,46,57,49,55,55,54,101,45,48,54,32,53,46,
      57,48,54,50,51,101,45,48,54,32,52,46,54,53,54,101,45,48,54,32,54,46,50,54,57,
      57,54,101,45,48,54,10,32,32,53,46,53,50,55,53,57,101,45,48,54,32,52,46,51,51,
      56,50,52,101,45,48,54,32,51,46,51,49,57,57,55,101,45,48,54,32,50,46,54,53,55,
      49,49,101,45,48,54,32,50,46,49,50,54,57,56,101,45,48,54,32,49,46,55,50,55,52,
      50,101,45,48,54,32,49,46,52,48,55,53,54,101,45,48,54,10,32,32,49,46,49,50,49,
      57,101,45,48,54,32,57,46,49,55,51,50,101,45,48,55,32,55,46,51,52,56,53,53,101,
      45,48,55,32,54,46,50,52,50,56,101,45,48,55,32,52,46,55,56,53,54,101,45,48,55,
      32,52,46,48,54,54,51,52,101,45,48,55,32,51,46,51,50,49,53,57,101,45,48,55,10,
      32,32,50,46,48,55,52,53,56,101,45,48,55,32,49,46,48,56,54,54,52,101,45,48,55,
      32,53,46,55,56,55,54,56,101,45,48,56,32,50,46,54,51,54,53,55,101,45,48,56,32,
      49,46,50,48,50,51,52,101,45,48,56,32,52,46,54,57,50,53,57,101,45,48,57,32,50,
      46,49,52,52,55,56,101,45,48,57,10,32,32,54,46,49,51,54,56,52,101,45,49,48,32,
      49,46,56,54,51,56,53,101,45,49,48,32,56,46,48,54,53,51,51,101,45,49,49,32,51,
      46,49,54,54,51,51,101,45,49,49,32,57,46,49,49,50,50,50,101,45,49,50,32,51,46,
      48,54,55,49,51,101,45,49,50,32,49,46,48,51,51,52,101,45,49,50,10,32,32,50,46,
      57,56,52,48,55,101,45,49,51,32,56,46,54,50,54,52,49,101,45,49,52,32,50,46,57,
      49,51,57,57,101,45,49,52,32,57,46,56,52,53,50,55,101,45,49,53,32,51,46,51,50,
      56,54,57,101,45,49,53,32,56,46,57,51,56,49,51,101,45,49,54,32,50,46,50,49,52,
      51,49,101,45,49,54,10,32,32,52,46,55,48,51,49,57,101,45,49,55,32,49,46,49,54,
      55,53,51,101,45,49,55,32,50,46,52,55,54,54,54,101,45,49,56,32,54,46,49,52,53,
      49,101,45,49,57,32,49,46,53,49,56,50,49,101,45,49,57,32,51,46,49,54,50,48,56,
      101,45,50,48,32,54,46,48,50,51,53,101,45,50,49,10,32,32,48,114,49,48,54,32,
      54,46,48,49,49,49,57,101,45,49,48,32,50,46,52,49,48,53,55,101,45,48,57,32,53,
      46,52,50,56,57,101,45,48,57,32,54,46,48,49,50,53,57,101,45,48,57,32,50,46,52,
      49,50,54,57,101,45,48,56,32,53,46,52,51,57,51,55,101,45,48,56,32,57,46,54,56,
      51,57,51,101,45,48,56,10,32,32,49,46,53,49,53,56,101,45,48,55,32,50,46,49,56,
      56,56,53,101,45,48,55,32,50,46,57,56,55,53,57,101,45,48,55,32,51,46,57,49,53,
      57,57,101,45,48,55,32,52,46,57,55,53,50,50,101,45,48,55,32,54,46,49,54,56,49,
      50,101,45,48,55,32,55,46,52,57,56,51,55,101,45,48,55,10,32,32,56,46,57,54,57,
      50,101,45,48,55,32,49,46,48,53,56,51,56,101,45,48,54,32,49,46,50,51,52,54,57,
      101,45,48,54,32,49,46,52,50,54,50,51,101,45,48,54,32,49,46,54,51,51,52,53,101,
      45,48,54,32,49,46,56,53,54,56,56,101,45,48,54,32,50,46,48,57,54,57,51,101,45,
      48,54,10,32,32,50,46,51,53,52,50,55,101,45,48,54,32,50,46,54,50,57,51,52,101,
      45,48,54,32,50,46,57,50,50,56,49,101,45,48,54,32,51,46,50,51,53,51,51,101,45,
      48,54,32,51,46,53,54,55,50,53,101,45,48,54,32,51,46,57,49,57,52,50,101,45,48,
      54,32,52,46,50,57,50,53,55,101,45,48,54,10,32,32,52,46,54,56,54,55,56,101,45,
      48,54,32,53,46,49,48,50,56,51,101,45,48,54,32,53,46,53,52,49,55,101,45,48,54,
      32,54,46,48,48,51,48,57,101,45,48,54,32,54,46,52,56,55,50,50,101,45,48,54,32,
      54,46,57,57,53,55,52,101,45,48,54,32,55,46,53,50,55,56,55,101,45,48,54,10,32,
      32,56,46,48,56,50,50,54,101,45,48,54,32,56,46,54,54,49,57,101,45,48,54,32,57,
      46,50,54,54,50,53,101,45,48,54,32,57,46,56,57,48,48,52,101,45,48,54,32,49,46,
      48,53,51,57,53,101,45,48,53,32,49,46,49,50,49,53,50,101,45,48,53,32,49,46,49,
      57,48,53,51,101,45,48,53,10,32,32,49,46,50,54,50,48,55,101,45,48,53,32,49,46,
      51,51,54,50,49,101,45,48,53,32,49,46,52,49,49,54,50,101,45,48,53,32,49,46,52,
      56,57,51,101,45,48,53,32,49,46,53,54,57,52,57,101,45,48,53,32,49,46,54,53,49,
      48,50,101,45,48,53,32,49,46,55,51,52,52,50,101,45,48,53,10,32,32,49,46,56,50,
      48,50,56,101,45,48,53,32,49,46,57,48,55,55,50,101,45,48,53,32,49,46,57,57,54,
      55,49,101,45,48,53,32,50,46,48,56,56,49,51,101,45,48,53,32,50,46,49,56,49,52,
      51,101,45,48,53,32,50,46,50,55,54,48,57,101,45,48,53,32,50,46,51,55,51,49,54,
      101,45,48,53,10,32,32,50,46,52,55,50,52,50,101,45,48,53,32,50,46,53,55,51,48,
      50,101,45,48,53,32,50,46,54,55,54,48,51,101,45,48,53,32,50,46,55,56,49,53,50,
      101,45,48,53,32,50,46,56,56,56,50,57,101,45,48,53,32,50,46,57,57,55,53,53,101,
      45,48,53,32,51,46,49,48,57,50,57,101,45,48,53,10,32,32,51,46,50,50,50,53,51,
      101,45,48,53,32,51,46,51,51,56,48,56,101,45,48,53,32,51,46,52,53,54,49,54,101,
      45,48,53,32,51,46,53,55,53,55,49,101,45,48,53,32,51,46,54,57,55,50,56,101,45,
      48,53,32,51,46,56,50,49,51,57,101,45,48,53,32,51,46,57,52,54,56,49,101,45,48,
      53,10,32,32,52,46,48,55,51,53,54,101,45,48,53,32,52,46,50,48,50,56,55,101,45,
      48,53,32,52,46,51,51,51,51,56,101,45,48,53,32,52,46,52,54,51,57,101,45,48,53,
      32,52,46,53,57,55,101,45,48,53,32,52,46,55,51,49,54,51,101,45,48,53,32,52,46,
      56,54,52,48,49,101,45,48,53,10,32,32,52,46,57,57,57,48,51,101,45,48,53,32,53,
      46,49,51,54,53,55,101,45,48,53,32,53,46,50,54,56,56,56,101,45,48,53,32,53,46,
      52,48,51,56,57,101,45,48,53,32,53,46,53,52,49,54,56,101,45,48,53,32,53,46,54,
      55,51,56,101,45,48,53,32,53,46,56,48,55,52,49,101,45,48,53,10,32,32,53,46,57,
      52,51,57,50,101,45,48,53,32,54,46,48,55,53,55,52,101,45,48,53,32,54,46,50,48,
      55,50,56,101,45,48,53,32,54,46,51,52,50,48,55,101,45,48,53,32,54,46,52,55,52,
      48,53,101,45,48,53,32,54,46,54,48,52,101,45,48,53,32,54,46,55,51,55,53,55,101,
      45,48,53,10,32,32,54,46,56,55,48,55,55,101,45,48,53,32,55,46,48,48,48,54,51,
      101,45,48,53,32,55,46,49,51,52,52,51,101,45,48,53,32,55,46,50,55,48,50,52,101,
      45,48,53,32,55,46,52,48,50,49,57,101,45,48,53,32,55,46,53,51,56,50,53,101,45,
      48,53,32,55,46,54,55,56,49,50,101,45,48,53,10,32,32,55,46,56,49,52,55,49,101,
      45,48,53,32,55,46,57,53,53,51,56,101,45,48,53,32,56,46,48,57,57,57,52,101,45,
      48,53,32,56,46,50,52,52,51,53,101,45,48,53,32,56,46,51,57,49,57,101,45,48,53,
      32,56,46,53,52,51,50,57,101,45,48,53,32,56,46,54,57,55,48,51,101,45,48,53,10,
      32,32,56,46,56,53,51,56,52,101,45,48,53,32,57,46,48,49,52,49,54,101,45,48,53,
      32,57,46,49,55,56,53,49,101,45,48,53,32,57,46,51,52,54,56,51,101,45,48,53,32,
      57,46,53,49,56,51,50,101,45,48,53,32,57,46,54,57,52,52,57,101,45,48,53,32,57,
      46,56,55,54,53,57,101,45,48,53,10,32,32,46,48,48,48,49,48,48,54,49,54,32,46,
      48,48,48,49,48,50,53,48,57,32,46,48,48,48,49,48,52,52,57,53,32,46,48,48,48,
      49,48,54,53,48,55,32,46,48,48,48,49,48,56,53,52,57,32,46,48,48,48,49,49,48,
      55,51,49,32,46,48,48,48,49,49,50,57,52,32,46,48,48,48,49,49,53,49,55,56,10,
      32,32,46,48,48,48,49,49,55,53,54,55,32,46,48,48,48,49,50,48,48,49,50,32,46,
      48,48,48,49,50,50,52,57,32,46,48,48,48,49,50,53,49,50,49,32,46,48,48,48,49,
      50,55,56,52,56,32,46,48,48,48,49,51,48,54,49,57,32,46,48,48,48,49,51,51,53,
      51,32,46,48,48,48,49,51,54,53,56,52,10,32,32,46,48,48,48,49,51,57,55,48,51,
      32,46,48,48,48,49,52,50,57,52,51,32,46,48,48,48,49,52,54,51,54,52,32,46,48,
      48,48,49,52,57,56,55,51,32,46,48,48,48,49,53,51,52,57,50,32,46,48,48,48,49,
      53,55,50,57,55,32,46,48,48,48,49,54,49,50,49,52,32,46,48,48,48,49,54,53,50,
      53,10,32,32,46,48,48,48,49,54,57,52,50,51,32,46,48,48,48,49,55,51,55,51,32,
      46,48,48,48,49,55,56,49,55,54,32,46,48,48,48,49,56,50,54,56,53,32,46,48,48,
      48,49,56,55,51,50,50,32,46,48,48,48,49,57,50,49,48,55,32,46,48,48,48,49,57,
      54,57,49,55,32,46,48,48,48,50,48,49,56,49,49,10,32,32,46,48,48,48,50,48,54,
      56,52,57,32,46,48,48,48,50,49,49,57,49,53,32,46,48,48,48,50,49,55,32,46,48,
      48,48,50,50,50,50,50,51,32,46,48,48,48,50,50,55,52,57,56,32,46,48,48,48,50,
      51,50,55,52,32,46,48,48,48,50,51,56,49,48,56,32,46,48,48,48,50,52,51,53,54,
      56,10,32,32,46,48,48,48,50,52,56,57,56,49,32,46,48,48,48,50,53,52,53,49,50,
      32,46,48,48,48,50,54,48,49,54,32,46,48,48,48,50,54,53,55,56,52,32,46,48,48,
      48,50,55,49,53,50,51,32,46,48,48,48,50,55,55,51,55,56,32,46,48,48,48,50,56,
      53,50,55,52,32,46,48,48,48,51,48,52,52,49,52,10,32,32,46,48,48,48,51,51,52,
      54,56,32,46,48,48,48,51,56,57,55,51,53,32,46,48,48,48,52,52,57,48,55,56,32,
      46,48,48,48,53,48,56,55,52,55,32,46,48,48,48,53,54,53,48,49,56,32,46,48,48,
      48,54,49,54,55,54,56,32,46,48,48,48,54,54,53,51,55,50,32,46,48,48,48,55,49,
      51,48,55,56,10,32,32,46,48,48,48,55,54,49,56,52,56,32,46,48,48,48,56,49,51,
      49,56,51,32,46,48,48,48,56,54,55,57,55,52,32,46,48,48,48,57,50,54,55,49,51,
      32,46,48,48,49,48,48,51,48,51,32,46,48,48,49,48,56,53,57,56,32,46,48,48,49,
      50,48,54,56,52,32,46,48,48,49,51,51,56,51,57,10,32,32,46,48,48,49,52,55,57,
      54,50,32,46,48,48,49,54,54,55,49,49,32,46,48,48,49,56,54,50,51,56,32,46,48,
      48,50,48,53,55,57,56,32,46,48,48,50,50,56,49,55,52,32,46,48,48,50,52,56,55,
      51,55,32,46,48,48,50,55,51,56,48,52,32,46,48,48,50,57,55,56,57,56,10,32,32,
      46,48,48,51,50,50,51,55,54,32,46,48,48,51,53,49,54,48,51,32,46,48,48,51,56,
      54,57,57,56,32,46,48,48,52,50,56,50,52,54,32,46,48,48,52,55,52,48,56,53,32,
      46,48,48,53,50,51,54,53,57,32,46,48,48,53,55,57,51,56,32,46,48,48,54,51,50,
      54,55,52,32,46,48,48,54,57,48,50,55,10,32,32,46,48,48,55,54,48,56,54,49,32,
      46,48,48,56,51,52,52,54,57,32,46,48,48,56,56,57,50,48,56,32,46,48,48,57,53,
      52,57,48,54,32,46,48,49,48,50,53,55,32,46,48,49,48,56,53,51,53,32,46,48,49,
      49,50,56,51,53,32,46,48,49,49,52,57,49,55,32,46,48,49,49,52,55,56,54,10,32,
      32,46,48,49,49,51,51,57,53,32,46,48,49,49,51,48,49,32,46,48,49,49,53,55,55,
      50,32,46,48,49,50,48,48,52,57,32,46,48,49,50,50,49,51,57,32,46,48,49,50,49,
      53,49,57,32,46,48,49,49,55,52,56,55,32,46,48,49,48,55,53,55,51,32,46,48,48,
      57,53,56,56,49,51,10,32,32,46,48,48,56,53,50,50,49,50,32,46,48,48,55,55,50,
      51,49,50,32,46,48,48,54,55,50,56,52,52,32,46,48,48,53,55,55,52,53,51,32,46,
      48,48,52,56,53,55,52,56,32,46,48,48,52,49,53,51,56,50,32,46,48,48,51,54,53,
      50,57,50,32,46,48,48,51,51,51,48,49,56,10,32,32,46,48,48,51,48,51,55,52,49,
      32,46,48,48,50,55,50,49,52,50,32,46,48,48,50,52,49,57,55,32,46,48,48,49,55,
      55,48,52,56,32,46,48,48,49,50,52,50,32,46,48,48,48,57,48,56,54,50,57,32,46,
      48,48,48,54,57,55,54,32,46,48,48,48,54,51,49,50,48,49,32,46,48,48,48,52,56,
      55,52,57,52,10,32,32,46,48,48,48,51,55,57,48,52,51,32,46,48,48,48,50,57,55,
      51,48,56,32,46,48,48,48,50,51,53,55,48,51,32,46,48,48,48,49,56,50,49,49,57,
      32,46,48,48,48,49,53,48,56,50,57,32,46,48,48,48,49,50,52,57,57,53,32,57,46,
      49,56,51,54,49,101,45,48,53,32,55,46,54,48,53,50,54,101,45,48,53,10,32,32,53,
      46,54,53,51,48,49,101,45,48,53,32,52,46,49,51,49,55,101,45,48,53,32,51,46,52,
      50,51,56,55,101,45,48,53,32,50,46,56,51,53,55,55,101,45,48,53,32,50,46,49,48,
      52,57,52,101,45,48,53,32,49,46,53,49,52,55,53,101,45,48,53,32,49,46,50,54,49,
      56,49,101,45,48,53,10,32,32,57,46,51,57,52,53,53,101,45,48,54,32,55,46,56,52,
      55,49,56,101,45,48,54,32,53,46,56,53,53,50,56,101,45,48,54,32,52,46,54,49,55,
      50,57,101,45,48,54,32,54,46,49,54,56,54,49,101,45,48,54,32,53,46,52,51,56,57,
      101,45,48,54,32,52,46,50,54,57,53,53,101,45,48,54,10,32,32,51,46,50,54,56,48,
      52,101,45,48,54,32,50,46,54,49,53,57,49,101,45,48,54,32,50,46,48,57,52,50,56,
      101,45,48,54,32,49,46,55,48,49,48,56,101,45,48,54,32,49,46,51,56,54,50,57,101,
      45,48,54,32,49,46,49,48,53,49,50,101,45,48,54,32,57,46,48,51,55,48,53,101,45,
      48,55,10,32,32,55,46,50,52,48,52,101,45,48,55,32,54,46,49,53,49,53,101,45,48,
      55,32,52,46,55,49,54,51,49,101,45,48,55,32,52,46,48,48,55,56,49,101,45,48,55,
      32,51,46,50,55,52,49,52,101,45,48,55,32,50,46,48,52,53,55,49,101,45,48,55,32,
      49,46,48,55,49,57,101,45,48,55,10,32,32,53,46,55,49,48,53,50,101,45,48,56,32,
      50,46,54,48,49,57,54,101,45,48,56,32,49,46,49,56,54,57,52,101,45,48,56,32,52,
      46,54,51,51,56,57,101,45,48,57,32,50,46,49,49,56,52,54,101,45,48,57,32,54,46,
      48,54,54,54,50,101,45,49,48,32,49,46,56,52,51,49,51,101,45,49,48,10,32,32,55,
      46,57,55,55,50,52,101,45,49,49,32,51,46,49,51,50,49,52,101,45,49,49,32,57,46,
      48,49,55,51,49,101,45,49,50,32,51,46,48,51,54,48,56,101,45,49,50,32,49,46,48,
      50,51,49,52,101,45,49,50,32,50,46,57,53,53,48,53,101,45,49,51,32,56,46,53,52,
      52,50,49,101,45,49,52,10,32,32,50,46,56,56,55,51,54,101,45,49,52,32,57,46,55,
      54,52,50,56,101,45,49,53,32,51,46,51,48,50,101,45,49,53,32,56,46,56,55,52,52,
      53,101,45,49,54,32,50,46,49,57,56,57,54,101,45,49,54,32,52,46,54,55,49,53,51,
      101,45,49,55,32,49,46,49,53,57,54,57,101,45,49,55,10,32,32,50,46,52,53,57,53,
      101,45,49,56,32,54,46,49,48,52,51,53,101,45,49,57,32,49,46,53,48,56,51,54,101,
      45,49,57,32,51,46,49,52,48,50,55,101,45,50,48,32,53,46,57,56,50,53,56,101,45,
      50,49,32,48,114,49,48,54,32,53,46,48,57,49,49,52,101,45,49,48,32,50,46,48,52,
      49,54,51,101,45,48,57,10,32,32,52,46,53,57,55,57,57,101,45,48,57,32,53,46,48,
      57,50,51,53,101,45,48,57,32,50,46,48,52,51,52,52,101,45,48,56,32,52,46,54,48,
      55,101,45,48,56,32,56,46,50,48,50,50,101,45,48,56,32,49,46,50,56,51,57,101,
      45,48,55,32,49,46,56,53,52,48,51,101,45,48,55,10,32,32,50,46,53,51,48,54,54,
      101,45,48,55,32,51,46,51,49,55,49,57,101,45,48,55,32,52,46,50,49,52,54,50,101,
      45,48,55,32,53,46,50,50,53,51,57,101,45,48,55,32,54,46,51,53,50,54,52,101,45,
      48,55,32,55,46,53,57,57,49,54,101,45,48,55,32,56,46,57,54,55,55,49,101,45,48,
      55,10,32,32,49,46,48,52,54,50,50,101,45,48,54,32,49,46,50,48,56,54,49,101,45,
      48,54,32,49,46,51,56,52,51,101,45,48,54,32,49,46,53,55,51,55,55,101,45,48,54,
      32,49,46,55,55,55,51,54,101,45,48,54,32,49,46,57,57,53,54,52,101,45,48,54,32,
      50,46,50,50,57,101,45,48,54,10,32,32,50,46,52,55,56,48,49,101,45,48,54,32,50,
      46,55,52,51,50,51,101,45,48,54,32,51,46,48,50,52,57,54,101,45,48,54,32,51,46,
      51,50,51,57,50,101,45,48,54,32,51,46,54,52,48,55,51,101,45,48,54,32,51,46,57,
      55,53,52,57,101,45,48,54,32,52,46,51,50,56,56,53,101,45,48,54,10,32,32,52,46,
      55,48,49,54,54,101,45,48,54,32,53,46,48,57,51,54,54,101,45,48,54,32,53,46,53,
      48,53,48,52,101,45,48,54,32,53,46,57,51,55,50,50,101,45,48,54,32,54,46,51,56,
      57,53,52,101,45,48,54,32,54,46,56,54,48,56,50,101,45,48,54,32,55,46,51,53,51,
      54,53,101,45,48,54,10,32,32,55,46,56,54,55,53,53,101,45,48,54,32,56,46,51,57,
      56,48,50,101,45,48,54,32,56,46,57,53,48,52,101,45,48,54,32,57,46,53,50,53,49,
      53,101,45,48,54,32,49,46,48,49,49,50,49,101,45,48,53,32,49,46,48,55,50,48,55,
      101,45,48,53,32,49,46,49,51,53,49,53,101,45,48,53,10,32,32,49,46,49,57,57,51,
      49,101,45,48,53,32,49,46,50,54,53,52,101,45,48,53,32,49,46,51,51,51,54,51,101,
      45,48,53,32,49,46,52,48,51,101,45,48,53,32,49,46,52,55,51,57,54,101,45,48,53,
      32,49,46,53,52,55,48,50,101,45,48,53,32,49,46,54,50,49,52,51,101,45,48,53,10,
      32,32,49,46,54,57,55,49,53,101,45,48,53,32,49,46,55,55,52,57,51,101,45,48,53,
      32,49,46,56,53,52,51,51,101,45,48,53,32,49,46,57,51,52,56,55,101,45,48,53,32,
      50,46,48,49,55,52,56,101,45,48,53,32,50,46,49,48,49,57,53,101,45,48,53,32,50,
      46,49,56,55,53,53,101,45,48,53,10,32,32,50,46,50,55,53,50,101,45,48,53,32,50,
      46,51,54,52,57,56,101,45,48,53,32,50,46,52,53,53,56,52,101,45,48,53,32,50,46,
      53,52,56,56,51,101,45,48,53,32,50,46,54,52,51,57,50,101,45,48,53,32,50,46,55,
      52,48,51,101,45,48,53,32,50,46,56,51,56,54,52,101,45,48,53,10,32,32,50,46,57,
      51,57,49,52,101,45,48,53,32,51,46,48,52,48,56,57,101,45,48,53,32,51,46,49,52,
      52,51,54,101,45,48,53,32,51,46,50,52,57,57,57,101,45,48,53,32,51,46,51,53,54,
      55,52,101,45,48,53,32,51,46,52,54,52,54,49,101,45,48,53,32,51,46,53,55,52,54,
      54,101,45,48,53,10,32,32,51,46,54,56,53,55,52,101,45,48,53,32,51,46,55,57,54,
      55,57,101,45,48,53,32,51,46,57,49,48,48,53,101,45,48,53,32,52,46,48,50,52,54,
      49,101,45,48,53,32,52,46,49,51,55,50,49,101,45,48,53,32,52,46,50,53,50,48,55,
      101,45,48,53,32,52,46,51,54,57,48,55,101,45,48,53,10,32,32,52,46,52,56,49,53,
      53,101,45,48,53,32,52,46,53,57,54,51,52,101,45,48,53,32,52,46,55,49,51,53,49,
      101,45,48,53,32,52,46,56,50,53,55,55,101,45,48,53,32,52,46,57,51,57,51,101,
      45,48,53,32,53,46,48,53,53,51,49,101,45,48,53,32,53,46,49,54,55,50,54,101,45,
      48,53,10,32,32,53,46,50,55,56,57,53,101,45,48,53,32,53,46,51,57,51,52,50,101,
      45,48,53,32,53,46,53,48,53,52,54,101,45,48,53,32,53,46,54,49,53,55,52,101,45,
      48,53,32,53,46,55,50,57,49,49,101,45,48,53,32,53,46,56,52,50,49,53,101,45,48,
      53,32,53,46,57,53,50,51,49,101,45,48,53,10,32,32,54,46,48,54,53,56,52,101,45,
      48,53,32,54,46,49,56,49,48,56,101,45,48,53,32,54,46,50,57,50,57,57,101,45,48,
      53,32,54,46,52,48,56,52,51,101,45,48,53,32,54,46,53,50,55,49,50,101,45,48,53,
      32,54,46,54,52,50,57,55,101,45,48,53,32,54,46,55,54,50,51,51,101,45,48,53,10,
      32,32,54,46,56,56,53,48,50,101,45,48,53,32,55,46,48,48,55,53,55,101,45,48,53,
      32,55,46,49,51,50,56,101,45,48,53,32,55,46,50,54,49,51,49,101,45,48,53,32,55,
      46,51,57,49,56,52,101,45,48,53,32,55,46,53,50,52,57,57,101,45,48,53,32,55,46,
      54,54,49,49,52,101,45,48,53,10,32,32,55,46,56,48,48,55,52,101,45,48,53,32,55,
      46,57,52,51,55,52,101,45,48,53,32,56,46,48,56,57,52,53,101,45,48,53,32,56,46,
      50,51,57,49,56,101,45,48,53,32,56,46,51,57,51,57,55,101,45,48,53,32,56,46,53,
      53,49,50,53,101,45,48,53,32,56,46,55,49,50,50,52,101,45,48,53,10,32,32,56,46,
      56,56,49,49,49,101,45,48,53,32,57,46,48,53,50,50,56,101,45,48,53,32,57,46,50,
      50,54,48,51,101,45,48,53,32,57,46,52,49,49,55,51,101,45,48,53,32,57,46,53,57,
      57,56,49,101,45,48,53,32,57,46,55,57,48,50,54,101,45,48,53,32,57,46,57,57,51,
      56,101,45,48,53,10,32,32,46,48,48,48,49,48,50,48,50,49,32,46,48,48,48,49,48,
      52,49,51,50,32,46,48,48,48,49,48,54,51,55,51,32,46,48,48,48,49,48,56,54,57,
      56,32,46,48,48,48,49,49,49,48,54,49,32,46,48,48,48,49,49,51,53,52,51,32,46,
      48,48,48,49,49,54,49,52,57,32,46,48,48,48,49,49,56,56,49,10,32,32,46,48,48,
      48,49,50,49,53,55,53,32,46,48,48,48,49,50,52,52,57,54,32,46,48,48,48,49,50,
      55,52,57,51,32,46,48,48,48,49,51,48,53,56,51,32,46,48,48,48,49,51,51,56,51,
      52,32,46,48,48,48,49,51,55,49,56,49,32,46,48,48,48,49,52,48,54,51,49,32,46,
      48,48,48,49,52,52,49,57,57,10,32,32,46,48,48,48,49,52,55,56,56,50,32,46,48,
      48,48,49,53,49,54,56,53,32,46,48,48,48,49,53,53,53,52,51,32,46,48,48,48,49,
      53,57,53,49,32,46,48,48,48,49,54,51,54,48,54,32,46,48,48,48,49,54,55,55,50,
      51,32,46,48,48,48,49,55,49,57,49,51,32,46,48,48,48,49,55,54,50,50,56,10,32,
      32,46,48,48,48,49,56,48,53,54,54,32,46,48,48,48,49,56,52,57,50,50,32,46,48,
      48,48,49,56,57,51,57,54,32,46,48,48,48,49,57,51,57,49,54,32,46,48,48,48,49,
      57,56,52,48,56,32,46,48,48,48,50,48,51,48,48,57,32,46,48,48,48,50,48,55,54,
      56,57,32,46,48,48,48,50,49,50,51,50,57,10,32,32,46,48,48,48,50,49,55,48,55,
      32,46,48,48,48,50,50,49,57,49,52,32,46,48,48,48,50,50,54,55,51,54,32,46,48,
      48,48,50,51,49,54,53,57,32,46,48,48,48,50,51,54,54,56,50,32,46,48,48,48,50,
      52,51,52,53,55,32,46,48,48,48,50,53,57,56,56,56,32,46,48,48,48,50,56,53,56,
      57,50,10,32,32,46,48,48,48,51,51,51,50,55,49,32,46,48,48,48,51,56,52,52,51,
      52,32,46,48,48,48,52,51,53,57,51,53,32,46,48,48,48,52,56,52,53,48,52,32,46,
      48,48,48,53,50,57,49,51,32,46,48,48,48,53,55,49,48,48,53,32,46,48,48,48,54,
      49,50,48,57,56,32,46,48,48,48,54,53,52,49,51,51,10,32,32,46,48,48,48,54,57,
      56,52,51,49,32,46,48,48,48,55,52,53,55,55,55,32,46,48,48,48,55,57,54,54,49,
      53,32,46,48,48,48,56,54,50,55,56,52,32,46,48,48,48,57,51,52,56,53,55,32,46,
      48,48,49,48,52,48,49,52,32,46,48,48,49,49,53,53,48,56,32,46,48,48,49,50,55,
      56,56,56,10,32,32,46,48,48,49,52,52,51,56,52,32,46,48,48,49,54,49,54,51,54,
      32,46,48,48,49,55,56,57,54,57,32,46,48,48,49,57,56,56,50,54,32,46,48,48,50,
      49,55,48,52,51,32,46,48,48,50,51,57,49,56,49,32,46,48,48,50,54,48,52,50,52,
      32,46,48,48,50,56,50,48,52,49,10,32,32,46,48,48,51,48,55,57,55,53,32,46,48,
      48,51,51,57,53,56,51,32,46,48,48,51,55,54,54,54,55,32,46,48,48,52,49,56,49,
      49,55,32,46,48,48,52,54,51,50,48,52,32,46,48,48,53,49,52,49,50,52,32,46,48,
      48,53,54,50,57,53,54,32,46,48,48,54,49,53,54,53,54,10,32,32,46,48,48,54,56,
      48,48,50,32,46,48,48,55,52,55,51,55,51,32,46,48,48,55,57,55,57,51,54,32,46,
      48,48,56,53,57,52,54,50,32,46,48,48,57,50,55,50,57,50,32,46,48,48,57,56,54,
      50,49,51,32,46,48,49,48,51,48,55,50,32,46,48,49,48,53,53,54,49,32,46,48,49,
      48,53,57,54,54,10,32,32,46,48,49,48,53,49,53,51,32,46,48,49,48,53,50,48,57,
      32,46,48,49,48,56,49,50,54,32,46,48,49,49,50,51,52,57,32,46,48,49,49,52,53,
      53,55,32,46,48,49,49,52,50,50,53,32,46,48,49,49,48,55,52,54,32,46,48,49,48,
      49,56,52,32,46,48,48,57,49,49,53,54,10,32,32,46,48,48,56,49,51,49,52,50,32,
      46,48,48,55,51,56,56,51,56,32,46,48,48,54,52,53,55,55,50,32,46,48,48,53,53,
      53,56,54,54,32,46,48,48,52,54,56,56,57,55,32,46,48,48,52,48,49,56,54,32,46,
      48,48,51,53,52,48,49,52,32,46,48,48,51,50,51,49,53,32,46,48,48,50,57,53,48,
      57,52,10,32,32,46,48,48,50,54,52,55,49,51,32,46,48,48,50,51,53,54,49,54,32,
      46,48,48,49,55,50,56,32,46,48,48,49,50,49,52,56,53,32,46,48,48,48,56,57,48,
      50,49,49,32,46,48,48,48,54,56,52,51,50,55,32,46,48,48,48,54,49,57,53,52,54,
      32,46,48,48,48,52,55,56,57,57,53,10,32,32,46,48,48,48,51,55,50,55,55,50,32,
      46,48,48,48,50,57,50,54,50,53,32,46,48,48,48,50,51,50,49,53,51,32,46,48,48,
      48,49,55,57,53,48,49,32,46,48,48,48,49,52,56,55,51,50,32,46,48,48,48,49,50,
      51,51,49,50,32,57,46,48,54,54,48,50,101,45,48,53,32,55,46,53,49,48,55,50,101,
      45,48,53,10,32,32,53,46,53,56,53,56,53,101,45,48,53,32,52,46,48,56,52,56,52,
      101,45,48,53,32,51,46,51,56,54,48,55,101,45,48,53,32,50,46,56,48,53,50,55,101,
      45,48,53,32,50,46,48,56,51,49,56,101,45,48,53,32,49,46,52,57,57,55,51,101,45,
      48,53,32,49,46,50,52,57,53,56,101,45,48,53,10,32,32,57,46,51,48,54,54,55,101,
      45,48,54,32,55,46,55,55,53,51,50,101,45,48,54,32,53,46,56,48,51,51,57,101,45,
      48,54,32,52,46,53,55,55,54,51,101,45,48,54,32,54,46,48,54,56,50,52,101,45,48,
      54,32,53,46,51,53,48,57,101,45,48,54,32,52,46,50,48,49,50,53,101,45,48,54,10,
      32,32,51,46,50,49,54,52,57,101,45,48,54,32,50,46,53,55,53,49,49,101,45,48,54,
      32,50,46,48,54,49,57,52,101,45,48,54,32,49,46,54,55,53,48,52,101,45,48,54,32,
      49,46,51,54,53,50,53,101,45,48,54,32,49,46,48,56,56,53,101,45,48,54,32,56,46,
      57,48,50,52,50,101,45,48,55,10,32,32,55,46,49,51,51,54,53,101,45,48,55,32,54,
      46,48,54,49,52,55,101,45,48,55,32,52,46,54,52,55,57,56,101,45,48,55,32,51,46,
      57,53,48,48,55,101,45,48,55,32,51,46,50,50,55,50,57,101,45,48,55,32,50,46,48,
      49,54,56,51,101,45,48,55,32,49,46,48,53,55,49,50,101,45,48,55,10,32,32,53,46,
      54,51,51,49,55,101,45,48,56,32,50,46,53,54,55,53,50,101,45,48,56,32,49,46,49,
      55,49,54,51,101,45,48,56,32,52,46,53,55,54,48,56,101,45,48,57,32,50,46,48,57,
      50,53,53,101,45,48,57,32,53,46,57,57,52,53,52,101,45,49,48,32,49,46,56,50,50,
      53,51,101,45,49,48,10,32,32,55,46,56,56,56,57,52,101,45,49,49,32,51,46,48,57,
      56,48,55,101,45,49,49,32,56,46,57,50,49,53,52,101,45,49,50,32,51,46,48,48,53,
      49,56,101,45,49,50,32,49,46,48,49,51,48,56,101,45,49,50,32,50,46,57,50,54,54,
      101,45,49,51,32,56,46,52,54,51,54,56,101,45,49,52,10,32,32,50,46,56,54,48,54,
      51,101,45,49,52,32,57,46,54,55,53,52,56,101,45,49,53,32,51,46,50,55,52,54,53,
      101,45,49,53,32,56,46,56,49,49,56,101,45,49,54,32,50,46,49,56,51,50,50,101,
      45,49,54,32,52,46,54,51,55,52,52,101,45,49,55,32,49,46,49,53,49,49,57,101,45,
      49,55,10,32,32,50,46,52,52,49,55,52,101,45,49,56,32,54,46,48,54,48,57,49,101,
      45,49,57,32,49,46,52,57,56,48,52,101,45,49,57,32,51,46,49,49,57,48,56,101,45,
      50,48,32,53,46,57,52,50,56,50,101,45,50,49,32,48,114,49,48,54,32,52,46,51,54,
      57,51,51,101,45,49,48,32,49,46,55,53,50,49,54,101,45,48,57,10,32,32,51,46,57,
      52,54,48,55,101,45,48,57,32,52,46,51,55,48,51,51,101,45,48,57,32,49,46,55,53,
      51,54,55,101,45,48,56,32,51,46,57,53,51,53,51,101,45,48,56,32,55,46,48,51,56,
      51,54,101,45,48,56,32,49,46,49,48,49,54,52,101,45,48,55,32,49,46,53,57,48,54,
      56,101,45,48,55,10,32,32,50,46,49,55,48,57,55,101,45,48,55,32,50,46,56,52,53,
      51,52,101,45,48,55,32,51,46,54,49,52,54,50,101,45,48,55,32,52,46,52,56,48,56,
      51,101,45,48,55,32,53,46,52,52,54,53,57,101,45,48,55,32,54,46,53,49,52,50,49,
      101,45,48,55,32,55,46,54,56,53,57,57,101,45,48,55,10,32,32,56,46,57,54,53,49,
      55,101,45,48,55,32,49,46,48,51,53,52,54,101,45,48,54,32,49,46,49,56,53,55,53,
      101,45,48,54,32,49,46,51,52,55,55,53,101,45,48,54,32,49,46,53,50,49,55,54,101,
      45,48,54,32,49,46,55,48,56,50,56,101,45,48,54,32,49,46,57,48,55,54,101,45,48,
      54,10,32,32,50,46,49,50,48,50,50,101,45,48,54,32,50,46,51,52,54,53,57,101,45,
      48,54,32,50,46,53,56,54,57,55,101,45,48,54,32,50,46,56,52,49,57,53,101,45,48,
      54,32,51,46,49,49,50,48,56,101,45,48,54,32,51,46,51,57,55,52,51,101,45,48,54,
      32,51,46,54,57,56,53,52,101,45,48,54,10,32,32,52,46,48,49,54,49,50,101,45,48,
      54,32,52,46,51,52,57,57,54,101,45,48,54,32,52,46,55,48,48,50,52,101,45,48,54,
      32,53,46,48,54,56,49,50,101,45,48,54,32,53,46,52,53,51,48,54,101,45,48,54,32,
      53,46,56,53,52,49,101,45,48,54,32,54,46,50,55,51,51,56,101,45,48,54,10,32,32,
      54,46,55,49,48,53,50,101,45,48,54,32,55,46,49,54,49,55,52,101,45,48,54,32,55,
      46,54,51,49,53,50,101,45,48,54,32,56,46,49,50,48,50,52,101,45,48,54,32,56,46,
      54,49,57,52,51,101,45,48,54,32,57,46,49,51,54,57,50,101,45,48,54,32,57,46,54,
      55,51,50,50,101,45,48,54,10,32,32,49,46,48,50,49,56,56,101,45,48,53,32,49,46,
      48,55,56,48,55,101,45,48,53,32,49,46,49,51,54,48,56,101,45,48,53,32,49,46,49,
      57,53,48,54,101,45,48,53,32,49,46,50,53,53,52,101,45,48,53,32,49,46,51,49,55,
      53,49,101,45,48,53,32,49,46,51,56,48,55,55,101,45,48,53,10,32,32,49,46,52,52,
      53,49,53,101,45,48,53,32,49,46,53,49,49,50,56,101,45,48,53,32,49,46,53,55,56,
      55,57,101,45,48,53,32,49,46,54,52,55,50,54,101,45,48,53,32,49,46,55,49,55,52,
      57,101,45,48,53,32,49,46,55,56,57,51,101,45,48,53,32,49,46,56,54,50,48,56,101,
      45,48,53,10,32,32,49,46,57,51,54,54,101,45,48,53,32,50,46,48,49,50,57,50,101,
      45,48,53,32,50,46,48,57,48,49,53,101,45,48,53,32,50,46,49,54,57,50,101,45,48,
      53,32,50,46,50,53,48,48,50,101,45,48,53,32,50,46,51,51,49,57,52,101,45,48,53,
      32,50,46,52,49,53,53,51,101,45,48,53,10,32,32,50,46,53,48,48,57,53,101,45,48,
      53,32,50,46,53,56,55,52,51,101,45,48,53,32,50,46,54,55,53,51,55,101,45,48,53,
      32,50,46,55,54,53,49,52,101,45,48,53,32,50,46,56,53,53,56,55,101,45,48,53,32,
      50,46,57,52,55,53,52,101,45,48,53,32,51,46,48,52,49,48,55,101,45,48,53,10,32,
      32,51,46,49,51,53,52,56,101,45,48,53,32,51,46,50,50,57,56,56,101,45,48,53,32,
      51,46,51,50,54,49,52,101,45,48,53,32,51,46,52,50,51,53,49,101,45,48,53,32,51,
      46,53,49,57,50,54,101,45,48,53,32,51,46,54,49,54,57,101,45,48,53,32,51,46,55,
      49,54,51,55,101,45,48,53,10,32,32,51,46,56,49,50,48,53,101,45,48,53,32,51,46,
      57,48,57,54,56,101,45,48,53,32,52,46,48,48,57,51,51,101,45,48,53,32,52,46,49,
      48,52,56,54,101,45,48,53,32,52,46,50,48,49,52,55,101,45,48,53,32,52,46,51,48,
      48,49,57,101,45,48,53,32,52,46,51,57,53,53,101,45,48,53,10,32,32,52,46,52,57,
      48,54,50,101,45,48,53,32,52,46,53,56,56,48,57,101,45,48,53,32,52,46,54,56,51,
      53,52,101,45,48,53,32,52,46,55,55,55,53,50,101,45,48,53,32,52,46,56,55,52,49,
      50,101,45,48,53,32,52,46,57,55,48,52,55,101,45,48,53,32,53,46,48,54,52,52,49,
      101,45,48,53,10,32,32,53,46,49,54,49,50,49,101,45,48,53,32,53,46,50,53,57,52,
      54,101,45,48,53,32,53,46,51,53,52,57,52,101,45,48,53,32,53,46,52,53,51,52,101,
      45,48,53,32,53,46,53,53,52,54,50,101,45,48,53,32,53,46,54,53,51,52,56,101,45,
      48,53,32,53,46,55,53,53,51,101,45,48,53,10,32,32,53,46,56,53,57,57,52,101,45,
      48,53,32,53,46,57,54,52,52,56,101,45,48,53,32,54,46,48,55,49,51,101,45,48,53,
      32,54,46,49,56,48,56,57,101,45,48,53,32,54,46,50,57,50,49,57,101,45,48,53,32,
      54,46,52,48,53,55,50,101,45,48,53,32,54,46,53,50,49,55,56,101,45,48,53,10,32,
      32,54,46,54,52,48,55,54,101,45,48,53,32,54,46,55,54,50,54,101,45,48,53,32,54,
      46,56,56,54,55,53,101,45,48,53,32,55,46,48,49,52,50,55,101,45,48,53,32,55,46,
      49,52,54,48,54,101,45,48,53,32,55,46,50,55,57,57,55,101,45,48,53,32,55,46,52,
      49,55,101,45,48,53,10,32,32,55,46,53,54,48,54,53,101,45,48,53,32,55,46,55,48,
      54,50,52,101,45,48,53,32,55,46,56,53,52,48,50,101,45,48,53,32,56,46,48,49,49,
      56,51,101,45,48,53,32,56,46,49,55,49,54,54,101,45,48,53,32,56,46,51,51,51,52,
      57,101,45,48,53,32,56,46,53,48,54,51,49,101,45,48,53,10,32,32,56,46,54,56,51,
      49,52,101,45,48,53,32,56,46,56,54,50,51,50,101,45,48,53,32,57,46,48,53,50,52,
      57,101,45,48,53,32,57,46,50,52,57,54,53,101,45,48,53,32,57,46,52,53,101,45,
      48,53,32,57,46,54,54,48,52,52,101,45,48,53,32,57,46,56,56,49,50,51,101,45,48,
      53,10,32,32,46,48,48,48,49,48,49,48,54,55,32,46,48,48,48,49,48,51,52,48,57,
      32,46,48,48,48,49,48,53,56,56,50,32,46,48,48,48,49,48,56,52,49,57,32,46,48,
      48,48,49,49,49,48,51,54,32,46,48,48,48,49,49,51,55,56,55,32,46,48,48,48,49,
      49,54,54,50,32,46,48,48,48,49,49,57,53,52,10,32,32,46,48,48,48,49,50,50,53,
      53,57,32,46,48,48,48,49,50,53,54,55,54,32,46,48,48,48,49,50,56,56,57,53,32,
      46,48,48,48,49,51,50,49,53,57,32,46,48,48,48,49,51,53,53,49,55,32,46,48,48,
      48,49,51,56,57,56,52,32,46,48,48,48,49,52,50,52,54,57,32,46,48,48,48,49,52,
      54,48,49,55,10,32,32,46,48,48,48,49,52,57,54,55,32,46,48,48,48,49,53,51,51,
      52,53,32,46,48,48,48,49,53,55,48,51,52,32,46,48,48,48,49,54,48,56,50,52,32,
      46,48,48,48,49,54,52,54,53,52,32,46,48,48,48,49,54,56,52,54,32,46,48,48,48,
      49,55,50,51,53,57,32,46,48,48,48,49,55,54,51,50,54,10,32,32,46,48,48,48,49,
      56,48,50,54,32,46,48,48,48,49,56,52,50,56,32,46,48,48,48,49,56,56,51,56,55,
      32,46,48,48,48,49,57,50,52,55,55,32,46,48,48,48,49,57,54,54,53,51,32,46,48,
      48,48,50,48,48,57,49,52,32,46,48,48,48,50,48,54,54,54,50,32,46,48,48,48,50,
      50,48,54,48,56,10,32,32,46,48,48,48,50,52,50,54,57,50,32,46,48,48,48,50,56,
      50,57,55,53,32,46,48,48,48,51,50,54,53,53,32,46,48,48,48,51,55,48,52,55,51,
      32,46,48,48,48,52,49,49,57,49,53,32,46,48,48,48,52,52,57,57,56,32,46,48,48,
      48,52,56,53,54,56,50,32,46,48,48,48,53,50,48,55,49,52,10,32,32,46,48,48,48,
      53,53,54,53,54,56,32,46,48,48,48,53,57,52,51,56,57,32,46,48,48,48,54,51,52,
      56,53,50,32,46,48,48,48,54,55,56,51,53,57,32,46,48,48,48,55,51,53,48,55,51,
      32,46,48,48,48,55,57,54,57,54,50,32,46,48,48,48,56,56,55,53,55,57,32,46,48,
      48,48,57,56,54,56,49,54,10,32,32,46,48,48,49,48,57,52,48,51,32,46,48,48,49,
      50,51,55,52,54,32,46,48,48,49,51,56,56,49,32,46,48,48,49,53,51,57,57,53,32,
      46,48,48,49,55,49,52,50,32,46,48,48,49,56,55,51,56,51,32,46,48,48,50,48,54,
      55,50,52,32,46,48,48,50,50,53,50,53,51,32,46,48,48,50,52,52,49,52,49,10,32,
      32,46,48,48,50,54,54,57,48,57,32,46,48,48,50,57,52,56,52,49,32,46,48,48,51,
      50,55,56,51,50,32,46,48,48,51,54,52,57,50,54,32,46,48,48,52,48,53,53,49,57,
      32,46,48,48,52,53,49,53,57,32,46,48,48,52,57,53,57,48,49,32,46,48,48,53,52,
      51,54,54,56,32,46,48,48,54,48,49,56,49,51,10,32,32,46,48,48,54,54,50,56,56,
      55,32,46,48,48,55,48,57,49,55,56,32,46,48,48,55,54,54,50,56,53,32,46,48,48,
      56,51,48,54,54,49,32,46,48,48,56,56,56,50,49,49,32,46,48,48,57,51,51,53,51,
      32,46,48,48,57,54,49,55,55,50,32,46,48,48,57,55,48,54,51,32,46,48,48,57,54,
      55,56,50,52,10,32,32,46,48,48,57,55,50,52,51,53,32,46,48,49,48,48,50,56,51,
      32,46,48,49,48,52,52,50,56,32,46,48,49,48,54,55,51,52,32,46,48,49,48,54,54,
      55,56,32,46,48,49,48,51,55,52,51,32,46,48,48,57,53,56,52,56,51,32,46,48,48,
      56,54,49,56,56,55,32,46,48,48,55,55,49,56,55,50,10,32,32,46,48,48,55,48,51,
      51,53,53,32,46,48,48,54,49,54,57,51,50,32,46,48,48,53,51,50,55,56,32,46,48,
      48,52,53,48,56,48,54,32,46,48,48,51,56,55,51,48,51,32,46,48,48,51,52,49,56,
      52,56,32,46,48,48,51,49,50,52,56,57,32,46,48,48,50,56,53,55,50,57,32,46,48,
      48,50,53,54,54,53,49,10,32,32,46,48,48,50,50,56,55,49,51,32,46,48,48,49,54,
      56,49,55,51,32,46,48,48,49,49,56,53,49,57,32,46,48,48,48,56,55,48,48,52,55,
      32,46,48,48,48,54,54,57,55,55,53,32,46,48,48,48,54,48,54,55,53,57,32,46,48,
      48,48,52,54,57,54,53,50,32,46,48,48,48,51,54,53,56,55,55,10,32,32,46,48,48,
      48,50,56,55,52,54,55,32,46,48,48,48,50,50,56,50,51,55,32,46,48,48,48,49,55,
      54,54,49,52,32,46,48,48,48,49,52,54,52,49,56,32,46,48,48,48,49,50,49,52,53,
      51,32,56,46,57,51,54,48,56,101,45,48,53,32,55,46,52,48,54,50,51,101,45,48,53,
      32,53,46,53,49,49,53,55,101,45,48,53,10,32,32,52,46,48,51,50,57,51,101,45,48,
      53,32,51,46,51,52,52,49,53,101,45,48,53,32,50,46,55,55,49,52,51,101,45,48,53,
      32,50,46,48,53,57,48,52,101,45,48,53,32,49,46,52,56,51,48,56,101,45,48,53,32,
      49,46,50,51,54,48,50,101,45,48,53,32,57,46,50,48,57,49,57,101,45,48,54,10,32,
      32,55,46,54,57,53,53,54,101,45,48,54,32,53,46,55,52,53,56,49,101,45,48,54,32,
      52,46,53,51,51,53,50,101,45,48,54,32,53,46,57,54,48,48,51,101,45,48,54,32,53,
      46,50,53,54,48,56,101,45,48,54,32,52,46,49,50,55,54,54,101,45,48,54,32,51,46,
      49,54,48,56,53,101,45,48,54,10,32,32,50,46,53,51,49,48,54,101,45,48,54,32,50,
      46,48,50,55,48,57,101,45,48,54,32,49,46,54,52,55,48,52,101,45,48,54,32,49,46,
      51,52,50,54,50,101,45,48,54,32,49,46,48,55,48,54,101,45,48,54,32,56,46,55,53,
      55,48,52,101,45,48,55,32,55,46,48,49,55,57,51,101,45,48,55,10,32,32,53,46,57,
      54,51,53,56,101,45,48,55,32,52,46,53,55,51,53,55,101,45,48,55,32,51,46,56,56,
      55,49,57,101,45,48,55,32,51,46,49,55,54,50,53,101,45,48,55,32,49,46,57,56,53,
      51,56,101,45,48,55,32,49,46,48,52,48,57,56,101,45,48,55,32,53,46,53,52,57,54,
      54,101,45,48,56,10,32,32,50,46,53,51,48,53,53,101,45,48,56,32,49,46,49,53,53,
      49,50,101,45,48,56,32,52,46,53,49,51,53,49,101,45,48,57,32,50,46,48,54,52,53,
      54,101,45,48,57,32,53,46,57,49,54,48,52,101,45,49,48,32,49,46,55,57,57,52,53,
      101,45,49,48,32,55,46,55,57,52,50,101,45,49,49,10,32,32,51,46,48,54,49,54,101,
      45,49,49,32,56,46,56,49,57,48,56,101,45,49,50,32,50,46,57,55,49,51,56,101,45,
      49,50,32,49,46,48,48,50,49,101,45,49,50,32,50,46,56,57,54,50,51,101,45,49,51,
      32,56,46,51,55,55,53,54,101,45,49,52,32,50,46,56,51,49,54,52,101,45,49,52,10,
      32,32,57,46,53,55,55,49,50,101,45,49,53,32,51,46,50,52,49,49,54,101,45,49,53,
      32,56,46,55,51,49,53,51,101,45,49,54,32,50,46,49,54,53,51,49,101,45,49,54,32,
      52,46,54,48,48,51,101,45,49,55,32,49,46,49,52,50,49,54,101,45,49,55,32,50,46,
      52,50,50,57,49,101,45,49,56,10,32,32,54,46,48,49,52,56,54,101,45,49,57,32,49,
      46,52,56,54,54,53,101,45,49,57,32,51,46,48,57,52,50,52,101,45,50,48,32,53,46,
      56,57,57,55,56,101,45,50,49,32,48,114,49,48,54,32,51,46,55,49,55,50,54,101,
      45,49,48,32,49,46,52,57,48,54,55,101,45,48,57,32,51,46,51,53,55,49,52,101,45,
      48,57,10,32,32,51,46,55,49,56,48,56,101,45,48,57,32,49,46,52,57,49,57,101,45,
      48,56,32,51,46,51,54,51,50,54,101,45,48,56,32,53,46,57,56,55,49,53,101,45,48,
      56,32,57,46,51,55,48,50,52,101,45,48,56,32,49,46,51,53,50,56,53,101,45,48,55,
      32,49,46,56,52,54,49,53,101,45,48,55,10,32,32,50,46,52,49,57,50,57,101,45,48,
      55,32,51,46,48,55,50,57,49,101,45,48,55,32,51,46,56,48,56,54,53,101,45,48,55,
      32,52,46,54,50,56,54,55,101,45,48,55,32,53,46,53,51,52,56,54,101,45,48,55,32,
      54,46,53,50,57,48,56,101,45,48,55,32,55,46,54,49,51,57,57,101,45,48,55,10,32,
      32,56,46,55,57,49,57,53,101,45,48,55,32,49,46,48,48,54,53,53,101,45,48,54,32,
      49,46,49,52,51,55,55,101,45,48,54,32,49,46,50,57,49,49,50,101,45,48,54,32,49,
      46,52,52,56,57,54,101,45,48,54,32,49,46,54,49,55,53,54,101,45,48,54,32,49,46,
      55,57,55,51,50,101,45,48,54,10,32,32,49,46,57,56,56,54,49,101,45,48,54,32,50,
      46,49,57,49,54,53,101,45,48,54,32,50,46,52,48,54,57,51,101,45,48,54,32,50,46,
      54,51,52,56,56,101,45,48,54,32,50,46,56,55,53,53,55,101,45,48,54,32,51,46,49,
      50,57,52,53,101,45,48,54,32,51,46,51,57,55,49,101,45,48,54,10,32,32,51,46,54,
      55,56,51,54,101,45,48,54,32,51,46,57,55,51,51,53,101,45,48,54,32,52,46,50,56,
      51,48,53,101,45,48,54,32,52,46,54,48,55,48,49,101,45,48,54,32,52,46,57,52,52,
      52,52,101,45,48,54,32,53,46,50,57,55,49,49,101,45,48,54,32,53,46,54,54,52,55,
      101,45,48,54,10,32,32,54,46,48,52,52,49,50,101,45,48,54,32,54,46,52,51,57,48,
      52,101,45,48,54,32,54,46,56,52,57,55,56,101,45,48,54,32,55,46,50,54,57,51,55,
      101,45,48,54,32,55,46,55,48,52,50,54,101,45,48,54,32,56,46,49,53,52,56,54,101,
      45,48,54,32,56,46,54,49,51,51,50,101,45,48,54,10,32,32,57,46,48,56,53,53,49,
      101,45,48,54,32,57,46,53,55,50,56,53,101,45,48,54,32,49,46,48,48,54,56,52,101,
      45,48,53,32,49,46,48,53,55,53,52,101,45,48,53,32,49,46,49,48,57,55,51,101,45,
      48,53,32,49,46,49,54,50,56,56,101,45,48,53,32,49,46,50,49,54,57,55,101,45,48,
      53,10,32,32,49,46,50,55,50,53,52,101,45,48,53,32,49,46,51,50,57,50,53,101,45,
      48,53,32,49,46,51,56,54,55,56,101,45,48,53,32,49,46,52,52,53,55,56,101,45,48,
      53,32,49,46,53,48,54,49,49,101,45,48,53,32,49,46,53,54,55,50,53,101,45,48,53,
      32,49,46,54,50,57,56,53,101,45,48,53,10,32,32,49,46,54,57,51,57,53,101,45,48,
      53,32,49,46,55,53,56,56,51,101,45,48,53,32,49,46,56,50,53,50,51,101,45,48,53,
      32,49,46,56,57,51,49,49,101,45,48,53,32,49,46,57,54,49,57,49,101,45,48,53,32,
      50,46,48,51,50,49,50,101,45,48,53,32,50,46,49,48,51,56,52,101,45,48,53,10,32,
      32,50,46,49,55,54,52,55,101,45,48,53,32,50,46,50,53,48,51,49,101,45,48,53,32,
      50,46,51,50,53,54,57,101,45,48,53,32,50,46,52,48,49,56,56,101,45,48,53,32,50,
      46,52,55,56,56,55,101,45,48,53,32,50,46,53,53,55,52,49,101,45,48,53,32,50,46,
      54,51,54,54,57,101,45,48,53,10,32,32,50,46,55,49,53,57,56,101,45,48,53,32,50,
      46,55,57,54,56,51,101,45,48,53,32,50,46,56,55,56,54,50,101,45,48,53,32,50,46,
      57,53,57,48,56,101,45,48,53,32,51,46,48,52,49,49,51,101,45,48,53,32,51,46,49,
      50,52,55,101,45,48,53,32,51,46,50,48,53,49,55,101,45,48,53,10,32,32,51,46,50,
      56,55,50,54,101,45,48,53,32,51,46,51,55,49,48,52,101,45,48,53,32,51,46,52,53,
      49,52,52,101,45,48,53,32,51,46,53,51,50,55,54,101,45,48,53,32,51,46,54,49,53,
      56,51,101,45,48,53,32,51,46,54,57,54,49,50,101,45,48,53,32,51,46,55,55,54,50,
      56,101,45,48,53,10,32,32,51,46,56,53,56,51,57,101,45,48,53,32,51,46,57,51,56,
      56,54,101,45,48,53,32,52,46,48,49,56,49,52,101,45,48,53,32,52,46,48,57,57,54,
      49,101,45,48,53,32,52,46,49,56,48,56,57,101,45,48,53,32,52,46,50,54,48,50,50,
      101,45,48,53,32,52,46,51,52,49,57,51,101,45,48,53,10,32,32,52,46,52,50,52,56,
      54,101,45,48,53,32,52,46,53,48,53,53,52,101,45,48,53,32,52,46,53,56,56,54,57,
      101,45,48,53,32,52,46,54,55,52,49,52,101,45,48,53,32,52,46,55,53,55,54,56,101,
      45,48,53,32,52,46,56,52,51,54,57,101,45,48,53,32,52,46,57,51,50,48,51,101,45,
      48,53,10,32,32,53,46,48,50,48,51,51,101,45,48,53,32,53,46,49,49,48,53,51,101,
      45,48,53,32,53,46,50,48,51,48,52,101,45,48,53,32,53,46,50,57,54,57,55,101,45,
      48,53,32,53,46,51,57,50,55,55,101,45,48,53,32,53,46,52,57,48,54,55,101,45,48,
      53,32,53,46,53,57,49,101,45,48,53,10,32,32,53,46,54,57,51,55,49,101,45,48,53,
      32,53,46,55,57,56,51,52,101,45,48,53,32,53,46,57,48,53,55,55,101,45,48,53,32,
      54,46,48,49,54,55,51,101,45,48,53,32,54,46,49,50,57,52,54,101,45,48,53,32,54,
      46,50,52,52,55,56,101,45,48,53,32,54,46,51,54,53,53,55,101,45,48,53,10,32,32,
      54,46,52,56,55,57,55,101,45,48,53,32,54,46,54,49,50,50,49,101,45,48,53,32,54,
      46,55,52,52,55,101,45,48,53,32,54,46,56,55,56,56,56,101,45,48,53,32,55,46,48,
      49,52,55,52,101,45,48,53,32,55,46,49,53,57,54,53,101,45,48,53,32,55,46,51,48,
      55,56,55,101,45,48,53,10,32,32,55,46,52,53,56,48,54,101,45,48,53,32,55,46,54,
      49,55,51,101,45,48,53,32,55,46,55,56,50,51,50,101,45,48,53,32,55,46,57,52,57,
      57,57,101,45,48,53,32,56,46,49,50,53,57,56,101,45,48,53,32,56,46,51,49,48,53,
      50,101,45,48,53,32,56,46,52,57,56,57,50,101,45,48,53,10,32,32,56,46,54,57,52,
      53,55,101,45,48,53,32,56,46,57,48,49,48,50,101,45,48,53,32,57,46,49,49,50,56,
      101,45,48,53,32,57,46,51,51,49,49,52,101,45,48,53,32,57,46,53,54,48,54,51,101,
      45,48,53,32,57,46,55,57,54,56,55,101,45,48,53,32,46,48,48,48,49,48,48,52,48,
      51,10,32,32,46,48,48,48,49,48,50,57,50,32,46,48,48,48,49,48,53,53,49,57,32,
      46,48,48,48,49,48,56,50,48,49,32,46,48,48,48,49,49,48,57,50,51,32,46,48,48,
      48,49,49,51,55,50,50,32,46,48,48,48,49,49,54,54,49,50,32,46,48,48,48,49,49,
      57,53,49,55,32,46,48,48,48,49,50,50,52,55,53,10,32,32,46,48,48,48,49,50,53,
      53,50,50,32,46,48,48,48,49,50,56,53,56,54,32,46,48,48,48,49,51,49,54,54,52,
      32,46,48,48,48,49,51,52,56,50,53,32,46,48,48,48,49,51,56,48,50,32,46,48,48,
      48,49,52,49,49,57,55,32,46,48,48,48,49,52,52,52,53,49,32,46,48,48,48,49,52,
      55,55,54,50,10,32,32,46,48,48,48,49,53,49,48,52,55,32,46,48,48,48,49,53,52,
      52,48,51,32,46,48,48,48,49,53,55,56,51,51,32,46,48,48,48,49,54,49,50,53,32,
      46,48,48,48,49,54,52,55,51,55,32,46,48,48,48,49,54,56,50,57,55,32,46,48,48,
      48,49,55,51,49,48,49,32,46,48,48,48,49,56,52,55,53,55,10,32,32,46,48,48,48,
      50,48,51,50,50,56,32,46,48,48,48,50,51,54,57,54,49,32,46,48,48,48,50,55,51,
      53,50,49,32,46,48,48,48,51,49,48,52,51,55,32,46,48,48,48,51,52,53,50,57,50,
      32,46,48,48,48,51,55,55,51,48,49,32,46,48,48,48,52,48,55,51,49,49,32,46,48,
      48,48,52,51,54,55,53,54,10,32,32,46,48,48,48,52,54,54,57,49,32,46,48,48,48,
      52,57,56,55,53,32,46,48,48,48,53,51,50,56,53,52,32,46,48,48,48,53,54,57,53,
      56,32,46,48,48,48,54,49,55,53,51,54,32,46,48,48,48,54,54,57,57,55,55,32,46,
      48,48,48,55,52,54,57,55,32,46,48,48,48,56,51,49,53,56,55,10,32,32,46,48,48,
      48,57,50,51,51,52,53,32,46,48,48,49,48,52,54,54,51,32,46,48,48,49,49,55,54,
      55,53,32,46,48,48,49,51,48,56,51,57,32,46,48,48,49,52,53,57,55,50,32,46,48,
      48,49,53,57,56,49,50,32,46,48,48,49,55,54,53,50,56,32,46,48,48,49,57,50,53,
      49,52,10,32,32,46,48,48,50,48,56,56,51,57,32,46,48,48,50,50,56,54,50,32,46,
      48,48,50,53,51,48,54,49,32,46,48,48,50,56,50,49,51,50,32,46,48,48,51,49,53,
      48,50,32,46,48,48,51,53,49,50,51,52,32,46,48,48,51,57,50,53,52,52,32,46,48,
      48,52,51,50,51,57,50,32,46,48,48,52,55,53,51,48,49,10,32,32,46,48,48,53,50,
      55,51,53,56,32,46,48,48,53,56,50,50,53,49,32,46,48,48,54,50,52,50,54,53,32,
      46,48,48,54,55,54,56,48,55,32,46,48,48,55,51,55,51,51,49,32,46,48,48,55,57,
      50,57,49,51,32,46,48,48,56,51,56,51,51,49,32,46,48,48,56,54,57,49,51,55,10,
      32,32,46,48,48,56,56,50,49,48,57,32,46,48,48,56,56,52,48,53,57,32,46,48,48,
      56,57,50,50,54,56,32,46,48,48,57,50,51,53,51,56,32,46,48,48,57,54,51,57,52,
      57,32,46,48,48,57,56,55,55,51,55,32,46,48,48,57,56,57,55,48,56,32,46,48,48,
      57,54,53,54,52,51,10,32,32,46,48,48,56,57,54,54,53,56,32,46,48,48,56,49,48,
      50,56,57,32,46,48,48,55,50,56,55,54,57,32,46,48,48,54,54,54,49,53,52,32,46,
      48,48,53,56,54,53,53,53,32,46,48,48,53,48,56,51,52,52,32,46,48,48,52,51,49,
      53,56,50,32,46,48,48,51,55,49,55,56,51,10,32,32,46,48,48,51,50,56,56,52,52,
      32,46,48,48,51,48,49,48,55,51,32,46,48,48,50,55,53,54,56,53,32,46,48,48,50,
      52,55,57,56,57,32,46,48,48,50,50,49,50,55,57,32,46,48,48,49,54,51,49,55,55,
      32,46,48,48,49,49,53,51,48,53,32,46,48,48,48,56,52,56,49,52,55,10,32,32,46,
      48,48,48,54,53,51,57,52,54,32,46,48,48,48,53,57,50,56,51,57,32,46,48,48,48,
      52,53,57,52,54,57,32,46,48,48,48,51,53,56,51,52,52,32,46,48,48,48,50,56,49,
      56,50,55,32,46,48,48,48,50,50,51,57,53,52,32,46,48,48,48,49,55,51,52,53,49,
      32,46,48,48,48,49,52,51,56,56,10,32,32,46,48,48,48,49,49,57,52,49,54,32,56,
      46,55,57,51,53,49,101,45,48,53,32,55,46,50,57,49,52,56,101,45,48,53,32,53,46,
      52,50,57,57,54,101,45,48,53,32,51,46,57,55,53,56,56,101,45,48,53,32,51,46,50,
      57,56,48,56,101,45,48,53,32,50,46,55,51,52,50,50,101,45,48,53,10,32,32,50,46,
      48,51,50,52,54,101,45,48,53,32,49,46,52,54,52,55,51,101,45,48,53,32,49,46,50,
      50,49,48,55,101,45,48,53,32,57,46,49,48,49,55,49,101,45,48,54,32,55,46,54,48,
      55,54,51,101,45,48,54,32,53,46,54,56,50,50,56,101,45,48,54,32,52,46,52,56,52,
      56,51,101,45,48,54,10,32,32,53,46,56,52,52,52,51,101,45,48,54,32,53,46,49,53,
      52,55,57,101,45,48,54,32,52,46,48,52,57,48,54,101,45,48,54,32,51,46,49,48,49,
      51,101,45,48,54,32,50,46,52,56,51,55,54,101,45,48,54,32,49,46,57,56,57,53,101,
      45,48,54,32,49,46,54,49,54,55,49,101,45,48,54,10,32,32,49,46,51,49,56,49,49,
      101,45,48,54,32,49,46,48,53,49,50,54,101,45,48,54,32,56,46,54,48,48,50,49,101,
      45,48,55,32,54,46,56,57,51,51,50,101,45,48,55,32,53,46,56,53,56,51,56,101,45,
      48,55,32,52,46,52,57,51,55,49,101,45,48,55,32,51,46,56,49,57,55,51,101,45,48,
      55,10,32,32,51,46,49,50,49,53,53,101,45,48,55,32,49,46,57,53,49,56,52,101,45,
      48,55,32,49,46,48,50,51,56,101,45,48,55,32,53,46,52,53,57,56,52,101,45,48,56,
      32,50,46,52,57,48,56,50,101,45,48,56,32,49,46,49,51,55,52,101,45,48,56,32,52,
      46,52,52,53,54,56,101,45,48,57,10,32,32,50,46,48,51,52,50,53,101,45,48,57,32,
      53,46,56,51,50,53,50,101,45,49,48,32,49,46,55,55,52,55,51,101,45,49,48,32,55,
      46,54,56,57,48,57,101,45,49,49,32,51,46,48,50,50,53,51,101,45,49,49,32,56,46,
      55,49,48,52,56,101,45,49,50,32,50,46,57,51,53,52,50,101,45,49,50,10,32,32,57,
      46,57,48,48,54,50,101,45,49,51,32,50,46,56,54,49,56,56,101,45,49,51,32,56,46,
      50,56,48,52,51,101,45,49,52,32,50,46,55,57,57,48,57,101,45,49,52,32,57,46,52,
      54,56,52,52,101,45,49,53,32,51,46,50,48,52,57,50,101,45,49,53,32,56,46,54,52,
      49,56,56,101,45,49,54,10,32,32,50,46,49,52,52,48,53,101,45,49,54,32,52,46,53,
      54,49,48,50,101,45,49,55,32,49,46,49,51,50,54,55,101,45,49,55,32,50,46,52,48,
      51,49,52,101,45,49,56,32,53,46,57,54,54,53,52,101,45,49,57,32,49,46,52,55,52,
      54,56,101,45,49,57,32,51,46,48,54,55,56,53,101,45,50,48,10,32,32,53,46,56,53,
      48,51,101,45,50,49,32,49,46,49,52,48,50,54,101,45,50,49,32,48,114,49,48,53,
      32,51,46,49,54,53,53,54,101,45,49,48,32,49,46,50,54,57,52,51,101,45,48,57,32,
      50,46,56,53,56,56,54,101,45,48,57,32,51,46,49,54,54,50,51,101,45,48,57,32,49,
      46,50,55,48,52,51,101,45,48,56,10,32,32,50,46,56,54,51,55,55,101,45,48,56,32,
      53,46,48,57,55,51,57,101,45,48,56,32,55,46,57,55,54,54,55,101,45,48,56,32,49,
      46,49,53,49,52,54,101,45,48,55,32,49,46,53,55,49,48,51,101,45,48,55,32,50,46,
      48,53,56,51,101,45,48,55,32,50,46,54,49,51,55,51,101,45,48,55,10,32,32,51,46,
      50,51,56,54,51,101,45,48,55,32,51,46,57,51,52,55,50,101,45,48,55,32,52,46,55,
      48,51,53,49,101,45,48,55,32,53,46,53,52,54,52,52,101,45,48,55,32,54,46,52,54,
      53,54,53,101,45,48,55,32,55,46,52,54,51,48,50,101,45,48,55,32,56,46,53,52,48,
      55,49,101,45,48,55,10,32,32,57,46,55,48,48,56,54,101,45,48,55,32,49,46,48,57,
      52,53,54,101,45,48,54,32,49,46,50,50,55,55,57,101,45,48,54,32,49,46,51,54,57,
      57,57,101,45,48,54,32,49,46,53,50,49,52,57,101,45,48,54,32,49,46,54,56,50,53,
      55,101,45,48,54,32,49,46,56,53,51,52,101,45,48,54,10,32,32,50,46,48,51,52,51,
      57,101,45,48,54,32,50,46,50,50,53,56,55,101,45,48,54,32,50,46,52,50,55,57,49,
      101,45,48,54,32,50,46,54,52,48,56,53,101,45,48,54,32,50,46,56,54,53,49,56,101,
      45,48,54,32,51,46,49,48,48,55,53,101,45,48,54,32,51,46,51,52,55,54,56,101,45,
      48,54,10,32,32,51,46,54,48,54,55,53,101,45,48,54,32,51,46,56,55,55,54,101,45,
      48,54,32,52,46,49,53,57,54,50,101,45,48,54,32,52,46,52,53,52,49,57,101,45,48,
      54,32,52,46,55,54,49,48,57,101,45,48,54,32,53,46,48,55,55,56,52,101,45,48,54,
      32,53,46,52,48,55,51,57,101,45,48,54,10,32,32,53,46,55,52,57,57,56,101,45,48,
      54,32,54,46,49,48,48,48,54,101,45,48,54,32,54,46,52,54,50,55,54,101,45,48,54,
      32,54,46,56,51,56,52,54,101,45,48,54,32,55,46,50,50,48,56,49,101,45,48,54,32,
      55,46,54,49,52,53,53,101,45,48,54,32,56,46,48,50,48,55,57,101,45,48,54,10,32,
      32,56,46,52,51,52,48,49,101,45,48,54,32,56,46,56,53,54,55,50,101,45,48,54,32,
      57,46,50,57,49,55,51,101,45,48,54,32,57,46,55,51,52,56,53,101,45,48,54,32,49,
      46,48,49,56,53,57,101,45,48,53,32,49,46,48,54,52,57,49,101,45,48,53,32,49,46,
      49,49,50,49,56,101,45,48,53,10,32,32,49,46,49,54,48,49,53,101,45,48,53,32,49,
      46,50,48,57,51,52,101,45,48,53,32,49,46,50,53,57,54,50,101,45,48,53,32,49,46,
      51,49,48,53,57,101,45,48,53,32,49,46,51,54,50,55,54,101,45,48,53,32,49,46,52,
      49,54,49,56,101,45,48,53,32,49,46,52,55,48,50,54,101,45,48,53,10,32,32,49,46,
      53,50,53,53,56,101,45,48,53,32,49,46,53,56,50,49,51,101,45,48,53,32,49,46,54,
      51,57,52,54,101,45,48,53,32,49,46,54,57,55,57,52,101,45,48,53,32,49,46,55,53,
      55,54,57,101,45,48,53,32,49,46,56,49,56,49,57,101,45,48,53,32,49,46,56,55,57,
      55,101,45,48,53,10,32,32,49,46,57,52,50,52,56,101,45,48,53,32,50,46,48,48,53,
      57,52,101,45,48,53,32,50,46,48,55,48,48,55,101,45,48,53,32,50,46,49,51,53,52,
      57,101,45,48,53,32,50,46,50,48,49,53,50,101,45,48,53,32,50,46,50,54,55,54,101,
      45,48,53,32,50,46,51,51,52,57,55,101,45,48,53,10,32,32,50,46,52,48,51,49,50,
      101,45,48,53,32,50,46,52,55,48,50,50,101,45,48,53,32,50,46,53,51,56,54,52,101,
      45,48,53,32,50,46,54,48,56,51,49,101,45,48,53,32,50,46,54,55,53,53,101,45,48,
      53,32,50,46,55,52,52,48,52,101,45,48,53,32,50,46,56,49,51,57,54,101,45,48,53,
      10,32,32,50,46,56,56,49,49,57,101,45,48,53,32,50,46,57,52,57,49,57,101,45,48,
      53,32,51,46,48,49,56,54,51,101,45,48,53,32,51,46,48,56,53,56,55,101,45,48,53,
      32,51,46,49,53,51,48,50,101,45,48,53,32,51,46,50,50,49,55,57,101,45,48,53,32,
      51,46,50,56,57,50,54,101,45,48,53,10,32,32,51,46,51,53,53,56,51,101,45,48,53,
      32,51,46,52,50,52,49,56,101,45,48,53,32,51,46,52,57,50,52,50,101,45,48,53,32,
      51,46,53,53,57,49,52,101,45,48,53,32,51,46,54,50,55,56,101,45,48,53,32,51,46,
      54,57,55,52,56,101,45,48,53,32,51,46,55,54,53,52,101,45,48,53,10,32,32,51,46,
      56,51,53,51,52,101,45,48,53,32,51,46,57,48,55,49,55,101,45,48,53,32,51,46,57,
      55,55,53,50,101,45,48,53,32,52,46,48,52,57,56,56,101,45,48,53,32,52,46,49,50,
      52,49,53,101,45,48,53,32,52,46,49,57,56,52,52,101,45,48,53,32,52,46,50,55,52,
      50,56,101,45,48,53,10,32,32,52,46,51,53,50,48,50,101,45,48,53,32,52,46,52,51,
      48,57,53,101,45,48,53,32,52,46,53,49,49,52,49,101,45,48,53,32,52,46,53,57,51,
      54,101,45,48,53,32,52,46,54,55,55,55,55,101,45,48,53,32,52,46,55,54,51,57,101,
      45,48,53,32,52,46,56,53,49,53,57,101,45,48,53,10,32,32,52,46,57,52,49,53,55,
      101,45,48,53,32,53,46,48,51,52,52,51,101,45,48,53,32,53,46,49,50,56,55,51,101,
      45,48,53,32,53,46,50,50,53,49,53,101,45,48,53,32,53,46,51,50,53,57,56,101,45,
      48,53,32,53,46,52,50,56,49,53,101,45,48,53,32,53,46,53,51,49,56,50,101,45,48,
      53,10,32,32,53,46,54,52,50,49,53,101,45,48,53,32,53,46,55,53,51,56,54,101,45,
      48,53,32,53,46,56,54,54,57,54,101,45,48,53,32,53,46,57,56,55,51,52,101,45,48,
      53,32,54,46,49,49,48,52,50,101,45,48,53,32,54,46,50,51,53,49,50,101,45,48,53,
      32,54,46,51,54,55,49,101,45,48,53,10,32,32,54,46,53,48,51,55,54,101,45,48,53,
      32,54,46,54,52,50,53,57,101,45,48,53,32,54,46,55,56,56,49,51,101,45,48,53,32,
      54,46,57,52,48,53,55,101,45,48,53,32,55,46,48,57,54,49,56,101,45,48,53,32,55,
      46,50,53,55,54,52,101,45,48,53,32,55,46,52,50,55,56,51,101,45,48,53,10,32,32,
      55,46,54,48,50,51,54,101,45,48,53,32,55,46,55,56,50,50,53,101,45,48,53,32,55,
      46,57,55,49,49,53,101,45,48,53,32,56,46,49,54,53,53,54,101,45,48,53,32,56,46,
      51,54,53,56,56,101,45,48,53,32,56,46,53,55,50,57,51,101,45,48,53,32,56,46,55,
      56,54,54,49,101,45,48,53,10,32,32,57,46,48,48,55,50,101,45,48,53,32,57,46,50,
      51,49,48,51,101,45,48,53,32,57,46,52,54,49,50,53,101,45,48,53,32,57,46,54,57,
      56,57,101,45,48,53,32,57,46,57,51,55,57,57,101,45,48,53,32,46,48,48,48,49,48,
      49,56,49,52,32,46,48,48,48,49,48,52,51,50,49,10,32,32,46,48,48,48,49,48,54,
      56,52,52,32,46,48,48,48,49,48,57,51,55,57,32,46,48,48,48,49,49,49,57,56,51,
      32,46,48,48,48,49,49,52,54,49,54,32,46,48,48,48,49,49,55,50,51,53,32,46,48,
      48,48,49,49,57,57,49,57,32,46,48,48,48,49,50,50,54,52,57,32,46,48,48,48,49,
      50,53,51,53,57,10,32,32,46,48,48,48,49,50,56,49,51,32,46,48,48,48,49,51,48,
      57,54,49,32,46,48,48,48,49,51,51,55,56,50,32,46,48,48,48,49,51,54,54,54,51,
      32,46,48,48,48,49,51,57,54,48,52,32,46,48,48,48,49,52,51,53,55,52,32,46,48,
      48,48,49,53,51,50,49,52,32,46,48,48,48,49,54,56,53,48,55,10,32,32,46,48,48,
      48,49,57,54,53,32,46,48,48,48,50,50,54,57,52,49,32,46,48,48,48,50,53,55,55,
      54,51,32,46,48,48,48,50,56,54,56,57,57,32,46,48,48,48,51,49,51,54,52,50,32,
      46,48,48,48,51,51,56,54,57,54,32,46,48,48,48,51,54,51,50,55,54,32,46,48,48,
      48,51,56,56,52,55,49,10,32,32,46,48,48,48,52,49,53,49,50,32,46,48,48,48,52,
      52,51,55,49,52,32,46,48,48,48,52,55,52,53,56,32,46,48,48,48,53,49,52,57,56,
      56,32,46,48,48,48,53,53,57,51,49,55,32,46,48,48,48,54,50,52,54,52,50,32,46,
      48,48,48,54,57,54,55,55,56,32,46,48,48,48,55,55,53,51,54,57,10,32,32,46,48,
      48,48,56,56,49,53,49,53,32,46,48,48,48,57,57,52,49,54,57,32,46,48,48,49,49,
      48,56,53,53,32,46,48,48,49,50,52,48,50,53,32,46,48,48,49,51,54,48,52,52,32,
      46,48,48,49,53,48,53,32,46,48,48,49,54,52,50,57,55,32,46,48,48,49,55,56,52,
      49,52,10,32,32,46,48,48,49,57,53,54,49,57,32,46,48,48,50,49,55,48,51,54,32,
      46,48,48,50,52,50,54,57,52,32,46,48,48,50,55,49,56,57,53,32,46,48,48,51,48,
      52,50,51,52,32,46,48,48,51,52,49,50,57,52,32,46,48,48,51,55,55,49,51,52,32,
      46,48,48,52,49,53,54,56,50,10,32,32,46,48,48,52,54,50,50,56,55,32,46,48,48,
      53,49,49,54,49,52,32,46,48,48,53,52,57,55,49,53,32,46,48,48,53,57,55,57,54,
      55,32,46,48,48,54,53,52,54,50,57,32,46,48,48,55,48,55,56,57,51,32,46,48,48,
      55,53,50,55,54,54,32,46,48,48,55,56,53,49,57,55,10,32,32,46,48,48,56,48,49,
      51,48,49,32,46,48,48,56,48,55,48,55,53,32,46,48,48,56,49,56,49,52,51,32,46,
      48,48,56,52,57,56,52,55,32,46,48,48,56,56,57,48,54,49,32,46,48,48,57,49,51,
      50,56,52,32,46,48,48,57,49,55,51,56,57,32,46,48,48,56,57,55,57,55,53,10,32,
      32,46,48,48,56,51,56,48,48,52,32,46,48,48,55,54,49,48,49,32,46,48,48,54,56,
      55,51,54,50,32,46,48,48,54,51,48,50,54,57,32,46,48,48,53,53,55,49,48,52,32,
      46,48,48,52,56,52,53,52,53,32,46,48,48,52,49,50,55,55,49,32,46,48,48,51,53,
      54,53,52,55,32,46,48,48,51,49,54,48,52,51,10,32,32,46,48,48,50,56,57,56,49,
      51,32,46,48,48,50,54,53,55,54,49,32,46,48,48,50,51,57,52,49,52,32,46,48,48,
      50,49,51,57,49,49,32,46,48,48,49,53,56,50,48,49,32,46,48,48,49,49,50,48,57,
      54,32,46,48,48,48,56,50,54,50,50,56,32,46,48,48,48,54,51,56,48,55,10,32,32,
      46,48,48,48,53,55,56,56,54,56,32,46,48,48,48,52,52,57,50,51,52,32,46,48,48,
      48,51,53,48,55,54,55,32,46,48,48,48,50,55,54,49,52,53,32,46,48,48,48,50,49,
      57,54,51,50,32,46,48,48,48,49,55,48,50,53,54,32,46,48,48,48,49,52,49,51,49,
      54,32,46,48,48,48,49,49,55,51,53,52,10,32,32,56,46,54,52,57,49,52,101,45,48,
      53,32,55,46,49,55,53,51,49,101,45,48,53,32,53,46,51,52,55,50,54,101,45,48,53,
      32,51,46,57,49,56,101,45,48,53,32,51,46,50,53,49,51,49,101,45,48,53,32,50,46,
      54,57,54,52,52,101,45,48,53,32,50,46,48,48,53,52,55,101,45,48,53,10,32,32,49,
      46,52,52,54,48,55,101,45,48,53,32,49,46,50,48,53,56,55,101,45,48,53,32,56,46,
      57,57,50,51,54,101,45,48,54,32,55,46,53,49,56,49,53,101,45,48,54,32,53,46,54,
      49,55,54,54,101,45,48,54,32,52,46,52,51,53,50,52,101,45,48,54,32,53,46,55,50,
      57,54,52,101,45,48,54,10,32,32,53,46,48,53,52,49,101,45,48,54,32,51,46,57,55,
      48,56,49,101,45,48,54,32,51,46,48,52,50,49,52,101,45,48,54,32,50,46,52,51,54,
      57,101,45,48,54,32,49,46,57,53,50,51,54,101,45,48,54,32,49,46,53,56,54,56,49,
      101,45,48,54,32,49,46,50,57,51,57,52,101,45,48,54,10,32,32,49,46,48,51,50,49,
      55,101,45,48,54,32,56,46,52,52,53,51,56,101,45,48,55,32,54,46,55,55,48,53,51,
      101,45,48,55,32,53,46,55,53,52,56,51,101,45,48,55,32,52,46,52,49,53,49,57,101,
      45,48,55,32,51,46,55,53,51,51,54,101,45,48,55,32,51,46,48,54,55,54,55,101,45,
      48,55,10,32,32,49,46,57,49,56,54,54,101,45,48,55,32,49,46,48,48,54,55,54,101,
      45,48,55,32,53,46,51,55,48,54,52,101,45,48,56,32,50,46,52,53,49,48,52,101,45,
      48,56,32,49,46,49,49,57,56,49,101,45,48,56,32,52,46,51,55,57,48,57,101,45,48,
      57,32,50,46,48,48,52,52,101,45,48,57,10,32,32,53,46,55,53,48,50,52,101,45,49,
      48,32,49,46,55,53,48,53,50,101,45,49,48,32,55,46,53,56,53,53,101,45,49,49,32,
      50,46,57,56,50,49,50,101,45,49,49,32,56,46,53,57,56,55,55,101,45,49,50,32,50,
      46,56,57,56,51,101,45,49,50,32,57,46,55,55,55,48,50,101,45,49,51,10,32,32,50,
      46,56,50,54,56,54,101,45,49,51,32,56,46,49,56,49,55,50,101,45,49,52,32,50,46,
      55,54,55,49,49,101,45,49,52,32,57,46,51,54,50,51,51,101,45,49,53,32,51,46,49,
      54,57,53,53,101,45,49,53,32,56,46,53,53,52,53,51,101,45,49,54,32,50,46,49,50,
      50,56,55,101,45,49,54,10,32,32,52,46,53,49,55,49,101,45,49,55,32,49,46,49,50,
      51,101,45,49,55,32,50,46,51,56,52,48,51,101,45,49,56,32,53,46,57,49,57,56,51,
      101,45,49,57,32,49,46,52,54,51,49,50,101,45,49,57,32,51,46,48,52,50,51,101,
      45,50,48,32,53,46,56,48,50,48,55,101,45,50,49,10,32,32,49,46,49,50,51,56,51,
      101,45,50,49,32,48,114,49,48,53,32,50,46,55,54,52,53,55,101,45,49,48,32,49,
      46,49,48,56,51,101,45,48,57,32,50,46,52,57,53,48,53,101,45,48,57,32,50,46,55,
      54,51,49,51,101,45,48,57,32,49,46,49,48,54,56,52,101,45,48,56,32,50,46,52,56,
      57,56,53,101,45,48,56,10,32,32,52,46,52,50,49,53,51,101,45,48,56,32,54,46,57,
      48,49,55,53,101,45,48,56,32,57,46,57,51,54,56,50,101,45,48,56,32,49,46,51,53,
      50,48,56,101,45,48,55,32,49,46,55,54,54,53,51,101,45,48,55,32,50,46,50,51,54,
      57,51,101,45,48,55,32,50,46,55,54,51,56,56,101,45,48,55,10,32,32,51,46,51,52,
      56,51,56,101,45,48,55,32,51,46,57,57,49,50,50,101,45,48,55,32,52,46,54,57,51,
      49,55,101,45,48,55,32,53,46,52,53,53,55,57,101,45,48,55,32,54,46,50,55,57,56,
      54,101,45,48,55,32,55,46,49,54,54,55,52,101,45,48,55,32,56,46,49,49,56,49,50,
      101,45,48,55,10,32,32,57,46,49,51,53,50,52,101,45,48,55,32,49,46,48,50,50,48,
      51,101,45,48,54,32,49,46,49,51,55,52,55,101,45,48,54,32,49,46,50,54,48,48,55,
      101,45,48,54,32,49,46,51,57,48,48,53,101,45,48,54,32,49,46,53,50,55,53,51,101,
      45,48,54,32,49,46,54,55,50,56,49,101,45,48,54,10,32,32,49,46,56,50,54,49,53,
      101,45,48,54,32,49,46,57,56,55,54,50,101,45,48,54,32,50,46,49,53,55,52,56,101,
      45,48,54,32,50,46,51,51,54,48,56,101,45,48,54,32,50,46,53,50,51,51,56,101,45,
      48,54,32,50,46,55,49,57,52,56,101,45,48,54,32,50,46,57,50,52,57,52,101,45,48,
      54,10,32,32,51,46,49,51,57,53,52,101,45,48,54,32,51,46,51,54,50,57,101,45,48,
      54,32,51,46,53,57,53,57,57,101,45,48,54,32,51,46,56,51,56,54,55,101,45,48,54,
      32,52,46,48,56,57,50,52,101,45,48,54,32,52,46,51,52,57,55,55,101,45,48,54,32,
      52,46,54,50,48,52,51,101,45,48,54,10,32,32,52,46,56,57,55,50,52,101,45,48,54,
      32,53,46,49,56,51,56,56,101,45,48,54,32,53,46,52,56,48,54,53,101,45,48,54,32,
      53,46,55,56,50,57,101,45,48,54,32,54,46,48,57,52,49,101,45,48,54,32,54,46,52,
      49,53,48,55,101,45,48,54,32,54,46,55,52,49,54,57,101,45,48,54,10,32,32,55,46,
      48,55,53,56,51,101,45,48,54,32,55,46,52,49,57,53,53,101,45,48,54,32,55,46,55,
      54,57,55,52,101,45,48,54,32,56,46,49,50,54,50,52,101,45,48,54,32,56,46,52,57,
      50,50,101,45,48,54,32,56,46,56,54,53,54,55,101,45,48,54,32,57,46,50,52,52,55,
      101,45,48,54,10,32,32,57,46,54,51,51,49,55,101,45,48,54,32,49,46,48,48,51,48,
      50,101,45,48,53,32,49,46,48,52,51,50,55,101,45,48,53,32,49,46,48,56,52,52,54,
      101,45,48,53,32,49,46,49,50,54,54,50,101,45,48,53,32,49,46,49,54,57,51,101,
      45,48,53,32,49,46,50,49,50,57,53,101,45,48,53,10,32,32,49,46,50,53,55,53,54,
      101,45,48,53,32,49,46,51,48,50,55,56,101,45,48,53,32,49,46,51,52,56,57,101,
      45,48,53,32,49,46,51,57,54,101,45,48,53,32,49,46,52,52,51,54,57,101,45,48,53,
      32,49,46,52,57,50,49,56,101,45,48,53,32,49,46,53,52,49,54,53,101,45,48,53,10,
      32,32,49,46,53,57,49,54,53,101,45,48,53,32,49,46,54,52,50,49,57,101,45,48,53,
      32,49,46,54,57,51,55,50,101,45,48,53,32,49,46,55,52,53,55,52,101,45,48,53,32,
      49,46,55,57,55,56,49,101,45,48,53,32,49,46,56,53,48,56,55,101,45,48,53,32,49,
      46,57,48,52,53,53,101,45,48,53,10,32,32,49,46,57,53,55,52,50,101,45,48,53,32,
      50,46,48,49,49,51,50,101,45,48,53,32,50,46,48,54,54,50,101,45,48,53,32,50,46,
      49,49,57,49,56,101,45,48,53,32,50,46,49,55,51,50,101,45,48,53,32,50,46,50,50,
      56,51,49,101,45,48,53,32,50,46,50,56,49,51,55,101,45,48,53,10,32,32,50,46,51,
      51,53,48,52,101,45,48,53,32,50,46,51,56,57,56,51,101,45,48,53,32,50,46,52,52,
      50,57,55,101,45,48,53,32,50,46,52,57,54,48,56,101,45,48,53,32,50,46,53,53,48,
      52,54,101,45,48,53,32,50,46,54,48,51,57,101,45,48,53,32,50,46,54,53,54,55,101,
      45,48,53,10,32,32,50,46,55,49,48,57,50,101,45,48,53,32,50,46,55,54,53,49,101,
      45,48,53,32,50,46,56,49,56,50,49,101,45,48,53,32,50,46,56,55,50,56,53,101,45,
      48,53,32,50,46,57,50,56,51,51,101,45,48,53,32,50,46,57,56,50,53,56,101,45,48,
      53,32,51,46,48,51,56,52,50,101,45,48,53,10,32,32,51,46,48,57,53,55,53,101,45,
      48,53,32,51,46,49,53,50,48,56,101,45,48,53,32,51,46,50,48,57,57,57,101,45,48,
      53,32,51,46,50,54,57,52,101,45,48,53,32,51,46,51,50,56,57,51,101,45,48,53,32,
      51,46,51,56,57,54,57,101,45,48,53,32,51,46,52,53,49,57,52,101,45,48,53,10,32,
      32,51,46,53,49,53,49,53,101,45,48,53,32,51,46,53,55,57,53,56,101,45,48,53,32,
      51,46,54,52,53,51,55,101,45,48,53,32,51,46,55,49,50,54,55,101,45,48,53,32,51,
      46,55,56,49,53,101,45,48,53,32,51,46,56,53,49,53,53,101,45,48,53,32,51,46,57,
      50,51,51,52,101,45,48,53,10,32,32,51,46,57,57,55,50,56,101,45,48,53,32,52,46,
      48,55,50,51,54,101,45,48,53,32,52,46,49,52,57,48,54,101,45,48,53,32,52,46,50,
      50,56,57,56,101,45,48,53,32,52,46,51,48,57,57,54,101,45,48,53,32,52,46,51,57,
      50,49,51,101,45,48,53,32,52,46,52,55,57,49,50,101,45,48,53,10,32,32,52,46,53,
      54,55,50,49,101,45,48,53,32,52,46,54,53,54,52,101,45,48,53,32,52,46,55,53,48,
      56,55,101,45,48,53,32,52,46,56,52,55,52,101,45,48,53,32,52,46,57,52,53,50,101,
      45,48,53,32,53,46,48,52,56,51,53,101,45,48,53,32,53,46,49,53,53,101,45,48,53,
      32,53,46,50,54,51,51,55,101,45,48,53,10,32,32,53,46,51,55,54,55,52,101,45,48,
      53,32,53,46,52,57,53,50,56,101,45,48,53,32,53,46,54,49,54,51,51,101,45,48,53,
      32,53,46,55,52,49,56,55,101,45,48,53,32,53,46,56,55,52,48,50,101,45,48,53,32,
      54,46,48,48,57,54,52,101,45,48,53,32,54,46,49,52,57,52,56,101,45,48,53,10,32,
      32,54,46,50,57,54,51,51,101,45,48,53,32,54,46,52,52,55,54,49,101,45,48,53,32,
      54,46,54,48,51,54,53,101,45,48,53,32,54,46,55,54,53,49,50,101,45,48,53,32,54,
      46,57,51,49,57,57,101,45,48,53,32,55,46,49,48,52,53,49,101,45,48,53,32,55,46,
      50,55,57,56,56,101,45,48,53,10,32,32,55,46,52,54,48,53,52,101,45,48,53,32,55,
      46,54,52,55,51,52,101,45,48,53,32,55,46,56,51,53,54,49,101,45,48,53,32,56,46,
      48,50,55,54,52,101,45,48,53,32,56,46,50,50,53,55,52,101,45,48,53,32,56,46,52,
      50,53,52,50,101,45,48,53,32,56,46,54,50,54,51,57,101,45,48,53,10,32,32,56,46,
      56,51,51,49,53,101,45,48,53,32,57,46,48,52,50,52,57,101,45,48,53,32,57,46,50,
      53,48,57,57,101,45,48,53,32,57,46,52,54,52,57,49,101,45,48,53,32,57,46,54,56,
      50,57,52,101,45,48,53,32,57,46,56,57,57,52,57,101,45,48,53,32,46,48,48,48,49,
      48,49,50,49,49,10,32,32,46,48,48,48,49,48,51,52,56,32,46,48,48,48,49,48,53,
      55,52,50,32,46,48,48,48,49,48,56,48,53,53,32,46,48,48,48,49,49,48,52,49,57,
      32,46,48,48,48,49,49,51,54,49,52,32,46,48,48,48,49,50,49,51,57,54,32,46,48,
      48,48,49,51,51,56,48,53,32,46,48,48,48,49,53,54,55,48,56,10,32,32,46,48,48,
      48,49,56,49,56,52,51,32,46,48,48,48,50,48,55,52,49,55,32,46,48,48,48,50,51,
      49,53,56,51,32,46,48,48,48,50,53,51,54,56,32,46,48,48,48,50,55,52,51,48,53,
      32,46,48,48,48,50,57,52,53,50,51,32,46,48,48,48,51,49,53,50,57,52,32,46,48,
      48,48,51,51,55,51,53,57,10,32,32,46,48,48,48,51,54,49,49,53,55,32,46,48,48,
      48,51,56,54,57,56,50,32,46,48,48,48,52,50,48,57,57,49,32,46,48,48,48,52,53,
      56,53,50,54,32,46,48,48,48,53,49,52,50,49,57,32,46,48,48,48,53,55,54,49,50,
      56,32,46,48,48,48,54,52,51,57,56,51,32,46,48,48,48,55,51,54,49,53,56,10,32,
      32,46,48,48,48,56,51,52,52,56,50,32,46,48,48,48,57,51,52,54,49,32,46,48,48,
      49,48,52,57,56,57,32,46,48,48,49,49,53,52,54,57,32,46,48,48,49,50,56,48,48,
      50,32,46,48,48,49,51,57,57,50,56,32,46,48,48,49,53,50,49,53,56,32,46,48,48,
      49,54,55,49,53,56,10,32,32,46,48,48,49,56,53,57,56,55,32,46,48,48,50,48,56,
      55,48,57,32,46,48,48,50,51,52,55,49,49,32,46,48,48,50,54,51,54,53,50,32,46,
      48,48,50,57,54,57,52,57,32,46,48,48,51,50,57,50,49,50,32,46,48,48,51,54,51,
      56,54,50,32,46,48,48,52,48,53,54,48,52,10,32,32,46,48,48,52,52,57,57,52,32,
      46,48,48,52,56,52,52,55,55,32,46,48,48,53,50,56,55,50,52,32,46,48,48,53,56,
      49,53,55,53,32,46,48,48,54,51,50,50,53,54,32,46,48,48,54,55,54,48,53,53,32,
      46,48,48,55,48,57,51,49,32,46,48,48,55,50,55,54,56,56,32,46,48,48,55,51,54,
      52,54,56,10,32,32,46,48,48,55,52,57,55,52,53,32,46,48,48,55,56,49,53,48,53,
      32,46,48,48,56,49,57,51,56,54,32,46,48,48,56,52,51,55,55,52,32,46,48,48,56,
      52,57,54,52,32,46,48,48,56,51,52,51,48,54,32,46,48,48,55,56,50,52,52,51,32,
      46,48,48,55,49,52,48,51,32,46,48,48,54,52,55,54,53,51,10,32,32,46,48,48,53,
      57,53,55,49,51,32,46,48,48,53,50,56,54,48,49,32,46,48,48,52,54,49,52,48,52,
      32,46,48,48,51,57,52,52,48,49,32,46,48,48,51,52,49,54,49,53,32,46,48,48,51,
      48,51,52,54,55,32,46,48,48,50,55,56,55,50,57,32,46,48,48,50,53,53,57,55,53,
      10,32,32,46,48,48,50,51,48,57,52,52,32,46,48,48,50,48,54,54,50,32,46,48,48,
      49,53,51,50,54,32,46,48,48,49,48,56,56,57,54,32,46,48,48,48,56,48,52,51,50,
      57,32,46,48,48,48,54,50,50,49,55,51,32,46,48,48,48,53,54,52,56,54,50,32,46,
      48,48,48,52,51,56,57,53,57,10,32,32,46,48,48,48,51,52,51,49,53,32,46,48,48,
      48,50,55,48,52,50,57,32,46,48,48,48,50,49,53,50,56,32,46,48,48,48,49,54,55,
      48,51,53,32,46,48,48,48,49,51,56,55,50,57,32,46,48,48,48,49,49,53,50,55,51,
      32,56,46,53,48,51,50,51,101,45,48,53,32,55,46,48,53,55,55,51,101,45,48,53,10,
      32,32,53,46,50,54,51,52,56,101,45,48,53,32,51,46,56,53,57,51,54,101,45,48,53,
      32,51,46,50,48,51,57,50,101,45,48,53,32,50,46,54,53,56,49,51,101,45,48,53,32,
      49,46,57,55,56,48,55,101,45,48,53,32,49,46,52,50,55,49,51,101,45,48,53,32,49,
      46,49,57,48,52,50,101,45,48,53,10,32,32,56,46,56,56,49,49,55,101,45,48,54,32,
      55,46,52,50,55,49,101,45,48,54,32,53,46,53,53,49,56,50,101,45,48,54,32,52,46,
      51,56,52,53,57,101,45,48,54,32,53,46,54,49,54,51,57,101,45,48,54,32,52,46,57,
      53,52,57,101,45,48,54,32,51,46,56,57,51,56,54,101,45,48,54,10,32,32,50,46,57,
      56,51,57,52,101,45,48,54,32,50,46,51,57,48,55,52,101,45,48,54,32,49,46,57,49,
      53,55,52,101,45,48,54,32,49,46,53,53,55,51,49,101,45,48,54,32,49,46,50,55,48,
      48,57,101,45,48,54,32,49,46,48,49,51,51,49,101,45,48,54,32,56,46,50,57,50,49,
      57,101,45,48,55,10,32,32,54,46,54,52,56,55,101,45,48,55,32,53,46,54,53,49,56,
      53,101,45,48,55,32,52,46,51,51,54,57,54,101,45,48,55,32,51,46,54,56,55,51,50,
      101,45,48,55,32,51,46,48,49,52,49,55,101,45,48,55,32,49,46,56,56,53,55,57,101,
      45,48,55,32,57,46,56,57,56,57,57,101,45,48,56,10,32,32,53,46,50,56,50,55,56,
      101,45,48,56,32,50,46,52,49,49,57,56,101,45,48,56,32,49,46,49,48,50,51,56,101,
      45,48,56,32,52,46,51,49,51,51,57,101,45,48,57,32,49,46,57,55,52,57,53,101,45,
      48,57,32,53,46,54,54,55,48,53,101,45,49,48,32,49,46,55,50,53,55,101,45,49,48,
      10,32,32,55,46,52,55,57,52,53,101,45,49,49,32,50,46,57,52,49,49,101,45,49,49,
      32,56,46,52,56,51,50,50,101,45,49,50,32,50,46,56,54,49,50,55,101,45,49,50,32,
      57,46,54,53,54,49,51,101,45,49,51,32,50,46,55,57,50,54,49,101,45,49,51,32,56,
      46,48,56,52,53,50,101,45,49,52,10,32,32,50,46,55,51,52,55,57,101,45,49,52,32,
      57,46,50,53,55,49,54,101,45,49,53,32,51,46,49,51,53,48,53,101,45,49,53,32,56,
      46,52,54,57,53,49,101,45,49,54,32,50,46,49,48,50,50,57,101,45,49,54,32,52,46,
      52,55,52,51,57,101,45,49,55,32,49,46,49,49,50,53,54,101,45,49,55,10,32,32,50,
      46,51,54,51,52,51,101,45,49,56,32,53,46,56,55,51,48,51,101,45,49,57,32,49,46,
      52,54,49,55,52,101,45,49,57,32,51,46,48,49,53,55,50,101,45,50,48,32,53,46,55,
      53,49,53,49,101,45,50,49,32,49,46,49,48,55,55,49,101,45,50,49,32,48,114,49,
      48,53,32,54,46,53,49,50,48,50,101,45,49,53,10,32,32,49,46,48,52,55,50,53,101,
      45,49,51,32,53,46,51,49,50,50,49,101,45,49,51,32,54,46,53,49,54,48,50,101,45,
      49,51,32,49,46,48,53,50,101,45,49,49,32,53,46,52,52,57,49,53,101,45,49,49,32,
      49,46,55,52,52,52,50,101,45,49,48,32,52,46,50,56,52,51,49,101,45,49,48,10,32,
      32,56,46,57,50,54,50,57,101,45,49,48,32,49,46,54,53,56,48,50,101,45,48,57,32,
      50,46,56,51,53,51,101,45,48,57,32,52,46,53,52,56,55,49,101,45,48,57,32,54,46,
      57,51,57,51,49,101,45,48,57,32,49,46,48,49,54,53,55,101,45,48,56,32,49,46,52,
      52,50,55,51,101,45,48,56,10,32,32,49,46,57,56,55,49,101,45,48,56,32,50,46,54,
      55,50,51,101,45,48,56,32,51,46,53,50,48,50,101,45,48,56,32,52,46,53,53,52,101,
      45,48,56,32,53,46,55,57,57,55,51,101,45,48,56,32,55,46,50,56,50,53,56,101,45,
      48,56,32,57,46,48,51,48,51,56,101,45,48,56,32,49,46,49,48,55,49,57,101,45,48,
      55,10,32,32,49,46,51,52,51,55,51,101,45,48,55,32,49,46,54,49,53,55,56,101,45,
      48,55,32,49,46,57,50,53,55,57,101,45,48,55,32,50,46,50,55,55,51,54,101,45,48,
      55,32,50,46,54,55,52,49,54,101,45,48,55,32,51,46,49,49,54,56,54,101,45,48,55,
      32,51,46,54,48,57,51,53,101,45,48,55,10,32,32,52,46,49,53,54,51,101,45,48,55,
      32,52,46,55,53,53,56,50,101,45,48,55,32,53,46,52,48,57,52,50,101,45,48,55,32,
      54,46,49,50,53,52,51,101,45,48,55,32,54,46,56,57,57,50,55,101,45,48,55,32,55,
      46,55,50,51,54,52,101,45,48,55,32,56,46,54,49,52,54,56,101,45,48,55,10,32,32,
      57,46,53,54,56,56,101,45,48,55,32,49,46,48,53,53,57,50,101,45,48,54,32,49,46,
      49,54,49,55,54,101,45,48,54,32,49,46,50,55,52,54,51,101,45,48,54,32,49,46,51,
      56,56,54,51,101,45,48,54,32,49,46,53,48,57,50,56,101,45,48,54,32,49,46,54,51,
      54,55,57,101,45,48,54,10,32,32,49,46,55,54,52,55,50,101,45,48,54,32,49,46,56,
      57,55,56,52,101,45,48,54,32,50,46,48,51,55,52,57,101,45,48,54,32,50,46,49,55,
      55,56,49,101,45,48,54,32,50,46,51,50,49,52,53,101,45,48,54,32,50,46,52,55,49,
      51,52,101,45,48,54,32,50,46,54,50,51,49,50,101,45,48,54,10,32,32,50,46,55,55,
      54,54,52,101,45,48,54,32,50,46,57,51,54,50,54,101,45,48,54,32,51,46,48,57,57,
      51,52,101,45,48,54,32,51,46,50,54,51,49,52,101,45,48,54,32,51,46,52,51,51,48,
      50,101,45,48,54,32,51,46,54,48,55,57,101,45,48,54,32,51,46,55,56,51,51,55,101,
      45,48,54,10,32,32,51,46,57,54,53,101,45,48,54,32,52,46,49,53,50,56,52,101,45,
      48,54,32,52,46,51,52,49,50,56,101,45,48,54,32,52,46,53,51,54,48,49,101,45,48,
      54,32,52,46,55,51,55,49,56,101,45,48,54,32,52,46,57,51,57,56,53,101,45,48,54,
      32,53,46,49,52,56,48,56,101,45,48,54,10,32,32,53,46,51,54,50,57,101,45,48,54,
      32,53,46,53,55,57,49,49,101,45,48,54,32,53,46,55,57,57,52,54,101,45,48,54,32,
      54,46,48,50,54,53,101,45,48,54,32,54,46,50,53,52,49,101,45,48,54,32,54,46,52,
      56,50,52,56,101,45,48,54,32,54,46,55,49,55,54,51,101,45,48,54,10,32,32,54,46,
      57,53,50,57,57,101,45,48,54,32,55,46,49,56,50,53,49,101,45,48,54,32,55,46,52,
      49,56,56,53,101,45,48,54,32,55,46,54,53,54,57,52,101,45,48,54,32,55,46,56,55,
      56,52,51,101,45,48,54,32,56,46,49,48,54,57,50,101,45,48,54,32,56,46,51,52,49,
      57,55,101,45,48,54,10,32,32,56,46,53,52,53,54,57,101,45,48,54,32,56,46,55,53,
      55,48,54,101,45,48,54,32,56,46,57,55,53,57,52,101,45,48,54,32,57,46,49,54,49,
      53,50,101,45,48,54,32,57,46,51,52,56,51,56,101,45,48,54,32,57,46,53,52,51,56,
      51,101,45,48,54,32,57,46,55,49,48,51,52,101,45,48,54,10,32,32,57,46,56,54,57,
      53,53,101,45,48,54,32,49,46,48,48,51,56,56,101,45,48,53,32,49,46,48,49,56,56,
      52,101,45,48,53,32,49,46,48,51,50,50,49,101,45,48,53,32,49,46,48,52,54,55,53,
      101,45,48,53,32,49,46,48,54,48,53,50,101,45,48,53,32,49,46,48,55,50,48,53,101,
      45,48,53,10,32,32,49,46,48,56,52,57,49,101,45,48,53,32,49,46,48,57,56,49,53,
      101,45,48,53,32,49,46,49,48,56,56,57,101,45,48,53,32,49,46,49,50,49,48,53,101,
      45,48,53,32,49,46,49,51,52,52,56,101,45,48,53,32,49,46,49,52,53,54,53,101,45,
      48,53,32,49,46,49,53,56,50,52,101,45,48,53,10,32,32,49,46,49,55,50,49,54,101,
      45,48,53,32,49,46,49,56,53,51,56,101,45,48,53,32,49,46,49,57,57,53,55,101,45,
      48,53,32,49,46,50,49,53,48,51,101,45,48,53,32,49,46,50,51,49,48,53,101,45,48,
      53,32,49,46,50,52,55,57,56,101,45,48,53,32,49,46,50,54,54,48,51,101,45,48,53,
      10,32,32,49,46,50,56,53,53,50,101,45,48,53,32,49,46,51,48,54,51,53,101,45,48,
      53,32,49,46,51,50,56,49,55,101,45,48,53,32,49,46,51,53,49,55,49,101,45,48,53,
      32,49,46,51,55,55,54,49,101,45,48,53,32,49,46,52,48,52,51,51,101,45,48,53,32,
      49,46,52,51,50,54,50,101,45,48,53,10,32,32,49,46,52,54,52,57,49,101,45,48,53,
      32,49,46,52,57,55,57,53,101,45,48,53,32,49,46,53,51,49,56,54,101,45,48,53,32,
      49,46,53,55,50,49,49,101,45,48,53,32,49,46,54,49,51,49,53,101,45,48,53,32,49,
      46,54,53,52,57,56,101,45,48,53,32,49,46,55,48,51,56,56,101,45,48,53,10,32,32,
      49,46,55,53,52,56,53,101,45,48,53,32,49,46,56,48,54,56,57,101,45,48,53,32,49,
      46,56,54,53,57,49,101,45,48,53,32,49,46,57,50,57,49,50,101,45,48,53,32,49,46,
      57,57,51,57,49,101,45,48,53,32,50,46,48,54,53,48,53,101,45,48,53,32,50,46,49,
      52,50,55,51,101,45,48,53,10,32,32,50,46,50,50,50,57,101,45,48,53,32,50,46,51,
      48,56,52,52,101,45,48,53,32,50,46,52,48,50,51,56,101,45,48,53,32,50,46,52,57,
      57,57,55,101,45,48,53,32,50,46,54,48,50,50,57,101,45,48,53,32,50,46,55,49,51,
      49,51,101,45,48,53,32,50,46,56,50,56,55,57,101,45,48,53,10,32,32,50,46,57,52,
      57,54,101,45,48,53,32,51,46,48,55,54,52,50,101,45,48,53,32,51,46,50,48,57,48,
      52,101,45,48,53,32,51,46,51,52,55,55,55,101,45,48,53,32,51,46,52,56,56,56,101,
      45,48,53,32,51,46,54,51,53,51,53,101,45,48,53,32,51,46,55,56,56,52,50,101,45,
      48,53,10,32,32,51,46,57,52,49,56,54,101,45,48,53,32,52,46,48,57,56,54,53,101,
      45,48,53,32,52,46,50,54,49,55,51,101,45,48,53,32,52,46,52,50,53,51,56,101,45,
      48,53,32,52,46,53,56,57,51,101,45,48,53,32,52,46,55,53,57,48,57,101,45,48,53,
      32,52,46,57,51,48,55,101,45,48,53,10,32,32,53,46,49,48,48,49,50,101,45,48,53,
      32,53,46,50,55,52,56,50,101,45,48,53,32,53,46,52,53,51,50,51,101,45,48,53,32,
      53,46,54,50,56,55,55,101,45,48,53,32,53,46,56,48,57,50,57,101,45,48,53,32,53,
      46,57,57,52,55,52,101,45,48,53,32,54,46,49,55,56,52,101,45,48,53,10,32,32,54,
      46,51,54,54,57,52,101,45,48,53,32,54,46,53,54,48,51,51,101,45,48,53,32,54,46,
      56,50,49,53,53,101,45,48,53,32,55,46,52,54,49,51,54,101,45,48,53,32,56,46,52,
      57,51,52,50,101,45,48,53,32,46,48,48,48,49,48,52,51,50,56,32,46,48,48,48,49,
      50,53,55,53,51,10,32,32,46,48,48,48,49,52,55,51,54,51,32,46,48,48,48,49,54,
      55,51,56,53,32,46,48,48,48,49,56,53,50,54,55,32,46,48,48,48,50,48,49,54,52,
      56,32,46,48,48,48,50,49,55,54,48,57,32,46,48,48,48,50,51,52,48,56,52,32,46,
      48,48,48,50,53,49,56,48,50,32,46,48,48,48,50,55,49,50,49,53,10,32,32,46,48,
      48,48,50,57,50,53,52,53,32,46,48,48,48,51,50,49,48,50,53,32,46,48,48,48,51,
      53,50,56,51,49,32,46,48,48,48,52,48,48,52,56,55,32,46,48,48,48,52,53,51,56,
      49,52,32,46,48,48,48,53,49,50,53,52,51,32,46,48,48,48,53,57,50,53,55,49,32,
      46,48,48,48,54,55,56,48,53,52,10,32,32,46,48,48,48,55,54,53,49,51,52,32,46,
      48,48,48,56,54,53,48,52,50,32,46,48,48,48,57,53,53,50,53,50,32,46,48,48,49,
      48,54,50,49,56,32,46,48,48,49,49,54,51,53,32,46,48,48,49,50,54,55,54,52,32,
      46,48,48,49,51,57,54,51,51,32,46,48,48,49,53,53,57,53,50,10,32,32,46,48,48,
      49,55,53,55,57,56,32,46,48,48,49,57,56,54,50,57,32,46,48,48,50,50,52,49,54,
      52,32,46,48,48,50,53,51,54,52,50,32,46,48,48,50,56,50,50,53,49,32,46,48,48,
      51,49,50,57,50,32,46,48,48,51,52,57,55,49,53,32,46,48,48,51,56,56,57,51,57,
      32,46,48,48,52,49,57,55,54,49,10,32,32,46,48,48,52,53,57,55,48,55,32,46,48,
      48,53,48,56,50,50,52,32,46,48,48,53,53,53,54,53,51,32,46,48,48,53,57,55,54,
      53,54,32,46,48,48,54,51,48,57,57,50,32,46,48,48,54,53,49,48,54,50,32,46,48,
      48,54,54,50,52,48,51,32,46,48,48,54,55,55,53,49,52,10,32,32,46,48,48,55,48,
      56,57,51,55,32,46,48,48,55,52,53,49,52,49,32,46,48,48,55,54,57,52,52,32,46,
      48,48,55,55,54,57,50,56,32,46,48,48,55,54,53,54,53,51,32,46,48,48,55,50,50,
      48,57,50,32,46,48,48,54,54,50,54,53,51,32,46,48,48,54,48,51,57,54,53,32,46,
      48,48,53,53,55,53,49,52,10,32,32,46,48,48,52,57,54,57,50,49,32,46,48,48,52,
      51,53,53,54,51,32,46,48,48,51,55,51,55,57,53,32,46,48,48,51,50,52,55,57,54,
      32,46,48,48,50,56,57,50,53,53,32,46,48,48,50,54,54,49,55,54,32,46,48,48,50,
      52,52,56,54,57,32,46,48,48,50,50,49,51,49,50,10,32,32,46,48,48,49,57,56,51,
      49,52,32,46,48,48,49,52,55,54,49,49,32,46,48,48,49,48,53,50,50,52,32,46,48,
      48,48,55,55,57,49,48,57,32,46,48,48,48,54,48,51,56,52,49,32,46,48,48,48,53,
      52,56,54,57,56,32,46,48,48,48,52,50,55,48,55,51,32,46,48,48,48,51,51,52,51,
      50,53,10,32,32,46,48,48,48,50,54,51,55,57,56,32,46,48,48,48,50,49,48,50,50,
      55,32,46,48,48,48,49,54,51,50,57,49,32,46,48,48,48,49,51,53,55,49,57,32,46,
      48,48,48,49,49,50,56,52,57,32,56,46,51,51,51,48,53,101,45,48,53,32,54,46,57,
      50,48,54,49,101,45,48,53,32,53,46,49,54,53,55,50,101,45,48,53,10,32,32,51,46,
      55,57,48,56,51,101,45,48,53,32,51,46,49,52,56,53,101,45,48,53,32,50,46,54,49,
      51,51,51,101,45,48,53,32,49,46,57,52,54,48,51,101,45,48,53,32,49,46,52,48,52,
      57,54,101,45,48,53,32,49,46,49,55,50,51,52,101,45,48,53,32,56,46,55,53,48,57,
      53,101,45,48,54,10,32,32,55,46,51,50,48,52,56,101,45,48,54,32,53,46,52,55,52,
      55,50,101,45,48,54,32,52,46,51,50,53,50,52,101,45,48,54,32,53,46,52,56,55,52,
      51,101,45,48,54,32,52,46,56,52,49,56,50,101,45,48,54,32,51,46,56,48,54,48,49,
      101,45,48,54,32,50,46,57,49,55,53,101,45,48,54,10,32,32,50,46,51,51,56,48,55,
      101,45,48,54,32,49,46,56,55,51,57,53,101,45,48,54,32,49,46,53,50,51,54,54,101,
      45,48,54,32,49,46,50,52,50,57,101,45,48,54,32,57,46,57,49,56,50,54,101,45,48,
      55,32,56,46,49,49,55,57,54,101,45,48,55,32,54,46,53,49,48,51,51,101,45,48,55,
      10,32,32,53,46,53,51,53,48,49,101,45,48,55,32,52,46,50,52,56,50,53,101,45,48,
      55,32,51,46,54,49,50,51,56,101,45,48,55,32,50,46,57,53,51,52,101,45,48,55,32,
      49,46,56,52,56,53,49,101,45,48,55,32,57,46,55,48,55,56,55,101,45,48,56,32,53,
      46,49,56,50,54,55,101,45,48,56,10,32,32,50,46,51,54,55,49,54,101,45,48,56,32,
      49,46,48,56,50,50,51,101,45,48,56,32,52,46,50,51,53,56,101,45,48,57,32,49,46,
      57,52,48,50,51,101,45,48,57,32,53,46,53,55,48,56,51,101,45,49,48,32,49,46,54,
      57,55,49,54,101,45,49,48,32,55,46,51,53,56,55,53,101,45,49,49,10,32,32,50,46,
      56,57,52,56,50,101,45,49,49,32,56,46,51,53,50,57,49,101,45,49,50,32,50,46,56,
      49,56,49,57,101,45,49,50,32,57,46,53,49,54,54,51,101,45,49,51,32,50,46,55,53,
      52,48,57,101,45,49,51,32,55,46,57,55,53,50,52,101,45,49,52,32,50,46,54,57,56,
      51,52,101,45,49,52,10,32,32,57,46,49,51,53,52,57,101,45,49,53,32,51,46,48,57,
      52,54,101,45,49,53,32,56,46,51,55,49,49,56,101,45,49,54,32,50,46,48,55,56,50,
      56,101,45,49,54,32,52,46,52,50,51,57,50,101,45,49,55,32,49,46,49,48,48,49,57,
      101,45,49,55,32,50,46,51,51,55,52,53,101,45,49,56,10,32,32,53,46,56,49,48,49,
      54,101,45,49,57,32,49,46,52,52,55,54,51,101,45,49,57,32,50,46,57,56,53,53,55,
      101,45,50,48,32,53,46,54,57,52,56,53,101,45,50,49,32,49,46,48,56,57,52,56,101,
      45,50,49,32,48,114,49,48,53,32,52,46,56,49,55,55,53,101,45,49,53,32,55,46,55,
      52,53,50,54,101,45,49,52,10,32,32,51,46,57,50,54,57,53,101,45,49,51,32,52,46,
      56,49,54,52,55,101,45,49,51,32,55,46,55,52,49,50,54,101,45,49,50,32,51,46,57,
      50,52,53,49,101,45,49,49,32,49,46,50,52,52,53,53,101,45,49,48,32,51,46,48,52,
      56,57,50,101,45,49,48,32,54,46,51,51,52,50,53,101,45,49,48,10,32,32,49,46,49,
      55,50,57,53,101,45,48,57,32,49,46,57,57,57,56,57,101,45,48,57,32,51,46,50,48,
      48,49,49,101,45,48,57,32,52,46,56,55,55,49,57,101,45,48,57,32,55,46,49,53,54,
      57,56,101,45,48,57,32,49,46,48,49,50,50,50,101,45,48,56,32,49,46,51,57,50,48,
      55,101,45,48,56,10,32,32,49,46,56,54,57,54,57,101,45,48,56,32,50,46,52,54,48,
      51,101,45,48,56,32,51,46,49,56,48,49,101,45,48,56,32,52,46,48,52,55,51,52,101,
      45,48,56,32,53,46,48,55,57,56,101,45,48,56,32,54,46,50,57,55,50,53,101,45,48,
      56,32,55,46,55,50,48,50,49,101,45,48,56,10,32,32,57,46,51,55,48,51,53,101,45,
      48,56,32,49,46,49,50,55,48,50,101,45,48,55,32,49,46,51,52,51,56,101,45,48,55,
      32,49,46,53,57,101,45,48,55,32,49,46,56,54,56,51,50,101,45,48,55,32,50,46,49,
      55,57,53,51,101,45,48,55,32,50,46,53,50,54,50,53,101,45,48,55,10,32,32,50,46,
      57,49,50,54,51,101,45,48,55,32,51,46,51,51,54,53,101,45,48,55,32,51,46,55,57,
      57,53,52,101,45,48,55,32,52,46,51,48,55,55,51,101,45,48,55,32,52,46,56,53,56,
      48,57,101,45,48,55,32,53,46,52,52,53,55,52,101,45,48,55,32,54,46,48,56,50,51,
      101,45,48,55,10,32,32,54,46,55,54,53,51,52,101,45,48,55,32,55,46,52,55,53,51,
      54,101,45,48,55,32,56,46,50,51,53,55,101,45,48,55,32,57,46,48,52,56,48,57,101,
      45,48,55,32,57,46,56,54,57,48,56,101,45,48,55,32,49,46,48,55,51,57,53,101,45,
      48,54,32,49,46,49,54,54,48,56,101,45,48,54,10,32,32,49,46,50,53,56,53,50,101,
      45,48,54,32,49,46,51,53,52,56,50,101,45,48,54,32,49,46,52,53,53,57,54,101,45,
      48,54,32,49,46,53,53,55,53,55,101,45,48,54,32,49,46,54,54,49,54,50,101,45,48,
      54,32,49,46,55,55,48,51,101,45,48,54,32,49,46,56,56,48,51,50,101,45,48,54,10,
      32,32,49,46,57,57,49,53,55,101,45,48,54,32,50,46,49,48,55,51,52,101,45,48,54,
      32,50,46,50,50,53,54,50,101,45,48,54,32,50,46,51,52,52,51,51,101,45,48,54,32,
      50,46,52,54,55,53,52,101,45,48,54,32,50,46,53,57,52,52,50,101,45,48,54,32,50,
      46,55,50,49,54,101,45,48,54,10,32,32,50,46,56,53,51,51,52,101,45,48,54,32,50,
      46,57,56,57,54,55,101,45,48,54,32,51,46,49,50,54,51,101,45,48,54,32,51,46,50,
      54,55,53,57,101,45,48,54,32,51,46,52,49,51,54,50,101,45,48,54,32,51,46,53,54,
      48,54,53,101,45,48,54,32,51,46,55,49,49,55,54,101,45,48,54,10,32,32,51,46,56,
      54,55,55,52,101,45,48,54,32,52,46,48,50,52,54,49,101,45,48,54,32,52,46,49,56,
      52,52,55,101,45,48,54,32,52,46,51,52,57,50,55,101,45,48,54,32,52,46,53,49,52,
      51,51,101,45,48,54,32,52,46,54,55,57,55,56,101,45,48,54,32,52,46,56,53,48,50,
      52,101,45,48,54,10,32,32,53,46,48,50,48,54,52,101,45,48,54,32,53,46,49,56,54,
      51,54,101,45,48,54,32,53,46,51,53,55,49,50,101,45,48,54,32,53,46,53,50,57,48,
      50,101,45,48,54,32,53,46,54,56,55,57,50,101,45,48,54,32,53,46,56,53,50,48,49,
      101,45,48,54,32,54,46,48,50,48,57,51,101,45,48,54,10,32,32,54,46,49,54,53,53,
      56,101,45,48,54,32,54,46,51,49,53,57,49,101,45,48,54,32,54,46,52,55,49,56,53,
      101,45,48,54,32,54,46,54,48,50,48,53,101,45,48,54,32,54,46,55,51,51,49,49,101,
      45,48,54,32,54,46,56,55,48,54,50,101,45,48,54,32,54,46,57,56,53,57,49,101,45,
      48,54,10,32,32,55,46,48,57,53,53,52,101,45,48,54,32,55,46,50,49,50,56,51,101,
      45,48,54,32,55,46,51,49,53,49,49,101,45,48,54,32,55,46,52,48,53,51,101,45,48,
      54,32,55,46,53,48,52,53,49,101,45,48,54,32,55,46,53,57,55,56,56,101,45,48,54,
      32,55,46,54,55,52,51,57,101,45,48,54,10,32,32,55,46,55,54,49,49,49,101,45,48,
      54,32,55,46,56,53,48,56,52,101,45,48,54,32,55,46,57,50,49,57,50,101,45,48,54,
      32,56,46,48,48,51,56,54,101,45,48,54,32,56,46,48,57,53,52,51,101,45,48,54,32,
      56,46,49,55,48,51,55,101,45,48,54,32,56,46,50,53,54,49,50,101,45,48,54,10,32,
      32,56,46,51,53,49,57,51,101,45,48,54,32,56,46,52,52,50,55,56,101,45,48,54,32,
      56,46,53,52,49,48,53,101,45,48,54,32,56,46,54,52,56,56,55,101,45,48,54,32,56,
      46,55,54,49,49,51,101,45,48,54,32,56,46,56,56,48,50,50,101,45,48,54,32,57,46,
      48,48,55,56,52,101,45,48,54,10,32,32,57,46,49,52,54,50,51,101,45,48,54,32,57,
      46,50,57,52,55,101,45,48,54,32,57,46,52,53,48,53,49,101,45,48,54,32,57,46,54,
      49,57,50,54,101,45,48,54,32,57,46,56,48,53,52,49,101,45,48,54,32,57,46,57,57,
      55,55,54,101,45,48,54,32,49,46,48,50,48,49,56,101,45,48,53,10,32,32,49,46,48,
      52,51,53,51,101,45,48,53,32,49,46,48,54,55,52,53,101,45,48,53,32,49,46,48,57,
      50,48,50,101,45,48,53,32,49,46,49,50,49,50,54,101,45,48,53,32,49,46,49,53,49,
      48,57,101,45,48,53,32,49,46,49,56,49,53,51,101,45,48,53,32,49,46,50,49,55,49,
      55,101,45,48,53,10,32,32,49,46,50,53,52,51,54,101,45,48,53,32,49,46,50,57,50,
      51,55,101,45,48,53,32,49,46,51,51,53,53,52,101,45,48,53,32,49,46,51,56,49,56,
      52,101,45,48,53,32,49,46,52,50,57,51,54,101,45,48,53,32,49,46,52,56,49,54,49,
      101,45,48,53,32,49,46,53,51,56,55,56,101,45,48,53,10,32,32,49,46,53,57,55,56,
      54,101,45,48,53,32,49,46,54,54,49,48,51,101,45,48,53,32,49,46,55,51,48,53,53,
      101,45,48,53,32,49,46,56,48,50,57,50,101,45,48,53,32,49,46,56,55,56,57,55,101,
      45,48,53,32,49,46,57,54,49,53,54,101,45,48,53,32,50,46,48,52,55,57,54,101,45,
      48,53,10,32,32,50,46,49,51,56,52,51,101,45,48,53,32,50,46,50,51,51,54,55,101,
      45,48,53,32,50,46,51,51,51,53,52,101,45,48,53,32,50,46,52,51,56,51,50,101,45,
      48,53,32,50,46,53,52,53,49,101,45,48,53,32,50,46,54,53,54,51,55,101,45,48,53,
      32,50,46,55,55,50,57,52,101,45,48,53,10,32,32,50,46,56,57,48,48,54,101,45,48,
      53,32,51,46,48,49,48,48,52,101,45,48,53,32,51,46,49,51,53,50,101,45,48,53,32,
      51,46,50,54,49,48,52,101,45,48,53,32,51,46,51,56,55,51,52,101,45,48,53,32,51,
      46,53,49,56,53,101,45,48,53,32,51,46,54,53,49,51,53,101,45,48,53,10,32,32,51,
      46,55,56,50,54,54,101,45,48,53,32,51,46,57,49,56,51,57,101,45,48,53,32,52,46,
      48,53,55,50,57,101,45,48,53,32,52,46,49,57,52,48,57,101,45,48,53,32,52,46,51,
      51,53,48,53,101,45,48,53,32,52,46,52,56,48,49,57,101,45,48,53,32,52,46,54,50,
      52,48,53,101,45,48,53,10,32,32,52,46,55,55,50,48,51,101,45,48,53,32,52,46,57,
      50,52,49,50,101,45,48,53,32,53,46,49,50,57,57,53,101,45,48,53,32,53,46,54,51,
      54,50,101,45,48,53,32,54,46,52,53,57,48,54,101,45,48,53,32,56,46,48,50,52,51,
      52,101,45,48,53,32,57,46,55,55,53,52,53,101,45,48,53,10,32,32,46,48,48,48,49,
      49,53,53,51,53,32,46,48,48,48,49,51,50,48,48,54,32,46,48,48,48,49,52,54,54,
      52,50,32,46,48,48,48,49,53,57,57,56,32,46,48,48,48,49,55,50,57,54,50,32,46,
      48,48,48,49,56,54,52,48,52,32,46,48,48,48,50,48,48,57,52,57,32,46,48,48,48,
      50,49,54,57,57,57,10,32,32,46,48,48,48,50,51,52,55,53,51,32,46,48,48,48,50,
      53,56,54,51,55,32,46,48,48,48,50,56,53,53,49,50,32,46,48,48,48,51,50,54,48,
      57,55,32,46,48,48,48,51,55,49,56,54,50,32,46,48,48,48,52,50,50,54,48,53,32,
      46,48,48,48,52,57,50,49,55,50,32,46,48,48,48,53,54,54,56,55,50,10,32,32,46,
      48,48,48,54,52,51,49,55,51,32,46,48,48,48,55,51,48,54,55,49,32,46,48,48,48,
      56,48,57,51,55,56,32,46,48,48,48,57,48,50,48,57,50,32,46,48,48,48,57,56,57,
      54,56,32,46,48,48,49,48,55,57,57,49,32,46,48,48,49,49,57,50,48,56,32,46,48,
      48,49,51,51,53,52,53,10,32,32,46,48,48,49,53,49,48,56,54,32,46,48,48,49,55,
      49,51,53,32,46,48,48,49,57,52,48,57,54,32,46,48,48,50,50,48,52,50,52,32,46,
      48,48,50,52,54,32,46,48,48,50,55,51,51,55,57,32,46,48,48,51,48,54,49,50,57,
      32,46,48,48,51,52,49,49,51,55,32,46,48,48,51,54,56,56,50,49,10,32,32,46,48,
      48,52,48,53,48,48,56,32,46,48,48,52,52,57,52,57,55,32,46,48,48,52,57,51,54,
      50,57,32,46,48,48,53,51,51,52,53,32,46,48,48,53,54,54,49,50,55,32,46,48,48,
      53,56,54,57,55,51,32,46,48,48,53,57,57,57,51,54,32,46,48,48,54,49,54,49,53,
      53,32,46,48,48,54,52,54,57,51,53,10,32,32,46,48,48,54,56,49,52,55,54,32,46,
      48,48,55,48,53,52,52,53,32,46,48,48,55,49,52,48,56,54,32,46,48,48,55,48,54,
      48,51,52,32,46,48,48,54,54,57,50,57,54,32,46,48,48,54,49,55,51,54,54,32,46,
      48,48,53,54,53,50,51,49,32,46,48,48,53,50,51,52,57,54,10,32,32,46,48,48,52,
      54,56,53,52,49,32,46,48,48,52,49,50,50,56,56,32,46,48,48,51,53,53,49,52,49,
      32,46,48,48,51,48,57,53,49,51,32,46,48,48,50,55,54,50,57,56,32,46,48,48,50,
      53,52,55,48,50,32,46,48,48,50,51,52,55,48,49,32,46,48,48,50,49,50,52,55,55,
      10,32,32,46,48,48,49,57,48,54,56,49,32,46,48,48,49,52,50,51,57,56,32,46,48,
      48,49,48,49,56,50,51,32,46,48,48,48,55,53,53,54,55,52,32,46,48,48,48,53,56,
      54,55,53,53,32,46,48,48,48,53,51,51,54,50,49,32,46,48,48,48,52,49,53,57,55,
      54,32,46,48,48,48,51,50,54,48,55,49,10,32,32,46,48,48,48,50,53,55,53,56,52,
      32,46,48,48,48,50,48,53,52,56,53,32,46,48,48,48,49,53,57,55,55,53,32,46,48,
      48,48,49,51,50,56,57,32,46,48,48,48,49,49,48,53,55,32,56,46,49,55,50,57,101,
      45,48,53,32,54,46,55,57,49,52,50,101,45,48,53,32,53,46,48,55,51,52,55,101,45,
      48,53,10,32,32,51,46,55,50,54,49,51,101,45,48,53,32,51,46,48,57,54,49,54,101,
      45,48,53,32,50,46,53,55,48,57,56,101,45,48,53,32,49,46,57,49,53,55,101,45,48,
      53,32,49,46,51,56,51,57,54,101,45,48,53,32,49,46,49,53,53,50,49,101,45,48,53,
      32,56,46,54,50,55,53,56,101,45,48,54,10,32,32,55,46,50,49,57,51,57,101,45,48,
      54,32,53,46,52,48,49,53,53,101,45,48,54,32,52,46,50,54,56,57,54,101,45,48,54,
      32,53,46,51,54,56,57,55,101,45,48,54,32,52,46,55,51,56,101,45,48,54,32,51,46,
      55,50,53,52,51,101,45,48,54,32,50,46,56,53,54,53,53,101,45,48,54,10,32,32,50,
      46,50,56,57,55,53,101,45,48,54,32,49,46,56,51,53,54,51,101,45,48,54,32,49,46,
      52,57,50,56,49,101,45,48,54,32,49,46,50,49,55,57,54,101,45,48,54,32,57,46,55,
      50,49,48,50,101,45,48,55,32,55,46,57,53,55,54,51,101,45,48,55,32,54,46,51,56,
      50,54,55,101,45,48,55,10,32,32,53,46,52,50,55,48,54,101,45,48,55,32,52,46,49,
      54,54,49,101,45,48,55,32,51,46,53,52,50,56,57,101,45,48,55,32,50,46,56,57,54,
      57,101,45,48,55,32,49,46,56,49,51,53,57,101,45,48,55,32,57,46,53,50,56,101,
      45,48,56,32,53,46,48,56,56,52,54,101,45,48,56,10,32,32,50,46,51,50,53,49,52,
      101,45,48,56,32,49,46,48,54,51,52,57,101,45,48,56,32,52,46,49,54,52,52,54,101,
      45,48,57,32,49,46,57,48,56,50,101,45,48,57,32,53,46,52,56,50,55,53,101,45,49,
      48,32,49,46,54,55,49,49,49,101,45,49,48,32,55,46,50,52,55,56,55,101,45,49,49,
      10,32,32,50,46,56,53,50,49,57,101,45,49,49,32,56,46,50,51,51,56,51,101,45,49,
      50,32,50,46,55,55,56,54,101,45,49,50,32,57,46,51,56,52,54,55,101,45,49,51,32,
      50,46,55,49,54,57,54,101,45,49,51,32,55,46,56,55,50,51,54,101,45,49,52,32,50,
      46,54,54,51,57,54,101,45,49,52,10,32,32,57,46,48,50,48,52,51,101,45,49,53,32,
      51,46,48,53,54,50,49,101,45,49,53,32,56,46,50,55,53,51,49,101,45,49,54,32,50,
      46,48,53,53,54,57,101,45,49,54,32,52,46,51,55,55,55,101,45,49,55,32,49,46,48,
      56,56,57,52,101,45,49,55,32,50,46,51,49,51,57,53,101,45,49,56,10,32,32,53,46,
      55,53,50,54,101,45,49,57,32,49,46,52,51,51,53,55,101,45,49,57,32,50,46,57,53,
      53,52,53,101,45,50,48,32,53,46,54,52,51,56,53,101,45,50,49,32,49,46,48,55,50,
      56,52,101,45,50,49,32,48,114,49,48,53,32,51,46,56,49,54,52,52,101,45,49,53,
      32,54,46,49,51,53,53,50,101,45,49,52,10,32,32,51,46,49,49,48,55,57,101,45,49,
      51,32,51,46,56,49,53,52,51,101,45,49,51,32,54,46,49,51,50,51,53,101,45,49,50,
      32,51,46,49,48,56,52,101,45,49,49,32,57,46,56,49,48,50,51,101,45,49,49,32,50,
      46,51,57,51,50,57,101,45,49,48,32,52,46,57,55,49,55,52,101,45,49,48,10,32,32,
      57,46,50,48,54,50,57,101,45,49,48,32,49,46,53,55,52,56,52,101,45,48,57,32,50,
      46,53,52,54,54,50,101,45,48,57,32,51,46,56,55,53,55,101,45,48,57,32,53,46,54,
      54,53,53,57,101,45,48,57,32,56,46,48,49,49,55,52,101,45,48,57,32,49,46,49,48,
      49,55,51,101,45,48,56,10,32,32,49,46,52,55,57,55,50,101,45,48,56,32,49,46,57,
      52,55,49,54,101,45,48,56,32,50,46,53,49,54,57,101,45,48,56,32,51,46,50,48,51,
      52,51,101,45,48,56,32,52,46,48,50,48,56,54,101,45,48,56,32,52,46,57,56,52,57,
      50,101,45,48,56,32,54,46,49,49,49,57,54,101,45,48,56,10,32,32,55,46,52,49,57,
      50,54,101,45,48,56,32,56,46,57,50,55,55,56,101,45,48,56,32,49,46,48,54,53,48,
      55,101,45,48,55,32,49,46,50,54,48,52,51,101,45,48,55,32,49,46,52,56,49,51,54,
      101,45,48,55,32,49,46,55,50,56,51,53,101,45,48,55,32,50,46,48,48,51,55,52,101,
      45,48,55,10,32,32,50,46,51,49,48,51,50,101,45,48,55,32,50,46,54,52,55,49,57,
      101,45,48,55,32,51,46,48,49,53,51,53,101,45,48,55,32,51,46,52,49,57,53,56,101,
      45,48,55,32,51,46,56,53,55,53,51,101,45,48,55,32,52,46,51,50,53,51,52,101,45,
      48,55,32,52,46,56,51,50,51,49,101,45,48,55,10,32,32,53,46,51,55,54,53,51,101,
      45,48,55,32,53,46,57,52,50,52,101,45,48,55,32,54,46,53,52,56,54,53,101,45,48,
      55,32,55,46,49,57,54,54,54,101,45,48,55,32,55,46,56,53,49,54,51,101,45,48,55,
      32,56,46,53,52,54,50,51,101,45,48,55,32,57,46,50,56,49,56,49,101,45,48,55,10,
      32,32,49,46,48,48,49,57,56,101,45,48,54,32,49,46,48,55,56,56,56,101,45,48,54,
      32,49,46,49,53,57,54,56,101,45,48,54,32,49,46,50,52,48,56,52,101,45,48,54,32,
      49,46,51,50,51,57,53,101,45,48,54,32,49,46,52,49,48,55,57,101,45,48,54,32,49,
      46,52,57,56,55,101,45,48,54,10,32,32,49,46,53,56,55,53,57,101,45,48,54,32,49,
      46,54,56,48,49,101,45,48,54,32,49,46,55,55,52,54,50,101,45,48,54,32,49,46,56,
      54,57,52,55,101,45,48,54,32,49,46,57,54,55,57,52,101,45,48,54,32,50,46,48,54,
      57,51,52,101,45,48,54,32,50,46,49,55,48,57,55,101,45,48,54,10,32,32,50,46,50,
      55,54,50,53,101,45,48,54,32,50,46,51,56,53,50,50,101,45,48,54,32,50,46,52,57,
      52,52,49,101,45,48,54,32,50,46,54,48,55,51,51,101,45,48,54,32,50,46,55,50,52,
      48,54,101,45,48,54,32,50,46,56,52,49,53,56,101,45,48,54,32,50,46,57,54,50,51,
      55,101,45,48,54,10,32,32,51,46,48,56,55,48,54,101,45,48,54,32,51,46,50,49,50,
      52,53,101,45,48,54,32,51,46,51,52,48,50,50,101,45,48,54,32,51,46,52,55,49,57,
      54,101,45,48,54,32,51,46,54,48,51,56,55,101,45,48,54,32,51,46,55,51,54,48,55,
      101,45,48,54,32,51,46,56,55,50,50,57,101,45,48,54,10,32,32,52,46,48,48,56,52,
      52,101,45,48,54,32,52,46,49,52,48,55,53,101,45,48,54,32,52,46,50,55,55,49,101,
      45,48,54,32,52,46,52,49,52,51,52,101,45,48,54,32,52,46,53,52,49,48,51,101,45,
      48,54,32,52,46,54,55,49,56,56,101,45,48,54,32,52,46,56,48,54,54,49,101,45,48,
      54,10,32,32,52,46,57,50,49,54,53,101,45,48,54,32,53,46,48,52,49,50,53,101,45,
      48,54,32,53,46,49,54,53,51,55,101,45,48,54,32,53,46,50,54,56,54,52,101,45,48,
      54,32,53,46,51,55,50,53,56,101,45,48,54,32,53,46,52,56,49,55,50,101,45,48,54,
      32,53,46,53,55,50,56,56,101,45,48,54,10,32,32,53,46,54,53,57,52,54,101,45,48,
      54,32,53,46,55,53,50,50,51,101,45,48,54,32,53,46,56,51,50,56,55,101,45,48,54,
      32,53,46,57,48,51,55,54,101,45,48,54,32,53,46,57,56,49,57,53,101,45,48,54,32,
      54,46,48,53,53,52,52,101,45,48,54,32,54,46,49,49,53,51,54,101,45,48,54,10,32,
      32,54,46,49,56,51,53,52,101,45,48,54,32,54,46,50,53,52,49,54,101,45,48,54,32,
      54,46,51,48,57,56,49,101,45,48,54,32,54,46,51,55,52,50,50,101,45,48,54,32,54,
      46,52,52,54,52,51,101,45,48,54,32,54,46,53,48,53,50,57,101,45,48,54,32,54,46,
      53,55,50,56,57,101,45,48,54,10,32,32,54,46,54,52,56,54,101,45,48,54,32,54,46,
      55,50,48,51,55,101,45,48,54,32,54,46,55,57,56,49,51,101,45,48,54,32,54,46,56,
      56,51,53,56,101,45,48,54,32,54,46,57,55,50,54,52,101,45,48,54,32,55,46,48,54,
      55,50,50,101,45,48,54,32,55,46,49,54,56,54,53,101,45,48,54,10,32,32,55,46,50,
      55,56,55,54,101,45,48,54,32,55,46,51,57,54,57,56,101,45,48,54,32,55,46,53,50,
      49,49,49,101,45,48,54,32,55,46,54,53,53,54,51,101,45,48,54,32,55,46,56,48,52,
      49,50,101,45,48,54,32,55,46,57,53,55,54,49,101,45,48,54,32,56,46,49,50,48,52,
      54,101,45,48,54,10,32,32,56,46,51,48,55,101,45,48,54,32,56,46,52,57,56,48,54,
      101,45,48,54,32,56,46,54,57,52,52,49,101,45,48,54,32,56,46,57,50,56,49,52,101,
      45,48,54,32,57,46,49,54,54,54,57,101,45,48,54,32,57,46,52,49,48,49,51,101,45,
      48,54,32,57,46,54,57,53,50,50,101,45,48,54,10,32,32,57,46,57,57,50,56,56,101,
      45,48,54,32,49,46,48,50,57,55,49,101,45,48,53,32,49,46,48,54,52,50,55,101,45,
      48,53,32,49,46,49,48,49,51,53,101,45,48,53,32,49,46,49,51,57,52,50,101,45,48,
      53,32,49,46,49,56,49,50,57,101,45,48,53,32,49,46,50,50,55,49,49,101,45,48,53,
      10,32,32,49,46,50,55,52,53,101,45,48,53,32,49,46,51,50,53,49,55,101,45,48,53,
      32,49,46,51,56,48,57,55,101,45,48,53,32,49,46,52,51,57,48,56,101,45,48,53,32,
      49,46,53,48,48,49,56,101,45,48,53,32,49,46,53,54,54,53,55,101,45,48,53,32,49,
      46,54,51,54,48,54,101,45,48,53,10,32,32,49,46,55,48,56,56,56,101,45,48,53,32,
      49,46,55,56,53,53,55,101,45,48,53,32,49,46,56,54,54,48,54,101,45,48,53,32,49,
      46,57,53,48,53,54,101,45,48,53,32,50,46,48,51,54,55,52,101,45,48,53,32,50,46,
      49,50,54,54,101,45,48,53,32,50,46,50,50,48,56,50,101,45,48,53,10,32,32,50,46,
      51,49,53,53,53,101,45,48,53,32,50,46,52,49,50,54,53,101,45,48,53,32,50,46,53,
      49,52,48,51,101,45,48,53,32,50,46,54,49,54,48,52,101,45,48,53,32,50,46,55,49,
      56,52,55,101,45,48,53,32,50,46,56,50,52,57,51,101,45,48,53,32,50,46,57,51,50,
      56,52,101,45,48,53,10,32,32,51,46,48,51,57,53,51,101,45,48,53,32,51,46,49,52,
      57,57,49,101,45,48,53,32,51,46,50,54,50,57,52,101,45,48,53,32,51,46,51,55,52,
      51,49,101,45,48,53,32,51,46,52,56,57,49,52,101,45,48,53,32,51,46,54,48,55,52,
      53,101,45,48,53,32,51,46,55,50,52,55,57,101,45,48,53,10,32,32,51,46,56,52,53,
      53,54,101,45,48,53,32,51,46,57,54,57,55,55,101,45,48,53,32,52,46,49,51,55,57,
      56,101,45,48,53,32,52,46,53,53,50,51,55,101,45,48,53,32,53,46,50,50,55,57,49,
      101,45,48,53,32,54,46,53,49,57,50,54,101,45,48,53,32,55,46,57,55,50,51,57,101,
      45,48,53,10,32,32,57,46,52,53,51,55,101,45,48,53,32,46,48,48,48,49,48,56,50,
      55,50,32,46,48,48,48,49,50,48,52,53,56,32,46,48,48,48,49,51,49,53,52,51,32,
      46,48,48,48,49,52,50,51,50,55,32,46,48,48,48,49,53,51,53,49,50,32,46,48,48,
      48,49,54,53,54,53,49,32,46,48,48,48,49,55,57,48,57,49,10,32,32,46,48,48,48,
      49,57,52,48,49,51,32,46,48,48,48,50,49,52,49,54,49,32,46,48,48,48,50,51,54,
      57,50,55,32,46,48,48,48,50,55,49,52,55,50,32,46,48,48,48,51,49,48,54,50,54,
      32,46,48,48,48,51,53,52,50,52,55,32,46,48,48,48,52,49,52,51,50,56,32,46,48,
      48,48,52,55,57,49,49,52,10,32,32,46,48,48,48,53,52,53,52,52,32,46,48,48,48,
      54,50,49,53,49,49,32,46,48,48,48,54,56,57,55,56,55,32,46,48,48,48,55,54,57,
      57,50,50,32,46,48,48,48,56,52,53,52,57,56,32,46,48,48,48,57,50,51,52,53,54,
      32,46,48,48,49,48,50,48,55,51,32,46,48,48,49,49,52,53,54,49,10,32,32,46,48,
      48,49,50,57,56,57,32,46,48,48,49,52,55,54,51,52,32,46,48,48,49,54,55,53,56,
      50,32,46,48,48,49,57,48,54,57,55,32,46,48,48,50,49,51,49,54,50,32,46,48,48,
      50,51,55,49,57,53,32,46,48,48,50,54,53,57,48,52,32,46,48,48,50,57,54,54,52,
      57,32,46,48,48,51,50,49,48,54,50,10,32,32,46,48,48,51,53,51,49,53,32,46,48,
      48,51,57,50,57,54,52,32,46,48,48,52,51,50,57,54,57,32,46,48,48,52,54,57,55,
      50,50,32,46,48,48,53,48,48,56,53,53,32,46,48,48,53,50,49,55,53,57,32,46,48,
      48,53,51,53,55,56,57,32,46,48,48,53,53,50,54,53,57,32,46,48,48,53,56,50,51,
      56,50,10,32,32,46,48,48,54,49,52,57,52,50,32,46,48,48,54,51,56,51,48,53,32,
      46,48,48,54,52,55,56,57,53,32,46,48,48,54,52,50,57,49,50,32,46,48,48,54,49,
      50,57,55,50,32,46,48,48,53,54,56,54,56,55,32,46,48,48,53,50,51,51,50,52,32,
      46,48,48,52,56,54,53,51,49,10,32,32,46,48,48,52,51,55,53,50,32,46,48,48,51,
      56,54,55,48,51,32,46,48,48,51,51,52,53,51,50,32,46,48,48,50,57,50,53,54,52,
      32,46,48,48,50,54,49,56,56,55,32,46,48,48,50,52,49,57,49,49,32,46,48,48,50,
      50,51,51,51,53,32,46,48,48,50,48,50,53,55,54,32,46,48,48,49,56,50,49,49,49,
      10,32,32,46,48,48,49,51,54,53,50,32,46,48,48,48,57,55,57,55,49,52,32,46,48,
      48,48,55,50,57,48,55,54,32,46,48,48,48,53,54,55,51,49,54,32,46,48,48,48,53,
      49,54,52,51,56,32,46,48,48,48,52,48,51,50,57,55,32,46,48,48,48,51,49,54,54,
      51,52,32,46,48,48,48,50,53,48,52,55,10,32,32,46,48,48,48,50,48,48,48,52,56,
      32,46,48,48,48,49,53,53,55,51,54,32,46,48,48,48,49,50,57,54,51,56,32,46,48,
      48,48,49,48,55,57,52,56,32,55,46,57,56,56,52,53,101,45,48,53,32,54,46,54,52,
      50,53,53,101,45,48,53,32,52,46,57,54,55,48,56,101,45,48,53,10,32,32,51,46,54,
      53,49,52,101,45,48,53,32,51,46,48,51,53,54,53,101,45,48,53,32,50,46,53,50,50,
      101,45,48,53,32,49,46,56,56,48,54,49,101,45,48,53,32,49,46,51,53,57,54,53,101,
      45,48,53,32,49,46,49,51,53,51,55,101,45,48,53,32,56,46,52,56,52,52,56,101,45,
      48,54,10,32,32,55,46,49,48,50,49,54,101,45,48,54,32,53,46,51,49,54,54,57,101,
      45,48,54,32,52,46,50,48,51,54,53,101,45,48,54,32,53,46,50,51,52,56,52,101,45,
      48,54,32,52,46,54,50,48,51,101,45,48,54,32,51,46,54,51,51,56,56,101,45,48,54,
      32,50,46,55,56,55,49,54,101,45,48,54,10,32,32,50,46,50,51,52,54,52,101,45,48,
      54,32,49,46,55,57,49,56,53,101,45,48,54,32,49,46,52,53,55,52,57,101,45,48,54,
      32,49,46,49,56,57,51,55,101,45,48,54,32,57,46,52,57,53,101,45,48,55,32,55,46,
      55,55,52,50,52,101,45,48,55,32,54,46,50,51,54,57,52,101,45,48,55,10,32,32,53,
      46,51,48,51,57,54,101,45,48,55,32,52,46,48,55,50,53,57,101,45,48,55,32,51,46,
      52,54,51,56,54,101,45,48,55,32,50,46,56,51,50,56,101,45,48,55,32,49,46,55,55,
      52,49,55,101,45,48,55,32,57,46,51,50,53,53,101,45,48,56,32,52,46,57,56,50,54,
      55,101,45,48,56,10,32,32,50,46,50,55,56,49,51,101,45,48,56,32,49,46,48,52,50,
      52,54,101,45,48,56,32,52,46,48,56,52,51,52,101,45,48,57,32,49,46,56,55,50,50,
      50,101,45,48,57,32,53,46,51,56,49,57,54,101,45,49,48,32,49,46,54,52,49,52,56,
      101,45,49,48,32,55,46,49,50,49,50,53,101,45,49,49,10,32,32,50,46,56,48,51,49,
      51,101,45,49,49,32,56,46,48,57,53,53,53,101,45,49,50,32,50,46,55,51,51,50,53,
      101,45,49,50,32,57,46,50,51,52,51,55,101,45,49,51,32,50,46,54,55,52,51,53,101,
      45,49,51,32,55,46,55,53,50,50,55,101,45,49,52,32,50,46,54,50,53,50,49,101,45,
      49,52,10,32,32,56,46,56,57,50,52,56,101,45,49,53,32,51,46,48,49,51,53,52,101,
      45,49,53,32,56,46,49,54,56,57,54,101,45,49,54,32,50,46,48,50,57,56,57,101,45,
      49,54,32,52,46,51,50,53,50,56,101,45,49,55,32,49,46,48,55,54,52,57,101,45,49,
      55,32,50,46,50,56,56,48,49,101,45,49,56,10,32,32,53,46,54,56,57,48,55,101,45,
      49,57,32,49,46,52,49,56,48,55,101,45,49,57,32,51,46,48,48,54,55,55,101,45,50,
      48,32,53,46,53,55,56,53,57,101,45,50,49,32,49,46,48,53,50,57,50,101,45,50,49,
      32,48,114,49,48,53,32,51,46,50,57,51,52,49,101,45,49,53,32,53,46,50,57,52,54,
      55,101,45,49,52,10,32,32,50,46,54,56,52,52,55,101,45,49,51,32,51,46,50,57,50,
      53,53,101,45,49,51,32,53,46,50,57,49,57,56,101,45,49,50,32,50,46,54,56,50,52,
      54,101,45,49,49,32,56,46,52,54,54,49,101,45,49,49,32,50,46,48,54,51,52,101,
      45,49,48,32,52,46,50,55,55,50,55,101,45,49,48,10,32,32,56,46,49,50,48,55,56,
      101,45,49,48,32,49,46,52,48,50,52,50,101,45,48,57,32,50,46,50,52,51,56,52,101,
      45,48,57,32,51,46,52,49,52,57,101,45,48,57,32,52,46,57,57,50,48,57,101,45,48,
      57,32,55,46,48,53,57,53,55,101,45,48,57,32,57,46,55,48,56,50,54,101,45,48,57,
      10,32,32,49,46,51,48,51,57,49,101,45,48,56,32,49,46,55,49,53,56,54,101,45,48,
      56,32,50,46,50,49,56,48,52,101,45,48,56,32,50,46,56,50,51,50,54,101,45,48,56,
      32,51,46,53,52,56,53,49,101,45,48,56,32,52,46,51,57,57,56,51,101,45,48,56,32,
      53,46,51,57,56,55,57,101,45,48,56,10,32,32,54,46,53,53,52,52,49,101,45,48,56,
      32,55,46,56,56,53,54,50,101,45,48,56,32,57,46,52,48,53,51,49,101,45,48,56,32,
      49,46,49,49,51,50,51,101,45,48,55,32,49,46,51,48,56,53,56,101,45,48,55,32,49,
      46,53,50,55,48,53,101,45,48,55,32,49,46,55,55,48,55,49,101,45,48,55,10,32,32,
      50,46,48,52,50,48,54,101,45,48,55,32,50,46,51,52,48,51,101,45,48,55,32,50,46,
      54,54,54,51,52,101,45,48,55,32,51,46,48,50,52,52,52,101,45,48,55,32,51,46,52,
      49,50,53,51,101,45,48,55,32,51,46,56,50,55,50,101,45,48,55,32,52,46,50,55,54,
      55,50,101,45,48,55,10,32,32,52,46,55,53,57,52,50,101,45,48,55,32,53,46,50,54,
      49,52,52,101,45,48,55,32,53,46,55,57,57,52,50,101,45,48,55,32,54,46,51,55,52,
      54,52,101,45,48,55,32,54,46,57,53,54,48,56,101,45,48,55,32,55,46,53,55,50,56,
      54,101,45,48,55,32,56,46,50,50,54,49,57,101,45,48,55,10,32,32,56,46,56,56,49,
      55,101,45,48,55,32,57,46,53,54,52,55,57,101,45,48,55,32,49,46,48,50,56,50,55,
      101,45,48,54,32,49,46,49,48,48,51,56,101,45,48,54,32,49,46,49,55,52,50,51,101,
      45,48,54,32,49,46,50,53,49,52,101,45,48,54,32,49,46,51,50,57,53,50,101,45,48,
      54,10,32,32,49,46,52,48,56,53,49,101,45,48,54,32,49,46,52,57,48,55,51,101,45,
      48,54,32,49,46,53,55,52,55,51,101,45,48,54,32,49,46,54,53,57,48,50,101,45,48,
      54,32,49,46,55,52,54,53,50,101,45,48,54,32,49,46,56,51,54,54,53,101,45,48,54,
      32,49,46,57,50,54,57,55,101,45,48,54,10,32,32,50,46,48,50,48,53,52,101,45,48,
      54,32,50,46,49,49,55,52,101,45,48,54,32,50,46,50,49,52,52,52,101,45,48,54,32,
      50,46,51,49,52,56,101,45,48,54,32,50,46,52,49,56,53,55,101,45,48,54,32,50,46,
      53,50,51,48,50,101,45,48,54,32,50,46,54,51,48,51,56,101,45,48,54,10,32,32,50,
      46,55,52,49,50,50,101,45,48,54,32,50,46,56,53,50,54,56,101,45,48,54,32,50,46,
      57,54,54,50,52,101,45,48,54,32,51,46,48,56,51,51,53,101,45,48,54,32,51,46,50,
      48,48,53,57,101,45,48,54,32,51,46,51,49,56,48,55,101,45,48,54,32,51,46,52,51,
      57,49,51,101,45,48,54,10,32,32,51,46,53,54,48,49,49,101,45,48,54,32,51,46,54,
      55,55,54,50,101,45,48,54,32,51,46,55,57,56,55,52,101,45,48,54,32,51,46,57,50,
      48,54,52,101,45,48,54,32,52,46,48,51,51,48,53,101,45,48,54,32,52,46,49,52,57,
      49,55,101,45,48,54,32,52,46,50,54,56,55,53,101,45,48,54,10,32,32,52,46,51,55,
      48,54,54,101,45,48,54,32,52,46,52,55,54,54,53,101,45,48,54,32,52,46,53,56,54,
      54,54,101,45,48,54,32,52,46,54,55,55,57,55,101,45,48,54,32,52,46,55,54,57,56,
      55,101,45,48,54,32,52,46,56,54,54,52,49,101,45,48,54,32,52,46,57,52,54,56,52,
      101,45,48,54,10,32,32,53,46,48,50,51,49,55,101,45,48,54,32,53,46,49,48,53,48,
      51,101,45,48,54,32,53,46,49,55,54,48,52,101,45,48,54,32,53,46,50,51,56,51,50,
      101,45,48,54,32,53,46,51,48,55,49,52,101,45,48,54,32,53,46,51,55,49,55,55,101,
      45,48,54,32,53,46,52,50,52,50,56,101,45,48,54,10,32,32,53,46,52,56,52,49,56,
      101,45,48,54,32,53,46,53,52,54,50,56,101,45,48,54,32,53,46,53,57,53,48,50,101,
      45,48,54,32,53,46,54,53,49,54,49,101,45,48,54,32,53,46,55,49,53,49,55,101,45,
      48,54,32,53,46,55,54,54,56,53,101,45,48,54,32,53,46,56,50,54,51,52,101,45,48,
      54,10,32,32,53,46,56,57,51,49,101,45,48,54,32,53,46,57,53,54,51,53,101,45,48,
      54,32,54,46,48,50,52,57,55,101,45,48,54,32,54,46,49,48,48,52,55,101,45,48,54,
      32,54,46,49,55,57,50,101,45,48,54,32,54,46,50,54,50,56,55,101,45,48,54,32,54,
      46,51,53,50,54,55,101,45,48,54,10,32,32,54,46,52,53,48,50,50,101,45,48,54,32,
      54,46,53,53,53,101,45,48,54,32,54,46,54,54,53,48,55,101,45,48,54,32,54,46,55,
      56,52,52,49,101,45,48,54,32,54,46,57,49,54,50,101,45,48,54,32,55,46,48,53,50,
      52,54,101,45,48,54,32,55,46,49,57,55,48,56,101,45,48,54,10,32,32,55,46,51,54,
      50,55,57,101,45,48,54,32,55,46,53,51,50,53,54,101,45,48,54,32,55,46,55,48,55,
      48,52,101,45,48,54,32,55,46,57,49,52,56,50,101,45,48,54,32,56,46,49,50,54,57,
      50,101,45,48,54,32,56,46,51,52,51,51,56,101,45,48,54,32,56,46,53,57,54,57,54,
      101,45,48,54,10,32,32,56,46,56,54,49,55,53,101,45,48,54,32,57,46,49,51,50,52,
      50,101,45,48,54,32,57,46,52,51,57,57,57,101,45,48,54,32,57,46,55,55,48,48,54,
      101,45,48,54,32,49,46,48,49,48,56,57,101,45,48,53,32,49,46,48,52,56,49,56,101,
      45,48,53,32,49,46,48,56,56,57,57,101,45,48,53,10,32,32,49,46,49,51,49,50,49,
      101,45,48,53,32,49,46,49,55,54,51,55,101,45,48,53,32,49,46,50,50,54,49,49,101,
      45,48,53,32,49,46,50,55,55,57,50,101,45,48,53,32,49,46,51,51,50,52,50,101,45,
      48,53,32,49,46,51,57,49,54,54,101,45,48,53,32,49,46,52,53,51,55,101,45,48,53,
      10,32,32,49,46,53,49,56,55,51,101,45,48,53,32,49,46,53,56,55,50,53,101,45,48,
      53,32,49,46,54,53,57,49,57,101,45,48,53,32,49,46,55,51,52,55,52,101,45,48,53,
      32,49,46,56,49,49,56,51,101,45,48,53,32,49,46,56,57,50,50,54,101,45,48,53,32,
      49,46,57,55,54,54,50,101,45,48,53,10,32,32,50,46,48,54,49,52,55,101,45,48,53,
      32,50,46,49,52,56,52,56,101,45,48,53,32,50,46,50,51,57,51,55,101,45,48,53,32,
      50,46,51,51,48,56,53,101,45,48,53,32,50,46,52,50,50,55,53,101,45,48,53,32,50,
      46,53,49,56,51,101,45,48,53,32,50,46,54,49,53,49,57,101,45,48,53,10,32,32,50,
      46,55,49,49,48,50,101,45,48,53,32,50,46,56,49,48,49,57,101,45,48,53,32,50,46,
      57,49,49,55,57,101,45,48,53,32,51,46,48,49,49,57,101,45,48,53,32,51,46,49,49,
      53,49,55,101,45,48,53,32,51,46,50,50,49,54,49,101,45,48,53,32,51,46,51,50,55,
      50,101,45,48,53,10,32,32,51,46,52,51,53,57,49,101,45,48,53,32,51,46,53,52,55,
      55,54,101,45,48,53,32,51,46,54,57,57,50,57,101,45,48,53,32,52,46,48,55,50,56,
      54,101,45,48,53,32,52,46,54,56,50,55,50,101,45,48,53,32,53,46,56,53,49,49,49,
      101,45,48,53,32,55,46,49,54,56,56,49,101,45,48,53,10,32,32,56,46,53,49,51,54,
      101,45,48,53,32,57,46,55,54,48,51,52,101,45,48,53,32,46,48,48,48,49,48,56,54,
      53,54,32,46,48,48,48,49,49,56,55,32,46,48,48,48,49,50,56,52,55,49,32,46,48,
      48,48,49,51,56,54,48,57,32,46,48,48,48,49,52,57,54,50,49,32,46,48,48,48,49,
      54,49,56,50,54,10,32,32,46,48,48,48,49,55,53,51,56,53,32,46,48,48,48,49,57,
      51,55,48,56,32,46,48,48,48,50,49,52,52,50,49,32,46,48,48,48,50,52,53,56,53,
      50,32,46,48,48,48,50,56,49,52,53,52,32,46,48,48,48,51,50,49,48,54,50,32,46,
      48,48,48,51,55,53,52,54,57,32,46,48,48,48,52,51,51,57,49,56,10,32,32,46,48,
      48,48,52,57,51,53,50,52,32,46,48,48,48,53,54,49,54,55,32,46,48,48,48,54,50,
      50,56,48,50,32,46,48,48,48,54,57,52,54,50,50,32,46,48,48,48,55,54,50,52,48,
      54,32,46,48,48,48,56,51,50,50,49,49,32,46,48,48,48,57,49,56,57,53,51,32,46,
      48,48,49,48,50,57,55,52,10,32,32,46,48,48,49,49,54,52,57,56,32,46,48,48,49,
      51,50,48,55,54,32,46,48,48,49,52,57,53,49,57,32,46,48,48,49,54,57,54,55,57,
      32,46,48,48,49,56,57,50,54,52,32,46,48,48,50,49,48,50,53,49,32,46,48,48,50,
      51,53,52,49,52,32,46,48,48,50,54,50,51,53,50,10,32,32,46,48,48,50,56,51,55,
      50,49,32,46,48,48,51,49,49,55,54,56,32,46,48,48,51,52,54,54,56,53,32,46,48,
      48,51,56,50,49,48,54,32,46,48,48,52,49,53,50,48,55,32,46,48,48,52,52,52,48,
      54,32,46,48,48,52,54,52,50,56,52,32,46,48,48,52,55,56,54,55,53,32,46,48,48,
      52,57,53,54,52,56,10,32,32,46,48,48,53,50,52,48,52,53,32,46,48,48,53,53,52,
      53,55,52,32,46,48,48,53,55,55,49,51,32,46,48,48,53,56,55,51,51,49,32,46,48,
      48,53,56,52,56,53,32,46,48,48,53,54,48,55,52,54,32,46,48,48,53,50,51,50,48,
      54,32,46,48,48,52,56,51,56,57,55,32,46,48,48,52,53,49,53,55,53,10,32,32,46,
      48,48,52,48,56,48,49,57,32,46,48,48,51,54,50,50,51,50,32,46,48,48,51,49,52,
      55,48,55,32,46,48,48,50,55,54,49,56,53,32,46,48,48,50,52,55,57,49,49,32,46,
      48,48,50,50,57,52,55,53,32,46,48,48,50,49,50,50,54,32,46,48,48,49,57,50,57,
      48,53,32,46,48,48,49,55,51,55,50,10,32,32,46,48,48,49,51,48,55,51,55,32,46,
      48,48,48,57,52,49,54,55,52,32,46,48,48,48,55,48,50,55,49,49,32,46,48,48,48,
      53,52,56,48,48,50,32,46,48,48,48,52,57,57,51,53,51,32,46,48,48,48,51,57,48,
      54,54,32,46,48,48,48,51,48,55,49,57,54,32,46,48,48,48,50,52,51,51,53,10,32,
      32,46,48,48,48,49,57,52,54,48,51,32,46,48,48,48,49,53,49,54,56,54,32,46,48,
      48,48,49,50,54,51,55,50,32,46,48,48,48,49,48,53,51,49,50,32,55,46,56,48,50,
      55,54,101,45,48,53,32,54,46,52,57,50,54,101,45,48,53,32,52,46,56,53,57,56,50,
      101,45,48,53,32,51,46,53,55,54,101,45,48,53,10,32,32,50,46,57,55,52,53,55,101,
      45,48,53,32,50,46,52,55,50,53,51,101,45,48,53,32,49,46,56,52,53,49,50,101,45,
      48,53,32,49,46,51,51,53,48,51,101,45,48,53,32,49,46,49,49,53,50,54,101,45,48,
      53,32,56,46,51,51,57,52,56,101,45,48,54,32,54,46,57,56,51,50,56,101,45,48,54,
      10,32,32,53,46,50,51,48,53,52,101,45,48,54,32,52,46,49,51,55,50,54,101,45,48,
      54,32,53,46,49,48,50,51,50,101,45,48,54,32,52,46,53,48,52,49,52,101,45,48,54,
      32,51,46,53,52,51,54,54,101,45,48,54,32,50,46,55,49,56,56,55,101,45,48,54,32,
      50,46,49,56,48,52,56,101,45,48,54,10,32,32,49,46,55,52,56,56,56,101,45,48,54,
      32,49,46,52,50,50,56,55,101,45,48,54,32,49,46,49,54,49,51,55,101,45,48,54,32,
      57,46,50,55,51,53,55,101,45,48,55,32,55,46,53,57,52,52,49,101,45,48,55,32,54,
      46,48,57,51,57,55,101,45,48,55,32,53,46,49,56,51,49,57,101,45,48,55,10,32,32,
      51,46,57,56,48,56,51,101,45,48,55,32,51,46,51,56,54,50,56,101,45,48,55,32,50,
      46,55,54,57,56,101,45,48,55,32,49,46,55,51,53,51,52,101,45,48,55,32,57,46,49,
      50,53,55,53,101,45,48,56,32,52,46,56,55,55,57,50,101,45,48,56,32,50,46,50,51,
      49,51,101,45,48,56,10,32,32,49,46,48,50,49,53,53,101,45,48,56,32,52,46,48,48,
      52,50,56,101,45,48,57,32,49,46,56,51,54,50,57,101,45,48,57,32,53,46,50,56,50,
      48,51,101,45,49,48,32,49,46,54,49,49,56,49,101,45,49,48,32,54,46,57,57,54,49,
      50,101,45,49,49,32,50,46,55,53,53,48,56,101,45,49,49,10,32,32,55,46,57,54,48,
      49,54,101,45,49,50,32,50,46,54,56,56,53,54,101,45,49,50,32,57,46,48,56,55,57,
      52,101,45,49,51,32,50,46,54,51,50,57,49,101,45,49,51,32,55,46,54,51,52,54,51,
      101,45,49,52,32,50,46,53,56,54,48,55,101,45,49,52,32,56,46,55,54,52,57,54,101,
      45,49,53,10,32,32,50,46,57,55,50,49,56,101,45,49,53,32,56,46,48,54,54,48,52,
      101,45,49,54,32,50,46,48,48,52,57,51,101,45,49,54,32,52,46,50,55,51,52,56,101,
      45,49,55,32,49,46,48,54,51,57,54,101,45,49,55,32,50,46,50,54,50,55,50,101,45,
      49,56,32,53,46,54,50,55,50,49,101,45,49,57,10,32,32,49,46,52,48,50,56,51,101,
      45,49,57,32,50,46,57,55,52,48,55,101,45,50,48,32,53,46,53,49,50,55,49,101,45,
      50,49,32,49,46,48,51,50,50,50,101,45,50,49,32,48,114,49,48,53,32,51,46,50,56,
      48,55,57,101,45,49,53,32,53,46,50,55,52,52,49,101,45,49,52,32,50,46,54,55,52,
      50,51,101,45,49,51,10,32,32,51,46,50,55,57,57,57,101,45,49,51,32,53,46,50,55,
      50,49,53,101,45,49,50,32,50,46,54,55,50,55,57,101,45,49,49,32,56,46,52,51,55,
      57,53,101,45,49,49,32,50,46,48,53,55,53,49,101,45,49,48,32,52,46,55,49,54,51,
      51,101,45,49,48,32,56,46,55,50,52,54,55,101,45,49,48,10,32,32,49,46,52,56,55,
      49,54,101,45,48,57,32,50,46,51,55,57,57,54,101,45,48,57,32,51,46,54,50,51,49,
      52,101,45,48,57,32,53,46,50,57,56,52,50,101,45,48,57,32,55,46,52,57,53,56,101,
      45,48,57,32,49,46,48,51,49,50,56,101,45,48,56,32,49,46,51,56,53,55,55,101,45,
      48,56,10,32,32,49,46,56,51,50,56,51,101,45,48,56,32,50,46,51,55,49,50,52,101,
      45,48,56,32,51,46,48,49,57,57,53,101,45,48,56,32,51,46,55,57,51,49,49,101,45,
      48,56,32,52,46,55,48,53,57,51,101,45,48,56,32,53,46,55,55,52,50,50,101,45,48,
      56,32,55,46,48,49,52,56,101,45,48,56,10,32,32,56,46,52,52,53,50,51,101,45,48,
      56,32,49,46,48,48,55,57,55,101,45,48,55,32,49,46,49,57,51,57,101,45,48,55,32,
      49,46,52,48,52,52,51,101,45,48,55,32,49,46,54,52,48,49,101,45,48,55,32,49,46,
      57,48,51,49,57,101,45,48,55,32,50,46,49,57,54,52,55,101,45,48,55,10,32,32,50,
      46,53,49,57,49,49,101,45,48,55,32,50,46,56,55,50,49,53,101,45,48,55,32,51,46,
      50,54,48,50,54,101,45,48,55,32,51,46,54,56,49,50,51,101,45,48,55,32,52,46,49,
      51,49,51,53,101,45,48,55,32,52,46,54,49,57,55,50,101,45,48,55,32,53,46,49,52,
      52,53,50,101,45,48,55,10,32,32,53,46,54,57,48,53,53,101,45,48,55,32,54,46,50,
      55,54,49,49,101,45,48,55,32,54,46,57,48,50,54,50,101,45,48,55,32,55,46,53,51,
      53,57,53,101,45,48,55,32,56,46,50,48,56,49,52,101,45,48,55,32,56,46,57,50,48,
      53,51,101,45,48,55,32,57,46,54,51,53,50,50,101,45,48,55,10,32,32,49,46,48,51,
      56,48,50,101,45,48,54,32,49,46,49,49,54,51,52,101,45,48,54,32,49,46,49,57,53,
      48,49,101,45,48,54,32,49,46,50,55,53,53,55,101,45,48,54,32,49,46,51,53,57,55,
      56,101,45,48,54,32,49,46,52,52,53,48,51,101,45,48,54,32,49,46,53,51,49,50,101,
      45,48,54,10,32,32,49,46,54,50,48,57,49,101,45,48,54,32,49,46,55,49,50,53,56,
      101,45,48,54,32,49,46,56,48,52,53,51,101,45,48,54,32,49,46,57,48,48,48,49,101,
      45,48,54,32,49,46,57,57,56,51,54,101,45,48,54,32,50,46,48,57,54,56,57,101,45,
      48,54,32,50,46,49,57,56,57,57,101,45,48,54,10,32,32,50,46,51,48,52,55,101,45,
      48,54,32,50,46,52,49,48,53,55,101,45,48,54,32,50,46,53,50,48,48,57,101,45,48,
      54,32,50,46,54,51,51,51,53,101,45,48,54,32,50,46,55,52,55,51,50,101,45,48,54,
      32,50,46,56,54,52,52,57,101,45,48,54,32,50,46,57,56,53,52,56,101,45,48,54,10,
      32,32,51,46,49,48,55,49,101,45,48,54,32,51,46,50,51,49,48,51,101,45,48,54,32,
      51,46,51,53,56,56,52,101,45,48,54,32,51,46,52,56,54,55,55,101,45,48,54,32,51,
      46,54,49,52,57,50,101,45,48,54,32,51,46,55,52,55,101,45,48,54,32,51,46,56,55,
      56,57,53,101,45,48,54,10,32,32,52,46,48,48,55,48,50,101,45,48,54,32,52,46,49,
      51,57,48,53,101,45,48,54,32,52,46,50,55,49,56,57,101,45,48,54,32,52,46,51,57,
      52,49,55,101,45,48,54,32,52,46,53,50,48,53,52,101,45,48,54,32,52,46,54,53,48,
      54,57,101,45,48,54,32,52,46,55,54,49,50,49,101,45,48,54,10,32,32,52,46,56,55,
      54,50,49,101,45,48,54,32,52,46,57,57,53,54,52,101,45,48,54,32,53,46,48,57,52,
      51,49,101,45,48,54,32,53,46,49,57,51,54,101,45,48,54,32,53,46,50,57,55,57,57,
      101,45,48,54,32,53,46,51,56,52,53,49,101,45,48,54,32,53,46,52,54,54,52,55,101,
      45,48,54,10,32,32,53,46,53,53,52,53,50,101,45,48,54,32,53,46,54,51,48,53,53,
      101,45,48,54,32,53,46,54,57,54,57,49,101,45,48,54,32,53,46,55,55,48,53,49,101,
      45,48,54,32,53,46,56,51,57,52,55,101,45,48,54,32,53,46,56,57,53,48,50,101,45,
      48,54,32,53,46,57,53,56,55,55,101,45,48,54,10,32,32,54,46,48,50,52,57,54,101,
      45,48,54,32,54,46,48,55,54,52,101,45,48,54,32,54,46,49,51,54,53,53,101,45,48,
      54,32,54,46,50,48,52,52,101,45,48,54,32,54,46,50,53,57,49,56,101,45,48,54,32,
      54,46,51,50,50,54,49,101,45,48,54,32,54,46,51,57,52,48,56,101,45,48,54,10,32,
      32,54,46,52,54,49,55,49,101,45,48,54,32,54,46,53,51,53,51,101,45,48,54,32,54,
      46,54,49,54,52,57,101,45,48,54,32,54,46,55,48,49,50,56,101,45,48,54,32,54,46,
      55,57,49,53,51,101,45,48,54,32,54,46,56,56,56,53,54,101,45,48,54,32,54,46,57,
      57,52,49,51,101,45,48,54,10,32,32,55,46,49,48,55,54,57,101,45,48,54,32,55,46,
      50,50,55,48,56,101,45,48,54,32,55,46,51,53,54,54,57,101,45,48,54,32,55,46,52,
      57,57,57,57,101,45,48,54,32,55,46,54,52,56,50,52,101,45,48,54,32,55,46,56,48,
      53,54,55,101,45,48,54,32,55,46,57,56,54,50,57,101,45,48,54,10,32,32,56,46,49,
      55,49,51,56,101,45,48,54,32,56,46,51,54,49,54,56,101,45,48,54,32,56,46,53,56,
      56,53,53,101,45,48,54,32,56,46,56,50,48,49,57,101,45,48,54,32,57,46,48,53,54,
      54,53,101,45,48,54,32,57,46,51,51,51,56,57,101,45,48,54,32,57,46,54,50,51,53,
      101,45,48,54,10,32,32,57,46,57,49,57,54,101,45,48,54,32,49,46,48,50,53,54,51,
      101,45,48,53,32,49,46,48,54,49,55,56,101,45,48,53,32,49,46,48,57,56,57,49,101,
      45,48,53,32,49,46,49,51,57,55,56,101,45,48,53,32,49,46,49,56,52,53,53,101,45,
      48,53,32,49,46,50,51,48,56,55,101,45,48,53,10,32,32,49,46,50,56,48,52,53,101,
      45,48,53,32,49,46,51,51,53,48,57,101,45,48,53,32,49,46,51,57,50,48,53,101,45,
      48,53,32,49,46,52,53,49,57,57,101,45,48,53,32,49,46,53,49,55,49,57,101,45,48,
      53,32,49,46,53,56,53,52,57,101,45,48,53,32,49,46,54,53,55,49,52,101,45,48,53,
      10,32,32,49,46,55,51,50,54,55,101,45,48,53,32,49,46,56,49,50,48,49,101,45,48,
      53,32,49,46,56,57,53,51,57,101,45,48,53,32,49,46,57,56,48,52,57,101,45,48,53,
      32,50,46,48,54,57,51,49,101,45,48,53,32,50,46,49,54,50,53,50,101,45,48,53,32,
      50,46,50,53,54,50,56,101,45,48,53,10,32,32,50,46,51,53,50,52,55,101,45,48,53,
      32,50,46,52,53,50,57,56,101,45,48,53,32,50,46,53,53,52,49,52,101,45,48,53,32,
      50,46,54,53,53,55,54,101,45,48,53,32,50,46,55,54,49,52,53,101,45,48,53,32,50,
      46,56,54,56,54,50,101,45,48,53,32,50,46,57,55,52,54,101,45,48,53,10,32,32,51,
      46,48,56,52,50,56,101,45,48,53,32,51,46,49,57,54,54,52,101,45,48,53,32,51,46,
      51,48,55,51,52,101,45,48,53,32,51,46,52,50,49,53,50,101,45,48,53,32,51,46,53,
      51,57,50,49,101,45,48,53,32,51,46,54,53,53,57,50,101,45,48,53,32,51,46,55,55,
      54,48,55,101,45,48,53,10,32,32,51,46,56,57,57,54,56,101,45,48,53,32,52,46,48,
      54,55,48,56,101,45,48,53,32,52,46,52,55,57,52,57,101,45,48,53,32,53,46,49,53,
      49,56,52,101,45,48,53,32,54,46,52,51,53,54,55,101,45,48,53,32,55,46,56,55,52,
      53,54,101,45,48,53,32,57,46,51,51,51,51,53,101,45,48,53,10,32,32,46,48,48,48,
      49,48,54,56,48,54,32,46,48,48,48,49,49,56,55,52,56,32,46,48,48,48,49,50,57,
      54,49,53,32,46,48,48,48,49,52,48,49,56,53,32,46,48,48,48,49,53,49,49,50,52,
      32,46,48,48,48,49,54,50,57,53,49,32,46,48,48,48,49,55,54,32,46,48,48,48,49,
      57,48,52,48,51,10,32,32,46,48,48,48,50,48,57,55,50,51,32,46,48,48,48,50,51,
      49,51,54,57,32,46,48,48,48,50,54,51,56,48,52,32,46,48,48,48,50,57,57,57,52,
      57,32,46,48,48,48,51,51,57,52,52,51,32,46,48,48,48,51,57,50,53,49,54,32,46,
      48,48,48,52,52,56,49,53,52,32,46,48,48,48,53,48,51,56,53,10,32,32,46,48,48,
      48,53,54,54,57,48,50,32,46,48,48,48,54,50,51,55,53,55,32,46,48,48,48,54,57,
      49,52,54,57,32,46,48,48,48,55,53,53,56,51,51,32,46,48,48,48,56,50,49,53,53,
      54,32,46,48,48,48,57,48,49,52,56,49,32,46,48,48,49,48,48,48,55,55,32,46,48,
      48,49,49,49,57,48,56,10,32,32,46,48,48,49,50,53,50,57,57,32,46,48,48,49,52,
      48,48,57,55,32,46,48,48,49,53,55,48,57,56,32,46,48,48,49,55,51,54,52,55,32,
      46,48,48,49,57,49,53,53,49,32,46,48,48,50,49,51,51,54,51,32,46,48,48,50,51,
      54,54,52,52,32,46,48,48,50,53,52,57,53,51,10,32,32,46,48,48,50,55,56,55,32,
      46,48,48,51,48,56,49,56,32,46,48,48,51,51,56,51,55,51,32,46,48,48,51,54,55,
      49,56,55,32,46,48,48,51,57,51,48,56,51,32,46,48,48,52,49,50,48,49,51,32,46,
      48,48,52,50,54,50,48,53,32,46,48,48,52,52,50,56,52,32,46,48,48,52,54,57,54,
      54,53,10,32,32,46,48,48,52,57,56,48,55,57,32,46,48,48,53,49,57,54,52,54,32,
      46,48,48,53,51,48,49,57,51,32,46,48,48,53,50,57,55,57,50,32,46,48,48,53,49,
      48,56,50,49,32,46,48,48,52,55,57,51,56,51,32,46,48,48,52,52,53,54,53,53,32,
      46,48,48,52,49,55,52,57,55,10,32,32,46,48,48,51,55,57,48,55,54,32,46,48,48,
      51,51,56,48,57,49,32,46,48,48,50,57,53,48,51,56,32,46,48,48,50,53,57,56,53,
      57,32,46,48,48,50,51,51,57,51,49,32,46,48,48,50,49,55,48,48,50,32,46,48,48,
      50,48,49,49,50,53,32,46,48,48,49,56,51,49,54,32,46,48,48,49,54,53,50,52,56,
      10,32,32,46,48,48,49,50,52,56,54,56,32,46,48,48,48,57,48,50,56,57,51,32,46,
      48,48,48,54,55,53,55,52,55,32,46,48,48,48,53,50,56,49,57,53,32,46,48,48,48,
      52,56,49,56,48,54,32,46,48,48,48,51,55,55,54,53,54,32,46,48,48,48,50,57,55,
      52,55,49,32,46,48,48,48,50,51,53,57,57,49,10,32,32,46,48,48,48,49,56,56,57,
      54,51,32,46,48,48,48,49,52,55,52,56,56,32,46,48,48,48,49,50,50,57,56,55,32,
      46,48,48,48,49,48,50,53,55,54,32,55,46,54,48,57,55,101,45,48,53,32,54,46,51,
      51,54,53,49,101,45,48,53,32,52,46,55,52,56,48,50,101,45,48,53,32,51,46,52,57,
      55,51,54,101,45,48,53,10,32,32,50,46,57,49,48,56,50,101,45,48,53,32,50,46,52,
      50,48,56,56,101,45,48,53,32,49,46,56,48,56,48,52,101,45,48,53,32,49,46,51,48,
      57,50,57,101,45,48,53,32,49,46,48,57,52,50,51,101,45,48,53,32,56,46,49,56,55,
      53,54,101,45,48,54,32,54,46,56,53,56,54,56,101,45,48,54,10,32,32,53,46,49,52,
      48,50,53,101,45,48,54,32,52,46,48,54,55,51,52,101,45,48,54,32,52,46,57,54,55,
      50,49,101,45,48,54,32,52,46,51,56,53,54,50,101,45,48,54,32,51,46,52,53,49,53,
      50,101,45,48,54,32,50,46,54,52,57,48,57,101,45,48,54,32,50,46,49,50,53,48,57,
      101,45,48,54,10,32,32,49,46,55,48,52,56,57,101,45,48,54,32,49,46,51,56,55,52,
      101,45,48,54,32,49,46,49,51,50,54,55,101,45,48,54,32,57,46,48,52,54,54,54,101,
      45,48,55,32,55,46,52,49,48,49,54,101,45,48,55,32,53,46,57,52,55,52,53,101,45,
      48,55,32,53,46,48,53,57,51,55,101,45,48,55,10,32,32,51,46,56,56,54,55,101,45,
      48,55,32,51,46,51,48,54,55,51,101,45,48,55,32,50,46,55,48,53,50,53,101,45,48,
      55,32,49,46,54,57,53,54,51,101,45,48,55,32,56,46,57,50,49,54,50,101,45,48,56,
      32,52,46,55,55,49,49,56,101,45,48,56,32,50,46,49,56,51,54,57,101,45,48,56,10,
      32,32,49,46,48,48,48,50,54,101,45,48,56,32,51,46,57,50,51,51,54,101,45,48,57,
      32,49,46,55,57,57,57,52,101,45,48,57,32,53,46,49,56,48,57,56,101,45,49,48,32,
      49,46,53,56,49,56,56,101,45,49,48,32,54,46,56,54,56,54,53,101,45,49,49,32,50,
      46,55,48,54,50,49,101,45,49,49,10,32,32,55,46,56,50,51,56,49,101,45,49,50,32,
      50,46,54,52,51,50,50,101,45,49,50,32,56,46,57,51,54,57,101,45,49,51,32,50,46,
      53,57,48,50,54,101,45,49,51,32,55,46,53,49,51,48,52,101,45,49,52,32,50,46,53,
      52,53,51,49,101,45,49,52,32,56,46,54,50,56,49,50,101,45,49,53,10,32,32,50,46,
      57,50,54,51,51,101,45,49,53,32,55,46,57,53,51,51,51,101,45,49,54,32,49,46,57,
      55,55,53,57,101,45,49,54,32,52,46,50,49,53,56,101,45,49,55,32,49,46,48,52,57,
      55,49,101,45,49,55,32,50,46,50,51,50,53,51,101,45,49,56,32,53,46,53,53,51,57,
      57,101,45,49,57,10,32,32,49,46,51,56,53,50,52,101,45,49,57,32,50,46,57,51,54,
      51,53,101,45,50,48,32,53,46,52,51,55,52,53,101,45,50,49,32,49,46,48,49,49,50,
      54,101,45,50,49,32,48,114,49,48,53,32,54,46,51,51,54,52,55,101,45,49,53,32,
      49,46,48,49,56,54,56,101,45,49,51,32,53,46,49,54,52,56,56,101,45,49,51,10,32,
      32,54,46,51,51,52,56,49,101,45,49,51,32,49,46,48,49,56,50,50,101,45,49,49,32,
      53,46,49,54,50,51,49,101,45,49,49,32,49,46,55,50,54,55,56,101,45,49,48,32,52,
      46,55,53,54,50,55,101,45,49,48,32,57,46,56,53,54,56,54,101,45,49,48,32,49,46,
      56,50,50,55,56,101,45,48,57,10,32,32,51,46,49,48,53,50,53,101,45,48,57,32,52,
      46,57,54,54,48,50,101,45,48,57,32,55,46,53,53,53,55,53,101,45,48,57,32,49,46,
      49,48,55,56,56,101,45,48,56,32,49,46,53,55,52,53,51,101,45,48,56,32,50,46,49,
      54,52,57,52,101,45,48,56,32,50,46,57,48,55,50,52,101,45,48,56,10,32,32,51,46,
      56,50,53,48,51,101,45,48,56,32,52,46,57,52,51,52,55,101,45,48,56,32,54,46,50,
      57,48,56,53,101,45,48,56,32,55,46,56,57,52,55,49,101,45,48,56,32,57,46,55,56,
      53,54,55,101,45,48,56,32,49,46,49,57,57,53,53,101,45,48,55,32,49,46,52,53,53,
      55,54,101,45,48,55,10,32,32,49,46,55,53,48,54,56,101,45,48,55,32,50,46,48,56,
      55,48,57,101,45,48,55,32,50,46,52,54,57,48,54,101,45,48,55,32,50,46,57,48,48,
      54,57,101,45,48,55,32,51,46,51,56,50,57,49,101,45,48,55,32,51,46,57,50,48,49,
      101,45,48,55,32,52,46,53,49,55,53,56,101,45,48,55,10,32,32,53,46,49,55,51,52,
      50,101,45,48,55,32,53,46,56,56,57,52,51,101,45,48,55,32,54,46,54,55,52,54,55,
      101,45,48,55,32,55,46,53,50,52,52,101,45,48,55,32,56,46,52,51,49,48,51,101,
      45,48,55,32,57,46,52,49,50,50,55,101,45,48,55,32,49,46,48,52,54,52,50,101,45,
      48,54,10,32,32,49,46,49,53,53,54,57,101,45,48,54,32,49,46,50,55,50,54,101,45,
      48,54,32,49,46,51,57,55,51,56,101,45,48,54,32,49,46,53,50,51,52,51,101,45,48,
      54,32,49,46,54,53,54,57,52,101,45,48,54,32,49,46,55,57,56,49,52,101,45,48,54,
      32,49,46,57,51,57,55,55,101,45,48,54,10,32,32,50,46,48,56,55,50,49,101,45,48,
      54,32,50,46,50,52,49,57,53,101,45,48,54,32,50,46,51,57,55,51,57,101,45,48,54,
      32,50,46,53,53,54,53,49,101,45,48,54,32,50,46,55,50,50,54,101,45,48,54,32,50,
      46,56,57,48,55,52,101,45,48,54,32,51,46,48,54,48,55,54,101,45,48,54,10,32,32,
      51,46,50,51,55,53,57,101,45,48,54,32,51,46,52,49,56,50,52,101,45,48,54,32,51,
      46,53,57,57,53,57,101,45,48,54,32,51,46,55,56,55,55,50,101,45,48,54,32,51,46,
      57,56,49,52,50,101,45,48,54,32,52,46,49,55,53,54,53,101,45,48,54,32,52,46,51,
      55,54,55,55,101,45,48,54,10,32,32,52,46,53,56,52,55,57,101,45,48,54,32,52,46,
      55,57,51,52,101,45,48,54,32,53,46,48,48,57,101,45,48,54,32,53,46,50,51,49,55,
      55,101,45,48,54,32,53,46,52,53,54,49,52,101,45,48,54,32,53,46,54,56,54,55,101,
      45,48,54,32,53,46,57,50,52,54,101,45,48,54,32,54,46,49,54,51,57,53,101,45,48,
      54,10,32,32,54,46,52,48,55,56,55,101,45,48,54,32,54,46,54,53,57,50,54,101,45,
      48,54,32,54,46,57,49,49,49,54,101,45,48,54,32,55,46,49,54,51,56,52,101,45,48,
      54,32,55,46,52,50,52,48,56,101,45,48,54,32,55,46,54,56,52,52,52,101,45,48,54,
      32,55,46,57,51,56,48,55,101,45,48,54,10,32,32,56,46,49,57,57,51,50,101,45,48,
      54,32,56,46,52,54,50,52,53,101,45,48,54,32,56,46,55,48,54,54,55,101,45,48,54,
      32,56,46,57,53,56,55,49,101,45,48,54,32,57,46,50,49,56,48,54,101,45,48,54,32,
      57,46,52,52,49,56,53,101,45,48,54,32,57,46,54,55,52,49,57,101,45,48,54,10,32,
      32,57,46,57,49,52,57,53,101,45,48,54,32,49,46,48,49,49,55,57,101,45,48,53,32,
      49,46,48,51,50,50,50,101,45,48,53,32,49,46,48,53,51,54,49,101,45,48,53,32,49,
      46,48,55,49,55,50,101,45,48,53,32,49,46,48,56,56,57,57,101,45,48,53,32,49,46,
      49,48,55,51,57,101,45,48,53,10,32,32,49,46,49,50,51,53,54,101,45,48,53,32,49,
      46,49,51,55,57,50,101,45,48,53,32,49,46,49,53,51,54,49,101,45,48,53,32,49,46,
      49,54,56,52,50,101,45,48,53,32,49,46,49,56,48,54,57,101,45,48,53,32,49,46,49,
      57,52,52,55,101,45,48,53,32,49,46,50,48,56,54,56,101,45,48,53,10,32,32,49,46,
      50,50,48,48,55,101,45,48,53,32,49,46,50,51,51,48,55,101,45,48,53,32,49,46,50,
      52,55,52,57,101,45,48,53,32,49,46,50,53,57,51,57,101,45,48,53,32,49,46,50,55,
      50,56,57,101,45,48,53,32,49,46,50,56,55,57,101,45,48,53,32,49,46,51,48,50,49,
      51,101,45,48,53,10,32,32,49,46,51,49,55,52,54,101,45,48,53,32,49,46,51,51,52,
      50,50,101,45,48,53,32,49,46,51,53,49,54,52,101,45,48,53,32,49,46,51,55,48,48,
      55,101,45,48,53,32,49,46,51,56,57,55,56,101,45,48,53,32,49,46,52,49,49,49,49,
      101,45,48,53,32,49,46,52,51,51,57,53,101,45,48,53,10,32,32,49,46,52,53,55,57,
      101,45,48,53,32,49,46,52,56,51,55,57,101,45,48,53,32,49,46,53,49,50,51,50,101,
      45,48,53,32,49,46,53,52,49,55,56,101,45,48,53,32,49,46,53,55,51,101,45,48,53,
      32,49,46,54,48,56,55,101,45,48,53,32,49,46,54,52,53,50,52,101,45,48,53,10,32,
      32,49,46,54,56,50,55,53,101,45,48,53,32,49,46,55,50,55,51,54,101,45,48,53,32,
      49,46,55,55,50,56,54,101,45,48,53,32,49,46,56,49,57,50,52,101,45,48,53,32,49,
      46,56,55,51,53,51,101,45,48,53,32,49,46,57,51,48,49,54,101,45,48,53,32,49,46,
      57,56,55,57,56,101,45,48,53,10,32,32,50,46,48,53,51,54,50,101,45,48,53,32,50,
      46,49,50,51,57,57,101,45,48,53,32,50,46,49,57,54,49,52,101,45,48,53,32,50,46,
      50,55,53,52,50,101,45,48,53,32,50,46,51,54,50,48,56,101,45,48,53,32,50,46,52,
      53,49,53,54,101,45,48,53,32,50,46,53,52,55,49,50,101,45,48,53,10,32,32,50,46,
      54,53,50,49,54,101,45,48,53,32,50,46,55,54,49,51,53,101,45,48,53,32,50,46,56,
      55,53,57,51,101,45,48,53,32,51,46,48,48,48,49,51,101,45,48,53,32,51,46,49,50,
      57,56,51,101,45,48,53,32,51,46,50,54,53,51,55,101,45,48,53,32,51,46,52,48,55,
      55,50,101,45,48,53,10,32,32,51,46,53,53,54,54,52,101,45,48,53,32,51,46,55,49,
      50,52,54,101,45,48,53,32,51,46,56,55,48,56,54,101,45,48,53,32,52,46,48,51,53,
      52,52,101,45,48,53,32,52,46,50,48,55,51,51,101,45,48,53,32,52,46,51,55,57,53,
      51,101,45,48,53,32,52,46,53,53,53,52,101,45,48,53,10,32,32,52,46,55,51,56,50,
      50,101,45,48,53,32,52,46,57,50,49,52,57,101,45,48,53,32,53,46,49,48,52,56,57,
      101,45,48,53,32,53,46,50,57,52,54,53,101,45,48,53,32,53,46,52,56,54,50,55,101,
      45,48,53,32,53,46,54,55,53,49,53,101,45,48,53,32,53,46,56,54,57,54,56,101,45,
      48,53,10,32,32,54,46,48,54,56,48,57,101,45,48,53,32,54,46,50,54,51,48,49,101,
      45,48,53,32,54,46,52,54,51,49,54,101,45,48,53,32,54,46,54,54,56,52,52,101,45,
      48,53,32,54,46,56,55,49,52,52,101,45,48,53,32,55,46,48,55,57,53,49,101,45,48,
      53,32,55,46,50,57,50,52,57,101,45,48,53,10,32,32,55,46,53,55,57,53,55,101,45,
      48,53,32,56,46,50,55,57,49,50,101,45,48,53,32,57,46,51,57,54,49,101,45,48,53,
      32,46,48,48,48,49,49,52,53,51,49,32,46,48,48,48,49,51,54,53,53,56,32,46,48,
      48,48,49,53,56,49,54,51,32,46,48,48,48,49,55,55,57,51,32,46,48,48,48,49,57,
      53,54,54,52,10,32,32,46,48,48,48,50,49,50,48,53,50,32,46,48,48,48,50,50,56,
      48,51,56,32,46,48,48,48,50,52,52,51,52,56,32,46,48,48,48,50,54,49,53,52,51,
      32,46,48,48,48,50,55,57,57,56,51,32,46,48,48,48,50,57,57,54,55,53,32,46,48,
      48,48,51,50,53,49,52,49,32,46,48,48,48,51,53,50,53,49,54,10,32,32,46,48,48,
      48,51,57,49,52,51,57,32,46,48,48,48,52,51,50,50,53,53,32,46,48,48,48,52,55,
      52,49,55,51,32,46,48,48,48,53,50,54,55,54,50,32,46,48,48,48,53,55,56,49,57,
      50,32,46,48,48,48,54,50,55,53,56,54,32,46,48,48,48,54,56,51,49,52,49,32,46,
      48,48,48,55,51,53,51,54,56,10,32,32,46,48,48,48,56,48,49,50,53,55,32,46,48,
      48,48,56,54,53,54,50,52,32,46,48,48,48,57,51,48,48,57,52,32,46,48,48,49,48,
      48,51,57,51,32,46,48,48,49,48,56,56,53,51,32,46,48,48,49,49,56,51,49,55,32,
      46,48,48,49,50,56,54,52,53,32,46,48,48,49,51,57,56,54,50,10,32,32,46,48,48,
      49,53,50,55,56,56,32,46,48,48,49,54,53,54,52,54,32,46,48,48,49,56,48,48,53,
      56,32,46,48,48,49,57,56,52,52,49,32,46,48,48,50,49,55,57,55,49,32,46,48,48,
      50,51,51,48,52,50,32,46,48,48,50,53,50,48,54,53,32,46,48,48,50,55,53,53,49,
      55,10,32,32,46,48,48,50,57,57,57,50,51,32,46,48,48,51,50,51,57,56,51,32,46,
      48,48,51,52,54,52,54,53,32,46,48,48,51,54,51,54,53,53,32,46,48,48,51,55,55,
      50,51,50,32,46,48,48,51,57,51,49,56,53,32,46,48,48,52,49,56,50,51,50,32,46,
      48,48,52,52,52,52,53,32,46,48,48,52,54,52,56,54,52,10,32,32,46,48,48,52,55,
      53,53,50,52,32,46,48,48,52,55,54,56,52,54,32,46,48,48,52,54,50,52,50,55,32,
      46,48,48,52,51,54,53,54,52,32,46,48,48,52,48,56,48,51,32,46,48,48,51,56,51,
      56,48,50,32,46,48,48,51,53,48,50,55,32,46,48,48,51,49,51,57,50,51,32,46,48,
      48,50,55,53,50,51,55,10,32,32,46,48,48,50,52,51,51,52,54,32,46,48,48,50,49,
      57,55,51,53,32,46,48,48,50,48,52,51,48,49,32,46,48,48,49,56,57,55,53,56,32,
      46,48,48,49,55,51,49,56,52,32,46,48,48,49,53,54,53,53,53,32,46,48,48,49,49,
      56,56,49,54,32,46,48,48,48,56,54,50,54,57,49,10,32,32,46,48,48,48,54,52,55,
      55,32,46,48,48,48,53,48,55,53,51,55,32,46,48,48,48,52,54,51,52,56,53,32,46,
      48,48,48,51,54,52,48,52,53,32,46,48,48,48,50,56,55,50,55,51,32,46,48,48,48,
      50,50,56,50,54,55,32,46,48,48,48,49,56,51,48,51,51,32,46,48,48,48,49,52,51,
      48,54,49,10,32,32,46,48,48,48,49,49,57,52,49,49,32,57,46,57,54,56,54,55,101,
      45,48,53,32,55,46,52,48,53,54,50,101,45,48,53,32,54,46,49,55,49,51,55,101,45,
      48,53,32,52,46,54,50,57,53,56,101,45,48,53,32,51,46,52,49,51,56,56,101,45,48,
      53,32,50,46,56,52,51,49,50,101,45,48,53,10,32,32,50,46,51,54,53,57,55,101,45,
      48,53,32,49,46,55,54,56,54,101,45,48,53,32,49,46,50,56,49,56,57,101,45,48,53,
      32,49,46,48,55,49,56,51,101,45,48,53,32,56,46,48,50,53,55,49,101,45,48,54,32,
      54,46,55,50,53,56,54,101,45,48,54,32,53,46,48,52,51,56,55,101,45,48,54,10,32,
      32,51,46,57,57,50,56,56,101,45,48,54,32,52,46,56,50,55,52,56,101,45,48,54,32,
      52,46,50,54,51,48,55,101,45,48,54,32,51,46,51,53,54,50,56,101,45,48,54,32,50,
      46,53,55,54,57,53,101,45,48,54,32,50,46,48,54,55,56,51,101,45,48,54,32,49,46,
      54,53,57,52,51,101,45,48,54,10,32,32,49,46,51,53,48,55,54,101,45,48,54,32,49,
      46,49,48,51,48,52,101,45,48,54,32,56,46,56,49,50,50,55,101,45,48,55,32,55,46,
      50,49,57,55,55,101,45,48,55,32,53,46,55,57,54,48,50,101,45,48,55,32,52,46,57,
      51,49,52,101,45,48,55,32,51,46,55,56,57,52,50,101,45,48,55,10,32,32,51,46,50,
      50,52,52,53,101,45,48,55,32,50,46,54,51,56,52,51,101,45,48,55,32,49,46,54,53,
      52,52,49,101,45,48,55,32,56,46,55,48,57,51,57,101,45,48,56,32,52,46,54,53,57,
      55,55,101,45,48,56,32,50,46,49,51,51,56,51,101,45,48,56,32,57,46,55,55,56,56,
      53,101,45,48,57,10,32,32,51,46,56,51,55,53,51,101,45,48,57,32,49,46,55,54,49,
      51,53,101,45,48,57,32,53,46,48,55,50,53,55,101,45,49,48,32,49,46,53,52,57,53,
      53,101,45,49,48,32,54,46,55,51,48,50,54,101,45,49,49,32,50,46,54,53,50,52,51,
      101,45,49,49,32,55,46,54,55,49,55,54,101,45,49,50,10,32,32,50,46,53,57,51,50,
      50,101,45,49,50,32,56,46,55,55,48,54,55,101,45,49,51,32,50,46,53,52,50,57,54,
      101,45,49,51,32,55,46,51,55,57,50,52,101,45,49,52,32,50,46,53,48,48,57,53,101,
      45,49,52,32,56,46,52,55,57,56,57,101,45,49,53,32,50,46,56,55,54,55,53,101,45,
      49,53,10,32,32,55,46,56,50,55,48,50,101,45,49,54,32,49,46,57,52,55,53,50,101,
      45,49,54,32,52,46,49,53,52,56,51,101,45,49,55,32,49,46,48,51,52,56,101,45,49,
      55,32,50,46,50,48,49,51,101,45,49,56,32,53,46,52,56,51,55,101,45,49,57,32,49,
      46,51,54,54,52,101,45,49,57,10,32,32,50,46,56,57,55,50,51,101,45,50,48,32,53,
      46,51,54,48,55,51,101,45,50,49,32,57,46,56,57,54,55,52,101,45,50,50,32,48,114,
      49,48,53,32,50,46,56,53,50,52,50,101,45,49,52,32,52,46,53,56,53,52,56,101,45,
      49,51,32,50,46,51,50,52,55,52,101,45,49,50,32,50,46,56,53,49,51,101,45,49,50,
      10,32,32,52,46,53,57,56,53,54,101,45,49,49,32,51,46,48,52,52,49,55,101,45,49,
      48,32,57,46,53,57,55,51,57,101,45,49,48,32,50,46,51,51,53,56,101,45,48,57,32,
      52,46,56,51,52,50,53,101,45,48,57,32,57,46,48,50,55,48,52,101,45,48,57,32,49,
      46,53,51,52,52,55,101,45,48,56,10,32,32,50,46,52,52,55,57,54,101,45,48,56,32,
      51,46,55,49,52,50,52,101,45,48,56,32,53,46,52,49,50,50,50,101,45,48,56,32,55,
      46,54,50,55,52,57,101,45,48,56,32,49,46,48,52,53,48,56,101,45,48,55,32,49,46,
      51,57,56,49,52,101,45,48,55,32,49,46,56,51,50,50,101,45,48,55,10,32,32,50,46,
      51,53,55,57,51,101,45,48,55,32,50,46,57,56,55,50,101,45,48,55,32,51,46,55,51,
      49,50,51,101,45,48,55,32,52,46,54,48,50,49,53,101,45,48,55,32,53,46,54,49,50,
      52,50,101,45,48,55,32,54,46,55,55,52,54,54,101,45,48,55,32,56,46,49,48,49,54,
      57,101,45,48,55,10,32,32,57,46,54,48,51,101,45,48,55,32,49,46,49,50,57,50,56,
      101,45,48,54,32,49,46,51,49,56,53,52,101,45,48,54,32,49,46,53,50,56,49,49,101,
      45,48,54,32,49,46,55,53,57,52,53,101,45,48,54,32,50,46,48,49,52,51,49,101,45,
      48,54,32,50,46,50,57,49,53,51,101,45,48,54,10,32,32,50,46,53,57,49,52,56,101,
      45,48,54,32,50,46,57,49,55,50,56,101,45,48,54,32,51,46,50,54,54,54,54,101,45,
      48,54,32,51,46,54,51,54,53,52,101,45,48,54,32,52,46,48,51,51,49,57,101,45,48,
      54,32,52,46,52,53,52,55,57,101,45,48,54,32,52,46,56,57,48,51,53,101,45,48,54,
      10,32,32,53,46,51,53,50,53,52,101,45,48,54,32,53,46,56,52,49,55,56,101,45,48,
      54,32,54,46,51,51,53,50,52,101,45,48,54,32,54,46,56,53,52,51,53,101,45,48,54,
      32,55,46,51,57,57,52,55,101,45,48,54,32,55,46,57,52,54,55,101,45,48,54,32,56,
      46,53,49,51,56,101,45,48,54,10,32,32,57,46,49,48,53,56,51,101,45,48,54,32,57,
      46,55,48,49,52,56,101,45,48,54,32,49,46,48,51,49,48,53,101,45,48,53,32,49,46,
      48,57,52,51,53,101,45,48,53,32,49,46,49,53,56,52,57,101,45,48,53,32,49,46,50,
      50,51,52,54,101,45,48,53,32,49,46,50,57,48,56,101,45,48,53,10,32,32,49,46,51,
      53,57,53,55,101,45,48,53,32,49,46,52,50,56,56,53,101,45,48,53,32,49,46,53,48,
      48,53,101,45,48,53,32,49,46,53,55,52,49,54,101,45,48,53,32,49,46,54,52,56,50,
      57,101,45,48,53,32,49,46,55,50,52,56,53,101,45,48,53,32,49,46,56,48,51,56,49,
      101,45,48,53,10,32,32,49,46,56,56,51,51,50,101,45,48,53,32,49,46,57,54,53,50,
      54,101,45,48,53,32,50,46,48,52,57,55,49,101,45,48,53,32,50,46,49,51,53,48,49,
      101,45,48,53,32,50,46,50,50,50,53,51,101,45,48,53,32,50,46,51,49,50,54,49,101,
      45,48,53,32,50,46,52,48,51,53,101,45,48,53,10,32,32,50,46,52,57,54,49,55,101,
      45,48,53,32,50,46,53,57,49,52,50,101,45,48,53,32,50,46,54,56,55,50,53,101,45,
      48,53,32,50,46,55,56,51,55,55,101,45,48,53,32,50,46,56,56,50,57,50,101,45,48,
      53,32,50,46,57,56,50,53,56,101,45,48,53,32,51,46,48,56,48,55,57,101,45,48,53,
      10,32,32,51,46,49,56,49,54,53,101,45,48,53,32,51,46,50,56,51,53,51,101,45,48,
      53,32,51,46,51,56,48,53,52,101,45,48,53,32,51,46,52,56,48,50,50,101,45,48,53,
      32,51,46,53,56,50,52,55,101,45,48,53,32,51,46,54,55,53,48,50,101,45,48,53,32,
      51,46,55,55,48,52,54,101,45,48,53,10,32,32,51,46,56,54,56,55,101,45,48,53,32,
      51,46,57,53,54,52,53,101,45,48,53,32,52,46,48,52,52,56,52,101,45,48,53,32,52,
      46,49,51,54,51,56,101,45,48,53,32,52,46,50,49,56,53,49,101,45,48,53,32,52,46,
      50,57,56,51,101,45,48,53,32,52,46,51,56,49,54,101,45,48,53,10,32,32,52,46,52,
      53,56,50,56,101,45,48,53,32,52,46,53,50,57,52,54,101,45,48,53,32,52,46,54,48,
      52,54,50,101,45,48,53,32,52,46,54,55,54,57,56,101,45,48,53,32,52,46,55,52,49,
      50,54,101,45,48,53,32,52,46,56,48,57,57,57,101,45,48,53,32,52,46,56,55,57,56,
      52,101,45,48,53,10,32,32,52,46,57,52,48,51,57,101,45,48,53,32,53,46,48,48,53,
      54,54,101,45,48,53,32,53,46,48,55,53,50,56,101,45,48,53,32,53,46,49,51,54,49,
      57,101,45,48,53,32,53,46,50,48,49,57,53,101,45,48,53,32,53,46,50,55,50,51,49,
      101,45,48,53,32,53,46,51,51,57,54,53,101,45,48,53,10,32,32,53,46,52,49,48,50,
      55,101,45,48,53,32,53,46,52,56,53,51,52,101,45,48,53,32,53,46,53,54,50,50,49,
      101,45,48,53,32,53,46,54,52,50,49,55,101,45,48,53,32,53,46,55,50,54,49,54,101,
      45,48,53,32,53,46,56,49,53,52,57,101,45,48,53,32,53,46,57,48,57,54,55,101,45,
      48,53,10,32,32,54,46,48,48,55,51,56,101,45,48,53,32,54,46,49,49,49,54,49,101,
      45,48,53,32,54,46,50,50,52,56,52,101,45,48,53,32,54,46,51,52,48,57,57,101,45,
      48,53,32,54,46,52,54,51,49,101,45,48,53,32,54,46,54,48,48,56,53,101,45,48,53,
      32,54,46,55,52,49,50,52,101,45,48,53,10,32,32,54,46,56,56,52,55,52,101,45,48,
      53,32,55,46,48,53,51,49,57,101,45,48,53,32,55,46,50,50,52,51,54,101,45,48,53,
      32,55,46,51,57,56,50,55,101,45,48,53,32,55,46,53,57,57,56,101,45,48,53,32,55,
      46,56,48,56,57,52,101,45,48,53,32,56,46,48,50,49,55,52,101,45,48,53,10,32,32,
      56,46,50,54,49,49,55,101,45,48,53,32,56,46,53,49,54,50,50,101,45,48,53,32,56,
      46,55,55,54,52,55,101,45,48,53,32,57,46,48,54,48,49,57,101,45,48,53,32,57,46,
      51,54,55,54,52,101,45,48,53,32,57,46,54,56,51,48,49,101,45,48,53,32,46,48,48,
      48,49,48,48,49,54,57,10,32,32,46,48,48,48,49,48,51,56,48,50,32,46,48,48,48,
      49,48,55,53,52,51,32,46,48,48,48,49,49,49,52,51,50,32,46,48,48,48,49,49,53,
      53,57,54,32,46,48,48,48,49,49,57,56,57,54,32,46,48,48,48,49,50,52,51,51,56,
      32,46,48,48,48,49,50,56,57,52,52,32,46,48,48,48,49,51,51,55,48,50,10,32,32,
      46,48,48,48,49,51,56,54,49,49,32,46,48,48,48,49,52,51,53,52,52,32,46,48,48,
      48,49,52,56,53,57,55,32,46,48,48,48,49,53,51,56,32,46,48,48,48,49,53,56,57,
      53,49,32,46,48,48,48,49,54,52,49,52,55,32,46,48,48,48,49,54,57,52,54,56,32,
      46,48,48,48,49,55,52,55,52,54,10,32,32,46,48,48,48,49,55,57,57,55,50,32,46,
      48,48,48,49,56,53,51,48,52,32,46,48,48,48,49,57,48,54,50,56,32,46,48,48,48,
      49,57,53,56,52,49,32,46,48,48,48,50,48,49,49,51,52,32,46,48,48,48,50,48,54,
      52,55,50,32,46,48,48,48,50,49,49,54,56,57,32,46,48,48,48,50,49,54,57,55,56,
      10,32,32,46,48,48,48,50,50,50,51,51,32,46,48,48,48,50,50,55,53,57,51,32,46,
      48,48,48,50,51,50,57,50,55,32,46,48,48,48,50,51,56,51,48,57,32,46,48,48,48,
      50,52,53,52,56,56,32,46,48,48,48,50,54,50,52,56,50,32,46,48,48,48,50,56,56,
      49,54,56,32,46,48,48,48,51,51,49,50,52,56,10,32,32,46,48,48,48,51,55,50,52,
      50,52,32,46,48,48,48,52,49,48,49,53,32,46,48,48,48,52,52,52,55,56,55,32,46,
      48,48,48,52,55,55,54,53,55,32,46,48,48,48,53,48,57,54,51,52,32,46,48,48,48,
      53,52,49,50,50,49,32,46,48,48,48,53,55,50,52,56,32,46,48,48,48,54,48,51,53,
      48,49,10,32,32,46,48,48,48,54,51,52,51,55,55,32,46,48,48,48,54,54,52,53,51,
      56,32,46,48,48,48,54,57,57,55,48,53,32,46,48,48,48,55,51,51,48,53,51,32,46,
      48,48,48,55,55,51,53,56,54,32,46,48,48,48,56,48,56,54,57,53,32,46,48,48,48,
      56,51,56,48,51,56,32,46,48,48,48,56,54,55,50,56,53,10,32,32,46,48,48,48,56,
      57,48,50,53,52,32,46,48,48,48,57,49,49,57,49,51,32,46,48,48,48,57,52,48,55,
      49,51,32,46,48,48,48,57,55,54,57,49,52,32,46,48,48,49,48,51,52,51,53,32,46,
      48,48,49,48,57,53,53,54,32,46,48,48,49,49,53,53,51,51,32,46,48,48,49,50,49,
      53,57,52,10,32,32,46,48,48,49,50,55,50,51,57,32,46,48,48,49,51,50,54,51,50,
      32,46,48,48,49,51,56,51,51,54,32,46,48,48,49,52,52,54,53,53,32,46,48,48,49,
      53,50,53,51,51,32,46,48,48,49,54,49,49,55,55,32,46,48,48,49,55,49,56,55,51,
      32,46,48,48,49,56,54,56,54,52,10,32,32,46,48,48,50,48,50,55,52,55,32,46,48,
      48,50,49,52,54,55,54,32,46,48,48,50,50,57,49,49,32,46,48,48,50,52,54,56,48,
      51,32,46,48,48,50,54,53,55,52,55,32,46,48,48,50,56,53,51,49,49,32,46,48,48,
      51,48,52,52,54,56,32,46,48,48,51,49,57,56,50,54,32,46,48,48,51,51,50,53,55,
      54,10,32,32,46,48,48,51,52,55,54,53,49,32,46,48,48,51,55,48,56,51,57,32,46,
      48,48,51,57,52,56,55,53,32,46,48,48,52,49,52,48,51,56,32,46,48,48,52,50,52,
      54,49,54,32,46,48,48,52,50,55,50,57,56,32,46,48,48,52,49,54,55,56,57,32,46,
      48,48,51,57,53,56,53,54,10,32,32,46,48,48,51,55,50,48,49,32,46,48,48,51,53,
      49,51,55,52,32,46,48,48,51,50,50,51,54,55,32,46,48,48,50,57,48,51,54,32,46,
      48,48,50,53,53,56,50,49,32,46,48,48,50,50,55,48,55,52,32,46,48,48,50,48,53,
      54,57,49,32,46,48,48,49,57,49,54,57,55,32,46,48,48,49,55,56,52,52,56,10,32,
      32,46,48,48,49,54,51,50,51,50,32,46,48,48,49,52,55,56,54,49,32,46,48,48,49,
      49,50,55,51,49,32,46,48,48,48,56,50,50,48,54,56,32,46,48,48,48,54,49,57,50,
      52,32,46,48,48,48,52,56,54,53,49,50,32,46,48,48,48,52,52,52,56,49,50,32,46,
      48,48,48,51,53,48,49,52,50,10,32,32,46,48,48,48,50,55,54,56,51,50,32,46,48,
      48,48,50,50,48,51,52,49,32,46,48,48,48,49,55,54,57,52,32,46,48,48,48,49,51,
      56,53,48,56,32,46,48,48,48,49,49,53,55,50,56,32,57,46,54,55,48,51,55,101,45,
      48,53,32,55,46,49,57,52,52,57,101,45,48,53,32,54,46,48,48,48,52,56,101,45,48,
      53,10,32,32,52,46,53,48,54,57,51,101,45,48,53,32,51,46,51,50,55,51,52,101,45,
      48,53,32,50,46,55,55,50,56,54,101,45,48,53,32,50,46,51,48,56,57,54,101,45,48,
      53,32,49,46,55,50,55,53,57,101,45,48,53,32,49,46,50,53,51,51,54,101,45,48,53,
      32,49,46,48,52,56,53,49,101,45,48,53,10,32,32,55,46,56,53,55,48,54,101,45,48,
      54,32,54,46,53,56,55,52,51,101,45,48,54,32,52,46,57,52,51,51,56,101,45,48,54,
      32,51,46,57,49,53,50,51,101,45,48,54,32,52,46,54,56,51,54,57,101,45,48,54,32,
      52,46,49,51,54,56,57,101,45,48,54,32,51,46,50,53,56,49,101,45,48,54,10,32,32,
      50,46,53,48,50,53,50,101,45,48,54,32,50,46,48,48,56,55,50,101,45,48,54,32,49,
      46,54,49,50,52,54,101,45,48,54,32,49,46,51,49,50,56,55,101,45,48,54,32,49,46,
      48,55,50,51,54,101,45,48,54,32,56,46,53,54,57,52,50,101,45,48,55,32,55,46,48,
      50,50,52,49,101,45,48,55,10,32,32,53,46,54,51,56,57,53,101,45,48,55,32,52,46,
      55,57,56,53,55,101,45,48,55,32,51,46,54,56,56,51,53,101,45,48,55,32,51,46,49,
      51,56,57,55,101,45,48,55,32,50,46,53,54,57,101,45,48,55,32,49,46,54,49,49,54,
      101,45,48,55,32,56,46,52,56,56,57,101,45,48,56,10,32,32,52,46,53,52,52,50,53,
      101,45,48,56,32,50,46,48,56,50,49,55,101,45,48,56,32,57,46,53,52,55,51,56,101,
      45,48,57,32,51,46,55,52,56,57,55,101,45,48,57,32,49,46,55,50,49,52,56,101,45,
      48,57,32,52,46,57,54,49,52,57,101,45,49,48,32,49,46,53,49,54,52,55,101,45,49,
      48,10,32,32,54,46,53,56,57,50,55,101,45,49,49,32,50,46,53,57,55,57,57,101,45,
      49,49,32,55,46,53,49,55,56,57,101,45,49,50,32,50,46,53,52,50,51,52,101,45,49,
      50,32,56,46,54,48,51,54,54,101,45,49,51,32,50,46,52,57,53,53,50,101,45,49,51,
      32,55,46,50,52,52,49,50,101,45,49,52,10,32,32,50,46,52,53,53,57,57,101,45,49,
      52,32,56,46,51,51,49,48,54,101,45,49,53,32,50,46,56,50,55,49,51,101,45,49,53,
      32,55,46,55,48,48,55,57,101,45,49,54,32,49,46,57,49,54,55,53,101,45,49,54,32,
      52,46,48,57,49,51,54,101,45,49,55,32,49,46,48,49,57,56,52,101,45,49,55,10,32,
      32,50,46,49,55,48,50,51,101,45,49,56,32,53,46,52,49,51,51,53,101,45,49,57,32,
      49,46,51,52,55,54,53,101,45,49,57,32,50,46,56,53,55,49,56,101,45,50,48,32,53,
      46,50,56,49,56,57,101,45,50,49,32,57,46,54,55,55,101,45,50,50,32,48,114,49,
      48,53,32,53,46,57,57,53,57,55,101,45,49,52,10,32,32,57,46,54,51,56,54,49,101,
      45,49,51,32,55,46,52,49,49,53,51,101,45,49,50,32,57,46,57,49,52,55,49,101,45,
      49,50,32,51,46,53,48,52,52,51,101,45,49,48,32,49,46,55,57,56,52,54,101,45,48,
      57,32,53,46,55,57,52,54,51,101,45,48,57,32,49,46,52,48,57,50,54,101,45,48,56,
      10,32,32,50,46,57,49,51,48,52,101,45,48,56,32,53,46,51,55,48,56,53,101,45,48,
      56,32,57,46,49,49,56,52,101,45,48,56,32,49,46,52,53,50,54,50,101,45,48,55,32,
      50,46,50,48,48,53,55,101,45,48,55,32,51,46,50,48,48,57,52,101,45,48,55,32,52,
      46,53,48,50,51,55,101,45,48,55,10,32,32,54,46,49,53,53,55,52,101,45,48,55,32,
      56,46,50,49,54,49,57,101,45,48,55,32,49,46,48,55,51,57,55,101,45,48,54,32,49,
      46,51,55,56,51,51,101,45,48,54,32,49,46,55,52,48,57,54,101,45,48,54,32,50,46,
      49,54,55,53,57,101,45,48,54,32,50,46,54,54,52,50,56,101,45,48,54,10,32,32,51,
      46,50,51,55,48,49,101,45,48,54,32,51,46,56,57,49,56,50,101,45,48,54,32,52,46,
      54,51,52,49,49,101,45,48,54,32,53,46,52,54,56,49,54,101,45,48,54,32,54,46,51,
      57,57,49,51,101,45,48,54,32,55,46,52,51,50,57,53,101,45,48,54,32,56,46,53,54,
      56,48,51,101,45,48,54,10,32,32,57,46,56,48,57,49,57,101,45,48,54,32,49,46,49,
      49,54,50,56,101,45,48,53,32,49,46,50,54,49,57,56,101,45,48,53,32,49,46,52,49,
      55,57,55,101,45,48,53,32,49,46,53,56,53,53,49,101,45,48,53,32,49,46,55,54,51,
      52,54,101,45,48,53,32,49,46,57,52,57,54,101,45,48,53,10,32,32,50,46,49,52,55,
      51,55,101,45,48,53,32,50,46,51,53,52,57,49,101,45,48,53,32,50,46,53,54,55,48,
      52,101,45,48,53,32,50,46,55,57,48,56,57,101,45,48,53,32,51,46,48,50,52,49,50,
      101,45,48,53,32,51,46,50,53,57,53,101,45,48,53,32,51,46,53,48,51,55,57,101,
      45,48,53,10,32,32,51,46,55,53,56,53,55,101,45,48,53,32,52,46,48,49,52,50,50,
      101,45,48,53,32,52,46,50,55,54,55,51,101,45,48,53,32,52,46,53,52,57,51,57,101,
      45,48,53,32,52,46,56,50,52,55,55,101,45,48,53,32,53,46,49,48,53,51,55,101,45,
      48,53,32,53,46,51,57,52,57,101,45,48,53,10,32,32,53,46,54,56,55,53,51,101,45,
      48,53,32,53,46,57,56,54,52,52,101,45,48,53,32,54,46,50,57,53,49,55,101,45,48,
      53,32,54,46,54,49,101,45,48,53,32,54,46,57,50,55,55,49,101,45,48,53,32,55,46,
      50,53,53,52,57,101,45,48,53,32,55,46,53,57,50,51,51,101,45,48,53,10,32,32,55,
      46,57,51,50,49,54,101,45,48,53,32,56,46,50,56,49,56,56,101,45,48,53,32,56,46,
      54,51,57,56,53,101,45,48,53,32,57,46,48,48,50,57,51,101,45,48,53,32,57,46,51,
      55,55,54,101,45,48,53,32,57,46,55,54,50,53,57,101,45,48,53,32,46,48,48,48,49,
      48,49,53,50,54,10,32,32,46,48,48,48,49,48,53,53,50,32,46,48,48,48,49,48,57,
      54,49,51,32,46,48,48,48,49,49,51,55,53,54,32,46,48,48,48,49,49,55,57,56,49,
      32,46,48,48,48,49,50,50,51,49,49,32,46,48,48,48,49,50,54,54,57,53,32,46,48,
      48,48,49,51,49,49,51,54,32,46,48,48,48,49,51,53,54,56,50,10,32,32,46,48,48,
      48,49,52,48,50,56,51,32,46,48,48,48,49,52,52,56,57,53,32,46,48,48,48,49,52,
      57,54,49,32,46,48,48,48,49,53,52,51,57,51,32,46,48,48,48,49,53,57,49,48,56,
      32,46,48,48,48,49,54,51,57,50,50,32,46,48,48,48,49,54,56,56,52,56,32,46,48,
      48,48,49,55,51,53,56,49,10,32,32,46,48,48,48,49,55,56,52,51,50,32,46,48,48,
      48,49,56,51,51,55,55,32,46,48,48,48,49,56,56,49,49,56,32,46,48,48,48,49,57,
      50,56,55,32,46,48,48,48,49,57,55,55,52,50,32,46,48,48,48,50,48,50,51,54,53,
      32,46,48,48,48,50,48,55,48,49,55,32,46,48,48,48,50,49,49,55,53,57,10,32,32,
      46,48,48,48,50,49,54,50,57,32,46,48,48,48,50,50,48,54,57,32,46,48,48,48,50,
      50,53,49,56,56,32,46,48,48,48,50,50,57,53,52,55,32,46,48,48,48,50,51,51,55,
      49,55,32,46,48,48,48,50,51,56,48,48,54,32,46,48,48,48,50,52,50,50,54,56,32,
      46,48,48,48,50,52,54,50,50,56,10,32,32,46,48,48,48,50,53,48,50,50,57,32,46,
      48,48,48,50,53,52,52,56,50,32,46,48,48,48,50,53,56,51,51,56,32,46,48,48,48,
      50,54,50,51,51,53,32,46,48,48,48,50,54,54,52,50,57,32,46,48,48,48,50,55,48,
      51,57,57,32,46,48,48,48,50,55,52,52,56,53,32,46,48,48,48,50,55,56,54,57,53,
      10,32,32,46,48,48,48,50,56,50,56,57,53,32,46,48,48,48,50,56,55,50,49,49,32,
      46,48,48,48,50,57,49,54,51,53,32,46,48,48,48,50,57,54,51,48,52,32,46,48,48,
      48,51,48,49,48,57,56,32,46,48,48,48,51,48,53,57,57,32,46,48,48,48,51,49,49,
      48,57,57,32,46,48,48,48,51,49,54,53,52,50,10,32,32,46,48,48,48,51,50,50,49,
      55,32,46,48,48,48,51,50,56,48,48,52,32,46,48,48,48,51,51,52,52,50,32,46,48,
      48,48,51,52,48,57,53,50,32,46,48,48,48,51,52,55,53,53,52,32,46,48,48,48,51,
      53,53,49,50,49,32,46,48,48,48,51,54,50,56,51,56,32,46,48,48,48,51,55,48,54,
      50,53,10,32,32,46,48,48,48,51,55,57,52,55,51,32,46,48,48,48,51,56,56,54,54,
      49,32,46,48,48,48,51,57,55,57,54,55,32,46,48,48,48,52,48,56,50,50,56,32,46,
      48,48,48,52,49,57,48,48,50,32,46,48,48,48,52,50,57,57,55,52,32,46,48,48,48,
      52,52,49,56,49,56,32,46,48,48,48,52,53,52,52,51,53,10,32,32,46,48,48,48,52,
      54,55,49,50,52,32,46,48,48,48,52,56,48,52,54,52,32,46,48,48,48,52,57,52,54,
      55,55,32,46,48,48,48,53,48,56,57,50,32,46,48,48,48,53,50,51,54,51,49,32,46,
      48,48,48,53,51,56,56,56,55,32,46,48,48,48,53,53,52,50,51,50,32,46,48,48,48,
      53,54,57,57,48,55,10,32,32,46,48,48,48,53,56,53,53,54,56,32,46,48,48,48,54,
      48,49,49,48,49,32,46,48,48,48,54,49,54,56,56,53,32,46,48,48,48,54,51,50,50,
      51,52,32,46,48,48,48,54,52,55,50,53,55,32,46,48,48,48,54,54,50,52,50,51,32,
      46,48,48,48,54,55,54,56,50,54,32,46,48,48,48,54,57,48,57,55,56,10,32,32,46,
      48,48,48,55,48,52,54,55,57,32,46,48,48,48,55,49,56,49,56,57,32,46,48,48,48,
      55,51,49,49,55,56,32,46,48,48,48,55,52,51,55,51,50,32,46,48,48,48,55,53,54,
      48,56,52,32,46,48,48,48,55,54,55,55,57,57,32,46,48,48,48,55,55,57,49,52,52,
      32,46,48,48,48,55,57,48,53,52,49,10,32,32,46,48,48,48,56,48,49,52,55,53,32,
      46,48,48,48,56,49,50,48,49,49,32,46,48,48,48,56,50,50,50,56,57,32,46,48,48,
      48,56,51,50,52,53,53,32,46,48,48,48,56,52,50,50,54,51,32,46,48,48,48,56,53,
      49,54,53,53,32,46,48,48,48,56,54,51,56,50,50,32,46,48,48,48,56,57,48,49,57,
      50,10,32,32,46,48,48,48,57,50,50,55,54,52,32,46,48,48,48,57,53,57,52,53,57,
      32,46,48,48,48,57,55,56,52,53,53,32,46,48,48,48,57,57,51,52,51,50,32,46,48,
      48,49,48,49,54,48,51,32,46,48,48,49,48,52,57,57,50,32,46,48,48,49,48,57,49,
      50,56,32,46,48,48,49,49,51,52,55,50,10,32,32,46,48,48,49,49,55,53,55,57,32,
      46,48,48,49,50,49,49,49,54,32,46,48,48,49,50,51,57,51,52,32,46,48,48,49,50,
      53,57,49,52,32,46,48,48,49,50,55,49,55,54,32,46,48,48,49,50,55,50,57,51,32,
      46,48,48,49,50,53,57,52,55,32,46,48,48,49,50,51,51,48,51,10,32,32,46,48,48,
      49,50,48,48,57,56,32,46,48,48,49,49,53,57,52,57,32,46,48,48,49,49,50,50,50,
      57,32,46,48,48,49,48,57,55,49,32,46,48,48,49,48,56,55,50,51,32,46,48,48,49,
      48,57,57,52,51,32,46,48,48,49,49,51,57,50,52,32,46,48,48,49,49,56,57,51,50,
      32,46,48,48,49,50,51,56,51,52,10,32,32,46,48,48,49,50,56,50,53,56,32,46,48,
      48,49,51,49,51,49,51,32,46,48,48,49,51,51,52,57,55,32,46,48,48,49,51,53,57,
      48,54,32,46,48,48,49,51,56,57,57,51,32,46,48,48,49,52,51,54,50,50,32,46,48,
      48,49,52,57,53,50,55,32,46,48,48,49,53,55,54,53,55,10,32,32,46,48,48,49,55,
      48,48,48,55,32,46,48,48,49,56,51,48,55,56,32,46,48,48,49,57,50,54,56,32,46,
      48,48,50,48,51,56,57,52,32,46,48,48,50,49,55,53,53,50,32,46,48,48,50,51,50,
      53,55,49,32,46,48,48,50,52,56,55,49,54,32,46,48,48,50,54,53,49,56,51,32,46,
      48,48,50,55,56,57,52,51,10,32,32,46,48,48,50,57,48,56,54,32,46,48,48,51,48,
      52,57,57,52,32,46,48,48,51,50,54,50,57,53,32,46,48,48,51,52,56,49,54,50,32,
      46,48,48,51,54,53,57,57,56,32,46,48,48,51,55,54,51,52,51,32,46,48,48,51,56,
      48,49,32,46,48,48,51,55,50,57,56,53,32,46,48,48,51,53,54,52,56,50,10,32,32,
      46,48,48,51,51,54,57,49,51,32,46,48,48,51,49,57,54,49,32,46,48,48,50,57,52,
      56,52,56,32,46,48,48,50,54,54,57,55,52,32,46,48,48,50,51,54,52,50,53,32,46,
      48,48,50,49,48,55,52,51,32,46,48,48,49,57,49,53,52,49,32,46,48,48,49,55,56,
      57,53,57,32,46,48,48,49,54,54,57,56,51,10,32,32,46,48,48,49,53,51,49,49,51,
      32,46,48,48,49,51,56,57,57,56,32,46,48,48,49,48,54,52,57,50,32,46,48,48,48,
      55,56,48,49,57,51,32,46,48,48,48,53,56,57,55,56,51,32,46,48,48,48,52,54,52,
      54,55,55,32,46,48,48,48,52,50,53,51,57,51,32,46,48,48,48,51,51,53,54,52,56,
      10,32,32,46,48,48,48,50,54,53,57,50,51,32,46,48,48,48,50,49,50,48,52,52,32,
      46,48,48,48,49,55,48,53,52,57,32,46,48,48,48,49,51,51,55,50,51,32,46,48,48,
      48,49,49,49,56,53,52,32,57,46,51,53,54,52,52,101,45,48,53,32,54,46,57,55,49,
      56,53,101,45,48,53,32,53,46,56,49,57,57,53,101,45,48,53,10,32,32,52,46,51,55,
      55,48,56,101,45,48,53,32,51,46,50,51,53,54,54,101,45,48,53,32,50,46,54,57,56,
      52,51,101,45,48,53,32,50,46,50,52,56,53,49,101,45,48,53,32,49,46,54,56,52,48,
      54,101,45,48,53,32,49,46,50,50,51,48,53,101,45,48,53,32,49,46,48,50,51,55,101,
      45,48,53,10,32,32,55,46,54,55,55,52,55,101,45,48,54,32,54,46,52,51,57,57,52,
      101,45,48,54,32,52,46,56,51,54,50,51,101,45,48,54,32,51,46,56,51,50,50,55,101,
      45,48,54,32,52,46,53,51,52,56,53,101,45,48,54,32,52,46,48,48,54,51,101,45,48,
      54,32,51,46,49,53,54,53,50,101,45,48,54,10,32,32,50,46,52,50,53,53,50,101,45,
      48,54,32,49,46,57,52,55,53,54,101,45,48,54,32,49,46,53,54,51,56,55,101,45,48,
      54,32,49,46,50,55,51,54,55,101,45,48,54,32,49,46,48,52,48,54,52,101,45,48,54,
      32,56,46,51,49,56,51,57,101,45,48,55,32,54,46,56,49,56,52,51,101,45,48,55,10,
      32,32,53,46,52,55,54,54,53,101,45,48,55,32,52,46,54,54,49,51,54,101,45,48,55,
      32,51,46,53,56,51,57,56,101,45,48,55,32,51,46,48,53,48,55,49,101,45,48,55,32,
      50,46,52,57,55,51,49,101,45,48,55,32,49,46,53,54,55,52,101,45,48,55,32,56,46,
      50,54,49,49,57,101,45,48,56,10,32,32,52,46,52,50,52,56,101,45,48,56,32,50,46,
      48,50,56,55,56,101,45,48,56,32,57,46,51,48,56,48,52,101,45,48,57,32,51,46,54,
      53,55,51,56,101,45,48,57,32,49,46,54,56,48,50,55,101,45,48,57,32,52,46,56,52,
      54,50,56,101,45,49,48,32,49,46,52,56,50,50,57,101,45,49,48,10,32,32,54,46,52,
      52,51,50,57,101,45,49,49,32,50,46,53,52,49,53,52,101,45,49,49,32,55,46,51,53,
      56,56,52,101,45,49,50,32,50,46,52,56,57,53,57,101,45,49,50,32,56,46,52,50,56,
      52,55,101,45,49,51,32,50,46,52,52,54,51,101,45,49,51,32,55,46,49,48,52,53,101,
      45,49,52,10,32,32,50,46,52,48,57,52,101,45,49,52,32,56,46,49,55,53,52,54,101,
      45,49,53,32,50,46,55,55,53,52,49,101,45,49,53,32,55,46,53,55,48,50,50,101,45,
      49,54,32,49,46,56,56,52,57,51,101,45,49,54,32,52,46,48,50,52,57,52,101,45,49,
      55,32,49,46,48,48,51,54,54,101,45,49,55,10,32,32,50,46,49,51,55,50,55,101,45,
      49,56,32,53,46,51,51,52,54,55,101,45,49,57,32,49,46,51,50,56,50,52,101,45,49,
      57,32,50,46,56,49,53,55,50,101,45,50,48,32,53,46,49,57,57,49,55,101,45,50,49,
      32,57,46,52,52,51,52,50,101,45,50,50,32,48,114,49,48,53,32,49,46,50,53,52,53,
      50,101,45,49,52,10,32,32,50,46,48,49,54,55,54,101,45,49,51,32,49,46,48,50,50,
      52,56,101,45,49,50,32,49,46,50,53,52,48,56,101,45,49,50,32,50,46,48,49,53,50,
      49,101,45,49,49,32,49,46,48,50,53,49,101,45,49,48,32,51,46,57,52,56,54,56,101,
      45,49,48,32,57,46,54,49,54,50,57,101,45,49,48,10,32,32,49,46,57,57,48,57,55,
      101,45,48,57,32,51,46,54,55,55,55,57,101,45,48,57,32,54,46,50,53,55,55,101,
      45,48,57,32,49,46,48,48,49,101,45,48,56,32,49,46,53,51,50,52,51,101,45,48,56,
      32,50,46,50,51,53,57,56,101,45,48,56,32,51,46,49,53,53,55,55,101,45,48,56,10,
      32,32,52,46,51,51,48,54,56,101,45,48,56,32,53,46,56,48,51,53,53,101,45,48,56,
      32,55,46,54,49,57,48,52,101,45,48,56,32,57,46,56,50,52,49,51,101,45,48,56,32,
      49,46,50,52,55,49,52,101,45,48,55,32,49,46,53,54,49,49,50,101,45,48,55,32,49,
      46,57,50,57,56,57,101,45,48,55,10,32,32,50,46,51,53,57,49,52,101,45,48,55,32,
      50,46,56,53,52,55,54,101,45,48,55,32,51,46,52,50,50,56,50,101,45,48,55,32,52,
      46,48,54,55,57,56,101,45,48,55,32,52,46,55,57,55,49,51,101,45,48,55,32,53,46,
      54,49,55,50,54,101,45,48,55,32,54,46,53,50,57,50,49,101,45,48,55,10,32,32,55,
      46,53,52,48,50,57,101,45,48,55,32,56,46,54,53,57,50,55,101,45,48,55,32,57,46,
      56,56,49,55,52,101,45,48,55,32,49,46,49,50,49,48,49,101,45,48,54,32,49,46,50,
      54,53,57,55,101,45,48,54,32,49,46,52,50,50,49,101,45,48,54,32,49,46,53,56,56,
      48,49,101,45,48,54,10,32,32,49,46,55,54,54,55,50,101,45,48,54,32,49,46,57,53,
      55,52,54,101,45,48,54,32,50,46,49,53,53,48,52,101,45,48,54,32,50,46,51,54,53,
      54,53,101,45,48,54,32,50,46,53,56,57,51,56,101,45,48,54,32,50,46,56,49,53,49,
      57,101,45,48,54,32,51,46,48,53,51,53,51,101,45,48,54,10,32,32,51,46,51,48,52,
      54,57,101,45,48,54,32,51,46,53,53,54,54,57,101,45,48,54,32,51,46,56,49,56,52,
      49,101,45,48,54,32,52,46,48,57,50,51,53,101,45,48,54,32,52,46,51,54,55,55,51,
      101,45,48,54,32,52,46,54,52,57,52,54,101,45,48,54,32,52,46,57,52,50,56,55,101,
      45,48,54,10,32,32,53,46,50,52,48,48,55,101,45,48,54,32,53,46,53,52,48,56,50,
      101,45,48,54,32,53,46,56,53,51,48,53,101,45,48,54,32,54,46,49,55,49,57,56,101,
      45,48,54,32,54,46,52,57,50,54,57,101,45,48,54,32,54,46,56,50,52,56,57,101,45,
      48,54,32,55,46,49,54,54,54,52,101,45,48,54,10,32,32,55,46,53,48,57,57,54,101,
      45,48,54,32,55,46,56,54,52,57,55,101,45,48,54,32,56,46,50,51,49,54,49,101,45,
      48,54,32,56,46,54,48,48,48,56,101,45,48,54,32,56,46,57,56,48,51,50,101,45,48,
      54,32,57,46,51,55,50,55,51,101,45,48,54,32,57,46,55,54,56,53,101,45,48,54,10,
      32,32,49,46,48,49,55,52,57,101,45,48,53,32,49,46,48,53,57,51,54,101,45,48,53,
      32,49,46,49,48,49,53,54,101,45,48,53,32,49,46,49,52,52,53,55,101,45,48,53,32,
      49,46,49,56,56,56,52,101,45,48,53,32,49,46,50,51,51,50,57,101,45,48,53,32,49,
      46,50,55,55,57,55,101,45,48,53,10,32,32,49,46,51,50,51,57,51,101,45,48,53,32,
      49,46,51,55,48,48,49,101,45,48,53,32,49,46,52,49,53,49,56,101,45,48,53,32,49,
      46,52,54,49,54,51,101,45,48,53,32,49,46,53,48,56,52,57,101,45,48,53,32,49,46,
      53,53,50,53,54,101,45,48,53,32,49,46,53,57,55,57,52,101,45,48,53,10,32,32,49,
      46,54,52,52,53,54,101,45,48,53,32,49,46,54,56,53,56,50,101,45,48,53,32,49,46,
      55,50,56,53,101,45,48,53,32,49,46,55,55,50,53,55,101,45,48,53,32,49,46,56,49,
      48,56,57,101,45,48,53,32,49,46,56,52,57,52,56,101,45,48,53,32,49,46,56,56,57,
      54,53,101,45,48,53,10,32,32,49,46,57,50,52,55,53,101,45,48,53,32,49,46,57,53,
      56,53,55,101,45,48,53,32,49,46,57,57,52,50,101,45,48,53,32,50,46,48,50,54,51,
      51,101,45,48,53,32,50,46,48,53,53,53,56,101,45,48,53,32,50,46,48,56,54,57,51,
      101,45,48,53,32,50,46,49,49,54,56,52,101,45,48,53,10,32,32,50,46,49,52,50,54,
      52,101,45,48,53,32,50,46,49,55,48,55,57,101,45,48,53,32,50,46,49,57,57,53,57,
      101,45,48,53,32,50,46,50,50,51,55,54,101,45,48,53,32,50,46,50,53,48,52,50,101,
      45,48,53,32,50,46,50,55,57,51,51,101,45,48,53,32,50,46,51,48,51,57,57,101,45,
      48,53,10,32,32,50,46,51,51,49,49,57,101,45,48,53,32,50,46,51,54,48,55,56,101,
      45,48,53,32,50,46,51,56,56,57,55,101,45,48,53,32,50,46,52,49,56,57,101,45,48,
      53,32,50,46,52,53,49,49,50,101,45,48,53,32,50,46,52,56,52,51,50,101,45,48,53,
      32,50,46,53,49,57,49,52,101,45,48,53,10,32,32,50,46,53,53,54,48,50,101,45,48,
      53,32,50,46,53,57,53,53,54,101,45,48,53,32,50,46,54,51,55,53,55,101,45,48,53,
      32,50,46,54,56,49,51,51,101,45,48,53,32,50,46,55,50,56,51,49,101,45,48,53,32,
      50,46,55,55,57,55,51,101,45,48,53,32,50,46,56,51,50,54,54,101,45,48,53,10,32,
      32,50,46,56,56,56,53,50,101,45,48,53,32,50,46,57,53,49,57,55,101,45,48,53,32,
      51,46,48,49,54,55,55,101,45,48,53,32,51,46,48,56,51,49,53,101,45,48,53,32,51,
      46,49,54,49,53,55,101,45,48,53,32,51,46,50,52,49,52,49,101,45,48,53,32,51,46,
      51,50,50,54,53,101,45,48,53,10,32,32,51,46,52,49,55,50,57,101,45,48,53,32,51,
      46,53,49,53,56,49,101,45,48,53,32,51,46,54,49,54,50,50,101,45,48,53,32,51,46,
      55,50,57,54,56,101,45,48,53,32,51,46,56,53,48,57,101,45,48,53,32,51,46,57,55,
      52,56,56,101,45,48,53,32,52,46,49,49,48,54,101,45,48,53,10,32,32,52,46,50,53,
      56,51,53,101,45,48,53,32,52,46,52,49,48,51,57,101,45,48,53,32,52,46,53,55,50,
      48,56,101,45,48,53,32,52,46,55,52,56,57,101,45,48,53,32,52,46,57,51,49,57,101,
      45,48,53,32,53,46,49,50,51,48,49,101,45,48,53,32,53,46,51,50,56,57,55,101,45,
      48,53,10,32,32,53,46,53,52,50,56,55,101,45,48,53,32,53,46,55,54,53,49,51,101,
      45,48,53,32,53,46,57,57,55,49,51,101,45,48,53,32,54,46,50,51,56,51,49,101,45,
      48,53,32,54,46,52,56,56,57,57,101,45,48,53,32,54,46,55,52,50,51,52,101,45,48,
      53,32,55,46,48,48,51,56,52,101,45,48,53,10,32,32,55,46,50,55,53,48,50,101,45,
      48,53,32,55,46,53,52,53,50,50,101,45,48,53,32,55,46,56,49,57,52,50,101,45,48,
      53,32,56,46,49,48,50,52,54,101,45,48,53,32,56,46,51,56,52,55,49,101,45,48,53,
      32,56,46,54,54,53,55,50,101,45,48,53,32,56,46,57,53,52,53,50,101,45,48,53,10,
      32,32,57,46,50,52,52,51,101,45,48,53,32,57,46,53,50,57,50,54,101,45,48,53,32,
      57,46,56,50,48,55,49,101,45,48,53,32,46,48,48,48,49,48,49,49,54,51,32,46,48,
      48,48,49,48,52,48,53,55,32,46,48,48,48,49,48,55,48,48,56,32,46,48,48,48,49,
      49,48,48,50,32,46,48,48,48,49,49,50,57,57,49,10,32,32,46,48,48,48,49,49,54,
      48,49,55,32,46,48,48,48,49,49,57,48,57,54,32,46,48,48,48,49,50,51,50,50,52,
      32,46,48,48,48,49,51,51,49,52,51,32,46,48,48,48,49,52,56,53,55,56,32,46,48,
      48,48,49,55,53,55,54,55,32,46,48,48,48,50,48,51,51,53,32,46,48,48,48,50,50,
      57,52,54,51,10,32,32,46,48,48,48,50,53,51,50,56,53,32,46,48,48,48,50,55,53,
      49,52,32,46,48,48,48,50,57,53,55,57,52,32,46,48,48,48,51,49,54,48,52,55,32,
      46,48,48,48,51,51,54,51,57,53,32,46,48,48,48,51,53,55,50,49,50,32,46,48,48,
      48,51,55,56,55,54,51,32,46,48,48,48,52,48,48,55,57,50,10,32,32,46,48,48,48,
      52,50,55,57,51,32,46,48,48,48,52,53,53,52,57,56,32,46,48,48,48,52,57,49,56,
      56,56,32,46,48,48,48,53,50,54,56,50,51,32,46,48,48,48,53,53,57,52,50,56,32,
      46,48,48,48,53,57,53,57,53,57,32,46,48,48,48,54,50,55,53,49,57,32,46,48,48,
      48,54,53,53,57,53,56,10,32,32,46,48,48,48,54,56,56,54,50,54,32,46,48,48,48,
      55,50,51,49,52,51,32,46,48,48,48,55,55,50,50,49,56,32,46,48,48,48,56,50,50,
      55,53,56,32,46,48,48,48,56,55,50,48,54,32,46,48,48,48,57,50,51,49,54,49,32,
      46,48,48,48,57,55,51,48,49,57,32,46,48,48,49,48,50,49,48,50,10,32,32,46,48,
      48,49,48,54,57,49,54,32,46,48,48,49,49,49,57,51,49,32,46,48,48,49,49,55,56,
      54,51,32,46,48,48,49,50,52,49,57,52,32,46,48,48,49,51,50,48,49,51,32,46,48,
      48,49,52,51,48,53,54,32,46,48,48,49,53,52,54,57,49,32,46,48,48,49,54,51,50,
      57,32,46,48,48,49,55,51,52,54,49,10,32,32,46,48,48,49,56,53,55,53,53,32,46,
      48,48,49,57,57,49,48,56,32,46,48,48,50,49,51,52,49,55,32,46,48,48,50,50,56,
      49,57,53,32,46,48,48,50,52,48,56,50,56,32,46,48,48,50,53,50,48,53,57,32,46,
      48,48,50,54,53,50,57,53,32,46,48,48,50,56,52,55,54,49,10,32,32,46,48,48,51,
      48,52,53,50,57,32,46,48,48,51,50,48,57,57,57,32,46,48,48,51,51,48,57,57,49,
      32,46,48,48,51,51,53,53,54,57,32,46,48,48,51,51,49,51,53,50,32,46,48,48,51,
      49,56,55,53,57,32,46,48,48,51,48,51,48,52,56,32,46,48,48,50,56,56,55,56,51,
      10,32,32,46,48,48,50,54,55,57,53,53,32,46,48,48,50,52,51,57,54,55,32,46,48,
      48,50,49,55,50,50,32,46,48,48,49,57,52,52,56,52,32,46,48,48,49,55,55,51,57,
      53,32,46,48,48,49,54,54,49,56,55,32,46,48,48,49,53,53,52,53,51,32,46,48,48,
      49,52,50,57,48,53,32,46,48,48,49,51,48,48,51,49,10,32,32,46,48,48,49,48,48,
      49,52,32,46,48,48,48,55,51,55,51,49,56,32,46,48,48,48,53,53,57,52,57,52,32,
      46,48,48,48,52,52,50,49,52,55,32,46,48,48,48,52,48,53,51,50,49,32,46,48,48,
      48,51,50,48,54,49,54,32,46,48,48,48,50,53,52,53,56,52,32,46,48,48,48,50,48,
      51,52,48,49,10,32,32,46,48,48,48,49,54,51,56,56,49,32,46,48,48,48,49,50,56,
      55,50,49,32,46,48,48,48,49,48,55,55,57,57,32,57,46,48,50,55,51,53,101,45,48,
      53,32,54,46,55,51,56,49,52,101,45,48,53,32,53,46,54,51,48,51,50,101,45,48,53,
      32,52,46,50,52,48,52,54,101,45,48,53,10,32,32,51,46,49,51,56,57,53,101,45,48,
      53,32,50,46,54,49,57,55,56,101,45,48,53,32,50,46,49,56,52,54,49,101,45,48,53,
      32,49,46,54,51,56,48,51,101,45,48,53,32,49,46,49,57,48,57,54,101,45,48,53,32,
      57,46,57,55,52,50,101,45,48,54,32,55,46,52,56,55,48,55,101,45,48,54,10,32,32,
      54,46,50,56,51,52,53,101,45,48,54,32,52,46,55,50,50,52,52,101,45,48,54,32,51,
      46,55,52,52,55,49,101,45,48,54,32,52,46,51,56,48,56,51,101,45,48,54,32,51,46,
      56,55,49,49,51,101,45,48,54,32,51,46,48,53,49,51,51,101,45,48,54,32,50,46,51,
      52,53,55,52,101,45,48,54,10,32,32,49,46,56,56,52,49,56,101,45,48,54,32,49,46,
      53,49,51,53,101,45,48,54,32,49,46,50,51,51,48,52,101,45,48,54,32,49,46,48,48,
      55,55,51,101,45,48,54,32,56,46,48,53,55,56,54,101,45,48,55,32,54,46,54,48,54,
      54,54,101,45,48,55,32,53,46,51,48,56,48,55,101,45,48,55,10,32,32,52,46,53,49,
      56,56,49,101,45,48,55,32,51,46,52,55,53,53,101,45,48,55,32,50,46,57,53,56,57,
      52,101,45,48,55,32,50,46,52,50,50,55,55,101,45,48,55,32,49,46,53,50,49,51,57,
      101,45,48,55,32,56,46,48,50,52,48,49,101,45,48,56,32,52,46,51,48,48,51,51,101,
      45,48,56,10,32,32,49,46,57,55,51,48,51,101,45,48,56,32,57,46,48,53,56,48,55,
      101,45,48,57,32,51,46,53,54,49,53,56,101,45,48,57,32,49,46,54,51,55,49,50,101,
      45,48,57,32,52,46,55,50,53,52,53,101,45,49,48,32,49,46,52,52,54,50,57,101,45,
      49,48,32,54,46,50,56,57,57,101,45,49,49,10,32,32,50,46,52,56,50,49,51,101,45,
      49,49,32,55,46,49,57,48,55,54,101,45,49,50,32,50,46,52,51,51,57,54,101,45,49,
      50,32,56,46,50,52,51,53,49,101,45,49,51,32,50,46,51,57,51,54,53,101,45,49,51,
      32,54,46,57,53,53,53,55,101,45,49,52,32,50,46,51,54,48,48,53,101,45,49,52,10,
      32,32,56,46,48,49,48,52,52,101,45,49,53,32,50,46,55,50,48,49,56,101,45,49,53,
      32,55,46,52,50,56,54,51,101,45,49,54,32,49,46,56,53,48,55,50,101,45,49,54,32,
      51,46,57,53,51,55,51,101,45,49,55,32,57,46,56,54,50,50,101,45,49,56,32,50,46,
      49,48,48,54,54,101,45,49,56,10,32,32,53,46,50,52,53,52,49,101,45,49,57,32,49,
      46,51,48,54,56,55,101,45,49,57,32,50,46,55,55,48,56,101,45,50,48,32,53,46,49,
      48,57,51,57,101,45,50,49,32,49,46,52,50,52,53,55,101,45,50,49,32,48,114,49,
      48,53,32,50,46,53,51,54,56,52,101,45,49,53,32,52,46,48,55,56,52,50,101,45,49,
      52,10,32,32,50,46,48,54,55,56,55,101,45,49,51,32,50,46,53,51,54,50,57,101,45,
      49,51,32,52,46,48,55,55,49,55,101,45,49,50,32,50,46,48,54,55,52,55,101,45,49,
      49,32,54,46,53,50,57,56,53,101,45,49,49,32,49,46,55,55,53,54,51,101,45,49,48,
      32,51,46,57,57,48,52,56,101,45,49,48,10,32,32,55,46,51,56,51,56,52,101,45,49,
      48,32,49,46,50,53,56,55,51,101,45,48,57,32,50,46,48,49,52,52,51,101,45,48,57,
      32,51,46,48,54,55,50,51,101,45,48,57,32,52,46,52,56,54,54,57,101,45,48,57,32,
      54,46,51,52,57,53,56,101,45,48,57,32,56,46,55,53,50,51,52,101,45,48,57,10,32,
      32,49,46,49,56,53,49,101,45,48,56,32,49,46,53,54,49,48,49,101,45,48,56,32,50,
      46,48,49,57,57,51,101,45,48,56,32,50,46,53,55,51,56,49,101,45,48,56,32,51,46,
      50,51,52,52,49,101,45,48,56,32,52,46,48,49,52,57,101,45,48,56,32,52,46,57,50,
      56,57,54,101,45,48,56,10,32,32,53,46,57,57,49,49,54,101,45,48,56,32,55,46,50,
      49,54,55,53,101,45,48,56,32,56,46,54,49,56,49,52,101,45,48,56,32,49,46,48,50,
      49,51,51,101,45,48,55,32,49,46,50,48,50,48,55,101,45,48,55,32,49,46,52,48,52,
      53,101,45,48,55,32,49,46,54,51,48,54,51,101,45,48,55,10,32,32,49,46,56,56,50,
      56,51,101,45,48,55,32,50,46,49,54,48,52,50,101,45,48,55,32,50,46,52,54,52,50,
      56,101,45,48,55,32,50,46,55,57,56,52,56,101,45,48,55,32,51,46,49,54,49,48,57,
      101,45,48,55,32,51,46,53,52,56,57,101,45,48,55,32,51,46,57,54,57,55,56,101,
      45,48,55,10,32,32,52,46,52,50,50,49,52,101,45,48,55,32,52,46,56,57,50,56,51,
      101,45,48,55,32,53,46,51,57,55,55,55,101,45,48,55,32,53,46,57,51,55,57,56,101,
      45,48,55,32,54,46,52,56,52,101,45,48,55,32,55,46,48,54,51,53,53,101,45,48,55,
      32,55,46,54,55,55,55,56,101,45,48,55,10,32,32,56,46,50,57,51,56,56,101,45,48,
      55,32,56,46,57,51,54,48,57,101,45,48,55,32,57,46,54,49,49,50,52,101,45,48,55,
      32,49,46,48,50,56,57,50,101,45,48,54,32,49,46,48,57,56,51,53,101,45,48,54,32,
      49,46,49,55,48,57,50,101,45,48,54,32,49,46,50,52,52,51,55,101,45,48,54,10,32,
      32,49,46,51,49,56,54,50,101,45,48,54,32,49,46,51,57,53,57,50,101,45,48,54,32,
      49,46,52,55,52,56,57,101,45,48,54,32,49,46,53,53,52,48,57,101,45,48,54,32,49,
      46,54,51,54,51,52,101,45,48,54,32,49,46,55,50,49,48,55,101,45,48,54,32,49,46,
      56,48,53,57,52,101,45,48,54,10,32,32,49,46,56,57,51,56,56,101,45,48,54,32,49,
      46,57,56,52,57,51,101,45,48,54,32,50,46,48,55,54,49,49,101,45,48,54,32,50,46,
      49,55,48,52,52,101,45,48,54,32,50,46,50,54,55,57,57,101,45,48,54,32,50,46,51,
      54,54,49,53,101,45,48,54,32,50,46,52,54,55,48,54,101,45,48,54,10,32,32,50,46,
      53,55,49,50,54,101,45,48,54,32,50,46,54,55,54,48,49,101,45,48,54,32,50,46,55,
      56,50,55,52,101,45,48,54,32,50,46,56,57,50,56,51,101,45,48,54,32,51,46,48,48,
      51,48,49,101,45,48,54,32,51,46,49,49,51,51,56,101,45,48,54,32,51,46,50,50,55,
      49,53,101,45,48,54,10,32,32,51,46,51,52,48,56,49,101,45,48,54,32,51,46,52,53,
      49,49,51,101,45,48,54,32,51,46,53,54,52,56,55,101,45,48,54,32,51,46,54,55,57,
      51,49,101,45,48,54,32,51,46,55,56,52,54,56,101,45,48,54,32,51,46,56,57,51,53,
      54,101,45,48,54,32,52,46,48,48,53,55,50,101,45,48,54,10,32,32,52,46,49,48,48,
      57,56,101,45,48,54,32,52,46,50,48,48,49,49,101,45,48,54,32,52,46,51,48,51,48,
      53,101,45,48,54,32,52,46,51,56,56,49,49,101,45,48,54,32,52,46,52,55,51,55,49,
      101,45,48,54,32,52,46,53,54,51,55,101,45,48,54,32,52,46,54,51,56,50,56,101,
      45,48,54,10,32,32,52,46,55,48,56,57,50,101,45,48,54,32,52,46,55,56,52,56,101,
      45,48,54,32,52,46,56,53,48,50,56,101,45,48,54,32,52,46,57,48,55,52,49,101,45,
      48,54,32,52,46,57,55,48,55,55,101,45,48,54,32,53,46,48,51,48,48,57,101,45,48,
      54,32,53,46,48,55,55,56,50,101,45,48,54,10,32,32,53,46,49,51,50,53,57,101,45,
      48,54,32,53,46,49,56,57,52,53,101,45,48,54,32,53,46,50,51,51,53,55,101,45,48,
      54,32,53,46,50,56,53,49,54,101,45,48,54,32,53,46,51,52,51,52,101,45,48,54,32,
      53,46,51,57,48,51,101,45,48,54,32,53,46,52,52,52,54,55,101,45,48,54,10,32,32,
      53,46,53,48,53,57,55,101,45,48,54,32,53,46,53,54,51,57,52,101,45,48,54,32,53,
      46,54,50,55,48,52,101,45,48,54,32,53,46,54,57,54,55,49,101,45,48,54,32,53,46,
      55,54,57,52,55,101,45,48,54,32,53,46,56,52,54,57,53,101,45,48,54,32,53,46,57,
      51,48,50,55,101,45,48,54,10,32,32,54,46,48,50,48,57,56,101,45,48,54,32,54,46,
      49,49,56,53,56,101,45,48,54,32,54,46,50,50,49,50,101,45,48,54,32,54,46,51,51,
      50,54,50,101,45,48,54,32,54,46,52,53,53,57,101,45,48,54,32,54,46,53,56,51,52,
      53,101,45,48,54,32,54,46,55,49,56,57,51,101,45,48,54,10,32,32,54,46,56,55,52,
      52,54,101,45,48,54,32,55,46,48,51,51,56,52,101,45,48,54,32,55,46,49,57,55,54,
      57,101,45,48,54,32,55,46,51,57,51,49,55,101,45,48,54,32,55,46,53,57,50,55,52,
      101,45,48,54,32,55,46,55,57,54,52,52,101,45,48,54,32,56,46,48,51,53,52,50,101,
      45,48,54,10,32,32,56,46,50,56,53,49,49,101,45,48,54,32,56,46,53,52,48,51,56,
      101,45,48,54,32,56,46,56,51,48,55,101,45,48,54,32,57,46,49,52,50,52,51,101,
      45,48,54,32,57,46,52,54,50,53,52,101,45,48,54,32,57,46,56,49,53,48,50,101,45,
      48,54,32,49,46,48,50,48,49,49,101,45,48,53,10,32,32,49,46,48,54,48,48,54,101,
      45,48,53,32,49,46,49,48,50,56,50,101,45,48,53,32,49,46,49,52,57,57,53,101,45,
      48,53,32,49,46,49,57,57,48,55,101,45,48,53,32,49,46,50,53,48,55,53,101,45,48,
      53,32,49,46,51,48,54,57,53,101,45,48,53,32,49,46,51,54,53,56,50,101,45,48,53,
      10,32,32,49,46,52,50,55,53,52,101,45,48,53,32,49,46,52,57,50,53,56,101,45,48,
      53,32,49,46,53,54,48,56,55,101,45,48,53,32,49,46,54,51,50,53,57,101,45,48,53,
      32,49,46,55,48,53,55,53,101,45,48,53,32,49,46,55,56,50,48,54,101,45,48,53,32,
      49,46,56,54,50,48,55,101,45,48,53,10,32,32,49,46,57,52,50,52,56,101,45,48,53,
      32,50,46,48,50,52,57,49,101,45,48,53,32,50,46,49,49,48,57,52,101,45,48,53,32,
      50,46,49,57,55,52,52,101,45,48,53,32,50,46,50,56,52,50,55,101,45,48,53,32,50,
      46,51,55,52,52,52,101,45,48,53,32,50,46,52,54,53,55,56,101,45,48,53,10,32,32,
      50,46,53,53,54,48,51,101,45,48,53,32,50,46,54,52,57,51,49,101,45,48,53,32,50,
      46,55,52,52,55,56,101,45,48,53,32,50,46,56,51,56,54,57,101,45,48,53,32,50,46,
      57,51,53,52,51,101,45,48,53,32,51,46,48,51,53,48,52,101,45,48,53,32,51,46,49,
      51,51,55,53,101,45,48,53,10,32,32,51,46,50,51,53,50,50,101,45,48,53,32,51,46,
      51,51,57,52,55,101,45,48,53,32,51,46,52,56,48,52,51,101,45,48,53,32,51,46,56,
      50,54,52,56,101,45,48,53,32,52,46,51,56,54,56,101,45,48,53,32,53,46,52,52,51,
      49,54,101,45,48,53,32,54,46,54,48,53,54,49,101,45,48,53,10,32,32,55,46,55,54,
      53,56,49,101,45,48,53,32,56,46,56,50,57,57,49,101,45,48,53,32,57,46,55,55,53,
      54,56,101,45,48,53,32,46,48,48,48,49,48,54,52,48,56,32,46,48,48,48,49,49,52,
      56,50,57,32,46,48,48,48,49,50,51,52,56,54,32,46,48,48,48,49,51,50,55,52,49,
      10,32,32,46,48,48,48,49,52,50,56,51,32,46,48,48,48,49,53,51,55,56,56,32,46,
      48,48,48,49,54,56,50,51,32,46,48,48,48,49,56,52,48,55,49,32,46,48,48,48,50,
      48,55,49,50,56,32,46,48,48,48,50,51,49,57,50,32,46,48,48,48,50,53,55,57,54,
      50,32,46,48,48,48,50,57,49,50,52,54,10,32,32,46,48,48,48,51,50,52,50,50,49,
      32,46,48,48,48,51,53,53,56,50,50,32,46,48,48,48,51,57,48,56,48,55,32,46,48,
      48,48,52,50,50,57,54,56,32,46,48,48,48,52,54,50,55,49,53,32,46,48,48,48,53,
      48,49,50,51,55,32,46,48,48,48,53,51,57,56,48,51,32,46,48,48,48,53,56,52,49,
      50,57,10,32,32,46,48,48,48,54,51,53,48,56,57,32,46,48,48,48,54,57,49,52,50,
      56,32,46,48,48,48,55,53,49,54,49,54,32,46,48,48,48,56,49,53,49,51,32,46,48,
      48,48,56,56,54,52,54,32,46,48,48,48,57,53,54,51,51,50,32,46,48,48,49,48,51,
      52,54,53,32,46,48,48,49,49,51,53,51,54,10,32,32,46,48,48,49,50,52,49,55,54,
      32,46,48,48,49,51,50,50,55,49,32,46,48,48,49,52,50,50,57,56,32,46,48,48,49,
      53,52,53,54,56,32,46,48,48,49,54,55,54,52,49,32,46,48,48,49,56,49,50,54,51,
      32,46,48,48,49,57,53,49,56,49,32,46,48,48,50,48,55,49,51,49,10,32,32,46,48,
      48,50,49,55,56,53,54,32,46,48,48,50,51,48,51,48,49,32,46,48,48,50,52,56,48,
      57,54,32,46,48,48,50,54,53,57,53,49,32,46,48,48,50,56,49,49,49,52,32,46,48,
      48,50,57,48,54,56,53,32,46,48,48,50,57,53,56,51,49,32,46,48,48,50,57,51,57,
      51,49,10,32,32,46,48,48,50,56,52,53,57,49,32,46,48,48,50,55,50,49,53,49,32,
      46,48,48,50,54,48,53,48,52,32,46,48,48,50,52,51,49,48,51,32,46,48,48,50,50,
      50,53,54,51,32,46,48,48,49,57,57,50,51,51,32,46,48,48,49,55,57,49,55,50,32,
      46,48,48,49,54,52,48,49,50,10,32,32,46,48,48,49,53,52,48,54,52,32,46,48,48,
      49,52,52,52,55,57,32,46,48,48,49,51,51,49,54,49,32,46,48,48,49,50,49,52,52,
      54,32,46,48,48,48,57,52,48,49,56,55,32,46,48,48,48,54,57,53,55,52,51,32,46,
      48,48,48,53,50,57,57,57,50,32,46,48,48,48,52,50,48,49,50,52,10,32,32,46,48,
      48,48,51,56,53,54,55,32,46,48,48,48,51,48,53,56,53,55,32,46,48,48,48,50,52,
      51,52,49,54,32,46,48,48,48,49,57,52,56,55,50,32,46,48,48,48,49,53,55,50,56,
      56,32,46,48,48,48,49,50,51,55,54,53,32,46,48,48,48,49,48,51,55,55,54,32,56,
      46,55,48,48,52,56,101,45,48,53,10,32,32,54,46,53,48,53,53,101,45,48,53,32,53,
      46,52,52,49,51,52,101,45,48,53,32,52,46,49,48,52,49,50,101,45,48,53,32,51,46,
      48,52,50,51,51,101,45,48,53,32,50,46,53,52,49,49,53,101,45,48,53,32,50,46,49,
      50,48,54,51,101,45,48,53,32,49,46,53,57,49,56,51,101,45,48,53,10,32,32,49,46,
      49,53,56,55,49,101,45,48,53,32,57,46,55,49,48,49,49,101,45,48,54,32,55,46,50,
      57,53,54,55,101,45,48,54,32,54,46,49,50,54,48,55,101,45,48,54,32,52,46,54,48,
      55,57,101,45,48,54,32,51,46,54,53,54,55,54,101,45,48,54,32,52,46,50,50,56,51,
      53,101,45,48,54,10,32,32,51,46,55,51,55,51,101,45,48,54,32,50,46,57,52,55,49,
      57,101,45,48,54,32,50,46,50,54,54,55,55,101,45,48,54,32,49,46,56,50,49,52,52,
      101,45,48,54,32,49,46,52,54,51,54,52,101,45,48,54,32,49,46,49,57,50,56,49,101,
      45,48,54,32,57,46,55,53,49,54,49,101,45,48,55,10,32,32,55,46,56,48,48,49,101,
      45,48,55,32,54,46,51,57,55,49,55,101,45,48,55,32,53,46,49,52,49,51,53,101,45,
      48,55,32,52,46,51,55,55,56,54,101,45,48,55,32,51,46,51,54,56,50,56,101,45,48,
      55,32,50,46,56,54,56,50,53,101,45,48,55,32,50,46,51,52,57,49,101,45,48,55,10,
      32,32,49,46,52,55,53,57,56,101,45,48,55,32,55,46,55,57,48,49,56,101,45,48,56,
      32,52,46,49,55,55,55,53,101,45,48,56,32,49,46,57,49,56,50,56,101,45,48,56,32,
      56,46,56,49,50,56,50,101,45,48,57,32,51,46,52,54,55,56,57,101,45,48,57,32,49,
      46,53,57,53,48,49,101,45,48,57,10,32,32,52,46,54,48,56,48,49,101,45,49,48,32,
      49,46,52,49,49,51,52,101,45,49,48,32,54,46,49,52,48,53,52,101,45,49,49,32,50,
      46,52,50,52,52,53,101,45,49,49,32,55,46,48,50,55,55,57,101,45,49,50,32,50,46,
      51,55,57,56,54,101,45,49,50,32,56,46,48,54,52,49,49,101,45,49,51,10,32,32,50,
      46,51,52,50,54,55,101,45,49,51,32,54,46,56,49,48,50,54,101,45,49,52,32,50,46,
      51,49,49,54,53,101,45,49,52,32,55,46,56,53,48,51,101,45,49,53,32,50,46,54,54,
      54,56,50,101,45,49,53,32,55,46,50,57,49,56,56,101,45,49,54,32,49,46,56,49,55,
      51,52,101,45,49,54,10,32,32,51,46,56,56,52,52,53,101,45,49,55,32,57,46,54,57,
      51,57,57,101,45,49,56,32,50,46,48,54,53,52,50,101,45,49,56,32,53,46,49,53,56,
      57,57,101,45,49,57,32,49,46,50,56,53,53,52,101,45,49,57,32,50,46,55,50,53,57,
      101,45,50,48,32,53,46,48,50,50,54,52,101,45,50,49,10,32,32,49,46,52,48,48,54,
      56,101,45,50,49,32,48,114,49,48,53,32,49,46,51,56,54,56,49,101,45,49,53,32,
      50,46,50,50,57,53,49,101,45,49,52,32,49,46,49,51,48,51,57,101,45,49,51,32,49,
      46,51,56,54,52,52,101,45,49,51,32,50,46,50,50,56,51,54,101,45,49,50,32,49,46,
      49,50,57,53,51,101,45,49,49,10,32,32,51,46,53,54,52,57,51,101,45,49,49,32,56,
      46,54,56,57,49,54,101,45,49,49,32,49,46,56,48,49,50,49,101,45,49,48,32,51,46,
      53,56,56,54,49,101,45,49,48,32,54,46,50,50,50,51,50,101,45,49,48,32,57,46,57,
      53,49,49,55,101,45,49,48,32,49,46,53,49,51,57,57,101,45,48,57,10,32,32,50,46,
      50,49,50,55,50,101,45,48,57,32,51,46,49,50,56,53,52,101,45,48,57,32,52,46,51,
      48,49,54,55,101,45,48,57,32,53,46,55,55,54,55,55,101,45,48,57,32,55,46,54,48,
      48,56,56,101,45,48,57,32,57,46,56,50,52,50,50,101,45,48,57,32,49,46,50,53,48,
      51,51,101,45,48,56,10,32,32,49,46,53,55,53,48,49,101,45,48,56,32,49,46,57,53,
      50,54,49,101,45,48,56,32,50,46,51,57,54,50,49,101,45,48,56,32,50,46,57,48,56,
      55,53,101,45,48,56,32,51,46,52,57,57,48,54,101,45,48,56,32,52,46,49,55,50,56,
      53,101,45,48,56,32,52,46,57,51,56,52,50,101,45,48,56,10,32,32,53,46,56,48,52,
      50,54,101,45,48,56,32,54,46,55,55,50,51,57,101,45,48,56,32,55,46,56,53,49,57,
      54,101,45,48,56,32,57,46,48,53,51,57,53,101,45,48,56,32,49,46,48,51,55,52,57,
      101,45,48,55,32,49,46,49,56,49,56,54,101,45,48,55,32,49,46,51,52,48,52,49,101,
      45,48,55,10,32,32,49,46,53,49,50,50,101,45,48,55,32,49,46,54,57,53,55,51,101,
      45,48,55,32,49,46,56,57,52,54,52,101,45,48,55,32,50,46,49,48,56,50,101,45,48,
      55,32,50,46,51,51,48,50,56,101,45,48,55,32,50,46,53,54,56,50,53,101,45,48,55,
      32,50,46,56,50,50,54,51,101,45,48,55,10,32,32,51,46,48,55,57,55,53,101,45,48,
      55,32,51,46,51,53,50,52,54,101,45,48,55,32,51,46,54,52,49,50,56,101,45,48,55,
      32,51,46,57,51,49,48,54,101,45,48,55,32,52,46,50,51,51,48,49,101,45,48,55,32,
      52,46,53,53,48,50,57,101,45,48,55,32,52,46,56,54,57,48,49,101,45,48,55,10,32,
      32,53,46,49,57,53,52,49,101,45,48,55,32,53,46,53,51,54,52,52,101,45,48,55,32,
      53,46,56,56,49,55,101,45,48,55,32,54,46,50,51,48,55,55,101,45,48,55,32,54,46,
      53,57,52,49,101,45,48,55,32,54,46,57,54,53,51,49,101,45,48,55,32,55,46,51,51,
      55,56,101,45,48,55,10,32,32,55,46,55,50,52,52,57,101,45,48,55,32,56,46,49,50,
      50,55,52,101,45,48,55,32,56,46,53,50,49,56,56,101,45,48,55,32,56,46,57,51,53,
      51,53,101,45,48,55,32,57,46,51,54,51,51,51,101,45,48,55,32,57,46,55,57,50,49,
      52,101,45,48,55,32,49,46,48,50,51,53,54,101,45,48,54,10,32,32,49,46,48,54,57,
      52,49,101,45,48,54,32,49,46,49,49,53,53,54,101,45,48,54,32,49,46,49,54,51,101,
      45,48,54,32,49,46,50,49,49,57,56,101,45,48,54,32,49,46,50,54,49,50,50,101,45,
      48,54,32,49,46,51,49,49,52,101,45,48,54,32,49,46,51,54,51,49,52,101,45,48,54,
      10,32,32,49,46,52,49,52,57,53,101,45,48,54,32,49,46,52,54,54,56,54,101,45,48,
      54,32,49,46,53,50,48,51,54,101,45,48,54,32,49,46,53,55,51,56,50,101,45,48,54,
      32,49,46,54,50,53,55,55,101,45,48,54,32,49,46,54,55,57,51,49,101,45,48,54,32,
      49,46,55,51,51,50,101,45,48,54,10,32,32,49,46,55,56,50,57,49,101,45,48,54,32,
      49,46,56,51,52,50,55,101,45,48,54,32,49,46,56,56,55,49,54,101,45,48,54,32,49,
      46,57,51,50,50,56,101,45,48,54,32,49,46,57,55,57,50,101,45,48,54,32,50,46,48,
      50,55,56,57,101,45,48,54,32,50,46,48,54,56,51,55,101,45,48,54,10,32,32,50,46,
      49,48,57,49,101,45,48,54,32,50,46,49,53,49,56,56,101,45,48,54,32,50,46,49,56,
      55,53,56,101,45,48,54,32,50,46,50,50,49,52,56,101,45,48,54,32,50,46,50,53,55,
      56,49,101,45,48,54,32,50,46,50,56,57,51,54,101,45,48,54,32,50,46,51,49,55,48,
      55,101,45,48,54,10,32,32,50,46,51,52,55,54,54,101,45,48,54,32,50,46,51,55,54,
      52,101,45,48,54,32,50,46,51,57,57,56,101,45,48,54,32,50,46,52,50,54,52,53,101,
      45,48,54,32,50,46,52,53,52,48,55,101,45,48,54,32,50,46,52,55,53,56,101,45,48,
      54,32,50,46,53,48,48,57,56,101,45,48,54,10,32,32,50,46,53,50,57,50,50,101,45,
      48,54,32,50,46,53,53,50,50,50,101,45,48,54,32,50,46,53,55,56,54,55,101,45,48,
      54,32,50,46,54,48,56,51,49,101,45,48,54,32,50,46,54,51,54,51,57,101,45,48,54,
      32,50,46,54,54,54,56,52,101,45,48,54,32,50,46,55,48,48,51,50,101,45,48,54,10,
      32,32,50,46,55,51,53,50,51,101,45,48,54,32,50,46,55,55,50,51,101,45,48,54,32,
      50,46,56,49,50,48,55,101,45,48,54,32,50,46,56,53,53,50,54,101,45,48,54,32,50,
      46,57,48,49,54,52,101,45,48,54,32,50,46,57,53,48,51,52,101,45,48,54,32,51,46,
      48,48,51,49,51,101,45,48,54,10,32,32,51,46,48,54,49,52,49,101,45,48,54,32,51,
      46,49,50,49,54,54,101,45,48,54,32,51,46,49,56,53,54,101,45,48,54,32,51,46,50,
      53,56,56,52,101,45,48,54,32,51,46,51,51,51,56,55,101,45,48,54,32,51,46,52,49,
      48,57,56,101,45,48,54,32,51,46,53,48,50,55,56,101,45,48,54,10,32,32,51,46,53,
      57,54,52,56,101,45,48,54,32,51,46,54,57,50,49,101,45,48,54,32,51,46,56,48,52,
      49,101,45,48,54,32,51,46,57,50,49,48,53,101,45,48,54,32,52,46,48,52,48,53,56,
      101,45,48,54,32,52,46,49,55,54,51,57,101,45,48,54,32,52,46,51,50,50,49,49,101,
      45,48,54,10,32,32,52,46,52,55,49,54,57,101,45,48,54,32,52,46,54,51,54,50,54,
      101,45,48,54,32,52,46,56,49,54,51,55,101,45,48,54,32,53,46,48,48,50,54,51,101,
      45,48,54,32,53,46,50,48,49,56,55,101,45,48,54,32,53,46,52,50,49,50,54,101,45,
      48,54,32,53,46,54,52,57,55,56,101,45,48,54,10,32,32,53,46,56,57,48,48,54,101,
      45,48,54,32,54,46,49,53,49,50,49,101,45,48,54,32,54,46,52,50,52,54,101,45,48,
      54,32,54,46,55,49,49,48,57,101,45,48,54,32,55,46,48,49,50,57,49,101,45,48,54,
      32,55,46,51,50,57,54,57,101,45,48,54,32,55,46,54,54,50,51,101,45,48,54,10,32,
      32,56,46,48,48,49,53,55,101,45,48,54,32,56,46,51,53,53,52,101,45,48,54,32,56,
      46,55,50,54,52,51,101,45,48,54,32,57,46,48,57,57,52,57,101,45,48,54,32,57,46,
      52,56,49,57,54,101,45,48,54,32,57,46,56,56,49,51,50,101,45,48,54,32,49,46,48,
      50,56,51,49,101,45,48,53,10,32,32,49,46,48,54,56,54,55,101,45,48,53,32,49,46,
      49,49,48,54,49,101,45,48,53,32,49,46,49,53,51,49,50,101,45,48,53,32,49,46,49,
      57,53,49,54,101,45,48,53,32,49,46,50,51,56,54,54,101,45,48,53,32,49,46,50,56,
      51,50,101,45,48,53,32,49,46,51,50,55,48,55,101,45,48,53,10,32,32,49,46,51,55,
      50,51,101,45,48,53,32,49,46,52,49,56,57,50,101,45,48,53,32,49,46,52,54,53,49,
      54,101,45,48,53,32,49,46,53,49,50,55,52,101,45,48,53,32,49,46,53,54,49,54,56,
      101,45,48,53,32,49,46,54,50,55,57,53,101,45,48,53,32,49,46,55,57,49,49,56,101,
      45,48,53,10,32,32,50,46,48,53,55,49,56,101,45,48,53,32,50,46,53,54,53,49,49,
      101,45,48,53,32,51,46,49,51,53,50,54,101,45,48,53,32,51,46,55,49,52,55,55,101,
      45,48,53,32,52,46,50,53,48,57,55,101,45,48,53,32,52,46,55,50,54,54,54,101,45,
      48,53,32,53,46,49,53,57,53,57,101,45,48,53,10,32,32,53,46,53,56,48,55,52,101,
      45,48,53,32,54,46,48,49,55,101,45,48,53,32,54,46,52,56,57,51,53,101,45,48,53,
      32,55,46,48,49,49,49,55,101,45,48,53,32,55,46,53,56,56,50,52,101,45,48,53,32,
      56,46,51,54,52,49,55,101,45,48,53,32,57,46,50,51,53,57,57,101,45,48,53,10,32,
      32,46,48,48,48,49,48,53,52,55,51,32,46,48,48,48,49,50,48,49,54,56,32,46,48,
      48,48,49,51,54,51,49,54,32,46,48,48,48,49,53,56,49,50,55,32,46,48,48,48,49,
      56,49,49,48,57,32,46,48,48,48,50,48,52,49,52,56,32,46,48,48,48,50,51,48,49,
      57,54,32,46,48,48,48,50,53,51,54,50,49,10,32,32,46,48,48,48,50,56,49,52,50,
      50,32,46,48,48,48,51,48,55,56,49,53,32,46,48,48,48,51,51,52,55,55,53,32,46,
      48,48,48,51,54,55,53,54,57,32,46,48,48,48,52,48,56,50,57,49,32,46,48,48,48,
      52,53,54,54,49,52,32,46,48,48,48,53,49,48,57,55,56,32,46,48,48,48,53,55,48,
      53,56,10,32,32,46,48,48,48,54,51,56,53,50,57,32,46,48,48,48,55,48,52,51,55,
      56,32,46,48,48,48,55,55,53,54,49,50,32,46,48,48,48,56,54,50,54,56,51,32,46,
      48,48,48,57,53,53,54,49,54,32,46,48,48,49,48,50,56,55,50,32,46,48,48,49,49,
      50,51,54,49,32,46,48,48,49,50,52,51,50,57,10,32,32,46,48,48,49,51,55,48,57,
      55,32,46,48,48,49,53,48,49,56,53,32,46,48,48,49,54,51,52,51,50,32,46,48,48,
      49,55,52,56,48,56,32,46,48,48,49,56,53,48,52,50,32,46,48,48,49,57,54,54,55,
      54,32,46,48,48,50,49,50,55,56,52,32,46,48,48,50,50,56,55,50,55,10,32,32,46,
      48,48,50,52,50,53,51,49,32,46,48,48,50,53,49,53,56,54,32,46,48,48,50,53,55,
      49,49,56,32,46,48,48,50,53,55,50,48,56,32,46,48,48,50,53,48,55,57,32,46,48,
      48,50,52,49,51,54,49,32,46,48,48,50,51,50,49,54,50,32,46,48,48,50,49,56,48,
      49,51,32,46,48,48,50,48,48,55,57,53,10,32,32,46,48,48,49,56,48,56,49,55,32,
      46,48,48,49,54,51,52,48,53,32,46,48,48,49,53,48,49,54,56,32,46,48,48,49,52,
      49,52,55,56,32,46,48,48,49,51,51,48,52,56,32,46,48,48,49,50,50,57,55,56,32,
      46,48,48,49,49,50,52,53,50,32,46,48,48,48,56,55,53,54,50,54,10,32,32,46,48,
      48,48,54,53,49,53,57,54,32,46,48,48,48,52,57,56,53,49,49,32,46,48,48,48,51,
      57,54,53,51,54,32,46,48,48,48,51,54,52,53,56,55,32,46,48,48,48,50,56,57,57,
      55,54,32,46,48,48,48,50,51,49,51,54,56,32,46,48,48,48,49,56,53,54,52,51,32,
      46,48,48,48,49,53,48,49,51,54,10,32,32,46,48,48,48,49,49,56,51,55,57,32,57,
      46,57,51,57,56,49,101,45,48,53,32,56,46,51,52,52,50,54,101,45,48,53,32,54,46,
      50,53,49,53,101,45,48,53,32,53,46,50,51,52,55,51,101,45,48,53,32,51,46,57,53,
      52,56,101,45,48,53,32,50,46,57,51,54,51,52,101,45,48,53,10,32,32,50,46,52,53,
      52,56,50,101,45,48,53,32,50,46,48,53,48,51,53,101,45,48,53,32,49,46,53,52,49,
      48,52,101,45,48,53,32,49,46,49,50,51,49,57,101,45,48,53,32,57,46,52,49,56,55,
      57,101,45,48,54,32,55,46,48,56,52,49,49,101,45,48,54,32,53,46,57,53,50,48,52,
      101,45,48,54,10,32,32,52,46,52,56,49,50,101,45,48,54,32,51,46,53,53,56,57,52,
      101,45,48,54,32,52,46,48,54,51,55,56,101,45,48,54,32,51,46,53,57,50,56,50,101,
      45,48,54,32,50,46,56,51,52,54,55,101,45,48,54,32,50,46,49,56,49,51,56,101,45,
      48,54,32,49,46,55,53,51,53,55,101,45,48,54,10,32,32,49,46,52,48,57,54,56,101,
      45,48,54,32,49,46,49,52,57,50,52,101,45,48,54,32,57,46,51,57,56,53,55,101,45,
      48,55,32,55,46,53,50,48,51,56,101,45,48,55,32,54,46,49,54,57,54,53,101,45,48,
      55,32,52,46,57,54,48,49,101,45,48,55,32,52,46,50,50,52,53,101,45,48,55,10,32,
      32,51,46,50,53,49,52,55,101,45,48,55,32,50,46,55,54,57,51,56,101,45,48,55,32,
      50,46,50,54,56,55,101,45,48,55,32,49,46,52,50,54,50,55,101,45,48,55,32,55,46,
      53,51,51,50,54,101,45,48,56,32,52,46,48,52,50,54,51,101,45,48,56,32,49,46,56,
      53,55,54,101,45,48,56,10,32,32,56,46,53,51,57,57,53,101,45,48,57,32,51,46,51,
      54,51,48,52,101,45,48,57,32,49,46,53,52,55,54,57,101,45,48,57,32,52,46,52,55,
      53,49,49,101,45,49,48,32,49,46,51,55,49,55,53,101,45,49,48,32,53,46,57,55,49,
      53,57,101,45,49,49,32,50,46,51,53,57,48,57,101,45,49,49,10,32,32,54,46,56,52,
      51,55,101,45,49,50,32,50,46,51,49,57,101,45,49,50,32,55,46,56,54,50,50,57,101,
      45,49,51,32,50,46,50,56,53,53,52,101,45,49,51,32,54,46,54,52,56,52,51,101,45,
      49,52,32,50,46,50,53,55,56,49,101,45,49,52,32,55,46,54,55,49,48,57,101,45,49,
      53,10,32,32,50,46,54,48,55,52,52,101,45,49,53,32,55,46,49,52,49,53,101,45,49,
      54,32,49,46,55,56,48,57,49,101,45,49,54,32,51,46,56,48,56,57,51,101,45,49,55,
      32,57,46,53,49,49,48,56,101,45,49,56,32,50,46,48,50,55,56,50,101,45,49,56,32,
      53,46,48,54,55,51,51,101,45,49,57,10,32,32,49,46,50,54,50,57,53,101,45,49,57,
      32,50,46,54,55,55,54,57,101,45,50,48,32,52,46,57,50,54,50,55,101,45,50,49,32,
      49,46,51,55,52,53,55,101,45,50,49,32,48,114,49,48,53,32,49,46,48,53,48,55,55,
      101,45,49,53,32,49,46,54,56,57,50,54,101,45,49,52,32,56,46,53,54,52,55,49,101,
      45,49,52,10,32,32,49,46,48,53,48,52,55,101,45,49,51,32,49,46,54,56,56,51,101,
      45,49,50,32,56,46,53,53,55,49,101,45,49,50,32,50,46,55,48,48,51,51,101,45,49,
      49,32,54,46,53,56,101,45,49,49,32,49,46,51,54,51,51,53,101,45,49,48,32,50,46,
      53,50,48,56,101,45,49,48,32,52,46,50,57,52,48,56,101,45,49,48,10,32,32,55,46,
      48,48,54,52,49,101,45,49,48,32,49,46,48,56,53,50,56,101,45,48,57,32,49,46,53,
      56,53,54,57,101,45,48,57,32,50,46,50,52,49,50,49,101,45,48,57,32,51,46,48,56,
      48,52,52,101,45,48,57,32,52,46,49,51,53,48,52,101,45,48,57,32,53,46,52,51,56,
      51,51,101,45,48,57,10,32,32,55,46,48,50,53,55,55,101,45,48,57,32,56,46,57,51,
      55,50,53,101,45,48,57,32,49,46,49,50,49,49,53,101,45,48,56,32,49,46,51,56,57,
      49,56,101,45,48,56,32,49,46,55,48,50,50,55,101,45,48,56,32,50,46,48,54,53,49,
      51,101,45,48,56,32,50,46,52,56,50,54,57,101,45,48,56,10,32,32,50,46,57,54,49,
      51,50,101,45,48,56,32,51,46,53,48,50,50,56,101,45,48,56,32,52,46,49,49,56,49,
      55,101,45,48,56,32,52,46,56,48,49,55,49,101,45,48,56,32,53,46,53,54,51,49,54,
      101,45,48,56,32,54,46,52,49,48,48,55,101,45,48,56,32,55,46,51,51,57,56,53,101,
      45,48,56,10,32,32,56,46,51,53,53,49,50,101,45,48,56,32,57,46,52,54,56,56,52,
      101,45,48,56,32,49,46,48,54,55,52,53,101,45,48,55,32,49,46,49,57,54,49,51,101,
      45,48,55,32,49,46,51,51,53,52,55,101,45,48,55,32,49,46,52,56,52,57,51,101,45,
      48,55,32,49,46,54,52,48,50,54,101,45,48,55,10,32,32,49,46,56,48,54,53,53,101,
      45,48,55,32,49,46,57,56,52,49,53,101,45,48,55,32,50,46,49,54,51,54,51,101,45,
      48,55,32,50,46,51,53,51,56,54,101,45,48,55,32,50,46,53,53,53,49,55,101,45,48,
      55,32,50,46,55,53,55,49,55,101,45,48,55,32,50,46,57,54,55,53,52,101,45,48,55,
      10,32,32,51,46,49,56,56,52,56,101,45,48,55,32,51,46,52,49,48,52,52,101,45,48,
      55,32,51,46,54,51,55,55,50,101,45,48,55,32,51,46,56,55,53,48,56,101,45,48,55,
      32,52,46,49,49,53,52,101,45,48,55,32,52,46,51,53,56,52,50,101,45,48,55,32,52,
      46,54,49,49,50,54,101,45,48,55,10,32,32,52,46,56,54,57,53,57,101,45,48,55,32,
      53,46,49,50,56,57,49,101,45,48,55,32,53,46,51,57,56,48,49,101,45,48,55,32,53,
      46,54,55,53,49,49,101,45,48,55,32,53,46,57,53,50,57,51,101,45,48,55,32,54,46,
      50,52,48,54,53,101,45,48,55,32,54,46,53,51,56,51,56,101,45,48,55,10,32,32,54,
      46,56,51,54,56,49,101,45,48,55,32,55,46,49,52,53,51,54,101,45,48,55,32,55,46,
      52,54,52,50,54,101,45,48,55,32,55,46,55,56,53,51,55,101,45,48,55,32,56,46,49,
      49,53,51,56,101,45,48,55,32,56,46,52,53,53,57,56,101,45,48,55,32,56,46,55,57,
      56,53,56,101,45,48,55,10,32,32,57,46,49,52,55,54,57,101,45,48,55,32,57,46,53,
      48,55,53,55,101,45,48,55,32,57,46,56,54,56,48,52,101,45,48,55,32,49,46,48,50,
      50,57,52,101,45,48,54,32,49,46,48,54,48,49,55,101,45,48,54,32,49,46,48,57,55,
      52,101,45,48,54,32,49,46,49,51,51,54,49,101,45,48,54,10,32,32,49,46,49,55,48,
      57,51,101,45,48,54,32,49,46,50,48,56,52,57,101,45,48,54,32,49,46,50,52,51,50,
      53,101,45,48,54,32,49,46,50,55,57,49,52,101,45,48,54,32,49,46,51,49,54,48,56,
      101,45,48,54,32,49,46,51,52,55,55,55,101,45,48,54,32,49,46,51,56,48,54,57,101,
      45,48,54,10,32,32,49,46,52,49,52,56,52,101,45,48,54,32,49,46,52,52,51,52,50,
      101,45,48,54,32,49,46,52,55,50,49,57,101,45,48,54,32,49,46,53,48,50,51,54,101,
      45,48,54,32,49,46,53,50,55,55,50,101,45,48,54,32,49,46,53,53,49,56,54,101,45,
      48,54,32,49,46,53,55,55,54,54,101,45,48,54,10,32,32,49,46,54,48,48,50,49,101,
      45,48,54,32,49,46,54,50,48,49,51,101,45,48,54,32,49,46,54,52,50,48,50,101,45,
      48,54,32,49,46,54,54,50,54,52,101,45,48,54,32,49,46,54,55,57,54,101,45,48,54,
      32,49,46,54,57,56,55,56,101,45,48,54,32,49,46,55,49,56,54,101,45,48,54,10,32,
      32,49,46,55,51,52,51,56,101,45,48,54,32,49,46,55,53,50,53,49,101,45,48,54,32,
      49,46,55,55,50,55,51,101,45,48,54,32,49,46,55,56,57,51,51,101,45,48,54,32,49,
      46,56,48,56,50,55,101,45,48,54,32,49,46,56,50,57,52,101,45,48,54,32,49,46,56,
      52,57,52,52,101,45,48,54,10,32,32,49,46,56,55,49,49,101,45,48,54,32,49,46,56,
      57,52,56,50,101,45,48,54,32,49,46,57,49,57,53,101,45,48,54,32,49,46,57,52,53,
      54,55,101,45,48,54,32,49,46,57,55,51,54,57,101,45,48,54,32,50,46,48,48,52,48,
      52,101,45,48,54,32,50,46,48,51,54,53,56,101,45,48,54,10,32,32,50,46,48,55,48,
      55,50,101,45,48,54,32,50,46,49,48,55,54,54,101,45,48,54,32,50,46,49,52,56,51,
      57,101,45,48,54,32,50,46,49,57,48,52,55,101,45,48,54,32,50,46,50,51,53,48,56,
      101,45,48,54,32,50,46,50,56,54,49,50,101,45,48,54,32,50,46,51,51,56,51,56,101,
      45,48,54,10,32,32,50,46,51,57,50,48,54,101,45,48,54,32,50,46,52,53,53,56,57,
      101,45,48,54,32,50,46,53,50,49,48,50,101,45,48,54,32,50,46,53,56,55,52,54,101,
      45,48,54,32,50,46,54,54,53,50,49,101,45,48,54,32,50,46,55,52,54,51,53,101,45,
      48,54,32,50,46,56,50,57,50,53,101,45,48,54,10,32,32,50,46,57,50,51,51,54,101,
      45,48,54,32,51,46,48,50,52,50,57,101,45,48,54,32,51,46,49,50,55,56,52,101,45,
      48,54,32,51,46,50,52,49,54,55,101,45,48,54,32,51,46,51,54,54,49,55,101,45,48,
      54,32,51,46,52,57,52,56,51,101,45,48,54,32,51,46,54,51,50,51,52,101,45,48,54,
      10,32,32,51,46,55,56,51,54,49,101,45,48,54,32,51,46,57,52,49,48,53,101,45,48,
      54,32,52,46,49,48,54,52,53,101,45,48,54,32,52,46,50,56,54,101,45,48,54,32,52,
      46,52,55,51,55,56,101,45,48,54,32,52,46,54,55,48,51,54,101,45,48,54,32,52,46,
      56,55,55,50,49,101,45,48,54,10,32,32,53,46,48,57,52,48,56,101,45,48,54,32,53,
      46,51,50,49,53,49,101,45,48,54,32,53,46,53,53,51,50,51,101,45,48,54,32,53,46,
      55,57,52,54,52,101,45,48,54,32,54,46,48,52,55,52,54,101,45,48,54,32,54,46,51,
      48,49,52,51,101,45,48,54,32,54,46,53,54,49,53,51,101,45,48,54,10,32,32,54,46,
      56,51,50,56,101,45,48,54,32,55,46,49,48,53,53,101,45,48,54,32,55,46,51,55,57,
      49,54,101,45,48,54,32,55,46,54,54,51,50,57,101,45,48,54,32,55,46,57,53,49,48,
      50,101,45,48,54,32,56,46,50,51,53,52,49,101,45,48,54,32,56,46,53,50,57,51,51,
      101,45,48,54,10,32,32,56,46,56,51,48,48,55,101,45,48,54,32,57,46,49,50,54,50,
      50,101,45,48,54,32,57,46,52,51,49,51,50,101,45,48,54,32,57,46,55,52,53,52,52,
      101,45,48,54,32,49,46,48,48,53,54,56,101,45,48,53,32,49,46,48,51,55,55,49,101,
      45,48,53,32,49,46,48,55,48,54,50,101,45,48,53,10,32,32,49,46,49,49,53,49,53,
      101,45,48,53,32,49,46,50,50,52,54,55,101,45,48,53,32,49,46,52,48,50,54,49,101,
      45,48,53,32,49,46,55,52,48,57,54,101,45,48,53,32,50,46,49,49,57,52,52,101,45,
      48,53,32,50,46,53,48,51,56,54,101,45,48,53,32,50,46,56,54,48,49,49,101,45,48,
      53,10,32,32,51,46,49,55,54,55,56,101,45,48,53,32,51,46,52,54,53,52,52,101,45,
      48,53,32,51,46,55,52,54,52,101,45,48,53,32,52,46,48,51,55,51,54,101,45,48,53,
      32,52,46,51,53,50,50,101,45,48,53,32,52,46,54,57,57,55,101,45,48,53,32,53,46,
      48,56,52,48,53,101,45,48,53,10,32,32,53,46,54,48,49,49,49,101,45,48,53,32,54,
      46,49,56,51,101,45,48,53,32,55,46,48,54,49,55,57,101,45,48,53,32,56,46,48,53,
      51,50,57,101,45,48,53,32,57,46,49,53,51,50,57,101,45,48,53,32,46,48,48,48,49,
      48,54,54,48,57,32,46,48,48,48,49,50,50,55,57,56,10,32,32,46,48,48,48,49,51,
      57,51,49,56,32,46,48,48,48,49,53,56,50,53,52,32,46,48,48,48,49,55,53,50,56,
      51,32,46,48,48,48,49,57,53,51,52,52,32,46,48,48,48,50,49,52,50,57,55,32,46,
      48,48,48,50,51,51,56,49,55,32,46,48,48,48,50,53,56,48,54,56,32,46,48,48,48,
      50,56,57,48,51,52,10,32,32,46,48,48,48,51,50,54,56,56,57,32,46,48,48,48,51,
      55,48,54,52,53,32,46,48,48,48,52,49,57,56,54,54,32,46,48,48,48,52,55,55,48,
      56,54,32,46,48,48,48,53,51,51,48,51,57,32,46,48,48,48,53,57,51,50,50,57,32,
      46,48,48,48,54,54,53,54,53,57,32,46,48,48,48,55,52,51,55,54,52,10,32,32,46,
      48,48,48,56,48,54,54,55,55,32,46,48,48,48,56,57,48,57,48,52,32,46,48,48,49,
      48,48,48,51,32,46,48,48,49,49,49,56,56,54,32,46,48,48,49,50,52,48,56,51,32,
      46,48,48,49,51,54,52,55,56,32,46,48,48,49,52,55,49,56,53,32,46,48,48,49,53,
      54,56,53,53,10,32,32,46,48,48,49,54,55,54,54,49,32,46,48,48,49,56,50,49,57,
      55,32,46,48,48,49,57,54,51,57,56,32,46,48,48,50,48,56,57,49,51,32,46,48,48,
      50,49,55,52,48,55,32,46,48,48,50,50,51,49,50,53,32,46,48,48,50,50,52,55,48,
      57,32,46,48,48,50,50,48,54,50,57,10,32,32,46,48,48,50,49,51,54,55,53,32,46,
      48,48,50,48,54,53,50,55,32,46,48,48,49,57,53,49,52,55,32,46,48,48,49,56,48,
      56,49,49,32,46,48,48,49,54,51,55,56,52,32,46,48,48,49,52,56,55,51,55,32,46,
      48,48,49,51,55,50,50,57,32,46,48,48,49,50,57,54,55,50,10,32,32,46,48,48,49,
      50,50,50,56,57,32,46,48,48,49,49,51,51,53,57,32,46,48,48,49,48,51,57,50,56,
      32,46,48,48,48,56,49,52,48,51,51,32,46,48,48,48,54,48,57,49,57,57,32,46,48,
      48,48,52,54,56,49,49,50,32,46,48,48,48,51,55,51,54,54,52,32,46,48,48,48,51,
      52,52,49,48,53,10,32,32,46,48,48,48,50,55,52,52,57,51,32,46,48,48,48,50,49,
      57,53,56,54,32,46,48,48,48,49,55,54,53,57,54,32,46,48,48,48,49,52,51,49,48,
      57,32,46,48,48,48,49,49,51,48,55,51,32,57,46,53,48,55,54,50,101,45,48,53,32,
      55,46,57,57,50,49,52,101,45,48,53,32,53,46,57,57,57,56,57,101,45,48,53,10,32,
      32,53,46,48,50,57,56,51,101,45,48,53,32,51,46,56,48,54,52,54,101,45,48,53,32,
      50,46,56,51,48,56,54,101,45,48,53,32,50,46,51,54,56,56,50,101,45,48,53,32,49,
      46,57,56,48,50,55,101,45,48,53,32,49,46,52,57,48,51,49,101,45,48,53,32,49,46,
      48,56,55,54,56,101,45,48,53,10,32,32,57,46,49,50,55,51,56,101,45,48,54,32,54,
      46,56,55,50,50,51,101,45,48,54,32,53,46,55,55,55,53,52,101,45,48,54,32,52,46,
      51,53,51,57,101,45,48,54,32,51,46,52,54,50,52,56,101,45,48,54,32,51,46,57,48,
      50,56,54,101,45,48,54,32,51,46,52,53,49,52,55,101,45,48,54,10,32,32,50,46,55,
      50,52,53,101,45,48,54,32,50,46,48,57,55,54,56,101,45,48,54,32,49,46,54,56,54,
      57,56,101,45,48,54,32,49,46,51,53,54,54,55,101,45,48,54,32,49,46,49,48,54,52,
      51,101,45,48,54,32,57,46,48,53,49,53,56,101,45,48,55,32,55,46,50,52,53,52,52,
      101,45,48,55,10,32,32,53,46,57,52,53,57,57,101,45,48,55,32,52,46,55,56,49,57,
      51,101,45,48,55,32,52,46,48,55,51,55,52,101,45,48,55,32,51,46,49,51,54,54,52,
      101,45,48,55,32,50,46,54,55,50,49,56,101,45,48,55,32,50,46,49,56,57,55,101,
      45,48,55,32,49,46,51,55,55,52,54,101,45,48,55,10,32,32,55,46,50,56,49,50,53,
      101,45,48,56,32,51,46,57,49,48,49,56,101,45,48,56,32,49,46,55,57,56,50,52,101,
      45,48,56,32,56,46,50,55,51,52,101,45,48,57,32,51,46,50,54,48,56,52,101,45,48,
      57,32,49,46,53,48,49,54,50,101,45,48,57,32,52,46,51,52,53,57,51,101,45,49,48,
      10,32,32,49,46,51,51,51,49,52,101,45,49,48,32,53,46,56,48,54,49,56,101,45,49,
      49,32,50,46,50,57,52,56,57,101,45,49,49,32,54,46,54,54,49,51,57,101,45,49,50,
      32,50,46,50,53,56,51,56,101,45,49,50,32,55,46,54,54,48,55,52,101,45,49,51,32,
      50,46,50,50,55,57,56,101,45,49,51,10,32,32,54,46,52,56,51,57,49,101,45,49,52,
      32,50,46,50,48,50,56,55,101,45,49,52,32,55,46,52,56,55,48,51,101,45,49,53,32,
      50,46,53,52,53,54,54,101,45,49,53,32,54,46,57,56,48,53,56,101,45,49,54,32,49,
      46,55,52,49,56,56,101,45,49,54,32,51,46,55,50,55,53,52,101,45,49,55,10,32,32,
      57,46,51,49,48,57,50,101,45,49,56,32,49,46,57,56,53,55,51,101,45,49,56,32,52,
      46,57,54,52,56,51,101,45,49,57,32,49,46,50,51,55,57,51,101,45,49,57,32,50,46,
      54,50,52,53,49,101,45,50,48,32,52,46,56,50,48,55,51,101,45,50,49,32,49,46,51,
      52,53,53,52,101,45,50,49,10,32,32,48,114,49,48,53,32,56,46,53,49,51,50,52,101,
      45,49,54,32,49,46,51,54,56,54,50,101,45,49,52,32,54,46,57,51,57,48,49,101,45,
      49,52,32,56,46,53,49,48,55,55,101,45,49,52,32,49,46,51,54,55,55,56,101,45,49,
      50,32,54,46,57,51,50,49,55,101,45,49,50,32,50,46,49,56,55,51,55,101,45,49,49,
      10,32,32,53,46,51,50,57,52,56,101,45,49,49,32,49,46,49,48,52,48,57,101,45,49,
      48,32,50,46,48,52,48,57,55,101,45,49,48,32,51,46,52,55,53,53,54,101,45,49,48,
      32,53,46,53,53,53,56,53,101,45,49,48,32,56,46,52,52,57,49,56,101,45,49,48,32,
      49,46,50,51,52,51,53,101,45,48,57,10,32,32,49,46,55,55,49,54,56,101,45,48,57,
      32,50,46,52,51,52,54,49,101,45,48,57,32,51,46,50,54,55,51,52,101,45,48,57,32,
      52,46,50,57,54,48,51,101,45,48,57,32,53,46,53,52,56,52,57,101,45,48,57,32,55,
      46,48,53,53,57,54,101,45,48,57,32,56,46,56,52,56,55,57,101,45,48,57,10,32,32,
      49,46,48,57,54,48,55,101,45,48,56,32,49,46,51,52,50,54,53,101,45,48,56,32,49,
      46,54,50,56,50,57,101,45,48,56,32,49,46,57,53,54,56,50,101,45,48,56,32,50,46,
      51,51,49,50,56,101,45,48,56,32,50,46,55,53,54,49,50,101,45,48,56,32,51,46,50,
      51,53,56,54,101,45,48,56,10,32,32,51,46,55,55,49,52,56,101,45,48,56,32,52,46,
      51,54,55,56,52,101,45,48,56,32,53,46,48,51,48,55,54,101,45,48,56,32,53,46,55,
      53,56,49,53,101,45,48,56,32,54,46,53,53,50,48,49,101,45,48,56,32,55,46,52,50,
      55,51,56,101,45,48,56,32,56,46,51,55,49,49,101,45,48,56,10,32,32,57,46,51,55,
      54,54,57,101,45,48,56,32,49,46,48,52,54,53,101,45,48,55,32,49,46,49,54,51,49,
      55,101,45,48,55,32,49,46,50,56,52,52,101,45,48,55,32,49,46,52,49,52,49,50,101,
      45,48,55,32,49,46,53,53,50,54,101,45,48,55,32,49,46,54,57,50,53,51,101,45,48,
      55,10,32,32,49,46,56,52,48,55,57,101,45,48,55,32,49,46,57,57,55,54,51,101,45,
      48,55,32,50,46,49,53,53,101,45,48,55,32,50,46,51,49,56,56,55,101,45,48,55,32,
      50,46,52,57,48,57,49,101,45,48,55,32,50,46,54,54,51,55,54,101,45,48,55,32,50,
      46,56,52,48,55,53,101,45,48,55,10,32,32,51,46,48,50,53,53,52,101,45,48,55,32,
      51,46,50,49,50,54,53,101,45,48,55,32,51,46,52,48,49,56,54,101,45,48,55,32,51,
      46,53,57,56,55,101,45,48,55,32,51,46,55,57,57,56,49,101,45,48,55,32,52,46,48,
      48,49,55,49,101,45,48,55,32,52,46,50,49,49,50,101,45,48,55,10,32,32,52,46,52,
      50,54,57,101,45,48,55,32,52,46,54,52,51,50,101,45,48,55,32,52,46,56,54,55,49,
      56,101,45,48,55,32,53,46,48,57,56,57,49,101,45,48,55,32,53,46,51,51,49,50,53,
      101,45,48,55,32,53,46,53,55,49,52,50,101,45,48,55,32,53,46,56,49,57,54,49,101,
      45,48,55,10,32,32,54,46,48,54,57,53,54,101,45,48,55,32,54,46,51,50,54,52,50,
      101,45,48,55,32,54,46,53,57,49,52,56,101,45,48,55,32,54,46,56,53,56,49,52,101,
      45,48,55,32,55,46,49,50,57,56,56,101,45,48,55,32,55,46,52,48,57,57,54,101,45,
      48,55,32,55,46,54,57,48,53,54,101,45,48,55,10,32,32,55,46,57,55,49,57,52,101,
      45,48,55,32,56,46,50,54,49,55,55,101,45,48,55,32,56,46,53,53,49,54,51,101,45,
      48,55,32,56,46,56,51,51,56,101,45,48,55,32,57,46,49,50,52,52,56,101,45,48,55,
      32,57,46,52,49,55,49,55,101,45,48,55,32,57,46,54,56,56,51,56,101,45,48,55,10,
      32,32,57,46,57,54,56,51,51,101,45,48,55,32,49,46,48,50,53,54,52,101,45,48,54,
      32,49,46,48,53,48,52,51,101,45,48,54,32,49,46,48,55,54,49,55,101,45,48,54,32,
      49,46,49,48,50,56,53,101,45,48,54,32,49,46,49,50,53,50,54,101,45,48,54,32,49,
      46,49,52,55,56,50,101,45,48,54,10,32,32,49,46,49,55,49,52,54,101,45,48,54,32,
      49,46,49,57,49,52,49,101,45,48,54,32,49,46,50,49,48,52,50,101,45,48,54,32,49,
      46,50,51,48,55,49,101,45,48,54,32,49,46,50,52,56,53,101,45,48,54,32,49,46,50,
      54,52,50,54,101,45,48,54,32,49,46,50,56,49,53,52,101,45,48,54,10,32,32,49,46,
      50,57,55,56,51,101,45,48,54,32,49,46,51,49,49,51,49,101,45,48,54,32,49,46,51,
      50,54,52,56,101,45,48,54,32,49,46,51,52,50,49,54,101,45,48,54,32,49,46,51,53,
      52,55,49,101,45,48,54,32,49,46,51,54,57,48,54,101,45,48,54,32,49,46,51,56,53,
      48,50,101,45,48,54,10,32,32,49,46,51,57,56,49,57,101,45,48,54,32,49,46,52,49,
      51,49,53,101,45,48,54,32,49,46,52,50,57,56,101,45,48,54,32,49,46,52,52,53,54,
      49,101,45,48,54,32,49,46,52,54,50,54,53,101,45,48,54,32,49,46,52,56,49,50,57,
      101,45,48,54,32,49,46,53,48,48,54,54,101,45,48,54,10,32,32,49,46,53,50,49,49,
      56,101,45,48,54,32,49,46,53,52,51,49,51,101,45,48,54,32,49,46,53,54,54,56,56,
      101,45,48,54,32,49,46,53,57,50,51,51,101,45,48,54,32,49,46,54,49,57,101,45,
      48,54,32,49,46,54,52,55,56,52,101,45,48,54,32,49,46,54,55,57,54,50,101,45,48,
      54,10,32,32,49,46,55,49,50,52,52,101,45,48,54,32,49,46,55,52,55,50,49,101,45,
      48,54,32,49,46,55,56,54,57,56,101,45,48,54,32,49,46,56,50,55,54,56,101,45,48,
      54,32,49,46,56,54,57,52,55,101,45,48,54,32,49,46,57,49,57,49,52,101,45,48,54,
      32,49,46,57,54,57,56,49,101,45,48,54,10,32,32,50,46,48,50,49,52,57,101,45,48,
      54,32,50,46,48,56,49,57,51,101,45,48,54,32,50,46,49,52,53,101,45,48,54,32,50,
      46,50,48,57,52,50,101,45,48,54,32,50,46,50,56,50,53,51,101,45,48,54,32,50,46,
      51,54,48,56,57,101,45,48,54,32,50,46,52,52,49,50,56,101,45,48,54,10,32,32,50,
      46,53,50,57,54,50,101,45,48,54,32,50,46,54,50,54,49,57,101,45,48,54,32,50,46,
      55,50,53,57,54,101,45,48,54,32,50,46,56,51,50,53,53,101,45,48,54,32,50,46,57,
      52,57,55,52,101,45,48,54,32,51,46,48,55,49,54,54,101,45,48,54,32,51,46,49,57,
      57,54,56,101,45,48,54,10,32,32,51,46,51,51,56,53,57,101,45,48,54,32,51,46,52,
      56,51,55,56,101,45,48,54,32,51,46,54,51,53,55,101,45,48,54,32,51,46,55,57,53,
      52,54,101,45,48,54,32,51,46,57,54,50,56,54,101,45,48,54,32,52,46,49,51,56,51,
      101,45,48,54,32,52,46,51,49,54,57,55,101,45,48,54,10,32,32,52,46,53,48,50,57,
      56,101,45,48,54,32,52,46,54,57,55,54,56,101,45,48,54,32,52,46,56,57,51,49,54,
      101,45,48,54,32,53,46,48,57,51,50,53,101,45,48,54,32,53,46,51,48,49,56,101,
      45,48,54,32,53,46,53,49,49,51,54,101,45,48,54,32,53,46,55,50,49,53,54,101,45,
      48,54,10,32,32,53,46,57,51,57,54,56,101,45,48,54,32,54,46,49,54,48,52,55,101,
      45,48,54,32,54,46,51,55,56,54,50,101,45,48,54,32,54,46,54,48,51,57,55,101,45,
      48,54,32,54,46,56,51,52,52,52,101,45,48,54,32,55,46,48,54,49,51,52,101,45,48,
      54,32,55,46,50,57,52,57,57,101,45,48,54,10,32,32,55,46,53,51,53,52,50,101,45,
      48,54,32,55,46,55,55,51,55,101,45,48,54,32,56,46,48,49,56,54,53,101,45,48,54,
      32,56,46,50,55,48,50,55,101,45,48,54,32,56,46,54,49,48,53,57,101,45,48,54,32,
      57,46,52,52,54,54,50,101,45,48,54,32,49,46,48,56,48,50,54,101,45,48,53,10,32,
      32,49,46,51,51,55,51,101,45,48,53,32,49,46,54,50,51,57,101,45,48,53,32,49,46,
      57,49,52,52,54,101,45,48,53,32,50,46,49,56,51,55,49,101,45,48,53,32,50,46,52,
      50,51,51,52,101,45,48,53,32,50,46,54,52,50,48,52,101,45,48,53,32,50,46,56,53,
      52,57,53,101,45,48,53,10,32,32,51,46,48,55,53,50,55,101,45,48,53,32,51,46,51,
      49,51,51,50,101,45,48,53,32,51,46,53,55,53,54,101,45,48,53,32,51,46,56,54,53,
      50,53,101,45,48,53,32,52,46,50,53,52,50,53,101,45,48,53,32,52,46,54,57,49,51,
      56,101,45,48,53,32,53,46,51,53,48,54,56,101,45,48,53,10,32,32,54,46,48,57,51,
      57,53,101,45,48,53,32,54,46,57,49,56,53,57,101,45,48,53,32,56,46,48,53,48,54,
      57,101,45,48,53,32,57,46,50,55,48,49,53,101,45,48,53,32,46,48,48,48,49,48,53,
      50,48,49,32,46,48,48,48,49,49,57,53,57,51,32,46,48,48,48,49,51,50,53,53,54,
      10,32,32,46,48,48,48,49,52,55,56,50,56,32,46,48,48,48,49,54,50,50,52,53,32,
      46,48,48,48,49,55,55,49,50,53,32,46,48,48,48,49,57,53,55,49,55,32,46,48,48,
      48,50,49,57,54,51,55,32,46,48,48,48,50,52,57,49,56,52,32,46,48,48,48,50,56,
      51,55,49,56,32,46,48,48,48,51,50,51,48,52,49,10,32,32,46,48,48,48,51,54,57,
      50,56,51,32,46,48,48,48,52,49,52,56,55,50,32,46,48,48,48,52,54,51,57,57,50,
      32,46,48,48,48,53,50,50,57,54,50,32,46,48,48,48,53,56,55,48,48,49,32,46,48,
      48,48,54,51,57,51,50,52,32,46,48,48,48,55,49,48,54,50,51,32,46,48,48,48,56,
      48,53,50,57,49,10,32,32,46,48,48,48,57,48,57,55,55,49,32,46,48,48,49,48,49,
      56,54,57,32,46,48,48,49,49,51,48,56,55,32,46,48,48,49,50,50,57,48,52,32,46,
      48,48,49,51,49,56,53,49,32,46,48,48,49,52,49,55,51,55,32,46,48,48,49,53,52,
      55,49,57,32,46,48,48,49,54,55,50,53,56,10,32,32,46,48,48,49,55,56,52,57,54,
      32,46,48,48,49,56,54,51,54,53,32,46,48,48,49,57,50,48,57,55,32,46,48,48,49,
      57,52,56,48,53,32,46,48,48,49,57,50,54,51,57,32,46,48,48,49,56,55,55,56,51,
      32,46,48,48,49,56,50,52,48,57,32,46,48,48,49,55,51,52,54,57,10,32,32,46,48,
      48,49,54,49,55,50,54,32,46,48,48,49,52,55,51,57,55,32,46,48,48,49,51,52,53,
      51,56,32,46,48,48,49,50,52,54,52,50,32,46,48,48,49,49,56,49,52,55,32,46,48,
      48,49,49,49,55,52,56,32,46,48,48,49,48,51,57,48,50,32,46,48,48,48,57,53,53,
      49,57,55,10,32,32,46,48,48,48,55,53,50,56,51,51,32,46,48,48,48,53,54,54,55,
      56,57,32,46,48,48,48,52,51,55,53,52,49,32,46,48,48,48,51,53,48,53,53,55,32,
      46,48,48,48,51,50,51,51,55,32,46,48,48,48,50,53,56,55,54,52,32,46,48,48,48,
      50,48,55,53,56,51,32,46,48,48,48,49,54,55,51,53,52,10,32,32,46,48,48,48,49,
      51,53,57,49,53,32,46,48,48,48,49,48,55,54,50,56,32,57,46,48,54,51,52,53,101,
      45,48,53,32,55,46,54,50,57,53,56,101,45,48,53,32,53,46,55,52,48,49,49,101,45,
      48,53,32,52,46,56,49,56,48,53,101,45,48,53,32,51,46,54,53,50,56,54,101,45,48,
      53,10,32,32,50,46,55,50,49,52,50,101,45,48,53,32,50,46,50,55,57,53,49,101,45,
      48,53,32,49,46,57,48,55,52,50,101,45,48,53,32,49,46,52,51,55,53,49,101,45,48,
      53,32,49,46,48,53,48,54,53,101,45,48,53,32,56,46,56,50,51,51,101,45,48,54,32,
      54,46,54,53,48,57,52,101,45,48,54,10,32,32,53,46,53,57,53,50,52,101,45,48,54,
      32,52,46,50,50,48,56,101,45,48,54,32,51,46,51,54,49,54,101,45,48,54,32,51,46,
      55,51,54,57,53,101,45,48,54,32,51,46,51,48,53,55,55,101,45,48,54,32,50,46,54,
      49,48,57,57,101,45,48,54,32,50,46,48,49,49,53,51,101,45,48,54,10,32,32,49,46,
      54,49,56,52,57,101,45,48,54,32,49,46,51,48,50,50,49,101,45,48,54,32,49,46,48,
      54,50,52,55,101,45,48,54,32,56,46,54,57,53,52,53,101,45,48,55,32,54,46,57,54,
      51,52,101,45,48,55,32,53,46,55,49,54,54,56,101,45,48,55,32,52,46,53,57,57,51,
      53,101,45,48,55,10,32,32,51,46,57,49,57,51,51,101,45,48,55,32,51,46,48,49,57,
      49,52,101,45,48,55,32,50,46,53,55,50,55,57,101,45,48,55,32,50,46,49,48,56,57,
      53,101,45,48,55,32,49,46,51,50,55,54,53,101,45,48,55,32,55,46,48,50,52,48,52,
      101,45,48,56,32,51,46,55,55,52,56,52,101,45,48,56,10,32,32,49,46,55,51,55,51,
      56,101,45,48,56,32,55,46,57,57,57,50,50,101,45,48,57,32,51,46,49,53,53,50,57,
      101,45,48,57,32,49,46,52,53,51,57,49,101,45,48,57,32,52,46,50,49,49,55,51,101,
      45,49,48,32,49,46,50,57,51,48,57,101,45,49,48,32,53,46,54,51,53,48,52,101,45,
      49,49,10,32,32,50,46,50,50,56,53,56,101,45,49,49,32,54,46,52,55,51,57,51,101,
      45,49,50,32,50,46,49,57,54,49,57,101,45,49,50,32,55,46,52,53,52,50,50,101,45,
      49,51,32,50,46,49,54,57,53,49,101,45,49,51,32,54,46,51,49,55,53,101,45,49,52,
      32,50,46,49,52,55,49,56,101,45,49,52,10,32,32,55,46,51,48,48,56,55,101,45,49,
      53,32,50,46,52,56,51,51,54,101,45,49,53,32,54,46,56,49,56,52,53,101,45,49,54,
      32,49,46,55,48,50,49,51,101,45,49,54,32,51,46,54,52,52,53,55,101,45,49,55,32,
      57,46,49,48,57,53,53,101,45,49,56,32,49,46,57,52,51,51,55,101,45,49,56,10,32,
      32,52,46,56,54,48,53,52,101,45,49,57,32,49,46,50,49,50,48,57,101,45,49,57,32,
      50,46,54,48,48,56,57,101,45,50,48,32,52,46,55,49,49,48,54,101,45,50,49,32,49,
      46,51,49,53,49,49,101,45,50,49,32,48,114,49,48,53,32,54,46,53,50,51,57,101,
      45,49,54,32,49,46,48,52,56,56,50,101,45,49,52,10,32,32,53,46,51,49,55,54,50,
      101,45,49,52,32,54,46,53,50,50,49,52,101,45,49,52,32,49,46,48,52,56,50,53,101,
      45,49,50,32,53,46,51,49,51,50,56,101,45,49,50,32,49,46,54,55,54,55,57,101,45,
      49,49,32,52,46,48,56,54,49,56,101,45,49,49,32,56,46,52,54,54,57,49,101,45,49,
      49,10,32,32,49,46,53,54,53,53,49,101,45,49,48,32,50,46,54,54,54,53,54,101,45,
      49,48,32,52,46,50,54,51,54,56,101,45,49,48,32,54,46,52,56,53,54,49,101,45,49,
      48,32,57,46,52,55,54,57,54,101,45,49,48,32,49,46,51,51,57,54,55,101,45,48,57,
      32,49,46,56,52,49,54,53,101,45,48,57,10,32,32,50,46,52,55,50,54,57,101,45,48,
      57,32,51,46,50,55,48,48,54,101,45,48,57,32,52,46,50,51,48,50,57,101,45,48,57,
      32,53,46,51,56,50,50,101,45,48,57,32,54,46,55,53,51,48,52,101,45,48,57,32,56,
      46,51,54,56,57,50,101,45,48,57,32,49,46,48,50,53,54,57,101,45,48,56,10,32,32,
      49,46,50,52,52,53,54,101,45,48,56,32,49,46,52,57,54,52,56,101,45,48,56,32,49,
      46,55,56,51,56,51,101,45,48,56,32,50,46,49,49,48,49,101,45,48,56,32,50,46,52,
      55,56,56,50,101,45,48,56,32,50,46,56,57,48,56,101,45,48,56,32,51,46,51,52,57,
      56,53,101,45,48,56,10,32,32,51,46,56,54,48,53,53,101,45,48,56,32,52,46,52,50,
      49,51,52,101,45,48,56,32,53,46,48,51,51,56,49,101,45,48,56,32,53,46,55,48,53,
      56,51,101,45,48,56,32,54,46,52,51,51,52,52,101,45,48,56,32,55,46,50,49,48,49,
      57,101,45,48,56,32,56,46,48,53,49,52,49,101,45,48,56,10,32,32,56,46,57,53,51,
      56,54,101,45,48,56,32,57,46,56,57,49,56,51,101,45,48,56,32,49,46,48,56,57,54,
      49,101,45,48,55,32,49,46,49,57,54,56,57,101,45,48,55,32,49,46,51,48,53,55,101,
      45,48,55,32,49,46,52,50,48,54,54,101,45,48,55,32,49,46,53,52,50,52,52,101,45,
      48,55,10,32,32,49,46,54,54,52,53,50,101,45,48,55,32,49,46,55,57,49,54,56,101,
      45,48,55,32,49,46,57,50,53,50,51,101,45,48,55,32,50,46,48,53,57,52,101,45,48,
      55,32,50,46,49,57,54,55,56,101,45,48,55,32,50,46,51,52,48,50,54,101,45,48,55,
      32,50,46,52,56,53,53,51,101,45,48,55,10,32,32,50,46,54,51,50,52,50,101,45,48,
      55,32,50,46,55,56,53,50,54,101,45,48,55,32,50,46,57,52,49,52,49,101,45,48,55,
      32,51,46,48,57,56,49,52,101,45,48,55,32,51,46,50,54,48,56,101,45,48,55,32,51,
      46,52,50,56,51,101,45,48,55,32,51,46,53,57,54,50,51,101,45,48,55,10,32,32,51,
      46,55,55,48,49,52,101,45,48,55,32,51,46,57,53,48,49,49,101,45,48,55,32,52,46,
      49,51,48,52,57,101,45,48,55,32,52,46,51,49,55,101,45,48,55,32,52,46,53,48,57,
      55,55,101,45,48,55,32,52,46,55,48,51,56,55,101,45,48,55,32,52,46,57,48,51,51,
      53,101,45,48,55,10,32,32,53,46,49,48,57,50,52,101,45,48,55,32,53,46,51,49,54,
      51,50,101,45,48,55,32,53,46,53,50,55,51,53,101,45,48,55,32,53,46,55,52,52,56,
      57,101,45,48,55,32,53,46,57,54,50,55,56,101,45,48,55,32,54,46,49,56,49,50,50,
      101,45,48,55,32,54,46,52,48,54,50,53,101,45,48,55,10,32,32,54,46,54,51,49,50,
      52,101,45,48,55,32,54,46,56,53,48,48,57,101,45,48,55,32,55,46,48,55,53,53,57,
      101,45,48,55,32,55,46,51,48,50,54,101,45,48,55,32,55,46,53,49,50,53,56,101,
      45,48,55,32,55,46,55,50,57,51,57,101,45,48,55,32,55,46,57,53,50,53,55,101,45,
      48,55,10,32,32,56,46,49,52,51,57,49,101,45,48,55,32,56,46,51,52,50,55,49,101,
      45,48,55,32,56,46,53,52,56,57,49,101,45,48,55,32,56,46,55,50,49,51,51,101,45,
      48,55,32,56,46,56,57,52,57,101,45,48,55,32,57,46,48,55,54,57,52,101,45,48,55,
      32,57,46,50,50,57,56,49,101,45,48,55,10,32,32,57,46,51,55,53,50,55,101,45,48,
      55,32,57,46,53,51,48,55,56,101,45,48,55,32,57,46,54,54,54,53,56,101,45,48,55,
      32,57,46,55,56,54,52,56,101,45,48,55,32,57,46,57,49,56,50,52,101,45,48,55,32,
      49,46,48,48,52,50,51,101,45,48,54,32,49,46,48,49,52,52,50,101,45,48,54,10,32,
      32,49,46,48,50,53,57,54,101,45,48,54,32,49,46,48,51,55,56,56,101,45,48,54,32,
      49,46,48,52,55,51,54,101,45,48,54,32,49,46,48,53,56,50,53,101,45,48,54,32,49,
      46,48,55,48,52,50,101,45,48,54,32,49,46,48,56,48,51,57,101,45,48,54,32,49,46,
      48,57,49,55,57,101,45,48,54,10,32,32,49,46,49,48,52,53,49,101,45,48,54,32,49,
      46,49,49,54,53,55,101,45,48,54,32,49,46,49,50,57,54,49,101,45,48,54,32,49,46,
      49,52,51,57,101,45,48,54,32,49,46,49,53,56,55,56,101,45,48,54,32,49,46,49,55,
      52,53,53,101,45,48,54,32,49,46,49,57,49,52,53,101,45,48,54,10,32,32,49,46,50,
      48,57,55,55,101,45,48,54,32,49,46,50,50,57,52,101,45,48,54,32,49,46,50,53,48,
      48,49,101,45,48,54,32,49,46,50,55,50,51,50,101,45,48,54,32,49,46,50,57,54,57,
      50,101,45,48,54,32,49,46,51,50,50,51,51,101,45,48,54,32,49,46,51,52,57,50,56,
      101,45,48,54,10,32,32,49,46,51,56,48,49,51,101,45,48,54,32,49,46,52,49,49,55,
      49,101,45,48,54,32,49,46,52,52,52,49,53,101,45,48,54,32,49,46,52,56,50,55,52,
      101,45,48,54,32,49,46,53,50,50,49,50,101,45,48,54,32,49,46,53,54,50,50,57,101,
      45,48,54,32,49,46,54,48,57,51,101,45,48,54,10,32,32,49,46,54,53,56,51,56,101,
      45,48,54,32,49,46,55,48,56,53,50,101,45,48,54,32,49,46,55,54,53,52,53,101,45,
      48,54,32,49,46,56,50,54,53,49,101,45,48,54,32,49,46,56,56,57,49,54,101,45,48,
      54,32,49,46,57,53,56,48,52,101,45,48,54,32,50,46,48,51,51,51,56,101,45,48,54,
      10,32,32,50,46,49,49,49,50,53,101,45,48,54,32,50,46,49,57,52,52,57,101,45,48,
      54,32,50,46,50,56,54,48,54,101,45,48,54,32,50,46,51,56,49,51,56,101,45,48,54,
      32,50,46,52,56,49,53,51,101,45,48,54,32,50,46,53,57,48,50,54,101,45,48,54,32,
      50,46,55,48,51,57,57,101,45,48,54,10,32,32,50,46,56,50,51,48,54,101,45,48,54,
      32,50,46,57,52,56,51,53,101,45,48,54,32,51,46,48,55,57,55,51,101,45,48,54,32,
      51,46,50,49,55,53,49,101,45,48,54,32,51,46,51,53,55,57,49,101,45,48,54,32,51,
      46,53,48,52,49,55,101,45,48,54,32,51,46,54,53,55,51,53,101,45,48,54,10,32,32,
      51,46,56,49,49,50,51,101,45,48,54,32,51,46,57,54,56,56,50,101,45,48,54,32,52,
      46,49,51,51,49,56,101,45,48,54,32,52,46,50,57,56,52,101,45,48,54,32,52,46,52,
      54,52,49,56,101,45,48,54,32,52,46,54,51,54,51,49,101,45,48,54,32,52,46,56,49,
      48,54,49,101,45,48,54,10,32,32,52,46,57,56,50,56,54,101,45,48,54,32,53,46,49,
      54,48,56,55,101,45,48,54,32,53,46,51,52,51,48,49,101,45,48,54,32,53,46,53,50,
      50,51,53,101,45,48,54,32,53,46,55,48,55,48,57,101,45,48,54,32,53,46,56,57,55,
      50,56,101,45,48,54,32,54,46,48,56,53,56,101,45,48,54,10,32,32,54,46,50,55,57,
      54,53,101,45,48,54,32,54,46,52,55,56,56,53,101,45,48,54,32,54,46,55,52,56,51,
      54,101,45,48,54,32,55,46,52,49,48,56,57,101,45,48,54,32,56,46,52,56,54,55,52,
      101,45,48,54,32,49,46,48,53,50,57,56,101,45,48,53,32,49,46,50,56,49,48,54,101,
      45,48,53,10,32,32,49,46,53,49,50,51,50,101,45,48,53,32,49,46,55,50,54,52,54,
      101,45,48,53,32,49,46,57,49,54,56,53,101,45,48,53,32,50,46,48,57,48,52,55,101,
      45,48,53,32,50,46,50,53,57,52,55,101,45,48,53,32,50,46,52,51,52,51,55,101,45,
      48,53,32,50,46,54,50,51,52,50,101,45,48,53,10,32,32,50,46,56,51,49,56,50,101,
      45,48,53,32,51,46,48,54,50,48,49,101,45,48,53,32,51,46,51,55,49,50,101,45,48,
      53,32,51,46,55,49,56,53,57,101,45,48,53,32,52,46,50,52,50,49,56,101,45,48,53,
      32,52,46,56,51,49,55,51,101,45,48,53,32,53,46,52,56,52,55,55,101,45,48,53,10,
      32,32,54,46,51,55,57,51,57,101,45,48,53,32,55,46,51,52,48,57,52,101,45,48,53,
      32,56,46,51,50,53,48,52,101,45,48,53,32,57,46,52,53,55,52,52,101,45,48,53,32,
      46,48,48,48,49,48,52,55,55,57,32,46,48,48,48,49,49,54,56,48,57,32,46,48,48,
      48,49,50,56,49,55,49,10,32,32,46,48,48,48,49,51,57,56,57,51,32,46,48,48,48,
      49,53,52,53,50,56,32,46,48,48,48,49,55,51,51,52,55,32,46,48,48,48,49,57,54,
      54,49,51,32,46,48,48,48,50,50,51,56,53,49,32,46,48,48,48,50,53,52,57,55,49,
      32,46,48,48,48,50,57,49,55,50,51,32,46,48,48,48,51,50,56,49,49,51,10,32,32,
      46,48,48,48,51,54,55,52,49,56,32,46,48,48,48,52,49,52,54,57,55,32,46,48,48,
      48,52,54,54,50,51,32,46,48,48,48,53,48,56,54,50,57,32,46,48,48,48,53,54,54,
      56,57,57,32,46,48,48,48,54,52,53,51,54,52,32,46,48,48,48,55,51,51,51,50,51,
      32,46,48,48,48,56,50,54,52,57,56,10,32,32,46,48,48,48,57,50,52,50,50,32,46,
      48,48,49,48,49,49,50,54,32,46,48,48,49,48,57,49,55,50,32,46,48,48,49,49,56,
      48,49,54,32,46,48,48,49,50,57,52,49,49,32,46,48,48,49,52,48,51,49,49,32,46,
      48,48,49,53,48,50,52,57,32,46,48,48,49,53,55,52,49,51,10,32,32,46,48,48,49,
      54,50,57,57,56,32,46,48,48,49,54,54,53,49,55,32,46,48,48,49,54,53,57,50,50,
      32,46,48,48,49,54,50,56,54,54,32,46,48,48,49,53,57,48,53,52,32,46,48,48,49,
      53,50,51,48,54,32,46,48,48,49,52,50,57,52,57,32,46,48,48,49,51,49,49,53,32,
      46,48,48,49,50,48,51,54,56,10,32,32,46,48,48,49,49,50,48,49,52,32,46,48,48,
      49,48,54,53,51,55,32,46,48,48,49,48,49,48,57,51,32,46,48,48,48,57,52,51,48,
      55,55,32,46,48,48,48,56,54,57,54,48,50,32,46,48,48,48,54,57,48,48,51,50,32,
      46,48,48,48,53,50,50,57,53,32,46,48,48,48,52,48,53,55,54,57,10,32,32,46,48,
      48,48,51,50,54,52,51,49,32,46,48,48,48,51,48,49,54,55,51,32,46,48,48,48,50,
      52,50,50,51,55,32,46,48,48,48,49,57,52,57,50,51,32,46,48,48,48,49,53,55,53,
      55,56,32,46,48,48,48,49,50,56,50,56,53,32,46,48,48,48,49,48,49,56,51,55,32,
      56,46,53,57,48,51,101,45,48,53,10,32,32,55,46,50,52,50,55,55,101,45,48,53,32,
      53,46,52,54,50,50,54,101,45,48,53,32,52,46,53,57,49,49,49,101,45,48,53,32,51,
      46,52,56,55,56,51,101,45,48,53,32,50,46,54,48,51,54,49,101,45,48,53,32,50,46,
      49,56,51,50,54,101,45,48,53,32,49,46,56,50,56,56,49,101,45,48,53,10,32,32,49,
      46,51,56,48,52,52,101,45,48,53,32,49,46,48,49,48,53,56,101,45,48,53,32,56,46,
      52,57,51,57,101,45,48,54,32,54,46,52,49,48,56,56,101,45,48,54,32,53,46,51,57,
      55,50,56,101,45,48,54,32,52,46,48,55,54,49,51,101,45,48,54,32,51,46,50,53,50,
      54,57,101,45,48,54,10,32,32,51,46,53,54,49,53,52,101,45,48,54,32,51,46,49,53,
      49,54,51,101,45,48,54,32,50,46,52,57,48,55,54,101,45,48,54,32,49,46,57,50,48,
      49,50,101,45,48,54,32,49,46,53,52,53,55,51,101,45,48,54,32,49,46,50,52,52,50,
      56,101,45,48,54,32,49,46,48,49,53,54,53,101,45,48,54,10,32,32,56,46,51,49,53,
      56,54,101,45,48,55,32,54,46,54,54,50,52,54,101,45,48,55,32,53,46,52,55,49,54,
      57,101,45,48,55,32,52,46,52,48,51,57,52,101,45,48,55,32,51,46,55,53,51,56,52,
      101,45,48,55,32,50,46,56,57,50,57,101,45,48,55,32,50,46,52,54,53,56,51,101,
      45,48,55,10,32,32,50,46,48,50,49,56,56,101,45,48,55,32,49,46,50,55,51,54,57,
      101,45,48,55,32,54,46,55,52,52,56,56,101,45,48,56,32,51,46,54,50,56,48,52,101,
      45,48,56,32,49,46,54,55,49,54,51,101,45,48,56,32,55,46,55,48,52,50,49,101,45,
      48,57,32,51,46,48,52,50,51,51,101,45,48,57,10,32,32,49,46,52,48,51,49,49,101,
      45,48,57,32,52,46,48,54,57,57,52,101,45,49,48,32,49,46,50,53,48,55,54,101,45,
      49,48,32,53,46,52,53,51,54,52,101,45,49,49,32,50,46,49,53,56,48,57,101,45,49,
      49,32,54,46,50,55,51,52,55,101,45,49,50,32,50,46,49,50,57,51,57,101,45,49,50,
      10,32,32,55,46,50,51,49,50,52,101,45,49,51,32,50,46,49,48,53,55,51,101,45,49,
      51,32,54,46,49,51,53,51,56,101,45,49,52,32,50,46,48,56,54,52,55,101,45,49,52,
      32,55,46,48,57,55,56,49,101,45,49,53,32,50,46,52,49,53,52,54,101,45,49,53,32,
      54,46,54,52,50,50,49,101,45,49,54,10,32,32,49,46,54,53,57,50,54,101,45,49,54,
      32,51,46,53,53,53,49,54,101,45,49,55,32,56,46,56,57,49,49,54,101,45,49,56,32,
      49,46,56,57,56,50,56,101,45,49,56,32,52,46,55,53,48,57,56,101,45,49,57,32,49,
      46,49,56,53,48,51,101,45,49,57,32,50,46,53,52,51,55,52,101,45,50,48,10,32,32,
      52,46,53,57,53,48,53,101,45,50,49,32,49,46,50,56,51,49,53,101,45,50,49,32,48,
      114,49,48,53,32,54,46,51,57,52,55,56,101,45,49,54,32,49,46,48,50,56,48,53,101,
      45,49,52,32,53,46,50,49,50,50,52,101,45,49,52,32,54,46,51,57,50,56,54,101,45,
      49,52,32,49,46,48,50,55,53,52,101,45,49,50,10,32,32,53,46,50,48,55,53,101,45,
      49,50,32,49,46,54,52,51,48,54,101,45,49,49,32,52,46,48,48,50,56,54,101,45,49,
      49,32,56,46,50,57,49,53,50,101,45,49,49,32,49,46,53,51,50,53,101,45,49,48,32,
      50,46,54,48,57,50,49,101,45,49,48,32,52,46,49,54,57,57,55,101,45,49,48,10,32,
      32,54,46,51,51,57,54,57,101,45,49,48,32,57,46,50,53,56,51,50,101,45,49,48,32,
      49,46,51,48,55,57,50,101,45,48,57,32,49,46,55,57,54,55,52,101,45,48,57,32,50,
      46,52,49,48,53,51,101,45,48,57,32,51,46,49,54,56,52,52,101,45,48,57,32,52,46,
      48,57,48,56,49,101,45,48,57,10,32,32,53,46,50,48,48,52,57,101,45,48,57,32,54,
      46,53,49,57,53,56,101,45,48,57,32,56,46,48,56,55,48,55,101,45,48,57,32,57,46,
      57,48,54,53,51,101,45,48,57,32,49,46,50,48,48,56,57,101,45,48,56,32,49,46,52,
      52,50,53,51,101,45,48,56,32,49,46,55,49,55,55,53,101,45,48,56,10,32,32,50,46,
      48,50,57,55,56,101,45,48,56,32,50,46,51,56,49,56,54,101,45,48,56,32,50,46,55,
      55,52,54,53,101,45,48,56,32,51,46,50,49,49,54,52,101,45,48,56,32,51,46,54,57,
      55,48,50,101,45,48,56,32,52,46,50,50,57,49,56,101,45,48,56,32,52,46,56,48,57,
      53,51,101,45,48,56,10,32,32,53,46,52,52,53,50,56,101,45,48,56,32,54,46,49,51,
      50,53,57,101,45,48,56,32,54,46,56,54,53,51,56,101,45,48,56,32,55,46,54,53,55,
      56,49,101,45,48,56,32,56,46,53,48,54,55,51,101,45,48,56,32,57,46,51,56,56,50,
      57,101,45,48,56,32,49,46,48,51,51,48,57,101,45,48,55,10,32,32,49,46,49,51,51,
      54,53,101,45,48,55,32,49,46,50,51,53,50,53,101,45,48,55,32,49,46,51,52,50,56,
      50,101,45,48,55,32,49,46,52,53,54,53,53,101,45,48,55,32,49,46,53,55,48,54,54,
      101,45,48,55,32,49,46,54,56,57,52,52,101,45,48,55,32,49,46,56,49,52,48,56,101,
      45,48,55,10,32,32,49,46,57,51,57,51,50,101,45,48,55,32,50,46,48,54,55,53,52,
      101,45,48,55,32,50,46,50,48,49,51,53,101,45,48,55,32,50,46,51,51,54,56,54,101,
      45,48,55,32,50,46,52,55,51,57,49,101,45,48,55,32,50,46,54,49,54,55,57,101,45,
      48,55,32,50,46,55,54,50,52,50,101,45,48,55,10,32,32,50,46,57,48,56,55,55,101,
      45,48,55,32,51,46,48,54,48,52,57,101,45,48,55,32,51,46,50,49,54,54,55,101,45,
      48,55,32,51,46,51,55,51,51,52,101,45,48,55,32,51,46,53,51,53,53,52,101,45,48,
      55,32,51,46,55,48,51,51,49,101,45,48,55,32,51,46,56,55,49,53,55,101,45,48,55,
      10,32,32,52,46,48,52,53,52,54,101,45,48,55,32,52,46,50,50,53,49,50,101,45,48,
      55,32,52,46,52,48,54,48,57,101,45,48,55,32,52,46,53,57,50,48,53,101,45,48,55,
      32,52,46,55,56,51,57,101,45,48,55,32,52,46,57,55,54,57,53,101,45,48,55,32,53,
      46,49,55,51,54,57,101,45,48,55,10,32,32,53,46,51,55,54,52,50,101,45,48,55,32,
      53,46,53,55,57,54,101,45,48,55,32,53,46,55,56,51,52,51,101,45,48,55,32,53,46,
      57,57,51,51,50,101,45,48,55,32,54,46,50,48,51,51,51,101,45,48,55,32,54,46,52,
      48,55,57,56,101,45,48,55,32,54,46,54,49,56,55,52,101,45,48,55,10,32,32,54,46,
      56,51,49,48,51,101,45,48,55,32,55,46,48,50,56,50,101,45,48,55,32,55,46,50,51,
      49,54,53,101,45,48,55,32,55,46,52,52,48,57,55,101,45,48,55,32,55,46,54,50,49,
      56,54,101,45,48,55,32,55,46,56,48,57,54,101,45,48,55,32,56,46,48,48,52,49,101,
      45,48,55,10,32,32,56,46,49,54,56,51,57,101,45,48,55,32,56,46,51,51,51,56,101,
      45,48,55,32,56,46,53,48,54,57,52,101,45,48,55,32,56,46,54,53,51,57,101,45,48,
      55,32,56,46,55,57,52,50,50,101,45,48,55,32,56,46,57,52,51,54,53,101,45,48,55,
      32,57,46,48,55,53,51,49,101,45,48,55,10,32,32,57,46,49,57,50,53,57,101,45,48,
      55,32,57,46,51,50,48,53,54,101,45,48,55,32,57,46,52,52,49,53,53,101,45,48,55,
      32,57,46,53,52,50,51,55,101,45,48,55,32,57,46,54,53,53,50,56,101,45,48,55,32,
      57,46,55,55,49,54,57,101,45,48,55,32,57,46,56,54,53,54,56,101,45,48,55,10,32,
      32,57,46,57,55,50,53,101,45,48,55,32,49,46,48,48,57,48,56,101,45,48,54,32,49,
      46,48,49,56,56,57,101,45,48,54,32,49,46,48,50,57,57,57,101,45,48,54,32,49,46,
      48,52,50,50,56,101,45,48,54,32,49,46,48,53,51,57,54,101,45,48,54,32,49,46,48,
      54,54,53,50,101,45,48,54,10,32,32,49,46,48,56,48,50,50,101,45,48,54,32,49,46,
      48,57,52,52,51,101,45,48,54,32,49,46,49,48,57,52,55,101,45,48,54,32,49,46,49,
      50,53,53,50,101,45,48,54,32,49,46,49,52,50,56,54,101,45,48,54,32,49,46,49,54,
      49,52,49,101,45,48,54,32,49,46,49,56,48,56,52,101,45,48,54,10,32,32,49,46,50,
      48,49,56,51,101,45,48,54,32,49,46,50,50,52,57,50,101,45,48,54,32,49,46,50,52,
      56,55,54,101,45,48,54,32,49,46,50,55,52,101,45,48,54,32,49,46,51,48,50,56,50,
      101,45,48,54,32,49,46,51,51,50,51,50,101,45,48,54,32,49,46,51,54,50,53,57,101,
      45,48,54,10,32,32,49,46,51,57,56,53,52,101,45,48,54,32,49,46,52,51,53,50,101,
      45,48,54,32,49,46,52,55,50,53,55,101,45,48,54,32,49,46,53,49,54,50,53,101,45,
      48,54,32,49,46,53,54,49,56,49,101,45,48,54,32,49,46,54,48,56,51,51,101,45,48,
      54,32,49,46,54,54,49,48,56,101,45,48,54,10,32,32,49,46,55,49,55,54,49,101,45,
      48,54,32,49,46,55,55,53,53,54,101,45,48,54,32,49,46,56,51,57,50,49,101,45,48,
      54,32,49,46,57,48,56,55,53,101,45,48,54,32,49,46,57,56,48,53,52,101,45,48,54,
      32,50,46,48,53,55,49,57,101,45,48,54,32,50,46,49,52,49,51,57,101,45,48,54,10,
      32,32,50,46,50,50,56,57,50,101,45,48,54,32,50,46,51,50,48,55,54,101,45,48,54,
      32,50,46,52,50,48,51,101,45,48,54,32,50,46,53,50,52,50,54,101,45,48,54,32,50,
      46,54,51,50,57,50,101,45,48,54,32,50,46,55,52,55,48,56,101,45,48,54,32,50,46,
      56,54,54,53,54,101,45,48,54,10,32,32,50,46,57,57,49,54,52,101,45,48,54,32,51,
      46,49,49,56,56,56,101,45,48,54,32,51,46,50,53,49,50,49,101,45,48,54,32,51,46,
      51,56,57,53,52,101,45,48,54,32,51,46,53,50,56,50,57,101,45,48,54,32,51,46,54,
      55,48,49,55,101,45,48,54,32,51,46,56,49,55,56,53,101,45,48,54,10,32,32,51,46,
      57,54,54,49,49,101,45,48,54,32,52,46,49,49,52,54,57,101,45,48,54,32,52,46,50,
      54,56,54,56,101,45,48,54,32,52,46,52,50,52,52,101,45,48,54,32,52,46,53,55,56,
      49,55,101,45,48,54,32,52,46,55,51,54,56,50,101,45,48,54,32,52,46,56,57,56,57,
      49,101,45,48,54,10,32,32,53,46,48,53,56,52,49,101,45,48,54,32,53,46,50,50,50,
      52,57,101,45,48,54,32,53,46,51,57,49,49,51,101,45,48,54,32,53,46,53,53,56,49,
      56,101,45,48,54,32,53,46,55,50,57,55,50,101,45,48,54,32,53,46,57,48,53,55,53,
      101,45,48,54,32,54,46,49,52,51,53,57,101,45,48,54,10,32,32,54,46,55,50,54,53,
      101,45,48,54,32,55,46,54,54,55,55,52,101,45,48,54,32,57,46,52,51,56,55,54,101,
      45,48,54,32,49,46,49,51,57,54,49,101,45,48,53,32,49,46,51,51,54,56,55,101,45,
      48,53,32,49,46,53,49,57,52,50,101,45,48,53,32,49,46,54,56,50,51,101,45,48,53,
      10,32,32,49,46,56,51,49,52,50,101,45,48,53,32,49,46,57,55,54,54,56,101,45,48,
      53,32,50,46,49,50,54,54,101,45,48,53,32,50,46,50,56,55,56,50,101,45,48,53,32,
      50,46,52,54,52,53,49,101,45,48,53,32,50,46,54,53,56,53,49,101,45,48,53,32,50,
      46,57,49,55,52,49,101,45,48,53,10,32,32,51,46,50,48,54,51,51,101,45,48,53,32,
      51,46,54,51,56,53,56,101,45,48,53,32,52,46,49,50,49,53,49,101,45,48,53,32,52,
      46,54,53,50,55,52,101,45,48,53,32,53,46,51,55,53,55,52,101,45,48,53,32,54,46,
      49,52,56,49,56,101,45,48,53,32,54,46,57,51,54,53,51,101,45,48,53,10,32,32,55,
      46,56,52,51,57,53,101,45,48,53,32,56,46,54,54,52,56,101,45,48,53,32,57,46,54,
      51,56,52,50,101,45,48,53,32,46,48,48,48,49,48,53,54,48,51,32,46,48,48,48,49,
      49,53,48,57,54,32,46,48,48,48,49,50,54,56,56,56,32,46,48,48,48,49,52,49,57,
      52,57,32,46,48,48,48,49,54,48,52,57,53,10,32,32,46,48,48,48,49,56,50,49,56,
      50,32,46,48,48,48,50,48,54,57,54,52,32,46,48,48,48,50,51,54,50,56,54,32,46,
      48,48,48,50,54,53,52,48,55,32,46,48,48,48,50,57,54,57,54,50,32,46,48,48,48,
      51,51,53,48,55,49,32,46,48,48,48,51,55,54,54,55,32,46,48,48,48,52,49,48,57,
      56,55,10,32,32,46,48,48,48,52,53,56,50,57,52,32,46,48,48,48,53,50,50,53,51,
      32,46,48,48,48,53,57,53,51,56,54,32,46,48,48,48,54,55,51,54,56,49,32,46,48,
      48,48,55,53,55,50,52,57,32,46,48,48,48,56,51,51,48,51,56,32,46,48,48,48,57,
      48,52,49,57,56,32,46,48,48,48,57,56,50,51,51,55,10,32,32,46,48,48,49,48,56,
      49,54,55,32,46,48,48,49,49,55,54,32,46,48,48,49,50,54,51,51,55,32,46,48,48,
      49,51,50,55,57,56,32,46,48,48,49,51,56,49,49,54,32,46,48,48,49,52,50,49,48,
      57,32,46,48,48,49,52,50,54,53,56,32,46,48,48,49,52,48,57,56,53,32,46,48,48,
      49,51,56,52,49,50,10,32,32,46,48,48,49,51,51,52,52,53,32,46,48,48,49,50,54,
      48,55,56,32,46,48,48,49,49,54,52,51,55,32,46,48,48,49,48,55,52,53,51,32,46,
      48,48,49,48,48,52,52,50,32,46,48,48,48,57,53,56,53,51,52,32,46,48,48,48,57,
      49,50,52,57,49,32,46,48,48,48,56,53,52,48,55,53,10,32,32,46,48,48,48,55,56,
      57,57,49,57,32,46,48,48,48,54,51,49,49,48,49,32,46,48,48,48,52,56,49,52,55,
      56,32,46,48,48,48,51,55,53,53,51,54,32,46,48,48,48,51,48,51,51,55,49,32,46,
      48,48,48,50,56,48,56,56,57,32,46,48,48,48,50,50,54,51,52,32,46,48,48,48,49,
      56,50,55,10,32,32,46,48,48,48,49,52,56,49,48,56,32,46,48,48,48,49,50,48,56,
      55,50,32,57,46,54,49,57,54,101,45,48,53,32,56,46,49,50,56,52,57,101,45,48,53,
      32,54,46,56,54,52,53,53,101,45,48,53,32,53,46,49,56,57,56,52,101,45,48,53,32,
      52,46,51,54,56,50,57,101,45,48,53,10,32,32,51,46,51,50,53,52,53,101,45,48,53,
      32,50,46,52,56,55,52,101,45,48,53,32,50,46,48,56,56,49,55,101,45,48,53,32,49,
      46,55,53,49,48,54,101,45,48,53,32,49,46,51,50,51,57,49,101,45,48,53,32,57,46,
      55,48,56,48,53,101,45,48,54,32,56,46,49,54,54,55,50,101,45,48,54,10,32,32,54,
      46,49,55,50,49,52,101,45,48,54,32,53,46,50,48,48,50,56,101,45,48,54,32,51,46,
      57,51,49,57,55,101,45,48,54,32,51,46,49,52,55,54,57,101,45,48,54,32,51,46,51,
      57,49,49,52,101,45,48,54,32,51,46,48,48,49,57,49,101,45,48,54,32,50,46,51,55,
      52,48,49,101,45,48,54,10,32,32,49,46,56,51,49,52,101,45,48,54,32,49,46,52,55,
      53,49,51,101,45,48,54,32,49,46,49,56,56,48,50,101,45,48,54,32,57,46,55,48,49,
      52,55,101,45,48,55,32,55,46,57,52,54,52,56,101,45,48,55,32,54,46,51,54,57,50,
      49,101,45,48,55,32,53,46,50,51,50,56,101,45,48,55,10,32,32,52,46,50,49,51,52,
      50,101,45,48,55,32,51,46,53,57,50,53,49,101,45,48,55,32,50,46,55,54,57,56,55,
      101,45,48,55,32,50,46,51,54,49,54,52,101,45,48,55,32,49,46,57,51,55,49,101,
      45,48,55,32,49,46,50,50,49,50,101,45,48,55,32,54,46,52,55,51,49,56,101,45,48,
      56,10,32,32,51,46,52,56,52,57,52,101,45,48,56,32,49,46,54,48,55,51,49,101,45,
      48,56,32,55,46,52,49,52,50,53,101,45,48,57,32,50,46,57,51,48,52,50,101,45,48,
      57,32,49,46,51,53,50,51,56,101,45,48,57,32,51,46,57,50,54,53,52,101,45,49,48,
      32,49,46,50,48,55,57,51,101,45,49,48,10,32,32,53,46,50,55,48,56,57,101,45,49,
      49,32,50,46,48,56,55,52,57,101,45,49,49,32,54,46,48,55,52,54,57,101,45,49,50,
      32,50,46,48,54,51,55,50,101,45,49,50,32,55,46,48,49,52,49,55,101,45,49,51,32,
      50,46,48,52,52,50,53,101,45,49,51,32,53,46,57,53,57,55,55,101,45,49,52,10,32,
      32,50,46,48,50,55,54,52,101,45,49,52,32,54,46,57,48,48,57,55,101,45,49,53,32,
      50,46,51,52,57,52,52,101,45,49,53,32,54,46,52,54,57,50,57,101,45,49,54,32,49,
      46,54,49,54,56,54,101,45,49,54,32,51,46,52,54,54,50,50,101,45,49,55,32,56,46,
      54,55,50,48,54,101,45,49,56,10,32,32,49,46,56,53,50,49,101,45,49,56,32,52,46,
      54,51,55,50,55,101,45,49,57,32,49,46,49,53,57,53,52,101,45,49,57,32,50,46,52,
      56,53,51,49,101,45,50,48,32,52,46,55,49,52,56,56,101,45,50,49,32,49,46,50,53,
      48,53,54,101,45,50,49,32,48,114,49,48,53,32,53,46,50,49,54,49,52,101,45,49,
      54,10,32,32,56,46,51,56,53,54,52,101,45,49,53,32,52,46,50,53,49,53,54,101,45,
      49,52,32,53,46,50,49,52,53,57,101,45,49,52,32,56,46,51,56,50,53,57,101,45,49,
      51,32,52,46,50,52,56,51,101,45,49,50,32,49,46,51,52,48,52,53,101,45,49,49,32,
      51,46,50,54,53,55,50,101,45,49,49,10,32,32,54,46,55,54,52,56,101,45,49,49,32,
      49,46,50,53,48,51,54,101,45,49,48,32,50,46,49,50,56,57,49,101,45,49,48,32,51,
      46,52,48,50,53,101,45,49,48,32,53,46,49,55,51,49,50,101,45,49,48,32,55,46,53,
      53,53,48,50,101,45,49,48,32,49,46,48,54,55,51,53,101,45,48,57,10,32,32,49,46,
      52,54,54,51,50,101,45,48,57,32,49,46,57,54,55,51,50,101,45,48,57,32,50,46,53,
      56,53,57,57,101,45,48,57,32,51,46,51,51,56,57,51,101,45,48,57,32,52,46,50,52,
      52,55,56,101,45,48,57,32,53,46,51,50,49,53,56,101,45,48,57,32,54,46,53,56,57,
      51,55,101,45,48,57,10,32,32,56,46,48,54,56,56,54,101,45,48,57,32,57,46,55,56,
      49,56,49,101,45,48,57,32,49,46,49,55,53,48,56,101,45,48,56,32,49,46,51,57,57,
      52,101,45,48,56,32,49,46,54,53,52,50,54,101,45,48,56,32,49,46,57,52,50,51,50,
      101,45,48,56,32,50,46,50,54,50,55,54,101,45,48,56,10,32,32,50,46,54,49,57,50,
      56,101,45,48,56,32,51,46,48,49,53,51,101,45,48,56,32,51,46,52,52,57,53,101,
      45,48,56,32,51,46,57,50,51,48,52,101,45,48,56,32,52,46,52,52,49,56,49,101,45,
      48,56,32,53,46,48,48,50,54,55,101,45,48,56,32,53,46,54,48,48,54,53,101,45,48,
      56,10,32,32,54,46,50,52,55,51,49,101,45,48,56,32,54,46,57,52,48,49,101,45,48,
      56,32,55,46,54,53,57,53,50,101,45,48,56,32,56,46,52,50,56,56,49,101,45,48,56,
      32,57,46,50,52,57,52,56,101,45,48,56,32,49,46,48,48,55,56,54,101,45,48,55,32,
      49,46,48,57,53,54,53,101,45,48,55,10,32,32,49,46,49,56,56,52,54,101,45,48,55,
      32,49,46,50,56,49,53,57,101,45,48,55,32,49,46,51,55,56,53,50,101,45,48,55,32,
      49,46,52,56,48,50,51,101,45,48,55,32,49,46,53,56,50,52,52,101,45,48,55,32,49,
      46,54,56,55,48,55,101,45,48,55,32,49,46,55,57,54,50,56,101,45,48,55,10,32,32,
      49,46,57,48,54,56,53,101,45,48,55,32,50,46,48,49,56,54,57,101,45,48,55,32,50,
      46,49,51,53,101,45,48,55,32,50,46,50,53,51,56,50,101,45,48,55,32,50,46,51,55,
      51,49,52,101,45,48,55,32,50,46,52,57,54,57,49,101,45,48,55,32,50,46,54,50,52,
      51,52,101,45,48,55,10,32,32,50,46,55,53,50,49,53,101,45,48,55,32,50,46,56,56,
      52,52,56,101,45,48,55,32,51,46,48,50,49,51,52,101,45,48,55,32,51,46,49,53,56,
      54,50,101,45,48,55,32,51,46,51,48,48,52,56,101,45,48,55,32,51,46,52,52,55,48,
      53,101,45,48,55,32,51,46,53,57,52,54,57,101,45,48,55,10,32,32,51,46,55,52,54,
      53,51,101,45,48,55,32,51,46,57,48,51,48,53,101,45,48,55,32,52,46,48,54,48,53,
      54,101,45,48,55,32,52,46,50,50,49,51,101,45,48,55,32,52,46,51,56,54,55,49,101,
      45,48,55,32,52,46,53,53,50,52,57,101,45,48,55,32,52,46,55,49,56,56,101,45,48,
      55,10,32,32,52,46,56,57,48,48,53,101,45,48,55,32,53,46,48,54,49,52,49,101,45,
      48,55,32,53,46,50,50,56,51,57,101,45,48,55,32,53,46,52,48,48,51,54,101,45,48,
      55,32,53,46,53,55,51,53,56,101,45,48,55,32,53,46,55,51,52,52,54,101,45,48,55,
      32,53,46,57,48,48,52,55,101,45,48,55,10,32,32,54,46,48,55,49,50,55,101,45,48,
      55,32,54,46,50,49,56,56,56,101,45,48,55,32,54,46,51,55,50,48,55,101,45,48,55,
      32,54,46,53,51,48,55,57,101,45,48,55,32,54,46,54,54,52,56,54,101,45,48,55,32,
      54,46,55,57,57,56,51,101,45,48,55,32,54,46,57,52,49,49,50,101,45,48,55,10,32,
      32,55,46,48,54,49,48,52,101,45,48,55,32,55,46,49,55,53,53,53,101,45,48,55,32,
      55,46,50,57,55,52,56,101,45,48,55,32,55,46,52,48,52,57,49,101,45,48,55,32,55,
      46,53,48,48,54,49,101,45,48,55,32,55,46,54,48,53,48,51,101,45,48,55,32,55,46,
      55,48,51,55,52,101,45,48,55,10,32,32,55,46,55,56,53,57,57,101,45,48,55,32,55,
      46,56,55,56,49,101,45,48,55,32,55,46,57,55,51,48,54,101,45,48,55,32,56,46,48,
      52,57,55,51,101,45,48,55,32,56,46,49,51,54,56,54,101,45,48,55,32,56,46,50,51,
      51,51,50,101,45,48,55,32,56,46,51,49,51,51,54,101,45,48,55,10,32,32,56,46,52,
      48,51,56,54,101,45,48,55,32,56,46,53,48,52,49,51,101,45,48,55,32,56,46,53,57,
      57,51,57,101,45,48,55,32,56,46,55,48,49,56,49,101,45,48,55,32,56,46,56,49,51,
      53,52,101,45,48,55,32,56,46,57,50,57,53,49,101,45,48,55,32,57,46,48,53,50,49,
      50,101,45,48,55,10,32,32,57,46,49,56,51,48,52,101,45,48,55,32,57,46,51,50,52,
      53,50,101,45,48,55,32,57,46,52,55,53,56,53,101,45,48,55,32,57,46,54,51,52,51,
      53,101,45,48,55,32,57,46,56,48,53,53,54,101,45,48,55,32,57,46,57,57,51,57,54,
      101,45,48,55,32,49,46,48,49,56,56,52,101,45,48,54,10,32,32,49,46,48,51,57,52,
      51,101,45,48,54,32,49,46,48,54,50,57,53,101,45,48,54,32,49,46,48,56,55,48,50,
      101,45,48,54,32,49,46,49,49,49,55,50,101,45,48,54,32,49,46,49,52,49,48,53,101,
      45,48,54,32,49,46,49,55,48,57,54,101,45,48,54,32,49,46,50,48,49,52,54,101,45,
      48,54,10,32,32,49,46,50,51,55,49,101,45,48,54,32,49,46,50,55,52,50,55,101,45,
      48,54,32,49,46,51,49,50,50,51,101,45,48,54,32,49,46,51,53,53,50,56,101,45,48,
      54,32,49,46,52,48,49,52,49,101,45,48,54,32,49,46,52,52,56,55,101,45,48,54,32,
      49,46,53,48,48,54,52,101,45,48,54,10,32,32,49,46,53,53,55,51,56,101,45,48,54,
      32,49,46,54,49,53,57,54,101,45,48,54,32,49,46,54,55,56,53,49,101,45,48,54,32,
      49,46,55,52,55,50,50,101,45,48,54,32,49,46,56,49,56,54,53,101,45,48,54,32,49,
      46,56,57,51,53,57,101,45,48,54,32,49,46,57,55,52,56,50,101,45,48,54,10,32,32,
      50,46,48,53,57,54,52,101,45,48,54,32,50,46,49,52,56,51,101,45,48,54,32,50,46,
      50,52,49,52,52,101,45,48,54,32,50,46,51,51,56,57,49,101,45,48,54,32,50,46,52,
      52,48,57,53,101,45,48,54,32,50,46,53,52,52,55,53,101,45,48,54,32,50,46,54,53,
      50,54,57,101,45,48,54,10,32,32,50,46,55,54,53,53,49,101,45,48,54,32,50,46,56,
      55,56,54,54,101,45,48,54,32,50,46,57,57,52,51,53,101,45,48,54,32,51,46,49,49,
      52,55,54,101,45,48,54,32,51,46,50,51,53,54,51,101,45,48,54,32,51,46,51,53,54,
      55,53,101,45,48,54,32,51,46,52,56,50,50,55,101,45,48,54,10,32,32,51,46,54,48,
      57,49,56,101,45,48,54,32,51,46,55,51,52,52,56,101,45,48,54,32,51,46,56,54,51,
      55,53,101,45,48,54,32,51,46,57,57,53,56,101,45,48,54,32,52,46,49,50,53,55,51,
      101,45,48,54,32,52,46,50,53,57,51,55,101,45,48,54,32,52,46,51,57,54,55,49,101,
      45,48,54,10,32,32,52,46,53,51,50,55,51,101,45,48,54,32,52,46,54,55,50,52,101,
      45,48,54,32,52,46,56,49,53,55,101,45,48,54,32,53,46,48,48,57,50,57,101,45,48,
      54,32,53,46,52,56,51,53,56,101,45,48,54,32,54,46,50,52,56,56,57,101,45,48,54,
      32,55,46,54,56,55,48,53,101,45,48,54,10,32,32,57,46,50,55,51,55,49,101,45,48,
      54,32,49,46,48,56,55,48,53,101,45,48,53,32,49,46,50,51,52,55,52,101,45,48,53,
      32,49,46,51,54,54,53,55,101,45,48,53,32,49,46,52,56,55,51,49,101,45,48,53,32,
      49,46,54,48,52,57,53,101,45,48,53,32,49,46,55,50,54,50,57,101,45,48,53,10,32,
      32,49,46,56,53,54,54,52,101,45,48,53,32,49,46,57,57,57,51,51,101,45,48,53,32,
      50,46,49,53,53,56,101,45,48,53,32,50,46,51,54,52,51,101,45,48,53,32,50,46,53,
      57,54,53,57,101,45,48,53,32,50,46,57,52,51,51,55,101,45,48,53,32,51,46,51,50,
      57,56,53,101,45,48,53,10,32,32,51,46,55,53,51,57,52,101,45,48,53,32,52,46,51,
      50,57,54,101,45,48,53,32,52,46,57,52,50,57,51,101,45,48,53,32,53,46,53,54,55,
      57,55,101,45,48,53,32,54,46,50,56,55,48,57,101,45,48,53,32,54,46,57,51,56,51,
      53,101,45,48,53,32,55,46,55,49,50,51,51,101,45,48,53,10,32,32,56,46,52,52,53,
      56,51,101,45,48,53,32,57,46,50,48,48,53,52,101,45,48,53,32,46,48,48,48,49,48,
      49,51,54,50,32,46,48,48,48,49,49,51,50,56,52,32,46,48,48,48,49,50,55,57,52,
      51,32,46,48,48,48,49,52,53,48,56,49,32,46,48,48,48,49,54,52,54,55,52,32,46,
      48,48,48,49,56,55,56,56,56,10,32,32,46,48,48,48,50,49,48,57,56,55,32,46,48,
      48,48,50,51,54,48,53,56,32,46,48,48,48,50,54,54,51,57,54,32,46,48,48,48,50,
      57,57,53,54,50,32,46,48,48,48,51,50,54,57,57,54,32,46,48,48,48,51,54,52,57,
      51,57,32,46,48,48,48,52,49,54,56,51,51,32,46,48,48,48,52,55,54,50,55,53,10,
      32,32,46,48,48,48,53,52,48,57,53,53,32,46,48,48,48,54,49,49,48,57,51,32,46,
      48,48,48,54,55,53,56,32,46,48,48,48,55,51,55,52,57,52,32,46,48,48,48,56,48,
      53,50,55,52,32,46,48,48,48,56,57,48,52,54,50,32,46,48,48,48,57,55,48,56,52,
      49,32,46,48,48,49,48,52,54,52,56,10,32,32,46,48,48,49,49,48,51,55,54,32,46,
      48,48,49,49,53,51,50,52,32,46,48,48,49,49,57,53,52,57,32,46,48,48,49,50,48,
      57,53,56,32,46,48,48,49,50,48,52,48,50,32,46,48,48,49,49,56,56,54,53,32,46,
      48,48,49,49,53,52,51,52,32,46,48,48,49,48,57,56,51,53,10,32,32,46,48,48,49,
      48,50,49,53,51,32,46,48,48,48,57,52,56,50,57,51,32,46,48,48,48,56,57,48,54,
      55,55,32,46,48,48,48,56,53,51,48,57,56,32,46,48,48,48,56,49,52,57,52,54,32,
      46,48,48,48,55,54,53,53,49,52,32,46,48,48,48,55,49,48,51,51,32,46,48,48,48,
      53,55,49,55,52,50,10,32,32,46,48,48,48,52,51,57,51,54,49,32,46,48,48,48,51,
      52,52,54,50,51,32,46,48,48,48,50,55,57,54,55,50,32,46,48,48,48,50,53,57,52,
      56,55,32,46,48,48,48,50,48,57,57,48,52,32,46,48,48,48,49,55,48,48,49,53,32,
      46,48,48,48,49,51,56,50,52,52,32,46,48,48,48,49,49,51,49,50,55,10,32,32,57,
      46,48,50,56,50,56,101,45,48,53,32,55,46,54,52,51,51,54,101,45,48,53,32,54,46,
      52,54,54,52,52,101,45,48,53,32,52,46,57,48,50,50,57,101,45,48,53,32,52,46,49,
      51,50,55,50,101,45,48,53,32,51,46,49,53,51,51,54,101,45,48,53,32,50,46,51,54,
      51,57,57,101,45,48,53,10,32,32,49,46,57,56,55,48,55,101,45,48,53,32,49,46,54,
      54,56,50,56,101,45,48,53,32,49,46,50,54,51,53,56,101,45,48,53,32,57,46,50,56,
      50,55,50,101,45,48,54,32,55,46,56,49,54,52,57,101,45,48,54,32,53,46,57,49,54,
      50,51,101,45,48,54,32,52,46,57,56,56,57,50,101,45,48,54,10,32,32,51,46,55,55,
      55,48,57,101,45,48,54,32,51,46,48,51,48,56,55,101,45,48,54,32,51,46,50,49,50,
      52,50,101,45,48,54,32,50,46,56,52,52,55,53,101,45,48,54,32,50,46,50,53,49,50,
      52,101,45,48,54,32,49,46,55,51,55,57,50,101,45,48,54,32,49,46,52,48,48,53,57,
      101,45,48,54,10,32,32,49,46,49,50,56,54,51,101,45,48,54,32,57,46,50,50,49,50,
      56,101,45,48,55,32,55,46,53,53,54,56,57,101,45,48,55,32,54,46,48,54,48,50,49,
      101,45,48,55,32,52,46,57,56,49,50,51,101,45,48,55,32,52,46,48,49,50,56,51,101,
      45,48,55,32,51,46,52,50,50,54,56,101,45,48,55,10,32,32,50,46,54,52,48,52,101,
      45,48,55,32,50,46,50,53,50,101,45,48,55,32,49,46,56,52,55,57,51,101,45,48,55,
      32,49,46,49,54,54,48,53,101,45,48,55,32,54,46,49,56,55,57,49,101,45,48,56,32,
      51,46,51,51,52,52,56,101,45,48,56,32,49,46,53,51,57,52,49,101,45,48,56,10,32,
      32,55,46,49,48,55,54,54,101,45,48,57,32,50,46,56,49,50,51,49,101,45,48,57,32,
      49,46,50,57,56,57,56,101,45,48,57,32,51,46,55,55,54,50,52,101,45,49,48,32,49,
      46,49,54,50,57,54,101,45,49,48,32,53,46,48,55,56,48,49,101,45,49,49,32,50,46,
      48,49,50,51,52,101,45,49,49,10,32,32,53,46,56,54,48,51,51,101,45,49,50,32,49,
      46,57,57,50,49,49,101,45,49,50,32,54,46,55,55,52,53,57,101,45,49,51,32,49,46,
      57,55,53,55,55,101,45,49,51,32,53,46,55,54,53,49,51,101,45,49,52,32,49,46,57,
      54,50,57,54,101,45,49,52,32,54,46,54,56,53,57,51,101,45,49,53,10,32,32,50,46,
      50,55,55,57,54,101,45,49,53,32,54,46,50,56,52,48,55,101,45,49,54,32,49,46,53,
      55,50,48,52,101,45,49,54,32,51,46,51,55,51,49,101,45,49,55,32,56,46,52,52,52,
      54,49,101,45,49,56,32,49,46,56,48,52,51,56,101,45,49,56,32,52,46,53,49,57,54,
      54,101,45,49,57,10,32,32,49,46,49,51,50,53,55,101,45,49,57,32,50,46,52,50,51,
      55,52,101,45,50,48,32,52,46,53,57,55,51,51,101,45,50,49,32,49,46,50,49,54,48,
      57,101,45,50,49,32,48,114,49,48,53,32,51,46,50,52,54,52,56,101,45,49,54,32,
      53,46,50,49,57,49,56,101,45,49,53,32,50,46,54,52,54,49,55,101,45,49,52,10,32,
      32,51,46,50,52,53,53,54,101,45,49,52,32,53,46,50,49,57,54,56,101,45,49,51,32,
      50,46,54,52,53,53,54,101,45,49,50,32,56,46,51,52,56,54,53,101,45,49,50,32,50,
      46,48,51,52,51,101,45,49,49,32,52,46,50,49,52,56,49,101,45,49,49,32,55,46,55,
      57,50,49,53,101,45,49,49,10,32,32,49,46,51,50,55,48,55,101,45,49,48,32,50,46,
      49,50,49,54,101,45,49,48,32,51,46,50,50,54,55,101,45,49,48,32,52,46,55,49,52,
      48,56,101,45,49,48,32,54,46,54,54,50,52,55,101,45,49,48,32,57,46,49,53,54,55,
      52,101,45,49,48,32,49,46,50,50,57,48,57,101,45,48,57,10,32,32,49,46,54,49,54,
      51,57,101,45,48,57,32,50,46,48,56,56,48,57,101,45,48,57,32,50,46,54,53,54,48,
      50,101,45,48,57,32,51,46,51,51,49,55,101,45,48,57,32,52,46,49,50,55,56,57,101,
      45,48,57,32,53,46,48,53,55,56,55,101,45,48,57,32,54,46,49,51,53,53,57,101,45,
      48,57,10,32,32,55,46,51,55,53,54,50,101,45,48,57,32,56,46,55,56,57,53,53,101,
      45,48,57,32,49,46,48,51,57,52,52,101,45,48,56,32,49,46,50,50,48,55,52,101,45,
      48,56,32,49,46,52,50,51,50,52,101,45,48,56,32,49,46,54,52,56,56,101,45,48,56,
      32,49,46,56,57,57,54,54,101,45,48,56,10,32,32,50,46,49,55,53,48,50,101,45,48,
      56,32,50,46,52,55,53,54,55,101,45,48,56,32,50,46,56,48,54,48,52,101,45,48,56,
      32,51,46,49,54,51,50,56,101,45,48,56,32,51,46,53,52,52,54,56,101,45,48,56,32,
      51,46,57,53,55,50,54,101,45,48,56,32,52,46,51,57,57,55,51,101,45,48,56,10,32,
      32,52,46,56,53,57,53,52,101,45,48,56,32,53,46,51,53,49,55,52,101,45,48,56,32,
      53,46,56,55,55,51,53,101,45,48,56,32,54,46,52,48,56,53,101,45,48,56,32,54,46,
      57,55,49,51,56,101,45,48,56,32,55,46,53,54,55,101,45,48,56,32,56,46,49,54,52,
      54,51,101,45,48,56,10,32,32,56,46,55,56,55,48,49,101,45,48,56,32,57,46,52,52,
      48,53,54,101,45,48,56,32,49,46,48,48,57,55,50,101,45,48,55,32,49,46,48,55,54,
      57,53,101,45,48,55,32,49,46,49,52,55,49,54,101,45,48,55,32,49,46,50,49,56,50,
      52,101,45,48,55,32,49,46,50,57,48,49,50,101,45,48,55,10,32,32,49,46,51,54,52,
      57,49,101,45,48,55,32,49,46,52,52,49,51,49,101,45,48,55,32,49,46,53,49,56,48,
      49,101,45,48,55,32,49,46,53,57,55,54,101,45,48,55,32,49,46,54,55,57,53,54,101,
      45,48,55,32,49,46,55,54,49,55,51,101,45,48,55,32,49,46,56,52,54,56,50,101,45,
      48,55,10,32,32,49,46,57,51,52,56,56,101,45,48,55,32,50,46,48,50,51,49,52,101,
      45,48,55,32,50,46,49,49,52,51,57,101,45,48,55,32,50,46,50,48,56,55,101,45,48,
      55,32,50,46,51,48,51,54,55,101,45,48,55,32,50,46,52,48,49,50,55,101,45,48,55,
      32,50,46,53,48,49,57,57,101,45,48,55,10,32,32,50,46,54,48,51,51,49,101,45,48,
      55,32,50,46,55,48,54,53,54,101,45,48,55,32,50,46,56,49,50,57,56,101,45,48,55,
      32,50,46,57,49,57,53,57,101,45,48,55,32,51,46,48,50,54,52,56,101,45,48,55,32,
      51,46,49,51,54,53,57,101,45,48,55,32,51,46,50,52,54,54,57,101,45,48,55,10,32,
      32,51,46,51,53,51,56,51,101,45,48,55,32,51,46,52,54,52,50,49,101,45,48,55,32,
      51,46,53,55,53,51,52,101,45,48,55,32,51,46,54,55,56,50,49,101,45,48,55,32,51,
      46,55,56,52,52,50,101,45,48,55,32,51,46,56,57,51,55,52,101,45,48,55,32,51,46,
      57,56,55,54,101,45,48,55,10,32,32,52,46,48,56,53,49,49,101,45,48,55,32,52,46,
      49,56,54,50,50,101,45,48,55,32,52,46,50,55,48,57,52,101,45,48,55,32,52,46,51,
      53,54,51,55,101,45,48,55,32,52,46,52,52,53,55,57,101,45,48,55,32,52,46,53,50,
      49,48,52,101,45,48,55,32,52,46,53,57,50,56,52,101,45,48,55,10,32,32,52,46,54,
      54,57,51,57,101,45,48,55,32,52,46,55,51,54,51,54,101,45,48,55,32,52,46,55,57,
      53,54,49,101,45,48,55,32,52,46,56,54,48,54,50,101,45,48,55,32,52,46,57,50,49,
      56,57,101,45,48,55,32,52,46,57,55,50,51,54,101,45,48,55,32,53,46,48,50,57,51,
      54,101,45,48,55,10,32,32,53,46,48,56,56,50,56,101,45,48,55,32,53,46,49,51,53,
      50,52,101,45,48,55,32,53,46,49,56,57,49,51,101,45,48,55,32,53,46,50,52,57,49,
      55,101,45,48,55,32,53,46,50,57,56,53,51,101,45,48,55,32,53,46,51,53,52,56,49,
      101,45,48,55,32,53,46,52,49,55,53,49,101,45,48,55,10,32,32,53,46,52,55,55,48,
      49,101,45,48,55,32,53,46,53,52,49,50,52,101,45,48,55,32,53,46,54,49,49,53,57,
      101,45,48,55,32,53,46,54,56,52,55,55,101,45,48,55,32,53,46,55,54,50,51,50,101,
      45,48,55,32,53,46,56,52,53,51,50,101,45,48,55,32,53,46,57,51,53,50,51,101,45,
      48,55,10,32,32,54,46,48,51,49,53,57,101,45,48,55,32,54,46,49,51,50,54,53,101,
      45,48,55,32,54,46,50,52,50,48,49,101,45,48,55,32,54,46,51,54,50,53,53,101,45,
      48,55,32,54,46,52,56,55,48,54,101,45,48,55,32,54,46,54,49,57,48,55,101,45,48,
      55,32,54,46,55,55,48,48,54,101,45,48,55,10,32,32,54,46,57,50,52,54,52,101,45,
      48,55,32,55,46,48,56,51,52,50,101,45,48,55,32,55,46,50,55,50,50,49,101,45,48,
      55,32,55,46,52,54,52,56,101,45,48,55,32,55,46,54,54,49,50,55,101,45,48,55,32,
      55,46,56,57,49,49,53,101,45,48,55,32,56,46,49,51,49,48,53,101,45,48,55,10,32,
      32,56,46,51,55,54,49,51,101,45,48,55,32,56,46,54,53,52,51,51,101,45,48,55,32,
      56,46,57,53,50,54,52,101,45,48,55,32,57,46,50,53,56,54,56,101,45,48,55,32,57,
      46,53,57,53,48,57,101,45,48,55,32,57,46,57,54,50,57,54,101,45,48,55,32,49,46,
      48,51,52,51,49,101,45,48,54,10,32,32,49,46,48,55,52,57,51,101,45,48,54,32,49,
      46,49,49,57,54,49,101,45,48,54,32,49,46,49,54,54,49,49,101,45,48,54,32,49,46,
      50,49,52,57,52,101,45,48,54,32,49,46,50,54,55,57,53,101,45,48,54,32,49,46,51,
      50,51,51,56,101,45,48,54,32,49,46,51,56,49,51,57,101,45,48,54,10,32,32,49,46,
      52,52,50,52,50,101,45,48,54,32,49,46,53,48,54,51,57,101,45,48,54,32,49,46,53,
      55,51,52,54,101,45,48,54,32,49,46,54,52,49,55,57,101,45,48,54,32,49,46,55,49,
      50,57,52,101,45,48,54,32,49,46,55,56,55,52,53,101,45,48,54,32,49,46,56,54,50,
      50,55,101,45,48,54,10,32,32,49,46,57,51,56,56,56,101,45,48,54,32,50,46,48,49,
      56,55,53,101,45,48,54,32,50,46,48,57,57,48,51,101,45,48,54,32,50,46,49,55,57,
      53,55,101,45,48,54,32,50,46,50,54,51,49,55,101,45,48,54,32,50,46,51,52,55,56,
      49,101,45,48,54,32,50,46,52,51,49,52,52,101,45,48,54,10,32,32,50,46,53,49,55,
      56,54,101,45,48,54,32,50,46,54,48,54,50,54,101,45,48,54,32,50,46,54,57,51,50,
      57,101,45,48,54,32,50,46,55,56,50,57,50,101,45,48,54,32,50,46,56,55,53,49,56,
      101,45,48,54,32,50,46,57,54,54,54,51,101,45,48,54,32,51,46,48,54,48,54,52,101,
      45,48,54,10,32,32,51,46,49,53,55,50,51,101,45,48,54,32,51,46,50,56,55,57,101,
      45,48,54,32,51,46,54,48,57,101,45,48,54,32,52,46,49,51,48,48,54,101,45,48,54,
      32,53,46,49,49,56,53,53,101,45,48,54,32,54,46,50,50,49,49,50,101,45,48,54,32,
      55,46,51,51,56,54,53,101,45,48,54,10,32,32,56,46,51,55,51,54,51,101,45,48,54,
      32,57,46,50,57,52,50,57,101,45,48,54,32,49,46,48,49,51,52,51,101,45,48,53,32,
      49,46,48,57,53,49,57,101,45,48,53,32,49,46,49,55,57,56,101,45,48,53,32,49,46,
      50,55,49,50,49,101,45,48,53,32,49,46,51,55,49,57,52,101,45,48,53,10,32,32,49,
      46,52,56,51,49,52,101,45,48,53,32,49,46,54,51,50,52,54,101,45,48,53,32,49,46,
      56,48,48,49,54,101,45,48,53,32,50,46,48,53,50,56,55,101,45,48,53,32,50,46,51,
      51,55,52,50,101,45,48,53,32,50,46,54,53,50,55,101,45,48,53,32,51,46,48,56,52,
      57,101,45,48,53,10,32,32,51,46,53,52,57,55,101,45,48,53,32,52,46,48,50,54,48,
      52,101,45,48,53,32,52,46,53,55,52,55,51,101,45,48,53,32,53,46,48,54,57,52,101,
      45,48,53,32,53,46,54,53,50,54,52,101,45,48,53,32,54,46,50,48,51,50,57,101,45,
      48,53,32,54,46,55,55,49,55,52,101,45,48,53,10,32,32,55,46,52,56,50,55,49,101,
      45,48,53,32,56,46,51,57,57,101,45,48,53,32,57,46,53,51,53,55,55,101,45,48,53,
      32,46,48,48,48,49,48,56,55,50,53,32,46,48,48,48,49,50,52,48,56,49,32,46,48,
      48,48,49,52,50,51,51,32,46,48,48,48,49,54,48,53,48,52,32,46,48,48,48,49,56,
      48,49,57,50,10,32,32,46,48,48,48,50,48,51,57,50,49,32,46,48,48,48,50,50,57,
      57,52,55,32,46,48,48,48,50,53,49,54,50,51,32,46,48,48,48,50,56,49,56,53,56,
      32,46,48,48,48,51,50,51,54,48,57,32,46,48,48,48,51,55,49,56,56,52,32,46,48,
      48,48,52,50,52,57,50,54,32,46,48,48,48,52,56,51,49,56,55,10,32,32,46,48,48,
      48,53,51,55,55,48,53,32,46,48,48,48,53,57,48,51,54,50,32,46,48,48,48,54,52,
      56,49,57,51,32,46,48,48,48,55,50,48,48,51,55,32,46,48,48,48,55,56,55,51,57,
      49,32,46,48,48,48,56,53,49,55,54,56,32,46,48,48,48,57,48,49,54,54,52,32,46,
      48,48,48,57,52,54,54,57,49,10,32,32,46,48,48,48,57,56,57,49,56,53,32,46,48,
      48,49,48,48,57,49,57,32,46,48,48,49,48,49,50,50,57,32,46,48,48,49,48,48,53,
      51,51,32,46,48,48,48,57,56,51,56,55,32,46,48,48,48,57,52,51,50,53,50,32,46,
      48,48,48,56,56,51,57,53,55,32,46,48,48,48,56,50,53,56,48,50,10,32,32,46,48,
      48,48,55,55,57,54,53,51,32,46,48,48,48,55,52,57,55,48,50,32,46,48,48,48,55,
      49,56,56,56,51,32,46,48,48,48,54,55,55,57,49,52,32,46,48,48,48,54,51,49,50,
      56,50,32,46,48,48,48,53,49,50,50,51,56,32,46,48,48,48,51,57,54,55,54,56,32,
      46,48,48,48,51,49,51,49,53,52,10,32,32,46,48,48,48,50,53,53,52,48,53,32,46,
      48,48,48,50,51,55,53,48,57,32,46,48,48,48,49,57,50,57,52,56,32,46,48,48,48,
      49,53,54,56,56,49,32,46,48,48,48,49,50,55,57,57,54,32,46,48,48,48,49,48,53,
      48,53,51,32,56,46,52,48,57,54,51,101,45,48,53,32,55,46,49,51,52,53,53,101,45,
      48,53,10,32,32,54,46,48,52,56,48,49,101,45,48,53,32,52,46,53,57,57,101,45,48,
      53,32,51,46,56,56,51,55,57,101,45,48,53,32,50,46,57,55,49,48,51,101,45,48,53,
      32,50,46,50,51,50,56,56,101,45,48,53,32,49,46,56,55,57,52,57,101,45,48,53,32,
      49,46,53,56,48,49,101,45,48,53,10,32,32,49,46,49,57,57,49,57,101,45,48,53,32,
      56,46,56,50,55,55,56,101,45,48,54,32,55,46,52,52,49,51,55,101,45,48,54,32,53,
      46,54,52,49,53,50,101,45,48,54,32,52,46,55,54,49,56,101,45,48,54,32,51,46,54,
      49,48,52,51,101,45,48,54,32,50,46,57,49,53,56,51,101,45,48,54,10,32,32,51,46,
      48,50,53,56,54,101,45,48,54,32,50,46,54,56,48,54,56,101,45,48,54,32,50,46,49,
      50,51,48,51,101,45,48,54,32,49,46,54,52,48,50,53,101,45,48,54,32,49,46,51,50,
      50,55,49,101,45,48,54,32,49,46,48,54,54,53,51,101,45,48,54,32,56,46,55,49,56,
      54,51,101,45,48,55,10,32,32,55,46,49,52,56,54,57,101,45,48,55,32,53,46,55,51,
      54,48,52,101,45,48,55,32,52,46,55,49,55,48,51,101,45,48,55,32,51,46,56,48,49,
      57,50,101,45,48,55,32,51,46,50,52,51,57,56,101,45,48,55,32,50,46,53,48,51,57,
      55,101,45,48,55,32,50,46,49,51,54,51,54,101,45,48,55,10,32,32,49,46,55,53,51,
      55,54,101,45,48,55,32,49,46,49,48,55,53,57,101,45,48,55,32,53,46,56,56,52,49,
      55,101,45,48,56,32,51,46,49,55,52,50,101,45,48,56,32,49,46,52,54,55,51,54,101,
      45,48,56,32,54,46,55,56,51,51,50,101,45,48,57,32,50,46,54,56,55,54,55,101,45,
      48,57,10,32,32,49,46,50,52,50,55,51,101,45,48,57,32,51,46,54,49,55,51,50,101,
      45,49,48,32,49,46,49,49,53,49,50,101,45,49,48,32,52,46,56,55,50,52,54,101,45,
      49,49,32,49,46,57,51,50,52,52,101,45,49,49,32,53,46,54,51,51,52,101,45,49,50,
      32,49,46,57,49,54,53,57,101,45,49,50,10,32,32,54,46,53,50,51,48,49,101,45,49,
      51,32,49,46,57,48,52,48,57,101,45,49,51,32,53,46,53,53,57,55,51,101,45,49,52,
      32,49,46,56,57,51,57,52,101,45,49,52,32,54,46,52,53,51,55,54,101,45,49,53,32,
      50,46,49,57,57,56,49,101,45,49,53,32,54,46,48,55,55,101,45,49,54,10,32,32,49,
      46,53,50,49,49,54,101,45,49,54,32,51,46,50,54,54,52,51,101,45,49,55,32,56,46,
      49,56,51,56,52,101,45,49,56,32,49,46,55,53,48,52,51,101,45,49,56,32,52,46,51,
      56,56,49,53,101,45,49,57,32,49,46,49,48,48,54,49,101,45,49,57,32,50,46,51,53,
      54,55,56,101,45,50,48,10,32,32,52,46,52,55,48,56,101,45,50,49,32,49,46,49,55,
      57,53,52,101,45,50,49,32,48,114,49,48,53,32,50,46,48,48,50,55,57,101,45,49,
      54,32,51,46,50,49,57,55,57,101,45,49,53,32,49,46,54,51,50,52,55,101,45,49,52,
      32,50,46,48,48,50,50,53,101,45,49,52,32,51,46,50,50,52,52,54,101,45,49,51,10,
      32,32,49,46,54,51,52,51,57,101,45,49,50,32,53,46,49,53,56,52,57,101,45,49,50,
      32,49,46,50,53,55,49,49,101,45,49,49,32,50,46,54,48,52,57,52,101,45,49,49,32,
      52,46,56,49,54,55,49,101,45,49,49,32,56,46,50,48,52,56,57,101,45,49,49,32,49,
      46,51,49,50,48,49,101,45,49,48,10,32,32,49,46,57,57,53,56,57,101,45,49,48,32,
      50,46,57,49,54,54,57,101,45,49,48,32,52,46,49,50,51,51,56,101,45,49,48,32,53,
      46,54,54,56,56,52,101,45,49,48,32,55,46,54,49,49,55,50,101,45,49,48,32,49,46,
      48,48,49,51,56,101,45,48,57,32,49,46,50,57,52,48,57,101,45,48,57,10,32,32,49,
      46,54,52,54,55,51,101,45,48,57,32,50,46,48,54,54,53,50,101,45,48,57,32,50,46,
      53,54,49,53,50,101,45,48,57,32,51,46,49,52,48,48,54,101,45,48,57,32,51,46,56,
      49,49,48,49,101,45,48,57,32,52,46,53,56,51,53,54,101,45,48,57,32,53,46,52,54,
      53,49,49,101,45,48,57,10,32,32,54,46,52,54,54,52,56,101,45,48,57,32,55,46,53,
      57,56,54,55,101,45,48,57,32,56,46,56,54,52,50,55,101,45,48,57,32,49,46,48,50,
      55,53,49,101,45,48,56,32,49,46,49,56,52,53,54,101,45,48,56,32,49,46,51,53,55,
      48,57,101,45,48,56,32,49,46,53,52,53,54,50,101,45,48,56,10,32,32,49,46,55,53,
      50,54,101,45,48,56,32,49,46,57,55,54,56,50,101,45,48,56,32,50,46,50,49,54,50,
      57,101,45,48,56,32,50,46,52,55,53,55,57,101,45,48,56,32,50,46,55,53,52,51,51,
      101,45,48,56,32,51,46,48,52,51,57,51,101,45,48,56,32,51,46,51,53,52,49,57,101,
      45,48,56,10,32,32,51,46,54,56,53,55,56,101,45,48,56,32,52,46,48,50,48,57,51,
      101,45,48,56,32,52,46,51,55,54,51,53,101,45,48,56,32,52,46,55,53,50,56,55,101,
      45,48,56,32,53,46,49,51,48,52,57,101,45,48,56,32,53,46,53,50,52,50,54,101,45,
      48,56,32,53,46,57,51,56,49,57,101,45,48,56,10,32,32,54,46,51,53,51,53,101,45,
      48,56,32,54,46,55,55,56,56,101,45,48,56,32,55,46,50,50,51,49,50,101,45,48,56,
      32,55,46,54,55,50,57,53,101,45,48,56,32,56,46,49,50,55,55,55,101,45,48,56,32,
      56,46,54,48,49,49,52,101,45,48,56,32,57,46,48,56,52,55,54,101,45,48,56,10,32,
      32,57,46,53,55,48,49,50,101,45,48,56,32,49,46,48,48,55,51,57,101,45,48,55,32,
      49,46,48,53,57,50,56,101,45,48,55,32,49,46,49,49,49,50,56,101,45,48,55,32,49,
      46,49,54,53,49,53,101,45,48,55,32,49,46,50,50,48,57,101,45,48,55,32,49,46,50,
      55,54,55,55,101,45,48,55,10,32,32,49,46,51,51,52,53,53,101,45,48,55,32,49,46,
      51,57,52,50,56,101,45,48,55,32,49,46,52,53,52,52,101,45,48,55,32,49,46,53,49,
      54,50,101,45,48,55,32,49,46,53,56,101,45,48,55,32,49,46,54,52,52,49,54,101,
      45,48,55,32,49,46,55,48,57,53,51,101,45,48,55,32,49,46,55,55,54,57,51,101,45,
      48,55,10,32,32,49,46,56,52,52,52,51,101,45,48,55,32,49,46,57,49,50,48,55,101,
      45,48,55,32,49,46,57,56,49,55,55,101,45,48,55,32,50,46,48,53,49,52,51,101,45,
      48,55,32,50,46,49,49,57,49,52,101,45,48,55,32,50,46,49,56,56,57,50,101,45,48,
      55,32,50,46,50,53,57,49,53,101,45,48,55,10,32,32,50,46,51,50,51,57,57,101,45,
      48,55,32,50,46,51,57,48,57,54,101,45,48,55,32,50,46,52,53,57,57,50,101,45,48,
      55,32,50,46,53,49,56,56,51,101,45,48,55,32,50,46,53,56,48,48,54,101,45,48,55,
      32,50,46,54,52,51,54,49,101,45,48,55,32,50,46,54,57,54,53,50,101,45,48,55,10,
      32,32,50,46,55,52,57,55,55,101,45,48,55,32,50,46,56,48,53,54,55,101,45,48,55,
      32,50,46,56,53,50,52,101,45,48,55,32,50,46,56,57,54,55,57,101,45,48,55,32,50,
      46,57,52,52,51,52,101,45,48,55,32,50,46,57,56,53,55,49,101,45,48,55,32,51,46,
      48,50,50,48,57,101,45,48,55,10,32,32,51,46,48,54,50,50,101,45,48,55,32,51,46,
      48,57,57,57,49,101,45,48,55,32,51,46,49,51,48,54,57,101,45,48,55,32,51,46,49,
      54,53,54,57,101,45,48,55,32,51,46,50,48,49,57,51,101,45,48,55,32,51,46,50,51,
      48,53,51,101,45,48,55,32,51,46,50,54,51,54,101,45,48,55,10,32,32,51,46,51,48,
      48,50,51,101,45,48,55,32,51,46,51,51,48,52,55,101,45,48,55,32,51,46,51,54,53,
      49,54,101,45,48,55,32,51,46,52,48,51,57,55,101,45,48,55,32,51,46,52,52,48,55,
      101,45,48,55,32,51,46,52,56,48,54,50,101,45,48,55,32,51,46,53,50,52,52,51,101,
      45,48,55,10,32,32,51,46,53,55,48,48,56,101,45,48,55,32,51,46,54,49,56,53,52,
      101,45,48,55,32,51,46,54,55,48,55,101,45,48,55,32,51,46,55,50,55,49,101,45,
      48,55,32,51,46,55,56,55,54,53,101,45,48,55,32,51,46,56,53,49,50,49,101,45,48,
      55,32,51,46,57,50,48,48,56,101,45,48,55,10,32,32,51,46,57,57,54,48,57,101,45,
      48,55,32,52,46,48,55,52,54,54,101,45,48,55,32,52,46,49,53,56,48,49,101,45,48,
      55,32,52,46,50,53,51,52,54,101,45,48,55,32,52,46,51,53,49,50,51,101,45,48,55,
      32,52,46,52,53,49,54,57,101,45,48,55,32,52,46,53,55,49,50,54,101,45,48,55,10,
      32,32,52,46,54,57,51,50,57,101,45,48,55,32,52,46,56,49,55,56,50,101,45,48,55,
      32,52,46,57,54,51,54,51,101,45,48,55,32,53,46,49,49,53,56,55,101,45,48,55,32,
      53,46,50,55,49,52,54,101,45,48,55,32,53,46,52,52,56,49,57,101,45,48,55,32,53,
      46,54,51,55,56,101,45,48,55,10,32,32,53,46,56,51,50,52,50,101,45,48,55,32,54,
      46,48,52,54,52,57,101,45,48,55,32,54,46,50,56,48,55,53,101,45,48,55,32,54,46,
      53,50,50,57,57,101,45,48,55,32,54,46,55,56,50,49,56,101,45,48,55,32,55,46,48,
      54,55,51,54,101,45,48,55,32,55,46,51,54,52,57,54,101,45,48,55,10,32,32,55,46,
      54,55,55,52,49,101,45,48,55,32,56,46,48,49,54,55,101,45,48,55,32,56,46,51,55,
      49,56,50,101,45,48,55,32,56,46,55,52,51,57,101,45,48,55,32,57,46,49,51,53,55,
      55,101,45,48,55,32,57,46,53,52,55,101,45,48,55,32,57,46,57,55,56,54,57,101,
      45,48,55,10,32,32,49,46,48,52,49,56,57,101,45,48,54,32,49,46,48,56,55,56,101,
      45,48,54,32,49,46,49,51,53,57,50,101,45,48,54,32,49,46,49,56,52,51,49,101,45,
      48,54,32,49,46,50,51,51,57,101,45,48,54,32,49,46,50,56,53,54,56,101,45,48,54,
      32,49,46,51,51,55,55,56,101,45,48,54,10,32,32,49,46,51,57,48,49,101,45,48,54,
      32,49,46,52,52,52,52,56,101,45,48,54,32,49,46,52,57,57,53,56,101,45,48,54,32,
      49,46,53,53,52,48,56,101,45,48,54,32,49,46,54,49,48,52,53,101,45,48,54,32,49,
      46,54,54,56,49,57,101,45,48,54,32,49,46,55,50,53,48,54,101,45,48,54,10,32,32,
      49,46,55,56,51,55,49,101,45,48,54,32,49,46,56,52,52,49,52,101,45,48,54,32,49,
      46,57,48,52,48,56,101,45,48,54,32,49,46,57,54,53,55,55,101,45,48,54,32,50,46,
      48,50,57,50,50,101,45,48,54,32,50,46,49,49,53,49,53,101,45,48,54,32,50,46,51,
      50,54,56,56,101,45,48,54,10,32,32,50,46,54,55,50,49,50,101,45,48,54,32,51,46,
      51,51,50,52,57,101,45,48,54,32,52,46,48,55,54,52,50,101,45,48,54,32,52,46,56,
      51,53,55,53,101,45,48,54,32,53,46,53,52,48,51,57,101,45,48,54,32,54,46,49,54,
      53,54,101,45,48,54,32,54,46,55,51,52,49,50,101,45,48,54,10,32,32,55,46,50,56,
      55,50,50,101,45,48,54,32,55,46,56,54,49,51,101,45,48,54,32,56,46,52,56,52,57,
      53,101,45,48,54,32,57,46,49,55,54,51,49,101,45,48,54,32,57,46,57,52,52,55,54,
      101,45,48,54,32,49,46,48,57,56,52,50,101,45,48,53,32,49,46,50,49,54,49,51,101,
      45,48,53,10,32,32,49,46,51,57,53,50,56,101,45,48,53,32,49,46,53,57,57,51,53,
      101,45,48,53,32,49,46,56,50,56,48,56,101,45,48,53,32,50,46,49,52,53,54,56,101,
      45,48,53,32,50,46,52,57,49,56,49,101,45,48,53,32,50,46,56,52,57,57,101,45,48,
      53,32,51,46,50,54,52,50,49,101,45,48,53,10,32,32,51,46,54,51,54,51,51,101,45,
      48,53,32,52,46,48,55,49,51,101,45,48,53,32,52,46,52,56,48,49,53,101,45,48,53,
      32,52,46,57,48,52,51,50,101,45,48,53,32,53,46,52,52,49,54,51,101,45,48,53,32,
      54,46,49,52,53,50,57,101,45,48,53,32,55,46,48,51,48,52,53,101,45,48,53,10,32,
      32,56,46,48,56,50,51,49,101,45,48,53,32,57,46,51,48,49,54,57,101,45,48,53,32,
      46,48,48,48,49,48,55,54,48,50,32,46,48,48,48,49,50,50,49,54,55,32,46,48,48,
      48,49,51,55,57,49,52,32,46,48,48,48,49,53,54,55,56,50,32,46,48,48,48,49,55,
      55,53,56,52,32,46,48,48,48,49,57,53,48,56,10,32,32,46,48,48,48,50,49,57,55,
      56,49,32,46,48,48,48,50,53,52,51,48,54,32,46,48,48,48,50,57,52,54,49,55,32,
      46,48,48,48,51,51,57,50,53,52,32,46,48,48,48,51,56,56,55,52,53,32,46,48,48,
      48,52,51,53,53,50,52,32,46,48,48,48,52,56,49,48,57,32,46,48,48,48,53,51,49,
      48,53,10,32,32,46,48,48,48,53,57,50,52,53,49,32,46,48,48,48,54,52,57,54,56,
      49,32,46,48,48,48,55,48,53,48,57,51,32,46,48,48,48,55,52,56,56,54,57,32,46,
      48,48,48,55,56,57,55,50,55,32,46,48,48,48,56,51,49,48,54,53,32,46,48,48,48,
      56,53,52,49,56,53,32,46,48,48,48,56,54,50,54,55,55,10,32,32,46,48,48,48,56,
      54,49,51,51,50,32,46,48,48,48,56,52,56,56,32,46,48,48,48,56,49,57,51,48,49,
      32,46,48,48,48,55,55,51,48,52,54,32,46,48,48,48,55,50,54,51,51,52,32,46,48,
      48,48,54,56,56,57,54,56,32,46,48,48,48,54,54,52,56,55,49,32,46,48,48,48,54,
      51,57,55,50,55,10,32,32,46,48,48,48,54,48,53,52,49,32,46,48,48,48,53,54,53,
      53,57,49,32,46,48,48,48,52,54,50,51,50,57,32,46,48,48,48,51,54,48,55,50,50,
      32,46,48,48,48,50,56,54,51,51,50,32,46,48,48,48,50,51,52,54,49,32,46,48,48,
      48,50,49,56,54,51,32,46,48,48,48,49,55,56,51,49,10,32,32,46,48,48,48,49,52,
      53,52,56,57,32,46,48,48,48,49,49,57,48,55,54,32,57,46,56,48,48,52,55,101,45,
      48,53,32,55,46,56,54,55,56,53,101,45,48,53,32,54,46,54,56,55,57,54,101,45,48,
      53,32,53,46,54,55,57,56,53,101,45,48,53,32,52,46,51,51,49,50,54,101,45,48,53,
      10,32,32,51,46,54,54,51,54,101,45,48,53,32,50,46,56,48,57,51,101,45,48,53,32,
      50,46,49,49,54,50,52,101,45,48,53,32,49,46,55,56,51,54,54,101,45,48,53,32,49,
      46,53,48,49,52,50,101,45,48,53,32,49,46,49,52,49,54,101,45,48,53,32,56,46,52,
      50,48,48,49,101,45,48,54,10,32,32,55,46,49,48,52,55,55,101,45,48,54,32,53,46,
      51,57,52,54,51,101,45,48,54,32,52,46,53,53,55,52,54,101,45,48,54,32,51,46,52,
      54,48,50,51,101,45,48,54,32,50,46,56,48,54,49,56,101,45,48,54,32,50,46,56,54,
      50,49,54,101,45,48,54,32,50,46,53,51,54,54,51,101,45,48,54,10,32,32,50,46,48,
      49,48,51,57,101,45,48,54,32,49,46,53,53,52,52,101,45,48,54,32,49,46,50,53,52,
      50,55,101,45,48,54,32,49,46,48,49,49,57,52,101,45,48,54,32,56,46,50,55,54,56,
      57,101,45,48,55,32,54,46,55,56,57,57,54,101,45,48,55,32,53,46,52,53,49,49,56,
      101,45,48,55,10,32,32,52,46,52,56,52,56,57,101,45,48,55,32,51,46,54,49,54,54,
      51,101,45,48,55,32,51,46,48,56,54,57,54,101,45,48,55,32,50,46,51,56,52,48,57,
      101,45,48,55,32,50,46,48,51,52,54,56,101,45,48,55,32,49,46,54,55,48,56,56,101,
      45,48,55,32,49,46,48,53,54,49,49,101,45,48,55,10,32,32,53,46,54,49,54,54,49,
      101,45,48,56,32,51,46,48,51,50,56,49,101,45,48,56,32,49,46,52,48,51,53,57,101,
      45,48,56,32,54,46,52,57,53,49,52,101,45,48,57,32,50,46,53,55,54,48,52,101,45,
      48,57,32,49,46,49,57,50,101,45,48,57,32,51,46,52,55,52,52,53,101,45,49,48,10,
      32,32,49,46,48,55,50,52,57,101,45,49,48,32,52,46,54,57,48,51,52,101,45,49,49,
      32,49,46,56,54,49,57,51,101,45,49,49,32,53,46,52,51,50,55,49,101,45,49,50,32,
      49,46,56,52,57,52,50,101,45,49,50,32,54,46,50,57,55,56,54,101,45,49,51,32,49,
      46,56,51,57,52,51,101,45,49,51,10,32,32,53,46,51,55,52,54,52,101,45,49,52,32,
      49,46,56,51,50,48,56,101,45,49,52,32,54,46,50,52,54,56,54,101,45,49,53,32,50,
      46,49,51,48,53,57,101,45,49,53,32,53,46,56,57,52,56,50,101,45,49,54,32,49,46,
      52,55,54,53,57,101,45,49,54,32,51,46,49,55,50,52,101,45,49,55,10,32,32,55,46,
      57,53,50,51,55,101,45,49,56,32,49,46,55,48,49,54,56,101,45,49,56,32,52,46,50,
      54,55,54,49,101,45,49,57,32,49,46,48,55,48,56,101,45,49,57,32,50,46,50,57,51,
      50,54,101,45,50,48,32,52,46,51,52,56,48,57,101,45,50,49,32,49,46,49,52,51,52,
      54,101,45,50,49,10,32,32,49,46,53,52,52,51,51,101,45,50,50,32,48,114,49,48,
      52,32,49,46,49,48,55,49,101,45,49,54,32,49,46,55,55,57,56,52,101,45,49,53,32,
      57,46,48,50,52,49,49,101,45,49,53,32,49,46,49,48,54,56,50,101,45,49,52,32,49,
      46,55,57,54,55,56,101,45,49,51,32,57,46,49,48,56,50,51,101,45,49,51,10,32,32,
      50,46,56,55,54,50,55,101,45,49,50,32,55,46,48,49,48,53,53,101,45,49,50,32,49,
      46,52,53,51,101,45,49,49,32,50,46,54,56,55,51,52,101,45,49,49,32,52,46,53,55,
      56,57,53,101,45,49,49,32,55,46,51,50,52,51,49,101,45,49,49,32,49,46,49,49,52,
      54,101,45,49,48,10,32,32,49,46,54,50,57,52,53,101,45,49,48,32,50,46,51,48,52,
      53,53,101,45,49,48,32,51,46,49,54,57,55,52,101,45,49,48,32,52,46,50,53,56,49,
      55,101,45,49,48,32,53,46,54,48,52,56,53,101,45,49,48,32,55,46,50,52,55,50,50,
      101,45,49,48,32,57,46,50,50,55,52,55,101,45,49,48,10,32,32,49,46,49,53,56,54,
      57,101,45,48,57,32,49,46,52,51,55,49,54,101,45,48,57,32,49,46,55,54,50,57,54,
      101,45,48,57,32,50,46,49,52,49,49,55,101,45,48,57,32,50,46,53,55,55,49,51,101,
      45,48,57,32,51,46,48,55,53,49,52,101,45,48,57,32,51,46,54,52,49,52,57,101,45,
      48,57,10,32,32,52,46,50,56,50,53,56,101,45,48,57,32,53,46,48,48,48,48,54,101,
      45,48,57,32,53,46,56,48,48,56,56,101,45,48,57,32,54,46,54,57,51,51,56,101,45,
      48,57,32,55,46,54,55,53,49,101,45,48,57,32,56,46,55,52,57,49,53,101,45,48,57,
      32,57,46,57,50,57,55,54,101,45,48,57,10,32,32,49,46,49,50,49,48,51,101,45,48,
      56,32,49,46,50,53,55,57,52,101,45,48,56,32,49,46,52,48,54,52,55,101,45,48,56,
      32,49,46,53,54,54,48,57,101,45,48,56,32,49,46,55,51,50,49,56,101,45,48,56,32,
      49,46,57,49,48,51,101,45,48,56,32,50,46,49,48,48,56,56,101,45,48,56,10,32,32,
      50,46,50,57,51,53,54,101,45,48,56,32,50,46,52,57,56,48,56,101,45,48,56,32,50,
      46,55,49,52,56,53,101,45,48,56,32,50,46,57,51,50,51,52,101,45,48,56,32,51,46,
      49,53,57,48,56,101,45,48,56,32,51,46,51,57,55,52,56,101,45,48,56,32,51,46,54,
      51,54,57,52,101,45,48,56,10,32,32,51,46,56,56,50,50,101,45,48,56,32,52,46,49,
      51,56,53,57,101,45,48,56,32,52,46,51,57,56,49,51,101,45,48,56,32,52,46,54,54,
      48,53,49,101,45,48,56,32,52,46,57,51,51,55,50,101,45,48,56,32,53,46,50,49,50,
      56,54,101,45,48,56,32,53,46,52,57,50,56,57,101,45,48,56,10,32,32,53,46,55,56,
      51,54,56,101,45,48,56,32,54,46,48,56,51,50,50,101,45,48,56,32,54,46,51,56,51,
      51,49,101,45,48,56,32,54,46,54,57,52,50,56,101,45,48,56,32,55,46,48,49,54,50,
      55,101,45,48,56,32,55,46,51,51,56,55,51,101,45,48,56,32,55,46,54,55,50,51,52,
      101,45,48,56,10,32,32,56,46,48,49,55,51,51,101,45,48,56,32,56,46,51,54,52,52,
      57,101,45,48,56,32,56,46,55,50,49,52,49,101,45,48,56,32,57,46,48,56,57,57,55,
      101,45,48,56,32,57,46,52,54,48,52,54,101,45,48,56,32,57,46,56,51,55,57,55,101,
      45,48,56,32,49,46,48,50,50,55,51,101,45,48,55,10,32,32,49,46,48,54,49,55,101,
      45,48,55,32,49,46,49,48,48,55,51,101,45,48,55,32,49,46,49,52,48,57,54,101,45,
      48,55,32,49,46,49,56,49,49,53,101,45,48,55,32,49,46,50,50,48,49,52,101,45,48,
      55,32,49,46,50,54,48,51,52,101,45,48,55,32,49,46,51,48,48,55,57,101,45,48,55,
      10,32,32,49,46,51,51,56,101,45,48,55,32,49,46,51,55,54,52,53,101,45,48,55,32,
      49,46,52,49,54,48,54,101,45,48,55,32,49,46,52,52,57,54,53,101,45,48,55,32,49,
      46,52,56,52,54,50,101,45,48,55,32,49,46,53,50,48,57,51,101,45,48,55,32,49,46,
      53,53,48,56,57,101,45,48,55,10,32,32,49,46,53,56,49,48,52,101,45,48,55,32,49,
      46,54,49,50,55,54,101,45,48,55,32,49,46,54,51,57,101,45,48,55,32,49,46,54,54,
      51,56,54,101,45,48,55,32,49,46,54,57,48,53,57,101,45,48,55,32,49,46,55,49,51,
      54,53,101,45,48,55,32,49,46,55,51,51,55,54,101,45,48,55,10,32,32,49,46,55,53,
      54,48,57,101,45,48,55,32,49,46,55,55,55,101,45,48,55,32,49,46,55,57,51,56,52,
      101,45,48,55,32,49,46,56,49,51,49,57,101,45,48,55,32,49,46,56,51,51,50,56,101,
      45,48,55,32,49,46,56,52,56,57,101,45,48,55,32,49,46,56,54,55,49,55,101,45,48,
      55,10,32,32,49,46,56,56,55,56,101,45,48,55,32,49,46,57,48,52,52,53,101,45,48,
      55,32,49,46,57,50,51,55,52,101,45,48,55,32,49,46,57,52,53,52,57,101,45,48,55,
      32,49,46,57,54,54,48,56,101,45,48,55,32,49,46,57,56,56,52,56,101,45,48,55,32,
      50,46,48,49,51,50,49,101,45,48,55,10,32,32,50,46,48,51,57,48,51,101,45,48,55,
      32,50,46,48,54,54,53,50,101,45,48,55,32,50,46,48,57,54,48,56,101,45,48,55,32,
      50,46,49,50,56,50,52,101,45,48,55,32,50,46,49,54,50,56,51,101,45,48,55,32,50,
      46,49,57,57,50,101,45,48,55,32,50,46,50,51,56,54,55,101,45,48,55,10,32,32,50,
      46,50,56,50,51,50,101,45,48,55,32,50,46,51,50,55,52,56,101,45,48,55,32,50,46,
      51,55,53,52,52,101,45,48,55,32,50,46,52,51,48,52,53,101,45,48,55,32,50,46,52,
      56,54,56,51,101,45,48,55,32,50,46,53,52,52,56,101,45,48,55,32,50,46,54,49,51,
      57,101,45,48,55,10,32,32,50,46,54,56,52,52,53,101,45,48,55,32,50,46,55,53,54,
      52,56,101,45,48,55,32,50,46,56,52,48,57,49,101,45,48,55,32,50,46,57,50,57,49,
      51,101,45,48,55,32,51,46,48,49,57,51,50,101,45,48,55,32,51,46,49,50,49,56,55,
      101,45,48,55,32,51,46,50,51,49,57,56,101,45,48,55,10,32,32,51,46,51,52,53,48,
      55,101,45,48,55,32,51,46,52,54,57,53,56,101,45,48,55,32,51,46,54,48,53,57,54,
      101,45,48,55,32,51,46,55,52,55,48,57,101,45,48,55,32,51,46,56,57,56,49,56,101,
      45,48,55,32,52,46,48,54,52,55,49,101,45,48,55,32,52,46,50,51,56,52,49,101,45,
      48,55,10,32,32,52,46,52,50,49,49,54,101,45,48,55,32,52,46,54,50,48,48,49,101,
      45,48,55,32,52,46,56,50,56,52,49,101,45,48,55,32,53,46,48,52,55,48,56,101,45,
      48,55,32,53,46,50,55,55,55,51,101,45,48,55,32,53,46,53,50,48,50,52,101,45,48,
      55,32,53,46,55,55,53,49,52,101,45,48,55,10,32,32,54,46,48,51,53,52,55,101,45,
      48,55,32,54,46,51,48,55,51,55,101,45,48,55,32,54,46,53,57,50,57,52,101,45,48,
      55,32,54,46,56,56,48,52,52,101,45,48,55,32,55,46,49,55,53,54,53,101,45,48,55,
      32,55,46,52,56,52,53,54,101,45,48,55,32,55,46,55,57,53,53,56,101,45,48,55,10,
      32,32,56,46,49,48,56,51,55,101,45,48,55,32,56,46,52,51,52,49,50,101,45,48,55,
      32,56,46,55,54,52,53,50,101,45,48,55,32,57,46,48,57,49,53,56,101,45,48,55,32,
      57,46,52,51,48,52,53,101,45,48,55,32,57,46,55,55,55,57,56,101,45,48,55,32,49,
      46,48,49,50,48,54,101,45,48,54,10,32,32,49,46,48,52,55,52,52,101,45,48,54,32,
      49,46,48,56,51,57,53,101,45,48,54,32,49,46,49,50,48,50,101,45,48,54,32,49,46,
      49,53,55,53,53,101,45,48,54,32,49,46,49,57,54,48,51,101,45,48,54,32,49,46,50,
      52,56,50,50,101,45,48,54,32,49,46,51,55,55,50,49,101,45,48,54,10,32,32,49,46,
      53,56,56,56,50,101,45,48,54,32,49,46,57,57,55,54,57,101,45,48,54,32,50,46,52,
      54,51,56,54,101,45,48,54,32,50,46,57,52,51,54,54,101,45,48,54,32,51,46,51,56,
      57,57,54,101,45,48,54,32,51,46,55,56,52,55,55,101,45,48,54,32,52,46,49,52,50,
      51,55,101,45,48,54,10,32,32,52,46,52,57,48,48,52,101,45,48,54,32,52,46,56,53,
      50,50,51,101,45,48,54,32,53,46,50,52,56,50,50,101,45,48,54,32,53,46,54,57,48,
      51,54,101,45,48,54,32,54,46,49,56,53,54,101,45,48,54,32,54,46,56,54,49,50,101,
      45,48,54,32,55,46,54,51,51,52,53,101,45,48,54,10,32,32,56,46,56,50,50,48,55,
      101,45,48,54,32,49,46,48,49,57,51,54,101,45,48,53,32,49,46,49,55,53,48,55,101,
      45,48,53,32,49,46,51,57,52,52,51,101,45,48,53,32,49,46,54,51,55,49,101,45,48,
      53,32,49,46,56,57,48,57,55,101,45,48,53,32,50,46,49,56,54,52,51,101,45,48,53,
      10,32,32,50,46,52,53,48,57,55,101,45,48,53,32,50,46,55,53,55,52,101,45,48,53,
      32,51,46,48,52,52,48,54,101,45,48,53,32,51,46,51,52,51,50,52,101,45,48,53,32,
      51,46,55,50,55,56,53,101,45,48,53,32,52,46,50,52,48,56,52,101,45,48,53,32,52,
      46,56,57,54,56,52,101,45,48,53,10,32,32,53,46,54,56,54,55,54,101,45,48,53,32,
      54,46,54,49,51,54,50,101,45,48,53,32,55,46,55,51,50,54,53,101,45,48,53,32,56,
      46,56,53,54,48,51,101,45,48,53,32,46,48,48,48,49,48,48,54,57,53,32,46,48,48,
      48,49,49,53,49,53,53,32,46,48,48,48,49,51,49,50,49,10,32,32,46,48,48,48,49,
      52,52,56,56,56,32,46,48,48,48,49,54,52,52,57,53,32,46,48,48,48,49,57,50,51,
      52,49,32,46,48,48,48,50,50,53,50,55,57,32,46,48,48,48,50,54,50,49,49,52,32,
      46,48,48,48,51,48,51,51,55,56,32,46,48,48,48,51,52,50,55,56,49,32,46,48,48,
      48,51,56,49,52,53,55,10,32,32,46,48,48,48,52,50,51,55,53,52,32,46,48,48,48,
      52,55,53,49,49,54,32,46,48,48,48,53,50,50,54,56,32,46,48,48,48,53,54,57,51,
      53,55,32,46,48,48,48,54,48,54,57,54,54,32,46,48,48,48,54,52,51,50,51,54,32,
      46,48,48,48,54,56,50,50,53,56,32,46,48,48,48,55,48,54,57,57,57,10,32,32,46,
      48,48,48,55,49,57,52,49,49,32,46,48,48,48,55,50,50,53,48,50,32,46,48,48,48,
      55,49,55,52,54,53,32,46,48,48,48,54,57,55,55,51,50,32,46,48,48,48,54,54,51,
      51,51,53,32,46,48,48,48,54,50,55,50,51,53,32,46,48,48,48,53,57,56,48,55,54,
      32,46,48,48,48,53,55,57,52,54,49,10,32,32,46,48,48,48,53,53,57,54,57,51,32,
      46,48,48,48,53,51,49,55,55,55,32,46,48,48,48,52,57,56,54,48,54,32,46,48,48,
      48,52,49,48,57,54,53,32,46,48,48,48,51,50,51,50,55,56,32,46,48,48,48,50,53,
      56,50,55,54,32,46,48,48,48,50,49,50,55,51,49,32,46,48,48,48,49,57,56,55,49,
      50,10,32,32,46,48,48,48,49,54,50,55,57,52,32,46,48,48,48,49,51,51,51,54,49,
      32,46,48,48,48,49,48,57,53,52,32,57,46,48,52,52,52,101,45,48,53,32,55,46,50,
      56,52,56,53,101,45,48,53,32,54,46,50,48,54,50,56,101,45,48,53,32,53,46,50,56,
      49,57,51,101,45,48,53,32,52,46,48,52,48,56,54,101,45,48,53,10,32,32,51,46,52,
      50,52,50,57,101,45,48,53,32,50,46,54,51,50,57,54,101,45,48,53,32,49,46,57,56,
      56,55,50,101,45,48,53,32,49,46,54,55,56,55,49,101,45,48,53,32,49,46,52,49,53,
      49,51,101,45,48,53,32,49,46,48,55,56,51,50,101,45,48,53,32,55,46,57,55,48,57,
      56,101,45,48,54,10,32,32,54,46,55,51,51,55,50,101,45,48,54,32,53,46,49,50,50,
      48,49,101,45,48,54,32,52,46,51,51,49,53,56,101,45,48,54,32,51,46,50,57,51,57,
      51,101,45,48,54,32,50,46,54,57,54,57,52,101,45,48,54,32,50,46,54,56,54,50,101,
      45,48,54,32,50,46,51,56,49,55,51,101,45,48,54,10,32,32,49,46,56,56,57,49,55,
      101,45,48,54,32,49,46,52,54,49,57,51,101,45,48,54,32,49,46,49,56,48,52,54,101,
      45,48,54,32,57,46,53,51,48,50,101,45,48,55,32,55,46,55,57,57,52,57,101,45,48,
      55,32,54,46,52,48,49,56,55,101,45,48,55,32,53,46,49,52,50,54,53,101,45,48,55,
      10,32,32,52,46,50,51,51,49,57,101,45,48,55,32,51,46,52,49,53,52,54,101,45,48,
      55,32,50,46,57,49,54,51,54,101,45,48,55,32,50,46,50,53,51,54,54,101,45,48,55,
      32,49,46,57,50,52,49,101,45,48,55,32,49,46,53,56,48,56,101,45,48,55,32,49,46,
      48,48,48,50,101,45,48,55,10,32,32,53,46,51,50,54,50,55,101,45,48,56,32,50,46,
      56,55,57,52,51,101,45,48,56,32,49,46,51,51,52,51,50,101,45,48,56,32,54,46,49,
      56,49,49,54,101,45,48,57,32,50,46,52,53,52,54,50,101,45,48,57,32,49,46,49,51,
      54,57,51,101,45,48,57,32,51,46,51,49,56,54,56,101,45,49,48,10,32,32,49,46,48,
      50,53,54,49,101,45,49,48,32,52,46,52,56,56,50,53,101,45,49,49,32,49,46,55,56,
      50,57,54,101,45,49,49,32,53,46,50,48,56,50,50,101,45,49,50,32,49,46,55,55,52,
      57,101,45,49,50,32,54,46,48,53,48,51,51,101,45,49,51,32,49,46,55,54,57,49,53,
      101,45,49,51,10,32,32,53,46,49,55,52,48,55,101,45,49,52,32,49,46,55,54,52,55,
      101,45,49,52,32,54,46,48,50,48,49,52,101,45,49,53,32,50,46,48,53,52,50,49,101,
      45,49,53,32,53,46,54,57,49,53,52,101,45,49,54,32,49,46,52,50,54,53,55,101,45,
      49,54,32,51,46,48,54,55,54,56,101,45,49,55,10,32,32,55,46,54,57,53,56,51,101,
      45,49,56,32,49,46,54,52,56,48,51,101,45,49,56,32,52,46,49,51,54,48,53,101,45,
      49,57,32,49,46,48,51,56,52,51,101,45,49,57,32,50,46,50,50,52,49,54,101,45,50,
      48,32,52,46,50,49,52,54,49,101,45,50,49,32,49,46,49,48,52,53,55,101,45,50,49,
      10,32,32,49,46,52,55,57,53,55,101,45,50,50,32,48,114,49,48,52,32,53,46,57,56,
      53,54,101,45,49,55,32,57,46,54,50,50,56,54,101,45,49,54,32,52,46,56,55,56,57,
      57,101,45,49,53,32,53,46,57,56,52,49,54,101,45,49,53,32,49,46,48,48,49,55,101,
      45,49,51,32,53,46,48,55,56,49,54,101,45,49,51,10,32,32,49,46,54,48,54,49,56,
      101,45,49,50,32,51,46,57,49,53,51,51,101,45,49,50,32,56,46,49,49,54,48,52,101,
      45,49,50,32,49,46,53,48,49,51,52,101,45,49,49,32,50,46,53,53,56,54,53,101,45,
      49,49,32,52,46,48,57,51,54,57,101,45,49,49,32,54,46,50,51,49,51,53,101,45,49,
      49,10,32,32,57,46,49,49,50,51,56,101,45,49,49,32,49,46,50,56,57,49,57,101,45,
      49,48,32,49,46,55,55,51,56,49,101,45,49,48,32,50,46,51,56,51,56,49,101,45,49,
      48,32,51,46,49,51,56,57,57,101,45,49,48,32,52,46,48,54,48,53,56,101,45,49,48,
      32,53,46,49,55,50,53,50,101,45,49,48,10,32,32,54,46,52,57,56,51,49,101,45,49,
      48,32,56,46,48,54,52,50,57,101,45,49,48,32,57,46,56,57,55,56,54,101,45,49,48,
      32,49,46,50,48,50,56,50,101,45,48,57,32,49,46,52,52,56,54,101,45,48,57,32,49,
      46,55,50,57,54,50,101,45,48,57,32,50,46,48,52,57,53,101,45,48,57,10,32,32,50,
      46,52,49,49,57,54,101,45,48,57,32,50,46,56,49,56,48,50,101,45,48,57,32,51,46,
      50,55,49,55,101,45,48,57,32,51,46,55,55,55,56,54,101,45,48,57,32,52,46,51,51,
      53,50,49,101,45,48,57,32,52,46,57,52,53,53,57,101,45,48,57,32,53,46,54,49,55,
      50,56,101,45,48,57,10,32,32,54,46,51,52,54,53,54,101,45,48,57,32,55,46,49,50,
      55,48,49,101,45,48,57,32,55,46,57,55,52,54,53,101,45,48,57,32,56,46,56,56,54,
      52,53,101,45,48,57,32,57,46,56,51,53,56,52,101,45,48,57,32,49,46,48,56,53,53,
      101,45,48,56,32,49,46,49,57,52,54,54,101,45,48,56,10,32,32,49,46,51,48,53,48,
      52,101,45,48,56,32,49,46,52,50,50,51,101,45,48,56,32,49,46,53,52,54,54,57,101,
      45,48,56,32,49,46,54,55,49,53,101,45,48,56,32,49,46,56,48,49,54,56,101,45,48,
      56,32,49,46,57,51,56,54,53,101,45,48,56,32,50,46,48,55,54,50,49,101,45,48,56,
      10,32,32,50,46,50,49,55,49,52,101,45,48,56,32,50,46,51,54,52,53,51,101,45,48,
      56,32,50,46,53,49,51,55,50,101,45,48,56,32,50,46,54,54,52,53,51,101,45,48,56,
      32,50,46,56,50,49,54,50,101,45,48,56,32,50,46,57,56,50,49,52,101,45,48,56,32,
      51,46,49,52,51,49,49,101,45,48,56,10,32,32,51,46,51,49,48,51,51,101,45,48,56,
      32,51,46,52,56,50,54,49,101,45,48,56,32,51,46,54,53,53,49,52,101,45,48,56,32,
      51,46,56,51,51,57,56,101,45,48,56,32,52,46,48,49,57,50,51,101,45,48,56,32,52,
      46,50,48,52,54,53,101,45,48,56,32,52,46,51,57,54,53,54,101,45,48,56,10,32,32,
      52,46,53,57,53,48,55,101,45,48,56,32,52,46,55,57,52,55,55,101,45,48,56,32,53,
      46,48,48,48,49,49,101,45,48,56,32,53,46,50,49,50,50,50,101,45,48,56,32,53,46,
      52,50,53,51,54,101,45,48,56,32,53,46,54,52,50,53,52,101,45,48,56,32,53,46,56,
      54,54,53,57,101,45,48,56,10,32,32,54,46,48,57,48,55,50,101,45,48,56,32,54,46,
      51,49,53,49,49,101,45,48,56,32,54,46,53,52,54,52,54,101,45,48,56,32,54,46,55,
      55,55,52,49,101,45,48,56,32,55,46,48,48,49,49,57,101,45,48,56,32,55,46,50,51,
      49,57,57,101,45,48,56,32,55,46,52,54,52,49,49,101,45,48,56,10,32,32,55,46,54,
      55,54,57,52,101,45,48,56,32,55,46,56,57,55,48,49,101,45,48,56,32,56,46,49,50,
      51,55,57,101,45,48,56,32,56,46,51,49,52,57,49,101,45,48,56,32,56,46,53,49,51,
      57,56,101,45,48,56,32,56,46,55,50,48,57,52,101,45,48,56,32,56,46,56,57,48,50,
      55,101,45,48,56,10,32,32,57,46,48,54,48,54,56,101,45,48,56,32,57,46,50,52,48,
      49,57,101,45,48,56,32,57,46,51,56,55,52,53,101,45,48,56,32,57,46,53,50,54,53,
      49,101,45,48,56,32,57,46,54,55,54,53,52,101,45,48,56,32,57,46,56,48,52,57,56,
      101,45,48,56,32,57,46,57,49,54,49,52,101,45,48,56,10,32,32,49,46,48,48,52,48,
      51,101,45,48,55,32,49,46,48,49,53,54,51,101,45,48,55,32,49,46,48,50,52,56,52,
      101,45,48,55,32,49,46,48,51,53,53,52,101,45,48,55,32,49,46,48,52,54,54,56,101,
      45,48,55,32,49,46,48,53,53,50,49,101,45,48,55,32,49,46,48,54,53,51,101,45,48,
      55,10,32,32,49,46,48,55,54,55,56,101,45,48,55,32,49,46,48,56,53,57,54,101,45,
      48,55,32,49,46,48,57,54,54,57,101,45,48,55,32,49,46,49,48,56,56,54,101,45,48,
      55,32,49,46,49,50,48,51,55,101,45,48,55,32,49,46,49,51,50,57,52,101,45,48,55,
      32,49,46,49,52,54,56,56,101,45,48,55,10,32,32,49,46,49,54,49,52,55,101,45,48,
      55,32,49,46,49,55,55,48,52,101,45,48,55,32,49,46,49,57,51,56,49,101,45,48,55,
      32,49,46,50,49,50,49,49,101,45,48,55,32,49,46,50,51,49,56,51,101,45,48,55,32,
      49,46,50,53,50,53,57,101,45,48,55,32,49,46,50,55,53,49,53,101,45,48,55,10,32,
      32,49,46,51,48,48,49,52,101,45,48,55,32,49,46,51,50,54,48,49,101,45,48,55,32,
      49,46,51,53,51,53,50,101,45,48,55,32,49,46,51,56,53,49,49,101,45,48,55,32,49,
      46,52,49,55,53,101,45,48,55,32,49,46,52,53,48,56,51,101,45,48,55,32,49,46,52,
      57,48,54,101,45,48,55,10,32,32,49,46,53,51,49,50,50,101,45,48,55,32,49,46,53,
      55,50,55,50,101,45,48,55,32,49,46,54,50,49,52,101,45,48,55,32,49,46,54,55,50,
      50,57,101,45,48,55,32,49,46,55,50,52,51,53,101,45,48,55,32,49,46,55,56,51,53,
      56,101,45,48,55,32,49,46,56,52,55,50,50,101,45,48,55,10,32,32,49,46,57,49,50,
      54,50,101,45,48,55,32,49,46,57,56,52,54,56,101,45,48,55,32,50,46,48,54,51,54,
      55,101,45,48,55,32,50,46,49,52,53,52,57,101,45,48,55,32,50,46,50,51,51,49,52,
      101,45,48,55,32,50,46,51,50,57,56,54,101,45,48,55,32,50,46,52,51,48,56,101,
      45,48,55,10,32,32,50,46,53,51,55,49,53,101,45,48,55,32,50,46,54,53,51,48,49,
      101,45,48,55,32,50,46,55,55,52,53,57,101,45,48,55,32,50,46,57,48,50,51,50,101,
      45,48,55,32,51,46,48,51,55,50,50,101,45,48,55,32,51,46,49,55,57,50,49,101,45,
      48,55,32,51,46,51,50,56,55,50,101,45,48,55,10,32,32,51,46,52,56,49,54,49,101,
      45,48,55,32,51,46,54,52,49,53,51,101,45,48,55,32,51,46,56,48,57,55,54,101,45,
      48,55,32,51,46,57,55,57,51,52,101,45,48,55,32,52,46,49,53,51,54,57,101,45,48,
      55,32,52,46,51,51,54,51,50,101,45,48,55,32,52,46,53,50,48,53,53,101,45,48,55,
      10,32,32,52,46,55,48,54,48,49,101,45,48,55,32,52,46,56,57,57,51,56,101,45,48,
      55,32,53,46,48,57,53,56,55,101,45,48,55,32,53,46,50,57,48,53,53,101,45,48,55,
      32,53,46,52,57,50,53,54,101,45,48,55,32,53,46,55,101,45,48,55,32,53,46,57,48,
      52,54,55,101,45,48,55,10,32,32,54,46,49,49,54,51,49,101,45,48,55,32,54,46,51,
      51,53,48,51,101,45,48,55,32,54,46,53,53,50,50,57,101,45,48,55,32,54,46,55,55,
      54,53,50,101,45,48,55,32,55,46,48,48,55,56,50,101,45,48,55,32,55,46,51,50,49,
      56,57,101,45,48,55,32,56,46,49,48,48,54,56,101,45,48,55,10,32,32,57,46,51,56,
      53,52,53,101,45,48,55,32,49,46,49,56,57,49,55,101,45,48,54,32,49,46,52,55,56,
      49,53,101,45,48,54,32,49,46,55,55,55,57,56,101,45,48,54,32,50,46,48,53,55,54,
      49,101,45,48,54,32,50,46,51,48,52,51,56,101,45,48,54,32,50,46,53,50,55,49,101,
      45,48,54,10,32,32,50,46,55,52,51,53,50,101,45,48,54,32,50,46,57,54,57,55,55,
      101,45,48,54,32,51,46,50,49,56,54,51,101,45,48,54,32,51,46,52,57,56,51,52,101,
      45,48,54,32,51,46,56,49,51,57,51,101,45,48,54,32,52,46,50,52,55,56,53,101,45,
      48,54,32,52,46,55,52,56,49,54,101,45,48,54,10,32,32,53,46,53,50,54,51,53,101,
      45,48,54,32,54,46,52,51,53,49,57,101,45,48,54,32,55,46,52,55,57,54,53,101,45,
      48,54,32,56,46,57,55,49,50,50,101,45,48,54,32,49,46,48,54,52,52,56,101,45,48,
      53,32,49,46,50,52,49,52,55,101,45,48,53,32,49,46,52,52,56,55,51,101,45,48,53,
      10,32,32,49,46,54,51,51,57,51,101,45,48,53,32,49,46,56,52,54,55,57,101,45,48,
      53,32,50,46,48,52,53,48,57,101,45,48,53,32,50,46,50,53,51,50,51,101,45,48,53,
      32,50,46,53,50,52,53,51,101,45,48,53,32,50,46,56,57,50,53,53,101,45,48,53,32,
      51,46,51,55,48,51,57,101,45,48,53,10,32,32,51,46,57,53,51,49,51,101,45,48,53,
      32,52,46,54,52,53,48,57,101,45,48,53,32,53,46,52,56,56,55,50,101,45,48,53,32,
      54,46,51,52,48,55,54,101,45,48,53,32,55,46,50,54,49,53,51,101,45,48,53,32,56,
      46,51,53,52,52,51,101,45,48,53,32,57,46,53,55,54,56,54,101,45,48,53,10,32,32,
      46,48,48,48,49,48,54,51,49,54,32,46,48,48,48,49,50,49,54,54,49,32,46,48,48,
      48,49,52,51,56,48,56,32,46,48,48,48,49,55,48,51,55,32,46,48,48,48,50,48,48,
      52,49,49,32,46,48,48,48,50,51,52,52,53,51,32,46,48,48,48,50,54,55,51,48,51,
      32,46,48,48,48,50,57,57,55,57,50,10,32,32,46,48,48,48,51,51,53,50,52,57,32,
      46,48,48,48,51,55,55,56,51,32,46,48,48,48,52,49,55,48,50,53,32,46,48,48,48,
      52,53,53,57,56,50,32,46,48,48,48,52,56,55,57,53,51,32,46,48,48,48,53,49,57,
      54,56,57,32,46,48,48,48,53,53,53,54,49,50,32,46,48,48,48,53,56,48,53,50,10,
      32,32,46,48,48,48,53,57,53,49,57,50,32,46,48,48,48,54,48,49,50,57,32,46,48,
      48,48,54,48,49,55,50,32,46,48,48,48,53,56,57,54,51,57,32,46,48,48,48,53,54,
      52,56,55,56,32,46,48,48,48,53,51,55,54,49,49,32,46,48,48,48,53,49,53,51,53,
      56,32,46,48,48,48,53,48,49,51,53,54,10,32,32,46,48,48,48,52,56,54,49,54,51,
      32,46,48,48,48,52,54,51,56,48,53,32,46,48,48,48,52,51,54,53,48,50,32,46,48,
      48,48,51,54,50,56,54,55,32,46,48,48,48,50,56,55,56,54,55,32,46,48,48,48,50,
      51,49,53,51,51,32,46,48,48,48,49,57,49,55,53,50,32,46,48,48,48,49,55,57,53,
      54,52,10,32,32,46,48,48,48,49,52,55,55,57,56,32,46,48,48,48,49,50,49,53,56,
      54,32,46,48,48,48,49,48,48,50,52,51,32,56,46,51,48,52,51,49,101,45,48,53,32,
      54,46,55,49,49,55,57,101,45,48,53,32,53,46,55,51,49,54,54,101,45,48,53,32,52,
      46,56,56,56,57,53,101,45,48,53,10,32,32,51,46,55,53,51,48,49,101,45,48,53,32,
      51,46,49,56,54,53,54,101,45,48,53,32,50,46,52,53,55,50,52,101,45,48,53,32,49,
      46,56,54,49,50,52,101,45,48,53,32,49,46,53,55,51,54,49,101,45,48,53,32,49,46,
      51,50,56,53,53,101,45,48,53,32,49,46,48,49,52,54,55,101,45,48,53,10,32,32,55,
      46,53,49,56,49,51,101,45,48,54,32,54,46,51,53,57,48,51,101,45,48,54,32,52,46,
      56,52,54,49,54,101,45,48,54,32,52,46,49,48,50,56,49,101,45,48,54,32,51,46,49,
      50,53,49,57,101,45,48,54,32,50,46,53,55,54,50,49,101,45,48,54,32,50,46,53,49,
      50,57,49,101,45,48,54,10,32,32,50,46,50,50,57,49,50,101,45,48,54,32,49,46,55,
      54,57,54,56,101,45,48,54,32,49,46,51,55,48,55,51,101,45,48,54,32,49,46,49,48,
      55,54,51,101,45,48,54,32,56,46,57,52,56,53,52,101,45,48,55,32,55,46,51,50,56,
      49,49,101,45,48,55,32,54,46,48,49,56,54,101,45,48,55,10,32,32,52,46,56,51,55,
      56,57,101,45,48,55,32,51,46,57,56,52,52,54,101,45,48,55,32,51,46,50,49,54,54,
      101,45,48,55,32,50,46,55,52,55,54,55,101,45,48,55,32,50,46,49,50,52,54,54,101,
      45,48,55,32,49,46,56,49,52,54,53,101,45,48,55,32,49,46,52,57,49,53,54,101,45,
      48,55,10,32,32,57,46,52,52,54,57,53,101,45,48,56,32,53,46,48,51,55,49,56,101,
      45,48,56,32,50,46,55,50,54,50,49,101,45,48,56,32,49,46,50,54,52,57,55,101,45,
      48,56,32,53,46,56,54,55,53,54,101,45,48,57,32,50,46,51,51,51,52,55,101,45,48,
      57,32,49,46,48,56,50,48,51,101,45,48,57,10,32,32,51,46,49,54,50,56,54,101,45,
      49,48,32,57,46,55,56,53,56,54,101,45,49,49,32,52,46,50,56,54,49,51,101,45,49,
      49,32,49,46,55,48,52,49,56,101,45,49,49,32,52,46,57,56,51,54,101,45,49,50,32,
      49,46,54,57,57,55,53,101,45,49,50,32,53,46,55,57,56,49,55,101,45,49,51,10,32,
      32,49,46,54,57,54,54,49,101,45,49,51,32,52,46,57,54,54,48,51,101,45,49,52,32,
      49,46,54,57,53,51,101,45,49,52,32,53,46,55,56,56,54,53,101,45,49,53,32,49,46,
      57,55,54,57,55,101,45,49,53,32,53,46,52,56,56,48,52,101,45,49,54,32,49,46,51,
      55,54,56,49,101,45,49,54,10,32,32,50,46,57,54,50,54,101,45,49,55,32,55,46,52,
      51,53,55,52,101,45,49,56,32,49,46,53,57,51,50,50,101,45,49,56,32,51,46,57,57,
      57,57,49,101,45,49,57,32,49,46,48,48,52,55,55,101,45,49,57,32,50,46,49,53,50,
      53,57,101,45,50,48,32,52,46,48,55,55,56,56,101,45,50,49,10,32,32,49,46,48,54,
      52,56,49,101,45,50,49,32,49,46,52,49,52,57,56,101,45,50,50,32,48,114,49,48,
      52,32,50,46,54,54,53,49,53,101,45,49,55,32,52,46,50,56,52,55,52,101,45,49,54,
      32,50,46,49,55,50,53,101,45,49,53,32,50,46,54,54,52,54,51,101,45,49,53,32,53,
      46,48,51,54,52,101,45,49,52,10,32,32,50,46,53,53,51,55,50,101,45,49,51,32,56,
      46,49,50,51,57,56,101,45,49,51,32,49,46,57,56,49,48,56,101,45,49,50,32,52,46,
      49,48,56,51,55,101,45,49,50,32,55,46,54,48,51,56,51,101,45,49,50,32,49,46,50,
      57,54,54,54,101,45,49,49,32,50,46,48,55,54,48,51,101,45,49,49,10,32,32,51,46,
      49,54,50,53,101,45,49,49,32,52,46,54,50,56,53,52,101,45,49,49,32,54,46,53,53,
      52,50,55,101,45,49,49,32,57,46,48,50,54,57,55,101,45,49,49,32,49,46,50,49,52,
      52,50,101,45,49,48,32,49,46,54,48,48,57,52,101,45,49,48,32,50,46,48,55,51,52,
      54,101,45,49,48,10,32,32,50,46,54,52,52,54,101,45,49,48,32,51,46,51,50,54,56,
      57,101,45,49,48,32,52,46,49,51,52,52,50,101,45,49,48,32,53,46,48,56,49,57,101,
      45,49,48,32,54,46,49,56,53,49,52,101,45,49,48,32,55,46,52,54,48,56,52,101,45,
      49,48,32,56,46,57,50,50,55,56,101,45,49,48,10,32,32,49,46,48,53,57,49,101,45,
      48,57,32,49,46,50,52,56,53,56,101,45,48,57,32,49,46,52,54,49,51,55,101,45,48,
      57,32,49,46,54,57,57,55,49,101,45,48,57,32,49,46,57,54,54,51,49,101,45,48,57,
      32,50,46,50,54,48,54,101,45,48,57,32,50,46,53,56,51,54,55,101,45,48,57,10,32,
      32,50,46,57,52,48,49,49,101,45,48,57,32,51,46,51,50,56,48,53,101,45,48,57,32,
      51,46,55,52,52,48,56,101,45,48,57,32,52,46,49,57,55,48,50,101,45,48,57,32,52,
      46,54,56,53,51,53,101,45,48,57,32,53,46,49,57,52,53,54,101,45,48,57,32,53,46,
      55,52,50,52,101,45,48,57,10,32,32,54,46,51,51,48,51,57,101,45,48,57,32,54,46,
      57,50,53,51,49,101,45,48,57,32,55,46,53,53,56,52,50,101,45,48,57,32,56,46,50,
      51,49,50,53,101,45,48,57,32,56,46,57,48,54,51,49,101,45,48,57,32,57,46,54,49,
      49,50,54,101,45,48,57,32,49,46,48,51,53,52,101,45,48,56,10,32,32,49,46,49,48,
      57,57,55,101,45,48,56,32,49,46,49,56,54,52,101,45,48,56,32,49,46,50,54,54,52,
      50,101,45,48,56,32,49,46,51,52,55,52,49,101,45,48,56,32,49,46,52,50,57,50,52,
      101,45,48,56,32,49,46,53,49,52,53,55,101,45,48,56,32,49,46,54,48,49,55,54,101,
      45,48,56,10,32,32,49,46,54,56,57,49,50,101,45,48,56,32,49,46,55,55,57,57,53,
      101,45,48,56,32,49,46,56,55,51,53,55,101,45,48,56,32,49,46,57,54,55,50,53,101,
      45,48,56,32,50,46,48,54,52,52,49,101,45,48,56,32,50,46,49,54,53,49,51,101,45,
      48,56,32,50,46,50,54,53,56,52,101,45,48,56,10,32,32,50,46,51,55,48,49,54,101,
      45,48,56,32,50,46,52,55,56,49,50,101,45,48,56,32,50,46,53,56,54,54,54,101,45,
      48,56,32,50,46,54,57,56,51,49,101,45,48,56,32,50,46,56,49,51,55,50,101,45,48,
      56,32,50,46,57,50,57,54,101,45,48,56,32,51,46,48,52,55,54,54,101,45,48,56,10,
      32,32,51,46,49,54,57,53,52,101,45,48,56,32,51,46,50,57,49,51,52,101,45,48,56,
      32,51,46,52,49,51,49,53,101,45,48,56,32,51,46,53,51,56,56,50,101,45,48,56,32,
      51,46,54,54,52,49,49,101,45,48,56,32,51,46,55,56,53,49,54,101,45,48,56,32,51,
      46,57,49,48,48,57,101,45,48,56,10,32,32,52,46,48,51,53,54,51,101,45,48,56,32,
      52,46,49,52,57,57,52,101,45,48,56,32,52,46,50,54,56,50,56,101,45,48,56,32,52,
      46,51,57,48,51,50,101,45,48,56,32,52,46,52,57,49,55,53,101,45,48,56,32,52,46,
      53,57,55,54,49,101,45,48,56,32,52,46,55,48,55,56,56,101,45,48,56,10,32,32,52,
      46,55,57,54,52,54,101,45,48,56,32,52,46,56,56,53,53,56,101,45,48,56,32,52,46,
      57,55,57,56,50,101,45,48,56,32,53,46,48,53,53,53,54,101,45,48,56,32,53,46,49,
      50,54,53,56,101,45,48,56,32,53,46,50,48,51,56,52,101,45,48,56,32,53,46,50,54,
      56,55,56,101,45,48,56,10,32,32,53,46,51,50,51,57,51,101,45,48,56,32,53,46,51,
      56,54,53,50,101,45,48,56,32,53,46,52,52,52,53,101,45,48,56,32,53,46,52,56,57,
      48,55,101,45,48,56,32,53,46,53,52,50,48,56,101,45,48,56,32,53,46,53,57,55,55,
      49,101,45,48,56,32,53,46,54,51,56,55,55,101,45,48,56,10,32,32,53,46,54,56,56,
      55,53,101,45,48,56,32,53,46,55,52,54,54,51,101,45,48,56,32,53,46,55,57,49,55,
      53,101,45,48,56,32,53,46,56,52,53,55,101,45,48,56,32,53,46,57,48,55,56,49,101,
      45,48,56,32,53,46,57,54,54,51,56,101,45,48,56,32,54,46,48,51,49,48,53,101,45,
      48,56,10,32,32,54,46,49,48,51,52,49,101,45,48,56,32,54,46,49,55,57,53,51,101,
      45,48,56,32,54,46,50,54,49,50,101,45,48,56,32,54,46,51,52,57,55,101,45,48,56,
      32,54,46,52,52,54,55,49,101,45,48,56,32,54,46,53,53,49,55,49,101,45,48,56,32,
      54,46,54,54,50,53,54,101,45,48,56,10,32,32,54,46,55,56,51,53,49,101,45,48,56,
      32,54,46,57,49,55,57,49,101,45,48,56,32,55,46,48,53,55,51,50,101,45,48,56,32,
      55,46,50,48,53,56,49,101,45,48,56,32,55,46,51,55,54,57,101,45,48,56,32,55,46,
      53,53,50,53,50,101,45,48,56,32,55,46,55,51,51,52,49,101,45,48,56,10,32,32,55,
      46,57,52,57,56,53,101,45,48,56,32,56,46,49,55,49,49,54,101,45,48,56,32,56,46,
      51,57,55,52,50,101,45,48,56,32,56,46,54,54,51,52,101,45,48,56,32,56,46,57,52,
      49,55,55,101,45,48,56,32,57,46,50,50,54,56,101,45,48,56,32,57,46,53,53,49,54,
      56,101,45,48,56,10,32,32,57,46,57,48,49,50,50,101,45,48,56,32,49,46,48,50,54,
      48,57,101,45,48,55,32,49,46,48,54,53,55,56,101,45,48,55,32,49,46,49,48,57,51,
      55,101,45,48,55,32,49,46,49,53,52,53,56,101,45,48,55,32,49,46,50,48,51,49,49,
      101,45,48,55,32,49,46,50,53,54,55,56,101,45,48,55,10,32,32,49,46,51,49,50,56,
      57,101,45,48,55,32,49,46,51,55,50,49,52,101,45,48,55,32,49,46,52,51,54,56,53,
      101,45,48,55,32,49,46,53,48,52,57,49,101,45,48,55,32,49,46,53,55,54,53,57,101,
      45,48,55,32,49,46,54,53,50,52,57,101,45,48,55,32,49,46,55,51,50,54,101,45,48,
      55,10,32,32,49,46,56,49,55,49,56,101,45,48,55,32,49,46,57,48,51,56,56,101,45,
      48,55,32,49,46,57,57,52,56,50,101,45,48,55,32,50,46,48,57,48,55,54,101,45,48,
      55,32,50,46,49,56,55,54,57,101,45,48,55,32,50,46,50,56,55,54,101,45,48,55,32,
      50,46,51,57,50,53,53,101,45,48,55,10,32,32,50,46,52,57,56,54,53,101,45,48,55,
      32,50,46,54,48,53,54,55,101,45,48,55,32,50,46,55,49,55,53,55,101,45,48,55,32,
      50,46,56,51,49,53,101,45,48,55,32,50,46,57,52,52,53,53,101,45,48,55,32,51,46,
      48,54,50,49,52,101,45,48,55,32,51,46,49,56,51,49,54,101,45,48,55,10,32,32,51,
      46,51,48,50,55,101,45,48,55,32,51,46,52,50,54,53,57,101,45,48,55,32,51,46,53,
      53,52,57,50,101,45,48,55,32,51,46,54,56,50,53,52,101,45,48,55,32,51,46,56,49,
      52,53,52,101,45,48,55,32,51,46,57,53,49,101,45,48,55,32,52,46,49,51,54,54,54,
      101,45,48,55,10,32,32,52,46,53,57,57,50,52,101,45,48,55,32,53,46,51,54,56,56,
      54,101,45,48,55,32,54,46,56,57,49,52,53,101,45,48,55,32,56,46,54,55,53,50,49,
      101,45,48,55,32,49,46,48,53,52,53,54,101,45,48,54,32,49,46,50,50,57,52,57,101,
      45,48,54,32,49,46,51,56,51,51,101,45,48,54,10,32,32,49,46,53,50,49,52,51,101,
      45,48,54,32,49,46,54,53,53,53,52,101,45,48,54,32,49,46,55,57,54,51,57,101,45,
      48,54,32,49,46,57,53,50,53,51,101,45,48,54,32,50,46,49,50,57,53,55,101,45,48,
      54,32,50,46,51,51,49,49,101,45,48,54,32,50,46,54,49,48,56,55,101,45,48,54,10,
      32,32,50,46,57,51,54,55,53,101,45,48,54,32,51,46,52,52,57,54,53,101,45,48,54,
      32,52,46,48,53,54,52,49,101,45,48,54,32,52,46,55,54,50,52,54,101,45,48,54,32,
      53,46,55,56,52,50,54,101,45,48,54,32,54,46,57,52,53,57,52,101,45,48,54,32,56,
      46,49,56,54,54,101,45,48,54,10,32,32,57,46,54,52,54,56,53,101,45,48,54,32,49,
      46,48,57,52,57,101,45,48,53,32,49,46,50,52,51,52,50,101,45,48,53,32,49,46,51,
      56,49,50,53,101,45,48,53,32,49,46,53,50,54,55,101,45,48,53,32,49,46,55,49,56,
      54,53,101,45,48,53,32,49,46,57,56,50,57,57,101,45,48,53,10,32,32,50,46,51,51,
      48,54,56,101,45,48,53,32,50,46,55,53,57,50,52,101,45,48,53,32,51,46,50,55,51,
      49,56,101,45,48,53,32,51,46,57,48,52,57,51,101,45,48,53,32,52,46,53,52,54,51,
      50,101,45,48,53,32,53,46,50,51,57,57,56,101,45,48,53,32,54,46,48,54,48,57,54,
      101,45,48,53,10,32,32,54,46,57,56,53,50,55,101,45,48,53,32,55,46,55,57,49,51,
      49,101,45,48,53,32,56,46,57,55,56,54,57,101,45,48,53,32,46,48,48,48,49,48,55,
      49,54,51,32,46,48,48,48,49,50,56,50,54,56,32,46,48,48,48,49,53,50,52,48,51,
      32,46,48,48,48,49,56,48,48,55,49,10,32,32,46,48,48,48,50,48,55,48,54,52,32,
      46,48,48,48,50,51,51,57,55,57,32,46,48,48,48,50,54,51,51,51,57,32,46,48,48,
      48,50,57,56,50,56,50,32,46,48,48,48,51,51,48,50,56,51,32,46,48,48,48,51,54,
      50,52,55,57,32,46,48,48,48,51,56,57,51,52,54,32,46,48,48,48,52,49,54,55,48,
      51,10,32,32,46,48,48,48,52,52,57,48,49,51,32,46,48,48,48,52,55,50,57,56,53,
      32,46,48,48,48,52,56,56,54,48,53,32,46,48,48,48,52,57,54,53,50,52,32,46,48,
      48,48,53,48,48,55,51,50,32,46,48,48,48,52,57,52,52,52,57,32,46,48,48,48,52,
      55,55,51,55,52,32,46,48,48,48,52,53,55,51,50,51,10,32,32,46,48,48,48,52,52,
      48,55,55,53,32,46,48,48,48,52,51,48,53,56,51,32,46,48,48,48,52,49,57,50,50,
      49,32,46,48,48,48,52,48,49,54,49,57,32,46,48,48,48,51,55,57,52,50,55,32,46,
      48,48,48,51,49,56,50,48,56,32,46,48,48,48,50,53,52,54,54,50,32,46,48,48,48,
      50,48,54,50,53,54,10,32,32,46,48,48,48,49,55,49,55,56,54,32,46,48,48,48,49,
      54,49,50,56,49,32,46,48,48,48,49,51,51,52,48,49,32,46,48,48,48,49,49,48,50,
      50,55,32,57,46,49,50,51,54,101,45,48,53,32,55,46,53,56,52,54,57,101,45,48,53,
      32,54,46,49,53,50,51,54,101,45,48,53,32,53,46,50,54,54,57,52,101,45,48,53,10,
      32,32,52,46,53,48,51,48,57,101,45,48,53,32,51,46,52,54,57,51,101,45,48,53,32,
      50,46,57,53,49,55,56,101,45,48,53,32,50,46,50,56,51,49,53,101,45,48,53,32,49,
      46,55,51,52,53,50,101,45,48,53,32,49,46,52,54,56,57,51,101,45,48,53,32,49,46,
      50,52,50,49,55,101,45,48,53,10,32,32,57,46,53,48,57,56,49,101,45,48,54,32,55,
      46,48,54,51,55,52,101,45,48,54,32,53,46,57,56,50,52,55,101,45,48,54,32,52,46,
      53,54,56,51,50,101,45,48,54,32,51,46,56,55,50,48,54,101,45,48,54,32,50,46,57,
      53,52,55,51,101,45,48,54,32,50,46,52,54,56,49,57,101,45,48,54,10,32,32,50,46,
      51,52,51,51,50,101,45,48,54,32,50,46,48,55,57,55,50,101,45,48,54,32,49,46,54,
      53,50,53,57,101,45,48,54,32,49,46,50,56,49,50,55,101,45,48,54,32,49,46,48,51,
      54,49,51,101,45,48,54,32,56,46,51,55,54,57,49,101,45,48,55,32,54,46,56,54,52,
      52,53,101,45,48,55,10,32,32,53,46,54,52,49,50,56,101,45,48,55,32,52,46,53,51,
      55,53,54,101,45,48,55,32,51,46,55,51,57,50,51,101,45,48,55,32,51,46,48,50,48,
      53,101,45,48,55,32,50,46,53,56,49,50,57,101,45,48,55,32,49,46,57,57,55,52,49,
      101,45,48,55,32,49,46,55,48,54,54,55,101,45,48,55,10,32,32,49,46,52,48,51,53,
      49,101,45,48,55,32,56,46,56,57,57,48,57,101,45,48,56,32,52,46,55,53,49,54,54,
      101,45,48,56,32,50,46,53,55,52,55,54,101,45,48,56,32,49,46,49,57,54,51,51,101,
      45,48,56,32,53,46,53,53,54,49,53,101,45,48,57,32,50,46,50,49,50,54,49,101,45,
      48,57,10,32,32,49,46,48,50,54,57,57,101,45,48,57,32,51,46,48,48,54,56,53,101,
      45,49,48,32,57,46,51,49,55,50,50,101,45,49,49,32,52,46,48,56,52,56,55,101,45,
      49,49,32,49,46,54,50,53,54,56,101,45,49,49,32,52,46,55,53,56,56,54,101,45,49,
      50,32,49,46,54,50,52,52,55,101,45,49,50,10,32,32,53,46,53,52,54,48,56,101,45,
      49,51,32,49,46,54,50,52,51,54,101,45,49,51,32,52,46,55,53,56,55,49,101,45,49,
      52,32,49,46,54,50,53,53,53,101,45,49,52,32,53,46,53,53,51,53,50,101,45,49,53,
      32,49,46,56,57,55,53,57,101,45,49,53,32,53,46,50,55,53,48,57,101,45,49,54,10,
      32,32,49,46,51,50,52,52,52,101,45,49,54,32,50,46,56,53,51,50,51,101,45,49,55,
      32,55,46,49,54,57,49,55,101,45,49,56,32,49,46,53,51,55,56,50,101,45,49,56,32,
      51,46,56,54,52,55,54,101,45,49,57,32,57,46,55,49,52,55,52,101,45,50,48,32,50,
      46,48,56,49,52,50,101,45,50,48,10,32,32,51,46,57,52,48,53,101,45,50,49,32,49,
      46,48,50,52,55,54,101,45,50,49,32,50,46,51,52,57,51,50,101,45,50,50,32,48,114,
      49,48,52,32,56,46,52,50,55,55,50,101,45,49,56,32,49,46,51,53,53,101,45,49,54,
      32,54,46,56,55,48,56,54,101,45,49,54,32,56,46,52,50,55,51,56,101,45,49,54,10,
      32,32,50,46,56,50,54,51,55,101,45,49,52,32,49,46,52,51,51,52,101,45,49,51,32,
      52,46,54,52,53,55,53,101,45,49,51,32,49,46,49,51,51,50,57,101,45,49,50,32,50,
      46,51,53,49,50,50,101,45,49,50,32,52,46,51,53,51,56,49,101,45,49,50,32,55,46,
      52,50,56,54,49,101,45,49,50,10,32,32,49,46,49,57,48,49,52,101,45,49,49,32,49,
      46,56,49,52,50,54,101,45,49,49,32,50,46,54,53,55,51,101,45,49,49,32,51,46,55,
      54,53,57,53,101,45,49,49,32,53,46,49,57,49,50,56,101,45,49,49,32,54,46,57,57,
      48,52,55,101,45,49,49,32,57,46,50,50,52,53,51,101,45,49,49,10,32,32,49,46,49,
      57,53,57,55,101,45,49,48,32,49,46,53,50,55,48,57,101,45,49,48,32,49,46,57,50,
      51,50,56,101,45,49,48,32,50,46,51,57,51,101,45,49,48,32,50,46,57,52,53,48,56,
      101,45,49,48,32,51,46,53,56,57,49,49,101,45,49,48,32,52,46,51,51,53,50,101,
      45,49,48,10,32,32,53,46,49,57,49,56,52,101,45,49,48,32,54,46,49,55,49,50,56,
      101,45,49,48,32,55,46,50,56,54,48,50,101,45,49,48,32,56,46,53,52,48,51,55,101,
      45,49,48,32,57,46,57,52,56,50,50,101,45,49,48,32,49,46,49,53,50,54,51,101,45,
      48,57,32,49,46,51,50,55,49,54,101,45,48,57,10,32,32,49,46,53,49,57,49,53,101,
      45,48,57,32,49,46,55,51,49,52,101,45,48,57,32,49,46,57,54,50,56,53,101,45,48,
      57,32,50,46,50,49,49,52,55,101,45,48,57,32,50,46,52,56,50,54,55,101,45,48,57,
      32,50,46,55,55,53,53,57,101,45,48,57,32,51,46,48,56,49,51,57,101,45,48,57,10,
      32,32,51,46,52,49,48,57,51,101,45,48,57,32,51,46,55,54,53,50,51,101,45,48,57,
      32,52,46,49,50,51,56,54,101,45,48,57,32,52,46,53,48,54,48,54,101,45,48,57,32,
      52,46,57,49,51,49,49,101,45,48,57,32,53,46,51,50,49,50,101,45,48,57,32,53,46,
      55,52,55,56,101,45,48,57,10,32,32,54,46,49,57,55,56,49,101,45,48,57,32,54,46,
      54,52,57,52,53,101,45,48,57,32,55,46,49,49,50,52,50,101,45,48,57,32,55,46,53,
      57,55,53,57,101,45,48,57,32,56,46,48,56,56,53,55,101,45,48,57,32,56,46,53,56,
      52,53,52,101,45,48,57,32,57,46,49,48,50,48,52,101,45,48,57,10,32,32,57,46,54,
      51,48,56,57,101,45,48,57,32,49,46,48,49,54,48,53,101,45,48,56,32,49,46,48,55,
      49,49,52,101,45,48,56,32,49,46,49,50,55,57,53,101,45,48,56,32,49,46,49,56,52,
      55,52,101,45,48,56,32,49,46,50,52,51,54,57,101,45,48,56,32,49,46,51,48,52,56,
      51,101,45,48,56,10,32,32,49,46,51,54,53,57,49,101,45,48,56,32,49,46,52,50,57,
      50,50,101,45,48,56,32,49,46,52,57,52,55,55,101,45,48,56,32,49,46,53,54,48,54,
      52,101,45,48,56,32,49,46,54,50,56,52,50,101,45,48,56,32,49,46,54,57,56,53,101,
      45,48,56,32,49,46,55,54,56,56,52,101,45,48,56,10,32,32,49,46,56,52,48,53,101,
      45,48,56,32,49,46,57,49,52,53,49,101,45,48,56,32,49,46,57,56,56,52,49,101,45,
      48,56,32,50,46,48,54,50,50,54,101,45,48,56,32,50,46,49,51,56,52,56,101,45,48,
      56,32,50,46,50,49,52,52,49,101,45,48,56,32,50,46,50,56,55,53,57,101,45,48,56,
      10,32,32,50,46,51,54,51,49,55,101,45,48,56,32,50,46,52,51,57,48,54,101,45,48,
      56,32,50,46,53,48,55,55,57,101,45,48,56,32,50,46,53,55,57,101,45,48,56,32,50,
      46,54,53,50,52,57,101,45,48,56,32,50,46,55,49,50,57,101,45,48,56,32,50,46,55,
      55,54,48,52,101,45,48,56,10,32,32,50,46,56,52,49,57,50,101,45,48,56,32,50,46,
      56,57,52,48,54,101,45,48,56,32,50,46,57,52,54,53,101,45,48,56,32,51,46,48,48,
      50,49,51,101,45,48,56,32,51,46,48,52,54,48,55,101,45,48,56,32,51,46,48,56,55,
      48,52,101,45,48,56,32,51,46,49,51,49,57,50,101,45,48,56,10,32,32,51,46,49,54,
      57,48,53,101,45,48,56,32,51,46,50,48,48,48,54,101,45,48,56,32,51,46,50,51,53,
      55,52,101,45,48,56,32,51,46,50,54,56,53,54,101,45,48,56,32,51,46,50,57,51,48,
      51,101,45,48,56,32,51,46,51,50,50,56,50,101,45,48,56,32,51,46,51,53,52,50,56,
      101,45,48,56,10,32,32,51,46,51,55,54,55,50,101,45,48,56,32,51,46,52,48,52,55,
      55,101,45,48,56,32,51,46,52,51,55,55,101,45,48,56,32,51,46,52,54,50,56,54,101,
      45,48,56,32,51,46,52,57,51,53,54,101,45,48,56,32,51,46,53,50,57,51,52,101,45,
      48,56,32,51,46,53,54,50,56,55,101,45,48,56,10,32,32,51,46,54,48,48,52,55,101,
      45,48,56,32,51,46,54,52,50,56,101,45,48,56,32,51,46,54,56,55,53,49,101,45,48,
      56,32,51,46,55,51,53,55,101,45,48,56,32,51,46,55,56,56,49,56,101,45,48,56,32,
      51,46,56,52,53,57,51,101,45,48,56,32,51,46,57,48,56,54,51,101,45,48,56,10,32,
      32,51,46,57,55,52,57,56,101,45,48,56,32,52,46,48,52,55,53,57,101,45,48,56,32,
      52,46,49,50,56,52,57,101,45,48,56,32,52,46,50,49,50,53,50,101,45,48,56,32,52,
      46,51,48,50,49,54,101,45,48,56,32,52,46,52,48,53,54,57,101,45,48,56,32,52,46,
      53,49,50,48,54,101,45,48,56,10,32,32,52,46,54,50,49,55,49,101,45,48,56,32,52,
      46,55,53,51,49,57,101,45,48,56,32,52,46,56,56,55,55,50,101,45,48,56,32,53,46,
      48,50,53,51,54,101,45,48,56,32,53,46,49,56,55,52,49,101,45,48,56,32,53,46,51,
      53,55,49,53,101,45,48,56,32,53,46,53,51,49,48,56,101,45,48,56,10,32,32,53,46,
      55,50,57,53,57,101,45,48,56,32,53,46,57,52,51,52,101,45,48,56,32,54,46,49,54,
      51,53,57,101,45,48,56,32,54,46,52,48,54,57,101,45,48,56,32,54,46,54,55,52,52,
      52,101,45,48,56,32,54,46,57,53,50,51,52,101,45,48,56,32,55,46,50,53,49,50,55,
      101,45,48,56,10,32,32,55,46,53,56,50,48,52,101,45,48,56,32,55,46,57,50,56,53,
      52,101,45,48,56,32,56,46,50,57,52,56,56,101,45,48,56,32,56,46,54,57,53,54,55,
      101,45,48,56,32,57,46,49,49,55,57,55,101,45,48,56,32,57,46,53,54,51,52,57,101,
      45,48,56,32,49,46,48,48,51,54,50,101,45,48,55,10,32,32,49,46,48,53,51,54,101,
      45,48,55,32,49,46,49,48,54,52,56,101,45,48,55,32,49,46,49,54,48,55,57,101,45,
      48,55,32,49,46,50,49,55,56,54,101,45,48,55,32,49,46,50,55,56,50,101,45,48,55,
      32,49,46,51,51,57,50,54,101,45,48,55,32,49,46,52,48,50,51,49,101,45,48,55,10,
      32,32,49,46,52,54,56,54,56,101,45,48,55,32,49,46,53,51,53,56,55,101,45,48,55,
      32,49,46,54,48,51,55,54,101,45,48,55,32,49,46,54,55,52,56,54,101,45,48,55,32,
      49,46,55,52,55,51,55,101,45,48,55,32,49,46,56,49,57,52,101,45,48,55,32,49,46,
      56,57,52,52,53,101,45,48,55,10,32,32,49,46,57,55,49,56,49,101,45,48,55,32,50,
      46,48,52,56,50,57,101,45,48,55,32,50,46,49,50,55,54,57,101,45,48,55,32,50,46,
      50,49,48,48,53,101,45,48,55,32,50,46,50,57,50,48,51,101,45,48,55,32,50,46,51,
      55,54,57,52,101,45,48,55,32,50,46,52,54,52,56,55,101,45,48,55,10,32,32,50,46,
      53,56,52,54,54,101,45,48,55,32,50,46,56,56,52,49,49,101,45,48,55,32,51,46,51,
      56,53,50,54,101,45,48,55,32,52,46,51,56,54,50,52,101,45,48,55,32,53,46,53,55,
      49,50,57,101,45,48,55,32,54,46,56,50,50,52,52,101,45,48,55,32,55,46,57,57,52,
      56,56,101,45,48,55,10,32,32,57,46,48,50,51,51,52,101,45,48,55,32,57,46,57,52,
      52,48,50,101,45,48,55,32,49,46,48,56,51,55,53,101,45,48,54,32,49,46,49,55,55,
      56,53,101,45,48,54,32,49,46,50,56,50,55,49,101,45,48,54,32,49,46,52,48,50,50,
      54,101,45,48,54,32,49,46,53,51,57,48,57,101,45,48,54,10,32,32,49,46,55,51,48,
      49,55,101,45,48,54,32,49,46,57,53,52,49,53,101,45,48,54,32,50,46,51,48,57,49,
      54,101,45,48,54,32,50,46,55,51,50,50,56,101,45,48,54,32,51,46,50,50,56,49,53,
      101,45,48,54,32,51,46,57,53,49,50,101,45,48,54,32,52,46,55,55,57,49,54,101,
      45,48,54,10,32,32,53,46,54,54,56,49,56,101,45,48,54,32,54,46,55,49,55,53,52,
      101,45,48,54,32,55,46,54,53,50,51,49,101,45,48,54,32,56,46,55,49,52,49,51,101,
      45,48,54,32,57,46,54,57,55,52,52,101,45,48,54,32,49,46,48,55,51,56,50,101,45,
      48,53,32,49,46,50,49,50,49,50,101,45,48,53,10,32,32,49,46,52,48,52,49,49,101,
      45,48,53,32,49,46,54,53,56,52,54,101,45,48,53,32,49,46,57,55,51,56,52,101,45,
      48,53,32,50,46,51,53,52,50,52,101,45,48,53,32,50,46,56,50,52,50,50,101,45,48,
      53,32,51,46,51,48,51,49,101,45,48,53,32,51,46,56,50,49,53,55,101,45,48,53,10,
      32,32,52,46,52,51,52,55,49,101,45,48,53,32,53,46,49,50,56,101,45,48,53,32,53,
      46,55,51,54,55,54,101,45,48,53,32,54,46,54,52,48,54,54,101,45,48,53,32,55,46,
      57,55,54,53,101,45,48,53,32,57,46,54,49,53,53,55,101,45,48,53,32,46,48,48,48,
      49,49,53,48,57,32,46,48,48,48,49,51,55,48,52,50,10,32,32,46,48,48,48,49,53,
      56,55,32,46,48,48,48,49,56,48,52,57,55,32,46,48,48,48,50,48,52,51,49,51,32,
      46,48,48,48,50,51,50,52,56,52,32,46,48,48,48,50,53,56,49,57,51,32,46,48,48,
      48,50,56,52,51,53,55,32,46,48,48,48,51,48,54,53,50,55,32,46,48,48,48,51,50,
      57,54,50,51,10,32,32,46,48,48,48,51,53,55,57,50,49,32,46,48,48,48,51,56,48,
      49,48,52,32,46,48,48,48,51,57,53,54,51,56,32,46,48,48,48,52,48,52,52,54,49,
      32,46,48,48,48,52,49,49,49,49,53,32,46,48,48,48,52,48,57,49,54,49,32,46,48,
      48,48,51,57,56,50,49,54,32,46,48,48,48,51,56,52,49,48,52,10,32,32,46,48,48,
      48,51,55,50,50,57,56,32,46,48,48,48,51,54,53,50,54,57,32,46,48,48,48,51,53,
      55,49,51,54,32,46,48,48,48,51,52,51,54,52,57,32,46,48,48,48,51,50,53,57,55,
      53,32,46,48,48,48,50,55,53,57,51,51,32,46,48,48,48,50,50,50,56,57,49,32,46,
      48,48,48,49,56,49,56,55,10,32,32,46,48,48,48,49,53,50,51,57,53,32,46,48,48,
      48,49,52,51,52,55,32,46,48,48,48,49,49,57,50,57,32,57,46,57,48,51,51,49,101,
      45,48,53,32,56,46,50,51,49,56,55,101,45,48,53,32,54,46,56,54,57,49,52,101,45,
      48,53,32,53,46,53,57,51,55,53,101,45,48,53,32,52,46,56,48,49,54,101,45,48,53,
      10,32,32,52,46,49,49,53,54,56,101,45,48,53,32,51,46,49,56,51,50,52,101,45,48,
      53,32,50,46,55,49,52,52,55,101,45,48,53,32,50,46,49,48,54,54,101,45,48,53,32,
      49,46,54,48,53,54,49,101,45,48,53,32,49,46,51,54,50,50,52,101,45,48,53,32,49,
      46,49,53,51,57,54,101,45,48,53,10,32,32,56,46,56,53,55,54,51,101,45,48,54,32,
      54,46,53,57,55,48,54,101,45,48,54,32,53,46,53,57,53,49,51,101,45,48,54,32,52,
      46,50,56,49,56,50,101,45,48,54,32,51,46,54,51,51,56,50,101,45,48,54,32,50,46,
      55,55,56,51,50,101,45,48,54,32,50,46,51,52,49,54,50,101,45,48,54,10,32,32,50,
      46,49,55,51,49,54,101,45,48,54,32,49,46,57,50,57,55,54,101,45,48,54,32,49,46,
      53,51,52,57,55,101,45,48,54,32,49,46,49,57,49,51,52,101,45,48,54,32,57,46,54,
      52,50,49,49,101,45,48,55,32,55,46,56,48,49,55,53,101,45,48,55,32,54,46,51,57,
      55,55,53,101,45,48,55,10,32,32,53,46,50,54,49,51,50,101,45,48,55,32,52,46,50,
      51,53,48,51,101,45,48,55,32,51,46,52,57,50,49,101,45,48,55,32,50,46,56,50,50,
      55,101,45,48,55,32,50,46,52,49,51,51,55,101,45,48,55,32,49,46,56,54,56,56,51,
      101,45,48,55,32,49,46,53,57,55,52,57,101,45,48,55,10,32,32,49,46,51,49,52,52,
      49,101,45,48,55,32,56,46,51,52,51,55,57,101,45,48,56,32,52,46,52,54,49,54,57,
      101,45,48,56,32,50,46,52,50,48,56,57,101,45,48,56,32,49,46,49,50,54,53,57,101,
      45,48,56,32,53,46,50,51,57,55,50,101,45,48,57,32,50,46,48,56,57,54,56,101,45,
      48,57,10,32,32,57,46,55,49,48,49,51,101,45,49,48,32,50,46,56,52,55,54,51,101,
      45,49,48,32,56,46,56,51,54,50,101,45,49,49,32,51,46,56,55,55,49,56,101,45,49,
      49,32,49,46,53,52,52,52,55,101,45,49,49,32,52,46,53,50,55,48,50,101,45,49,50,
      32,49,46,53,52,55,48,54,101,45,49,50,10,32,32,53,46,50,56,55,52,57,101,45,49,
      51,32,49,46,53,53,48,49,49,101,45,49,51,32,52,46,53,52,52,53,57,101,45,49,52,
      32,49,46,53,53,51,52,56,101,45,49,52,32,53,46,51,49,49,48,55,101,45,49,53,32,
      49,46,56,49,54,48,54,101,45,49,53,32,53,46,48,53,55,49,54,101,45,49,54,10,32,
      32,49,46,50,55,48,56,53,101,45,49,54,32,50,46,55,51,57,57,101,45,49,55,32,54,
      46,56,56,56,51,55,101,45,49,56,32,49,46,52,55,56,52,53,101,45,49,56,32,51,46,
      55,49,55,51,57,101,45,49,57,32,57,46,51,53,50,48,56,101,45,50,48,32,50,46,48,
      48,52,54,51,101,45,50,48,10,32,32,51,46,55,57,52,56,53,101,45,50,49,32,49,46,
      48,54,54,50,56,101,45,50,49,32,50,46,50,53,53,48,56,101,45,50,50,32,48,114,
      49,48,52,32,52,46,49,49,54,57,49,101,45,49,56,32,54,46,54,49,57,50,50,101,45,
      49,55,32,51,46,51,53,54,53,50,101,45,49,54,32,52,46,49,49,54,57,51,101,45,49,
      54,10,32,32,51,46,52,50,49,50,101,45,49,52,32,49,46,55,51,52,52,51,101,45,49,
      51,32,53,46,54,57,55,51,52,101,45,49,51,32,49,46,51,56,56,56,56,101,45,49,50,
      32,50,46,56,55,57,49,49,101,45,49,50,32,53,46,51,50,54,49,52,101,45,49,50,32,
      57,46,48,55,55,53,101,45,49,50,10,32,32,49,46,52,53,50,53,52,101,45,49,49,32,
      50,46,50,49,49,50,101,45,49,49,32,51,46,50,51,51,56,101,45,49,49,32,52,46,53,
      55,53,52,55,101,45,49,49,32,54,46,50,57,54,48,49,101,45,49,49,32,56,46,52,54,
      49,57,57,101,45,49,49,32,49,46,49,49,52,51,56,101,45,49,48,10,32,32,49,46,52,
      52,49,55,49,101,45,49,48,32,49,46,56,51,54,55,49,101,45,49,48,32,50,46,51,48,
      55,55,53,101,45,49,48,32,50,46,56,54,52,50,49,101,45,49,48,32,51,46,53,49,53,
      56,55,101,45,49,48,32,52,46,50,55,51,49,53,101,45,49,48,32,53,46,49,52,54,57,
      57,101,45,49,48,10,32,32,54,46,49,52,54,50,57,101,45,49,48,32,55,46,50,56,52,
      48,55,101,45,49,48,32,56,46,53,55,51,53,49,101,45,49,48,32,49,46,48,48,49,56,
      51,101,45,48,57,32,49,46,49,54,51,51,101,45,48,57,32,49,46,51,52,51,56,57,101,
      45,48,57,32,49,46,53,52,50,53,101,45,48,57,10,32,32,49,46,55,53,57,57,56,101,
      45,48,57,32,49,46,57,57,57,51,101,45,48,57,32,50,46,50,53,57,49,57,101,45,48,
      57,32,50,46,53,51,55,51,53,101,45,48,57,32,50,46,56,51,57,53,101,45,48,57,32,
      51,46,49,54,52,53,57,101,45,48,57,32,51,46,53,48,51,49,101,45,48,57,10,32,32,
      51,46,56,54,54,53,53,101,45,48,57,32,52,46,50,53,53,56,55,101,45,48,57,32,52,
      46,54,52,57,53,57,101,45,48,57,32,53,46,48,54,55,56,57,101,45,48,57,32,53,46,
      53,49,49,54,57,101,45,48,57,32,53,46,57,53,54,57,55,101,45,48,57,32,54,46,52,
      50,49,52,55,101,45,48,57,10,32,32,54,46,57,49,48,50,51,101,45,48,57,32,55,46,
      52,48,49,49,101,45,48,57,32,55,46,57,48,51,57,56,101,45,48,57,32,56,46,52,50,
      57,57,55,101,45,48,57,32,56,46,57,54,50,52,101,45,48,57,32,57,46,53,48,48,53,
      55,101,45,48,57,32,49,46,48,48,54,49,50,101,45,48,56,10,32,32,49,46,48,54,51,
      52,49,101,45,48,56,32,49,46,49,50,48,56,53,101,45,48,56,32,49,46,49,56,48,53,
      51,101,45,48,56,32,49,46,50,52,50,48,50,101,45,48,56,32,49,46,51,48,51,53,57,
      101,45,48,56,32,49,46,51,54,55,52,49,101,45,48,56,32,49,46,52,51,51,53,51,101,
      45,48,56,10,32,32,49,46,52,57,57,55,101,45,48,56,32,49,46,53,54,56,50,101,45,
      48,56,32,49,46,54,51,57,48,53,101,45,48,56,32,49,46,55,49,48,51,50,101,45,48,
      56,32,49,46,55,56,51,54,49,101,45,48,56,32,49,46,56,53,57,51,50,101,45,48,56,
      32,49,46,57,51,53,51,57,101,45,48,56,10,32,32,50,46,48,49,50,57,101,45,48,56,
      32,50,46,48,57,50,56,55,101,45,48,56,32,50,46,49,55,50,56,54,101,45,48,56,32,
      50,46,50,53,50,57,52,101,45,48,56,32,50,46,51,51,53,53,101,45,48,56,32,50,46,
      52,49,55,57,50,101,45,48,56,32,50,46,52,57,55,55,54,101,45,48,56,10,32,32,50,
      46,53,56,48,49,49,101,45,48,56,32,50,46,54,54,50,57,50,101,45,48,56,32,50,46,
      55,51,56,57,52,101,45,48,56,32,50,46,56,49,55,52,51,101,45,48,56,32,50,46,56,
      57,56,51,49,101,45,48,56,32,50,46,57,54,54,52,50,101,45,48,56,32,51,46,48,51,
      55,51,54,101,45,48,56,10,32,32,51,46,49,49,49,49,50,101,45,48,56,32,51,46,49,
      55,49,51,57,101,45,48,56,32,51,46,50,51,50,48,52,101,45,48,56,32,51,46,50,57,
      53,57,53,101,45,48,56,32,51,46,51,52,56,51,101,45,48,56,32,51,46,51,57,55,55,
      49,101,45,48,56,32,51,46,52,53,49,48,53,101,45,48,56,10,32,32,51,46,52,57,54,
      54,53,101,45,48,56,32,51,46,53,51,54,48,55,101,45,48,56,32,51,46,53,56,48,49,
      54,101,45,48,56,32,51,46,54,50,49,51,49,101,45,48,56,32,51,46,54,53,51,57,51,
      101,45,48,56,32,51,46,54,57,49,56,52,101,45,48,56,32,51,46,55,51,49,51,54,101,
      45,48,56,10,32,32,51,46,55,54,49,53,53,101,45,48,56,32,51,46,55,57,55,51,52,
      101,45,48,56,32,51,46,56,51,56,49,101,45,48,56,32,51,46,56,55,48,54,50,101,
      45,48,56,32,51,46,57,48,56,55,49,101,45,48,56,32,51,46,57,53,49,57,52,101,45,
      48,56,32,51,46,57,57,50,56,50,101,45,48,56,10,32,32,52,46,48,51,55,53,52,101,
      45,48,56,32,52,46,48,56,55,49,50,101,45,48,56,32,52,46,49,51,57,48,51,101,45,
      48,56,32,52,46,49,57,52,52,53,101,45,48,56,32,52,46,50,53,52,50,101,45,48,56,
      32,52,46,51,49,57,51,56,101,45,48,56,32,52,46,51,56,57,54,53,101,45,48,56,10,
      32,32,52,46,52,54,51,54,52,101,45,48,56,32,52,46,53,52,52,49,49,101,45,48,56,
      32,52,46,54,51,51,50,52,101,45,48,56,32,52,46,55,50,53,53,51,101,45,48,56,32,
      52,46,56,50,51,54,53,101,45,48,56,32,52,46,57,51,54,51,56,101,45,48,56,32,53,
      46,48,53,49,57,55,101,45,48,56,10,32,32,53,46,49,55,48,57,49,101,45,48,56,32,
      53,46,51,49,50,56,55,101,45,48,56,32,53,46,52,53,55,56,57,101,45,48,56,32,53,
      46,54,48,54,48,51,101,45,48,56,32,53,46,55,55,57,56,54,101,45,48,56,32,53,46,
      57,54,49,53,55,101,45,48,56,32,54,46,49,52,55,52,55,101,45,48,56,10,32,32,54,
      46,51,53,57,48,52,101,45,48,56,32,54,46,53,56,54,51,54,101,45,48,56,32,54,46,
      56,50,48,48,49,101,45,48,56,32,55,46,48,55,55,52,54,101,45,48,56,32,55,46,51,
      53,57,55,52,101,45,48,56,32,55,46,54,53,50,49,49,101,45,48,56,32,55,46,57,54,
      53,52,51,101,45,48,56,10,32,32,56,46,51,49,49,49,57,101,45,48,56,32,56,46,54,
      55,50,48,56,101,45,48,56,32,57,46,48,53,50,51,57,101,45,48,56,32,57,46,52,54,
      54,55,56,101,45,48,56,32,57,46,57,48,49,55,49,101,45,48,56,32,49,46,48,51,53,
      56,55,101,45,48,55,32,49,46,48,56,52,49,53,101,45,48,55,10,32,32,49,46,49,51,
      52,57,55,101,45,48,55,32,49,46,49,56,56,53,101,45,48,55,32,49,46,50,52,51,50,
      54,101,45,48,55,32,49,46,51,48,48,53,52,101,45,48,55,32,49,46,51,54,48,56,49,
      101,45,48,55,32,49,46,52,50,49,53,56,101,45,48,55,32,49,46,52,56,52,48,56,101,
      45,48,55,10,32,32,49,46,53,52,57,53,53,101,45,48,55,32,49,46,54,49,53,54,50,
      101,45,48,55,32,49,46,54,56,50,49,52,101,45,48,55,32,49,46,55,53,49,53,49,101,
      45,48,55,32,49,46,56,50,50,48,50,101,45,48,55,32,49,46,56,57,49,57,101,45,48,
      55,32,49,46,57,54,52,52,49,101,45,48,55,10,32,32,50,46,48,51,56,57,101,45,48,
      55,32,50,46,49,49,50,52,101,45,48,55,32,50,46,49,56,56,52,52,101,45,48,55,32,
      50,46,50,54,55,48,51,101,45,48,55,32,50,46,51,52,53,49,101,45,48,55,32,50,46,
      52,50,53,55,101,45,48,55,32,50,46,53,48,56,56,54,101,45,48,55,10,32,32,50,46,
      54,50,49,56,101,45,48,55,32,50,46,57,48,50,48,51,101,45,48,55,32,51,46,51,54,
      52,56,49,101,45,48,55,32,52,46,50,54,57,52,101,45,48,55,32,53,46,51,49,53,51,
      56,101,45,48,55,32,54,46,52,48,51,49,55,101,45,48,55,32,55,46,52,49,56,55,53,
      101,45,48,55,10,32,32,56,46,51,49,52,54,55,101,45,48,55,32,57,46,49,50,50,54,
      55,101,45,48,55,32,57,46,57,48,55,55,52,101,45,48,55,32,49,46,48,55,50,57,51,
      101,45,48,54,32,49,46,49,54,51,52,53,101,45,48,54,32,49,46,50,54,53,51,55,101,
      45,48,54,32,49,46,51,56,48,54,53,101,45,48,54,10,32,32,49,46,53,51,57,53,53,
      101,45,48,54,32,49,46,55,50,51,51,50,101,45,48,54,32,50,46,48,49,48,51,56,101,
      45,48,54,32,50,46,51,52,55,51,53,101,45,48,54,32,50,46,55,51,54,56,50,101,45,
      48,54,32,51,46,50,57,55,50,57,101,45,48,54,32,51,46,57,51,49,56,101,45,48,54,
      10,32,32,52,46,54,48,56,50,52,101,45,48,54,32,53,46,52,48,53,50,52,101,45,48,
      54,32,54,46,49,49,55,55,56,101,45,48,54,32,54,46,57,51,52,48,49,101,45,48,54,
      32,55,46,54,57,50,54,55,101,45,48,54,32,56,46,52,57,50,52,50,101,45,48,54,32,
      57,46,53,52,53,52,53,101,45,48,54,10,32,32,49,46,48,57,57,49,56,101,45,48,53,
      32,49,46,50,56,57,53,49,101,45,48,53,32,49,46,53,50,52,55,101,45,48,53,32,49,
      46,56,48,55,56,57,101,45,48,53,32,50,46,49,53,55,55,56,101,45,48,53,32,50,46,
      53,49,52,56,56,101,45,48,53,32,50,46,57,48,50,52,54,101,45,48,53,10,32,32,51,
      46,51,54,50,55,55,101,45,48,53,32,51,46,56,56,51,50,52,101,45,48,53,32,52,46,
      51,52,48,51,50,101,45,48,53,32,53,46,48,49,56,57,53,101,45,48,53,32,54,46,48,
      50,53,52,55,101,45,48,53,32,55,46,50,54,56,48,54,101,45,48,53,32,56,46,55,49,
      53,51,56,101,45,48,53,10,32,32,46,48,48,48,49,48,52,49,48,56,32,46,48,48,48,
      49,50,49,48,50,32,46,48,48,48,49,51,56,50,50,51,32,46,48,48,48,49,53,55,49,
      32,46,48,48,48,49,55,57,51,56,52,32,46,48,48,48,49,57,57,54,57,49,32,46,48,
      48,48,50,50,48,53,55,56,32,46,48,48,48,50,51,56,53,48,51,10,32,32,46,48,48,
      48,50,53,55,53,53,55,32,46,48,48,48,50,56,49,54,54,50,32,46,48,48,48,51,48,
      49,52,51,51,32,46,48,48,48,51,49,54,48,55,54,32,46,48,48,48,51,50,53,48,52,
      55,32,46,48,48,48,51,51,51,48,49,57,32,46,48,48,48,51,51,52,48,56,52,32,46,
      48,48,48,51,50,55,56,50,54,10,32,32,46,48,48,48,51,49,56,52,52,52,32,46,48,
      48,48,51,49,48,52,54,51,32,46,48,48,48,51,48,53,57,54,57,32,46,48,48,48,51,
      48,48,52,55,53,32,46,48,48,48,50,57,48,52,53,55,32,46,48,48,48,50,55,54,54,
      56,53,32,46,48,48,48,50,51,54,53,48,56,32,46,48,48,48,49,57,50,57,50,53,10,
      32,32,46,48,48,48,49,53,56,54,54,50,32,46,48,48,48,49,51,51,56,48,56,32,46,
      48,48,48,49,50,54,51,52,50,32,46,48,48,48,49,48,53,54,51,56,32,56,46,56,49,
      52,48,54,101,45,48,53,32,55,46,51,53,57,54,52,101,45,48,53,32,54,46,49,54,54,
      50,57,101,45,48,53,10,32,32,53,46,48,52,50,53,51,101,45,48,53,32,52,46,51,52,
      48,57,52,101,45,48,53,32,51,46,55,51,48,57,56,101,45,48,53,32,50,46,56,57,55,
      56,52,101,45,48,53,32,50,46,52,55,55,48,53,101,45,48,53,32,49,46,57,50,57,50,
      49,101,45,48,53,32,49,46,52,55,53,53,57,101,45,48,53,10,32,32,49,46,50,53,52,
      52,51,101,45,48,53,32,49,46,48,54,52,54,57,101,45,48,53,32,56,46,49,57,53,56,
      101,45,48,54,32,54,46,49,50,49,57,54,101,45,48,54,32,53,46,50,48,48,49,53,101,
      45,48,54,32,51,46,57,56,56,57,51,101,45,48,54,32,51,46,51,56,57,56,54,101,45,
      48,54,10,32,32,50,46,53,57,55,50,52,101,45,48,54,32,50,46,50,49,55,54,49,101,
      45,48,54,32,50,46,48,48,51,57,57,101,45,48,54,32,49,46,55,56,48,53,57,101,45,
      48,54,32,49,46,52,49,55,56,55,101,45,48,54,32,49,46,49,48,49,55,49,101,45,48,
      54,32,56,46,57,50,52,55,56,101,45,48,55,10,32,32,55,46,50,50,55,53,57,101,45,
      48,55,32,53,46,57,51,49,53,52,101,45,48,55,32,52,46,56,56,49,53,49,101,45,48,
      55,32,51,46,57,51,50,51,55,101,45,48,55,32,51,46,50,52,52,55,50,101,45,48,55,
      32,50,46,54,50,52,54,51,101,45,48,55,32,50,46,50,52,53,49,56,101,45,48,55,10,
      32,32,49,46,55,51,57,57,57,101,45,48,55,32,49,46,52,56,56,48,56,101,45,48,55,
      32,49,46,50,50,53,48,57,101,45,48,55,32,55,46,55,56,54,54,52,101,45,48,56,32,
      52,46,49,55,48,52,49,101,45,48,56,32,50,46,50,54,54,48,53,101,45,48,56,32,49,
      46,48,53,54,50,51,101,45,48,56,10,32,32,52,46,57,49,57,53,56,101,45,48,57,32,
      49,46,57,54,53,49,53,101,45,48,57,32,57,46,49,52,50,57,57,101,45,49,48,32,50,
      46,54,56,54,50,52,101,45,49,48,32,56,46,51,52,55,52,54,101,45,49,49,32,51,46,
      54,54,54,50,52,101,45,49,49,32,49,46,52,54,49,57,52,101,45,49,49,10,32,32,52,
      46,50,57,48,53,55,101,45,49,50,32,49,46,52,54,55,54,56,101,45,49,50,32,53,46,
      48,50,48,52,50,101,45,49,51,32,49,46,52,55,51,52,49,101,45,49,51,32,52,46,51,
      50,52,56,50,101,45,49,52,32,49,46,52,55,57,56,50,101,45,49,52,32,53,46,48,54,
      52,49,54,101,45,49,53,10,32,32,49,46,55,51,50,57,51,101,45,49,53,32,52,46,56,
      51,51,55,55,101,45,49,54,32,49,46,50,49,53,53,57,101,45,49,54,32,50,46,54,50,
      51,49,101,45,49,55,32,54,46,54,48,48,50,101,45,49,56,32,49,46,52,49,55,56,52,
      101,45,49,56,32,51,46,53,54,56,51,53,101,45,49,57,10,32,32,56,46,57,56,49,48,
      50,101,45,50,48,32,49,46,57,51,57,57,52,101,45,50,48,32,51,46,55,50,49,57,101,
      45,50,49,32,49,46,48,50,51,49,101,45,50,49,32,50,46,49,53,50,57,52,101,45,50,
      50,32,48,114,49,48,52,32,50,46,52,53,48,53,55,101,45,49,56,32,51,46,57,52,48,
      48,49,101,45,49,55,10,32,32,49,46,57,57,55,56,57,101,45,49,54,32,50,46,52,53,
      48,52,57,101,45,49,54,32,52,46,55,56,51,49,50,101,45,49,52,32,50,46,52,50,52,
      49,53,101,45,49,51,32,56,46,48,48,50,55,50,101,45,49,51,32,49,46,57,52,57,56,
      55,101,45,49,50,32,52,46,48,51,57,53,52,101,45,49,50,10,32,32,55,46,52,54,55,
      52,52,101,45,49,50,32,49,46,50,55,49,54,52,101,45,49,49,32,50,46,48,51,50,57,
      101,45,49,49,32,51,46,48,57,49,52,55,101,45,49,49,32,52,46,53,49,54,48,50,101,
      45,49,49,32,54,46,51,56,49,55,57,101,45,49,49,32,56,46,55,54,57,56,57,101,45,
      49,49,10,32,32,49,46,49,55,55,48,49,101,45,49,48,32,49,46,53,52,55,55,101,45,
      49,48,32,49,46,57,57,57,48,57,101,45,49,48,32,50,46,53,52,50,52,56,101,45,49,
      48,32,51,46,49,56,56,56,55,101,45,49,48,32,51,46,57,53,48,52,52,101,45,49,48,
      32,52,46,56,52,55,53,101,45,49,48,10,32,32,53,46,56,56,48,50,55,101,45,49,48,
      32,55,46,48,54,55,54,50,101,45,49,48,32,56,46,52,50,49,50,101,45,49,48,32,57,
      46,57,53,55,50,50,101,45,49,48,32,49,46,49,54,57,50,49,101,45,48,57,32,49,46,
      51,54,50,57,53,101,45,48,57,32,49,46,53,55,56,55,49,101,45,48,57,10,32,32,49,
      46,56,49,56,54,49,101,45,48,57,32,50,46,48,56,49,57,49,101,45,48,57,32,50,46,
      51,54,57,51,53,101,45,48,57,32,50,46,54,56,52,53,55,101,45,48,57,32,51,46,48,
      50,53,55,51,101,45,48,57,32,51,46,51,56,57,55,57,101,45,48,57,32,51,46,55,56,
      51,57,49,101,45,48,57,10,32,32,52,46,50,48,54,53,55,101,45,48,57,32,52,46,54,
      52,53,55,56,101,45,48,57,32,53,46,49,49,53,56,56,101,45,48,57,32,53,46,54,49,
      55,57,101,45,48,57,32,54,46,49,50,53,50,51,101,45,48,57,32,54,46,54,54,50,56,
      53,101,45,48,57,32,55,46,50,51,49,55,53,101,45,48,57,10,32,32,55,46,56,48,50,
      53,57,101,45,48,57,32,56,46,51,57,55,48,55,101,45,48,57,32,57,46,48,50,49,51,
      52,101,45,48,57,32,57,46,54,52,56,53,53,101,45,48,57,32,49,46,48,50,57,48,56,
      101,45,48,56,32,49,46,48,57,54,49,52,101,45,48,56,32,49,46,49,54,52,48,53,101,
      45,48,56,10,32,32,49,46,50,51,50,55,50,101,45,48,56,32,49,46,51,48,52,49,55,
      101,45,48,56,32,49,46,51,55,55,49,54,101,45,48,56,32,49,46,52,53,48,54,50,101,
      45,48,56,32,49,46,53,50,54,54,55,101,45,48,56,32,49,46,54,48,53,48,49,101,45,
      48,56,32,49,46,54,56,51,53,51,101,45,48,56,10,32,32,49,46,55,54,52,56,53,101,
      45,48,56,32,49,46,56,52,56,57,57,101,45,48,56,32,49,46,57,51,51,51,52,101,45,
      48,56,32,50,46,48,50,48,53,52,101,45,48,56,32,50,46,49,49,48,54,55,101,45,48,
      56,32,50,46,50,48,49,52,50,101,45,48,56,32,50,46,50,57,52,54,57,101,45,48,56,
      10,32,32,50,46,51,57,48,57,53,101,45,48,56,32,50,46,52,56,55,55,55,101,45,48,
      56,32,50,46,53,56,54,52,52,101,45,48,56,32,50,46,54,56,56,49,53,101,45,48,56,
      32,50,46,55,57,48,48,51,101,45,48,56,32,50,46,56,57,50,49,56,101,45,48,56,32,
      50,46,57,57,55,52,101,45,48,56,10,32,32,51,46,49,48,50,54,50,101,45,48,56,32,
      51,46,50,48,53,101,45,48,56,32,51,46,51,49,48,52,55,101,45,48,56,32,51,46,52,
      49,54,54,55,101,45,48,56,32,51,46,53,49,52,57,55,101,45,48,56,32,51,46,54,49,
      54,52,53,101,45,48,56,32,51,46,55,50,48,57,49,101,45,48,56,10,32,32,51,46,56,
      49,48,53,57,101,45,48,56,32,51,46,57,48,51,55,53,101,45,48,56,32,52,46,48,48,
      48,51,53,101,45,48,56,32,52,46,48,56,49,50,57,101,45,48,56,32,52,46,49,54,50,
      55,55,101,45,48,56,32,52,46,50,52,56,49,57,101,45,48,56,32,52,46,51,50,48,48,
      56,101,45,48,56,10,32,32,52,46,51,56,56,53,52,101,45,48,56,32,52,46,52,54,49,
      54,56,101,45,48,56,32,52,46,53,50,53,54,56,101,45,48,56,32,52,46,53,56,50,50,
      57,101,45,48,56,32,52,46,54,52,52,52,50,101,45,48,56,32,52,46,55,48,50,57,57,
      101,45,48,56,32,52,46,55,53,49,50,54,101,45,48,56,10,32,32,52,46,56,48,53,55,
      55,101,45,48,56,32,52,46,56,54,50,49,49,101,45,48,56,32,52,46,57,48,55,48,52,
      101,45,48,56,32,52,46,57,53,56,54,101,45,48,56,32,53,46,48,49,54,48,52,101,
      45,48,56,32,53,46,48,54,51,50,57,101,45,48,56,32,53,46,49,49,55,49,53,101,45,
      48,56,10,32,32,53,46,49,55,55,49,52,101,45,48,56,32,53,46,50,51,52,48,56,101,
      45,48,56,32,53,46,50,57,53,53,53,101,45,48,56,32,53,46,51,54,50,56,53,101,45,
      48,56,32,53,46,52,51,50,56,54,101,45,48,56,32,53,46,53,48,55,48,52,101,45,48,
      56,32,53,46,53,56,54,52,51,101,45,48,56,10,32,32,53,46,54,55,50,52,49,101,45,
      48,56,32,53,46,55,54,52,53,54,101,45,48,56,32,53,46,56,54,49,49,57,101,45,48,
      56,32,53,46,57,54,53,55,54,101,45,48,56,32,54,46,48,56,48,57,56,101,45,48,56,
      32,54,46,50,48,48,48,49,101,45,48,56,32,54,46,51,50,54,49,56,101,45,48,56,10,
      32,32,54,46,52,55,48,52,55,101,45,48,56,32,54,46,54,49,56,50,101,45,48,56,32,
      54,46,55,54,57,57,52,101,45,48,56,32,54,46,57,53,48,51,49,101,45,48,56,32,55,
      46,49,51,52,51,52,101,45,48,56,32,55,46,51,50,50,48,53,101,45,48,56,32,55,46,
      53,52,49,54,55,101,45,48,56,10,32,32,55,46,55,55,48,56,51,101,45,48,56,32,56,
      46,48,48,52,57,53,101,45,48,56,32,56,46,50,55,48,55,101,45,48,56,32,56,46,53,
      53,53,54,52,101,45,48,56,32,56,46,56,52,55,57,56,101,45,48,56,32,57,46,49,54,
      57,51,49,101,45,48,56,32,57,46,53,50,48,54,55,101,45,48,56,10,32,32,57,46,56,
      56,51,55,53,101,45,48,56,32,49,46,48,50,55,49,56,101,45,48,55,32,49,46,48,54,
      57,56,53,101,45,48,55,32,49,46,49,49,52,50,54,101,45,48,55,32,49,46,49,54,48,
      57,50,101,45,48,55,32,49,46,50,49,49,53,54,101,45,48,55,32,49,46,50,54,52,53,
      49,101,45,48,55,10,32,32,49,46,51,49,57,57,52,101,45,48,55,32,49,46,51,55,56,
      50,55,101,45,48,55,32,49,46,52,51,57,52,49,101,45,48,55,32,49,46,53,48,51,53,
      52,101,45,48,55,32,49,46,53,54,56,56,55,101,45,48,55,32,49,46,54,51,54,57,51,
      101,45,48,55,32,49,46,55,48,56,50,50,101,45,48,55,10,32,32,49,46,55,55,57,56,
      51,101,45,48,55,32,49,46,56,53,51,49,56,101,45,48,55,32,49,46,57,50,57,54,56,
      101,45,48,55,32,50,46,48,48,54,54,101,45,48,55,32,50,46,48,56,51,56,101,45,
      48,55,32,50,46,49,54,51,57,55,101,45,48,55,32,50,46,50,52,53,49,55,101,45,48,
      55,10,32,32,50,46,51,50,53,52,52,101,45,48,55,32,50,46,52,48,56,52,49,101,45,
      48,55,32,50,46,52,57,51,51,51,101,45,48,55,32,50,46,53,55,54,57,55,101,45,48,
      55,32,50,46,54,54,51,49,56,101,45,48,55,32,50,46,55,53,49,57,52,101,45,48,55,
      32,50,46,56,51,57,57,52,101,45,48,55,10,32,32,50,46,57,51,48,52,55,101,45,48,
      55,32,51,46,48,50,51,53,51,101,45,48,55,32,51,46,49,52,57,53,49,101,45,48,55,
      32,51,46,52,53,57,53,52,101,45,48,55,32,51,46,57,54,52,49,49,101,45,48,55,32,
      52,46,57,50,54,54,53,101,45,48,55,32,54,46,48,48,57,49,53,101,45,48,55,10,32,
      32,55,46,49,49,52,52,50,101,45,48,55,32,56,46,49,52,49,54,50,101,45,48,55,32,
      57,46,48,53,52,52,51,101,45,48,55,32,57,46,56,56,53,51,51,101,45,48,55,32,49,
      46,48,54,57,52,101,45,48,54,32,49,46,49,53,51,51,52,101,45,48,54,32,49,46,50,
      52,52,53,50,101,45,48,54,10,32,32,49,46,51,52,53,53,54,101,45,48,54,32,49,46,
      52,53,55,57,57,101,45,48,54,32,49,46,54,49,48,50,49,101,45,48,54,32,49,46,55,
      56,50,57,52,101,45,48,54,32,50,46,48,52,54,56,57,101,45,48,54,32,50,46,51,52,
      57,51,57,101,45,48,54,32,50,46,54,57,49,49,52,101,45,48,54,10,32,32,51,46,49,
      55,49,51,53,101,45,48,54,32,51,46,55,48,50,56,50,101,45,48,54,32,52,46,50,54,
      48,52,56,101,45,48,54,32,52,46,57,49,51,50,57,101,45,48,54,32,53,46,53,48,48,
      50,56,101,45,48,54,32,54,46,49,56,50,57,50,101,45,48,54,32,54,46,56,50,50,48,
      56,101,45,48,54,10,32,32,55,46,52,56,57,57,55,101,45,48,54,32,56,46,51,53,49,
      51,53,101,45,48,54,32,57,46,53,48,53,49,52,101,45,48,54,32,49,46,48,57,57,51,
      55,101,45,48,53,32,49,46,50,56,48,55,52,101,45,48,53,32,49,46,52,57,54,53,57,
      101,45,48,53,32,49,46,55,54,49,49,52,101,45,48,53,10,32,32,50,46,48,51,48,50,
      55,101,45,48,53,32,50,46,51,50,50,57,54,101,45,48,53,32,50,46,54,55,51,49,51,
      101,45,48,53,32,51,46,48,54,54,54,53,101,45,48,53,32,51,46,52,48,56,57,101,
      45,48,53,32,51,46,57,49,49,51,49,101,45,48,53,32,52,46,54,53,48,54,57,101,45,
      48,53,10,32,32,53,46,53,54,49,48,52,101,45,48,53,32,54,46,54,50,52,101,45,48,
      53,32,55,46,56,55,55,49,55,101,45,48,53,32,57,46,49,51,56,55,52,101,45,48,53,
      32,46,48,48,48,49,48,52,51,55,55,32,46,48,48,48,49,49,56,55,52,56,32,46,48,
      48,48,49,51,53,55,56,52,32,46,48,48,48,49,53,49,51,51,57,10,32,32,46,48,48,
      48,49,54,55,52,56,56,32,46,48,48,48,49,56,49,52,56,32,46,48,48,48,49,57,54,
      54,49,52,32,46,48,48,48,50,49,54,51,49,56,32,46,48,48,48,50,51,51,49,52,57,
      32,46,48,48,48,50,52,54,50,50,52,32,46,48,48,48,50,53,52,55,50,50,32,46,48,
      48,48,50,54,51,48,57,54,10,32,32,46,48,48,48,50,54,54,49,52,50,32,46,48,48,
      48,50,54,51,52,50,57,32,46,48,48,48,50,53,55,56,49,57,32,46,48,48,48,50,53,
      50,57,52,51,32,46,48,48,48,50,53,48,53,32,46,48,48,48,50,52,55,49,55,57,32,
      46,48,48,48,50,52,48,49,51,50,32,46,48,48,48,50,50,57,55,57,56,10,32,32,46,
      48,48,48,49,57,56,53,52,49,32,46,48,48,48,49,54,51,55,49,55,32,46,48,48,48,
      49,51,53,56,50,50,32,46,48,48,48,49,49,53,51,54,57,32,46,48,48,48,49,48,57,
      50,56,56,32,57,46,49,57,53,48,55,101,45,48,53,32,55,46,55,49,53,53,51,101,45,
      48,53,32,54,46,52,55,53,50,52,101,45,48,53,10,32,32,53,46,52,52,57,57,56,101,
      45,48,53,32,52,46,52,55,55,56,55,101,45,48,53,32,51,46,56,54,55,52,101,45,48,
      53,32,51,46,51,51,52,51,101,45,48,53,32,50,46,54,48,50,48,57,101,45,48,53,32,
      50,46,50,51,48,51,54,101,45,48,53,32,49,46,55,52,52,49,53,101,45,48,53,10,32,
      32,49,46,51,51,57,51,52,101,45,48,53,32,49,46,49,52,49,49,53,101,45,48,53,32,
      57,46,55,48,54,50,52,101,45,48,54,32,55,46,52,57,53,57,51,101,45,48,54,32,53,
      46,54,49,56,48,56,101,45,48,54,32,52,46,55,56,48,54,101,45,48,54,32,51,46,54,
      55,55,48,53,101,45,48,54,10,32,32,51,46,49,50,57,55,49,101,45,48,54,32,50,46,
      52,48,51,54,55,101,45,48,54,32,50,46,48,54,56,50,49,101,45,48,54,32,49,46,56,
      50,56,56,52,101,45,48,54,32,49,46,54,50,54,48,53,101,45,48,54,32,49,46,50,57,
      54,52,50,101,45,48,54,32,49,46,48,48,56,54,54,101,45,48,54,10,32,32,56,46,49,
      55,57,52,57,101,45,48,55,32,54,46,54,51,48,54,49,101,45,48,55,32,53,46,52,52,
      54,52,54,101,45,48,55,32,52,46,52,56,54,48,55,101,45,48,55,32,51,46,54,49,55,
      48,54,101,45,48,55,32,50,46,57,56,54,56,52,101,45,48,55,32,50,46,52,49,56,48,
      49,101,45,48,55,10,32,32,50,46,48,54,57,54,51,101,45,48,55,32,49,46,54,48,53,
      51,57,101,45,48,55,32,49,46,51,55,51,55,101,45,48,55,32,49,46,49,51,49,54,54,
      101,45,48,55,32,55,46,50,48,51,48,55,101,45,48,56,32,51,46,56,54,52,56,53,101,
      45,48,56,32,50,46,49,48,51,52,52,101,45,48,56,10,32,32,57,46,56,50,50,53,52,
      101,45,48,57,32,52,46,53,56,50,54,54,101,45,48,57,32,49,46,56,51,51,56,55,101,
      45,48,57,32,56,46,53,52,51,56,49,101,45,49,48,32,50,46,53,49,53,48,57,101,45,
      49,48,32,55,46,56,50,57,50,55,101,45,49,49,32,51,46,52,52,50,55,49,101,45,49,
      49,10,32,32,49,46,51,55,52,52,57,101,45,49,49,32,52,46,48,51,57,54,54,101,45,
      49,50,32,49,46,51,56,51,51,53,101,45,49,50,32,52,46,55,51,54,56,56,101,45,49,
      51,32,49,46,51,57,49,55,55,101,45,49,51,32,52,46,48,56,57,51,56,101,45,49,52,
      32,49,46,52,48,48,51,55,101,45,49,52,10,32,32,52,46,55,57,53,53,101,45,49,53,
      32,49,46,54,52,50,51,49,101,45,49,53,32,52,46,53,56,57,57,57,101,45,49,54,32,
      49,46,49,53,53,54,51,101,45,49,54,32,50,46,52,57,54,56,56,101,45,49,55,32,54,
      46,50,56,56,55,101,45,49,56,32,49,46,51,53,50,48,53,101,45,49,56,10,32,32,51,
      46,52,48,52,56,49,101,45,49,57,32,56,46,53,55,53,49,53,101,45,50,48,32,49,46,
      56,53,51,56,53,101,45,50,48,32,51,46,53,53,54,57,54,101,45,50,49,32,57,46,55,
      54,57,56,50,101,45,50,50,32,50,46,48,52,52,52,49,101,45,50,50,32,48,114,49,
      48,52,32,52,46,48,56,55,55,50,101,45,50,51,10,32,32,50,46,54,54,55,49,50,101,
      45,50,49,32,51,46,48,53,101,45,50,48,32,52,46,49,52,51,48,52,101,45,50,48,32,
      52,46,57,48,57,50,101,45,49,52,32,50,46,52,56,56,50,50,101,45,49,51,32,56,46,
      50,52,55,53,57,101,45,49,51,32,50,46,48,48,57,56,101,45,49,50,32,52,46,49,54,
      52,51,51,101,45,49,50,10,32,32,55,46,54,57,57,52,55,101,45,49,50,32,49,46,51,
      49,49,52,50,101,45,49,49,32,50,46,48,57,55,48,49,101,45,49,49,32,51,46,49,56,
      57,56,51,101,45,49,49,32,52,46,54,54,49,49,56,101,45,49,49,32,54,46,53,56,57,
      51,54,101,45,49,49,32,57,46,48,56,48,49,49,101,45,49,49,10,32,32,49,46,50,50,
      56,57,52,101,45,49,48,32,49,46,54,49,54,53,55,101,45,49,48,32,50,46,48,56,56,
      55,57,101,45,49,48,32,50,46,54,53,55,53,51,101,45,49,48,32,51,46,51,51,52,51,
      56,101,45,49,48,32,52,46,49,51,50,50,53,101,45,49,48,32,53,46,48,54,52,53,49,
      101,45,49,48,10,32,32,54,46,49,52,53,51,101,45,49,48,32,55,46,51,56,57,51,53,
      101,45,49,48,32,56,46,56,48,56,52,51,101,45,49,48,32,49,46,48,52,49,57,56,101,
      45,48,57,32,49,46,50,50,52,49,101,45,48,57,32,49,46,52,50,55,54,101,45,48,57,
      32,49,46,54,53,52,51,55,101,45,48,57,10,32,32,49,46,57,48,54,54,55,101,45,48,
      57,32,50,46,49,56,51,55,53,101,45,48,57,32,50,46,52,56,54,52,101,45,48,57,32,
      50,46,56,49,56,53,49,101,45,48,57,32,51,46,49,55,56,49,51,101,45,48,57,32,51,
      46,53,54,50,48,55,101,45,48,57,32,51,46,57,55,56,52,52,101,45,48,57,10,32,32,
      52,46,52,50,52,54,57,101,45,48,57,32,52,46,56,57,48,55,53,101,45,48,57,32,53,
      46,51,56,55,54,56,101,45,48,57,32,53,46,57,49,56,54,101,45,48,57,32,54,46,52,
      53,53,49,54,101,45,48,57,32,55,46,48,50,51,57,54,101,45,48,57,32,55,46,54,50,
      54,48,55,101,45,48,57,10,32,32,56,46,50,51,48,49,56,101,45,48,57,32,56,46,56,
      53,57,52,54,101,45,48,57,32,57,46,53,50,48,52,51,101,45,48,57,32,49,46,48,49,
      56,52,52,101,45,48,56,32,49,46,48,56,54,52,52,101,45,48,56,32,49,46,49,53,55,
      52,54,101,45,48,56,32,49,46,50,50,57,51,54,101,45,48,56,10,32,32,49,46,51,48,
      50,48,55,101,45,48,56,32,49,46,51,55,55,55,51,101,45,48,56,32,49,46,52,53,53,
      48,50,101,45,48,56,32,49,46,53,51,50,54,49,101,45,48,56,32,49,46,54,49,51,49,
      51,101,45,48,56,32,49,46,54,57,54,48,52,101,45,48,56,32,49,46,55,55,57,49,55,
      101,45,48,56,10,32,32,49,46,56,54,53,50,54,101,45,48,56,32,49,46,57,53,52,51,
      53,101,45,48,56,32,50,46,48,52,51,54,53,101,45,48,56,32,50,46,49,51,53,57,56,
      101,45,48,56,32,50,46,50,51,49,52,49,101,45,48,56,32,50,46,51,50,55,53,101,
      45,48,56,32,50,46,52,50,54,50,53,101,45,48,56,10,32,32,50,46,53,50,56,49,57,
      101,45,48,56,32,50,46,54,51,48,55,49,101,45,48,56,32,50,46,55,51,53,49,56,101,
      45,48,56,32,50,46,56,52,50,56,55,101,45,48,56,32,50,46,57,53,48,55,52,101,45,
      48,56,32,51,46,48,53,56,56,54,101,45,48,56,32,51,46,49,55,48,50,54,101,45,48,
      56,10,32,32,51,46,50,56,49,54,51,101,45,48,56,32,51,46,51,56,57,57,51,101,45,
      48,56,32,51,46,53,48,49,53,51,101,45,48,56,32,51,46,54,49,51,56,55,101,45,48,
      56,32,51,46,55,49,55,55,51,101,45,48,56,32,51,46,56,50,52,57,56,101,45,48,56,
      32,51,46,57,51,53,51,57,101,45,48,56,10,32,32,52,46,48,50,57,57,53,101,45,48,
      56,32,52,46,49,50,56,50,50,101,45,48,56,32,52,46,50,51,48,49,54,101,45,48,56,
      32,52,46,51,49,53,51,101,45,48,56,32,52,46,52,48,49,48,49,101,45,48,56,32,52,
      46,52,57,48,57,50,101,45,48,56,32,52,46,53,54,54,51,52,101,45,48,56,10,32,32,
      52,46,54,51,56,48,55,101,45,48,56,32,52,46,55,49,52,55,57,101,45,48,56,32,52,
      46,55,56,49,55,51,101,45,48,56,32,52,46,56,52,48,55,55,101,45,48,56,32,52,46,
      57,48,53,55,50,101,45,48,56,32,52,46,57,54,54,56,53,101,45,48,56,32,53,46,48,
      49,54,57,56,101,45,48,56,10,32,32,53,46,48,55,51,55,56,101,45,48,56,32,53,46,
      49,51,50,53,53,101,45,48,56,32,53,46,49,55,57,49,53,101,45,48,56,32,53,46,50,
      51,50,56,52,101,45,48,56,32,53,46,50,57,50,56,49,101,45,48,56,32,53,46,51,52,
      49,57,52,101,45,48,56,32,53,46,51,57,56,49,50,101,45,48,56,10,32,32,53,46,52,
      54,48,56,55,101,45,48,56,32,53,46,53,50,48,51,57,101,45,48,56,32,53,46,53,56,
      52,55,52,101,45,48,56,32,53,46,54,53,53,51,51,101,45,48,56,32,53,46,55,50,56,
      56,50,101,45,48,56,32,53,46,56,48,54,55,55,101,45,48,56,32,53,46,56,57,48,50,
      56,101,45,48,56,10,32,32,53,46,57,56,48,56,52,101,45,48,56,32,54,46,48,55,55,
      57,54,101,45,48,56,32,54,46,49,55,57,56,55,101,45,48,56,32,54,46,50,57,48,50,
      51,101,45,48,56,32,54,46,52,49,49,57,52,101,45,48,56,32,54,46,53,51,55,55,49,
      101,45,48,56,32,54,46,54,55,49,48,57,101,45,48,56,10,32,32,54,46,56,50,51,55,
      52,101,45,48,56,32,54,46,57,56,48,48,54,101,45,48,56,32,55,46,49,52,48,54,54,
      101,45,48,56,32,55,46,51,51,49,55,49,101,45,48,56,32,55,46,53,50,54,54,54,101,
      45,48,56,32,55,46,55,50,53,53,53,101,45,48,56,32,55,46,57,53,56,51,55,101,45,
      48,56,10,32,32,56,46,50,48,49,51,55,101,45,48,56,32,56,46,52,52,57,54,56,101,
      45,48,56,32,56,46,55,51,49,54,53,101,45,48,56,32,57,46,48,51,52,48,56,101,45,
      48,56,32,57,46,51,52,52,52,51,101,45,48,56,32,57,46,54,56,53,54,57,101,45,48,
      56,32,49,46,48,48,53,57,101,45,48,55,10,32,32,49,46,48,52,52,52,57,101,45,48,
      55,32,49,46,48,56,53,55,52,101,45,48,55,32,49,46,49,51,49,49,51,101,45,48,55,
      32,49,46,49,55,56,51,57,101,45,48,55,32,49,46,50,50,56,48,52,101,45,48,55,32,
      49,46,50,56,49,57,55,101,45,48,55,32,49,46,51,51,56,51,56,101,45,48,55,10,32,
      32,49,46,51,57,55,52,54,101,45,48,55,32,49,46,52,53,57,54,52,101,45,48,55,32,
      49,46,53,50,52,56,53,101,45,48,55,32,49,46,53,57,51,50,55,101,45,48,55,32,49,
      46,54,54,51,101,45,48,55,32,49,46,55,51,53,54,55,101,45,48,55,32,49,46,56,49,
      49,56,101,45,48,55,10,32,32,49,46,56,56,56,50,57,101,45,48,55,32,49,46,57,54,
      54,54,54,101,45,48,55,32,50,46,48,52,56,52,50,101,45,48,55,32,50,46,49,51,48,
      54,51,101,45,48,55,32,50,46,50,49,51,49,53,101,45,48,55,32,50,46,50,57,56,56,
      54,101,45,48,55,32,50,46,51,56,53,54,56,101,45,48,55,10,32,32,50,46,52,55,49,
      53,101,45,48,55,32,50,46,53,54,48,50,49,101,45,48,55,32,50,46,54,53,49,48,49,
      101,45,48,55,32,50,46,55,52,48,52,53,101,45,48,55,32,50,46,56,51,50,54,50,101,
      45,48,55,32,50,46,57,50,55,53,51,101,45,48,55,32,51,46,48,50,49,54,50,101,45,
      48,55,10,32,32,51,46,49,49,56,52,49,101,45,48,55,32,51,46,50,49,55,57,49,101,
      45,48,55,32,51,46,51,53,50,53,55,101,45,48,55,32,51,46,54,56,51,57,49,101,45,
      48,55,32,52,46,50,50,50,56,52,101,45,48,55,32,53,46,50,52,57,51,49,101,45,48,
      55,32,54,46,51,57,57,56,56,101,45,48,55,10,32,32,55,46,53,55,48,50,101,45,48,
      55,32,56,46,54,53,53,50,55,101,45,48,55,32,57,46,54,49,57,50,56,101,45,48,55,
      32,49,46,48,52,57,55,51,101,45,48,54,32,49,46,49,51,53,49,57,101,45,48,54,32,
      49,46,50,50,51,55,52,101,45,48,54,32,49,46,51,49,57,54,57,101,45,48,54,10,32,
      32,49,46,52,50,53,55,50,101,45,48,54,32,49,46,53,52,51,50,53,101,45,48,54,32,
      49,46,55,48,49,54,56,101,45,48,54,32,49,46,56,56,48,52,51,101,45,48,54,32,50,
      46,49,53,49,52,50,101,45,48,54,32,50,46,52,53,56,54,49,101,45,48,54,32,50,46,
      56,48,49,52,101,45,48,54,10,32,32,51,46,50,55,53,52,53,101,45,48,54,32,51,46,
      55,57,48,53,101,45,48,54,32,52,46,51,50,50,51,52,101,45,48,54,32,52,46,57,51,
      55,57,57,101,45,48,54,32,53,46,52,57,50,48,51,101,45,48,54,32,54,46,49,52,49,
      54,49,101,45,48,54,32,54,46,55,53,50,57,56,101,45,48,54,10,32,32,55,46,51,56,
      54,54,57,101,45,48,54,32,56,46,49,56,55,55,50,101,45,48,54,32,57,46,50,51,52,
      48,52,101,45,48,54,32,49,46,48,53,52,57,52,101,45,48,53,32,49,46,50,49,49,52,
      53,101,45,48,53,32,49,46,51,57,51,51,54,101,45,48,53,32,49,46,54,49,49,55,57,
      101,45,48,53,10,32,32,49,46,56,51,48,57,52,101,45,48,53,32,50,46,48,54,56,54,
      52,101,45,48,53,32,50,46,51,53,52,52,56,101,45,48,53,32,50,46,54,55,49,101,
      45,48,53,32,50,46,57,51,57,52,52,101,45,48,53,32,51,46,51,50,50,49,54,101,45,
      48,53,32,51,46,56,54,56,48,50,101,45,48,53,10,32,32,52,46,53,50,52,53,54,101,
      45,48,53,32,53,46,50,56,49,52,51,101,45,48,53,32,54,46,49,55,48,51,53,101,45,
      48,53,32,55,46,48,54,57,56,53,101,45,48,53,32,56,46,48,49,48,50,49,101,45,48,
      53,32,57,46,48,54,55,50,55,101,45,48,53,32,46,48,48,48,49,48,51,52,48,52,10,
      32,32,46,48,48,48,49,49,53,49,50,51,32,46,48,48,48,49,50,55,51,55,49,32,46,
      48,48,48,49,51,56,48,50,32,46,48,48,48,49,52,57,54,56,54,32,46,48,48,48,49,
      54,53,50,52,57,32,46,48,48,48,49,55,57,48,49,54,32,46,48,48,48,49,57,48,49,
      54,56,32,46,48,48,48,49,57,55,55,54,51,10,32,32,46,48,48,48,50,48,53,55,56,
      56,32,46,48,48,48,50,48,57,56,49,56,32,46,48,48,48,50,48,57,52,51,52,32,46,
      48,48,48,50,48,54,52,57,52,32,46,48,48,48,50,48,51,56,53,51,32,46,48,48,48,
      50,48,50,56,54,53,32,46,48,48,48,50,48,49,49,52,53,32,46,48,48,48,49,57,54,
      52,48,52,10,32,32,46,48,48,48,49,56,56,56,51,56,32,46,48,48,48,49,54,52,57,
      51,57,32,46,48,48,48,49,51,55,53,50,50,32,46,48,48,48,49,49,53,49,50,52,32,
      57,46,56,53,49,54,50,101,45,48,53,32,57,46,51,54,52,48,57,101,45,48,53,32,55,
      46,57,51,48,48,50,101,45,48,53,10,32,32,54,46,54,57,51,52,101,45,48,53,32,53,
      46,54,52,55,51,52,101,45,48,53,32,52,46,55,55,53,56,57,101,45,48,53,32,51,46,
      57,52,51,53,57,101,45,48,53,32,51,46,52,49,55,54,56,101,45,48,53,32,50,46,57,
      53,54,49,57,101,45,48,53,32,50,46,51,49,56,54,50,101,45,48,53,10,32,32,49,46,
      57,57,51,49,50,101,45,48,53,32,49,46,53,54,53,51,49,101,45,48,53,32,49,46,50,
      48,55,49,49,101,45,48,53,32,49,46,48,51,48,57,54,101,45,48,53,32,56,46,55,56,
      57,50,54,101,45,48,54,32,54,46,56,49,49,50,50,101,45,48,54,32,53,46,49,50,50,
      57,55,101,45,48,54,10,32,32,52,46,51,54,55,52,49,101,45,48,54,32,51,46,51,54,
      56,56,56,101,45,48,54,32,50,46,56,55,50,50,49,101,45,48,54,32,50,46,50,49,49,
      54,52,101,45,48,54,32,49,46,57,49,49,57,101,45,48,54,32,49,46,54,54,48,54,51,
      101,45,48,54,32,49,46,52,55,55,53,53,101,45,48,54,10,32,32,49,46,49,55,57,53,
      56,101,45,48,54,32,57,46,49,57,48,50,56,101,45,48,55,32,55,46,52,54,48,56,52,
      101,45,48,55,32,54,46,48,53,52,52,50,101,45,48,55,32,52,46,57,55,55,56,56,101,
      45,48,55,32,52,46,49,48,51,56,49,101,45,48,55,32,51,46,51,49,50,48,49,101,45,
      48,55,10,32,32,50,46,55,51,55,49,55,101,45,48,55,32,50,46,50,49,55,56,50,101,
      45,48,55,32,49,46,56,57,57,52,53,101,45,48,55,32,49,46,52,55,52,56,51,101,45,
      48,55,32,49,46,50,54,50,55,49,101,45,48,55,32,49,46,48,52,48,57,53,101,45,48,
      55,32,54,46,54,51,53,56,49,101,45,48,56,10,32,32,51,46,53,54,55,51,55,101,45,
      48,56,32,49,46,57,52,52,56,56,101,45,48,56,32,57,46,48,57,57,55,56,101,45,48,
      57,32,52,46,50,53,50,57,49,101,45,48,57,32,49,46,55,48,53,49,57,101,45,48,57,
      32,55,46,57,53,53,56,57,101,45,49,48,32,50,46,51,52,54,56,55,101,45,49,48,10,
      32,32,55,46,51,49,56,50,55,101,45,49,49,32,51,46,50,50,49,53,55,101,45,49,49,
      32,49,46,50,56,55,54,56,101,45,49,49,32,51,46,55,57,48,48,52,101,45,49,50,32,
      49,46,50,57,57,53,101,45,49,50,32,52,46,52,53,53,49,54,101,45,49,51,32,49,46,
      51,49,48,54,51,101,45,49,51,10,32,32,51,46,56,53,53,49,53,101,45,49,52,32,49,
      46,51,50,49,50,56,101,45,49,52,32,52,46,53,50,56,54,101,45,49,53,32,49,46,53,
      53,50,50,50,101,45,49,53,32,52,46,51,52,54,53,50,101,45,49,54,32,49,46,48,57,
      53,51,55,101,45,49,54,32,50,46,51,54,56,56,51,101,45,49,55,10,32,32,53,46,57,
      55,49,52,53,101,45,49,56,32,49,46,50,56,53,50,54,101,45,49,56,32,51,46,50,52,
      48,53,54,101,45,49,57,32,56,46,49,54,56,55,50,101,45,50,48,32,49,46,55,54,55,
      56,50,101,45,50,48,32,51,46,51,57,49,55,53,101,45,50,49,32,57,46,51,48,52,56,
      57,101,45,50,50,10,32,32,49,46,57,51,53,49,56,101,45,50,50,32,48,114,49,48,
      53,32,49,46,50,54,51,48,57,101,45,50,49,32,49,46,52,53,51,54,49,101,45,50,48,
      32,49,46,57,55,52,52,56,101,45,50,48,32,54,46,55,57,54,49,57,101,45,49,52,32,
      51,46,52,52,52,51,55,101,45,49,51,32,49,46,49,52,49,53,56,101,45,49,50,10,32,
      32,50,46,55,56,49,52,55,101,45,49,50,32,53,46,55,54,50,52,55,101,45,49,50,32,
      49,46,48,54,53,51,50,101,45,49,49,32,49,46,56,49,52,52,52,101,45,49,49,32,50,
      46,57,51,49,49,54,101,45,49,49,32,52,46,53,56,54,48,53,101,45,49,49,32,54,46,
      54,57,57,53,54,101,45,49,49,10,32,32,57,46,52,54,55,53,49,101,45,49,49,32,49,
      46,51,48,49,48,49,101,45,49,48,32,49,46,55,52,54,48,54,101,45,49,48,32,50,46,
      50,57,53,56,56,101,45,49,48,32,50,46,57,54,53,51,54,101,45,49,48,32,51,46,55,
      55,49,50,101,45,49,48,32,52,46,55,50,57,54,52,101,45,49,48,10,32,32,53,46,56,
      53,56,55,49,101,45,49,48,32,55,46,49,55,55,48,56,101,45,49,48,32,56,46,55,48,
      52,52,50,101,45,49,48,32,49,46,48,52,54,49,50,101,45,48,57,32,49,46,50,52,54,
      54,51,101,45,48,57,32,49,46,52,55,51,56,56,101,45,48,57,32,49,46,55,51,51,53,
      55,101,45,48,57,10,32,32,50,46,48,50,48,54,49,101,45,48,57,32,50,46,51,52,48,
      50,101,45,48,57,32,50,46,54,57,53,52,56,101,45,48,57,32,51,46,48,56,53,51,51,
      101,45,48,57,32,51,46,53,49,48,56,101,45,48,57,32,51,46,57,55,55,50,57,101,
      45,48,57,32,52,46,52,56,50,48,49,101,45,48,57,10,32,32,53,46,48,50,48,53,49,
      101,45,48,57,32,53,46,54,48,51,50,57,101,45,48,57,32,54,46,50,50,56,49,101,
      45,48,57,32,54,46,56,55,55,50,52,101,45,48,57,32,55,46,53,55,49,56,50,101,45,
      48,57,32,56,46,51,49,51,51,54,101,45,48,57,32,57,46,48,54,50,54,54,101,45,48,
      57,10,32,32,57,46,56,53,54,53,101,45,48,57,32,49,46,48,54,57,54,51,101,45,48,
      56,32,49,46,49,53,51,56,57,101,45,48,56,32,49,46,50,52,49,54,51,101,45,48,56,
      32,49,46,51,51,51,55,52,101,45,48,56,32,49,46,52,50,54,50,57,101,45,48,56,32,
      49,46,53,50,49,48,53,101,45,48,56,10,32,32,49,46,54,49,57,57,57,101,45,48,56,
      32,49,46,55,50,48,49,54,101,45,48,56,32,49,46,56,50,49,52,54,101,45,48,56,32,
      49,46,57,50,54,56,53,101,45,48,56,32,50,46,48,51,52,53,49,101,45,48,56,32,50,
      46,49,52,50,54,49,101,45,48,56,32,50,46,50,53,52,55,54,101,45,48,56,10,32,32,
      50,46,51,55,48,50,52,101,45,48,56,32,50,46,52,56,54,48,52,101,45,48,56,32,50,
      46,54,48,53,57,53,101,45,48,56,32,50,46,55,51,48,48,49,101,45,48,56,32,50,46,
      56,53,52,51,57,101,45,48,56,32,50,46,57,56,50,57,55,101,45,48,56,32,51,46,49,
      49,53,56,52,101,45,48,56,10,32,32,51,46,50,52,57,54,53,101,45,48,56,32,51,46,
      51,56,55,49,55,101,45,48,56,32,51,46,53,50,57,48,55,101,45,48,56,32,51,46,54,
      55,49,56,51,101,45,48,56,32,51,46,56,49,55,51,101,45,48,56,32,51,46,57,54,55,
      50,52,101,45,48,56,32,52,46,49,49,55,52,54,101,45,48,56,10,32,32,52,46,50,54,
      56,49,49,101,45,48,56,32,52,46,52,50,51,50,55,101,45,48,56,32,52,46,53,55,56,
      52,54,101,45,48,56,32,52,46,55,50,57,53,51,101,45,48,56,32,52,46,56,56,53,49,
      54,101,45,48,56,32,53,46,48,52,49,56,55,101,45,48,56,32,53,46,49,56,55,48,57,
      101,45,48,56,10,32,32,53,46,51,51,54,57,57,101,45,48,56,32,53,46,52,57,49,50,
      54,101,45,48,56,32,53,46,54,50,52,101,45,48,56,32,53,46,55,54,49,56,52,101,
      45,48,56,32,53,46,57,48,52,55,52,101,45,48,56,32,54,46,48,50,52,55,56,101,45,
      48,56,32,54,46,49,52,53,54,50,101,45,48,56,10,32,32,54,46,50,55,50,50,53,101,
      45,48,56,32,54,46,51,55,57,49,50,101,45,48,56,32,54,46,52,56,48,57,54,101,45,
      48,56,32,54,46,53,56,57,54,53,101,45,48,56,32,54,46,54,56,52,57,53,101,45,48,
      56,32,54,46,55,54,57,52,52,101,45,48,56,32,54,46,56,54,50,101,45,48,56,10,32,
      32,54,46,57,52,57,51,49,101,45,48,56,32,55,46,48,50,49,53,49,101,45,48,56,32,
      55,46,49,48,50,56,50,101,45,48,56,32,55,46,49,56,54,56,101,45,48,56,32,55,46,
      50,53,52,48,49,101,45,48,56,32,55,46,51,51,48,57,101,45,48,56,32,55,46,52,49,
      54,52,101,45,48,56,10,32,32,55,46,52,56,54,57,101,45,48,56,32,55,46,53,54,55,
      48,54,101,45,48,56,32,55,46,54,53,54,50,49,101,45,48,56,32,55,46,55,52,48,56,
      52,101,45,48,56,32,55,46,56,51,50,48,57,101,45,48,56,32,55,46,57,51,49,57,101,
      45,48,56,32,56,46,48,51,53,54,52,101,45,48,56,10,32,32,56,46,49,52,53,53,101,
      45,48,56,32,56,46,50,54,50,57,57,101,45,48,56,32,56,46,51,57,48,49,55,101,45,
      48,56,32,56,46,53,50,54,51,56,101,45,48,56,32,56,46,54,54,57,49,56,101,45,48,
      56,32,56,46,56,50,51,54,51,101,45,48,56,32,56,46,57,57,51,55,54,101,45,48,56,
      10,32,32,57,46,49,54,57,52,53,101,45,48,56,32,57,46,51,53,53,54,52,101,45,48,
      56,32,57,46,53,54,56,53,101,45,48,56,32,57,46,55,56,54,51,57,101,45,48,56,32,
      49,46,48,48,49,48,50,101,45,48,55,32,49,46,48,50,55,54,49,101,45,48,55,32,49,
      46,48,53,52,55,51,101,45,48,55,10,32,32,49,46,48,56,50,52,101,45,48,55,32,49,
      46,49,49,52,55,54,101,45,48,55,32,49,46,49,52,56,53,50,101,45,48,55,32,49,46,
      49,56,51,48,49,101,45,48,55,32,49,46,50,50,50,49,53,101,45,48,55,32,49,46,50,
      54,52,49,101,45,48,55,32,49,46,51,48,55,49,52,101,45,48,55,10,32,32,49,46,51,
      53,52,52,51,101,45,48,55,32,49,46,52,48,54,49,51,101,45,48,55,32,49,46,52,53,
      57,53,51,101,45,48,55,32,49,46,53,49,54,53,57,101,45,48,55,32,49,46,53,55,57,
      51,51,101,45,48,55,32,49,46,54,52,52,53,57,101,45,48,55,32,49,46,55,49,51,49,
      49,101,45,48,55,10,32,32,49,46,55,56,55,52,53,101,45,48,55,32,49,46,56,54,53,
      49,54,101,45,48,55,32,49,46,57,52,54,52,54,101,45,48,55,32,50,46,48,51,49,57,
      53,101,45,48,55,32,50,46,49,50,49,53,50,101,45,48,55,32,50,46,50,49,53,51,56,
      101,45,48,55,32,50,46,51,49,48,57,54,101,45,48,55,10,32,32,50,46,52,49,48,52,
      54,101,45,48,55,32,50,46,53,49,52,53,57,101,45,48,55,32,50,46,54,49,57,49,51,
      101,45,48,55,32,50,46,55,50,54,49,50,101,45,48,55,32,50,46,56,51,55,54,49,101,
      45,48,55,32,50,46,57,52,57,54,51,101,45,48,55,32,51,46,48,54,49,57,57,101,45,
      48,55,10,32,32,51,46,49,55,56,53,53,101,45,48,55,32,51,46,50,57,54,53,51,101,
      45,48,55,32,51,46,52,49,51,48,57,101,45,48,55,32,51,46,53,51,51,52,55,101,45,
      48,55,32,51,46,54,53,54,53,54,101,45,48,55,32,51,46,55,55,55,55,52,101,45,48,
      55,32,51,46,57,48,50,53,51,101,45,48,55,10,32,32,52,46,48,51,48,56,56,101,45,
      48,55,32,52,46,49,53,56,48,56,101,45,48,55,32,52,46,50,56,56,56,50,101,45,48,
      55,32,52,46,52,50,51,48,57,101,45,48,55,32,52,46,54,48,52,54,53,101,45,48,55,
      32,53,46,48,53,48,52,57,101,45,48,55,32,53,46,55,55,50,57,54,101,45,48,55,10,
      32,32,55,46,49,52,48,51,101,45,48,55,32,56,46,54,54,49,51,55,101,45,48,55,32,
      49,46,48,50,48,48,51,101,45,48,54,32,49,46,49,54,50,52,57,101,45,48,54,32,49,
      46,50,56,57,51,51,101,45,48,54,32,49,46,52,48,53,49,54,101,45,48,54,32,49,46,
      53,49,55,57,52,101,45,48,54,10,32,32,49,46,54,51,52,53,51,101,45,48,54,32,49,
      46,55,54,48,50,57,101,45,48,54,32,49,46,56,57,56,53,57,101,45,48,54,32,50,46,
      48,53,49,48,51,101,45,48,54,32,50,46,50,53,53,50,50,101,45,48,54,32,50,46,52,
      56,51,57,50,101,45,48,54,32,50,46,56,50,55,52,52,101,45,48,54,10,32,32,51,46,
      50,49,50,50,55,101,45,48,54,32,51,46,54,51,54,49,49,101,45,48,54,32,52,46,50,
      49,50,52,50,101,45,48,54,32,52,46,56,50,53,56,56,101,45,48,54,32,53,46,52,52,
      55,55,52,101,45,48,54,32,54,46,49,53,55,57,51,101,45,48,54,32,54,46,55,57,56,
      48,56,101,45,48,54,10,32,32,55,46,53,53,54,52,57,101,45,48,54,32,56,46,50,55,
      53,50,50,101,45,48,54,32,57,46,48,49,50,56,101,45,48,54,32,57,46,57,50,48,54,
      55,101,45,48,54,32,49,46,49,48,54,53,57,101,45,48,53,32,49,46,50,52,52,57,56,
      101,45,48,53,32,49,46,52,48,51,52,55,101,45,48,53,10,32,32,49,46,53,56,48,51,
      51,101,45,48,53,32,49,46,55,56,52,57,54,101,45,48,53,32,49,46,57,56,53,48,54,
      101,45,48,53,32,50,46,50,48,49,50,56,101,45,48,53,32,50,46,52,54,51,56,55,101,
      45,48,53,32,50,46,55,52,55,51,101,45,48,53,32,50,46,57,55,54,48,53,101,45,48,
      53,10,32,32,51,46,50,56,51,49,57,101,45,48,53,32,51,46,54,57,50,48,55,101,45,
      48,53,32,52,46,49,54,48,50,55,101,45,48,53,32,52,46,54,56,55,56,53,101,45,48,
      53,32,53,46,51,48,53,54,101,45,48,53,32,53,46,57,51,57,48,54,101,45,48,53,32,
      54,46,54,50,49,50,57,101,45,48,53,10,32,32,55,46,52,49,49,57,52,101,45,48,53,
      32,56,46,51,57,52,56,52,101,45,48,53,32,57,46,51,49,51,53,53,101,45,48,53,32,
      46,48,48,48,49,48,50,55,55,49,32,46,48,48,48,49,49,49,49,50,32,46,48,48,48,
      49,50,48,51,50,57,32,46,48,48,48,49,51,50,56,51,50,32,46,48,48,48,49,52,52,
      49,57,49,10,32,32,46,48,48,48,49,53,51,54,57,50,32,46,48,48,48,49,54,48,51,
      56,56,32,46,48,48,48,49,54,55,55,56,32,46,48,48,48,49,55,50,48,54,56,32,46,
      48,48,48,49,55,50,56,54,50,32,46,48,48,48,49,55,49,52,50,52,32,46,48,48,48,
      49,55,48,48,54,57,32,46,48,48,48,49,54,57,56,57,57,10,32,32,46,48,48,48,49,
      54,57,49,48,57,32,46,48,48,48,49,54,53,55,57,54,32,46,48,48,48,49,54,48,48,
      49,50,32,46,48,48,48,49,52,49,48,48,56,32,46,48,48,48,49,49,56,54,52,52,32,
      46,48,48,48,49,48,48,48,54,50,32,56,46,54,49,53,51,101,45,48,53,32,56,46,50,
      49,49,57,53,101,45,48,53,10,32,32,54,46,57,57,50,48,53,101,45,48,53,32,53,46,
      57,51,48,56,50,101,45,48,53,32,53,46,48,50,54,50,53,101,45,48,53,32,52,46,50,
      54,55,54,51,101,45,48,53,32,51,46,53,51,56,53,57,101,45,48,53,32,51,46,48,55,
      53,53,49,101,45,48,53,32,50,46,54,54,55,52,57,101,45,48,53,10,32,32,50,46,49,
      48,49,48,55,101,45,48,53,32,49,46,56,49,48,53,52,101,45,48,53,32,49,46,52,50,
      55,49,49,101,45,48,53,32,49,46,49,48,52,52,55,101,45,48,53,32,57,46,52,53,49,
      57,56,101,45,48,54,32,56,46,48,55,51,55,50,101,45,48,54,32,54,46,50,55,52,57,
      51,101,45,48,54,10,32,32,52,46,55,51,51,57,51,101,45,48,54,32,52,46,48,52,50,
      49,53,101,45,48,54,32,51,46,49,50,53,53,56,101,45,48,54,32,50,46,54,54,56,53,
      53,101,45,48,54,32,50,46,48,53,57,50,57,101,45,48,54,32,49,46,55,56,55,48,53,
      101,45,48,54,32,49,46,53,51,48,55,57,101,45,48,54,10,32,32,49,46,51,54,50,56,
      54,101,45,48,54,32,49,46,48,56,57,50,53,101,45,48,54,32,56,46,52,57,54,53,56,
      101,45,48,55,32,54,46,57,48,52,49,53,101,45,48,55,32,53,46,54,48,55,55,101,
      45,48,55,32,52,46,54,49,52,51,101,45,48,55,32,51,46,56,48,54,57,55,101,45,48,
      55,10,32,32,51,46,48,55,52,57,53,101,45,48,55,32,50,46,53,52,51,48,51,101,45,
      48,55,32,50,46,48,54,50,48,51,101,45,48,55,32,49,46,55,54,54,57,53,101,45,48,
      55,32,49,46,51,55,51,48,57,101,45,48,55,32,49,46,49,55,54,49,55,101,45,48,55,
      32,57,46,55,48,49,55,55,101,45,48,56,10,32,32,54,46,49,57,50,55,49,101,45,48,
      56,32,51,46,51,51,52,54,50,101,45,48,56,32,49,46,56,50,48,54,51,101,45,48,56,
      32,56,46,53,51,50,52,57,101,45,48,57,32,51,46,57,57,51,55,51,101,45,48,57,32,
      49,46,54,48,51,56,54,101,45,48,57,32,55,46,52,57,50,51,51,101,45,49,48,10,32,
      32,50,46,50,49,52,48,53,101,45,49,48,32,54,46,57,49,52,55,56,101,45,49,49,32,
      51,46,48,52,54,57,54,101,45,49,49,32,49,46,50,49,57,48,57,101,45,49,49,32,51,
      46,53,57,50,52,55,101,45,49,50,32,49,46,50,51,50,57,57,101,45,49,50,32,52,46,
      50,51,48,57,53,101,45,49,51,10,32,32,49,46,50,52,53,56,54,101,45,49,51,32,51,
      46,54,54,56,50,49,101,45,49,52,32,49,46,50,53,56,51,52,101,45,49,52,32,52,46,
      51,49,54,52,52,101,45,49,53,32,49,46,52,56,48,54,51,101,45,49,53,32,52,46,49,
      53,50,49,55,101,45,49,54,32,49,46,48,52,55,50,49,101,45,49,54,10,32,32,50,46,
      50,54,54,55,54,101,45,49,55,32,53,46,55,49,56,57,101,45,49,56,32,49,46,50,51,
      49,57,57,101,45,49,56,32,51,46,49,48,56,48,54,101,45,49,57,32,55,46,56,51,56,
      55,50,101,45,50,48,32,49,46,54,57,55,53,54,101,45,50,48,32,51,46,50,53,54,52,
      50,101,45,50,49,10,32,32,56,46,57,50,56,48,56,101,45,50,50,32,49,46,56,52,55,
      52,56,101,45,50,50,32,48,114,49,48,53,32,53,46,53,54,56,49,57,101,45,50,50,
      32,54,46,52,48,53,55,53,101,45,50,49,32,56,46,55,48,49,49,50,101,45,50,49,32,
      49,46,51,53,52,57,55,101,45,49,51,32,54,46,56,54,57,57,52,101,45,49,51,10,32,
      32,50,46,50,55,56,53,52,101,45,49,50,32,53,46,55,49,54,54,49,101,45,49,50,32,
      49,46,51,56,53,56,54,101,45,49,49,32,50,46,53,54,52,48,50,101,45,49,49,32,52,
      46,51,55,48,49,49,101,45,49,49,32,54,46,57,57,52,54,55,101,45,49,49,32,49,46,
      48,54,52,56,54,101,45,49,48,10,32,32,49,46,53,53,55,52,49,101,45,49,48,32,50,
      46,50,48,51,54,55,101,45,49,48,32,51,46,48,51,50,52,54,101,45,49,48,32,52,46,
      48,56,54,50,56,101,45,49,48,32,53,46,52,49,51,54,51,101,45,49,48,32,55,46,48,
      48,51,55,56,101,45,49,48,32,56,46,57,50,50,52,55,101,45,49,48,10,32,32,49,46,
      49,50,49,48,51,101,45,48,57,32,49,46,51,57,49,50,52,101,45,48,57,32,49,46,55,
      48,55,54,50,101,45,48,57,32,50,46,48,55,53,49,56,101,45,48,57,32,50,46,52,57,
      57,49,53,101,45,48,57,32,50,46,57,56,51,56,51,101,45,48,57,32,51,46,53,51,53,
      52,52,101,45,48,57,10,32,32,52,46,49,54,48,50,50,101,45,48,57,32,52,46,56,53,
      57,56,55,101,45,48,57,32,53,46,54,52,49,50,52,101,45,48,57,32,54,46,53,49,50,
      53,52,101,45,48,57,32,55,46,52,55,49,51,57,101,45,48,57,32,56,46,53,50,48,56,
      52,101,45,48,57,32,57,46,54,55,52,56,56,101,45,48,57,10,32,32,49,46,48,57,50,
      54,57,101,45,48,56,32,49,46,50,50,54,53,56,101,45,48,56,32,49,46,51,55,49,56,
      56,101,45,48,56,32,49,46,53,50,56,48,51,101,45,48,56,32,49,46,54,57,48,53,49,
      101,45,48,56,32,49,46,56,54,52,55,54,101,45,48,56,32,50,46,48,53,49,50,49,101,
      45,48,56,10,32,32,50,46,50,51,57,54,56,101,45,48,56,32,50,46,52,51,57,55,50,
      101,45,48,56,32,50,46,54,53,49,55,50,101,45,48,56,32,50,46,56,54,52,51,56,101,
      45,48,56,32,51,46,48,56,54,48,54,101,45,48,56,32,51,46,51,49,57,49,49,101,45,
      48,56,32,51,46,53,53,51,49,53,101,45,48,56,10,32,32,51,46,55,57,50,56,51,101,
      45,48,56,32,52,46,48,52,51,51,53,101,45,48,56,32,52,46,50,57,54,57,50,101,45,
      48,56,32,52,46,53,53,51,50,51,101,45,48,56,32,52,46,56,50,48,48,57,101,45,48,
      56,32,53,46,48,57,50,55,51,101,45,48,56,32,53,46,51,54,54,50,101,45,48,56,10,
      32,32,53,46,54,53,48,49,55,101,45,48,56,32,53,46,57,52,50,54,56,101,45,48,56,
      32,54,46,50,51,53,55,101,45,48,56,32,54,46,53,51,57,51,52,101,45,48,56,32,54,
      46,56,53,51,54,57,101,45,48,56,32,55,46,49,54,56,53,51,101,45,48,56,32,55,46,
      52,57,52,50,50,101,45,48,56,10,32,32,55,46,56,51,49,48,49,101,45,48,56,32,56,
      46,49,54,57,57,50,101,45,48,56,32,56,46,53,49,56,51,52,101,45,48,56,32,56,46,
      56,55,56,49,50,101,45,48,56,32,57,46,50,51,57,55,55,101,45,48,56,32,57,46,54,
      48,56,51,101,45,48,56,32,57,46,57,56,56,51,55,101,45,48,56,10,32,32,49,46,48,
      51,54,56,56,101,45,48,55,32,49,46,48,55,52,57,57,101,45,48,55,32,49,46,49,49,
      52,50,55,101,45,48,55,32,49,46,49,53,51,53,49,101,45,48,55,32,49,46,49,57,49,
      54,101,45,48,55,32,49,46,50,51,48,56,54,101,45,48,55,32,49,46,50,55,48,51,55,
      101,45,48,55,10,32,32,49,46,51,48,54,55,53,101,45,48,55,32,49,46,51,52,52,51,
      52,101,45,48,55,32,49,46,51,56,51,48,54,101,45,48,55,32,49,46,52,49,53,57,52,
      101,45,48,55,32,49,46,52,53,48,49,54,101,45,48,55,32,49,46,52,56,53,55,101,
      45,48,55,32,49,46,53,49,53,48,54,101,45,48,55,10,32,32,49,46,53,52,52,54,49,
      101,45,48,55,32,49,46,53,55,53,54,56,101,45,48,55,32,49,46,54,48,49,52,50,101,
      45,48,55,32,49,46,54,50,53,56,49,101,45,48,55,32,49,46,54,53,50,48,49,101,45,
      48,55,32,49,46,54,55,52,54,50,101,45,48,55,32,49,46,54,57,52,51,53,101,45,48,
      55,10,32,32,49,46,55,49,54,50,52,101,45,48,55,32,49,46,55,51,54,55,51,101,45,
      48,55,32,49,46,55,53,51,50,51,101,45,48,55,32,49,46,55,55,50,49,54,101,45,48,
      55,32,49,46,55,57,49,56,50,101,45,48,55,32,49,46,56,48,55,48,55,101,45,48,55,
      32,49,46,56,50,52,57,49,101,45,48,55,10,32,32,49,46,56,52,53,48,52,101,45,48,
      55,32,49,46,56,54,49,50,55,101,45,48,55,32,49,46,56,56,48,48,56,101,45,48,55,
      32,49,46,57,48,49,50,56,101,45,48,55,32,49,46,57,50,49,51,51,101,45,48,55,32,
      49,46,57,52,51,49,53,101,45,48,55,32,49,46,57,54,55,50,52,101,45,48,55,10,32,
      32,49,46,57,57,50,51,57,101,45,48,55,32,50,46,48,49,57,49,56,101,45,48,55,32,
      50,46,48,52,55,57,56,101,45,48,55,32,50,46,48,55,57,51,50,101,45,48,55,32,50,
      46,49,49,51,48,53,101,45,48,55,32,50,46,49,52,56,53,49,101,45,48,55,32,50,46,
      49,56,55,48,50,101,45,48,55,10,32,32,50,46,50,50,57,54,49,101,45,48,55,32,50,
      46,50,55,51,54,54,101,45,48,55,32,50,46,51,50,48,52,54,101,45,48,55,32,50,46,
      51,55,52,49,54,101,45,48,55,32,50,46,52,50,57,49,57,101,45,48,55,32,50,46,52,
      56,53,55,55,101,45,48,55,32,50,46,53,53,51,50,54,101,45,48,55,10,32,32,50,46,
      54,50,50,49,54,101,45,48,55,32,50,46,54,57,50,52,56,101,45,48,55,32,50,46,55,
      55,52,57,54,101,45,48,55,32,50,46,56,54,49,49,51,101,45,48,55,32,50,46,57,52,
      57,50,50,101,45,48,55,32,51,46,48,52,57,52,49,101,45,48,55,32,51,46,49,53,54,
      57,57,101,45,48,55,10,32,32,51,46,50,54,55,52,55,101,45,48,55,32,51,46,51,56,
      57,49,49,101,45,48,55,32,51,46,53,50,50,51,53,101,45,48,55,32,51,46,54,54,48,
      49,57,101,45,48,55,32,51,46,56,48,55,55,54,101,45,48,55,32,51,46,57,55,48,51,
      57,101,45,48,55,32,52,46,49,51,57,56,56,101,45,48,55,10,32,32,52,46,51,49,56,
      50,50,101,45,48,55,32,52,46,53,49,50,49,56,101,45,48,55,32,52,46,55,49,53,51,
      55,101,45,48,55,32,52,46,57,50,56,52,101,45,48,55,32,53,46,49,53,50,57,53,101,
      45,48,55,32,53,46,51,56,56,55,52,101,45,48,55,32,53,46,54,51,54,52,49,101,45,
      48,55,10,32,32,53,46,56,56,57,48,57,101,45,48,55,32,54,46,49,53,50,54,57,101,
      45,48,55,32,54,46,52,50,57,49,52,101,45,48,55,32,54,46,55,48,55,48,53,101,45,
      48,55,32,54,46,57,57,49,57,56,101,45,48,55,32,55,46,50,56,57,52,52,101,45,48,
      55,32,55,46,53,56,56,54,53,101,45,48,55,10,32,32,55,46,56,56,56,57,57,101,45,
      48,55,32,56,46,50,48,49,48,54,101,45,48,55,32,56,46,53,49,55,51,101,45,48,55,
      32,56,46,56,50,57,55,55,101,45,48,55,32,57,46,49,53,50,56,53,101,45,48,55,32,
      57,46,52,56,51,53,50,101,45,48,55,32,57,46,56,48,57,48,54,101,45,48,55,10,32,
      32,49,46,48,49,52,52,53,101,45,48,54,32,49,46,48,52,56,57,57,101,45,48,54,32,
      49,46,48,56,51,50,50,101,45,48,54,32,49,46,49,49,56,52,50,101,45,48,54,32,49,
      46,49,53,52,53,57,101,45,48,54,32,49,46,50,48,51,53,50,101,45,48,54,32,49,46,
      51,50,51,55,50,101,45,48,54,10,32,32,49,46,53,49,56,54,101,45,48,54,32,49,46,
      56,56,54,56,101,45,48,54,32,50,46,50,57,51,48,52,101,45,48,54,32,50,46,54,57,
      57,49,50,101,45,48,54,32,51,46,48,55,49,54,51,101,45,48,54,32,51,46,52,48,50,
      52,55,101,45,48,54,32,51,46,55,48,52,56,54,101,45,48,54,10,32,32,51,46,57,57,
      57,49,52,101,45,48,54,32,52,46,51,48,49,56,101,45,48,54,32,52,46,54,50,53,53,
      56,101,45,48,54,32,52,46,57,55,56,55,52,101,45,48,54,32,53,46,51,54,50,56,49,
      101,45,48,54,32,53,46,56,54,57,50,52,101,45,48,54,32,54,46,52,50,52,57,52,101,
      45,48,54,10,32,32,55,46,50,51,51,55,101,45,48,54,32,56,46,49,48,48,50,56,101,
      45,48,54,32,57,46,48,48,53,50,51,101,45,48,54,32,49,46,48,49,53,48,53,101,45,
      48,53,32,49,46,49,50,54,53,53,101,45,48,53,32,49,46,50,51,49,51,49,101,45,48,
      53,32,49,46,51,52,53,50,50,101,45,48,53,10,32,32,49,46,52,52,57,57,101,45,48,
      53,32,49,46,53,56,48,51,51,101,45,48,53,32,49,46,55,48,55,53,55,101,45,48,53,
      32,49,46,56,51,51,54,57,101,45,48,53,32,49,46,57,55,52,51,101,45,48,53,32,50,
      46,49,50,56,53,54,101,45,48,53,32,50,46,50,56,56,48,49,101,45,48,53,10,32,32,
      50,46,52,52,53,56,53,101,45,48,53,32,50,46,53,57,56,50,50,101,45,48,53,32,50,
      46,55,53,54,54,56,101,45,48,53,32,50,46,57,48,54,49,51,101,45,48,53,32,51,46,
      48,55,57,48,57,101,45,48,53,32,51,46,51,49,53,101,45,48,53,32,51,46,53,53,53,
      55,56,101,45,48,53,10,32,32,51,46,55,50,48,49,50,101,45,48,53,32,51,46,56,57,
      50,50,53,101,45,48,53,32,52,46,48,54,52,52,55,101,45,48,53,32,52,46,50,52,48,
      53,101,45,48,53,32,52,46,52,53,52,55,54,101,45,48,53,32,52,46,55,52,48,54,56,
      101,45,48,53,32,53,46,48,55,52,54,56,101,45,48,53,10,32,32,53,46,52,56,51,52,
      50,101,45,48,53,32,54,46,48,48,52,49,101,45,48,53,32,54,46,55,48,53,52,49,101,
      45,48,53,32,55,46,51,56,52,51,101,45,48,53,32,56,46,48,57,56,50,52,101,45,48,
      53,32,56,46,55,48,57,48,57,101,45,48,53,32,57,46,51,56,53,54,57,101,45,48,53,
      10,32,32,46,48,48,48,49,48,51,50,50,51,32,46,48,48,48,49,49,50,48,48,49,32,
      46,48,48,48,49,49,57,54,51,50,32,46,48,48,48,49,50,53,50,49,57,32,46,48,48,
      48,49,51,49,54,54,32,46,48,48,48,49,51,53,56,52,56,32,46,48,48,48,49,51,55,
      52,50,52,32,46,48,48,48,49,51,55,49,53,50,10,32,32,46,48,48,48,49,51,54,56,
      50,32,46,48,48,48,49,51,55,50,55,57,32,46,48,48,48,49,51,55,50,52,53,32,46,
      48,48,48,49,51,53,49,56,53,32,46,48,48,48,49,51,49,48,51,55,32,46,48,48,48,
      49,49,54,54,55,50,32,57,46,57,50,49,54,57,101,45,48,53,32,56,46,52,52,49,51,
      50,101,45,48,53,10,32,32,55,46,51,50,48,57,55,101,45,48,53,32,55,46,48,48,49,
      52,51,101,45,48,53,32,53,46,57,57,57,55,51,101,45,48,53,32,53,46,49,49,57,48,
      49,101,45,48,53,32,52,46,51,54,49,51,51,101,45,48,53,32,51,46,55,50,48,56,51,
      101,45,48,53,32,51,46,49,48,48,54,49,101,45,48,53,10,32,32,50,46,55,48,52,49,
      54,101,45,48,53,32,50,46,51,53,51,49,51,101,45,48,53,32,49,46,56,54,50,57,101,
      45,48,53,32,49,46,54,49,101,45,48,53,32,49,46,50,55,52,53,55,101,45,48,53,32,
      57,46,57,48,54,55,52,101,45,48,54,32,56,46,52,57,56,57,53,101,45,48,54,10,32,
      32,55,46,50,55,54,55,56,101,45,48,54,32,53,46,54,55,53,54,49,101,45,48,54,32,
      52,46,50,57,55,53,49,101,45,48,54,32,51,46,54,55,54,54,49,101,45,48,54,32,50,
      46,56,53,49,51,56,101,45,48,54,32,50,46,52,51,56,54,51,101,45,48,54,32,49,46,
      56,56,54,56,54,101,45,48,54,10,32,32,49,46,54,51,50,49,56,101,45,48,54,32,49,
      46,51,56,55,50,56,101,45,48,54,32,49,46,50,51,54,48,50,101,45,48,54,32,57,46,
      56,57,50,53,55,101,45,48,55,32,55,46,55,50,55,56,57,101,45,48,55,32,54,46,50,
      56,54,56,101,45,48,55,32,53,46,49,49,49,57,49,101,45,48,55,10,32,32,52,46,50,
      49,48,52,56,101,45,48,55,32,51,46,52,55,55,48,52,101,45,48,55,32,50,46,56,49,
      49,50,53,101,45,48,55,32,50,46,51,50,54,57,49,101,45,48,55,32,49,46,56,56,56,
      52,57,101,45,48,55,32,49,46,54,49,57,50,56,101,45,48,55,32,49,46,50,53,57,54,
      101,45,48,55,10,32,32,49,46,48,55,57,54,49,101,45,48,55,32,56,46,57,49,49,54,
      57,101,45,48,56,32,53,46,54,57,55,52,54,101,45,48,56,32,51,46,48,55,52,49,51,
      101,45,48,56,32,49,46,54,56,49,52,50,101,45,48,56,32,55,46,56,57,54,48,50,101,
      45,48,57,32,51,46,55,48,50,53,53,101,45,48,57,10,32,32,49,46,52,56,57,56,55,
      101,45,48,57,32,54,46,57,55,48,50,101,45,49,48,32,50,46,48,54,52,49,54,101,
      45,49,48,32,54,46,52,53,56,50,55,101,45,49,49,32,50,46,56,52,57,48,57,101,45,
      49,49,32,49,46,49,52,49,51,50,101,45,49,49,32,51,46,51,54,56,52,49,101,45,49,
      50,10,32,32,49,46,49,53,55,52,55,101,45,49,50,32,51,46,57,55,54,48,53,101,45,
      49,51,32,49,46,49,55,50,49,53,101,45,49,51,32,51,46,52,53,52,56,56,101,45,49,
      52,32,49,46,49,56,54,49,56,101,45,49,52,32,52,46,48,55,50,49,57,101,45,49,53,
      32,49,46,51,57,55,57,49,101,45,49,53,10,32,32,51,46,57,50,55,55,52,101,45,49,
      54,32,57,46,57,49,54,56,55,101,45,49,55,32,50,46,49,52,56,56,56,101,45,49,55,
      32,53,46,52,50,53,54,56,101,45,49,56,32,49,46,49,54,57,55,54,101,45,49,56,32,
      50,46,57,53,51,50,49,101,45,49,57,32,55,46,52,53,51,52,57,101,45,50,48,10,32,
      32,49,46,54,49,53,52,51,101,45,50,48,32,51,46,48,57,55,52,101,45,50,49,32,56,
      46,52,56,50,51,51,101,45,50,50,32,49,46,55,52,53,50,55,101,45,50,50,32,48,114,
      49,48,53,32,50,46,50,56,55,53,57,101,45,50,50,32,50,46,54,51,51,52,55,101,45,
      50,49,32,51,46,53,55,56,50,52,101,45,50,49,10,32,32,57,46,54,57,55,101,45,49,
      50,32,52,46,57,48,57,49,101,45,49,49,32,49,46,54,49,53,52,50,101,45,49,48,32,
      51,46,57,53,49,52,50,101,45,49,48,32,56,46,49,54,55,56,53,101,45,49,48,32,49,
      46,53,48,53,57,52,101,45,48,57,32,50,46,53,53,54,55,57,101,45,48,57,10,32,32,
      52,46,48,55,51,52,51,101,45,48,57,32,54,46,49,55,49,50,56,101,45,48,57,32,56,
      46,57,55,55,55,101,45,48,57,32,49,46,50,54,50,57,55,101,45,48,56,32,49,46,55,
      50,55,49,49,101,45,48,56,32,50,46,51,48,53,55,55,101,45,48,56,32,51,46,48,49,
      52,56,55,101,45,48,56,10,32,32,51,46,56,55,48,55,50,101,45,48,56,32,52,46,56,
      57,49,51,101,45,48,56,32,54,46,48,57,51,49,57,101,45,48,56,32,55,46,52,57,52,
      48,55,101,45,48,56,32,57,46,49,49,49,55,49,101,45,48,56,32,49,46,48,57,54,51,
      57,101,45,48,55,32,49,46,51,48,54,55,57,101,45,48,55,10,32,32,49,46,53,52,51,
      53,57,101,45,48,55,32,49,46,56,48,56,54,49,101,45,48,55,32,50,46,49,48,51,54,
      57,101,45,48,55,32,50,46,52,50,56,53,101,45,48,55,32,50,46,55,56,52,55,54,101,
      45,48,55,32,51,46,49,55,52,54,57,101,45,48,55,32,51,46,53,57,53,57,56,101,45,
      48,55,10,32,32,52,46,48,52,56,57,49,101,45,48,55,32,52,46,53,51,55,51,54,101,
      45,48,55,32,53,46,48,53,55,56,57,101,45,48,55,32,53,46,54,48,53,48,50,101,45,
      48,55,32,54,46,49,56,56,50,53,101,45,48,55,32,54,46,56,48,51,52,53,101,45,48,
      55,32,55,46,52,51,53,55,54,101,45,48,55,10,32,32,56,46,49,48,51,49,49,101,45,
      48,55,32,56,46,56,48,52,54,101,45,48,55,32,57,46,53,49,48,56,50,101,45,48,55,
      32,49,46,48,50,52,57,54,101,45,48,54,32,49,46,49,48,50,48,55,101,45,48,54,32,
      49,46,49,55,57,52,54,101,45,48,54,32,49,46,50,53,57,52,51,101,45,48,54,10,32,
      32,49,46,51,52,50,53,51,101,45,48,54,32,49,46,52,50,54,50,49,101,45,48,54,32,
      49,46,53,49,49,54,57,101,45,48,54,32,49,46,54,48,48,51,49,101,45,48,54,32,49,
      46,54,56,57,56,56,101,45,48,54,32,49,46,55,56,49,48,51,101,45,48,54,32,49,46,
      56,55,53,50,52,101,45,48,54,10,32,32,49,46,57,55,49,51,101,45,48,54,32,50,46,
      48,54,56,49,52,101,45,48,54,32,50,46,49,54,56,51,50,101,45,48,54,32,50,46,50,
      55,49,51,56,101,45,48,54,32,50,46,51,55,53,50,51,101,45,48,54,32,50,46,52,56,
      50,50,52,101,45,48,54,32,50,46,53,57,49,57,56,101,45,48,54,10,32,32,50,46,55,
      48,50,57,54,101,45,48,54,32,50,46,56,49,55,52,54,101,45,48,54,32,50,46,57,51,
      53,50,53,101,45,48,54,32,51,46,48,53,52,51,55,101,45,48,54,32,51,46,49,55,54,
      52,101,45,48,54,32,51,46,51,48,49,54,54,101,45,48,54,32,51,46,52,50,56,50,54,
      101,45,48,54,10,32,32,51,46,53,53,55,51,55,101,45,48,54,32,51,46,54,56,57,56,
      50,101,45,48,54,32,51,46,56,50,51,54,52,101,45,48,54,32,51,46,57,53,56,57,101,
      45,48,54,32,52,46,48,57,55,53,56,101,45,48,54,32,52,46,50,51,55,53,49,101,45,
      48,54,32,52,46,51,55,54,56,49,101,45,48,54,10,32,32,52,46,53,49,57,53,53,101,
      45,48,54,32,52,46,54,54,52,48,54,101,45,48,54,32,52,46,56,48,52,52,55,101,45,
      48,54,32,52,46,57,52,56,51,52,101,45,48,54,32,53,46,48,57,53,53,55,101,45,48,
      54,32,53,46,50,51,51,57,54,101,45,48,54,32,53,46,51,55,53,57,55,101,45,48,54,
      10,32,32,53,46,53,50,49,53,53,101,45,48,54,32,53,46,54,53,55,52,55,101,45,48,
      54,32,53,46,55,57,52,48,54,101,45,48,54,32,53,46,57,51,52,51,49,101,45,48,54,
      32,54,46,48,54,52,54,55,101,45,48,54,32,54,46,49,57,52,50,56,101,45,48,54,32,
      54,46,51,50,55,49,53,101,45,48,54,10,32,32,54,46,52,53,50,51,52,101,45,48,54,
      32,54,46,53,55,50,50,55,101,45,48,54,32,54,46,54,57,54,57,101,45,48,54,32,54,
      46,56,49,55,49,57,101,45,48,54,32,54,46,57,50,56,57,52,101,45,48,54,32,55,46,
      48,52,53,49,57,101,45,48,54,32,55,46,49,54,49,56,56,101,45,48,54,10,32,32,55,
      46,50,54,56,51,52,101,45,48,54,32,55,46,51,55,55,56,56,101,45,48,54,32,55,46,
      52,57,52,53,101,45,48,54,32,55,46,53,57,56,51,50,101,45,48,54,32,55,46,55,48,
      56,49,51,101,45,48,54,32,55,46,56,50,50,55,49,101,45,48,54,32,55,46,57,51,51,
      48,51,101,45,48,54,10,32,32,56,46,48,52,54,55,54,101,45,48,54,32,56,46,49,54,
      53,53,49,101,45,48,54,32,56,46,50,56,53,56,101,45,48,54,32,56,46,52,48,57,56,
      56,101,45,48,54,32,56,46,53,51,55,54,53,101,45,48,54,32,56,46,54,55,50,55,50,
      101,45,48,54,32,56,46,56,49,51,49,54,101,45,48,54,10,32,32,56,46,57,53,55,54,
      57,101,45,48,54,32,57,46,49,49,48,49,49,101,45,48,54,32,57,46,50,55,51,50,57,
      101,45,48,54,32,57,46,52,52,49,50,55,101,45,48,54,32,57,46,54,49,54,48,52,101,
      45,48,54,32,57,46,56,49,48,50,50,101,45,48,54,32,49,46,48,48,48,56,55,101,45,
      48,53,10,32,32,49,46,48,50,49,48,50,101,45,48,53,32,49,46,48,52,52,51,101,45,
      48,53,32,49,46,48,54,56,48,50,101,45,48,53,32,49,46,48,57,50,101,45,48,53,32,
      49,46,49,49,57,52,52,101,45,48,53,32,49,46,49,52,55,57,51,101,45,48,53,32,49,
      46,49,55,54,56,55,101,45,48,53,10,32,32,49,46,50,48,57,48,50,101,45,48,53,32,
      49,46,50,52,51,48,51,101,45,48,53,32,49,46,50,55,55,55,101,45,48,53,32,49,46,
      51,49,53,49,56,101,45,48,53,32,49,46,51,53,53,51,57,101,45,48,53,32,49,46,51,
      57,54,50,57,101,45,48,53,32,49,46,52,51,57,51,53,101,45,48,53,10,32,32,49,46,
      52,56,53,54,53,101,45,48,53,32,49,46,53,51,50,56,49,101,45,48,53,32,49,46,53,
      56,49,52,49,101,45,48,53,32,49,46,54,51,50,53,57,101,45,48,53,32,49,46,54,56,
      52,57,101,45,48,53,32,49,46,55,51,56,51,50,101,45,48,53,32,49,46,55,57,50,55,
      56,101,45,48,53,10,32,32,49,46,56,52,55,56,53,101,45,48,53,32,49,46,57,48,51,
      57,57,101,45,48,53,32,49,46,57,53,57,54,53,101,45,48,53,32,50,46,48,49,53,52,
      49,101,45,48,53,32,50,46,48,55,50,49,50,101,45,48,53,32,50,46,49,50,54,55,49,
      101,45,48,53,32,50,46,49,56,49,52,49,101,45,48,53,10,32,32,50,46,50,51,53,55,
      49,101,45,48,53,32,50,46,50,56,57,52,52,101,45,48,53,32,50,46,51,52,49,53,49,
      101,45,48,53,32,50,46,51,57,51,49,101,45,48,53,32,50,46,52,52,52,53,52,101,
      45,48,53,32,50,46,52,57,51,56,51,101,45,48,53,32,50,46,53,52,50,52,49,101,45,
      48,53,10,32,32,50,46,53,57,49,55,49,101,45,48,53,32,50,46,54,51,57,48,49,101,
      45,48,53,32,50,46,54,56,53,53,57,101,45,48,53,32,50,46,55,51,49,57,49,101,45,
      48,53,32,50,46,55,55,55,54,50,101,45,48,53,32,50,46,56,50,50,54,53,101,45,48,
      53,32,50,46,56,54,54,53,57,101,45,48,53,10,32,32,50,46,57,50,52,50,55,101,45,
      48,53,32,51,46,48,53,53,49,49,101,45,48,53,32,51,46,50,51,49,55,55,101,45,48,
      53,32,51,46,52,55,53,101,45,48,53,32,51,46,54,53,48,48,50,101,45,48,53,32,51,
      46,55,56,57,53,57,101,45,48,53,32,51,46,57,51,53,54,57,101,45,48,53,10,32,32,
      52,46,49,48,54,57,52,101,45,48,53,32,52,46,50,57,54,57,53,101,45,48,53,32,52,
      46,52,57,49,57,54,101,45,48,53,32,52,46,54,55,54,55,101,45,48,53,32,52,46,56,
      52,49,48,57,101,45,48,53,32,52,46,57,56,48,51,57,101,45,48,53,32,53,46,48,56,
      56,101,45,48,53,10,32,32,53,46,49,55,53,48,52,101,45,48,53,32,53,46,50,49,52,
      56,56,101,45,48,53,32,53,46,49,57,57,56,49,101,45,48,53,32,53,46,49,49,56,53,
      55,101,45,48,53,32,52,46,57,57,53,51,52,101,45,48,53,32,52,46,56,48,57,54,52,
      101,45,48,53,32,52,46,54,49,54,48,54,101,45,48,53,10,32,32,52,46,52,53,57,56,
      52,101,45,48,53,32,52,46,51,53,49,55,49,101,45,48,53,32,52,46,51,52,54,49,57,
      101,45,48,53,32,52,46,52,53,48,54,55,101,45,48,53,32,52,46,54,48,54,101,45,
      48,53,32,52,46,55,53,50,48,52,101,45,48,53,32,52,46,56,52,57,57,56,101,45,48,
      53,10,32,32,52,46,56,52,57,56,101,45,48,53,32,52,46,55,54,51,52,101,45,48,53,
      32,52,46,54,52,50,51,56,101,45,48,53,32,52,46,53,48,55,51,55,101,45,48,53,32,
      52,46,51,56,52,56,57,101,45,48,53,32,52,46,51,50,48,48,57,101,45,48,53,32,52,
      46,51,51,54,48,56,101,45,48,53,10,32,32,52,46,52,55,52,57,101,45,48,53,32,52,
      46,54,49,48,54,49,101,45,48,53,32,52,46,54,53,55,51,54,101,45,48,53,32,52,46,
      54,50,48,57,55,101,45,48,53,32,52,46,52,57,50,50,51,101,45,48,53,32,52,46,51,
      53,57,49,51,101,45,48,53,32,52,46,50,56,56,51,50,101,45,48,53,10,32,32,52,46,
      51,48,49,54,57,101,45,48,53,32,52,46,52,48,50,53,50,101,45,48,53,32,52,46,54,
      48,48,56,55,101,45,48,53,32,52,46,57,49,52,49,101,45,48,53,32,53,46,51,57,55,
      50,57,101,45,48,53,32,53,46,56,56,57,54,51,101,45,48,53,32,54,46,52,48,54,57,
      51,101,45,48,53,10,32,32,54,46,56,51,57,57,51,101,45,48,53,32,55,46,51,49,56,
      53,53,101,45,48,53,32,55,46,57,57,50,54,50,101,45,48,53,32,56,46,54,52,52,53,
      54,101,45,48,53,32,57,46,50,51,52,53,57,101,45,48,53,32,57,46,54,56,51,55,49,
      101,45,48,53,32,46,48,48,48,49,48,50,50,49,54,10,32,32,46,48,48,48,49,48,54,
      48,50,49,32,46,48,48,48,49,48,55,57,51,53,32,46,48,48,48,49,48,56,51,55,54,
      32,46,48,48,48,49,48,56,54,57,50,32,46,48,48,48,49,48,57,53,50,52,32,46,48,
      48,48,49,48,57,57,55,56,32,46,48,48,48,49,48,56,56,51,53,32,46,48,48,48,49,
      48,53,57,54,10,32,32,57,46,53,51,51,52,55,101,45,48,53,32,56,46,49,57,54,48,
      52,101,45,48,53,32,55,46,48,51,54,52,57,101,45,48,53,32,54,46,49,52,56,56,50,
      101,45,48,53,32,53,46,57,48,48,56,50,101,45,48,53,32,53,46,48,57,48,54,53,101,
      45,48,53,32,52,46,51,55,48,49,52,101,45,48,53,10,32,32,51,46,55,52,52,49,49,
      101,45,48,53,32,51,46,50,49,48,51,53,101,45,48,53,32,50,46,54,56,57,51,54,101,
      45,48,53,32,50,46,51,53,52,48,54,101,45,48,53,32,50,46,48,53,53,54,50,101,45,
      48,53,32,49,46,54,51,54,49,54,101,45,48,53,32,49,46,52,49,56,52,54,101,45,48,
      53,10,32,32,49,46,49,50,56,49,54,101,45,48,53,32,56,46,56,48,57,49,55,101,45,
      48,54,32,55,46,53,55,55,49,49,101,45,48,54,32,54,46,53,48,51,56,54,101,45,48,
      54,32,53,46,48,57,49,57,56,101,45,48,54,32,51,46,56,55,48,55,49,101,45,48,54,
      32,51,46,51,49,56,51,101,45,48,54,10,32,32,50,46,53,56,49,54,55,101,45,48,54,
      32,50,46,50,49,50,48,52,101,45,48,54,32,49,46,55,49,54,52,52,101,45,48,54,32,
      49,46,52,55,55,53,56,101,45,48,54,32,49,46,50,52,56,55,54,101,45,48,54,32,49,
      46,49,49,51,53,101,45,48,54,32,56,46,57,50,53,51,50,101,45,48,55,10,32,32,54,
      46,57,56,51,50,50,101,45,48,55,32,53,46,54,56,56,48,55,101,45,48,55,32,52,46,
      54,51,48,53,56,101,45,48,55,32,51,46,56,49,56,49,50,101,45,48,55,32,51,46,49,
      53,54,50,51,101,45,48,55,32,50,46,53,53,52,54,49,101,45,48,55,32,50,46,49,49,
      54,52,50,101,45,48,55,10,32,32,49,46,55,49,57,51,51,101,45,48,55,32,49,46,52,
      55,53,50,53,101,45,48,55,32,49,46,49,52,56,56,49,101,45,48,55,32,57,46,56,53,
      50,55,57,101,45,48,56,32,56,46,49,51,57,51,52,101,45,48,56,32,53,46,50,49,50,
      53,55,101,45,48,56,32,50,46,56,49,56,53,56,101,45,48,56,10,32,32,49,46,53,52,
      52,54,49,101,45,48,56,32,55,46,50,54,57,51,56,101,45,48,57,32,51,46,52,49,53,
      52,101,45,48,57,32,49,46,51,55,55,50,50,101,45,48,57,32,54,46,52,53,51,52,50,
      101,45,49,48,32,49,46,57,49,53,53,49,101,45,49,48,32,54,46,48,48,52,56,53,101,
      45,49,49,10,32,32,50,46,54,53,50,51,54,101,45,49,49,32,49,46,48,54,51,56,55,
      101,45,49,49,32,51,46,49,52,52,55,56,101,45,49,50,32,49,46,48,56,49,57,57,101,
      45,49,50,32,51,46,55,50,49,50,54,101,45,49,51,32,49,46,48,57,56,52,54,101,45,
      49,51,32,51,46,50,52,49,52,57,101,45,49,52,10,32,32,49,46,49,49,51,57,55,101,
      45,49,52,32,51,46,56,50,55,54,56,101,45,49,53,32,49,46,51,49,53,49,49,101,45,
      49,53,32,51,46,55,48,50,48,49,101,45,49,54,32,57,46,51,53,54,48,49,101,45,49,
      55,32,50,46,48,50,57,52,55,101,45,49,55,32,53,46,49,50,57,52,52,101,45,49,56,
      10,32,32,49,46,49,48,55,49,54,101,45,49,56,32,50,46,55,57,55,56,55,101,45,49,
      57,32,55,46,48,54,57,51,53,101,45,50,48,32,49,46,53,51,50,56,50,101,45,50,48,
      32,50,46,57,51,55,49,53,101,45,50,49,32,56,46,48,51,53,48,49,101,45,50,50,32,
      49,46,54,52,51,48,52,101,45,50,50,10,32,32,48,114,49,48,53,32,56,46,50,52,53,
      49,54,101,45,50,51,32,57,46,52,56,54,50,57,101,45,50,50,32,49,46,50,56,56,56,
      101,45,50,49,32,49,46,57,57,56,55,56,101,45,49,51,32,49,46,48,49,51,54,52,101,
      45,49,50,32,51,46,51,54,51,48,55,101,45,49,50,32,49,46,48,48,55,55,55,101,45,
      49,49,10,32,32,50,46,49,49,48,52,52,101,45,49,49,32,51,46,57,48,53,48,57,101,
      45,49,49,32,54,46,54,53,55,49,50,101,45,49,49,32,49,46,48,54,53,52,52,101,45,
      49,48,32,49,46,54,50,50,50,57,101,45,49,48,32,50,46,51,55,51,48,57,101,45,49,
      48,32,51,46,51,53,56,52,50,101,45,49,48,10,32,32,52,46,54,54,51,52,101,45,49,
      48,32,54,46,50,55,52,56,57,101,45,49,48,32,56,46,50,54,53,48,57,101,45,49,48,
      32,49,46,48,54,57,52,53,101,45,48,57,32,49,46,51,54,50,54,51,101,45,48,57,32,
      49,46,55,49,50,50,54,101,45,48,57,32,50,46,49,50,53,50,56,101,45,48,57,10,32,
      32,50,46,54,48,56,56,56,101,45,48,57,32,51,46,49,55,48,55,52,101,45,48,57,32,
      51,46,56,49,56,56,55,101,45,48,57,32,52,46,53,53,57,55,53,101,45,48,57,32,53,
      46,52,48,50,56,51,101,45,48,57,32,54,46,51,53,55,55,49,101,45,48,57,32,55,46,
      52,50,54,56,53,101,45,48,57,10,32,32,56,46,54,50,48,54,50,101,45,48,57,32,57,
      46,57,53,49,52,53,101,45,48,57,32,49,46,49,52,49,53,54,101,45,48,56,32,49,46,
      51,48,49,55,53,101,45,48,56,32,49,46,52,55,55,56,52,101,45,48,56,32,49,46,54,
      54,56,56,101,45,48,56,32,49,46,56,55,50,57,51,101,45,48,56,10,32,32,50,46,48,
      57,52,51,51,101,45,48,56,32,50,46,51,51,50,49,55,101,45,48,56,32,50,46,53,55,
      57,53,51,101,45,48,56,32,50,46,56,52,52,54,56,101,45,48,56,32,51,46,49,50,56,
      50,52,101,45,48,56,32,51,46,52,49,52,55,55,101,45,48,56,32,51,46,55,49,56,55,
      53,101,45,48,56,10,32,32,52,46,48,52,48,55,51,101,45,48,56,32,52,46,51,54,51,
      54,55,101,45,48,56,32,52,46,55,48,48,49,55,101,45,48,56,32,53,46,48,53,51,55,
      56,101,45,48,56,32,53,46,52,48,56,56,53,101,45,48,56,32,53,46,55,55,50,52,51,
      101,45,48,56,32,54,46,49,53,50,51,50,101,45,48,56,10,32,32,54,46,53,51,54,56,
      101,45,48,56,32,54,46,57,50,53,52,53,101,45,48,56,32,55,46,51,50,57,57,56,101,
      45,48,56,32,55,46,55,52,51,50,51,101,45,48,56,32,56,46,49,53,55,56,49,101,45,
      48,56,32,56,46,53,56,56,50,101,45,48,56,32,57,46,48,51,49,52,55,101,45,48,56,
      10,32,32,57,46,52,55,53,54,49,101,45,48,56,32,57,46,57,51,53,55,52,101,45,48,
      56,32,49,46,48,52,49,50,101,45,48,55,32,49,46,48,56,56,57,49,101,45,48,55,32,
      49,46,49,51,56,50,54,101,45,48,55,32,49,46,49,56,57,50,56,101,45,48,55,32,49,
      46,50,52,48,54,51,101,45,48,55,10,32,32,49,46,50,57,51,52,49,101,45,48,55,32,
      49,46,51,52,55,57,101,45,48,55,32,49,46,52,48,50,54,57,101,45,48,55,32,49,46,
      52,53,56,53,51,101,45,48,55,32,49,46,53,49,54,49,101,45,48,55,32,49,46,53,55,
      51,55,52,101,45,48,55,32,49,46,54,51,49,53,49,101,45,48,55,10,32,32,49,46,54,
      57,49,48,51,101,45,48,55,32,49,46,55,53,48,53,51,101,45,48,55,32,49,46,56,48,
      56,51,52,101,45,48,55,32,49,46,56,54,55,57,50,101,45,48,55,32,49,46,57,50,55,
      56,57,101,45,48,55,32,49,46,57,56,51,50,50,101,45,48,55,32,50,46,48,52,48,51,
      57,101,45,48,55,10,32,32,50,46,48,57,57,50,54,101,45,48,55,32,50,46,49,52,57,
      52,56,101,45,48,55,32,50,46,50,48,49,55,101,45,48,55,32,50,46,50,53,53,57,101,
      45,48,55,32,50,46,51,48,48,57,52,101,45,48,55,32,50,46,51,52,54,50,54,101,45,
      48,55,32,50,46,51,57,51,56,53,101,45,48,55,10,32,32,50,46,52,51,51,53,50,101,
      45,48,55,32,50,46,52,55,49,49,54,101,45,48,55,32,50,46,53,49,49,53,101,45,48,
      55,32,50,46,53,52,54,52,56,101,45,48,55,32,50,46,53,55,55,49,52,101,45,48,55,
      32,50,46,54,49,49,101,45,48,55,32,50,46,54,52,50,55,54,101,45,48,55,10,32,32,
      50,46,54,54,56,53,49,101,45,48,55,32,50,46,54,57,55,56,56,101,45,48,55,32,50,
      46,55,50,56,51,49,101,45,48,55,32,50,46,55,53,50,49,49,101,45,48,55,32,50,46,
      55,55,57,55,53,101,45,48,55,32,50,46,56,49,48,56,51,101,45,48,55,32,50,46,56,
      51,53,57,57,101,45,48,55,10,32,32,50,46,56,54,53,101,45,48,55,32,50,46,56,57,
      55,53,57,101,45,48,55,32,50,46,57,50,56,52,50,101,45,48,55,32,50,46,57,54,49,
      56,57,101,45,48,55,32,50,46,57,57,56,55,55,101,45,48,55,32,51,46,48,51,55,50,
      50,101,45,48,55,32,51,46,48,55,56,49,49,101,45,48,55,10,32,32,51,46,49,50,50,
      48,51,101,45,48,55,32,51,46,49,54,57,55,55,101,45,48,55,32,51,46,50,50,49,48,
      57,101,45,48,55,32,51,46,50,55,53,48,50,101,45,48,55,32,51,46,51,51,51,53,51,
      101,45,48,55,32,51,46,51,57,56,50,101,45,48,55,32,51,46,52,54,53,48,55,101,
      45,48,55,10,32,32,51,46,53,51,54,48,54,101,45,48,55,32,51,46,54,49,55,53,49,
      101,45,48,55,32,51,46,55,48,48,57,52,101,45,48,55,32,51,46,55,56,54,54,56,101,
      45,48,55,32,51,46,56,56,56,57,50,101,45,48,55,32,51,46,57,57,51,50,55,101,45,
      48,55,32,52,46,48,57,57,55,52,101,45,48,55,10,32,32,52,46,50,50,52,54,49,101,
      45,48,55,32,52,46,51,53,53,101,45,48,55,32,52,46,52,56,56,50,55,101,45,48,55,
      32,52,46,54,51,57,56,49,101,45,48,55,32,52,46,56,48,50,52,54,101,45,48,55,32,
      52,46,57,54,57,52,50,101,45,48,55,32,53,46,49,53,51,49,55,101,45,48,55,10,32,
      32,53,46,51,53,52,51,55,101,45,48,55,32,53,46,53,54,50,52,101,45,48,55,32,53,
      46,55,56,52,57,54,101,45,48,55,32,54,46,48,51,48,48,57,101,45,48,55,32,54,46,
      50,56,53,51,56,101,45,48,55,32,54,46,53,53,51,55,52,101,45,48,55,32,54,46,56,
      52,53,51,53,101,45,48,55,10,32,32,55,46,49,53,48,53,49,101,45,48,55,32,55,46,
      52,55,48,49,50,101,45,48,55,32,55,46,56,48,54,53,55,101,45,48,55,32,56,46,49,
      53,57,52,50,101,45,48,55,32,56,46,53,50,57,53,51,101,45,48,55,32,56,46,57,48,
      54,53,55,101,45,48,55,32,57,46,50,57,57,51,50,101,45,48,55,10,32,32,57,46,55,
      49,48,53,57,101,45,48,55,32,49,46,48,49,50,51,51,101,45,48,54,32,49,46,48,53,
      52,53,56,101,45,48,54,32,49,46,48,57,56,54,49,101,45,48,54,32,49,46,49,52,50,
      56,51,101,45,48,54,32,49,46,49,56,55,49,53,101,45,48,54,32,49,46,50,51,51,49,
      50,101,45,48,54,10,32,32,49,46,50,55,57,54,50,101,45,48,54,32,49,46,51,50,53,
      53,49,101,45,48,54,32,49,46,51,55,50,56,55,101,45,48,54,32,49,46,52,50,49,50,
      54,101,45,48,54,32,49,46,52,54,56,56,52,101,45,48,54,32,49,46,53,49,55,55,56,
      101,45,48,54,32,49,46,53,54,56,48,56,101,45,48,54,10,32,32,49,46,54,49,55,56,
      56,101,45,48,54,32,49,46,54,54,56,57,57,101,45,48,54,32,49,46,55,50,49,52,101,
      45,48,54,32,49,46,55,57,50,49,54,101,45,48,54,32,49,46,57,54,53,50,51,101,45,
      48,54,32,50,46,50,52,51,52,56,101,45,48,54,32,50,46,55,54,49,51,50,101,45,48,
      54,10,32,32,51,46,51,50,49,53,51,101,45,48,54,32,51,46,56,55,51,49,50,101,45,
      48,54,32,52,46,51,55,54,54,51,101,45,48,54,32,52,46,56,50,53,56,57,101,45,48,
      54,32,53,46,50,51,57,49,101,45,48,54,32,53,46,54,52,49,55,49,101,45,48,54,32,
      54,46,48,53,51,49,51,101,45,48,54,10,32,32,54,46,52,56,56,51,53,101,45,48,54,
      32,54,46,57,53,55,49,101,45,48,54,32,55,46,52,53,57,50,50,101,45,48,54,32,56,
      46,49,49,48,53,51,101,45,48,54,32,56,46,56,49,48,54,56,101,45,48,54,32,57,46,
      56,48,51,54,53,101,45,48,54,32,49,46,48,56,51,52,49,101,45,48,53,10,32,32,49,
      46,49,56,55,50,54,101,45,48,53,32,49,46,51,49,51,50,101,45,48,53,32,49,46,52,
      50,57,54,56,101,45,48,53,32,49,46,53,51,53,50,51,101,45,48,53,32,49,46,54,52,
      56,51,55,101,45,48,53,32,49,46,55,53,53,54,57,101,45,48,53,32,49,46,56,57,53,
      49,49,101,45,48,53,10,32,32,50,46,48,51,52,48,51,101,45,48,53,32,50,46,49,54,
      57,54,51,101,45,48,53,32,50,46,51,49,50,57,53,101,45,48,53,32,50,46,52,53,55,
      49,55,101,45,48,53,32,50,46,53,57,49,50,50,101,45,48,53,32,50,46,55,49,48,51,
      49,101,45,48,53,32,50,46,56,49,50,49,55,101,45,48,53,10,32,32,50,46,57,48,56,
      54,57,101,45,48,53,32,50,46,57,57,57,49,101,45,48,53,32,51,46,49,49,54,53,50,
      101,45,48,53,32,51,46,50,57,55,54,52,101,45,48,53,32,51,46,52,55,52,57,56,101,
      45,48,53,32,51,46,53,55,52,54,54,101,45,48,53,32,51,46,54,51,57,57,51,101,45,
      48,53,10,32,32,51,46,54,52,49,57,54,101,45,48,53,32,51,46,54,48,55,52,51,101,
      45,48,53,32,51,46,53,55,57,50,49,101,45,48,53,32,51,46,53,55,57,52,50,101,45,
      48,53,32,51,46,54,50,53,57,50,101,45,48,53,32,51,46,55,51,56,57,53,101,45,48,
      53,32,51,46,57,52,50,52,101,45,48,53,10,32,32,52,46,50,56,52,55,56,101,45,48,
      53,32,52,46,54,52,53,49,56,101,45,48,53,32,53,46,48,49,57,49,52,101,45,48,53,
      32,53,46,51,50,52,49,54,101,45,48,53,32,53,46,54,53,54,52,57,101,45,48,53,32,
      54,46,49,50,55,52,56,101,45,48,53,32,54,46,53,57,52,54,54,101,45,48,53,10,32,
      32,55,46,48,51,52,101,45,48,53,32,55,46,51,56,49,50,101,45,48,53,32,55,46,56,
      49,50,50,55,101,45,48,53,32,56,46,49,51,56,49,56,101,45,48,53,32,56,46,51,51,
      50,54,56,101,45,48,53,32,56,46,52,49,52,54,51,101,45,48,53,32,56,46,52,56,51,
      48,55,101,45,48,53,10,32,32,56,46,53,56,52,48,49,101,45,48,53,32,56,46,54,53,
      55,52,53,101,45,48,53,32,56,46,54,48,55,55,54,101,45,48,53,32,56,46,52,49,55,
      55,49,101,45,48,53,32,55,46,54,53,53,51,57,101,45,48,53,32,54,46,54,53,54,53,
      51,101,45,48,53,32,53,46,55,54,57,50,56,101,45,48,53,10,32,32,53,46,48,56,49,
      54,50,101,45,48,53,32,52,46,56,57,52,52,57,101,45,48,53,32,52,46,50,53,50,55,
      52,101,45,48,53,32,51,46,54,55,52,55,57,101,45,48,53,32,51,46,49,54,55,50,101,
      45,48,53,32,50,46,55,51,48,51,56,101,45,48,53,32,50,46,51,48,48,50,55,101,45,
      48,53,10,32,32,50,46,48,50,49,52,49,101,45,48,53,32,49,46,55,55,49,55,56,101,
      45,48,53,32,49,46,52,49,56,53,101,45,48,53,32,49,46,50,51,51,57,50,101,45,48,
      53,32,57,46,56,54,51,53,51,101,45,48,54,32,55,46,55,52,48,52,51,101,45,48,54,
      32,54,46,54,55,54,54,56,101,45,48,54,10,32,32,53,46,55,52,54,54,52,101,45,48,
      54,32,52,46,53,49,55,54,53,101,45,48,54,32,51,46,52,52,56,55,55,101,45,48,54,
      32,50,46,57,54,51,50,52,101,45,48,54,32,50,46,51,49,51,52,54,101,45,48,54,32,
      49,46,57,56,54,50,52,101,45,48,54,32,49,46,53,52,54,48,52,101,45,48,54,10,32,
      32,49,46,51,50,50,48,52,101,45,48,54,32,49,46,49,49,51,50,55,101,45,48,54,32,
      57,46,57,51,53,55,56,101,45,48,55,32,55,46,57,55,55,50,50,101,45,48,55,32,54,
      46,50,53,50,50,52,101,45,48,55,32,53,46,48,57,57,54,52,101,45,48,55,32,52,46,
      49,53,55,48,49,101,45,48,55,10,32,32,51,46,52,51,49,54,56,101,45,48,55,32,50,
      46,56,51,57,57,53,101,45,48,55,32,50,46,51,48,49,51,54,101,45,48,55,32,49,46,
      57,48,56,53,54,101,45,48,55,32,49,46,53,53,50,49,53,101,45,48,55,32,49,46,51,
      51,50,56,51,101,45,48,55,32,49,46,48,51,57,49,54,101,45,48,55,10,32,32,56,46,
      57,49,56,55,53,101,45,48,56,32,55,46,51,55,52,48,53,101,45,48,56,32,52,46,55,
      51,49,52,101,45,48,56,32,50,46,53,54,52,53,101,45,48,56,32,49,46,52,48,56,51,
      53,101,45,48,56,32,54,46,54,52,52,49,50,101,45,48,57,32,51,46,49,50,56,52,54,
      101,45,48,57,10,32,32,49,46,50,54,52,52,56,101,45,48,57,32,53,46,57,51,53,54,
      101,45,49,48,32,49,46,55,54,54,50,56,101,45,49,48,32,53,46,53,52,56,56,54,101,
      45,49,49,32,50,46,52,53,52,51,50,101,45,49,49,32,57,46,56,53,56,53,49,101,45,
      49,50,32,50,46,57,49,57,50,53,101,45,49,50,10,32,32,49,46,48,48,53,56,101,45,
      49,50,32,51,46,52,54,51,55,101,45,49,51,32,49,46,48,50,51,56,52,101,45,49,51,
      32,51,46,48,50,53,49,56,101,45,49,52,32,49,46,48,52,48,55,53,101,45,49,52,32,
      51,46,53,55,57,56,53,101,45,49,53,32,49,46,50,51,49,49,55,101,45,49,53,10,32,
      32,51,46,52,55,50,55,51,101,45,49,54,32,56,46,55,56,54,48,49,101,45,49,55,32,
      49,46,57,48,56,48,49,101,45,49,55,32,52,46,56,50,55,49,55,101,45,49,56,32,49,
      46,48,52,50,57,56,101,45,49,56,32,50,46,54,51,55,56,56,101,45,49,57,32,54,46,
      54,55,48,56,53,101,45,50,48,10,32,32,49,46,52,52,55,56,49,101,45,50,48,32,50,
      46,55,57,55,50,51,101,45,50,49,32,55,46,56,50,51,49,57,101,45,50,50,32,49,46,
      55,53,50,54,51,101,45,50,50,32,50,46,50,57,51,57,54,101,45,50,51,32,48,114,
      49,48,53,32,50,46,53,56,53,56,56,101,45,50,50,32,51,46,53,49,50,53,51,101,45,
      50,50,10,32,32,54,46,54,53,50,54,50,101,45,49,52,32,51,46,51,55,49,52,55,101,
      45,49,51,32,49,46,49,49,55,51,54,101,45,49,50,32,50,46,55,50,50,50,55,101,45,
      49,50,32,53,46,54,51,57,51,101,45,49,50,32,49,46,48,52,50,52,50,101,45,49,49,
      32,49,46,55,55,53,49,56,101,45,49,49,10,32,32,50,46,56,52,55,52,101,45,49,49,
      32,52,46,52,54,54,48,52,101,45,49,49,32,54,46,53,50,51,51,51,101,45,49,49,32,
      57,46,50,49,54,57,57,101,45,49,49,32,49,46,50,54,54,51,54,101,45,49,48,32,49,
      46,54,57,57,50,50,101,45,49,48,32,50,46,50,51,51,56,52,101,45,49,48,10,32,32,
      50,46,56,56,52,53,56,101,45,49,48,32,51,46,54,54,55,54,50,101,45,49,48,32,52,
      46,53,57,56,54,50,101,45,49,48,32,53,46,54,57,52,57,52,101,45,49,48,32,54,46,
      57,55,52,53,55,101,45,49,48,32,56,46,52,53,54,52,51,101,45,49,48,32,49,46,48,
      49,54,48,49,101,45,48,57,10,32,32,49,46,50,49,48,49,51,101,45,48,57,32,49,46,
      52,51,48,50,55,101,45,48,57,32,49,46,54,56,48,52,49,101,45,48,57,32,49,46,57,
      53,57,53,52,101,45,48,57,32,50,46,50,54,56,55,101,45,48,57,32,50,46,54,49,50,
      50,49,101,45,48,57,32,50,46,57,56,56,57,52,101,45,48,57,10,32,32,51,46,51,57,
      57,57,49,101,45,48,57,32,51,46,56,53,48,50,54,101,45,48,57,32,52,46,51,51,55,
      50,56,101,45,48,57,32,52,46,56,53,54,54,55,101,45,48,57,32,53,46,52,49,56,52,
      56,101,45,48,57,32,54,46,48,50,48,53,101,45,48,57,32,54,46,54,52,53,55,57,101,
      45,48,57,10,32,32,55,46,51,49,52,53,51,101,45,48,57,32,56,46,48,50,56,49,52,
      101,45,48,57,32,56,46,55,52,57,49,53,101,45,48,57,32,57,46,53,49,50,55,49,101,
      45,48,57,32,49,46,48,51,50,48,49,101,45,48,56,32,49,46,49,49,51,48,51,101,45,
      48,56,32,49,46,49,57,55,51,55,101,45,48,56,10,32,32,49,46,50,56,53,56,56,101,
      45,48,56,32,49,46,51,55,52,56,49,101,45,48,56,32,49,46,52,54,53,56,55,101,45,
      48,56,32,49,46,53,54,48,57,49,101,45,48,56,32,49,46,54,53,55,49,53,101,45,48,
      56,32,49,46,55,53,52,52,55,101,45,48,56,32,49,46,56,53,53,55,101,45,48,56,10,
      32,32,49,46,57,53,57,49,50,101,45,48,56,32,50,46,48,54,50,57,54,101,45,48,56,
      32,50,46,49,55,48,54,57,101,45,48,56,32,50,46,50,56,49,54,101,45,48,56,32,50,
      46,51,57,50,56,52,101,45,48,56,32,50,46,53,48,56,48,49,101,45,48,56,32,50,46,
      54,50,55,49,53,101,45,48,56,10,32,32,50,46,55,52,54,54,50,101,45,48,56,32,50,
      46,56,55,48,49,49,101,45,48,56,32,50,46,57,57,55,55,101,45,48,56,32,51,46,49,
      50,54,50,49,101,45,48,56,32,51,46,50,53,56,50,54,101,45,48,56,32,51,46,51,57,
      52,53,49,101,45,48,56,32,51,46,53,51,49,54,101,45,48,56,10,32,32,51,46,54,55,
      49,51,49,101,45,48,56,32,51,46,56,49,53,50,56,101,45,48,56,32,51,46,57,53,57,
      53,54,101,45,48,56,32,52,46,49,48,52,50,55,101,45,48,56,32,52,46,50,53,51,51,
      49,101,45,48,56,32,52,46,52,48,50,52,49,101,45,48,56,32,52,46,53,52,55,54,54,
      101,45,48,56,10,32,32,52,46,54,57,55,50,55,101,45,48,56,32,52,46,56,52,55,57,
      51,101,45,48,56,32,52,46,57,56,55,55,55,101,45,48,56,32,53,46,49,51,50,48,56,
      101,45,48,56,32,53,46,50,56,48,53,55,101,45,48,56,32,53,46,52,48,56,55,50,101,
      45,48,56,32,53,46,53,52,49,55,52,101,45,48,56,10,32,32,53,46,54,55,57,53,55,
      101,45,48,56,32,53,46,55,57,53,56,101,45,48,56,32,53,46,57,49,50,56,49,101,
      45,48,56,32,54,46,48,51,53,51,51,101,45,48,56,32,54,46,49,51,57,49,51,101,45,
      48,56,32,54,46,50,51,56,49,55,101,45,48,56,32,54,46,51,52,51,55,50,101,45,48,
      56,10,32,32,54,46,52,51,54,53,55,101,45,48,56,32,54,46,53,49,57,49,52,101,45,
      48,56,32,54,46,54,48,57,51,54,101,45,48,56,32,54,46,54,57,52,53,57,101,45,48,
      56,32,54,46,55,54,53,52,50,101,45,48,56,32,54,46,56,52,52,56,57,101,45,48,56,
      32,54,46,57,50,54,56,55,101,45,48,56,10,32,32,54,46,57,57,50,56,53,101,45,48,
      56,32,55,46,48,54,56,48,50,101,45,48,56,32,55,46,49,53,49,51,53,101,45,48,56,
      32,55,46,50,50,48,51,53,101,45,48,56,32,55,46,50,57,56,53,49,101,45,48,56,32,
      55,46,51,56,53,50,50,101,45,48,56,32,55,46,52,54,55,53,55,101,45,48,56,10,32,
      32,55,46,53,53,54,50,101,45,48,56,32,55,46,54,53,50,57,54,101,45,48,56,32,55,
      46,55,53,51,52,54,101,45,48,56,32,55,46,56,53,57,55,53,101,45,48,56,32,55,46,
      57,55,51,51,50,101,45,48,56,32,56,46,48,57,54,49,49,101,45,48,56,32,56,46,50,
      50,55,53,49,101,45,48,56,10,32,32,56,46,51,54,53,49,57,101,45,48,56,32,56,46,
      53,49,51,57,56,101,45,48,56,32,56,46,54,55,55,55,54,101,45,48,56,32,56,46,56,
      52,54,56,49,101,45,48,56,32,57,46,48,50,53,57,101,45,48,56,32,57,46,50,51,48,
      53,101,45,48,56,32,57,46,52,51,57,56,56,101,45,48,56,10,32,32,57,46,54,53,52,
      56,53,101,45,48,56,32,57,46,57,49,48,49,54,101,45,48,56,32,49,46,48,49,55,48,
      53,101,45,48,55,32,49,46,48,52,51,54,101,45,48,55,32,49,46,48,55,52,54,53,101,
      45,48,55,32,49,46,49,48,55,48,50,101,45,48,55,32,49,46,49,52,48,48,56,101,45,
      48,55,10,32,32,49,46,49,55,55,53,57,101,45,48,55,32,49,46,50,49,55,55,57,101,
      45,48,55,32,49,46,50,53,57,101,45,48,55,32,49,46,51,48,52,50,56,101,45,48,55,
      32,49,46,51,53,51,55,53,101,45,48,55,32,49,46,52,48,52,56,52,101,45,48,55,32,
      49,46,52,53,57,52,101,45,48,55,10,32,32,49,46,53,49,57,51,53,101,45,48,55,32,
      49,46,53,56,49,54,57,101,45,48,55,32,49,46,54,52,55,49,49,101,45,48,55,32,49,
      46,55,49,56,48,52,101,45,48,55,32,49,46,55,57,50,49,51,101,45,48,55,32,49,46,
      56,54,57,53,57,101,45,48,55,32,49,46,57,53,48,57,57,101,45,48,55,10,32,32,50,
      46,48,51,54,50,50,101,45,48,55,32,50,46,49,50,53,52,54,101,45,48,55,32,50,46,
      50,49,54,50,55,101,45,48,55,32,50,46,51,49,48,55,51,101,45,48,55,32,50,46,52,
      48,57,52,57,101,45,48,55,32,50,46,53,48,56,53,56,101,45,48,55,32,50,46,54,48,
      57,57,50,101,45,48,55,10,32,32,50,46,55,49,53,52,51,101,45,48,55,32,50,46,56,
      50,49,51,55,101,45,48,55,32,50,46,57,50,55,53,54,101,45,48,55,32,51,46,48,51,
      55,54,50,101,45,48,55,32,51,46,49,52,56,57,54,101,45,48,55,32,51,46,50,53,56,
      56,57,101,45,48,55,32,51,46,51,55,50,51,50,101,45,48,55,10,32,32,51,46,52,56,
      56,50,52,101,45,48,55,32,51,46,54,48,50,51,101,45,48,55,32,51,46,55,49,57,54,
      55,101,45,48,55,32,51,46,56,52,48,51,101,45,48,55,32,51,46,57,53,57,55,56,101,
      45,48,55,32,52,46,48,56,50,53,101,45,48,55,32,52,46,50,48,56,52,51,101,45,48,
      55,10,32,32,52,46,51,55,56,53,56,101,45,48,55,32,52,46,55,57,53,54,51,101,45,
      48,55,32,53,46,52,54,57,49,50,101,45,48,55,32,54,46,55,51,54,48,51,101,45,48,
      55,32,56,46,49,51,52,53,52,101,45,48,55,32,57,46,53,52,49,50,57,101,45,48,55,
      32,49,46,48,56,52,49,49,101,45,48,54,10,32,32,49,46,50,48,48,48,53,101,45,48,
      54,32,49,46,51,48,54,50,49,101,45,48,54,32,49,46,52,48,57,54,49,101,45,48,54,
      32,49,46,53,49,54,50,51,101,45,48,54,32,49,46,54,51,48,55,49,101,45,48,54,32,
      49,46,55,53,53,57,55,101,45,48,54,32,49,46,56,57,51,49,57,101,45,48,54,10,32,
      32,50,46,48,55,53,55,54,101,45,48,54,32,50,46,50,55,56,54,54,101,45,48,54,32,
      50,46,53,56,48,51,52,101,45,48,54,32,50,46,57,49,51,57,56,101,45,48,54,32,51,
      46,50,55,54,51,55,101,45,48,54,32,51,46,55,54,48,53,52,101,45,48,54,32,52,46,
      50,54,53,51,51,101,45,48,54,10,32,32,52,46,55,54,56,48,49,101,45,48,54,32,53,
      46,51,51,53,48,57,101,45,48,54,32,53,46,56,52,56,49,101,45,48,54,32,54,46,52,
      54,51,49,56,101,45,48,54,32,55,46,48,53,48,52,54,101,45,48,54,32,55,46,54,52,
      55,51,57,101,45,48,54,32,56,46,51,54,50,55,101,45,48,54,10,32,32,57,46,50,51,
      50,56,52,101,45,48,54,32,49,46,48,50,51,57,57,101,45,48,53,32,49,46,49,51,52,
      51,51,101,45,48,53,32,49,46,50,53,49,50,53,101,45,48,53,32,49,46,51,55,57,55,
      101,45,48,53,32,49,46,53,48,48,50,51,101,45,48,53,32,49,46,54,50,57,54,51,101,
      45,48,53,10,32,32,49,46,55,56,56,50,51,101,45,48,53,32,49,46,57,53,50,101,45,
      48,53,32,50,46,48,55,48,57,52,101,45,48,53,32,50,46,50,48,56,57,56,101,45,48,
      53,32,50,46,51,53,49,52,54,101,45,48,53,32,50,46,52,55,50,51,50,101,45,48,53,
      32,50,46,53,55,51,53,57,101,45,48,53,10,32,32,50,46,54,54,51,57,55,101,45,48,
      53,32,50,46,55,52,56,48,50,101,45,48,53,32,50,46,56,53,50,54,55,101,45,48,53,
      32,51,46,48,49,49,50,57,101,45,48,53,32,51,46,50,54,54,55,101,45,48,53,32,51,
      46,53,51,51,52,55,101,45,48,53,32,51,46,56,48,51,57,54,101,45,48,53,10,32,32,
      52,46,48,49,57,54,55,101,45,48,53,32,52,46,50,52,56,50,50,101,45,48,53,32,52,
      46,53,54,55,57,52,101,45,48,53,32,52,46,56,56,56,54,52,101,45,48,53,32,53,46,
      49,57,57,57,52,101,45,48,53,32,53,46,52,53,52,56,56,101,45,48,53,32,53,46,55,
      56,50,50,55,101,45,48,53,10,32,32,54,46,48,52,52,52,101,45,48,53,32,54,46,50,
      50,48,57,51,101,45,48,53,32,54,46,51,49,54,54,53,101,45,48,53,32,54,46,52,48,
      48,56,54,101,45,48,53,32,54,46,53,48,52,55,101,45,48,53,32,54,46,53,57,48,50,
      55,101,45,48,53,32,54,46,53,56,52,55,55,101,45,48,53,10,32,32,54,46,52,54,57,
      55,56,101,45,48,53,32,53,46,57,53,49,57,51,101,45,48,53,32,53,46,50,51,57,52,
      52,101,45,48,53,32,52,46,53,56,56,57,51,101,45,48,53,32,52,46,48,55,55,56,55,
      101,45,48,53,32,51,46,57,52,51,54,56,101,45,48,53,32,51,46,52,53,51,57,101,
      45,48,53,10,32,32,51,46,48,48,54,52,53,101,45,48,53,32,50,46,54,48,56,54,101,
      45,48,53,32,50,46,50,54,50,53,53,101,45,48,53,32,49,46,57,49,56,52,50,101,45,
      48,53,32,49,46,54,57,51,52,49,101,45,48,53,32,49,46,52,57,48,54,53,101,45,48,
      53,32,49,46,50,48,49,51,57,101,45,48,53,10,32,32,49,46,48,52,57,49,101,45,48,
      53,32,56,46,52,51,52,53,52,101,45,48,54,32,54,46,54,53,54,57,51,101,45,48,54,
      32,53,46,55,54,48,56,101,45,48,54,32,52,46,57,55,51,57,50,101,45,48,54,32,51,
      46,57,50,56,55,52,101,45,48,54,32,51,46,48,49,51,57,55,101,45,48,54,10,32,32,
      50,46,53,57,54,51,57,101,45,48,54,32,50,46,48,51,53,49,54,101,45,48,54,32,49,
      46,55,53,49,51,55,101,45,48,54,32,49,46,51,54,56,49,52,101,45,48,54,32,49,46,
      49,53,57,55,57,101,45,48,54,32,57,46,55,52,55,55,56,101,45,48,55,32,56,46,55,
      48,56,56,52,101,45,48,55,10,32,32,55,46,48,48,53,54,54,101,45,48,55,32,53,46,
      53,48,49,57,101,45,48,55,32,52,46,52,57,52,56,52,101,45,48,55,32,51,46,54,54,
      57,54,51,101,45,48,55,32,51,46,48,51,51,53,49,101,45,48,55,32,50,46,53,49,51,
      55,49,101,45,48,55,32,50,46,48,51,57,56,49,101,45,48,55,10,32,32,49,46,54,57,
      51,54,53,101,45,48,55,32,49,46,51,55,57,49,101,45,48,55,32,49,46,49,56,53,51,
      101,45,48,55,32,57,46,50,53,52,52,101,45,48,56,32,55,46,57,52,57,51,54,101,
      45,48,56,32,54,46,53,55,57,50,49,101,45,48,56,32,52,46,50,51,48,56,51,101,45,
      48,56,10,32,32,50,46,50,57,57,53,56,101,45,48,56,32,49,46,50,54,53,57,56,101,
      45,48,56,32,53,46,57,56,57,48,51,101,45,48,57,32,50,46,56,50,55,49,101,45,48,
      57,32,49,46,49,52,53,56,101,45,48,57,32,53,46,51,56,57,53,56,101,45,49,48,32,
      49,46,54,48,56,53,50,101,45,49,48,10,32,32,53,46,48,54,53,56,51,101,45,49,49,
      32,50,46,50,52,52,50,51,101,45,49,49,32,57,46,48,50,57,50,56,101,45,49,50,32,
      50,46,54,55,57,48,51,101,45,49,50,32,57,46,50,52,53,49,101,45,49,51,32,51,46,
      49,56,56,53,49,101,45,49,51,32,57,46,52,51,57,56,101,45,49,52,10,32,32,50,46,
      55,57,51,50,50,101,45,49,52,32,57,46,54,50,48,54,54,101,45,49,53,32,51,46,51,
      49,50,56,50,101,45,49,53,32,49,46,49,52,48,53,49,101,45,49,53,32,51,46,50,50,
      51,56,51,101,45,49,54,32,56,46,49,54,54,56,56,101,45,49,55,32,49,46,55,55,53,
      57,56,101,45,49,55,10,32,32,52,46,52,57,56,52,55,101,45,49,56,32,57,46,55,51,
      48,54,52,101,45,49,57,32,50,46,52,54,51,54,54,101,45,49,57,32,54,46,50,51,55,
      54,101,45,50,48,32,49,46,51,53,52,55,101,45,50,48,32,50,46,54,51,56,50,101,
      45,50,49,32,55,46,51,49,54,55,55,101,45,50,50,10,32,32,49,46,54,51,55,50,55,
      101,45,50,50,32,51,46,57,50,55,56,56,101,45,50,51,32,48,114,49,48,53,32,53,
      46,57,53,56,50,52,101,45,50,51,32,56,46,48,57,51,52,56,101,45,50,51,32,52,46,
      51,51,55,56,57,101,45,49,52,32,50,46,49,57,56,53,101,45,49,51,32,55,46,50,56,
      54,53,56,101,45,49,51,10,32,32,49,46,55,55,53,51,56,101,45,49,50,32,51,46,54,
      55,56,48,51,101,45,49,50,32,54,46,55,57,57,48,54,101,45,49,50,32,49,46,49,53,
      55,56,101,45,49,49,32,49,46,56,53,48,56,54,101,45,49,49,32,50,46,56,49,52,53,
      52,101,45,49,49,32,52,46,49,49,49,50,57,101,45,49,49,10,32,32,53,46,56,48,57,
      53,53,101,45,49,49,32,55,46,57,56,51,48,55,101,45,49,49,32,49,46,48,55,49,51,
      54,101,45,49,48,32,49,46,52,48,56,54,57,101,45,49,48,32,49,46,56,50,50,54,101,
      45,49,48,32,50,46,51,50,51,52,55,101,45,49,48,32,50,46,57,49,51,55,57,101,45,
      49,48,10,32,32,51,46,54,48,57,48,56,101,45,49,48,32,52,46,52,50,48,55,57,101,
      45,49,48,32,53,46,51,54,48,57,55,101,45,49,48,32,54,46,52,52,50,49,52,101,45,
      49,48,32,55,46,54,55,52,50,53,101,45,49,48,32,57,46,48,55,49,57,101,45,49,48,
      32,49,46,48,54,52,57,57,101,45,48,57,10,32,32,49,46,50,52,49,49,50,101,45,48,
      57,32,49,46,52,51,55,49,56,101,45,48,57,32,49,46,54,53,53,48,55,101,45,48,57,
      32,49,46,56,57,52,48,57,101,45,48,57,32,50,46,49,53,52,56,55,101,45,48,57,32,
      50,46,52,52,48,55,101,45,48,57,32,50,46,55,52,57,56,54,101,45,48,57,10,32,32,
      51,46,48,55,57,54,49,101,45,48,57,32,51,46,52,51,54,51,54,101,45,48,57,32,51,
      46,56,49,56,55,49,101,45,48,57,32,52,46,50,49,53,56,53,101,45,48,57,32,52,46,
      54,52,48,54,54,101,45,48,57,32,53,46,48,57,52,48,50,101,45,48,57,32,53,46,53,
      53,50,48,56,101,45,48,57,10,32,32,54,46,48,51,55,50,51,101,45,48,57,32,54,46,
      53,53,48,50,57,101,45,48,57,32,55,46,48,54,53,48,55,101,45,48,57,32,55,46,54,
      48,50,49,57,101,45,48,57,32,56,46,49,54,52,55,56,101,45,48,57,32,56,46,55,51,
      49,48,50,101,45,48,57,32,57,46,51,48,57,56,49,101,45,48,57,10,32,32,57,46,57,
      49,51,57,57,101,45,48,57,32,49,46,48,53,50,53,56,101,45,48,56,32,49,46,49,49,
      52,52,52,101,45,48,56,32,49,46,49,55,56,55,57,101,45,48,56,32,49,46,50,52,52,
      53,51,101,45,48,56,32,49,46,51,49,48,53,52,101,45,48,56,32,49,46,51,55,57,48,
      50,101,45,48,56,10,32,32,49,46,52,52,57,53,51,101,45,48,56,32,49,46,53,50,48,
      50,51,101,45,48,56,32,49,46,53,57,51,52,53,101,45,48,56,32,49,46,54,54,57,49,
      56,101,45,48,56,32,49,46,55,52,53,49,50,101,45,48,56,32,49,46,56,50,51,54,50,
      101,45,48,56,32,49,46,57,48,52,55,51,101,45,48,56,10,32,32,49,46,57,56,54,52,
      50,101,45,48,56,32,50,46,48,55,48,51,54,101,45,48,56,32,50,46,49,53,54,57,56,
      101,45,48,56,32,50,46,50,52,52,49,51,101,45,48,56,32,50,46,51,51,50,57,51,101,
      45,48,56,32,50,46,52,50,52,52,54,101,45,48,56,32,50,46,53,49,54,49,55,101,45,
      48,56,10,32,32,50,46,54,48,56,49,54,101,45,48,56,32,50,46,55,48,50,57,101,45,
      48,56,32,50,46,55,57,55,54,55,101,45,48,56,32,50,46,56,56,57,57,56,101,45,48,
      56,32,50,46,57,56,53,48,54,101,45,48,56,32,51,46,48,56,48,56,50,101,45,48,56,
      32,51,46,49,54,57,54,54,101,45,48,56,10,32,32,51,46,50,54,49,51,53,101,45,48,
      56,32,51,46,51,53,53,55,101,45,48,56,32,51,46,52,51,55,48,54,101,45,48,56,32,
      51,46,53,50,49,53,51,101,45,48,56,32,51,46,54,48,57,48,55,101,45,48,56,32,51,
      46,54,56,50,56,50,101,45,48,56,32,51,46,55,53,55,48,55,101,45,48,56,10,32,32,
      51,46,56,51,52,56,50,101,45,48,56,32,51,46,57,48,48,54,51,101,45,48,56,32,51,
      46,57,54,51,52,49,101,45,48,56,32,52,46,48,51,48,51,51,101,45,48,56,32,52,46,
      48,56,57,49,53,101,45,48,56,32,52,46,49,52,49,52,49,101,45,48,56,32,52,46,49,
      57,56,53,53,101,45,48,56,10,32,32,52,46,50,53,50,53,49,101,45,48,56,32,52,46,
      50,57,55,50,57,101,45,48,56,32,52,46,51,52,55,53,55,101,45,48,56,32,52,46,51,
      57,57,52,53,101,45,48,56,32,52,46,52,52,49,49,52,101,45,48,56,32,52,46,52,56,
      56,54,57,101,45,48,56,32,52,46,53,52,49,52,52,101,45,48,56,10,32,32,52,46,53,
      56,53,48,53,101,45,48,56,32,52,46,54,51,52,53,50,101,45,48,56,32,52,46,54,56,
      57,52,51,101,45,48,56,32,52,46,55,52,49,53,55,101,45,48,56,32,52,46,55,57,55,
      55,49,101,45,48,56,32,52,46,56,53,57,48,52,101,45,48,56,32,52,46,57,50,50,55,
      52,101,45,48,56,10,32,32,52,46,57,57,48,49,53,101,45,48,56,32,53,46,48,54,50,
      49,57,101,45,48,56,32,53,46,49,52,48,49,49,101,45,48,56,32,53,46,50,50,51,53,
      50,101,45,48,56,32,53,46,51,49,48,57,51,101,45,48,56,32,53,46,52,48,53,52,49,
      101,45,48,56,32,53,46,53,48,57,52,52,101,45,48,56,10,32,32,53,46,54,49,54,56,
      51,101,45,48,56,32,53,46,55,51,48,54,49,101,45,48,56,32,53,46,56,54,48,54,52,
      101,45,48,56,32,53,46,57,57,51,55,50,101,45,48,56,32,54,46,49,51,48,51,53,101,
      45,48,56,32,54,46,50,57,50,54,55,101,45,48,56,32,54,46,52,53,56,50,49,101,45,
      48,56,10,32,32,54,46,54,50,55,48,51,101,45,48,56,32,54,46,56,50,52,52,52,101,
      45,48,56,32,55,46,48,51,48,51,53,101,45,48,56,32,55,46,50,52,48,54,53,101,45,
      48,56,32,55,46,52,55,57,50,53,101,45,48,56,32,55,46,55,51,52,57,55,101,45,48,
      56,32,55,46,57,57,55,50,49,101,45,48,56,10,32,32,56,46,50,56,53,51,49,101,45,
      48,56,32,56,46,54,48,48,49,55,101,45,48,56,32,56,46,57,50,53,51,51,101,45,48,
      56,32,57,46,50,55,50,53,57,101,45,48,56,32,57,46,54,53,52,50,54,101,45,48,56,
      32,49,46,48,48,53,49,49,101,45,48,55,32,49,46,48,52,54,55,55,101,45,48,55,10,
      32,32,49,46,48,57,49,57,52,101,45,48,55,32,49,46,49,51,57,49,50,101,45,48,55,
      32,49,46,49,56,56,52,54,101,45,48,55,32,49,46,50,52,48,51,49,101,45,48,55,32,
      49,46,50,57,52,54,49,101,45,48,55,32,49,46,51,53,49,52,54,101,45,48,55,32,49,
      46,52,48,57,51,50,101,45,48,55,10,32,32,49,46,52,54,57,53,49,101,45,48,55,32,
      49,46,53,51,50,52,52,101,45,48,55,32,49,46,53,57,53,53,56,101,45,48,55,32,49,
      46,54,54,48,49,54,101,45,48,55,32,49,46,55,50,55,51,57,101,45,48,55,32,49,46,
      55,57,52,57,101,45,48,55,32,49,46,56,54,50,53,53,101,45,48,55,10,32,32,49,46,
      57,51,50,54,57,101,45,48,55,32,50,46,48,48,51,54,50,101,45,48,55,32,50,46,48,
      55,51,54,54,101,45,48,55,32,50,46,49,52,53,57,51,101,45,48,55,32,50,46,50,49,
      57,55,55,101,45,48,55,32,50,46,50,57,50,52,52,101,45,48,55,32,50,46,51,54,55,
      49,57,101,45,48,55,10,32,32,50,46,52,52,52,48,51,101,45,48,55,32,50,46,53,50,
      48,49,51,101,45,48,55,32,50,46,53,57,56,50,55,101,45,48,55,32,50,46,54,55,56,
      52,54,101,45,48,55,32,50,46,55,56,54,56,101,45,48,55,32,51,46,48,53,50,50,56,
      101,45,48,55,32,51,46,52,56,48,55,57,101,45,48,55,10,32,32,52,46,50,56,54,48,
      52,101,45,48,55,32,53,46,49,55,51,52,52,101,45,48,55,32,54,46,48,54,52,55,101,
      45,48,55,32,54,46,56,56,55,54,50,101,45,48,55,32,55,46,54,50,49,55,50,101,45,
      48,55,32,56,46,50,57,52,49,55,101,45,48,55,32,56,46,57,52,57,50,50,101,45,48,
      55,10,32,32,57,46,54,50,52,50,51,101,45,48,55,32,49,46,48,51,52,56,51,101,45,
      48,54,32,49,46,49,49,51,57,54,101,45,48,54,32,49,46,50,48,48,53,51,101,45,48,
      54,32,49,46,51,49,53,53,53,101,45,48,54,32,49,46,52,52,51,49,55,101,45,48,54,
      32,49,46,54,51,50,53,101,45,48,54,10,32,32,49,46,56,52,49,52,50,101,45,48,54,
      32,50,46,48,54,55,56,56,101,45,48,54,32,50,46,51,55,48,49,101,45,48,54,32,50,
      46,54,56,53,49,54,101,45,48,54,32,50,46,57,57,57,54,52,101,45,48,54,32,51,46,
      51,53,53,55,50,101,45,48,54,32,51,46,54,55,56,53,55,101,45,48,54,10,32,32,52,
      46,48,54,54,49,50,101,45,48,54,32,52,46,52,51,54,48,53,101,45,48,54,32,52,46,
      56,49,50,54,54,101,45,48,54,32,53,46,50,54,54,49,50,101,45,48,54,32,53,46,56,
      50,49,55,52,101,45,48,54,32,54,46,52,55,51,54,55,101,45,48,54,32,55,46,49,57,
      57,56,51,101,45,48,54,10,32,32,55,46,57,56,54,55,101,45,48,54,32,56,46,56,55,
      50,50,54,101,45,48,54,32,57,46,55,49,57,57,50,101,45,48,54,32,49,46,48,54,51,
      52,50,101,45,48,53,32,49,46,49,55,53,49,56,101,45,48,53,32,49,46,50,57,50,52,
      57,101,45,48,53,32,49,46,51,56,49,50,56,101,45,48,53,10,32,32,49,46,52,57,48,
      54,55,101,45,48,53,32,49,46,54,49,54,48,55,101,45,48,53,32,49,46,55,51,53,50,
      101,45,48,53,32,49,46,56,52,52,49,57,101,45,48,53,32,49,46,57,52,52,56,57,101,
      45,48,53,32,50,46,48,51,49,54,53,101,45,48,53,32,50,46,49,50,51,53,49,101,45,
      48,53,10,32,32,50,46,50,52,56,56,51,101,45,48,53,32,50,46,52,52,49,50,53,101,
      45,48,53,32,50,46,54,51,57,52,51,101,45,48,53,32,50,46,56,51,54,54,55,101,45,
      48,53,32,50,46,57,57,49,53,101,45,48,53,32,51,46,49,53,48,57,54,101,45,48,53,
      32,51,46,51,54,56,55,55,101,45,48,53,10,32,32,51,46,53,56,54,54,50,101,45,48,
      53,32,51,46,56,48,50,53,57,101,45,48,53,32,51,46,57,56,52,54,56,101,45,48,53,
      32,52,46,50,50,53,50,57,101,45,48,53,32,52,46,52,50,55,48,50,101,45,48,53,32,
      52,46,53,55,53,48,57,101,45,48,53,32,52,46,54,54,55,53,51,101,45,48,53,10,32,
      32,52,46,55,53,49,55,52,101,45,48,53,32,52,46,56,52,55,56,50,101,45,48,53,32,
      52,46,57,51,50,55,52,101,45,48,53,32,52,46,57,53,49,56,55,101,45,48,53,32,52,
      46,56,56,55,54,53,101,45,48,53,32,52,46,53,52,55,55,52,101,45,48,53,32,52,46,
      48,53,51,50,51,101,45,48,53,10,32,32,51,46,53,56,56,48,51,101,45,48,53,32,51,
      46,50,49,55,52,49,101,45,48,53,32,51,46,49,50,52,53,53,101,45,48,53,32,50,46,
      55,53,57,51,50,101,45,48,53,32,50,46,52,50,48,51,56,101,45,48,53,32,50,46,49,
      49,52,57,50,101,45,48,53,32,49,46,56,52,54,48,57,101,45,48,53,10,32,32,49,46,
      53,55,53,56,56,101,45,48,53,32,49,46,51,57,55,54,49,101,45,48,53,32,49,46,50,
      51,53,56,52,101,45,48,53,32,49,46,48,48,51,48,55,101,45,48,53,32,56,46,55,57,
      53,49,101,45,48,54,32,55,46,49,49,52,54,101,45,48,54,32,53,46,54,52,57,52,57,
      101,45,48,54,10,32,32,52,46,57,48,54,48,52,101,45,48,54,32,52,46,50,53,48,49,
      57,101,45,48,54,32,51,46,51,55,52,49,53,101,45,48,54,32,50,46,54,48,50,49,57,
      101,45,48,54,32,50,46,50,52,55,57,49,101,45,48,54,32,49,46,55,54,57,54,49,101,
      45,48,54,32,49,46,53,50,54,54,55,101,45,48,54,10,32,32,49,46,49,57,55,50,54,
      101,45,48,54,32,49,46,48,48,54,50,50,101,45,48,54,32,56,46,52,52,52,50,49,101,
      45,48,55,32,55,46,53,53,50,55,57,101,45,48,55,32,54,46,48,56,56,53,101,45,48,
      55,32,52,46,55,57,50,49,55,101,45,48,55,32,51,46,57,50,49,56,57,101,45,48,55,
      10,32,32,51,46,50,48,55,50,53,101,45,48,55,32,50,46,54,53,53,50,57,101,45,48,
      55,32,50,46,50,48,51,52,52,101,45,48,55,32,49,46,55,57,48,55,54,101,45,48,55,
      32,49,46,52,56,56,56,49,101,45,48,55,32,49,46,50,49,51,57,55,101,45,48,55,32,
      49,46,48,52,52,52,101,45,48,55,10,32,32,56,46,49,54,54,55,56,101,45,48,56,32,
      55,46,48,50,49,52,56,101,45,48,56,32,53,46,56,49,55,54,101,45,48,56,32,51,46,
      55,53,48,48,55,101,45,48,56,32,50,46,48,52,52,53,49,101,45,48,56,32,49,46,49,
      50,56,54,50,101,45,48,56,32,53,46,51,53,53,55,50,101,45,48,57,10,32,32,50,46,
      53,51,53,49,52,101,45,48,57,32,49,46,48,51,48,53,51,101,45,48,57,32,52,46,56,
      53,56,50,56,101,45,49,48,32,49,46,52,53,52,54,53,101,45,49,48,32,52,46,53,57,
      51,55,51,101,45,49,49,32,50,46,48,51,56,54,54,101,45,49,49,32,56,46,50,49,55,
      49,55,101,45,49,50,10,32,32,50,46,52,52,51,52,54,101,45,49,50,32,56,46,52,52,
      54,57,55,101,45,49,51,32,50,46,57,49,55,57,55,101,45,49,51,32,56,46,54,53,51,
      55,101,45,49,52,32,50,46,53,54,52,55,52,101,45,49,52,32,56,46,56,52,53,49,54,
      101,45,49,53,32,51,46,48,52,57,52,52,101,45,49,53,10,32,32,49,46,48,53,49,48,
      49,101,45,49,53,32,50,46,57,55,55,54,49,101,45,49,54,32,55,46,53,53,51,48,54,
      101,45,49,55,32,49,46,54,52,52,55,53,101,45,49,55,32,52,46,49,55,48,55,52,101,
      45,49,56,32,57,46,48,51,51,56,53,101,45,49,57,32,50,46,50,56,57,56,55,101,45,
      49,57,10,32,32,53,46,56,48,51,52,52,101,45,50,48,32,49,46,50,54,49,54,101,45,
      50,48,32,50,46,52,53,57,52,57,101,45,50,49,32,54,46,56,48,56,57,101,45,50,50,
      32,49,46,53,50,50,48,57,101,45,50,50,32,51,46,54,50,53,52,56,101,45,50,51,32,
      48,114,49,48,53,32,49,46,54,50,56,48,49,101,45,50,51,10,32,32,50,46,50,49,49,
      53,101,45,50,51,32,51,46,54,48,54,57,101,45,49,52,32,49,46,56,50,55,56,57,101,
      45,49,51,32,54,46,48,53,55,54,53,101,45,49,51,32,49,46,52,55,53,55,54,101,45,
      49,50,32,51,46,48,53,54,56,50,101,45,49,50,32,53,46,54,52,57,54,56,101,45,49,
      50,10,32,32,57,46,54,49,56,55,52,101,45,49,50,32,49,46,53,51,55,50,56,101,45,
      49,49,32,50,46,51,51,55,48,57,101,45,49,49,32,51,46,52,49,50,57,101,45,49,49,
      32,52,46,56,50,49,50,101,45,49,49,32,54,46,54,50,50,55,51,101,45,49,49,32,56,
      46,56,56,52,54,53,101,45,49,49,10,32,32,49,46,49,54,55,55,52,101,45,49,48,32,
      49,46,53,48,55,53,54,101,45,49,48,32,49,46,57,49,54,51,50,101,45,49,48,32,50,
      46,52,48,50,49,51,101,45,49,48,32,50,46,57,55,51,57,57,101,45,49,48,32,51,46,
      54,52,49,49,56,101,45,49,48,32,52,46,52,49,51,52,57,101,45,49,48,10,32,32,53,
      46,51,48,49,48,50,101,45,49,48,32,54,46,51,49,49,56,52,101,45,49,48,32,55,46,
      52,53,57,54,52,101,45,49,48,32,56,46,55,53,55,53,101,45,49,48,32,49,46,48,50,
      48,48,52,101,45,48,57,32,49,46,49,56,48,53,50,101,45,48,57,32,49,46,51,53,56,
      55,50,101,45,48,57,10,32,32,49,46,53,53,52,48,54,101,45,48,57,32,49,46,55,54,
      55,48,50,101,45,48,57,32,50,46,48,48,48,50,52,101,45,48,57,32,50,46,50,53,50,
      51,49,101,45,48,57,32,50,46,53,50,49,101,45,48,57,32,50,46,56,49,49,52,54,101,
      45,48,57,32,51,46,49,50,50,53,52,101,45,48,57,10,32,32,51,46,52,52,53,53,49,
      101,45,48,57,32,51,46,55,57,48,55,52,101,45,48,57,32,52,46,49,53,56,57,52,101,
      45,48,57,32,52,46,53,51,48,57,101,45,48,57,32,52,46,57,50,52,54,51,101,45,48,
      57,32,53,46,51,52,48,55,56,101,45,48,57,32,53,46,55,53,56,51,53,101,45,48,57,
      10,32,32,54,46,49,57,50,56,57,101,45,48,57,32,54,46,54,52,56,55,56,101,45,48,
      57,32,55,46,49,48,54,56,56,101,45,48,57,32,55,46,53,55,53,56,52,101,45,48,57,
      32,56,46,48,54,53,49,57,101,45,48,57,32,56,46,53,54,48,55,50,101,45,48,57,32,
      57,46,48,54,49,57,49,101,45,48,57,10,32,32,57,46,53,56,51,48,53,101,45,48,57,
      32,49,46,48,49,49,53,52,101,45,48,56,32,49,46,48,54,53,48,50,101,45,48,56,32,
      49,46,49,50,48,52,56,101,45,48,56,32,49,46,49,55,55,53,55,101,45,48,56,32,49,
      46,50,51,52,56,52,101,45,48,56,32,49,46,50,57,52,49,51,101,45,48,56,10,32,32,
      49,46,51,53,53,52,52,101,45,48,56,32,49,46,52,49,54,57,53,101,45,48,56,32,49,
      46,52,56,48,53,49,101,45,48,56,32,49,46,53,52,54,49,55,101,45,48,56,32,49,46,
      54,49,50,51,49,101,45,48,56,32,49,46,54,56,48,51,50,101,45,48,56,32,49,46,55,
      53,48,52,52,101,45,48,56,10,32,32,49,46,56,50,49,101,45,48,56,32,49,46,56,57,
      51,48,51,101,45,48,56,32,49,46,57,54,55,49,51,101,45,48,56,32,50,46,48,52,49,
      52,101,45,48,56,32,50,46,49,49,53,57,50,101,45,48,56,32,50,46,49,57,50,54,54,
      101,45,48,56,32,50,46,50,54,57,52,53,101,45,48,56,10,32,32,50,46,51,52,52,51,
      50,101,45,48,56,32,50,46,52,50,49,52,49,101,45,48,56,32,50,46,52,57,57,48,56,
      101,45,48,56,32,50,46,53,55,49,50,57,101,45,48,56,32,50,46,54,52,53,55,56,101,
      45,48,56,32,50,46,55,50,50,52,50,101,45,48,56,32,50,46,55,56,56,55,56,101,45,
      48,56,10,32,32,50,46,56,53,55,54,52,101,45,48,56,32,50,46,57,50,56,57,54,101,
      45,48,56,32,50,46,57,56,57,51,53,101,45,48,56,32,51,46,48,53,48,49,54,101,45,
      48,56,32,51,46,49,49,51,55,55,101,45,48,56,32,51,46,49,54,55,57,49,101,45,48,
      56,32,51,46,50,49,57,54,52,101,45,48,56,10,32,32,51,46,50,55,52,54,55,101,45,
      48,56,32,51,46,51,50,51,50,54,101,45,48,56,32,51,46,51,54,54,54,50,101,45,48,
      56,32,51,46,52,49,51,56,55,101,45,48,56,32,51,46,52,53,56,53,54,101,45,48,56,
      32,51,46,52,57,53,57,50,101,45,48,56,32,51,46,53,51,55,54,54,101,45,48,56,10,
      32,32,51,46,53,56,48,54,54,101,45,48,56,32,51,46,54,49,53,53,101,45,48,56,32,
      51,46,54,53,52,57,56,101,45,48,56,32,51,46,54,57,56,54,50,101,45,48,56,32,51,
      46,55,51,52,57,49,101,45,48,56,32,51,46,55,55,53,56,54,101,45,48,56,32,51,46,
      56,50,49,49,52,101,45,48,56,10,32,32,51,46,56,54,52,49,56,101,45,48,56,32,51,
      46,57,49,48,52,49,101,45,48,56,32,51,46,57,54,48,55,55,101,45,48,56,32,52,46,
      48,49,51,48,49,101,45,48,56,32,52,46,48,54,56,50,49,101,45,48,56,32,52,46,49,
      50,55,49,101,45,48,56,32,52,46,49,57,48,55,49,101,45,48,56,10,32,32,52,46,50,
      53,56,55,101,45,48,56,32,52,46,51,50,57,57,101,45,48,56,32,52,46,52,48,54,55,
      55,101,45,48,56,32,52,46,52,57,49,51,101,45,48,56,32,52,46,53,55,56,53,51,101,
      45,48,56,32,52,46,54,55,48,56,56,101,45,48,56,32,52,46,55,55,54,51,49,101,45,
      48,56,10,32,32,52,46,56,56,52,49,54,101,45,48,56,32,52,46,57,57,52,56,54,101,
      45,48,56,32,53,46,49,50,54,50,52,101,45,48,56,32,53,46,50,54,48,50,101,45,48,
      56,32,53,46,51,57,54,55,53,101,45,48,56,32,53,46,53,53,54,51,51,101,45,48,56,
      32,53,46,55,50,50,55,101,45,48,56,10,32,32,53,46,56,57,50,53,55,101,45,48,56,
      32,54,46,48,56,53,49,56,101,45,48,56,32,54,46,50,57,49,53,101,45,48,56,32,54,
      46,53,48,51,101,45,48,56,32,54,46,55,51,53,50,51,101,45,48,56,32,54,46,57,56,
      56,56,53,101,45,48,56,32,55,46,50,53,48,54,52,101,45,48,56,10,32,32,55,46,53,
      51,48,48,53,101,45,48,56,32,55,46,56,51,54,56,57,101,45,48,56,32,56,46,49,53,
      53,55,53,101,45,48,56,32,56,46,52,57,48,49,54,101,45,48,56,32,56,46,56,53,50,
      52,54,101,45,48,56,32,57,46,50,51,48,54,52,101,45,48,56,32,57,46,54,50,53,55,
      53,101,45,48,56,10,32,32,49,46,48,48,52,48,54,101,45,48,55,32,49,46,48,52,55,
      52,53,101,45,48,55,32,49,46,48,57,50,56,53,101,45,48,55,32,49,46,49,51,57,48,
      49,101,45,48,55,32,49,46,49,56,54,57,56,101,45,48,55,32,49,46,50,51,55,48,57,
      101,45,48,55,32,49,46,50,56,55,51,51,101,45,48,55,10,32,32,49,46,51,51,56,54,
      54,101,45,48,55,32,49,46,51,57,50,48,52,101,45,48,55,32,49,46,52,52,53,54,49,
      101,45,48,55,32,49,46,52,57,57,50,53,101,45,48,55,32,49,46,53,53,52,56,49,101,
      45,48,55,32,49,46,54,49,48,57,54,101,45,48,55,32,49,46,54,54,54,51,55,101,45,
      48,55,10,32,32,49,46,55,50,51,53,101,45,48,55,32,49,46,55,56,49,56,50,101,45,
      48,55,32,49,46,56,51,57,49,57,101,45,48,55,32,49,46,56,57,56,49,55,101,45,48,
      55,32,49,46,57,53,56,55,51,101,45,48,55,32,50,46,48,49,56,54,57,101,45,48,55,
      32,50,46,48,56,48,50,50,101,45,48,55,10,32,32,50,46,49,52,51,51,101,45,48,55,
      32,50,46,50,50,56,52,55,101,45,48,55,32,50,46,52,51,54,56,49,101,45,48,55,32,
      50,46,55,55,50,48,50,101,45,48,55,32,51,46,51,57,56,54,52,101,45,48,55,32,52,
      46,48,56,53,49,56,101,45,48,55,32,52,46,55,55,50,51,53,101,45,48,55,10,32,32,
      53,46,52,48,54,54,54,101,45,48,55,32,53,46,57,55,51,55,52,101,45,48,55,32,54,
      46,52,57,52,51,56,101,45,48,55,32,55,46,48,48,49,55,56,101,45,48,55,32,55,46,
      53,50,51,56,52,101,45,48,55,32,56,46,48,56,50,50,101,45,48,55,32,56,46,54,57,
      48,51,56,101,45,48,55,10,32,32,57,46,51,53,51,52,54,101,45,48,55,32,49,46,48,
      50,51,49,50,101,45,48,54,32,49,46,49,50,48,49,50,101,45,48,54,32,49,46,50,54,
      51,52,54,101,45,48,54,32,49,46,52,50,48,57,54,101,45,48,54,32,49,46,53,57,49,
      48,57,101,45,48,54,32,49,46,56,49,55,53,53,101,45,48,54,10,32,32,50,46,48,53,
      51,49,49,101,45,48,54,32,50,46,50,56,56,51,52,101,45,48,54,32,50,46,53,53,53,
      49,57,101,45,48,54,32,50,46,55,57,55,56,52,101,45,48,54,32,51,46,48,57,48,49,
      101,45,48,54,32,51,46,51,54,57,52,101,45,48,54,32,51,46,54,53,51,55,101,45,
      48,54,10,32,32,51,46,57,57,53,56,49,101,45,48,54,32,52,46,52,49,52,55,101,45,
      48,54,32,52,46,57,48,55,48,53,101,45,48,54,32,53,46,52,53,55,55,54,101,45,48,
      54,32,54,46,48,53,55,56,56,101,45,48,54,32,54,46,55,51,55,56,54,101,45,48,54,
      32,55,46,51,57,50,55,50,101,45,48,54,10,32,32,56,46,49,48,49,101,45,48,54,32,
      56,46,57,54,55,57,53,101,45,48,54,32,57,46,56,56,50,52,49,101,45,48,54,32,49,
      46,48,53,56,50,51,101,45,48,53,32,49,46,49,52,53,56,101,45,48,53,32,49,46,50,
      52,57,48,52,101,45,48,53,32,49,46,51,53,48,51,54,101,45,48,53,10,32,32,49,46,
      52,52,54,48,50,101,45,48,53,32,49,46,53,51,54,54,55,101,45,48,53,32,49,46,54,
      49,52,55,55,101,45,48,53,32,49,46,54,57,52,52,49,101,45,48,53,32,49,46,55,57,
      56,54,53,101,45,48,53,32,49,46,57,53,52,54,51,101,45,48,53,32,50,46,49,49,51,
      56,53,101,45,48,53,10,32,32,50,46,50,55,48,57,52,101,45,48,53,32,50,46,51,57,
      51,52,52,101,45,48,53,32,50,46,53,49,55,54,49,101,45,48,53,32,50,46,54,56,52,
      48,53,101,45,48,53,32,50,46,56,52,57,49,51,101,45,48,53,32,51,46,48,49,52,48,
      55,101,45,48,53,32,51,46,49,53,53,50,57,101,45,48,53,10,32,32,51,46,51,52,53,
      48,54,101,45,48,53,32,51,46,53,48,56,53,101,45,48,53,32,51,46,54,51,52,51,54,
      101,45,48,53,32,51,46,55,49,56,54,51,101,45,48,53,32,51,46,55,57,55,48,49,101,
      45,48,53,32,51,46,56,56,51,55,56,101,45,48,53,32,51,46,57,54,51,51,49,101,45,
      48,53,10,32,32,51,46,57,57,49,53,49,101,45,48,53,32,51,46,57,53,50,49,56,101,
      45,48,53,32,51,46,55,48,54,55,52,101,45,48,53,32,51,46,51,51,51,48,52,101,45,
      48,53,32,50,46,57,55,51,52,53,101,45,48,53,32,50,46,54,56,52,48,52,101,45,48,
      53,32,50,46,54,49,52,53,55,101,45,48,53,10,32,32,50,46,51,50,51,48,55,101,45,
      48,53,32,50,46,48,52,57,51,49,101,45,48,53,32,49,46,56,48,48,48,53,101,45,48,
      53,32,49,46,53,55,56,55,56,101,45,48,53,32,49,46,51,53,52,53,53,101,45,48,53,
      32,49,46,50,48,53,53,57,101,45,48,53,32,49,46,48,54,57,54,56,101,45,48,53,10,
      32,32,56,46,55,50,56,51,51,101,45,48,54,32,55,46,54,55,54,57,101,45,48,54,32,
      54,46,50,51,56,57,50,101,45,48,54,32,52,46,57,55,55,48,57,101,45,48,54,32,52,
      46,51,51,51,53,54,101,45,48,54,32,51,46,55,54,51,56,52,101,45,48,54,32,50,46,
      57,57,57,54,50,101,45,48,54,10,32,32,50,46,51,50,50,54,55,101,45,48,54,32,50,
      46,48,49,48,55,50,101,45,48,54,32,49,46,53,56,56,48,57,101,45,48,54,32,49,46,
      51,55,50,55,49,101,45,48,54,32,49,46,48,55,57,55,49,101,45,48,54,32,57,46,48,
      50,53,50,54,101,45,48,55,32,55,46,53,54,50,55,50,101,45,48,55,10,32,32,54,46,
      55,55,48,51,53,101,45,48,55,32,53,46,52,54,54,55,101,45,48,55,32,52,46,51,49,
      48,49,54,101,45,48,55,32,51,46,53,51,50,50,49,101,45,48,55,32,50,46,56,57,50,
      51,49,101,45,48,55,32,50,46,51,57,55,51,51,101,45,48,55,32,49,46,57,57,49,53,
      56,101,45,48,55,10,32,32,49,46,54,50,48,52,57,101,45,48,55,32,49,46,51,52,56,
      53,57,101,45,48,55,32,49,46,49,48,48,56,50,101,45,48,55,32,57,46,52,55,55,54,
      53,101,45,48,56,32,55,46,52,50,48,48,52,101,45,48,56,32,54,46,51,56,51,57,54,
      101,45,48,56,32,53,46,50,57,51,57,101,45,48,56,10,32,32,51,46,52,49,56,57,51,
      101,45,48,56,32,49,46,56,54,56,52,49,101,45,48,56,32,49,46,48,51,51,53,56,101,
      45,48,56,32,52,46,57,49,54,51,57,101,45,48,57,32,50,46,51,51,50,49,55,101,45,
      48,57,32,57,46,53,48,50,49,53,101,45,49,48,32,52,46,52,56,55,51,52,101,45,49,
      48,10,32,32,49,46,51,52,54,56,57,101,45,49,48,32,52,46,50,54,50,50,56,101,45,
      49,49,32,49,46,56,57,52,48,53,101,45,49,49,32,55,46,54,52,52,54,51,101,45,49,
      50,32,50,46,50,55,54,57,56,101,45,49,50,32,55,46,56,56,50,48,54,101,45,49,51,
      32,50,46,55,50,54,49,57,101,45,49,51,10,32,32,56,46,48,57,53,50,55,101,45,49,
      52,32,50,46,52,48,50,48,56,101,45,49,52,32,56,46,50,57,50,52,56,101,45,49,53,
      32,50,46,56,54,49,54,52,101,45,49,53,32,57,46,56,55,50,48,49,101,45,49,54,32,
      50,46,56,48,49,56,50,101,45,49,54,32,55,46,49,49,53,48,51,101,45,49,55,10,32,
      32,49,46,53,53,49,49,53,101,45,49,55,32,51,46,57,51,55,50,51,101,45,49,56,32,
      56,46,53,51,54,56,57,101,45,49,57,32,50,46,49,54,53,56,49,101,45,49,57,32,53,
      46,52,57,51,53,54,101,45,50,48,32,49,46,49,57,53,49,54,101,45,50,48,32,50,46,
      51,51,50,48,55,101,45,50,49,10,32,32,54,46,52,52,54,48,53,101,45,50,50,32,49,
      46,52,52,101,45,50,50,32,51,46,52,49,49,53,51,101,45,50,51,32,48,114,49,48,
      55,32,49,46,52,52,52,54,51,101,45,49,52,32,55,46,51,50,50,48,54,101,45,49,52,
      32,50,46,52,50,55,48,49,101,45,49,51,32,53,46,57,49,52,50,49,101,45,49,51,10,
      32,32,49,46,50,50,53,52,52,101,45,49,50,32,50,46,50,54,53,55,52,101,45,49,50,
      32,51,46,56,53,57,49,54,101,45,49,50,32,54,46,49,55,48,55,49,101,45,49,50,32,
      57,46,51,56,54,50,51,101,45,49,50,32,49,46,51,55,49,53,101,45,49,49,32,49,46,
      57,51,56,54,56,101,45,49,49,10,32,32,50,46,54,54,52,57,54,101,45,49,49,32,51,
      46,53,55,55,56,49,101,45,49,49,32,52,46,55,48,54,49,56,101,45,49,49,32,54,46,
      48,56,48,56,56,101,45,49,49,32,55,46,55,51,54,54,101,45,49,49,32,57,46,55,48,
      55,49,101,45,49,49,32,49,46,50,48,51,101,45,49,48,10,32,32,49,46,52,55,52,52,
      49,101,45,49,48,32,49,46,55,56,57,48,56,101,45,49,48,32,50,46,49,53,49,50,57,
      101,45,49,48,32,50,46,53,54,52,52,55,101,45,49,48,32,51,46,48,51,51,54,54,101,
      45,49,48,32,51,46,53,54,51,57,53,101,45,49,48,32,52,46,49,53,54,53,49,101,45,
      49,48,10,32,32,52,46,56,49,54,56,54,101,45,49,48,32,53,46,53,53,49,53,57,101,
      45,49,48,32,54,46,51,53,56,53,49,101,45,49,48,32,55,46,50,51,57,57,50,101,45,
      49,48,32,56,46,50,48,55,49,56,101,45,49,48,32,57,46,50,53,52,54,49,101,45,49,
      48,32,49,46,48,51,55,51,101,45,48,57,10,32,32,49,46,49,53,56,52,51,101,45,48,
      57,32,49,46,50,56,56,52,49,101,45,48,57,32,49,46,52,50,51,53,51,101,45,48,57,
      32,49,46,53,54,56,50,49,101,45,48,57,32,49,46,55,50,50,56,101,45,48,57,32,49,
      46,56,55,57,48,51,101,45,48,57,32,50,46,48,52,52,54,55,101,45,48,57,10,32,32,
      50,46,50,50,48,50,51,101,45,48,57,32,50,46,51,57,54,49,54,101,45,48,57,32,50,
      46,53,55,57,53,49,101,45,48,57,32,50,46,55,55,50,49,55,101,45,48,57,32,50,46,
      57,54,53,53,55,101,45,48,57,32,51,46,49,54,51,54,50,101,45,48,57,32,51,46,51,
      55,48,52,55,101,45,48,57,10,32,32,51,46,53,55,57,57,101,45,48,57,32,51,46,55,
      57,49,54,54,101,45,48,57,32,52,46,48,49,50,48,50,101,45,48,57,32,52,46,50,51,
      55,49,53,101,45,48,57,32,52,46,52,54,51,49,50,101,45,48,57,32,52,46,54,57,55,
      54,52,101,45,48,57,32,52,46,57,51,57,49,53,101,45,48,57,10,32,32,53,46,49,56,
      49,50,53,101,45,48,57,32,53,46,52,51,50,101,45,48,57,32,53,46,54,57,49,53,101,
      45,48,57,32,53,46,57,53,49,53,56,101,45,48,57,32,54,46,50,50,48,53,101,45,48,
      57,32,54,46,52,57,56,52,54,101,45,48,57,32,54,46,55,55,56,51,50,101,45,48,57,
      10,32,32,55,46,48,54,53,57,53,101,45,48,57,32,55,46,51,54,50,56,52,101,45,48,
      57,32,55,46,54,54,49,52,52,101,45,48,57,32,55,46,57,54,53,55,49,101,45,48,57,
      32,56,46,50,55,57,51,57,101,45,48,57,32,56,46,53,57,51,53,53,101,45,48,57,32,
      56,46,57,48,56,52,55,101,45,48,57,10,32,32,57,46,50,51,50,57,49,101,45,48,57,
      32,57,46,53,53,55,50,54,101,45,48,57,32,57,46,56,55,50,54,54,101,45,48,57,32,
      49,46,48,49,57,55,55,101,45,48,56,32,49,46,48,53,50,52,56,101,45,48,56,32,49,
      46,48,56,50,55,51,101,45,48,56,32,49,46,49,49,51,57,54,101,45,48,56,10,32,32,
      49,46,49,52,54,49,49,101,45,48,56,32,49,46,49,55,51,54,52,101,45,48,56,32,49,
      46,50,48,50,50,53,101,45,48,56,32,49,46,50,51,49,57,51,101,45,48,56,32,49,46,
      50,53,54,55,49,101,45,48,56,32,49,46,50,56,49,54,54,101,45,48,56,32,49,46,51,
      48,55,56,51,101,45,48,56,10,32,32,49,46,51,50,57,55,56,101,45,48,56,32,49,46,
      51,53,48,54,53,101,45,48,56,32,49,46,51,55,50,57,55,101,45,48,56,32,49,46,51,
      57,50,52,53,101,45,48,56,32,49,46,52,48,57,54,50,101,45,48,56,32,49,46,52,50,
      56,53,49,101,45,48,56,32,49,46,52,52,54,50,57,101,45,48,56,10,32,32,49,46,52,
      54,48,56,54,101,45,48,56,32,49,46,52,55,55,51,56,101,45,48,56,32,49,46,52,57,
      52,52,55,101,45,48,56,32,49,46,53,48,56,48,50,101,45,48,56,32,49,46,53,50,51,
      54,51,101,45,48,56,32,49,46,53,52,48,57,53,101,45,48,56,32,49,46,53,53,53,50,
      52,101,45,48,56,10,32,32,49,46,53,55,49,53,56,101,45,48,56,32,49,46,53,56,57,
      56,49,101,45,48,56,32,49,46,54,48,55,48,49,101,45,48,56,32,49,46,54,50,53,55,
      56,101,45,48,56,32,49,46,54,52,54,51,50,101,45,48,56,32,49,46,54,54,55,55,49,
      101,45,48,56,32,49,46,54,57,48,52,101,45,48,56,10,32,32,49,46,55,49,52,55,54,
      101,45,48,56,32,49,46,55,52,49,49,50,101,45,48,56,32,49,46,55,54,57,52,101,
      45,48,56,32,49,46,55,57,57,48,55,101,45,48,56,32,49,46,56,51,49,50,101,45,48,
      56,32,49,46,56,54,54,54,53,101,45,48,56,32,49,46,57,48,51,50,55,101,45,48,56,
      10,32,32,49,46,57,52,50,49,49,101,45,48,56,32,49,46,57,56,54,53,54,101,45,48,
      56,32,50,46,48,51,50,48,57,101,45,48,56,32,50,46,48,55,56,56,54,101,45,48,56,
      32,50,46,49,51,52,53,101,45,48,56,32,50,46,49,57,49,50,56,101,45,48,56,32,50,
      46,50,52,57,50,101,45,48,56,10,32,32,50,46,51,49,55,48,49,101,45,48,56,32,50,
      46,51,56,55,55,57,101,45,48,56,32,50,46,52,54,48,49,49,101,45,48,56,32,50,46,
      53,52,50,50,52,101,45,48,56,32,50,46,54,51,48,51,52,101,45,48,56,32,50,46,55,
      50,48,55,52,101,45,48,56,32,50,46,56,50,48,49,53,101,45,48,56,10,32,32,50,46,
      57,50,56,56,57,101,45,48,56,32,51,46,48,52,49,51,52,101,45,48,56,32,51,46,49,
      54,49,55,49,101,45,48,56,32,51,46,50,57,51,57,55,101,45,48,56,32,51,46,52,51,
      49,56,50,101,45,48,56,32,51,46,53,55,54,53,55,101,45,48,56,32,51,46,55,51,51,
      55,50,101,45,48,56,10,32,32,51,46,56,57,56,49,49,101,45,48,56,32,52,46,48,55,
      48,50,56,101,45,48,56,32,52,46,50,53,49,53,101,45,48,56,32,52,46,52,52,49,53,
      55,101,45,48,56,32,52,46,54,52,48,57,56,101,45,48,56,32,52,46,56,52,52,50,50,
      101,45,48,56,32,53,46,48,53,54,48,51,101,45,48,56,10,32,32,53,46,50,55,55,57,
      53,101,45,48,56,32,53,46,53,48,48,57,51,101,45,48,56,32,53,46,55,50,57,51,56,
      101,45,48,56,32,53,46,57,54,55,55,49,101,45,48,56,32,54,46,50,48,55,51,56,101,
      45,48,56,32,54,46,52,52,55,57,52,101,45,48,56,32,54,46,54,57,55,55,57,101,45,
      48,56,10,32,32,54,46,57,53,48,57,101,45,48,56,32,55,46,50,48,49,48,56,101,45,
      48,56,32,55,46,52,53,57,55,50,101,45,48,56,32,55,46,55,50,52,52,50,101,45,48,
      56,32,55,46,57,56,53,49,52,101,45,48,56,32,56,46,50,53,51,56,53,101,45,48,56,
      32,56,46,53,51,48,53,49,101,45,48,56,10,32,32,56,46,56,48,52,55,56,101,45,48,
      56,32,57,46,48,56,54,57,51,101,45,48,56,32,57,46,51,55,54,57,53,101,45,48,56,
      32,57,46,55,54,57,52,55,101,45,48,56,32,49,46,48,55,51,53,50,101,45,48,55,32,
      49,46,50,51,48,53,54,101,45,48,55,32,49,46,53,50,57,52,57,101,45,48,55,10,32,
      32,49,46,56,54,52,49,53,101,45,48,55,32,50,46,50,48,52,48,57,101,45,48,55,32,
      50,46,53,49,56,57,56,101,45,48,55,32,50,46,55,57,56,55,50,101,45,48,55,32,51,
      46,48,53,51,54,101,45,48,55,32,51,46,51,48,49,54,52,101,45,48,55,32,51,46,53,
      53,56,53,50,101,45,48,55,10,32,32,51,46,56,51,54,53,101,45,48,55,32,52,46,49,
      52,51,51,50,101,45,48,55,32,52,46,52,56,50,55,54,101,45,48,55,32,52,46,57,51,
      57,51,55,101,45,48,55,32,53,46,52,53,51,49,49,101,45,48,55,32,54,46,50,50,56,
      55,101,45,48,55,32,55,46,49,48,50,51,53,101,45,48,55,10,32,32,56,46,48,54,57,
      54,54,101,45,48,55,32,57,46,51,57,50,56,53,101,45,48,55,32,49,46,48,56,48,56,
      57,101,45,48,54,32,49,46,50,50,53,49,49,101,45,48,54,32,49,46,51,57,48,48,52,
      101,45,48,54,32,49,46,53,51,56,51,56,101,45,48,54,32,49,46,55,49,51,51,49,101,
      45,48,54,10,32,32,49,46,56,55,56,55,101,45,48,54,32,50,46,48,52,56,56,51,101,
      45,48,54,32,50,46,50,53,57,53,52,101,45,48,54,32,50,46,53,50,55,53,54,101,45,
      48,54,32,50,46,56,53,51,56,49,101,45,48,54,32,51,46,50,50,56,56,57,101,45,48,
      54,32,51,46,54,52,56,49,53,101,45,48,54,10,32,32,52,46,49,51,50,49,52,101,45,
      48,54,32,52,46,54,48,50,48,57,101,45,48,54,32,53,46,49,48,54,49,55,101,45,48,
      54,32,53,46,55,49,49,55,54,101,45,48,54,32,54,46,51,53,57,54,54,101,45,48,54,
      32,54,46,56,55,50,57,55,101,45,48,54,32,55,46,53,52,53,57,49,101,45,48,54,10,
      32,32,56,46,51,56,55,50,101,45,48,54,32,57,46,50,53,54,52,53,101,45,48,54,32,
      49,46,48,49,48,56,50,101,45,48,53,32,49,46,48,57,51,57,54,101,45,48,53,32,49,
      46,49,54,53,55,53,101,45,48,53,32,49,46,50,51,53,55,49,101,45,48,53,32,49,46,
      51,50,49,50,51,101,45,48,53,10,32,32,49,46,52,52,50,51,53,101,45,48,53,32,49,
      46,53,54,51,51,56,101,45,48,53,32,49,46,54,56,50,49,54,101,45,48,53,32,49,46,
      55,55,53,48,49,101,45,48,53,32,49,46,56,54,56,49,52,101,45,48,53,32,49,46,57,
      57,48,50,51,101,45,48,53,32,50,46,49,48,56,57,56,101,45,48,53,10,32,32,50,46,
      50,50,55,49,54,101,45,48,53,32,50,46,51,50,57,50,57,101,45,48,53,32,50,46,52,
      54,56,53,101,45,48,53,32,50,46,53,57,49,53,50,101,45,48,53,32,50,46,54,57,48,
      56,54,101,45,48,53,32,50,46,55,54,49,57,55,101,45,48,53,32,50,46,56,50,57,54,
      50,101,45,48,53,10,32,32,50,46,57,48,50,56,53,101,45,48,53,32,50,46,57,55,50,
      51,57,101,45,48,53,32,51,46,48,48,52,57,53,101,45,48,53,32,50,46,57,56,54,54,
      49,101,45,48,53,32,50,46,56,50,56,53,49,101,45,48,53,32,50,46,53,55,49,52,55,
      101,45,48,53,32,50,46,51,49,54,53,101,45,48,53,10,32,32,50,46,49,48,56,54,56,
      101,45,48,53,32,50,46,48,54,50,49,50,101,45,48,53,32,49,46,56,52,54,53,57,101,
      45,48,53,32,49,46,54,52,48,57,52,101,45,48,53,32,49,46,52,53,49,49,54,101,45,
      48,53,32,49,46,50,56,48,55,52,101,45,48,53,32,49,46,49,48,54,49,101,45,48,53,
      10,32,32,57,46,56,57,48,49,54,101,45,48,54,32,56,46,56,49,52,50,55,101,45,48,
      54,32,55,46,50,52,50,53,49,101,45,48,54,32,54,46,51,57,54,48,54,101,45,48,54,
      32,53,46,50,50,57,56,57,101,45,48,54,32,52,46,49,57,55,54,53,101,45,48,54,32,
      51,46,54,54,55,54,55,101,45,48,54,10,32,32,51,46,49,57,54,50,57,101,45,48,54,
      32,50,46,53,54,48,51,54,101,45,48,54,32,49,46,57,57,51,49,52,101,45,48,54,32,
      49,46,55,51,48,51,51,101,45,48,54,32,49,46,51,55,50,54,52,101,45,48,54,32,49,
      46,49,56,57,53,49,101,45,48,54,32,57,46,51,57,51,49,49,101,45,48,55,10,32,32,
      55,46,56,49,51,54,101,45,48,55,32,54,46,53,50,54,53,57,101,45,48,55,32,53,46,
      56,52,57,55,101,45,48,55,32,52,46,55,51,51,54,56,101,45,48,55,32,51,46,55,52,
      48,56,101,45,48,55,32,51,46,48,55,49,50,101,45,48,55,32,50,46,53,49,57,50,51,
      101,45,48,55,10,32,32,50,46,48,57,49,51,56,101,45,48,55,32,49,46,55,52,101,
      45,48,55,32,49,46,52,49,56,48,50,101,45,48,55,32,49,46,49,56,49,55,101,45,48,
      55,32,57,46,54,53,57,54,57,101,45,48,56,32,56,46,51,50,53,49,54,101,45,48,56,
      32,54,46,53,50,56,49,57,101,45,48,56,10,32,32,53,46,54,50,49,57,54,101,45,48,
      56,32,52,46,54,54,55,51,52,101,45,48,56,32,51,46,48,50,49,56,55,101,45,48,56,
      32,49,46,54,53,54,54,55,101,45,48,56,32,57,46,49,57,48,50,54,101,45,48,57,32,
      52,46,51,56,53,52,53,101,45,48,57,32,50,46,48,56,54,51,50,101,45,48,57,10,32,
      32,56,46,53,50,54,55,56,101,45,49,48,32,52,46,48,51,54,50,49,101,45,49,48,32,
      49,46,50,49,53,53,55,101,45,49,48,32,51,46,56,53,55,54,51,101,45,49,49,32,49,
      46,55,49,55,51,54,101,45,49,49,32,54,46,57,52,52,54,50,101,45,49,50,32,50,46,
      48,55,51,50,49,101,45,49,50,10,32,32,55,46,49,56,57,54,53,101,45,49,51,32,50,
      46,52,57,48,56,54,101,45,49,51,32,55,46,52,48,57,50,54,101,45,49,52,32,50,46,
      50,48,50,48,49,101,45,49,52,32,55,46,54,49,49,54,101,45,49,53,32,50,46,54,50,
      57,56,56,101,45,49,53,32,57,46,48,56,50,56,54,101,45,49,54,10,32,32,50,46,53,
      56,51,53,101,45,49,54,32,54,46,53,54,57,50,57,101,45,49,55,32,49,46,52,51,52,
      49,52,101,45,49,55,32,51,46,54,52,52,54,53,101,45,49,56,32,55,46,57,49,50,55,
      49,101,45,49,57,32,50,46,48,48,57,53,50,101,45,49,57,32,53,46,49,48,49,55,54,
      101,45,50,48,10,32,32,49,46,49,49,49,55,56,101,45,50,48,32,50,46,49,54,57,57,
      54,101,45,50,49,32,54,46,48,55,54,48,52,101,45,50,50,32,49,46,51,51,53,57,101,
      45,50,50,32,51,46,49,52,54,57,49,101,45,50,51,32,48,114,49,48,55,32,52,46,56,
      53,57,56,101,45,49,53,32,50,46,52,54,51,53,57,101,45,49,52,10,32,32,56,46,49,
      54,55,55,52,101,45,49,52,32,49,46,57,57,48,57,51,101,45,49,51,32,52,46,49,50,
      54,55,52,101,45,49,51,32,55,46,54,51,51,50,56,101,45,49,51,32,49,46,51,48,48,
      55,57,101,45,49,50,32,50,46,48,56,49,49,49,101,45,49,50,32,51,46,49,54,55,53,
      51,101,45,49,50,10,32,32,52,46,54,51,49,53,50,101,45,49,50,32,54,46,53,53,49,
      55,54,101,45,49,50,32,57,46,48,49,51,52,54,101,45,49,50,32,49,46,50,49,49,49,
      52,101,45,49,49,32,49,46,53,57,52,53,57,101,45,49,49,32,50,46,48,54,50,52,49,
      101,45,49,49,32,50,46,54,50,54,55,101,45,49,49,10,32,32,51,46,50,57,57,51,53,
      101,45,49,49,32,52,46,48,57,51,54,49,101,45,49,49,32,53,46,48,50,51,51,101,
      45,49,49,32,54,46,49,48,51,49,49,101,45,49,49,32,55,46,51,52,56,52,53,101,45,
      49,49,32,56,46,55,55,49,56,50,101,45,49,49,32,49,46,48,51,57,49,53,101,45,49,
      48,10,32,32,49,46,50,50,50,53,57,101,45,49,48,32,49,46,52,50,56,48,49,101,45,
      49,48,32,49,46,54,53,55,52,51,101,45,49,48,32,49,46,57,49,51,50,56,101,45,49,
      48,32,50,46,49,57,52,56,55,101,45,49,48,32,50,46,53,48,51,49,50,101,45,49,48,
      32,50,46,56,52,50,49,56,101,45,49,48,10,32,32,51,46,50,49,48,49,52,101,45,49,
      48,32,51,46,54,48,51,55,54,101,45,49,48,32,52,46,48,51,49,48,54,101,45,49,48,
      32,52,46,52,57,48,53,49,101,45,49,48,32,52,46,57,54,56,55,53,101,45,49,48,32,
      53,46,52,56,49,57,101,45,49,48,32,54,46,48,51,49,50,55,101,45,49,48,10,32,32,
      54,46,53,56,54,55,54,101,45,49,48,32,55,46,49,55,54,54,52,101,45,49,48,32,55,
      46,56,48,50,49,52,101,45,49,48,32,56,46,52,50,57,55,51,101,45,49,48,32,57,46,
      48,56,52,49,57,101,45,49,48,32,57,46,55,55,50,53,53,101,45,49,48,32,49,46,48,
      52,54,51,57,101,45,48,57,10,32,32,49,46,49,49,55,50,49,101,45,48,57,32,49,46,
      49,57,49,50,54,101,45,48,57,32,49,46,50,54,54,50,50,101,45,48,57,32,49,46,51,
      52,50,101,45,48,57,32,49,46,52,50,48,57,49,101,45,48,57,32,49,46,53,48,49,53,
      53,101,45,48,57,32,49,46,53,56,50,52,50,101,45,48,57,10,32,32,49,46,54,54,54,
      52,50,101,45,48,57,32,49,46,55,53,50,57,54,101,45,48,57,32,49,46,56,51,57,54,
      51,101,45,48,57,32,49,46,57,50,57,52,54,101,45,48,57,32,50,46,48,50,50,53,101,
      45,48,57,32,50,46,49,49,53,54,52,101,45,48,57,32,50,46,50,49,50,48,51,101,45,
      48,57,10,32,32,50,46,51,49,49,55,50,101,45,48,57,32,50,46,52,49,50,48,50,101,
      45,48,57,32,50,46,53,49,53,49,52,101,45,48,57,32,50,46,54,50,49,54,53,101,45,
      48,57,32,50,46,55,50,56,55,101,45,48,57,32,50,46,56,51,55,55,55,101,45,48,57,
      32,50,46,57,53,48,50,56,101,45,48,57,10,32,32,51,46,48,54,50,56,53,101,45,48,
      57,32,51,46,49,55,53,53,57,101,45,48,57,32,51,46,50,57,49,56,101,45,48,57,32,
      51,46,52,48,55,56,52,101,45,48,57,32,51,46,53,50,48,51,54,101,45,48,57,32,51,
      46,54,51,54,51,56,101,45,48,57,32,51,46,55,53,51,48,57,101,45,48,57,10,32,32,
      51,46,56,54,48,50,54,101,45,48,57,32,51,46,57,55,49,48,53,101,45,48,57,32,52,
      46,48,56,53,50,101,45,48,57,32,52,46,49,56,49,54,57,101,45,48,57,32,52,46,50,
      56,50,49,53,101,45,48,57,32,52,46,51,56,54,53,52,101,45,48,57,32,52,46,52,55,
      50,50,57,101,45,48,57,10,32,32,52,46,53,53,56,53,55,101,45,48,57,32,52,46,54,
      52,57,52,49,101,45,48,57,32,52,46,55,50,52,50,51,101,45,48,57,32,52,46,55,57,
      52,57,56,101,45,48,57,32,52,46,56,55,49,49,57,101,45,48,57,32,52,46,57,51,54,
      54,54,101,45,48,57,32,52,46,57,57,51,53,50,101,45,48,57,10,32,32,53,46,48,53,
      54,56,55,101,45,48,57,32,53,46,49,49,54,49,101,45,48,57,32,53,46,49,54,51,52,
      53,101,45,48,57,32,53,46,50,49,56,49,52,101,45,48,57,32,53,46,50,55,53,48,52,
      101,45,48,57,32,53,46,51,49,56,56,57,101,45,48,57,32,53,46,51,55,48,53,50,101,
      45,48,57,10,32,32,53,46,52,50,57,48,53,101,45,48,57,32,53,46,52,55,54,48,52,
      101,45,48,57,32,53,46,53,51,48,55,53,101,45,48,57,32,53,46,53,57,50,54,50,101,
      45,48,57,32,53,46,54,53,49,49,55,101,45,48,57,32,53,46,55,49,53,48,50,101,45,
      48,57,32,53,46,55,56,53,54,53,101,45,48,57,10,32,32,53,46,56,53,57,53,49,101,
      45,48,57,32,53,46,57,51,56,50,52,101,45,48,57,32,54,46,48,50,51,101,45,48,57,
      32,54,46,49,49,53,51,51,101,45,48,57,32,54,46,50,49,52,55,54,101,45,48,57,32,
      54,46,51,49,57,51,56,101,45,48,57,32,54,46,52,51,51,48,53,101,45,48,57,10,32,
      32,54,46,53,53,56,56,51,101,45,48,57,32,54,46,54,56,57,48,49,101,45,48,57,32,
      54,46,56,50,55,51,51,101,45,48,57,32,54,46,57,56,54,49,50,101,45,48,57,32,55,
      46,49,52,56,57,101,45,48,57,32,55,46,51,49,54,51,51,101,45,48,57,32,55,46,53,
      49,54,48,49,101,45,48,57,10,32,32,55,46,55,49,57,57,54,101,45,48,57,32,55,46,
      57,50,56,50,51,101,45,48,57,32,56,46,49,55,50,53,101,45,48,57,32,56,46,52,50,
      55,55,53,101,45,48,57,32,56,46,54,56,56,56,49,101,45,48,57,32,56,46,57,56,53,
      55,56,101,45,48,57,32,57,46,51,48,52,55,53,101,45,48,57,10,32,32,57,46,54,51,
      50,52,54,101,45,48,57,32,57,46,57,57,51,52,49,101,45,48,57,32,49,46,48,51,56,
      57,101,45,48,56,32,49,46,48,55,57,56,53,101,45,48,56,32,49,46,49,50,51,55,49,
      101,45,48,56,32,49,46,49,55,50,48,56,101,45,48,56,32,49,46,50,50,50,53,51,101,
      45,48,56,10,32,32,49,46,50,55,53,54,55,101,45,48,56,32,49,46,51,51,51,53,51,
      101,45,48,56,32,49,46,51,57,52,50,101,45,48,56,32,49,46,52,53,55,57,49,101,
      45,48,56,32,49,46,53,50,53,49,53,101,45,48,56,32,49,46,53,57,53,56,56,101,45,
      48,56,32,49,46,54,55,48,51,49,101,45,48,56,10,32,32,49,46,55,52,54,51,54,101,
      45,48,56,32,49,46,56,50,53,56,54,101,45,48,56,32,49,46,57,48,57,52,50,101,45,
      48,56,32,49,46,57,57,51,54,101,45,48,56,32,50,46,48,56,48,48,56,101,45,48,56,
      32,50,46,49,55,48,53,57,101,45,48,56,32,50,46,50,54,49,56,52,101,45,48,56,10,
      32,32,50,46,51,53,51,54,52,101,45,48,56,32,50,46,52,52,57,50,57,101,45,48,56,
      32,50,46,53,52,54,52,50,101,45,48,56,32,50,46,54,52,50,53,57,101,45,48,56,32,
      50,46,55,52,50,51,50,101,45,48,56,32,50,46,56,52,52,54,52,101,45,48,56,32,50,
      46,57,52,53,53,56,101,45,48,56,10,32,32,51,46,48,52,57,56,57,101,45,48,56,32,
      51,46,49,53,55,53,56,101,45,48,56,32,51,46,50,54,52,53,49,101,45,48,56,32,51,
      46,51,55,52,55,56,101,45,48,56,32,51,46,52,56,56,52,53,101,45,48,56,32,51,46,
      54,52,50,54,56,101,45,48,56,32,52,46,48,50,52,54,49,101,45,48,56,10,32,32,52,
      46,54,53,50,51,57,101,45,48,56,32,53,46,56,55,48,49,55,101,45,48,56,32,55,46,
      50,54,52,53,49,101,45,48,56,32,56,46,55,48,51,51,53,101,45,48,56,32,49,46,48,
      48,52,50,51,101,45,48,55,32,49,46,49,50,50,53,52,101,45,48,55,32,49,46,50,50,
      57,53,52,101,45,48,55,10,32,32,49,46,51,51,51,53,52,101,45,48,55,32,49,46,52,
      52,49,57,57,101,45,48,55,32,49,46,53,54,48,55,57,101,45,48,55,32,49,46,54,57,
      51,55,101,45,48,55,32,49,46,56,52,50,57,51,101,45,48,55,32,50,46,48,52,54,57,
      54,101,45,48,55,32,50,46,50,56,48,54,56,101,45,48,55,10,32,32,50,46,54,52,49,
      51,51,101,45,48,55,32,51,46,48,53,56,48,55,101,45,48,55,32,51,46,53,51,49,53,
      51,101,45,48,55,32,52,46,49,57,56,53,49,101,45,48,55,32,52,46,57,51,53,48,50,
      101,45,48,55,32,53,46,55,48,51,49,57,101,45,48,55,32,54,46,53,57,51,53,50,101,
      45,48,55,10,32,32,55,46,51,56,57,48,53,101,45,48,55,32,56,46,51,48,57,55,101,
      45,48,55,32,57,46,49,55,49,50,57,101,45,48,55,32,49,46,48,48,54,56,57,101,45,
      48,54,32,49,46,49,50,49,55,49,101,45,48,54,32,49,46,50,55,51,56,56,101,45,48,
      54,32,49,46,52,54,54,52,57,101,45,48,54,10,32,32,49,46,54,57,53,52,52,101,45,
      48,54,32,49,46,57,53,57,55,56,101,45,48,54,32,50,46,50,55,51,50,49,101,45,48,
      54,32,50,46,53,56,50,53,53,101,45,48,54,32,50,46,57,49,51,55,54,101,45,48,54,
      32,51,46,51,48,54,48,53,101,45,48,54,32,51,46,55,51,52,49,55,101,45,48,54,10,
      32,32,52,46,48,56,55,53,57,101,45,48,54,32,52,46,53,55,53,53,53,101,45,48,54,
      32,53,46,50,50,54,52,55,101,45,48,54,32,53,46,57,51,57,57,50,101,45,48,54,32,
      54,46,54,55,50,55,49,101,45,48,54,32,55,46,52,49,56,55,54,101,45,48,54,32,56,
      46,48,55,54,52,52,101,45,48,54,10,32,32,56,46,55,48,51,49,52,101,45,48,54,32,
      57,46,52,50,50,52,49,101,45,48,54,32,49,46,48,51,55,52,55,101,45,48,53,32,49,
      46,49,50,57,56,56,101,45,48,53,32,49,46,50,50,48,56,50,101,45,48,53,32,49,46,
      50,57,51,48,54,101,45,48,53,32,49,46,51,54,53,56,52,101,45,48,53,10,32,32,49,
      46,52,54,101,45,48,53,32,49,46,53,52,57,52,52,101,45,48,53,32,49,46,54,51,54,
      54,55,101,45,48,53,32,49,46,55,49,49,54,51,101,45,48,53,32,49,46,56,49,52,50,
      57,101,45,48,53,32,49,46,57,48,54,52,57,101,45,48,53,32,49,46,57,56,51,53,51,
      101,45,48,53,10,32,32,50,46,48,52,49,52,101,45,48,53,32,50,46,48,57,55,52,51,
      101,45,48,53,32,50,46,49,53,55,50,55,101,45,48,53,32,50,46,50,49,53,54,54,101,
      45,48,53,32,50,46,50,52,55,54,52,101,45,48,53,32,50,46,50,52,49,54,54,101,45,
      48,53,32,50,46,49,52,50,51,49,101,45,48,53,10,32,32,49,46,57,54,56,48,55,101,
      45,48,53,32,49,46,55,56,57,55,53,101,45,48,53,32,49,46,54,52,50,54,57,101,45,
      48,53,32,49,46,54,49,50,54,101,45,48,53,32,49,46,52,53,53,51,101,45,48,53,32,
      49,46,51,48,50,54,57,101,45,48,53,32,49,46,49,53,57,56,56,101,45,48,53,10,32,
      32,49,46,48,51,48,48,53,101,45,48,53,32,56,46,57,53,53,51,57,101,45,48,54,32,
      56,46,48,52,53,48,49,101,45,48,54,32,55,46,50,48,50,50,49,101,45,48,54,32,53,
      46,57,53,57,57,52,101,45,48,54,32,53,46,50,56,53,50,51,101,45,48,54,32,52,46,
      51,52,56,54,54,101,45,48,54,10,32,32,51,46,53,49,50,50,50,101,45,48,54,32,51,
      46,48,55,57,55,55,101,45,48,54,32,50,46,54,57,51,50,56,101,45,48,54,32,50,46,
      49,54,56,56,101,45,48,54,32,49,46,54,57,55,54,51,101,45,48,54,32,49,46,52,55,
      56,49,101,45,48,54,32,49,46,49,55,55,56,54,101,45,48,54,10,32,32,49,46,48,50,
      51,52,49,101,45,48,54,32,56,46,49,49,52,54,57,101,45,48,55,32,54,46,55,51,51,
      56,56,101,45,48,55,32,53,46,53,57,57,50,53,101,45,48,55,32,53,46,48,50,52,55,
      53,101,45,48,55,32,52,46,48,55,53,52,55,101,45,48,55,32,51,46,50,50,56,52,50,
      101,45,48,55,10,32,32,50,46,54,53,53,54,49,101,45,48,55,32,50,46,49,56,50,51,
      50,101,45,48,55,32,49,46,56,49,52,54,55,101,45,48,55,32,49,46,53,49,50,49,50,
      101,45,48,55,32,49,46,50,51,52,51,54,101,45,48,55,32,49,46,48,51,48,49,101,
      45,48,55,32,56,46,52,51,51,49,51,101,45,48,56,10,32,32,55,46,50,55,53,56,52,
      101,45,48,56,32,53,46,55,49,52,57,57,101,45,48,56,32,52,46,57,50,54,53,55,101,
      45,48,56,32,52,46,48,57,52,57,52,101,45,48,56,32,50,46,54,53,56,50,57,101,45,
      48,56,32,49,46,52,54,50,50,101,45,48,56,32,56,46,49,51,53,53,50,101,45,48,57,
      10,32,32,51,46,56,57,53,49,55,101,45,48,57,32,49,46,56,53,56,54,54,101,45,48,
      57,32,55,46,54,50,49,50,53,101,45,49,48,32,51,46,54,49,54,52,51,101,45,49,48,
      32,49,46,48,57,50,57,53,101,45,49,48,32,51,46,52,55,56,53,57,101,45,49,49,32,
      49,46,53,53,49,52,55,101,45,49,49,10,32,32,54,46,50,56,53,55,54,101,45,49,50,
      32,49,46,56,56,48,57,50,101,45,49,50,32,54,46,53,51,53,48,50,101,45,49,51,32,
      50,46,50,54,55,57,57,101,45,49,51,32,54,46,55,53,56,56,56,101,45,49,52,32,50,
      46,48,49,50,50,101,45,49,52,32,54,46,57,54,53,51,52,101,45,49,53,10,32,32,50,
      46,52,48,57,56,101,45,49,53,32,56,46,51,51,51,51,54,101,45,49,54,32,50,46,51,
      55,53,55,56,101,45,49,54,32,54,46,48,52,57,55,54,101,45,49,55,32,49,46,51,50,
      50,55,49,101,45,49,55,32,51,46,51,54,53,53,55,101,45,49,56,32,55,46,51,49,53,
      54,50,101,45,49,57,10,32,32,49,46,56,53,57,56,55,101,45,49,57,32,52,46,55,50,
      55,49,54,101,45,50,48,32,49,46,48,51,49,55,101,45,50,48,32,50,46,48,49,52,52,
      49,101,45,50,49,32,53,46,55,49,48,56,51,101,45,50,50,32,49,46,50,51,54,49,51,
      101,45,50,50,32,50,46,56,57,54,48,51,101,45,50,51,10,32,32,48,114,49,48,55,
      32,57,46,51,55,51,48,53,101,45,49,54,32,52,46,55,53,53,49,57,101,45,49,53,32,
      49,46,53,55,56,49,101,45,49,52,32,51,46,56,53,49,57,52,101,45,49,52,32,55,46,
      57,57,55,51,51,101,45,49,52,32,49,46,52,56,50,49,52,101,45,49,51,32,50,46,53,
      51,49,51,50,101,45,49,51,10,32,32,52,46,48,54,48,50,57,101,45,49,51,32,54,46,
      49,57,55,49,49,101,45,49,51,32,57,46,48,56,56,57,53,101,45,49,51,32,49,46,50,
      56,57,57,54,101,45,49,50,32,49,46,55,56,48,57,54,101,45,49,50,32,50,46,52,48,
      50,49,57,101,45,49,50,32,51,46,49,55,53,52,55,101,45,49,50,10,32,32,52,46,49,
      50,52,54,55,101,45,49,50,32,53,46,50,55,54,57,101,45,49,50,32,54,46,54,53,57,
      52,55,101,45,49,50,32,56,46,51,48,51,52,54,101,45,49,50,32,49,46,48,50,52,49,
      54,101,45,49,49,32,49,46,50,53,48,57,53,101,45,49,49,32,49,46,53,49,52,53,51,
      101,45,49,49,10,32,32,49,46,56,49,56,49,52,101,45,49,49,32,50,46,49,54,54,52,
      52,101,45,49,49,32,50,46,53,54,52,49,55,101,45,49,49,32,51,46,48,49,51,49,57,
      101,45,49,49,32,51,46,53,49,56,56,52,101,45,49,49,32,52,46,48,56,55,53,51,101,
      45,49,49,32,52,46,55,49,56,53,53,101,45,49,49,10,32,32,53,46,52,49,52,56,49,
      101,45,49,49,32,54,46,49,56,55,48,55,101,45,49,49,32,55,46,48,51,49,55,51,101,
      45,49,49,32,55,46,57,52,49,52,101,45,49,49,32,56,46,57,51,54,54,54,101,45,49,
      49,32,49,46,48,48,49,52,53,101,45,49,48,32,49,46,49,49,52,49,56,101,45,49,48,
      10,32,32,49,46,50,51,53,57,54,101,45,49,48,32,49,46,51,54,55,50,50,101,45,49,
      48,32,49,46,53,48,48,49,55,101,45,49,48,32,49,46,54,52,50,49,51,101,45,49,48,
      32,49,46,55,57,51,53,52,101,45,49,48,32,49,46,57,52,53,52,51,101,45,49,48,32,
      50,46,49,48,52,51,57,101,45,49,48,10,32,32,50,46,50,55,50,51,50,101,45,49,48,
      32,50,46,52,52,48,56,53,101,45,49,48,32,50,46,54,49,51,54,54,101,45,49,48,32,
      50,46,55,57,52,57,57,101,45,49,48,32,50,46,57,55,56,52,53,101,45,49,48,32,51,
      46,49,54,51,55,49,101,45,49,48,32,51,46,51,53,55,50,101,45,49,48,10,32,32,51,
      46,53,53,52,57,53,101,45,49,48,32,51,46,55,53,50,56,50,101,45,49,48,32,51,46,
      57,53,56,56,51,101,45,49,48,32,52,46,49,55,49,51,51,101,45,49,48,32,52,46,51,
      56,51,53,57,101,45,49,48,32,52,46,54,48,52,48,52,101,45,49,48,32,52,46,56,51,
      50,56,57,101,45,49,48,10,32,32,53,46,48,54,49,50,56,101,45,49,48,32,53,46,50,
      57,56,49,54,101,45,49,48,32,53,46,53,52,51,54,52,101,45,49,48,32,53,46,55,57,
      48,49,101,45,49,48,32,54,46,48,52,51,56,101,45,49,48,32,54,46,51,48,54,51,54,
      101,45,49,48,32,54,46,53,54,57,54,49,101,45,49,48,10,32,32,54,46,56,51,55,55,
      57,101,45,49,48,32,55,46,49,49,52,57,55,101,45,49,48,32,55,46,51,57,49,52,51,
      101,45,49,48,32,55,46,54,54,55,51,55,101,45,49,48,32,55,46,57,53,50,52,101,
      45,49,48,32,56,46,50,51,53,57,52,101,45,49,48,32,56,46,53,48,56,50,55,101,45,
      49,48,10,32,32,56,46,55,56,57,55,53,101,45,49,48,32,57,46,48,55,50,49,55,101,
      45,49,48,32,57,46,51,50,53,56,57,101,45,49,48,32,57,46,53,56,57,49,49,101,45,
      49,48,32,57,46,56,54,49,48,52,101,45,49,48,32,49,46,48,48,56,48,57,101,45,48,
      57,32,49,46,48,51,49,49,50,101,45,48,57,10,32,32,49,46,48,53,53,50,50,101,45,
      48,57,32,49,46,48,55,51,56,53,101,45,48,57,32,49,46,48,57,50,53,57,101,45,48,
      57,32,49,46,49,49,50,53,54,101,45,48,57,32,49,46,49,50,55,57,50,101,45,48,57,
      32,49,46,49,52,50,48,57,101,45,48,57,32,49,46,49,53,55,55,57,101,45,48,57,10,
      32,32,49,46,49,55,48,52,53,101,45,48,57,32,49,46,49,56,48,55,49,101,45,48,57,
      32,49,46,49,57,50,56,50,101,45,48,57,32,49,46,50,48,51,56,49,101,45,48,57,32,
      49,46,50,49,49,53,54,101,45,48,57,32,49,46,50,50,49,52,101,45,48,57,32,49,46,
      50,51,49,57,50,101,45,48,57,10,32,32,49,46,50,51,56,57,53,101,45,48,57,32,49,
      46,50,52,56,50,101,45,48,57,32,49,46,50,53,57,51,57,101,45,48,57,32,49,46,50,
      54,55,53,56,101,45,48,57,32,49,46,50,55,55,57,52,101,45,48,57,32,49,46,50,57,
      48,51,49,101,45,48,57,32,49,46,51,48,49,56,57,101,45,48,57,10,32,32,49,46,51,
      49,52,57,56,101,45,48,57,32,49,46,51,50,57,57,53,101,45,48,57,32,49,46,51,52,
      53,56,54,101,45,48,57,32,49,46,51,54,51,49,51,101,45,48,57,32,49,46,51,56,50,
      48,54,101,45,48,57,32,49,46,52,48,51,48,52,101,45,48,57,32,49,46,52,50,53,57,
      52,101,45,48,57,10,32,32,49,46,52,53,48,50,54,101,45,48,57,32,49,46,52,55,54,
      57,57,101,45,48,57,32,49,46,53,48,54,56,57,101,45,48,57,32,49,46,53,51,56,48,
      50,101,45,48,57,32,49,46,53,55,49,51,101,45,48,57,32,49,46,54,48,57,56,56,101,
      45,48,57,32,49,46,54,52,57,53,54,101,45,48,57,10,32,32,49,46,54,57,48,53,51,
      101,45,48,57,32,49,46,55,51,57,56,49,101,45,48,57,32,49,46,55,57,48,50,56,101,
      45,48,57,32,49,46,56,52,49,57,55,101,45,48,57,32,49,46,57,48,50,57,55,101,45,
      48,57,32,49,46,57,54,54,57,52,101,45,48,57,32,50,46,48,51,50,53,54,101,45,48,
      57,10,32,32,50,46,49,48,55,54,101,45,48,57,32,50,46,49,56,56,53,53,101,45,48,
      57,32,50,46,50,55,50,48,50,101,45,48,57,32,50,46,51,54,52,52,50,101,45,48,57,
      32,50,46,52,54,54,50,50,101,45,48,57,32,50,46,53,55,50,49,49,101,45,48,57,32,
      50,46,54,56,54,49,52,101,45,48,57,10,32,32,50,46,56,49,50,55,51,101,45,48,57,
      32,50,46,57,52,53,53,53,101,45,48,57,32,51,46,48,56,54,51,101,45,48,57,32,51,
      46,50,52,48,55,101,45,48,57,32,51,46,52,48,51,55,54,101,45,48,57,32,51,46,53,
      55,54,50,101,45,48,57,32,51,46,55,53,57,54,50,101,45,48,57,10,32,32,51,46,57,
      53,52,48,52,101,45,48,57,32,52,46,49,54,48,50,57,101,45,48,57,32,52,46,51,55,
      50,53,54,101,45,48,57,32,52,46,53,57,54,50,50,101,45,48,57,32,52,46,56,51,51,
      50,55,101,45,48,57,32,53,46,48,55,51,54,54,101,45,48,57,32,53,46,51,50,50,52,
      101,45,48,57,10,32,32,53,46,53,56,52,56,56,101,45,48,57,32,53,46,56,53,49,49,
      50,101,45,48,57,32,54,46,49,50,48,53,50,101,45,48,57,32,54,46,52,48,51,51,50,
      101,45,48,57,32,54,46,54,57,50,50,55,101,45,48,57,32,54,46,57,55,57,53,56,101,
      45,48,57,32,55,46,50,55,57,53,52,101,45,48,57,10,32,32,55,46,53,56,57,50,53,
      101,45,48,57,32,55,46,56,57,53,55,54,101,45,48,57,32,56,46,50,49,52,53,49,101,
      45,48,57,32,56,46,53,52,53,55,49,101,45,48,57,32,56,46,56,55,53,54,51,101,45,
      48,57,32,57,46,50,49,55,57,51,101,45,48,57,32,57,46,53,55,50,57,101,45,48,57,
      10,32,32,49,46,48,48,53,55,51,101,45,48,56,32,49,46,49,50,55,50,49,101,45,48,
      56,32,49,46,51,51,49,55,49,101,45,48,56,32,49,46,55,52,51,56,57,101,45,48,56,
      32,50,46,50,51,54,50,55,101,45,48,56,32,50,46,55,53,56,55,49,101,45,48,56,32,
      51,46,50,52,56,54,49,101,45,48,56,10,32,32,51,46,54,55,55,50,55,101,45,48,56,
      32,52,46,48,53,57,56,56,101,45,48,56,32,52,46,52,51,48,57,56,101,45,48,56,32,
      52,46,56,50,50,54,54,101,45,48,56,32,53,46,50,54,48,55,50,101,45,48,56,32,53,
      46,55,54,50,50,49,101,45,48,56,32,54,46,51,51,56,51,56,101,45,48,56,10,32,32,
      55,46,49,52,54,48,53,101,45,48,56,32,56,46,48,57,54,49,56,101,45,48,56,32,57,
      46,54,48,55,54,50,101,45,48,56,32,49,46,49,52,49,51,101,45,48,55,32,49,46,51,
      53,51,49,50,101,45,48,55,32,49,46,54,54,49,57,57,101,45,48,55,32,50,46,48,49,
      52,57,55,101,45,48,55,10,32,32,50,46,51,57,50,56,101,45,48,55,32,50,46,56,51,
      54,55,53,101,45,48,55,32,51,46,50,51,49,50,57,101,45,48,55,32,51,46,54,55,56,
      56,53,101,45,48,55,32,52,46,48,57,51,51,55,101,45,48,55,32,52,46,53,51,49,51,
      53,101,45,48,55,32,53,46,49,49,48,54,56,101,45,48,55,10,32,32,53,46,57,49,48,
      52,101,45,48,55,32,54,46,57,54,48,49,56,101,45,48,55,32,56,46,50,52,55,48,55,
      101,45,48,55,32,57,46,55,55,55,53,53,101,45,48,55,32,49,46,49,54,51,56,56,101,
      45,48,54,32,49,46,51,53,48,55,101,45,48,54,32,49,46,53,53,49,49,56,101,45,48,
      54,10,32,32,49,46,55,56,54,54,54,101,45,48,54,32,50,46,48,52,56,56,54,101,45,
      48,54,32,50,46,50,55,51,50,55,101,45,48,54,32,50,46,53,57,54,56,51,101,45,48,
      54,32,51,46,48,53,50,51,49,101,45,48,54,32,51,46,53,55,56,50,56,101,45,48,54,
      32,52,46,49,52,52,53,101,45,48,54,10,32,32,52,46,55,52,56,54,50,101,45,48,54,
      32,53,46,50,57,57,56,56,101,45,48,54,32,53,46,56,50,55,52,52,101,45,48,54,32,
      54,46,52,49,48,53,56,101,45,48,54,32,55,46,49,51,57,56,51,101,45,48,54,32,55,
      46,56,50,55,56,57,101,45,48,54,32,56,46,53,49,50,53,51,101,45,48,54,10,32,32,
      57,46,48,55,48,53,54,101,45,48,54,32,57,46,54,52,51,50,52,101,45,48,54,32,49,
      46,48,51,56,53,55,101,45,48,53,32,49,46,49,48,55,56,51,101,45,48,53,32,49,46,
      49,55,51,52,55,101,45,48,53,32,49,46,50,50,56,56,54,101,45,48,53,32,49,46,51,
      48,52,51,55,101,45,48,53,10,32,32,49,46,51,55,50,55,53,101,45,48,53,32,49,46,
      52,51,49,51,50,101,45,48,53,32,49,46,52,55,54,56,55,101,45,48,53,32,49,46,53,
      50,49,53,101,45,48,53,32,49,46,53,54,56,54,57,101,45,48,53,32,49,46,54,49,53,
      55,55,101,45,48,53,32,49,46,54,52,52,52,56,101,45,48,53,10,32,32,49,46,54,52,
      53,53,55,101,45,48,53,32,49,46,53,56,54,54,101,45,48,53,32,49,46,52,55,50,55,
      57,101,45,48,53,32,49,46,51,53,50,50,53,101,45,48,53,32,49,46,50,53,49,54,51,
      101,45,48,53,32,49,46,50,51,51,53,53,101,45,48,53,32,49,46,49,50,50,49,56,101,
      45,48,53,10,32,32,49,46,48,49,50,49,54,101,45,48,53,32,57,46,48,55,54,51,51,
      101,45,48,54,32,56,46,49,49,51,55,51,101,45,48,54,32,55,46,49,48,52,49,56,101,
      45,48,54,32,54,46,52,49,51,56,101,45,48,54,32,53,46,55,54,57,53,54,101,45,48,
      54,32,52,46,56,49,48,54,49,101,45,48,54,10,32,32,52,46,50,56,52,57,52,101,45,
      48,54,32,51,46,53,52,57,50,57,101,45,48,54,32,50,46,56,56,53,57,52,101,45,48,
      54,32,50,46,53,52,48,51,56,101,45,48,54,32,50,46,50,50,57,57,49,101,45,48,54,
      32,49,46,56,48,53,56,57,101,45,48,54,32,49,46,52,50,50,101,45,48,54,10,32,32,
      49,46,50,52,50,48,51,101,45,48,54,32,57,46,57,52,54,48,57,101,45,48,55,32,56,
      46,54,54,54,55,49,101,45,48,55,32,54,46,57,48,50,54,50,101,45,48,55,32,53,46,
      55,50,56,51,52,101,45,48,55,32,52,46,55,51,52,53,101,45,48,55,32,52,46,50,53,
      52,53,53,101,45,48,55,10,32,32,51,46,52,53,57,53,52,101,45,48,55,32,50,46,55,
      52,55,56,101,45,48,55,32,50,46,50,54,53,48,52,101,45,48,55,32,49,46,56,54,53,
      49,50,101,45,48,55,32,49,46,53,53,51,55,51,101,45,48,55,32,49,46,50,57,54,57,
      49,101,45,48,55,32,49,46,48,54,48,54,49,101,45,48,55,10,32,32,56,46,56,54,52,
      56,53,101,45,48,56,32,55,46,50,54,57,52,50,101,45,48,56,32,54,46,50,55,57,50,
      49,101,45,48,56,32,52,46,57,52,49,51,101,45,48,56,32,52,46,50,54,52,50,55,101,
      45,48,56,32,51,46,53,52,57,49,49,101,45,48,56,32,50,46,51,49,48,54,57,101,45,
      48,56,10,32,32,49,46,50,55,53,55,101,45,48,56,32,55,46,49,50,49,49,101,45,48,
      57,32,51,46,52,50,50,49,101,45,48,57,32,49,46,54,51,56,51,53,101,45,48,57,32,
      54,46,55,52,49,56,50,101,45,49,48,32,51,46,50,48,55,54,56,101,45,49,48,32,57,
      46,55,51,49,52,57,101,45,49,49,10,32,32,51,46,49,48,55,51,55,101,45,49,49,32,
      49,46,51,56,56,55,57,101,45,49,49,32,53,46,54,51,56,55,101,45,49,50,32,49,46,
      54,57,49,54,56,101,45,49,50,32,53,46,56,56,57,56,50,101,45,49,51,32,50,46,48,
      52,55,57,55,101,45,49,51,32,54,46,49,49,53,52,51,101,45,49,52,10,32,32,49,46,
      56,50,51,57,50,101,45,49,52,32,54,46,51,50,50,56,51,101,45,49,53,32,50,46,49,
      57,48,52,57,101,45,49,53,32,55,46,53,56,52,54,57,101,45,49,54,32,50,46,49,54,
      55,52,101,45,49,54,32,53,46,53,50,55,52,55,101,45,49,55,32,49,46,50,49,48,52,
      101,45,49,55,10,32,32,51,46,48,56,51,57,51,101,45,49,56,32,54,46,55,49,51,53,
      55,101,45,49,57,32,49,46,55,48,56,57,57,101,45,49,57,32,52,46,51,52,57,52,101,
      45,50,48,32,57,46,53,48,51,57,51,101,45,50,49,32,49,46,56,53,55,54,55,101,45,
      50,49,32,53,46,50,55,49,55,51,101,45,50,50,10,32,32,49,46,49,56,52,48,55,101,
      45,50,50,32,51,46,49,53,48,48,49,101,45,50,51,32,48,114,49,48,55,32,50,46,53,
      55,51,51,56,101,45,49,54,32,49,46,51,48,54,50,53,101,45,49,53,32,52,46,51,51,
      55,57,53,101,45,49,53,32,49,46,48,53,57,56,101,45,49,52,32,50,46,50,48,50,55,
      53,101,45,49,52,10,32,32,52,46,48,56,55,54,49,101,45,49,52,32,54,46,57,57,49,
      53,56,101,45,49,52,32,49,46,49,50,52,52,57,101,45,49,51,32,49,46,55,49,57,56,
      53,101,45,49,51,32,50,46,53,50,56,49,55,101,45,49,51,32,51,46,53,57,54,57,56,
      101,45,49,51,32,52,46,57,55,57,50,52,101,45,49,51,10,32,32,54,46,55,51,53,48,
      57,101,45,49,51,32,56,46,57,50,57,55,54,101,45,49,51,32,49,46,49,54,51,53,54,
      101,45,49,50,32,49,46,52,57,51,53,52,101,45,49,50,32,49,46,56,57,49,51,54,101,
      45,49,50,32,50,46,51,54,54,55,55,101,45,49,50,32,50,46,57,51,48,48,57,101,45,
      49,50,10,32,32,51,46,53,57,50,55,52,101,45,49,50,32,52,46,51,54,55,48,53,101,
      45,49,50,32,53,46,50,54,51,55,55,101,45,49,50,32,54,46,50,57,56,53,51,101,45,
      49,50,32,55,46,52,56,54,53,55,101,45,49,50,32,56,46,56,51,53,50,52,101,45,49,
      50,32,49,46,48,51,54,50,53,101,45,49,49,10,32,32,49,46,50,48,57,48,49,101,45,
      49,49,32,49,46,52,48,49,55,52,101,45,49,49,32,49,46,54,49,53,53,49,101,45,49,
      49,32,49,46,56,53,51,57,51,101,45,49,49,32,50,46,49,49,54,48,52,101,45,49,49,
      32,50,46,51,57,57,53,55,101,45,49,49,32,50,46,55,49,49,51,54,101,45,49,49,10,
      32,32,51,46,48,53,48,54,101,45,49,49,32,51,46,52,48,54,52,55,101,45,49,49,32,
      51,46,55,57,50,54,52,101,45,49,49,32,52,46,50,49,48,54,56,101,45,49,49,32,52,
      46,54,51,52,53,53,101,45,49,49,32,53,46,48,56,56,56,51,101,45,49,49,32,53,46,
      53,55,53,48,51,101,45,49,49,10,32,32,54,46,48,54,50,56,54,101,45,49,49,32,54,
      46,53,55,52,53,55,101,45,49,49,32,55,46,49,49,54,54,56,101,45,49,49,32,55,46,
      54,54,48,52,57,101,45,49,49,32,56,46,50,49,56,53,53,101,45,49,49,32,56,46,56,
      48,53,52,49,101,45,49,49,32,57,46,51,57,57,101,45,49,49,10,32,32,57,46,57,57,
      56,48,57,101,45,49,49,32,49,46,48,54,50,52,57,101,45,49,48,32,49,46,49,50,54,
      53,55,101,45,49,48,32,49,46,49,57,48,53,57,101,45,49,48,32,49,46,50,53,55,51,
      53,101,45,49,48,32,49,46,51,50,54,50,55,101,45,49,48,32,49,46,51,57,53,101,
      45,49,48,10,32,32,49,46,52,54,54,52,56,101,45,49,48,32,49,46,53,52,48,55,56,
      101,45,49,48,32,49,46,54,49,52,56,101,45,49,48,32,49,46,54,57,49,54,55,101,
      45,49,48,32,49,46,55,55,49,52,52,101,45,49,48,32,49,46,56,53,49,52,49,101,45,
      49,48,32,49,46,57,51,51,56,101,45,49,48,10,32,32,50,46,48,49,57,49,56,101,45,
      49,48,32,50,46,49,48,52,54,53,101,45,49,48,32,50,46,49,57,49,55,49,101,45,49,
      48,32,50,46,50,56,49,56,101,45,49,48,32,50,46,51,55,49,52,56,101,45,49,48,32,
      50,46,52,54,48,56,49,101,45,49,48,32,50,46,53,53,51,49,57,101,45,49,48,10,32,
      32,50,46,54,52,52,56,56,101,45,49,48,32,50,46,55,51,50,52,101,45,49,48,32,50,
      46,56,50,51,101,45,49,48,32,50,46,57,49,51,55,53,101,45,49,48,32,50,46,57,57,
      52,49,50,101,45,49,48,32,51,46,48,55,55,54,57,101,45,49,48,32,51,46,49,54,52,
      49,55,101,45,49,48,10,32,32,51,46,50,51,49,57,56,101,45,49,48,32,51,46,51,48,
      51,51,56,101,45,49,48,32,51,46,51,55,56,51,54,101,45,49,48,32,51,46,52,51,51,
      56,56,101,45,49,48,32,51,46,52,56,57,54,54,101,45,49,48,32,51,46,53,52,57,55,
      101,45,49,48,32,51,46,53,57,51,51,57,101,45,49,48,10,32,32,51,46,54,51,50,57,
      101,45,49,48,32,51,46,54,55,55,55,53,101,45,49,48,32,51,46,55,49,49,57,51,101,
      45,49,48,32,51,46,55,51,55,55,57,101,45,49,48,32,51,46,55,55,48,49,51,101,45,
      49,48,32,51,46,55,57,56,54,55,101,45,49,48,32,51,46,56,49,54,49,101,45,49,48,
      10,32,32,51,46,56,52,48,57,50,101,45,49,48,32,51,46,56,54,56,49,56,101,45,49,
      48,32,51,46,56,56,51,54,51,101,45,49,48,32,51,46,57,48,54,56,54,101,45,49,48,
      32,51,46,57,51,54,57,50,101,45,49,48,32,51,46,57,53,54,57,52,101,45,49,48,32,
      51,46,57,56,52,53,54,101,45,49,48,10,32,32,52,46,48,49,57,49,53,101,45,49,48,
      32,52,46,48,53,49,51,101,45,49,48,32,52,46,48,56,56,55,52,101,45,49,48,32,52,
      46,49,51,50,54,55,101,45,49,48,32,52,46,49,55,57,57,55,101,45,49,48,32,52,46,
      50,51,50,48,52,101,45,49,48,32,52,46,50,56,57,56,50,101,45,49,48,10,32,32,52,
      46,51,53,52,54,101,45,49,48,32,52,46,52,50,53,57,56,101,45,49,48,32,52,46,53,
      48,50,50,51,101,45,49,48,32,52,46,53,56,54,54,54,101,45,49,48,32,52,46,54,56,
      49,55,56,101,45,49,48,32,52,46,55,56,49,49,50,101,45,49,48,32,52,46,56,56,55,
      55,55,101,45,49,48,10,32,32,53,46,48,49,50,49,49,101,45,49,48,32,53,46,49,52,
      48,50,57,101,45,49,48,32,53,46,50,55,50,57,50,101,45,49,48,32,53,46,52,51,51,
      49,55,101,45,49,48,32,53,46,53,57,55,54,51,101,45,49,48,32,53,46,55,54,54,51,
      55,101,45,49,48,32,53,46,57,54,54,49,52,101,45,49,48,10,32,32,54,46,49,55,54,
      49,50,101,45,49,48,32,54,46,51,57,49,57,101,45,49,48,32,54,46,54,51,57,51,54,
      101,45,49,48,32,54,46,57,48,54,57,54,101,45,49,48,32,55,46,49,56,51,53,49,101,
      45,49,48,32,55,46,52,57,48,53,49,101,45,49,48,32,55,46,56,50,57,55,53,101,45,
      49,48,10,32,32,56,46,49,56,51,54,101,45,49,48,32,56,46,53,54,53,56,56,101,45,
      49,48,32,56,46,57,57,49,55,54,101,45,49,48,32,57,46,52,52,48,49,55,101,45,49,
      48,32,57,46,57,49,55,48,54,101,45,49,48,32,49,46,48,52,52,50,52,101,45,48,57,
      32,49,46,48,57,57,57,52,101,45,48,57,10,32,32,49,46,49,53,57,48,57,101,45,48,
      57,32,49,46,50,50,50,50,55,101,45,48,57,32,49,46,50,56,57,53,53,101,45,48,57,
      32,49,46,51,54,49,50,53,101,45,48,57,32,49,46,52,51,53,51,53,101,45,48,57,32,
      49,46,53,49,51,55,55,101,45,48,57,32,49,46,53,57,55,50,56,101,45,48,57,10,32,
      32,49,46,54,56,50,50,57,101,45,48,57,32,49,46,55,55,48,54,50,101,45,48,57,32,
      49,46,56,54,52,50,54,101,45,48,57,32,49,46,57,53,57,53,56,101,45,48,57,32,50,
      46,48,53,54,51,54,101,45,48,57,32,50,46,49,53,56,51,56,101,45,48,57,32,50,46,
      50,54,50,57,57,101,45,48,57,10,32,32,50,46,51,54,55,50,55,101,45,48,57,32,50,
      46,52,55,54,53,55,101,45,48,57,32,50,46,53,56,57,56,51,101,45,48,57,32,50,46,
      55,48,50,49,52,101,45,48,57,32,50,46,56,49,57,51,54,101,45,48,57,32,50,46,57,
      52,49,53,57,101,45,48,57,32,51,46,48,54,51,54,49,101,45,48,57,10,32,32,51,46,
      49,57,48,54,51,101,45,48,57,32,51,46,51,50,50,56,101,45,48,57,32,51,46,53,48,
      51,55,53,101,45,48,57,32,51,46,57,54,48,57,54,101,45,48,57,32,52,46,55,52,48,
      56,56,101,45,48,57,32,54,46,51,52,55,54,49,101,45,48,57,32,56,46,51,49,52,54,
      57,101,45,48,57,10,32,32,49,46,48,52,51,56,51,101,45,48,56,32,49,46,50,52,52,
      50,54,101,45,48,56,32,49,46,52,49,56,57,57,101,45,48,56,32,49,46,53,55,51,57,
      53,101,45,48,56,32,49,46,55,50,52,49,52,101,45,48,56,32,49,46,56,56,51,56,49,
      101,45,48,56,32,50,46,48,54,52,53,51,101,45,48,56,10,32,32,50,46,50,55,52,49,
      101,45,48,56,32,50,46,53,49,56,48,51,101,45,48,56,32,50,46,56,54,52,56,55,101,
      45,48,56,32,51,46,50,55,57,49,56,101,45,48,56,32,51,46,57,53,48,55,101,45,48,
      56,32,52,46,55,54,57,51,52,101,45,48,56,32,53,46,55,53,48,49,56,101,45,48,56,
      10,32,32,55,46,50,49,52,51,51,101,45,48,56,32,56,46,57,50,57,49,55,101,45,48,
      56,32,49,46,48,56,48,49,55,101,45,48,55,32,49,46,51,48,51,49,101,45,48,55,32,
      49,46,53,48,49,50,55,101,45,48,55,32,49,46,55,50,51,55,54,101,45,48,55,32,49,
      46,57,50,56,54,55,101,45,48,55,10,32,32,50,46,49,52,55,52,51,101,45,48,55,32,
      50,46,52,52,51,53,51,101,45,48,55,32,50,46,56,54,51,54,101,45,48,55,32,51,46,
      52,50,57,53,51,101,45,48,55,32,52,46,49,51,57,56,52,101,45,48,55,32,53,46,48,
      48,52,56,51,101,45,48,55,32,54,46,48,55,57,54,57,101,45,48,55,10,32,32,55,46,
      49,55,54,48,56,101,45,48,55,32,56,46,51,53,57,55,101,45,48,55,32,57,46,55,52,
      56,48,53,101,45,48,55,32,49,46,49,51,50,48,53,101,45,48,54,32,49,46,50,55,48,
      51,53,101,45,48,54,32,49,46,52,55,54,49,49,101,45,48,54,32,49,46,55,55,55,55,
      101,45,48,54,10,32,32,50,46,49,52,48,56,55,101,45,48,54,32,50,46,53,52,56,48,
      52,101,45,48,54,32,51,46,48,48,49,51,49,101,45,48,54,32,51,46,52,51,48,48,49,
      101,45,48,54,32,51,46,56,52,55,52,57,101,45,48,54,32,52,46,51,48,49,57,51,101,
      45,48,54,32,52,46,56,52,57,49,52,101,45,48,54,10,32,32,53,46,51,53,52,57,101,
      45,48,54,32,53,46,56,54,54,50,53,101,45,48,54,32,54,46,50,57,52,56,52,101,45,
      48,54,32,54,46,55,52,54,48,57,101,45,48,54,32,55,46,51,51,57,57,54,101,45,48,
      54,32,55,46,56,57,49,52,54,101,45,48,54,32,56,46,52,48,49,54,52,101,45,48,54,
      10,32,32,56,46,56,50,50,55,57,101,45,48,54,32,57,46,51,57,49,53,52,101,45,48,
      54,32,57,46,57,48,55,52,55,101,45,48,54,32,49,46,48,51,53,54,51,101,45,48,53,
      32,49,46,48,55,49,51,49,101,45,48,53,32,49,46,49,48,54,52,53,101,45,48,53,32,
      49,46,49,52,51,50,54,101,45,48,53,10,32,32,49,46,49,56,48,53,57,101,45,48,53,
      32,49,46,50,48,53,48,56,101,45,48,53,32,49,46,50,48,57,52,54,101,45,48,53,32,
      49,46,49,55,53,52,56,101,45,48,53,32,49,46,49,48,49,54,50,101,45,48,53,32,49,
      46,48,50,48,53,51,101,45,48,53,32,57,46,53,50,49,50,55,101,45,48,54,10,32,32,
      57,46,52,49,56,55,56,101,45,48,54,32,56,46,54,51,52,51,52,101,45,48,54,32,55,
      46,56,52,52,56,56,101,45,48,54,32,55,46,48,56,51,49,56,101,45,48,54,32,54,46,
      51,55,50,53,101,45,48,54,32,53,46,54,49,56,101,45,48,54,32,53,46,48,57,54,56,
      49,101,45,48,54,10,32,32,52,46,54,48,54,53,53,101,45,48,54,32,51,46,56,54,57,
      55,49,101,45,48,54,32,51,46,52,54,50,48,53,101,45,48,54,32,50,46,56,56,54,55,
      52,101,45,48,54,32,50,46,51,54,50,57,101,45,48,54,32,50,46,48,56,55,57,54,101,
      45,48,54,32,49,46,56,51,57,54,52,101,45,48,54,10,32,32,49,46,52,57,56,51,101,
      45,48,54,32,49,46,49,56,54,56,52,101,45,48,54,32,49,46,48,51,57,57,51,101,45,
      48,54,32,56,46,51,54,56,55,50,101,45,48,55,32,55,46,51,49,51,50,54,101,45,48,
      55,32,53,46,56,53,48,55,54,101,45,48,55,32,52,46,56,54,50,52,101,45,48,55,10,
      32,32,51,46,57,57,53,51,55,101,45,48,55,32,51,46,53,57,53,51,54,101,45,48,55,
      32,50,46,57,51,49,48,56,101,45,48,55,32,50,46,51,51,52,51,56,101,45,48,55,32,
      49,46,57,50,56,52,101,45,48,55,32,49,46,53,57,49,50,101,45,48,55,32,49,46,51,
      50,55,57,56,101,45,48,55,10,32,32,49,46,49,49,48,52,50,101,45,48,55,32,57,46,
      48,57,56,48,52,101,45,48,56,32,55,46,54,49,54,53,50,101,45,48,56,32,54,46,50,
      53,54,51,55,101,45,48,56,32,53,46,52,49,48,54,55,101,45,48,56,32,52,46,50,54,
      53,56,54,101,45,48,56,32,51,46,54,56,53,53,101,45,48,56,10,32,32,51,46,48,55,
      49,53,53,101,45,48,56,32,50,46,48,48,53,55,50,101,45,48,56,32,49,46,49,49,49,
      52,57,101,45,48,56,32,54,46,50,50,53,49,50,101,45,48,57,32,51,46,48,48,50,55,
      56,101,45,48,57,32,49,46,52,52,50,52,55,101,45,48,57,32,53,46,57,53,55,51,56,
      101,45,49,48,10,32,32,50,46,56,52,50,50,53,101,45,49,48,32,56,46,54,53,54,56,
      52,101,45,49,49,32,50,46,55,55,51,51,53,101,45,49,49,32,49,46,50,52,50,48,57,
      101,45,49,49,32,53,46,48,53,51,57,51,101,45,49,50,32,49,46,53,50,48,49,56,101,
      45,49,50,32,53,46,51,48,51,54,52,101,45,49,51,10,32,32,49,46,56,52,55,54,56,
      101,45,49,51,32,53,46,53,50,56,53,52,101,45,49,52,32,49,46,54,53,50,101,45,
      49,52,32,53,46,55,51,53,55,101,45,49,53,32,49,46,57,56,57,57,56,101,45,49,53,
      32,54,46,56,57,57,56,51,101,45,49,54,32,49,46,57,55,54,52,101,45,49,54,10,32,
      32,53,46,48,52,56,49,50,101,45,49,55,32,49,46,49,48,55,49,57,101,45,49,55,32,
      50,46,56,50,52,53,52,101,45,49,56,32,54,46,49,53,55,51,52,101,45,49,57,32,49,
      46,53,54,57,50,52,101,45,49,57,32,51,46,57,57,55,57,56,101,45,50,48,32,56,46,
      55,52,53,54,57,101,45,50,49,10,32,32,49,46,55,49,48,55,57,101,45,50,49,32,52,
      46,56,53,56,57,50,101,45,50,50,32,49,46,48,56,55,55,101,45,50,50,32,50,46,56,
      57,50,49,53,101,45,50,51,32,51,46,49,56,55,54,101,45,50,52,32,48,114,49,48,
      54,32,49,46,57,48,48,52,50,101,45,49,56,32,49,46,54,51,50,56,57,101,45,49,55,
      10,32,32,55,46,53,56,51,54,52,101,45,49,55,32,50,46,52,53,57,57,56,101,45,49,
      54,32,54,46,52,51,53,57,55,101,45,49,54,32,49,46,52,52,56,51,50,101,45,49,53,
      32,50,46,57,50,52,53,57,101,45,49,53,32,53,46,53,57,53,50,52,101,45,49,53,32,
      57,46,55,53,52,51,101,45,49,53,10,32,32,49,46,54,49,50,54,52,101,45,49,52,32,
      50,46,53,53,50,52,56,101,45,49,52,32,51,46,56,57,52,54,57,101,45,49,52,32,53,
      46,55,53,56,56,57,101,45,49,52,32,56,46,50,56,56,57,101,45,49,52,32,49,46,49,
      54,53,51,49,101,45,49,51,32,49,46,54,48,53,51,50,101,45,49,51,10,32,32,50,46,
      49,55,49,50,54,101,45,49,51,32,50,46,56,56,57,51,49,101,45,49,51,32,51,46,55,
      56,57,48,52,101,45,49,51,32,52,46,57,48,51,57,101,45,49,51,32,54,46,50,55,49,
      51,55,101,45,49,51,32,55,46,57,50,55,55,50,101,45,49,51,32,57,46,57,50,52,55,
      49,101,45,49,51,10,32,32,49,46,50,51,48,55,50,101,45,49,50,32,49,46,53,49,49,
      48,53,101,45,49,50,32,49,46,56,51,57,52,51,101,45,49,50,32,50,46,50,50,51,48,
      57,101,45,49,50,32,50,46,54,54,51,52,50,101,45,49,50,32,51,46,49,54,52,55,54,
      101,45,49,50,32,51,46,55,51,56,55,101,45,49,50,10,32,32,52,46,51,56,51,57,55,
      101,45,49,50,32,53,46,48,57,52,57,54,101,45,49,50,32,53,46,56,57,51,49,56,101,
      45,49,50,32,54,46,55,55,55,53,50,101,45,49,50,32,55,46,55,49,52,57,101,45,49,
      50,32,56,46,55,52,56,53,49,101,45,49,50,32,57,46,56,56,52,53,57,101,45,49,50,
      10,32,32,49,46,49,48,51,57,50,101,45,49,49,32,49,46,50,50,57,50,101,45,49,49,
      32,49,46,51,54,52,56,51,101,45,49,49,32,49,46,53,48,48,55,57,101,45,49,49,32,
      49,46,54,52,52,51,56,101,45,49,49,32,49,46,55,57,55,56,54,101,45,49,49,32,49,
      46,57,53,49,52,53,101,45,49,49,10,32,32,50,46,49,48,57,51,53,101,45,49,49,32,
      50,46,50,55,54,53,51,101,45,49,49,32,50,46,52,52,53,51,55,101,45,49,49,32,50,
      46,54,49,53,51,55,101,45,49,49,32,50,46,55,57,52,50,52,101,45,49,49,32,50,46,
      57,55,55,49,54,101,45,49,49,32,51,46,49,53,57,101,45,49,49,10,32,32,51,46,51,
      52,57,53,52,101,45,49,49,32,51,46,53,52,54,55,56,101,45,49,49,32,51,46,55,52,
      50,51,49,101,45,49,49,32,51,46,57,52,54,54,49,101,45,49,49,32,52,46,49,53,57,
      56,56,101,45,49,49,32,52,46,51,55,49,49,101,45,49,49,32,52,46,53,57,49,51,55,
      101,45,49,49,10,32,32,52,46,56,50,48,57,52,101,45,49,49,32,53,46,48,53,48,48,
      56,101,45,49,49,32,53,46,50,56,54,55,53,101,45,49,49,32,53,46,53,51,50,57,57,
      101,45,49,49,32,53,46,55,55,56,51,55,101,45,49,49,32,54,46,48,50,56,50,55,101,
      45,49,49,32,54,46,50,56,55,57,51,101,45,49,49,10,32,32,54,46,53,52,52,55,56,
      101,45,49,49,32,54,46,55,57,57,49,101,45,49,49,32,55,46,48,54,51,50,50,101,
      45,49,49,32,55,46,51,50,51,52,57,101,45,49,49,32,55,46,53,54,55,50,56,101,45,
      49,49,32,55,46,56,50,48,56,56,101,45,49,49,32,56,46,48,55,51,54,57,101,45,49,
      49,10,32,32,56,46,50,56,55,52,50,101,45,49,49,32,56,46,53,49,49,52,50,101,45,
      49,49,32,56,46,55,52,52,54,54,101,45,49,49,32,56,46,57,48,56,56,52,101,45,49,
      49,32,57,46,48,56,52,57,51,101,45,49,49,32,57,46,50,55,50,55,49,101,45,49,49,
      32,57,46,51,56,57,49,53,101,45,49,49,10,32,32,57,46,53,48,53,54,49,101,45,49,
      49,32,57,46,54,51,54,53,57,101,45,49,49,32,57,46,55,48,56,49,55,101,45,49,49,
      32,57,46,55,54,52,51,56,101,45,49,49,32,57,46,56,51,57,50,52,101,45,49,49,32,
      57,46,56,55,54,48,53,101,45,49,49,32,57,46,56,56,51,53,101,45,49,49,10,32,32,
      57,46,57,49,52,101,45,49,49,32,57,46,57,51,49,52,49,101,45,49,49,32,57,46,57,
      49,48,55,49,101,45,49,49,32,57,46,57,49,54,51,52,101,45,49,49,32,57,46,57,51,
      49,48,55,101,45,49,49,32,57,46,57,48,54,51,101,45,49,49,32,57,46,57,48,57,49,
      56,101,45,49,49,10,32,32,57,46,57,51,54,49,53,101,45,49,49,32,57,46,57,51,48,
      52,52,101,45,49,49,32,57,46,57,53,49,53,52,101,45,49,49,32,57,46,57,57,55,48,
      55,101,45,49,49,32,49,46,48,48,51,53,55,101,45,49,48,32,49,46,48,48,57,51,50,
      101,45,49,48,32,49,46,48,49,55,51,49,101,45,49,48,10,32,32,49,46,48,50,54,53,
      51,101,45,49,48,32,49,46,48,51,55,52,101,45,49,48,32,49,46,48,53,48,50,53,101,
      45,49,48,32,49,46,48,54,53,52,54,101,45,49,48,32,49,46,48,56,50,56,57,101,45,
      49,48,32,49,46,49,48,49,57,56,101,45,49,48,32,49,46,49,50,51,55,56,101,45,49,
      48,10,32,32,49,46,49,52,57,48,54,101,45,49,48,32,49,46,49,55,53,55,55,101,45,
      49,48,32,49,46,50,48,52,57,101,45,49,48,32,49,46,50,51,57,54,57,101,45,49,48,
      32,49,46,50,55,53,56,101,45,49,48,32,49,46,51,49,51,52,50,101,45,49,48,32,49,
      46,51,53,57,56,49,101,45,49,48,10,32,32,49,46,52,48,55,54,55,101,45,49,48,32,
      49,46,52,53,55,48,52,101,45,49,48,32,49,46,53,49,54,51,51,101,45,49,48,32,49,
      46,53,55,57,48,52,101,45,49,48,32,49,46,54,52,51,56,51,101,45,49,48,32,49,46,
      55,49,56,57,50,101,45,49,48,32,49,46,56,48,48,55,54,101,45,49,48,10,32,32,49,
      46,56,56,53,56,51,101,45,49,48,32,49,46,57,56,49,49,52,101,45,49,48,32,50,46,
      48,56,55,52,49,101,45,49,48,32,50,46,49,57,57,48,51,101,45,49,48,32,50,46,51,
      50,48,54,51,101,45,49,48,32,50,46,52,53,55,52,55,101,45,49,48,32,50,46,54,48,
      50,55,101,45,49,48,10,32,32,50,46,55,53,56,52,55,101,45,49,48,32,50,46,57,51,
      49,55,57,101,45,49,48,32,51,46,49,49,55,49,56,101,45,49,48,32,51,46,51,49,53,
      55,57,101,45,49,48,32,51,46,53,50,57,56,56,101,45,49,48,32,51,46,55,53,57,56,
      54,101,45,49,48,32,52,46,48,48,55,49,53,101,45,49,48,10,32,32,52,46,50,54,52,
      54,50,101,45,49,48,32,52,46,53,51,57,51,56,101,45,49,48,32,52,46,56,51,52,52,
      56,101,45,49,48,32,53,46,49,51,54,55,50,101,45,49,48,32,53,46,52,53,50,57,101,
      45,49,48,32,53,46,55,57,48,54,50,101,45,49,48,32,54,46,49,51,54,51,49,101,45,
      49,48,10,32,32,54,46,52,56,57,48,52,101,45,49,48,32,54,46,56,54,51,51,55,101,
      45,49,48,32,55,46,50,52,57,49,52,101,45,49,48,32,55,46,54,51,53,48,51,101,45,
      49,48,32,56,46,48,52,49,55,57,101,45,49,48,32,56,46,52,54,53,51,57,101,45,49,
      48,32,56,46,56,56,54,53,53,101,45,49,48,10,32,32,57,46,51,50,56,51,54,101,45,
      49,48,32,57,46,55,57,49,51,51,101,45,49,48,32,49,46,48,50,53,52,54,101,45,48,
      57,32,49,46,48,55,51,57,50,101,45,48,57,32,49,46,49,50,52,53,55,101,45,48,57,
      32,49,46,49,57,52,49,57,101,45,48,57,32,49,46,51,55,49,55,56,101,45,48,57,10,
      32,32,49,46,54,55,57,55,49,101,45,48,57,32,50,46,51,51,48,55,56,101,45,48,57,
      32,51,46,49,52,57,49,101,45,48,57,32,52,46,48,52,55,54,53,101,45,48,57,32,52,
      46,57,48,48,50,56,101,45,48,57,32,53,46,54,52,48,50,56,101,45,48,57,32,54,46,
      50,57,49,55,53,101,45,48,57,10,32,32,54,46,57,50,50,55,50,101,45,48,57,32,55,
      46,53,57,56,51,101,45,48,57,32,56,46,51,55,50,49,57,101,45,48,57,32,57,46,50,
      56,49,53,53,101,45,48,57,32,49,46,48,51,53,50,57,101,45,48,56,32,49,46,49,56,
      57,54,55,101,45,48,56,32,49,46,51,55,54,54,52,101,45,48,56,10,32,32,49,46,54,
      56,52,57,52,101,45,48,56,32,50,46,48,54,55,101,45,48,56,32,50,46,53,51,50,55,
      52,101,45,48,56,32,51,46,50,52,49,51,49,101,45,48,56,32,52,46,48,56,55,55,49,
      101,45,48,56,32,53,46,48,50,55,48,57,101,45,48,56,32,54,46,49,53,55,55,52,101,
      45,48,56,10,32,32,55,46,49,54,51,57,50,101,45,48,56,32,56,46,50,56,53,49,56,
      101,45,48,56,32,57,46,51,49,51,53,56,101,45,48,56,32,49,46,48,52,50,48,57,101,
      45,48,55,32,49,46,49,57,52,55,50,101,45,48,55,32,49,46,52,49,53,57,50,101,45,
      48,55,32,49,46,55,50,48,48,51,101,45,48,55,10,32,32,50,46,49,48,57,48,52,101,
      45,48,55,32,50,46,53,57,49,57,56,101,45,48,55,32,51,46,50,48,50,57,56,101,45,
      48,55,32,51,46,56,51,53,49,51,101,45,48,55,32,52,46,53,50,50,48,52,101,45,48,
      55,32,53,46,51,50,56,55,53,101,45,48,55,32,54,46,50,53,53,56,54,101,45,48,55,
      10,32,32,55,46,48,56,57,101,45,48,55,32,56,46,51,53,56,56,56,101,45,48,55,32,
      49,46,48,50,56,48,52,101,45,48,54,32,49,46,50,54,55,52,56,101,45,48,54,32,49,
      46,53,52,53,52,101,45,48,54,32,49,46,56,54,54,53,101,45,48,54,32,50,46,49,56,
      48,53,55,101,45,48,54,10,32,32,50,46,52,57,51,49,55,101,45,48,54,32,50,46,56,
      51,50,51,53,101,45,48,54,32,51,46,50,51,49,48,52,101,45,48,54,32,51,46,53,57,
      52,51,51,101,45,48,54,32,51,46,57,54,56,52,57,101,45,48,54,32,52,46,50,57,48,
      56,49,101,45,48,54,32,52,46,54,51,57,55,57,101,45,48,54,10,32,32,53,46,49,48,
      57,53,55,101,45,48,54,32,53,46,53,52,57,49,101,45,48,54,32,53,46,57,53,48,48,
      57,101,45,48,54,32,54,46,50,55,52,57,49,101,45,48,54,32,54,46,55,48,57,48,55,
      101,45,48,54,32,55,46,49,48,50,56,57,101,45,48,54,32,55,46,52,52,57,48,56,101,
      45,48,54,10,32,32,55,46,55,50,55,56,52,101,45,48,54,32,56,46,48,48,49,57,56,
      101,45,48,54,32,56,46,50,56,53,57,57,101,45,48,54,32,56,46,53,55,55,52,53,101,
      45,48,54,32,56,46,55,55,57,54,51,101,45,48,54,32,56,46,56,51,54,49,52,101,45,
      48,54,32,56,46,54,53,50,48,53,101,45,48,54,10,32,32,56,46,49,56,49,52,51,101,
      45,48,54,32,55,46,54,52,51,56,101,45,48,54,32,55,46,49,56,54,49,55,101,45,48,
      54,32,55,46,49,51,52,52,51,101,45,48,54,32,54,46,53,56,57,50,101,45,48,54,32,
      54,46,48,50,57,56,49,101,45,48,54,32,53,46,52,56,49,51,57,101,45,48,54,10,32,
      32,52,46,57,54,50,55,49,101,45,48,54,32,52,46,52,48,53,49,54,101,45,48,54,32,
      52,46,48,49,53,57,54,101,45,48,54,32,51,46,54,52,54,56,53,101,45,48,54,32,51,
      46,48,56,54,53,49,101,45,48,54,32,50,46,55,55,51,53,56,101,45,48,54,32,50,46,
      51,50,56,50,57,101,45,48,54,10,32,32,49,46,57,49,56,55,52,101,45,48,54,32,49,
      46,55,48,50,49,49,101,45,48,54,32,49,46,53,48,53,51,56,101,45,48,54,32,49,46,
      50,51,51,49,56,101,45,48,54,32,57,46,56,50,55,56,101,45,48,55,32,56,46,54,51,
      57,50,50,101,45,48,55,32,54,46,57,56,55,52,49,101,45,48,55,10,32,32,54,46,49,
      50,52,50,54,101,45,48,55,32,52,46,57,50,50,49,56,101,45,48,55,32,52,46,48,57,
      51,48,56,101,45,48,55,32,51,46,51,53,49,49,53,101,45,48,55,32,51,46,48,50,48,
      48,50,101,45,48,55,32,50,46,52,54,56,54,54,101,45,48,55,32,49,46,57,55,49,54,
      53,101,45,48,55,10,32,32,49,46,54,51,50,52,49,101,45,48,55,32,49,46,51,52,57,
      56,53,101,45,48,55,32,49,46,49,50,56,55,52,101,45,48,55,32,57,46,52,53,53,52,
      55,101,45,48,56,32,55,46,55,54,50,50,51,101,45,48,56,32,54,46,53,48,57,48,51,
      101,45,48,56,32,53,46,51,53,54,49,49,101,45,48,56,10,32,32,52,46,54,51,55,57,
      52,101,45,48,56,32,51,46,54,54,51,57,49,101,45,48,56,32,51,46,49,54,57,49,54,
      101,45,48,56,32,50,46,54,52,52,57,54,101,45,48,56,32,49,46,55,51,50,53,51,101,
      45,48,56,32,57,46,54,51,56,54,56,101,45,48,57,32,53,46,52,49,55,49,53,101,45,
      48,57,10,32,32,50,46,54,50,51,51,55,101,45,48,57,32,49,46,50,54,52,54,56,101,
      45,48,57,32,53,46,50,52,51,48,54,101,45,49,48,32,50,46,53,48,56,54,50,101,45,
      49,48,32,55,46,54,55,49,55,54,101,45,49,49,32,50,46,52,54,54,49,52,101,45,49,
      49,32,49,46,49,48,54,57,49,101,45,49,49,10,32,32,52,46,53,49,51,57,56,101,45,
      49,50,32,49,46,51,54,49,52,54,101,45,49,50,32,52,46,55,54,48,49,54,101,45,49,
      51,32,49,46,54,54,49,54,52,101,45,49,51,32,52,46,57,56,50,51,50,101,45,49,52,
      32,49,46,52,57,49,54,53,101,45,49,52,32,53,46,49,56,54,56,56,101,45,49,53,10,
      32,32,49,46,56,48,50,49,52,101,45,49,53,32,54,46,50,53,54,57,101,45,49,54,32,
      49,46,55,57,54,52,55,101,45,49,54,32,52,46,53,57,53,55,51,101,45,49,55,32,49,
      46,48,48,57,54,101,45,49,55,32,50,46,53,55,57,50,57,101,45,49,56,32,53,46,54,
      51,49,50,57,101,45,49,57,10,32,32,49,46,52,51,55,48,54,101,45,49,57,32,51,46,
      54,54,53,56,50,101,45,50,48,32,56,46,48,50,56,53,50,101,45,50,49,32,49,46,53,
      55,52,54,49,101,45,50,49,32,52,46,52,54,56,49,52,101,45,50,50,32,49,46,48,50,
      50,53,55,101,45,50,50,32,50,46,54,52,56,55,101,45,50,51,10,32,32,53,46,53,55,
      51,51,57,101,45,50,52,32,48,114,49,48,54,32,54,46,51,57,50,51,56,101,45,50,
      48,32,55,46,50,57,51,52,52,101,45,49,57,32,52,46,49,49,53,50,49,101,45,49,56,
      32,49,46,53,54,53,56,55,101,45,49,55,32,52,46,54,55,55,51,54,101,45,49,55,32,
      49,46,49,55,55,52,101,45,49,54,10,32,32,50,46,54,49,56,55,50,101,45,49,54,32,
      55,46,57,51,48,50,55,101,45,49,54,32,49,46,52,56,55,48,52,101,45,49,53,32,50,
      46,54,50,53,48,49,101,45,49,53,32,52,46,52,48,56,57,101,45,49,53,32,55,46,49,
      48,49,51,57,101,45,49,53,32,49,46,49,48,52,48,55,101,45,49,52,10,32,32,49,46,
      54,54,52,55,101,45,49,52,32,50,46,52,52,51,55,55,101,45,49,52,32,51,46,53,48,
      53,54,52,101,45,49,52,32,52,46,57,50,53,48,57,101,45,49,52,32,54,46,55,57,50,
      51,56,101,45,49,52,32,57,46,50,49,51,52,49,101,45,49,52,32,49,46,50,51,49,49,
      53,101,45,49,51,10,32,32,49,46,54,50,50,57,50,101,45,49,51,32,50,46,49,49,49,
      50,52,101,45,49,51,32,50,46,55,50,49,54,57,101,45,49,51,32,51,46,52,54,52,48,
      51,101,45,49,51,32,52,46,51,53,56,55,51,101,45,49,51,32,53,46,52,51,49,49,56,
      101,45,49,51,32,54,46,55,49,50,50,51,101,45,49,51,10,32,32,56,46,50,49,50,51,
      57,101,45,49,51,32,57,46,57,53,50,57,101,45,49,51,32,49,46,49,57,56,51,101,
      45,49,50,32,49,46,52,51,48,51,55,101,45,49,50,32,49,46,54,56,57,56,50,101,45,
      49,50,32,49,46,57,56,53,53,57,101,45,49,50,32,50,46,51,49,55,56,55,101,45,49,
      50,10,32,32,50,46,54,55,51,53,49,101,45,49,50,32,51,46,48,55,48,53,101,45,49,
      50,32,51,46,53,49,50,101,45,49,50,32,51,46,57,54,50,55,55,101,45,49,50,32,52,
      46,52,53,54,53,49,101,45,49,50,32,52,46,57,57,54,48,49,101,45,49,50,32,53,46,
      53,51,55,55,50,101,45,49,50,10,32,32,54,46,49,49,51,50,52,101,45,49,50,32,54,
      46,55,51,50,55,51,101,45,49,50,32,55,46,51,53,50,55,56,101,45,49,50,32,55,46,
      57,57,49,54,56,101,45,49,50,32,56,46,54,55,49,55,55,101,45,49,50,32,57,46,51,
      53,56,54,49,101,45,49,50,32,49,46,48,48,52,57,54,101,45,49,49,10,32,32,49,46,
      48,55,55,57,57,101,45,49,49,32,49,46,49,53,50,55,50,101,45,49,49,32,49,46,50,
      50,54,56,101,45,49,49,32,49,46,51,48,52,54,57,101,45,49,49,32,49,46,51,56,53,
      53,101,45,49,49,32,49,46,52,54,53,51,101,45,49,49,32,49,46,53,52,56,57,53,101,
      45,49,49,10,32,32,49,46,54,51,54,53,52,101,45,49,49,32,49,46,55,50,50,57,52,
      101,45,49,49,32,49,46,56,49,51,51,101,45,49,49,32,49,46,57,48,55,55,53,101,
      45,49,49,32,50,46,48,48,49,55,52,101,45,49,49,32,50,46,48,57,56,57,55,101,45,
      49,49,32,50,46,50,48,48,52,49,101,45,49,49,10,32,32,50,46,51,48,49,49,52,101,
      45,49,49,32,50,46,52,48,51,54,57,101,45,49,49,32,50,46,53,49,48,53,51,101,45,
      49,49,32,50,46,54,49,53,55,49,101,45,49,49,32,50,46,55,49,57,51,51,101,45,49,
      49,32,50,46,56,50,55,50,53,101,45,49,49,32,50,46,57,51,50,57,55,101,45,49,49,
      10,32,32,51,46,48,51,48,52,56,101,45,49,49,32,51,46,49,51,50,50,54,101,45,49,
      49,32,51,46,50,51,51,50,55,101,45,49,49,32,51,46,51,49,53,51,49,101,45,49,49,
      32,51,46,52,48,49,56,51,101,45,49,49,32,51,46,52,57,50,51,53,101,45,49,49,32,
      51,46,53,52,57,55,52,101,45,49,49,10,32,32,51,46,54,49,50,52,53,101,45,49,49,
      32,51,46,54,56,48,51,53,101,45,49,49,32,51,46,55,49,52,51,101,45,49,49,32,51,
      46,55,52,56,48,55,101,45,49,49,32,51,46,55,56,56,52,56,101,45,49,49,32,51,46,
      56,48,48,57,53,101,45,49,49,32,51,46,56,48,54,50,54,101,45,49,49,10,32,32,51,
      46,56,50,48,50,56,101,45,49,49,32,51,46,56,49,54,55,55,101,45,49,49,32,51,46,
      55,57,57,57,54,101,45,49,49,32,51,46,55,57,52,48,49,101,45,49,49,32,51,46,55,
      56,50,51,56,101,45,49,49,32,51,46,55,53,51,56,54,101,45,49,49,32,51,46,55,51,
      55,55,53,101,45,49,49,10,32,32,51,46,55,50,54,49,57,101,45,49,49,32,51,46,54,
      57,55,53,51,101,45,49,49,32,51,46,54,56,49,56,50,101,45,49,49,32,51,46,54,55,
      55,51,50,101,45,49,49,32,51,46,54,53,57,48,57,101,45,49,49,32,51,46,54,53,51,
      50,57,101,45,49,49,32,51,46,54,53,56,55,52,101,45,49,49,10,32,32,51,46,54,54,
      49,56,56,101,45,49,49,32,51,46,54,55,51,55,57,101,45,49,49,32,51,46,54,57,53,
      57,53,101,45,49,49,32,51,46,55,50,51,57,53,101,45,49,49,32,51,46,55,53,57,54,
      53,101,45,49,49,32,51,46,56,48,52,50,55,101,45,49,49,32,51,46,56,53,57,52,57,
      101,45,49,49,10,32,32,51,46,57,50,52,53,53,101,45,49,49,32,51,46,57,57,55,50,
      49,101,45,49,49,32,52,46,48,56,49,55,50,101,45,49,49,32,52,46,49,56,49,50,57,
      101,45,49,49,32,52,46,50,56,55,52,101,45,49,49,32,52,46,52,48,52,49,54,101,
      45,49,49,32,52,46,53,52,52,56,54,101,45,49,49,10,32,32,52,46,54,57,49,55,51,
      101,45,49,49,32,52,46,56,52,53,53,56,101,45,49,49,32,53,46,48,51,54,50,51,101,
      45,49,49,32,53,46,50,51,51,55,57,101,45,49,49,32,53,46,52,51,56,52,57,101,45,
      49,49,32,53,46,54,56,53,49,52,101,45,49,49,32,53,46,57,52,55,48,54,101,45,49,
      49,10,32,32,54,46,50,49,56,56,54,101,45,49,49,32,54,46,53,51,52,57,101,45,49,
      49,32,54,46,56,56,48,56,50,101,45,49,49,32,55,46,50,52,50,49,50,101,45,49,49,
      32,55,46,54,52,56,54,50,101,45,49,49,32,56,46,49,48,52,49,56,101,45,49,49,32,
      56,46,53,56,53,50,56,101,45,49,49,10,32,32,57,46,49,49,50,51,56,101,45,49,49,
      32,57,46,55,48,57,50,49,101,45,49,49,32,49,46,48,51,52,54,56,101,45,49,48,32,
      49,46,49,48,51,53,50,101,45,49,48,32,49,46,49,56,48,54,57,101,45,49,48,32,49,
      46,50,54,51,56,52,101,45,49,48,32,49,46,51,53,51,54,101,45,49,48,10,32,32,49,
      46,52,53,49,49,49,101,45,49,48,32,49,46,53,53,54,55,101,45,49,48,32,49,46,54,
      55,49,49,52,101,45,49,48,32,49,46,55,57,49,49,57,101,45,49,48,32,49,46,57,50,
      48,50,57,101,45,49,48,32,50,46,48,54,48,48,53,101,45,49,48,32,50,46,50,48,52,
      49,55,101,45,49,48,10,32,32,50,46,51,53,53,57,56,101,45,49,48,32,50,46,53,49,
      57,51,51,101,45,49,48,32,50,46,54,56,55,53,54,101,45,49,48,32,50,46,56,54,48,
      49,56,101,45,49,48,32,51,46,48,52,52,53,56,101,45,49,48,32,51,46,50,51,53,55,
      101,45,49,48,32,51,46,52,50,55,55,101,45,49,48,10,32,32,51,46,54,51,49,50,53,
      101,45,49,48,32,51,46,56,52,52,51,53,101,45,49,48,32,52,46,48,53,55,101,45,
      49,48,32,52,46,50,56,49,50,49,101,45,49,48,32,52,46,53,49,55,51,52,101,45,49,
      48,32,52,46,55,53,52,52,53,101,45,49,48,32,53,46,48,48,51,53,57,101,45,49,48,
      10,32,32,53,46,50,54,53,50,50,101,45,49,48,32,53,46,54,50,54,53,56,101,45,49,
      48,32,54,46,53,53,55,50,55,101,45,49,48,32,56,46,49,57,56,55,52,101,45,49,48,
      32,49,46,49,55,54,51,54,101,45,48,57,32,49,46,54,51,55,48,51,101,45,48,57,32,
      50,46,49,53,50,51,52,101,45,48,57,10,32,32,50,46,54,52,52,55,54,101,45,48,57,
      32,51,46,48,55,48,57,55,101,45,48,57,32,51,46,52,52,52,101,45,48,57,32,51,46,
      56,48,53,49,56,101,45,48,57,32,52,46,49,57,52,53,56,101,45,48,57,32,52,46,54,
      52,53,53,54,101,45,48,57,32,53,46,49,56,49,56,53,101,45,48,57,10,32,32,53,46,
      56,50,48,52,52,101,45,48,57,32,54,46,55,53,49,51,52,101,45,48,57,32,55,46,56,
      57,50,52,51,101,45,48,57,32,57,46,56,48,57,49,56,101,45,48,57,32,49,46,50,50,
      48,56,101,45,48,56,32,49,46,53,49,55,48,55,101,45,48,56,32,49,46,57,55,51,54,
      101,45,48,56,10,32,32,50,46,53,50,53,52,50,101,45,48,56,32,51,46,49,52,51,48,
      51,101,45,48,56,32,51,46,56,56,57,53,50,101,45,48,56,32,52,46,53,53,51,54,50,
      101,45,48,56,32,53,46,50,56,57,55,57,101,45,48,56,32,53,46,57,54,51,52,54,101,
      45,48,56,32,54,46,54,57,49,56,55,101,45,48,56,10,32,32,55,46,55,48,52,48,57,
      101,45,48,56,32,57,46,49,56,52,55,56,101,45,48,56,32,49,46,49,50,51,52,57,101,
      45,48,55,32,49,46,51,56,55,50,50,101,45,48,55,32,49,46,55,49,54,51,55,101,45,
      48,55,32,50,46,49,51,52,55,57,101,45,48,55,32,50,46,53,54,57,50,55,101,45,48,
      55,10,32,32,51,46,48,52,50,50,49,101,45,48,55,32,51,46,53,57,55,56,52,101,45,
      48,55,32,52,46,50,51,57,54,50,101,45,48,55,32,52,46,56,50,48,54,52,101,45,48,
      55,32,53,46,55,49,51,54,57,101,45,48,55,32,55,46,48,56,49,55,51,101,45,48,55,
      32,56,46,56,49,51,50,56,101,45,48,55,10,32,32,49,46,48,56,54,48,53,101,45,48,
      54,32,49,46,51,50,55,57,52,101,45,48,54,32,49,46,53,54,57,56,54,101,45,48,54,
      32,49,46,56,49,53,48,52,101,45,48,54,32,50,46,48,56,50,49,52,101,45,48,54,32,
      50,46,51,57,51,51,50,101,45,48,54,32,50,46,54,55,53,50,51,101,45,48,54,10,32,
      32,50,46,57,54,57,53,56,101,45,48,54,32,51,46,50,50,55,55,53,101,45,48,54,32,
      51,46,53,49,50,57,49,101,45,48,54,32,51,46,57,48,52,49,53,101,45,48,54,32,52,
      46,50,55,52,50,54,101,45,48,54,32,52,46,54,49,48,56,55,101,45,48,54,32,52,46,
      56,56,49,101,45,48,54,10,32,32,53,46,50,51,57,57,54,101,45,48,54,32,53,46,53,
      54,53,55,52,101,45,48,54,32,53,46,56,53,52,48,52,101,45,48,54,32,54,46,48,56,
      55,52,57,101,45,48,54,32,54,46,51,49,53,57,56,101,45,48,54,32,54,46,53,53,48,
      53,55,101,45,48,54,32,54,46,55,57,50,55,53,101,45,48,54,10,32,32,54,46,57,54,
      54,51,51,101,45,48,54,32,55,46,48,50,52,54,55,101,45,48,54,32,54,46,57,49,51,
      54,54,101,45,48,54,32,54,46,53,55,55,57,55,101,45,48,54,32,54,46,49,56,49,56,
      101,45,48,54,32,53,46,56,52,50,53,54,101,45,48,54,32,53,46,56,49,53,48,53,101,
      45,48,54,10,32,32,53,46,51,57,56,57,101,45,48,54,32,52,46,57,54,53,53,57,101,
      45,48,54,32,52,46,53,51,53,54,57,101,45,48,54,32,52,46,49,50,53,48,51,101,45,
      48,54,32,51,46,54,55,57,53,50,101,45,48,54,32,51,46,51,54,54,49,101,45,48,54,
      32,51,46,48,54,55,48,57,101,45,48,54,10,32,32,50,46,54,48,57,57,50,101,45,48,
      54,32,50,46,51,53,50,56,49,101,45,48,54,32,49,46,57,56,52,54,55,101,45,48,54,
      32,49,46,54,52,51,54,50,101,45,48,54,32,49,46,52,54,50,50,49,101,45,48,54,32,
      49,46,50,57,54,56,101,45,48,54,32,49,46,48,54,54,56,49,101,45,48,54,10,32,32,
      56,46,53,51,57,56,50,101,45,48,55,32,55,46,53,50,52,56,50,101,45,48,55,32,54,
      46,49,48,56,53,56,101,45,48,55,32,53,46,51,54,53,54,49,101,45,48,55,32,52,46,
      51,50,55,48,51,101,45,48,55,32,51,46,53,57,57,48,54,101,45,48,55,32,50,46,57,
      52,50,50,57,101,45,48,55,10,32,32,50,46,54,53,52,52,52,101,45,48,55,32,50,46,
      49,55,52,50,49,101,45,48,55,32,49,46,55,52,48,49,52,101,45,48,55,32,49,46,52,
      52,51,49,52,101,45,48,55,32,49,46,49,57,53,50,53,101,45,48,55,32,49,46,48,48,
      48,56,57,101,45,48,55,32,56,46,51,57,53,56,55,101,45,48,56,10,32,32,54,46,57,
      48,50,51,55,101,45,48,56,32,53,46,55,57,53,49,55,101,45,48,56,32,52,46,55,55,
      52,57,53,101,45,48,56,32,52,46,49,51,56,53,53,101,45,48,56,32,51,46,50,55,52,
      49,55,101,45,48,56,32,50,46,56,51,52,53,101,45,48,56,32,50,46,51,54,56,49,52,
      101,45,48,56,10,32,32,49,46,53,53,52,56,49,101,45,48,56,32,56,46,54,55,53,50,
      52,101,45,48,57,32,52,46,56,56,56,51,101,45,48,57,32,50,46,51,55,52,50,101,
      45,48,57,32,49,46,49,52,55,53,56,101,45,48,57,32,52,46,55,55,49,49,101,45,49,
      48,32,50,46,50,56,55,54,55,101,45,49,48,10,32,32,55,46,48,49,55,51,56,101,45,
      49,49,32,50,46,50,54,49,53,55,101,45,49,49,32,49,46,48,49,54,55,53,101,45,49,
      49,32,52,46,49,53,51,50,52,101,45,49,50,32,49,46,50,53,53,50,101,45,49,50,32,
      52,46,51,57,53,54,54,101,45,49,51,32,49,46,53,51,54,54,54,101,45,49,51,10,32,
      32,52,46,54,49,52,54,56,101,45,49,52,32,49,46,51,56,51,53,53,101,45,49,52,32,
      52,46,56,49,54,54,53,101,45,49,53,32,49,46,54,55,53,51,52,101,45,49,53,32,53,
      46,56,50,50,54,55,101,45,49,54,32,49,46,54,55,52,55,101,45,49,54,32,52,46,50,
      56,57,48,54,101,45,49,55,10,32,32,57,46,52,51,51,52,49,101,45,49,56,32,50,46,
      52,49,50,52,54,101,45,49,56,32,53,46,50,55,50,54,52,101,45,49,57,32,49,46,51,
      52,54,55,49,101,45,49,57,32,51,46,52,51,56,50,101,45,50,48,32,55,46,53,51,55,
      56,54,101,45,50,49,32,49,46,52,56,48,57,50,101,45,50,49,10,32,32,52,46,49,57,
      57,51,49,101,45,50,50,32,57,46,56,48,51,56,51,101,45,50,51,32,50,46,52,56,50,
      52,49,101,45,50,51,32,53,46,50,49,48,49,55,101,45,50,52,32,48,114,49,48,54,
      32,56,46,57,57,49,55,49,101,45,50,49,32,49,46,48,50,54,50,101,45,49,57,32,53,
      46,55,57,50,51,54,101,45,49,57,10,32,32,50,46,50,48,51,52,55,101,45,49,56,32,
      54,46,53,55,51,50,56,101,45,49,56,32,49,46,54,53,50,56,51,101,45,49,55,32,51,
      46,54,55,52,57,53,101,45,49,55,32,52,46,50,51,53,52,50,101,45,49,53,32,55,46,
      57,50,52,54,54,101,45,49,53,32,49,46,51,57,53,55,50,101,45,49,52,10,32,32,50,
      46,51,51,56,54,49,101,45,49,52,32,51,46,55,53,55,50,101,45,49,52,32,53,46,56,
      50,53,53,55,101,45,49,52,32,56,46,55,53,56,53,49,101,45,49,52,32,49,46,50,56,
      49,56,51,101,45,49,51,32,49,46,56,51,50,56,55,101,45,49,51,32,50,46,53,54,54,
      50,53,101,45,49,51,10,32,32,51,46,53,50,54,52,57,101,45,49,51,32,52,46,55,54,
      53,52,51,101,45,49,51,32,54,46,51,52,50,54,54,101,45,49,51,32,56,46,51,50,54,
      51,51,101,45,49,51,32,49,46,48,55,56,53,49,101,45,49,50,32,49,46,51,57,49,50,
      53,101,45,49,50,32,49,46,55,54,50,53,52,101,45,49,50,10,32,32,50,46,50,48,55,
      50,55,101,45,49,50,32,50,46,55,51,54,57,52,101,45,49,50,32,51,46,51,54,53,52,
      53,101,45,49,50,32,52,46,48,57,54,53,55,101,45,49,50,32,52,46,57,51,57,49,55,
      101,45,49,50,32,53,46,57,49,53,49,49,101,45,49,50,32,55,46,48,50,51,49,49,101,
      45,49,50,10,32,32,56,46,50,53,51,56,101,45,49,50,32,57,46,54,52,55,48,55,101,
      45,49,50,32,49,46,49,50,48,49,55,101,45,49,49,32,49,46,50,56,53,54,50,101,45,
      49,49,32,49,46,52,54,57,49,49,101,45,49,49,32,49,46,54,55,49,56,51,101,45,49,
      49,32,49,46,56,55,55,57,57,101,45,49,49,10,32,32,50,46,49,48,50,53,52,101,45,
      49,49,32,50,46,51,52,54,52,54,101,45,49,49,32,50,46,53,57,48,55,57,101,45,49,
      49,32,50,46,56,52,57,50,51,101,45,49,49,32,51,46,49,50,54,49,50,101,45,49,49,
      32,51,46,52,48,50,56,55,101,45,49,49,32,51,46,54,56,55,51,53,101,45,49,49,10,
      32,32,51,46,57,56,57,48,51,101,45,49,49,32,52,46,50,57,51,51,55,101,45,49,49,
      32,52,46,53,57,57,52,51,101,45,49,49,32,52,46,57,50,49,56,54,101,45,49,49,32,
      53,46,50,53,49,52,57,101,45,49,49,32,53,46,53,55,56,52,55,101,45,49,49,32,53,
      46,57,50,49,52,56,101,45,49,49,10,32,32,54,46,50,55,54,55,52,101,45,49,49,32,
      54,46,54,50,56,48,56,101,45,49,49,32,54,46,57,57,53,54,53,101,45,49,49,32,55,
      46,51,55,57,53,52,101,45,49,49,32,55,46,55,53,57,49,51,101,45,49,49,32,56,46,
      49,53,53,50,101,45,49,49,32,56,46,53,54,56,52,53,101,45,49,49,10,32,32,56,46,
      57,56,48,50,56,101,45,49,49,32,57,46,52,48,53,56,53,101,45,49,49,32,57,46,56,
      52,57,48,53,101,45,49,49,32,49,46,48,50,57,101,45,49,48,32,49,46,48,55,51,57,
      101,45,49,48,32,49,46,49,50,48,54,101,45,49,48,32,49,46,49,54,54,55,49,101,
      45,49,48,10,32,32,49,46,50,49,50,51,101,45,49,48,32,49,46,50,53,57,54,57,101,
      45,49,48,32,49,46,51,48,54,51,50,101,45,49,48,32,49,46,51,52,57,55,56,101,45,
      49,48,32,49,46,51,57,53,48,53,101,45,49,48,32,49,46,52,52,48,49,51,101,45,49,
      48,32,49,46,52,55,55,56,101,45,49,48,10,32,32,49,46,53,49,55,51,54,101,45,49,
      48,32,49,46,53,53,56,54,50,101,45,49,48,32,49,46,53,56,54,56,49,101,45,49,48,
      32,49,46,54,49,55,50,49,101,45,49,48,32,49,46,54,52,57,55,54,101,45,49,48,32,
      49,46,54,54,56,56,101,45,49,48,32,49,46,54,56,55,55,55,101,45,49,48,10,32,32,
      49,46,55,48,57,52,54,101,45,49,48,32,49,46,55,49,57,56,52,101,45,49,48,32,49,
      46,55,50,55,50,53,101,45,49,48,32,49,46,55,51,56,49,53,101,45,49,48,32,49,46,
      55,52,49,55,56,101,45,49,48,32,49,46,55,51,57,56,101,45,49,48,32,49,46,55,52,
      50,49,53,101,45,49,48,10,32,32,49,46,55,52,49,57,55,101,45,49,48,32,49,46,55,
      51,52,53,51,101,45,49,48,32,49,46,55,51,50,48,55,101,45,49,48,32,49,46,55,51,
      49,51,49,101,45,49,48,32,49,46,55,50,51,48,55,101,45,49,48,32,49,46,55,50,48,
      48,55,101,45,49,48,32,49,46,55,50,49,54,53,101,45,49,48,10,32,32,49,46,55,49,
      55,48,54,101,45,49,48,32,49,46,55,49,55,53,55,101,45,49,48,32,49,46,55,50,50,
      55,52,101,45,49,48,32,49,46,55,50,54,54,54,101,45,49,48,32,49,46,55,51,52,49,
      55,101,45,49,48,32,49,46,55,52,53,57,53,101,45,49,48,32,49,46,55,54,48,48,56,
      101,45,49,48,10,32,32,49,46,55,55,55,51,55,101,45,49,48,32,49,46,55,57,56,52,
      101,45,49,48,32,49,46,56,50,51,57,51,101,45,49,48,32,49,46,56,53,51,54,49,101,
      45,49,48,32,49,46,56,56,54,52,53,101,45,49,48,32,49,46,57,50,52,51,55,101,45,
      49,48,32,49,46,57,54,56,56,49,101,45,49,48,10,32,32,50,46,48,49,53,57,50,101,
      45,49,48,32,50,46,48,54,55,53,53,101,45,49,48,32,50,46,49,50,57,55,49,101,45,
      49,48,32,50,46,49,57,52,51,51,101,45,49,48,32,50,46,50,54,49,55,54,101,45,49,
      48,32,50,46,51,52,53,52,55,101,45,49,48,32,50,46,52,51,49,57,49,101,45,49,48,
      10,32,32,50,46,53,50,49,49,51,101,45,49,48,32,50,46,54,50,56,56,52,101,45,49,
      48,32,50,46,55,52,50,56,57,101,45,49,48,32,50,46,56,54,48,56,49,101,45,49,48,
      32,50,46,57,57,55,57,55,101,45,49,48,32,51,46,49,52,55,55,53,101,45,49,48,32,
      51,46,51,48,51,54,49,101,45,49,48,10,32,32,51,46,52,55,56,54,55,101,45,49,48,
      32,51,46,54,55,52,52,50,101,45,49,48,32,51,46,56,56,48,50,50,101,45,49,48,32,
      52,46,49,48,52,56,56,101,45,49,48,32,52,46,51,53,56,51,56,101,45,49,48,32,52,
      46,54,50,55,55,50,101,45,49,48,32,52,46,57,49,54,57,56,101,45,49,48,10,32,32,
      53,46,50,51,57,52,50,101,45,49,48,32,53,46,53,56,52,53,57,101,45,49,48,32,53,
      46,57,53,52,53,54,101,45,49,48,32,54,46,51,53,51,52,56,101,45,49,48,32,54,46,
      55,56,49,57,53,101,45,49,48,32,55,46,50,52,50,52,50,101,45,49,48,32,55,46,55,
      50,49,49,52,101,45,49,48,10,32,32,56,46,50,51,49,51,51,101,45,49,48,32,56,46,
      55,55,56,51,50,101,45,49,48,32,57,46,51,51,55,48,51,101,45,49,48,32,57,46,57,
      49,57,56,54,101,45,49,48,32,49,46,48,53,52,48,54,101,45,48,57,32,49,46,49,49,
      55,51,56,101,45,48,57,32,49,46,49,56,49,55,53,101,45,48,57,10,32,32,49,46,50,
      52,57,56,49,101,45,48,57,32,49,46,51,49,57,54,54,101,45,48,57,32,49,46,51,56,
      57,50,53,101,45,48,57,32,49,46,52,54,50,50,56,101,45,48,57,32,49,46,53,51,55,
      57,57,101,45,48,57,32,49,46,54,49,50,57,52,101,45,48,57,32,49,46,54,57,49,50,
      50,101,45,48,57,10,32,32,49,46,55,55,50,56,51,101,45,48,57,32,49,46,56,53,52,
      49,51,101,45,48,57,32,49,46,57,51,56,55,52,101,45,48,57,32,50,46,48,50,54,55,
      49,101,45,48,57,32,50,46,49,52,54,57,101,45,48,57,32,50,46,52,52,57,51,49,101,
      45,48,57,32,50,46,57,54,48,50,54,101,45,48,57,10,32,32,51,46,57,56,57,50,53,
      101,45,48,57,32,53,46,49,57,53,57,101,45,48,57,32,54,46,52,52,49,48,52,101,
      45,48,57,32,55,46,53,56,50,54,52,101,45,48,57,32,56,46,53,55,50,57,49,101,45,
      48,57,32,57,46,52,53,53,54,52,101,45,48,57,32,49,46,48,51,49,48,49,101,45,48,
      56,10,32,32,49,46,49,50,48,50,50,101,45,48,56,32,49,46,50,49,56,52,54,101,45,
      48,56,32,49,46,51,50,57,50,54,101,45,48,56,32,49,46,52,53,51,54,101,45,48,56,
      32,49,46,54,50,51,52,51,101,45,48,56,32,49,46,56,49,54,53,50,101,45,48,56,32,
      50,46,49,49,49,49,55,101,45,48,56,10,32,32,50,46,52,51,56,56,101,45,48,56,32,
      50,46,55,57,54,50,51,101,45,48,56,32,51,46,50,55,51,55,49,101,45,48,56,32,51,
      46,55,54,55,55,57,101,45,48,56,32,52,46,50,53,57,54,49,101,45,48,56,32,52,46,
      56,49,51,51,49,101,45,48,56,32,53,46,51,49,48,52,52,101,45,48,56,10,32,32,53,
      46,56,57,57,54,101,45,48,56,32,54,46,52,53,55,53,52,101,45,48,56,32,55,46,48,
      50,56,51,101,45,48,56,32,55,46,55,51,48,49,57,101,45,48,56,32,56,46,54,49,56,
      48,49,101,45,48,56,32,57,46,55,48,56,49,53,101,45,48,56,32,49,46,48,57,57,50,
      53,101,45,48,55,10,32,32,49,46,50,52,57,49,49,101,45,48,55,32,49,46,52,51,50,
      52,50,101,45,48,55,32,49,46,54,50,49,50,55,101,45,48,55,32,49,46,56,51,48,55,
      56,101,45,48,55,32,50,46,48,56,57,53,53,101,45,48,55,32,50,46,51,56,49,53,54,
      101,45,48,55,32,50,46,54,51,55,51,54,101,45,48,55,10,32,32,51,46,48,49,53,52,
      54,101,45,48,55,32,51,46,53,57,50,54,51,101,45,48,55,32,52,46,51,52,49,50,49,
      101,45,48,55,32,53,46,50,54,57,50,52,101,45,48,55,32,54,46,52,51,49,56,49,101,
      45,48,55,32,55,46,54,54,51,53,54,101,45,48,55,32,56,46,57,55,56,52,54,101,45,
      48,55,10,32,32,49,46,48,52,52,53,52,101,45,48,54,32,49,46,50,49,53,53,49,101,
      45,48,54,32,49,46,51,55,48,48,57,101,45,48,54,32,49,46,53,51,54,52,52,101,45,
      48,54,32,49,46,54,56,55,51,50,101,45,48,54,32,49,46,56,54,49,48,55,101,45,48,
      54,32,50,46,49,49,48,51,54,101,45,48,54,10,32,32,50,46,51,53,52,53,49,101,45,
      48,54,32,50,46,53,55,56,54,57,101,45,48,54,32,50,46,55,53,55,52,51,101,45,48,
      54,32,50,46,57,57,51,57,54,101,45,48,54,32,51,46,50,49,48,48,56,101,45,48,54,
      32,51,46,52,48,52,49,52,101,45,48,54,32,51,46,53,54,50,51,56,101,45,48,54,10,
      32,32,51,46,55,49,52,56,101,45,48,54,32,51,46,56,54,55,55,52,101,45,48,54,32,
      52,46,48,50,54,55,50,101,45,48,54,32,52,46,49,52,55,53,56,101,45,48,54,32,52,
      46,49,57,57,56,56,101,45,48,54,32,52,46,49,55,56,53,55,101,45,48,54,32,52,46,
      48,50,55,48,56,101,45,48,54,10,32,32,51,46,56,51,49,48,56,101,45,48,54,32,51,
      46,54,54,49,50,52,101,45,48,54,32,51,46,54,54,51,49,55,101,45,48,54,32,51,46,
      52,51,56,56,101,45,48,54,32,51,46,49,57,55,48,50,101,45,48,54,32,50,46,57,53,
      48,52,53,101,45,48,54,32,50,46,55,48,57,52,57,101,45,48,54,10,32,32,50,46,52,
      52,50,53,53,101,45,48,54,32,50,46,50,53,49,53,101,45,48,54,32,50,46,48,54,54,
      55,53,101,45,48,54,32,49,46,55,55,57,53,57,101,45,48,54,32,49,46,54,49,53,53,
      56,101,45,48,54,32,49,46,51,55,55,52,54,101,45,48,54,32,49,46,49,53,51,50,52,
      101,45,48,54,10,32,32,49,46,48,51,50,52,52,101,45,48,54,32,57,46,50,49,51,49,
      101,45,48,55,32,55,46,54,53,48,57,51,101,45,48,55,32,54,46,49,56,53,56,56,101,
      45,48,55,32,53,46,52,55,57,55,57,101,45,48,55,32,52,46,52,56,53,53,49,101,45,
      48,55,32,51,46,57,53,57,49,52,101,45,48,55,10,32,32,51,46,50,49,55,48,56,101,
      45,48,55,32,50,46,54,54,56,54,55,101,45,48,55,32,50,46,49,56,54,50,56,101,45,
      48,55,32,49,46,57,55,55,50,55,101,45,48,55,32,49,46,54,50,54,57,57,101,45,48,
      55,32,49,46,51,48,56,52,56,101,45,48,55,32,49,46,48,56,57,51,50,101,45,48,55,
      10,32,32,57,46,48,53,53,51,50,101,45,48,56,32,55,46,54,48,55,57,53,101,45,48,
      56,32,54,46,52,48,49,56,56,101,45,48,56,32,53,46,50,56,48,54,56,101,45,48,56,
      32,52,46,52,52,54,50,57,101,45,48,56,32,51,46,54,55,52,54,54,101,45,48,56,32,
      51,46,49,57,49,56,49,101,45,48,56,10,32,32,50,46,53,51,51,55,56,101,45,48,56,
      32,50,46,49,57,55,57,53,101,45,48,56,32,49,46,56,52,48,55,55,101,45,48,56,32,
      49,46,50,49,53,48,51,101,45,48,56,32,54,46,56,50,53,50,51,101,45,48,57,32,51,
      46,56,54,56,57,51,101,45,48,57,32,49,46,56,57,49,56,55,101,45,48,57,10,32,32,
      57,46,50,48,48,50,53,101,45,49,48,32,51,46,56,53,48,49,50,101,45,49,48,32,49,
      46,56,53,53,49,54,101,45,49,48,32,53,46,55,51,48,54,53,101,45,49,49,32,49,46,
      56,53,55,55,52,101,45,49,49,32,56,46,51,56,51,49,57,101,45,49,50,32,51,46,52,
      51,55,53,52,101,45,49,50,10,32,32,49,46,48,52,51,55,51,101,45,49,50,32,51,46,
      54,54,56,53,54,101,45,49,51,32,49,46,50,56,54,55,57,101,45,49,51,32,51,46,56,
      55,55,57,101,45,49,52,32,49,46,49,54,54,52,49,101,45,49,52,32,52,46,48,55,49,
      51,57,101,45,49,53,32,49,46,52,49,57,53,57,101,45,49,53,10,32,32,52,46,57,52,
      53,48,55,101,45,49,54,32,49,46,52,50,55,55,53,101,45,49,54,32,51,46,54,54,54,
      50,51,101,45,49,55,32,56,46,48,56,53,53,55,101,45,49,56,32,50,46,48,55,50,52,
      56,101,45,49,56,32,52,46,53,52,48,51,49,101,45,49,57,32,49,46,49,54,50,101,
      45,49,57,10,32,32,50,46,57,55,50,51,54,101,45,50,48,32,54,46,53,50,57,50,54,
      101,45,50,49,32,49,46,50,56,53,50,57,101,45,50,49,32,51,46,54,52,54,101,45,
      50,50,32,56,46,53,50,52,56,50,101,45,50,51,32,50,46,49,52,49,57,55,101,45,50,
      51,32,52,46,52,55,53,53,50,101,45,50,52,10,32,32,48,114,49,48,54,32,49,46,54,
      54,52,50,101,45,50,49,32,49,46,57,48,48,50,53,101,45,50,48,32,49,46,48,55,51,
      51,51,101,45,49,57,32,52,46,48,56,54,55,49,101,45,49,57,32,49,46,50,50,48,52,
      53,101,45,49,56,32,51,46,48,55,50,55,50,101,45,49,56,32,54,46,56,52,49,57,57,
      101,45,49,56,10,32,32,50,46,49,56,52,57,57,101,45,49,54,32,52,46,50,50,48,55,
      101,45,49,54,32,55,46,52,52,54,49,51,101,45,49,54,32,49,46,50,52,57,56,54,101,
      45,49,53,32,50,46,48,49,49,56,55,101,45,49,53,32,51,46,49,50,53,56,56,101,45,
      49,53,32,52,46,55,49,48,48,50,101,45,49,53,10,32,32,54,46,57,48,57,53,53,101,
      45,49,53,32,57,46,57,48,52,56,52,101,45,49,53,32,49,46,51,57,48,53,49,101,45,
      49,52,32,49,46,57,49,54,50,53,101,45,49,52,32,50,46,53,57,55,50,50,101,45,49,
      52,32,51,46,52,54,55,55,50,101,45,49,52,32,52,46,53,54,55,51,52,101,45,49,52,
      10,32,32,53,46,57,51,54,52,56,101,45,49,52,32,55,46,54,55,57,49,49,101,45,49,
      52,32,57,46,55,54,53,53,57,101,45,49,52,32,49,46,50,50,55,56,55,101,45,49,51,
      32,49,46,53,50,56,53,55,101,45,49,51,32,49,46,56,56,55,51,51,101,45,49,51,32,
      50,46,51,48,54,57,55,101,45,49,51,10,32,32,50,46,55,57,51,50,54,101,45,49,51,
      32,51,46,51,53,57,55,55,101,45,49,51,32,52,46,48,48,54,54,54,101,45,49,51,32,
      52,46,55,50,57,48,53,101,45,49,51,32,53,46,53,53,49,54,49,101,45,49,51,32,54,
      46,52,55,52,54,56,101,45,49,51,32,55,46,52,54,49,55,51,101,45,49,51,10,32,32,
      56,46,53,54,50,51,55,101,45,49,51,32,57,46,55,56,53,49,50,101,45,49,51,32,49,
      46,49,48,51,50,56,101,45,49,50,32,49,46,50,51,57,56,50,101,45,49,50,32,49,46,
      51,56,56,56,55,101,45,49,50,32,49,46,53,51,56,52,56,101,45,49,50,32,49,46,54,
      57,55,51,51,101,45,49,50,10,32,32,49,46,56,54,56,49,56,101,45,49,50,32,50,46,
      48,51,57,49,53,101,45,49,50,32,50,46,50,49,53,50,54,101,45,49,50,32,50,46,52,
      48,50,54,50,101,45,49,50,32,50,46,53,57,49,56,49,101,45,49,50,32,50,46,55,56,
      50,49,52,101,45,49,50,32,50,46,57,56,51,49,54,101,45,49,50,10,32,32,51,46,49,
      56,56,56,57,101,45,49,50,32,51,46,51,57,50,56,101,45,49,50,32,51,46,54,48,55,
      49,55,101,45,49,50,32,51,46,56,50,57,53,101,45,49,50,32,52,46,48,52,57,49,101,
      45,49,50,32,52,46,50,55,57,50,51,101,45,49,50,32,52,46,53,50,48,49,101,45,49,
      50,10,32,32,52,46,55,53,55,55,57,101,45,49,50,32,53,46,48,48,54,50,57,101,45,
      49,50,32,53,46,50,54,53,57,56,101,45,49,50,32,53,46,53,50,52,52,51,101,45,49,
      50,32,53,46,55,57,49,55,54,101,45,49,50,32,54,46,48,55,48,54,50,101,45,49,50,
      32,54,46,51,52,55,53,56,101,45,49,50,10,32,32,54,46,54,50,57,53,55,101,45,49,
      50,32,54,46,57,50,51,50,56,101,45,49,50,32,55,46,50,49,50,53,51,101,45,49,50,
      32,55,46,52,57,55,54,56,101,45,49,50,32,55,46,55,57,52,53,54,101,45,49,50,32,
      56,46,48,56,53,53,56,101,45,49,50,32,56,46,51,53,52,52,50,101,45,49,50,10,32,
      32,56,46,54,51,52,57,53,101,45,49,50,32,56,46,57,49,51,53,101,45,49,50,32,57,
      46,49,52,48,55,52,101,45,49,50,32,57,46,51,56,48,50,52,101,45,49,50,32,57,46,
      54,51,48,54,55,101,45,49,50,32,57,46,55,57,49,51,53,101,45,49,50,32,57,46,57,
      54,54,53,55,101,45,49,50,10,32,32,49,46,48,49,53,53,57,101,45,49,49,32,49,46,
      48,50,53,51,50,101,45,49,49,32,49,46,48,51,53,101,45,49,49,32,49,46,48,52,54,
      52,57,101,45,49,49,32,49,46,48,53,48,51,57,101,45,49,49,32,49,46,48,53,50,51,
      51,101,45,49,49,32,49,46,48,53,54,54,52,101,45,49,49,10,32,32,49,46,48,53,54,
      49,54,101,45,49,49,32,49,46,48,53,50,48,53,101,45,49,49,32,49,46,48,53,48,56,
      57,101,45,49,49,32,49,46,48,52,56,49,54,101,45,49,49,32,49,46,48,52,48,56,101,
      45,49,49,32,49,46,48,51,54,56,49,101,45,49,49,32,49,46,48,51,52,48,52,101,45,
      49,49,10,32,32,49,46,48,50,54,53,56,101,45,49,49,32,49,46,48,50,50,54,51,101,
      45,49,49,32,49,46,48,50,49,55,52,101,45,49,49,32,49,46,48,49,55,48,53,101,45,
      49,49,32,49,46,48,49,53,55,54,101,45,49,49,32,49,46,48,49,55,53,51,101,45,49,
      49,32,49,46,48,49,56,54,52,101,45,49,49,10,32,32,49,46,48,50,50,49,52,101,45,
      49,49,32,49,46,48,50,56,52,51,101,45,49,49,32,49,46,48,51,54,51,49,101,45,49,
      49,32,49,46,48,52,54,50,57,101,45,49,49,32,49,46,48,53,56,55,49,101,45,49,49,
      32,49,46,48,55,52,48,50,101,45,49,49,32,49,46,48,57,50,48,51,101,45,49,49,10,
      32,32,49,46,49,49,50,49,49,101,45,49,49,32,49,46,49,51,53,52,51,101,45,49,49,
      32,49,46,49,54,50,56,57,101,45,49,49,32,49,46,49,57,50,49,51,101,45,49,49,32,
      49,46,50,50,52,50,57,101,45,49,49,32,49,46,50,54,51,48,51,101,45,49,49,32,49,
      46,51,48,51,52,52,101,45,49,49,10,32,32,49,46,51,52,53,55,53,101,45,49,49,32,
      49,46,51,57,56,50,101,45,49,49,32,49,46,52,53,50,53,50,101,45,49,49,32,49,46,
      53,48,56,55,54,101,45,49,49,32,49,46,53,55,54,53,53,101,45,49,49,32,49,46,54,
      52,56,53,49,101,45,49,49,32,49,46,55,50,51,49,52,101,45,49,49,10,32,32,49,46,
      56,48,57,57,51,101,45,49,49,32,49,46,57,48,52,56,56,101,45,49,49,32,50,46,48,
      48,52,101,45,49,49,32,50,46,49,49,53,53,101,45,49,49,32,50,46,50,52,48,52,101,
      45,49,49,32,50,46,51,55,50,50,51,101,45,49,49,32,50,46,53,49,54,53,56,101,45,
      49,49,10,32,32,50,46,54,55,57,57,52,101,45,49,49,32,50,46,56,53,52,51,50,101,
      45,49,49,32,51,46,48,52,50,52,54,101,45,49,49,32,51,46,50,53,51,49,56,101,45,
      49,49,32,51,46,52,56,48,48,52,101,45,49,49,32,51,46,55,50,52,54,55,101,45,49,
      49,32,51,46,57,57,48,49,54,101,45,49,49,10,32,32,52,46,50,55,55,51,50,101,45,
      49,49,32,52,46,53,56,56,50,101,45,49,49,32,52,46,57,49,51,57,50,101,45,49,49,
      32,53,46,50,54,51,56,101,45,49,49,32,53,46,54,52,50,48,55,101,45,49,49,32,54,
      46,48,51,49,54,55,101,45,49,49,32,54,46,52,52,49,53,52,101,45,49,49,10,32,32,
      54,46,56,56,50,48,49,101,45,49,49,32,55,46,51,51,53,48,56,101,45,49,49,32,55,
      46,55,57,57,52,56,101,45,49,49,32,56,46,50,57,52,57,50,101,45,49,49,32,56,46,
      56,48,55,56,50,101,45,49,49,32,57,46,51,50,50,53,57,101,45,49,49,32,57,46,56,
      54,55,54,54,101,45,49,49,10,32,32,49,46,48,52,51,55,55,101,45,49,48,32,49,46,
      49,48,48,54,101,45,49,48,32,49,46,49,54,48,52,53,101,45,49,48,32,49,46,50,50,
      51,52,49,101,45,49,48,32,49,46,50,56,54,53,56,101,45,49,48,32,49,46,51,53,50,
      56,57,101,45,49,48,32,49,46,52,50,50,52,52,101,45,49,48,10,32,32,49,46,53,49,
      56,52,101,45,49,48,32,49,46,55,54,52,57,51,101,45,49,48,32,50,46,49,57,55,56,
      54,101,45,49,48,32,51,46,49,51,49,51,101,45,49,48,32,52,46,51,50,55,52,51,101,
      45,49,48,32,53,46,54,53,54,57,53,101,45,49,48,32,54,46,57,50,51,54,52,101,45,
      49,48,10,32,32,56,46,48,50,48,50,51,101,45,49,48,32,56,46,57,56,49,51,50,101,
      45,49,48,32,57,46,57,49,49,56,52,101,45,49,48,32,49,46,48,57,49,50,56,101,45,
      48,57,32,49,46,50,48,54,56,101,45,48,57,32,49,46,51,52,51,54,56,101,45,48,57,
      32,49,46,53,48,54,48,55,101,45,48,57,10,32,32,49,46,55,52,49,56,57,101,45,48,
      57,32,50,46,48,50,57,55,53,101,45,48,57,32,50,46,53,49,50,55,101,45,48,57,32,
      51,46,49,49,50,52,51,101,45,48,57,32,51,46,56,52,57,54,51,101,45,48,57,32,52,
      46,57,56,48,51,52,101,45,48,57,32,54,46,51,52,49,55,54,101,45,48,57,10,32,32,
      55,46,56,54,49,53,101,45,48,57,32,57,46,54,57,54,56,57,101,45,48,57,32,49,46,
      49,51,51,48,52,101,45,48,56,32,49,46,51,49,52,52,53,101,45,48,56,32,49,46,52,
      56,48,53,54,101,45,48,56,32,49,46,54,53,57,57,57,101,45,48,56,32,49,46,57,48,
      56,57,50,101,45,48,56,10,32,32,50,46,50,55,50,52,101,45,48,56,32,50,46,55,55,
      53,52,51,101,45,48,56,32,51,46,52,50,51,51,50,101,45,48,56,32,52,46,50,51,51,
      55,56,101,45,48,56,32,53,46,50,54,55,56,56,101,45,48,56,32,54,46,51,52,54,56,
      55,101,45,48,56,32,55,46,53,50,53,57,54,101,45,48,56,10,32,32,56,46,57,49,56,
      49,49,101,45,48,56,32,49,46,48,53,51,54,101,45,48,55,32,49,46,50,48,49,53,50,
      101,45,48,55,32,49,46,52,51,49,52,49,101,45,48,55,32,49,46,55,57,49,52,56,101,
      45,48,55,32,50,46,50,54,50,54,51,101,45,48,55,32,50,46,56,52,53,51,50,101,45,
      48,55,10,32,32,51,46,53,55,54,50,53,101,45,48,55,32,52,46,51,53,54,54,53,101,
      45,48,55,32,53,46,49,57,55,49,101,45,48,55,32,54,46,49,51,54,57,51,101,45,48,
      55,32,55,46,50,50,50,49,53,101,45,48,55,32,56,46,49,57,56,54,52,101,45,48,55,
      32,57,46,50,54,57,52,55,101,45,48,55,10,32,32,49,46,48,50,54,51,50,101,45,48,
      54,32,49,46,49,52,51,55,56,101,45,48,54,32,49,46,51,49,55,52,51,101,45,48,54,
      32,49,46,52,57,50,49,49,101,45,48,54,32,49,46,54,53,52,55,49,101,45,48,54,32,
      49,46,55,56,52,56,101,45,48,54,32,49,46,57,53,55,53,51,101,45,48,54,10,32,32,
      50,46,49,49,55,48,53,101,45,48,54,32,50,46,50,54,50,51,101,45,48,54,32,50,46,
      51,56,49,51,101,45,48,54,32,50,46,52,57,52,51,51,101,45,48,54,32,50,46,54,48,
      53,54,55,101,45,48,54,32,50,46,55,50,49,53,57,101,45,48,54,32,50,46,56,49,50,
      57,51,101,45,48,54,10,32,32,50,46,56,53,55,53,52,101,45,48,54,32,50,46,56,54,
      53,53,53,101,45,48,54,32,50,46,55,56,54,55,49,101,45,48,54,32,50,46,54,55,51,
      54,57,101,45,48,54,32,50,46,53,55,52,57,49,101,45,48,54,32,50,46,53,56,53,54,
      55,101,45,48,54,32,50,46,52,52,54,49,49,101,45,48,54,10,32,32,50,46,50,57,49,
      51,53,101,45,48,54,32,50,46,49,51,48,48,51,101,45,48,54,32,49,46,57,54,57,54,
      101,45,48,54,32,49,46,55,56,57,48,52,101,45,48,54,32,49,46,54,53,56,49,49,101,
      45,48,54,32,49,46,53,51,48,50,50,101,45,48,54,32,49,46,51,50,56,57,52,101,45,
      48,54,10,32,32,49,46,50,49,50,54,51,101,45,48,54,32,49,46,48,52,50,48,50,101,
      45,48,54,32,56,46,55,57,51,56,53,101,45,48,55,32,55,46,57,48,57,50,54,101,45,
      48,55,32,55,46,48,56,57,57,56,101,45,48,55,32,53,46,57,50,56,56,55,101,45,48,
      55,32,52,46,56,50,56,57,55,101,45,48,55,10,32,32,52,46,50,57,52,55,101,45,48,
      55,32,51,46,53,51,55,50,50,101,45,48,55,32,51,46,49,51,51,53,54,101,45,48,55,
      32,50,46,53,54,48,56,101,45,48,55,32,50,46,49,49,57,57,52,101,45,48,55,32,49,
      46,55,52,50,53,55,101,45,48,55,32,49,46,53,55,56,57,55,101,45,48,55,10,32,32,
      49,46,51,48,51,56,52,101,45,48,55,32,49,46,48,53,50,52,55,101,45,48,55,32,56,
      46,55,56,55,55,57,101,45,48,56,32,55,46,51,50,53,56,49,101,45,48,56,32,54,46,
      49,55,48,53,55,101,45,48,56,32,53,46,50,48,52,57,50,101,45,48,56,32,52,46,51,
      48,52,52,51,101,45,48,56,10,32,32,51,46,54,51,50,50,56,101,45,48,56,32,51,46,
      48,48,56,57,52,101,45,48,56,32,50,46,54,49,55,57,49,101,45,48,56,32,50,46,48,
      56,51,54,52,101,45,48,56,32,49,46,56,49,48,50,55,101,45,48,56,32,49,46,53,49,
      56,57,51,101,45,48,56,32,49,46,48,48,54,55,52,101,45,48,56,10,32,32,53,46,54,
      56,52,54,54,101,45,48,57,32,51,46,50,51,55,50,57,101,45,48,57,32,49,46,53,57,
      49,50,55,101,45,48,57,32,55,46,55,55,52,57,52,101,45,49,48,32,51,46,50,55,48,
      50,101,45,49,48,32,49,46,53,56,49,55,50,101,45,49,48,32,52,46,57,49,50,53,53,
      101,45,49,49,10,32,32,49,46,53,57,57,55,54,101,45,49,49,32,55,46,50,51,57,56,
      53,101,45,49,50,32,50,46,57,55,55,53,49,101,45,49,50,32,57,46,48,55,50,57,101,
      45,49,51,32,51,46,49,57,56,48,54,101,45,49,51,32,49,46,49,50,52,54,57,101,45,
      49,51,32,51,46,51,57,56,54,56,101,45,49,52,10,32,32,49,46,48,50,52,56,49,101,
      45,49,52,32,51,46,53,56,52,51,101,45,49,53,32,49,46,50,53,50,49,101,45,49,53,
      32,52,46,51,54,57,50,56,101,45,49,54,32,49,46,50,54,53,49,52,101,45,49,54,32,
      51,46,50,53,53,49,50,101,45,49,55,32,55,46,49,57,51,54,51,101,45,49,56,10,32,
      32,49,46,56,52,55,48,53,101,45,49,56,32,52,46,48,53,51,54,56,101,45,49,57,32,
      49,46,48,51,57,101,45,49,57,32,50,46,54,54,49,54,101,45,50,48,32,53,46,56,53,
      53,53,57,101,45,50,49,32,49,46,49,53,52,49,57,101,45,50,49,32,51,46,50,56,53,
      52,57,101,45,50,50,10,32,32,55,46,54,54,54,52,50,101,45,50,51,32,50,46,48,48,
      54,57,53,101,45,50,51,32,52,46,56,56,49,56,52,101,45,50,52,32,48,114,49,48,
      54,32,52,46,56,50,51,49,57,101,45,50,50,32,53,46,53,49,48,52,54,101,45,50,49,
      32,51,46,49,49,53,101,45,50,48,32,49,46,49,56,55,50,53,101,45,49,57,10,32,32,
      51,46,53,53,48,48,50,101,45,49,57,32,56,46,57,53,48,57,53,101,45,49,57,32,49,
      46,57,57,54,52,54,101,45,49,56,32,49,46,51,57,49,54,53,101,45,49,54,32,50,46,
      54,48,55,57,56,101,45,49,54,32,52,46,54,48,49,51,53,101,45,49,54,32,55,46,55,
      50,52,54,52,101,45,49,54,10,32,32,49,46,50,52,51,54,53,101,45,49,53,32,49,46,
      57,51,50,54,57,101,45,49,53,32,50,46,57,49,51,53,52,101,45,49,53,32,52,46,50,
      57,53,53,51,101,45,49,53,32,54,46,49,54,49,56,101,45,49,53,32,56,46,54,53,50,
      50,52,101,45,49,53,32,49,46,49,57,50,54,49,101,45,49,52,10,32,32,49,46,54,49,
      54,55,54,101,45,49,52,32,50,46,49,53,57,49,50,101,45,49,52,32,50,46,56,52,52,
      52,49,101,45,49,52,32,51,46,54,57,55,56,56,101,45,49,52,32,52,46,55,56,54,52,
      53,101,45,49,52,32,54,46,48,56,55,56,56,101,45,49,52,32,55,46,54,53,53,48,53,
      101,45,49,52,10,32,32,57,46,53,51,49,56,56,101,45,49,52,32,49,46,49,55,55,49,
      55,101,45,49,51,32,49,46,52,51,57,50,50,101,45,49,51,32,49,46,55,52,50,57,56,
      101,45,49,51,32,50,46,48,57,54,57,50,101,45,49,51,32,50,46,53,48,49,50,50,101,
      45,49,51,32,50,46,57,53,50,56,52,101,45,49,51,10,32,32,51,46,52,54,55,49,51,
      101,45,49,51,32,52,46,48,52,52,51,54,101,45,49,51,32,52,46,54,54,49,55,49,101,
      45,49,51,32,53,46,51,53,48,50,51,101,45,49,51,32,54,46,49,49,53,50,54,101,45,
      49,51,32,54,46,56,57,53,57,52,101,45,49,51,32,55,46,55,53,48,51,57,101,45,49,
      51,10,32,32,56,46,54,56,51,54,54,101,45,49,51,32,57,46,54,50,48,49,52,101,45,
      49,51,32,49,46,48,54,49,52,55,101,45,49,50,32,49,46,49,54,56,52,52,101,45,49,
      50,32,49,46,50,55,53,52,56,101,45,49,50,32,49,46,51,56,53,55,52,101,45,49,50,
      32,49,46,53,48,51,48,54,101,45,49,50,10,32,32,49,46,54,50,49,53,50,101,45,49,
      50,32,49,46,55,52,48,54,57,101,45,49,50,32,49,46,56,54,54,53,56,101,45,49,50,
      32,49,46,57,57,53,52,101,45,49,50,32,50,46,49,50,51,48,57,101,45,49,50,32,50,
      46,50,53,55,51,51,101,45,49,50,32,50,46,51,57,54,53,53,101,45,49,50,10,32,32,
      50,46,53,51,52,48,54,101,45,49,50,32,50,46,54,55,56,49,56,101,45,49,50,32,50,
      46,56,50,57,48,51,101,45,49,50,32,50,46,57,55,55,56,55,101,45,49,50,32,51,46,
      49,51,51,52,57,101,45,49,50,32,51,46,50,57,54,49,50,101,45,49,50,32,51,46,52,
      53,55,57,55,101,45,49,50,10,32,32,51,46,54,50,53,51,56,101,45,49,50,32,51,46,
      56,48,48,48,50,101,45,49,50,32,51,46,57,55,51,52,54,101,45,49,50,32,52,46,49,
      53,48,48,53,101,45,49,50,32,52,46,51,51,51,57,56,101,45,49,50,32,52,46,53,49,
      53,49,49,101,45,49,50,32,52,46,54,57,51,54,54,101,45,49,50,10,32,32,52,46,56,
      55,57,53,54,101,45,49,50,32,53,46,48,54,49,55,56,101,45,49,50,32,53,46,50,51,
      48,48,55,101,45,49,50,32,53,46,52,48,53,54,57,101,45,49,50,32,53,46,53,56,48,
      48,54,101,45,49,50,32,53,46,55,50,50,50,50,101,45,49,50,32,53,46,56,55,50,48,
      55,101,45,49,50,10,32,32,54,46,48,50,56,55,55,101,45,49,50,32,54,46,49,50,57,
      49,53,101,45,49,50,32,54,46,50,51,56,54,52,101,45,49,50,32,54,46,51,53,55,101,
      45,49,50,32,54,46,52,49,55,54,101,45,49,50,32,54,46,52,55,55,56,55,101,45,49,
      50,32,54,46,53,52,57,53,101,45,49,50,10,32,32,54,46,53,55,51,52,56,101,45,49,
      50,32,54,46,53,56,53,50,52,101,45,49,50,32,54,46,54,49,49,56,49,101,45,49,50,
      32,54,46,54,48,56,51,57,101,45,49,50,32,54,46,53,56,50,49,55,101,45,49,50,32,
      54,46,53,55,52,52,53,101,45,49,50,32,54,46,53,53,54,57,49,101,45,49,50,10,32,
      32,54,46,53,49,48,51,54,101,45,49,50,32,54,46,52,56,52,57,52,101,45,49,50,32,
      54,46,52,54,55,50,49,101,45,49,50,32,54,46,52,50,48,48,52,101,45,49,50,32,54,
      46,51,57,52,57,52,101,45,49,50,32,54,46,51,56,56,57,56,101,45,49,50,32,54,46,
      51,53,57,50,56,101,45,49,50,10,32,32,54,46,51,53,48,56,51,101,45,49,50,32,54,
      46,51,54,49,54,50,101,45,49,50,32,54,46,51,54,56,51,101,45,49,50,32,54,46,51,
      56,57,57,54,101,45,49,50,32,54,46,52,50,57,49,54,101,45,49,50,32,54,46,52,55,
      56,51,50,101,45,49,50,32,54,46,53,52,48,54,50,101,45,49,50,10,32,32,54,46,54,
      49,56,50,49,101,45,49,50,32,54,46,55,49,51,57,55,101,45,49,50,32,54,46,56,50,
      54,54,49,101,45,49,50,32,54,46,57,53,50,50,52,101,45,49,50,32,55,46,48,57,56,
      50,50,101,45,49,50,32,55,46,50,55,48,49,101,45,49,50,32,55,46,52,53,51,49,53,
      101,45,49,50,10,32,32,55,46,54,53,52,52,55,101,45,49,50,32,55,46,56,57,55,48,
      51,101,45,49,50,32,56,46,49,53,48,48,57,101,45,49,50,32,56,46,52,49,53,48,52,
      101,45,49,50,32,56,46,55,52,51,52,54,101,45,49,50,32,57,46,48,56,51,54,51,101,
      45,49,50,32,57,46,52,51,53,57,49,101,45,49,50,10,32,32,57,46,56,54,48,52,56,
      101,45,49,50,32,49,46,48,51,49,49,50,101,45,49,49,32,49,46,48,55,55,56,54,101,
      45,49,49,32,49,46,49,51,50,50,50,101,45,49,49,32,49,46,49,57,49,55,101,45,49,
      49,32,49,46,50,53,51,56,101,45,49,49,32,49,46,51,50,51,54,53,101,45,49,49,10,
      32,32,49,46,52,48,49,57,101,45,49,49,32,49,46,52,56,52,53,101,45,49,49,32,49,
      46,53,55,52,57,53,101,45,49,49,32,49,46,54,55,55,51,50,101,45,49,49,32,49,46,
      55,56,54,54,49,101,45,49,49,32,49,46,57,48,52,53,51,101,45,49,49,32,50,46,48,
      51,54,54,50,101,45,49,49,10,32,32,50,46,49,55,56,56,52,101,45,49,49,32,50,46,
      51,51,50,50,50,101,45,49,49,32,50,46,52,57,56,54,57,101,45,49,49,32,50,46,54,
      55,56,55,54,101,45,49,49,32,50,46,56,55,51,55,51,101,45,49,49,32,51,46,48,55,
      56,48,50,101,45,49,49,32,51,46,50,57,55,52,57,101,45,49,49,10,32,32,51,46,53,
      51,52,55,56,101,45,49,49,32,51,46,55,55,57,49,57,101,45,49,49,32,52,46,48,51,
      54,51,52,101,45,49,49,32,52,46,51,49,50,54,57,101,45,49,49,32,52,46,53,57,54,
      57,54,101,45,49,49,32,52,46,56,56,56,51,52,101,45,49,49,32,53,46,49,57,57,50,
      101,45,49,49,10,32,32,53,46,53,50,49,48,50,101,45,49,49,32,53,46,56,52,52,48,
      49,101,45,49,49,32,54,46,49,56,54,48,49,101,45,49,49,32,54,46,53,52,51,54,54,
      101,45,49,49,32,54,46,57,48,48,50,49,101,45,49,49,32,55,46,50,55,53,55,50,101,
      45,49,49,32,55,46,54,55,48,55,53,101,45,49,49,10,32,32,56,46,48,54,55,48,51,
      101,45,49,49,32,56,46,52,56,50,57,56,101,45,49,49,32,56,46,57,49,57,50,56,101,
      45,49,49,32,57,46,53,50,49,49,53,101,45,49,49,32,49,46,49,48,54,55,50,101,45,
      49,48,32,49,46,51,55,56,49,49,101,45,49,48,32,49,46,57,54,50,55,53,101,45,49,
      48,10,32,32,50,46,55,49,48,55,57,101,45,49,48,32,51,46,53,52,48,57,52,101,45,
      49,48,32,52,46,51,51,49,48,54,101,45,49,48,32,53,46,48,49,52,57,51,101,45,49,
      48,32,53,46,54,49,52,52,50,101,45,49,48,32,54,46,49,57,52,56,50,101,45,49,48,
      32,54,46,56,49,56,55,51,101,45,49,48,10,32,32,55,46,53,51,56,49,101,45,49,48,
      32,56,46,51,56,57,54,101,45,49,48,32,57,46,51,57,56,54,53,101,45,49,48,32,49,
      46,48,56,54,50,101,45,48,57,32,49,46,50,54,52,53,54,101,45,48,57,32,49,46,53,
      54,51,55,57,101,45,48,57,32,49,46,57,51,51,57,49,101,45,48,57,10,32,32,50,46,
      51,56,55,55,54,101,45,48,57,32,51,46,48,56,50,51,101,45,48,57,32,51,46,57,49,
      54,57,51,101,45,48,57,32,52,46,56,52,56,48,56,101,45,48,57,32,53,46,57,55,51,
      50,56,101,45,48,57,32,54,46,57,55,53,53,51,101,45,48,57,32,56,46,48,56,57,56,
      49,101,45,48,57,10,32,32,57,46,49,49,48,49,49,101,45,48,57,32,49,46,48,50,49,
      50,53,101,45,48,56,32,49,46,49,55,52,51,54,101,45,48,56,32,49,46,51,57,56,51,
      51,101,45,48,56,32,49,46,55,48,57,54,50,101,45,48,56,32,50,46,49,49,50,55,57,
      101,45,48,56,32,50,46,54,50,48,57,57,101,45,48,56,10,32,32,51,46,50,55,53,49,
      56,101,45,48,56,32,51,46,57,54,51,53,55,101,45,48,56,32,52,46,55,50,48,48,51,
      101,45,48,56,32,53,46,54,49,55,51,53,101,45,48,56,32,54,46,54,54,56,50,57,101,
      45,48,56,32,55,46,54,51,57,53,57,101,45,48,56,32,57,46,49,54,54,54,52,101,45,
      48,56,10,32,32,49,46,49,53,57,56,56,101,45,48,55,32,49,46,52,56,51,56,54,101,
      45,48,55,32,49,46,56,57,49,53,52,101,45,48,55,32,50,46,52,49,49,55,50,101,45,
      48,55,32,50,46,57,55,53,53,56,101,45,48,55,32,51,46,53,57,101,45,48,55,32,52,
      46,50,56,48,51,49,101,45,48,55,10,32,32,53,46,48,55,52,53,53,101,45,48,55,32,
      53,46,55,56,55,55,54,101,45,48,55,32,54,46,53,55,57,52,101,45,48,55,32,55,46,
      51,50,52,53,55,101,45,48,55,32,56,46,50,49,57,55,51,101,45,48,55,32,57,46,53,
      54,55,57,53,101,45,48,55,32,49,46,48,57,52,55,57,101,45,48,54,10,32,32,49,46,
      50,50,52,54,55,101,45,48,54,32,49,46,51,50,57,48,56,101,45,48,54,32,49,46,52,
      54,56,51,53,101,45,48,54,32,49,46,53,57,56,49,53,101,45,48,54,32,49,46,55,49,
      55,53,55,101,45,48,54,32,49,46,56,49,53,55,57,101,45,48,54,32,49,46,57,48,56,
      51,50,101,45,48,54,10,32,32,49,46,57,57,56,51,57,101,45,48,54,32,50,46,48,57,
      50,49,55,101,45,48,54,32,50,46,49,54,55,54,53,101,45,48,54,32,50,46,50,48,54,
      57,51,101,45,48,54,32,50,46,50,50,52,57,101,45,48,54,32,50,46,49,55,54,53,101,
      45,48,54,32,50,46,48,57,57,54,50,101,45,48,54,10,32,32,50,46,48,51,50,48,50,
      101,45,48,54,32,50,46,48,52,53,50,53,101,45,48,54,32,49,46,57,52,52,52,53,101,
      45,48,54,32,49,46,56,51,48,50,56,101,45,48,54,32,49,46,55,48,57,52,49,101,45,
      48,54,32,49,46,53,56,55,54,56,101,45,48,54,32,49,46,52,52,57,49,57,101,45,48,
      54,10,32,32,49,46,51,52,55,56,57,101,45,48,54,32,49,46,50,52,56,50,53,101,45,
      48,54,32,49,46,48,57,48,49,53,101,45,48,54,32,57,46,57,56,48,55,52,101,45,48,
      55,32,56,46,54,50,48,55,49,101,45,48,55,32,55,46,51,49,51,54,57,101,45,48,55,
      32,54,46,53,57,56,50,52,101,45,48,55,10,32,32,53,46,57,51,50,54,49,101,45,48,
      55,32,52,46,57,56,52,48,52,101,45,48,55,32,52,46,48,55,57,51,57,101,45,48,55,
      32,51,46,54,51,55,54,51,101,45,48,55,32,51,46,48,48,56,52,53,101,45,48,55,32,
      50,46,54,55,49,54,52,101,45,48,55,32,50,46,49,57,49,54,49,101,45,48,55,10,32,
      32,49,46,56,49,50,54,101,45,48,55,32,49,46,52,57,51,54,57,101,45,48,55,32,49,
      46,51,53,53,50,50,101,45,48,55,32,49,46,49,50,49,55,54,101,45,48,55,32,57,46,
      48,55,55,56,57,101,45,48,56,32,55,46,53,57,52,57,53,101,45,48,56,32,54,46,51,
      52,51,54,101,45,48,56,10,32,32,53,46,51,53,50,53,101,45,48,56,32,52,46,53,50,
      50,50,55,101,45,48,56,32,51,46,55,52,54,52,53,101,45,48,56,32,51,46,49,54,54,
      49,56,101,45,48,56,32,50,46,54,50,55,48,51,101,45,48,56,32,50,46,50,56,56,50,
      51,101,45,48,56,32,49,46,56,50,52,53,50,101,45,48,56,10,32,32,49,46,53,56,54,
      56,51,101,45,48,56,32,49,46,51,51,51,49,54,101,45,48,56,32,56,46,56,54,49,49,
      52,101,45,48,57,32,53,46,48,50,49,53,101,45,48,57,32,50,46,56,54,56,55,51,101,
      45,48,57,32,49,46,52,49,53,49,57,101,45,48,57,32,54,46,57,51,54,57,52,101,45,
      49,48,10,32,32,50,46,57,50,55,56,53,101,45,49,48,32,49,46,52,49,57,56,52,101,
      45,49,48,32,52,46,52,50,54,49,56,101,45,49,49,32,49,46,52,52,53,56,54,101,45,
      49,49,32,54,46,53,53,54,50,54,101,45,49,50,32,50,46,55,48,49,56,52,101,45,49,
      50,32,56,46,50,53,51,48,55,101,45,49,51,10,32,32,50,46,57,49,52,55,50,101,45,
      49,51,32,49,46,48,50,54,56,55,101,45,49,51,32,51,46,49,48,56,56,50,101,45,49,
      52,32,57,46,51,56,57,57,49,101,45,49,53,32,51,46,50,56,56,54,50,101,45,49,53,
      32,49,46,49,53,48,50,55,101,45,49,53,32,52,46,48,49,56,55,53,101,45,49,54,10,
      32,32,49,46,49,54,53,56,55,101,45,49,54,32,51,46,48,48,51,55,53,101,45,49,55,
      32,54,46,54,52,55,51,101,45,49,56,32,49,46,55,48,56,55,51,101,45,49,56,32,51,
      46,55,53,52,55,52,101,45,49,57,32,57,46,54,51,51,56,51,101,45,50,48,32,50,46,
      52,55,48,51,49,101,45,50,48,10,32,32,53,46,52,52,48,48,57,101,45,50,49,32,49,
      46,48,55,51,50,55,101,45,50,49,32,51,46,48,54,52,48,49,101,45,50,50,32,55,46,
      49,51,52,54,50,101,45,50,51,32,49,46,57,51,54,53,53,101,45,50,51,32,52,46,53,
      51,48,50,57,101,45,50,52,32,48,114,49,48,54,32,57,46,54,57,50,56,53,101,45,
      50,51,10,32,32,49,46,49,48,56,57,57,101,45,50,49,32,54,46,50,56,49,52,53,101,
      45,50,49,32,50,46,52,48,48,50,53,101,45,50,48,32,55,46,49,57,57,49,57,101,45,
      50,48,32,49,46,56,50,49,55,53,101,45,49,57,32,52,46,48,56,48,48,55,101,45,49,
      57,32,57,46,57,52,53,50,54,101,45,49,55,10,32,32,49,46,56,54,51,50,55,101,45,
      49,54,32,51,46,50,56,54,52,56,101,45,49,54,32,53,46,53,49,53,52,55,101,45,49,
      54,32,56,46,56,55,54,53,51,101,45,49,54,32,49,46,51,55,56,57,101,45,49,53,32,
      50,46,48,55,55,50,56,101,45,49,53,32,51,46,48,52,54,54,56,101,45,49,53,10,32,
      32,52,46,51,54,54,52,101,45,49,53,32,54,46,49,50,56,51,53,101,45,49,53,32,56,
      46,52,52,51,49,56,101,45,49,53,32,49,46,49,52,52,48,52,101,45,49,52,32,49,46,
      53,50,55,48,52,101,45,49,52,32,50,46,48,49,48,54,53,101,45,49,52,32,50,46,54,
      49,50,53,52,101,45,49,52,10,32,32,51,46,51,56,48,53,52,101,45,49,52,32,52,46,
      50,57,55,50,55,101,45,49,52,32,53,46,52,48,51,48,55,101,45,49,52,32,54,46,55,
      50,53,49,50,101,45,49,52,32,56,46,51,48,48,50,55,101,45,49,52,32,49,46,48,49,
      52,49,55,101,45,49,51,32,49,46,50,50,55,52,52,101,45,49,51,10,32,32,49,46,52,
      55,53,55,53,101,45,49,51,32,49,46,55,53,57,51,101,45,49,51,32,50,46,48,55,53,
      56,57,101,45,49,51,32,50,46,52,51,53,57,49,101,45,49,51,32,50,46,56,51,57,54,
      57,101,45,49,51,32,51,46,50,55,49,50,54,101,45,49,51,32,51,46,55,53,50,50,50,
      101,45,49,51,10,32,32,52,46,50,56,54,50,52,101,45,49,51,32,52,46,56,51,48,57,
      55,101,45,49,51,32,53,46,52,50,54,55,56,101,45,49,51,32,54,46,48,55,54,57,49,
      101,45,49,51,32,54,46,55,50,57,51,50,101,45,49,51,32,55,46,52,50,49,55,50,101,
      45,49,51,32,56,46,49,54,54,49,57,101,45,49,51,10,32,32,56,46,57,49,49,48,54,
      101,45,49,51,32,57,46,54,55,56,49,53,101,45,49,51,32,49,46,48,52,57,52,101,
      45,49,50,32,49,46,49,51,49,55,55,101,45,49,50,32,49,46,50,49,52,54,51,101,45,
      49,50,32,49,46,51,48,50,49,51,101,45,49,50,32,49,46,51,57,49,54,54,101,45,49,
      50,10,32,32,49,46,52,56,48,52,49,101,45,49,50,32,49,46,53,55,51,54,57,101,45,
      49,50,32,49,46,54,55,48,52,49,101,45,49,50,32,49,46,55,54,53,57,55,101,45,49,
      50,32,49,46,56,54,54,48,56,101,45,49,50,32,49,46,57,55,48,56,53,101,45,49,50,
      32,50,46,48,55,52,50,53,101,45,49,50,10,32,32,50,46,49,56,50,51,52,101,45,49,
      50,32,50,46,50,57,53,50,55,101,45,49,50,32,50,46,52,48,55,54,56,101,45,49,50,
      32,50,46,53,50,51,57,52,101,45,49,50,32,50,46,54,52,53,49,56,101,45,49,50,32,
      50,46,55,54,53,54,51,101,45,49,50,32,50,46,56,56,56,50,55,101,45,49,50,10,32,
      32,51,46,48,49,53,57,55,101,45,49,50,32,51,46,49,52,49,55,56,101,45,49,50,32,
      51,46,50,54,53,57,101,45,49,50,32,51,46,51,57,53,48,52,101,45,49,50,32,51,46,
      53,50,49,54,56,101,45,49,50,32,51,46,54,51,56,56,50,101,45,49,50,32,51,46,55,
      54,48,57,56,101,45,49,50,10,32,32,51,46,56,56,50,51,51,101,45,49,50,32,51,46,
      57,56,49,53,54,101,45,49,50,32,52,46,48,56,54,49,49,101,45,49,50,32,52,46,49,
      57,53,52,101,45,49,50,32,52,46,50,54,53,57,57,101,45,49,50,32,52,46,51,52,50,
      56,56,101,45,49,50,32,52,46,52,50,53,56,57,101,45,49,50,10,32,32,52,46,52,54,
      57,49,55,101,45,49,50,32,52,46,53,49,50,50,51,101,45,49,50,32,52,46,53,54,51,
      49,50,101,45,49,50,32,52,46,53,56,49,50,101,45,49,50,32,52,46,53,57,48,57,49,
      101,45,49,50,32,52,46,54,49,48,55,53,101,45,49,50,32,52,46,54,48,57,56,55,101,
      45,49,50,10,32,32,52,46,53,57,51,50,50,101,45,49,50,32,52,46,53,56,57,51,101,
      45,49,50,32,52,46,53,55,56,53,53,101,45,49,50,32,52,46,53,52,55,54,57,101,45,
      49,50,32,52,46,53,51,49,51,56,101,45,49,50,32,52,46,53,50,48,51,50,101,45,49,
      50,32,52,46,52,56,56,56,50,101,45,49,50,10,32,32,52,46,52,55,50,53,51,101,45,
      49,50,32,52,46,52,54,57,52,51,101,45,49,50,32,52,46,52,52,57,56,49,101,45,49,
      50,32,52,46,52,52,52,56,51,101,45,49,50,32,52,46,52,53,51,49,53,101,45,49,50,
      32,52,46,52,53,56,53,52,101,45,49,50,32,52,46,52,55,52,50,54,101,45,49,50,10,
      32,32,52,46,53,48,50,49,101,45,49,50,32,52,46,53,51,54,55,57,101,45,49,50,32,
      52,46,53,56,48,53,53,101,45,49,50,32,52,46,54,51,52,56,56,101,45,49,50,32,52,
      46,55,48,49,55,57,101,45,49,50,32,52,46,55,56,48,51,55,101,45,49,50,32,52,46,
      56,54,55,57,50,101,45,49,50,10,32,32,52,46,57,54,57,53,55,101,45,49,50,32,53,
      46,48,56,57,49,57,101,45,49,50,32,53,46,50,49,54,53,49,101,45,49,50,32,53,46,
      51,53,54,52,55,101,45,49,50,32,53,46,53,50,53,48,57,101,45,49,50,32,53,46,55,
      48,48,57,51,101,45,49,50,32,53,46,56,56,52,57,54,101,45,49,50,10,32,32,54,46,
      49,49,51,49,49,101,45,49,50,32,54,46,51,52,57,51,51,101,45,49,50,32,54,46,53,
      57,51,56,55,101,45,49,50,32,54,46,56,56,56,54,52,101,45,49,50,32,55,46,50,48,
      49,52,55,101,45,49,50,32,55,46,53,50,53,56,101,45,49,50,32,55,46,57,48,50,57,
      54,101,45,49,50,10,32,32,56,46,51,49,53,53,54,101,45,49,50,32,56,46,55,52,54,
      49,51,101,45,49,50,32,57,46,50,51,48,51,54,101,45,49,50,32,57,46,55,55,50,55,
      54,101,45,49,50,32,49,46,48,51,52,53,101,45,49,49,32,49,46,48,57,55,49,52,101,
      45,49,49,32,49,46,49,54,56,48,49,101,45,49,49,10,32,32,49,46,50,52,51,54,50,
      101,45,49,49,32,49,46,51,50,53,49,55,101,45,49,49,32,49,46,52,49,54,52,53,101,
      45,49,49,32,49,46,53,49,52,54,56,101,45,49,49,32,49,46,54,50,48,53,51,101,45,
      49,49,32,49,46,55,51,53,51,52,101,45,49,49,32,49,46,56,53,57,52,51,101,45,49,
      49,10,32,32,49,46,57,57,51,54,55,101,45,49,49,32,50,46,49,51,52,50,50,101,45,
      49,49,32,50,46,50,56,53,48,54,101,45,49,49,32,50,46,52,52,56,48,49,101,45,49,
      49,32,50,46,54,49,53,55,101,45,49,49,32,50,46,55,57,49,57,55,101,45,49,49,32,
      50,46,57,56,49,50,50,101,45,49,49,10,32,32,51,46,49,55,53,55,51,101,45,49,49,
      32,51,46,51,55,52,57,51,101,45,49,49,32,51,46,53,56,55,50,54,101,45,49,49,32,
      51,46,56,48,54,56,56,101,45,49,49,32,52,46,48,50,55,49,51,101,45,49,49,32,52,
      46,50,54,48,49,53,101,45,49,49,32,52,46,53,48,51,54,49,101,45,49,49,10,32,32,
      52,46,55,52,54,49,55,101,45,49,49,32,53,46,48,48,49,52,50,101,45,49,49,32,53,
      46,50,54,57,55,101,45,49,49,32,53,46,53,51,56,54,52,101,45,49,49,32,53,46,56,
      50,48,55,49,101,45,49,49,32,54,46,49,49,54,51,52,101,45,49,49,32,54,46,53,50,
      51,55,57,101,45,49,49,10,32,32,55,46,53,54,56,52,56,101,45,49,49,32,57,46,51,
      57,54,48,57,101,45,49,49,32,49,46,51,51,49,48,54,101,45,49,48,32,49,46,56,50,
      56,52,54,101,45,49,48,32,50,46,51,55,55,52,57,101,45,49,48,32,50,46,56,57,56,
      54,53,101,45,49,48,32,51,46,51,52,57,55,57,101,45,49,48,10,32,32,51,46,55,52,
      53,55,51,101,45,49,48,32,52,46,49,50,57,48,52,101,45,49,48,32,52,46,53,52,48,
      50,53,101,45,49,48,32,53,46,48,49,50,57,101,45,49,48,32,53,46,53,55,48,53,50,
      101,45,49,48,32,54,46,50,50,57,49,101,45,49,48,32,55,46,49,56,48,55,52,101,
      45,49,48,10,32,32,56,46,51,51,53,57,49,101,45,49,48,32,49,46,48,50,54,50,54,
      101,45,48,57,32,49,46,50,54,51,52,52,101,45,48,57,32,49,46,53,53,50,54,57,101,
      45,48,57,32,49,46,57,57,50,55,52,101,45,48,57,32,50,46,53,49,56,51,54,101,45,
      48,57,32,51,46,49,48,50,51,50,101,45,48,57,10,32,32,51,46,56,48,54,49,53,101,
      45,48,57,32,52,46,52,51,51,48,52,101,45,48,57,32,53,46,49,51,49,53,51,101,45,
      48,57,32,53,46,55,55,49,54,55,101,45,48,57,32,54,46,52,54,49,57,52,101,45,48,
      57,32,55,46,52,49,55,51,101,45,48,57,32,56,46,56,48,57,50,101,45,48,57,10,32,
      32,49,46,48,55,51,56,55,101,45,48,56,32,49,46,51,50,51,52,54,101,45,48,56,32,
      49,46,54,51,55,57,57,101,45,48,56,32,50,46,48,52,51,50,54,101,45,48,56,32,50,
      46,52,55,48,53,49,101,45,48,56,32,50,46,57,52,48,57,55,101,45,48,56,32,51,46,
      53,48,48,55,52,101,45,48,56,10,32,32,52,46,49,53,55,56,50,101,45,48,56,32,52,
      46,55,54,55,51,51,101,45,48,56,32,53,46,55,50,57,51,56,101,45,48,56,32,55,46,
      50,55,52,53,52,101,45,48,56,32,57,46,51,53,54,57,50,101,45,48,56,32,49,46,50,
      48,49,54,101,45,48,55,32,49,46,53,52,54,56,57,101,45,48,55,10,32,32,49,46,57,
      50,55,56,57,101,45,48,55,32,50,46,51,52,57,54,56,101,45,48,55,32,50,46,56,50,
      55,51,57,101,45,48,55,32,51,46,51,55,54,55,52,101,45,48,55,32,51,46,56,54,57,
      57,101,45,48,55,32,52,46,52,50,52,55,57,101,45,48,55,32,52,46,57,53,52,57,49,
      101,45,48,55,10,32,32,53,46,54,48,50,56,56,101,45,48,55,32,54,46,53,57,57,49,
      56,101,45,48,55,32,55,46,54,51,57,56,55,101,45,48,55,32,56,46,54,51,50,54,54,
      101,45,48,55,32,57,46,52,51,54,57,50,101,45,48,55,32,49,46,48,53,49,55,53,101,
      45,48,54,32,49,46,49,53,51,54,57,101,45,48,54,10,32,32,49,46,50,52,56,55,51,
      101,45,48,54,32,49,46,51,50,55,51,53,101,45,48,54,32,49,46,52,48,48,56,101,
      45,48,54,32,49,46,52,55,49,51,56,101,45,48,54,32,49,46,53,52,52,56,52,101,45,
      48,54,32,49,46,54,48,53,51,51,101,45,48,54,32,49,46,54,51,56,55,57,101,45,48,
      54,10,32,32,49,46,54,54,50,52,56,101,45,48,54,32,49,46,54,51,55,51,52,101,45,
      48,54,32,49,46,53,56,57,50,50,101,45,48,54,32,49,46,53,52,54,53,49,101,45,48,
      54,32,49,46,53,54,48,53,57,101,45,48,54,32,49,46,52,57,49,56,50,101,45,48,54,
      32,49,46,52,49,49,55,56,101,45,48,54,10,32,32,49,46,51,50,53,51,57,101,45,48,
      54,32,49,46,50,51,55,49,50,101,45,48,54,32,49,46,49,51,53,51,56,101,45,48,54,
      32,49,46,48,54,48,49,57,101,45,48,54,32,57,46,56,53,54,53,56,101,45,48,55,32,
      56,46,54,54,50,54,50,101,45,48,55,32,55,46,57,54,49,49,52,101,45,48,55,10,32,
      32,54,46,57,49,54,52,51,101,45,48,55,32,53,46,57,48,50,56,52,101,45,48,55,32,
      53,46,51,52,51,57,54,101,45,48,55,32,52,46,56,50,49,51,49,101,45,48,55,32,52,
      46,48,55,49,56,101,45,48,55,32,51,46,51,53,49,52,53,101,45,48,55,32,50,46,57,
      57,55,53,52,101,45,48,55,10,32,32,50,46,52,57,48,56,101,45,48,55,32,50,46,50,
      49,56,49,101,45,48,55,32,49,46,56,50,55,53,50,101,45,48,55,32,49,46,53,49,49,
      50,53,101,45,48,55,32,49,46,50,52,56,53,55,101,45,48,55,32,49,46,49,51,52,53,
      51,101,45,48,55,32,57,46,52,49,55,49,56,101,45,48,56,10,32,32,55,46,54,52,51,
      51,57,101,45,48,56,32,54,46,52,48,57,56,51,101,45,48,56,32,53,46,51,54,53,56,
      52,101,45,48,56,32,52,46,53,51,54,55,101,45,48,56,32,51,46,56,52,48,52,49,101,
      45,48,56,32,51,46,49,56,56,49,50,101,45,48,56,32,50,46,54,57,57,48,55,101,45,
      48,56,10,32,32,50,46,50,52,51,54,52,101,45,48,56,32,49,46,57,53,54,56,56,101,
      45,48,56,32,49,46,53,54,51,53,56,101,45,48,56,32,49,46,51,54,49,53,53,101,45,
      48,56,32,49,46,49,52,53,53,57,101,45,48,56,32,55,46,54,51,57,53,49,101,45,48,
      57,32,52,46,51,52,55,50,54,101,45,48,57,10,32,32,50,46,52,57,50,55,54,101,45,
      48,57,32,49,46,50,51,52,56,55,101,45,48,57,32,54,46,48,55,53,56,101,45,49,48,
      32,50,46,53,55,52,55,57,101,45,49,48,32,49,46,50,53,50,52,51,101,45,49,48,32,
      51,46,57,50,49,51,101,45,49,49,32,49,46,50,56,53,54,101,45,49,49,10,32,32,53,
      46,56,52,51,48,52,101,45,49,50,32,50,46,52,49,51,54,54,101,45,49,50,32,55,46,
      51,57,52,48,50,101,45,49,51,32,50,46,54,49,55,50,56,101,45,49,51,32,57,46,50,
      51,57,57,56,101,45,49,52,32,50,46,56,48,51,53,101,45,49,52,32,56,46,52,56,52,
      54,56,101,45,49,53,10,32,32,50,46,57,55,54,51,56,101,45,49,53,32,49,46,48,52,
      50,54,50,101,45,49,53,32,51,46,54,52,55,55,56,101,45,49,54,32,49,46,48,54,48,
      54,50,101,45,49,54,32,50,46,55,51,54,57,50,101,45,49,55,32,54,46,48,54,54,54,
      55,101,45,49,56,32,49,46,53,54,49,54,101,45,49,56,10,32,32,51,46,52,51,54,51,
      51,101,45,49,57,32,56,46,56,50,55,51,55,101,45,50,48,32,50,46,50,54,54,48,53,
      101,45,50,48,32,52,46,57,57,54,48,52,101,45,50,49,32,57,46,56,55,51,50,54,101,
      45,50,50,32,50,46,56,49,57,54,52,101,45,50,50,32,54,46,53,54,53,52,52,101,45,
      50,51,10,32,32,49,46,56,51,52,52,57,101,45,50,51,32,52,46,49,53,53,52,55,101,
      45,50,52,32,48,114,49,48,54,32,57,46,56,55,53,50,56,101,45,50,52,32,49,46,49,
      51,51,57,52,101,45,50,50,32,54,46,52,53,52,56,51,101,45,50,50,32,50,46,52,56,
      50,49,56,101,45,50,49,32,55,46,53,48,49,53,101,45,50,49,10,32,32,49,46,57,49,
      52,57,55,101,45,50,48,32,52,46,51,51,49,52,53,101,45,50,48,32,50,46,53,51,54,
      49,55,101,45,49,55,32,52,46,55,53,53,51,101,45,49,55,32,56,46,51,57,52,55,49,
      101,45,49,55,32,49,46,52,49,48,49,52,101,45,49,54,32,50,46,50,55,49,55,53,101,
      45,49,54,10,32,32,51,46,53,51,50,56,49,101,45,49,54,32,53,46,51,50,56,50,53,
      101,45,49,54,32,55,46,56,50,52,52,51,101,45,49,54,32,49,46,49,50,50,56,51,101,
      45,49,53,32,49,46,53,55,56,48,57,101,45,49,53,32,50,46,49,55,55,51,51,101,45,
      49,53,32,50,46,57,53,52,55,51,101,45,49,53,10,32,32,51,46,57,53,48,49,54,101,
      45,49,53,32,53,46,50,48,57,55,55,101,45,49,53,32,54,46,55,56,48,56,56,101,45,
      49,53,32,56,46,55,56,56,56,50,101,45,49,53,32,49,46,49,49,57,50,53,101,45,49,
      52,32,49,46,52,48,57,49,55,101,45,49,52,32,49,46,55,53,54,57,55,101,45,49,52,
      10,32,32,50,46,49,55,50,55,54,101,45,49,52,32,50,46,54,54,48,48,55,101,45,49,
      52,32,51,46,50,50,53,57,49,101,45,49,52,32,51,46,56,56,54,52,53,101,45,49,52,
      32,52,46,54,53,49,55,51,101,45,49,52,32,53,46,53,49,52,54,51,101,45,49,52,32,
      54,46,52,56,52,50,101,45,49,52,10,32,32,55,46,53,55,52,51,53,101,45,49,52,32,
      56,46,55,52,49,57,50,101,45,49,52,32,49,46,48,48,52,54,51,101,45,49,51,32,49,
      46,49,52,57,56,101,45,49,51,32,49,46,50,57,56,48,56,101,45,49,51,32,49,46,52,
      54,48,54,49,101,45,49,51,32,49,46,54,51,56,51,51,101,45,49,51,10,32,32,49,46,
      56,49,54,56,50,101,45,49,51,32,50,46,48,48,54,53,53,101,45,49,51,32,50,46,50,
      49,48,56,57,101,45,49,51,32,50,46,52,49,53,52,52,101,45,49,51,32,50,46,54,50,
      54,50,55,101,45,49,51,32,50,46,56,53,48,55,56,101,45,49,51,32,51,46,48,55,55,
      53,53,101,45,49,51,10,32,32,51,46,51,48,53,55,50,101,45,49,51,32,51,46,53,52,
      54,57,101,45,49,51,32,51,46,55,57,51,55,57,101,45,49,51,32,52,46,48,51,56,52,
      53,101,45,49,51,32,52,46,50,57,53,56,49,101,45,49,51,32,52,46,53,54,50,56,52,
      101,45,49,51,32,52,46,56,50,54,52,56,101,45,49,51,10,32,32,53,46,49,48,50,57,
      50,101,45,49,51,32,53,46,51,57,50,52,53,101,45,49,51,32,53,46,54,55,55,57,53,
      101,45,49,51,32,53,46,57,55,54,54,51,101,45,49,51,32,54,46,50,56,56,57,101,
      45,49,51,32,54,46,53,57,57,53,52,101,45,49,51,32,54,46,57,50,48,57,54,101,45,
      49,51,10,32,32,55,46,50,53,54,51,57,101,45,49,51,32,55,46,53,56,57,51,54,101,
      45,49,51,32,55,46,57,50,56,51,53,101,45,49,51,32,56,46,50,56,49,53,55,101,45,
      49,51,32,56,46,54,50,57,49,53,101,45,49,51,32,56,46,57,55,49,52,56,101,45,49,
      51,32,57,46,51,50,56,48,53,101,45,49,51,10,32,32,57,46,54,55,55,49,55,101,45,
      49,51,32,57,46,57,57,56,55,53,101,45,49,51,32,49,46,48,51,51,52,53,101,45,49,
      50,32,49,46,48,54,54,55,54,101,45,49,50,32,49,46,48,57,51,55,49,101,45,49,50,
      32,49,46,49,50,50,49,54,101,45,49,50,32,49,46,49,53,49,57,50,101,45,49,50,10,
      32,32,49,46,49,55,48,54,49,101,45,49,50,32,49,46,49,57,49,48,54,101,45,49,50,
      32,49,46,50,49,51,50,52,101,45,49,50,32,49,46,50,50,52,48,56,101,45,49,50,32,
      49,46,50,51,52,56,53,101,45,49,50,32,49,46,50,52,55,56,52,101,45,49,50,32,49,
      46,50,53,49,53,101,45,49,50,10,32,32,49,46,50,53,51,51,55,101,45,49,50,32,49,
      46,50,53,55,54,101,45,49,50,32,49,46,50,53,54,101,45,49,50,32,49,46,50,52,57,
      57,56,101,45,49,50,32,49,46,50,52,55,53,57,101,45,49,50,32,49,46,50,52,51,51,
      51,101,45,49,50,32,49,46,50,51,51,52,55,101,45,49,50,10,32,32,49,46,50,50,55,
      55,53,101,45,49,50,32,49,46,50,50,51,53,54,101,45,49,50,32,49,46,50,49,51,55,
      50,101,45,49,50,32,49,46,50,48,56,50,101,45,49,50,32,49,46,50,48,54,52,49,101,
      45,49,50,32,49,46,50,48,48,48,57,101,45,49,50,32,49,46,49,57,55,57,50,101,45,
      49,50,10,32,32,49,46,49,57,57,52,56,101,45,49,50,32,49,46,50,48,48,51,49,101,
      45,49,50,32,49,46,50,48,52,48,53,101,45,49,50,32,49,46,50,49,49,50,101,45,49,
      50,32,49,46,50,50,48,51,101,45,49,50,32,49,46,50,51,49,57,54,101,45,49,50,32,
      49,46,50,52,54,53,57,101,45,49,50,10,32,32,49,46,50,54,52,55,52,101,45,49,50,
      32,49,46,50,56,54,49,53,101,45,49,50,32,49,46,51,49,48,48,56,101,45,49,50,32,
      49,46,51,51,55,57,53,101,45,49,50,32,49,46,51,55,48,56,101,45,49,50,32,49,46,
      52,48,53,56,51,101,45,49,50,32,49,46,52,52,52,52,101,45,49,50,10,32,32,49,46,
      52,57,48,56,55,101,45,49,50,32,49,46,53,51,57,52,49,101,45,49,50,32,49,46,53,
      57,48,50,55,101,45,49,50,32,49,46,54,53,51,50,57,101,45,49,50,32,49,46,55,49,
      56,54,50,101,45,49,50,32,49,46,55,56,54,51,52,101,45,49,50,32,49,46,56,54,55,
      57,50,101,45,49,50,10,32,32,49,46,57,53,52,53,56,101,45,49,50,32,50,46,48,52,
      52,53,53,101,45,49,50,32,50,46,49,52,57,49,53,101,45,49,50,32,50,46,50,54,51,
      54,55,101,45,49,50,32,50,46,51,56,51,51,52,101,45,49,50,32,50,46,53,49,56,101,
      45,49,50,32,50,46,54,54,56,57,54,101,45,49,50,10,32,32,50,46,56,50,56,52,53,
      101,45,49,50,32,51,46,48,48,51,50,54,101,45,49,50,32,51,46,50,48,49,50,56,101,
      45,49,50,32,51,46,52,49,51,48,57,101,45,49,50,32,51,46,54,52,49,55,56,101,45,
      49,50,32,51,46,56,57,56,50,53,101,45,49,50,32,52,46,49,55,52,56,52,101,45,49,
      50,10,32,32,52,46,52,55,51,54,49,101,45,49,50,32,52,46,55,57,56,52,54,101,45,
      49,50,32,53,46,49,53,48,53,49,101,45,49,50,32,53,46,53,51,50,52,50,101,45,49,
      50,32,53,46,57,51,51,52,49,101,45,49,50,32,54,46,51,54,53,48,54,101,45,49,50,
      32,54,46,56,51,50,56,49,101,45,49,50,10,32,32,55,46,51,49,53,54,50,101,45,49,
      50,32,55,46,56,50,52,55,54,101,45,49,50,32,56,46,51,55,51,53,49,101,45,49,50,
      32,56,46,57,51,56,55,57,101,45,49,50,32,57,46,53,49,57,52,49,101,45,49,50,32,
      49,46,48,49,52,48,51,101,45,49,49,32,49,46,48,55,56,52,53,101,45,49,49,10,32,
      32,49,46,49,52,51,50,49,101,45,49,49,32,49,46,50,49,49,57,51,101,45,49,49,32,
      49,46,50,56,51,57,53,101,45,49,49,32,49,46,51,53,53,56,56,101,45,49,49,32,49,
      46,52,51,49,56,50,101,45,49,49,32,49,46,53,49,49,56,52,101,45,49,49,32,49,46,
      53,57,50,50,52,101,45,49,49,10,32,32,49,46,54,55,54,56,49,101,45,49,49,32,49,
      46,55,54,53,55,101,45,49,49,32,49,46,56,56,56,54,101,45,49,49,32,50,46,50,48,
      53,56,50,101,45,49,49,32,50,46,55,54,55,53,53,101,45,49,49,32,51,46,57,57,54,
      48,49,101,45,49,49,32,53,46,53,57,55,53,56,101,45,49,49,10,32,32,55,46,52,48,
      50,53,101,45,49,49,32,57,46,49,51,52,54,49,101,45,49,49,32,49,46,48,54,51,52,
      51,101,45,49,48,32,49,46,49,57,52,53,101,45,49,48,32,49,46,51,50,49,52,51,101,
      45,49,48,32,49,46,52,53,56,54,57,101,45,49,48,32,49,46,54,49,56,51,57,101,45,
      49,48,10,32,32,49,46,56,48,57,49,56,101,45,49,48,32,50,46,48,51,55,53,53,101,
      45,49,48,32,50,46,51,55,50,52,49,101,45,49,48,32,50,46,55,56,53,54,57,101,45,
      49,48,32,51,46,52,56,56,52,52,101,45,49,48,32,52,46,51,55,54,51,53,101,45,49,
      48,32,53,46,52,56,55,51,49,101,45,49,48,10,32,32,55,46,50,50,55,57,54,101,45,
      49,48,32,57,46,51,55,51,52,54,101,45,49,48,32,49,46,49,56,49,57,51,101,45,48,
      57,32,49,46,52,56,50,50,101,45,48,57,32,49,46,55,53,48,55,56,101,45,48,57,32,
      50,46,48,52,55,53,101,45,48,57,32,50,46,51,49,56,49,56,101,45,48,57,10,32,32,
      50,46,54,49,51,54,57,101,45,48,57,32,51,46,48,51,50,56,53,101,45,48,57,32,51,
      46,54,54,48,57,101,45,48,57,32,52,46,53,53,52,51,52,101,45,48,57,32,53,46,55,
      51,55,50,54,101,45,48,57,32,55,46,50,54,49,52,54,101,45,48,57,32,57,46,50,54,
      52,49,101,45,48,57,10,32,32,49,46,49,52,48,53,54,101,45,48,56,32,49,46,51,55,
      55,57,53,101,45,48,56,32,49,46,54,54,48,52,55,101,45,48,56,32,49,46,57,57,54,
      56,101,45,48,56,32,50,46,51,49,52,50,51,101,45,48,56,32,50,46,56,50,52,56,53,
      101,45,48,56,32,51,46,54,54,50,48,54,101,45,48,56,10,32,32,52,46,56,49,51,56,
      53,101,45,48,56,32,54,46,51,49,50,57,49,101,45,48,56,32,56,46,50,57,56,52,55,
      101,45,48,56,32,49,46,48,53,51,50,50,101,45,48,55,32,49,46,51,48,52,54,52,101,
      45,48,55,32,49,46,53,57,49,55,57,101,45,48,55,32,49,46,57,50,49,51,54,101,45,
      48,55,10,32,32,50,46,50,49,54,57,56,101,45,48,55,32,50,46,53,53,53,51,51,101,
      45,48,55,32,50,46,56,56,52,55,55,101,45,48,55,32,51,46,50,57,54,49,53,101,45,
      48,55,32,51,46,57,52,53,50,101,45,48,55,32,52,46,54,52,49,48,51,101,45,48,55,
      32,53,46,51,49,55,55,56,101,45,48,55,10,32,32,53,46,56,55,50,56,50,101,45,48,
      55,32,54,46,54,50,55,51,54,101,45,48,55,32,55,46,51,53,49,56,55,101,45,48,55,
      32,56,46,48,52,48,55,56,101,45,48,55,32,56,46,54,49,54,52,53,101,45,48,55,32,
      57,46,49,52,57,54,54,101,45,48,55,32,57,46,54,53,52,50,51,101,45,48,55,10,32,
      32,49,46,48,49,55,57,51,101,45,48,54,32,49,46,48,54,50,51,57,101,45,48,54,32,
      49,46,48,56,56,55,52,101,45,48,54,32,49,46,49,49,52,50,56,101,45,48,54,32,49,
      46,49,48,55,54,54,101,45,48,54,32,49,46,48,56,51,57,54,101,45,48,54,32,49,46,
      48,54,50,53,101,45,48,54,10,32,32,49,46,48,55,53,56,50,101,45,48,54,32,49,46,
      48,51,53,56,50,101,45,48,54,32,57,46,56,55,49,55,53,101,45,48,55,32,57,46,51,
      51,49,50,55,101,45,48,55,32,56,46,55,54,54,56,54,101,45,48,55,32,56,46,49,48,
      52,49,57,101,45,48,55,32,55,46,54,48,55,49,50,101,45,48,55,10,32,32,55,46,49,
      48,56,56,57,101,45,48,55,32,54,46,51,48,48,50,52,101,45,48,55,32,53,46,56,49,
      57,50,57,101,45,48,55,32,53,46,48,57,53,49,56,101,45,48,55,32,52,46,51,56,51,
      52,56,101,45,48,55,32,51,46,57,56,55,48,56,101,45,48,55,32,51,46,54,49,51,55,
      55,101,45,48,55,10,32,32,51,46,48,55,51,55,53,101,45,48,55,32,50,46,53,52,57,
      50,52,101,45,48,55,32,50,46,50,56,57,51,56,101,45,48,55,32,49,46,57,49,52,53,
      57,101,45,48,55,32,49,46,55,49,49,52,53,101,45,48,55,32,49,46,52,49,56,53,101,
      45,48,55,32,49,46,49,55,53,53,51,101,45,48,55,10,32,32,57,46,55,51,51,52,57,
      101,45,48,56,32,56,46,56,54,50,57,57,101,45,48,56,32,55,46,51,56,53,52,53,101,
      45,48,56,32,54,46,48,49,56,57,50,101,45,48,56,32,53,46,48,54,51,57,57,101,45,
      48,56,32,52,46,50,53,50,52,56,101,45,48,56,32,51,46,54,48,53,53,49,101,45,48,
      56,10,32,32,51,46,48,54,48,51,49,101,45,48,56,32,50,46,53,52,55,55,55,101,45,
      48,56,32,50,46,49,54,50,50,51,101,45,48,56,32,49,46,56,48,50,48,55,101,45,48,
      56,32,49,46,53,55,52,54,56,101,45,48,56,32,49,46,50,54,49,56,55,101,45,48,56,
      32,49,46,49,48,48,55,52,101,45,48,56,10,32,32,57,46,50,56,48,57,54,101,45,48,
      57,32,54,46,50,49,55,55,49,101,45,48,57,32,51,46,53,53,56,56,53,101,45,48,57,
      32,50,46,48,53,49,50,55,101,45,48,57,32,49,46,48,50,50,49,51,101,45,48,57,32,
      53,46,48,53,53,55,56,101,45,49,48,32,50,46,49,53,52,55,53,101,45,49,48,10,32,
      32,49,46,48,53,50,54,101,45,49,48,32,51,46,51,49,53,55,52,101,45,49,49,32,49,
      46,48,57,50,54,51,101,45,49,49,32,52,46,57,56,50,49,101,45,49,50,32,50,46,48,
      54,52,56,57,101,45,49,50,32,54,46,51,53,49,49,49,101,45,49,51,32,50,46,50,53,
      53,50,53,101,45,49,51,10,32,32,55,46,57,56,53,48,49,101,45,49,52,32,50,46,52,
      51,48,49,101,45,49,52,32,55,46,51,55,53,49,50,101,45,49,53,32,50,46,53,57,50,
      57,56,101,45,49,53,32,57,46,49,48,50,50,49,101,45,49,54,32,51,46,49,57,48,55,
      52,101,45,49,54,32,57,46,51,48,53,51,50,101,45,49,55,10,32,32,50,46,52,48,54,
      52,49,101,45,49,55,32,53,46,51,52,53,57,49,101,45,49,56,32,49,46,51,55,56,54,
      52,101,45,49,56,32,51,46,48,51,57,53,57,101,45,49,57,32,55,46,56,50,49,48,54,
      101,45,50,48,32,50,46,48,49,48,56,101,45,50,48,32,52,46,52,52,49,48,49,101,
      45,50,49,10,32,32,56,46,55,56,56,51,49,101,45,50,50,32,50,46,53,49,50,52,52,
      101,45,50,50,32,53,46,56,52,57,101,45,50,51,32,49,46,54,51,54,48,49,101,45,
      50,51,32,51,46,54,56,57,50,49,101,45,50,52,32,55,46,53,57,53,57,50,101,45,50,
      53,32,48,114,49,48,54,32,51,46,51,50,56,55,54,101,45,50,53,10,32,32,50,46,57,
      56,55,53,49,101,45,50,52,32,49,46,54,52,49,52,101,45,50,51,32,54,46,54,51,57,
      56,57,101,45,50,51,32,50,46,49,54,49,48,57,101,45,50,50,32,54,46,48,50,49,51,
      57,101,45,50,50,32,50,46,50,54,56,53,49,101,45,49,56,32,52,46,50,55,48,48,55,
      101,45,49,56,10,32,32,55,46,53,55,48,51,56,101,45,49,56,32,49,46,50,55,55,53,
      54,101,45,49,55,32,50,46,48,54,56,52,52,101,45,49,55,32,51,46,50,51,51,56,101,
      45,49,55,32,52,46,57,48,52,56,54,101,45,49,55,32,55,46,50,52,53,56,55,101,45,
      49,55,32,49,46,48,52,54,51,55,101,45,49,54,10,32,32,49,46,52,56,48,51,51,101,
      45,49,54,32,50,46,48,53,54,53,54,101,45,49,54,32,50,46,56,49,48,56,56,101,45,
      49,54,32,51,46,55,56,53,56,53,101,45,49,54,32,53,46,48,51,49,53,57,101,45,49,
      54,32,54,46,54,48,48,55,55,101,45,49,54,32,56,46,54,49,57,55,101,45,49,54,10,
      32,32,49,46,49,48,54,56,51,101,45,49,53,32,49,46,52,48,53,50,54,101,45,49,53,
      32,49,46,55,54,55,48,54,101,45,49,53,32,50,46,50,48,52,50,53,101,45,49,53,32,
      50,46,55,50,50,48,55,101,45,49,53,32,51,46,51,50,57,54,51,101,45,49,53,32,52,
      46,48,52,54,52,54,101,45,49,53,10,32,32,53,46,53,48,55,51,54,101,45,49,53,32,
      55,46,55,53,53,49,51,101,45,49,53,32,57,46,49,55,51,48,55,101,45,49,53,32,49,
      46,48,55,55,56,54,101,45,49,52,32,49,46,50,53,48,55,55,101,45,49,52,32,49,46,
      52,52,53,50,101,45,49,52,32,49,46,54,54,51,48,50,101,45,49,52,10,32,32,49,46,
      56,56,54,50,57,101,45,49,52,32,50,46,49,51,50,51,53,101,45,49,52,32,50,46,52,
      48,50,56,57,101,45,49,52,32,50,46,54,55,53,49,54,101,45,49,52,32,50,46,57,54,
      53,55,50,101,45,49,52,32,51,46,50,56,101,45,49,52,32,51,46,53,57,52,56,57,101,
      45,49,52,10,32,32,51,46,57,50,48,48,51,101,45,49,52,32,52,46,50,54,55,53,51,
      101,45,49,52,32,52,46,54,49,56,54,53,101,45,49,52,32,52,46,57,55,49,56,57,101,
      45,49,52,32,53,46,51,52,54,50,50,101,45,49,52,32,53,46,55,50,57,54,53,101,45,
      49,52,32,54,46,49,48,57,48,51,101,45,49,52,10,32,32,54,46,53,48,56,57,51,101,
      45,49,52,32,54,46,57,50,52,50,57,101,45,49,52,32,55,46,51,51,51,52,53,101,45,
      49,52,32,55,46,55,54,51,49,51,101,45,49,52,32,56,46,50,49,51,57,55,101,45,49,
      52,32,56,46,54,53,55,49,56,101,45,49,52,32,57,46,49,50,49,54,101,45,49,52,10,
      32,32,57,46,54,48,55,56,101,45,49,52,32,49,46,48,48,57,48,51,101,45,49,51,32,
      49,46,48,53,56,57,55,101,45,49,51,32,49,46,49,49,49,49,54,101,45,49,51,32,49,
      46,49,54,50,56,49,101,45,49,51,32,49,46,50,49,53,51,51,101,45,49,51,32,49,46,
      50,55,48,49,50,101,45,49,51,10,32,32,49,46,51,50,51,56,49,101,45,49,51,32,49,
      46,51,55,54,52,51,101,45,49,51,32,49,46,52,51,49,50,57,101,45,49,51,32,49,46,
      52,56,52,54,57,101,45,49,51,32,49,46,53,51,51,50,50,101,45,49,51,32,49,46,53,
      56,51,57,53,101,45,49,51,32,49,46,54,51,52,48,49,101,45,49,51,10,32,32,49,46,
      54,55,51,48,50,101,45,49,51,32,49,46,55,49,52,51,53,101,45,49,51,32,49,46,55,
      53,55,54,57,101,45,49,51,32,49,46,55,56,49,57,54,101,45,49,51,32,49,46,56,48,
      57,48,50,101,45,49,51,32,49,46,56,51,56,55,57,101,45,49,51,32,49,46,56,52,57,
      49,52,101,45,49,51,10,32,32,49,46,56,53,57,50,51,101,45,49,51,32,49,46,56,55,
      50,56,54,101,45,49,51,32,49,46,56,55,48,54,56,101,45,49,51,32,49,46,57,48,55,
      49,50,101,45,49,51,32,49,46,57,48,56,55,51,101,45,49,51,32,49,46,57,48,48,55,
      51,101,45,49,51,32,49,46,56,56,53,53,55,101,45,49,51,10,32,32,49,46,56,55,54,
      53,56,101,45,49,51,32,49,46,56,54,52,54,55,101,45,49,51,32,49,46,56,52,51,56,
      51,101,45,49,51,32,49,46,56,50,57,57,54,101,45,49,51,32,49,46,56,49,56,56,101,
      45,49,51,32,49,46,55,57,56,55,56,101,45,49,51,32,49,46,55,56,54,101,45,49,51,
      10,32,32,49,46,55,55,57,52,49,101,45,49,51,32,49,46,55,54,53,57,101,45,49,51,
      32,49,46,55,53,57,50,53,101,45,49,51,32,49,46,55,53,56,55,56,101,45,49,51,32,
      49,46,55,53,55,52,101,45,49,51,32,49,46,55,54,48,56,55,101,45,49,51,32,49,46,
      55,54,57,57,50,101,45,49,51,10,32,32,49,46,55,56,50,50,55,101,45,49,51,32,49,
      46,55,57,56,56,53,101,45,49,51,32,49,46,56,50,48,51,101,45,49,51,32,49,46,56,
      52,55,52,49,101,45,49,51,32,49,46,56,55,57,56,51,101,45,49,51,32,49,46,57,49,
      54,51,57,101,45,49,51,32,49,46,57,53,57,50,56,101,45,49,51,10,32,32,50,46,48,
      49,48,48,53,101,45,49,51,32,50,46,48,54,52,52,55,101,45,49,51,32,50,46,49,50,
      52,53,57,101,45,49,51,32,50,46,49,57,55,49,49,101,45,49,51,32,50,46,50,55,51,
      49,50,101,45,49,51,32,50,46,51,53,51,48,54,101,45,49,51,32,50,46,52,53,49,57,
      51,101,45,49,51,10,32,32,50,46,53,53,52,55,55,101,45,49,51,32,50,46,54,54,49,
      55,50,101,45,49,51,32,50,46,55,57,48,51,53,101,45,49,51,32,50,46,57,50,55,51,
      53,101,45,49,51,32,51,46,48,55,48,48,49,101,45,49,51,32,51,46,50,51,53,56,54,
      101,45,49,51,32,51,46,52,49,55,55,56,101,45,49,51,10,32,32,51,46,54,48,56,53,
      49,101,45,49,51,32,51,46,56,50,51,52,52,101,45,49,51,32,52,46,48,54,52,56,53,
      101,45,49,51,32,52,46,51,50,48,56,57,101,45,49,51,32,52,46,54,48,50,52,101,
      45,49,51,32,52,46,57,50,50,50,101,45,49,51,32,53,46,50,54,53,54,51,101,45,49,
      51,10,32,32,53,46,54,51,56,51,51,101,45,49,51,32,54,46,48,53,56,49,57,101,45,
      49,51,32,54,46,53,49,51,52,54,101,45,49,51,32,55,46,48,48,55,57,57,101,45,49,
      51,32,55,46,53,52,56,56,55,101,45,49,51,32,56,46,49,51,56,55,49,101,45,49,51,
      32,56,46,55,56,50,56,52,101,45,49,51,10,32,32,57,46,52,54,51,54,57,101,45,49,
      51,32,49,46,48,50,48,49,54,101,45,49,50,32,49,46,49,48,48,55,101,45,49,50,32,
      49,46,49,56,52,52,101,45,49,50,32,49,46,50,55,51,50,55,101,45,49,50,32,49,46,
      51,54,57,54,55,101,45,49,50,32,49,46,52,54,57,55,50,101,45,49,50,10,32,32,49,
      46,53,55,51,49,53,101,45,49,50,32,49,46,54,56,52,53,101,45,49,50,32,49,46,56,
      48,49,55,53,101,45,49,50,32,49,46,57,49,57,51,55,101,45,49,50,32,50,46,48,52,
      52,57,57,101,45,49,50,32,50,46,49,55,55,52,54,101,45,49,50,32,50,46,51,49,49,
      51,49,101,45,49,50,10,32,32,50,46,52,53,52,53,56,101,45,49,50,32,50,46,54,48,
      52,53,55,101,45,49,50,32,50,46,55,53,54,48,50,101,45,49,50,32,50,46,57,49,54,
      50,51,101,45,49,50,32,51,46,48,56,53,54,52,101,45,49,50,32,51,46,51,50,49,51,
      53,101,45,49,50,32,51,46,57,51,55,56,54,101,45,49,50,10,32,32,53,46,48,53,53,
      54,50,101,45,49,50,32,55,46,53,57,55,56,101,45,49,50,32,49,46,49,48,54,55,54,
      101,45,49,49,32,49,46,53,49,49,57,50,101,45,49,49,32,49,46,57,48,55,57,50,101,
      45,49,49,32,50,46,50,53,49,48,53,101,45,49,49,32,50,46,53,52,56,57,55,101,45,
      49,49,10,32,32,50,46,56,51,55,55,50,101,45,49,49,32,51,46,49,53,51,57,56,101,
      45,49,49,32,51,46,53,50,57,48,55,101,45,49,49,32,51,46,57,56,54,50,53,101,45,
      49,49,32,52,46,53,52,52,52,57,101,45,49,49,32,53,46,51,56,49,49,54,101,45,49,
      49,32,54,46,52,51,57,48,49,101,45,49,49,10,32,32,56,46,50,56,55,52,57,101,45,
      49,49,32,49,46,48,55,48,56,56,101,45,49,48,32,49,46,51,56,52,53,53,101,45,49,
      48,32,49,46,56,57,53,53,50,101,45,49,48,32,50,46,53,53,49,50,56,101,45,49,48,
      32,51,46,51,50,52,52,54,101,45,49,48,32,52,46,50,57,55,48,54,101,45,49,48,10,
      32,32,53,46,49,55,51,54,51,101,45,49,48,32,54,46,49,51,51,51,51,101,45,49,48,
      32,55,46,48,48,52,53,51,101,45,49,48,32,55,46,57,55,48,57,50,101,45,49,48,32,
      57,46,51,56,51,55,49,101,45,49,48,32,49,46,49,53,55,52,101,45,48,57,32,49,46,
      52,55,57,49,56,101,45,48,57,10,32,32,49,46,57,49,56,51,53,101,45,48,57,32,50,
      46,53,48,49,52,53,101,45,48,57,32,51,46,50,56,57,49,57,101,45,48,57,32,52,46,
      49,53,48,48,57,101,45,48,57,32,53,46,49,49,54,49,50,101,45,48,57,32,54,46,50,
      55,49,53,52,101,45,48,57,32,55,46,54,55,53,54,56,101,45,48,57,10,32,32,57,46,
      48,51,51,52,53,101,45,48,57,32,49,46,49,50,55,52,56,101,45,48,56,32,49,46,53,
      48,54,51,52,101,45,48,56,32,50,46,48,52,52,51,55,101,45,48,56,32,50,46,55,54,
      53,56,101,45,48,56,32,51,46,55,52,57,53,54,101,45,48,56,32,52,46,56,56,53,55,
      57,101,45,48,56,10,32,32,54,46,49,57,48,56,57,101,45,48,56,32,55,46,54,57,55,
      52,56,101,45,48,56,32,57,46,52,50,50,56,57,101,45,48,56,32,49,46,48,57,54,57,
      55,101,45,48,55,32,49,46,50,55,55,53,51,101,45,48,55,32,49,46,52,53,55,50,53,
      101,45,48,55,32,49,46,54,56,55,48,51,101,45,48,55,10,32,32,50,46,48,54,48,49,
      50,101,45,48,55,32,50,46,52,55,50,50,50,101,45,48,55,32,50,46,56,56,50,53,55,
      101,45,48,55,32,51,46,50,50,52,55,54,101,45,48,55,32,51,46,54,57,55,54,53,101,
      45,48,55,32,52,46,49,54,50,55,54,101,45,48,55,32,52,46,54,49,54,51,50,101,45,
      48,55,10,32,32,53,46,48,48,49,48,54,101,45,48,55,32,53,46,51,53,53,52,55,101,
      45,48,55,32,53,46,54,56,53,56,55,101,45,48,55,32,54,46,48,50,57,57,51,101,45,
      48,55,32,54,46,51,51,48,55,55,101,45,48,55,32,54,46,53,50,49,57,51,101,45,48,
      55,32,54,46,55,53,51,54,55,101,45,48,55,10,32,32,54,46,55,57,52,48,49,101,45,
      48,55,32,54,46,55,49,54,55,51,101,45,48,55,32,54,46,54,52,50,50,54,101,45,48,
      55,32,54,46,55,53,51,49,54,101,45,48,55,32,54,46,53,53,56,50,50,101,45,48,55,
      32,54,46,51,48,50,56,50,101,45,48,55,32,54,46,48,48,54,49,57,101,45,48,55,10,
      32,32,53,46,54,56,54,55,55,101,45,48,55,32,53,46,51,48,50,50,54,101,45,48,55,
      32,53,46,48,48,56,50,51,101,45,48,55,32,52,46,55,48,57,50,49,101,45,48,55,32,
      52,46,50,49,53,53,50,101,45,48,55,32,51,46,57,49,55,50,56,101,45,48,55,32,51,
      46,52,54,50,48,52,101,45,48,55,10,32,32,51,46,48,48,55,52,51,101,45,48,55,32,
      50,46,55,53,49,48,56,101,45,48,55,32,50,46,53,48,55,53,50,101,45,48,55,32,50,
      46,49,53,49,52,49,101,45,48,55,32,49,46,56,48,48,57,52,101,45,48,55,32,49,46,
      54,50,53,53,50,101,45,48,55,32,49,46,51,55,48,50,101,45,48,55,10,32,32,49,46,
      50,51,48,53,55,101,45,48,55,32,49,46,48,50,55,52,55,101,45,48,55,32,56,46,53,
      54,56,51,57,101,45,48,56,32,55,46,48,57,57,49,55,101,45,48,56,32,54,46,52,56,
      49,52,51,101,45,48,56,32,53,46,52,50,55,54,101,45,48,56,32,52,46,52,52,54,51,
      55,101,45,48,56,10,32,32,51,46,55,53,54,52,54,101,45,48,56,32,51,46,49,54,55,
      48,53,101,45,48,56,32,50,46,54,57,52,56,54,101,45,48,56,32,50,46,50,57,53,49,
      54,101,45,48,56,32,49,46,57,49,55,55,51,101,45,48,56,32,49,46,54,51,50,54,101,
      45,48,56,32,49,46,51,54,53,49,54,101,45,48,56,10,32,32,49,46,49,57,53,55,49,
      101,45,48,56,32,57,46,54,49,55,52,52,101,45,48,57,32,56,46,52,48,55,56,52,101,
      45,48,57,32,55,46,49,48,55,57,51,101,45,48,57,32,52,46,55,57,48,48,51,101,45,
      48,57,32,50,46,55,54,50,49,57,101,45,48,57,32,49,46,54,48,50,54,52,101,45,48,
      57,10,32,32,56,46,48,52,53,57,101,45,49,48,32,52,46,48,48,54,55,49,101,45,49,
      48,32,49,46,55,50,48,49,101,45,49,48,32,56,46,52,52,56,54,57,101,45,49,49,32,
      50,46,54,56,50,50,52,101,45,49,49,32,56,46,56,57,54,53,49,101,45,49,50,32,52,
      46,48,55,51,52,50,101,45,49,50,10,32,32,49,46,54,57,53,52,54,101,45,49,50,32,
      53,46,50,52,49,54,56,101,45,49,51,32,49,46,56,54,56,57,49,101,45,49,51,32,54,
      46,54,52,49,56,55,101,45,49,52,32,50,46,48,50,57,49,57,101,45,49,52,32,54,46,
      49,56,48,49,54,101,45,49,53,32,50,46,49,55,57,48,53,101,45,49,53,10,32,32,55,
      46,54,54,57,52,51,101,45,49,54,32,50,46,54,57,53,49,54,101,45,49,54,32,55,46,
      56,56,57,57,54,101,45,49,55,32,50,46,48,52,54,48,57,101,45,49,55,32,52,46,53,
      53,56,53,101,45,49,56,32,49,46,49,55,56,51,56,101,45,49,56,32,50,46,54,48,52,
      53,101,45,49,57,10,32,32,54,46,55,49,53,52,55,101,45,50,48,32,49,46,55,50,57,
      57,52,101,45,50,48,32,51,46,56,50,56,53,56,101,45,50,49,32,55,46,53,57,51,56,
      51,101,45,50,50,32,50,46,49,55,51,49,53,101,45,50,50,32,53,46,49,49,51,57,53,
      101,45,50,51,32,49,46,52,49,54,50,52,101,45,50,51,10,32,32,51,46,49,55,55,52,
      49,101,45,50,52,32,54,46,53,50,53,53,101,45,50,53,32,48,114,49,48,54,32,53,
      46,55,53,51,51,57,101,45,50,54,32,53,46,55,51,48,49,57,101,45,50,53,32,51,46,
      52,48,51,56,50,101,45,50,52,32,49,46,52,54,50,52,55,101,45,50,51,32,53,46,48,
      48,56,50,56,101,45,50,51,10,32,32,49,46,52,53,52,52,50,101,45,50,50,32,56,46,
      53,55,50,54,52,101,45,49,57,32,49,46,54,49,53,54,49,101,45,49,56,32,50,46,56,
      54,56,49,52,101,45,49,56,32,52,46,56,52,55,49,57,101,45,49,56,32,55,46,56,54,
      48,49,49,101,45,49,56,32,49,46,50,51,48,57,101,45,49,55,10,32,32,49,46,56,55,
      48,50,54,101,45,49,55,32,50,46,55,54,56,48,55,101,45,49,55,32,52,46,48,48,53,
      50,101,45,49,55,32,53,46,54,55,55,56,57,101,45,49,55,32,55,46,57,48,52,57,52,
      101,45,49,55,32,49,46,48,56,50,56,51,101,45,49,54,32,49,46,52,54,49,55,55,101,
      45,49,54,10,32,32,49,46,57,52,55,51,54,101,45,49,54,32,50,46,53,54,48,56,55,
      101,45,49,54,32,51,46,51,53,49,56,50,101,45,49,54,32,52,46,51,49,52,56,54,101,
      45,49,54,32,53,46,52,57,50,50,51,101,45,49,54,32,54,46,57,50,52,48,54,101,45,
      49,54,32,56,46,54,53,57,55,55,101,45,49,54,10,32,32,49,46,48,55,50,50,101,45,
      49,53,32,49,46,51,49,52,57,101,45,49,53,32,49,46,54,48,50,49,52,101,45,49,53,
      32,51,46,48,50,52,52,57,101,45,49,53,32,54,46,54,53,57,48,49,101,45,49,53,32,
      55,46,56,52,55,53,51,101,45,49,53,32,57,46,49,56,55,52,56,101,45,49,53,10,32,
      32,49,46,48,54,50,53,51,101,45,49,52,32,49,46,50,50,51,53,55,101,45,49,52,32,
      49,46,52,48,51,50,54,101,45,49,52,32,49,46,53,56,54,57,54,101,45,49,52,32,49,
      46,55,56,56,55,50,101,45,49,52,32,50,46,48,48,57,55,57,101,45,49,52,32,50,46,
      50,51,49,56,52,101,45,49,52,10,32,32,50,46,52,54,56,49,53,101,45,49,52,32,50,
      46,55,50,51,48,51,101,45,49,52,32,50,46,57,55,56,48,51,101,45,49,52,32,51,46,
      50,52,48,56,53,101,45,49,52,32,51,46,53,50,49,48,49,101,45,49,52,32,51,46,56,
      48,51,55,53,101,45,49,52,32,52,46,48,56,55,56,56,101,45,49,52,10,32,32,52,46,
      51,56,56,51,55,101,45,49,52,32,52,46,54,57,53,55,49,101,45,49,52,32,52,46,57,
      57,57,53,55,101,45,49,52,32,53,46,51,49,57,50,54,101,45,49,52,32,53,46,54,53,
      48,55,55,101,45,49,52,32,53,46,57,55,55,48,57,101,45,49,52,32,54,46,51,49,57,
      49,56,101,45,49,52,10,32,32,54,46,54,55,55,52,50,101,45,49,52,32,55,46,48,50,
      57,51,55,101,45,49,52,32,55,46,51,57,55,52,54,101,45,49,52,32,55,46,55,56,50,
      49,50,101,45,49,52,32,56,46,49,54,51,52,51,101,45,49,52,32,56,46,53,53,55,52,
      57,101,45,49,52,32,56,46,57,54,56,52,55,101,45,49,52,10,32,32,57,46,51,55,52,
      55,51,101,45,49,52,32,57,46,55,56,55,50,51,101,45,49,52,32,49,46,48,50,49,54,
      55,101,45,49,51,32,49,46,48,54,51,54,57,101,45,49,51,32,49,46,49,48,52,56,51,
      101,45,49,51,32,49,46,49,52,55,54,51,101,45,49,51,32,49,46,49,56,57,50,51,101,
      45,49,51,10,32,32,49,46,50,50,54,57,56,101,45,49,51,32,49,46,50,54,54,51,53,
      101,45,49,51,32,49,46,51,48,53,49,101,45,49,51,32,49,46,51,51,53,50,51,101,
      45,49,51,32,49,46,51,54,55,48,51,101,45,49,51,32,49,46,52,48,48,50,56,101,45,
      49,51,32,49,46,52,49,56,54,53,101,45,49,51,10,32,32,49,46,52,51,57,48,52,101,
      45,49,51,32,49,46,52,54,49,51,54,101,45,49,51,32,49,46,52,54,56,52,54,101,45,
      49,51,32,49,46,52,55,53,49,53,101,45,49,51,32,49,46,52,56,52,51,56,101,45,49,
      51,32,49,46,52,56,49,48,55,101,45,49,51,32,49,46,53,54,57,56,56,101,45,49,51,
      10,32,32,49,46,53,55,51,53,101,45,49,51,32,49,46,53,54,57,53,53,101,45,49,51,
      32,49,46,53,53,57,57,51,101,45,49,51,32,49,46,53,53,53,48,55,101,45,49,51,32,
      49,46,53,52,55,56,53,101,45,49,51,32,49,46,53,51,51,52,55,101,45,49,51,32,49,
      46,53,50,52,53,51,101,45,49,51,10,32,32,49,46,53,49,55,54,52,101,45,49,51,32,
      49,46,53,48,51,53,55,101,45,49,51,32,49,46,52,57,53,49,52,101,45,49,51,32,49,
      46,52,57,49,53,55,101,45,49,51,32,49,46,52,56,50,51,50,101,45,49,51,32,49,46,
      52,55,56,52,53,101,45,49,51,32,49,46,52,55,57,52,51,101,45,49,51,10,32,32,49,
      46,52,55,57,53,54,101,45,49,51,32,49,46,52,56,51,52,57,101,45,49,51,32,49,46,
      52,57,49,56,50,101,45,49,51,32,49,46,53,48,50,55,49,101,45,49,51,32,49,46,53,
      49,54,57,50,101,45,49,51,32,49,46,53,51,52,57,55,101,45,49,51,32,49,46,53,53,
      55,53,51,101,45,49,51,10,32,32,49,46,53,56,52,51,101,45,49,51,32,49,46,54,49,
      52,51,52,101,45,49,51,32,49,46,54,52,57,52,49,101,45,49,51,32,49,46,54,57,48,
      56,52,101,45,49,51,32,49,46,55,51,53,49,49,101,45,49,51,32,49,46,55,56,51,57,
      50,101,45,49,51,32,49,46,56,52,50,55,54,101,45,49,51,10,32,32,49,46,57,48,52,
      51,49,101,45,49,51,32,49,46,57,54,56,57,49,101,45,49,51,32,50,46,48,52,56,56,
      56,101,45,49,51,32,50,46,49,51,49,57,50,101,45,49,51,32,50,46,50,49,56,49,49,
      101,45,49,51,32,50,46,51,50,49,56,54,101,45,49,51,32,50,46,52,51,50,50,101,
      45,49,51,10,32,32,50,46,53,52,54,57,49,101,45,49,51,32,50,46,54,56,48,50,55,
      101,45,49,51,32,50,46,56,50,54,51,57,101,45,49,51,32,50,46,57,55,57,51,101,
      45,49,51,32,51,46,49,53,49,52,56,101,45,49,51,32,51,46,51,52,52,54,53,101,45,
      49,51,32,51,46,53,52,57,48,57,101,45,49,51,10,32,32,51,46,55,55,51,52,56,101,
      45,49,51,32,52,46,48,50,55,57,55,101,45,49,51,32,52,46,51,48,48,53,53,101,45,
      49,51,32,52,46,53,57,53,54,52,101,45,49,51,32,52,46,57,50,55,50,52,101,45,49,
      51,32,53,46,50,56,53,55,50,101,45,49,51,32,53,46,54,55,51,57,53,101,45,49,51,
      10,32,32,54,46,48,57,55,50,101,45,49,51,32,54,46,53,53,55,50,101,45,49,51,32,
      55,46,48,53,55,55,54,101,45,49,51,32,55,46,53,56,52,57,55,101,45,49,51,32,56,
      46,49,53,52,51,50,101,45,49,51,32,56,46,55,55,51,51,53,101,45,49,51,32,57,46,
      52,49,52,52,51,101,45,49,51,10,32,32,49,46,48,48,57,50,54,101,45,49,50,32,49,
      46,48,56,50,53,54,101,45,49,50,32,49,46,49,53,56,51,56,101,45,49,50,32,49,46,
      50,51,54,52,57,101,45,49,50,32,49,46,51,50,48,51,101,45,49,50,32,49,46,52,48,
      57,52,55,101,45,49,50,32,49,46,52,57,55,53,51,101,45,49,50,10,32,32,49,46,53,
      57,49,50,57,101,45,49,50,32,49,46,54,56,57,56,53,101,45,49,50,32,49,46,55,57,
      48,50,56,101,45,49,50,32,49,46,56,57,56,57,101,45,49,50,32,50,46,48,48,57,56,
      56,101,45,49,50,32,50,46,49,50,49,54,56,101,45,49,50,32,50,46,50,51,57,54,52,
      101,45,49,50,10,32,32,50,46,51,54,52,48,51,101,45,49,50,32,50,46,53,51,54,54,
      101,45,49,50,32,50,46,57,56,53,51,101,45,49,50,32,51,46,55,57,48,52,49,101,
      45,49,50,32,53,46,53,57,49,51,51,101,45,49,50,32,56,46,48,48,53,50,54,101,45,
      49,50,32,49,46,48,55,56,55,56,101,45,49,49,10,32,32,49,46,51,52,57,49,49,101,
      45,49,49,32,49,46,53,56,51,51,57,101,45,49,49,32,49,46,55,56,55,51,50,101,45,
      49,49,32,49,46,57,56,52,57,51,101,45,49,49,32,50,46,50,48,48,52,51,101,45,49,
      49,32,50,46,52,53,52,51,57,101,45,49,49,32,50,46,55,54,49,56,54,101,45,49,49,
      10,32,32,51,46,49,51,53,48,55,101,45,49,49,32,51,46,54,57,48,56,49,101,45,49,
      49,32,52,46,51,56,56,55,54,101,45,49,49,32,53,46,53,57,55,50,51,101,45,49,49,
      32,55,46,49,55,48,53,52,101,45,49,49,32,57,46,49,57,53,50,50,101,45,49,49,32,
      49,46,50,52,55,52,52,101,45,49,48,10,32,32,49,46,54,54,54,53,101,45,49,48,32,
      50,46,49,53,57,52,52,101,45,49,48,32,50,46,55,55,57,52,55,101,45,49,48,32,51,
      46,51,51,56,54,55,101,45,49,48,32,51,46,57,53,50,49,55,101,45,49,48,32,52,46,
      53,48,57,50,57,101,45,49,48,32,53,46,49,50,54,56,55,101,45,49,48,10,32,32,54,
      46,48,50,57,50,56,101,45,49,48,32,55,46,52,50,55,55,53,101,45,49,48,32,57,46,
      52,56,53,53,56,101,45,49,48,32,49,46,50,51,48,50,50,101,45,48,57,32,49,46,54,
      48,53,54,56,101,45,48,57,32,50,46,49,49,53,50,57,101,45,48,57,32,50,46,54,55,
      52,56,56,101,45,48,57,10,32,32,51,46,51,48,52,56,57,101,45,48,57,32,52,46,48,
      54,48,57,50,101,45,48,57,32,52,46,57,56,51,55,51,101,45,48,57,32,53,46,56,56,
      49,48,50,101,45,48,57,32,55,46,51,55,48,55,56,101,45,48,57,32,57,46,57,49,49,
      54,51,101,45,48,57,32,49,46,51,53,53,57,50,101,45,48,56,10,32,32,49,46,56,53,
      48,56,51,101,45,48,56,32,50,46,53,51,52,52,56,101,45,48,56,32,51,46,51,51,51,
      57,55,101,45,48,56,32,52,46,50,54,50,49,57,101,45,48,56,32,53,46,51,52,48,52,
      55,101,45,48,56,32,54,46,53,55,54,52,49,101,45,48,56,32,55,46,54,56,53,50,54,
      101,45,48,56,10,32,32,56,46,57,57,49,54,49,101,45,48,56,32,49,46,48,51,48,52,
      52,101,45,48,55,32,49,46,50,48,48,49,51,101,45,48,55,32,49,46,52,55,57,51,54,
      101,45,48,55,32,49,46,55,57,50,50,53,101,45,48,55,32,50,46,49,48,55,53,54,101,
      45,48,55,32,50,46,51,55,50,56,54,101,45,48,55,10,32,32,50,46,55,52,50,55,53,
      101,45,48,55,32,51,46,49,49,49,48,53,101,45,48,55,32,51,46,52,55,52,57,53,101,
      45,48,55,32,51,46,55,56,54,51,49,101,45,48,55,32,52,46,48,55,50,56,50,101,45,
      48,55,32,52,46,51,51,56,51,55,101,45,48,55,32,52,46,54,49,53,50,50,101,45,48,
      55,10,32,32,52,46,56,54,48,57,50,101,45,48,55,32,53,46,48,50,49,55,57,101,45,
      48,55,32,53,46,50,51,50,55,56,101,45,48,55,32,53,46,50,57,54,56,55,101,45,48,
      55,32,53,46,50,54,51,57,56,101,45,48,55,32,53,46,50,50,56,56,55,101,45,48,55,
      32,53,46,51,50,55,48,55,101,45,48,55,10,32,32,53,46,49,57,53,51,101,45,48,55,
      32,53,46,48,49,51,53,53,101,45,48,55,32,52,46,55,57,54,53,56,101,45,48,55,32,
      52,46,53,53,56,55,50,101,45,48,55,32,52,46,50,54,56,51,51,101,45,48,55,32,52,
      46,48,52,51,57,56,101,45,48,55,32,51,46,56,49,52,48,54,101,45,48,55,10,32,32,
      51,46,52,51,49,48,56,101,45,48,55,32,51,46,49,57,55,56,54,101,45,48,55,32,50,
      46,56,51,57,51,51,101,45,48,55,32,50,46,52,55,56,51,52,101,45,48,55,32,50,46,
      50,55,51,53,101,45,48,55,32,50,46,48,55,56,48,51,101,45,48,55,32,49,46,55,57,
      48,54,52,101,45,48,55,10,32,32,49,46,53,48,53,57,49,101,45,48,55,32,49,46,51,
      54,50,54,52,101,45,48,55,32,49,46,49,53,51,49,53,101,45,48,55,32,49,46,48,51,
      56,48,55,101,45,48,55,32,56,46,54,57,57,50,55,101,45,48,56,32,55,46,50,56,54,
      52,50,101,45,48,56,32,54,46,48,51,53,50,53,101,45,48,56,10,32,32,53,46,53,49,
      55,53,54,101,45,48,56,32,52,46,54,51,50,48,56,101,45,48,56,32,51,46,56,48,52,
      56,101,45,48,56,32,51,46,50,50,49,50,56,101,45,48,56,32,50,46,55,50,49,52,49,
      101,45,48,56,32,50,46,51,49,57,57,52,101,45,48,56,32,49,46,57,55,57,51,50,101,
      45,48,56,10,32,32,49,46,54,53,54,57,51,101,45,48,56,32,49,46,52,49,50,56,53,
      101,45,48,56,32,49,46,49,56,51,52,53,101,45,48,56,32,49,46,48,51,55,56,50,101,
      45,48,56,32,56,46,51,54,51,54,52,101,45,48,57,32,55,46,51,50,48,48,57,101,45,
      48,57,32,54,46,49,57,54,56,56,101,45,48,57,10,32,32,52,46,49,56,56,55,53,101,
      45,48,57,32,50,46,52,50,52,55,54,101,45,48,57,32,49,46,52,49,49,55,101,45,48,
      57,32,55,46,49,49,52,56,57,101,45,49,48,32,51,46,53,53,53,53,50,101,45,49,48,
      32,49,46,53,51,50,49,56,101,45,49,48,32,55,46,53,52,55,49,51,101,45,49,49,10,
      32,32,50,46,52,48,53,55,51,101,45,49,49,32,56,46,48,48,54,52,54,101,45,49,50,
      32,51,46,54,55,51,55,51,101,45,49,50,32,49,46,53,51,50,52,53,101,45,49,50,32,
      52,46,55,53,48,50,55,101,45,49,51,32,49,46,54,57,55,50,54,101,45,49,51,32,54,
      46,48,52,51,52,53,101,45,49,52,10,32,32,49,46,56,53,48,48,57,101,45,49,52,32,
      53,46,54,52,53,48,55,101,45,49,53,32,49,46,57,57,51,51,53,101,45,49,53,32,55,
      46,48,50,53,54,50,101,45,49,54,32,50,46,52,55,50,49,51,101,45,49,54,32,55,46,
      50,53,49,48,52,101,45,49,55,32,49,46,56,56,51,48,57,101,45,49,55,10,32,32,52,
      46,50,48,49,52,54,101,45,49,56,32,49,46,48,56,55,52,101,45,49,56,32,50,46,52,
      48,54,52,53,101,45,49,57,32,54,46,50,49,49,51,54,101,45,50,48,32,49,46,54,48,
      49,54,55,101,45,50,48,32,51,46,53,52,56,51,49,101,45,50,49,32,55,46,48,52,52,
      56,51,101,45,50,50,10,32,32,50,46,48,49,57,49,52,101,45,50,50,32,52,46,55,53,
      48,56,49,101,45,50,51,32,49,46,51,49,52,57,56,101,45,50,51,32,51,46,49,48,54,
      50,54,101,45,50,52,32,54,46,48,51,57,51,55,101,45,50,53,32,48,114,49,48,54,
      32,49,46,51,56,57,49,54,101,45,50,54,32,49,46,51,56,52,53,56,101,45,50,53,10,
      32,32,56,46,50,51,50,50,55,101,45,50,53,32,51,46,53,52,48,56,53,101,45,50,52,
      32,49,46,50,49,50,57,49,101,45,50,51,32,51,46,53,51,48,54,56,101,45,50,51,32,
      50,46,50,56,52,55,49,101,45,49,57,32,52,46,52,52,52,55,101,45,49,57,32,56,46,
      49,49,52,57,57,101,45,49,57,10,32,32,49,46,52,48,54,49,55,101,45,49,56,32,50,
      46,51,51,49,56,57,101,45,49,56,32,51,46,55,50,54,51,50,101,45,49,56,32,53,46,
      55,54,54,53,49,101,45,49,56,32,56,46,54,55,55,55,57,101,45,49,56,32,49,46,50,
      55,52,56,51,101,45,49,55,32,49,46,56,51,50,53,49,101,45,49,55,10,32,32,50,46,
      53,56,51,57,50,101,45,49,55,32,51,46,53,56,49,49,49,101,45,49,55,32,52,46,56,
      56,54,53,56,101,45,49,55,32,54,46,53,55,52,55,52,101,45,49,55,32,56,46,55,50,
      53,50,55,101,45,49,55,32,49,46,49,52,57,57,57,101,45,49,54,32,49,46,52,57,50,
      48,53,101,45,49,54,10,32,32,49,46,57,49,50,56,56,101,45,49,54,32,50,46,52,50,
      55,54,52,101,45,49,54,32,51,46,48,53,53,48,53,101,45,49,54,32,51,46,56,48,52,
      49,101,45,49,54,32,52,46,54,56,57,53,49,101,45,49,54,32,53,46,55,52,49,56,55,
      101,45,49,54,32,49,46,55,51,51,101,45,49,53,10,32,32,55,46,50,53,49,48,52,101,
      45,49,53,32,56,46,53,50,52,49,53,101,45,49,53,32,57,46,57,53,52,57,51,101,45,
      49,53,32,49,46,49,52,56,54,101,45,49,52,32,49,46,51,49,57,53,55,101,45,49,52,
      32,49,46,53,48,57,55,53,101,45,49,52,32,49,46,55,48,51,55,55,101,45,49,52,10,
      32,32,49,46,57,49,54,51,49,101,45,49,52,32,50,46,49,52,56,53,53,101,45,49,52,
      32,50,46,51,56,49,52,54,101,45,49,52,32,50,46,54,50,56,56,101,45,49,52,32,50,
      46,56,57,52,57,56,101,45,49,52,32,51,46,49,54,48,57,55,101,45,49,52,32,51,46,
      52,51,52,55,51,101,45,49,52,10,32,32,51,46,55,50,53,57,57,101,45,49,52,32,52,
      46,48,49,57,54,50,101,45,49,52,32,52,46,51,49,52,52,52,101,45,49,52,32,52,46,
      54,50,53,55,51,101,45,49,52,32,52,46,57,52,51,55,55,101,45,49,52,32,53,46,50,
      53,56,48,54,101,45,49,52,32,53,46,53,56,56,50,50,101,45,49,52,10,32,32,53,46,
      57,51,48,49,56,101,45,49,52,32,54,46,50,54,54,54,52,101,45,49,52,32,54,46,54,
      49,56,56,56,101,45,49,52,32,54,46,57,56,55,49,56,101,45,49,52,32,55,46,51,52,
      56,57,51,101,45,49,52,32,55,46,55,50,54,54,57,101,45,49,52,32,56,46,49,50,48,
      57,49,101,45,49,52,10,32,32,56,46,53,49,49,52,53,101,45,49,52,32,56,46,57,49,
      52,53,52,101,45,49,52,32,57,46,51,51,52,51,51,101,45,49,52,32,57,46,55,52,57,
      48,50,101,45,49,52,32,49,46,48,49,54,57,54,101,45,49,51,32,49,46,48,54,48,54,
      57,101,45,49,51,32,49,46,49,48,51,52,53,101,45,49,51,10,32,32,49,46,49,52,53,
      50,56,101,45,49,51,32,49,46,49,56,56,55,52,101,45,49,51,32,49,46,50,51,48,57,
      52,101,45,49,51,32,49,46,50,54,57,50,53,101,45,49,51,32,49,46,51,48,57,49,49,
      101,45,49,51,32,49,46,51,52,56,51,49,101,45,49,51,32,49,46,51,55,56,56,50,101,
      45,49,51,10,32,32,49,46,52,49,48,57,52,101,45,49,51,32,49,46,52,52,52,52,50,
      101,45,49,51,32,49,46,52,54,50,57,51,101,45,49,51,32,49,46,52,56,51,51,54,101,
      45,49,51,32,49,46,53,48,53,54,51,101,45,49,51,32,49,46,53,49,50,53,101,45,49,
      51,32,49,46,53,49,56,56,49,101,45,49,51,10,32,32,49,46,53,50,55,53,50,101,45,
      49,51,32,49,46,53,50,51,52,51,101,45,49,51,32,49,46,54,53,54,54,57,101,45,49,
      51,32,49,46,54,54,50,52,52,101,45,49,51,32,49,46,54,54,48,52,57,101,45,49,51,
      32,49,46,54,53,50,55,50,101,45,49,51,32,49,46,54,52,57,55,51,101,45,49,51,10,
      32,32,49,46,54,52,52,50,54,101,45,49,51,32,49,46,54,51,49,52,49,101,45,49,51,
      32,49,46,54,50,52,101,45,49,51,32,49,46,54,49,56,54,49,101,45,49,51,32,49,46,
      54,48,53,55,53,101,45,49,51,32,49,46,53,57,56,53,55,101,45,49,51,32,49,46,53,
      57,54,51,50,101,45,49,51,10,32,32,49,46,53,56,56,48,56,101,45,49,51,32,49,46,
      53,56,53,50,57,101,45,49,51,32,49,46,53,56,55,52,52,101,45,49,51,32,49,46,53,
      56,56,53,57,101,45,49,51,32,49,46,53,57,51,53,57,101,45,49,51,32,49,46,54,48,
      51,48,57,101,45,49,51,32,49,46,54,49,53,49,53,101,45,49,51,10,32,32,49,46,54,
      51,48,53,57,101,45,49,51,32,49,46,54,52,57,57,51,101,45,49,51,32,49,46,54,55,
      51,57,50,101,45,49,51,32,49,46,55,48,50,50,49,101,45,49,51,32,49,46,55,51,51,
      56,51,101,45,49,51,32,49,46,55,55,48,54,52,101,45,49,51,32,49,46,56,49,52,48,
      51,101,45,49,51,10,32,32,49,46,56,54,48,50,57,101,45,49,51,32,49,46,57,49,49,
      50,49,101,45,49,51,32,49,46,57,55,50,53,56,101,45,49,51,32,50,46,48,51,54,54,
      55,101,45,49,51,32,50,46,49,48,51,56,50,101,45,49,51,32,50,46,49,56,55,48,51,
      101,45,49,51,32,50,46,50,55,51,50,56,101,45,49,51,10,32,32,50,46,51,54,50,54,
      55,101,45,49,51,32,50,46,52,55,48,51,56,101,45,49,51,32,50,46,53,56,52,55,56,
      101,45,49,51,32,50,46,55,48,51,53,51,101,45,49,51,32,50,46,56,52,49,54,49,101,
      45,49,51,32,50,46,57,57,50,55,56,101,45,49,51,32,51,46,49,53,48,55,49,101,45,
      49,51,10,32,32,51,46,51,50,56,52,51,101,45,49,51,32,51,46,53,50,55,54,52,101,
      45,49,51,32,51,46,55,51,56,48,56,101,45,49,51,32,51,46,57,54,56,55,50,101,45,
      49,51,32,52,46,50,50,57,57,51,101,45,49,51,32,52,46,53,48,57,49,101,45,49,51,
      32,52,46,56,49,48,54,54,101,45,49,51,10,32,32,53,46,49,52,56,56,101,45,49,51,
      32,53,46,53,49,51,51,55,101,45,49,51,32,53,46,57,48,55,49,101,45,49,51,32,54,
      46,51,51,53,48,56,101,45,49,51,32,54,46,55,57,56,55,54,101,45,49,51,32,55,46,
      51,48,49,54,53,101,45,49,51,32,55,46,56,50,57,53,50,101,45,49,51,10,32,32,56,
      46,51,57,55,54,101,45,49,51,32,57,46,48,49,51,48,49,101,45,49,51,32,57,46,54,
      52,56,48,55,101,45,49,51,32,49,46,48,51,49,55,53,101,45,49,50,32,49,46,49,48,
      51,56,51,101,45,49,50,32,49,46,49,55,56,49,51,101,45,49,50,32,49,46,50,53,52,
      52,50,101,45,49,50,10,32,32,49,46,51,51,53,57,56,101,45,49,50,32,49,46,52,50,
      51,48,57,101,45,49,50,32,49,46,53,48,56,50,56,101,45,49,50,32,49,46,53,57,56,
      54,53,101,45,49,50,32,49,46,54,57,51,51,52,101,45,49,50,32,49,46,55,57,48,49,
      56,101,45,49,50,32,49,46,56,57,53,51,53,101,45,49,50,10,32,32,50,46,48,48,49,
      49,54,101,45,49,50,32,50,46,49,48,55,52,57,101,45,49,50,32,50,46,50,49,57,51,
      51,101,45,49,50,32,50,46,51,51,54,56,56,101,45,49,50,32,50,46,52,57,57,52,50,
      101,45,49,50,32,50,46,57,49,57,48,49,101,45,49,50,32,51,46,54,54,50,50,56,101,
      45,49,50,10,32,32,53,46,50,56,57,51,50,101,45,49,50,32,55,46,52,49,52,54,56,
      101,45,49,50,32,57,46,56,49,53,52,53,101,45,49,50,32,49,46,50,49,50,51,52,101,
      45,49,49,32,49,46,52,49,50,50,54,101,45,49,49,32,49,46,53,56,54,57,53,101,45,
      49,49,32,49,46,55,53,54,49,52,101,45,49,49,10,32,32,49,46,57,51,57,51,101,45,
      49,49,32,50,46,49,53,50,55,54,101,45,49,49,32,50,46,52,48,56,50,51,101,45,49,
      49,32,50,46,55,49,52,55,51,101,45,49,49,32,51,46,49,54,53,51,52,101,45,49,49,
      32,51,46,55,50,51,51,52,101,45,49,49,32,52,46,54,54,57,57,50,101,45,49,49,10,
      32,32,53,46,56,56,48,55,52,101,45,49,49,32,55,46,52,48,55,57,57,101,45,49,49,
      32,57,46,56,50,55,52,101,45,49,49,32,49,46,50,56,53,49,55,101,45,49,48,32,49,
      46,54,51,52,53,57,101,45,49,48,32,50,46,48,54,56,57,101,45,49,48,32,50,46,52,
      53,57,50,54,101,45,49,48,10,32,32,50,46,56,56,57,56,52,101,45,49,48,32,51,46,
      50,56,49,56,50,101,45,49,48,32,51,46,55,49,50,56,55,101,45,49,48,32,52,46,51,
      51,51,54,51,101,45,49,48,32,53,46,50,56,48,50,52,101,45,49,48,32,54,46,54,53,
      52,52,101,45,49,48,32,56,46,53,49,51,57,53,101,45,49,48,10,32,32,49,46,48,57,
      54,56,50,101,45,48,57,32,49,46,52,50,55,51,52,101,45,48,57,32,49,46,55,56,56,
      54,101,45,48,57,32,50,46,49,57,52,52,55,101,45,48,57,32,50,46,54,56,50,50,55,
      101,45,48,57,32,51,46,50,55,53,50,55,101,45,48,57,32,51,46,56,52,57,56,50,101,
      45,48,57,10,32,32,52,46,56,48,48,48,52,101,45,48,57,32,54,46,52,49,57,101,45,
      48,57,32,56,46,55,52,55,50,49,101,45,48,57,32,49,46,49,57,50,50,54,101,45,48,
      56,32,49,46,54,51,52,54,55,101,45,48,56,32,50,46,49,53,55,52,52,101,45,48,56,
      32,50,46,55,55,49,50,57,101,45,48,56,10,32,32,51,46,52,56,57,56,50,101,45,48,
      56,32,52,46,51,49,54,49,57,101,45,48,56,32,53,46,48,53,57,50,49,101,45,48,56,
      32,53,46,57,52,50,57,54,101,45,48,56,32,54,46,56,51,57,50,50,101,45,48,56,32,
      56,46,48,49,49,48,51,101,45,48,56,32,57,46,57,54,56,54,49,101,45,48,56,10,32,
      32,49,46,50,49,57,56,55,101,45,48,55,32,49,46,52,52,55,56,57,101,45,48,55,32,
      49,46,54,52,49,57,50,101,45,48,55,32,49,46,57,49,53,52,53,101,45,48,55,32,50,
      46,49,57,49,56,56,101,45,48,55,32,50,46,52,54,57,51,50,101,45,48,55,32,50,46,
      55,48,57,50,56,101,45,48,55,10,32,32,50,46,57,51,48,50,52,101,45,48,55,32,51,
      46,49,51,51,57,55,101,45,48,55,32,51,46,51,52,54,55,54,101,45,48,55,32,51,46,
      53,51,56,56,49,101,45,48,55,32,51,46,54,54,56,54,52,101,45,48,55,32,51,46,56,
      53,50,50,53,101,45,48,55,32,51,46,57,50,57,50,55,101,45,48,55,10,32,32,51,46,
      57,50,57,53,52,101,45,48,55,32,51,46,57,50,52,49,56,101,45,48,55,32,52,46,48,
      48,55,54,49,101,45,48,55,32,51,46,57,50,56,50,50,101,45,48,55,32,51,46,56,48,
      57,50,51,101,45,48,55,32,51,46,54,54,49,51,56,101,45,48,55,32,51,46,52,57,53,
      50,51,101,45,48,55,10,32,32,51,46,50,56,56,54,53,101,45,48,55,32,51,46,49,50,
      54,57,49,101,45,48,55,32,50,46,57,53,57,53,57,101,45,48,55,32,50,46,54,55,55,
      56,101,45,48,55,32,50,46,53,48,52,53,50,101,45,48,55,32,50,46,50,51,53,56,52,
      101,45,48,55,32,49,46,57,54,50,53,57,101,45,48,55,10,32,32,49,46,56,48,54,51,
      54,101,45,48,55,32,49,46,54,53,54,52,54,101,45,48,55,32,49,46,52,51,52,54,54,
      101,45,48,55,32,49,46,50,49,51,49,54,101,45,48,55,32,49,46,49,48,49,48,49,101,
      45,48,55,32,57,46,51,54,49,49,53,101,45,48,56,32,56,46,52,53,48,52,52,101,45,
      48,56,10,32,32,55,46,49,49,50,52,56,101,45,48,56,32,53,46,57,56,54,50,50,101,
      45,48,56,32,52,46,57,54,49,52,51,101,45,48,56,32,52,46,53,52,51,50,55,101,45,
      48,56,32,51,46,56,50,53,55,57,101,45,48,56,32,51,46,49,53,50,54,53,101,45,48,
      56,32,50,46,54,55,54,48,50,101,45,48,56,10,32,32,50,46,50,54,54,51,55,101,45,
      48,56,32,49,46,57,51,54,51,52,101,45,48,56,32,49,46,54,53,53,53,53,101,45,48,
      56,32,49,46,51,56,57,48,51,101,45,48,56,32,49,46,49,56,54,55,50,101,45,48,56,
      32,57,46,57,54,48,56,53,101,45,48,57,32,56,46,55,52,55,57,57,101,45,48,57,10,
      32,32,55,46,48,54,54,50,52,101,45,48,57,32,54,46,49,57,51,48,57,101,45,48,57,
      32,53,46,50,53,49,53,53,101,45,48,57,32,51,46,53,54,50,56,55,101,45,48,57,32,
      50,46,48,55,50,48,57,101,45,48,57,32,49,46,50,49,49,51,57,101,45,48,57,32,54,
      46,49,51,52,50,101,45,49,48,10,32,32,51,46,48,55,56,52,54,101,45,49,48,32,49,
      46,51,51,50,54,53,101,45,49,48,32,54,46,53,56,54,55,54,101,45,49,49,32,50,46,
      49,48,57,56,57,101,45,49,49,32,55,46,48,53,48,55,55,101,45,49,50,32,51,46,50,
      52,51,55,49,101,45,49,50,32,49,46,51,53,54,55,50,101,45,49,50,10,32,32,52,46,
      50,49,57,50,101,45,49,51,32,49,46,53,49,49,51,55,101,45,49,51,32,53,46,51,57,
      52,49,53,101,45,49,52,32,49,46,54,53,53,51,53,101,45,49,52,32,53,46,48,54,50,
      48,56,101,45,49,53,32,49,46,55,57,48,54,56,101,45,49,53,32,54,46,51,50,49,56,
      101,45,49,54,10,32,32,50,46,50,50,55,57,50,101,45,49,54,32,54,46,53,52,57,57,
      101,45,49,55,32,49,46,55,48,51,57,56,101,45,49,55,32,51,46,56,48,56,54,53,101,
      45,49,56,32,57,46,56,55,50,50,101,45,49,57,32,50,46,49,56,56,49,53,101,45,49,
      57,32,53,46,54,53,53,51,101,45,50,48,10,32,32,49,46,52,54,48,48,55,101,45,50,
      48,32,51,46,50,51,56,53,57,101,45,50,49,32,54,46,52,52,48,49,50,101,45,50,50,
      32,49,46,56,52,54,54,53,101,45,50,50,32,52,46,51,52,56,55,54,101,45,50,51,32,
      49,46,50,48,50,56,52,101,45,50,51,32,50,46,57,55,54,57,54,101,45,50,52,10,32,
      32,54,46,56,55,53,55,101,45,50,53,32,48,114,49,48,56,32,56,46,49,48,53,51,101,
      45,50,54,32,51,46,52,57,55,55,52,101,45,50,53,32,49,46,50,48,50,55,55,101,45,
      50,52,32,51,46,53,49,51,50,56,101,45,50,52,32,50,46,48,53,53,49,55,101,45,50,
      49,32,52,46,55,53,49,57,49,101,45,50,49,10,32,32,49,46,48,49,51,56,101,45,50,
      48,32,50,46,48,50,52,48,56,101,45,50,48,32,51,46,56,50,49,57,101,45,50,48,32,
      54,46,56,56,52,54,101,45,50,48,32,49,46,49,57,48,53,52,101,45,49,57,32,49,46,
      57,56,54,55,57,101,45,49,57,32,51,46,50,49,53,53,49,101,45,49,57,10,32,32,53,
      46,48,54,49,54,49,101,45,49,57,32,55,46,55,55,51,55,55,101,45,49,57,32,49,46,
      49,54,55,56,54,101,45,49,56,32,49,46,55,49,57,56,53,101,45,49,56,32,50,46,52,
      56,55,51,57,101,45,49,56,32,51,46,53,51,52,50,52,101,45,49,56,32,52,46,57,53,
      48,51,49,101,45,49,56,10,32,32,54,46,56,51,50,48,49,101,45,49,56,32,57,46,50,
      56,51,55,50,101,45,49,56,32,49,46,50,52,53,48,53,101,45,49,55,32,49,46,54,53,
      49,54,54,101,45,49,55,32,50,46,49,54,48,57,57,101,45,49,55,32,50,46,55,57,48,
      54,57,101,45,49,55,32,51,46,53,55,50,52,54,101,45,49,55,10,32,32,53,46,48,49,
      53,48,55,101,45,49,54,32,49,46,54,54,53,54,52,101,45,49,52,32,49,46,57,53,54,
      56,56,101,45,49,52,32,50,46,50,56,51,57,56,101,45,49,52,32,50,46,54,51,51,56,
      101,45,49,52,32,51,46,48,50,52,49,54,101,45,49,52,32,51,46,52,53,56,49,52,101,
      45,49,52,10,32,32,51,46,57,48,48,54,53,101,45,49,52,32,52,46,51,56,53,48,57,
      101,45,49,52,32,52,46,57,49,52,49,55,101,45,49,52,32,53,46,52,52,52,53,52,101,
      45,49,52,32,54,46,48,48,55,52,56,101,45,49,52,32,54,46,54,49,50,57,57,101,45,
      49,52,32,55,46,50,49,55,56,55,101,45,49,52,10,32,32,55,46,56,52,48,49,53,101,
      45,49,52,32,56,46,53,48,49,57,49,101,45,49,52,32,57,46,49,54,56,56,52,101,45,
      49,52,32,57,46,56,51,56,50,53,101,45,49,52,32,49,46,48,53,52,52,55,101,45,49,
      51,32,49,46,49,50,54,54,51,101,45,49,51,32,49,46,49,57,55,57,49,101,45,49,51,
      10,32,32,49,46,50,55,50,55,54,101,45,49,51,32,49,46,51,53,48,50,53,101,45,49,
      51,32,49,46,52,50,54,52,56,101,45,49,51,32,49,46,53,48,54,50,52,101,45,49,51,
      32,49,46,53,56,57,54,101,45,49,51,32,49,46,54,55,49,52,53,101,45,49,51,32,49,
      46,55,53,54,56,56,101,45,49,51,10,32,32,49,46,56,52,53,57,57,101,45,49,51,32,
      49,46,57,51,52,50,51,101,45,49,51,32,50,46,48,50,53,50,54,101,45,49,51,32,50,
      46,49,50,48,48,49,101,45,49,51,32,50,46,50,49,51,53,54,101,45,49,51,32,50,46,
      51,48,56,51,57,101,45,49,51,32,50,46,52,48,54,57,51,101,45,49,51,10,32,32,50,
      46,53,48,51,50,50,101,45,49,51,32,50,46,53,57,55,51,53,101,45,49,51,32,50,46,
      54,57,53,48,56,101,45,49,51,32,50,46,55,56,57,57,50,101,45,49,51,32,50,46,56,
      55,53,56,56,101,45,49,51,32,50,46,57,54,53,50,57,101,45,49,51,32,51,46,48,53,
      51,49,101,45,49,51,10,32,32,51,46,49,50,49,50,51,101,45,49,51,32,51,46,49,57,
      50,56,56,101,45,49,51,32,51,46,50,54,55,53,101,45,49,51,32,51,46,51,48,56,50,
      53,101,45,49,51,32,51,46,51,53,51,49,56,101,45,49,51,32,51,46,52,48,50,49,49,
      101,45,49,51,32,51,46,52,49,54,49,55,101,45,49,51,10,32,32,51,46,52,50,56,55,
      56,101,45,49,51,32,51,46,52,52,54,54,51,101,45,49,51,32,51,46,52,51,53,51,55,
      101,45,49,51,32,51,46,55,56,48,50,49,101,45,49,51,32,51,46,55,57,52,50,54,101,
      45,49,51,32,51,46,55,57,48,57,49,101,45,49,51,32,51,46,55,55,52,51,54,101,45,
      49,51,10,32,32,51,46,55,54,56,53,56,101,45,49,51,32,51,46,55,53,55,49,53,101,
      45,49,51,32,51,46,55,50,56,57,53,101,45,49,51,32,51,46,55,49,51,48,54,101,45,
      49,51,32,51,46,55,48,49,54,55,101,45,49,51,32,51,46,54,55,51,51,101,45,49,51,
      32,51,46,54,53,55,55,55,101,45,49,51,10,32,32,51,46,54,53,51,51,55,101,45,49,
      51,32,51,46,54,51,53,51,50,101,45,49,51,32,51,46,54,50,57,54,101,45,49,51,32,
      51,46,54,51,53,48,54,101,45,49,51,32,51,46,54,51,56,50,49,101,45,49,51,32,51,
      46,54,53,48,48,54,101,45,49,51,32,51,46,54,55,50,48,56,101,45,49,51,10,32,32,
      51,46,54,57,57,57,49,101,45,49,51,32,51,46,55,51,53,51,54,101,45,49,51,32,51,
      46,55,55,57,54,56,101,45,49,51,32,51,46,56,51,52,53,50,101,45,49,51,32,51,46,
      56,57,57,49,50,101,45,49,51,32,51,46,57,55,49,50,54,101,45,49,51,32,52,46,48,
      53,53,49,55,101,45,49,51,10,32,32,52,46,49,53,52,48,51,101,45,49,51,32,52,46,
      50,53,57,51,55,101,45,49,51,32,52,46,51,55,53,50,57,101,45,49,51,32,52,46,53,
      49,52,57,55,101,45,49,51,32,52,46,54,54,48,55,55,101,45,49,51,32,52,46,56,49,
      51,52,57,101,45,49,51,32,53,46,48,48,50,55,53,101,45,49,51,10,32,32,53,46,49,
      57,56,56,55,101,45,49,51,32,53,46,52,48,50,48,53,101,45,49,51,32,53,46,54,52,
      54,56,56,101,45,49,51,32,53,46,57,48,54,56,54,101,45,49,51,32,54,46,49,55,54,
      54,50,101,45,49,51,32,54,46,52,57,48,51,49,101,45,49,51,32,54,46,56,51,51,54,
      52,101,45,49,51,10,32,32,55,46,49,57,50,50,101,45,49,51,32,55,46,53,57,53,54,
      50,101,45,49,51,32,56,46,48,52,55,55,50,101,45,49,51,32,56,46,53,50,53,49,50,
      101,45,49,51,32,57,46,48,52,56,49,53,101,45,49,51,32,57,46,54,52,48,51,53,101,
      45,49,51,32,49,46,48,50,55,50,57,101,45,49,50,10,32,32,49,46,48,57,53,53,57,
      101,45,49,50,32,49,46,49,55,50,49,51,101,45,49,50,32,49,46,50,53,52,54,49,101,
      45,49,50,32,49,46,51,52,51,54,51,101,45,49,50,32,49,46,52,52,48,51,50,101,45,
      49,50,32,49,46,53,52,52,57,57,101,45,49,50,32,49,46,54,53,56,52,50,101,45,49,
      50,10,32,32,49,46,55,55,55,51,57,101,45,49,50,32,49,46,57,48,53,51,101,45,49,
      50,32,50,46,48,52,51,55,50,101,45,49,50,32,50,46,49,56,54,52,50,101,45,49,50,
      32,50,46,51,51,54,54,57,101,45,49,50,32,50,46,52,57,56,51,51,101,45,49,50,32,
      50,46,54,54,52,55,51,101,45,49,50,10,32,32,50,46,56,51,53,52,50,101,45,49,50,
      32,51,46,48,49,55,54,56,101,45,49,50,32,51,46,50,50,48,49,55,101,45,49,50,32,
      51,46,52,49,48,53,55,101,45,49,50,32,51,46,54,49,50,51,49,101,45,49,50,32,51,
      46,56,50,51,52,51,101,45,49,50,32,52,46,48,52,54,51,52,101,45,49,50,10,32,32,
      52,46,50,57,55,53,57,101,45,49,50,32,52,46,53,51,52,55,56,101,45,49,50,32,52,
      46,55,55,50,57,50,101,45,49,50,32,53,46,48,50,51,49,50,101,45,49,50,32,53,46,
      50,56,53,56,49,101,45,49,50,32,53,46,54,52,56,53,54,101,45,49,50,32,54,46,53,
      56,50,50,56,101,45,49,50,10,32,32,56,46,50,50,55,49,56,101,45,49,50,32,49,46,
      49,55,56,57,53,101,45,49,49,32,49,46,54,51,54,57,53,101,45,49,49,32,50,46,49,
      52,54,50,56,101,45,49,49,32,50,46,54,51,48,56,57,101,45,49,49,32,51,46,48,52,
      57,57,101,45,49,49,32,51,46,52,49,54,56,54,101,45,49,49,10,32,32,51,46,55,55,
      50,49,49,101,45,49,49,32,52,46,49,53,52,48,51,101,45,49,49,32,52,46,53,57,52,
      52,54,101,45,49,49,32,53,46,49,49,54,101,45,49,49,32,53,46,55,51,51,51,57,101,
      45,49,49,32,54,46,54,50,55,52,101,45,49,49,32,55,46,55,49,52,48,51,101,45,49,
      49,10,32,32,57,46,53,48,52,54,101,45,49,49,32,49,46,49,55,49,56,55,101,45,49,
      48,32,49,46,52,51,57,55,53,101,45,49,48,32,49,46,56,52,49,50,54,101,45,49,48,
      32,50,46,51,49,48,51,57,101,45,49,48,32,50,46,56,49,56,56,55,101,45,49,48,32,
      51,46,52,49,55,50,54,101,45,49,48,10,32,32,51,46,57,52,53,51,52,101,45,49,48,
      32,52,46,53,51,52,56,53,101,45,49,48,32,53,46,48,55,55,50,55,101,45,49,48,32,
      53,46,54,53,52,52,101,45,49,48,32,54,46,52,50,57,53,101,45,49,48,32,55,46,53,
      49,56,55,54,101,45,49,48,32,56,46,57,54,53,53,56,101,45,49,48,10,32,32,49,46,
      48,55,53,53,54,101,45,48,57,32,49,46,50,57,48,57,54,101,45,48,57,32,49,46,53,
      53,55,50,101,45,48,57,32,49,46,56,50,57,55,57,101,45,48,57,32,50,46,49,50,53,
      56,51,101,45,48,57,32,50,46,52,55,56,56,53,101,45,48,57,32,50,46,56,56,52,50,
      52,101,45,48,57,10,32,32,51,46,50,53,48,50,52,101,45,48,57,32,51,46,56,49,49,
      53,56,101,45,48,57,32,52,46,54,57,57,55,53,101,45,48,57,32,53,46,57,48,56,56,
      50,101,45,48,57,32,55,46,53,49,51,56,51,101,45,48,57,32,57,46,55,51,57,57,101,
      45,48,57,32,49,46,50,51,57,53,57,101,45,48,56,10,32,32,49,46,53,53,56,56,50,
      101,45,48,56,32,49,46,57,51,57,50,53,101,45,48,56,32,50,46,51,56,52,56,51,101,
      45,48,56,32,50,46,55,56,57,51,51,101,45,48,56,32,51,46,50,55,53,56,55,101,45,
      48,56,32,51,46,55,55,50,48,57,101,45,48,56,32,52,46,52,51,48,53,55,101,45,48,
      56,10,32,32,53,46,53,53,52,55,49,101,45,48,56,32,54,46,56,54,55,51,50,101,45,
      48,56,32,56,46,50,52,48,54,56,101,45,48,56,32,57,46,52,51,49,51,54,101,45,48,
      56,32,49,46,49,49,51,57,53,101,45,48,55,32,49,46,50,57,48,53,101,45,48,55,32,
      49,46,52,55,49,57,50,101,45,48,55,10,32,32,49,46,54,51,49,53,55,101,45,48,55,
      32,49,46,55,55,57,48,57,101,45,48,55,32,49,46,57,49,52,52,53,101,45,48,55,32,
      50,46,48,53,54,52,53,101,45,48,55,32,50,46,49,56,55,54,49,101,45,48,55,32,50,
      46,50,56,48,48,54,101,45,48,55,32,50,46,52,50,50,56,49,101,45,48,55,10,32,32,
      50,46,53,48,48,52,50,101,45,48,55,32,50,46,53,50,52,54,53,101,45,48,55,32,50,
      46,53,52,49,52,56,101,45,48,55,32,50,46,54,48,52,57,55,101,45,48,55,32,50,46,
      53,55,50,52,57,101,45,48,55,32,50,46,53,49,50,52,53,101,45,48,55,32,50,46,52,
      51,49,52,53,101,45,48,55,10,32,32,50,46,51,51,54,50,49,101,45,48,55,32,50,46,
      50,49,51,57,51,101,45,48,55,32,50,46,49,49,54,48,52,101,45,48,55,32,50,46,48,
      49,51,49,55,101,45,48,55,32,49,46,56,51,54,56,57,101,45,48,55,32,49,46,55,50,
      54,56,49,101,45,48,55,32,49,46,53,53,51,56,55,101,45,48,55,10,32,32,49,46,51,
      55,53,51,49,101,45,48,55,32,49,46,50,55,50,48,52,101,45,48,55,32,49,46,49,55,
      50,49,53,101,45,48,55,32,49,46,48,50,50,56,55,101,45,48,55,32,56,46,55,49,57,
      56,53,101,45,48,56,32,55,46,57,52,56,54,54,101,45,48,56,32,54,46,56,48,53,52,
      49,101,45,48,56,10,32,32,54,46,49,54,56,56,50,101,45,48,56,32,53,46,50,50,52,
      54,51,101,45,48,56,32,52,46,52,50,56,52,51,101,45,48,56,32,51,46,54,55,57,49,
      50,101,45,48,56,32,51,46,51,55,55,52,52,101,45,48,56,32,50,46,56,53,55,51,49,
      101,45,48,56,32,50,46,51,54,54,49,51,101,45,48,56,10,32,32,50,46,48,49,54,50,
      56,101,45,48,56,32,49,46,55,49,52,48,53,101,45,48,56,32,49,46,52,54,57,52,51,
      101,45,48,56,32,49,46,50,54,48,52,49,101,45,48,56,32,49,46,48,54,49,49,55,101,
      45,48,56,32,57,46,48,57,51,48,50,101,45,48,57,32,55,46,54,53,54,53,50,101,45,
      48,57,10,32,32,54,46,55,51,57,52,54,101,45,48,57,32,53,46,52,54,51,50,56,101,
      45,48,57,32,52,46,55,57,56,51,50,101,45,48,57,32,52,46,48,55,57,50,50,101,45,
      48,57,32,50,46,55,56,51,49,57,101,45,48,57,32,49,46,54,51,48,50,55,101,45,48,
      57,32,57,46,53,57,49,56,101,45,49,48,10,32,32,52,46,56,57,50,51,49,101,45,49,
      48,32,50,46,52,55,49,50,57,101,45,49,48,32,49,46,48,55,55,51,54,101,45,49,48,
      32,53,46,51,53,51,50,49,101,45,49,49,32,49,46,55,50,55,55,54,101,45,49,49,32,
      53,46,56,49,48,52,101,45,49,50,32,50,46,54,56,51,56,51,101,45,49,50,10,32,32,
      49,46,49,50,55,49,55,101,45,49,50,32,51,46,53,50,50,56,50,101,45,49,51,32,49,
      46,50,54,54,56,57,101,45,49,51,32,52,46,53,51,55,56,52,101,45,49,52,32,49,46,
      51,57,55,55,56,101,45,49,52,32,52,46,50,56,57,49,52,101,45,49,53,32,49,46,53,
      50,49,52,55,101,45,49,53,10,32,32,53,46,51,56,53,49,54,101,45,49,54,32,49,46,
      57,48,50,51,55,101,45,49,54,32,53,46,54,49,50,52,49,101,45,49,55,32,49,46,52,
      54,51,57,55,101,45,49,55,32,51,46,50,56,49,49,101,45,49,56,32,56,46,53,50,51,
      57,49,101,45,49,57,32,49,46,56,57,51,54,57,101,45,49,57,10,32,32,52,46,57,48,
      51,55,56,101,45,50,48,32,49,46,50,54,56,51,56,101,45,50,48,32,50,46,56,49,56,
      56,101,45,50,49,32,53,46,54,49,54,50,53,101,45,50,50,32,49,46,54,49,51,51,55,
      101,45,50,50,32,51,46,56,48,50,48,52,101,45,50,51,32,49,46,48,54,49,49,54,101,
      45,50,51,10,32,32,50,46,55,48,49,49,50,101,45,50,52,32,53,46,57,57,50,57,55,
      101,45,50,53,32,48,114,49,48,57,32,50,46,56,57,56,51,53,101,45,50,54,32,49,
      46,48,48,53,57,52,101,45,50,53,32,50,46,57,54,57,49,55,101,45,50,53,32,51,46,
      56,51,50,49,53,101,45,50,50,32,56,46,56,54,53,55,101,45,50,50,10,32,32,49,46,
      56,57,50,57,50,101,45,50,49,32,51,46,55,56,51,48,54,101,45,50,49,32,55,46,49,
      53,49,54,56,101,45,50,49,32,49,46,50,57,101,45,50,48,32,50,46,50,51,52,48,53,
      101,45,50,48,32,51,46,55,51,52,50,101,45,50,48,32,54,46,48,53,52,48,52,101,
      45,50,48,10,32,32,57,46,53,52,55,51,56,101,45,50,48,32,49,46,52,54,57,49,56,
      101,45,49,57,32,50,46,50,49,49,55,50,101,45,49,57,32,51,46,50,54,52,49,57,101,
      45,49,57,32,52,46,55,51,49,54,53,101,45,49,57,32,54,46,55,51,56,55,55,101,45,
      49,57,32,57,46,52,54,49,52,55,101,45,49,57,10,32,32,49,46,51,48,57,48,54,101,
      45,49,56,32,49,46,55,56,51,51,53,101,45,49,56,32,50,46,51,57,55,57,101,45,49,
      56,32,51,46,49,56,57,53,50,101,45,49,56,32,52,46,49,56,52,50,57,101,45,49,56,
      32,53,46,52,49,56,49,49,101,45,49,56,32,54,46,57,53,52,57,51,101,45,49,56,10,
      32,32,53,46,55,49,56,54,101,45,49,54,32,50,46,49,54,48,57,50,101,45,49,51,32,
      50,46,53,50,51,49,50,101,45,49,51,32,50,46,57,50,54,54,56,101,45,49,51,32,51,
      46,51,53,53,52,52,101,45,49,51,32,51,46,56,51,48,50,56,101,45,49,51,32,52,46,
      51,53,52,49,101,45,49,51,10,32,32,52,46,56,56,53,55,53,101,45,49,51,32,53,46,
      52,54,51,57,52,101,45,49,51,32,54,46,48,57,49,49,49,101,45,49,51,32,54,46,55,
      49,55,56,57,101,45,49,51,32,55,46,51,55,57,55,51,101,45,49,51,32,56,46,48,56,
      55,54,57,101,45,49,51,32,56,46,55,57,51,53,50,101,45,49,51,10,32,32,57,46,53,
      49,55,53,101,45,49,51,32,49,46,48,50,56,51,57,101,45,49,50,32,49,46,49,48,53,
      53,49,101,45,49,50,32,49,46,49,56,50,56,52,101,45,49,50,32,49,46,50,54,52,49,
      53,101,45,49,50,32,49,46,51,52,55,48,54,101,45,49,50,32,49,46,52,50,57,48,49,
      101,45,49,50,10,32,32,49,46,53,49,52,55,56,101,45,49,50,32,49,46,54,48,51,52,
      101,45,49,50,32,49,46,54,57,48,54,53,101,45,49,50,32,49,46,55,56,49,55,51,101,
      45,49,50,32,49,46,56,55,54,53,57,101,45,49,50,32,49,46,57,54,57,57,52,101,45,
      49,50,32,50,46,48,54,55,48,56,101,45,49,50,10,32,32,50,46,49,54,56,49,53,101,
      45,49,50,32,50,46,50,54,56,51,53,101,45,49,50,32,50,46,51,55,49,53,52,101,45,
      49,50,32,50,46,52,55,56,54,56,101,45,49,50,32,50,46,53,56,52,54,51,101,45,49,
      50,32,50,46,54,57,50,48,49,101,45,49,50,32,50,46,56,48,51,51,49,101,45,49,50,
      10,32,32,50,46,57,49,50,51,56,101,45,49,50,32,51,46,48,49,57,51,52,101,45,49,
      50,32,51,46,49,51,48,49,52,101,45,49,50,32,51,46,50,51,56,49,101,45,49,50,32,
      51,46,51,51,55,48,55,101,45,49,50,32,51,46,52,51,57,55,50,101,45,49,50,32,51,
      46,53,52,48,56,57,101,45,49,50,10,32,32,51,46,54,50,50,48,54,101,45,49,50,32,
      51,46,55,48,54,57,51,101,45,49,50,32,51,46,55,57,53,48,49,101,45,49,50,32,51,
      46,56,52,56,51,56,101,45,49,50,32,51,46,57,48,54,49,51,101,45,49,50,32,51,46,
      57,54,56,101,45,49,50,32,51,46,57,57,51,56,50,101,45,49,50,10,32,32,52,46,48,
      49,55,57,52,101,45,49,50,32,52,46,48,52,55,52,52,101,45,49,50,32,52,46,48,52,
      54,50,55,101,45,49,50,32,52,46,53,49,50,52,57,101,45,49,50,32,52,46,53,52,50,
      54,57,101,45,49,50,32,52,46,53,53,52,49,57,101,45,49,50,32,52,46,53,53,49,49,
      57,101,45,49,50,10,32,32,52,46,53,53,57,50,56,101,45,49,50,32,52,46,53,54,48,
      56,101,45,49,50,32,52,46,53,52,51,53,50,101,45,49,50,32,52,46,53,51,56,57,57,
      101,45,49,50,32,52,46,53,51,56,55,57,101,45,49,50,32,52,46,53,49,57,49,53,101,
      45,49,50,32,52,46,53,49,50,57,53,101,45,49,50,10,32,32,52,46,53,49,56,53,51,
      101,45,49,50,32,52,46,53,48,56,48,49,101,45,49,50,32,52,46,53,49,48,54,50,101,
      45,49,50,32,52,46,53,50,53,50,50,101,45,49,50,32,52,46,53,51,54,52,55,101,45,
      49,50,32,52,46,53,53,54,57,53,101,45,49,50,32,52,46,53,56,56,52,54,101,45,49,
      50,10,32,32,52,46,54,50,53,57,53,101,45,49,50,32,52,46,54,55,49,54,101,45,49,
      50,32,52,46,55,50,54,56,57,101,45,49,50,32,52,46,55,57,51,56,101,45,49,50,32,
      52,46,56,55,49,52,51,101,45,49,50,32,52,46,57,53,55,50,101,45,49,50,32,53,46,
      48,53,54,49,50,101,45,49,50,10,32,32,53,46,49,55,49,57,53,101,45,49,50,32,53,
      46,50,57,52,54,52,101,45,49,50,32,53,46,52,50,57,48,51,101,45,49,50,32,53,46,
      53,57,48,55,57,101,45,49,50,32,53,46,55,53,56,56,53,101,45,49,50,32,53,46,57,
      51,52,49,101,45,49,50,32,54,46,49,53,49,55,51,101,45,49,50,10,32,32,54,46,51,
      55,54,51,50,101,45,49,50,32,54,46,54,48,56,48,51,101,45,49,50,32,54,46,56,56,
      55,56,50,101,45,49,50,32,55,46,49,56,51,57,51,101,45,49,50,32,55,46,52,56,57,
      57,54,101,45,49,50,32,55,46,56,52,53,57,101,45,49,50,32,56,46,50,51,52,52,56,
      101,45,49,50,10,32,32,56,46,54,51,56,53,56,101,45,49,50,32,57,46,48,57,50,51,
      53,101,45,49,50,32,57,46,53,57,57,53,51,101,45,49,50,32,49,46,48,49,51,50,53,
      101,45,49,49,32,49,46,48,55,49,51,56,101,45,49,49,32,49,46,49,51,54,57,53,101,
      45,49,49,32,49,46,50,48,54,53,54,101,45,49,49,10,32,32,49,46,50,56,49,50,53,
      101,45,49,49,32,49,46,51,54,52,52,52,101,45,49,49,32,49,46,52,53,51,52,101,
      45,49,49,32,49,46,53,52,56,54,53,101,45,49,49,32,49,46,54,53,49,50,52,101,45,
      49,49,32,49,46,55,54,49,50,57,101,45,49,49,32,49,46,56,55,57,52,49,101,45,49,
      49,10,32,32,50,46,48,48,50,48,53,101,45,49,49,32,50,46,49,51,50,53,55,101,45,
      49,49,32,50,46,50,55,50,51,101,45,49,49,32,50,46,52,49,52,56,50,101,45,49,49,
      32,50,46,53,54,51,50,57,101,45,49,49,32,50,46,55,50,49,49,55,101,45,49,49,32,
      50,46,56,56,49,57,55,101,45,49,49,10,32,32,51,46,48,52,53,50,54,101,45,49,49,
      32,51,46,50,49,55,54,101,45,49,49,32,51,46,51,57,53,55,55,101,45,49,49,32,51,
      46,53,55,49,54,101,45,49,49,32,51,46,55,53,53,56,55,101,45,49,49,32,51,46,57,
      52,54,54,53,101,45,49,49,32,52,46,49,51,54,54,52,101,45,49,49,10,32,32,52,46,
      51,51,54,54,51,101,45,49,49,32,52,46,53,52,49,56,49,101,45,49,49,32,52,46,55,
      52,53,57,55,101,45,49,49,32,52,46,57,53,56,50,101,45,49,49,32,53,46,49,55,56,
      53,101,45,49,49,32,53,46,52,55,57,48,56,101,45,49,49,32,54,46,50,51,50,56,52,
      101,45,49,49,10,32,32,55,46,52,57,56,54,57,101,45,49,49,32,49,46,48,48,50,48,
      54,101,45,49,48,32,49,46,50,57,51,54,51,101,45,49,48,32,49,46,53,57,48,57,57,
      101,45,49,48,32,49,46,56,54,50,48,53,101,45,49,48,32,50,46,48,57,55,52,52,101,
      45,49,48,32,50,46,51,48,55,57,57,101,45,49,48,10,32,32,50,46,53,49,49,56,51,
      101,45,49,48,32,50,46,55,50,51,53,54,101,45,49,48,32,50,46,57,53,52,56,54,101,
      45,49,48,32,51,46,50,49,51,52,49,101,45,49,48,32,51,46,53,48,48,54,52,101,45,
      49,48,32,51,46,56,56,56,52,101,45,49,48,32,52,46,51,50,50,56,57,101,45,49,48,
      10,32,32,52,46,57,54,56,50,50,101,45,49,48,32,53,46,54,55,49,55,53,101,45,49,
      48,32,54,46,52,49,54,55,101,45,49,48,32,55,46,51,55,51,52,101,45,49,48,32,56,
      46,51,49,50,57,51,101,45,49,48,32,57,46,50,48,55,57,56,101,45,49,48,32,49,46,
      48,49,56,50,57,101,45,48,57,10,32,32,49,46,49,48,54,52,55,101,45,48,57,32,49,
      46,50,49,51,57,52,101,45,48,57,32,49,46,51,49,55,53,51,101,45,48,57,32,49,46,
      52,50,49,48,56,101,45,48,57,32,49,46,53,52,48,53,50,101,45,48,57,32,49,46,54,
      55,56,56,49,101,45,48,57,32,49,46,56,51,50,48,52,101,45,48,57,10,32,32,49,46,
      57,57,53,55,51,101,45,48,57,32,50,46,49,54,56,52,57,101,45,48,57,32,50,46,51,
      54,51,55,55,101,45,48,57,32,50,46,53,53,54,56,52,101,45,48,57,32,50,46,55,55,
      52,49,49,101,45,48,57,32,51,46,48,53,53,52,56,101,45,48,57,32,51,46,51,53,56,
      48,50,101,45,48,57,10,32,32,51,46,53,57,56,50,57,101,45,48,57,32,51,46,57,49,
      52,51,56,101,45,48,57,32,52,46,51,53,53,55,50,101,45,48,57,32,52,46,57,50,52,
      49,101,45,48,57,32,53,46,54,55,57,57,101,45,48,57,32,54,46,55,53,50,54,52,101,
      45,48,57,32,56,46,48,54,57,48,50,101,45,48,57,10,32,32,57,46,55,49,54,49,55,
      101,45,48,57,32,49,46,49,55,51,54,51,101,45,48,56,32,49,46,52,49,56,49,54,101,
      45,48,56,32,49,46,54,52,51,55,54,101,45,48,56,32,49,46,57,49,54,54,101,45,48,
      56,32,50,46,49,57,51,54,54,101,45,48,56,32,50,46,53,54,53,48,55,101,45,48,56,
      10,32,32,51,46,50,49,48,57,55,101,45,48,56,32,51,46,57,56,50,49,101,45,48,56,
      32,52,46,56,48,55,54,54,101,45,48,56,32,53,46,53,51,55,52,56,101,45,48,56,32,
      54,46,54,48,50,57,54,101,45,48,56,32,55,46,55,50,56,52,53,101,45,48,56,32,56,
      46,57,49,49,52,53,101,45,48,56,10,32,32,57,46,57,55,49,48,56,101,45,48,56,32,
      49,46,48,57,53,54,52,101,45,48,55,32,49,46,49,56,53,57,49,101,45,48,55,32,49,
      46,50,56,49,49,54,101,45,48,55,32,49,46,51,55,48,57,55,101,45,48,55,32,49,46,
      52,51,54,52,57,101,45,48,55,32,49,46,53,52,52,54,53,101,45,48,55,10,32,32,49,
      46,54,49,51,48,49,101,45,48,55,32,49,46,54,52,52,50,52,101,45,48,55,32,49,46,
      54,54,56,51,101,45,48,55,32,49,46,55,49,54,48,54,101,45,48,55,32,49,46,55,48,
      54,57,51,101,45,48,55,32,49,46,54,55,56,53,51,101,45,48,55,32,49,46,54,51,52,
      57,55,101,45,48,55,10,32,32,49,46,53,56,48,53,54,101,45,48,55,32,49,46,53,48,
      55,57,51,101,45,48,55,32,49,46,52,52,56,50,57,101,45,48,55,32,49,46,51,56,52,
      53,54,101,45,48,55,32,49,46,50,55,51,50,57,101,45,48,55,32,49,46,50,48,50,54,
      57,101,45,48,55,32,49,46,48,57,48,50,56,101,45,48,55,10,32,32,57,46,55,50,52,
      56,52,101,45,48,56,32,57,46,48,51,53,56,101,45,48,56,32,56,46,51,54,52,49,49,
      101,45,48,56,32,55,46,51,53,48,54,54,101,45,48,56,32,54,46,51,49,52,51,56,101,
      45,48,56,32,53,46,55,55,57,57,50,101,45,48,56,32,52,46,57,56,49,51,52,101,45,
      48,56,10,32,32,52,46,53,51,51,49,53,101,45,48,56,32,51,46,56,54,48,50,56,101,
      45,48,56,32,51,46,50,56,57,57,101,45,48,56,32,50,46,55,52,54,48,52,101,45,48,
      56,32,50,46,53,50,54,57,53,101,45,48,56,32,50,46,49,52,55,52,52,101,45,48,56,
      32,49,46,55,56,54,56,101,45,48,56,10,32,32,49,46,53,50,56,52,51,101,45,48,56,
      32,49,46,51,48,52,49,51,101,45,48,56,32,49,46,49,50,49,55,52,101,45,48,56,32,
      57,46,54,53,50,50,49,101,45,48,57,32,56,46,49,53,51,57,56,101,45,48,57,32,55,
      46,48,48,55,51,49,101,45,48,57,32,53,46,57,49,56,53,55,101,45,48,57,10,32,32,
      53,46,50,50,49,49,57,101,45,48,57,32,52,46,50,52,55,50,55,101,45,48,57,32,51,
      46,55,51,56,48,52,101,45,48,57,32,51,46,49,56,53,55,57,101,45,48,57,32,50,46,
      49,56,53,54,56,101,45,48,57,32,49,46,50,56,57,51,101,45,48,57,32,55,46,54,51,
      51,51,56,101,45,49,48,10,32,32,51,46,57,50,49,50,50,101,45,49,48,32,49,46,57,
      57,51,53,51,101,45,49,48,32,56,46,55,53,49,50,57,101,45,49,49,32,52,46,51,55,
      49,49,49,101,45,49,49,32,49,46,52,50,49,51,52,101,45,49,49,32,52,46,56,48,57,
      55,56,101,45,49,50,32,50,46,50,51,48,52,56,101,45,49,50,10,32,32,57,46,52,48,
      54,48,49,101,45,49,51,32,50,46,57,53,52,50,49,101,45,49,51,32,49,46,48,54,54,
      53,53,101,45,49,51,32,51,46,56,51,51,56,51,101,45,49,52,32,49,46,49,56,53,51,
      50,101,45,49,52,32,51,46,54,52,57,52,52,101,45,49,53,32,49,46,50,57,56,48,53,
      101,45,49,53,10,32,32,52,46,54,48,53,57,57,101,45,49,54,32,49,46,54,51,48,57,
      53,101,45,49,54,32,52,46,56,50,56,48,49,101,45,49,55,32,49,46,50,54,50,54,54,
      101,45,49,55,32,50,46,56,51,55,52,55,101,45,49,56,32,55,46,51,56,55,56,53,101,
      45,49,57,32,49,46,54,52,53,48,56,101,45,49,57,10,32,32,52,46,50,54,56,50,53,
      101,45,50,48,32,49,46,49,48,54,101,45,50,48,32,50,46,52,54,50,53,55,101,45,
      50,49,32,52,46,57,49,53,55,101,45,50,50,32,49,46,52,49,51,56,55,101,45,50,50,
      32,51,46,51,51,53,54,53,101,45,50,51,32,57,46,51,56,54,48,55,101,45,50,52,10,
      32,32,50,46,51,54,57,55,53,101,45,50,52,32,53,46,50,52,52,53,52,101,45,50,53,
      32,48,114,49,48,57,32,53,46,53,52,54,50,53,101,45,50,55,32,49,46,57,52,56,54,
      50,101,45,50,54,32,53,46,56,50,57,52,49,101,45,50,54,32,49,46,49,56,56,50,52,
      101,45,50,50,32,50,46,55,53,50,55,57,101,45,50,50,10,32,32,53,46,56,56,54,51,
      54,101,45,50,50,32,49,46,49,55,56,51,51,101,45,50,49,32,50,46,50,51,49,53,49,
      101,45,50,49,32,52,46,48,51,50,55,50,101,45,50,49,32,54,46,57,57,55,57,55,101,
      45,50,49,32,49,46,49,55,50,49,57,101,45,50,48,32,49,46,57,48,52,54,53,101,45,
      50,48,10,32,32,51,46,48,49,48,54,56,101,45,50,48,32,52,46,54,52,52,50,55,101,
      45,50,48,32,55,46,48,48,57,50,51,101,45,50,48,32,49,46,48,51,55,49,56,101,45,
      49,57,32,49,46,53,48,55,53,53,101,45,49,57,32,50,46,49,53,51,48,54,101,45,49,
      57,32,51,46,48,51,49,54,54,101,45,49,57,10,32,32,52,46,50,48,55,48,50,101,45,
      49,57,32,53,46,55,52,56,54,55,101,45,49,57,32,55,46,55,53,51,53,50,101,45,49,
      57,32,49,46,48,51,52,53,55,101,45,49,56,32,49,46,51,54,49,53,51,101,45,49,56,
      32,49,46,55,54,56,53,54,101,45,49,56,32,50,46,50,55,55,52,55,101,45,49,56,10,
      32,32,57,46,52,53,55,50,53,101,45,49,55,32,49,46,51,57,50,55,53,101,45,49,52,
      32,49,46,54,51,53,49,53,101,45,49,52,32,49,46,57,48,55,49,55,101,45,49,52,32,
      50,46,49,57,55,56,56,101,45,49,52,32,50,46,53,50,50,48,51,101,45,49,52,32,50,
      46,56,56,50,49,49,101,45,49,52,10,32,32,51,46,50,52,57,49,49,101,45,49,52,32,
      51,46,54,53,48,54,49,101,45,49,52,32,52,46,48,56,56,56,101,45,49,52,32,52,46,
      53,50,55,57,52,101,45,49,52,32,52,46,57,57,51,56,101,45,49,52,32,53,46,52,57,
      52,54,51,101,45,49,52,32,53,46,57,57,52,56,51,101,45,49,52,10,32,32,54,46,53,
      48,57,50,56,101,45,49,52,32,55,46,48,53,54,49,52,101,45,49,52,32,55,46,54,48,
      55,49,55,101,45,49,52,32,56,46,49,54,48,50,49,101,45,49,52,32,56,46,55,52,51,
      54,54,101,45,49,52,32,57,46,51,51,57,52,56,101,45,49,52,32,57,46,57,50,56,49,
      101,45,49,52,10,32,32,49,46,48,53,52,54,101,45,49,51,32,49,46,49,49,56,53,54,
      101,45,49,51,32,49,46,49,56,49,52,56,101,45,49,51,32,49,46,50,52,55,51,101,
      45,49,51,32,49,46,51,49,54,48,55,101,45,49,51,32,49,46,51,56,51,54,49,101,45,
      49,51,32,49,46,52,53,52,48,55,101,45,49,51,10,32,32,49,46,53,50,55,53,54,101,
      45,49,51,32,49,46,54,48,48,51,52,101,45,49,51,32,49,46,54,55,53,52,101,45,49,
      51,32,49,46,55,53,51,53,50,101,45,49,51,32,49,46,56,51,48,54,54,101,45,49,51,
      32,49,46,57,48,56,56,53,101,45,49,51,32,49,46,57,57,48,48,56,101,45,49,51,10,
      32,32,50,46,48,54,57,52,55,101,45,49,51,32,50,46,49,52,55,49,49,101,45,49,51,
      32,50,46,50,50,55,54,57,101,45,49,51,32,50,46,51,48,53,57,50,101,45,49,51,32,
      50,46,51,55,54,57,101,45,49,51,32,50,46,52,53,48,55,101,45,49,51,32,50,46,53,
      50,51,50,101,45,49,51,10,32,32,50,46,53,55,57,54,51,101,45,49,51,32,50,46,54,
      51,56,57,52,101,45,49,51,32,50,46,55,48,48,54,56,101,45,49,51,32,50,46,55,51,
      52,55,52,101,45,49,51,32,50,46,55,55,50,50,50,101,45,49,51,32,50,46,56,49,50,
      57,54,101,45,49,51,32,50,46,56,50,53,49,56,101,45,49,51,10,32,32,50,46,56,51,
      54,49,57,101,45,49,51,32,50,46,56,53,49,52,56,101,45,49,51,32,50,46,56,52,50,
      57,50,101,45,49,51,32,51,46,49,51,51,51,49,101,45,49,51,32,51,46,49,52,53,56,
      56,101,45,49,51,32,51,46,49,52,52,49,55,101,45,49,51,32,51,46,49,51,49,54,49,
      101,45,49,51,10,32,32,51,46,49,50,55,56,54,101,45,49,51,32,51,46,49,49,57,52,
      52,101,45,49,51,32,51,46,48,57,55,50,101,45,49,51,32,51,46,48,56,53,48,51,101,
      45,49,51,32,51,46,48,55,54,53,50,101,45,49,51,32,51,46,48,53,52,101,45,49,51,
      32,51,46,48,52,49,57,57,101,45,49,51,10,32,32,51,46,48,51,57,49,101,45,49,51,
      32,51,46,48,50,52,57,49,101,45,49,51,32,51,46,48,50,48,56,51,101,45,49,51,32,
      51,46,48,50,53,57,50,101,45,49,51,32,51,46,48,50,57,48,55,101,45,49,51,32,51,
      46,48,51,57,51,51,101,45,49,51,32,51,46,48,53,55,57,54,101,45,49,51,10,32,32,
      51,46,48,56,49,51,51,101,45,49,51,32,51,46,49,49,48,57,53,101,45,49,51,32,51,
      46,49,52,55,56,54,101,45,49,51,32,51,46,49,57,51,52,50,101,45,49,51,32,51,46,
      50,52,55,48,49,101,45,49,51,32,51,46,51,48,54,55,56,101,45,49,51,32,51,46,51,
      55,54,50,53,101,45,49,51,10,32,32,51,46,52,53,56,48,52,101,45,49,51,32,51,46,
      53,52,53,49,54,101,45,49,51,32,51,46,54,52,48,57,55,101,45,49,51,32,51,46,55,
      53,54,52,101,45,49,51,32,51,46,56,55,54,56,52,101,45,49,51,32,52,46,48,48,50,
      57,52,101,45,49,51,32,52,46,49,53,57,50,53,101,45,49,51,10,32,32,52,46,51,50,
      49,49,53,101,45,49,51,32,52,46,52,56,56,56,50,101,45,49,51,32,52,46,54,57,48,
      57,101,45,49,51,32,52,46,57,48,53,52,49,101,45,49,51,32,53,46,49,50,55,57,50,
      101,45,49,51,32,53,46,51,56,54,54,53,101,45,49,51,32,53,46,54,54,57,55,55,101,
      45,49,51,10,32,32,53,46,57,54,53,51,51,101,45,49,51,32,54,46,50,57,55,56,101,
      45,49,51,32,54,46,54,55,48,51,49,101,45,49,51,32,55,46,48,54,51,52,56,101,45,
      49,51,32,55,46,52,57,52,48,54,101,45,49,51,32,55,46,57,56,49,52,101,45,49,51,
      32,56,46,53,48,49,54,56,101,45,49,51,10,32,32,57,46,48,54,51,49,101,45,49,51,
      32,57,46,54,57,49,57,53,101,45,49,51,32,49,46,48,51,54,57,49,101,45,49,50,32,
      49,46,49,48,57,57,52,101,45,49,50,32,49,46,49,56,57,50,49,101,45,49,50,32,49,
      46,50,55,52,57,54,101,45,49,50,32,49,46,51,54,55,56,49,101,45,49,50,10,32,32,
      49,46,52,54,53,49,101,45,49,50,32,49,46,53,54,57,54,50,101,45,49,50,32,49,46,
      54,56,50,54,52,101,45,49,50,32,49,46,55,57,57,48,53,101,45,49,50,32,49,46,57,
      50,49,53,52,101,45,49,50,32,50,46,48,53,51,49,55,101,45,49,50,32,50,46,49,56,
      56,53,55,101,45,49,50,10,32,32,50,46,51,50,55,51,55,101,45,49,50,32,50,46,52,
      55,53,52,52,101,45,49,50,32,50,46,54,51,50,51,57,101,45,49,50,32,50,46,55,56,
      54,52,52,101,45,49,50,32,50,46,57,52,57,53,54,101,45,49,50,32,51,46,49,50,48,
      49,51,101,45,49,50,32,51,46,50,57,51,52,56,101,45,49,50,10,32,32,51,46,52,56,
      48,51,57,101,45,49,50,32,51,46,54,54,57,55,49,101,45,49,50,32,51,46,56,53,57,
      54,52,101,45,49,50,32,52,46,48,53,57,48,50,101,45,49,50,32,52,46,50,54,56,49,
      54,101,45,49,50,32,52,46,53,53,54,54,56,101,45,49,50,32,53,46,50,57,55,56,52,
      101,45,49,50,10,32,32,54,46,53,57,56,56,55,101,45,49,50,32,57,46,52,48,48,51,
      54,101,45,49,50,32,49,46,50,57,55,57,51,101,45,49,49,32,49,46,54,57,52,49,56,
      101,45,49,49,32,50,46,48,55,48,53,49,101,45,49,49,32,50,46,51,57,54,48,49,101,
      45,49,49,32,50,46,54,56,49,52,49,101,45,49,49,10,32,32,50,46,57,53,55,54,57,
      101,45,49,49,32,51,46,50,53,52,50,54,101,45,49,49,32,51,46,53,57,53,52,56,101,
      45,49,49,32,51,46,57,57,56,53,50,101,45,49,49,32,52,46,52,55,52,53,50,101,45,
      49,49,32,53,46,49,54,50,50,50,101,45,49,49,32,53,46,57,57,54,48,57,101,45,49,
      49,10,32,32,55,46,51,54,53,57,50,101,45,49,49,32,57,46,48,53,53,52,55,101,45,
      49,49,32,49,46,49,48,57,52,53,101,45,49,48,32,49,46,52,49,52,50,55,101,45,49,
      48,32,49,46,55,54,57,51,51,101,45,49,48,32,50,46,49,53,50,57,49,101,45,49,48,
      32,50,46,54,48,50,55,55,101,45,49,48,10,32,32,50,46,57,57,57,50,54,101,45,49,
      48,32,51,46,52,52,50,49,50,101,45,49,48,32,51,46,56,53,48,48,57,101,45,49,48,
      32,52,46,50,56,51,48,53,101,45,49,48,32,52,46,56,54,48,53,52,101,45,49,48,32,
      53,46,54,54,52,56,57,101,45,49,48,32,54,46,55,49,56,55,57,101,45,49,48,10,32,
      32,55,46,57,57,57,53,56,101,45,49,48,32,57,46,53,48,51,52,54,101,45,49,48,32,
      49,46,49,51,48,54,54,101,45,48,57,32,49,46,51,48,57,53,55,101,45,48,57,32,49,
      46,53,48,48,50,53,101,45,48,57,32,49,46,55,50,51,55,51,101,45,48,57,32,49,46,
      57,55,50,49,57,101,45,48,57,10,32,32,50,46,49,56,52,57,101,45,48,57,32,50,46,
      52,57,50,51,52,101,45,48,57,32,50,46,57,51,53,52,101,45,48,57,32,51,46,52,56,
      49,48,50,101,45,48,57,32,52,46,49,52,51,51,51,101,45,48,57,32,53,46,48,48,50,
      49,51,101,45,48,57,32,53,46,57,57,50,49,49,101,45,48,57,10,32,32,55,46,49,56,
      53,54,57,101,45,48,57,32,56,46,54,51,49,54,53,101,45,48,57,32,49,46,48,51,55,
      57,51,101,45,48,56,32,49,46,49,57,57,50,54,101,45,48,56,32,49,46,51,57,51,54,
      55,101,45,48,56,32,49,46,53,57,48,50,55,101,45,48,56,32,49,46,56,53,51,57,52,
      101,45,48,56,10,32,32,50,46,51,49,53,48,54,101,45,48,56,32,50,46,56,55,48,55,
      52,101,45,48,56,32,51,46,52,55,50,53,51,101,45,48,56,32,52,46,48,49,48,52,101,
      45,48,56,32,52,46,56,48,51,54,50,101,45,48,56,32,53,46,54,53,50,49,55,101,45,
      48,56,32,54,46,53,53,54,48,55,101,45,48,56,10,32,32,55,46,51,55,52,53,51,101,
      45,48,56,32,56,46,49,51,57,50,51,101,45,48,56,32,56,46,56,52,48,48,53,101,45,
      48,56,32,57,46,53,56,50,54,55,101,45,48,56,32,49,46,48,50,57,49,101,45,48,55,
      32,49,46,48,56,49,55,54,101,45,48,55,32,49,46,49,55,49,55,101,45,48,55,10,32,
      32,49,46,50,51,50,52,56,101,45,48,55,32,49,46,50,54,51,55,57,101,45,48,55,32,
      49,46,50,56,56,53,53,101,45,48,55,32,49,46,51,50,56,51,51,101,45,48,55,32,49,
      46,51,50,55,49,101,45,48,55,32,49,46,51,49,48,52,53,101,45,48,55,32,49,46,50,
      56,49,52,51,101,45,48,55,10,32,32,49,46,50,52,51,51,52,101,45,48,55,32,49,46,
      49,57,49,101,45,48,55,32,49,46,49,52,55,50,52,101,45,48,55,32,49,46,48,57,57,
      57,51,101,45,48,55,32,49,46,48,49,54,50,57,101,45,48,55,32,57,46,54,50,54,55,
      52,101,45,48,56,32,56,46,55,54,53,55,50,101,45,48,56,10,32,32,55,46,56,53,52,
      56,52,101,45,48,56,32,55,46,51,49,56,50,51,101,45,48,56,32,54,46,55,57,50,53,
      55,101,45,48,56,32,53,46,57,57,52,56,101,45,48,56,32,53,46,49,55,51,50,56,101,
      45,48,56,32,52,46,55,52,55,50,54,101,45,48,56,32,52,46,49,48,55,54,101,45,48,
      56,10,32,32,51,46,55,52,54,56,56,101,45,48,56,32,51,46,50,48,48,52,53,101,45,
      48,56,32,50,46,55,51,54,52,52,101,45,48,56,32,50,46,50,57,50,48,52,101,45,48,
      56,32,50,46,49,49,50,51,101,45,48,56,32,49,46,56,48,48,48,50,101,45,48,56,32,
      49,46,53,48,50,49,49,101,45,48,56,10,32,32,49,46,50,56,55,57,50,101,45,48,56,
      32,49,46,49,48,49,52,101,45,48,56,32,57,46,52,57,51,48,52,101,45,48,57,32,56,
      46,49,56,52,52,53,101,45,48,57,32,54,46,57,50,56,53,53,101,45,48,57,32,53,46,
      57,54,52,57,52,101,45,48,57,32,53,46,48,52,55,56,51,101,45,48,57,10,32,32,52,
      46,52,53,57,49,52,101,45,48,57,32,51,46,54,51,53,50,51,101,45,48,57,32,51,46,
      50,48,51,52,57,101,45,48,57,32,50,46,55,51,52,52,53,101,45,48,57,32,49,46,56,
      56,50,52,55,101,45,48,57,32,49,46,49,49,53,50,56,101,45,48,57,32,54,46,54,50,
      56,56,50,101,45,49,48,10,32,32,51,46,52,50,48,50,56,101,45,49,48,32,49,46,55,
      52,53,56,52,101,45,49,48,32,55,46,54,57,55,50,53,101,45,49,49,32,51,46,56,53,
      55,49,57,101,45,49,49,32,49,46,50,54,48,48,53,101,45,49,49,32,52,46,50,56,48,
      53,54,101,45,49,50,32,49,46,57,56,57,57,52,101,45,49,50,10,32,32,56,46,52,49,
      50,56,52,101,45,49,51,32,50,46,54,53,48,51,54,101,45,49,51,32,57,46,53,57,49,
      53,57,101,45,49,52,32,51,46,52,53,53,52,54,101,45,49,52,32,49,46,48,55,48,56,
      49,101,45,49,52,32,51,46,51,48,51,56,101,45,49,53,32,49,46,49,55,55,49,101,
      45,49,53,10,32,32,52,46,49,56,51,51,54,101,45,49,54,32,49,46,52,56,51,52,54,
      101,45,49,54,32,52,46,52,48,48,54,101,45,49,55,32,49,46,49,53,50,55,53,101,
      45,49,55,32,50,46,53,57,52,55,56,101,45,49,56,32,54,46,55,54,53,51,50,101,45,
      49,57,32,49,46,53,48,56,54,49,101,45,49,57,10,32,32,51,46,57,49,56,55,57,101,
      45,50,48,32,49,46,48,49,54,53,56,101,45,50,48,32,50,46,50,54,54,49,50,101,45,
      50,49,32,52,46,53,50,56,54,51,101,45,50,50,32,49,46,51,48,52,53,50,101,45,50,
      50,32,51,46,48,56,50,50,56,101,45,50,51,32,56,46,54,54,54,49,55,101,45,50,52,
      10,32,32,50,46,49,56,54,53,49,101,45,50,52,32,52,46,56,51,50,49,57,101,45,50,
      53,32,52,46,55,53,51,53,101,45,50,54,32,48,114,49,49,48,32,57,46,50,57,51,54,
      49,101,45,50,55,32,50,46,57,56,49,50,101,45,50,51,32,54,46,57,50,50,55,56,101,
      45,50,51,32,49,46,52,56,52,49,51,101,45,50,50,10,32,32,50,46,57,55,57,50,49,
      101,45,50,50,32,53,46,54,53,56,56,57,101,45,50,50,32,49,46,48,50,53,57,51,101,
      45,50,49,32,49,46,55,56,54,51,49,101,45,50,49,32,51,46,48,48,50,56,53,101,45,
      50,49,32,52,46,56,57,55,53,50,101,45,50,49,32,55,46,55,55,49,56,51,101,45,50,
      49,10,32,32,49,46,50,48,51,55,56,101,45,50,48,32,49,46,56,50,52,52,54,101,45,
      50,48,32,50,46,55,49,49,53,51,101,45,50,48,32,51,46,57,53,57,48,50,101,45,50,
      48,32,53,46,54,56,48,50,56,101,45,50,48,32,56,46,48,51,53,54,49,101,45,50,48,
      32,49,46,49,50,48,52,56,101,45,49,57,10,32,32,49,46,53,51,56,53,51,101,45,49,
      57,32,50,46,48,56,53,50,57,101,45,49,57,32,50,46,55,57,54,51,51,101,45,49,57,
      32,51,46,54,57,56,51,101,45,49,57,32,52,46,56,50,55,52,56,101,45,49,57,32,54,
      46,50,52,55,50,55,101,45,49,57,32,51,46,52,51,49,55,51,101,45,49,55,10,32,32,
      55,46,51,57,48,50,54,101,45,49,53,32,56,46,54,55,48,57,101,45,49,53,32,49,46,
      48,49,48,54,56,101,45,49,52,32,49,46,49,54,52,48,52,101,45,49,52,32,49,46,51,
      51,52,57,101,45,49,52,32,49,46,53,50,52,53,53,101,45,49,52,32,49,46,55,49,55,
      55,54,101,45,49,52,10,32,32,49,46,57,50,56,57,56,101,45,49,52,32,50,46,49,53,
      57,51,53,101,45,49,52,32,50,46,51,57,48,49,53,101,45,49,52,32,50,46,54,51,52,
      56,55,101,45,49,52,32,50,46,56,57,55,56,101,45,49,52,32,51,46,49,54,48,51,53,
      101,45,49,52,32,51,46,52,51,48,51,49,101,45,49,52,10,32,32,51,46,55,49,55,49,
      51,101,45,49,52,32,52,46,48,48,54,49,101,45,49,52,32,52,46,50,57,54,49,101,
      45,49,52,32,52,46,54,48,49,57,51,101,45,49,52,32,52,46,57,49,52,49,57,101,45,
      49,52,32,53,46,50,50,50,55,101,45,49,52,32,53,46,53,52,54,52,52,101,45,49,52,
      10,32,32,53,46,56,56,49,52,56,101,45,49,52,32,54,46,50,49,49,49,101,45,49,52,
      32,54,46,53,53,53,56,52,101,45,49,52,32,54,46,57,49,53,57,49,101,45,49,52,32,
      55,46,50,54,57,54,101,45,49,52,32,55,46,54,51,56,53,51,101,45,49,52,32,56,46,
      48,50,51,49,56,101,45,49,52,10,32,32,56,46,52,48,52,49,53,101,45,49,52,32,56,
      46,55,57,55,48,50,101,45,49,52,32,57,46,50,48,53,55,54,101,45,49,52,32,57,46,
      54,48,57,52,52,101,45,49,52,32,49,46,48,48,49,56,55,101,45,49,51,32,49,46,48,
      52,52,51,54,101,45,49,51,32,49,46,48,56,53,57,49,101,45,49,51,10,32,32,49,46,
      49,50,54,53,54,101,45,49,51,32,49,46,49,54,56,55,51,101,45,49,51,32,49,46,50,
      48,57,54,57,101,45,49,51,32,49,46,50,52,54,57,101,45,49,51,32,49,46,50,56,53,
      53,55,101,45,49,51,32,49,46,51,50,51,53,56,101,45,49,51,32,49,46,51,53,51,50,
      54,101,45,49,51,10,32,32,49,46,51,56,52,52,52,101,45,49,51,32,49,46,52,49,54,
      56,57,101,45,49,51,32,49,46,52,51,52,57,56,101,45,49,51,32,49,46,52,53,52,56,
      54,101,45,49,51,32,49,46,52,55,54,52,50,101,45,49,51,32,49,46,52,56,51,49,57,
      101,45,49,51,32,49,46,52,56,57,51,50,101,45,49,51,10,32,32,49,46,52,57,55,54,
      55,101,45,49,51,32,49,46,52,57,51,54,51,101,45,49,51,32,49,46,54,52,56,51,55,
      101,45,49,51,32,49,46,54,53,53,52,57,101,45,49,51,32,49,46,54,53,53,49,54,101,
      45,49,51,32,49,46,54,52,57,49,55,101,45,49,51,32,49,46,54,52,55,55,53,101,45,
      49,51,10,32,32,49,46,54,52,51,56,56,101,45,49,51,32,49,46,54,51,50,55,57,101,
      45,49,51,32,49,46,54,50,54,57,50,101,45,49,51,32,49,46,54,50,50,57,52,101,45,
      49,51,32,49,46,54,49,49,54,49,101,45,49,51,32,49,46,54,48,53,55,53,101,45,49,
      51,32,49,46,54,48,52,54,51,101,45,49,51,10,32,32,49,46,53,57,55,53,55,101,45,
      49,51,32,49,46,53,57,53,55,55,101,45,49,51,32,49,46,53,57,56,55,53,101,45,49,
      51,32,49,46,54,48,48,54,55,101,45,49,51,32,49,46,54,48,54,51,49,101,45,49,51,
      32,49,46,54,49,54,51,101,45,49,51,32,49,46,54,50,56,55,53,101,45,49,51,10,32,
      32,49,46,54,52,52,52,53,101,45,49,51,32,49,46,54,54,51,57,53,101,45,49,51,32,
      49,46,54,56,55,57,55,101,45,49,51,32,49,46,55,49,54,49,56,101,45,49,51,32,49,
      46,55,52,55,54,50,101,45,49,51,32,49,46,55,56,52,49,49,101,45,49,51,32,49,46,
      56,50,55,48,54,101,45,49,51,10,32,32,49,46,56,55,50,55,55,101,45,49,51,32,49,
      46,57,50,51,48,51,101,45,49,51,32,49,46,57,56,51,53,55,101,45,49,51,32,50,46,
      48,52,54,55,49,101,45,49,51,32,50,46,49,49,50,55,57,101,45,49,51,32,50,46,49,
      57,52,55,49,101,45,49,51,32,50,46,50,55,57,53,51,101,45,49,51,10,32,32,50,46,
      51,54,55,51,52,101,45,49,51,32,50,46,52,55,51,49,56,101,45,49,51,32,50,46,53,
      56,53,53,49,101,45,49,51,32,50,46,55,48,49,57,54,101,45,49,51,32,50,46,56,51,
      55,51,57,101,45,49,51,32,50,46,57,56,53,53,53,101,45,49,51,32,51,46,49,52,48,
      49,53,101,45,49,51,10,32,32,51,46,51,49,52,48,51,101,45,49,51,32,51,46,53,48,
      56,55,57,101,45,49,51,32,51,46,55,49,52,50,54,101,45,49,51,32,51,46,57,51,57,
      49,56,101,45,49,51,32,52,46,49,57,51,54,54,101,45,49,51,32,52,46,52,54,53,49,
      56,101,45,49,51,32,52,46,55,53,55,57,57,101,45,49,51,10,32,32,53,46,48,56,53,
      55,56,101,45,49,51,32,53,46,52,51,56,52,57,101,45,49,51,32,53,46,56,49,56,53,
      57,101,45,49,51,32,54,46,50,51,48,56,52,101,45,49,51,32,54,46,54,55,54,52,101,
      45,49,51,32,55,46,49,53,56,52,49,101,45,49,51,32,55,46,54,54,51,48,50,101,45,
      49,51,10,32,32,56,46,50,48,52,54,101,45,49,51,32,56,46,55,56,57,54,52,101,45,
      49,51,32,57,46,51,57,49,54,52,101,45,49,51,32,49,46,48,48,50,52,52,101,45,49,
      50,32,49,46,48,55,48,51,56,101,45,49,50,32,49,46,49,52,48,49,57,101,45,49,50,
      32,49,46,50,49,49,54,57,101,45,49,50,10,32,32,49,46,50,56,55,56,57,101,45,49,
      50,32,49,46,51,54,56,57,54,101,45,49,50,32,49,46,52,52,56,49,50,101,45,49,50,
      32,49,46,53,51,49,56,53,101,45,49,50,32,49,46,54,49,57,51,51,101,45,49,50,32,
      49,46,55,48,56,53,50,101,45,49,50,32,49,46,56,48,53,48,54,101,45,49,50,10,32,
      32,49,46,57,48,50,48,49,101,45,49,50,32,49,46,57,57,57,50,49,101,45,49,50,32,
      50,46,49,48,49,49,54,101,45,49,50,32,50,46,50,48,56,101,45,49,50,32,50,46,51,
      53,53,50,55,101,45,49,50,32,50,46,55,51,50,56,55,101,45,49,50,32,51,46,51,57,
      51,52,54,101,45,49,50,10,32,32,52,46,56,48,56,48,55,101,45,49,50,32,54,46,54,
      48,52,50,54,101,45,49,50,32,56,46,53,56,52,54,57,101,45,49,50,32,49,46,48,52,
      54,50,56,101,45,49,49,32,49,46,50,48,56,56,49,101,45,49,49,32,49,46,51,53,49,
      52,54,101,45,49,49,32,49,46,52,56,57,53,54,101,45,49,49,10,32,32,49,46,54,51,
      55,54,50,101,45,49,49,32,49,46,56,48,55,54,52,101,45,49,49,32,50,46,48,48,56,
      48,53,101,45,49,49,32,50,46,50,52,52,52,101,45,49,49,32,50,46,53,56,53,51,53,
      101,45,49,49,32,50,46,57,57,56,51,51,101,45,49,49,32,51,46,54,55,54,55,49,101,
      45,49,49,10,32,32,52,46,53,49,52,54,56,101,45,49,49,32,53,46,53,50,57,55,56,
      101,45,49,49,32,55,46,48,53,56,56,55,101,45,49,49,32,56,46,56,54,49,57,51,101,
      45,49,49,32,49,46,48,56,51,56,49,101,45,49,48,32,49,46,51,49,57,101,45,49,48,
      32,49,46,53,50,55,53,50,101,45,49,48,10,32,32,49,46,55,54,48,50,52,101,45,49,
      48,32,49,46,57,55,52,48,57,101,45,49,48,32,50,46,50,48,50,57,51,101,45,49,48,
      32,50,46,53,49,52,49,51,101,45,49,48,32,50,46,57,53,56,49,49,101,45,49,48,32,
      51,46,53,53,55,54,57,101,45,49,48,32,52,46,51,49,48,57,101,45,49,48,10,32,32,
      53,46,50,50,56,54,49,101,45,49,48,32,54,46,51,55,48,49,49,101,45,49,48,32,55,
      46,53,51,54,54,49,101,45,49,48,32,56,46,55,57,54,52,101,45,49,48,32,49,46,48,
      50,55,54,55,101,45,48,57,32,49,46,49,57,54,50,101,45,48,57,32,49,46,51,52,53,
      56,50,101,45,48,57,10,32,32,49,46,53,55,48,57,56,101,45,48,57,32,49,46,57,48,
      57,56,53,101,45,48,57,32,50,46,51,51,56,49,101,45,48,57,32,50,46,56,53,56,48,
      52,101,45,48,57,32,51,46,53,49,55,51,51,101,45,48,57,32,52,46,50,53,51,54,52,
      101,45,48,57,32,53,46,49,49,51,55,50,101,45,48,57,10,32,32,54,46,49,51,57,48,
      52,101,45,48,57,32,55,46,51,54,56,51,52,101,45,48,57,32,56,46,52,57,57,54,56,
      101,45,48,57,32,57,46,56,53,52,55,53,101,45,48,57,32,49,46,49,50,49,57,52,101,
      45,48,56,32,49,46,51,48,52,52,56,101,45,48,56,32,49,46,54,50,52,51,52,101,45,
      48,56,10,32,32,50,46,48,49,50,50,50,101,45,48,56,32,50,46,52,51,54,52,54,101,
      45,48,56,32,50,46,56,49,57,54,51,101,45,48,56,32,51,46,51,57,48,53,49,101,45,
      48,56,32,52,46,48,48,57,50,101,45,48,56,32,52,46,54,55,55,52,51,101,45,48,56,
      32,53,46,50,56,57,54,51,101,45,48,56,10,32,32,53,46,56,54,53,48,50,101,45,48,
      56,32,54,46,51,57,50,57,57,101,45,48,56,32,54,46,57,53,53,50,53,101,45,48,56,
      32,55,46,52,57,55,57,56,101,45,48,56,32,55,46,57,48,57,49,50,101,45,48,56,32,
      56,46,54,51,53,48,52,101,45,48,56,32,57,46,49,53,54,49,51,101,45,48,56,10,32,
      32,57,46,52,53,48,51,51,101,45,48,56,32,57,46,54,56,55,52,55,101,45,48,56,32,
      49,46,48,48,49,48,55,101,45,48,55,32,49,46,48,48,53,48,50,101,45,48,55,32,57,
      46,57,54,57,51,55,101,45,48,56,32,57,46,55,57,48,51,57,101,45,48,56,32,57,46,
      53,51,55,51,50,101,45,48,56,10,32,32,57,46,49,55,53,55,54,101,45,48,56,32,56,
      46,56,54,54,53,52,101,45,48,56,32,56,46,53,50,55,52,51,101,45,48,56,32,55,46,
      57,49,57,48,53,101,45,48,56,32,55,46,53,50,52,51,55,101,45,48,56,32,54,46,56,
      56,52,50,55,101,45,48,56,32,54,46,49,57,57,56,49,101,45,48,56,10,32,32,53,46,
      55,57,51,52,51,101,45,48,56,32,53,46,51,57,51,49,51,101,45,48,56,32,52,46,55,
      56,49,54,50,101,45,48,56,32,52,46,49,52,54,57,50,101,45,48,56,32,51,46,56,49,
      53,55,55,101,45,48,56,32,51,46,51,49,53,56,57,101,45,48,56,32,51,46,48,51,50,
      53,101,45,48,56,10,32,32,50,46,53,57,56,51,56,101,45,48,56,32,50,46,50,50,57,
      57,49,101,45,48,56,32,49,46,56,55,53,51,52,101,45,48,56,32,49,46,55,51,49,49,
      50,101,45,48,56,32,49,46,52,55,57,55,49,101,45,48,56,32,49,46,50,51,56,56,51,
      101,45,48,56,32,49,46,48,54,52,57,53,101,45,48,56,10,32,32,57,46,49,51,48,49,
      101,45,48,57,32,55,46,56,56,55,49,53,101,45,48,57,32,54,46,56,49,52,54,54,101,
      45,48,57,32,53,46,55,56,50,51,54,101,45,48,57,32,52,46,57,56,56,48,57,101,45,
      48,57,32,52,46,50,51,48,49,54,101,45,48,57,32,51,46,55,52,50,53,49,101,45,48,
      57,10,32,32,51,46,48,53,56,51,51,101,45,48,57,32,50,46,54,57,56,57,53,101,45,
      48,57,32,50,46,51,48,55,55,54,101,45,48,57,32,49,46,53,57,52,56,50,101,45,48,
      57,32,57,46,52,57,52,54,51,101,45,49,48,32,53,46,54,54,55,55,51,101,45,49,48,
      32,50,46,57,51,56,56,101,45,49,48,10,32,32,49,46,53,48,54,55,54,101,45,49,48,
      32,54,46,54,55,53,49,101,45,49,49,32,51,46,51,53,55,48,55,101,45,49,49,32,49,
      46,49,48,50,51,55,101,45,49,49,32,51,46,55,54,49,50,50,101,45,49,50,32,49,46,
      55,53,51,51,53,101,45,49,50,32,55,46,52,51,51,54,54,101,45,49,51,10,32,32,50,
      46,51,52,57,57,49,101,45,49,51,32,56,46,53,50,55,51,52,101,45,49,52,32,51,46,
      48,55,57,54,54,101,45,49,52,32,57,46,53,54,56,48,56,101,45,49,53,32,50,46,57,
      53,56,57,57,101,45,49,53,32,49,46,48,53,54,50,52,101,45,49,53,32,51,46,55,54,
      48,52,101,45,49,54,10,32,32,49,46,51,51,53,54,53,101,45,49,54,32,51,46,57,55,
      49,51,51,101,45,49,55,32,49,46,48,52,50,49,56,101,45,49,55,32,50,46,51,53,48,
      50,52,101,45,49,56,32,54,46,49,51,55,49,51,101,45,49,57,32,49,46,51,55,48,55,
      101,45,49,57,32,51,46,53,54,53,51,101,45,50,48,10,32,32,57,46,50,54,48,49,56,
      101,45,50,49,32,50,46,48,54,54,56,57,101,45,50,49,32,52,46,49,51,53,55,53,101,
      45,50,50,32,49,46,49,57,50,52,54,101,45,50,50,32,50,46,56,50,51,48,50,101,45,
      50,51,32,55,46,57,51,51,49,51,101,45,50,52,32,50,46,48,48,48,49,53,101,45,50,
      52,10,32,32,52,46,52,49,52,51,49,101,45,50,53,32,52,46,51,50,50,48,56,101,45,
      50,54,32,48,114,49,49,49,32,50,46,50,52,56,53,56,101,45,50,52,32,53,46,50,55,
      57,53,56,101,45,50,52,32,49,46,49,52,53,49,51,101,45,50,51,32,50,46,51,50,55,
      50,101,45,50,51,32,52,46,52,55,56,53,51,101,45,50,51,10,32,32,56,46,50,51,49,
      52,54,101,45,50,51,32,49,46,52,53,51,56,50,101,45,50,50,32,50,46,52,56,48,51,
      57,101,45,50,50,32,52,46,49,48,55,54,53,101,45,50,50,32,54,46,54,50,49,49,52,
      101,45,50,50,32,49,46,48,52,50,49,101,45,50,49,32,49,46,54,48,53,51,101,45,
      50,49,10,32,32,50,46,52,50,53,52,57,101,45,50,49,32,51,46,54,48,48,57,52,101,
      45,50,49,32,53,46,50,53,51,53,53,101,45,50,49,32,55,46,53,53,54,51,56,101,45,
      50,49,32,49,46,48,55,49,53,50,101,45,50,48,32,49,46,52,57,53,57,51,101,45,50,
      48,32,50,46,48,54,49,50,49,101,45,50,48,10,32,32,50,46,56,48,57,54,56,101,45,
      50,48,32,51,46,55,55,53,56,50,101,45,50,48,32,53,46,48,48,53,56,50,101,45,50,
      48,32,54,46,53,55,56,51,53,101,45,50,48,32,55,46,49,50,51,51,50,101,45,49,56,
      32,51,46,56,52,54,54,53,101,45,49,53,32,52,46,53,49,51,51,55,101,45,49,53,10,
      32,32,53,46,50,54,48,57,52,101,45,49,53,32,54,46,48,53,57,51,57,101,45,49,53,
      32,54,46,57,52,57,48,49,101,45,49,53,32,55,46,57,51,54,53,50,101,45,49,53,32,
      56,46,57,52,50,53,51,101,45,49,53,32,49,46,48,48,52,50,52,101,45,49,52,32,49,
      46,49,50,52,50,49,101,45,49,52,10,32,32,49,46,50,52,52,51,57,101,45,49,52,32,
      49,46,51,55,49,56,51,101,45,49,52,32,49,46,53,48,56,55,55,101,45,49,52,32,49,
      46,54,52,53,53,101,45,49,52,32,49,46,55,56,54,48,57,101,45,49,52,32,49,46,57,
      51,53,52,55,101,45,49,52,32,50,46,48,56,53,57,55,101,45,49,52,10,32,32,50,46,
      50,51,55,48,49,101,45,49,52,32,50,46,51,57,54,51,101,45,49,52,32,50,46,53,53,
      56,57,51,101,45,49,52,32,50,46,55,49,57,54,49,101,45,49,52,32,50,46,56,56,56,
      50,52,101,45,49,52,32,51,46,48,54,50,55,52,101,45,49,52,32,51,46,50,51,52,52,
      50,101,45,49,52,10,32,32,51,46,52,49,51,57,56,101,45,49,52,32,51,46,54,48,49,
      53,51,101,45,49,52,32,51,46,55,56,53,55,53,101,45,49,52,32,51,46,57,55,55,57,
      50,101,45,49,52,32,52,46,49,55,56,50,55,101,45,49,52,32,52,46,51,55,54,55,49,
      101,45,49,52,32,52,46,53,56,49,51,53,101,45,49,52,10,32,32,52,46,55,57,52,50,
      53,101,45,49,52,32,53,46,48,48,52,53,50,101,45,49,52,32,53,46,50,49,55,54,56,
      101,45,49,52,32,53,46,52,51,57,48,52,101,45,49,52,32,53,46,54,53,53,52,54,101,
      45,49,52,32,53,46,56,54,55,49,55,101,45,49,52,32,54,46,48,56,54,56,52,101,45,
      49,52,10,32,32,54,46,51,48,48,50,101,45,49,52,32,54,46,52,57,51,57,56,101,45,
      49,52,32,54,46,54,57,53,52,49,101,45,49,52,32,54,46,56,57,51,51,55,101,45,49,
      52,32,55,46,48,52,55,57,51,101,45,49,52,32,55,46,50,49,48,50,56,101,45,49,52,
      32,55,46,51,55,57,50,53,101,45,49,52,10,32,32,55,46,52,55,51,52,49,101,45,49,
      52,32,55,46,53,55,54,56,52,101,45,49,52,32,55,46,54,56,57,48,57,101,45,49,52,
      32,55,46,55,50,52,50,50,101,45,49,52,32,55,46,55,53,54,48,52,101,45,49,52,32,
      55,46,55,57,57,52,52,101,45,49,52,32,55,46,55,55,56,50,52,101,45,49,52,10,32,
      32,56,46,53,56,51,53,56,101,45,49,52,32,56,46,54,50,48,52,56,101,45,49,52,32,
      56,46,54,49,56,54,50,101,45,49,52,32,56,46,53,56,55,50,55,101,45,49,52,32,56,
      46,53,55,57,55,49,101,45,49,52,32,56,46,53,53,57,51,57,101,45,49,52,32,56,46,
      53,48,49,52,54,101,45,49,52,10,32,32,56,46,52,55,48,55,53,101,45,49,52,32,56,
      46,52,52,57,56,56,101,45,49,52,32,56,46,51,57,48,55,54,101,45,49,52,32,56,46,
      51,54,48,49,49,101,45,49,52,32,56,46,51,53,52,49,53,101,45,49,52,32,56,46,51,
      49,55,50,56,101,45,49,52,32,56,46,51,48,55,56,51,101,45,49,52,10,32,32,56,46,
      51,50,51,50,52,101,45,49,52,32,56,46,51,51,51,50,101,45,49,52,32,56,46,51,54,
      50,52,56,101,45,49,52,32,56,46,52,49,52,52,53,101,45,49,52,32,56,46,52,55,57,
      50,52,101,45,49,52,32,56,46,53,54,48,57,57,101,45,49,52,32,56,46,54,54,50,53,
      51,101,45,49,52,10,32,32,56,46,55,56,55,53,56,101,45,49,52,32,56,46,57,51,52,
      52,56,101,45,49,52,32,57,46,48,57,56,49,56,101,45,49,52,32,57,46,50,56,56,50,
      52,101,45,49,52,32,57,46,53,49,49,57,49,101,45,49,52,32,57,46,55,52,57,57,57,
      101,45,49,52,32,49,46,48,48,49,49,55,101,45,49,51,10,32,32,49,46,48,51,50,55,
      49,101,45,49,51,32,49,46,48,54,53,53,57,101,45,49,51,32,49,46,49,48,48,48,49,
      101,45,49,51,32,49,46,49,52,50,54,55,101,45,49,51,32,49,46,49,56,54,56,53,101,
      45,49,51,32,49,46,50,51,50,53,57,101,45,49,51,32,49,46,50,56,55,55,50,101,45,
      49,51,10,32,32,49,46,51,52,54,50,50,101,45,49,51,32,49,46,52,48,54,56,57,101,
      45,49,51,32,49,46,52,55,55,52,51,101,45,49,51,32,49,46,53,53,52,54,101,45,49,
      51,32,49,46,54,51,53,49,51,101,45,49,51,32,49,46,55,50,53,55,101,45,49,51,32,
      49,46,56,50,55,49,54,101,45,49,51,10,32,32,49,46,57,51,52,49,57,101,45,49,51,
      32,50,46,48,53,49,51,54,101,45,49,51,32,50,46,49,56,51,57,51,101,45,49,51,32,
      50,46,51,50,53,51,56,101,45,49,51,32,50,46,52,55,55,57,52,101,45,49,51,32,50,
      46,54,52,56,55,50,101,45,49,51,32,50,46,56,51,50,52,57,101,45,49,51,10,32,32,
      51,46,48,51,48,53,52,101,45,49,51,32,51,46,50,52,53,51,53,101,45,49,51,32,51,
      46,52,55,55,53,51,101,45,49,51,32,51,46,55,50,56,55,51,101,45,49,51,32,51,46,
      57,57,49,55,49,101,45,49,51,32,52,46,50,55,51,57,56,101,45,49,51,32,52,46,53,
      55,56,57,50,101,45,49,51,10,32,32,52,46,56,57,50,55,51,101,45,49,51,32,53,46,
      50,50,50,53,57,101,45,49,51,32,53,46,53,55,54,55,55,101,45,49,51,32,53,46,57,
      52,48,55,54,101,45,49,51,32,54,46,51,49,51,53,53,101,45,49,51,32,54,46,55,49,
      48,57,49,101,45,49,51,32,55,46,49,51,49,54,57,101,45,49,51,10,32,32,55,46,53,
      52,52,51,57,101,45,49,51,32,55,46,57,56,49,101,45,49,51,32,56,46,52,51,55,49,
      55,101,45,49,51,32,56,46,57,48,48,52,57,101,45,49,51,32,57,46,51,57,57,55,101,
      45,49,51,32,57,46,57,48,52,56,56,101,45,49,51,32,49,46,48,52,49,49,51,101,45,
      49,50,10,32,32,49,46,48,57,52,50,54,101,45,49,50,32,49,46,49,52,57,57,52,101,
      45,49,50,32,49,46,50,50,54,54,56,101,45,49,50,32,49,46,52,50,51,52,57,101,45,
      49,50,32,49,46,55,54,55,56,55,101,45,49,50,32,50,46,53,48,53,54,52,101,45,49,
      50,32,51,46,52,52,50,57,101,45,49,50,10,32,32,52,46,52,55,54,56,49,101,45,49,
      50,32,53,46,52,53,55,53,57,101,45,49,50,32,54,46,51,48,54,51,55,101,45,49,50,
      32,55,46,48,53,49,51,101,45,49,50,32,55,46,55,55,50,52,51,101,45,49,50,32,56,
      46,53,52,53,55,55,101,45,49,50,32,57,46,52,51,52,49,54,101,45,49,50,10,32,32,
      49,46,48,52,56,49,56,101,45,49,49,32,49,46,49,55,49,55,53,101,45,49,49,32,49,
      46,51,53,48,49,49,101,45,49,49,32,49,46,53,54,54,50,53,101,45,49,49,32,49,46,
      57,50,49,53,57,101,45,49,49,32,50,46,51,54,49,48,51,101,45,49,49,32,50,46,56,
      57,52,48,55,101,45,49,49,10,32,32,51,46,54,57,56,54,52,101,45,49,49,32,52,46,
      54,52,57,53,54,101,45,49,49,32,53,46,54,57,52,55,54,101,45,49,49,32,54,46,57,
      52,49,55,51,101,45,49,49,32,56,46,48,52,56,51,51,101,45,49,49,32,57,46,50,56,
      51,48,54,101,45,49,49,32,49,46,48,52,49,55,101,45,49,48,10,32,32,49,46,49,54,
      51,50,51,101,45,49,48,32,49,46,51,50,57,49,51,101,45,49,48,32,49,46,53,54,54,
      56,57,101,45,49,48,32,49,46,56,56,57,57,52,101,45,49,48,32,50,46,50,57,56,53,
      53,101,45,49,48,32,50,46,56,48,48,53,52,101,45,49,48,32,51,46,52,51,48,53,56,
      101,45,49,48,10,32,32,52,46,48,55,57,53,55,101,45,49,48,32,52,46,55,56,51,57,
      54,101,45,49,48,32,53,46,54,49,52,52,52,101,45,49,48,32,54,46,53,54,55,50,51,
      101,45,49,48,32,55,46,52,50,50,57,55,101,45,49,48,32,56,46,55,50,55,50,51,101,
      45,49,48,32,49,46,48,55,50,52,101,45,48,57,10,32,32,49,46,51,50,56,54,51,101,
      45,48,57,32,49,46,54,52,50,55,49,101,45,48,57,32,50,46,48,52,48,55,50,101,45,
      48,57,32,50,46,52,56,48,54,50,101,45,48,57,32,50,46,57,56,53,54,50,101,45,48,
      57,32,51,46,53,56,48,55,51,101,45,48,57,32,52,46,50,56,57,52,56,101,45,48,57,
      10,32,32,52,46,57,51,57,55,54,101,45,48,57,32,53,46,55,49,50,55,57,101,45,48,
      57,32,54,46,52,56,54,56,56,101,45,48,57,32,55,46,53,49,54,57,52,101,45,48,57,
      32,57,46,51,50,48,48,51,101,45,48,57,32,49,46,49,53,49,55,101,45,48,56,32,49,
      46,51,57,52,53,54,101,45,48,56,10,32,32,49,46,54,49,54,55,56,101,45,48,56,32,
      49,46,57,53,50,51,57,101,45,48,56,32,50,46,51,50,50,55,54,101,45,48,56,32,50,
      46,55,51,48,56,56,101,45,48,56,32,51,46,49,49,49,52,54,101,45,48,56,32,51,46,
      52,55,50,55,51,101,45,48,56,32,51,46,56,48,53,50,55,101,45,48,56,10,32,32,52,
      46,49,54,50,53,101,45,48,56,32,52,46,53,49,51,51,50,101,45,48,56,32,52,46,55,
      56,54,50,101,45,48,56,32,53,46,50,57,48,51,57,101,45,48,56,32,53,46,54,56,49,
      49,53,101,45,48,56,32,53,46,57,50,53,49,55,101,45,48,56,32,54,46,49,50,54,50,
      52,101,45,48,56,10,32,32,54,46,51,53,52,57,56,101,45,48,56,32,54,46,52,50,57,
      54,56,101,45,48,56,32,54,46,52,50,52,50,55,101,45,48,56,32,54,46,51,53,49,54,
      57,101,45,48,56,32,54,46,50,50,54,54,54,101,45,48,56,32,54,46,48,51,49,56,55,
      101,45,48,56,32,53,46,56,53,55,53,101,45,48,56,10,32,32,53,46,54,54,49,48,52,
      101,45,48,56,32,53,46,50,57,57,48,51,101,45,48,56,32,53,46,48,53,57,50,50,101,
      45,48,56,32,52,46,54,54,51,53,56,101,45,48,56,32,52,46,50,51,50,55,56,101,45,
      48,56,32,51,46,57,55,51,54,56,101,45,48,56,32,51,46,55,49,54,49,57,101,45,48,
      56,10,32,32,51,46,51,49,56,54,51,101,45,48,56,32,50,46,57,48,48,54,55,101,45,
      48,56,32,50,46,54,56,48,52,51,101,45,48,56,32,50,46,51,52,53,48,57,101,45,48,
      56,32,50,46,49,53,51,51,54,101,45,48,56,32,49,46,56,53,53,50,51,101,45,48,56,
      32,49,46,54,48,49,54,53,101,45,48,56,10,32,32,49,46,51,53,53,52,57,101,45,48,
      56,32,49,46,50,53,52,53,52,101,45,48,56,32,49,46,48,55,55,54,51,101,45,48,56,
      32,57,46,48,54,57,51,54,101,45,48,57,32,55,46,56,50,57,49,52,101,45,48,57,32,
      54,46,55,51,57,51,52,101,45,48,57,32,53,46,56,52,51,50,50,101,45,48,57,10,32,
      32,53,46,48,54,54,51,51,101,45,48,57,32,52,46,51,49,53,48,49,101,45,48,57,32,
      51,46,55,51,52,51,49,101,45,48,57,32,51,46,49,55,55,56,101,45,48,57,32,50,46,
      56,49,56,51,57,101,45,48,57,32,50,46,51,49,50,49,50,101,45,48,57,32,50,46,48,
      52,53,49,51,101,45,48,57,10,32,32,49,46,55,53,51,53,57,101,45,48,57,32,49,46,
      50,49,57,51,56,101,45,48,57,32,55,46,51,49,54,57,49,101,45,49,48,32,52,46,51,
      57,56,54,54,101,45,49,48,32,50,46,50,57,57,49,49,101,45,49,48,32,49,46,49,56,
      55,51,53,101,45,49,48,32,53,46,51,48,49,52,51,101,45,49,49,10,32,32,50,46,54,
      56,50,48,49,101,45,49,49,32,56,46,56,56,49,54,53,101,45,49,50,32,51,46,48,53,
      49,57,101,45,49,50,32,49,46,52,50,57,49,49,101,45,49,50,32,54,46,48,56,55,48,
      54,101,45,49,51,32,49,46,57,51,53,48,49,101,45,49,51,32,55,46,48,53,50,55,49,
      101,45,49,52,10,32,32,50,46,53,53,55,51,53,101,45,49,52,32,55,46,57,55,56,55,
      57,101,45,49,53,32,50,46,52,55,54,57,57,101,45,49,53,32,56,46,56,54,57,50,54,
      101,45,49,54,32,51,46,49,54,54,54,56,101,45,49,54,32,49,46,49,50,55,55,55,101,
      45,49,54,32,51,46,51,54,53,55,53,101,45,49,55,10,32,32,56,46,56,53,56,55,53,
      101,45,49,56,32,50,46,48,48,51,55,56,101,45,49,56,32,53,46,50,52,53,52,57,101,
      45,49,57,32,49,46,49,55,52,53,56,101,45,49,57,32,51,46,48,54,49,55,54,101,45,
      50,48,32,55,46,57,54,56,52,55,101,45,50,49,32,49,46,55,56,50,51,51,101,45,50,
      49,10,32,32,51,46,53,55,51,55,55,101,45,50,50,32,49,46,48,51,50,101,45,50,50,
      32,50,46,52,52,54,54,54,101,45,50,51,32,54,46,56,56,49,52,52,101,45,50,52,32,
      49,46,55,54,48,48,51,101,45,50,52,32,52,46,50,56,51,53,53,101,45,50,53,32,53,
      46,56,49,55,51,56,101,45,50,54,10,32,32,48,114,49,49,49,32,50,46,48,49,53,50,
      52,101,45,50,53,32,52,46,56,49,53,56,56,101,45,50,53,32,49,46,48,54,52,50,55,
      101,45,50,52,32,50,46,50,48,54,54,49,101,45,50,52,32,52,46,51,51,49,55,57,101,
      45,50,52,32,56,46,49,50,52,48,52,101,45,50,52,32,49,46,52,54,52,50,53,101,45,
      50,51,10,32,32,50,46,53,52,57,53,49,101,45,50,51,32,52,46,51,48,56,53,52,101,
      45,50,51,32,55,46,48,56,53,55,55,101,45,50,51,32,49,46,49,51,55,53,56,101,45,
      50,50,32,49,46,55,56,54,57,55,101,45,50,50,32,50,46,55,53,50,50,57,101,45,50,
      50,32,52,46,49,54,51,54,57,101,45,50,50,10,32,32,54,46,49,56,54,55,52,101,45,
      50,50,32,57,46,48,53,55,50,49,101,45,50,50,32,49,46,51,48,54,56,56,101,45,50,
      49,32,49,46,56,53,53,51,49,101,45,50,49,32,50,46,53,57,56,48,56,101,45,50,49,
      32,51,46,53,57,55,53,57,101,45,50,49,32,52,46,57,48,55,54,52,101,45,50,49,10,
      32,32,54,46,53,57,57,55,57,101,45,50,49,32,56,46,55,57,51,56,101,45,50,49,32,
      49,46,49,56,49,53,57,101,45,49,56,32,56,46,52,55,57,52,49,101,45,49,54,32,57,
      46,57,55,50,56,56,101,45,49,54,32,49,46,49,54,53,50,53,101,45,49,53,32,49,46,
      51,52,53,48,56,101,45,49,53,10,32,32,49,46,53,52,54,101,45,49,53,32,49,46,55,
      54,57,54,55,101,45,49,53,32,49,46,57,57,55,57,50,101,45,49,53,32,50,46,50,52,
      56,48,56,101,45,49,53,32,50,46,53,50,49,54,101,45,49,53,32,50,46,55,57,53,57,
      51,101,45,49,53,32,51,46,48,56,55,51,54,101,45,49,53,10,32,32,51,46,52,48,49,
      49,51,101,45,49,53,32,51,46,55,49,52,54,55,101,45,49,53,32,52,46,48,51,55,51,
      57,101,45,49,53,32,52,46,51,56,48,56,54,101,45,49,53,32,52,46,55,50,55,48,57,
      101,45,49,53,32,53,46,48,55,52,54,56,101,45,49,53,32,53,46,52,52,49,55,52,101,
      45,49,53,10,32,32,53,46,56,49,54,55,53,101,45,49,53,32,54,46,49,56,55,49,56,
      101,45,49,53,32,54,46,53,55,54,51,55,101,45,49,53,32,54,46,57,55,57,52,51,101,
      45,49,53,32,55,46,51,55,53,56,51,101,45,49,53,32,55,46,55,57,48,56,101,45,49,
      53,32,56,46,50,50,52,55,50,101,45,49,53,10,32,32,56,46,54,53,48,54,52,101,45,
      49,53,32,57,46,48,57,53,51,57,101,45,49,53,32,57,46,53,53,57,53,101,45,49,53,
      32,49,46,48,48,49,57,101,45,49,52,32,49,46,48,52,57,51,49,101,45,49,52,32,49,
      46,48,57,56,54,57,101,45,49,52,32,49,46,49,52,55,52,50,101,45,49,52,10,32,32,
      49,46,49,57,54,56,51,101,45,49,52,32,49,46,50,52,56,49,56,101,45,49,52,32,49,
      46,50,57,56,51,52,101,45,49,52,32,49,46,51,52,55,51,53,101,45,49,52,32,49,46,
      51,57,56,50,52,101,45,49,52,32,49,46,52,52,55,54,101,45,49,52,32,49,46,52,57,
      50,50,53,101,45,49,52,10,32,32,49,46,53,51,56,55,49,101,45,49,52,32,49,46,53,
      56,52,51,49,101,45,49,52,32,49,46,54,49,57,52,56,101,45,49,52,32,49,46,54,53,
      54,53,101,45,49,52,32,49,46,54,57,53,48,56,101,45,49,52,32,49,46,55,49,53,55,
      50,101,45,49,52,32,49,46,55,51,56,53,56,101,45,49,52,10,32,32,49,46,55,54,51,
      53,52,101,45,49,52,32,49,46,55,55,48,48,56,101,45,49,52,32,49,46,55,55,53,56,
      53,101,45,49,52,32,49,46,55,56,52,52,101,45,49,52,32,49,46,55,55,55,54,101,
      45,49,52,32,49,46,57,53,50,52,50,101,45,49,52,32,49,46,57,53,56,54,56,101,45,
      49,52,10,32,32,49,46,57,53,53,56,101,45,49,52,32,49,46,57,52,54,48,50,101,45,
      49,52,32,49,46,57,52,49,57,51,101,45,49,52,32,49,46,57,51,52,57,49,101,45,49,
      52,32,49,46,57,49,57,49,53,101,45,49,52,32,49,46,57,48,57,56,57,101,45,49,52,
      32,49,46,57,48,51,48,51,101,45,49,52,10,32,32,49,46,56,56,55,51,53,101,45,49,
      52,32,49,46,56,55,56,52,51,101,45,49,52,32,49,46,56,55,53,51,56,101,45,49,52,
      32,49,46,56,54,53,50,54,101,45,49,52,32,49,46,56,54,49,54,51,101,45,49,52,32,
      49,46,56,54,51,56,55,101,45,49,52,32,49,46,56,54,52,57,55,101,45,49,52,10,32,
      32,49,46,56,55,48,54,52,101,45,49,52,32,49,46,56,56,49,54,53,101,45,49,52,32,
      49,46,56,57,53,55,50,101,45,49,52,32,49,46,57,49,51,56,101,45,49,52,32,49,46,
      57,51,54,53,51,101,45,49,52,32,49,46,57,54,52,55,53,101,45,49,52,32,49,46,57,
      57,56,48,57,101,45,49,52,10,32,32,50,46,48,51,53,51,56,101,45,49,52,32,50,46,
      48,55,56,56,50,101,45,49,52,32,50,46,49,51,48,48,52,101,45,49,52,32,50,46,49,
      56,52,54,57,101,45,49,52,32,50,46,50,52,52,56,54,101,45,49,52,32,50,46,51,49,
      55,51,56,101,45,49,52,32,50,46,51,57,51,49,51,101,45,49,52,10,32,32,50,46,52,
      55,50,53,51,101,45,49,52,32,50,46,53,55,48,57,101,45,49,52,32,50,46,54,55,50,
      57,49,101,45,49,52,32,50,46,55,55,56,54,54,101,45,49,52,32,50,46,57,48,54,48,
      53,101,45,49,52,32,51,46,48,52,49,51,57,101,45,49,52,32,51,46,49,56,49,57,51,
      101,45,49,52,10,32,32,51,46,51,52,53,51,51,101,45,49,52,32,51,46,53,50,52,50,
      53,101,45,49,52,32,51,46,55,49,49,50,53,101,45,49,52,32,51,46,57,50,49,54,57,
      101,45,49,52,32,52,46,49,53,55,54,52,101,45,49,52,32,52,46,52,48,55,101,45,
      49,52,32,52,46,54,56,48,51,55,101,45,49,52,10,32,32,52,46,57,57,48,48,57,101,
      45,49,52,32,53,46,51,50,49,50,53,101,45,49,52,32,53,46,54,55,57,49,54,101,45,
      49,52,32,54,46,48,56,48,54,55,101,45,49,52,32,54,46,53,49,51,56,52,101,45,49,
      52,32,54,46,57,56,49,57,52,101,45,49,52,32,55,46,52,57,49,49,101,45,49,52,10,
      32,32,56,46,48,52,51,49,49,101,45,49,52,32,56,46,54,52,50,50,52,101,45,49,52,
      32,57,46,50,55,49,53,56,101,45,49,52,32,57,46,57,52,57,51,54,101,45,49,52,32,
      49,46,48,54,56,52,50,101,45,49,51,32,49,46,49,52,52,51,101,45,49,51,32,49,46,
      50,50,52,51,53,101,45,49,51,10,32,32,49,46,51,49,48,54,49,101,45,49,51,32,49,
      46,51,57,57,53,55,101,45,49,51,32,49,46,52,57,48,57,57,101,45,49,51,32,49,46,
      53,56,56,55,56,101,45,49,51,32,49,46,54,57,50,53,50,101,45,49,51,32,49,46,55,
      57,52,55,51,101,45,49,51,32,49,46,57,48,51,50,53,101,45,49,51,10,32,32,50,46,
      48,49,55,48,50,101,45,49,51,32,50,46,49,51,50,55,51,101,45,49,51,32,50,46,50,
      53,55,53,51,101,45,49,51,32,50,46,51,56,52,54,56,101,45,49,51,32,50,46,53,49,
      50,53,57,101,45,49,51,32,50,46,54,52,55,48,57,101,45,49,51,32,50,46,55,56,56,
      53,52,101,45,49,51,10,32,32,50,46,57,56,52,50,49,101,45,49,51,32,51,46,52,56,
      57,56,54,101,45,49,51,32,52,46,51,56,55,101,45,49,51,32,54,46,51,53,53,51,50,
      101,45,49,51,32,56,46,57,51,48,57,51,101,45,49,51,32,49,46,49,56,52,49,52,101,
      45,49,50,32,49,46,52,54,51,55,56,101,45,49,50,10,32,32,49,46,55,48,53,56,55,
      101,45,49,50,32,49,46,57,49,55,51,52,101,45,49,50,32,50,46,49,50,50,49,51,101,
      45,49,50,32,50,46,51,52,51,57,50,101,45,49,50,32,50,46,54,48,50,53,54,101,45,
      49,50,32,50,46,57,49,50,54,50,101,45,49,50,32,51,46,50,56,51,50,49,101,45,49,
      50,10,32,32,51,46,56,50,55,52,50,101,45,49,50,32,52,46,53,48,48,48,53,101,45,
      49,50,32,53,46,54,51,51,55,53,101,45,49,50,32,55,46,48,55,56,56,55,101,45,49,
      50,32,56,46,56,56,56,51,49,101,45,49,50,32,49,46,49,55,50,51,51,101,45,49,49,
      32,49,46,53,50,49,51,54,101,45,49,49,10,32,32,49,46,57,49,56,52,54,101,45,49,
      49,32,50,46,52,48,52,54,49,101,45,49,49,32,50,46,56,51,56,55,56,101,45,49,49,
      32,51,46,51,49,56,49,49,101,45,49,49,32,51,46,55,53,53,53,51,101,45,49,49,32,
      52,46,50,51,50,51,57,101,45,49,49,32,52,46,57,48,54,50,55,101,45,49,49,10,32,
      32,53,46,57,49,49,52,52,101,45,49,49,32,55,46,51,51,49,53,50,101,45,49,49,32,
      57,46,49,57,53,51,52,101,45,49,49,32,49,46,49,53,55,48,57,101,45,49,48,32,49,
      46,52,54,53,52,52,101,45,49,48,32,49,46,55,57,49,50,51,101,45,49,48,32,50,46,
      49,52,57,49,51,101,45,49,48,10,32,32,50,46,53,55,49,55,54,101,45,49,48,32,51,
      46,48,54,56,52,54,101,45,49,48,32,51,46,53,50,57,48,57,101,45,49,48,32,52,46,
      50,53,54,50,51,101,45,49,48,32,53,46,52,49,52,48,50,101,45,49,48,32,54,46,57,
      53,50,55,53,101,45,49,48,32,56,46,56,56,54,53,49,101,45,49,48,10,32,32,49,46,
      49,51,55,49,54,101,45,48,57,32,49,46,52,49,50,52,50,101,45,48,57,32,49,46,55,
      50,52,56,52,101,45,48,57,32,50,46,48,56,56,53,53,101,45,48,57,32,50,46,53,49,
      53,54,54,101,45,48,57,32,50,46,57,48,52,55,51,101,45,48,57,32,51,46,51,54,53,
      51,51,101,45,48,57,10,32,32,51,46,56,50,54,54,54,101,45,48,57,32,52,46,52,51,
      55,54,54,101,45,48,57,32,53,46,53,48,50,48,56,101,45,48,57,32,54,46,55,57,55,
      50,52,101,45,48,57,32,56,46,50,51,51,53,51,101,45,48,57,32,57,46,53,53,55,49,
      52,101,45,48,57,32,49,46,49,53,55,52,53,101,45,48,56,10,32,32,49,46,51,56,51,
      48,54,101,45,48,56,32,49,46,54,51,53,54,56,101,45,48,56,32,49,46,56,55,52,56,
      56,101,45,48,56,32,50,46,49,48,52,49,101,45,48,56,32,50,46,51,49,53,57,50,101,
      45,48,56,32,50,46,53,52,53,51,57,101,45,48,56,32,50,46,55,55,52,48,57,101,45,
      48,56,10,32,32,50,46,57,53,53,57,50,101,45,48,56,32,51,46,51,48,52,53,52,101,
      45,48,56,32,51,46,53,57,48,57,56,101,45,48,56,32,51,46,55,56,50,53,55,101,45,
      48,56,32,51,46,57,52,51,50,53,101,45,48,56,32,52,46,49,48,53,53,55,101,45,48,
      56,32,52,46,49,56,52,55,49,101,45,48,56,10,32,32,52,46,50,49,48,49,54,101,45,
      48,56,32,52,46,49,56,57,52,54,101,45,48,56,32,52,46,49,51,49,54,101,45,48,56,
      32,52,46,48,50,56,51,56,101,45,48,56,32,51,46,57,51,48,49,55,101,45,48,56,32,
      51,46,56,49,53,55,53,101,45,48,56,32,51,46,53,57,56,50,55,101,45,48,56,10,32,
      32,51,46,52,53,48,56,50,101,45,48,56,32,51,46,50,48,51,49,56,101,45,48,56,32,
      50,46,57,50,56,52,55,101,45,48,56,32,50,46,55,54,49,48,54,101,45,48,56,32,50,
      46,53,57,51,50,51,101,45,48,56,32,50,46,51,51,49,51,54,101,45,48,56,32,50,46,
      48,53,50,54,51,101,45,48,56,10,32,32,49,46,57,48,52,51,53,101,45,48,56,32,49,
      46,54,55,54,54,56,101,45,48,56,32,49,46,53,52,53,52,54,101,45,48,56,32,49,46,
      51,52,48,52,101,45,48,56,32,49,46,49,54,51,50,56,101,45,48,56,32,57,46,56,57,
      53,56,52,101,45,48,57,32,57,46,49,56,49,57,56,101,45,48,57,10,32,32,55,46,57,
      50,52,53,57,101,45,48,57,32,54,46,55,48,50,57,50,101,45,48,57,32,53,46,56,48,
      57,55,101,45,48,57,32,53,46,48,50,48,53,52,101,45,48,57,32,52,46,51,54,56,51,
      56,101,45,48,57,32,51,46,56,48,48,51,56,101,45,48,57,32,51,46,50,52,56,53,52,
      101,45,48,57,10,32,32,50,46,56,50,48,49,50,101,45,48,57,32,50,46,52,48,55,56,
      52,101,45,48,57,32,50,46,49,52,48,54,101,45,48,57,32,49,46,55,54,50,54,57,101,
      45,48,57,32,49,46,53,54,50,54,52,101,45,48,57,32,49,46,51,52,51,53,49,101,45,
      48,57,32,57,46,51,57,56,53,52,101,45,49,48,10,32,32,53,46,54,56,50,57,51,101,
      45,49,48,32,51,46,52,51,57,56,53,101,45,49,48,32,49,46,56,49,50,48,54,101,45,
      49,48,32,57,46,52,50,52,53,55,101,45,49,49,32,52,46,50,52,48,51,50,101,45,49,
      49,32,50,46,49,53,55,53,57,101,45,49,49,32,55,46,50,48,52,49,53,101,45,49,50,
      10,32,32,50,46,52,57,50,54,53,101,45,49,50,32,49,46,49,55,50,51,56,101,45,49,
      50,32,53,46,48,49,54,50,54,101,45,49,51,32,49,46,54,48,51,51,52,101,45,49,51,
      32,53,46,56,54,57,49,52,101,45,49,52,32,50,46,49,51,54,54,49,101,45,49,52,32,
      54,46,54,57,51,54,49,101,45,49,53,10,32,32,50,46,48,56,53,56,51,101,45,49,53,
      32,55,46,52,57,49,49,56,101,45,49,54,32,50,46,54,56,50,49,52,101,45,49,54,32,
      57,46,53,55,55,48,50,101,45,49,55,32,50,46,56,54,56,53,101,45,49,55,32,55,46,
      53,55,49,56,50,101,45,49,56,32,49,46,55,49,55,55,52,101,45,49,56,10,32,32,52,
      46,53,48,55,54,57,101,45,49,57,32,49,46,48,49,49,57,49,101,45,49,57,32,50,46,
      54,52,51,50,54,101,45,50,48,32,54,46,56,57,50,55,57,101,45,50,49,32,49,46,53,
      52,52,56,53,101,45,50,49,32,51,46,49,48,52,49,55,101,45,50,50,32,56,46,57,55,
      54,48,50,101,45,50,51,10,32,32,50,46,49,51,52,48,50,101,45,50,51,32,53,46,57,
      57,55,56,54,101,45,50,52,32,49,46,53,53,50,51,55,101,45,50,52,32,51,46,56,57,
      56,56,49,101,45,50,53,32,53,46,48,53,56,48,55,101,45,50,54,32,48,114,49,49,
      49,32,49,46,54,50,55,55,51,101,45,50,54,32,52,46,51,57,54,48,50,101,45,50,54,
      10,32,32,49,46,48,56,50,54,54,101,45,50,53,32,50,46,52,55,49,49,101,45,50,53,
      32,53,46,50,57,48,52,52,101,45,50,53,32,49,46,48,55,52,55,50,101,45,50,52,32,
      50,46,48,55,57,53,50,101,45,50,52,32,51,46,56,54,49,56,52,101,45,50,52,32,54,
      46,57,50,50,48,51,101,45,50,52,10,32,32,49,46,50,48,49,51,52,101,45,50,51,32,
      50,46,48,50,54,49,50,101,45,50,51,32,51,46,51,51,48,50,54,101,45,50,51,32,53,
      46,51,52,55,55,55,101,45,50,51,32,56,46,52,48,55,53,52,101,45,50,51,32,49,46,
      50,57,52,51,51,101,45,50,50,32,49,46,57,53,55,50,56,101,45,50,50,10,32,32,50,
      46,57,49,49,53,101,45,50,50,32,52,46,50,53,48,53,56,101,45,50,50,32,54,46,49,
      48,56,52,54,101,45,50,50,32,56,46,54,54,53,52,56,101,45,50,50,32,49,46,50,48,
      56,54,51,101,45,50,49,32,49,46,54,53,56,56,55,101,45,50,49,32,50,46,50,53,51,
      48,57,101,45,50,49,10,32,32,51,46,52,51,48,57,52,101,45,49,57,32,50,46,56,55,
      51,50,52,101,45,49,54,32,51,46,51,56,57,52,49,101,45,49,54,32,51,46,57,55,49,
      57,56,101,45,49,54,32,52,46,53,57,55,53,56,101,45,49,54,32,53,46,50,57,56,57,
      52,101,45,49,54,32,54,46,48,56,50,51,101,45,49,54,10,32,32,54,46,56,56,51,51,
      54,101,45,49,54,32,55,46,55,54,51,56,51,101,45,49,54,32,56,46,55,50,57,51,51,
      101,45,49,54,32,57,46,54,57,57,101,45,49,54,32,49,46,48,55,51,49,51,101,45,
      49,53,32,49,46,49,56,52,53,52,101,45,49,53,32,49,46,50,57,53,57,54,101,45,49,
      53,10,32,32,49,46,52,49,48,55,57,101,45,49,53,32,49,46,53,51,51,50,50,101,45,
      49,53,32,49,46,54,53,54,55,51,101,45,49,53,32,49,46,55,56,48,55,55,101,45,49,
      53,32,49,46,57,49,49,57,55,101,45,49,53,32,50,46,48,52,54,48,57,101,45,49,53,
      32,50,46,49,55,56,53,53,101,45,49,53,10,32,32,50,46,51,49,55,57,101,45,49,53,
      32,50,46,52,54,50,51,53,101,45,49,53,32,50,46,54,48,52,51,52,101,45,49,53,32,
      50,46,55,53,51,49,53,101,45,49,53,32,50,46,57,48,56,57,53,101,45,49,53,32,51,
      46,48,54,49,55,54,101,45,49,53,32,51,46,50,50,49,53,49,101,45,49,53,10,32,32,
      51,46,51,56,56,51,57,101,45,49,53,32,51,46,53,53,51,53,50,101,45,49,53,32,51,
      46,55,50,52,48,52,101,45,49,53,32,51,46,57,48,49,55,57,101,45,49,53,32,52,46,
      48,55,55,49,51,101,45,49,53,32,52,46,50,53,52,57,101,45,49,53,32,52,46,52,51,
      57,56,54,101,45,49,53,10,32,32,52,46,54,50,48,51,49,101,45,49,53,32,52,46,55,
      57,54,52,101,45,49,53,32,52,46,57,55,57,52,52,101,45,49,53,32,53,46,49,53,54,
      54,54,101,45,49,53,32,53,46,51,49,54,50,49,101,45,49,53,32,53,46,52,56,50,52,
      50,101,45,49,53,32,53,46,54,52,53,51,52,101,45,49,53,10,32,32,53,46,55,54,57,
      50,101,45,49,53,32,53,46,56,57,57,56,57,101,45,49,53,32,54,46,48,51,54,51,49,
      101,45,49,53,32,54,46,49,48,53,55,57,101,45,49,53,32,54,46,49,56,51,52,53,101,
      45,49,53,32,54,46,50,54,56,57,52,101,45,49,53,32,54,46,50,56,53,56,54,101,45,
      49,53,10,32,32,54,46,51,48,48,48,55,101,45,49,53,32,54,46,51,50,52,54,53,101,
      45,49,53,32,54,46,50,57,50,53,50,101,45,49,53,32,54,46,56,55,51,50,54,101,45,
      49,53,32,54,46,56,56,54,52,51,101,45,49,53,32,54,46,56,54,54,48,54,101,45,49,
      53,32,54,46,56,50,48,53,56,101,45,49,53,10,32,32,54,46,55,57,54,51,51,101,45,
      49,53,32,54,46,55,54,49,54,53,101,45,49,53,32,54,46,54,57,53,52,50,101,45,49,
      53,32,54,46,54,53,51,51,54,101,45,49,53,32,54,46,54,50,48,52,53,101,45,49,53,
      32,54,46,53,53,53,57,55,101,45,49,53,32,54,46,53,49,54,53,52,101,45,49,53,10,
      32,32,54,46,52,57,56,55,51,101,45,49,53,32,54,46,52,53,53,57,54,101,45,49,53,
      32,54,46,52,51,55,48,53,101,45,49,53,32,54,46,52,51,57,54,57,101,45,49,53,32,
      54,46,52,51,56,55,49,101,45,49,53,32,54,46,52,53,52,53,56,101,45,49,53,32,54,
      46,52,56,57,57,56,101,45,49,53,10,32,32,54,46,53,51,54,55,54,101,45,49,53,32,
      54,46,53,57,56,50,56,101,45,49,53,32,54,46,54,55,54,55,56,101,45,49,53,32,54,
      46,55,55,53,50,52,101,45,49,53,32,54,46,56,57,50,51,50,101,45,49,53,32,55,46,
      48,50,51,56,54,101,45,49,53,32,55,46,49,55,55,54,52,101,45,49,53,10,32,32,55,
      46,51,53,57,52,50,101,45,49,53,32,55,46,53,53,51,56,52,101,45,49,53,32,55,46,
      55,54,56,51,50,101,45,49,53,32,56,46,48,50,54,57,50,101,45,49,53,32,56,46,50,
      57,55,53,55,101,45,49,53,32,56,46,53,56,49,56,49,101,45,49,53,32,56,46,57,51,
      51,53,56,101,45,49,53,10,32,32,57,46,50,57,56,57,57,101,45,49,53,32,57,46,54,
      55,56,52,57,101,45,49,53,32,49,46,48,49,51,53,50,101,45,49,52,32,49,46,48,54,
      50,49,49,101,45,49,52,32,49,46,49,49,50,54,53,101,45,49,52,32,49,46,49,55,49,
      52,101,45,49,52,32,49,46,50,51,53,55,57,101,45,49,52,10,32,32,49,46,51,48,51,
      50,50,101,45,49,52,32,49,46,51,55,57,49,53,101,45,49,52,32,49,46,52,54,52,51,
      54,101,45,49,52,32,49,46,53,53,52,54,101,45,49,52,32,49,46,54,53,51,54,57,101,
      45,49,52,32,49,46,55,54,54,49,51,101,45,49,52,32,49,46,56,56,54,54,51,101,45,
      49,52,10,32,32,50,46,48,49,55,49,56,101,45,49,52,32,50,46,49,54,51,57,55,101,
      45,49,52,32,50,46,51,50,50,55,56,101,45,49,52,32,50,46,52,57,52,57,49,101,45,
      49,52,32,50,46,54,56,50,55,50,101,45,49,52,32,50,46,56,56,55,48,50,101,45,49,
      52,32,51,46,49,48,57,53,51,101,45,49,52,10,32,32,51,46,51,52,52,48,57,101,45,
      49,52,32,51,46,53,57,55,54,50,101,45,49,52,32,51,46,56,55,51,53,50,101,45,49,
      52,32,52,46,49,53,57,53,101,45,49,52,32,52,46,52,54,50,50,55,101,45,49,52,32,
      52,46,55,56,57,56,49,101,45,49,52,32,53,46,49,50,56,56,50,101,45,49,52,10,32,
      32,53,46,52,55,56,51,56,101,45,49,52,32,53,46,56,53,51,55,50,101,45,49,52,32,
      54,46,50,53,49,56,52,101,45,49,52,32,54,46,54,52,54,54,55,101,45,49,52,32,55,
      46,48,54,55,51,101,45,49,52,32,55,46,53,48,57,55,55,101,45,49,52,32,55,46,57,
      53,57,53,50,101,45,49,52,10,32,32,56,46,52,52,52,54,101,45,49,52,32,56,46,57,
      52,51,52,56,101,45,49,52,32,57,46,52,52,54,50,57,101,45,49,52,32,57,46,57,55,
      55,48,55,101,45,49,52,32,49,46,48,53,51,55,49,101,45,49,51,32,49,46,49,51,49,
      52,53,101,45,49,51,32,49,46,51,51,51,55,57,101,45,49,51,10,32,32,49,46,54,57,
      55,53,50,101,45,49,51,32,50,46,53,49,51,49,52,101,45,49,51,32,51,46,54,48,56,
      51,57,101,45,49,51,32,52,46,56,55,49,52,49,101,45,49,51,32,54,46,48,57,55,57,
      101,45,49,51,32,55,46,49,54,48,49,57,101,45,49,51,32,56,46,48,56,52,53,56,101,
      45,49,51,10,32,32,56,46,57,56,48,50,49,101,45,49,51,32,57,46,57,53,57,56,49,
      101,45,49,51,32,49,46,49,49,49,57,101,45,49,50,32,49,46,50,53,51,53,53,101,
      45,49,50,32,49,46,52,50,51,48,52,101,45,49,50,32,49,46,54,55,53,49,57,101,45,
      49,50,32,49,46,57,57,49,51,57,101,45,49,50,10,32,32,50,46,53,51,51,57,54,101,
      45,49,50,32,51,46,50,52,48,50,55,101,45,49,50,32,52,46,49,52,51,57,50,101,45,
      49,50,32,53,46,53,57,52,57,52,101,45,49,50,32,55,46,52,50,56,50,50,101,45,49,
      50,32,57,46,53,54,48,49,50,101,45,49,50,32,49,46,50,50,49,50,53,101,45,49,49,
      10,32,32,49,46,52,53,57,51,101,45,49,49,32,49,46,55,50,48,53,57,101,45,49,49,
      32,49,46,57,53,56,50,52,101,45,49,49,32,50,46,50,50,48,48,53,101,45,49,49,32,
      50,46,53,57,55,54,51,101,45,49,49,32,51,46,49,55,51,57,57,101,45,49,49,32,52,
      46,48,48,54,55,53,101,45,49,49,10,32,32,53,46,49,50,51,52,53,101,45,49,49,32,
      54,46,53,55,56,48,52,101,45,49,49,32,56,46,53,48,53,51,57,101,45,49,49,32,49,
      46,48,53,55,52,52,101,45,49,48,32,49,46,50,56,54,56,49,101,45,49,48,32,49,46,
      53,53,56,54,56,101,45,49,48,32,49,46,56,56,51,49,51,101,45,49,48,10,32,32,50,
      46,49,56,57,56,50,101,45,49,48,32,50,46,54,56,52,101,45,49,48,32,51,46,52,57,
      48,54,54,101,45,49,48,32,52,46,53,57,48,48,49,101,45,49,48,32,54,46,48,48,50,
      48,56,101,45,49,48,32,55,46,56,52,57,49,51,101,45,49,48,32,57,46,57,49,55,51,
      54,101,45,49,48,10,32,32,49,46,50,50,54,56,51,101,45,48,57,32,49,46,52,57,57,
      54,50,101,45,48,57,32,49,46,56,49,55,51,51,101,45,48,57,32,50,46,49,48,53,52,
      54,101,45,48,57,32,50,46,52,52,54,55,53,101,45,48,57,32,50,46,55,56,57,55,55,
      101,45,48,57,32,51,46,50,52,51,54,56,101,45,48,57,10,32,32,52,46,48,51,50,51,
      52,101,45,48,57,32,52,46,57,56,57,57,53,101,45,48,57,32,54,46,48,53,49,51,101,
      45,48,57,32,55,46,48,51,48,57,50,101,45,48,57,32,56,46,53,50,57,49,53,101,45,
      48,57,32,49,46,48,50,49,52,56,101,45,48,56,32,49,46,50,49,49,55,49,101,45,48,
      56,10,32,32,49,46,51,57,51,50,53,101,45,48,56,32,49,46,53,54,56,49,101,45,48,
      56,32,49,46,55,51,48,48,57,101,45,48,56,32,49,46,57,48,54,52,53,101,45,48,56,
      32,50,46,48,56,51,54,49,101,45,48,56,32,50,46,50,50,54,49,50,101,45,48,56,32,
      50,46,53,48,52,55,101,45,48,56,10,32,32,50,46,55,52,48,53,54,101,45,48,56,32,
      50,46,57,48,51,54,55,101,45,48,56,32,51,46,48,52,49,55,54,101,45,48,56,32,51,
      46,49,55,51,56,53,101,45,48,56,32,51,46,50,52,57,50,56,101,45,48,56,32,51,46,
      50,56,50,52,52,101,45,48,56,32,51,46,50,55,56,55,53,101,45,48,56,10,32,32,51,
      46,50,52,52,57,101,45,48,56,32,51,46,49,55,53,57,52,101,45,48,56,32,51,46,49,
      48,54,57,55,101,45,48,56,32,51,46,48,50,52,54,101,45,48,56,32,50,46,56,54,52,
      53,51,101,45,48,56,32,50,46,55,53,52,50,55,101,45,48,56,32,50,46,53,54,54,57,
      51,101,45,48,56,10,32,32,50,46,51,53,54,54,56,101,45,48,56,32,50,46,50,50,55,
      53,101,45,48,56,32,50,46,48,57,55,50,55,101,45,48,56,32,49,46,56,57,50,55,55,
      101,45,48,56,32,49,46,54,55,51,52,57,101,45,48,56,32,49,46,53,53,54,49,56,101,
      45,48,56,32,49,46,51,55,53,49,55,101,45,48,56,10,32,32,49,46,50,55,48,51,50,
      101,45,48,56,32,49,46,49,48,54,55,50,101,45,48,56,32,57,46,54,51,51,52,54,101,
      45,48,57,32,56,46,50,49,53,53,54,101,45,48,57,32,55,46,54,51,52,49,57,101,45,
      48,57,32,54,46,54,48,54,57,55,101,45,48,57,32,53,46,54,48,52,56,55,101,45,48,
      57,10,32,32,52,46,56,54,57,52,56,101,45,48,57,32,52,46,50,49,55,54,57,101,45,
      48,57,32,51,46,54,55,55,52,52,101,45,48,57,32,51,46,50,48,53,54,51,101,45,48,
      57,32,50,46,55,52,53,57,57,101,45,48,57,32,50,46,51,56,56,50,50,101,45,48,57,
      32,50,46,48,52,51,48,57,101,45,48,57,10,32,32,49,46,56,49,56,56,56,101,45,48,
      57,32,49,46,53,48,49,49,49,101,45,48,57,32,49,46,51,51,50,53,101,45,48,57,32,
      49,46,49,52,55,52,56,101,45,48,57,32,56,46,48,53,53,56,53,101,45,49,48,32,52,
      46,56,57,51,49,56,101,45,49,48,32,50,46,57,55,51,56,54,101,45,49,48,10,32,32,
      49,46,53,55,51,56,54,101,45,49,48,32,56,46,50,50,48,50,101,45,49,49,32,51,46,
      55,49,53,51,49,101,45,49,49,32,49,46,56,57,54,57,55,101,45,49,49,32,54,46,51,
      54,53,48,57,101,45,49,50,32,50,46,50,49,49,52,101,45,49,50,32,49,46,48,52,50,
      56,50,101,45,49,50,10,32,32,52,46,52,55,51,56,57,101,45,49,51,32,49,46,52,51,
      52,54,51,101,45,49,51,32,53,46,50,54,53,49,50,101,45,49,52,32,49,46,57,50,49,
      50,52,101,45,49,52,32,54,46,48,51,51,55,101,45,49,53,32,49,46,56,56,52,51,55,
      101,45,49,53,32,54,46,55,55,57,55,55,101,45,49,54,10,32,32,50,46,52,51,49,52,
      55,101,45,49,54,32,56,46,54,57,53,51,57,101,45,49,55,32,50,46,54,48,57,57,55,
      101,45,49,55,32,54,46,57,48,49,49,57,101,45,49,56,32,49,46,53,54,56,51,52,101,
      45,49,56,32,52,46,49,50,49,54,54,101,45,49,57,32,57,46,50,54,54,52,52,101,45,
      50,48,10,32,32,50,46,52,50,51,53,57,101,45,50,48,32,54,46,51,50,55,51,57,101,
      45,50,49,32,49,46,52,49,57,56,53,101,45,50,49,32,50,46,56,53,54,52,57,101,45,
      50,50,32,56,46,50,54,55,48,51,101,45,50,51,32,49,46,57,54,55,51,55,101,45,50,
      51,32,53,46,53,53,53,54,50,101,45,50,52,10,32,32,49,46,52,51,50,54,53,101,45,
      50,52,32,51,46,53,57,54,52,54,101,45,50,53,32,52,46,54,53,55,55,53,101,45,50,
      54,32,48,114,49,49,49,32,50,46,54,57,49,48,52,101,45,50,55,32,55,46,54,56,52,
      57,56,101,45,50,55,32,49,46,57,56,53,51,54,101,45,50,54,32,52,46,55,50,50,55,
      52,101,45,50,54,10,32,32,49,46,48,52,56,49,51,101,45,50,53,32,50,46,49,57,51,
      56,53,101,45,50,53,32,52,46,51,54,53,48,53,101,45,50,53,32,56,46,51,50,49,52,
      56,101,45,50,53,32,49,46,53,50,52,57,50,101,45,50,52,32,50,46,54,57,57,55,101,
      45,50,52,32,52,46,54,51,53,55,55,101,45,50,52,10,32,32,55,46,55,52,53,51,56,
      101,45,50,52,32,49,46,50,54,50,53,50,101,45,50,51,32,50,46,48,49,50,51,56,101,
      45,50,51,32,51,46,49,51,55,53,50,101,45,50,51,32,52,46,56,48,48,51,50,101,45,
      50,51,32,55,46,50,49,57,52,52,101,45,50,51,32,49,46,48,54,52,55,54,101,45,50,
      50,10,32,32,49,46,53,52,52,56,101,45,50,50,32,50,46,50,49,49,50,57,101,45,50,
      50,32,51,46,49,49,48,50,50,101,45,50,50,32,52,46,51,48,50,52,52,101,45,50,50,
      32,53,46,56,56,55,53,52,101,45,50,50,32,56,46,54,57,49,56,101,45,50,48,32,54,
      46,57,53,51,57,55,101,45,49,55,10,32,32,56,46,50,54,48,53,53,101,45,49,55,32,
      57,46,55,52,54,57,51,101,45,49,55,32,49,46,49,51,53,51,52,101,45,49,54,32,49,
      46,51,49,54,55,55,101,45,49,54,32,49,46,53,50,48,56,55,101,45,49,54,32,49,46,
      55,51,48,53,101,45,49,54,32,49,46,57,54,50,51,50,101,45,49,54,10,32,32,50,46,
      50,49,56,48,57,101,45,49,54,32,50,46,52,55,53,54,56,101,45,49,54,32,50,46,55,
      53,49,49,54,101,45,49,54,32,51,46,48,52,57,56,57,101,45,49,54,32,51,46,51,52,
      57,49,57,101,45,49,54,32,51,46,54,53,56,52,52,101,45,49,54,32,51,46,57,56,57,
      52,54,101,45,49,54,10,32,32,52,46,51,50,51,56,52,101,45,49,54,32,52,46,54,53,
      57,57,52,101,45,49,54,32,53,46,48,49,54,53,51,101,45,49,54,32,53,46,51,56,49,
      54,51,101,45,49,54,32,53,46,55,52,50,48,52,101,45,49,54,32,54,46,49,50,50,50,
      101,45,49,54,32,54,46,53,49,55,101,45,49,54,10,32,32,54,46,57,48,52,55,49,101,
      45,49,54,32,55,46,51,49,49,57,55,101,45,49,54,32,55,46,55,51,57,52,49,101,45,
      49,54,32,56,46,49,53,55,57,55,101,45,49,54,32,56,46,53,57,54,54,49,101,45,49,
      54,32,57,46,48,53,53,55,55,101,45,49,54,32,57,46,53,48,57,54,57,101,45,49,54,
      10,32,32,57,46,57,55,57,49,49,101,45,49,54,32,49,46,48,52,54,57,52,101,45,49,
      53,32,49,46,48,57,53,50,52,101,45,49,53,32,49,46,49,52,52,50,51,101,45,49,53,
      32,49,46,49,57,53,50,57,101,45,49,53,32,49,46,50,52,53,101,45,49,53,32,49,46,
      50,57,51,51,56,101,45,49,53,10,32,32,49,46,51,52,51,55,54,101,45,49,53,32,49,
      46,51,57,50,51,57,101,45,49,53,32,49,46,52,51,53,55,53,101,45,49,53,32,49,46,
      52,56,49,48,51,101,45,49,53,32,49,46,53,50,53,50,56,101,45,49,53,32,49,46,53,
      53,55,57,53,101,45,49,53,32,49,46,53,57,50,53,56,101,45,49,53,10,32,32,49,46,
      54,50,56,56,54,101,45,49,53,32,49,46,54,52,53,51,54,101,45,49,53,32,49,46,54,
      54,52,50,53,101,45,49,53,32,49,46,54,56,53,52,52,101,45,49,53,32,49,46,54,56,
      54,53,101,45,49,53,32,49,46,54,56,54,56,51,101,45,49,53,32,49,46,54,57,48,50,
      50,101,45,49,53,10,32,32,49,46,54,55,55,49,55,101,45,49,53,32,49,46,56,49,49,
      48,49,101,45,49,53,32,49,46,56,48,57,53,52,101,45,49,53,32,49,46,55,57,56,52,
      55,101,45,49,53,32,49,46,55,56,48,51,53,101,45,49,53,32,49,46,55,54,56,52,56,
      101,45,49,53,32,49,46,55,53,51,56,101,45,49,53,10,32,32,49,46,55,51,48,51,57,
      101,45,49,53,32,49,46,55,49,52,48,54,101,45,49,53,32,49,46,55,48,48,53,51,101,
      45,49,53,32,49,46,54,55,56,52,101,45,49,53,32,49,46,54,54,51,53,54,101,45,49,
      53,32,49,46,54,53,52,57,55,101,45,49,53,32,49,46,54,51,57,55,52,101,45,49,53,
      10,32,32,49,46,54,51,49,51,56,101,45,49,53,32,49,46,54,50,57,49,56,101,45,49,
      53,32,49,46,54,50,54,50,53,101,45,49,53,32,49,46,54,50,56,49,56,101,45,49,53,
      32,49,46,54,51,53,54,54,101,45,49,53,32,49,46,54,52,54,52,56,101,45,49,53,32,
      49,46,54,54,49,53,51,101,45,49,53,10,32,32,49,46,54,56,49,51,57,101,45,49,53,
      32,49,46,55,48,54,56,53,101,45,49,53,32,49,46,55,51,55,53,52,101,45,49,53,32,
      49,46,55,55,50,51,54,101,45,49,53,32,49,46,56,49,51,51,55,101,45,49,53,32,49,
      46,56,54,50,48,57,101,45,49,53,32,49,46,57,49,52,52,54,101,45,49,53,10,32,32,
      49,46,57,55,50,52,55,101,45,49,53,32,50,46,48,52,50,52,53,101,45,49,53,32,50,
      46,49,49,53,57,57,101,45,49,53,32,50,46,49,57,51,53,101,45,49,53,32,50,46,50,
      56,57,50,53,101,45,49,53,32,50,46,51,56,57,48,53,101,45,49,53,32,50,46,52,57,
      51,48,55,101,45,49,53,10,32,32,50,46,54,49,56,48,50,101,45,49,53,32,50,46,55,
      53,49,51,50,101,45,49,53,32,50,46,56,57,48,52,50,101,45,49,53,32,51,46,48,53,
      50,48,57,101,45,49,53,32,51,46,50,50,57,54,51,101,45,49,53,32,51,46,52,49,54,
      49,53,101,45,49,53,32,51,46,54,50,54,53,50,101,45,49,53,10,32,32,51,46,56,54,
      51,49,101,45,49,53,32,52,46,49,49,52,53,57,101,45,49,53,32,52,46,51,57,49,54,
      50,101,45,49,53,32,52,46,55,48,54,56,55,101,45,49,53,32,53,46,48,52,54,50,57,
      101,45,49,53,32,53,46,52,49,53,54,55,101,45,49,53,32,53,46,56,51,50,56,54,101,
      45,49,53,10,32,32,54,46,50,56,54,54,54,101,45,49,53,32,54,46,55,56,49,51,101,
      45,49,53,32,55,46,51,50,52,49,54,101,45,49,53,32,55,46,57,49,56,51,51,101,45,
      49,53,32,56,46,53,54,57,54,53,101,45,49,53,32,57,46,50,54,48,55,55,101,45,49,
      53,32,49,46,48,48,49,50,55,101,45,49,52,10,32,32,49,46,48,56,51,54,55,101,45,
      49,52,32,49,46,49,54,57,54,52,101,45,49,52,32,49,46,50,54,49,50,54,101,45,49,
      52,32,49,46,51,54,49,48,53,101,45,49,52,32,49,46,52,54,53,101,45,49,52,32,49,
      46,53,55,50,56,51,101,45,49,52,32,49,46,54,56,57,51,53,101,45,49,52,10,32,32,
      49,46,56,49,52,48,53,101,45,49,52,32,49,46,57,51,56,48,52,101,45,49,52,32,50,
      46,48,55,48,57,50,101,45,49,52,32,50,46,50,49,49,53,101,45,49,52,32,50,46,51,
      53,53,51,51,101,45,49,52,32,50,46,53,49,49,54,54,101,45,49,52,32,50,46,54,55,
      50,55,56,101,45,49,52,10,32,32,50,46,56,51,53,56,55,101,45,49,52,32,51,46,48,
      48,56,57,52,101,45,49,52,32,51,46,49,57,50,53,50,101,45,49,52,32,51,46,52,52,
      56,55,55,101,45,49,52,32,52,46,49,50,51,53,57,101,45,49,52,32,53,46,51,54,49,
      55,51,101,45,49,52,32,56,46,50,51,50,57,53,101,45,49,52,10,32,32,49,46,50,50,
      51,56,51,101,45,49,51,32,49,46,54,57,57,50,57,101,45,49,51,32,50,46,49,54,55,
      57,53,101,45,49,51,32,50,46,53,55,52,50,57,101,45,49,51,32,50,46,57,50,54,49,
      50,101,45,49,51,32,51,46,50,54,55,50,57,101,45,49,51,32,51,46,54,52,57,54,54,
      101,45,49,51,10,32,32,52,46,49,49,56,48,55,101,45,49,51,32,52,46,55,50,51,56,
      49,101,45,49,51,32,53,46,52,49,54,51,53,101,45,49,51,32,54,46,52,54,51,57,101,
      45,49,51,32,55,46,56,48,49,54,50,101,45,49,51,32,49,46,48,49,52,56,101,45,49,
      50,32,49,46,51,50,55,57,57,101,45,49,50,10,32,32,49,46,55,51,56,57,53,101,45,
      49,50,32,50,46,52,49,55,53,56,101,45,49,50,32,51,46,51,101,45,49,50,32,52,46,
      51,53,49,49,56,101,45,49,50,32,53,46,54,56,49,57,55,101,45,49,50,32,54,46,56,
      56,51,54,56,101,45,49,50,32,56,46,49,57,53,50,57,101,45,49,50,10,32,32,57,46,
      51,56,52,53,53,101,45,49,50,32,49,46,48,55,48,57,52,101,45,49,49,32,49,46,50,
      54,54,48,52,101,45,49,49,32,49,46,53,55,48,57,49,101,45,49,49,32,50,46,48,50,
      49,51,55,101,45,49,49,32,50,46,54,51,56,54,53,101,45,49,49,32,51,46,52,54,48,
      54,49,101,45,49,49,10,32,32,52,46,53,55,51,49,56,101,45,49,49,32,53,46,55,56,
      54,57,56,101,45,49,49,32,55,46,49,52,54,49,51,101,45,49,49,32,56,46,55,54,53,
      51,56,101,45,49,49,32,49,46,48,55,50,56,56,101,45,49,48,32,49,46,50,54,50,101,
      45,49,48,32,49,46,53,55,50,56,57,101,45,49,48,10,32,32,50,46,48,57,51,50,53,
      101,45,49,48,32,50,46,56,50,49,55,56,101,45,49,48,32,51,46,55,56,49,53,49,101,
      45,49,48,32,53,46,48,54,53,57,56,101,45,49,48,32,54,46,53,50,57,49,49,101,45,
      49,48,32,56,46,50,48,53,48,55,101,45,49,48,32,49,46,48,49,53,48,56,101,45,48,
      57,10,32,32,49,46,50,52,48,49,55,101,45,48,57,32,49,46,52,52,51,53,51,101,45,
      48,57,32,49,46,54,56,53,50,55,101,45,48,57,32,49,46,57,50,57,55,52,101,45,48,
      57,32,50,46,50,53,51,55,54,101,45,48,57,32,50,46,56,49,54,49,49,101,45,48,57,
      32,51,46,52,57,55,54,56,101,45,48,57,10,32,32,52,46,50,53,49,56,57,101,45,48,
      57,32,52,46,57,52,56,50,101,45,48,57,32,54,46,48,49,53,56,56,101,45,48,57,32,
      55,46,50,50,51,53,50,101,45,48,57,32,56,46,53,57,54,53,52,101,45,48,57,32,57,
      46,57,49,55,48,56,101,45,48,57,32,49,46,49,49,57,53,57,101,45,48,56,10,32,32,
      49,46,50,51,56,51,54,101,45,48,56,32,49,46,51,54,56,51,56,101,45,48,56,32,49,
      46,53,48,48,48,56,101,45,48,56,32,49,46,54,48,55,51,50,101,45,48,56,32,49,46,
      56,50,49,50,52,101,45,48,56,32,50,46,48,48,55,57,52,101,45,48,56,32,50,46,49,
      52,49,52,50,101,45,48,56,10,32,32,50,46,50,53,53,54,50,101,45,48,56,32,50,46,
      51,53,57,51,56,101,45,48,56,32,50,46,52,50,55,53,49,101,45,48,56,32,50,46,52,
      54,51,54,54,101,45,48,56,32,50,46,52,55,49,53,51,101,45,48,56,32,50,46,52,53,
      53,56,49,101,45,48,56,32,50,46,52,49,52,48,51,101,45,48,56,10,32,32,50,46,51,
      54,56,57,50,101,45,48,56,32,50,46,51,49,51,49,49,101,45,48,56,32,50,46,50,48,
      49,52,50,101,45,48,56,32,50,46,49,50,50,57,51,101,45,48,56,32,49,46,57,56,55,
      53,57,101,45,48,56,32,49,46,56,51,51,52,56,101,45,48,56,32,49,46,55,51,55,56,
      55,101,45,48,56,10,32,32,49,46,54,52,48,56,54,101,45,48,56,32,49,46,52,56,55,
      51,54,101,45,48,56,32,49,46,51,50,49,51,49,101,45,48,56,32,49,46,50,51,49,57,
      101,45,48,56,32,49,46,48,57,51,49,50,101,45,48,56,32,49,46,48,49,50,50,57,101,
      45,48,56,32,56,46,56,54,55,53,53,101,45,48,57,10,32,32,55,46,55,52,53,53,50,
      101,45,48,57,32,54,46,54,50,50,54,53,101,45,48,57,32,54,46,49,54,52,52,49,101,
      45,48,57,32,53,46,51,53,49,57,50,101,45,48,57,32,52,46,53,53,53,53,57,101,45,
      48,57,32,51,46,57,54,56,54,57,101,45,48,57,32,51,46,52,52,54,53,56,101,45,48,
      57,10,32,32,51,46,48,49,50,51,51,101,45,48,57,32,50,46,54,51,49,56,57,101,45,
      48,57,32,50,46,50,54,48,48,57,101,45,48,57,32,49,46,57,54,57,56,50,101,45,48,
      57,32,49,46,54,56,56,57,57,101,45,48,57,32,49,46,53,48,54,48,57,101,45,48,57,
      32,49,46,50,52,54,49,55,101,45,48,57,10,32,32,49,46,49,48,55,56,57,101,45,48,
      57,32,57,46,53,53,56,51,101,45,49,48,32,54,46,55,51,56,48,51,101,45,49,48,32,
      52,46,49,49,52,50,56,101,45,49,48,32,50,46,53,49,50,50,56,101,45,49,48,32,49,
      46,51,51,54,55,51,101,45,49,48,32,55,46,48,49,53,56,50,101,45,49,49,10,32,32,
      51,46,49,56,55,55,51,101,45,49,49,32,49,46,54,51,52,48,56,101,45,49,49,32,53,
      46,53,49,52,51,57,101,45,49,50,32,49,46,57,50,53,49,101,45,49,50,32,57,46,49,
      48,53,56,54,101,45,49,51,32,51,46,57,49,56,56,50,101,45,49,51,32,49,46,50,54,
      49,52,49,101,45,49,51,10,32,32,52,46,54,52,51,51,50,101,45,49,52,32,49,46,54,
      57,57,48,49,101,45,49,52,32,53,46,51,53,49,48,55,101,45,49,53,32,49,46,54,55,
      53,53,51,101,45,49,53,32,54,46,48,52,49,48,54,101,45,49,54,32,50,46,49,55,48,
      55,55,101,45,49,54,32,55,46,55,55,55,49,54,101,45,49,55,10,32,32,50,46,51,52,
      48,49,50,101,45,49,55,32,54,46,50,48,48,48,51,101,45,49,56,32,49,46,52,49,49,
      56,55,101,45,49,56,32,51,46,55,49,54,55,50,101,45,49,57,32,56,46,51,55,48,53,
      57,101,45,50,48,32,50,46,49,57,50,52,52,101,45,50,48,32,53,46,55,51,49,54,54,
      101,45,50,49,10,32,32,49,46,50,56,55,57,55,101,45,50,49,32,50,46,53,57,52,55,
      53,101,45,50,50,32,55,46,53,49,54,57,49,101,45,50,51,32,49,46,55,57,48,56,52,
      101,45,50,51,32,53,46,48,54,48,54,51,101,45,50,52,32,49,46,51,48,53,54,57,101,
      45,50,52,32,51,46,50,55,54,55,101,45,50,53,10,32,32,52,46,50,51,53,53,51,101,
      45,50,54,32,48,114,49,49,50,32,56,46,55,48,48,48,53,101,45,50,56,32,50,46,50,
      53,53,53,56,101,45,50,55,32,53,46,51,56,54,50,53,101,45,50,55,32,49,46,50,48,
      48,51,55,101,45,50,54,32,50,46,53,50,51,55,53,101,45,50,54,32,53,46,48,52,52,
      55,53,101,45,50,54,10,32,32,57,46,54,53,48,53,53,101,45,50,54,32,49,46,55,55,
      55,55,49,101,45,50,53,32,51,46,49,54,52,52,51,101,45,50,53,32,53,46,52,55,49,
      52,49,101,45,50,53,32,57,46,49,57,53,57,57,101,45,50,53,32,49,46,53,48,56,50,
      101,45,50,52,32,50,46,52,49,57,50,54,101,45,50,52,10,32,32,51,46,55,57,54,51,
      53,101,45,50,52,32,53,46,56,52,54,49,49,101,45,50,52,32,56,46,56,53,49,57,101,
      45,50,52,32,49,46,51,49,52,54,50,101,45,50,51,32,49,46,57,50,48,52,55,101,45,
      50,51,32,50,46,55,54,56,50,55,101,45,50,51,32,51,46,57,50,48,55,49,101,45,50,
      51,10,32,32,53,46,52,54,48,57,53,101,45,50,51,32,55,46,53,50,52,54,52,101,45,
      50,51,32,57,46,57,48,49,51,56,101,45,50,49,32,54,46,56,56,57,57,51,101,45,49,
      56,32,56,46,52,55,53,52,55,101,45,49,56,32,49,46,48,51,51,51,57,101,45,49,55,
      32,49,46,50,51,56,57,53,101,45,49,55,10,32,32,49,46,52,55,55,48,57,101,45,49,
      55,32,49,46,55,53,49,53,56,101,45,49,55,32,50,46,48,51,55,52,54,101,45,49,55,
      32,50,46,51,53,57,56,52,101,45,49,55,32,50,46,55,50,50,49,56,101,45,49,55,32,
      51,46,48,57,48,50,50,101,45,49,55,32,51,46,52,56,56,57,52,101,45,49,55,10,32,
      32,51,46,57,50,55,53,101,45,49,55,32,52,46,51,54,57,48,51,101,45,49,55,32,52,
      46,56,50,56,52,54,101,45,49,55,32,53,46,51,50,53,53,53,101,45,49,55,32,53,46,
      56,50,57,52,54,101,45,49,55,32,54,46,51,51,55,48,52,101,45,49,55,32,54,46,56,
      56,48,49,56,101,45,49,55,10,32,32,55,46,52,51,56,52,53,101,45,49,55,32,55,46,
      57,56,56,54,56,101,45,49,55,32,56,46,53,55,51,50,50,101,45,49,55,32,57,46,49,
      56,51,52,49,101,45,49,55,32,57,46,55,56,48,54,52,101,45,49,55,32,49,46,48,52,
      49,50,50,101,45,49,54,32,49,46,49,48,55,56,56,101,45,49,54,10,32,32,49,46,49,
      55,50,57,51,101,45,49,54,32,49,46,50,52,49,52,55,101,45,49,54,32,49,46,51,49,
      51,54,53,101,45,49,54,32,49,46,51,56,52,55,56,101,45,49,54,32,49,46,52,53,56,
      54,51,101,45,49,54,32,49,46,53,51,54,49,57,101,45,49,54,32,49,46,54,49,50,50,
      57,101,45,49,54,10,32,32,49,46,54,56,57,53,52,101,45,49,54,32,49,46,55,55,48,
      52,54,101,45,49,54,32,49,46,56,52,56,55,54,101,45,49,54,32,49,46,57,50,52,52,
      55,101,45,49,54,32,50,46,48,48,51,55,49,101,45,49,54,32,50,46,48,55,57,53,53,
      101,45,49,54,32,50,46,49,52,53,52,56,101,45,49,54,10,32,32,50,46,50,49,52,55,
      52,101,45,49,54,32,50,46,50,56,49,57,101,45,49,54,32,50,46,51,50,55,52,56,101,
      45,49,54,32,50,46,51,55,54,52,57,101,45,49,54,32,50,46,52,50,56,51,52,101,45,
      49,54,32,50,46,52,52,51,54,50,101,45,49,54,32,50,46,52,54,51,50,55,101,45,49,
      54,10,32,32,50,46,52,56,55,101,45,49,54,32,50,46,52,55,52,48,50,101,45,49,54,
      32,50,46,52,53,57,56,54,101,45,49,54,32,50,46,52,53,49,52,53,101,45,49,54,32,
      50,46,52,49,51,54,55,101,45,49,54,32,50,46,53,49,52,50,54,101,45,49,54,32,50,
      46,52,57,48,57,101,45,49,54,10,32,32,50,46,52,53,48,57,53,101,45,49,54,32,50,
      46,51,57,57,50,50,101,45,49,54,32,50,46,51,53,56,57,56,101,45,49,54,32,50,46,
      51,49,52,53,52,101,45,49,54,32,50,46,50,53,54,48,52,101,45,49,54,32,50,46,50,
      49,48,52,54,101,45,49,54,32,50,46,49,55,48,51,57,101,45,49,54,10,32,32,50,46,
      49,49,55,49,50,101,45,49,54,32,50,46,48,55,54,56,56,101,45,49,54,32,50,46,48,
      52,55,55,51,101,45,49,54,32,50,46,48,48,57,101,45,49,54,32,49,46,57,56,50,51,
      50,101,45,49,54,32,49,46,57,54,54,51,54,101,45,49,54,32,49,46,57,53,48,51,51,
      101,45,49,54,10,32,32,49,46,57,52,50,56,55,101,45,49,54,32,49,46,57,52,52,57,
      49,101,45,49,54,32,49,46,57,53,51,48,51,101,45,49,54,32,49,46,57,54,56,53,50,
      101,45,49,54,32,49,46,57,57,50,50,49,101,45,49,54,32,50,46,48,50,53,50,101,
      45,49,54,32,50,46,48,54,54,56,56,101,45,49,54,10,32,32,50,46,49,49,53,54,55,
      101,45,49,54,32,50,46,49,55,52,53,49,101,45,49,54,32,50,46,50,52,53,53,52,101,
      45,49,54,32,50,46,51,50,51,48,50,101,45,49,54,32,50,46,52,48,57,56,50,101,45,
      49,54,32,50,46,53,49,52,57,101,45,49,54,32,50,46,54,50,54,52,54,101,45,49,54,
      10,32,32,50,46,55,52,53,50,53,101,45,49,54,32,50,46,56,57,49,51,101,45,49,54,
      32,51,46,48,52,52,57,56,101,45,49,54,32,51,46,50,48,54,54,49,101,45,49,54,32,
      51,46,52,48,48,48,50,101,45,49,54,32,51,46,54,48,55,55,52,101,45,49,54,32,51,
      46,56,50,54,52,49,101,45,49,54,10,32,32,52,46,48,56,48,52,52,101,45,49,54,32,
      52,46,51,54,48,56,50,101,45,49,54,32,52,46,54,53,56,48,49,101,45,49,54,32,52,
      46,57,57,52,53,49,101,45,49,54,32,53,46,51,55,52,57,54,101,45,49,54,32,53,46,
      55,56,51,50,52,101,45,49,54,32,54,46,50,51,54,52,55,101,45,49,54,10,32,32,54,
      46,55,53,54,49,49,101,45,49,54,32,55,46,51,50,49,54,50,101,45,49,54,32,55,46,
      57,52,51,53,54,101,45,49,54,32,56,46,54,53,51,51,53,101,45,49,54,32,57,46,52,
      51,52,56,101,45,49,54,32,49,46,48,50,57,55,49,101,45,49,53,32,49,46,49,50,53,
      53,51,101,45,49,53,10,32,32,49,46,50,51,49,55,55,101,45,49,53,32,49,46,51,52,
      57,55,53,101,45,49,53,32,49,46,52,55,54,53,55,101,45,49,53,32,49,46,54,49,54,
      51,52,101,45,49,53,32,49,46,55,55,49,52,54,101,45,49,53,32,49,46,57,51,53,50,
      55,101,45,49,53,32,50,46,49,49,49,56,57,101,45,49,53,10,32,32,50,46,51,48,54,
      53,53,101,45,49,53,32,50,46,53,49,49,53,51,101,45,49,53,32,50,46,55,50,54,50,
      56,101,45,49,53,32,50,46,57,54,48,56,49,101,45,49,53,32,51,46,50,49,50,56,49,
      101,45,49,53,32,51,46,52,54,54,55,55,101,45,49,53,32,51,46,55,52,49,52,51,101,
      45,49,53,10,32,32,52,46,48,51,52,53,52,101,45,49,53,32,52,46,51,51,53,48,51,
      101,45,49,53,32,52,46,54,54,50,53,50,101,45,49,53,32,53,46,48,48,53,57,101,
      45,49,53,32,53,46,51,53,53,54,55,101,45,49,53,32,53,46,55,50,57,53,55,101,45,
      49,53,32,54,46,49,50,57,48,52,101,45,49,53,10,32,32,54,46,54,57,48,57,49,101,
      45,49,53,32,56,46,49,57,51,49,53,101,45,49,53,32,49,46,49,48,50,50,101,45,49,
      52,32,49,46,55,56,53,52,53,101,45,49,52,32,50,46,55,55,57,56,57,101,45,49,52,
      32,51,46,57,57,54,56,53,101,45,49,52,32,53,46,50,49,53,48,55,101,45,49,52,10,
      32,32,54,46,50,55,50,55,50,101,45,49,52,32,55,46,49,56,51,57,51,101,45,49,52,
      32,56,46,48,54,56,52,52,101,45,49,52,32,57,46,49,54,54,49,49,101,45,49,52,32,
      49,46,48,54,57,56,53,101,45,49,51,32,49,46,51,49,55,52,53,101,45,49,51,32,49,
      46,53,50,54,50,55,101,45,49,51,10,32,32,49,46,56,52,55,101,45,49,51,32,50,46,
      50,54,51,52,101,45,49,51,32,51,46,48,48,56,51,54,101,45,49,51,32,52,46,48,50,
      53,53,52,101,45,49,51,32,53,46,51,57,49,52,50,101,45,49,51,32,55,46,55,48,54,
      55,51,101,45,49,51,32,49,46,48,56,48,49,51,101,45,49,50,10,32,32,49,46,52,53,
      55,55,51,101,45,49,50,32,49,46,57,52,52,56,101,45,49,50,32,50,46,51,56,56,101,
      45,49,50,32,50,46,56,54,57,56,57,101,45,49,50,32,51,46,51,48,53,55,52,101,45,
      49,50,32,51,46,55,57,54,55,54,101,45,49,50,32,52,46,53,51,53,48,57,101,45,49,
      50,10,32,32,53,46,55,49,54,49,56,101,45,49,50,32,55,46,53,48,51,53,54,101,45,
      49,50,32,49,46,48,48,49,51,50,101,45,49,49,32,49,46,51,52,52,53,49,101,45,49,
      49,32,49,46,56,50,50,52,49,101,45,49,49,32,50,46,51,53,51,50,56,101,45,49,49,
      32,50,46,57,53,53,57,56,101,45,49,49,10,32,32,51,46,54,56,48,53,57,101,45,49,
      49,32,52,46,53,55,54,56,56,101,45,49,49,32,53,46,52,54,48,48,50,101,45,49,49,
      32,54,46,57,52,54,57,101,45,49,49,32,57,46,53,49,53,56,51,101,45,49,49,32,49,
      46,51,50,52,51,56,101,45,49,48,32,49,46,56,51,51,52,54,101,45,49,48,10,32,32,
      50,46,53,51,57,49,50,101,45,49,48,32,51,46,51,54,54,57,51,101,45,49,48,32,52,
      46,51,51,50,57,51,101,45,49,48,32,53,46,52,54,50,52,52,101,45,49,48,32,54,46,
      55,54,50,53,57,101,45,49,48,32,55,46,57,51,51,57,54,101,45,49,48,32,57,46,51,
      51,57,56,55,101,45,49,48,10,32,32,49,46,48,55,55,57,53,101,45,48,57,32,49,46,
      50,55,48,48,53,101,45,48,57,32,49,46,54,48,52,53,49,101,45,48,57,32,50,46,48,
      49,48,49,56,101,45,48,57,32,50,46,52,53,56,51,49,101,45,48,57,32,50,46,56,55,
      49,54,55,101,45,48,57,32,51,46,53,48,54,57,54,101,45,48,57,10,32,32,52,46,50,
      50,57,55,50,101,45,48,57,32,53,46,48,53,56,55,54,101,45,48,57,32,53,46,56,54,
      51,56,54,101,45,48,57,32,54,46,54,52,57,48,51,101,45,48,57,32,55,46,51,56,49,
      48,52,101,45,48,57,32,56,46,49,56,56,51,49,101,45,48,57,32,57,46,48,49,53,54,
      51,101,45,48,57,10,32,32,57,46,55,48,48,52,57,101,45,48,57,32,49,46,49,49,48,
      52,57,101,45,48,56,32,49,46,50,51,56,50,49,101,45,48,56,32,49,46,51,51,51,53,
      53,101,45,48,56,32,49,46,52,49,54,51,56,101,45,48,56,32,49,46,52,56,55,48,56,
      101,45,48,56,32,49,46,53,52,49,55,50,101,45,48,56,10,32,32,49,46,53,55,53,56,
      54,101,45,48,56,32,49,46,53,57,49,51,56,101,45,48,56,32,49,46,53,57,48,57,54,
      101,45,48,56,32,49,46,53,55,52,50,53,101,45,48,56,32,49,46,53,53,50,49,52,101,
      45,48,56,32,49,46,53,50,50,54,101,45,48,56,32,49,46,52,53,57,57,49,101,45,48,
      56,10,32,32,49,46,52,49,52,49,57,101,45,48,56,32,49,46,51,51,51,50,55,101,45,
      48,56,32,49,46,50,51,56,56,49,101,45,48,56,32,49,46,49,55,57,50,51,101,45,48,
      56,32,49,46,49,49,56,49,53,101,45,48,56,32,49,46,48,50,48,51,49,101,45,48,56,
      32,57,46,49,50,57,56,51,101,45,48,57,10,32,32,56,46,53,52,53,55,55,101,45,48,
      57,32,55,46,54,51,49,48,51,101,45,48,57,32,55,46,48,57,51,53,52,101,45,48,57,
      32,54,46,50,54,55,52,53,101,45,48,57,32,53,46,53,48,49,53,54,101,45,48,57,32,
      52,46,55,50,53,48,55,101,45,48,57,32,52,46,52,48,57,54,57,101,45,48,57,10,32,
      32,51,46,56,52,55,52,50,101,45,48,57,32,51,46,50,57,50,50,52,101,45,48,57,32,
      50,46,56,56,48,50,56,101,45,48,57,32,50,46,53,49,49,54,54,101,45,48,57,32,50,
      46,50,48,51,52,49,101,45,48,57,32,49,46,57,51,50,48,50,101,45,48,57,32,49,46,
      54,54,53,52,54,101,45,48,57,10,32,32,49,46,52,53,54,51,56,101,45,48,57,32,49,
      46,50,53,51,49,56,101,45,48,57,32,49,46,49,50,48,51,50,101,45,48,57,32,57,46,
      51,48,55,48,53,101,45,49,48,32,56,46,50,57,52,49,56,101,45,49,48,32,55,46,49,
      55,54,53,56,101,45,49,48,32,53,46,48,57,49,56,54,101,45,49,48,10,32,32,51,46,
      49,51,52,57,101,45,49,48,32,49,46,57,50,56,52,55,101,45,49,48,32,49,46,48,51,
      52,56,50,101,45,49,48,32,53,46,52,55,51,48,50,101,45,49,49,32,50,46,53,48,55,
      52,56,101,45,49,49,32,49,46,50,57,51,52,54,101,45,49,49,32,52,46,52,48,52,52,
      101,45,49,50,10,32,32,49,46,53,52,57,50,55,101,45,49,50,32,55,46,51,54,51,53,
      57,101,45,49,51,32,51,46,49,56,52,55,54,101,45,49,51,32,49,46,48,51,49,50,57,
      101,45,49,51,32,51,46,56,49,52,50,51,101,45,49,52,32,49,46,52,48,49,54,56,101,
      45,49,52,32,52,46,52,51,52,53,53,101,45,49,53,10,32,32,49,46,51,57,52,50,56,
      101,45,49,53,32,53,46,48,52,51,55,50,101,45,49,54,32,49,46,56,49,55,57,54,101,
      45,49,54,32,54,46,53,51,49,56,51,101,45,49,55,32,49,46,57,55,50,57,57,101,45,
      49,55,32,53,46,50,52,51,57,49,101,45,49,56,32,49,46,49,57,56,101,45,49,56,10,
      32,32,51,46,49,54,50,49,53,101,45,49,57,32,55,46,49,52,49,50,55,101,45,50,48,
      32,49,46,56,55,52,55,54,101,45,50,48,32,52,46,57,49,49,55,49,101,45,50,49,32,
      49,46,49,48,54,49,56,101,45,50,49,32,50,46,50,51,51,53,51,101,45,50,50,32,54,
      46,52,56,49,56,56,101,45,50,51,10,32,32,49,46,53,52,54,53,57,101,45,50,51,32,
      52,46,51,56,48,54,54,101,45,50,52,32,49,46,49,50,57,54,57,101,45,50,52,32,50,
      46,56,57,48,49,57,101,45,50,53,32,51,46,54,53,50,56,54,101,45,50,54,32,53,46,
      55,56,49,50,101,45,50,55,32,48,114,49,49,51,32,53,46,49,55,57,53,55,101,45,
      50,56,10,32,32,49,46,49,54,52,54,53,101,45,50,55,32,50,46,52,55,49,55,55,101,
      45,50,55,32,52,46,57,56,57,52,57,101,45,50,55,32,57,46,54,52,50,55,57,101,45,
      50,55,32,49,46,55,57,53,49,52,101,45,50,54,32,51,46,50,51,48,51,50,101,45,50,
      54,32,53,46,54,52,49,48,51,101,45,50,54,10,32,32,57,46,53,56,56,56,55,101,45,
      50,54,32,49,46,53,57,48,56,51,101,45,50,53,32,50,46,53,56,49,55,54,101,45,50,
      53,32,52,46,49,48,52,52,51,101,45,50,53,32,54,46,51,57,54,50,51,101,45,50,53,
      32,57,46,56,48,49,52,55,101,45,50,53,32,49,46,52,55,50,56,51,101,45,50,52,10,
      32,32,50,46,49,55,55,49,52,101,45,50,52,32,51,46,49,55,53,52,53,101,45,50,52,
      32,52,46,53,52,57,53,56,101,45,50,52,32,54,46,52,48,56,53,55,101,45,50,52,32,
      56,46,57,51,48,52,52,101,45,50,52,32,49,46,51,48,54,57,57,101,45,50,49,32,49,
      46,48,52,53,50,55,101,45,49,56,10,32,32,49,46,50,57,52,48,49,101,45,49,56,32,
      49,46,53,56,55,53,56,101,45,49,56,32,49,46,57,49,52,50,101,45,49,56,32,50,46,
      50,57,52,57,56,101,45,49,56,32,50,46,55,51,54,54,52,101,45,49,56,32,51,46,49,
      57,56,54,50,101,45,49,56,32,51,46,55,50,50,51,54,101,45,49,56,10,32,32,52,46,
      51,49,52,49,51,101,45,49,56,32,52,46,57,49,55,48,56,101,45,49,56,32,53,46,53,
      55,50,57,51,101,45,49,56,32,54,46,50,57,55,51,52,101,45,49,56,32,55,46,48,50,
      56,50,56,101,45,49,56,32,55,46,55,57,48,55,56,101,45,49,56,32,56,46,54,49,56,
      53,54,101,45,49,56,10,32,32,57,46,52,53,57,49,101,45,49,56,32,49,46,48,51,48,
      54,56,101,45,49,55,32,49,46,49,50,49,54,51,101,45,49,55,32,49,46,50,49,53,50,
      54,101,45,49,55,32,49,46,51,48,55,53,54,101,45,49,55,32,49,46,52,48,53,56,51,
      101,45,49,55,32,49,46,53,48,56,54,101,45,49,55,10,32,32,49,46,54,48,57,49,53,
      101,45,49,55,32,49,46,55,49,53,54,55,101,45,49,55,32,49,46,56,50,56,51,54,101,
      45,49,55,32,49,46,57,51,56,50,50,101,45,49,55,32,50,46,48,53,52,50,49,101,45,
      49,55,32,50,46,49,55,54,53,55,101,45,49,55,32,50,46,50,57,55,49,49,101,45,49,
      55,10,32,32,50,46,52,50,50,52,49,101,45,49,55,32,50,46,53,53,52,50,49,101,45,
      49,55,32,50,46,54,56,51,52,54,101,45,49,55,32,50,46,56,49,52,54,56,101,45,49,
      55,32,50,46,57,53,50,51,56,101,45,49,55,32,51,46,48,56,53,52,49,101,45,49,55,
      32,51,46,50,49,51,56,101,45,49,55,10,32,32,51,46,51,52,56,52,101,45,49,55,32,
      51,46,52,55,54,56,57,101,45,49,55,32,51,46,53,56,55,55,51,101,45,49,55,32,51,
      46,55,48,52,52,101,45,49,55,32,51,46,56,49,55,50,56,101,45,49,55,32,51,46,56,
      57,49,55,54,101,45,49,55,32,51,46,57,55,50,50,54,101,45,49,55,10,32,32,52,46,
      48,53,55,55,50,101,45,49,55,32,52,46,48,55,56,51,54,101,45,49,55,32,52,46,49,
      48,54,55,52,101,45,49,55,32,52,46,49,52,50,51,53,101,45,49,55,32,52,46,49,49,
      51,50,52,101,45,49,55,32,52,46,48,56,50,50,55,101,45,49,55,32,52,46,48,54,49,
      53,55,101,45,49,55,10,32,32,51,46,57,56,57,54,53,101,45,49,55,32,52,46,49,50,
      53,50,101,45,49,55,32,52,46,48,55,54,54,51,101,45,49,55,32,51,46,57,57,57,52,
      57,101,45,49,55,32,51,46,57,48,50,52,49,101,45,49,55,32,51,46,56,50,53,55,49,
      101,45,49,55,32,51,46,55,52,50,50,52,101,45,49,55,10,32,32,51,46,54,51,53,50,
      53,101,45,49,55,32,51,46,53,53,48,57,56,101,45,49,55,32,51,46,52,55,54,54,55,
      101,45,49,55,32,51,46,51,56,48,53,55,101,45,49,55,32,51,46,51,48,55,49,57,101,
      45,49,55,32,51,46,50,53,51,48,56,101,45,49,55,32,51,46,49,56,51,53,101,45,49,
      55,10,32,32,51,46,49,51,52,55,50,101,45,49,55,32,51,46,49,48,52,51,55,101,45,
      49,55,32,51,46,48,55,52,52,56,101,45,49,55,32,51,46,48,53,57,52,101,45,49,55,
      32,51,46,48,54,48,53,53,101,45,49,55,32,51,46,48,55,50,50,56,101,45,49,55,32,
      51,46,48,57,54,54,57,101,45,49,55,10,32,32,51,46,49,51,53,49,50,101,45,49,55,
      32,51,46,49,56,57,51,53,101,45,49,55,32,51,46,50,53,56,51,56,101,45,49,55,32,
      51,46,51,51,57,54,52,101,45,49,55,32,51,46,52,51,55,57,51,101,45,49,55,32,51,
      46,53,53,54,55,52,101,45,49,55,32,51,46,54,56,54,56,50,101,45,49,55,10,32,32,
      51,46,56,51,50,56,55,101,45,49,55,32,52,46,48,48,57,51,55,101,45,49,55,32,52,
      46,49,57,55,52,50,101,45,49,55,32,52,46,51,57,56,50,57,101,45,49,55,32,52,46,
      54,52,52,51,56,101,45,49,55,32,52,46,57,48,52,49,52,101,45,49,55,32,53,46,49,
      55,56,50,54,101,45,49,55,10,32,32,53,46,53,48,53,51,53,101,45,49,55,32,53,46,
      56,53,55,52,51,101,45,49,55,32,54,46,50,50,57,50,52,101,45,49,55,32,54,46,54,
      54,48,53,56,101,45,49,55,32,55,46,49,51,55,51,101,45,49,55,32,55,46,54,52,52,
      49,101,45,49,55,32,56,46,50,49,56,49,54,101,45,49,55,10,32,32,56,46,56,54,55,
      55,57,101,45,49,55,32,57,46,53,54,55,48,52,101,45,49,55,32,49,46,48,51,52,52,
      57,101,45,49,54,32,49,46,49,50,51,55,57,101,45,49,54,32,49,46,50,50,49,51,49,
      101,45,49,54,32,49,46,51,50,56,57,50,101,45,49,54,32,49,46,52,53,50,48,55,101,
      45,49,54,10,32,32,49,46,53,56,56,50,49,101,45,49,54,32,49,46,55,51,57,48,55,
      101,45,49,54,32,49,46,57,48,55,52,56,101,45,49,54,32,50,46,48,57,53,48,56,101,
      45,49,54,32,50,46,51,48,52,53,101,45,49,54,32,50,46,53,51,48,56,54,101,45,49,
      54,32,50,46,55,56,49,54,55,101,45,49,54,10,32,32,51,46,48,54,49,54,49,101,45,
      49,54,32,51,46,51,53,56,57,57,101,45,49,54,32,51,46,54,56,49,52,56,101,45,49,
      54,32,52,46,48,51,56,57,55,101,45,49,54,32,52,46,52,49,55,53,56,101,45,49,54,
      32,52,46,56,49,54,52,56,101,45,49,54,32,53,46,50,53,52,53,55,101,45,49,54,10,
      32,32,53,46,55,50,56,54,56,101,45,49,54,32,54,46,50,48,56,50,50,101,45,49,54,
      32,54,46,55,50,57,54,50,101,45,49,54,32,55,46,50,56,57,101,45,49,54,32,55,46,
      56,54,53,55,49,101,45,49,54,32,56,46,52,57,56,49,101,45,49,54,32,57,46,49,54,
      51,52,57,101,45,49,54,10,32,32,57,46,56,52,52,50,55,101,45,49,54,32,49,46,48,
      53,55,53,54,101,45,49,53,32,49,46,49,51,54,48,56,101,45,49,53,32,49,46,50,52,
      55,49,51,101,45,49,53,32,49,46,53,52,55,51,55,101,45,49,53,32,50,46,49,50,52,
      48,56,101,45,49,53,32,51,46,53,54,52,49,49,101,45,49,53,10,32,32,53,46,55,52,
      51,56,52,101,45,49,53,32,56,46,52,57,55,50,57,101,45,49,53,32,49,46,49,51,48,
      53,101,45,49,52,32,49,46,51,55,53,50,55,101,45,49,52,32,49,46,53,56,53,52,56,
      101,45,49,52,32,49,46,55,56,57,56,50,101,45,49,52,32,50,46,52,51,52,53,51,101,
      45,49,52,10,32,32,52,46,53,53,49,54,57,101,45,49,52,32,49,46,52,50,56,57,50,
      101,45,49,51,32,49,46,54,51,57,57,49,101,45,49,51,32,49,46,57,53,55,50,51,101,
      45,49,51,32,50,46,51,53,57,50,50,101,45,49,51,32,51,46,48,53,52,49,50,101,45,
      49,51,32,51,46,57,54,50,51,101,45,49,51,10,32,32,53,46,49,50,51,57,50,101,45,
      49,51,32,54,46,57,55,57,50,52,101,45,49,51,32,57,46,50,57,56,51,56,101,45,49,
      51,32,49,46,49,57,55,48,55,101,45,49,50,32,49,46,53,50,54,55,101,45,49,50,32,
      49,46,56,50,49,55,56,101,45,49,50,32,50,46,49,52,53,52,51,101,45,49,50,10,32,
      32,50,46,52,51,57,55,53,101,45,49,50,32,50,46,55,54,51,49,50,101,45,49,50,32,
      51,46,50,50,55,53,55,101,45,49,50,32,51,46,57,51,52,53,56,101,45,49,50,32,52,
      46,57,53,55,52,51,101,45,49,50,32,54,46,51,51,54,52,51,101,45,49,50,32,56,46,
      49,55,52,55,57,101,45,49,50,10,32,32,49,46,48,55,50,50,54,101,45,49,49,32,49,
      46,51,52,52,52,56,101,45,49,49,32,49,46,54,53,49,55,51,101,45,49,49,32,50,46,
      48,50,51,52,54,101,45,49,49,32,50,46,52,55,56,52,55,101,45,49,49,32,50,46,57,
      50,51,53,53,101,45,49,49,32,51,46,54,54,54,56,50,101,45,49,49,10,32,32,52,46,
      57,53,53,50,52,101,45,49,49,32,54,46,56,52,56,48,49,101,45,49,49,32,57,46,52,
      56,57,55,53,101,45,49,49,32,49,46,51,50,53,54,49,101,45,49,48,32,49,46,55,56,
      48,48,50,101,45,49,48,32,50,46,51,50,51,49,54,101,45,49,48,32,50,46,57,54,54,
      54,56,101,45,49,48,10,32,32,51,46,55,48,57,54,57,101,45,49,48,32,52,46,51,56,
      48,50,52,101,45,49,48,32,53,46,49,57,53,48,52,101,45,49,48,32,54,46,48,52,48,
      48,49,101,45,49,48,32,55,46,49,55,57,53,50,101,45,49,48,32,57,46,49,56,49,49,
      51,101,45,49,48,32,49,46,49,54,50,51,55,101,45,48,57,10,32,32,49,46,52,51,50,
      54,54,101,45,48,57,32,49,46,54,56,49,57,52,101,45,48,57,32,50,46,48,54,53,55,
      49,101,45,48,57,32,50,46,53,48,52,49,55,101,45,48,57,32,51,46,48,49,48,51,56,
      101,45,48,57,32,51,46,53,48,53,53,50,101,45,48,57,32,51,46,57,57,48,57,53,101,
      45,48,57,10,32,32,52,46,52,52,52,56,52,101,45,48,57,32,52,46,57,52,56,53,52,
      101,45,48,57,32,53,46,52,54,57,57,49,101,45,48,57,32,53,46,57,48,55,53,56,101,
      45,48,57,32,54,46,56,50,54,53,52,101,45,48,57,32,55,46,54,57,49,55,54,101,45,
      48,57,32,56,46,51,54,49,51,51,101,45,48,57,10,32,32,56,46,57,53,49,53,54,101,
      45,48,57,32,57,46,52,51,50,50,54,101,45,48,57,32,57,46,56,53,49,50,57,101,45,
      48,57,32,49,46,48,49,51,57,54,101,45,48,56,32,49,46,48,51,48,54,101,45,48,56,
      32,49,46,48,51,54,53,51,101,45,48,56,32,49,46,48,51,50,51,50,101,45,48,56,10,
      32,32,49,46,48,50,50,53,52,101,45,48,56,32,49,46,48,48,55,54,51,101,45,48,56,
      32,57,46,55,51,50,48,50,101,45,48,57,32,57,46,52,54,56,52,101,45,48,57,32,56,
      46,57,56,55,48,54,101,45,48,57,32,56,46,52,48,57,48,56,101,45,48,57,32,56,46,
      48,51,55,57,55,101,45,48,57,10,32,32,55,46,54,53,51,48,52,101,45,48,57,32,55,
      46,48,50,56,52,55,101,45,48,57,32,54,46,51,51,51,50,51,101,45,48,57,32,53,46,
      57,53,48,56,101,45,48,57,32,53,46,51,52,54,51,51,101,45,48,57,32,52,46,57,56,
      55,57,55,101,45,48,57,32,52,46,52,52,50,50,51,101,45,48,57,10,32,32,51,46,57,
      49,55,48,49,101,45,48,57,32,51,46,51,56,50,48,52,101,45,48,57,32,51,46,49,54,
      52,52,52,101,45,48,57,32,50,46,55,55,52,51,50,101,45,48,57,32,50,46,51,56,54,
      50,57,101,45,48,57,32,50,46,48,57,54,52,50,101,45,48,57,32,49,46,56,51,53,53,
      50,101,45,48,57,10,32,32,49,46,54,49,54,49,56,101,45,48,57,32,49,46,52,50,50,
      49,49,101,45,48,57,32,49,46,50,51,48,53,53,101,45,48,57,32,49,46,48,55,57,53,
      57,101,45,48,57,32,57,46,51,50,50,49,50,101,45,49,48,32,56,46,51,53,52,54,55,
      101,45,49,48,32,54,46,57,54,56,50,56,101,45,49,48,10,32,32,54,46,50,50,52,54,
      52,101,45,49,48,32,53,46,52,48,49,51,55,101,45,49,48,32,51,46,56,53,54,56,56,
      101,45,49,48,32,50,46,51,57,52,48,51,101,45,49,48,32,49,46,52,56,51,53,56,101,
      45,49,48,32,56,46,48,50,56,49,101,45,49,49,32,52,46,50,55,56,53,50,101,45,49,
      49,10,32,32,49,46,57,55,54,53,50,101,45,49,49,32,49,46,48,50,53,57,56,101,45,
      49,49,32,51,46,53,50,53,49,49,101,45,49,50,32,49,46,50,52,57,51,54,101,45,49,
      50,32,53,46,57,54,54,56,49,101,45,49,51,32,50,46,53,57,51,52,54,101,45,49,51,
      32,56,46,52,52,56,53,51,101,45,49,52,10,32,32,51,46,49,51,57,53,50,101,45,49,
      52,32,49,46,49,53,56,55,52,101,45,49,52,32,51,46,54,56,50,53,53,101,45,49,53,
      32,49,46,49,54,50,54,50,101,45,49,53,32,52,46,50,49,57,54,49,101,45,49,54,32,
      49,46,53,50,53,53,57,101,45,49,54,32,53,46,52,57,55,48,49,101,45,49,55,10,32,
      32,49,46,54,54,54,55,53,101,45,49,55,32,52,46,52,52,51,57,56,101,45,49,56,32,
      49,46,48,49,56,53,51,101,45,49,56,32,50,46,54,57,53,54,101,45,49,57,32,54,46,
      49,48,52,51,50,101,45,50,48,32,49,46,54,48,54,50,49,101,45,50,48,32,52,46,50,
      49,55,49,49,101,45,50,49,10,32,32,57,46,53,49,56,52,52,101,45,50,50,32,49,46,
      57,50,54,49,50,101,45,50,50,32,53,46,53,57,56,54,52,101,45,50,51,32,49,46,51,
      51,56,48,55,101,45,50,51,32,51,46,55,57,57,56,53,101,45,50,52,32,57,46,56,50,
      57,52,101,45,50,53,32,50,46,53,52,51,50,56,101,45,50,53,10,32,32,51,46,53,55,
      53,54,52,101,45,50,54,32,52,46,57,54,53,53,49,101,45,50,55,32,48,114,49,49,
      53,32,54,46,48,50,57,51,101,45,50,56,32,49,46,50,50,57,53,49,101,45,50,55,32,
      50,46,52,48,48,57,56,101,45,50,55,32,52,46,53,49,55,49,101,45,50,55,32,56,46,
      50,49,53,49,55,101,45,50,55,10,32,32,49,46,52,53,101,45,50,54,32,50,46,52,57,
      49,50,50,101,45,50,54,32,52,46,49,55,55,50,57,101,45,50,54,32,54,46,56,53,49,
      52,56,101,45,50,54,32,49,46,48,57,57,50,53,101,45,50,53,32,49,46,55,51,48,55,
      101,45,50,53,32,50,46,54,56,50,56,53,101,45,50,53,10,32,32,52,46,48,55,49,53,
      57,101,45,50,53,32,54,46,48,55,55,49,57,101,45,50,53,32,56,46,57,52,56,52,57,
      101,45,50,53,32,49,46,50,57,51,56,54,101,45,50,52,32,49,46,56,51,56,54,49,101,
      45,50,52,32,50,46,53,56,51,57,51,101,45,50,52,32,52,46,51,48,53,48,56,101,45,
      50,50,10,32,32,52,46,48,56,51,50,101,45,49,57,32,53,46,48,54,50,52,50,101,45,
      49,57,32,54,46,50,50,48,49,53,101,45,49,57,32,55,46,53,49,48,50,52,101,45,49,
      57,32,57,46,48,49,54,55,53,101,45,49,57,32,49,46,48,55,54,55,101,45,49,56,32,
      49,46,50,54,101,45,49,56,32,49,46,52,54,56,49,101,45,49,56,10,32,32,49,46,55,
      48,51,53,55,101,45,49,56,32,49,46,57,52,51,55,49,101,45,49,56,32,50,46,50,48,
      53,50,49,101,45,49,56,32,50,46,52,57,52,51,57,101,45,49,56,32,50,46,55,56,54,
      51,54,101,45,49,56,32,51,46,48,57,49,49,55,101,45,49,56,32,51,46,52,50,50,51,
      57,101,45,49,56,10,32,32,51,46,55,53,56,56,57,101,45,49,56,32,52,46,48,57,56,
      51,57,101,45,49,56,32,52,46,52,54,50,57,50,101,45,49,56,32,52,46,56,51,56,51,
      53,101,45,49,56,32,53,46,50,48,56,52,57,101,45,49,56,32,53,46,54,48,50,56,54,
      101,45,49,56,32,54,46,48,49,53,52,52,101,45,49,56,10,32,32,54,46,52,49,57,49,
      49,101,45,49,56,32,54,46,56,52,55,101,45,49,56,32,55,46,50,57,57,57,51,101,
      45,49,56,32,55,46,55,52,49,52,49,101,45,49,56,32,56,46,50,48,55,55,56,101,45,
      49,56,32,56,46,55,101,45,49,56,32,57,46,49,56,52,56,55,101,45,49,56,32,57,46,
      54,56,57,48,54,101,45,49,56,10,32,32,49,46,48,50,49,57,55,101,45,49,55,32,49,
      46,48,55,51,57,57,101,45,49,55,32,49,46,49,50,54,56,50,101,45,49,55,32,49,46,
      49,56,50,50,55,101,45,49,55,32,49,46,50,51,53,56,51,101,45,49,55,32,49,46,50,
      56,55,52,57,101,45,49,55,32,49,46,51,52,49,54,55,101,45,49,55,10,32,32,49,46,
      51,57,51,51,54,101,45,49,55,32,49,46,52,51,55,56,53,101,45,49,55,32,49,46,52,
      56,52,55,49,101,45,49,55,32,49,46,53,51,48,48,50,101,45,49,55,32,49,46,53,53,
      57,54,54,101,45,49,55,32,49,46,53,57,49,55,54,101,45,49,55,32,49,46,54,50,53,
      56,54,101,45,49,55,10,32,32,49,46,54,51,51,53,55,101,45,49,55,32,49,46,54,52,
      52,52,51,101,45,49,55,32,49,46,54,53,56,50,51,101,45,49,55,32,49,46,54,52,53,
      55,50,101,45,49,55,32,49,46,54,51,50,52,56,101,45,49,55,32,49,46,54,50,51,52,
      51,101,45,49,55,32,49,46,53,57,51,54,50,101,45,49,55,10,32,32,49,46,54,52,52,
      54,51,101,45,49,55,32,49,46,54,50,52,49,49,101,45,49,55,32,49,46,53,57,50,48,
      56,101,45,49,55,32,49,46,53,53,50,48,51,101,45,49,55,32,49,46,53,50,48,50,56,
      101,45,49,55,32,49,46,52,56,53,56,54,101,45,49,55,32,49,46,52,52,50,48,50,101,
      45,49,55,10,32,32,49,46,52,48,55,52,50,101,45,49,55,32,49,46,51,55,54,56,56,
      101,45,49,55,32,49,46,51,51,55,54,55,101,45,49,55,32,49,46,51,48,55,54,54,101,
      45,49,55,32,49,46,50,56,53,52,52,101,45,49,55,32,49,46,50,53,55,49,101,45,49,
      55,32,49,46,50,51,55,49,53,101,45,49,55,10,32,32,49,46,50,50,52,54,52,101,45,
      49,55,32,49,46,50,49,50,51,56,101,45,49,55,32,49,46,50,48,54,49,101,45,49,55,
      32,49,46,50,48,54,51,54,101,45,49,55,32,49,46,50,49,48,56,57,101,45,49,55,32,
      49,46,50,50,48,53,53,101,45,49,55,32,49,46,50,51,53,56,53,101,45,49,55,10,32,
      32,49,46,50,53,55,53,101,45,49,55,32,49,46,50,56,53,49,49,101,45,49,55,32,49,
      46,51,49,55,54,54,101,45,49,55,32,49,46,51,53,55,48,53,101,45,49,55,32,49,46,
      52,48,52,54,56,101,45,49,55,32,49,46,52,53,54,56,56,101,45,49,55,32,49,46,53,
      49,53,53,50,101,45,49,55,10,32,32,49,46,53,56,54,51,53,101,45,49,55,32,49,46,
      54,54,49,56,57,101,45,49,55,32,49,46,55,52,50,54,54,101,45,49,55,32,49,46,56,
      52,49,53,101,45,49,55,32,49,46,57,52,53,57,52,101,45,49,55,32,50,46,48,53,54,
      50,54,101,45,49,55,32,50,46,49,56,55,55,57,101,45,49,55,10,32,32,50,46,51,50,
      57,52,54,101,45,49,55,32,50,46,52,55,57,50,49,101,45,49,55,32,50,46,54,53,50,
      56,55,101,45,49,55,32,50,46,56,52,52,56,55,101,45,49,55,32,51,46,48,52,57,49,
      55,101,45,49,55,32,51,46,50,56,48,54,101,45,49,55,32,51,46,53,52,50,53,54,101,
      45,49,55,10,32,32,51,46,56,50,52,55,55,101,45,49,55,32,52,46,49,51,56,56,55,
      101,45,49,55,32,52,46,52,57,57,54,51,101,45,49,55,32,52,46,56,57,51,57,53,101,
      45,49,55,32,53,46,51,50,57,52,55,101,45,49,55,32,53,46,56,50,56,51,101,45,49,
      55,32,54,46,51,56,48,51,54,101,45,49,55,10,32,32,54,46,57,57,50,57,49,101,45,
      49,55,32,55,46,54,55,55,53,54,101,45,49,55,32,56,46,52,52,49,51,54,101,45,49,
      55,32,57,46,50,57,53,50,54,101,45,49,55,32,49,46,48,50,49,57,56,101,45,49,54,
      32,49,46,49,50,52,53,57,101,45,49,54,32,49,46,50,51,57,51,51,101,45,49,54,10,
      32,32,49,46,51,54,49,52,51,101,45,49,54,32,49,46,52,57,52,48,56,101,45,49,54,
      32,49,46,54,52,49,52,49,101,45,49,54,32,49,46,55,57,55,55,51,101,45,49,54,32,
      49,46,57,54,50,55,51,101,45,49,54,32,50,46,49,52,52,50,56,101,45,49,54,32,50,
      46,51,52,49,48,52,101,45,49,54,10,32,32,50,46,53,52,48,52,54,101,45,49,54,32,
      50,46,55,53,55,54,57,101,45,49,54,32,50,46,57,57,49,49,54,101,45,49,54,32,51,
      46,50,51,50,49,53,101,45,49,54,32,51,46,52,57,54,55,54,101,45,49,54,32,51,46,
      55,55,53,56,54,101,45,49,54,32,52,46,48,54,49,56,55,101,45,49,54,10,32,32,52,
      46,51,54,57,54,50,101,45,49,54,32,52,46,55,48,48,54,51,101,45,49,54,32,53,46,
      49,54,57,54,55,101,45,49,54,32,54,46,52,52,50,55,55,101,45,49,54,32,56,46,57,
      48,53,54,53,101,45,49,54,32,49,46,53,49,51,49,101,45,49,53,32,50,46,52,54,57,
      53,53,101,45,49,53,10,32,32,51,46,54,57,50,57,54,101,45,49,53,32,52,46,57,53,
      48,48,55,101,45,49,53,32,54,46,48,52,56,50,54,101,45,49,53,32,54,46,57,57,48,
      51,54,101,45,49,53,32,55,46,57,48,54,55,54,101,45,49,53,32,49,46,50,55,55,52,
      51,101,45,49,52,32,51,46,57,48,50,56,50,101,45,49,52,10,32,32,50,46,55,51,56,
      48,57,101,45,49,51,32,51,46,48,56,50,55,53,101,45,49,51,32,51,46,53,56,49,54,
      55,101,45,49,51,32,52,46,49,56,54,52,57,101,45,49,51,32,53,46,49,55,53,57,51,
      101,45,49,51,32,54,46,51,56,53,49,52,101,45,49,51,32,55,46,56,50,54,53,49,101,
      45,49,51,10,32,32,57,46,57,53,49,51,53,101,45,49,51,32,49,46,50,51,57,51,50,
      101,45,49,50,32,49,46,53,48,50,56,53,101,45,49,50,32,49,46,56,49,51,48,57,101,
      45,49,50,32,50,46,48,56,56,52,52,101,45,49,50,32,50,46,51,57,55,57,55,101,45,
      49,50,32,50,46,54,56,50,51,56,101,45,49,50,10,32,32,50,46,57,56,53,55,101,45,
      49,50,32,51,46,51,57,55,52,51,101,45,49,50,32,51,46,57,56,53,48,56,101,45,49,
      50,32,52,46,55,57,48,55,56,101,45,49,50,32,53,46,56,51,51,55,51,101,45,49,50,
      32,55,46,49,55,54,48,56,101,45,49,50,32,56,46,57,57,50,48,53,101,45,49,50,10,
      32,32,49,46,48,57,48,55,101,45,49,49,32,49,46,51,48,54,50,55,101,45,49,49,32,
      49,46,53,54,57,54,50,101,45,49,49,32,49,46,56,56,55,51,56,101,45,49,49,32,50,
      46,49,57,52,48,56,101,45,49,49,32,50,46,54,57,56,54,52,101,45,49,49,32,51,46,
      53,54,57,50,50,101,45,49,49,10,32,32,52,46,56,53,48,55,101,45,49,49,32,54,46,
      54,53,54,52,51,101,45,49,49,32,57,46,50,54,55,54,56,101,45,49,49,32,49,46,50,
      52,54,53,50,101,45,49,48,32,49,46,54,51,52,49,57,101,45,49,48,32,50,46,48,57,
      55,52,51,101,45,49,48,32,50,46,54,51,52,50,54,101,45,49,48,10,32,32,51,46,49,
      49,57,55,53,101,45,49,48,32,51,46,55,49,52,49,55,101,45,49,48,32,52,46,51,51,
      52,56,57,101,45,49,48,32,53,46,49,55,55,56,54,101,45,49,48,32,54,46,54,54,56,
      56,55,101,45,49,48,32,56,46,52,57,56,54,52,101,45,49,48,32,49,46,48,53,50,57,
      50,101,45,48,57,10,32,32,49,46,50,52,48,52,101,45,48,57,32,49,46,53,50,57,52,
      55,101,45,48,57,32,49,46,56,54,48,53,54,101,45,48,57,32,50,46,50,52,52,49,52,
      101,45,48,57,32,50,46,54,50,48,54,53,101,45,48,57,32,50,46,57,57,48,55,101,
      45,48,57,32,51,46,51,51,55,49,54,101,45,48,57,10,32,32,51,46,55,50,50,56,51,
      101,45,48,57,32,52,46,49,50,52,49,54,101,45,48,57,32,52,46,52,54,51,53,49,101,
      45,48,57,32,53,46,49,56,52,55,52,101,45,48,57,32,53,46,56,55,53,57,55,101,45,
      48,57,32,54,46,52,50,48,53,56,101,45,48,57,32,54,46,57,48,52,51,52,101,45,48,
      57,10,32,32,55,46,50,56,57,54,57,101,45,48,57,32,55,46,54,52,53,48,52,101,45,
      48,57,32,55,46,56,57,57,52,101,45,48,57,32,56,46,48,53,56,50,50,101,45,48,57,
      32,56,46,49,51,49,57,50,101,45,48,57,32,56,46,49,50,56,50,101,45,48,57,32,56,
      46,48,55,50,101,45,48,57,10,32,32,55,46,57,55,52,51,56,101,45,48,57,32,55,46,
      55,51,51,48,56,101,45,48,57,32,55,46,53,52,49,56,49,101,45,48,57,32,55,46,49,
      56,53,49,56,101,45,48,57,32,54,46,55,52,57,49,57,101,45,48,57,32,54,46,52,54,
      54,48,56,101,45,48,57,32,54,46,49,55,48,52,101,45,48,57,10,32,32,53,46,54,56,
      54,57,50,101,45,48,57,32,53,46,49,52,52,49,51,101,45,48,57,32,52,46,56,52,51,
      55,50,101,45,48,57,32,52,46,51,54,54,52,101,45,48,57,32,52,46,48,56,49,57,55,
      101,45,48,57,32,51,46,54,53,48,51,53,101,45,48,57,32,51,46,50,50,54,48,55,101,
      45,48,57,10,32,32,50,46,55,57,52,55,57,101,45,48,57,32,50,46,54,49,56,55,51,
      101,45,48,57,32,50,46,51,48,50,49,101,45,48,57,32,49,46,57,56,53,56,54,101,
      45,48,57,32,49,46,55,52,56,55,49,101,45,48,57,32,49,46,53,51,52,53,55,101,45,
      48,57,32,49,46,51,53,52,101,45,48,57,10,32,32,49,46,49,57,51,55,55,101,45,48,
      57,32,49,46,48,51,53,49,57,101,45,48,57,32,57,46,48,57,56,54,49,101,45,49,48,
      32,55,46,56,55,50,49,53,101,45,49,48,32,55,46,48,54,53,50,51,101,45,49,48,32,
      53,46,57,48,54,49,50,101,45,49,48,32,53,46,50,56,50,57,51,101,45,49,48,10,32,
      32,52,46,53,57,49,55,101,45,49,48,32,51,46,50,57,48,54,55,101,45,49,48,32,50,
      46,48,53,50,48,57,101,45,49,48,32,49,46,50,55,55,48,49,101,45,49,48,32,54,46,
      57,52,51,53,55,101,45,49,49,32,51,46,55,49,54,55,54,101,45,49,49,32,49,46,55,
      50,53,49,57,101,45,49,49,10,32,32,56,46,57,56,55,52,50,101,45,49,50,32,51,46,
      49,48,51,56,54,101,45,49,50,32,49,46,49,48,52,56,51,101,45,49,50,32,53,46,50,
      57,49,48,56,101,45,49,51,32,50,46,51,48,54,50,56,101,45,49,51,32,55,46,53,51,
      56,56,51,101,45,49,52,32,50,46,56,48,57,49,101,45,49,52,10,32,32,49,46,48,51,
      57,51,56,101,45,49,52,32,51,46,51,49,49,56,101,45,49,53,32,49,46,48,52,56,48,
      51,101,45,49,53,32,51,46,56,49,48,57,53,101,45,49,54,32,49,46,51,56,48,50,56,
      101,45,49,54,32,52,46,57,56,49,53,56,101,45,49,55,32,49,46,53,49,51,55,53,101,
      45,49,55,10,32,32,52,46,48,52,51,52,101,45,49,56,32,57,46,50,56,52,51,51,101,
      45,49,57,32,50,46,52,54,48,57,51,101,45,49,57,32,53,46,53,56,49,55,52,101,45,
      50,48,32,49,46,52,55,48,54,52,101,45,50,48,32,51,46,56,54,53,57,49,101,45,50,
      49,32,56,46,55,51,54,56,49,101,45,50,50,10,32,32,49,46,55,55,48,49,57,101,45,
      50,50,32,53,46,49,53,48,51,55,101,45,50,51,32,49,46,50,51,50,51,50,101,45,50,
      51,32,51,46,53,48,49,54,49,101,45,50,52,32,57,46,48,54,50,54,57,101,45,50,53,
      32,50,46,51,52,53,57,54,101,45,50,53,32,51,46,50,57,53,51,57,101,45,50,54,10,
      32,32,55,46,52,57,53,52,51,101,45,50,55,32,48,114,49,49,54,32,50,46,49,56,54,
      54,56,101,45,50,56,32,52,46,51,53,48,48,53,101,45,50,56,32,56,46,51,51,53,52,
      53,101,45,50,56,32,49,46,53,52,51,53,52,101,45,50,55,32,50,46,55,55,51,48,50,
      101,45,50,55,32,52,46,56,52,55,51,53,101,45,50,55,10,32,32,56,46,50,54,54,49,
      54,101,45,50,55,32,49,46,51,55,56,50,101,45,50,54,32,50,46,50,52,54,52,57,101,
      45,50,54,32,51,46,53,57,49,54,51,101,45,50,54,32,53,46,54,52,50,56,57,101,45,
      50,54,32,56,46,54,56,53,54,56,101,45,50,54,32,49,46,51,49,52,55,52,101,45,50,
      53,10,32,32,49,46,57,54,51,55,50,101,45,50,53,32,50,46,56,55,53,101,45,50,53,
      32,52,46,49,51,52,48,51,101,45,50,53,32,53,46,56,55,54,52,54,101,45,50,53,32,
      49,46,49,48,50,53,49,101,45,50,50,32,49,46,50,49,57,51,57,101,45,49,57,32,49,
      46,53,49,54,48,54,101,45,49,57,10,32,32,49,46,56,54,55,57,54,101,45,49,57,32,
      50,46,50,54,49,49,56,101,45,49,57,32,50,46,55,50,49,55,54,101,45,49,57,32,51,
      46,50,53,56,52,54,101,45,49,57,32,51,46,56,50,49,55,55,101,45,49,57,32,52,46,
      52,54,50,57,51,101,45,49,57,32,53,46,49,57,48,51,101,45,49,57,10,32,32,53,46,
      57,51,51,50,56,101,45,49,57,32,54,46,55,52,52,48,49,101,45,49,57,32,55,46,54,
      52,50,52,49,101,45,49,57,32,56,46,53,53,48,53,53,101,45,49,57,32,57,46,52,57,
      57,56,55,101,45,49,57,32,49,46,48,53,51,51,50,101,45,49,56,32,49,46,49,53,56,
      51,57,101,45,49,56,10,32,32,49,46,50,54,52,52,55,101,45,49,56,32,49,46,51,55,
      56,53,51,101,45,49,56,32,49,46,52,57,54,48,57,101,45,49,56,32,49,46,54,49,50,
      48,50,101,45,49,56,32,49,46,55,51,53,54,55,101,45,49,56,32,49,46,56,54,53,49,
      52,101,45,49,56,32,49,46,57,57,49,56,50,101,45,49,56,10,32,32,50,46,49,50,54,
      50,50,101,45,49,56,32,50,46,50,54,56,54,52,101,45,49,56,32,50,46,52,48,55,52,
      101,45,49,56,32,50,46,53,53,52,49,52,101,45,49,56,32,50,46,55,48,57,49,53,101,
      45,49,56,32,50,46,56,54,49,56,49,101,45,49,56,32,51,46,48,50,48,54,55,101,45,
      49,56,10,32,32,51,46,49,56,55,57,57,101,45,49,56,32,51,46,51,53,50,101,45,49,
      56,32,51,46,53,49,56,53,52,101,45,49,56,32,51,46,54,57,51,53,52,101,45,49,56,
      32,51,46,56,54,50,52,49,101,45,49,56,32,52,46,48,50,53,49,55,101,45,49,56,32,
      52,46,49,57,54,101,45,49,56,10,32,32,52,46,51,53,56,55,55,101,45,49,56,32,52,
      46,52,57,56,51,52,101,45,49,56,32,52,46,54,52,53,52,57,101,45,49,56,32,52,46,
      55,56,55,53,56,101,45,49,56,32,52,46,56,55,57,50,50,101,45,49,56,32,52,46,57,
      55,56,55,101,45,49,56,32,53,46,48,56,52,54,50,101,45,49,56,10,32,32,53,46,49,
      48,53,54,101,45,49,56,32,53,46,49,51,54,55,51,101,45,49,56,32,53,46,49,55,55,
      51,54,101,45,49,56,32,53,46,49,51,51,53,53,101,45,49,56,32,53,46,48,56,55,53,
      57,101,45,49,56,32,53,46,48,53,53,49,55,101,45,49,56,32,52,46,57,53,54,53,49,
      101,45,49,56,10,32,32,53,46,48,57,55,56,54,101,45,49,56,32,53,46,48,50,55,57,
      53,101,45,49,56,32,52,46,57,50,49,53,53,101,45,49,56,32,52,46,55,57,101,45,
      49,56,32,52,46,54,56,53,49,53,101,45,49,56,32,52,46,53,55,50,49,51,101,45,49,
      56,32,52,46,52,50,57,55,52,101,45,49,56,10,32,32,52,46,51,49,54,57,50,101,45,
      49,56,32,52,46,50,49,55,50,57,101,45,49,56,32,52,46,48,57,48,55,54,101,45,49,
      56,32,51,46,57,57,51,53,53,101,45,49,56,32,51,46,57,50,49,49,52,101,45,49,56,
      32,51,46,56,50,57,57,53,101,45,49,56,32,51,46,55,54,53,51,57,101,45,49,56,10,
      32,32,51,46,55,50,52,51,54,101,45,49,56,32,51,46,54,56,52,52,56,101,45,49,56,
      32,51,46,54,54,51,53,51,101,45,49,56,32,51,46,54,54,51,50,49,101,45,49,56,32,
      51,46,54,55,54,53,49,101,45,49,56,32,51,46,55,48,54,48,49,101,45,49,56,32,51,
      46,55,53,51,51,51,101,45,49,56,10,32,32,51,46,56,50,48,54,50,101,45,49,56,32,
      51,46,57,48,54,55,49,101,45,49,56,32,52,46,48,48,56,52,51,101,45,49,56,32,52,
      46,49,51,49,54,56,101,45,49,56,32,52,46,50,56,48,55,53,101,45,49,56,32,52,46,
      52,52,52,52,51,101,45,49,56,32,52,46,54,50,56,52,57,101,45,49,56,10,32,32,52,
      46,56,53,48,54,49,101,45,49,56,32,53,46,48,56,55,57,101,45,49,56,32,53,46,51,
      52,50,48,52,101,45,49,56,32,53,46,54,53,50,52,56,101,45,49,56,32,53,46,57,56,
      49,48,53,101,45,49,56,32,54,46,51,50,56,55,49,101,45,49,56,32,54,46,55,52,50,
      54,49,101,45,49,56,10,32,32,55,46,49,56,56,57,55,101,45,49,56,32,55,46,54,54,
      49,53,51,101,45,49,56,32,56,46,50,48,57,50,101,45,49,56,32,56,46,56,49,53,48,
      57,101,45,49,56,32,57,46,52,54,48,55,55,101,45,49,56,32,49,46,48,49,57,50,51,
      101,45,49,55,32,49,46,49,48,50,48,55,101,45,49,55,10,32,32,49,46,49,57,49,52,
      53,101,45,49,55,32,49,46,50,57,49,48,50,101,45,49,55,32,49,46,52,48,53,52,54,
      101,45,49,55,32,49,46,53,51,48,55,53,101,45,49,55,32,49,46,54,54,57,51,53,101,
      45,49,55,32,49,46,56,50,56,51,101,45,49,55,32,50,46,48,48,52,53,56,101,45,49,
      55,10,32,32,50,46,50,48,48,53,56,101,45,49,55,32,50,46,52,50,48,49,52,101,45,
      49,55,32,50,46,54,54,53,54,54,101,45,49,55,32,50,46,57,52,48,56,54,101,45,49,
      55,32,51,46,50,51,57,54,56,101,45,49,55,32,51,46,53,55,50,50,53,101,45,49,55,
      32,51,46,57,52,53,49,57,101,45,49,55,10,32,32,52,46,51,52,51,51,50,101,45,49,
      55,32,52,46,55,55,55,49,53,101,45,49,55,32,53,46,50,54,48,52,52,101,45,49,55,
      32,53,46,55,55,52,56,101,45,49,55,32,54,46,51,49,57,51,54,101,45,49,55,32,54,
      46,57,50,48,51,51,101,45,49,55,32,55,46,53,55,51,48,53,101,45,49,55,10,32,32,
      56,46,50,51,55,48,49,101,45,49,55,32,56,46,57,54,50,51,49,101,45,49,55,32,57,
      46,55,52,52,48,55,101,45,49,55,32,49,46,48,53,53,50,53,101,45,49,54,32,49,46,
      49,52,52,49,56,101,45,49,54,32,49,46,50,51,56,51,57,101,45,49,54,32,49,46,51,
      51,53,49,54,101,45,49,54,10,32,32,49,46,52,51,57,53,55,101,45,49,54,32,49,46,
      53,53,50,49,55,101,45,49,54,32,49,46,55,49,50,50,49,101,45,49,54,32,50,46,49,
      52,57,50,56,101,45,49,54,32,51,46,48,48,52,49,52,101,45,49,54,32,53,46,50,48,
      53,52,101,45,49,54,32,56,46,54,54,50,55,56,101,45,49,54,10,32,32,49,46,51,49,
      54,54,49,101,45,49,53,32,49,46,55,56,52,52,52,101,45,49,53,32,50,46,49,57,52,
      51,52,101,45,49,53,32,50,46,53,52,53,52,56,101,45,49,53,32,50,46,56,56,55,51,
      53,101,45,49,53,32,52,46,48,52,56,51,101,45,49,53,32,56,46,49,54,50,50,55,101,
      45,49,53,10,32,32,50,46,57,48,57,52,101,45,49,52,32,51,46,51,56,51,48,49,101,
      45,49,52,32,52,46,49,49,51,52,51,101,45,49,52,32,53,46,48,54,54,51,53,101,45,
      49,52,32,54,46,55,55,57,54,101,45,49,52,32,57,46,49,50,57,53,55,101,45,49,52,
      32,49,46,50,50,57,53,53,101,45,49,51,10,32,32,49,46,55,54,54,55,56,101,45,49,
      51,32,50,46,52,56,51,57,101,45,49,51,32,51,46,51,53,53,55,50,101,45,49,51,32,
      52,46,52,55,52,53,57,101,45,49,51,32,53,46,52,56,57,55,51,101,45,49,51,32,54,
      46,53,57,49,57,51,101,45,49,51,32,55,46,53,56,57,50,50,101,45,49,51,10,32,32,
      56,46,55,49,48,48,54,101,45,49,51,32,49,46,48,51,56,53,57,101,45,49,50,32,49,
      46,51,48,52,57,49,101,45,49,50,32,49,46,55,48,52,52,49,101,45,49,50,32,50,46,
      50,54,48,49,101,45,49,50,32,51,46,48,49,55,51,53,101,45,49,50,32,52,46,48,56,
      48,53,56,101,45,49,50,10,32,32,53,46,50,51,56,52,55,101,45,49,50,32,54,46,53,
      53,48,52,54,101,45,49,50,32,56,46,49,51,48,49,56,101,45,49,50,32,49,46,48,48,
      56,51,51,101,45,49,49,32,49,46,50,48,49,49,55,101,45,49,49,32,49,46,53,50,54,
      54,55,101,45,49,49,32,50,46,48,57,53,53,50,101,45,49,49,10,32,32,50,46,57,51,
      57,54,56,101,45,49,49,32,52,46,49,51,51,48,51,101,45,49,49,32,53,46,56,54,54,
      54,57,101,45,49,49,32,56,46,48,48,53,52,51,101,45,49,49,32,49,46,48,54,49,56,
      52,101,45,49,48,32,49,46,51,55,53,56,51,101,45,49,48,32,49,46,55,52,101,45,
      49,48,10,32,32,50,46,48,54,57,54,56,101,45,49,48,32,50,46,52,55,54,54,53,101,
      45,49,48,32,50,46,57,48,53,50,57,101,45,49,48,32,51,46,52,57,50,48,52,101,45,
      49,48,32,52,46,53,51,56,55,49,101,45,49,48,32,53,46,56,51,50,56,54,101,45,49,
      48,32,55,46,50,55,53,50,53,101,45,49,48,10,32,32,56,46,54,48,57,52,52,101,45,
      49,48,32,49,46,48,54,55,49,49,101,45,48,57,32,49,46,51,48,51,57,57,101,45,48,
      57,32,49,46,53,55,57,52,56,101,45,48,57,32,49,46,56,53,48,56,54,101,45,48,57,
      32,50,46,49,49,56,50,51,101,45,48,57,32,50,46,51,54,56,56,56,101,45,48,57,10,
      32,32,50,46,54,52,56,56,49,101,45,48,57,32,50,46,57,52,49,56,49,101,45,48,57,
      32,51,46,49,57,49,53,101,45,48,57,32,51,46,55,50,57,49,52,101,45,48,57,32,52,
      46,50,53,52,52,51,101,45,48,57,32,52,46,54,55,54,53,53,101,45,48,57,32,53,46,
      48,53,52,56,51,101,45,48,57,10,32,32,53,46,51,52,57,52,51,101,45,48,57,32,53,
      46,54,51,55,52,55,101,45,48,57,32,53,46,56,53,49,55,53,101,45,48,57,32,53,46,
      57,57,53,48,50,101,45,48,57,32,54,46,48,55,52,101,45,48,57,32,54,46,48,57,55,
      52,50,101,45,48,57,32,54,46,48,55,51,57,101,45,48,57,10,32,32,54,46,48,49,56,
      53,50,101,45,48,57,32,53,46,56,54,52,53,56,101,45,48,57,32,53,46,55,51,54,48,
      53,101,45,48,57,32,53,46,52,56,57,50,49,101,45,48,57,32,53,46,49,55,57,57,54,
      101,45,48,57,32,52,46,57,55,54,50,101,45,48,57,32,52,46,55,54,49,52,55,101,
      45,48,57,10,32,32,52,46,52,48,54,57,101,45,48,57,32,52,46,48,48,52,53,55,101,
      45,48,57,32,51,46,55,56,48,50,101,45,48,57,32,51,46,52,50,49,51,53,101,45,48,
      57,32,51,46,50,48,54,49,57,101,45,48,57,32,50,46,56,56,48,49,101,45,48,57,32,
      50,46,53,53,51,49,52,101,45,48,57,10,32,32,50,46,50,50,49,50,55,101,45,48,57,
      32,50,46,48,56,52,57,50,101,45,48,57,32,49,46,56,51,56,55,55,101,45,48,57,32,
      49,46,53,57,49,54,57,101,45,48,57,32,49,46,52,48,53,53,54,101,45,48,57,32,49,
      46,50,51,54,56,50,101,45,48,57,32,49,46,48,57,52,101,45,48,57,10,32,32,57,46,
      54,54,56,52,55,101,45,49,48,32,56,46,52,48,53,55,50,101,45,49,48,32,55,46,52,
      48,52,53,56,101,45,49,48,32,54,46,52,50,49,55,56,101,45,49,48,32,53,46,55,55,
      51,52,101,45,49,48,32,52,46,56,51,57,51,51,101,45,49,48,32,52,46,51,51,53,55,
      50,101,45,49,48,10,32,32,51,46,55,55,53,56,51,101,45,49,48,32,50,46,55,49,55,
      56,52,101,45,49,48,32,49,46,55,48,52,52,49,101,45,49,48,32,49,46,48,54,54,48,
      49,101,45,49,48,32,53,46,56,50,57,56,52,101,45,49,49,32,51,46,49,51,55,48,57,
      101,45,49,49,32,49,46,52,54,52,52,57,101,45,49,49,10,32,32,55,46,54,54,50,52,
      101,45,49,50,32,50,46,54,54,50,56,101,45,49,50,32,57,46,53,50,56,51,52,101,
      45,49,51,32,52,46,53,55,56,52,52,101,45,49,51,32,50,46,48,48,50,53,51,101,45,
      49,51,32,54,46,53,55,51,50,51,101,45,49,52,32,50,46,52,53,55,51,57,101,45,49,
      52,10,32,32,57,46,49,49,57,57,101,45,49,53,32,50,46,57,49,53,48,54,101,45,49,
      53,32,57,46,50,53,49,50,56,101,45,49,54,32,51,46,51,55,49,56,101,45,49,54,32,
      49,46,50,50,51,56,52,101,45,49,54,32,52,46,52,50,53,55,57,101,45,49,55,32,49,
      46,51,52,56,51,57,101,45,49,55,10,32,32,51,46,54,48,57,54,51,101,45,49,56,32,
      56,46,51,48,54,57,53,101,45,49,57,32,50,46,50,48,53,57,54,101,45,49,57,32,53,
      46,48,49,51,101,45,50,48,32,49,46,51,50,50,56,56,101,45,50,48,32,51,46,52,56,
      50,54,54,101,45,50,49,32,55,46,56,56,50,55,101,45,50,50,10,32,32,49,46,53,57,
      57,54,101,45,50,50,32,52,46,54,53,57,49,54,101,45,50,51,32,49,46,49,49,54,51,
      50,101,45,50,51,32,51,46,49,55,52,52,53,101,45,50,52,32,56,46,50,52,51,50,49,
      101,45,50,53,32,50,46,49,50,57,51,52,101,45,50,53,32,51,46,50,52,48,57,56,101,
      45,50,54,10,32,32,54,46,55,57,48,57,49,101,45,50,55,32,48,114,49,50,48,32,51,
      46,50,49,51,53,54,101,45,50,56,32,53,46,55,54,51,56,55,101,45,50,56,32,49,46,
      48,48,55,49,54,101,45,50,55,32,49,46,55,49,56,52,54,101,45,50,55,32,50,46,56,
      54,50,56,101,45,50,55,32,52,46,54,55,50,51,55,101,45,50,55,10,32,32,55,46,52,
      56,54,48,51,101,45,50,55,32,49,46,49,55,51,54,53,101,45,50,54,32,49,46,56,48,
      54,55,57,101,45,50,54,32,50,46,55,52,48,52,55,101,45,50,54,32,52,46,48,55,52,
      53,101,45,50,54,32,53,46,57,52,51,57,50,101,45,50,54,32,56,46,53,54,55,55,53,
      101,45,50,54,10,32,32,49,46,55,51,56,56,52,101,45,50,51,32,50,46,49,49,55,49,
      50,101,45,50,48,32,50,46,54,52,56,53,55,101,45,50,48,32,51,46,50,56,51,51,101,
      45,50,48,32,51,46,57,57,54,56,52,101,45,50,48,32,52,46,56,51,55,56,57,101,45,
      50,48,32,53,46,56,50,52,48,56,101,45,50,48,10,32,32,54,46,56,54,51,57,101,45,
      50,48,32,56,46,48,53,51,55,50,101,45,50,48,32,57,46,52,49,48,55,49,101,45,50,
      48,32,49,46,48,56,48,49,52,101,45,49,57,32,49,46,50,51,50,53,50,101,45,49,57,
      32,49,46,52,48,50,48,57,101,45,49,57,32,49,46,53,55,51,57,49,101,45,49,57,10,
      32,32,49,46,55,53,52,101,45,49,57,32,49,46,57,53,48,54,56,101,45,49,57,32,50,
      46,49,53,49,48,53,101,45,49,57,32,50,46,51,53,51,54,49,101,45,49,57,32,50,46,
      53,55,49,57,57,101,45,49,57,32,50,46,55,57,55,52,53,101,45,49,57,32,51,46,48,
      49,57,56,53,101,45,49,57,10,32,32,51,46,50,53,55,54,50,101,45,49,57,32,51,46,
      53,48,55,48,49,101,45,49,57,32,51,46,55,53,48,57,55,101,45,49,57,32,52,46,48,
      49,48,51,101,45,49,57,32,52,46,50,56,53,54,56,101,45,49,57,32,52,46,53,53,51,
      56,50,101,45,49,57,32,52,46,56,51,55,57,49,101,45,49,57,10,32,32,53,46,49,51,
      56,53,51,101,45,49,57,32,53,46,52,51,52,53,51,101,45,49,57,32,53,46,55,52,50,
      57,49,101,45,49,57,32,54,46,48,54,56,50,55,101,45,49,57,32,54,46,51,56,55,101,
      45,49,57,32,54,46,55,49,48,55,57,101,45,49,57,32,55,46,48,53,49,53,51,101,45,
      49,57,10,32,32,55,46,51,55,57,57,101,45,49,57,32,55,46,54,57,53,56,52,101,45,
      49,57,32,56,46,48,50,55,57,53,101,45,49,57,32,56,46,51,52,51,54,53,101,45,49,
      57,32,56,46,54,49,50,51,52,101,45,49,57,32,56,46,56,57,54,49,53,101,45,49,57,
      32,57,46,49,54,57,53,53,101,45,49,57,10,32,32,57,46,51,52,48,55,54,101,45,49,
      57,32,57,46,53,50,55,55,101,45,49,57,32,57,46,55,50,55,52,55,101,45,49,57,32,
      57,46,55,53,53,55,50,101,45,49,57,32,57,46,56,48,52,52,57,101,45,49,57,32,57,
      46,56,55,50,52,56,101,45,49,57,32,57,46,55,55,48,56,56,101,45,49,57,10,32,32,
      57,46,54,54,53,53,52,101,45,49,57,32,57,46,53,56,55,56,49,101,45,49,57,32,57,
      46,51,55,56,52,101,45,49,57,32,57,46,53,56,48,52,57,101,45,49,57,32,57,46,52,
      50,52,57,49,101,45,49,57,32,57,46,49,57,55,56,51,101,45,49,57,32,56,46,57,50,
      50,51,51,101,45,49,57,10,32,32,56,46,55,48,48,55,49,101,45,49,57,32,56,46,52,
      54,52,50,56,101,45,49,57,32,56,46,49,55,49,57,49,101,45,49,57,32,55,46,57,51,
      56,55,54,101,45,49,57,32,55,46,55,51,50,54,49,101,45,49,57,32,55,46,52,55,53,
      57,52,101,45,49,57,32,55,46,50,55,55,52,54,101,45,49,57,10,32,32,55,46,49,50,
      55,57,55,101,45,49,57,32,54,46,57,52,52,48,52,101,45,49,57,32,54,46,56,49,50,
      52,49,101,45,49,57,32,54,46,55,50,54,56,50,101,45,49,57,32,54,46,54,52,52,55,
      56,101,45,49,57,32,54,46,53,57,57,56,55,101,45,49,57,32,54,46,53,57,53,49,49,
      101,45,49,57,10,32,32,54,46,54,49,55,50,56,101,45,49,57,32,54,46,54,55,49,49,
      53,101,45,49,57,32,54,46,55,53,57,55,101,45,49,57,32,54,46,56,56,54,57,50,101,
      45,49,57,32,55,46,48,53,48,54,50,101,45,49,57,32,55,46,50,52,52,57,57,101,45,
      49,57,32,55,46,52,56,49,48,50,101,45,49,57,10,32,32,55,46,55,54,54,54,56,101,
      45,49,57,32,56,46,48,56,49,52,54,101,45,49,57,32,56,46,52,51,54,49,52,101,45,
      49,57,32,56,46,56,54,51,52,101,45,49,57,32,57,46,51,50,49,51,57,101,45,49,57,
      32,57,46,56,49,51,52,56,101,45,49,57,32,49,46,48,52,49,50,53,101,45,49,56,10,
      32,32,49,46,49,48,52,56,53,101,45,49,56,32,49,46,49,55,50,51,56,101,45,49,56,
      32,49,46,50,53,50,53,54,101,45,49,56,32,49,46,51,51,57,50,50,101,45,49,56,32,
      49,46,52,51,49,50,54,101,45,49,56,32,49,46,53,51,55,56,101,45,49,56,32,49,46,
      54,53,53,56,49,101,45,49,56,10,32,32,49,46,55,56,49,57,53,101,45,49,56,32,49,
      46,57,50,52,57,49,101,45,49,56,32,50,46,48,56,54,57,49,101,45,49,56,32,50,46,
      50,54,50,50,50,101,45,49,56,32,50,46,52,53,55,56,56,101,45,49,56,32,50,46,54,
      56,51,48,49,101,45,49,56,32,50,46,57,51,48,50,57,101,45,49,56,10,32,32,51,46,
      50,48,52,54,55,101,45,49,56,32,51,46,53,50,48,49,51,101,45,49,56,32,51,46,56,
      55,49,51,101,45,49,56,32,52,46,50,54,51,51,49,101,45,49,56,32,52,46,55,48,52,
      50,56,101,45,49,56,32,53,46,49,57,57,54,51,101,45,49,56,32,53,46,55,53,55,53,
      50,101,45,49,56,10,32,32,54,46,51,54,54,53,49,101,45,49,56,32,55,46,48,52,55,
      55,55,101,45,49,56,32,55,46,56,49,53,56,51,101,45,49,56,32,56,46,54,52,48,52,
      52,101,45,49,56,32,57,46,53,52,51,57,49,101,45,49,56,32,49,46,48,53,53,53,57,
      101,45,49,55,32,49,46,49,54,51,57,49,101,45,49,55,10,32,32,49,46,50,55,57,50,
      101,45,49,55,32,49,46,52,48,55,49,49,101,45,49,55,32,49,46,53,52,54,54,56,101,
      45,49,55,32,49,46,54,56,57,52,54,101,45,49,55,32,49,46,56,52,54,50,50,101,45,
      49,55,32,50,46,48,49,54,48,50,101,45,49,55,32,50,46,49,57,50,50,57,101,45,49,
      55,10,32,32,50,46,51,56,54,57,53,101,45,49,55,32,50,46,53,57,52,52,54,101,45,
      49,55,32,50,46,56,48,56,53,51,101,45,49,55,32,51,46,48,52,48,53,52,101,45,49,
      55,32,51,46,50,57,49,57,51,101,45,49,55,32,51,46,54,53,49,48,54,101,45,49,55,
      32,52,46,54,52,50,48,52,101,45,49,55,10,32,32,54,46,54,49,53,57,56,101,45,49,
      55,32,49,46,49,56,53,53,53,101,45,49,54,32,50,46,48,51,55,56,57,101,45,49,54,
      32,51,46,49,55,57,56,54,101,45,49,54,32,52,46,51,56,54,52,54,101,45,49,54,32,
      53,46,52,52,56,54,56,101,45,49,54,32,54,46,51,53,54,55,57,101,45,49,54,10,32,
      32,55,46,50,52,50,50,51,101,45,49,54,32,49,46,48,56,53,48,53,101,45,49,53,32,
      50,46,54,49,55,55,101,45,49,53,32,49,46,50,53,53,52,50,101,45,49,52,32,49,46,
      52,53,55,51,49,101,45,49,52,32,49,46,55,54,55,56,53,101,45,49,52,32,50,46,49,
      55,49,57,55,101,45,49,52,10,32,32,50,46,56,57,54,55,52,101,45,49,52,32,51,46,
      56,56,56,55,52,101,45,49,52,32,53,46,50,50,52,52,53,101,45,49,52,32,55,46,52,
      57,50,56,54,101,45,49,52,32,49,46,48,53,51,49,54,101,45,49,51,32,49,46,52,50,
      52,55,52,101,45,49,51,32,49,46,57,48,53,49,49,101,45,49,51,10,32,32,50,46,51,
      52,50,55,57,101,45,49,51,32,50,46,56,49,56,54,53,101,45,49,51,32,51,46,50,52,
      56,56,52,101,45,49,51,32,51,46,55,51,52,50,52,101,45,49,51,32,52,46,52,54,54,
      53,49,101,45,49,51,32,53,46,54,52,50,54,51,101,45,49,51,32,55,46,52,51,50,56,
      52,101,45,49,51,10,32,32,57,46,57,54,53,52,54,101,45,49,51,32,49,46,51,52,57,
      48,52,101,45,49,50,32,49,46,56,53,54,51,57,101,45,49,50,32,50,46,52,49,55,48,
      53,101,45,49,50,32,51,46,48,54,48,51,101,45,49,50,32,51,46,56,52,50,50,50,101,
      45,49,50,32,52,46,56,50,52,53,101,45,49,50,10,32,32,53,46,56,49,49,51,52,101,
      45,49,50,32,55,46,53,48,54,57,56,101,45,49,50,32,49,46,48,53,51,56,55,101,45,
      49,49,32,49,46,53,49,52,54,57,101,45,49,49,32,50,46,49,56,48,54,52,101,45,49,
      49,32,51,46,49,54,56,48,51,101,45,49,49,32,52,46,52,48,56,48,56,101,45,49,49,
      10,32,32,53,46,57,52,52,51,52,101,45,49,49,32,55,46,56,48,55,48,50,101,45,49,
      49,32,57,46,57,55,48,55,53,101,45,49,49,32,49,46,49,57,51,50,57,101,45,49,48,
      32,49,46,52,51,56,50,101,45,49,48,32,49,46,54,57,57,49,56,101,45,49,48,32,50,
      46,48,54,48,51,52,101,45,49,48,10,32,32,50,46,55,49,50,51,51,101,45,49,48,32,
      51,46,53,50,55,54,56,101,45,49,48,32,52,46,52,52,51,51,49,101,45,49,48,32,53,
      46,50,57,51,54,51,101,45,49,48,32,54,46,54,49,50,56,50,101,45,49,48,32,56,46,
      49,51,54,48,52,101,45,49,48,32,57,46,57,49,54,56,101,45,49,48,10,32,32,49,46,
      49,54,55,57,101,45,48,57,32,49,46,51,52,49,57,57,101,45,48,57,32,49,46,53,48,
      53,52,101,45,48,57,32,49,46,54,56,56,53,55,101,45,48,57,32,49,46,56,56,49,54,
      55,101,45,48,57,32,50,46,48,52,55,56,101,45,48,57,32,50,46,52,49,49,49,101,
      45,48,57,10,32,32,50,46,55,55,52,49,53,101,45,48,57,32,51,46,48,55,50,55,50,
      101,45,48,57,32,51,46,51,52,51,50,53,101,45,48,57,32,51,46,53,52,56,55,49,101,
      45,48,57,32,51,46,55,54,51,50,49,101,45,48,57,32,51,46,57,50,57,52,51,101,45,
      48,57,32,52,46,48,52,56,48,52,101,45,48,57,10,32,32,52,46,49,50,50,53,52,101,
      45,48,57,32,52,46,49,54,49,53,55,101,45,48,57,32,52,46,49,54,50,48,54,101,45,
      48,57,32,52,46,49,52,48,50,50,101,45,48,57,32,52,46,48,53,57,54,53,101,45,48,
      57,32,51,46,57,56,53,54,101,45,48,57,32,51,46,56,51,54,50,52,101,45,48,57,10,
      32,32,51,46,54,52,49,56,57,101,45,48,57,32,51,46,53,49,49,48,52,101,45,48,57,
      32,51,46,51,55,49,51,53,101,45,48,57,32,51,46,49,51,55,52,54,101,45,48,57,32,
      50,46,56,54,56,48,53,101,45,48,57,32,50,46,55,49,54,50,50,101,45,48,57,32,50,
      46,52,55,49,50,49,101,45,48,57,10,32,32,50,46,51,50,51,48,53,101,45,48,57,32,
      50,46,48,57,56,48,57,101,45,48,57,32,49,46,56,54,55,56,55,101,45,48,57,32,49,
      46,54,51,52,52,56,101,45,48,57,32,49,46,53,51,55,54,51,101,45,48,57,32,49,46,
      51,54,49,57,49,101,45,48,57,32,49,46,49,56,52,51,50,101,45,48,57,10,32,32,49,
      46,48,52,57,55,49,101,45,48,57,32,57,46,50,55,48,51,56,101,45,49,48,32,56,46,
      50,50,54,57,50,101,45,49,48,32,55,46,50,57,51,55,55,101,45,49,48,32,54,46,51,
      54,50,56,50,101,45,49,48,32,53,46,54,50,49,53,52,101,45,49,48,32,52,46,56,57,
      48,56,56,101,45,49,48,10,32,32,52,46,52,48,55,48,56,101,45,49,48,32,51,46,55,
      48,55,52,52,101,45,49,48,32,51,46,51,50,56,55,56,101,45,49,48,32,50,46,57,48,
      54,53,50,101,45,49,48,32,50,46,49,48,52,51,55,101,45,49,48,32,49,46,51,50,57,
      54,49,101,45,49,48,32,56,46,51,55,50,50,54,101,45,49,49,10,32,32,52,46,54,49,
      52,50,53,101,45,49,49,32,50,46,53,48,48,53,53,101,45,49,49,32,49,46,49,55,54,
      51,51,101,45,49,49,32,54,46,49,57,48,54,54,101,45,49,50,32,50,46,49,54,57,52,
      101,45,49,50,32,55,46,56,49,55,54,54,101,45,49,51,32,51,46,55,55,51,52,101,
      45,49,51,10,32,32,49,46,54,53,56,48,57,101,45,49,51,32,53,46,52,55,51,49,56,
      101,45,49,52,32,50,46,48,53,53,50,50,101,45,49,52,32,55,46,54,53,56,50,57,101,
      45,49,53,32,50,46,52,53,56,50,51,101,45,49,53,32,55,46,56,51,49,54,56,101,45,
      49,54,32,50,46,56,54,51,51,101,45,49,54,10,32,32,49,46,48,52,50,50,55,101,45,
      49,54,32,51,46,55,55,57,51,49,101,45,49,55,32,49,46,49,53,53,52,54,101,45,49,
      55,32,51,46,49,48,50,51,52,101,45,49,56,32,55,46,49,54,49,48,55,101,45,49,57,
      32,49,46,57,48,54,52,50,101,45,49,57,32,52,46,51,52,51,52,54,101,45,50,48,10,
      32,32,49,46,49,52,56,54,54,101,45,50,48,32,51,46,48,51,48,48,51,101,45,50,49,
      32,54,46,56,55,50,52,49,101,45,50,50,32,49,46,51,57,55,52,55,101,45,50,50,32,
      52,46,48,55,54,52,101,45,50,51,32,57,46,55,56,50,54,54,101,45,50,52,32,50,46,
      55,56,53,50,55,101,45,50,52,10,32,32,55,46,50,53,53,48,49,101,45,50,53,32,49,
      46,56,55,49,52,101,45,50,53,32,50,46,56,52,57,51,51,101,45,50,54,32,53,46,57,
      53,52,56,101,45,50,55,32,48,114,49,50,51,32,49,46,51,49,57,53,52,101,45,50,
      56,32,50,46,50,53,57,55,49,101,45,50,56,32,51,46,55,56,51,50,51,101,45,50,56,
      10,32,32,54,46,50,48,54,57,55,101,45,50,56,32,57,46,57,52,54,55,101,45,50,56,
      32,49,46,53,54,50,56,57,101,45,50,55,32,50,46,52,49,54,54,52,101,45,50,55,32,
      51,46,54,53,55,57,51,101,45,50,55,32,53,46,52,50,53,57,54,101,45,50,55,32,55,
      46,57,52,53,49,49,101,45,50,55,10,32,32,49,46,54,51,51,49,53,101,45,50,52,32,
      50,46,48,49,54,55,56,101,45,50,49,32,50,46,53,54,48,56,57,101,45,50,49,32,51,
      46,50,50,48,54,53,101,45,50,49,32,51,46,57,55,49,57,54,101,45,50,49,32,52,46,
      56,54,57,53,101,45,50,49,32,53,46,57,51,53,55,57,101,45,50,49,10,32,32,55,46,
      48,55,48,55,49,101,45,50,49,32,56,46,51,56,51,53,52,101,45,50,49,32,57,46,56,
      57,54,56,52,101,45,50,49,32,49,46,49,52,53,56,50,101,45,50,48,32,49,46,51,49,
      56,50,56,101,45,50,48,32,49,46,53,49,49,56,49,101,45,50,48,32,49,46,55,48,56,
      56,50,101,45,50,48,10,32,32,49,46,57,49,54,51,56,101,45,50,48,32,50,46,49,52,
      52,53,51,101,45,50,48,32,50,46,51,55,55,55,55,101,45,50,48,32,50,46,54,49,52,
      50,101,45,50,48,32,50,46,56,55,48,51,57,101,45,50,48,32,51,46,49,51,53,55,50,
      101,45,50,48,32,51,46,51,57,55,54,52,101,45,50,48,10,32,32,51,46,54,55,56,56,
      50,101,45,50,48,32,51,46,57,55,52,55,52,101,45,50,48,32,52,46,50,54,52,49,50,
      101,45,50,48,32,52,46,53,55,50,56,54,101,45,50,48,32,52,46,57,48,49,57,49,101,
      45,50,48,32,53,46,50,50,50,101,45,50,48,32,53,46,53,54,50,50,57,101,45,50,48,
      10,32,32,53,46,57,50,51,53,57,101,45,50,48,32,54,46,50,55,57,49,101,45,50,48,
      32,54,46,54,53,48,51,55,101,45,50,48,32,55,46,48,52,51,51,101,45,50,48,32,55,
      46,52,50,55,55,55,101,45,50,48,32,55,46,56,49,56,54,52,101,45,50,48,32,56,46,
      50,51,49,49,54,101,45,50,48,10,32,32,56,46,54,50,55,55,49,101,45,50,48,32,57,
      46,48,48,56,48,57,101,45,50,48,32,57,46,52,48,57,48,51,101,45,50,48,32,57,46,
      55,56,56,53,57,101,45,50,48,32,49,46,48,49,48,55,50,101,45,49,57,32,49,46,48,
      52,52,52,57,101,45,49,57,32,49,46,48,55,54,56,55,101,45,49,57,10,32,32,49,46,
      48,57,54,48,51,101,45,49,57,32,49,46,49,49,55,49,56,101,45,49,57,32,49,46,49,
      51,57,57,53,101,45,49,57,32,49,46,49,52,48,54,50,101,45,49,57,32,49,46,49,52,
      51,57,53,101,45,49,57,32,49,46,49,52,57,55,54,101,45,49,57,32,49,46,49,51,51,
      57,50,101,45,49,57,10,32,32,49,46,49,49,55,55,50,101,45,49,57,32,49,46,49,48,
      53,49,53,101,45,49,57,32,49,46,48,55,54,48,53,101,45,49,57,32,49,46,48,56,52,
      57,53,101,45,49,57,32,49,46,48,54,49,57,50,101,45,49,57,32,49,46,48,51,48,49,
      55,101,45,49,57,32,57,46,57,50,54,55,53,101,45,50,48,10,32,32,57,46,54,50,49,
      50,50,101,45,50,48,32,57,46,51,48,48,49,55,101,45,50,48,32,56,46,57,49,52,50,
      55,101,45,50,48,32,56,46,54,48,51,54,50,101,45,50,48,32,56,46,51,50,56,52,54,
      101,45,50,48,32,55,46,57,57,54,51,54,101,45,50,48,32,55,46,55,51,54,57,53,101,
      45,50,48,10,32,32,55,46,53,51,56,50,57,101,45,50,48,32,55,46,51,48,50,53,56,
      101,45,50,48,32,55,46,49,51,49,48,54,101,45,50,48,32,55,46,48,49,53,55,49,101,
      45,50,48,32,54,46,57,48,55,52,54,101,45,50,48,32,54,46,56,52,52,54,54,101,45,
      50,48,32,54,46,56,51,48,51,53,101,45,50,48,10,32,32,54,46,56,52,57,52,49,101,
      45,50,48,32,54,46,57,48,55,49,51,101,45,50,48,32,55,46,48,48,54,55,54,101,45,
      50,48,32,55,46,49,53,50,54,52,101,45,50,48,32,55,46,51,52,50,51,57,101,45,50,
      48,32,55,46,53,54,57,55,51,101,45,50,48,32,55,46,56,52,54,56,56,101,45,50,48,
      10,32,32,56,46,49,56,50,54,57,101,45,50,48,32,56,46,53,53,53,49,55,101,45,50,
      48,32,56,46,57,55,54,52,53,101,45,50,48,32,57,46,52,56,50,50,53,101,45,50,48,
      32,49,46,48,48,50,55,57,101,45,49,57,32,49,46,48,54,49,55,55,101,45,49,57,32,
      49,46,49,51,51,48,56,101,45,49,57,10,32,32,49,46,50,48,57,50,57,101,45,49,57,
      32,49,46,50,57,48,55,49,101,45,49,57,32,49,46,51,56,54,56,56,101,45,49,57,32,
      49,46,52,57,49,50,57,101,45,49,57,32,49,46,54,48,50,56,51,101,45,49,57,32,49,
      46,55,51,49,54,52,101,45,49,57,32,49,46,56,55,52,54,53,101,45,49,57,10,32,32,
      50,46,48,50,56,51,52,101,45,49,57,32,50,46,50,48,50,54,53,101,45,49,57,32,50,
      46,52,48,48,52,51,101,45,49,57,32,50,46,54,49,53,53,57,101,45,49,57,32,50,46,
      56,53,54,53,101,45,49,57,32,51,46,49,51,52,50,54,101,45,49,57,32,51,46,52,52,
      49,48,52,101,45,49,57,10,32,32,51,46,55,56,51,50,55,101,45,49,57,32,52,46,49,
      55,56,52,52,101,45,49,57,32,52,46,54,50,49,49,56,101,45,49,57,32,53,46,49,49,
      56,56,49,101,45,49,57,32,53,46,54,56,50,53,50,101,45,49,57,32,54,46,51,50,48,
      53,56,101,45,49,57,32,55,46,48,52,52,57,52,101,45,49,57,10,32,32,55,46,56,52,
      50,54,53,101,45,49,57,32,56,46,55,52,50,54,101,45,49,57,32,57,46,55,54,54,48,
      54,101,45,49,57,32,49,46,48,56,55,53,101,45,49,56,32,49,46,50,49,48,48,55,101,
      45,49,56,32,49,46,51,52,56,53,56,101,45,49,56,32,49,46,52,57,56,49,50,101,45,
      49,56,10,32,32,49,46,54,53,56,54,52,101,45,49,56,32,49,46,56,51,56,50,50,101,
      45,49,56,32,50,46,48,51,53,54,54,101,45,49,56,32,50,46,50,51,57,50,57,101,45,
      49,56,32,50,46,52,54,52,53,55,101,45,49,56,32,50,46,55,49,48,52,54,101,45,49,
      56,32,50,46,57,54,55,50,54,101,45,49,56,10,32,32,51,46,50,53,50,54,50,101,45,
      49,56,32,51,46,53,53,57,52,53,101,45,49,56,32,51,46,56,55,55,57,56,101,45,49,
      56,32,52,46,50,50,53,53,50,101,45,49,56,32,52,46,54,48,52,54,49,101,45,49,56,
      32,53,46,49,53,48,49,56,101,45,49,56,32,54,46,54,55,55,57,49,101,45,49,56,10,
      32,32,57,46,55,57,57,56,57,101,45,49,56,32,49,46,56,52,52,101,45,49,55,32,51,
      46,51,49,54,53,56,101,45,49,55,32,53,46,51,54,51,51,50,101,45,49,55,32,55,46,
      53,55,51,55,57,101,45,49,55,32,57,46,53,51,50,53,53,101,45,49,55,32,49,46,49,
      50,48,51,52,101,45,49,54,10,32,32,49,46,50,56,51,53,56,101,45,49,54,32,50,46,
      49,49,54,50,101,45,49,54,32,54,46,54,52,50,56,51,101,45,49,54,32,52,46,56,49,
      50,57,49,101,45,49,53,32,53,46,53,57,57,53,51,101,45,49,53,32,54,46,56,49,51,
      57,56,101,45,49,53,32,56,46,52,48,49,53,55,101,45,49,53,10,32,32,49,46,49,50,
      54,53,56,101,45,49,52,32,49,46,53,50,49,52,57,101,45,49,52,32,50,46,48,53,57,
      54,57,101,45,49,52,32,50,46,57,56,48,52,53,101,45,49,52,32,52,46,50,50,53,51,
      52,101,45,49,52,32,53,46,55,54,49,49,53,101,45,49,52,32,55,46,55,54,48,53,56,
      101,45,49,52,10,32,32,57,46,53,56,56,53,57,101,45,49,52,32,49,46,49,53,55,51,
      54,101,45,49,51,32,49,46,51,51,54,54,54,101,45,49,51,32,49,46,53,51,57,56,51,
      101,45,49,51,32,49,46,56,52,56,52,55,101,45,49,51,32,50,46,51,52,56,49,52,101,
      45,49,51,32,51,46,49,49,52,57,101,45,49,51,10,32,32,52,46,50,48,56,54,52,101,
      45,49,51,32,53,46,55,52,52,52,101,45,49,51,32,55,46,57,55,53,56,51,101,45,49,
      51,32,49,46,48,52,54,48,52,101,45,49,50,32,49,46,51,51,50,54,49,101,45,49,50,
      32,49,46,54,56,50,51,56,101,45,49,50,32,50,46,49,50,53,49,53,101,45,49,50,10,
      32,32,50,46,53,55,51,55,54,101,45,49,50,32,51,46,51,53,49,52,57,101,45,49,50,
      32,52,46,55,53,57,55,55,101,45,49,50,32,54,46,57,51,52,54,101,45,49,50,32,49,
      46,48,49,51,53,51,101,45,49,49,32,49,46,52,57,56,48,53,101,45,49,49,32,50,46,
      49,49,57,52,54,101,45,49,49,10,32,32,50,46,57,48,51,57,101,45,49,49,32,51,46,
      56,54,55,48,57,101,45,49,49,32,52,46,57,57,49,48,55,101,45,49,49,32,54,46,48,
      49,51,56,56,101,45,49,49,32,55,46,51,48,56,52,50,101,45,49,49,32,56,46,55,48,
      54,57,54,101,45,49,49,32,49,46,48,54,54,57,49,101,45,49,48,10,32,32,49,46,52,
      50,54,56,55,101,45,49,48,32,49,46,56,56,52,50,56,101,45,49,48,32,50,46,52,48,
      51,57,54,101,45,49,48,32,50,46,56,56,57,57,50,101,45,49,48,32,51,46,54,52,56,
      55,57,101,45,49,48,32,52,46,53,51,49,54,55,101,45,49,48,32,53,46,53,55,49,51,
      54,101,45,49,48,10,32,32,54,46,54,48,53,57,56,101,45,49,48,32,55,46,54,51,49,
      48,51,101,45,49,48,32,56,46,53,57,52,51,55,101,45,49,48,32,57,46,54,55,56,51,
      54,101,45,49,48,32,49,46,48,56,51,48,54,101,45,48,57,32,49,46,49,56,51,50,52,
      101,45,48,57,32,49,46,52,48,54,48,54,101,45,48,57,10,32,32,49,46,54,51,52,51,
      101,45,48,57,32,49,46,56,50,54,55,52,101,45,48,57,32,50,46,48,48,51,51,51,101,
      45,48,57,32,50,46,49,51,52,48,57,101,45,48,57,32,50,46,50,56,48,49,55,101,45,
      48,57,32,50,46,51,57,56,48,50,101,45,48,57,32,50,46,52,56,55,49,55,101,45,48,
      57,10,32,32,50,46,53,52,57,48,49,101,45,48,57,32,50,46,53,57,48,56,50,101,45,
      48,57,32,50,46,54,48,51,56,49,101,45,48,57,32,50,46,54,48,50,53,55,101,45,48,
      57,32,50,46,53,55,49,54,53,101,45,48,57,32,50,46,53,51,54,52,50,101,45,48,57,
      32,50,46,52,53,56,56,101,45,48,57,10,32,32,50,46,51,53,49,52,52,101,45,48,57,
      32,50,46,50,55,54,56,101,45,48,57,32,50,46,49,57,53,54,52,101,45,48,57,32,50,
      46,48,53,55,48,55,101,45,48,57,32,49,46,56,57,52,49,54,101,45,48,57,32,49,46,
      56,48,49,48,51,101,45,48,57,32,49,46,54,52,56,57,57,101,45,48,57,10,32,32,49,
      46,53,53,54,48,51,101,45,48,57,32,49,46,52,49,52,56,55,101,45,48,57,32,49,46,
      50,54,54,51,52,101,45,48,57,32,49,46,49,49,53,55,53,101,45,48,57,32,49,46,48,
      53,50,53,55,101,45,48,57,32,57,46,51,55,49,56,55,101,45,49,48,32,56,46,49,57,
      53,57,54,101,45,49,48,10,32,32,55,46,50,57,55,54,56,101,45,49,48,32,54,46,52,
      55,51,53,53,101,45,49,48,32,53,46,55,54,56,50,56,101,45,49,48,32,53,46,49,51,
      51,57,57,101,45,49,48,32,52,46,52,57,55,54,49,101,45,49,48,32,51,46,57,56,56,
      49,51,101,45,49,48,32,51,46,52,56,51,51,54,101,45,49,48,10,32,32,51,46,49,52,
      55,54,51,101,45,49,48,32,50,46,54,53,57,55,56,101,45,49,48,32,50,46,51,57,52,
      53,101,45,49,48,32,50,46,48,57,55,53,52,101,45,49,48,32,49,46,53,50,57,54,57,
      101,45,49,48,32,57,46,55,53,53,53,101,45,49,49,32,54,46,49,57,52,55,57,101,
      45,49,49,10,32,32,51,46,52,52,55,51,52,101,45,49,49,32,49,46,56,56,52,55,50,
      101,45,49,49,32,56,46,57,53,49,55,50,101,45,49,50,32,52,46,55,52,53,51,57,101,
      45,49,50,32,49,46,54,56,48,52,53,101,45,49,50,32,54,46,49,48,57,51,57,101,45,
      49,51,32,50,46,57,54,53,53,52,101,45,49,51,10,32,32,49,46,51,49,48,54,57,101,
      45,49,51,32,52,46,51,53,54,57,54,101,45,49,52,32,49,46,54,52,53,49,57,101,45,
      49,52,32,54,46,49,54,49,55,49,101,45,49,53,32,49,46,57,56,56,51,57,101,45,49,
      53,32,54,46,51,54,53,54,101,45,49,54,32,50,46,51,51,54,51,56,101,45,49,54,10,
      32,32,56,46,53,51,53,52,56,101,45,49,55,32,51,46,49,48,53,52,50,101,45,49,55,
      32,57,46,53,51,53,56,50,101,45,49,56,32,50,46,53,54,57,56,53,101,45,49,56,32,
      53,46,57,53,52,52,56,101,45,49,57,32,49,46,53,57,48,49,56,101,45,49,57,32,51,
      46,54,51,52,54,57,101,45,50,48,10,32,32,57,46,54,51,56,49,52,101,45,50,49,32,
      50,46,53,52,56,56,52,101,45,50,49,32,53,46,55,57,54,48,55,101,45,50,50,32,49,
      46,49,56,49,54,55,101,45,50,50,32,51,46,52,53,51,51,54,101,45,50,51,32,56,46,
      51,48,52,57,56,101,45,50,52,32,50,46,51,54,56,57,54,101,45,50,52,10,32,32,54,
      46,49,56,57,52,50,101,45,50,53,32,49,46,54,48,51,55,57,101,45,50,53,32,50,46,
      53,50,53,48,51,101,45,50,54,32,53,46,48,53,57,53,49,101,45,50,55,32,48,114,
      49,50,53,32,49,46,48,51,49,55,49,101,45,50,56,32,49,46,55,48,50,52,53,101,45,
      50,56,32,50,46,55,52,51,55,57,101,45,50,56,10,32,32,52,46,51,51,53,55,51,101,
      45,50,56,32,54,46,55,52,50,51,51,101,45,50,56,32,49,46,48,50,54,50,52,101,45,
      50,55,32,49,46,53,51,48,53,54,101,45,50,55,32,50,46,50,53,51,51,49,101,45,50,
      55,32,52,46,56,51,48,54,57,101,45,50,53,32,54,46,51,49,51,101,45,50,50,10,32,
      32,56,46,48,54,52,55,53,101,45,50,50,32,49,46,48,50,48,49,51,101,45,50,49,32,
      49,46,50,54,52,54,53,101,45,50,49,32,49,46,53,53,56,50,54,101,45,50,49,32,49,
      46,57,48,56,56,49,101,45,50,49,32,50,46,50,56,51,50,55,101,45,50,49,32,50,46,
      55,49,56,50,49,101,45,50,49,10,32,32,51,46,50,50,49,53,55,101,45,50,49,32,51,
      46,55,52,50,50,55,101,45,50,49,32,52,46,51,49,57,49,51,101,45,50,49,32,52,46,
      57,54,56,52,55,101,45,50,49,32,53,46,54,51,48,55,101,45,50,49,32,54,46,51,50,
      57,55,52,101,45,50,49,32,55,46,48,57,57,57,57,101,45,50,49,10,32,32,55,46,56,
      56,56,53,50,101,45,50,49,32,56,46,54,56,56,54,101,45,50,49,32,57,46,53,53,55,
      50,51,101,45,50,49,32,49,46,48,52,53,55,57,101,45,50,48,32,49,46,49,51,52,55,
      51,101,45,50,48,32,49,46,50,51,48,51,54,101,45,50,48,32,49,46,51,51,49,49,50,
      101,45,50,48,10,32,32,49,46,52,50,57,54,53,101,45,50,48,32,49,46,53,51,52,57,
      50,101,45,50,48,32,49,46,54,52,55,50,54,101,45,50,48,32,49,46,55,53,54,53,49,
      101,45,50,48,32,49,46,56,55,50,56,101,45,50,48,32,49,46,57,57,54,52,51,101,
      45,50,48,32,50,46,49,49,56,48,53,101,45,50,48,10,32,32,50,46,50,52,53,49,55,
      101,45,50,48,32,50,46,51,55,57,56,54,101,45,50,48,32,50,46,53,49,49,54,101,
      45,50,48,32,50,46,54,52,53,53,56,101,45,50,48,32,50,46,55,56,55,49,50,101,45,
      50,48,32,50,46,57,50,51,48,55,101,45,50,48,32,51,46,48,53,51,51,51,101,45,50,
      48,10,32,32,51,46,49,57,48,55,55,101,45,50,48,32,51,46,51,50,48,54,57,101,45,
      50,48,32,51,46,52,50,57,49,56,101,45,50,48,32,51,46,53,52,52,51,52,101,45,50,
      48,32,51,46,54,53,52,54,49,101,45,50,48,32,51,46,55,49,56,52,50,101,45,50,48,
      32,51,46,55,56,57,50,101,45,50,48,10,32,32,51,46,56,54,53,54,49,101,45,50,48,
      32,51,46,56,54,52,53,53,101,45,50,48,32,51,46,56,55,50,56,52,101,45,50,48,32,
      51,46,56,56,57,56,51,101,45,50,48,32,51,46,56,51,49,49,57,101,45,50,48,32,51,
      46,55,55,49,52,56,101,45,50,48,32,51,46,55,50,52,53,52,101,45,50,48,10,32,32,
      51,46,54,50,48,50,54,101,45,50,48,32,51,46,54,51,51,50,57,101,45,50,48,32,51,
      46,53,52,57,52,50,101,45,50,48,32,51,46,52,51,53,53,51,101,45,50,48,32,51,46,
      51,48,50,49,56,101,45,50,48,32,51,46,49,57,51,49,51,101,45,50,48,32,51,46,48,
      55,57,48,57,101,45,50,48,10,32,32,50,46,57,52,51,49,57,101,45,50,48,32,50,46,
      56,51,51,53,50,101,45,50,48,32,50,46,55,51,54,51,55,101,45,50,48,32,50,46,54,
      50,48,50,51,101,45,50,48,32,50,46,53,50,57,50,54,101,45,50,48,32,50,46,52,53,
      57,50,56,101,45,50,48,32,50,46,51,55,55,49,55,101,45,50,48,10,32,32,50,46,51,
      49,55,49,53,101,45,50,48,32,50,46,50,55,54,52,49,101,45,50,48,32,50,46,50,51,
      56,52,51,101,45,50,48,32,50,46,50,49,54,48,56,101,45,50,48,32,50,46,50,49,48,
      51,49,101,45,50,48,32,50,46,50,49,54,48,53,101,45,50,48,32,50,46,50,51,53,48,
      55,101,45,50,48,10,32,32,50,46,50,54,56,52,51,101,45,50,48,32,50,46,51,49,55,
      53,55,101,45,50,48,32,50,46,51,56,49,54,57,101,45,50,48,32,50,46,52,53,56,55,
      54,101,45,50,48,32,50,46,53,53,50,56,50,101,45,50,48,32,50,46,54,54,54,56,51,
      101,45,50,48,32,50,46,55,57,51,53,56,101,45,50,48,10,32,32,50,46,57,51,55,49,
      51,101,45,50,48,32,51,46,49,48,57,50,56,101,45,50,48,32,51,46,50,57,53,52,50,
      101,45,50,48,32,51,46,52,57,55,48,54,101,45,50,48,32,51,46,55,52,48,51,52,101,
      45,50,48,32,52,46,48,48,48,57,101,45,50,48,32,52,46,50,55,57,57,101,45,50,48,
      10,32,32,52,46,54,48,56,57,50,101,45,50,48,32,52,46,57,54,54,54,55,101,45,50,
      48,32,53,46,51,52,57,55,49,101,45,50,48,32,53,46,55,57,49,55,50,101,45,50,48,
      32,54,46,50,56,50,56,55,101,45,50,48,32,54,46,56,49,49,55,57,101,45,50,48,32,
      55,46,52,49,49,55,57,101,45,50,48,10,32,32,56,46,48,57,50,56,56,101,45,50,48,
      32,56,46,56,51,53,50,53,101,45,50,48,32,57,46,54,54,55,52,50,101,45,50,48,32,
      49,46,48,54,50,55,53,101,45,49,57,32,49,46,49,54,57,101,45,49,57,32,49,46,50,
      56,55,55,52,101,45,49,57,32,49,46,52,50,53,48,53,101,45,49,57,10,32,32,49,46,
      53,55,57,50,52,101,45,49,57,32,49,46,55,53,50,57,54,101,45,49,57,32,49,46,57,
      53,48,50,51,101,45,49,57,32,50,46,49,55,52,49,50,101,45,49,57,32,50,46,52,50,
      57,48,49,101,45,49,57,32,50,46,55,49,48,54,101,45,49,57,32,51,46,48,50,57,50,
      52,101,45,49,57,10,32,32,51,46,51,57,50,55,52,101,45,49,57,32,51,46,55,56,55,
      57,51,101,45,49,57,32,52,46,50,50,54,49,50,101,45,49,57,32,52,46,55,50,50,56,
      54,101,45,49,57,32,53,46,50,54,48,57,52,101,45,49,57,32,53,46,56,52,48,50,57,
      101,45,49,57,32,54,46,52,57,48,52,51,101,45,49,57,10,32,32,55,46,50,48,55,50,
      54,101,45,49,57,32,55,46,57,52,56,56,51,101,45,49,57,32,56,46,55,55,49,54,53,
      101,45,49,57,32,57,46,54,55,50,50,55,101,45,49,57,32,49,46,48,54,49,53,101,
      45,49,56,32,49,46,49,54,54,53,101,45,49,56,32,49,46,50,55,57,55,56,101,45,49,
      56,10,32,32,49,46,51,57,55,54,54,101,45,49,56,32,49,46,53,50,54,54,49,101,45,
      49,56,32,49,46,54,54,55,54,51,101,45,49,56,32,49,46,56,55,49,49,54,101,45,49,
      56,32,50,46,52,52,52,51,55,101,45,49,56,32,51,46,54,50,55,54,50,101,45,49,56,
      32,54,46,57,53,55,55,54,101,45,49,56,10,32,32,49,46,50,55,52,52,51,101,45,49,
      55,32,50,46,48,57,49,52,56,101,45,49,55,32,50,46,57,56,50,53,57,101,45,49,55,
      32,51,46,55,55,52,56,101,45,49,55,32,52,46,52,53,48,48,57,101,45,49,55,32,53,
      46,49,49,48,51,55,101,45,49,55,32,56,46,53,54,57,51,54,101,45,49,55,10,32,32,
      50,46,56,48,57,50,56,101,45,49,54,32,50,46,49,55,49,57,55,101,45,49,53,32,50,
      46,53,51,57,52,49,101,45,49,53,32,51,46,49,49,49,52,56,101,45,49,53,32,51,46,
      56,54,54,54,49,101,45,49,53,32,53,46,50,52,54,50,53,101,45,49,53,32,55,46,49,
      55,56,49,101,45,49,53,10,32,32,57,46,57,48,48,48,54,101,45,49,53,32,49,46,52,
      54,49,48,50,101,45,49,52,32,50,46,49,48,57,55,53,101,45,49,52,32,50,46,57,50,
      53,50,50,101,45,49,52,32,52,46,48,48,51,51,51,101,45,49,52,32,52,46,57,57,54,
      57,50,101,45,49,52,32,54,46,48,55,50,57,52,101,45,49,52,10,32,32,55,46,48,52,
      51,52,54,101,45,49,52,32,56,46,49,53,51,49,53,101,45,49,52,32,57,46,56,54,51,
      53,55,101,45,49,52,32,49,46,50,54,55,57,49,101,45,49,51,32,49,46,55,48,55,51,
      53,101,45,49,51,32,50,46,51,52,53,101,45,49,51,32,51,46,50,53,53,53,53,101,
      45,49,51,10,32,32,52,46,53,57,57,51,50,101,45,49,51,32,54,46,49,49,55,52,53,
      101,45,49,51,32,55,46,56,56,51,57,101,45,49,51,32,49,46,48,48,53,49,54,101,
      45,49,50,32,49,46,50,56,50,55,53,101,45,49,50,32,49,46,53,54,55,50,53,101,45,
      49,50,32,50,46,48,54,54,51,52,101,45,49,50,10,32,32,50,46,57,56,50,56,53,101,
      45,49,50,32,52,46,52,49,57,56,53,101,45,49,50,32,54,46,53,54,52,56,101,45,49,
      50,32,57,46,56,53,53,54,56,101,45,49,50,32,49,46,52,49,50,55,53,101,45,49,49,
      32,49,46,57,53,55,49,56,101,45,49,49,32,50,46,54,51,48,48,49,101,45,49,49,10,
      32,32,51,46,52,49,54,54,50,101,45,49,49,32,52,46,49,51,51,54,51,101,45,49,49,
      32,53,46,48,52,55,56,51,101,45,49,49,32,54,46,48,52,50,57,56,101,45,49,49,32,
      55,46,52,52,57,52,50,101,45,49,49,32,49,46,48,48,53,50,101,45,49,48,32,49,46,
      51,51,56,57,49,101,45,49,48,10,32,32,49,46,55,50,48,54,57,101,45,49,48,32,50,
      46,48,55,57,51,101,45,49,48,32,50,46,54,52,49,55,51,101,45,49,48,32,51,46,50,
      57,57,49,51,101,45,49,48,32,52,46,48,55,54,55,54,101,45,49,48,32,52,46,56,53,
      51,49,55,101,45,49,48,32,53,46,54,50,51,54,50,101,45,49,48,10,32,32,54,46,51,
      52,56,49,52,101,45,49,48,32,55,46,49,54,52,56,57,101,45,49,48,32,56,46,48,51,
      54,56,54,101,45,49,48,32,56,46,55,57,56,57,56,101,45,49,48,32,49,46,48,53,48,
      56,52,101,45,48,57,32,49,46,50,50,56,48,51,101,45,48,57,32,49,46,51,55,57,50,
      54,101,45,48,57,10,32,32,49,46,53,49,56,57,51,101,45,48,57,32,49,46,54,50,49,
      49,53,101,45,48,57,32,49,46,55,51,57,48,51,101,45,48,57,32,49,46,56,51,53,56,
      56,101,45,48,57,32,49,46,57,49,48,57,57,101,45,48,57,32,49,46,57,54,53,48,57,
      101,45,48,57,32,50,46,48,48,52,54,51,101,45,48,57,10,32,32,50,46,48,49,57,57,
      54,101,45,48,57,32,50,46,48,50,52,49,54,101,45,48,57,32,50,46,48,48,56,51,51,
      101,45,48,57,32,49,46,57,56,53,54,57,101,45,48,57,32,49,46,57,51,50,50,52,101,
      45,48,57,32,49,46,56,53,53,49,52,101,45,48,57,32,49,46,56,48,48,52,49,101,45,
      48,57,10,32,32,49,46,55,52,48,50,49,101,45,48,57,32,49,46,54,51,54,50,49,101,
      45,48,57,32,49,46,53,49,50,52,56,101,45,48,57,32,49,46,52,52,49,49,55,101,45,
      48,57,32,49,46,51,50,51,57,54,101,45,48,57,32,49,46,50,53,49,56,54,101,45,48,
      57,32,49,46,49,52,50,54,55,101,45,48,57,10,32,32,49,46,48,50,53,54,51,101,45,
      48,57,32,57,46,48,54,55,52,101,45,49,48,32,56,46,53,54,54,54,54,101,45,49,48,
      32,55,46,54,52,57,48,52,101,45,49,48,32,54,46,55,48,57,53,49,101,45,49,48,32,
      53,46,57,56,56,56,101,45,49,48,32,53,46,51,50,53,50,101,45,49,48,10,32,32,52,
      46,55,53,53,52,49,101,45,49,48,32,52,46,50,52,49,52,101,45,49,48,32,51,46,55,
      50,52,49,50,101,45,49,48,32,51,46,51,48,56,55,55,101,45,49,48,32,50,46,56,57,
      54,49,49,101,45,49,48,32,50,46,54,50,48,57,54,101,45,49,48,32,50,46,50,50,48,
      49,49,101,45,49,48,10,32,32,50,46,48,48,49,53,55,101,45,49,48,32,49,46,55,53,
      54,52,50,101,45,49,48,32,49,46,50,56,53,57,53,101,45,49,48,32,56,46,50,52,50,
      53,49,101,45,49,49,32,53,46,50,53,55,57,54,101,45,49,49,32,50,46,57,52,49,52,
      50,101,45,49,49,32,49,46,54,49,53,56,54,101,45,49,49,10,32,32,55,46,55,49,53,
      48,55,101,45,49,50,32,52,46,49,48,54,49,51,101,45,49,50,32,49,46,52,54,50,52,
      49,101,45,49,50,32,53,46,51,52,50,51,56,101,45,49,51,32,50,46,54,48,49,50,49,
      101,45,49,51,32,49,46,49,53,51,51,49,101,45,49,51,32,51,46,56,52,56,53,53,101,
      45,49,52,10,32,32,49,46,52,53,55,54,53,101,45,49,52,32,53,46,52,55,52,53,54,
      101,45,49,53,32,49,46,55,55,49,56,101,45,49,53,32,53,46,54,56,55,50,54,101,
      45,49,54,32,50,46,48,57,49,56,55,101,45,49,54,32,55,46,54,53,55,52,101,45,49,
      55,32,50,46,55,57,49,48,57,101,45,49,55,10,32,32,56,46,53,57,48,57,53,101,45,
      49,56,32,50,46,51,49,57,57,52,101,45,49,56,32,53,46,51,56,54,54,101,45,49,57,
      32,49,46,52,52,49,101,45,49,57,32,51,46,50,57,57,53,52,101,45,50,48,32,56,46,
      55,54,50,50,56,101,45,50,49,32,50,46,51,50,48,52,101,45,50,49,10,32,32,53,46,
      50,56,52,48,53,101,45,50,50,32,49,46,48,55,56,56,49,101,45,50,50,32,51,46,49,
      53,53,57,55,101,45,50,51,32,55,46,53,57,56,50,49,101,45,50,52,32,50,46,49,55,
      48,48,54,101,45,50,52,32,53,46,54,55,50,52,54,101,45,50,53,32,49,46,52,55,48,
      55,101,45,50,53,10,32,32,50,46,51,49,55,48,49,101,45,50,54,32,52,46,54,51,49,
      52,50,101,45,50,55,32,48,114,49,50,56,32,49,46,48,50,50,50,101,45,50,56,32,
      49,46,54,48,49,56,50,101,45,50,56,32,50,46,52,53,54,52,49,101,45,50,56,32,51,
      46,54,57,48,51,49,101,45,50,56,32,53,46,52,55,50,49,56,101,45,50,56,10,32,32,
      49,46,49,54,50,56,51,101,45,50,53,32,49,46,53,48,53,50,56,101,45,50,50,32,49,
      46,57,52,57,53,49,101,45,50,50,32,50,46,52,57,55,56,57,101,45,50,50,32,51,46,
      49,51,49,56,53,101,45,50,50,32,51,46,57,48,48,56,57,101,45,50,50,32,52,46,56,
      50,56,48,54,101,45,50,50,10,32,32,53,46,56,50,53,52,49,101,45,50,50,32,54,46,
      57,57,50,57,56,101,45,50,50,32,56,46,51,53,52,51,56,101,45,50,50,32,57,46,55,
      54,57,53,53,101,45,50,50,32,49,46,49,51,52,54,101,45,50,49,32,49,46,51,49,51,
      48,56,101,45,50,49,32,49,46,52,57,53,55,101,45,50,49,10,32,32,49,46,54,56,57,
      49,54,101,45,50,49,32,49,46,57,48,51,50,52,101,45,50,49,32,50,46,49,50,50,57,
      51,101,45,50,49,32,50,46,51,52,54,50,53,101,45,50,49,32,50,46,53,56,57,53,49,
      101,45,50,49,32,50,46,56,52,50,51,101,45,50,49,32,51,46,48,57,50,48,51,101,
      45,50,49,10,32,32,51,46,51,54,49,51,101,45,50,49,32,51,46,54,52,53,54,54,101,
      45,50,49,32,51,46,57,50,51,54,54,101,45,50,49,32,52,46,50,50,49,52,101,45,50,
      49,32,52,46,53,51,57,56,55,101,45,50,49,32,52,46,56,52,57,52,53,101,45,50,49,
      32,53,46,49,55,57,54,53,101,45,50,49,10,32,32,53,46,53,51,49,52,52,101,45,50,
      49,32,53,46,56,55,55,52,49,101,45,50,49,32,54,46,50,51,57,53,56,101,45,50,49,
      32,54,46,54,50,52,48,56,101,45,50,49,32,54,46,57,57,57,56,57,101,45,50,49,32,
      55,46,51,56,50,51,101,45,50,49,32,55,46,55,56,55,48,52,101,45,50,49,10,32,32,
      56,46,49,55,53,49,54,101,45,50,49,32,56,46,53,52,54,51,57,101,45,50,49,32,56,
      46,57,51,56,55,55,101,45,50,49,32,57,46,51,48,56,55,51,101,45,50,49,32,57,46,
      54,49,52,57,53,101,45,50,49,32,57,46,57,52,48,55,52,101,45,50,49,32,49,46,48,
      50,53,49,56,101,45,50,48,10,32,32,49,46,48,52,50,52,56,101,45,50,48,32,49,46,
      48,54,49,56,52,101,45,50,48,32,49,46,48,56,50,56,52,101,45,50,48,32,49,46,48,
      56,48,56,57,101,45,50,48,32,49,46,48,56,49,55,51,101,45,50,48,32,49,46,48,56,
      53,49,52,101,45,50,48,32,49,46,48,54,54,50,55,101,45,50,48,10,32,32,49,46,48,
      52,55,49,54,101,45,50,48,32,49,46,48,51,49,56,56,101,45,50,48,32,57,46,57,57,
      56,55,51,101,45,50,49,32,57,46,57,52,57,55,49,101,45,50,49,32,57,46,54,56,53,
      57,49,101,45,50,49,32,57,46,51,51,54,48,53,101,45,50,49,32,56,46,57,51,49,53,
      50,101,45,50,49,10,32,32,56,46,53,57,56,57,55,101,45,50,49,32,56,46,50,53,51,
      55,49,101,45,50,49,32,55,46,56,52,55,57,50,101,45,50,49,32,55,46,53,49,57,49,
      53,101,45,50,49,32,55,46,50,50,55,55,57,101,45,50,49,32,54,46,56,56,52,56,53,
      101,45,50,49,32,54,46,54,49,53,48,53,101,45,50,49,10,32,32,54,46,52,48,53,57,
      54,101,45,50,49,32,54,46,49,54,52,57,56,101,45,50,49,32,53,46,57,56,55,53,49,
      101,45,50,49,32,53,46,56,54,53,50,52,101,45,50,49,32,53,46,55,53,50,52,56,101,
      45,50,49,32,53,46,54,56,52,53,50,101,45,50,49,32,53,46,54,54,51,55,54,101,45,
      50,49,10,32,32,53,46,54,55,54,50,51,101,45,50,49,32,53,46,55,50,54,54,57,101,
      45,50,49,32,53,46,56,49,55,57,56,101,45,50,49,32,53,46,57,53,51,57,53,101,45,
      50,49,32,54,46,49,51,50,52,55,101,45,50,49,32,54,46,51,52,56,50,101,45,50,49,
      32,54,46,54,49,50,48,55,101,45,50,49,10,32,32,54,46,57,51,50,48,55,101,45,50,
      49,32,55,46,50,56,57,51,49,101,45,50,49,32,55,46,54,57,52,56,55,101,45,50,49,
      32,56,46,49,56,48,50,50,101,45,50,49,32,56,46,55,48,55,49,54,101,45,50,49,32,
      57,46,50,56,48,49,55,101,45,50,49,32,57,46,57,54,56,55,52,101,45,50,49,10,32,
      32,49,46,48,55,48,57,50,101,45,50,48,32,49,46,49,53,48,53,50,101,45,50,48,32,
      49,46,50,52,52,49,51,101,45,50,48,32,49,46,51,52,54,49,56,101,45,50,48,32,49,
      46,52,53,53,56,54,101,45,50,48,32,49,46,53,56,50,50,54,101,45,50,48,32,49,46,
      55,50,50,57,50,101,45,50,48,10,32,32,49,46,56,55,52,57,50,101,45,50,48,32,50,
      46,48,52,55,52,50,101,45,50,48,32,50,46,50,52,51,51,56,101,45,50,48,32,50,46,
      52,53,55,54,54,101,45,50,48,32,50,46,54,57,56,51,51,101,45,50,48,32,50,46,57,
      55,54,50,57,101,45,50,48,32,51,46,50,56,52,57,51,101,45,50,48,10,32,32,51,46,
      54,51,48,57,51,101,45,50,48,32,52,46,48,51,49,57,57,101,45,50,48,32,52,46,52,
      56,52,48,52,101,45,50,48,32,52,46,57,57,53,51,54,101,45,50,48,32,53,46,53,55,
      56,51,50,101,45,50,48,32,54,46,50,52,50,55,57,101,45,50,48,32,55,46,48,48,50,
      55,50,101,45,50,48,10,32,32,55,46,56,52,54,52,56,101,45,50,48,32,56,46,56,48,
      53,56,51,101,45,50,48,32,57,46,57,48,53,54,51,101,45,50,48,32,49,46,49,49,48,
      55,53,101,45,49,57,32,49,46,50,52,52,54,56,101,45,49,57,32,49,46,51,57,55,50,
      52,101,45,49,57,32,49,46,53,54,51,51,49,101,45,49,57,10,32,32,49,46,55,52,50,
      57,55,101,45,49,57,32,49,46,57,52,53,53,101,45,49,57,32,50,46,49,54,57,54,55,
      101,45,49,57,32,50,46,52,48,50,55,49,101,45,49,57,32,50,46,54,54,50,51,55,101,
      45,49,57,32,50,46,57,52,55,55,54,101,45,49,57,32,51,46,50,52,55,52,52,101,45,
      49,57,10,32,32,51,46,53,56,50,50,55,101,45,49,57,32,51,46,57,52,53,51,51,101,
      45,49,57,32,52,46,51,50,52,52,54,101,45,49,57,32,52,46,55,52,48,54,57,101,45,
      49,57,32,53,46,49,57,55,53,101,45,49,57,32,53,46,56,53,57,53,101,45,49,57,32,
      55,46,55,51,56,55,49,101,45,49,57,10,32,32,49,46,49,54,55,49,55,101,45,49,56,
      32,50,46,50,57,57,50,56,101,45,49,56,32,52,46,51,49,54,51,57,101,45,49,56,32,
      55,46,50,50,49,57,56,101,45,49,56,32,49,46,48,52,51,101,45,49,55,32,49,46,51,
      50,57,51,54,101,45,49,55,32,49,46,53,55,51,50,53,101,45,49,55,10,32,32,49,46,
      56,49,49,57,55,101,45,49,55,32,51,46,48,55,55,57,51,101,45,49,55,32,49,46,48,
      51,57,56,57,101,45,49,54,32,56,46,52,48,48,51,53,101,45,49,54,32,57,46,56,57,
      54,55,53,101,45,49,54,32,49,46,50,50,53,53,101,45,49,53,32,49,46,53,52,49,48,
      57,101,45,49,53,10,32,32,50,46,49,50,55,56,54,101,45,49,53,32,50,46,57,54,54,
      56,49,101,45,49,53,32,52,46,50,56,51,50,54,101,45,49,53,32,54,46,53,50,48,55,
      51,101,45,49,53,32,57,46,54,51,53,50,55,101,45,49,53,32,49,46,51,54,51,53,54,
      101,45,49,52,32,49,46,57,48,50,48,57,101,45,49,52,10,32,32,50,46,52,48,52,54,
      53,101,45,49,52,32,50,46,57,52,53,54,57,101,45,49,52,32,51,46,52,51,50,56,52,
      101,45,49,52,32,51,46,57,57,54,54,101,45,49,52,32,52,46,56,55,55,57,51,101,
      45,49,52,32,54,46,51,53,52,57,50,101,45,49,52,32,56,46,55,48,50,51,54,101,45,
      49,52,10,32,32,49,46,50,49,55,49,51,101,45,49,51,32,49,46,55,50,49,53,50,101,
      45,49,51,32,50,46,52,55,56,52,50,101,45,49,51,32,51,46,51,52,55,52,52,101,45,
      49,51,32,52,46,51,54,56,55,52,101,45,49,51,32,53,46,54,51,48,52,56,101,45,49,
      51,32,55,46,50,54,55,52,53,101,45,49,51,10,32,32,56,46,57,54,54,55,49,101,45,
      49,51,32,49,46,49,57,56,55,101,45,49,50,32,49,46,55,54,50,52,50,101,45,49,50,
      32,50,46,54,54,50,52,53,101,45,49,50,32,52,46,48,50,57,53,55,101,45,49,50,32,
      54,46,49,54,50,54,54,101,45,49,50,32,56,46,57,55,51,49,55,101,45,49,50,10,32,
      32,49,46,50,53,57,54,53,101,45,49,49,32,49,46,55,49,48,56,57,101,45,49,49,32,
      50,46,50,51,57,54,53,101,45,49,49,32,50,46,55,50,50,54,101,45,49,49,32,51,46,
      51,52,51,52,54,101,45,49,49,32,52,46,48,50,53,48,52,101,45,49,49,32,52,46,57,
      57,54,48,52,101,45,49,49,10,32,32,54,46,56,49,48,50,56,101,45,49,49,32,57,46,
      49,54,48,50,57,101,45,49,49,32,49,46,49,56,55,48,53,101,45,49,48,32,49,46,52,
      52,50,57,57,101,45,49,48,32,49,46,56,52,54,52,55,101,45,49,48,32,50,46,51,50,
      48,56,50,101,45,49,48,32,50,46,56,56,52,56,56,101,45,49,48,10,32,32,51,46,52,
      53,48,50,52,101,45,49,48,32,52,46,48,49,50,51,49,101,45,49,48,32,52,46,53,52,
      49,50,52,101,45,49,48,32,53,46,49,51,56,54,57,101,45,49,48,32,53,46,55,55,57,
      53,52,101,45,49,48,32,54,46,51,52,50,56,53,101,45,49,48,32,55,46,54,49,55,51,
      49,101,45,49,48,10,32,32,56,46,57,53,52,55,55,101,45,49,48,32,49,46,48,49,49,
      48,52,101,45,48,57,32,49,46,49,49,56,52,56,101,45,48,57,32,49,46,49,57,54,50,
      101,45,48,57,32,49,46,50,56,56,55,53,101,45,48,57,32,49,46,51,54,54,49,53,101,
      45,48,57,32,49,46,52,50,55,54,49,101,45,48,57,10,32,32,49,46,52,55,51,52,51,
      101,45,48,57,32,49,46,53,48,57,48,57,101,45,48,57,32,49,46,53,50,52,57,56,101,
      45,48,57,32,49,46,53,51,50,52,51,101,45,48,57,32,49,46,53,50,55,50,56,101,45,
      48,57,32,49,46,53,49,52,49,50,101,45,48,57,32,49,46,52,55,57,52,57,101,45,48,
      57,10,32,32,49,46,52,50,54,53,54,101,45,48,57,32,49,46,51,56,55,57,56,101,45,
      48,57,32,49,46,51,52,52,57,51,101,45,48,57,32,49,46,50,54,57,53,101,45,48,57,
      32,49,46,49,55,56,52,56,101,45,48,57,32,49,46,49,50,53,53,50,101,45,48,57,32,
      49,46,48,51,55,56,49,101,45,48,57,10,32,32,57,46,56,51,52,54,55,101,45,49,48,
      32,57,46,48,49,56,49,49,101,45,49,48,32,56,46,49,49,57,51,101,45,49,48,32,55,
      46,50,48,50,53,51,101,45,49,48,32,54,46,56,49,53,57,49,101,45,49,48,32,54,46,
      49,48,52,54,53,101,45,49,48,32,53,46,51,55,50,54,51,101,45,49,48,10,32,32,52,
      46,56,48,56,53,101,45,49,48,32,52,46,50,56,54,57,56,101,45,49,48,32,51,46,56,
      51,55,53,101,45,49,48,32,51,46,52,51,48,54,52,101,45,49,48,32,51,46,48,49,57,
      55,57,101,45,49,48,32,50,46,54,56,56,56,50,101,45,49,48,32,50,46,51,53,56,57,
      55,101,45,49,48,10,32,32,50,46,49,51,56,52,52,101,45,49,48,32,49,46,56,49,54,
      50,50,101,45,49,48,32,49,46,54,52,48,48,53,101,45,49,48,32,49,46,52,52,49,57,
      56,101,45,49,48,32,49,46,48,54,48,51,52,101,45,49,48,32,54,46,56,51,52,54,101,
      45,49,49,32,52,46,51,56,49,57,56,101,45,49,49,10,32,32,50,46,52,54,53,55,101,
      45,49,49,32,49,46,51,54,49,55,55,101,45,49,49,32,54,46,53,51,57,56,101,45,49,
      50,32,51,46,52,57,54,48,51,101,45,49,50,32,49,46,50,53,51,48,55,101,45,49,50,
      32,52,46,54,48,50,51,50,101,45,49,51,32,50,46,50,52,56,53,56,101,45,49,51,10,
      32,32,49,46,48,48,48,53,101,45,49,51,32,51,46,51,53,50,57,54,101,45,49,52,32,
      49,46,50,55,52,50,55,101,45,49,52,32,52,46,56,48,48,56,101,45,49,53,32,49,46,
      53,53,56,56,49,101,45,49,53,32,53,46,48,49,56,51,56,101,45,49,54,32,49,46,56,
      53,48,50,53,101,45,49,54,10,32,32,54,46,55,56,55,57,52,101,45,49,55,32,50,46,
      52,55,57,50,56,101,45,49,55,32,55,46,54,53,49,52,53,101,45,49,56,32,50,46,48,
      55,48,57,53,101,45,49,56,32,52,46,56,49,57,54,56,101,45,49,57,32,49,46,50,57,
      49,56,52,101,45,49,57,32,50,46,57,54,51,56,54,101,45,50,48,10,32,32,55,46,56,
      56,51,55,56,101,45,50,49,32,50,46,48,57,48,57,53,101,45,50,49,32,52,46,55,54,
      57,48,54,101,45,50,50,32,57,46,55,53,50,48,53,101,45,50,51,32,50,46,56,53,54,
      50,49,101,45,50,51,32,54,46,56,56,52,57,52,101,45,50,52,32,49,46,57,54,56,51,
      53,101,45,50,52,10,32,32,53,46,49,52,57,56,101,45,50,53,32,49,46,51,51,54,48,
      56,101,45,50,53,32,50,46,49,54,55,101,45,50,54,32,52,46,56,51,56,54,52,101,
      45,50,55,32,54,46,51,51,50,51,49,101,45,50,56,32,48,114,49,50,57,32,53,46,52,
      51,49,54,101,45,50,57,32,56,46,50,51,53,51,57,101,45,50,57,10,32,32,49,46,50,
      51,50,50,51,101,45,50,56,32,50,46,54,57,51,53,56,101,45,50,54,32,51,46,54,50,
      48,54,53,101,45,50,51,32,52,46,55,52,48,51,57,101,45,50,51,32,54,46,49,51,53,
      55,101,45,50,51,32,55,46,55,54,49,52,53,101,45,50,51,32,57,46,55,52,57,50,56,
      101,45,50,51,10,32,32,49,46,50,49,54,52,101,45,50,50,32,49,46,52,55,55,53,57,
      101,45,50,50,32,49,46,55,56,53,50,52,101,45,50,50,32,50,46,49,52,54,48,55,101,
      45,50,50,32,50,46,53,50,50,54,49,101,45,50,50,32,50,46,57,52,51,57,50,101,45,
      50,50,32,51,46,52,50,51,48,53,101,45,50,50,10,32,32,51,46,57,49,52,54,50,101,
      45,50,50,32,52,46,52,51,54,56,51,101,45,50,50,32,53,46,48,49,54,55,101,45,50,
      50,32,53,46,54,49,50,57,54,101,45,50,50,32,54,46,50,50,101,45,50,50,32,54,46,
      56,56,51,48,52,101,45,50,50,32,55,46,53,55,51,50,49,101,45,50,50,10,32,32,56,
      46,50,53,53,52,51,101,45,50,50,32,56,46,57,57,50,54,51,101,45,50,50,32,57,46,
      55,55,50,52,57,101,45,50,50,32,49,46,48,53,51,52,57,101,45,50,49,32,49,46,49,
      51,53,51,49,101,45,50,49,32,49,46,50,50,50,57,56,101,45,50,49,32,49,46,51,48,
      56,49,56,101,45,50,49,10,32,32,49,46,51,57,57,50,49,101,45,50,49,32,49,46,52,
      57,54,51,53,101,45,50,49,32,49,46,53,57,49,56,55,101,45,50,49,32,49,46,54,57,
      49,57,57,101,45,50,49,32,49,46,55,57,56,52,53,101,45,50,49,32,49,46,57,48,50,
      52,53,101,45,50,49,32,50,46,48,48,56,51,51,101,45,50,49,10,32,32,50,46,49,50,
      48,53,53,101,45,50,49,32,50,46,50,50,56,48,52,101,45,50,49,32,50,46,51,51,48,
      55,50,101,45,50,49,32,50,46,52,51,57,51,57,101,45,50,49,32,50,46,53,52,49,54,
      54,101,45,50,49,32,50,46,54,50,53,55,50,101,45,50,49,32,50,46,55,49,53,51,50,
      101,45,50,49,10,32,32,50,46,56,48,48,54,56,101,45,50,49,32,50,46,56,52,54,54,
      54,101,45,50,49,32,50,46,56,57,56,52,52,101,45,50,49,32,50,46,57,53,52,56,57,
      101,45,50,49,32,50,46,57,52,53,57,55,101,45,50,49,32,50,46,57,52,53,48,52,101,
      45,50,49,32,50,46,57,53,49,52,52,101,45,50,49,10,32,32,50,46,56,57,52,55,49,
      101,45,50,49,32,50,46,56,51,55,52,56,101,45,50,49,32,50,46,55,57,49,50,54,101,
      45,50,49,32,50,46,54,57,56,48,53,101,45,50,49,32,50,46,54,54,56,50,55,101,45,
      50,49,32,50,46,53,57,48,51,54,101,45,50,49,32,50,46,52,56,56,54,50,101,45,50,
      49,10,32,32,50,46,51,55,50,101,45,50,49,32,50,46,50,55,53,56,54,101,45,50,49,
      32,50,46,49,55,54,53,55,101,45,50,49,32,50,46,48,54,48,57,57,101,45,50,49,32,
      49,46,57,54,55,49,53,101,45,50,49,32,49,46,56,56,52,48,51,101,45,50,49,32,49,
      46,55,56,55,50,50,101,45,50,49,10,32,32,49,46,55,49,48,56,57,101,45,50,49,32,
      49,46,54,53,49,52,57,101,45,50,49,32,49,46,53,56,51,56,54,101,45,50,49,32,49,
      46,53,51,51,56,54,101,45,50,49,32,49,46,52,57,57,49,50,101,45,50,49,32,49,46,
      52,54,55,51,50,101,45,50,49,32,49,46,52,52,55,57,51,101,45,50,49,10,32,32,49,
      46,52,52,49,53,51,101,45,50,49,32,49,46,52,52,52,51,55,101,45,50,49,32,49,46,
      52,53,55,55,101,45,50,49,32,49,46,52,56,50,50,56,101,45,50,49,32,49,46,53,49,
      57,49,50,101,45,50,49,32,49,46,53,54,55,54,54,101,45,50,49,32,49,46,54,50,54,
      53,51,101,45,50,49,10,32,32,49,46,54,57,56,54,52,101,45,50,49,32,49,46,55,56,
      54,49,101,45,50,49,32,49,46,56,56,52,48,51,101,45,50,49,32,49,46,57,57,53,52,
      51,101,45,50,49,32,50,46,49,50,56,53,51,101,45,50,49,32,50,46,50,55,51,53,101,
      45,50,49,32,50,46,52,51,49,54,51,101,45,50,49,10,32,32,50,46,54,50,49,48,57,
      101,45,50,49,32,50,46,56,50,53,52,57,101,45,50,49,32,51,46,48,52,53,57,51,101,
      45,50,49,32,51,46,51,48,52,54,101,45,50,49,32,51,46,53,56,55,50,53,101,45,50,
      49,32,51,46,56,57,49,57,55,101,45,50,49,32,52,46,50,52,50,56,49,101,45,50,49,
      10,32,32,52,46,54,51,51,54,57,101,45,50,49,32,53,46,48,53,55,50,57,101,45,50,
      49,32,53,46,53,51,56,49,54,101,45,50,49,32,54,46,48,56,52,55,55,101,45,50,49,
      32,54,46,54,56,52,48,49,101,45,50,49,32,55,46,51,53,56,48,50,101,45,50,49,32,
      56,46,49,51,55,48,51,101,45,50,49,10,32,32,57,46,48,48,52,50,51,101,45,50,49,
      32,57,46,57,55,56,55,51,101,45,50,49,32,49,46,49,49,49,48,50,101,45,50,48,32,
      49,46,50,51,56,57,51,101,45,50,48,32,49,46,51,56,52,48,52,101,45,50,48,32,49,
      46,53,53,48,48,49,101,45,50,48,32,49,46,55,51,57,56,50,101,45,50,48,10,32,32,
      49,46,57,53,55,54,57,101,45,50,48,32,50,46,50,48,48,53,56,101,45,50,48,32,50,
      46,52,55,55,56,51,101,45,50,48,32,50,46,55,57,54,57,53,101,45,50,48,32,51,46,
      49,52,55,50,50,101,45,50,48,32,51,46,53,51,57,49,53,101,45,50,48,32,51,46,57,
      56,55,52,54,101,45,50,48,10,32,32,52,46,52,55,55,53,56,101,45,50,48,32,53,46,
      48,48,57,57,52,101,45,50,48,32,53,46,54,49,50,53,101,45,50,48,32,54,46,50,56,
      50,48,53,101,45,50,48,32,54,46,57,56,48,56,49,101,45,50,48,32,55,46,55,54,50,
      50,54,101,45,50,48,32,56,46,54,50,52,51,53,101,45,50,48,10,32,32,57,46,53,51,
      50,53,56,101,45,50,48,32,49,46,48,53,53,48,54,101,45,49,57,32,49,46,49,54,53,
      56,57,101,45,49,57,32,49,46,50,56,49,57,57,101,45,49,57,32,49,46,52,48,57,56,
      55,101,45,49,57,32,49,46,53,53,48,55,101,45,49,57,32,49,46,55,53,53,53,52,101,
      45,49,57,10,32,32,50,46,51,52,49,51,56,101,45,49,57,32,51,46,53,56,51,54,52,
      101,45,49,57,32,55,46,50,51,56,48,53,101,45,49,57,32,49,46,51,57,49,50,57,101,
      45,49,56,32,50,46,51,55,50,51,54,101,45,49,56,32,51,46,52,54,57,51,52,101,45,
      49,56,32,52,46,52,53,50,56,56,101,45,49,56,10,32,32,53,46,50,56,57,57,56,101,
      45,49,56,32,54,46,49,49,48,50,52,101,45,49,56,32,49,46,48,53,49,48,54,101,45,
      49,55,32,51,46,54,53,53,57,55,101,45,49,55,32,51,46,48,56,48,54,53,101,45,49,
      54,32,51,46,54,54,52,51,53,101,45,49,54,32,52,46,53,57,55,51,53,101,45,49,54,
      10,32,32,53,46,56,54,53,56,57,101,45,49,54,32,56,46,50,55,49,52,56,101,45,49,
      54,32,49,46,49,55,57,49,51,101,45,49,53,32,49,46,57,56,54,48,49,101,45,49,53,
      32,51,46,49,55,52,48,55,101,45,49,53,32,52,46,55,53,52,50,57,101,45,49,53,32,
      54,46,56,49,48,56,51,101,45,49,53,10,32,32,57,46,54,49,57,56,54,101,45,49,53,
      32,49,46,50,50,57,54,51,101,45,49,52,32,49,46,53,49,51,52,53,101,45,49,52,32,
      49,46,55,54,56,53,50,101,45,49,52,32,50,46,48,54,56,50,101,45,49,52,32,50,46,
      53,51,56,48,50,101,45,49,52,32,51,46,51,51,52,49,49,101,45,49,52,10,32,32,52,
      46,54,49,52,48,53,101,45,49,52,32,54,46,53,50,56,52,49,101,45,49,52,32,57,46,
      51,52,53,50,101,45,49,52,32,49,46,51,54,49,56,49,101,45,49,51,32,49,46,56,53,
      56,52,55,101,45,49,51,32,50,46,52,52,54,53,57,101,45,49,51,32,51,46,49,55,55,
      51,52,101,45,49,51,10,32,32,52,46,49,51,52,55,51,101,45,49,51,32,53,46,49,51,
      56,50,54,101,45,49,51,32,54,46,57,51,57,56,51,101,45,49,51,32,49,46,48,51,52,
      55,50,101,45,49,50,32,49,46,53,56,55,50,54,101,45,49,50,32,50,46,52,52,48,49,
      52,101,45,49,50,32,51,46,55,57,50,56,54,101,45,49,50,10,32,32,53,46,54,48,50,
      52,51,101,45,49,50,32,55,46,57,54,51,56,53,101,45,49,50,32,49,46,48,57,50,57,
      52,101,45,49,49,32,49,46,52,52,49,52,56,101,45,49,49,32,49,46,55,54,48,54,49,
      101,45,49,49,32,50,46,49,55,52,51,56,101,45,49,49,32,50,46,54,51,50,53,50,101,
      45,49,49,10,32,32,51,46,50,57,48,54,53,101,45,49,49,32,52,46,53,51,50,56,49,
      101,45,49,49,32,54,46,49,53,57,51,52,101,45,49,49,32,56,46,48,53,49,56,56,101,
      45,49,49,32,57,46,56,53,48,49,52,101,45,49,49,32,49,46,50,55,48,49,55,101,45,
      49,48,32,49,46,54,48,55,54,53,101,45,49,48,10,32,32,50,46,48,49,49,52,53,101,
      45,49,48,32,50,46,52,49,55,57,55,101,45,49,48,32,50,46,56,50,50,57,56,101,45,
      49,48,32,51,46,50,48,52,52,50,101,45,49,48,32,51,46,54,51,54,49,56,101,45,49,
      48,32,52,46,49,48,49,54,101,45,49,48,32,52,46,53,49,51,48,57,101,45,49,48,10,
      32,32,53,46,52,53,50,49,53,101,45,49,48,32,54,46,52,52,57,52,50,101,45,49,48,
      32,55,46,51,50,49,52,49,101,45,49,48,32,56,46,49,51,55,51,49,101,45,49,48,32,
      56,46,55,50,49,49,53,101,45,49,48,32,57,46,52,51,55,52,56,101,45,49,48,32,49,
      46,48,48,52,54,54,101,45,48,57,10,32,32,49,46,48,53,52,48,54,101,45,48,57,32,
      49,46,48,57,49,57,56,101,45,48,57,32,49,46,49,50,50,57,55,101,45,48,57,32,49,
      46,49,51,56,49,50,101,45,48,57,32,49,46,49,52,54,57,54,101,45,48,57,32,49,46,
      49,52,56,51,56,101,45,48,57,32,49,46,49,52,49,54,51,101,45,48,57,10,32,32,49,
      46,49,50,48,50,55,101,45,48,57,32,49,46,48,56,52,57,54,101,45,48,57,32,49,46,
      48,53,56,51,54,101,45,48,57,32,49,46,48,50,56,49,55,101,45,48,57,32,57,46,55,
      52,51,57,56,101,45,49,48,32,57,46,48,56,52,54,50,101,45,49,48,32,56,46,54,57,
      55,101,45,49,48,10,32,32,56,46,48,52,57,53,49,101,45,49,48,32,55,46,54,52,53,
      51,101,45,49,48,32,55,46,48,52,53,49,55,101,45,49,48,32,54,46,51,54,50,54,55,
      101,45,49,48,32,53,46,54,54,50,55,54,101,45,49,48,32,53,46,51,54,55,56,49,101,
      45,49,48,32,52,46,56,50,50,57,54,101,45,49,48,10,32,32,52,46,50,53,57,50,49,
      101,45,49,48,32,51,46,56,50,50,54,50,101,45,49,48,32,51,46,52,49,55,51,50,101,
      45,49,48,32,51,46,48,54,54,54,53,101,45,49,48,32,50,46,55,52,56,48,57,101,45,
      49,48,32,50,46,52,50,53,50,55,101,45,49,48,32,50,46,49,54,52,51,52,101,45,49,
      48,10,32,32,49,46,57,48,51,52,53,101,45,49,48,32,49,46,55,50,56,53,50,101,45,
      49,48,32,49,46,52,55,50,49,53,101,45,49,48,32,49,46,51,51,49,53,55,101,45,49,
      48,32,49,46,49,55,51,49,50,101,45,49,48,32,56,46,54,54,53,52,51,101,45,49,49,
      32,53,46,54,49,56,48,55,101,45,49,49,10,32,32,51,46,54,50,49,48,54,101,45,49,
      49,32,50,46,48,53,101,45,49,49,32,49,46,49,51,56,53,50,101,45,49,49,32,53,46,
      53,48,49,48,57,101,45,49,50,32,50,46,57,53,52,51,57,101,45,49,50,32,49,46,48,
      54,54,48,50,101,45,49,50,32,51,46,57,51,55,53,52,101,45,49,51,10,32,32,49,46,
      57,51,48,55,51,101,45,49,51,32,56,46,54,50,50,54,57,101,45,49,52,32,50,46,57,
      48,50,55,54,101,45,49,52,32,49,46,49,48,55,49,51,101,45,49,52,32,52,46,49,56,
      52,55,54,101,45,49,53,32,49,46,51,54,51,52,52,101,45,49,53,32,52,46,52,48,51,
      49,50,101,45,49,54,10,32,32,49,46,54,50,55,52,57,101,45,49,54,32,53,46,57,56,
      52,54,101,45,49,55,32,50,46,49,57,48,54,49,101,45,49,55,32,54,46,55,55,57,49,
      55,101,45,49,56,32,49,46,56,51,57,50,54,101,45,49,56,32,52,46,50,57,48,57,51,
      101,45,49,57,32,49,46,49,53,50,52,52,101,45,49,57,10,32,32,50,46,54,52,57,53,
      52,101,45,50,48,32,55,46,48,53,57,56,55,101,45,50,49,32,49,46,56,55,53,52,53,
      101,45,50,49,32,52,46,50,56,52,54,57,101,45,50,50,32,56,46,55,55,54,50,50,101,
      45,50,51,32,50,46,53,55,51,53,51,101,45,50,51,32,54,46,50,49,49,52,53,101,45,
      50,52,10,32,32,49,46,55,55,55,54,57,101,45,50,52,32,52,46,54,53,53,51,56,101,
      45,50,53,32,49,46,50,48,56,54,57,101,45,50,53,32,49,46,57,54,51,50,101,45,50,
      54,32,52,46,51,55,55,52,52,101,45,50,55,32,57,46,56,51,52,57,55,101,45,50,56,
      32,48,114,49,51,50,32,56,46,50,54,50,50,49,101,45,50,55,10,32,32,49,46,50,49,
      50,51,101,45,50,51,32,49,46,53,57,49,56,54,101,45,50,51,32,50,46,48,54,54,51,
      53,101,45,50,51,32,50,46,54,50,48,56,49,101,45,50,51,32,51,46,51,48,48,55,56,
      101,45,50,51,32,52,46,49,50,57,50,50,101,45,50,51,32,53,46,48,50,55,51,57,101,
      45,50,51,10,32,32,54,46,48,56,55,57,57,101,45,50,51,32,55,46,51,51,53,48,55,
      101,45,50,51,32,56,46,54,51,56,56,52,101,45,50,51,32,49,46,48,49,48,48,53,101,
      45,50,50,32,49,46,49,55,54,54,50,101,45,50,50,32,49,46,51,52,55,55,52,101,45,
      50,50,32,49,46,53,50,57,55,57,101,45,50,50,10,32,32,49,46,55,51,50,50,54,101,
      45,50,50,32,49,46,57,52,48,54,56,101,45,50,50,32,50,46,49,53,51,48,52,101,45,
      50,50,32,50,46,51,56,53,51,101,45,50,50,32,50,46,54,50,55,50,55,101,45,50,50,
      32,50,46,56,54,54,53,53,101,45,50,50,32,51,46,49,50,53,51,57,101,45,50,50,10,
      32,32,51,46,51,57,57,52,53,101,45,50,50,32,51,46,54,54,55,52,51,101,45,50,50,
      32,51,46,57,53,53,50,53,101,45,50,50,32,52,46,50,54,51,57,55,101,45,50,50,32,
      52,46,53,54,51,57,54,101,45,50,50,32,52,46,56,56,52,55,54,101,45,50,50,32,53,
      46,50,50,55,52,49,101,45,50,50,10,32,32,53,46,53,54,52,51,51,101,45,50,50,32,
      53,46,57,49,55,54,57,101,45,50,50,32,54,46,50,57,51,55,101,45,50,50,32,54,46,
      54,54,49,48,50,101,45,50,50,32,55,46,48,51,53,48,52,101,45,50,50,32,55,46,52,
      51,49,55,54,101,45,50,50,32,55,46,56,49,49,54,101,45,50,50,10,32,32,56,46,49,
      55,52,49,54,101,45,50,50,32,56,46,53,53,56,49,56,101,45,50,50,32,56,46,57,49,
      57,50,49,101,45,50,50,32,57,46,50,49,53,48,49,101,45,50,50,32,57,46,53,51,48,
      53,54,101,45,50,50,32,57,46,56,51,48,56,51,101,45,50,50,32,57,46,57,56,57,57,
      56,101,45,50,50,10,32,32,49,46,48,49,54,57,56,101,45,50,49,32,49,46,48,51,54,
      54,52,101,45,50,49,32,49,46,48,51,50,56,57,101,45,50,49,32,49,46,48,51,50,48,
      49,101,45,50,49,32,49,46,48,51,51,55,54,101,45,50,49,32,49,46,48,49,50,57,55,
      101,45,50,49,32,57,46,57,50,48,52,56,101,45,50,50,10,32,32,57,46,55,53,48,56,
      51,101,45,50,50,32,57,46,52,49,52,50,53,101,45,50,50,32,57,46,50,56,56,50,52,
      101,45,50,50,32,57,46,48,48,53,55,57,101,45,50,50,32,56,46,54,51,57,51,54,101,
      45,50,50,32,56,46,50,50,49,48,54,101,45,50,50,32,55,46,56,55,54,48,51,101,45,
      50,50,10,32,32,55,46,53,50,48,54,50,101,45,50,50,32,55,46,49,48,56,54,52,101,
      45,50,50,32,54,46,55,55,52,49,51,101,45,50,50,32,54,46,52,55,56,48,50,101,45,
      50,50,32,54,46,49,51,52,55,52,101,45,50,50,32,53,46,56,54,52,101,45,50,50,32,
      53,46,54,53,51,49,51,101,45,50,50,10,32,32,53,46,52,49,52,50,55,101,45,50,50,
      32,53,46,50,51,55,53,51,101,45,50,50,32,53,46,49,49,52,53,101,45,50,50,32,53,
      46,48,48,50,51,52,101,45,50,50,32,52,46,57,51,51,56,50,101,45,50,50,32,52,46,
      57,49,48,56,56,101,45,50,50,32,52,46,57,50,48,53,52,101,45,50,50,10,32,32,52,
      46,57,54,55,49,101,45,50,50,32,53,46,48,53,51,49,55,101,45,50,50,32,53,46,49,
      56,50,50,52,101,45,50,50,32,53,46,51,53,50,52,50,101,45,50,50,32,53,46,53,53,
      57,48,55,101,45,50,50,32,53,46,56,49,50,50,50,101,45,50,50,32,54,46,49,49,57,
      50,52,101,45,50,50,10,32,32,54,46,52,54,51,53,53,101,45,50,50,32,54,46,56,53,
      53,52,56,101,45,50,50,32,55,46,51,50,51,52,54,101,45,50,50,32,55,46,56,51,52,
      48,50,101,45,50,50,32,56,46,51,57,49,55,55,101,45,50,50,32,57,46,48,53,57,49,
      56,101,45,50,50,32,57,46,55,56,48,52,53,101,45,50,50,10,32,32,49,46,48,53,53,
      57,54,101,45,50,49,32,49,46,49,52,55,51,49,101,45,50,49,32,49,46,50,52,55,50,
      53,101,45,50,49,32,49,46,51,53,53,49,55,101,45,50,49,32,49,46,52,55,57,51,56,
      101,45,50,49,32,49,46,54,49,55,56,53,101,45,50,49,32,49,46,55,54,56,49,52,101,
      45,50,49,10,32,32,49,46,57,51,56,55,57,101,45,50,49,32,50,46,49,51,50,56,49,
      101,45,50,49,32,50,46,51,52,53,56,49,101,45,50,49,32,50,46,53,56,53,53,52,101,
      45,50,49,32,50,46,56,54,50,55,101,45,50,49,32,51,46,49,55,49,54,51,101,45,50,
      49,32,51,46,53,49,57,49,57,101,45,50,49,10,32,32,51,46,57,50,51,48,54,101,45,
      50,49,32,52,46,51,56,48,50,55,101,45,50,49,32,52,46,56,57,57,55,57,101,45,50,
      49,32,53,46,52,57,52,57,50,101,45,50,49,32,54,46,49,55,54,56,51,101,45,50,49,
      32,54,46,57,54,49,48,54,101,45,50,49,32,55,46,56,51,55,52,53,101,45,50,49,10,
      32,32,56,46,56,52,48,48,52,101,45,50,49,32,57,46,57,57,54,55,54,101,45,50,49,
      32,49,46,49,50,54,57,56,101,45,50,48,32,49,46,50,54,57,56,101,45,50,48,32,49,
      46,52,51,51,53,55,101,45,50,48,32,49,46,54,49,51,49,49,101,45,50,48,32,49,46,
      56,48,56,54,52,101,45,50,48,10,32,32,50,46,48,51,48,53,51,101,45,50,48,32,50,
      46,50,55,55,54,56,101,45,50,48,32,50,46,53,51,54,51,51,101,45,50,48,32,50,46,
      56,50,54,51,50,101,45,50,48,32,51,46,49,52,55,48,52,101,45,50,48,32,51,46,52,
      56,53,54,53,101,45,50,48,32,51,46,56,54,54,101,45,50,48,10,32,32,52,46,50,56,
      49,50,54,101,45,50,48,32,52,46,55,49,55,50,57,101,45,50,48,32,53,46,49,57,56,
      54,57,101,45,50,48,32,53,46,55,51,48,48,54,101,45,50,48,32,54,46,53,48,53,48,
      56,101,45,50,48,32,56,46,55,51,51,53,54,101,45,50,48,32,49,46,51,53,48,52,53,
      101,45,49,57,10,32,32,50,46,55,55,54,57,51,101,45,49,57,32,53,46,52,51,50,51,
      50,101,45,49,57,32,57,46,51,57,55,50,101,45,49,57,32,49,46,51,56,55,53,50,101,
      45,49,56,32,49,46,55,57,48,52,57,101,45,49,56,32,50,46,49,51,51,51,50,101,45,
      49,56,32,50,46,52,54,57,53,51,101,45,49,56,10,32,32,52,46,51,55,53,52,57,101,
      45,49,56,32,49,46,54,52,56,56,52,101,45,49,55,32,49,46,53,54,53,52,49,101,45,
      49,54,32,49,46,56,54,52,55,49,101,45,49,54,32,50,46,51,52,52,52,53,101,45,49,
      54,32,50,46,57,57,57,48,51,101,45,49,54,32,52,46,50,52,54,52,101,45,49,54,10,
      32,32,54,46,48,56,51,53,56,101,45,49,54,32,49,46,51,53,49,48,53,101,45,49,53,
      32,50,46,50,52,49,55,52,101,45,49,53,32,51,46,51,48,49,54,101,45,49,53,32,52,
      46,54,54,54,50,49,101,45,49,53,32,54,46,53,50,57,49,101,45,49,53,32,56,46,51,
      52,48,53,101,45,49,53,10,32,32,49,46,48,50,50,52,56,101,45,49,52,32,49,46,49,
      57,49,54,101,45,49,52,32,49,46,51,57,50,52,50,101,45,49,52,32,49,46,55,48,50,
      51,52,101,45,49,52,32,50,46,50,50,52,55,53,101,45,49,52,32,51,46,48,54,49,57,
      52,101,45,49,52,32,52,46,51,49,49,56,49,101,45,49,52,10,32,32,54,46,49,52,56,
      49,101,45,49,52,32,56,46,57,50,56,54,101,45,49,52,32,49,46,50,49,55,51,49,101,
      45,49,51,32,49,46,54,48,50,49,56,101,45,49,51,32,50,46,48,56,49,55,49,101,45,
      49,51,32,50,46,55,49,49,52,54,101,45,49,51,32,51,46,51,55,51,54,50,101,45,49,
      51,10,32,32,52,46,53,54,54,49,101,45,49,51,32,54,46,56,51,52,54,51,101,45,49,
      51,32,49,46,48,53,52,50,50,101,45,49,50,32,49,46,54,51,49,57,101,45,49,50,32,
      50,46,53,53,56,48,54,101,45,49,50,32,51,46,56,49,48,51,55,101,45,49,50,32,53,
      46,52,53,57,57,53,101,45,49,50,10,32,32,55,46,53,52,53,52,101,45,49,50,32,49,
      46,48,48,48,51,55,101,45,49,49,32,49,46,50,50,53,57,54,101,45,49,49,32,49,46,
      53,50,48,52,50,101,45,49,49,32,49,46,56,52,56,53,56,101,45,49,49,32,50,46,51,
      50,51,49,54,101,45,49,49,32,51,46,50,50,54,52,51,101,45,49,49,10,32,32,52,46,
      52,50,48,48,54,101,45,49,49,32,53,46,56,49,57,53,51,101,45,49,49,32,55,46,49,
      53,54,54,54,101,45,49,49,32,57,46,50,56,56,51,101,45,49,49,32,49,46,49,56,50,
      53,56,101,45,49,48,32,49,46,52,56,55,56,52,101,45,49,48,32,49,46,55,57,54,51,
      57,101,45,49,48,10,32,32,50,46,49,48,52,52,101,45,49,48,32,50,46,51,57,52,55,
      51,101,45,49,48,32,50,46,55,50,51,56,57,101,45,49,48,32,51,46,48,56,48,49,52,
      101,45,49,48,32,51,46,51,57,54,53,56,101,45,49,48,32,52,46,49,50,51,55,50,101,
      45,49,48,32,52,46,57,48,51,49,53,101,45,49,48,10,32,32,53,46,53,57,48,56,54,
      101,45,49,48,32,54,46,50,51,55,53,57,101,45,49,48,32,54,46,54,57,54,54,51,101,
      45,49,48,32,55,46,50,55,50,56,54,101,45,49,48,32,55,46,55,54,56,57,57,101,45,
      49,48,32,56,46,49,55,55,55,101,45,49,48,32,56,46,52,57,55,56,49,101,45,49,48,
      10,32,32,56,46,55,54,56,50,50,101,45,49,48,32,56,46,57,48,55,56,52,101,45,49,
      48,32,56,46,57,57,56,50,49,101,45,49,48,32,57,46,48,52,51,54,101,45,49,48,32,
      57,46,48,49,48,57,54,101,45,49,48,32,56,46,56,55,51,53,51,101,45,49,48,32,56,
      46,54,50,53,48,57,101,45,49,48,10,32,32,56,46,52,51,49,54,51,101,45,49,48,32,
      56,46,50,48,56,53,50,101,45,49,48,32,55,46,56,48,52,57,54,101,45,49,48,32,55,
      46,51,48,50,57,51,101,45,49,48,32,55,46,48,48,53,48,54,101,45,49,48,32,54,46,
      53,48,51,55,57,101,45,49,48,32,54,46,49,56,56,55,55,101,45,49,48,10,32,32,53,
      46,55,50,54,55,57,101,45,49,48,32,53,46,49,56,53,48,50,101,45,49,48,32,52,46,
      54,50,55,52,50,101,45,49,48,32,52,46,51,57,50,53,51,101,45,49,48,32,51,46,57,
      53,55,49,51,101,45,49,48,32,51,46,53,48,52,53,57,101,45,49,48,32,51,46,49,53,
      50,54,55,101,45,49,48,10,32,32,50,46,56,50,52,56,50,101,45,49,48,32,50,46,53,
      52,48,50,51,101,45,49,48,32,50,46,50,56,48,57,51,101,45,49,48,32,50,46,48,49,
      55,51,53,101,45,49,48,32,49,46,56,48,51,54,57,101,45,49,48,32,49,46,53,56,57,
      52,57,101,45,49,48,32,49,46,52,52,53,53,49,101,45,49,48,10,32,32,49,46,50,51,
      51,57,55,101,45,49,48,32,49,46,49,49,55,54,56,101,45,49,48,32,57,46,56,54,51,
      53,49,101,45,49,49,32,55,46,51,49,51,53,51,101,45,49,49,32,52,46,55,54,52,57,
      49,101,45,49,49,32,51,46,48,56,52,56,53,101,45,49,49,32,49,46,55,53,53,52,49,
      101,45,49,49,10,32,32,57,46,55,57,53,48,52,101,45,49,50,32,52,46,55,53,55,48,
      53,101,45,49,50,32,50,46,53,54,52,55,54,101,45,49,50,32,57,46,51,48,54,51,52,
      101,45,49,51,32,51,46,52,53,51,56,52,101,45,49,51,32,49,46,54,57,56,55,51,101,
      45,49,51,32,55,46,54,49,48,52,101,45,49,52,10,32,32,50,46,53,55,49,55,54,101,
      45,49,52,32,57,46,56,51,56,52,56,101,45,49,53,32,51,46,55,50,57,48,54,101,45,
      49,53,32,49,46,50,49,56,52,54,101,45,49,53,32,51,46,57,52,53,51,49,101,45,49,
      54,32,49,46,52,54,49,51,55,101,45,49,54,32,53,46,51,56,52,52,101,45,49,55,10,
      32,32,49,46,57,55,52,53,52,101,45,49,55,32,54,46,49,50,52,54,57,101,45,49,56,
      32,49,46,54,54,53,48,55,101,45,49,56,32,51,46,56,57,50,53,53,101,45,49,57,32,
      49,46,48,52,55,50,51,101,45,49,57,32,50,46,52,49,49,57,49,101,45,50,48,32,54,
      46,52,51,54,49,51,101,45,50,49,10,32,32,49,46,55,49,50,49,101,45,50,49,32,51,
      46,57,49,54,57,57,101,45,50,50,32,56,46,48,51,52,51,52,101,45,50,51,32,50,46,
      51,53,56,51,53,101,45,50,51,32,53,46,54,57,56,51,49,101,45,50,52,32,49,46,54,
      51,50,54,53,101,45,50,52,32,52,46,50,56,49,53,55,101,45,50,53,10,32,32,49,46,
      49,49,56,50,101,45,50,53,32,49,46,56,48,55,52,56,101,45,50,54,32,52,46,51,57,
      57,55,56,101,45,50,55,32,57,46,48,51,55,48,55,101,45,50,56,32,48,114,49,51,
      51,32,49,46,53,54,54,56,101,45,50,52,32,50,46,48,55,50,56,57,101,45,50,52,32,
      50,46,55,49,48,54,57,101,45,50,52,10,32,32,51,46,52,54,49,51,51,101,45,50,52,
      32,52,46,51,56,56,54,54,101,45,50,52,32,53,46,53,50,54,54,51,101,45,50,52,32,
      54,46,55,54,55,51,57,101,45,50,52,32,56,46,50,52,49,52,57,101,45,50,52,32,57,
      46,57,56,53,50,57,101,45,50,52,32,49,46,49,56,49,54,51,101,45,50,51,10,32,32,
      49,46,51,56,55,56,56,101,45,50,51,32,49,46,54,50,52,48,54,101,45,50,51,32,49,
      46,56,54,55,52,55,101,45,50,51,32,50,46,49,50,55,50,56,101,45,50,51,32,50,46,
      52,49,55,51,52,101,45,50,51,32,50,46,55,49,54,54,52,101,45,50,51,32,51,46,48,
      50,50,50,50,101,45,50,51,10,32,32,51,46,51,53,55,52,51,101,45,50,51,32,51,46,
      55,48,55,51,57,101,45,50,51,32,52,46,48,53,51,55,56,101,45,50,51,32,52,46,52,
      50,57,52,50,101,45,50,51,32,52,46,56,50,55,57,52,101,45,50,51,32,53,46,50,49,
      55,55,55,101,45,50,51,32,53,46,54,51,55,51,52,101,45,50,51,10,32,32,54,46,48,
      56,56,51,54,101,45,50,51,32,54,46,53,50,54,53,55,101,45,50,51,32,54,46,57,57,
      54,49,52,101,45,50,51,32,55,46,52,57,56,54,51,101,45,50,51,32,55,46,57,57,50,
      55,52,101,45,50,51,32,56,46,53,49,49,55,101,45,50,51,32,57,46,48,54,52,57,51,
      101,45,50,51,10,32,32,57,46,54,48,53,50,49,101,45,50,51,32,49,46,48,49,53,53,
      55,101,45,50,50,32,49,46,48,55,52,48,53,101,45,50,50,32,49,46,49,50,57,57,57,
      101,45,50,50,32,49,46,49,56,51,51,101,45,50,50,32,49,46,50,51,57,56,54,101,
      45,50,50,32,49,46,50,57,50,57,50,101,45,50,50,10,32,32,49,46,51,51,54,48,54,
      101,45,50,50,32,49,46,51,56,50,49,56,101,45,50,50,32,49,46,52,50,53,57,54,101,
      45,50,50,32,49,46,52,52,56,50,57,101,45,50,50,32,49,46,52,55,51,55,52,101,45,
      50,50,32,49,46,53,48,49,55,49,101,45,50,50,32,49,46,52,57,52,50,49,101,45,50,
      50,10,32,32,49,46,52,57,49,48,56,101,45,50,50,32,49,46,52,57,49,57,54,101,45,
      50,50,32,49,46,52,53,56,56,56,101,45,50,50,32,49,46,52,50,53,55,51,101,45,50,
      50,32,49,46,51,57,56,54,53,101,45,50,50,32,49,46,51,52,54,55,49,101,45,50,50,
      32,49,46,51,50,49,51,53,101,45,50,50,10,32,32,49,46,50,55,55,52,49,101,45,50,
      50,32,49,46,50,50,49,49,56,101,45,50,50,32,49,46,49,53,55,53,53,101,45,50,50,
      32,49,46,49,48,53,48,49,101,45,50,50,32,49,46,48,53,49,50,101,45,50,50,32,57,
      46,56,57,51,57,53,101,45,50,51,32,57,46,51,57,50,48,50,101,45,50,51,10,32,32,
      56,46,57,52,56,52,49,101,45,50,51,32,56,46,52,51,57,51,50,101,45,50,51,32,56,
      46,48,51,55,54,51,101,45,50,51,32,55,46,55,50,52,49,57,101,45,50,51,32,55,46,
      51,55,51,49,52,101,45,50,51,32,55,46,49,49,50,57,57,101,45,50,51,32,54,46,57,
      51,49,49,53,101,45,50,51,10,32,32,54,46,55,54,54,56,101,45,50,51,32,54,46,54,
      54,54,48,54,101,45,50,51,32,54,46,54,51,49,51,54,101,45,50,51,32,54,46,54,52,
      52,52,51,101,45,50,51,32,54,46,55,49,49,50,52,101,45,50,51,32,54,46,56,51,53,
      52,101,45,50,51,32,55,46,48,50,49,55,57,101,45,50,51,10,32,32,55,46,50,54,55,
      57,50,101,45,50,51,32,55,46,53,54,55,54,101,45,50,51,32,55,46,57,51,52,56,57,
      101,45,50,51,32,56,46,51,56,48,50,50,101,45,50,51,32,56,46,56,56,49,51,50,101,
      45,50,51,32,57,46,52,53,50,56,50,101,45,50,51,32,49,46,48,49,51,52,50,101,45,
      50,50,10,32,32,49,46,48,56,56,48,50,101,45,50,50,32,49,46,49,54,57,56,50,101,
      45,50,50,32,49,46,50,54,55,52,51,101,45,50,50,32,49,46,51,55,51,51,49,101,45,
      50,50,32,49,46,52,56,56,49,53,101,45,50,50,32,49,46,54,50,50,53,101,45,50,50,
      32,49,46,55,54,57,57,49,101,45,50,50,10,32,32,49,46,57,50,57,54,57,101,45,50,
      50,32,50,46,49,49,51,52,51,101,45,50,50,32,50,46,51,49,56,54,49,101,45,50,50,
      32,50,46,53,52,50,48,52,101,45,50,50,32,50,46,55,57,53,56,53,101,45,50,50,32,
      51,46,48,56,52,54,50,101,45,50,50,32,51,46,52,48,50,53,55,101,45,50,50,10,32,
      32,51,46,55,54,49,48,50,101,45,50,50,32,52,46,49,55,53,54,54,101,45,50,50,32,
      52,46,54,51,57,49,53,101,45,50,50,32,53,46,49,54,49,57,54,101,45,50,50,32,53,
      46,55,55,48,52,57,101,45,50,50,32,54,46,52,54,49,54,50,101,45,50,50,32,55,46,
      50,52,57,54,51,101,45,50,50,10,32,32,56,46,49,53,53,53,53,101,45,50,50,32,57,
      46,49,57,55,54,57,101,45,50,50,32,49,46,48,52,48,49,52,101,45,50,49,32,49,46,
      49,55,53,51,52,101,45,50,49,32,49,46,51,51,48,55,54,101,45,50,49,32,49,46,53,
      49,49,101,45,50,49,32,49,46,55,49,48,53,101,45,50,49,10,32,32,49,46,57,51,53,
      53,52,101,45,50,49,32,50,46,49,57,53,48,51,101,45,50,49,32,50,46,52,56,49,49,
      52,101,45,50,49,32,50,46,55,57,52,52,57,101,45,50,49,32,51,46,49,53,50,48,50,
      101,45,50,49,32,51,46,53,53,50,50,57,101,45,50,49,32,51,46,57,55,51,54,49,101,
      45,50,49,10,32,32,52,46,52,52,56,52,53,101,45,50,49,32,52,46,57,55,54,51,54,
      101,45,50,49,32,53,46,53,51,54,50,101,45,50,49,32,54,46,49,54,55,56,49,101,
      45,50,49,32,54,46,56,54,49,53,51,101,45,50,49,32,55,46,53,57,51,51,52,101,45,
      50,49,32,56,46,52,48,53,49,52,101,45,50,49,10,32,32,57,46,51,48,53,53,51,101,
      45,50,49,32,49,46,48,54,50,53,57,101,45,50,48,32,49,46,52,52,54,52,101,45,50,
      48,32,50,46,50,56,51,57,50,101,45,50,48,32,52,46,56,54,57,50,56,101,45,50,48,
      32,57,46,56,54,49,48,57,101,45,50,48,32,49,46,55,53,52,48,52,101,45,49,57,10,
      32,32,50,46,54,51,55,57,52,101,45,49,57,32,51,46,52,51,56,57,51,101,45,49,57,
      32,52,46,49,49,57,57,51,101,45,49,57,32,52,46,55,56,56,56,52,101,45,49,57,32,
      56,46,54,49,51,56,101,45,49,57,32,51,46,51,53,52,55,50,101,45,49,56,32,51,46,
      51,51,54,53,101,45,49,55,10,32,32,52,46,48,51,57,53,50,101,45,49,55,32,53,46,
      49,57,49,51,56,101,45,49,55,32,54,46,56,48,49,51,55,101,45,49,55,32,57,46,57,
      54,49,57,55,101,45,49,55,32,49,46,52,55,55,56,53,101,45,49,54,32,49,46,49,51,
      54,50,101,45,49,53,32,50,46,48,52,52,56,55,101,45,49,53,10,32,32,50,46,57,48,
      54,54,54,101,45,49,53,32,51,46,57,55,51,57,101,45,49,53,32,53,46,52,49,57,57,
      49,101,45,49,53,32,54,46,57,51,54,56,50,101,45,49,53,32,56,46,51,56,56,55,50,
      101,45,49,53,32,57,46,54,56,54,53,53,101,45,49,53,32,49,46,49,50,57,51,52,101,
      45,49,52,10,32,32,49,46,51,53,57,52,52,101,45,49,52,32,49,46,55,51,52,51,49,
      101,45,49,52,32,50,46,51,49,51,53,51,101,45,49,52,32,51,46,49,52,54,51,56,101,
      45,49,52,32,52,46,51,50,48,48,57,101,45,49,52,32,54,46,48,49,56,49,56,101,45,
      49,52,32,55,46,57,53,53,48,54,101,45,49,52,10,32,32,49,46,48,50,48,55,56,101,
      45,49,51,32,49,46,50,57,56,49,53,101,45,49,51,32,49,46,54,53,51,56,52,101,45,
      49,51,32,50,46,48,49,57,57,55,101,45,49,51,32,50,46,54,54,53,50,52,101,45,49,
      51,32,51,46,56,54,54,52,49,101,45,49,51,32,53,46,55,57,51,54,54,101,45,49,51,
      10,32,32,56,46,55,54,55,50,57,101,45,49,51,32,49,46,51,53,51,54,55,101,45,49,
      50,32,50,46,48,48,51,50,57,101,45,49,50,32,50,46,56,54,56,57,54,101,45,49,50,
      32,51,46,57,55,52,48,49,101,45,49,50,32,53,46,50,56,53,56,57,101,45,49,50,32,
      54,46,52,57,53,50,54,101,45,49,50,10,32,32,56,46,48,57,48,50,56,101,45,49,50,
      32,57,46,56,56,50,57,55,101,45,49,50,32,49,46,50,53,48,52,53,101,45,49,49,32,
      49,46,55,53,54,56,52,101,45,49,49,32,50,46,52,51,55,48,53,101,45,49,49,32,51,
      46,50,52,54,49,56,101,45,49,49,32,52,46,48,50,55,54,57,101,45,49,49,10,32,32,
      53,46,50,56,54,52,52,101,45,49,49,32,54,46,56,48,50,48,54,101,45,49,49,32,56,
      46,54,52,52,57,56,101,45,49,49,32,49,46,48,53,50,50,54,101,45,49,48,32,49,46,
      50,52,48,52,54,101,45,49,48,32,49,46,52,49,56,49,55,101,45,49,48,32,49,46,54,
      50,48,51,52,101,45,49,48,10,32,32,49,46,56,52,48,55,56,101,45,49,48,32,50,46,
      48,51,56,50,50,101,45,49,48,32,50,46,52,57,55,50,57,101,45,49,48,32,50,46,57,
      57,55,50,50,101,45,49,48,32,51,46,52,52,52,57,53,101,45,49,48,32,51,46,56,54,
      57,53,57,101,45,49,48,32,52,46,49,54,55,48,54,101,45,49,48,10,32,32,52,46,53,
      53,52,54,57,101,45,49,48,32,52,46,56,57,53,49,57,101,45,49,48,32,53,46,49,56,
      50,54,101,45,49,48,32,53,46,52,49,52,56,49,101,45,49,48,32,53,46,54,50,48,51,
      54,101,45,49,48,32,53,46,55,51,52,50,52,101,45,49,48,32,53,46,56,49,54,54,57,
      101,45,49,48,10,32,32,53,46,56,56,53,53,57,101,45,49,48,32,53,46,56,56,56,49,
      52,101,45,49,48,32,53,46,56,51,52,55,52,101,45,49,48,32,53,46,55,48,56,50,50,
      101,45,49,48,32,53,46,54,48,49,53,49,101,45,49,48,32,53,46,52,55,51,57,51,101,
      45,49,48,32,53,46,50,51,53,53,101,45,49,48,10,32,32,52,46,57,51,48,48,50,101,
      45,49,48,32,52,46,55,52,53,52,49,101,45,49,48,32,52,46,52,51,48,50,57,101,45,
      49,48,32,52,46,50,50,57,55,52,101,45,49,48,32,51,46,57,52,49,52,52,101,45,49,
      48,32,51,46,53,56,53,54,101,45,49,48,32,51,46,50,49,54,49,57,101,45,49,48,10,
      32,32,51,46,48,54,48,53,53,101,45,49,48,32,50,46,55,55,48,50,49,101,45,49,48,
      32,50,46,52,54,53,57,101,45,49,48,32,50,46,50,50,55,52,56,101,45,49,48,32,50,
      46,48,48,51,57,50,101,45,49,48,32,49,46,56,48,56,55,49,101,45,49,48,32,49,46,
      54,50,57,56,57,101,45,49,48,10,32,32,49,46,52,52,55,49,51,101,45,49,48,32,49,
      46,50,57,56,50,50,101,45,49,48,32,49,46,49,52,56,50,101,45,49,48,32,49,46,48,
      52,54,57,50,101,45,49,48,32,56,46,57,55,52,52,49,101,45,49,49,32,56,46,49,52,
      56,57,53,101,45,49,49,32,55,46,50,49,51,50,52,101,45,49,49,10,32,32,53,46,51,
      56,52,57,51,101,45,49,49,32,51,46,53,51,57,51,55,101,45,49,49,32,50,46,51,48,
      57,55,56,101,45,49,49,32,49,46,51,50,54,53,52,101,45,49,49,32,55,46,52,54,52,
      56,49,101,45,49,50,32,51,46,54,53,57,48,53,101,45,49,50,32,49,46,57,56,54,55,
      50,101,45,49,50,10,32,32,55,46,50,56,50,54,51,101,45,49,51,32,50,46,55,50,54,
      49,52,101,45,49,51,32,49,46,51,52,56,50,50,101,45,49,51,32,54,46,48,55,52,52,
      57,101,45,49,52,32,50,46,48,54,54,57,101,45,49,52,32,55,46,57,53,48,52,101,
      45,49,53,32,51,46,48,50,56,53,51,101,45,49,53,10,32,32,57,46,57,52,55,54,52,
      101,45,49,54,32,51,46,50,51,54,52,54,101,45,49,54,32,49,46,50,48,51,52,52,101,
      45,49,54,32,52,46,52,52,57,57,101,45,49,55,32,49,46,54,51,55,50,56,101,45,49,
      55,32,53,46,48,57,57,56,53,101,45,49,56,32,49,46,51,57,49,53,54,101,45,49,56,
      10,32,32,51,46,50,54,53,51,53,101,45,49,57,32,56,46,56,49,50,49,55,101,45,50,
      48,32,50,46,48,51,54,48,53,101,45,50,48,32,53,46,52,52,55,53,57,101,45,50,49,
      32,49,46,52,53,50,55,51,101,45,50,49,32,51,46,51,51,50,49,50,101,45,50,50,32,
      54,46,56,53,50,49,55,101,45,50,51,10,32,32,50,46,48,49,53,48,55,101,45,50,51,
      32,52,46,56,55,56,57,55,101,45,50,52,32,49,46,52,48,48,48,56,101,45,50,52,32,
      51,46,54,55,57,56,56,101,45,50,53,32,57,46,54,52,49,54,57,101,45,50,54,32,49,
      46,53,53,55,52,55,101,45,50,54,32,51,46,55,56,57,51,50,101,45,50,55,10,32,32,
      55,46,55,53,57,53,56,101,45,50,56,32,48,114,49,51,51,32,49,46,55,54,50,52,49,
      101,45,50,53,32,50,46,51,53,56,57,52,101,45,50,53,32,51,46,49,49,57,53,57,101,
      45,50,53,32,52,46,48,50,52,49,49,101,45,50,53,32,53,46,49,53,51,49,53,101,45,
      50,53,32,54,46,53,53,50,55,55,101,45,50,53,10,32,32,56,46,48,57,48,57,51,101,
      45,50,53,32,57,46,57,51,51,56,49,101,45,50,53,32,49,46,50,49,51,49,57,101,45,
      50,52,32,49,46,52,52,53,51,54,101,45,50,52,32,49,46,55,48,56,53,55,101,45,50,
      52,32,50,46,48,49,49,57,50,101,45,50,52,32,50,46,51,50,53,57,49,101,45,50,52,
      10,32,32,50,46,54,54,50,53,49,101,45,50,52,32,51,46,48,52,48,49,57,101,45,50,
      52,32,51,46,52,51,49,49,56,101,45,50,52,32,51,46,56,51,49,52,49,101,45,50,52,
      32,52,46,50,55,50,49,53,101,45,50,52,32,52,46,55,51,51,53,55,101,45,50,52,32,
      53,46,49,57,48,56,52,101,45,50,52,10,32,32,53,46,54,56,56,51,49,101,45,50,52,
      32,54,46,50,49,55,52,55,101,45,50,52,32,54,46,55,51,53,51,52,101,45,50,52,32,
      55,46,50,57,52,50,51,101,45,50,52,32,55,46,56,57,54,54,57,101,45,50,52,32,56,
      46,52,56,49,57,57,101,45,50,52,32,57,46,49,49,48,55,53,101,45,50,52,10,32,32,
      57,46,55,56,53,50,54,101,45,50,52,32,49,46,48,52,52,56,54,101,45,50,51,32,49,
      46,49,49,52,54,53,101,45,50,51,32,49,46,49,56,57,50,50,101,45,50,51,32,49,46,
      50,54,50,48,50,101,45,50,51,32,49,46,51,51,54,50,54,101,45,50,51,32,49,46,52,
      49,53,50,57,101,45,50,51,10,32,32,49,46,52,57,48,55,56,101,45,50,51,32,49,46,
      53,54,50,54,101,45,50,51,32,49,46,54,51,56,57,52,101,45,50,51,32,49,46,55,49,
      48,51,56,101,45,50,51,32,49,46,55,54,55,57,49,101,45,50,51,32,49,46,56,50,57,
      53,55,101,45,50,51,32,49,46,56,56,55,57,49,101,45,50,51,10,32,32,49,46,57,49,
      54,49,56,101,45,50,51,32,49,46,57,52,56,55,57,101,45,50,51,32,49,46,57,56,52,
      56,57,101,45,50,51,32,49,46,57,55,49,52,50,101,45,50,51,32,49,46,57,54,52,49,
      50,101,45,50,51,32,49,46,57,54,50,52,54,101,45,50,51,32,49,46,57,49,51,54,56,
      101,45,50,51,10,32,32,49,46,56,54,53,48,52,101,45,50,51,32,49,46,56,50,53,48,
      50,101,45,50,51,32,49,46,55,53,48,57,54,101,45,50,51,32,49,46,55,48,53,55,101,
      45,50,51,32,49,46,54,52,50,53,52,101,45,50,51,32,49,46,53,54,50,57,55,101,45,
      50,51,32,49,46,52,55,51,56,50,101,45,50,51,10,32,32,49,46,52,48,48,49,53,101,
      45,50,51,32,49,46,51,50,53,49,56,101,45,50,51,32,49,46,50,52,48,48,52,101,45,
      50,51,32,49,46,49,55,48,56,56,101,45,50,51,32,49,46,49,48,57,56,56,101,45,50,
      51,32,49,46,48,52,48,55,50,101,45,50,51,32,57,46,56,54,49,52,101,45,50,52,10,
      32,32,57,46,52,51,52,53,54,101,45,50,52,32,56,46,57,54,51,48,56,101,45,50,52,
      32,56,46,54,49,51,49,53,101,45,50,52,32,56,46,51,54,55,52,49,101,45,50,52,32,
      56,46,49,52,55,54,53,101,45,50,52,32,56,46,48,49,50,53,101,45,50,52,32,55,46,
      57,54,52,53,54,101,45,50,52,10,32,32,55,46,57,56,48,53,53,101,45,50,52,32,56,
      46,48,54,55,57,50,101,45,50,52,32,56,46,50,51,49,50,53,101,45,50,52,32,56,46,
      52,55,54,53,57,101,45,50,52,32,56,46,56,48,49,49,52,101,45,50,52,32,57,46,49,
      57,55,54,50,101,45,50,52,32,57,46,54,56,51,56,55,101,45,50,52,10,32,32,49,46,
      48,50,55,51,51,101,45,50,51,32,49,46,48,57,51,57,50,101,45,50,51,32,49,46,49,
      55,48,48,55,101,45,50,51,32,49,46,50,54,48,54,57,101,45,50,51,32,49,46,51,54,
      48,51,56,101,45,50,51,32,49,46,52,55,48,49,57,101,45,50,51,32,49,46,54,48,48,
      55,54,101,45,50,51,10,32,32,49,46,55,52,51,49,50,101,45,50,51,32,49,46,56,57,
      56,50,54,101,45,50,51,32,50,46,48,55,57,51,54,101,45,50,51,32,50,46,50,55,56,
      55,56,101,45,50,51,32,50,46,52,57,53,57,51,101,45,50,51,32,50,46,55,52,53,52,
      54,101,45,50,51,32,51,46,48,50,52,54,55,101,45,50,51,10,32,32,51,46,51,50,57,
      57,57,101,45,50,51,32,51,46,54,55,55,48,55,101,45,50,51,32,52,46,48,55,50,50,
      57,101,45,50,51,32,52,46,53,48,57,48,53,101,45,50,51,32,53,46,48,48,50,52,53,
      101,45,50,51,32,53,46,53,55,51,54,49,101,45,50,51,32,54,46,50,49,52,50,56,101,
      45,50,51,10,32,32,54,46,57,51,57,50,50,101,45,50,51,32,55,46,55,56,52,55,50,
      101,45,50,51,32,56,46,55,52,56,54,56,101,45,50,51,32,57,46,56,53,50,50,56,101,
      45,50,51,32,49,46,49,49,50,54,52,101,45,50,50,32,49,46,50,53,57,57,101,45,50,
      50,32,49,46,52,51,48,56,53,101,45,50,50,10,32,32,49,46,54,50,52,48,51,101,45,
      50,50,32,49,46,56,52,55,51,56,101,45,50,50,32,50,46,49,48,55,57,51,101,45,50,
      50,32,50,46,51,57,56,50,56,101,45,50,50,32,50,46,55,50,55,57,101,45,50,50,32,
      51,46,49,49,48,51,56,101,45,50,50,32,51,46,53,51,52,57,53,101,45,50,50,10,32,
      32,52,46,48,48,50,57,51,101,45,50,50,32,52,46,53,52,48,50,52,101,45,50,50,32,
      53,46,49,52,53,51,57,101,45,50,50,32,53,46,55,56,54,52,56,101,45,50,50,32,54,
      46,53,49,51,50,54,101,45,50,50,32,55,46,51,50,54,48,55,101,45,50,50,32,56,46,
      49,57,50,52,55,101,45,50,50,10,32,32,57,46,49,55,52,56,52,101,45,50,50,32,49,
      46,48,50,54,48,56,101,45,50,49,32,49,46,49,52,49,50,52,101,45,50,49,32,49,46,
      50,54,57,54,53,101,45,50,49,32,49,46,52,49,50,56,52,101,45,50,49,32,49,46,54,
      50,52,48,57,101,45,50,49,32,50,46,50,52,53,52,52,101,45,50,49,10,32,32,51,46,
      54,50,57,55,50,101,45,50,49,32,56,46,48,53,50,48,55,101,45,50,49,32,49,46,54,
      57,50,54,56,101,45,50,48,32,51,46,49,48,49,50,53,101,45,50,48,32,52,46,55,53,
      52,57,55,101,45,50,48,32,54,46,50,54,52,57,50,101,45,50,48,32,55,46,53,52,56,
      48,55,101,45,50,48,10,32,32,56,46,56,49,48,52,53,101,45,50,48,32,49,46,54,51,
      54,48,56,101,45,49,57,32,54,46,57,48,57,56,57,101,45,49,57,32,55,46,55,51,49,
      50,57,101,45,49,56,32,57,46,52,51,48,56,55,101,45,49,56,32,49,46,50,50,52,55,
      53,101,45,49,55,32,49,46,54,50,51,55,52,101,45,49,55,10,32,32,50,46,52,50,48,
      57,53,101,45,49,55,32,51,46,54,54,50,54,54,101,45,49,55,32,49,46,52,48,54,48,
      56,101,45,49,52,32,50,46,49,55,50,52,101,45,49,52,32,50,46,52,55,52,55,56,101,
      45,49,52,32,50,46,55,56,57,49,54,101,45,49,52,32,51,46,49,55,55,55,53,101,45,
      49,52,10,32,32,51,46,53,57,52,55,57,101,45,49,52,32,52,46,48,49,48,57,57,101,
      45,49,52,32,52,46,52,48,48,54,51,101,45,49,52,32,52,46,56,53,49,56,51,101,45,
      49,52,32,53,46,51,55,54,56,101,45,49,52,32,54,46,48,54,56,48,53,101,45,49,52,
      32,54,46,57,53,51,57,54,101,45,49,52,10,32,32,56,46,48,51,53,52,54,101,45,49,
      52,32,57,46,51,51,57,48,52,101,45,49,52,32,49,46,48,57,55,57,101,45,49,51,32,
      49,46,50,54,57,51,57,101,45,49,51,32,49,46,52,54,48,55,101,45,49,51,32,49,46,
      54,57,55,50,101,45,49,51,32,49,46,57,55,51,50,55,101,45,49,51,10,32,32,50,46,
      50,50,57,53,56,101,45,49,51,32,50,46,54,51,52,52,57,101,45,49,51,32,51,46,51,
      50,50,48,49,101,45,49,51,32,52,46,51,53,49,55,52,101,45,49,51,32,53,46,56,56,
      50,49,54,101,45,49,51,32,56,46,51,48,52,55,53,101,45,49,51,32,49,46,49,54,48,
      52,49,101,45,49,50,10,32,32,49,46,54,48,53,57,50,101,45,49,50,32,50,46,49,56,
      48,49,52,101,45,49,50,32,50,46,56,55,49,48,51,101,45,49,50,32,51,46,53,49,50,
      49,49,101,45,49,50,32,52,46,51,54,52,49,101,45,49,50,32,53,46,51,50,51,56,50,
      101,45,49,50,32,54,46,55,52,49,50,51,101,45,49,50,10,32,32,57,46,53,49,56,53,
      54,101,45,49,50,32,49,46,51,51,49,101,45,49,49,32,49,46,55,56,57,48,54,101,
      45,49,49,32,50,46,50,51,55,101,45,49,49,32,50,46,57,54,54,55,50,101,45,49,49,
      32,51,46,56,53,54,53,57,101,45,49,49,32,52,46,57,53,49,54,49,101,45,49,49,10,
      32,32,54,46,48,55,55,53,51,101,45,49,49,32,55,46,50,49,49,56,51,101,45,49,49,
      32,56,46,50,56,53,55,50,101,45,49,49,32,57,46,53,49,50,48,57,101,45,49,49,32,
      49,46,48,56,53,57,54,101,45,49,48,32,49,46,50,48,55,54,57,101,45,49,48,32,49,
      46,52,57,52,49,54,101,45,49,48,10,32,32,49,46,56,49,49,48,49,101,45,49,48,32,
      50,46,48,57,56,55,57,101,45,49,48,32,50,46,51,55,51,57,50,101,45,49,48,32,50,
      46,53,54,52,51,54,101,45,49,48,32,50,46,56,50,49,48,56,101,45,49,48,32,51,46,
      48,53,48,55,51,101,45,49,48,32,51,46,50,52,56,55,53,101,45,49,48,10,32,32,51,
      46,52,49,50,57,55,101,45,49,48,32,51,46,53,54,51,55,52,101,45,49,48,32,51,46,
      54,53,49,53,57,101,45,49,48,32,51,46,55,49,57,55,55,101,45,49,48,32,51,46,55,
      56,57,52,55,101,45,49,48,32,51,46,56,48,54,53,55,101,45,49,48,32,51,46,55,57,
      53,56,53,101,45,49,48,10,32,32,51,46,55,51,55,56,49,101,45,49,48,32,51,46,54,
      56,50,48,52,101,45,49,48,32,51,46,54,49,49,56,55,101,45,49,48,32,51,46,52,55,
      53,48,54,101,45,49,48,32,51,46,50,57,51,51,53,101,45,49,48,32,51,46,49,56,49,
      49,55,101,45,49,48,32,50,46,57,56,54,53,56,101,45,49,48,10,32,32,50,46,56,54,
      48,57,53,101,45,49,48,32,50,46,54,56,50,55,53,101,45,49,48,32,50,46,52,53,50,
      50,56,101,45,49,48,32,50,46,50,49,50,52,54,101,45,49,48,32,50,46,49,49,48,54,
      56,101,45,49,48,32,49,46,57,49,57,53,52,101,45,49,48,32,49,46,55,49,55,52,55,
      101,45,49,48,10,32,32,49,46,53,53,55,57,49,101,45,49,48,32,49,46,52,48,55,51,
      50,101,45,49,48,32,49,46,50,55,53,48,49,101,45,49,48,32,49,46,49,53,51,49,50,
      101,45,49,48,32,49,46,48,50,55,56,54,101,45,49,48,32,57,46,50,53,50,52,51,101,
      45,49,49,32,56,46,50,49,51,51,57,101,45,49,49,10,32,32,55,46,53,48,56,56,55,
      101,45,49,49,32,54,46,52,54,52,48,55,101,45,49,49,32,53,46,56,56,52,52,51,101,
      45,49,49,32,53,46,50,50,52,57,101,45,49,49,32,51,46,57,50,55,55,51,101,45,49,
      49,32,50,46,54,48,52,56,56,101,45,49,49,32,49,46,55,49,51,57,49,101,45,49,49,
      10,32,32,57,46,57,51,54,57,49,101,45,49,50,32,53,46,54,52,48,55,101,45,49,50,
      32,50,46,55,57,49,52,51,101,45,49,50,32,49,46,53,50,54,55,49,101,45,49,50,32,
      53,46,54,53,53,52,53,101,45,49,51,32,50,46,49,51,53,57,50,101,45,49,51,32,49,
      46,48,54,50,51,53,101,45,49,51,10,32,32,52,46,56,49,52,55,49,101,45,49,52,32,
      49,46,54,52,57,57,57,101,45,49,52,32,54,46,51,56,50,56,55,101,45,49,53,32,50,
      46,52,52,52,49,49,101,45,49,53,32,56,46,48,55,49,56,49,101,45,49,54,32,50,46,
      54,51,57,49,54,101,45,49,54,32,57,46,56,53,50,53,49,101,45,49,55,10,32,32,51,
      46,54,53,54,54,51,101,45,49,55,32,49,46,51,53,48,48,53,101,45,49,55,32,52,46,
      50,50,51,51,57,101,45,49,56,32,49,46,49,53,54,56,49,101,45,49,56,32,50,46,55,
      50,53,49,101,45,49,57,32,55,46,51,55,55,57,56,101,45,50,48,32,49,46,55,49,48,
      51,54,101,45,50,48,10,32,32,52,46,53,56,56,56,52,101,45,50,49,32,49,46,50,50,
      54,56,54,101,45,50,49,32,50,46,56,50,49,53,49,101,45,50,50,32,53,46,56,49,55,
      53,49,101,45,50,51,32,49,46,55,49,52,48,57,101,45,50,51,32,52,46,49,53,57,101,
      45,50,52,32,49,46,49,57,53,52,52,101,45,50,52,10,32,32,51,46,49,52,55,51,53,
      101,45,50,53,32,56,46,50,53,55,52,50,101,45,50,54,32,49,46,51,53,52,51,56,101,
      45,50,54,32,51,46,52,48,48,54,55,101,45,50,55,32,54,46,54,51,52,55,56,101,45,
      50,56,32,48,114,49,51,51,32,53,46,52,48,52,50,53,101,45,50,54,32,55,46,50,57,
      48,55,49,101,45,50,54,10,32,32,57,46,55,49,52,51,56,101,45,50,54,32,49,46,50,
      54,49,53,53,101,45,50,53,32,49,46,54,50,54,48,51,101,45,50,53,32,50,46,48,56,
      48,55,50,101,45,50,53,32,50,46,53,56,50,56,54,101,45,50,53,32,51,46,49,56,55,
      54,101,45,50,53,32,51,46,57,49,50,53,49,101,45,50,53,10,32,32,52,46,54,56,48,
      57,53,101,45,50,53,32,53,46,53,53,53,52,52,101,45,50,53,32,54,46,53,54,55,49,
      56,101,45,50,53,32,55,46,54,49,55,49,56,101,45,50,53,32,56,46,55,52,53,54,56,
      101,45,50,53,32,49,46,48,48,49,53,54,101,45,50,52,32,49,46,49,51,51,50,57,101,
      45,50,52,10,32,32,49,46,50,54,56,51,52,101,45,50,52,32,49,46,52,49,55,52,49,
      101,45,50,52,32,49,46,53,55,51,55,50,101,45,50,52,32,49,46,55,50,56,55,52,101,
      45,50,52,32,49,46,56,57,55,55,101,45,50,52,32,50,46,48,55,55,55,101,45,50,52,
      32,50,46,50,53,51,57,49,101,45,50,52,10,32,32,50,46,52,52,52,51,56,101,45,50,
      52,32,50,46,54,53,48,48,50,101,45,50,52,32,50,46,56,52,57,56,49,101,45,50,52,
      32,51,46,48,54,52,55,51,101,45,50,52,32,51,46,50,57,53,54,51,101,45,50,52,32,
      51,46,53,50,50,55,101,45,50,52,32,51,46,55,54,49,56,56,101,45,50,52,10,32,32,
      52,46,48,49,55,55,55,101,45,50,52,32,52,46,50,54,55,53,52,101,45,50,52,32,52,
      46,53,50,50,51,51,101,45,50,52,32,52,46,55,57,51,57,50,101,45,50,52,32,53,46,
      48,53,51,49,53,101,45,50,52,32,53,46,50,57,57,53,53,101,45,50,52,32,53,46,53,
      54,49,55,53,101,45,50,52,10,32,32,53,46,56,48,54,55,52,101,45,50,52,32,54,46,
      48,48,50,57,54,101,45,50,52,32,54,46,50,49,51,53,55,101,45,50,52,32,54,46,52,
      49,50,52,56,101,45,50,52,32,54,46,53,48,53,57,51,101,45,50,52,32,54,46,54,49,
      52,53,55,101,45,50,52,32,54,46,55,51,53,51,52,101,45,50,52,10,32,32,54,46,54,
      56,50,54,101,45,50,52,32,54,46,54,53,49,53,57,101,45,50,52,32,54,46,54,52,48,
      51,57,101,45,50,52,32,54,46,52,54,52,57,101,45,50,52,32,54,46,50,57,48,52,101,
      45,50,52,32,54,46,49,52,54,50,56,101,45,50,52,32,53,46,56,56,52,52,51,101,45,
      50,52,10,32,32,53,46,55,48,56,53,56,101,45,50,52,32,53,46,52,56,52,52,51,101,
      45,50,52,32,53,46,50,48,52,51,51,101,45,50,52,32,52,46,56,57,50,49,54,101,45,
      50,52,32,52,46,54,51,52,48,56,101,45,50,52,32,52,46,51,55,50,52,51,101,45,50,
      52,32,52,46,48,55,55,48,49,101,45,50,52,10,32,32,51,46,56,51,55,49,101,45,50,
      52,32,51,46,54,50,53,55,56,101,45,50,52,32,51,46,51,56,55,55,53,101,45,50,52,
      32,51,46,49,57,57,56,56,101,45,50,52,32,51,46,48,53,50,56,54,101,45,50,52,32,
      50,46,56,57,49,54,52,101,45,50,52,32,50,46,55,55,49,57,101,45,50,52,10,32,32,
      50,46,54,56,55,54,50,101,45,50,52,32,50,46,54,49,50,54,57,101,45,50,52,32,50,
      46,53,54,54,53,54,101,45,50,52,32,50,46,53,52,57,57,55,101,45,50,52,32,50,46,
      53,53,53,50,101,45,50,52,32,50,46,53,56,52,55,101,45,50,52,32,50,46,54,51,57,
      57,54,101,45,50,52,10,32,32,50,46,55,50,51,48,49,101,45,50,52,32,50,46,56,51,
      50,57,54,101,45,50,52,32,50,46,57,54,55,53,51,101,45,50,52,32,51,46,49,51,50,
      54,51,101,45,50,52,32,51,46,51,51,50,55,51,101,45,50,52,32,51,46,53,53,57,51,
      55,101,45,50,52,32,51,46,56,49,56,57,50,101,45,50,52,10,32,32,52,46,49,50,55,
      52,53,101,45,50,52,32,52,46,52,54,55,56,52,101,45,50,52,32,52,46,56,52,51,55,
      49,101,45,50,52,32,53,46,50,56,57,56,57,101,45,50,52,32,53,46,55,55,55,55,101,
      45,50,52,32,54,46,51,49,48,56,49,101,45,50,52,32,54,46,57,51,50,51,55,101,45,
      50,52,10,32,32,55,46,54,49,56,50,52,101,45,50,52,32,56,46,51,54,55,49,52,101,
      45,50,52,32,57,46,50,50,55,51,52,101,45,50,52,32,49,46,48,49,57,49,101,45,50,
      51,32,49,46,49,50,52,55,52,101,45,50,51,32,49,46,50,52,52,56,55,101,45,50,51,
      32,49,46,51,56,49,55,52,101,45,50,51,10,32,32,49,46,53,51,51,51,101,45,50,51,
      32,49,46,55,48,52,55,50,101,45,50,51,32,49,46,57,48,51,50,51,101,45,50,51,32,
      50,46,49,50,54,51,51,101,45,50,51,32,50,46,51,55,57,50,50,101,45,50,51,32,50,
      46,54,55,52,52,56,101,45,50,51,32,51,46,48,49,49,56,49,101,45,50,51,10,32,32,
      51,46,51,57,56,56,57,101,45,50,51,32,51,46,56,52,54,55,55,101,45,50,51,32,52,
      46,51,54,53,55,54,101,45,50,51,32,52,46,57,54,57,57,50,101,45,50,51,32,53,46,
      54,53,52,57,101,45,50,51,32,54,46,52,52,57,50,57,101,45,50,51,32,55,46,51,55,
      56,57,53,101,45,50,51,10,32,32,56,46,52,49,56,55,56,101,45,50,51,32,57,46,54,
      48,51,51,101,45,50,51,32,49,46,48,57,56,50,53,101,45,50,50,32,49,46,50,53,49,
      57,101,45,50,50,32,49,46,52,50,49,56,53,101,45,50,50,32,49,46,54,49,55,54,52,
      101,45,50,50,32,49,46,56,51,56,56,54,101,45,50,50,10,32,32,50,46,48,55,52,48,
      51,101,45,50,50,32,50,46,51,52,49,52,55,101,45,50,50,32,50,46,54,52,49,53,49,
      101,45,50,50,32,50,46,57,54,50,50,50,101,45,50,50,32,51,46,51,50,54,56,54,101,
      45,50,50,32,51,46,55,51,49,51,49,101,45,50,50,32,52,46,49,54,49,51,55,101,45,
      50,50,10,32,32,52,46,54,52,50,51,49,101,45,50,50,32,53,46,49,56,48,48,55,101,
      45,50,50,32,53,46,57,55,53,57,55,101,45,50,50,32,56,46,51,51,49,54,54,101,45,
      50,50,32,49,46,51,54,51,55,53,101,45,50,49,32,51,46,48,56,57,55,52,101,45,50,
      49,32,54,46,54,50,52,50,49,101,45,50,49,10,32,32,49,46,50,51,50,54,53,101,45,
      50,48,32,49,46,57,48,57,49,53,101,45,50,48,32,50,46,53,50,57,51,54,101,45,50,
      48,32,51,46,48,53,54,51,49,101,45,50,48,32,51,46,53,55,53,49,55,101,45,50,48,
      32,54,46,55,51,54,56,54,101,45,50,48,32,50,46,57,53,49,101,45,49,57,10,32,32,
      51,46,52,55,57,55,52,101,45,49,56,32,52,46,50,54,53,48,52,101,45,49,56,32,53,
      46,53,55,53,53,57,101,45,49,56,32,55,46,52,52,55,48,57,101,45,49,56,32,49,46,
      49,50,50,53,57,101,45,49,55,32,49,46,55,49,56,55,101,45,49,55,32,50,46,55,54,
      50,50,56,101,45,49,53,10,32,32,52,46,57,52,50,49,57,101,45,49,53,32,54,46,54,
      49,50,56,55,101,45,49,53,32,56,46,53,49,51,53,51,101,45,49,53,32,49,46,48,56,
      55,52,50,101,45,49,52,32,49,46,51,49,54,57,55,101,45,49,52,32,49,46,53,52,54,
      54,55,101,45,49,52,32,49,46,55,53,52,53,55,101,45,49,52,10,32,32,49,46,57,57,
      53,51,51,101,45,49,52,32,50,46,51,49,57,48,52,101,45,49,52,32,50,46,55,57,57,
      57,50,101,45,49,52,32,51,46,52,55,48,52,51,101,45,49,52,32,52,46,51,51,52,55,
      54,101,45,49,52,32,53,46,52,49,55,50,55,101,45,49,52,32,54,46,56,48,51,54,53,
      101,45,49,52,10,32,32,56,46,50,53,50,54,56,101,45,49,52,32,57,46,56,52,50,56,
      101,45,49,52,32,49,46,49,55,51,52,50,101,45,49,51,32,49,46,51,57,54,55,54,101,
      45,49,51,32,49,46,54,48,54,52,54,101,45,49,51,32,49,46,57,52,50,53,57,101,45,
      49,51,32,50,46,53,48,52,49,51,101,45,49,51,10,32,32,51,46,51,49,56,57,52,101,
      45,49,51,32,52,46,52,56,54,53,53,101,45,49,51,32,54,46,50,55,56,54,101,45,49,
      51,32,56,46,54,55,51,48,50,101,45,49,51,32,49,46,49,56,55,56,51,101,45,49,50,
      32,49,46,54,48,48,48,53,101,45,49,50,32,50,46,48,57,55,48,52,101,45,49,50,10,
      32,32,50,46,53,53,56,55,54,101,45,49,50,32,51,46,49,55,50,57,54,101,45,49,50,
      32,51,46,56,54,52,52,53,101,45,49,50,32,52,46,56,56,56,56,54,101,45,49,50,32,
      54,46,57,48,55,53,49,101,45,49,50,32,57,46,54,56,50,56,54,101,45,49,50,32,49,
      46,51,48,54,49,52,101,45,49,49,10,32,32,49,46,54,51,56,54,54,101,45,49,49,32,
      50,46,49,56,51,54,54,101,45,49,49,32,50,46,56,53,50,56,50,101,45,49,49,32,51,
      46,54,56,49,54,55,101,45,49,49,32,52,46,53,51,56,51,51,101,45,49,49,32,53,46,
      52,48,52,101,45,49,49,32,54,46,50,50,52,56,52,101,45,49,49,10,32,32,55,46,49,
      54,52,51,54,101,45,49,49,32,56,46,50,48,48,57,49,101,45,49,49,32,57,46,49,52,
      49,53,49,101,45,49,49,32,49,46,49,51,54,57,49,101,45,49,48,32,49,46,51,56,53,
      50,57,101,45,49,48,32,49,46,54,49,50,52,55,101,45,49,48,32,49,46,56,51,48,53,
      51,101,45,49,48,10,32,32,49,46,57,56,48,54,101,45,49,48,32,50,46,49,56,54,51,
      51,101,45,49,48,32,50,46,51,55,49,57,54,101,45,49,48,32,50,46,53,51,51,54,52,
      101,45,49,48,32,50,46,54,54,57,51,53,101,45,49,48,32,50,46,55,57,54,101,45,
      49,48,32,50,46,56,55,49,51,55,101,45,49,48,10,32,32,50,46,57,51,49,52,54,101,
      45,49,48,32,50,46,57,57,55,48,52,101,45,49,48,32,51,46,48,49,55,48,49,101,45,
      49,48,32,51,46,48,49,56,52,56,101,45,49,48,32,50,46,57,56,50,53,50,101,45,49,
      48,32,50,46,57,52,51,57,51,101,45,49,48,32,50,46,56,57,51,53,57,101,45,49,48,
      10,32,32,50,46,55,57,50,54,52,101,45,49,48,32,50,46,54,53,53,53,51,101,45,49,
      48,32,50,46,53,54,57,56,49,101,45,49,48,32,50,46,52,49,57,55,101,45,49,48,32,
      50,46,51,50,50,48,49,101,45,49,48,32,50,46,49,56,51,55,101,45,49,48,32,50,46,
      48,48,49,54,55,101,45,49,48,10,32,32,49,46,56,49,49,55,54,101,45,49,48,32,49,
      46,55,51,48,54,57,101,45,49,48,32,49,46,53,55,55,57,101,45,49,48,32,49,46,52,
      49,53,54,51,101,45,49,48,32,49,46,50,56,54,57,53,101,45,49,48,32,49,46,49,54,
      53,48,55,101,45,49,48,32,49,46,48,53,55,54,51,101,45,49,48,10,32,32,57,46,53,
      56,51,54,52,101,45,49,49,32,56,46,53,54,48,51,56,101,45,49,49,32,55,46,55,49,
      57,55,52,101,45,49,49,32,54,46,56,54,54,50,52,101,45,49,49,32,54,46,50,56,54,
      49,52,101,45,49,49,32,53,46,52,50,51,54,55,101,45,49,49,32,52,46,57,52,52,101,
      45,49,49,10,32,32,52,46,51,57,55,48,57,101,45,49,49,32,51,46,51,49,55,54,56,
      101,45,49,49,32,50,46,50,49,48,56,55,101,45,49,49,32,49,46,52,54,49,48,50,101,
      45,49,49,32,56,46,53,49,51,54,49,101,45,49,50,32,52,46,56,53,53,50,57,101,45,
      49,50,32,50,46,52,49,53,48,53,101,45,49,50,10,32,32,49,46,51,50,54,101,45,49,
      50,32,52,46,57,51,57,55,51,101,45,49,51,32,49,46,56,55,52,53,53,101,45,49,51,
      32,57,46,51,53,50,48,55,101,45,49,52,32,52,46,50,53,49,56,56,101,45,49,52,32,
      49,46,52,54,50,55,101,45,49,52,32,53,46,54,55,53,54,51,101,45,49,53,10,32,32,
      50,46,49,55,57,51,56,101,45,49,53,32,55,46,50,49,56,53,101,45,49,54,32,50,46,
      51,54,54,52,54,101,45,49,54,32,56,46,56,53,51,53,49,101,45,49,55,32,51,46,50,
      57,50,52,52,101,45,49,55,32,49,46,50,49,55,56,54,101,45,49,55,32,51,46,56,49,
      56,54,56,101,45,49,56,10,32,32,49,46,48,52,56,49,49,101,45,49,56,32,50,46,52,
      55,52,50,50,101,45,49,57,32,54,46,55,49,48,51,57,101,45,50,48,32,49,46,53,53,
      56,51,56,101,45,50,48,32,52,46,49,56,55,50,53,101,45,50,49,32,49,46,49,50,49,
      48,53,101,45,50,49,32,50,46,53,56,49,56,52,101,45,50,50,10,32,32,53,46,51,51,
      48,57,54,101,45,50,51,32,49,46,53,55,50,51,53,101,45,50,51,32,51,46,56,49,57,
      51,55,101,45,50,52,32,49,46,48,57,56,56,50,101,45,50,52,32,50,46,56,57,53,53,
      57,101,45,50,53,32,55,46,54,48,50,51,49,101,45,50,54,32,49,46,50,52,56,55,53,
      101,45,50,54,10,32,32,51,46,49,51,53,54,49,101,45,50,55,32,54,46,49,48,51,53,
      49,101,45,50,56,32,48,114,49,51,51,32,49,46,50,48,54,52,53,101,45,50,54,32,
      49,46,54,52,51,50,56,101,45,50,54,32,50,46,50,48,57,53,51,101,45,50,54,32,50,
      46,56,57,50,53,56,101,45,50,54,32,51,46,55,53,55,51,51,101,45,50,54,10,32,32,
      52,46,56,52,52,48,52,101,45,50,54,32,54,46,48,53,49,49,101,45,50,54,32,55,46,
      53,49,51,53,49,101,45,50,54,32,57,46,50,55,54,55,49,101,45,50,54,32,49,46,49,
      49,53,51,55,101,45,50,53,32,49,46,51,50,57,57,50,101,45,50,53,32,49,46,53,55,
      57,50,54,101,45,50,53,10,32,32,49,46,56,51,56,56,49,101,45,50,53,32,50,46,49,
      49,56,54,49,101,45,50,53,32,50,46,52,51,52,53,53,101,45,50,53,32,50,46,55,54,
      51,48,49,101,45,50,53,32,51,46,49,48,48,51,54,101,45,50,53,32,51,46,52,55,51,
      55,49,101,45,50,53,32,51,46,56,54,53,57,52,101,45,50,53,10,32,32,52,46,50,53,
      53,50,55,101,45,50,53,32,52,46,54,56,48,53,51,101,45,50,53,32,53,46,49,51,52,
      52,49,101,45,50,53,32,53,46,53,55,56,56,54,101,45,50,53,32,54,46,48,54,48,50,
      101,45,50,53,32,54,46,53,56,48,55,57,101,45,50,53,32,55,46,48,56,54,54,49,101,
      45,50,53,10,32,32,55,46,54,51,49,54,52,101,45,50,53,32,56,46,50,49,56,49,52,
      101,45,50,53,32,56,46,55,57,52,57,57,101,45,50,53,32,57,46,52,48,51,51,50,101,
      45,50,53,32,49,46,48,48,53,53,49,101,45,50,52,32,49,46,48,54,57,49,50,101,45,
      50,52,32,49,46,49,51,52,48,53,101,45,50,52,10,32,32,49,46,50,48,51,51,53,101,
      45,50,52,32,49,46,50,54,57,52,52,101,45,50,52,32,49,46,51,51,50,50,101,45,50,
      52,32,49,46,51,57,57,48,54,101,45,50,52,32,49,46,52,54,49,52,52,101,45,50,52,
      32,49,46,53,49,49,48,57,101,45,50,52,32,49,46,53,54,52,52,55,101,45,50,52,10,
      32,32,49,46,54,49,52,55,55,101,45,50,52,32,49,46,54,51,55,53,54,101,45,50,52,
      32,49,46,54,54,52,50,57,101,45,50,52,32,49,46,54,57,52,49,55,101,45,50,52,32,
      49,46,54,55,56,56,55,101,45,50,52,32,49,46,54,54,57,50,54,101,45,50,52,32,49,
      46,54,54,52,56,51,101,45,50,52,10,32,32,49,46,54,49,55,56,50,101,45,50,52,32,
      49,46,53,55,49,50,49,101,45,50,52,32,49,46,53,51,50,53,56,101,45,50,52,32,49,
      46,52,54,51,55,50,101,45,50,52,32,49,46,52,49,51,52,101,45,50,52,32,49,46,51,
      53,52,50,55,101,45,50,52,32,49,46,50,56,49,101,45,50,52,10,32,32,49,46,49,57,
      57,56,49,101,45,50,52,32,49,46,49,51,50,54,57,101,45,50,52,32,49,46,48,54,52,
      57,50,101,45,50,52,32,57,46,56,56,56,56,54,101,45,50,53,32,57,46,50,55,49,54,
      50,101,45,50,53,32,56,46,55,50,56,56,101,45,50,53,32,56,46,49,50,49,55,101,
      45,50,53,10,32,32,55,46,54,52,50,54,55,101,45,50,53,32,55,46,50,54,55,53,50,
      101,45,50,53,32,54,46,56,53,57,52,52,101,45,50,53,32,54,46,53,53,54,50,52,101,
      45,50,53,32,54,46,51,52,50,51,57,101,45,50,53,32,54,46,49,53,51,53,50,101,45,
      50,53,32,54,46,48,51,55,49,54,101,45,50,53,10,32,32,53,46,57,57,52,56,55,101,
      45,50,53,32,54,46,48,48,55,55,50,101,45,50,53,32,54,46,48,56,49,54,54,101,45,
      50,53,32,54,46,50,50,48,51,101,45,50,53,32,54,46,52,50,56,54,101,45,50,53,32,
      54,46,55,48,52,53,55,101,45,50,53,32,55,46,48,52,51,48,49,101,45,50,53,10,32,
      32,55,46,52,53,56,51,56,101,45,50,53,32,55,46,57,54,49,55,53,101,45,50,53,32,
      56,46,53,51,51,52,53,101,45,50,53,32,57,46,49,56,57,50,52,101,45,50,53,32,57,
      46,57,54,56,48,57,101,45,50,53,32,49,46,48,56,51,48,49,101,45,50,52,32,49,46,
      49,55,56,52,56,101,45,50,52,10,32,32,49,46,50,57,49,54,101,45,50,52,32,49,46,
      52,49,53,54,56,101,45,50,52,32,49,46,53,53,49,55,50,101,45,50,52,32,49,46,55,
      49,48,49,53,101,45,50,52,32,49,46,56,56,53,52,101,45,50,52,32,50,46,48,55,55,
      51,56,101,45,50,52,32,50,46,50,57,55,55,57,101,45,50,52,10,32,32,50,46,53,52,
      53,48,56,101,45,50,52,32,50,46,56,49,54,57,101,45,50,52,32,51,46,49,50,54,50,
      101,45,50,52,32,51,46,52,55,56,56,50,101,45,50,52,32,51,46,56,55,48,50,52,101,
      45,50,52,32,52,46,51,49,51,53,50,101,45,50,52,32,52,46,56,50,55,48,57,101,45,
      50,52,10,32,32,53,46,52,48,53,53,51,101,45,50,52,32,54,46,48,54,50,52,55,101,
      45,50,52,32,54,46,56,51,48,51,56,101,45,50,52,32,55,46,55,48,57,55,56,101,45,
      50,52,32,56,46,55,50,49,51,101,45,50,52,32,57,46,56,57,52,55,51,101,45,50,52,
      32,49,46,49,50,53,56,51,101,45,50,51,10,32,32,49,46,50,56,53,48,54,101,45,50,
      51,32,49,46,52,54,54,50,55,101,45,50,51,32,49,46,54,55,55,49,53,101,45,50,51,
      32,49,46,57,50,52,56,53,101,45,50,51,32,50,46,50,48,51,48,54,101,45,50,51,32,
      50,46,53,50,49,50,52,101,45,50,51,32,50,46,56,57,51,49,56,101,45,50,51,10,32,
      32,51,46,51,48,57,50,55,101,45,50,51,32,51,46,55,55,49,51,57,101,45,50,51,32,
      52,46,51,48,53,56,51,101,45,50,51,32,52,46,57,49,50,48,49,101,45,50,51,32,53,
      46,53,53,57,101,45,50,51,32,54,46,50,57,55,52,57,101,45,50,51,32,55,46,49,50,
      57,48,57,101,45,50,51,10,32,32,56,46,48,50,48,57,52,101,45,50,51,32,57,46,48,
      51,56,49,57,101,45,50,51,32,49,46,48,49,55,49,101,45,50,50,32,49,46,49,51,55,
      57,53,101,45,50,50,32,49,46,50,55,51,53,53,101,45,50,50,32,49,46,52,50,53,54,
      57,101,45,50,50,32,49,46,54,53,49,55,101,45,50,50,10,32,32,50,46,51,50,53,55,
      50,101,45,50,50,32,51,46,56,54,52,101,45,50,50,32,56,46,57,55,57,51,54,101,
      45,50,50,32,49,46,57,55,49,56,52,101,45,50,49,32,51,46,55,51,57,57,55,101,45,
      50,49,32,53,46,56,54,53,51,51,101,45,50,49,32,55,46,56,50,52,48,53,101,45,50,
      49,10,32,32,57,46,52,56,56,49,49,101,45,50,49,32,49,46,49,49,50,56,50,101,45,
      50,48,32,50,46,49,50,56,49,57,101,45,50,48,32,57,46,54,53,57,53,52,101,45,50,
      48,32,49,46,49,57,56,49,51,101,45,49,56,32,49,46,52,55,57,50,101,45,49,56,32,
      49,46,57,53,51,49,101,45,49,56,10,32,32,50,46,54,51,55,56,49,101,45,49,56,32,
      52,46,48,52,49,51,55,101,45,49,56,32,54,46,50,57,54,48,56,101,45,49,56,32,55,
      46,55,52,48,48,49,101,45,49,54,32,49,46,52,50,49,52,57,101,45,49,53,32,49,46,
      57,55,49,55,57,101,45,49,53,32,50,46,54,51,50,57,50,101,45,49,53,10,32,32,51,
      46,52,57,57,54,101,45,49,53,32,52,46,51,55,55,57,49,101,45,49,53,32,53,46,50,
      51,55,51,52,101,45,49,53,32,54,46,48,48,57,48,54,101,45,49,53,32,54,46,57,51,
      56,50,56,101,45,49,53,32,56,46,50,52,53,50,49,101,45,49,53,32,49,46,48,51,48,
      55,54,101,45,49,52,10,32,32,49,46,51,51,55,56,55,101,45,49,52,32,49,46,55,54,
      49,55,51,101,45,49,52,32,50,46,51,51,48,50,52,101,45,49,52,32,51,46,49,48,53,
      56,101,45,49,52,32,51,46,57,53,54,57,49,101,45,49,52,32,52,46,57,49,52,57,50,
      101,45,49,52,32,54,46,48,54,50,48,54,101,45,49,52,10,32,32,55,46,52,54,55,52,
      101,45,49,52,32,56,46,56,52,48,55,56,101,45,49,52,32,49,46,49,49,51,53,51,101,
      45,49,51,32,49,46,53,48,57,56,55,101,45,49,51,32,50,46,48,57,52,50,54,101,45,
      49,51,32,50,46,57,50,54,52,51,101,45,49,51,32,52,46,49,55,55,52,56,101,45,49,
      51,10,32,32,53,46,56,49,51,49,57,101,45,49,51,32,55,46,57,54,50,53,51,101,45,
      49,51,32,49,46,48,55,48,51,56,101,45,49,50,32,49,46,51,57,57,54,57,101,45,49,
      50,32,49,46,55,48,53,50,50,101,45,49,50,32,50,46,49,49,49,48,49,101,45,49,50,
      32,50,46,53,54,55,51,56,101,45,49,50,10,32,32,51,46,50,52,52,52,49,101,45,49,
      50,32,52,46,53,56,52,53,53,101,45,49,50,32,54,46,52,51,57,57,50,101,45,49,50,
      32,56,46,55,49,55,53,53,101,45,49,50,32,49,46,48,57,55,55,101,45,49,49,32,49,
      46,52,55,48,56,49,101,45,49,49,32,49,46,57,51,50,57,56,101,45,49,49,10,32,32,
      50,46,53,49,48,51,56,101,45,49,49,32,51,46,49,49,49,51,50,101,45,49,49,32,51,
      46,55,50,49,49,56,101,45,49,49,32,52,46,51,48,48,56,51,101,45,49,49,32,52,46,
      57,54,54,52,49,101,45,49,49,32,53,46,55,48,52,54,55,101,45,49,49,32,54,46,51,
      55,56,53,54,101,45,49,49,10,32,32,55,46,57,56,55,53,53,101,45,49,49,32,57,46,
      56,48,48,49,57,101,45,49,49,32,49,46,49,52,55,51,49,101,45,49,48,32,49,46,51,
      48,56,54,57,101,45,49,48,32,49,46,52,49,56,57,57,101,45,49,48,32,49,46,53,55,
      51,50,52,101,45,49,48,32,49,46,55,49,51,56,57,101,45,49,48,10,32,32,49,46,56,
      51,55,56,53,101,45,49,48,32,49,46,57,52,51,51,53,101,45,49,48,32,50,46,48,52,
      51,54,53,101,45,49,48,32,50,46,49,48,52,55,52,101,45,49,48,32,50,46,49,53,52,
      56,50,101,45,49,48,32,50,46,50,49,51,48,50,101,45,49,48,32,50,46,50,51,51,56,
      51,101,45,49,48,10,32,32,50,46,50,52,52,51,51,101,45,49,48,32,50,46,50,50,55,
      50,54,101,45,49,48,32,50,46,50,48,52,49,101,45,49,48,32,50,46,49,55,49,57,49,
      101,45,49,48,32,50,46,49,48,52,52,53,101,45,49,48,32,50,46,48,48,57,55,50,101,
      45,49,48,32,49,46,57,52,57,52,50,101,45,49,48,10,32,32,49,46,56,52,50,52,50,
      101,45,49,48,32,49,46,55,55,50,48,52,101,45,49,48,32,49,46,54,55,49,56,55,101,
      45,49,48,32,49,46,53,51,56,51,56,101,45,49,48,32,49,46,51,57,56,51,54,101,45,
      49,48,32,49,46,51,51,56,48,53,101,45,49,48,32,49,46,50,50,51,56,52,101,45,49,
      48,10,32,32,49,46,49,48,49,55,57,101,45,49,48,32,49,46,48,48,52,52,56,101,45,
      49,48,32,57,46,49,49,56,55,57,101,45,49,49,32,56,46,50,57,57,48,54,101,45,49,
      49,32,55,46,53,51,56,54,55,101,45,49,49,32,54,46,55,53,49,56,51,101,45,49,49,
      32,54,46,49,48,51,101,45,49,49,10,32,32,53,46,52,52,49,57,51,101,45,49,49,32,
      52,46,57,57,49,50,50,101,45,49,49,32,52,46,51,49,56,57,49,101,45,49,49,32,51,
      46,57,52,51,55,57,101,45,49,49,32,51,46,53,49,52,57,56,101,45,49,49,32,50,46,
      54,54,52,56,101,45,49,49,32,49,46,55,56,54,56,50,101,45,49,49,10,32,32,49,46,
      49,56,55,52,55,101,45,49,49,32,54,46,57,54,52,57,50,101,45,49,50,32,51,46,57,
      57,54,48,53,101,45,49,50,32,50,46,48,48,48,56,50,101,45,49,50,32,49,46,49,48,
      52,49,51,101,45,49,50,32,52,46,49,52,51,52,49,101,45,49,51,32,49,46,53,56,50,
      49,56,101,45,49,51,10,32,32,55,46,57,50,53,48,52,101,45,49,52,32,51,46,54,49,
      55,57,54,101,45,49,52,32,49,46,50,53,48,56,55,101,45,49,52,32,52,46,56,55,50,
      57,55,101,45,49,53,32,49,46,56,55,55,57,57,101,45,49,53,32,54,46,50,52,52,48,
      50,101,45,49,54,32,50,46,48,53,52,49,51,101,45,49,54,10,32,32,55,46,55,48,54,
      53,54,101,45,49,55,32,50,46,56,55,51,51,57,101,45,49,55,32,49,46,48,54,53,52,
      51,101,45,49,55,32,51,46,51,53,48,55,57,101,45,49,56,32,57,46,50,50,49,54,53,
      101,45,49,57,32,50,46,49,56,50,56,54,101,45,49,57,32,53,46,57,51,51,53,56,101,
      45,50,48,10,32,32,49,46,51,56,49,49,57,101,45,50,48,32,51,46,55,49,56,51,55,
      101,45,50,49,32,57,46,57,55,51,49,49,101,45,50,50,32,50,46,51,48,49,49,52,101,
      45,50,50,32,52,46,55,54,48,49,57,101,45,50,51,32,49,46,52,48,53,56,57,101,45,
      50,51,32,51,46,52,50,101,45,50,52,10,32,32,57,46,56,53,49,55,49,101,45,50,53,
      32,50,46,54,48,48,48,49,101,45,50,53,32,54,46,56,52,48,50,50,101,45,50,54,32,
      49,46,49,50,52,49,50,101,45,50,54,32,50,46,57,49,56,53,53,101,45,50,55,32,54,
      46,52,50,54,50,56,101,45,50,56,32,48,114,49,51,51,32,49,46,56,55,51,48,49,101,
      45,50,55,10,32,32,50,46,53,56,49,52,50,101,45,50,55,32,51,46,53,48,57,54,52,
      101,45,50,55,32,52,46,54,51,57,55,54,101,45,50,55,32,54,46,48,56,51,54,50,101,
      45,50,55,32,55,46,57,49,52,48,56,101,45,50,55,32,57,46,57,54,49,51,49,101,45,
      50,55,32,49,46,50,52,53,57,52,101,45,50,54,10,32,32,49,46,53,52,57,50,49,101,
      45,50,54,32,49,46,56,55,51,55,49,101,45,50,54,32,50,46,50,52,54,53,57,101,45,
      50,54,32,50,46,54,56,50,50,51,101,45,50,54,32,51,46,49,51,55,51,57,101,45,50,
      54,32,51,46,54,50,57,56,52,101,45,50,54,32,52,46,49,56,56,49,53,101,45,50,54,
      10,32,32,52,46,55,55,48,50,101,45,50,54,32,53,46,51,54,57,51,50,101,45,50,54,
      32,54,46,48,51,52,52,52,101,45,50,54,32,54,46,55,51,52,56,49,101,45,50,54,32,
      55,46,52,51,48,56,101,45,50,54,32,56,46,49,57,50,57,51,101,45,50,54,32,57,46,
      48,48,56,49,49,101,45,50,54,10,32,32,57,46,56,48,54,55,54,101,45,50,54,32,49,
      46,48,54,55,51,54,101,45,50,53,32,49,46,49,54,49,51,49,101,45,50,53,32,49,46,
      50,53,50,54,49,101,45,50,53,32,49,46,51,53,49,49,56,101,45,50,53,32,49,46,52,
      53,55,52,53,101,45,50,53,32,49,46,53,54,50,101,45,50,53,10,32,32,49,46,54,55,
      50,52,49,101,45,50,53,32,49,46,55,57,48,57,50,101,45,50,53,32,49,46,57,48,54,
      53,54,101,45,50,53,32,50,46,48,50,52,54,55,101,45,50,53,32,50,46,49,53,48,57,
      52,101,45,50,53,32,50,46,50,55,49,50,54,101,45,50,53,32,50,46,51,56,53,51,54,
      101,45,50,53,10,32,32,50,46,53,48,55,49,50,101,45,50,53,32,50,46,54,50,48,53,
      101,45,50,53,32,50,46,55,49,48,48,56,101,45,50,53,32,50,46,56,48,54,53,57,101,
      45,50,53,32,50,46,56,57,55,51,50,101,45,50,53,32,50,46,57,51,54,54,50,101,45,
      50,53,32,50,46,57,56,51,50,54,101,45,50,53,10,32,32,51,46,48,51,53,55,51,101,
      45,50,53,32,51,46,48,48,51,57,53,101,45,50,53,32,50,46,57,56,50,57,101,45,50,
      53,32,50,46,57,55,49,53,52,101,45,50,53,32,50,46,56,56,49,50,52,101,45,50,53,
      32,50,46,55,57,49,57,57,101,45,50,53,32,50,46,55,49,55,56,101,45,50,53,10,32,
      32,50,46,53,56,56,49,53,101,45,50,53,32,50,46,52,56,54,48,50,101,45,50,53,32,
      50,46,51,55,52,52,53,101,45,50,53,32,50,46,50,51,55,52,56,101,45,50,53,32,50,
      46,48,56,54,54,56,101,45,50,53,32,49,46,57,54,50,48,54,101,45,50,53,32,49,46,
      56,51,54,56,49,101,45,50,53,10,32,32,49,46,54,57,55,50,57,101,45,50,53,32,49,
      46,53,56,52,49,51,101,45,50,53,32,49,46,52,56,52,56,49,101,45,50,53,32,49,46,
      51,55,52,54,50,101,45,50,53,32,49,46,50,56,55,55,51,101,45,50,53,32,49,46,50,
      49,57,54,54,101,45,50,53,32,49,46,49,52,54,50,55,101,45,50,53,10,32,32,49,46,
      48,57,49,55,52,101,45,50,53,32,49,46,48,53,51,50,50,101,45,50,53,32,49,46,48,
      49,57,52,53,101,45,50,53,32,57,46,57,56,54,54,51,101,45,50,54,32,57,46,57,49,
      48,54,49,101,45,50,54,32,57,46,57,51,51,54,54,101,45,50,54,32,49,46,48,48,54,
      53,57,101,45,50,53,10,32,32,49,46,48,51,49,51,55,101,45,50,53,32,49,46,48,54,
      56,53,54,101,45,50,53,32,49,46,49,49,55,56,54,101,45,50,53,32,49,46,49,55,56,
      52,52,101,45,50,53,32,49,46,50,53,50,56,51,101,45,50,53,32,49,46,51,52,50,57,
      55,101,45,50,53,32,49,46,52,52,53,54,56,101,45,50,53,10,32,32,49,46,53,54,51,
      55,53,101,45,50,53,32,49,46,55,48,51,56,51,101,45,50,53,32,49,46,56,53,57,52,
      54,101,45,50,53,32,50,46,48,51,50,52,53,101,45,50,53,32,50,46,50,51,55,48,51,
      101,45,50,53,32,50,46,52,54,50,51,101,45,50,53,32,50,46,55,49,48,50,53,101,
      45,50,53,10,32,32,50,46,57,57,56,54,57,101,45,50,53,32,51,46,51,49,56,55,101,
      45,50,53,32,51,46,54,55,48,53,49,101,45,50,53,32,52,46,48,55,52,52,52,101,45,
      50,53,32,52,46,53,50,56,52,50,101,45,50,53,32,53,46,48,50,57,49,50,101,45,50,
      53,32,53,46,53,57,57,50,57,101,45,50,53,10,32,32,54,46,50,52,57,56,56,101,45,
      50,53,32,54,46,57,55,52,49,49,101,45,50,53,32,55,46,55,57,53,53,56,101,45,50,
      53,32,56,46,55,52,55,56,52,101,45,50,53,32,57,46,56,50,51,48,56,101,45,50,53,
      32,49,46,49,48,52,55,101,45,50,52,32,49,46,50,52,55,57,54,101,45,50,52,10,32,
      32,49,46,52,49,50,52,53,101,45,50,52,32,49,46,54,48,50,49,56,101,45,50,52,32,
      49,46,56,50,50,57,50,101,45,50,52,32,50,46,48,56,48,50,54,101,45,50,52,32,50,
      46,51,56,49,56,51,101,45,50,52,32,50,46,55,50,54,53,49,101,45,50,52,32,51,46,
      49,50,57,50,57,101,45,50,52,10,32,32,51,46,54,48,52,52,101,45,50,52,32,52,46,
      49,52,48,55,50,101,45,50,52,32,52,46,55,53,55,101,45,50,52,32,53,46,52,56,48,
      55,55,101,45,50,52,32,54,46,50,57,52,53,57,101,45,50,52,32,55,46,50,48,50,56,
      50,101,45,50,52,32,56,46,50,53,56,49,49,101,45,50,52,10,32,32,57,46,52,54,48,
      53,51,101,45,50,52,32,49,46,48,55,53,48,50,101,45,50,51,32,49,46,50,50,50,57,
      101,45,50,51,32,49,46,51,57,48,49,55,101,45,50,51,32,49,46,53,55,48,50,56,101,
      45,50,51,32,49,46,55,55,54,53,50,101,45,50,51,32,50,46,48,48,55,51,49,101,45,
      50,51,10,32,32,50,46,50,53,52,53,52,101,45,50,51,32,50,46,53,51,51,48,54,101,
      45,50,51,32,50,46,56,52,54,56,50,101,45,50,51,32,51,46,51,49,53,49,54,101,45,
      50,51,32,52,46,55,50,52,55,56,101,45,50,51,32,55,46,57,57,52,55,50,101,45,50,
      51,32,49,46,57,49,54,56,57,101,45,50,50,10,32,32,52,46,51,51,54,50,52,101,45,
      50,50,32,56,46,52,50,49,54,50,101,45,50,50,32,49,46,51,52,49,51,54,101,45,50,
      49,32,49,46,56,48,52,53,49,101,45,50,49,32,50,46,49,57,55,57,56,101,45,50,49,
      32,50,46,53,56,54,50,53,101,45,50,49,32,53,46,48,51,50,50,101,45,50,49,10,32,
      32,50,46,51,55,57,53,54,101,45,50,48,32,51,46,49,50,55,55,55,101,45,49,57,32,
      51,46,56,57,55,55,101,45,49,57,32,53,46,50,49,50,52,53,101,45,49,57,32,55,46,
      49,51,57,57,50,101,45,49,57,32,49,46,49,49,54,53,53,101,45,49,56,32,49,46,55,
      55,55,56,53,101,45,49,56,10,32,32,52,46,54,55,57,54,101,45,49,54,32,56,46,53,
      53,55,57,101,45,49,54,32,49,46,49,55,57,53,53,101,45,49,53,32,49,46,53,54,54,
      55,101,45,49,53,32,50,46,48,55,51,53,49,101,45,49,53,32,50,46,53,56,57,51,57,
      101,45,49,53,32,51,46,48,57,50,52,57,101,45,49,53,10,32,32,51,46,53,52,52,49,
      57,101,45,49,53,32,52,46,48,56,57,48,55,101,45,49,53,32,52,46,56,53,49,57,54,
      101,45,49,53,32,54,46,48,53,51,54,101,45,49,53,32,55,46,56,52,51,53,54,101,
      45,49,53,32,49,46,48,51,49,56,52,101,45,49,52,32,49,46,51,54,52,56,56,101,45,
      49,52,10,32,32,49,46,56,50,49,51,50,101,45,49,52,32,50,46,51,50,53,53,50,101,
      45,49,52,32,50,46,56,57,53,52,57,101,45,49,52,32,51,46,53,56,49,51,53,101,45,
      49,52,32,52,46,52,50,54,50,55,101,45,49,52,32,53,46,50,53,55,53,53,101,45,49,
      52,32,54,46,54,53,53,55,57,101,45,49,52,10,32,32,57,46,48,57,51,53,57,101,45,
      49,52,32,49,46,50,55,49,54,55,101,45,49,51,32,49,46,55,56,57,53,51,101,45,49,
      51,32,50,46,53,54,53,55,55,101,45,49,51,32,51,46,53,55,51,49,54,101,45,49,51,
      32,52,46,56,56,51,57,49,101,45,49,51,32,54,46,53,52,54,49,50,101,45,49,51,10,
      32,32,56,46,53,51,55,55,51,101,45,49,51,32,49,46,48,51,56,51,50,101,45,49,50,
      32,49,46,50,56,50,56,50,101,45,49,50,32,49,46,53,53,55,50,56,101,45,49,50,32,
      49,46,57,54,52,52,57,101,45,49,50,32,50,46,55,55,51,49,51,101,45,49,50,32,51,
      46,56,57,57,53,51,101,45,49,50,10,32,32,53,46,50,57,51,57,101,45,49,50,32,54,
      46,54,56,57,48,53,101,45,49,50,32,57,46,48,49,51,48,54,101,45,49,50,32,49,46,
      49,57,50,49,57,101,45,49,49,32,49,46,53,53,57,52,51,101,45,49,49,32,49,46,57,
      52,52,57,57,101,45,49,49,32,50,46,51,51,56,52,54,101,45,49,49,10,32,32,50,46,
      55,49,51,54,52,101,45,49,49,32,51,46,49,52,54,50,56,101,45,49,49,32,51,46,54,
      50,57,51,49,101,45,49,49,32,52,46,48,55,51,52,52,101,45,49,49,32,53,46,49,52,
      52,54,49,101,45,49,49,32,54,46,51,54,54,56,101,45,49,49,32,55,46,53,48,54,57,
      53,101,45,49,49,10,32,32,56,46,54,49,51,53,56,101,45,49,49,32,57,46,51,54,51,
      57,49,101,45,49,49,32,49,46,48,52,51,56,49,101,45,49,48,32,49,46,49,52,50,57,
      49,101,45,49,48,32,49,46,50,51,49,52,51,101,45,49,48,32,49,46,51,48,55,57,51,
      101,45,49,48,32,49,46,51,56,50,49,51,101,45,49,48,10,32,32,49,46,52,50,56,52,
      50,101,45,49,48,32,49,46,52,54,55,52,52,101,45,49,48,32,49,46,53,49,53,52,54,
      101,45,49,48,32,49,46,53,51,52,56,52,101,45,49,48,32,49,46,53,53,48,48,51,101,
      45,49,48,32,49,46,53,52,54,52,57,101,45,49,48,32,49,46,53,51,53,50,52,101,45,
      49,48,10,32,32,49,46,53,49,55,53,55,101,45,49,48,32,49,46,52,55,55,54,51,101,
      45,49,48,32,49,46,52,49,56,54,101,45,49,48,32,49,46,51,56,48,48,50,101,45,49,
      48,32,49,46,51,49,48,50,57,101,45,49,48,32,49,46,50,54,51,56,101,45,49,48,32,
      49,46,49,57,54,56,53,101,45,49,48,10,32,32,49,46,49,48,54,54,55,101,45,49,48,
      32,49,46,48,49,49,50,56,101,45,49,48,32,57,46,54,57,54,56,55,101,45,49,49,32,
      56,46,57,48,52,52,52,101,45,49,49,32,56,46,48,53,48,57,54,101,45,49,49,32,55,
      46,51,54,53,55,50,101,45,49,49,32,54,46,55,48,57,55,49,101,45,49,49,10,32,32,
      54,46,49,50,53,56,55,101,45,49,49,32,53,46,53,56,49,54,49,101,45,49,49,32,53,
      46,48,49,53,54,53,101,45,49,49,32,52,46,53,52,54,55,55,101,45,49,49,32,52,46,
      48,54,54,57,53,101,45,49,49,32,51,46,55,51,56,53,52,101,45,49,49,32,51,46,50,
      52,54,54,53,101,45,49,49,10,32,32,50,46,57,55,49,48,55,101,45,49,49,32,50,46,
      54,53,53,48,50,101,45,49,49,32,50,46,48,50,52,56,50,101,45,49,49,32,49,46,51,
      54,56,50,50,101,45,49,49,32,57,46,49,53,55,49,55,101,45,49,50,32,53,46,52,49,
      53,49,55,101,45,49,50,32,51,46,49,51,48,52,52,101,45,49,50,10,32,32,49,46,53,
      56,48,52,55,101,45,49,50,32,56,46,55,55,55,49,55,101,45,49,51,32,51,46,51,50,
      52,49,53,101,45,49,51,32,49,46,50,55,57,50,55,101,45,49,51,32,54,46,52,51,57,
      57,55,101,45,49,52,32,50,46,57,53,53,50,55,101,45,49,52,32,49,46,48,50,56,50,
      101,45,49,52,10,32,32,52,46,48,50,53,53,51,101,45,49,53,32,49,46,53,53,56,53,
      49,101,45,49,53,32,53,46,50,48,54,54,54,101,45,49,54,32,49,46,55,50,48,52,101,
      45,49,54,32,54,46,52,55,55,51,54,101,45,49,55,32,50,46,52,50,51,48,50,101,45,
      49,55,32,57,46,48,49,49,56,54,101,45,49,56,10,32,32,50,46,56,52,52,57,51,101,
      45,49,56,32,55,46,56,53,53,57,55,101,45,49,57,32,49,46,56,54,54,48,49,101,45,
      49,57,32,53,46,48,56,54,55,57,101,45,50,48,32,49,46,49,56,55,53,56,101,45,50,
      48,32,51,46,50,48,52,57,54,101,45,50,49,32,56,46,54,49,53,55,52,101,45,50,50,
      10,32,32,49,46,57,57,50,54,53,101,45,50,50,32,52,46,49,51,49,55,51,101,45,50,
      51,32,49,46,50,50,50,51,51,101,45,50,51,32,50,46,57,55,57,48,50,101,45,50,52,
      32,56,46,53,57,53,55,49,101,45,50,53,32,50,46,50,55,49,53,53,101,45,50,53,32,
      53,46,57,57,48,55,53,101,45,50,54,10,32,32,57,46,57,49,56,56,49,101,45,50,55,
      32,50,46,53,54,49,50,57,101,45,50,55,32,53,46,54,50,57,101,45,50,56,32,54,46,
      56,54,57,49,51,101,45,50,57,32,48,114,49,51,50,32,49,46,56,55,55,57,50,101,
      45,50,56,32,50,46,54,49,53,55,54,101,45,50,56,32,51,46,53,57,50,54,49,101,45,
      50,56,10,32,32,52,46,55,57,50,57,52,101,45,50,56,32,54,46,51,52,48,53,52,101,
      45,50,56,32,56,46,51,50,101,45,50,56,32,49,46,48,53,52,57,56,101,45,50,55,32,
      49,46,51,50,57,49,101,45,50,55,32,49,46,54,54,52,50,57,101,45,50,55,32,50,46,
      48,50,52,57,101,45,50,55,32,50,46,52,52,49,54,53,101,45,50,55,10,32,32,50,46,
      57,51,49,51,51,101,45,50,55,32,51,46,52,52,53,48,52,101,45,50,55,32,52,46,48,
      48,51,48,54,101,45,50,55,32,52,46,54,51,56,53,49,101,45,50,55,32,53,46,51,48,
      51,48,52,101,45,50,55,32,53,46,57,56,56,56,50,101,45,50,55,32,54,46,55,53,50,
      55,55,101,45,50,55,10,32,32,55,46,53,53,57,50,55,101,45,50,55,32,56,46,51,54,
      49,56,54,101,45,50,55,32,57,46,50,52,51,49,56,101,45,50,55,32,49,46,48,49,56,
      56,49,101,45,50,54,32,49,46,49,49,49,52,53,101,45,50,54,32,49,46,50,49,50,50,
      53,101,45,50,54,32,49,46,51,50,49,55,54,101,45,50,54,10,32,32,49,46,52,50,56,
      50,101,45,50,54,32,49,46,53,52,51,51,56,101,45,50,54,32,49,46,54,54,55,56,50,
      101,45,50,54,32,49,46,55,57,48,50,55,101,45,50,54,32,49,46,57,49,57,56,49,101,
      45,50,54,32,50,46,48,53,57,49,51,101,45,50,54,32,50,46,49,57,53,48,54,101,45,
      50,54,10,32,32,50,46,51,51,52,48,49,101,45,50,54,32,50,46,52,56,50,56,51,101,
      45,50,54,32,50,46,54,50,52,53,49,101,45,50,54,32,50,46,55,53,56,55,49,101,45,
      50,54,32,50,46,57,48,50,49,52,101,45,50,54,32,51,46,48,51,53,52,51,101,45,50,
      54,32,51,46,49,51,57,57,50,101,45,50,54,10,32,32,51,46,50,53,50,55,51,101,45,
      50,54,32,51,46,51,53,56,53,49,101,45,50,54,32,51,46,52,48,50,48,49,101,45,50,
      54,32,51,46,52,53,52,51,55,101,45,50,54,32,51,46,53,49,51,55,51,101,45,50,54,
      32,51,46,52,55,49,51,55,101,45,50,54,32,51,46,52,52,50,48,56,101,45,50,54,10,
      32,32,51,46,52,50,52,53,57,101,45,50,54,32,51,46,51,49,50,52,49,101,45,50,54,
      32,51,46,50,48,49,57,51,101,45,50,54,32,51,46,49,48,57,56,54,101,45,50,54,32,
      50,46,57,53,50,49,101,45,50,54,32,50,46,56,50,48,55,51,101,45,50,54,32,50,46,
      54,56,52,57,55,101,45,50,54,10,32,32,50,46,53,49,57,56,51,101,45,50,54,32,50,
      46,51,51,57,50,54,101,45,50,54,32,50,46,49,57,48,50,50,101,45,50,54,32,50,46,
      48,52,49,49,54,101,45,50,54,32,49,46,56,55,54,51,55,101,45,50,54,32,49,46,55,
      52,50,57,51,101,45,50,54,32,49,46,54,50,54,49,51,101,45,50,54,10,32,32,49,46,
      52,57,55,53,56,101,45,50,54,32,49,46,51,57,54,51,55,101,45,50,54,32,49,46,51,
      49,55,49,101,45,50,54,32,49,46,50,51,50,52,49,101,45,50,54,32,49,46,49,54,57,
      53,52,101,45,50,54,32,49,46,49,50,53,49,101,45,50,54,32,49,46,48,56,54,52,55,
      101,45,50,54,10,32,32,49,46,48,54,50,55,54,101,45,50,54,32,49,46,48,53,52,49,
      51,101,45,50,54,32,49,46,48,53,54,57,52,101,45,50,54,32,49,46,48,55,50,51,49,
      101,45,50,54,32,49,46,49,48,48,57,51,101,45,50,54,32,49,46,49,52,51,55,56,101,
      45,50,54,32,49,46,50,48,48,53,56,101,45,50,54,10,32,32,49,46,50,55,48,53,51,
      101,45,50,54,32,49,46,51,53,54,52,53,101,45,50,54,32,49,46,52,54,48,53,54,101,
      45,50,54,32,49,46,53,55,57,54,49,101,45,50,54,32,49,46,55,49,54,55,57,101,45,
      50,54,32,49,46,56,55,57,52,54,101,45,50,54,32,50,46,48,54,48,57,51,101,45,50,
      54,10,32,32,50,46,50,54,51,52,54,101,45,50,54,32,50,46,53,48,50,54,51,101,45,
      50,54,32,50,46,55,54,55,49,53,101,45,50,54,32,51,46,48,53,57,53,54,101,45,50,
      54,32,51,46,51,57,57,53,49,101,45,50,54,32,51,46,55,55,55,57,54,101,45,50,54,
      32,52,46,49,57,53,55,56,101,45,50,54,10,32,32,52,46,54,55,53,54,50,101,45,50,
      54,32,53,46,50,49,54,49,50,101,45,50,54,32,53,46,56,49,52,53,50,101,45,50,54,
      32,54,46,52,57,54,54,56,101,45,50,54,32,55,46,50,55,53,57,51,101,45,50,54,32,
      56,46,49,52,54,50,101,45,50,54,32,57,46,49,51,53,49,49,101,45,50,54,10,32,32,
      49,46,48,50,56,50,50,101,45,50,53,32,49,46,49,53,56,49,101,45,50,53,32,49,46,
      51,48,54,51,101,45,50,53,32,49,46,52,55,57,57,56,101,45,50,53,32,49,46,54,55,
      57,57,56,101,45,50,53,32,49,46,57,49,49,51,56,101,45,50,53,32,50,46,49,56,49,
      52,50,101,45,50,53,10,32,32,50,46,52,57,55,51,56,101,45,50,53,32,50,46,56,54,
      57,48,54,101,45,50,53,32,51,46,50,57,53,57,57,101,45,50,53,32,51,46,55,57,55,
      49,55,101,45,50,53,32,52,46,51,57,49,50,53,101,45,50,53,32,53,46,48,54,53,55,
      55,101,45,50,53,32,53,46,56,52,53,49,53,101,45,50,53,10,32,32,54,46,55,54,53,
      52,55,101,45,50,53,32,55,46,56,48,54,53,101,45,50,53,32,56,46,57,55,53,49,55,
      101,45,50,53,32,49,46,48,51,52,48,56,101,45,50,52,32,49,46,49,57,48,53,53,101,
      45,50,52,32,49,46,51,53,57,51,56,101,45,50,52,32,49,46,53,53,52,101,45,50,52,
      10,32,32,49,46,55,55,53,51,55,101,45,50,52,32,50,46,48,49,52,57,56,101,45,50,
      52,32,50,46,50,57,48,54,51,101,45,50,52,32,50,46,54,48,48,57,51,101,45,50,52,
      32,50,46,57,51,53,101,45,50,52,32,51,46,51,49,51,50,52,101,45,50,52,32,51,46,
      55,52,49,53,50,101,45,50,52,10,32,32,52,46,51,56,52,53,50,101,45,50,52,32,54,
      46,51,52,50,50,55,101,45,50,52,32,49,46,48,57,55,54,57,101,45,50,51,32,50,46,
      55,51,54,52,53,101,45,50,51,32,54,46,52,50,52,54,49,101,45,50,51,32,49,46,50,
      56,53,51,54,101,45,50,50,32,50,46,48,56,55,52,101,45,50,50,10,32,32,50,46,56,
      51,55,57,53,101,45,50,50,32,51,46,52,55,53,54,57,101,45,50,50,32,52,46,49,48,
      53,57,51,101,45,50,50,32,56,46,49,55,53,57,55,101,45,50,50,32,52,46,48,56,55,
      48,54,101,45,50,49,32,53,46,56,49,49,55,101,45,50,48,32,55,46,51,49,57,53,49,
      101,45,50,48,10,32,32,57,46,57,51,49,55,54,101,45,50,48,32,49,46,51,56,50,53,
      53,101,45,49,57,32,50,46,50,49,51,52,52,101,45,49,57,32,51,46,54,49,52,50,55,
      101,45,49,57,32,49,46,53,52,56,51,101,45,49,54,32,50,46,57,48,51,51,52,101,
      45,49,54,32,52,46,49,49,57,55,49,101,45,49,54,10,32,32,53,46,54,49,55,56,101,
      45,49,54,32,55,46,54,49,54,48,52,101,45,49,54,32,57,46,54,51,56,49,51,101,45,
      49,54,32,49,46,49,54,51,54,51,101,45,49,53,32,49,46,51,52,50,54,56,101,45,49,
      53,32,49,46,53,53,57,49,101,45,49,53,32,49,46,56,55,50,52,57,101,45,49,53,10,
      32,32,50,46,51,55,57,54,49,101,45,49,53,32,51,46,49,53,53,57,50,101,45,49,53,
      32,52,46,50,53,56,55,54,101,45,49,53,32,53,46,55,56,51,56,49,101,45,49,53,32,
      55,46,57,50,57,57,57,101,45,49,53,32,49,46,48,51,53,54,49,101,45,49,52,32,49,
      46,51,49,50,57,101,45,49,52,10,32,32,49,46,54,52,56,57,51,101,45,49,52,32,50,
      46,48,55,48,51,51,101,45,49,52,32,50,46,52,57,50,54,101,45,49,52,32,51,46,50,
      49,54,53,52,101,45,49,52,32,52,46,53,48,53,51,49,101,45,49,52,32,54,46,52,53,
      55,57,54,101,45,49,52,32,57,46,50,56,54,49,55,101,45,49,52,10,32,32,49,46,51,
      53,52,55,101,45,49,51,32,49,46,57,48,54,57,57,101,45,49,51,32,50,46,54,50,48,
      53,55,101,45,49,51,32,51,46,53,50,48,56,49,101,45,49,51,32,52,46,53,57,52,54,
      51,101,45,49,51,32,53,46,53,56,55,52,55,101,45,49,51,32,54,46,56,57,56,57,57,
      101,45,49,51,10,32,32,56,46,51,54,57,50,56,101,45,49,51,32,49,46,48,53,52,56,
      101,45,49,50,32,49,46,52,56,55,56,57,101,45,49,50,32,50,46,48,57,51,54,53,101,
      45,49,50,32,50,46,56,52,56,57,49,101,45,49,50,32,51,46,54,49,48,57,57,101,45,
      49,50,32,52,46,56,57,50,49,51,101,45,49,50,10,32,32,54,46,53,49,52,51,49,101,
      45,49,50,32,56,46,53,56,55,54,56,101,45,49,50,32,49,46,48,55,56,56,50,101,45,
      49,49,32,49,46,51,48,53,48,52,101,45,49,49,32,49,46,53,50,49,54,55,101,45,49,
      49,32,49,46,55,55,50,57,50,101,45,49,49,32,50,46,48,53,53,55,51,101,45,49,49,
      10,32,32,50,46,51,49,56,49,101,45,49,49,32,50,46,57,53,57,101,45,49,49,32,51,
      46,55,48,50,48,53,101,45,49,49,32,52,46,52,48,52,54,54,101,45,49,49,32,53,46,
      48,57,49,56,52,101,45,49,49,32,53,46,53,53,51,54,57,101,45,49,49,32,54,46,50,
      51,50,57,57,101,45,49,49,10,32,32,54,46,56,54,56,53,57,101,45,49,49,32,55,46,
      52,52,53,49,52,101,45,49,49,32,55,46,57,53,50,49,50,101,45,49,49,32,56,46,52,
      53,52,53,54,101,45,49,49,32,56,46,55,55,53,57,53,101,45,49,49,32,57,46,48,53,
      52,51,57,101,45,49,49,32,57,46,52,49,53,53,57,101,45,49,49,10,32,32,57,46,53,
      55,53,55,52,101,45,49,49,32,57,46,55,51,51,48,52,101,45,49,49,32,57,46,55,55,
      53,55,55,101,45,49,49,32,57,46,55,52,50,57,53,101,45,49,49,32,57,46,54,54,56,
      52,53,101,45,49,49,32,57,46,52,55,49,52,54,101,45,49,49,32,57,46,49,53,51,49,
      57,101,45,49,49,10,32,32,56,46,57,51,54,51,51,101,45,49,49,32,56,46,53,51,51,
      52,101,45,49,49,32,56,46,50,54,49,48,57,101,45,49,49,32,55,46,56,54,52,49,49,
      101,45,49,49,32,55,46,51,49,50,56,55,101,45,49,49,32,54,46,55,50,52,57,49,101,
      45,49,49,32,54,46,52,54,53,48,56,101,45,49,49,10,32,32,53,46,57,54,54,48,51,
      101,45,49,49,32,53,46,52,50,51,48,49,101,45,49,49,32,52,46,57,56,51,48,54,101,
      45,49,49,32,52,46,53,53,56,54,55,101,45,49,49,32,52,46,49,55,56,51,54,101,45,
      49,49,32,51,46,56,50,49,54,49,101,45,49,49,32,51,46,52,52,56,51,50,101,45,49,
      49,10,32,32,51,46,49,51,55,50,50,101,45,49,49,32,50,46,56,49,55,48,56,101,45,
      49,49,32,50,46,53,57,54,56,56,101,45,49,49,32,50,46,50,54,53,51,53,101,45,49,
      49,32,50,46,48,55,56,54,55,101,45,49,49,32,49,46,56,54,51,54,56,101,45,49,49,
      32,49,46,52,51,49,57,101,45,49,49,10,32,32,57,46,55,54,57,53,54,101,45,49,50,
      32,54,46,53,57,54,53,57,101,45,49,50,32,51,46,57,52,49,51,101,45,49,50,32,50,
      46,51,48,48,49,52,101,45,49,50,32,49,46,49,55,51,52,55,101,45,49,50,32,54,46,
      53,54,57,49,55,101,45,49,51,32,50,46,53,49,54,57,55,101,45,49,51,10,32,32,57,
      46,55,56,50,51,51,101,45,49,52,32,52,46,57,53,53,55,56,101,45,49,52,32,50,46,
      50,56,57,49,49,101,45,49,52,32,56,46,48,50,55,56,55,101,45,49,53,32,51,46,49,
      54,50,57,55,101,45,49,53,32,49,46,50,51,49,55,49,101,45,49,53,32,52,46,49,52,
      48,48,50,101,45,49,54,10,32,32,49,46,51,55,53,53,54,101,45,49,54,32,53,46,50,
      48,50,50,55,101,45,49,55,32,49,46,57,53,52,49,53,101,45,49,55,32,55,46,50,57,
      54,50,50,101,45,49,56,32,50,46,51,49,52,51,50,101,45,49,56,32,54,46,52,49,56,
      50,51,101,45,49,57,32,49,46,53,51,49,49,57,101,45,49,57,10,32,32,52,46,49,56,
      57,50,49,101,45,50,48,32,57,46,56,49,54,57,101,45,50,49,32,50,46,54,53,55,53,
      55,101,45,50,49,32,55,46,49,54,52,57,52,101,45,50,50,32,49,46,54,54,50,48,54,
      101,45,50,50,32,51,46,52,53,54,53,53,101,45,50,51,32,49,46,48,50,52,55,57,101,
      45,50,51,10,32,32,50,46,53,48,51,52,56,101,45,50,52,32,55,46,50,51,55,52,101,
      45,50,53,32,49,46,57,49,54,50,50,101,45,50,53,32,53,46,48,54,50,55,52,101,45,
      50,54,32,56,46,52,57,56,52,56,101,45,50,55,32,50,46,49,55,50,57,49,101,45,50,
      55,32,53,46,50,53,51,49,56,101,45,50,56,10,32,32,49,46,48,53,52,53,54,101,45,
      50,56,32,48,114,49,51,50,32,49,46,49,48,57,49,55,101,45,50,57,32,49,46,53,54,
      53,52,50,101,45,50,57,32,50,46,49,55,55,53,56,101,45,50,57,32,50,46,57,51,56,
      56,101,45,50,57,32,51,46,57,51,49,56,56,101,45,50,57,32,53,46,50,49,54,56,101,
      45,50,57,10,32,32,54,46,54,55,55,57,55,101,45,50,57,32,56,46,52,57,49,53,101,
      45,50,57,32,49,46,48,55,51,48,50,101,45,50,56,32,49,46,51,49,53,54,50,101,45,
      50,56,32,49,46,53,57,56,48,54,101,45,50,56,32,49,46,57,51,50,52,49,101,45,50,
      56,32,50,46,50,56,53,48,56,101,45,50,56,10,32,32,50,46,54,55,48,49,56,101,45,
      50,56,32,51,46,49,49,49,50,52,101,45,50,56,32,51,46,53,55,52,52,49,101,45,50,
      56,32,52,46,48,53,52,48,49,101,45,50,56,32,52,46,53,57,48,54,55,101,45,50,56,
      32,53,46,49,53,57,49,54,101,45,50,56,32,53,46,55,50,53,57,56,101,45,50,56,10,
      32,32,54,46,51,53,48,54,55,101,45,50,56,32,55,46,48,50,50,53,51,101,45,50,56,
      32,55,46,54,56,49,57,54,101,45,50,56,32,56,46,52,48,49,54,101,45,50,56,32,57,
      46,49,56,53,57,50,101,45,50,56,32,57,46,57,52,56,54,50,101,45,50,56,32,49,46,
      48,55,55,54,50,101,45,50,55,10,32,32,49,46,49,54,55,50,56,101,45,50,55,32,49,
      46,50,53,53,53,54,101,45,50,55,32,49,46,51,52,57,49,52,101,45,50,55,32,49,46,
      52,53,48,48,52,101,45,50,55,32,49,46,53,52,56,53,101,45,50,55,32,49,46,54,52,
      57,50,52,101,45,50,55,32,49,46,55,53,55,51,57,101,45,50,55,10,32,32,49,46,56,
      54,48,50,53,101,45,50,55,32,49,46,57,53,55,53,50,101,45,50,55,32,50,46,48,54,
      49,55,50,101,45,50,55,32,50,46,49,53,56,51,101,45,50,55,32,50,46,50,51,51,50,
      55,101,45,50,55,32,50,46,51,49,52,52,51,101,45,50,55,32,50,46,51,57,48,50,55,
      101,45,50,55,10,32,32,50,46,52,49,57,51,52,101,45,50,55,32,50,46,52,53,53,48,
      50,101,45,50,55,32,50,46,52,57,53,57,50,101,45,50,55,32,50,46,52,54,48,54,57,
      101,45,50,55,32,50,46,52,51,53,51,56,101,45,50,55,32,50,46,52,49,56,57,55,101,
      45,50,55,32,50,46,51,51,50,51,101,45,50,55,10,32,32,50,46,50,52,55,51,50,101,
      45,50,55,32,50,46,49,55,54,51,53,101,45,50,55,32,50,46,48,53,55,52,50,101,45,
      50,55,32,49,46,57,53,51,49,55,101,45,50,55,32,49,46,56,53,48,57,56,101,45,50,
      55,32,49,46,55,50,56,48,51,101,45,50,55,32,49,46,53,57,52,55,49,101,45,50,55,
      10,32,32,49,46,52,56,52,56,56,101,45,50,55,32,49,46,51,55,53,55,52,101,45,50,
      55,32,49,46,50,53,54,49,56,101,45,50,55,32,49,46,49,53,57,54,49,101,45,50,55,
      32,49,46,48,55,53,51,57,101,45,50,55,32,57,46,56,51,54,49,54,101,45,50,56,32,
      57,46,49,49,53,50,49,101,45,50,56,10,32,32,56,46,53,53,49,50,54,101,45,50,56,
      32,55,46,57,53,53,50,56,101,45,50,56,32,55,46,53,49,51,54,49,101,45,50,56,32,
      55,46,50,48,49,53,101,45,50,56,32,54,46,57,51,50,57,55,101,45,50,56,32,54,46,
      55,54,57,49,101,45,50,56,32,54,46,55,49,48,51,54,101,45,50,56,10,32,32,54,46,
      55,51,50,50,50,101,45,50,56,32,54,46,56,52,50,49,53,101,45,50,56,32,55,46,48,
      52,52,57,50,101,45,50,56,32,55,46,51,52,55,49,57,101,45,50,56,32,55,46,55,52,
      55,54,56,101,45,50,56,32,56,46,50,52,50,48,57,101,45,50,56,32,56,46,56,52,57,
      55,54,101,45,50,56,10,32,32,57,46,53,56,54,51,51,101,45,50,56,32,49,46,48,52,
      51,50,51,101,45,50,55,32,49,46,49,52,49,48,51,101,45,50,55,32,49,46,50,53,54,
      57,53,101,45,50,55,32,49,46,51,56,54,57,56,101,45,50,55,32,49,46,53,51,50,56,
      53,101,45,50,55,32,49,46,55,48,52,56,57,101,45,50,55,10,32,32,49,46,56,57,54,
      50,52,101,45,50,55,32,50,46,49,48,56,57,55,101,45,50,55,32,50,46,51,53,54,49,
      57,101,45,50,55,32,50,46,54,51,50,54,55,101,45,50,55,32,50,46,57,51,57,53,55,
      101,45,50,55,32,51,46,50,57,50,50,56,101,45,50,55,32,51,46,54,57,48,55,57,101,
      45,50,55,10,32,32,52,46,49,51,52,49,53,101,45,50,55,32,52,46,54,52,48,52,101,
      45,50,55,32,53,46,50,49,57,54,51,101,45,50,55,32,53,46,56,54,57,50,101,45,50,
      55,32,54,46,54,48,57,49,49,101,45,50,55,32,55,46,52,54,56,48,56,101,45,50,55,
      32,56,46,52,52,52,48,57,101,45,50,55,10,32,32,57,46,53,54,49,49,51,101,45,50,
      55,32,49,46,48,56,55,50,51,101,45,50,54,32,49,46,50,51,56,55,52,101,45,50,54,
      32,49,46,52,49,52,54,56,101,45,50,54,32,49,46,54,50,48,55,56,101,45,50,54,32,
      49,46,56,54,50,57,54,101,45,50,54,32,50,46,49,52,57,50,101,45,50,54,10,32,32,
      50,46,52,55,57,57,56,101,45,50,54,32,50,46,56,55,48,53,49,101,45,50,54,32,51,
      46,51,51,54,50,49,101,45,50,54,32,51,46,56,54,56,56,50,101,45,50,54,32,52,46,
      52,56,56,52,57,101,45,50,54,32,53,46,50,50,53,50,50,101,45,50,54,32,54,46,48,
      54,52,56,56,101,45,50,54,10,32,32,55,46,48,49,52,52,54,101,45,50,54,32,56,46,
      49,51,49,56,50,101,45,50,54,32,57,46,52,50,49,48,57,101,45,50,54,32,49,46,48,
      56,50,50,55,101,45,50,53,32,49,46,50,52,52,57,52,101,45,50,53,32,49,46,52,51,
      49,50,54,101,45,50,53,32,49,46,54,51,52,49,54,101,45,50,53,10,32,32,49,46,56,
      54,57,48,53,101,45,50,53,32,50,46,49,51,53,52,101,45,50,53,32,50,46,52,50,51,
      57,53,101,45,50,53,32,50,46,55,53,50,55,50,101,45,50,53,32,51,46,49,50,55,51,
      51,101,45,50,53,32,51,46,54,57,51,56,52,101,45,50,53,32,53,46,52,52,51,54,49,
      101,45,50,53,10,32,32,57,46,54,57,49,52,55,101,45,50,53,32,50,46,53,51,53,55,
      53,101,45,50,52,32,54,46,50,51,50,51,53,101,45,50,52,32,49,46,50,57,51,48,51,
      101,45,50,51,32,50,46,49,53,48,48,52,101,45,50,51,32,50,46,57,54,48,55,50,101,
      45,50,51,32,51,46,54,52,57,56,51,101,45,50,51,10,32,32,52,46,51,51,50,48,49,
      101,45,50,51,32,56,46,56,52,57,53,49,101,45,50,51,32,52,46,54,57,56,53,55,101,
      45,50,50,32,55,46,50,55,49,53,57,101,45,50,49,32,57,46,50,55,55,51,56,101,45,
      50,49,32,49,46,50,56,49,51,52,101,45,50,48,32,49,46,56,49,57,49,49,101,45,50,
      48,10,32,32,50,46,57,57,55,48,53,101,45,50,48,32,53,46,48,52,54,54,49,101,45,
      50,48,32,50,46,55,51,49,55,51,101,45,49,55,32,53,46,51,55,50,56,56,101,45,49,
      55,32,56,46,48,53,48,53,52,101,45,49,55,32,49,46,49,53,50,48,56,101,45,49,54,
      32,49,46,54,51,50,56,101,45,49,54,10,32,32,50,46,49,50,52,55,56,101,45,49,54,
      32,50,46,54,49,51,54,50,101,45,49,54,32,51,46,48,53,48,49,55,101,45,49,54,32,
      51,46,53,56,54,48,52,101,45,49,54,32,52,46,51,57,55,54,54,101,45,49,54,32,53,
      46,55,54,56,54,57,101,45,49,54,32,55,46,57,54,49,57,52,101,45,49,54,10,32,32,
      49,46,49,50,50,48,55,101,45,49,53,32,49,46,53,57,51,56,54,101,45,49,53,32,50,
      46,50,57,54,51,49,101,45,49,53,32,51,46,49,51,55,49,56,101,45,49,53,32,52,46,
      49,48,50,55,50,101,45,49,53,32,53,46,50,57,51,48,57,101,45,49,53,32,54,46,56,
      51,54,49,51,101,45,49,53,10,32,32,56,46,52,51,52,55,56,101,45,49,53,32,49,46,
      49,50,55,48,57,101,45,49,52,32,49,46,54,53,51,57,50,101,45,49,52,32,50,46,52,
      56,57,53,52,101,45,49,52,32,51,46,55,53,50,52,53,101,45,49,52,32,53,46,55,49,
      55,52,50,101,45,49,52,32,56,46,51,50,48,53,50,101,45,49,52,10,32,32,49,46,49,
      55,49,49,51,101,45,49,51,32,49,46,53,57,57,57,49,101,45,49,51,32,50,46,49,48,
      57,48,49,101,45,49,51,32,50,46,53,55,56,56,49,101,45,49,51,32,51,46,50,48,48,
      49,56,101,45,49,51,32,51,46,56,57,57,55,49,101,45,49,51,32,52,46,57,51,54,49,
      52,101,45,49,51,10,32,32,54,46,57,57,54,51,55,101,45,49,51,32,57,46,56,56,52,
      52,53,101,45,49,51,32,49,46,51,53,48,49,49,101,45,49,50,32,49,46,55,49,55,51,
      53,101,45,49,50,32,50,46,51,51,57,56,50,101,45,49,50,32,51,46,49,51,55,48,57,
      101,45,49,50,32,52,46,49,54,57,52,50,101,45,49,50,10,32,32,53,46,50,55,56,52,
      51,101,45,49,50,32,54,46,52,50,56,51,52,101,45,49,50,32,55,46,53,51,53,53,56,
      101,45,49,50,32,56,46,56,50,57,48,52,101,45,49,50,32,49,46,48,50,57,56,57,101,
      45,49,49,32,49,46,49,54,55,55,50,101,45,49,49,32,49,46,53,48,57,53,56,101,45,
      49,49,10,32,32,49,46,57,49,51,54,56,101,45,49,49,32,50,46,51,48,50,49,54,101,
      45,49,49,32,50,46,54,56,53,55,51,101,45,49,49,32,50,46,57,52,49,49,51,101,45,
      49,49,32,51,46,51,50,56,50,51,101,45,49,49,32,51,46,54,57,54,48,50,101,45,49,
      49,32,52,46,48,51,53,50,52,101,45,49,49,10,32,32,52,46,51,51,57,48,52,101,45,
      49,49,32,52,46,54,52,54,57,101,45,49,49,32,52,46,56,52,56,55,54,101,45,49,49,
      32,53,46,48,50,56,50,49,101,45,49,49,32,53,46,50,55,49,57,55,101,45,49,49,32,
      53,46,51,56,56,49,55,101,45,49,49,32,53,46,53,49,56,55,101,45,49,49,10,32,32,
      53,46,53,56,55,48,55,101,45,49,49,32,53,46,53,57,52,52,52,101,45,49,49,32,53,
      46,53,55,55,52,53,101,45,49,49,32,53,46,53,48,51,52,101,45,49,49,32,53,46,51,
      54,48,50,56,101,45,49,49,32,53,46,50,53,53,55,54,101,45,49,49,32,53,46,48,53,
      51,48,56,101,45,49,49,10,32,32,52,46,57,49,52,52,56,101,45,49,49,32,52,46,55,
      49,51,48,50,101,45,49,49,32,52,46,52,48,56,49,56,101,45,49,49,32,52,46,48,56,
      49,57,53,101,45,49,49,32,51,46,57,51,54,52,50,101,45,49,49,32,51,46,54,53,51,
      57,56,101,45,49,49,32,51,46,51,52,50,54,52,101,45,49,49,10,32,32,51,46,48,56,
      55,53,51,101,45,49,49,32,50,46,56,51,57,49,49,101,45,49,49,32,50,46,54,49,52,
      53,54,101,45,49,49,32,50,46,52,48,50,50,56,101,45,49,49,32,50,46,49,55,56,52,
      51,101,45,49,49,32,49,46,57,57,48,53,49,101,45,49,49,32,49,46,55,57,53,55,57,
      101,45,49,49,10,32,32,49,46,54,54,49,48,53,101,45,49,49,32,49,46,52,53,54,56,
      56,101,45,49,49,32,49,46,51,52,49,50,101,45,49,49,32,49,46,50,48,55,50,57,101,
      45,49,49,32,57,46,51,53,57,54,56,101,45,49,50,32,54,46,52,54,49,50,49,101,45,
      49,50,32,52,46,52,48,57,56,55,101,45,49,50,10,32,32,50,46,54,54,56,48,50,101,
      45,49,50,32,49,46,53,55,53,50,50,101,45,49,50,32,56,46,49,51,57,55,56,101,45,
      49,51,32,52,46,54,48,49,53,49,101,45,49,51,32,49,46,55,56,56,51,52,101,45,49,
      51,32,55,46,48,51,53,53,101,45,49,52,32,51,46,53,57,50,49,50,101,45,49,52,10,
      32,32,49,46,54,55,50,54,54,101,45,49,52,32,53,46,57,50,51,57,50,101,45,49,53,
      32,50,46,51,53,50,51,54,101,45,49,53,32,57,46,50,50,54,52,57,101,45,49,54,32,
      51,46,49,50,52,54,51,101,45,49,54,32,49,46,48,52,53,51,53,101,45,49,54,32,51,
      46,57,55,53,51,57,101,45,49,55,10,32,32,49,46,53,48,49,48,49,101,45,49,55,32,
      53,46,54,51,49,51,101,45,49,56,32,49,46,55,57,54,54,57,101,45,49,56,32,53,46,
      48,48,57,51,49,101,45,49,57,32,49,46,50,48,49,53,55,101,45,49,57,32,51,46,51,
      48,50,50,52,101,45,50,48,32,55,46,55,55,52,51,55,101,45,50,49,10,32,32,50,46,
      49,49,50,55,50,101,45,50,49,32,53,46,55,49,54,51,56,101,45,50,50,32,49,46,51,
      51,48,57,52,101,45,50,50,32,50,46,55,55,56,49,53,101,45,50,51,32,56,46,50,53,
      56,55,51,101,45,50,52,32,50,46,48,50,51,51,57,101,45,50,52,32,53,46,56,54,51,
      55,57,101,45,50,53,10,32,32,49,46,53,53,54,54,56,101,45,50,53,32,52,46,49,50,
      50,56,56,101,45,50,54,32,54,46,57,55,48,54,52,101,45,50,55,32,49,46,56,48,54,
      54,57,101,45,50,55,32,52,46,53,50,49,55,51,101,45,50,56,32,56,46,53,56,50,55,
      53,101,45,50,57,32,48,114,49,51,50,32,52,46,56,56,56,54,57,101,45,51,48,10,
      32,32,54,46,57,51,49,49,56,101,45,51,48,32,57,46,54,56,51,56,101,45,51,48,32,
      49,46,51,49,50,48,51,101,45,50,57,32,49,46,55,54,50,48,57,101,45,50,57,32,50,
      46,51,52,54,54,101,45,50,57,32,51,46,48,49,51,51,51,101,45,50,57,32,51,46,56,
      52,51,52,49,101,45,50,57,10,32,32,52,46,56,55,49,49,54,101,45,50,57,32,53,46,
      57,56,55,53,50,101,45,50,57,32,55,46,50,57,48,51,49,101,45,50,57,32,56,46,56,
      51,54,48,57,101,45,50,57,32,49,46,48,52,54,57,52,101,45,50,56,32,49,46,50,50,
      53,53,57,101,45,50,56,32,49,46,52,51,48,53,54,101,45,50,56,10,32,32,49,46,54,
      52,54,48,57,101,45,50,56,32,49,46,56,54,57,53,101,45,50,56,32,50,46,49,49,57,
      56,52,101,45,50,56,32,50,46,51,56,53,51,49,101,45,50,56,32,50,46,54,53,48,49,
      54,101,45,50,56,32,50,46,57,52,50,51,56,101,45,50,56,32,51,46,50,53,54,57,55,
      101,45,50,56,10,32,32,51,46,53,54,53,56,52,101,45,50,56,32,51,46,57,48,51,50,
      51,101,45,50,56,32,52,46,50,55,49,51,101,45,50,56,32,52,46,54,50,57,50,57,101,
      45,50,56,32,53,46,48,49,56,48,53,101,45,50,56,32,53,46,52,51,57,54,50,101,45,
      50,56,32,53,46,56,53,52,55,51,101,45,50,56,10,32,32,54,46,50,57,53,48,56,101,
      45,50,56,32,54,46,55,55,48,50,49,101,45,50,56,32,55,46,50,51,51,56,54,101,45,
      50,56,32,55,46,55,48,56,52,52,101,45,50,56,32,56,46,50,49,56,50,52,101,45,50,
      56,32,56,46,55,48,51,101,45,50,56,32,57,46,49,54,49,50,50,101,45,50,56,10,32,
      32,57,46,54,53,50,51,51,101,45,50,56,32,49,46,48,49,48,55,51,101,45,50,55,32,
      49,46,48,52,53,57,51,101,45,50,55,32,49,46,48,56,52,48,56,101,45,50,55,32,49,
      46,49,49,57,54,56,101,45,50,55,32,49,46,49,51,51,48,50,101,45,50,55,32,49,46,
      49,52,57,53,49,101,45,50,55,10,32,32,49,46,49,54,56,52,55,101,45,50,55,32,49,
      46,49,53,49,50,52,101,45,50,55,32,49,46,49,51,56,55,52,101,45,50,55,32,49,46,
      49,51,48,52,56,101,45,50,55,32,49,46,48,56,56,57,101,45,50,55,32,49,46,48,52,
      56,49,57,101,45,50,55,32,49,46,48,49,52,49,54,101,45,50,55,10,32,32,57,46,53,
      55,53,48,56,101,45,50,56,32,57,46,48,55,49,56,50,101,45,50,56,32,56,46,53,56,
      53,51,52,101,45,50,56,32,56,46,48,48,49,56,53,101,45,50,56,32,55,46,51,55,48,
      55,101,45,50,56,32,54,46,56,53,49,49,51,101,45,50,56,32,54,46,51,51,53,55,53,
      101,45,50,56,10,32,32,53,46,55,55,50,55,50,101,45,50,56,32,53,46,51,49,56,51,
      52,101,45,50,56,32,52,46,57,50,50,53,51,101,45,50,56,32,52,46,52,57,50,52,57,
      101,45,50,56,32,52,46,49,53,52,57,50,101,45,50,56,32,51,46,56,57,48,57,55,101,
      45,50,56,32,51,46,54,49,50,57,51,101,45,50,56,10,32,32,51,46,52,48,55,48,49,
      101,45,50,56,32,51,46,50,54,49,53,49,101,45,50,56,32,51,46,49,51,54,55,51,101,
      45,50,56,32,51,46,48,54,48,55,52,101,45,50,56,32,51,46,48,51,51,54,52,101,45,
      50,56,32,51,46,48,52,52,49,54,101,45,50,56,32,51,46,48,57,53,55,51,101,45,50,
      56,10,32,32,51,46,49,57,48,53,54,101,45,50,56,32,51,46,51,51,49,55,51,101,45,
      50,56,32,51,46,53,49,56,55,53,101,45,50,56,32,51,46,55,52,57,55,57,101,45,50,
      56,32,52,46,48,51,51,56,50,101,45,50,56,32,52,46,51,55,56,49,52,101,45,50,56,
      32,52,46,55,55,52,49,53,101,45,50,56,10,32,32,53,46,50,51,50,52,101,45,50,56,
      32,53,46,55,55,53,53,55,101,45,50,56,32,54,46,51,56,53,56,49,101,45,50,56,32,
      55,46,48,55,49,53,53,101,45,50,56,32,55,46,56,56,48,48,50,101,45,50,56,32,56,
      46,55,56,48,56,51,101,45,50,56,32,57,46,55,56,51,57,55,101,45,50,56,10,32,32,
      49,46,48,57,52,57,55,101,45,50,55,32,49,46,50,50,53,53,51,101,45,50,55,32,49,
      46,51,55,48,54,57,101,45,50,55,32,49,46,53,51,55,53,54,101,45,50,55,32,49,46,
      55,50,54,50,56,101,45,50,55,32,49,46,57,51,54,53,54,101,45,50,55,32,50,46,49,
      55,54,55,57,101,45,50,55,10,32,32,50,46,52,53,49,56,101,45,50,55,32,50,46,55,
      54,48,53,56,101,45,50,55,32,51,46,49,49,50,53,55,101,45,50,55,32,51,46,53,50,
      49,51,50,101,45,50,55,32,51,46,57,56,54,50,52,101,45,50,55,32,52,46,53,49,56,
      56,51,101,45,50,55,32,53,46,49,52,52,50,55,101,45,50,55,10,32,32,53,46,56,54,
      55,55,50,101,45,50,55,32,54,46,55,48,56,55,49,101,45,50,55,32,55,46,54,57,52,
      57,52,101,45,50,55,32,56,46,56,53,53,50,52,101,45,50,55,32,49,46,48,50,50,56,
      53,101,45,50,54,32,49,46,49,56,49,56,52,101,45,50,54,32,49,46,51,54,57,56,52,
      101,45,50,54,10,32,32,49,46,53,57,52,52,50,101,45,50,54,32,49,46,56,53,49,56,
      50,101,45,50,54,32,50,46,49,53,49,56,57,101,45,50,54,32,50,46,53,48,57,51,54,
      101,45,50,54,32,50,46,57,49,55,54,54,101,45,50,54,32,51,46,51,56,48,52,49,101,
      45,50,54,32,51,46,57,50,54,48,51,101,45,50,54,10,32,32,52,46,53,53,54,56,56,
      101,45,50,54,32,53,46,50,52,52,49,55,101,45,50,54,32,54,46,48,52,51,52,53,101,
      45,50,54,32,54,46,57,54,48,55,52,101,45,50,54,32,55,46,57,54,49,53,53,101,45,
      50,54,32,57,46,49,50,50,49,50,101,45,50,54,32,49,46,48,52,52,48,57,101,45,50,
      53,10,32,32,49,46,49,56,55,50,51,101,45,50,53,32,49,46,51,53,48,54,101,45,50,
      53,32,49,46,53,51,55,49,101,45,50,53,32,49,46,56,49,57,55,51,101,45,50,53,32,
      50,46,54,57,54,50,51,101,45,50,53,32,52,46,56,51,57,52,57,101,45,50,53,32,49,
      46,50,56,52,48,49,101,45,50,52,10,32,32,51,46,49,57,55,52,52,101,45,50,52,32,
      54,46,55,48,50,56,51,101,45,50,52,32,49,46,49,50,50,48,53,101,45,50,51,32,49,
      46,53,53,48,55,51,101,45,50,51,32,49,46,57,49,53,49,56,101,45,50,51,32,50,46,
      50,55,54,49,51,101,45,50,51,32,52,46,54,56,51,52,53,101,45,50,51,10,32,32,50,
      46,53,50,57,51,49,101,45,50,50,32,52,46,48,48,56,56,55,101,45,50,49,32,53,46,
      49,51,50,50,57,101,45,50,49,32,55,46,49,50,50,49,53,101,45,50,49,32,49,46,48,
      49,54,52,57,101,45,50,48,32,49,46,54,56,55,55,56,101,45,50,48,32,50,46,56,54,
      54,48,52,101,45,50,48,10,32,32,49,46,55,50,57,51,54,101,45,49,55,32,51,46,52,
      51,49,55,51,101,45,49,55,32,53,46,49,57,53,53,53,101,45,49,55,32,55,46,53,48,
      53,54,51,101,45,49,55,32,49,46,48,55,51,51,50,101,45,49,54,32,49,46,52,48,53,
      48,50,101,45,49,54,32,49,46,55,51,52,55,52,101,45,49,54,10,32,32,50,46,48,50,
      56,57,57,101,45,49,54,32,50,46,51,57,49,54,52,101,45,49,54,32,50,46,57,52,53,
      54,54,101,45,49,54,32,51,46,56,56,57,57,54,101,45,49,54,32,53,46,52,49,53,49,
      52,101,45,49,54,32,55,46,55,48,52,53,50,101,45,49,54,32,49,46,49,48,53,52,53,
      101,45,49,53,10,32,32,49,46,54,49,52,56,49,101,45,49,53,32,50,46,50,52,48,52,
      57,101,45,49,53,32,50,46,57,53,48,56,50,101,45,49,53,32,51,46,56,51,48,55,56,
      101,45,49,53,32,52,46,57,56,48,54,56,101,45,49,53,32,54,46,49,56,49,53,53,101,
      45,49,53,32,56,46,51,50,57,52,51,101,45,49,53,10,32,32,49,46,50,51,54,50,53,
      101,45,49,52,32,49,46,56,56,51,57,49,101,45,49,52,32,50,46,56,55,53,54,55,101,
      45,49,52,32,52,46,52,51,53,49,101,45,49,52,32,54,46,53,49,56,55,56,101,45,49,
      52,32,57,46,50,52,54,57,56,101,45,49,52,32,49,46,50,55,48,53,56,101,45,49,51,
      10,32,32,49,46,54,56,49,49,54,101,45,49,51,32,50,46,48,54,48,48,55,101,45,49,
      51,32,50,46,53,54,50,48,51,101,45,49,51,32,51,46,49,50,56,52,49,101,45,49,51,
      32,51,46,57,54,56,50,53,101,45,49,51,32,53,46,54,51,56,54,55,101,45,49,51,32,
      55,46,57,56,50,49,56,101,45,49,51,10,32,32,49,46,48,57,49,57,52,101,45,49,50,
      32,49,46,51,57,48,53,56,101,45,49,50,32,49,46,56,57,55,55,101,45,49,50,32,50,
      46,53,52,57,48,49,101,45,49,50,32,51,46,51,57,53,49,101,45,49,50,32,52,46,51,
      48,54,57,50,101,45,49,50,32,53,46,50,53,52,53,57,101,45,49,50,10,32,32,54,46,
      49,54,56,52,57,101,45,49,50,32,55,46,50,51,56,50,52,101,45,49,50,32,56,46,52,
      53,55,48,55,101,45,49,50,32,57,46,54,48,51,50,56,101,45,49,50,32,49,46,50,52,
      53,56,53,101,45,49,49,32,49,46,53,56,53,49,57,101,45,49,49,32,49,46,57,49,50,
      57,52,101,45,49,49,10,32,32,50,46,50,51,55,52,52,101,45,49,49,32,50,46,52,53,
      50,57,57,101,45,49,49,32,50,46,55,56,50,51,50,101,45,49,49,32,51,46,48,57,54,
      53,49,101,45,49,49,32,51,46,51,56,55,53,54,101,45,49,49,32,51,46,54,52,57,52,
      53,101,45,49,49,32,51,46,57,49,54,51,51,101,45,49,49,10,32,32,52,46,48,57,50,
      52,49,101,45,49,49,32,52,46,50,52,57,57,52,101,45,49,49,32,52,46,52,54,54,50,
      53,101,45,49,49,32,52,46,53,55,49,48,50,101,45,49,49,32,52,46,54,57,49,55,57,
      101,45,49,49,32,52,46,55,54,48,52,54,101,45,49,49,32,52,46,55,55,50,57,56,101,
      45,49,49,10,32,32,52,46,55,54,52,54,55,101,45,49,49,32,52,46,55,49,48,57,54,
      101,45,49,49,32,52,46,53,57,56,53,51,101,45,49,49,32,52,46,53,49,52,50,57,101,
      45,49,49,32,52,46,51,52,56,53,49,101,45,49,49,32,52,46,50,51,52,54,54,101,45,
      49,49,32,52,46,48,55,48,53,57,101,45,49,49,10,32,32,51,46,56,49,50,56,52,101,
      45,49,49,32,51,46,53,51,55,51,54,101,45,49,49,32,51,46,52,49,52,50,51,101,45,
      49,49,32,51,46,49,55,52,53,51,101,45,49,49,32,50,46,57,48,57,51,101,45,49,49,
      32,50,46,54,57,49,50,53,101,45,49,49,32,50,46,52,55,56,51,49,101,45,49,49,10,
      32,32,50,46,50,56,53,51,54,101,45,49,49,32,50,46,49,48,50,53,51,101,45,49,49,
      32,49,46,57,48,57,51,101,45,49,49,32,49,46,55,52,54,55,53,101,45,49,49,32,49,
      46,53,55,55,57,55,101,45,49,49,32,49,46,52,54,48,57,56,101,45,49,49,32,49,46,
      50,56,51,51,56,101,45,49,49,10,32,32,49,46,49,56,50,53,55,101,45,49,49,32,49,
      46,48,54,53,55,101,45,49,49,32,56,46,50,56,51,49,54,101,45,49,50,32,53,46,55,
      51,55,50,56,101,45,49,50,32,51,46,57,50,55,56,52,101,45,49,50,32,50,46,51,56,
      52,57,51,101,45,49,50,32,49,46,52,49,50,55,57,101,45,49,50,10,32,32,55,46,51,
      50,55,51,51,101,45,49,51,32,52,46,49,53,51,57,54,101,45,49,51,32,49,46,54,50,
      49,48,52,101,45,49,51,32,54,46,51,57,57,54,50,101,45,49,52,32,51,46,50,55,52,
      56,101,45,49,52,32,49,46,53,50,56,52,52,101,45,49,52,32,53,46,52,50,56,52,57,
      101,45,49,53,10,32,32,50,46,49,54,48,52,57,101,45,49,53,32,56,46,52,57,49,52,
      53,101,45,49,54,32,50,46,56,56,49,57,50,101,45,49,54,32,57,46,54,54,48,55,49,
      101,45,49,55,32,51,46,54,55,57,56,51,101,45,49,55,32,49,46,51,57,49,53,101,
      45,49,55,32,53,46,50,50,55,55,50,101,45,49,56,10,32,32,49,46,54,55,48,55,51,
      101,45,49,56,32,52,46,54,54,53,50,57,101,45,49,57,32,49,46,49,50,48,56,101,
      45,49,57,32,51,46,48,56,52,50,51,101,45,50,48,32,55,46,50,55,48,56,49,101,45,
      50,49,32,49,46,57,55,56,48,57,101,45,50,49,32,53,46,51,53,55,55,51,101,45,50,
      50,10,32,32,49,46,50,52,56,55,56,101,45,50,50,32,50,46,54,48,57,52,53,101,45,
      50,51,32,55,46,55,54,51,50,101,45,50,52,32,49,46,57,48,51,53,56,101,45,50,52,
      32,53,46,53,50,48,53,57,101,45,50,53,32,49,46,52,54,54,53,52,101,45,50,53,32,
      51,46,56,56,54,54,101,45,50,54,10,32,32,54,46,53,55,57,57,52,101,45,50,55,32,
      49,46,55,48,53,57,53,101,45,50,55,32,52,46,50,54,57,55,55,101,45,50,56,32,56,
      46,48,57,48,57,54,101,45,50,57,32,48,114,49,51,50,32,50,46,49,51,50,54,53,101,
      45,51,48,32,51,46,48,51,56,51,53,101,45,51,48,32,52,46,50,54,52,54,49,101,45,
      51,48,10,32,32,53,46,56,48,49,56,51,101,45,51,48,32,55,46,56,50,51,49,49,101,
      45,51,48,32,49,46,48,52,53,56,52,101,45,50,57,32,49,46,51,52,55,51,57,101,45,
      50,57,32,49,46,55,50,52,48,49,101,45,50,57,32,50,46,49,57,49,55,53,101,45,50,
      57,32,50,46,55,48,49,48,51,101,45,50,57,10,32,32,51,46,50,57,54,55,56,101,45,
      50,57,32,52,46,48,48,53,51,53,101,45,50,57,32,52,46,55,53,53,51,51,101,45,50,
      57,32,53,46,53,55,55,48,52,101,45,50,57,32,54,46,53,50,49,53,54,101,45,50,57,
      32,55,46,53,49,54,48,49,101,45,50,57,32,56,46,53,52,55,57,55,101,45,50,57,10,
      32,32,57,46,55,48,53,57,54,101,45,50,57,32,49,46,48,57,51,53,50,101,45,50,56,
      32,49,46,50,49,54,50,52,101,45,50,56,32,49,46,51,53,49,55,57,101,45,50,56,32,
      49,46,52,57,55,56,54,101,45,50,56,32,49,46,54,52,49,51,51,101,45,50,56,32,49,
      46,55,57,56,50,101,45,50,56,10,32,32,49,46,57,54,57,52,57,101,45,50,56,32,50,
      46,49,51,54,49,50,101,45,50,56,32,50,46,51,49,55,50,50,101,45,50,56,32,50,46,
      53,49,51,55,56,101,45,50,56,32,50,46,55,48,55,51,55,101,45,50,56,32,50,46,57,
      49,50,56,53,101,45,50,56,32,51,46,49,51,52,55,52,101,45,50,56,10,32,32,51,46,
      51,53,49,50,55,101,45,50,56,32,51,46,53,55,50,57,56,101,45,50,56,32,51,46,56,
      49,49,51,49,101,45,50,56,32,52,46,48,51,55,56,56,101,45,50,56,32,52,46,50,53,
      49,57,52,101,45,50,56,32,52,46,52,56,49,53,50,101,45,50,56,32,52,46,54,57,52,
      48,51,101,45,50,56,10,32,32,52,46,56,53,55,57,55,101,45,50,56,32,53,46,48,51,
      53,55,56,101,45,50,56,32,53,46,50,48,49,53,55,101,45,50,56,32,53,46,50,54,50,
      50,54,101,45,50,56,32,53,46,51,51,55,55,55,101,45,50,56,32,53,46,52,50,52,57,
      55,101,45,50,56,32,53,46,51,52,49,52,55,101,45,50,56,10,32,32,53,46,50,56,48,
      51,55,101,45,50,56,32,53,46,50,51,57,51,54,101,45,50,56,32,53,46,48,52,49,54,
      51,101,45,50,56,32,52,46,56,52,56,50,53,101,45,50,56,32,52,46,54,56,54,53,55,
      101,45,50,56,32,52,46,52,49,56,57,56,101,45,50,56,32,52,46,49,51,55,57,101,
      45,50,56,10,32,32,51,46,57,52,56,55,56,101,45,50,56,32,51,46,54,55,52,50,54,
      101,45,50,56,32,51,46,51,55,56,48,51,101,45,50,56,32,51,46,49,51,52,51,52,101,
      45,50,56,32,50,46,56,57,51,48,56,101,45,50,56,32,50,46,54,51,48,50,49,101,45,
      50,56,32,50,46,52,49,56,50,54,101,45,50,56,10,32,32,50,46,50,51,51,56,52,101,
      45,50,56,32,50,46,48,51,52,48,55,101,45,50,56,32,49,46,56,55,55,51,55,101,45,
      50,56,32,49,46,55,53,52,57,101,45,50,56,32,49,46,54,50,54,51,50,101,45,50,56,
      32,49,46,53,51,49,49,52,101,45,50,56,32,49,46,52,54,51,57,49,101,45,50,56,10,
      32,32,49,46,52,48,54,52,52,101,45,50,56,32,49,46,51,55,49,53,49,101,45,50,56,
      32,49,46,51,53,57,49,50,101,45,50,56,32,49,46,51,54,52,49,53,101,45,50,56,32,
      49,46,51,56,56,49,52,101,45,50,56,32,49,46,52,51,50,49,49,101,45,50,56,32,49,
      46,52,57,55,52,56,101,45,50,56,10,32,32,49,46,53,56,52,48,55,101,45,50,56,32,
      49,46,54,57,49,49,51,101,45,50,56,32,49,46,56,50,50,55,55,101,45,50,56,32,49,
      46,57,56,50,51,54,101,45,50,56,32,50,46,49,54,54,49,56,101,45,50,56,32,50,46,
      51,55,57,49,101,45,50,56,32,50,46,54,51,49,52,56,101,45,50,56,10,32,32,50,46,
      57,49,53,53,101,45,50,56,32,51,46,50,51,53,49,55,101,45,50,56,32,51,46,54,49,
      49,57,53,101,45,50,56,32,52,46,48,51,50,53,101,45,50,56,32,52,46,53,48,49,54,
      51,101,45,50,56,32,53,46,48,52,54,56,50,101,45,50,56,32,53,46,54,53,56,50,53,
      101,45,50,56,10,32,32,54,46,51,51,57,50,51,101,45,50,56,32,55,46,49,50,50,50,
      57,101,45,50,56,32,56,46,48,48,56,55,52,101,45,50,56,32,56,46,57,57,55,57,49,
      101,45,50,56,32,49,46,48,49,50,56,54,101,45,50,55,32,49,46,49,52,50,51,55,101,
      45,50,55,32,49,46,50,56,55,57,55,101,45,50,55,10,32,32,49,46,52,53,52,48,55,
      101,45,50,55,32,49,46,54,52,55,48,49,101,45,50,55,32,49,46,56,54,54,54,57,101,
      45,50,55,32,50,46,49,49,56,53,55,101,45,50,55,32,50,46,52,49,52,53,49,101,45,
      50,55,32,50,46,55,53,55,49,53,101,45,50,55,32,51,46,49,53,53,56,57,101,45,50,
      55,10,32,32,51,46,54,50,52,101,45,50,55,32,52,46,49,55,53,52,101,45,50,55,32,
      52,46,56,50,56,56,56,101,45,50,55,32,53,46,53,56,54,55,52,101,45,50,55,32,54,
      46,52,56,52,52,101,45,50,55,32,55,46,53,53,56,53,53,101,45,50,55,32,56,46,55,
      57,50,50,52,101,45,50,55,10,32,32,49,46,48,50,51,51,51,101,45,50,54,32,49,46,
      49,57,53,51,52,101,45,50,54,32,49,46,51,57,50,50,53,101,45,50,54,32,49,46,54,
      49,53,56,56,101,45,50,54,32,49,46,56,56,48,49,101,45,50,54,32,50,46,49,56,54,
      50,51,101,45,50,54,32,50,46,53,50,48,52,53,101,45,50,54,10,32,32,50,46,57,48,
      57,57,101,45,50,54,32,51,46,51,53,55,55,53,101,45,50,54,32,51,46,56,52,55,50,
      55,101,45,50,54,32,52,46,52,49,53,57,53,101,45,50,54,32,53,46,48,54,51,53,101,
      45,50,54,32,53,46,55,54,55,53,57,101,45,50,54,32,54,46,53,55,50,55,49,101,45,
      50,54,10,32,32,55,46,52,57,51,52,51,101,45,50,54,32,56,46,56,57,49,54,52,101,
      45,50,54,32,49,46,51,50,52,53,56,101,45,50,53,32,50,46,51,57,54,57,52,101,45,
      50,53,32,54,46,52,52,56,56,53,101,45,50,53,32,49,46,54,50,55,49,52,101,45,50,
      52,32,51,46,52,52,54,54,49,101,45,50,52,10,32,32,53,46,56,48,56,53,56,101,45,
      50,52,32,56,46,48,53,54,57,54,101,45,50,52,32,57,46,57,54,56,56,52,101,45,50,
      52,32,49,46,49,56,54,51,50,101,45,50,51,32,50,46,52,53,56,55,50,101,45,50,51,
      32,49,46,51,53,48,54,49,101,45,50,50,32,50,46,49,57,50,50,54,101,45,50,49,10,
      32,32,50,46,56,49,54,52,57,101,45,50,49,32,51,46,57,50,55,52,50,101,45,50,49,
      32,53,46,54,51,53,53,54,101,45,50,49,32,57,46,52,51,49,53,52,101,45,50,49,32,
      49,46,54,49,53,51,50,101,45,50,48,32,49,46,49,50,52,49,57,101,45,49,55,32,50,
      46,50,52,49,52,51,101,45,49,55,10,32,32,51,46,52,49,51,54,56,101,45,49,55,32,
      52,46,57,54,48,49,56,101,45,49,55,32,55,46,49,51,52,48,50,101,45,49,55,32,57,
      46,51,55,50,50,51,101,45,49,55,32,49,46,49,54,48,49,55,101,45,49,54,32,49,46,
      51,53,57,48,53,101,45,49,54,32,49,46,54,48,52,54,54,101,45,49,54,10,32,32,49,
      46,57,56,50,54,52,101,45,49,54,32,50,46,54,51,49,51,54,101,45,49,54,32,51,46,
      54,56,55,53,101,45,49,54,32,53,46,50,56,54,55,52,101,45,49,54,32,55,46,54,52,
      57,48,52,101,45,49,54,32,49,46,49,51,51,54,53,101,45,49,53,32,49,46,54,48,50,
      53,53,101,45,49,53,10,32,32,50,46,49,50,51,52,55,101,45,49,53,32,50,46,55,55,
      49,56,55,101,45,49,53,32,51,46,54,50,53,52,49,101,45,49,53,32,52,46,53,50,51,
      51,54,101,45,49,53,32,54,46,49,52,49,52,54,101,45,49,53,32,57,46,50,49,48,56,
      101,45,49,53,32,49,46,52,49,57,56,55,101,45,49,52,10,32,32,50,46,49,57,52,48,
      52,101,45,49,52,32,51,46,52,50,52,50,49,101,45,49,52,32,53,46,48,56,50,55,55,
      101,45,49,52,32,55,46,50,54,55,51,52,101,45,49,52,32,49,46,48,48,52,54,101,
      45,49,51,32,49,46,51,51,52,53,101,45,49,51,32,49,46,54,51,57,48,54,101,45,49,
      51,10,32,32,50,46,48,52,51,51,57,101,45,49,51,32,50,46,53,48,48,56,101,45,49,
      51,32,51,46,49,55,57,56,54,101,45,49,51,32,52,46,53,51,49,55,54,101,45,49,51,
      32,54,46,52,51,48,52,49,101,45,49,51,32,56,46,56,49,50,49,55,101,45,49,51,32,
      49,46,49,50,51,54,52,101,45,49,50,10,32,32,49,46,53,51,54,48,50,101,45,49,50,
      32,50,46,48,54,54,57,57,101,45,49,50,32,50,46,55,53,56,56,53,101,45,49,50,32,
      51,46,53,48,54,55,101,45,49,50,32,52,46,50,56,53,55,51,101,45,49,50,32,53,46,
      48,51,56,49,53,101,45,49,50,32,53,46,57,50,48,54,51,101,45,49,50,10,32,32,54,
      46,57,50,56,54,55,101,45,49,50,32,55,46,56,55,57,51,57,101,45,49,50,32,49,46,
      48,50,53,55,56,101,45,49,49,32,49,46,51,49,101,45,49,49,32,49,46,53,56,53,56,
      49,101,45,49,49,32,49,46,56,53,57,54,52,101,45,49,49,32,50,46,48,52,49,49,52,
      101,45,49,49,10,32,32,50,46,51,50,48,54,54,101,45,49,49,32,50,46,53,56,56,52,
      50,101,45,49,49,32,50,46,56,51,55,53,52,101,45,49,49,32,51,46,48,54,50,55,51,
      101,45,49,49,32,51,46,50,57,51,52,57,101,45,49,49,32,51,46,52,52,54,54,53,101,
      45,49,49,32,51,46,53,56,52,53,49,101,45,49,49,10,32,32,51,46,55,55,53,55,54,
      101,45,49,49,32,51,46,56,54,57,55,54,101,45,49,49,32,51,46,57,56,48,54,52,101,
      45,49,49,32,52,46,48,52,55,57,56,101,45,49,49,32,52,46,48,54,52,101,45,49,49,
      32,52,46,48,54,50,50,55,101,45,49,49,32,52,46,48,50,52,55,49,101,45,49,49,10,
      32,32,51,46,57,51,55,52,49,101,45,49,49,32,51,46,56,54,57,57,56,101,45,49,49,
      32,51,46,55,51,53,48,55,101,45,49,49,32,51,46,54,52,49,56,53,101,45,49,49,32,
      51,46,53,48,57,51,53,101,45,49,49,32,51,46,50,57,49,55,55,101,45,49,49,32,51,
      46,48,53,57,56,54,101,45,49,49,10,32,32,50,46,57,53,53,57,54,101,45,49,49,32,
      50,46,55,53,51,48,54,101,45,49,49,32,50,46,53,50,55,54,52,101,45,49,49,32,50,
      46,51,52,49,54,57,101,45,49,49,32,50,46,49,53,57,53,56,101,45,49,49,32,49,46,
      57,57,52,49,51,101,45,49,49,32,49,46,56,51,55,101,45,49,49,10,32,32,49,46,54,
      55,48,53,54,101,45,49,49,32,49,46,53,51,48,50,51,101,45,49,49,32,49,46,51,56,
      52,50,52,101,45,49,49,32,49,46,50,56,50,56,54,101,45,49,49,32,49,46,49,50,56,
      54,55,101,45,49,49,32,49,46,48,52,48,57,56,101,45,49,49,32,57,46,51,57,49,56,
      54,101,45,49,50,10,32,32,55,46,51,49,56,55,57,101,45,49,50,32,53,46,48,56,54,
      53,53,101,45,49,50,32,51,46,52,57,51,49,55,101,45,49,50,32,50,46,49,50,56,55,
      50,101,45,49,50,32,49,46,50,54,53,50,54,101,45,49,50,32,54,46,53,56,54,54,50,
      101,45,49,51,32,51,46,55,52,52,54,56,101,45,49,51,10,32,32,49,46,52,54,55,51,
      56,101,45,49,51,32,53,46,56,49,51,53,55,101,45,49,52,32,50,46,57,56,49,55,52,
      101,45,49,52,32,49,46,51,57,52,57,55,101,45,49,52,32,52,46,57,54,56,55,49,101,
      45,49,53,32,49,46,57,56,50,48,53,101,45,49,53,32,55,46,56,48,54,53,55,101,45,
      49,54,10,32,32,50,46,54,53,53,51,50,101,45,49,54,32,56,46,57,49,57,49,101,45,
      49,55,32,51,46,52,48,50,56,56,101,45,49,55,32,49,46,50,56,56,55,49,101,45,49,
      55,32,52,46,56,52,56,52,101,45,49,56,32,49,46,53,53,50,49,53,101,45,49,56,32,
      52,46,51,52,48,57,52,101,45,49,57,10,32,32,49,46,48,52,52,53,52,101,45,49,57,
      32,50,46,56,55,56,49,57,101,45,50,48,32,54,46,55,57,52,51,55,101,45,50,49,32,
      49,46,56,53,48,53,53,101,45,50,49,32,53,46,48,49,55,53,55,101,45,50,50,32,49,
      46,49,55,48,55,54,101,45,50,50,32,50,46,52,52,57,48,55,101,45,50,51,10,32,32,
      55,46,50,57,49,55,55,101,45,50,52,32,49,46,55,56,57,53,51,101,45,50,52,32,53,
      46,49,57,51,52,53,101,45,50,53,32,49,46,51,56,48,55,56,101,45,50,53,32,51,46,
      54,54,49,50,49,101,45,50,54,32,54,46,50,48,54,57,56,101,45,50,55,32,49,46,54,
      48,57,55,53,101,45,50,55,10,32,32,52,46,48,50,57,49,51,101,45,50,56,32,55,46,
      54,50,50,48,54,101,45,50,57,32,48,114,49,51,53,32,49,46,54,50,56,51,53,101,
      45,51,48,32,50,46,50,48,57,53,50,101,45,51,48,32,50,46,57,55,49,56,51,101,45,
      51,48,32,51,46,56,52,56,52,49,101,45,51,48,32,52,46,57,52,56,54,55,101,45,51,
      48,10,32,32,54,46,51,50,49,55,49,101,45,51,48,32,55,46,56,50,50,50,51,101,45,
      51,48,32,57,46,53,56,52,48,55,101,45,51,48,32,49,46,49,54,56,55,51,101,45,50,
      57,32,49,46,51,57,49,57,54,101,45,50,57,32,49,46,54,51,55,49,56,101,45,50,57,
      32,49,46,57,49,57,56,52,101,45,50,57,10,32,32,50,46,50,49,56,48,54,101,45,50,
      57,32,50,46,53,50,56,48,52,101,45,50,57,32,50,46,56,55,54,54,53,101,45,50,57,
      32,51,46,50,52,55,51,52,101,45,50,57,32,51,46,54,49,55,55,53,101,45,50,57,32,
      52,46,48,50,55,54,50,101,45,50,57,32,52,46,52,54,57,57,55,101,45,50,57,10,32,
      32,52,46,57,48,52,54,55,101,45,50,57,32,53,46,51,56,48,54,56,101,45,50,57,32,
      53,46,57,48,49,50,50,101,45,50,57,32,54,46,52,48,55,55,52,101,45,50,57,32,54,
      46,57,53,56,57,57,101,45,50,57,32,55,46,53,53,56,48,56,101,45,50,57,32,56,46,
      49,52,56,50,54,101,45,50,57,10,32,32,56,46,55,55,53,51,53,101,45,50,57,32,57,
      46,52,53,51,51,50,101,45,50,57,32,49,46,48,49,49,53,101,45,50,56,32,49,46,48,
      55,57,50,56,101,45,50,56,32,49,46,49,53,50,50,50,101,45,50,56,32,49,46,50,50,
      49,53,51,101,45,50,56,32,49,46,50,56,54,57,55,101,45,50,56,10,32,32,49,46,51,
      53,55,50,51,101,45,50,56,32,49,46,52,50,50,49,57,101,45,50,56,32,49,46,52,55,
      50,48,55,101,45,50,56,32,49,46,53,50,54,50,53,101,45,50,56,32,49,46,53,55,54,
      54,56,101,45,50,56,32,49,46,53,57,52,52,55,101,45,50,56,32,49,46,54,49,54,56,
      54,101,45,50,56,10,32,32,49,46,54,52,50,56,55,101,45,50,56,32,49,46,54,49,53,
      57,53,101,45,50,56,32,49,46,53,57,54,48,51,101,45,50,56,32,49,46,53,56,50,51,
      53,101,45,50,56,32,49,46,53,50,48,50,57,101,45,50,56,32,49,46,52,53,57,55,49,
      101,45,50,56,32,49,46,52,48,57,48,51,101,45,50,56,10,32,32,49,46,51,50,53,57,
      101,45,50,56,32,49,46,50,51,56,56,53,101,45,50,56,32,49,46,49,54,53,54,53,101,
      45,50,56,32,49,46,48,55,56,53,55,101,45,50,56,32,57,46,56,52,55,53,53,101,45,
      50,57,32,57,46,48,54,55,54,49,101,45,50,57,32,56,46,50,57,50,50,57,101,45,50,
      57,10,32,32,55,46,52,52,56,51,57,101,45,50,57,32,55,46,48,57,49,48,49,101,45,
      50,57,32,54,46,53,50,57,57,57,101,45,50,57,32,53,46,57,50,52,57,53,101,45,50,
      57,32,53,46,52,53,48,57,57,101,45,50,57,32,53,46,48,56,48,56,52,101,45,50,57,
      32,52,46,54,57,52,49,101,45,50,57,10,32,32,52,46,52,48,56,49,54,101,45,50,57,
      32,52,46,50,48,54,50,55,101,45,50,57,32,52,46,48,51,52,53,49,101,45,50,57,32,
      51,46,57,51,48,52,54,101,45,50,57,32,51,46,56,57,51,57,53,101,45,50,57,32,51,
      46,57,48,57,56,52,101,45,50,57,32,51,46,57,56,50,55,101,45,50,57,10,32,32,52,
      46,49,49,53,53,54,101,45,50,57,32,52,46,51,49,50,54,56,101,45,50,57,32,52,46,
      53,55,51,55,51,101,45,50,57,32,52,46,56,57,54,56,50,101,45,50,57,32,53,46,50,
      57,52,50,52,101,45,50,57,32,53,46,55,55,54,50,101,45,50,57,32,54,46,51,51,50,
      52,57,101,45,50,57,10,32,32,54,46,57,55,55,56,57,101,45,50,57,32,55,46,55,52,
      50,57,52,101,45,50,57,32,56,46,54,48,54,49,50,101,45,50,57,32,56,46,49,52,53,
      52,57,101,45,50,57,32,49,46,48,55,50,55,55,101,45,50,56,32,49,46,50,48,49,50,
      49,101,45,50,56,32,49,46,51,52,52,56,54,101,45,50,56,10,32,32,49,46,53,49,49,
      56,51,101,45,50,56,32,49,46,54,57,57,53,101,45,50,56,32,49,46,57,48,57,48,53,
      101,45,50,56,32,50,46,49,53,48,49,52,101,45,50,56,32,50,46,52,50,51,52,56,101,
      45,50,56,32,50,46,55,50,57,50,101,45,50,56,32,51,46,48,55,57,101,45,50,56,10,
      32,32,51,46,52,55,57,57,57,101,45,50,56,32,51,46,57,51,49,54,55,101,45,50,56,
      32,52,46,52,52,55,53,54,101,45,50,56,32,53,46,48,52,55,48,56,101,45,50,56,32,
      53,46,55,51,48,56,101,45,50,56,32,54,46,53,49,53,56,51,101,45,50,56,32,55,46,
      52,51,56,55,55,101,45,50,56,10,32,32,56,46,53,48,57,48,51,101,45,50,56,32,57,
      46,55,53,54,52,56,101,45,50,56,32,49,46,49,50,50,51,51,101,45,50,55,32,49,46,
      50,57,53,52,50,101,45,50,55,32,49,46,53,48,48,57,56,101,45,50,55,32,49,46,55,
      52,101,45,50,55,32,50,46,48,50,51,56,49,101,45,50,55,10,32,32,50,46,51,54,52,
      50,57,101,45,50,55,32,50,46,55,53,54,54,49,101,45,50,55,32,51,46,50,49,54,50,
      54,101,45,50,55,32,51,46,55,54,54,53,54,101,45,50,55,32,52,46,51,57,56,54,101,
      45,50,55,32,53,46,49,49,56,55,57,101,45,50,55,32,53,46,57,55,50,51,51,101,45,
      50,55,10,32,32,54,46,57,54,52,51,54,101,45,50,55,32,56,46,48,53,49,48,52,101,
      45,50,55,32,57,46,51,50,49,48,57,101,45,50,55,32,49,46,48,55,56,54,49,101,45,
      50,54,32,49,46,50,51,57,49,57,101,45,50,54,32,49,46,52,50,54,50,53,101,45,50,
      54,32,49,46,54,51,57,57,52,101,45,50,54,10,32,32,49,46,56,55,50,57,52,101,45,
      50,54,32,50,46,49,52,48,49,49,101,45,50,54,32,50,46,52,52,54,53,101,45,50,54,
      32,50,46,57,49,51,50,56,101,45,50,54,32,52,46,51,55,54,49,51,101,45,50,54,32,
      56,46,48,49,57,50,55,101,45,50,54,32,50,46,50,48,52,52,52,101,45,50,53,10,32,
      32,53,46,54,55,54,51,49,101,45,50,53,32,49,46,50,50,49,56,52,101,45,50,52,32,
      50,46,48,56,48,55,54,101,45,50,52,32,50,46,57,48,50,52,50,101,45,50,52,32,51,
      46,54,48,49,51,52,101,45,50,52,32,52,46,50,57,52,51,53,101,45,50,52,32,56,46,
      57,57,53,54,50,101,45,50,52,10,32,32,53,46,48,54,53,53,51,101,45,50,51,32,56,
      46,53,49,49,57,101,45,50,50,32,49,46,48,57,57,55,51,101,45,50,49,32,49,46,53,
      52,53,51,57,101,45,50,49,32,50,46,50,51,54,54,51,101,45,50,49,32,51,46,55,57,
      48,51,55,101,45,50,49,32,54,46,53,55,57,56,54,101,45,50,49,10,32,32,53,46,49,
      57,49,50,51,101,45,49,56,32,49,46,48,53,55,52,52,101,45,49,55,32,49,46,54,52,
      56,49,55,101,45,49,55,32,50,46,52,52,50,53,101,45,49,55,32,51,46,53,55,52,50,
      57,101,45,49,55,32,52,46,55,52,51,49,53,101,45,49,55,32,53,46,57,49,50,51,55,
      101,45,49,55,10,32,32,54,46,57,53,52,54,53,101,45,49,55,32,56,46,50,52,55,52,
      55,101,45,49,55,32,49,46,48,50,54,57,51,101,45,49,54,32,49,46,51,55,57,48,53,
      101,45,49,54,32,49,46,57,54,49,49,101,45,49,54,32,50,46,56,53,54,53,56,101,
      45,49,54,32,52,46,50,48,49,51,53,101,45,49,54,10,32,32,54,46,52,53,48,50,51,
      101,45,49,54,32,57,46,53,56,55,50,52,101,45,49,54,32,49,46,50,56,50,51,49,101,
      45,49,53,32,49,46,54,56,55,54,53,101,45,49,53,32,50,46,50,50,54,56,49,101,45,
      49,53,32,50,46,55,57,57,55,56,101,45,49,53,32,51,46,56,52,50,57,49,101,45,49,
      53,10,32,32,53,46,56,52,57,48,55,101,45,49,53,32,57,46,49,54,50,56,54,101,45,
      49,53,32,49,46,52,52,49,52,56,101,45,49,52,32,50,46,50,56,55,56,49,101,45,49,
      52,32,51,46,52,52,52,51,51,101,45,49,52,32,52,46,57,56,50,55,54,101,45,49,52,
      32,54,46,57,53,48,56,52,101,45,49,52,10,32,32,57,46,50,57,48,49,55,101,45,49,
      52,32,49,46,49,52,53,50,49,101,45,49,51,32,49,46,52,51,51,51,57,101,45,49,51,
      32,49,46,55,54,48,56,57,101,45,49,51,32,50,46,50,52,56,51,54,101,45,49,51,32,
      51,46,50,50,49,48,53,101,45,49,51,32,52,46,53,57,48,50,51,101,45,49,51,10,32,
      32,54,46,51,49,48,53,51,101,45,49,51,32,56,46,48,54,52,51,53,101,45,49,51,32,
      49,46,49,48,53,53,49,101,45,49,50,32,49,46,52,57,50,48,49,101,45,49,50,32,49,
      46,57,57,55,56,57,101,45,49,50,32,50,46,53,52,55,49,50,101,45,49,50,32,51,46,
      49,50,49,50,101,45,49,50,10,32,32,51,46,54,55,54,57,51,101,45,49,50,32,52,46,
      51,51,48,55,54,101,45,49,50,32,53,46,48,56,48,53,53,101,45,49,50,32,53,46,55,
      57,48,56,49,101,45,49,50,32,55,46,53,55,57,49,54,101,45,49,50,32,57,46,55,51,
      52,51,52,101,45,49,50,32,49,46,49,56,52,49,49,101,45,49,49,10,32,32,49,46,51,
      57,52,49,57,101,45,49,49,32,49,46,53,51,50,57,57,101,45,49,49,32,49,46,55,52,
      57,51,51,101,45,49,49,32,49,46,57,53,55,56,55,101,45,49,49,32,50,46,49,53,51,
      49,54,101,45,49,49,32,50,46,51,51,48,57,51,101,45,49,49,32,50,46,53,49,52,53,
      57,101,45,49,49,10,32,32,50,46,54,51,55,53,54,101,45,49,49,32,50,46,55,52,57,
      50,50,101,45,49,49,32,50,46,57,48,54,51,56,101,45,49,49,32,50,46,57,56,53,50,
      101,45,49,49,32,51,46,48,56,49,48,55,101,45,49,49,32,51,46,49,52,52,49,50,101,
      45,49,49,32,51,46,49,54,51,48,54,101,45,49,49,10,32,32,51,46,49,54,56,49,54,
      101,45,49,49,32,51,46,49,52,56,56,52,101,45,49,49,32,51,46,48,57,49,49,52,101,
      45,49,49,32,51,46,48,52,51,57,49,101,45,49,49,32,50,46,57,52,54,53,55,101,45,
      49,49,32,50,46,56,55,56,51,52,101,45,49,49,32,50,46,55,56,52,48,54,101,45,49,
      49,10,32,32,50,46,54,49,55,53,53,101,45,49,49,32,50,46,52,52,48,51,55,101,45,
      49,49,32,50,46,51,54,48,55,52,101,45,49,49,32,50,46,50,48,52,52,49,101,45,49,
      49,32,50,46,48,50,57,54,50,101,45,49,49,32,49,46,56,56,52,54,52,101,45,49,49,
      32,49,46,55,52,50,101,45,49,49,10,32,32,49,46,54,49,49,57,101,45,49,49,32,49,
      46,52,56,55,56,56,101,45,49,49,32,49,46,51,53,54,48,53,101,45,49,49,32,49,46,
      50,52,52,53,51,101,45,49,49,32,49,46,49,50,56,49,53,101,45,49,49,32,49,46,48,
      52,55,49,49,101,45,49,49,32,57,46,50,51,52,55,56,101,45,49,50,10,32,32,56,46,
      53,50,57,55,52,101,45,49,50,32,55,46,55,48,57,51,51,101,45,49,50,32,54,46,48,
      51,49,56,54,101,45,49,50,32,52,46,50,49,52,50,51,101,45,49,50,32,50,46,57,48,
      56,49,52,101,45,49,50,32,49,46,55,56,50,50,53,101,45,49,50,32,49,46,48,54,52,
      56,57,101,45,49,50,10,32,32,53,46,53,55,53,56,101,45,49,51,32,51,46,49,56,52,
      49,54,101,45,49,51,32,49,46,50,53,53,56,54,101,45,49,51,32,53,46,48,48,51,49,
      50,101,45,49,52,32,50,46,53,55,53,50,101,45,49,52,32,49,46,50,48,57,50,51,101,
      45,49,52,32,52,46,51,50,54,53,49,101,45,49,53,10,32,32,49,46,55,51,50,48,54,
      101,45,49,53,32,54,46,56,52,52,52,53,101,45,49,54,32,50,46,51,51,54,49,51,101,
      45,49,54,32,55,46,56,55,49,56,49,101,45,49,55,32,51,46,48,49,48,57,55,101,45,
      49,55,32,49,46,49,52,51,101,45,49,55,32,52,46,51,48,57,55,50,101,45,49,56,10,
      32,32,49,46,51,56,51,51,56,101,45,49,56,32,51,46,56,55,56,52,53,101,45,49,57,
      32,57,46,51,53,53,57,51,101,45,50,48,32,50,46,53,56,51,51,50,101,45,50,48,32,
      54,46,49,49,49,51,49,101,45,50,49,32,49,46,54,54,55,52,54,101,45,50,49,32,52,
      46,53,50,56,54,51,101,45,50,50,10,32,32,49,46,48,53,56,52,57,101,45,50,50,32,
      50,46,50,49,56,101,45,50,51,32,54,46,54,49,49,57,52,101,45,50,52,32,49,46,54,
      50,52,56,55,101,45,50,52,32,52,46,55,50,48,56,101,45,50,53,32,49,46,50,53,54,
      53,49,101,45,50,53,32,51,46,51,51,53,48,53,101,45,50,54,10,32,32,53,46,54,56,
      48,55,51,101,45,50,55,32,49,46,52,55,48,50,51,101,45,50,55,32,51,46,56,50,53,
      57,56,101,45,50,56,32,56,46,51,48,49,49,55,101,45,50,57,32,48,114,49,51,57,
      32,49,46,50,52,51,54,51,101,45,51,48,32,49,46,53,57,54,54,55,101,45,51,48,32,
      49,46,57,56,52,101,45,51,48,10,32,32,50,46,52,52,48,53,53,101,45,51,48,32,50,
      46,57,56,55,54,56,101,45,51,48,32,51,46,53,55,48,48,53,101,45,51,48,32,52,46,
      50,49,49,53,53,101,45,51,48,32,52,46,57,53,51,49,57,101,45,51,48,32,53,46,55,
      51,55,51,53,101,45,51,48,32,54,46,53,53,51,57,50,101,45,51,48,10,32,32,55,46,
      52,55,52,51,50,101,45,51,48,32,56,46,52,53,52,55,52,101,45,51,48,32,57,46,52,
      51,53,52,57,101,45,51,48,32,49,46,48,53,50,50,55,101,45,50,57,32,49,46,49,54,
      57,55,57,101,45,50,57,32,49,46,50,56,53,51,53,101,45,50,57,32,49,46,52,49,50,
      48,57,101,45,50,57,10,32,32,49,46,53,53,48,57,101,45,50,57,32,49,46,54,56,54,
      48,50,101,45,50,57,32,49,46,56,51,51,50,55,101,45,50,57,32,49,46,57,57,51,53,
      50,101,45,50,57,32,50,46,49,53,49,52,51,101,45,50,57,32,50,46,51,49,57,52,49,
      101,45,50,57,32,50,46,53,48,49,50,52,101,45,50,57,10,32,32,50,46,54,55,56,55,
      101,45,50,57,32,50,46,56,54,48,54,49,101,45,50,57,32,51,46,48,53,54,53,56,101,
      45,50,57,32,51,46,50,52,50,55,50,101,45,50,57,32,51,46,52,49,56,51,55,101,45,
      50,57,32,51,46,54,48,55,49,50,101,45,50,57,32,51,46,55,56,49,52,54,101,45,50,
      57,10,32,32,51,46,57,49,52,54,56,101,45,50,57,32,52,46,48,53,57,53,54,101,45,
      50,57,32,52,46,49,57,52,50,49,101,45,50,57,32,52,46,50,51,57,56,55,101,45,50,
      57,32,52,46,50,57,56,48,51,101,45,50,57,32,52,46,51,54,54,48,49,101,45,50,57,
      32,52,46,50,56,57,57,52,101,45,50,57,10,32,32,52,46,50,51,51,48,51,101,45,50,
      57,32,52,46,49,57,51,50,50,101,45,50,57,32,52,46,48,50,50,50,52,101,45,50,57,
      32,51,46,56,53,53,54,56,101,45,50,57,32,51,46,55,49,54,50,55,101,45,50,57,32,
      51,46,52,56,57,54,50,101,45,50,57,32,51,46,50,53,51,48,54,101,45,50,57,10,32,
      32,51,46,48,53,52,51,57,101,45,50,57,32,50,46,56,49,57,49,101,45,50,57,32,50,
      46,53,54,54,53,53,101,45,50,57,32,50,46,51,53,55,48,52,101,45,50,57,32,50,46,
      49,52,57,52,54,101,45,50,57,32,49,46,57,50,52,52,50,101,45,50,57,32,49,46,55,
      51,57,56,50,101,45,50,57,10,32,32,49,46,53,55,54,50,57,101,45,50,57,32,49,46,
      51,57,57,53,56,101,45,50,57,32,49,46,50,53,53,51,52,101,45,50,57,32,49,46,49,
      51,53,56,52,101,45,50,57,32,49,46,48,48,57,49,57,101,45,50,57,32,57,46,48,53,
      52,54,52,101,45,51,48,32,56,46,49,57,54,52,57,101,45,51,48,10,32,32,50,46,55,
      54,48,53,55,101,45,51,48,32,51,46,49,57,48,55,56,101,45,51,48,32,51,46,54,56,
      51,54,51,101,45,51,48,32,52,46,50,52,54,55,53,101,45,51,48,32,52,46,56,57,48,
      48,50,101,45,51,48,32,53,46,54,50,52,101,45,51,48,32,54,46,52,54,48,49,53,101,
      45,51,48,10,32,32,55,46,52,49,49,54,51,101,45,51,48,32,56,46,52,57,51,54,55,
      101,45,51,48,32,57,46,55,50,50,50,57,101,45,51,48,32,49,46,49,49,49,54,53,101,
      45,50,57,32,49,46,50,54,57,54,52,101,45,50,57,32,49,46,52,52,56,53,53,101,45,
      50,57,32,49,46,54,53,48,56,56,101,45,50,57,10,32,32,49,46,56,55,57,52,53,101,
      45,50,57,32,50,46,49,51,55,53,52,101,45,50,57,32,50,46,52,50,56,54,57,101,45,
      50,57,32,50,46,55,53,54,54,57,101,45,50,57,32,51,46,49,50,53,56,55,101,45,50,
      57,32,51,46,53,52,49,49,55,101,45,50,57,32,52,46,48,48,55,55,57,101,45,50,57,
      10,32,32,52,46,53,51,49,55,57,101,45,50,57,32,53,46,49,49,57,53,50,101,45,50,
      57,32,53,46,55,55,56,52,49,101,45,50,57,32,54,46,53,49,54,49,57,101,45,50,57,
      32,55,46,51,52,49,57,54,101,45,50,57,32,56,46,50,54,53,49,101,45,50,57,32,49,
      46,48,53,52,51,55,101,45,50,56,10,32,32,49,46,49,57,53,50,51,101,45,50,56,32,
      49,46,51,53,57,48,49,101,45,50,56,32,49,46,53,52,54,49,49,101,45,50,56,32,49,
      46,55,54,49,50,52,101,45,50,56,32,50,46,48,49,52,51,52,101,45,50,56,32,50,46,
      51,48,56,51,101,45,50,56,32,50,46,54,53,49,52,57,101,45,50,56,10,32,32,51,46,
      48,53,53,54,55,101,45,50,56,32,51,46,53,51,51,53,53,101,45,50,56,32,52,46,49,
      48,50,50,49,101,45,50,56,32,52,46,55,54,53,50,53,101,45,50,56,32,53,46,53,53,
      52,53,51,101,45,50,56,32,54,46,53,48,51,57,57,101,45,50,56,32,55,46,54,48,49,
      54,54,101,45,50,56,10,32,32,56,46,56,57,49,56,54,101,45,50,56,32,49,46,48,52,
      52,49,52,101,45,50,55,32,49,46,50,50,50,55,51,101,45,50,55,32,49,46,52,50,54,
      57,53,101,45,50,55,32,49,46,54,54,57,55,56,101,45,50,55,32,49,46,57,53,50,57,
      54,101,45,50,55,32,50,46,50,54,52,50,54,101,45,50,55,10,32,32,50,46,54,50,57,
      50,56,101,45,50,55,32,51,46,48,53,49,55,49,101,45,50,55,32,51,46,53,49,54,49,
      57,101,45,50,55,32,52,46,48,53,56,56,51,101,45,50,55,32,52,46,54,56,48,56,54,
      101,45,50,55,32,53,46,51,54,49,49,54,101,45,50,55,32,54,46,49,52,51,54,101,
      45,50,55,10,32,32,55,46,48,52,51,54,49,101,45,50,55,32,56,46,52,49,57,53,55,
      101,45,50,55,32,49,46,50,55,54,49,54,101,45,50,54,32,50,46,51,55,48,55,54,101,
      45,50,54,32,54,46,54,55,49,55,55,101,45,50,54,32,49,46,55,53,54,54,53,101,45,
      50,53,32,51,46,56,52,56,53,55,101,45,50,53,10,32,32,54,46,54,50,57,53,54,101,
      45,50,53,32,57,46,51,48,52,54,57,101,45,50,53,32,49,46,49,53,56,49,49,101,45,
      50,52,32,49,46,51,56,52,101,45,50,52,32,50,46,57,51,50,49,56,101,45,50,52,32,
      49,46,54,57,52,57,51,101,45,50,51,32,50,46,57,53,51,56,49,101,45,50,50,10,32,
      32,51,46,56,52,48,55,55,101,45,50,50,32,53,46,52,52,52,55,50,101,45,50,50,32,
      55,46,57,53,54,56,57,101,45,50,50,32,49,46,51,54,55,54,49,101,45,50,49,32,50,
      46,52,49,48,51,54,101,45,50,49,32,50,46,49,51,51,50,54,101,45,49,56,32,52,46,
      52,51,53,57,49,101,45,49,56,10,32,32,55,46,48,55,57,48,49,101,45,49,56,32,49,
      46,48,55,49,51,53,101,45,49,55,32,49,46,53,57,56,51,57,101,45,49,55,32,50,46,
      49,52,54,56,55,101,45,49,55,32,50,46,54,57,55,101,45,49,55,32,51,46,49,56,54,
      57,51,101,45,49,55,32,51,46,55,57,57,101,45,49,55,10,32,32,52,46,55,55,50,57,
      49,101,45,49,55,32,54,46,52,57,56,52,51,101,45,49,55,32,57,46,52,48,51,53,50,
      101,45,49,55,32,49,46,51,57,54,48,51,101,45,49,54,32,50,46,48,57,52,50,53,101,
      45,49,54,32,51,46,53,51,50,56,52,101,45,49,54,32,54,46,49,51,52,53,54,101,45,
      49,54,10,32,32,56,46,49,55,56,51,53,101,45,49,54,32,49,46,48,55,51,57,49,101,
      45,49,53,32,49,46,52,49,52,50,52,101,45,49,53,32,49,46,55,55,54,49,50,101,45,
      49,53,32,50,46,52,51,53,52,50,101,45,49,53,32,51,46,55,48,56,50,53,101,45,49,
      53,32,53,46,56,50,53,57,50,101,45,49,53,10,32,32,57,46,50,52,57,49,56,101,45,
      49,53,32,49,46,52,56,48,57,51,101,45,49,52,32,50,46,50,53,48,48,50,101,45,49,
      52,32,51,46,50,56,52,56,53,101,45,49,52,32,52,46,54,49,56,50,54,101,45,49,52,
      32,54,46,50,48,55,53,54,101,45,49,52,32,55,46,54,55,57,49,56,101,45,49,52,10,
      32,32,57,46,54,53,49,50,51,101,45,49,52,32,49,46,49,57,48,52,101,45,49,51,32,
      49,46,53,50,55,48,49,101,45,49,51,32,50,46,50,48,49,50,50,101,45,49,51,32,51,
      46,49,53,51,54,49,101,45,49,51,32,52,46,51,53,50,57,54,101,45,49,51,32,53,46,
      53,55,55,57,101,45,49,51,10,32,32,55,46,54,55,50,49,51,101,45,49,51,32,49,46,
      48,51,56,56,51,101,45,49,50,32,49,46,51,57,53,57,54,101,45,49,50,32,49,46,55,
      56,53,52,54,101,45,49,50,32,50,46,49,57,52,101,45,49,50,32,50,46,53,57,48,52,
      51,101,45,49,50,32,51,46,48,53,56,51,56,101,45,49,50,10,32,32,51,46,53,57,55,
      50,53,101,45,49,50,32,52,46,49,49,48,49,50,101,45,49,50,32,53,46,52,49,48,56,
      101,45,49,50,32,54,46,57,57,50,57,57,101,45,49,50,32,56,46,53,53,50,51,53,101,
      45,49,50,32,49,46,48,49,49,53,50,101,45,49,49,32,49,46,49,49,52,52,52,101,45,
      49,49,10,32,32,49,46,50,55,54,57,54,101,45,49,49,32,49,46,52,51,52,54,57,101,
      45,49,49,32,49,46,53,56,51,52,54,101,45,49,49,32,49,46,55,49,57,57,101,45,49,
      49,32,49,46,56,54,50,48,57,101,45,49,49,32,49,46,57,53,56,49,55,101,45,49,49,
      32,50,46,48,52,54,49,57,101,45,49,49,10,32,32,50,46,49,55,49,56,57,101,45,49,
      49,32,50,46,50,51,54,49,57,101,45,49,49,32,50,46,51,49,54,54,50,101,45,49,49,
      32,50,46,51,55,51,49,55,101,45,49,49,32,50,46,51,57,50,57,101,45,49,49,32,50,
      46,52,48,50,49,55,101,45,49,49,32,50,46,51,57,53,57,50,101,45,49,49,10,32,32,
      50,46,51,54,48,57,56,101,45,49,49,32,50,46,51,50,57,55,52,101,45,49,49,32,50,
      46,50,54,50,55,101,45,49,49,32,50,46,50,49,52,52,55,101,45,49,49,32,50,46,49,
      53,49,48,53,101,45,49,49,32,50,46,48,50,55,51,54,101,45,49,49,32,49,46,56,57,
      54,55,49,101,45,49,49,10,32,32,49,46,56,51,55,53,56,101,45,49,49,32,49,46,55,
      50,48,56,51,101,45,49,49,32,49,46,53,56,57,51,50,101,45,49,49,32,49,46,52,55,
      57,53,53,101,45,49,49,32,49,46,51,55,49,48,49,101,45,49,49,32,49,46,50,55,49,
      53,52,101,45,49,49,32,49,46,49,55,54,51,52,101,45,49,49,10,32,32,49,46,48,55,
      52,55,51,101,45,49,49,32,57,46,56,56,52,52,54,101,45,49,50,32,56,46,57,56,48,
      55,53,101,45,49,50,32,56,46,51,52,57,53,101,45,49,50,32,55,46,51,56,51,52,50,
      101,45,49,50,32,54,46,56,51,48,55,50,101,45,49,50,32,54,46,49,56,53,56,56,101,
      45,49,50,10,32,32,52,46,56,54,49,52,56,101,45,49,50,32,51,46,52,49,54,51,55,
      101,45,49,50,32,50,46,51,55,48,50,53,101,45,49,50,32,49,46,52,54,49,55,55,101,
      45,49,50,32,56,46,55,56,53,49,55,101,45,49,51,32,52,46,54,50,57,54,56,101,45,
      49,51,32,50,46,54,53,55,101,45,49,51,10,32,32,49,46,48,53,53,53,54,101,45,49,
      51,32,52,46,50,51,49,50,53,101,45,49,52,32,50,46,49,56,54,54,101,45,49,52,32,
      49,46,48,51,49,101,45,49,52,32,51,46,55,48,55,52,53,101,45,49,53,32,49,46,52,
      57,48,50,101,45,49,53,32,53,46,57,49,48,52,56,101,45,49,54,10,32,32,50,46,48,
      50,53,49,55,101,45,49,54,32,54,46,56,52,56,49,55,101,45,49,55,32,50,46,54,50,
      54,57,101,45,49,55,32,57,46,57,57,56,52,54,101,45,49,56,32,51,46,55,55,57,50,
      55,101,45,49,56,32,49,46,50,49,54,55,51,101,45,49,56,32,51,46,52,50,48,53,55,
      101,45,49,57,10,32,32,56,46,50,55,52,52,56,101,45,50,48,32,50,46,50,57,48,48,
      50,101,45,50,48,32,53,46,52,51,48,52,53,101,45,50,49,32,49,46,52,56,52,54,52,
      101,45,50,49,32,52,46,48,51,57,54,101,45,50,50,32,57,46,52,53,57,57,52,101,
      45,50,51,32,49,46,57,56,54,48,54,101,45,50,51,10,32,32,53,46,57,50,56,54,53,
      101,45,50,52,32,49,46,52,53,57,49,54,101,45,50,52,32,52,46,50,52,52,53,53,101,
      45,50,53,32,49,46,49,51,49,49,54,101,45,50,53,32,51,46,48,48,54,54,54,101,45,
      50,54,32,53,46,49,51,50,57,101,45,50,55,32,49,46,51,51,57,52,51,101,45,50,55,
      10,32,32,51,46,52,54,48,55,56,101,45,50,56,32,55,46,52,57,55,55,52,101,45,50,
      57,32,48,114,49,52,53,32,49,46,51,50,52,49,50,101,45,51,48,32,49,46,53,54,48,
      57,56,101,45,51,48,32,49,46,56,49,49,56,55,101,45,51,48,32,50,46,48,55,51,53,
      49,101,45,51,48,32,50,46,51,54,56,57,55,101,45,51,48,10,32,32,50,46,54,56,52,
      49,54,101,45,51,48,32,50,46,57,57,57,55,51,101,45,51,48,32,51,46,51,53,48,48,
      56,101,45,51,48,32,51,46,55,50,57,50,56,101,45,51,48,32,52,46,49,48,50,51,53,
      101,45,51,48,32,52,46,53,49,50,48,52,101,45,51,48,32,52,46,57,54,49,51,101,
      45,51,48,10,32,32,53,46,51,57,56,55,52,101,45,51,48,32,53,46,56,55,54,48,49,
      101,45,51,48,32,54,46,51,57,54,101,45,51,48,32,54,46,57,48,56,53,55,101,45,
      51,48,32,55,46,52,53,52,50,52,101,45,51,48,32,56,46,48,52,53,53,52,101,45,51,
      48,32,56,46,54,50,50,54,57,101,45,51,48,10,32,32,57,46,50,49,52,53,56,101,45,
      51,48,32,57,46,56,53,50,56,49,101,45,51,48,32,49,46,48,52,53,56,56,101,45,50,
      57,32,49,46,49,48,51,48,52,101,45,50,57,32,49,46,49,54,52,53,49,101,45,50,57,
      32,49,46,50,50,49,50,52,101,45,50,57,32,49,46,50,54,52,52,50,101,45,50,57,10,
      32,32,49,46,51,49,49,52,52,101,45,50,57,32,49,46,51,53,53,48,55,101,45,50,57,
      32,49,46,51,54,57,51,56,101,45,50,57,32,49,46,51,56,55,56,101,45,50,57,32,49,
      46,52,48,57,52,53,101,45,50,57,32,49,46,51,56,51,54,57,101,45,50,57,32,49,46,
      51,54,52,50,56,101,45,50,57,10,32,32,49,46,51,53,48,53,49,101,45,50,57,32,49,
      46,50,57,51,55,51,101,45,50,57,32,49,46,50,51,56,53,49,101,45,50,57,32,49,46,
      49,57,50,50,56,101,45,50,57,32,49,46,49,49,55,54,52,101,45,50,57,32,49,46,48,
      51,57,57,51,101,45,50,57,32,57,46,55,52,55,52,56,101,45,51,48,10,32,32,56,46,
      57,55,56,49,55,101,45,51,48,32,56,46,49,53,52,57,53,101,45,51,48,32,55,46,52,
      55,51,50,53,101,45,51,48,32,54,46,55,57,57,53,57,101,45,51,48,32,54,46,48,55,
      49,55,101,45,51,48,32,53,46,52,55,53,56,57,101,45,51,48,32,52,46,57,52,57,51,
      54,101,45,51,48,10,32,32,48,114,49,51,32,50,46,51,50,53,54,49,101,45,51,48,
      32,50,46,54,55,49,51,54,101,45,51,48,32,51,46,48,54,52,56,52,101,45,51,48,32,
      51,46,53,49,50,52,101,45,51,48,32,52,46,48,50,48,54,57,101,45,51,48,32,52,46,
      53,57,55,54,50,101,45,51,48,32,53,46,50,53,49,53,50,101,45,51,48,10,32,32,53,
      46,57,57,49,56,56,101,45,51,48,32,54,46,56,50,57,55,49,101,45,51,48,32,55,46,
      55,55,54,57,51,101,45,51,48,32,56,46,56,52,54,51,53,101,45,51,48,32,49,46,48,
      48,53,50,54,101,45,50,57,32,49,46,49,52,49,50,53,101,45,50,57,32,49,46,50,57,
      52,51,55,101,45,50,57,10,32,32,49,46,52,54,54,54,56,101,45,50,57,32,49,46,54,
      54,48,51,54,101,45,50,57,32,49,46,56,55,55,57,51,101,45,50,57,32,50,46,49,50,
      50,48,55,101,45,50,57,32,50,46,51,57,53,56,56,101,45,50,57,32,50,46,55,48,50,
      54,101,45,50,57,32,51,46,48,52,54,48,53,101,45,50,57,10,32,32,51,46,52,51,48,
      49,55,101,45,50,57,32,51,46,56,53,57,52,53,101,45,50,57,32,52,46,51,51,57,101,
      45,50,57,32,52,46,56,55,52,48,56,101,45,50,57,32,54,46,54,48,55,49,55,101,45,
      50,57,32,55,46,53,56,50,53,51,101,45,50,57,32,56,46,55,50,50,54,57,101,45,50,
      57,10,32,32,49,46,48,48,54,55,51,101,45,50,56,32,49,46,49,54,53,57,51,101,45,
      50,56,32,49,46,51,53,53,55,101,45,50,56,32,49,46,53,55,55,52,53,101,45,50,56,
      32,49,46,56,52,49,57,54,101,45,50,56,32,50,46,49,54,48,56,53,101,45,50,56,32,
      50,46,53,51,48,53,52,101,45,50,56,10,32,32,50,46,57,54,54,50,50,101,45,50,56,
      32,51,46,52,57,48,56,49,101,45,50,56,32,52,46,48,57,55,50,53,101,45,50,56,32,
      52,46,55,57,50,55,101,45,50,56,32,53,46,54,50,49,57,50,101,45,50,56,32,54,46,
      53,56,48,56,51,101,45,50,56,32,55,46,54,52,56,54,56,101,45,50,56,10,32,32,56,
      46,57,48,52,50,54,101,45,50,56,32,49,46,48,51,54,49,52,101,45,50,55,32,49,46,
      49,57,53,56,52,101,45,50,55,32,49,46,51,56,49,52,49,101,45,50,55,32,49,46,53,
      57,57,49,54,101,45,50,55,32,49,46,56,51,53,55,54,101,45,50,55,32,50,46,49,49,
      52,51,53,101,45,50,55,10,32,32,50,46,52,51,48,51,53,101,45,50,55,32,50,46,57,
      49,52,52,54,101,45,50,55,32,52,46,52,53,49,49,53,101,45,50,55,32,56,46,51,54,
      53,50,101,45,50,55,32,50,46,52,48,49,53,51,101,45,50,54,32,54,46,52,52,51,54,
      55,101,45,50,54,32,49,46,52,51,51,49,55,101,45,50,53,10,32,32,50,46,52,57,50,
      57,55,101,45,50,53,32,51,46,53,49,55,51,101,45,50,53,32,52,46,51,56,57,51,53,
      101,45,50,53,32,53,46,50,53,53,49,55,101,45,50,53,32,49,46,49,50,51,57,55,101,
      45,50,52,32,54,46,54,52,48,49,49,101,45,50,52,32,49,46,49,57,50,55,54,101,45,
      50,50,10,32,32,49,46,53,53,57,51,50,101,45,50,50,32,50,46,50,50,54,57,101,45,
      50,50,32,51,46,50,56,49,49,50,101,45,50,50,32,53,46,55,48,55,49,52,101,45,50,
      50,32,49,46,48,49,56,56,49,101,45,50,49,32,49,46,48,50,48,57,57,101,45,49,56,
      32,50,46,49,53,49,50,52,101,45,49,56,10,32,32,51,46,52,56,54,51,54,101,45,49,
      56,32,53,46,51,53,49,48,57,101,45,49,56,32,56,46,48,56,57,57,50,101,45,49,56,
      32,49,46,48,57,53,54,50,101,45,49,55,32,49,46,51,56,51,56,53,101,45,49,55,32,
      49,46,54,52,48,51,56,101,45,49,55,32,49,46,57,54,50,52,54,101,45,49,55,10,32,
      32,50,46,52,56,49,52,51,101,45,49,55,32,51,46,52,49,50,53,52,101,45,49,55,32,
      53,46,48,48,50,49,50,101,45,49,55,32,55,46,53,51,51,50,52,101,45,49,55,32,49,
      46,49,52,55,51,57,101,45,49,54,32,50,46,51,48,55,57,56,101,45,49,54,32,53,46,
      51,55,49,56,101,45,49,54,10,32,32,54,46,56,55,48,52,101,45,49,54,32,56,46,55,
      52,55,50,55,101,45,49,54,32,49,46,49,49,56,51,49,101,45,49,53,32,49,46,51,55,
      51,49,51,101,45,49,53,32,49,46,56,50,57,50,56,101,45,49,53,32,50,46,55,48,50,
      50,54,101,45,49,53,32,52,46,49,52,57,49,101,45,49,53,10,32,32,54,46,53,50,49,
      101,45,49,53,32,49,46,48,51,56,53,56,101,45,49,52,32,49,46,53,55,56,49,55,101,
      45,49,52,32,50,46,51,49,49,57,57,101,45,49,52,32,51,46,50,54,51,56,56,101,45,
      49,52,32,52,46,52,48,50,53,50,101,45,49,52,32,53,46,52,53,57,50,51,101,45,49,
      52,10,32,32,54,46,56,56,50,52,50,101,45,49,52,32,56,46,53,49,53,50,56,101,45,
      49,52,32,49,46,48,57,54,53,101,45,49,51,32,49,46,53,56,57,49,57,101,45,49,51,
      32,50,46,50,56,55,57,52,101,45,49,51,32,51,46,49,55,48,50,51,101,45,49,51,32,
      52,46,48,55,51,48,50,101,45,49,51,10,32,32,53,46,54,49,57,56,55,101,45,49,51,
      32,55,46,54,51,50,50,57,101,45,49,51,32,49,46,48,50,56,55,57,101,45,49,50,32,
      49,46,51,49,57,52,53,101,45,49,50,32,49,46,54,50,53,49,57,101,45,49,50,32,49,
      46,57,50,50,52,54,101,45,49,50,32,50,46,50,55,52,51,49,101,45,49,50,10,32,32,
      50,46,54,56,48,56,56,101,45,49,50,32,51,46,48,54,57,51,51,101,45,49,50,32,52,
      46,48,54,48,50,55,101,45,49,50,32,53,46,50,55,53,49,49,101,45,49,50,32,54,46,
      52,56,48,54,56,101,45,49,50,32,55,46,54,57,52,48,56,101,45,49,50,32,56,46,52,
      57,49,49,52,101,45,49,50,10,32,32,57,46,55,54,51,48,57,101,45,49,50,32,49,46,
      49,48,48,52,55,101,45,49,49,32,49,46,50,49,56,50,54,101,45,49,49,32,49,46,51,
      50,54,57,52,101,45,49,49,32,49,46,52,52,48,57,57,101,45,49,49,32,49,46,53,49,
      56,54,49,101,45,49,49,32,49,46,53,57,48,50,52,101,45,49,49,10,32,32,49,46,54,
      57,51,54,54,101,45,49,49,32,49,46,55,52,55,51,52,101,45,49,49,32,49,46,56,49,
      53,56,56,101,45,49,49,32,49,46,56,54,54,50,54,101,45,49,49,32,49,46,56,56,53,
      51,57,101,45,49,49,32,49,46,56,57,54,50,57,101,45,49,49,32,49,46,56,57,54,57,
      56,101,45,49,49,10,32,32,49,46,56,55,53,51,50,101,45,49,49,32,49,46,56,53,51,
      55,56,101,45,49,49,32,49,46,56,48,53,53,101,45,49,49,32,49,46,55,54,57,54,52,
      101,45,49,49,32,49,46,55,50,52,57,51,101,45,49,49,32,49,46,54,50,57,51,56,101,
      45,49,49,32,49,46,53,50,57,48,51,101,45,49,49,10,32,32,49,46,52,56,51,50,55,
      101,45,49,49,32,49,46,51,57,50,52,101,45,49,49,32,49,46,50,56,57,51,56,101,
      45,49,49,32,49,46,50,48,50,57,51,101,45,49,49,32,49,46,49,49,55,48,53,101,45,
      49,49,32,49,46,48,51,56,48,51,101,45,49,49,32,57,46,54,50,49,51,56,101,45,49,
      50,10,32,32,56,46,56,48,56,52,56,101,45,49,50,32,56,46,49,49,53,57,52,101,45,
      49,50,32,55,46,51,56,56,51,55,101,45,49,50,32,54,46,56,55,56,56,49,101,45,49,
      50,32,54,46,48,57,54,55,55,101,45,49,50,32,53,46,54,52,56,49,50,101,45,49,50,
      32,53,46,49,50,51,53,49,101,45,49,50,10,32,32,52,46,48,52,49,56,52,101,45,49,
      50,32,50,46,56,53,52,52,57,101,45,49,50,32,49,46,57,56,57,52,57,101,45,49,50,
      32,49,46,50,51,51,53,52,101,45,49,50,32,55,46,52,53,48,53,53,101,45,49,51,32,
      51,46,57,52,56,49,49,101,45,49,51,32,50,46,50,55,53,53,101,45,49,51,10,32,32,
      57,46,48,57,54,49,49,101,45,49,52,32,51,46,54,54,53,53,52,101,45,49,52,32,49,
      46,57,48,48,55,101,45,49,52,32,56,46,57,57,51,54,53,101,45,49,53,32,51,46,50,
      52,56,48,54,101,45,49,53,32,49,46,51,49,48,48,52,101,45,49,53,32,53,46,50,49,
      50,52,50,101,45,49,54,10,32,32,49,46,55,57,49,57,50,101,45,49,54,32,54,46,48,
      55,55,55,56,101,45,49,55,32,50,46,51,51,55,49,49,101,45,49,55,32,56,46,57,49,
      53,56,52,101,45,49,56,32,51,46,51,55,55,50,53,101,45,49,56,32,49,46,48,57,48,
      48,56,101,45,49,56,32,51,46,48,55,49,55,52,101,45,49,57,10,32,32,55,46,52,52,
      56,53,53,101,45,50,48,32,50,46,48,54,53,53,55,101,45,50,48,32,52,46,57,48,56,
      51,52,101,45,50,49,32,49,46,51,52,52,50,101,45,50,49,32,51,46,54,54,51,50,54,
      101,45,50,50,32,56,46,53,57,50,54,56,101,45,50,51,32,49,46,56,48,54,57,51,101,
      45,50,51,10,32,32,53,46,52,48,48,51,51,101,45,50,52,32,49,46,51,51,48,56,52,
      101,45,50,52,32,51,46,56,55,53,52,51,101,45,50,53,32,49,46,48,51,51,57,56,101,
      45,50,53,32,50,46,55,53,49,55,101,45,50,54,32,52,46,55,48,54,50,49,101,45,50,
      55,32,49,46,50,50,56,55,52,101,45,50,55,10,32,32,51,46,49,55,54,49,49,101,45,
      50,56,32,54,46,56,55,50,51,101,45,50,57,32,55,46,56,51,54,51,53,101,45,51,48,
      32,48,114,49,53,52,32,49,46,48,57,51,57,49,101,45,51,48,32,49,46,50,48,52,53,
      52,101,45,51,48,32,49,46,51,49,50,51,101,45,51,48,32,49,46,52,51,48,48,52,101,
      45,51,48,10,32,32,49,46,53,53,56,52,57,101,45,51,48,32,49,46,54,56,53,49,54,
      101,45,51,48,32,49,46,56,50,48,49,53,101,45,51,48,32,49,46,57,54,54,54,50,101,
      45,51,48,32,50,46,49,48,57,54,101,45,51,48,32,50,46,50,53,54,51,49,101,45,51,
      48,32,50,46,52,49,52,55,101,45,51,48,10,32,32,50,46,53,54,53,48,52,101,45,51,
      48,32,50,46,55,48,54,55,52,101,45,51,48,32,50,46,56,53,57,51,101,45,51,48,32,
      50,46,57,57,57,57,51,101,45,51,48,32,51,46,49,48,54,52,56,101,45,51,48,32,51,
      46,50,50,50,54,53,101,45,51,48,32,51,46,51,51,48,50,56,101,45,51,48,10,32,32,
      51,46,51,54,52,49,101,45,51,48,32,51,46,52,48,56,50,53,101,45,51,48,32,51,46,
      52,54,48,53,49,101,45,51,48,32,51,46,51,57,51,54,53,101,45,51,48,32,51,46,51,
      52,50,56,52,101,45,51,48,32,51,46,51,48,54,50,57,101,45,51,48,32,51,46,49,54,
      50,49,51,101,45,51,48,10,32,32,51,46,48,50,50,50,49,101,45,51,48,32,50,46,57,
      48,53,48,54,101,45,51,48,32,50,46,55,49,55,52,101,45,51,48,32,50,46,53,50,50,
      54,57,101,45,51,48,32,48,114,50,57,32,49,46,54,53,53,55,49,101,45,51,48,32,
      49,46,56,57,48,52,101,45,51,48,32,50,46,49,53,54,48,57,101,45,51,48,10,32,32,
      50,46,52,53,54,53,56,101,45,51,48,32,50,46,55,57,54,50,52,101,45,51,48,32,51,
      46,49,55,57,54,56,101,45,51,48,32,51,46,54,49,50,51,51,101,45,51,48,32,52,46,
      48,57,57,56,55,101,45,51,48,32,52,46,54,52,57,101,45,51,48,32,53,46,50,54,54,
      55,52,101,45,51,48,10,32,32,53,46,57,54,49,51,53,101,45,51,48,32,54,46,55,52,
      49,52,50,101,45,51,48,32,55,46,54,49,55,49,49,101,45,51,48,32,56,46,53,57,56,
      57,53,101,45,51,48,32,57,46,54,57,56,57,52,101,45,51,48,32,49,46,48,57,51,48,
      56,101,45,50,57,32,49,46,50,51,48,56,55,101,45,50,57,10,32,32,49,46,51,56,52,
      57,52,101,45,50,57,32,49,46,53,53,55,48,50,101,45,50,57,32,49,46,55,52,57,49,
      53,101,45,50,57,32,49,46,57,54,51,52,51,101,45,50,57,32,50,46,57,52,50,52,52,
      101,45,50,57,32,51,46,52,50,55,56,57,101,45,50,57,32,51,46,57,57,54,54,57,101,
      45,50,57,10,32,32,52,46,54,55,54,56,54,101,45,50,57,32,53,46,52,57,57,48,51,
      101,45,50,57,32,54,46,52,53,53,52,101,45,50,57,32,55,46,53,56,54,49,101,45,
      50,57,32,56,46,57,53,49,57,49,101,45,50,57,32,49,46,48,53,51,54,53,101,45,50,
      56,32,49,46,50,51,54,48,51,101,45,50,56,10,32,32,49,46,52,53,52,50,50,101,45,
      50,56,32,49,46,55,48,55,52,53,101,45,50,56,32,49,46,57,57,48,52,54,101,45,50,
      56,32,50,46,51,50,52,51,52,101,45,50,56,32,50,46,55,49,51,49,53,101,45,50,56,
      32,51,46,49,52,48,55,52,101,45,50,56,32,51,46,54,51,57,49,57,101,45,50,56,10,
      32,32,52,46,50,50,48,49,49,101,45,50,56,32,52,46,56,53,57,48,55,101,45,50,56,
      32,53,46,53,57,56,48,56,101,45,50,56,32,54,46,52,53,50,57,54,101,45,50,56,32,
      55,46,55,54,56,52,56,101,45,50,56,32,49,46,49,57,56,54,57,101,45,50,55,32,50,
      46,50,57,51,53,101,45,50,55,10,32,32,54,46,55,52,57,54,50,101,45,50,55,32,49,
      46,56,53,52,49,53,101,45,50,54,32,52,46,50,48,49,51,57,101,45,50,54,32,55,46,
      51,57,55,52,51,101,45,50,54,32,49,46,48,53,48,52,57,101,45,50,53,32,49,46,51,
      49,53,49,55,101,45,50,53,32,49,46,53,55,56,49,55,101,45,50,53,10,32,32,51,46,
      52,49,51,57,54,101,45,50,53,32,50,46,48,54,57,57,50,101,45,50,52,32,51,46,56,
      53,52,53,101,45,50,51,32,53,46,48,55,50,53,49,101,45,50,51,32,55,46,51,49,48,
      49,52,101,45,50,51,32,49,46,48,56,55,57,52,101,45,50,50,32,49,46,57,50,48,50,
      49,101,45,50,50,10,32,32,51,46,52,56,50,49,56,101,45,50,50,32,52,46,48,52,56,
      55,49,101,45,49,57,32,56,46,54,55,55,50,57,101,45,49,57,32,49,46,52,51,52,50,
      51,101,45,49,56,32,50,46,50,52,48,56,56,101,45,49,56,32,51,46,52,52,52,51,49,
      101,45,49,56,32,52,46,55,49,50,51,101,45,49,56,10,32,32,53,46,57,57,49,56,57,
      101,45,49,56,32,55,46,49,50,57,57,54,101,45,49,56,32,56,46,53,54,55,49,56,101,
      45,49,56,32,49,46,48,57,49,56,53,101,45,49,55,32,49,46,53,50,48,49,101,45,49,
      55,32,50,46,50,54,51,52,55,101,45,49,55,32,51,46,52,54,56,55,49,101,45,49,55,
      10,32,32,53,46,51,56,49,50,50,101,45,49,55,32,49,46,49,54,55,51,57,101,45,49,
      54,32,51,46,48,53,57,53,56,101,45,49,54,32,51,46,57,57,53,54,54,101,45,49,54,
      32,53,46,49,54,48,48,49,101,45,49,54,32,54,46,54,56,51,48,52,101,45,49,54,32,
      56,46,50,56,51,48,53,101,45,49,54,10,32,32,49,46,49,49,54,51,54,101,45,49,53,
      32,49,46,54,54,56,48,56,101,45,49,53,32,50,46,53,56,52,48,55,101,45,49,53,32,
      52,46,49,48,48,55,51,101,45,49,53,32,54,46,53,56,50,52,50,101,45,49,53,32,49,
      46,48,48,55,53,51,101,45,49,52,32,49,46,52,56,55,48,53,101,45,49,52,10,32,32,
      50,46,49,49,51,51,53,101,45,49,52,32,50,46,56,54,53,48,50,101,45,49,52,32,51,
      46,53,54,52,50,56,101,45,49,52,32,52,46,53,49,49,56,101,45,49,52,32,53,46,54,
      48,53,48,53,101,45,49,52,32,55,46,50,53,51,55,51,101,45,49,52,32,49,46,48,53,
      56,56,55,101,45,49,51,10,32,32,49,46,53,51,52,53,53,101,45,49,51,32,50,46,49,
      51,55,53,50,101,45,49,51,32,50,46,55,53,54,49,101,45,49,51,32,51,46,56,49,57,
      49,55,101,45,49,51,32,53,46,50,48,55,52,101,45,49,51,32,55,46,48,52,55,50,52,
      101,45,49,51,32,57,46,48,54,57,53,54,101,45,49,51,10,32,32,49,46,49,50,48,51,
      57,101,45,49,50,32,49,46,51,50,56,51,56,101,45,49,50,32,49,46,53,55,53,51,53,
      101,45,49,50,32,49,46,56,54,49,57,101,45,49,50,32,50,46,49,51,54,57,52,101,
      45,49,50,32,50,46,56,52,51,54,50,101,45,49,50,32,51,46,55,49,56,50,50,101,45,
      49,50,10,32,32,52,46,53,57,51,52,53,101,45,49,50,32,53,46,52,55,56,57,56,101,
      45,49,50,32,54,46,48,53,57,48,53,101,45,49,50,32,54,46,57,57,54,54,49,101,45,
      49,50,32,55,46,57,49,56,48,54,101,45,49,50,32,56,46,55,57,56,50,56,101,45,49,
      50,32,57,46,54,49,54,51,49,101,45,49,50,10,32,32,49,46,48,52,56,49,55,101,45,
      49,49,32,49,46,49,48,55,53,55,101,45,49,49,32,49,46,49,54,50,56,51,101,45,49,
      49,32,49,46,50,52,51,54,50,101,45,49,49,32,49,46,50,56,54,50,52,101,45,49,49,
      32,49,46,51,52,49,56,52,101,45,49,49,32,49,46,51,56,52,53,56,101,45,49,49,10,
      32,32,49,46,52,48,50,48,53,101,45,49,49,32,49,46,52,49,51,52,51,101,45,49,49,
      32,49,46,52,49,57,48,55,101,45,49,49,32,49,46,52,48,56,51,56,101,45,49,49,32,
      49,46,51,57,53,50,101,45,49,49,32,49,46,51,54,51,53,51,101,45,49,49,32,49,46,
      51,51,56,55,54,101,45,49,49,10,32,32,49,46,51,49,48,49,57,101,45,49,49,32,49,
      46,50,52,49,49,55,101,45,49,49,32,49,46,49,54,57,50,51,101,45,49,49,32,49,46,
      49,51,54,48,49,101,45,49,49,32,49,46,48,54,57,54,101,45,49,49,32,57,46,57,51,
      54,56,56,101,45,49,50,32,57,46,50,57,53,50,49,101,45,49,50,10,32,32,56,46,54,
      53,52,50,51,101,45,49,50,32,56,46,48,54,49,52,56,101,45,49,50,32,55,46,52,56,
      57,53,53,101,45,49,50,32,54,46,56,55,52,50,55,101,45,49,50,32,54,46,51,52,55,
      57,52,101,45,49,50,32,53,46,55,57,50,56,55,101,45,49,50,32,53,46,52,48,50,55,
      57,101,45,49,50,10,32,32,52,46,56,48,50,48,50,101,45,49,50,32,52,46,52,53,54,
      49,55,101,45,49,50,32,52,46,48,53,48,54,53,101,45,49,50,32,51,46,50,49,48,53,
      49,101,45,49,50,32,50,46,50,56,49,51,56,101,45,49,50,32,49,46,53,57,57,48,57,
      101,45,49,50,32,57,46,57,56,48,56,54,101,45,49,51,10,32,32,54,46,48,54,53,56,
      54,101,45,49,51,32,51,46,50,51,54,52,57,101,45,49,51,32,49,46,56,55,53,50,52,
      101,45,49,51,32,55,46,53,53,52,49,53,101,45,49,52,32,51,46,48,54,52,51,54,101,
      45,49,52,32,49,46,53,57,53,55,54,101,45,49,52,32,55,46,53,56,52,50,101,45,49,
      53,10,32,32,50,46,55,53,51,56,53,101,45,49,53,32,49,46,49,49,53,53,49,101,45,
      49,53,32,52,46,52,53,54,48,51,101,45,49,54,32,49,46,53,51,56,50,53,101,45,49,
      54,32,53,46,50,51,55,50,50,101,45,49,55,32,50,46,48,50,48,48,55,101,45,49,55,
      32,55,46,55,50,56,51,55,101,45,49,56,10,32,32,50,46,57,51,53,50,53,101,45,49,
      56,32,57,46,53,48,52,51,53,101,45,49,57,32,50,46,54,56,54,49,55,101,45,49,57,
      32,54,46,53,51,51,50,56,101,45,50,48,32,49,46,56,49,54,50,57,101,45,50,48,32,
      52,46,51,50,55,49,50,101,45,50,49,32,49,46,49,56,55,53,54,101,45,50,49,10,32,
      32,51,46,50,52,50,56,53,101,45,50,50,32,55,46,54,50,50,50,50,101,45,50,51,32,
      49,46,54,48,54,49,54,101,45,50,51,32,52,46,56,48,55,52,52,101,45,50,52,32,49,
      46,49,56,54,54,54,101,45,50,52,32,51,46,52,54,48,50,52,101,45,50,53,32,57,46,
      50,52,52,56,55,101,45,50,54,10,32,32,50,46,52,54,51,50,56,101,45,50,54,32,52,
      46,50,50,52,50,51,101,45,50,55,32,49,46,49,49,55,50,55,101,45,50,55,32,50,46,
      56,53,52,50,49,101,45,50,56,32,54,46,56,53,48,49,51,101,45,50,57,32,54,46,57,
      56,49,50,57,101,45,51,48,32,48,114,50,50,49,32,49,46,49,50,49,50,52,101,45,
      51,48,10,32,32,49,46,50,55,50,54,55,101,45,51,48,32,49,46,52,52,51,50,101,45,
      51,48,32,49,46,54,51,53,49,56,101,45,51,48,32,49,46,56,53,49,48,51,101,45,51,
      48,32,50,46,48,57,51,53,51,101,45,51,48,32,50,46,51,54,53,56,52,101,45,51,48,
      32,50,46,54,55,49,50,55,101,45,51,48,10,32,32,51,46,48,49,51,55,50,101,45,51,
      48,32,51,46,51,57,55,50,52,101,45,51,48,32,51,46,56,50,54,53,57,101,45,51,48,
      32,52,46,51,48,54,55,49,101,45,51,48,32,52,46,56,52,51,52,49,101,45,51,48,32,
      53,46,52,52,50,55,49,101,45,51,48,32,54,46,49,49,49,54,55,101,45,51,48,10,32,
      32,54,46,56,53,55,54,101,45,51,48,32,49,46,50,48,52,49,50,101,45,50,57,32,49,
      46,52,49,55,50,54,101,45,50,57,32,49,46,54,55,48,49,52,101,45,50,57,32,49,46,
      57,55,54,54,55,101,45,50,57,32,50,46,51,51,51,55,51,101,45,50,57,32,50,46,55,
      52,54,51,101,45,50,57,10,32,32,51,46,50,52,49,55,53,101,45,50,57,32,51,46,56,
      49,57,48,53,101,45,50,57,32,52,46,52,54,54,56,101,45,50,57,32,53,46,50,51,51,
      56,51,101,45,50,57,32,54,46,49,51,48,52,57,101,45,50,57,32,55,46,49,50,48,50,
      56,101,45,50,57,32,56,46,50,55,56,50,54,101,45,50,57,10,32,32,57,46,54,51,50,
      56,49,101,45,50,57,32,49,46,49,49,50,56,101,45,50,56,32,49,46,50,56,54,51,51,
      101,45,50,56,32,49,46,52,56,55,55,57,101,45,50,56,32,49,46,55,57,57,48,55,101,
      45,50,56,32,50,46,56,48,50,50,50,101,45,50,56,32,53,46,52,52,48,56,51,101,45,
      50,56,10,32,32,49,46,54,52,57,57,54,101,45,50,55,32,52,46,54,53,50,52,55,101,
      45,50,55,32,49,46,48,55,54,50,49,101,45,50,54,32,49,46,57,50,48,51,51,101,45,
      50,54,32,50,46,55,52,54,54,54,101,45,50,54,32,51,46,52,53,49,48,50,101,45,50,
      54,32,52,46,49,53,49,52,50,101,45,50,54,10,32,32,57,46,48,57,51,50,57,101,45,
      50,54,32,53,46,54,55,50,53,52,101,45,50,53,32,49,46,48,57,56,55,55,101,45,50,
      51,32,49,46,52,53,54,50,57,101,45,50,51,32,50,46,49,49,57,50,55,101,45,50,51,
      32,51,46,49,56,56,51,51,101,45,50,51,32,53,46,55,49,55,48,55,101,45,50,51,10,
      32,32,49,46,48,53,52,54,49,101,45,50,50,32,49,46,52,48,52,48,56,101,45,49,57,
      32,51,46,48,55,53,55,51,101,45,49,57,32,53,46,50,49,49,48,57,101,45,49,57,32,
      56,46,51,50,50,56,54,101,45,49,57,32,49,46,51,48,53,50,49,101,45,49,56,32,49,
      46,56,48,55,54,56,101,45,49,56,10,32,32,50,46,51,49,54,55,55,101,45,49,56,32,
      50,46,55,54,57,50,53,101,45,49,56,32,51,46,51,52,52,54,49,101,45,49,56,32,52,
      46,51,48,50,50,53,101,45,49,56,32,54,46,48,55,54,52,54,101,45,49,56,32,57,46,
      50,49,52,53,56,101,45,49,56,32,49,46,52,52,48,54,55,101,45,49,55,10,32,32,50,
      46,50,56,50,51,54,101,45,49,55,32,53,46,49,49,54,54,53,101,45,49,55,32,49,46,
      51,57,55,53,53,101,45,49,54,32,49,46,56,55,56,56,55,101,45,49,54,32,50,46,52,
      56,54,49,55,101,45,49,54,32,51,46,51,48,49,56,57,101,45,49,54,32,52,46,49,55,
      56,53,56,101,45,49,54,10,32,32,53,46,55,57,51,56,49,101,45,49,54,32,56,46,57,
      54,51,49,49,101,45,49,54,32,49,46,52,51,52,57,52,101,45,49,53,32,50,46,51,52,
      56,54,52,101,45,49,53,32,51,46,56,54,52,48,52,101,45,49,53,32,54,46,48,50,50,
      55,49,101,45,49,53,32,57,46,48,49,53,49,55,101,45,49,53,10,32,32,49,46,50,57,
      53,49,53,101,45,49,52,32,49,46,55,54,56,55,55,101,45,49,52,32,50,46,50,49,48,
      52,101,45,49,52,32,50,46,56,49,50,56,50,101,45,49,52,32,51,46,53,49,50,54,54,
      101,45,49,52,32,52,46,53,55,52,49,55,101,45,49,52,32,54,46,55,51,53,55,57,101,
      45,49,52,10,32,32,57,46,56,52,48,55,53,101,45,49,52,32,49,46,51,55,57,54,49,
      101,45,49,51,32,49,46,55,56,54,55,53,101,45,49,51,32,50,46,52,56,56,56,57,101,
      45,49,51,32,51,46,52,48,57,55,49,101,45,49,51,32,52,46,54,51,53,55,55,101,45,
      49,51,32,53,46,57,56,57,52,101,45,49,51,10,32,32,55,46,52,50,50,56,57,101,45,
      49,51,32,56,46,56,50,51,50,54,101,45,49,51,32,49,46,48,52,57,49,53,101,45,49,
      50,32,49,46,50,52,51,53,55,101,45,49,50,32,49,46,52,51,49,48,57,101,45,49,50,
      32,49,46,57,49,54,53,51,101,45,49,50,32,50,46,53,50,51,52,51,101,45,49,50,10,
      32,32,51,46,49,51,54,51,57,101,45,49,50,32,51,46,55,54,48,50,49,101,45,49,50,
      32,52,46,49,54,55,55,51,101,45,49,50,32,52,46,56,51,53,50,57,101,45,49,50,32,
      53,46,52,57,54,50,101,45,49,50,32,54,46,49,51,50,50,50,101,45,49,50,32,54,46,
      55,50,55,55,54,101,45,49,50,10,32,32,55,46,51,54,51,50,53,101,45,49,50,32,55,
      46,56,48,51,49,56,101,45,49,50,32,56,46,50,49,53,56,49,101,45,49,50,32,56,46,
      56,50,54,56,49,101,45,49,50,32,57,46,49,53,52,50,57,101,45,49,50,32,57,46,53,
      57,48,51,57,101,45,49,50,32,57,46,57,51,57,48,56,101,45,49,50,10,32,32,49,46,
      48,48,57,48,52,101,45,49,49,32,49,46,48,49,57,56,50,101,45,49,49,32,49,46,48,
      50,55,57,54,101,45,49,49,32,49,46,48,50,52,54,51,101,45,49,49,32,49,46,48,49,
      55,52,51,101,45,49,49,32,57,46,57,56,48,55,53,101,45,49,50,32,57,46,56,49,55,
      54,57,101,45,49,50,10,32,32,57,46,54,52,53,56,101,45,49,50,32,57,46,49,55,48,
      49,101,45,49,50,32,56,46,54,55,54,49,49,101,45,49,50,32,56,46,52,52,52,50,51,
      101,45,49,50,32,55,46,57,55,54,55,54,101,45,49,50,32,55,46,52,51,55,48,55,101,
      45,49,50,32,54,46,57,55,55,50,101,45,49,50,10,32,32,54,46,53,49,52,55,57,101,
      45,49,50,32,54,46,48,56,52,55,49,101,45,49,50,32,53,46,54,54,55,54,49,101,45,
      49,50,32,53,46,50,49,54,54,54,101,45,49,50,32,52,46,56,50,57,48,57,101,45,49,
      50,32,52,46,52,49,56,53,57,101,45,49,50,32,52,46,49,50,57,48,51,101,45,49,50,
      10,32,32,51,46,54,56,49,50,57,101,45,49,50,32,51,46,52,50,50,53,53,101,45,49,
      50,32,51,46,49,49,56,50,51,101,45,49,50,32,50,46,52,56,52,51,50,101,45,49,50,
      32,49,46,55,55,55,52,101,45,49,50,32,49,46,50,53,51,54,56,101,45,49,50,32,55,
      46,56,56,50,55,54,101,45,49,51,10,32,32,52,46,56,50,51,55,51,101,45,49,51,32,
      50,46,53,57,51,52,49,101,45,49,51,32,49,46,53,49,49,53,101,45,49,51,32,54,46,
      49,52,49,52,54,101,45,49,52,32,50,46,53,48,57,55,51,101,45,49,52,32,49,46,51,
      49,51,49,56,101,45,49,52,32,54,46,50,55,50,48,55,101,45,49,53,10,32,32,50,46,
      50,57,49,49,54,101,45,49,53,32,57,46,51,50,53,52,53,101,45,49,54,32,51,46,55,
      52,49,54,54,101,45,49,54,32,49,46,50,57,55,54,54,101,45,49,54,32,52,46,52,51,
      54,57,55,101,45,49,55,32,49,46,55,49,55,50,57,101,45,49,55,32,54,46,53,57,49,
      48,52,101,45,49,56,10,32,32,50,46,53,49,48,55,55,101,45,49,56,32,56,46,49,53,
      56,56,54,101,45,49,57,32,50,46,51,49,51,53,52,101,45,49,57,32,53,46,54,52,54,
      101,45,50,48,32,49,46,53,55,52,48,49,101,45,50,48,32,51,46,55,54,48,55,53,101,
      45,50,49,32,49,46,48,51,52,54,101,45,50,49,10,32,32,50,46,56,51,49,52,56,101,
      45,50,50,32,54,46,54,55,48,54,56,101,45,50,51,32,49,46,52,48,56,56,57,101,45,
      50,51,32,52,46,50,50,51,57,57,101,45,50,52,32,49,46,48,52,52,53,51,101,45,50,
      52,32,51,46,48,53,48,52,50,101,45,50,53,32,56,46,49,54,50,49,54,101,45,50,54,
      10,32,32,50,46,49,55,55,56,54,101,45,50,54,32,51,46,55,53,48,56,49,101,45,50,
      55,32,57,46,57,54,51,52,101,45,50,56,32,50,46,53,56,52,49,49,101,45,50,56,32,
      54,46,48,55,57,53,53,101,45,50,57,32,54,46,49,52,48,48,51,101,45,51,48,32,48,
      114,50,51,55,32,54,46,57,53,56,52,55,101,45,51,49,10,32,32,55,46,56,50,56,54,
      56,101,45,51,49,32,56,46,56,48,49,52,101,45,51,49,32,57,46,56,56,55,49,51,101,
      45,51,49,32,49,46,49,48,57,57,53,101,45,51,48,32,49,46,50,52,53,49,52,101,45,
      51,48,32,49,46,51,57,53,55,56,101,45,51,48,32,49,46,53,54,51,54,101,45,51,48,
      10,32,32,52,46,49,48,56,48,54,101,45,51,48,32,52,46,56,51,57,56,54,101,45,51,
      48,32,53,46,55,48,48,53,53,101,45,51,48,32,54,46,54,53,54,51,55,101,45,51,48,
      32,55,46,55,56,49,48,55,101,45,51,48,32,57,46,49,48,52,52,101,45,51,48,32,49,
      46,48,53,55,51,52,101,45,50,57,10,32,32,49,46,50,50,56,56,101,45,50,57,32,49,
      46,52,50,56,57,56,101,45,50,57,32,49,46,55,52,48,51,101,45,50,57,32,50,46,55,
      53,54,54,53,101,45,50,57,32,53,46,52,55,54,53,101,45,50,57,32,49,46,55,50,57,
      55,53,101,45,50,56,32,53,46,49,49,49,57,57,101,45,50,56,10,32,32,49,46,50,50,
      50,101,45,50,55,32,50,46,50,50,56,48,55,101,45,50,55,32,51,46,50,50,51,48,49,
      101,45,50,55,32,52,46,48,55,50,48,53,101,45,50,55,32,52,46,57,49,55,51,51,101,
      45,50,55,32,49,46,48,57,55,57,101,45,50,54,32,55,46,49,53,50,52,53,101,45,50,
      54,10,32,32,49,46,52,55,49,101,45,50,52,32,49,46,57,55,49,56,57,101,45,50,52,
      32,50,46,57,49,52,54,50,101,45,50,52,32,52,46,52,54,49,50,101,45,50,52,32,56,
      46,50,48,51,53,57,101,45,50,52,32,49,46,53,53,53,48,49,101,45,50,51,32,50,46,
      53,50,48,50,101,45,50,48,10,32,32,53,46,55,49,55,54,57,101,45,50,48,32,49,46,
      48,48,55,54,50,101,45,49,57,32,49,46,54,54,54,51,101,45,49,57,32,50,46,54,57,
      55,51,50,101,45,49,57,32,51,46,56,48,56,52,52,101,45,49,57,32,52,46,57,52,49,
      50,50,101,45,49,57,32,53,46,57,52,55,48,52,101,45,49,57,10,32,32,55,46,50,52,
      48,49,101,45,49,57,32,57,46,52,52,56,57,54,101,45,49,57,32,49,46,51,54,53,48,
      50,101,45,49,56,32,50,46,49,51,48,49,49,101,45,49,56,32,51,46,52,51,54,55,57,
      101,45,49,56,32,53,46,54,50,55,50,51,101,45,49,56,32,49,46,53,51,55,52,55,101,
      45,49,55,10,32,32,53,46,54,54,49,55,49,101,45,49,55,32,55,46,54,50,51,54,101,
      45,49,55,32,49,46,48,49,49,101,45,49,54,32,49,46,51,52,54,54,54,101,45,49,54,
      32,49,46,55,48,57,54,52,101,45,49,54,32,50,46,51,56,51,54,101,45,49,54,32,51,
      46,55,50,48,56,51,101,45,49,54,10,32,32,54,46,48,50,54,55,101,45,49,54,32,49,
      46,48,48,53,54,51,101,45,49,53,32,49,46,54,56,53,49,50,101,45,49,53,32,50,46,
      54,55,50,51,101,45,49,53,32,52,46,48,54,54,48,49,101,45,49,53,32,53,46,57,50,
      51,53,49,101,45,49,53,32,56,46,49,55,50,52,49,101,45,49,53,10,32,32,49,46,48,
      50,55,57,51,101,45,49,52,32,49,46,51,49,56,54,53,101,45,49,52,32,49,46,54,54,
      48,48,54,101,45,49,52,32,50,46,49,56,51,50,53,101,45,49,52,32,51,46,50,54,49,
      55,53,101,45,49,52,32,52,46,56,51,49,49,52,101,45,49,52,32,54,46,56,52,57,55,
      101,45,49,52,10,32,32,56,46,57,52,48,56,101,45,49,52,32,49,46,50,53,55,48,53,
      101,45,49,51,32,49,46,55,51,54,53,52,101,45,49,51,32,50,46,51,55,57,55,54,101,
      45,49,51,32,51,46,48,57,52,54,53,101,45,49,51,32,51,46,56,53,53,53,50,101,45,
      49,51,32,52,46,54,48,49,52,50,101,45,49,51,10,32,32,53,46,52,57,52,51,101,45,
      49,51,32,54,46,53,52,49,55,57,101,45,49,51,32,55,46,53,53,57,51,57,101,45,49,
      51,32,49,46,48,50,50,51,53,101,45,49,50,32,49,46,51,54,48,53,57,101,45,49,50,
      32,49,46,55,48,55,48,57,101,45,49,50,32,50,46,48,54,51,101,45,49,50,10,32,32,
      50,46,50,57,52,54,55,101,45,49,50,32,50,46,54,56,49,57,55,101,45,49,50,32,51,
      46,48,54,57,55,56,101,45,49,50,32,51,46,52,52,55,50,54,101,45,49,50,32,51,46,
      56,48,52,56,50,101,45,49,50,32,52,46,49,57,49,50,53,101,45,49,50,32,52,46,52,
      54,50,50,49,101,45,49,50,10,32,32,52,46,55,49,57,52,49,101,45,49,50,32,53,46,
      49,48,55,50,55,101,45,49,50,32,53,46,51,49,57,56,101,45,49,50,32,53,46,54,49,
      48,54,50,101,45,49,50,32,53,46,56,53,52,56,57,101,45,49,50,32,53,46,57,54,56,
      51,101,45,49,50,32,54,46,48,53,54,52,56,101,45,49,50,10,32,32,54,46,49,52,51,
      51,56,101,45,49,50,32,54,46,49,54,53,51,101,45,49,50,32,54,46,49,52,52,56,51,
      101,45,49,50,32,54,46,48,54,51,53,57,101,45,49,50,32,53,46,57,56,51,50,49,101,
      45,49,50,32,53,46,57,49,49,55,55,101,45,49,50,32,53,46,54,53,51,53,49,101,45,
      49,50,10,32,32,53,46,51,56,53,55,50,101,45,49,50,32,53,46,50,53,54,48,56,101,
      45,49,50,32,52,46,57,57,48,56,56,101,45,49,50,32,52,46,54,55,57,52,55,101,45,
      49,50,32,52,46,52,49,48,51,57,101,45,49,50,32,52,46,49,51,54,56,49,101,45,49,
      50,32,51,46,56,55,57,57,101,45,49,50,10,32,32,51,46,54,50,56,54,50,101,45,49,
      50,32,51,46,51,53,52,55,50,101,45,49,50,32,51,46,49,49,55,53,51,101,45,49,50,
      32,50,46,56,54,52,53,51,101,45,49,50,32,50,46,54,56,52,57,57,101,45,49,50,32,
      50,46,52,48,53,53,57,101,45,49,50,32,50,46,50,52,51,49,51,101,45,49,50,10,32,
      32,50,46,48,53,49,48,56,101,45,49,50,32,49,46,54,52,55,53,55,101,45,49,50,32,
      49,46,49,57,49,53,51,101,45,49,50,32,56,46,52,56,56,54,56,101,45,49,51,32,53,
      46,52,48,48,52,52,101,45,49,51,32,51,46,51,52,49,48,57,101,45,49,51,32,49,46,
      56,49,56,51,101,45,49,51,10,32,32,49,46,48,54,57,55,54,101,45,49,51,32,52,46,
      52,48,54,56,50,101,45,49,52,32,49,46,56,50,50,50,51,101,45,49,52,32,57,46,54,
      48,55,53,101,45,49,53,32,52,46,54,50,53,50,56,101,45,49,53,32,49,46,55,48,54,
      48,50,101,45,49,53,32,54,46,57,57,55,54,52,101,45,49,54,10,32,32,50,46,56,50,
      55,55,49,101,45,49,54,32,57,46,56,56,48,51,55,101,45,49,55,32,51,46,52,48,49,
      52,56,101,45,49,55,32,49,46,51,50,51,56,50,101,45,49,55,32,53,46,49,48,55,48,
      55,101,45,49,56,32,49,46,57,53,52,56,51,101,45,49,56,32,54,46,51,56,56,53,56,
      101,45,49,57,10,32,32,49,46,56,50,49,50,51,101,45,49,57,32,52,46,52,54,56,55,
      55,101,45,50,48,32,49,46,50,53,49,52,53,101,45,50,48,32,51,46,48,48,52,48,54,
      101,45,50,49,32,56,46,50,57,54,51,52,101,45,50,50,32,50,46,50,55,56,55,55,101,
      45,50,50,32,53,46,51,56,56,54,51,101,45,50,51,10,32,32,49,46,49,52,50,51,53,
      101,45,50,51,32,51,46,52,51,52,49,101,45,50,52,32,56,46,53,49,54,56,53,101,
      45,50,53,32,50,46,52,57,51,51,50,101,45,50,53,32,54,46,54,56,55,57,49,101,45,
      50,54,32,49,46,55,56,56,56,101,45,50,54,32,51,46,48,57,56,50,56,101,45,50,55,
      10,32,32,56,46,50,54,52,57,53,101,45,50,56,32,50,46,49,51,56,56,50,101,45,50,
      56,32,53,46,51,51,50,54,49,101,45,50,57,32,53,46,48,48,48,54,101,45,51,48,32,
      48,114,50,53,53,32,50,46,50,50,50,50,56,101,45,51,48,32,52,46,53,51,55,53,54,
      101,45,51,48,32,49,46,53,48,50,52,101,45,50,57,10,32,32,52,46,54,49,50,57,101,
      45,50,57,32,49,46,49,52,52,48,54,101,45,50,56,32,50,46,49,52,50,57,55,101,45,
      50,56,32,51,46,49,51,55,50,54,101,45,50,56,32,51,46,57,56,54,50,56,101,45,50,
      56,32,52,46,56,51,55,48,54,101,45,50,56,32,49,46,49,48,49,52,56,101,45,50,55,
      10,32,32,55,46,53,48,48,52,54,101,45,50,55,32,49,46,54,51,57,53,52,101,45,50,
      53,32,50,46,50,50,52,56,53,101,45,50,53,32,51,46,51,52,52,48,56,101,45,50,53,
      32,53,46,50,49,52,51,57,101,45,50,53,32,57,46,56,53,49,56,56,101,45,50,53,32,
      49,46,57,50,50,56,57,101,45,50,52,10,32,32,51,46,56,53,52,56,56,101,45,50,49,
      32,57,46,48,53,53,55,49,101,45,50,49,32,49,46,54,53,57,57,56,101,45,50,48,32,
      50,46,56,52,51,50,55,101,45,50,48,32,52,46,55,53,51,50,51,101,45,50,48,32,54,
      46,56,52,52,48,50,101,45,50,48,32,56,46,57,57,48,50,54,101,45,50,48,10,32,32,
      49,46,48,56,57,52,50,101,45,49,57,32,49,46,51,51,54,57,51,101,45,49,57,32,49,
      46,55,55,48,56,53,101,45,49,57,32,50,46,54,49,56,52,52,101,45,49,57,32,52,46,
      50,48,57,49,54,101,45,49,57,32,55,46,48,49,55,51,52,101,45,49,57,32,49,46,49,
      56,57,51,49,101,45,49,56,10,32,32,51,46,55,55,56,54,54,101,45,49,56,32,49,46,
      55,50,54,52,50,101,45,49,55,32,50,46,51,56,49,51,49,101,45,49,55,32,51,46,50,
      50,52,48,54,101,45,49,55,32,52,46,51,57,48,48,54,101,45,49,55,32,53,46,54,55,
      56,54,51,101,45,49,55,32,56,46,49,53,49,48,51,101,45,49,55,10,32,32,49,46,51,
      49,57,56,56,101,45,49,54,32,50,46,50,49,52,55,57,101,45,49,54,32,51,46,56,51,
      48,53,49,101,45,49,54,32,54,46,54,51,54,52,53,101,45,49,54,32,49,46,48,56,50,
      52,101,45,49,53,32,49,46,54,56,53,48,53,101,45,49,53,32,50,46,53,48,48,51,51,
      101,45,49,53,10,32,32,51,46,52,57,51,57,55,101,45,49,53,32,52,46,52,50,57,56,
      51,101,45,49,53,32,53,46,55,51,55,56,53,101,45,49,53,32,55,46,50,57,51,52,101,
      45,49,53,32,57,46,55,48,52,57,51,101,45,49,53,32,49,46,52,55,52,56,101,45,49,
      52,32,50,46,50,50,48,49,54,101,45,49,52,10,32,32,51,46,49,57,48,53,52,101,45,
      49,52,32,52,46,50,48,52,51,54,101,45,49,52,32,53,46,57,55,56,54,53,101,45,49,
      52,32,56,46,51,52,51,50,56,101,45,49,52,32,49,46,49,53,52,50,54,101,45,49,51,
      32,49,46,53,49,50,52,55,101,45,49,51,32,49,46,56,57,53,55,49,101,45,49,51,10,
      32,32,50,46,50,55,50,55,55,101,45,49,51,32,50,46,55,50,54,50,54,101,45,49,51,
      32,51,46,50,54,49,57,51,101,45,49,51,32,51,46,55,56,54,48,56,101,45,49,51,32,
      53,46,49,55,51,57,50,101,45,49,51,32,54,46,57,54,51,54,56,101,45,49,51,32,56,
      46,56,50,52,50,51,101,45,49,51,10,32,32,49,46,48,55,53,52,51,101,45,49,50,32,
      49,46,50,48,48,54,57,101,45,49,50,32,49,46,52,49,52,52,49,101,45,49,50,32,49,
      46,54,51,48,57,57,101,45,49,50,32,49,46,56,52,52,51,50,101,45,49,50,32,50,46,
      48,52,56,55,57,101,45,49,50,32,50,46,50,55,50,54,53,101,45,49,50,10,32,32,50,
      46,52,51,49,54,50,101,45,49,50,32,50,46,53,56,52,50,56,101,45,49,50,32,50,46,
      56,49,56,52,56,101,45,49,50,32,50,46,57,52,57,52,53,101,45,49,50,32,51,46,49,
      51,51,48,55,101,45,49,50,32,51,46,50,57,51,55,57,101,45,49,50,32,51,46,51,55,
      50,50,55,101,45,49,50,10,32,32,51,46,52,51,54,57,49,101,45,49,50,32,51,46,53,
      48,57,55,52,101,45,49,50,32,51,46,53,52,56,48,51,101,45,49,50,32,51,46,53,53,
      48,51,55,101,45,49,50,32,51,46,53,50,53,51,49,101,45,49,50,32,51,46,52,57,50,
      48,56,101,45,49,50,32,51,46,52,55,51,52,101,45,49,50,10,32,32,51,46,51,52,48,
      50,54,101,45,49,50,32,51,46,50,48,52,52,54,101,45,49,50,32,51,46,49,51,54,52,
      54,101,45,49,50,32,50,46,57,57,52,55,54,101,45,49,50,32,50,46,56,50,52,56,52,
      101,45,49,50,32,50,46,54,55,53,53,55,101,45,49,50,32,50,46,53,50,49,56,52,101,
      45,49,50,10,32,32,50,46,51,55,53,56,52,101,45,49,50,32,50,46,50,51,49,54,55,
      101,45,49,50,32,50,46,48,55,51,48,53,101,45,49,50,32,49,46,57,51,52,53,49,101,
      45,49,50,32,49,46,55,56,53,53,55,101,45,49,50,32,49,46,54,55,57,49,52,101,45,
      49,50,32,49,46,53,49,50,51,52,101,45,49,50,10,32,32,49,46,52,49,52,54,57,101,
      45,49,50,32,49,46,50,57,56,54,49,101,45,49,50,32,49,46,48,53,50,51,56,101,45,
      49,50,32,55,46,54,57,57,56,50,101,45,49,51,32,53,46,53,52,52,56,57,101,45,49,
      51,32,51,46,53,55,50,54,54,101,45,49,51,32,50,46,50,51,54,54,56,101,45,49,51,
      10,32,32,49,46,50,51,51,52,53,101,45,49,51,32,55,46,51,51,49,49,57,101,45,49,
      52,32,51,46,48,54,53,54,52,101,45,49,52,32,49,46,50,56,52,49,101,45,49,52,32,
      54,46,56,50,54,57,50,101,45,49,53,32,51,46,51,49,53,50,49,101,45,49,53,32,49,
      46,50,51,53,56,50,101,45,49,53,10,32,32,53,46,49,49,50,49,52,101,45,49,54,32,
      50,46,48,56,49,57,57,101,45,49,54,32,55,46,51,51,52,54,55,101,45,49,55,32,50,
      46,53,52,52,49,101,45,49,55,32,57,46,57,54,49,54,53,101,45,49,56,32,51,46,56,
      54,52,56,53,101,45,49,56,32,49,46,52,56,55,49,56,101,45,49,56,10,32,32,52,46,
      56,57,48,54,51,101,45,49,57,32,49,46,52,48,50,52,49,101,45,49,57,32,51,46,52,
      54,49,55,57,101,45,50,48,32,57,46,55,52,50,56,55,101,45,50,49,32,50,46,51,53,
      48,56,49,101,45,50,49,32,54,46,53,49,57,57,53,101,45,50,50,32,49,46,55,57,55,
      57,54,101,45,50,50,10,32,32,52,46,50,54,57,49,101,45,50,51,32,57,46,48,56,55,
      51,101,45,50,52,32,50,46,55,51,57,57,101,45,50,52,32,54,46,56,49,55,49,50,101,
      45,50,53,32,50,46,48,48,49,48,53,101,45,50,53,32,53,46,51,56,50,49,49,101,45,
      50,54,32,49,46,52,52,51,52,53,101,45,50,54,10,32,32,50,46,53,49,53,55,57,101,
      45,50,55,32,54,46,55,49,57,54,52,101,45,50,56,32,49,46,55,53,55,49,49,101,45,
      50,56,32,52,46,53,52,48,53,56,101,45,50,57,32,53,46,55,53,52,52,49,101,45,51,
      48,32,48,114,50,53,55,32,50,46,57,50,54,57,53,101,45,51,48,32,57,46,50,53,54,
      57,55,101,45,51,48,10,32,32,50,46,51,52,52,48,53,101,45,50,57,32,52,46,52,51,
      52,48,53,101,45,50,57,32,54,46,53,53,57,52,55,101,45,50,57,32,56,46,51,57,50,
      49,52,101,45,50,57,32,49,46,48,50,49,54,53,101,45,50,56,32,50,46,51,53,56,48,
      50,101,45,50,56,32,49,46,54,53,49,57,56,101,45,50,55,10,32,32,51,46,55,53,48,
      53,51,101,45,50,54,32,53,46,49,51,49,49,101,45,50,54,32,55,46,55,57,56,57,55,
      101,45,50,54,32,49,46,50,51,49,50,101,45,50,53,32,50,46,51,54,56,52,55,101,
      45,50,53,32,52,46,55,49,51,54,49,101,45,50,53,32,49,46,48,55,50,48,51,101,45,
      50,49,10,32,32,50,46,53,56,48,49,50,101,45,50,49,32,52,46,56,53,57,56,52,101,
      45,50,49,32,56,46,53,50,55,49,56,101,45,50,49,32,49,46,52,53,55,49,56,101,45,
      50,48,32,50,46,49,50,54,49,57,101,45,50,48,32,50,46,56,49,54,50,101,45,50,48,
      32,51,46,52,50,55,57,56,101,45,50,48,10,32,32,52,46,50,50,57,50,49,101,45,50,
      48,32,53,46,54,53,55,57,101,45,50,48,32,56,46,52,57,56,101,45,50,48,32,49,46,
      51,57,51,53,53,101,45,49,57,32,50,46,51,55,52,55,55,101,45,49,57,32,52,46,49,
      49,56,53,53,101,45,49,57,32,49,46,52,51,53,57,55,101,45,49,56,10,32,32,55,46,
      52,54,48,57,51,101,45,49,56,32,49,46,48,52,54,57,53,101,45,49,55,32,49,46,52,
      51,56,55,55,101,45,49,55,32,49,46,57,57,48,55,57,101,45,49,55,32,50,46,54,49,
      48,55,101,45,49,55,32,51,46,56,54,48,54,56,101,45,49,55,32,54,46,52,55,50,52,
      55,101,45,49,55,10,32,32,49,46,49,49,54,55,101,45,49,54,32,49,46,57,55,55,51,
      55,101,45,49,54,32,51,46,53,49,48,56,52,101,45,49,54,32,53,46,56,53,50,56,52,
      101,45,49,54,32,57,46,50,54,51,55,55,101,45,49,54,32,49,46,51,57,50,57,57,101,
      45,49,53,32,49,46,57,54,52,53,57,101,45,49,53,10,32,32,50,46,53,48,53,49,50,
      101,45,49,53,32,51,46,50,54,55,53,51,101,45,49,53,32,52,46,49,56,50,51,101,
      45,49,53,32,53,46,54,49,50,50,50,101,45,49,53,32,56,46,54,51,51,49,56,101,45,
      49,53,32,49,46,51,49,52,56,51,101,45,49,52,32,49,46,57,48,55,57,57,101,45,49,
      52,10,32,32,50,46,53,51,49,54,57,101,45,49,52,32,51,46,54,51,48,48,53,101,45,
      49,52,32,53,46,49,48,51,55,50,101,45,49,52,32,55,46,49,49,48,50,56,101,45,49,
      52,32,57,46,51,54,56,54,51,101,45,49,52,32,49,46,49,55,57,51,51,101,45,49,51,
      32,49,46,52,49,56,52,55,101,45,49,51,10,32,32,49,46,55,48,54,57,56,101,45,49,
      51,32,50,46,48,52,57,51,51,101,45,49,51,32,50,46,51,56,53,57,101,45,49,51,32,
      51,46,50,56,51,53,50,101,45,49,51,32,52,46,52,53,50,54,52,101,45,49,51,32,53,
      46,54,55,57,53,51,101,45,49,51,32,54,46,57,54,48,53,51,101,45,49,51,10,32,32,
      55,46,55,57,48,52,52,101,45,49,51,32,57,46,50,50,52,56,53,101,45,49,51,32,49,
      46,48,54,56,57,52,101,45,49,50,32,49,46,50,49,52,51,101,45,49,50,32,49,46,51,
      53,52,54,56,101,45,49,50,32,49,46,53,48,57,54,50,101,45,49,50,32,49,46,54,50,
      48,53,49,101,45,49,50,10,32,32,49,46,55,50,55,55,53,101,45,49,50,32,49,46,56,
      57,51,57,57,101,45,49,50,32,49,46,57,56,56,48,54,101,45,49,50,32,50,46,49,50,
      49,56,101,45,49,50,32,50,46,50,52,49,53,52,101,45,49,50,32,50,46,51,48,49,53,
      52,101,45,49,50,32,50,46,51,53,50,51,49,101,45,49,50,10,32,32,50,46,52,49,50,
      55,57,101,45,49,50,32,50,46,52,53,48,56,101,45,49,50,32,50,46,52,53,56,56,52,
      101,45,49,50,32,50,46,52,53,49,49,53,101,45,49,50,32,50,46,52,51,52,56,57,101,
      45,49,50,32,50,46,52,51,51,55,101,45,49,50,32,50,46,51,52,55,57,49,101,45,49,
      50,10,32,32,50,46,50,54,50,51,52,101,45,49,50,32,50,46,50,49,56,54,101,45,49,
      50,32,50,46,49,50,54,49,50,101,45,49,50,32,50,46,48,49,51,52,55,101,45,49,50,
      32,49,46,57,49,51,51,101,45,49,50,32,49,46,56,48,57,49,54,101,45,49,50,32,49,
      46,55,48,57,52,56,101,45,49,50,10,32,32,49,46,54,49,48,51,55,101,45,49,50,32,
      49,46,53,48,48,54,49,101,45,49,50,32,49,46,52,48,52,49,57,101,45,49,50,32,49,
      46,50,57,57,57,53,101,45,49,50,32,49,46,50,50,53,49,51,101,45,49,50,32,49,46,
      49,48,55,50,56,101,45,49,50,32,49,46,48,51,55,57,54,101,45,49,50,10,32,32,57,
      46,53,53,50,53,53,101,45,49,51,32,55,46,55,56,54,55,54,101,45,49,51,32,53,46,
      55,52,49,51,50,101,45,49,51,32,52,46,49,54,52,49,57,101,45,49,51,32,50,46,55,
      48,53,56,52,101,45,49,51,32,49,46,55,48,55,52,56,101,45,49,51,32,57,46,52,57,
      57,55,51,101,45,49,52,10,32,32,53,46,54,56,53,49,50,101,45,49,52,32,50,46,52,
      48,49,51,52,101,45,49,52,32,49,46,48,49,52,54,101,45,49,52,32,53,46,52,50,52,
      51,56,101,45,49,53,32,50,46,54,52,57,53,101,45,49,53,32,57,46,57,52,55,51,53,
      101,45,49,54,32,52,46,49,51,56,51,55,101,45,49,54,10,32,32,49,46,54,57,52,50,
      56,101,45,49,54,32,54,46,48,48,49,56,57,101,45,49,55,32,50,46,48,57,50,52,52,
      101,45,49,55,32,56,46,50,50,54,56,56,101,45,49,56,32,51,46,50,48,52,48,52,101,
      45,49,56,32,49,46,50,51,55,51,101,45,49,56,32,52,46,48,56,54,48,53,101,45,49,
      57,10,32,32,49,46,49,55,54,51,53,101,45,49,57,32,50,46,57,49,53,53,51,101,45,
      50,48,32,56,46,50,51,51,48,55,101,45,50,49,32,49,46,57,57,51,52,50,101,45,50,
      49,32,53,46,53,52,52,54,57,101,45,50,50,32,49,46,53,51,51,49,52,101,45,50,50,
      32,51,46,54,53,48,52,53,101,45,50,51,10,32,32,55,46,55,57,50,48,51,101,45,50,
      52,32,50,46,51,53,52,48,55,101,45,50,52,32,53,46,56,54,57,57,57,101,45,50,53,
      32,49,46,55,50,54,49,53,101,45,50,53,32,52,46,54,53,49,51,53,101,45,50,54,32,
      49,46,50,52,57,53,54,101,45,50,54,32,50,46,49,56,54,49,53,101,45,50,55,10,32,
      32,53,46,56,52,55,49,53,101,45,50,56,32,49,46,53,52,49,49,101,45,50,56,32,51,
      46,57,53,54,54,54,101,45,50,57,32,52,46,57,56,54,55,57,101,45,51,48,32,48,114,
      50,53,56,32,57,46,48,55,57,48,51,101,45,51,49,32,50,46,52,50,48,57,55,101,45,
      51,48,32,52,46,57,54,49,55,101,45,51,48,10,32,32,55,46,52,48,50,55,57,101,45,
      51,48,32,57,46,52,57,52,53,54,101,45,51,48,32,49,46,49,53,56,51,49,101,45,50,
      57,32,50,46,55,49,57,54,52,101,45,50,57,32,49,46,57,56,51,54,56,101,45,50,56,
      32,52,46,55,54,54,51,54,101,45,50,55,32,54,46,53,57,52,52,56,101,45,50,55,10,
      32,32,49,46,48,49,55,57,101,45,50,54,32,49,46,54,51,52,53,51,101,45,50,54,32,
      51,46,50,50,51,52,49,101,45,50,54,32,54,46,53,56,57,54,54,101,45,50,54,32,49,
      46,55,55,54,56,56,101,45,50,50,32,52,46,52,49,56,54,49,101,45,50,50,32,56,46,
      54,51,52,48,51,101,45,50,50,10,32,32,49,46,53,54,53,50,52,101,45,50,49,32,50,
      46,55,53,53,55,52,101,45,50,49,32,52,46,48,57,51,57,52,101,45,50,49,32,53,46,
      52,56,51,52,53,101,45,50,49,32,54,46,55,49,52,53,55,101,45,50,49,32,56,46,51,
      52,51,49,49,101,45,50,49,32,49,46,49,51,49,51,50,101,45,50,48,10,32,32,49,46,
      55,51,53,56,53,101,45,50,48,32,50,46,57,50,53,48,50,101,45,50,48,32,53,46,49,
      51,54,49,57,101,45,50,48,32,57,46,49,57,50,57,51,101,45,50,48,32,51,46,54,54,
      52,54,52,101,45,49,57,32,50,46,50,56,52,53,54,101,45,49,56,32,51,46,50,55,49,
      57,49,101,45,49,56,10,32,32,52,46,53,55,57,52,55,101,45,49,56,32,54,46,52,54,
      53,53,51,101,45,49,56,32,56,46,54,50,56,56,52,101,45,49,56,32,49,46,51,57,52,
      48,53,101,45,49,55,32,50,46,53,51,53,57,52,101,45,49,55,32,52,46,53,53,53,51,
      50,101,45,49,55,32,56,46,49,53,57,57,55,101,45,49,55,10,32,32,49,46,52,56,50,
      52,52,101,45,49,54,32,50,46,53,51,54,56,50,101,45,49,54,32,52,46,48,55,54,50,
      57,101,45,49,54,32,54,46,50,49,49,51,54,101,45,49,54,32,56,46,56,52,54,52,54,
      101,45,49,54,32,49,46,49,51,53,50,50,101,45,49,53,32,49,46,52,57,50,57,50,101,
      45,49,53,10,32,32,49,46,57,50,54,56,57,101,45,49,53,32,50,46,54,49,51,49,57,
      101,45,49,53,32,52,46,48,56,52,54,51,101,45,49,53,32,54,46,51,49,56,56,49,101,
      45,49,53,32,57,46,50,57,51,56,56,101,45,49,53,32,49,46,50,52,53,51,50,101,45,
      49,52,32,49,46,56,48,55,48,53,101,45,49,52,10,32,32,50,46,53,54,56,52,50,101,
      45,49,52,32,51,46,54,49,52,57,55,101,45,49,52,32,52,46,56,48,49,56,56,101,45,
      49,52,32,54,46,48,56,50,55,55,101,45,49,52,32,55,46,51,53,48,52,54,101,45,49,
      52,32,56,46,56,56,54,49,57,101,45,49,52,32,49,46,48,55,49,57,56,101,45,49,51,
      10,32,32,49,46,50,53,51,51,57,101,45,49,51,32,49,46,55,52,49,56,101,45,49,51,
      32,50,46,51,56,54,50,56,101,45,49,51,32,51,46,48,55,48,57,55,101,45,49,51,32,
      51,46,55,57,50,49,49,101,45,49,51,32,52,46,50,53,56,52,54,101,45,49,51,32,53,
      46,48,55,56,50,49,101,45,49,51,10,32,32,53,46,57,50,51,56,101,45,49,51,32,54,
      46,55,55,49,53,50,101,45,49,51,32,55,46,53,57,56,51,55,101,45,49,51,32,56,46,
      53,50,48,57,101,45,49,51,32,57,46,49,56,56,48,57,101,45,49,51,32,57,46,56,51,
      57,51,56,101,45,49,51,32,49,46,48,56,54,50,54,101,45,49,50,10,32,32,49,46,49,
      52,53,48,53,101,45,49,50,32,49,46,50,51,48,48,56,101,45,49,50,32,49,46,51,48,
      56,50,54,101,45,49,50,32,49,46,51,52,56,54,49,101,45,49,50,32,49,46,51,56,51,
      55,56,101,45,49,50,32,49,46,52,50,56,48,53,101,45,49,50,32,49,46,52,54,48,49,
      54,101,45,49,50,10,32,32,49,46,52,55,48,50,53,101,45,49,50,32,49,46,52,55,51,
      51,50,101,45,49,50,32,49,46,52,54,57,51,53,101,45,49,50,32,49,46,52,55,57,48,
      57,101,45,49,50,32,49,46,52,51,51,48,52,101,45,49,50,32,49,46,51,56,57,49,53,
      101,45,49,50,32,49,46,51,54,53,57,50,101,45,49,50,10,32,32,49,46,51,49,53,54,
      51,101,45,49,50,32,49,46,50,53,50,56,101,45,49,50,32,49,46,49,57,53,56,53,101,
      45,49,50,32,49,46,49,51,53,56,101,45,49,50,32,49,46,48,55,55,54,51,101,45,49,
      50,32,49,46,48,49,57,50,101,45,49,50,32,57,46,53,51,56,56,101,45,49,51,10,32,
      32,56,46,57,53,57,57,51,101,45,49,51,32,56,46,51,50,57,50,53,101,45,49,51,32,
      55,46,56,55,51,52,53,101,45,49,51,32,55,46,49,53,48,52,57,101,45,49,51,32,54,
      46,55,50,50,52,50,101,45,49,51,32,54,46,50,48,56,57,50,101,45,49,51,32,53,46,
      49,48,50,53,51,101,45,49,51,10,32,32,51,46,56,48,50,56,53,101,45,49,51,32,50,
      46,55,56,53,56,55,101,45,49,51,32,49,46,56,51,49,54,57,101,45,49,51,32,49,46,
      49,54,56,55,50,101,45,49,51,32,54,46,53,56,51,49,55,101,45,49,52,32,51,46,57,
      55,55,54,52,101,45,49,52,32,49,46,55,48,51,57,52,101,45,49,52,10,32,32,55,46,
      50,56,55,50,54,101,45,49,53,32,51,46,57,50,54,56,51,101,45,49,53,32,49,46,57,
      51,51,56,51,101,45,49,53,32,55,46,51,51,51,54,53,101,45,49,54,32,51,46,48,55,
      53,54,52,101,45,49,54,32,49,46,50,54,56,53,55,101,45,49,54,32,52,46,53,50,57,
      48,53,101,45,49,55,10,32,32,49,46,53,57,48,51,49,101,45,49,55,32,54,46,50,56,
      56,57,51,101,45,49,56,32,50,46,52,54,50,53,51,101,45,49,56,32,57,46,53,53,55,
      54,49,101,45,49,57,32,51,46,49,55,52,57,54,101,45,49,57,32,57,46,49,57,49,56,
      57,101,45,50,48,32,50,46,50,57,49,50,55,101,45,50,48,10,32,32,54,46,53,48,49,
      48,49,101,45,50,49,32,49,46,53,56,49,55,57,101,45,50,49,32,52,46,52,49,55,55,
      49,101,45,50,50,32,49,46,50,50,54,49,57,101,45,50,50,32,50,46,57,51,49,49,101,
      45,50,51,32,54,46,50,56,49,49,55,101,45,50,52,32,49,46,57,48,51,48,50,101,45,
      50,52,10,32,32,52,46,55,53,57,57,55,101,45,50,53,32,49,46,52,48,51,51,51,101,
      45,50,53,32,51,46,55,57,49,50,53,101,45,50,54,32,49,46,48,50,49,48,54,101,45,
      50,54,32,49,46,55,57,54,48,54,101,45,50,55,32,52,46,56,50,49,48,51,101,45,50,
      56,32,49,46,50,56,54,53,51,101,45,50,56,10,32,32,51,46,51,51,57,51,56,101,45,
      50,57,32,52,46,57,49,54,55,54,101,45,51,48,32,55,46,50,56,55,56,53,101,45,51,
      49,32,48,114,50,53,57,32,53,46,51,49,48,53,52,101,45,51,49,32,55,46,57,48,51,
      49,54,101,45,51,49,32,57,46,57,48,51,49,53,101,45,51,49,32,49,46,51,51,53,56,
      53,101,45,51,48,10,32,32,51,46,49,56,55,54,55,101,45,51,48,32,50,46,52,48,57,
      48,52,101,45,50,57,32,54,46,48,55,54,52,50,101,45,50,56,32,56,46,53,48,48,50,
      50,101,45,50,56,32,49,46,51,51,49,57,57,101,45,50,55,32,50,46,49,55,52,56,57,
      101,45,50,55,32,52,46,51,57,52,57,54,101,45,50,55,10,32,32,57,46,50,50,53,57,
      101,45,50,55,32,50,46,57,49,49,55,50,101,45,50,51,32,55,46,52,56,50,51,49,101,
      45,50,51,32,49,46,53,49,54,53,54,101,45,50,50,32,50,46,56,51,57,57,101,45,50,
      50,32,53,46,49,52,57,52,51,101,45,50,50,32,55,46,55,56,54,57,52,101,45,50,50,
      10,32,32,49,46,48,53,52,52,49,101,45,50,49,32,49,46,50,57,56,53,53,101,45,50,
      49,32,49,46,54,50,52,54,52,101,45,50,49,32,50,46,50,51,50,50,55,101,45,50,49,
      32,51,46,52,57,55,54,53,101,45,50,49,32,54,46,48,53,51,50,50,101,45,50,49,32,
      49,46,48,57,52,54,51,101,45,50,48,10,32,32,50,46,48,50,48,55,51,101,45,50,48,
      32,57,46,48,53,50,53,55,101,45,50,48,32,54,46,53,56,49,48,56,101,45,49,57,32,
      57,46,54,52,51,50,54,101,45,49,57,32,49,46,51,55,55,55,101,45,49,56,32,49,46,
      57,56,57,56,55,101,45,49,56,32,50,46,55,48,56,53,101,45,49,56,10,32,32,54,46,
      51,55,51,55,50,101,45,49,56,32,49,46,51,55,49,57,55,101,45,49,55,32,50,46,53,
      52,55,48,51,101,45,49,55,32,52,46,49,53,56,56,56,101,45,49,55,32,55,46,50,50,
      54,49,57,101,45,49,55,32,49,46,50,50,51,56,56,101,45,49,54,32,49,46,57,50,56,
      55,54,101,45,49,54,10,32,32,50,46,57,49,51,101,45,49,54,32,52,46,49,51,55,57,
      54,101,45,49,54,32,53,46,51,48,56,50,54,101,45,49,54,32,54,46,57,57,52,49,56,
      101,45,49,54,32,57,46,48,53,49,55,57,101,45,49,54,32,49,46,50,51,52,49,55,101,
      45,49,53,32,49,46,57,52,57,55,101,45,49,53,10,32,32,51,46,48,53,50,51,50,101,
      45,49,53,32,52,46,53,52,49,53,53,101,45,49,53,32,54,46,49,52,48,53,50,101,45,
      49,53,32,57,46,48,49,51,49,101,45,49,53,32,49,46,50,57,53,101,45,49,52,32,49,
      46,56,52,49,55,56,101,45,49,52,32,50,46,52,54,55,49,49,101,45,49,52,10,32,32,
      51,46,49,52,53,55,50,101,45,49,52,32,51,46,56,49,57,56,54,101,45,49,52,32,52,
      46,54,52,48,48,52,101,45,49,52,32,53,46,54,50,53,53,101,45,49,52,32,54,46,54,
      48,54,53,52,101,45,49,52,32,57,46,50,55,50,53,53,101,45,49,52,32,49,46,50,56,
      51,53,51,101,45,49,51,10,32,32,49,46,54,54,54,53,49,101,45,49,51,32,50,46,48,
      55,51,50,57,101,45,49,51,32,50,46,51,51,53,57,53,101,45,49,51,32,50,46,56,48,
      53,48,54,101,45,49,51,32,51,46,50,57,51,55,56,101,45,49,51,32,51,46,55,56,56,
      53,52,101,45,49,51,32,52,46,50,55,53,55,57,101,45,49,51,10,32,32,52,46,56,50,
      53,101,45,49,51,32,53,46,50,50,54,49,101,45,49,51,32,53,46,54,50,49,48,55,101,
      45,49,51,32,54,46,50,52,57,50,49,101,45,49,51,32,54,46,54,49,53,101,45,49,51,
      32,55,46,49,53,50,49,50,101,45,49,51,32,55,46,54,53,55,52,51,101,45,49,51,32,
      55,46,57,50,52,52,54,101,45,49,51,10,32,32,56,46,49,54,50,53,57,101,45,49,51,
      32,56,46,52,55,52,53,101,45,49,51,32,56,46,55,50,49,53,54,101,45,49,51,32,56,
      46,56,49,51,48,54,101,45,49,51,32,56,46,56,55,54,54,52,101,45,49,51,32,56,46,
      56,56,51,49,57,101,45,49,51,32,57,46,48,48,52,52,54,101,45,49,51,10,32,32,56,
      46,55,54,50,55,49,101,45,49,51,32,56,46,53,52,54,55,55,101,45,49,51,32,56,46,
      52,50,53,56,101,45,49,51,32,56,46,49,53,53,56,52,101,45,49,51,32,55,46,56,48,
      56,50,52,101,45,49,51,32,55,46,52,56,54,51,101,45,49,51,32,55,46,49,52,49,51,
      54,101,45,49,51,10,32,32,54,46,56,48,50,56,55,101,45,49,51,32,54,46,52,53,57,
      49,56,101,45,49,51,32,54,46,48,55,49,48,51,101,45,49,51,32,53,46,55,50,51,57,
      50,101,45,49,51,32,53,46,51,52,50,54,51,101,45,49,51,32,53,46,48,54,53,49,54,
      101,45,49,51,32,52,46,54,50,49,57,51,101,45,49,51,10,32,32,52,46,51,53,55,55,
      101,45,49,51,32,52,46,48,51,57,48,49,101,45,49,51,32,51,46,51,52,53,56,57,101,
      45,49,51,32,50,46,53,50,48,49,101,45,49,51,32,49,46,56,54,52,51,57,101,45,49,
      51,32,49,46,50,52,48,49,56,101,45,49,51,32,56,46,48,48,48,49,101,45,49,52,10,
      32,32,52,46,53,54,49,56,54,101,45,49,52,32,50,46,55,56,50,55,101,45,49,52,32,
      49,46,50,48,56,56,57,101,45,49,52,32,53,46,50,51,51,48,57,101,45,49,53,32,50,
      46,56,52,50,49,53,101,45,49,53,32,49,46,52,49,49,49,55,101,45,49,53,32,53,46,
      52,48,53,54,50,101,45,49,54,10,32,32,50,46,50,56,53,51,57,101,45,49,54,32,57,
      46,52,57,54,55,101,45,49,55,32,51,46,52,49,55,49,53,101,45,49,55,32,49,46,50,
      48,56,53,49,101,45,49,55,32,52,46,56,48,54,57,53,101,45,49,56,32,49,46,56,57,
      50,52,56,101,45,49,56,32,55,46,51,56,50,52,55,101,45,49,57,10,32,32,50,46,52,
      54,54,57,51,101,45,49,57,32,55,46,49,56,50,51,55,101,45,50,48,32,49,46,56,48,
      48,55,101,45,50,48,32,53,46,49,51,51,54,54,101,45,50,49,32,49,46,50,53,53,51,
      49,101,45,50,49,32,51,46,53,50,48,51,53,101,45,50,50,32,57,46,56,48,56,54,51,
      101,45,50,51,10,32,32,50,46,51,53,51,57,52,101,45,50,51,32,53,46,48,54,52,50,
      57,101,45,50,52,32,49,46,53,51,56,55,50,101,45,50,52,32,51,46,56,54,48,55,54,
      101,45,50,53,32,49,46,49,52,49,49,55,101,45,50,53,32,51,46,48,57,49,48,52,101,
      45,50,54,32,56,46,51,52,54,49,55,101,45,50,55,10,32,32,49,46,52,55,55,48,53,
      101,45,50,55,32,51,46,57,55,57,56,54,101,45,50,56,32,49,46,48,54,53,55,101,
      45,50,56,32,50,46,55,53,55,54,57,101,45,50,57,32,52,46,52,56,53,49,53,101,45,
      51,48,32,53,46,57,49,56,57,57,101,45,51,49,32,48,114,50,53,57,32,50,46,54,56,
      50,49,51,101,45,51,49,10,32,32,52,46,48,48,53,54,101,45,51,49,32,53,46,48,50,
      56,48,50,101,45,51,49,32,54,46,55,56,49,50,57,101,45,51,49,32,49,46,54,50,54,
      51,54,101,45,51,48,32,49,46,50,52,50,55,53,101,45,50,57,32,51,46,49,56,50,51,
      54,101,45,50,56,32,52,46,52,54,55,49,53,101,45,50,56,10,32,32,55,46,48,51,51,
      50,54,101,45,50,56,32,49,46,49,53,52,52,50,101,45,50,55,32,50,46,51,53,48,54,
      57,101,45,50,55,32,52,46,57,55,53,52,101,45,50,55,32,49,46,54,52,52,55,55,101,
      45,50,51,32,52,46,50,55,48,48,50,101,45,50,51,32,56,46,55,53,51,55,54,101,45,
      50,51,10,32,32,49,46,54,53,53,56,51,101,45,50,50,32,51,46,48,51,48,48,53,101,
      45,50,50,32,52,46,54,48,55,50,57,101,45,50,50,32,54,46,50,53,57,54,55,101,45,
      50,50,32,55,46,55,50,50,53,101,45,50,50,32,57,46,54,56,50,49,57,101,45,50,50,
      32,49,46,51,51,53,56,101,45,50,49,10,32,32,50,46,49,48,54,54,57,101,45,50,49,
      32,51,46,54,55,54,51,53,101,45,50,49,32,54,46,55,48,57,49,56,101,45,50,49,32,
      49,46,50,53,48,53,49,101,45,50,48,32,53,46,56,48,55,52,53,101,45,50,48,32,52,
      46,52,50,51,57,57,101,45,49,57,32,54,46,53,50,55,48,53,101,45,49,57,10,32,32,
      57,46,51,56,51,50,49,101,45,49,57,32,49,46,51,54,52,55,53,101,45,49,56,32,49,
      46,56,54,56,57,51,101,45,49,56,32,53,46,50,51,48,55,57,101,45,49,56,32,49,46,
      49,54,55,55,50,101,45,49,55,32,50,46,50,48,51,57,52,101,45,49,55,32,51,46,52,
      55,53,56,49,101,45,49,55,10,32,32,53,46,57,48,55,55,52,101,45,49,55,32,57,46,
      57,49,50,48,51,101,45,49,55,32,49,46,53,52,54,48,57,101,45,49,54,32,50,46,51,
      50,49,48,51,101,45,49,54,32,51,46,50,56,55,53,50,101,45,49,54,32,52,46,50,49,
      49,55,57,101,45,49,54,32,53,46,53,52,53,55,101,45,49,54,10,32,32,55,46,49,55,
      52,56,101,45,49,54,32,57,46,55,56,55,50,57,101,45,49,54,32,49,46,53,52,57,50,
      54,101,45,49,53,32,50,46,52,51,50,48,56,101,45,49,53,32,51,46,54,50,57,55,51,
      101,45,49,53,32,52,46,57,50,48,50,52,101,45,49,53,32,55,46,50,52,54,54,50,101,
      45,49,53,10,32,32,49,46,48,52,52,54,55,101,45,49,52,32,49,46,52,57,48,54,54,
      101,45,49,52,32,50,46,48,48,50,49,57,101,45,49,52,32,50,46,53,53,56,51,54,101,
      45,49,52,32,51,46,49,49,49,53,55,101,45,49,52,32,51,46,55,56,53,53,55,101,45,
      49,52,32,52,46,53,57,55,48,51,101,45,49,52,10,32,32,53,46,52,48,54,52,54,101,
      45,49,52,32,55,46,54,49,50,54,50,101,45,49,52,32,49,46,48,53,55,50,53,101,45,
      49,51,32,49,46,51,55,54,53,53,101,45,49,51,32,49,46,55,49,54,53,52,101,45,49,
      51,32,49,46,57,51,53,57,57,101,45,49,51,32,50,46,51,50,57,56,101,45,49,51,10,
      32,32,50,46,55,52,49,50,56,101,45,49,51,32,51,46,49,53,57,48,54,101,45,49,51,
      32,51,46,53,55,49,54,56,101,45,49,51,32,52,46,48,51,56,49,56,101,45,49,51,32,
      52,46,51,55,57,56,55,101,45,49,51,32,52,46,55,49,55,49,57,101,45,49,51,32,53,
      46,50,53,53,53,54,101,45,49,51,10,32,32,53,46,53,55,48,51,101,45,49,51,32,54,
      46,48,51,52,52,53,101,45,49,51,32,54,46,52,55,51,57,52,101,45,49,51,32,54,46,
      55,48,55,55,101,45,49,51,32,54,46,57,49,55,52,49,101,45,49,51,32,55,46,49,57,
      52,57,51,101,45,49,51,32,55,46,52,49,57,51,57,101,45,49,51,10,32,32,55,46,53,
      48,53,51,57,101,45,49,51,32,55,46,53,55,49,54,49,101,45,49,51,32,55,46,53,56,
      52,50,53,101,45,49,51,32,55,46,55,48,51,52,50,101,45,49,51,32,55,46,53,48,55,
      51,55,101,45,49,51,32,55,46,51,51,54,54,55,101,45,49,51,32,55,46,50,51,56,54,
      52,101,45,49,51,10,32,32,55,46,48,49,55,52,49,101,45,49,51,32,54,46,55,50,57,
      53,101,45,49,51,32,54,46,52,54,48,56,51,101,45,49,51,32,54,46,49,55,49,52,52,
      101,45,49,51,32,53,46,56,56,54,50,51,101,45,49,51,32,53,46,53,57,53,53,57,101,
      45,49,51,32,53,46,50,54,54,50,56,101,45,49,51,10,32,32,52,46,57,55,48,57,50,
      101,45,49,51,32,52,46,54,52,53,54,50,101,45,49,51,32,52,46,52,48,56,51,56,101,
      45,49,51,32,52,46,48,50,56,53,51,101,45,49,51,32,51,46,56,48,49,54,101,45,49,
      51,32,51,46,53,50,55,52,51,101,45,49,51,32,50,46,57,50,57,51,55,101,45,49,51,
      10,32,32,50,46,50,49,51,54,54,101,45,49,51,32,49,46,54,52,50,55,49,101,45,49,
      51,32,49,46,48,57,54,55,101,45,49,51,32,55,46,48,57,56,55,57,101,45,49,52,32,
      52,46,48,54,51,53,49,101,45,49,52,32,50,46,52,56,54,49,53,101,45,49,52,32,49,
      46,48,56,52,56,51,101,45,49,52,10,32,32,52,46,55,49,51,57,57,101,45,49,53,32,
      50,46,53,54,54,53,53,101,45,49,53,32,49,46,50,55,55,54,50,101,45,49,53,32,52,
      46,57,48,57,53,53,101,45,49,54,32,50,46,48,56,48,57,53,101,45,49,54,32,56,46,
      54,54,55,52,52,101,45,49,55,32,51,46,49,50,54,52,53,101,45,49,55,10,32,32,49,
      46,49,48,56,50,50,101,45,49,55,32,52,46,52,49,54,50,49,101,45,49,56,32,49,46,
      55,52,49,54,52,101,45,49,56,32,54,46,56,48,52,57,54,101,45,49,57,32,50,46,50,
      55,56,49,56,101,45,49,57,32,54,46,54,52,52,55,101,45,50,48,32,49,46,54,54,56,
      57,51,101,45,50,48,10,32,32,52,46,55,54,53,50,49,101,45,50,49,32,49,46,49,54,
      55,48,53,101,45,50,49,32,51,46,50,55,55,48,54,101,45,50,50,32,57,46,49,52,49,
      56,54,101,45,50,51,32,50,46,49,57,54,54,57,101,45,50,51,32,52,46,55,51,49,57,
      50,101,45,50,52,32,49,46,52,51,57,48,52,101,45,50,52,10,32,32,51,46,54,49,52,
      50,52,101,45,50,53,32,49,46,48,54,57,49,56,101,45,50,53,32,50,46,56,57,56,52,
      50,101,45,50,54,32,55,46,56,51,50,50,49,101,45,50,55,32,49,46,51,56,56,53,53,
      101,45,50,55,32,51,46,55,52,51,57,55,101,45,50,56,32,49,46,48,48,51,49,49,101,
      45,50,56,10,32,32,50,46,53,57,54,51,51,101,45,50,57,32,52,46,53,53,53,51,55,
      101,45,51,48,32,53,46,53,52,51,55,55,101,45,51,49,32,48,114,50,54,48,32,50,
      46,48,48,52,55,101,45,51,49,32,50,46,53,50,48,56,53,101,45,51,49,32,50,46,57,
      53,56,55,51,101,45,51,49,32,56,46,49,57,51,49,52,101,45,51,49,10,32,32,54,46,
      51,50,56,50,57,101,45,51,48,32,49,46,54,52,52,52,55,101,45,50,56,32,50,46,51,
      49,54,52,57,101,45,50,56,32,51,46,54,54,52,55,51,101,45,50,56,32,54,46,48,52,
      55,49,55,101,45,50,56,32,49,46,50,52,48,57,50,101,45,50,55,32,50,46,54,52,56,
      54,50,101,45,50,55,10,32,32,57,46,49,56,57,56,50,101,45,50,52,32,50,46,52,49,
      48,54,53,101,45,50,51,32,52,46,57,57,57,50,56,101,45,50,51,32,57,46,53,53,51,
      53,49,101,45,50,51,32,49,46,55,54,52,53,49,101,45,50,50,32,50,46,54,57,55,57,
      52,101,45,50,50,32,51,46,54,55,56,48,51,101,45,50,50,10,32,32,52,46,53,52,53,
      53,51,101,45,50,50,32,53,46,55,49,49,49,53,101,45,50,50,32,55,46,57,49,50,48,
      53,101,45,50,50,32,49,46,50,53,54,48,54,101,45,50,49,32,50,46,50,49,48,52,51,
      101,45,50,49,32,52,46,48,55,49,52,56,101,45,50,49,32,55,46,54,54,51,48,53,101,
      45,50,49,10,32,32,51,46,54,56,55,57,53,101,45,50,48,32,50,46,57,52,49,53,49,
      101,45,49,57,32,52,46,51,55,48,52,51,101,45,49,57,32,54,46,51,50,51,48,57,101,
      45,49,57,32,57,46,50,54,50,55,56,101,45,49,57,32,49,46,50,55,54,51,57,101,45,
      49,56,32,51,46,57,57,54,53,52,101,45,49,56,10,32,32,57,46,49,52,56,49,54,101,
      45,49,56,32,49,46,55,55,57,54,55,101,45,49,55,32,50,46,55,57,55,52,57,101,45,
      49,55,32,52,46,55,51,55,54,49,101,45,49,55,32,55,46,57,52,49,57,54,101,45,49,
      55,32,49,46,50,51,50,49,101,45,49,54,32,49,46,56,52,50,55,49,101,45,49,54,10,
      32,32,50,46,54,48,52,54,52,101,45,49,54,32,51,46,51,51,51,53,51,101,45,49,54,
      32,52,46,51,56,54,53,50,101,45,49,54,32,53,46,54,55,51,48,53,101,45,49,54,32,
      55,46,55,52,49,50,53,101,45,49,54,32,49,46,50,50,55,52,51,101,45,49,53,32,49,
      46,57,51,49,52,57,101,45,49,53,10,32,32,50,46,56,57,48,54,57,101,45,49,53,32,
      51,46,57,50,55,57,51,101,45,49,53,32,53,46,56,48,52,49,49,101,45,49,53,32,56,
      46,51,57,52,52,52,101,45,49,53,32,49,46,50,48,49,55,51,101,45,49,52,32,49,46,
      54,49,56,52,52,101,45,49,52,32,50,46,48,55,50,51,56,101,45,49,52,10,32,32,50,
      46,53,50,52,52,57,101,45,49,52,32,51,46,48,55,54,49,101,45,49,52,32,51,46,55,
      52,49,53,55,101,45,49,52,32,52,46,52,48,54,54,56,101,45,49,52,32,54,46,50,50,
      52,56,101,45,49,52,32,56,46,54,55,51,54,54,101,45,49,52,32,49,46,49,51,50,52,
      56,101,45,49,51,10,32,32,49,46,52,49,53,53,49,101,45,49,51,32,49,46,53,57,56,
      49,51,101,45,49,51,32,49,46,57,50,55,52,50,101,45,49,51,32,50,46,50,55,50,53,
      52,101,45,49,51,32,50,46,54,50,51,57,55,101,45,49,51,32,50,46,57,55,50,48,56,
      101,45,49,51,32,51,46,51,54,54,56,56,101,45,49,51,10,32,32,51,46,54,53,54,57,
      101,45,49,51,32,51,46,57,52,51,57,55,101,45,49,51,32,52,46,52,48,51,56,101,
      45,49,51,32,52,46,54,55,51,55,101,45,49,51,32,53,46,48,55,51,52,52,101,45,49,
      51,32,53,46,52,53,52,51,54,101,45,49,51,32,53,46,54,53,56,50,55,101,45,49,51,
      10,32,32,53,46,56,52,50,50,55,101,45,49,51,32,54,46,48,56,56,49,53,101,45,49,
      51,32,54,46,50,57,48,57,53,101,45,49,51,32,54,46,51,55,49,101,45,49,51,32,54,
      46,52,51,56,48,49,101,45,49,51,32,54,46,52,53,52,55,51,101,45,49,51,32,54,46,
      53,54,56,56,51,101,45,49,51,10,32,32,54,46,52,49,50,49,54,101,45,49,51,32,54,
      46,50,55,57,48,54,101,45,49,51,32,54,46,50,48,48,50,52,101,45,49,51,32,54,46,
      48,50,48,49,54,101,45,49,51,32,53,46,55,56,50,57,56,101,45,49,51,32,53,46,53,
      53,57,56,53,101,45,49,51,32,53,46,51,49,56,49,50,101,45,49,51,10,32,32,53,46,
      48,55,56,55,56,101,45,49,51,32,52,46,56,51,51,57,54,101,45,49,51,32,52,46,53,
      53,53,54,49,101,45,49,51,32,52,46,51,48,53,50,101,45,49,51,32,52,46,48,50,56,
      54,52,101,45,49,51,32,51,46,56,50,54,52,56,101,45,49,51,32,51,46,53,48,50,48,
      50,101,45,49,51,10,32,32,51,46,51,48,55,55,53,101,45,49,51,32,51,46,48,55,50,
      54,101,45,49,51,32,50,46,53,53,56,49,52,101,45,49,51,32,49,46,57,51,57,54,50,
      101,45,49,51,32,49,46,52,52,51,56,53,101,45,49,51,32,57,46,54,55,53,48,51,101,
      45,49,52,32,54,46,50,56,52,51,57,101,45,49,52,10,32,32,51,46,54,49,49,51,57,
      101,45,49,52,32,50,46,50,49,54,50,53,101,45,49,52,32,57,46,55,49,52,49,50,101,
      45,49,53,32,52,46,50,51,55,54,50,101,45,49,53,32,50,46,51,49,51,48,54,101,45,
      49,53,32,49,46,49,53,52,52,56,101,45,49,53,32,52,46,52,53,48,55,53,101,45,49,
      54,10,32,32,49,46,56,57,49,51,56,101,45,49,54,32,55,46,56,57,54,56,53,101,45,
      49,55,32,50,46,56,53,53,54,57,101,45,49,55,32,49,46,48,49,52,53,57,101,45,49,
      55,32,52,46,48,53,48,54,54,101,45,49,56,32,49,46,54,48,48,50,54,101,45,49,56,
      32,54,46,50,54,50,56,101,45,49,57,10,32,32,50,46,49,48,48,54,56,101,45,49,57,
      32,54,46,49,51,56,49,57,101,45,50,48,32,49,46,53,52,52,54,101,45,50,48,32,52,
      46,52,49,55,48,51,101,45,50,49,32,49,46,48,56,51,53,49,101,45,50,49,32,51,46,
      48,52,54,53,52,101,45,50,50,32,56,46,53,48,57,50,57,101,45,50,51,10,32,32,50,
      46,48,52,55,51,101,45,50,51,32,52,46,52,49,53,55,53,101,45,50,52,32,49,46,51,
      52,52,49,51,101,45,50,52,32,51,46,51,55,57,50,56,101,45,50,53,32,49,46,48,48,
      48,53,49,101,45,50,53,32,50,46,55,49,52,53,56,101,45,50,54,32,55,46,51,52,49,
      50,51,101,45,50,55,10,32,32,49,46,51,48,52,52,52,101,45,50,55,32,51,46,53,49,
      56,48,57,101,45,50,56,32,57,46,52,51,49,53,50,101,45,50,57,32,50,46,52,52,49,
      54,57,101,45,50,57,32,52,46,50,56,52,53,50,101,45,51,48,32,53,46,49,56,53,57,
      101,45,51,49,32,48,114,50,54,53,32,53,46,53,50,54,57,55,101,45,51,48,10,32,
      32,50,46,57,51,53,48,51,101,45,50,57,32,52,46,55,50,56,56,49,101,45,50,57,32,
      55,46,57,52,51,48,54,101,45,50,57,32,49,46,54,54,57,56,55,101,45,50,56,32,51,
      46,54,53,56,54,53,101,45,50,56,32,49,46,52,54,53,55,53,101,45,50,52,32,51,46,
      57,55,48,50,56,101,45,50,52,10,32,32,56,46,53,51,50,56,53,101,45,50,52,32,49,
      46,54,56,51,48,51,101,45,50,51,32,51,46,49,57,57,50,56,101,45,50,51,32,52,46,
      57,55,54,57,56,101,45,50,51,32,54,46,56,53,54,53,56,101,45,50,51,32,56,46,53,
      49,57,51,101,45,50,51,32,49,46,48,55,55,52,49,101,45,50,50,10,32,32,49,46,53,
      49,49,56,52,101,45,50,50,32,50,46,52,52,57,55,51,101,45,50,50,32,52,46,52,50,
      53,48,57,101,45,50,50,32,56,46,51,56,56,54,52,101,45,50,50,32,49,46,54,50,55,
      51,57,101,45,50,49,32,56,46,55,49,53,55,50,101,45,50,49,32,55,46,57,54,51,55,
      55,101,45,50,48,10,32,32,49,46,50,49,48,48,52,101,45,49,57,32,49,46,55,56,54,
      55,50,101,45,49,57,32,50,46,54,55,56,50,54,101,45,49,57,32,51,46,55,54,52,56,
      55,101,45,49,57,32,49,46,53,54,52,52,56,101,45,49,56,32,51,46,55,55,55,50,57,
      101,45,49,56,32,56,46,48,53,57,50,54,101,45,49,56,10,32,32,49,46,51,48,50,52,
      51,101,45,49,55,32,50,46,50,54,50,51,101,45,49,55,32,51,46,56,55,54,56,53,101,
      45,49,55,32,54,46,48,48,55,52,57,101,45,49,55,32,56,46,57,53,56,56,55,101,45,
      49,55,32,49,46,50,54,51,50,101,45,49,54,32,49,46,54,49,52,50,55,101,45,49,54,
      10,32,32,50,46,49,50,49,52,56,101,45,49,54,32,50,46,55,52,49,52,51,101,45,49,
      54,32,51,46,55,52,50,57,56,101,45,49,54,32,53,46,57,53,54,50,54,101,45,49,54,
      32,57,46,52,50,51,56,54,101,45,49,54,32,49,46,52,50,48,50,57,101,45,49,53,32,
      49,46,57,52,50,53,52,101,45,49,53,10,32,32,50,46,56,57,55,48,51,101,45,49,53,
      32,52,46,50,51,48,50,56,101,45,49,53,32,54,46,49,49,54,48,55,101,45,49,53,32,
      56,46,51,48,53,54,51,101,45,49,53,32,49,46,48,55,48,54,50,101,45,49,52,32,49,
      46,51,49,48,55,52,101,45,49,52,32,49,46,54,48,53,49,50,101,45,49,52,10,32,32,
      49,46,57,54,50,53,55,101,45,49,52,32,50,46,51,50,50,49,101,45,49,52,32,51,46,
      51,49,52,101,45,49,52,32,52,46,54,54,54,52,101,45,49,52,32,54,46,49,52,54,55,
      53,101,45,49,52,32,55,46,55,51,57,54,101,45,49,52,32,56,46,55,54,54,50,56,101,
      45,49,52,32,49,46,48,54,52,52,51,101,45,49,51,10,32,32,49,46,50,54,51,48,53,
      101,45,49,51,32,49,46,52,54,55,49,101,45,49,51,32,49,46,54,55,48,57,57,101,
      45,49,51,32,49,46,57,48,52,52,49,101,45,49,51,32,50,46,48,55,55,51,57,101,45,
      49,51,32,50,46,50,52,57,57,53,101,45,49,51,32,50,46,53,50,57,51,55,101,45,49,
      51,10,32,32,50,46,54,57,53,51,50,101,45,49,51,32,50,46,57,52,52,50,50,101,45,
      49,51,32,51,46,49,56,53,55,55,101,45,49,51,32,51,46,51,49,55,52,53,101,45,49,
      51,32,51,46,52,51,56,50,49,101,45,49,51,32,51,46,54,48,51,57,51,101,45,49,51,
      32,51,46,55,52,55,54,50,101,45,49,51,10,32,32,51,46,56,48,56,52,53,101,45,49,
      51,32,51,46,56,54,57,49,53,101,45,49,51,32,51,46,56,56,57,56,101,45,49,51,32,
      51,46,57,55,57,49,57,101,45,49,51,32,51,46,57,48,53,57,57,101,45,49,51,32,51,
      46,56,52,57,51,55,101,45,49,51,32,51,46,56,49,48,55,55,101,45,49,51,10,32,32,
      51,46,55,49,56,48,57,101,45,49,51,32,51,46,53,57,48,53,49,101,45,49,51,32,51,
      46,52,54,54,57,54,101,45,49,51,32,51,46,51,51,48,52,50,101,45,49,51,32,51,46,
      49,57,51,49,101,45,49,51,32,51,46,48,53,48,56,54,101,45,49,51,32,50,46,56,56,
      55,50,54,101,45,49,51,10,32,32,50,46,55,51,56,53,57,101,45,49,51,32,50,46,53,
      55,50,57,51,101,45,49,51,32,50,46,52,53,48,57,51,101,45,49,51,32,50,46,50,53,
      51,54,50,101,45,49,51,32,50,46,49,51,52,54,50,101,45,49,51,32,49,46,57,56,57,
      55,55,101,45,49,51,32,49,46,54,54,57,55,52,101,45,49,51,10,32,32,49,46,50,55,
      57,51,51,101,45,49,51,32,57,46,54,49,54,54,101,45,49,52,32,54,46,53,49,56,57,
      57,101,45,49,52,32,52,46,50,56,48,56,54,101,45,49,52,32,50,46,52,57,48,51,57,
      101,45,49,52,32,49,46,53,52,51,101,45,49,52,32,54,46,56,53,57,51,52,101,45,
      49,53,10,32,32,51,46,48,50,57,48,57,101,45,49,53,32,49,46,54,54,54,54,49,101,
      45,49,53,32,56,46,51,56,55,54,57,101,45,49,54,32,51,46,50,54,54,55,55,101,45,
      49,54,32,49,46,51,57,57,54,52,101,45,49,54,32,53,46,56,56,56,48,56,101,45,49,
      55,32,50,46,49,52,54,51,49,101,45,49,55,10,32,32,55,46,54,56,49,54,57,101,45,
      49,56,32,51,46,48,56,53,49,51,101,45,49,56,32,49,46,50,50,53,54,101,45,49,56,
      32,52,46,56,50,49,52,49,101,45,49,57,32,49,46,54,50,54,57,51,101,45,49,57,32,
      52,46,55,56,49,51,56,101,45,50,48,32,49,46,50,49,48,50,56,101,45,50,48,10,32,
      32,51,46,52,55,55,57,55,101,45,50,49,32,56,46,53,55,52,57,52,101,45,50,50,32,
      50,46,52,50,49,50,101,45,50,50,32,54,46,55,56,57,51,50,101,45,50,51,32,49,46,
      54,52,48,49,52,101,45,50,51,32,51,46,53,53,49,57,52,101,45,50,52,32,49,46,48,
      56,52,51,55,101,45,50,52,10,32,32,50,46,55,51,52,57,50,101,45,50,53,32,56,46,
      49,49,56,56,49,101,45,50,54,32,50,46,50,48,56,55,49,101,45,50,54,32,53,46,57,
      56,56,50,53,101,45,50,55,32,49,46,48,55,48,51,49,101,45,50,55,32,50,46,56,57,
      50,56,56,101,45,50,56,32,55,46,55,54,57,57,53,101,45,50,57,10,32,32,50,46,48,
      51,54,54,51,101,45,50,57,32,51,46,53,51,51,53,54,101,45,51,48,32,54,46,52,48,
      51,54,50,101,45,51,49,32,48,114,50,54,53,32,53,46,55,50,55,52,51,101,45,51,
      49,32,51,46,48,55,55,54,57,101,45,51,48,32,53,46,48,50,50,52,55,101,45,51,48,
      32,56,46,53,55,54,52,101,45,51,48,10,32,32,49,46,56,53,48,56,101,45,50,57,32,
      52,46,49,57,48,48,51,101,45,50,57,32,49,46,57,52,55,48,49,101,45,50,53,32,53,
      46,52,54,50,50,52,101,45,50,53,32,49,46,50,50,48,52,52,101,45,50,52,32,50,46,
      52,57,49,51,56,101,45,50,52,32,52,46,56,56,53,56,49,101,45,50,52,10,32,32,55,
      46,55,52,51,54,51,101,45,50,52,32,49,46,48,55,56,57,101,45,50,51,32,49,46,51,
      52,56,49,52,101,45,50,51,32,49,46,55,49,54,56,50,101,45,50,51,32,50,46,52,52,
      50,52,56,101,45,50,51,32,52,46,48,52,54,48,57,101,45,50,51,32,55,46,53,49,55,
      53,52,101,45,50,51,10,32,32,49,46,52,55,48,48,50,101,45,50,50,32,50,46,57,52,
      54,53,49,101,45,50,50,32,49,46,55,54,48,50,53,101,45,50,49,32,49,46,56,52,50,
      53,51,101,45,50,48,32,50,46,56,54,56,48,53,101,45,50,48,32,52,46,51,50,57,56,
      51,101,45,50,48,32,54,46,54,53,54,53,52,101,45,50,48,10,32,32,57,46,53,54,52,
      53,55,101,45,50,48,32,54,46,51,49,55,54,56,101,45,49,57,32,49,46,53,53,54,56,
      54,101,45,49,56,32,51,46,54,51,48,53,101,45,49,56,32,53,46,56,56,50,53,53,101,
      45,49,56,32,49,46,48,51,49,54,52,101,45,49,55,32,49,46,55,57,52,53,53,101,45,
      49,55,10,32,32,50,46,55,56,48,52,51,101,45,49,55,32,52,46,49,51,56,57,49,101,
      45,49,55,32,53,46,56,50,52,56,54,101,45,49,55,32,55,46,52,51,52,52,50,101,45,
      49,55,32,57,46,55,53,54,55,101,45,49,55,32,49,46,50,53,57,51,57,101,45,49,54,
      32,49,46,55,49,57,50,53,101,45,49,54,10,32,32,50,46,55,52,48,57,101,45,49,54,
      32,52,46,51,53,48,50,51,101,45,49,54,32,54,46,53,56,57,53,49,101,45,49,54,32,
      57,46,48,54,48,50,55,101,45,49,54,32,49,46,51,54,50,49,56,101,45,49,53,32,50,
      46,48,48,54,57,54,101,45,49,53,32,50,46,57,51,101,45,49,53,10,32,32,52,46,48,
      49,50,57,56,101,45,49,53,32,53,46,50,48,57,101,45,49,53,32,54,46,52,49,49,51,
      53,101,45,49,53,32,55,46,56,57,51,54,49,101,45,49,53,32,57,46,55,48,54,50,55,
      101,45,49,53,32,49,46,49,53,52,50,51,101,45,49,52,32,49,46,54,54,53,57,52,101,
      45,49,52,10,32,32,50,46,51,55,51,48,54,101,45,49,52,32,51,46,49,53,54,51,51,
      101,45,49,52,32,52,46,48,48,54,50,52,101,45,49,52,32,52,46,53,53,51,54,101,
      45,49,52,32,53,46,53,54,57,57,49,101,45,49,52,32,54,46,54,53,53,48,56,101,45,
      49,52,32,55,46,55,56,48,53,54,101,45,49,52,10,32,32,56,46,57,49,53,54,101,45,
      49,52,32,49,46,48,50,50,55,54,101,45,49,51,32,49,46,49,50,48,56,57,101,45,49,
      51,32,49,46,50,49,57,53,54,101,45,49,51,32,49,46,51,56,49,49,50,101,45,49,51,
      32,49,46,52,55,56,50,51,101,45,49,51,32,49,46,54,50,53,55,50,101,45,49,51,10,
      32,32,49,46,55,55,49,52,51,101,45,49,51,32,49,46,56,53,50,50,53,101,45,49,51,
      32,49,46,57,50,55,53,50,101,45,49,51,32,50,46,48,51,51,50,56,101,45,49,51,32,
      50,46,49,50,56,56,55,101,45,49,51,32,50,46,49,55,49,53,49,101,45,49,51,32,50,
      46,50,49,57,49,57,101,45,49,51,10,32,32,50,46,50,51,56,53,50,101,45,49,51,32,
      50,46,51,48,49,55,53,101,45,49,51,32,50,46,50,55,50,57,56,101,45,49,51,32,50,
      46,50,53,53,51,56,101,45,49,51,32,50,46,50,51,56,57,101,45,49,51,32,50,46,49,
      57,53,56,57,101,45,49,51,32,50,46,49,51,50,54,50,101,45,49,51,10,32,32,50,46,
      48,54,56,56,53,101,45,49,51,32,49,46,57,57,54,53,49,101,45,49,51,32,49,46,57,
      50,50,51,51,101,45,49,51,32,49,46,56,52,52,50,56,101,45,49,51,32,49,46,55,53,
      51,50,55,101,45,49,51,32,49,46,54,54,57,53,56,101,45,49,51,32,49,46,53,55,53,
      51,52,101,45,49,51,10,32,32,49,46,53,48,53,51,52,101,45,49,51,32,49,46,51,57,
      49,49,51,101,45,49,51,32,49,46,51,50,49,54,57,101,45,49,51,32,49,46,50,51,54,
      54,50,101,45,49,51,32,49,46,48,52,54,54,101,45,49,51,32,56,46,49,48,57,56,56,
      101,45,49,52,32,54,46,49,54,48,56,50,101,45,49,52,10,32,32,52,46,50,50,57,48,
      56,101,45,49,52,32,50,46,56,49,48,50,51,101,45,49,52,32,49,46,54,53,54,55,56,
      101,45,49,52,32,49,46,48,51,55,50,52,101,45,49,52,32,52,46,54,56,50,53,55,101,
      45,49,53,32,50,46,48,57,53,54,52,101,45,49,53,32,49,46,49,54,51,49,101,45,49,
      53,10,32,32,53,46,57,48,55,48,54,101,45,49,54,32,50,46,51,50,54,53,101,45,49,
      54,32,49,46,48,48,53,55,56,101,45,49,54,32,52,46,50,54,54,53,49,101,45,49,55,
      32,49,46,53,54,56,57,49,101,45,49,55,32,53,46,54,54,48,53,55,101,45,49,56,32,
      50,46,50,56,56,51,101,45,49,56,10,32,32,57,46,49,52,54,49,49,101,45,49,57,32,
      51,46,54,49,56,53,57,101,45,49,57,32,49,46,50,50,57,49,49,101,45,49,57,32,51,
      46,54,51,53,50,54,101,45,50,48,32,57,46,50,54,49,55,50,101,45,50,49,32,50,46,
      54,55,53,57,53,101,45,50,49,32,54,46,54,51,52,54,56,101,45,50,50,10,32,32,49,
      46,56,56,50,48,57,101,45,50,50,32,53,46,51,48,48,53,53,101,45,50,51,32,49,46,
      50,56,54,50,52,101,45,50,51,32,50,46,55,57,56,48,50,101,45,50,52,32,56,46,53,
      54,57,55,50,101,45,50,53,32,50,46,49,54,57,48,53,101,45,50,53,32,54,46,52,53,
      55,56,53,101,45,50,54,10,32,32,49,46,55,54,50,48,53,101,45,50,54,32,52,46,55,
      57,48,54,101,45,50,55,32,56,46,54,50,48,57,54,101,45,50,56,32,50,46,51,51,52,
      57,52,101,45,50,56,32,54,46,50,57,55,54,52,101,45,50,57,32,49,46,54,56,55,52,
      52,101,45,50,57,32,50,46,57,55,55,56,55,101,45,51,48,10,32,32,54,46,50,57,48,
      57,49,101,45,51,49,32,48,114,50,54,53,32,49,46,56,53,49,49,55,101,45,51,49,
      32,49,46,48,48,48,53,54,101,45,51,48,32,49,46,54,52,53,57,49,101,45,51,48,32,
      50,46,56,51,53,52,54,101,45,51,48,32,54,46,49,57,53,57,56,101,45,51,48,32,49,
      46,52,49,57,52,49,101,45,50,57,10,32,32,55,46,49,48,50,55,50,101,45,50,54,32,
      50,46,48,50,55,52,56,101,45,50,53,32,52,46,54,49,55,53,56,101,45,50,53,32,57,
      46,53,56,55,49,49,101,45,50,53,32,49,46,57,48,57,49,55,101,45,50,52,32,51,46,
      48,53,51,55,53,101,45,50,52,32,52,46,50,55,56,50,52,101,45,50,52,10,32,32,53,
      46,51,54,48,53,51,101,45,50,52,32,54,46,56,52,57,52,57,101,45,50,52,32,57,46,
      56,49,48,53,57,101,45,50,52,32,49,46,54,52,50,57,50,101,45,50,51,32,51,46,48,
      57,53,49,49,101,45,50,51,32,54,46,49,52,53,52,57,101,45,50,51,32,49,46,50,53,
      49,55,54,101,45,50,50,10,32,32,55,46,56,55,56,48,54,101,45,50,50,32,56,46,55,
      57,48,51,51,101,45,50,49,32,49,46,51,56,52,53,55,101,45,50,48,32,50,46,49,49,
      51,50,52,101,45,50,48,32,51,46,50,56,57,57,51,101,45,50,48,32,52,46,55,55,56,
      57,56,101,45,50,48,32,51,46,56,48,57,54,52,101,45,49,57,10,32,32,57,46,52,52,
      55,52,55,101,45,49,57,32,50,46,51,48,49,56,57,101,45,49,56,32,51,46,55,57,51,
      57,51,101,45,49,56,32,54,46,55,55,48,57,53,101,45,49,56,32,49,46,49,57,54,54,
      50,101,45,49,55,32,49,46,56,55,48,53,101,45,49,55,32,50,46,55,57,56,49,56,101,
      45,49,55,10,32,32,51,46,57,52,55,51,52,101,45,49,55,32,53,46,48,52,52,48,55,
      101,45,49,55,32,54,46,54,50,54,49,57,101,45,49,55,32,56,46,53,54,49,49,49,101,
      45,49,55,32,49,46,49,55,48,49,53,101,45,49,54,32,49,46,56,54,56,56,56,101,45,
      49,54,32,50,46,57,55,49,50,55,101,45,49,54,10,32,32,52,46,53,49,48,53,54,101,
      45,49,54,32,54,46,50,49,53,53,55,101,45,49,54,32,57,46,51,55,55,48,53,101,45,
      49,54,32,49,46,51,56,54,57,56,101,45,49,53,32,50,46,48,51,51,55,54,101,45,49,
      53,32,50,46,55,57,54,52,57,101,45,49,53,32,51,46,54,52,49,56,57,101,45,49,53,
      10,32,32,52,46,52,57,51,57,51,101,45,49,53,32,53,46,53,52,55,50,57,101,45,49,
      53,32,54,46,56,51,57,57,53,101,45,49,53,32,56,46,49,53,51,56,51,101,45,49,53,
      32,49,46,49,56,51,52,52,101,45,49,52,32,49,46,54,57,53,52,53,101,45,49,52,32,
      50,46,50,54,53,57,54,101,45,49,52,10,32,32,50,46,56,56,55,54,50,101,45,49,52,
      32,51,46,50,56,55,56,56,101,45,49,52,32,52,46,48,51,54,51,57,101,45,49,52,32,
      52,46,56,51,57,51,51,101,45,49,52,32,53,46,54,55,53,57,101,45,49,52,32,54,46,
      53,50,51,51,50,101,45,49,52,32,55,46,53,48,55,53,52,101,45,49,52,10,32,32,56,
      46,50,52,54,56,53,101,45,49,52,32,56,46,57,57,51,49,50,101,45,49,52,32,49,46,
      48,50,50,49,53,101,45,49,51,32,49,46,48,57,54,52,101,45,49,51,32,49,46,50,48,
      57,56,51,101,45,49,51,32,49,46,51,50,50,56,50,101,45,49,51,32,49,46,51,56,53,
      57,56,101,45,49,51,10,32,32,49,46,52,52,53,50,101,45,49,51,32,49,46,53,50,57,
      50,53,101,45,49,51,32,49,46,54,48,54,53,52,101,45,49,51,32,49,46,54,52,49,55,
      52,101,45,49,51,32,49,46,54,56,50,55,49,101,45,49,51,32,49,46,55,48,48,55,54,
      101,45,49,51,32,49,46,55,53,51,48,55,101,45,49,51,10,32,32,49,46,55,51,53,56,
      54,101,45,49,51,32,49,46,55,50,56,48,52,101,45,49,51,32,49,46,55,49,55,55,51,
      101,45,49,51,32,49,46,54,56,57,48,54,101,45,49,51,32,49,46,54,52,52,57,57,101,
      45,49,51,32,49,46,53,57,57,52,55,101,45,49,51,32,49,46,53,52,55,48,53,101,45,
      49,51,10,32,32,49,46,52,57,50,54,57,101,45,49,51,32,49,46,52,51,53,101,45,49,
      51,32,49,46,51,54,55,50,52,101,45,49,51,32,49,46,51,48,52,53,50,101,45,49,51,
      32,49,46,50,51,51,53,101,45,49,51,32,49,46,49,56,48,53,49,101,45,49,51,32,49,
      46,48,57,51,54,55,101,45,49,51,10,32,32,49,46,48,52,48,54,52,101,45,49,51,32,
      57,46,55,53,52,53,52,101,45,49,52,32,56,46,50,57,48,53,50,101,45,49,52,32,54,
      46,52,54,48,49,54,101,45,49,52,32,52,46,57,51,51,50,56,101,45,49,52,32,51,46,
      52,48,55,53,54,101,45,49,52,32,50,46,50,55,55,54,55,101,45,49,52,10,32,32,49,
      46,51,53,49,55,51,101,45,49,52,32,56,46,53,48,54,52,52,101,45,49,53,32,51,46,
      56,54,57,55,51,101,45,49,53,32,49,46,55,52,51,52,54,101,45,49,53,32,57,46,55,
      49,56,52,101,45,49,54,32,52,46,57,53,56,49,53,101,45,49,54,32,49,46,57,54,51,
      55,101,45,49,54,10,32,32,56,46,53,50,55,53,57,101,45,49,55,32,51,46,54,51,50,
      52,56,101,45,49,55,32,49,46,51,52,49,54,52,101,45,49,55,32,52,46,56,54,48,49,
      52,101,45,49,56,32,49,46,57,55,49,49,55,101,45,49,56,32,55,46,57,48,50,54,53,
      101,45,49,57,32,51,46,49,51,53,53,55,101,45,49,57,10,32,32,49,46,48,54,56,53,
      53,101,45,49,57,32,51,46,49,55,48,52,56,101,45,50,48,32,56,46,49,48,51,57,55,
      101,45,50,49,32,50,46,51,52,55,56,49,101,45,50,49,32,53,46,56,51,55,52,55,101,
      45,50,50,32,49,46,54,53,57,55,57,101,45,50,50,32,52,46,54,56,52,54,50,101,45,
      50,51,10,32,32,49,46,49,51,57,51,51,101,45,50,51,32,50,46,52,56,52,48,49,101,
      45,50,52,32,55,46,54,50,48,51,52,101,45,50,53,32,49,46,57,51,50,49,55,101,45,
      50,53,32,53,46,55,54,49,48,54,101,45,50,54,32,49,46,53,55,52,50,57,101,45,50,
      54,32,52,46,50,56,54,48,53,101,45,50,55,10,32,32,55,46,55,51,55,53,52,101,45,
      50,56,32,50,46,48,57,56,57,49,101,45,50,56,32,53,46,54,56,50,54,55,101,45,50,
      57,32,49,46,53,49,57,52,50,101,45,50,57,32,50,46,54,56,50,55,49,101,45,51,48,
      32,53,46,54,53,52,52,53,101,45,51,49,32,55,46,56,52,51,51,101,45,51,50,10,32,
      32,48,114,50,54,52,32,54,46,51,55,49,54,57,101,45,51,50,32,51,46,52,54,50,57,
      101,45,51,49,32,53,46,55,51,57,53,50,101,45,51,49,32,57,46,57,55,48,49,56,101,
      45,51,49,32,50,46,50,48,53,50,54,101,45,51,48,32,53,46,49,48,53,53,55,101,45,
      51,48,32,50,46,55,50,56,48,56,101,45,50,54,10,32,32,55,46,57,49,53,55,53,101,
      45,50,54,32,49,46,56,51,53,54,101,45,50,53,32,51,46,56,55,50,50,54,101,45,50,
      53,32,55,46,56,50,51,50,55,101,45,50,53,32,49,46,50,54,50,49,57,101,45,50,52,
      32,49,46,55,55,55,52,55,101,45,50,52,32,50,46,50,51,50,55,57,101,45,50,52,10,
      32,32,50,46,56,54,49,57,54,101,45,50,52,32,52,46,49,50,53,50,51,101,45,50,52,
      32,54,46,57,55,57,49,53,101,45,50,52,32,49,46,51,51,50,48,52,101,45,50,51,32,
      50,46,54,56,51,48,54,101,45,50,51,32,53,46,53,52,56,50,50,101,45,50,51,32,51,
      46,54,54,51,55,49,101,45,50,50,10,32,32,52,46,51,51,52,101,45,50,49,32,54,46,
      57,48,51,53,101,45,50,49,32,49,46,48,54,52,54,53,101,45,50,48,32,49,46,54,55,
      55,52,50,101,45,50,48,32,50,46,52,54,50,48,49,101,45,50,48,32,50,46,51,50,50,
      53,51,101,45,49,57,32,53,46,55,56,51,51,53,101,45,49,57,10,32,32,49,46,52,54,
      53,51,56,101,45,49,56,32,50,46,52,54,48,49,51,101,45,49,56,32,52,46,52,55,54,
      48,52,101,45,49,56,32,56,46,48,53,48,53,56,101,45,49,56,32,49,46,50,55,52,52,
      101,45,49,55,32,49,46,57,50,48,53,53,101,45,49,55,32,50,46,55,49,57,55,57,101,
      45,49,55,10,32,32,51,46,52,56,50,55,55,101,45,49,55,32,52,46,53,56,52,51,57,
      101,45,49,55,32,53,46,57,51,52,54,51,101,45,49,55,32,56,46,49,50,57,56,53,101,
      45,49,55,32,49,46,51,48,49,57,57,101,45,49,54,32,50,46,48,55,52,53,50,101,45,
      49,54,32,51,46,49,53,54,51,49,101,45,49,54,10,32,32,52,46,51,53,56,51,51,101,
      45,49,54,32,54,46,53,57,53,52,57,101,45,49,54,32,57,46,55,56,57,56,55,101,45,
      49,54,32,49,46,52,52,49,50,51,101,45,49,53,32,49,46,57,56,56,57,50,101,45,49,
      53,32,50,46,53,57,56,48,55,101,45,49,53,32,51,46,50,49,51,53,101,45,49,53,10,
      32,32,51,46,57,55,54,52,56,101,45,49,53,32,52,46,57,49,53,57,52,101,45,49,53,
      32,53,46,56,55,52,48,50,101,45,49,53,32,56,46,53,55,49,48,52,101,45,49,53,32,
      49,46,50,51,52,55,101,45,49,52,32,49,46,54,53,55,56,50,101,45,49,52,32,50,46,
      49,50,48,55,101,45,49,52,10,32,32,50,46,52,49,56,54,52,101,45,49,52,32,50,46,
      57,55,57,53,101,45,49,52,32,51,46,53,56,51,55,101,45,49,52,32,52,46,50,49,53,
      56,52,101,45,49,52,32,52,46,56,53,56,56,101,45,49,52,32,53,46,54,48,56,55,53,
      101,45,49,52,32,54,46,49,55,52,51,50,101,45,49,52,10,32,32,54,46,55,52,55,49,
      55,101,45,49,52,32,55,46,54,57,52,54,49,101,45,49,52,32,56,46,50,55,48,48,57,
      101,45,49,52,32,57,46,49,53,52,48,49,101,45,49,52,32,49,46,48,48,52,49,49,101,
      45,49,51,32,49,46,48,53,52,48,52,101,45,49,51,32,49,46,49,48,49,49,50,101,45,
      49,51,10,32,32,49,46,49,54,56,53,51,101,45,49,51,32,49,46,50,51,49,52,53,101,
      45,49,51,32,49,46,50,54,48,53,57,101,45,49,51,32,49,46,50,57,53,52,50,101,45,
      49,51,32,49,46,51,49,49,57,55,101,45,49,51,32,49,46,51,53,53,57,52,101,45,49,
      51,32,49,46,51,52,53,53,49,101,45,49,51,10,32,32,49,46,51,52,51,52,52,101,45,
      49,51,32,49,46,51,51,55,49,50,101,45,49,51,32,49,46,51,49,55,57,55,101,45,49,
      51,32,49,46,50,56,54,57,52,101,45,49,51,32,49,46,50,53,52,48,50,101,45,49,51,
      32,49,46,50,49,53,52,57,101,45,49,51,32,49,46,49,55,53,48,56,101,45,49,51,10,
      32,32,49,46,49,51,49,56,50,101,45,49,51,32,49,46,48,56,48,54,50,101,45,49,51,
      32,49,46,48,51,50,57,51,101,45,49,51,32,57,46,55,56,54,52,57,101,45,49,52,32,
      57,46,51,55,57,54,50,101,45,49,52,32,56,46,55,48,57,56,50,101,45,49,52,32,56,
      46,50,57,57,50,101,45,49,52,10,32,32,55,46,55,57,50,56,51,101,45,49,52,32,54,
      46,54,52,57,51,57,101,45,49,52,32,53,46,50,48,56,53,49,101,45,49,52,32,51,46,
      57,57,54,57,55,101,45,49,52,32,50,46,55,55,54,57,56,101,45,49,52,32,49,46,56,
      54,54,52,54,101,45,49,52,32,49,46,49,49,52,54,49,101,45,49,52,10,32,32,55,46,
      48,52,56,52,54,101,45,49,53,32,51,46,50,50,57,55,50,101,45,49,53,32,49,46,52,
      54,52,50,57,101,45,49,53,32,56,46,49,57,53,56,101,45,49,54,32,52,46,49,57,57,
      51,53,101,45,49,54,32,49,46,54,55,50,101,45,49,54,32,55,46,50,57,49,55,55,101,
      45,49,55,10,32,32,51,46,49,49,56,51,49,101,45,49,55,32,49,46,49,53,54,53,51,
      101,45,49,55,32,52,46,50,48,53,54,57,101,45,49,56,32,49,46,55,49,49,48,53,101,
      45,49,56,32,54,46,56,55,57,55,54,101,45,49,57,32,50,46,55,51,55,49,51,101,45,
      49,57,32,57,46,51,53,54,57,50,101,45,50,48,10,32,32,50,46,55,56,52,55,101,45,
      50,48,32,55,46,49,52,48,48,52,101,45,50,49,32,50,46,48,55,51,56,57,101,45,50,
      49,32,53,46,49,55,48,50,50,101,45,50,50,32,49,46,52,55,51,51,51,101,45,50,50,
      32,52,46,49,54,54,57,57,101,45,50,51,32,49,46,48,49,53,54,49,101,45,50,51,10,
      32,32,50,46,50,49,57,101,45,50,52,32,54,46,56,49,55,56,57,101,45,50,53,32,49,
      46,55,51,49,54,50,101,45,50,53,32,53,46,49,55,48,51,101,45,50,54,32,49,46,52,
      49,52,56,54,101,45,50,54,32,51,46,56,53,55,50,57,101,45,50,55,32,54,46,57,56,
      53,52,52,101,45,50,56,10,32,32,49,46,56,57,56,51,56,101,45,50,56,32,53,46,49,
      52,49,55,53,101,45,50,57,32,49,46,51,56,50,53,53,101,45,50,57,32,50,46,52,51,
      48,50,101,45,51,48,32,53,46,55,52,51,53,101,45,51,49,32,55,46,48,52,51,54,55,
      101,45,51,50,32,48,114,50,54,52,32,49,46,49,52,52,57,57,101,45,51,50,10,32,
      32,54,46,50,55,55,55,55,101,45,51,50,32,49,46,48,53,51,49,49,101,45,51,49,32,
      49,46,56,53,51,56,51,101,45,51,49,32,52,46,49,56,48,54,57,101,45,51,49,32,57,
      46,56,56,53,50,56,101,45,51,49,32,53,46,56,52,53,52,55,101,45,50,55,32,49,46,
      55,52,49,48,56,101,45,50,54,10,32,32,52,46,49,53,53,51,101,45,50,54,32,56,46,
      57,57,49,51,56,101,45,50,54,32,49,46,56,53,56,56,52,101,45,50,53,32,51,46,48,
      52,48,52,56,101,45,50,53,32,52,46,51,49,55,48,50,101,45,50,53,32,53,46,52,52,
      52,54,51,101,45,50,53,32,55,46,48,49,51,53,101,45,50,53,10,32,32,49,46,48,50,
      49,49,53,101,45,50,52,32,49,46,55,53,53,57,51,101,45,50,52,32,51,46,52,50,49,
      54,55,101,45,50,52,32,55,46,48,53,49,53,52,101,45,50,52,32,49,46,52,57,51,55,
      49,101,45,50,51,32,49,46,48,54,50,52,51,101,45,50,50,32,49,46,51,55,52,50,101,
      45,50,49,10,32,32,50,46,50,50,56,51,53,101,45,50,49,32,51,46,52,57,52,101,45,
      50,49,32,53,46,54,49,50,48,57,101,45,50,49,32,56,46,51,55,53,51,51,101,45,50,
      49,32,49,46,48,51,53,49,53,101,45,49,57,32,50,46,53,56,50,57,56,101,45,49,57,
      32,54,46,57,51,55,53,54,101,45,49,57,10,32,32,49,46,49,57,57,48,56,101,45,49,
      56,32,50,46,50,53,49,50,57,101,45,49,56,32,52,46,49,55,50,49,49,101,45,49,56,
      32,54,46,55,57,51,50,57,101,45,49,56,32,49,46,48,51,57,54,55,101,45,49,55,32,
      49,46,52,56,52,48,51,101,45,49,55,32,49,46,57,48,56,57,54,101,45,49,55,10,32,
      32,50,46,53,50,52,54,54,101,45,49,55,32,51,46,50,56,51,56,52,101,45,49,55,32,
      52,46,53,50,51,54,50,101,45,49,55,32,55,46,50,56,57,56,55,101,45,49,55,32,49,
      46,49,54,55,49,55,101,45,49,54,32,49,46,55,56,51,50,52,101,45,49,54,32,50,46,
      52,55,48,55,52,101,45,49,54,10,32,32,51,46,55,53,55,48,51,101,45,49,54,32,53,
      46,54,48,54,50,52,101,45,49,54,32,56,46,51,48,50,53,101,45,49,54,32,49,46,49,
      53,50,48,50,101,45,49,53,32,49,46,53,49,49,55,57,101,45,49,53,32,49,46,56,55,
      54,54,52,101,45,49,53,32,50,46,51,51,48,57,53,101,45,49,53,10,32,32,50,46,56,
      57,51,50,53,101,45,49,53,32,51,46,52,54,57,54,57,101,45,49,53,32,53,46,49,48,
      53,48,53,101,45,49,53,32,55,46,52,49,55,56,57,101,45,49,53,32,49,46,48,48,51,
      50,57,101,45,49,52,32,49,46,50,57,49,50,101,45,49,52,32,49,46,52,55,54,52,55,
      101,45,49,52,10,32,32,49,46,56,50,56,56,52,101,45,49,52,32,50,46,50,49,48,57,
      57,101,45,49,52,32,50,46,54,49,51,52,54,101,45,49,52,32,51,46,48,50,53,52,51,
      101,45,49,52,32,51,46,53,48,57,50,49,101,45,49,52,32,51,46,56,55,54,51,54,101,
      45,49,52,32,52,46,50,53,48,50,56,101,45,49,52,10,32,32,52,46,56,55,51,51,55,
      101,45,49,52,32,53,46,50,53,52,56,53,101,45,49,52,32,53,46,56,52,53,54,52,101,
      45,49,52,32,54,46,52,52,53,50,53,101,45,49,52,32,54,46,55,56,54,50,55,101,45,
      49,52,32,55,46,49,49,48,55,101,45,49,52,32,55,46,53,56,49,51,54,101,45,49,52,
      10,32,32,56,46,48,50,57,57,55,101,45,49,52,32,56,46,50,52,50,54,54,101,45,49,
      52,32,56,46,53,48,52,49,53,101,45,49,52,32,56,46,54,52,50,52,55,101,45,49,52,
      32,56,46,57,55,52,49,52,101,45,49,52,32,56,46,57,51,51,52,56,101,45,49,52,32,
      56,46,57,54,49,55,53,101,45,49,52,10,32,32,56,46,57,51,55,54,50,101,45,49,52,
      32,56,46,56,52,51,54,101,45,49,52,32,56,46,54,55,49,54,101,45,49,52,32,56,46,
      52,55,56,56,53,101,45,49,52,32,56,46,50,52,54,50,57,101,45,49,52,32,55,46,57,
      57,55,49,49,101,45,49,52,32,55,46,55,50,54,49,56,101,45,49,52,10,32,32,55,46,
      52,48,49,50,52,101,45,49,52,32,55,46,48,57,53,50,57,101,45,49,52,32,54,46,55,
      52,51,55,56,101,45,49,52,32,54,46,52,55,56,51,49,101,45,49,52,32,54,46,48,51,
      56,48,51,101,45,49,52,32,53,46,55,54,54,50,57,101,45,49,52,32,53,46,52,50,57,
      52,101,45,49,52,10,32,32,52,46,54,54,49,57,56,101,45,49,52,32,51,46,54,56,50,
      52,53,101,45,49,52,32,50,46,56,52,56,48,55,101,45,49,52,32,49,46,57,57,55,51,
      50,101,45,49,52,32,49,46,51,53,52,51,55,101,45,49,52,32,56,46,49,54,57,50,51,
      101,45,49,53,32,53,46,50,48,54,53,53,101,45,49,53,10,32,32,50,46,52,49,51,53,
      54,101,45,49,53,32,49,46,49,48,53,51,56,101,45,49,53,32,54,46,50,50,55,57,53,
      101,45,49,54,32,51,46,50,49,51,50,49,101,45,49,54,32,49,46,50,57,48,51,101,
      45,49,54,32,53,46,54,54,53,56,50,101,45,49,55,32,50,46,52,51,56,52,50,101,45,
      49,55,10,32,32,57,46,49,48,52,54,49,101,45,49,56,32,51,46,51,51,49,52,54,101,
      45,49,56,32,49,46,51,54,50,50,49,101,45,49,56,32,53,46,53,48,50,56,55,101,45,
      49,57,32,50,46,49,57,56,57,53,101,45,49,57,32,55,46,53,53,52,57,57,101,45,50,
      48,32,50,46,50,53,57,52,53,101,45,50,48,10,32,32,53,46,56,50,50,51,53,101,45,
      50,49,32,49,46,54,57,56,50,101,45,50,49,32,52,46,50,53,49,57,52,101,45,50,50,
      32,49,46,50,49,54,101,45,50,50,32,51,46,52,53,48,55,50,101,45,50,51,32,56,46,
      52,51,57,53,55,101,45,50,52,32,49,46,56,53,48,51,54,101,45,50,52,10,32,32,53,
      46,54,57,57,53,101,45,50,53,32,49,46,52,53,49,53,51,101,45,50,53,32,52,46,51,
      52,51,56,54,101,45,50,54,32,49,46,49,57,49,52,51,101,45,50,54,32,51,46,50,53,
      53,50,52,101,45,50,55,32,53,46,57,50,53,49,54,101,45,50,56,32,49,46,54,49,51,
      55,55,101,45,50,56,10,32,32,52,46,51,55,55,49,53,101,45,50,57,32,49,46,49,55,
      56,55,49,101,45,50,57,32,50,46,49,49,52,52,57,101,45,51,48,32,53,46,51,52,49,
      49,101,45,51,49,32,53,46,57,50,53,49,101,45,51,50,32,48,114,50,54,55,32,56,
      46,54,48,51,54,52,101,45,51,51,32,54,46,54,52,57,49,56,101,45,51,50,10,32,32,
      49,46,54,48,56,57,55,101,45,51,49,32,49,46,48,54,48,56,56,101,45,50,55,32,51,
      46,50,53,49,57,101,45,50,55,32,56,46,48,48,57,52,51,101,45,50,55,32,49,46,55,
      56,49,57,55,101,45,50,54,32,51,46,55,55,55,55,57,101,45,50,54,32,54,46,50,55,
      50,53,52,101,45,50,54,10,32,32,56,46,57,56,54,48,53,101,45,50,54,32,49,46,49,
      51,56,50,49,101,45,50,53,32,49,46,52,55,52,48,52,101,45,50,53,32,50,46,49,54,
      57,55,57,101,45,50,53,32,51,46,55,57,55,57,57,101,45,50,53,32,55,46,53,55,48,
      55,50,101,45,50,53,32,49,46,53,57,57,55,101,45,50,52,10,32,32,51,46,52,55,56,
      57,53,101,45,50,52,32,50,46,54,55,54,49,57,101,45,50,51,32,51,46,55,57,56,52,
      55,101,45,50,50,32,54,46,50,56,48,52,55,101,45,50,50,32,49,46,48,48,50,56,50,
      101,45,50,49,32,49,46,54,52,53,51,53,101,45,50,49,32,50,46,53,48,48,57,53,101,
      45,50,49,10,32,32,52,46,48,56,54,55,56,101,45,50,48,32,49,46,48,50,48,56,49,
      101,45,49,57,32,50,46,57,48,56,56,57,101,45,49,57,32,53,46,50,48,53,54,51,101,
      45,49,57,32,49,46,48,49,52,55,50,101,45,49,56,32,49,46,57,53,51,48,52,101,45,
      49,56,32,51,46,51,52,55,54,49,101,45,49,56,10,32,32,53,46,50,51,53,55,55,101,
      45,49,56,32,55,46,53,52,50,51,51,101,45,49,56,32,57,46,55,53,53,49,51,101,45,
      49,56,32,49,46,50,57,56,49,52,101,45,49,55,32,49,46,54,57,57,57,57,101,45,49,
      55,32,50,46,51,54,49,51,54,101,45,49,55,32,51,46,56,51,56,53,53,101,45,49,55,
      10,32,32,54,46,49,56,57,48,52,101,45,49,55,32,57,46,53,48,57,52,57,101,45,49,
      55,32,49,46,51,50,51,48,55,101,45,49,54,32,50,46,48,50,50,57,52,101,45,49,54,
      32,51,46,48,51,53,56,57,101,45,49,54,32,52,46,53,50,52,50,55,101,45,49,54,32,
      54,46,51,49,51,54,56,101,45,49,54,10,32,32,56,46,51,50,53,52,101,45,49,54,32,
      49,46,48,51,55,51,57,101,45,49,53,32,49,46,50,57,51,54,57,101,45,49,53,32,49,
      46,54,49,50,55,101,45,49,53,32,49,46,57,52,49,53,57,101,45,49,53,32,50,46,56,
      56,50,53,57,101,45,49,53,32,52,46,50,50,56,52,50,101,45,49,53,10,32,32,53,46,
      55,54,53,50,49,101,45,49,53,32,55,46,52,54,57,49,101,45,49,53,32,56,46,53,54,
      53,54,50,101,45,49,53,32,49,46,48,54,55,52,50,101,45,49,52,32,49,46,50,57,55,
      55,55,101,45,49,52,32,49,46,53,52,50,48,57,101,45,49,52,32,49,46,55,57,51,57,
      49,101,45,49,52,10,32,32,50,46,48,57,49,55,55,101,45,49,52,32,50,46,51,49,57,
      51,52,101,45,49,52,32,50,46,53,53,50,52,51,101,45,49,52,32,50,46,57,52,51,57,
      53,101,45,49,52,32,51,46,49,56,53,54,52,101,45,49,52,32,51,46,53,54,51,49,53,
      101,45,49,52,32,51,46,57,53,48,56,101,45,49,52,10,32,32,52,46,49,55,51,54,50,
      101,45,49,52,32,52,46,51,56,55,52,56,101,45,49,52,32,52,46,55,48,49,55,51,101,
      45,49,52,32,53,46,48,48,55,51,55,101,45,49,52,32,53,46,49,53,53,52,101,45,49,
      52,32,53,46,51,52,49,53,52,101,45,49,52,32,53,46,52,52,54,51,50,101,45,49,52,
      10,32,32,53,46,54,56,54,57,54,101,45,49,52,32,53,46,54,56,48,55,49,101,45,49,
      52,32,53,46,55,50,56,49,50,101,45,49,52,32,53,46,55,50,53,51,50,101,45,49,52,
      32,53,46,54,56,56,57,50,101,45,49,52,32,53,46,54,48,51,56,49,101,45,49,52,32,
      53,46,52,57,57,56,51,101,45,49,52,10,32,32,53,46,51,54,56,55,55,101,45,49,52,
      32,53,46,50,50,52,51,52,101,45,49,52,32,53,46,48,54,52,49,52,101,45,49,52,32,
      52,46,56,54,56,56,50,101,45,49,52,32,52,46,54,56,50,52,52,101,45,49,52,32,52,
      46,52,54,53,57,51,101,45,49,52,32,52,46,51,48,48,57,55,101,45,49,52,10,32,32,
      52,46,48,50,52,57,57,101,45,49,52,32,51,46,56,53,51,51,101,45,49,52,32,51,46,
      54,51,57,49,54,101,45,49,52,32,51,46,49,52,54,52,101,45,49,52,32,50,46,53,48,
      56,50,101,45,49,52,32,49,46,57,53,54,54,52,101,45,49,52,32,49,46,51,56,54,51,
      50,101,45,49,52,10,32,32,57,46,52,57,50,51,54,101,45,49,53,32,53,46,55,56,56,
      56,49,101,45,49,53,32,51,46,55,50,49,51,50,101,45,49,53,32,49,46,55,52,55,51,
      50,101,45,49,53,32,56,46,48,57,50,52,101,45,49,54,32,52,46,53,57,50,56,53,101,
      45,49,54,32,50,46,51,56,55,56,49,101,45,49,54,10,32,32,57,46,54,55,57,52,54,
      101,45,49,55,32,52,46,50,56,50,56,52,101,45,49,55,32,49,46,56,53,54,50,57,101,
      45,49,55,32,54,46,57,56,50,57,55,101,45,49,56,32,50,46,53,55,50,55,49,101,45,
      49,56,32,49,46,48,53,55,56,50,101,45,49,56,32,52,46,50,57,53,53,53,101,45,49,
      57,10,32,32,49,46,55,50,52,56,57,101,45,49,57,32,53,46,57,53,57,52,50,101,45,
      50,48,32,49,46,55,57,50,48,49,101,45,50,48,32,52,46,54,52,51,54,53,101,45,50,
      49,32,49,46,51,54,48,55,49,101,45,50,49,32,51,46,52,50,51,51,56,101,45,50,50,
      32,57,46,56,50,57,54,55,101,45,50,51,10,32,32,50,46,55,57,57,56,56,101,45,50,
      51,32,54,46,56,55,52,50,56,101,45,50,52,32,49,46,53,49,51,101,45,50,52,32,52,
      46,54,55,51,51,56,101,45,50,53,32,49,46,49,57,51,56,52,101,45,50,53,32,51,46,
      53,56,49,55,101,45,50,54,32,57,46,56,52,56,57,56,101,45,50,55,10,32,32,50,46,
      54,57,55,52,57,101,45,50,55,32,52,46,57,51,55,55,57,101,45,50,56,32,49,46,51,
      52,56,48,49,101,45,50,56,32,51,46,54,54,50,52,54,101,45,50,57,32,57,46,56,55,
      56,56,54,101,45,51,48,32,49,46,55,55,52,52,49,101,45,51,48,32,52,46,52,56,50,
      49,53,101,45,51,49,10,32,32,55,46,56,54,56,54,51,101,45,51,50,32,48,114,50,
      54,56,32,50,46,50,51,51,55,50,101,45,51,50,32,53,46,52,55,57,51,49,101,45,51,
      50,32,51,46,56,51,54,50,50,101,45,50,56,32,49,46,49,57,54,48,49,101,45,50,55,
      32,51,46,48,48,48,57,54,101,45,50,55,32,54,46,55,56,54,56,52,101,45,50,55,10,
      32,32,49,46,52,54,48,50,57,101,45,50,54,32,50,46,52,52,54,49,57,101,45,50,54,
      32,51,46,53,50,50,56,52,101,45,50,54,32,52,46,52,55,51,51,50,101,45,50,54,32,
      53,46,56,49,49,50,52,101,45,50,54,32,56,46,54,48,57,51,101,45,50,54,32,49,46,
      53,50,50,55,57,101,45,50,53,10,32,32,51,46,48,55,54,50,51,101,45,50,53,32,54,
      46,53,57,54,51,51,101,45,50,53,32,49,46,52,53,54,57,49,101,45,50,52,32,49,46,
      49,55,51,51,56,101,45,50,51,32,49,46,55,53,56,48,52,101,45,50,50,32,50,46,57,
      52,48,50,52,101,45,50,50,32,52,46,55,52,53,52,101,45,50,50,10,32,32,55,46,56,
      56,52,56,50,101,45,50,50,32,49,46,50,49,49,54,50,101,45,50,49,32,50,46,51,48,
      54,53,101,45,50,48,32,53,46,55,54,56,55,56,101,45,50,48,32,49,46,54,57,56,54,
      52,101,45,49,57,32,51,46,49,48,56,48,53,101,45,49,57,32,54,46,50,48,52,56,52,
      101,45,49,57,10,32,32,49,46,50,50,53,55,101,45,49,56,32,50,46,50,48,49,48,54,
      101,45,49,56,32,51,46,52,57,49,53,51,101,45,49,56,32,53,46,48,52,57,52,56,101,
      45,49,56,32,54,46,53,52,55,54,52,101,45,49,56,32,56,46,55,52,49,54,56,101,45,
      49,56,32,49,46,49,52,57,52,52,101,45,49,55,10,32,32,49,46,54,48,53,50,55,101,
      45,49,55,32,50,46,54,50,51,50,56,101,45,49,55,32,52,46,50,52,56,57,55,101,45,
      49,55,32,54,46,53,53,50,57,101,45,49,55,32,57,46,49,52,49,53,101,45,49,55,32,
      49,46,52,48,50,52,50,101,45,49,54,32,50,46,49,49,49,55,51,101,45,49,54,10,32,
      32,51,46,49,53,56,51,50,101,45,49,54,32,52,46,52,50,49,55,52,101,45,49,54,32,
      53,46,56,52,54,53,101,45,49,54,32,55,46,51,48,48,55,51,101,45,49,54,32,57,46,
      49,50,53,50,101,45,49,54,32,49,46,49,52,48,51,52,101,45,49,53,32,49,46,51,55,
      53,57,57,101,45,49,53,10,32,32,50,46,48,53,51,54,50,101,45,49,53,32,51,46,48,
      50,57,50,55,101,45,49,53,32,52,46,49,53,48,48,53,101,45,49,53,32,53,46,51,57,
      55,57,57,101,45,49,53,32,54,46,50,48,49,49,52,101,45,49,53,32,55,46,55,53,53,
      54,49,101,45,49,53,32,57,46,52,54,49,50,57,101,45,49,53,10,32,32,49,46,49,50,
      55,56,101,45,49,52,32,49,46,51,49,53,56,49,101,45,49,52,32,49,46,53,51,57,49,
      51,101,45,49,52,32,49,46,55,49,48,52,50,101,45,49,52,32,49,46,56,56,54,52,54,
      101,45,49,52,32,50,46,49,56,51,52,57,101,45,49,52,32,50,46,51,54,55,55,49,101,
      45,49,52,10,32,32,50,46,54,53,54,56,54,101,45,49,52,32,50,46,57,53,53,55,51,
      101,45,49,52,32,51,46,49,50,56,53,52,101,45,49,52,32,51,46,50,57,53,50,50,101,
      45,49,52,32,51,46,53,52,49,56,56,101,45,49,52,32,51,46,55,56,52,51,57,101,45,
      49,52,32,51,46,57,48,51,50,101,45,49,52,10,32,32,52,46,48,53,52,52,55,101,45,
      49,52,32,52,46,49,52,48,53,49,101,45,49,52,32,52,46,51,51,56,50,56,101,45,49,
      52,32,52,46,51,52,50,56,56,101,45,49,52,32,52,46,51,57,50,56,52,101,45,49,52,
      32,52,46,51,57,54,51,57,101,45,49,52,32,52,46,51,55,57,50,50,101,45,49,52,10,
      32,32,52,46,51,50,53,50,57,101,45,49,52,32,52,46,50,53,52,52,101,45,49,52,32,
      52,46,49,54,50,48,54,101,45,49,52,32,52,46,48,53,56,50,52,101,45,49,52,32,51,
      46,57,52,49,52,57,101,45,49,52,32,51,46,55,57,55,53,56,101,45,49,52,32,51,46,
      54,53,57,48,55,101,45,49,52,10,32,32,51,46,52,57,55,101,45,49,52,32,51,46,51,
      55,50,56,52,101,45,49,52,32,51,46,49,54,51,57,57,101,45,49,52,32,51,46,48,51,
      51,52,51,101,45,49,52,32,50,46,56,54,57,57,54,101,45,49,52,32,50,46,52,57,49,
      52,52,101,45,49,52,32,49,46,57,57,54,56,51,101,45,49,52,10,32,32,49,46,53,54,
      53,54,51,101,45,49,52,32,49,46,49,49,54,48,49,101,45,49,52,32,55,46,54,56,53,
      52,57,101,45,49,53,32,52,46,55,49,55,52,55,101,45,49,53,32,51,46,48,52,56,49,
      50,101,45,49,53,32,49,46,52,52,50,49,50,101,45,49,53,32,54,46,55,50,51,51,51,
      101,45,49,54,10,32,32,51,46,56,51,50,51,55,101,45,49,54,32,50,46,48,48,49,52,
      57,101,45,49,54,32,56,46,49,53,57,101,45,49,55,32,51,46,54,50,54,52,50,101,
      45,49,55,32,49,46,53,55,56,51,56,101,45,49,55,32,53,46,57,54,51,57,101,45,49,
      56,32,50,46,50,48,54,50,50,101,45,49,56,10,32,32,57,46,49,48,49,53,52,101,45,
      49,57,32,51,46,55,48,55,52,50,101,45,49,57,32,49,46,52,57,51,48,56,101,45,49,
      57,32,53,46,49,55,53,54,51,101,45,50,48,32,49,46,53,54,49,51,57,101,45,50,48,
      32,52,46,48,53,57,53,51,101,45,50,49,32,49,46,49,57,50,56,53,101,45,50,49,10,
      32,32,51,46,48,48,57,55,50,101,45,50,50,32,56,46,54,54,50,53,101,45,50,51,32,
      50,46,52,55,50,57,49,101,45,50,51,32,54,46,48,56,53,52,53,101,45,50,52,32,49,
      46,51,52,50,52,54,101,45,50,52,32,52,46,49,53,51,53,49,101,45,50,53,32,49,46,
      48,54,50,57,54,101,45,50,53,10,32,32,51,46,49,57,51,56,54,101,45,50,54,32,56,
      46,55,57,53,56,56,101,45,50,55,32,50,46,52,49,50,53,52,101,45,50,55,32,52,46,
      52,51,49,49,52,101,45,50,56,32,49,46,50,49,49,52,101,45,50,56,32,51,46,50,57,
      52,52,50,101,45,50,57,32,56,46,57,49,56,48,56,101,45,51,48,10,32,32,49,46,54,
      52,49,52,51,101,45,51,48,32,52,46,48,51,56,57,54,101,45,51,49,32,55,46,48,54,
      53,54,53,101,45,51,50,32,48,114,50,55,48,32,49,46,52,49,51,53,101,45,50,56,
      32,52,46,52,56,48,57,101,45,50,56,32,49,46,49,52,52,57,57,101,45,50,55,32,50,
      46,54,51,49,51,53,101,45,50,55,10,32,32,53,46,55,52,52,52,54,101,45,50,55,32,
      57,46,55,48,54,49,101,45,50,55,32,49,46,52,48,53,101,45,50,54,32,49,46,55,56,
      56,52,49,101,45,50,54,32,50,46,51,51,48,51,51,101,45,50,54,32,51,46,52,55,52,
      49,101,45,50,54,32,54,46,50,48,56,49,50,101,45,50,54,10,32,32,49,46,50,55,48,
      54,49,101,45,50,53,32,50,46,55,54,52,48,55,101,45,50,53,32,54,46,49,57,56,50,
      49,101,45,50,53,32,53,46,50,48,57,54,51,101,45,50,52,32,56,46,50,48,50,48,50,
      101,45,50,51,32,49,46,51,56,55,49,57,101,45,50,50,32,50,46,50,54,50,53,52,101,
      45,50,50,10,32,32,51,46,56,48,54,52,50,101,45,50,50,32,53,46,57,49,50,49,49,
      101,45,50,50,32,49,46,51,48,48,56,51,101,45,50,48,32,51,46,50,53,55,55,49,101,
      45,50,48,32,57,46,56,56,57,51,50,101,45,50,48,32,49,46,56,52,57,52,49,101,45,
      49,57,32,51,46,55,56,48,55,57,101,45,49,57,10,32,32,55,46,54,55,51,53,56,101,
      45,49,57,32,49,46,52,53,53,56,56,101,45,49,56,32,50,46,51,52,52,48,50,101,45,
      49,56,32,51,46,52,48,49,57,51,101,45,49,56,32,52,46,52,50,49,54,53,101,45,49,
      56,32,53,46,57,50,49,56,57,101,45,49,56,32,55,46,56,49,57,50,57,101,45,49,56,
      10,32,32,49,46,48,57,56,51,49,101,45,49,55,32,49,46,56,48,52,53,54,101,45,49,
      55,32,50,46,57,51,55,50,49,101,45,49,55,32,52,46,53,52,56,50,52,101,45,49,55,
      32,54,46,51,54,51,51,50,101,45,49,55,32,57,46,55,57,55,51,51,101,45,49,55,32,
      49,46,52,56,48,52,51,101,45,49,54,10,32,32,50,46,50,50,50,50,51,101,45,49,54,
      32,51,46,49,50,49,51,101,45,49,54,32,52,46,49,51,56,49,55,101,45,49,54,32,53,
      46,49,55,56,52,49,101,45,49,54,32,54,46,52,56,54,57,52,101,45,49,54,32,56,46,
      49,50,54,48,50,101,45,49,54,32,57,46,56,50,54,55,52,101,45,49,54,10,32,32,49,
      46,52,55,52,49,50,101,45,49,53,32,50,46,49,56,54,50,57,101,45,49,53,32,51,46,
      48,48,57,48,55,101,45,49,53,32,51,46,57,50,56,57,101,45,49,53,32,52,46,53,50,
      48,57,55,101,45,49,53,32,53,46,54,55,51,57,51,101,45,49,53,32,54,46,57,52,52,
      50,55,101,45,49,53,10,32,32,56,46,51,48,50,54,54,101,45,49,53,32,57,46,55,49,
      51,55,55,101,45,49,53,32,49,46,49,51,57,54,53,101,45,49,52,32,49,46,50,54,57,
      49,57,101,45,49,52,32,49,46,52,48,50,55,53,101,45,49,52,32,49,46,54,50,57,48,
      54,101,45,49,52,32,49,46,55,55,48,48,51,101,45,49,52,10,32,32,49,46,57,57,50,
      51,50,101,45,49,52,32,50,46,50,50,51,53,49,101,45,49,52,32,50,46,51,53,55,57,
      50,101,45,49,52,32,50,46,52,56,56,49,51,101,45,49,52,32,50,46,54,56,50,48,55,
      101,45,49,52,32,50,46,56,55,52,54,52,101,45,49,52,32,50,46,57,54,57,57,51,101,
      45,49,52,10,32,32,51,46,48,57,50,55,54,101,45,49,52,32,51,46,49,54,50,51,54,
      101,45,49,52,32,51,46,51,50,52,52,54,101,45,49,52,32,51,46,51,51,53,49,54,101,
      45,49,52,32,51,46,51,56,51,56,56,101,45,49,52,32,51,46,51,57,48,56,56,101,45,
      49,52,32,51,46,51,56,53,55,49,101,45,49,52,10,32,32,51,46,51,53,50,55,51,101,
      45,49,52,32,51,46,51,48,52,56,51,101,45,49,52,32,51,46,50,51,57,57,52,101,45,
      49,52,32,51,46,49,54,53,50,56,101,45,49,52,32,51,46,48,56,48,48,53,101,45,49,
      52,32,50,46,57,55,51,55,54,101,45,49,52,32,50,46,56,55,48,53,51,101,45,49,52,
      10,32,32,50,46,55,52,56,56,52,101,45,49,52,32,50,46,54,53,53,48,55,101,45,49,
      52,32,50,46,52,57,54,52,54,101,45,49,52,32,50,46,51,57,54,56,50,101,45,49,52,
      32,50,46,50,55,49,53,56,101,45,49,52,32,49,46,57,55,57,56,101,45,49,52,32,49,
      46,53,57,53,49,53,101,45,49,52,10,32,32,49,46,50,53,54,56,55,101,45,49,52,32,
      57,46,48,49,50,50,101,45,49,53,32,54,46,50,52,49,50,57,101,45,49,53,32,51,46,
      56,53,53,52,52,101,45,49,53,32,50,46,53,48,51,54,49,101,45,49,53,32,49,46,49,
      57,51,51,52,101,45,49,53,32,53,46,53,57,57,56,51,101,45,49,54,10,32,32,51,46,
      50,48,53,53,57,101,45,49,54,32,49,46,54,56,49,54,54,101,45,49,54,32,54,46,56,
      57,51,49,54,101,45,49,55,32,51,46,48,55,55,53,101,45,49,55,32,49,46,51,52,53,
      48,50,101,45,49,55,32,53,46,49,48,52,51,55,101,45,49,56,32,49,46,56,57,53,56,
      57,101,45,49,56,10,32,32,55,46,56,52,55,48,50,101,45,49,57,32,51,46,50,48,54,
      50,50,101,45,49,57,32,49,46,50,57,52,57,52,101,45,49,57,32,52,46,53,48,51,53,
      51,101,45,50,48,32,49,46,51,54,50,57,57,101,45,50,48,32,51,46,53,53,53,52,101,
      45,50,49,32,49,46,48,52,55,53,56,101,45,50,49,10,32,32,50,46,54,53,48,55,101,
      45,50,50,32,55,46,54,52,55,49,56,101,45,50,51,32,50,46,49,56,55,56,55,101,45,
      50,51,32,53,46,51,57,54,51,101,45,50,52,32,49,46,49,57,51,49,53,101,45,50,52,
      32,51,46,54,57,55,54,52,101,45,50,53,32,57,46,52,55,57,57,57,101,45,50,54,10,
      32,32,50,46,56,53,50,54,57,101,45,50,54,32,55,46,56,54,56,49,56,101,45,50,55,
      32,50,46,49,54,49,49,57,101,45,50,55,32,51,46,57,56,51,50,50,101,45,50,56,32,
      49,46,48,57,48,50,50,101,45,50,56,32,50,46,57,54,56,49,56,101,45,50,57,32,56,
      46,48,53,57,51,49,101,45,51,48,10,32,32,49,46,52,56,50,50,52,101,45,51,48,32,
      51,46,56,49,55,51,49,101,45,51,49,32,54,46,51,53,53,48,57,101,45,51,50,32,48,
      114,50,55,48,32,50,46,57,56,48,50,57,101,45,50,57,32,57,46,54,57,53,48,53,101,
      45,50,57,32,50,46,53,52,55,57,57,101,45,50,56,32,54,46,48,48,50,53,101,45,50,
      56,10,32,32,49,46,51,52,48,48,53,101,45,50,55,32,50,46,50,57,52,54,101,45,50,
      55,32,51,46,51,52,55,56,51,101,45,50,55,32,52,46,50,55,55,50,49,101,45,50,55,
      32,53,46,53,57,57,49,101,45,50,55,32,56,46,52,50,56,50,52,101,45,50,55,32,49,
      46,53,51,48,48,53,101,45,50,54,10,32,32,51,46,49,57,53,50,55,101,45,50,54,32,
      55,46,49,48,55,48,49,101,45,50,54,32,49,46,54,51,49,51,57,101,45,50,53,32,49,
      46,52,54,51,54,54,101,45,50,52,32,50,46,52,56,52,54,56,101,45,50,51,32,52,46,
      50,55,53,51,50,101,45,50,51,32,55,46,48,56,55,52,50,101,45,50,51,10,32,32,49,
      46,50,49,53,54,51,101,45,50,50,32,49,46,57,49,57,55,52,101,45,50,50,32,53,46,
      50,51,49,50,101,45,50,49,32,49,46,51,49,51,54,53,101,45,50,48,32,52,46,49,54,
      57,50,55,101,45,50,48,32,56,46,48,54,55,57,50,101,45,50,48,32,49,46,55,49,49,
      57,50,101,45,49,57,10,32,32,51,46,54,50,56,49,55,101,45,49,57,32,55,46,53,54,
      48,51,55,101,45,49,57,32,49,46,50,52,57,54,101,45,49,56,32,49,46,56,50,55,55,
      55,101,45,49,56,32,50,46,51,56,55,48,51,101,45,49,56,32,51,46,50,49,53,56,50,
      101,45,49,56,32,52,46,50,55,57,49,52,101,45,49,56,10,32,32,54,46,48,55,50,52,
      55,101,45,49,56,32,49,46,48,48,55,48,50,101,45,49,55,32,49,46,54,53,50,57,56,
      101,45,49,55,32,50,46,53,55,55,51,54,101,45,49,55,32,51,46,54,50,51,53,101,
      45,49,55,32,53,46,54,49,50,49,51,101,45,49,55,32,56,46,53,50,55,56,56,101,45,
      49,55,10,32,32,49,46,50,56,55,52,51,101,45,49,54,32,49,46,56,49,55,51,49,101,
      45,49,54,32,50,46,52,49,57,49,56,101,45,49,54,32,51,46,48,51,54,57,52,101,45,
      49,54,32,51,46,56,49,55,49,49,101,45,49,54,32,52,46,55,57,56,57,54,101,45,49,
      54,32,53,46,56,50,50,53,54,101,45,49,54,10,32,32,56,46,56,48,50,49,52,101,45,
      49,54,32,49,46,51,49,54,50,56,101,45,49,53,32,49,46,56,50,52,53,57,101,45,49,
      53,32,50,46,51,57,54,52,56,101,45,49,53,32,50,46,55,54,52,55,51,101,45,49,53,
      32,51,46,52,56,56,53,56,101,45,49,53,32,52,46,50,57,49,49,57,101,45,49,53,10,
      32,32,53,46,49,53,52,54,54,101,45,49,53,32,54,46,48,53,54,57,101,45,49,53,32,
      55,46,49,51,57,52,51,101,45,49,53,32,55,46,57,55,55,52,53,101,45,49,53,32,56,
      46,56,52,53,54,56,101,45,49,53,32,49,46,48,51,50,54,52,101,45,49,52,32,49,46,
      49,50,53,53,49,101,45,49,52,10,32,32,49,46,50,55,50,57,53,101,45,49,52,32,49,
      46,52,50,55,55,49,101,45,49,52,32,49,46,53,49,56,52,51,101,45,49,52,32,49,46,
      54,48,54,57,101,45,49,52,32,49,46,55,51,57,57,50,101,45,49,52,32,49,46,56,55,
      51,56,57,101,45,49,52,32,49,46,57,52,49,49,52,101,45,49,52,10,32,32,50,46,48,
      50,57,54,57,101,45,49,52,32,50,46,48,55,56,55,49,101,45,49,52,32,50,46,49,57,
      53,52,50,101,45,49,52,32,50,46,50,49,49,48,57,101,45,49,52,32,50,46,50,53,52,
      50,52,101,45,49,52,32,50,46,50,54,51,51,101,45,49,52,32,50,46,50,54,56,50,51,
      101,45,49,52,10,32,32,50,46,50,53,53,50,101,45,49,52,32,50,46,50,51,48,51,52,
      101,45,49,52,32,50,46,49,57,51,55,101,45,49,52,32,50,46,49,52,57,54,51,101,
      45,49,52,32,50,46,48,57,55,57,101,45,49,52,32,50,46,48,51,50,48,50,101,45,49,
      52,32,49,46,57,54,55,48,49,101,45,49,52,10,32,32,49,46,56,56,57,52,101,45,49,
      52,32,49,46,56,50,57,48,51,101,45,49,52,32,49,46,55,50,53,57,55,101,45,49,52,
      32,49,46,54,54,48,54,57,101,45,49,52,32,49,46,53,55,56,49,52,101,45,49,52,32,
      49,46,51,56,51,56,55,101,45,49,52,32,49,46,49,50,52,49,101,45,49,52,10,32,32,
      56,46,57,50,53,48,51,101,45,49,53,32,54,46,52,53,56,50,51,101,45,49,53,32,52,
      46,53,49,49,53,55,101,45,49,53,32,50,46,56,49,52,53,101,45,49,53,32,49,46,56,
      52,49,56,55,101,45,49,53,32,56,46,56,56,49,51,57,101,45,49,54,32,52,46,50,49,
      48,48,53,101,45,49,54,10,32,32,50,46,52,50,54,48,57,101,45,49,54,32,49,46,50,
      56,49,54,51,101,45,49,54,32,53,46,50,57,56,56,57,101,45,49,55,32,50,46,51,56,
      50,50,49,101,45,49,55,32,49,46,48,52,55,56,56,101,45,49,55,32,52,46,48,48,51,
      57,56,101,45,49,56,32,49,46,52,57,54,54,101,45,49,56,10,32,32,54,46,50,50,54,
      50,101,45,49,57,32,50,46,53,53,54,50,101,45,49,57,32,49,46,48,51,55,48,54,101,
      45,49,57,32,51,46,54,50,53,49,51,101,45,50,48,32,49,46,49,48,50,54,55,101,45,
      50,48,32,50,46,56,57,49,49,57,101,45,50,49,32,56,46,53,53,53,50,53,101,45,50,
      50,10,32,32,50,46,49,55,52,52,101,45,50,50,32,54,46,50,57,54,50,52,101,45,50,
      51,32,49,46,56,48,55,53,57,101,45,50,51,32,52,46,52,55,52,51,101,45,50,52,32,
      57,46,57,50,56,50,56,101,45,50,53,32,51,46,48,56,52,55,57,101,45,50,53,32,55,
      46,57,51,49,48,56,101,45,50,54,10,32,32,50,46,51,57,50,49,56,101,45,50,54,32,
      54,46,54,49,51,54,56,101,45,50,55,32,49,46,56,50,48,54,56,101,45,50,55,32,51,
      46,51,55,51,53,51,101,45,50,56,32,57,46,50,53,49,52,53,101,45,50,57,32,50,46,
      53,50,55,55,56,101,45,50,57,32,54,46,56,55,54,50,49,101,45,51,48,10,32,32,49,
      46,50,55,53,49,51,101,45,51,48,32,51,46,50,53,56,48,52,101,45,51,49,32,53,46,
      51,56,56,51,56,101,45,51,50,32,48,114,50,55,48,32,54,46,48,57,53,49,101,45,
      51,48,32,50,46,48,51,53,55,51,101,45,50,57,32,53,46,53,48,52,52,52,101,45,50,
      57,32,49,46,51,50,57,54,49,101,45,50,56,10,32,32,51,46,48,51,54,49,51,101,45,
      50,56,32,53,46,50,54,57,49,57,101,45,50,56,32,55,46,55,52,57,49,101,45,50,56,
      32,57,46,57,51,54,56,54,101,45,50,56,32,49,46,51,48,54,56,101,45,50,55,32,49,
      46,57,56,54,50,57,101,45,50,55,32,51,46,54,54,51,55,49,101,45,50,55,10,32,32,
      55,46,56,48,56,50,51,101,45,50,55,32,49,46,55,55,54,48,54,101,45,50,54,32,52,
      46,49,55,52,50,49,101,45,50,54,32,51,46,57,57,53,50,50,101,45,50,53,32,55,46,
      51,48,51,50,56,101,45,50,52,32,49,46,50,55,56,54,54,101,45,50,51,32,50,46,49,
      53,52,56,53,101,45,50,51,10,32,32,51,46,55,54,57,52,101,45,50,51,32,54,46,48,
      53,52,48,52,101,45,50,51,32,50,46,48,50,48,55,53,101,45,50,49,32,53,46,48,57,
      53,54,51,101,45,50,49,32,49,46,54,56,54,56,49,101,45,50,48,32,51,46,51,56,48,
      57,51,101,45,50,48,32,55,46,52,53,52,57,54,101,45,50,48,10,32,32,49,46,54,53,
      54,48,57,101,45,49,57,32,51,46,56,55,50,49,52,101,45,49,57,32,54,46,53,55,53,
      50,53,101,45,49,57,32,57,46,54,56,56,50,56,101,45,49,57,32,49,46,50,55,49,49,
      56,101,45,49,56,32,49,46,55,50,51,48,51,101,45,49,56,32,50,46,51,49,50,49,51,
      101,45,49,56,10,32,32,51,46,51,49,56,51,53,101,45,49,56,32,53,46,53,53,55,56,
      101,45,49,56,32,57,46,50,48,56,50,101,45,49,56,32,49,46,52,52,54,56,51,101,
      45,49,55,32,50,46,48,52,53,49,52,101,45,49,55,32,51,46,49,56,56,51,56,101,45,
      49,55,32,52,46,56,55,52,51,56,101,45,49,55,10,32,32,55,46,52,48,51,49,101,45,
      49,55,32,49,46,48,53,48,51,55,101,45,49,54,32,49,46,52,48,51,57,56,101,45,49,
      54,32,49,46,55,54,56,48,57,101,45,49,54,32,50,46,50,50,57,54,57,101,45,49,54,
      32,50,46,56,49,51,50,54,101,45,49,54,32,51,46,52,50,52,52,52,101,45,49,54,10,
      32,32,53,46,50,49,54,51,54,101,45,49,54,32,55,46,56,54,52,54,56,101,45,49,54,
      32,49,46,48,57,55,57,52,101,45,49,53,32,49,46,52,53,48,54,51,101,45,49,53,32,
      49,46,54,55,55,56,53,101,45,49,53,32,50,46,49,50,56,54,51,101,45,49,53,32,50,
      46,54,51,49,54,51,101,45,49,53,10,32,32,51,46,49,55,54,48,54,101,45,49,53,32,
      51,46,55,52,56,50,54,101,45,49,53,32,52,46,52,51,56,57,53,101,45,49,53,32,52,
      46,57,55,54,54,49,101,45,49,53,32,53,46,53,51,54,50,57,101,45,49,53,32,54,46,
      52,57,55,48,54,101,45,49,53,32,55,46,49,48,51,53,57,101,45,49,53,10,32,32,56,
      46,48,55,51,48,54,101,45,49,53,32,57,46,48,57,57,55,50,101,45,49,53,32,57,46,
      55,48,54,51,49,101,45,49,53,32,49,46,48,51,48,49,55,101,45,49,52,32,49,46,49,
      50,48,53,101,45,49,52,32,49,46,50,49,50,54,56,101,45,49,52,32,49,46,50,53,57,
      53,52,101,45,49,52,10,32,32,49,46,51,50,50,54,52,101,45,49,52,32,49,46,51,53,
      54,55,57,101,45,49,52,32,49,46,52,51,56,56,54,101,45,49,52,32,49,46,52,53,53,
      50,56,101,45,49,52,32,49,46,52,57,48,57,54,101,45,49,52,32,49,46,52,57,57,56,
      57,101,45,49,52,32,49,46,53,48,56,55,56,101,45,49,52,10,32,32,49,46,53,48,54,
      50,51,101,45,49,52,32,49,46,52,57,52,54,101,45,49,52,32,49,46,52,55,52,57,101,
      45,49,52,32,49,46,52,52,57,54,54,101,45,49,52,32,49,46,52,49,56,57,55,101,45,
      49,52,32,49,46,51,55,56,56,55,101,45,49,52,32,49,46,51,51,56,53,53,101,45,49,
      52,10,32,32,49,46,50,56,57,55,51,101,45,49,52,32,49,46,50,53,49,51,52,101,45,
      49,52,32,49,46,49,56,53,49,50,101,45,49,52,32,49,46,49,52,50,56,49,101,45,49,
      52,32,49,46,48,56,56,57,53,101,45,49,52,32,57,46,54,48,56,48,56,101,45,49,53,
      32,55,46,56,54,56,57,57,101,45,49,53,10,32,32,54,46,50,57,54,50,50,101,45,49,
      53,32,52,46,53,57,56,51,53,101,45,49,53,32,51,46,50,52,48,55,50,101,45,49,53,
      32,50,46,48,52,50,101,45,49,53,32,49,46,51,52,54,56,56,101,45,49,53,32,54,46,
      53,55,49,50,57,101,45,49,54,32,51,46,49,52,55,50,101,45,49,54,10,32,32,49,46,
      56,50,53,56,57,101,45,49,54,32,57,46,55,49,52,51,52,101,45,49,55,32,52,46,48,
      53,49,55,55,101,45,49,55,32,49,46,56,51,52,53,101,45,49,55,32,56,46,49,50,50,
      57,50,101,45,49,56,32,51,46,49,50,53,52,57,101,45,49,56,32,49,46,49,55,53,55,
      56,101,45,49,56,10,32,32,52,46,57,49,55,49,57,101,45,49,57,32,50,46,48,50,56,
      55,101,45,49,57,32,56,46,50,54,56,51,56,101,45,50,48,32,50,46,57,48,53,51,55,
      101,45,50,48,32,56,46,56,56,50,57,49,101,45,50,49,32,50,46,51,52,49,51,54,101,
      45,50,49,32,54,46,57,53,56,55,50,101,45,50,50,10,32,32,49,46,55,55,54,55,49,
      101,45,50,50,32,53,46,49,54,52,49,57,101,45,50,51,32,49,46,52,56,55,56,53,101,
      45,50,51,32,51,46,54,57,54,51,57,101,45,50,52,32,56,46,50,51,50,49,57,101,45,
      50,53,32,50,46,53,54,52,53,56,101,45,50,53,32,54,46,54,49,50,54,53,101,45,50,
      54,10,32,32,49,46,57,57,57,51,101,45,50,54,32,53,46,53,52,48,56,55,101,45,50,
      55,32,49,46,53,50,56,56,53,101,45,50,55,32,50,46,56,52,56,52,101,45,50,56,32,
      55,46,56,50,54,54,55,101,45,50,57,32,50,46,49,52,51,50,51,101,45,50,57,32,53,
      46,56,51,56,50,54,101,45,51,48,10,32,32,49,46,48,56,53,48,49,101,45,51,48,32,
      50,46,55,55,50,53,52,101,45,51,49,32,53,46,51,53,49,51,57,101,45,51,50,32,55,
      46,50,56,52,54,54,101,45,51,51,32,48,114,50,54,57,32,49,46,52,52,57,53,53,101,
      45,51,48,32,52,46,57,53,53,48,51,101,45,51,48,32,49,46,51,55,52,54,52,101,45,
      50,57,10,32,32,51,46,51,57,53,57,52,101,45,50,57,32,55,46,57,49,51,48,51,101,
      45,50,57,32,49,46,51,56,57,57,54,101,45,50,56,32,50,46,48,53,56,54,57,101,45,
      50,56,32,50,46,54,52,56,53,51,101,45,50,56,32,51,46,52,57,55,51,51,101,45,50,
      56,32,53,46,51,54,50,49,49,101,45,50,56,10,32,32,49,46,48,48,51,50,50,101,45,
      50,55,32,50,46,49,55,55,51,55,101,45,50,55,32,53,46,48,53,50,57,54,101,45,50,
      55,32,49,46,50,49,50,57,51,101,45,50,54,32,49,46,50,50,56,49,56,101,45,50,53,
      32,50,46,51,57,51,48,54,101,45,50,52,32,52,46,50,53,53,51,53,101,45,50,52,10,
      32,32,55,46,50,55,55,57,51,101,45,50,52,32,49,46,50,57,53,57,51,101,45,50,51,
      32,50,46,49,49,51,51,50,101,45,50,51,32,56,46,51,57,50,48,52,101,45,50,50,32,
      50,46,49,50,54,49,53,101,45,50,49,32,55,46,50,57,51,55,57,101,45,50,49,32,49,
      46,53,48,57,48,49,101,45,50,48,10,32,32,51,46,52,52,53,53,49,101,45,50,48,32,
      56,46,48,48,50,56,54,101,45,50,48,32,50,46,49,48,55,48,57,101,45,49,57,32,51,
      46,54,54,54,51,51,101,45,49,57,32,53,46,52,51,56,51,56,101,45,49,57,32,55,46,
      49,54,54,50,51,101,45,49,57,32,57,46,55,55,49,50,54,101,45,49,57,10,32,32,49,
      46,51,50,49,56,57,101,45,49,56,32,49,46,57,49,55,53,50,101,45,49,56,32,51,46,
      50,52,49,57,57,101,45,49,56,32,53,46,52,49,57,56,57,101,45,49,56,32,56,46,53,
      55,57,53,51,101,45,49,56,32,49,46,50,49,57,49,54,101,45,49,55,32,49,46,57,49,
      50,55,56,101,45,49,55,10,32,32,50,46,57,52,49,51,51,101,45,49,55,32,52,46,52,
      57,50,55,50,101,45,49,55,32,54,46,52,48,52,57,54,101,45,49,55,32,56,46,53,57,
      51,52,52,101,45,49,55,32,49,46,48,56,53,51,51,101,45,49,54,32,49,46,51,55,50,
      55,55,101,45,49,54,32,49,46,55,51,55,54,52,101,45,49,54,10,32,32,50,46,49,50,
      49,51,49,101,45,49,54,32,51,46,50,53,51,51,54,101,45,49,54,32,52,46,57,52,49,
      49,55,101,45,49,54,32,54,46,57,52,50,50,51,101,45,49,54,32,57,46,50,50,49,51,
      54,101,45,49,54,32,49,46,48,54,57,48,54,101,45,49,53,32,49,46,51,54,50,57,52,
      101,45,49,53,10,32,32,49,46,54,57,50,55,56,101,45,49,53,32,50,46,48,53,49,55,
      55,101,45,49,53,32,50,46,52,51,49,48,53,101,45,49,53,32,50,46,56,57,49,51,53,
      101,45,49,53,32,51,46,50,53,49,52,49,101,45,49,53,32,51,46,54,50,55,56,49,101,
      45,49,53,32,52,46,50,55,55,54,50,101,45,49,53,10,32,32,52,46,54,57,48,50,51,
      101,45,49,53,32,53,46,51,53,51,54,50,101,45,49,53,32,54,46,48,54,49,54,49,101,
      45,49,53,32,54,46,52,56,50,55,55,101,45,49,53,32,54,46,56,57,56,52,49,101,45,
      49,53,32,55,46,53,51,51,56,51,101,45,49,53,32,56,46,49,56,57,51,57,101,45,49,
      53,10,32,32,56,46,53,50,54,49,57,101,45,49,53,32,56,46,57,56,55,52,52,101,45,
      49,53,32,57,46,50,51,54,54,50,101,45,49,53,32,57,46,56,51,49,48,49,101,45,49,
      53,32,57,46,57,55,56,52,53,101,45,49,53,32,49,46,48,50,54,55,52,101,45,49,52,
      32,49,46,48,51,52,55,101,45,49,52,10,32,32,49,46,48,52,52,50,57,101,45,49,52,
      32,49,46,48,52,54,51,101,45,49,52,32,49,46,48,52,49,51,49,101,45,49,52,32,49,
      46,48,51,48,53,57,101,45,49,52,32,49,46,48,49,53,55,101,45,49,52,32,57,46,57,
      54,56,49,57,101,45,49,53,32,57,46,55,49,52,52,57,101,45,49,53,10,32,32,57,46,
      52,53,52,51,54,101,45,49,53,32,57,46,49,51,52,55,49,101,45,49,53,32,56,46,56,
      56,48,54,101,45,49,53,32,56,46,52,51,55,57,53,101,45,49,53,32,56,46,49,53,50,
      54,55,101,45,49,53,32,55,46,55,56,55,49,54,101,45,49,53,32,54,46,57,48,56,56,
      101,45,49,53,10,32,32,53,46,54,57,57,57,56,101,45,49,53,32,52,46,53,57,50,51,
      55,101,45,49,53,32,51,46,51,56,49,56,54,101,45,49,53,32,50,46,52,48,50,50,55,
      101,45,49,53,32,49,46,53,50,55,51,50,101,45,49,53,32,49,46,48,49,52,53,52,101,
      45,49,53,32,53,46,48,48,50,52,51,101,45,49,54,10,32,32,50,46,52,49,56,49,55,
      101,45,49,54,32,49,46,52,49,49,52,57,101,45,49,54,32,55,46,53,53,55,55,54,101,
      45,49,55,32,51,46,49,55,55,51,53,101,45,49,55,32,49,46,52,52,55,56,52,101,45,
      49,55,32,54,46,52,52,57,50,50,101,45,49,56,32,50,46,52,57,55,50,51,101,45,49,
      56,10,32,32,57,46,52,52,57,51,50,101,45,49,57,32,51,46,57,55,48,53,56,101,45,
      49,57,32,49,46,54,52,53,52,52,101,45,49,57,32,54,46,55,51,52,51,51,101,45,50,
      48,32,50,46,51,55,55,53,49,101,45,50,48,32,55,46,51,48,51,48,50,101,45,50,49,
      32,49,46,57,51,52,49,54,101,45,50,49,10,32,32,53,46,55,55,49,52,51,101,45,50,
      50,32,49,46,52,55,57,54,57,101,45,50,50,32,52,46,51,49,53,54,56,101,45,50,51,
      32,49,46,50,52,55,51,56,101,45,50,51,32,51,46,49,48,57,50,55,101,45,50,52,32,
      54,46,57,52,55,54,55,101,45,50,53,32,50,46,49,54,57,54,51,101,45,50,53,10,32,
      32,53,46,54,48,57,101,45,50,54,32,49,46,54,57,57,53,53,101,45,50,54,32,52,46,
      55,50,48,53,52,101,45,50,55,32,49,46,51,48,53,50,51,101,45,50,55,32,50,46,52,
      52,51,54,53,101,45,50,56,32,54,46,55,50,55,51,101,45,50,57,32,49,46,56,52,53,
      50,101,45,50,57,10,32,32,53,46,48,51,52,50,52,101,45,51,48,32,57,46,51,55,53,
      56,50,101,45,51,49,32,50,46,52,53,51,49,51,101,45,51,49,32,53,46,49,57,49,55,
      54,101,45,51,50,32,54,46,50,49,49,52,53,101,45,51,51,32,48,114,50,54,57,32,
      54,46,53,48,52,54,56,101,45,51,49,32,50,46,50,53,50,54,56,101,45,51,48,10,32,
      32,54,46,51,51,56,50,55,101,45,51,48,32,49,46,53,56,53,51,56,101,45,50,57,32,
      51,46,55,51,53,55,54,101,45,50,57,32,54,46,54,48,53,55,55,101,45,50,57,32,57,
      46,56,50,50,51,56,101,45,50,57,32,49,46,50,54,53,57,51,101,45,50,56,32,49,46,
      54,55,53,51,56,101,45,50,56,10,32,32,50,46,53,56,49,48,49,101,45,50,56,32,52,
      46,56,54,55,49,51,101,45,50,56,32,49,46,48,54,55,48,53,101,45,50,55,32,50,46,
      53,48,51,56,57,101,45,50,55,32,54,46,48,56,49,48,54,101,45,50,55,32,54,46,51,
      53,50,56,49,101,45,50,54,32,49,46,50,56,50,50,57,101,45,50,52,10,32,32,50,46,
      50,57,57,56,52,101,45,50,52,32,51,46,57,54,53,56,101,45,50,52,32,55,46,49,51,
      49,57,51,101,45,50,52,32,49,46,49,55,50,57,51,101,45,50,51,32,53,46,49,48,56,
      49,54,101,45,50,50,32,49,46,50,57,56,49,52,101,45,50,49,32,52,46,53,51,56,51,
      51,101,45,50,49,10,32,32,57,46,53,53,54,49,101,45,50,49,32,50,46,50,50,52,54,
      53,101,45,50,48,32,53,46,50,57,56,48,55,101,45,50,48,32,49,46,52,57,52,52,49,
      101,45,49,57,32,50,46,54,51,54,53,54,101,45,49,57,32,51,46,57,50,56,52,52,101,
      45,49,57,32,53,46,49,57,49,50,51,101,45,49,57,10,32,32,55,46,49,48,54,55,56,
      101,45,49,57,32,57,46,54,54,51,51,54,101,45,49,57,32,49,46,52,49,48,54,49,101,
      45,49,56,32,50,46,51,57,56,56,51,101,45,49,56,32,52,46,48,51,50,50,51,101,45,
      49,56,32,54,46,52,49,49,49,55,101,45,49,56,32,57,46,49,51,56,57,50,101,45,49,
      56,10,32,32,49,46,52,51,57,50,52,101,45,49,55,32,50,46,50,50,48,55,53,101,45,
      49,55,32,51,46,52,48,51,50,52,101,45,49,55,32,52,46,56,54,53,48,52,101,45,49,
      55,32,54,46,53,52,49,49,56,101,45,49,55,32,56,46,50,55,52,54,54,101,45,49,55,
      32,49,46,48,52,56,51,52,101,45,49,54,10,32,32,49,46,51,50,57,51,50,101,45,49,
      54,32,49,46,54,50,53,52,50,101,45,49,54,32,50,46,53,48,50,48,54,101,45,49,54,
      32,51,46,56,49,53,50,54,101,45,49,54,32,53,46,51,55,57,48,55,101,45,49,54,32,
      55,46,49,54,53,57,57,101,45,49,54,32,56,46,51,49,56,51,53,101,45,49,54,10,32,
      32,49,46,48,54,51,51,56,101,45,49,53,32,49,46,51,50,52,48,55,101,45,49,53,32,
      49,46,54,48,56,54,53,101,45,49,53,32,49,46,57,49,48,49,57,101,45,49,53,32,50,
      46,50,55,55,50,51,101,45,49,53,32,50,46,53,54,53,49,51,101,45,49,53,32,50,46,
      56,54,54,55,55,101,45,49,53,10,32,32,51,46,51,56,57,49,51,101,45,49,53,32,51,
      46,55,50,49,56,53,101,45,49,53,32,52,46,50,53,56,53,49,101,45,49,53,32,52,46,
      56,51,51,54,53,101,45,49,53,32,53,46,49,55,55,48,50,101,45,49,53,32,53,46,53,
      49,54,56,56,101,45,49,53,32,54,46,48,51,56,53,50,101,45,49,53,10,32,32,54,46,
      53,55,57,56,53,101,45,49,53,32,54,46,56,53,57,52,54,101,45,49,53,32,55,46,50,
      52,53,56,56,101,45,49,53,32,55,46,52,53,54,52,57,101,45,49,53,32,55,46,57,53,
      48,50,54,101,45,49,53,32,56,46,48,56,52,56,51,101,45,49,53,32,56,46,51,51,56,
      53,56,101,45,49,53,10,32,32,56,46,52,49,49,51,50,101,45,49,53,32,56,46,53,48,
      52,57,57,101,45,49,53,32,56,46,53,51,56,52,51,101,45,49,53,32,56,46,53,49,49,
      55,55,101,45,49,53,32,56,46,52,51,55,57,101,45,49,53,32,56,46,51,50,56,53,55,
      101,45,49,53,32,56,46,49,56,53,55,53,101,45,49,53,10,32,32,55,46,57,57,48,50,
      54,101,45,49,53,32,55,46,55,56,55,51,101,45,49,53,32,55,46,53,51,53,53,57,101,
      45,49,53,32,55,46,51,51,52,49,55,101,45,49,53,32,54,46,57,56,49,49,55,101,45,
      49,53,32,54,46,55,53,50,53,49,101,45,49,53,32,54,46,52,53,56,52,53,101,45,49,
      53,10,32,32,53,46,55,52,55,53,57,101,45,49,53,32,52,46,55,54,49,51,56,101,45,
      49,53,32,51,46,56,53,48,57,51,101,45,49,53,32,50,46,56,52,56,57,53,101,45,49,
      53,32,50,46,48,51,50,54,50,101,45,49,53,32,49,46,50,57,56,55,55,101,45,49,53,
      32,56,46,54,54,49,50,50,101,45,49,54,10,32,32,52,46,50,57,53,55,57,101,45,49,
      54,32,50,46,48,56,55,51,52,101,45,49,54,32,49,46,50,50,50,53,51,101,45,49,54,
      32,54,46,53,54,57,51,53,101,45,49,55,32,50,46,55,55,52,48,53,101,45,49,55,32,
      49,46,50,54,56,54,101,45,49,55,32,53,46,54,54,57,54,55,101,45,49,56,10,32,32,
      50,46,50,48,51,49,53,101,45,49,56,32,56,46,51,54,51,54,57,101,45,49,57,32,51,
      46,53,50,51,55,52,101,45,49,57,32,49,46,52,54,51,57,101,45,49,57,32,54,46,48,
      48,53,51,50,101,45,50,48,32,50,46,49,50,53,55,51,101,45,50,48,32,54,46,53,52,
      54,54,56,101,45,50,49,10,32,32,49,46,55,51,56,53,49,101,45,50,49,32,53,46,49,
      57,57,50,49,101,45,50,50,32,49,46,51,51,54,48,55,101,45,50,50,32,51,46,57,48,
      52,50,55,101,45,50,51,32,49,46,49,51,48,52,57,101,45,50,51,32,50,46,56,50,51,
      49,53,101,45,50,52,32,54,46,51,50,48,48,53,101,45,50,53,10,32,32,49,46,57,55,
      54,50,57,101,45,50,53,32,53,46,49,49,54,55,49,101,45,50,54,32,49,46,53,53,50,
      50,56,101,45,50,54,32,52,46,51,49,54,56,51,101,45,50,55,32,49,46,49,57,53,101,
      45,50,55,32,50,46,50,52,51,52,56,101,45,50,56,32,54,46,49,56,50,57,54,101,45,
      50,57,10,32,32,49,46,54,57,55,56,52,101,45,50,57,32,52,46,54,51,53,48,52,101,
      45,51,48,32,56,46,54,56,49,52,54,101,45,51,49,32,50,46,50,54,49,55,53,101,45,
      51,49,32,52,46,55,56,51,101,45,51,50,32,53,46,54,56,50,56,53,101,45,51,51,32,
      48,114,50,54,57,32,52,46,57,52,53,53,52,101,45,51,50,10,32,32,49,46,55,56,53,
      56,51,101,45,51,49,32,53,46,50,53,53,52,54,101,45,51,49,32,49,46,51,54,55,53,
      52,101,45,51,48,32,51,46,51,52,49,48,53,101,45,51,48,32,54,46,48,51,52,55,51,
      101,45,51,48,32,57,46,48,56,54,49,54,101,45,51,48,32,49,46,49,55,55,55,49,101,
      45,50,57,10,32,32,49,46,53,54,57,55,101,45,50,57,32,50,46,52,53,53,51,51,101,
      45,50,57,32,52,46,55,52,56,48,55,101,45,50,57,32,49,46,48,55,52,57,54,101,45,
      50,56,32,50,46,54,49,51,52,53,101,45,50,56,32,54,46,53,56,56,54,101,45,50,56,
      32,55,46,53,54,56,56,51,101,45,50,55,10,32,32,49,46,54,57,56,48,51,101,45,50,
      53,32,51,46,49,50,57,57,50,101,45,50,53,32,53,46,53,52,48,51,55,101,45,50,53,
      32,49,46,48,50,56,54,49,101,45,50,52,32,49,46,55,51,56,51,50,101,45,50,52,32,
      49,46,48,48,50,55,101,45,50,50,32,50,46,53,55,56,51,101,45,50,50,10,32,32,57,
      46,53,52,52,50,101,45,50,50,32,50,46,49,50,53,57,54,101,45,50,49,32,53,46,50,
      54,55,51,49,101,45,50,49,32,49,46,51,54,49,51,55,101,45,50,48,32,52,46,56,52,
      57,53,52,101,45,50,48,32,56,46,57,51,57,55,51,101,45,50,48,32,49,46,51,53,52,
      51,55,101,45,49,57,10,32,32,49,46,56,48,57,52,101,45,49,57,32,50,46,53,50,50,
      55,52,101,45,49,57,32,51,46,52,57,56,50,52,101,45,49,57,32,53,46,50,49,52,49,
      57,101,45,49,57,32,57,46,48,53,56,57,49,101,45,49,57,32,49,46,53,53,50,57,50,
      101,45,49,56,32,50,46,53,48,55,49,54,101,45,49,56,10,32,32,51,46,54,49,50,56,
      53,101,45,49,56,32,53,46,55,54,52,52,57,101,45,49,56,32,57,46,48,48,49,54,50,
      101,45,49,56,32,49,46,51,57,53,50,50,101,45,49,55,32,50,46,48,49,51,49,57,101,
      45,49,55,32,50,46,55,50,54,48,56,101,45,49,55,32,51,46,52,54,55,48,51,101,45,
      49,55,10,32,32,52,46,52,49,54,52,49,101,45,49,55,32,53,46,54,51,50,54,51,101,
      45,49,55,32,54,46,57,50,51,48,54,101,45,49,55,32,49,46,48,55,56,52,57,101,45,
      49,54,32,49,46,54,54,53,54,50,101,45,49,54,32,50,46,51,55,52,54,101,45,49,54,
      32,51,46,49,57,51,48,55,101,45,49,54,10,32,32,51,46,55,50,49,54,101,45,49,54,
      32,52,46,55,57,56,52,52,101,45,49,54,32,54,46,48,50,50,57,54,101,45,49,54,32,
      55,46,51,55,50,52,57,101,45,49,54,32,56,46,56,49,53,51,56,101,45,49,54,32,49,
      46,48,53,56,56,49,101,45,49,53,32,49,46,49,57,57,48,51,101,45,49,53,10,32,32,
      49,46,51,52,55,101,45,49,53,32,49,46,54,48,53,55,50,101,45,49,53,32,49,46,55,
      55,50,49,50,101,45,49,53,32,50,46,48,52,51,50,101,45,49,53,32,50,46,51,51,55,
      52,57,101,45,49,53,32,50,46,53,49,53,49,54,101,45,49,53,32,50,46,54,57,50,53,
      54,101,45,49,53,10,32,32,50,46,57,54,56,49,56,101,45,49,53,32,51,46,50,53,57,
      50,51,101,45,49,53,32,51,46,52,49,49,57,49,101,45,49,53,32,51,46,54,50,53,51,
      57,101,45,49,53,32,51,46,55,53,48,50,101,45,49,53,32,52,46,48,50,53,56,101,
      45,49,53,32,52,46,49,49,52,50,54,101,45,49,53,10,32,32,52,46,50,55,52,53,50,
      101,45,49,53,32,52,46,51,50,53,49,51,101,45,49,53,32,52,46,51,57,57,48,50,101,
      45,49,53,32,52,46,52,52,52,53,54,101,45,49,53,32,52,46,52,53,51,57,53,101,45,
      49,53,32,52,46,52,51,56,49,57,101,45,49,53,32,52,46,52,48,49,54,56,101,45,49,
      53,10,32,32,52,46,51,52,54,51,53,101,45,49,53,32,52,46,50,54,52,49,57,101,45,
      49,53,32,52,46,49,55,52,52,55,101,45,49,53,32,52,46,48,53,57,50,51,101,45,49,
      53,32,51,46,57,54,52,55,50,101,45,49,53,32,51,46,55,57,53,52,53,101,45,49,53,
      32,51,46,54,56,51,56,51,101,45,49,53,10,32,32,51,46,53,51,56,52,101,45,49,53,
      32,51,46,49,55,57,54,51,101,45,49,53,32,50,46,54,54,56,51,55,101,45,49,53,32,
      50,46,49,56,52,53,54,101,45,49,53,32,49,46,54,51,57,57,55,101,45,49,53,32,49,
      46,49,56,54,53,49,101,45,49,53,32,55,46,55,48,50,55,57,101,45,49,54,10,32,32,
      53,46,50,48,49,54,54,101,45,49,54,32,50,46,54,50,56,56,53,101,45,49,54,32,49,
      46,50,57,56,54,55,101,45,49,54,32,55,46,54,56,57,51,57,101,45,49,55,32,52,46,
      49,55,57,54,49,101,45,49,55,32,49,46,55,57,48,49,57,101,45,49,55,32,56,46,50,
      56,49,52,51,101,45,49,56,10,32,32,51,46,55,52,49,48,50,101,45,49,56,32,49,46,
      52,55,48,51,51,101,45,49,56,32,53,46,54,52,48,57,53,101,45,49,57,32,50,46,51,
      57,55,49,101,45,49,57,32,49,46,48,48,51,56,56,101,45,49,57,32,52,46,49,52,57,
      50,56,101,45,50,48,32,49,46,52,56,49,50,55,101,45,50,48,10,32,32,52,46,54,48,
      48,53,57,101,45,50,49,32,49,46,50,51,50,51,51,101,45,50,49,32,51,46,55,49,50,
      49,49,101,45,50,50,32,57,46,54,49,49,48,56,101,45,50,51,32,50,46,56,50,54,48,
      56,101,45,50,51,32,56,46,50,51,48,56,54,101,45,50,52,32,50,46,48,54,55,57,49,
      101,45,50,52,10,32,32,52,46,54,53,55,51,55,101,45,50,53,32,49,46,52,54,50,55,
      53,101,45,50,53,32,51,46,56,48,53,50,51,101,45,50,54,32,49,46,49,53,56,57,56,
      101,45,50,54,32,51,46,50,51,54,48,53,101,45,50,55,32,56,46,57,57,50,50,49,101,
      45,50,56,32,49,46,55,48,51,53,51,101,45,50,56,10,32,32,52,46,55,49,48,56,51,
      101,45,50,57,32,49,46,50,57,55,53,101,45,50,57,32,51,46,53,53,52,52,53,101,
      45,51,48,32,54,46,55,50,57,56,50,101,45,51,49,32,49,46,55,57,55,50,101,45,51,
      49,32,51,46,57,49,51,49,51,101,45,51,50,32,52,46,50,54,55,55,50,101,45,51,51,
      10,32,32,48,114,50,54,57,32,50,46,56,55,55,50,49,101,45,51,51,32,49,46,48,56,
      55,53,51,101,45,51,50,32,51,46,51,54,49,55,50,101,45,51,50,32,57,46,49,51,51,
      50,50,101,45,51,50,32,50,46,51,49,56,55,54,101,45,51,49,32,52,46,50,56,53,57,
      53,101,45,51,49,32,54,46,53,52,49,49,51,101,45,51,49,10,32,32,56,46,53,50,57,
      52,53,101,45,51,49,32,49,46,49,52,53,52,52,101,45,51,48,32,49,46,56,50,49,53,
      57,101,45,51,48,32,51,46,54,50,49,54,101,45,51,48,32,56,46,52,57,48,55,50,101,
      45,51,48,32,50,46,49,52,53,50,54,101,45,50,57,32,53,46,54,51,50,48,55,101,45,
      50,57,10,32,32,55,46,49,53,48,51,50,101,45,50,56,32,49,46,55,57,48,51,101,45,
      50,54,32,51,46,51,57,57,49,51,101,45,50,54,32,54,46,49,57,49,49,49,101,45,50,
      54,32,49,46,49,57,48,52,53,101,45,50,53,32,50,46,48,55,50,55,54,101,45,50,53,
      32,49,46,53,57,49,49,50,101,45,50,51,10,32,32,52,46,49,53,54,54,55,101,45,50,
      51,32,49,46,54,50,57,54,56,101,45,50,50,32,51,46,56,53,56,53,53,101,45,50,50,
      32,49,46,48,50,51,49,53,101,45,50,49,32,50,46,56,57,52,53,52,101,45,50,49,32,
      49,46,51,52,54,56,50,101,45,50,48,32,50,46,54,48,48,55,50,101,45,50,48,10,32,
      32,52,46,48,50,55,52,52,101,45,50,48,32,53,46,52,55,48,52,101,45,50,48,32,55,
      46,57,53,50,54,54,101,45,50,48,32,49,46,49,51,56,50,52,101,45,49,57,32,49,46,
      55,50,57,48,51,101,45,49,57,32,51,46,48,56,55,55,49,101,45,49,57,32,53,46,52,
      50,48,54,49,101,45,49,57,10,32,32,56,46,56,57,55,52,101,45,49,57,32,49,46,50,
      57,55,56,55,101,45,49,56,32,50,46,49,48,50,51,101,45,49,56,32,51,46,51,51,101,
      45,49,56,32,53,46,50,51,48,53,57,101,45,49,56,32,55,46,54,50,57,57,56,101,45,
      49,56,32,49,46,48,52,49,54,57,101,45,49,55,32,49,46,51,51,50,57,55,101,45,49,
      55,10,32,32,49,46,55,48,56,52,52,101,45,49,55,32,50,46,49,57,51,49,50,101,45,
      49,55,32,50,46,55,49,49,49,101,45,49,55,32,52,46,50,55,56,57,101,45,49,55,32,
      54,46,55,48,48,50,101,45,49,55,32,57,46,54,54,55,52,49,101,45,49,55,32,49,46,
      51,49,51,49,49,101,45,49,54,10,32,32,49,46,53,51,55,49,57,101,45,49,54,32,50,
      46,48,48,48,53,49,101,45,49,54,32,50,46,53,51,51,49,50,101,45,49,54,32,51,46,
      49,50,54,49,56,101,45,49,54,32,51,46,55,54,54,53,101,45,49,54,32,52,46,53,54,
      49,49,49,101,45,49,54,32,53,46,49,57,53,52,101,45,49,54,10,32,32,53,46,56,54,
      57,56,54,101,45,49,54,32,55,46,48,54,49,50,51,101,45,49,54,32,55,46,56,51,53,
      52,49,101,45,49,54,32,57,46,49,48,57,54,52,101,45,49,54,32,49,46,48,53,49,49,
      54,101,45,49,53,32,49,46,49,51,54,55,55,101,45,49,53,32,49,46,50,50,51,48,50,
      101,45,49,53,10,32,32,49,46,51,53,56,54,57,101,45,49,53,32,49,46,53,48,52,52,
      49,101,45,49,53,32,49,46,53,56,49,57,52,101,45,49,53,32,49,46,54,57,48,52,54,
      101,45,49,53,32,49,46,55,53,56,48,53,101,45,49,53,32,49,46,57,48,51,49,54,101,
      45,49,53,32,49,46,57,53,53,50,49,101,45,49,53,10,32,32,50,46,48,52,55,53,54,
      101,45,49,53,32,50,46,48,55,56,55,51,101,45,49,53,32,50,46,49,50,55,55,49,101,
      45,49,53,32,50,46,49,54,52,54,54,101,45,49,53,32,50,46,49,56,49,53,56,101,45,
      49,53,32,50,46,49,56,54,48,54,101,45,49,53,32,50,46,49,55,57,51,51,101,45,49,
      53,10,32,32,50,46,49,54,50,56,49,101,45,49,53,32,50,46,49,51,51,54,55,101,45,
      49,53,32,50,46,48,57,56,57,49,101,45,49,53,32,50,46,48,53,49,55,54,101,45,49,
      53,32,50,46,48,49,49,55,101,45,49,53,32,49,46,57,51,55,55,56,101,45,49,53,32,
      49,46,56,56,55,56,54,101,45,49,53,10,32,32,49,46,56,50,49,55,50,101,45,49,53,
      32,49,46,54,53,52,51,55,101,45,49,53,32,49,46,52,48,56,48,53,101,45,49,53,32,
      49,46,49,54,56,49,53,101,45,49,53,32,56,46,57,49,48,50,101,45,49,54,32,54,46,
      53,52,53,51,49,101,45,49,54,32,52,46,51,50,51,53,56,101,45,49,54,10,32,32,50,
      46,57,54,48,48,50,101,45,49,54,32,49,46,53,50,55,49,101,45,49,54,32,55,46,54,
      56,50,50,51,101,45,49,55,32,52,46,54,48,51,51,53,101,45,49,55,32,50,46,53,51,
      51,57,51,101,45,49,55,32,49,46,49,48,50,52,54,101,45,49,55,32,53,46,49,54,53,
      50,55,101,45,49,56,10,32,32,50,46,51,54,49,49,56,101,45,49,56,32,57,46,51,57,
      55,55,53,101,45,49,57,32,51,46,54,52,55,53,57,101,45,49,57,32,49,46,53,54,52,
      55,57,101,45,49,57,32,54,46,54,49,49,55,53,101,45,50,48,32,50,46,55,53,53,55,
      53,101,45,50,48,32,57,46,57,51,48,55,53,101,45,50,49,10,32,32,51,46,49,49,51,
      52,49,101,45,50,49,32,56,46,52,50,48,52,55,101,45,50,50,32,50,46,53,53,54,57,
      49,101,45,50,50,32,54,46,54,55,53,55,51,101,45,50,51,32,49,46,57,55,54,54,51,
      101,45,50,51,32,53,46,55,57,52,51,51,101,45,50,52,32,49,46,52,54,53,53,55,101,
      45,50,52,10,32,32,51,46,51,50,51,48,51,101,45,50,53,32,49,46,48,52,56,55,54,
      101,45,50,53,32,50,46,55,52,50,56,49,101,45,50,54,32,56,46,51,57,48,57,50,101,
      45,50,55,32,50,46,51,53,51,51,53,101,45,50,55,32,54,46,53,54,55,49,56,101,45,
      50,56,32,49,46,50,53,54,55,56,101,45,50,56,10,32,32,51,46,52,56,56,49,51,101,
      45,50,57,32,57,46,54,52,50,48,49,101,45,51,48,32,50,46,54,53,53,48,55,101,45,
      51,48,32,53,46,48,52,50,51,101,45,51,49,32,49,46,51,54,50,53,55,101,45,51,49,
      32,50,46,57,51,50,56,51,101,45,51,50,32,52,46,49,56,54,51,53,101,45,51,51,10,
      32,32,48,114,50,55,48,32,53,46,56,56,48,48,57,101,45,51,52,32,49,46,57,56,48,
      48,56,101,45,51,51,32,53,46,57,53,55,48,52,101,45,51,51,32,49,46,53,55,50,48,
      50,101,45,51,50,32,50,46,57,55,51,50,54,101,45,51,50,32,52,46,53,57,57,50,57,
      101,45,51,50,32,54,46,48,51,50,57,53,101,45,51,50,10,32,32,56,46,49,54,49,56,
      55,101,45,51,50,32,49,46,51,49,57,49,51,101,45,51,49,32,50,46,54,57,51,52,57,
      101,45,51,49,32,54,46,53,51,55,53,52,101,45,51,49,32,49,46,55,49,55,50,56,101,
      45,51,48,32,52,46,54,57,52,48,50,101,45,51,48,32,54,46,53,54,56,53,55,101,45,
      50,57,10,32,32,49,46,56,50,56,49,55,101,45,50,55,32,51,46,53,55,52,52,57,101,
      45,50,55,32,54,46,54,57,56,56,51,101,45,50,55,32,49,46,51,51,52,52,55,101,45,
      50,54,32,50,46,51,57,52,50,55,101,45,50,54,32,50,46,51,56,50,57,101,45,50,52,
      32,54,46,51,52,53,48,52,101,45,50,52,10,32,32,50,46,54,50,50,48,50,101,45,50,
      51,32,54,46,53,57,52,55,50,101,45,50,51,32,49,46,56,55,49,49,52,101,45,50,50,
      32,53,46,55,57,50,57,49,101,45,50,50,32,51,46,53,50,48,53,52,101,45,50,49,32,
      55,46,49,49,49,53,52,101,45,50,49,32,49,46,49,50,57,54,101,45,50,48,10,32,32,
      49,46,53,55,48,54,53,101,45,50,48,32,50,46,52,56,50,50,101,45,50,48,32,51,46,
      55,51,48,55,56,101,45,50,48,32,53,46,55,49,55,55,56,101,45,50,48,32,49,46,48,
      53,50,51,54,101,45,49,57,32,49,46,56,57,50,50,57,101,45,49,57,32,51,46,49,52,
      55,51,56,101,45,49,57,10,32,32,52,46,54,52,48,57,54,101,45,49,57,32,55,46,54,
      50,54,48,57,101,45,49,57,32,49,46,50,50,53,57,51,101,45,49,56,32,49,46,57,53,
      50,49,56,101,45,49,56,32,50,46,56,56,48,52,51,101,45,49,56,32,51,46,57,54,54,
      56,55,101,45,49,56,32,53,46,49,48,57,50,49,101,45,49,56,10,32,32,54,46,53,57,
      48,57,57,101,45,49,56,32,56,46,53,49,56,55,56,101,45,49,56,32,49,46,48,53,57,
      52,101,45,49,55,32,49,46,54,57,52,54,51,101,45,49,55,32,50,46,54,57,48,56,101,
      45,49,55,32,51,46,57,50,56,57,54,101,45,49,55,32,53,46,51,56,57,55,56,101,45,
      49,55,10,32,32,54,46,51,51,54,54,57,101,45,49,55,32,56,46,51,50,50,49,56,101,
      45,49,55,32,49,46,48,54,50,56,54,101,45,49,54,32,49,46,51,50,50,50,52,101,45,
      49,54,32,49,46,54,48,52,57,53,101,45,49,54,32,49,46,57,53,57,49,56,101,45,49,
      54,32,50,46,50,52,52,52,50,101,45,49,54,10,32,32,50,46,53,52,57,57,56,101,45,
      49,54,32,51,46,48,57,53,48,49,101,45,49,54,32,51,46,52,53,50,54,54,101,45,49,
      54,32,52,46,48,52,55,49,52,101,45,49,54,32,52,46,55,48,57,53,49,101,45,49,54,
      32,53,46,49,49,56,51,51,101,45,49,54,32,53,46,53,51,51,54,54,101,45,49,54,10,
      32,32,54,46,49,57,52,51,49,101,45,49,54,32,54,46,57,49,53,49,53,101,45,49,54,
      32,55,46,51,48,51,56,53,101,45,49,54,32,55,46,56,53,51,55,57,101,45,49,54,32,
      56,46,49,57,52,49,51,101,45,49,54,32,56,46,57,52,51,56,53,101,45,49,54,32,57,
      46,50,52,53,52,54,101,45,49,54,10,32,32,57,46,55,54,48,57,49,101,45,49,54,32,
      57,46,57,52,50,50,101,45,49,54,32,49,46,48,50,52,48,52,101,45,49,53,32,49,46,
      48,52,56,57,53,101,45,49,53,32,49,46,48,54,51,48,57,101,45,49,53,32,49,46,48,
      55,49,49,57,101,45,49,53,32,49,46,48,55,51,51,54,101,45,49,53,10,32,32,49,46,
      48,55,48,53,51,101,45,49,53,32,49,46,48,54,49,56,55,101,45,49,53,32,49,46,48,
      52,57,53,56,101,45,49,53,32,49,46,48,51,49,51,54,101,45,49,53,32,49,46,48,49,
      53,48,55,101,45,49,53,32,57,46,56,51,55,54,57,101,45,49,54,32,57,46,54,49,57,
      56,56,101,45,49,54,10,32,32,57,46,51,50,53,51,49,101,45,49,54,32,56,46,53,53,
      55,53,53,101,45,49,54,32,55,46,51,56,53,54,50,101,45,49,54,32,54,46,50,48,56,
      50,50,101,45,49,54,32,52,46,56,49,48,55,51,101,45,49,54,32,51,46,53,56,55,55,
      51,101,45,49,54,32,50,46,52,49,49,49,56,101,45,49,54,10,32,32,49,46,54,55,51,
      52,57,101,45,49,54,32,56,46,56,49,51,50,53,101,45,49,55,32,52,46,53,49,53,48,
      53,101,45,49,55,32,50,46,55,51,56,50,52,101,45,49,55,32,49,46,53,50,54,53,52,
      101,45,49,55,32,54,46,55,52,55,52,49,101,45,49,56,32,51,46,50,48,50,49,49,101,
      45,49,56,10,32,32,49,46,52,56,49,51,57,101,45,49,56,32,53,46,57,55,49,53,55,
      101,45,49,57,32,50,46,51,52,53,51,50,101,45,49,57,32,49,46,48,49,53,56,55,101,
      45,49,57,32,52,46,51,51,49,51,52,101,45,50,48,32,49,46,56,50,48,54,55,101,45,
      50,48,32,54,46,54,50,51,55,53,101,45,50,49,10,32,32,50,46,48,57,54,53,50,101,
      45,50,49,32,53,46,55,50,53,57,57,101,45,50,50,32,49,46,55,53,50,57,55,101,45,
      50,50,32,52,46,54,49,53,56,54,101,45,50,51,32,49,46,51,55,54,52,101,45,50,51,
      32,52,46,48,54,49,53,55,101,45,50,52,32,49,46,48,51,52,51,55,101,45,50,52,10,
      32,32,50,46,51,54,49,52,53,101,45,50,53,32,55,46,52,56,57,57,49,101,45,50,54,
      32,49,46,57,54,57,52,56,101,45,50,54,32,54,46,48,53,50,51,101,45,50,55,32,49,
      46,55,48,53,50,49,101,45,50,55,32,52,46,55,55,57,48,57,101,45,50,56,32,57,46,
      50,52,48,55,55,101,45,50,57,10,32,32,50,46,53,55,52,52,51,101,45,50,57,32,55,
      46,49,52,50,55,52,101,45,51,48,32,49,46,57,55,51,55,55,101,45,51,48,32,51,46,
      55,54,55,52,53,101,45,51,49,32,49,46,48,50,54,50,50,101,45,51,49,32,50,46,50,
      54,53,51,55,101,45,51,50,32,51,46,55,56,56,52,52,101,45,51,51,10,32,32,54,46,
      48,53,50,50,56,101,45,51,52,32,48,114,50,55,49,32,52,46,51,54,53,56,56,101,
      45,51,52,32,49,46,49,57,52,49,50,101,45,51,51,32,50,46,51,49,55,52,51,101,45,
      51,51,32,51,46,54,56,49,55,56,101,45,51,51,32,52,46,56,57,49,49,55,101,45,51,
      51,32,54,46,54,55,50,55,49,101,45,51,51,10,32,32,49,46,49,48,53,55,56,101,45,
      51,50,32,50,46,51,49,53,53,56,101,45,51,50,32,53,46,56,48,52,55,55,101,45,51,
      50,32,49,46,53,55,57,48,53,101,45,51,49,32,52,46,52,56,51,57,51,101,45,51,49,
      32,54,46,56,52,54,50,57,101,45,51,48,32,50,46,48,57,50,48,54,101,45,50,56,10,
      32,32,52,46,50,48,51,52,101,45,50,56,32,56,46,48,56,57,57,54,101,45,50,56,32,
      49,46,54,54,54,50,53,101,45,50,55,32,51,46,48,55,52,57,49,101,45,50,55,32,51,
      46,56,52,53,55,53,101,45,50,53,32,49,46,48,52,52,54,55,101,45,50,52,32,52,46,
      53,50,48,51,50,101,45,50,52,10,32,32,49,46,50,48,50,50,52,101,45,50,51,32,51,
      46,54,51,51,49,50,101,45,50,51,32,49,46,50,50,50,55,53,101,45,50,50,32,57,46,
      52,56,49,56,54,101,45,50,50,32,49,46,57,57,53,55,50,101,45,50,49,32,51,46,50,
      53,51,50,52,101,45,50,49,32,52,46,54,53,49,50,50,101,45,50,49,10,32,32,56,46,
      50,56,48,53,51,101,45,50,49,32,49,46,51,50,52,49,49,101,45,50,48,32,50,46,48,
      51,49,55,51,101,45,50,48,32,51,46,56,54,48,50,101,45,50,48,32,55,46,49,48,49,
      48,51,101,45,50,48,32,49,46,49,57,49,56,54,101,45,49,57,32,49,46,55,55,49,50,
      57,101,45,49,57,10,32,32,50,46,57,52,51,57,49,101,45,49,57,32,52,46,55,57,53,
      55,101,45,49,57,32,55,46,55,50,56,57,53,101,45,49,57,32,49,46,49,53,50,50,57,
      101,45,49,56,32,49,46,53,57,57,55,55,101,45,49,56,32,50,46,48,55,51,48,53,101,
      45,49,56,32,50,46,54,57,48,55,57,101,45,49,56,10,32,32,51,46,53,48,48,52,53,
      101,45,49,56,32,52,46,51,55,56,48,53,101,45,49,56,32,55,46,48,57,50,57,56,101,
      45,49,56,32,49,46,49,52,49,49,56,101,45,49,55,32,49,46,54,56,53,48,52,101,45,
      49,55,32,50,46,51,51,51,48,51,101,45,49,55,32,50,46,55,53,51,57,49,101,45,49,
      55,10,32,32,51,46,54,52,55,54,54,101,45,49,55,32,52,46,54,57,53,57,101,45,49,
      55,32,53,46,56,56,53,54,54,101,45,49,55,32,55,46,49,57,51,55,49,101,45,49,55,
      32,56,46,56,52,55,51,56,101,45,49,55,32,49,46,48,49,56,57,54,101,45,49,54,32,
      49,46,49,54,51,55,50,101,45,49,54,10,32,32,49,46,52,50,52,50,56,101,45,49,54,
      32,49,46,53,57,54,56,101,45,49,54,32,49,46,56,56,54,49,101,45,49,54,32,50,46,
      50,49,50,49,50,101,45,49,54,32,50,46,52,49,53,50,57,101,45,49,54,32,50,46,54,
      50,51,50,52,101,45,49,54,32,50,46,57,53,55,51,53,101,45,49,54,10,32,32,51,46,
      51,50,54,56,55,101,45,49,54,32,51,46,53,50,56,54,50,101,45,49,54,32,51,46,56,
      49,57,53,57,101,45,49,54,32,51,46,57,57,53,54,52,101,45,49,54,32,52,46,51,56,
      55,56,52,101,45,49,54,32,52,46,53,54,53,54,56,101,45,49,54,32,52,46,56,53,54,
      57,56,101,45,49,54,10,32,32,52,46,57,54,50,51,51,101,45,49,54,32,53,46,49,52,
      48,57,57,101,45,49,54,32,53,46,50,57,57,52,57,101,45,49,54,32,53,46,51,57,56,
      56,56,101,45,49,54,32,53,46,52,54,55,57,53,101,45,49,54,32,53,46,53,48,53,48,
      54,101,45,49,54,32,53,46,53,49,53,57,53,101,45,49,54,10,32,32,53,46,52,57,57,
      48,56,101,45,49,54,32,53,46,52,53,57,53,57,101,45,49,54,32,53,46,51,57,48,56,
      52,101,45,49,54,32,53,46,51,50,52,52,50,101,45,49,54,32,53,46,49,56,57,54,55,
      101,45,49,54,32,53,46,48,57,50,50,56,101,45,49,54,32,52,46,57,53,55,51,52,101,
      45,49,54,10,32,32,52,46,53,57,51,53,52,101,45,49,54,32,52,46,48,49,54,49,55,
      101,45,49,54,32,51,46,52,49,55,53,49,101,45,49,54,32,50,46,54,56,55,53,101,
      45,49,54,32,50,46,48,51,50,55,54,101,45,49,54,32,49,46,51,56,56,51,54,101,45,
      49,54,32,57,46,55,54,48,48,55,101,45,49,55,10,32,32,53,46,50,52,48,49,49,101,
      45,49,55,32,50,46,55,51,48,55,55,101,45,49,55,32,49,46,54,55,52,57,51,101,45,
      49,55,32,57,46,52,52,57,55,101,45,49,56,32,52,46,50,51,57,52,49,101,45,49,56,
      32,50,46,48,51,54,52,101,45,49,56,32,57,46,53,50,56,50,51,101,45,49,57,10,32,
      32,51,46,56,56,55,51,57,101,45,49,57,32,49,46,53,52,51,57,101,45,49,57,32,54,
      46,55,52,56,54,50,101,45,50,48,32,50,46,57,48,50,49,52,101,45,50,48,32,49,46,
      50,50,57,55,55,101,45,50,48,32,52,46,53,49,52,52,49,101,45,50,49,32,49,46,52,
      52,49,56,54,101,45,50,49,10,32,32,51,46,57,55,52,55,57,101,45,50,50,32,49,46,
      50,50,54,51,52,101,45,50,50,32,51,46,50,53,53,52,49,101,45,50,51,32,57,46,55,
      55,50,56,50,101,45,50,52,32,50,46,57,48,50,48,53,101,45,50,52,32,55,46,52,51,
      57,48,54,101,45,50,53,32,49,46,55,48,57,52,54,101,45,50,53,10,32,32,53,46,52,
      52,55,54,54,101,45,50,54,32,49,46,52,51,57,56,57,101,45,50,54,32,52,46,52,52,
      51,56,54,101,45,50,55,32,49,46,50,53,55,52,57,101,45,50,55,32,51,46,53,51,56,
      56,52,101,45,50,56,32,54,46,57,49,48,51,56,101,45,50,57,32,49,46,57,51,50,49,
      55,101,45,50,57,10,32,32,53,46,51,55,57,49,57,101,45,51,48,32,49,46,52,57,49,
      51,56,101,45,51,48,32,50,46,56,55,48,51,55,101,45,51,49,32,55,46,56,56,52,48,
      56,101,45,51,50,32,49,46,55,57,56,48,52,101,45,51,50,32,51,46,49,55,57,55,57,
      101,45,51,51,32,52,46,52,56,55,52,53,101,45,51,52,10,32,32,48,114,50,55,52,
      32,50,46,56,54,54,55,49,101,45,51,52,32,51,46,54,51,54,49,52,101,45,51,52,32,
      53,46,52,55,49,48,50,101,45,51,52,32,57,46,48,57,55,50,51,101,45,51,52,32,49,
      46,57,52,57,54,49,101,45,51,51,32,53,46,50,52,55,57,51,101,45,51,51,32,49,46,
      52,55,56,49,55,101,45,51,50,10,32,32,52,46,51,53,49,55,49,101,45,51,50,32,55,
      46,50,50,54,50,52,101,45,51,49,32,50,46,52,49,52,51,57,101,45,50,57,32,52,46,
      57,56,49,56,52,101,45,50,57,32,57,46,56,52,50,51,52,101,45,50,57,32,50,46,48,
      57,53,51,49,101,45,50,56,32,51,46,57,55,53,55,56,101,45,50,56,10,32,32,54,46,
      49,51,56,57,52,101,45,50,54,32,49,46,55,48,51,57,51,101,45,50,53,32,55,46,54,
      57,52,49,50,101,45,50,53,32,50,46,49,54,48,55,52,101,45,50,52,32,54,46,57,52,
      52,101,45,50,52,32,50,46,53,51,51,49,50,101,45,50,51,32,50,46,52,55,51,55,57,
      101,45,50,50,10,32,32,53,46,52,49,55,55,50,101,45,50,50,32,57,46,48,55,49,55,
      53,101,45,50,50,32,49,46,51,51,57,48,55,101,45,50,49,32,50,46,55,55,50,53,49,
      101,45,50,49,32,52,46,55,54,57,57,101,45,50,49,32,55,46,51,49,50,51,49,101,
      45,50,49,32,49,46,52,51,57,49,50,101,45,50,48,10,32,32,50,46,55,49,50,50,56,
      101,45,50,48,32,52,46,53,57,52,52,56,101,45,50,48,32,54,46,56,55,48,55,51,101,
      45,50,48,32,49,46,49,53,50,57,101,45,49,57,32,49,46,57,48,49,56,49,101,45,49,
      57,32,51,46,48,57,55,57,57,101,45,49,57,32,52,46,54,54,51,48,52,101,45,49,57,
      10,32,32,54,46,53,50,51,55,101,45,49,57,32,56,46,53,48,51,53,54,101,45,49,57,
      32,49,46,49,49,48,52,50,101,45,49,56,32,49,46,52,53,51,56,50,101,45,49,56,32,
      49,46,56,50,56,54,52,101,45,49,56,32,51,46,48,48,48,53,51,101,45,49,56,32,52,
      46,56,57,49,50,57,101,45,49,56,10,32,32,55,46,51,48,51,50,49,101,45,49,56,32,
      49,46,48,50,48,52,56,101,45,49,55,32,49,46,50,48,57,51,52,101,45,49,55,32,49,
      46,54,49,53,50,52,101,45,49,55,32,50,46,48,57,53,55,52,101,45,49,55,32,50,46,
      54,52,53,57,54,101,45,49,55,32,51,46,50,53,53,57,56,101,45,49,55,10,32,32,52,
      46,48,51,51,56,52,101,45,49,55,32,52,46,54,55,48,48,56,101,45,49,55,32,53,46,
      51,54,48,54,57,101,45,49,55,32,54,46,54,49,52,52,54,101,45,49,55,32,55,46,52,
      53,49,54,57,101,45,49,55,32,56,46,56,54,55,55,101,45,49,55,32,49,46,48,52,56,
      48,56,101,45,49,54,10,32,32,49,46,49,52,57,53,49,101,45,49,54,32,49,46,50,53,
      52,48,53,101,45,49,54,32,49,46,52,50,51,53,56,101,45,49,54,32,49,46,54,49,51,
      52,54,101,45,49,54,32,49,46,55,49,56,50,55,101,45,49,54,32,49,46,56,55,49,57,
      49,101,45,49,54,32,49,46,57,54,54,55,53,101,45,49,54,10,32,32,50,46,49,55,49,
      51,53,101,45,49,54,32,50,46,50,55,49,56,49,101,45,49,54,32,50,46,52,51,52,51,
      50,101,45,49,54,32,50,46,52,57,52,53,54,101,45,49,54,32,50,46,53,57,57,48,56,
      101,45,49,54,32,50,46,54,57,53,55,57,101,45,49,54,32,50,46,55,54,48,51,49,101,
      45,49,54,10,32,32,50,46,56,48,57,54,53,101,45,49,54,32,50,46,56,52,49,56,52,
      101,45,49,54,32,50,46,56,54,48,51,50,101,45,49,54,32,50,46,56,54,53,54,56,101,
      45,49,54,32,50,46,56,53,55,52,54,101,45,49,54,32,50,46,56,51,52,56,51,101,45,
      49,54,32,50,46,56,48,57,53,51,101,45,49,54,10,32,32,50,46,55,53,51,54,51,101,
      45,49,54,32,50,46,55,49,49,48,52,101,45,49,54,32,50,46,54,53,48,49,51,101,45,
      49,54,32,50,46,52,55,56,57,53,101,45,49,54,32,50,46,49,57,52,56,56,101,45,49,
      54,32,49,46,56,57,48,48,55,101,45,49,54,32,49,46,53,48,55,56,50,101,45,49,54,
      10,32,32,49,46,49,53,54,50,56,101,45,49,54,32,56,46,48,50,50,56,52,101,45,49,
      55,32,53,46,55,49,49,48,51,101,45,49,55,32,51,46,49,50,52,55,51,101,45,49,55,
      32,49,46,54,53,53,57,53,101,45,49,55,32,49,46,48,50,55,48,52,101,45,49,55,32,
      53,46,56,54,51,48,54,101,45,49,56,10,32,32,50,46,54,54,57,50,57,101,45,49,56,
      32,49,46,50,57,55,54,52,101,45,49,56,32,54,46,49,52,48,48,51,101,45,49,57,32,
      50,46,53,51,53,49,54,101,45,49,57,32,49,46,48,49,56,49,101,45,49,57,32,52,46,
      52,57,48,56,56,101,45,50,48,32,49,46,57,52,55,55,55,101,45,50,48,10,32,32,56,
      46,51,50,48,48,49,101,45,50,49,32,51,46,48,56,49,54,56,101,45,50,49,32,57,46,
      57,51,50,101,45,50,50,32,50,46,55,54,51,53,52,101,45,50,50,32,56,46,53,57,50,
      55,56,101,45,50,51,32,50,46,50,57,57,53,53,101,45,50,51,32,54,46,57,52,57,56,
      101,45,50,52,10,32,32,50,46,48,55,54,55,55,101,45,50,52,32,53,46,51,53,56,52,
      50,101,45,50,53,32,49,46,50,51,57,52,49,101,45,50,53,32,51,46,57,54,56,52,54,
      101,45,50,54,32,49,46,48,53,52,51,54,101,45,50,54,32,51,46,50,54,56,48,53,101,
      45,50,55,32,57,46,50,56,56,48,57,101,45,50,56,10,32,32,50,46,54,50,52,54,55,
      101,45,50,56,32,53,46,49,55,54,53,56,101,45,50,57,32,49,46,52,53,50,54,49,101,
      45,50,57,32,52,46,48,53,55,55,54,101,45,51,48,32,49,46,49,50,56,56,49,101,45,
      51,48,32,50,46,49,56,56,52,54,101,45,51,49,32,54,46,48,49,54,55,54,101,45,51,
      50,10,32,32,49,46,51,57,49,56,52,101,45,51,50,32,50,46,52,49,55,57,56,101,45,
      51,51,32,51,46,51,51,51,49,57,101,45,51,52,32,48,114,50,55,56,32,49,46,50,56,
      49,48,49,101,45,51,52,32,51,46,52,50,49,51,101,45,51,52,32,49,46,48,48,51,52,
      50,101,45,51,51,32,51,46,50,48,54,54,54,101,45,51,51,10,32,32,53,46,56,50,51,
      49,57,101,45,51,50,32,50,46,49,51,54,57,50,101,45,51,48,32,52,46,53,52,48,51,
      53,101,45,51,48,32,57,46,50,51,52,48,49,101,45,51,48,32,50,46,48,51,57,55,57,
      101,45,50,57,32,51,46,57,57,50,49,52,101,45,50,57,32,55,46,54,56,57,50,57,101,
      45,50,55,10,32,32,50,46,49,56,57,54,55,101,45,50,54,32,49,46,48,51,52,48,50,
      101,45,50,53,32,51,46,48,56,50,48,53,101,45,50,53,32,49,46,48,54,48,48,52,101,
      45,50,52,32,52,46,50,50,50,53,51,101,45,50,52,32,53,46,50,54,52,53,101,45,50,
      51,32,49,46,50,48,52,49,51,101,45,50,50,10,32,32,50,46,48,55,57,48,55,101,45,
      50,50,32,51,46,49,56,57,48,57,101,45,50,50,32,56,46,48,48,53,55,53,101,45,50,
      50,32,49,46,53,48,52,51,52,101,45,50,49,32,50,46,51,49,50,51,51,101,45,50,49,
      32,52,46,55,53,54,52,57,101,45,50,49,32,57,46,50,52,57,49,53,101,45,50,49,10,
      32,32,49,46,53,57,54,53,101,45,50,48,32,50,46,52,48,51,56,56,101,45,50,48,32,
      52,46,48,55,52,54,57,101,45,50,48,32,54,46,56,49,56,48,57,101,45,50,48,32,49,
      46,49,50,50,54,52,101,45,49,57,32,49,46,55,48,54,50,101,45,49,57,32,50,46,52,
      48,54,49,52,101,45,49,57,10,32,32,51,46,49,53,53,56,51,101,45,49,57,32,52,46,
      49,52,55,54,50,101,45,49,57,32,53,46,52,54,56,48,51,101,45,49,57,32,54,46,57,
      50,48,51,101,45,49,57,32,49,46,49,53,49,53,49,101,45,49,56,32,49,46,57,48,52,
      53,51,101,45,49,56,32,50,46,56,55,56,57,101,45,49,56,10,32,32,52,46,48,54,51,
      55,51,101,45,49,56,32,52,46,56,51,54,56,51,101,45,49,56,32,54,46,53,50,48,48,
      57,101,45,49,56,32,56,46,53,51,50,56,52,101,45,49,56,32,49,46,48,56,53,57,57,
      101,45,49,55,32,49,46,51,52,54,51,52,101,45,49,55,32,49,46,54,56,49,52,52,101,
      45,49,55,10,32,32,49,46,57,53,55,56,52,101,45,49,55,32,50,46,50,53,57,57,56,
      101,45,49,55,32,50,46,56,49,51,54,55,101,45,49,55,32,51,46,49,56,54,56,52,101,
      45,49,55,32,51,46,56,50,51,56,49,101,45,49,55,32,52,46,53,53,55,56,56,101,45,
      49,55,32,53,46,48,50,51,57,52,101,45,49,55,10,32,32,53,46,53,48,55,56,55,101,
      45,49,55,32,54,46,51,48,48,51,55,101,45,49,55,32,55,46,49,57,57,55,50,101,45,
      49,55,32,55,46,55,48,49,50,50,101,45,49,55,32,56,46,52,51,54,53,56,101,45,49,
      55,32,56,46,57,50,48,49,50,101,45,49,55,32,57,46,57,49,55,52,57,101,45,49,55,
      10,32,32,49,46,48,52,50,56,54,101,45,49,54,32,49,46,49,50,54,50,52,101,45,49,
      54,32,49,46,49,53,55,57,101,45,49,54,32,49,46,50,49,51,57,56,101,45,49,54,32,
      49,46,50,54,55,55,51,101,45,49,54,32,49,46,51,48,53,51,51,101,45,49,54,32,49,
      46,51,51,54,101,45,49,54,10,32,32,49,46,51,53,56,49,57,101,45,49,54,32,49,46,
      51,55,51,56,49,101,45,49,54,32,49,46,51,56,51,56,54,101,45,49,54,32,49,46,51,
      56,54,52,55,101,45,49,54,32,49,46,51,56,50,54,52,101,45,49,54,32,49,46,51,55,
      53,52,56,101,45,49,54,32,49,46,51,53,54,51,51,101,45,49,54,10,32,32,49,46,51,
      52,48,50,56,101,45,49,54,32,49,46,51,49,54,49,50,101,45,49,54,32,49,46,50,52,
      51,57,56,101,45,49,54,32,49,46,49,49,54,56,54,101,45,49,54,32,57,46,55,52,52,
      56,54,101,45,49,55,32,55,46,56,57,56,49,57,101,45,49,55,32,54,46,49,52,57,54,
      49,101,45,49,55,10,32,32,52,46,51,52,49,57,57,101,45,49,55,32,51,46,49,51,52,
      48,49,101,45,49,55,32,49,46,55,53,49,48,57,101,45,49,55,32,57,46,52,53,52,54,
      56,101,45,49,56,32,53,46,57,51,54,57,54,101,45,49,56,32,51,46,52,51,51,57,57,
      101,45,49,56,32,49,46,53,56,57,50,52,101,45,49,56,10,32,32,55,46,56,50,57,57,
      54,101,45,49,57,32,51,46,55,53,49,54,56,101,45,49,57,32,49,46,53,54,57,57,50,
      101,45,49,57,32,54,46,51,56,51,53,52,101,45,50,48,32,50,46,56,52,52,53,54,101,
      45,50,48,32,49,46,50,52,53,53,56,101,45,50,48,32,53,46,51,54,56,54,55,101,45,
      50,49,10,32,32,50,46,48,48,56,53,52,101,45,50,49,32,54,46,53,51,57,51,56,101,
      45,50,50,32,49,46,56,51,56,54,55,101,45,50,50,32,53,46,55,54,55,49,49,101,45,
      50,51,32,49,46,53,53,55,52,57,101,45,50,51,32,52,46,55,52,50,56,55,101,45,50,
      52,32,49,46,52,50,55,51,56,101,45,50,52,10,32,32,51,46,55,49,48,48,57,101,45,
      50,53,32,56,46,54,52,52,57,54,101,45,50,54,32,50,46,55,56,50,56,54,101,45,50,
      54,32,55,46,52,51,54,57,55,101,45,50,55,32,50,46,51,49,54,51,52,101,45,50,55,
      32,54,46,54,49,53,55,101,45,50,56,32,49,46,56,55,56,50,51,101,45,50,56,10,32,
      32,51,46,55,52,53,57,49,101,45,50,57,32,49,46,48,53,53,52,101,45,50,57,32,50,
      46,57,53,57,56,51,101,45,51,48,32,56,46,50,54,52,53,54,101,45,51,49,32,49,46,
      54,49,51,52,55,101,45,51,49,32,52,46,52,53,51,51,50,101,45,51,50,32,49,46,48,
      51,56,50,53,101,45,51,50,10,32,32,49,46,57,52,57,52,55,101,45,51,51,32,52,46,
      51,51,56,56,56,101,45,51,52,32,48,114,50,56,48,32,57,46,51,51,48,55,51,101,
      45,51,53,32,50,46,57,57,48,51,101,45,51,52,32,54,46,49,48,48,57,49,101,45,51,
      51,32,50,46,52,50,55,49,49,101,45,51,49,32,53,46,50,57,49,56,50,101,45,51,49,
      10,32,32,49,46,49,48,52,50,54,101,45,51,48,32,50,46,53,50,49,51,101,45,51,48,
      32,53,46,48,55,50,53,55,101,45,51,48,32,49,46,49,55,51,54,57,101,45,50,55,32,
      51,46,52,50,52,52,101,45,50,55,32,49,46,54,55,57,50,50,101,45,50,54,32,53,46,
      50,55,51,54,55,101,45,50,54,10,32,32,49,46,57,50,53,52,57,101,45,50,53,32,56,
      46,50,56,48,52,54,101,45,50,53,32,49,46,50,54,57,55,54,101,45,50,51,32,51,46,
      48,49,55,52,50,101,45,50,51,32,53,46,51,53,53,57,57,101,45,50,51,32,56,46,53,
      48,57,55,53,101,45,50,51,32,50,46,53,54,50,55,50,101,45,50,50,10,32,32,53,46,
      50,49,49,54,57,101,45,50,50,32,56,46,48,55,54,56,56,101,45,50,50,32,49,46,55,
      51,52,57,101,45,50,49,32,51,46,52,56,53,49,101,45,50,49,32,54,46,50,50,50,50,
      57,101,45,50,49,32,57,46,52,51,51,55,54,101,45,50,49,32,49,46,54,49,52,54,50,
      101,45,50,48,10,32,32,50,46,55,52,48,49,55,101,45,50,48,32,52,46,53,53,50,56,
      51,101,45,50,48,32,54,46,57,55,53,49,56,101,45,50,48,32,57,46,57,48,51,49,52,
      101,45,50,48,32,49,46,51,48,53,55,49,101,45,49,57,32,49,46,55,50,53,53,56,101,
      45,49,57,32,50,46,50,56,56,54,101,45,49,57,10,32,32,50,46,57,49,50,48,54,101,
      45,49,57,32,52,46,57,48,53,54,55,101,45,49,57,32,56,46,50,49,57,50,54,101,45,
      49,57,32,49,46,50,53,54,49,57,101,45,49,56,32,49,46,55,56,57,51,51,101,45,49,
      56,32,50,46,49,51,56,48,52,101,45,49,56,32,50,46,57,48,53,57,101,45,49,56,10,
      32,32,51,46,56,51,50,51,51,101,45,49,56,32,52,46,57,49,50,53,50,101,45,49,56,
      32,54,46,49,51,48,54,56,101,45,49,56,32,55,46,55,49,49,52,51,101,45,49,56,32,
      57,46,48,50,52,55,54,101,45,49,56,32,49,46,48,52,54,57,51,101,45,49,55,32,49,
      46,51,49,51,55,55,101,45,49,55,10,32,32,49,46,52,57,53,48,52,101,45,49,55,32,
      49,46,56,48,54,57,101,45,49,55,32,50,46,49,54,57,56,57,101,45,49,55,32,50,46,
      52,48,50,50,52,101,45,49,55,32,50,46,54,52,53,48,51,101,45,49,55,32,51,46,48,
      52,53,57,52,101,45,49,55,32,51,46,53,48,53,57,54,101,45,49,55,10,32,32,51,46,
      55,54,52,55,49,101,45,49,55,32,52,46,49,52,52,53,52,101,45,49,55,32,52,46,51,
      57,56,48,51,101,45,49,55,32,52,46,57,50,54,57,50,101,45,49,55,32,53,46,50,48,
      53,52,51,101,45,49,55,32,53,46,54,54,49,49,53,101,45,49,55,32,53,46,56,51,55,
      49,101,45,49,55,10,32,32,54,46,49,53,51,51,57,101,45,49,55,32,54,46,52,54,52,
      50,57,101,45,49,55,32,54,46,54,56,56,54,57,101,45,49,55,32,54,46,56,55,57,48,
      49,101,45,49,55,32,55,46,48,50,52,53,57,101,45,49,55,32,55,46,49,51,54,50,56,
      101,45,49,55,32,55,46,50,50,50,56,49,101,45,49,55,10,32,32,55,46,50,54,54,55,
      52,101,45,49,55,32,55,46,50,55,57,55,50,101,45,49,55,32,55,46,50,54,54,49,101,
      45,49,55,32,55,46,50,48,51,52,51,101,45,49,55,32,55,46,49,52,49,51,54,101,45,
      49,55,32,55,46,48,52,48,55,51,101,45,49,55,32,54,46,55,49,53,57,50,101,45,49,
      55,10,32,32,54,46,49,48,51,57,101,45,49,55,32,53,46,51,56,55,54,53,101,45,49,
      55,32,52,46,52,50,55,57,53,101,45,49,55,32,51,46,52,57,52,49,53,101,45,49,55,
      32,50,46,53,48,53,51,101,45,49,55,32,49,46,56,51,48,54,101,45,49,55,32,49,46,
      48,52,49,57,56,101,45,49,55,10,32,32,53,46,55,49,57,56,53,101,45,49,56,32,51,
      46,54,51,49,52,101,45,49,56,32,50,46,49,50,53,48,55,101,45,49,56,32,57,46,57,
      55,57,52,52,101,45,49,57,32,52,46,57,55,53,55,54,101,45,49,57,32,50,46,52,49,
      48,57,53,101,45,49,57,32,49,46,48,50,49,48,49,101,45,49,57,10,32,32,52,46,49,
      57,56,48,52,101,45,50,48,32,49,46,56,56,55,56,51,101,45,50,48,32,56,46,51,51,
      55,55,52,101,45,50,49,32,51,46,54,50,50,57,101,45,50,49,32,49,46,51,54,55,54,
      51,101,45,50,49,32,52,46,52,57,51,53,54,101,45,50,50,32,49,46,50,55,53,51,56,
      101,45,50,50,10,32,32,52,46,48,51,49,57,50,101,45,50,51,32,49,46,48,57,55,56,
      53,101,45,50,51,32,51,46,51,54,54,48,53,101,45,50,52,32,49,46,48,49,57,53,49,
      101,45,50,52,32,50,46,54,54,55,53,56,101,45,50,53,32,54,46,50,53,55,50,101,
      45,50,54,32,50,46,48,50,51,57,53,101,45,50,54,10,32,32,53,46,52,51,55,52,51,
      101,45,50,55,32,49,46,55,48,48,57,57,101,45,50,55,32,52,46,56,55,57,56,50,101,
      45,50,56,32,49,46,51,57,49,50,52,101,45,50,56,32,50,46,56,48,50,55,49,101,45,
      50,57,32,55,46,57,50,53,52,56,101,45,51,48,32,50,46,50,51,48,51,56,101,45,51,
      48,10,32,32,54,46,50,52,56,51,49,101,45,51,49,32,49,46,50,50,55,56,53,101,45,
      51,49,32,51,46,52,48,57,48,56,101,45,51,50,32,56,46,48,51,55,55,49,101,45,51,
      51,32,49,46,53,51,52,48,52,101,45,51,51,32,51,46,55,49,55,52,56,101,45,51,52,
      32,52,46,55,57,54,49,53,101,45,51,53,10,32,32,48,114,50,56,49,32,52,46,56,48,
      50,49,55,101,45,51,52,32,50,46,49,52,55,52,56,101,45,51,50,32,52,46,56,49,56,
      51,55,101,45,51,50,32,49,46,48,51,52,51,54,101,45,51,49,32,50,46,52,52,57,57,
      51,101,45,51,49,32,53,46,48,56,49,54,56,101,45,51,49,32,49,46,52,50,56,55,51,
      101,45,50,56,10,32,32,52,46,50,56,54,53,52,101,45,50,56,32,50,46,49,56,55,54,
      55,101,45,50,55,32,55,46,50,55,51,50,49,101,45,50,55,32,50,46,56,51,53,53,51,
      101,45,50,54,32,49,46,51,50,53,48,52,101,45,50,53,32,50,46,53,50,51,51,53,101,
      45,50,52,32,54,46,50,53,50,55,54,101,45,50,52,10,32,32,49,46,49,52,52,52,54,
      101,45,50,51,32,49,46,56,57,48,49,101,45,50,51,32,54,46,57,55,53,53,51,101,
      45,50,51,32,49,46,53,52,50,52,56,101,45,50,50,32,50,46,52,50,55,57,50,101,45,
      50,50,32,53,46,52,56,55,56,52,101,45,50,50,32,49,46,49,52,56,50,50,101,45,50,
      49,10,32,32,50,46,49,56,55,52,101,45,50,49,32,51,46,51,52,53,56,54,101,45,50,
      49,32,53,46,55,57,54,56,57,101,45,50,49,32,49,46,48,48,50,48,53,101,45,50,48,
      32,49,46,54,56,49,56,50,101,45,50,48,32,50,46,53,57,57,48,51,101,45,50,48,32,
      51,46,55,49,54,54,55,101,45,50,48,10,32,32,52,46,57,50,55,55,54,101,45,50,48,
      32,54,46,53,53,48,55,55,101,45,50,48,32,56,46,55,52,52,50,55,101,45,50,48,32,
      49,46,49,49,57,48,57,101,45,49,57,32,49,46,57,49,48,50,56,101,45,49,57,32,51,
      46,50,52,53,52,49,101,45,49,57,32,53,46,48,49,57,55,51,101,45,49,57,10,32,32,
      55,46,50,50,48,57,56,101,45,49,57,32,56,46,54,54,52,55,54,101,45,49,57,32,49,
      46,49,56,56,50,54,101,45,49,56,32,49,46,53,56,48,50,52,101,45,49,56,32,50,46,
      48,52,49,52,52,101,45,49,56,32,50,46,53,54,54,101,45,49,56,32,51,46,50,53,50,
      55,50,101,45,49,56,10,32,32,51,46,56,50,55,55,49,101,45,49,56,32,52,46,52,54,
      52,51,51,101,45,49,56,32,53,46,54,53,48,54,54,101,45,49,56,32,54,46,52,54,51,
      52,56,101,45,49,56,32,55,46,56,55,51,55,52,101,45,49,56,32,57,46,53,51,50,54,
      56,101,45,49,56,32,49,46,48,54,48,52,101,45,49,55,10,32,32,49,46,49,55,51,48,
      56,101,45,49,55,32,49,46,51,54,48,56,51,101,45,49,55,32,49,46,53,55,56,55,55,
      101,45,49,55,32,49,46,55,48,50,54,54,101,45,49,55,32,49,46,56,56,54,57,57,101,
      45,49,55,32,50,46,48,48,53,56,57,101,45,49,55,32,50,46,50,54,52,49,49,101,45,
      49,55,10,32,32,50,46,52,48,55,52,52,101,45,49,55,32,50,46,54,51,56,55,52,101,
      45,49,55,32,50,46,55,50,57,51,52,101,45,49,55,32,50,46,56,57,52,53,53,101,45,
      49,55,32,51,46,48,54,48,55,51,101,45,49,55,32,51,46,49,56,52,48,49,101,45,49,
      55,32,51,46,50,57,49,57,56,101,45,49,55,10,32,32,51,46,51,55,56,49,52,101,45,
      49,55,32,51,46,52,52,56,50,52,101,45,49,55,32,51,46,53,48,56,50,56,101,45,49,
      55,32,51,46,53,52,53,56,49,101,45,49,55,32,51,46,53,54,57,57,50,101,45,49,55,
      32,51,46,53,55,54,50,51,101,45,49,55,32,51,46,53,54,54,50,54,101,45,49,55,10,
      32,32,51,46,53,52,56,49,52,101,45,49,55,32,51,46,53,49,51,53,101,45,49,55,32,
      51,46,51,56,53,49,57,101,45,49,55,32,51,46,49,49,56,50,52,101,45,49,55,32,50,
      46,55,56,55,52,55,101,45,49,55,32,50,46,51,50,54,51,101,45,49,55,32,49,46,56,
      54,50,57,54,101,45,49,55,10,32,32,49,46,51,53,56,53,52,101,45,49,55,32,49,46,
      48,48,54,49,55,101,45,49,55,32,53,46,56,52,53,54,101,45,49,56,32,51,46,50,54,
      56,48,52,101,45,49,56,32,50,46,49,48,48,49,57,101,45,49,56,32,49,46,50,52,53,
      48,50,101,45,49,56,32,53,46,57,52,50,49,101,45,49,57,10,32,32,51,46,48,48,50,
      50,52,101,45,49,57,32,49,46,52,55,50,57,49,101,45,49,57,32,54,46,51,50,49,48,
      56,101,45,50,48,32,50,46,54,51,49,52,52,101,45,50,48,32,49,46,49,57,53,52,51,
      101,45,50,48,32,53,46,51,51,48,52,57,101,45,50,49,32,50,46,51,51,55,50,101,
      45,50,49,10,32,32,56,46,57,49,49,52,53,101,45,50,50,32,50,46,57,53,55,57,55,
      101,45,50,50,32,56,46,52,56,52,48,50,101,45,50,51,32,50,46,55,48,53,55,52,101,
      45,50,51,32,55,46,52,51,53,51,57,101,45,50,52,32,50,46,50,57,55,49,57,101,45,
      50,52,32,55,46,48,48,55,55,57,101,45,50,53,10,32,32,49,46,56,52,55,51,101,45,
      50,53,32,52,46,51,54,53,53,49,101,45,50,54,32,49,46,52,49,57,55,49,101,45,50,
      54,32,51,46,56,51,54,54,57,101,45,50,55,32,49,46,50,48,54,49,51,101,45,50,55,
      32,51,46,52,55,55,51,57,101,45,50,56,32,57,46,57,54,48,57,55,101,45,50,57,10,
      32,32,50,46,48,50,57,51,52,101,45,50,57,32,53,46,55,54,50,48,57,101,45,51,48,
      32,49,46,54,50,55,57,51,101,45,51,48,32,52,46,53,55,55,54,55,101,45,51,49,32,
      57,46,48,54,50,49,51,101,45,51,50,32,50,46,53,50,55,51,56,101,45,51,50,32,53,
      46,57,54,50,57,101,45,51,51,10,32,32,49,46,49,54,51,48,52,101,45,51,51,32,50,
      46,55,53,49,48,55,101,45,51,52,32,51,46,52,53,50,54,55,101,45,51,53,32,48,114,
      50,56,49,32,49,46,57,53,48,52,54,101,45,51,52,32,56,46,57,56,54,52,56,101,45,
      51,51,32,50,46,48,51,53,55,55,101,45,51,50,32,52,46,52,49,54,53,50,101,45,51,
      50,10,32,32,49,46,48,54,48,49,51,101,45,51,49,32,50,46,50,50,51,49,55,101,45,
      51,49,32,54,46,54,55,52,52,56,101,45,50,57,32,50,46,48,50,51,50,57,101,45,50,
      56,32,49,46,48,52,54,57,52,101,45,50,55,32,51,46,53,53,49,54,51,101,45,50,55,
      32,49,46,52,49,55,50,101,45,50,54,10,32,32,54,46,56,49,57,50,51,101,45,50,54,
      32,49,46,51,57,57,56,54,101,45,50,52,32,51,46,53,50,48,56,55,101,45,50,52,32,
      54,46,53,49,53,51,56,101,45,50,52,32,49,46,48,57,48,56,55,101,45,50,51,32,52,
      46,51,50,56,57,54,101,45,50,51,32,57,46,56,53,49,51,55,101,45,50,51,10,32,32,
      49,46,53,54,49,52,56,101,45,50,50,32,51,46,53,57,54,48,50,101,45,50,50,32,55,
      46,54,52,49,53,56,101,45,50,50,32,49,46,53,48,50,48,57,101,45,50,49,32,50,46,
      51,48,53,53,51,101,45,50,49,32,52,46,48,49,51,53,49,101,45,50,49,32,54,46,57,
      56,57,50,56,101,45,50,49,10,32,32,49,46,49,55,55,52,52,101,45,50,48,32,49,46,
      56,50,53,50,57,101,45,50,48,32,50,46,54,49,54,56,56,101,45,50,48,32,51,46,52,
      55,54,52,50,101,45,50,48,32,52,46,54,51,49,101,45,50,48,32,54,46,49,57,53,56,
      101,45,50,48,32,55,46,57,52,53,54,54,101,45,50,48,10,32,32,49,46,51,54,50,54,
      55,101,45,49,57,32,50,46,51,50,54,53,56,101,45,49,57,32,51,46,54,49,52,48,50,
      101,45,49,57,32,53,46,50,49,55,51,50,101,45,49,57,32,54,46,50,55,48,48,51,101,
      45,49,57,32,56,46,54,50,54,52,57,101,45,49,57,32,49,46,49,53,48,55,101,45,49,
      56,10,32,32,49,46,52,57,48,55,51,101,45,49,56,32,49,46,56,55,56,54,56,101,45,
      49,56,32,50,46,51,56,56,49,52,101,45,49,56,32,50,46,56,49,53,57,101,45,49,56,
      32,51,46,50,57,48,54,101,45,49,56,32,52,46,49,55,55,57,51,101,45,49,56,32,52,
      46,55,56,55,55,51,101,45,49,56,10,32,32,53,46,56,52,56,56,57,101,45,49,56,32,
      55,46,49,48,49,56,49,101,45,49,56,32,55,46,57,49,51,51,57,101,45,49,56,32,56,
      46,55,54,57,49,50,101,45,49,56,32,49,46,48,49,57,57,50,101,45,49,55,32,49,46,
      49,56,54,54,101,45,49,55,32,49,46,50,56,49,54,57,101,45,49,55,10,32,32,49,46,
      52,50,52,48,55,101,45,49,55,32,49,46,53,49,53,48,55,101,45,49,55,32,49,46,55,
      49,51,56,52,101,45,49,55,32,49,46,56,50,54,54,101,45,49,55,32,50,46,48,48,55,
      54,50,101,45,49,55,32,50,46,48,55,56,56,55,101,45,49,55,32,50,46,50,48,57,51,
      56,101,45,49,55,10,32,32,50,46,51,52,49,54,50,101,45,49,55,32,50,46,52,52,48,
      53,52,101,45,49,55,32,50,46,53,50,56,48,50,101,45,49,55,32,50,46,53,57,56,54,
      55,101,45,49,55,32,50,46,54,53,55,48,54,101,45,49,55,32,50,46,55,48,56,51,50,
      101,45,49,55,32,50,46,55,52,49,55,51,101,45,49,55,10,32,32,50,46,55,54,53,50,
      53,101,45,49,55,32,50,46,55,55,51,55,49,101,45,49,55,32,50,46,55,55,49,55,51,
      101,45,49,55,32,50,46,55,54,49,49,50,101,45,49,55,32,50,46,55,51,56,52,50,101,
      45,49,55,32,50,46,54,52,55,56,49,101,45,49,55,32,50,46,52,53,48,54,52,101,45,
      49,55,10,32,32,50,46,50,48,48,54,101,45,49,55,32,49,46,56,52,54,53,53,101,45,
      49,55,32,49,46,52,56,54,53,51,101,45,49,55,32,49,46,48,57,48,53,57,101,45,49,
      55,32,56,46,49,49,54,48,52,101,45,49,56,32,52,46,55,52,57,55,57,101,45,49,56,
      32,50,46,54,55,50,56,49,101,45,49,56,10,32,32,49,46,55,50,53,49,51,101,45,49,
      56,32,49,46,48,50,55,52,101,45,49,56,32,52,46,57,51,49,57,55,101,45,49,57,32,
      50,46,53,48,51,55,50,101,45,49,57,32,49,46,50,51,51,56,51,101,45,49,57,32,53,
      46,51,50,48,51,56,101,45,50,48,32,50,46,50,50,52,55,51,101,45,50,48,10,32,32,
      49,46,48,49,52,51,54,101,45,50,48,32,52,46,53,51,56,54,54,101,45,50,49,32,49,
      46,57,57,54,52,55,101,45,50,49,32,55,46,54,51,57,54,55,101,45,50,50,32,50,46,
      53,52,53,49,54,101,45,50,50,32,55,46,51,50,55,54,56,101,45,50,51,32,50,46,51,
      52,52,51,54,101,45,50,51,10,32,32,54,46,52,54,51,54,55,101,45,50,52,32,50,46,
      48,48,50,52,54,101,45,50,52,32,54,46,49,50,52,52,49,101,45,50,53,32,49,46,54,
      49,56,55,53,101,45,50,53,32,51,46,56,51,53,54,55,101,45,50,54,32,49,46,50,52,
      57,56,51,101,45,50,54,32,51,46,51,56,52,55,57,101,45,50,55,10,32,32,49,46,48,
      54,53,57,53,101,45,50,55,32,51,46,48,55,56,55,55,101,45,50,56,32,56,46,56,51,
      52,49,51,101,45,50,57,32,49,46,56,48,54,57,52,101,45,50,57,32,53,46,49,51,56,
      49,54,101,45,51,48,32,49,46,52,53,51,54,57,101,45,51,48,32,52,46,48,57,51,49,
      56,101,45,51,49,10,32,32,56,46,49,50,53,56,49,101,45,51,50,32,50,46,50,54,56,
      52,55,101,45,51,50,32,53,46,51,53,54,54,50,101,45,51,51,32,49,46,48,52,53,48,
      49,101,45,51,51,32,50,46,54,50,52,57,53,101,45,51,52,32,52,46,54,48,54,49,55,
      101,45,51,53,32,48,114,50,56,50,32,51,46,53,53,53,55,52,101,45,51,51,10,32,
      32,56,46,49,52,49,48,57,101,45,51,51,32,49,46,55,56,53,49,55,101,45,51,50,32,
      52,46,51,52,53,52,53,101,45,51,50,32,57,46,50,49,56,56,101,45,51,50,32,50,46,
      57,54,57,48,50,101,45,50,57,32,57,46,48,57,57,57,57,101,45,50,57,32,52,46,55,
      55,55,52,57,101,45,50,56,10,32,32,49,46,54,53,53,54,101,45,50,55,32,54,46,55,
      55,48,54,53,101,45,50,55,32,51,46,51,53,57,52,50,101,45,50,54,32,55,46,52,53,
      49,51,56,101,45,50,53,32,49,46,57,48,51,57,52,101,45,50,52,32,51,46,53,54,52,
      52,51,101,45,50,52,32,54,46,48,53,52,50,101,45,50,52,10,32,32,50,46,53,57,50,
      49,57,101,45,50,51,32,54,46,48,55,53,52,52,101,45,50,51,32,57,46,55,48,56,52,
      54,101,45,50,51,32,50,46,50,56,49,50,51,101,45,50,50,32,52,46,57,51,48,54,49,
      101,45,50,50,32,49,46,48,48,54,56,57,101,45,50,49,32,49,46,53,53,49,53,101,
      45,50,49,10,32,32,50,46,55,49,53,53,52,101,45,50,49,32,52,46,55,54,56,57,51,
      101,45,50,49,32,56,46,48,54,55,51,50,101,45,50,49,32,49,46,50,53,52,57,53,101,
      45,50,48,32,49,46,56,48,52,49,52,101,45,50,48,32,50,46,52,48,49,55,57,101,45,
      50,48,32,51,46,50,48,54,53,50,101,45,50,48,10,32,32,52,46,51,48,48,52,50,101,
      45,50,48,32,53,46,53,50,54,57,56,101,45,50,48,32,57,46,53,50,53,50,56,101,45,
      50,48,32,49,46,54,51,52,55,57,101,45,49,57,32,50,46,53,53,48,56,52,101,45,49,
      57,32,51,46,54,57,54,50,49,101,45,49,57,32,52,46,52,52,57,49,101,45,49,57,10,
      32,32,54,46,49,52,49,57,57,101,45,49,57,32,56,46,50,49,56,57,49,101,45,49,57,
      32,49,46,48,54,55,57,49,101,45,49,56,32,49,46,51,52,57,53,101,45,49,56,32,49,
      46,55,50,48,53,101,45,49,56,32,50,46,48,51,50,57,49,101,45,49,56,32,50,46,51,
      56,48,52,53,101,45,49,56,10,32,32,51,46,48,51,50,50,101,45,49,56,32,51,46,52,
      56,49,53,49,101,45,49,56,32,52,46,50,54,53,56,52,101,45,49,56,32,53,46,49,57,
      53,53,51,101,45,49,56,32,53,46,55,57,57,54,57,101,45,49,56,32,54,46,52,51,56,
      50,56,101,45,49,56,32,55,46,53,48,56,57,49,101,45,49,56,10,32,32,56,46,55,54,
      50,101,45,49,56,32,57,46,52,55,57,55,50,101,45,49,56,32,49,46,48,53,54,49,49,
      101,45,49,55,32,49,46,49,50,52,56,52,101,45,49,55,32,49,46,50,55,53,51,50,101,
      45,49,55,32,49,46,51,54,50,51,57,101,45,49,55,32,49,46,53,48,49,55,54,101,45,
      49,55,10,32,32,49,46,53,53,54,56,57,101,45,49,55,32,49,46,54,53,56,51,52,101,
      45,49,55,32,49,46,55,54,49,56,57,101,45,49,55,32,49,46,56,52,48,48,49,101,45,
      49,55,32,49,46,57,48,57,55,52,101,45,49,55,32,49,46,57,54,54,55,101,45,49,55,
      32,50,46,48,49,52,52,56,101,45,49,55,10,32,32,50,46,48,53,55,51,55,101,45,49,
      55,32,50,46,48,56,54,51,50,101,45,49,55,32,50,46,49,48,56,49,55,101,45,49,55,
      32,50,46,49,49,55,53,101,45,49,55,32,50,46,49,50,48,54,52,101,45,49,55,32,50,
      46,49,49,53,51,52,101,45,49,55,32,50,46,49,48,49,51,57,101,45,49,55,10,32,32,
      50,46,48,51,57,53,101,45,49,55,32,49,46,56,57,55,49,52,101,45,49,55,32,49,46,
      55,49,49,54,57,101,45,49,55,32,49,46,52,52,52,53,54,101,45,49,55,32,49,46,49,
      54,57,51,53,101,45,49,55,32,56,46,54,51,51,53,54,101,45,49,56,32,54,46,52,53,
      55,54,50,101,45,49,56,10,32,32,51,46,56,48,56,52,101,45,49,56,32,50,46,49,53,
      55,56,56,101,45,49,56,32,49,46,51,57,57,49,55,101,45,49,56,32,56,46,51,55,51,
      53,52,101,45,49,57,32,52,46,48,52,52,51,55,101,45,49,57,32,50,46,48,54,51,52,
      56,101,45,49,57,32,49,46,48,50,49,55,101,45,49,57,10,32,32,52,46,52,50,56,48,
      52,101,45,50,48,32,49,46,56,54,48,51,54,101,45,50,48,32,56,46,53,49,53,49,56,
      101,45,50,49,32,51,46,56,50,52,101,45,50,49,32,49,46,54,56,55,57,49,101,45,
      50,49,32,54,46,52,56,51,54,51,101,45,50,50,32,50,46,49,54,56,52,55,101,45,50,
      50,10,32,32,54,46,50,54,56,51,54,101,45,50,51,32,50,46,48,49,50,50,51,101,45,
      50,51,32,53,46,53,54,55,53,50,101,45,50,52,32,49,46,55,50,57,56,57,101,45,50,
      52,32,53,46,51,48,53,51,54,101,45,50,53,32,49,46,52,48,54,50,57,101,45,50,53,
      32,51,46,51,52,49,56,101,45,50,54,10,32,32,49,46,48,57,49,49,55,101,45,50,54,
      32,50,46,57,54,49,56,53,101,45,50,55,32,57,46,51,52,53,50,54,101,45,50,56,32,
      50,46,55,48,52,51,53,101,45,50,56,32,55,46,55,55,51,57,101,45,50,57,32,49,46,
      53,57,55,49,49,101,45,50,57,32,52,46,53,52,56,54,51,101,45,51,48,10,32,32,49,
      46,50,56,56,56,52,101,45,51,48,32,51,46,54,51,52,51,57,101,45,51,49,32,55,46,
      50,51,52,55,101,45,51,50,32,50,46,48,50,50,50,51,101,45,51,50,32,52,46,55,57,
      48,56,56,101,45,51,51,32,57,46,52,53,49,53,101,45,51,52,32,50,46,51,52,50,48,
      52,101,45,51,52,10,32,32,52,46,48,57,48,53,51,101,45,51,53,32,48,114,50,56,
      50,32,55,46,54,54,50,49,57,101,45,51,52,32,49,46,55,57,53,56,49,101,45,51,51,
      32,52,46,48,48,53,57,101,45,51,51,32,57,46,57,56,49,50,53,101,45,51,51,32,50,
      46,49,53,56,52,49,101,45,51,50,32,55,46,55,54,54,50,52,101,45,51,48,10,32,32,
      50,46,52,50,52,55,50,101,45,50,57,32,49,46,51,48,50,57,51,101,45,50,56,32,52,
      46,54,55,52,55,49,101,45,50,56,32,49,46,57,57,48,52,54,101,45,50,55,32,49,46,
      48,51,56,54,57,101,45,50,54,32,50,46,54,49,49,55,56,101,45,50,53,32,54,46,56,
      52,56,51,55,101,45,50,53,10,32,32,49,46,51,48,54,55,54,101,45,50,52,32,50,46,
      50,55,49,53,101,45,50,52,32,49,46,48,57,57,50,56,101,45,50,51,32,50,46,54,57,
      56,50,53,101,45,50,51,32,52,46,51,55,53,56,53,101,45,50,51,32,49,46,48,54,51,
      51,101,45,50,50,32,50,46,51,54,53,53,57,101,45,50,50,10,32,32,53,46,49,57,56,
      57,52,101,45,50,50,32,56,46,48,54,55,49,54,101,45,50,50,32,49,46,52,50,53,54,
      51,101,45,50,49,32,50,46,53,52,49,56,49,101,45,50,49,32,52,46,51,51,49,53,49,
      101,45,50,49,32,54,46,55,55,57,49,56,101,45,50,49,32,57,46,55,57,48,53,55,101,
      45,50,49,10,32,32,49,46,51,48,55,57,51,101,45,50,48,32,49,46,55,53,50,53,51,
      101,45,50,48,32,50,46,51,53,57,56,57,101,45,50,48,32,51,46,48,52,51,56,57,101,
      45,50,48,32,53,46,50,56,56,48,54,101,45,50,48,32,57,46,49,53,50,55,56,101,45,
      50,48,32,49,46,52,51,56,54,55,101,45,49,57,10,32,32,50,46,48,57,55,51,55,101,
      45,49,57,32,50,46,53,51,49,49,56,101,45,49,57,32,51,46,53,49,51,55,53,101,45,
      49,57,32,52,46,55,50,54,51,52,101,45,49,57,32,54,46,49,55,48,55,57,101,45,49,
      57,32,55,46,56,51,50,55,53,101,45,49,57,32,49,46,48,48,51,52,49,101,45,49,56,
      10,32,32,49,46,49,56,57,54,54,101,45,49,56,32,49,46,51,57,55,54,55,101,45,49,
      56,32,49,46,55,56,57,55,57,101,45,49,56,32,50,46,48,54,49,53,49,101,45,49,56,
      32,50,46,53,51,56,50,52,101,45,49,56,32,51,46,49,48,54,57,53,101,45,49,56,32,
      51,46,52,55,56,52,51,101,45,49,56,10,32,32,51,46,56,55,50,54,51,101,45,49,56,
      32,52,46,53,51,54,57,55,101,45,49,56,32,53,46,51,49,57,56,55,101,45,49,56,32,
      53,46,55,55,48,54,54,101,45,49,56,32,54,46,52,53,53,53,52,101,45,49,56,32,54,
      46,56,57,53,54,57,101,45,49,56,32,55,46,56,52,53,52,54,101,45,49,56,10,32,32,
      56,46,52,48,57,49,55,101,45,49,56,32,57,46,51,49,51,101,45,49,56,32,57,46,54,
      55,51,53,57,101,45,49,56,32,49,46,48,51,52,49,57,101,45,49,55,32,49,46,49,48,
      51,49,54,101,45,49,55,32,49,46,49,53,53,56,54,101,45,49,55,32,49,46,50,48,51,
      53,53,101,45,49,55,10,32,32,49,46,50,52,51,49,55,101,45,49,55,32,49,46,50,55,
      55,48,57,101,45,49,55,32,49,46,51,48,56,52,52,101,45,49,55,32,49,46,51,51,48,
      53,56,101,45,49,55,32,49,46,51,52,56,54,50,101,45,49,55,32,49,46,51,53,55,54,
      101,45,49,55,32,49,46,51,54,52,52,57,101,45,49,55,10,32,32,49,46,51,54,52,48,
      52,101,45,49,55,32,49,46,51,53,56,54,55,101,45,49,55,32,49,46,51,50,54,55,53,
      101,45,49,55,32,49,46,50,52,52,50,55,101,45,49,55,32,49,46,49,51,49,51,54,101,
      45,49,55,32,57,46,54,51,55,55,55,101,45,49,56,32,55,46,56,55,50,51,51,101,45,
      49,56,10,32,32,53,46,56,55,51,101,45,49,56,32,52,46,52,50,57,52,101,45,49,56,
      32,50,46,54,52,53,52,50,101,45,49,56,32,49,46,53,49,53,57,53,101,45,49,56,32,
      57,46,57,48,51,56,56,101,45,49,57,32,53,46,57,55,52,57,52,101,45,49,57,32,50,
      46,57,49,53,49,52,101,45,49,57,10,32,32,49,46,52,57,57,54,57,101,45,49,57,32,
      55,46,52,56,51,53,49,101,45,50,48,32,51,46,50,55,48,53,51,101,45,50,48,32,49,
      46,51,56,52,56,51,101,45,50,48,32,54,46,51,55,57,51,54,101,45,50,49,32,50,46,
      56,56,50,49,57,101,45,50,49,32,49,46,50,55,57,52,54,101,45,50,49,10,32,32,52,
      46,57,52,53,55,52,101,45,50,50,32,49,46,54,54,52,56,52,101,45,50,50,32,52,46,
      56,52,52,55,101,45,50,51,32,49,46,53,54,51,57,49,101,45,50,51,32,52,46,51,53,
      50,52,49,101,45,50,52,32,49,46,51,53,56,57,49,101,45,50,52,32,52,46,49,56,54,
      53,56,101,45,50,53,10,32,32,49,46,49,49,52,57,57,101,45,50,53,32,50,46,54,54,
      50,49,53,101,45,50,54,32,56,46,55,50,50,52,52,101,45,50,55,32,50,46,51,55,54,
      53,49,101,45,50,55,32,55,46,53,50,49,56,55,101,45,50,56,32,50,46,49,56,51,54,
      50,101,45,50,56,32,54,46,50,57,53,57,51,101,45,50,57,10,32,32,49,46,51,48,50,
      54,52,101,45,50,57,32,51,46,55,49,57,54,55,101,45,51,48,32,49,46,48,53,54,53,
      57,101,45,51,48,32,50,46,57,56,54,52,56,101,45,51,49,32,53,46,57,55,51,50,101,
      45,51,50,32,49,46,54,55,51,57,101,45,51,50,32,51,46,57,55,55,54,57,101,45,51,
      51,10,32,32,56,46,48,49,50,50,101,45,51,52,32,50,46,48,50,55,53,57,101,45,51,
      52,32,51,46,51,54,51,53,53,101,45,51,53,32,48,114,50,56,50,32,49,46,56,50,53,
      48,54,101,45,51,52,32,52,46,51,50,48,52,56,101,45,51,52,32,57,46,56,53,49,57,
      52,101,45,51,52,32,50,46,53,49,51,57,53,101,45,51,51,10,32,32,53,46,53,51,54,
      57,50,101,45,51,51,32,50,46,50,48,52,57,53,101,45,51,48,32,55,46,48,48,53,55,
      52,101,45,51,48,32,51,46,56,52,53,53,49,101,45,50,57,32,49,46,52,50,52,55,56,
      101,45,50,56,32,54,46,50,57,55,56,49,101,45,50,56,32,51,46,52,52,49,57,53,101,
      45,50,55,10,32,32,57,46,54,56,50,51,53,101,45,50,54,32,50,46,54,48,48,53,57,
      101,45,50,53,32,53,46,48,53,48,56,101,45,50,53,32,56,46,57,54,56,48,53,101,
      45,50,53,32,52,46,56,53,56,51,101,45,50,52,32,49,46,50,52,50,53,53,101,45,50,
      51,32,50,46,48,52,53,53,53,101,45,50,51,10,32,32,53,46,49,50,57,51,57,101,45,
      50,51,32,49,46,49,55,51,49,54,101,45,50,50,32,50,46,55,57,50,52,51,101,45,50,
      50,32,52,46,51,54,52,51,51,101,45,50,50,32,55,46,55,56,57,50,52,101,45,50,50,
      32,49,46,52,49,48,52,53,101,45,50,49,32,50,46,52,50,50,101,45,50,49,10,32,32,
      51,46,56,49,52,56,101,45,50,49,32,53,46,53,51,51,52,51,101,45,50,49,32,55,46,
      52,49,54,53,51,101,45,50,49,32,57,46,57,55,49,55,50,101,45,50,49,32,49,46,51,
      52,55,56,54,101,45,50,48,32,49,46,55,52,52,52,101,45,50,48,32,51,46,48,53,51,
      48,49,101,45,50,48,10,32,32,53,46,51,50,53,53,55,101,45,50,48,32,56,46,52,50,
      55,55,53,101,45,50,48,32,49,46,50,51,53,54,101,45,49,57,32,49,46,52,57,52,55,
      55,101,45,49,57,32,50,46,48,56,53,55,52,101,45,49,57,32,50,46,56,49,57,48,55,
      101,45,49,57,32,51,46,54,57,55,49,55,101,45,49,57,10,32,32,52,46,55,49,50,51,
      56,101,45,49,57,32,54,46,48,54,51,55,56,101,45,49,57,32,55,46,50,49,50,49,50,
      101,45,49,57,32,56,46,52,57,57,52,54,101,45,49,57,32,49,46,48,57,51,56,101,
      45,49,56,32,49,46,50,54,51,53,56,101,45,49,56,32,49,46,53,54,50,56,54,101,45,
      49,56,10,32,32,49,46,57,50,49,57,54,101,45,49,56,32,50,46,49,53,55,54,53,101,
      45,49,56,32,50,46,52,48,56,54,55,101,45,49,56,32,50,46,56,51,51,55,49,101,45,
      49,56,32,51,46,51,51,55,55,51,101,45,49,56,32,51,46,54,50,57,49,53,101,45,49,
      56,32,52,46,48,55,49,53,49,101,45,49,56,10,32,32,52,46,51,54,53,54,56,101,45,
      49,56,32,52,46,57,56,52,53,54,101,45,49,56,32,53,46,51,53,55,51,49,101,45,49,
      56,32,53,46,57,53,56,54,55,101,45,49,56,32,54,46,50,48,48,52,56,101,45,49,56,
      32,54,46,54,53,49,52,56,101,45,49,56,32,55,46,49,50,49,52,101,45,49,56,10,32,
      32,55,46,52,56,52,51,52,101,45,49,56,32,55,46,56,49,54,54,101,45,49,56,32,56,
      46,48,57,54,51,52,101,45,49,56,32,56,46,51,51,57,55,101,45,49,56,32,56,46,53,
      54,57,55,55,101,45,49,56,32,56,46,55,51,55,52,49,101,45,49,56,32,56,46,56,56,
      48,57,56,101,45,49,56,10,32,32,56,46,57,53,56,53,50,101,45,49,56,32,57,46,48,
      51,51,56,57,101,45,49,56,32,57,46,48,52,57,48,56,101,45,49,56,32,57,46,48,51,
      53,56,50,101,45,49,56,32,56,46,56,55,51,55,52,101,45,49,56,32,56,46,51,56,53,
      55,50,101,45,49,56,32,55,46,54,55,57,56,49,101,45,49,56,10,32,32,54,46,53,57,
      57,52,56,101,45,49,56,32,53,46,52,51,54,48,49,101,45,49,56,32,52,46,48,57,52,
      55,56,101,45,49,56,32,51,46,49,49,50,50,49,101,45,49,56,32,49,46,56,56,48,54,
      56,101,45,49,56,32,49,46,48,56,57,49,49,101,45,49,56,32,55,46,49,54,53,52,52,
      101,45,49,57,10,32,32,52,46,51,53,53,51,51,101,45,49,57,32,50,46,49,52,53,48,
      50,101,45,49,57,32,49,46,49,49,50,48,53,101,45,49,57,32,53,46,53,56,57,55,51,
      101,45,50,48,32,50,46,52,54,50,48,53,101,45,50,48,32,49,46,48,53,48,49,51,101,
      45,50,48,32,52,46,56,54,54,54,101,45,50,49,10,32,32,50,46,50,49,49,49,56,101,
      45,50,49,32,57,46,56,54,56,51,50,101,45,50,50,32,51,46,56,51,55,49,50,101,45,
      50,50,32,49,46,50,57,57,52,56,101,45,50,50,32,51,46,56,48,53,49,54,101,45,50,
      51,32,49,46,50,51,52,55,55,101,45,50,51,32,51,46,52,53,53,50,50,101,45,50,52,
      10,32,32,49,46,48,56,51,55,49,101,45,50,52,32,51,46,51,53,51,48,55,101,45,50,
      53,32,56,46,57,54,57,56,53,101,45,50,54,32,50,46,49,53,49,50,49,101,45,50,54,
      32,55,46,48,55,49,50,51,101,45,50,55,32,49,46,57,51,51,52,54,101,45,50,55,32,
      54,46,49,51,55,54,50,101,45,50,56,10,32,32,49,46,55,56,55,49,101,45,50,56,32,
      53,46,49,54,55,50,55,101,45,50,57,32,49,46,48,55,54,52,101,45,50,57,32,51,46,
      48,56,49,49,55,101,45,51,48,32,56,46,55,55,50,54,101,45,51,49,32,50,46,52,56,
      53,50,52,101,45,51,49,32,52,46,57,57,51,50,57,101,45,51,50,10,32,32,49,46,52,
      48,50,50,56,101,45,51,50,32,51,46,51,52,55,55,53,101,45,51,51,32,54,46,55,51,
      49,53,52,101,45,51,52,32,49,46,55,54,48,51,56,101,45,51,52,32,51,46,51,52,50,
      50,49,101,45,51,53,32,52,46,57,51,50,55,57,101,45,51,54,32,48,114,50,56,49,
      32,55,46,54,53,53,53,52,101,45,51,53,10,32,32,49,46,56,51,48,48,51,101,45,51,
      52,32,52,46,50,49,51,57,49,101,45,51,52,32,49,46,48,56,56,56,51,101,45,51,51,
      32,50,46,52,50,53,101,45,51,51,32,49,46,48,50,51,57,54,101,45,51,48,32,51,46,
      50,56,56,54,57,101,45,51,48,32,49,46,56,50,56,48,57,101,45,50,57,10,32,32,54,
      46,57,48,53,52,49,101,45,50,57,32,51,46,49,50,49,55,54,101,45,50,56,32,49,46,
      55,53,52,51,51,101,45,50,55,32,53,46,50,56,48,57,55,101,45,50,54,32,49,46,52,
      51,57,49,56,101,45,50,53,32,50,46,56,50,53,48,57,101,45,50,53,32,53,46,48,55,
      57,55,57,101,45,50,53,10,32,32,50,46,57,52,50,49,57,101,45,50,52,32,55,46,55,
      48,53,56,49,101,45,50,52,32,49,46,50,56,48,55,56,101,45,50,51,32,51,46,50,55,
      51,55,101,45,50,51,32,55,46,54,49,54,48,55,101,45,50,51,32,49,46,57,49,49,54,
      50,101,45,50,50,32,51,46,48,48,50,101,45,50,50,10,32,32,53,46,51,57,50,54,57,
      101,45,50,50,32,57,46,56,54,51,52,52,101,45,50,50,32,49,46,55,48,50,53,51,101,
      45,50,49,32,50,46,54,57,51,50,51,101,45,50,49,32,51,46,57,49,55,48,56,101,45,
      50,49,32,53,46,50,54,48,55,50,101,45,50,49,32,55,46,48,56,56,49,51,101,45,50,
      49,10,32,32,57,46,54,48,51,51,53,101,45,50,49,32,49,46,50,52,53,52,50,101,45,
      50,48,32,50,46,49,56,57,51,55,101,45,50,48,32,51,46,56,51,54,56,51,101,45,50,
      48,32,54,46,48,57,54,50,55,101,45,50,48,32,56,46,57,54,55,56,51,101,45,50,48,
      32,49,46,48,56,54,52,54,101,45,49,57,10,32,32,49,46,53,50,48,54,56,101,45,49,
      57,32,50,46,48,54,49,51,101,45,49,57,32,50,46,55,49,48,54,55,101,45,49,57,32,
      51,46,52,54,51,54,50,101,45,49,57,32,52,46,52,54,56,57,50,101,45,49,57,32,53,
      46,51,50,53,52,50,101,45,49,57,32,54,46,50,56,55,55,52,101,45,49,57,10,32,32,
      56,46,49,49,53,57,50,101,45,49,57,32,57,46,51,57,50,51,56,101,45,49,57,32,49,
      46,49,54,52,56,57,101,45,49,56,32,49,46,52,51,54,53,57,101,45,49,56,32,49,46,
      54,49,53,52,51,101,45,49,56,32,49,46,56,48,54,51,49,101,45,49,56,32,50,46,49,
      51,48,52,52,101,45,49,56,10,32,32,50,46,53,49,54,50,51,101,45,49,56,32,50,46,
      55,51,57,54,55,101,45,49,56,32,51,46,48,55,56,56,49,101,45,49,56,32,51,46,51,
      48,56,51,52,101,45,49,56,32,51,46,55,56,54,51,55,101,45,49,56,32,52,46,48,55,
      54,51,101,45,49,56,32,52,46,53,52,53,54,54,101,45,49,56,10,32,32,52,46,55,51,
      53,50,54,101,45,49,56,32,53,46,48,57,48,49,55,101,45,49,56,32,53,46,52,54,50,
      48,50,101,45,49,56,32,53,46,55,53,48,57,52,101,45,49,56,32,54,46,48,49,55,49,
      50,101,45,49,56,32,54,46,50,52,50,56,56,101,45,49,56,32,54,46,52,52,49,48,50,
      101,45,49,56,10,32,32,54,46,54,51,48,53,49,101,45,49,56,32,54,46,55,55,48,56,
      49,101,45,49,56,32,54,46,56,57,51,56,101,45,49,56,32,54,46,57,54,50,54,52,101,
      45,49,56,32,55,46,48,51,53,50,55,101,45,49,56,32,55,46,48,53,53,54,52,101,45,
      49,56,32,55,46,48,53,53,56,51,101,45,49,56,10,32,32,54,46,57,53,51,101,45,49,
      56,32,54,46,54,48,48,56,101,45,49,56,32,54,46,48,55,49,52,53,101,45,49,56,32,
      53,46,50,52,52,55,56,101,45,49,56,32,52,46,51,52,50,48,49,101,45,49,56,32,51,
      46,50,56,57,56,50,101,45,49,56,32,50,46,53,49,50,48,55,101,45,49,56,10,32,32,
      49,46,53,50,56,56,51,101,45,49,56,32,56,46,57,49,48,48,54,101,45,49,57,32,53,
      46,56,56,55,48,50,101,45,49,57,32,51,46,53,57,52,53,51,101,45,49,57,32,49,46,
      55,56,48,52,53,101,45,49,57,32,57,46,50,55,51,56,54,101,45,50,48,32,52,46,54,
      56,50,49,54,101,45,50,48,10,32,32,50,46,48,55,50,49,101,45,50,48,32,56,46,56,
      55,55,49,56,101,45,50,49,32,52,46,49,50,56,56,56,101,45,50,49,32,49,46,56,56,
      50,52,51,101,45,50,49,32,56,46,52,50,56,51,56,101,45,50,50,32,51,46,50,56,56,
      57,55,101,45,50,50,32,49,46,49,49,55,57,53,101,45,50,50,10,32,32,51,46,50,56,
      54,48,55,101,45,50,51,32,49,46,48,54,57,55,50,101,45,50,51,32,51,46,48,48,51,
      51,54,101,45,50,52,32,57,46,52,52,54,48,50,101,45,50,53,32,50,46,57,51,48,50,
      54,101,45,50,53,32,55,46,56,53,57,57,54,101,45,50,54,32,49,46,56,57,48,49,53,
      101,45,50,54,10,32,32,54,46,50,50,53,51,101,45,50,55,32,49,46,55,48,53,56,51,
      101,45,50,55,32,53,46,52,50,52,55,101,45,50,56,32,49,46,53,56,50,51,56,101,
      45,50,56,32,52,46,53,56,51,50,52,101,45,50,57,32,57,46,53,56,53,53,57,101,45,
      51,48,32,50,46,55,52,55,57,53,101,45,51,48,10,32,32,55,46,56,51,52,57,56,101,
      45,51,49,32,50,46,50,50,50,54,51,101,45,51,49,32,52,46,52,55,55,57,49,101,45,
      51,50,32,49,46,50,53,57,48,53,101,45,51,50,32,51,46,48,49,50,57,54,101,45,51,
      51,32,54,46,48,53,54,49,54,101,45,51,52,32,49,46,54,50,51,51,49,101,45,51,52,
      10,32,32,50,46,57,57,56,56,56,101,45,51,53,32,52,46,51,56,57,50,101,45,51,54,
      32,48,114,50,56,49,32,50,46,57,50,56,49,49,101,45,51,53,32,55,46,48,55,50,51,
      101,45,51,53,32,49,46,54,51,54,54,101,45,51,52,32,52,46,51,48,51,54,53,101,
      45,51,52,32,57,46,55,48,49,53,54,101,45,51,52,10,32,32,52,46,51,56,51,49,101,
      45,51,49,32,49,46,52,50,52,54,50,101,45,51,48,32,56,46,48,50,57,52,101,45,51,
      48,32,51,46,48,57,56,49,101,45,50,57,32,49,46,52,51,53,55,55,101,45,50,56,32,
      56,46,51,49,54,55,53,101,45,50,56,32,50,46,54,56,54,57,54,101,45,50,54,10,32,
      32,55,46,52,52,48,54,49,101,45,50,54,32,49,46,52,55,55,56,49,101,45,50,53,32,
      50,46,54,57,52,48,57,101,45,50,53,32,49,46,54,55,56,56,55,101,45,50,52,32,52,
      46,53,49,48,52,54,101,45,50,52,32,55,46,53,55,57,49,49,101,45,50,52,32,49,46,
      57,55,57,48,57,101,45,50,51,10,32,32,52,46,54,57,51,49,55,101,45,50,51,32,49,
      46,50,53,52,48,52,101,45,50,50,32,49,46,57,56,48,52,56,101,45,50,50,32,51,46,
      53,56,52,56,55,101,45,50,50,32,54,46,54,51,51,53,49,101,45,50,50,32,49,46,49,
      53,50,50,54,101,45,50,49,32,49,46,56,51,50,53,56,101,45,50,49,10,32,32,50,46,
      54,55,51,52,49,101,45,50,49,32,51,46,53,57,56,54,52,101,45,50,49,32,52,46,56,
      54,48,50,57,101,45,50,49,32,54,46,54,48,50,51,57,101,45,50,49,32,56,46,53,56,
      50,49,57,101,45,50,49,32,49,46,53,49,54,50,51,101,45,50,48,32,50,46,54,55,49,
      48,54,101,45,50,48,10,32,32,52,46,50,54,51,50,51,101,45,50,48,32,54,46,50,57,
      53,48,52,101,45,50,48,32,55,46,54,51,56,56,52,101,45,50,48,32,49,46,48,55,50,
      56,57,101,45,49,57,32,49,46,52,53,57,48,50,101,45,49,57,32,49,46,57,50,52,52,
      55,101,45,49,57,32,50,46,52,54,53,57,101,45,49,57,10,32,32,51,46,49,57,49,49,
      57,101,45,49,57,32,51,46,56,49,48,57,49,101,45,49,57,32,52,46,53,48,56,57,101,
      45,49,57,32,53,46,56,51,57,49,53,101,45,49,57,32,54,46,55,55,48,56,49,101,45,
      49,57,32,56,46,52,50,50,56,50,101,45,49,57,32,49,46,48,52,49,57,54,101,45,49,
      56,10,32,32,49,46,49,55,51,55,57,101,45,49,56,32,49,46,51,49,52,56,52,101,45,
      49,56,32,49,46,53,53,53,48,57,101,45,49,56,32,49,46,56,52,50,49,56,101,45,49,
      56,32,50,46,48,48,56,56,57,101,45,49,56,32,50,46,50,54,48,57,54,101,45,49,56,
      32,50,46,52,51,52,57,56,101,45,49,56,10,32,32,50,46,55,57,53,48,53,101,45,49,
      56,32,51,46,48,49,52,53,51,101,45,49,56,32,51,46,51,55,49,50,54,101,45,49,56,
      32,51,46,53,49,54,48,51,101,45,49,56,32,51,46,55,56,56,48,54,101,45,49,56,32,
      52,46,48,55,52,55,54,101,45,49,56,32,52,46,50,57,56,57,53,101,45,49,56,10,32,
      32,52,46,53,48,54,56,57,101,45,49,56,32,52,46,54,56,52,54,101,45,49,56,32,52,
      46,56,52,49,57,52,101,45,49,56,32,52,46,57,57,52,49,54,101,45,49,56,32,53,46,
      49,48,56,54,101,45,49,56,32,53,46,50,49,49,49,53,101,45,49,56,32,53,46,50,55,
      48,51,56,101,45,49,56,10,32,32,53,46,51,51,55,49,51,101,45,49,56,32,53,46,51,
      53,57,55,54,101,45,49,56,32,53,46,51,54,56,55,53,101,45,49,56,32,53,46,51,49,
      48,53,49,101,45,49,56,32,53,46,48,54,55,48,56,101,45,49,56,32,52,46,54,56,51,
      49,50,101,45,49,56,32,52,46,48,54,56,57,55,101,45,49,56,10,32,32,51,46,51,56,
      55,52,101,45,49,56,32,50,46,53,56,51,48,53,101,45,49,56,32,49,46,57,56,50,53,
      52,101,45,49,56,32,49,46,50,49,54,48,51,101,45,49,56,32,55,46,49,51,54,56,57,
      101,45,49,57,32,52,46,55,51,55,53,54,101,45,49,57,32,50,46,57,48,55,49,51,101,
      45,49,57,10,32,32,49,46,52,52,57,48,50,101,45,49,57,32,55,46,53,56,54,54,50,
      101,45,50,48,32,51,46,56,52,56,57,56,101,45,50,48,32,49,46,55,49,50,50,57,101,
      45,50,48,32,55,46,51,55,49,53,49,101,45,50,49,32,51,46,52,52,50,51,53,101,45,
      50,49,32,49,46,53,55,53,51,57,101,45,50,49,10,32,32,55,46,48,55,56,57,54,101,
      45,50,50,32,50,46,55,55,51,51,50,101,45,50,50,32,57,46,52,54,53,49,56,101,45,
      50,51,32,50,46,55,57,51,56,54,101,45,50,51,32,57,46,49,50,54,57,50,101,45,50,
      52,32,50,46,53,55,49,57,52,101,45,50,52,32,56,46,49,49,51,57,55,101,45,50,53,
      10,32,32,50,46,53,50,52,50,57,101,45,50,53,32,54,46,55,57,49,51,52,101,45,50,
      54,32,49,46,54,51,56,48,56,101,45,50,54,32,53,46,52,48,54,56,53,101,45,50,55,
      32,49,46,52,56,53,49,101,45,50,55,32,52,46,55,51,50,49,51,101,45,50,56,32,49,
      46,51,56,51,49,52,101,45,50,56,10,32,32,52,46,48,49,51,55,57,101,45,50,57,32,
      56,46,52,51,51,52,101,45,51,48,32,50,46,52,50,49,54,52,101,45,51,48,32,54,46,
      57,49,53,52,51,101,45,51,49,32,49,46,57,54,52,55,51,101,45,51,49,32,51,46,57,
      54,57,56,54,101,45,51,50,32,49,46,49,49,56,50,56,101,45,51,50,10,32,32,50,46,
      54,56,48,56,56,101,45,51,51,32,53,46,51,56,56,53,53,101,45,51,52,32,49,46,52,
      52,53,48,53,101,45,51,52,32,50,46,54,54,48,51,52,101,45,51,53,32,51,46,56,53,
      55,54,56,101,45,51,54,32,48,114,50,56,49,32,49,46,48,55,55,55,53,101,45,51,
      53,32,50,46,54,51,50,49,54,101,45,51,53,10,32,32,54,46,49,54,48,55,50,101,45,
      51,53,32,49,46,54,52,52,52,51,101,45,51,52,32,51,46,55,53,50,56,101,45,51,52,
      32,49,46,56,48,56,52,52,101,45,51,49,32,53,46,57,53,50,50,53,101,45,51,49,32,
      51,46,52,48,50,51,50,101,45,51,48,32,49,46,51,52,49,56,52,101,45,50,57,10,32,
      32,54,46,51,56,48,51,49,101,45,50,57,32,51,46,56,49,52,51,53,101,45,50,56,32,
      49,46,51,50,55,54,101,45,50,54,32,51,46,55,51,55,56,53,101,45,50,54,32,55,46,
      53,49,52,52,53,101,45,50,54,32,49,46,51,56,57,50,52,101,45,50,53,32,57,46,51,
      50,51,56,49,101,45,50,53,10,32,32,50,46,53,54,57,50,50,101,45,50,52,32,52,46,
      51,54,56,49,53,101,45,50,52,32,49,46,49,54,53,56,49,101,45,50,51,32,50,46,56,
      50,48,48,54,101,45,50,51,32,56,46,48,54,57,56,56,101,45,50,51,32,49,46,50,56,
      50,54,53,101,45,50,50,32,50,46,51,52,49,54,101,45,50,50,10,32,32,52,46,51,56,
      56,52,56,101,45,50,50,32,55,46,54,55,57,56,101,45,50,50,32,49,46,50,50,57,51,
      49,101,45,50,49,32,49,46,55,57,57,49,53,101,45,50,49,32,50,46,52,50,55,55,49,
      101,45,50,49,32,51,46,50,56,55,50,56,101,45,50,49,32,52,46,52,55,56,49,54,101,
      45,50,49,10,32,32,53,46,56,51,53,50,49,101,45,50,49,32,49,46,48,51,54,50,53,
      101,45,50,48,32,49,46,56,51,53,51,54,101,45,50,48,32,50,46,57,52,50,57,54,101,
      45,50,48,32,52,46,51,54,50,50,56,101,45,50,48,32,53,46,51,48,50,50,49,101,45,
      50,48,32,55,46,52,55,51,50,53,101,45,50,48,10,32,32,49,46,48,49,57,54,53,101,
      45,49,57,32,49,46,51,52,57,48,57,101,45,49,57,32,49,46,55,51,51,53,56,101,45,
      49,57,32,50,46,50,53,48,51,54,101,45,49,57,32,50,46,54,57,51,50,52,101,45,49,
      57,32,51,46,49,57,51,51,51,101,45,49,57,32,52,46,49,52,57,52,56,101,45,49,57,
      10,32,32,52,46,56,50,49,50,54,101,45,49,57,32,54,46,48,49,54,49,57,101,45,49,
      57,32,55,46,52,54,54,49,55,101,45,49,57,32,56,46,52,50,54,53,55,101,45,49,57,
      32,57,46,52,53,54,53,51,101,45,49,57,32,49,46,49,50,49,54,53,101,45,49,56,32,
      49,46,51,51,50,56,50,101,45,49,56,10,32,32,49,46,52,53,53,55,50,101,45,49,56,
      32,49,46,54,52,49,52,54,101,45,49,56,32,49,46,55,55,48,55,52,101,45,49,56,32,
      50,46,48,51,57,51,56,101,45,49,56,32,50,46,50,48,51,57,52,101,45,49,56,32,50,
      46,52,55,50,49,49,101,45,49,56,32,50,46,53,56,49,52,50,101,45,49,56,10,32,32,
      50,46,55,56,55,54,49,101,45,49,56,32,51,46,48,48,54,49,55,101,45,49,56,32,51,
      46,49,55,56,49,53,101,45,49,56,32,51,46,51,51,56,55,49,101,45,49,56,32,51,46,
      52,55,54,57,50,101,45,49,56,32,51,46,54,48,48,51,49,101,45,49,56,32,51,46,55,
      50,49,101,45,49,56,10,32,32,51,46,56,49,51,101,45,49,56,32,51,46,56,57,55,48,
      52,101,45,49,56,32,51,46,57,52,54,56,55,101,45,49,56,32,52,46,48,48,53,57,51,
      101,45,49,56,32,52,46,48,50,56,52,53,101,45,49,56,32,52,46,48,52,50,48,53,101,
      45,49,56,32,52,46,48,49,51,55,101,45,49,56,10,32,32,51,46,56,52,57,54,50,101,
      45,49,56,32,51,46,53,55,53,51,56,101,45,49,56,32,51,46,49,50,52,57,53,101,45,
      49,56,32,50,46,54,49,54,52,51,101,45,49,56,32,50,46,48,48,56,51,54,101,45,49,
      56,32,49,46,53,52,57,54,50,101,45,49,56,32,57,46,53,56,49,54,51,101,45,49,57,
      10,32,32,53,46,54,54,52,50,53,101,45,49,57,32,51,46,55,55,56,50,49,101,45,49,
      57,32,50,46,51,51,48,52,52,101,45,49,57,32,49,46,49,54,57,49,54,101,45,49,57,
      32,54,46,49,53,52,49,57,101,45,50,48,32,51,46,49,51,56,48,55,101,45,50,48,32,
      49,46,52,48,51,54,49,101,45,50,48,10,32,32,54,46,48,55,51,52,51,101,45,50,49,
      32,50,46,56,52,56,48,55,101,45,50,49,32,49,46,51,48,56,53,55,101,45,50,49,32,
      53,46,57,48,50,48,49,101,45,50,50,32,50,46,51,50,49,55,54,101,45,50,50,32,55,
      46,57,53,55,54,53,101,45,50,51,32,50,46,51,53,57,49,56,101,45,50,51,10,32,32,
      55,46,55,51,53,50,56,101,45,50,52,32,50,46,49,56,56,49,54,101,45,50,52,32,54,
      46,57,50,53,51,52,101,45,50,53,32,50,46,49,54,48,57,56,101,45,50,53,32,53,46,
      56,51,50,48,56,101,45,50,54,32,49,46,52,49,49,49,49,101,45,50,54,32,52,46,54,
      54,56,51,49,101,45,50,55,10,32,32,49,46,50,56,53,52,52,101,45,50,55,32,52,46,
      49,48,52,52,53,101,45,50,56,32,49,46,50,48,50,50,101,45,50,56,32,51,46,52,57,
      53,54,57,101,45,50,57,32,55,46,51,55,57,49,50,101,45,51,48,32,50,46,49,50,50,
      53,56,101,45,51,48,32,54,46,48,55,49,51,56,101,45,51,49,10,32,32,49,46,55,50,
      55,54,52,101,45,51,49,32,51,46,53,48,50,53,56,101,45,51,50,32,57,46,56,55,57,
      55,49,101,45,51,51,32,50,46,51,55,49,54,52,101,45,51,51,32,52,46,55,55,50,51,
      51,101,45,51,52,32,49,46,50,56,48,52,50,101,45,51,52,32,50,46,53,54,50,56,50,
      101,45,51,53,10,32,32,51,46,51,55,50,54,57,101,45,51,54,32,48,114,50,56,49,
      32,50,46,57,54,52,55,50,101,45,51,54,32,55,46,51,52,52,51,101,45,51,54,32,49,
      46,55,52,52,50,54,101,45,51,53,32,52,46,55,49,57,52,51,101,45,51,53,32,49,46,
      48,57,57,53,54,101,45,51,52,32,53,46,55,54,54,56,56,101,45,51,50,10,32,32,49,
      46,57,50,57,50,53,101,45,51,49,32,49,46,49,50,50,55,55,101,45,51,48,32,52,46,
      53,53,52,48,51,101,45,51,48,32,50,46,50,51,55,55,53,101,45,50,57,32,49,46,51,
      57,50,52,56,101,45,50,56,32,53,46,51,49,55,53,55,101,45,50,55,32,49,46,53,50,
      57,52,50,101,45,50,54,10,32,32,51,46,49,50,50,56,50,101,45,50,54,32,53,46,56,
      55,53,57,57,101,45,50,54,32,52,46,51,50,54,56,51,101,45,50,53,32,49,46,50,50,
      57,56,54,101,45,50,52,32,50,46,49,50,51,56,49,101,45,50,52,32,53,46,56,51,49,
      52,101,45,50,52,32,49,46,52,52,55,54,56,101,45,50,51,10,32,32,52,46,53,52,54,
      55,49,101,45,50,51,32,55,46,50,57,49,57,51,101,45,50,51,32,49,46,51,52,55,49,
      56,101,45,50,50,32,50,46,53,54,56,55,55,101,45,50,50,32,52,46,53,52,53,52,55,
      101,45,50,50,32,55,46,51,52,56,49,53,101,45,50,50,32,49,46,48,56,48,48,49,101,
      45,50,49,10,32,32,49,46,52,54,50,101,45,50,49,32,49,46,57,56,54,52,52,101,45,
      50,49,32,50,46,55,49,54,49,56,101,45,50,49,32,51,46,53,53,48,54,51,101,45,50,
      49,32,54,46,51,52,55,55,54,101,45,50,49,32,49,46,49,51,50,49,101,45,50,48,32,
      49,46,56,50,54,49,49,101,45,50,48,10,32,32,50,46,55,50,48,49,52,101,45,50,48,
      32,51,46,51,49,51,50,50,101,45,50,48,32,52,46,54,57,48,57,53,101,45,50,48,32,
      54,46,52,50,55,52,101,45,50,48,32,56,46,53,51,55,53,55,101,45,50,48,32,49,46,
      49,48,49,48,54,101,45,49,57,32,49,46,52,51,52,56,57,101,45,49,57,10,32,32,49,
      46,55,50,50,48,53,101,45,49,57,32,50,46,48,52,55,51,52,101,45,49,57,32,50,46,
      54,55,49,56,55,101,45,49,57,32,51,46,49,49,50,52,51,101,45,49,57,32,51,46,56,
      57,57,50,49,101,45,49,57,32,52,46,56,53,56,54,52,101,45,49,57,32,53,46,52,57,
      54,54,56,101,45,49,57,10,32,32,54,46,49,56,51,101,45,49,57,32,55,46,51,54,48,
      52,50,101,45,49,57,32,56,46,55,56,48,53,49,101,45,49,57,32,57,46,54,49,48,49,
      53,101,45,49,57,32,49,46,48,56,54,54,50,101,45,49,56,32,49,46,49,55,51,55,52,
      101,45,49,56,32,49,46,51,53,55,52,50,101,45,49,56,10,32,32,49,46,52,55,49,49,
      52,101,45,49,56,32,49,46,54,53,54,53,49,101,45,49,56,32,49,46,55,51,50,52,54,
      101,45,49,56,32,49,46,56,55,54,52,49,101,45,49,56,32,50,46,48,51,48,48,56,101,
      45,49,56,32,50,46,49,53,49,57,51,101,45,49,56,32,50,46,50,54,54,53,56,101,45,
      49,56,10,32,32,50,46,51,54,54,49,51,101,45,49,56,32,50,46,52,53,53,56,57,101,
      45,49,56,32,50,46,53,52,52,55,56,101,45,49,56,32,50,46,54,49,51,54,51,101,45,
      49,56,32,50,46,54,55,55,56,53,101,45,49,56,32,50,46,55,49,54,57,57,101,45,49,
      56,32,50,46,55,54,53,54,56,101,45,49,56,10,32,32,50,46,55,56,54,49,53,101,45,
      49,56,32,50,46,56,48,49,54,51,101,45,49,56,32,50,46,55,57,53,57,101,45,49,56,
      32,50,46,54,57,57,53,55,101,45,49,56,32,50,46,53,50,51,49,52,101,45,49,56,32,
      50,46,50,50,50,50,101,45,49,56,32,49,46,56,55,52,51,54,101,45,49,56,10,32,32,
      49,46,52,53,49,48,51,101,45,49,56,32,49,46,49,50,55,50,52,101,45,49,56,32,55,
      46,48,52,50,55,56,101,45,49,57,32,52,46,50,48,50,52,52,101,45,49,57,32,50,46,
      56,50,48,55,50,101,45,49,57,32,49,46,55,53,49,53,101,45,49,57,32,56,46,56,54,
      49,50,57,101,45,50,48,10,32,32,52,46,54,57,54,55,49,101,45,50,48,32,50,46,52,
      49,48,53,52,101,45,50,48,32,49,46,48,56,53,55,56,101,45,50,48,32,52,46,55,50,
      57,49,50,101,45,50,49,32,50,46,50,50,57,54,55,101,45,50,49,32,49,46,48,50,57,
      54,56,101,45,50,49,32,52,46,54,54,54,53,55,101,45,50,50,10,32,32,49,46,56,52,
      53,53,50,101,45,50,50,32,54,46,51,54,48,49,49,101,45,50,51,32,49,46,56,57,54,
      50,54,101,45,50,51,32,54,46,50,52,55,48,49,101,45,50,52,32,49,46,55,55,53,57,
      54,101,45,50,52,32,53,46,54,52,52,48,55,101,45,50,53,32,49,46,55,54,56,48,51,
      101,45,50,53,10,32,32,52,46,55,57,48,57,50,101,45,50,54,32,49,46,49,54,51,57,
      49,101,45,50,54,32,51,46,56,54,49,56,53,101,45,50,55,32,49,46,48,54,54,56,49,
      101,45,50,55,32,51,46,52,49,53,53,101,45,50,56,32,49,46,48,48,51,49,51,101,
      45,50,56,32,50,46,57,50,52,51,55,101,45,50,57,10,32,32,54,46,50,49,49,49,101,
      45,51,48,32,49,46,55,57,48,54,101,45,51,48,32,53,46,49,51,50,55,101,45,51,49,
      32,49,46,52,54,51,53,50,101,45,51,49,32,50,46,57,55,57,50,54,101,45,51,50,32,
      56,46,52,49,56,51,54,101,45,51,51,32,50,46,48,50,53,56,56,101,45,51,51,10,32,
      32,52,46,48,57,54,53,55,101,45,51,52,32,49,46,49,49,50,53,50,101,45,51,52,32,
      50,46,49,56,53,57,54,101,45,51,53,32,50,46,56,51,53,52,56,101,45,51,54,32,48,
      114,50,56,50,32,51,46,53,49,52,55,101,45,51,54,32,56,46,52,49,55,55,52,101,
      45,51,54,32,50,46,51,48,51,50,55,101,45,51,53,10,32,32,53,46,52,49,52,57,52,
      101,45,51,53,32,50,46,57,55,55,49,51,101,45,51,50,32,49,46,48,48,53,52,49,101,
      45,51,49,32,53,46,57,49,49,49,55,101,45,51,49,32,50,46,52,51,54,52,49,101,45,
      51,48,32,49,46,50,50,48,48,50,101,45,50,57,32,55,46,55,54,56,56,51,101,45,50,
      57,10,32,32,51,46,49,50,56,52,56,101,45,50,55,32,57,46,49,48,56,57,54,101,45,
      50,55,32,49,46,56,55,54,53,51,101,45,50,54,32,51,46,53,54,54,53,50,101,45,50,
      54,32,50,46,55,54,56,55,52,101,45,50,53,32,56,46,48,48,55,50,50,101,45,50,53,
      32,49,46,51,57,53,52,51,101,45,50,52,10,32,32,51,46,56,57,51,56,56,101,45,50,
      52,32,57,46,56,49,50,49,53,101,45,50,52,32,51,46,50,53,55,53,51,101,45,50,51,
      32,53,46,50,53,51,53,56,101,45,50,51,32,57,46,55,55,55,50,50,101,45,50,51,32,
      49,46,56,56,51,54,56,101,45,50,50,32,51,46,51,53,55,52,51,101,45,50,50,10,32,
      32,53,46,52,54,51,53,52,101,45,50,50,32,56,46,48,52,57,57,101,45,50,50,32,49,
      46,48,57,49,55,51,101,45,50,49,32,49,46,52,56,54,51,53,101,45,50,49,32,50,46,
      48,51,54,56,49,101,45,50,49,32,50,46,54,54,55,52,57,101,45,50,49,32,52,46,55,
      56,55,50,53,101,45,50,49,10,32,32,56,46,53,55,49,55,51,101,45,50,49,32,49,46,
      51,56,55,51,51,101,45,50,48,32,50,46,48,55,50,51,56,101,45,50,48,32,50,46,53,
      50,55,50,56,101,45,50,48,32,51,46,53,56,55,52,101,45,50,48,32,52,46,57,50,55,
      50,101,45,50,48,32,54,46,53,53,57,54,51,101,45,50,48,10,32,32,56,46,52,55,55,
      51,50,101,45,50,48,32,49,46,49,48,55,50,51,101,45,49,57,32,49,46,51,51,48,57,
      52,101,45,49,57,32,49,46,53,56,52,56,50,101,45,49,57,32,50,46,48,55,51,52,49,
      101,45,49,57,32,50,46,52,49,56,56,56,101,45,49,57,32,51,46,48,51,55,50,52,101,
      45,49,57,10,32,32,51,46,55,57,51,52,52,101,45,49,57,32,52,46,50,57,55,52,56,
      101,45,49,57,32,52,46,56,52,48,54,49,101,45,49,57,32,53,46,55,55,52,53,50,101,
      45,49,57,32,54,46,57,48,52,50,53,101,45,49,57,32,55,46,53,54,53,57,57,101,45,
      49,57,32,56,46,53,55,48,50,57,101,45,49,57,10,32,32,57,46,50,54,50,48,49,101,
      45,49,57,32,49,46,48,55,51,52,57,101,45,49,56,32,49,46,49,54,53,53,53,101,45,
      49,56,32,49,46,51,49,53,51,51,101,45,49,56,32,49,46,51,55,54,56,56,101,45,49,
      56,32,49,46,52,57,51,56,52,101,45,49,56,32,49,46,54,49,57,50,101,45,49,56,10,
      32,32,49,46,55,49,57,48,49,101,45,49,56,32,49,46,56,49,51,51,51,101,45,49,56,
      32,49,46,56,57,53,54,50,101,45,49,56,32,49,46,57,55,48,50,101,45,49,56,32,50,
      46,48,52,52,53,53,101,45,49,56,32,50,46,49,48,50,54,101,45,49,56,32,50,46,49,
      53,55,51,52,101,45,49,56,10,32,32,50,46,49,57,49,49,52,101,45,49,56,32,50,46,
      50,51,52,49,53,101,45,49,56,32,50,46,50,53,50,57,55,101,45,49,56,32,50,46,50,
      54,56,51,51,101,45,49,56,32,50,46,50,55,48,49,56,101,45,49,56,32,50,46,50,48,
      48,51,54,101,45,49,56,32,50,46,48,54,52,48,51,101,45,49,56,10,32,32,49,46,56,
      50,53,56,52,101,45,49,56,32,49,46,53,52,54,53,55,101,45,49,56,32,49,46,50,48,
      51,49,50,101,45,49,56,32,57,46,51,56,51,48,57,101,45,49,57,32,53,46,56,57,55,
      51,54,101,45,49,57,32,51,46,53,51,55,56,51,101,45,49,57,32,50,46,51,56,51,49,
      52,101,45,49,57,10,32,32,49,46,52,56,53,52,54,101,45,49,57,32,55,46,53,53,49,
      54,56,101,45,50,48,32,52,46,48,49,56,53,49,101,45,50,48,32,50,46,48,55,48,50,
      101,45,50,48,32,57,46,51,54,50,52,101,45,50,49,32,52,46,48,57,51,50,50,101,
      45,50,49,32,49,46,57,51,53,56,55,101,45,50,49,10,32,32,56,46,57,54,54,50,57,
      101,45,50,50,32,52,46,48,55,52,56,56,101,45,50,50,32,49,46,54,49,54,52,54,101,
      45,50,50,32,53,46,53,56,56,51,49,101,45,50,51,32,49,46,54,55,49,53,57,101,45,
      50,51,32,53,46,53,50,49,57,52,101,45,50,52,32,49,46,53,55,52,51,52,101,45,50,
      52,10,32,32,53,46,48,49,53,50,57,101,45,50,53,32,49,46,53,55,52,54,49,101,45,
      50,53,32,52,46,50,55,54,55,55,101,45,50,54,32,49,46,48,52,49,52,52,101,45,50,
      54,32,51,46,52,54,49,51,56,101,45,50,55,32,57,46,53,55,57,54,56,101,45,50,56,
      32,51,46,48,55,49,55,56,101,45,50,56,10,32,32,57,46,48,51,54,48,49,101,45,50,
      57,32,50,46,54,51,56,49,53,101,45,50,57,32,53,46,54,50,50,56,101,45,51,48,32,
      49,46,54,50,51,48,57,101,45,51,48,32,52,46,54,53,56,50,57,101,45,51,49,32,49,
      46,51,50,57,56,49,101,45,51,49,32,50,46,55,49,51,54,55,101,45,51,50,10,32,32,
      55,46,54,55,53,56,55,101,45,51,51,32,49,46,56,52,57,49,50,101,45,51,51,32,51,
      46,55,52,50,56,55,101,45,51,52,32,49,46,48,52,51,51,52,101,45,51,52,32,50,46,
      49,50,50,53,50,101,45,51,53,32,50,46,53,54,53,51,52,101,45,51,54,32,48,114,
      50,56,50,32,49,46,48,55,48,53,56,101,45,51,54,10,32,32,50,46,53,57,56,57,49,
      101,45,51,54,32,55,46,50,52,48,56,54,101,45,51,54,32,49,46,55,49,54,48,51,101,
      45,51,53,32,49,46,48,50,50,49,53,101,45,51,50,32,51,46,53,48,52,49,49,101,45,
      51,50,32,50,46,48,57,52,53,53,101,45,51,49,32,56,46,56,53,55,57,50,101,45,51,
      49,10,32,32,52,46,53,55,49,56,56,101,45,51,48,32,51,46,48,50,48,52,51,101,45,
      50,57,32,49,46,51,50,51,101,45,50,55,32,51,46,57,50,56,56,101,45,50,55,32,56,
      46,50,49,48,49,49,101,45,50,55,32,49,46,53,56,53,52,51,101,45,50,54,32,49,46,
      51,51,56,50,50,101,45,50,53,10,32,32,51,46,57,55,53,55,51,101,45,50,53,32,55,
      46,48,51,50,56,56,101,45,50,53,32,50,46,48,49,52,57,50,101,45,50,52,32,53,46,
      50,48,50,53,101,45,50,52,32,49,46,56,57,51,54,57,101,45,50,51,32,51,46,48,56,
      51,52,54,101,45,50,51,32,53,46,56,49,48,55,49,101,45,50,51,10,32,32,49,46,49,
      51,56,57,101,45,50,50,32,50,46,48,53,54,57,56,101,45,50,50,32,51,46,51,56,56,
      57,51,101,45,50,50,32,53,46,48,49,50,57,52,101,45,50,50,32,54,46,56,49,56,57,
      52,101,45,50,50,32,57,46,51,49,52,55,57,101,45,50,50,32,49,46,50,56,49,101,
      45,50,49,10,32,32,49,46,54,56,50,54,54,101,45,50,49,32,51,46,48,51,56,52,54,
      101,45,50,49,32,53,46,52,55,53,48,54,101,45,50,49,32,56,46,57,48,57,53,49,101,
      45,50,49,32,49,46,51,51,54,56,56,101,45,50,48,32,49,46,54,51,51,52,55,101,45,
      50,48,32,50,46,51,50,56,50,49,101,45,50,48,10,32,32,51,46,50,49,48,48,54,101,
      45,50,48,32,52,46,50,56,57,48,50,101,45,50,48,32,53,46,53,54,49,51,55,101,45,
      50,48,32,55,46,50,56,57,57,101,45,50,48,32,56,46,55,56,53,49,56,101,45,50,48,
      32,49,46,48,52,56,55,50,101,45,49,57,32,49,46,51,55,55,53,50,101,45,49,57,10,
      32,32,49,46,54,49,48,56,56,101,45,49,57,32,50,46,48,51,48,49,101,45,49,57,32,
      50,46,53,52,53,49,101,45,49,57,32,50,46,56,56,57,54,53,101,45,49,57,32,51,46,
      50,54,49,57,55,101,45,49,57,32,51,46,57,48,52,53,52,101,45,49,57,32,52,46,54,
      56,53,52,57,101,45,49,57,10,32,32,53,46,49,52,53,48,53,101,45,49,57,32,53,46,
      56,52,54,56,52,101,45,49,57,32,54,46,51,50,50,55,55,101,45,49,57,32,55,46,51,
      53,49,55,101,45,49,57,32,56,46,48,48,54,55,101,45,49,57,32,57,46,48,54,56,49,
      54,101,45,49,57,32,57,46,53,48,54,50,55,101,45,49,57,10,32,32,49,46,48,51,52,
      50,51,101,45,49,56,32,49,46,49,50,52,51,56,101,45,49,56,32,49,46,49,57,54,54,
      52,101,45,49,56,32,49,46,50,54,53,51,54,101,45,49,56,32,49,46,51,50,53,55,53,
      101,45,49,56,32,49,46,51,56,48,57,50,101,45,49,56,32,49,46,52,51,54,52,54,101,
      45,49,56,10,32,32,49,46,52,56,48,51,53,101,45,49,56,32,49,46,53,50,50,51,54,
      101,45,49,56,32,49,46,53,52,56,55,57,101,45,49,56,32,49,46,53,56,51,52,52,101,
      45,49,56,32,49,46,53,57,57,51,56,101,45,49,56,32,49,46,54,49,51,53,50,101,45,
      49,56,32,49,46,54,50,50,50,54,101,45,49,56,10,32,32,49,46,53,56,50,48,54,101,
      45,49,56,32,49,46,52,57,50,55,101,45,49,56,32,49,46,51,50,57,55,56,101,45,49,
      56,32,49,46,49,51,52,48,54,101,45,49,56,32,56,46,56,57,49,54,51,101,45,49,57,
      32,54,46,57,55,56,50,50,101,45,49,57,32,52,46,52,50,56,48,55,101,45,49,57,10,
      32,32,50,46,54,55,57,51,56,101,45,49,57,32,49,46,56,49,53,51,50,101,45,49,57,
      32,49,46,49,51,56,53,51,101,45,49,57,32,53,46,56,51,51,49,50,101,45,50,48,32,
      51,46,49,50,51,57,54,101,45,50,48,32,49,46,54,49,57,49,52,101,45,50,48,32,55,
      46,51,55,48,50,53,101,45,50,49,10,32,32,51,46,50,52,49,57,51,101,45,50,49,32,
      49,46,53,52,48,57,55,101,45,50,49,32,55,46,49,55,49,50,101,45,50,50,32,51,46,
      50,55,51,55,53,101,45,50,50,32,49,46,51,48,53,48,57,101,45,50,50,32,52,46,53,
      51,52,57,52,101,45,50,51,32,49,46,51,54,51,54,56,101,45,50,51,10,32,32,52,46,
      53,50,52,55,55,101,45,50,52,32,49,46,50,57,54,48,52,101,45,50,52,32,52,46,49,
      52,52,55,49,101,45,50,53,32,49,46,51,48,54,48,49,101,45,50,53,32,51,46,53,54,
      48,54,55,101,45,50,54,32,56,46,55,48,51,52,57,101,45,50,55,32,50,46,57,48,48,
      55,49,101,45,50,55,10,32,32,56,46,48,53,50,49,55,101,45,50,56,32,50,46,53,56,
      56,52,53,101,45,50,56,32,55,46,54,51,51,54,51,101,45,50,57,32,50,46,50,51,52,
      49,49,101,45,50,57,32,52,46,55,56,56,52,49,101,45,51,48,32,49,46,51,56,53,49,
      51,101,45,51,48,32,51,46,57,56,51,51,101,45,51,49,10,32,32,49,46,49,51,57,50,
      56,101,45,51,49,32,50,46,51,51,52,51,101,45,51,50,32,54,46,54,49,52,56,55,101,
      45,51,51,32,49,46,53,57,53,56,49,101,45,51,51,32,51,46,50,53,53,51,56,101,45,
      51,52,32,57,46,48,51,49,48,52,101,45,51,53,32,49,46,56,51,51,50,55,101,45,51,
      53,10,32,32,50,46,49,56,50,52,53,101,45,51,54,32,48,114,50,56,51,32,50,46,55,
      55,53,52,53,101,45,51,55,32,49,46,49,51,50,50,49,101,45,51,54,32,52,46,51,51,
      49,53,50,101,45,51,54,32,50,46,56,49,50,48,50,101,45,51,51,32,57,46,56,50,49,
      55,57,101,45,51,51,32,53,46,57,56,52,54,56,101,45,51,50,10,32,32,50,46,54,48,
      57,56,56,101,45,51,49,32,49,46,51,57,54,56,50,101,45,51,48,32,57,46,54,52,48,
      57,53,101,45,51,48,32,52,46,54,53,53,50,53,101,45,50,56,32,49,46,52,49,53,53,
      52,101,45,50,55,32,51,46,48,48,57,48,52,101,45,50,55,32,53,46,57,50,48,56,57,
      101,45,50,55,10,32,32,53,46,53,49,54,51,101,45,50,54,32,49,46,54,57,48,52,50,
      101,45,50,53,32,51,46,48,52,53,53,51,101,45,50,53,32,57,46,48,48,49,53,101,
      45,50,53,32,50,46,51,57,50,56,55,101,45,50,52,32,57,46,55,53,57,54,50,101,45,
      50,52,32,49,46,54,48,57,49,57,101,45,50,51,10,32,32,51,46,48,56,50,49,52,101,
      45,50,51,32,54,46,49,55,51,48,52,101,45,50,51,32,49,46,49,51,54,49,49,101,45,
      50,50,32,49,46,57,48,54,49,52,101,45,50,50,32,50,46,56,51,51,49,51,101,45,50,
      50,32,51,46,56,54,56,48,57,101,45,50,50,32,53,46,51,48,54,50,56,101,45,50,50,
      10,32,32,55,46,51,50,57,55,53,101,45,50,50,32,57,46,54,54,51,52,57,101,45,50,
      50,32,49,46,55,53,56,49,55,101,45,50,49,32,51,46,49,57,50,55,56,101,45,50,49,
      32,53,46,50,51,48,48,54,101,45,50,49,32,55,46,56,57,48,56,55,101,45,50,49,32,
      57,46,54,54,52,48,54,101,45,50,49,10,32,32,49,46,51,56,52,51,51,101,45,50,48,
      32,49,46,57,49,55,54,52,101,45,50,48,32,50,46,53,55,51,52,56,101,45,50,48,32,
      51,46,51,53,48,52,53,101,45,50,48,32,52,46,52,49,48,57,55,101,45,50,48,32,53,
      46,51,51,50,49,57,101,45,50,48,32,54,46,51,56,52,52,54,101,45,50,48,10,32,32,
      56,46,52,50,54,54,53,101,45,50,48,32,57,46,56,56,50,52,50,101,45,50,48,32,49,
      46,50,53,48,57,50,101,45,49,57,32,49,46,53,55,53,51,53,101,45,49,57,32,49,46,
      55,57,51,51,54,101,45,49,57,32,50,46,48,50,57,55,51,101,45,49,57,32,50,46,52,
      51,57,52,50,101,45,49,57,10,32,32,50,46,57,52,48,49,50,101,45,49,57,32,51,46,
      50,51,54,52,101,45,49,57,32,51,46,54,57,50,52,101,45,49,57,32,51,46,57,57,56,
      48,51,101,45,49,57,32,52,46,54,54,52,51,101,45,49,57,32,53,46,48,57,55,54,50,
      101,45,49,57,32,53,46,55,57,55,57,55,101,45,49,57,10,32,32,54,46,48,56,56,53,
      52,101,45,49,57,32,54,46,54,52,53,54,52,101,45,49,57,32,55,46,50,53,48,54,56,
      101,45,49,57,32,55,46,55,51,57,49,52,101,45,49,57,32,56,46,50,48,55,50,101,
      45,49,57,32,56,46,54,50,49,56,51,101,45,49,57,32,57,46,48,48,51,57,53,101,45,
      49,57,10,32,32,57,46,51,57,50,55,53,101,45,49,57,32,57,46,55,48,51,57,53,101,
      45,49,57,32,49,46,48,48,48,54,54,101,45,49,56,32,49,46,48,50,48,48,53,101,45,
      49,56,32,49,46,48,52,54,50,50,101,45,49,56,32,49,46,48,53,56,56,101,45,49,56,
      32,49,46,48,55,48,55,50,101,45,49,56,10,32,32,49,46,48,56,50,52,51,101,45,49,
      56,32,49,46,48,54,51,51,56,101,45,49,56,32,49,46,48,49,48,51,50,101,45,49,56,
      32,57,46,48,55,54,52,51,101,45,49,57,32,55,46,56,48,51,54,52,101,45,49,57,32,
      54,46,49,55,54,48,49,101,45,49,57,32,52,46,56,56,51,52,51,101,45,49,57,10,32,
      32,51,46,49,51,52,52,57,101,45,49,57,32,49,46,57,49,54,51,49,101,45,49,57,32,
      49,46,51,48,55,51,49,101,45,49,57,32,56,46,50,53,57,56,55,101,45,50,48,32,52,
      46,50,55,49,52,55,101,45,50,48,32,50,46,51,48,53,50,54,101,45,50,48,32,49,46,
      50,48,51,53,50,101,45,50,48,10,32,32,53,46,53,50,49,51,57,101,45,50,49,32,50,
      46,52,52,54,53,53,101,45,50,49,32,49,46,49,54,57,57,52,101,45,50,49,32,53,46,
      52,55,53,55,52,101,45,50,50,32,50,46,53,49,51,50,56,101,45,50,50,32,49,46,48,
      48,55,57,49,101,45,50,50,32,51,46,53,50,51,57,50,101,45,50,51,10,32,32,49,46,
      48,54,54,52,51,101,45,50,51,32,51,46,53,53,55,52,54,101,45,50,52,32,49,46,48,
      50,52,54,57,101,45,50,52,32,51,46,50,57,50,50,54,101,45,50,53,32,49,46,48,52,
      49,57,54,101,45,50,53,32,50,46,56,53,51,55,56,101,45,50,54,32,55,46,48,48,55,
      55,49,101,45,50,55,10,32,32,50,46,51,52,51,51,51,101,45,50,55,32,54,46,53,50,
      56,55,50,101,45,50,56,32,50,46,49,48,53,49,49,101,45,50,56,32,54,46,50,50,55,
      51,50,101,45,50,57,32,49,46,56,50,55,56,54,101,45,50,57,32,51,46,57,52,52,53,
      56,101,45,51,48,32,49,46,49,52,51,57,51,101,45,51,48,10,32,32,51,46,50,57,55,
      54,101,45,51,49,32,57,46,52,53,51,50,56,101,45,51,50,32,49,46,57,52,54,50,49,
      101,45,51,50,32,53,46,53,50,54,52,53,101,45,51,51,32,49,46,51,51,54,55,54,101,
      45,51,51,32,50,46,55,51,56,54,50,101,45,51,52,32,55,46,53,56,57,48,49,101,45,
      51,53,10,32,32,49,46,54,48,54,50,53,101,45,51,53,32,50,46,52,54,52,54,53,101,
      45,51,54,32,48,114,50,56,52,32,50,46,56,49,56,48,55,101,45,51,55,32,55,46,55,
      53,50,52,56,101,45,51,55,32,55,46,54,56,48,56,53,101,45,51,52,32,50,46,55,51,
      51,53,55,101,45,51,51,32,49,46,54,57,55,54,50,101,45,51,50,10,32,32,55,46,54,
      51,51,48,54,101,45,51,50,32,52,46,50,51,53,55,50,101,45,51,49,32,51,46,48,53,
      50,55,57,101,45,51,48,32,49,46,54,49,57,50,49,101,45,50,56,32,53,46,48,52,49,
      52,101,45,50,56,32,49,46,48,57,48,48,50,101,45,50,55,32,50,46,49,56,52,53,56,
      101,45,50,55,10,32,32,50,46,50,52,48,53,49,101,45,50,54,32,55,46,48,55,49,49,
      57,101,45,50,54,32,49,46,50,57,55,57,53,101,45,50,53,32,51,46,57,53,57,49,101,
      45,50,53,32,49,46,48,56,51,57,52,101,45,50,52,32,52,46,57,54,55,53,101,45,50,
      52,32,56,46,51,48,50,55,50,101,45,50,52,10,32,32,49,46,54,49,56,52,101,45,50,
      51,32,51,46,51,49,53,51,50,101,45,50,51,32,54,46,50,51,57,55,51,101,45,50,51,
      32,49,46,48,55,48,53,55,101,45,50,50,32,49,46,53,57,56,56,55,101,45,50,50,32,
      50,46,49,57,49,50,51,101,45,50,50,32,51,46,48,49,57,51,53,101,45,50,50,10,32,
      32,52,46,49,56,57,55,50,101,45,50,50,32,53,46,53,52,52,49,56,101,45,50,50,32,
      49,46,48,49,54,51,57,101,45,50,49,32,49,46,56,54,48,49,57,101,45,50,49,32,51,
      46,48,54,55,53,101,45,50,49,32,52,46,54,53,51,54,50,101,45,50,49,32,53,46,55,
      49,50,55,54,101,45,50,49,10,32,32,56,46,50,50,52,49,54,101,45,50,49,32,49,46,
      49,52,52,53,55,101,45,50,48,32,49,46,53,52,50,55,53,101,45,50,48,32,50,46,48,
      49,54,54,101,45,50,48,32,50,46,54,54,54,52,50,101,45,50,48,32,51,46,50,51,51,
      49,57,101,45,50,48,32,51,46,56,56,50,56,54,101,45,50,48,10,32,32,53,46,49,52,
      57,51,55,101,45,50,48,32,54,46,48,53,54,49,52,101,45,50,48,32,55,46,54,57,57,
      51,54,101,45,50,48,32,57,46,55,51,57,55,54,101,45,50,48,32,49,46,49,49,49,54,
      55,101,45,49,57,32,49,46,50,54,49,52,53,101,45,49,57,32,49,46,53,50,50,49,54,
      101,45,49,57,10,32,32,49,46,56,52,50,53,52,101,45,49,57,32,50,46,48,51,51,101,
      45,49,57,32,50,46,51,50,56,52,49,101,45,49,57,32,50,46,53,50,55,50,51,101,45,
      49,57,32,50,46,57,53,54,50,49,101,45,49,57,32,51,46,50,52,49,101,45,49,57,32,
      51,46,55,48,49,55,53,101,45,49,57,10,32,32,51,46,56,57,51,57,53,101,45,49,57,
      32,52,46,50,54,52,49,52,101,45,49,57,32,52,46,54,54,56,56,56,101,45,49,57,32,
      52,46,57,57,55,57,55,101,45,49,57,32,53,46,51,49,53,53,50,101,45,49,57,32,53,
      46,53,57,56,57,52,101,45,49,57,32,53,46,56,54,50,50,52,101,45,49,57,10,32,32,
      54,46,49,51,50,55,53,101,45,49,57,32,54,46,51,53,49,55,53,101,45,49,57,32,54,
      46,53,54,55,54,51,101,45,49,57,32,54,46,55,48,56,49,53,101,45,49,57,32,54,46,
      57,48,50,49,52,101,45,49,57,32,54,46,57,57,56,54,55,101,45,49,57,32,55,46,48,
      57,52,50,54,101,45,49,57,10,32,32,55,46,50,49,49,101,45,49,57,32,55,46,49,51,
      53,56,56,101,45,49,57,32,54,46,56,50,54,55,52,101,45,49,57,32,54,46,49,56,52,
      52,51,101,45,49,57,32,53,46,51,54,48,50,55,101,45,49,57,32,52,46,50,56,50,48,
      49,101,45,49,57,32,51,46,52,49,49,50,50,101,45,49,57,10,32,32,50,46,50,49,52,
      54,55,101,45,49,57,32,49,46,51,54,55,57,54,101,45,49,57,32,57,46,51,57,54,57,
      55,101,45,50,48,32,53,46,57,56,49,50,52,101,45,50,48,32,51,46,49,50,50,49,52,
      101,45,50,48,32,49,46,54,57,56,101,45,50,48,32,56,46,57,50,57,54,56,101,45,
      50,49,10,32,32,52,46,49,50,56,57,51,101,45,50,49,32,49,46,56,52,51,48,56,101,
      45,50,49,32,56,46,56,54,55,51,51,101,45,50,50,32,52,46,49,55,52,49,51,101,45,
      50,50,32,49,46,57,50,54,51,101,45,50,50,32,55,46,55,55,49,52,54,101,45,50,51,
      32,50,46,55,51,52,48,50,101,45,50,51,10,32,32,56,46,51,50,55,49,56,101,45,50,
      52,32,50,46,55,57,50,56,52,101,45,50,52,32,56,46,48,57,48,49,49,101,45,50,53,
      32,50,46,54,49,49,53,53,101,45,50,53,32,56,46,51,48,49,55,57,101,45,50,54,32,
      50,46,50,56,52,50,50,101,45,50,54,32,53,46,54,51,53,48,54,101,45,50,55,10,32,
      32,49,46,56,57,48,54,54,101,45,50,55,32,53,46,50,56,54,57,51,101,45,50,56,32,
      49,46,55,48,57,57,52,101,45,50,56,32,53,46,48,55,52,49,49,101,45,50,57,32,49,
      46,52,57,51,55,55,101,45,50,57,32,51,46,50,52,53,57,55,101,45,51,48,32,57,46,
      52,51,55,52,49,101,45,51,49,10,32,32,50,46,55,50,55,49,54,101,45,51,49,32,55,
      46,56,51,54,49,49,101,45,51,50,32,49,46,54,50,49,101,45,51,50,32,52,46,54,49,
      50,51,54,101,45,51,51,32,49,46,49,49,57,48,53,101,45,51,51,32,50,46,51,48,48,
      53,57,101,45,51,52,32,54,46,51,55,50,51,54,101,45,51,53,10,32,32,49,46,51,57,
      51,54,53,101,45,51,53,32,50,46,48,52,55,48,55,101,45,51,54,32,52,46,48,53,53,
      57,54,101,45,51,55,32,48,114,50,56,51,32,54,46,57,54,56,50,49,101,45,51,56,
      32,49,46,57,53,48,53,54,101,45,51,55,32,50,46,48,55,56,53,52,101,45,51,52,32,
      55,46,53,51,57,51,50,101,45,51,52,10,32,32,52,46,55,55,48,54,54,101,45,51,51,
      32,50,46,50,49,49,49,57,101,45,51,50,32,49,46,50,55,50,48,54,101,45,51,49,32,
      57,46,53,55,51,53,57,101,45,51,49,32,53,46,53,56,50,49,54,101,45,50,57,32,49,
      46,55,55,57,54,101,45,50,56,32,51,46,57,49,51,51,50,101,45,50,56,10,32,32,55,
      46,57,56,53,49,54,101,45,50,56,32,56,46,57,57,51,51,54,101,45,50,55,32,50,46,
      57,49,57,50,51,101,45,50,54,32,53,46,52,54,48,53,50,101,45,50,54,32,49,46,55,
      49,56,49,54,101,45,50,53,32,52,46,56,52,52,49,52,101,45,50,53,32,50,46,52,57,
      54,52,52,101,45,50,52,10,32,32,52,46,50,51,52,48,55,101,45,50,52,32,56,46,52,
      48,57,55,50,101,45,50,52,32,49,46,55,54,51,51,56,101,45,50,51,32,51,46,52,48,
      55,50,101,45,50,51,32,54,46,48,48,53,55,55,101,45,50,51,32,57,46,48,49,51,49,
      101,45,50,51,32,49,46,50,52,48,48,56,101,45,50,50,10,32,32,49,46,55,49,54,55,
      49,101,45,50,50,32,50,46,51,57,51,49,56,101,45,50,50,32,51,46,49,55,56,53,54,
      101,45,50,50,32,53,46,56,55,49,52,57,101,45,50,50,32,49,46,48,56,50,57,51,101,
      45,50,49,32,49,46,55,57,55,54,101,45,50,49,32,50,46,55,52,50,48,52,101,45,50,
      49,10,32,32,51,46,51,55,51,57,54,101,45,50,49,32,52,46,56,56,49,49,54,101,45,
      50,49,32,54,46,56,50,52,53,101,45,50,49,32,57,46,50,51,56,52,52,101,45,50,49,
      32,49,46,50,49,50,52,49,101,45,50,48,32,49,46,54,48,57,57,55,101,45,50,48,32,
      49,46,57,53,56,49,53,101,45,50,48,10,32,32,50,46,51,53,56,54,52,101,45,50,48,
      32,51,46,49,52,50,57,49,101,45,50,48,32,51,46,55,48,54,56,57,101,45,50,48,32,
      52,46,55,51,51,51,52,101,45,50,48,32,54,46,48,49,52,54,56,101,45,50,48,32,54,
      46,56,56,51,49,51,101,45,50,48,32,55,46,56,51,48,56,51,101,45,50,48,10,32,32,
      57,46,52,56,55,52,52,101,45,50,48,32,49,46,49,53,51,52,52,101,45,49,57,32,49,
      46,50,55,53,54,53,101,45,49,57,32,49,46,52,54,53,50,50,101,45,49,57,32,49,46,
      53,57,54,49,56,101,45,49,57,32,49,46,56,55,50,55,49,101,45,49,57,32,50,46,48,
      53,56,54,53,101,45,49,57,10,32,32,50,46,51,54,49,48,55,101,45,49,57,32,50,46,
      52,56,55,57,49,101,45,49,57,32,50,46,55,51,51,51,50,101,45,49,57,32,51,46,48,
      48,51,51,54,101,45,49,57,32,51,46,50,50,52,51,57,101,45,49,57,32,51,46,52,51,
      57,48,57,101,45,49,57,32,51,46,54,51,50,48,53,101,45,49,57,10,32,32,51,46,56,
      49,50,54,52,101,45,49,57,32,51,46,57,57,57,56,49,101,45,49,57,32,52,46,49,53,
      50,56,56,101,45,49,57,32,52,46,51,48,53,54,50,101,45,49,57,32,52,46,52,48,54,
      51,55,101,45,49,57,32,52,46,53,52,56,49,53,101,45,49,57,32,52,46,54,50,48,54,
      101,45,49,57,10,32,32,52,46,54,57,52,55,57,101,45,49,57,32,52,46,55,57,55,57,
      51,101,45,49,57,32,52,46,55,56,50,53,49,101,45,49,57,32,52,46,54,48,54,56,54,
      101,45,49,57,32,52,46,50,48,56,51,49,101,45,49,57,32,51,46,54,55,54,57,53,101,
      45,49,57,32,50,46,57,54,52,54,57,101,45,49,57,10,32,32,50,46,51,55,57,52,53,
      101,45,49,57,32,49,46,53,54,50,53,101,45,49,57,32,57,46,55,53,48,55,54,101,
      45,50,48,32,54,46,55,52,52,51,54,101,45,50,48,32,52,46,51,50,52,54,101,45,50,
      48,32,50,46,50,55,56,53,49,101,45,50,48,32,49,46,50,52,56,55,53,101,45,50,48,
      10,32,32,54,46,54,49,53,49,51,101,45,50,49,32,51,46,48,56,50,56,54,101,45,50,
      49,32,49,46,51,56,54,51,52,101,45,50,49,32,54,46,55,49,48,54,49,101,45,50,50,
      32,51,46,49,55,55,49,53,101,45,50,50,32,49,46,52,55,52,50,51,101,45,50,50,32,
      53,46,57,56,51,52,49,101,45,50,51,10,32,32,50,46,49,49,56,49,101,45,50,51,32,
      54,46,52,57,50,56,56,101,45,50,52,32,50,46,49,56,57,52,51,101,45,50,52,32,54,
      46,51,55,56,50,52,101,45,50,53,32,50,46,48,54,56,55,50,101,45,50,53,32,54,46,
      54,48,53,54,50,101,45,50,54,32,49,46,56,50,53,57,56,101,45,50,54,10,32,32,52,
      46,53,50,53,54,52,101,45,50,55,32,49,46,53,50,51,53,56,101,45,50,55,32,52,46,
      50,55,54,51,49,101,45,50,56,32,49,46,51,56,55,51,53,101,45,50,56,32,52,46,49,
      50,57,56,101,45,50,57,32,49,46,50,49,57,52,101,45,50,57,32,50,46,54,54,56,49,
      53,101,45,51,48,10,32,32,55,46,55,55,55,52,55,101,45,51,49,32,50,46,50,53,51,
      48,49,101,45,51,49,32,54,46,52,56,56,56,57,101,45,51,50,32,49,46,51,52,57,49,
      51,101,45,51,50,32,51,46,56,52,55,50,52,101,45,51,51,32,57,46,51,53,51,52,101,
      45,51,52,32,49,46,57,50,55,55,51,101,45,51,52,10,32,32,53,46,51,55,51,51,55,
      101,45,51,53,32,49,46,49,57,52,49,52,101,45,51,53,32,49,46,57,54,53,55,55,101,
      45,51,54,32,51,46,51,51,54,57,57,101,45,51,55,32,48,114,50,56,52,32,52,46,56,
      55,53,49,51,101,45,51,56,32,53,46,53,55,57,50,55,101,45,51,53,32,50,46,48,54,
      52,57,52,101,45,51,52,10,32,32,49,46,51,51,49,48,54,101,45,51,51,32,54,46,51,
      53,56,53,54,101,45,51,51,32,51,46,55,57,49,57,51,101,45,51,50,32,50,46,57,55,
      56,53,101,45,51,49,32,49,46,57,48,49,50,101,45,50,57,32,54,46,50,48,54,49,52,
      101,45,50,57,32,49,46,51,56,55,56,56,101,45,50,56,10,32,32,50,46,56,56,50,54,
      50,101,45,50,56,32,51,46,53,54,48,57,52,101,45,50,55,32,49,46,49,56,55,53,56,
      101,45,50,54,32,50,46,50,54,52,49,54,101,45,50,54,32,55,46,51,52,57,49,53,101,
      45,50,54,32,50,46,49,51,51,56,57,101,45,50,53,32,49,46,50,51,56,48,57,101,45,
      50,52,10,32,32,50,46,49,51,50,54,101,45,50,52,32,52,46,51,50,48,54,50,101,45,
      50,52,32,57,46,50,55,56,54,52,101,45,50,52,32,49,46,56,52,55,57,52,101,45,50,
      51,32,51,46,51,54,50,56,54,101,45,50,51,32,53,46,48,55,49,56,57,101,45,50,51,
      32,55,46,48,48,55,52,52,101,45,50,51,10,32,32,57,46,55,52,56,49,55,101,45,50,
      51,32,49,46,51,54,53,51,49,101,45,50,50,32,49,46,56,50,48,48,56,101,45,50,50,
      32,51,46,51,56,55,54,57,101,45,50,50,32,54,46,50,57,54,55,49,101,45,50,50,32,
      49,46,48,53,50,49,52,101,45,50,49,32,49,46,54,49,51,55,52,101,45,50,49,10,32,
      32,49,46,57,57,48,51,101,45,50,49,32,50,46,56,57,51,54,54,101,45,50,49,32,52,
      46,48,54,52,52,54,101,45,50,49,32,53,46,53,50,54,48,53,101,45,50,49,32,55,46,
      50,56,48,57,57,101,45,50,49,32,57,46,55,49,48,49,101,45,50,49,32,49,46,49,56,
      52,54,50,101,45,50,48,10,32,32,49,46,52,51,49,49,55,101,45,50,48,32,49,46,57,
      49,54,49,53,101,45,50,48,32,50,46,50,54,54,52,49,101,45,50,48,32,50,46,57,48,
      54,54,53,101,45,50,48,32,51,46,55,49,48,48,56,101,45,50,48,32,52,46,50,53,54,
      57,51,101,45,50,48,32,52,46,56,53,53,54,50,101,45,50,48,10,32,32,53,46,57,48,
      54,52,55,101,45,50,48,32,55,46,50,49,49,56,56,101,45,50,48,32,55,46,57,57,50,
      56,53,101,45,50,48,32,57,46,50,48,52,48,56,101,45,50,48,32,49,46,48,48,54,52,
      50,101,45,49,57,32,49,46,49,56,52,56,53,101,45,49,57,32,49,46,51,48,53,56,56,
      101,45,49,57,10,32,32,49,46,53,48,51,56,57,101,45,49,57,32,49,46,53,56,55,51,
      57,101,45,49,57,32,49,46,55,52,57,54,52,101,45,49,57,32,49,46,57,50,57,50,57,
      101,45,49,57,32,50,46,48,55,55,50,55,101,45,49,57,32,50,46,50,50,49,57,49,101,
      45,49,57,32,50,46,51,53,50,55,54,101,45,49,57,10,32,32,50,46,52,55,54,48,56,
      101,45,49,57,32,50,46,54,48,52,57,52,101,45,49,57,32,50,46,55,49,49,51,101,
      45,49,57,32,50,46,56,49,56,53,55,101,45,49,57,32,50,46,56,57,48,49,54,101,45,
      49,57,32,50,46,57,57,50,53,54,101,45,49,57,32,51,46,48,52,54,48,52,101,45,49,
      57,10,32,32,51,46,49,48,50,50,50,101,45,49,57,32,51,46,49,56,55,53,49,101,45,
      49,57,32,51,46,50,48,48,51,50,101,45,49,57,32,51,46,49,48,51,57,56,101,45,49,
      57,32,50,46,56,53,57,48,54,101,45,49,57,32,50,46,53,49,56,49,52,101,45,49,57,
      32,50,46,48,52,57,50,54,101,45,49,57,10,32,32,49,46,54,53,55,101,45,49,57,32,
      49,46,49,48,48,53,52,101,45,49,57,32,54,46,57,51,56,56,50,101,45,50,48,32,52,
      46,56,51,50,54,50,101,45,50,48,32,51,46,49,50,49,55,51,101,45,50,48,32,49,46,
      54,54,48,50,101,45,50,48,32,57,46,49,54,57,52,49,101,45,50,49,10,32,32,52,46,
      56,57,51,49,101,45,50,49,32,50,46,50,57,56,52,49,101,45,50,49,32,49,46,48,52,
      49,50,52,101,45,50,49,32,53,46,48,55,49,48,50,101,45,50,50,32,50,46,52,49,52,
      56,49,101,45,50,50,32,49,46,49,50,54,54,53,101,45,50,50,32,52,46,54,48,48,51,
      50,101,45,50,51,10,32,32,49,46,54,51,56,55,51,101,45,50,51,32,53,46,48,53,54,
      49,50,101,45,50,52,32,49,46,55,49,52,50,54,101,45,50,52,32,53,46,48,50,50,54,
      50,101,45,50,53,32,49,46,54,51,54,56,50,101,45,50,53,32,53,46,50,52,57,57,57,
      101,45,50,54,32,49,46,52,53,56,48,53,101,45,50,54,10,32,32,51,46,54,51,48,55,
      49,101,45,50,55,32,49,46,50,50,54,52,55,101,45,50,55,32,51,46,52,53,53,50,55,
      101,45,50,56,32,49,46,49,50,52,52,55,101,45,50,56,32,51,46,51,53,55,56,53,101,
      45,50,57,32,57,46,57,52,52,52,52,101,45,51,48,32,50,46,49,57,49,49,101,45,51,
      48,10,32,32,54,46,52,48,51,53,101,45,51,49,32,49,46,56,53,57,53,56,101,45,51,
      49,32,53,46,51,54,56,52,57,101,45,51,50,32,49,46,49,50,49,54,53,101,45,51,50,
      32,51,46,50,48,53,51,57,101,45,51,51,32,55,46,56,49,48,56,55,101,45,51,52,32,
      49,46,54,49,54,51,52,101,45,51,52,10,32,32,52,46,53,48,53,57,55,101,45,51,53,
      32,49,46,48,51,56,51,52,101,45,51,53,32,49,46,56,49,49,51,49,101,45,51,54,32,
      50,46,55,52,50,55,49,101,45,51,55,32,48,114,50,56,53,32,49,46,52,56,56,57,56,
      101,45,51,53,32,53,46,48,55,53,50,57,101,45,51,53,32,51,46,54,56,56,49,49,101,
      45,51,52,10,32,32,49,46,56,49,53,52,51,101,45,51,51,32,49,46,49,50,50,50,49,
      101,45,51,50,32,57,46,49,57,56,49,53,101,45,51,50,32,54,46,52,49,56,53,101,
      45,51,48,32,50,46,49,52,53,51,53,101,45,50,57,32,52,46,56,55,56,54,53,101,45,
      50,57,32,49,46,48,51,48,56,101,45,50,56,10,32,32,49,46,51,57,48,49,55,101,45,
      50,55,32,52,46,55,53,53,55,57,101,45,50,55,32,57,46,50,52,51,52,54,101,45,50,
      55,32,51,46,48,57,52,55,54,101,45,50,54,32,57,46,50,53,52,54,57,101,45,50,54,
      32,54,46,48,53,48,57,49,101,45,50,53,32,49,46,48,53,57,51,55,101,45,50,52,10,
      32,32,50,46,49,57,49,52,56,101,45,50,52,32,52,46,56,50,51,51,54,101,45,50,52,
      32,57,46,57,52,51,48,50,101,45,50,52,32,49,46,56,55,55,54,56,101,45,50,51,32,
      50,46,56,52,54,57,49,101,45,50,51,32,51,46,57,53,49,55,55,101,45,50,51,32,53,
      46,53,50,53,53,54,101,45,50,51,10,32,32,55,46,55,55,53,57,54,101,45,50,51,32,
      49,46,48,52,48,52,54,101,45,50,50,32,49,46,57,53,49,54,55,101,45,50,50,32,51,
      46,54,53,54,49,54,101,45,50,50,32,54,46,49,53,48,52,50,101,45,50,50,32,57,46,
      52,56,54,49,56,101,45,50,50,32,49,46,49,55,50,55,55,101,45,50,49,10,32,32,49,
      46,55,49,51,54,50,101,45,50,49,32,50,46,52,49,56,50,54,101,45,50,49,32,51,46,
      51,48,50,51,55,101,45,50,49,32,52,46,51,54,56,54,57,101,45,50,49,32,53,46,56,
      53,49,52,56,101,45,50,49,32,55,46,49,54,48,55,49,101,45,50,49,32,56,46,54,55,
      55,49,50,101,45,50,49,10,32,32,49,46,49,54,55,51,50,101,45,50,48,32,49,46,51,
      56,52,54,51,101,45,50,48,32,49,46,55,56,51,53,49,101,45,50,48,32,50,46,50,56,
      54,54,57,101,45,50,48,32,50,46,54,51,48,54,50,101,45,50,48,32,51,46,48,48,56,
      51,52,101,45,50,48,32,51,46,54,55,52,48,57,101,45,50,48,10,32,32,52,46,53,48,
      53,52,54,101,45,50,48,32,53,46,48,48,52,51,50,101,45,50,48,32,53,46,55,55,53,
      56,53,101,45,50,48,32,54,46,51,51,52,53,51,101,45,50,48,32,55,46,52,56,57,52,
      49,101,45,50,48,32,56,46,50,55,54,53,53,101,45,50,48,32,57,46,53,55,49,48,52,
      101,45,50,48,10,32,32,49,46,48,49,49,57,54,101,45,49,57,32,49,46,49,49,57,101,
      45,49,57,32,49,46,50,51,56,50,52,101,45,49,57,32,49,46,51,51,55,48,54,101,45,
      49,57,32,49,46,52,51,52,50,51,101,45,49,57,32,49,46,53,50,50,54,57,101,45,49,
      57,32,49,46,54,48,54,54,49,101,45,49,57,10,32,32,49,46,54,57,52,57,54,101,45,
      49,57,32,49,46,55,54,56,53,101,45,49,57,32,49,46,56,52,51,51,57,101,45,49,57,
      32,49,46,56,57,51,57,101,45,49,57,32,49,46,57,54,55,49,57,101,45,49,57,32,50,
      46,48,48,54,49,55,101,45,49,57,32,50,46,48,52,55,57,57,101,45,49,57,10,32,32,
      50,46,49,49,53,54,50,101,45,49,57,32,50,46,49,51,57,52,54,101,45,49,57,32,50,
      46,48,56,57,50,53,101,45,49,57,32,49,46,57,52,48,51,50,101,45,49,57,32,49,46,
      55,50,50,54,49,101,45,49,57,32,49,46,52,49,52,56,49,101,45,49,57,32,49,46,49,
      53,50,52,56,101,45,49,57,10,32,32,55,46,55,52,49,52,53,101,45,50,48,32,52,46,
      57,51,48,57,56,101,45,50,48,32,51,46,52,53,55,56,52,101,45,50,48,32,50,46,50,
      53,48,49,50,101,45,50,48,32,49,46,50,48,55,56,52,101,45,50,48,32,54,46,55,50,
      50,53,55,101,45,50,49,32,51,46,54,49,51,54,55,101,45,50,49,10,32,32,49,46,55,
      49,48,56,53,101,45,50,49,32,55,46,56,48,56,50,50,101,45,50,50,32,51,46,56,50,
      54,48,56,101,45,50,50,32,49,46,56,51,50,53,56,101,45,50,50,32,56,46,53,57,55,
      50,55,101,45,50,51,32,51,46,53,51,49,54,56,101,45,50,51,32,49,46,50,54,53,57,
      57,101,45,50,51,10,32,32,51,46,57,51,49,54,49,101,45,50,52,32,49,46,51,52,48,
      51,50,101,45,50,52,32,51,46,57,52,57,54,49,101,45,50,53,32,49,46,50,57,51,51,
      50,101,45,50,53,32,52,46,49,54,55,48,49,101,45,50,54,32,49,46,49,54,50,55,51,
      101,45,50,54,32,50,46,57,48,57,48,53,101,45,50,55,10,32,32,57,46,56,54,48,55,
      50,101,45,50,56,32,50,46,55,56,56,52,56,101,45,50,56,32,57,46,49,48,51,50,54,
      101,45,50,57,32,50,46,55,50,55,48,53,101,45,50,57,32,56,46,49,48,48,55,50,101,
      45,51,48,32,49,46,55,57,55,52,101,45,51,48,32,53,46,50,54,54,54,57,101,45,51,
      49,10,32,32,49,46,53,51,51,50,56,101,45,51,49,32,52,46,52,51,55,48,51,101,45,
      51,50,32,57,46,51,49,55,56,57,101,45,51,51,32,50,46,54,54,56,55,53,101,45,51,
      51,32,54,46,53,50,48,51,54,101,45,51,52,32,49,46,51,53,51,55,54,101,45,51,52,
      32,51,46,56,48,52,57,53,101,45,51,53,10,32,32,56,46,55,48,54,51,53,101,45,51,
      54,32,49,46,53,49,49,50,56,101,45,51,54,32,50,46,50,53,50,48,50,101,45,51,55,
      32,48,114,50,56,53,32,51,46,51,50,57,50,54,101,45,51,54,32,49,46,49,54,56,51,
      53,101,45,51,53,32,56,46,54,50,52,55,55,101,45,51,53,32,52,46,51,57,48,52,55,
      101,45,51,52,10,32,32,50,46,56,50,53,52,101,45,51,51,32,50,46,52,50,57,48,57,
      101,45,51,50,32,49,46,56,55,50,54,54,101,45,51,48,32,54,46,52,50,56,48,52,101,
      45,51,48,32,49,46,52,56,57,52,49,101,45,50,57,32,51,46,50,48,55,53,54,101,45,
      50,57,32,52,46,55,55,51,50,51,101,45,50,56,10,32,32,49,46,54,55,56,57,57,101,
      45,50,55,32,51,46,51,51,53,50,101,45,50,55,32,49,46,49,53,54,49,49,101,45,50,
      54,32,51,46,53,55,51,53,55,101,45,50,54,32,50,46,54,54,51,56,52,101,45,50,53,
      32,52,46,55,53,52,52,51,101,45,50,53,32,49,46,48,48,56,48,51,101,45,50,52,10,
      32,32,50,46,50,56,49,55,52,101,45,50,52,32,52,46,57,49,51,50,55,101,45,50,52,
      32,57,46,55,51,48,51,56,101,45,50,52,32,49,46,52,56,53,49,53,101,45,50,51,32,
      50,46,48,55,52,52,49,101,45,50,51,32,50,46,57,49,56,48,56,101,45,50,51,32,52,
      46,49,50,56,57,101,45,50,51,10,32,32,53,46,53,52,56,48,53,101,45,50,51,32,49,
      46,48,52,57,57,51,101,45,50,50,32,49,46,57,56,52,49,54,101,45,50,50,32,51,46,
      51,54,50,56,50,101,45,50,50,32,53,46,50,49,56,57,52,101,45,50,50,32,54,46,52,
      54,57,50,49,101,45,50,50,32,57,46,53,48,53,48,55,101,45,50,50,10,32,32,49,46,
      51,52,56,50,56,101,45,50,49,32,49,46,56,53,48,49,51,101,45,50,49,32,50,46,52,
      53,56,51,54,101,45,50,49,32,51,46,51,48,56,52,51,101,45,50,49,32,52,46,48,54,
      50,51,54,101,45,50,49,32,52,46,57,51,56,57,49,101,45,50,49,32,54,46,54,55,57,
      50,49,101,45,50,49,10,32,32,55,46,57,52,55,52,52,101,45,50,49,32,49,46,48,50,
      56,54,51,101,45,50,48,32,49,46,51,50,53,51,54,101,45,50,48,32,49,46,53,50,57,
      49,49,101,45,50,48,32,49,46,55,53,51,54,54,101,45,50,48,32,50,46,49,53,49,50,
      50,101,45,50,48,32,50,46,54,53,48,53,53,101,45,50,48,10,32,32,50,46,57,53,49,
      51,54,101,45,50,48,32,51,46,52,49,55,50,50,101,45,50,48,32,51,46,55,53,51,56,
      55,101,45,50,48,32,52,46,52,54,49,51,50,101,45,50,48,32,52,46,57,52,54,53,50,
      101,45,50,48,32,53,46,55,52,54,55,54,101,45,50,48,32,54,46,48,56,55,54,51,101,
      45,50,48,10,32,32,54,46,55,53,53,55,53,101,45,50,48,32,55,46,53,48,52,56,57,
      101,45,50,48,32,56,46,49,50,57,56,57,101,45,50,48,32,56,46,55,52,56,51,56,101,
      45,50,48,32,57,46,51,49,53,49,55,101,45,50,48,32,57,46,56,53,54,53,52,101,45,
      50,48,32,49,46,48,52,51,49,101,45,49,57,10,32,32,49,46,48,57,49,51,52,101,45,
      49,57,32,49,46,49,52,48,57,54,101,45,49,57,32,49,46,49,55,52,55,56,101,45,49,
      57,32,49,46,50,50,52,53,51,101,45,49,57,32,49,46,50,53,49,52,54,101,45,49,57,
      32,49,46,50,56,48,57,101,45,49,57,32,49,46,51,51,49,50,101,45,49,57,10,32,32,
      49,46,51,53,55,49,50,101,45,49,57,32,49,46,51,51,53,52,50,101,45,49,57,32,49,
      46,50,53,49,55,55,101,45,49,57,32,49,46,49,50,49,51,49,101,45,49,57,32,57,46,
      51,48,53,51,101,45,50,48,32,55,46,54,52,51,50,101,45,50,48,32,53,46,49,57,57,
      57,49,101,45,50,48,10,32,32,51,46,51,53,48,52,53,101,45,50,48,32,50,46,51,54,
      55,55,53,101,45,50,48,32,49,46,53,53,51,54,101,45,50,48,32,56,46,52,50,55,55,
      51,101,45,50,49,32,52,46,55,51,49,54,50,101,45,50,49,32,50,46,53,54,52,52,57,
      101,45,50,49,32,49,46,50,50,52,57,56,101,45,50,49,10,32,32,53,46,54,51,55,56,
      49,101,45,50,50,32,50,46,55,56,49,55,54,101,45,50,50,32,49,46,51,52,49,49,53,
      101,45,50,50,32,54,46,51,51,49,48,57,101,45,50,51,32,50,46,54,49,56,53,55,101,
      45,50,51,32,57,46,52,53,51,54,56,101,45,50,52,32,50,46,57,53,55,54,49,101,45,
      50,52,10,32,32,49,46,48,49,52,53,52,101,45,50,52,32,51,46,48,48,57,49,54,101,
      45,50,53,32,57,46,57,48,55,51,55,101,45,50,54,32,51,46,50,48,56,52,55,101,45,
      50,54,32,57,46,48,48,48,53,57,101,45,50,55,32,50,46,50,54,51,57,54,101,45,50,
      55,32,55,46,55,48,51,57,56,101,45,50,56,10,32,32,50,46,49,56,55,57,101,45,50,
      56,32,55,46,49,54,56,48,51,101,45,50,57,32,50,46,49,53,53,48,55,101,45,50,57,
      32,54,46,52,50,51,54,51,101,45,51,48,32,49,46,52,51,54,53,57,101,45,51,48,32,
      52,46,50,50,49,57,57,101,45,51,49,32,49,46,50,51,50,54,51,101,45,51,49,10,32,
      32,51,46,53,55,54,54,56,101,45,51,50,32,55,46,53,53,52,56,54,101,45,51,51,32,
      50,46,49,54,57,49,49,101,45,51,51,32,53,46,51,49,51,57,52,101,45,51,52,32,49,
      46,49,48,56,52,52,101,45,51,52,32,51,46,49,50,53,56,56,101,45,51,53,32,55,46,
      49,51,52,55,52,101,45,51,54,10,32,32,49,46,51,49,54,49,51,101,45,51,54,32,50,
      46,54,50,56,55,55,101,45,51,55,32,48,114,50,56,53,32,55,46,51,57,54,56,101,
      45,51,55,32,50,46,54,53,54,56,101,45,51,54,32,49,46,57,57,54,48,53,101,45,51,
      53,32,49,46,48,53,49,54,56,101,45,51,52,32,55,46,48,52,53,53,57,101,45,51,52,
      10,32,32,54,46,51,52,57,57,54,101,45,51,51,32,53,46,51,56,55,51,54,101,45,51,
      49,32,49,46,56,57,57,48,57,101,45,51,48,32,52,46,52,56,51,48,49,101,45,51,48,
      32,57,46,56,51,56,52,56,101,45,51,48,32,49,46,54,49,52,52,57,101,45,50,56,32,
      53,46,56,51,52,48,53,101,45,50,56,10,32,32,49,46,49,56,52,53,49,101,45,50,55,
      32,52,46,50,52,56,57,57,101,45,50,55,32,49,46,51,53,55,50,53,101,45,50,54,32,
      49,46,49,53,51,49,52,101,45,50,53,32,50,46,48,57,57,53,57,101,45,50,53,32,52,
      46,53,54,54,51,55,101,45,50,53,32,49,46,48,54,51,52,54,101,45,50,52,10,32,32,
      50,46,52,48,51,49,53,101,45,50,52,32,53,46,48,49,57,56,55,101,45,50,52,32,55,
      46,55,50,48,57,49,101,45,50,52,32,49,46,48,56,54,55,52,101,45,50,51,32,49,46,
      53,51,56,50,53,101,45,50,51,32,50,46,49,56,56,51,55,101,45,50,51,32,50,46,57,
      53,51,49,52,101,45,50,51,10,32,32,53,46,54,51,56,57,52,101,45,50,51,32,49,46,
      48,55,52,56,51,101,45,50,50,32,49,46,56,51,53,49,55,101,45,50,50,32,50,46,56,
      54,53,55,56,101,45,50,50,32,51,46,53,54,49,55,49,101,45,50,50,32,53,46,50,54,
      49,57,51,101,45,50,50,32,55,46,53,48,50,50,56,101,45,50,50,10,32,32,49,46,48,
      51,52,52,53,101,45,50,49,32,49,46,51,56,48,53,56,101,45,50,49,32,49,46,56,54,
      54,56,49,101,45,50,49,32,50,46,50,57,57,57,54,101,45,50,49,32,50,46,56,48,53,
      52,57,101,45,50,49,32,51,46,56,49,52,49,50,101,45,50,49,32,52,46,53,53,50,54,
      53,101,45,50,49,10,32,32,53,46,57,50,49,48,49,101,45,50,49,32,55,46,54,54,55,
      101,45,50,49,32,56,46,56,55,49,52,54,101,45,50,49,32,49,46,48,50,48,51,53,101,
      45,50,48,32,49,46,50,53,55,50,54,101,45,50,48,32,49,46,53,53,54,53,51,101,45,
      50,48,32,49,46,55,51,55,56,54,101,45,50,48,10,32,32,50,46,48,50,48,51,50,101,
      45,50,48,32,50,46,50,50,48,53,101,45,50,48,32,50,46,54,53,49,53,52,101,45,50,
      48,32,50,46,57,53,49,49,56,101,45,50,48,32,51,46,52,52,52,55,53,101,45,50,48,
      32,51,46,54,53,54,48,50,101,45,50,48,32,52,46,48,55,49,57,52,101,45,50,48,10,
      32,32,52,46,53,52,49,50,56,101,45,50,48,32,52,46,57,51,53,51,53,101,45,50,48,
      32,53,46,51,50,55,55,51,101,45,50,48,32,53,46,54,56,57,53,56,101,45,50,48,32,
      54,46,48,51,55,52,54,101,45,50,48,32,54,46,52,48,57,51,51,101,45,50,48,32,54,
      46,55,50,52,49,55,101,45,50,48,10,32,32,55,46,48,53,48,57,52,101,45,50,48,32,
      55,46,50,55,53,55,56,101,45,50,48,32,55,46,54,49,48,54,52,101,45,50,48,32,55,
      46,55,57,52,54,50,101,45,50,48,32,55,46,57,57,56,57,55,101,45,50,48,32,56,46,
      51,54,51,49,52,101,45,50,48,32,56,46,53,57,52,56,51,101,45,50,48,10,32,32,56,
      46,53,50,50,49,56,101,45,50,48,32,56,46,48,54,50,52,55,101,45,50,48,32,55,46,
      50,56,54,57,52,101,45,50,48,32,54,46,49,48,57,56,52,101,45,50,48,32,53,46,48,
      54,48,50,55,101,45,50,48,32,51,46,52,56,54,54,101,45,50,48,32,50,46,50,55,50,
      52,51,101,45,50,48,10,32,32,49,46,54,49,56,51,53,101,45,50,48,32,49,46,48,55,
      48,55,50,101,45,50,48,32,53,46,56,54,57,53,52,101,45,50,49,32,51,46,51,50,52,
      49,52,101,45,50,49,32,49,46,56,49,54,53,56,101,45,50,49,32,56,46,55,53,52,56,
      54,101,45,50,50,32,52,46,48,54,51,50,52,101,45,50,50,10,32,32,50,46,48,49,56,
      56,101,45,50,50,32,57,46,55,57,55,51,57,101,45,50,51,32,52,46,54,53,52,48,49,
      101,45,50,51,32,49,46,57,51,56,49,54,101,45,50,51,32,55,46,48,52,55,51,54,101,
      45,50,52,32,50,46,50,50,49,49,55,101,45,50,52,32,55,46,54,54,54,56,57,101,45,
      50,53,10,32,32,50,46,50,56,56,57,54,101,45,50,53,32,55,46,53,55,55,53,53,101,
      45,50,54,32,50,46,52,54,54,54,54,101,45,50,54,32,54,46,57,53,54,56,56,101,45,
      50,55,32,49,46,55,53,57,51,53,101,45,50,55,32,54,46,48,49,48,52,101,45,50,56,
      32,49,46,55,49,52,50,57,101,45,50,56,10,32,32,53,46,54,51,54,53,50,101,45,50,
      57,32,49,46,55,48,48,56,101,45,50,57,32,53,46,48,56,55,49,53,101,45,51,48,32,
      49,46,49,52,54,55,57,101,45,51,48,32,51,46,51,56,48,52,49,101,45,51,49,32,57,
      46,56,57,55,53,49,101,45,51,50,32,50,46,56,55,57,55,56,101,45,51,50,10,32,32,
      54,46,49,49,55,55,56,101,45,51,51,32,49,46,55,54,48,56,50,101,45,51,51,32,52,
      46,51,50,54,49,101,45,51,52,32,57,46,48,53,52,57,50,101,45,51,53,32,50,46,53,
      54,51,57,56,101,45,51,53,32,53,46,56,52,49,57,56,101,45,51,54,32,49,46,49,51,
      50,48,55,101,45,51,54,10,32,32,50,46,49,50,57,48,52,101,45,51,55,32,48,114,
      50,56,53,32,49,46,54,51,48,52,54,101,45,51,55,32,54,46,48,49,50,52,51,101,45,
      51,55,32,52,46,53,55,57,51,51,101,45,51,54,32,50,46,52,57,56,48,49,101,45,51,
      53,32,49,46,55,52,50,51,51,101,45,51,52,32,49,46,54,52,54,48,50,101,45,51,51,
      10,32,32,49,46,53,51,52,50,52,101,45,51,49,32,53,46,53,53,52,48,55,101,45,51,
      49,32,49,46,51,51,53,54,50,101,45,51,48,32,50,46,57,56,53,50,49,101,45,51,48,
      32,53,46,51,55,54,54,54,101,45,50,57,32,49,46,57,57,50,57,57,101,45,50,56,32,
      52,46,49,51,54,52,51,101,45,50,56,10,32,32,49,46,53,51,53,56,49,101,45,50,55,
      32,53,46,48,55,48,52,101,45,50,55,32,52,46,57,48,51,57,101,45,50,54,32,57,46,
      49,49,52,55,50,101,45,50,54,32,50,46,48,51,53,50,52,101,45,50,53,32,52,46,56,
      55,56,52,57,101,45,50,53,32,49,46,49,54,50,49,53,101,45,50,52,10,32,32,50,46,
      53,55,52,53,53,101,45,50,52,32,51,46,57,57,54,52,56,101,45,50,52,32,53,46,54,
      56,48,53,54,101,45,50,52,32,56,46,48,57,50,52,51,101,45,50,52,32,49,46,49,53,
      55,54,49,101,45,50,51,32,49,46,53,54,57,49,56,101,45,50,51,32,51,46,48,50,52,
      54,54,101,45,50,51,10,32,32,53,46,56,49,53,52,101,45,50,51,32,49,46,48,48,48,
      52,49,101,45,50,50,32,49,46,53,55,50,48,55,101,45,50,50,32,49,46,57,53,57,48,
      56,101,45,50,50,32,50,46,57,49,48,51,54,101,45,50,50,32,52,46,49,55,49,48,53,
      101,45,50,50,32,53,46,55,55,57,51,55,101,45,50,50,10,32,32,55,46,55,52,55,54,
      52,101,45,50,50,32,49,46,48,53,50,54,52,101,45,50,49,32,49,46,51,48,49,51,101,
      45,50,49,32,49,46,53,57,50,53,57,101,45,50,49,32,50,46,49,55,54,54,51,101,45,
      50,49,32,50,46,54,48,54,50,55,101,45,50,49,32,51,46,52,48,54,48,49,101,45,50,
      49,10,32,32,52,46,52,51,50,50,55,101,45,50,49,32,53,46,49,52,51,52,56,101,45,
      50,49,32,53,46,57,51,50,55,54,101,45,50,49,32,55,46,51,52,50,56,54,101,45,50,
      49,32,57,46,49,51,52,49,54,101,45,50,49,32,49,46,48,50,50,54,50,101,45,50,48,
      32,49,46,49,57,52,49,53,101,45,50,48,10,32,32,49,46,51,49,51,53,53,101,45,50,
      48,32,49,46,53,55,52,54,56,101,45,50,48,32,49,46,55,53,57,51,49,101,45,50,48,
      32,50,46,48,54,51,49,49,101,45,50,48,32,50,46,49,57,51,55,54,101,45,50,48,32,
      50,46,52,53,50,48,55,101,45,50,48,32,50,46,55,52,53,51,52,101,45,50,48,10,32,
      32,50,46,57,57,51,48,57,101,45,50,48,32,51,46,50,52,49,50,51,101,45,50,48,32,
      51,46,52,55,49,52,53,101,45,50,48,32,51,46,54,57,52,49,53,101,45,50,48,32,51,
      46,57,51,51,56,57,101,45,50,48,32,52,46,49,51,56,52,101,45,50,48,32,52,46,51,
      53,50,52,49,101,45,50,48,10,32,32,52,46,53,48,48,57,50,101,45,50,48,32,52,46,
      55,50,52,53,51,101,45,50,48,32,52,46,56,52,57,101,45,50,48,32,52,46,57,56,57,
      49,50,101,45,50,48,32,53,46,50,52,55,52,57,101,45,50,48,32,53,46,52,51,54,49,
      54,101,45,50,48,32,53,46,52,51,49,50,55,101,45,50,48,10,32,32,53,46,49,56,53,
      54,53,101,45,50,48,32,52,46,55,50,56,54,50,101,45,50,48,32,52,46,48,48,53,54,
      53,101,45,50,48,32,51,46,51,52,52,57,54,101,45,50,48,32,50,46,51,51,51,57,57,
      101,45,50,48,32,49,46,53,51,56,54,56,101,45,50,48,32,49,46,49,48,52,50,52,101,
      45,50,48,10,32,32,55,46,51,54,54,50,54,101,45,50,49,32,52,46,48,56,48,53,53,
      101,45,50,49,32,50,46,51,51,49,49,49,101,45,50,49,32,49,46,50,56,52,52,53,101,
      45,50,49,32,54,46,50,52,53,55,50,101,45,50,50,32,50,46,57,50,51,49,53,101,45,
      50,50,32,49,46,52,54,50,52,56,101,45,50,50,10,32,32,55,46,49,52,52,52,52,101,
      45,50,51,32,51,46,52,49,53,48,57,101,45,50,51,32,49,46,52,51,50,48,49,101,45,
      50,51,32,53,46,50,52,52,53,101,45,50,52,32,49,46,54,54,53,51,50,101,45,50,52,
      32,53,46,55,56,52,51,57,101,45,50,53,32,49,46,55,51,56,51,52,101,45,50,53,10,
      32,32,53,46,55,56,54,52,51,101,45,50,54,32,49,46,56,57,51,51,56,101,45,50,54,
      32,53,46,51,54,57,48,50,101,45,50,55,32,49,46,51,54,53,50,101,45,50,55,32,52,
      46,54,56,50,51,54,101,45,50,56,32,49,46,51,52,49,51,49,101,45,50,56,32,52,46,
      52,50,54,49,51,101,45,50,57,10,32,32,49,46,51,52,48,52,55,101,45,50,57,32,52,
      46,48,50,51,51,57,101,45,51,48,32,57,46,49,52,50,53,101,45,51,49,32,50,46,55,
      48,51,49,50,101,45,51,49,32,55,46,57,51,55,51,50,101,45,51,50,32,50,46,51,49,
      53,56,49,101,45,51,50,32,52,46,57,52,57,48,49,101,45,51,51,10,32,32,49,46,52,
      50,55,57,51,101,45,51,51,32,51,46,53,49,56,55,57,101,45,51,52,32,55,46,51,57,
      48,51,49,101,45,51,53,32,50,46,49,48,48,51,50,101,45,51,53,32,52,46,56,49,53,
      54,51,101,45,51,54,32,57,46,53,54,53,56,53,101,45,51,55,32,49,46,55,50,50,56,
      54,101,45,51,55,10,32,32,51,46,49,56,56,49,56,101,45,51,56,32,48,114,50,56,
      52,32,51,46,53,54,52,49,50,101,45,51,56,32,49,46,51,52,57,50,52,101,45,51,55,
      32,49,46,48,52,52,49,101,45,51,54,32,53,46,56,56,53,55,56,101,45,51,54,32,52,
      46,50,55,50,50,53,101,45,51,53,32,52,46,50,50,57,51,101,45,51,52,10,32,32,52,
      46,51,50,55,52,53,101,45,51,50,32,49,46,54,48,56,56,101,45,51,49,32,51,46,57,
      52,48,55,53,101,45,51,49,32,56,46,57,54,54,52,49,101,45,51,49,32,49,46,55,54,
      55,52,51,101,45,50,57,32,54,46,55,49,51,49,54,101,45,50,57,32,49,46,52,50,52,
      51,54,101,45,50,56,10,32,32,53,46,52,55,50,101,45,50,56,32,49,46,56,54,54,55,
      57,101,45,50,55,32,50,46,48,52,56,56,55,101,45,50,54,32,51,46,56,56,57,55,49,
      101,45,50,54,32,56,46,57,50,52,49,101,45,50,54,32,50,46,50,48,50,57,53,101,
      45,50,53,32,53,46,53,53,51,57,57,101,45,50,53,10,32,32,49,46,51,49,48,57,51,
      101,45,50,52,32,50,46,48,53,55,57,50,101,45,50,52,32,50,46,57,54,50,49,54,101,
      45,50,52,32,52,46,50,52,55,55,101,45,50,52,32,54,46,49,49,48,49,56,101,45,50,
      52,32,56,46,51,50,50,53,101,45,50,52,32,49,46,54,50,48,51,55,101,45,50,51,10,
      32,32,51,46,49,52,50,54,52,101,45,50,51,32,53,46,52,52,55,50,54,101,45,50,51,
      32,56,46,54,49,52,54,101,45,50,51,32,49,46,48,55,54,52,52,101,45,50,50,32,49,
      46,54,48,56,48,52,101,45,50,50,32,50,46,51,49,54,53,55,101,45,50,50,32,51,46,
      50,50,53,52,57,101,45,50,50,10,32,32,52,46,51,52,51,50,50,101,45,50,50,32,53,
      46,57,50,57,49,55,101,45,50,50,32,55,46,51,53,52,53,53,101,45,50,50,32,57,46,
      48,51,48,54,53,101,45,50,50,32,49,46,50,52,48,55,51,101,45,50,49,32,49,46,52,
      57,48,50,57,101,45,50,49,32,49,46,57,53,54,57,53,101,45,50,49,10,32,32,50,46,
      53,53,57,49,55,101,45,50,49,32,50,46,57,55,56,51,56,101,45,50,49,32,51,46,52,
      52,53,49,56,101,45,50,49,32,52,46,50,56,50,56,51,101,45,50,49,32,53,46,51,53,
      50,57,55,101,45,50,49,32,54,46,48,48,56,53,49,101,45,50,49,32,55,46,48,52,55,
      49,53,101,45,50,49,10,32,32,55,46,55,54,57,48,57,101,45,50,49,32,57,46,51,52,
      49,51,51,101,45,50,49,32,49,46,48,52,55,50,53,101,45,50,48,32,49,46,50,51,51,
      55,50,101,45,50,48,32,49,46,51,49,52,51,49,101,45,50,48,32,49,46,52,55,52,50,
      57,101,45,50,48,32,49,46,54,53,55,48,49,101,45,50,48,10,32,32,49,46,56,49,50,
      50,56,101,45,50,48,32,49,46,57,54,56,54,56,101,45,50,48,32,50,46,49,49,52,54,
      50,101,45,50,48,32,50,46,50,53,54,54,50,101,45,50,48,32,50,46,52,49,48,52,57,
      101,45,50,48,32,50,46,53,52,50,54,57,101,45,50,48,32,50,46,54,56,50,48,56,101,
      45,50,48,10,32,32,50,46,55,55,57,53,54,101,45,50,48,32,50,46,57,50,55,55,54,
      101,45,50,48,32,51,46,48,49,49,50,101,45,50,48,32,51,46,49,48,54,50,51,101,
      45,50,48,32,51,46,50,56,54,52,56,101,45,50,48,32,51,46,52,51,49,55,51,101,45,
      50,48,32,51,46,52,53,52,52,56,101,45,50,48,10,32,32,51,46,51,50,56,52,54,101,
      45,50,48,32,51,46,48,54,49,57,56,101,45,50,48,32,50,46,54,50,48,52,53,101,45,
      50,48,32,50,46,50,48,54,50,55,101,45,50,48,32,49,46,53,53,56,57,52,101,45,50,
      48,32,49,46,48,51,57,53,101,45,50,48,32,55,46,53,49,55,53,56,101,45,50,49,10,
      32,32,53,46,48,53,54,52,54,101,45,50,49,32,50,46,56,51,48,53,54,101,45,50,49,
      32,49,46,54,51,49,49,51,101,45,50,49,32,57,46,48,54,50,49,54,101,45,50,50,32,
      52,46,52,52,54,49,49,101,45,50,50,32,50,46,48,57,56,53,51,101,45,50,50,32,49,
      46,48,53,55,50,55,101,45,50,50,10,32,32,53,46,49,57,57,50,56,101,45,50,51,32,
      50,46,53,48,48,57,56,101,45,50,51,32,49,46,48,53,53,57,56,101,45,50,51,32,51,
      46,56,57,53,51,55,101,45,50,52,32,49,46,50,52,54,50,52,101,45,50,52,32,52,46,
      51,53,54,49,57,101,45,50,53,32,49,46,51,49,55,56,54,101,45,50,53,10,32,32,52,
      46,52,49,49,49,56,101,45,50,54,32,49,46,52,53,48,57,51,101,45,50,54,32,52,46,
      49,51,54,56,51,101,45,50,55,32,49,46,48,53,55,54,54,101,45,50,55,32,51,46,54,
      52,50,48,51,101,45,50,56,32,49,46,48,52,55,56,55,101,45,50,56,32,51,46,52,55,
      48,52,52,101,45,50,57,10,32,32,49,46,48,53,52,57,53,101,45,50,57,32,51,46,49,
      55,55,53,54,101,45,51,48,32,55,46,50,55,56,54,53,101,45,51,49,32,50,46,49,53,
      56,54,51,101,45,51,49,32,54,46,51,53,55,101,45,51,50,32,49,46,56,53,57,56,57,
      101,45,51,50,32,51,46,57,57,56,54,101,45,51,51,10,32,32,49,46,49,53,54,53,54,
      101,45,51,51,32,50,46,56,53,56,57,101,45,51,52,32,54,46,48,50,57,54,56,101,
      45,51,53,32,49,46,55,49,55,55,55,101,45,51,53,32,51,46,57,56,49,52,56,101,45,
      51,54,32,56,46,50,56,49,54,57,101,45,51,55,32,49,46,54,48,52,55,50,101,45,51,
      55,10,32,32,50,46,53,52,55,51,54,101,45,51,56,32,48,114,50,56,53,32,51,46,48,
      48,50,51,52,101,45,51,56,32,50,46,51,54,48,54,54,101,45,51,55,32,49,46,51,55,
      48,53,53,101,45,51,54,32,49,46,48,51,56,52,51,101,45,51,53,32,49,46,48,55,54,
      55,50,101,45,51,52,32,49,46,50,48,53,49,52,101,45,51,50,10,32,32,52,46,54,48,
      49,48,49,101,45,51,50,32,49,46,49,52,55,56,56,101,45,51,49,32,50,46,54,53,56,
      56,50,101,45,51,49,32,53,46,55,52,51,52,56,101,45,51,48,32,50,46,50,51,52,53,
      57,101,45,50,57,32,52,46,56,52,54,56,55,101,45,50,57,32,49,46,57,50,53,55,51,
      101,45,50,56,10,32,32,54,46,55,56,54,56,51,101,45,50,56,32,56,46,52,51,50,56,
      54,101,45,50,55,32,49,46,54,51,53,57,51,101,45,50,54,32,51,46,56,53,56,51,52,
      101,45,50,54,32,57,46,56,48,54,55,52,101,45,50,54,32,50,46,54,50,52,56,101,
      45,50,53,32,54,46,54,50,52,49,55,101,45,50,53,10,32,32,49,46,48,53,52,48,57,
      101,45,50,52,32,49,46,53,52,49,54,101,45,50,52,32,50,46,50,50,53,50,56,101,
      45,50,52,32,51,46,50,49,56,57,49,101,45,50,52,32,52,46,52,48,55,50,51,101,45,
      50,52,32,56,46,54,55,51,51,101,45,50,52,32,49,46,54,57,54,55,52,101,45,50,51,
      10,32,32,50,46,57,54,51,49,54,101,45,50,51,32,52,46,55,49,53,57,50,101,45,50,
      51,32,53,46,57,48,56,53,55,101,45,50,51,32,56,46,56,55,52,57,56,101,45,50,51,
      32,49,46,50,56,53,48,56,101,45,50,50,32,49,46,55,57,55,57,50,101,45,50,50,32,
      50,46,52,51,49,54,50,101,45,50,50,10,32,32,51,46,51,51,53,50,54,101,45,50,50,
      32,52,46,49,53,49,101,45,50,50,32,53,46,49,49,51,55,57,101,45,50,50,32,55,46,
      48,54,50,56,49,101,45,50,50,32,56,46,53,48,57,57,53,101,45,50,50,32,49,46,49,
      50,50,56,55,101,45,50,49,32,49,46,52,55,53,54,54,101,45,50,49,10,32,32,49,46,
      55,50,50,51,54,101,45,50,49,32,49,46,57,57,56,101,45,50,49,32,50,46,52,57,52,
      55,56,101,45,50,49,32,51,46,49,51,51,48,53,101,45,50,49,32,51,46,53,50,53,53,
      51,101,45,50,49,32,52,46,49,52,55,51,56,101,45,50,49,32,52,46,53,57,49,49,53,
      101,45,50,49,10,32,32,53,46,53,51,56,48,56,101,45,50,49,32,54,46,50,50,54,56,
      51,101,45,50,49,32,55,46,51,54,56,56,53,101,45,50,49,32,55,46,56,54,52,56,51,
      101,45,50,49,32,56,46,56,53,51,53,54,101,45,50,49,32,57,46,57,56,57,50,101,
      45,50,49,32,49,46,48,57,53,57,56,101,45,50,48,10,32,32,49,46,49,57,52,50,56,
      101,45,50,48,32,49,46,50,56,54,53,49,101,45,50,48,32,49,46,51,55,54,55,53,101,
      45,50,48,32,49,46,52,55,53,49,52,101,45,50,48,32,49,46,53,54,48,50,50,101,45,
      50,48,32,49,46,54,53,48,53,57,101,45,50,48,32,49,46,55,49,52,50,50,101,45,50,
      48,10,32,32,49,46,56,49,49,56,52,101,45,50,48,32,49,46,56,54,55,51,54,101,45,
      50,48,32,49,46,57,51,49,50,52,101,45,50,48,32,50,46,48,53,53,51,55,101,45,50,
      48,32,50,46,49,54,51,50,101,45,50,48,32,50,46,49,57,51,56,56,101,45,50,48,32,
      50,46,49,51,51,49,101,45,50,48,10,32,32,49,46,57,55,57,54,49,101,45,50,48,32,
      49,46,55,49,49,52,52,101,45,50,48,32,49,46,52,53,50,55,52,101,45,50,48,32,49,
      46,48,51,57,52,52,101,45,50,48,32,55,46,48,49,48,48,54,101,45,50,49,32,53,46,
      49,48,56,53,51,101,45,50,49,32,51,46,52,54,52,52,56,101,45,50,49,10,32,32,49,
      46,57,53,57,55,53,101,45,50,49,32,49,46,49,51,57,49,54,101,45,50,49,32,54,46,
      51,56,49,52,101,45,50,50,32,51,46,49,53,57,48,51,101,45,50,50,32,49,46,53,48,
      51,54,56,101,45,50,50,32,55,46,54,50,56,57,52,101,45,50,51,32,51,46,55,55,54,
      54,56,101,45,50,51,10,32,32,49,46,56,50,56,49,57,101,45,50,51,32,55,46,55,55,
      50,54,57,101,45,50,52,32,50,46,56,56,56,48,57,101,45,50,52,32,57,46,51,48,57,
      53,54,101,45,50,53,32,51,46,50,55,52,56,49,101,45,50,53,32,57,46,57,55,51,51,
      56,101,45,50,54,32,51,46,51,53,55,48,49,101,45,50,54,10,32,32,49,46,49,49,48,
      48,51,101,45,50,54,32,51,46,49,56,50,51,49,101,45,50,55,32,56,46,49,56,49,50,
      50,101,45,50,56,32,50,46,56,50,56,53,52,101,45,50,56,32,56,46,49,55,52,49,53,
      101,45,50,57,32,50,46,55,49,55,49,55,101,45,50,57,32,56,46,50,57,48,54,101,
      45,51,48,10,32,32,50,46,53,48,54,48,55,101,45,51,48,32,53,46,55,56,54,56,50,
      101,45,51,49,32,49,46,55,50,49,52,57,101,45,51,49,32,53,46,48,56,52,53,56,101,
      45,51,50,32,49,46,52,57,49,55,57,101,45,51,50,32,51,46,50,50,54,53,55,101,45,
      51,51,32,57,46,51,53,53,56,56,101,45,51,52,10,32,32,50,46,51,49,57,56,55,101,
      45,51,52,32,52,46,57,49,49,57,52,101,45,51,53,32,49,46,52,48,52,55,57,101,45,
      51,53,32,51,46,50,54,54,56,52,101,45,51,54,32,54,46,55,54,55,50,52,101,45,51,
      55,32,49,46,51,48,50,52,52,101,45,51,55,32,50,46,48,51,50,56,50,101,45,51,56,
      10,32,32,48,114,50,56,54,32,53,46,50,57,51,56,101,45,51,56,32,51,46,49,55,53,
      52,53,101,45,51,55,32,50,46,52,57,54,57,50,101,45,51,54,32,50,46,55,49,55,49,
      52,101,45,51,53,32,51,46,51,50,53,52,54,101,45,51,51,32,49,46,51,48,51,56,101,
      45,51,50,32,51,46,51,49,50,54,57,101,45,51,50,10,32,32,55,46,56,48,54,54,54,
      101,45,51,50,32,49,46,56,51,57,51,101,45,51,48,32,55,46,51,50,49,51,51,101,
      45,51,48,32,49,46,54,50,51,53,101,45,50,57,32,54,46,54,55,50,51,101,45,50,57,
      32,50,46,52,50,57,52,54,101,45,50,56,32,51,46,52,49,51,52,49,101,45,50,55,10,
      32,32,54,46,55,54,56,56,52,101,45,50,55,32,49,46,54,52,49,57,51,101,45,50,54,
      32,52,46,50,57,56,48,55,101,45,50,54,32,49,46,50,50,52,54,57,101,45,50,53,32,
      51,46,51,49,52,53,55,101,45,50,53,32,53,46,51,54,48,56,52,101,45,50,53,32,55,
      46,57,57,54,57,49,101,45,50,53,10,32,32,49,46,49,54,50,48,50,101,45,50,52,32,
      49,46,54,57,48,51,57,101,45,50,52,32,50,46,51,50,55,55,51,101,45,50,52,32,52,
      46,54,51,52,55,50,101,45,50,52,32,57,46,49,52,55,49,54,101,45,50,52,32,49,46,
      54,48,57,54,101,45,50,51,32,50,46,53,55,56,49,56,101,45,50,51,10,32,32,51,46,
      50,51,56,56,57,101,45,50,51,32,52,46,56,57,49,55,55,101,45,50,51,32,55,46,49,
      49,57,54,51,101,45,50,51,32,49,46,48,48,48,57,101,45,50,50,32,49,46,51,53,57,
      54,54,101,45,50,50,32,49,46,56,55,51,56,101,45,50,50,32,50,46,51,51,57,57,55,
      101,45,50,50,10,32,32,50,46,56,57,50,50,51,101,45,50,50,32,52,46,48,49,53,53,
      51,101,45,50,50,32,52,46,56,53,51,52,49,101,45,50,50,32,54,46,52,51,52,55,52,
      101,45,50,50,32,56,46,52,57,56,49,55,101,45,50,50,32,57,46,57,52,55,52,57,101,
      45,50,50,32,49,46,49,53,55,50,50,101,45,50,49,10,32,32,49,46,52,53,49,51,50,
      101,45,50,49,32,49,46,56,51,49,50,56,101,45,50,49,32,50,46,48,54,53,49,53,101,
      45,50,49,32,50,46,52,51,53,50,49,101,45,50,49,32,50,46,55,48,55,53,55,101,45,
      50,49,32,51,46,50,55,56,54,52,101,45,50,49,32,51,46,54,57,54,56,51,101,45,50,
      49,10,32,32,52,46,51,57,52,54,50,101,45,50,49,32,52,46,54,57,57,49,53,101,45,
      50,49,32,53,46,51,48,56,54,53,101,45,50,49,32,54,46,48,49,50,54,55,101,45,50,
      49,32,54,46,54,49,55,55,54,101,45,50,49,32,55,46,50,51,51,55,52,101,45,50,49,
      32,55,46,56,49,52,56,101,45,50,49,10,32,32,56,46,51,56,54,51,54,101,45,50,49,
      32,57,46,48,49,51,50,101,45,50,49,32,57,46,53,53,56,54,55,101,45,50,49,32,49,
      46,48,49,52,49,57,101,45,50,48,32,49,46,48,53,53,53,51,101,45,50,48,32,49,46,
      49,49,57,52,55,101,45,50,48,32,49,46,49,53,54,49,56,101,45,50,48,10,32,32,49,
      46,49,57,56,56,101,45,50,48,32,49,46,50,56,51,51,55,101,45,50,48,32,49,46,51,
      54,49,51,57,101,45,50,48,32,49,46,51,57,49,48,55,101,45,50,48,32,49,46,51,54,
      52,56,50,101,45,50,48,32,49,46,50,55,55,55,52,101,45,50,48,32,49,46,49,49,53,
      57,49,101,45,50,48,10,32,32,57,46,53,52,57,56,101,45,50,49,32,54,46,57,49,56,
      57,53,101,45,50,49,32,52,46,55,49,57,52,50,101,45,50,49,32,51,46,52,54,53,54,
      52,101,45,50,49,32,50,46,51,54,57,55,101,45,50,49,32,49,46,51,53,52,53,53,101,
      45,50,49,32,55,46,57,52,50,52,53,101,45,50,50,10,32,32,52,46,52,56,54,49,56,
      101,45,50,50,32,50,46,50,52,48,56,49,101,45,50,50,32,49,46,48,55,53,54,54,101,
      45,50,50,32,53,46,52,57,53,54,56,101,45,50,51,32,50,46,55,51,56,55,57,101,45,
      50,51,32,49,46,51,51,52,49,57,101,45,50,51,32,53,46,55,49,49,57,49,101,45,50,
      52,10,32,32,50,46,49,51,55,56,57,101,45,50,52,32,54,46,57,52,51,55,51,101,45,
      50,53,32,50,46,52,53,56,50,50,101,45,50,53,32,55,46,53,51,54,56,51,101,45,50,
      54,32,50,46,53,53,49,49,52,101,45,50,54,32,56,46,52,56,48,51,101,45,50,55,32,
      50,46,52,52,52,54,55,101,45,50,55,10,32,32,54,46,51,49,57,56,57,101,45,50,56,
      32,50,46,49,57,51,56,55,101,45,50,56,32,54,46,51,54,56,49,57,101,45,50,57,32,
      50,46,49,50,52,54,57,101,45,50,57,32,54,46,53,48,55,50,51,101,45,51,48,32,49,
      46,57,55,52,48,51,101,45,51,48,32,52,46,53,57,53,50,56,101,45,51,49,10,32,32,
      49,46,51,55,49,50,56,101,45,51,49,32,52,46,48,54,50,50,49,101,45,51,50,32,49,
      46,49,57,53,50,49,101,45,51,50,32,50,46,54,48,49,49,50,101,45,51,51,32,55,46,
      53,54,49,52,101,45,51,52,32,49,46,56,56,48,54,56,101,45,51,52,32,51,46,57,57,
      55,53,56,101,45,51,53,10,32,32,49,46,49,52,53,55,53,101,45,51,53,32,50,46,54,
      55,54,48,54,101,45,51,54,32,53,46,53,50,53,55,56,101,45,51,55,32,49,46,49,51,
      55,48,53,101,45,51,55,32,50,46,53,52,53,56,51,101,45,51,56,32,48,114,50,56,
      55,32,55,46,51,48,51,54,50,101,45,51,56,32,53,46,57,55,52,54,56,101,45,51,55,
      10,32,32,54,46,56,48,54,54,53,101,45,51,54,32,57,46,48,57,55,55,56,101,45,51,
      52,32,51,46,54,54,51,48,49,101,45,51,51,32,57,46,52,55,55,53,49,101,45,51,51,
      32,50,46,50,55,49,54,54,101,45,51,50,32,53,46,56,50,55,48,57,101,45,51,49,32,
      50,46,51,55,49,51,53,101,45,51,48,10,32,32,53,46,51,55,53,57,53,101,45,51,48,
      32,50,46,50,56,52,56,53,101,45,50,57,32,56,46,53,57,51,54,53,101,45,50,57,32,
      49,46,51,53,56,57,50,101,45,50,55,32,50,46,55,53,53,54,50,101,45,50,55,32,54,
      46,56,55,56,52,50,101,45,50,55,32,49,46,56,53,53,50,51,101,45,50,54,10,32,32,
      53,46,54,52,48,53,50,101,45,50,54,32,49,46,54,52,48,56,49,101,45,50,53,32,50,
      46,55,48,53,50,55,101,45,50,53,32,52,46,49,51,51,56,55,101,45,50,53,32,54,46,
      48,52,54,57,52,101,45,50,53,32,56,46,56,52,55,51,55,101,45,50,53,32,49,46,50,
      50,54,49,54,101,45,50,52,10,32,32,50,46,52,55,51,49,55,101,45,50,52,32,52,46,
      57,50,54,53,49,101,45,50,52,32,56,46,55,51,54,56,49,101,45,50,52,32,49,46,52,
      48,56,54,101,45,50,51,32,49,46,55,55,52,51,54,101,45,50,51,32,50,46,54,57,52,
      54,50,101,45,50,51,32,51,46,57,52,50,48,54,101,45,50,51,10,32,32,53,46,53,54,
      56,55,56,101,45,50,51,32,55,46,53,57,56,51,54,101,45,50,51,32,49,46,48,53,50,
      49,52,101,45,50,50,32,49,46,51,49,56,51,51,101,45,50,50,32,49,46,54,51,52,56,
      53,101,45,50,50,32,50,46,50,56,49,54,56,101,45,50,50,32,50,46,55,54,54,51,51,
      101,45,50,50,10,32,32,51,46,54,56,53,49,54,101,45,50,50,32,52,46,56,57,48,54,
      57,101,45,50,50,32,53,46,55,52,49,49,50,101,45,50,50,32,54,46,54,57,55,54,53,
      101,45,50,50,32,56,46,52,51,54,53,51,101,45,50,50,32,49,46,48,54,57,53,51,101,
      45,50,49,32,49,46,50,48,56,56,49,101,45,50,49,10,32,32,49,46,52,50,56,55,51,
      101,45,50,49,32,49,46,53,57,51,53,50,101,45,50,49,32,49,46,57,51,57,48,54,101,
      45,50,49,32,50,46,49,57,50,56,56,101,45,50,49,32,50,46,54,49,56,53,57,101,45,
      50,49,32,50,46,56,48,53,50,50,101,45,50,49,32,51,46,49,56,48,50,101,45,50,49,
      10,32,32,51,46,54,49,53,55,49,101,45,50,49,32,51,46,57,57,50,48,52,101,45,50,
      49,32,52,46,51,55,55,49,49,101,45,50,49,32,52,46,55,52,50,50,101,45,50,49,32,
      53,46,49,48,51,49,53,101,45,50,49,32,53,46,53,48,49,50,54,101,45,50,49,32,53,
      46,56,52,57,55,53,101,45,50,49,10,32,32,54,46,50,50,52,54,56,101,45,50,49,32,
      54,46,52,57,50,49,53,101,45,50,49,32,54,46,57,48,56,57,54,101,45,50,49,32,55,
      46,49,53,48,51,49,101,45,50,49,32,55,46,52,51,50,56,49,101,45,50,49,32,56,46,
      48,48,51,54,54,101,45,50,49,32,56,46,53,53,54,56,52,101,45,50,49,10,32,32,56,
      46,56,48,56,50,54,101,45,50,49,32,56,46,55,49,57,56,57,101,45,50,49,32,56,46,
      50,51,52,54,57,101,45,50,49,32,55,46,50,54,52,51,50,101,45,50,49,32,54,46,50,
      54,55,50,53,101,45,50,49,32,52,46,53,57,55,52,55,101,45,50,49,32,51,46,49,55,
      49,53,101,45,50,49,10,32,32,50,46,51,52,54,55,51,101,45,50,49,32,49,46,54,49,
      55,56,50,101,45,50,49,32,57,46,51,52,52,53,54,101,45,50,50,32,53,46,53,50,54,
      57,49,101,45,50,50,32,51,46,49,52,55,54,56,101,45,50,50,32,49,46,53,56,54,51,
      56,101,45,50,50,32,55,46,54,55,57,56,54,101,45,50,51,10,32,32,51,46,57,53,49,
      52,50,101,45,50,51,32,49,46,57,56,50,52,49,101,45,50,51,32,57,46,55,49,56,56,
      52,101,45,50,52,32,52,46,49,56,57,56,57,101,45,50,52,32,49,46,53,55,57,55,50,
      101,45,50,52,32,53,46,49,55,48,48,50,101,45,50,53,32,49,46,56,52,50,48,54,101,
      45,50,53,10,32,32,53,46,54,56,53,57,51,101,45,50,54,32,49,46,57,51,53,53,50,
      101,45,50,54,32,54,46,52,54,56,50,53,101,45,50,55,32,49,46,56,55,53,48,53,101,
      45,50,55,32,52,46,56,55,52,53,50,101,45,50,56,32,49,46,54,57,57,48,51,101,45,
      50,56,32,52,46,57,53,51,57,50,101,45,50,57,10,32,32,49,46,54,53,57,48,49,101,
      45,50,57,32,53,46,49,48,48,51,49,101,45,51,48,32,49,46,53,53,50,56,49,101,45,
      51,48,32,51,46,54,52,52,49,55,101,45,51,49,32,49,46,48,57,48,56,56,101,45,51,
      49,32,51,46,50,52,49,50,54,101,45,51,50,32,57,46,53,54,51,57,51,101,45,51,51,
      10,32,32,50,46,48,57,52,51,54,101,45,51,51,32,54,46,49,48,51,56,52,101,45,51,
      52,32,49,46,53,50,50,57,54,101,45,51,52,32,51,46,50,53,49,50,54,101,45,51,53,
      32,57,46,51,51,53,49,49,101,45,51,54,32,50,46,49,56,57,50,57,101,45,51,54,32,
      52,46,53,54,50,57,54,101,45,51,55,10,32,32,57,46,50,51,53,48,49,101,45,51,56,
      32,50,46,48,53,55,52,52,101,45,51,56,32,48,114,50,56,56,32,49,46,52,49,54,53,
      55,101,45,51,55,32,49,46,54,57,49,48,55,101,45,51,54,32,50,46,52,54,48,56,54,
      101,45,51,52,32,49,46,48,49,55,53,101,45,51,51,32,50,46,54,56,48,54,54,101,
      45,51,51,10,32,32,54,46,53,51,52,54,101,45,51,51,32,49,46,56,50,53,52,55,101,
      45,51,49,32,55,46,53,57,50,48,57,101,45,51,49,32,49,46,55,53,57,53,57,101,45,
      51,48,32,55,46,55,51,48,51,53,101,45,51,48,32,51,46,48,48,50,52,56,101,45,50,
      57,32,53,46,51,51,56,57,50,101,45,50,56,10,32,32,49,46,49,48,55,50,55,101,45,
      50,55,32,50,46,56,52,52,54,52,101,45,50,55,32,55,46,57,48,51,50,55,101,45,50,
      55,32,50,46,53,54,54,56,56,101,45,50,54,32,56,46,48,51,51,49,49,101,45,50,54,
      32,49,46,51,53,52,50,53,101,45,50,53,32,50,46,49,50,57,50,51,101,45,50,53,10,
      32,32,51,46,49,51,53,50,49,101,45,50,53,32,52,46,54,49,52,50,53,101,45,50,53,
      32,54,46,52,52,48,55,56,101,45,50,53,32,49,46,51,49,55,54,57,101,45,50,52,32,
      50,46,54,53,48,53,51,101,45,50,52,32,52,46,55,51,55,56,55,101,45,50,52,32,55,
      46,54,56,56,57,51,101,45,50,52,10,32,32,57,46,55,49,49,50,57,101,45,50,52,32,
      49,46,52,56,50,56,49,101,45,50,51,32,50,46,49,56,48,50,53,101,45,50,51,32,51,
      46,48,57,52,54,101,45,50,51,32,52,46,50,52,48,56,54,101,45,50,51,32,53,46,56,
      57,57,56,52,101,45,50,51,32,55,46,52,49,55,48,53,101,45,50,51,10,32,32,57,46,
      50,50,55,56,54,101,45,50,51,32,49,46,50,57,52,53,54,101,45,50,50,32,49,46,53,
      55,52,51,56,101,45,50,50,32,50,46,49,48,55,50,54,101,45,50,50,32,50,46,56,49,
      48,49,57,101,45,50,50,32,51,46,51,48,56,50,50,101,45,50,50,32,51,46,56,55,48,
      50,49,101,45,50,50,10,32,32,52,46,56,57,54,50,101,45,50,50,32,54,46,50,51,54,
      48,49,101,45,50,50,32,55,46,48,54,53,52,56,101,45,50,50,32,56,46,51,55,55,53,
      57,101,45,50,50,32,57,46,51,53,53,51,52,101,45,50,50,32,49,46,49,52,52,49,52,
      101,45,50,49,32,49,46,50,57,56,51,101,45,50,49,10,32,32,49,46,53,53,55,51,56,
      101,45,50,49,32,49,46,54,55,49,52,54,101,45,50,49,32,49,46,57,48,49,53,51,101,
      45,50,49,32,50,46,49,55,48,49,55,101,45,50,49,32,50,46,52,48,51,53,53,101,45,
      50,49,32,50,46,54,52,51,53,50,101,45,50,49,32,50,46,56,55,50,49,55,101,45,50,
      49,10,32,32,51,46,48,57,57,51,54,101,45,50,49,32,51,46,51,53,49,50,56,101,45,
      50,49,32,51,46,53,55,51,48,54,101,45,50,49,32,51,46,56,49,51,49,50,101,45,50,
      49,32,51,46,57,56,53,51,57,101,45,50,49,32,52,46,50,53,53,55,54,101,45,50,49,
      32,52,46,52,49,51,53,53,101,45,50,49,10,32,32,52,46,53,57,57,54,52,101,45,50,
      49,32,52,46,57,56,49,57,50,101,45,50,49,32,53,46,51,54,56,48,55,101,45,50,49,
      32,53,46,53,54,54,56,54,101,45,50,49,32,53,46,53,54,48,55,53,101,45,50,49,32,
      53,46,50,57,55,49,50,101,45,50,49,32,52,46,55,50,48,48,55,101,45,50,49,10,32,
      32,52,46,49,48,53,50,57,101,45,50,49,32,51,46,48,52,57,49,54,101,45,50,49,32,
      50,46,49,50,55,50,53,101,45,50,49,32,49,46,53,56,54,48,55,101,45,50,49,32,49,
      46,49,48,50,52,50,101,45,50,49,32,54,46,52,51,52,51,55,101,45,50,50,32,51,46,
      56,51,56,55,56,101,45,50,50,10,32,32,50,46,50,48,52,51,57,101,45,50,50,32,49,
      46,49,50,48,57,56,101,45,50,50,32,53,46,52,55,51,48,54,101,45,50,51,32,50,46,
      56,51,53,56,56,101,45,50,51,32,49,46,52,51,50,51,49,101,45,50,51,32,55,46,48,
      54,54,57,50,101,45,50,52,32,51,46,48,54,55,57,55,101,45,50,52,10,32,32,49,46,
      49,54,53,50,52,101,45,50,52,32,51,46,56,52,50,55,54,101,45,50,53,32,49,46,51,
      55,56,48,49,101,45,50,53,32,52,46,50,56,50,52,56,101,45,50,54,32,49,46,52,54,
      54,49,101,45,50,54,32,52,46,57,50,53,56,54,101,45,50,55,32,49,46,52,51,53,57,
      54,101,45,50,55,10,32,32,51,46,55,53,52,49,50,101,45,50,56,32,49,46,51,49,51,
      56,57,101,45,50,56,32,51,46,56,52,56,50,53,101,45,50,57,32,49,46,50,57,51,53,
      56,101,45,50,57,32,51,46,57,57,50,48,56,101,45,51,48,32,49,46,50,49,57,56,51,
      101,45,51,48,32,50,46,56,56,54,48,51,101,45,51,49,10,32,32,56,46,54,54,54,54,
      55,101,45,51,50,32,50,46,53,56,50,56,53,101,45,51,50,32,55,46,54,52,51,49,53,
      101,45,51,51,32,49,46,54,56,52,50,49,101,45,51,51,32,52,46,57,50,49,49,101,
      45,51,52,32,49,46,50,51,49,56,50,101,45,51,52,32,50,46,54,52,50,54,51,101,45,
      51,53,10,32,32,55,46,54,48,55,49,50,101,45,51,54,32,49,46,55,56,53,49,57,101,
      45,51,54,32,51,46,55,56,56,53,56,101,45,51,55,32,56,46,53,54,53,51,101,45,51,
      56,32,48,114,50,56,57,32,51,46,51,51,56,54,101,45,51,56,32,52,46,49,53,52,57,
      51,101,45,51,55,32,54,46,53,57,54,48,51,101,45,51,53,10,32,32,50,46,56,48,48,
      55,101,45,51,52,32,55,46,53,49,50,53,57,101,45,51,52,32,49,46,56,54,49,54,54,
      101,45,51,51,32,53,46,54,52,52,49,57,101,45,51,50,32,50,46,51,57,55,48,49,101,
      45,51,49,32,53,46,54,55,57,52,54,101,45,51,49,32,50,46,53,55,57,52,55,101,45,
      51,48,10,32,32,49,46,48,51,52,54,52,101,45,50,57,32,50,46,48,54,52,57,56,101,
      45,50,56,32,52,46,51,56,48,57,55,101,45,50,56,32,49,46,49,53,56,55,50,101,45,
      50,55,32,51,46,51,49,54,52,52,101,45,50,55,32,49,46,49,53,50,51,54,101,45,50,
      54,32,51,46,56,56,52,51,56,101,45,50,54,10,32,32,54,46,55,49,54,48,52,101,45,
      50,54,32,49,46,48,57,49,51,49,101,45,50,53,32,49,46,54,49,55,53,51,101,45,50,
      53,32,50,46,51,57,52,57,57,101,45,50,53,32,51,46,51,54,57,54,55,101,45,50,53,
      32,55,46,48,48,50,50,50,101,45,50,53,32,49,46,52,50,51,52,56,101,45,50,52,10,
      32,32,50,46,53,54,53,52,56,101,45,50,52,32,52,46,49,57,49,51,56,101,45,50,52,
      32,53,46,51,48,55,56,55,101,45,50,52,32,56,46,49,52,56,51,55,101,45,50,52,32,
      49,46,50,48,52,49,53,101,45,50,51,32,49,46,55,49,55,50,54,101,45,50,51,32,50,
      46,51,54,51,53,57,101,45,50,51,10,32,32,51,46,51,48,51,54,52,101,45,50,51,32,
      52,46,49,54,55,48,50,101,45,50,51,32,53,46,50,48,49,51,101,45,50,51,32,55,46,
      51,51,52,54,54,101,45,50,51,32,56,46,57,52,55,53,57,101,45,50,51,32,49,46,50,
      48,51,51,101,45,50,50,32,49,46,54,49,50,52,56,101,45,50,50,10,32,32,49,46,57,
      48,51,54,53,101,45,50,50,32,50,46,50,51,51,50,57,101,45,50,50,32,50,46,56,51,
      55,54,54,101,45,50,50,32,51,46,54,51,49,48,55,101,45,50,50,32,52,46,49,50,53,
      49,54,101,45,50,50,32,52,46,57,49,49,52,52,101,45,50,50,32,53,46,52,56,54,51,
      49,101,45,50,50,10,32,32,54,46,55,51,56,56,57,101,45,50,50,32,55,46,54,55,53,
      56,101,45,50,50,32,57,46,50,52,57,53,49,101,45,50,50,32,57,46,57,52,53,51,101,
      45,50,50,32,49,46,49,51,53,51,57,101,45,50,49,32,49,46,51,48,48,55,52,101,45,
      50,49,32,49,46,52,52,53,49,50,101,45,50,49,10,32,32,49,46,53,57,52,51,101,45,
      50,49,32,49,46,55,51,55,49,51,101,45,50,49,32,49,46,56,55,57,55,49,101,45,50,
      49,32,50,46,48,51,56,54,54,101,45,50,49,32,50,46,49,55,57,51,53,101,45,50,49,
      32,50,46,51,51,50,53,49,101,45,50,49,32,50,46,52,52,51,48,51,101,45,50,49,10,
      32,32,50,46,54,49,55,54,53,101,45,50,49,32,50,46,55,50,48,51,49,101,45,50,49,
      32,50,46,56,52,50,50,49,101,45,50,49,32,51,46,48,57,54,51,53,101,45,50,49,32,
      51,46,51,54,50,52,50,101,45,50,49,32,51,46,53,49,50,55,56,101,45,50,49,32,51,
      46,53,52,48,52,54,101,45,50,49,10,32,32,51,46,52,48,49,57,51,101,45,50,49,32,
      51,46,48,54,49,57,49,101,45,50,49,32,50,46,54,56,52,54,56,101,45,50,49,32,50,
      46,48,49,56,56,56,101,45,50,49,32,49,46,52,50,52,52,50,101,45,50,49,32,49,46,
      48,55,48,49,52,101,45,50,49,32,55,46,52,57,57,51,101,45,50,50,10,32,32,52,46,
      52,50,50,56,54,101,45,50,50,32,50,46,54,54,49,55,101,45,50,50,32,49,46,53,52,
      49,49,54,101,45,50,50,32,55,46,57,48,55,55,53,101,45,50,51,32,51,46,56,57,51,
      55,55,101,45,50,51,32,50,46,48,51,49,56,53,101,45,50,51,32,49,46,48,51,51,49,
      52,101,45,50,51,10,32,32,53,46,49,51,48,49,55,101,45,50,52,32,50,46,50,52,50,
      56,51,101,45,50,52,32,56,46,53,56,49,52,54,101,45,50,53,32,50,46,56,53,49,56,
      49,101,45,50,53,32,49,46,48,50,57,51,101,45,50,53,32,51,46,50,50,48,54,56,101,
      45,50,54,32,49,46,49,48,56,57,101,45,50,54,10,32,32,51,46,55,52,53,56,53,101,
      45,50,55,32,49,46,48,57,56,49,52,101,45,50,55,32,50,46,56,56,55,50,51,101,45,
      50,56,32,49,46,48,49,52,54,55,101,45,50,56,32,50,46,57,56,53,51,56,101,45,50,
      57,32,49,46,48,48,55,51,51,101,45,50,57,32,51,46,49,50,48,54,54,101,45,51,48,
      10,32,32,57,46,53,55,48,53,101,45,51,49,32,50,46,50,56,50,56,54,101,45,51,49,
      32,54,46,56,55,55,50,57,101,45,51,50,32,50,46,48,53,53,56,50,101,45,51,50,32,
      54,46,49,48,49,50,57,101,45,51,51,32,49,46,51,53,51,48,54,101,45,51,51,32,51,
      46,57,54,51,55,101,45,51,52,10,32,32,57,46,57,53,51,55,50,101,45,51,53,32,50,
      46,49,52,52,54,57,101,45,51,53,32,54,46,49,56,54,53,56,101,45,51,54,32,49,46,
      52,53,56,57,51,101,45,51,54,32,51,46,48,56,57,55,101,45,51,55,32,54,46,57,55,
      52,50,50,101,45,51,56,32,48,114,50,57,48,32,49,46,48,49,54,55,51,101,45,51,
      55,10,32,32,49,46,55,53,53,50,50,101,45,51,53,32,55,46,54,53,51,51,101,45,51,
      53,32,50,46,48,57,48,48,52,101,45,51,52,32,53,46,50,54,51,52,55,101,45,51,52,
      32,49,46,55,50,56,53,52,101,45,51,50,32,55,46,52,57,49,54,56,101,45,51,50,32,
      49,46,56,49,52,54,55,101,45,51,49,10,32,32,56,46,53,49,56,50,52,101,45,51,49,
      32,51,46,53,50,55,56,51,101,45,51,48,32,55,46,56,54,56,51,56,101,45,50,57,32,
      49,46,55,48,56,48,49,101,45,50,56,32,52,46,54,53,50,48,54,101,45,50,56,32,49,
      46,51,55,49,55,49,101,45,50,55,32,53,46,49,48,50,56,54,101,45,50,55,10,32,32,
      49,46,56,53,51,49,101,45,50,54,32,51,46,50,57,53,57,55,101,45,50,54,32,53,46,
      53,53,57,53,53,101,45,50,54,32,56,46,50,57,53,54,57,101,45,50,54,32,49,46,50,
      51,54,49,49,101,45,50,53,32,49,46,55,53,52,54,101,45,50,53,32,51,46,55,48,57,
      51,57,101,45,50,53,10,32,32,55,46,54,51,49,52,54,101,45,50,53,32,49,46,51,56,
      55,52,57,101,45,50,52,32,50,46,50,56,50,53,57,101,45,50,52,32,50,46,56,57,56,
      51,57,101,45,50,52,32,52,46,52,55,51,55,55,101,45,50,52,32,54,46,54,52,53,48,
      56,101,45,50,52,32,57,46,53,50,50,48,56,101,45,50,52,10,32,32,49,46,51,49,54,
      51,55,101,45,50,51,32,49,46,56,52,56,54,51,101,45,50,51,32,50,46,51,51,57,53,
      55,101,45,50,51,32,50,46,57,50,57,56,56,101,45,50,51,32,52,46,49,53,51,48,55,
      101,45,50,51,32,53,46,48,56,49,57,57,101,45,50,51,32,54,46,56,54,54,56,56,101,
      45,50,51,10,32,32,57,46,50,52,54,54,52,101,45,50,51,32,49,46,48,57,52,55,51,
      101,45,50,50,32,49,46,50,56,55,57,101,45,50,50,32,49,46,54,52,51,53,51,101,
      45,50,50,32,50,46,49,49,50,56,53,101,45,50,50,32,50,46,52,48,54,57,55,101,45,
      50,50,32,50,46,56,55,56,51,51,101,45,50,50,10,32,32,51,46,50,49,56,50,52,101,
      45,50,50,32,51,46,57,54,54,56,51,101,45,50,50,32,52,46,53,51,52,54,52,101,45,
      50,50,32,53,46,52,56,56,57,52,101,45,50,50,32,53,46,57,49,50,54,101,45,50,50,
      32,54,46,55,55,51,52,52,101,45,50,50,32,55,46,55,56,57,49,49,101,45,50,50,10,
      32,32,56,46,54,56,48,52,55,101,45,50,50,32,57,46,54,48,53,55,57,101,45,50,50,
      32,49,46,48,52,57,53,57,101,45,50,49,32,49,46,49,51,56,56,54,101,45,50,49,32,
      49,46,50,51,56,56,56,101,45,50,49,32,49,46,51,50,55,56,57,101,45,50,49,32,49,
      46,52,50,53,51,101,45,50,49,10,32,32,49,46,52,57,53,57,55,101,45,50,49,32,49,
      46,54,48,56,51,51,101,45,50,49,32,49,46,54,55,52,56,51,101,45,50,49,32,49,46,
      55,53,52,51,101,45,50,49,32,49,46,57,50,50,50,52,101,45,50,49,32,50,46,49,48,
      51,54,50,101,45,50,49,32,50,46,50,49,51,56,54,101,45,50,49,10,32,32,50,46,50,
      53,49,49,57,101,45,50,49,32,50,46,49,56,49,55,54,101,45,50,49,32,49,46,57,56,
      51,51,50,101,45,50,49,32,49,46,55,53,50,57,51,101,45,50,49,32,49,46,51,51,52,
      53,49,101,45,50,49,32,57,46,53,50,49,52,53,101,45,50,50,32,55,46,50,48,55,52,
      57,101,45,50,50,10,32,32,53,46,48,57,50,49,50,101,45,50,50,32,51,46,48,51,52,
      53,50,101,45,50,50,32,49,46,56,52,50,48,53,101,45,50,50,32,49,46,48,55,53,52,
      50,101,45,50,50,32,53,46,53,54,55,55,54,101,45,50,51,32,50,46,55,54,52,57,52,
      101,45,50,51,32,49,46,52,53,51,48,50,101,45,50,51,10,32,32,55,46,52,51,56,48,
      55,101,45,50,52,32,51,46,55,49,55,49,57,101,45,50,52,32,49,46,54,51,54,53,53,
      101,45,50,52,32,54,46,51,48,56,50,50,101,45,50,53,32,50,46,49,49,50,53,56,101,
      45,50,53,32,55,46,54,55,52,55,52,101,45,50,54,32,50,46,52,49,55,57,51,101,45,
      50,54,10,32,32,56,46,51,55,51,48,50,101,45,50,55,32,50,46,56,52,51,55,55,101,
      45,50,55,32,56,46,51,56,52,51,52,101,45,50,56,32,50,46,50,49,55,48,54,101,45,
      50,56,32,55,46,56,50,52,48,50,101,45,50,57,32,50,46,51,49,50,53,52,101,45,50,
      57,32,55,46,56,51,50,56,49,101,45,51,48,10,32,32,50,46,52,51,54,101,45,51,48,
      32,55,46,52,57,56,51,52,101,45,51,49,32,49,46,56,48,51,50,50,101,45,51,49,32,
      53,46,52,52,57,56,51,101,45,51,50,32,49,46,54,51,52,49,50,101,45,51,50,32,52,
      46,56,54,51,57,57,101,45,51,51,32,49,46,48,56,53,53,55,101,45,51,51,10,32,32,
      51,46,49,56,56,52,52,101,45,51,52,32,56,46,48,51,51,56,54,101,45,51,53,32,49,
      46,55,51,56,54,57,101,45,51,53,32,53,46,48,50,54,52,101,45,51,54,32,49,46,49,
      56,57,50,53,101,45,51,54,32,50,46,53,51,51,49,53,101,45,51,55,32,53,46,54,55,
      53,49,49,101,45,51,56,10,32,32,48,114,50,57,48,32,50,46,48,57,50,54,56,101,
      45,51,56,32,51,46,57,56,53,48,54,101,45,51,54,32,49,46,55,56,57,55,52,101,45,
      51,53,32,52,46,57,56,53,52,56,101,45,51,53,32,49,46,50,55,56,48,54,101,45,51,
      52,32,52,46,53,56,53,56,50,101,45,51,51,32,50,46,48,51,50,49,55,101,45,51,50,
      10,32,32,53,46,48,52,52,52,50,101,45,51,50,32,50,46,52,53,53,51,57,101,45,51,
      49,32,49,46,48,53,51,52,52,101,45,51,48,32,50,46,54,53,50,55,49,101,45,50,57,
      32,53,46,57,48,55,51,51,101,45,50,57,32,49,46,54,54,50,54,101,45,50,56,32,53,
      46,48,54,56,50,53,101,45,50,56,10,32,32,50,46,48,51,52,54,56,101,45,50,55,32,
      56,46,48,50,52,48,53,101,45,50,55,32,49,46,52,55,55,53,52,101,45,50,54,32,50,
      46,54,48,57,56,57,101,45,50,54,32,51,46,57,50,51,55,56,101,45,50,54,32,53,46,
      56,57,48,49,49,101,45,50,54,32,56,46,52,53,49,56,57,101,45,50,54,10,32,32,49,
      46,56,50,52,53,55,101,45,50,53,32,51,46,56,49,49,52,56,101,45,50,53,32,55,46,
      48,48,50,51,50,101,45,50,53,32,49,46,49,54,49,49,52,101,45,50,52,32,49,46,52,
      55,56,55,54,101,45,50,52,32,50,46,50,57,54,50,54,101,45,50,52,32,51,46,52,50,
      57,56,57,101,45,50,52,10,32,32,52,46,57,52,48,54,53,101,45,50,52,32,54,46,56,
      54,51,50,101,45,50,52,32,57,46,54,56,56,53,57,101,45,50,52,32,49,46,50,51,48,
      54,55,101,45,50,51,32,49,46,53,52,54,55,56,101,45,50,51,32,50,46,50,48,53,49,
      101,45,50,51,32,50,46,55,48,55,53,50,101,45,50,51,10,32,32,51,46,54,55,55,54,
      57,101,45,50,51,32,52,46,57,55,56,56,52,101,45,50,51,32,53,46,57,49,51,49,49,
      101,45,50,51,32,54,46,57,55,56,48,49,101,45,50,51,32,56,46,57,52,55,53,57,101,
      45,50,51,32,49,46,49,53,54,50,51,101,45,50,50,32,49,46,51,50,48,56,57,101,45,
      50,50,10,32,32,49,46,53,56,54,54,51,101,45,50,50,32,49,46,55,55,57,52,57,101,
      45,50,50,32,50,46,50,48,48,49,49,101,45,50,50,32,50,46,53,50,51,56,49,101,45,
      50,50,32,51,46,48,55,48,48,52,101,45,50,50,32,51,46,51,49,51,54,56,101,45,50,
      50,32,51,46,56,49,48,55,101,45,50,50,10,32,32,52,46,52,48,48,51,53,101,45,50,
      50,32,52,46,57,50,48,54,52,101,45,50,50,32,53,46,52,54,51,53,101,45,50,50,32,
      53,46,57,56,56,51,50,101,45,50,50,32,54,46,53,49,55,51,49,101,45,50,50,32,55,
      46,49,49,51,49,55,101,45,50,50,32,55,46,54,52,54,51,49,101,45,50,50,10,32,32,
      56,46,50,51,51,50,50,101,45,50,50,32,56,46,54,54,49,51,49,101,45,50,50,32,57,
      46,51,52,54,51,56,101,45,50,50,32,57,46,55,53,52,55,50,101,45,50,50,32,49,46,
      48,50,52,53,57,101,45,50,49,32,49,46,49,50,57,56,49,101,45,50,49,32,49,46,50,
      52,54,57,53,101,45,50,49,10,32,32,49,46,51,50,50,57,50,101,45,50,49,32,49,46,
      51,53,56,52,54,101,45,50,49,32,49,46,51,50,57,49,50,101,45,50,49,32,49,46,50,
      50,49,54,101,45,50,49,32,49,46,48,56,57,51,49,101,45,50,49,32,56,46,52,48,54,
      56,51,101,45,50,50,32,54,46,48,55,50,57,101,45,50,50,10,32,32,52,46,54,51,53,
      55,54,101,45,50,50,32,51,46,51,48,52,57,52,101,45,50,50,32,49,46,57,57,50,51,
      52,101,45,50,50,32,49,46,50,50,49,48,57,101,45,50,50,32,55,46,49,57,52,54,54,
      101,45,50,51,32,51,46,55,54,50,50,55,101,45,50,51,32,49,46,56,56,54,49,50,101,
      45,50,51,10,32,32,57,46,57,57,48,50,49,101,45,50,52,32,53,46,49,53,50,53,51,
      101,45,50,52,32,50,46,53,57,51,52,54,101,45,50,52,32,49,46,49,53,48,55,56,101,
      45,50,52,32,52,46,52,55,50,53,54,101,45,50,53,32,49,46,53,49,48,55,55,101,45,
      50,53,32,53,46,53,50,56,52,55,101,45,50,54,10,32,32,49,46,55,53,53,49,52,101,
      45,50,54,32,54,46,49,49,55,48,51,101,45,50,55,32,50,46,48,57,48,49,57,101,45,
      50,55,32,54,46,50,48,49,55,49,101,45,50,56,32,49,46,54,53,48,52,101,45,50,56,
      32,53,46,56,53,49,52,53,101,45,50,57,32,49,46,55,51,56,51,56,101,45,50,57,10,
      32,32,53,46,57,49,51,50,54,101,45,51,48,32,49,46,56,52,55,48,51,101,45,51,48,
      32,53,46,55,48,56,57,57,101,45,51,49,32,49,46,51,56,53,52,51,101,45,51,49,32,
      52,46,50,48,50,50,57,101,45,51,50,32,49,46,50,54,52,51,57,101,45,51,50,32,51,
      46,55,55,53,56,54,101,45,51,51,10,32,32,56,46,52,56,55,54,53,101,45,51,52,32,
      50,46,53,48,48,50,49,101,45,51,52,32,54,46,51,50,51,55,49,101,45,51,53,32,49,
      46,51,55,53,53,57,101,45,51,53,32,51,46,57,56,56,101,45,51,54,32,57,46,52,53,
      50,56,50,101,45,51,55,32,50,46,48,51,53,48,56,101,45,51,55,10,32,32,52,46,53,
      56,55,57,51,101,45,51,56,32,48,114,50,57,49,32,56,46,57,52,57,51,50,101,45,
      51,55,32,52,46,49,51,57,53,101,45,51,54,32,49,46,49,55,54,48,54,101,45,51,53,
      32,51,46,48,54,55,57,50,101,45,51,53,32,49,46,49,57,57,56,57,101,45,51,51,32,
      53,46,52,51,51,50,56,101,45,51,51,10,32,32,49,46,51,56,50,48,56,101,45,51,50,
      32,54,46,57,55,54,101,45,51,50,32,51,46,49,48,48,50,57,101,45,51,49,32,56,46,
      55,57,50,52,55,101,45,51,48,32,50,46,48,48,56,56,56,101,45,50,57,32,53,46,56,
      52,50,57,57,101,45,50,57,32,49,46,56,52,48,56,54,101,45,50,56,10,32,32,55,46,
      57,55,56,54,50,101,45,50,56,32,51,46,52,49,54,48,55,101,45,50,55,32,54,46,53,
      51,51,48,56,101,45,50,55,32,49,46,50,49,51,57,101,45,50,54,32,49,46,56,51,57,
      50,57,101,45,50,54,32,50,46,55,56,50,56,50,101,45,50,54,32,52,46,48,52,48,56,
      56,101,45,50,54,10,32,32,56,46,57,50,52,101,45,50,54,32,49,46,56,57,56,48,49,
      101,45,50,53,32,51,46,53,50,54,55,57,101,45,50,53,32,53,46,56,57,54,53,101,
      45,50,53,32,55,46,53,51,49,55,52,101,45,50,53,32,49,46,49,55,54,53,54,101,45,
      50,52,32,49,46,55,54,55,50,52,101,45,50,52,10,32,32,50,46,53,53,56,57,49,101,
      45,50,52,32,51,46,53,55,49,55,55,101,45,50,52,32,53,46,48,54,56,52,52,101,45,
      50,52,32,54,46,52,54,49,55,53,101,45,50,52,32,56,46,49,53,49,48,52,101,45,50,
      52,32,49,46,49,54,56,54,55,101,45,50,51,32,49,46,52,51,57,56,51,101,45,50,51,
      10,32,32,49,46,57,54,54,48,51,101,45,50,51,32,50,46,54,55,53,56,57,101,45,50,
      51,32,51,46,49,56,55,57,56,101,45,50,51,32,51,46,55,55,51,55,54,101,45,50,51,
      32,52,46,56,54,50,49,50,101,45,50,51,32,54,46,51,49,53,52,53,101,45,50,51,32,
      55,46,50,51,50,49,51,101,45,50,51,10,32,32,56,46,55,49,49,56,56,101,45,50,51,
      32,57,46,56,50,49,51,49,101,45,50,51,32,49,46,50,49,56,50,56,101,45,50,50,32,
      49,46,52,48,49,56,55,101,45,50,50,32,49,46,55,49,51,54,54,101,45,50,50,32,49,
      46,56,53,51,52,101,45,50,50,32,50,46,49,51,57,54,101,45,50,50,10,32,32,50,46,
      52,56,48,57,57,101,45,50,50,32,50,46,55,56,51,56,51,101,45,50,50,32,51,46,49,
      48,49,51,55,101,45,50,50,32,51,46,52,48,57,56,55,101,45,50,50,32,51,46,55,50,
      50,51,50,101,45,50,50,32,52,46,48,55,54,49,49,101,45,50,50,32,52,46,51,57,52,
      51,54,101,45,50,50,10,32,32,52,46,55,52,54,54,53,101,45,50,50,32,53,46,48,48,
      52,57,54,101,45,50,50,32,53,46,52,50,48,56,55,101,45,50,50,32,53,46,54,55,48,
      52,50,101,45,50,50,32,53,46,57,55,50,52,51,101,45,50,50,32,54,46,54,50,55,54,
      56,101,45,50,50,32,55,46,51,55,55,52,50,101,45,50,50,10,32,32,55,46,56,57,48,
      50,55,101,45,50,50,32,56,46,49,56,49,57,52,101,45,50,50,32,56,46,48,56,49,51,
      55,101,45,50,50,32,55,46,53,48,57,55,101,45,50,50,32,54,46,55,53,53,57,57,101,
      45,50,50,32,53,46,50,56,53,52,52,101,45,50,50,32,51,46,56,54,53,54,52,101,45,
      50,50,10,32,32,50,46,57,55,53,54,53,101,45,50,50,32,50,46,49,52,48,54,53,101,
      45,50,50,32,49,46,51,48,53,52,49,101,45,50,50,32,56,46,48,55,56,48,56,101,45,
      50,51,32,52,46,56,48,51,53,50,101,45,50,51,32,50,46,53,51,55,49,50,101,45,50,
      51,32,49,46,50,56,52,48,50,101,45,50,51,10,32,32,54,46,56,53,52,55,56,101,45,
      50,52,32,51,46,53,54,50,48,54,101,45,50,52,32,49,46,56,48,53,56,101,45,50,52,
      32,56,46,48,55,53,56,57,101,45,50,53,32,51,46,49,54,52,56,52,101,45,50,53,32,
      49,46,48,55,56,51,49,101,45,50,53,32,51,46,57,55,52,56,54,101,45,50,54,10,32,
      32,49,46,50,55,49,54,53,101,45,50,54,32,52,46,52,54,48,54,54,101,45,50,55,32,
      49,46,53,51,51,53,51,101,45,50,55,32,52,46,53,55,57,50,52,101,45,50,56,32,49,
      46,50,50,54,52,57,101,45,50,56,32,52,46,51,54,56,57,49,101,45,50,57,32,49,46,
      51,48,52,54,52,101,45,50,57,10,32,32,52,46,52,53,54,57,54,101,45,51,48,32,49,
      46,51,57,56,50,53,101,45,51,48,32,52,46,51,51,57,56,57,101,45,51,49,32,49,46,
      48,54,50,56,49,101,45,51,49,32,51,46,50,51,53,52,54,101,45,51,50,32,57,46,55,
      54,56,55,50,101,45,51,51,32,50,46,57,50,54,57,51,101,45,51,51,10,32,32,54,46,
      54,50,55,48,51,101,45,51,52,32,49,46,57,53,55,56,57,101,45,51,52,32,52,46,57,
      55,49,48,55,101,45,51,53,32,49,46,48,56,54,57,56,101,45,51,53,32,51,46,49,54,
      49,51,53,101,45,51,54,32,55,46,53,49,54,57,56,101,45,51,55,32,49,46,54,49,57,
      48,50,101,45,51,55,10,32,32,51,46,54,57,52,48,51,101,45,51,56,32,48,114,50,
      57,49,32,49,46,57,57,48,51,50,101,45,51,55,32,57,46,52,56,50,54,49,101,45,51,
      55,32,50,46,55,52,55,54,55,101,45,51,54,32,55,46,50,57,50,51,56,101,45,51,54,
      32,51,46,49,48,53,53,54,101,45,51,52,32,49,46,52,51,54,51,101,45,51,51,10,32,
      32,51,46,55,52,51,55,57,101,45,51,51,32,49,46,57,53,56,52,55,101,45,51,50,32,
      57,46,48,49,50,57,52,101,45,51,50,32,50,46,56,54,55,51,57,101,45,51,48,32,54,
      46,55,50,50,51,54,101,45,51,48,32,50,46,48,50,49,101,45,50,57,32,54,46,53,56,
      49,57,54,101,45,50,57,10,32,32,51,46,48,55,55,48,57,101,45,50,56,32,49,46,52,
      50,55,54,50,101,45,50,55,32,50,46,56,52,52,51,50,101,45,50,55,32,53,46,53,56,
      50,53,54,101,45,50,55,32,56,46,53,50,55,57,57,101,45,50,55,32,49,46,51,48,49,
      50,56,101,45,50,54,32,49,46,57,49,52,50,50,101,45,50,54,10,32,32,52,46,51,51,
      51,49,51,101,45,50,54,32,57,46,52,49,55,51,50,101,45,50,54,32,49,46,55,55,50,
      51,101,45,50,53,32,50,46,57,56,57,49,101,45,50,53,32,51,46,56,50,57,55,49,101,
      45,50,53,32,54,46,48,49,56,57,50,101,45,50,53,32,57,46,48,57,49,57,54,101,45,
      50,53,10,32,32,49,46,51,50,51,52,52,101,45,50,52,32,49,46,56,53,54,51,49,101,
      45,50,52,32,50,46,54,52,56,49,51,101,45,50,52,32,51,46,51,56,56,54,52,101,45,
      50,52,32,52,46,50,57,48,50,57,101,45,50,52,32,54,46,49,56,54,55,101,45,50,52,
      32,55,46,54,52,56,50,49,101,45,50,52,10,32,32,49,46,48,52,57,56,51,101,45,50,
      51,32,49,46,52,51,54,53,54,101,45,50,51,32,49,46,55,49,54,56,54,101,45,50,51,
      32,50,46,48,51,56,54,49,101,45,50,51,32,50,46,54,51,57,49,53,101,45,50,51,32,
      51,46,52,52,53,54,57,101,45,50,51,32,51,46,57,53,53,51,101,45,50,51,10,32,32,
      52,46,55,55,52,52,57,101,45,50,51,32,53,46,52,48,54,54,54,101,45,50,51,32,54,
      46,55,51,56,54,56,101,45,50,51,32,55,46,55,55,56,52,57,101,45,50,51,32,57,46,
      53,53,53,50,51,101,45,50,51,32,49,46,48,51,53,53,50,101,45,50,50,32,49,46,49,
      57,57,57,56,101,45,50,50,10,32,32,49,46,51,57,55,50,52,101,45,50,50,32,49,46,
      53,55,51,49,52,101,45,50,50,32,49,46,55,53,56,52,55,101,45,50,50,32,49,46,57,
      51,57,51,57,101,45,50,50,32,50,46,49,50,51,52,57,101,45,50,50,32,50,46,51,51,
      50,57,57,101,45,50,50,32,50,46,53,50,50,52,51,101,45,50,50,10,32,32,50,46,55,
      51,51,50,52,101,45,50,50,32,50,46,56,56,56,53,57,101,45,50,50,32,51,46,49,52,
      48,50,52,101,45,50,50,32,51,46,50,57,50,50,101,45,50,50,32,51,46,52,55,55,49,
      52,101,45,50,50,32,51,46,56,56,51,48,56,101,45,50,50,32,52,46,51,53,57,49,101,
      45,50,50,10,32,32,52,46,54,57,57,54,55,101,45,50,50,32,52,46,57,50,48,57,51,
      101,45,50,50,32,52,46,57,48,54,50,57,101,45,50,50,32,52,46,54,48,57,48,56,101,
      45,50,50,32,52,46,49,56,51,48,49,101,45,50,50,32,51,46,51,49,54,57,55,101,45,
      50,50,32,50,46,52,53,53,57,51,101,45,50,50,10,32,32,49,46,57,48,54,50,55,101,
      45,50,50,32,49,46,51,56,51,55,101,45,50,50,32,56,46,53,51,53,51,52,101,45,50,
      51,32,53,46,51,51,50,53,56,101,45,50,51,32,51,46,50,48,48,49,50,101,45,50,51,
      32,49,46,55,48,55,49,55,101,45,50,51,32,56,46,55,50,49,57,53,101,45,50,52,10,
      32,32,52,46,54,57,51,49,101,45,50,52,32,50,46,52,53,55,49,55,101,45,50,52,32,
      49,46,50,53,52,54,53,101,45,50,52,32,53,46,54,53,53,51,50,101,45,50,53,32,50,
      46,50,51,52,55,52,101,45,50,53,32,55,46,54,56,48,52,53,101,45,50,54,32,50,46,
      56,53,49,57,56,101,45,50,54,10,32,32,57,46,49,57,52,57,49,101,45,50,55,32,51,
      46,50,52,54,51,55,101,45,50,55,32,49,46,49,50,50,57,52,101,45,50,55,32,51,46,
      51,55,52,56,50,101,45,50,56,32,57,46,48,57,55,55,51,101,45,50,57,32,51,46,50,
      53,54,48,54,101,45,50,57,32,57,46,55,55,51,55,56,101,45,51,48,10,32,32,51,46,
      51,53,51,52,53,101,45,51,48,32,49,46,48,53,54,55,49,101,45,51,48,32,51,46,50,
      57,51,53,56,101,45,51,49,32,56,46,49,51,57,51,55,101,45,51,50,32,50,46,52,56,
      54,57,53,101,45,51,50,32,55,46,53,51,53,49,54,101,45,51,51,32,50,46,50,54,53,
      50,56,101,45,51,51,10,32,32,53,46,49,54,54,53,55,101,45,51,52,32,49,46,53,51,
      48,57,54,101,45,51,52,32,51,46,57,48,50,51,55,101,45,51,53,32,56,46,53,55,56,
      57,52,101,45,51,54,32,50,46,53,48,49,53,54,101,45,51,54,32,53,46,57,54,50,52,
      57,101,45,51,55,32,49,46,50,57,51,55,56,101,45,51,55,10,32,32,50,46,57,55,49,
      57,51,101,45,51,56,32,48,114,50,57,49,32,52,46,51,55,53,53,50,101,45,51,56,
      32,50,46,49,53,50,51,57,101,45,51,55,32,54,46,51,54,48,51,55,101,45,51,55,32,
      49,46,55,49,54,54,55,101,45,51,54,32,55,46,57,51,56,55,57,101,45,51,53,32,51,
      46,55,52,56,48,53,101,45,51,52,10,32,32,49,46,48,48,49,48,53,101,45,51,51,32,
      53,46,52,50,55,48,54,101,45,51,51,32,50,46,53,56,54,48,49,101,45,51,50,32,57,
      46,50,50,52,56,55,101,45,51,49,32,50,46,50,49,57,49,54,101,45,51,48,32,54,46,
      56,57,54,48,50,101,45,51,48,32,50,46,51,50,49,48,57,101,45,50,57,10,32,32,49,
      46,49,55,48,57,56,101,45,50,56,32,53,46,56,56,54,53,50,101,45,50,56,32,49,46,
      50,50,52,50,101,45,50,55,32,50,46,53,52,52,49,49,101,45,50,55,32,51,46,57,50,
      48,49,54,101,45,50,55,32,54,46,48,51,54,54,52,101,45,50,55,32,57,46,48,48,51,
      54,55,101,45,50,55,10,32,32,50,46,48,57,50,49,55,101,45,50,54,32,52,46,54,54,
      53,49,52,101,45,50,54,32,56,46,57,48,52,52,101,45,50,54,32,49,46,53,49,53,53,
      101,45,50,53,32,49,46,57,52,55,54,57,101,45,50,53,32,51,46,48,55,57,51,51,101,
      45,50,53,32,52,46,54,55,55,51,55,101,45,50,53,10,32,32,54,46,56,52,51,51,56,
      101,45,50,53,32,57,46,54,52,52,55,101,45,50,53,32,49,46,51,56,51,48,49,101,
      45,50,52,32,49,46,55,55,54,49,53,101,45,50,52,32,50,46,50,53,54,56,54,101,45,
      50,52,32,51,46,50,55,50,55,51,101,45,50,52,32,52,46,48,53,57,51,55,101,45,50,
      52,10,32,32,53,46,54,48,48,56,53,101,45,50,52,32,55,46,55,48,52,52,52,101,45,
      50,52,32,57,46,50,51,54,48,50,101,45,50,52,32,49,46,49,48,48,48,50,101,45,50,
      51,32,49,46,52,51,48,55,54,101,45,50,51,32,49,46,56,55,55,51,57,101,45,50,51,
      32,50,46,49,54,48,52,55,101,45,50,51,10,32,32,50,46,54,49,53,57,55,101,45,50,
      51,32,50,46,57,54,55,55,51,101,45,50,51,32,51,46,55,49,57,54,51,101,45,50,51,
      32,52,46,51,48,56,52,49,101,45,50,51,32,53,46,51,49,56,52,49,101,45,50,51,32,
      53,46,55,55,53,49,50,101,45,50,51,32,54,46,55,49,55,54,55,101,45,50,51,10,32,
      32,55,46,56,53,52,49,50,101,45,50,51,32,56,46,56,55,50,55,101,45,50,51,32,57,
      46,57,53,49,48,50,101,45,50,51,32,49,46,49,48,48,56,54,101,45,50,50,32,49,46,
      50,48,56,57,54,101,45,50,50,32,49,46,51,51,50,53,56,101,45,50,50,32,49,46,52,
      52,52,57,50,101,45,50,50,10,32,32,49,46,53,55,48,53,56,101,45,50,50,32,49,46,
      54,54,51,54,52,101,45,50,50,32,49,46,56,49,53,50,52,101,45,50,50,32,49,46,57,
      48,55,51,51,101,45,50,50,32,50,46,48,50,48,48,50,101,45,50,50,32,50,46,50,55,
      48,49,49,101,45,50,50,32,50,46,53,55,48,48,49,101,45,50,50,10,32,32,50,46,55,
      57,51,48,51,101,45,50,50,32,50,46,57,53,51,48,51,101,45,50,50,32,50,46,57,55,
      50,48,50,101,45,50,50,32,50,46,56,50,50,53,101,45,50,50,32,50,46,53,56,52,49,
      53,101,45,50,50,32,50,46,48,55,54,57,56,101,45,50,50,32,49,46,53,53,54,56,50,
      101,45,50,50,10,32,32,49,46,50,49,56,52,56,101,45,50,50,32,56,46,57,50,52,51,
      53,101,45,50,51,32,53,46,53,54,56,53,49,101,45,50,51,32,51,46,53,49,50,52,55,
      101,45,50,51,32,50,46,49,50,55,50,52,101,45,50,51,32,49,46,49,52,54,50,101,
      45,50,51,32,53,46,57,49,49,56,101,45,50,52,10,32,32,51,46,50,48,54,50,53,101,
      45,50,52,32,49,46,54,57,49,52,101,45,50,52,32,56,46,54,57,56,56,57,101,45,50,
      53,32,51,46,57,53,50,48,52,101,45,50,53,32,49,46,53,55,52,55,53,101,45,50,53,
      32,53,46,52,53,57,52,55,101,45,50,54,32,50,46,48,52,50,50,53,101,45,50,54,10,
      32,32,54,46,54,51,53,54,56,101,45,50,55,32,50,46,51,53,56,49,55,101,45,50,55,
      32,56,46,50,48,55,53,56,101,45,50,56,32,50,46,52,56,50,54,56,101,45,50,56,32,
      54,46,55,51,54,52,55,101,45,50,57,32,50,46,52,50,50,52,53,101,45,50,57,32,55,
      46,51,48,57,54,101,45,51,48,10,32,32,50,46,53,49,56,57,51,101,45,51,48,32,55,
      46,57,55,50,55,51,101,45,51,49,32,50,46,52,57,53,52,57,101,45,51,49,32,54,46,
      50,50,51,51,55,101,45,51,50,32,49,46,57,48,56,53,56,101,45,51,50,32,53,46,56,
      48,51,50,54,101,45,51,51,32,49,46,55,53,48,53,50,101,45,51,51,10,32,32,52,46,
      48,50,50,48,51,101,45,51,52,32,49,46,49,57,53,52,101,45,51,52,32,51,46,48,53,
      57,50,50,101,45,51,53,32,54,46,55,54,50,53,55,101,45,51,54,32,49,46,57,55,55,
      48,50,101,45,51,54,32,52,46,55,50,52,51,55,101,45,51,55,32,49,46,48,50,57,57,
      57,101,45,51,55,10,32,32,50,46,51,55,56,56,101,45,51,56,32,48,114,50,57,50,
      32,52,46,56,51,52,57,52,101,45,51,56,32,49,46,52,53,55,54,56,101,45,51,55,32,
      51,46,57,57,57,56,57,101,45,51,55,32,50,46,48,48,52,51,52,101,45,51,53,32,57,
      46,54,53,53,51,51,101,45,51,53,32,50,46,54,52,50,51,50,101,45,51,52,10,32,32,
      49,46,52,56,52,51,56,101,45,51,51,32,55,46,51,50,50,53,52,101,45,51,51,32,50,
      46,57,49,54,49,52,101,45,51,49,32,55,46,49,57,56,55,50,101,45,51,49,32,50,46,
      51,49,50,53,101,45,51,48,32,56,46,48,52,53,51,53,101,45,51,48,32,52,46,51,55,
      57,54,57,101,45,50,57,10,32,32,50,46,51,56,51,55,53,101,45,50,56,32,53,46,49,
      56,54,54,51,101,45,50,56,32,49,46,49,52,52,54,53,101,45,50,55,32,49,46,55,55,
      57,56,56,101,45,50,55,32,50,46,55,54,55,55,49,101,45,50,55,32,52,46,49,56,56,
      57,51,101,45,50,55,32,49,46,48,48,48,54,50,101,45,50,54,10,32,32,50,46,50,57,
      57,57,101,45,50,54,32,52,46,52,53,57,56,57,101,45,50,54,32,55,46,54,54,52,55,
      49,101,45,50,54,32,57,46,56,56,50,54,56,101,45,50,54,32,49,46,53,55,49,55,57,
      101,45,50,53,32,50,46,52,48,48,55,54,101,45,50,53,32,51,46,53,51,48,53,55,101,
      45,50,53,10,32,32,52,46,57,57,57,55,51,101,45,50,53,32,55,46,50,48,55,48,56,
      101,45,50,53,32,57,46,50,56,57,52,51,101,45,50,53,32,49,46,49,56,52,54,54,101,
      45,50,52,32,49,46,55,50,55,54,52,101,45,50,52,32,50,46,49,53,48,49,51,101,45,
      50,52,32,50,46,57,56,50,48,54,101,45,50,52,10,32,32,52,46,49,50,51,56,53,101,
      45,50,52,32,52,46,57,53,57,101,45,50,52,32,53,46,57,50,52,51,54,101,45,50,52,
      32,55,46,55,52,50,50,57,101,45,50,52,32,49,46,48,50,49,48,56,101,45,50,51,32,
      49,46,49,55,56,53,54,101,45,50,51,32,49,46,52,51,51,50,55,101,45,50,51,10,32,
      32,49,46,54,50,54,48,56,101,45,50,51,32,50,46,48,52,56,53,52,101,45,50,51,32,
      50,46,51,56,50,50,54,101,45,50,51,32,50,46,57,53,53,50,55,101,45,50,51,32,51,
      46,50,49,53,52,54,101,45,50,51,32,51,46,55,53,52,52,56,101,45,50,51,32,52,46,
      52,48,55,55,57,101,45,50,51,10,32,32,52,46,57,57,54,51,101,45,50,51,32,53,46,
      54,50,50,50,51,101,45,50,51,32,54,46,50,51,56,56,57,101,45,50,51,32,54,46,56,
      55,50,48,55,101,45,50,51,32,55,46,53,57,57,54,101,45,50,51,32,56,46,50,54,51,
      57,54,101,45,50,51,32,57,46,48,49,48,56,51,101,45,50,51,10,32,32,57,46,53,54,
      54,53,50,101,45,50,51,32,49,46,48,52,55,54,55,101,45,50,50,32,49,46,49,48,51,
      50,56,101,45,50,50,32,49,46,49,55,49,54,55,101,45,50,50,32,49,46,51,50,53,48,
      51,101,45,50,50,32,49,46,53,49,50,55,52,101,45,50,50,32,49,46,54,53,55,49,56,
      101,45,50,50,10,32,32,49,46,55,54,57,49,51,101,45,50,50,32,49,46,55,57,55,50,
      52,101,45,50,50,32,49,46,55,50,53,52,52,101,45,50,50,32,49,46,53,57,51,54,101,
      45,50,50,32,49,46,50,57,56,49,54,101,45,50,50,32,57,46,56,53,48,52,51,101,45,
      50,51,32,55,46,55,55,51,56,52,101,45,50,51,10,32,32,53,46,55,52,52,56,56,101,
      45,50,51,32,51,46,54,50,53,56,52,101,45,50,51,32,50,46,51,48,57,48,54,101,45,
      50,51,32,49,46,52,49,49,50,57,101,45,50,51,32,55,46,54,56,48,52,56,101,45,50,
      52,32,51,46,57,57,57,48,56,101,45,50,52,32,50,46,49,56,54,48,57,101,45,50,52,
      10,32,32,49,46,49,54,49,57,56,101,45,50,52,32,54,46,48,49,57,51,54,101,45,50,
      53,32,50,46,55,53,54,51,56,101,45,50,53,32,49,46,49,48,55,53,52,101,45,50,53,
      32,51,46,56,55,51,52,49,101,45,50,54,32,49,46,52,53,57,55,101,45,50,54,32,52,
      46,55,56,48,48,51,101,45,50,55,10,32,32,49,46,55,48,57,56,57,101,45,50,55,32,
      53,46,57,56,56,51,101,45,50,56,32,49,46,56,50,51,49,57,101,45,50,56,32,52,46,
      57,55,57,53,53,101,45,50,57,32,49,46,55,57,57,50,52,101,45,50,57,32,53,46,52,
      53,55,55,50,101,45,51,48,32,49,46,56,56,57,48,52,101,45,51,48,10,32,32,54,46,
      48,48,53,56,51,101,45,51,49,32,49,46,56,56,55,56,55,101,45,51,49,32,52,46,55,
      53,49,49,53,101,45,51,50,32,49,46,52,54,50,53,52,101,45,51,50,32,52,46,52,54,
      50,57,49,101,45,51,51,32,49,46,51,53,48,56,49,101,45,51,51,32,51,46,49,50,54,
      55,56,101,45,51,52,10,32,32,57,46,51,50,49,51,56,101,45,51,53,32,50,46,51,57,
      53,50,53,101,45,51,53,32,53,46,51,50,52,53,53,101,45,51,54,32,49,46,53,54,48,
      53,56,101,45,51,54,32,51,46,55,52,50,57,51,101,45,51,55,32,56,46,49,56,52,51,
      57,101,45,51,56,32,48,114,50,57,52,32,51,46,51,48,52,57,50,101,45,51,56,10,
      32,32,57,46,50,50,55,55,53,101,45,51,56,32,53,46,48,49,49,57,50,101,45,51,54,
      32,50,46,52,54,50,57,55,101,45,51,53,32,54,46,57,48,53,56,54,101,45,51,53,32,
      52,46,48,49,57,54,51,101,45,51,52,32,50,46,48,53,50,53,57,101,45,51,51,32,57,
      46,49,48,52,49,50,101,45,51,50,10,32,32,50,46,51,48,54,50,56,101,45,51,49,32,
      55,46,54,53,56,55,54,101,45,51,49,32,50,46,55,53,51,56,54,101,45,51,48,32,49,
      46,54,49,53,49,54,101,45,50,57,32,57,46,52,57,52,49,101,45,50,57,32,50,46,49,
      54,52,56,51,101,45,50,56,32,53,46,48,56,50,51,50,101,45,50,56,10,32,32,55,46,
      57,55,57,56,53,101,45,50,56,32,49,46,50,53,52,101,45,50,55,32,49,46,57,50,55,
      51,57,101,45,50,55,32,52,46,55,51,57,50,51,101,45,50,55,32,49,46,49,50,56,57,
      50,101,45,50,54,32,50,46,50,50,56,56,101,45,50,54,32,51,46,56,55,49,50,54,101,
      45,50,54,10,32,32,53,46,48,48,57,53,101,45,50,54,32,56,46,48,49,53,54,54,101,
      45,50,54,32,49,46,50,51,49,50,51,101,45,50,53,32,49,46,56,50,48,48,57,101,45,
      50,53,32,50,46,53,57,48,48,56,101,45,50,53,32,51,46,55,53,51,53,52,101,45,50,
      53,32,52,46,56,53,53,55,50,101,45,50,53,10,32,32,54,46,50,49,53,48,55,101,45,
      50,53,32,57,46,49,49,53,48,54,101,45,50,53,32,49,46,49,51,56,50,51,101,45,50,
      52,32,49,46,53,56,54,56,49,101,45,50,52,32,50,46,50,48,53,57,57,101,45,50,52,
      32,50,46,54,54,48,57,53,101,45,50,52,32,51,46,49,56,56,54,54,101,45,50,52,10,
      32,32,52,46,49,56,54,56,101,45,50,52,32,53,46,53,52,57,53,56,101,45,50,52,32,
      54,46,52,50,53,51,49,101,45,50,52,32,55,46,56,53,50,51,101,45,50,52,32,56,46,
      57,49,51,52,55,101,45,50,52,32,49,46,49,50,55,51,55,101,45,50,51,32,49,46,51,
      49,54,49,50,101,45,50,51,10,32,32,49,46,54,52,48,54,54,101,45,50,51,32,49,46,
      55,56,56,54,52,101,45,50,51,32,50,46,48,57,54,51,50,101,45,50,51,32,50,46,52,
      55,49,49,53,101,45,50,51,32,50,46,56,49,48,52,55,101,45,50,51,32,51,46,49,55,
      51,101,45,50,51,32,51,46,53,51,49,55,56,101,45,50,51,10,32,32,51,46,57,48,49,
      55,56,101,45,50,51,32,52,46,51,50,56,57,49,101,45,50,51,32,52,46,55,50,48,56,
      49,101,45,50,51,32,53,46,49,54,51,52,57,101,45,50,51,32,53,46,52,57,52,51,52,
      101,45,50,51,32,54,46,48,51,57,48,57,101,45,50,51,32,54,46,51,55,51,55,101,
      45,50,51,10,32,32,54,46,55,56,55,50,57,101,45,50,51,32,55,46,55,50,51,54,51,
      101,45,50,51,32,56,46,56,57,49,55,101,45,50,51,32,57,46,56,49,56,48,49,101,
      45,50,51,32,49,46,48,53,56,50,49,101,45,50,50,32,49,46,48,56,53,48,52,101,45,
      50,50,32,49,46,48,53,50,57,53,101,45,50,50,10,32,32,57,46,56,48,57,51,57,101,
      45,50,51,32,56,46,48,57,56,48,55,101,45,50,51,32,54,46,50,49,57,57,52,101,45,
      50,51,32,52,46,57,52,57,50,56,101,45,50,51,32,51,46,54,57,48,50,52,101,45,50,
      51,32,50,46,51,53,53,55,54,101,45,50,51,32,49,46,53,49,52,54,101,45,50,51,10,
      32,32,57,46,51,52,50,49,52,101,45,50,52,32,53,46,49,51,53,48,57,101,45,50,52,
      32,50,46,54,57,57,49,57,101,45,50,52,32,49,46,52,56,55,50,50,101,45,50,52,32,
      55,46,57,54,53,48,51,101,45,50,53,32,52,46,49,53,54,101,45,50,53,32,49,46,57,
      49,56,50,51,101,45,50,53,10,32,32,55,46,55,55,50,54,51,101,45,50,54,32,50,46,
      55,52,50,51,101,45,50,54,32,49,46,48,52,49,49,54,101,45,50,54,32,51,46,52,51,
      54,50,55,101,45,50,55,32,49,46,50,51,55,51,52,101,45,50,55,32,52,46,51,54,48,
      52,56,101,45,50,56,32,49,46,51,51,54,51,50,101,45,50,56,10,32,32,51,46,54,55,
      51,57,57,101,45,50,57,32,49,46,51,51,51,57,50,101,45,50,57,32,52,46,48,54,55,
      55,54,101,45,51,48,32,49,46,52,49,52,49,57,101,45,51,48,32,52,46,53,49,54,52,
      54,101,45,51,49,32,49,46,52,50,53,56,101,45,51,49,32,51,46,54,50,49,49,51,101,
      45,51,50,10,32,32,49,46,49,49,56,57,101,45,51,50,32,51,46,52,50,54,53,56,101,
      45,51,51,32,49,46,48,52,48,55,49,101,45,51,51,32,50,46,52,50,55,48,49,101,45,
      51,52,32,55,46,50,53,55,52,49,101,45,51,53,32,49,46,56,55,50,54,51,101,45,51,
      53,32,52,46,49,56,54,52,52,101,45,51,54,10,32,32,49,46,50,51,48,49,57,101,45,
      51,54,32,50,46,57,54,49,51,51,101,45,51,55,32,54,46,52,57,55,52,53,101,45,51,
      56,32,48,114,50,57,53,32,50,46,49,48,57,56,55,101,45,51,56,32,49,46,50,51,57,
      50,55,101,45,51,54,32,54,46,50,49,48,49,53,101,45,51,54,32,49,46,55,56,51,57,
      54,101,45,51,53,10,32,32,49,46,48,55,53,53,101,45,51,52,32,53,46,54,56,51,53,
      57,101,45,51,52,32,50,46,56,48,51,54,54,101,45,51,50,32,55,46,50,56,56,49,53,
      101,45,51,50,32,50,46,53,48,49,57,49,101,45,51,49,32,57,46,50,57,53,53,56,101,
      45,51,49,32,53,46,56,55,48,56,50,101,45,51,48,10,32,32,51,46,55,50,50,55,55,
      101,45,50,57,32,56,46,57,48,55,56,56,101,45,50,57,32,50,46,50,50,55,54,52,101,
      45,50,56,32,51,46,53,51,52,48,57,101,45,50,56,32,53,46,54,49,54,53,55,101,45,
      50,56,32,56,46,55,55,49,54,49,101,45,50,56,32,50,46,50,50,50,52,50,101,45,50,
      55,10,32,32,53,46,53,49,54,56,52,101,45,50,55,32,49,46,49,49,49,49,57,101,45,
      50,54,32,49,46,57,53,50,53,53,101,45,50,54,32,50,46,53,51,54,56,55,101,45,50,
      54,32,52,46,48,56,51,55,101,45,50,54,32,54,46,51,48,55,56,55,101,45,50,54,32,
      57,46,51,55,50,56,57,101,45,50,54,10,32,32,49,46,51,52,48,51,50,101,45,50,53,
      32,49,46,57,53,50,55,57,101,45,50,53,32,50,46,53,51,53,51,52,101,45,50,53,32,
      51,46,50,53,54,57,52,101,45,50,53,32,52,46,56,48,51,53,101,45,50,53,32,54,46,
      48,49,56,51,54,101,45,50,53,32,56,46,52,51,51,54,49,101,45,50,53,10,32,32,49,
      46,49,55,56,54,51,101,45,50,52,32,49,46,52,50,54,48,57,101,45,50,52,32,49,46,
      55,49,52,49,49,101,45,50,52,32,50,46,50,54,49,50,54,101,45,50,52,32,51,46,48,
      49,50,53,49,101,45,50,52,32,51,46,52,57,55,53,50,101,45,50,52,32,52,46,50,57,
      51,54,55,101,45,50,52,10,32,32,52,46,56,56,55,52,49,101,45,50,52,32,54,46,49,
      57,57,56,55,101,45,50,52,32,55,46,50,54,50,53,54,101,45,50,52,32,57,46,48,57,
      55,49,49,101,45,50,52,32,57,46,57,51,55,49,54,101,45,50,52,32,49,46,49,54,57,
      48,49,101,45,50,51,32,49,46,51,56,51,54,50,101,45,50,51,10,32,32,49,46,53,55,
      56,56,52,101,45,50,51,32,49,46,55,56,56,51,52,101,45,50,51,32,49,46,57,57,54,
      53,56,101,45,50,51,32,50,46,50,49,50,50,52,101,45,50,51,32,50,46,52,54,50,51,
      50,101,45,50,51,32,50,46,54,57,50,56,49,101,45,50,51,32,50,46,57,53,52,51,56,
      101,45,50,51,10,32,32,51,46,49,53,48,55,50,101,45,50,51,32,51,46,52,55,53,54,
      101,45,50,51,32,51,46,54,55,54,49,57,101,45,50,51,32,51,46,57,50,53,50,56,101,
      45,50,51,32,52,46,52,57,52,51,57,101,45,50,51,32,53,46,50,49,54,57,53,101,45,
      50,51,32,53,46,56,48,53,55,52,101,45,50,51,10,32,32,54,46,51,49,55,52,54,101,
      45,50,51,32,54,46,53,51,55,54,57,101,45,50,51,32,54,46,52,49,50,55,49,101,45,
      50,51,32,54,46,48,50,54,48,54,101,45,50,51,32,53,46,48,52,49,52,55,101,45,50,
      51,32,51,46,57,49,57,53,49,101,45,50,51,32,51,46,49,52,52,53,57,101,45,50,51,
      10,32,32,50,46,51,54,53,54,101,45,50,51,32,49,46,53,50,55,52,52,101,45,50,51,
      32,57,46,57,49,52,52,52,101,45,50,52,32,54,46,49,55,49,51,54,101,45,50,52,32,
      51,46,52,50,54,50,49,101,45,50,52,32,49,46,56,49,56,49,51,101,45,50,52,32,49,
      46,48,48,57,55,51,101,45,50,52,10,32,32,53,46,52,52,56,57,50,101,45,50,53,32,
      50,46,56,54,51,56,49,101,45,50,53,32,49,46,51,51,50,51,52,101,45,50,53,32,53,
      46,52,52,52,50,54,101,45,50,54,32,49,46,57,51,55,56,101,45,50,54,32,55,46,52,
      49,50,50,54,101,45,50,55,32,50,46,52,54,53,55,51,101,45,50,55,10,32,32,56,46,
      57,51,55,55,53,101,45,50,56,32,51,46,49,54,57,53,53,101,45,50,56,32,57,46,55,
      55,55,53,57,101,45,50,57,32,50,46,55,48,54,48,55,101,45,50,57,32,57,46,56,55,
      50,54,55,101,45,51,48,32,51,46,48,50,54,55,54,101,45,51,48,32,49,46,48,53,54,
      57,56,101,45,51,48,10,32,32,51,46,51,57,49,48,50,101,45,51,49,32,49,46,48,55,
      53,49,54,101,45,51,49,32,50,46,55,53,53,53,56,101,45,51,50,32,56,46,53,52,54,
      57,51,101,45,51,51,32,50,46,54,50,54,57,57,101,45,51,51,32,56,46,48,48,54,51,
      101,45,51,52,32,49,46,56,56,49,49,57,101,45,51,52,10,32,32,53,46,54,52,50,54,
      52,101,45,51,53,32,49,46,52,54,50,49,49,101,45,51,53,32,51,46,50,56,55,54,49,
      101,45,51,54,32,57,46,54,56,54,56,51,101,45,51,55,32,50,46,51,51,57,49,50,101,
      45,51,55,32,53,46,49,52,55,49,54,101,45,51,56,32,48,114,50,57,54,32,51,46,48,
      51,48,51,55,101,45,51,55,10,32,32,49,46,53,52,56,51,57,101,45,51,54,32,52,46,
      53,53,54,56,54,101,45,51,54,32,50,46,56,52,52,54,52,101,45,51,53,32,49,46,53,
      53,53,51,57,101,45,51,52,32,56,46,53,49,50,51,50,101,45,51,51,32,50,46,50,55,
      48,55,50,101,45,51,50,32,56,46,48,53,56,49,49,101,45,51,50,10,32,32,51,46,48,
      57,51,52,55,101,45,51,49,32,50,46,49,48,50,52,49,101,45,51,48,32,49,46,52,51,
      54,50,53,101,45,50,57,32,51,46,54,49,48,51,57,101,45,50,57,32,57,46,54,50,54,
      51,53,101,45,50,57,32,49,46,53,52,51,56,56,101,45,50,56,32,50,46,52,56,51,48,
      49,101,45,50,56,10,32,32,51,46,57,52,50,53,50,101,45,50,56,32,49,46,48,51,48,
      50,53,101,45,50,55,32,50,46,54,56,48,52,57,101,45,50,55,32,53,46,53,49,57,55,
      52,101,45,50,55,32,57,46,56,50,51,57,101,45,50,55,32,49,46,50,56,50,52,101,
      45,50,54,32,50,46,48,55,54,55,52,101,45,50,54,10,32,32,51,46,50,50,53,55,55,
      101,45,50,54,32,52,46,56,49,55,57,51,101,45,50,54,32,54,46,57,50,51,52,57,101,
      45,50,54,32,49,46,48,49,52,49,54,101,45,50,53,32,49,46,51,50,49,52,54,101,45,
      50,53,32,49,46,55,48,51,55,56,101,45,50,53,32,50,46,53,50,54,57,52,101,45,50,
      53,10,32,32,51,46,49,55,54,54,49,101,45,50,53,32,52,46,52,55,52,52,101,45,50,
      53,32,54,46,50,56,54,49,50,101,45,50,53,32,55,46,54,50,57,51,51,101,45,50,53,
      32,57,46,49,57,56,49,101,45,50,53,32,49,46,50,49,57,49,50,101,45,50,52,32,49,
      46,54,51,50,52,101,45,50,52,10,32,32,49,46,56,57,57,51,55,101,45,50,52,32,50,
      46,51,51,56,48,51,101,45,50,52,32,50,46,54,55,53,50,57,101,45,50,52,32,51,46,
      52,48,52,51,54,101,45,50,52,32,52,46,48,48,48,48,50,101,45,50,52,32,53,46,48,
      51,52,53,54,101,45,50,52,32,53,46,53,49,48,51,51,101,45,50,52,10,32,32,54,46,
      53,48,54,55,53,101,45,50,52,32,55,46,55,51,50,54,57,101,45,50,52,32,56,46,56,
      53,51,49,53,101,45,50,52,32,49,46,48,48,54,48,57,101,45,50,51,32,49,46,49,50,
      54,54,53,101,45,50,51,32,49,46,50,53,50,48,50,101,45,50,51,32,49,46,51,57,56,
      48,54,101,45,50,51,10,32,32,49,46,53,51,51,50,54,101,45,50,51,32,49,46,54,56,
      55,51,57,101,45,50,51,32,49,46,56,48,51,53,54,101,45,50,51,32,49,46,57,57,54,
      55,49,101,45,50,51,32,50,46,49,49,54,53,55,101,45,50,51,32,50,46,50,54,54,48,
      56,101,45,50,51,32,50,46,54,49,48,54,57,101,45,50,51,10,32,32,51,46,48,53,53,
      54,49,101,45,50,51,32,51,46,52,50,55,50,56,101,45,50,51,32,51,46,55,54,53,48,
      51,101,45,50,51,32,51,46,57,51,50,51,54,101,45,50,51,32,51,46,56,57,56,54,57,
      101,45,50,51,32,51,46,54,57,53,51,54,101,45,50,51,32,51,46,49,51,50,57,54,101,
      45,50,51,10,32,32,50,46,52,54,53,52,50,101,45,50,51,32,49,46,57,57,52,50,57,
      101,45,50,51,32,49,46,53,49,51,54,52,101,45,50,51,32,57,46,56,56,53,49,49,101,
      45,50,52,32,54,46,52,55,55,54,55,101,45,50,52,32,52,46,48,54,57,48,56,101,45,
      50,52,32,50,46,50,56,49,55,49,101,45,50,52,10,32,32,49,46,50,50,50,51,51,101,
      45,50,52,32,54,46,56,52,50,51,55,101,45,50,53,32,51,46,55,50,48,52,57,101,45,
      50,53,32,49,46,57,54,57,54,50,101,45,50,53,32,57,46,50,51,54,52,52,101,45,50,
      54,32,51,46,56,48,54,50,49,101,45,50,54,32,49,46,51,54,54,55,56,101,45,50,54,
      10,32,32,53,46,50,54,55,51,52,101,45,50,55,32,49,46,55,54,54,49,49,101,45,50,
      55,32,54,46,52,52,52,53,51,101,45,50,56,32,50,46,50,57,57,56,53,101,45,50,56,
      32,55,46,49,52,49,56,51,101,45,50,57,32,49,46,57,56,57,56,51,101,45,50,57,32,
      55,46,50,57,53,48,55,101,45,51,48,10,32,32,50,46,50,52,56,53,53,101,45,51,48,
      32,55,46,56,56,55,52,53,101,45,51,49,32,50,46,53,52,50,48,53,101,45,51,49,32,
      56,46,48,57,53,101,45,51,50,32,50,46,48,57,51,55,50,101,45,51,50,32,54,46,53,
      49,56,57,56,101,45,51,51,32,50,46,48,49,49,48,50,101,45,51,51,10,32,32,54,46,
      49,53,48,52,54,101,45,51,52,32,49,46,52,53,54,49,101,45,51,52,32,52,46,51,56,
      49,49,55,101,45,51,53,32,49,46,49,52,48,48,57,101,45,51,53,32,50,46,53,55,56,
      55,52,101,45,51,54,32,55,46,54,49,56,55,50,101,45,51,55,32,49,46,56,52,53,53,
      50,101,45,51,55,10,32,32,52,46,48,55,54,49,54,101,45,51,56,32,48,114,50,57,
      54,32,55,46,51,51,49,49,56,101,45,51,56,32,51,46,56,50,49,49,53,101,45,51,55,
      32,49,46,49,53,50,48,50,101,45,51,54,32,55,46,52,52,54,54,49,101,45,51,54,32,
      52,46,50,49,50,53,50,101,45,51,53,32,50,46,53,53,50,56,55,101,45,51,51,10,32,
      32,54,46,57,56,55,57,49,101,45,51,51,32,50,46,53,54,51,51,54,101,45,51,50,32,
      49,46,48,49,54,55,49,101,45,51,49,32,55,46,52,50,53,57,55,101,45,51,49,32,53,
      46,52,53,52,51,56,101,45,51,48,32,49,46,52,52,48,56,51,101,45,50,57,32,52,46,
      48,57,52,48,50,101,45,50,57,10,32,32,54,46,54,52,50,56,56,101,45,50,57,32,49,
      46,48,56,50,48,54,101,45,50,56,32,49,46,55,52,55,53,54,101,45,50,56,32,52,46,
      55,49,51,57,50,101,45,50,56,32,49,46,50,57,51,51,101,45,50,55,32,50,46,55,50,
      57,53,101,45,50,55,32,52,46,57,50,56,54,54,101,45,50,55,10,32,32,54,46,52,55,
      48,52,54,101,45,50,55,32,49,46,48,53,52,50,55,101,45,50,54,32,49,46,54,52,54,
      57,54,101,45,50,54,32,50,46,52,55,50,57,101,45,50,54,32,51,46,53,55,49,54,57,
      101,45,50,54,32,53,46,50,54,48,57,54,101,45,50,54,32,54,46,56,56,48,49,50,101,
      45,50,54,10,32,32,56,46,57,48,51,54,50,101,45,50,54,32,49,46,51,50,56,48,49,
      101,45,50,53,32,49,46,54,55,53,48,53,101,45,50,53,32,50,46,51,55,49,54,101,
      45,50,53,32,51,46,51,52,57,52,56,101,45,50,53,32,52,46,48,55,55,55,51,101,45,
      50,53,32,52,46,57,51,49,50,101,45,50,53,10,32,32,54,46,53,54,54,53,55,101,45,
      50,53,32,56,46,56,51,55,48,56,101,45,50,53,32,49,46,48,51,48,52,55,101,45,50,
      52,32,49,46,50,55,48,54,52,101,45,50,52,32,49,46,52,54,48,57,52,101,45,50,52,
      32,49,46,56,54,55,54,53,101,45,50,52,32,50,46,50,48,49,49,54,101,45,50,52,10,
      32,32,50,46,55,56,51,55,55,101,45,50,52,32,51,46,48,53,50,56,49,101,45,50,52,
      32,51,46,54,49,56,50,55,101,45,50,52,32,52,46,51,49,55,52,53,101,45,50,52,32,
      52,46,57,53,57,52,57,101,45,50,52,32,53,46,54,53,52,53,52,101,45,50,52,32,54,
      46,51,53,49,50,56,101,45,50,52,10,32,32,55,46,48,55,56,56,51,101,45,50,52,32,
      55,46,57,50,57,57,50,101,45,50,52,32,56,46,55,50,49,51,51,101,45,50,52,32,57,
      46,54,50,55,52,54,101,45,50,52,32,49,46,48,51,49,51,51,101,45,50,51,32,49,46,
      49,52,53,57,49,101,45,50,51,32,49,46,50,49,55,51,53,101,45,50,51,10,32,32,49,
      46,51,48,54,56,53,101,45,50,51,32,49,46,53,49,52,56,55,101,45,50,51,32,49,46,
      55,56,55,54,57,101,45,50,51,32,50,46,48,50,48,56,51,101,45,50,51,32,50,46,50,
      52,49,48,49,101,45,50,51,32,50,46,51,54,50,48,54,101,45,50,51,32,50,46,51,54,
      54,55,52,101,45,50,51,10,32,32,50,46,50,54,50,53,53,101,45,50,51,32,49,46,57,
      52,51,54,50,101,45,50,51,32,49,46,53,52,55,57,56,101,45,50,51,32,49,46,50,54,
      50,52,50,101,45,50,51,32,57,46,54,54,54,52,51,101,45,50,52,32,54,46,51,56,52,
      53,56,101,45,50,52,32,52,46,50,50,51,54,50,101,45,50,52,10,32,32,50,46,54,55,
      55,52,101,45,50,52,32,49,46,53,49,54,51,51,101,45,50,52,32,56,46,50,48,48,52,
      101,45,50,53,32,52,46,54,50,54,57,54,101,45,50,53,32,50,46,53,51,53,48,52,101,
      45,50,53,32,49,46,51,53,49,56,51,101,45,50,53,32,54,46,51,56,57,57,54,101,45,
      50,54,10,32,32,50,46,54,53,53,53,55,101,45,50,54,32,57,46,54,50,48,56,49,101,
      45,50,55,32,51,46,55,51,53,54,55,101,45,50,55,32,49,46,50,54,50,53,51,101,45,
      50,55,32,52,46,54,51,55,56,56,101,45,50,56,32,49,46,54,54,53,54,52,101,45,50,
      56,32,53,46,50,48,54,57,54,101,45,50,57,10,32,32,49,46,52,54,48,53,50,101,45,
      50,57,32,53,46,51,56,48,56,53,101,45,51,48,32,49,46,54,54,55,53,49,101,45,51,
      48,32,53,46,56,55,53,55,56,101,45,51,49,32,49,46,57,48,50,52,52,101,45,51,49,
      32,54,46,48,56,52,56,50,101,45,51,50,32,49,46,53,56,56,49,55,101,45,51,50,10,
      32,32,52,46,57,54,52,48,57,101,45,51,51,32,49,46,53,51,55,48,50,101,45,51,51,
      32,52,46,55,49,55,52,50,101,45,51,52,32,49,46,49,50,53,51,51,101,45,51,52,32,
      51,46,51,57,54,53,56,101,45,51,53,32,56,46,56,55,54,57,57,101,45,51,54,32,50,
      46,48,49,57,57,55,101,45,51,54,10,32,32,53,46,57,56,51,54,57,101,45,51,55,32,
      49,46,52,53,52,49,51,101,45,51,55,32,51,46,50,50,55,52,57,101,45,51,56,32,48,
      114,50,57,55,32,57,46,51,52,53,54,54,101,45,51,56,32,50,46,56,56,54,51,52,101,
      45,51,55,32,49,46,57,51,49,50,50,101,45,51,54,32,49,46,49,50,57,57,57,101,45,
      51,53,10,32,32,55,46,53,53,57,51,50,101,45,51,52,32,50,46,49,50,51,50,49,101,
      45,51,51,32,56,46,48,53,48,57,101,45,51,51,32,51,46,50,57,56,55,53,101,45,51,
      50,32,50,46,53,56,56,57,101,45,51,49,32,50,46,48,52,51,50,52,101,45,51,48,32,
      53,46,54,55,56,48,54,101,45,51,48,10,32,32,49,46,55,50,49,49,50,101,45,50,57,
      32,50,46,56,50,54,52,55,101,45,50,57,32,52,46,54,54,53,51,101,45,50,57,32,55,
      46,54,54,54,52,54,101,45,50,57,32,50,46,49,51,53,55,51,101,45,50,56,32,54,46,
      50,49,48,55,49,101,45,50,56,32,49,46,51,52,53,56,54,101,45,50,55,10,32,32,50,
      46,52,54,57,55,101,45,50,55,32,51,46,50,54,52,52,51,101,45,50,55,32,53,46,51,
      53,49,50,49,101,45,50,55,32,56,46,52,48,54,54,101,45,50,55,32,49,46,50,54,56,
      56,54,101,45,50,54,32,49,46,56,52,49,57,54,101,45,50,54,32,50,46,55,50,56,48,
      56,101,45,50,54,10,32,32,51,46,53,56,48,52,49,101,45,50,54,32,52,46,54,53,48,
      50,55,101,45,50,54,32,54,46,57,55,52,52,54,101,45,50,54,32,56,46,56,50,53,57,
      52,101,45,50,54,32,49,46,50,53,53,57,53,101,45,50,53,32,49,46,55,56,51,48,50,
      101,45,50,53,32,50,46,49,55,55,50,53,101,45,50,53,10,32,32,50,46,54,52,48,56,
      51,101,45,50,53,32,51,46,53,51,50,56,52,101,45,50,53,32,52,46,55,55,55,55,51,
      101,45,50,53,32,53,46,53,56,51,57,54,101,45,50,53,32,54,46,57,48,52,55,53,101,
      45,50,53,32,55,46,57,53,53,48,52,101,45,50,53,32,49,46,48,50,50,54,101,45,50,
      52,10,32,32,49,46,50,48,57,50,53,101,45,50,52,32,49,46,53,51,54,54,49,101,45,
      50,52,32,49,46,54,56,56,51,57,101,45,50,52,32,50,46,48,48,56,53,49,101,45,50,
      52,32,50,46,52,48,54,50,52,101,45,50,52,32,50,46,55,55,51,49,54,101,45,50,52,
      32,51,46,49,55,50,48,55,101,45,50,52,10,32,32,51,46,53,55,51,53,57,101,45,50,
      52,32,51,46,57,57,52,53,52,101,45,50,52,32,52,46,52,56,57,48,54,101,45,50,52,
      32,52,46,57,53,48,56,57,101,45,50,52,32,53,46,52,56,49,57,53,101,45,50,52,32,
      53,46,56,56,53,53,101,45,50,52,32,54,46,53,54,50,56,50,101,45,50,52,10,32,32,
      54,46,57,56,55,49,54,101,45,50,52,32,55,46,53,50,48,57,51,101,45,50,52,32,56,
      46,55,55,49,55,51,101,45,50,52,32,49,46,48,52,51,54,57,101,45,50,51,32,49,46,
      49,56,57,48,49,101,45,50,51,32,49,46,51,51,49,48,55,101,45,50,51,32,49,46,52,
      49,53,56,53,101,45,50,51,10,32,32,49,46,52,51,51,55,54,101,45,50,51,32,49,46,
      51,56,50,52,49,101,45,50,51,32,49,46,50,48,51,51,101,45,50,51,32,57,46,54,57,
      57,52,50,101,45,50,52,32,55,46,57,55,52,56,56,101,45,50,52,32,54,46,49,54,48,
      53,52,101,45,50,52,32,52,46,49,49,53,50,56,101,45,50,52,10,32,32,50,46,55,52,
      56,51,101,45,50,52,32,49,46,55,53,56,48,56,101,45,50,52,32,49,46,48,48,53,54,
      51,101,45,50,52,32,53,46,52,57,48,52,101,45,50,53,32,51,46,49,50,50,53,53,101,
      45,50,53,32,49,46,55,50,51,56,52,101,45,50,53,32,57,46,50,53,57,54,57,101,45,
      50,54,10,32,32,52,46,52,49,49,57,57,101,45,50,54,32,49,46,56,52,57,49,55,101,
      45,50,54,32,54,46,55,53,57,48,55,101,45,50,55,32,50,46,54,52,52,51,53,101,45,
      50,55,32,57,46,48,48,56,53,51,101,45,50,56,32,51,46,51,51,49,54,50,101,45,50,
      56,32,49,46,50,48,52,49,54,101,45,50,56,10,32,32,51,46,55,56,57,54,51,101,45,
      50,57,32,49,46,48,55,48,49,55,101,45,50,57,32,51,46,57,54,50,50,50,101,45,51,
      48,32,49,46,50,51,52,53,55,101,45,51,48,32,52,46,51,55,48,48,52,101,45,51,49,
      32,49,46,52,50,49,52,57,101,45,51,49,32,52,46,53,54,54,54,49,101,45,51,50,10,
      32,32,49,46,50,48,50,55,56,101,45,51,50,32,51,46,55,55,52,49,54,101,45,51,51,
      32,49,46,49,55,50,57,53,101,45,51,51,32,51,46,54,49,50,56,52,101,45,51,52,32,
      56,46,54,56,52,49,55,101,45,51,53,32,50,46,54,50,57,52,56,101,45,51,53,32,54,
      46,57,48,50,53,50,101,45,51,54,10,32,32,49,46,53,56,48,50,53,101,45,51,54,32,
      52,46,54,57,51,54,55,101,45,51,55,32,49,46,49,52,52,54,50,101,45,51,55,32,50,
      46,53,53,49,52,55,101,45,51,56,32,48,114,50,57,55,32,50,46,50,54,49,101,45,
      51,56,32,55,46,49,53,51,53,50,101,45,51,56,32,52,46,57,53,52,53,50,101,45,51,
      55,10,32,32,50,46,57,57,56,50,57,101,45,51,54,32,50,46,50,48,56,53,51,101,45,
      51,52,32,54,46,51,54,53,48,53,101,45,51,52,32,50,46,52,57,52,56,49,101,45,51,
      51,32,49,46,48,53,54,48,55,101,45,51,50,32,56,46,56,57,52,51,54,101,45,51,50,
      32,55,46,53,50,56,52,55,101,45,51,49,10,32,32,50,46,50,48,50,49,57,101,45,51,
      48,32,55,46,49,50,50,101,45,51,48,32,49,46,49,56,52,51,57,101,45,50,57,32,49,
      46,57,56,50,48,57,101,45,50,57,32,51,46,51,49,52,57,52,101,45,50,57,32,57,46,
      53,52,49,49,55,101,45,50,57,32,50,46,57,53,55,54,101,45,50,56,10,32,32,54,46,
      53,57,52,54,55,101,45,50,56,32,49,46,50,51,50,52,55,101,45,50,55,32,49,46,54,
      52,50,54,54,101,45,50,55,32,50,46,55,48,57,50,50,101,45,50,55,32,52,46,50,56,
      48,50,57,101,45,50,55,32,54,46,52,57,53,50,53,101,45,50,55,32,57,46,52,55,56,
      49,54,101,45,50,55,10,32,32,49,46,52,49,49,55,101,45,50,54,32,49,46,56,53,57,
      51,56,101,45,50,54,32,50,46,52,50,51,56,51,101,45,50,54,32,51,46,54,53,53,53,
      53,101,45,50,54,32,52,46,54,52,49,51,51,101,45,50,54,32,54,46,54,51,56,52,56,
      101,45,50,54,32,57,46,52,55,51,56,101,45,50,54,10,32,32,49,46,49,54,48,51,56,
      101,45,50,53,32,49,46,52,49,49,55,49,101,45,50,53,32,49,46,56,57,55,51,55,101,
      45,50,53,32,50,46,53,55,56,55,51,101,45,50,53,32,51,46,48,50,50,56,54,101,45,
      50,53,32,51,46,55,53,51,52,50,101,45,50,53,32,52,46,51,50,52,50,51,101,45,50,
      53,10,32,32,53,46,53,56,55,51,49,101,45,50,53,32,54,46,54,51,50,53,57,101,45,
      50,53,32,56,46,52,54,56,56,53,101,45,50,53,32,57,46,51,50,51,53,55,101,45,50,
      53,32,49,46,49,49,51,50,54,101,45,50,52,32,49,46,51,51,57,49,101,45,50,52,32,
      49,46,53,52,56,52,101,45,50,52,10,32,32,49,46,55,55,54,57,101,45,50,52,32,50,
      46,48,48,55,56,52,101,45,50,52,32,50,46,50,53,48,57,50,101,45,50,52,32,50,46,
      53,51,55,54,55,101,45,50,52,32,50,46,56,48,54,53,56,101,45,50,52,32,51,46,49,
      49,55,49,51,101,45,50,52,32,51,46,51,53,52,48,53,101,45,50,52,10,32,32,51,46,
      55,53,51,52,55,101,45,50,52,32,52,46,48,48,52,56,53,101,45,50,52,32,52,46,51,
      50,50,51,52,101,45,50,52,32,53,46,48,55,50,48,57,101,45,50,52,32,54,46,48,56,
      52,54,101,45,50,52,32,54,46,57,56,53,56,49,101,45,50,52,32,55,46,56,57,52,51,
      56,101,45,50,52,10,32,32,56,46,52,55,52,48,51,101,45,50,52,32,56,46,54,55,50,
      51,56,101,45,50,52,32,56,46,52,51,51,50,56,101,45,50,52,32,55,46,52,51,55,53,
      53,101,45,50,52,32,54,46,48,54,55,52,101,45,50,52,32,53,46,48,50,57,51,50,101,
      45,50,52,32,51,46,57,49,57,52,50,101,45,50,52,10,32,32,50,46,54,52,55,56,52,
      101,45,50,52,32,49,46,55,56,53,48,57,101,45,50,52,32,49,46,49,53,50,51,51,101,
      45,50,52,32,54,46,54,53,55,49,51,101,45,50,53,32,51,46,54,54,57,49,49,101,45,
      50,53,32,50,46,49,48,51,51,51,101,45,50,53,32,49,46,49,55,48,48,50,101,45,50,
      53,10,32,32,54,46,51,51,48,55,55,101,45,50,54,32,51,46,48,52,48,54,49,101,45,
      50,54,32,49,46,50,56,53,50,54,101,45,50,54,32,52,46,55,51,57,56,57,101,45,50,
      55,32,49,46,56,54,56,52,55,101,45,50,55,32,54,46,52,49,54,52,51,101,45,50,56,
      32,50,46,51,56,57,48,53,101,45,50,56,10,32,32,56,46,54,57,48,50,53,101,45,50,
      57,32,50,46,55,53,51,51,55,101,45,50,57,32,55,46,56,50,56,50,56,101,45,51,48,
      32,50,46,57,49,50,55,56,101,45,51,48,32,57,46,49,50,53,53,53,101,45,51,49,32,
      51,46,50,52,52,57,56,101,45,51,49,32,49,46,48,54,48,52,53,101,45,51,49,10,32,
      32,51,46,52,50,49,57,52,101,45,51,50,32,57,46,48,57,53,48,50,101,45,51,51,32,
      50,46,56,54,53,49,51,101,45,51,51,32,56,46,57,51,55,56,53,101,45,51,52,32,50,
      46,55,54,50,56,55,101,45,51,52,32,54,46,54,57,50,50,53,101,45,51,53,32,50,46,
      48,51,50,56,52,101,45,51,53,10,32,32,53,46,51,54,48,50,52,101,45,51,54,32,49,
      46,50,51,52,55,56,101,45,51,54,32,51,46,54,55,55,52,52,101,45,51,55,32,57,46,
      48,48,48,48,51,101,45,51,56,32,50,46,48,49,51,55,50,101,45,51,56,32,48,114,
      50,57,57,32,49,46,50,53,56,53,55,101,45,51,55,32,55,46,56,55,53,51,57,101,45,
      51,55,10,32,32,54,46,51,56,57,49,52,101,45,51,53,32,49,46,56,56,57,51,101,45,
      51,52,32,55,46,54,53,51,57,55,101,45,51,52,32,51,46,51,52,54,56,52,101,45,51,
      51,32,51,46,48,50,49,54,55,101,45,51,50,32,50,46,55,51,56,55,49,101,45,51,49,
      32,56,46,52,51,48,53,50,101,45,51,49,10,32,32,50,46,57,48,53,54,101,45,51,48,
      32,52,46,56,57,53,56,55,101,45,51,48,32,56,46,51,49,50,51,50,101,45,51,48,32,
      49,46,52,49,52,57,52,101,45,50,57,32,52,46,50,48,56,51,101,45,50,57,32,49,46,
      51,57,55,53,50,101,45,50,56,32,51,46,50,49,50,52,55,101,45,50,56,10,32,32,54,
      46,49,51,48,49,56,101,45,50,56,32,56,46,50,53,51,53,51,101,45,50,56,32,49,46,
      51,54,57,56,52,101,45,50,55,32,50,46,49,55,54,56,54,101,45,50,55,32,51,46,51,
      50,49,57,52,101,45,50,55,32,52,46,56,55,51,57,56,101,45,50,55,32,55,46,51,48,
      49,51,55,101,45,50,55,10,32,32,57,46,54,53,49,52,49,101,45,50,55,32,49,46,50,
      54,50,55,53,101,45,50,54,32,49,46,57,49,53,48,54,101,45,50,54,32,50,46,52,51,
      57,53,51,101,45,50,54,32,51,46,53,48,55,48,49,101,45,50,54,32,53,46,48,51,48,
      57,57,101,45,50,54,32,54,46,49,56,48,56,101,45,50,54,10,32,32,55,46,53,52,50,
      50,54,101,45,50,54,32,49,46,48,49,56,51,57,101,45,50,53,32,49,46,51,57,48,57,
      52,101,45,50,53,32,49,46,54,51,53,54,55,101,45,50,53,32,50,46,48,52,48,55,54,
      101,45,50,53,32,50,46,51,53,49,56,54,101,45,50,53,32,51,46,48,53,48,53,56,101,
      45,50,53,10,32,32,51,46,54,51,53,48,53,101,45,50,53,32,52,46,54,54,51,54,101,
      45,50,53,32,53,46,49,52,52,50,49,101,45,50,53,32,54,46,49,54,52,56,57,101,45,
      50,53,32,55,46,52,52,53,49,55,101,45,50,53,32,56,46,54,51,55,48,55,101,45,50,
      53,32,57,46,57,52,51,54,57,101,45,50,53,10,32,32,49,46,49,50,54,57,54,101,45,
      50,52,32,49,46,50,54,55,48,54,101,45,50,52,32,49,46,52,51,51,48,51,101,45,50,
      52,32,49,46,53,56,57,51,49,101,45,50,52,32,49,46,55,55,48,53,51,101,45,50,52,
      32,49,46,57,48,57,51,49,101,45,50,52,32,50,46,49,52,52,51,101,45,50,52,10,32,
      32,50,46,50,57,50,56,54,101,45,50,52,32,50,46,52,56,49,50,49,101,45,50,52,32,
      50,46,57,50,57,51,53,101,45,50,52,32,51,46,53,52,50,55,56,101,45,50,52,32,52,
      46,48,57,56,57,53,101,45,50,52,32,52,46,54,55,53,52,50,101,45,50,52,32,53,46,
      48,54,52,50,49,101,45,50,52,10,32,32,53,46,50,51,55,50,54,101,45,50,52,32,53,
      46,49,51,54,101,45,50,52,32,52,46,53,56,56,56,55,101,45,50,52,32,51,46,55,56,
      56,50,55,101,45,50,52,32,51,46,49,54,53,53,55,101,45,50,52,32,50,46,52,56,56,
      54,52,101,45,50,52,32,49,46,55,48,48,50,51,101,45,50,52,10,32,32,49,46,49,53,
      55,48,57,101,45,50,52,32,55,46,53,51,55,51,52,101,45,50,53,32,52,46,51,57,55,
      55,56,101,45,50,53,32,50,46,52,52,54,56,57,101,45,50,53,32,49,46,52,49,51,56,
      52,101,45,50,53,32,55,46,57,50,52,56,50,101,45,50,54,32,52,46,51,49,57,51,49,
      101,45,50,54,10,32,32,50,46,48,57,49,49,55,101,45,50,54,32,56,46,57,49,52,57,
      53,101,45,50,55,32,51,46,51,49,55,50,54,101,45,50,55,32,49,46,51,49,55,54,52,
      101,45,50,55,32,52,46,53,54,49,51,49,101,45,50,56,32,49,46,55,48,57,56,56,101,
      45,50,56,32,54,46,50,53,57,56,52,101,45,50,57,10,32,32,49,46,57,57,54,56,49,
      101,45,50,57,32,53,46,55,49,54,49,55,101,45,51,48,32,50,46,49,51,55,53,53,101,
      45,51,48,32,54,46,55,51,51,55,53,101,45,51,49,32,50,46,52,48,53,53,50,101,45,
      51,49,32,55,46,56,57,56,49,56,101,45,51,50,32,50,46,53,54,48,48,53,101,45,51,
      50,10,32,32,54,46,56,54,54,48,51,101,45,51,51,32,50,46,49,55,49,53,52,101,45,
      51,51,32,54,46,55,57,57,56,50,101,45,51,52,32,50,46,49,48,57,53,56,101,45,51,
      52,32,53,46,49,52,57,51,56,101,45,51,53,32,49,46,53,54,57,50,51,101,45,51,53,
      32,52,46,49,53,54,53,50,101,45,51,54,10,32,32,57,46,54,51,52,55,57,101,45,51,
      55,32,50,46,56,55,55,52,51,101,45,51,55,32,55,46,48,54,55,48,50,101,45,51,56,
      32,48,114,51,48,48,32,51,46,49,54,55,50,53,101,45,51,56,32,50,46,48,52,57,49,
      55,101,45,51,55,32,49,46,56,50,53,56,49,101,45,51,53,32,53,46,53,51,57,51,50,
      101,45,51,53,10,32,32,50,46,51,49,57,51,57,101,45,51,52,32,49,46,48,52,55,54,
      101,45,51,51,32,49,46,48,49,51,52,57,101,45,51,50,32,57,46,56,50,56,51,51,101,
      45,51,50,32,51,46,49,56,51,51,49,101,45,51,49,32,49,46,49,54,56,49,55,101,45,
      51,48,32,49,46,57,57,53,50,52,101,45,51,48,10,32,32,51,46,52,51,56,52,53,101,
      45,51,48,32,53,46,57,53,57,54,101,45,51,48,32,49,46,56,51,50,54,55,101,45,50,
      57,32,54,46,53,52,57,56,101,45,50,57,32,49,46,53,53,52,55,50,101,45,50,56,32,
      51,46,48,51,55,52,53,101,45,50,56,32,52,46,49,51,57,51,56,101,45,50,56,10,32,
      32,54,46,57,49,52,54,52,101,45,50,56,32,49,46,49,48,53,51,53,101,45,50,55,32,
      49,46,54,57,54,55,52,101,45,50,55,32,50,46,53,48,51,53,51,101,45,50,55,32,51,
      46,55,55,50,52,52,101,45,50,55,32,53,46,48,48,52,53,101,45,50,55,32,54,46,53,
      55,49,56,101,45,50,55,10,32,32,49,46,48,48,50,50,101,45,50,54,32,49,46,50,56,
      48,56,56,101,45,50,54,32,49,46,56,53,48,55,51,101,45,50,54,32,50,46,54,54,56,
      56,54,101,45,50,54,32,51,46,50,56,56,55,53,101,45,50,54,32,52,46,48,50,53,50,
      55,101,45,50,54,32,53,46,52,54,48,50,50,101,45,50,54,10,32,32,55,46,52,57,52,
      57,101,45,50,54,32,56,46,56,51,55,57,55,101,45,50,54,32,49,46,49,48,55,54,54,
      101,45,50,53,32,49,46,50,55,57,56,52,101,45,50,53,32,49,46,54,54,52,54,52,101,
      45,50,53,32,49,46,57,57,48,50,50,101,45,50,53,32,50,46,53,54,53,52,49,101,45,
      50,53,10,32,32,50,46,56,51,53,50,51,101,45,50,53,32,51,46,52,49,48,49,56,101,
      45,50,53,32,52,46,49,51,52,54,55,101,45,50,53,32,52,46,56,49,50,49,51,101,45,
      50,53,32,53,46,53,53,55,56,50,101,45,50,53,32,54,46,51,49,55,52,57,101,45,50,
      53,32,55,46,49,50,51,50,51,101,45,50,53,10,32,32,56,46,48,56,49,53,51,101,45,
      50,53,32,56,46,57,56,55,53,54,101,45,50,53,32,49,46,48,48,52,50,52,101,45,50,
      52,32,49,46,48,56,53,51,49,101,45,50,52,32,49,46,50,50,51,49,56,101,45,50,52,
      32,49,46,51,49,48,55,101,45,50,52,32,49,46,52,50,50,48,57,101,45,50,52,10,32,
      32,49,46,54,56,57,48,52,101,45,50,52,32,50,46,48,53,57,50,50,101,45,50,52,32,
      50,46,52,48,48,55,51,101,45,50,52,32,50,46,55,54,51,56,57,101,45,50,52,32,51,
      46,48,50,48,55,56,101,45,50,52,32,51,46,49,53,54,56,50,101,45,50,52,32,51,46,
      49,50,50,101,45,50,52,10,32,32,50,46,56,50,53,57,52,101,45,50,52,32,50,46,51,
      54,48,55,55,101,45,50,52,32,49,46,57,56,56,55,101,45,50,52,32,49,46,53,55,55,
      49,54,101,45,50,52,32,49,46,48,56,57,54,54,101,45,50,52,32,55,46,52,56,53,56,
      101,45,50,53,32,52,46,57,50,48,54,49,101,45,50,53,10,32,32,50,46,56,57,57,54,
      49,101,45,50,53,32,49,46,54,50,56,54,57,101,45,50,53,32,57,46,52,56,53,55,101,
      45,50,54,32,53,46,51,53,55,53,49,101,45,50,54,32,50,46,57,52,49,52,52,101,45,
      50,54,32,49,46,52,51,53,53,50,101,45,50,54,32,54,46,49,55,50,50,56,101,45,50,
      55,10,32,32,50,46,51,49,55,51,55,101,45,50,55,32,57,46,50,55,53,49,53,101,45,
      50,56,32,51,46,50,51,54,55,57,101,45,50,56,32,49,46,50,50,49,54,53,101,45,50,
      56,32,52,46,53,48,49,52,50,101,45,50,57,32,49,46,52,52,53,54,56,101,45,50,57,
      32,52,46,49,54,54,57,52,101,45,51,48,10,32,32,49,46,53,54,54,48,54,101,45,51,
      48,32,52,46,57,54,48,55,57,101,45,51,49,32,49,46,55,56,48,51,56,101,45,51,49,
      32,53,46,56,55,51,51,51,101,45,51,50,32,49,46,57,49,50,51,51,101,45,51,50,32,
      53,46,49,55,53,51,57,101,45,51,51,32,49,46,54,52,51,51,56,101,45,51,51,10,32,
      32,53,46,49,54,53,54,52,101,45,51,52,32,49,46,54,48,56,52,52,101,45,51,52,32,
      51,46,57,53,54,53,56,101,45,51,53,32,49,46,50,48,57,54,54,101,45,51,53,32,51,
      46,50,49,56,56,49,101,45,51,54,32,55,46,53,48,56,52,56,101,45,51,55,32,50,46,
      50,52,56,53,57,101,45,51,55,10,32,32,53,46,53,52,50,53,52,101,45,51,56,32,48,
      114,51,48,49,32,52,46,48,50,55,48,53,101,45,51,56,32,52,46,48,48,48,50,54,101,
      45,51,54,32,49,46,50,53,49,53,51,101,45,51,53,32,53,46,52,53,49,54,52,101,45,
      51,53,32,50,46,53,53,57,53,49,101,45,51,52,32,50,46,54,56,54,55,56,101,45,51,
      51,10,32,32,50,46,56,50,48,51,57,101,45,51,50,32,57,46,55,48,56,57,57,101,45,
      51,50,32,51,46,56,51,55,53,55,101,45,51,49,32,54,46,54,54,53,56,54,101,45,51,
      49,32,49,46,49,55,48,49,57,101,45,51,48,32,50,46,48,55,50,54,56,101,45,51,48,
      32,54,46,54,51,52,53,54,101,45,51,48,10,32,32,50,46,54,48,52,53,53,101,45,50,
      57,32,54,46,52,51,54,57,51,101,45,50,57,32,49,46,50,57,56,55,57,101,45,50,56,
      32,49,46,56,48,49,49,57,101,45,50,56,32,51,46,48,51,51,49,55,101,45,50,56,32,
      52,46,56,56,52,52,54,101,45,50,56,32,55,46,53,53,53,50,51,101,45,50,56,10,32,
      32,49,46,49,50,50,55,101,45,50,55,32,49,46,55,48,52,48,52,101,45,50,55,32,50,
      46,50,55,48,51,52,101,45,50,55,32,50,46,57,57,52,54,57,101,45,50,55,32,52,46,
      53,57,55,52,101,45,50,55,32,53,46,56,57,57,49,49,101,45,50,55,32,56,46,53,55,
      53,55,50,101,45,50,55,10,32,32,49,46,50,52,52,52,54,101,45,50,54,32,49,46,53,
      51,57,48,57,101,45,50,54,32,49,46,56,57,48,54,49,101,45,50,54,32,50,46,53,55,
      56,56,50,101,45,50,54,32,51,46,53,54,49,48,52,101,45,50,54,32,52,46,50,48,57,
      52,54,101,45,50,54,32,53,46,50,57,49,53,49,101,45,50,54,10,32,32,54,46,49,53,
      51,53,50,101,45,50,54,32,56,46,48,51,50,51,49,101,45,50,54,32,57,46,54,51,55,
      56,56,101,45,50,54,32,49,46,50,52,57,51,54,101,45,50,53,32,49,46,51,56,51,57,
      55,101,45,50,53,32,49,46,54,55,49,57,54,101,45,50,53,32,50,46,48,51,54,56,54,
      101,45,50,53,10,32,32,50,46,51,55,57,56,56,101,45,50,53,32,50,46,55,53,57,50,
      54,101,45,50,53,32,51,46,49,52,55,53,54,101,45,50,53,32,51,46,53,54,49,50,57,
      101,45,50,53,32,52,46,48,53,53,54,57,101,45,50,53,32,52,46,53,50,53,51,52,101,
      45,50,53,32,53,46,48,55,52,55,51,101,45,50,53,10,32,32,53,46,52,57,56,56,51,
      101,45,50,53,32,54,46,50,50,51,53,51,101,45,50,53,32,54,46,54,56,53,57,53,101,
      45,50,53,32,55,46,50,55,55,48,52,101,45,50,53,32,56,46,55,48,53,55,51,101,45,
      50,53,32,49,46,48,55,49,55,49,101,45,50,52,32,49,46,50,54,48,57,57,101,45,50,
      52,10,32,32,49,46,52,54,55,57,57,101,45,50,52,32,49,46,54,50,49,56,49,101,45,
      50,52,32,49,46,55,49,54,49,57,101,45,50,52,32,49,46,55,49,52,52,55,101,45,50,
      52,32,49,46,53,55,54,50,50,101,45,50,52,32,49,46,51,51,53,54,101,45,50,52,32,
      49,46,49,51,54,48,49,101,45,50,52,10,32,32,57,46,49,48,51,55,57,101,45,50,53,
      32,54,46,51,55,52,54,57,101,45,50,53,32,52,46,52,50,56,57,101,45,50,53,32,50,
      46,57,52,50,57,52,101,45,50,53,32,49,46,55,53,52,57,51,101,45,50,53,32,57,46,
      57,54,57,54,51,101,45,50,54,32,53,46,56,54,49,56,52,101,45,50,54,10,32,32,51,
      46,51,52,49,48,57,101,45,50,54,32,49,46,56,53,48,52,57,101,45,50,54,32,57,46,
      49,49,56,49,49,101,45,50,55,32,51,46,57,54,48,57,49,101,45,50,55,32,49,46,53,
      48,51,50,50,101,45,50,55,32,54,46,48,55,49,57,51,101,45,50,56,32,50,46,49,51,
      57,53,55,101,45,50,56,10,32,32,56,46,49,52,49,55,54,101,45,50,57,32,51,46,48,
      50,51,52,51,101,45,50,57,32,57,46,55,56,57,57,53,101,45,51,48,32,50,46,56,52,
      53,50,53,101,45,51,48,32,49,46,48,55,53,56,50,101,45,51,48,32,51,46,52,51,48,
      55,101,45,51,49,32,49,46,50,51,56,49,52,101,45,51,49,10,32,32,52,46,49,48,55,
      56,54,101,45,51,50,32,49,46,51,52,52,56,101,45,51,50,32,51,46,54,55,57,49,49,
      101,45,51,51,32,49,46,49,55,51,57,49,101,45,51,51,32,51,46,55,48,55,48,50,101,
      45,51,52,32,49,46,49,53,57,51,55,101,45,51,52,32,50,46,56,55,56,54,53,101,45,
      51,53,10,32,32,56,46,56,51,53,55,50,101,45,51,54,32,50,46,51,54,52,50,51,101,
      45,51,54,32,53,46,53,53,55,52,51,101,45,51,55,32,49,46,54,54,57,56,55,101,45,
      51,55,32,52,46,49,51,52,53,50,101,45,51,56,32,48,114,51,48,50,32,56,46,54,52,
      48,55,54,101,45,51,55,32,50,46,55,56,55,53,53,101,45,51,54,10,32,32,49,46,50,
      54,51,48,56,101,45,51,53,32,54,46,49,54,50,56,54,101,45,51,53,32,55,46,48,48,
      56,57,55,101,45,51,52,32,55,46,57,52,55,56,53,101,45,51,51,32,50,46,57,48,55,
      54,51,101,45,51,50,32,49,46,50,51,54,54,57,101,45,51,49,32,50,46,49,56,53,55,
      55,101,45,51,49,10,32,32,51,46,57,49,48,57,57,101,45,51,49,32,55,46,48,56,48,
      55,50,101,45,51,49,32,50,46,51,53,57,57,101,45,51,48,32,49,46,48,50,50,51,56,
      101,45,50,57,32,50,46,54,51,52,50,56,101,45,50,57,32,53,46,53,49,52,48,54,101,
      45,50,57,32,55,46,56,48,56,50,50,101,45,50,57,10,32,32,49,46,51,50,54,50,57,
      101,45,50,56,32,50,46,49,53,50,52,57,101,45,50,56,32,51,46,51,53,56,51,54,101,
      45,50,56,32,53,46,48,50,56,52,55,101,45,50,56,32,55,46,54,57,48,50,53,101,45,
      50,56,32,49,46,48,50,57,48,52,101,45,50,55,32,49,46,51,54,51,53,53,101,45,50,
      55,10,32,32,50,46,49,48,55,50,52,101,45,50,55,32,50,46,55,49,52,53,52,101,45,
      50,55,32,51,46,57,55,48,50,101,45,50,55,32,53,46,55,57,55,52,57,101,45,50,55,
      32,55,46,49,57,53,57,49,101,45,50,55,32,56,46,56,55,49,50,57,101,45,50,55,32,
      49,46,50,49,54,55,49,101,45,50,54,10,32,32,49,46,54,57,48,48,52,101,45,50,54,
      32,50,46,48,48,50,52,54,101,45,50,54,32,50,46,53,50,50,54,50,101,45,50,54,32,
      50,46,57,52,56,55,101,45,50,54,32,51,46,56,55,49,49,55,101,45,50,54,32,52,46,
      54,54,49,57,50,101,45,50,54,32,54,46,48,55,55,50,56,101,45,50,54,10,32,32,54,
      46,55,52,55,52,55,101,45,50,54,32,56,46,49,56,55,48,53,101,45,50,54,32,49,46,
      48,48,50,49,50,101,45,50,53,32,49,46,49,55,53,52,50,101,45,50,53,32,49,46,51,
      54,56,48,49,101,45,50,53,32,49,46,53,54,54,48,51,101,45,50,53,32,49,46,55,55,
      55,57,52,101,45,50,53,10,32,32,50,46,48,51,50,51,54,101,45,50,53,32,50,46,50,
      55,53,49,54,101,45,50,53,32,50,46,53,54,48,52,57,101,45,50,53,32,50,46,55,56,
      49,54,57,101,45,50,53,32,51,46,49,54,49,53,52,101,45,50,53,32,51,46,52,48,53,
      49,101,45,50,53,32,51,46,55,49,55,55,54,101,45,50,53,10,32,32,52,46,52,55,57,
      54,50,101,45,50,53,32,53,46,53,54,55,55,53,101,45,50,53,32,54,46,54,49,48,55,
      57,101,45,50,53,32,55,46,55,56,49,48,57,101,45,50,53,32,56,46,54,56,56,52,56,
      101,45,50,53,32,57,46,51,48,56,52,101,45,50,53,32,57,46,51,57,50,52,50,101,
      45,50,53,10,32,32,56,46,55,54,57,49,56,101,45,50,53,32,55,46,53,51,53,57,54,
      101,45,50,53,32,54,46,52,55,49,53,101,45,50,53,32,53,46,50,52,48,51,51,101,
      45,50,53,32,51,46,55,49,56,55,49,101,45,50,53,32,50,46,54,49,50,55,55,101,45,
      50,53,32,49,46,55,53,53,101,45,50,53,10,32,32,49,46,48,53,57,48,49,101,45,50,
      53,32,54,46,48,56,52,55,56,101,45,50,54,32,51,46,54,49,49,56,54,101,45,50,54,
      32,50,46,48,55,55,53,54,101,45,50,54,32,49,46,49,54,48,56,49,101,45,50,54,32,
      53,46,55,55,53,48,57,101,45,50,55,32,50,46,53,51,52,54,50,101,45,50,55,10,32,
      32,57,46,55,50,51,55,52,101,45,50,56,32,51,46,57,54,51,57,56,101,45,50,56,32,
      49,46,52,49,48,52,53,101,45,50,56,32,53,46,52,49,49,54,53,101,45,50,57,32,50,
      46,48,50,53,51,57,101,45,50,57,32,54,46,54,49,50,53,55,101,45,51,48,32,49,46,
      57,51,55,56,56,101,45,51,48,10,32,32,55,46,51,55,50,49,53,101,45,51,49,32,50,
      46,51,54,54,55,54,101,45,51,49,32,56,46,53,56,57,56,55,101,45,51,50,32,50,46,
      56,54,54,51,52,101,45,51,50,32,57,46,52,51,53,49,51,101,45,51,51,32,50,46,54,
      48,57,50,51,101,45,51,51,32,56,46,51,54,54,49,52,101,45,51,52,10,32,32,50,46,
      54,53,52,50,52,101,45,51,52,32,56,46,51,51,56,50,101,45,51,53,32,50,46,48,56,
      57,55,54,101,45,51,53,32,54,46,52,51,57,56,56,101,45,51,54,32,49,46,55,51,50,
      56,57,101,45,51,54,32,52,46,49,48,53,51,50,101,45,51,55,32,49,46,50,51,55,55,
      101,45,51,55,10,32,32,51,46,48,55,56,57,55,101,45,51,56,32,48,114,51,48,50,
      32,49,46,56,51,55,49,51,101,45,51,55,32,54,46,49,49,48,54,52,101,45,51,55,32,
      50,46,56,55,57,56,56,101,45,51,54,32,49,46,52,54,48,50,53,101,45,51,53,32,49,
      46,55,57,55,51,50,101,45,51,52,32,50,46,49,57,56,50,50,101,45,51,51,10,32,32,
      56,46,53,52,53,57,52,101,45,51,51,32,51,46,57,48,56,48,54,101,45,51,50,32,55,
      46,48,51,49,48,53,101,45,51,50,32,49,46,50,56,50,56,56,101,45,51,49,32,50,46,
      51,55,51,53,57,101,45,51,49,32,56,46,50,51,52,53,51,101,45,51,49,32,51,46,57,
      53,52,50,49,101,45,51,48,10,32,32,49,46,48,54,51,56,52,101,45,50,57,32,50,46,
      51,50,48,55,53,101,45,50,57,32,51,46,51,54,54,56,57,101,45,50,57,32,53,46,55,
      55,50,48,52,101,45,50,57,32,57,46,52,52,53,48,54,101,45,50,57,32,49,46,52,56,
      56,51,53,101,45,50,56,32,50,46,50,52,54,52,49,101,45,50,56,10,32,32,51,46,52,
      54,50,56,50,101,45,50,56,32,52,46,54,53,51,55,52,101,45,50,56,32,54,46,49,57,
      53,51,57,101,45,50,56,32,57,46,54,51,55,53,53,101,45,50,56,32,49,46,50,52,54,
      51,55,101,45,50,55,32,49,46,56,51,51,57,55,101,45,50,55,32,50,46,54,57,52,56,
      51,101,45,50,55,10,32,32,51,46,51,53,54,56,51,101,45,50,55,32,52,46,49,53,51,
      50,52,101,45,50,55,32,53,46,55,50,55,51,56,101,45,50,55,32,56,46,48,48,49,51,
      101,45,50,55,32,57,46,53,49,49,48,50,101,45,50,55,32,49,46,50,48,50,57,53,101,
      45,50,54,32,49,46,52,48,55,51,49,101,45,50,54,10,32,32,49,46,56,53,57,54,49,
      101,45,50,54,32,50,46,50,52,56,57,51,101,45,50,54,32,50,46,57,52,56,50,55,101,
      45,50,54,32,51,46,50,56,48,57,49,101,45,50,54,32,51,46,57,57,56,50,54,101,45,
      50,54,32,52,46,57,49,55,49,56,101,45,50,54,32,53,46,55,56,57,57,53,101,45,50,
      54,10,32,32,54,46,55,54,52,52,51,101,45,50,54,32,55,46,55,55,48,57,52,101,45,
      50,54,32,56,46,56,53,50,55,54,101,45,50,54,32,49,46,48,49,53,55,53,101,45,50,
      53,32,49,46,49,52,48,56,52,101,45,50,53,32,49,46,50,56,56,53,51,101,45,50,53,
      32,49,46,52,48,51,53,49,101,45,50,53,10,32,32,49,46,54,48,49,56,57,101,45,50,
      53,32,49,46,55,50,57,55,101,45,50,53,32,49,46,56,57,52,52,55,101,45,50,53,32,
      50,46,50,57,57,49,53,101,45,50,53,32,50,46,56,56,53,50,50,101,45,50,53,32,51,
      46,52,53,55,48,50,101,45,50,53,32,52,46,49,49,52,49,52,101,45,50,53,10,32,32,
      52,46,54,52,51,49,56,101,45,50,53,32,53,46,48,51,54,51,56,101,45,50,53,32,53,
      46,49,51,50,56,53,101,45,50,53,32,52,46,56,54,54,54,54,101,45,50,53,32,52,46,
      50,52,49,53,54,101,45,50,53,32,51,46,54,55,55,52,54,101,45,50,53,32,51,46,48,
      48,56,57,49,101,45,50,53,10,32,32,50,46,49,54,51,56,55,101,45,50,53,32,49,46,
      53,51,55,52,54,101,45,50,53,32,49,46,48,52,51,57,50,101,45,50,53,32,54,46,51,
      55,52,50,50,101,45,50,54,32,51,46,55,48,52,49,55,101,45,50,54,32,50,46,50,49,
      57,55,53,101,45,50,54,32,49,46,50,56,56,53,51,101,45,50,54,10,32,32,55,46,50,
      54,51,48,50,101,45,50,55,32,51,46,54,52,56,51,54,101,45,50,55,32,49,46,54,49,
      55,55,57,101,45,50,55,32,54,46,50,55,51,57,56,101,45,50,56,32,50,46,53,56,49,
      51,53,101,45,50,56,32,57,46,50,55,53,48,54,101,45,50,57,32,51,46,53,56,56,50,
      52,101,45,50,57,10,32,32,49,46,51,53,51,53,54,101,45,50,57,32,52,46,52,53,53,
      57,49,101,45,51,48,32,49,46,51,49,54,56,51,101,45,51,48,32,53,46,48,52,48,51,
      50,101,45,51,49,32,49,46,54,50,57,49,51,101,45,51,49,32,53,46,57,52,54,50,56,
      101,45,51,50,32,49,46,57,57,53,55,49,101,45,51,50,10,32,32,54,46,54,48,53,54,
      49,101,45,51,51,32,49,46,56,52,54,52,52,101,45,51,51,32,53,46,57,52,57,53,53,
      101,45,51,52,32,49,46,56,57,54,52,53,101,45,51,52,32,53,46,57,56,52,52,57,101,
      45,51,53,32,49,46,53,49,51,57,56,101,45,51,53,32,52,46,54,56,52,51,51,101,45,
      51,54,10,32,32,49,46,50,54,55,55,54,101,45,51,54,32,51,46,48,50,55,49,55,101,
      45,51,55,32,57,46,49,53,55,53,53,101,45,51,56,32,50,46,50,56,56,57,50,101,45,
      51,56,32,48,114,51,48,50,32,51,46,56,52,57,53,52,101,45,51,56,32,49,46,51,50,
      48,49,49,101,45,51,55,32,54,46,52,55,48,55,57,101,45,51,55,10,32,32,51,46,52,
      48,57,55,51,101,45,51,54,32,52,46,53,51,55,49,56,101,45,51,53,32,53,46,57,55,
      54,50,50,101,45,51,52,32,50,46,52,54,53,54,55,101,45,51,51,32,49,46,50,48,57,
      48,50,101,45,51,50,32,50,46,50,49,53,50,57,101,45,51,50,32,52,46,49,50,51,57,
      52,101,45,51,50,10,32,32,55,46,55,57,57,57,57,101,45,51,50,32,50,46,56,49,55,
      55,50,101,45,51,49,32,49,46,53,48,52,57,55,101,45,51,48,32,52,46,50,51,49,54,
      54,101,45,51,48,32,57,46,54,54,55,49,57,101,45,51,48,32,49,46,52,52,49,56,49,
      101,45,50,57,32,50,46,52,57,54,57,52,101,45,50,57,10,32,32,52,46,49,50,50,54,
      49,101,45,50,57,32,54,46,53,55,51,57,49,101,45,50,57,32,49,46,48,48,48,56,101,
      45,50,56,32,49,46,53,53,53,56,57,101,45,50,56,32,50,46,49,48,48,50,57,101,45,
      50,56,32,50,46,56,49,48,48,49,101,45,50,56,32,52,46,52,48,48,51,53,101,45,50,
      56,10,32,32,53,46,55,49,51,50,50,101,45,50,56,32,56,46,52,53,56,51,50,101,45,
      50,56,32,49,46,50,53,48,55,53,101,45,50,55,32,49,46,53,54,51,54,50,101,45,50,
      55,32,49,46,57,52,49,54,49,101,45,50,55,32,50,46,54,57,50,50,55,101,45,50,55,
      32,51,46,55,56,51,49,50,101,45,50,55,10,32,32,52,46,53,49,52,51,56,101,45,50,
      55,32,53,46,55,52,50,49,51,101,45,50,55,32,54,46,55,49,52,52,56,101,45,50,55,
      32,56,46,57,49,57,54,49,101,45,50,55,32,49,46,48,56,51,53,53,101,45,50,54,32,
      49,46,52,50,56,53,51,101,45,50,54,32,49,46,53,57,51,51,52,101,45,50,54,10,32,
      32,49,46,57,53,48,49,52,101,45,50,54,32,50,46,52,48,57,54,53,101,45,50,54,32,
      50,46,56,52,56,51,49,101,45,50,54,32,51,46,51,52,48,51,55,101,45,50,54,32,51,
      46,56,53,48,56,57,101,45,50,54,32,52,46,52,48,50,101,45,50,54,32,53,46,48,54,
      57,55,101,45,50,54,10,32,32,53,46,55,49,50,55,53,101,45,50,54,32,54,46,52,55,
      53,51,53,101,45,50,54,32,55,46,48,55,49,52,57,101,45,50,54,32,56,46,49,48,52,
      56,56,101,45,50,54,32,56,46,55,55,51,55,57,101,45,50,54,32,57,46,54,51,57,53,
      56,101,45,50,54,32,49,46,49,55,56,50,53,101,45,50,53,10,32,32,49,46,52,57,50,
      55,57,101,45,50,53,32,49,46,56,48,52,57,101,45,50,53,32,50,46,49,55,49,54,52,
      101,45,50,53,32,50,46,52,55,55,48,50,101,45,50,53,32,50,46,55,50,48,48,50,101,
      45,50,53,32,50,46,55,57,57,55,50,101,45,50,53,32,50,46,54,57,53,52,101,45,50,
      53,10,32,32,50,46,51,56,50,50,54,101,45,50,53,32,50,46,48,56,53,49,52,101,45,
      50,53,32,49,46,55,50,51,55,51,101,45,50,53,32,49,46,50,53,54,49,54,101,45,50,
      53,32,57,46,48,50,53,50,54,101,45,50,54,32,54,46,49,57,52,50,51,101,45,50,54,
      32,51,46,56,50,55,49,101,45,50,54,10,32,32,50,46,50,52,57,50,51,101,45,50,54,
      32,49,46,51,54,48,55,49,101,45,50,54,32,55,46,57,55,49,48,57,101,45,50,55,32,
      52,46,53,51,50,54,49,101,45,50,55,32,50,46,50,57,56,56,54,101,45,50,55,32,49,
      46,48,50,57,57,53,101,45,50,55,32,52,46,48,51,55,56,53,101,45,50,56,10,32,32,
      49,46,54,55,54,55,54,101,45,50,56,32,54,46,48,56,52,48,54,101,45,50,57,32,50,
      46,51,55,51,51,53,101,45,50,57,32,57,46,48,50,51,54,51,101,45,51,48,32,50,46,
      57,57,53,52,50,101,45,51,48,32,56,46,57,50,55,48,51,101,45,51,49,32,51,46,52,
      51,56,48,55,101,45,51,49,10,32,32,49,46,49,49,56,56,52,101,45,51,49,32,52,46,
      49,48,55,48,55,101,45,51,50,32,49,46,51,56,54,52,55,101,45,51,50,32,52,46,54,
      49,52,54,51,101,45,51,51,32,49,46,51,48,51,55,53,101,45,51,51,32,52,46,50,50,
      49,56,49,101,45,51,52,32,49,46,51,53,50,49,50,101,45,51,52,10,32,32,52,46,50,
      56,54,49,54,101,45,51,53,32,49,46,48,57,52,53,52,101,45,51,53,32,51,46,52,48,
      48,51,53,101,45,51,54,32,57,46,50,53,54,48,55,101,45,51,55,32,50,46,50,50,55,
      55,55,101,45,51,55,32,54,46,55,54,50,52,53,101,45,51,56,32,48,114,51,48,52,
      32,50,46,56,49,51,57,55,101,45,51,56,10,32,32,49,46,52,51,52,51,55,101,45,51,
      55,32,55,46,56,53,50,54,101,45,51,55,32,49,46,49,50,56,49,53,101,45,51,53,32,
      49,46,53,57,55,53,49,101,45,51,52,32,54,46,57,57,53,51,53,101,45,51,52,32,51,
      46,54,55,54,50,53,101,45,51,51,32,54,46,56,54,50,49,54,101,45,51,51,10,32,32,
      49,46,51,48,51,55,54,101,45,51,50,32,50,46,53,50,48,54,101,45,51,50,32,57,46,
      52,55,57,56,54,101,45,51,50,32,53,46,54,52,52,52,56,101,45,51,49,32,49,46,54,
      53,57,55,57,101,45,51,48,32,51,46,57,56,55,53,56,101,45,51,48,32,54,46,49,51,
      49,55,51,101,45,51,48,10,32,32,49,46,48,55,51,55,57,101,45,50,57,32,49,46,55,
      57,48,50,53,101,45,50,57,32,50,46,56,57,53,54,51,101,45,50,57,32,52,46,52,52,
      56,55,51,101,45,50,57,32,54,46,57,55,57,57,56,101,45,50,57,32,57,46,52,54,52,
      56,49,101,45,50,57,32,49,46,50,55,51,49,51,101,45,50,56,10,32,32,50,46,48,48,
      54,56,53,101,45,50,56,32,50,46,54,49,53,56,52,101,45,50,56,32,51,46,56,57,54,
      53,54,101,45,50,56,32,53,46,55,57,56,53,51,101,45,50,56,32,55,46,50,55,52,57,
      52,101,45,50,56,32,57,46,48,54,54,48,54,101,45,50,56,32,49,46,50,54,51,57,54,
      101,45,50,55,10,32,32,49,46,55,56,54,53,52,101,45,50,55,32,50,46,49,51,57,49,
      49,101,45,50,55,32,50,46,55,51,54,48,53,101,45,50,55,32,51,46,50,48,55,48,55,
      101,45,50,55,32,52,46,50,55,52,51,55,101,45,50,55,32,53,46,50,49,51,51,55,101,
      45,50,55,32,54,46,57,49,49,52,50,101,45,50,55,10,32,32,55,46,55,50,54,50,49,
      101,45,50,55,32,57,46,52,57,55,101,45,50,55,32,49,46,49,55,56,57,52,101,45,
      50,54,32,49,46,51,57,56,56,56,101,45,50,54,32,49,46,54,52,54,55,49,101,45,50,
      54,32,49,46,57,48,52,57,54,101,45,50,54,32,50,46,49,56,52,57,50,101,45,50,54,
      10,32,32,50,46,53,50,53,54,50,101,45,50,54,32,50,46,56,53,53,49,57,101,45,50,
      54,32,51,46,50,52,55,55,52,101,45,50,54,32,51,46,53,53,53,56,50,101,45,50,54,
      32,52,46,48,57,50,50,56,101,45,50,54,32,52,46,52,52,49,49,101,45,50,54,32,52,
      46,56,57,52,51,56,101,45,50,54,10,32,32,54,46,48,50,52,55,51,101,45,50,54,32,
      55,46,55,48,53,51,51,101,45,50,54,32,57,46,52,48,48,48,51,101,45,50,54,32,49,
      46,49,52,51,51,54,101,45,50,53,32,49,46,51,49,55,57,54,101,45,50,53,32,49,46,
      52,54,53,48,55,101,45,50,53,32,49,46,53,50,50,57,55,101,45,50,53,10,32,32,49,
      46,52,56,56,55,52,101,45,50,53,32,49,46,51,51,52,50,52,101,45,50,53,32,49,46,
      49,55,56,57,55,101,45,50,53,32,57,46,56,52,55,48,56,101,45,50,54,32,55,46,50,
      55,49,54,101,45,50,54,32,53,46,50,56,51,101,45,50,54,32,51,46,54,54,52,57,53,
      101,45,50,54,10,32,32,50,46,50,57,49,50,53,101,45,50,54,32,49,46,51,54,49,57,
      49,101,45,50,54,32,56,46,51,49,55,55,49,101,45,50,55,32,52,46,57,49,55,50,53,
      101,45,50,55,32,50,46,56,50,48,55,56,101,45,50,55,32,49,46,52,52,52,53,49,101,
      45,50,55,32,54,46,53,51,57,101,45,50,56,10,32,32,50,46,53,57,49,54,50,101,45,
      50,56,32,49,46,48,56,54,50,51,101,45,50,56,32,51,46,57,56,48,51,49,101,45,50,
      57,32,49,46,53,54,53,55,101,45,50,57,32,54,46,48,48,48,50,55,101,45,51,48,32,
      50,46,48,48,56,53,52,101,45,51,48,32,54,46,48,51,54,55,51,101,45,51,49,10,32,
      32,50,46,51,51,57,51,57,101,45,51,49,32,55,46,54,54,53,51,49,101,45,51,50,32,
      50,46,56,51,101,45,51,50,32,57,46,54,48,57,55,51,101,45,51,51,32,51,46,50,49,
      54,52,101,45,51,51,32,57,46,49,56,52,50,49,101,45,51,52,32,50,46,57,56,56,57,
      54,101,45,51,52,10,32,32,57,46,54,49,56,54,51,101,45,51,53,32,51,46,48,54,51,
      48,54,101,45,51,53,32,55,46,56,57,54,48,51,101,45,51,54,32,50,46,52,54,51,49,
      101,45,51,54,32,54,46,55,52,52,49,49,101,45,51,55,32,49,46,54,51,54,51,52,101,
      45,51,55,32,52,46,57,56,52,51,55,101,45,51,56,10,32,32,48,114,51,48,53,32,51,
      46,49,51,56,52,52,101,45,51,56,32,49,46,55,56,52,55,51,101,45,51,55,32,50,46,
      55,54,51,54,54,101,45,51,54,32,52,46,49,57,56,52,49,101,45,51,53,32,49,46,57,
      53,48,48,51,101,45,51,52,32,49,46,48,57,54,54,57,101,45,51,51,32,50,46,48,56,
      54,49,51,101,45,51,51,10,32,32,52,46,48,52,54,54,51,101,45,51,51,32,55,46,57,
      57,54,48,49,101,45,51,51,32,51,46,49,51,48,50,101,45,51,50,32,50,46,48,56,49,
      52,101,45,51,49,32,54,46,52,48,50,52,51,101,45,51,49,32,49,46,54,50,52,54,101,
      45,51,48,32,50,46,53,56,50,57,57,101,45,51,48,10,32,32,52,46,53,55,57,48,49,
      101,45,51,48,32,55,46,55,49,54,48,56,101,45,51,48,32,49,46,50,54,57,54,55,101,
      45,50,57,32,49,46,57,54,57,54,57,101,45,50,57,32,51,46,49,50,49,54,54,101,45,
      50,57,32,52,46,50,53,50,55,52,101,45,50,57,32,53,46,55,53,53,48,49,101,45,50,
      57,10,32,32,57,46,49,51,50,48,51,101,45,50,57,32,49,46,49,57,53,48,50,101,45,
      50,56,32,49,46,55,57,49,50,51,101,45,50,56,32,50,46,54,56,50,55,101,45,50,56,
      32,51,46,51,55,55,56,50,101,45,50,56,32,52,46,50,50,52,54,53,101,45,50,56,32,
      53,46,57,50,50,48,54,101,45,50,56,10,32,32,56,46,52,50,48,49,49,101,45,50,56,
      32,49,46,48,49,48,52,101,45,50,55,32,49,46,50,57,54,49,51,101,45,50,55,32,49,
      46,53,50,57,50,51,101,45,50,55,32,50,46,48,52,53,48,56,101,45,50,55,32,50,46,
      53,48,51,50,101,45,50,55,32,51,46,51,51,54,57,52,101,45,50,55,10,32,32,51,46,
      55,51,56,56,101,45,50,55,32,52,46,54,49,53,53,51,101,45,50,55,32,53,46,55,53,
      54,52,56,101,45,50,55,32,54,46,56,53,54,52,56,101,45,50,55,32,56,46,49,48,49,
      54,53,101,45,50,55,32,57,46,52,48,52,56,49,101,45,50,55,32,49,46,48,56,50,51,
      52,101,45,50,54,10,32,32,49,46,50,53,53,55,52,101,45,50,54,32,49,46,52,50,52,
      50,49,101,45,50,54,32,49,46,54,50,53,55,51,101,45,50,54,32,49,46,55,56,52,53,
      49,101,45,50,54,32,50,46,48,54,50,50,50,101,45,50,54,32,50,46,50,52,51,54,101,
      45,50,54,32,50,46,52,56,48,50,49,101,45,50,54,10,32,32,51,46,48,55,52,54,49,
      101,45,50,54,32,51,46,57,54,57,54,52,101,45,50,54,32,52,46,56,56,54,51,52,101,
      45,50,54,32,54,46,48,48,56,51,52,101,45,50,54,32,54,46,57,57,57,48,49,101,45,
      50,54,32,55,46,56,55,53,56,49,101,45,50,54,32,56,46,50,54,56,48,54,101,45,50,
      54,10,32,32,56,46,50,48,54,48,49,101,45,50,54,32,55,46,52,53,55,50,56,101,45,
      50,54,32,54,46,54,53,49,57,51,101,45,50,54,32,53,46,54,49,51,48,53,101,45,50,
      54,32,52,46,49,57,57,57,49,101,45,50,54,32,51,46,48,56,53,51,55,101,45,50,54,
      32,50,46,49,54,51,52,49,101,45,50,54,10,32,32,49,46,51,54,56,53,50,101,45,50,
      54,32,56,46,50,50,54,52,57,101,45,50,55,32,53,46,48,55,49,57,57,101,45,50,55,
      32,51,46,48,50,53,57,101,45,50,55,32,49,46,55,53,49,49,101,45,50,55,32,57,46,
      48,53,52,49,52,101,45,50,56,32,52,46,49,52,49,49,57,101,45,50,56,10,32,32,49,
      46,54,53,57,50,54,101,45,50,56,32,55,46,48,49,57,52,53,101,45,50,57,32,50,46,
      53,57,55,54,101,45,50,57,32,49,46,48,51,48,51,56,101,45,50,57,32,51,46,57,56,
      48,50,56,101,45,51,48,32,49,46,51,52,51,54,49,101,45,51,48,32,52,46,48,55,50,
      55,52,101,45,51,49,10,32,32,49,46,53,56,56,49,54,101,45,51,49,32,53,46,50,51,
      57,55,54,101,45,51,50,32,49,46,57,52,53,54,56,101,45,51,50,32,54,46,54,52,53,
      57,53,101,45,51,51,32,50,46,50,51,54,57,55,101,45,51,51,32,54,46,52,53,53,53,
      50,101,45,51,52,32,50,46,49,49,49,53,54,101,45,51,52,10,32,32,54,46,56,50,55,
      57,55,101,45,51,53,32,50,46,49,56,52,52,51,101,45,51,53,32,53,46,54,56,52,52,
      57,101,45,51,54,32,49,46,55,56,48,53,56,101,45,51,54,32,52,46,57,48,52,52,52,
      101,45,51,55,32,49,46,49,57,57,54,57,101,45,51,55,32,51,46,54,54,55,49,51,101,
      45,51,56,10,32,32,48,114,51,48,54,32,51,46,57,57,56,56,50,101,45,51,56,32,54,
      46,54,55,51,48,54,101,45,51,55,32,49,46,48,56,55,49,49,101,45,51,53,32,53,46,
      51,53,48,52,49,101,45,51,53,32,51,46,50,49,51,56,101,45,51,52,32,54,46,50,51,
      49,52,53,101,45,51,52,32,49,46,50,51,52,52,56,101,45,51,51,10,32,32,50,46,52,
      57,51,51,52,101,45,51,51,32,49,46,48,49,54,48,50,101,45,51,50,32,55,46,53,54,
      48,48,53,101,45,51,50,32,50,46,52,51,50,54,56,101,45,51,49,32,54,46,53,52,50,
      54,53,101,45,51,49,32,49,46,48,55,55,55,54,101,45,51,48,32,49,46,57,51,54,52,
      56,101,45,51,48,10,32,32,51,46,51,48,49,54,49,101,45,51,48,32,53,46,53,52,54,
      50,54,101,45,51,48,32,56,46,54,57,50,55,101,45,51,48,32,49,46,51,57,51,48,57,
      101,45,50,57,32,49,46,57,48,55,48,57,101,45,50,57,32,50,46,53,57,56,55,49,101,
      45,50,57,32,52,46,49,53,49,48,52,101,45,50,57,10,32,32,53,46,52,53,51,52,51,
      101,45,50,57,32,56,46,50,50,53,56,56,101,45,50,57,32,49,46,50,51,57,57,52,101,
      45,50,56,32,49,46,53,54,54,55,55,101,45,50,56,32,49,46,57,54,54,53,56,101,45,
      50,56,32,50,46,55,55,49,54,56,101,45,50,56,32,51,46,57,54,51,55,54,101,45,50,
      56,10,32,32,52,46,55,54,54,48,55,101,45,50,56,32,54,46,49,50,53,53,54,101,45,
      50,56,32,55,46,50,54,55,48,50,101,45,50,56,32,57,46,55,55,51,49,50,101,45,50,
      56,32,49,46,50,48,48,53,52,101,45,50,55,32,49,46,54,48,57,50,54,101,45,50,55,
      32,49,46,56,48,55,49,49,101,45,50,55,10,32,32,50,46,50,52,48,52,49,101,45,50,
      55,32,50,46,56,48,55,50,51,101,45,50,55,32,51,46,51,53,54,51,57,101,45,50,55,
      32,51,46,57,56,48,56,50,101,45,50,55,32,52,46,54,51,55,49,49,101,45,50,55,32,
      53,46,51,53,52,52,56,101,45,50,55,32,54,46,50,51,53,49,49,101,45,50,55,10,32,
      32,55,46,48,57,52,51,53,101,45,50,55,32,56,46,49,50,54,53,50,101,45,50,55,32,
      56,46,57,52,50,57,52,101,45,50,55,32,49,46,48,51,55,55,50,101,45,50,54,32,49,
      46,49,51,49,56,101,45,50,54,32,49,46,50,53,53,101,45,50,54,32,49,46,53,54,54,
      55,101,45,50,54,10,32,32,50,46,48,52,49,56,50,101,45,50,54,32,50,46,53,51,53,
      55,101,45,50,54,32,51,46,49,53,49,53,57,101,45,50,54,32,51,46,55,48,57,54,101,
      45,50,54,32,52,46,50,50,52,57,56,101,45,50,54,32,52,46,52,55,56,56,54,101,45,
      50,54,32,52,46,53,49,50,54,57,101,45,50,54,10,32,32,52,46,49,53,55,56,54,101,
      45,50,54,32,51,46,55,52,51,56,101,45,50,54,32,51,46,49,57,49,52,52,101,45,50,
      54,32,50,46,52,49,57,52,57,101,45,50,54,32,49,46,55,57,55,49,54,101,45,50,54,
      32,49,46,50,55,51,54,53,101,45,50,54,32,56,46,49,53,49,55,56,101,45,50,55,10,
      32,32,52,46,57,53,53,54,57,101,45,50,55,32,51,46,48,56,52,52,55,101,45,50,55,
      32,49,46,56,53,55,48,51,101,45,50,55,32,49,46,48,56,52,49,53,101,45,50,55,32,
      53,46,54,54,101,45,50,56,32,50,46,54,49,53,55,49,101,45,50,56,32,49,46,48,53,
      57,53,52,101,45,50,56,10,32,32,52,46,53,50,52,51,52,101,45,50,57,32,49,46,54,
      57,48,56,57,101,45,50,57,32,54,46,55,54,51,55,52,101,45,51,48,32,50,46,54,51,
      51,55,54,101,45,51,48,32,56,46,57,54,54,48,57,101,45,51,49,32,50,46,55,52,49,
      49,50,101,45,51,49,32,49,46,48,55,53,54,50,101,45,51,49,10,32,32,51,46,53,55,
      51,52,101,45,51,50,32,49,46,51,51,52,54,52,101,45,51,50,32,52,46,53,56,53,57,
      49,101,45,51,51,32,49,46,53,53,50,51,54,101,45,51,51,32,52,46,53,50,55,50,52,
      101,45,51,52,32,49,46,52,56,56,51,57,101,45,51,52,32,52,46,56,51,54,52,101,
      45,51,53,10,32,32,49,46,53,53,52,53,101,45,51,53,32,52,46,48,56,51,53,57,101,
      45,51,54,32,49,46,50,56,52,52,57,101,45,51,54,32,51,46,53,53,57,51,49,101,45,
      51,55,32,56,46,55,55,55,57,52,101,45,51,56,32,50,46,54,57,50,54,56,101,45,51,
      56,32,48,114,51,48,55,32,49,46,53,56,56,48,49,101,45,51,55,10,32,32,50,46,55,
      55,48,52,56,101,45,51,54,32,49,46,52,52,51,56,50,101,45,51,53,32,57,46,50,52,
      56,56,56,101,45,51,53,32,49,46,56,50,56,52,50,101,45,51,52,32,51,46,55,48,48,
      50,54,101,45,51,52,32,55,46,54,51,56,57,54,101,45,51,52,32,51,46,50,51,57,56,
      56,101,45,51,51,10,32,32,50,46,54,57,57,57,57,101,45,51,50,32,57,46,48,57,48,
      57,56,101,45,51,50,32,50,46,54,48,48,52,54,101,45,51,49,32,52,46,52,52,55,52,
      101,45,51,49,32,56,46,49,48,56,51,52,101,45,51,49,32,49,46,52,48,48,48,55,101,
      45,51,48,32,50,46,52,49,48,51,53,101,45,51,48,10,32,32,51,46,56,49,56,51,55,
      101,45,51,48,32,54,46,49,57,53,49,52,101,45,51,48,32,56,46,53,50,51,55,49,101,
      45,51,48,32,49,46,49,55,48,57,54,101,45,50,57,32,49,46,56,56,50,56,101,45,50,
      57,32,50,46,52,56,51,50,51,101,45,50,57,32,51,46,55,54,57,55,50,101,45,50,57,
      10,32,32,53,46,55,49,57,51,57,101,45,50,57,32,55,46,50,53,50,52,49,101,45,50,
      57,32,57,46,49,51,53,52,51,101,45,50,57,32,49,46,50,57,52,52,56,101,45,50,56,
      32,49,46,56,54,49,54,56,101,45,50,56,32,50,46,50,52,53,52,56,101,45,50,56,32,
      50,46,56,57,54,55,57,101,45,50,56,10,32,32,51,46,52,51,57,57,51,101,45,50,56,
      32,52,46,54,53,54,50,55,101,45,50,56,32,53,46,55,52,51,52,101,45,50,56,32,55,
      46,55,52,49,51,55,101,45,50,56,32,56,46,55,49,50,55,49,101,45,50,56,32,49,46,
      48,56,52,56,101,45,50,55,32,49,46,51,54,53,53,55,101,45,50,55,10,32,32,49,46,
      54,51,56,57,51,101,45,50,55,32,49,46,57,53,49,49,52,101,45,50,55,32,50,46,50,
      56,48,54,55,101,45,50,55,32,50,46,54,52,50,51,52,101,45,50,55,32,51,46,48,56,
      56,50,50,101,45,50,55,32,51,46,53,50,53,49,50,101,45,50,55,32,52,46,48,53,50,
      49,56,101,45,50,55,10,32,32,52,46,52,55,48,54,57,101,45,50,55,32,53,46,50,48,
      57,49,101,45,50,55,32,53,46,54,57,53,53,55,101,45,50,55,32,54,46,51,51,52,57,
      52,101,45,50,55,32,55,46,57,54,52,48,55,101,45,50,55,32,49,46,48,52,55,55,50,
      101,45,50,54,32,49,46,51,49,50,55,53,101,45,50,54,10,32,32,49,46,54,52,57,50,
      54,101,45,50,54,32,49,46,57,54,49,53,57,101,45,50,54,32,50,46,50,54,49,50,54,
      101,45,50,54,32,50,46,52,50,48,54,51,101,45,50,54,32,50,46,52,55,53,57,49,101,
      45,50,54,32,50,46,51,49,50,56,54,101,45,50,54,32,50,46,49,48,50,49,52,101,45,
      50,54,10,32,32,49,46,56,49,48,51,51,101,45,50,54,32,49,46,51,57,48,53,50,101,
      45,50,54,32,49,46,48,52,52,51,50,101,45,50,54,32,55,46,52,56,48,50,55,101,45,
      50,55,32,52,46,56,52,52,101,45,50,55,32,50,46,57,55,56,48,57,101,45,50,55,32,
      49,46,56,55,49,50,49,101,45,50,55,10,32,32,49,46,49,51,54,56,57,101,45,50,55,
      32,54,46,54,57,53,56,49,101,45,50,56,32,51,46,53,50,57,53,56,101,45,50,56,32,
      49,46,54,52,56,49,51,101,45,50,56,32,54,46,55,52,57,52,53,101,45,50,57,32,50,
      46,57,48,57,49,49,101,45,50,57,32,49,46,48,57,56,48,53,101,45,50,57,10,32,32,
      52,46,52,50,57,52,57,101,45,51,48,32,49,46,55,51,56,55,49,101,45,51,48,32,53,
      46,57,54,57,52,57,101,45,51,49,32,49,46,56,52,48,55,51,101,45,51,49,32,55,46,
      50,54,56,55,101,45,51,50,32,50,46,52,51,49,54,53,101,45,51,50,32,57,46,49,51,
      53,49,57,101,45,51,51,10,32,32,51,46,49,53,55,55,101,45,51,51,32,49,46,48,55,
      53,48,49,101,45,51,51,32,51,46,49,54,56,49,49,101,45,51,52,32,49,46,48,52,54,
      57,50,101,45,51,52,32,51,46,52,49,56,54,101,45,51,53,32,49,46,49,48,51,57,55,
      101,45,51,53,32,50,46,57,50,55,53,57,101,45,51,54,10,32,32,57,46,50,52,55,54,
      54,101,45,51,55,32,50,46,53,55,56,49,52,101,45,51,55,32,54,46,52,49,48,55,54,
      101,45,51,56,32,48,114,51,48,56,32,51,46,55,50,55,49,56,101,45,51,56,32,54,
      46,57,53,51,53,50,101,45,51,55,32,51,46,56,51,53,57,53,101,45,51,54,32,50,46,
      54,49,56,50,50,101,45,51,53,10,32,32,53,46,50,55,56,50,57,101,45,51,53,32,49,
      46,48,57,49,52,55,101,45,51,52,32,50,46,51,48,50,55,56,101,45,51,52,32,49,46,
      48,49,54,50,52,101,45,51,51,32,57,46,52,56,48,52,50,101,45,51,51,32,51,46,51,
      51,57,55,51,101,45,51,50,32,49,46,48,49,57,49,101,45,51,49,10,32,32,49,46,56,
      49,50,48,49,101,45,51,49,32,51,46,51,53,54,52,54,101,45,51,49,32,53,46,56,55,
      54,52,51,101,45,51,49,32,49,46,48,52,49,52,49,101,45,51,48,32,49,46,54,54,56,
      50,57,101,45,51,48,32,50,46,55,52,52,50,55,101,45,51,48,32,51,46,55,57,54,48,
      55,101,45,51,48,10,32,32,53,46,50,54,54,50,51,101,45,51,48,32,56,46,53,50,52,
      51,55,101,45,51,48,32,49,46,49,50,56,55,52,101,45,50,57,32,49,46,55,50,52,56,
      53,101,45,50,57,32,50,46,54,51,52,52,49,101,45,50,57,32,51,46,51,53,50,52,101,
      45,50,57,32,52,46,50,51,55,57,50,101,45,50,57,10,32,32,54,46,48,51,55,54,56,
      101,45,50,57,32,56,46,55,51,50,57,101,45,50,57,32,49,46,48,53,55,53,51,101,
      45,50,56,32,49,46,51,55,49,55,57,101,45,50,56,32,49,46,54,50,55,57,51,101,45,
      50,56,32,50,46,50,49,53,49,56,101,45,50,56,32,50,46,55,52,52,52,49,101,45,50,
      56,10,32,32,51,46,55,49,57,54,51,101,45,50,56,32,52,46,49,57,53,55,52,101,45,
      50,56,32,53,46,50,52,54,50,57,101,45,50,56,32,54,46,54,51,52,55,49,101,45,50,
      56,32,55,46,57,57,51,48,51,101,45,50,56,32,57,46,53,53,49,50,55,101,45,50,56,
      32,49,46,49,50,48,50,57,101,45,50,55,10,32,32,49,46,51,48,50,51,49,101,45,50,
      55,32,49,46,53,50,55,54,53,101,45,50,55,32,49,46,55,52,57,51,57,101,45,50,55,
      32,50,46,48,49,56,101,45,50,55,32,50,46,50,51,50,48,57,101,45,50,55,32,50,46,
      54,49,49,52,52,101,45,50,55,32,50,46,56,54,50,52,50,101,45,50,55,10,32,32,51,
      46,49,57,51,52,57,101,45,50,55,32,52,46,48,52,50,57,101,45,50,55,32,53,46,51,
      54,56,53,55,101,45,50,55,32,54,46,55,56,54,51,57,101,45,50,55,32,56,46,54,49,
      55,55,53,101,45,50,55,32,49,46,48,51,53,54,53,101,45,50,54,32,49,46,50,48,56,
      50,55,101,45,50,54,10,32,32,49,46,51,48,54,101,45,50,54,32,49,46,51,53,53,57,
      49,101,45,50,54,32,49,46,50,56,52,48,53,101,45,50,54,32,49,46,49,55,55,57,55,
      101,45,50,54,32,49,46,48,50,52,55,52,101,45,50,54,32,55,46,57,55,52,49,53,101,
      45,50,55,32,54,46,48,53,52,56,51,101,45,50,55,10,32,32,52,46,51,56,51,49,57,
      101,45,50,55,32,50,46,56,55,49,55,49,101,45,50,55,32,49,46,55,56,53,52,101,
      45,50,55,32,49,46,49,51,50,52,52,101,45,50,55,32,54,46,57,52,51,49,57,101,45,
      50,56,32,52,46,49,50,53,50,55,101,45,50,56,32,50,46,49,57,53,54,52,101,45,50,
      56,10,32,32,49,46,48,51,53,57,51,101,45,50,56,32,52,46,50,56,57,48,53,101,45,
      50,57,32,49,46,56,54,54,48,50,101,45,50,57,32,55,46,49,49,51,53,57,101,45,51,
      48,32,50,46,56,57,51,57,49,101,45,51,48,32,49,46,49,52,53,49,50,101,45,51,48,
      32,51,46,57,54,53,49,53,101,45,51,49,10,32,32,49,46,50,51,51,50,55,101,45,51,
      49,32,52,46,57,48,48,56,56,101,45,51,50,32,49,46,54,53,49,48,52,101,45,51,50,
      32,54,46,50,51,57,48,56,101,45,51,51,32,50,46,49,54,57,54,101,45,51,51,32,55,
      46,52,50,56,54,53,101,45,51,52,32,50,46,50,49,50,49,56,101,45,51,52,10,32,32,
      55,46,51,52,56,49,51,101,45,51,53,32,50,46,52,49,49,51,53,101,45,51,53,32,55,
      46,56,50,51,57,51,101,45,51,54,32,50,46,48,57,52,52,54,101,45,51,54,32,54,46,
      54,52,52,50,49,101,45,51,55,32,49,46,56,54,51,55,101,45,51,55,32,52,46,54,55,
      50,55,57,101,45,51,56,10,32,32,48,114,51,48,57,32,49,46,55,50,49,51,53,101,
      45,51,55,32,49,46,48,48,52,49,57,101,45,51,54,32,55,46,50,56,57,57,101,45,51,
      54,32,49,46,52,57,56,57,53,101,45,51,53,32,51,46,49,54,55,55,56,101,45,51,53,
      32,54,46,56,51,48,50,56,101,45,51,53,32,51,46,49,51,54,49,51,101,45,51,52,10,
      32,32,51,46,50,55,56,53,50,101,45,51,51,32,49,46,50,48,56,49,50,101,45,51,50,
      32,51,46,57,52,49,52,53,101,45,51,50,32,55,46,50,57,50,56,101,45,51,50,32,49,
      46,51,55,52,48,55,101,45,51,49,32,50,46,52,52,49,55,54,101,45,51,49,32,52,46,
      52,55,52,50,53,101,45,51,49,10,32,32,55,46,50,53,48,57,51,101,45,51,49,32,49,
      46,50,49,49,48,53,101,45,51,48,32,49,46,54,56,52,55,56,101,45,51,48,32,50,46,
      51,54,53,49,50,101,45,51,48,32,51,46,56,53,52,49,51,101,45,51,48,32,53,46,49,
      50,51,55,49,101,45,51,48,32,55,46,56,56,51,48,50,101,45,51,48,10,32,32,49,46,
      50,49,50,50,49,101,45,50,57,32,49,46,53,52,56,48,51,101,45,50,57,32,49,46,57,
      54,51,56,53,101,45,50,57,32,50,46,56,49,50,57,51,101,45,50,57,32,52,46,48,57,
      50,50,57,101,45,50,57,32,52,46,57,55,50,56,52,101,45,50,57,32,54,46,52,56,54,
      56,49,101,45,50,57,10,32,32,55,46,55,49,52,52,54,101,45,50,57,32,49,46,48,53,
      51,48,56,101,45,50,56,32,49,46,51,48,57,56,54,101,45,50,56,32,49,46,55,56,53,
      48,49,101,45,50,56,32,50,46,48,49,55,57,54,101,45,50,56,32,50,46,53,51,51,56,
      53,101,45,50,56,32,51,46,50,49,57,48,52,101,45,50,56,10,32,32,51,46,56,57,50,
      53,54,101,45,50,56,32,52,46,54,54,56,53,54,101,45,50,56,32,53,46,52,57,52,52,
      52,101,45,50,56,32,54,46,52,48,56,50,101,45,50,56,32,55,46,53,52,52,49,56,101,
      45,50,56,32,56,46,54,54,54,54,51,101,45,50,56,32,49,46,48,48,51,49,56,101,45,
      50,55,10,32,32,49,46,49,49,50,51,56,101,45,50,55,32,49,46,51,48,54,54,57,101,
      45,50,55,32,49,46,52,51,53,55,56,101,45,50,55,32,49,46,54,48,54,54,55,101,45,
      50,55,32,50,46,48,52,56,48,54,101,45,50,55,32,50,46,55,52,52,55,57,101,45,50,
      55,32,51,46,53,48,48,49,50,101,45,50,55,10,32,32,52,46,52,57,50,48,57,101,45,
      50,55,32,53,46,52,53,52,50,51,101,45,50,55,32,54,46,52,51,57,57,101,45,50,55,
      32,55,46,48,50,56,50,55,101,45,50,55,32,55,46,52,48,54,51,56,101,45,50,55,32,
      55,46,49,49,48,49,52,101,45,50,55,32,54,46,53,56,51,54,50,101,45,50,55,10,32,
      32,53,46,55,56,53,51,49,101,45,50,55,32,52,46,53,54,48,56,49,101,45,50,55,32,
      51,46,53,48,49,50,49,101,45,50,55,32,50,46,53,54,49,53,52,101,45,50,55,32,49,
      46,54,57,55,57,49,101,45,50,55,32,49,46,48,54,55,53,50,101,45,50,55,32,54,46,
      56,51,53,50,49,101,45,50,56,10,32,32,52,46,50,50,57,49,50,101,45,50,56,32,50,
      46,53,51,52,56,54,101,45,50,56,32,49,46,51,54,50,50,52,101,45,50,56,32,54,46,
      52,57,52,51,101,45,50,57,32,50,46,55,49,56,52,53,101,45,50,57,32,49,46,49,57,
      51,56,53,101,45,50,57,32,52,46,53,57,54,55,49,101,45,51,48,10,32,32,49,46,56,
      56,53,57,51,101,45,51,48,32,55,46,53,50,51,49,53,101,45,51,49,32,50,46,54,50,
      55,51,52,101,45,51,49,32,56,46,50,52,50,56,101,45,51,50,32,51,46,50,57,54,53,
      101,45,51,50,32,49,46,49,49,56,51,56,101,45,51,50,32,52,46,50,53,49,50,54,101,
      45,51,51,10,32,32,49,46,52,56,55,51,101,45,51,51,32,53,46,49,50,49,57,57,101,
      45,51,52,32,49,46,53,52,49,49,50,101,45,51,52,32,53,46,49,52,53,56,53,101,45,
      51,53,32,49,46,54,57,55,48,57,101,45,51,53,32,53,46,53,51,50,55,56,101,45,51,
      54,32,49,46,52,57,53,49,56,101,45,51,54,10,32,32,52,46,55,54,51,53,56,101,45,
      51,55,32,49,46,51,52,52,52,53,101,45,51,55,32,51,46,51,57,57,50,49,101,45,51,
      56,32,48,114,51,48,57,32,50,46,57,52,56,56,50,101,45,51,56,32,49,46,56,52,50,
      54,49,101,45,51,55,32,49,46,52,52,49,55,101,45,51,54,32,51,46,48,51,57,49,56,
      101,45,51,54,10,32,32,54,46,54,48,49,55,53,101,45,51,54,32,49,46,52,54,50,51,
      54,101,45,51,53,32,55,46,48,53,50,54,56,101,45,51,53,32,56,46,52,56,56,53,51,
      101,45,51,52,32,51,46,51,48,55,56,55,101,45,51,51,32,49,46,49,55,54,53,49,101,
      45,51,50,32,50,46,50,57,48,48,56,101,45,51,50,10,32,32,52,46,52,49,52,55,57,
      101,45,51,50,32,56,46,48,48,52,53,50,101,45,51,50,32,49,46,53,51,57,54,55,101,
      45,51,49,32,50,46,53,51,50,55,52,101,45,51,49,32,52,46,51,50,49,49,53,101,45,
      51,49,32,54,46,48,53,56,48,51,101,45,51,49,32,56,46,54,54,51,51,55,101,45,51,
      49,10,32,32,49,46,52,50,51,56,52,101,45,51,48,32,49,46,57,48,50,52,50,101,45,
      51,48,32,50,46,57,53,51,48,56,101,45,51,48,32,52,46,53,56,49,51,54,101,45,51,
      48,32,53,46,56,55,54,52,51,101,45,51,48,32,55,46,52,56,55,57,51,101,45,51,48,
      32,49,46,48,55,57,55,56,101,45,50,57,10,32,32,49,46,53,56,50,51,57,101,45,50,
      57,32,49,46,57,50,55,56,55,101,45,50,57,32,50,46,53,50,50,52,57,101,45,50,57,
      32,51,46,48,50,53,54,52,101,45,50,57,32,52,46,49,52,55,56,49,101,45,50,57,32,
      53,46,49,56,49,56,51,101,45,50,57,32,55,46,49,48,57,55,51,101,45,50,57,10,32,
      32,56,46,48,53,57,57,53,101,45,50,57,32,49,46,48,49,55,52,101,45,50,56,32,49,
      46,50,57,57,57,53,101,45,50,56,32,49,46,53,55,57,51,51,101,45,50,56,32,49,46,
      57,48,50,57,55,101,45,50,56,32,50,46,50,52,57,49,55,101,45,50,56,32,50,46,54,
      51,52,49,49,101,45,50,56,10,32,32,51,46,49,49,53,49,50,101,45,50,56,32,51,46,
      53,57,50,56,52,101,45,50,56,32,52,46,49,55,54,55,55,101,45,50,56,32,52,46,54,
      52,54,101,45,50,56,32,53,46,52,56,53,50,101,45,50,56,32,54,46,48,52,53,53,54,
      101,45,50,56,32,54,46,55,57,48,54,54,101,45,50,56,10,32,32,56,46,55,51,49,50,
      57,101,45,50,56,32,49,46,49,56,51,55,55,101,45,50,55,32,49,46,53,50,54,49,53,
      101,45,50,55,32,49,46,57,56,52,56,49,101,45,50,55,32,50,46,52,52,49,48,49,101,
      45,50,55,32,50,46,57,50,53,51,52,101,45,50,55,32,51,46,50,51,49,49,53,101,45,
      50,55,10,32,32,51,46,52,54,56,54,55,101,45,50,55,32,51,46,51,56,54,56,56,101,
      45,50,55,32,51,46,49,55,50,52,54,101,45,50,55,32,50,46,56,50,50,57,50,101,45,
      50,55,32,50,46,50,54,49,54,52,101,45,50,55,32,49,46,55,54,48,48,49,101,45,50,
      55,32,49,46,51,48,52,55,50,101,45,50,55,10,32,32,56,46,55,55,52,54,56,101,45,
      50,56,32,53,46,53,57,52,50,55,101,45,50,56,32,51,46,54,50,52,50,56,101,45,50,
      56,32,50,46,50,54,56,48,49,101,45,50,56,32,49,46,51,55,52,51,54,101,45,50,56,
      32,55,46,52,55,53,51,56,101,45,50,57,32,51,46,54,49,48,50,56,101,45,50,57,10,
      32,32,49,46,53,51,50,48,57,101,45,50,57,32,54,46,56,48,55,56,51,101,45,51,48,
      32,50,46,54,53,52,48,56,101,45,51,48,32,49,46,49,48,48,53,51,101,45,51,48,32,
      52,46,52,51,52,56,51,101,45,51,49,32,49,46,53,54,53,53,101,45,51,49,32,52,46,
      57,54,53,49,55,101,45,51,50,10,32,32,50,46,48,48,49,54,50,101,45,51,50,32,54,
      46,56,53,49,48,53,101,45,51,51,32,50,46,54,50,51,54,53,101,45,51,51,32,57,46,
      50,52,56,56,101,45,51,52,32,51,46,50,48,56,51,50,101,45,51,52,32,57,46,55,55,
      56,49,53,101,45,51,53,32,51,46,50,56,54,53,101,45,51,53,10,32,32,49,46,48,57,
      48,55,50,101,45,51,53,32,51,46,53,55,55,51,55,101,45,51,54,32,57,46,55,56,50,
      52,50,101,45,51,55,32,51,46,49,51,51,54,101,45,51,55,32,56,46,57,49,51,54,55,
      101,45,51,56,32,50,46,50,55,55,52,54,101,45,51,56,32,48,114,51,49,48,32,51,
      46,51,48,53,53,51,101,45,51,56,10,32,32,50,46,55,56,50,55,50,101,45,51,55,32,
      54,46,48,49,53,48,55,101,45,51,55,32,49,46,51,52,51,50,56,101,45,51,54,32,51,
      46,48,53,54,56,51,101,45,51,54,32,49,46,53,52,56,50,53,101,45,51,53,32,50,46,
      49,52,54,49,53,101,45,51,52,32,56,46,56,52,48,48,53,101,45,51,52,10,32,32,51,
      46,52,51,54,101,45,51,51,32,55,46,48,51,57,55,57,101,45,51,51,32,49,46,51,57,
      48,54,54,101,45,51,50,32,50,46,53,55,54,51,56,101,45,51,50,32,53,46,50,51,56,
      52,50,101,45,51,50,32,56,46,55,53,48,56,101,45,51,50,32,49,46,53,50,56,56,55,
      101,45,51,49,10,32,32,50,46,49,54,49,53,49,101,45,51,49,32,51,46,49,54,52,51,
      51,101,45,51,49,32,53,46,50,52,53,57,101,45,51,49,32,55,46,48,52,53,101,45,
      51,49,32,49,46,49,48,51,56,56,101,45,51,48,32,49,46,55,50,56,52,52,101,45,51,
      48,32,50,46,50,50,54,55,54,101,45,51,48,10,32,32,50,46,56,52,57,55,56,101,45,
      51,48,32,52,46,49,51,54,57,55,101,45,51,48,32,54,46,49,48,53,52,52,101,45,51,
      48,32,55,46,52,53,56,49,50,101,45,51,48,32,57,46,55,57,48,53,49,101,45,51,48,
      32,49,46,49,56,48,49,101,45,50,57,32,49,46,54,50,57,57,55,101,45,50,57,10,32,
      32,50,46,48,52,53,55,51,101,45,50,57,32,50,46,56,50,53,57,101,45,50,57,32,51,
      46,50,49,50,52,49,101,45,50,57,32,52,46,48,55,54,50,55,101,45,50,57,32,53,46,
      50,51,55,57,52,101,45,50,57,32,54,46,51,57,51,51,49,101,45,50,57,32,55,46,55,
      51,56,56,50,101,45,50,57,10,32,32,57,46,49,56,53,51,55,101,45,50,57,32,49,46,
      48,56,48,49,54,101,45,50,56,32,49,46,50,56,51,49,52,101,45,50,56,32,49,46,52,
      56,53,55,53,101,45,50,56,32,49,46,55,51,52,54,51,101,45,50,56,32,49,46,57,51,
      53,53,51,101,45,50,56,32,50,46,50,57,54,54,54,101,45,50,56,10,32,32,50,46,53,
      51,57,101,45,50,56,32,50,46,56,54,50,54,51,101,45,50,56,32,51,46,55,49,50,52,
      101,45,50,56,32,53,46,48,57,49,50,50,101,45,50,56,32,54,46,54,51,53,50,56,101,
      45,50,56,32,56,46,55,52,51,53,52,101,45,50,56,32,49,46,48,56,57,48,57,101,45,
      50,55,10,32,32,49,46,51,50,52,53,56,101,45,50,55,32,49,46,52,56,48,54,49,101,
      45,50,55,32,49,46,54,49,57,48,50,101,45,50,55,32,49,46,54,48,55,55,51,101,45,
      50,55,32,49,46,53,50,51,51,54,101,45,50,55,32,49,46,51,55,50,53,54,101,45,50,
      55,32,49,46,49,49,55,53,49,101,45,50,55,10,32,32,56,46,56,49,53,51,51,101,45,
      50,56,32,54,46,54,50,49,50,56,101,45,50,56,32,52,46,53,49,55,57,54,101,45,50,
      56,32,50,46,57,50,48,56,51,101,45,50,56,32,49,46,57,49,52,54,51,101,45,50,56,
      32,49,46,50,49,49,56,49,101,45,50,56,32,55,46,52,50,52,49,54,101,45,50,57,10,
      32,32,52,46,48,56,55,48,56,101,45,50,57,32,49,46,57,57,57,54,54,101,45,50,57,
      32,56,46,54,48,51,49,55,101,45,51,48,32,51,46,56,54,56,48,51,101,45,51,48,32,
      49,46,53,50,54,57,51,101,45,51,48,32,54,46,51,57,57,51,55,101,45,51,49,32,50,
      46,54,48,53,49,49,101,45,51,49,10,32,32,57,46,50,57,53,55,101,45,51,50,32,50,
      46,57,56,48,54,50,101,45,51,50,32,49,46,50,49,49,50,56,101,45,51,50,32,52,46,
      49,56,50,57,101,45,51,51,32,49,46,54,49,51,56,54,101,45,51,51,32,53,46,55,51,
      50,55,54,101,45,51,52,32,50,46,48,48,51,50,51,101,45,51,52,10,32,32,54,46,49,
      56,51,53,51,101,45,51,53,32,50,46,48,57,50,49,53,101,45,51,53,32,54,46,57,56,
      55,54,101,45,51,54,32,50,46,51,48,53,55,57,101,45,51,54,32,54,46,51,56,101,
      45,51,55,32,50,46,48,53,52,57,54,101,45,51,55,32,53,46,56,57,49,54,55,101,45,
      51,56,10,32,32,48,114,51,49,50,32,53,46,50,52,51,57,101,45,51,56,32,49,46,49,
      54,50,52,57,101,45,51,55,32,50,46,54,54,57,53,53,101,45,51,55,32,54,46,50,52,
      48,50,101,45,51,55,32,51,46,51,49,56,50,49,101,45,51,54,32,53,46,50,56,56,49,
      56,101,45,51,53,32,50,46,51,48,49,52,50,101,45,51,52,10,32,32,57,46,55,57,51,
      52,50,101,45,51,52,32,50,46,49,49,50,48,50,101,45,51,51,32,52,46,50,56,49,52,
      56,101,45,51,51,32,56,46,49,49,54,50,50,101,45,51,51,32,49,46,55,53,54,57,52,
      101,45,51,50,32,50,46,57,56,49,56,50,101,45,51,50,32,53,46,51,52,54,57,51,101,
      45,51,50,10,32,32,55,46,54,50,57,53,49,101,45,51,50,32,49,46,49,53,48,50,49,
      101,45,51,49,32,49,46,57,50,52,48,52,101,45,51,49,32,50,46,53,57,55,53,50,101,
      45,51,49,32,52,46,49,49,49,51,56,101,45,51,49,32,54,46,53,48,49,54,49,101,45,
      51,49,32,56,46,52,49,51,48,52,101,45,51,49,10,32,32,49,46,48,56,49,51,57,101,
      45,51,48,32,49,46,53,56,48,52,52,101,45,51,48,32,50,46,51,52,56,56,53,101,45,
      51,48,32,50,46,56,56,51,50,101,45,51,48,32,51,46,56,48,56,52,52,101,45,51,48,
      32,52,46,53,56,54,57,57,101,45,51,48,32,54,46,51,56,49,57,52,101,45,51,48,10,
      32,32,56,46,48,53,50,56,51,101,45,51,48,32,49,46,49,49,57,57,57,101,45,50,57,
      32,49,46,50,55,54,55,101,45,50,57,32,49,46,54,50,56,53,53,101,45,50,57,32,50,
      46,49,48,52,54,49,101,45,50,57,32,50,46,53,56,48,56,54,101,45,50,57,32,51,46,
      49,51,56,52,52,101,45,50,57,10,32,32,51,46,55,52,48,57,49,101,45,50,57,32,52,
      46,52,49,55,51,49,101,45,50,57,32,53,46,50,55,49,49,49,101,45,50,57,32,54,46,
      49,50,55,54,49,101,45,50,57,32,55,46,49,56,52,56,55,101,45,50,57,32,56,46,48,
      52,50,49,49,101,45,50,57,32,57,46,53,57,48,56,49,101,45,50,57,10,32,32,49,46,
      48,54,51,53,51,101,45,50,56,32,49,46,50,48,51,54,101,45,50,56,32,49,46,53,55,
      52,51,53,101,45,50,56,32,50,46,49,56,51,57,57,101,45,50,56,32,50,46,56,55,55,
      52,51,101,45,50,56,32,51,46,56,52,49,55,56,101,45,50,56,32,52,46,56,52,54,52,
      49,101,45,50,56,10,32,32,53,46,57,56,49,54,54,101,45,50,56,32,54,46,55,54,53,
      57,57,101,45,50,56,32,55,46,53,51,53,101,45,50,56,32,55,46,54,48,56,56,52,101,
      45,50,56,32,55,46,50,57,50,49,55,101,45,50,56,32,54,46,54,53,50,49,57,101,45,
      50,56,32,53,46,53,48,51,50,53,101,45,50,56,10,32,32,52,46,52,48,48,49,53,101,
      45,50,56,32,51,46,51,52,56,52,50,101,45,50,56,32,50,46,51,49,55,56,56,101,45,
      50,56,32,49,46,53,49,57,51,57,101,45,50,56,32,49,46,48,48,55,54,57,101,45,50,
      56,32,54,46,52,53,48,51,57,101,45,50,57,32,51,46,57,57,53,50,52,101,45,50,57,
      10,32,32,50,46,50,50,54,48,55,101,45,50,57,32,49,46,49,48,51,51,53,101,45,50,
      57,32,52,46,56,49,50,54,52,101,45,51,48,32,50,46,49,56,57,52,50,101,45,51,48,
      32,56,46,55,53,49,55,51,101,45,51,49,32,51,46,55,48,55,50,53,101,45,51,49,32,
      49,46,53,50,52,54,54,101,45,51,49,10,32,32,53,46,52,57,57,53,54,101,45,51,50,
      32,49,46,55,56,50,56,56,101,45,51,50,32,55,46,51,48,52,49,49,101,45,51,51,32,
      50,46,53,52,52,57,55,101,45,51,51,32,57,46,56,57,51,49,51,101,45,51,52,32,51,
      46,53,52,49,51,55,101,45,51,52,32,49,46,50,52,54,54,50,101,45,51,52,10,32,32,
      51,46,56,57,54,55,57,101,45,51,53,32,49,46,51,50,55,51,101,45,51,53,32,52,46,
      52,54,49,53,54,101,45,51,54,32,49,46,52,56,49,51,101,45,51,54,32,52,46,49,52,
      55,48,53,101,45,51,55,32,49,46,51,52,51,49,56,101,45,51,55,32,51,46,56,56,49,
      56,54,101,45,51,56,10,32,32,48,114,51,49,51,32,50,46,49,57,56,56,101,45,51,
      56,32,53,46,49,57,51,49,57,101,45,51,56,32,49,46,50,52,54,57,52,101,45,51,55,
      32,54,46,57,53,57,55,51,101,45,51,55,32,49,46,50,55,51,48,54,101,45,51,53,32,
      53,46,56,53,50,49,55,101,45,51,53,32,50,46,55,50,56,52,56,101,45,51,52,10,32,
      32,54,46,49,57,48,48,53,101,45,51,52,32,49,46,50,56,57,51,56,101,45,51,51,32,
      50,46,53,48,52,49,51,101,45,51,51,32,53,46,56,48,57,52,101,45,51,51,32,49,46,
      48,48,50,49,55,101,45,51,50,32,49,46,56,52,56,51,57,101,45,51,50,32,50,46,54,
      54,52,49,54,101,45,51,50,10,32,32,52,46,49,54,51,52,49,101,45,51,50,32,55,46,
      48,51,48,50,50,101,45,51,50,32,57,46,53,52,51,49,55,101,45,51,50,32,49,46,53,
      50,55,50,57,101,45,51,49,32,50,46,52,52,49,52,101,45,51,49,32,51,46,49,55,51,
      49,53,101,45,51,49,32,52,46,48,57,54,52,52,101,45,51,49,10,32,32,54,46,48,50,
      55,51,56,101,45,51,49,32,57,46,48,50,50,54,51,101,45,51,49,32,49,46,49,49,50,
      55,54,101,45,51,48,32,49,46,52,56,48,51,52,101,45,51,48,32,49,46,55,56,54,48,
      52,101,45,51,48,32,50,46,52,57,53,57,50,101,45,51,48,32,51,46,49,54,53,48,52,
      101,45,51,48,10,32,32,52,46,52,51,49,53,56,101,45,51,48,32,53,46,48,54,53,52,
      55,101,45,51,48,32,54,46,52,57,52,57,56,101,45,51,48,32,56,46,52,52,48,54,57,
      101,45,51,48,32,49,46,48,51,57,56,52,101,45,50,57,32,49,46,50,55,48,50,50,101,
      45,50,57,32,49,46,53,50,48,51,56,101,45,50,57,10,32,32,49,46,56,48,50,53,55,
      101,45,50,57,32,50,46,49,54,48,53,51,101,45,50,57,32,50,46,53,50,49,51,57,101,
      45,50,57,32,50,46,57,54,56,57,53,101,45,50,57,32,51,46,51,51,51,52,101,45,50,
      57,32,51,46,57,57,53,48,53,101,45,50,57,32,52,46,52,52,51,52,49,101,45,50,57,
      10,32,32,53,46,48,52,55,50,50,101,45,50,57,32,54,46,54,53,55,56,57,101,45,50,
      57,32,57,46,51,52,48,56,56,101,45,50,57,32,49,46,50,52,51,57,101,45,50,56,32,
      49,46,54,56,50,53,101,45,50,56,32,50,46,49,52,57,51,53,101,45,50,56,32,50,46,
      54,57,49,56,57,101,45,50,56,10,32,32,51,46,48,56,49,48,49,101,45,50,56,32,51,
      46,52,57,52,50,57,101,45,50,56,32,51,46,53,56,55,57,52,101,45,50,56,32,51,46,
      52,55,56,48,50,101,45,50,56,32,51,46,50,49,50,50,57,101,45,50,56,32,50,46,55,
      48,48,50,52,101,45,50,56,32,50,46,49,56,56,50,56,101,45,50,56,10,32,32,49,46,
      54,56,55,48,57,101,45,50,56,32,49,46,49,56,52,55,56,101,45,50,56,32,55,46,56,
      55,52,55,51,101,45,50,57,32,53,46,50,56,52,49,49,101,45,50,57,32,51,46,52,50,
      48,57,101,45,50,57,32,50,46,49,52,50,49,49,101,45,50,57,32,49,46,50,48,56,101,
      45,50,57,10,32,32,54,46,48,54,53,54,56,101,45,51,48,32,50,46,54,56,50,51,57,
      101,45,51,48,32,49,46,50,51,52,55,57,101,45,51,48,32,52,46,57,57,56,49,101,
      45,51,49,32,50,46,49,52,48,48,51,101,45,51,49,32,56,46,56,57,49,55,51,101,45,
      51,50,32,51,46,50,52,50,51,51,101,45,51,50,10,32,32,49,46,48,54,50,55,55,101,
      45,51,50,32,52,46,51,56,57,52,52,101,45,51,51,32,49,46,53,52,51,50,50,101,45,
      51,51,32,54,46,48,52,52,52,55,101,45,51,52,32,50,46,49,56,48,53,101,45,51,52,
      32,55,46,55,51,50,55,56,101,45,51,53,32,50,46,52,52,55,53,50,101,45,51,53,10,
      32,32,56,46,51,57,51,48,51,101,45,51,54,32,50,46,56,51,57,53,101,45,51,54,32,
      57,46,52,56,54,48,55,101,45,51,55,32,50,46,54,56,55,48,52,101,45,51,55,32,56,
      46,55,53,49,57,55,101,45,51,56,32,50,46,53,52,57,55,52,101,45,51,56,32,48,114,
      51,49,53,32,50,46,52,51,57,54,50,101,45,51,56,10,32,32,49,46,52,50,56,53,55,
      101,45,51,55,32,50,46,57,57,51,53,49,101,45,51,54,32,49,46,52,53,50,51,53,101,
      45,51,53,32,55,46,52,50,50,48,51,101,45,51,53,32,49,46,55,55,48,48,56,101,45,
      51,52,32,51,46,55,57,50,54,53,101,45,51,52,32,55,46,53,53,52,53,50,101,45,51,
      52,10,32,32,49,46,56,56,56,55,54,101,45,51,51,32,51,46,51,49,51,51,54,101,45,
      51,51,32,54,46,50,57,55,52,49,101,45,51,51,32,57,46,49,55,55,48,54,101,45,51,
      51,32,49,46,52,57,55,50,55,101,45,51,50,32,50,46,53,53,51,55,52,101,45,51,50,
      32,51,46,52,56,54,55,51,101,45,51,50,10,32,32,53,46,54,52,57,52,52,101,45,51,
      50,32,57,46,49,51,57,50,54,101,45,51,50,32,49,46,49,57,51,49,56,101,45,51,49,
      32,49,46,53,52,55,49,49,101,45,51,49,32,50,46,50,57,49,57,54,101,45,51,49,32,
      51,46,52,53,54,50,49,101,45,51,49,32,52,46,50,55,51,48,50,101,45,51,49,10,32,
      32,53,46,55,48,51,54,101,45,51,49,32,54,46,57,52,49,53,101,45,51,49,32,57,46,
      55,52,48,49,51,101,45,51,49,32,49,46,50,52,48,53,50,101,45,51,48,32,49,46,55,
      52,56,54,101,45,51,48,32,50,46,48,48,52,49,57,101,45,51,48,32,50,46,53,56,51,
      49,55,101,45,51,48,10,32,32,51,46,51,55,53,57,53,101,45,51,48,32,52,46,49,55,
      56,49,57,101,45,51,48,32,53,46,49,50,55,49,53,101,45,51,48,32,54,46,49,54,50,
      54,49,101,45,51,48,32,55,46,51,51,54,49,52,101,45,51,48,32,56,46,56,51,50,49,
      49,101,45,51,48,32,49,46,48,51,52,55,53,101,45,50,57,10,32,32,49,46,50,50,51,
      54,101,45,50,57,32,49,46,51,55,56,48,52,101,45,50,57,32,49,46,54,53,57,55,54,
      101,45,50,57,32,49,46,56,53,49,53,57,101,45,50,57,32,50,46,49,49,48,57,56,101,
      45,50,57,32,50,46,56,48,56,50,57,101,45,50,57,32,51,46,57,56,52,56,53,101,45,
      50,57,10,32,32,53,46,51,54,51,55,51,101,45,50,57,32,55,46,51,52,57,54,55,101,
      45,50,57,32,57,46,53,48,55,53,52,101,45,50,57,32,49,46,50,48,56,50,101,45,50,
      56,32,49,46,51,57,57,49,55,101,45,50,56,32,49,46,54,49,53,56,57,101,45,50,56,
      32,49,46,54,56,54,57,55,101,45,50,56,10,32,32,49,46,54,53,51,56,54,101,45,50,
      56,32,49,46,53,52,54,51,56,101,45,50,56,32,49,46,51,50,48,54,51,101,45,50,56,
      32,49,46,48,56,52,54,55,101,45,50,56,32,56,46,52,55,49,53,49,101,45,50,57,32,
      54,46,48,51,52,57,53,101,45,50,57,32,52,46,48,54,54,56,101,45,50,57,10,32,32,
      50,46,55,54,48,56,54,101,45,50,57,32,49,46,56,48,55,54,101,45,50,57,32,49,46,
      49,52,52,50,57,101,45,50,57,32,54,46,53,51,48,57,51,101,45,51,48,32,51,46,51,
      50,50,49,53,101,45,51,48,32,49,46,52,56,57,52,56,101,45,51,48,32,54,46,57,51,
      55,57,53,101,45,51,49,10,32,32,50,46,56,52,51,55,53,101,45,51,49,32,49,46,50,
      51,48,55,53,101,45,51,49,32,53,46,49,54,54,53,101,45,51,50,32,49,46,57,48,52,
      53,57,101,45,51,50,32,54,46,51,49,50,51,55,101,45,51,51,32,50,46,54,50,56,52,
      56,101,45,51,51,32,57,46,51,50,52,57,51,101,45,51,52,10,32,32,51,46,54,56,48,
      50,51,101,45,51,52,32,49,46,51,51,55,57,57,101,45,51,52,32,52,46,55,56,48,52,
      56,101,45,51,53,32,49,46,53,51,49,57,101,45,51,53,32,53,46,50,56,57,48,56,101,
      45,51,54,32,49,46,56,48,49,48,57,101,45,51,54,32,54,46,48,53,52,55,101,45,51,
      55,10,32,32,49,46,55,51,53,50,54,101,45,51,55,32,53,46,54,56,52,48,55,101,45,
      51,56,32,48,114,51,49,55,32,50,46,56,54,57,53,53,101,45,51,56,32,54,46,56,55,
      53,55,55,101,45,51,55,32,51,46,53,50,48,55,57,101,45,51,54,32,49,46,57,55,51,
      57,49,101,45,51,53,32,52,46,57,52,54,54,50,101,45,51,53,10,32,32,49,46,48,57,
      49,49,55,101,45,51,52,32,50,46,50,51,49,49,101,45,51,52,32,54,46,48,52,51,51,
      50,101,45,51,52,32,49,46,48,55,56,52,55,101,45,51,51,32,50,46,49,49,53,48,51,
      101,45,51,51,32,51,46,49,49,56,56,49,101,45,51,51,32,53,46,51,53,49,49,50,101,
      45,51,51,10,32,32,57,46,50,50,53,52,101,45,51,51,32,49,46,50,54,55,51,53,101,
      45,51,50,32,50,46,48,56,50,50,51,101,45,51,50,32,51,46,52,49,51,54,49,101,45,
      51,50,32,52,46,52,55,54,55,56,101,45,51,50,32,53,46,56,51,48,48,53,101,45,51,
      50,32,56,46,54,57,54,55,54,101,45,51,50,10,32,32,49,46,51,50,48,55,54,101,45,
      51,49,32,49,46,54,51,55,48,54,101,45,51,49,32,50,46,49,57,50,55,50,101,45,51,
      49,32,50,46,54,56,51,48,57,101,45,51,49,32,51,46,55,57,50,54,56,101,45,51,49,
      32,52,46,56,53,50,52,55,101,45,51,49,32,54,46,56,56,53,54,52,101,45,51,49,10,
      32,32,55,46,57,49,51,53,57,101,45,51,49,32,49,46,48,50,53,50,52,101,45,51,48,
      32,49,46,51,52,55,51,57,101,45,51,48,32,49,46,54,55,53,50,51,101,45,51,48,32,
      50,46,48,54,53,48,49,101,45,51,48,32,50,46,52,57,50,51,53,101,45,51,48,32,50,
      46,57,55,56,57,51,101,45,51,48,10,32,32,51,46,54,48,50,50,101,45,51,48,32,52,
      46,50,51,54,54,52,101,45,51,48,32,53,46,48,51,48,57,49,101,45,51,48,32,53,46,
      54,56,51,50,53,101,45,51,48,32,54,46,56,55,57,101,45,51,48,32,55,46,54,57,54,
      57,56,101,45,51,48,32,56,46,56,48,55,53,55,101,45,51,48,10,32,32,49,46,49,56,
      49,53,57,101,45,50,57,32,49,46,54,57,53,53,55,101,45,50,57,32,50,46,51,48,54,
      54,52,101,45,50,57,32,51,46,50,48,49,54,51,101,45,50,57,32,52,46,49,57,51,53,
      52,101,45,50,57,32,53,46,52,48,54,53,56,101,45,50,57,32,54,46,51,51,52,55,53,
      101,45,50,57,10,32,32,55,46,52,52,57,49,54,101,45,50,57,32,55,46,57,48,54,51,
      51,101,45,50,57,32,55,46,56,51,56,57,54,101,45,50,57,32,55,46,52,49,57,56,53,
      101,45,50,57,32,54,46,52,51,55,54,50,101,45,50,57,32,53,46,51,53,56,52,49,101,
      45,50,57,32,52,46,50,51,57,52,55,101,45,50,57,10,32,32,51,46,48,54,51,53,52,
      101,45,50,57,32,50,46,48,57,51,48,53,101,45,50,57,32,49,46,52,51,55,53,53,101,
      45,50,57,32,57,46,53,49,56,52,57,101,45,51,48,32,54,46,48,57,49,53,53,101,45,
      51,48,32,51,46,53,49,56,55,49,101,45,51,48,32,49,46,56,49,51,50,52,101,45,51,
      48,10,32,32,56,46,50,52,50,49,56,101,45,51,49,32,51,46,56,56,52,56,49,101,45,
      51,49,32,49,46,54,49,50,52,54,101,45,51,49,32,55,46,48,53,52,49,51,101,45,51,
      50,32,50,46,57,57,49,56,53,101,45,51,50,32,49,46,49,49,53,48,53,101,45,51,50,
      32,51,46,55,51,54,57,101,45,51,51,10,32,32,49,46,53,54,56,56,52,101,45,51,51,
      32,53,46,54,49,54,52,51,101,45,51,52,32,50,46,50,51,51,53,57,101,45,51,52,32,
      56,46,49,56,52,50,55,101,45,51,53,32,50,46,57,52,54,49,52,101,45,51,53,32,57,
      46,53,53,55,49,52,101,45,51,54,32,51,46,51,50,50,52,53,101,45,51,54,10,32,32,
      49,46,49,51,56,56,53,101,45,51,54,32,51,46,56,53,50,54,54,101,45,51,55,32,49,
      46,49,49,55,49,49,101,45,51,55,32,51,46,54,56,48,50,52,101,45,51,56,32,48,114,
      51,49,56,32,49,46,53,52,51,55,56,101,45,51,55,32,56,46,51,51,55,50,56,101,45,
      51,55,32,53,46,49,50,54,50,51,101,45,51,54,10,32,32,49,46,51,52,56,51,57,101,
      45,51,53,32,51,46,48,54,52,54,55,101,45,51,53,32,54,46,52,51,55,57,53,101,45,
      51,53,32,49,46,56,57,55,50,56,101,45,51,52,32,51,46,52,52,54,52,51,101,45,51,
      52,32,54,46,57,56,50,53,57,101,45,51,52,32,49,46,48,52,50,56,49,101,45,51,51,
      10,32,32,49,46,56,57,53,52,51,101,45,51,51,32,51,46,51,48,54,50,49,101,45,51,
      51,32,52,46,53,55,50,51,101,45,51,51,32,55,46,54,51,51,56,56,101,45,51,51,32,
      49,46,50,55,48,52,51,101,45,51,50,32,49,46,54,55,51,56,52,101,45,51,50,32,50,
      46,49,56,57,53,53,101,45,51,50,10,32,32,51,46,50,56,57,54,55,101,45,51,50,32,
      53,46,48,51,49,53,101,45,51,50,32,54,46,50,55,48,48,49,101,45,51,50,32,56,46,
      52,53,51,51,52,101,45,51,50,32,49,46,48,51,51,53,57,101,45,51,49,32,49,46,52,
      55,49,55,52,101,45,51,49,32,49,46,56,57,50,57,101,45,51,49,10,32,32,50,46,55,
      48,52,49,101,45,51,49,32,51,46,49,49,54,50,57,101,45,51,49,32,52,46,48,53,56,
      51,101,45,51,49,32,53,46,51,54,51,52,50,101,45,51,49,32,54,46,54,57,57,50,52,
      101,45,51,49,32,56,46,50,57,53,52,50,101,45,51,49,32,49,46,48,48,53,52,101,
      45,51,48,10,32,32,49,46,50,48,54,53,53,101,45,51,48,32,49,46,52,54,53,52,55,
      101,45,51,48,32,49,46,55,51,48,51,101,45,51,48,32,50,46,48,54,51,51,56,101,
      45,51,48,32,50,46,51,51,56,49,101,45,51,48,32,50,46,56,52,52,48,55,101,45,51,
      48,32,51,46,49,57,49,56,50,101,45,51,48,10,32,32,51,46,54,54,53,56,53,101,45,
      51,48,32,52,46,57,53,57,53,53,101,45,51,48,32,55,46,49,57,55,52,52,101,45,51,
      48,32,57,46,56,57,54,48,57,101,45,51,48,32,49,46,51,57,49,51,53,101,45,50,57,
      32,49,46,56,52,53,49,56,101,45,50,57,32,50,46,52,49,51,52,49,101,45,50,57,10,
      32,32,50,46,56,54,48,55,101,45,50,57,32,51,46,52,50,52,54,56,101,45,50,57,32,
      51,46,54,57,52,57,54,101,45,50,57,32,51,46,55,48,52,54,101,45,50,57,32,51,46,
      53,52,57,51,55,101,45,50,57,32,51,46,49,50,56,49,53,101,45,50,57,32,50,46,54,
      51,56,53,101,45,50,57,10,32,32,50,46,49,49,52,53,50,101,45,50,57,32,49,46,53,
      52,57,56,52,101,45,50,57,32,49,46,48,55,51,52,54,101,45,50,57,32,55,46,52,53,
      56,54,49,101,45,51,48,32,52,46,57,57,52,51,50,101,45,51,48,32,51,46,50,51,49,
      49,50,101,45,51,48,32,49,46,56,56,56,57,51,101,45,51,48,10,32,32,57,46,56,54,
      48,56,56,101,45,51,49,32,52,46,53,52,52,52,50,101,45,51,49,32,50,46,49,54,55,
      52,51,101,45,51,49,32,57,46,49,49,48,50,56,101,45,51,50,32,52,46,48,50,56,55,
      52,101,45,51,50,32,49,46,55,50,54,52,51,101,45,51,50,32,54,46,53,48,53,51,53,
      101,45,51,51,10,32,32,50,46,50,48,52,54,51,101,45,51,51,32,57,46,51,51,50,48,
      52,101,45,51,52,32,51,46,51,55,49,52,54,101,45,51,52,32,49,46,51,53,49,49,50,
      101,45,51,52,32,52,46,57,56,57,56,54,101,45,51,53,32,49,46,56,48,57,56,50,101,
      45,51,53,32,53,46,57,52,50,53,101,45,51,54,10,32,32,50,46,48,56,48,49,57,101,
      45,51,54,32,55,46,49,55,55,55,57,101,45,51,55,32,50,46,52,52,51,54,56,101,45,
      51,55,32,55,46,49,54,56,50,101,45,51,56,32,50,46,51,55,53,50,51,101,45,51,56,
      32,48,114,51,49,56,32,51,46,51,57,52,57,57,101,45,51,56,32,49,46,57,51,50,54,
      49,101,45,51,55,10,32,32,49,46,51,48,50,55,55,101,45,51,54,32,51,46,53,57,51,
      48,56,101,45,51,54,32,56,46,52,49,57,56,50,101,45,51,54,32,49,46,56,49,56,52,
      101,45,51,53,32,53,46,56,52,57,48,50,101,45,51,53,32,49,46,48,56,50,48,50,101,
      45,51,52,32,50,46,50,54,54,57,54,101,45,51,52,10,32,32,51,46,52,51,49,53,54,
      101,45,51,52,32,54,46,54,53,52,48,55,101,45,51,52,32,49,46,49,55,53,53,57,101,
      45,51,51,32,49,46,54,51,55,53,57,101,45,51,51,32,50,46,55,56,53,55,53,101,45,
      51,51,32,52,46,55,49,53,50,57,101,45,51,51,32,54,46,50,52,50,50,50,101,45,51,
      51,10,32,32,56,46,50,48,50,55,56,101,45,51,51,32,49,46,50,52,49,54,56,101,45,
      51,50,32,49,46,57,49,51,50,52,101,45,51,50,32,50,46,51,57,55,52,101,45,51,50,
      32,51,46,50,53,55,53,52,101,45,51,50,32,51,46,57,56,56,56,51,101,45,51,50,32,
      53,46,55,48,52,52,55,101,45,51,50,10,32,32,55,46,51,55,50,57,101,45,51,50,32,
      49,46,48,54,48,50,53,101,45,51,49,32,49,46,50,50,53,49,55,101,45,51,49,32,49,
      46,54,48,51,55,50,101,45,51,49,32,50,46,49,51,49,49,55,101,45,51,49,32,50,46,
      54,55,52,48,55,101,45,51,49,32,51,46,51,50,53,57,55,101,45,51,49,10,32,32,52,
      46,48,52,55,53,57,101,45,51,49,32,52,46,56,55,54,56,49,101,45,51,49,32,53,46,
      57,52,57,50,101,45,51,49,32,55,46,48,53,49,50,53,101,45,51,49,32,56,46,52,52,
      51,54,51,101,45,51,49,32,57,46,53,57,54,55,54,101,45,51,49,32,49,46,49,55,51,
      48,52,101,45,51,48,10,32,32,49,46,51,50,48,51,53,101,45,51,48,32,49,46,53,50,
      49,57,52,101,45,51,48,32,50,46,48,55,54,49,57,101,45,51,48,32,51,46,48,52,54,
      53,55,101,45,51,48,32,52,46,50,51,51,48,53,101,45,51,48,32,54,46,48,50,55,55,
      55,101,45,51,48,32,56,46,48,57,51,49,56,101,45,51,48,10,32,32,49,46,48,55,51,
      56,50,101,45,50,57,32,49,46,50,56,55,54,52,101,45,50,57,32,49,46,53,54,57,50,
      54,101,45,50,57,32,49,46,55,50,49,48,51,101,45,50,57,32,49,46,55,52,52,57,49,
      101,45,50,57,32,49,46,54,57,50,50,49,101,45,50,57,32,49,46,53,49,52,57,51,101,
      45,50,57,10,32,32,49,46,50,57,52,56,52,101,45,50,57,32,49,46,48,53,49,49,101,
      45,50,57,32,55,46,56,49,52,48,50,101,45,51,48,32,53,46,52,56,54,55,56,101,45,
      51,48,32,51,46,56,53,54,54,54,101,45,51,48,32,50,46,54,49,49,53,51,101,45,51,
      48,32,49,46,55,48,55,57,56,101,45,51,48,10,32,32,49,46,48,49,48,53,51,101,45,
      51,48,32,53,46,51,52,52,48,55,101,45,51,49,32,50,46,52,57,54,57,53,101,45,51,
      49,32,49,46,50,48,53,48,56,101,45,51,49,32,53,46,49,50,57,53,101,45,51,50,32,
      50,46,50,57,51,48,50,101,45,51,50,32,57,46,57,50,56,52,101,45,51,51,10,32,32,
      51,46,55,56,50,52,56,101,45,51,51,32,49,46,50,57,54,50,57,101,45,51,51,32,53,
      46,53,51,50,53,57,101,45,51,52,32,50,46,48,49,55,49,57,101,45,51,52,32,56,46,
      49,52,54,52,55,101,45,51,53,32,51,46,48,51,50,52,57,101,45,51,53,32,49,46,49,
      48,56,50,54,101,45,51,53,10,32,32,51,46,54,56,50,55,54,101,45,51,54,32,49,46,
      50,57,56,49,55,101,45,51,54,32,52,46,53,48,57,52,101,45,51,55,32,49,46,53,52,
      53,48,56,101,45,51,55,32,52,46,53,56,52,57,55,101,45,51,56,32,48,114,51,50,
      48,32,52,46,51,56,54,50,56,101,45,51,56,32,51,46,50,51,56,51,50,101,45,51,55,
      10,32,32,57,46,51,53,50,51,57,101,45,51,55,32,50,46,50,54,48,56,53,101,45,51,
      54,32,53,46,48,50,50,54,52,101,45,51,54,32,49,46,55,54,56,48,53,101,45,51,53,
      32,51,46,51,51,50,54,52,101,45,51,53,32,55,46,50,50,51,54,53,101,45,51,53,32,
      49,46,49,48,57,49,57,101,45,51,52,10,32,32,50,46,51,48,56,53,50,101,45,51,52,
      32,52,46,49,51,54,50,54,101,45,51,52,32,53,46,56,48,55,54,56,101,45,51,52,32,
      49,46,48,48,57,56,56,101,45,51,51,32,49,46,55,52,50,51,56,101,45,51,51,32,50,
      46,51,49,56,49,52,101,45,51,51,32,51,46,48,54,48,55,51,101,45,51,51,10,32,32,
      52,46,54,55,48,53,55,101,45,51,51,32,55,46,50,53,50,50,57,101,45,51,51,32,57,
      46,49,49,54,54,50,101,45,51,51,32,49,46,50,52,52,49,54,101,45,51,50,32,49,46,
      53,51,55,48,50,101,45,51,50,32,50,46,50,48,54,54,49,101,45,51,50,32,50,46,56,
      54,52,51,49,101,45,51,50,10,32,32,52,46,49,52,54,51,51,101,45,51,50,32,52,46,
      56,48,52,51,52,101,45,51,50,32,54,46,51,50,49,51,101,45,51,50,32,56,46,52,52,
      54,57,55,101,45,51,50,32,49,46,48,54,52,55,51,101,45,51,49,32,49,46,51,51,48,
      50,50,101,45,51,49,32,49,46,54,50,53,53,49,101,45,51,49,10,32,32,49,46,57,54,
      54,51,54,101,45,51,49,32,50,46,52,48,57,50,53,101,45,51,49,32,50,46,56,54,54,
      53,51,101,45,51,49,32,51,46,52,52,54,56,57,101,45,51,49,32,51,46,57,50,57,52,
      57,101,45,51,49,32,52,46,56,50,54,53,53,101,45,51,49,32,53,46,52,52,56,54,57,
      101,45,51,49,10,32,32,54,46,51,48,51,52,52,101,45,51,49,32,56,46,54,55,48,54,
      55,101,45,51,49,32,49,46,50,56,54,53,52,101,45,51,48,32,49,46,56,48,54,52,55,
      101,45,51,48,32,50,46,54,48,53,50,57,101,45,51,48,32,51,46,53,52,49,50,51,101,
      45,51,48,32,52,46,55,54,54,48,51,101,45,51,48,10,32,32,53,46,55,56,49,49,51,
      101,45,51,48,32,55,46,49,55,49,55,52,101,45,51,48,32,55,46,57,57,52,50,55,101,
      45,51,48,32,56,46,49,57,53,51,56,101,45,51,48,32,56,46,48,52,52,49,51,101,45,
      51,48,32,55,46,51,49,52,50,51,101,45,51,48,32,54,46,51,51,52,51,50,101,45,51,
      48,10,32,32,53,46,50,48,55,57,50,101,45,51,48,32,51,46,57,50,54,54,49,101,45,
      51,48,32,50,46,55,57,52,56,57,101,45,51,48,32,49,46,57,56,55,50,56,101,45,51,
      48,32,49,46,51,54,48,55,56,101,45,51,48,32,56,46,57,57,54,52,54,101,45,51,49,
      32,53,46,51,56,54,55,52,101,45,51,49,10,32,32,50,46,56,56,53,55,57,101,45,51,
      49,32,49,46,51,54,55,48,49,101,45,51,49,32,54,46,54,55,54,48,54,101,45,51,50,
      32,50,46,56,55,55,55,52,101,45,51,50,32,49,46,51,48,48,52,50,101,45,51,50,32,
      53,46,54,56,57,51,50,101,45,51,51,32,50,46,49,57,49,53,52,101,45,51,51,10,32,
      32,55,46,53,57,53,52,53,101,45,51,52,32,51,46,50,54,56,55,53,101,45,51,52,32,
      49,46,50,48,50,56,49,101,45,51,52,32,52,46,56,57,53,51,52,101,45,51,53,32,49,
      46,56,51,54,56,50,101,45,51,53,32,54,46,55,54,52,50,52,101,45,51,54,32,50,46,
      50,55,52,53,53,101,45,51,54,10,32,32,56,46,48,55,52,50,57,101,45,51,55,32,50,
      46,56,50,51,54,55,101,45,51,55,32,57,46,55,51,55,53,56,101,45,51,56,32,50,46,
      57,50,50,57,56,101,45,51,56,32,48,114,51,50,49,32,55,46,56,55,54,49,50,101,
      45,51,56,32,50,46,51,55,57,55,52,101,45,51,55,32,53,46,57,51,55,49,52,101,45,
      51,55,10,32,32,49,46,51,53,55,52,52,101,45,51,54,32,53,46,50,52,52,56,101,45,
      51,54,32,49,46,48,48,55,56,49,101,45,51,53,32,50,46,50,54,48,55,55,101,45,51,
      53,32,51,46,53,50,51,53,54,101,45,51,53,32,55,46,57,49,55,50,101,45,51,53,32,
      49,46,52,52,48,51,53,101,45,51,52,10,32,32,50,46,48,51,57,56,52,101,45,51,52,
      32,51,46,54,51,56,52,51,101,45,51,52,32,54,46,52,49,50,55,53,101,45,51,52,32,
      56,46,53,55,54,52,49,101,45,51,52,32,49,46,49,51,55,57,57,101,45,51,51,32,49,
      46,55,53,49,56,50,101,45,51,51,32,50,46,55,52,48,54,52,101,45,51,51,10,32,32,
      51,46,52,53,55,54,101,45,51,51,32,52,46,55,52,48,56,57,101,45,51,51,32,53,46,
      56,57,48,50,56,101,45,51,51,32,56,46,53,49,56,50,56,101,45,51,51,32,49,46,49,
      49,48,54,55,101,45,51,50,32,49,46,54,49,56,51,57,101,45,51,50,32,49,46,56,56,
      48,51,50,101,45,51,50,10,32,32,50,46,52,56,54,55,55,101,45,51,50,32,51,46,51,
      52,49,50,57,101,45,51,50,32,52,46,50,51,48,56,51,101,45,51,50,32,53,46,51,48,
      57,50,52,101,45,51,50,32,54,46,53,49,52,50,56,101,45,51,50,32,55,46,57,49,49,
      52,57,101,45,51,50,32,57,46,55,51,53,52,53,101,45,51,50,10,32,32,49,46,49,54,
      50,55,53,101,45,51,49,32,49,46,52,48,51,57,52,101,45,51,49,32,49,46,54,48,53,
      51,51,101,45,51,49,32,49,46,57,56,49,51,56,101,45,51,49,32,50,46,50,52,51,51,
      53,101,45,51,49,32,50,46,54,48,52,54,53,101,45,51,49,32,51,46,54,49,50,53,50,
      101,45,51,49,10,32,32,53,46,52,49,57,54,52,101,45,51,49,32,55,46,54,56,57,53,
      56,101,45,51,49,32,49,46,49,50,51,48,56,101,45,51,48,32,49,46,53,52,53,51,101,
      45,51,48,32,50,46,49,48,57,52,50,101,45,51,48,32,50,46,53,56,56,49,53,101,45,
      51,48,32,51,46,50,54,56,101,45,51,48,10,32,32,51,46,55,48,50,50,53,101,45,51,
      48,32,51,46,56,51,55,53,51,101,45,51,48,32,51,46,56,49,50,50,52,101,45,51,48,
      32,51,46,53,50,48,53,51,101,45,51,48,32,51,46,48,56,57,49,50,101,45,51,48,32,
      50,46,53,55,50,50,56,101,45,51,48,32,49,46,57,54,54,56,56,101,45,51,48,10,32,
      32,49,46,52,49,57,49,52,101,45,51,48,32,49,46,48,50,48,55,51,101,45,51,48,32,
      55,46,48,54,55,55,50,101,45,51,49,32,52,46,55,50,51,52,101,45,51,49,32,50,46,
      56,54,50,49,53,101,45,51,49,32,49,46,53,53,51,50,53,101,45,51,49,32,55,46,52,
      53,57,53,56,101,45,51,50,10,32,32,51,46,54,56,54,51,55,101,45,51,50,32,49,46,
      54,48,57,50,101,45,51,50,32,55,46,51,53,49,101,45,51,51,32,51,46,50,52,57,54,
      50,101,45,51,51,32,49,46,50,54,53,54,56,101,45,51,51,32,52,46,52,51,54,50,57,
      101,45,51,52,32,49,46,57,50,53,49,51,101,45,51,52,10,32,32,55,46,49,52,57,54,
      49,101,45,51,53,32,50,46,57,51,50,53,54,101,45,51,53,32,49,46,49,48,57,49,55,
      101,45,51,53,32,52,46,49,49,54,48,51,101,45,51,54,32,49,46,52,48,48,51,55,101,
      45,51,54,32,53,46,48,48,54,51,51,101,45,51,55,32,49,46,55,54,50,54,56,101,45,
      51,55,10,32,32,54,46,49,49,56,51,54,101,45,51,56,32,48,114,51,50,51,32,53,46,
      57,49,55,54,50,101,45,51,56,32,49,46,53,50,52,50,55,101,45,51,55,32,51,46,53,
      56,56,49,51,101,45,51,55,32,49,46,53,50,51,50,50,101,45,51,54,32,50,46,57,56,
      53,53,52,101,45,51,54,32,54,46,57,51,52,49,101,45,51,54,10,32,32,49,46,48,57,
      55,54,56,101,45,51,53,32,50,46,54,55,53,51,50,101,45,51,53,32,52,46,57,52,56,
      55,53,101,45,51,53,32,55,46,48,55,52,52,57,101,45,51,53,32,49,46,50,57,57,57,
      49,101,45,51,52,32,50,46,51,52,53,56,55,101,45,51,52,32,51,46,49,53,52,57,51,
      101,45,51,52,10,32,32,52,46,50,48,56,51,55,101,45,51,52,32,54,46,53,52,50,57,
      56,101,45,51,52,32,49,46,48,51,49,52,55,101,45,51,51,32,49,46,51,49,48,56,53,
      101,45,51,51,32,49,46,56,49,49,57,51,101,45,51,51,32,50,46,50,52,57,48,51,101,
      45,51,51,32,51,46,50,55,55,48,54,101,45,51,51,10,32,32,52,46,50,57,52,56,49,
      101,45,51,51,32,54,46,50,57,57,56,54,101,45,51,51,32,55,46,51,51,57,54,51,101,
      45,51,51,32,57,46,55,53,55,53,49,101,45,51,51,32,49,46,51,49,56,51,50,101,45,
      51,50,32,49,46,54,55,54,57,54,101,45,51,50,32,50,46,49,49,51,56,101,45,51,50,
      10,32,32,50,46,54,48,52,50,54,101,45,51,50,32,51,46,49,55,53,52,57,101,45,51,
      50,32,51,46,57,50,52,54,54,101,45,51,50,32,52,46,55,48,53,52,50,101,45,51,50,
      32,53,46,55,48,53,49,54,101,45,51,50,32,54,46,53,52,51,51,49,101,45,51,50,32,
      56,46,49,49,53,53,52,101,45,51,50,10,32,32,57,46,50,49,53,54,57,101,45,51,50,
      32,49,46,48,55,51,56,56,101,45,51,49,32,49,46,53,48,49,56,101,45,51,49,32,50,
      46,50,55,56,49,101,45,51,49,32,51,46,50,54,54,49,56,101,45,51,49,32,52,46,56,
      51,48,56,51,101,45,51,49,32,54,46,55,50,56,52,49,101,45,51,49,10,32,32,57,46,
      51,49,53,48,56,101,45,51,49,32,49,46,49,53,53,57,55,101,45,51,48,32,49,46,52,
      56,53,52,49,101,45,51,48,32,49,46,55,49,48,48,53,101,45,51,48,32,49,46,55,57,
      50,48,51,101,45,51,48,32,49,46,56,48,49,53,52,101,45,51,48,32,49,46,54,56,57,
      52,55,101,45,51,48,10,32,32,49,46,53,48,49,56,56,101,45,51,48,32,49,46,50,54,
      54,53,49,101,45,51,48,32,57,46,56,50,48,54,50,101,45,51,49,32,55,46,49,56,50,
      48,57,101,45,51,49,32,53,46,50,50,53,50,54,101,45,51,49,32,51,46,54,53,56,52,
      56,101,45,51,49,32,50,46,52,55,49,52,55,101,45,51,49,10,32,32,49,46,53,49,53,
      53,52,101,45,51,49,32,56,46,51,51,49,52,54,101,45,51,50,32,52,46,48,53,54,54,
      50,101,45,51,50,32,50,46,48,50,56,53,57,101,45,51,50,32,56,46,57,54,55,56,101,
      45,51,51,32,52,46,49,52,49,50,57,101,45,51,51,32,49,46,56,52,57,56,56,101,45,
      51,51,10,32,32,55,46,50,56,53,51,54,101,45,51,52,32,50,46,53,56,50,53,57,101,
      45,51,52,32,49,46,49,51,48,49,50,101,45,51,52,32,52,46,50,51,54,49,52,101,45,
      51,53,32,49,46,55,53,49,49,54,101,45,51,53,32,54,46,54,55,54,55,51,101,45,51,
      54,32,50,46,52,57,54,56,50,101,45,51,54,10,32,32,56,46,53,57,51,54,57,101,45,
      51,55,32,51,46,48,57,52,50,101,45,51,55,32,49,46,48,57,54,57,101,45,51,55,32,
      51,46,56,51,50,52,52,101,45,51,56,32,48,114,51,50,52,32,51,46,56,51,52,48,50,
      101,45,51,56,32,57,46,50,57,53,53,55,101,45,51,56,32,52,46,51,52,48,56,101,
      45,51,55,10,32,32,56,46,54,56,50,54,51,101,45,51,55,32,50,46,48,56,55,52,101,
      45,51,54,32,51,46,51,53,56,48,49,101,45,51,54,32,56,46,57,49,49,57,55,101,45,
      51,54,32,49,46,54,55,56,51,57,101,45,51,53,32,50,46,52,50,51,56,50,101,45,51,
      53,32,52,46,54,48,56,52,56,101,45,51,53,10,32,32,56,46,53,51,52,57,54,101,45,
      51,53,32,49,46,49,53,52,55,52,101,45,51,52,32,49,46,53,52,57,48,49,101,45,51,
      52,32,50,46,52,51,53,55,56,101,45,51,52,32,51,46,56,55,49,53,50,101,45,51,52,
      32,52,46,57,53,57,57,50,101,45,51,52,32,54,46,57,50,51,56,101,45,51,52,10,32,
      32,56,46,54,48,50,54,53,101,45,51,52,32,49,46,50,53,57,51,56,101,45,51,51,32,
      49,46,54,53,56,52,55,101,45,51,51,32,50,46,52,52,56,55,52,101,45,51,51,32,50,
      46,56,54,48,55,53,101,45,51,51,32,51,46,56,50,50,56,55,101,45,51,51,32,53,46,
      49,57,51,49,49,101,45,51,51,10,32,32,54,46,54,51,53,55,56,101,45,51,51,32,56,
      46,52,48,49,101,45,51,51,32,49,46,48,51,57,50,49,101,45,51,50,32,49,46,50,55,
      50,49,50,101,45,51,50,32,49,46,53,55,57,101,45,51,50,32,49,46,57,48,48,50,57,
      101,45,51,50,32,50,46,51,49,51,52,55,101,45,51,50,10,32,32,50,46,54,54,49,50,
      53,101,45,51,50,32,51,46,51,49,54,52,57,101,45,51,50,32,51,46,55,55,54,57,57,
      101,45,51,50,32,52,46,52,49,54,57,101,45,51,50,32,54,46,50,50,55,52,55,101,
      45,51,50,32,57,46,53,52,57,56,52,101,45,51,50,32,49,46,51,56,51,51,54,101,45,
      51,49,10,32,32,50,46,48,55,49,55,57,101,45,51,49,32,50,46,57,50,48,55,52,101,
      45,51,49,32,52,46,49,48,48,55,57,101,45,51,49,32,53,46,49,52,54,57,52,101,45,
      51,49,32,54,46,55,51,48,53,55,101,45,51,49,32,55,46,56,55,51,55,52,101,45,51,
      49,32,56,46,51,52,50,49,101,45,51,49,10,32,32,56,46,52,56,54,56,54,101,45,51,
      49,32,56,46,48,56,50,50,55,101,45,51,49,32,55,46,50,55,56,57,53,101,45,51,49,
      32,54,46,50,49,54,49,55,101,45,51,49,32,52,46,56,56,55,56,53,101,45,51,49,32,
      51,46,54,50,51,49,56,101,45,51,49,32,50,46,54,54,54,51,101,45,51,49,10,32,32,
      49,46,56,56,55,54,51,101,45,51,49,32,49,46,50,56,56,57,54,101,45,51,49,32,55,
      46,57,57,56,54,55,101,45,51,50,32,52,46,52,53,52,49,57,101,45,51,50,32,50,46,
      49,57,56,55,51,101,45,51,50,32,49,46,49,49,50,54,49,101,45,51,50,32,52,46,57,
      56,49,101,45,51,51,10,32,32,50,46,51,50,53,51,51,101,45,51,51,32,49,46,48,52,
      57,53,56,101,45,51,51,32,52,46,49,55,57,55,101,45,51,52,32,49,46,52,57,56,53,
      52,101,45,51,52,32,54,46,54,49,50,53,57,101,45,51,53,32,50,46,53,48,49,56,50,
      101,45,51,53,32,49,46,48,52,50,51,54,101,45,51,53,10,32,32,52,46,48,48,54,52,
      101,45,51,54,32,49,46,53,48,57,56,54,101,45,51,54,32,53,46,50,53,54,53,50,101,
      45,51,55,32,49,46,57,48,54,50,52,101,45,51,55,32,54,46,56,48,52,50,51,101,45,
      51,56,32,50,46,51,57,51,48,52,101,45,51,56,32,48,114,51,50,54,32,55,46,56,56,
      53,53,101,45,51,56,10,32,32,49,46,54,50,49,56,57,101,45,51,55,32,52,46,48,56,
      50,48,53,101,45,51,55,32,54,46,55,49,52,54,101,45,51,55,32,50,46,48,48,54,101,
      45,51,54,32,51,46,56,55,55,49,56,101,45,51,54,32,53,46,54,56,50,48,50,101,45,
      51,54,32,49,46,49,51,56,56,54,101,45,51,53,10,32,32,50,46,49,57,48,50,52,101,
      45,51,53,32,50,46,57,56,57,51,49,101,45,51,53,32,52,46,48,52,51,49,52,101,45,
      51,53,32,54,46,52,55,51,56,55,101,45,51,53,32,49,46,48,52,49,49,49,101,45,51,
      52,32,49,46,51,52,52,52,53,101,45,51,52,32,49,46,56,57,51,52,54,101,45,51,52,
      10,32,32,50,46,51,56,48,54,49,101,45,51,52,32,51,46,53,48,55,56,55,101,45,51,
      52,32,52,46,54,52,53,56,57,101,45,51,52,32,54,46,57,50,48,51,52,101,45,51,52,
      32,56,46,49,49,53,49,52,101,45,51,52,32,49,46,48,57,50,48,56,101,45,51,51,32,
      49,46,52,57,52,51,56,101,45,51,51,10,32,32,49,46,57,50,49,49,54,101,45,51,51,
      32,50,46,52,52,54,53,101,45,51,51,32,51,46,48,52,50,55,49,101,45,51,51,32,51,
      46,55,52,52,50,53,101,45,51,51,32,52,46,54,55,52,49,56,101,45,51,51,32,53,46,
      54,53,51,54,57,101,45,51,51,32,54,46,57,50,48,54,53,101,45,51,51,10,32,32,55,
      46,57,57,50,54,56,101,45,51,51,32,49,46,48,48,50,52,51,101,45,51,50,32,49,46,
      49,52,54,48,52,101,45,51,50,32,49,46,51,52,54,53,56,101,45,51,50,32,49,46,57,
      49,57,50,57,101,45,51,50,32,50,46,57,56,54,50,54,101,45,51,50,32,52,46,51,56,
      53,53,56,101,45,51,50,10,32,32,54,46,54,55,55,57,51,101,45,51,50,32,57,46,53,
      54,54,53,50,101,45,51,50,32,49,46,51,54,56,51,56,101,45,51,49,32,49,46,55,52,
      51,52,52,101,45,51,49,32,50,46,51,51,51,51,53,101,45,51,49,32,50,46,55,56,56,
      50,54,101,45,51,49,32,50,46,57,57,55,49,57,101,45,51,49,10,32,32,51,46,48,57,
      55,54,49,101,45,51,49,32,51,46,48,49,48,53,53,101,45,51,49,32,50,46,55,53,56,
      52,50,101,45,51,49,32,50,46,51,57,53,51,55,101,45,51,49,32,49,46,57,49,56,54,
      55,101,45,51,49,32,49,46,52,52,55,56,57,101,45,51,49,32,49,46,48,56,49,55,56,
      101,45,51,49,10,32,32,55,46,55,55,50,48,51,101,45,51,50,32,53,46,51,56,51,52,
      53,101,45,51,50,32,51,46,51,57,51,57,52,101,45,51,50,32,49,46,57,50,50,54,52,
      101,45,51,50,32,57,46,54,54,53,55,55,101,45,51,51,32,52,46,57,54,56,56,51,101,
      45,51,51,32,50,46,50,54,50,50,49,101,45,51,51,10,32,32,49,46,48,55,49,53,101,
      45,51,51,32,52,46,57,48,52,49,55,101,45,51,52,32,49,46,57,56,50,49,55,101,45,
      51,52,32,55,46,50,49,53,48,52,101,45,51,53,32,51,46,50,49,57,54,53,101,45,51,
      53,32,49,46,50,51,51,51,57,101,45,51,53,32,53,46,49,57,51,48,51,101,45,51,54,
      10,32,32,50,46,48,49,55,54,53,101,45,51,54,32,55,46,54,56,51,48,52,101,45,51,
      55,32,50,46,55,49,53,52,51,101,45,51,55,32,57,46,57,52,50,52,57,101,45,51,56,
      32,51,46,53,56,49,56,53,101,45,51,56,32,48,114,51,50,56,32,50,46,57,50,54,56,
      49,101,45,51,56,32,55,46,55,49,48,50,49,101,45,51,56,10,32,32,49,46,50,57,55,
      54,56,101,45,51,55,32,52,46,51,55,57,49,51,101,45,51,55,32,56,46,55,48,52,53,
      53,101,45,51,55,32,49,46,50,57,54,49,54,101,45,51,54,32,50,46,55,54,49,55,56,
      101,45,51,54,32,53,46,53,51,51,49,57,101,45,51,54,32,55,46,54,50,53,52,54,101,
      45,51,54,10,32,32,49,46,48,52,48,56,51,101,45,51,53,32,49,46,55,48,52,52,49,
      101,45,51,53,32,50,46,55,55,51,53,51,101,45,51,53,32,51,46,54,50,53,50,101,
      45,51,53,32,53,46,49,54,57,54,56,101,45,51,53,32,54,46,53,49,56,51,52,101,45,
      51,53,32,57,46,55,50,49,48,56,101,45,51,53,10,32,32,49,46,50,57,53,54,52,101,
      45,51,52,32,49,46,57,52,55,48,53,101,45,51,52,32,50,46,50,57,50,48,55,101,45,
      51,52,32,51,46,49,48,54,54,101,45,51,52,32,52,46,50,56,50,48,49,101,45,51,52,
      32,53,46,53,51,56,52,54,101,45,51,52,32,55,46,48,57,52,49,52,101,45,51,52,10,
      32,32,56,46,56,55,48,53,56,101,45,51,52,32,49,46,48,57,55,50,57,101,45,51,51,
      32,49,46,51,55,55,54,54,101,45,51,51,32,49,46,54,55,52,55,54,101,45,51,51,32,
      50,46,48,54,49,50,55,101,45,51,51,32,50,46,51,57,48,48,52,101,45,51,51,32,51,
      46,48,49,54,55,51,101,45,51,51,10,32,32,51,46,52,54,50,50,51,101,45,51,51,32,
      52,46,48,56,55,52,52,101,45,51,51,32,53,46,56,56,57,52,54,101,45,51,51,32,57,
      46,50,57,55,52,55,101,45,51,51,32,49,46,51,56,52,50,51,101,45,51,50,32,50,46,
      49,52,50,57,56,101,45,51,50,32,51,46,49,49,57,52,54,101,45,51,50,10,32,32,52,
      46,53,52,53,52,55,101,45,51,50,32,53,46,56,55,56,53,54,101,45,51,50,32,56,46,
      48,53,49,50,101,45,51,50,32,57,46,56,50,54,49,53,101,45,51,50,32,49,46,48,55,
      49,53,53,101,45,51,49,32,49,46,49,50,52,57,51,101,45,51,49,32,49,46,49,49,53,
      54,53,101,45,51,49,10,32,32,49,46,48,51,57,56,56,101,45,51,49,32,57,46,49,56,
      49,52,51,101,45,51,50,32,55,46,52,57,48,56,51,101,45,51,50,32,53,46,55,53,52,
      51,54,101,45,51,50,32,52,46,51,54,52,55,50,101,45,51,50,32,51,46,49,56,50,49,
      54,101,45,51,50,32,50,46,50,51,53,56,101,45,51,50,10,32,32,49,46,52,51,49,57,
      52,101,45,51,50,32,56,46,50,53,49,56,49,101,45,51,51,32,52,46,50,50,52,56,57,
      101,45,51,51,32,50,46,50,48,54,51,55,101,45,51,51,32,49,46,48,50,49,53,55,101,
      45,51,51,32,52,46,57,48,57,51,53,101,45,51,52,32,50,46,50,55,56,53,49,101,45,
      51,52,10,32,32,57,46,51,52,55,51,101,45,51,53,32,51,46,52,53,52,52,57,101,45,
      51,53,32,49,46,53,53,56,57,55,101,45,51,53,32,54,46,48,52,55,50,53,101,45,51,
      54,32,50,46,53,55,51,49,51,101,45,51,54,32,49,46,48,49,48,54,53,101,45,51,54,
      32,51,46,56,56,56,56,49,101,45,51,55,10,32,32,49,46,51,57,52,57,51,101,45,51,
      55,32,53,46,49,53,55,50,56,101,45,51,56,32,48,114,51,51,49,32,50,46,52,50,51,
      54,52,101,45,51,56,32,57,46,50,54,51,55,56,101,45,51,56,32,49,46,56,57,55,51,
      49,101,45,51,55,32,50,46,56,55,51,57,101,45,51,55,32,54,46,53,54,52,49,101,
      45,51,55,10,32,32,49,46,51,55,51,54,52,101,45,51,54,32,49,46,57,49,51,53,53,
      101,45,51,54,32,50,46,54,51,56,53,53,101,45,51,54,32,52,46,52,52,50,49,57,101,
      45,51,54,32,55,46,51,50,51,49,50,101,45,51,54,32,57,46,55,52,48,57,53,101,45,
      51,54,32,49,46,52,49,51,54,54,101,45,51,53,10,32,32,49,46,55,56,50,56,57,101,
      45,51,53,32,50,46,54,56,52,50,49,101,45,51,53,32,51,46,54,48,49,49,49,101,45,
      51,53,32,53,46,52,54,48,49,51,101,45,51,53,32,54,46,52,53,51,54,53,101,45,51,
      53,32,56,46,56,49,49,48,54,101,45,51,53,32,49,46,50,50,51,50,57,101,45,51,52,
      10,32,32,49,46,53,57,49,56,49,101,45,51,52,32,50,46,48,53,48,55,53,101,45,51,
      52,32,50,46,53,55,56,48,49,101,45,51,52,32,51,46,50,48,53,53,54,101,45,51,52,
      32,52,46,48,52,55,53,55,101,45,51,52,32,52,46,57,52,53,48,56,101,45,51,52,32,
      54,46,49,49,57,52,52,101,45,51,52,10,32,32,55,46,49,50,51,52,57,101,45,51,52,
      32,57,46,48,52,56,50,101,45,51,52,32,49,46,48,52,50,52,49,101,45,51,51,32,49,
      46,50,51,54,52,52,101,45,51,51,32,49,46,56,48,48,55,56,101,45,51,51,32,50,46,
      56,56,51,56,53,101,45,51,51,32,52,46,51,53,50,48,57,101,45,51,51,10,32,32,54,
      46,56,52,57,48,50,101,45,51,51,32,49,46,48,49,50,57,51,101,45,51,50,32,49,46,
      53,48,51,51,52,101,45,51,50,32,49,46,57,55,51,50,54,101,45,51,50,32,50,46,55,
      54,53,48,56,101,45,51,50,32,51,46,52,52,54,49,54,101,45,51,50,32,51,46,56,49,
      50,50,51,101,45,51,50,10,32,32,52,46,48,54,52,57,50,101,45,51,50,32,52,46,49,
      49,51,51,54,101,45,51,50,32,51,46,56,57,57,56,56,101,45,51,50,32,51,46,53,48,
      48,55,57,101,45,51,50,32,50,46,57,48,57,48,50,101,45,51,50,32,50,46,50,55,52,
      54,54,101,45,51,50,32,49,46,55,53,49,53,101,45,51,50,10,32,32,49,46,50,57,53,
      55,54,101,45,51,50,32,57,46,50,51,52,50,55,101,45,51,51,32,54,46,48,48,55,57,
      55,101,45,51,51,32,51,46,53,50,49,56,55,101,45,51,51,32,49,46,56,51,54,51,54,
      101,45,51,51,32,57,46,55,52,50,52,54,101,45,51,52,32,52,46,53,56,55,52,101,
      45,51,52,10,32,32,50,46,50,51,54,56,51,101,45,51,52,32,49,46,48,53,50,55,52,
      101,45,51,52,32,52,46,51,56,51,53,56,101,45,51,53,32,49,46,54,52,52,57,49,101,
      45,51,53,32,55,46,53,48,55,53,52,101,45,51,54,32,50,46,57,52,56,57,53,101,45,
      51,54,32,49,46,50,54,56,49,54,101,45,51,54,10,32,32,53,46,48,51,53,54,101,45,
      51,55,32,49,46,57,53,56,48,51,101,45,51,55,32,55,46,49,50,54,53,54,101,45,51,
      56,32,50,46,54,54,48,54,53,101,45,51,56,32,48,114,51,51,51,32,52,46,48,48,55,
      56,101,45,51,56,32,54,46,49,56,49,55,56,101,45,51,56,32,49,46,53,50,53,48,53,
      101,45,51,55,10,32,32,51,46,51,51,57,51,54,101,45,51,55,32,52,46,55,48,55,52,
      54,101,45,51,55,32,54,46,53,54,52,52,101,45,51,55,32,49,46,49,52,51,50,101,
      45,51,54,32,49,46,57,49,50,48,55,101,45,51,54,32,50,46,53,56,49,53,57,101,45,
      51,54,32,51,46,55,57,57,54,51,101,45,51,54,10,32,32,52,46,56,53,50,52,101,45,
      51,54,32,55,46,51,56,51,49,50,101,45,51,54,32,57,46,57,54,51,51,55,101,45,51,
      54,32,49,46,53,50,52,53,57,101,45,51,53,32,49,46,56,48,57,55,54,101,45,51,53,
      32,50,46,52,56,57,54,56,101,45,51,53,32,51,46,52,56,49,57,50,101,45,51,53,10,
      32,32,52,46,53,53,56,52,51,101,45,51,53,32,53,46,57,48,54,55,56,101,45,51,53,
      32,55,46,52,54,53,51,51,101,45,51,53,32,57,46,51,51,48,55,55,101,45,51,53,32,
      49,46,49,56,52,56,56,101,45,51,52,32,49,46,52,53,52,56,52,101,45,51,52,32,49,
      46,56,49,48,49,101,45,51,52,10,32,32,50,46,49,49,53,52,101,45,51,52,32,50,46,
      55,48,51,56,57,101,45,51,52,32,51,46,49,50,54,57,50,101,45,51,52,32,51,46,55,
      50,54,51,51,101,45,51,52,32,53,46,52,56,53,51,54,101,45,51,52,32,56,46,57,49,
      48,57,50,101,45,51,52,32,49,46,51,54,51,48,52,101,45,51,51,10,32,32,50,46,49,
      56,48,51,49,101,45,51,51,32,51,46,50,55,53,55,53,101,45,51,51,32,52,46,57,53,
      49,51,52,101,45,51,51,32,54,46,53,57,53,53,53,101,45,51,51,32,57,46,52,53,52,
      57,51,101,45,51,51,32,49,46,50,48,51,50,101,45,51,50,32,49,46,51,53,48,48,54,
      101,45,51,50,10,32,32,49,46,52,54,49,57,56,101,45,51,50,32,49,46,53,48,57,50,
      52,101,45,51,50,32,49,46,52,53,53,51,51,101,45,51,50,32,49,46,51,50,56,48,53,
      101,45,51,50,32,49,46,49,50,51,56,51,101,45,51,50,32,56,46,57,52,51,55,55,101,
      45,51,51,32,54,46,57,57,48,53,49,101,45,51,51,10,32,32,53,46,50,52,55,51,49,
      101,45,51,51,32,51,46,55,57,50,55,51,101,45,51,51,32,50,46,53,48,54,53,56,101,
      45,51,51,32,49,46,52,57,52,53,55,101,45,51,51,32,55,46,57,51,53,57,49,101,45,
      51,52,32,52,46,50,55,54,57,54,101,45,51,52,32,50,46,48,52,56,101,45,51,52,10,
      32,32,49,46,48,49,51,50,101,45,51,52,32,52,46,56,51,53,54,49,101,45,51,53,32,
      50,46,48,52,51,56,101,45,51,53,32,55,46,55,56,55,50,49,101,45,51,54,32,51,46,
      53,57,52,54,50,101,45,51,54,32,49,46,52,50,57,56,54,101,45,51,54,32,54,46,50,
      49,52,55,101,45,51,55,10,32,32,50,46,52,57,52,57,49,101,45,51,55,32,57,46,56,
      48,51,57,51,101,45,51,56,32,51,46,54,49,57,56,54,101,45,51,56,32,48,114,51,
      51,54,32,51,46,52,53,55,54,51,101,45,51,56,32,55,46,57,51,49,49,49,101,45,51,
      56,32,49,46,49,51,50,54,51,101,45,51,55,32,49,46,53,57,56,57,54,101,45,51,55,
      10,32,32,50,46,56,57,57,56,55,101,45,51,55,32,52,46,57,50,50,51,53,101,45,51,
      55,32,54,46,55,55,56,51,57,101,45,51,55,32,49,46,48,49,53,53,51,101,45,51,54,
      32,49,46,51,48,49,56,50,101,45,51,54,32,50,46,48,49,56,52,57,101,45,51,54,32,
      50,46,55,52,50,101,45,51,54,10,32,32,52,46,50,51,53,56,101,45,51,54,32,53,46,
      48,53,49,51,55,101,45,51,54,32,55,46,48,48,52,54,57,101,45,51,54,32,57,46,56,
      54,57,49,50,101,45,51,54,32,49,46,50,57,57,56,57,101,45,51,53,32,49,46,54,57,
      52,50,49,101,45,51,53,32,50,46,49,53,50,55,53,101,45,51,53,10,32,32,50,46,55,
      48,52,54,52,101,45,51,53,32,51,46,52,53,52,49,55,101,45,51,53,32,52,46,50,54,
      50,50,51,101,45,51,53,32,53,46,51,51,49,57,55,101,45,51,53,32,54,46,50,53,53,
      57,50,101,45,51,53,32,56,46,48,52,54,55,53,101,45,51,53,32,57,46,51,52,49,49,
      56,101,45,51,53,10,32,32,49,46,49,49,56,52,101,45,51,52,32,49,46,54,54,52,48,
      54,101,45,51,52,32,50,46,55,52,50,50,49,101,45,51,52,32,52,46,50,53,49,52,49,
      101,45,51,52,32,54,46,57,49,50,50,101,45,51,52,32,49,46,48,53,52,57,55,101,
      45,51,51,32,49,46,54,50,51,56,57,101,45,51,51,10,32,32,50,46,49,57,53,49,49,
      101,45,51,51,32,51,46,50,49,56,56,50,101,45,51,51,32,52,46,49,56,49,57,50,101,
      45,51,51,32,52,46,55,53,57,48,57,101,45,51,51,32,53,46,50,51,51,52,52,101,45,
      51,51,32,53,46,53,49,49,48,52,101,45,51,51,32,53,46,52,48,52,51,56,101,45,51,
      51,10,32,32,53,46,48,49,50,57,53,101,45,51,51,32,52,46,51,49,57,54,51,101,45,
      51,51,32,51,46,52,57,56,53,51,101,45,51,51,32,50,46,55,55,53,53,49,101,45,51,
      51,32,50,46,49,49,51,55,57,101,45,51,51,32,49,46,53,52,57,53,49,101,45,51,51,
      32,49,46,48,52,48,49,56,101,45,51,51,10,32,32,54,46,51,48,56,51,55,101,45,51,
      52,32,51,46,52,49,49,48,49,101,45,51,52,32,49,46,56,54,55,52,51,101,45,51,52,
      32,57,46,48,57,51,53,57,101,45,51,53,32,52,46,53,54,52,54,53,101,45,51,53,32,
      50,46,50,48,57,49,56,101,45,51,53,32,57,46,52,55,55,56,56,101,45,51,54,10,32,
      32,51,46,54,54,54,57,101,45,51,54,32,49,46,55,49,49,57,57,101,45,51,54,32,54,
      46,56,57,54,52,56,101,45,51,55,32,51,46,48,50,57,54,55,101,45,51,55,32,49,46,
      50,50,57,55,51,101,45,51,55,32,52,46,56,56,51,55,52,101,45,51,56,32,48,114,
      51,51,57,32,50,46,54,54,50,51,49,101,45,51,56,10,32,32,51,46,56,48,56,57,53,
      101,45,51,56,32,55,46,50,52,52,54,49,101,45,51,56,32,49,46,50,52,57,57,53,101,
      45,51,55,32,49,46,55,54,54,55,55,101,45,51,55,32,50,46,55,48,55,50,53,101,45,
      51,55,32,51,46,52,55,50,55,51,101,45,51,55,32,53,46,52,56,57,56,50,101,45,51,
      55,10,32,32,55,46,53,49,49,52,52,101,45,51,55,32,49,46,49,55,50,48,56,101,45,
      51,54,32,49,46,52,48,52,55,51,101,45,51,54,32,49,46,57,54,52,52,49,101,45,51,
      54,32,50,46,55,56,56,54,53,101,45,51,54,32,51,46,54,57,53,50,52,101,45,51,54,
      32,52,46,56,52,52,50,101,45,51,54,10,32,32,54,46,49,56,56,52,57,101,45,51,54,
      32,55,46,56,49,53,49,56,101,45,51,54,32,49,46,48,48,51,56,51,101,45,51,53,32,
      49,46,50,52,52,55,57,101,45,51,53,32,49,46,53,54,53,54,57,101,45,51,53,32,49,
      46,56,52,52,50,51,101,45,51,53,32,50,46,51,56,54,57,56,101,45,51,53,10,32,32,
      50,46,55,56,49,52,51,101,45,51,53,32,51,46,51,52,53,54,51,101,45,51,53,32,53,
      46,48,51,48,56,57,101,45,51,53,32,56,46,52,48,56,53,52,101,45,51,53,32,49,46,
      51,50,49,49,49,101,45,51,52,32,50,46,49,56,50,56,56,101,45,51,52,32,51,46,51,
      56,51,57,54,101,45,51,52,10,32,32,53,46,51,48,51,55,55,101,45,51,52,32,55,46,
      50,55,52,53,55,101,45,51,52,32,49,46,48,57,48,57,53,101,45,51,51,32,49,46,52,
      52,54,56,54,101,45,51,51,32,49,46,54,54,57,56,53,101,45,51,51,32,49,46,56,54,
      52,53,57,101,45,51,51,32,50,46,48,48,50,55,49,101,45,51,51,10,32,32,49,46,57,
      57,55,49,51,101,45,51,51,32,49,46,56,56,50,56,57,101,45,51,51,32,49,46,54,53,
      50,48,50,101,45,51,51,32,49,46,51,54,49,53,57,101,45,51,51,32,49,46,48,57,54,
      51,53,101,45,51,51,32,56,46,52,55,49,48,52,101,45,51,52,32,54,46,50,57,55,53,
      50,101,45,51,52,10,32,32,52,46,50,57,51,56,57,101,45,51,52,32,50,46,54,52,56,
      54,51,101,45,51,52,32,49,46,52,53,56,51,52,101,45,51,52,32,56,46,49,49,48,51,
      51,101,45,51,53,32,52,46,48,49,54,50,54,101,45,51,53,32,50,46,48,52,53,53,49,
      101,45,51,53,32,49,46,48,48,51,57,50,101,45,51,53,10,32,32,52,46,51,55,49,57,
      52,101,45,51,54,32,49,46,55,49,55,53,56,101,45,51,54,32,56,46,49,49,48,55,53,
      101,45,51,55,32,51,46,51,48,56,57,52,101,45,51,55,32,49,46,52,54,57,51,101,
      45,51,55,32,54,46,48,51,48,48,54,101,45,51,56,32,50,46,52,50,48,51,55,101,45,
      51,56,10,32,32,48,114,51,52,50,32,51,46,49,50,52,51,51,101,45,51,56,32,52,46,
      53,49,51,52,56,101,45,51,56,32,55,46,48,52,53,48,52,101,45,51,56,32,57,46,49,
      54,57,51,49,101,45,51,56,32,49,46,52,56,52,48,56,101,45,51,55,32,50,46,48,52,
      52,54,57,101,45,51,55,32,51,46,50,50,53,57,55,101,45,51,55,10,32,32,51,46,56,
      56,55,51,101,45,51,55,32,53,46,52,56,53,57,49,101,45,51,55,32,55,46,56,52,57,
      54,101,45,51,55,32,49,46,48,52,54,52,56,101,45,51,54,32,49,46,51,55,57,57,57,
      101,45,51,54,32,49,46,55,55,50,54,101,45,51,54,32,50,46,50,53,48,49,55,101,
      45,51,54,10,32,32,50,46,57,48,55,48,55,101,45,51,54,32,51,46,54,50,50,54,54,
      101,45,51,54,32,52,46,53,56,49,53,50,101,45,51,54,32,53,46,52,49,55,56,50,101,
      45,51,54,32,55,46,48,53,54,48,52,101,45,51,54,32,56,46,50,53,51,48,50,101,45,
      51,54,32,57,46,57,55,51,49,50,101,45,51,54,10,32,32,49,46,53,49,53,53,56,101,
      45,51,53,32,50,46,53,54,57,49,55,101,45,51,53,32,52,46,48,57,48,53,51,101,45,
      51,53,32,54,46,56,54,56,49,49,101,45,51,53,32,49,46,48,56,49,51,52,101,45,51,
      52,32,49,46,55,50,53,53,50,101,45,51,52,32,50,46,52,48,49,50,50,101,45,51,52,
      10,32,32,51,46,54,56,50,52,56,101,45,51,52,32,52,46,57,56,52,56,53,101,45,51,
      52,32,53,46,56,51,51,57,55,101,45,51,52,32,54,46,54,49,52,48,49,101,45,51,52,
      32,55,46,50,52,52,55,49,101,45,51,52,32,55,46,51,52,53,54,56,101,45,51,52,32,
      55,46,48,51,56,50,56,101,45,51,52,10,32,32,54,46,50,56,54,57,50,101,45,51,52,
      32,53,46,50,55,50,51,53,101,45,51,52,32,52,46,51,48,56,51,54,101,45,51,52,32,
      51,46,51,55,55,48,50,101,45,51,52,32,50,46,53,52,53,56,53,101,45,51,52,32,49,
      46,55,54,50,57,56,101,45,51,52,32,49,46,49,48,53,57,55,101,45,51,52,10,32,32,
      54,46,50,48,48,52,54,101,45,51,53,32,51,46,53,48,50,54,56,101,45,51,53,32,49,
      46,55,54,51,56,52,101,45,51,53,32,57,46,49,49,52,53,55,101,45,51,54,32,52,46,
      53,51,54,51,54,101,45,51,54,32,50,46,48,48,53,51,49,101,45,51,54,32,56,46,48,
      48,48,48,53,101,45,51,55,10,32,32,51,46,56,50,49,48,57,101,45,51,55,32,49,46,
      53,55,56,56,51,101,45,51,55,32,55,46,48,56,54,52,101,45,51,56,32,50,46,57,52,
      48,55,101,45,51,56,32,48,114,51,52,54,32,50,46,51,54,57,54,51,101,45,51,56,
      32,51,46,57,55,54,51,53,101,45,51,56,32,53,46,53,50,50,50,53,101,45,51,56,10,
      32,32,56,46,56,50,50,48,56,101,45,51,56,32,49,46,48,54,57,50,57,101,45,51,55,
      32,49,46,53,50,52,49,49,101,45,51,55,32,50,46,49,57,57,50,57,101,45,51,55,32,
      50,46,57,53,48,48,49,101,45,51,55,32,51,46,57,49,51,55,52,101,45,51,55,32,53,
      46,48,53,53,50,55,101,45,51,55,10,32,32,54,46,52,53,48,55,56,101,45,51,55,32,
      56,46,51,56,51,52,54,101,45,51,55,32,49,46,48,52,57,56,55,101,45,51,54,32,49,
      46,51,51,53,49,49,101,45,51,54,32,49,46,53,56,53,48,55,101,45,51,54,32,50,46,
      48,55,55,51,49,101,45,51,54,32,50,46,52,51,56,57,101,45,51,54,10,32,32,50,46,
      57,54,48,57,52,101,45,51,54,32,52,46,53,52,55,53,51,101,45,51,54,32,55,46,56,
      49,57,49,53,101,45,51,54,32,49,46,50,54,49,53,53,101,45,51,53,32,50,46,49,53,
      50,52,51,101,45,51,53,32,51,46,52,52,49,55,51,101,45,51,53,32,53,46,53,57,49,
      50,54,101,45,51,53,10,32,32,55,46,56,57,51,56,53,101,45,51,53,32,49,46,50,51,
      55,56,51,101,45,51,52,32,49,46,55,49,48,48,57,101,45,51,52,32,50,46,48,50,57,
      51,53,101,45,51,52,32,50,46,51,51,53,55,101,45,51,52,32,50,46,54,48,56,56,56,
      101,45,51,52,32,50,46,54,56,57,51,55,101,45,51,52,10,32,32,50,46,54,49,56,53,
      57,101,45,51,52,32,50,46,51,56,49,49,50,101,45,51,52,32,50,46,48,51,49,54,55,
      101,45,51,52,32,49,46,54,56,52,55,55,101,45,51,52,32,49,46,51,51,57,54,101,
      45,51,52,32,49,46,48,50,52,48,52,101,45,51,52,32,55,46,50,48,49,57,49,101,45,
      51,53,10,32,32,52,46,53,57,52,54,56,101,45,51,53,32,50,46,54,50,50,56,101,45,
      51,53,32,49,46,53,48,52,57,56,101,45,51,53,32,55,46,55,48,54,53,51,101,45,51,
      54,32,52,46,48,52,48,52,57,101,45,51,54,32,50,46,48,51,57,50,56,101,45,51,54,
      32,57,46,49,53,48,56,101,45,51,55,10,32,32,51,46,55,48,55,49,57,101,45,51,55,
      32,49,46,55,57,49,48,51,101,45,51,55,32,55,46,52,57,53,49,53,101,45,51,56,32,
      51,46,52,48,48,54,49,101,45,51,56,32,48,114,51,53,48,32,50,46,51,57,56,50,50,
      101,45,51,56,32,50,46,57,50,52,57,53,101,45,51,56,32,52,46,50,49,52,57,56,101,
      45,51,56,10,32,32,54,46,49,51,56,53,52,101,45,51,56,32,56,46,50,56,52,57,53,
      101,45,51,56,32,49,46,49,48,54,48,52,101,45,51,55,32,49,46,52,51,54,56,54,101,
      45,51,55,32,49,46,56,52,51,49,56,101,45,51,55,32,50,46,52,49,48,48,52,101,45,
      51,55,32,51,46,48,51,51,48,52,101,45,51,55,10,32,32,51,46,56,55,56,54,55,101,
      45,51,55,32,52,46,54,50,51,48,57,101,45,51,55,32,54,46,48,57,54,54,101,45,51,
      55,32,55,46,49,56,52,55,55,101,45,51,55,32,56,46,55,54,51,48,55,101,45,51,55,
      32,49,46,51,54,48,49,101,45,51,54,32,50,46,51,55,49,56,51,101,45,51,54,10,32,
      32,51,46,56,55,55,51,50,101,45,51,54,32,54,46,55,50,49,51,51,101,45,51,54,32,
      49,46,48,57,49,51,54,101,45,51,53,32,49,46,56,48,52,55,52,101,45,51,53,32,50,
      46,53,56,52,55,101,45,51,53,32,52,46,49,52,51,53,52,101,45,51,53,32,53,46,56,
      52,49,52,49,101,45,51,53,10,32,32,55,46,48,50,56,51,52,101,45,51,53,32,56,46,
      50,49,49,56,52,101,45,51,53,32,57,46,51,53,50,51,50,101,45,51,53,32,57,46,56,
      48,49,48,52,101,45,51,53,32,57,46,54,57,55,49,51,101,45,51,53,32,56,46,57,55,
      53,56,49,101,45,51,53,32,55,46,55,57,49,53,54,101,45,51,53,10,32,32,54,46,53,
      53,54,52,52,101,45,51,53,32,53,46,50,56,55,57,56,101,45,51,53,32,52,46,48,57,
      56,56,53,101,45,51,53,32,50,46,57,50,55,52,50,101,45,51,53,32,49,46,56,57,57,
      50,54,101,45,51,53,32,49,46,49,48,51,56,52,101,45,51,53,32,54,46,52,51,51,53,
      57,101,45,51,54,10,32,32,51,46,51,52,57,57,57,101,45,51,54,32,49,46,55,56,50,
      48,50,101,45,51,54,32,57,46,49,50,48,54,56,101,45,51,55,32,52,46,49,53,52,52,
      52,101,45,51,55,32,49,46,55,48,57,49,52,101,45,51,55,32,56,46,51,53,50,50,55,
      101,45,51,56,32,51,46,53,52,48,49,54,101,45,51,56,10,32,32,48,114,51,53,53,
      32,50,46,51,49,53,55,52,101,45,51,56,32,51,46,49,49,50,48,57,101,45,51,56,32,
      52,46,48,54,55,51,52,101,45,51,56,32,53,46,50,52,53,52,55,101,45,51,56,32,54,
      46,57,48,50,51,50,101,45,51,56,32,56,46,55,50,57,56,49,101,45,51,56,32,49,46,
      49,50,50,55,49,101,45,51,55,10,32,32,49,46,51,52,51,53,51,101,45,51,55,32,49,
      46,55,56,50,56,54,101,45,51,55,32,50,46,49,48,57,48,50,101,45,51,55,32,50,46,
      53,56,52,50,55,101,45,51,55,32,52,46,48,53,51,52,56,101,45,51,55,32,55,46,49,
      54,57,55,53,101,45,51,55,32,49,46,49,56,55,53,49,101,45,51,54,10,32,32,50,46,
      48,57,49,51,54,101,45,51,54,32,51,46,52,52,56,48,53,101,45,51,54,32,53,46,56,
      48,51,53,56,101,45,51,54,32,56,46,52,51,49,48,51,101,45,51,54,32,49,46,51,56,
      49,54,52,101,45,51,53,32,49,46,57,56,55,51,57,101,45,51,53,32,50,46,52,50,52,
      50,52,101,45,51,53,10,32,32,50,46,56,55,53,48,54,101,45,51,53,32,51,46,51,51,
      56,49,51,101,45,51,53,32,51,46,53,53,53,57,55,101,45,51,53,32,51,46,53,55,52,
      54,52,101,45,51,53,32,51,46,51,54,55,54,101,45,51,53,32,50,46,57,55,51,54,57,
      101,45,51,53,32,50,46,53,51,56,57,54,101,45,51,53,10,32,32,50,46,48,55,54,57,
      54,101,45,51,53,32,49,46,54,51,50,50,55,101,45,51,53,32,49,46,49,56,51,55,57,
      101,45,51,53,32,55,46,56,48,57,54,50,101,45,51,54,32,52,46,54,50,48,57,55,101,
      45,51,54,32,50,46,55,51,53,52,56,101,45,51,54,32,49,46,52,52,56,51,50,101,45,
      51,54,10,32,32,55,46,56,49,54,54,101,45,51,55,32,52,46,48,53,54,57,56,101,45,
      51,55,32,49,46,56,55,53,56,51,101,45,51,55,32,55,46,56,51,54,57,53,101,45,51,
      56,32,51,46,56,55,51,57,51,101,45,51,56,32,48,114,51,54,49,32,50,46,53,48,49,
      54,57,101,45,51,56,32,51,46,50,51,54,48,56,101,45,51,56,10,32,32,51,46,56,56,
      56,49,55,101,45,51,56,32,53,46,49,57,50,52,52,101,45,51,56,32,54,46,49,54,53,
      56,52,101,45,51,56,32,55,46,53,57,48,56,57,101,45,51,56,32,49,46,50,48,51,52,
      101,45,51,55,32,50,46,49,53,57,52,52,101,45,51,55,32,51,46,54,50,51,54,57,101,
      45,51,55,10,32,32,54,46,52,56,51,52,57,101,45,51,55,32,49,46,48,56,53,51,54,
      101,45,51,54,32,49,46,56,53,57,51,101,45,51,54,32,50,46,55,51,57,54,55,101,
      45,51,54,32,52,46,53,56,57,101,45,51,54,32,54,46,55,51,52,52,53,101,45,51,54,
      32,56,46,51,50,55,54,49,101,45,51,54,10,32,32,49,46,48,48,50,52,101,45,51,53,
      32,49,46,49,56,54,52,49,101,45,51,53,32,49,46,50,56,52,53,56,101,45,51,53,32,
      49,46,51,49,49,57,49,101,45,51,53,32,49,46,50,53,55,56,101,45,51,53,32,49,46,
      49,50,57,55,53,101,45,51,53,32,57,46,55,56,54,53,57,101,45,51,54,10,32,32,56,
      46,49,49,57,53,55,101,45,51,54,32,54,46,52,54,57,52,56,101,45,51,54,32,52,46,
      55,54,52,50,51,101,45,51,54,32,51,46,49,57,53,56,54,101,45,51,54,32,49,46,57,
      50,53,49,49,101,45,51,54,32,49,46,49,53,55,52,53,101,45,51,54,32,54,46,50,51,
      49,49,52,101,45,51,55,10,32,32,51,46,52,49,49,57,101,45,51,55,32,49,46,55,57,
      53,55,53,101,45,51,55,32,56,46,52,50,56,51,57,101,45,51,56,32,51,46,53,55,53,
      57,51,101,45,51,56,32,48,114,51,54,55,32,50,46,50,50,50,50,50,101,45,51,56,
      32,51,46,53,54,48,56,50,101,45,51,56,32,54,46,52,56,51,49,53,101,45,51,56,10,
      32,32,49,46,49,48,50,49,49,101,45,51,55,32,50,46,48,48,51,48,54,101,45,51,55,
      32,51,46,52,48,52,51,49,101,45,51,55,32,53,46,57,51,52,55,55,101,45,51,55,32,
      56,46,56,54,56,57,55,101,45,51,55,32,49,46,53,49,56,50,49,101,45,51,54,32,50,
      46,50,55,50,56,49,101,45,51,54,10,32,32,50,46,56,52,56,57,51,101,45,51,54,32,
      51,46,52,56,48,51,53,101,45,51,54,32,52,46,49,57,56,55,55,101,45,51,54,32,52,
      46,54,50,48,52,54,101,45,51,54,32,52,46,55,57,51,55,49,101,45,51,54,32,52,46,
      54,55,55,49,52,101,45,51,54,32,52,46,50,55,50,56,52,101,45,51,54,10,32,32,51,
      46,55,53,53,49,57,101,45,51,54,32,51,46,49,53,57,54,53,101,45,51,54,32,50,46,
      53,53,50,50,55,101,45,51,54,32,49,46,57,48,56,51,56,101,45,51,54,32,49,46,51,
      48,49,54,101,45,51,54,32,55,46,57,56,49,53,57,101,45,51,55,32,52,46,56,55,51,
      55,56,101,45,51,55,10,32,32,50,46,54,54,55,55,57,101,45,51,55,32,49,46,52,56,
      50,48,49,101,45,51,55,32,55,46,57,48,57,54,54,101,45,51,56,32,51,46,55,54,56,
      51,56,101,45,51,56,32,48,114,51,55,49,32,51,46,51,52,48,56,55,101,45,51,56,
      32,54,46,49,54,55,53,49,101,45,51,56,32,49,46,48,54,52,48,57,101,45,51,55,10,
      32,32,49,46,56,56,55,54,51,101,45,51,55,32,50,46,56,54,48,55,54,101,45,51,55,
      32,53,46,48,48,52,50,57,101,45,51,55,32,55,46,54,52,49,52,101,45,51,55,32,57,
      46,55,48,56,53,101,45,51,55,32,49,46,50,48,51,53,55,101,45,51,54,32,49,46,52,
      55,57,56,51,101,45,51,54,10,32,32,49,46,54,53,52,56,53,101,45,51,54,32,49,46,
      55,52,51,57,55,101,45,51,54,32,49,46,55,51,49,51,54,101,45,51,54,32,49,46,54,
      48,56,53,53,101,45,51,54,32,49,46,52,51,52,48,57,101,45,51,54,32,49,46,50,50,
      51,54,51,101,45,51,54,32,49,46,48,48,49,57,55,101,45,51,54,10,32,32,55,46,54,
      48,54,51,51,101,45,51,55,32,53,46,50,55,52,51,51,101,45,51,55,32,51,46,50,57,
      50,50,52,101,45,51,55,32,50,46,48,52,49,54,49,101,45,51,55,32,49,46,49,51,54,
      50,49,101,45,51,55,32,54,46,52,48,51,52,55,101,45,51,56,32,51,46,52,54,53,54,
      101,45,51,56,10,32,32,48,114,51,55,52,32,51,46,49,50,54,52,50,101,45,51,56,
      32,53,46,54,52,56,48,57,101,45,51,56,32,56,46,54,56,54,51,50,101,45,51,56,32,
      49,46,53,53,52,50,52,101,45,51,55,32,50,46,52,50,50,56,56,101,45,51,55,32,51,
      46,49,50,49,57,56,101,45,51,55,32,51,46,57,51,48,49,54,101,45,51,55,10,32,32,
      52,46,57,50,57,48,51,101,45,51,55,32,53,46,54,48,53,52,57,101,45,51,55,32,54,
      46,48,48,52,55,49,101,45,51,55,32,54,46,48,55,48,52,51,101,45,51,55,32,53,46,
      55,52,48,48,57,101,45,51,55,32,53,46,49,57,52,56,51,101,45,51,55,32,52,46,52,
      57,55,55,55,101,45,51,55,10,32,32,51,46,55,51,53,56,57,101,45,51,55,32,50,46,
      56,56,49,52,50,101,45,51,55,32,50,46,48,51,50,57,51,101,45,51,55,32,49,46,50,
      57,50,55,57,101,45,51,55,32,56,46,49,52,55,55,53,101,45,51,56,32,52,46,54,49,
      51,57,51,101,45,51,56,32,50,46,54,51,57,57,49,101,45,51,56,10,32,32,48,114,
      51,55,55,32,50,46,55,56,49,49,50,101,45,51,56,32,53,46,48,56,51,57,55,101,45,
      51,56,32,56,46,48,56,50,50,52,101,45,51,56,32,49,46,48,53,53,52,53,101,45,51,
      55,32,49,46,51,52,56,49,53,101,45,51,55,32,49,46,55,50,50,57,101,45,51,55,32,
      49,46,57,57,48,56,53,101,45,51,55,10,32,32,50,46,49,54,53,57,55,101,45,51,55,
      32,50,46,50,50,55,55,101,45,51,55,32,50,46,49,52,49,57,54,101,45,51,55,32,49,
      46,57,54,54,50,52,101,45,51,55,32,49,46,55,50,54,49,53,101,45,51,55,32,49,46,
      52,53,51,50,55,101,45,51,55,32,49,46,49,51,55,56,55,101,45,51,55,10,32,32,56,
      46,49,54,48,57,101,45,51,56,32,53,46,50,56,50,48,57,101,45,51,56,32,51,46,51,
      56,48,53,53,101,45,51,56,32,48,114,51,56,49,32,50,46,54,56,54,53,50,101,45,
      51,56,32,51,46,53,53,53,50,49,101,45,51,56,32,52,46,54,48,55,50,53,101,45,51,
      56,32,53,46,57,57,56,57,52,101,45,51,56,10,32,32,55,46,48,52,50,53,52,101,45,
      51,56,32,55,46,55,56,48,57,50,101,45,51,56,32,56,46,49,52,48,54,57,101,45,51,
      56,32,55,46,57,53,56,51,50,101,45,51,56,32,55,46,52,48,57,52,50,101,45,51,56,
      32,54,46,53,57,52,57,57,101,45,51,56,32,53,46,54,50,55,53,54,101,45,51,56,10,
      32,32,52,46,52,55,50,54,56,101,45,51,56,32,51,46,50,54,48,55,52,101,45,51,56,
      32,50,46,49,52,55,57,51,101,45,51,56,32,48,114,51,56,53,32,50,46,48,56,48,55,
      49,101,45,51,56,32,50,46,52,56,49,53,101,45,51,56,32,50,46,55,56,52,48,50,101,
      45,51,56,32,50,46,57,54,50,55,52,101,45,51,56,10,32,32,50,46,57,52,52,54,52,
      101,45,51,56,32,50,46,55,56,48,52,49,101,45,51,56,32,50,46,53,48,57,48,50,101,
      45,51,56,32,50,46,49,54,57,56,55,101,45,51,56,32,48,114,52,54,48,53,49,10,64,
      68,89,78,73,78,70,79,10,32,32,35,32,83,99,97,116,116,101,114,105,110,103,32,
      107,101,114,110,101,108,32,102,111,114,32,79,32,64,32,50,57,51,46,54,75,32,
      101,120,116,114,97,99,116,101,100,32,102,114,111,109,32,116,115,108,45,79,105,
      110,68,50,79,46,101,110,100,102,10,32,32,35,10,32,32,35,32,70,111,114,32,114,
      101,102,101,114,101,110,99,101,32,116,104,101,32,100,101,115,99,114,105,112,
      116,105,111,110,32,101,109,98,101,100,100,101,100,32,105,110,32,105,110,112,
      117,116,32,69,78,68,70,32,102,105,108,101,32,40,115,101,99,116,105,111,110,
      32,77,70,49,44,77,84,52,53,49,41,32,105,115,32,114,101,112,101,97,116,101,100,
      32,104,101,114,101,58,10,32,32,35,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      36,82,101,118,58,58,32,49,52,52,57,32,32,32,32,32,32,36,32,32,36,68,97,116,
      101,58,58,32,50,48,49,56,45,48,49,45,49,55,35,36,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,32,56,46,48,49,54,48,48,48,43,51,32,49,53,46,56,53,55,53,49,
      49,48,32,32,32,32,32,32,32,32,32,45,49,32,32,32,32,32,32,32,32,32,32,48,32,
      32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,32,48,46,48,48,48,48,48,48,43,48,32,48,46,48,
      48,48,48,48,48,43,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,
      32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,
      54,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,49,46,48,48,48,48,48,48,43,
      48,32,53,46,48,48,48,48,48,48,43,48,32,32,32,32,32,32,32,32,32,32,48,32,32,
      32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,49,50,32,32,32,32,32,
      32,32,32,32,32,56,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,48,46,48,48,
      48,48,48,48,43,48,32,48,46,48,48,48,48,48,48,43,48,32,32,32,32,32,32,32,32,
      32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,54,54,
      32,32,32,32,32,32,32,32,32,32,50,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      32,79,40,68,50,79,41,32,32,32,32,32,65,82,67,65,66,32,32,32,32,32,69,86,65,
      76,45,74,85,78,49,55,32,77,97,114,113,117,101,122,32,68,97,109,105,97,110,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,32,78,68,83,32,49,52,56,44,32,49,32,
      40,50,48,49,56,41,32,32,32,32,68,73,83,84,45,70,69,66,49,56,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,45,45,45,45,69,78,68,70,47,66,45,86,73,73,73,46,
      48,32,32,32,32,32,77,65,84,69,82,73,65,76,32,53,49,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,45,45,45,45,45,84,72,69,82,77,65,76,32,78,69,85,84,82,79,
      78,32,83,67,65,84,84,69,82,73,78,71,32,68,65,84,65,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,45,45,45,45,45,45,69,78,68,70,45,54,32,70,79,82,77,65,84,
      10,32,32,35,32,32,32,32,32,45,45,45,62,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,101,109,112,101,114,97,116,117,
      114,101,115,32,61,32,50,56,51,46,54,44,32,50,57,51,46,54,44,32,51,48,48,46,
      48,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,
      32,32,32,32,32,51,50,51,46,54,44,32,51,53,48,46,48,44,32,51,55,51,46,54,44,
      32,52,48,48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,52,50,51,46,54,44,32,52,53,48,46,48,44,32,52,
      55,51,46,54,44,32,53,48,48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,53,50,51,46,54,44,32,53,53,48,
      46,48,44,32,53,55,51,46,54,44,32,54,48,48,46,48,32,75,44,32,54,50,51,46,54,
      32,75,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,69,120,116,114,97,112,111,
      108,97,116,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,61,32,54,
      53,48,46,48,32,75,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,84,104,105,115,32,101,118,97,108,117,97,116,105,111,110,
      32,105,115,32,98,97,115,101,100,32,111,110,32,116,104,101,32,67,65,66,32,77,
      111,100,101,108,32,102,111,114,32,104,101,97,118,121,32,119,97,116,101,114,
      91,49,93,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,105,110,
      32,97,32,108,105,113,117,105,100,32,115,116,97,116,101,44,32,84,32,60,32,84,
      45,99,114,105,116,40,68,50,79,41,32,61,32,54,52,51,46,56,32,75,46,32,84,104,
      101,32,102,105,108,101,32,40,77,70,55,41,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,119,97,115,32,103,101,110,101,114,97,116,101,100,32,
      117,115,105,110,103,32,78,74,79,89,32,57,57,46,51,57,54,91,49,93,32,119,105,
      116,104,32,97,32,112,97,116,99,104,32,40,117,112,99,97,98,41,46,32,79,110,101,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,116,101,109,112,
      101,114,97,116,117,114,101,32,112,111,105,110,116,32,97,116,32,54,53,48,32,
      75,32,119,97,115,32,97,100,100,101,100,32,102,111,114,32,98,97,99,107,119,97,
      114,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,99,111,109,112,97,116,105,98,105,108,105,116,121,32,
      119,105,116,104,32,69,78,68,70,47,66,45,86,73,73,46,49,32,115,99,114,105,112,
      116,115,46,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,104,
      101,32,67,65,66,32,109,111,100,101,108,32,105,115,32,97,32,102,117,114,116,
      104,101,114,32,100,101,118,101,108,111,112,109,101,110,116,32,111,102,32,69,
      78,68,70,47,66,45,86,73,73,32,40,50,48,48,54,41,32,32,32,32,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,97,110,100,32,73,75,69,44,32,83,116,117,
      116,116,103,97,114,116,32,40,50,48,48,53,41,32,109,111,100,101,108,115,32,102,
      111,114,32,104,101,97,118,121,32,119,97,116,101,114,32,40,110,32,43,32,68,50,
      79,41,59,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,118,
      105,98,114,97,116,105,111,110,97,108,32,115,112,101,99,116,114,117,109,32,100,
      101,99,111,109,112,111,115,105,116,105,111,110,32,105,115,32,97,112,112,108,
      105,101,100,46,32,70,111,114,32,111,120,121,103,101,110,32,32,32,32,32,32,42,
      10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,40,79,45,49,54,41,32,105,110,
      32,68,50,79,44,32,97,32,110,101,119,32,101,118,97,108,117,97,116,105,111,110,
      32,111,102,32,116,104,101,32,115,99,97,116,116,101,114,105,110,103,32,107,101,
      114,110,101,108,32,119,97,115,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,112,114,101,112,97,114,101,100,32,40,102,114,101,101,32,103,
      97,115,32,109,111,100,101,108,32,105,115,32,110,111,116,32,97,112,112,108,105,
      101,100,41,46,32,84,104,101,32,99,111,110,116,105,110,117,111,117,115,32,32,
      32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,115,112,101,
      99,116,114,117,109,32,105,115,32,98,97,115,101,100,32,111,110,32,77,68,32,71,
      82,79,77,65,67,83,32,67,97,108,99,117,108,97,116,105,111,110,115,91,50,93,32,
      97,110,100,32,100,105,102,102,117,115,105,111,110,32,32,42,10,32,32,35,32,32,
      32,32,32,45,45,45,62,32,42,32,99,111,101,102,102,105,99,105,101,110,116,115,
      32,109,101,97,115,117,114,101,100,32,98,121,32,89,111,115,104,105,100,97,91,
      51,93,32,97,110,100,32,77,105,108,108,115,91,52,93,46,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,70,111,114,32,110,32,43,32,79,45,49,54,45,105,110,45,68,50,79,44,
      32,83,107,111,108,100,32,97,112,112,114,111,120,105,109,97,116,105,111,110,
      32,119,97,115,32,97,112,112,108,105,101,100,32,102,111,114,32,32,32,32,32,32,
      32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,99,111,104,101,114,101,
      110,116,32,105,110,101,108,97,115,116,105,99,32,99,111,114,114,101,99,116,105,
      111,110,32,119,105,116,104,32,112,97,114,116,105,97,108,32,115,116,114,117,
      99,116,117,114,101,32,102,97,99,116,111,114,115,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,118,97,108,105,100,97,116,101,100,32,97,103,
      97,105,110,115,116,32,101,120,112,101,114,105,109,101,110,116,97,108,32,100,
      97,116,97,32,109,101,97,115,117,114,101,100,32,98,121,32,83,111,112,101,114,
      91,53,93,46,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,115,105,103,95,99,111,104,40,79,45,49,54,41,47,115,105,103,95,115,40,
      79,45,49,54,41,32,61,32,49,46,48,32,46,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,
      32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,104,101,32,115,99,97,116,116,
      101,114,105,110,103,32,107,101,114,110,101,108,115,32,102,111,114,32,72,45,
      50,45,105,110,45,68,50,79,32,97,110,100,32,79,45,49,54,45,105,110,45,68,50,
      79,32,119,101,114,101,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,116,101,115,116,101,100,32,119,105,116,104,32,99,114,105,116,105,
      99,97,108,105,116,121,32,99,97,108,99,117,108,97,116,105,111,110,115,32,105,
      110,32,99,111,108,108,97,98,111,114,97,116,105,111,110,32,119,105,116,104,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,68,46,32,82,
      111,117,98,116,115,111,118,32,102,114,111,109,32,67,97,110,97,100,105,97,110,
      32,78,117,99,108,101,97,114,32,76,97,98,111,114,97,116,111,114,105,101,115,
      91,54,93,46,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,104,101,32,101,118,97,108,117,
      97,116,105,111,110,32,119,97,115,32,112,114,101,112,97,114,101,100,32,98,121,
      58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,74,46,73,46,32,77,97,114,113,117,101,122,32,68,97,109,105,97,
      110,44,32,70,46,32,67,97,110,116,97,114,103,105,44,32,97,110,100,32,74,46,82,
      46,32,71,114,97,110,97,100,97,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,78,117,99,108,101,97,114,32,68,
      97,116,97,32,71,114,111,117,112,32,45,32,78,101,117,116,114,111,110,32,80,104,
      121,115,105,99,115,32,68,101,112,97,114,116,109,101,110,116,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,67,101,110,116,114,111,32,65,116,111,109,105,99,111,32,66,97,114,105,
      108,111,99,104,101,32,45,32,65,114,103,101,110,116,105,110,97,32,40,67,65,66,
      41,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,97,110,100,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,68,46,32,82,111,117,98,116,115,111,118,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,67,97,110,97,100,105,97,110,32,78,117,99,108,
      101,97,114,32,76,97,98,111,114,97,116,111,114,105,101,115,32,40,67,78,76,41,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,67,104,97,108,107,
      32,82,105,118,101,114,44,32,67,97,110,97,100,97,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,82,101,102,101,114,101,110,99,101,115,58,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,49,93,32,65,110,110,46,32,78,
      117,99,108,46,32,69,110,101,114,103,121,44,32,54,53,44,32,50,56,48,32,40,50,
      48,49,52,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,
      32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,
      46,49,48,49,54,47,106,46,97,110,117,99,101,110,101,46,50,48,49,51,46,49,49,
      46,48,49,52,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,32,91,50,93,32,74,46,32,67,104,101,109,46,32,80,104,121,
      115,46,32,49,51,57,44,32,48,50,52,53,48,52,32,40,50,48,49,51,41,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,58,47,
      47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,54,51,47,49,46,52,
      56,49,50,56,50,56,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,51,93,
      32,74,46,32,67,104,101,109,46,32,80,104,121,115,46,32,49,50,51,44,32,49,54,
      52,53,48,54,32,40,50,48,48,53,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,32,32,32,32,32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,
      111,114,103,47,49,48,46,49,48,54,51,47,49,46,50,48,53,54,53,52,50,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,32,91,52,93,32,74,46,32,80,104,121,115,
      46,32,67,104,101,109,46,32,55,55,44,32,54,56,53,32,40,49,57,55,51,41,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,
      116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,
      50,49,47,106,49,48,48,54,50,52,97,48,50,53,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,91,53,93,32,67,104,101,109,46,32,80,104,121,115,46,32,50,53,56,44,
      32,49,50,49,32,40,50,48,48,48,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,58,47,47,100,120,
      46,100,111,105,46,111,114,103,47,49,48,46,49,48,49,54,47,83,48,51,48,49,45,
      48,49,48,52,40,48,48,41,48,48,49,55,57,45,56,32,32,32,32,32,32,32,32,32,32,
      32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,54,93,32,65,110,
      110,46,32,78,117,99,108,46,32,69,110,101,114,103,121,44,32,55,49,44,32,50,48,
      54,32,40,50,48,49,52,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      32,32,32,32,32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,
      47,49,48,46,49,48,49,54,47,106,46,97,110,117,99,101,110,101,46,50,48,49,52,
      46,48,51,46,48,50,52,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,
      32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,10,32,32,35,32,32,32,32,32,45,45,45,62,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,49,32,32,32,32,32,32,32,32,52,53,49,
      32,32,32,32,32,32,32,32,32,55,50,32,32,32,32,32,32,32,32,32,32,48,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,55,32,32,32,32,32,32,
      32,32,32,32,52,32,32,32,32,32,52,55,55,53,56,49,32,32,32,32,32,32,32,32,32,
      32,48,10,32,32,101,108,101,109,101,110,116,32,32,79,10,32,32,102,114,97,99,
      116,105,111,110,32,49,47,51,10,32,32,116,121,112,101,32,32,32,32,32,115,99,
      97,116,107,110,108,10,32,32,101,103,114,105,100,32,32,32,32,49,48,46,48,32,
      35,32,86,97,108,117,101,32,116,117,110,101,100,32,109,97,110,117,97,108,108,
      121,32,98,121,32,84,46,32,75,105,116,116,101,108,109,97,110,110,10,32,32,116,
      101,109,112,101,114,97,116,117,114,101,32,50,57,51,46,54,32,35,78,66,58,32,
      69,78,68,70,32,102,105,108,101,32,115,112,101,99,105,102,105,101,100,32,34,
      101,102,102,101,99,116,105,118,101,32,116,101,109,112,101,114,97,116,117,114,
      101,34,32,97,115,32,52,53,52,46,53,51,56,49,75,10,32,32,97,108,112,104,97,103,
      114,105,100,32,49,46,48,49,48,57,101,45,48,54,32,52,46,48,53,51,53,101,45,48,
      54,32,57,46,49,50,55,56,49,101,45,48,54,32,49,46,48,49,48,57,101,45,48,53,32,
      52,46,48,53,51,53,101,45,48,53,32,57,46,49,50,55,56,49,101,45,48,53,32,46,48,
      48,48,49,54,50,50,51,56,32,46,48,48,48,50,53,51,52,49,55,10,32,32,46,48,48,
      48,51,54,53,48,49,52,32,46,48,48,48,52,57,54,55,50,55,32,46,48,48,48,54,52,
      56,56,53,56,32,46,48,48,48,56,50,49,50,48,53,32,46,48,48,49,48,49,51,55,55,
      32,46,48,48,49,50,50,54,54,53,32,46,48,48,49,52,53,57,56,53,32,46,48,48,49,
      55,49,51,50,56,10,32,32,46,48,48,49,57,56,55,32,46,48,48,50,50,56,49,48,54,
      32,46,48,48,50,53,57,53,51,51,32,46,48,48,50,57,50,57,57,50,32,46,48,48,51,
      50,56,52,55,51,32,46,48,48,51,54,53,57,56,52,32,46,48,48,52,48,53,53,49,56,
      32,46,48,48,52,52,55,48,56,52,32,46,48,48,52,57,48,54,56,49,10,32,32,46,48,
      48,53,51,54,51,32,46,48,48,53,56,51,57,52,50,32,46,48,48,54,51,51,54,50,52,
      32,46,48,48,54,56,53,51,51,32,46,48,48,55,51,57,48,53,53,32,46,48,48,55,57,
      52,56,49,50,32,46,48,48,56,53,50,54,48,50,32,46,48,48,57,49,50,52,49,52,32,
      46,48,48,57,55,52,50,53,55,10,32,32,46,48,49,48,51,56,49,50,32,46,48,49,49,
      48,52,48,51,32,46,48,49,49,55,49,57,53,32,46,48,49,50,52,49,57,32,46,48,49,
      51,49,51,56,56,32,46,48,49,51,56,55,56,56,32,46,48,49,52,54,51,57,50,32,46,
      48,49,53,52,49,57,57,32,46,48,49,54,50,50,48,56,10,32,32,46,48,49,55,48,52,
      49,57,32,46,48,49,55,56,56,51,51,32,46,48,49,56,55,52,53,49,32,46,48,49,57,
      54,50,55,49,32,46,48,50,48,53,50,57,52,32,46,48,50,49,52,53,49,57,32,46,48,
      50,50,51,57,52,55,32,46,48,50,51,51,53,55,56,32,46,48,50,52,51,52,49,49,10,
      32,32,46,48,50,53,51,52,52,57,32,46,48,50,54,51,54,56,56,32,46,48,50,55,52,
      49,51,32,46,48,50,56,52,55,55,53,32,46,48,50,57,53,54,50,51,32,46,48,51,48,
      54,54,55,52,32,46,48,51,49,55,57,50,54,32,46,48,51,50,57,51,56,51,32,46,48,
      51,52,49,48,52,49,10,32,32,46,48,51,53,50,57,48,50,32,46,48,51,54,52,57,54,
      54,32,46,48,51,55,55,50,51,51,32,46,48,51,56,57,55,48,52,32,46,48,52,48,50,
      51,55,53,32,46,48,52,49,53,50,53,49,32,46,48,52,50,56,51,50,57,32,46,48,52,
      52,49,54,48,57,32,46,48,52,53,53,48,57,50,10,32,32,46,48,52,54,56,55,55,57,
      32,46,48,52,56,50,54,54,56,32,46,48,52,57,54,55,54,32,46,48,53,49,49,48,53,
      52,32,46,48,53,50,53,53,53,50,32,46,48,53,52,48,50,53,50,32,46,48,53,53,53,
      49,53,53,32,46,48,53,55,48,50,54,32,46,48,53,56,53,53,54,57,32,46,48,54,48,
      49,48,56,10,32,32,46,48,54,49,54,55,57,51,32,46,48,54,51,50,55,48,57,32,46,
      48,54,52,56,56,50,57,32,46,48,54,54,53,49,53,49,32,46,48,54,56,49,54,55,54,
      32,46,48,54,57,56,52,48,52,32,46,48,55,49,53,51,51,53,32,46,48,55,51,50,52,
      54,55,32,46,48,55,52,57,56,48,51,10,32,32,46,48,55,54,55,51,52,49,32,46,48,
      55,56,53,48,56,52,32,46,48,56,48,51,48,50,56,32,46,48,56,50,49,49,55,53,32,
      46,48,56,51,57,53,50,53,32,46,48,56,53,56,48,55,56,32,46,48,56,55,54,56,51,
      50,32,46,48,56,57,53,55,57,32,46,48,57,49,52,57,53,49,10,32,32,46,48,57,51,
      52,51,49,51,32,46,48,57,53,51,56,56,49,32,46,48,57,55,51,54,53,32,46,48,57,
      57,51,54,50,50,32,46,49,48,49,51,56,32,46,49,48,51,52,49,55,32,46,49,48,53,
      52,55,53,32,46,49,48,55,53,53,52,32,46,49,48,57,54,53,50,32,46,49,49,49,55,
      55,49,10,32,32,46,49,49,51,57,49,32,46,49,49,54,48,55,32,46,49,49,56,50,52,
      57,32,46,49,50,48,52,52,57,32,46,49,50,50,54,54,57,32,46,49,50,52,57,49,32,
      46,49,50,55,49,55,49,32,46,49,50,57,52,53,50,32,46,49,51,49,55,53,51,32,46,
      49,51,52,48,55,52,32,46,49,51,54,52,49,54,10,32,32,46,49,51,56,55,55,56,32,
      46,49,52,49,49,54,49,32,46,49,52,51,53,54,52,32,46,49,52,53,57,56,55,32,46,
      49,52,56,52,51,32,46,49,53,48,56,57,51,32,46,49,53,51,51,55,55,32,46,49,53,
      53,56,56,49,32,46,49,53,56,52,48,54,32,46,49,54,48,57,53,49,32,46,49,54,51,
      53,49,53,10,32,32,46,49,54,54,49,32,46,49,54,56,55,48,54,32,46,49,55,49,51,
      51,49,32,46,49,55,51,57,55,55,32,46,49,55,54,54,52,51,32,46,49,55,57,51,51,
      49,32,46,49,56,50,48,51,56,32,46,49,56,52,55,54,53,32,46,49,56,55,53,49,49,
      32,46,49,57,48,50,55,57,32,46,49,57,51,48,54,56,10,32,32,46,49,57,53,56,55,
      54,32,46,49,57,56,55,48,52,32,46,50,48,49,53,53,51,32,46,50,48,52,52,50,50,
      32,46,50,48,55,51,49,49,32,46,50,49,48,50,50,49,32,46,50,49,51,49,53,49,32,
      46,50,49,54,49,32,46,50,49,57,48,55,49,32,46,50,50,50,48,54,49,32,46,50,50,
      53,48,55,50,10,32,32,46,50,50,56,49,48,52,32,46,50,51,49,49,53,53,32,46,50,
      51,52,50,50,55,32,46,50,51,55,51,49,57,32,46,50,52,48,52,51,50,32,46,50,52,
      51,53,54,53,32,46,50,52,55,55,54,57,32,46,50,53,55,54,56,32,46,50,55,50,53,
      52,54,32,46,50,57,55,51,50,51,32,46,51,50,50,49,10,32,32,46,51,52,54,56,55,
      54,32,46,51,55,49,54,53,51,32,46,51,57,54,52,51,32,46,52,50,49,50,48,55,32,
      46,52,52,53,57,56,52,32,46,52,55,48,55,54,49,32,46,52,57,53,53,51,56,32,46,
      53,50,48,51,49,53,32,46,53,52,53,48,57,50,32,46,53,55,52,56,50,52,32,46,54,
      48,52,53,53,54,10,32,32,46,54,52,52,49,57,57,32,46,54,56,51,56,52,50,32,46,
      55,50,51,52,56,53,32,46,55,55,51,48,51,57,32,46,56,50,50,53,57,51,32,46,56,
      55,50,49,52,54,32,46,57,51,49,54,49,49,32,46,57,57,49,48,55,54,32,49,46,48,
      55,48,51,54,32,49,46,49,52,57,54,53,10,32,32,49,46,50,50,56,57,51,32,49,46,
      51,49,56,49,51,32,49,46,52,49,55,50,52,32,49,46,53,50,54,50,54,32,49,46,54,
      52,53,49,57,32,49,46,55,55,52,48,51,32,49,46,57,50,50,54,57,32,50,46,48,55,
      49,51,53,32,50,46,50,51,57,56,51,32,50,46,52,53,55,56,55,10,32,32,50,46,54,
      56,56,52,57,32,50,46,56,54,52,50,49,32,51,46,48,56,50,50,53,32,51,46,51,52,
      57,56,52,32,51,46,54,51,55,50,53,32,51,46,57,52,52,52,56,32,52,46,50,56,49,
      52,53,32,52,46,54,48,56,53,32,52,46,57,53,53,51,56,32,53,46,51,55,55,48,56,
      32,53,46,57,52,54,52,53,10,32,32,54,46,53,48,49,52,54,32,55,46,48,54,54,51,
      55,32,55,46,53,51,50,49,55,32,56,46,48,51,48,51,32,56,46,55,50,49,52,54,32,
      57,46,52,49,53,50,50,32,49,48,46,49,48,57,32,49,48,46,55,49,56,55,32,49,49,
      46,53,57,53,54,32,49,50,46,52,56,55,54,32,49,51,46,52,48,55,51,10,32,32,49,
      52,46,50,55,49,53,32,49,53,46,49,54,51,53,32,49,54,46,48,54,48,53,32,49,55,
      46,48,55,57,50,32,49,56,46,48,51,55,54,32,49,56,46,55,53,49,49,32,50,48,46,
      49,49,56,56,32,50,49,46,52,51,54,57,32,50,50,46,54,57,53,54,32,50,52,46,48,
      57,49,49,10,32,32,50,53,46,51,55,49,53,32,50,54,46,55,55,56,57,32,50,56,46,
      49,52,54,53,32,50,57,46,52,54,52,56,32,51,48,46,55,50,51,51,32,51,50,46,49,
      50,48,55,32,51,51,46,49,52,49,54,32,51,52,46,49,53,56,53,32,51,53,46,56,50,
      55,51,32,51,54,46,56,52,56,50,10,32,32,51,56,46,52,53,51,55,32,52,48,46,49,
      53,49,52,32,52,49,46,49,54,57,51,32,52,50,46,49,57,48,50,32,52,51,46,56,48,
      53,53,32,52,53,46,53,56,57,53,32,52,54,46,53,56,48,54,32,52,56,46,49,56,49,
      50,32,52,57,46,49,53,55,51,32,53,48,46,55,52,51,49,10,32,32,53,50,46,48,51,
      49,53,32,53,51,46,57,50,52,51,32,53,52,46,55,48,55,52,32,53,54,46,50,49,51,
      56,32,53,55,46,56,55,56,56,32,53,57,46,50,54,54,51,32,54,48,46,54,53,51,56,
      32,54,49,46,57,53,50,49,32,54,51,46,50,51,48,54,32,54,52,46,54,52,55,57,10,
      32,32,54,53,46,57,48,54,53,32,54,55,46,50,57,52,32,54,56,46,51,49,52,57,32,
      54,57,46,57,55,57,56,32,55,49,46,48,48,48,55,32,55,50,46,50,54,57,50,32,55,
      53,46,50,50,50,54,32,55,57,46,50,56,54,32,56,51,46,50,53,48,51,32,56,56,46,
      50,48,53,55,32,57,51,46,49,54,49,49,10,32,32,57,57,46,49,48,55,54,32,49,48,
      52,46,48,54,51,32,49,49,49,46,57,57,50,32,49,49,57,46,53,53,51,32,49,50,52,
      46,56,55,54,32,49,51,48,46,56,50,50,32,49,51,56,46,55,53,49,32,49,52,53,46,
      54,56,56,32,49,53,50,46,54,50,54,32,49,54,48,46,53,53,52,10,32,32,49,54,56,
      46,52,56,51,32,49,55,53,46,52,50,32,49,56,50,46,51,53,56,32,49,56,57,46,50,
      57,53,32,49,57,55,46,50,50,52,32,50,48,54,46,49,52,52,32,50,49,54,46,48,53,
      52,32,50,50,52,46,57,55,52,32,50,51,52,46,56,56,53,32,50,52,51,46,56,48,53,
      32,50,53,50,46,55,50,52,10,32,32,50,54,50,46,54,51,53,32,50,55,51,46,50,53,
      57,32,50,56,49,46,52,54,53,32,50,57,48,46,57,53,57,32,50,57,57,46,51,48,53,
      32,51,48,56,46,50,50,53,32,51,49,55,46,49,52,52,32,51,50,54,46,48,54,52,32,
      51,51,52,46,57,56,52,32,51,52,51,46,57,48,51,10,32,32,51,53,50,46,56,50,51,
      32,51,54,49,46,55,52,51,32,51,55,48,46,54,54,50,32,51,55,57,46,53,56,50,32,
      51,56,56,46,53,48,50,32,51,57,55,46,52,50,49,32,52,48,54,46,51,52,49,32,52,
      49,53,46,50,54,49,32,52,50,52,46,49,56,32,52,51,51,46,49,32,52,52,50,46,48,
      50,10,32,32,52,53,48,46,57,51,57,32,52,53,57,46,56,53,57,32,52,54,56,46,55,
      55,57,32,52,55,55,46,54,57,56,32,52,56,54,46,54,49,56,32,52,57,53,46,53,51,
      56,32,53,48,52,46,52,53,55,32,53,49,51,46,51,55,55,32,53,50,50,46,50,57,55,
      32,53,51,49,46,50,49,55,10,32,32,53,52,48,46,49,51,54,32,53,52,57,46,48,53,
      54,32,53,53,55,46,57,55,54,32,53,54,54,46,56,57,53,32,53,55,53,46,56,49,53,
      32,53,56,52,46,55,51,53,32,53,57,49,46,54,55,50,32,53,57,56,46,54,49,32,54,
      48,53,46,53,52,55,32,54,49,50,46,52,56,53,32,54,49,57,46,52,50,50,10,32,32,
      54,50,55,46,50,53,49,32,54,51,55,46,49,54,50,32,54,52,55,46,48,55,50,32,54,
      53,54,46,57,56,51,32,54,54,54,46,56,57,52,32,54,55,54,46,56,48,53,32,54,56,
      54,46,55,49,53,32,54,57,54,46,54,50,54,32,55,48,54,46,53,51,55,32,55,49,54,
      46,52,52,56,10,32,32,55,50,54,46,51,53,56,32,55,51,54,46,50,54,57,32,55,52,
      54,46,49,56,32,55,53,54,46,48,57,49,32,55,54,54,46,48,48,50,32,55,55,53,46,
      57,49,50,32,55,56,53,46,56,50,51,32,55,57,53,46,55,51,52,32,56,48,53,46,54,
      52,53,32,56,49,53,46,53,53,53,32,56,50,53,46,52,54,54,10,32,32,56,51,53,46,
      51,55,55,32,56,52,53,46,50,56,56,32,56,53,53,46,49,57,56,32,56,54,53,46,49,
      48,57,32,56,55,53,46,48,50,32,56,56,52,46,57,51,49,32,56,57,52,46,56,52,49,
      32,57,48,52,46,55,53,50,32,57,49,52,46,54,54,51,32,57,50,52,46,53,55,52,32,
      57,51,52,46,52,56,52,10,32,32,57,52,52,46,51,57,53,32,57,53,52,46,51,48,54,
      32,57,54,52,46,50,49,55,32,57,55,52,46,49,50,55,32,57,56,52,46,48,51,56,32,
      49,48,48,51,46,56,54,32,49,48,50,51,46,54,56,32,49,48,52,51,46,53,32,49,48,
      54,51,46,51,51,32,49,48,56,51,46,49,53,32,49,49,48,50,46,57,55,10,32,32,49,
      49,50,50,46,55,57,32,49,49,52,50,46,54,49,32,49,49,54,50,46,52,51,32,49,49,
      56,50,46,50,53,32,49,50,48,50,46,48,56,32,49,50,50,49,46,57,32,49,50,52,49,
      46,55,50,32,49,50,54,49,46,53,52,32,49,50,56,49,46,51,54,32,49,51,48,49,46,
      49,56,32,49,51,50,49,46,48,49,10,32,32,49,51,52,48,46,56,51,32,49,51,54,48,
      46,54,53,32,49,51,56,48,46,52,55,32,49,52,48,48,46,50,57,32,49,52,50,48,46,
      49,49,32,49,52,51,57,46,57,51,32,49,52,53,57,46,55,54,32,49,52,55,57,46,53,
      56,32,49,52,57,57,46,52,32,49,53,49,57,46,50,50,32,49,53,51,57,46,48,52,10,
      32,32,49,53,53,56,46,56,54,10,32,32,98,101,116,97,103,114,105,100,32,48,32,
      50,46,52,57,57,57,53,101,45,48,54,32,52,46,57,57,57,57,101,45,48,54,32,57,46,
      57,57,57,56,49,101,45,48,54,32,49,46,52,57,57,57,55,101,45,48,53,32,49,46,57,
      57,57,57,54,101,45,48,53,32,50,46,52,57,57,57,53,101,45,48,53,32,52,46,57,57,
      57,57,101,45,48,53,10,32,32,57,46,57,57,57,56,49,101,45,48,53,32,46,48,48,48,
      49,52,57,57,57,55,32,46,48,48,48,49,57,57,57,57,54,32,46,48,48,48,50,52,57,
      57,57,53,32,46,48,48,48,52,57,57,57,57,32,46,48,48,48,57,57,57,57,56,49,32,
      46,48,48,49,52,57,57,57,55,32,46,48,48,49,57,57,57,57,54,10,32,32,46,48,48,
      50,52,57,57,57,53,32,46,48,48,52,57,57,57,57,32,46,48,48,57,57,57,57,56,49,
      32,46,48,49,52,57,57,57,55,32,46,48,49,57,57,57,57,54,32,46,48,50,52,57,57,
      57,53,32,46,48,52,57,57,57,57,32,46,48,55,52,57,57,56,54,32,46,48,57,57,57,
      57,56,49,10,32,32,46,49,52,57,57,57,55,32,46,49,57,57,57,57,54,32,46,50,52,
      57,57,57,53,32,46,50,57,57,57,57,52,32,46,51,52,57,57,57,51,32,46,51,57,57,
      57,57,50,32,46,52,52,57,57,57,49,32,46,52,57,57,57,57,32,46,53,52,57,57,57,
      32,46,53,57,57,57,56,57,32,46,54,52,57,57,56,56,10,32,32,46,54,57,57,57,56,
      55,32,46,55,52,57,57,56,54,32,46,55,57,57,57,56,53,32,46,56,52,57,57,56,52,
      32,46,56,57,57,57,56,51,32,46,57,52,57,57,56,50,32,46,57,57,57,57,56,49,32,
      49,46,48,52,57,57,56,32,49,46,48,57,57,57,56,32,49,46,49,52,57,57,56,10,32,
      32,49,46,49,57,57,57,56,32,49,46,50,52,57,57,56,32,49,46,50,57,57,57,56,32,
      49,46,51,52,57,57,55,32,49,46,51,57,57,57,55,32,49,46,52,52,57,57,55,32,49,
      46,52,57,57,57,55,32,49,46,53,52,57,57,55,32,49,46,53,57,57,57,55,32,49,46,
      54,52,57,57,55,10,32,32,49,46,54,57,57,57,55,32,49,46,55,52,57,57,55,32,49,
      46,55,57,57,57,55,32,49,46,56,52,57,57,54,32,49,46,56,57,57,57,54,32,49,46,
      57,52,57,57,54,32,49,46,57,57,57,57,54,32,50,46,48,52,57,57,54,32,50,46,48,
      57,57,57,54,32,50,46,49,52,57,57,54,10,32,32,50,46,49,57,57,57,54,32,50,46,
      50,52,57,57,54,32,50,46,50,57,57,57,54,32,50,46,51,52,57,57,54,32,50,46,51,
      57,57,57,53,32,50,46,52,52,57,57,53,32,50,46,52,57,57,57,53,32,50,46,53,52,
      57,57,53,32,50,46,53,57,57,57,53,32,50,46,54,52,57,57,53,10,32,32,50,46,55,
      49,50,54,53,32,50,46,55,54,57,57,53,32,50,46,56,50,57,57,53,32,50,46,56,57,
      57,57,52,32,50,46,57,53,57,57,52,32,51,46,48,50,57,57,52,32,51,46,49,48,57,
      57,52,32,51,46,49,55,57,57,52,32,51,46,50,53,57,57,52,32,51,46,51,51,57,57,
      52,10,32,32,51,46,52,50,57,57,51,32,51,46,53,49,57,57,51,32,51,46,54,48,57,
      57,51,32,51,46,55,48,57,57,51,32,51,46,56,48,57,57,51,32,51,46,57,49,57,57,
      51,32,52,46,48,50,57,57,50,32,52,46,49,51,57,57,50,32,52,46,50,53,57,57,50,
      32,52,46,51,56,57,57,50,10,32,32,52,46,53,49,57,57,49,32,52,46,54,52,57,57,
      49,32,52,46,55,57,57,57,49,32,52,46,57,51,57,57,49,32,53,46,48,57,57,57,32,
      53,46,50,53,57,57,32,53,46,52,50,53,52,32,53,46,53,57,57,56,57,32,53,46,55,
      55,57,56,57,32,53,46,57,54,57,56,57,32,54,46,49,54,57,56,56,10,32,32,54,46,
      51,54,57,56,56,32,54,46,53,56,57,56,55,32,54,46,56,48,57,56,55,32,55,46,48,
      51,57,56,55,32,55,46,50,56,57,56,54,32,55,46,53,51,57,56,54,32,55,46,56,48,
      57,56,53,32,56,46,49,48,50,56,53,32,56,46,51,54,57,56,52,32,56,46,54,54,57,
      56,51,10,32,32,56,46,57,55,57,56,51,32,57,46,50,57,57,56,50,32,57,46,54,51,
      57,56,50,32,57,46,57,57,57,56,49,32,49,48,46,51,57,57,56,32,49,48,46,56,49,
      53,32,49,49,46,49,53,57,56,32,49,49,46,53,54,57,56,32,49,49,46,57,57,57,56,
      32,49,50,46,52,53,57,56,32,49,50,46,57,55,57,56,10,32,32,49,51,46,53,50,55,
      55,32,49,51,46,57,51,57,55,32,49,52,46,52,55,57,55,32,49,53,46,48,50,57,55,
      32,49,53,46,54,49,57,55,32,49,54,46,50,48,52,56,32,49,54,46,55,57,57,55,32,
      49,55,46,50,51,50,55,32,49,56,46,49,57,57,55,32,49,56,46,57,49,57,54,10,32,
      32,49,57,46,51,57,57,54,32,49,57,46,57,52,57,54,32,50,48,46,54,57,57,54,32,
      50,49,46,54,50,57,54,32,50,50,46,48,57,57,54,32,50,50,46,54,53,57,54,32,50,
      51,46,52,57,57,54,32,50,52,46,51,48,55,53,32,50,52,46,55,57,57,53,32,50,53,
      46,51,51,57,53,10,32,32,50,54,46,49,57,57,53,32,50,55,46,48,49,57,53,32,50,
      55,46,52,57,57,53,32,50,56,46,48,52,57,53,32,50,56,46,56,57,57,52,32,50,57,
      46,55,50,57,52,32,51,48,46,49,57,57,52,32,51,48,46,55,53,57,52,32,51,49,46,
      52,57,57,52,32,51,50,46,52,48,57,52,10,32,32,51,50,46,56,57,57,52,32,51,51,
      46,52,51,57,52,32,51,51,46,57,57,57,52,32,51,52,46,52,54,53,51,32,51,53,46,
      50,57,57,51,32,51,54,46,49,52,57,51,32,51,54,46,53,57,57,51,32,51,55,46,49,
      55,57,51,32,51,55,46,56,57,57,51,32,51,56,46,55,57,57,51,10,32,32,51,57,46,
      56,56,57,50,32,52,48,46,49,57,57,50,32,52,48,46,53,49,50,50,32,52,48,46,57,
      57,57,50,32,52,49,46,53,51,57,50,32,52,49,46,57,57,57,50,32,52,50,46,53,54,
      57,50,32,52,51,46,49,57,57,50,32,52,52,46,49,57,57,50,32,52,53,46,50,55,57,
      49,10,32,32,52,53,46,57,57,57,49,32,52,54,46,57,57,57,49,32,52,55,46,57,56,
      57,49,32,52,56,46,50,57,57,49,32,52,56,46,54,49,52,49,32,52,57,46,53,57,57,
      49,32,53,48,46,54,54,57,32,53,49,46,49,57,57,32,53,49,46,54,57,57,32,53,50,
      46,52,57,57,32,53,51,46,51,55,57,10,32,32,53,51,46,56,57,57,32,53,52,46,52,
      48,57,32,53,53,46,49,57,56,57,32,53,53,46,57,57,56,57,32,53,54,46,55,49,56,
      57,32,53,55,46,49,49,56,57,32,53,56,46,51,57,56,57,32,53,57,46,55,57,56,57,
      32,54,49,46,49,57,56,56,32,54,50,46,53,48,56,56,32,54,51,46,55,57,56,56,10,
      32,32,54,53,46,50,50,56,56,32,54,54,46,52,57,56,55,32,54,55,46,56,57,56,55,
      32,54,56,46,51,57,56,55,32,54,56,46,57,50,56,55,32,54,57,46,55,57,56,55,32,
      55,48,46,54,48,56,55,32,55,49,46,48,57,56,54,32,55,49,46,54,51,56,54,32,55,
      50,46,49,57,56,54,10,32,32,55,50,46,57,49,56,54,32,55,51,46,51,51,50,54,32,
      55,51,46,57,57,56,54,32,55,52,46,55,57,56,54,32,55,53,46,53,57,56,54,32,55,
      54,46,51,57,56,53,32,55,55,46,49,57,56,53,32,55,55,46,57,57,56,53,32,55,56,
      46,56,57,56,53,32,55,57,46,55,57,56,53,10,32,32,56,48,46,54,57,56,53,32,56,
      49,46,53,57,56,52,32,56,50,46,52,57,56,52,32,56,51,46,51,57,56,52,32,56,52,
      46,50,57,56,52,32,56,53,46,49,57,56,52,32,56,54,46,48,57,56,52,32,56,54,46,
      57,57,56,51,32,56,55,46,57,57,56,51,32,56,56,46,57,57,56,51,10,32,32,56,57,
      46,57,57,56,51,32,57,48,46,57,57,56,51,32,57,49,46,57,57,56,50,32,57,50,46,
      57,57,56,50,32,57,51,46,57,57,56,50,32,57,52,46,57,57,56,50,32,57,53,46,57,
      57,56,50,32,57,54,46,57,57,56,50,32,57,55,46,57,57,56,49,32,57,56,46,57,57,
      56,49,10,32,32,57,57,46,57,57,56,49,32,49,48,49,46,49,57,56,32,49,48,50,46,
      51,57,56,32,49,48,51,46,53,57,56,32,49,48,52,46,55,57,56,32,49,48,53,46,57,
      57,56,32,49,48,55,46,49,57,56,32,49,48,56,46,51,57,56,32,49,48,57,46,53,57,
      56,32,49,49,48,46,55,57,56,10,32,32,49,49,49,46,57,57,56,32,49,49,51,46,52,
      57,56,32,49,49,52,46,57,57,56,32,49,49,54,46,52,57,56,32,49,49,55,46,57,57,
      56,32,49,49,57,46,52,57,56,32,49,50,48,46,57,57,56,32,49,50,50,46,52,57,56,
      32,49,50,51,46,57,57,56,32,49,50,53,46,52,57,56,10,32,32,49,50,54,46,57,57,
      56,32,49,50,56,46,52,57,56,32,49,50,57,46,57,57,56,32,49,51,49,46,57,57,55,
      32,49,51,51,46,57,57,55,32,49,51,53,46,57,57,55,32,49,51,55,46,57,57,55,32,
      49,51,57,46,57,57,55,32,49,52,49,46,57,57,55,32,49,52,51,46,57,57,55,10,32,
      32,49,52,53,46,57,57,55,32,49,52,55,46,57,57,55,32,49,52,57,46,57,57,55,32,
      49,53,49,46,57,57,55,32,49,53,51,46,57,57,55,32,49,53,53,46,57,57,55,32,49,
      53,56,46,48,57,55,32,49,54,48,46,48,57,55,32,49,54,50,46,48,57,55,32,49,54,
      52,46,48,57,55,10,32,32,49,54,54,46,48,57,55,32,49,54,56,46,48,57,55,32,49,
      55,48,46,48,57,55,32,49,55,50,46,48,57,55,32,49,55,52,46,48,57,55,32,49,55,
      54,46,48,57,55,32,49,55,56,46,48,57,55,32,49,56,48,46,48,57,55,32,49,56,50,
      46,48,57,55,32,49,56,52,46,48,57,54,10,32,32,49,56,54,46,48,57,54,32,49,56,
      56,46,48,57,54,32,49,57,48,46,48,57,54,32,49,57,50,46,48,57,54,32,49,57,52,
      46,48,57,54,32,49,57,54,46,48,57,54,32,49,57,56,46,48,57,54,32,50,48,48,46,
      48,57,54,32,50,48,50,46,48,57,54,32,50,48,52,46,48,57,54,10,32,32,50,48,54,
      46,48,57,54,32,50,48,56,46,48,57,54,32,50,49,48,46,48,57,54,32,50,49,50,46,
      48,57,54,32,50,49,52,46,48,57,54,32,50,49,54,46,48,57,54,32,50,49,56,46,48,
      57,54,32,50,50,48,46,48,57,54,32,50,50,50,46,48,57,54,32,50,50,52,46,48,57,
      54,10,32,32,50,50,54,46,48,57,54,32,50,50,56,46,48,57,54,32,50,51,48,46,48,
      57,54,32,50,51,50,46,48,57,54,32,50,51,52,46,48,57,54,32,50,51,54,46,48,57,
      54,32,50,51,56,46,48,57,53,32,50,52,48,46,48,57,53,32,50,52,50,46,48,57,53,
      32,50,52,52,46,48,57,53,10,32,32,50,52,54,46,48,57,53,32,50,52,56,46,48,57,
      53,32,50,53,48,46,48,57,53,32,50,53,50,46,48,57,53,32,50,53,52,46,48,57,53,
      32,50,53,54,46,48,57,53,32,50,53,56,46,48,57,53,32,50,54,48,46,48,57,53,32,
      50,54,50,46,48,57,53,32,50,54,52,46,48,57,53,10,32,32,50,54,54,46,48,57,53,
      32,50,54,56,46,48,57,53,32,50,55,48,46,48,57,53,32,50,55,50,46,48,57,53,32,
      50,55,52,46,48,57,53,32,50,55,54,46,48,57,53,32,50,55,56,46,48,57,53,32,50,
      56,48,46,48,57,53,32,50,56,50,46,48,57,53,32,50,56,52,46,48,57,53,10,32,32,
      50,56,54,46,48,57,53,32,50,56,56,46,48,57,53,32,50,57,48,46,48,57,52,32,50,
      57,50,46,48,57,52,32,50,57,52,46,48,57,52,32,50,57,54,46,48,57,52,32,50,57,
      56,46,48,57,52,32,51,48,48,46,48,57,52,32,51,48,50,46,48,57,52,32,51,48,52,
      46,48,57,52,10,32,32,51,48,54,46,48,57,52,32,51,48,56,46,48,57,52,32,51,49,
      48,46,48,57,52,32,51,49,50,46,48,57,52,32,51,49,52,46,48,57,52,32,51,49,54,
      46,48,57,52,32,51,49,56,46,48,57,52,32,51,50,48,46,48,57,52,32,51,50,50,46,
      48,57,52,32,51,50,52,46,48,57,52,10,32,32,51,50,54,46,48,57,52,32,51,50,56,
      46,48,57,52,32,51,51,48,46,48,57,52,32,51,51,50,46,48,57,52,32,51,51,52,46,
      48,57,52,32,51,51,54,46,48,57,52,32,51,51,56,46,48,57,52,32,51,52,48,46,48,
      57,52,32,51,52,50,46,48,57,51,32,51,52,52,46,48,57,51,10,32,32,51,52,54,46,
      48,57,51,32,51,52,56,46,48,57,51,32,51,53,48,46,48,57,51,32,51,53,50,46,48,
      57,51,32,51,53,52,46,48,57,51,32,51,53,54,46,48,57,51,32,51,53,56,46,48,57,
      51,32,51,54,48,46,48,57,51,32,51,54,50,46,48,57,51,32,51,54,52,46,48,57,51,
      10,32,32,51,54,54,46,48,57,51,32,51,54,56,46,48,57,51,32,51,55,48,46,48,57,
      51,32,51,55,50,46,48,57,51,32,51,55,52,46,48,57,51,32,51,55,54,46,48,57,51,
      32,51,55,56,46,48,57,51,32,51,56,48,46,48,57,51,32,51,56,50,46,48,57,51,32,
      51,56,52,46,48,57,51,10,32,32,51,56,54,46,48,57,51,32,51,56,56,46,48,57,51,
      32,51,57,48,46,48,57,51,32,51,57,50,46,48,57,51,32,51,57,52,46,48,57,50,32,
      51,57,54,46,48,57,50,10,32,32,115,97,98,95,115,99,97,108,101,100,32,50,53,56,
      49,49,46,55,32,54,52,52,48,46,53,53,32,50,56,54,49,46,53,52,32,50,53,56,52,
      32,54,52,53,46,50,51,54,32,50,56,54,46,55,56,52,32,49,54,49,46,52,50,51,32,
      49,48,51,46,53,55,50,32,55,50,46,49,56,57,53,32,53,51,46,50,51,52,53,32,52,
      48,46,56,56,48,56,10,32,32,51,50,46,51,57,49,55,32,50,54,46,52,53,48,51,32,
      50,50,46,48,50,55,49,32,49,56,46,54,52,50,56,32,49,53,46,57,57,52,51,32,49,
      51,46,57,51,54,32,49,50,46,51,48,55,56,32,49,48,46,57,54,50,54,32,57,46,56,
      51,54,57,56,32,56,46,56,56,54,57,54,32,56,46,49,53,51,50,53,10,32,32,55,46,
      53,49,55,55,53,32,54,46,57,54,50,56,51,32,54,46,52,55,52,57,52,32,54,46,48,
      56,48,55,32,53,46,55,53,57,54,52,32,53,46,52,55,48,51,56,32,53,46,50,48,56,
      54,56,32,52,46,57,55,51,49,50,32,52,46,56,49,53,50,51,32,52,46,54,54,57,52,
      49,32,52,46,53,51,52,50,53,10,32,32,52,46,52,48,56,54,49,32,52,46,51,49,57,
      57,52,32,52,46,50,53,57,55,32,52,46,50,48,50,53,49,32,52,46,49,52,56,48,57,
      32,52,46,48,57,56,51,52,32,52,46,48,57,50,53,49,32,52,46,48,56,54,50,49,32,
      52,46,48,55,57,52,54,32,52,46,48,55,50,51,50,32,52,46,48,56,52,51,50,10,32,
      32,52,46,49,49,48,52,49,32,52,46,49,51,52,54,55,32,52,46,49,53,55,50,49,32,
      52,46,49,55,57,54,55,32,52,46,50,50,52,50,32,52,46,50,54,54,52,32,52,46,51,
      48,54,52,49,32,52,46,51,52,52,51,52,32,52,46,51,56,56,56,54,32,52,46,52,51,
      55,55,51,32,52,46,52,56,52,52,10,32,32,52,46,53,50,56,57,51,32,52,46,53,55,
      49,55,57,32,52,46,54,49,54,57,50,32,52,46,54,54,48,49,32,52,46,55,48,49,52,
      50,32,52,46,55,52,48,57,55,32,52,46,55,55,53,57,54,32,52,46,56,48,55,51,54,
      32,52,46,56,51,55,51,52,32,52,46,56,54,53,57,55,32,52,46,56,57,50,51,10,32,
      32,52,46,57,48,54,54,52,32,52,46,57,50,48,49,50,32,52,46,57,51,50,55,53,32,
      52,46,57,52,52,54,49,32,52,46,57,52,54,54,52,32,52,46,57,52,49,57,56,32,52,
      46,57,51,55,48,56,32,52,46,57,51,49,57,52,32,52,46,57,50,53,49,55,32,52,46,
      57,48,53,48,55,10,32,32,52,46,56,56,53,50,49,32,52,46,56,54,53,54,32,52,46,
      56,52,54,50,50,32,52,46,56,50,49,51,54,32,52,46,55,57,51,49,55,32,52,46,55,
      54,53,52,56,32,52,46,55,51,56,49,57,32,52,46,55,49,49,52,54,32,52,46,54,56,
      53,51,51,32,52,46,54,53,57,51,55,32,52,46,54,51,51,57,10,32,32,52,46,54,48,
      56,57,57,32,52,46,53,57,50,53,56,32,52,46,53,56,49,49,55,32,52,46,53,54,57,
      52,57,32,52,46,53,53,55,57,53,32,52,46,53,53,48,48,52,32,52,46,53,54,55,56,
      50,32,52,46,53,56,53,48,52,32,52,46,54,48,49,55,50,32,52,46,54,49,55,56,55,
      10,32,32,52,46,54,54,51,54,56,32,52,46,55,50,54,53,55,32,52,46,55,56,56,51,
      49,32,52,46,56,52,56,57,50,32,52,46,57,49,55,54,49,32,53,46,48,52,54,49,55,
      32,53,46,49,55,51,53,53,32,53,46,50,57,57,54,57,32,53,46,52,50,52,53,57,32,
      53,46,54,48,57,51,56,10,32,32,53,46,56,50,56,55,53,32,54,46,48,52,55,57,32,
      54,46,50,54,54,55,32,54,46,53,48,50,57,52,32,54,46,56,52,56,50,53,32,55,46,
      49,57,54,48,54,32,55,46,53,52,53,57,54,32,55,46,56,57,54,54,55,32,56,46,51,
      53,51,51,50,32,56,46,56,55,50,56,32,57,46,51,57,56,49,57,10,32,32,57,46,57,
      50,57,49,57,32,49,48,46,52,57,53,57,32,49,49,46,50,51,56,50,32,49,49,46,57,
      57,50,57,32,49,50,46,55,53,57,50,32,49,51,46,53,51,53,57,32,49,52,46,52,55,
      56,49,32,49,53,46,53,49,56,52,32,49,54,46,53,55,55,53,32,49,55,46,54,53,51,
      57,10,32,32,49,56,46,55,57,48,51,32,50,48,46,49,54,55,53,32,50,49,46,53,55,
      49,51,32,50,51,46,48,48,48,54,32,50,52,46,52,53,49,53,32,50,54,46,49,49,50,
      54,32,50,55,46,56,57,53,53,32,50,57,46,55,49,48,54,32,51,49,46,53,53,51,56,
      32,51,51,46,52,55,49,54,10,32,32,51,53,46,54,51,55,51,32,51,55,46,56,51,56,
      53,32,52,48,46,48,55,51,57,32,52,50,46,51,51,56,56,32,52,52,46,55,55,56,52,
      32,52,55,46,51,50,49,52,32,52,57,46,56,57,54,49,32,53,50,46,53,48,49,56,32,
      53,53,46,49,53,56,55,32,53,55,46,57,52,48,55,10,32,32,54,48,46,55,53,48,49,
      32,54,51,46,53,56,54,52,32,54,54,46,52,52,55,56,32,54,57,46,51,49,53,57,32,
      55,50,46,49,57,56,32,55,53,46,48,57,55,57,32,55,56,46,48,49,53,50,32,56,48,
      46,57,48,53,57,32,56,51,46,54,52,49,54,32,56,54,46,51,56,53,52,32,57,48,46,
      48,53,49,49,10,32,32,57,55,46,54,57,55,57,32,49,48,54,46,56,55,56,32,49,49,
      52,46,52,49,56,32,49,49,48,46,56,48,49,32,57,57,46,51,48,54,51,32,56,51,46,
      50,56,53,51,32,54,55,46,50,56,52,57,32,53,51,46,53,49,55,53,32,52,50,46,57,
      57,55,32,51,53,46,52,49,53,57,32,51,48,46,50,51,57,54,10,32,32,50,54,46,53,
      55,53,54,32,50,51,46,56,48,50,53,32,50,49,46,48,51,49,52,32,49,56,46,51,48,
      50,57,32,49,52,46,52,55,52,50,32,49,48,46,52,57,49,55,32,54,46,57,55,48,54,
      50,32,51,46,56,48,54,54,55,32,50,46,48,48,57,55,51,32,49,46,49,51,50,53,51,
      10,32,32,46,54,57,57,53,53,49,32,46,53,54,52,56,57,50,32,46,53,56,55,56,52,
      52,32,46,55,50,48,49,51,54,32,46,56,57,52,57,57,51,32,49,46,48,56,56,57,55,
      32,49,46,50,53,52,57,51,32,49,46,51,51,57,55,57,32,49,46,50,57,54,52,56,32,
      49,46,49,49,52,57,52,10,32,32,46,56,50,56,50,54,54,32,46,53,54,56,52,57,57,
      32,46,51,55,51,50,53,50,32,46,50,55,50,48,54,32,46,50,57,53,54,53,51,32,46,
      51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,55,51,32,46,57,51,
      57,56,50,52,32,49,46,49,48,53,49,32,49,46,49,56,55,57,10,32,32,49,46,49,54,
      56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,48,55,53,32,46,55,55,51,48,
      49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,52,49,32,46,53,49,48,50,56,
      52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,50,55,57,48,55,53,
      10,32,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,50,32,46,
      50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,32,46,51,49,
      54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,51,48,54,
      54,50,51,32,46,50,56,52,48,54,53,10,32,32,46,50,52,52,54,48,52,32,46,50,49,
      49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,
      51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,54,50,51,
      32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,10,32,32,
      46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,51,56,32,46,
      49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,46,49,48,
      55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,46,48,
      56,48,56,56,49,56,10,32,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,
      52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,
      56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,48,55,
      49,52,52,52,57,32,46,48,54,57,49,54,56,57,10,32,32,46,48,54,54,57,56,53,52,
      32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,
      51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,
      56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,10,32,32,46,
      48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,53,54,54,32,
      46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,50,
      50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,50,51,50,
      52,54,50,10,32,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,57,32,46,
      48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,54,53,51,
      32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,51,32,46,48,48,56,52,
      56,53,53,54,32,46,48,48,55,53,54,51,53,50,10,32,32,46,48,48,54,55,52,55,49,
      55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,53,51,54,32,46,48,48,
      52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,51,57,52,53,
      57,32,46,48,48,50,57,48,50,48,50,32,46,48,48,50,53,50,50,49,53,10,32,32,46,
      48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,
      52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,32,46,48,
      48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,48,56,49,52,
      48,56,52,10,32,32,46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,54,50,49,51,
      50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,57,48,55,32,
      46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,46,48,48,48,
      51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,10,32,32,46,48,48,48,50,
      52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,
      50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,56,53,32,46,
      48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,46,55,48,
      51,55,52,101,45,48,53,10,32,32,56,46,53,49,51,56,53,101,45,48,53,32,55,46,52,
      55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,48,53,32,53,46,55,53,
      54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,53,32,52,46,52,51,57,
      48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,10,32,32,51,46,52,50,
      52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,
      48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,48,52,50,51,
      53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,50,49,
      101,45,48,53,10,32,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,
      50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,53,56,48,52,
      101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,32,56,46,53,53,55,54,55,101,
      45,48,54,32,55,46,52,50,50,51,101,45,48,54,10,32,32,54,46,52,51,56,52,49,101,
      45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,56,52,54,52,51,101,45,
      48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,57,101,45,48,
      54,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,57,56,54,101,45,48,54,
      10,32,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,
      54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,101,45,48,54,
      32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,45,48,54,32,
      49,46,48,50,52,48,56,101,45,48,54,10,32,32,56,46,56,57,54,52,51,101,45,48,55,
      32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,45,48,55,32,
      53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,55,32,52,46,
      52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,10,32,32,51,
      46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,55,32,50,46,
      53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,32,49,46,57,
      48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,
      55,55,57,101,45,48,55,10,32,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,
      56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,48,56,32,56,46,50,50,
      53,52,53,101,45,48,56,32,55,46,49,53,52,54,57,101,45,48,56,32,54,46,50,50,51,
      54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,10,32,32,52,46,48,57,
      55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,51,52,56,
      57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,52,55,53,
      55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,51,54,51,55,
      101,45,48,57,10,32,32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,52,52,52,55,
      101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,50,46,53,53,52,57,50,101,
      45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,101,45,
      48,57,32,49,46,49,49,52,55,57,101,45,48,57,10,32,32,56,46,52,53,55,55,50,101,
      45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,50,101,45,
      49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,50,101,45,49,
      48,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,49,52,101,45,49,48,
      10,32,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,101,45,49,
      49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,55,57,50,55,101,45,49,49,
      32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,49,32,
      50,46,51,53,56,54,51,101,45,49,49,10,32,32,49,46,55,57,50,50,53,101,45,49,49,
      32,50,50,48,56,46,48,54,32,51,55,50,54,46,52,54,32,50,53,48,54,46,52,53,32,
      50,51,50,55,46,50,49,32,54,51,53,46,52,53,53,32,50,56,52,46,56,52,56,32,49,
      54,48,46,56,48,57,32,49,48,51,46,51,50,32,55,50,46,48,54,54,57,10,32,32,53,
      51,46,49,54,55,57,32,52,48,46,56,52,49,53,32,51,50,46,51,54,55,49,32,50,54,
      46,52,51,51,57,32,50,50,46,48,49,53,56,32,49,56,46,54,51,52,55,32,49,53,46,
      57,56,56,52,32,49,51,46,57,51,49,53,32,49,50,46,51,48,52,51,32,49,48,46,57,
      53,57,56,10,32,32,57,46,56,51,52,55,54,32,56,46,56,56,53,49,54,32,56,46,49,
      53,49,55,52,32,55,46,53,49,54,52,56,32,54,46,57,54,49,55,53,32,54,46,52,55,
      52,48,49,32,54,46,48,55,57,56,57,32,53,46,55,53,56,57,50,32,53,46,52,54,57,
      55,52,32,53,46,50,48,56,49,32,52,46,57,55,50,54,10,32,32,52,46,56,49,52,55,
      54,32,52,46,54,54,56,57,55,32,52,46,53,51,51,56,53,32,52,46,52,48,56,50,52,
      32,52,46,51,49,57,53,57,32,52,46,50,53,57,51,54,32,52,46,50,48,50,49,57,32,
      52,46,49,52,55,55,56,32,52,46,48,57,56,48,52,32,52,46,48,57,50,50,50,10,32,
      32,52,46,48,56,53,57,51,32,52,46,48,55,57,49,57,32,52,46,48,55,50,48,54,32,
      52,46,48,56,52,48,54,32,52,46,49,49,48,49,53,32,52,46,49,51,52,52,50,32,52,
      46,49,53,54,57,54,32,52,46,49,55,57,52,51,32,52,46,50,50,51,57,54,32,52,46,
      50,54,54,49,54,10,32,32,52,46,51,48,54,49,55,32,52,46,51,52,52,49,32,52,46,
      51,56,56,54,50,32,52,46,52,51,55,53,32,52,46,52,56,52,49,54,32,52,46,53,50,
      56,55,32,52,46,53,55,49,53,53,32,52,46,54,49,54,54,56,32,52,46,54,53,57,56,
      54,32,52,46,55,48,49,49,57,32,52,46,55,52,48,55,52,10,32,32,52,46,55,55,53,
      55,51,32,52,46,56,48,55,49,51,32,52,46,56,51,55,49,50,32,52,46,56,54,53,55,
      52,32,52,46,56,57,50,48,55,32,52,46,57,48,54,52,50,32,52,46,57,49,57,57,32,
      52,46,57,51,50,53,52,32,52,46,57,52,52,51,57,32,52,46,57,52,54,52,51,32,52,
      46,57,52,49,55,55,10,32,32,52,46,57,51,54,56,55,32,52,46,57,51,49,55,52,32,
      52,46,57,50,52,57,55,32,52,46,57,48,52,56,55,32,52,46,56,56,53,48,50,32,52,
      46,56,54,53,52,49,32,52,46,56,52,54,48,52,32,52,46,56,50,49,49,56,32,52,46,
      55,57,51,32,52,46,55,54,53,51,32,52,46,55,51,56,48,50,10,32,32,52,46,55,49,
      49,50,57,32,52,46,54,56,53,49,55,32,52,46,54,53,57,50,49,32,52,46,54,51,51,
      55,53,32,52,46,54,48,56,56,52,32,52,46,53,57,50,52,51,32,52,46,53,56,49,48,
      50,32,52,46,53,54,57,51,53,32,52,46,53,53,55,56,49,32,52,46,53,52,57,57,32,
      52,46,53,54,55,54,56,10,32,32,52,46,53,56,52,57,32,52,46,54,48,49,53,56,32,
      52,46,54,49,55,55,51,32,52,46,54,54,51,53,53,32,52,46,55,50,54,52,50,32,52,
      46,55,56,56,49,55,32,52,46,56,52,56,55,56,32,52,46,57,49,55,52,54,32,53,46,
      48,52,54,48,51,32,53,46,49,55,51,52,32,53,46,50,57,57,53,52,10,32,32,53,46,
      52,50,52,52,51,32,53,46,54,48,57,50,49,32,53,46,56,50,56,53,55,32,54,46,48,
      52,55,55,49,32,54,46,50,54,54,53,49,32,54,46,53,48,50,55,52,32,54,46,56,52,
      56,48,51,32,55,46,49,57,53,56,50,32,55,46,53,52,53,55,50,32,55,46,56,57,54,
      52,49,10,32,32,56,46,51,53,51,48,52,32,56,46,56,55,50,53,32,57,46,51,57,55,
      56,54,32,57,46,57,50,56,56,52,32,49,48,46,52,57,53,53,32,49,49,46,50,51,55,
      56,32,49,49,46,57,57,50,53,32,49,50,46,55,53,56,55,32,49,51,46,53,51,53,51,
      32,49,52,46,52,55,55,53,32,49,53,46,53,49,55,56,10,32,32,49,54,46,53,55,54,
      56,32,49,55,46,54,53,51,49,32,49,56,46,55,56,57,52,32,50,48,46,49,54,54,53,
      32,50,49,46,53,55,48,51,32,50,50,46,57,57,57,53,32,50,52,46,52,53,48,51,32,
      50,54,46,49,49,49,51,32,50,55,46,56,57,52,49,32,50,57,46,55,48,57,32,51,49,
      46,53,53,50,49,10,32,32,51,51,46,52,54,57,55,32,51,53,46,54,51,53,51,32,51,
      55,46,56,51,54,51,32,52,48,46,48,55,49,54,32,52,50,46,51,51,54,50,32,52,52,
      46,55,55,53,54,32,52,55,46,51,49,56,52,32,52,57,46,56,57,51,32,53,50,46,52,
      57,56,52,32,53,53,46,49,53,53,49,32,53,55,46,57,51,54,56,10,32,32,54,48,46,
      55,52,53,57,32,54,51,46,53,56,50,32,54,54,46,52,52,51,50,32,54,57,46,51,49,
      49,32,55,50,46,49,57,50,56,32,55,53,46,48,57,50,53,32,55,56,46,48,48,57,52,
      32,56,48,46,56,57,57,57,32,56,51,46,54,51,53,51,32,56,54,46,51,55,56,56,32,
      57,48,46,48,52,52,50,10,32,32,57,55,46,54,57,48,50,32,49,48,54,46,56,54,57,
      32,49,49,52,46,52,48,57,32,49,49,48,46,55,57,51,32,57,57,46,50,57,57,53,32,
      56,51,46,50,56,48,50,32,54,55,46,50,56,49,51,32,53,51,46,53,49,53,32,52,50,
      46,57,57,53,50,32,51,53,46,52,49,52,54,32,51,48,46,50,51,56,54,10,32,32,50,
      54,46,53,55,52,56,32,50,51,46,56,48,49,56,32,50,49,46,48,51,48,57,32,49,56,
      46,51,48,50,53,32,49,52,46,52,55,51,57,32,49,48,46,52,57,49,54,32,54,46,57,
      55,48,53,51,32,51,46,56,48,54,54,53,32,50,46,48,48,57,55,50,32,49,46,49,51,
      50,53,51,10,32,32,46,54,57,57,53,53,49,32,46,53,54,52,56,57,49,32,46,53,56,
      55,56,52,52,32,46,55,50,48,49,51,54,32,46,56,57,52,57,57,50,32,49,46,48,56,
      56,57,55,32,49,46,50,53,52,57,51,32,49,46,51,51,57,55,57,32,49,46,50,57,54,
      52,56,32,49,46,49,49,52,57,52,10,32,32,46,56,50,56,50,54,54,32,46,53,54,56,
      52,57,57,32,46,51,55,51,50,53,50,32,46,50,55,50,48,54,32,46,50,57,53,54,53,
      51,32,46,51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,55,51,32,
      46,57,51,57,56,50,52,32,49,46,49,48,53,49,32,49,46,49,56,55,57,10,32,32,49,
      46,49,54,56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,48,55,53,32,46,55,
      55,51,48,49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,52,49,32,46,53,49,
      48,50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,50,55,57,
      48,55,53,10,32,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,
      50,32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,32,
      46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,
      51,48,54,54,50,51,32,46,50,56,52,48,54,53,10,32,32,46,50,52,52,54,48,52,32,
      46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,
      56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,
      54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,
      10,32,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,51,
      56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,
      46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,
      32,46,48,56,48,56,56,49,56,10,32,32,46,48,55,53,54,48,57,52,32,46,48,55,51,
      54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,48,
      55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,
      46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,10,32,32,46,48,54,54,57,
      56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,
      49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,
      53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,10,
      32,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,53,
      54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,
      53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,
      50,51,50,52,54,50,10,32,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,
      57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,
      54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,51,32,46,48,
      48,56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,50,10,32,32,46,48,48,54,55,
      52,55,49,55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,53,51,54,32,
      46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,51,
      57,52,53,57,32,46,48,48,50,57,48,50,48,50,32,46,48,48,50,53,50,50,49,53,10,
      32,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,
      53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,
      32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,48,
      56,49,52,48,56,52,10,32,32,46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,54,
      50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,57,
      48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,46,
      48,48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,10,32,32,46,48,
      48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,
      56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,56,
      53,32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,
      46,55,48,51,55,52,101,45,48,53,10,32,32,56,46,53,49,51,56,53,101,45,48,53,32,
      55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,48,53,32,53,
      46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,53,32,52,46,
      52,51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,10,32,32,51,
      46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,
      54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,48,
      52,50,51,53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,
      56,50,49,101,45,48,53,10,32,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,
      57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,53,
      56,48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,32,56,46,53,53,55,
      54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,10,32,32,54,46,52,51,56,
      52,49,101,45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,56,52,54,52,
      51,101,45,48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,57,
      101,45,48,54,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,57,56,54,101,
      45,48,54,10,32,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,
      101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,101,
      45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,45,
      48,54,32,49,46,48,50,52,48,56,101,45,48,54,10,32,32,56,46,56,57,54,52,51,101,
      45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,45,
      48,55,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,55,
      32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,10,
      32,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,55,
      32,50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,32,
      49,46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,
      46,52,51,55,55,57,101,45,48,55,10,32,32,49,46,50,53,48,51,50,101,45,48,55,32,
      49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,48,56,32,56,
      46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,57,101,45,48,56,32,54,46,
      50,50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,10,32,32,52,
      46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,
      51,52,56,57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,
      52,55,53,55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,51,
      54,51,55,101,45,48,57,10,32,32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,52,
      52,52,55,101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,50,46,53,53,52,57,
      50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,
      101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,10,32,32,56,46,52,53,55,55,
      50,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,50,
      101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,50,101,
      45,49,48,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,49,52,101,45,
      49,48,10,32,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,101,
      45,49,49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,55,57,50,55,101,45,
      49,49,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,
      49,32,50,46,51,53,56,54,51,101,45,49,49,10,32,32,49,46,55,57,50,50,53,101,45,
      49,49,32,54,51,51,46,49,56,49,32,49,55,55,53,46,53,53,32,49,56,56,54,46,53,
      52,32,49,56,52,50,46,57,56,32,54,50,53,46,56,50,50,32,50,56,50,46,57,50,53,
      32,49,54,48,46,49,57,56,32,49,48,51,46,48,54,56,32,55,49,46,57,52,52,53,10,
      32,32,53,51,46,49,48,49,51,32,52,48,46,56,48,50,51,32,51,50,46,51,52,50,52,
      32,50,54,46,52,49,55,53,32,50,50,46,48,48,52,52,32,49,56,46,54,50,54,54,32,
      49,53,46,57,56,50,52,32,49,51,46,57,50,55,32,49,50,46,51,48,48,56,32,49,48,
      46,57,53,55,32,57,46,56,51,50,53,52,10,32,32,56,46,56,56,51,51,53,32,56,46,
      49,53,48,50,52,32,55,46,53,49,53,50,49,32,54,46,57,54,48,54,55,32,54,46,52,
      55,51,48,56,32,54,46,48,55,57,48,57,32,53,46,55,53,56,50,32,53,46,52,54,57,
      49,49,32,53,46,50,48,55,53,51,32,52,46,57,55,50,48,57,32,52,46,56,49,52,50,
      57,10,32,32,52,46,54,54,56,53,51,32,52,46,53,51,51,52,52,32,52,46,52,48,55,
      56,54,32,52,46,51,49,57,50,51,32,52,46,50,53,57,48,51,32,52,46,50,48,49,56,
      55,32,52,46,49,52,55,52,55,32,52,46,48,57,55,55,53,32,52,46,48,57,49,57,52,
      32,52,46,48,56,53,54,54,10,32,32,52,46,48,55,56,57,50,32,52,46,48,55,49,56,
      32,52,46,48,56,51,56,32,52,46,49,48,57,57,32,52,46,49,51,52,49,55,32,52,46,
      49,53,54,55,50,32,52,46,49,55,57,49,56,32,52,46,50,50,51,55,49,32,52,46,50,
      54,53,57,50,32,52,46,51,48,53,57,51,32,52,46,51,52,51,56,54,10,32,32,52,46,
      51,56,56,51,57,32,52,46,52,51,55,50,54,32,52,46,52,56,51,57,51,32,52,46,53,
      50,56,52,54,32,52,46,53,55,49,51,50,32,52,46,54,49,54,52,53,32,52,46,54,53,
      57,54,51,32,52,46,55,48,48,57,54,32,52,46,55,52,48,53,49,32,52,46,55,55,53,
      53,32,52,46,56,48,54,57,49,10,32,32,52,46,56,51,54,56,57,32,52,46,56,54,53,
      53,50,32,52,46,56,57,49,56,53,32,52,46,57,48,54,50,32,52,46,57,49,57,54,56,
      32,52,46,57,51,50,51,50,32,52,46,57,52,52,49,56,32,52,46,57,52,54,50,50,32,
      52,46,57,52,49,53,55,32,52,46,57,51,54,54,55,32,52,46,57,51,49,53,52,10,32,
      32,52,46,57,50,52,55,56,32,52,46,57,48,52,54,56,32,52,46,56,56,52,56,51,32,
      52,46,56,54,53,50,50,32,52,46,56,52,53,56,54,32,52,46,56,50,49,32,52,46,55,
      57,50,56,50,32,52,46,55,54,53,49,51,32,52,46,55,51,55,56,53,32,52,46,55,49,
      49,49,51,32,52,46,54,56,53,48,49,10,32,32,52,46,54,53,57,48,53,32,52,46,54,
      51,51,53,57,32,52,46,54,48,56,54,57,32,52,46,53,57,50,50,56,32,52,46,53,56,
      48,56,55,32,52,46,53,54,57,50,32,52,46,53,53,55,54,54,32,52,46,53,52,57,55,
      54,32,52,46,53,54,55,53,52,32,52,46,53,56,52,55,54,32,52,46,54,48,49,52,52,
      10,32,32,52,46,54,49,55,53,57,32,52,46,54,54,51,52,49,32,52,46,55,50,54,50,
      56,32,52,46,55,56,56,48,51,32,52,46,56,52,56,54,51,32,52,46,57,49,55,51,50,
      32,53,46,48,52,53,56,56,32,53,46,49,55,51,50,52,32,53,46,50,57,57,51,56,32,
      53,46,52,50,52,50,55,10,32,32,53,46,54,48,57,48,52,32,53,46,56,50,56,51,57,
      32,54,46,48,52,55,53,51,32,54,46,50,54,54,51,50,32,54,46,53,48,50,53,52,32,
      54,46,56,52,55,56,49,32,55,46,49,57,53,53,57,32,55,46,53,52,53,52,55,32,55,
      46,56,57,54,49,53,32,56,46,51,53,50,55,54,10,32,32,56,46,56,55,50,49,57,32,
      57,46,51,57,55,53,51,32,57,46,57,50,56,52,57,32,49,48,46,52,57,53,49,32,49,
      49,46,50,51,55,52,32,49,49,46,57,57,50,32,49,50,46,55,53,56,50,32,49,51,46,
      53,51,52,56,32,49,52,46,52,55,54,57,32,49,53,46,53,49,55,49,32,49,54,46,53,
      55,54,49,10,32,32,49,55,46,54,53,50,52,32,49,56,46,55,56,56,54,32,50,48,46,
      49,54,53,54,32,50,49,46,53,54,57,51,32,50,50,46,57,57,56,52,32,50,52,46,52,
      52,57,49,32,50,54,46,49,49,32,50,55,46,56,57,50,54,32,50,57,46,55,48,55,53,
      32,51,49,46,53,53,48,52,32,51,51,46,52,54,55,57,10,32,32,51,53,46,54,51,51,
      51,32,51,55,46,56,51,52,49,32,52,48,46,48,54,57,50,32,52,50,46,51,51,51,55,
      32,52,52,46,55,55,50,57,32,52,55,46,51,49,53,53,32,52,57,46,56,56,57,56,32,
      53,50,46,52,57,53,32,53,53,46,49,53,49,52,32,53,55,46,57,51,50,57,32,54,48,
      46,55,52,49,56,10,32,32,54,51,46,53,55,55,54,32,54,54,46,52,51,56,53,32,54,
      57,46,51,48,54,49,32,55,50,46,49,56,55,54,32,55,53,46,48,56,55,32,55,56,46,
      48,48,51,54,32,56,48,46,56,57,51,57,32,56,51,46,54,50,57,32,56,54,46,51,55,
      50,51,32,57,48,46,48,51,55,50,32,57,55,46,54,56,50,53,10,32,32,49,48,54,46,
      56,54,49,32,49,49,52,46,52,32,49,49,48,46,55,56,52,32,57,57,46,50,57,50,55,
      32,56,51,46,50,55,53,49,32,54,55,46,50,55,55,55,32,53,51,46,53,49,50,53,32,
      52,50,46,57,57,51,53,32,51,53,46,52,49,51,52,32,51,48,46,50,51,55,54,32,50,
      54,46,53,55,52,10,32,32,50,51,46,56,48,49,50,32,50,49,46,48,51,48,51,32,49,
      56,46,51,48,50,32,49,52,46,52,55,51,54,32,49,48,46,52,57,49,52,32,54,46,57,
      55,48,52,53,32,51,46,56,48,54,54,50,32,50,46,48,48,57,55,49,32,49,46,49,51,
      50,53,51,32,46,54,57,57,53,53,32,46,53,54,52,56,57,49,10,32,32,46,53,56,55,
      56,52,52,32,46,55,50,48,49,51,53,32,46,56,57,52,57,57,50,32,49,46,48,56,56,
      57,55,32,49,46,50,53,52,57,51,32,49,46,51,51,57,55,57,32,49,46,50,57,54,52,
      56,32,49,46,49,49,52,57,52,32,46,56,50,56,50,54,54,32,46,53,54,56,52,57,57,
      10,32,32,46,51,55,51,50,53,50,32,46,50,55,50,48,54,32,46,50,57,53,54,53,51,
      32,46,51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,55,51,32,46,
      57,51,57,56,50,52,32,49,46,49,48,53,49,32,49,46,49,56,55,57,32,49,46,49,54,
      56,51,53,32,49,46,48,55,53,55,57,10,32,32,46,57,51,52,48,55,53,32,46,55,55,
      51,48,49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,52,49,32,46,53,49,48,
      50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,50,55,57,48,
      55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,50,10,32,
      32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,32,46,
      51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,51,
      48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,32,46,50,49,
      49,54,52,32,46,49,56,49,50,56,49,10,32,32,46,49,53,51,53,54,32,46,49,51,56,
      51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,54,
      50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,32,
      46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,51,56,10,32,
      32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,46,
      49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,
      46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,
      52,32,46,48,55,50,50,52,48,57,10,32,32,46,48,56,50,49,56,55,49,32,46,48,55,
      56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,
      48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,
      32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,10,32,32,46,48,54,49,49,
      55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,
      54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,32,46,
      48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,53,54,54,10,
      32,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,
      56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,50,
      51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,57,32,46,
      48,49,54,49,50,53,54,10,32,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,54,
      53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,51,32,46,48,48,
      56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,50,32,46,48,48,54,55,52,55,49,
      55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,53,51,54,10,32,32,46,
      48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,51,57,
      52,53,57,32,46,48,48,50,57,48,50,48,50,32,46,48,48,50,53,50,50,49,53,32,46,
      48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,
      52,54,32,46,48,48,49,52,48,52,56,51,10,32,32,46,48,48,49,50,49,52,48,56,32,
      46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,48,56,
      49,52,48,56,52,32,46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,54,50,49,51,
      50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,57,48,55,10,
      32,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,46,48,
      48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,32,46,48,48,48,50,
      52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,
      50,57,32,46,48,48,48,49,54,52,48,57,52,10,32,32,46,48,48,48,49,52,51,56,53,
      32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,46,
      55,48,51,55,52,101,45,48,53,32,56,46,53,49,51,56,53,101,45,48,53,32,55,46,52,
      55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,48,53,10,32,32,53,46,
      55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,53,32,52,46,52,
      51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,32,51,46,52,50,
      52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,
      48,52,101,45,48,53,10,32,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,48,52,
      50,51,53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,
      50,49,101,45,48,53,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,
      50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,10,32,32,49,46,48,53,56,
      48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,32,56,46,53,53,55,54,
      55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,32,54,46,52,51,56,52,49,101,
      45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,56,52,54,52,51,101,45,
      48,54,10,32,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,57,101,
      45,48,54,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,57,56,54,101,45,
      48,54,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,
      54,32,49,46,55,57,57,55,53,101,45,48,54,10,32,32,49,46,53,54,50,57,49,101,45,
      48,54,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,45,48,
      54,32,49,46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,52,51,101,45,48,55,
      32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,45,48,55,10,
      32,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,55,32,
      52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,32,51,
      46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,55,32,50,46,
      53,49,53,56,49,101,45,48,55,10,32,32,50,46,49,56,55,50,49,101,45,48,55,32,49,
      46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,
      52,51,55,55,57,101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,
      56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,48,56,10,32,32,56,46,
      50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,57,101,45,48,56,32,54,46,50,
      50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,32,52,46,48,57,
      55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,51,52,56,
      57,56,101,45,48,56,10,32,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,52,
      55,53,55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,51,54,
      51,55,101,45,48,57,32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,52,52,52,55,
      101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,10,32,32,50,46,53,53,52,57,50,
      101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,101,
      45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,55,50,101,45,
      49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,50,101,45,49,
      48,10,32,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,50,101,45,
      49,48,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,49,52,101,45,49,
      48,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,101,45,49,49,
      32,55,46,48,56,50,49,52,101,45,49,49,10,32,32,53,46,51,55,57,50,55,101,45,49,
      49,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,49,
      32,50,46,51,53,56,54,51,101,45,49,49,32,49,46,55,57,50,50,53,101,45,49,49,32,
      49,54,53,46,49,55,49,32,53,57,50,46,51,48,53,32,57,54,52,46,50,49,52,10,32,
      32,49,48,48,53,46,57,56,32,53,56,51,46,55,52,57,32,50,55,57,46,49,49,57,32,
      49,53,56,46,57,56,50,32,49,48,50,46,53,54,54,32,55,49,46,55,48,48,51,32,53,
      50,46,57,54,56,53,32,52,48,46,55,50,52,32,51,50,46,50,57,51,50,32,50,54,46,
      51,56,52,55,32,50,49,46,57,56,49,56,10,32,32,49,56,46,54,49,48,52,32,49,53,
      46,57,55,48,53,32,49,51,46,57,49,55,57,32,49,50,46,50,57,51,56,32,49,48,46,
      57,53,49,53,32,57,46,56,50,56,49,32,56,46,56,55,57,55,52,32,56,46,49,52,55,
      50,51,32,55,46,53,49,50,54,55,32,54,46,57,53,56,53,49,32,54,46,52,55,49,50,
      51,10,32,32,54,46,48,55,55,52,55,32,53,46,55,53,54,55,55,32,53,46,52,54,55,
      56,51,32,53,46,50,48,54,51,57,32,52,46,57,55,49,48,54,32,52,46,56,49,51,51,
      52,32,52,46,54,54,55,54,54,32,52,46,53,51,50,54,51,32,52,46,52,48,55,49,49,
      32,52,46,51,49,56,53,50,10,32,32,52,46,50,53,56,51,53,32,52,46,50,48,49,50,
      50,32,52,46,49,52,54,56,54,32,52,46,48,57,55,49,55,32,52,46,48,57,49,51,55,
      32,52,46,48,56,53,49,32,52,46,48,55,56,51,56,32,52,46,48,55,49,50,55,32,52,
      46,48,56,51,50,56,32,52,46,49,48,57,51,57,32,52,46,49,51,51,54,54,10,32,32,
      52,46,49,53,54,50,50,32,52,46,49,55,56,54,57,32,52,46,50,50,51,50,51,32,52,
      46,50,54,53,52,52,32,52,46,51,48,53,52,53,32,52,46,51,52,51,51,56,32,52,46,
      51,56,55,57,49,32,52,46,52,51,54,55,57,32,52,46,52,56,51,52,53,32,52,46,53,
      50,55,57,57,10,32,32,52,46,53,55,48,56,53,32,52,46,54,49,53,57,56,32,52,46,
      54,53,57,49,54,32,52,46,55,48,48,53,32,52,46,55,52,48,48,53,32,52,46,55,55,
      53,48,52,32,52,46,56,48,54,52,53,32,52,46,56,51,54,52,52,32,52,46,56,54,53,
      48,55,32,52,46,56,57,49,52,32,52,46,57,48,53,55,54,10,32,32,52,46,57,49,57,
      50,52,32,52,46,57,51,49,56,57,32,52,46,57,52,51,55,53,32,52,46,57,52,53,56,
      32,52,46,57,52,49,49,53,32,52,46,57,51,54,50,54,32,52,46,57,51,49,49,52,32,
      52,46,57,50,52,51,56,32,52,46,57,48,52,50,57,32,52,46,56,56,52,52,53,32,52,
      46,56,54,52,56,53,10,32,32,52,46,56,52,53,52,57,32,52,46,56,50,48,54,52,32,
      52,46,55,57,50,52,55,32,52,46,55,54,52,55,57,32,52,46,55,51,55,53,49,32,52,
      46,55,49,48,55,57,32,52,46,54,56,52,54,56,32,52,46,54,53,56,55,51,32,52,46,
      54,51,51,50,56,32,52,46,54,48,56,51,56,10,32,32,52,46,53,57,49,57,56,32,52,
      46,53,56,48,53,55,32,52,46,53,54,56,57,49,32,52,46,53,53,55,51,56,32,52,46,
      53,52,57,52,56,32,52,46,53,54,55,50,54,32,52,46,53,56,52,52,56,32,52,46,54,
      48,49,49,54,32,52,46,54,49,55,51,49,32,52,46,54,54,51,49,51,10,32,32,52,46,
      55,50,54,32,52,46,55,56,55,55,52,32,52,46,56,52,56,51,53,32,52,46,57,49,55,
      48,51,32,53,46,48,52,53,53,56,32,53,46,49,55,50,57,52,32,53,46,50,57,57,48,
      54,32,53,46,52,50,51,57,53,32,53,46,54,48,56,55,32,53,46,56,50,56,48,52,32,
      54,46,48,52,55,49,54,10,32,32,54,46,50,54,53,57,51,32,54,46,53,48,50,49,51,
      32,54,46,56,52,55,51,56,32,55,46,49,57,53,49,51,32,55,46,53,52,52,57,56,32,
      55,46,56,57,53,54,51,32,56,46,51,53,50,50,32,56,46,56,55,49,53,57,32,57,46,
      51,57,54,56,55,32,57,46,57,50,55,55,56,32,49,48,46,52,57,52,51,10,32,32,49,
      49,46,50,51,54,53,32,49,49,46,57,57,49,49,32,49,50,46,55,53,55,50,32,49,51,
      46,53,51,51,55,32,49,52,46,52,55,53,55,32,49,53,46,53,49,53,56,32,49,54,46,
      53,55,52,54,32,49,55,46,54,53,48,56,32,49,56,46,55,56,54,57,32,50,48,46,49,
      54,51,56,10,32,32,50,49,46,53,54,55,50,32,50,50,46,57,57,54,50,32,50,52,46,
      52,52,54,55,32,50,54,46,49,48,55,51,32,50,55,46,56,56,57,56,32,50,57,46,55,
      48,52,51,32,51,49,46,53,52,55,32,51,51,46,52,54,52,50,32,51,53,46,54,50,57,
      51,32,51,55,46,56,50,57,55,32,52,48,46,48,54,52,53,10,32,32,52,50,46,51,50,
      56,54,32,52,52,46,55,54,55,52,32,52,55,46,51,48,57,54,32,52,57,46,56,56,51,
      52,32,53,50,46,52,56,56,50,32,53,53,46,49,52,52,50,32,53,55,46,57,50,53,50,
      32,54,48,46,55,51,51,53,32,54,51,46,53,54,56,56,32,54,54,46,52,50,57,50,10,
      32,32,54,57,46,50,57,54,50,32,55,50,46,49,55,55,50,32,55,53,46,48,55,54,32,
      55,55,46,57,57,50,49,32,56,48,46,56,56,49,56,32,56,51,46,54,49,54,52,32,56,
      54,46,51,53,57,49,32,57,48,46,48,50,51,52,32,57,55,46,54,54,55,50,32,49,48,
      54,46,56,52,52,32,49,49,52,46,51,56,50,10,32,32,49,49,48,46,55,54,55,32,57,
      57,46,50,55,57,32,56,51,46,50,54,52,57,32,54,55,46,50,55,48,53,32,53,51,46,
      53,48,55,53,32,52,50,46,57,56,57,57,32,51,53,46,52,49,48,56,32,51,48,46,50,
      51,53,54,32,50,54,46,53,55,50,52,32,50,51,46,55,57,57,57,32,50,49,46,48,50,
      57,51,10,32,32,49,56,46,51,48,49,50,32,49,52,46,52,55,51,32,49,48,46,52,57,
      49,32,54,46,57,55,48,50,56,32,51,46,56,48,54,53,54,32,50,46,48,48,57,54,57,
      32,49,46,49,51,50,53,50,32,46,54,57,57,53,52,57,32,46,53,54,52,56,57,32,46,
      53,56,55,56,52,51,32,46,55,50,48,49,51,52,10,32,32,46,56,57,52,57,57,32,49,
      46,48,56,56,57,55,32,49,46,50,53,52,57,51,32,49,46,51,51,57,55,57,32,49,46,
      50,57,54,52,56,32,49,46,49,49,52,57,52,32,46,56,50,56,50,54,53,32,46,53,54,
      56,52,57,57,32,46,51,55,51,50,53,50,32,46,50,55,50,48,54,32,46,50,57,53,54,
      53,51,10,32,32,46,51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,
      55,50,32,46,57,51,57,56,50,51,32,49,46,49,48,53,49,32,49,46,49,56,55,57,32,
      49,46,49,54,56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,48,55,53,32,46,
      55,55,51,48,49,57,32,46,54,54,55,54,51,56,10,32,32,46,53,56,51,48,52,49,32,
      46,53,49,48,50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,
      50,55,57,48,55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,
      51,50,32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,
      10,32,32,46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,
      50,32,46,51,48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,
      32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,
      51,56,51,54,51,32,46,49,51,51,54,49,51,10,32,32,46,49,51,53,54,56,53,32,46,
      49,51,57,54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,
      48,52,53,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,
      51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,
      10,32,32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,
      54,49,49,32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,
      51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,
      48,55,56,52,56,57,49,10,32,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,
      53,52,32,46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,
      57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,
      49,49,55,50,51,32,46,48,53,57,52,55,51,53,10,32,32,46,48,53,55,54,54,56,51,
      32,46,48,53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,
      56,54,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,
      53,54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,10,32,32,46,
      48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,
      32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,
      54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,
      52,54,53,51,10,32,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,51,
      32,46,48,48,56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,50,32,46,48,48,54,
      55,52,55,49,55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,53,51,54,
      32,46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,10,32,32,46,48,
      48,51,51,57,52,53,57,32,46,48,48,50,57,48,50,48,50,32,46,48,48,50,53,50,50,
      49,53,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,
      49,53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,
      56,32,46,48,48,49,48,54,56,52,10,32,32,46,48,48,48,57,51,50,51,57,54,32,46,
      48,48,48,56,49,52,48,56,52,32,46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,
      54,50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,
      57,48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,10,
      32,32,46,48,48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,32,46,
      48,48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,
      49,56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,
      56,53,32,46,48,48,48,49,50,54,49,52,50,10,32,32,46,48,48,48,49,49,48,54,50,
      57,32,57,46,55,48,51,55,52,101,45,48,53,32,56,46,53,49,51,56,53,101,45,48,53,
      32,55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,48,53,32,
      53,46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,53,10,32,
      32,52,46,52,51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,32,
      51,46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,
      46,54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,
      48,52,50,51,53,101,45,48,53,10,32,32,49,46,55,57,53,49,49,101,45,48,53,32,49,
      46,53,55,56,50,49,101,45,48,53,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,
      50,57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,
      53,56,48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,10,32,32,56,46,
      53,53,55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,32,54,46,52,51,
      56,52,49,101,45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,56,52,54,
      52,51,101,45,48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,
      57,101,45,48,54,10,32,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,57,
      56,54,101,45,48,54,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,
      57,101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,
      101,45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,10,32,32,49,46,49,55,56,57,
      53,101,45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,52,51,
      101,45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,
      45,48,55,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,
      55,10,32,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,
      48,55,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,
      55,32,50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,
      32,49,46,57,48,49,54,53,101,45,48,55,10,32,32,49,46,54,53,51,52,56,101,45,48,
      55,32,49,46,52,51,55,55,57,101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,
      32,49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,48,56,32,
      56,46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,57,101,45,48,56,10,32,
      32,54,46,50,50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,32,
      52,46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,
      46,51,52,56,57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,
      51,52,55,53,55,101,45,48,56,10,32,32,49,46,48,50,48,57,54,101,45,48,56,32,55,
      46,55,51,54,51,55,101,45,48,57,32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,
      52,52,52,55,101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,50,46,53,53,52,
      57,50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,10,32,32,49,46,52,54,
      57,53,56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,
      55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,
      50,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,50,
      101,45,49,48,10,32,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,49,
      52,101,45,49,48,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,
      101,45,49,49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,55,57,50,55,101,
      45,49,49,32,52,46,48,56,54,50,54,101,45,49,49,10,32,32,51,46,49,48,52,51,53,
      101,45,49,49,32,50,46,51,53,56,54,51,101,45,49,49,32,49,46,55,57,50,50,53,101,
      45,49,49,32,55,52,46,48,50,54,56,32,50,56,49,46,54,55,54,32,53,51,53,46,53,
      54,54,32,53,55,52,46,52,55,54,32,53,50,55,46,50,49,53,32,50,55,52,46,52,54,
      54,10,32,32,49,53,55,46,55,55,53,32,49,48,50,46,48,54,54,32,55,49,46,52,53,
      55,32,53,50,46,56,51,54,32,52,48,46,54,52,53,55,32,51,50,46,50,52,52,49,32,
      50,54,46,51,53,50,32,50,49,46,57,53,57,49,32,49,56,46,53,57,52,50,32,49,53,
      46,57,53,56,54,32,49,51,46,57,48,56,57,10,32,32,49,50,46,50,56,54,56,32,49,
      48,46,57,52,53,57,32,57,46,56,50,51,54,54,32,56,46,56,55,54,49,52,32,56,46,
      49,52,52,50,50,32,55,46,53,49,48,49,51,32,54,46,57,53,54,51,53,32,54,46,52,
      54,57,51,55,32,54,46,48,55,53,56,53,32,53,46,55,53,53,51,52,10,32,32,53,46,
      52,54,54,53,53,32,53,46,50,48,53,50,53,32,52,46,57,55,48,48,51,32,52,46,56,
      49,50,51,57,32,52,46,54,54,54,55,56,32,52,46,53,51,49,56,50,32,52,46,52,48,
      54,51,53,32,52,46,51,49,55,56,49,32,52,46,50,53,55,54,56,32,52,46,50,48,48,
      53,56,10,32,32,52,46,49,52,54,50,53,32,52,46,48,57,54,53,56,32,52,46,48,57,
      48,56,32,52,46,48,56,52,53,53,32,52,46,48,55,55,56,52,32,52,46,48,55,48,55,
      53,32,52,46,48,56,50,55,55,32,52,46,49,48,56,56,56,32,52,46,49,51,51,49,54,
      32,52,46,49,53,53,55,51,32,52,46,49,55,56,50,49,10,32,32,52,46,50,50,50,55,
      52,32,52,46,50,54,52,57,53,32,52,46,51,48,52,57,55,32,52,46,51,52,50,57,49,
      32,52,46,51,56,55,52,52,32,52,46,52,51,54,51,50,32,52,46,52,56,50,57,56,32,
      52,46,53,50,55,53,50,32,52,46,53,55,48,51,56,32,52,46,54,49,53,53,50,10,32,
      32,52,46,54,53,56,55,32,52,46,55,48,48,48,51,32,52,46,55,51,57,53,57,32,52,
      46,55,55,52,53,57,32,52,46,56,48,54,32,52,46,56,51,53,57,57,32,52,46,56,54,
      52,54,50,32,52,46,56,57,48,57,54,32,52,46,57,48,53,51,50,32,52,46,57,49,56,
      56,32,52,46,57,51,49,52,54,10,32,32,52,46,57,52,51,51,51,32,52,46,57,52,53,
      51,55,32,52,46,57,52,48,55,52,32,52,46,57,51,53,56,53,32,52,46,57,51,48,55,
      51,32,52,46,57,50,51,57,56,32,52,46,57,48,51,57,32,52,46,56,56,52,48,55,32,
      52,46,56,54,52,52,56,32,52,46,56,52,53,49,50,32,52,46,56,50,48,50,56,10,32,
      32,52,46,55,57,50,49,50,32,52,46,55,54,52,52,52,32,52,46,55,51,55,49,56,32,
      52,46,55,49,48,52,54,32,52,46,54,56,52,51,54,32,52,46,54,53,56,52,49,32,52,
      46,54,51,50,57,55,32,52,46,54,48,56,48,55,32,52,46,53,57,49,54,56,32,52,46,
      53,56,48,50,56,10,32,32,52,46,53,54,56,54,50,32,52,46,53,53,55,48,57,32,52,
      46,53,52,57,49,57,32,52,46,53,54,54,57,55,32,52,46,53,56,52,50,32,52,46,54,
      48,48,56,56,32,52,46,54,49,55,48,51,32,52,46,54,54,50,56,53,32,52,46,55,50,
      53,55,50,32,52,46,55,56,55,52,54,32,52,46,56,52,56,48,54,10,32,32,52,46,57,
      49,54,55,52,32,53,46,48,52,53,50,56,32,53,46,49,55,50,54,51,32,53,46,50,57,
      56,55,53,32,53,46,52,50,51,54,50,32,53,46,54,48,56,51,55,32,53,46,56,50,55,
      54,57,32,54,46,48,52,54,55,57,32,54,46,50,54,53,53,53,32,54,46,53,48,49,55,
      51,10,32,32,54,46,56,52,54,57,53,32,55,46,49,57,52,54,55,32,55,46,53,52,52,
      52,57,32,55,46,56,57,53,49,49,32,56,46,51,53,49,54,52,32,56,46,56,55,48,57,
      56,32,57,46,51,57,54,50,49,32,57,46,57,50,55,48,55,32,49,48,46,52,57,51,54,
      32,49,49,46,50,51,53,55,10,32,32,49,49,46,57,57,48,50,32,49,50,46,55,53,54,
      50,32,49,51,46,53,51,50,55,32,49,52,46,52,55,52,54,32,49,53,46,53,49,52,53,
      32,49,54,46,53,55,51,50,32,49,55,46,54,52,57,51,32,49,56,46,55,56,53,50,32,
      50,48,46,49,54,49,57,32,50,49,46,53,54,53,50,10,32,32,50,50,46,57,57,52,32,
      50,52,46,52,52,52,51,32,50,54,46,49,48,52,55,32,50,55,46,56,56,54,57,32,50,
      57,46,55,48,49,50,32,51,49,46,53,52,51,54,32,51,51,46,52,54,48,53,32,51,53,
      46,54,50,53,51,32,51,55,46,56,50,53,52,32,52,48,46,48,53,57,56,32,52,50,46,
      51,50,51,53,10,32,32,52,52,46,55,54,49,57,32,52,55,46,51,48,51,55,32,52,57,
      46,56,55,55,49,32,53,50,46,52,56,49,52,32,53,53,46,49,51,54,57,32,53,55,46,
      57,49,55,52,32,54,48,46,55,50,53,51,32,54,51,46,53,54,32,54,54,46,52,49,57,
      57,32,54,57,46,50,56,54,52,32,55,50,46,49,54,54,56,10,32,32,55,53,46,48,54,
      53,49,32,55,55,46,57,56,48,54,32,56,48,46,56,54,57,55,32,56,51,46,54,48,51,
      56,32,56,54,46,51,52,54,32,57,48,46,48,48,57,53,32,57,55,46,54,53,49,56,32,
      49,48,54,46,56,50,55,32,49,49,52,46,51,54,52,32,49,49,48,46,55,53,49,32,57,
      57,46,50,54,53,52,10,32,32,56,51,46,50,53,52,56,32,54,55,46,50,54,51,51,32,
      53,51,46,53,48,50,53,32,52,50,46,57,56,54,52,32,51,53,46,52,48,56,50,32,51,
      48,46,50,51,51,54,32,50,54,46,53,55,48,56,32,50,51,46,55,57,56,53,32,50,49,
      46,48,50,56,50,32,49,56,46,51,48,48,52,10,32,32,49,52,46,52,55,50,53,32,49,
      48,46,52,57,48,55,32,54,46,57,55,48,49,49,32,51,46,56,48,54,53,32,50,46,48,
      48,57,54,56,32,49,46,49,51,50,53,50,32,46,54,57,57,53,52,56,32,46,53,54,52,
      56,57,32,46,53,56,55,56,52,51,32,46,55,50,48,49,51,51,32,46,56,57,52,57,56,
      57,10,32,32,49,46,48,56,56,57,54,32,49,46,50,53,52,57,50,32,49,46,51,51,57,
      55,57,32,49,46,50,57,54,52,56,32,49,46,49,49,52,57,52,32,46,56,50,56,50,54,
      53,32,46,53,54,56,52,57,57,32,46,51,55,51,50,53,50,32,46,50,55,50,48,54,32,
      46,50,57,53,54,53,51,32,46,51,55,53,54,48,52,10,32,32,46,53,50,50,57,50,32,
      46,55,51,49,55,55,50,32,46,57,51,57,56,50,51,32,49,46,49,48,53,49,32,49,46,
      49,56,55,57,32,49,46,49,54,56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,
      48,55,53,32,46,55,55,51,48,49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,
      52,49,10,32,32,46,53,49,48,50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,
      54,57,52,32,46,50,55,57,48,55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,
      49,32,46,50,54,51,50,32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,
      56,55,49,49,51,32,46,51,49,54,52,56,53,10,32,32,46,51,51,53,50,49,51,32,46,
      51,51,48,52,57,50,32,46,51,48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,
      52,52,54,48,52,32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,
      53,54,32,46,49,51,56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,
      53,10,32,32,46,49,51,57,54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,
      56,32,46,49,53,48,52,53,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,
      46,49,52,56,49,51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,
      49,49,53,51,56,32,46,49,48,55,50,51,54,10,32,32,46,48,57,53,56,51,57,52,32,
      46,48,56,53,52,54,49,49,32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,
      52,32,46,48,55,51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,
      56,55,49,32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,10,32,32,46,
      48,55,52,51,48,53,52,32,46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,
      32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,
      57,32,46,48,54,49,49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,
      54,56,51,10,32,32,46,48,53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,
      48,53,51,49,54,56,54,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,
      32,46,48,52,52,53,54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,
      52,32,46,48,51,51,53,56,50,50,10,32,32,46,48,50,57,56,54,49,50,32,46,48,50,
      55,49,49,53,56,32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,
      48,49,55,57,48,54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,
      32,46,48,49,50,52,54,53,51,32,46,48,49,49,48,55,53,52,10,32,32,46,48,48,57,
      54,56,56,50,51,32,46,48,48,56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,50,
      32,46,48,48,54,55,52,55,49,55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,
      50,57,53,51,54,32,46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,
      10,32,32,46,48,48,51,51,57,52,53,57,32,46,48,48,50,57,48,50,48,50,32,46,48,
      48,50,53,50,50,49,53,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,
      56,32,46,48,48,49,53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,
      49,50,49,52,48,56,32,46,48,48,49,48,54,56,52,10,32,32,46,48,48,48,57,51,50,
      51,57,54,32,46,48,48,48,56,49,52,48,56,52,32,46,48,48,48,55,49,49,48,54,51,
      32,46,48,48,48,54,50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,
      48,48,52,55,52,57,48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,
      51,52,56,53,10,32,32,46,48,48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,
      53,52,52,32,46,48,48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,
      32,46,48,48,48,49,56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,
      48,48,49,52,51,56,53,32,46,48,48,48,49,50,54,49,52,50,10,32,32,46,48,48,48,
      49,49,48,54,50,57,32,57,46,55,48,51,55,52,101,45,48,53,32,56,46,53,49,51,56,
      53,101,45,48,53,32,55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,
      101,45,48,53,32,53,46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,
      45,48,53,10,32,32,52,46,52,51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,
      101,45,48,53,32,51,46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,
      45,48,53,32,50,46,54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,
      48,53,32,50,46,48,52,50,51,53,101,45,48,53,10,32,32,49,46,55,57,53,49,49,101,
      45,48,53,32,49,46,53,55,56,50,49,101,45,48,53,32,49,46,52,50,55,57,49,101,45,
      48,53,32,49,46,50,57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,
      53,32,49,46,48,53,56,48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,
      10,32,32,56,46,53,53,55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,
      32,54,46,52,51,56,52,49,101,45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,
      52,46,56,52,54,52,51,101,45,48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,
      46,54,52,57,55,57,101,45,48,54,10,32,32,51,46,49,54,55,56,55,101,45,48,54,32,
      50,46,55,52,57,56,54,101,45,48,54,32,50,46,51,56,55,50,54,101,45,48,54,32,50,
      46,48,55,50,54,57,101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,
      53,54,50,57,49,101,45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,10,32,32,49,
      46,49,55,56,57,53,101,45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,32,56,46,
      56,57,54,52,51,101,45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,
      49,53,53,49,101,45,48,55,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,
      48,57,101,45,48,55,10,32,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,
      48,50,53,101,45,48,55,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,
      57,56,101,45,48,55,32,50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,
      49,101,45,48,55,32,49,46,57,48,49,54,53,101,45,48,55,10,32,32,49,46,54,53,51,
      52,56,101,45,48,55,32,49,46,52,51,55,55,57,101,45,48,55,32,49,46,50,53,48,51,
      50,101,45,48,55,32,49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,
      101,45,48,56,32,56,46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,57,101,
      45,48,56,10,32,32,54,46,50,50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,
      101,45,48,56,32,52,46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,
      45,48,56,32,50,46,51,52,56,57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,
      48,56,32,49,46,51,52,55,53,55,101,45,48,56,10,32,32,49,46,48,50,48,57,54,101,
      45,48,56,32,55,46,55,51,54,51,55,101,45,48,57,32,53,46,56,54,51,51,101,45,48,
      57,32,52,46,52,52,52,52,55,101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,
      50,46,53,53,52,57,50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,10,32,
      32,49,46,52,54,57,53,56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,32,
      56,46,52,53,55,55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,
      46,56,55,48,49,50,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,
      56,48,53,55,50,101,45,49,48,10,32,32,50,46,49,50,57,57,54,101,45,49,48,32,49,
      46,54,49,55,49,52,101,45,49,48,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,
      51,50,52,57,54,101,45,49,49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,
      55,57,50,55,101,45,49,49,32,52,46,48,56,54,50,54,101,45,49,49,10,32,32,51,46,
      49,48,52,51,53,101,45,49,49,32,50,46,51,53,56,54,51,101,45,49,49,32,49,46,55,
      57,50,50,53,101,45,49,49,32,52,49,46,55,54,51,52,32,49,54,50,46,52,55,52,32,
      51,51,48,46,53,56,49,32,51,53,57,46,49,48,56,32,52,54,51,46,55,57,57,32,50,
      54,52,46,52,57,55,10,32,32,49,53,54,46,53,55,55,32,49,48,49,46,53,54,57,32,
      55,49,46,50,49,52,53,32,53,50,46,55,48,51,57,32,52,48,46,53,54,55,55,32,51,
      50,46,49,57,53,32,50,54,46,51,49,57,51,32,50,49,46,57,51,54,53,32,49,56,46,
      53,55,56,32,49,53,46,57,52,54,54,32,49,51,46,56,57,57,57,10,32,32,49,50,46,
      50,55,57,56,32,49,48,46,57,52,48,52,32,57,46,56,49,57,50,51,32,56,46,56,55,
      50,53,51,32,56,46,49,52,49,50,49,32,55,46,53,48,55,54,32,54,46,57,53,52,49,
      57,32,54,46,52,54,55,53,50,32,54,46,48,55,52,50,51,32,53,46,55,53,51,57,49,
      32,53,46,52,54,53,50,56,10,32,32,53,46,50,48,52,49,49,32,52,46,57,54,57,32,
      52,46,56,49,49,52,53,32,52,46,54,54,53,57,49,32,52,46,53,51,49,48,49,32,52,
      46,52,48,53,54,32,52,46,51,49,55,49,32,52,46,50,53,55,32,52,46,49,57,57,57,
      52,32,52,46,49,52,53,54,52,32,52,46,48,57,53,57,57,10,32,32,52,46,48,57,48,
      50,51,32,52,46,48,56,51,57,57,32,52,46,48,55,55,51,32,52,46,48,55,48,50,50,
      32,52,46,48,56,50,50,53,32,52,46,49,48,56,51,55,32,52,46,49,51,50,54,54,32,
      52,46,49,53,53,50,51,32,52,46,49,55,55,55,50,32,52,46,50,50,50,50,54,32,52,
      46,50,54,52,52,55,10,32,32,52,46,51,48,52,52,57,32,52,46,51,52,50,52,51,32,
      52,46,51,56,54,57,55,32,52,46,52,51,53,56,52,32,52,46,52,56,50,53,49,32,52,
      46,53,50,55,48,53,32,52,46,53,54,57,57,49,32,52,46,54,49,53,48,53,32,52,46,
      54,53,56,50,52,32,52,46,54,57,57,53,55,10,32,32,52,46,55,51,57,49,51,32,52,
      46,55,55,52,49,51,32,52,46,56,48,53,53,52,32,52,46,56,51,53,53,51,32,52,46,
      56,54,52,49,55,32,52,46,56,57,48,53,49,32,52,46,57,48,52,56,56,32,52,46,57,
      49,56,51,55,32,52,46,57,51,49,48,51,32,52,46,57,52,50,57,32,52,46,57,52,52,
      57,53,10,32,32,52,46,57,52,48,51,50,32,52,46,57,51,53,52,52,32,52,46,57,51,
      48,51,51,32,52,46,57,50,51,53,57,32,52,46,57,48,51,53,49,32,52,46,56,56,51,
      54,57,32,52,46,56,54,52,49,32,52,46,56,52,52,55,53,32,52,46,56,49,57,57,50,
      32,52,46,55,57,49,55,55,32,52,46,55,54,52,49,10,32,32,52,46,55,51,54,56,52,
      32,52,46,55,49,48,49,51,32,52,46,54,56,52,48,51,32,52,46,54,53,56,49,32,52,
      46,54,51,50,54,53,32,52,46,54,48,55,55,55,32,52,46,53,57,49,51,56,32,52,46,
      53,55,57,57,56,32,52,46,53,54,56,51,50,32,52,46,53,53,54,56,32,52,46,53,52,
      56,57,49,10,32,32,52,46,53,54,54,54,57,32,52,46,53,56,51,57,50,32,52,46,54,
      48,48,54,32,52,46,54,49,54,55,54,32,52,46,54,54,50,53,55,32,52,46,55,50,53,
      52,52,32,52,46,55,56,55,49,55,32,52,46,56,52,55,55,55,32,52,46,57,49,54,52,
      53,32,53,46,48,52,52,57,56,32,53,46,49,55,50,51,50,10,32,32,53,46,50,57,56,
      52,51,32,53,46,52,50,51,51,32,53,46,54,48,56,48,51,32,53,46,56,50,55,51,51,
      32,54,46,48,52,54,52,50,32,54,46,50,54,53,49,54,32,54,46,53,48,49,51,50,32,
      54,46,56,52,54,53,50,32,55,46,49,57,52,50,49,32,55,46,53,52,52,32,55,46,56,
      57,52,53,57,10,32,32,56,46,51,53,49,48,56,32,56,46,56,55,48,51,55,32,57,46,
      51,57,53,53,54,32,57,46,57,50,54,51,55,32,49,48,46,52,57,50,56,32,49,49,46,
      50,51,52,57,32,49,49,46,57,56,57,51,32,49,50,46,55,53,53,50,32,49,51,46,53,
      51,49,54,32,49,52,46,52,55,51,52,10,32,32,49,53,46,53,49,51,50,32,49,54,46,
      53,55,49,56,32,49,55,46,54,52,55,55,32,49,56,46,55,56,51,53,32,50,48,46,49,
      54,32,50,49,46,53,54,51,50,32,50,50,46,57,57,49,56,32,50,52,46,52,52,49,56,
      32,50,54,46,49,48,50,32,50,55,46,56,56,52,32,50,57,46,54,57,56,10,32,32,51,
      49,46,53,52,48,50,32,51,51,46,52,53,54,56,32,51,53,46,54,50,49,51,32,51,55,
      46,56,50,49,32,52,48,46,48,53,53,49,32,52,50,46,51,49,56,52,32,52,52,46,55,
      53,54,52,32,52,55,46,50,57,55,56,32,52,57,46,56,55,48,56,32,53,50,46,52,55,
      52,54,32,53,53,46,49,50,57,54,10,32,32,53,55,46,57,48,57,54,32,54,48,46,55,
      49,55,32,54,51,46,53,53,49,51,32,54,54,46,52,49,48,54,32,54,57,46,50,55,54,
      53,32,55,50,46,49,53,54,52,32,55,53,46,48,53,52,49,32,55,55,46,57,54,57,49,
      32,56,48,46,56,53,55,54,32,56,51,46,53,57,49,50,32,56,54,46,51,51,50,57,10,
      32,32,56,57,46,57,57,53,55,32,57,55,46,54,51,54,53,32,49,48,54,46,56,49,32,
      49,49,52,46,51,52,54,32,49,49,48,46,55,51,52,32,57,57,46,50,53,49,56,32,56,
      51,46,50,52,52,54,32,54,55,46,50,53,54,50,32,53,51,46,52,57,55,53,32,52,50,
      46,57,56,50,57,32,51,53,46,52,48,53,55,10,32,32,51,48,46,50,51,49,55,32,50,
      54,46,53,54,57,50,32,50,51,46,55,57,55,50,32,50,49,46,48,50,55,49,32,49,56,
      46,50,57,57,53,32,49,52,46,52,55,49,57,32,49,48,46,52,57,48,52,32,54,46,57,
      54,57,57,52,32,51,46,56,48,54,52,52,32,50,46,48,48,57,54,54,10,32,32,49,46,
      49,51,50,53,49,32,46,54,57,57,53,52,54,32,46,53,54,52,56,56,57,32,46,53,56,
      55,56,52,50,32,46,55,50,48,49,51,51,32,46,56,57,52,57,56,55,32,49,46,48,56,
      56,57,54,32,49,46,50,53,52,57,50,32,49,46,51,51,57,55,56,32,49,46,50,57,54,
      52,55,10,32,32,49,46,49,49,52,57,52,32,46,56,50,56,50,54,52,32,46,53,54,56,
      52,57,57,32,46,51,55,51,50,53,49,32,46,50,55,50,48,54,32,46,50,57,53,54,53,
      51,32,46,51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,55,50,32,
      46,57,51,57,56,50,51,32,49,46,49,48,53,49,10,32,32,49,46,49,56,55,56,57,32,
      49,46,49,54,56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,48,55,53,32,46,
      55,55,51,48,49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,52,49,32,46,53,
      49,48,50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,10,32,32,46,
      50,55,57,48,55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,
      51,50,32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,
      32,46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,
      46,51,48,54,54,50,51,10,32,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,
      32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,
      51,56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,
      57,54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,10,32,32,46,49,53,
      48,52,53,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,
      51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,
      32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,
      49,10,32,32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,
      51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,
      48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,
      32,46,48,55,49,52,52,52,57,10,32,32,46,48,54,57,49,54,56,57,32,46,48,54,54,
      57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,
      49,49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,
      48,53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,10,32,32,46,48,53,51,49,54,
      56,54,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,
      53,54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,
      51,53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,10,32,
      32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,
      54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,
      52,54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,51,32,46,
      48,48,56,52,56,53,53,54,10,32,32,46,48,48,55,53,54,51,53,50,32,46,48,48,54,
      55,52,55,49,55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,53,51,54,
      32,46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,
      51,57,52,53,57,32,46,48,48,50,57,48,50,48,50,10,32,32,46,48,48,50,53,50,50,
      49,53,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,
      49,53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,
      56,32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,
      48,56,49,52,48,56,52,10,32,32,46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,
      54,50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,
      57,48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,
      46,48,48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,10,32,32,46,
      48,48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,
      49,56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,
      56,53,32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,
      57,46,55,48,51,55,52,101,45,48,53,10,32,32,56,46,53,49,51,56,53,101,45,48,53,
      32,55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,48,53,32,
      53,46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,53,32,52,
      46,52,51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,10,32,32,
      51,46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,
      46,54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,
      48,52,50,51,53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,
      55,56,50,49,101,45,48,53,10,32,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,
      50,57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,
      53,56,48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,32,56,46,53,53,
      55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,10,32,32,54,46,52,51,
      56,52,49,101,45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,56,52,54,
      52,51,101,45,48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,
      57,101,45,48,54,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,57,56,54,
      101,45,48,54,10,32,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,
      57,101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,
      101,45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,
      45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,10,32,32,56,46,56,57,54,52,51,
      101,45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,
      45,48,55,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,
      55,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,
      10,32,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,
      55,32,50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,
      32,49,46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,
      49,46,52,51,55,55,57,101,45,48,55,10,32,32,49,46,50,53,48,51,50,101,45,48,55,
      32,49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,48,56,32,
      56,46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,56,101,45,48,56,32,54,
      46,50,50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,10,32,32,
      52,46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,
      46,51,52,56,57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,
      51,52,55,53,55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,
      51,54,51,55,101,45,48,57,10,32,32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,
      52,52,52,55,101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,50,46,53,53,52,
      57,50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,
      56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,10,32,32,56,46,52,53,55,
      55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,
      50,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,50,
      101,45,49,48,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,49,52,101,
      45,49,48,10,32,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,
      101,45,49,49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,55,57,50,55,101,
      45,49,49,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,
      49,49,32,50,46,51,53,56,54,51,101,45,49,49,10,32,32,49,46,55,57,50,50,53,101,
      45,49,49,32,50,54,46,55,54,53,51,32,49,48,53,46,50,53,55,32,50,50,49,46,54,
      53,52,32,50,52,50,46,51,52,50,32,52,48,48,46,54,48,56,32,50,53,52,46,55,48,
      55,32,49,53,53,46,49,56,32,49,48,49,46,48,55,52,32,55,48,46,57,55,50,56,10,
      32,32,53,50,46,53,55,50,32,52,48,46,52,56,57,56,32,51,50,46,49,52,54,32,50,
      54,46,50,56,54,55,32,50,49,46,57,49,51,57,32,49,56,46,53,54,49,56,32,49,53,
      46,57,51,52,55,32,49,51,46,56,57,48,57,32,49,50,46,50,55,50,56,32,49,48,46,
      57,51,52,57,32,57,46,56,49,52,56,10,32,32,56,46,56,54,56,57,51,32,56,46,49,
      51,56,50,32,55,46,53,48,53,48,54,32,54,46,57,53,50,48,51,32,54,46,52,54,53,
      54,55,32,54,46,48,55,50,54,50,32,53,46,55,53,50,52,56,32,53,46,52,54,52,48,
      49,32,53,46,50,48,50,57,55,32,52,46,57,54,55,57,56,32,52,46,56,49,48,53,10,
      32,32,52,46,54,54,53,48,52,32,52,46,53,51,48,50,32,52,46,52,48,52,56,53,32,
      52,46,51,49,54,51,57,32,52,46,50,53,54,51,51,32,52,46,49,57,57,51,32,52,46,
      49,52,53,48,50,32,52,46,48,57,53,52,49,32,52,46,48,56,57,54,54,32,52,46,48,
      56,51,52,52,32,52,46,48,55,54,55,54,10,32,32,52,46,48,54,57,55,32,52,46,48,
      56,49,55,52,32,52,46,49,48,55,56,55,32,52,46,49,51,50,49,54,32,52,46,49,53,
      52,55,52,32,52,46,49,55,55,50,51,32,52,46,50,50,49,55,55,32,52,46,50,54,51,
      57,57,32,52,46,51,48,52,48,49,32,52,46,51,52,49,57,54,32,52,46,51,56,54,52,
      57,10,32,32,52,46,52,51,53,51,55,32,52,46,52,56,50,48,52,32,52,46,53,50,54,
      53,56,32,52,46,53,54,57,52,53,32,52,46,54,49,52,53,56,32,52,46,54,53,55,55,
      55,32,52,46,54,57,57,49,49,32,52,46,55,51,56,54,55,32,52,46,55,55,51,54,55,
      32,52,46,56,48,53,48,57,10,32,32,52,46,56,51,53,48,56,32,52,46,56,54,51,55,
      50,32,52,46,56,57,48,48,55,32,52,46,57,48,52,52,52,32,52,46,57,49,55,57,51,
      32,52,46,57,51,48,54,32,52,46,57,52,50,52,55,32,52,46,57,52,52,53,51,32,52,
      46,57,51,57,57,49,32,52,46,57,51,53,48,52,32,52,46,57,50,57,57,51,10,32,32,
      52,46,57,50,51,49,57,32,52,46,57,48,51,49,50,32,52,46,56,56,51,51,49,32,52,
      46,56,54,51,55,51,32,52,46,56,52,52,51,57,32,52,46,56,49,57,53,54,32,52,46,
      55,57,49,52,49,32,52,46,55,54,51,55,53,32,52,46,55,51,54,53,32,52,46,55,48,
      57,56,32,52,46,54,56,51,55,49,10,32,32,52,46,54,53,55,55,56,32,52,46,54,51,
      50,51,52,32,52,46,54,48,55,52,54,32,52,46,53,57,49,48,55,32,52,46,53,55,57,
      54,57,32,52,46,53,54,56,48,51,32,52,46,53,53,54,53,49,32,52,46,53,52,56,54,
      50,32,52,46,53,54,54,52,49,32,52,46,53,56,51,54,52,10,32,32,52,46,54,48,48,
      51,50,32,52,46,54,49,54,52,56,32,52,46,54,54,50,50,57,32,52,46,55,50,53,49,
      54,32,52,46,55,56,54,56,57,32,52,46,56,52,55,52,57,32,52,46,57,49,54,49,54,
      32,53,46,48,52,52,54,56,32,53,46,49,55,50,48,50,32,53,46,50,57,56,49,50,10,
      32,32,53,46,52,50,50,57,56,32,53,46,54,48,55,55,32,53,46,56,50,54,57,56,32,
      54,46,48,52,54,48,53,32,54,46,50,54,52,55,55,32,54,46,53,48,48,57,50,32,54,
      46,56,52,54,48,56,32,55,46,49,57,51,55,53,32,55,46,53,52,51,53,49,32,55,46,
      56,57,52,48,55,32,56,46,51,53,48,53,49,10,32,32,56,46,56,54,57,55,54,32,57,
      46,51,57,52,57,32,57,46,57,50,53,54,54,32,49,48,46,52,57,50,49,32,49,49,46,
      50,51,52,32,49,49,46,57,56,56,52,32,49,50,46,55,53,52,50,32,49,51,46,53,51,
      48,53,32,49,52,46,52,55,50,50,32,49,53,46,53,49,49,57,32,49,54,46,53,55,48,
      52,10,32,32,49,55,46,54,52,54,50,32,49,56,46,55,56,49,56,32,50,48,46,49,53,
      56,50,32,50,49,46,53,54,49,49,32,50,50,46,57,56,57,54,32,50,52,46,52,51,57,
      52,32,50,54,46,48,57,57,52,32,50,55,46,56,56,49,49,32,50,57,46,54,57,52,57,
      32,51,49,46,53,51,54,56,10,32,32,51,51,46,52,53,51,49,32,51,53,46,54,49,55,
      50,32,51,55,46,56,49,54,55,32,52,48,46,48,53,48,51,32,52,50,46,51,49,51,51,
      32,52,52,46,55,53,48,57,32,52,55,46,50,57,49,56,32,52,57,46,56,54,52,52,32,
      53,50,46,52,54,55,56,32,53,53,46,49,50,50,52,10,32,32,53,55,46,57,48,49,57,
      32,54,48,46,55,48,56,55,32,54,51,46,53,52,50,53,32,54,54,46,52,48,49,51,32,
      54,57,46,50,54,54,55,32,55,50,46,49,52,54,32,55,53,46,48,52,51,50,32,55,55,
      46,57,53,55,54,32,56,48,46,56,52,53,54,32,56,51,46,53,55,56,54,32,56,54,46,
      51,49,57,55,10,32,32,56,57,46,57,56,49,56,32,57,55,46,54,50,49,50,32,49,48,
      54,46,55,57,51,32,49,49,52,46,51,50,56,32,49,49,48,46,55,49,56,32,57,57,46,
      50,51,56,50,32,56,51,46,50,51,52,52,32,54,55,46,50,52,57,32,53,51,46,52,57,
      50,54,32,52,50,46,57,55,57,52,32,51,53,46,52,48,51,49,10,32,32,51,48,46,50,
      50,57,55,32,50,54,46,53,54,55,54,32,50,51,46,55,57,53,57,32,50,49,46,48,50,
      54,49,32,49,56,46,50,57,56,55,32,49,52,46,52,55,49,51,32,49,48,46,52,57,32,
      54,46,57,54,57,55,56,32,51,46,56,48,54,51,56,32,50,46,48,48,57,54,52,32,49,
      46,49,51,50,53,49,10,32,32,46,54,57,57,53,52,53,32,46,53,54,52,56,56,57,32,
      46,53,56,55,56,52,50,32,46,55,50,48,49,51,50,32,46,56,57,52,57,56,54,32,49,
      46,48,56,56,57,54,32,49,46,50,53,52,57,50,32,49,46,51,51,57,55,56,32,49,46,
      50,57,54,52,55,32,49,46,49,49,52,57,52,10,32,32,46,56,50,56,50,54,52,32,46,
      53,54,56,52,57,57,32,46,51,55,51,50,53,49,32,46,50,55,50,48,54,32,46,50,57,
      53,54,53,51,32,46,51,55,53,54,48,52,32,46,53,50,50,57,50,32,46,55,51,49,55,
      55,50,32,46,57,51,57,56,50,51,32,49,46,49,48,53,49,32,49,46,49,56,55,56,57,
      10,32,32,49,46,49,54,56,51,53,32,49,46,48,55,53,55,57,32,46,57,51,52,48,55,
      52,32,46,55,55,51,48,49,57,32,46,54,54,55,54,51,56,32,46,53,56,51,48,52,49,
      32,46,53,49,48,50,56,52,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,
      46,50,55,57,48,55,53,10,32,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,
      46,50,54,51,50,32,46,50,54,48,53,56,32,46,50,54,54,51,57,51,32,46,50,56,55,
      49,49,51,32,46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,
      57,50,32,46,51,48,54,54,50,51,32,46,50,56,52,48,54,53,10,32,32,46,50,52,52,
      54,48,52,32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,
      32,46,49,51,56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,
      46,49,51,57,54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,
      53,48,52,53,10,32,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,
      52,56,49,51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,
      53,51,56,32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,
      52,54,49,49,32,46,48,56,48,56,56,49,56,10,32,32,46,48,55,53,54,48,57,52,32,
      46,48,55,51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,
      49,32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,
      48,53,52,32,46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,10,32,32,46,
      48,54,54,57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,
      46,48,54,49,49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,
      51,32,46,48,53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,
      54,56,54,10,32,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,
      48,52,52,53,54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,
      46,48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,
      56,32,46,48,50,51,50,52,54,50,10,32,32,46,48,49,57,54,56,54,56,32,46,48,49,
      55,57,48,54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,
      48,49,50,52,54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,
      51,32,46,48,48,56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,50,10,32,32,46,
      48,48,54,55,52,55,49,55,32,46,48,48,54,48,50,51,52,49,32,46,48,48,53,50,57,
      53,51,54,32,46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,
      48,48,51,51,57,52,53,57,32,46,48,48,50,57,48,50,48,50,32,46,48,48,50,53,50,
      50,49,53,10,32,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,
      46,48,48,49,53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,
      49,52,48,56,32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,
      46,48,48,48,56,49,52,48,56,52,10,32,32,46,48,48,48,55,49,49,48,54,51,32,46,
      48,48,48,54,50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,
      52,55,52,57,48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,
      56,53,32,46,48,48,48,51,49,56,49,52,55,32,46,48,48,48,50,55,56,53,52,52,10,
      32,32,46,48,48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,
      48,48,48,49,56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,52,32,46,48,48,48,
      49,52,51,56,53,32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,
      50,57,32,57,46,55,48,51,55,52,101,45,48,53,10,32,32,56,46,53,49,51,56,53,101,
      45,48,53,32,55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,51,101,45,
      48,53,32,53,46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,54,101,45,48,
      53,32,52,46,52,51,57,48,57,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,
      10,32,32,51,46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,
      53,32,50,46,54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,
      32,50,46,48,52,50,51,53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,
      49,46,53,55,56,50,49,101,45,48,53,10,32,32,49,46,52,50,55,57,49,101,45,48,53,
      32,49,46,50,57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,
      49,46,48,53,56,48,52,101,45,48,53,32,57,46,53,55,54,57,53,101,45,48,54,32,56,
      46,53,53,55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,10,32,32,54,
      46,52,51,56,52,49,101,45,48,54,32,53,46,53,56,53,54,54,101,45,48,54,32,52,46,
      56,52,54,52,51,101,45,48,54,32,52,46,50,48,53,53,50,101,45,48,54,32,51,46,54,
      52,57,55,57,101,45,48,54,32,51,46,49,54,55,56,55,101,45,48,54,32,50,46,55,52,
      57,56,54,101,45,48,54,10,32,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,
      55,50,54,57,101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,
      50,57,49,101,45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,
      57,53,101,45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,10,32,32,56,46,56,57,
      54,52,51,101,45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,
      53,49,101,45,48,55,32,53,46,56,51,53,51,50,101,45,48,55,32,53,46,48,55,48,57,
      101,45,48,55,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,
      45,48,55,10,32,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,56,
      101,45,48,55,32,50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,
      45,48,55,32,49,46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,
      48,55,32,49,46,52,51,55,55,57,101,45,48,55,10,32,32,49,46,50,53,48,51,50,101,
      45,48,55,32,49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,53,101,45,
      48,56,32,56,46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,56,101,45,48,
      56,32,54,46,50,50,51,54,53,101,45,48,56,32,53,46,52,49,52,48,56,101,45,48,56,
      10,32,32,52,46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,
      56,32,50,46,51,52,56,57,56,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,
      32,49,46,51,52,55,53,55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,
      55,46,55,51,54,51,55,101,45,48,57,10,32,32,53,46,56,54,51,51,101,45,48,57,32,
      52,46,52,52,52,52,55,101,45,48,57,32,51,46,51,54,57,53,101,45,48,57,32,50,46,
      53,53,52,57,50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,
      54,57,53,56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,10,32,32,56,46,
      52,53,55,55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,
      55,48,49,50,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,
      53,55,50,101,45,49,48,32,50,46,49,50,57,57,54,101,45,49,48,32,49,46,54,49,55,
      49,52,101,45,49,48,10,32,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,
      52,57,54,101,45,49,49,32,55,46,48,56,50,49,52,101,45,49,49,32,53,46,51,55,57,
      50,55,101,45,49,49,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,
      53,101,45,49,49,32,50,46,51,53,56,54,51,101,45,49,49,10,32,32,49,46,55,57,50,
      50,53,101,45,49,49,32,54,46,55,48,51,55,54,32,50,54,46,55,52,55,56,32,53,57,
      46,49,56,51,57,32,54,53,46,51,50,51,57,32,49,56,57,46,49,55,52,32,49,57,51,
      46,54,56,50,32,49,51,57,46,55,53,57,32,57,54,46,57,53,50,56,32,54,57,46,55,
      55,54,54,10,32,32,53,49,46,57,49,55,56,32,52,48,46,49,48,50,53,32,51,49,46,
      57,48,50,49,32,50,54,46,49,50,52,49,32,50,49,46,56,48,49,49,32,49,56,46,52,
      56,49,49,32,49,53,46,56,55,53,52,32,49,51,46,56,52,54,32,49,50,46,50,51,55,
      57,32,49,48,46,57,48,55,51,32,57,46,55,57,50,54,54,10,32,32,56,46,56,53,48,
      57,51,32,56,46,49,50,51,49,55,32,55,46,52,57,50,51,57,32,54,46,57,52,49,50,
      53,32,54,46,52,53,54,52,49,32,54,46,48,54,52,53,52,32,53,46,55,52,53,51,50,
      32,53,46,52,53,55,54,51,32,53,46,49,57,55,50,54,32,52,46,57,54,50,56,52,10,
      32,32,52,46,56,48,53,55,55,32,52,46,54,54,48,54,55,32,52,46,53,50,54,49,53,
      32,52,46,52,48,49,48,56,32,52,46,51,49,50,56,53,32,52,46,50,53,50,57,54,32,
      52,46,49,57,54,48,57,32,52,46,49,52,49,57,54,32,52,46,48,57,50,52,56,32,52,
      46,48,56,54,56,49,10,32,32,52,46,48,56,48,54,55,32,52,46,48,55,52,48,55,32,
      52,46,48,54,55,48,55,32,52,46,48,55,57,49,55,32,52,46,49,48,53,51,51,32,52,
      46,49,50,57,54,54,32,52,46,49,53,50,50,55,32,52,46,49,55,52,55,57,32,52,46,
      50,49,57,51,53,32,52,46,50,54,49,53,56,10,32,32,52,46,51,48,49,54,50,32,52,
      46,51,51,57,53,56,32,52,46,51,56,52,49,50,32,52,46,52,51,51,48,49,32,52,46,
      52,55,57,54,57,32,52,46,53,50,52,50,52,32,52,46,53,54,55,49,49,32,52,46,54,
      49,50,50,53,32,52,46,54,53,53,52,53,32,52,46,54,57,54,56,32,52,46,55,51,54,
      51,54,10,32,32,52,46,55,55,49,51,56,32,52,46,56,48,50,56,49,32,52,46,56,51,
      50,56,50,32,52,46,56,54,49,52,55,32,52,46,56,56,55,56,52,32,52,46,57,48,50,
      50,51,32,52,46,57,49,53,55,53,32,52,46,57,50,56,52,52,32,52,46,57,52,48,51,
      52,32,52,46,57,52,50,52,51,10,32,32,52,46,57,51,55,56,51,32,52,46,57,51,50,
      57,57,32,52,46,57,50,55,57,50,32,52,46,57,50,49,50,49,32,52,46,57,48,49,49,
      56,32,52,46,56,56,49,52,32,52,46,56,54,49,56,54,32,52,46,56,52,50,53,53,32,
      52,46,56,49,55,55,54,32,52,46,55,56,57,54,53,32,52,46,55,54,50,48,51,10,32,
      32,52,46,55,51,52,56,49,32,52,46,55,48,56,49,53,32,52,46,54,56,50,48,57,32,
      52,46,54,53,54,49,57,32,52,46,54,51,48,55,56,32,52,46,54,48,53,57,51,32,52,
      46,53,56,57,53,55,32,52,46,53,55,56,50,49,32,52,46,53,54,54,53,55,32,52,46,
      53,53,53,48,56,10,32,32,52,46,53,52,55,50,32,52,46,53,54,53,32,52,46,53,56,
      50,50,51,32,52,46,53,57,56,57,50,32,52,46,54,49,53,48,57,32,52,46,54,54,48,
      57,32,52,46,55,50,51,55,53,32,52,46,55,56,53,52,55,32,52,46,56,52,54,48,53,
      32,52,46,57,49,52,55,49,32,53,46,48,52,51,49,57,10,32,32,53,46,49,55,48,52,
      57,32,53,46,50,57,54,53,53,32,53,46,52,50,49,51,54,32,53,46,54,48,54,48,50,
      32,53,46,56,50,53,50,50,32,54,46,48,52,52,50,49,32,54,46,50,54,50,56,53,32,
      54,46,52,57,56,57,32,54,46,56,52,51,57,50,32,55,46,49,57,49,52,52,32,55,46,
      53,52,49,48,54,10,32,32,55,46,56,57,49,52,55,32,56,46,51,52,55,55,49,32,56,
      46,56,54,54,55,50,32,57,46,51,57,49,54,50,32,57,46,57,50,50,49,51,32,49,48,
      46,52,56,56,51,32,49,49,46,50,50,57,57,32,49,49,46,57,56,51,56,32,49,50,46,
      55,52,57,51,32,49,51,46,53,50,53,49,10,32,32,49,52,46,52,54,54,51,32,49,53,
      46,53,48,53,53,32,49,54,46,53,54,51,51,32,49,55,46,54,51,56,53,32,49,56,46,
      55,55,51,53,32,50,48,46,49,52,56,57,32,50,49,46,53,53,49,32,50,50,46,57,55,
      56,53,32,50,52,46,52,50,55,52,32,50,54,46,48,56,54,51,32,50,55,46,56,54,54,
      55,10,32,32,50,57,46,54,55,57,50,32,51,49,46,53,49,57,56,32,51,51,46,52,51,
      52,55,32,51,53,46,53,57,55,49,32,51,55,46,55,57,52,56,32,52,48,46,48,50,54,
      56,32,52,50,46,50,56,56,32,52,52,46,55,50,51,54,32,52,55,46,50,54,50,51,32,
      52,57,46,56,51,50,55,32,53,50,46,52,51,51,56,10,32,32,53,53,46,48,56,54,49,
      32,53,55,46,56,54,51,49,32,54,48,46,54,54,55,52,32,54,51,46,52,57,56,54,32,
      54,54,46,51,53,52,55,32,54,57,46,50,49,55,52,32,55,50,46,48,57,52,49,32,55,
      52,46,57,56,56,53,32,55,55,46,57,48,48,49,32,56,48,46,55,56,53,50,10,32,32,
      56,51,46,53,49,53,54,32,56,54,46,50,53,52,49,32,56,57,46,57,49,50,54,32,57,
      55,46,53,52,52,53,32,49,48,54,46,55,48,55,32,49,49,52,46,50,51,55,32,49,49,
      48,46,54,51,53,32,57,57,46,49,55,32,56,51,46,49,56,51,54,32,54,55,46,50,49,
      51,32,53,51,46,52,54,55,55,10,32,32,52,50,46,57,54,49,57,32,51,53,46,51,57,
      48,51,32,51,48,46,50,49,57,56,32,50,54,46,53,53,57,55,32,50,51,46,55,56,57,
      51,32,50,49,46,48,50,48,55,32,49,56,46,50,57,52,53,32,49,52,46,52,54,56,53,
      32,49,48,46,52,56,56,52,32,54,46,57,54,56,57,51,10,32,32,51,46,56,48,54,48,
      57,32,50,46,48,48,57,53,54,32,49,46,49,51,50,52,57,32,46,54,57,57,53,51,57,
      32,46,53,54,52,56,56,54,32,46,53,56,55,56,51,57,32,46,55,50,48,49,50,55,32,
      46,56,57,52,57,55,57,32,49,46,48,56,56,57,53,32,49,46,50,53,52,57,32,49,46,
      51,51,57,55,55,10,32,32,49,46,50,57,54,52,54,32,49,46,49,49,52,57,51,32,46,
      56,50,56,50,54,49,32,46,53,54,56,52,57,56,32,46,51,55,51,50,53,49,32,46,50,
      55,50,48,54,32,46,50,57,53,54,53,51,32,46,51,55,53,54,48,52,32,46,53,50,50,
      57,49,57,32,46,55,51,49,55,55,50,32,46,57,51,57,56,50,50,10,32,32,49,46,49,
      48,53,49,32,49,46,49,56,55,56,57,32,49,46,49,54,56,51,53,32,49,46,48,55,53,
      55,56,32,46,57,51,52,48,55,52,32,46,55,55,51,48,49,57,32,46,54,54,55,54,51,
      56,32,46,53,56,51,48,52,49,32,46,53,49,48,50,56,52,32,46,52,50,57,49,55,53,
      32,46,51,51,51,54,57,52,10,32,32,46,50,55,57,48,55,53,32,46,50,54,48,54,52,
      32,46,50,54,48,54,53,49,32,46,50,54,51,50,32,46,50,54,48,53,56,32,46,50,54,
      54,51,57,51,32,46,50,56,55,49,49,51,32,46,51,49,54,52,56,53,32,46,51,51,53,
      50,49,51,32,46,51,51,48,52,57,50,32,46,51,48,54,54,50,51,10,32,32,46,50,56,
      52,48,54,53,32,46,50,52,52,54,48,52,32,46,50,49,49,54,52,32,46,49,56,49,50,
      56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,51,32,46,49,51,51,54,49,51,
      32,46,49,51,53,54,56,53,32,46,49,51,57,54,50,51,32,46,49,52,51,53,50,32,46,
      49,52,55,54,50,56,10,32,32,46,49,53,48,52,53,32,46,49,53,50,51,52,52,32,46,
      49,53,49,54,55,49,32,46,49,52,56,49,51,56,32,46,49,51,55,57,55,53,32,46,49,
      50,51,57,57,50,32,46,49,49,53,51,56,32,46,49,48,55,50,51,54,32,46,48,57,53,
      56,51,57,52,32,46,48,56,53,52,54,49,49,10,32,32,46,48,56,48,56,56,49,56,32,
      46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,52,32,46,48,55,50,50,52,48,
      57,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,
      50,52,50,32,46,48,55,52,51,48,53,52,32,46,48,55,49,52,52,52,57,10,32,32,46,
      48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,50,49,57,
      32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,51,32,46,48,53,57,52,55,51,
      53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,56,51,53,32,46,48,53,52,51,
      54,51,52,10,32,32,46,48,53,51,49,54,56,54,32,46,48,53,49,55,50,56,54,32,46,
      48,52,56,53,53,55,51,32,46,48,52,52,53,54,54,32,46,48,52,49,48,52,53,51,32,
      46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,
      50,32,46,48,50,55,49,49,53,56,10,32,32,46,48,50,51,50,52,54,50,32,46,48,49,
      57,54,56,54,56,32,46,48,49,55,57,48,54,57,32,46,48,49,54,49,50,53,54,32,46,
      48,49,52,48,52,54,51,32,46,48,49,50,52,54,53,51,32,46,48,49,49,48,55,53,52,
      32,46,48,48,57,54,56,56,50,51,32,46,48,48,56,52,56,53,53,54,10,32,32,46,48,
      48,55,53,54,51,53,50,32,46,48,48,54,55,52,55,49,55,32,46,48,48,54,48,50,51,
      52,49,32,46,48,48,53,50,57,53,51,54,32,46,48,48,52,53,56,53,53,51,32,46,48,
      48,51,57,49,50,51,51,32,46,48,48,51,51,57,52,53,57,32,46,48,48,50,57,48,50,
      48,50,10,32,32,46,48,48,50,53,50,50,49,53,32,46,48,48,50,49,57,51,53,51,32,
      46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,52,54,32,46,48,48,49,52,48,
      52,56,51,32,46,48,48,49,50,49,52,48,56,32,46,48,48,49,48,54,56,52,32,46,48,
      48,48,57,51,50,51,57,54,32,46,48,48,48,56,49,52,48,56,52,10,32,32,46,48,48,
      48,55,49,49,48,54,51,32,46,48,48,48,54,50,49,51,50,49,32,46,48,48,48,53,52,
      51,49,48,54,32,46,48,48,48,52,55,52,57,48,55,32,46,48,48,48,52,49,53,52,49,
      32,46,48,48,48,51,54,51,52,56,53,32,46,48,48,48,51,49,56,49,52,55,32,46,48,
      48,48,50,55,56,53,52,52,10,32,32,46,48,48,48,50,52,51,57,50,55,32,46,48,48,
      48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,50,57,32,46,48,48,48,49,54,
      52,48,57,52,32,46,48,48,48,49,52,51,56,53,32,46,48,48,48,49,50,54,49,52,50,
      32,46,48,48,48,49,49,48,54,50,57,32,57,46,55,48,51,55,52,101,45,48,53,10,32,
      32,56,46,53,49,51,56,53,101,45,48,53,32,55,46,52,55,49,50,57,101,45,48,53,32,
      54,46,53,53,55,54,51,101,45,48,53,32,53,46,55,53,54,54,56,101,45,48,53,32,53,
      46,48,53,52,52,53,101,45,48,53,32,52,46,52,51,57,48,56,101,45,48,53,32,51,46,
      56,57,56,56,54,101,45,48,53,10,32,32,51,46,52,50,52,57,49,101,45,48,53,32,51,
      46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,48,52,101,45,48,53,32,50,46,
      51,50,51,54,52,101,45,48,53,32,50,46,48,52,50,51,53,101,45,48,53,32,49,46,55,
      57,53,49,49,101,45,48,53,32,49,46,53,55,56,50,49,101,45,48,53,10,32,32,49,46,
      52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,50,101,45,48,53,32,49,46,49,
      54,57,49,53,101,45,48,53,32,49,46,48,53,56,48,52,101,45,48,53,32,57,46,53,55,
      54,57,53,101,45,48,54,32,56,46,53,53,55,54,55,101,45,48,54,32,55,46,52,50,50,
      51,101,45,48,54,10,32,32,54,46,52,51,56,52,49,101,45,48,54,32,53,46,53,56,53,
      54,54,101,45,48,54,32,52,46,56,52,54,52,50,101,45,48,54,32,52,46,50,48,53,53,
      50,101,45,48,54,32,51,46,54,52,57,55,57,101,45,48,54,32,51,46,49,54,55,56,55,
      101,45,48,54,32,50,46,55,52,57,56,54,101,45,48,54,10,32,32,50,46,51,56,55,50,
      54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,54,32,49,46,55,57,57,55,53,
      101,45,48,54,32,49,46,53,54,50,57,49,101,45,48,54,32,49,46,51,53,55,51,54,101,
      45,48,54,32,49,46,49,55,56,57,53,101,45,48,54,32,49,46,48,50,52,48,56,101,45,
      48,54,10,32,32,56,46,56,57,54,52,51,101,45,48,55,32,55,46,55,50,57,49,50,101,
      45,48,55,32,54,46,55,49,53,53,49,101,45,48,55,32,53,46,56,51,53,51,50,101,45,
      48,55,32,53,46,48,55,48,57,101,45,48,55,32,52,46,52,48,53,56,50,101,45,48,55,
      32,51,46,56,51,48,50,53,101,45,48,55,10,32,32,51,46,51,50,57,50,52,101,45,48,
      55,32,50,46,56,57,51,57,56,101,45,48,55,32,50,46,53,49,53,56,49,101,45,48,55,
      32,50,46,49,56,55,50,49,101,45,48,55,32,49,46,57,48,49,54,53,101,45,48,55,32,
      49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,55,55,57,101,45,48,55,10,32,
      32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,55,101,45,48,55,32,
      57,46,52,53,55,48,53,101,45,48,56,32,56,46,50,50,53,52,53,101,45,48,56,32,55,
      46,49,53,52,54,56,101,45,48,56,32,54,46,50,50,51,54,53,101,45,48,56,32,53,46,
      52,49,52,48,56,101,45,48,56,10,32,32,52,46,48,57,55,56,53,101,45,48,56,32,51,
      46,49,48,50,49,57,101,45,48,56,32,50,46,51,52,56,57,56,101,45,48,56,32,49,46,
      55,55,56,57,57,101,45,48,56,32,49,46,51,52,55,53,55,101,45,48,56,32,49,46,48,
      50,48,57,54,101,45,48,56,32,55,46,55,51,54,51,55,101,45,48,57,10,32,32,53,46,
      56,54,51,51,101,45,48,57,32,52,46,52,52,52,52,55,101,45,48,57,32,51,46,51,54,
      57,53,101,45,48,57,32,50,46,53,53,52,57,50,101,45,48,57,32,49,46,57,51,55,53,
      53,101,45,48,57,32,49,46,52,54,57,53,56,101,45,48,57,32,49,46,49,49,52,55,57,
      101,45,48,57,10,32,32,56,46,52,53,55,55,49,101,45,49,48,32,54,46,52,49,55,53,
      51,101,45,49,48,32,52,46,56,55,48,49,50,101,45,49,48,32,51,46,54,57,54,50,57,
      101,45,49,48,32,50,46,56,48,53,55,50,101,45,49,48,32,50,46,49,50,57,57,53,101,
      45,49,48,32,49,46,54,49,55,49,52,101,45,49,48,10,32,32,49,46,50,50,55,57,51,
      101,45,49,48,32,57,46,51,50,52,57,54,101,45,49,49,32,55,46,48,56,50,49,52,101,
      45,49,49,32,53,46,51,55,57,50,55,101,45,49,49,32,52,46,48,56,54,50,54,101,45,
      49,49,32,51,46,49,48,52,51,53,101,45,49,49,32,50,46,51,53,56,54,51,101,45,49,
      49,10,32,32,49,46,55,57,50,50,53,101,45,49,49,32,49,46,54,55,54,55,50,32,54,
      46,55,49,52,53,57,32,49,53,46,48,53,49,55,32,49,54,46,54,53,53,49,32,54,48,
      46,55,56,56,56,32,57,56,46,56,48,53,55,32,49,48,48,46,52,54,51,32,56,50,46,
      53,55,53,32,54,52,46,48,54,54,54,10,32,32,52,57,46,54,53,56,50,32,51,57,46,
      51,51,57,49,32,51,49,46,52,49,57,57,32,50,53,46,56,48,49,57,32,50,49,46,53,
      55,55,53,32,49,56,46,51,50,48,56,32,49,53,46,55,53,55,51,32,49,51,46,55,53,
      54,53,32,49,50,46,49,54,56,52,32,49,48,46,56,53,50,51,10,32,32,57,46,55,52,
      56,53,53,32,56,46,56,49,53,48,51,32,56,46,48,57,51,50,49,32,55,46,52,54,55,
      49,50,32,54,46,57,49,57,55,51,32,54,46,52,51,55,57,52,32,54,46,48,52,56,52,
      50,32,53,46,55,51,49,48,53,32,53,46,52,52,52,57,50,32,53,46,49,56,53,56,55,
      10,32,32,52,46,57,53,50,53,56,32,52,46,55,57,54,51,51,32,52,46,54,53,49,57,
      52,32,52,46,53,49,56,48,54,32,52,46,51,57,51,53,54,32,52,46,51,48,53,55,55,
      32,52,46,50,52,54,50,51,32,52,46,49,56,57,54,55,32,52,46,49,51,53,56,52,32,
      52,46,48,56,54,54,51,10,32,32,52,46,48,56,49,49,50,32,52,46,48,55,53,49,52,
      32,52,46,48,54,56,54,57,32,52,46,48,54,49,56,51,32,52,46,48,55,52,48,50,32,
      52,46,49,48,48,50,53,32,52,46,49,50,52,54,53,32,52,46,49,52,55,51,51,32,52,
      46,49,54,57,57,51,32,52,46,50,49,52,53,49,10,32,32,52,46,50,53,54,55,54,32,
      52,46,50,57,54,56,52,32,52,46,51,51,52,56,51,32,52,46,51,55,57,51,57,32,52,
      46,52,50,56,50,57,32,52,46,52,55,52,57,56,32,52,46,53,49,57,53,53,32,52,46,
      53,54,50,52,52,32,52,46,54,48,55,54,32,52,46,54,53,48,56,49,32,52,46,54,57,
      50,49,55,10,32,32,52,46,55,51,49,55,54,32,52,46,55,54,54,56,32,52,46,55,57,
      56,50,54,32,52,46,56,50,56,51,32,52,46,56,53,54,57,57,32,52,46,56,56,51,51,
      56,32,52,46,56,57,55,56,50,32,52,46,57,49,49,51,57,32,52,46,57,50,52,49,51,
      32,52,46,57,51,54,48,55,32,52,46,57,51,56,50,50,10,32,32,52,46,57,51,51,54,
      57,32,52,46,57,50,56,57,49,32,52,46,57,50,51,57,32,52,46,57,49,55,50,53,32,
      52,46,56,57,55,51,32,52,46,56,55,55,53,57,32,52,46,56,53,56,49,50,32,52,46,
      56,51,56,56,56,32,52,46,56,49,52,49,55,32,52,46,55,56,54,49,51,32,52,46,55,
      53,56,53,56,10,32,32,52,46,55,51,49,52,52,32,52,46,55,48,52,56,52,32,52,46,
      54,55,56,56,53,32,52,46,54,53,51,48,49,32,52,46,54,50,55,54,55,32,52,46,54,
      48,50,56,56,32,52,46,53,56,54,53,55,32,52,46,53,55,53,50,53,32,52,46,53,54,
      51,54,54,32,52,46,53,53,50,50,32,52,46,53,52,52,51,55,10,32,32,52,46,53,54,
      50,49,56,32,52,46,53,55,57,52,50,32,52,46,53,57,54,49,51,32,52,46,54,49,50,
      51,49,32,52,46,54,53,56,49,49,32,52,46,55,50,48,57,51,32,52,46,55,56,50,54,
      51,32,52,46,56,52,51,49,57,32,52,46,57,49,49,56,49,32,53,46,48,52,48,50,49,
      10,32,32,53,46,49,54,55,52,50,32,53,46,50,57,51,52,32,53,46,52,49,56,49,52,
      32,53,46,54,48,50,54,54,32,53,46,56,50,49,54,57,32,54,46,48,52,48,53,50,32,
      54,46,50,53,56,57,57,32,54,46,52,57,52,56,54,32,54,46,56,51,57,54,32,55,46,
      49,56,54,56,51,32,55,46,53,51,54,49,54,10,32,32,55,46,56,56,54,50,55,32,56,
      46,51,52,50,49,49,32,56,46,56,54,48,54,52,32,57,46,51,56,53,48,53,32,57,46,
      57,49,53,48,54,32,49,48,46,52,56,48,55,32,49,49,46,50,50,49,53,32,49,49,46,
      57,55,52,55,32,49,50,46,55,51,57,52,32,49,51,46,53,49,52,52,10,32,32,49,52,
      46,52,53,52,53,32,49,53,46,52,57,50,53,32,49,54,46,53,52,57,50,32,49,55,46,
      54,50,51,32,49,56,46,55,53,54,55,32,50,48,46,49,51,48,53,32,50,49,46,53,51,
      48,55,32,50,50,46,57,53,54,52,32,50,52,46,52,48,51,52,32,50,54,46,48,54,32,
      50,55,46,56,51,55,57,10,32,32,50,57,46,54,52,55,56,32,51,49,46,52,56,53,55,
      32,51,51,46,51,57,55,56,32,51,53,46,53,53,55,32,51,55,46,55,53,49,51,32,51,
      57,46,57,55,57,54,32,52,50,46,50,51,55,50,32,52,52,46,54,54,56,56,32,52,55,
      46,50,48,51,51,32,52,57,46,55,54,57,51,32,53,50,46,51,54,53,57,10,32,32,53,
      53,46,48,49,51,54,32,53,55,46,55,56,53,54,32,54,48,46,53,56,52,57,32,54,51,
      46,52,49,48,57,32,54,54,46,50,54,49,55,32,54,57,46,49,49,57,49,32,55,49,46,
      57,57,48,51,32,55,52,46,56,55,57,49,32,55,55,46,55,56,53,49,32,56,48,46,54,
      54,52,55,10,32,32,56,51,46,51,56,57,56,32,56,54,46,49,50,51,32,56,57,46,55,
      55,52,51,32,57,55,46,51,57,49,52,32,49,48,54,46,53,51,55,32,49,49,52,46,48,
      53,55,32,49,49,48,46,52,54,57,32,57,57,46,48,51,51,57,32,56,51,46,48,56,50,
      49,32,54,55,46,49,52,49,49,32,53,51,46,52,49,55,57,10,32,32,52,50,46,57,50,
      54,57,32,51,53,46,51,54,52,55,32,51,48,46,50,48,48,49,32,50,54,46,53,52,51,
      56,32,50,51,46,55,55,54,49,32,50,49,46,48,49,48,49,32,49,56,46,50,56,54,32,
      49,52,46,52,54,50,56,32,49,48,46,52,56,53,32,54,46,57,54,55,50,52,32,51,46,
      56,48,53,53,49,10,32,32,50,46,48,48,57,51,57,32,49,46,49,51,50,52,52,32,46,
      54,57,57,53,50,56,32,46,53,54,52,56,56,32,46,53,56,55,56,51,51,32,46,55,50,
      48,49,49,56,32,46,56,57,52,57,54,52,32,49,46,48,56,56,57,51,32,49,46,50,53,
      52,56,55,32,49,46,51,51,57,55,51,32,49,46,50,57,54,52,52,10,32,32,49,46,49,
      49,52,57,49,32,46,56,50,56,50,53,54,32,46,53,54,56,52,57,55,32,46,51,55,51,
      50,53,49,32,46,50,55,50,48,54,32,46,50,57,53,54,53,51,32,46,51,55,53,54,48,
      51,32,46,53,50,50,57,49,57,32,46,55,51,49,55,55,32,46,57,51,57,56,50,32,49,
      46,49,48,53,49,10,32,32,49,46,49,56,55,56,57,32,49,46,49,54,56,51,53,32,49,
      46,48,55,53,55,56,32,46,57,51,52,48,55,51,32,46,55,55,51,48,49,56,32,46,54,
      54,55,54,51,55,32,46,53,56,51,48,52,32,46,53,49,48,50,56,52,32,46,52,50,57,
      49,55,53,32,46,51,51,51,54,57,52,32,46,50,55,57,48,55,53,10,32,32,46,50,54,
      48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,50,32,46,50,54,48,53,56,32,
      46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,32,46,51,49,54,52,56,53,32,46,
      51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,51,48,54,54,50,51,32,46,50,
      56,52,48,54,53,10,32,32,46,50,52,52,54,48,52,32,46,50,49,49,54,52,32,46,49,
      56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,51,32,46,49,51,51,
      54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,54,50,51,32,46,49,52,51,53,
      50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,10,32,32,46,49,53,50,51,52,
      52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,51,56,32,46,49,51,55,57,55,53,
      32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,46,49,48,55,50,51,54,32,46,
      48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,46,48,56,48,56,56,49,56,
      10,32,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,52,32,46,48,55,50,
      50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,56,57,49,32,46,48,
      55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,48,55,49,52,52,52,57,32,
      46,48,54,57,49,54,56,57,10,32,32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,
      50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,51,32,46,48,53,57,
      52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,56,51,53,32,46,48,
      53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,10,32,32,46,48,53,49,55,50,56,
      54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,53,54,54,32,46,48,52,49,48,52,
      53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,50,50,32,46,48,50,57,
      56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,50,51,50,52,54,50,10,32,32,
      46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,57,32,46,48,49,54,49,50,53,
      54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,54,53,51,32,46,48,49,49,48,
      55,53,52,32,46,48,48,57,54,56,56,50,50,32,46,48,48,56,52,56,53,53,54,32,46,
      48,48,55,53,54,51,53,49,10,32,32,46,48,48,54,55,52,55,49,55,32,46,48,48,54,
      48,50,51,52,49,32,46,48,48,53,50,57,53,51,53,32,46,48,48,52,53,56,53,53,51,
      32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,51,57,52,53,56,32,46,48,48,50,
      57,48,50,48,50,32,46,48,48,50,53,50,50,49,53,10,32,32,46,48,48,50,49,57,51,
      53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,52,54,32,46,48,48,
      49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,32,46,48,48,49,48,54,56,52,
      32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,48,56,49,52,48,56,52,10,32,32,
      46,48,48,48,55,49,49,48,54,51,32,46,48,48,48,54,50,49,51,50,49,32,46,48,48,
      48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,57,48,55,32,46,48,48,48,52,49,
      53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,46,48,48,48,51,49,56,49,52,55,
      32,46,48,48,48,50,55,56,53,52,52,10,32,32,46,48,48,48,50,52,51,57,50,55,32,
      46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,50,57,32,46,48,48,
      48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,56,53,32,46,48,48,48,49,50,54,
      49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,46,55,48,51,55,52,101,45,48,
      53,10,32,32,56,46,53,49,51,56,53,101,45,48,53,32,55,46,52,55,49,50,57,101,45,
      48,53,32,54,46,53,53,55,54,50,101,45,48,53,32,53,46,55,53,54,54,56,101,45,48,
      53,32,53,46,48,53,52,52,53,101,45,48,53,32,52,46,52,51,57,48,56,101,45,48,53,
      32,51,46,56,57,56,56,54,101,45,48,53,10,32,32,51,46,52,50,52,57,49,101,45,48,
      53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,48,52,101,45,48,53,
      32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,48,52,50,51,53,101,45,48,53,32,
      49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,50,49,101,45,48,53,10,32,
      32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,50,101,45,48,53,32,
      49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,53,56,48,52,101,45,48,53,32,57,
      46,53,55,54,57,52,101,45,48,54,32,56,46,53,53,55,54,55,101,45,48,54,32,55,46,
      52,50,50,51,101,45,48,54,10,32,32,54,46,52,51,56,52,49,101,45,48,54,32,53,46,
      53,56,53,54,53,101,45,48,54,32,52,46,56,52,54,52,50,101,45,48,54,32,52,46,50,
      48,53,53,50,101,45,48,54,32,51,46,54,52,57,55,57,101,45,48,54,32,51,46,49,54,
      55,56,55,101,45,48,54,32,50,46,55,52,57,56,54,101,45,48,54,10,32,32,50,46,51,
      56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,54,32,49,46,55,57,
      57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,101,45,48,54,32,49,46,51,53,55,
      51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,45,48,54,32,49,46,48,50,52,48,
      56,101,45,48,54,10,32,32,56,46,56,57,54,52,51,101,45,48,55,32,55,46,55,50,57,
      49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,45,48,55,32,53,46,56,51,53,51,
      50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,55,32,52,46,52,48,53,56,50,101,
      45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,10,32,32,51,46,51,50,57,50,52,
      101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,55,32,50,46,53,49,53,56,49,101,
      45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,32,49,46,57,48,49,54,53,101,45,
      48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,55,55,57,101,45,48,
      55,10,32,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,55,101,45,
      48,55,32,57,46,52,53,55,48,52,101,45,48,56,32,56,46,50,50,53,52,53,101,45,48,
      56,32,55,46,49,53,52,54,56,101,45,48,56,32,54,46,50,50,51,54,53,101,45,48,56,
      32,53,46,52,49,52,48,56,101,45,48,56,10,32,32,52,46,48,57,55,56,53,101,45,48,
      56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,51,52,56,57,55,101,45,48,56,
      32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,52,55,53,55,101,45,48,56,32,
      49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,51,54,51,54,101,45,48,57,10,32,
      32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,52,52,52,54,101,45,48,57,32,51,
      46,51,54,57,53,101,45,48,57,32,50,46,53,53,52,57,50,101,45,48,57,32,49,46,57,
      51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,101,45,48,57,32,49,46,49,49,
      52,55,57,101,45,48,57,10,32,32,56,46,52,53,55,55,49,101,45,49,48,32,54,46,52,
      49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,50,101,45,49,48,32,51,46,54,57,
      54,50,57,101,45,49,48,32,50,46,56,48,53,55,49,101,45,49,48,32,50,46,49,50,57,
      57,53,101,45,49,48,32,49,46,54,49,55,49,52,101,45,49,48,10,32,32,49,46,50,50,
      55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,101,45,49,49,32,55,46,48,56,50,
      49,51,101,45,49,49,32,53,46,51,55,57,50,55,101,45,49,49,32,52,46,48,56,54,50,
      54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,49,32,50,46,51,53,56,54,50,
      101,45,49,49,10,32,32,49,46,55,57,50,50,53,101,45,49,49,32,46,55,52,53,50,55,
      51,32,50,46,57,56,54,53,56,32,54,46,55,49,49,51,57,32,55,46,52,50,57,56,53,
      32,50,56,46,53,50,53,50,32,53,52,46,51,54,55,53,32,54,56,46,52,56,55,52,32,
      54,54,46,51,52,50,54,32,53,54,46,53,53,55,56,10,32,32,52,54,46,51,49,51,52,
      32,51,55,46,51,51,55,55,32,51,48,46,53,56,54,50,32,50,53,46,52,56,51,55,32,
      50,49,46,51,53,54,49,32,49,56,46,49,54,49,57,32,49,53,46,54,52,48,50,32,49,
      51,46,54,54,55,54,32,49,50,46,48,57,57,50,32,49,48,46,55,57,55,54,10,32,32,
      57,46,55,48,52,54,51,32,56,46,55,55,57,50,57,32,56,46,48,54,51,51,53,32,55,
      46,52,52,49,57,51,32,54,46,56,57,56,50,56,32,54,46,52,49,57,53,51,32,54,46,
      48,51,50,51,52,32,53,46,55,49,54,56,49,32,53,46,52,51,50,50,51,32,53,46,49,
      55,52,53,32,52,46,57,52,50,51,53,10,32,32,52,46,55,56,54,57,32,52,46,54,52,
      51,50,51,32,52,46,53,48,57,57,57,32,52,46,51,56,54,48,54,32,52,46,50,57,56,
      55,32,52,46,50,51,57,53,49,32,52,46,49,56,51,50,55,32,52,46,49,50,57,55,51,
      32,52,46,48,56,48,55,56,32,52,46,48,55,53,52,52,32,52,46,48,54,57,54,49,10,
      32,32,52,46,48,54,51,51,49,32,52,46,48,53,54,53,57,32,52,46,48,54,56,56,57,
      32,52,46,48,57,53,49,57,32,52,46,49,49,57,54,54,32,52,46,49,52,50,52,49,32,
      52,46,49,54,53,48,54,32,52,46,50,48,57,54,55,32,52,46,50,53,49,57,53,32,52,
      46,50,57,50,48,54,10,32,32,52,46,51,51,48,48,56,32,52,46,51,55,52,54,54,32,
      52,46,52,50,51,53,55,32,52,46,52,55,48,50,56,32,52,46,53,49,52,56,55,32,52,
      46,53,53,55,55,55,32,52,46,54,48,50,57,53,32,52,46,54,52,54,49,55,32,52,46,
      54,56,55,53,54,32,52,46,55,50,55,49,54,10,32,32,52,46,55,54,50,50,51,32,52,
      46,55,57,51,55,50,32,52,46,56,50,51,55,57,32,52,46,56,53,50,53,32,52,46,56,
      55,56,57,51,32,52,46,56,57,51,52,50,32,52,46,57,48,55,48,52,32,52,46,57,49,
      57,56,50,32,52,46,57,51,49,56,49,32,52,46,57,51,52,48,49,32,52,46,57,50,57,
      53,53,10,32,32,52,46,57,50,52,56,51,32,52,46,57,49,57,56,56,32,52,46,57,49,
      51,51,32,52,46,56,57,51,52,50,32,52,46,56,55,51,55,57,32,52,46,56,53,52,51,
      57,32,52,46,56,51,53,50,50,32,52,46,56,49,48,53,56,32,52,46,55,56,50,54,50,
      32,52,46,55,53,53,49,52,32,52,46,55,50,56,48,54,10,32,32,52,46,55,48,49,53,
      51,32,52,46,54,55,53,54,49,32,52,46,54,52,57,56,52,32,52,46,54,50,52,53,53,
      32,52,46,53,57,57,56,51,32,52,46,53,56,51,53,55,32,52,46,53,55,50,50,57,32,
      52,46,53,54,48,55,52,32,52,46,53,52,57,51,51,32,52,46,53,52,49,53,52,10,32,
      32,52,46,53,53,57,51,54,32,52,46,53,55,54,54,50,32,52,46,53,57,51,51,52,32,
      52,46,54,48,57,53,52,32,52,46,54,53,53,51,50,32,52,46,55,49,56,49,50,32,52,
      46,55,55,57,55,57,32,52,46,56,52,48,51,51,32,52,46,57,48,56,57,50,32,53,46,
      48,51,55,50,51,10,32,32,53,46,49,54,52,51,54,32,53,46,50,57,48,50,54,32,53,
      46,52,49,52,57,50,32,53,46,53,57,57,51,32,53,46,56,49,56,49,55,32,54,46,48,
      51,54,56,51,32,54,46,50,53,53,49,52,32,54,46,52,57,48,56,51,32,54,46,56,51,
      53,50,56,32,55,46,49,56,50,50,51,32,55,46,53,51,49,50,54,10,32,32,55,46,56,
      56,49,48,55,32,56,46,51,51,54,53,32,56,46,56,53,52,53,55,32,57,46,51,55,56,
      52,57,32,57,46,57,48,56,48,49,32,49,48,46,52,55,51,49,32,49,49,46,50,49,51,
      50,32,49,49,46,57,54,53,54,32,49,50,46,55,50,57,52,32,49,51,46,53,48,51,55,
      32,49,52,46,52,52,50,56,10,32,32,49,53,46,52,55,57,54,32,49,54,46,53,51,53,
      32,49,55,46,54,48,55,54,32,49,56,46,55,51,57,57,32,50,48,46,49,49,50,32,50,
      49,46,53,49,48,53,32,50,50,46,57,51,52,51,32,50,52,46,51,55,57,52,32,50,54,
      46,48,51,51,55,32,50,55,46,56,48,57,50,32,50,57,46,54,49,54,53,10,32,32,51,
      49,46,52,53,49,55,32,51,51,46,51,54,49,32,51,53,46,53,49,54,56,32,51,55,46,
      55,48,55,55,32,51,57,46,57,51,50,54,32,52,50,46,49,56,54,53,32,52,52,46,54,
      49,52,49,32,52,55,46,49,52,52,52,32,52,57,46,55,48,54,32,53,50,46,50,57,56,
      50,32,53,52,46,57,52,49,49,10,32,32,53,55,46,55,48,56,51,32,54,48,46,53,48,
      50,53,32,54,51,46,51,50,51,51,32,54,54,46,49,54,56,56,32,54,57,46,48,50,48,
      56,32,55,49,46,56,56,54,54,32,55,52,46,55,55,32,55,55,46,54,55,48,52,32,56,
      48,46,53,52,52,52,32,56,51,46,50,54,52,50,32,56,53,46,57,57,50,10,32,32,56,
      57,46,54,51,54,50,32,57,55,46,50,51,56,54,32,49,48,54,46,51,54,55,32,49,49,
      51,46,56,55,54,32,49,49,48,46,51,48,51,32,57,56,46,56,57,56,32,56,50,46,57,
      56,48,54,32,54,55,46,48,54,57,52,32,53,51,46,51,54,56,50,32,52,50,46,56,57,
      49,57,32,51,53,46,51,51,57,49,10,32,32,51,48,46,49,56,48,52,32,50,54,46,53,
      50,55,57,32,50,51,46,55,54,51,32,50,48,46,57,57,57,52,32,49,56,46,50,55,55,
      54,32,49,52,46,52,53,55,49,32,49,48,46,52,56,49,55,32,54,46,57,54,53,53,54,
      32,51,46,56,48,52,57,51,32,50,46,48,48,57,50,51,32,49,46,49,51,50,52,10,32,
      32,46,54,57,57,53,49,54,32,46,53,54,52,56,55,52,32,46,53,56,55,56,50,56,32,
      46,55,50,48,49,49,32,46,56,57,52,57,53,32,49,46,48,56,56,57,49,32,49,46,50,
      53,52,56,53,32,49,46,51,51,57,55,49,32,49,46,50,57,54,52,49,32,49,46,49,49,
      52,57,32,46,56,50,56,50,53,50,10,32,32,46,53,54,56,52,57,53,32,46,51,55,51,
      50,53,32,46,50,55,50,48,54,32,46,50,57,53,54,53,50,32,46,51,55,53,54,48,51,
      32,46,53,50,50,57,49,56,32,46,55,51,49,55,54,57,32,46,57,51,57,56,49,56,32,
      49,46,49,48,53,48,57,32,49,46,49,56,55,56,57,32,49,46,49,54,56,51,52,10,32,
      32,49,46,48,55,53,55,56,32,46,57,51,52,48,55,50,32,46,55,55,51,48,49,56,32,
      46,54,54,55,54,51,55,32,46,53,56,51,48,52,32,46,53,49,48,50,56,51,32,46,52,
      50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,50,55,57,48,55,53,32,46,50,54,
      48,54,52,32,46,50,54,48,54,53,49,10,32,32,46,50,54,51,50,32,46,50,54,48,53,
      56,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,51,32,46,51,49,54,52,56,53,
      32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,51,48,54,54,50,51,32,
      46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,32,46,50,49,49,54,52,10,32,32,
      46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,51,32,46,49,
      51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,54,50,51,32,46,49,52,
      51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,32,46,49,53,50,51,52,
      52,32,46,49,53,49,54,55,49,10,32,32,46,49,52,56,49,51,56,32,46,49,51,55,57,
      55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,46,49,48,55,50,51,54,
      32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,46,48,56,48,56,56,
      49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,52,10,32,32,46,48,
      55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,56,57,49,32,
      46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,48,55,49,52,52,52,
      57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,
      50,49,57,10,32,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,51,32,46,48,
      53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,56,51,53,32,
      46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,32,46,48,53,49,55,50,56,
      54,32,46,48,52,56,53,53,55,51,10,32,32,46,48,52,52,53,54,54,32,46,48,52,49,
      48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,50,50,32,46,48,
      50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,50,51,50,52,54,50,32,
      46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,57,10,32,32,46,48,49,54,49,
      50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,54,53,51,32,46,48,49,
      49,48,55,53,52,32,46,48,48,57,54,56,56,50,50,32,46,48,48,56,52,56,53,53,54,
      32,46,48,48,55,53,54,51,53,49,32,46,48,48,54,55,52,55,49,55,32,46,48,48,54,
      48,50,51,52,49,10,32,32,46,48,48,53,50,57,53,51,53,32,46,48,48,52,53,56,53,
      53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,51,51,57,52,53,56,32,46,48,
      48,50,57,48,50,48,50,32,46,48,48,50,53,50,50,49,52,32,46,48,48,50,49,57,51,
      53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,52,54,10,32,32,46,
      48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,32,46,48,48,49,48,54,
      56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,48,48,56,49,52,48,56,52,32,
      46,48,48,48,55,49,49,48,54,50,32,46,48,48,48,54,50,49,51,50,49,32,46,48,48,
      48,53,52,51,49,48,54,10,32,32,46,48,48,48,52,55,52,57,48,55,32,46,48,48,48,
      52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,32,46,48,48,48,51,49,56,49,
      52,54,32,46,48,48,48,50,55,56,53,52,52,32,46,48,48,48,50,52,51,57,50,55,32,
      46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,50,57,10,32,32,46,
      48,48,48,49,54,52,48,57,52,32,46,48,48,48,49,52,51,56,53,32,46,48,48,48,49,
      50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,46,55,48,51,55,52,101,
      45,48,53,32,56,46,53,49,51,56,53,101,45,48,53,32,55,46,52,55,49,50,57,101,45,
      48,53,32,54,46,53,53,55,54,50,101,45,48,53,10,32,32,53,46,55,53,54,54,56,101,
      45,48,53,32,53,46,48,53,52,52,53,101,45,48,53,32,52,46,52,51,57,48,56,101,45,
      48,53,32,51,46,56,57,56,56,54,101,45,48,53,32,51,46,52,50,52,57,49,101,45,48,
      53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,48,52,101,45,48,53,
      10,32,32,50,46,51,50,51,54,52,101,45,48,53,32,50,46,48,52,50,51,53,101,45,48,
      53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,50,49,101,45,48,53,
      32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,50,101,45,48,53,32,
      49,46,49,54,57,49,53,101,45,48,53,10,32,32,49,46,48,53,56,48,52,101,45,48,53,
      32,57,46,53,55,54,57,52,101,45,48,54,32,56,46,53,53,55,54,55,101,45,48,54,32,
      55,46,52,50,50,51,101,45,48,54,32,54,46,52,51,56,52,49,101,45,48,54,32,53,46,
      53,56,53,54,53,101,45,48,54,32,52,46,56,52,54,52,50,101,45,48,54,10,32,32,52,
      46,50,48,53,53,49,101,45,48,54,32,51,46,54,52,57,55,57,101,45,48,54,32,51,46,
      49,54,55,56,54,101,45,48,54,32,50,46,55,52,57,56,54,101,45,48,54,32,50,46,51,
      56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,54,32,49,46,55,57,
      57,55,53,101,45,48,54,10,32,32,49,46,53,54,50,57,49,101,45,48,54,32,49,46,51,
      53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,101,45,48,54,32,49,46,48,50,
      52,48,56,101,45,48,54,32,56,46,56,57,54,52,50,101,45,48,55,32,55,46,55,50,57,
      49,50,101,45,48,55,32,54,46,55,49,53,53,49,101,45,48,55,10,32,32,53,46,56,51,
      53,51,50,101,45,48,55,32,53,46,48,55,48,57,101,45,48,55,32,52,46,52,48,53,56,
      50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,32,51,46,51,50,57,50,52,
      101,45,48,55,32,50,46,56,57,51,57,56,101,45,48,55,32,50,46,53,49,53,56,49,101,
      45,48,55,10,32,32,50,46,49,56,55,50,49,101,45,48,55,32,49,46,57,48,49,54,53,
      101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,55,55,57,101,
      45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,55,101,45,
      48,55,32,57,46,52,53,55,48,52,101,45,48,56,10,32,32,56,46,50,50,53,52,53,101,
      45,48,56,32,55,46,49,53,52,54,56,101,45,48,56,32,54,46,50,50,51,54,52,101,45,
      48,56,32,53,46,52,49,52,48,56,101,45,48,56,32,52,46,48,57,55,56,53,101,45,48,
      56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,51,52,56,57,55,101,45,48,56,
      10,32,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,52,55,53,55,101,45,48,
      56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,51,54,51,54,101,45,48,57,
      32,53,46,56,54,51,51,101,45,48,57,32,52,46,52,52,52,52,54,101,45,48,57,32,51,
      46,51,54,57,53,101,45,48,57,10,32,32,50,46,53,53,52,57,50,101,45,48,57,32,49,
      46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,101,45,48,57,32,49,46,
      49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,55,49,101,45,49,48,32,54,46,52,
      49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,49,101,45,49,48,10,32,32,51,46,
      54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,49,101,45,49,48,32,50,46,49,
      50,57,57,53,101,45,49,48,32,49,46,54,49,55,49,52,101,45,49,48,32,49,46,50,50,
      55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,101,45,49,49,32,55,46,48,56,50,
      49,51,101,45,49,49,10,32,32,53,46,51,55,57,50,55,101,45,49,49,32,52,46,48,56,
      54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,49,32,50,46,51,53,56,
      54,50,101,45,49,49,32,49,46,55,57,50,50,53,101,45,49,49,32,46,52,49,57,50,51,
      49,32,49,46,54,56,48,52,49,32,51,46,55,55,57,52,51,10,32,32,52,46,49,56,52,
      55,51,32,49,54,46,51,54,55,57,32,51,51,46,51,54,54,51,32,52,55,46,51,54,49,
      52,32,53,49,46,57,54,51,53,32,52,56,46,54,50,54,52,32,52,50,46,48,49,50,53,
      32,51,53,46,51,57,49,57,32,50,57,46,51,49,54,49,32,50,52,46,55,48,50,53,10,
      32,32,50,49,46,48,53,55,50,32,49,56,46,48,48,52,52,32,49,53,46,53,50,51,57,
      32,49,51,46,53,55,57,51,32,49,50,46,48,51,48,53,32,49,48,46,55,52,51,50,32,
      57,46,54,54,48,57,50,32,56,46,55,52,51,54,57,32,56,46,48,51,51,54,49,32,55,
      46,52,49,54,56,50,10,32,32,54,46,56,55,54,57,32,54,46,52,48,49,49,54,32,54,
      46,48,49,54,51,49,32,53,46,55,48,50,54,32,53,46,52,49,57,53,55,32,53,46,49,
      54,51,49,55,32,52,46,57,51,50,49,51,32,52,46,55,55,55,52,57,32,52,46,54,51,
      52,53,52,32,52,46,53,48,49,57,51,32,52,46,51,55,56,53,55,10,32,32,52,46,50,
      57,49,54,53,32,52,46,50,51,50,55,57,32,52,46,49,55,54,56,56,32,52,46,49,50,
      51,54,51,32,52,46,48,55,52,57,53,32,52,46,48,54,57,55,55,32,52,46,48,54,52,
      49,32,52,46,48,53,55,57,52,32,52,46,48,53,49,51,55,32,52,46,48,54,51,55,54,
      32,52,46,48,57,48,49,51,10,32,32,52,46,49,49,52,54,54,32,52,46,49,51,55,52,
      56,32,52,46,49,54,48,50,49,32,52,46,50,48,52,56,52,32,52,46,50,52,55,49,53,
      32,52,46,50,56,55,50,56,32,52,46,51,50,53,51,52,32,52,46,51,54,57,57,52,32,
      52,46,52,49,56,56,54,32,52,46,52,54,53,53,56,10,32,32,52,46,53,49,48,49,57,
      32,52,46,53,53,51,49,49,32,52,46,53,57,56,51,32,52,46,54,52,49,53,52,32,52,
      46,54,56,50,57,52,32,52,46,55,50,50,53,55,32,52,46,55,53,55,54,54,32,52,46,
      55,56,57,49,56,32,52,46,56,49,57,50,56,32,52,46,56,52,56,48,50,32,52,46,56,
      55,52,52,57,10,32,32,52,46,56,56,57,48,50,32,52,46,57,48,50,54,56,32,52,46,
      57,49,53,53,49,32,52,46,57,50,55,53,53,32,52,46,57,50,57,56,49,32,52,46,57,
      50,53,52,49,32,52,46,57,50,48,55,54,32,52,46,57,49,53,56,55,32,52,46,57,48,
      57,51,53,32,52,46,56,56,57,53,53,10,32,32,52,46,56,54,57,57,56,32,52,46,56,
      53,48,54,54,32,52,46,56,51,49,53,54,32,52,46,56,48,54,57,57,32,52,46,55,55,
      57,49,49,32,52,46,55,53,49,55,32,52,46,55,50,52,54,57,32,52,46,54,57,56,50,
      51,32,52,46,54,55,50,51,55,32,52,46,54,52,54,54,54,32,52,46,54,50,49,52,52,
      10,32,32,52,46,53,57,54,55,56,32,52,46,53,56,48,53,55,32,52,46,53,54,57,51,
      52,32,52,46,53,53,55,56,51,32,52,46,53,52,54,52,54,32,52,46,53,51,56,55,49,
      32,52,46,53,53,54,53,52,32,52,46,53,55,51,56,50,32,52,46,53,57,48,53,53,32,
      52,46,54,48,54,55,55,10,32,32,52,46,54,53,50,53,52,32,52,46,55,49,53,51,49,
      32,52,46,55,55,54,57,53,32,52,46,56,51,55,52,54,32,52,46,57,48,54,48,51,32,
      53,46,48,51,52,50,54,32,53,46,49,54,49,51,32,53,46,50,56,55,49,50,32,53,46,
      52,49,49,54,57,32,53,46,53,57,53,57,52,32,53,46,56,49,52,54,53,10,32,32,54,
      46,48,51,51,49,52,32,54,46,50,53,49,50,57,32,54,46,52,56,54,56,32,54,46,56,
      51,48,57,55,32,55,46,49,55,55,54,50,32,55,46,53,50,54,51,54,32,55,46,56,55,
      53,56,56,32,56,46,51,51,48,57,49,32,56,46,56,52,56,53,32,57,46,51,55,49,57,
      52,32,57,46,57,48,48,57,53,10,32,32,49,48,46,52,54,53,53,32,49,49,46,50,48,
      52,56,32,49,49,46,57,53,54,53,32,49,50,46,55,49,57,53,32,49,51,46,52,57,51,
      32,49,52,46,52,51,49,32,49,53,46,52,54,54,55,32,49,54,46,53,50,48,57,32,49,
      55,46,53,57,50,51,32,49,56,46,55,50,51,50,32,50,48,46,48,57,51,53,10,32,32,
      50,49,46,52,57,48,50,32,50,50,46,57,49,50,50,32,50,52,46,51,53,53,52,32,50,
      54,46,48,48,55,52,32,50,55,46,55,56,48,53,32,50,57,46,53,56,53,50,32,51,49,
      46,52,49,55,56,32,51,51,46,51,50,52,50,32,51,53,46,52,55,54,56,32,51,55,46,
      54,54,52,51,10,32,32,51,57,46,56,56,53,54,32,52,50,46,49,51,53,57,32,52,52,
      46,53,53,57,53,32,52,55,46,48,56,53,54,32,52,57,46,54,52,50,56,32,53,50,46,
      50,51,48,53,32,53,52,46,56,54,56,56,32,53,55,46,54,51,49,32,54,48,46,52,50,
      48,50,32,54,51,46,50,51,53,56,32,54,54,46,48,55,54,49,10,32,32,54,56,46,57,
      50,50,56,32,55,49,46,55,56,51,49,32,55,52,46,54,54,49,32,55,55,46,53,53,53,
      56,32,56,48,46,52,50,52,50,32,56,51,46,49,51,56,56,32,56,53,46,56,54,49,51,
      32,56,57,46,52,57,56,51,32,57,55,46,48,56,53,57,32,49,48,54,46,49,57,56,32,
      49,49,51,46,54,57,54,10,32,32,49,49,48,46,49,51,56,32,57,56,46,55,54,50,51,
      32,56,50,46,56,55,57,51,32,54,54,46,57,57,55,55,32,53,51,46,51,49,56,53,32,
      52,50,46,56,53,54,57,32,51,53,46,51,49,51,54,32,51,48,46,49,54,48,54,32,50,
      54,46,53,49,50,32,50,51,46,55,52,57,56,32,50,48,46,57,56,56,56,10,32,32,49,
      56,46,50,54,57,50,32,49,52,46,52,53,49,52,32,49,48,46,52,55,56,51,32,54,46,
      57,54,51,56,55,32,51,46,56,48,52,51,53,32,50,46,48,48,57,48,54,32,49,46,49,
      51,50,51,53,32,46,54,57,57,53,48,52,32,46,53,54,52,56,54,57,32,46,53,56,55,
      56,50,50,10,32,32,46,55,50,48,49,48,49,32,46,56,57,52,57,51,54,32,49,46,48,
      56,56,56,57,32,49,46,50,53,52,56,50,32,49,46,51,51,57,54,56,32,49,46,50,57,
      54,51,57,32,49,46,49,49,52,56,57,32,46,56,50,56,50,52,55,32,46,53,54,56,52,
      57,52,32,46,51,55,51,50,53,32,46,50,55,50,48,54,10,32,32,46,50,57,53,54,53,
      50,32,46,51,55,53,54,48,51,32,46,53,50,50,57,49,56,32,46,55,51,49,55,54,56,
      32,46,57,51,57,56,49,54,32,49,46,49,48,53,48,57,32,49,46,49,56,55,56,57,32,
      49,46,49,54,56,51,52,32,49,46,48,55,53,55,56,32,46,57,51,52,48,55,49,10,32,
      32,46,55,55,51,48,49,55,32,46,54,54,55,54,51,55,32,46,53,56,51,48,52,32,46,
      53,49,48,50,56,51,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,46,50,
      55,57,48,55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,
      50,32,46,50,54,48,53,55,57,10,32,32,46,50,54,54,51,57,51,32,46,50,56,55,49,
      49,51,32,46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,
      50,32,46,51,48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,
      32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,10,32,32,
      46,49,51,56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,
      49,51,57,54,50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,
      48,52,53,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,
      51,56,32,46,49,51,55,57,55,53,10,32,32,46,49,50,51,57,57,50,32,46,49,49,53,
      51,56,32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,
      54,49,49,32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,
      51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,10,32,
      32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,
      53,52,32,46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,
      57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,
      49,49,55,50,51,10,32,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,
      32,46,48,53,54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,
      56,54,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,
      53,54,54,32,46,48,52,49,48,52,53,51,10,32,32,46,48,51,55,48,57,53,52,32,46,
      48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,
      32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,
      54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,10,32,32,46,48,
      49,50,52,54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,50,
      32,46,48,48,56,52,56,53,53,54,32,46,48,48,55,53,54,51,53,49,32,46,48,48,54,
      55,52,55,49,55,32,46,48,48,54,48,50,51,52,32,46,48,48,53,50,57,53,51,53,32,
      46,48,48,52,53,56,53,53,51,10,32,32,46,48,48,51,57,49,50,51,51,32,46,48,48,
      51,51,57,52,53,56,32,46,48,48,50,57,48,50,48,49,32,46,48,48,50,53,50,50,49,
      52,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,
      53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,
      10,32,32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,54,32,46,48,
      48,48,56,49,52,48,56,51,32,46,48,48,48,55,49,49,48,54,50,32,46,48,48,48,54,
      50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,52,57,
      48,55,32,46,48,48,48,52,49,53,52,49,10,32,32,46,48,48,48,51,54,51,52,56,53,
      32,46,48,48,48,51,49,56,49,52,54,32,46,48,48,48,50,55,56,53,52,52,32,46,48,
      48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,
      56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,51,32,46,48,48,48,49,52,51,56,
      53,10,32,32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,
      32,57,46,55,48,51,55,52,101,45,48,53,32,56,46,53,49,51,56,53,101,45,48,53,32,
      55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,50,101,45,48,53,32,53,
      46,55,53,54,54,56,101,45,48,53,10,32,32,53,46,48,53,52,52,53,101,45,48,53,32,
      52,46,52,51,57,48,56,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,32,51,
      46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,
      54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,10,32,32,50,
      46,48,52,50,51,53,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,
      53,55,56,50,49,101,45,48,53,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,
      57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,53,
      56,48,52,101,45,48,53,10,32,32,57,46,53,55,54,57,52,101,45,48,54,32,56,46,53,
      53,55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,32,54,46,52,51,56,
      52,49,101,45,48,54,32,53,46,53,56,53,54,53,101,45,48,54,32,52,46,56,52,54,52,
      50,101,45,48,54,32,52,46,50,48,53,53,49,101,45,48,54,10,32,32,51,46,54,52,57,
      55,57,101,45,48,54,32,51,46,49,54,55,56,54,101,45,48,54,32,50,46,55,52,57,56,
      54,101,45,48,54,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,
      101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,49,101,
      45,48,54,10,32,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,
      101,45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,52,50,101,
      45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,101,45,48,
      55,32,53,46,56,51,53,51,50,101,45,48,55,10,32,32,53,46,48,55,48,57,101,45,48,
      55,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,
      32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,55,101,45,48,55,32,
      50,46,53,49,53,56,49,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,10,32,
      32,49,46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,
      49,46,52,51,55,55,57,101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,
      46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,52,101,45,48,56,32,56,46,
      50,50,53,52,53,101,45,48,56,10,32,32,55,46,49,53,52,54,56,101,45,48,56,32,54,
      46,50,50,51,54,52,101,45,48,56,32,53,46,52,49,52,48,55,101,45,48,56,32,52,46,
      48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,51,
      52,56,57,55,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,10,32,32,49,46,
      51,52,55,53,55,101,45,48,56,32,49,46,48,50,48,57,54,101,45,48,56,32,55,46,55,
      51,54,51,54,101,45,48,57,32,53,46,56,54,51,50,57,101,45,48,57,32,52,46,52,52,
      52,52,54,101,45,48,57,32,51,46,51,54,57,52,57,101,45,48,57,32,50,46,53,53,52,
      57,50,101,45,48,57,10,32,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,
      57,53,56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,
      55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,49,
      49,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,10,32,32,50,46,56,48,53,
      55,49,101,45,49,48,32,50,46,49,50,57,57,53,101,45,49,48,32,49,46,54,49,55,49,
      52,101,45,49,48,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,54,
      101,45,49,49,32,55,46,48,56,50,49,51,101,45,49,49,32,53,46,51,55,57,50,54,101,
      45,49,49,10,32,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,
      101,45,49,49,32,50,46,51,53,56,54,50,101,45,49,49,32,49,46,55,57,50,50,53,101,
      45,49,49,32,46,50,54,56,51,49,51,32,49,46,48,55,53,54,32,50,46,52,50,48,49,
      49,32,50,46,54,55,57,56,52,32,49,48,46,53,55,49,54,10,32,32,50,50,46,50,57,
      57,53,32,51,51,46,56,57,56,54,32,52,48,46,54,50,55,50,32,52,49,46,49,56,53,
      51,32,51,55,46,55,52,53,57,32,51,50,46,55,57,56,51,32,50,56,46,48,57,49,56,
      32,50,51,46,56,54,51,53,32,50,48,46,52,54,49,49,32,49,55,46,55,48,55,50,10,
      32,32,49,53,46,52,48,56,52,32,49,51,46,52,57,49,53,32,49,49,46,57,54,50,49,
      32,49,48,46,54,56,57,32,57,46,54,49,55,52,32,56,46,55,48,56,50,51,32,56,46,
      48,48,51,57,56,32,55,46,51,57,49,56,32,54,46,56,53,53,53,56,32,54,46,51,56,
      50,56,53,32,54,46,48,48,48,51,50,10,32,32,53,46,54,56,56,52,51,32,53,46,52,
      48,54,57,52,32,53,46,49,53,49,56,53,32,52,46,57,50,49,57,52,32,52,46,55,54,
      56,49,49,32,52,46,54,50,53,56,55,32,52,46,52,57,51,56,57,32,52,46,51,55,49,
      48,56,32,52,46,50,56,52,54,49,32,52,46,50,50,54,48,57,10,32,32,52,46,49,55,
      48,52,57,32,52,46,49,49,55,53,52,32,52,46,48,54,57,49,50,32,52,46,48,54,52,
      49,32,52,46,48,53,56,53,57,32,52,46,48,53,50,53,56,32,52,46,48,52,54,49,53,
      32,52,46,48,53,56,54,52,32,52,46,48,56,53,48,55,32,52,46,49,48,57,54,56,32,
      52,46,49,51,50,53,55,10,32,32,52,46,49,53,53,51,54,32,52,46,50,48,48,48,49,
      32,52,46,50,52,50,51,53,32,52,46,50,56,50,53,50,32,52,46,51,50,48,54,32,52,
      46,51,54,53,50,50,32,52,46,52,49,52,49,54,32,52,46,52,54,48,56,57,32,52,46,
      53,48,53,53,49,32,52,46,53,52,56,52,54,32,52,46,53,57,51,54,54,10,32,32,52,
      46,54,51,54,57,50,32,52,46,54,55,56,51,52,32,52,46,55,49,55,57,56,32,52,46,
      55,53,51,49,32,52,46,55,56,52,54,52,32,52,46,56,49,52,55,55,32,52,46,56,52,
      51,53,53,32,52,46,56,55,48,48,52,32,52,46,56,56,52,54,51,32,52,46,56,57,56,
      51,52,32,52,46,57,49,49,50,49,10,32,32,52,46,57,50,51,51,32,52,46,57,50,53,
      54,49,32,52,46,57,50,49,50,56,32,52,46,57,49,54,54,57,32,52,46,57,49,49,56,
      54,32,52,46,57,48,53,52,32,52,46,56,56,53,54,55,32,52,46,56,54,54,49,57,32,
      52,46,56,52,54,57,51,32,52,46,56,50,55,57,32,52,46,56,48,51,52,10,32,32,52,
      46,55,55,53,54,32,52,46,55,52,56,50,54,32,52,46,55,50,49,51,50,32,52,46,54,
      57,52,57,51,32,52,46,54,54,57,49,52,32,52,46,54,52,51,52,57,32,52,46,54,49,
      56,51,52,32,52,46,53,57,51,55,51,32,52,46,53,55,55,53,55,32,52,46,53,54,54,
      51,56,32,52,46,53,53,52,57,50,10,32,32,52,46,53,52,51,53,57,32,52,46,53,51,
      53,56,55,32,52,46,53,53,51,55,50,32,52,46,53,55,49,48,50,32,52,46,53,56,55,
      55,55,32,52,46,54,48,51,57,57,32,52,46,54,52,57,55,53,32,52,46,55,49,50,53,
      32,52,46,55,55,52,49,50,32,52,46,56,51,52,54,49,32,52,46,57,48,51,49,52,10,
      32,32,53,46,48,51,49,50,56,32,53,46,49,53,56,50,52,32,53,46,50,56,51,57,56,
      32,53,46,52,48,56,52,56,32,53,46,53,57,50,53,57,32,53,46,56,49,49,49,51,32,
      54,46,48,50,57,52,54,32,54,46,50,52,55,52,52,32,54,46,52,56,50,55,55,32,54,
      46,56,50,54,54,53,10,32,32,55,46,49,55,51,48,50,32,55,46,53,50,49,52,55,32,
      55,46,56,55,48,54,57,32,56,46,51,50,53,51,49,32,56,46,56,52,50,52,52,32,57,
      46,51,54,53,51,57,32,57,46,56,57,51,57,49,32,49,48,46,52,53,55,57,32,49,49,
      46,49,57,54,53,32,49,49,46,57,52,55,52,10,32,32,49,50,46,55,48,57,55,32,49,
      51,46,52,56,50,51,32,49,52,46,52,49,57,51,32,49,53,46,52,53,51,56,32,49,54,
      46,53,48,54,56,32,49,55,46,53,55,54,57,32,49,56,46,55,48,54,52,32,50,48,46,
      48,55,53,49,32,50,49,46,52,55,32,50,50,46,56,57,48,49,32,50,52,46,51,51,49,
      52,10,32,32,50,53,46,57,56,49,50,32,50,55,46,55,53,49,56,32,50,57,46,53,53,
      51,57,32,51,49,46,51,56,51,56,32,51,51,46,50,56,55,52,32,51,53,46,52,51,54,
      55,32,51,55,46,54,50,48,56,32,51,57,46,56,51,56,55,32,52,50,46,48,56,53,51,
      32,52,52,46,53,48,53,32,52,55,46,48,50,54,56,10,32,32,52,57,46,53,55,57,55,
      32,53,50,46,49,54,50,57,32,53,52,46,55,57,54,54,32,53,55,46,53,53,51,57,32,
      54,48,46,51,51,56,32,54,51,46,49,52,56,52,32,54,53,46,57,56,51,53,32,54,56,
      46,56,50,52,56,32,55,49,46,54,55,57,56,32,55,52,46,53,53,50,49,32,55,55,46,
      52,52,49,52,10,32,32,56,48,46,51,48,52,50,32,56,51,46,48,49,51,53,32,56,53,
      46,55,51,48,56,32,56,57,46,51,54,48,55,32,57,54,46,57,51,51,53,32,49,48,54,
      46,48,50,56,32,49,49,51,46,53,49,55,32,49,48,57,46,57,55,51,32,57,56,46,54,
      50,54,56,32,56,50,46,55,55,56,50,10,32,32,54,54,46,57,50,54,32,53,51,46,50,
      54,56,57,32,52,50,46,56,50,50,32,51,53,46,50,56,56,32,51,48,46,49,52,48,57,
      32,50,54,46,52,57,54,49,32,50,51,46,55,51,54,54,32,50,48,46,57,55,56,49,32,
      49,56,46,50,54,48,56,32,49,52,46,52,52,53,55,32,49,48,46,52,55,53,10,32,32,
      54,46,57,54,50,49,56,32,51,46,56,48,51,55,55,32,50,46,48,48,56,56,57,32,49,
      46,49,51,50,51,49,32,46,54,57,57,52,57,50,32,46,53,54,52,56,54,51,32,46,53,
      56,55,56,49,55,32,46,55,50,48,48,57,50,32,46,56,57,52,57,50,49,32,49,46,48,
      56,56,56,54,10,32,32,49,46,50,53,52,55,57,32,49,46,51,51,57,54,53,32,49,46,
      50,57,54,51,54,32,49,46,49,49,52,56,55,32,46,56,50,56,50,52,50,32,46,53,54,
      56,52,57,51,32,46,51,55,51,50,53,32,46,50,55,50,48,53,57,32,46,50,57,53,54,
      53,50,32,46,51,55,53,54,48,51,32,46,53,50,50,57,49,56,10,32,32,46,55,51,49,
      55,54,55,32,46,57,51,57,56,49,52,32,49,46,49,48,53,48,57,32,49,46,49,56,55,
      56,56,32,49,46,49,54,56,51,52,32,49,46,48,55,53,55,56,32,46,57,51,52,48,55,
      32,46,55,55,51,48,49,55,32,46,54,54,55,54,51,54,32,46,53,56,51,48,52,32,46,
      53,49,48,50,56,51,10,32,32,46,52,50,57,49,55,53,32,46,51,51,51,54,57,52,32,
      46,50,55,57,48,55,53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,
      54,51,50,32,46,50,54,48,53,55,57,32,46,50,54,54,51,57,51,32,46,50,56,55,49,
      49,51,32,46,51,49,54,52,56,53,32,46,51,51,53,50,49,51,10,32,32,46,51,51,48,
      52,57,50,32,46,51,48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,
      48,52,32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,
      46,49,51,56,51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,
      49,51,57,54,50,51,10,32,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,
      49,53,48,52,53,32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,
      56,49,51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,
      51,56,32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,10,32,32,46,48,56,
      53,52,54,49,49,32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,
      48,55,51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,
      32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,
      53,52,10,32,32,46,48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,
      54,54,57,56,53,52,32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,
      48,54,49,49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,
      32,46,48,53,54,51,56,51,53,10,32,32,46,48,53,52,51,54,51,52,32,46,48,53,51,
      49,54,56,54,32,46,48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,
      52,52,53,54,54,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,
      48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,50,10,32,32,46,48,50,55,49,49,
      53,56,32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,
      57,48,54,57,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,
      49,50,52,54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,50,
      10,32,32,46,48,48,56,52,56,53,53,53,32,46,48,48,55,53,54,51,53,49,32,46,48,
      48,54,55,52,55,49,55,32,46,48,48,54,48,50,51,52,32,46,48,48,53,50,57,53,51,
      53,32,46,48,48,52,53,56,53,53,51,32,46,48,48,51,57,49,50,51,51,32,46,48,48,
      51,51,57,52,53,56,32,46,48,48,50,57,48,50,48,49,10,32,32,46,48,48,50,53,50,
      50,49,52,32,46,48,48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,
      48,49,53,57,52,52,54,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,
      48,56,32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,53,32,46,48,
      48,48,56,49,52,48,56,51,10,32,32,46,48,48,48,55,49,49,48,54,50,32,46,48,48,
      48,54,50,49,51,50,49,32,46,48,48,48,53,52,51,49,48,54,32,46,48,48,48,52,55,
      52,57,48,55,32,46,48,48,48,52,49,53,52,49,32,46,48,48,48,51,54,51,52,56,53,
      32,46,48,48,48,51,49,56,49,52,54,32,46,48,48,48,50,55,56,53,52,52,10,32,32,
      46,48,48,48,50,52,51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,
      48,49,56,55,50,50,57,32,46,48,48,48,49,54,52,48,57,51,32,46,48,48,48,49,52,
      51,56,53,32,46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,
      32,57,46,55,48,51,55,51,101,45,48,53,10,32,32,56,46,53,49,51,56,53,101,45,48,
      53,32,55,46,52,55,49,50,57,101,45,48,53,32,54,46,53,53,55,54,50,101,45,48,53,
      32,53,46,55,53,54,54,56,101,45,48,53,32,53,46,48,53,52,52,53,101,45,48,53,32,
      52,46,52,51,57,48,56,101,45,48,53,32,51,46,56,57,56,56,54,101,45,48,53,10,32,
      32,51,46,52,50,52,57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,
      50,46,54,52,52,48,52,101,45,48,53,32,50,46,51,50,51,54,52,101,45,48,53,32,50,
      46,48,52,50,51,52,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,
      53,55,56,50,49,101,45,48,53,10,32,32,49,46,52,50,55,57,49,101,45,48,53,32,49,
      46,50,57,50,48,50,101,45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,
      48,53,56,48,52,101,45,48,53,32,57,46,53,55,54,57,52,101,45,48,54,32,56,46,53,
      53,55,54,55,101,45,48,54,32,55,46,52,50,50,51,101,45,48,54,10,32,32,54,46,52,
      51,56,52,49,101,45,48,54,32,53,46,53,56,53,54,53,101,45,48,54,32,52,46,56,52,
      54,52,50,101,45,48,54,32,52,46,50,48,53,53,49,101,45,48,54,32,51,46,54,52,57,
      55,57,101,45,48,54,32,51,46,49,54,55,56,54,101,45,48,54,32,50,46,55,52,57,56,
      54,101,45,48,54,10,32,32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,
      54,57,101,45,48,54,32,49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,
      49,101,45,48,54,32,49,46,51,53,55,51,54,101,45,48,54,32,49,46,49,55,56,57,53,
      101,45,48,54,32,49,46,48,50,52,48,56,101,45,48,54,10,32,32,56,46,56,57,54,52,
      50,101,45,48,55,32,55,46,55,50,57,49,50,101,45,48,55,32,54,46,55,49,53,53,101,
      45,48,55,32,53,46,56,51,53,51,49,101,45,48,55,32,53,46,48,55,48,57,101,45,48,
      55,32,52,46,52,48,53,56,50,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,
      10,32,32,51,46,51,50,57,50,52,101,45,48,55,32,50,46,56,57,51,57,55,101,45,48,
      55,32,50,46,53,49,53,56,101,45,48,55,32,50,46,49,56,55,50,49,101,45,48,55,32,
      49,46,57,48,49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,
      46,52,51,55,55,57,101,45,48,55,10,32,32,49,46,50,53,48,51,50,101,45,48,55,32,
      49,46,48,56,55,51,55,101,45,48,55,32,57,46,52,53,55,48,52,101,45,48,56,32,56,
      46,50,50,53,52,53,101,45,48,56,32,55,46,49,53,52,54,56,101,45,48,56,32,54,46,
      50,50,51,54,52,101,45,48,56,32,53,46,52,49,52,48,55,101,45,48,56,10,32,32,52,
      46,48,57,55,56,53,101,45,48,56,32,51,46,49,48,50,49,57,101,45,48,56,32,50,46,
      51,52,56,57,55,101,45,48,56,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,
      52,55,53,55,101,45,48,56,32,49,46,48,50,48,57,53,101,45,48,56,32,55,46,55,51,
      54,51,54,101,45,48,57,10,32,32,53,46,56,54,51,50,57,101,45,48,57,32,52,46,52,
      52,52,52,54,101,45,48,57,32,51,46,51,54,57,52,57,101,45,48,57,32,50,46,53,53,
      52,57,50,101,45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,
      53,56,101,45,48,57,32,49,46,49,49,52,55,57,101,45,48,57,10,32,32,56,46,52,53,
      55,55,49,101,45,49,48,32,54,46,52,49,55,53,51,101,45,49,48,32,52,46,56,55,48,
      49,49,101,45,49,48,32,51,46,54,57,54,50,57,101,45,49,48,32,50,46,56,48,53,55,
      49,101,45,49,48,32,50,46,49,50,57,57,53,101,45,49,48,32,49,46,54,49,55,49,52,
      101,45,49,48,10,32,32,49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,
      53,101,45,49,49,32,55,46,48,56,50,49,51,101,45,49,49,32,53,46,51,55,57,50,54,
      101,45,49,49,32,52,46,48,56,54,50,54,101,45,49,49,32,51,46,49,48,52,51,53,101,
      45,49,49,32,50,46,51,53,56,54,50,101,45,49,49,10,32,32,49,46,55,57,50,50,53,
      101,45,49,49,32,46,48,54,55,48,56,49,57,32,46,50,54,56,57,53,53,32,46,54,48,
      53,52,55,53,32,46,54,55,48,53,50,52,32,50,46,54,55,54,52,52,32,53,46,57,50,
      48,54,32,49,48,46,48,54,50,32,49,52,46,52,48,51,51,32,49,56,46,48,51,54,50,
      10,32,32,50,48,46,50,52,49,54,32,50,48,46,56,51,53,55,32,50,48,46,49,55,52,
      32,49,56,46,56,53,32,49,55,46,49,55,50,51,32,49,53,46,53,48,56,32,49,51,46,
      57,51,49,54,32,49,50,46,52,55,52,51,32,49,49,46,50,54,32,49,48,46,50,49,48,
      52,32,57,46,50,57,57,57,54,10,32,32,56,46,53,48,55,55,52,32,55,46,56,53,55,
      52,52,32,55,46,50,54,55,57,55,32,54,46,55,52,57,57,57,32,54,46,50,57,50,48,
      56,32,53,46,57,50,48,57,57,32,53,46,54,49,56,49,49,32,53,46,51,52,52,50,51,
      32,53,46,48,57,53,54,53,32,52,46,56,55,49,50,57,10,32,32,52,46,55,50,49,52,
      52,32,52,46,53,56,50,55,51,32,52,46,52,53,51,56,56,32,52,46,51,51,51,56,56,
      32,52,46,50,52,57,53,55,32,52,46,49,57,50,55,54,32,52,46,49,51,56,55,50,32,
      52,46,48,56,55,50,50,32,52,46,48,52,48,49,50,32,52,46,48,51,53,57,32,52,46,
      48,51,49,49,53,10,32,32,52,46,48,50,53,56,55,32,52,46,48,50,48,49,52,32,52,
      46,48,51,51,49,50,32,52,46,48,53,57,57,32,52,46,48,56,52,56,53,32,52,46,49,
      48,56,48,55,32,52,46,49,51,49,49,57,32,52,46,49,55,53,57,55,32,52,46,50,49,
      56,52,53,32,52,46,50,53,56,55,53,32,52,46,50,57,55,10,32,32,52,46,51,52,49,
      55,50,32,52,46,51,57,48,55,49,32,52,46,52,51,55,53,50,32,52,46,52,56,50,50,
      50,32,52,46,53,50,53,50,53,32,52,46,53,55,48,53,50,32,52,46,54,49,51,56,54,
      32,52,46,54,53,53,51,54,32,52,46,54,57,53,49,32,52,46,55,51,48,51,52,32,52,
      46,55,54,50,48,51,10,32,32,52,46,55,57,50,51,49,32,52,46,56,50,49,50,52,32,
      52,46,56,52,55,57,32,52,46,56,54,50,55,49,32,52,46,56,55,54,54,54,32,52,46,
      56,56,57,55,54,32,52,46,57,48,50,48,56,32,52,46,57,48,52,54,56,32,52,46,57,
      48,48,54,55,32,52,46,56,57,54,51,57,32,52,46,56,57,49,56,54,10,32,32,52,46,
      56,56,53,55,49,32,52,46,56,54,54,51,54,32,52,46,56,52,55,50,52,32,52,46,56,
      50,56,51,51,32,52,46,56,48,57,54,53,32,52,46,55,56,53,53,50,32,52,46,55,53,
      56,48,56,32,52,46,55,51,49,49,49,32,52,46,55,48,52,53,50,32,52,46,54,55,56,
      52,55,10,32,32,52,46,54,53,51,32,52,46,54,50,55,54,55,32,52,46,54,48,50,56,
      50,32,52,46,53,55,56,53,50,32,52,46,53,54,50,54,49,32,52,46,53,53,49,54,53,
      32,52,46,53,52,48,52,32,52,46,53,50,57,50,56,32,52,46,53,50,49,55,53,32,52,
      46,53,51,57,54,55,32,52,46,53,53,55,48,52,10,32,32,52,46,53,55,51,56,54,32,
      52,46,53,57,48,49,54,32,52,46,54,51,53,56,55,32,52,46,54,57,56,52,56,32,52,
      46,55,53,57,57,55,32,52,46,56,50,48,51,52,32,52,46,56,56,56,55,49,32,53,46,
      48,49,54,52,52,32,53,46,49,52,50,57,57,32,53,46,50,54,56,51,49,10,32,32,53,
      46,51,57,50,52,49,32,53,46,53,55,53,56,54,32,53,46,55,57,51,53,56,32,54,46,
      48,49,49,48,56,32,54,46,50,50,56,50,51,32,54,46,52,54,50,54,54,32,54,46,56,
      48,53,49,51,32,55,46,49,53,48,48,55,32,55,46,52,57,55,48,55,32,55,46,56,52,
      52,56,32,56,46,50,57,55,52,10,32,32,56,46,56,49,50,49,56,32,57,46,51,51,50,
      55,49,32,57,46,56,53,56,55,53,32,49,48,46,52,50,32,49,49,46,49,53,53,32,49,
      49,46,57,48,50,32,49,50,46,54,54,48,51,32,49,51,46,52,50,56,56,32,49,52,46,
      51,54,48,56,32,49,53,46,51,56,57,52,32,49,54,46,52,51,54,52,10,32,32,49,55,
      46,53,48,48,50,32,49,56,46,54,50,51,32,49,57,46,57,56,51,50,32,50,49,46,51,
      54,57,50,32,50,50,46,55,56,48,50,32,50,52,46,50,49,49,57,32,50,53,46,56,53,
      48,53,32,50,55,46,54,48,56,56,32,50,57,46,51,57,56,49,32,51,49,46,50,49,52,
      56,32,51,51,46,49,48,52,51,10,32,32,51,53,46,50,51,55,51,32,51,55,46,52,48,
      52,52,32,51,57,46,54,48,52,56,32,52,49,46,56,51,51,53,32,52,52,46,50,51,51,
      51,32,52,54,46,55,51,52,32,52,57,46,50,54,53,51,32,53,49,46,56,50,54,50,32,
      53,52,46,52,51,54,57,32,53,55,46,49,54,57,55,32,53,57,46,57,50,56,55,10,32,
      32,54,50,46,55,49,51,53,32,54,53,46,53,50,50,52,32,54,56,46,51,51,55,50,32,
      55,49,46,49,54,53,51,32,55,52,46,48,49,48,52,32,55,54,46,56,55,49,57,32,55,
      57,46,55,48,55,49,32,56,50,46,51,57,48,51,32,56,53,46,48,56,49,49,32,56,56,
      46,54,55,53,54,10,32,32,57,54,46,49,55,53,51,32,49,48,53,46,49,56,53,32,49,
      49,50,46,54,50,50,32,49,48,57,46,49,53,50,32,57,55,46,57,53,50,32,56,50,46,
      50,55,52,50,32,54,54,46,53,54,57,49,32,53,51,46,48,50,49,53,32,52,50,46,54,
      52,55,55,32,51,53,46,49,54,48,54,32,51,48,46,48,52,50,54,10,32,32,50,54,46,
      52,49,54,57,32,50,51,46,54,55,49,32,50,48,46,57,50,53,32,49,56,46,50,49,56,
      56,32,49,52,46,52,49,55,51,32,49,48,46,52,53,56,51,32,54,46,57,53,51,55,54,
      32,51,46,56,48,48,56,54,32,50,46,48,48,56,48,54,32,49,46,49,51,50,48,57,32,
      46,54,57,57,52,51,51,10,32,32,46,53,54,52,56,51,52,32,46,53,56,55,55,56,57,
      32,46,55,50,48,48,52,57,32,46,56,57,52,56,53,32,49,46,48,56,56,55,53,32,49,
      46,50,53,52,54,53,32,49,46,51,51,57,53,32,49,46,50,57,54,50,52,32,49,46,49,
      49,52,56,49,32,46,56,50,56,50,49,56,32,46,53,54,56,52,56,54,10,32,32,46,51,
      55,51,50,52,56,32,46,50,55,50,48,53,57,32,46,50,57,53,54,53,49,32,46,51,55,
      53,54,48,49,32,46,53,50,50,57,49,53,32,46,55,51,49,55,54,50,32,46,57,51,57,
      56,48,53,32,49,46,49,48,53,48,56,32,49,46,49,56,55,56,55,32,49,46,49,54,56,
      51,51,10,32,32,49,46,48,55,53,55,55,32,46,57,51,52,48,54,54,32,46,55,55,51,
      48,49,52,32,46,54,54,55,54,51,53,32,46,53,56,51,48,51,57,32,46,53,49,48,50,
      56,50,32,46,52,50,57,49,55,52,32,46,51,51,51,54,57,52,32,46,50,55,57,48,55,
      53,32,46,50,54,48,54,52,32,46,50,54,48,54,53,49,10,32,32,46,50,54,51,50,32,
      46,50,54,48,53,55,57,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,50,32,46,
      51,49,54,52,56,53,32,46,51,51,53,50,49,51,32,46,51,51,48,52,57,50,32,46,51,
      48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,32,46,50,49,
      49,54,52,10,32,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,
      51,54,51,32,46,49,51,51,54,49,51,32,46,49,51,53,54,56,53,32,46,49,51,57,54,
      50,51,32,46,49,52,51,53,50,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,32,
      46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,10,32,32,46,49,52,56,49,51,56,
      32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,56,32,46,
      49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,
      46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,
      52,10,32,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,55,49,32,46,48,55,
      56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,
      48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,
      32,46,48,54,53,48,50,49,57,10,32,32,46,48,54,51,49,53,57,32,46,48,54,49,49,
      55,50,52,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,
      54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,32,46,
      48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,10,32,32,46,48,52,52,53,54,
      54,49,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,
      53,56,50,50,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,56,32,46,48,
      50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,56,10,
      32,32,46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,
      54,53,51,32,46,48,49,49,48,55,53,52,32,46,48,48,57,54,56,56,50,49,32,46,48,
      48,56,52,56,53,53,53,32,46,48,48,55,53,54,51,53,32,46,48,48,54,55,52,55,49,
      54,32,46,48,48,54,48,50,51,52,10,32,32,46,48,48,53,50,57,53,51,53,32,46,48,
      48,52,53,56,53,53,50,32,46,48,48,51,57,49,50,51,50,32,46,48,48,51,51,57,52,
      53,56,32,46,48,48,50,57,48,50,48,49,32,46,48,48,50,53,50,50,49,52,32,46,48,
      48,50,49,57,51,53,51,32,46,48,48,49,56,55,57,56,32,46,48,48,49,53,57,52,52,
      53,10,32,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,32,46,
      48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,53,32,46,48,48,48,56,49,
      52,48,56,50,32,46,48,48,48,55,49,49,48,54,50,32,46,48,48,48,54,50,49,51,50,
      32,46,48,48,48,53,52,51,49,48,53,10,32,32,46,48,48,48,52,55,52,57,48,54,32,
      46,48,48,48,52,49,53,52,48,57,32,46,48,48,48,51,54,51,52,56,53,32,46,48,48,
      48,51,49,56,49,52,54,32,46,48,48,48,50,55,56,53,52,52,32,46,48,48,48,50,52,
      51,57,50,55,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,55,50,50,
      56,10,32,32,46,48,48,48,49,54,52,48,57,51,32,46,48,48,48,49,52,51,56,53,32,
      46,48,48,48,49,50,54,49,52,50,32,46,48,48,48,49,49,48,54,50,57,32,57,46,55,
      48,51,55,51,101,45,48,53,32,56,46,53,49,51,56,52,101,45,48,53,32,55,46,52,55,
      49,50,56,101,45,48,53,32,54,46,53,53,55,54,49,101,45,48,53,10,32,32,53,46,55,
      53,54,54,55,101,45,48,53,32,53,46,48,53,52,52,53,101,45,48,53,32,52,46,52,51,
      57,48,56,101,45,48,53,32,51,46,56,57,56,56,53,101,45,48,53,32,51,46,52,50,52,
      57,49,101,45,48,53,32,51,46,48,48,57,48,52,101,45,48,53,32,50,46,54,52,52,48,
      52,101,45,48,53,10,32,32,50,46,51,50,51,54,51,101,45,48,53,32,50,46,48,52,50,
      51,52,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,50,
      101,45,48,53,32,49,46,52,50,55,57,49,101,45,48,53,32,49,46,50,57,50,48,50,101,
      45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,10,32,32,49,46,48,53,56,48,52,
      101,45,48,53,32,57,46,53,55,54,57,51,101,45,48,54,32,56,46,53,53,55,54,54,101,
      45,48,54,32,55,46,52,50,50,50,57,101,45,48,54,32,54,46,52,51,56,52,101,45,48,
      54,32,53,46,53,56,53,54,53,101,45,48,54,32,52,46,56,52,54,52,50,101,45,48,54,
      10,32,32,52,46,50,48,53,53,49,101,45,48,54,32,51,46,54,52,57,55,56,101,45,48,
      54,32,51,46,49,54,55,56,54,101,45,48,54,32,50,46,55,52,57,56,53,101,45,48,54,
      32,50,46,51,56,55,50,54,101,45,48,54,32,50,46,48,55,50,54,57,101,45,48,54,32,
      49,46,55,57,57,55,53,101,45,48,54,10,32,32,49,46,53,54,50,57,49,101,45,48,54,
      32,49,46,51,53,55,51,53,101,45,48,54,32,49,46,49,55,56,57,53,101,45,48,54,32,
      49,46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,52,49,101,45,48,55,32,55,
      46,55,50,57,49,49,101,45,48,55,32,54,46,55,49,53,53,101,45,48,55,10,32,32,53,
      46,56,51,53,51,49,101,45,48,55,32,53,46,48,55,48,56,57,101,45,48,55,32,52,46,
      52,48,53,56,49,101,45,48,55,32,51,46,56,51,48,50,53,101,45,48,55,32,51,46,51,
      50,57,50,51,101,45,48,55,32,50,46,56,57,51,57,55,101,45,48,55,32,50,46,53,49,
      53,56,101,45,48,55,10,32,32,50,46,49,56,55,50,49,101,45,48,55,32,49,46,57,48,
      49,54,53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,55,
      55,57,101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,
      55,101,45,48,55,32,57,46,52,53,55,48,51,101,45,48,56,10,32,32,56,46,50,50,53,
      52,52,101,45,48,56,32,55,46,49,53,52,54,55,101,45,48,56,32,54,46,50,50,51,54,
      52,101,45,48,56,32,53,46,52,49,52,48,55,101,45,48,56,32,52,46,48,57,55,56,52,
      101,45,48,56,32,51,46,49,48,50,49,56,101,45,48,56,32,50,46,51,52,56,57,55,101,
      45,48,56,10,32,32,49,46,55,55,56,57,57,101,45,48,56,32,49,46,51,52,55,53,55,
      101,45,48,56,32,49,46,48,50,48,57,53,101,45,48,56,32,55,46,55,51,54,51,53,101,
      45,48,57,32,53,46,56,54,51,50,57,101,45,48,57,32,52,46,52,52,52,52,54,101,45,
      48,57,32,51,46,51,54,57,52,57,101,45,48,57,10,32,32,50,46,53,53,52,57,50,101,
      45,48,57,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,56,101,45,
      48,57,32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,55,101,45,49,48,
      32,54,46,52,49,55,53,50,101,45,49,48,32,52,46,56,55,48,49,49,101,45,49,48,10,
      32,32,51,46,54,57,54,50,56,101,45,49,48,32,50,46,56,48,53,55,49,101,45,49,48,
      32,50,46,49,50,57,57,53,101,45,49,48,32,49,46,54,49,55,49,52,101,45,49,48,32,
      49,46,50,50,55,57,51,101,45,49,48,32,57,46,51,50,52,57,53,101,45,49,49,32,55,
      46,48,56,50,49,50,101,45,49,49,10,32,32,53,46,51,55,57,50,54,101,45,49,49,32,
      52,46,48,56,54,50,53,101,45,49,49,32,51,46,49,48,52,51,53,101,45,49,49,32,50,
      46,51,53,56,54,50,101,45,49,49,32,49,46,55,57,50,50,52,101,45,49,49,32,46,48,
      49,54,55,55,51,50,32,46,48,54,55,50,53,50,49,32,46,49,53,49,52,49,57,10,32,
      32,46,49,54,55,54,57,49,32,46,54,55,49,51,51,52,32,49,46,53,48,51,56,52,32,
      50,46,54,51,57,49,55,32,52,46,48,50,49,55,51,32,53,46,53,53,49,54,53,32,55,
      46,48,55,54,49,56,32,56,46,52,52,49,52,50,32,57,46,52,57,49,52,49,32,49,48,
      46,49,54,52,51,10,32,32,49,48,46,52,52,57,56,32,49,48,46,52,48,48,54,32,49,
      48,46,49,48,51,32,57,46,54,54,53,55,55,32,57,46,49,55,57,49,57,32,56,46,54,
      49,51,56,53,32,56,46,48,55,51,53,51,32,55,46,53,54,53,50,56,32,55,46,49,49,
      52,48,53,32,54,46,54,55,53,56,51,32,54,46,50,55,55,57,50,10,32,32,53,46,57,
      49,54,49,51,32,53,46,54,49,56,55,52,32,53,46,51,55,51,52,50,32,53,46,49,52,
      55,52,53,32,52,46,57,51,56,57,53,32,52,46,55,52,56,49,57,32,52,46,54,50,51,
      50,57,32,52,46,52,57,55,54,55,32,52,46,51,55,52,57,53,32,52,46,50,54,48,52,
      50,10,32,32,52,46,49,56,48,51,53,32,52,46,49,50,54,56,56,32,52,46,48,55,53,
      57,50,32,52,46,48,50,55,50,53,32,51,46,57,56,50,55,52,32,51,46,57,56,48,48,
      57,32,51,46,57,55,54,56,52,32,51,46,57,55,50,57,57,32,51,46,57,54,56,54,52,
      32,51,46,57,56,50,53,56,10,32,32,52,46,48,49,48,48,50,32,52,46,48,51,53,54,
      51,32,52,46,48,53,57,53,50,32,52,46,48,56,51,50,55,32,52,46,49,50,56,51,32,
      52,46,49,55,49,48,52,32,52,46,50,49,49,54,52,32,52,46,50,53,48,49,57,32,52,
      46,50,57,53,48,57,32,52,46,51,52,52,50,32,52,46,51,57,49,49,52,10,32,32,52,
      46,52,51,54,32,52,46,52,55,57,50,32,52,46,53,50,52,54,32,52,46,53,54,56,48,
      57,32,52,46,54,48,57,55,54,32,52,46,54,52,57,54,57,32,52,46,54,56,53,49,55,
      32,52,46,55,49,55,49,52,32,52,46,55,52,55,55,49,32,52,46,55,55,54,57,51,32,
      52,46,56,48,51,57,49,10,32,32,52,46,56,49,57,49,57,32,52,46,56,51,51,53,57,
      32,52,46,56,52,55,49,54,32,52,46,56,53,57,57,51,32,52,46,56,54,51,48,57,32,
      52,46,56,53,57,55,49,32,52,46,56,53,54,48,53,32,52,46,56,53,50,49,50,32,52,
      46,56,52,54,53,55,32,52,46,56,50,55,57,55,10,32,32,52,46,56,48,57,53,54,32,
      52,46,55,57,49,51,54,32,52,46,55,55,51,51,54,32,52,46,55,52,57,57,53,32,52,
      46,55,50,51,50,53,32,52,46,54,57,55,32,52,46,54,55,49,49,32,52,46,54,52,53,
      55,50,32,52,46,54,50,48,57,49,32,52,46,53,57,54,50,32,52,46,53,55,49,57,54,
      10,32,32,52,46,53,52,56,50,53,32,52,46,53,51,50,56,53,32,52,46,53,50,50,51,
      51,32,52,46,53,49,49,53,32,52,46,53,48,48,56,32,52,46,52,57,51,54,53,32,52,
      46,53,49,49,55,49,32,52,46,53,50,57,50,49,32,52,46,53,52,54,49,56,32,52,46,
      53,54,50,54,52,32,52,46,54,48,56,50,50,10,32,32,52,46,54,55,48,53,55,32,52,
      46,55,51,49,56,49,32,52,46,55,57,49,57,51,32,52,46,56,54,32,52,46,57,56,54,
      56,57,32,53,46,49,49,50,54,49,32,53,46,50,51,55,49,51,32,53,46,51,54,48,52,
      51,32,53,46,53,52,50,53,53,32,53,46,55,53,56,54,51,32,53,46,57,55,52,52,57,
      10,32,32,54,46,49,57,48,48,49,32,54,46,52,50,50,54,52,32,54,46,55,54,50,51,
      32,55,46,49,48,52,51,57,32,55,46,52,52,56,53,32,55,46,55,57,51,50,56,32,56,
      46,50,52,49,56,56,32,56,46,55,53,49,57,56,32,57,46,50,54,55,55,49,32,57,46,
      55,56,56,56,50,32,49,48,46,51,52,52,55,10,32,32,49,49,46,48,55,50,52,32,49,
      49,46,56,49,49,56,32,49,50,46,53,54,50,51,32,49,51,46,51,50,50,55,32,49,52,
      46,50,52,52,52,32,49,53,46,50,54,49,53,32,49,54,46,50,57,54,53,32,49,55,46,
      51,52,55,57,32,49,56,46,52,53,55,50,32,49,57,46,56,48,48,54,10,32,32,50,49,
      46,49,54,57,49,32,50,50,46,53,54,49,57,32,50,51,46,57,55,52,56,32,50,53,46,
      53,57,49,50,32,50,55,46,51,50,53,32,50,57,46,48,56,57,32,51,48,46,56,55,57,
      52,32,51,50,46,55,52,49,49,32,51,52,46,56,52,49,55,32,51,54,46,57,55,53,53,
      32,51,57,46,49,52,49,50,10,32,32,52,49,46,51,51,52,51,32,52,51,46,54,57,52,
      57,32,52,54,46,49,53,52,32,52,56,46,54,52,50,53,32,53,49,46,49,53,57,53,32,
      53,51,46,55,50,52,55,32,53,54,46,52,48,57,49,32,53,57,46,49,49,56,53,32,54,
      49,46,56,53,50,56,32,54,52,46,54,49,32,54,55,46,51,55,50,53,10,32,32,55,48,
      46,49,52,55,53,32,55,50,46,57,51,56,55,32,55,53,46,55,52,53,53,32,55,56,46,
      53,50,54,50,32,56,49,46,49,53,55,57,32,56,51,46,55,57,54,55,32,56,55,46,51,
      50,49,51,32,57,52,46,54,55,54,54,32,49,48,51,46,53,50,32,49,49,48,46,56,53,
      53,32,49,48,55,46,53,50,56,10,32,32,57,54,46,54,49,54,51,32,56,49,46,50,55,
      53,53,32,54,53,46,56,54,49,32,53,50,46,53,51,48,49,32,52,50,46,51,48,49,52,
      32,51,52,46,57,48,55,51,32,50,57,46,56,52,55,32,50,54,46,50,53,57,50,32,50,
      51,46,53,52,48,50,32,50,48,46,56,49,57,50,32,49,56,46,49,51,53,50,10,32,32,
      49,52,46,51,54,48,55,32,49,48,46,52,50,52,57,32,54,46,57,51,54,57,52,32,51,
      46,55,57,53,48,54,32,50,46,48,48,54,52,49,32,49,46,49,51,49,54,52,32,46,54,
      57,57,51,49,49,32,46,53,54,52,55,55,55,32,46,53,56,55,55,51,52,32,46,55,49,
      57,57,54,50,10,32,32,46,56,57,52,55,48,56,32,49,46,48,56,56,52,55,32,49,46,
      50,53,52,50,55,32,49,46,51,51,57,48,57,32,49,46,50,57,53,57,54,32,49,46,49,
      49,52,54,55,32,46,56,50,56,49,55,49,32,46,53,54,56,52,55,52,32,46,51,55,51,
      50,52,53,32,46,50,55,50,48,53,55,10,32,32,46,50,57,53,54,53,32,46,51,55,53,
      53,57,57,32,46,53,50,50,57,49,32,46,55,51,49,55,53,49,32,46,57,51,57,55,56,
      55,32,49,46,49,48,53,48,53,32,49,46,49,56,55,56,52,32,49,46,49,54,56,51,49,
      32,49,46,48,55,53,55,54,32,46,57,51,52,48,53,54,32,46,55,55,51,48,48,57,10,
      32,32,46,54,54,55,54,51,49,32,46,53,56,51,48,51,54,32,46,53,49,48,50,56,49,
      32,46,52,50,57,49,55,50,32,46,51,51,51,54,57,51,32,46,50,55,57,48,55,52,32,
      46,50,54,48,54,52,32,46,50,54,48,54,53,49,32,46,50,54,51,49,57,57,32,46,50,
      54,48,53,55,57,32,46,50,54,54,51,57,51,10,32,32,46,50,56,55,49,49,50,32,46,
      51,49,54,52,56,53,32,46,51,51,53,50,49,50,32,46,51,51,48,52,57,50,32,46,51,
      48,54,54,50,51,32,46,50,56,52,48,54,53,32,46,50,52,52,54,48,52,32,46,50,49,
      49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,
      51,10,32,32,46,49,51,51,54,49,50,32,46,49,51,53,54,56,53,32,46,49,51,57,54,
      50,50,32,46,49,52,51,53,49,57,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,
      32,46,49,53,50,51,52,52,32,46,49,53,49,54,55,49,32,46,49,52,56,49,51,56,32,
      46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,10,32,32,46,49,49,53,51,56,32,
      46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,
      32,46,48,56,48,56,56,49,56,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,
      48,52,32,46,48,55,50,50,52,49,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,
      56,57,49,10,32,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,
      48,55,49,52,52,52,57,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,
      32,46,48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,
      52,32,46,48,53,57,52,55,51,53,10,32,32,46,48,53,55,54,54,56,51,32,46,48,53,
      54,51,56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,32,46,
      48,53,49,55,50,56,54,32,46,48,52,56,53,53,55,51,32,46,48,52,52,53,54,54,49,
      32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,10,32,32,46,48,51,51,
      53,56,50,50,32,46,48,50,57,56,54,49,51,32,46,48,50,55,49,49,53,56,32,46,48,
      50,51,50,52,54,50,32,46,48,49,57,54,56,54,56,32,46,48,49,55,57,48,54,56,32,
      46,48,49,54,49,50,53,54,32,46,48,49,52,48,52,54,51,32,46,48,49,50,52,54,53,
      51,10,32,32,46,48,49,49,48,55,53,51,32,46,48,48,57,54,56,56,49,57,32,46,48,
      48,56,52,56,53,53,51,32,46,48,48,55,53,54,51,52,57,32,46,48,48,54,55,52,55,
      49,53,32,46,48,48,54,48,50,51,51,57,32,46,48,48,53,50,57,53,51,52,32,46,48,
      48,52,53,56,53,53,50,32,46,48,48,51,57,49,50,51,50,10,32,32,46,48,48,51,51,
      57,52,53,55,32,46,48,48,50,57,48,50,48,49,32,46,48,48,50,53,50,50,49,52,32,
      46,48,48,50,49,57,51,53,50,32,46,48,48,49,56,55,57,55,57,32,46,48,48,49,53,
      57,52,52,53,32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,56,10,
      32,32,46,48,48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,51,32,46,48,48,
      48,56,49,52,48,56,49,32,46,48,48,48,55,49,49,48,54,32,46,48,48,48,54,50,49,
      51,49,57,32,46,48,48,48,53,52,51,49,48,52,32,46,48,48,48,52,55,52,57,48,53,
      32,46,48,48,48,52,49,53,52,48,57,10,32,32,46,48,48,48,51,54,51,52,56,52,32,
      46,48,48,48,51,49,56,49,52,53,32,46,48,48,48,50,55,56,53,52,51,32,46,48,48,
      48,50,52,51,57,50,54,32,46,48,48,48,50,49,51,54,55,56,32,46,48,48,48,49,56,
      55,50,50,56,32,46,48,48,48,49,54,52,48,57,51,32,46,48,48,48,49,52,51,56,53,
      10,32,32,46,48,48,48,49,50,54,49,52,49,32,46,48,48,48,49,49,48,54,50,57,32,
      57,46,55,48,51,55,49,101,45,48,53,32,56,46,53,49,51,56,50,101,45,48,53,32,55,
      46,52,55,49,50,55,101,45,48,53,32,54,46,53,53,55,54,101,45,48,53,32,53,46,55,
      53,54,54,54,101,45,48,53,10,32,32,53,46,48,53,52,52,52,101,45,48,53,32,52,46,
      52,51,57,48,55,101,45,48,53,32,51,46,56,57,56,56,52,101,45,48,53,32,51,46,52,
      50,52,57,101,45,48,53,32,51,46,48,48,57,48,51,101,45,48,53,32,50,46,54,52,52,
      48,51,101,45,48,53,32,50,46,51,50,51,54,51,101,45,48,53,10,32,32,50,46,48,52,
      50,51,52,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,
      50,101,45,48,53,32,49,46,52,50,55,57,101,45,48,53,32,49,46,50,57,50,48,50,101,
      45,48,53,32,49,46,49,54,57,49,53,101,45,48,53,32,49,46,48,53,56,48,51,101,45,
      48,53,10,32,32,57,46,53,55,54,57,49,101,45,48,54,32,56,46,53,53,55,54,52,101,
      45,48,54,32,55,46,52,50,50,50,56,101,45,48,54,32,54,46,52,51,56,51,57,101,45,
      48,54,32,53,46,53,56,53,54,52,101,45,48,54,32,52,46,56,52,54,52,49,101,45,48,
      54,32,52,46,50,48,53,53,101,45,48,54,10,32,32,51,46,54,52,57,55,56,101,45,48,
      54,32,51,46,49,54,55,56,54,101,45,48,54,32,50,46,55,52,57,56,53,101,45,48,54,
      32,50,46,51,56,55,50,53,101,45,48,54,32,50,46,48,55,50,54,56,101,45,48,54,32,
      49,46,55,57,57,55,53,101,45,48,54,32,49,46,53,54,50,57,101,45,48,54,10,32,32,
      49,46,51,53,55,51,53,101,45,48,54,32,49,46,49,55,56,57,52,101,45,48,54,32,49,
      46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,51,57,101,45,48,55,32,55,46,
      55,50,57,48,57,101,45,48,55,32,54,46,55,49,53,52,56,101,45,48,55,32,53,46,56,
      51,53,51,101,45,48,55,10,32,32,53,46,48,55,48,56,56,101,45,48,55,32,52,46,52,
      48,53,56,49,101,45,48,55,32,51,46,56,51,48,50,52,101,45,48,55,32,51,46,51,50,
      57,50,51,101,45,48,55,32,50,46,56,57,51,57,54,101,45,48,55,32,50,46,53,49,53,
      56,101,45,48,55,32,50,46,49,56,55,50,101,45,48,55,10,32,32,49,46,57,48,49,54,
      53,101,45,48,55,32,49,46,54,53,51,52,56,101,45,48,55,32,49,46,52,51,55,55,57,
      101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,54,101,
      45,48,55,32,57,46,52,53,55,48,49,101,45,48,56,32,56,46,50,50,53,52,50,101,45,
      48,56,10,32,32,55,46,49,53,52,54,54,101,45,48,56,32,54,46,50,50,51,54,50,101,
      45,48,56,32,53,46,52,49,52,48,54,101,45,48,56,32,52,46,48,57,55,56,51,101,45,
      48,56,32,51,46,49,48,50,49,56,101,45,48,56,32,50,46,51,52,56,57,55,101,45,48,
      56,32,49,46,55,55,56,57,57,101,45,48,56,10,32,32,49,46,51,52,55,53,55,101,45,
      48,56,32,49,46,48,50,48,57,53,101,45,48,56,32,55,46,55,51,54,51,52,101,45,48,
      57,32,53,46,56,54,51,50,56,101,45,48,57,32,52,46,52,52,52,52,53,101,45,48,57,
      32,51,46,51,54,57,52,56,101,45,48,57,32,50,46,53,53,52,57,49,101,45,48,57,10,
      32,32,49,46,57,51,55,53,53,101,45,48,57,32,49,46,52,54,57,53,55,101,45,48,57,
      32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,54,56,101,45,49,48,32,
      54,46,52,49,55,53,49,101,45,49,48,32,52,46,56,55,48,49,101,45,49,48,32,51,46,
      54,57,54,50,55,101,45,49,48,10,32,32,50,46,56,48,53,55,101,45,49,48,32,50,46,
      49,50,57,57,53,101,45,49,48,32,49,46,54,49,55,49,51,101,45,49,48,32,49,46,50,
      50,55,57,50,101,45,49,48,32,57,46,51,50,52,57,51,101,45,49,49,32,55,46,48,56,
      50,49,49,101,45,49,49,32,53,46,51,55,57,50,53,101,45,49,49,10,32,32,52,46,48,
      56,54,50,52,101,45,49,49,32,51,46,49,48,52,51,52,101,45,49,49,32,50,46,51,53,
      56,54,50,101,45,49,49,32,49,46,55,57,50,50,52,101,45,49,49,32,46,48,48,55,52,
      53,54,55,32,46,48,50,57,56,57,55,57,32,46,48,54,55,51,49,55,32,46,48,55,52,
      53,53,49,53,10,32,32,46,50,57,56,54,50,52,32,46,54,55,48,53,49,51,32,49,46,
      49,56,52,49,52,32,49,46,56,50,55,50,55,32,50,46,53,55,56,48,51,32,51,46,51,
      57,56,50,49,32,52,46,50,51,56,52,52,32,53,46,48,51,57,55,51,32,53,46,55,52,
      53,56,50,32,54,46,51,48,57,56,57,10,32,32,54,46,55,49,49,51,56,32,54,46,57,
      51,52,55,53,32,55,46,48,49,51,54,57,32,54,46,57,55,56,49,49,32,54,46,56,52,
      52,53,55,32,54,46,54,51,51,48,51,32,54,46,51,57,50,49,32,54,46,49,53,52,49,
      51,32,53,46,56,57,54,53,53,32,53,46,54,52,54,48,52,32,53,46,52,48,53,49,51,
      10,32,32,53,46,50,48,50,50,56,32,53,46,48,49,51,55,32,52,46,56,50,51,54,50,
      32,52,46,54,52,54,49,57,32,52,46,52,56,50,51,32,52,46,51,55,54,56,32,52,46,
      50,55,55,49,51,32,52,46,49,56,50,55,53,32,52,46,48,57,51,51,50,32,52,46,48,
      51,51,51,50,32,51,46,57,57,54,50,54,10,32,32,51,46,57,54,48,51,53,32,51,46,
      57,50,53,53,50,32,51,46,56,57,51,54,49,32,51,46,57,48,48,49,54,32,51,46,57,
      48,53,54,55,32,51,46,57,49,48,49,54,32,51,46,57,49,51,55,52,32,51,46,57,51,
      50,54,56,32,51,46,57,54,48,55,54,32,51,46,57,56,55,48,50,10,32,32,52,46,48,
      49,49,53,54,32,52,46,48,51,53,57,50,32,52,46,48,56,49,49,56,32,52,46,49,50,
      52,49,56,32,52,46,49,54,53,48,53,32,52,46,50,48,51,56,57,32,52,46,50,52,56,
      57,56,32,52,46,50,57,56,49,56,32,52,46,51,52,53,50,53,32,52,46,51,57,48,50,
      54,10,32,32,52,46,52,51,51,54,51,32,52,46,52,55,57,49,53,32,52,46,53,50,50,
      55,56,32,52,46,53,54,52,54,50,32,52,46,54,48,52,55,51,32,52,46,54,52,48,52,
      52,32,52,46,54,55,50,54,56,32,52,46,55,48,51,53,51,32,52,46,55,51,51,48,52,
      32,52,46,55,54,48,51,51,10,32,32,52,46,55,55,54,48,54,32,52,46,55,57,48,57,
      50,32,52,46,56,48,52,57,51,32,52,46,56,49,56,49,53,32,52,46,56,50,49,56,55,
      32,52,46,56,49,57,49,32,52,46,56,49,54,48,52,32,52,46,56,49,50,55,49,32,52,
      46,56,48,55,55,54,32,52,46,55,56,57,56,57,32,52,46,55,55,50,49,57,10,32,32,
      52,46,55,53,52,54,56,32,52,46,55,51,55,51,53,32,52,46,55,49,52,54,54,32,52,
      46,54,56,56,54,57,32,52,46,54,54,51,49,52,32,52,46,54,51,55,57,51,32,52,46,
      54,49,51,50,32,52,46,53,56,57,48,52,32,52,46,53,54,52,57,54,32,52,46,53,52,
      49,51,50,32,52,46,53,49,56,50,10,32,32,52,46,53,48,51,51,32,52,46,52,57,51,
      50,49,32,52,46,52,56,50,56,32,52,46,52,55,50,53,32,52,46,52,54,53,55,51,32,
      52,46,52,56,51,57,50,32,52,46,53,48,49,53,55,32,52,46,53,49,56,54,56,32,52,
      46,53,51,53,50,57,32,52,46,53,56,48,55,53,32,52,46,54,52,50,56,52,10,32,32,
      52,46,55,48,51,56,50,32,52,46,55,54,51,55,49,32,52,46,56,51,49,52,54,32,52,
      46,57,53,55,53,50,32,53,46,48,56,50,52,50,32,53,46,50,48,54,49,52,32,53,46,
      51,50,56,54,53,32,53,46,53,48,57,52,53,32,53,46,55,50,51,57,49,32,53,46,57,
      51,56,49,52,10,32,32,54,46,49,53,50,48,51,32,54,46,51,56,50,56,56,32,54,46,
      55,49,57,55,54,32,55,46,48,53,57,48,51,32,55,46,52,48,48,50,55,32,55,46,55,
      52,50,49,50,32,56,46,49,56,54,55,52,32,56,46,54,57,50,50,50,32,57,46,50,48,
      51,49,57,32,57,46,55,49,57,52,49,10,32,32,49,48,46,50,55,32,49,48,46,57,57,
      48,52,32,49,49,46,55,50,50,51,32,49,50,46,52,54,53,32,49,51,46,50,49,55,52,
      32,49,52,46,49,50,57,32,49,53,46,49,51,52,55,32,49,54,46,49,53,55,56,32,49,
      55,46,49,57,54,57,32,49,56,46,50,57,51,32,49,57,46,54,49,57,55,10,32,32,50,
      48,46,57,55,49,32,50,50,46,51,52,53,55,32,50,51,46,55,52,32,50,53,46,51,51,
      52,53,32,50,55,46,48,52,52,50,32,50,56,46,55,56,51,50,32,51,48,46,53,52,55,
      55,32,51,50,46,51,56,50,32,51,52,46,52,53,48,55,32,51,54,46,53,53,49,53,32,
      51,56,46,54,56,51,50,10,32,32,52,48,46,56,52,49,50,32,52,51,46,49,54,51,50,
      32,52,53,46,53,56,49,52,32,52,56,46,48,49,48,54,32,53,48,46,52,51,53,50,32,
      53,50,46,56,57,50,32,53,53,46,52,53,55,57,32,53,56,46,48,52,52,32,54,48,46,
      54,53,32,54,51,46,50,55,52,51,32,54,53,46,57,48,48,50,10,32,32,54,56,46,53,
      51,52,57,32,55,49,46,49,56,50,49,32,55,51,46,56,52,49,49,32,55,54,46,52,55,
      51,50,32,55,56,46,57,54,53,49,32,56,49,46,52,54,49,52,32,56,52,46,55,57,51,
      54,32,57,49,46,55,53,53,57,32,49,48,48,46,49,54,55,32,49,48,55,46,51,53,57,
      10,32,32,49,48,52,46,54,55,53,32,57,52,46,55,57,48,54,32,56,48,46,50,56,57,
      49,32,54,53,46,49,54,48,54,32,53,50,46,48,52,51,53,32,52,49,46,57,53,56,32,
      51,52,46,54,53,53,56,32,50,57,46,54,53,50,56,32,50,54,46,49,48,50,53,32,50,
      51,46,52,49,48,50,32,50,48,46,55,49,52,10,32,32,49,56,46,48,53,50,32,49,52,
      46,51,48,52,52,32,49,48,46,51,57,49,55,32,54,46,57,50,48,49,55,32,51,46,55,
      56,57,50,52,32,50,46,48,48,52,55,53,32,49,46,49,51,49,49,57,32,46,54,57,57,
      49,56,57,32,46,53,54,52,55,50,49,32,46,53,56,55,54,56,32,46,55,49,57,56,55,
      55,10,32,32,46,56,57,52,53,54,55,32,49,46,48,56,56,49,56,32,49,46,50,53,51,
      56,56,32,49,46,51,51,56,54,56,32,49,46,50,57,53,54,56,32,49,46,49,49,52,53,
      52,32,46,56,50,56,49,49,52,32,46,53,54,56,52,54,50,32,46,51,55,51,50,52,49,
      32,46,50,55,50,48,53,54,10,32,32,46,50,57,53,54,52,56,32,46,51,55,53,53,57,
      55,32,46,53,50,50,57,48,54,32,46,55,51,49,55,52,50,32,46,57,51,57,55,54,57,
      32,49,46,49,48,53,48,51,32,49,46,49,56,55,56,50,32,49,46,49,54,56,50,57,32,
      49,46,48,55,53,55,52,32,46,57,51,52,48,52,56,10,32,32,46,55,55,51,48,48,53,
      32,46,54,54,55,54,50,56,32,46,53,56,51,48,50,56,32,46,53,49,48,50,55,57,32,
      46,52,50,57,49,55,32,46,51,51,51,54,57,50,32,46,50,55,57,48,55,52,32,46,50,
      54,48,54,51,57,32,46,50,54,48,54,53,32,46,50,54,51,49,57,57,32,46,50,54,48,
      53,55,57,10,32,32,46,50,54,54,51,57,51,32,46,50,56,55,49,49,50,32,46,51,49,
      54,52,56,53,32,46,51,51,53,50,49,50,32,46,51,51,48,52,57,50,32,46,51,48,54,
      54,50,51,32,46,50,56,52,48,54,52,32,46,50,52,52,54,48,52,32,46,50,49,49,54,
      52,32,46,49,56,49,50,56,49,32,46,49,53,51,53,54,10,32,32,46,49,51,56,51,54,
      51,32,46,49,51,51,54,49,50,32,46,49,51,53,54,56,53,32,46,49,51,57,54,50,50,
      32,46,49,52,51,53,49,57,32,46,49,52,55,54,50,56,32,46,49,53,48,52,53,32,46,
      49,53,50,51,52,51,32,46,49,53,49,54,55,32,46,49,52,56,49,51,56,32,46,49,51,
      55,57,55,53,10,32,32,46,49,50,51,57,57,50,32,46,49,49,53,51,55,57,32,46,49,
      48,55,50,51,54,32,46,48,57,53,56,51,57,52,32,46,48,56,53,52,54,49,49,32,46,
      48,56,48,56,56,49,55,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,52,
      32,46,48,55,50,50,52,49,32,46,48,56,50,49,56,55,49,10,32,32,46,48,55,56,52,
      56,57,49,32,46,48,55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,32,46,48,55,
      49,52,52,52,56,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,32,46,
      48,54,53,48,50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,51,10,
      32,32,46,48,53,57,52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,
      56,51,53,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,32,46,48,53,
      49,55,50,56,55,32,46,48,52,56,53,53,55,50,32,46,48,52,52,53,54,54,49,32,46,
      48,52,49,48,52,53,51,10,32,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,
      50,50,32,46,48,50,57,56,54,49,51,32,46,48,50,55,49,49,53,56,32,46,48,50,51,
      50,52,54,50,32,46,48,49,57,54,56,54,55,32,46,48,49,55,57,48,54,56,32,46,48,
      49,54,49,50,53,53,32,46,48,49,52,48,52,54,51,10,32,32,46,48,49,50,52,54,53,
      51,32,46,48,49,49,48,55,53,51,32,46,48,48,57,54,56,56,49,55,32,46,48,48,56,
      52,56,53,53,49,32,46,48,48,55,53,54,51,52,56,32,46,48,48,54,55,52,55,49,52,
      32,46,48,48,54,48,50,51,51,56,32,46,48,48,53,50,57,53,51,51,32,46,48,48,52,
      53,56,53,53,49,10,32,32,46,48,48,51,57,49,50,51,49,32,46,48,48,51,51,57,52,
      53,55,32,46,48,48,50,57,48,50,32,46,48,48,50,53,50,50,49,51,32,46,48,48,50,
      49,57,51,53,50,32,46,48,48,49,56,55,57,55,57,32,46,48,48,49,53,57,52,52,53,
      32,46,48,48,49,52,48,52,56,51,32,46,48,48,49,50,49,52,48,55,10,32,32,46,48,
      48,49,48,54,56,52,32,46,48,48,48,57,51,50,51,57,49,32,46,48,48,48,56,49,52,
      48,55,57,32,46,48,48,48,55,49,49,48,53,57,32,46,48,48,48,54,50,49,51,49,56,
      32,46,48,48,48,53,52,51,49,48,51,32,46,48,48,48,52,55,52,57,48,53,32,46,48,
      48,48,52,49,53,52,48,56,10,32,32,46,48,48,48,51,54,51,52,56,51,32,46,48,48,
      48,51,49,56,49,52,53,32,46,48,48,48,50,55,56,53,52,51,32,46,48,48,48,50,52,
      51,57,50,54,32,46,48,48,48,50,49,51,54,55,55,32,46,48,48,48,49,56,55,50,50,
      56,32,46,48,48,48,49,54,52,48,57,51,32,46,48,48,48,49,52,51,56,52,57,10,32,
      32,46,48,48,48,49,50,54,49,52,49,32,46,48,48,48,49,49,48,54,50,57,32,57,46,
      55,48,51,54,57,101,45,48,53,32,56,46,53,49,51,56,49,101,45,48,53,32,55,46,52,
      55,49,50,53,101,45,48,53,32,54,46,53,53,55,53,57,101,45,48,53,32,53,46,55,53,
      54,54,53,101,45,48,53,10,32,32,53,46,48,53,52,52,51,101,45,48,53,32,52,46,52,
      51,57,48,54,101,45,48,53,32,51,46,56,57,56,56,52,101,45,48,53,32,51,46,52,50,
      52,56,57,101,45,48,53,32,51,46,48,48,57,48,51,101,45,48,53,32,50,46,54,52,52,
      48,51,101,45,48,53,32,50,46,51,50,51,54,51,101,45,48,53,10,32,32,50,46,48,52,
      50,51,52,101,45,48,53,32,49,46,55,57,53,49,49,101,45,48,53,32,49,46,53,55,56,
      50,101,45,48,53,32,49,46,52,50,55,57,101,45,48,53,32,49,46,50,57,50,48,50,101,
      45,48,53,32,49,46,49,54,57,49,52,101,45,48,53,32,49,46,48,53,56,48,51,101,45,
      48,53,10,32,32,57,46,53,55,54,56,57,101,45,48,54,32,56,46,53,53,55,54,50,101,
      45,48,54,32,55,46,52,50,50,50,54,101,45,48,54,32,54,46,52,51,56,51,55,101,45,
      48,54,32,53,46,53,56,53,54,51,101,45,48,54,32,52,46,56,52,54,52,101,45,48,54,
      32,52,46,50,48,53,52,57,101,45,48,54,10,32,32,51,46,54,52,57,55,55,101,45,48,
      54,32,51,46,49,54,55,56,53,101,45,48,54,32,50,46,55,52,57,56,52,101,45,48,54,
      32,50,46,51,56,55,50,53,101,45,48,54,32,50,46,48,55,50,54,56,101,45,48,54,32,
      49,46,55,57,57,55,52,101,45,48,54,32,49,46,53,54,50,57,101,45,48,54,10,32,32,
      49,46,51,53,55,51,53,101,45,48,54,32,49,46,49,55,56,57,52,101,45,48,54,32,49,
      46,48,50,52,48,56,101,45,48,54,32,56,46,56,57,54,51,56,101,45,48,55,32,55,46,
      55,50,57,48,56,101,45,48,55,32,54,46,55,49,53,52,55,101,45,48,55,32,53,46,56,
      51,53,50,57,101,45,48,55,10,32,32,53,46,48,55,48,56,55,101,45,48,55,32,52,46,
      52,48,53,56,101,45,48,55,32,51,46,56,51,48,50,51,101,45,48,55,32,51,46,51,50,
      57,50,50,101,45,48,55,32,50,46,56,57,51,57,54,101,45,48,55,32,50,46,53,49,53,
      55,57,101,45,48,55,32,50,46,49,56,55,50,101,45,48,55,10,32,32,49,46,57,48,49,
      54,52,101,45,48,55,32,49,46,54,53,51,52,55,101,45,48,55,32,49,46,52,51,55,55,
      57,101,45,48,55,32,49,46,50,53,48,51,50,101,45,48,55,32,49,46,48,56,55,51,54,
      101,45,48,55,32,57,46,52,53,54,57,57,101,45,48,56,32,56,46,50,50,53,52,101,
      45,48,56,10,32,32,55,46,49,53,52,54,52,101,45,48,56,32,54,46,50,50,51,54,49,
      101,45,48,56,32,53,46,52,49,52,48,53,101,45,48,56,32,52,46,48,57,55,56,51,101,
      45,48,56,32,51,46,49,48,50,49,55,101,45,48,56,32,50,46,51,52,56,57,54,101,45,
      48,56,32,49,46,55,55,56,57,56,101,45,48,56,10,32,32,49,46,51,52,55,53,54,101,
      45,48,56,32,49,46,48,50,48,57,53,101,45,48,56,32,55,46,55,51,54,51,50,101,45,
      48,57,32,53,46,56,54,51,50,55,101,45,48,57,32,52,46,52,52,52,52,52,101,45,48,
      57,32,51,46,51,54,57,52,56,101,45,48,57,32,50,46,53,53,52,57,101,45,48,57,10,
      32,32,49,46,57,51,55,53,52,101,45,48,57,32,49,46,52,54,57,53,55,101,45,48,57,
      32,49,46,49,49,52,55,57,101,45,48,57,32,56,46,52,53,55,54,54,101,45,49,48,32,
      54,46,52,49,55,53,101,45,49,48,32,52,46,56,55,48,48,57,101,45,49,48,32,51,46,
      54,57,54,50,55,101,45,49,48,10,32,32,50,46,56,48,53,55,101,45,49,48,32,50,46,
      49,50,57,57,52,101,45,49,48,32,49,46,54,49,55,49,51,101,45,49,48,32,49,46,50,
      50,55,57,50,101,45,49,48,32,57,46,51,50,52,57,49,101,45,49,49,32,55,46,48,56,
      50,48,57,101,45,49,49,32,53,46,51,55,57,50,52,101,45,49,49,10,32,32,52,46,48,
      56,54,50,52,101,45,49,49,32,51,46,49,48,52,51,52,101,45,49,49,32,50,46,51,53,
      56,54,49,101,45,49,49,32,49,46,55,57,50,50,52,101,45,49,49,32,51,46,51,54,56,
      54,55,101,45,48,53,32,46,48,49,54,56,50,51,56,32,46,48,51,55,56,56,48,51,32,
      46,48,52,49,57,53,49,51,10,32,32,46,49,54,56,48,55,51,32,46,51,55,55,54,57,
      32,46,54,54,56,52,53,55,32,49,46,48,51,54,49,56,32,49,46,52,55,51,53,57,32,
      49,46,57,54,54,51,57,32,50,46,52,57,56,32,51,46,48,52,50,32,51,46,53,55,49,
      57,53,32,52,46,48,54,48,52,49,32,52,46,52,55,57,53,54,10,32,32,52,46,56,49,
      56,50,56,32,53,46,48,54,53,49,53,32,53,46,50,50,54,56,50,32,53,46,51,48,53,
      49,52,32,53,46,51,48,56,48,57,32,53,46,50,53,51,57,55,32,53,46,49,55,57,57,
      56,32,53,46,48,55,51,48,49,32,52,46,57,53,48,53,51,32,52,46,56,49,49,56,54,
      10,32,32,52,46,54,54,57,53,52,32,52,46,53,52,56,54,55,32,52,46,52,50,57,53,
      51,32,52,46,51,49,51,49,56,32,52,46,50,48,49,56,49,32,52,46,49,51,53,54,32,
      52,46,48,53,57,54,57,32,51,46,57,55,57,53,53,32,51,46,57,48,50,57,57,32,51,
      46,56,53,51,32,51,46,56,50,51,56,49,10,32,32,51,46,55,57,53,50,32,51,46,55,
      54,55,49,56,32,51,46,55,52,49,53,49,32,51,46,55,53,49,55,54,32,51,46,55,54,
      48,56,52,32,51,46,55,54,56,55,53,32,51,46,55,55,53,54,52,32,51,46,55,57,56,
      53,32,51,46,56,51,51,49,56,32,51,46,56,54,53,57,52,32,51,46,56,57,54,56,55,
      10,32,32,51,46,57,50,55,52,51,32,51,46,57,55,55,50,52,32,52,46,48,50,52,56,
      51,32,52,46,48,55,48,51,50,32,52,46,49,49,51,56,32,52,46,49,54,51,48,51,32,
      52,46,50,49,54,48,54,32,52,46,50,54,55,48,49,32,52,46,51,49,53,57,51,32,52,
      46,51,54,51,50,52,32,52,46,52,49,50,53,49,10,32,32,52,46,52,53,57,57,51,32,
      52,46,53,48,53,53,57,32,52,46,53,52,57,53,51,32,52,46,53,56,57,50,32,52,46,
      54,50,53,52,56,32,52,46,54,53,56,57,54,32,52,46,54,56,57,53,55,32,52,46,55,
      49,55,49,53,32,52,46,55,51,51,51,52,32,52,46,55,52,56,54,52,32,52,46,55,54,
      51,48,57,10,32,32,52,46,55,55,54,55,52,32,52,46,55,56,49,32,52,46,55,55,56,
      56,52,32,52,46,55,55,54,51,56,32,52,46,55,55,51,54,51,32,52,46,55,54,57,50,
      55,32,52,46,55,53,50,49,50,32,52,46,55,51,53,49,51,32,52,46,55,49,56,51,32,
      52,46,55,48,49,54,50,32,52,46,54,55,57,54,52,10,32,32,52,46,54,53,52,51,57,
      32,52,46,54,50,57,53,52,32,52,46,54,48,53,32,52,46,53,56,48,57,51,32,52,46,
      53,53,55,52,49,32,52,46,53,51,51,57,51,32,52,46,53,49,48,56,57,32,52,46,52,
      56,56,51,53,32,52,46,52,55,51,57,52,32,52,46,52,54,52,50,57,32,52,46,52,53,
      52,50,57,10,32,32,52,46,52,52,52,52,32,52,46,52,51,55,57,57,32,52,46,52,53,
      54,51,50,32,52,46,52,55,52,49,32,52,46,52,57,49,51,54,32,52,46,53,48,56,49,
      32,52,46,53,53,51,52,54,32,52,46,54,49,53,50,56,32,52,46,54,55,54,48,49,32,
      52,46,55,51,53,54,53,32,52,46,56,48,51,49,10,32,32,52,46,57,50,56,51,51,32,
      53,46,48,53,50,52,51,32,53,46,49,55,53,51,52,32,53,46,50,57,55,48,54,32,53,
      46,52,55,54,53,54,32,53,46,54,56,57,52,32,53,46,57,48,50,48,50,32,54,46,49,
      49,52,51,32,54,46,51,52,51,51,55,32,54,46,54,55,55,53,32,55,46,48,49,51,57,
      54,10,32,32,55,46,51,53,50,51,54,32,55,46,54,57,49,51,49,32,56,46,49,51,49,
      57,57,32,56,46,54,51,50,56,56,32,57,46,49,51,57,49,51,32,57,46,54,53,48,53,
      50,32,49,48,46,49,57,53,57,32,49,48,46,57,48,57,32,49,49,46,54,51,51,53,32,
      49,50,46,51,54,56,53,32,49,51,46,49,49,50,57,10,32,32,49,52,46,48,49,52,54,
      32,49,53,46,48,48,57,32,49,54,46,48,50,48,51,32,49,55,46,48,52,55,51,32,49,
      56,46,49,51,48,51,32,49,57,46,52,52,48,54,32,50,48,46,55,54,56,51,32,50,50,
      46,48,57,51,49,32,50,51,46,52,51,51,49,32,50,52,46,57,54,48,53,32,50,54,46,
      53,57,51,54,10,32,32,50,56,46,50,53,48,56,32,50,57,46,57,50,56,54,32,51,49,
      46,54,54,56,54,32,51,51,46,54,50,52,50,32,51,53,46,54,48,53,52,32,51,55,46,
      54,49,49,51,32,51,57,46,54,51,55,53,32,52,49,46,56,49,49,50,32,52,52,46,48,
      54,57,32,52,54,46,51,52,56,50,32,52,56,46,54,52,56,50,10,32,32,53,48,46,57,
      56,54,54,32,53,51,46,52,50,54,55,32,53,53,46,56,56,52,51,32,53,56,46,51,53,
      57,51,32,54,48,46,56,53,48,50,32,54,51,46,51,52,49,49,32,54,53,46,56,51,57,
      49,32,54,56,46,51,52,55,57,32,55,48,46,56,54,54,53,32,55,51,46,51,53,56,56,
      10,32,32,55,53,46,55,49,56,55,32,55,56,46,48,56,49,56,32,56,49,46,50,51,53,
      52,32,56,55,46,56,50,56,53,32,57,53,46,56,49,49,51,32,49,48,50,46,55,51,50,
      32,49,48,48,46,51,57,52,32,57,49,46,50,51,51,52,32,55,55,46,55,57,52,52,32,
      54,51,46,56,57,52,49,10,32,32,53,49,46,53,53,55,53,32,52,49,46,54,49,55,53,
      32,51,52,46,52,48,54,50,32,50,57,46,52,53,57,57,32,50,53,46,57,52,54,56,32,
      50,51,46,50,56,48,57,32,50,48,46,54,48,57,52,32,49,55,46,57,54,57,50,32,49,
      52,46,50,52,56,50,32,49,48,46,51,53,56,54,10,32,32,54,46,57,48,51,52,50,32,
      51,46,55,56,51,52,52,32,50,46,48,48,51,49,32,49,46,49,51,48,55,53,32,46,54,
      57,57,48,54,55,32,46,53,54,52,54,54,54,32,46,53,56,55,54,50,55,32,46,55,49,
      57,55,57,50,32,46,56,57,52,52,50,55,32,49,46,48,56,55,57,32,49,46,50,53,51,
      53,10,32,32,49,46,51,51,56,50,54,32,49,46,50,57,53,51,57,32,49,46,49,49,52,
      52,49,32,46,56,50,56,48,53,51,32,46,53,54,56,52,53,32,46,51,55,51,50,51,56,
      32,46,50,55,50,48,53,52,32,46,50,57,53,54,52,55,32,46,51,55,53,53,57,53,32,
      46,53,50,50,57,48,49,32,46,55,51,49,55,51,50,10,32,32,46,57,51,57,55,53,50,
      32,49,46,49,48,53,32,49,46,49,56,55,55,57,32,49,46,49,54,56,50,55,32,49,46,
      48,55,53,55,51,32,46,57,51,52,48,52,32,46,55,55,51,32,46,54,54,55,54,50,53,
      32,46,53,56,51,48,49,56,32,46,53,49,48,50,55,55,32,46,52,50,57,49,54,56,10,
      32,32,46,51,51,51,54,57,50,32,46,50,55,57,48,55,51,32,46,50,54,48,54,51,56,
      32,46,50,54,48,54,52,57,32,46,50,54,51,49,57,57,32,46,50,54,48,53,55,56,32,
      46,50,54,54,51,57,50,32,46,50,56,55,49,49,50,32,46,51,49,54,52,56,52,32,46,
      51,51,53,50,49,49,10,32,32,46,51,51,48,52,57,49,32,46,51,48,54,54,50,50,32,
      46,50,56,52,48,54,52,32,46,50,52,52,54,48,51,32,46,50,49,49,54,52,32,46,49,
      56,49,50,56,49,32,46,49,53,51,53,54,32,46,49,51,56,51,54,51,32,46,49,51,51,
      54,49,50,32,46,49,51,53,54,56,52,32,46,49,51,57,54,50,50,10,32,32,46,49,52,
      51,53,49,57,32,46,49,52,55,54,50,55,32,46,49,53,48,52,53,32,46,49,53,50,51,
      52,51,32,46,49,53,49,54,55,32,46,49,52,56,49,51,56,32,46,49,51,55,57,55,53,
      32,46,49,50,51,57,57,50,32,46,49,49,53,51,55,57,32,46,49,48,55,50,51,54,32,
      46,48,57,53,56,51,57,52,10,32,32,46,48,56,53,52,54,49,49,32,46,48,56,48,56,
      56,49,55,32,46,48,55,53,54,48,57,52,32,46,48,55,51,54,51,48,52,32,46,48,55,
      50,50,52,49,32,46,48,56,50,49,56,55,49,32,46,48,55,56,52,56,57,49,32,46,48,
      55,55,48,50,52,50,32,46,48,55,52,51,48,53,52,10,32,32,46,48,55,49,52,52,52,
      56,32,46,48,54,57,49,54,56,57,32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,
      50,49,57,32,46,48,54,51,49,53,57,32,46,48,54,49,49,55,50,51,32,46,48,53,57,
      52,55,51,53,32,46,48,53,55,54,54,56,51,32,46,48,53,54,51,56,51,53,10,32,32,
      46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,55,32,46,48,53,49,55,50,56,
      55,32,46,48,52,56,53,53,55,50,32,46,48,52,52,53,54,54,49,32,46,48,52,49,48,
      52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,53,56,50,50,32,46,48,50,
      57,56,54,49,51,10,32,32,46,48,50,55,49,49,53,56,32,46,48,50,51,50,52,54,50,
      32,46,48,49,57,54,56,54,55,32,46,48,49,55,57,48,54,55,32,46,48,49,54,49,50,
      53,53,32,46,48,49,52,48,52,54,50,32,46,48,49,50,52,54,53,50,32,46,48,49,49,
      48,55,53,51,32,46,48,48,57,54,56,56,49,54,10,32,32,46,48,48,56,52,56,53,53,
      32,46,48,48,55,53,54,51,52,54,32,46,48,48,54,55,52,55,49,50,32,46,48,48,54,
      48,50,51,51,54,32,46,48,48,53,50,57,53,51,50,32,46,48,48,52,53,56,53,53,32,
      46,48,48,51,57,49,50,51,32,46,48,48,51,51,57,52,53,54,32,46,48,48,50,57,48,
      50,10,32,32,46,48,48,50,53,50,50,49,51,32,46,48,48,50,49,57,51,53,50,32,46,
      48,48,49,56,55,57,55,57,32,46,48,48,49,53,57,52,52,53,32,46,48,48,49,52,48,
      52,56,50,32,46,48,48,49,50,49,52,48,55,32,46,48,48,49,48,54,56,52,32,46,48,
      48,48,57,51,50,51,56,57,10,32,32,46,48,48,48,56,49,52,48,55,56,32,46,48,48,
      48,55,49,49,48,53,56,32,46,48,48,48,54,50,49,51,49,54,32,46,48,48,48,53,52,
      51,49,48,50,32,46,48,48,48,52,55,52,57,48,52,32,46,48,48,48,52,49,53,52,48,
      55,32,46,48,48,48,51,54,51,52,56,50,32,46,48,48,48,51,49,56,49,52,52,10,32,
      32,46,48,48,48,50,55,56,53,52,50,32,46,48,48,48,50,52,51,57,50,53,32,46,48,
      48,48,50,49,51,54,55,55,32,46,48,48,48,49,56,55,50,50,55,32,46,48,48,48,49,
      54,52,48,57,50,32,46,48,48,48,49,52,51,56,52,57,32,46,48,48,48,49,50,54,49,
      52,49,32,46,48,48,48,49,49,48,54,50,57,10,32,32,57,46,55,48,51,54,55,101,45,
      48,53,32,56,46,53,49,51,55,57,101,45,48,53,32,55,46,52,55,49,50,52,101,45,48,
      53,32,54,46,53,53,55,53,56,101,45,48,53,32,53,46,55,53,54,54,52,101,45,48,53,
      32,53,46,48,53,52,52,50,101,45,48,53,32,52,46,52,51,57,48,53,101,45,48,53,10,
      32,32,51,46,56,57,56,56,51,101,45,48,53,32,51,46,52,50,52,56,57,101,45,48,53,
      32,51,46,48,48,57,48,50,101,45,48,53,32,50,46,54,52,52,48,51,101,45,48,53,32,
      50,46,51,50,51,54,50,101,45,48,53,32,50,46,48,52,50,51,51,101,45,48,53,32,49,
      46,55,57,53,49,101,45,48,53,10,32,32,49,46,53,55,56,50,101,45,48,53,32,49,46,
      52,50,55,57,101,45,48,53,32,49,46,50,57,50,48,49,101,45,48,53,32,49,46,49,54,
      57,49,52,101,45,48,53,32,49,46,48,53,56,48,51,101,45,48,53,32,57,46,53,55,54,
      56,55,101,45,48,54,32,56,46,53,53,55,54,49,101,45,48,54,10,32,32,55,46,52,50,
      50,50,53,101,45,48,54,32,54,46,52,51,56,51,54,101,45,48,54,32,53,46,53,56,53,
      54,49,101,45,48,54,32,52,46,56,52,54,51,57,101,45,48,54,32,52,46,50,48,53,52,
      56,101,45,48,54,32,51,46,54,52,57,55,54,101,45,48,54,32,51,46,49,54,55,56,52,
      101,45,48,54,10,32,32,50,46,55,52,57,56,52,101,45,48,54,32,50,46,51,56,55,50,
      52,101,45,48,54,32,50,46,48,55,50,54,55,101,45,48,54,32,49,46,55,57,57,55,52,
      101,45,48,54,32,49,46,53,54,50,57,101,45,48,54,32,49,46,51,53,55,51,53,101,
      45,48,54,32,49,46,49,55,56,57,52,101,45,48,54,10,32,32,49,46,48,50,52,48,56,
      101,45,48,54,32,56,46,56,57,54,51,54,101,45,48,55,32,55,46,55,50,57,48,54,101,
      45,48,55,32,54,46,55,49,53,52,54,101,45,48,55,32,53,46,56,51,53,50,55,101,45,
      48,55,32,53,46,48,55,48,56,54,101,45,48,55,32,52,46,52,48,53,55,57,101,45,48,
      55,10,32,32,51,46,56,51,48,50,51,101,45,48,55,32,51,46,51,50,57,50,49,101,45,
      48,55,32,50,46,56,57,51,57,53,101,45,48,55,32,50,46,53,49,53,55,57,101,45,48,
      55,32,50,46,49,56,55,49,57,101,45,48,55,32,49,46,57,48,49,54,52,101,45,48,55,
      32,49,46,54,53,51,52,55,101,45,48,55,10,32,32,49,46,52,51,55,55,56,101,45,48,
      55,32,49,46,50,53,48,51,49,101,45,48,55,32,49,46,48,56,55,51,54,101,45,48,55,
      32,57,46,52,53,54,57,55,101,45,48,56,32,56,46,50,50,53,51,57,101,45,48,56,32,
      55,46,49,53,52,54,51,101,45,48,56,32,54,46,50,50,51,54,101,45,48,56,10,32,32,
      53,46,52,49,52,48,52,101,45,48,56,32,52,46,48,57,55,56,50,101,45,48,56,32,51,
      46,49,48,50,49,54,101,45,48,56,32,50,46,51,52,56,57,54,101,45,48,56,32,49,46,
      55,55,56,57,56,101,45,48,56,32,49,46,51,52,55,53,54,101,45,48,56,32,49,46,48,
      50,48,57,53,101,45,48,56,10,32,32,55,46,55,51,54,51,49,101,45,48,57,32,53,46,
      56,54,51,50,53,101,45,48,57,32,52,46,52,52,52,52,51,101,45,48,57,32,51,46,51,
      54,57,52,55,101,45,48,57,32,50,46,53,53,52,57,101,45,48,57,32,49,46,57,51,55,
      53,52,101,45,48,57,32,49,46,52,54,57,53,55,101,45,48,57,10,32,32,49,46,49,49,
      52,55,56,101,45,48,57,32,56,46,52,53,55,54,53,101,45,49,48,32,54,46,52,49,55,
      52,56,101,45,49,48,32,52,46,56,55,48,48,56,101,45,49,48,32,51,46,54,57,54,50,
      54,101,45,49,48,32,50,46,56,48,53,54,57,101,45,49,48,32,50,46,49,50,57,57,52,
      101,45,49,48,10,32,32,49,46,54,49,55,49,51,101,45,49,48,32,49,46,50,50,55,57,
      50,101,45,49,48,32,57,46,51,50,52,56,57,101,45,49,49,32,55,46,48,56,50,48,56,
      101,45,49,49,32,53,46,51,55,57,50,51,101,45,49,49,32,52,46,48,56,54,50,51,101,
      45,49,49,32,51,46,49,48,52,51,51,101,45,49,49,10,32,32,50,46,51,53,56,54,49,
      101,45,49,49,32,49,46,55,57,50,50,51,101,45,49,49,32,50,46,57,51,56,56,51,101,
      45,48,53,32,46,48,49,48,55,55,50,52,32,46,48,50,52,50,53,53,49,32,46,48,50,
      54,56,54,49,57,32,46,49,48,55,54,50,56,32,46,50,52,49,57,53,50,32,46,52,50,
      56,54,54,53,10,32,32,46,54,54,53,56,53,53,32,46,57,53,48,53,49,53,32,49,46,
      50,55,54,50,53,32,49,46,54,51,53,50,51,32,50,46,48,49,53,51,53,32,50,46,52,
      48,51,55,56,32,50,46,55,56,52,50,51,32,51,46,49,52,48,56,50,32,51,46,52,54,
      48,48,55,32,51,46,55,51,49,49,32,51,46,57,53,50,55,54,10,32,32,52,46,49,49,
      53,55,50,32,52,46,50,50,49,51,57,32,52,46,50,55,54,48,55,32,52,46,51,48,53,
      50,56,32,52,46,51,48,48,48,50,32,52,46,50,54,55,56,51,32,52,46,50,48,49,57,
      51,32,52,46,49,52,49,50,53,32,52,46,48,56,55,55,53,32,52,46,48,50,55,57,51,
      10,32,32,51,46,57,52,53,55,51,32,51,46,56,54,51,51,54,32,51,46,56,49,56,50,
      49,32,51,46,55,55,50,54,52,32,51,46,55,50,54,56,32,51,46,54,56,49,49,49,32,
      51,46,54,53,54,48,54,32,51,46,54,52,55,52,56,32,51,46,54,51,54,51,53,32,51,
      46,54,49,53,50,57,32,51,46,53,57,53,52,50,10,32,32,51,46,54,48,57,48,55,32,
      51,46,54,50,49,52,52,32,51,46,54,51,50,53,51,32,51,46,54,52,50,52,55,32,51,
      46,54,54,55,52,50,32,51,46,55,48,51,52,55,32,51,46,55,51,55,54,50,32,51,46,
      55,54,57,57,55,32,51,46,56,48,49,56,56,32,51,46,56,53,50,48,55,10,32,32,51,
      46,57,48,48,49,50,32,51,46,57,52,54,49,51,32,51,46,57,57,48,49,56,32,52,46,
      48,51,57,55,32,52,46,48,57,50,56,50,32,52,46,49,52,51,57,52,32,52,46,49,57,
      51,48,57,32,52,46,50,52,48,54,55,32,52,46,50,57,48,49,50,32,52,46,51,51,55,
      55,55,32,52,46,51,56,51,55,49,10,32,32,52,46,52,50,55,57,56,32,52,46,52,54,
      56,49,52,32,52,46,53,48,53,48,49,32,52,46,53,52,48,53,32,52,46,53,55,52,54,
      54,32,52,46,54,48,54,54,54,32,52,46,54,50,55,56,56,32,52,46,54,52,56,49,52,
      32,52,46,54,54,55,52,54,32,52,46,54,56,53,57,49,32,52,46,54,57,53,51,56,10,
      32,32,52,46,54,57,56,54,51,32,52,46,55,48,49,52,52,32,52,46,55,48,51,56,50,
      32,52,46,55,48,52,53,49,32,52,46,54,57,50,56,56,32,52,46,54,56,49,50,51,32,
      52,46,54,54,57,53,52,32,52,46,54,53,55,56,53,32,52,46,54,52,48,56,57,32,52,
      46,54,50,48,50,54,10,32,32,52,46,53,57,54,49,57,32,52,46,53,55,50,51,49,32,
      52,46,53,52,56,56,57,32,52,46,53,50,54,32,52,46,53,48,51,49,51,32,52,46,52,
      56,48,54,56,32,52,46,52,53,56,55,49,32,52,46,52,52,52,55,57,32,52,46,52,51,
      53,53,54,32,52,46,52,50,53,57,54,32,52,46,52,49,54,52,56,10,32,32,52,46,52,
      49,48,52,51,32,52,46,52,50,56,56,57,32,52,46,52,52,54,56,49,32,52,46,52,54,
      52,50,32,52,46,52,56,49,48,57,32,52,46,53,50,54,51,51,32,52,46,53,56,55,56,
      56,32,52,46,54,52,56,51,55,32,52,46,55,48,55,55,55,32,52,46,55,55,52,57,49,
      32,52,46,56,57,57,51,50,10,32,32,53,46,48,50,50,54,49,32,53,46,49,52,52,55,
      51,32,53,46,50,54,53,54,55,32,53,46,52,52,51,56,55,32,53,46,54,53,53,49,49,
      32,53,46,56,54,54,49,51,32,54,46,48,55,54,56,49,32,54,46,51,48,52,49,51,32,
      54,46,54,51,53,53,49,32,54,46,57,54,57,50,32,55,46,51,48,52,55,56,10,32,32,
      55,46,54,52,48,56,53,32,56,46,48,55,55,54,50,32,56,46,53,55,51,57,55,32,57,
      46,48,55,53,53,51,32,57,46,53,56,50,49,51,32,49,48,46,49,50,50,51,32,49,48,
      46,56,50,49,51,32,49,49,46,53,50,49,53,32,49,50,46,50,51,48,54,32,49,50,46,
      57,52,55,52,10,32,32,49,51,46,56,49,50,54,32,49,52,46,55,54,51,55,32,49,53,
      46,55,50,56,55,32,49,54,46,55,48,54,54,32,49,55,46,55,51,53,32,49,56,46,57,
      55,52,32,50,48,46,50,51,50,49,32,50,49,46,53,48,56,51,32,50,50,46,55,57,57,
      51,32,50,52,46,50,54,57,49,32,50,53,46,56,51,57,50,10,32,32,50,55,46,52,51,
      49,32,50,57,46,48,52,49,53,32,51,48,46,55,49,48,51,32,51,50,46,53,56,51,53,
      32,51,52,46,52,55,57,56,32,51,54,46,51,57,56,49,32,51,56,46,51,51,52,51,32,
      52,48,46,52,48,57,52,32,52,50,46,53,54,50,56,32,52,52,46,55,51,53,32,52,54,
      46,57,50,53,51,10,32,32,52,57,46,49,53,48,55,32,53,49,46,52,55,48,56,32,53,
      51,46,56,48,54,32,53,54,46,49,53,54,49,32,53,56,46,53,50,48,49,32,54,48,46,
      56,56,50,54,32,54,51,46,50,53,48,55,32,54,53,46,54,50,55,56,32,54,56,46,48,
      49,51,49,32,55,48,46,51,55,50,54,32,55,50,46,54,48,55,50,10,32,32,55,52,46,
      56,51,53,56,32,55,55,46,56,48,49,53,32,56,51,46,56,55,56,51,32,57,49,46,50,
      57,50,49,32,57,56,46,48,49,50,49,32,57,54,46,50,57,32,56,55,46,56,49,49,52,
      32,55,53,46,49,57,51,32,54,50,46,48,49,57,32,53,48,46,50,54,49,51,32,52,49,
      46,48,49,48,51,10,32,32,51,52,46,49,53,56,53,32,50,57,46,50,54,56,50,32,50,
      53,46,55,57,50,49,32,50,51,46,49,53,50,52,32,50,48,46,53,48,53,51,32,49,55,
      46,56,56,54,56,32,49,52,46,49,57,50,52,32,49,48,46,51,50,53,54,32,54,46,56,
      56,54,55,50,32,51,46,55,55,55,54,53,10,32,32,50,46,48,48,49,52,53,32,49,46,
      49,51,48,51,49,32,46,54,57,56,57,52,55,32,46,53,54,52,54,49,49,32,46,53,56,
      55,53,55,53,32,46,55,49,57,55,48,56,32,46,56,57,52,50,56,56,32,49,46,48,56,
      55,54,49,32,49,46,50,53,51,49,50,32,49,46,51,51,55,56,53,10,32,32,49,46,50,
      57,53,49,49,32,49,46,49,49,52,50,55,32,46,56,50,55,57,57,50,32,46,53,54,56,
      52,51,53,32,46,51,55,51,50,51,53,32,46,50,55,50,48,53,51,32,46,50,57,53,54,
      52,53,32,46,51,55,53,53,57,51,32,46,53,50,50,56,57,54,32,46,55,51,49,55,50,
      32,46,57,51,57,55,50,56,10,32,32,49,46,49,48,52,57,55,32,49,46,49,56,55,55,
      54,32,49,46,49,54,56,50,52,32,49,46,48,55,53,55,49,32,46,57,51,52,48,50,57,
      32,46,55,55,50,57,57,54,32,46,54,54,55,54,50,49,32,46,53,56,51,48,48,53,32,
      46,53,49,48,50,55,54,32,46,52,50,57,49,54,54,10,32,32,46,51,51,51,54,57,49,
      32,46,50,55,57,48,55,50,32,46,50,54,48,54,51,54,32,46,50,54,48,54,52,56,32,
      46,50,54,51,49,57,56,32,46,50,54,48,53,55,56,32,46,50,54,54,51,57,50,32,46,
      50,56,55,49,49,50,32,46,51,49,54,52,56,52,32,46,51,51,53,50,49,49,10,32,32,
      46,51,51,48,52,57,49,32,46,51,48,54,54,50,49,32,46,50,56,52,48,54,52,32,46,
      50,52,52,54,48,51,32,46,50,49,49,54,52,32,46,49,56,49,50,56,49,32,46,49,53,
      51,53,54,32,46,49,51,56,51,54,51,32,46,49,51,51,54,49,50,32,46,49,51,53,54,
      56,52,32,46,49,51,57,54,50,50,10,32,32,46,49,52,51,53,49,57,32,46,49,52,55,
      54,50,55,32,46,49,53,48,52,53,32,46,49,53,50,51,52,51,32,46,49,53,49,54,55,
      32,46,49,52,56,49,51,56,32,46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,
      46,49,49,53,51,55,57,32,46,49,48,55,50,51,54,32,46,48,57,53,56,51,57,52,10,
      32,32,46,48,56,53,52,54,49,49,32,46,48,56,48,56,56,49,54,32,46,48,55,53,54,
      48,57,52,32,46,48,55,51,54,51,48,52,32,46,48,55,50,50,52,48,57,32,46,48,56,
      50,49,56,55,49,32,46,48,55,56,52,56,57,49,32,46,48,55,55,48,50,52,50,32,46,
      48,55,52,51,48,53,52,10,32,32,46,48,55,49,52,52,52,55,32,46,48,54,57,49,54,
      56,57,32,46,48,54,54,57,56,53,52,32,46,48,54,53,48,50,49,56,32,46,48,54,51,
      49,53,57,32,46,48,54,49,49,55,50,51,32,46,48,53,57,52,55,51,53,32,46,48,53,
      55,54,54,56,51,32,46,48,53,54,51,56,51,53,10,32,32,46,48,53,52,51,54,51,52,
      32,46,48,53,51,49,54,56,55,32,46,48,53,49,55,50,56,55,32,46,48,52,56,53,53,
      55,49,32,46,48,52,52,53,54,54,49,32,46,48,52,49,48,52,53,51,32,46,48,51,55,
      48,57,53,52,32,46,48,51,51,53,56,50,50,32,46,48,50,57,56,54,49,51,10,32,32,
      46,48,50,55,49,49,53,56,32,46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,
      55,32,46,48,49,55,57,48,54,55,32,46,48,49,54,49,50,53,53,32,46,48,49,52,48,
      52,54,50,32,46,48,49,50,52,54,53,50,32,46,48,49,49,48,55,53,51,32,46,48,48,
      57,54,56,56,49,52,10,32,32,46,48,48,56,52,56,53,52,56,32,46,48,48,55,53,54,
      51,52,53,32,46,48,48,54,55,52,55,49,49,32,46,48,48,54,48,50,51,51,53,32,46,
      48,48,53,50,57,53,51,49,32,46,48,48,52,53,56,53,52,57,32,46,48,48,51,57,49,
      50,50,57,32,46,48,48,51,51,57,52,53,53,10,32,32,46,48,48,50,57,48,49,57,57,
      32,46,48,48,50,53,50,50,49,50,32,46,48,48,50,49,57,51,53,49,32,46,48,48,49,
      56,55,57,55,56,32,46,48,48,49,53,57,52,52,52,32,46,48,48,49,52,48,52,56,50,
      32,46,48,48,49,50,49,52,48,55,32,46,48,48,49,48,54,56,51,57,10,32,32,46,48,
      48,48,57,51,50,51,56,55,32,46,48,48,48,56,49,52,48,55,54,32,46,48,48,48,55,
      49,49,48,53,54,32,46,48,48,48,54,50,49,51,49,53,32,46,48,48,48,53,52,51,49,
      48,49,32,46,48,48,48,52,55,52,57,48,51,32,46,48,48,48,52,49,53,52,48,54,32,
      46,48,48,48,51,54,51,52,56,50,10,32,32,46,48,48,48,51,49,56,49,52,52,32,46,
      48,48,48,50,55,56,53,52,50,32,46,48,48,48,50,52,51,57,50,53,32,46,48,48,48,
      50,49,51,54,55,54,32,46,48,48,48,49,56,55,50,50,55,32,46,48,48,48,49,54,52,
      48,57,50,32,46,48,48,48,49,52,51,56,52,57,32,46,48,48,48,49,50,54,49,52,49,
      10,32,32,46,48,48,48,49,49,48,54,50,56,32,57,46,55,48,51,54,53,101,45,48,53,
      32,56,46,53,49,51,55,55,101,45,48,53,32,55,46,52,55,49,50,50,101,45,48,53,32,
      54,46,53,53,55,53,54,101,45,48,53,32,53,46,55,53,54,54,51,101,45,48,53,32,53,
      46,48,53,52,52,49,101,45,48,53,10,32,32,52,46,52,51,57,48,52,101,45,48,53,32,
      51,46,56,57,56,56,50,101,45,48,53,32,51,46,52,50,52,56,56,101,45,48,53,32,51,
      46,48,48,57,48,49,101,45,48,53,32,50,46,54,52,52,48,50,101,45,48,53,32,50,46,
      51,50,51,54,50,101,45,48,53,32,50,46,48,52,50,51,51,101,45,48,53,10,32,32,49,
      46,55,57,53,49,101,45,48,53,32,49,46,53,55,56,49,57,101,45,48,53,32,49,46,52,
      50,55,57,101,45,48,53,32,49,46,50,57,50,48,49,101,45,48,53,32,49,46,49,54,57,
      49,52,101,45,48,53,32,49,46,48,53,56,48,51,101,45,48,53,32,57,46,53,55,54,56,
      53,101,45,48,54,10,32,32,56,46,53,53,55,53,57,101,45,48,54,32,55,46,52,50,50,
      50,51,101,45,48,54,32,54,46,52,51,56,51,53,101,45,48,54,32,53,46,53,56,53,54,
      101,45,48,54,32,52,46,56,52,54,51,56,101,45,48,54,32,52,46,50,48,53,52,55,101,
      45,48,54,32,51,46,54,52,57,55,54,101,45,48,54,10,32,32,51,46,49,54,55,56,52,
      101,45,48,54,32,50,46,55,52,57,56,51,101,45,48,54,32,50,46,51,56,55,50,52,101,
      45,48,54,32,50,46,48,55,50,54,55,101,45,48,54,32,49,46,55,57,57,55,52,101,45,
      48,54,32,49,46,53,54,50,56,57,101,45,48,54,32,49,46,51,53,55,51,52,101,45,48,
      54,10,32,32,49,46,49,55,56,57,52,101,45,48,54,32,49,46,48,50,52,48,55,101,45,
      48,54,32,56,46,56,57,54,51,52,101,45,48,55,32,55,46,55,50,57,48,53,101,45,48,
      55,32,54,46,55,49,53,52,52,101,45,48,55,32,53,46,56,51,53,50,54,101,45,48,55,
      32,53,46,48,55,48,56,53,101,45,48,55,10,32,32,52,46,52,48,53,55,56,101,45,48,
      55,32,51,46,56,51,48,50,50,101,45,48,55,32,51,46,51,50,57,50,49,101,45,48,55,
      32,50,46,56,57,51,57,53,101,45,48,55,32,50,46,53,49,53,55,56,101,45,48,55,32,
      50,46,49,56,55,49,57,101,45,48,55,32,49,46,57,48,49,54,51,101,45,48,55,10,32,
      32,49,46,54,53,51,52,55,101,45,48,55,32,49,46,52,51,55,55,56,101,45,48,55,32,
      49,46,50,53,48,51,49,101,45,48,55,32,49,46,48,56,55,51,54,101,45,48,55,32,57,
      46,52,53,54,57,54,101,45,48,56,32,56,46,50,50,53,51,55,101,45,48,56,32,55,46,
      49,53,52,54,50,101,45,48,56,10,32,32,54,46,50,50,51,53,57,101,45,48,56,32,53,
      46,52,49,52,48,51,101,45,48,56,32,52,46,48,57,55,56,49,101,45,48,56,32,51,46,
      49,48,50,49,54,101,45,48,56,32,50,46,51,52,56,57,53,101,45,48,56,32,49,46,55,
      55,56,57,56,101,45,48,56,32,49,46,51,52,55,53,54,101,45,48,56,10,32,32,49,46,
      48,50,48,57,53,101,45,48,56,32,55,46,55,51,54,50,57,101,45,48,57,32,53,46,56,
      54,51,50,52,101,45,48,57,32,52,46,52,52,52,52,50,101,45,48,57,32,51,46,51,54,
      57,52,54,101,45,48,57,32,50,46,53,53,52,56,57,101,45,48,57,32,49,46,57,51,55,
      53,51,101,45,48,57,10,32,32,49,46,52,54,57,53,54,101,45,48,57,32,49,46,49,49,
      52,55,56,101,45,48,57,32,56,46,52,53,55,54,51,101,45,49,48,32,54,46,52,49,55,
      52,55,101,45,49,48,32,52,46,56,55,48,48,55,101,45,49,48,32,51,46,54,57,54,50,
      53,101,45,49,48,32,50,46,56,48,53,54,57,101,45,49,48,10,32,32,50,46,49,50,57,
      57,51,101,45,49,48,32,49,46,54,49,55,49,50,101,45,49,48,32,49,46,50,50,55,57,
      50,101,45,49,48,32,57,46,51,50,52,56,55,101,45,49,49,32,55,46,48,56,50,48,55,
      101,45,49,49,32,53,46,51,55,57,50,50,101,45,49,49,32,52,46,48,56,54,50,50,101,
      45,49,49,10,32,32,51,46,49,48,52,51,50,101,45,49,49,32,50,46,51,53,56,54,101,
      45,49,49,32,49,46,55,57,50,50,51,101,45,49,49,32,49,46,57,50,52,54,56,101,45,
      48,53,32,46,48,48,50,55,48,51,57,57,32,46,48,48,54,48,56,56,51,49,32,46,48,
      48,54,55,52,50,54,52,32,46,48,50,55,48,49,57,50,10,32,32,46,48,54,48,55,55,
      48,57,32,46,49,48,55,56,49,52,32,46,49,54,55,57,52,51,32,46,50,52,48,57,54,
      50,32,46,51,50,54,49,54,50,32,46,52,50,51,48,51,52,32,46,53,51,48,52,50,51,
      32,46,54,52,55,48,56,32,46,55,55,49,53,52,56,32,46,57,48,49,57,49,57,10,32,
      32,49,46,48,51,53,51,52,32,49,46,49,55,48,55,54,32,49,46,51,48,53,56,54,32,
      49,46,52,51,54,53,57,32,49,46,53,54,50,52,55,32,49,46,54,55,57,52,56,32,49,
      46,55,57,49,48,56,32,49,46,56,57,50,52,53,32,49,46,57,56,49,49,57,32,50,46,
      48,54,50,48,56,10,32,32,50,46,49,51,51,48,50,32,50,46,50,48,48,51,57,32,50,
      46,50,53,53,50,55,32,50,46,51,48,51,51,53,32,50,46,51,52,50,53,32,50,46,51,
      56,55,56,54,32,50,46,52,50,54,56,55,32,50,46,52,53,57,57,55,32,50,46,52,56,
      56,49,49,32,50,46,53,50,49,57,32,50,46,53,54,48,54,57,10,32,32,50,46,53,57,
      53,56,54,32,50,46,54,50,53,49,32,50,46,54,53,50,53,52,32,50,46,54,57,54,53,
      53,32,50,46,55,51,56,53,57,32,50,46,55,55,56,53,56,32,50,46,56,49,54,55,50,
      32,50,46,56,54,50,56,57,32,50,46,57,49,53,49,50,32,50,46,57,54,53,54,53,32,
      51,46,48,49,52,53,49,10,32,32,51,46,48,54,50,53,56,32,51,46,49,50,50,48,54,
      32,51,46,49,55,56,49,50,32,51,46,50,51,48,55,57,32,51,46,50,56,49,53,53,32,
      51,46,51,51,53,57,54,32,51,46,51,57,50,55,57,32,51,46,52,52,56,48,57,32,51,
      46,53,48,49,56,52,32,51,46,53,53,52,51,51,10,32,32,51,46,54,48,56,48,53,32,
      51,46,54,54,48,51,54,32,51,46,55,49,49,51,32,51,46,55,54,48,56,56,32,51,46,
      56,48,55,50,53,32,51,46,56,53,49,48,50,32,51,46,56,57,51,53,56,32,51,46,57,
      51,52,57,56,32,51,46,57,55,52,53,55,32,52,46,48,48,53,55,53,32,52,46,48,51,
      53,57,51,10,32,32,52,46,48,54,53,49,51,32,52,46,48,57,51,52,49,32,52,46,49,
      49,52,52,54,32,52,46,49,51,48,51,53,32,52,46,49,52,53,53,54,32,52,46,49,54,
      48,49,32,52,46,49,55,50,57,57,32,52,46,49,55,53,55,52,32,52,46,49,55,56,48,
      54,32,52,46,49,55,57,57,57,32,52,46,49,56,49,53,51,10,32,32,52,46,49,55,56,
      52,53,32,52,46,49,55,49,56,32,52,46,49,54,48,49,55,32,52,46,49,52,56,50,54,
      32,52,46,49,51,54,52,56,32,52,46,49,50,52,57,56,32,52,46,49,49,50,57,51,32,
      52,46,49,48,49,32,52,46,48,56,57,51,53,32,52,46,48,56,52,52,49,32,52,46,48,
      56,51,49,53,10,32,32,52,46,48,56,49,49,51,32,52,46,48,55,57,49,32,52,46,48,
      55,57,57,55,32,52,46,49,48,49,57,52,32,52,46,49,50,51,52,52,32,52,46,49,52,
      52,52,54,32,52,46,49,54,53,48,51,32,52,46,50,49,48,50,32,52,46,50,54,57,53,
      55,32,52,46,51,50,56,48,53,32,52,46,51,56,53,54,53,10,32,32,52,46,52,53,48,
      48,50,32,52,46,53,54,52,50,54,32,52,46,54,55,55,53,55,32,52,46,55,56,57,57,
      50,32,52,46,57,48,49,51,32,53,46,48,54,50,52,53,32,53,46,50,53,50,50,54,32,
      53,46,52,52,49,56,51,32,53,46,54,51,49,48,55,32,53,46,56,51,52,54,54,32,54,
      46,49,50,55,57,53,10,32,32,54,46,52,50,50,57,32,54,46,55,49,57,49,50,32,55,
      46,48,49,52,53,32,55,46,51,57,53,50,32,55,46,56,50,53,55,57,32,56,46,50,53,
      57,50,32,56,46,54,57,53,54,32,57,46,49,53,57,49,32,57,46,55,52,57,54,52,32,
      49,48,46,51,51,52,51,32,49,48,46,57,50,51,50,10,32,32,49,49,46,53,49,53,55,
      32,49,50,46,50,50,51,49,32,49,50,46,57,57,52,50,32,49,51,46,55,55,49,52,32,
      49,52,46,53,53,52,50,32,49,53,46,51,55,49,52,32,49,54,46,51,52,51,56,32,49,
      55,46,51,50,51,57,32,49,56,46,51,49,48,56,32,49,57,46,51,48,50,53,10,32,32,
      50,48,46,52,49,56,52,32,50,49,46,53,57,57,49,32,50,50,46,55,56,54,54,32,50,
      51,46,57,55,57,49,32,50,53,46,50,48,52,57,32,50,54,46,53,54,49,32,50,55,46,
      56,57,53,53,32,50,57,46,50,49,53,53,32,51,48,46,53,51,53,50,32,51,49,46,57,
      51,48,52,32,51,51,46,51,54,50,10,32,32,51,52,46,55,57,50,53,32,51,54,46,50,
      50,50,49,32,51,55,46,54,54,49,51,32,51,57,46,49,52,53,32,52,48,46,54,50,53,
      57,32,52,50,46,49,48,52,56,32,52,51,46,53,56,49,55,32,52,53,46,48,52,55,32,
      52,54,46,53,48,54,57,32,52,55,46,57,54,52,50,32,52,57,46,52,49,55,54,10,32,
      32,53,48,46,56,52,57,55,32,53,50,46,50,49,49,32,53,51,46,53,54,52,49,32,53,
      53,46,51,54,50,32,53,57,46,49,50,50,49,32,54,51,46,56,53,51,57,32,54,56,46,
      56,53,32,54,57,46,52,50,55,52,32,54,54,46,48,51,57,32,53,57,46,52,56,48,55,
      32,53,49,46,51,53,51,52,10,32,32,52,51,46,49,52,54,52,32,51,54,46,50,55,51,
      54,32,51,48,46,57,50,48,57,32,50,54,46,57,48,50,51,32,50,51,46,57,56,55,53,
      32,50,49,46,55,51,56,56,32,49,57,46,52,52,53,53,32,49,55,46,49,50,55,53,32,
      49,51,46,55,55,50,51,32,49,48,46,49,53,57,55,10,32,32,54,46,56,48,51,57,52,
      32,51,46,55,52,56,55,57,32,49,46,57,57,50,56,57,32,49,46,49,50,56,48,57,32,
      46,54,57,56,50,55,55,32,46,53,54,52,51,50,55,32,46,53,56,55,51,48,52,32,46,
      55,49,57,50,54,55,32,46,56,57,51,53,48,53,32,49,46,48,56,54,49,54,10,32,32,
      49,46,50,53,49,49,55,32,49,46,51,51,53,55,56,32,49,46,50,57,51,54,51,32,49,
      46,49,49,51,53,57,32,46,56,50,55,54,55,52,32,46,53,54,56,51,54,50,32,46,51,
      55,51,50,50,32,46,50,55,50,48,52,53,32,46,50,57,53,54,51,53,32,46,51,55,53,
      53,56,50,32,46,53,50,50,56,55,51,10,32,32,46,55,51,49,54,53,55,32,46,57,51,
      57,54,49,49,32,49,46,49,48,52,56,51,32,49,46,49,56,55,54,49,32,49,46,49,54,
      56,49,32,49,46,48,55,53,54,49,32,46,57,51,51,57,55,50,32,46,55,55,50,57,55,
      52,32,46,54,54,55,53,55,53,32,46,53,56,50,57,49,53,32,46,53,49,48,50,54,52,
      10,32,32,46,52,50,57,49,53,55,32,46,51,51,51,54,56,54,32,46,50,55,57,48,54,
      57,32,46,50,54,48,54,51,32,46,50,54,48,54,52,51,32,46,50,54,51,49,57,53,32,
      46,50,54,48,53,55,55,32,46,50,54,54,51,57,49,32,46,50,56,55,49,49,32,46,51,
      49,54,52,56,50,32,46,51,51,53,50,48,57,10,32,32,46,51,51,48,52,57,32,46,51,
      48,54,54,49,53,32,46,50,56,52,48,53,56,32,46,50,52,52,54,48,50,32,46,50,49,
      49,54,51,57,32,46,49,56,49,50,56,32,46,49,53,51,53,53,57,32,46,49,51,56,51,
      54,51,32,46,49,51,51,54,49,32,46,49,51,53,54,56,49,32,46,49,51,57,54,49,57,
      10,32,32,46,49,52,51,53,49,54,32,46,49,52,55,54,50,53,32,46,49,53,48,52,52,
      56,32,46,49,53,50,51,52,50,32,46,49,53,49,54,55,32,46,49,52,56,49,51,56,32,
      46,49,51,55,57,55,53,32,46,49,50,51,57,57,50,32,46,49,49,53,51,55,57,32,46,
      49,48,55,50,51,54,32,46,48,57,53,56,51,57,51,10,32,32,46,48,56,53,52,54,49,
      49,32,46,48,56,48,56,56,49,49,32,46,48,55,53,54,48,57,50,32,46,48,55,51,54,
      51,48,51,32,46,48,55,50,50,52,48,57,32,46,48,56,50,49,56,54,57,32,46,48,55,
      56,52,56,57,49,32,46,48,55,55,48,50,52,49,32,46,48,55,52,51,48,53,51,10,32,
      32,46,48,55,49,52,52,52,53,32,46,48,54,57,49,54,56,56,32,46,48,54,54,57,56,
      53,52,32,46,48,54,53,48,50,49,54,32,46,48,54,51,49,53,57,32,46,48,54,49,49,
      55,50,50,32,46,48,53,57,52,55,51,52,32,46,48,53,55,54,54,56,51,32,46,48,53,
      54,51,56,51,52,10,32,32,46,48,53,52,51,54,51,52,32,46,48,53,51,49,54,56,54,
      32,46,48,53,49,55,50,56,55,32,46,48,52,56,53,53,54,55,32,46,48,52,52,53,54,
      54,49,32,46,48,52,49,48,52,53,51,32,46,48,51,55,48,57,53,52,32,46,48,51,51,
      53,56,50,50,32,46,48,50,57,56,54,49,51,10,32,32,46,48,50,55,49,49,53,55,32,
      46,48,50,51,50,52,54,51,32,46,48,49,57,54,56,54,53,32,46,48,49,55,57,48,54,
      54,32,46,48,49,54,49,50,53,51,32,46,48,49,52,48,52,54,32,46,48,49,50,52,54,
      53,49,32,46,48,49,49,48,55,53,50,32,46,48,48,57,54,56,56,48,52,10,32,32,46,
      48,48,56,52,56,53,52,32,46,48,48,55,53,54,51,51,56,32,46,48,48,54,55,52,55,
      48,52,32,46,48,48,54,48,50,51,50,57,32,46,48,48,53,50,57,53,50,54,32,46,48,
      48,52,53,56,53,52,53,32,46,48,48,51,57,49,50,50,54,32,46,48,48,51,51,57,52,
      53,50,32,46,48,48,50,57,48,49,57,54,10,32,32,46,48,48,50,53,50,50,49,32,46,
      48,48,50,49,57,51,52,57,32,46,48,48,49,56,55,57,55,55,32,46,48,48,49,53,57,
      52,52,51,32,46,48,48,49,52,48,52,56,49,32,46,48,48,49,50,49,52,48,54,32,46,
      48,48,49,48,54,56,51,56,32,46,48,48,48,57,51,50,51,55,57,10,32,32,46,48,48,
      48,56,49,52,48,54,56,32,46,48,48,48,55,49,49,48,52,57,32,46,48,48,48,54,50,
      49,51,48,57,32,46,48,48,48,53,52,51,48,57,54,32,46,48,48,48,52,55,52,56,57,
      56,32,46,48,48,48,52,49,53,52,48,50,32,46,48,48,48,51,54,51,52,55,56,32,46,
      48,48,48,51,49,56,49,52,10,32,32,46,48,48,48,50,55,56,53,51,57,32,46,48,48,
      48,50,52,51,57,50,50,32,46,48,48,48,50,49,51,54,55,52,32,46,48,48,48,49,56,
      55,50,50,53,32,46,48,48,48,49,54,52,48,57,32,46,48,48,48,49,52,51,56,52,55,
      32,46,48,48,48,49,50,54,49,51,57,32,46,48,48,48,49,49,48,54,50,55,10,32,32,
      57,46,55,48,51,53,54,101,45,48,53,32,56,46,53,49,51,54,57,101,45,48,53,32,55,
      46,52,55,49,49,53,101,45,48,53,32,54,46,53,53,55,53,101,45,48,53,32,53,46,55,
      53,54,53,55,101,45,48,53,32,53,46,48,53,52,51,54,101,45,48,53,32,52,46,52,51,
      57,101,45,48,53,10,32,32,51,46,56,57,56,55,56,101,45,48,53,32,51,46,52,50,52,
      56,53,101,45,48,53,32,51,46,48,48,56,57,57,101,45,48,53,32,50,46,54,52,51,57,
      57,101,45,48,53,32,50,46,51,50,51,53,57,101,45,48,53,32,50,46,48,52,50,51,49,
      101,45,48,53,32,49,46,55,57,53,48,56,101,45,48,53,10,32,32,49,46,53,55,56,49,
      56,101,45,48,53,32,49,46,52,50,55,56,56,101,45,48,53,32,49,46,50,57,50,101,
      45,48,53,32,49,46,49,54,57,49,51,101,45,48,53,32,49,46,48,53,56,48,50,101,45,
      48,53,32,57,46,53,55,54,55,54,101,45,48,54,32,56,46,53,53,55,53,49,101,45,48,
      54,10,32,32,55,46,52,50,50,49,54,101,45,48,54,32,54,46,52,51,56,50,57,101,45,
      48,54,32,53,46,53,56,53,53,53,101,45,48,54,32,52,46,56,52,54,51,51,101,45,48,
      54,32,52,46,50,48,53,52,52,101,45,48,54,32,51,46,54,52,57,55,50,101,45,48,54,
      32,51,46,49,54,55,56,101,45,48,54,10,32,32,50,46,55,52,57,56,49,101,45,48,54,
      32,50,46,51,56,55,50,49,101,45,48,54,32,50,46,48,55,50,54,53,101,45,48,54,32,
      49,46,55,57,57,55,50,101,45,48,54,32,49,46,53,54,50,56,56,101,45,48,54,32,49,
      46,51,53,55,51,51,101,45,48,54,32,49,46,49,55,56,57,51,101,45,48,54,10,32,32,
      49,46,48,50,52,48,54,101,45,48,54,32,56,46,56,57,54,50,53,101,45,48,55,32,55,
      46,55,50,56,57,55,101,45,48,55,32,54,46,55,49,53,51,56,101,45,48,55,32,53,46,
      56,51,53,50,49,101,45,48,55,32,53,46,48,55,48,56,101,45,48,55,32,52,46,52,48,
      53,55,52,101,45,48,55,10,32,32,51,46,56,51,48,49,56,101,45,48,55,32,51,46,51,
      50,57,49,55,101,45,48,55,32,50,46,56,57,51,57,50,101,45,48,55,32,50,46,53,49,
      53,55,54,101,45,48,55,32,50,46,49,56,55,49,55,101,45,48,55,32,49,46,57,48,49,
      54,50,101,45,48,55,32,49,46,54,53,51,52,53,101,45,48,55,10,32,32,49,46,52,51,
      55,55,55,101,45,48,55,32,49,46,50,53,48,51,101,45,48,55,32,49,46,48,56,55,51,
      53,101,45,48,55,32,57,46,52,53,54,56,54,101,45,48,56,32,56,46,50,50,53,50,57,
      101,45,48,56,32,55,46,49,53,52,53,52,101,45,48,56,32,54,46,50,50,51,53,51,101,
      45,48,56,10,32,32,53,46,52,49,51,57,55,101,45,48,56,32,52,46,48,57,55,55,55,
      101,45,48,56,32,51,46,49,48,50,49,51,101,45,48,56,32,50,46,51,52,56,57,51,101,
      45,48,56,32,49,46,55,55,56,57,54,101,45,48,56,32,49,46,51,52,55,53,52,101,45,
      48,56,32,49,46,48,50,48,57,51,101,45,48,56,10,32,32,55,46,55,51,54,50,49,101,
      45,48,57,32,53,46,56,54,51,49,56,101,45,48,57,32,52,46,52,52,52,51,56,101,45,
      48,57,32,51,46,51,54,57,52,51,101,45,48,57,32,50,46,53,53,52,56,55,101,45,48,
      57,32,49,46,57,51,55,53,49,101,45,48,57,32,49,46,52,54,57,53,53,101,45,48,57,
      10,32,32,49,46,49,49,52,55,55,101,45,48,57,32,56,46,52,53,55,53,53,101,45,49,
      48,32,54,46,52,49,55,52,49,101,45,49,48,32,52,46,56,55,48,48,50,101,45,49,48,
      32,51,46,54,57,54,50,50,101,45,49,48,32,50,46,56,48,53,54,54,101,45,49,48,32,
      50,46,49,50,57,57,49,101,45,49,48,10,32,32,49,46,54,49,55,49,49,101,45,49,48,
      32,49,46,50,50,55,57,49,101,45,49,48,32,57,46,51,50,52,55,56,101,45,49,49,32,
      55,46,48,56,50,101,45,49,49,32,53,46,51,55,57,49,54,101,45,49,49,32,52,46,48,
      56,54,49,56,101,45,49,49,32,51,46,49,48,52,50,57,101,45,49,49,10,32,32,50,46,
      51,53,56,53,56,101,45,49,49,32,49,46,55,57,50,50,49,101,45,49,49,32,52,46,48,
      48,53,55,52,101,45,48,54,32,46,48,48,48,49,49,52,55,51,57,32,46,48,48,49,53,
      52,54,57,56,32,46,48,48,49,55,49,51,50,52,32,46,48,48,54,56,54,53,53,50,32,
      46,48,49,53,52,52,51,56,10,32,32,46,48,50,55,52,48,56,50,32,46,48,52,50,55,
      50,52,55,32,46,48,54,49,51,55,56,57,32,46,48,56,51,50,53,53,56,32,46,49,48,
      56,51,50,50,32,46,49,51,54,52,51,51,32,46,49,54,55,52,55,32,46,50,48,49,50,
      56,52,32,46,50,51,55,54,56,50,32,46,50,55,54,52,49,53,10,32,32,46,51,49,55,
      51,50,51,32,46,51,54,48,48,57,56,32,46,52,48,52,52,54,57,32,46,52,52,57,57,
      56,49,32,46,52,57,54,52,51,51,32,46,53,52,51,56,52,50,32,46,53,57,49,54,55,
      53,32,46,54,51,57,49,50,52,32,46,54,56,54,55,53,51,32,46,55,51,52,50,52,32,
      46,55,56,49,52,57,56,10,32,32,46,56,50,55,55,51,54,32,46,56,55,51,56,52,51,
      32,46,57,49,56,49,56,50,32,46,57,54,51,54,52,50,32,49,46,48,48,56,54,32,49,
      46,48,53,50,49,32,49,46,48,57,51,56,32,49,46,49,51,55,56,32,49,46,49,56,49,
      54,53,32,49,46,50,50,52,48,57,32,49,46,50,54,55,50,49,10,32,32,49,46,51,48,
      56,57,56,32,49,46,51,53,52,50,56,32,49,46,51,57,56,54,32,49,46,52,52,50,53,
      54,32,49,46,52,56,54,54,57,32,49,46,53,51,50,56,51,32,49,46,53,56,48,53,55,
      32,49,46,54,50,55,54,52,32,49,46,54,55,52,48,49,32,49,46,55,49,57,57,53,32,
      49,46,55,54,57,55,57,10,32,32,49,46,56,49,57,52,52,32,49,46,56,54,56,57,51,
      32,49,46,57,49,55,57,49,32,49,46,57,54,56,49,57,32,50,46,48,49,57,51,56,32,
      50,46,48,55,48,48,54,32,50,46,49,50,48,49,53,32,50,46,49,54,57,55,55,32,50,
      46,50,49,57,56,57,32,50,46,50,54,57,52,55,10,32,32,50,46,51,49,56,53,50,32,
      50,46,51,54,54,57,57,32,50,46,52,49,52,48,52,32,50,46,52,53,57,57,51,32,50,
      46,53,48,53,49,55,32,50,46,53,52,57,55,53,32,50,46,53,57,51,51,57,32,50,46,
      54,51,51,48,56,32,50,46,54,55,50,48,56,32,50,46,55,49,48,51,55,10,32,32,50,
      46,55,52,56,32,50,46,55,56,49,57,51,32,50,46,56,49,51,48,52,32,50,46,56,52,
      51,52,51,32,50,46,56,55,51,49,51,32,50,46,57,48,49,54,52,32,50,46,57,50,52,
      53,56,32,50,46,57,52,54,56,49,32,50,46,57,54,56,51,54,32,50,46,57,56,57,50,
      52,32,51,46,48,48,55,49,56,10,32,32,51,46,48,50,50,55,55,32,51,46,48,51,54,
      48,50,32,51,46,48,52,56,51,56,32,51,46,48,54,48,52,51,32,51,46,48,55,50,52,
      52,32,51,46,48,56,50,57,55,32,51,46,48,57,51,49,57,32,51,46,49,48,51,51,57,
      32,51,46,49,49,55,51,52,32,51,46,49,51,50,56,32,51,46,49,52,54,56,49,10,32,
      32,51,46,49,54,48,55,49,32,51,46,49,55,54,50,55,32,51,46,50,48,52,55,52,32,
      51,46,50,51,50,57,50,32,51,46,50,54,48,56,51,32,51,46,50,56,56,52,55,32,51,
      46,51,51,49,52,55,32,51,46,51,56,51,52,50,32,51,46,52,51,52,57,54,32,51,46,
      52,56,54,48,55,10,32,32,51,46,53,52,49,53,52,32,51,46,54,50,56,52,49,32,51,
      46,55,49,52,56,52,32,51,46,56,48,48,56,50,32,51,46,56,56,54,51,51,32,52,46,
      48,48,51,48,51,32,52,46,49,51,55,53,55,32,52,46,50,55,49,57,49,32,52,46,52,
      48,54,48,52,32,52,46,53,52,56,57,55,10,32,32,52,46,55,52,54,54,57,32,52,46,
      57,52,52,57,32,53,46,49,52,51,49,57,32,53,46,51,51,56,50,32,53,46,53,56,50,
      52,51,32,53,46,56,53,52,52,50,32,54,46,49,50,52,57,49,32,54,46,51,57,52,55,
      52,32,54,46,54,55,55,56,49,32,55,46,48,50,55,57,52,32,55,46,51,55,50,54,54,
      10,32,32,55,46,55,49,53,57,50,32,56,46,48,53,55,50,49,32,56,46,52,53,51,49,
      56,32,56,46,56,55,53,48,57,32,57,46,50,57,51,54,52,32,57,46,55,48,57,51,50,
      32,49,48,46,49,51,53,49,32,49,48,46,54,50,52,53,32,49,49,46,49,48,56,55,32,
      49,49,46,53,56,54,53,10,32,32,49,50,46,48,53,57,49,32,49,50,46,53,55,51,55,
      32,49,51,46,49,48,52,52,32,49,51,46,54,50,55,51,32,49,52,46,49,52,51,49,32,
      49,52,46,54,54,50,51,32,49,53,46,50,49,55,52,32,49,53,46,55,54,57,57,32,49,
      54,46,51,49,56,51,32,49,54,46,56,53,56,32,49,55,46,52,49,52,51,10,32,32,49,
      55,46,57,55,51,55,32,49,56,46,53,50,52,50,32,49,57,46,48,54,54,53,32,49,57,
      46,54,48,52,49,32,50,48,46,49,53,50,57,32,50,48,46,55,48,51,49,32,50,49,46,
      50,52,57,50,32,50,49,46,55,56,57,50,32,50,50,46,51,49,57,52,32,50,50,46,56,
      52,51,54,10,32,32,50,51,46,51,54,51,50,32,50,51,46,56,55,55,49,32,50,52,46,
      51,56,49,54,32,50,52,46,56,54,55,51,32,50,53,46,51,52,57,57,32,50,53,46,57,
      57,50,56,32,50,55,46,52,50,50,50,32,50,57,46,51,50,54,49,32,51,49,46,55,57,
      53,53,32,51,51,46,49,57,48,52,10,32,32,51,51,46,52,54,56,54,32,51,50,46,52,
      57,51,55,32,51,48,46,52,56,54,51,32,50,55,46,56,50,57,50,32,50,53,46,48,53,
      55,56,32,50,50,46,53,55,49,53,32,50,48,46,53,52,56,55,32,49,56,46,57,55,51,
      52,32,49,55,46,54,57,48,49,32,49,54,46,50,52,56,49,10,32,32,49,52,46,54,53,
      51,49,32,49,50,46,49,55,50,53,32,57,46,50,57,57,54,55,32,54,46,52,49,57,57,
      56,32,51,46,54,53,48,56,54,32,49,46,57,55,53,52,54,32,49,46,49,50,51,48,49,
      32,46,54,57,54,53,53,57,32,46,53,54,51,54,52,50,32,46,53,56,54,54,53,49,10,
      32,32,46,55,49,56,49,57,32,46,56,57,49,52,51,56,32,49,46,48,56,51,49,52,32,
      49,46,50,52,55,51,55,32,49,46,51,51,49,55,56,32,49,46,50,57,48,50,51,32,49,
      46,49,49,49,57,49,32,46,56,50,54,56,55,50,32,46,53,54,56,49,53,54,32,46,51,
      55,51,49,54,52,32,46,50,55,49,57,56,10,32,32,46,50,57,53,53,54,52,32,46,51,
      55,53,53,50,32,46,53,50,50,55,57,49,32,46,55,51,49,52,52,49,32,46,57,51,57,
      51,52,51,32,49,46,49,48,52,51,57,32,49,46,49,56,55,49,53,32,49,46,49,54,55,
      55,54,32,49,46,48,55,53,51,32,46,57,51,51,56,48,56,32,46,55,55,50,56,52,54,
      10,32,32,46,54,54,55,51,56,53,32,46,53,56,50,54,55,51,32,46,53,49,48,49,57,
      52,32,46,52,50,57,49,51,54,32,46,51,51,51,54,54,56,32,46,50,55,57,48,53,55,
      32,46,50,54,48,54,49,56,32,46,50,54,48,54,51,52,32,46,50,54,51,49,57,32,46,
      50,54,48,53,55,32,46,50,54,54,51,56,50,10,32,32,46,50,56,55,49,48,49,32,46,
      51,49,54,52,55,51,32,46,51,51,53,50,32,46,51,51,48,52,55,56,32,46,51,48,54,
      53,57,50,32,46,50,56,52,48,51,57,32,46,50,52,52,53,57,55,32,46,50,49,49,54,
      51,53,32,46,49,56,49,50,55,55,32,46,49,53,51,53,53,56,32,46,49,51,56,51,54,
      49,10,32,32,46,49,51,51,54,48,53,32,46,49,51,53,54,55,52,32,46,49,51,57,54,
      49,51,32,46,49,52,51,53,49,49,32,46,49,52,55,54,50,32,46,49,53,48,52,52,52,
      32,46,49,53,50,51,51,57,32,46,49,53,49,54,54,56,32,46,49,52,56,49,51,54,32,
      46,49,51,55,57,55,52,32,46,49,50,51,57,57,49,10,32,32,46,49,49,53,51,55,56,
      32,46,49,48,55,50,51,53,32,46,48,57,53,56,51,56,54,32,46,48,56,53,52,54,48,
      51,32,46,48,56,48,56,55,57,53,32,46,48,55,53,54,48,56,54,32,46,48,55,51,54,
      50,57,56,32,46,48,55,50,50,52,48,54,32,46,48,56,50,49,56,54,50,32,46,48,55,
      56,52,56,56,55,10,32,32,46,48,55,55,48,50,51,56,32,46,48,55,52,51,48,53,50,
      32,46,48,55,49,52,52,52,49,32,46,48,54,57,49,54,56,53,32,46,48,54,54,57,56,
      53,50,32,46,48,54,53,48,50,49,51,32,46,48,54,51,49,53,56,56,32,46,48,54,49,
      49,55,50,49,32,46,48,53,57,52,55,51,49,10,32,32,46,48,53,55,54,54,56,32,46,
      48,53,54,51,56,51,52,32,46,48,53,52,51,54,51,50,32,46,48,53,51,49,54,56,52,
      32,46,48,53,49,55,50,56,52,32,46,48,52,56,53,53,53,56,32,46,48,52,52,53,54,
      53,57,32,46,48,52,49,48,52,53,50,32,46,48,51,55,48,57,53,51,10,32,32,46,48,
      51,51,53,56,50,49,32,46,48,50,57,56,54,49,50,32,46,48,50,55,49,49,53,52,32,
      46,48,50,51,50,52,54,50,32,46,48,49,57,54,56,54,49,32,46,48,49,55,57,48,54,
      50,32,46,48,49,54,49,50,53,32,46,48,49,52,48,52,53,55,32,46,48,49,50,52,54,
      52,57,10,32,32,46,48,49,49,48,55,52,57,32,46,48,48,57,54,56,55,56,53,32,46,
      48,48,56,52,56,53,50,52,32,46,48,48,55,53,54,51,50,51,32,46,48,48,54,55,52,
      54,56,57,32,46,48,48,54,48,50,51,49,56,32,46,48,48,53,50,57,53,49,54,32,46,
      48,48,52,53,56,53,51,54,32,46,48,48,51,57,49,50,49,56,10,32,32,46,48,48,51,
      51,57,52,52,52,32,46,48,48,50,57,48,49,57,49,32,46,48,48,50,53,50,50,48,53,
      32,46,48,48,50,49,57,51,52,53,32,46,48,48,49,56,55,57,55,51,32,46,48,48,49,
      53,57,52,51,57,32,46,48,48,49,52,48,52,55,56,32,46,48,48,49,50,49,52,48,51,
      10,32,32,46,48,48,49,48,54,56,51,54,32,46,48,48,48,57,51,50,51,54,49,32,46,
      48,48,48,56,49,52,48,53,51,32,46,48,48,48,55,49,49,48,51,53,32,46,48,48,48,
      54,50,49,50,57,53,32,46,48,48,48,53,52,51,48,56,53,32,46,48,48,48,52,55,52,
      56,56,56,32,46,48,48,48,52,49,53,51,57,52,10,32,32,46,48,48,48,51,54,51,52,
      55,49,32,46,48,48,48,51,49,56,49,51,52,32,46,48,48,48,50,55,56,53,51,52,32,
      46,48,48,48,50,52,51,57,49,55,32,46,48,48,48,50,49,51,54,55,32,46,48,48,48,
      49,56,55,50,50,50,32,46,48,48,48,49,54,52,48,56,55,32,46,48,48,48,49,52,51,
      56,52,53,10,32,32,46,48,48,48,49,50,54,49,51,55,32,46,48,48,48,49,49,48,54,
      50,53,32,57,46,55,48,51,51,54,101,45,48,53,32,56,46,53,49,51,53,50,101,45,48,
      53,32,55,46,52,55,49,48,49,101,45,48,53,32,54,46,53,53,55,51,55,101,45,48,53,
      32,53,46,55,53,54,52,54,101,45,48,53,10,32,32,53,46,48,53,52,50,54,101,45,48,
      53,32,52,46,52,51,56,57,49,101,45,48,53,32,51,46,56,57,56,55,49,101,45,48,53,
      32,51,46,52,50,52,55,56,101,45,48,53,32,51,46,48,48,56,57,50,101,45,48,53,32,
      50,46,54,52,51,57,52,101,45,48,53,32,50,46,51,50,51,53,53,101,45,48,53,10,32,
      32,50,46,48,52,50,50,55,101,45,48,53,32,49,46,55,57,53,48,53,101,45,48,53,32,
      49,46,53,55,56,49,53,101,45,48,53,32,49,46,52,50,55,56,54,101,45,48,53,32,49,
      46,50,57,49,57,55,101,45,48,53,32,49,46,49,54,57,49,49,101,45,48,53,32,49,46,
      48,53,56,101,45,48,53,10,32,32,57,46,53,55,54,53,55,101,45,48,54,32,56,46,53,
      53,55,51,52,101,45,48,54,32,55,46,52,50,50,48,50,101,45,48,54,32,54,46,52,51,
      56,49,54,101,45,48,54,32,53,46,53,56,53,52,52,101,45,48,54,32,52,46,56,52,54,
      50,52,101,45,48,54,32,52,46,50,48,53,51,53,101,45,48,54,10,32,32,51,46,54,52,
      57,54,53,101,45,48,54,32,51,46,49,54,55,55,52,101,45,48,54,32,50,46,55,52,57,
      55,53,101,45,48,54,32,50,46,51,56,55,49,55,101,45,48,54,32,50,46,48,55,50,54,
      49,101,45,48,54,32,49,46,55,57,57,54,56,101,45,48,54,32,49,46,53,54,50,56,53,
      101,45,48,54,10,32,32,49,46,51,53,55,51,101,45,48,54,32,49,46,49,55,56,57,101,
      45,48,54,32,49,46,48,50,52,48,52,101,45,48,54,32,56,46,56,57,54,48,55,101,45,
      48,55,32,55,46,55,50,56,56,50,101,45,48,55,32,54,46,55,49,53,50,53,101,45,48,
      55,32,53,46,56,51,53,48,57,101,45,48,55,10,32,32,53,46,48,55,48,55,101,45,48,
      55,32,52,46,52,48,53,54,53,101,45,48,55,32,51,46,56,51,48,49,101,45,48,55,32,
      51,46,51,50,57,49,49,101,45,48,55,32,50,46,56,57,51,56,54,101,45,48,55,32,50,
      46,53,49,53,55,49,101,45,48,55,32,50,46,49,56,55,49,50,101,45,48,55,10,32,32,
      49,46,57,48,49,53,56,101,45,48,55,32,49,46,54,53,51,52,50,101,45,48,55,32,49,
      46,52,51,55,55,52,101,45,48,55,32,49,46,50,53,48,50,56,101,45,48,55,32,49,46,
      48,56,55,51,50,101,45,48,55,32,57,46,52,53,54,54,56,101,45,48,56,32,56,46,50,
      50,53,49,51,101,45,48,56,10,32,32,55,46,49,53,52,52,101,45,48,56,32,54,46,50,
      50,51,52,101,45,48,56,32,53,46,52,49,51,56,54,101,45,48,56,32,52,46,48,57,55,
      54,57,101,45,48,56,32,51,46,49,48,50,48,55,101,45,48,56,32,50,46,51,52,56,56,
      56,101,45,48,56,32,49,46,55,55,56,57,50,101,45,48,56,10,32,32,49,46,51,52,55,
      53,50,101,45,48,56,32,49,46,48,50,48,57,50,101,45,48,56,32,55,46,55,51,54,48,
      54,101,45,48,57,32,53,46,56,54,51,48,55,101,45,48,57,32,52,46,52,52,52,50,57,
      101,45,48,57,32,51,46,51,54,57,51,54,101,45,48,57,32,50,46,53,53,52,56,50,101,
      45,48,57,10,32,32,49,46,57,51,55,52,56,101,45,48,57,32,49,46,52,54,57,53,50,
      101,45,48,57,32,49,46,49,49,52,55,53,101,45,48,57,32,56,46,52,53,55,51,56,101,
      45,49,48,32,54,46,52,49,55,50,56,101,45,49,48,32,52,46,56,54,57,57,50,101,45,
      49,48,32,51,46,54,57,54,49,52,101,45,49,48,10,32,32,50,46,56,48,53,54,101,45,
      49,48,32,50,46,49,50,57,56,55,101,45,49,48,32,49,46,54,49,55,48,56,101,45,49,
      48,32,49,46,50,50,55,56,56,101,45,49,48,32,57,46,51,50,52,53,57,101,45,49,49,
      32,55,46,48,56,49,56,54,101,45,49,49,32,53,46,51,55,57,48,54,101,45,49,49,10,
      32,32,52,46,48,56,54,49,101,45,49,49,32,51,46,49,48,52,50,51,101,45,49,49,32,
      50,46,51,53,56,53,51,101,45,49,49,32,49,46,55,57,50,49,56,101,45,49,49,32,52,
      46,48,48,53,55,54,101,45,48,54,32,55,46,54,49,48,56,51,101,45,48,53,32,46,48,
      48,48,55,48,54,50,48,49,10,32,32,46,48,48,48,55,56,50,48,57,57,32,46,48,48,
      51,49,51,52,49,55,32,46,48,48,55,48,53,48,52,49,32,46,48,49,50,53,49,51,51,
      32,46,48,49,57,53,48,56,55,32,46,48,50,56,48,51,51,52,32,46,48,51,56,48,52,
      48,49,32,46,48,52,57,53,50,50,32,46,48,54,50,52,50,54,54,10,32,32,46,48,55,
      54,55,49,55,57,32,46,48,57,50,51,52,57,51,32,46,49,48,57,50,54,53,32,46,49,
      50,55,51,56,57,32,46,49,52,54,54,55,54,32,46,49,54,55,48,53,49,32,46,49,56,
      56,52,49,50,32,46,50,49,48,54,55,50,32,46,50,51,51,55,49,57,32,46,50,53,55,
      53,57,53,10,32,32,46,50,56,50,48,55,52,32,46,51,48,55,49,51,50,32,46,51,51,
      50,54,56,52,32,46,51,53,56,55,48,50,32,46,51,56,53,50,48,50,32,46,52,49,49,
      56,48,57,32,46,52,51,56,55,57,49,32,46,52,54,53,55,53,50,32,46,52,57,51,54,
      51,53,32,46,53,50,49,54,54,32,46,53,52,57,50,54,51,10,32,32,46,53,55,55,52,
      53,50,32,46,54,48,53,56,53,54,32,46,54,51,53,50,55,52,32,46,54,54,52,49,49,
      56,32,46,54,57,51,55,57,54,32,46,55,50,50,56,50,55,32,46,55,53,51,52,52,51,
      32,46,55,56,52,57,55,56,32,46,56,49,54,48,54,56,32,46,56,52,54,55,50,57,10,
      32,32,46,56,55,56,54,50,57,32,46,57,49,50,50,49,54,32,46,57,52,53,54,51,32,
      46,57,55,56,56,51,49,32,49,46,48,49,49,57,49,32,49,46,48,52,54,53,55,32,49,
      46,48,56,49,55,49,32,49,46,49,49,55,51,53,32,49,46,49,53,50,57,55,32,49,46,
      49,56,57,50,32,49,46,50,50,53,57,50,10,32,32,49,46,50,54,50,53,52,32,49,46,
      50,57,57,32,49,46,51,51,53,51,53,32,49,46,51,55,50,48,56,32,49,46,52,48,57,
      49,54,32,49,46,52,52,54,55,52,32,49,46,52,56,52,49,55,32,49,46,53,50,49,48,
      53,32,49,46,53,53,55,53,49,32,49,46,53,57,51,55,53,32,49,46,54,50,57,55,55,
      10,32,32,49,46,54,54,53,52,49,32,49,46,54,57,57,51,32,49,46,55,51,50,56,51,
      32,49,46,55,54,53,57,57,32,49,46,55,57,57,53,52,32,49,46,56,51,49,55,50,32,
      49,46,56,54,50,54,49,32,49,46,56,57,51,48,52,32,49,46,57,50,51,48,51,32,49,
      46,57,53,50,51,51,32,49,46,57,55,56,55,56,10,32,32,50,46,48,48,52,55,32,50,
      46,48,51,48,48,57,32,50,46,48,53,52,57,54,32,50,46,48,55,56,49,51,32,50,46,
      49,48,48,48,52,32,50,46,49,50,50,48,50,32,50,46,49,52,51,49,56,32,50,46,49,
      54,52,48,51,32,50,46,49,56,52,56,54,32,50,46,50,48,52,49,57,32,50,46,50,50,
      51,50,49,10,32,32,50,46,50,52,50,49,57,32,50,46,50,54,51,49,57,32,50,46,50,
      56,52,54,49,32,50,46,51,48,52,53,54,32,50,46,51,50,52,52,52,32,50,46,51,52,
      53,50,55,32,50,46,51,55,51,52,55,32,50,46,52,48,49,53,55,32,50,46,52,50,57,
      53,55,32,50,46,52,53,55,52,55,10,32,32,50,46,52,57,52,50,56,32,50,46,53,51,
      54,51,55,32,50,46,53,55,56,51,51,32,50,46,54,50,48,49,53,32,50,46,54,54,52,
      54,49,32,50,46,55,50,55,51,55,32,50,46,55,57,32,50,46,56,53,50,52,57,32,50,
      46,57,49,52,56,52,32,50,46,57,57,53,50,56,32,51,46,48,56,54,48,54,10,32,32,
      51,46,49,55,54,55,53,32,51,46,50,54,55,51,54,32,51,46,51,54,51,48,52,32,51,
      46,52,56,57,56,49,32,51,46,54,49,54,54,53,32,51,46,55,52,51,50,49,32,51,46,
      56,54,54,48,51,32,52,46,48,49,53,49,51,32,52,46,49,55,56,54,50,32,52,46,51,
      51,57,52,53,10,32,32,52,46,52,57,56,54,52,32,52,46,54,54,51,55,49,32,52,46,
      56,54,50,56,49,32,53,46,48,54,48,51,53,32,53,46,50,53,53,51,32,53,46,52,52,
      55,51,50,32,53,46,54,54,51,55,51,32,53,46,56,56,57,52,50,32,54,46,49,49,48,
      51,53,32,54,46,51,50,56,55,49,32,54,46,53,53,52,51,51,10,32,32,54,46,56,48,
      53,55,55,32,55,46,48,53,49,50,50,32,55,46,50,57,48,55,55,32,55,46,53,50,52,
      57,54,32,55,46,55,55,53,52,49,32,56,46,48,51,56,48,51,32,56,46,50,57,52,49,
      50,32,56,46,53,52,52,48,55,32,56,46,55,57,50,50,55,32,57,46,48,53,48,56,54,
      10,32,32,57,46,51,49,49,54,50,32,57,46,53,55,49,57,56,32,57,46,56,50,53,56,
      53,32,49,48,46,48,56,50,55,32,49,48,46,51,51,55,53,32,49,48,46,53,57,48,56,
      32,49,48,46,56,52,55,32,49,49,46,49,48,50,49,32,49,49,46,51,53,54,57,32,49,
      49,46,54,48,54,54,32,49,49,46,56,53,49,57,10,32,32,49,50,46,48,57,51,54,32,
      49,50,46,51,52,52,51,32,49,50,46,53,57,49,53,32,49,50,46,56,51,54,49,32,49,
      51,46,48,55,55,51,32,49,51,46,51,49,52,49,32,49,51,46,53,52,52,51,32,49,51,
      46,55,55,50,56,32,49,52,46,48,55,55,57,32,49,52,46,55,55,52,57,10,32,32,49,
      53,46,55,51,52,50,32,49,55,46,48,57,57,52,32,49,56,46,49,48,51,53,32,49,56,
      46,55,48,56,55,32,49,56,46,56,51,48,53,32,49,56,46,52,56,49,56,32,49,55,46,
      55,51,51,52,32,49,54,46,55,55,52,54,32,49,53,46,55,55,57,56,32,49,52,46,57,
      50,56,51,10,32,32,49,52,46,50,48,48,54,32,49,51,46,53,54,52,49,32,49,50,46,
      56,49,57,51,32,49,49,46,57,49,52,51,32,49,48,46,50,56,53,52,32,56,46,49,57,
      50,50,52,32,53,46,57,48,52,49,56,32,51,46,52,57,57,55,32,49,46,57,51,51,51,
      51,32,49,46,49,49,53,55,57,32,46,54,57,52,55,53,56,10,32,32,46,53,54,50,53,
      53,55,32,46,53,56,53,54,48,53,32,46,55,49,54,53,52,57,32,46,56,56,57,49,55,
      54,32,49,46,48,56,48,49,52,32,49,46,50,52,51,54,57,32,49,46,51,50,55,57,49,
      32,49,46,50,56,54,55,56,32,49,46,49,48,57,51,53,32,46,56,50,54,48,55,53,10,
      32,32,46,53,54,55,55,57,56,32,46,51,55,51,48,50,51,32,46,50,55,49,56,57,50,
      32,46,50,57,53,52,54,55,32,46,51,55,53,51,55,56,32,46,53,50,50,53,57,54,32,
      46,55,51,49,49,53,57,32,46,57,51,56,55,54,57,32,49,46,49,48,51,55,32,49,46,
      49,56,54,52,49,32,49,46,49,54,55,48,56,10,32,32,49,46,48,55,52,56,57,32,46,
      57,51,51,52,55,56,32,46,55,55,50,53,53,51,32,46,54,54,55,49,51,55,32,46,53,
      56,50,52,49,56,32,46,53,49,48,48,57,51,32,46,52,50,57,48,55,32,46,51,51,51,
      54,52,49,32,46,50,55,57,48,51,57,32,46,50,54,48,54,48,54,32,46,50,54,48,54,
      50,10,32,32,46,50,54,51,49,55,52,32,46,50,54,48,53,53,51,32,46,50,54,54,51,
      54,53,32,46,50,56,55,48,56,51,32,46,51,49,54,52,53,51,32,46,51,51,53,49,55,
      56,32,46,51,51,48,52,53,56,32,46,51,48,54,53,54,54,32,46,50,56,52,48,49,53,
      32,46,50,52,52,53,56,55,10,32,32,46,50,49,49,54,50,56,32,46,49,56,49,50,55,
      51,32,46,49,53,51,53,53,52,32,46,49,51,56,51,53,55,32,46,49,51,51,54,32,46,
      49,51,53,54,54,56,32,46,49,51,57,54,48,54,32,46,49,52,51,53,48,53,32,46,49,
      52,55,54,49,53,32,46,49,53,48,52,51,57,32,46,49,53,50,51,51,52,10,32,32,46,
      49,53,49,54,54,52,32,46,49,52,56,49,51,51,32,46,49,51,55,57,55,49,32,46,49,
      50,51,57,56,57,32,46,49,49,53,51,55,55,32,46,49,48,55,50,51,51,32,46,48,57,
      53,56,51,55,52,32,46,48,56,53,52,53,57,50,32,46,48,56,48,56,55,55,54,32,46,
      48,55,53,54,48,55,52,10,32,32,46,48,55,51,54,50,56,57,32,46,48,55,50,50,51,
      57,55,32,46,48,56,50,49,56,52,57,32,46,48,55,56,52,56,55,56,32,46,48,55,55,
      48,50,50,56,32,46,48,55,52,51,48,52,52,32,46,48,55,49,52,52,51,55,32,46,48,
      54,57,49,54,55,56,32,46,48,54,54,57,56,52,55,10,32,32,46,48,54,53,48,50,48,
      57,32,46,48,54,51,49,53,56,52,32,46,48,54,49,49,55,49,53,32,46,48,53,57,52,
      55,50,55,32,46,48,53,55,54,54,55,54,32,46,48,53,54,51,56,50,57,32,46,48,53,
      52,51,54,50,55,32,46,48,53,51,49,54,56,32,46,48,53,49,55,50,56,32,46,48,52,
      56,53,53,53,10,32,32,46,48,52,52,53,54,53,54,32,46,48,52,49,48,52,52,57,32,
      46,48,51,55,48,57,53,50,32,46,48,51,51,53,56,49,57,32,46,48,50,57,56,54,49,
      49,32,46,48,50,55,49,49,53,49,32,46,48,50,51,50,52,54,49,32,46,48,49,57,54,
      56,53,55,32,46,48,49,55,57,48,53,56,10,32,32,46,48,49,54,49,50,52,55,32,46,
      48,49,52,48,52,53,52,32,46,48,49,50,52,54,52,54,32,46,48,49,49,48,55,52,55,
      32,46,48,48,57,54,56,55,54,54,32,46,48,48,56,52,56,53,48,55,32,46,48,48,55,
      53,54,51,48,55,32,46,48,48,54,55,52,54,55,52,32,46,48,48,54,48,50,51,48,53,
      10,32,32,46,48,48,53,50,57,53,48,53,32,46,48,48,52,53,56,53,50,55,32,46,48,
      48,51,57,49,50,49,32,46,48,48,51,51,57,52,51,55,32,46,48,48,50,57,48,49,56,
      53,32,46,48,48,50,53,50,50,32,46,48,48,50,49,57,51,52,32,46,48,48,49,56,55,
      57,54,57,32,46,48,48,49,53,57,52,51,54,10,32,32,46,48,48,49,52,48,52,55,53,
      32,46,48,48,49,50,49,52,48,49,32,46,48,48,49,48,54,56,51,52,32,46,48,48,48,
      57,51,50,51,52,51,32,46,48,48,48,56,49,52,48,51,55,32,46,48,48,48,55,49,49,
      48,50,32,46,48,48,48,54,50,49,50,56,50,32,46,48,48,48,53,52,51,48,55,53,10,
      32,32,46,48,48,48,52,55,52,56,55,57,32,46,48,48,48,52,49,53,51,56,54,32,46,
      48,48,48,51,54,51,52,54,52,32,46,48,48,48,51,49,56,49,50,56,32,46,48,48,48,
      50,55,56,53,50,56,32,46,48,48,48,50,52,51,57,49,50,32,46,48,48,48,50,49,51,
      54,54,54,32,46,48,48,48,49,56,55,50,49,56,10,32,32,46,48,48,48,49,54,52,48,
      56,52,32,46,48,48,48,49,52,51,56,52,50,32,46,48,48,48,49,50,54,49,51,52,32,
      46,48,48,48,49,49,48,54,50,51,32,57,46,55,48,51,49,54,101,45,48,53,32,56,46,
      53,49,51,51,52,101,45,48,53,32,55,46,52,55,48,56,54,101,45,48,53,10,32,32,54,
      46,53,53,55,50,52,101,45,48,53,32,53,46,55,53,54,51,53,101,45,48,53,32,53,46,
      48,53,52,49,54,101,45,48,53,32,52,46,52,51,56,56,50,101,45,48,53,32,51,46,56,
      57,56,54,51,101,45,48,53,32,51,46,52,50,52,55,49,101,45,48,53,32,51,46,48,48,
      56,56,54,101,45,48,53,10,32,32,50,46,54,52,51,56,57,101,45,48,53,32,50,46,51,
      50,51,53,101,45,48,53,32,50,46,48,52,50,50,51,101,45,48,53,32,49,46,55,57,53,
      48,49,101,45,48,53,32,49,46,53,55,56,49,50,101,45,48,53,32,49,46,52,50,55,56,
      51,101,45,48,53,32,49,46,50,57,49,57,53,101,45,48,53,10,32,32,49,46,49,54,57,
      48,56,101,45,48,53,32,49,46,48,53,55,57,56,101,45,48,53,32,57,46,53,55,54,51,
      55,101,45,48,54,32,56,46,53,53,55,49,55,101,45,48,54,32,55,46,52,50,49,56,55,
      101,45,48,54,32,54,46,52,51,56,48,51,101,45,48,54,32,53,46,53,56,53,51,50,101,
      45,48,54,10,32,32,52,46,56,52,54,49,52,101,45,48,54,32,52,46,50,48,53,50,55,
      101,45,48,54,32,51,46,54,52,57,53,56,101,45,48,54,32,51,46,49,54,55,54,55,101,
      45,48,54,32,50,46,55,52,57,55,101,45,48,54,32,50,46,51,56,55,49,50,101,45,48,
      54,32,50,46,48,55,50,53,55,101,45,48,54,10,32,32,49,46,55,57,57,54,53,101,45,
      48,54,32,49,46,53,54,50,56,50,101,45,48,54,32,49,46,51,53,55,50,56,101,45,48,
      54,32,49,46,49,55,56,56,56,101,45,48,54,32,49,46,48,50,52,48,50,101,45,48,54,
      32,56,46,56,57,53,56,56,101,45,48,55,32,55,46,55,50,56,54,54,101,45,48,55,10,
      32,32,54,46,55,49,53,49,50,101,45,48,55,32,53,46,56,51,52,57,56,101,45,48,55,
      32,53,46,48,55,48,54,101,45,48,55,32,52,46,52,48,53,53,54,101,45,48,55,32,51,
      46,56,51,48,48,50,101,45,48,55,32,51,46,51,50,57,48,52,101,45,48,55,32,50,46,
      56,57,51,56,49,101,45,48,55,10,32,32,50,46,53,49,53,54,54,101,45,48,55,32,50,
      46,49,56,55,48,56,101,45,48,55,32,49,46,57,48,49,53,52,101,45,48,55,32,49,46,
      54,53,51,51,57,101,45,48,55,32,49,46,52,51,55,55,49,101,45,48,55,32,49,46,50,
      53,48,50,53,101,45,48,55,32,49,46,48,56,55,51,101,45,48,55,10,32,32,57,46,52,
      53,54,52,57,101,45,48,56,32,56,46,50,50,52,57,55,101,45,48,56,32,55,46,49,53,
      52,50,53,101,45,48,56,32,54,46,50,50,51,50,56,101,45,48,56,32,53,46,52,49,51,
      55,53,101,45,48,56,32,52,46,48,57,55,54,49,101,45,48,56,32,51,46,49,48,50,48,
      49,101,45,48,56,10,32,32,50,46,51,52,56,56,52,101,45,48,56,32,49,46,55,55,56,
      56,57,101,45,48,56,32,49,46,51,52,55,52,57,101,45,48,56,32,49,46,48,50,48,56,
      57,101,45,48,56,32,55,46,55,51,53,57,49,101,45,48,57,32,53,46,56,54,50,57,53,
      101,45,48,57,32,52,46,52,52,52,50,101,45,48,57,10,32,32,51,46,51,54,57,51,101,
      45,48,57,32,50,46,53,53,52,55,54,101,45,48,57,32,49,46,57,51,55,52,52,101,45,
      48,57,32,49,46,52,54,57,52,57,101,45,48,57,32,49,46,49,49,52,55,51,101,45,48,
      57,32,56,46,52,53,55,50,101,45,49,48,32,54,46,52,49,55,49,53,101,45,49,48,10,
      32,32,52,46,56,54,57,56,51,101,45,49,48,32,51,46,54,57,54,48,55,101,45,49,48,
      32,50,46,56,48,53,53,53,101,45,49,48,32,50,46,49,50,57,56,51,101,45,49,48,32,
      49,46,54,49,55,48,52,101,45,49,48,32,49,46,50,50,55,56,54,101,45,49,48,32,57,
      46,51,50,52,52,101,45,49,49,10,32,32,55,46,48,56,49,55,49,101,45,49,49,32,53,
      46,51,55,56,57,53,101,45,49,49,32,52,46,48,56,54,48,50,101,45,49,49,32,51,46,
      49,48,52,49,55,101,45,49,49,32,50,46,51,53,56,52,56,101,45,49,49,32,49,46,55,
      57,50,49,52,101,45,49,49,32,52,46,48,48,53,55,53,101,45,48,54,10,32,32,49,46,
      54,48,54,49,54,101,45,48,53,32,46,48,48,48,50,49,55,57,56,56,32,46,48,48,48,
      51,55,49,55,53,32,46,48,48,49,56,50,56,54,57,32,46,48,48,52,49,49,51,55,52,
      32,46,48,48,55,51,48,49,51,55,32,46,48,49,49,51,56,51,56,32,46,48,49,54,51,
      53,57,53,10,32,32,46,48,50,50,50,48,50,52,32,46,48,50,56,57,49,32,46,48,51,
      54,52,53,53,50,32,46,48,52,52,56,49,56,56,32,46,48,53,51,57,56,48,55,32,46,
      48,54,51,57,49,51,54,32,46,48,55,52,53,56,49,51,32,46,48,56,53,57,54,51,52,
      32,46,48,57,56,48,51,51,50,32,46,49,49,48,55,51,49,10,32,32,46,49,50,52,48,
      51,57,32,46,49,51,55,56,56,55,32,46,49,53,50,51,50,56,32,46,49,54,55,50,52,
      57,32,46,49,56,50,53,56,57,32,46,49,57,56,51,54,57,32,46,50,49,52,53,55,57,
      32,46,50,51,49,50,49,51,32,46,50,52,56,49,49,32,46,50,54,53,51,54,53,32,46,
      50,56,50,56,53,51,10,32,32,46,51,48,48,56,57,52,32,46,51,49,57,50,49,55,32,
      46,51,51,55,55,48,53,32,46,51,53,54,51,50,52,32,46,51,55,53,52,53,49,32,46,
      51,57,53,50,48,56,32,46,52,49,52,56,57,57,32,46,52,51,53,48,56,57,32,46,52,
      53,53,48,56,52,32,46,52,55,54,52,53,52,10,32,32,46,52,57,55,55,50,51,32,46,
      53,49,57,49,57,54,32,46,53,52,49,49,53,32,46,53,54,51,52,53,57,32,46,53,56,
      54,50,49,54,32,46,54,48,57,54,54,56,32,46,54,51,51,50,48,53,32,46,54,53,54,
      55,51,54,32,46,54,56,49,48,55,56,32,46,55,48,53,56,53,55,32,46,55,51,49,48,
      56,55,10,32,32,46,55,53,54,52,49,49,32,46,55,56,50,49,48,49,32,46,56,48,56,
      49,48,52,32,46,56,51,52,49,52,51,32,46,56,54,48,51,48,49,32,46,56,56,55,49,
      53,57,32,46,57,49,52,51,54,57,32,46,57,52,49,54,48,51,32,46,57,54,56,56,53,
      51,32,46,57,57,54,48,56,55,10,32,32,49,46,48,50,51,48,56,32,49,46,48,52,57,
      57,49,32,49,46,48,55,55,48,54,32,49,46,49,48,52,53,57,32,49,46,49,51,50,50,
      51,32,49,46,49,53,57,48,54,32,49,46,49,56,53,55,50,32,49,46,50,49,50,50,49,
      32,49,46,50,51,56,53,52,32,49,46,50,54,51,57,53,10,32,32,49,46,50,56,56,54,
      56,32,49,46,51,49,52,48,49,32,49,46,51,51,57,52,54,32,49,46,51,54,52,53,51,
      32,49,46,51,56,56,48,56,32,49,46,52,49,49,50,56,32,49,46,52,51,52,49,52,32,
      49,46,52,53,54,54,53,32,49,46,52,55,56,49,55,32,49,46,52,57,56,57,57,10,32,
      32,49,46,53,50,48,53,53,32,49,46,53,52,49,53,49,32,49,46,53,54,50,50,56,32,
      49,46,53,56,51,48,56,32,49,46,54,48,50,54,55,32,49,46,54,50,50,48,53,32,49,
      46,54,52,49,52,52,32,49,46,54,54,50,48,51,32,49,46,54,56,50,57,49,32,49,46,
      55,48,51,48,49,10,32,32,49,46,55,50,51,49,49,32,49,46,55,52,51,56,32,49,46,
      55,54,56,55,57,32,49,46,55,57,51,55,57,32,49,46,56,49,56,56,32,49,46,56,52,
      51,56,49,32,49,46,56,55,52,48,56,32,49,46,57,48,55,53,32,49,46,57,52,48,57,
      52,32,49,46,57,55,52,51,56,32,50,46,48,48,57,52,53,10,32,32,50,46,48,53,53,
      51,50,32,50,46,49,48,49,49,57,32,50,46,49,52,55,48,55,32,50,46,49,57,50,57,
      54,32,50,46,50,52,57,52,57,32,50,46,51,49,50,48,57,32,50,46,51,55,52,55,32,
      50,46,52,51,55,51,49,32,50,46,53,48,50,57,49,32,50,46,53,56,54,52,53,32,50,
      46,54,54,57,57,56,10,32,32,50,46,55,53,51,51,51,32,50,46,56,51,52,53,56,32,
      50,46,57,51,48,55,53,32,51,46,48,51,52,57,54,32,51,46,49,51,54,55,52,32,51,
      46,50,51,55,48,49,32,51,46,51,52,48,49,49,32,51,46,52,54,49,55,54,32,51,46,
      53,56,51,50,56,32,51,46,55,48,50,53,51,10,32,32,51,46,56,49,57,50,54,32,51,
      46,57,52,55,54,55,32,52,46,48,55,57,51,50,32,52,46,50,49,51,53,32,52,46,51,
      52,53,50,53,32,52,46,52,55,54,54,57,32,52,46,54,49,57,50,55,32,52,46,55,53,
      56,57,52,32,52,46,57,48,48,57,50,32,53,46,48,51,57,51,56,32,53,46,49,56,51,
      51,57,10,32,32,53,46,51,50,55,48,55,32,53,46,52,55,52,50,50,32,53,46,54,49,
      56,55,49,32,53,46,55,54,49,49,55,32,53,46,57,48,55,49,57,32,54,46,48,53,52,
      57,49,32,54,46,50,48,50,52,55,32,54,46,51,52,53,54,55,32,54,46,52,56,57,50,
      57,32,54,46,54,51,53,52,51,10,32,32,54,46,55,56,51,49,52,32,54,46,57,50,55,
      50,32,55,46,48,54,56,51,57,32,55,46,50,49,49,55,32,55,46,51,53,54,56,32,55,
      46,53,48,48,54,56,32,55,46,54,52,50,48,55,32,55,46,55,56,48,48,55,32,55,46,
      57,50,48,50,57,32,56,46,48,54,49,52,57,32,56,46,50,48,50,49,55,10,32,32,56,
      46,51,52,48,52,50,32,56,46,52,55,53,52,55,32,56,46,54,48,57,53,49,32,56,46,
      55,56,56,53,51,32,57,46,50,48,49,32,57,46,55,55,57,48,56,32,49,48,46,54,51,
      57,51,32,49,49,46,51,51,53,50,32,49,49,46,56,52,56,32,49,50,46,49,50,52,55,
      32,49,50,46,49,55,52,54,10,32,32,49,49,46,57,57,53,56,32,49,49,46,54,56,53,
      52,32,49,49,46,51,48,56,56,32,49,48,46,57,54,55,55,32,49,48,46,54,54,54,57,
      32,49,48,46,51,56,55,56,32,49,48,46,48,51,51,54,32,57,46,53,52,48,54,54,32,
      56,46,53,52,48,51,53,32,55,46,48,55,57,57,56,10,32,32,53,46,51,51,57,48,56,
      32,51,46,51,48,53,56,32,49,46,56,56,56,53,50,32,49,46,49,48,50,52,32,46,54,
      57,49,56,51,50,32,46,53,54,49,50,53,57,32,46,53,56,52,51,52,54,32,46,55,49,
      52,54,48,56,32,46,56,56,53,55,48,53,32,49,46,48,55,52,51,52,32,49,46,50,51,
      53,57,49,10,32,32,49,46,51,49,57,55,55,32,49,46,50,56,48,54,32,49,46,49,48,
      54,51,51,32,46,56,50,53,49,52,52,32,46,53,54,55,52,48,52,32,46,51,55,50,55,
      56,51,32,46,50,55,49,55,56,54,32,46,50,57,53,51,53,49,32,46,51,55,53,50,48,
      57,32,46,53,50,50,50,53,53,32,46,55,51,48,54,50,50,10,32,32,46,57,51,56,49,
      51,53,32,49,46,49,48,50,57,50,32,49,46,49,56,53,53,56,32,49,46,49,54,54,50,
      56,32,49,46,48,55,52,49,32,46,57,51,50,56,53,55,32,46,55,55,50,50,49,50,32,
      46,54,54,54,56,53,57,32,46,53,56,50,49,55,50,32,46,53,48,57,57,54,32,46,52,
      50,56,57,57,55,10,32,32,46,51,51,51,53,57,55,32,46,50,55,57,48,49,50,32,46,
      50,54,48,53,55,54,32,46,50,54,48,53,57,49,32,46,50,54,51,49,52,52,32,46,50,
      54,48,53,50,57,32,46,50,54,54,51,52,52,32,46,50,56,55,48,53,57,32,46,51,49,
      54,52,50,52,32,46,51,51,53,49,52,56,10,32,32,46,51,51,48,52,51,49,32,46,51,
      48,54,53,51,54,32,46,50,56,51,57,56,57,32,46,50,52,52,53,55,51,32,46,50,49,
      49,54,49,56,32,46,49,56,49,50,54,55,32,46,49,53,51,53,52,55,32,46,49,51,56,
      51,53,50,32,46,49,51,51,53,57,52,32,46,49,51,53,54,54,49,10,32,32,46,49,51,
      57,54,32,46,49,52,51,52,57,57,32,46,49,52,55,54,48,57,32,46,49,53,48,52,51,
      51,32,46,49,53,50,51,50,56,32,46,49,53,49,54,54,32,46,49,52,56,49,50,57,32,
      46,49,51,55,57,54,55,32,46,49,50,51,57,56,54,32,46,49,49,53,51,55,54,32,46,
      49,48,55,50,51,49,10,32,32,46,48,57,53,56,51,53,51,32,46,48,56,53,52,53,55,
      53,32,46,48,56,48,56,55,53,54,32,46,48,55,53,54,48,53,57,32,46,48,55,51,54,
      50,55,54,32,46,48,55,50,50,51,56,53,32,46,48,56,50,49,56,51,50,32,46,48,55,
      56,52,56,54,53,32,46,48,55,55,48,50,49,55,10,32,32,46,48,55,52,51,48,51,32,
      46,48,55,49,52,52,50,53,32,46,48,54,57,49,54,54,57,32,46,48,54,54,57,56,51,
      56,32,46,48,54,53,48,50,48,54,32,46,48,54,51,49,53,55,55,32,46,48,54,49,49,
      55,48,56,32,46,48,53,57,52,55,49,57,32,46,48,53,55,54,54,54,56,10,32,32,46,
      48,53,54,51,56,50,32,46,48,53,52,51,54,50,49,32,46,48,53,51,49,54,55,52,32,
      46,48,53,49,55,50,55,51,32,46,48,52,56,53,53,52,49,32,46,48,52,52,53,54,53,
      49,32,46,48,52,49,48,52,52,53,32,46,48,51,55,48,57,53,32,46,48,51,51,53,56,
      49,55,32,46,48,50,57,56,54,48,56,10,32,32,46,48,50,55,49,49,52,56,32,46,48,
      50,51,50,52,54,32,46,48,49,57,54,56,53,50,32,46,48,49,55,57,48,53,52,32,46,
      48,49,54,49,50,52,51,32,46,48,49,52,48,52,53,32,46,48,49,50,52,54,52,51,32,
      46,48,49,49,48,55,52,53,32,46,48,48,57,54,56,55,52,55,10,32,32,46,48,48,56,
      52,56,52,56,56,32,46,48,48,55,53,54,50,57,49,32,46,48,48,54,55,52,54,53,56,
      32,46,48,48,54,48,50,50,57,51,32,46,48,48,53,50,57,52,57,52,32,46,48,48,52,
      53,56,53,49,55,32,46,48,48,51,57,49,50,48,50,32,46,48,48,51,51,57,52,50,57,
      10,32,32,46,48,48,50,57,48,49,55,57,32,46,48,48,50,53,50,49,57,53,32,46,48,
      48,50,49,57,51,51,54,32,46,48,48,49,56,55,57,54,53,32,46,48,48,49,53,57,52,
      51,51,32,46,48,48,49,52,48,52,55,50,32,46,48,48,49,50,49,51,57,56,32,46,48,
      48,49,48,54,56,51,50,10,32,32,46,48,48,48,57,51,50,51,50,52,32,46,48,48,48,
      56,49,52,48,50,32,46,48,48,48,55,49,49,48,48,53,32,46,48,48,48,54,50,49,50,
      54,57,32,46,48,48,48,53,52,51,48,54,52,32,46,48,48,48,52,55,52,56,54,57,32,
      46,48,48,48,52,49,53,51,55,56,32,46,48,48,48,51,54,51,52,53,55,10,32,32,46,
      48,48,48,51,49,56,49,50,49,32,46,48,48,48,50,55,56,53,50,50,32,46,48,48,48,
      50,52,51,57,48,55,32,46,48,48,48,50,49,51,54,54,50,32,46,48,48,48,49,56,55,
      50,49,52,32,46,48,48,48,49,54,52,48,56,49,32,46,48,48,48,49,52,51,56,51,57,
      32,46,48,48,48,49,50,54,49,51,50,10,32,32,46,48,48,48,49,49,48,54,50,49,32,
      57,46,55,48,50,57,54,101,45,48,53,32,56,46,53,49,51,49,54,101,45,48,53,32,55,
      46,52,55,48,55,50,101,45,48,53,32,54,46,53,53,55,49,49,101,45,48,53,32,53,46,
      55,53,54,50,52,101,45,48,53,32,53,46,48,53,52,48,54,101,45,48,53,10,32,32,52,
      46,52,51,56,55,51,101,45,48,53,32,51,46,56,57,56,53,53,101,45,48,53,32,51,46,
      52,50,52,54,52,101,45,48,53,32,51,46,48,48,56,56,101,45,48,53,32,50,46,54,52,
      51,56,52,101,45,48,53,32,50,46,51,50,51,52,54,101,45,48,53,32,50,46,48,52,50,
      49,57,101,45,48,53,10,32,32,49,46,55,57,52,57,56,101,45,48,53,32,49,46,53,55,
      56,48,56,101,45,48,53,32,49,46,52,50,55,56,101,45,48,53,32,49,46,50,57,49,57,
      50,101,45,48,53,32,49,46,49,54,57,48,54,101,45,48,53,32,49,46,48,53,55,57,53,
      101,45,48,53,32,57,46,53,55,54,49,55,101,45,48,54,10,32,32,56,46,53,53,55,101,
      45,48,54,32,55,46,52,50,49,55,50,101,45,48,54,32,54,46,52,51,55,57,49,101,45,
      48,54,32,53,46,53,56,53,50,49,101,45,48,54,32,52,46,56,52,54,48,52,101,45,48,
      54,32,52,46,50,48,53,49,57,101,45,48,54,32,51,46,54,52,57,53,101,45,48,54,10,
      32,32,51,46,49,54,55,54,49,101,45,48,54,32,50,46,55,52,57,54,52,101,45,48,54,
      32,50,46,51,56,55,48,55,101,45,48,54,32,50,46,48,55,50,53,51,101,45,48,54,32,
      49,46,55,57,57,54,49,101,45,48,54,32,49,46,53,54,50,55,56,101,45,48,54,32,49,
      46,51,53,55,50,53,101,45,48,54,10,32,32,49,46,49,55,56,56,54,101,45,48,54,32,
      49,46,48,50,52,101,45,48,54,32,56,46,56,57,53,55,101,45,48,55,32,55,46,55,50,
      56,53,101,45,48,55,32,54,46,55,49,52,57,56,101,45,48,55,32,53,46,56,51,52,56,
      54,101,45,48,55,32,53,46,48,55,48,53,101,45,48,55,32,52,46,52,48,53,52,55,101,
      45,48,55,10,32,32,51,46,56,50,57,57,53,101,45,48,55,32,51,46,51,50,56,57,56,
      101,45,48,55,32,50,46,56,57,51,55,53,101,45,48,55,32,50,46,53,49,53,54,49,101,
      45,48,55,32,50,46,49,56,55,48,51,101,45,48,55,32,49,46,57,48,49,53,101,45,48,
      55,32,49,46,54,53,51,51,53,101,45,48,55,10,32,32,49,46,52,51,55,54,56,101,45,
      48,55,32,49,46,50,53,48,50,51,101,45,48,55,32,49,46,48,56,55,50,56,101,45,48,
      55,32,57,46,52,53,54,51,101,45,48,56,32,56,46,50,50,52,56,49,101,45,48,56,32,
      55,46,49,53,52,49,49,101,45,48,56,32,54,46,50,50,51,49,53,101,45,48,56,10,32,
      32,53,46,52,49,51,54,53,101,45,48,56,32,52,46,48,57,55,53,50,101,45,48,56,32,
      51,46,49,48,49,57,52,101,45,48,56,32,50,46,51,52,56,55,57,101,45,48,56,32,49,
      46,55,55,56,56,53,101,45,48,56,32,49,46,51,52,55,52,54,101,45,48,56,32,49,46,
      48,50,48,56,55,101,45,48,56,10,32,32,55,46,55,51,53,55,54,101,45,48,57,32,53,
      46,56,54,50,56,52,101,45,48,57,32,52,46,52,52,52,49,49,101,45,48,57,32,51,46,
      51,54,57,50,51,101,45,48,57,32,50,46,53,53,52,55,49,101,45,48,57,32,49,46,57,
      51,55,52,101,45,48,57,32,49,46,52,54,57,52,54,101,45,48,57,10,32,32,49,46,49,
      49,52,55,101,45,48,57,32,56,46,52,53,55,48,51,101,45,49,48,32,54,46,52,49,55,
      48,50,101,45,49,48,32,52,46,56,54,57,55,51,101,45,49,48,32,51,46,54,57,53,57,
      57,101,45,49,48,32,50,46,56,48,53,52,57,101,45,49,48,32,50,46,49,50,57,55,57,
      101,45,49,48,10,32,32,49,46,54,49,55,48,49,101,45,49,48,32,49,46,50,50,55,56,
      51,101,45,49,48,32,57,46,51,50,52,50,50,101,45,49,49,32,55,46,48,56,49,53,55,
      101,45,49,49,32,53,46,51,55,56,56,52,101,45,49,49,32,52,46,48,56,53,57,51,101,
      45,49,49,32,51,46,49,48,52,49,49,101,45,49,49,10,32,32,50,46,51,53,56,52,52,
      101,45,49,49,32,49,46,55,57,50,49,101,45,49,49,32,52,46,48,48,53,55,50,101,
      45,48,54,32,49,46,54,48,54,49,53,101,45,48,53,32,46,48,48,48,49,54,50,49,52,
      49,32,46,48,48,48,50,53,55,53,50,54,32,46,48,48,49,50,50,52,55,52,32,46,48,
      48,50,55,53,53,49,53,10,32,32,46,48,48,52,56,57,48,49,49,32,46,48,48,55,54,
      50,52,53,49,32,46,48,49,48,57,53,55,54,32,46,48,49,52,56,55,50,50,32,46,48,
      49,57,51,54,55,52,32,46,48,50,52,52,50,53,54,32,46,48,51,48,48,51,53,50,32,
      46,48,51,54,49,56,52,50,32,46,48,52,50,56,53,54,52,10,32,32,46,48,53,48,48,
      51,49,52,32,46,48,53,55,54,57,54,53,32,46,48,54,53,56,51,51,56,32,46,48,55,
      52,52,49,56,55,32,46,48,56,51,52,50,55,54,32,46,48,57,50,56,51,55,54,32,46,
      49,48,50,54,54,49,32,46,49,49,50,56,53,54,32,46,49,50,51,51,55,54,32,46,49,
      51,52,50,50,54,10,32,32,46,49,52,53,52,50,56,32,46,49,53,54,57,51,57,32,46,
      49,54,56,55,50,55,32,46,49,56,48,55,56,55,32,46,49,57,51,48,54,52,32,46,50,
      48,53,55,56,52,32,46,50,49,56,55,51,49,32,46,50,51,49,56,56,50,32,46,50,52,
      53,50,48,57,32,46,50,53,56,57,53,51,10,32,32,46,50,55,51,48,52,53,32,46,50,
      56,55,50,56,56,32,46,51,48,49,56,50,52,32,46,51,49,54,53,49,55,32,46,51,51,
      49,55,57,51,32,46,51,52,55,51,52,54,32,46,51,54,51,48,56,57,32,46,51,55,56,
      57,52,50,32,46,51,57,53,52,51,51,32,46,52,49,50,49,56,51,10,32,32,46,52,50,
      57,49,48,57,32,46,52,52,54,52,54,55,32,46,52,54,51,57,48,56,32,46,52,56,49,
      56,52,55,32,46,53,48,48,49,49,52,32,46,53,49,56,55,50,49,32,46,53,51,55,52,
      51,50,32,46,53,53,54,52,32,46,53,55,53,54,52,50,32,46,53,57,53,49,51,53,32,
      46,54,49,53,48,54,50,10,32,32,46,54,51,53,48,54,32,46,54,53,53,50,51,54,32,
      46,54,55,53,52,54,55,32,46,54,57,53,55,57,55,32,46,55,49,54,51,54,49,32,46,
      55,51,55,50,54,54,32,46,55,53,56,49,52,57,32,46,55,55,57,48,52,51,32,46,55,
      57,57,57,51,56,32,46,56,50,48,55,56,51,32,46,56,52,49,49,57,51,10,32,32,46,
      56,54,50,49,53,53,32,46,56,56,51,50,51,56,32,46,57,48,52,50,54,50,32,46,57,
      50,52,55,57,51,32,46,57,52,52,56,57,56,32,46,57,54,52,56,53,52,32,46,57,56,
      52,57,51,49,32,49,46,48,48,53,51,49,32,49,46,48,50,53,48,53,32,49,46,48,52,
      52,53,54,10,32,32,49,46,48,54,51,56,53,32,49,46,48,56,50,57,49,32,49,46,49,
      48,49,51,54,32,49,46,49,49,57,52,32,49,46,49,51,56,49,55,32,49,46,49,53,54,
      53,49,32,49,46,49,55,52,55,52,32,49,46,49,57,51,48,52,32,49,46,50,49,48,53,
      51,32,49,46,50,50,55,57,49,32,49,46,50,52,53,51,51,10,32,32,49,46,50,54,51,
      53,51,32,49,46,50,56,49,57,56,32,49,46,51,48,48,48,51,32,49,46,51,49,56,49,
      50,32,49,46,51,51,54,54,50,32,49,46,51,53,55,56,51,32,49,46,51,55,57,48,57,
      32,49,46,52,48,48,52,32,49,46,52,50,49,55,55,32,49,46,52,52,54,52,55,32,49,
      46,52,55,51,49,57,10,32,32,49,46,52,57,57,57,56,32,49,46,53,50,54,56,51,32,
      49,46,53,53,52,55,53,32,49,46,53,56,57,52,57,32,49,46,54,50,52,50,57,32,49,
      46,54,53,57,49,53,32,49,46,54,57,52,48,56,32,49,46,55,51,53,55,32,49,46,55,
      56,49,49,54,32,49,46,56,50,54,54,55,32,49,46,56,55,50,50,51,10,32,32,49,46,
      57,49,57,54,56,32,49,46,57,55,56,50,56,32,50,46,48,51,54,56,55,32,50,46,48,
      57,53,51,55,32,50,46,49,53,50,55,49,32,50,46,50,49,57,50,54,32,50,46,50,57,
      48,55,51,32,50,46,51,54,48,52,56,32,50,46,52,50,57,49,53,32,50,46,52,57,57,
      51,56,10,32,32,50,46,53,56,48,54,56,32,50,46,54,54,50,49,51,32,50,46,55,52,
      49,55,56,32,50,46,56,49,57,52,56,32,50,46,57,48,51,54,57,32,50,46,57,57,51,
      51,50,32,51,46,48,56,49,49,51,32,51,46,49,54,54,53,53,32,51,46,50,53,49,53,
      55,32,51,46,51,52,54,56,32,51,46,52,51,57,57,52,10,32,32,51,46,53,50,57,55,
      56,32,51,46,54,49,57,49,51,32,51,46,55,49,52,56,54,32,51,46,56,49,48,49,52,
      32,51,46,57,48,50,56,56,32,51,46,57,57,55,48,56,32,52,46,48,57,48,55,51,32,
      52,46,49,56,53,56,32,52,46,50,56,49,55,54,32,52,46,51,55,55,52,50,32,52,46,
      52,55,48,49,49,10,32,32,52,46,53,54,52,51,55,32,52,46,54,54,49,53,53,32,52,
      46,55,53,53,57,56,32,52,46,56,52,57,51,51,32,52,46,57,52,51,55,53,32,53,46,
      48,51,56,57,54,32,53,46,49,51,50,49,57,32,53,46,50,50,53,48,50,32,53,46,51,
      50,48,49,56,32,53,46,52,49,51,49,32,53,46,53,48,52,54,55,10,32,32,53,46,53,
      57,54,51,51,32,53,46,54,57,48,51,49,32,53,46,55,56,50,55,53,32,53,46,56,55,
      51,51,51,32,53,46,57,54,51,50,32,54,46,48,56,51,50,51,32,54,46,51,54,48,51,
      50,32,54,46,55,53,50,56,53,32,55,46,51,53,49,49,52,32,55,46,56,53,55,51,55,
      32,56,46,50,53,55,53,49,10,32,32,56,46,53,50,56,57,56,32,56,46,54,54,56,54,
      32,56,46,54,56,48,54,57,32,56,46,53,57,51,32,56,46,52,54,53,54,54,32,56,46,
      51,52,48,51,54,32,56,46,50,51,49,54,52,32,56,46,49,50,57,48,53,32,55,46,57,
      55,51,53,53,32,55,46,55,49,53,53,57,32,55,46,49,48,49,54,10,32,32,54,46,48,
      57,52,49,51,32,52,46,55,56,54,53,57,32,51,46,49,48,57,50,53,32,49,46,56,51,
      48,56,57,32,49,46,48,56,56,55,51,32,46,54,56,55,53,53,50,32,46,53,53,57,48,
      52,52,32,46,53,56,50,50,48,56,32,46,55,49,49,50,53,54,32,46,56,56,48,52,54,
      55,10,32,32,49,46,48,54,54,54,57,32,49,46,50,50,54,50,55,32,49,46,51,48,57,
      53,56,32,49,46,50,55,50,48,56,32,49,46,49,48,49,49,50,32,46,56,50,51,53,56,
      56,32,46,53,54,54,55,49,32,46,51,55,50,53,48,56,32,46,50,55,49,54,53,51,32,
      46,50,57,53,50,48,55,32,46,51,55,53,48,48,57,10,32,32,46,53,50,49,56,53,57,
      32,46,55,50,57,56,52,51,32,46,57,51,54,57,55,52,32,49,46,49,48,49,53,57,32,
      49,46,49,56,52,49,52,32,49,46,49,54,52,56,54,32,49,46,48,55,50,57,54,32,46,
      57,51,50,49,49,52,32,46,55,55,49,56,48,53,32,46,54,54,54,53,52,55,10,32,32,
      46,53,56,49,57,51,55,32,46,53,48,57,56,48,51,32,46,52,50,56,56,56,53,32,46,
      51,51,51,53,51,54,32,46,50,55,56,57,55,51,32,46,50,54,48,53,51,56,32,46,50,
      54,48,53,53,55,32,46,50,54,51,49,49,52,32,46,50,54,48,53,48,49,32,46,50,54,
      54,51,49,54,10,32,32,46,50,56,55,48,50,57,32,46,51,49,54,51,57,49,32,46,51,
      51,53,49,49,50,32,46,51,51,48,51,57,55,32,46,51,48,54,53,48,53,32,46,50,56,
      51,57,54,50,32,46,50,52,52,53,53,54,32,46,50,49,49,54,48,52,32,46,49,56,49,
      50,53,55,32,46,49,53,51,53,52,32,46,49,51,56,51,52,54,10,32,32,46,49,51,51,
      53,56,56,32,46,49,51,53,54,53,53,32,46,49,51,57,53,57,52,32,46,49,52,51,52,
      57,50,32,46,49,52,55,54,48,50,32,46,49,53,48,52,50,54,32,46,49,53,50,51,50,
      50,32,46,49,53,49,54,53,52,32,46,49,52,56,49,50,51,32,46,49,51,55,57,54,50,
      10,32,32,46,49,50,51,57,56,50,32,46,49,49,53,51,55,52,32,46,49,48,55,50,50,
      56,32,46,48,57,53,56,51,50,55,32,46,48,56,53,52,53,53,52,32,46,48,56,48,56,
      55,51,53,32,46,48,55,53,54,48,52,50,32,46,48,55,51,54,50,54,32,46,48,55,50,
      50,51,55,32,46,48,56,50,49,56,49,51,10,32,32,46,48,55,56,52,56,52,57,32,46,
      48,55,55,48,50,32,46,48,55,52,51,48,49,53,32,46,48,55,49,52,52,48,57,32,46,
      48,54,57,49,54,53,53,32,46,48,54,54,57,56,50,54,32,46,48,54,53,48,50,48,50,
      32,46,48,54,51,49,53,54,54,32,46,48,54,49,49,54,57,54,32,46,48,53,57,52,55,
      48,56,10,32,32,46,48,53,55,54,54,53,56,32,46,48,53,54,51,56,49,50,32,46,48,
      53,52,51,54,49,50,32,46,48,53,51,49,54,54,54,32,46,48,53,49,55,50,54,54,32,
      46,48,52,56,53,53,51,51,32,46,48,52,52,53,54,52,53,32,46,48,52,49,48,52,52,
      32,46,48,51,55,48,57,52,53,10,32,32,46,48,51,51,53,56,49,50,32,46,48,50,57,
      56,54,48,53,32,46,48,50,55,49,49,52,53,32,46,48,50,51,50,52,53,55,32,46,48,
      49,57,54,56,52,56,32,46,48,49,55,57,48,53,32,46,48,49,54,49,50,51,57,32,46,
      48,49,52,48,52,52,55,32,46,48,49,50,52,54,52,32,46,48,49,49,48,55,52,50,10,
      32,32,46,48,48,57,54,56,55,50,54,32,46,48,48,56,52,56,52,54,57,32,46,48,48,
      55,53,54,50,55,52,32,46,48,48,54,55,52,54,52,50,32,46,48,48,54,48,50,50,55,
      57,32,46,48,48,53,50,57,52,56,50,32,46,48,48,52,53,56,53,48,55,32,46,48,48,
      51,57,49,49,57,51,10,32,32,46,48,48,51,51,57,52,50,50,32,46,48,48,50,57,48,
      49,55,51,32,46,48,48,50,53,50,49,56,57,32,46,48,48,50,49,57,51,51,50,32,46,
      48,48,49,56,55,57,54,49,32,46,48,48,49,53,57,52,50,57,32,46,48,48,49,52,48,
      52,54,57,32,46,48,48,49,50,49,51,57,54,10,32,32,46,48,48,49,48,54,56,51,32,
      46,48,48,48,57,51,50,51,48,52,32,46,48,48,48,56,49,52,48,48,52,32,46,48,48,
      48,55,49,48,57,57,32,46,48,48,48,54,50,49,50,53,54,32,46,48,48,48,53,52,51,
      48,53,50,32,46,48,48,48,52,55,52,56,53,57,32,46,48,48,48,52,49,53,51,55,10,
      32,32,46,48,48,48,51,54,51,52,52,57,32,46,48,48,48,51,49,56,49,49,53,32,46,
      48,48,48,50,55,56,53,49,55,32,46,48,48,48,50,52,51,57,48,50,32,46,48,48,48,
      50,49,51,54,53,55,32,46,48,48,48,49,56,55,50,49,32,46,48,48,48,49,54,52,48,
      55,55,32,46,48,48,48,49,52,51,56,51,54,10,32,32,46,48,48,48,49,50,54,49,50,
      57,32,46,48,48,48,49,49,48,54,49,57,32,57,46,55,48,50,55,54,101,45,48,53,32,
      56,46,53,49,50,57,57,101,45,48,53,32,55,46,52,55,48,53,55,101,45,48,53,32,54,
      46,53,53,54,57,55,101,45,48,53,32,53,46,55,53,54,49,50,101,45,48,53,10,32,32,
      53,46,48,53,51,57,54,101,45,48,53,32,52,46,52,51,56,54,52,101,45,48,53,32,51,
      46,56,57,56,52,56,101,45,48,53,32,51,46,52,50,52,53,55,101,45,48,53,32,51,46,
      48,48,56,55,52,101,45,48,53,32,50,46,54,52,51,55,56,101,45,48,53,32,50,46,51,
      50,51,52,49,101,45,48,53,10,32,32,50,46,48,52,50,49,53,101,45,48,53,32,49,46,
      55,57,52,57,52,101,45,48,53,32,49,46,53,55,56,48,53,101,45,48,53,32,49,46,52,
      50,55,55,55,101,45,48,53,32,49,46,50,57,49,56,57,101,45,48,53,32,49,46,49,54,
      57,48,52,101,45,48,53,32,49,46,48,53,55,57,51,101,45,48,53,10,32,32,57,46,53,
      55,53,57,55,101,45,48,54,32,56,46,53,53,54,56,50,101,45,48,54,32,55,46,52,50,
      49,53,55,101,45,48,54,32,54,46,52,51,55,55,56,101,45,48,54,32,53,46,53,56,53,
      49,101,45,48,54,32,52,46,56,52,53,57,52,101,45,48,54,32,52,46,50,48,53,49,101,
      45,48,54,10,32,32,51,46,54,52,57,52,51,101,45,48,54,32,51,46,49,54,55,53,52,
      101,45,48,54,32,50,46,55,52,57,53,56,101,45,48,54,32,50,46,51,56,55,48,50,101,
      45,48,54,32,50,46,48,55,50,52,56,101,45,48,54,32,49,46,55,57,57,53,56,101,45,
      48,54,32,49,46,53,54,50,55,53,101,45,48,54,10,32,32,49,46,51,53,55,50,50,101,
      45,48,54,32,49,46,49,55,56,56,51,101,45,48,54,32,49,46,48,50,51,57,56,101,45,
      48,54,32,56,46,56,57,53,53,50,101,45,48,55,32,55,46,55,50,56,51,52,101,45,48,
      55,32,54,46,55,49,52,56,53,101,45,48,55,32,53,46,56,51,52,55,52,101,45,48,55,
      10,32,32,53,46,48,55,48,52,49,101,45,48,55,32,52,46,52,48,53,51,57,101,45,48,
      55,32,51,46,56,50,57,56,55,101,45,48,55,32,51,46,51,50,56,57,49,101,45,48,55,
      32,50,46,56,57,51,54,57,101,45,48,55,32,50,46,53,49,53,53,54,101,45,48,55,32,
      50,46,49,56,54,57,57,101,45,48,55,10,32,32,49,46,57,48,49,52,54,101,45,48,55,
      32,49,46,54,53,51,51,50,101,45,48,55,32,49,46,52,51,55,54,53,101,45,48,55,32,
      49,46,50,53,48,50,101,45,48,55,32,49,46,48,56,55,50,54,101,45,48,55,32,57,46,
      52,53,54,49,49,101,45,48,56,32,56,46,50,50,52,54,53,101,45,48,56,10,32,32,55,
      46,49,53,51,57,54,101,45,48,56,32,54,46,50,50,51,48,51,101,45,48,56,32,53,46,
      52,49,51,53,52,101,45,48,56,32,52,46,48,57,55,52,52,101,45,48,56,32,51,46,49,
      48,49,56,56,101,45,48,56,32,50,46,51,52,56,55,52,101,45,48,56,32,49,46,55,55,
      56,56,50,101,45,48,56,10,32,32,49,46,51,52,55,52,52,101,45,48,56,32,49,46,48,
      50,48,56,53,101,45,48,56,32,55,46,55,51,53,54,101,45,48,57,32,53,46,56,54,50,
      55,50,101,45,48,57,32,52,46,52,52,52,48,50,101,45,48,57,32,51,46,51,54,57,49,
      54,101,45,48,57,32,50,46,53,53,52,54,54,101,45,48,57,10,32,32,49,46,57,51,55,
      51,54,101,45,48,57,32,49,46,52,54,57,52,51,101,45,48,57,32,49,46,49,49,52,54,
      56,101,45,48,57,32,56,46,52,53,54,56,54,101,45,49,48,32,54,46,52,49,54,56,57,
      101,45,49,48,32,52,46,56,54,57,54,51,101,45,49,48,32,51,46,54,57,53,57,50,101,
      45,49,48,10,32,32,50,46,56,48,53,52,51,101,45,49,48,32,50,46,49,50,57,55,52,
      101,45,49,48,32,49,46,54,49,54,57,56,101,45,49,48,32,49,46,50,50,55,56,49,101,
      45,49,48,32,57,46,51,50,52,48,51,101,45,49,49,32,55,46,48,56,49,52,51,101,45,
      49,49,32,53,46,51,55,56,55,51,101,45,49,49,10,32,32,52,46,48,56,53,56,53,101,
      45,49,49,32,51,46,49,48,52,48,53,101,45,49,49,32,50,46,51,53,56,51,57,101,45,
      49,49,32,49,46,55,57,50,48,55,101,45,49,49,32,52,46,48,48,53,49,52,101,45,48,
      54,32,49,46,54,48,53,56,53,101,45,48,53,32,51,46,54,49,53,54,53,101,45,48,53,
      10,32,32,52,46,48,48,52,50,50,101,45,48,53,32,46,48,48,48,52,50,48,55,50,52,
      32,46,48,48,48,57,52,54,51,50,54,32,46,48,48,49,54,55,57,51,53,32,46,48,48,
      50,54,49,55,57,51,32,46,48,48,51,55,54,49,55,50,32,46,48,48,53,49,48,52,55,
      55,32,46,48,48,54,54,52,54,56,53,10,32,32,46,48,48,56,51,56,50,49,32,46,48,
      49,48,51,48,55,32,46,48,49,50,52,49,55,56,32,46,48,49,52,55,48,57,57,32,46,
      48,49,55,49,55,55,32,46,48,49,57,56,49,54,49,32,46,48,50,50,54,50,51,49,32,
      46,48,50,53,53,57,32,46,48,50,56,55,49,50,51,32,46,48,51,49,57,56,50,57,10,
      32,32,46,48,51,53,52,48,56,52,32,46,48,51,56,57,55,53,49,32,46,48,52,50,54,
      55,55,32,46,48,52,54,53,48,57,57,32,46,48,53,48,52,56,48,54,32,46,48,53,52,
      53,57,48,51,32,46,48,53,56,56,50,48,53,32,46,48,54,51,49,54,57,57,32,46,48,
      54,55,54,51,49,51,10,32,32,46,48,55,50,50,53,56,49,32,46,48,55,54,57,57,57,
      52,32,46,48,56,49,56,52,57,53,32,46,48,56,54,56,48,52,50,32,46,48,57,49,57,
      49,54,49,32,46,48,57,55,49,55,52,54,32,46,49,48,50,53,52,49,32,46,49,48,56,
      48,49,56,32,46,49,49,51,54,48,51,32,46,49,49,57,51,57,56,10,32,32,46,49,50,
      53,51,49,49,32,46,49,51,49,51,50,52,32,46,49,51,55,52,53,51,32,46,49,52,51,
      55,52,52,32,46,49,53,48,50,49,49,32,46,49,53,54,55,55,55,32,46,49,54,51,52,
      53,57,32,46,49,55,48,50,53,52,32,46,49,55,55,50,53,55,32,46,49,56,52,51,55,
      51,10,32,32,46,49,57,49,53,57,57,32,46,49,57,56,57,50,53,32,46,50,48,54,52,
      49,32,46,50,49,52,48,50,57,32,46,50,50,49,55,52,55,32,46,50,50,57,53,57,49,
      32,46,50,51,55,52,57,57,32,46,50,52,53,53,54,55,32,46,50,53,51,55,52,49,32,
      46,50,54,49,57,57,50,32,46,50,55,48,51,51,54,10,32,32,46,50,55,56,55,56,53,
      32,46,50,56,55,50,55,50,32,46,50,57,53,56,54,49,32,46,51,48,52,53,53,57,32,
      46,51,49,51,51,50,51,32,46,51,50,50,48,51,50,32,46,51,51,48,56,57,32,46,51,
      51,57,56,48,55,32,46,51,52,56,55,52,56,32,46,51,53,55,55,49,50,32,46,51,54,
      54,54,57,54,10,32,32,46,51,55,53,54,57,55,32,46,51,56,52,55,53,52,32,46,51,
      57,51,57,48,56,32,46,52,48,50,57,51,49,32,46,52,49,49,57,50,51,32,46,52,50,
      49,48,54,49,32,46,52,51,48,50,53,52,32,46,52,51,57,51,51,49,32,46,52,52,56,
      51,51,32,46,52,53,55,53,50,56,32,46,52,54,54,54,53,49,10,32,32,46,52,55,53,
      55,56,57,32,46,52,56,52,57,57,50,32,46,52,57,52,49,54,53,32,46,53,48,51,51,
      56,53,32,46,53,49,50,54,54,53,32,46,53,50,50,49,55,55,32,46,53,51,49,55,56,
      54,32,46,53,52,49,51,51,49,32,46,53,53,48,57,51,54,32,46,53,54,48,54,56,54,
      10,32,32,46,53,55,49,49,51,56,32,46,53,56,49,54,53,55,32,46,53,57,50,50,52,
      49,32,46,54,48,50,56,57,49,32,46,54,49,52,52,48,50,32,46,54,50,54,52,54,32,
      46,54,51,56,53,57,50,32,46,54,53,48,55,57,54,32,46,54,54,51,51,50,32,46,54,
      55,55,53,53,56,32,46,54,57,49,56,55,49,10,32,32,46,55,48,54,50,53,55,32,46,
      55,50,48,55,49,54,32,46,55,51,54,56,53,56,32,46,55,53,51,57,56,50,32,46,55,
      55,49,49,54,56,32,46,55,56,56,52,49,57,32,46,56,48,54,49,55,55,32,46,56,50,
      54,54,52,57,32,46,56,52,55,49,53,52,32,46,56,54,55,54,54,56,10,32,32,46,56,
      56,55,56,57,54,32,46,57,49,48,51,32,46,57,51,51,56,54,53,32,46,57,53,55,50,
      53,54,32,46,57,56,48,53,53,54,32,49,46,48,48,52,50,51,32,49,46,48,51,48,52,
      50,32,49,46,48,53,54,52,53,32,49,46,48,56,49,57,57,32,49,46,49,48,55,56,32,
      49,46,49,51,53,48,49,10,32,32,49,46,49,54,51,50,32,49,46,49,57,48,56,50,32,
      49,46,50,49,56,53,32,49,46,50,52,54,49,51,32,49,46,50,55,53,55,56,32,49,46,
      51,48,52,57,32,49,46,51,51,51,57,57,32,49,46,51,54,50,55,53,32,49,46,51,57,
      50,54,49,32,49,46,52,50,50,57,49,32,49,46,52,53,50,56,52,10,32,32,49,46,52,
      56,50,55,32,49,46,53,49,50,53,51,32,49,46,53,52,51,51,55,32,49,46,53,55,52,
      48,49,32,49,46,54,48,52,51,56,32,49,46,54,51,52,56,56,32,49,46,54,54,53,53,
      54,32,49,46,54,57,54,53,57,32,49,46,55,50,55,52,49,32,49,46,55,53,56,50,49,
      32,49,46,55,56,56,57,54,10,32,32,49,46,56,50,48,48,49,32,49,46,56,53,48,57,
      57,32,49,46,56,56,49,56,56,32,49,46,57,49,50,57,54,32,49,46,57,52,51,56,56,
      32,49,46,57,55,52,55,52,32,50,46,48,48,53,54,52,32,50,46,48,51,54,55,53,32,
      50,46,48,54,55,55,54,32,50,46,48,57,56,52,55,10,32,32,50,46,49,50,57,49,56,
      32,50,46,49,55,48,50,53,32,50,46,50,54,52,56,53,32,50,46,52,48,50,48,52,32,
      50,46,54,49,54,52,51,32,50,46,56,48,56,53,57,32,50,46,57,55,54,48,51,32,51,
      46,49,49,51,52,49,32,51,46,50,50,48,57,56,32,51,46,50,57,57,52,55,10,32,32,
      51,46,51,53,55,49,52,32,51,46,52,48,51,53,52,32,51,46,52,52,56,54,52,32,51,
      46,52,57,53,52,32,51,46,53,52,48,49,54,32,51,46,53,56,51,50,32,51,46,53,57,
      51,57,52,32,51,46,53,50,50,54,51,32,51,46,50,57,57,57,50,32,50,46,57,49,32,
      50,46,50,51,50,49,56,10,32,32,49,46,53,50,54,49,52,32,46,57,57,53,56,49,55,
      32,46,54,53,57,54,48,53,32,46,53,52,51,53,48,49,32,46,53,54,54,56,55,54,32,
      46,54,56,56,55,53,53,32,46,56,52,54,49,50,50,32,49,46,48,49,55,52,51,32,49,
      46,49,54,52,50,52,32,49,46,50,52,52,50,53,10,32,32,49,46,50,49,54,56,32,49,
      46,48,54,54,49,51,32,46,56,48,55,52,48,55,32,46,53,54,48,55,52,51,32,46,51,
      55,48,51,55,51,32,46,50,55,48,54,53,50,32,46,50,57,52,49,51,50,32,46,51,55,
      51,51,49,54,32,46,53,49,56,56,49,54,32,46,55,50,52,50,53,51,32,46,57,50,55,
      57,56,54,10,32,32,49,46,48,56,57,54,49,32,49,46,49,55,49,52,53,32,49,46,49,
      53,51,57,54,32,49,46,48,54,52,56,49,32,46,57,50,54,53,53,57,32,46,55,54,56,
      51,53,50,32,46,54,54,52,52,49,53,32,46,53,56,48,55,54,49,32,46,53,48,56,54,
      50,52,32,46,52,50,56,48,52,55,10,32,32,46,51,51,51,48,51,54,32,46,50,55,56,
      54,50,56,32,46,50,54,48,50,54,55,32,46,50,54,48,50,57,52,32,46,50,54,50,56,
      53,56,32,46,50,54,48,50,54,50,32,46,50,54,54,48,56,49,32,46,50,56,54,55,55,
      51,32,46,51,49,54,49,32,46,51,51,52,56,48,52,32,46,51,51,48,49,49,50,10,32,
      32,46,51,48,54,51,48,51,32,46,50,56,51,55,57,50,32,46,50,52,52,52,48,51,32,
      46,50,49,49,52,57,32,46,49,56,49,49,55,32,46,49,53,51,52,55,56,32,46,49,51,
      56,50,57,54,32,46,49,51,51,53,53,49,32,46,49,51,53,54,50,51,32,46,49,51,57,
      53,54,32,46,49,52,51,52,53,54,10,32,32,46,49,52,55,53,54,51,32,46,49,53,48,
      51,56,52,32,46,49,53,50,50,55,55,32,46,49,53,49,54,48,55,32,46,49,52,56,48,
      55,55,32,46,49,51,55,57,50,50,32,46,49,50,51,57,52,56,32,46,49,49,53,51,52,
      49,32,46,49,48,55,50,48,50,32,46,48,57,53,56,49,49,50,10,32,32,46,48,56,53,
      52,51,55,56,32,46,48,56,48,56,54,48,54,32,46,48,55,53,53,57,48,53,32,46,48,
      55,51,54,49,50,52,32,46,48,55,50,50,50,51,56,32,46,48,56,50,49,54,54,53,32,
      46,48,55,56,52,55,48,50,32,46,48,55,55,48,48,54,32,46,48,55,52,50,56,56,51,
      10,32,32,46,48,55,49,52,50,56,57,32,46,48,54,57,49,53,51,56,32,46,48,54,54,
      57,55,49,50,32,46,48,54,53,48,48,56,53,32,46,48,54,51,49,52,54,50,32,46,48,
      54,49,49,54,48,51,32,46,48,53,57,52,54,50,32,46,48,53,55,54,53,55,52,32,46,
      48,53,54,51,55,51,32,46,48,53,52,51,53,51,53,10,32,32,46,48,53,51,49,53,57,
      50,32,46,48,53,49,55,49,57,54,32,46,48,52,56,53,52,57,50,32,46,48,52,52,53,
      53,57,32,46,48,52,49,48,51,57,49,32,46,48,51,55,48,57,48,49,32,46,48,51,51,
      53,55,55,55,32,46,48,50,57,56,53,55,53,32,46,48,50,55,49,49,50,54,10,32,32,
      46,48,50,51,50,52,51,55,32,46,48,49,57,54,56,49,56,32,46,48,49,55,57,48,50,
      52,32,46,48,49,54,49,50,49,54,32,46,48,49,52,48,52,50,57,32,46,48,49,50,52,
      54,50,51,32,46,48,49,49,48,55,50,55,32,46,48,48,57,54,56,53,57,52,32,46,48,
      48,56,52,56,51,53,57,10,32,32,46,48,48,55,53,54,49,55,54,32,46,48,48,54,55,
      52,53,54,49,32,46,48,48,54,48,50,50,48,51,32,46,48,48,53,50,57,52,49,54,32,
      46,48,48,52,53,56,52,53,32,46,48,48,51,57,49,49,52,54,32,46,48,48,51,51,57,
      51,56,51,32,46,48,48,50,57,48,49,51,56,32,46,48,48,50,53,50,49,54,10,32,32,
      46,48,48,50,49,57,51,48,53,32,46,48,48,49,56,55,57,51,57,32,46,48,48,49,53,
      57,52,49,50,32,46,48,48,49,52,48,52,53,51,32,46,48,48,49,50,49,51,56,50,32,
      46,48,48,49,48,54,56,49,56,32,46,48,48,48,57,51,50,49,57,55,32,46,48,48,48,
      56,49,51,57,49,50,10,32,32,46,48,48,48,55,49,48,57,49,32,46,48,48,48,54,50,
      49,49,57,49,32,46,48,48,48,53,52,50,57,57,49,32,46,48,48,48,52,55,52,56,48,
      55,32,46,48,48,48,52,49,53,51,50,51,32,46,48,48,48,51,54,51,52,48,57,32,46,
      48,48,48,51,49,56,48,56,32,46,48,48,48,50,55,56,52,56,54,10,32,32,46,48,48,
      48,50,52,51,56,55,54,32,46,48,48,48,50,49,51,54,51,52,32,46,48,48,48,49,56,
      55,49,57,32,46,48,48,48,49,54,52,48,53,57,32,46,48,48,48,49,52,51,56,50,49,
      32,46,48,48,48,49,50,54,49,49,54,32,46,48,48,48,49,49,48,54,48,55,32,57,46,
      55,48,49,55,53,101,45,48,53,10,32,32,56,46,53,49,50,49,49,101,45,48,53,32,55,
      46,52,54,57,55,54,101,45,48,53,32,54,46,53,53,54,50,55,101,45,48,53,32,53,46,
      55,53,53,53,49,101,45,48,53,32,53,46,48,53,51,52,51,101,45,48,53,32,52,46,52,
      51,56,49,54,101,45,48,53,32,51,46,56,57,56,48,54,101,45,48,53,10,32,32,51,46,
      52,50,52,50,50,101,45,48,53,32,51,46,48,48,56,52,50,101,45,48,53,32,50,46,54,
      52,51,53,101,45,48,53,32,50,46,51,50,51,49,55,101,45,48,53,32,50,46,48,52,49,
      57,51,101,45,48,53,32,49,46,55,57,52,55,53,101,45,48,53,32,49,46,53,55,55,56,
      57,101,45,48,53,10,32,32,49,46,52,50,55,54,50,101,45,48,53,32,49,46,50,57,49,
      55,54,101,45,48,53,32,49,46,49,54,56,57,49,101,45,48,53,32,49,46,48,53,55,56,
      51,101,45,48,53,32,57,46,53,55,52,57,57,101,45,48,54,32,56,46,53,53,53,57,50,
      101,45,48,54,32,55,46,52,50,48,56,101,45,48,54,10,32,32,54,46,52,51,55,49,49,
      101,45,48,54,32,53,46,53,56,52,53,49,101,45,48,54,32,52,46,56,52,53,52,52,101,
      45,48,54,32,52,46,50,48,52,54,55,101,45,48,54,32,51,46,54,52,57,48,54,101,45,
      48,54,32,51,46,49,54,55,50,50,101,45,48,54,32,50,46,55,52,57,51,101,45,48,54,
      10,32,32,50,46,51,56,54,55,56,101,45,48,54,32,50,46,48,55,50,50,56,101,45,48,
      54,32,49,46,55,57,57,51,57,101,45,48,54,32,49,46,53,54,50,53,57,101,45,48,54,
      32,49,46,51,53,55,48,56,101,45,48,54,32,49,46,49,55,56,55,49,101,45,48,54,32,
      49,46,48,50,51,56,56,101,45,48,54,10,32,32,56,46,56,57,52,54,101,45,48,55,32,
      55,46,55,50,55,53,52,101,45,48,55,32,54,46,55,49,52,49,54,101,45,48,55,32,53,
      46,56,51,52,49,54,101,45,48,55,32,53,46,48,54,57,56,56,101,45,48,55,32,52,46,
      52,48,52,57,51,101,45,48,55,32,51,46,56,50,57,52,55,101,45,48,55,10,32,32,51,
      46,51,50,56,53,56,101,45,48,55,32,50,46,56,57,51,52,101,45,48,55,32,50,46,53,
      49,53,51,101,45,48,55,32,50,46,49,56,54,55,54,101,45,48,55,32,49,46,57,48,49,
      50,55,101,45,48,55,32,49,46,54,53,51,49,53,101,45,48,55,32,49,46,52,51,55,53,
      49,101,45,48,55,10,32,32,49,46,50,53,48,48,55,101,45,48,55,32,49,46,48,56,55,
      49,53,101,45,48,55,32,57,46,52,53,53,49,50,101,45,48,56,32,56,46,50,50,51,56,
      101,45,48,56,32,55,46,49,53,51,50,53,101,45,48,56,32,54,46,50,50,50,52,49,101,
      45,48,56,32,53,46,52,49,51,101,45,48,56,10,32,32,52,46,48,57,55,48,50,101,45,
      48,56,32,51,46,49,48,49,53,55,101,45,48,56,32,50,46,51,52,56,53,101,45,48,56,
      32,49,46,55,55,56,54,51,101,45,48,56,32,49,46,51,52,55,51,101,45,48,56,32,49,
      46,48,50,48,55,53,101,45,48,56,32,55,46,55,51,52,56,49,101,45,48,57,10,32,32,
      53,46,56,54,50,49,51,101,45,48,57,32,52,46,52,52,51,53,55,101,45,48,57,32,51,
      46,51,54,56,56,50,101,45,48,57,32,50,46,53,53,52,52,49,101,45,48,57,32,49,46,
      57,51,55,49,54,101,45,48,57,32,49,46,52,54,57,50,57,101,45,48,57,32,49,46,49,
      49,52,53,55,101,45,48,57,10,32,32,56,46,52,53,54,48,49,101,45,49,48,32,54,46,
      52,49,54,50,53,101,45,49,48,32,52,46,56,54,57,49,53,101,45,49,48,32,51,46,54,
      57,53,53,53,101,45,49,48,32,50,46,56,48,53,49,53,101,45,49,48,32,50,46,49,50,
      57,53,51,101,45,49,48,32,49,46,54,49,54,56,50,101,45,49,48,10,32,32,49,46,50,
      50,55,54,57,101,45,49,48,32,57,46,51,50,51,48,57,101,45,49,49,32,55,46,48,56,
      48,55,49,101,45,49,49,32,53,46,51,55,56,49,57,101,45,49,49,32,52,46,48,56,53,
      52,52,101,45,49,49,32,51,46,49,48,51,55,52,101,45,49,49,32,50,46,51,53,56,49,
      53,101,45,49,49,10,32,32,49,46,55,57,49,56,56,101,45,49,49,32,51,46,52,51,50,
      55,57,101,45,48,54,32,49,46,51,55,54,52,50,101,45,48,53,32,51,46,48,57,57,50,
      54,101,45,48,53,32,51,46,52,51,50,51,54,101,45,48,53,32,46,48,48,48,50,52,57,
      57,48,55,32,46,48,48,48,53,54,50,50,50,56,10,32,32,46,48,48,48,57,57,55,57,
      56,55,32,46,48,48,49,53,53,54,50,50,32,46,48,48,50,50,51,54,57,51,32,46,48,
      48,51,48,51,54,55,56,32,46,48,48,51,57,53,53,56,56,32,46,48,48,52,57,57,49,
      48,50,32,46,48,48,54,49,52,48,51,50,32,46,48,48,55,52,48,49,57,54,10,32,32,
      46,48,48,56,55,55,51,52,50,32,46,48,49,48,50,53,49,52,32,46,48,49,49,56,51,
      52,51,32,46,48,49,51,53,50,48,49,32,46,48,49,53,51,48,52,52,32,46,48,49,55,
      49,56,53,32,46,48,49,57,49,53,56,32,46,48,50,49,50,50,55,51,32,46,48,50,51,
      51,56,53,32,46,48,50,53,54,50,57,10,32,32,46,48,50,55,57,53,54,50,32,46,48,
      51,48,51,55,49,32,46,48,51,50,56,55,50,57,32,46,48,51,53,52,53,51,56,32,46,
      48,51,56,49,49,49,53,32,46,48,52,48,56,52,51,56,32,46,48,52,51,54,55,54,57,
      32,46,48,52,54,53,56,53,56,32,46,48,52,57,53,54,55,50,10,32,32,46,48,53,50,
      54,50,49,32,46,48,53,53,55,54,56,57,32,46,48,53,57,48,49,48,54,32,46,48,54,
      50,51,50,51,56,32,46,48,54,53,55,48,57,32,46,48,54,57,49,54,55,54,32,46,48,
      55,50,55,53,50,55,32,46,48,55,54,52,49,50,54,32,46,48,56,48,49,52,53,52,32,
      46,48,56,51,57,52,57,54,10,32,32,46,48,56,55,56,53,55,53,32,46,48,57,49,56,
      54,53,53,32,46,48,57,53,57,53,48,50,32,46,49,48,48,49,48,55,32,46,49,48,52,
      51,51,55,32,46,49,48,56,54,57,51,32,46,49,49,51,49,50,52,32,46,49,49,55,54,
      50,54,32,46,49,50,50,49,57,54,32,46,49,50,54,56,54,52,10,32,32,46,49,51,49,
      54,50,52,32,46,49,51,54,52,53,32,46,49,52,49,51,52,53,32,46,49,52,54,51,49,
      52,32,46,49,53,49,51,54,50,32,46,49,53,54,52,55,56,32,46,49,54,49,54,54,56,
      32,46,49,54,54,57,49,56,32,46,49,55,50,50,50,50,32,46,49,55,55,53,56,52,32,
      46,49,56,51,48,48,55,10,32,32,46,49,56,56,52,57,52,32,46,49,57,52,48,52,49,
      32,46,49,57,57,53,57,49,32,46,50,48,53,50,49,32,46,50,49,48,56,55,49,32,46,
      50,49,54,54,48,49,32,46,50,50,50,51,51,32,46,50,50,56,48,56,32,46,50,51,51,
      56,56,32,46,50,51,57,55,50,52,32,46,50,52,53,54,49,50,10,32,32,46,50,53,49,
      52,52,53,32,46,50,53,55,51,51,57,32,46,50,54,51,50,54,50,32,46,50,54,57,50,
      51,52,32,46,50,55,53,50,48,50,32,46,50,56,49,49,53,49,32,46,50,56,55,49,55,
      32,46,50,57,51,49,57,57,32,46,50,57,57,50,54,50,32,46,51,48,53,51,55,54,32,
      46,51,49,49,52,56,50,10,32,32,46,51,49,55,54,50,53,32,46,51,50,51,56,49,54,
      32,46,51,51,48,49,52,49,32,46,51,51,54,53,51,50,32,46,51,52,50,57,48,57,32,
      46,51,52,57,51,51,50,32,46,51,53,53,56,52,53,32,46,51,54,50,55,51,51,32,46,
      51,54,57,54,55,50,32,46,51,55,54,54,54,32,46,51,56,51,54,57,56,10,32,32,46,
      51,57,49,49,57,52,32,46,51,57,56,57,56,56,32,46,52,48,54,56,51,55,32,46,52,
      49,52,55,51,57,32,46,52,50,50,56,50,50,32,46,52,51,49,56,48,50,32,46,52,52,
      48,56,51,56,32,46,52,52,57,57,50,56,32,46,52,53,57,48,55,50,32,46,52,54,57,
      48,57,56,10,32,32,46,52,55,57,54,52,51,32,46,52,57,48,50,51,54,32,46,53,48,
      48,56,55,56,32,46,53,49,49,55,57,54,32,46,53,50,52,49,49,56,32,46,53,51,54,
      52,55,49,32,46,53,52,56,56,52,51,32,46,53,54,49,48,56,57,32,46,53,55,52,52,
      54,49,32,46,53,56,56,52,51,54,10,32,32,46,54,48,50,51,49,57,32,46,54,49,54,
      49,53,56,32,46,54,51,48,50,51,54,32,46,54,52,53,54,51,50,32,46,54,54,48,56,
      57,57,32,46,54,55,54,49,50,52,32,46,54,57,49,50,50,54,32,46,55,48,55,50,57,
      32,46,55,50,51,55,49,54,32,46,55,52,48,48,48,53,32,46,55,53,54,49,57,52,10,
      32,32,46,55,55,50,53,52,51,32,46,55,56,57,56,49,49,32,46,56,48,54,57,52,53,
      32,46,56,50,51,57,55,52,32,46,56,52,48,57,49,56,32,46,56,53,56,52,48,55,32,
      46,56,55,54,49,50,52,32,46,56,57,51,55,53,55,32,46,57,49,49,50,55,53,32,46,
      57,50,56,56,57,52,10,32,32,46,57,52,54,57,56,49,32,46,57,54,52,57,55,56,32,
      46,57,56,50,57,53,57,32,49,46,48,48,48,56,54,32,49,46,48,49,56,57,57,32,49,
      46,48,51,55,50,54,32,49,46,48,53,53,52,57,32,49,46,48,55,51,54,57,32,49,46,
      48,57,49,57,32,49,46,49,49,48,50,54,32,49,46,49,50,56,54,49,10,32,32,49,46,
      49,52,54,57,56,32,49,46,49,54,53,51,53,32,49,46,49,56,51,55,51,32,49,46,50,
      48,50,49,51,32,49,46,50,50,48,53,55,32,49,46,50,51,57,48,52,32,49,46,50,53,
      55,53,49,32,49,46,50,55,53,56,54,32,49,46,50,57,52,50,54,32,49,46,51,49,56,
      56,56,10,32,32,49,46,51,55,53,54,54,32,49,46,52,53,56,51,56,32,49,46,53,56,
      56,57,49,32,49,46,55,48,55,56,54,32,49,46,56,49,52,49,57,32,49,46,57,48,52,
      57,57,32,49,46,57,56,48,52,57,32,50,46,48,52,49,50,57,32,50,46,48,57,49,55,
      53,32,50,46,49,51,54,51,50,10,32,32,50,46,49,56,48,54,53,32,50,46,50,50,53,
      51,55,32,50,46,50,54,57,51,57,32,50,46,51,49,54,55,49,32,50,46,51,52,54,56,
      57,32,50,46,51,52,50,50,49,32,50,46,50,53,54,56,50,32,50,46,48,55,51,57,49,
      32,49,46,55,49,50,53,54,32,49,46,50,55,54,57,49,10,32,32,46,56,57,54,52,52,
      55,32,46,54,50,50,55,56,54,32,46,53,50,49,55,52,55,32,46,53,52,53,50,55,55,
      32,46,54,53,55,55,55,54,32,46,56,48,48,54,48,50,32,46,57,53,51,51,56,51,32,
      49,46,48,56,52,57,52,32,49,46,49,54,48,51,49,32,49,46,49,52,52,52,57,10,32,
      32,49,46,48,49,55,57,57,32,46,55,56,53,49,48,54,32,46,53,53,49,54,53,55,32,
      46,51,54,54,56,52,54,32,46,50,54,56,56,57,57,32,46,50,57,50,50,51,49,32,46,
      51,55,48,53,52,53,32,46,53,49,51,55,56,49,32,46,55,49,53,48,48,50,32,46,57,
      49,51,56,56,55,10,32,32,49,46,48,55,49,53,55,32,49,46,49,53,50,50,53,32,49,
      46,49,51,54,55,53,32,49,46,48,53,49,50,56,32,46,57,49,55,50,57,55,32,46,55,
      54,50,55,32,46,54,54,48,50,51,52,32,46,53,55,55,52,52,51,32,46,53,48,54,53,
      48,57,32,46,52,50,54,54,51,52,32,46,51,51,50,50,50,49,10,32,32,46,50,55,56,
      48,56,49,32,46,50,53,57,55,57,51,32,46,50,53,57,56,52,52,32,46,50,54,50,52,
      51,51,32,46,50,53,57,56,54,57,32,46,50,54,53,54,57,51,32,46,50,56,54,51,53,
      50,32,46,51,49,53,54,50,50,32,46,51,51,52,50,57,56,32,46,51,50,57,54,51,57,
      10,32,32,46,51,48,53,56,54,54,32,46,50,56,51,52,49,55,32,46,50,52,52,49,53,
      51,32,46,50,49,49,51,48,50,32,46,49,56,49,48,51,50,32,46,49,53,51,51,55,53,
      32,46,49,51,56,50,49,50,32,46,49,51,51,52,54,53,32,46,49,51,53,53,51,51,32,
      46,49,51,57,52,54,57,10,32,32,46,49,52,51,51,54,53,32,46,49,52,55,52,55,51,
      32,46,49,53,48,50,57,53,32,46,49,53,50,49,57,49,32,46,49,53,49,53,50,55,32,
      46,49,52,56,48,48,51,32,46,49,51,55,56,53,55,32,46,49,50,51,56,57,52,32,46,
      49,49,53,50,57,54,32,46,49,48,55,49,54,32,46,48,57,53,55,55,54,50,10,32,32,
      46,48,56,53,52,48,56,56,32,46,48,56,48,56,51,49,32,46,48,55,53,53,54,54,52,
      32,46,48,55,51,53,57,32,46,48,55,50,50,48,50,54,32,46,48,56,50,49,52,48,50,
      32,46,48,55,56,52,52,55,49,32,46,48,55,54,57,56,51,52,32,46,48,55,52,50,54,
      55,51,32,46,48,55,49,52,48,57,10,32,32,46,48,54,57,49,51,53,52,32,46,48,54,
      54,57,53,52,50,32,46,48,54,52,57,57,51,51,32,46,48,54,51,49,51,49,32,46,48,
      54,49,49,52,53,52,32,46,48,53,57,52,52,55,56,32,46,48,53,55,54,52,52,32,46,
      48,53,54,51,54,48,50,32,46,48,53,52,51,52,49,53,32,46,48,53,51,49,52,55,54,
      10,32,32,46,48,53,49,55,48,56,52,32,46,48,52,56,53,51,55,32,46,48,52,52,53,
      53,48,52,32,46,48,52,49,48,51,49,54,32,46,48,51,55,48,56,52,49,32,46,48,51,
      51,53,55,50,51,32,46,48,50,57,56,53,51,32,46,48,50,55,49,48,56,49,32,46,48,
      50,51,50,52,48,54,32,46,48,49,57,54,55,56,51,10,32,32,46,48,49,55,56,57,57,
      50,32,46,48,49,54,49,49,56,56,32,46,48,49,52,48,52,48,52,32,46,48,49,50,52,
      54,48,51,32,46,48,49,49,48,55,48,57,32,46,48,48,57,54,56,52,52,54,32,46,48,
      48,56,52,56,50,50,56,32,46,48,48,55,53,54,48,54,51,32,46,48,48,54,55,52,52,
      53,54,10,32,32,46,48,48,54,48,50,49,49,53,32,46,48,48,53,50,57,51,52,32,46,
      48,48,52,53,56,51,56,54,32,46,48,48,51,57,49,48,57,49,32,46,48,48,51,51,57,
      51,51,52,32,46,48,48,50,57,48,48,57,57,32,46,48,48,50,53,50,49,50,54,32,46,
      48,48,50,49,57,50,55,55,32,46,48,48,49,56,55,57,49,53,10,32,32,46,48,48,49,
      53,57,51,57,49,32,46,48,48,49,52,48,52,51,53,32,46,48,48,49,50,49,51,54,55,
      32,46,48,48,49,48,54,56,48,52,32,46,48,48,48,57,51,50,48,56,52,32,46,48,48,
      48,56,49,51,56,49,49,32,46,48,48,48,55,49,48,56,50,52,32,46,48,48,48,54,50,
      49,49,49,49,10,32,32,46,48,48,48,53,52,50,57,50,55,32,46,48,48,48,52,55,52,
      55,53,32,46,48,48,48,52,49,53,50,55,53,32,46,48,48,48,51,54,51,51,54,54,32,
      46,48,48,48,51,49,56,48,52,50,32,46,48,48,48,50,55,56,52,53,52,32,46,48,48,
      48,50,52,51,56,52,55,32,46,48,48,48,50,49,51,54,49,10,32,32,46,48,48,48,49,
      56,55,49,54,57,32,46,48,48,48,49,54,52,48,52,49,32,46,48,48,48,49,52,51,56,
      48,52,32,46,48,48,48,49,50,54,49,48,49,32,46,48,48,48,49,49,48,53,57,52,32,
      57,46,55,48,48,54,51,101,45,48,53,32,56,46,53,49,49,49,52,101,45,48,53,32,55,
      46,52,54,56,57,50,101,45,48,53,10,32,32,54,46,53,53,53,53,52,101,45,48,53,32,
      53,46,55,53,52,56,56,101,45,48,53,32,53,46,48,53,50,56,55,101,45,48,53,32,52,
      46,52,51,55,54,55,101,45,48,53,32,51,46,56,57,55,54,51,101,45,48,53,32,51,46,
      52,50,51,56,52,101,45,48,53,32,51,46,48,48,56,48,57,101,45,48,53,10,32,32,50,
      46,54,52,51,50,49,101,45,48,53,32,50,46,51,50,50,57,49,101,45,48,53,32,50,46,
      48,52,49,55,49,101,45,48,53,32,49,46,55,57,52,53,54,101,45,48,53,32,49,46,53,
      55,55,55,49,101,45,48,53,32,49,46,52,50,55,52,55,101,45,48,53,32,49,46,50,57,
      49,54,51,101,45,48,53,10,32,32,49,46,49,54,56,55,57,101,45,48,53,32,49,46,48,
      53,55,55,49,101,45,48,53,32,57,46,53,55,51,57,49,101,45,48,54,32,56,46,53,53,
      53,101,45,48,54,32,55,46,52,50,48,48,49,101,45,48,54,32,54,46,52,51,54,52,50,
      101,45,48,54,32,53,46,53,56,51,57,50,101,45,48,54,10,32,32,52,46,56,52,52,57,
      49,101,45,48,54,32,52,46,50,48,52,50,51,101,45,48,54,32,51,46,54,52,56,54,55,
      101,45,48,54,32,51,46,49,54,54,56,55,101,45,48,54,32,50,46,55,52,57,101,45,
      48,54,32,50,46,51,56,54,53,51,101,45,48,54,32,50,46,48,55,50,48,53,101,45,48,
      54,10,32,32,49,46,55,57,57,50,101,45,48,54,32,49,46,53,54,50,52,50,101,45,48,
      54,32,49,46,51,53,54,57,52,101,45,48,54,32,49,46,49,55,56,53,57,101,45,48,54,
      32,49,46,48,50,51,55,55,101,45,48,54,32,56,46,56,57,51,54,51,101,45,48,55,32,
      55,46,55,50,54,55,101,45,48,55,10,32,32,54,46,55,49,51,52,54,101,45,48,55,32,
      53,46,56,51,51,53,52,101,45,48,55,32,53,46,48,54,57,51,53,101,45,48,55,32,52,
      46,52,48,52,52,55,101,45,48,55,32,51,46,56,50,57,48,55,101,45,48,55,32,51,46,
      51,50,56,50,51,101,45,48,55,32,50,46,56,57,51,49,49,101,45,48,55,10,32,32,50,
      46,53,49,53,48,52,101,45,48,55,32,50,46,49,56,54,53,51,101,45,48,55,32,49,46,
      57,48,49,48,54,101,45,48,55,32,49,46,54,53,50,57,56,101,45,48,55,32,49,46,52,
      51,55,51,54,101,45,48,55,32,49,46,50,52,57,57,53,101,45,48,55,32,49,46,48,56,
      55,48,51,101,45,48,55,10,32,32,57,46,52,53,52,49,52,101,45,48,56,32,56,46,50,
      50,50,57,52,101,45,48,56,32,55,46,49,53,50,53,101,45,48,56,32,54,46,50,50,49,
      55,54,101,45,48,56,32,53,46,52,49,50,52,52,101,45,48,56,32,52,46,48,57,54,54,
      101,45,48,56,32,51,46,49,48,49,50,52,101,45,48,56,10,32,32,50,46,51,52,56,50,
      54,101,45,48,56,32,49,46,55,55,56,52,53,101,45,48,56,32,49,46,51,52,55,49,54,
      101,45,48,56,32,49,46,48,50,48,54,52,101,45,48,56,32,55,46,55,51,52,48,50,101,
      45,48,57,32,53,46,56,54,49,53,51,101,45,48,57,32,52,46,52,52,51,49,50,101,45,
      48,57,10,32,32,51,46,51,54,56,52,55,101,45,48,57,32,50,46,53,53,52,49,52,101,
      45,48,57,32,49,46,57,51,54,57,55,101,45,48,57,32,49,46,52,54,57,49,52,101,45,
      48,57,32,49,46,49,49,52,52,53,101,45,48,57,32,56,46,52,53,53,49,53,101,45,49,
      48,32,54,46,52,49,53,53,57,101,45,49,48,10,32,32,52,46,56,54,56,54,54,101,45,
      49,48,32,51,46,54,57,53,49,55,101,45,49,48,32,50,46,56,48,52,56,54,101,45,49,
      48,32,50,46,49,50,57,51,49,101,45,49,48,32,49,46,54,49,54,54,54,101,45,49,48,
      32,49,46,50,50,55,53,54,101,45,49,48,32,57,46,51,50,50,49,51,101,45,49,49,10,
      32,32,55,46,48,55,57,57,55,101,45,49,49,32,53,46,51,55,55,54,52,101,45,49,49,
      32,52,46,48,56,53,48,50,101,45,49,49,32,51,46,49,48,51,52,49,101,45,49,49,32,
      50,46,51,53,55,56,57,101,45,49,49,32,49,46,55,57,49,54,57,101,45,49,49,32,50,
      46,56,55,51,57,57,101,45,48,54,10,32,32,49,46,49,53,50,51,55,101,45,48,53,32,
      50,46,53,57,52,56,101,45,48,53,32,50,46,56,55,51,54,57,101,45,48,53,32,46,48,
      48,48,49,54,51,53,55,32,46,48,48,48,51,57,54,52,57,53,32,46,48,48,48,55,48,
      51,57,49,53,32,46,48,48,49,48,57,55,56,56,32,46,48,48,49,53,55,56,52,55,10,
      32,32,46,48,48,50,49,52,51,52,55,32,46,48,48,50,55,57,51,48,57,32,46,48,48,
      51,53,50,53,50,50,32,46,48,48,52,51,51,56,54,56,32,46,48,48,53,50,51,50,51,
      54,32,46,48,48,54,50,48,52,55,49,32,46,48,48,55,50,53,51,53,55,32,46,48,48,
      56,51,55,56,48,51,10,32,32,46,48,48,57,53,55,54,55,55,32,46,48,49,48,56,52,
      55,32,46,48,49,50,49,56,55,51,32,46,48,49,51,53,57,53,52,32,46,48,49,53,48,
      55,51,52,32,46,48,49,54,54,49,54,56,32,46,48,49,56,50,50,51,56,32,46,48,49,
      57,56,57,50,56,32,46,48,50,49,54,50,54,51,10,32,32,46,48,50,51,52,50,52,51,
      32,46,48,50,53,50,56,49,53,32,46,48,50,55,49,57,54,52,32,46,48,50,57,49,54,
      55,56,32,46,48,51,49,50,49,50,32,46,48,51,51,51,49,51,52,32,46,48,51,53,52,
      55,48,52,32,46,48,51,55,54,56,49,55,32,46,48,51,57,57,54,49,55,10,32,32,46,
      48,52,50,51,49,48,53,32,46,48,52,52,55,49,52,50,32,46,48,52,55,49,55,50,55,
      32,46,48,52,57,54,56,54,53,32,46,48,53,50,50,56,57,32,46,48,53,52,57,52,55,
      53,32,46,48,53,55,54,54,49,57,32,46,48,54,48,52,51,48,52,32,46,48,54,51,50,
      55,52,52,10,32,32,46,48,54,54,49,57,49,51,32,46,48,54,57,49,54,52,53,32,46,
      48,55,50,49,57,50,51,32,46,48,55,53,50,55,54,55,32,46,48,55,56,52,53,48,52,
      32,46,48,56,49,54,55,56,57,32,46,48,56,52,57,54,50,57,32,46,48,56,56,51,48,
      48,54,32,46,48,57,49,55,48,55,53,10,32,32,46,48,57,53,49,55,57,54,32,46,48,
      57,56,55,48,53,54,32,46,49,48,50,50,56,52,32,46,49,48,53,57,49,54,32,46,49,
      48,57,54,49,49,32,46,49,49,51,51,53,56,32,46,49,49,55,49,53,55,32,46,49,50,
      49,48,48,54,32,46,49,50,52,56,57,54,32,46,49,50,56,56,51,52,10,32,32,46,49,
      51,50,56,50,50,32,46,49,51,54,56,53,55,32,46,49,52,48,57,51,54,32,46,49,52,
      53,48,51,51,32,46,49,52,57,49,55,54,32,46,49,53,51,51,54,32,46,49,53,55,53,
      57,50,32,46,49,54,49,56,51,55,32,46,49,54,54,48,57,56,32,46,49,55,48,52,48,
      51,32,46,49,55,52,55,52,56,10,32,32,46,49,55,57,49,50,53,32,46,49,56,51,52,
      56,56,32,46,49,56,55,56,56,50,32,46,49,57,50,51,49,54,32,46,49,57,54,55,55,
      54,32,46,50,48,49,50,53,52,32,46,50,48,53,55,51,51,32,46,50,49,48,50,53,32,
      46,50,49,52,55,56,56,32,46,50,49,57,51,54,32,46,50,50,51,57,55,49,10,32,32,
      46,50,50,56,53,56,56,32,46,50,51,51,50,51,54,32,46,50,51,55,57,50,51,32,46,
      50,52,50,55,48,51,32,46,50,52,55,53,51,52,32,46,50,53,50,51,54,53,32,46,50,
      53,55,50,51,51,32,46,50,54,50,49,54,55,32,46,50,54,55,51,52,56,32,46,50,55,
      50,53,55,32,46,50,55,55,56,51,50,10,32,32,46,50,56,51,49,51,52,32,46,50,56,
      56,55,51,55,32,46,50,57,52,53,51,56,32,46,51,48,48,51,56,51,32,46,51,48,54,
      50,55,49,32,46,51,49,50,50,56,50,32,46,51,49,56,56,55,53,32,46,51,50,53,53,
      49,50,32,46,51,51,50,49,57,50,32,46,51,51,56,57,49,54,10,32,32,46,51,52,54,
      50,49,32,46,51,53,51,56,52,52,32,46,51,54,49,53,49,55,32,46,51,54,57,50,50,
      57,32,46,51,55,55,49,50,54,32,46,51,56,53,57,50,53,32,46,51,57,52,55,53,32,
      46,52,48,51,53,57,54,32,46,52,49,50,51,55,32,46,52,50,49,56,54,55,32,46,52,
      51,49,55,53,52,10,32,32,46,52,52,49,53,57,32,46,52,53,49,52,48,55,32,46,52,
      54,49,51,57,49,32,46,52,55,50,50,49,54,32,46,52,56,50,57,54,55,32,46,52,57,
      51,54,56,49,32,46,53,48,52,51,54,53,32,46,53,49,53,54,51,52,32,46,53,50,55,
      49,51,52,32,46,53,51,56,53,56,57,32,46,53,52,57,57,55,55,10,32,32,46,53,54,
      49,52,54,52,32,46,53,55,51,53,51,57,32,46,53,56,53,53,52,55,32,46,53,57,55,
      52,56,56,32,46,54,48,57,51,57,50,32,46,54,50,49,54,53,56,32,46,54,51,52,48,
      54,50,32,46,54,52,54,52,50,53,32,46,54,53,56,55,51,55,32,46,54,55,49,48,57,
      57,10,32,32,46,54,56,51,55,54,56,32,46,54,57,54,52,48,51,32,46,55,48,57,48,
      50,32,46,55,50,49,54,48,56,32,46,55,51,52,51,54,51,32,46,55,52,55,49,57,53,
      32,46,55,54,48,48,48,57,32,46,55,55,50,56,49,56,32,46,55,56,53,54,53,50,32,
      46,55,57,56,53,56,53,32,46,56,49,49,53,50,10,32,32,46,56,50,52,52,55,53,32,
      46,56,51,55,52,53,53,32,46,56,53,48,52,51,51,32,46,56,54,51,52,51,51,32,46,
      56,55,54,52,54,50,32,46,56,56,57,53,51,53,32,46,57,48,50,54,48,57,32,46,57,
      49,53,54,49,51,32,46,57,50,56,54,53,57,32,46,57,52,54,49,49,55,10,32,32,46,
      57,56,54,52,57,52,32,49,46,48,52,53,53,49,32,49,46,49,51,57,50,55,32,49,46,
      50,50,53,55,53,32,49,46,51,48,52,50,53,32,49,46,51,55,50,57,54,32,49,46,52,
      51,49,57,56,32,49,46,52,56,49,55,51,32,49,46,53,50,52,56,50,32,49,46,53,54,
      52,49,50,10,32,32,49,46,54,48,51,50,51,32,49,46,54,52,50,52,54,32,49,46,54,
      56,49,50,55,32,49,46,55,50,52,49,51,32,49,46,55,53,53,57,53,32,49,46,55,54,
      56,57,54,32,49,46,55,50,56,57,52,32,49,46,54,50,50,56,50,32,49,46,51,57,50,
      55,51,32,49,46,48,57,50,56,57,10,32,32,46,56,48,54,55,52,52,32,46,53,56,51,
      48,57,51,32,46,52,57,54,51,48,54,32,46,53,49,57,55,48,55,32,46,54,50,50,53,
      51,55,32,46,55,53,48,57,54,51,32,46,56,56,55,52,56,56,32,49,46,48,48,53,52,
      56,32,49,46,48,55,54,48,51,32,49,46,48,54,56,52,51,10,32,32,46,57,54,51,50,
      56,53,32,46,55,53,54,48,49,32,46,53,51,57,51,52,53,32,46,51,54,50,48,50,49,
      32,46,50,54,54,53,53,54,32,46,50,56,57,55,48,54,32,46,51,54,54,54,56,32,46,
      53,48,54,57,48,53,32,46,55,48,50,53,57,54,32,46,56,57,52,57,51,57,32,49,46,
      48,52,55,48,52,10,32,32,49,46,49,50,54,49,57,32,49,46,49,49,51,54,51,32,49,
      46,48,51,51,49,54,32,46,57,48,52,55,50,52,32,46,55,53,52,56,49,50,32,46,54,
      53,53,48,49,57,32,46,53,55,52,48,54,51,32,46,53,48,51,55,49,49,32,46,52,50,
      52,54,56,57,32,46,51,51,49,48,55,32,46,50,55,55,50,57,52,10,32,32,46,50,53,
      57,49,53,50,32,46,50,53,57,50,50,56,32,46,50,54,49,56,51,57,32,46,50,53,57,
      51,49,53,32,46,50,54,53,49,52,55,32,46,50,56,53,55,53,56,32,46,51,49,52,57,
      52,57,32,46,51,51,51,53,56,53,32,46,51,50,56,57,55,54,32,46,51,48,53,51,52,
      53,10,32,32,46,50,56,50,57,55,54,32,46,50,52,51,56,48,50,32,46,50,49,49,48,
      51,56,32,46,49,56,48,56,51,50,32,46,49,53,51,50,51,32,46,49,51,56,48,57,51,
      32,46,49,51,51,51,54,53,32,46,49,51,53,52,51,56,32,46,49,51,57,51,55,49,32,
      46,49,52,51,50,54,51,32,46,49,52,55,51,54,55,10,32,32,46,49,53,48,49,56,54,
      32,46,49,53,50,48,55,57,32,46,49,53,49,52,49,53,32,46,49,52,55,56,57,54,32,
      46,49,51,55,55,54,52,32,46,49,50,51,56,49,56,32,46,49,49,53,50,50,54,32,46,
      49,48,55,49,32,46,48,57,53,55,50,54,57,32,46,48,56,53,51,54,56,50,10,32,32,
      46,48,56,48,55,57,55,32,46,48,55,53,53,51,51,57,32,46,48,55,51,53,53,56,53,
      32,46,48,55,50,49,55,50,49,32,46,48,56,50,49,48,52,56,32,46,48,55,56,52,49,
      51,54,32,46,48,55,54,57,53,49,50,32,46,48,55,52,50,51,55,49,32,46,48,55,49,
      51,56,49,50,10,32,32,46,48,54,57,49,48,56,56,32,46,48,54,54,57,50,56,55,32,
      46,48,54,52,57,54,56,50,32,46,48,54,51,49,48,55,57,32,46,48,54,49,49,50,52,
      32,46,48,53,57,52,50,55,53,32,46,48,53,55,54,50,52,55,32,46,48,53,54,51,52,
      49,53,32,46,48,53,52,51,50,52,32,46,48,53,51,49,51,48,55,10,32,32,46,48,53,
      49,54,57,50,52,32,46,48,52,56,53,50,52,55,32,46,48,52,52,53,51,55,56,32,46,
      48,52,49,48,50,48,54,32,46,48,51,55,48,55,52,52,32,46,48,51,51,53,54,52,51,
      32,46,48,50,57,56,52,54,51,32,46,48,50,55,49,48,50,57,32,46,48,50,51,50,51,
      54,10,32,32,46,48,49,57,54,55,51,57,32,46,48,49,55,56,57,53,52,32,46,48,49,
      54,49,49,53,53,32,46,48,49,52,48,51,55,55,32,46,48,49,50,52,53,55,57,32,46,
      48,49,49,48,54,56,57,32,46,48,48,57,54,56,50,54,51,32,46,48,48,56,52,56,48,
      55,53,32,46,48,48,55,53,53,57,50,57,10,32,32,46,48,48,54,55,52,51,52,54,32,
      46,48,48,54,48,50,48,49,52,32,46,48,48,53,50,57,50,53,50,32,46,48,48,52,53,
      56,51,49,49,32,46,48,48,51,57,49,48,51,32,46,48,48,51,51,57,50,56,52,32,46,
      48,48,50,57,48,48,53,53,32,46,48,48,50,53,50,48,56,56,32,46,48,48,50,49,57,
      50,52,52,10,32,32,46,48,48,49,56,55,56,56,56,32,46,48,48,49,53,57,51,54,56,
      32,46,48,48,49,52,48,52,49,54,32,46,48,48,49,50,49,51,53,32,46,48,48,49,48,
      54,55,56,57,32,46,48,48,48,57,51,49,57,53,53,32,46,48,48,48,56,49,51,55,48,
      49,32,46,48,48,48,55,49,48,55,50,56,10,32,32,46,48,48,48,54,50,49,48,51,50,
      32,46,48,48,48,53,52,50,56,53,53,32,46,48,48,48,52,55,52,54,56,55,32,46,48,
      48,48,52,49,53,50,50,49,32,46,48,48,48,51,54,51,51,49,56,32,46,48,48,48,51,
      49,56,48,48,50,32,46,48,48,48,50,55,56,52,49,56,32,46,48,48,48,50,52,51,56,
      49,55,10,32,32,46,48,48,48,50,49,51,53,56,51,32,46,48,48,48,49,56,55,49,52,
      54,32,46,48,48,48,49,54,52,48,50,32,46,48,48,48,49,52,51,55,56,55,32,46,48,
      48,48,49,50,54,48,56,54,32,46,48,48,48,49,49,48,53,56,32,57,46,54,57,57,52,
      57,101,45,48,53,32,56,46,53,49,48,49,51,101,45,48,53,10,32,32,55,46,52,54,56,
      48,50,101,45,48,53,32,54,46,53,53,52,55,54,101,45,48,53,32,53,46,55,53,52,50,
      101,45,48,53,32,53,46,48,53,50,50,55,101,45,48,53,32,52,46,52,51,55,49,53,101,
      45,48,53,32,51,46,56,57,55,49,55,101,45,48,53,32,51,46,52,50,51,52,52,101,45,
      48,53,10,32,32,51,46,48,48,55,55,52,101,45,48,53,32,50,46,54,52,50,57,101,45,
      48,53,32,50,46,51,50,50,54,53,101,45,48,53,32,50,46,48,52,49,52,56,101,45,48,
      53,32,49,46,55,57,52,51,53,101,45,48,53,32,49,46,53,55,55,53,51,101,45,48,53,
      32,49,46,52,50,55,51,49,101,45,48,53,10,32,32,49,46,50,57,49,52,56,101,45,48,
      53,32,49,46,49,54,56,54,54,101,45,48,53,32,49,46,48,53,55,53,57,101,45,48,53,
      32,57,46,53,55,50,56,53,101,45,48,54,32,56,46,53,53,52,48,51,101,45,48,54,32,
      55,46,52,49,57,49,56,101,45,48,54,32,54,46,52,51,53,55,101,45,48,54,10,32,32,
      53,46,53,56,51,50,56,101,45,48,54,32,52,46,56,52,52,51,56,101,45,48,54,32,52,
      46,50,48,51,55,54,101,45,48,54,32,51,46,54,52,56,50,54,101,45,48,54,32,51,46,
      49,54,54,53,51,101,45,48,54,32,50,46,55,52,56,55,101,45,48,54,32,50,46,51,56,
      54,50,54,101,45,48,54,10,32,32,50,46,48,55,49,56,50,101,45,48,54,32,49,46,55,
      57,57,101,45,48,54,32,49,46,53,54,50,50,53,101,45,48,54,32,49,46,51,53,54,55,
      57,101,45,48,54,32,49,46,49,55,56,52,54,101,45,48,54,32,49,46,48,50,51,54,54,
      101,45,48,54,32,56,46,56,57,50,54,56,101,45,48,55,10,32,32,55,46,55,50,53,56,
      55,101,45,48,55,32,54,46,55,49,50,55,49,101,45,48,55,32,53,46,56,51,50,57,101,
      45,48,55,32,53,46,48,54,56,56,101,45,48,55,32,52,46,52,48,52,101,45,48,55,32,
      51,46,56,50,56,54,54,101,45,48,55,32,51,46,51,50,55,56,55,101,45,48,55,10,32,
      32,50,46,56,57,50,55,57,101,45,48,55,32,50,46,53,49,52,55,56,101,45,48,55,32,
      50,46,49,56,54,51,101,45,48,55,32,49,46,57,48,48,56,54,101,45,48,55,32,49,46,
      54,53,50,56,101,45,48,55,32,49,46,52,51,55,50,49,101,45,48,55,32,49,46,50,52,
      57,56,49,101,45,48,55,10,32,32,49,46,48,56,54,57,50,101,45,48,55,32,57,46,52,
      53,51,49,52,101,45,48,56,32,56,46,50,50,50,48,55,101,45,48,56,32,55,46,49,53,
      49,55,52,101,45,48,56,32,54,46,50,50,49,49,49,101,45,48,56,32,53,46,52,49,49,
      56,56,101,45,48,56,32,52,46,48,57,54,49,55,101,45,48,56,10,32,32,51,46,49,48,
      48,57,49,101,45,48,56,32,50,46,51,52,56,48,49,101,45,48,56,32,49,46,55,55,56,
      50,54,101,45,48,56,32,49,46,51,52,55,48,50,101,45,48,56,32,49,46,48,50,48,53,
      52,101,45,48,56,32,55,46,55,51,51,50,49,101,45,48,57,32,53,46,56,54,48,57,50,
      101,45,48,57,10,32,32,52,46,52,52,50,54,53,101,45,48,57,32,51,46,51,54,56,49,
      51,101,45,48,57,32,50,46,53,53,51,56,56,101,45,48,57,32,49,46,57,51,54,55,55,
      101,45,48,57,32,49,46,52,54,56,57,56,101,45,48,57,32,49,46,49,49,52,51,52,101,
      45,48,57,32,56,46,52,53,52,50,55,101,45,49,48,10,32,32,54,46,52,49,52,57,53,
      101,45,49,48,32,52,46,56,54,56,49,54,101,45,49,48,32,51,46,54,57,52,55,57,101,
      45,49,48,32,50,46,56,48,52,53,55,101,45,49,48,32,50,46,49,50,57,49,101,45,49,
      48,32,49,46,54,49,54,52,57,101,45,49,48,32,49,46,50,50,55,52,52,101,45,49,48,
      10,32,32,57,46,51,50,49,49,57,101,45,49,49,32,55,46,48,55,57,50,52,101,45,49,
      49,32,53,46,51,55,55,48,56,101,45,49,49,32,52,46,48,56,52,54,101,45,49,49,32,
      51,46,49,48,51,48,56,101,45,49,49,32,50,46,51,53,55,54,52,101,45,49,49,32,49,
      46,55,57,49,53,101,45,49,49,10,32,32,49,46,57,54,57,56,57,101,45,48,54,32,55,
      46,56,57,56,53,57,101,45,48,54,32,49,46,55,55,56,53,52,101,45,48,53,32,49,46,
      57,54,57,55,101,45,48,53,32,55,46,56,57,53,54,55,101,45,48,53,32,46,48,48,48,
      50,51,51,57,52,56,32,46,48,48,48,52,49,53,52,51,50,10,32,32,46,48,48,48,54,
      52,56,49,49,55,32,46,48,48,48,57,51,50,49,52,55,32,46,48,48,49,50,54,54,51,
      49,32,46,48,48,49,54,53,48,56,54,32,46,48,48,50,48,56,52,55,32,46,48,48,50,
      53,54,55,50,55,32,46,48,48,51,48,57,56,48,57,32,46,48,48,51,54,55,54,52,51,
      10,32,32,46,48,48,52,51,48,49,50,51,32,46,48,48,52,57,55,50,48,57,32,46,48,
      48,53,54,56,56,52,32,46,48,48,54,52,52,56,55,55,32,46,48,48,55,50,53,50,54,
      51,32,46,48,48,56,48,57,56,55,53,32,46,48,48,56,57,56,56,51,51,32,46,48,48,
      57,57,49,56,57,57,32,46,48,49,48,56,57,48,49,10,32,32,46,48,49,49,57,48,48,
      56,32,46,48,49,50,57,53,50,50,32,46,48,49,52,48,52,52,51,32,46,48,49,53,49,
      55,52,57,32,46,48,49,54,51,52,50,56,32,46,48,49,55,53,52,55,54,32,46,48,49,
      56,55,57,55,50,32,46,48,50,48,48,56,52,49,32,46,48,50,49,52,48,55,50,10,32,
      32,46,48,50,50,55,54,54,52,32,46,48,50,52,49,54,56,50,32,46,48,50,53,54,49,
      50,56,32,46,48,50,55,48,57,51,53,32,46,48,50,56,54,49,48,49,32,46,48,51,48,
      49,54,51,49,32,46,48,51,49,55,54,56,52,32,46,48,51,51,52,49,48,52,32,46,48,
      51,53,48,56,56,54,10,32,32,46,48,51,54,56,48,50,54,32,46,48,51,56,53,54,50,
      56,32,46,48,52,48,51,54,55,54,32,46,48,52,50,50,48,57,50,32,46,48,52,52,48,
      56,54,54,32,46,48,52,54,48,48,48,57,32,46,48,52,55,57,54,55,54,32,46,48,52,
      57,57,55,48,51,32,46,48,53,50,48,48,57,51,10,32,32,46,48,53,52,48,56,51,55,
      32,46,48,53,54,50,48,49,50,32,46,48,53,56,51,53,57,56,32,46,48,54,48,53,53,
      52,49,32,46,48,54,50,55,56,51,52,32,46,48,54,53,48,52,55,56,32,46,48,54,55,
      51,53,49,53,32,46,48,54,57,54,56,57,57,32,46,48,55,50,48,54,51,51,10,32,32,
      46,48,55,52,52,55,48,53,32,46,48,55,54,57,48,56,49,32,46,48,55,57,51,55,54,
      54,32,46,48,56,49,56,55,56,52,32,46,48,56,52,52,49,51,51,32,46,48,56,54,57,
      55,57,51,32,46,48,56,57,53,54,50,53,32,46,48,57,50,49,55,54,57,32,46,48,57,
      52,56,50,50,53,10,32,32,46,48,57,55,52,57,56,56,32,46,49,48,48,49,57,49,32,
      46,49,48,50,57,48,50,32,46,49,48,53,54,52,50,32,46,49,48,56,52,49,32,46,49,
      49,49,50,48,51,32,46,49,49,51,57,57,56,32,46,49,49,54,56,49,57,32,46,49,49,
      57,54,54,55,32,46,49,50,50,53,52,49,10,32,32,46,49,50,53,52,50,53,32,46,49,
      50,56,51,50,53,32,46,49,51,49,50,52,55,32,46,49,51,52,49,57,49,32,46,49,51,
      55,49,54,49,32,46,49,52,48,49,53,57,32,46,49,52,51,49,54,56,32,46,49,52,54,
      50,48,49,32,46,49,52,57,50,54,50,32,46,49,53,50,51,55,56,10,32,32,46,49,53,
      53,53,50,55,32,46,49,53,56,54,56,53,32,46,49,54,49,56,55,32,46,49,54,53,48,
      57,54,32,46,49,54,56,52,53,50,32,46,49,55,49,56,51,55,32,46,49,55,53,50,53,
      32,46,49,55,56,54,57,50,32,46,49,56,50,50,57,49,32,46,49,56,53,57,57,54,32,
      46,49,56,57,55,51,50,10,32,32,46,49,57,51,52,57,55,32,46,49,57,55,51,51,51,
      32,46,50,48,49,52,54,52,32,46,50,48,53,54,50,53,32,46,50,48,57,56,49,55,32,
      46,50,49,52,48,51,57,32,46,50,49,56,53,53,49,32,46,50,50,51,50,52,32,46,50,
      50,55,57,53,54,32,46,50,51,50,55,32,46,50,51,55,53,52,51,10,32,32,46,50,52,
      50,56,51,57,32,46,50,52,56,49,53,54,32,46,50,53,51,52,57,49,32,46,50,53,56,
      56,32,46,50,54,52,52,55,49,32,46,50,55,48,51,52,50,32,46,50,55,54,49,57,53,
      32,46,50,56,50,48,52,55,32,46,50,56,55,57,57,49,32,46,50,57,52,51,53,49,32,
      46,51,48,48,54,56,56,10,32,32,46,51,48,55,48,48,57,32,46,51,49,51,51,50,49,
      32,46,51,49,57,57,51,49,32,46,51,50,54,54,54,54,32,46,51,51,51,51,55,52,32,
      46,51,52,48,48,54,56,32,46,51,52,54,56,49,50,32,46,51,53,51,56,53,51,32,46,
      51,54,48,56,54,54,32,46,51,54,55,56,54,51,10,32,32,46,51,55,52,56,51,57,32,
      46,51,56,50,48,48,54,32,46,51,56,57,50,52,57,32,46,51,57,54,52,55,53,32,46,
      52,48,51,54,56,55,32,46,52,49,48,57,51,53,32,46,52,49,56,51,51,57,32,46,52,
      50,53,55,51,54,32,46,52,51,51,49,51,51,32,46,52,52,48,53,50,53,10,32,32,46,
      52,52,56,48,48,52,32,46,52,53,53,53,51,49,32,46,52,54,51,48,53,54,32,46,52,
      55,48,53,57,32,46,52,55,56,49,52,55,32,46,52,56,53,55,54,50,32,46,52,57,51,
      51,56,55,32,46,53,48,49,48,50,56,32,46,53,48,56,54,56,57,32,46,53,49,54,51,
      54,50,32,46,53,50,52,48,53,56,10,32,32,46,53,51,49,55,55,54,32,46,53,51,57,
      53,50,49,32,46,53,52,55,50,55,57,32,46,53,53,53,48,49,52,32,46,53,54,50,55,
      55,57,32,46,53,55,51,49,55,53,32,46,53,57,55,51,48,57,32,46,54,51,50,55,55,
      51,32,46,54,56,57,54,56,54,32,46,55,52,51,49,50,50,10,32,32,46,55,57,50,55,
      52,52,32,46,56,51,55,54,54,53,32,46,56,55,55,56,56,55,32,46,57,49,51,53,57,
      32,46,57,52,53,57,56,51,32,46,57,55,54,52,50,55,32,49,46,48,48,54,54,55,32,
      49,46,48,51,54,56,56,32,49,46,48,54,54,55,55,32,49,46,49,48,48,55,32,49,46,
      49,50,56,57,53,10,32,32,49,46,49,53,49,52,51,32,49,46,49,52,54,49,49,32,49,
      46,49,48,52,51,55,32,46,57,57,51,57,49,32,46,56,51,48,53,56,57,32,46,54,53,
      54,48,53,32,46,53,48,52,48,48,53,32,46,52,52,49,52,48,52,32,46,52,54,51,57,
      49,49,32,46,53,52,56,53,48,53,32,46,54,53,49,50,54,54,10,32,32,46,55,53,56,
      57,53,56,32,46,56,53,51,50,52,32,46,57,49,51,57,56,32,46,57,49,56,53,51,52,
      32,46,56,52,56,52,53,50,32,46,54,56,57,53,57,55,32,46,53,48,55,57,54,53,32,
      46,51,52,56,57,49,53,32,46,50,53,57,57,51,55,32,46,50,56,50,53,53,50,32,46,
      51,53,54,48,54,51,10,32,32,46,52,56,56,50,53,32,46,54,54,57,55,50,57,32,46,
      56,52,53,56,49,51,32,46,57,56,52,57,49,56,32,49,46,48,53,57,57,56,32,49,46,
      48,53,51,53,53,32,46,57,56,53,49,48,57,32,46,56,55,48,54,52,52,32,46,55,51,
      51,49,51,57,32,46,54,51,57,55,57,32,46,53,54,51,49,51,54,10,32,32,46,52,57,
      53,54,55,52,32,46,52,49,57,49,55,55,32,46,51,50,55,56,51,32,46,50,55,53,48,
      56,57,32,46,50,53,55,51,48,54,32,46,50,53,55,52,54,49,32,46,50,54,48,49,52,
      57,32,46,50,53,55,55,52,51,32,46,50,54,51,53,57,57,32,46,50,56,52,48,55,53,
      32,46,51,49,51,48,52,10,32,32,46,51,51,49,53,54,52,32,46,51,50,55,48,57,51,
      32,46,51,48,51,55,53,54,32,46,50,56,49,54,50,49,32,46,50,52,50,56,48,50,32,
      46,50,49,48,50,56,55,32,46,49,56,48,50,55,49,32,46,49,53,50,56,49,56,32,46,
      49,51,55,55,53,53,32,46,49,51,51,48,53,53,10,32,32,46,49,51,53,49,51,32,46,
      49,51,57,48,53,56,32,46,49,52,50,57,52,52,32,46,49,52,55,48,52,49,32,46,49,
      52,57,56,53,55,32,46,49,53,49,55,52,57,32,46,49,53,49,48,57,54,32,46,49,52,
      55,53,57,51,32,46,49,51,55,53,32,46,49,50,51,53,57,57,32,46,49,49,53,48,51,
      51,10,32,32,46,49,48,54,57,51,32,46,48,57,53,53,56,54,32,46,48,56,53,50,53,
      50,32,46,48,56,48,54,57,49,49,32,46,48,55,53,52,51,57,56,32,46,48,55,51,52,
      54,57,32,46,48,55,50,48,56,54,53,32,46,48,56,50,48,48,50,50,32,46,48,55,56,
      51,49,57,53,32,46,48,55,54,56,54,48,52,10,32,32,46,48,55,52,49,53,50,49,32,
      46,48,55,49,51,48,50,50,32,46,48,54,57,48,51,52,51,32,46,48,54,54,56,53,56,
      53,32,46,48,54,52,57,48,49,54,32,46,48,54,51,48,52,52,54,32,46,48,54,49,48,
      54,52,50,32,46,48,53,57,51,55,48,53,32,46,48,53,55,53,55,48,53,10,32,32,46,
      48,53,54,50,56,57,52,32,46,48,53,52,50,55,53,32,46,48,53,51,48,56,51,53,32,
      46,48,53,49,54,52,55,51,32,46,48,52,56,52,56,52,49,32,46,48,52,52,53,48,50,
      53,32,46,48,52,48,57,56,57,55,32,46,48,51,55,48,52,56,50,32,46,48,51,51,53,
      52,49,57,10,32,32,46,48,50,57,56,50,55,55,32,46,48,50,55,48,56,54,57,32,46,
      48,50,51,50,50,51,51,32,46,48,49,57,54,54,51,50,32,46,48,49,55,56,56,53,57,
      32,46,48,49,54,49,48,55,50,32,46,48,49,52,48,51,48,56,32,46,48,49,50,52,53,
      49,57,32,46,48,49,49,48,54,51,56,10,32,32,46,48,48,57,54,55,56,51,52,32,46,
      48,48,56,52,55,55,49,49,32,46,48,48,55,53,53,54,49,51,32,46,48,48,54,55,52,
      48,54,57,32,46,48,48,54,48,49,55,55,51,32,46,48,48,53,50,57,48,52,54,32,46,
      48,48,52,53,56,49,51,55,32,46,48,48,51,57,48,56,56,53,10,32,32,46,48,48,51,
      51,57,49,54,49,32,46,48,48,50,56,57,57,53,50,32,46,48,48,50,53,50,48,48,49,
      32,46,48,48,50,49,57,49,55,32,46,48,48,49,56,55,56,50,53,32,46,48,48,49,53,
      57,51,49,54,32,46,48,48,49,52,48,51,55,32,46,48,48,49,50,49,51,49,50,32,46,
      48,48,49,48,54,55,53,54,10,32,32,46,48,48,48,57,51,49,54,54,56,32,46,48,48,
      48,56,49,51,52,53,52,32,46,48,48,48,55,49,48,53,49,52,32,46,48,48,48,54,50,
      48,56,52,57,32,46,48,48,48,53,52,50,54,57,53,32,46,48,48,48,52,55,52,53,53,
      49,32,46,48,48,48,52,49,53,49,48,49,32,46,48,48,48,51,54,51,50,49,53,10,32,
      32,46,48,48,48,51,49,55,57,49,51,32,46,48,48,48,50,55,56,51,52,49,32,46,48,
      48,48,50,52,51,55,53,32,46,48,48,48,50,49,51,53,50,52,32,46,48,48,48,49,56,
      55,48,57,53,32,46,48,48,48,49,54,51,57,55,55,32,46,48,48,48,49,52,51,55,52,
      56,32,46,48,48,48,49,50,54,48,53,50,10,32,32,46,48,48,48,49,49,48,53,53,50,
      32,57,46,54,57,54,57,54,101,45,48,53,32,56,46,53,48,55,57,50,101,45,48,53,32,
      55,46,52,54,54,49,101,45,48,53,32,54,46,53,53,51,48,57,101,45,48,53,32,53,46,
      55,53,50,55,50,101,45,48,53,32,53,46,48,53,48,57,57,101,45,48,53,10,32,32,52,
      46,52,51,54,48,51,101,45,48,53,32,51,46,56,57,54,49,57,101,45,48,53,32,51,46,
      52,50,50,53,56,101,45,48,53,32,51,46,48,48,55,101,45,48,53,32,50,46,54,52,50,
      50,53,101,45,48,53,32,50,46,51,50,50,48,55,101,45,48,53,32,50,46,48,52,48,57,
      55,101,45,48,53,10,32,32,49,46,55,57,51,57,50,101,45,48,53,32,49,46,53,55,55,
      49,54,101,45,48,53,32,49,46,52,50,54,57,54,101,45,48,53,32,49,46,50,57,49,49,
      54,101,45,48,53,32,49,46,49,54,56,51,55,101,45,48,53,32,49,46,48,53,55,51,52,
      101,45,48,53,32,57,46,53,55,48,53,57,101,45,48,54,10,32,32,56,46,53,53,49,57,
      57,101,45,48,54,32,55,46,52,49,55,52,101,45,48,54,32,54,46,52,51,52,49,56,101,
      45,48,54,32,53,46,53,56,49,57,57,101,45,48,54,32,52,46,56,52,51,50,52,101,45,
      48,54,32,52,46,50,48,50,55,54,101,45,48,54,32,51,46,54,52,55,52,50,101,45,48,
      54,10,32,32,51,46,49,54,53,56,49,101,45,48,54,32,50,46,55,52,56,48,55,101,45,
      48,54,32,50,46,51,56,53,55,49,101,45,48,54,32,50,46,48,55,49,51,53,101,45,48,
      54,32,49,46,55,57,56,53,57,101,45,48,54,32,49,46,53,54,49,57,101,45,48,54,32,
      49,46,51,53,54,52,56,101,45,48,54,10,32,32,49,46,49,55,56,49,57,101,45,48,54,
      32,49,46,48,50,51,52,50,101,45,48,54,32,56,46,56,57,48,54,55,101,45,48,55,32,
      55,46,55,50,52,49,50,101,45,48,55,32,54,46,55,49,49,49,57,101,45,48,55,32,53,
      46,56,51,49,53,55,101,45,48,55,32,53,46,48,54,55,54,54,101,45,48,55,10,32,32,
      52,46,52,48,51,48,51,101,45,48,55,32,51,46,56,50,55,56,49,101,45,48,55,32,51,
      46,51,50,55,49,51,101,45,48,55,32,50,46,56,57,50,49,53,101,45,48,55,32,50,46,
      53,49,52,50,50,101,45,48,55,32,50,46,49,56,53,56,50,101,45,48,55,32,49,46,57,
      48,48,52,53,101,45,48,55,10,32,32,49,46,54,53,50,52,52,101,45,48,55,32,49,46,
      52,51,54,56,57,101,45,48,55,32,49,46,50,52,57,53,52,101,45,48,55,32,49,46,48,
      56,54,54,56,101,45,48,55,32,57,46,52,53,49,49,49,101,45,48,56,32,56,46,50,50,
      48,51,101,45,48,56,32,55,46,49,53,48,49,57,101,45,48,56,10,32,32,54,46,50,49,
      57,55,54,101,45,48,56,32,53,46,52,49,48,55,101,45,48,56,32,52,46,48,57,53,51,
      101,45,48,56,32,51,46,49,48,48,50,52,101,45,48,56,32,50,46,51,52,55,53,101,
      45,48,56,32,49,46,55,55,55,56,56,101,45,48,56,32,49,46,51,52,54,55,51,101,45,
      48,56,10,32,32,49,46,48,50,48,51,50,101,45,48,56,32,55,46,55,51,49,53,57,101,
      45,48,57,32,53,46,56,53,57,54,57,101,45,48,57,32,52,46,52,52,49,55,50,101,45,
      48,57,32,51,46,51,54,55,52,49,101,45,48,57,32,50,46,53,53,51,51,53,101,45,48,
      57,32,49,46,57,51,54,51,55,101,45,48,57,10,32,32,49,46,52,54,56,54,56,101,45,
      48,57,32,49,46,49,49,52,49,49,101,45,48,57,32,56,46,52,53,50,53,52,101,45,49,
      48,32,54,46,52,49,51,54,51,101,45,49,48,32,52,46,56,54,55,49,53,101,45,49,48,
      32,51,46,54,57,52,48,50,101,45,49,48,32,50,46,56,48,52,101,45,49,48,10,32,32,
      50,46,49,50,56,54,54,101,45,49,48,32,49,46,54,49,54,49,54,101,45,49,48,32,49,
      46,50,50,55,49,57,101,45,49,48,32,57,46,51,49,57,50,57,101,45,49,49,32,55,46,
      48,55,55,56,101,45,49,49,32,53,46,51,55,53,57,54,101,45,49,49,32,52,46,48,56,
      51,55,52,101,45,49,49,10,32,32,51,46,49,48,50,52,50,101,45,49,49,32,50,46,51,
      53,55,49,52,101,45,49,49,32,49,46,55,57,49,49,49,101,45,49,49,32,49,46,50,56,
      55,52,49,101,45,48,54,32,53,46,49,54,50,49,54,101,45,48,54,32,49,46,49,54,50,
      51,57,101,45,48,53,32,49,46,50,56,55,51,51,101,45,48,53,10,32,32,53,46,49,54,
      48,57,50,101,45,48,53,32,46,48,48,48,49,51,54,54,48,53,32,46,48,48,48,50,53,
      55,53,55,54,32,46,48,48,48,52,48,49,57,57,54,32,46,48,48,48,53,55,56,52,50,
      49,32,46,48,48,48,55,56,54,49,56,52,32,46,48,48,49,48,50,53,53,51,32,46,48,
      48,49,50,57,53,56,57,10,32,32,46,48,48,49,53,57,55,48,49,32,46,48,48,49,57,
      50,56,55,52,32,46,48,48,50,50,57,48,55,51,32,46,48,48,50,54,56,50,52,55,32,
      46,48,48,51,49,48,51,56,50,32,46,48,48,51,53,53,52,53,50,32,46,48,48,52,48,
      51,51,56,56,32,46,48,48,52,53,52,49,54,56,10,32,32,46,48,48,53,48,55,55,51,
      51,32,46,48,48,53,54,52,49,51,56,32,46,48,48,54,50,51,50,55,51,32,46,48,48,
      54,56,53,49,49,50,32,46,48,48,55,52,57,54,49,32,46,48,48,56,49,54,56,50,49,
      32,46,48,48,56,56,54,55,51,53,32,46,48,48,57,53,57,50,53,57,32,46,48,49,48,
      51,52,51,52,10,32,32,46,48,49,49,49,49,57,52,32,46,48,49,49,57,50,52,52,32,
      46,48,49,50,55,53,52,56,32,46,48,49,51,54,49,48,50,32,46,48,49,52,52,57,48,
      53,32,46,48,49,53,51,57,56,54,32,46,48,49,54,51,51,52,56,32,46,48,49,55,50,
      57,53,55,32,46,48,49,56,50,56,49,53,10,32,32,46,48,49,57,50,57,50,50,32,46,
      48,50,48,51,51,53,51,32,46,48,50,49,52,48,51,53,32,46,48,50,50,52,57,54,54,
      32,46,48,50,51,54,49,52,52,32,46,48,50,52,55,54,49,55,32,46,48,50,53,57,51,
      55,55,32,46,48,50,55,49,51,57,32,46,48,50,56,51,54,52,57,10,32,32,46,48,50,
      57,54,49,54,32,46,48,51,48,56,57,57,54,32,46,48,51,50,50,48,55,57,32,46,48,
      51,51,53,52,49,49,32,46,48,51,52,56,57,56,55,32,46,48,51,54,50,56,52,53,32,
      46,48,51,55,54,57,55,52,32,46,48,51,57,49,51,52,57,32,46,48,52,48,53,57,54,
      54,10,32,32,46,48,52,50,48,56,50,56,32,46,48,52,51,53,57,53,50,32,46,48,52,
      53,49,51,49,53,32,46,48,52,54,54,57,50,32,46,48,52,56,50,55,54,52,32,46,48,
      52,57,56,56,50,53,32,46,48,53,49,53,49,49,51,32,46,48,53,51,49,54,51,50,32,
      46,48,53,52,56,51,56,52,10,32,32,46,48,53,54,53,51,54,49,32,46,48,53,56,50,
      52,57,51,32,46,48,53,57,57,56,52,54,32,46,48,54,49,55,52,50,53,32,46,48,54,
      51,53,50,50,54,32,46,48,54,53,51,49,55,50,32,46,48,54,55,49,50,56,49,32,46,
      48,54,56,57,54,48,52,32,46,48,55,48,56,49,51,54,10,32,32,46,48,55,50,54,56,
      54,52,32,46,48,55,52,53,54,54,54,32,46,48,55,54,52,54,54,56,32,46,48,55,56,
      51,56,54,52,32,46,48,56,48,51,50,53,54,32,46,48,56,50,50,55,55,55,32,46,48,
      56,52,50,52,52,32,46,48,56,54,50,50,56,55,32,46,48,56,56,50,51,48,49,10,32,
      32,46,48,57,48,50,53,48,54,32,46,48,57,50,50,57,49,57,32,46,48,57,52,51,52,
      53,51,32,46,48,57,54,52,49,55,52,32,46,48,57,56,53,48,57,55,32,46,49,48,48,
      54,51,54,32,46,49,48,50,55,56,53,32,46,49,48,52,57,52,53,32,46,49,48,55,49,
      50,53,32,46,49,48,57,51,51,50,10,32,32,46,49,49,49,54,49,32,46,49,49,51,57,
      48,57,32,46,49,49,54,50,50,57,32,46,49,49,56,53,54,57,32,46,49,50,48,57,57,
      53,32,46,49,50,51,52,56,32,46,49,50,53,57,56,54,32,46,49,50,56,53,49,53,32,
      46,49,51,49,48,56,52,32,46,49,51,51,56,48,56,32,46,49,51,54,53,53,51,10,32,
      32,46,49,51,57,51,50,32,46,49,52,50,49,48,57,32,46,49,52,53,48,52,56,32,46,
      49,52,56,48,56,50,32,46,49,53,49,49,51,54,32,46,49,53,52,50,49,49,32,46,49,
      53,55,51,52,49,32,46,49,54,48,55,48,51,32,46,49,54,52,48,56,49,32,46,49,54,
      55,52,55,52,32,46,49,55,48,56,54,10,32,32,46,49,55,52,52,51,50,32,46,49,55,
      56,49,48,56,32,46,49,56,49,55,56,49,32,46,49,56,53,52,53,57,32,46,49,56,57,
      49,56,57,32,46,49,57,51,49,50,54,32,46,49,57,55,48,53,56,32,46,50,48,48,57,
      57,49,32,46,50,48,52,57,50,53,32,46,50,48,57,48,48,55,10,32,32,46,50,49,51,
      49,53,54,32,46,50,49,55,51,32,46,50,50,49,52,52,50,32,46,50,50,53,54,49,52,
      32,46,50,50,57,57,51,53,32,46,50,51,52,50,52,57,32,46,50,51,56,53,54,49,32,
      46,50,52,50,56,55,32,46,50,52,55,50,55,57,32,46,50,53,49,55,50,55,32,46,50,
      53,54,49,55,53,10,32,32,46,50,54,48,54,50,51,32,46,50,54,53,48,57,53,32,46,
      50,54,57,54,52,56,32,46,50,55,52,50,48,51,32,46,50,55,56,55,54,55,32,46,50,
      56,51,51,51,53,32,46,50,56,55,57,53,49,32,46,50,57,50,53,57,55,32,46,50,57,
      55,50,53,32,46,51,48,49,57,49,52,32,46,51,48,54,53,57,54,10,32,32,46,51,49,
      49,51,49,51,32,46,51,49,54,48,52,50,32,46,51,50,48,55,56,55,32,46,51,50,53,
      53,52,57,32,46,51,51,48,51,50,52,32,46,51,51,53,49,49,55,32,46,51,51,57,57,
      50,57,32,46,51,52,52,55,54,49,32,46,51,52,57,54,48,55,32,46,51,53,52,52,53,
      49,10,32,32,46,51,53,57,51,49,54,32,46,51,54,53,56,51,52,32,46,51,56,49,48,
      50,54,32,46,52,48,51,52,55,50,32,46,52,51,57,56,54,56,32,46,52,55,52,54,53,
      53,32,46,53,48,55,54,54,50,32,46,53,51,56,52,53,49,32,46,53,54,54,57,56,51,
      32,46,53,57,51,50,57,56,10,32,32,46,54,49,55,57,51,51,32,46,54,52,49,53,50,
      52,32,46,54,54,52,57,48,54,32,46,54,56,56,49,56,55,32,46,55,49,49,50,51,32,
      46,55,51,55,56,49,55,32,46,55,54,49,52,48,53,32,46,55,56,52,56,48,51,32,46,
      55,57,51,48,49,51,32,46,55,56,48,52,52,52,32,46,55,50,56,54,52,53,10,32,32,
      46,54,51,56,54,49,54,32,46,53,51,49,51,54,51,32,46,52,50,57,48,56,50,32,46,
      51,56,53,51,57,57,32,46,52,48,54,52,50,49,32,46,52,55,52,56,48,50,32,46,53,
      53,54,48,48,53,32,46,54,52,48,53,54,53,32,46,55,49,53,53,57,49,32,46,55,54,
      55,49,53,52,10,32,32,46,55,55,56,53,55,52,32,46,55,51,52,50,50,51,32,46,54,
      49,54,57,54,53,32,46,52,55,48,49,53,32,46,51,51,49,57,54,54,32,46,50,53,49,
      49,51,54,32,46,50,55,51,48,51,54,32,46,51,52,50,48,54,52,32,46,52,54,52,49,
      54,50,32,46,54,50,56,52,56,55,32,46,55,56,53,57,52,52,10,32,32,46,57,49,48,
      51,52,50,32,46,57,56,48,51,54,50,32,46,57,56,48,48,57,32,46,57,50,52,55,53,
      53,32,46,56,50,54,55,50,56,32,46,55,48,52,53,52,51,32,46,54,49,57,52,55,32,
      46,53,52,56,52,48,53,32,46,52,56,52,55,53,50,32,46,52,49,49,54,51,52,32,46,
      51,50,51,51,54,57,10,32,32,46,50,55,50,48,52,49,32,46,50,53,52,55,53,32,46,
      50,53,53,48,49,53,32,46,50,53,55,56,48,55,32,46,50,53,53,53,54,53,32,46,50,
      54,49,52,53,51,32,46,50,56,49,55,52,49,32,46,51,49,48,51,57,53,32,46,51,50,
      56,55,54,49,32,46,51,50,52,52,56,32,46,51,48,49,53,53,10,32,32,46,50,55,57,
      55,51,56,32,46,50,52,49,52,49,49,32,46,50,48,57,50,51,57,32,46,49,55,57,52,
      56,57,32,46,49,53,50,50,52,52,32,46,49,51,55,50,56,52,32,46,49,51,50,54,50,
      51,32,46,49,51,52,55,48,49,32,46,49,51,56,54,50,32,46,49,52,50,52,57,55,32,
      46,49,52,54,53,56,54,10,32,32,46,49,52,57,51,57,54,32,46,49,53,49,50,56,55,
      32,46,49,53,48,54,53,32,46,49,52,55,49,55,32,46,49,51,55,49,51,32,46,49,50,
      51,50,57,52,32,46,49,49,52,55,54,51,32,46,49,48,54,54,57,50,32,46,48,57,53,
      51,56,57,51,32,46,48,56,53,48,56,57,55,32,46,48,56,48,53,52,51,49,10,32,32,
      46,48,55,53,51,48,56,50,32,46,48,55,51,51,52,51,55,32,46,48,55,49,57,54,54,
      54,32,46,48,56,49,56,53,56,55,32,46,48,55,56,49,56,55,56,32,46,48,55,54,55,
      51,51,50,32,46,48,55,52,48,51,51,32,46,48,55,49,49,57,49,51,32,46,48,54,56,
      57,50,57,55,10,32,32,46,48,54,54,55,53,57,54,32,46,48,54,52,56,48,55,56,32,
      46,48,54,50,57,53,53,52,32,46,48,54,48,57,55,57,56,32,46,48,53,57,50,57,48,
      50,32,46,48,53,55,52,57,52,52,32,46,48,53,54,50,49,54,50,32,46,48,53,52,50,
      48,54,49,32,46,48,53,51,48,49,55,50,10,32,32,46,48,53,49,53,56,52,32,46,48,
      52,56,52,50,55,50,32,46,48,52,52,52,53,51,51,32,46,48,52,48,57,52,54,57,32,
      46,48,51,55,48,49,49,57,32,46,48,51,51,53,49,48,56,32,46,48,50,57,56,48,49,
      55,32,46,48,50,55,48,54,52,52,32,46,48,50,51,50,48,53,52,10,32,32,46,48,49,
      57,54,52,57,55,32,46,48,49,55,56,55,52,32,46,48,49,54,48,57,54,57,32,46,48,
      49,52,48,50,50,51,32,46,48,49,50,52,52,52,54,32,46,48,49,49,48,53,55,53,32,
      46,48,48,57,54,55,51,48,52,32,46,48,48,56,52,55,50,54,51,32,46,48,48,55,53,
      53,50,50,54,10,32,32,46,48,48,54,55,51,55,51,52,32,46,48,48,54,48,49,52,56,
      32,46,48,48,53,50,56,55,57,54,32,46,48,48,52,53,55,57,50,55,32,46,48,48,51,
      57,48,55,49,50,32,46,48,48,51,51,57,48,49,53,32,46,48,48,50,56,57,56,51,49,
      32,46,48,48,50,53,49,56,57,56,32,46,48,48,50,49,57,48,56,50,10,32,32,46,48,
      48,49,56,55,55,53,50,32,46,48,48,49,53,57,50,53,54,32,46,48,48,49,52,48,51,
      49,56,32,46,48,48,49,50,49,50,54,55,32,46,48,48,49,48,54,55,49,56,32,46,48,
      48,48,57,51,49,51,51,56,32,46,48,48,48,56,49,51,49,54,56,32,46,48,48,48,55,
      49,48,50,55,49,10,32,32,46,48,48,48,54,50,48,54,51,56,32,46,48,48,48,53,52,
      50,53,49,52,32,46,48,48,48,52,55,52,51,57,52,32,46,48,48,48,52,49,52,57,54,
      54,32,46,48,48,48,51,54,51,48,57,57,32,46,48,48,48,51,49,55,56,49,49,32,46,
      48,48,48,50,55,56,50,53,51,32,46,48,48,48,50,52,51,54,55,53,10,32,32,46,48,
      48,48,50,49,51,52,53,57,32,46,48,48,48,49,56,55,48,51,56,32,46,48,48,48,49,
      54,51,57,50,55,32,46,48,48,48,49,52,51,55,48,54,32,46,48,48,48,49,50,54,48,
      49,53,32,46,48,48,48,49,49,48,53,49,57,32,57,46,54,57,52,49,52,101,45,48,53,
      32,56,46,53,48,53,52,55,101,45,48,53,10,32,32,55,46,52,54,51,57,56,101,45,48,
      53,32,54,46,53,53,49,50,51,101,45,48,53,32,53,46,55,53,49,49,49,101,45,48,53,
      32,53,46,48,52,57,54,101,45,48,53,32,52,46,52,51,52,56,101,45,48,53,32,51,46,
      56,57,53,49,50,101,45,48,53,32,51,46,52,50,49,54,53,101,45,48,53,10,32,32,51,
      46,48,48,54,49,57,101,45,48,53,32,50,46,54,52,49,53,52,101,45,48,53,32,50,46,
      51,50,49,52,53,101,45,48,53,32,50,46,48,52,48,52,51,101,45,48,53,32,49,46,55,
      57,51,52,53,101,45,48,53,32,49,46,53,55,54,55,52,101,45,48,53,32,49,46,52,50,
      54,53,57,101,45,48,53,10,32,32,49,46,50,57,48,56,51,101,45,48,53,32,49,46,49,
      54,56,48,56,101,45,48,53,32,49,46,48,53,55,48,55,101,45,48,53,32,57,46,53,54,
      56,49,101,45,48,54,32,56,46,53,52,57,56,101,45,48,54,32,55,46,52,49,53,53,50,
      101,45,48,54,32,54,46,52,51,50,53,53,101,45,48,54,10,32,32,53,46,53,56,48,53,
      55,101,45,48,54,32,52,46,56,52,50,48,51,101,45,48,54,32,52,46,50,48,49,55,51,
      101,45,48,54,32,51,46,54,52,54,53,49,101,45,48,54,32,51,46,49,54,53,48,50,101,
      45,48,54,32,50,46,55,52,55,51,57,101,45,48,54,32,50,46,51,56,53,49,50,101,45,
      48,54,10,32,32,50,46,48,55,48,56,52,101,45,48,54,32,49,46,55,57,56,49,53,101,
      45,48,54,32,49,46,53,54,49,53,50,101,45,48,54,32,49,46,51,53,54,49,53,101,45,
      48,54,32,49,46,49,55,55,57,101,45,48,54,32,49,46,48,50,51,49,55,101,45,48,54,
      32,56,46,56,56,56,53,50,101,45,48,55,10,32,32,55,46,55,50,50,50,55,101,45,48,
      55,32,54,46,55,48,57,53,57,101,45,48,55,32,53,46,56,51,48,50,101,45,48,55,32,
      53,46,48,54,54,52,54,101,45,48,55,32,52,46,52,48,50,48,49,101,45,48,55,32,51,
      46,56,50,54,57,51,101,45,48,55,32,51,46,51,50,54,51,54,101,45,48,55,10,32,32,
      50,46,56,57,49,52,56,101,45,48,55,32,50,46,53,49,51,54,51,101,45,48,55,32,50,
      46,49,56,53,51,50,101,45,48,55,32,49,46,57,48,48,48,49,101,45,48,55,32,49,46,
      54,53,50,48,54,101,45,48,55,32,49,46,52,51,54,53,55,101,45,48,55,32,49,46,50,
      52,57,50,54,101,45,48,55,10,32,32,49,46,48,56,54,52,52,101,45,48,55,32,57,46,
      52,52,56,57,54,101,45,48,56,32,56,46,50,49,56,52,52,101,45,48,56,32,55,46,49,
      52,56,54,101,45,48,56,32,54,46,50,49,56,51,55,101,45,48,56,32,53,46,52,48,57,
      52,57,101,45,48,56,32,52,46,48,57,52,51,54,101,45,48,56,10,32,32,51,46,48,57,
      57,53,54,101,45,48,56,32,50,46,51,52,54,57,56,101,45,48,56,32,49,46,55,55,55,
      52,56,101,45,48,56,32,49,46,51,52,54,52,51,101,45,48,56,32,49,46,48,50,48,48,
      57,101,45,48,56,32,55,46,55,50,57,56,57,101,45,48,57,32,53,46,56,53,56,52,50,
      101,45,48,57,10,32,32,52,46,52,52,48,55,54,101,45,48,57,32,51,46,51,54,54,55,
      101,45,48,57,32,50,46,53,53,50,56,101,45,48,57,32,49,46,57,51,53,57,53,101,
      45,48,57,32,49,46,52,54,56,51,55,101,45,48,57,32,49,46,49,49,51,56,55,101,45,
      48,57,32,56,46,52,53,48,55,53,101,45,49,48,10,32,32,54,46,52,49,50,50,55,101,
      45,49,48,32,52,46,56,54,54,49,51,101,45,49,48,32,51,46,54,57,51,50,53,101,45,
      49,48,32,50,46,56,48,51,52,49,101,45,49,48,32,50,46,49,50,56,50,49,101,45,49,
      48,32,49,46,54,49,53,56,50,101,45,49,48,32,49,46,50,50,54,57,50,101,45,49,48,
      10,32,32,57,46,51,49,55,50,55,101,45,49,49,32,55,46,48,55,54,50,53,101,45,49,
      49,32,53,46,51,55,52,55,57,101,45,49,49,32,52,46,48,56,50,56,53,101,45,49,49,
      32,51,46,49,48,49,55,53,101,45,49,49,32,50,46,51,53,54,54,50,101,45,49,49,32,
      49,46,55,57,48,55,51,101,45,49,49,10,32,32,56,46,49,55,57,53,50,101,45,48,55,
      32,51,46,50,55,57,55,55,101,45,48,54,32,55,46,51,56,53,50,57,101,45,48,54,32,
      56,46,49,55,57,49,49,101,45,48,54,32,51,46,50,55,57,50,52,101,45,48,53,32,55,
      46,51,56,51,53,56,101,45,48,53,32,46,48,48,48,49,54,48,56,10,32,32,46,48,48,
      48,50,53,49,48,52,32,46,48,48,48,51,54,49,51,53,50,32,46,48,48,48,52,57,49,
      51,54,52,32,46,48,48,48,54,52,49,50,56,56,32,46,48,48,48,56,49,48,56,50,53,
      32,46,48,48,48,57,57,57,56,55,57,32,46,48,48,49,50,48,56,52,51,32,46,48,48,
      49,52,51,54,51,52,10,32,32,46,48,48,49,54,56,51,51,56,32,46,48,48,49,57,52,
      57,53,50,32,46,48,48,50,50,51,52,54,56,32,46,48,48,50,53,51,56,53,52,32,46,
      48,48,50,56,54,49,48,52,32,46,48,48,51,50,48,49,57,50,32,46,48,48,51,53,54,
      49,52,51,32,46,48,48,51,57,51,57,49,32,46,48,48,52,51,51,52,56,53,10,32,32,
      46,48,48,52,55,52,56,53,32,46,48,48,53,49,56,48,50,50,32,46,48,48,53,54,50,
      57,57,55,32,46,48,48,54,48,57,55,52,51,32,46,48,48,54,53,56,50,51,50,32,46,
      48,48,55,48,56,52,53,49,32,46,48,48,55,54,48,53,52,55,32,46,48,48,56,49,52,
      51,56,53,32,46,48,48,56,54,57,57,51,57,10,32,32,46,48,48,57,50,55,50,48,56,
      32,46,48,48,57,56,54,51,48,54,32,46,48,49,48,52,55,50,53,32,46,48,49,49,48,
      57,57,32,46,48,49,49,55,52,50,53,32,46,48,49,50,52,48,51,51,32,46,48,49,51,
      48,56,52,49,32,46,48,49,51,55,56,50,50,32,46,48,49,52,52,57,55,52,10,32,32,
      46,48,49,53,50,50,57,54,32,46,48,49,53,57,56,48,55,32,46,48,49,54,55,53,48,
      53,32,46,48,49,55,53,51,55,55,32,46,48,49,56,51,52,49,56,32,46,48,49,57,49,
      54,51,49,32,46,48,50,48,48,48,52,54,32,46,48,50,48,56,54,51,49,32,46,48,50,
      49,55,51,56,55,10,32,32,46,48,50,50,54,51,49,50,32,46,48,50,51,53,52,50,51,
      32,46,48,50,52,52,55,49,50,32,46,48,50,53,52,49,55,32,46,48,50,54,51,55,57,
      55,32,46,48,50,55,51,53,57,51,32,46,48,50,56,51,53,54,53,32,46,48,50,57,51,
      55,48,51,32,46,48,51,48,52,48,49,32,46,48,51,49,52,52,56,50,10,32,32,46,48,
      51,50,53,49,49,50,32,46,48,51,51,53,57,48,50,32,46,48,51,52,54,56,53,53,32,
      46,48,51,53,55,57,55,50,32,46,48,51,54,57,50,52,56,32,46,48,51,56,48,54,53,
      54,32,46,48,51,57,50,50,50,51,32,46,48,52,48,51,57,52,55,32,46,48,52,49,53,
      56,51,49,10,32,32,46,48,52,50,55,56,52,32,46,48,52,51,57,57,56,52,32,46,48,
      52,53,50,50,56,49,32,46,48,52,54,52,55,50,57,32,46,48,52,55,55,51,50,54,32,
      46,48,52,57,48,48,49,55,32,46,48,53,48,50,56,53,53,32,46,48,53,49,53,56,52,
      32,46,48,53,50,56,57,55,49,32,46,48,53,52,50,50,49,55,10,32,32,46,48,53,53,
      53,53,56,53,32,46,48,53,54,57,48,57,51,32,46,48,53,56,50,55,51,52,32,46,48,
      53,57,54,53,50,32,46,48,54,49,48,52,53,56,32,46,48,54,50,52,53,48,53,32,46,
      48,54,51,56,54,57,52,32,46,48,54,53,51,48,51,49,32,46,48,54,54,55,53,55,56,
      10,32,32,46,48,54,56,50,50,56,51,32,46,48,54,57,55,48,57,49,32,46,48,55,49,
      50,48,52,55,32,46,48,55,50,55,49,56,49,32,46,48,55,52,50,54,57,51,32,46,48,
      55,53,56,51,53,54,32,46,48,55,55,52,49,55,49,32,46,48,55,57,48,49,51,55,32,
      46,48,56,48,54,53,52,49,10,32,32,46,48,56,50,51,50,54,57,32,46,48,56,52,48,
      49,53,54,32,46,48,56,53,55,49,57,55,32,46,48,56,55,52,52,56,51,32,46,48,56,
      57,50,53,49,53,32,46,48,57,49,48,55,48,53,32,46,48,57,50,57,48,53,32,46,48,
      57,52,55,53,53,49,32,46,48,57,54,54,55,56,55,10,32,32,46,48,57,56,54,53,48,
      51,32,46,49,48,48,54,51,55,32,46,49,48,50,54,51,57,32,46,49,48,52,54,55,49,
      32,46,49,48,54,56,49,50,32,46,49,48,56,57,54,55,32,46,49,49,49,49,51,52,32,
      46,49,49,51,51,48,51,32,46,49,49,53,53,53,57,32,46,49,49,55,56,54,56,10,32,
      32,46,49,50,48,49,56,32,46,49,50,50,53,32,46,49,50,52,56,52,57,32,46,49,50,
      55,50,57,52,32,46,49,50,57,55,52,50,32,46,49,51,50,49,57,52,32,46,49,51,52,
      54,53,51,32,46,49,51,55,49,56,51,32,46,49,51,57,55,52,54,32,46,49,52,50,51,
      49,50,32,46,49,52,52,56,56,51,10,32,32,46,49,52,55,52,55,52,32,46,49,53,48,
      49,51,51,32,46,49,53,50,55,57,52,32,46,49,53,53,52,54,50,32,46,49,53,56,49,
      51,51,32,46,49,54,48,56,53,49,32,46,49,54,51,53,57,51,32,46,49,54,54,51,52,
      50,32,46,49,54,57,48,57,54,32,46,49,55,49,56,54,54,10,32,32,46,49,55,52,54,
      55,53,32,46,49,55,55,52,57,50,32,46,49,56,48,51,50,32,46,49,56,51,49,53,53,
      32,46,49,56,54,48,49,54,32,46,49,56,56,56,57,54,32,46,49,57,49,55,56,54,32,
      46,49,57,52,54,56,55,32,46,49,57,55,54,48,50,32,46,50,48,48,53,51,56,32,46,
      50,48,51,52,56,54,10,32,32,46,50,48,54,52,52,54,32,46,50,48,57,52,50,49,32,
      46,50,49,50,52,48,56,32,46,50,49,53,52,48,57,32,46,50,49,56,52,50,52,32,46,
      50,50,49,52,53,52,32,46,50,50,52,52,57,56,32,46,50,50,55,53,52,55,32,46,50,
      51,48,54,49,50,32,46,50,51,52,55,50,49,10,32,32,46,50,52,52,51,51,54,32,46,
      50,53,56,54,49,57,32,46,50,56,50,48,49,54,32,46,51,48,52,55,54,32,46,51,50,
      54,55,55,54,32,46,51,52,55,56,54,57,32,46,51,54,56,48,48,49,32,46,51,56,55,
      49,53,56,32,46,52,48,53,53,52,49,32,46,52,50,51,52,48,53,32,46,52,52,49,49,
      49,51,10,32,32,46,52,53,56,55,49,53,32,46,52,55,54,49,54,49,32,46,52,57,54,
      53,52,57,32,46,53,49,53,52,54,57,32,46,53,51,54,55,49,32,46,53,53,48,50,48,
      51,32,46,53,53,50,52,50,49,32,46,53,51,51,55,50,50,32,46,52,56,56,54,53,55,
      32,46,52,50,54,49,50,50,32,46,51,54,48,51,54,51,10,32,32,46,51,51,49,52,49,
      51,32,46,51,53,48,54,48,56,32,46,52,48,52,57,57,54,32,46,52,54,56,49,57,56,
      32,46,53,51,51,52,54,52,32,46,53,57,50,51,54,52,32,46,54,51,53,53,48,53,32,
      46,54,53,49,49,48,52,32,46,54,50,54,48,57,55,32,46,53,52,51,51,55,55,10,32,
      32,46,52,50,56,55,53,55,32,46,51,49,50,49,57,55,32,46,50,52,48,53,49,53,32,
      46,50,54,49,53,52,56,32,46,51,50,53,51,57,54,32,46,52,51,54,49,49,55,32,46,
      53,56,49,57,53,52,32,46,55,49,57,55,55,52,32,46,56,50,56,57,56,53,32,46,56,
      57,51,51,54,50,10,32,32,46,56,57,56,55,49,52,32,46,56,53,54,54,49,52,32,46,
      55,55,53,55,54,56,32,46,54,55,48,52,54,56,32,46,53,57,52,56,50,56,32,46,53,
      51,48,51,49,54,32,46,52,55,49,50,51,57,32,46,52,48,50,50,50,56,32,46,51,49,
      55,55,53,56,32,46,50,54,56,49,57,49,10,32,32,46,50,53,49,53,49,54,32,46,50,
      53,49,57,49,54,32,46,50,53,52,56,51,55,32,46,50,53,50,56,32,46,50,53,56,55,
      50,54,32,46,50,55,56,55,55,54,32,46,51,48,55,48,51,53,32,46,51,50,53,50,48,
      51,32,46,51,50,49,49,53,57,32,46,50,57,56,55,52,51,32,46,50,55,55,51,51,57,
      10,32,32,46,50,51,57,54,51,55,32,46,50,48,55,57,48,49,32,46,49,55,56,52,56,
      56,32,46,49,53,49,53,48,55,32,46,49,51,54,54,56,32,46,49,51,50,48,55,32,46,
      49,51,52,49,53,49,32,46,49,51,56,48,53,57,32,46,49,52,49,57,50,53,32,46,49,
      52,54,48,48,52,32,46,49,52,56,56,48,55,10,32,32,46,49,53,48,54,57,55,32,46,
      49,53,48,48,56,32,46,49,52,54,54,50,57,32,46,49,51,54,54,53,56,32,46,49,50,
      50,57,48,50,32,46,49,49,52,52,49,55,32,46,49,48,54,51,56,54,32,46,48,57,53,
      49,51,54,52,32,46,48,56,52,56,56,49,51,32,46,48,56,48,51,53,51,50,10,32,32,
      46,48,55,53,49,51,57,49,32,46,48,55,51,49,56,50,54,32,46,48,55,49,56,49,50,
      51,32,46,48,56,49,54,55,52,52,32,46,48,55,56,48,49,56,53,32,46,48,55,54,53,
      54,57,54,32,46,48,55,51,56,55,57,56,32,46,48,55,49,48,52,56,54,32,46,48,54,
      56,55,57,53,49,10,32,32,46,48,54,54,54,51,50,53,32,46,48,54,52,54,56,55,51,
      32,46,48,54,50,56,52,49,32,46,48,54,48,56,55,49,55,32,46,48,53,57,49,56,55,
      50,32,46,48,53,55,51,57,54,56,32,46,48,53,54,49,50,50,51,32,46,48,53,52,49,
      49,55,57,32,46,48,53,50,57,51,50,51,10,32,32,46,48,53,49,53,48,50,57,32,46,
      48,52,56,51,53,52,50,32,46,48,52,52,51,57,32,46,48,52,48,56,57,49,54,32,46,
      48,51,54,57,54,52,56,32,46,48,51,51,52,55,48,54,32,46,48,50,57,55,54,56,50,
      32,46,48,50,55,48,51,53,53,32,46,48,50,51,49,56,50,53,32,46,48,49,57,54,51,
      51,51,10,32,32,46,48,49,55,56,53,57,55,32,46,48,49,54,48,56,52,53,32,46,48,
      49,52,48,49,50,32,46,48,49,50,52,51,53,56,32,46,48,49,49,48,53,32,46,48,48,
      57,54,54,54,55,52,32,46,48,48,56,52,54,55,51,51,32,46,48,48,55,53,52,55,54,
      55,32,46,48,48,54,55,51,51,51,54,10,32,32,46,48,48,54,48,49,49,51,56,32,46,
      48,48,53,50,56,53,48,52,32,46,48,48,52,53,55,54,56,51,32,46,48,48,51,57,48,
      53,49,32,46,48,48,51,51,56,56,52,53,32,46,48,48,50,56,57,54,57,32,46,48,48,
      50,53,49,55,55,57,32,46,48,48,50,49,56,57,56,49,32,46,48,48,49,56,55,54,54,
      56,10,32,32,46,48,48,49,53,57,49,56,54,32,46,48,48,49,52,48,50,53,56,32,46,
      48,48,49,50,49,50,49,54,32,46,48,48,49,48,54,54,55,52,32,46,48,48,48,57,51,
      48,57,54,51,32,46,48,48,48,56,49,50,56,52,56,32,46,48,48,48,55,48,57,57,57,
      52,32,46,48,48,48,54,50,48,52,48,49,10,32,32,46,48,48,48,53,52,50,51,49,49,
      32,46,48,48,48,52,55,52,50,49,56,32,46,48,48,48,52,49,52,56,49,53,32,46,48,
      48,48,51,54,50,57,54,57,32,46,48,48,48,51,49,55,54,57,57,32,46,48,48,48,50,
      55,56,49,53,55,32,46,48,48,48,50,52,51,53,57,49,32,46,48,48,48,50,49,51,51,
      56,54,10,32,32,46,48,48,48,49,56,54,57,55,54,32,46,48,48,48,49,54,51,56,55,
      51,32,46,48,48,48,49,52,51,54,53,57,32,46,48,48,48,49,50,53,57,55,52,32,46,
      48,48,48,49,49,48,52,56,52,32,57,46,54,57,49,48,56,101,45,48,53,32,56,46,53,
      48,50,56,49,101,45,48,53,32,55,46,52,54,49,54,54,101,45,48,53,10,32,32,54,46,
      53,52,57,50,50,101,45,48,53,32,53,46,55,52,57,51,55,101,45,48,53,32,53,46,48,
      52,56,48,55,101,45,48,53,32,52,46,52,51,51,52,55,101,45,48,53,32,51,46,56,57,
      51,57,55,101,45,48,53,32,51,46,52,50,48,54,53,101,45,48,53,32,51,46,48,48,53,
      51,101,45,48,53,10,32,32,50,46,54,52,48,55,55,101,45,48,53,32,50,46,51,50,48,
      55,57,101,45,48,53,32,50,46,48,51,57,56,53,101,45,48,53,32,49,46,55,57,50,57,
      51,101,45,48,53,32,49,46,53,55,54,51,101,45,48,53,32,49,46,52,50,54,49,57,101,
      45,48,53,32,49,46,50,57,48,52,55,101,45,48,53,10,32,32,49,46,49,54,55,55,53,
      101,45,48,53,32,49,46,48,53,54,55,56,101,45,48,53,32,57,46,53,54,53,52,57,101,
      45,48,54,32,56,46,53,52,55,52,56,101,45,48,54,32,55,46,52,49,51,53,49,101,45,
      48,54,32,54,46,52,51,48,56,49,101,45,48,54,32,53,46,53,55,57,48,56,101,45,48,
      54,10,32,32,52,46,56,52,48,55,53,101,45,48,54,32,52,46,50,48,48,54,50,101,45,
      48,54,32,51,46,54,52,53,53,53,101,45,48,54,32,51,46,49,54,52,49,57,101,45,48,
      54,32,50,46,55,52,54,54,56,101,45,48,54,32,50,46,51,56,52,53,49,101,45,48,54,
      32,50,46,48,55,48,51,49,101,45,48,54,10,32,32,49,46,55,57,55,54,56,101,45,48,
      54,32,49,46,53,54,49,49,49,101,45,48,54,32,49,46,51,53,53,56,101,45,48,54,32,
      49,46,49,55,55,54,101,45,48,54,32,49,46,48,50,50,57,50,101,45,48,54,32,56,46,
      56,56,54,50,55,101,45,48,55,32,55,46,55,50,48,51,51,101,45,48,55,10,32,32,54,
      46,55,48,55,57,51,101,45,48,55,32,53,46,56,50,56,55,54,101,45,48,55,32,53,46,
      48,54,53,50,50,101,45,48,55,32,52,46,52,48,48,57,52,101,45,48,55,32,51,46,56,
      50,53,57,57,101,45,48,55,32,51,46,51,50,53,53,53,101,45,48,55,32,50,46,56,57,
      48,55,57,101,45,48,55,10,32,32,50,46,53,49,51,48,51,101,45,48,55,32,50,46,49,
      56,52,56,101,45,48,55,32,49,46,56,57,57,53,54,101,45,48,55,32,49,46,54,53,49,
      54,55,101,45,48,55,32,49,46,52,51,54,50,51,101,45,48,55,32,49,46,50,52,56,57,
      54,101,45,48,55,32,49,46,48,56,54,49,56,101,45,48,55,10,32,32,57,46,52,52,54,
      55,53,101,45,48,56,32,56,46,50,49,54,53,51,101,45,48,56,32,55,46,49,52,54,57,
      51,101,45,48,56,32,54,46,50,49,54,57,50,101,45,48,56,32,53,46,52,48,56,50,51,
      101,45,48,56,32,52,46,48,57,51,52,49,101,45,48,56,32,51,46,48,57,56,56,52,101,
      45,48,56,10,32,32,50,46,51,52,54,52,52,101,45,48,56,32,49,46,55,55,55,48,55,
      101,45,48,56,32,49,46,51,52,54,49,50,101,45,48,56,32,49,46,48,49,57,56,55,101,
      45,48,56,32,55,46,55,50,56,49,53,101,45,48,57,32,53,46,56,53,55,49,49,101,45,
      48,57,32,52,46,52,51,57,55,57,101,45,48,57,10,32,32,51,46,51,54,53,57,54,101,
      45,48,57,32,50,46,53,53,50,50,52,101,45,48,57,32,49,46,57,51,53,53,51,101,45,
      48,57,32,49,46,52,54,56,48,53,101,45,48,57,32,49,46,49,49,51,54,51,101,45,48,
      57,32,56,46,52,52,56,57,50,101,45,49,48,32,54,46,52,49,48,57,101,45,49,48,10,
      32,32,52,46,56,54,53,49,101,45,49,48,32,51,46,54,57,50,52,55,101,45,49,48,32,
      50,46,56,48,50,56,50,101,45,49,48,32,50,46,49,50,55,55,54,101,45,49,48,32,49,
      46,54,49,53,52,55,101,45,49,48,32,49,46,50,50,54,54,54,101,45,49,48,32,57,46,
      51,49,53,50,50,101,45,49,49,10,32,32,55,46,48,55,52,55,101,45,49,49,32,53,46,
      51,55,51,54,49,101,45,49,49,32,52,46,48,56,49,57,54,101,45,49,49,32,51,46,49,
      48,49,48,55,101,45,49,49,32,50,46,51,53,54,49,49,101,45,49,49,32,49,46,55,57,
      48,51,52,101,45,49,49,32,52,46,57,50,48,52,50,101,45,48,55,10,32,32,49,46,57,
      55,50,57,57,101,45,48,54,32,52,46,52,52,50,56,50,101,45,48,54,32,52,46,57,50,
      48,51,57,101,45,48,54,32,49,46,57,55,51,48,52,101,45,48,53,32,52,46,52,52,51,
      56,53,101,45,48,53,32,57,46,55,52,53,52,49,101,45,48,53,32,46,48,48,48,49,53,
      50,50,50,53,10,32,32,46,48,48,48,50,49,57,50,52,53,32,46,48,48,48,50,57,56,
      51,51,49,32,46,48,48,48,51,56,57,54,53,56,32,46,48,48,48,52,57,51,48,57,56,
      32,46,48,48,48,54,48,56,54,52,53,32,46,48,48,48,55,51,54,51,52,55,32,46,48,
      48,48,56,55,54,49,57,52,32,46,48,48,49,48,50,56,49,49,10,32,32,46,48,48,49,
      49,57,50,49,52,32,46,48,48,49,51,54,56,50,56,32,46,48,48,49,53,53,54,52,52,
      32,46,48,48,49,55,53,54,54,53,32,46,48,48,49,57,54,56,56,52,32,46,48,48,50,
      49,57,51,48,54,32,46,48,48,50,52,50,57,50,50,32,46,48,48,50,54,55,55,51,52,
      10,32,32,46,48,48,50,57,51,55,51,57,32,46,48,48,51,50,48,57,51,51,32,46,48,
      48,51,52,57,51,49,52,32,46,48,48,51,55,56,56,56,54,32,46,48,48,52,48,57,54,
      51,55,32,46,48,48,52,52,49,53,54,32,46,48,48,52,55,52,54,56,49,32,46,48,48,
      53,48,56,57,56,50,32,46,48,48,53,52,52,52,53,49,10,32,32,46,48,48,53,56,49,
      48,57,50,32,46,48,48,54,49,56,57,49,55,32,46,48,48,54,53,55,57,51,56,32,46,
      48,48,54,57,56,49,49,56,32,46,48,48,55,51,57,52,54,54,32,46,48,48,55,56,49,
      57,56,50,32,46,48,48,56,50,53,55,49,51,32,46,48,48,56,55,48,54,49,51,10,32,
      32,46,48,48,57,49,54,54,56,32,46,48,48,57,54,51,57,48,57,32,46,48,49,48,49,
      50,51,51,32,46,48,49,48,54,49,57,53,32,46,48,49,49,49,50,55,51,32,46,48,49,
      49,54,52,54,56,32,46,48,49,50,49,55,55,57,32,46,48,49,50,55,50,49,50,32,46,
      48,49,51,50,55,54,10,32,32,46,48,49,51,56,52,50,54,32,46,48,49,52,52,50,48,
      55,32,46,48,49,53,48,49,48,55,32,46,48,49,53,54,49,50,53,32,46,48,49,54,50,
      50,53,56,32,46,48,49,54,56,53,48,56,32,46,48,49,55,52,56,55,50,32,46,48,49,
      56,49,51,53,52,32,46,48,49,56,55,57,53,10,32,32,46,48,49,57,52,54,54,50,32,
      46,48,50,48,49,52,56,55,32,46,48,50,48,56,52,50,54,32,46,48,50,49,53,52,55,
      56,32,46,48,50,50,50,54,52,52,32,46,48,50,50,57,57,50,52,32,46,48,50,51,55,
      51,49,54,32,46,48,50,52,52,56,49,53,32,46,48,50,53,50,52,50,54,10,32,32,46,
      48,50,54,48,49,52,57,32,46,48,50,54,55,57,56,53,32,46,48,50,55,53,57,50,53,
      32,46,48,50,56,51,57,55,49,32,46,48,50,57,50,49,50,55,32,46,48,51,48,48,51,
      57,52,32,46,48,51,48,56,55,55,32,46,48,51,49,55,50,52,32,46,48,51,50,53,56,
      49,57,32,46,48,51,51,52,53,48,54,10,32,32,46,48,51,52,51,51,32,46,48,51,53,
      50,49,57,54,32,46,48,51,54,49,49,57,49,32,46,48,51,55,48,50,57,50,32,46,48,
      51,55,57,52,57,54,32,46,48,51,56,56,56,48,55,32,46,48,51,57,56,50,50,57,32,
      46,48,52,48,55,55,52,51,32,46,48,52,49,55,51,54,52,32,46,48,52,50,55,48,57,
      51,10,32,32,46,48,52,51,54,57,52,57,32,46,48,52,52,54,57,49,50,32,46,48,52,
      53,54,57,54,54,32,46,48,52,54,55,49,50,55,32,46,48,52,55,55,52,48,54,32,46,
      48,52,56,55,56,54,32,46,48,52,57,56,52,50,52,32,46,48,53,48,57,48,57,54,32,
      46,48,53,49,57,56,55,57,10,32,32,46,48,53,51,48,56,53,53,32,46,48,53,52,49,
      57,57,32,46,48,53,53,51,50,51,56,32,46,48,53,54,52,53,57,54,32,46,48,53,55,
      54,48,57,32,46,48,53,56,55,56,54,56,32,46,48,53,57,57,55,53,55,32,46,48,54,
      49,49,55,53,54,32,46,48,54,50,51,56,54,55,32,46,48,54,51,54,50,53,55,10,32,
      32,46,48,54,52,56,56,53,51,32,46,48,54,54,49,53,53,55,32,46,48,54,55,52,51,
      55,49,32,46,48,54,56,55,51,51,57,32,46,48,55,48,48,54,57,32,46,48,55,49,52,
      49,52,51,32,46,48,55,50,55,54,57,55,32,46,48,55,52,49,51,48,54,32,46,48,55,
      53,53,50,50,53,10,32,32,46,48,55,54,57,51,53,55,32,46,48,55,56,51,53,53,54,
      32,46,48,55,57,55,56,51,56,32,46,48,56,49,50,50,54,50,32,46,48,56,50,55,48,
      48,51,32,46,48,56,52,49,56,48,56,32,46,48,56,53,54,54,57,51,32,46,48,56,55,
      49,54,53,53,32,46,48,56,56,54,56,53,56,10,32,32,46,48,57,48,50,50,48,56,32,
      46,48,57,49,55,54,51,32,46,48,57,51,51,49,50,57,32,46,48,57,52,56,55,52,49,
      32,46,48,57,54,52,53,55,54,32,46,48,57,56,48,52,56,52,32,46,48,57,57,54,52,
      56,32,46,49,48,49,50,53,52,32,46,49,48,50,56,55,57,32,46,49,48,52,53,49,53,
      10,32,32,46,49,48,54,49,54,49,32,46,49,48,55,56,49,52,32,46,49,48,57,52,55,
      57,32,46,49,49,49,49,53,56,32,46,49,49,50,56,52,55,32,46,49,49,52,53,52,54,
      32,46,49,49,54,50,53,52,32,46,49,49,55,57,55,52,32,46,49,49,57,55,48,55,32,
      46,49,50,49,52,52,57,10,32,32,46,49,50,51,50,48,49,32,46,49,50,52,57,54,52,
      32,46,49,50,54,55,52,32,46,49,50,56,53,50,53,32,46,49,51,48,51,50,49,32,46,
      49,51,50,49,50,55,32,46,49,51,51,57,52,53,32,46,49,51,53,55,55,52,32,46,49,
      51,55,54,49,51,32,46,49,51,57,52,54,52,32,46,49,52,49,51,50,53,10,32,32,46,
      49,52,51,49,57,55,32,46,49,52,53,48,56,32,46,49,52,55,54,48,53,32,46,49,53,
      51,53,52,55,32,46,49,54,50,52,51,55,32,46,49,55,55,49,56,53,32,46,49,57,49,
      56,50,52,32,46,50,48,54,51,51,32,46,50,50,48,54,52,56,32,46,50,51,52,55,52,
      32,46,50,52,56,53,54,56,10,32,32,46,50,54,50,49,52,50,32,46,50,55,53,53,48,
      54,32,46,50,56,56,55,53,50,32,46,51,48,49,57,48,50,32,46,51,49,52,57,52,56,
      32,46,51,51,48,51,54,56,32,46,51,52,53,50,50,56,32,46,51,54,51,52,54,56,32,
      46,51,55,56,52,51,50,32,46,51,56,56,48,51,49,10,32,32,46,51,56,56,49,56,32,
      46,51,55,48,57,56,54,32,46,51,51,56,53,51,51,32,46,50,57,57,49,51,55,32,46,
      50,56,49,53,56,51,32,46,50,57,56,56,50,32,46,51,52,49,51,56,54,32,46,51,56,
      57,54,52,52,32,46,52,51,57,52,48,49,32,46,52,56,53,49,54,51,32,46,53,50,48,
      56,54,57,10,32,32,46,53,51,56,51,54,50,32,46,53,50,55,54,49,52,32,46,52,55,
      50,53,51,52,32,46,51,56,54,50,53,52,32,46,50,57,48,54,50,52,32,46,50,50,56,
      52,56,51,32,46,50,52,56,53,51,32,46,51,48,54,55,52,51,32,46,52,48,53,53,55,
      49,32,46,53,51,50,55,52,56,32,46,54,53,49,50,55,57,10,32,32,46,55,52,53,54,
      55,56,32,46,56,48,52,49,54,49,32,46,56,49,52,50,56,52,32,46,55,56,52,52,57,
      57,32,46,55,50,48,52,48,50,32,46,54,51,50,51,48,55,32,46,53,54,54,55,56,54,
      32,46,53,48,57,52,53,50,32,46,52,53,53,52,56,52,32,46,51,57,49,49,53,52,10,
      32,32,46,51,49,49,48,56,52,32,46,50,54,51,53,56,52,32,46,50,52,55,54,51,54,
      32,46,50,52,56,49,57,53,32,46,50,53,49,50,54,54,32,46,50,52,57,52,55,49,32,
      46,50,53,53,52,52,50,32,46,50,55,53,50,48,54,32,46,51,48,50,57,57,49,32,46,
      51,50,48,57,50,32,46,51,49,55,49,53,57,10,32,32,46,50,57,53,51,53,54,32,46,
      50,55,52,52,52,51,32,46,50,51,55,52,56,57,32,46,50,48,54,50,56,32,46,49,55,
      55,50,55,54,32,46,49,53,48,54,49,52,32,46,49,51,53,57,52,54,32,46,49,51,49,
      51,57,56,32,46,49,51,51,52,56,50,32,46,49,51,55,51,55,55,32,46,49,52,49,50,
      51,10,32,32,46,49,52,53,50,57,53,32,46,49,52,56,48,57,32,46,49,52,57,57,55,
      56,32,46,49,52,57,51,56,53,32,46,49,52,53,57,55,49,32,46,49,51,54,48,56,49,
      32,46,49,50,50,52,50,52,32,46,49,49,51,57,57,53,32,46,49,48,54,48,49,52,32,
      46,48,57,52,56,50,56,54,10,32,32,46,48,56,52,54,50,55,52,32,46,48,56,48,49,
      50,49,56,32,46,48,55,52,57,51,51,50,32,46,48,55,50,57,56,54,52,32,46,48,55,
      49,54,50,52,52,32,46,48,56,49,52,52,57,56,32,46,48,55,55,56,49,50,50,32,46,
      48,55,54,51,55,48,51,32,46,48,55,51,54,57,51,49,10,32,32,46,48,55,48,56,55,
      52,55,32,46,48,54,56,54,51,49,32,46,48,54,54,52,55,55,54,32,46,48,54,52,53,
      52,48,51,32,46,48,54,50,55,48,49,51,32,46,48,54,48,55,51,57,53,32,46,48,53,
      57,48,54,49,51,32,46,48,53,55,50,55,55,52,32,46,48,53,54,48,48,55,53,10,32,
      32,46,48,53,52,48,49,32,46,48,53,50,56,50,56,52,32,46,48,53,49,52,48,51,55,
      32,46,48,52,56,50,54,53,49,32,46,48,52,52,51,49,50,54,32,46,48,52,48,56,50,
      51,56,32,46,48,51,54,57,48,55,51,32,46,48,51,51,52,50,49,54,32,46,48,50,57,
      55,50,55,52,32,46,48,50,55,48,48,48,50,10,32,32,46,48,50,51,49,53,52,54,32,
      46,48,49,57,54,49,52,49,32,46,48,49,55,56,52,50,57,32,46,48,49,54,48,55,32,
      46,48,49,52,32,46,48,49,50,52,50,53,54,32,46,48,49,49,48,52,49,51,32,46,48,
      48,57,54,53,57,52,54,32,46,48,48,56,52,54,49,50,32,46,48,48,55,53,52,50,51,
      57,10,32,32,46,48,48,54,55,50,56,56,50,32,46,48,48,54,48,48,55,52,50,32,46,
      48,48,53,50,56,49,54,55,32,46,48,48,52,53,55,52,48,50,32,46,48,48,51,57,48,
      50,56,32,46,48,48,51,51,56,54,53,50,32,46,48,48,50,56,57,53,51,32,46,48,48,
      50,53,49,54,52,52,32,46,48,48,50,49,56,56,54,55,10,32,32,46,48,48,49,56,55,
      53,55,51,32,46,48,48,49,53,57,49,48,56,32,46,48,48,49,52,48,49,57,32,46,48,
      48,49,50,49,49,53,57,32,46,48,48,49,48,54,54,50,53,32,46,48,48,48,57,51,48,
      53,52,52,32,46,48,48,48,56,49,50,52,57,32,46,48,48,48,55,48,57,54,56,55,10,
      32,32,46,48,48,48,54,50,48,49,51,56,32,46,48,48,48,53,52,50,48,56,52,32,46,
      48,48,48,52,55,52,48,50,53,32,46,48,48,48,52,49,52,54,52,56,32,46,48,48,48,
      51,54,50,56,50,53,32,46,48,48,48,51,49,55,53,55,54,32,46,48,48,48,50,55,56,
      48,52,57,32,46,48,48,48,50,52,51,52,57,57,10,32,32,46,48,48,48,50,49,51,51,
      48,55,32,46,48,48,48,49,56,54,57,48,55,32,46,48,48,48,49,54,51,56,49,52,32,
      46,48,48,48,49,52,51,54,48,55,32,46,48,48,48,49,50,53,57,51,32,46,48,48,48,
      49,49,48,52,52,53,32,57,46,54,56,55,55,51,101,45,48,53,32,56,46,52,57,57,57,
      49,101,45,48,53,10,32,32,55,46,52,53,57,49,52,101,45,48,53,32,54,46,53,52,55,
      48,52,101,45,48,53,32,53,46,55,52,55,52,54,101,45,48,53,32,53,46,48,52,54,52,
      50,101,45,48,53,32,52,46,52,51,50,48,52,101,45,48,53,32,51,46,56,57,50,55,49,
      101,45,48,53,32,51,46,52,49,57,53,54,101,45,48,53,10,32,32,51,46,48,48,52,51,
      54,101,45,48,53,32,50,46,54,51,57,57,53,101,45,48,53,32,50,46,51,50,48,48,54,
      101,45,48,53,32,50,46,48,51,57,50,50,101,45,48,53,32,49,46,55,57,50,51,57,101,
      45,48,53,32,49,46,53,55,53,56,51,101,45,48,53,32,49,46,52,50,53,55,54,101,45,
      48,53,10,32,32,49,46,50,57,48,48,57,101,45,48,53,32,49,46,49,54,55,52,49,101,
      45,48,53,32,49,46,48,53,54,52,55,101,45,48,53,32,57,46,53,54,50,54,55,101,45,
      48,54,32,56,46,53,52,52,57,56,101,45,48,54,32,55,46,52,49,49,51,55,101,45,48,
      54,32,54,46,52,50,56,57,55,101,45,48,54,10,32,32,53,46,53,55,55,52,57,101,45,
      48,54,32,52,46,56,51,57,51,57,101,45,48,54,32,52,46,49,57,57,52,52,101,45,48,
      54,32,51,46,54,52,52,53,52,101,45,48,54,32,51,46,49,54,51,51,50,101,45,48,54,
      32,50,46,55,52,53,57,51,101,45,48,54,32,50,46,51,56,51,56,54,101,45,48,54,10,
      32,32,50,46,48,54,57,55,52,101,45,48,54,32,49,46,55,57,55,50,101,45,48,54,32,
      49,46,53,54,48,54,57,101,45,48,54,32,49,46,51,53,53,52,52,101,45,48,54,32,49,
      46,49,55,55,50,57,101,45,48,54,32,49,46,48,50,50,54,53,101,45,48,54,32,56,46,
      56,56,51,57,50,101,45,48,55,10,32,32,55,46,55,49,56,50,56,101,45,48,55,32,54,
      46,55,48,54,49,54,101,45,48,55,32,53,46,56,50,55,50,53,101,45,48,55,32,53,46,
      48,54,51,57,50,101,45,48,55,32,52,46,51,57,57,56,49,101,45,48,55,32,51,46,56,
      50,53,101,45,48,55,32,51,46,51,50,52,55,101,45,48,55,10,32,32,50,46,56,57,48,
      48,53,101,45,48,55,32,50,46,53,49,50,52,49,101,45,48,55,32,50,46,49,56,52,50,
      54,101,45,48,55,32,49,46,56,57,57,48,57,101,45,48,55,32,49,46,54,53,49,50,55,
      101,45,48,55,32,49,46,52,51,53,56,55,101,45,48,55,32,49,46,50,52,56,54,54,101,
      45,48,55,10,32,32,49,46,48,56,53,57,50,101,45,48,55,32,57,46,52,52,52,52,57,
      101,45,48,56,32,56,46,50,49,52,53,53,101,45,48,56,32,55,46,49,52,53,49,57,101,
      45,48,56,32,54,46,50,49,53,52,49,101,45,48,56,32,53,46,52,48,54,57,51,101,45,
      48,56,32,52,46,48,57,50,52,53,101,45,48,56,10,32,32,51,46,48,57,56,49,101,45,
      48,56,32,50,46,51,52,53,56,57,101,45,48,56,32,49,46,55,55,54,54,54,101,45,48,
      56,32,49,46,51,52,53,56,49,101,45,48,56,32,49,46,48,49,57,54,51,101,45,48,56,
      32,55,46,55,50,54,51,56,101,45,48,57,32,53,46,56,53,53,55,56,101,45,48,57,10,
      32,32,52,46,52,51,56,55,55,101,45,48,57,32,51,46,51,54,53,50,101,45,48,57,32,
      50,46,53,53,49,54,56,101,45,48,57,32,49,46,57,51,53,49,101,45,48,57,32,49,46,
      52,54,55,55,51,101,45,48,57,32,49,46,49,49,51,51,57,101,45,48,57,32,56,46,52,
      52,55,49,101,45,49,48,10,32,32,54,46,52,48,57,53,101,45,49,48,32,52,46,56,54,
      52,48,52,101,45,49,48,32,51,46,54,57,49,54,56,101,45,49,48,32,50,46,56,48,50,
      50,51,101,45,49,48,32,50,46,49,50,55,51,101,45,49,48,32,49,46,54,49,53,49,50,
      101,45,49,48,32,49,46,50,50,54,51,57,101,45,49,48,10,32,32,57,46,51,49,51,49,
      54,101,45,49,49,32,55,46,48,55,51,49,52,101,45,49,49,32,53,46,51,55,50,52,51,
      101,45,49,49,32,52,46,48,56,49,48,53,101,45,49,49,32,51,46,49,48,48,51,56,101,
      45,49,49,32,50,46,51,53,53,53,57,101,45,49,49,32,49,46,55,56,57,57,53,101,45,
      49,49,10,32,32,50,46,56,53,57,51,57,101,45,48,55,32,49,46,49,52,54,53,57,101,
      45,48,54,32,50,46,53,56,50,48,51,101,45,48,54,32,50,46,56,53,57,54,101,45,48,
      54,32,49,46,49,52,54,57,57,101,45,48,53,32,50,46,53,56,52,53,54,101,45,48,53,
      32,52,46,53,57,57,49,54,101,45,48,53,10,32,32,57,46,48,56,48,49,101,45,48,53,
      32,46,48,48,48,49,51,48,56,56,55,32,46,48,48,48,49,55,56,50,54,55,32,46,48,
      48,48,50,51,51,48,56,51,32,46,48,48,48,50,57,53,51,32,46,48,48,48,51,54,52,
      57,53,52,32,46,48,48,48,52,52,50,49,50,50,32,46,48,48,48,53,50,54,56,52,56,
      10,32,32,46,48,48,48,54,49,57,49,52,50,32,46,48,48,48,55,49,57,48,54,55,32,
      46,48,48,48,56,50,54,54,54,53,32,46,48,48,48,57,52,49,57,53,52,32,46,48,48,
      49,48,54,53,48,49,32,46,48,48,49,49,57,53,56,51,32,46,48,48,49,51,51,52,52,
      49,32,46,48,48,49,52,56,48,56,10,32,32,46,48,48,49,54,51,53,48,57,32,46,48,
      48,49,55,57,55,51,32,46,48,48,49,57,54,55,51,32,46,48,48,50,49,52,53,49,49,
      32,46,48,48,50,51,51,48,57,32,46,48,48,50,53,50,52,54,51,32,46,48,48,50,55,
      50,54,51,32,46,48,48,50,57,51,53,53,54,32,46,48,48,51,49,53,50,55,56,10,32,
      32,46,48,48,51,51,55,55,57,51,32,46,48,48,51,54,49,49,48,55,32,46,48,48,51,
      56,53,49,56,52,32,46,48,48,52,49,48,48,51,50,32,46,48,48,52,51,53,54,54,56,
      32,46,48,48,52,54,50,48,57,56,32,46,48,48,52,56,57,51,50,49,32,46,48,48,53,
      49,55,50,54,54,10,32,32,46,48,48,53,52,54,48,48,49,32,46,48,48,53,55,53,53,
      51,32,46,48,48,54,48,53,56,53,49,32,46,48,48,54,51,54,57,49,54,32,46,48,48,
      54,54,56,55,51,57,32,46,48,48,55,48,49,51,53,55,32,46,48,48,55,51,52,55,53,
      57,32,46,48,48,55,54,56,57,52,55,32,46,48,48,56,48,51,56,54,54,10,32,32,46,
      48,48,56,51,57,53,54,55,32,46,48,48,56,55,54,48,54,52,32,46,48,48,57,49,51,
      51,52,52,32,46,48,48,57,53,49,51,57,53,32,46,48,48,57,57,48,50,49,49,32,46,
      48,49,48,50,57,56,50,32,46,48,49,48,55,48,50,49,32,46,48,49,49,49,49,51,57,
      32,46,48,49,49,53,51,51,54,10,32,32,46,48,49,49,57,54,49,32,46,48,49,50,51,
      57,54,52,32,46,48,49,50,56,51,57,54,32,46,48,49,51,50,57,48,57,32,46,48,49,
      51,55,53,48,49,32,46,48,49,52,50,49,55,51,32,46,48,49,52,54,57,50,52,32,46,
      48,49,53,49,55,53,51,32,46,48,49,53,54,54,54,55,10,32,32,46,48,49,54,49,54,
      54,32,46,48,49,54,54,55,51,49,32,46,48,49,55,49,56,56,50,32,46,48,49,55,55,
      49,49,54,32,46,48,49,56,50,52,51,51,32,46,48,49,56,55,56,50,56,32,46,48,49,
      57,51,51,48,50,32,46,48,49,57,56,56,53,55,32,46,48,50,48,52,52,57,54,10,32,
      32,46,48,50,49,48,50,49,53,32,46,48,50,49,54,48,49,50,32,46,48,50,50,49,56,
      57,32,46,48,50,50,55,56,52,56,32,46,48,50,51,51,56,56,55,32,46,48,50,52,48,
      48,48,53,32,46,48,50,52,54,50,48,49,32,46,48,50,53,50,52,55,54,32,46,48,50,
      53,56,56,51,49,10,32,32,46,48,50,54,53,50,54,49,32,46,48,50,55,49,55,55,32,
      46,48,50,55,56,51,53,56,32,46,48,50,56,53,48,50,50,32,46,48,50,57,49,55,53,
      56,32,46,48,50,57,56,53,54,57,32,46,48,51,48,53,52,53,56,32,46,48,51,49,50,
      52,50,52,32,46,48,51,49,57,52,53,53,10,32,32,46,48,51,50,54,53,54,52,32,46,
      48,51,51,51,55,53,50,32,46,48,51,52,49,48,50,32,46,48,51,52,56,51,52,56,32,
      46,48,51,53,53,55,52,50,32,46,48,51,54,51,50,49,54,32,46,48,51,55,48,55,54,
      57,32,46,48,51,55,56,51,57,52,32,46,48,51,56,54,48,53,56,10,32,32,46,48,51,
      57,51,56,48,49,32,46,48,52,48,49,54,50,51,32,46,48,52,48,57,53,50,51,32,46,
      48,52,49,55,52,54,52,32,46,48,52,50,53,52,54,49,32,46,48,52,51,51,53,51,56,
      32,46,48,52,52,49,54,57,52,32,46,48,52,52,57,57,49,57,32,46,48,52,53,56,49,
      54,10,32,32,46,48,52,54,54,52,56,50,32,46,48,52,55,52,56,56,51,32,46,48,52,
      56,51,51,52,55,32,46,48,52,57,49,56,51,49,32,46,48,53,48,48,51,54,53,32,46,
      48,53,48,56,57,55,50,32,46,48,53,49,55,54,53,54,32,46,48,53,50,54,52,48,51,
      32,46,48,53,51,53,49,51,54,10,32,32,46,48,53,52,51,57,52,55,32,46,48,53,53,
      50,56,51,54,32,46,48,53,54,49,56,48,54,32,46,48,53,55,48,55,56,50,32,46,48,
      53,55,57,56,48,49,32,46,48,53,56,56,57,48,49,32,46,48,53,57,56,48,56,52,32,
      46,48,54,48,55,51,51,52,32,46,48,54,49,54,53,55,50,10,32,32,46,48,54,50,53,
      56,57,56,32,46,48,54,51,53,51,49,54,32,46,48,54,52,52,56,48,56,32,46,48,54,
      53,52,51,51,32,46,48,54,54,51,57,48,51,32,46,48,54,55,51,53,55,50,32,46,48,
      54,56,51,51,50,50,32,46,48,54,57,51,49,52,56,32,46,48,55,48,50,57,57,54,10,
      32,32,46,48,55,49,50,57,51,51,32,46,48,55,50,50,57,54,53,32,46,48,55,51,51,
      48,55,57,32,46,48,55,52,51,50,52,50,32,46,48,55,53,51,52,56,52,32,46,48,55,
      54,51,56,48,56,32,46,48,55,55,52,50,50,32,46,48,55,56,52,55,49,52,32,46,48,
      55,57,53,50,55,55,10,32,32,46,48,56,48,53,57,50,32,46,48,56,49,54,54,52,57,
      32,46,48,56,50,55,52,54,51,32,46,48,56,51,56,51,54,54,32,46,48,56,52,57,51,
      53,51,32,46,48,56,54,48,52,49,56,32,46,48,56,55,49,53,54,55,32,46,48,56,56,
      50,56,48,53,32,46,48,56,57,52,49,52,57,10,32,32,46,48,57,48,53,53,55,52,32,
      46,48,57,50,48,57,49,50,32,46,48,57,53,55,50,50,55,32,46,49,48,49,50,48,49,
      32,46,49,49,48,52,50,56,32,46,49,49,57,56,48,52,32,46,49,50,57,51,51,50,32,
      46,49,51,57,48,50,54,32,46,49,52,56,56,53,50,32,46,49,53,56,55,54,53,10,32,
      32,46,49,54,56,54,57,50,32,46,49,55,56,53,55,54,32,46,49,56,56,51,55,53,32,
      46,49,57,56,48,57,53,32,46,50,48,55,55,53,51,32,46,50,49,57,50,56,49,32,46,
      50,51,48,55,51,53,32,46,50,52,53,55,52,32,46,50,53,57,57,52,51,32,46,50,55,
      50,50,50,50,32,46,50,56,49,56,50,50,10,32,32,46,50,56,48,55,48,49,32,46,50,
      54,55,52,49,57,32,46,50,52,54,51,55,52,32,46,50,51,55,48,56,57,32,46,50,53,
      50,51,54,32,46,50,56,53,50,53,52,32,46,51,50,49,54,57,56,32,46,51,53,57,49,
      55,49,32,46,51,57,52,52,50,55,32,46,52,50,51,55,51,52,32,46,52,52,49,55,49,
      50,10,32,32,46,52,52,48,55,52,51,32,46,52,48,54,57,54,52,32,46,51,52,52,53,
      50,53,32,46,50,54,56,49,50,53,32,46,50,49,53,52,54,50,32,46,50,51,52,52,51,
      52,32,46,50,56,54,56,52,57,32,46,51,55,51,55,55,51,32,46,52,56,50,57,56,54,
      32,46,53,56,51,53,49,57,10,32,32,46,54,54,52,48,57,53,32,46,55,49,54,55,48,
      49,32,46,55,51,48,53,53,32,46,55,49,49,53,50,49,32,46,54,54,50,57,51,55,32,
      46,53,57,49,53,55,51,32,46,53,51,54,50,53,56,32,46,52,56,54,51,55,56,32,46,
      52,51,55,56,55,32,46,51,55,56,54,51,53,32,46,51,48,51,52,52,55,10,32,32,46,
      50,53,56,50,55,55,32,46,50,52,51,49,53,52,32,46,50,52,51,56,57,49,32,46,50,
      52,55,49,51,50,32,46,50,52,53,54,49,32,46,50,53,49,54,50,57,32,46,50,55,49,
      48,54,51,32,46,50,57,56,51,48,50,32,46,51,49,53,57,53,51,32,46,51,49,50,53,
      49,52,32,46,50,57,49,52,49,53,10,32,32,46,50,55,49,48,54,56,32,46,50,51,52,
      57,56,49,32,46,50,48,52,51,56,52,32,46,49,55,53,56,53,53,32,46,49,52,57,53,
      54,54,32,46,49,51,53,48,56,53,32,46,49,51,48,54,48,56,32,46,49,51,50,54,57,
      54,32,46,49,51,54,53,55,54,32,46,49,52,48,52,49,52,10,32,32,46,49,52,52,52,
      54,51,32,46,49,52,55,50,52,56,32,46,49,52,57,49,51,52,32,46,49,52,56,53,54,
      57,32,46,49,52,53,49,57,54,32,46,49,51,53,52,48,52,32,46,49,50,49,56,54,52,
      32,46,49,49,51,52,57,57,32,46,49,48,53,53,55,54,32,46,48,57,52,52,54,54,52,
      10,32,32,46,48,56,52,51,50,56,52,32,46,48,55,57,56,52,57,50,32,46,48,55,52,
      54,57,48,53,32,46,48,55,50,55,53,53,51,32,46,48,55,49,52,48,51,49,32,46,48,
      56,49,49,56,53,50,32,46,48,55,55,53,54,57,50,32,46,48,55,54,49,51,53,53,32,
      46,48,55,51,52,55,51,50,10,32,32,46,48,55,48,54,54,57,55,32,46,48,54,56,52,
      51,55,51,32,46,48,54,54,50,57,52,53,32,46,48,54,52,51,54,54,52,32,46,48,54,
      50,53,51,54,49,32,46,48,54,48,53,56,51,52,32,46,48,53,56,57,49,50,55,32,46,
      48,53,55,49,51,54,53,32,46,48,53,53,56,55,49,57,10,32,32,46,48,53,51,56,56,
      50,55,32,46,48,53,50,55,48,53,56,32,46,48,53,49,50,56,54,56,32,46,48,52,56,
      49,54,32,46,48,52,52,50,50,49,52,32,46,48,52,48,55,52,52,49,32,46,48,51,54,
      56,51,57,53,32,46,48,51,51,51,54,51,54,32,46,48,50,57,54,55,57,32,46,48,50,
      54,57,53,56,54,10,32,32,46,48,50,51,49,50,49,53,32,46,48,49,57,53,56,52,50,
      32,46,48,49,55,56,49,56,52,32,46,48,49,54,48,53,48,53,32,46,48,49,51,57,56,
      53,57,32,46,48,49,50,52,49,52,32,46,48,49,49,48,51,49,52,32,46,48,48,57,54,
      53,49,49,56,32,46,48,48,56,52,53,52,50,53,10,32,32,46,48,48,55,53,51,54,52,
      49,32,46,48,48,54,55,50,51,54,53,32,46,48,48,54,48,48,50,57,55,32,46,48,48,
      53,50,55,55,57,32,46,48,48,52,53,55,48,56,56,32,46,48,48,51,57,48,48,50,49,
      32,46,48,48,51,51,56,52,51,53,32,46,48,48,50,56,57,51,53,49,32,46,48,48,50,
      53,49,52,57,51,10,32,32,46,48,48,50,49,56,55,52,32,46,48,48,49,56,55,52,54,
      55,32,46,48,48,49,53,57,48,50,49,32,46,48,48,49,52,48,49,49,53,32,46,48,48,
      49,50,49,48,57,55,32,46,48,48,49,48,54,53,55,49,32,46,48,48,48,57,51,48,48,
      56,52,32,46,48,48,48,56,49,50,48,57,52,10,32,32,46,48,48,48,55,48,57,51,53,
      32,46,48,48,48,54,49,57,56,52,56,32,46,48,48,48,53,52,49,56,51,55,32,46,48,
      48,48,52,55,51,56,49,50,32,46,48,48,48,52,49,52,52,54,53,32,46,48,48,48,51,
      54,50,54,54,56,32,46,48,48,48,51,49,55,52,52,32,46,48,48,48,50,55,55,57,51,
      51,10,32,32,46,48,48,48,50,52,51,51,57,57,32,46,48,48,48,50,49,51,50,50,49,
      32,46,48,48,48,49,56,54,56,51,51,32,46,48,48,48,49,54,51,55,52,57,32,46,48,
      48,48,49,52,51,53,53,49,32,46,48,48,48,49,50,53,56,56,50,32,46,48,48,48,49,
      49,48,52,48,51,32,57,46,54,56,52,49,51,101,45,48,53,10,32,32,56,46,52,57,54,
      55,57,101,45,48,53,32,55,46,52,53,54,52,52,101,45,48,53,32,54,46,53,52,52,54,
      55,101,45,48,53,32,53,46,55,52,53,52,52,101,45,48,53,32,53,46,48,52,52,54,54,
      101,45,48,53,32,52,46,52,51,48,52,57,101,45,48,53,32,51,46,56,57,49,51,56,101,
      45,48,53,10,32,32,51,46,52,49,56,52,101,45,48,53,32,51,46,48,48,51,51,53,101,
      45,48,53,32,50,46,54,51,57,48,55,101,45,48,53,32,50,46,51,49,57,51,101,45,48,
      53,32,50,46,48,51,56,53,54,101,45,48,53,32,49,46,55,57,49,56,50,101,45,48,53,
      32,49,46,53,55,53,51,50,101,45,48,53,10,32,32,49,46,52,50,53,51,49,101,45,48,
      53,32,49,46,50,56,57,54,56,101,45,48,53,32,49,46,49,54,55,48,52,101,45,48,53,
      32,49,46,48,53,54,49,52,101,45,48,53,32,57,46,53,53,57,55,49,101,45,48,54,32,
      56,46,53,52,50,51,52,101,45,48,54,32,55,46,52,48,57,49,101,45,48,54,10,32,32,
      54,46,52,50,55,48,51,101,45,48,54,32,53,46,53,55,53,56,51,101,45,48,54,32,52,
      46,56,51,55,57,52,101,45,48,54,32,52,46,49,57,56,50,101,45,48,54,32,51,46,54,
      52,51,52,55,101,45,48,54,32,51,46,49,54,50,52,101,45,48,54,32,50,46,55,52,53,
      49,51,101,45,48,54,10,32,32,50,46,51,56,51,49,55,101,45,48,54,32,50,46,48,54,
      57,49,53,101,45,48,54,32,49,46,55,57,54,54,57,101,45,48,54,32,49,46,53,54,48,
      50,53,101,45,48,54,32,49,46,51,53,53,48,54,101,45,48,54,32,49,46,49,55,54,57,
      54,101,45,48,54,32,49,46,48,50,50,51,54,101,45,48,54,10,32,32,56,46,56,56,49,
      52,55,101,45,48,55,32,55,46,55,49,54,49,56,101,45,48,55,32,54,46,55,48,52,51,
      53,101,45,48,55,32,53,46,56,50,53,54,54,101,45,48,55,32,53,46,48,54,50,53,52,
      101,45,48,55,32,52,46,51,57,56,54,53,101,45,48,55,32,51,46,56,50,51,57,56,101,
      45,48,55,10,32,32,51,46,51,50,51,56,51,101,45,48,55,32,50,46,56,56,57,51,101,
      45,48,55,32,50,46,53,49,49,55,53,101,45,48,55,32,50,46,49,56,51,54,57,101,45,
      48,55,32,49,46,56,57,56,54,101,45,48,55,32,49,46,54,53,48,56,52,101,45,48,55,
      32,49,46,52,51,53,53,49,101,45,48,55,10,32,32,49,46,50,52,56,51,52,101,45,48,
      55,32,49,46,48,56,53,54,53,101,45,48,55,32,57,46,52,52,50,49,101,45,48,56,32,
      56,46,50,49,50,52,56,101,45,48,56,32,55,46,49,52,51,52,50,101,45,48,56,32,54,
      46,50,49,51,56,56,101,45,48,56,32,53,46,52,48,53,53,57,101,45,48,56,10,32,32,
      52,46,48,57,49,52,51,101,45,48,56,32,51,46,48,57,55,51,53,101,45,48,56,32,50,
      46,51,52,53,51,50,101,45,48,56,32,49,46,55,55,54,50,51,101,45,48,56,32,49,46,
      51,52,53,52,57,101,45,48,56,32,49,46,48,49,57,51,56,101,45,48,56,32,55,46,55,
      50,52,53,53,101,45,48,57,10,32,32,53,46,56,53,52,52,49,101,45,48,57,32,52,46,
      52,51,55,55,53,101,45,48,57,32,51,46,51,54,52,52,51,101,45,48,57,32,50,46,53,
      53,49,49,101,45,48,57,32,49,46,57,51,52,54,55,101,45,48,57,32,49,46,52,54,55,
      52,101,45,48,57,32,49,46,49,49,51,49,52,101,45,48,57,10,32,32,56,46,52,52,53,
      50,51,101,45,49,48,32,54,46,52,48,56,48,56,101,45,49,48,32,52,46,56,54,50,57,
      54,101,45,49,48,32,51,46,54,57,48,56,54,101,45,49,48,32,50,46,56,48,49,54,49,
      101,45,49,48,32,50,46,49,50,54,56,51,101,45,49,48,32,49,46,54,49,52,55,53,101,
      45,49,48,10,32,32,49,46,50,50,54,49,49,101,45,49,48,32,57,46,51,49,49,48,57,
      101,45,49,49,32,55,46,48,55,49,53,54,101,45,49,49,32,53,46,51,55,49,50,50,101,
      45,49,49,32,52,46,48,56,48,49,51,101,45,49,49,32,51,46,48,57,57,55,101,45,49,
      49,32,50,46,51,53,53,48,56,101,45,49,49,10,32,32,49,46,55,56,57,53,54,101,45,
      49,49,32,49,46,55,54,50,51,101,45,48,55,32,55,46,48,54,54,56,49,101,45,48,55,
      32,49,46,53,57,49,52,53,101,45,48,54,32,49,46,55,54,50,53,51,101,45,48,54,32,
      55,46,48,55,48,56,53,101,45,48,54,32,49,46,53,57,51,56,49,101,45,48,53,10,32,
      32,50,46,56,51,55,53,54,101,45,48,53,32,53,46,55,50,54,49,52,101,45,48,53,32,
      56,46,50,53,57,51,101,45,48,53,32,46,48,48,48,49,49,50,53,54,54,32,46,48,48,
      48,49,52,55,50,56,57,32,46,48,48,48,49,56,54,55,53,55,32,46,48,48,48,50,51,
      49,48,49,50,32,46,48,48,48,50,56,48,49,50,54,10,32,32,46,48,48,48,51,51,52,
      49,52,56,32,46,48,48,48,51,57,51,49,49,49,32,46,48,48,48,52,53,55,48,55,50,
      32,46,48,48,48,53,50,54,48,55,56,32,46,48,48,48,54,48,48,49,55,53,32,46,48,
      48,48,54,55,57,52,51,51,32,46,48,48,48,55,54,51,56,56,57,32,46,48,48,48,56,
      53,51,52,57,52,10,32,32,46,48,48,48,57,52,56,51,54,32,46,48,48,49,48,52,56,
      53,54,32,46,48,48,49,49,53,52,49,52,32,46,48,48,49,50,54,52,57,56,32,46,48,
      48,49,51,56,49,48,56,32,46,48,48,49,53,48,50,54,51,32,46,48,48,49,54,50,57,
      54,52,32,46,48,48,49,55,54,50,49,32,46,48,48,49,56,57,57,53,55,10,32,32,46,
      48,48,50,48,52,50,53,50,32,46,48,48,50,49,57,48,57,52,32,46,48,48,50,51,52,
      52,56,57,32,46,48,48,50,53,48,51,57,50,32,46,48,48,50,54,54,56,49,49,32,46,
      48,48,50,56,51,55,55,52,32,46,48,48,51,48,49,50,56,55,32,46,48,48,51,49,57,
      51,52,55,10,32,32,46,48,48,51,51,55,56,54,50,32,46,48,48,51,53,54,57,50,50,
      32,46,48,48,51,55,54,53,51,32,46,48,48,51,57,54,54,56,55,32,46,48,48,52,49,
      55,51,51,32,46,48,48,52,51,56,52,55,51,32,46,48,48,52,54,48,49,54,53,32,46,
      48,48,52,56,50,52,32,46,48,48,53,48,53,49,55,55,10,32,32,46,48,48,53,50,56,
      52,49,51,32,46,48,48,53,53,50,49,57,32,46,48,48,53,55,54,53,49,56,32,46,48,
      48,54,48,49,51,56,57,32,46,48,48,54,50,54,55,55,53,32,46,48,48,54,53,50,54,
      55,53,32,46,48,48,54,55,57,49,50,51,32,46,48,48,55,48,54,49,50,32,46,48,48,
      55,51,51,54,54,53,10,32,32,46,48,48,55,54,49,55,51,56,32,46,48,48,55,57,48,
      51,53,57,32,46,48,48,56,49,57,53,51,53,32,46,48,48,56,52,57,50,53,57,32,46,
      48,48,56,55,57,53,53,52,32,46,48,48,57,49,48,52,49,53,32,46,48,48,57,52,49,
      56,51,51,32,46,48,48,57,55,51,56,48,57,10,32,32,46,48,49,48,48,54,51,52,32,
      46,48,49,48,51,57,53,50,32,46,48,49,48,55,51,50,52,32,46,48,49,49,48,55,53,
      52,32,46,48,49,49,52,50,51,57,32,46,48,49,49,55,55,56,56,32,46,48,49,50,49,
      51,57,57,32,46,48,49,50,53,48,54,55,32,46,48,49,50,56,55,57,50,10,32,32,46,
      48,49,51,50,53,55,53,32,46,48,49,51,54,52,50,55,32,46,48,49,52,48,51,51,55,
      32,46,48,49,52,52,51,48,52,32,46,48,49,52,56,51,51,32,46,48,49,53,50,52,49,
      57,32,46,48,49,53,54,53,54,57,32,46,48,49,54,48,55,55,57,32,46,48,49,54,53,
      48,52,54,10,32,32,46,48,49,54,57,51,55,50,32,46,48,49,55,51,55,53,53,32,46,
      48,49,55,56,49,57,55,32,46,48,49,56,50,54,57,56,32,46,48,49,56,55,50,53,54,
      32,46,48,49,57,49,56,54,50,32,46,48,49,57,54,53,49,57,32,46,48,50,48,49,50,
      51,51,32,46,48,50,48,54,48,48,53,10,32,32,46,48,50,49,48,56,51,32,46,48,50,
      49,53,54,55,50,32,46,48,50,50,48,53,55,50,32,46,48,50,50,53,53,50,56,32,46,
      48,50,51,48,53,52,49,32,46,48,50,51,53,53,54,49,32,46,48,50,52,48,54,48,55,
      32,46,48,50,52,53,55,48,57,32,46,48,50,53,48,56,54,56,10,32,32,46,48,50,53,
      54,48,54,55,32,46,48,50,54,49,50,49,55,32,46,48,50,54,54,52,50,51,32,46,48,
      50,55,49,54,56,53,32,46,48,50,55,55,48,48,51,32,46,48,50,56,50,50,55,52,32,
      46,48,50,56,55,53,52,52,32,46,48,50,57,50,56,55,50,32,46,48,50,57,56,50,53,
      55,10,32,32,46,48,51,48,51,54,55,49,32,46,48,51,48,56,57,55,56,32,46,48,51,
      49,52,51,52,53,32,46,48,51,49,57,55,55,50,32,46,48,51,50,53,50,53,57,32,46,
      48,51,51,48,54,54,53,32,46,48,51,51,54,48,54,49,32,46,48,51,52,49,53,50,50,
      32,46,48,51,52,55,48,52,57,10,32,32,46,48,51,53,50,54,48,51,32,46,48,51,53,
      56,48,51,56,32,46,48,51,54,51,53,52,53,32,46,48,51,54,57,49,50,49,32,46,48,
      51,55,52,55,54,55,32,46,48,51,56,48,51,52,51,32,46,48,51,56,53,57,50,50,32,
      46,48,51,57,49,53,55,55,32,46,48,51,57,55,51,48,52,10,32,32,46,48,52,48,51,
      48,55,51,32,46,48,52,48,56,55,54,50,32,46,48,52,49,52,53,50,55,32,46,48,52,
      50,48,51,55,53,32,46,48,52,50,54,50,56,57,32,46,48,52,51,50,49,55,57,32,46,
      48,52,51,56,48,57,54,32,46,48,52,52,52,48,57,52,32,46,48,52,53,48,49,54,50,
      10,32,32,46,48,52,53,54,50,56,51,32,46,48,52,54,50,51,56,53,32,46,48,52,54,
      56,53,54,50,32,46,48,52,55,52,56,49,53,32,46,48,52,56,49,49,51,56,32,46,48,
      52,56,55,52,55,56,32,46,48,52,57,51,56,55,49,32,46,48,53,48,48,51,51,49,32,
      46,48,53,48,54,56,54,10,32,32,46,48,53,49,51,52,53,32,46,48,53,50,48,48,56,
      49,32,46,48,53,50,54,55,55,53,32,46,48,53,51,51,53,51,52,32,46,48,53,52,48,
      51,53,55,32,46,48,53,52,55,50,52,55,32,46,48,53,53,52,50,48,49,32,46,48,53,
      54,49,50,49,49,32,46,48,53,54,56,50,56,51,10,32,32,46,48,53,55,53,52,50,50,
      32,46,48,53,56,50,54,53,50,32,46,48,53,56,57,57,52,32,46,48,53,57,57,55,51,
      32,46,48,54,50,51,48,50,50,32,46,48,54,53,56,51,56,51,32,46,48,55,49,56,53,
      57,49,32,46,48,55,56,48,55,57,56,32,46,48,56,52,53,49,50,54,32,46,48,57,49,
      49,57,50,53,10,32,32,46,48,57,56,48,57,55,55,32,46,49,48,53,49,57,51,32,46,
      49,49,50,51,57,55,32,46,49,49,57,54,51,49,32,46,49,50,54,56,49,54,32,46,49,
      51,51,57,53,32,46,49,52,49,48,53,51,32,46,49,52,57,53,57,53,32,46,49,53,56,
      50,53,57,32,46,49,55,48,48,56,54,10,32,32,46,49,56,50,50,48,53,32,46,49,57,
      52,49,49,52,32,46,50,48,54,55,56,56,32,46,50,49,51,52,50,52,32,46,50,49,49,
      50,51,32,46,50,48,50,49,52,54,32,46,49,57,56,53,54,53,32,46,50,49,49,57,52,
      56,32,46,50,51,55,50,48,57,32,46,50,54,52,53,52,32,46,50,57,50,54,55,51,10,
      32,32,46,51,49,57,56,48,53,32,46,51,52,51,55,55,56,32,46,51,54,49,49,53,56,
      32,46,51,54,54,52,49,55,32,46,51,52,56,49,55,54,32,46,51,48,52,57,50,50,32,
      46,50,52,53,52,56,56,32,46,50,48,49,56,51,32,46,50,49,57,54,55,32,46,50,54,
      54,51,52,51,32,46,51,52,49,56,51,55,10,32,32,46,52,51,52,52,53,53,32,46,53,
      49,56,55,50,57,32,46,53,56,54,56,54,53,32,46,54,51,51,56,48,56,32,46,54,53,
      48,51,49,50,32,46,54,52,48,50,57,54,32,46,54,48,53,51,55,52,32,46,53,52,57,
      53,53,32,46,53,48,52,49,50,54,32,46,52,54,49,55,32,46,52,49,56,55,56,57,10,
      32,32,46,51,54,52,57,48,53,32,46,50,57,52,57,53,57,32,46,50,53,50,51,51,51,
      32,46,50,51,56,49,49,53,32,46,50,51,57,48,52,55,32,46,50,52,50,52,55,32,46,
      50,52,49,50,53,49,32,46,50,52,55,51,50,32,46,50,54,54,51,56,32,46,50,57,51,
      48,48,54,32,46,51,49,48,51,52,51,10,32,32,46,51,48,55,50,54,49,32,46,50,56,
      54,57,53,49,32,46,50,54,55,50,51,56,32,46,50,51,50,49,50,55,32,46,50,48,50,
      50,50,50,32,46,49,55,52,50,51,50,32,46,49,52,56,51,54,54,32,46,49,51,52,48,
      57,57,32,46,49,50,57,55,48,52,32,46,49,51,49,55,57,53,10,32,32,46,49,51,53,
      54,53,57,32,46,49,51,57,52,55,56,32,46,49,52,51,53,48,57,32,46,49,52,54,50,
      56,51,32,46,49,52,56,49,54,55,32,46,49,52,55,54,51,53,32,46,49,52,52,51,48,
      57,32,46,49,51,52,54,50,56,32,46,49,50,49,50,50,32,46,49,49,50,57,51,32,46,
      49,48,53,48,55,52,10,32,32,46,48,57,52,48,53,48,50,32,46,48,56,51,57,56,53,
      32,46,48,55,57,53,51,54,32,46,48,55,52,52,49,49,55,32,46,48,55,50,52,56,57,
      55,32,46,48,55,49,49,52,56,54,32,46,48,56,48,56,56,49,50,32,46,48,55,55,50,
      56,57,57,32,46,48,55,53,56,54,53,55,32,46,48,55,51,50,50,48,52,10,32,32,46,
      48,55,48,52,51,52,49,32,46,48,54,56,50,49,53,32,46,48,54,54,48,56,52,53,32,
      46,48,54,52,49,54,55,50,32,46,48,54,50,51,52,54,56,32,46,48,54,48,52,48,52,
      52,32,46,48,53,56,55,52,50,51,32,46,48,53,54,57,55,53,32,46,48,53,53,55,49,
      54,54,32,46,48,53,51,55,51,54,55,10,32,32,46,48,53,50,53,54,53,49,32,46,48,
      53,49,49,53,50,53,32,46,48,52,56,48,51,57,49,32,46,48,52,52,49,49,54,51,32,
      46,48,52,48,54,53,50,49,32,46,48,51,54,55,54,49,49,32,46,48,51,51,50,57,54,
      54,32,46,48,50,57,54,50,51,52,32,46,48,50,54,57,49,48,54,10,32,32,46,48,50,
      51,48,56,51,52,32,46,48,49,57,53,52,53,51,32,46,48,49,55,55,56,51,57,32,46,
      48,49,54,48,50,48,51,32,46,48,49,51,57,54,48,52,32,46,48,49,50,51,57,51,51,
      32,46,48,49,49,48,49,52,57,32,46,48,48,57,54,51,56,53,55,32,46,48,48,56,52,
      52,52,55,51,10,32,32,46,48,48,55,53,50,57,48,55,32,46,48,48,54,55,49,55,57,
      32,46,48,48,53,57,57,56,32,46,48,48,53,50,55,51,54,57,32,46,48,48,52,53,54,
      55,51,55,32,46,48,48,51,56,57,55,51,52,32,46,48,48,51,51,56,49,57,52,32,46,
      48,48,50,56,57,49,53,52,32,46,48,48,50,53,49,51,50,55,10,32,32,46,48,48,50,
      49,56,54,32,46,48,48,49,56,55,51,53,49,32,46,48,48,49,53,56,57,50,53,32,46,
      48,48,49,52,48,48,51,52,32,46,48,48,49,50,49,48,50,55,32,46,48,48,49,48,54,
      53,49,49,32,46,48,48,48,57,50,57,53,55,54,32,46,48,48,48,56,49,49,54,54,50,
      10,32,32,46,48,48,48,55,48,56,57,56,32,46,48,48,48,54,49,57,53,51,51,32,46,
      48,48,48,53,52,49,53,54,54,32,46,48,48,48,52,55,51,53,55,57,32,46,48,48,48,
      52,49,52,50,54,55,32,46,48,48,48,51,54,50,52,57,55,32,46,48,48,48,51,49,55,
      50,57,52,32,46,48,48,48,50,55,55,56,48,55,10,32,32,46,48,48,48,50,52,51,50,
      57,32,46,48,48,48,50,49,51,49,50,56,32,46,48,48,48,49,56,54,55,53,50,32,46,
      48,48,48,49,54,51,54,56,32,46,48,48,48,49,52,51,52,57,50,32,46,48,48,48,49,
      50,53,56,50,57,32,46,48,48,48,49,49,48,51,53,56,32,57,46,54,56,48,50,54,101,
      45,48,53,10,32,32,56,46,52,57,51,52,50,101,45,48,53,32,55,46,52,53,51,53,51,
      101,45,48,53,32,54,46,53,52,50,49,56,101,45,48,53,32,53,46,55,52,51,50,53,101,
      45,48,53,32,53,46,48,52,50,55,54,101,45,48,53,32,52,46,52,50,56,56,53,101,45,
      48,53,32,51,46,56,56,57,57,53,101,45,48,53,10,32,32,51,46,52,49,55,49,53,101,
      45,48,53,32,51,46,48,48,50,50,55,101,45,48,53,32,50,46,54,51,56,49,51,101,45,
      48,53,32,50,46,51,49,56,52,57,101,45,48,53,32,50,46,48,51,55,56,53,101,45,48,
      53,32,49,46,55,57,49,50,101,45,48,53,32,49,46,53,55,52,55,57,101,45,48,53,10,
      32,32,49,46,52,50,52,56,51,101,45,48,53,32,49,46,50,56,57,50,53,101,45,48,53,
      32,49,46,49,54,54,54,54,101,45,48,53,32,49,46,48,53,53,55,57,101,45,48,53,32,
      57,46,53,53,54,53,54,101,45,48,54,32,56,46,53,51,57,53,53,101,45,48,54,32,55,
      46,52,48,54,55,49,101,45,48,54,10,32,32,54,46,52,50,52,57,56,101,45,48,54,32,
      53,46,53,55,52,48,54,101,45,48,54,32,52,46,56,51,54,52,50,101,45,48,54,32,52,
      46,49,57,54,56,56,101,45,48,54,32,51,46,54,52,50,51,53,101,45,48,54,32,51,46,
      49,54,49,52,51,101,45,48,54,32,50,46,55,52,52,50,57,101,45,48,54,10,32,32,50,
      46,51,56,50,52,53,101,45,48,54,32,50,46,48,54,56,53,50,101,45,48,54,32,49,46,
      55,57,54,49,53,101,45,48,54,32,49,46,53,53,57,55,57,101,45,48,54,32,49,46,51,
      53,52,54,54,101,45,48,54,32,49,46,49,55,54,54,50,101,45,48,54,32,49,46,48,50,
      50,48,54,101,45,48,54,10,32,32,56,46,56,55,56,57,50,101,45,48,55,32,55,46,55,
      49,51,57,57,101,45,48,55,32,54,46,55,48,50,52,51,101,45,48,55,32,53,46,56,50,
      52,48,49,101,45,48,55,32,53,46,48,54,49,49,50,101,45,48,55,32,52,46,51,57,55,
      52,51,101,45,48,55,32,51,46,56,50,50,57,52,101,45,48,55,10,32,32,51,46,51,50,
      50,57,50,101,45,48,55,32,50,46,56,56,56,53,49,101,45,48,55,32,50,46,53,49,49,
      48,55,101,45,48,55,32,50,46,49,56,51,49,101,45,48,55,32,49,46,56,57,56,49,101,
      45,48,55,32,49,46,54,53,48,52,49,101,45,48,55,32,49,46,52,51,53,49,51,101,45,
      48,55,10,32,32,49,46,50,52,56,48,49,101,45,48,55,32,49,46,48,56,53,51,54,101,
      45,48,55,32,57,46,52,51,57,54,52,101,45,48,56,32,56,46,50,49,48,51,54,101,45,
      48,56,32,55,46,49,52,49,53,56,101,45,48,56,32,54,46,50,49,50,50,56,101,45,48,
      56,32,53,46,52,48,52,50,49,101,45,48,56,10,32,32,52,46,48,57,48,51,57,101,45,
      48,56,32,51,46,48,57,54,53,55,101,45,48,56,32,50,46,51,52,52,55,52,101,45,48,
      56,32,49,46,55,55,53,55,57,101,45,48,56,32,49,46,51,52,53,49,54,101,45,48,56,
      32,49,46,48,49,57,49,52,101,45,48,56,32,55,46,55,50,50,54,56,101,45,48,57,10,
      32,32,53,46,56,53,51,101,45,48,57,32,52,46,52,51,54,55,101,45,48,57,32,51,46,
      51,54,51,54,52,101,45,48,57,32,50,46,53,53,48,53,101,45,48,57,32,49,46,57,51,
      52,50,51,101,45,48,57,32,49,46,52,54,55,48,55,101,45,48,57,32,49,46,49,49,50,
      56,57,101,45,48,57,10,32,32,56,46,52,52,51,50,57,101,45,49,48,32,54,46,52,48,
      54,54,52,101,45,49,48,32,52,46,56,54,49,56,55,101,45,49,48,32,51,46,54,57,48,
      48,50,101,45,49,48,32,50,46,56,48,48,57,53,101,45,49,48,32,50,46,49,50,54,51,
      52,101,45,49,48,32,49,46,54,49,52,51,57,101,45,49,48,10,32,32,49,46,50,50,53,
      56,51,101,45,49,48,32,57,46,51,48,56,57,54,101,45,49,49,32,55,46,48,54,57,57,
      53,101,45,49,49,32,53,46,51,55,48,48,50,101,45,49,49,32,52,46,48,55,57,50,51,
      101,45,49,49,32,51,46,48,57,57,101,45,49,49,32,50,46,51,53,52,53,53,101,45,
      49,49,10,32,32,49,46,55,56,57,49,54,101,45,49,49,32,49,46,50,51,49,48,57,101,
      45,48,55,32,52,46,57,51,54,54,54,101,45,48,55,32,49,46,49,49,49,55,51,101,45,
      48,54,32,49,46,50,51,49,50,53,101,45,48,54,32,52,46,57,51,57,51,55,101,45,48,
      54,32,49,46,49,49,51,50,56,101,45,48,53,10,32,32,49,46,57,56,49,56,57,101,45,
      48,53,32,51,46,53,51,49,56,56,101,45,48,53,32,53,46,55,55,51,48,50,101,45,48,
      53,32,55,46,56,54,56,55,49,101,45,48,53,32,46,48,48,48,49,48,50,57,54,54,32,
      46,48,48,48,49,51,48,53,54,57,32,46,48,48,48,49,54,49,53,50,52,10,32,32,46,
      48,48,48,49,57,53,56,56,52,32,46,48,48,48,50,51,51,54,56,57,32,46,48,48,48,
      50,55,52,57,54,51,32,46,48,48,48,51,49,57,55,52,57,32,46,48,48,48,51,54,56,
      48,56,52,32,46,48,48,48,52,50,48,48,48,52,32,46,48,48,48,52,55,53,53,54,52,
      32,46,48,48,48,53,51,52,55,57,52,10,32,32,46,48,48,48,53,57,55,54,53,57,32,
      46,48,48,48,54,54,52,50,52,56,32,46,48,48,48,55,51,52,54,49,56,32,46,48,48,
      48,56,48,56,56,48,52,32,46,48,48,48,56,56,54,55,49,56,32,46,48,48,48,57,54,
      56,51,54,52,32,46,48,48,49,48,53,51,57,32,46,48,48,49,49,52,51,51,50,10,32,
      32,46,48,48,49,50,51,54,54,51,32,46,48,48,49,51,51,51,52,57,32,46,48,48,49,
      52,51,52,50,53,32,46,48,48,49,53,51,56,57,52,32,46,48,48,49,54,52,55,53,55,
      32,46,48,48,49,55,53,57,56,51,32,46,48,48,49,56,55,53,55,52,32,46,48,48,49,
      57,57,53,53,53,10,32,32,46,48,48,50,49,49,57,51,32,46,48,48,50,50,52,54,57,
      55,32,46,48,48,50,51,55,55,56,50,32,46,48,48,50,53,49,50,53,55,32,46,48,48,
      50,54,53,49,50,54,32,46,48,48,50,55,57,51,56,56,32,46,48,48,50,57,51,57,57,
      52,32,46,48,48,51,48,56,57,53,51,32,46,48,48,51,50,52,51,48,54,10,32,32,46,
      48,48,51,52,48,48,52,57,32,46,48,48,51,53,54,49,56,49,32,46,48,48,51,55,50,
      54,51,50,32,46,48,48,51,56,57,52,55,50,32,46,48,48,52,48,54,55,48,55,32,46,
      48,48,52,50,52,51,51,51,32,46,48,48,52,52,50,51,50,53,32,46,48,48,52,54,48,
      54,56,50,10,32,32,46,48,48,52,55,57,52,51,52,32,46,48,48,52,57,56,53,56,32,
      46,48,48,53,49,56,49,50,49,32,46,48,48,53,51,56,48,52,32,46,48,48,53,53,56,
      51,53,52,32,46,48,48,53,55,57,48,54,55,32,46,48,48,54,48,48,49,55,55,32,46,
      48,48,54,50,49,55,48,49,32,46,48,48,54,52,51,54,51,54,10,32,32,46,48,48,54,
      54,53,57,55,51,32,46,48,48,54,56,56,55,49,52,32,46,48,48,55,49,49,56,54,50,
      32,46,48,48,55,51,53,52,56,51,32,46,48,48,55,53,57,53,48,57,32,46,48,48,55,
      56,51,57,52,52,32,46,48,48,56,48,56,55,56,56,32,46,48,48,56,51,52,49,48,55,
      10,32,32,46,48,48,56,53,57,56,56,54,32,46,48,48,56,56,54,48,56,49,32,46,48,
      48,57,49,50,54,57,49,32,46,48,48,57,51,57,55,51,50,32,46,48,48,57,54,55,50,
      57,57,32,46,48,48,57,57,53,50,56,56,32,46,48,49,48,50,51,55,49,32,46,48,49,
      48,53,50,53,53,32,46,48,49,48,56,49,56,56,10,32,32,46,48,49,49,49,49,54,55,
      32,46,48,49,49,52,49,56,57,32,46,48,49,49,55,50,53,53,32,46,48,49,50,48,51,
      54,52,32,46,48,49,50,51,53,49,54,32,46,48,49,50,54,55,49,50,32,46,48,49,50,
      57,57,53,50,32,46,48,49,51,51,50,51,53,32,46,48,49,51,54,53,53,10,32,32,46,
      48,49,51,57,57,48,51,32,46,48,49,52,51,51,32,46,48,49,52,54,55,52,32,46,48,
      49,53,48,50,49,55,32,46,48,49,53,51,54,57,57,32,46,48,49,53,55,50,50,50,32,
      46,48,49,54,48,55,56,56,32,46,48,49,54,52,51,57,53,32,46,48,49,54,55,57,57,
      54,32,46,48,49,55,49,54,48,57,10,32,32,46,48,49,55,53,50,54,52,32,46,48,49,
      55,56,57,54,32,46,48,49,56,50,54,56,49,32,46,48,49,56,54,51,52,51,32,46,48,
      49,57,48,48,52,54,32,46,48,49,57,51,55,57,32,46,48,49,57,55,53,55,53,32,46,
      48,50,48,49,51,48,50,32,46,48,50,48,53,48,49,54,32,46,48,50,48,56,55,55,50,
      10,32,32,46,48,50,49,50,53,55,49,32,46,48,50,49,54,51,56,53,32,46,48,50,50,
      48,48,56,52,32,46,48,50,50,51,56,50,56,32,46,48,50,50,55,54,49,55,32,46,48,
      50,51,49,52,53,55,32,46,48,50,51,53,50,49,32,46,48,50,51,56,57,52,50,32,46,
      48,50,52,50,55,50,56,10,32,32,46,48,50,52,54,53,54,53,32,46,48,50,53,48,52,
      49,56,32,46,48,50,53,52,49,53,53,32,46,48,50,53,55,57,53,49,32,46,48,50,54,
      49,56,48,49,32,46,48,50,54,53,55,48,56,32,46,48,50,54,57,53,52,53,32,46,48,
      50,55,51,51,55,57,32,46,48,50,55,55,50,55,52,10,32,32,46,48,50,56,49,50,50,
      55,32,46,48,50,56,53,50,49,32,46,48,50,56,57,49,49,55,32,46,48,50,57,51,48,
      56,56,32,46,48,50,57,55,49,50,49,32,46,48,51,48,49,50,48,56,32,46,48,51,48,
      53,50,54,56,32,46,48,51,48,57,51,52,54,32,46,48,51,49,51,52,56,56,10,32,32,
      46,48,51,49,55,54,56,52,32,46,48,51,50,49,57,50,32,46,48,51,50,54,49,51,53,
      32,46,48,51,51,48,52,48,56,32,46,48,51,51,52,55,51,57,32,46,48,51,51,57,49,
      50,50,32,46,48,51,52,51,53,49,55,32,46,48,51,52,55,57,53,32,46,48,51,53,50,
      52,51,52,32,46,48,51,53,54,57,54,57,10,32,32,46,48,51,54,49,53,52,57,32,46,
      48,51,54,54,49,53,56,32,46,48,51,55,48,56,49,53,32,46,48,51,55,53,53,49,57,
      32,46,48,51,56,48,50,55,32,46,48,51,56,53,48,55,50,32,46,48,51,56,57,57,49,
      57,32,46,48,51,57,52,56,48,57,32,46,48,51,57,57,55,52,51,10,32,32,46,48,52,
      48,52,55,50,55,32,46,48,52,48,57,55,55,57,32,46,48,52,49,52,56,55,51,32,46,
      48,52,50,49,55,49,56,32,46,48,52,51,56,48,50,54,32,46,48,52,54,50,56,50,57,
      32,46,48,53,48,53,49,56,57,32,46,48,53,52,57,49,54,32,46,48,53,57,52,56,54,
      51,10,32,32,46,48,54,52,50,54,51,54,32,46,48,54,57,50,51,55,52,32,46,48,55,
      52,51,56,55,53,32,46,48,55,57,54,53,49,53,32,46,48,56,52,57,54,53,54,32,46,
      48,57,48,50,53,57,53,32,46,48,57,53,53,50,55,52,32,46,49,48,48,55,56,53,32,
      46,49,48,55,49,51,57,32,46,49,49,51,54,53,51,10,32,32,46,49,50,50,55,51,56,
      32,46,49,51,50,52,51,57,32,46,49,52,50,54,48,52,32,46,49,53,52,57,49,50,32,
      46,49,54,52,50,50,54,32,46,49,54,55,54,56,54,32,46,49,54,53,56,51,56,32,46,
      49,54,53,57,50,57,32,46,49,55,55,53,54,51,32,46,49,57,54,57,53,49,10,32,32,
      46,50,49,55,52,53,56,32,46,50,51,56,54,52,53,32,46,50,53,57,54,51,32,46,50,
      55,57,50,52,32,46,50,57,53,51,55,56,32,46,51,48,52,49,54,50,32,46,50,57,54,
      55,49,55,32,46,50,54,56,51,49,54,32,46,50,50,51,51,52,54,32,46,49,56,55,57,
      53,51,32,46,50,48,52,54,51,51,10,32,32,46,50,52,53,55,55,57,32,46,51,49,48,
      54,54,49,32,46,51,56,56,51,52,52,32,46,52,53,56,51,57,49,32,46,53,49,53,54,
      54,51,32,46,53,53,55,50,57,51,32,46,53,55,53,52,49,56,32,46,53,55,50,53,55,
      54,32,46,53,52,57,51,50,56,32,46,53,48,55,51,55,49,10,32,32,46,52,55,49,50,
      48,56,32,46,52,51,53,57,55,32,46,51,57,56,54,51,51,32,46,51,53,48,50,48,52,
      32,46,50,56,53,55,51,52,32,46,50,52,53,56,49,54,32,46,50,51,50,53,54,57,32,
      46,50,51,51,55,48,56,32,46,50,51,55,51,50,54,32,46,50,51,54,52,51,32,46,50,
      52,50,53,53,49,10,32,32,46,50,54,49,49,57,57,32,46,50,56,55,49,53,49,32,46,
      51,48,52,49,52,50,32,46,51,48,49,52,52,53,32,46,50,56,49,57,57,53,32,46,50,
      54,50,57,55,56,32,46,50,50,56,57,52,50,32,46,49,57,57,56,48,53,32,46,49,55,
      50,52,49,52,32,46,49,52,55,48,50,32,46,49,51,50,57,57,50,10,32,32,46,49,50,
      56,54,56,55,32,46,49,51,48,55,56,51,32,46,49,51,52,54,50,55,32,46,49,51,56,
      52,50,54,32,46,49,52,50,52,51,55,32,46,49,52,53,49,57,56,32,46,49,52,55,48,
      55,57,32,46,49,52,54,53,56,51,32,46,49,52,51,51,49,49,32,46,49,51,51,55,53,
      51,10,32,32,46,49,50,48,52,57,53,32,46,49,49,50,50,57,32,46,49,48,52,53,48,
      56,32,46,48,57,51,53,56,48,57,32,46,48,56,51,53,57,55,52,32,46,48,55,57,49,
      56,50,53,32,46,48,55,52,48,57,54,57,32,46,48,55,50,49,56,57,55,32,46,48,55,
      48,56,54,49,52,32,46,48,56,48,53,51,56,10,32,32,46,48,55,54,57,55,52,53,32,
      46,48,55,53,53,54,49,32,46,48,55,50,57,51,52,57,32,46,48,55,48,49,54,56,50,
      32,46,48,54,55,57,54,52,32,46,48,54,53,56,52,55,52,32,46,48,54,51,57,52,50,
      49,32,46,48,54,50,49,51,51,32,46,48,54,48,50,48,50,49,32,46,48,53,56,53,52,
      57,55,10,32,32,46,48,53,54,55,57,50,51,32,46,48,53,53,53,52,48,56,32,46,48,
      53,51,53,55,49,53,32,46,48,53,50,52,48,54,32,46,48,53,49,48,48,48,54,32,46,
      48,52,55,57,48,50,52,32,46,48,52,51,57,57,55,56,32,46,48,52,48,53,52,56,52,
      32,46,48,51,54,54,55,50,57,10,32,32,46,48,51,51,50,50,49,50,32,46,48,50,57,
      53,54,48,53,32,46,48,50,54,56,53,54,52,32,46,48,50,51,48,52,48,51,32,46,48,
      49,57,53,48,51,55,32,46,48,49,55,55,52,55,32,46,48,49,53,57,56,56,32,46,48,
      49,51,57,51,51,51,32,46,48,49,50,51,54,57,57,32,46,48,49,48,57,57,52,54,10,
      32,32,46,48,48,57,54,50,49,51,50,32,46,48,48,56,52,51,48,48,50,32,46,48,48,
      55,53,49,54,50,51,32,46,48,48,54,55,48,54,56,55,32,46,48,48,53,57,56,57,48,
      52,32,46,48,48,53,50,54,54,54,54,32,46,48,48,52,53,54,50,48,57,32,46,48,48,
      51,56,57,51,53,56,10,32,32,46,48,48,51,51,55,57,50,51,32,46,48,48,50,56,56,
      57,51,55,32,46,48,48,50,53,49,49,52,53,32,46,48,48,50,49,56,52,52,54,32,46,
      48,48,49,56,55,50,50,52,32,46,48,48,49,53,56,56,50,50,32,46,48,48,49,51,57,
      57,52,52,32,46,48,48,49,50,48,57,53,50,10,32,32,46,48,48,49,48,54,52,52,55,
      32,46,48,48,48,57,50,57,48,50,56,32,46,48,48,48,56,49,49,49,57,52,32,46,48,
      48,48,55,48,56,53,56,49,32,46,48,48,48,54,49,57,49,57,49,32,46,48,48,48,53,
      52,49,50,55,52,32,46,48,48,48,52,55,51,51,51,32,46,48,48,48,52,49,52,48,53,
      50,10,32,32,46,48,48,48,51,54,50,51,49,52,32,46,48,48,48,51,49,55,49,51,53,
      32,46,48,48,48,50,55,55,54,55,50,32,46,48,48,48,50,52,51,49,55,52,32,46,48,
      48,48,50,49,51,48,50,55,32,46,48,48,48,49,56,54,54,54,54,32,46,48,48,48,49,
      54,51,54,48,53,32,46,48,48,48,49,52,51,52,50,55,10,32,32,46,48,48,48,49,50,
      53,55,55,52,32,46,48,48,48,49,49,48,51,49,32,57,46,54,55,54,49,101,45,48,53,
      32,56,46,52,56,57,56,53,101,45,48,53,32,55,46,52,53,48,52,52,101,45,48,53,32,
      54,46,53,51,57,52,57,101,45,48,53,32,53,46,55,52,48,57,52,101,45,48,53,10,32,
      32,53,46,48,52,48,55,53,101,45,48,53,32,52,46,52,50,55,49,101,45,48,53,32,51,
      46,56,56,56,52,51,101,45,48,53,32,51,46,52,49,53,56,52,101,45,48,53,32,51,46,
      48,48,49,49,50,101,45,48,53,32,50,46,54,51,55,49,52,101,45,48,53,32,50,46,51,
      49,55,54,51,101,45,48,53,10,32,32,50,46,48,51,55,49,101,45,48,53,32,49,46,55,
      57,48,53,53,101,45,48,53,32,49,46,53,55,52,50,50,101,45,48,53,32,49,46,52,50,
      52,51,51,101,45,48,53,32,49,46,50,56,56,56,101,45,48,53,32,49,46,49,54,54,50,
      53,101,45,48,53,32,49,46,48,53,53,52,50,101,45,48,53,10,32,32,57,46,53,53,51,
      50,54,101,45,48,54,32,56,46,53,51,54,54,52,101,45,48,54,32,55,46,52,48,52,50,
      101,45,48,54,32,54,46,52,50,50,56,49,101,45,48,54,32,53,46,53,55,50,50,49,101,
      45,48,54,32,52,46,56,51,52,56,50,101,45,48,54,32,52,46,49,57,53,53,50,101,45,
      48,54,10,32,32,51,46,54,52,49,49,55,101,45,48,54,32,51,46,49,54,48,52,49,101,
      45,48,54,32,50,46,55,52,51,52,50,101,45,48,54,32,50,46,51,56,49,55,101,45,48,
      54,32,50,46,48,54,55,56,56,101,45,48,54,32,49,46,55,57,53,53,57,101,45,48,54,
      32,49,46,53,53,57,51,49,101,45,48,54,10,32,32,49,46,51,53,52,50,53,101,45,48,
      54,32,49,46,49,55,54,50,54,101,45,48,54,32,49,46,48,50,49,55,54,101,45,48,54,
      32,56,46,56,55,54,50,54,101,45,48,55,32,55,46,55,49,49,54,57,101,45,48,55,32,
      54,46,55,48,48,52,54,101,45,48,55,32,53,46,56,50,50,51,49,101,45,48,55,10,32,
      32,53,46,48,53,57,54,54,101,45,48,55,32,52,46,51,57,54,49,55,101,45,48,55,32,
      51,46,56,50,49,56,52,101,45,48,55,32,51,46,51,50,49,57,56,101,45,48,55,32,50,
      46,56,56,55,55,101,45,48,55,32,50,46,53,49,48,51,55,101,45,48,55,32,50,46,49,
      56,50,53,101,45,48,55,10,32,32,49,46,56,57,55,53,56,101,45,48,55,32,49,46,54,
      52,57,57,54,101,45,48,55,32,49,46,52,51,52,55,52,101,45,48,55,32,49,46,50,52,
      55,54,56,101,45,48,55,32,49,46,48,56,53,48,55,101,45,48,55,32,57,46,52,51,55,
      48,57,101,45,48,56,32,56,46,50,48,56,49,54,101,45,48,56,10,32,32,55,46,49,51,
      57,54,56,101,45,48,56,32,54,46,50,49,48,54,52,101,45,48,56,32,53,46,52,48,50,
      55,57,101,45,48,56,32,52,46,48,56,57,51,51,101,45,48,56,32,51,46,48,57,53,55,
      55,101,45,48,56,32,50,46,51,52,52,49,52,101,45,48,56,32,49,46,55,55,53,51,53,
      101,45,48,56,10,32,32,49,46,51,52,52,56,50,101,45,48,56,32,49,46,48,49,56,56,
      56,101,45,48,56,32,55,46,55,50,48,56,101,45,48,57,32,53,46,56,53,49,53,55,101,
      45,48,57,32,52,46,52,51,53,54,50,101,45,48,57,32,51,46,51,54,50,56,51,101,45,
      48,57,32,50,46,53,52,57,57,101,45,48,57,10,32,32,49,46,57,51,51,55,55,101,45,
      48,57,32,49,46,52,54,54,55,51,101,45,48,57,32,49,46,49,49,50,54,51,101,45,48,
      57,32,56,46,52,52,49,51,56,101,45,49,48,32,54,46,52,48,53,49,55,101,45,49,48,
      32,52,46,56,54,48,55,53,101,45,49,48,32,51,46,54,56,57,49,54,101,45,49,48,10,
      32,32,50,46,56,48,48,51,101,45,49,48,32,50,46,49,50,53,56,52,101,45,49,48,32,
      49,46,54,49,52,48,50,101,45,49,48,32,49,46,50,50,53,53,53,101,45,49,48,32,57,
      46,51,48,54,56,51,101,45,49,49,32,55,46,48,54,56,51,52,101,45,49,49,32,53,46,
      51,54,56,56,101,45,49,49,10,32,32,52,46,48,55,56,51,50,101,45,49,49,32,51,46,
      48,57,56,51,49,101,45,49,49,32,50,46,51,53,52,48,50,101,45,49,49,32,49,46,55,
      56,56,55,54,101,45,49,49,32,57,46,53,53,48,53,56,101,45,48,56,32,51,46,56,50,
      57,55,51,101,45,48,55,32,56,46,54,50,52,52,101,45,48,55,10,32,32,57,46,53,53,
      49,53,52,101,45,48,55,32,51,46,56,51,49,50,56,101,45,48,54,32,56,46,54,51,51,
      48,55,101,45,48,54,32,49,46,53,51,54,50,54,101,45,48,53,32,50,46,52,48,52,49,
      56,101,45,48,53,32,52,46,51,57,53,54,50,101,45,48,53,32,53,46,57,56,57,56,53,
      101,45,48,53,10,32,32,55,46,56,51,53,54,101,45,48,53,32,57,46,57,51,50,53,55,
      101,45,48,53,32,46,48,48,48,49,50,50,56,50,55,32,46,48,48,48,49,52,56,56,57,
      54,32,46,48,48,48,49,55,55,53,53,56,32,46,48,48,48,50,48,56,56,50,55,32,46,
      48,48,48,50,52,50,55,51,51,32,46,48,48,48,50,55,57,51,48,49,10,32,32,46,48,
      48,48,51,49,56,53,53,51,32,46,48,48,48,51,54,48,53,50,55,32,46,48,48,48,52,
      48,53,50,52,50,32,46,48,48,48,52,53,50,54,55,57,32,46,48,48,48,53,48,50,56,
      57,52,32,46,48,48,48,53,53,53,57,51,32,46,48,48,48,54,49,49,56,48,57,32,46,
      48,48,48,54,55,48,52,55,53,10,32,32,46,48,48,48,55,51,49,57,51,49,32,46,48,
      48,48,55,57,54,50,56,53,32,46,48,48,48,56,54,51,53,51,52,32,46,48,48,48,57,
      51,51,54,56,54,32,46,48,48,49,48,48,54,53,49,32,46,48,48,49,48,56,50,50,53,
      32,46,48,48,49,49,54,48,57,49,32,46,48,48,49,50,52,50,53,50,10,32,32,46,48,
      48,49,51,50,54,56,53,32,46,48,48,49,52,49,51,57,51,32,46,48,48,49,53,48,51,
      57,51,32,46,48,48,49,53,57,54,56,54,32,46,48,48,49,54,57,50,55,52,32,46,48,
      48,49,55,57,49,48,51,32,46,48,48,49,56,57,50,50,52,32,46,48,48,49,57,57,54,
      51,57,10,32,32,46,48,48,50,49,48,51,52,56,32,46,48,48,50,50,49,51,49,55,32,
      46,48,48,50,51,50,53,53,51,32,46,48,48,50,52,52,48,56,52,32,46,48,48,50,53,
      53,57,48,53,32,46,48,48,50,54,56,48,49,57,32,46,48,48,50,56,48,51,55,53,32,
      46,48,48,50,57,51,48,50,49,10,32,32,46,48,48,51,48,53,57,54,52,32,46,48,48,
      51,49,57,50,32,46,48,48,51,51,50,55,49,32,46,48,48,51,52,54,52,57,54,32,46,
      48,48,51,54,48,53,55,54,32,46,48,48,51,55,52,57,53,51,32,46,48,48,51,56,57,
      54,50,53,32,46,48,48,52,48,52,53,56,49,32,46,48,48,52,49,57,56,51,51,10,32,
      32,46,48,48,52,51,53,51,56,52,32,46,48,48,52,53,49,50,51,50,32,46,48,48,52,
      54,55,51,57,32,46,48,48,52,56,51,56,53,54,32,46,48,48,53,48,48,54,50,52,32,
      46,48,48,53,49,55,54,57,53,32,46,48,48,53,51,53,48,54,57,32,46,48,48,53,53,
      50,55,57,55,32,46,48,48,53,55,48,56,50,57,10,32,32,46,48,48,53,56,57,49,54,
      57,32,46,48,48,54,48,55,56,49,53,32,46,48,48,54,50,54,56,49,55,32,46,48,48,
      54,52,54,49,54,50,32,46,48,48,54,54,53,56,50,49,32,46,48,48,54,56,53,55,57,
      50,32,46,48,48,55,48,54,48,56,55,32,46,48,48,55,50,54,55,55,53,10,32,32,46,
      48,48,55,52,55,55,56,51,32,46,48,48,55,54,57,49,49,52,32,46,48,48,55,57,48,
      55,54,53,32,46,48,48,56,49,50,55,56,32,46,48,48,56,51,53,49,52,51,32,46,48,
      48,56,53,55,56,51,53,32,46,48,48,56,56,48,56,54,49,32,46,48,48,57,48,52,50,
      48,56,32,46,48,48,57,50,55,56,55,52,10,32,32,46,48,48,57,53,49,56,56,57,32,
      46,48,48,57,55,54,50,51,49,32,46,48,49,48,48,48,56,57,32,46,48,49,48,50,53,
      56,32,46,48,49,48,53,48,57,57,32,46,48,49,48,55,54,53,51,32,46,48,49,49,48,
      50,51,57,32,46,48,49,49,50,56,53,52,32,46,48,49,49,53,52,55,49,10,32,32,46,
      48,49,49,56,49,49,57,32,46,48,49,50,48,56,32,46,48,49,50,51,53,49,49,32,46,
      48,49,50,54,50,49,56,32,46,48,49,50,56,57,51,51,32,46,48,49,51,49,54,55,57,
      32,46,48,49,51,52,52,53,55,32,46,48,49,51,55,50,53,52,32,46,48,49,52,48,48,
      48,52,32,46,48,49,52,50,55,56,54,10,32,32,46,48,49,52,53,53,57,56,32,46,48,
      49,52,56,52,52,50,32,46,48,49,53,49,50,52,49,32,46,48,49,53,52,48,50,57,32,
      46,48,49,53,54,56,52,57,32,46,48,49,53,57,55,48,49,32,46,48,49,54,50,53,54,
      53,32,46,48,49,54,53,51,51,57,32,46,48,49,54,56,49,52,56,10,32,32,46,48,49,
      55,48,57,57,50,32,46,48,49,55,51,56,55,54,32,46,48,49,55,54,54,57,53,32,46,
      48,49,55,57,52,57,56,32,46,48,49,56,50,51,52,51,32,46,48,49,56,53,50,50,55,
      32,46,48,49,56,56,49,50,53,32,46,48,49,57,48,57,51,56,32,46,48,49,57,51,55,
      57,54,10,32,32,46,48,49,57,54,54,57,54,32,46,48,49,57,57,54,51,57,32,46,48,
      50,48,50,53,51,52,32,46,48,50,48,53,52,50,56,32,46,48,50,48,56,51,54,57,32,
      46,48,50,49,49,51,53,52,32,46,48,50,49,52,51,54,51,32,46,48,50,49,55,51,50,
      32,46,48,50,50,48,51,50,52,10,32,32,46,48,50,50,51,51,55,55,32,46,48,50,50,
      54,52,54,57,32,46,48,50,50,57,53,52,54,32,46,48,50,51,50,54,51,56,32,46,48,
      50,51,53,55,55,55,32,46,48,50,51,56,57,53,56,32,46,48,50,52,50,49,54,57,32,
      46,48,50,52,53,51,54,56,32,46,48,50,52,56,54,49,10,32,32,46,48,50,53,49,56,
      57,54,32,46,48,50,53,53,50,50,49,32,46,48,50,53,56,53,53,54,32,46,48,50,54,
      49,57,50,49,32,46,48,50,54,53,51,50,51,32,46,48,50,54,56,55,54,52,32,46,48,
      50,55,50,50,51,57,32,46,48,50,55,53,55,51,54,32,46,48,50,55,57,50,54,57,10,
      32,32,46,48,50,56,50,56,51,55,32,46,48,50,56,54,52,52,32,46,48,50,57,48,48,
      56,32,46,48,50,57,51,55,53,53,32,46,48,50,57,55,52,54,32,46,48,51,48,49,49,
      57,57,32,46,48,51,48,52,57,55,53,32,46,48,51,48,56,55,57,57,32,46,48,51,49,
      50,54,53,53,32,46,48,51,49,55,56,51,54,10,32,32,46,48,51,51,48,49,54,55,32,
      46,48,51,52,56,56,57,55,32,46,48,51,56,48,56,48,57,32,46,48,52,49,51,56,50,
      32,46,48,52,52,56,48,50,55,32,46,48,52,56,51,54,56,57,32,46,48,53,50,48,55,
      55,32,46,48,53,53,57,49,55,54,32,46,48,53,57,56,52,57,56,32,46,48,54,51,56,
      50,57,54,10,32,32,46,48,54,55,56,48,53,51,32,46,48,55,49,55,55,49,32,46,48,
      55,53,55,51,55,55,32,46,48,56,48,53,52,50,51,32,46,48,56,53,52,56,56,55,32,
      46,48,57,50,52,52,55,50,32,46,49,48,48,48,49,57,32,46,49,48,56,50,50,53,32,
      46,49,49,56,56,56,55,32,46,49,50,56,51,54,51,10,32,32,46,49,51,52,50,52,51,
      32,46,49,51,54,52,53,49,32,46,49,51,56,55,50,54,32,46,49,52,56,55,56,50,32,
      46,49,54,51,55,52,32,46,49,55,57,50,50,57,32,46,49,57,53,51,52,50,32,46,50,
      49,49,55,51,51,32,46,50,50,55,56,50,55,32,46,50,52,50,51,57,57,32,46,50,53,
      50,56,50,49,10,32,32,46,50,53,50,52,55,52,32,46,50,51,53,49,55,50,32,46,50,
      48,50,49,52,49,32,46,49,55,52,49,50,53,32,46,49,56,57,54,52,32,46,50,50,53,
      54,49,55,32,46,50,56,48,56,54,32,46,51,52,53,53,49,55,32,46,52,48,51,51,55,
      54,32,46,52,53,49,51,52,57,32,46,52,56,56,49,48,50,10,32,32,46,53,48,54,57,
      57,50,32,46,53,48,57,54,51,54,32,46,52,57,53,57,32,46,52,54,53,57,56,50,32,
      46,52,51,56,50,48,53,32,46,52,48,57,55,49,54,32,46,51,55,55,55,55,49,32,46,
      51,51,52,55,55,49,32,46,50,55,53,56,57,51,32,46,50,51,56,55,57,57,32,46,50,
      50,54,53,55,49,10,32,32,46,50,50,55,57,50,53,32,46,50,51,49,55,52,50,32,46,
      50,51,49,49,56,57,32,46,50,51,55,51,53,56,32,46,50,53,53,53,54,32,46,50,56,
      48,55,56,52,32,46,50,57,55,51,57,56,32,46,50,57,53,49,48,56,32,46,50,55,54,
      53,56,50,32,46,50,53,56,51,49,54,32,46,50,50,53,52,52,54,10,32,32,46,49,57,
      55,49,52,51,32,46,49,55,48,52,48,55,32,46,49,52,53,53,51,50,32,46,49,51,49,
      55,54,54,32,46,49,50,55,53,54,50,32,46,49,50,57,54,54,51,32,46,49,51,51,52,
      56,53,32,46,49,51,55,50,54,49,32,46,49,52,49,50,52,57,32,46,49,52,51,57,57,
      53,10,32,32,46,49,52,53,56,55,52,32,46,49,52,53,52,49,54,32,46,49,52,50,50,
      48,52,32,46,49,51,50,55,56,52,32,46,49,49,57,54,57,49,32,46,49,49,49,53,55,
      57,32,46,49,48,51,56,55,56,32,46,48,57,51,48,53,57,53,32,46,48,56,51,49,54,
      54,56,32,46,48,55,56,55,56,57,53,10,32,32,46,48,55,51,55,52,54,56,32,46,48,
      55,49,56,53,54,49,32,46,48,55,48,53,52,49,56,32,46,48,56,48,49,53,54,51,32,
      46,48,55,54,54,50,51,55,32,46,48,55,53,50,50,50,32,46,48,55,50,54,49,55,51,
      32,46,48,54,57,56,55,50,49,32,46,48,54,55,54,56,52,54,10,32,32,46,48,54,53,
      53,56,51,51,32,46,48,54,51,54,57,49,54,32,46,48,54,49,56,57,52,56,32,46,48,
      53,57,57,55,54,56,32,46,48,53,56,51,51,53,32,46,48,53,54,53,56,56,56,32,46,
      48,53,53,51,52,53,32,46,48,53,51,51,56,55,53,32,46,48,53,50,50,50,56,56,32,
      46,48,53,48,56,51,49,52,10,32,32,46,48,52,55,55,53,48,49,32,46,48,52,51,56,
      54,53,54,32,46,48,52,48,52,51,50,56,32,46,48,51,54,53,55,52,53,32,46,48,51,
      51,49,51,55,50,32,46,48,50,57,52,57,48,53,32,46,48,50,54,55,57,53,57,32,46,
      48,50,50,57,57,50,50,32,46,48,49,57,52,53,57,51,10,32,32,46,48,49,55,55,48,
      55,56,32,46,48,49,53,57,53,51,55,32,46,48,49,51,57,48,52,53,32,46,48,49,50,
      51,52,53,49,32,46,48,49,48,57,55,51,49,32,46,48,48,57,54,48,51,48,56,32,46,
      48,48,56,52,49,52,52,54,32,46,48,48,55,53,48,50,54,57,32,46,48,48,54,54,57,
      53,48,53,10,32,32,46,48,48,53,57,55,56,54,57,32,46,48,48,53,50,53,55,55,55,
      32,46,48,48,52,53,53,52,53,53,32,46,48,48,51,56,56,55,50,57,32,46,48,48,51,
      51,55,51,56,57,32,46,48,48,50,56,56,53,50,54,32,46,48,48,50,53,48,56,50,55,
      32,46,48,48,50,49,56,50,48,51,10,32,32,46,48,48,49,56,55,48,52,55,32,46,48,
      48,49,53,56,54,57,57,32,46,48,48,49,51,57,56,52,55,32,46,48,48,49,50,48,56,
      55,49,32,46,48,48,49,48,54,51,55,55,32,46,48,48,48,57,50,56,52,51,52,32,46,
      48,48,48,56,49,48,54,57,32,46,48,48,48,55,48,56,49,52,57,10,32,32,46,48,48,
      48,54,49,56,56,50,51,32,46,48,48,48,53,52,48,57,53,57,32,46,48,48,48,52,55,
      51,48,54,49,32,46,48,48,48,52,49,51,56,50,50,32,46,48,48,48,51,54,50,49,49,
      54,32,46,48,48,48,51,49,54,57,54,55,32,46,48,48,48,50,55,55,53,50,54,32,46,
      48,48,48,50,52,51,48,52,57,10,32,32,46,48,48,48,50,49,50,57,50,32,46,48,48,
      48,49,56,54,53,55,51,32,46,48,48,48,49,54,51,53,50,54,32,46,48,48,48,49,52,
      51,51,53,57,32,46,48,48,48,49,50,53,55,49,53,32,46,48,48,48,49,49,48,50,53,
      57,32,57,46,54,55,49,55,101,45,48,53,32,56,46,52,56,54,48,53,101,45,48,53,10,
      32,32,55,46,52,52,55,49,53,101,45,48,53,32,54,46,53,51,54,54,52,101,45,48,53,
      32,53,46,55,51,56,52,54,101,45,48,53,32,53,46,48,51,56,54,50,101,45,48,53,32,
      52,46,52,50,53,50,53,101,45,48,53,32,51,46,56,56,54,56,50,101,45,48,53,32,51,
      46,52,49,52,52,52,101,45,48,53,10,32,32,50,46,57,57,57,57,50,101,45,48,53,32,
      50,46,54,51,54,48,57,101,45,48,53,32,50,46,51,49,54,55,49,101,45,48,53,32,50,
      46,48,51,54,51,49,101,45,48,53,32,49,46,55,56,57,56,55,101,45,48,53,32,49,46,
      53,55,51,54,51,101,45,48,53,32,49,46,52,50,51,55,57,101,45,48,53,10,32,32,49,
      46,50,56,56,51,50,101,45,48,53,32,49,46,49,54,53,56,49,101,45,48,53,32,49,46,
      48,53,53,48,52,101,45,48,53,32,57,46,53,52,57,56,49,101,45,48,54,32,56,46,53,
      51,51,53,55,101,45,48,54,32,55,46,52,48,49,53,54,101,45,48,54,32,54,46,52,50,
      48,53,53,101,45,48,54,10,32,32,53,46,53,55,48,50,55,101,45,48,54,32,52,46,56,
      51,51,49,54,101,45,48,54,32,52,46,49,57,52,48,56,101,45,48,54,32,51,46,54,51,
      57,57,50,101,45,48,54,32,51,46,49,53,57,51,52,101,45,48,54,32,50,46,55,52,50,
      53,101,45,48,54,32,50,46,51,56,48,57,49,101,45,48,54,10,32,32,50,46,48,54,55,
      50,101,45,48,54,32,49,46,55,57,53,48,49,101,45,48,54,32,49,46,53,53,56,56,49,
      101,45,48,54,32,49,46,51,53,51,56,49,101,45,48,54,32,49,46,49,55,53,56,57,101,
      45,48,54,32,49,46,48,50,49,52,52,101,45,48,54,32,56,46,56,55,51,53,101,45,48,
      55,10,32,32,55,46,55,48,57,51,101,45,48,55,32,54,46,54,57,56,52,50,101,45,48,
      55,32,53,46,56,50,48,53,53,101,45,48,55,32,53,46,48,53,56,49,51,101,45,48,55,
      32,52,46,51,57,52,56,54,101,45,48,55,32,51,46,56,50,48,55,101,45,48,55,32,51,
      46,51,50,49,101,45,48,55,10,32,32,50,46,56,56,54,56,53,101,45,48,55,32,50,46,
      53,48,57,54,52,101,45,48,55,32,50,46,49,56,49,56,55,101,45,48,55,32,49,46,56,
      57,55,48,51,101,45,48,55,32,49,46,54,52,57,52,57,101,45,48,55,32,49,46,52,51,
      52,51,51,101,45,48,55,32,49,46,50,52,55,51,50,101,45,48,55,10,32,32,49,46,48,
      56,52,55,54,101,45,48,55,32,57,46,52,51,52,52,55,101,45,48,56,32,56,46,50,48,
      53,56,57,101,45,48,56,32,55,46,49,51,55,55,50,101,45,48,56,32,54,46,50,48,56,
      57,53,101,45,48,56,32,53,46,52,48,49,51,52,101,45,48,56,32,52,46,48,56,56,50,
      51,101,45,48,56,10,32,32,51,46,48,57,52,57,53,101,45,48,56,32,50,46,51,52,51,
      53,51,101,45,48,56,32,49,46,55,55,52,56,56,101,45,48,56,32,49,46,51,52,52,52,
      55,101,45,48,56,32,49,46,48,49,56,54,51,101,45,48,56,32,55,46,55,49,56,56,54,
      101,45,48,57,32,53,46,56,53,48,49,49,101,45,48,57,10,32,32,52,46,52,51,52,53,
      50,101,45,48,57,32,51,46,51,54,50,48,49,101,45,48,57,32,50,46,53,52,57,50,56,
      101,45,48,57,32,49,46,57,51,51,51,101,45,48,57,32,49,46,52,54,54,51,55,101,
      45,48,57,32,49,46,49,49,50,51,55,101,45,48,57,32,56,46,52,51,57,52,51,101,45,
      49,48,10,32,32,54,46,52,48,51,54,56,101,45,49,48,32,52,46,56,53,57,54,101,45,
      49,48,32,51,46,54,56,56,50,57,101,45,49,48,32,50,46,55,57,57,54,52,101,45,49,
      48,32,50,46,49,50,53,51,53,101,45,49,48,32,49,46,54,49,51,54,52,101,45,49,48,
      32,49,46,50,50,53,50,55,101,45,49,48,10,32,32,57,46,51,48,52,54,57,101,45,49,
      49,32,55,46,48,54,54,55,49,101,45,49,49,32,53,46,51,54,55,53,56,101,45,49,49,
      32,52,46,48,55,55,51,57,101,45,49,49,32,51,46,48,57,55,54,49,101,45,49,49,32,
      50,46,51,53,51,52,57,101,45,49,49,32,49,46,55,56,56,51,53,101,45,49,49,10,32,
      32,55,46,56,48,56,52,55,101,45,48,56,32,51,46,49,51,49,49,51,101,45,48,55,32,
      55,46,48,53,49,48,56,101,45,48,55,32,55,46,56,48,57,48,55,101,45,48,55,32,51,
      46,49,51,50,48,55,101,45,48,54,32,55,46,48,53,54,49,53,101,45,48,54,32,49,46,
      50,53,53,50,50,101,45,48,53,10,32,32,49,46,57,54,51,52,52,101,45,48,53,32,51,
      46,53,48,55,49,54,101,45,48,53,32,52,46,55,55,56,50,55,101,45,48,53,32,54,46,
      50,52,56,57,52,101,45,48,53,32,55,46,57,49,56,54,51,101,45,48,53,32,57,46,55,
      56,56,54,55,101,45,48,53,32,46,48,48,48,49,49,56,54,49,54,10,32,32,46,48,48,
      48,49,52,49,51,56,57,32,46,48,48,48,49,54,54,50,49,52,32,46,48,48,48,49,57,
      51,49,49,51,32,46,48,48,48,50,50,50,49,32,46,48,48,48,50,53,51,49,57,32,46,
      48,48,48,50,56,54,52,48,55,32,46,48,48,48,51,50,49,55,54,53,32,46,48,48,48,
      51,53,57,50,53,49,10,32,32,46,48,48,48,51,57,56,57,48,50,32,46,48,48,48,52,
      52,48,55,52,55,32,46,48,48,48,52,56,52,56,48,50,32,46,48,48,48,53,51,49,48,
      50,57,32,46,48,48,48,53,55,57,52,51,32,46,48,48,48,54,51,48,48,56,32,46,48,
      48,48,54,56,50,57,55,54,32,46,48,48,48,55,51,56,49,50,49,10,32,32,46,48,48,
      48,55,57,53,51,54,56,32,46,48,48,48,56,53,52,56,55,53,32,46,48,48,48,57,49,
      54,54,52,56,32,46,48,48,48,57,56,48,55,48,54,32,46,48,48,49,48,52,54,57,32,
      46,48,48,49,49,49,53,50,52,32,46,48,48,49,49,56,53,56,53,32,46,48,48,49,50,
      53,56,55,52,10,32,32,46,48,48,49,51,51,51,57,49,32,46,48,48,49,52,49,49,32,
      46,48,48,49,52,57,48,51,55,32,46,48,48,49,53,55,50,48,50,32,46,48,48,49,54,
      53,53,57,53,32,46,48,48,49,55,52,49,57,52,32,46,48,48,49,56,51,48,48,49,32,
      46,48,48,49,57,50,48,51,56,32,46,48,48,50,48,49,51,48,50,10,32,32,46,48,48,
      50,49,48,55,57,49,32,46,48,48,50,50,48,52,55,53,32,46,48,48,50,51,48,51,56,
      52,32,46,48,48,50,52,48,53,50,51,32,46,48,48,50,53,48,56,57,32,46,48,48,50,
      54,49,52,55,50,32,46,48,48,50,55,50,50,54,57,32,46,48,48,50,56,51,50,57,54,
      32,46,48,48,50,57,52,53,53,50,10,32,32,46,48,48,51,48,54,48,51,56,32,46,48,
      48,51,49,55,55,52,54,32,46,48,48,51,50,57,54,56,50,32,46,48,48,51,52,49,56,
      53,50,32,46,48,48,51,53,52,50,53,49,32,46,48,48,51,54,54,56,57,49,32,46,48,
      48,51,55,57,55,54,56,32,46,48,48,51,57,50,56,56,32,46,48,48,52,48,54,50,50,
      54,10,32,32,46,48,48,52,49,57,56,48,56,32,46,48,48,52,51,51,54,54,32,46,48,
      48,52,52,55,55,52,55,32,46,48,48,52,54,50,48,55,51,32,46,48,48,52,55,54,54,
      51,55,32,46,48,48,52,57,49,52,55,50,32,46,48,48,53,48,54,53,55,32,46,48,48,
      53,50,49,57,49,50,32,46,48,48,53,51,55,52,57,53,10,32,32,46,48,48,53,53,51,
      51,50,57,32,46,48,48,53,54,57,52,54,49,32,46,48,48,53,56,53,56,52,49,32,46,
      48,48,54,48,50,52,55,32,46,48,48,54,49,57,51,52,56,32,46,48,48,54,51,54,53,
      48,52,32,46,48,48,54,53,51,57,50,56,32,46,48,48,54,55,49,54,48,55,32,46,48,
      48,54,56,57,53,52,53,10,32,32,46,48,48,55,48,55,55,51,50,32,46,48,48,55,50,
      54,49,54,55,32,46,48,48,55,52,52,56,55,49,32,46,48,48,55,54,51,56,50,57,32,
      46,48,48,55,56,51,48,51,52,32,46,48,48,56,48,50,52,51,52,32,46,48,48,56,50,
      50,48,53,57,32,46,48,48,56,52,49,57,53,55,10,32,32,46,48,48,56,54,50,49,48,
      51,32,46,48,48,56,56,50,52,55,32,46,48,48,57,48,50,56,55,51,32,46,48,48,57,
      50,51,53,50,50,32,46,48,48,57,52,52,52,49,52,32,46,48,48,57,54,53,53,53,50,
      32,46,48,48,57,56,54,54,55,32,46,48,49,48,48,55,56,55,32,46,48,49,48,50,57,
      51,49,10,32,32,46,48,49,48,53,48,57,57,32,46,48,49,48,55,50,56,50,32,46,48,
      49,48,57,52,51,52,32,46,48,49,49,49,54,49,49,32,46,48,49,49,51,56,49,49,32,
      46,48,49,49,54,48,51,53,32,46,48,49,49,56,50,50,57,32,46,48,49,50,48,52,49,
      56,32,46,48,49,50,50,54,51,10,32,32,46,48,49,50,52,56,54,56,32,46,48,49,50,
      55,49,49,53,32,46,48,49,50,57,51,48,49,32,46,48,49,51,49,53,49,51,32,46,48,
      49,51,51,55,53,49,32,46,48,49,51,54,48,50,50,32,46,48,49,51,56,50,52,57,32,
      46,48,49,52,48,52,54,54,32,46,48,49,52,50,55,49,54,10,32,32,46,48,49,52,52,
      57,57,53,32,46,48,49,52,55,50,56,55,32,46,48,49,52,57,53,50,50,32,46,48,49,
      53,49,55,57,50,32,46,48,49,53,52,48,57,52,32,46,48,49,53,54,52,51,32,46,48,
      49,53,56,55,51,51,32,46,48,49,54,49,48,52,32,46,48,49,54,51,51,56,51,32,46,
      48,49,54,53,55,53,57,10,32,32,46,48,49,54,56,49,53,53,32,46,48,49,55,48,53,
      49,55,32,46,48,49,55,50,57,49,54,32,46,48,49,55,53,51,53,50,32,46,48,49,55,
      55,56,49,55,32,46,48,49,56,48,50,55,54,32,46,48,49,56,50,55,52,55,32,46,48,
      49,56,53,50,53,53,32,46,48,49,56,55,55,57,52,10,32,32,46,48,49,57,48,51,53,
      55,32,46,48,49,57,50,57,49,53,32,46,48,49,57,53,53,48,54,32,46,48,49,57,56,
      49,50,57,32,46,48,50,48,48,55,56,50,32,46,48,50,48,51,52,52,53,32,46,48,50,
      48,54,49,51,50,32,46,48,50,48,56,56,52,55,32,46,48,50,49,49,53,57,49,10,32,
      32,46,48,50,49,52,51,54,50,32,46,48,50,49,55,49,53,32,46,48,50,49,57,57,54,
      54,32,46,48,50,50,50,56,48,56,32,46,48,50,50,53,54,55,56,32,46,48,50,50,56,
      53,55,53,32,46,48,50,51,49,52,57,57,32,46,48,50,51,52,52,52,54,32,46,48,50,
      51,55,52,49,57,10,32,32,46,48,50,52,48,52,50,32,46,48,50,52,51,52,53,55,32,
      46,48,50,52,54,53,49,56,32,46,48,50,53,48,54,50,57,32,46,48,50,54,48,52,48,
      49,32,46,48,50,55,53,50,49,51,32,46,48,51,48,48,51,54,49,32,46,48,51,50,54,
      50,51,57,32,46,48,51,53,50,57,49,55,10,32,32,46,48,51,56,48,53,56,49,32,46,
      48,52,48,57,50,50,54,32,46,48,52,51,56,56,49,49,32,46,48,52,54,57,48,55,53,
      32,46,48,52,57,57,55,50,53,32,46,48,53,51,48,52,32,46,48,53,54,49,48,53,50,
      32,46,48,53,57,49,55,53,49,32,46,48,54,50,56,57,54,55,32,46,48,54,54,55,50,
      57,54,10,32,32,46,48,55,50,49,51,49,53,32,46,48,55,56,48,52,56,54,32,46,48,
      56,52,53,55,49,57,32,46,48,57,51,52,48,56,49,32,46,49,48,50,48,50,53,32,46,
      49,48,56,53,57,49,32,46,49,49,50,56,51,52,32,46,49,49,54,50,57,50,32,46,49,
      50,52,57,54,51,32,46,49,51,54,53,57,54,10,32,32,46,49,52,56,52,50,49,32,46,
      49,54,48,56,52,50,32,46,49,55,51,56,48,56,32,46,49,56,55,48,56,54,32,46,50,
      48,48,48,49,50,32,46,50,49,48,56,55,52,32,46,50,49,52,57,49,52,32,46,50,48,
      53,54,51,54,32,46,49,56,50,50,48,54,32,46,49,54,48,54,32,46,49,55,52,57,54,
      55,10,32,32,46,50,48,54,49,57,50,32,46,50,53,50,56,57,53,32,46,51,48,54,51,
      57,49,32,46,51,53,52,48,50,53,32,46,51,57,52,49,54,53,32,46,52,50,54,53,49,
      55,32,46,52,52,53,52,56,53,32,46,52,53,50,48,57,55,32,46,52,52,53,56,56,57,
      32,46,52,50,54,48,55,49,10,32,32,46,52,48,53,55,49,50,32,46,51,56,51,51,56,
      56,32,46,51,53,54,53,52,56,32,46,51,49,56,56,51,52,32,46,50,54,53,53,53,54,
      32,46,50,51,49,51,53,51,32,46,50,50,48,49,55,56,32,46,50,50,49,55,53,32,46,
      50,50,53,55,54,56,32,46,50,50,53,53,54,56,32,46,50,51,49,55,56,52,10,32,32,
      46,50,52,57,53,48,56,32,46,50,55,51,57,53,54,32,46,50,57,48,49,54,55,32,46,
      50,56,56,51,48,50,32,46,50,55,48,55,53,32,46,50,53,51,50,56,49,32,46,50,50,
      49,54,53,55,32,46,49,57,52,50,53,32,46,49,54,56,50,50,49,32,46,49,52,51,57,
      48,56,32,46,49,51,48,52,50,53,10,32,32,46,49,50,54,51,51,49,32,46,49,50,56,
      52,51,54,32,46,49,51,50,50,51,52,32,46,49,51,53,57,56,54,32,46,49,51,57,57,
      52,57,32,46,49,52,50,54,56,32,46,49,52,52,53,53,53,32,46,49,52,52,49,52,32,
      46,49,52,48,57,57,49,32,46,49,51,49,55,50,49,32,46,49,49,56,56,48,56,10,32,
      32,46,49,49,48,55,57,56,32,46,49,48,51,49,56,56,32,46,48,57,50,52,56,55,32,
      46,48,56,50,54,57,51,52,32,46,48,55,56,51,53,55,54,32,46,48,55,51,51,54,50,
      49,32,46,48,55,49,52,56,57,54,32,46,48,55,48,49,57,48,54,32,46,48,55,57,55,
      51,54,56,32,46,48,55,54,50,51,56,51,10,32,32,46,48,55,52,56,52,57,53,32,46,
      48,55,50,50,54,55,57,32,46,48,54,57,53,52,54,51,32,46,48,54,55,51,55,55,32,
      46,48,54,53,50,57,50,56,32,46,48,54,51,52,49,53,57,32,46,48,54,49,54,51,50,
      56,32,46,48,53,57,55,50,56,57,32,46,48,53,56,48,57,56,57,10,32,32,46,48,53,
      54,51,54,52,56,32,46,48,53,53,49,50,57,52,32,46,48,53,51,49,56,52,56,32,46,
      48,53,50,48,51,51,54,32,46,48,53,48,54,52,52,57,32,46,48,52,55,53,56,50,52,
      32,46,48,52,51,55,49,57,57,32,46,48,52,48,51,48,53,51,32,46,48,51,54,52,54,
      54,49,10,32,32,46,48,51,51,48,52,52,53,32,46,48,50,57,52,49,51,51,32,46,48,
      50,54,55,50,57,50,32,46,48,50,50,57,51,57,51,32,46,48,49,57,52,49,50,50,32,
      46,48,49,55,54,54,54,50,32,46,48,49,53,57,49,55,52,32,46,48,49,51,56,55,52,
      32,46,48,49,50,51,49,56,56,10,32,32,46,48,49,48,57,53,48,53,32,46,48,48,57,
      53,56,51,56,56,32,46,48,48,56,51,57,56,49,51,32,46,48,48,55,52,56,56,52,54,
      32,46,48,48,54,54,56,50,54,51,32,46,48,48,53,57,54,55,56,51,32,46,48,48,53,
      50,52,56,52,50,32,46,48,48,52,53,52,54,54,54,32,46,48,48,51,56,56,48,55,51,
      10,32,32,46,48,48,51,51,54,56,51,49,32,46,48,48,50,56,56,48,53,57,32,46,48,
      48,50,53,48,52,50,57,32,46,48,48,50,49,55,56,54,51,32,46,48,48,49,56,54,55,
      54,32,46,48,48,49,53,56,52,54,32,46,48,48,49,51,57,54,52,55,32,46,48,48,49,
      50,48,55,49,54,32,46,48,48,49,48,54,50,53,52,10,32,32,46,48,48,48,57,50,55,
      52,57,32,46,48,48,48,56,48,57,57,54,57,32,46,48,48,48,55,48,55,54,49,53,32,
      46,48,48,48,54,49,56,52,50,57,32,46,48,48,48,53,52,48,54,50,51,32,46,48,48,
      48,52,55,50,55,55,51,32,46,48,48,48,52,49,51,53,55,54,32,46,48,48,48,51,54,
      49,57,48,53,10,32,32,46,48,48,48,51,49,54,55,56,54,32,46,48,48,48,50,55,55,
      51,55,49,32,46,48,48,48,50,52,50,57,49,54,32,46,48,48,48,50,49,50,56,48,54,
      32,46,48,48,48,49,56,54,52,55,53,32,46,48,48,48,49,54,51,52,52,49,32,46,48,
      48,48,49,52,51,50,56,54,32,46,48,48,48,49,50,53,54,53,50,10,32,32,46,48,48,
      48,49,49,48,50,48,53,32,57,46,54,54,55,48,51,101,45,48,53,32,56,46,52,56,50,
      48,50,101,45,48,53,32,55,46,52,52,51,54,52,101,45,48,53,32,54,46,53,51,51,54,
      50,101,45,48,53,32,53,46,55,51,53,56,55,101,45,48,53,32,53,46,48,51,54,51,54,
      101,45,48,53,10,32,32,52,46,52,50,51,50,56,101,45,48,53,32,51,46,56,56,53,49,
      50,101,45,48,53,32,51,46,52,49,50,57,56,101,45,48,53,32,50,46,57,57,56,54,52,
      101,45,48,53,32,50,46,54,51,52,57,56,101,45,48,53,32,50,46,51,49,53,55,53,101,
      45,48,53,32,50,46,48,51,53,52,56,101,45,48,53,10,32,32,49,46,55,56,57,49,53,
      101,45,48,53,32,49,46,53,55,51,101,45,48,53,32,49,46,52,50,51,50,51,101,45,
      48,53,32,49,46,50,56,55,56,49,101,45,48,53,32,49,46,49,54,53,51,55,101,45,48,
      53,32,49,46,48,53,52,54,51,101,45,48,53,32,57,46,53,52,54,49,51,101,45,48,54,
      10,32,32,56,46,53,51,48,51,51,101,45,48,54,32,55,46,51,57,56,55,57,101,45,48,
      54,32,54,46,52,49,56,49,55,101,45,48,54,32,53,46,53,54,56,50,49,101,45,48,54,
      32,52,46,56,51,49,52,101,45,48,54,32,52,46,49,57,50,53,55,101,45,48,54,32,51,
      46,54,51,56,54,51,101,45,48,54,10,32,32,51,46,49,53,56,50,51,101,45,48,54,32,
      50,46,55,52,49,53,53,101,45,48,54,32,50,46,51,56,48,48,57,101,45,48,54,32,50,
      46,48,54,54,53,101,45,48,54,32,49,46,55,57,52,52,101,45,48,54,32,49,46,53,53,
      56,50,56,101,45,48,54,32,49,46,51,53,51,51,54,101,45,48,54,10,32,32,49,46,49,
      55,53,53,101,45,48,54,32,49,46,48,50,49,49,101,45,48,54,32,56,46,56,55,48,54,
      52,101,45,48,55,32,55,46,55,48,54,56,51,101,45,48,55,32,54,46,54,57,54,50,56,
      101,45,48,55,32,53,46,56,49,56,55,50,101,45,48,55,32,53,46,48,53,54,53,54,101,
      45,48,55,10,32,32,52,46,51,57,51,53,49,101,45,48,55,32,51,46,56,49,57,53,50,
      101,45,48,55,32,51,46,51,49,57,57,55,101,45,48,55,32,50,46,56,56,53,57,55,101,
      45,48,55,32,50,46,53,48,56,56,57,101,45,48,55,32,50,46,49,56,49,50,50,101,45,
      48,55,32,49,46,56,57,54,52,54,101,45,48,55,10,32,32,49,46,54,52,56,57,57,101,
      45,48,55,32,49,46,52,51,51,57,49,101,45,48,55,32,49,46,50,52,54,57,54,101,45,
      48,55,32,49,46,48,56,52,52,53,101,45,48,55,32,57,46,52,51,49,55,57,101,45,48,
      56,32,56,46,50,48,51,53,56,101,45,48,56,32,55,46,49,51,53,55,49,101,45,48,56,
      10,32,32,54,46,50,48,55,50,101,45,48,56,32,53,46,51,57,57,56,50,101,45,48,56,
      32,52,46,48,56,55,49,50,101,45,48,56,32,51,46,48,57,52,49,49,101,45,48,56,32,
      50,46,51,52,50,56,57,101,45,48,56,32,49,46,55,55,52,52,50,101,45,48,56,32,49,
      46,51,52,52,49,50,101,45,48,56,10,32,32,49,46,48,49,56,51,54,101,45,48,56,32,
      55,46,55,49,54,56,55,101,45,48,57,32,53,46,56,52,56,54,50,101,45,48,57,32,52,
      46,52,51,51,52,101,45,48,57,32,51,46,51,54,49,49,55,101,45,48,57,32,50,46,53,
      52,56,54,53,101,45,48,57,32,49,46,57,51,50,56,50,101,45,48,57,10,32,32,49,46,
      52,54,54,48,49,101,45,48,57,32,49,46,49,49,50,49,101,45,48,57,32,56,46,52,51,
      55,51,54,101,45,49,48,32,54,46,52,48,50,49,49,101,45,49,48,32,52,46,56,53,56,
      52,49,101,45,49,48,32,51,46,54,56,55,52,101,45,49,48,32,50,46,55,57,56,57,56,
      101,45,49,48,10,32,32,50,46,49,50,52,56,52,101,45,49,48,32,49,46,54,49,51,50,
      54,101,45,49,48,32,49,46,50,50,52,57,56,101,45,49,48,32,57,46,51,48,50,53,50,
      101,45,49,49,32,55,46,48,54,53,49,101,45,49,49,32,53,46,51,54,54,51,52,101,
      45,49,49,32,52,46,48,55,54,52,53,101,45,49,49,10,32,32,51,46,48,57,54,57,101,
      45,49,49,32,50,46,51,53,50,57,54,101,45,49,49,32,49,46,55,56,55,57,54,101,45,
      49,49,32,54,46,53,57,55,50,57,101,45,48,56,32,50,46,54,52,53,52,52,101,45,48,
      55,32,53,46,57,53,55,50,57,101,45,48,55,32,54,46,53,57,55,54,57,101,45,48,55,
      10,32,32,50,46,54,52,54,48,54,101,45,48,54,32,53,46,57,54,48,52,52,101,45,48,
      54,32,49,46,48,54,48,48,51,101,45,48,53,32,49,46,54,53,55,52,54,101,45,48,53,
      32,50,46,53,54,55,48,56,101,45,48,53,32,51,46,57,51,53,51,53,101,45,48,53,32,
      53,46,49,52,53,53,54,101,45,48,53,10,32,32,54,46,53,49,56,55,51,101,45,48,53,
      32,56,46,48,53,53,55,56,101,45,48,53,32,57,46,55,53,56,53,53,101,45,48,53,32,
      46,48,48,48,49,49,54,50,56,49,32,46,48,48,48,49,51,54,54,52,54,32,46,48,48,
      48,49,53,56,54,57,56,32,46,48,48,48,49,56,50,52,52,55,10,32,32,46,48,48,48,
      50,48,55,56,57,57,32,46,48,48,48,50,51,53,48,55,51,32,46,48,48,48,50,54,51,
      57,55,54,32,46,48,48,48,50,57,52,54,48,49,32,46,48,48,48,51,50,54,57,55,50,
      32,46,48,48,48,51,54,49,49,48,56,32,46,48,48,48,51,57,55,48,50,49,32,46,48,
      48,48,52,51,52,54,56,53,10,32,32,46,48,48,48,52,55,52,49,48,49,32,46,48,48,
      48,53,49,53,51,50,50,32,46,48,48,48,53,53,56,51,52,50,32,46,48,48,48,54,48,
      51,49,54,53,32,46,48,48,48,54,52,57,54,57,54,32,46,48,48,48,54,57,56,48,51,
      57,32,46,48,48,48,55,52,56,49,57,54,32,46,48,48,48,56,48,48,49,56,50,10,32,
      32,46,48,48,48,56,53,51,56,57,53,32,46,48,48,48,57,48,57,51,53,52,32,46,48,
      48,48,57,54,54,54,50,50,32,46,48,48,49,48,50,53,55,50,32,46,48,48,49,48,56,
      54,54,52,32,46,48,48,49,49,52,57,49,54,32,46,48,48,49,50,49,51,52,57,32,46,
      48,48,49,50,55,57,54,53,10,32,32,46,48,48,49,51,52,55,54,53,32,46,48,48,49,
      52,49,55,51,49,32,46,48,48,49,52,56,56,54,56,32,46,48,48,49,53,54,49,56,56,
      32,46,48,48,49,54,51,54,56,57,32,46,48,48,49,55,49,51,55,51,32,46,48,48,49,
      55,57,50,49,54,32,46,48,48,49,56,55,50,52,32,46,48,48,49,57,53,52,52,57,10,
      32,32,46,48,48,50,48,51,56,51,57,32,46,48,48,50,49,50,52,48,53,32,46,48,48,
      50,50,49,49,52,52,32,46,48,48,50,51,48,48,54,54,32,46,48,48,50,51,57,49,55,
      51,32,46,48,48,50,52,56,52,54,52,32,46,48,48,50,53,55,57,51,51,32,46,48,48,
      50,54,55,53,56,54,10,32,32,46,48,48,50,55,55,52,50,53,32,46,48,48,50,56,55,
      52,52,56,32,46,48,48,50,57,55,54,54,50,32,46,48,48,51,48,56,48,54,54,32,46,
      48,48,51,49,56,54,53,55,32,46,48,48,51,50,57,52,51,53,32,46,48,48,51,52,48,
      52,48,50,32,46,48,48,51,53,49,53,56,32,46,48,48,51,54,50,57,52,54,10,32,32,
      46,48,48,51,55,52,53,48,51,32,46,48,48,51,56,54,50,52,57,32,46,48,48,51,57,
      56,50,48,57,32,46,48,48,52,49,48,51,55,54,32,46,48,48,52,50,50,55,51,54,32,
      46,48,48,52,51,53,50,56,56,32,46,48,48,52,52,56,48,52,32,46,48,48,52,54,49,
      48,50,52,32,46,48,48,52,55,52,50,48,52,10,32,32,46,48,48,52,56,55,53,56,50,
      32,46,48,48,53,48,49,49,53,57,32,46,48,48,53,49,52,57,53,52,32,46,48,48,53,
      50,56,57,53,57,32,46,48,48,53,52,51,49,54,55,32,46,48,48,53,53,55,53,56,49,
      32,46,48,48,53,55,50,49,57,50,32,46,48,48,53,56,55,32,46,48,48,54,48,50,48,
      50,50,10,32,32,46,48,48,54,49,55,50,52,54,32,46,48,48,54,51,50,54,54,54,32,
      46,48,48,54,52,56,50,52,54,32,46,48,48,54,54,52,48,48,56,32,46,48,48,54,55,
      57,57,56,56,32,46,48,48,54,57,54,49,54,53,32,46,48,48,55,49,50,53,50,32,46,
      48,48,55,50,56,57,50,51,32,46,48,48,55,52,53,53,50,50,10,32,32,46,48,48,55,
      54,50,51,49,51,32,46,48,48,55,55,57,51,48,49,32,46,48,48,55,57,54,50,57,55,
      32,46,48,48,56,49,51,51,55,49,32,46,48,48,56,51,48,54,51,57,32,46,48,48,56,
      52,56,48,57,56,32,46,48,48,56,54,53,54,57,49,32,46,48,48,56,56,51,48,56,52,
      10,32,32,46,48,48,57,48,48,54,55,49,32,46,48,48,57,49,56,52,52,55,32,46,48,
      48,57,51,54,52,49,54,32,46,48,48,57,53,52,49,57,53,32,46,48,48,57,55,49,57,
      53,53,32,46,48,48,57,56,57,57,49,49,32,46,48,49,48,48,56,48,54,32,46,48,49,
      48,50,54,51,49,32,46,48,49,48,52,52,49,52,10,32,32,46,48,49,48,54,50,49,56,
      32,46,48,49,48,56,48,52,51,32,46,48,49,48,57,56,57,52,32,46,48,49,49,49,55,
      49,54,32,46,48,49,49,51,53,51,52,32,46,48,49,49,53,51,55,55,32,46,48,49,49,
      55,50,52,52,32,46,48,49,49,57,49,50,50,32,46,48,49,50,48,57,54,52,10,32,32,
      46,48,49,50,50,56,51,50,32,46,48,49,50,52,55,50,54,32,46,48,49,50,54,54,52,
      53,32,46,48,49,50,56,53,52,53,32,46,48,49,51,48,52,53,49,32,46,48,49,51,50,
      51,56,52,32,46,48,49,51,52,51,52,51,32,46,48,49,51,54,51,49,57,32,46,48,49,
      51,56,50,55,53,10,32,32,46,48,49,52,48,50,53,56,32,46,48,49,52,50,50,55,32,
      46,48,49,52,52,51,48,53,32,46,48,49,52,54,51,51,56,32,46,48,49,52,56,51,56,
      52,32,46,48,49,53,48,52,53,55,32,46,48,49,53,50,53,53,52,32,46,48,49,53,52,
      54,55,32,46,48,49,53,54,55,56,54,32,46,48,49,53,56,57,50,55,10,32,32,46,48,
      49,54,49,48,57,52,32,46,48,49,54,51,50,56,51,32,46,48,49,54,53,52,56,51,32,
      46,48,49,54,55,55,48,49,32,46,48,49,54,57,57,52,49,32,46,48,49,55,50,50,48,
      52,32,46,48,49,55,52,52,56,55,32,46,48,49,55,54,55,56,55,32,46,48,49,55,57,
      49,48,54,10,32,32,46,48,49,56,49,52,52,55,32,46,48,49,56,51,56,48,57,32,46,
      48,49,56,54,49,57,51,32,46,48,49,56,56,53,57,56,32,46,48,49,57,49,48,50,50,
      32,46,48,49,57,51,52,54,53,32,46,48,49,57,53,57,51,49,32,46,48,49,57,56,52,
      50,51,32,46,48,50,48,48,57,51,52,10,32,32,46,48,50,48,52,51,48,55,32,46,48,
      50,49,50,51,49,50,32,46,48,50,50,52,52,50,32,46,48,50,52,52,57,48,55,32,46,
      48,50,54,53,56,55,57,32,46,48,50,56,55,51,56,54,32,46,48,51,48,57,53,53,54,
      32,46,48,51,51,50,51,57,56,32,46,48,51,53,53,56,57,51,10,32,32,46,48,51,55,
      57,56,55,55,32,46,48,52,48,52,49,53,52,32,46,48,52,50,56,52,55,52,32,46,48,
      52,53,50,56,48,53,32,46,48,52,55,55,49,57,49,32,46,48,53,48,54,55,52,55,32,
      46,48,53,51,55,49,52,49,32,46,48,53,55,57,56,55,52,32,46,48,54,50,54,54,52,
      56,10,32,32,46,48,54,55,56,53,51,54,32,46,48,55,53,48,53,49,55,32,46,48,56,
      50,52,57,53,52,32,46,48,56,56,56,55,50,55,32,46,48,57,51,57,51,49,50,32,46,
      48,57,55,56,57,57,55,32,46,49,48,53,51,54,56,32,46,49,49,52,53,50,56,32,46,
      49,50,51,55,32,46,49,51,51,52,52,51,10,32,32,46,49,52,51,56,53,51,32,46,49,
      53,52,56,56,54,32,46,49,54,54,50,49,57,32,46,49,55,54,55,56,49,32,46,49,56,
      51,51,49,49,32,46,49,55,57,54,51,49,32,46,49,54,51,55,51,52,32,46,49,52,55,
      53,54,51,32,46,49,54,48,56,49,56,32,46,49,56,55,55,54,52,10,32,32,46,50,50,
      55,48,50,55,32,46,50,55,49,49,49,57,32,46,51,49,48,50,57,53,32,46,51,52,51,
      57,50,53,32,46,51,55,50,51,53,52,32,46,51,57,48,56,56,32,46,52,48,48,49,57,
      52,32,46,51,57,57,55,52,52,32,46,51,56,56,49,55,54,32,46,51,55,52,49,57,52,
      32,46,51,53,55,51,55,57,10,32,32,46,51,51,53,50,54,55,32,46,51,48,50,54,48,
      53,32,46,50,53,52,56,52,49,32,46,50,50,51,53,53,49,32,46,50,49,51,52,52,54,
      32,46,50,49,53,50,51,54,32,46,50,49,57,52,53,50,32,46,50,49,57,54,49,50,32,
      46,50,50,53,56,54,57,32,46,50,52,51,48,56,56,10,32,32,46,50,54,54,55,50,50,
      32,46,50,56,50,53,48,52,32,46,50,56,49,48,55,53,32,46,50,54,52,53,51,57,32,
      46,50,52,55,57,48,55,32,46,50,49,55,53,57,53,32,46,49,57,49,49,51,57,32,46,
      49,54,53,56,54,52,32,46,49,52,50,49,53,51,32,46,49,50,56,57,55,53,10,32,32,
      46,49,50,52,57,57,56,32,46,49,50,55,49,48,56,32,46,49,51,48,56,56,32,46,49,
      51,52,54,48,52,32,46,49,51,56,53,52,49,32,46,49,52,49,50,53,52,32,46,49,52,
      51,49,50,53,32,46,49,52,50,55,53,54,32,46,49,51,57,54,55,54,32,46,49,51,48,
      53,54,56,32,46,49,49,55,56,53,10,32,32,46,49,48,57,57,52,57,32,46,49,48,50,
      52,51,55,32,46,48,57,49,56,54,52,32,46,48,56,50,49,55,56,52,32,46,48,55,55,
      56,56,55,54,32,46,48,55,50,57,52,51,50,32,46,48,55,49,48,57,48,51,32,46,48,
      54,57,56,48,55,57,32,46,48,55,57,50,56,48,50,32,46,48,55,53,56,49,56,51,10,
      32,32,46,48,55,52,52,52,51,54,32,46,48,55,49,56,56,55,52,32,46,48,54,57,49,
      57,49,53,32,46,48,54,55,48,52,50,50,32,46,48,54,52,57,55,54,54,32,46,48,54,
      51,49,49,53,57,32,46,48,54,49,51,52,55,52,32,46,48,53,57,52,53,56,55,32,46,
      48,53,55,56,52,49,50,10,32,32,46,48,53,54,49,50,48,51,32,46,48,53,52,56,57,
      52,32,46,48,53,50,57,54,51,54,32,46,48,53,49,56,50,48,54,32,46,48,53,48,52,
      52,49,53,32,46,48,52,55,51,57,57,52,32,46,48,52,51,53,54,49,32,46,48,52,48,
      49,54,54,50,32,46,48,51,54,51,52,55,56,32,46,48,51,50,57,52,51,51,10,32,32,
      46,48,50,57,51,50,56,57,32,46,48,50,54,54,53,54,52,32,46,48,50,50,56,56,49,
      52,32,46,48,49,57,51,54,50,51,32,46,48,49,55,54,50,50,50,32,46,48,49,53,56,
      55,57,32,46,48,49,51,56,52,49,57,32,46,48,49,50,50,57,49,50,32,46,48,49,48,
      57,50,54,55,10,32,32,46,48,48,57,53,54,51,55,49,32,46,48,48,56,51,56,48,57,
      56,32,46,48,48,55,52,55,51,53,54,32,46,48,48,54,54,54,57,54,52,32,46,48,48,
      53,57,53,54,52,56,32,46,48,48,53,50,51,56,54,56,32,46,48,48,52,53,51,56,52,
      51,32,46,48,48,51,56,55,51,56,56,10,32,32,46,48,48,51,51,54,50,53,32,46,48,
      48,50,56,55,53,55,52,32,46,48,48,50,53,48,48,49,52,32,46,48,48,50,49,55,53,
      48,57,32,46,48,48,49,56,54,52,54,51,32,46,48,48,49,53,56,50,49,50,32,46,48,
      48,49,51,57,52,51,50,32,46,48,48,49,50,48,53,51,51,32,46,48,48,49,48,54,48,
      57,54,10,32,32,46,48,48,48,57,50,54,49,50,49,32,46,48,48,48,56,48,56,55,57,
      32,46,48,48,48,55,48,54,53,57,54,32,46,48,48,48,54,49,55,53,53,52,32,46,48,
      48,48,53,51,57,57,50,55,32,46,48,48,48,52,55,50,50,50,52,32,46,48,48,48,52,
      49,51,49,52,53,32,46,48,48,48,51,54,49,53,55,51,10,32,32,46,48,48,48,51,49,
      54,53,51,50,32,46,48,48,48,50,55,55,49,56,49,32,46,48,48,48,50,52,50,55,55,
      53,32,46,48,48,48,50,49,50,54,56,52,32,46,48,48,48,49,56,54,51,55,32,46,48,
      48,48,49,54,51,51,53,50,32,46,48,48,48,49,52,51,50,48,57,32,46,48,48,48,49,
      50,53,53,56,53,10,32,32,46,48,48,48,49,49,48,49,52,56,32,57,46,54,54,50,48,
      57,101,45,48,53,32,56,46,52,55,55,55,52,101,45,48,53,32,55,46,52,51,57,57,55,
      101,45,48,53,32,54,46,53,51,48,52,54,101,45,48,53,32,53,46,55,51,51,49,49,101,
      45,48,53,32,53,46,48,51,51,57,56,101,45,48,53,10,32,32,52,46,52,50,49,50,51,
      101,45,48,53,32,51,46,56,56,51,51,52,101,45,48,53,32,51,46,52,49,49,52,50,101,
      45,48,53,32,50,46,57,57,55,51,101,45,48,53,32,50,46,54,51,51,56,50,101,45,48,
      53,32,50,46,51,49,52,55,53,101,45,48,53,32,50,46,48,51,52,54,101,45,48,53,10,
      32,32,49,46,55,56,56,51,57,101,45,48,53,32,49,46,53,55,50,51,53,101,45,48,53,
      32,49,46,52,50,50,54,52,101,45,48,53,32,49,46,50,56,55,50,57,101,45,48,53,32,
      49,46,49,54,52,56,57,101,45,48,53,32,49,46,48,53,52,50,49,101,45,48,53,32,57,
      46,53,52,50,51,52,101,45,48,54,10,32,32,56,46,53,50,54,57,53,101,45,48,54,32,
      55,46,51,57,53,56,57,101,45,48,54,32,54,46,52,49,53,54,57,101,45,48,54,32,53,
      46,53,54,54,48,56,101,45,48,54,32,52,46,56,50,57,53,54,101,45,48,54,32,52,46,
      49,57,49,101,45,48,54,32,51,46,54,51,55,50,56,101,45,48,54,10,32,32,51,46,49,
      53,55,48,55,101,45,48,54,32,50,46,55,52,48,53,53,101,45,48,54,32,50,46,51,55,
      57,50,51,101,45,48,54,32,50,46,48,54,53,55,54,101,45,48,54,32,49,46,55,57,51,
      55,55,101,45,48,54,32,49,46,53,53,55,55,52,101,45,48,54,32,49,46,51,53,50,57,
      101,45,48,54,10,32,32,49,46,49,55,53,49,101,45,48,54,32,49,46,48,50,48,55,54,
      101,45,48,54,32,56,46,56,54,55,54,54,101,45,48,55,32,55,46,55,48,52,50,57,101,
      45,48,55,32,54,46,54,57,52,49,101,45,48,55,32,53,46,56,49,54,56,50,101,45,48,
      55,32,53,46,48,53,52,57,50,101,45,48,55,10,32,32,52,46,51,57,50,49,49,101,45,
      48,55,32,51,46,56,49,56,51,49,101,45,48,55,32,51,46,51,49,56,57,51,101,45,48,
      55,32,50,46,56,56,53,48,55,101,45,48,55,32,50,46,53,48,56,49,101,45,48,55,32,
      50,46,49,56,48,53,52,101,45,48,55,32,49,46,56,57,53,56,56,101,45,48,55,10,32,
      32,49,46,54,52,56,52,57,101,45,48,55,32,49,46,52,51,51,52,56,101,45,48,55,32,
      49,46,50,52,54,53,57,101,45,48,55,32,49,46,48,56,52,49,51,101,45,48,55,32,57,
      46,52,50,57,48,49,101,45,48,56,32,56,46,50,48,49,49,55,101,45,48,56,32,55,46,
      49,51,51,54,53,101,45,48,56,10,32,32,54,46,50,48,53,52,51,101,45,48,56,32,53,
      46,51,57,56,50,56,101,45,48,56,32,52,46,48,56,53,57,54,101,45,48,56,32,51,46,
      48,57,51,50,53,101,45,48,56,32,50,46,51,52,50,50,53,101,45,48,56,32,49,46,55,
      55,51,57,51,101,45,48,56,32,49,46,51,52,51,55,55,101,45,48,56,10,32,32,49,46,
      48,49,56,48,57,101,45,48,56,32,55,46,55,49,52,56,50,101,45,48,57,32,53,46,56,
      52,55,49,49,101,45,48,57,32,52,46,52,51,50,50,56,101,45,48,57,32,51,46,51,54,
      48,51,49,101,45,48,57,32,50,46,53,52,56,48,49,101,45,48,57,32,49,46,57,51,50,
      51,52,101,45,48,57,10,32,32,49,46,52,54,53,54,52,101,45,48,57,32,49,46,49,49,
      49,56,50,101,45,48,57,32,56,46,52,51,53,50,50,101,45,49,48,32,54,46,52,48,48,
      53,50,101,45,49,48,32,52,46,56,53,55,50,51,101,45,49,48,32,51,46,54,56,54,53,
      49,101,45,49,48,32,50,46,55,57,56,50,57,101,45,49,48,10,32,32,50,46,49,50,52,
      51,51,101,45,49,48,32,49,46,54,49,50,56,55,101,45,49,48,32,49,46,50,50,52,54,
      57,101,45,49,48,32,57,46,51,48,48,51,52,101,45,49,49,32,55,46,48,54,51,52,52,
      101,45,49,49,32,53,46,51,54,53,48,57,101,45,49,49,32,52,46,48,55,53,53,49,101,
      45,49,49,10,32,32,51,46,48,57,54,49,57,101,45,49,49,32,50,46,51,53,50,52,50,
      101,45,49,49,32,49,46,55,56,55,53,53,101,45,49,49,32,53,46,55,50,48,48,57,101,
      45,48,56,32,50,46,50,57,51,54,57,101,45,48,55,32,53,46,49,54,53,49,52,101,45,
      48,55,32,53,46,55,50,48,51,55,101,45,48,55,10,32,32,50,46,50,57,52,49,49,101,
      45,48,54,32,53,46,49,54,55,50,49,101,45,48,54,32,57,46,49,56,55,56,55,101,45,
      48,54,32,49,46,52,51,54,49,56,101,45,48,53,32,50,46,48,55,49,49,101,45,48,53,
      32,51,46,51,50,56,48,49,101,45,48,53,32,52,46,51,53,48,57,50,101,45,48,53,10,
      32,32,53,46,53,49,48,57,52,101,45,48,53,32,54,46,56,48,56,55,55,101,45,48,53,
      32,56,46,50,52,53,56,101,45,48,53,32,57,46,56,50,50,55,50,101,45,48,53,32,46,
      48,48,48,49,49,53,51,57,54,32,46,48,48,48,49,51,51,57,55,54,32,46,48,48,48,
      49,53,51,57,55,52,10,32,32,46,48,48,48,49,55,53,51,57,51,32,46,48,48,48,49,
      57,56,50,52,54,32,46,48,48,48,50,50,50,53,51,55,32,46,48,48,48,50,52,56,50,
      54,51,32,46,48,48,48,50,55,53,52,51,56,32,46,48,48,48,51,48,52,48,55,54,32,
      46,48,48,48,51,51,52,49,56,53,32,46,48,48,48,51,54,53,55,52,55,10,32,32,46,
      48,48,48,51,57,56,55,54,51,32,46,48,48,48,52,51,51,50,55,32,46,48,48,48,52,
      54,57,50,54,50,32,46,48,48,48,53,48,54,55,52,49,32,46,48,48,48,53,52,53,54,
      52,54,32,46,48,48,48,53,56,54,48,52,54,32,46,48,48,48,54,50,55,57,52,50,32,
      46,48,48,48,54,55,49,51,52,52,10,32,32,46,48,48,48,55,49,54,49,56,53,32,46,
      48,48,48,55,54,50,52,55,56,32,46,48,48,48,56,49,48,50,54,51,32,46,48,48,48,
      56,53,57,53,53,51,32,46,48,48,48,57,49,48,51,53,32,46,48,48,48,57,54,50,52,
      57,53,32,46,48,48,49,48,49,54,49,52,32,46,48,48,49,48,55,49,50,57,10,32,32,
      46,48,48,49,49,50,55,57,53,32,46,48,48,49,49,56,54,48,49,32,46,48,48,49,50,
      52,53,53,32,46,48,48,49,51,48,54,53,32,46,48,48,49,51,54,56,57,57,32,46,48,
      48,49,52,51,50,57,56,32,46,48,48,49,52,57,56,51,51,32,46,48,48,49,53,54,53,
      49,55,32,46,48,48,49,54,51,51,53,50,10,32,32,46,48,48,49,55,48,51,51,56,32,
      46,48,48,49,55,55,52,54,57,32,46,48,48,49,56,52,55,52,53,32,46,48,48,49,57,
      50,49,55,50,32,46,48,48,49,57,57,55,53,32,46,48,48,50,48,55,52,56,32,46,48,
      48,50,49,53,51,53,56,32,46,48,48,50,50,51,51,56,55,32,46,48,48,50,51,49,53,
      54,57,10,32,32,46,48,48,50,51,57,57,48,50,32,46,48,48,50,52,56,51,57,50,32,
      46,48,48,50,53,55,48,51,55,32,46,48,48,50,54,53,56,51,54,32,46,48,48,50,55,
      52,55,56,57,32,46,48,48,50,56,51,56,57,54,32,46,48,48,50,57,51,49,55,52,32,
      46,48,48,51,48,50,54,48,53,10,32,32,46,48,48,51,49,50,49,57,51,32,46,48,48,
      51,50,49,57,51,54,32,46,48,48,51,51,49,56,53,49,32,46,48,48,51,52,49,57,51,
      51,32,46,48,48,51,53,50,49,55,51,32,46,48,48,51,54,50,53,55,49,32,46,48,48,
      51,55,51,49,51,49,32,46,48,48,51,56,51,56,55,53,10,32,32,46,48,48,51,57,52,
      55,55,57,32,46,48,48,52,48,53,56,52,53,32,46,48,48,52,49,55,48,55,51,32,46,
      48,48,52,50,56,52,55,53,32,46,48,48,52,52,48,48,52,56,32,46,48,48,52,53,49,
      55,56,53,32,46,48,48,52,54,51,54,57,32,46,48,48,52,55,53,55,53,53,32,46,48,
      48,52,56,55,57,56,10,32,32,46,48,48,53,48,48,51,56,32,46,48,48,53,49,50,57,
      52,51,32,46,48,48,53,50,53,54,54,54,32,46,48,48,53,51,56,53,50,52,32,46,48,
      48,53,53,49,53,51,51,32,46,48,48,53,54,52,55,50,32,46,48,48,53,55,56,48,54,
      54,32,46,48,48,53,57,49,53,54,32,46,48,48,54,48,53,49,49,51,10,32,32,46,48,
      48,54,49,56,56,50,52,32,46,48,48,54,51,50,54,57,51,32,46,48,48,54,52,54,55,
      50,50,32,46,48,48,54,54,48,55,56,50,32,46,48,48,54,55,52,57,49,57,32,46,48,
      48,54,56,57,50,49,53,32,46,48,48,55,48,51,54,54,56,32,46,48,48,55,49,56,50,
      51,56,10,32,32,46,48,48,55,51,50,54,57,52,32,46,48,48,55,52,55,51,48,56,32,
      46,48,48,55,54,50,48,55,56,32,46,48,48,55,55,55,48,48,53,32,46,48,48,55,57,
      49,56,50,54,32,46,48,48,56,48,54,54,53,55,32,46,48,48,56,50,49,54,52,57,32,
      46,48,48,56,51,54,56,48,49,10,32,32,46,48,48,56,53,50,48,52,32,46,48,48,56,
      54,55,48,49,57,32,46,48,48,56,56,50,49,54,53,32,46,48,48,56,57,55,52,56,50,
      32,46,48,48,57,49,51,48,48,54,32,46,48,48,57,50,56,51,53,57,32,46,48,48,57,
      52,51,55,48,54,32,46,48,48,57,53,57,50,53,54,32,46,48,48,57,55,52,57,57,55,
      10,32,32,46,48,48,57,57,48,56,51,53,32,46,48,49,48,48,54,52,53,32,46,48,49,
      48,50,50,50,57,32,46,48,49,48,51,56,51,50,32,46,48,49,48,53,52,53,53,32,46,
      48,49,48,55,48,54,56,32,46,48,49,48,56,54,56,55,32,46,48,49,49,48,51,50,57,
      32,46,48,49,49,49,57,57,10,32,32,46,48,49,49,51,54,54,53,32,46,48,49,49,53,
      51,51,32,46,48,49,49,55,48,49,55,32,46,48,49,49,56,55,50,54,32,46,48,49,50,
      48,52,53,51,32,46,48,49,50,50,49,56,49,32,46,48,49,50,51,57,50,49,32,46,48,
      49,50,53,54,56,51,32,46,48,49,50,55,52,54,51,10,32,32,46,48,49,50,57,50,53,
      57,32,46,48,49,51,49,48,53,56,32,46,48,49,51,50,56,55,55,32,46,48,49,51,52,
      55,49,53,32,46,48,49,51,54,53,55,50,32,46,48,49,51,56,52,51,56,32,46,48,49,
      52,48,51,50,32,46,48,49,52,50,50,50,32,46,48,49,52,52,49,51,55,32,46,48,49,
      52,54,48,55,49,10,32,32,46,48,49,52,56,48,49,57,32,46,48,49,52,57,57,56,51,
      32,46,48,49,53,49,57,54,52,32,46,48,49,53,51,57,54,50,32,46,48,49,53,53,57,
      55,56,32,46,48,49,53,56,48,49,49,32,46,48,49,54,48,48,53,56,32,46,48,49,54,
      50,49,50,50,32,46,48,49,54,52,50,48,52,10,32,32,46,48,49,54,54,51,48,54,32,
      46,48,49,54,56,52,50,52,32,46,48,49,55,49,50,54,56,32,46,48,49,55,56,48,48,
      55,32,46,48,49,56,56,49,56,53,32,46,48,50,48,53,51,52,57,32,46,48,50,50,50,
      56,51,52,32,46,48,50,52,48,54,55,53,32,46,48,50,53,56,57,54,10,32,32,46,48,
      50,55,55,54,57,57,32,46,48,50,57,54,56,56,54,32,46,48,51,49,54,52,49,52,32,
      46,48,51,51,54,49,53,55,32,46,48,51,53,53,57,52,51,32,46,48,51,55,53,55,53,
      32,46,48,51,57,53,54,48,53,32,46,48,52,49,57,54,53,49,32,46,48,52,52,52,51,
      48,52,10,32,32,46,48,52,55,56,55,57,52,32,46,48,53,49,54,51,48,53,32,46,48,
      53,53,55,56,52,56,32,46,48,54,49,54,49,48,50,32,46,48,54,55,56,54,52,50,32,
      46,48,55,51,54,52,55,55,32,46,48,55,56,56,49,50,53,32,46,48,56,50,56,55,52,
      51,32,46,48,56,57,51,49,49,10,32,32,46,48,57,54,54,51,55,53,32,46,49,48,51,
      56,56,51,32,46,49,49,49,54,55,49,32,46,49,50,48,49,54,49,32,46,49,50,57,52,
      48,52,32,46,49,51,57,50,56,32,46,49,52,57,49,52,57,32,46,49,53,54,56,55,32,
      46,49,53,54,57,52,32,46,49,52,54,56,48,55,32,46,49,51,53,49,53,53,10,32,32,
      46,49,52,55,51,52,51,32,46,49,55,48,52,57,50,32,46,50,48,51,51,54,52,32,46,
      50,51,57,54,53,32,46,50,55,49,57,49,54,32,46,51,48,48,49,55,53,32,46,51,50,
      53,49,52,52,32,46,51,52,50,56,54,56,32,46,51,53,51,56,53,56,32,46,51,53,55,
      54,51,32,46,51,53,50,54,50,56,10,32,32,46,51,52,52,48,48,52,32,46,51,51,50,
      48,48,52,32,46,51,49,52,49,57,51,32,46,50,56,54,50,55,57,32,46,50,52,51,56,
      53,57,32,46,50,49,53,52,54,52,32,46,50,48,54,52,51,49,32,46,50,48,56,52,51,
      54,32,46,50,49,50,56,52,51,32,46,50,49,51,51,54,53,10,32,32,46,50,49,57,54,
      53,55,32,46,50,51,54,51,52,55,32,46,50,53,57,49,51,51,32,46,50,55,52,52,54,
      54,32,46,50,55,51,52,55,57,32,46,50,53,55,57,56,57,32,46,50,52,50,50,50,51,
      32,46,50,49,51,50,56,49,32,46,49,56,55,56,50,52,32,46,49,54,51,51,52,54,10,
      32,32,46,49,52,48,50,55,51,32,46,49,50,55,52,50,49,32,46,49,50,51,53,54,55,
      32,46,49,50,53,54,56,51,32,46,49,50,57,52,50,54,32,46,49,51,51,49,50,49,32,
      46,49,51,55,48,50,56,32,46,49,51,57,55,50,50,32,46,49,52,49,53,56,57,32,46,
      49,52,49,50,54,56,10,32,32,46,49,51,56,50,54,50,32,46,49,50,57,51,50,55,32,
      46,49,49,54,56,49,56,32,46,49,48,57,48,51,52,32,46,49,48,49,54,50,56,32,46,
      48,57,49,49,57,50,50,32,46,48,56,49,54,50,50,50,32,46,48,55,55,51,55,57,57,
      32,46,48,55,50,52,57,48,53,32,46,48,55,48,54,53,56,56,10,32,32,46,48,54,57,
      51,57,52,53,32,46,48,55,56,55,56,54,54,32,46,48,55,53,51,54,52,53,32,46,48,
      55,52,48,48,53,32,46,48,55,49,52,55,54,51,32,46,48,54,56,56,48,56,49,32,46,
      48,54,54,54,56,48,51,32,46,48,54,52,54,51,52,53,32,46,48,54,50,55,57,49,32,
      46,48,54,49,48,51,56,53,10,32,32,46,48,53,57,49,54,54,52,32,46,48,53,55,53,
      54,50,55,32,46,48,53,53,56,53,54,50,32,46,48,53,52,54,52,32,46,48,53,50,55,
      50,52,57,32,46,48,53,49,53,57,48,55,32,46,48,53,48,50,50,49,56,32,46,48,52,
      55,50,48,49,52,32,46,48,52,51,51,56,56,56,32,46,48,52,48,48,49,53,53,10,32,
      32,46,48,51,54,50,49,57,54,32,46,48,51,50,56,51,51,54,32,46,48,50,57,50,51,
      55,52,32,46,48,50,54,53,55,55,53,32,46,48,50,50,56,49,56,55,32,46,48,49,57,
      51,48,57,32,46,48,49,55,53,55,53,57,32,46,48,49,53,56,51,56,54,32,46,48,49,
      51,56,48,56,49,10,32,32,46,48,49,50,50,54,50,50,32,46,48,49,48,57,48,49,55,
      32,46,48,48,57,53,52,50,53,57,32,46,48,48,56,51,54,51,48,54,32,46,48,48,55,
      52,53,55,57,55,32,46,48,48,54,54,53,54,48,54,32,46,48,48,53,57,52,52,54,52,
      32,46,48,48,53,50,50,56,53,50,32,46,48,48,52,53,50,57,56,54,10,32,32,46,48,
      48,51,56,54,54,55,55,32,46,48,48,51,51,53,54,52,55,32,46,48,48,50,56,55,48,
      54,57,32,46,48,48,50,52,57,53,56,53,32,46,48,48,50,49,55,49,52,51,32,46,48,
      48,49,56,54,49,53,53,32,46,48,48,49,53,55,57,53,55,32,46,48,48,49,51,57,50,
      49,32,46,48,48,49,50,48,51,52,52,10,32,32,46,48,48,49,48,53,57,51,50,32,46,
      48,48,48,57,50,52,55,48,57,32,46,48,48,48,56,48,55,53,55,52,32,46,48,48,48,
      55,48,53,53,52,54,32,46,48,48,48,54,49,54,54,52,57,32,46,48,48,48,53,51,57,
      49,52,53,32,46,48,48,48,52,55,49,53,52,54,32,46,48,48,48,52,49,50,53,54,49,
      10,32,32,46,48,48,48,51,54,49,48,54,53,32,46,48,48,48,51,49,54,48,57,50,32,
      46,48,48,48,50,55,54,56,32,46,48,48,48,50,52,50,52,52,55,32,46,48,48,48,50,
      49,50,52,50,49,32,46,48,48,48,49,56,54,49,54,49,32,46,48,48,48,49,54,51,49,
      56,54,32,46,48,48,48,49,52,51,48,56,10,32,32,46,48,48,48,49,50,53,52,56,54,
      32,46,48,48,48,49,49,48,48,55,50,32,57,46,54,53,54,52,56,101,45,48,53,32,56,
      46,52,55,51,50,55,101,45,48,53,32,55,46,52,51,54,49,50,101,45,48,53,32,54,46,
      53,50,55,49,49,101,45,48,53,32,53,46,55,51,48,50,50,101,45,48,53,10,32,32,53,
      46,48,51,49,52,57,101,45,48,53,32,52,46,52,49,57,48,54,101,45,48,53,32,51,46,
      56,56,49,52,55,101,45,48,53,32,51,46,52,48,57,56,49,101,45,48,53,32,50,46,57,
      57,53,56,57,101,45,48,53,32,50,46,54,51,50,54,49,101,45,48,53,32,50,46,51,49,
      51,54,57,101,45,48,53,10,32,32,50,46,48,51,51,54,57,101,45,48,53,32,49,46,55,
      56,55,54,101,45,48,53,32,49,46,53,55,49,54,54,101,45,48,53,32,49,46,52,50,50,
      48,51,101,45,48,53,32,49,46,50,56,54,55,52,101,45,48,53,32,49,46,49,54,52,52,
      101,45,48,53,32,49,46,48,53,51,55,55,101,45,48,53,10,32,32,57,46,53,51,56,51,
      54,101,45,48,54,32,56,46,53,50,51,52,52,101,45,48,54,32,55,46,51,57,50,56,56,
      101,45,48,54,32,54,46,52,49,51,49,101,45,48,54,32,53,46,53,54,51,56,54,101,
      45,48,54,32,52,46,56,50,55,54,54,101,45,48,54,32,52,46,49,56,57,51,55,101,45,
      48,54,10,32,32,51,46,54,51,53,56,56,101,45,48,54,32,51,46,49,53,53,56,56,101,
      45,48,54,32,50,46,55,51,57,53,50,101,45,48,54,32,50,46,51,55,56,51,52,101,45,
      48,54,32,50,46,48,54,53,48,49,101,45,48,54,32,49,46,55,57,51,49,50,101,45,48,
      54,32,49,46,53,53,55,49,56,101,45,48,54,10,32,32,49,46,51,53,50,52,50,101,45,
      48,54,32,49,46,49,55,52,54,56,101,45,48,54,32,49,46,48,50,48,52,101,45,48,54,
      32,56,46,56,54,52,54,50,101,45,48,55,32,55,46,55,48,49,54,54,101,45,48,55,32,
      54,46,54,57,49,56,50,101,45,48,55,32,53,46,56,49,52,56,54,101,45,48,55,10,32,
      32,53,46,48,53,51,50,51,101,45,48,55,32,52,46,51,57,48,54,55,101,45,48,55,32,
      51,46,56,49,55,48,54,101,45,48,55,32,51,46,51,49,55,56,53,101,45,48,55,32,50,
      46,56,56,52,49,52,101,45,48,55,32,50,46,53,48,55,51,101,45,48,55,32,50,46,49,
      55,57,56,52,101,45,48,55,10,32,32,49,46,56,57,53,50,56,101,45,48,55,32,49,46,
      54,52,55,57,56,101,45,48,55,32,49,46,52,51,51,48,51,101,45,48,55,32,49,46,50,
      52,54,50,101,45,48,55,32,49,46,48,56,51,56,101,45,48,55,32,57,46,52,50,54,49,
      53,101,45,48,56,32,56,46,49,57,56,55,50,101,45,48,56,10,32,32,55,46,49,51,49,
      53,51,101,45,48,56,32,54,46,50,48,51,54,101,45,48,56,32,53,46,51,57,54,55,49,
      101,45,48,56,32,52,46,48,56,52,55,57,101,45,48,56,32,51,46,48,57,50,51,55,101,
      45,48,56,32,50,46,51,52,49,53,57,101,45,48,56,32,49,46,55,55,51,52,52,101,45,
      48,56,10,32,32,49,46,51,52,51,52,101,45,48,56,32,49,46,48,49,55,56,50,101,45,
      48,56,32,55,46,55,49,50,55,55,101,45,48,57,32,53,46,56,52,53,53,55,101,45,48,
      57,32,52,46,52,51,49,49,50,101,45,48,57,32,51,46,51,53,57,52,53,101,45,48,57,
      32,50,46,53,52,55,51,53,101,45,48,57,10,32,32,49,46,57,51,49,56,53,101,45,48,
      57,32,49,46,52,54,53,50,55,101,45,48,57,32,49,46,49,49,49,53,51,101,45,48,57,
      32,56,46,52,51,51,48,56,101,45,49,48,32,54,46,51,57,56,57,51,101,45,49,48,32,
      52,46,56,53,54,48,52,101,45,49,48,32,51,46,54,56,53,54,101,45,49,48,10,32,32,
      50,46,55,57,55,54,49,101,45,49,48,32,50,46,49,50,51,56,50,101,45,49,48,32,49,
      46,54,49,50,52,57,101,45,49,48,32,49,46,50,50,52,52,101,45,49,48,32,57,46,50,
      57,56,49,52,101,45,49,49,32,55,46,48,54,49,55,55,101,45,49,49,32,53,46,51,54,
      51,56,52,101,45,49,49,10,32,32,52,46,48,55,52,53,54,101,45,49,49,32,51,46,48,
      57,53,52,56,101,45,49,49,32,50,46,51,53,49,56,57,101,45,49,49,32,49,46,55,56,
      55,49,52,101,45,49,49,32,53,46,48,55,57,57,51,101,45,48,56,32,50,46,48,51,54,
      57,56,101,45,48,55,32,52,46,53,56,55,48,51,101,45,48,55,10,32,32,53,46,48,56,
      48,49,50,101,45,48,55,32,50,46,48,51,55,50,52,101,45,48,54,32,52,46,53,56,56,
      50,53,101,45,48,54,32,56,46,49,53,55,49,54,101,45,48,54,32,49,46,50,55,52,55,
      50,101,45,48,53,32,49,46,56,51,55,53,52,101,45,48,53,32,50,46,53,56,52,55,53,
      101,45,48,53,10,32,32,51,46,55,55,49,55,101,45,48,53,32,52,46,55,55,54,52,101,
      45,48,53,32,53,46,56,57,57,56,53,101,45,48,53,32,55,46,49,52,51,49,52,101,45,
      48,53,32,56,46,53,48,54,55,51,101,45,48,53,32,57,46,57,57,48,53,101,45,48,53,
      32,46,48,48,48,49,49,53,57,53,51,10,32,32,46,48,48,48,49,51,51,50,49,54,32,
      46,48,48,48,49,53,49,54,57,52,32,46,48,48,48,49,55,49,51,57,56,32,46,48,48,
      48,49,57,50,51,50,54,32,46,48,48,48,50,49,52,52,56,49,32,46,48,48,48,50,51,
      55,56,54,55,32,46,48,48,48,50,54,50,52,57,56,32,46,48,48,48,50,56,56,51,55,
      54,10,32,32,46,48,48,48,51,49,53,52,56,57,32,46,48,48,48,51,52,51,56,51,57,
      32,46,48,48,48,51,55,51,52,53,50,32,46,48,48,48,52,48,52,51,50,32,46,48,48,
      48,52,51,54,52,52,54,32,46,48,48,48,52,54,57,55,57,50,32,46,48,48,48,53,48,
      52,52,48,52,32,46,48,48,48,53,52,48,50,55,55,10,32,32,46,48,48,48,53,55,55,
      52,50,51,32,46,48,48,48,54,49,53,55,57,53,32,46,48,48,48,54,53,53,52,48,55,
      32,46,48,48,48,54,57,54,50,55,57,32,46,48,48,48,55,51,56,52,50,49,32,46,48,
      48,48,55,56,49,56,51,54,32,46,48,48,48,56,50,54,52,50,50,32,46,48,48,48,56,
      55,50,50,55,53,10,32,32,46,48,48,48,57,49,57,52,48,50,32,46,48,48,48,57,54,
      55,56,48,49,32,46,48,48,49,48,49,55,52,32,46,48,48,49,48,54,56,50,50,32,46,
      48,48,49,49,50,48,51,50,32,46,48,48,49,49,55,51,54,56,32,46,48,48,49,50,50,
      56,51,49,32,46,48,48,49,50,56,52,49,49,10,32,32,46,48,48,49,51,52,49,49,56,
      32,46,48,48,49,51,57,57,53,50,32,46,48,48,49,52,53,57,49,52,32,46,48,48,49,
      53,49,57,57,57,32,46,48,48,49,53,56,50,48,56,32,46,48,48,49,54,52,53,52,52,
      32,46,48,48,49,55,49,48,48,56,32,46,48,48,49,55,55,53,57,57,10,32,32,46,48,
      48,49,56,52,51,49,54,32,46,48,48,49,57,49,49,54,49,32,46,48,48,49,57,56,49,
      51,52,32,46,48,48,50,48,53,50,51,53,32,46,48,48,50,49,50,52,54,55,32,46,48,
      48,50,49,57,56,51,32,46,48,48,50,50,55,51,50,49,32,46,48,48,50,51,52,57,52,
      50,32,46,48,48,50,52,50,54,57,51,10,32,32,46,48,48,50,53,48,53,56,52,32,46,
      48,48,50,53,56,54,48,52,32,46,48,48,50,54,54,55,53,52,32,46,48,48,50,55,53,
      48,51,54,32,46,48,48,50,56,51,52,53,56,32,46,48,48,50,57,50,48,49,57,32,46,
      48,48,51,48,48,55,49,50,32,46,48,48,51,48,57,53,51,54,10,32,32,46,48,48,51,
      49,56,52,57,54,32,46,48,48,51,50,55,54,48,52,32,46,48,48,51,51,54,56,52,55,
      32,46,48,48,51,52,54,50,50,52,32,46,48,48,51,53,53,55,51,53,32,46,48,48,51,
      54,53,51,57,32,46,48,48,51,55,53,49,56,53,32,46,48,48,51,56,53,49,49,55,32,
      46,48,48,51,57,53,49,56,56,10,32,32,46,48,48,52,48,53,51,57,50,32,46,48,48,
      52,49,53,55,51,32,46,48,48,52,50,54,50,49,50,32,46,48,48,52,51,54,56,51,32,
      46,48,48,52,52,55,53,56,32,46,48,48,52,53,56,52,52,56,32,46,48,48,52,54,57,
      52,52,53,32,46,48,48,52,56,48,53,56,55,32,46,48,48,52,57,49,56,54,51,10,32,
      32,46,48,48,53,48,51,50,54,52,32,46,48,48,53,49,52,55,51,32,46,48,48,53,50,
      54,51,51,32,46,48,48,53,51,56,48,54,50,32,46,48,48,53,52,57,57,50,55,32,46,
      48,48,53,54,49,56,52,32,46,48,48,53,55,51,56,51,49,32,46,48,48,53,56,53,57,
      53,54,32,46,48,48,53,57,56,50,49,50,10,32,32,46,48,48,54,49,48,53,55,51,32,
      46,48,48,54,50,50,56,56,54,32,46,48,48,54,51,53,51,51,49,32,46,48,48,54,52,
      55,57,48,54,32,46,48,48,54,54,48,54,49,52,32,46,48,48,54,55,51,50,55,56,32,
      46,48,48,54,56,53,57,55,55,32,46,48,48,54,57,56,56,49,32,46,48,48,55,49,49,
      55,55,54,10,32,32,46,48,48,55,50,52,56,50,56,32,46,48,48,55,51,55,55,51,51,
      32,46,48,48,55,53,48,55,55,56,32,46,48,48,55,54,51,57,54,51,32,46,48,48,55,
      55,55,51,49,54,32,46,48,48,55,57,48,53,56,52,32,46,48,48,56,48,51,56,55,54,
      32,46,48,48,56,49,55,51,51,49,10,32,32,46,48,48,56,51,48,57,52,49,32,46,48,
      48,56,52,52,54,52,52,32,46,48,48,56,53,56,50,51,52,32,46,48,48,56,55,49,57,
      57,49,32,46,48,48,56,56,53,57,49,32,46,48,48,56,57,57,57,57,32,46,48,48,57,
      49,52,48,51,52,32,46,48,48,57,50,56,49,53,50,32,46,48,48,57,52,50,52,52,10,
      32,32,46,48,48,57,53,54,56,57,32,46,48,48,57,55,49,52,54,52,32,46,48,48,57,
      56,53,57,57,55,32,46,48,49,48,48,48,55,32,46,48,49,48,49,53,53,57,32,46,48,
      49,48,51,48,54,49,32,46,48,49,48,52,53,54,57,32,46,48,49,48,54,48,56,54,32,
      46,48,49,48,55,54,50,49,10,32,32,46,48,49,48,57,49,55,32,46,48,49,49,48,55,
      51,52,32,46,48,49,49,50,51,48,49,32,46,48,49,49,51,56,56,53,32,46,48,49,49,
      53,52,56,53,32,46,48,49,49,55,48,57,57,32,46,48,49,49,56,55,50,51,32,46,48,
      49,50,48,51,54,32,46,48,49,50,50,48,49,49,32,46,48,49,50,51,54,55,55,10,32,
      32,46,48,49,50,53,51,53,54,32,46,48,49,50,55,48,52,56,32,46,48,49,50,56,55,
      53,50,32,46,48,49,51,48,52,55,49,32,46,48,49,51,50,50,48,52,32,46,48,49,51,
      51,57,53,49,32,46,48,49,51,53,55,49,51,32,46,48,49,51,55,52,56,54,32,46,48,
      49,51,57,50,55,52,10,32,32,46,48,49,52,49,48,55,53,32,46,48,49,52,50,56,57,
      51,32,46,48,49,52,52,55,50,53,32,46,48,49,52,55,49,56,51,32,46,48,49,53,51,
      32,46,48,49,54,49,55,54,57,32,46,48,49,55,54,53,49,49,32,46,48,49,57,49,52,
      53,52,32,46,48,50,48,54,54,50,51,32,46,48,50,50,50,48,55,53,10,32,32,46,48,
      50,51,55,56,50,32,46,48,50,53,51,56,54,32,46,48,50,55,48,49,51,32,46,48,50,
      56,54,53,53,32,46,48,51,48,51,48,48,57,32,46,48,51,49,57,52,57,50,32,46,48,
      51,51,54,48,49,53,32,46,48,51,53,54,32,46,48,51,55,54,52,48,55,32,46,48,52,
      48,52,55,53,52,10,32,32,46,48,52,51,53,50,54,55,32,46,48,52,54,56,55,57,55,
      32,46,48,53,49,53,56,55,32,46,48,53,54,55,53,53,53,32,46,48,54,49,55,57,56,
      55,32,46,48,54,54,54,56,53,57,32,46,48,55,48,53,57,53,52,32,46,48,55,54,49,
      53,53,49,32,46,48,56,50,49,49,50,51,10,32,32,46,48,56,55,57,53,54,53,32,46,
      48,57,52,51,49,52,51,32,46,49,48,49,51,53,52,32,46,49,48,57,49,54,54,32,46,
      49,49,55,55,52,32,46,49,50,54,55,50,32,46,49,51,52,56,48,49,32,46,49,51,55,
      50,54,52,32,46,49,51,49,52,51,57,32,46,49,50,51,52,54,55,10,32,32,46,49,51,
      52,54,52,50,32,46,49,53,52,52,54,32,46,49,56,49,57,49,53,32,46,50,49,49,55,
      56,32,46,50,51,56,52,53,52,32,46,50,54,50,51,48,56,32,46,50,56,52,50,52,54,
      32,46,51,48,48,57,51,51,32,46,51,49,50,56,32,46,51,49,57,53,52,52,32,46,51,
      49,57,54,48,55,10,32,32,46,51,49,53,51,56,53,32,46,51,48,55,53,49,50,32,46,
      50,57,51,53,52,53,32,46,50,55,48,48,50,53,32,46,50,51,50,55,49,54,32,46,50,
      48,55,49,54,51,32,46,49,57,57,49,57,49,32,46,50,48,49,52,48,51,32,46,50,48,
      53,57,57,50,32,46,50,48,54,56,55,49,10,32,32,46,50,49,51,49,56,57,32,46,50,
      50,57,51,51,49,32,46,50,53,49,50,52,53,32,46,50,54,54,49,49,49,32,46,50,54,
      53,53,54,52,32,46,50,53,49,49,52,32,46,50,51,54,50,54,52,32,46,50,48,56,55,
      51,55,32,46,49,56,52,51,50,49,32,46,49,54,48,54,55,54,32,46,49,51,56,50,55,
      52,10,32,32,46,49,50,53,55,54,53,32,46,49,50,50,48,52,50,32,46,49,50,52,49,
      54,50,32,46,49,50,55,56,55,54,32,46,49,51,49,53,51,57,32,46,49,51,53,52,49,
      53,32,46,49,51,56,48,56,57,32,46,49,51,57,57,53,49,32,46,49,51,57,54,56,50,
      32,46,49,51,54,55,53,52,10,32,32,46,49,50,56,48,48,50,32,46,49,49,53,55,49,
      53,32,46,49,48,56,48,53,55,32,46,49,48,48,55,54,50,32,46,48,57,48,52,55,50,
      51,32,46,48,56,49,48,50,54,49,32,46,48,55,54,56,51,53,54,32,46,48,55,50,48,
      48,53,49,32,46,48,55,48,49,57,53,57,32,46,48,54,56,57,53,48,56,10,32,32,46,
      48,55,56,50,53,55,52,32,46,48,55,52,56,55,55,54,32,46,48,55,51,53,51,52,51,
      32,46,48,55,49,48,51,52,57,32,46,48,54,56,51,57,54,53,32,46,48,54,54,50,57,
      49,52,32,46,48,54,52,50,54,54,56,32,46,48,54,50,52,52,50,49,32,46,48,54,48,
      55,48,54,56,10,32,32,46,48,53,56,56,53,50,53,32,46,48,53,55,50,54,51,53,32,
      46,48,53,53,53,55,50,51,32,46,48,53,52,51,54,54,56,32,46,48,53,50,52,54,56,
      32,46,48,53,49,51,52,51,49,32,46,48,52,57,57,56,53,52,32,46,48,52,54,57,56,
      56,52,32,46,48,52,51,50,48,52,49,10,32,32,46,48,51,57,56,53,51,53,32,46,48,
      51,54,48,56,49,55,32,46,48,51,50,55,49,53,54,32,46,48,50,57,49,51,56,57,32,
      46,48,50,54,52,57,50,52,32,46,48,50,50,55,53,49,49,32,46,48,49,57,50,52,55,
      51,32,46,48,49,55,53,50,50,52,32,46,48,49,53,55,57,51,55,10,32,32,46,48,49,
      51,55,55,50,52,32,46,48,49,50,50,51,49,57,32,46,48,49,48,56,55,53,54,32,46,
      48,48,57,53,50,48,53,50,32,46,48,48,56,51,52,52,51,51,32,46,48,48,55,52,52,
      49,55,49,32,46,48,48,54,54,52,49,57,51,32,46,48,48,53,57,51,50,51,32,46,48,
      48,53,50,49,55,57,53,10,32,32,46,48,48,52,53,50,48,57,53,32,46,48,48,51,56,
      53,57,51,56,32,46,48,48,51,51,53,48,50,32,46,48,48,50,56,54,53,52,55,32,46,
      48,48,50,52,57,49,52,49,32,46,48,48,50,49,54,55,54,52,32,46,48,48,49,56,53,
      56,51,55,32,46,48,48,49,53,55,54,57,51,32,46,48,48,49,51,56,57,56,49,10,32,
      32,46,48,48,49,50,48,49,53,32,46,48,48,49,48,53,55,54,50,32,46,48,48,48,57,
      50,51,50,53,55,32,46,48,48,48,56,48,54,51,50,49,32,46,48,48,48,55,48,52,52,
      54,55,32,46,48,48,48,54,49,53,55,49,56,32,46,48,48,48,53,51,56,51,52,32,46,
      48,48,48,52,55,48,56,53,50,10,32,32,46,48,48,48,52,49,49,57,53,56,32,46,48,
      48,48,51,54,48,53,52,52,32,46,48,48,48,51,49,53,54,52,49,32,46,48,48,48,50,
      55,54,52,48,56,32,46,48,48,48,50,52,50,49,48,56,32,46,48,48,48,50,49,50,49,
      50,55,32,46,48,48,48,49,56,53,57,48,53,32,46,48,48,48,49,54,50,57,54,52,10,
      32,32,46,48,48,48,49,52,50,56,56,54,32,46,48,48,48,49,50,53,51,49,55,32,46,
      48,48,48,49,48,57,57,50,53,32,57,46,54,52,51,55,53,101,45,48,53,32,56,46,52,
      54,50,54,50,101,45,48,53,32,55,46,52,50,55,53,54,101,45,48,53,32,54,46,53,50,
      48,50,54,101,45,48,53,10,32,32,53,46,55,50,52,56,101,45,48,53,32,53,46,48,50,
      55,50,51,101,45,48,53,32,52,46,52,49,53,55,54,101,45,48,53,32,51,46,56,55,56,
      57,53,101,45,48,53,32,51,46,52,48,55,57,50,101,45,48,53,32,50,46,57,57,52,52,
      51,101,45,48,53,32,50,46,54,51,49,51,52,101,45,48,53,10,32,32,50,46,51,49,50,
      53,57,101,45,48,53,32,50,46,48,51,50,55,51,101,45,48,53,32,49,46,55,56,54,55,
      56,101,45,48,53,32,49,46,53,55,48,57,53,101,45,48,53,32,49,46,52,50,49,51,57,
      101,45,48,53,32,49,46,50,56,54,49,54,101,45,48,53,32,49,46,49,54,51,56,56,101,
      45,48,53,10,32,32,49,46,48,53,51,51,49,101,45,48,53,32,57,46,53,51,52,50,49,
      101,45,48,54,32,56,46,53,49,57,55,54,101,45,48,54,32,55,46,51,56,57,55,52,101,
      45,48,54,32,54,46,52,49,48,51,57,101,45,48,54,32,53,46,53,54,49,53,53,101,45,
      48,54,32,52,46,56,50,53,54,56,101,45,48,54,10,32,32,52,46,49,56,55,54,56,101,
      45,48,54,32,51,46,54,51,52,52,50,101,45,48,54,32,51,46,49,53,52,54,50,101,45,
      48,54,32,50,46,55,51,56,52,53,101,45,48,54,32,50,46,51,55,55,52,51,101,45,48,
      54,32,50,46,48,54,52,50,49,101,45,48,54,32,49,46,55,57,50,52,52,101,45,48,54,
      10,32,32,49,46,53,53,54,54,101,45,48,54,32,49,46,51,53,49,57,50,101,45,48,54,
      32,49,46,49,55,52,50,53,101,45,48,54,32,49,46,48,50,48,48,51,101,45,48,54,32,
      56,46,56,54,49,52,53,101,45,48,55,32,55,46,54,57,56,57,50,101,45,48,55,32,54,
      46,54,56,57,52,54,101,45,48,55,10,32,32,53,46,56,49,50,56,51,101,45,48,55,32,
      53,46,48,53,49,52,57,101,45,48,55,32,52,46,51,56,57,49,56,101,45,48,55,32,51,
      46,56,49,53,55,55,101,45,48,55,32,51,46,51,49,54,55,51,101,45,48,55,32,50,46,
      56,56,51,49,55,101,45,48,55,32,50,46,53,48,54,52,54,101,45,48,55,10,32,32,50,
      46,49,55,57,49,51,101,45,48,55,32,49,46,56,57,52,54,54,101,45,48,55,32,49,46,
      54,52,55,52,53,101,45,48,55,32,49,46,52,51,50,53,55,101,45,48,55,32,49,46,50,
      52,53,56,49,101,45,48,55,32,49,46,48,56,51,52,54,101,45,48,55,32,57,46,52,50,
      51,49,57,101,45,48,56,10,32,32,56,46,49,57,54,49,56,101,45,48,56,32,55,46,49,
      50,57,51,54,101,45,48,56,32,54,46,50,48,49,55,50,101,45,48,56,32,53,46,51,57,
      53,48,56,101,45,48,56,32,52,46,48,56,51,53,54,101,45,48,56,32,51,46,48,57,49,
      52,55,101,45,48,56,32,50,46,51,52,48,57,51,101,45,48,56,10,32,32,49,46,55,55,
      50,57,52,101,45,48,56,32,49,46,51,52,51,48,50,101,45,48,56,32,49,46,48,49,55,
      53,51,101,45,48,56,32,55,46,55,49,48,54,57,101,45,48,57,32,53,46,56,52,51,57,
      56,101,45,48,57,32,52,46,52,50,57,57,50,101,45,48,57,32,51,46,51,53,56,53,53,
      101,45,48,57,10,32,32,50,46,53,52,54,54,56,101,45,48,57,32,49,46,57,51,49,51,
      51,101,45,48,57,32,49,46,52,54,52,56,56,101,45,48,57,32,49,46,49,49,49,50,52,
      101,45,48,57,32,56,46,52,51,48,56,56,101,45,49,48,32,54,46,51,57,55,50,57,101,
      45,49,48,32,52,46,56,53,52,56,101,45,49,48,10,32,32,51,46,54,56,52,54,56,101,
      45,49,48,32,50,46,55,57,54,57,49,101,45,49,48,32,50,46,49,50,51,51,101,45,49,
      48,32,49,46,54,49,50,49,101,45,49,48,32,49,46,50,50,52,49,101,45,49,48,32,57,
      46,50,57,53,57,101,45,49,49,32,55,46,48,54,48,48,57,101,45,49,49,10,32,32,53,
      46,51,54,50,53,55,101,45,49,49,32,52,46,48,55,51,54,50,101,45,49,49,32,51,46,
      48,57,52,55,55,101,45,49,49,32,50,46,51,53,49,51,52,101,45,49,49,32,49,46,55,
      56,54,55,51,101,45,49,49,32,52,46,53,54,53,52,51,101,45,48,56,32,49,46,56,51,
      48,54,54,101,45,48,55,10,32,32,52,46,49,50,50,52,49,101,45,48,55,32,52,46,53,
      54,53,53,52,101,45,48,55,32,49,46,56,51,48,56,101,45,48,54,32,52,46,49,50,51,
      101,45,48,54,32,55,46,51,50,57,49,52,101,45,48,54,32,49,46,49,52,53,48,56,101,
      45,48,53,32,49,46,54,53,48,49,51,101,45,48,53,10,32,32,50,46,50,52,55,52,54,
      101,45,48,53,32,51,46,51,49,55,55,50,101,45,48,53,32,52,46,50,48,48,56,57,101,
      45,48,53,32,53,46,49,56,55,57,55,101,45,48,53,32,54,46,50,55,57,56,49,101,45,
      48,53,32,55,46,52,55,54,55,50,101,45,48,53,32,56,46,55,55,56,52,56,101,45,48,
      53,10,32,32,46,48,48,48,49,48,49,56,53,55,32,46,48,48,48,49,49,54,57,56,56,
      32,46,48,48,48,49,51,51,49,55,54,32,46,48,48,48,49,53,48,52,50,54,32,46,48,
      48,48,49,54,56,55,52,32,46,48,48,48,49,56,56,49,49,55,32,46,48,48,48,50,48,
      56,53,54,50,32,46,48,48,48,50,51,48,48,56,50,10,32,32,46,48,48,48,50,53,50,
      54,55,57,32,46,48,48,48,50,55,54,51,52,53,32,46,48,48,48,51,48,49,48,56,49,
      32,46,48,48,48,51,50,54,57,48,53,32,46,48,48,48,51,53,51,56,49,49,32,46,48,
      48,48,51,56,49,55,57,57,32,46,48,48,48,52,49,48,56,53,32,46,48,48,48,52,52,
      48,57,56,57,10,32,32,46,48,48,48,52,55,50,50,49,53,32,46,48,48,48,53,48,52,
      53,51,51,32,46,48,48,48,53,51,55,57,49,54,32,46,48,48,48,53,55,50,51,55,53,
      32,46,48,48,48,54,48,55,57,49,55,32,46,48,48,48,54,52,52,53,53,49,32,46,48,
      48,48,54,56,50,50,56,32,46,48,48,48,55,50,49,48,52,10,32,32,46,48,48,48,55,
      54,48,56,57,32,46,48,48,48,56,48,49,56,51,54,32,46,48,48,48,56,52,51,56,55,
      54,32,46,48,48,48,56,56,54,57,54,50,32,46,48,48,48,57,51,49,49,49,49,32,46,
      48,48,48,57,55,54,51,54,32,46,48,48,49,48,50,50,54,57,32,46,48,48,49,48,55,
      48,49,50,10,32,32,46,48,48,49,49,49,56,53,56,32,46,48,48,49,49,54,56,49,50,
      32,46,48,48,49,50,49,56,55,55,32,46,48,48,49,50,55,48,53,32,46,48,48,49,51,
      50,51,51,50,32,46,48,48,49,51,55,55,49,57,32,46,48,48,49,52,51,50,49,55,32,
      46,48,48,49,52,56,56,50,52,32,46,48,48,49,53,52,53,52,49,10,32,32,46,48,48,
      49,54,48,51,54,54,32,46,48,48,49,54,54,51,48,49,32,46,48,48,49,55,50,51,52,
      54,32,46,48,48,49,55,56,53,48,49,32,46,48,48,49,56,52,55,54,55,32,46,48,48,
      49,57,49,49,52,53,32,46,48,48,49,57,55,54,51,52,32,46,48,48,50,48,52,50,51,
      51,10,32,32,46,48,48,50,49,48,57,52,51,32,46,48,48,50,49,55,55,55,49,32,46,
      48,48,50,50,52,55,49,32,46,48,48,50,51,49,55,54,32,46,48,48,50,51,56,57,50,
      50,32,46,48,48,50,52,54,50,48,49,32,46,48,48,50,53,51,53,57,56,32,46,48,48,
      50,54,49,49,48,55,32,46,48,48,50,54,56,55,50,55,10,32,32,46,48,48,50,55,54,
      52,54,51,32,46,48,48,50,56,52,51,50,50,32,46,48,48,50,57,50,50,57,53,32,46,
      48,48,51,48,48,51,56,49,32,46,48,48,51,48,56,53,56,51,32,46,48,48,51,49,54,
      57,48,52,32,46,48,48,51,50,53,51,52,50,32,46,48,48,51,51,51,56,57,54,10,32,
      32,46,48,48,51,52,50,53,54,56,32,46,48,48,51,53,49,51,53,51,32,46,48,48,51,
      54,48,50,53,50,32,46,48,48,51,54,57,50,55,49,32,46,48,48,51,55,56,52,48,53,
      32,46,48,48,51,56,55,54,53,51,32,46,48,48,51,57,55,48,48,52,32,46,48,48,52,
      48,54,52,54,53,10,32,32,46,48,48,52,49,54,48,52,56,32,46,48,48,52,50,53,55,
      52,53,32,46,48,48,52,51,53,53,53,49,32,46,48,48,52,52,53,52,50,54,32,46,48,
      48,52,53,53,52,49,52,32,46,48,48,52,54,53,53,49,52,32,46,48,48,52,55,53,55,
      50,56,32,46,48,48,52,56,54,48,48,49,10,32,32,46,48,48,52,57,54,51,53,49,32,
      46,48,48,53,48,54,56,49,53,32,46,48,48,53,49,55,51,57,49,32,46,48,48,53,50,
      56,48,54,50,32,46,48,48,53,51,56,55,50,57,32,46,48,48,53,52,57,53,49,32,46,
      48,48,53,54,48,52,48,50,32,46,48,48,53,55,49,52,48,54,32,46,48,48,53,56,50,
      52,49,10,32,32,46,48,48,53,57,51,52,54,51,32,46,48,48,54,48,52,54,51,49,32,
      46,48,48,54,49,53,57,49,50,32,46,48,48,54,50,55,50,55,53,32,46,48,48,54,51,
      56,53,55,50,32,46,48,48,54,52,57,57,56,54,32,46,48,48,54,54,49,53,49,56,32,
      46,48,48,54,55,51,49,56,55,10,32,32,46,48,48,54,56,52,56,51,49,32,46,48,48,
      54,57,54,53,49,56,32,46,48,48,55,48,56,51,51,56,32,46,48,48,55,50,48,50,56,
      55,32,46,48,48,55,51,50,51,50,51,32,46,48,48,55,52,52,51,49,54,32,46,48,48,
      55,53,54,52,52,55,32,46,48,48,55,54,56,55,48,57,10,32,32,46,48,48,55,56,49,
      49,48,51,32,46,48,48,55,57,51,53,48,53,32,46,48,48,56,48,53,57,56,51,32,46,
      48,48,56,49,56,54,32,46,48,48,56,51,49,51,52,56,32,46,48,48,56,52,52,50,48,
      54,32,46,48,48,56,53,55,48,54,55,32,46,48,48,56,55,48,48,54,55,32,46,48,48,
      56,56,51,50,49,50,10,32,32,46,48,48,56,57,54,52,55,50,32,46,48,48,57,48,57,
      55,57,55,32,46,48,48,57,50,51,50,49,50,32,46,48,48,57,51,54,55,55,32,46,48,
      48,57,53,48,52,53,49,32,46,48,48,57,54,52,50,52,54,32,46,48,48,57,55,56,48,
      57,57,32,46,48,48,57,57,50,48,56,50,32,46,48,49,48,48,54,50,10,32,32,46,48,
      49,48,50,48,52,52,32,46,48,49,48,51,52,55,54,32,46,48,49,48,52,57,50,32,46,
      48,49,48,54,51,55,54,32,46,48,49,48,55,56,52,51,32,46,48,49,48,57,51,50,51,
      32,46,48,49,49,48,56,49,51,32,46,48,49,49,50,51,49,52,32,46,48,49,49,51,56,
      50,56,10,32,32,46,48,49,49,53,51,53,50,32,46,48,49,49,54,56,56,57,32,46,48,
      49,49,56,52,51,56,32,46,48,49,49,57,57,57,55,32,46,48,49,50,49,53,54,56,32,
      46,48,49,50,51,49,53,32,46,48,49,50,52,55,52,54,32,46,48,49,50,54,51,53,52,
      32,46,48,49,50,56,53,49,32,46,48,49,51,51,54,48,57,10,32,32,46,48,49,52,49,
      50,56,51,32,46,48,49,53,52,49,52,56,32,46,48,49,54,55,49,51,51,32,46,48,49,
      56,48,50,53,53,32,46,48,49,57,51,53,53,49,32,46,48,50,48,55,48,51,32,46,48,
      50,50,48,54,57,54,32,46,48,50,51,52,53,49,53,32,46,48,50,52,56,52,51,55,10,
      32,32,46,48,50,54,50,51,57,50,32,46,48,50,55,54,51,54,57,32,46,48,50,57,48,
      51,55,57,32,46,48,51,48,55,51,32,46,48,51,50,52,53,48,56,32,46,48,51,52,56,
      50,51,49,32,46,48,51,55,51,52,54,54,32,46,48,52,48,48,56,56,57,32,46,48,52,
      51,57,49,55,32,46,48,52,56,49,54,56,49,10,32,32,46,48,53,50,52,55,51,55,32,
      46,48,53,54,57,48,55,57,32,46,48,54,48,53,51,53,56,32,46,48,54,53,51,53,49,
      55,32,46,48,55,48,50,56,49,57,32,46,48,55,53,48,57,51,57,32,46,48,56,48,51,
      56,53,52,32,46,48,56,54,51,49,50,54,32,46,48,57,50,57,55,50,56,10,32,32,46,
      49,48,48,52,49,51,32,46,49,48,56,52,53,53,32,46,49,49,54,51,56,32,46,49,50,
      48,50,54,50,32,46,49,49,55,53,56,50,32,46,49,49,50,53,52,56,32,46,49,50,50,
      55,55,50,32,46,49,51,57,55,48,49,32,46,49,54,50,54,48,53,32,46,49,56,55,50,
      51,55,32,46,50,48,57,51,57,52,10,32,32,46,50,50,57,54,52,51,32,46,50,52,56,
      57,51,57,32,46,50,54,52,52,54,32,46,50,55,54,54,50,51,32,46,50,56,53,51,50,
      54,32,46,50,56,57,49,56,53,32,46,50,56,56,52,56,57,32,46,50,56,52,48,56,53,
      32,46,50,55,51,53,32,46,50,53,51,57,57,50,32,46,50,50,49,53,49,10,32,32,46,
      49,57,56,55,49,51,32,46,49,57,49,55,56,32,46,49,57,52,49,56,56,32,46,49,57,
      56,57,52,54,32,46,50,48,48,49,55,52,32,46,50,48,54,53,48,56,32,46,50,50,50,
      48,56,55,32,46,50,52,51,49,49,32,46,50,53,55,52,57,53,32,46,50,53,55,51,56,
      52,32,46,50,52,52,48,51,53,10,32,32,46,50,51,48,48,54,52,32,46,50,48,51,57,
      56,55,32,46,49,56,48,54,52,51,32,46,49,53,55,56,54,53,32,46,49,51,54,49,54,
      52,32,46,49,50,52,48,49,51,32,46,49,50,48,52,50,56,32,46,49,50,50,53,53,51,
      32,46,49,50,54,50,51,52,32,46,49,50,57,56,54,52,10,32,32,46,49,51,51,55,48,
      54,32,46,49,51,54,51,53,57,32,46,49,51,56,50,49,53,32,46,49,51,55,57,57,57,
      32,46,49,51,53,49,53,51,32,46,49,50,54,53,57,54,32,46,49,49,52,53,52,51,32,
      46,49,48,55,48,49,55,32,46,48,57,57,56,52,49,32,46,48,56,57,55,48,54,52,10,
      32,32,46,48,56,48,51,57,49,51,32,46,48,55,54,50,53,53,54,32,46,48,55,49,52,
      56,55,53,32,46,48,54,57,55,48,50,50,32,46,48,54,56,52,55,55,51,32,46,48,55,
      55,54,57,51,49,32,46,48,55,52,51,53,56,49,32,46,48,55,51,48,51,50,32,46,48,
      55,48,53,54,51,57,10,32,32,46,48,54,55,57,53,55,52,32,46,48,54,53,56,55,54,
      54,32,46,48,54,51,56,55,52,54,32,46,48,54,50,48,54,57,54,32,46,48,54,48,51,
      53,50,53,32,46,48,53,56,53,49,55,49,32,46,48,53,54,57,52,51,57,32,46,48,53,
      53,50,54,57,32,46,48,53,52,48,55,52,56,10,32,32,46,48,53,50,49,57,51,52,32,
      46,48,53,49,48,55,56,54,32,46,48,52,57,55,51,50,56,32,46,48,52,54,55,54,48,
      57,32,46,48,52,51,48,48,54,51,32,46,48,51,57,54,56,48,51,32,46,48,51,53,57,
      51,52,52,32,46,48,51,50,53,56,57,52,32,46,48,50,57,48,51,51,54,10,32,32,46,
      48,50,54,52,48,49,53,32,46,48,50,50,54,55,56,55,32,46,48,49,57,49,56,51,32,
      46,48,49,55,52,54,53,54,32,46,48,49,53,55,52,52,49,32,46,48,49,51,55,51,48,
      56,32,46,48,49,50,49,57,55,51,32,46,48,49,48,56,52,55,49,32,46,48,48,57,52,
      57,55,52,56,10,32,32,46,48,48,56,51,50,52,56,49,32,46,48,48,55,52,50,52,55,
      57,32,46,48,48,54,54,50,55,49,57,32,46,48,48,53,57,49,57,52,56,32,46,48,48,
      53,50,48,54,57,55,32,46,48,48,52,53,49,49,55,32,46,48,48,51,56,53,49,55,49,
      32,46,48,48,51,51,52,51,55,49,32,46,48,48,50,56,54,48,48,54,10,32,32,46,48,
      48,50,52,56,54,56,49,32,46,48,48,50,49,54,51,55,50,32,46,48,48,49,56,53,53,
      48,57,32,46,48,48,49,53,55,52,50,32,46,48,48,49,51,56,55,52,52,32,46,48,48,
      49,49,57,57,52,56,32,46,48,48,49,48,53,53,56,57,32,46,48,48,48,57,50,49,55,
      53,56,10,32,32,46,48,48,48,56,48,53,48,51,51,32,46,48,48,48,55,48,51,51,53,
      56,32,46,48,48,48,54,49,52,55,54,32,46,48,48,48,53,51,55,53,49,53,32,46,48,
      48,48,52,55,48,49,51,55,32,46,48,48,48,52,49,49,51,52,49,32,46,48,48,48,51,
      54,48,48,49,32,46,48,48,48,51,49,53,49,55,56,10,32,32,46,48,48,48,50,55,54,
      48,48,56,32,46,48,48,48,50,52,49,55,54,49,32,46,48,48,48,50,49,49,56,50,54,
      32,46,48,48,48,49,56,53,54,52,52,32,46,48,48,48,49,54,50,55,51,55,32,46,48,
      48,48,49,52,50,54,56,57,32,46,48,48,48,49,50,53,49,52,53,32,46,48,48,48,49,
      48,57,55,55,54,10,32,32,57,46,54,51,48,55,53,101,45,48,53,32,56,46,52,53,49,
      51,101,45,48,53,32,55,46,52,49,55,54,55,101,45,48,53,32,54,46,53,49,49,54,54,
      101,45,48,53,32,53,46,55,49,55,51,49,101,45,48,53,32,53,46,48,50,48,54,57,101,
      45,48,53,32,52,46,52,49,48,48,52,101,45,48,53,10,32,32,51,46,56,55,51,57,55,
      101,45,48,53,32,51,46,52,48,51,53,56,101,45,48,53,32,50,46,57,57,48,55,51,101,
      45,48,53,32,50,46,54,50,56,51,52,101,45,48,53,32,50,46,51,49,48,49,56,101,45,
      48,53,32,50,46,48,51,48,56,101,45,48,53,32,49,46,55,56,53,50,53,101,45,48,53,
      10,32,32,49,46,53,54,57,55,53,101,45,48,53,32,49,46,52,50,48,52,49,101,45,48,
      53,32,49,46,50,56,53,51,55,101,45,48,53,32,49,46,49,54,51,50,53,101,45,48,53,
      32,49,46,48,53,50,56,101,45,48,53,32,57,46,53,50,57,56,56,101,45,48,54,32,56,
      46,53,49,53,57,51,101,45,48,54,10,32,32,55,46,51,56,54,52,52,101,45,48,54,32,
      54,46,52,48,55,53,57,101,45,48,54,32,53,46,53,53,57,49,53,101,45,48,54,32,52,
      46,56,50,51,54,51,101,45,48,54,32,52,46,49,56,53,57,49,101,45,48,54,32,51,46,
      54,51,50,57,49,101,45,48,54,32,51,46,49,53,51,51,50,101,45,48,54,10,32,32,50,
      46,55,51,55,51,52,101,45,48,54,32,50,46,51,55,54,52,56,101,45,48,54,32,50,46,
      48,54,51,52,101,45,48,54,32,49,46,55,57,49,55,52,101,45,48,54,32,49,46,53,53,
      54,101,45,48,54,32,49,46,51,53,49,52,101,45,48,54,32,49,46,49,55,51,56,50,101,
      45,48,54,10,32,32,49,46,48,49,57,54,53,101,45,48,54,32,56,46,56,53,56,49,53,
      101,45,48,55,32,55,46,54,57,54,48,57,101,45,48,55,32,54,46,54,56,55,48,51,101,
      45,48,55,32,53,46,56,49,48,55,53,101,45,48,55,32,53,46,48,52,57,54,57,101,45,
      48,55,32,52,46,51,56,55,54,51,101,45,48,55,10,32,32,51,46,56,49,52,52,50,101,
      45,48,55,32,51,46,51,49,53,53,56,101,45,48,55,32,50,46,56,56,50,49,56,101,45,
      48,55,32,50,46,53,48,53,54,49,101,45,48,55,32,50,46,49,55,56,51,57,101,45,48,
      55,32,49,46,56,57,52,48,51,101,45,48,55,32,49,46,54,52,54,57,101,45,48,55,10,
      32,32,49,46,52,51,50,49,101,45,48,55,32,49,46,50,52,53,52,101,45,48,55,32,49,
      46,48,56,51,49,101,45,48,55,32,57,46,52,50,48,49,57,101,45,48,56,32,56,46,49,
      57,51,53,56,101,45,48,56,32,55,46,49,50,55,48,57,101,45,48,56,32,54,46,49,57,
      57,55,55,101,45,48,56,10,32,32,53,46,51,57,51,52,101,45,48,56,32,52,46,48,56,
      50,51,51,101,45,48,56,32,51,46,48,57,48,53,53,101,45,48,56,32,50,46,51,52,48,
      50,51,101,45,48,56,32,49,46,55,55,50,52,50,101,45,48,56,32,49,46,51,52,50,54,
      51,101,45,48,56,32,49,46,48,49,55,50,53,101,45,48,56,10,32,32,55,46,55,48,56,
      53,52,101,45,48,57,32,53,46,56,52,50,51,54,101,45,48,57,32,52,46,52,50,56,54,
      57,101,45,48,57,32,51,46,51,53,55,54,51,101,45,48,57,32,50,46,53,52,53,57,56,
      101,45,48,57,32,49,46,57,51,48,56,49,101,45,48,57,32,49,46,52,54,52,52,57,101,
      45,48,57,10,32,32,49,46,49,49,48,57,53,101,45,48,57,32,56,46,52,50,56,54,57,
      101,45,49,48,32,54,46,51,57,53,54,101,45,49,48,32,52,46,56,53,51,53,51,101,
      45,49,48,32,51,46,54,56,51,55,52,101,45,49,48,32,50,46,55,57,54,50,50,101,45,
      49,48,32,50,46,49,50,50,55,55,101,45,49,48,10,32,32,49,46,54,49,49,55,101,45,
      49,48,32,49,46,50,50,51,56,101,45,49,48,32,57,46,50,57,51,54,54,101,45,49,49,
      32,55,46,48,53,56,52,49,101,45,49,49,32,53,46,51,54,49,51,50,101,45,49,49,32,
      52,46,48,55,50,54,54,101,45,49,49,32,51,46,48,57,52,48,52,101,45,49,49,10,32,
      32,50,46,51,53,48,55,57,101,45,49,49,32,49,46,55,56,54,51,50,101,45,49,49,32,
      52,46,48,55,57,50,57,101,45,48,56,32,49,46,54,51,53,55,51,101,45,48,55,32,51,
      46,54,56,51,52,52,101,45,48,55,32,52,46,48,55,57,51,56,101,45,48,55,32,49,46,
      54,51,53,56,54,101,45,48,54,10,32,32,51,46,54,56,51,57,57,101,45,48,54,32,54,
      46,53,52,56,54,53,101,45,48,54,32,49,46,48,50,51,48,56,101,45,48,53,32,49,46,
      52,55,52,49,49,101,45,48,53,32,50,46,48,48,55,51,49,101,45,48,53,32,50,46,57,
      49,53,52,55,101,45,48,53,32,51,46,54,57,49,55,101,45,48,53,10,32,32,52,46,53,
      53,57,49,101,45,48,53,32,53,46,53,49,56,51,56,101,45,48,53,32,54,46,53,54,57,
      56,50,101,45,48,53,32,55,46,55,49,51,49,57,101,45,48,53,32,56,46,57,52,57,48,
      53,101,45,48,53,32,46,48,48,48,49,48,50,55,55,55,32,46,48,48,48,49,49,54,57,
      56,56,10,32,32,46,48,48,48,49,51,50,49,51,32,46,48,48,48,49,52,56,50,48,50,
      32,46,48,48,48,49,54,53,50,48,53,32,46,48,48,48,49,56,51,49,52,49,32,46,48,
      48,48,50,48,50,48,49,54,32,46,48,48,48,50,50,49,56,51,50,32,46,48,48,48,50,
      52,50,53,56,50,32,46,48,48,48,50,54,52,50,54,55,10,32,32,46,48,48,48,50,56,
      54,57,32,46,48,48,48,51,49,48,52,55,55,32,46,48,48,48,51,51,52,57,57,55,32,
      46,48,48,48,51,54,48,52,52,54,32,46,48,48,48,51,56,54,56,52,52,32,46,48,48,
      48,52,49,52,49,56,56,32,46,48,48,48,52,52,50,52,56,51,32,46,48,48,48,52,55,
      49,55,48,57,10,32,32,46,48,48,48,53,48,49,56,55,53,32,46,48,48,48,53,51,50,
      57,56,52,32,46,48,48,48,53,54,53,48,52,52,32,46,48,48,48,53,57,56,48,53,54,
      32,46,48,48,48,54,51,49,57,55,53,32,46,48,48,48,54,54,54,56,52,52,32,46,48,
      48,48,55,48,50,54,54,54,32,46,48,48,48,55,51,57,52,51,57,10,32,32,46,48,48,
      48,55,55,55,49,51,32,46,48,48,48,56,49,53,55,53,49,32,46,48,48,48,56,53,53,
      51,50,57,32,46,48,48,48,56,57,53,56,53,49,32,46,48,48,48,57,51,55,51,50,52,
      32,46,48,48,48,57,55,57,55,48,54,32,46,48,48,49,48,50,51,48,51,32,46,48,48,
      49,48,54,55,51,50,10,32,32,46,48,48,49,49,49,50,53,53,32,46,48,48,49,49,53,
      56,55,50,32,46,48,48,49,50,48,53,56,51,32,46,48,48,49,50,53,51,56,56,32,46,
      48,48,49,51,48,50,57,32,46,48,48,49,51,53,50,56,54,32,46,48,48,49,52,48,51,
      55,55,32,46,48,48,49,52,53,53,54,51,32,46,48,48,49,53,48,56,52,54,10,32,32,
      46,48,48,49,53,54,50,50,51,32,46,48,48,49,54,49,54,57,55,32,46,48,48,49,54,
      55,50,54,56,32,46,48,48,49,55,50,57,51,53,32,46,48,48,49,55,56,54,57,56,32,
      46,48,48,49,56,52,53,53,55,32,46,48,48,49,57,48,53,49,55,32,46,48,48,49,57,
      54,53,55,51,10,32,32,46,48,48,50,48,50,55,50,54,32,46,48,48,50,48,56,57,55,
      53,32,46,48,48,50,49,53,51,50,54,32,46,48,48,50,50,49,55,55,55,32,46,48,48,
      50,50,56,51,50,54,32,46,48,48,50,51,52,57,55,49,32,46,48,48,50,52,49,55,49,
      53,32,46,48,48,50,52,56,53,54,52,10,32,32,46,48,48,50,53,53,53,49,49,32,46,
      48,48,50,54,50,53,53,55,32,46,48,48,50,54,57,55,48,49,32,46,48,48,50,55,54,
      57,52,56,32,46,48,48,50,56,52,50,57,53,32,46,48,48,50,57,49,55,52,50,32,46,
      48,48,50,57,57,50,57,32,46,48,48,51,48,54,57,51,54,32,46,48,48,51,49,52,54,
      56,10,32,32,46,48,48,51,50,50,53,50,55,32,46,48,48,51,51,48,52,55,51,32,46,
      48,48,51,51,56,53,49,54,32,46,48,48,51,52,54,54,53,49,32,46,48,48,51,53,52,
      56,56,49,32,46,48,48,51,54,51,50,49,55,32,46,48,48,51,55,49,54,52,57,32,46,
      48,48,51,56,48,49,55,54,10,32,32,46,48,48,51,56,56,55,55,49,32,46,48,48,51,
      57,55,52,54,52,32,46,48,48,52,48,54,50,53,51,32,46,48,48,52,49,53,49,52,49,
      32,46,48,48,52,50,52,48,56,56,32,46,48,48,52,51,51,49,48,56,32,46,48,48,52,
      52,50,50,50,55,32,46,48,48,52,53,49,52,52,51,10,32,32,46,48,48,52,54,48,55,
      52,51,32,46,48,48,52,55,48,48,54,32,46,48,48,52,55,57,52,55,53,32,46,48,48,
      52,56,56,57,56,54,32,46,48,48,52,57,56,53,57,52,32,46,48,48,53,48,56,50,50,
      50,32,46,48,48,53,49,55,57,48,50,32,46,48,48,53,50,55,54,56,49,32,46,48,48,
      53,51,55,53,53,56,10,32,32,46,48,48,53,52,55,53,49,49,32,46,48,48,53,53,55,
      52,51,55,32,46,48,48,53,54,55,52,54,51,32,46,48,48,53,55,55,53,57,32,46,48,
      48,53,56,55,56,51,51,32,46,48,48,53,57,56,48,55,53,32,46,48,48,54,48,56,51,
      54,56,32,46,48,48,54,49,56,55,55,49,32,46,48,48,54,50,57,50,56,51,10,32,32,
      46,48,48,54,51,57,56,55,53,32,46,48,48,54,53,48,52,53,55,32,46,48,48,54,54,
      49,49,53,50,32,46,48,48,54,55,49,57,53,56,32,46,48,48,54,56,50,56,55,53,32,
      46,48,48,54,57,51,56,49,54,32,46,48,48,55,48,52,56,51,32,46,48,48,55,49,53,
      57,53,56,32,46,48,48,55,50,55,49,57,55,10,32,32,46,48,48,55,51,56,53,51,49,
      32,46,48,48,55,52,57,56,56,53,32,46,48,48,55,54,49,51,53,53,32,46,48,48,55,
      55,50,57,52,55,32,46,48,48,55,56,52,54,51,53,32,46,48,48,55,57,54,51,56,57,
      32,46,48,48,56,48,56,50,50,51,32,46,48,48,56,50,48,49,55,56,10,32,32,46,48,
      48,56,51,50,50,51,53,32,46,48,48,56,52,52,51,57,49,32,46,48,48,56,53,54,54,
      48,54,32,46,48,48,56,54,56,57,51,32,46,48,48,56,56,49,51,54,57,32,46,48,48,
      56,57,51,57,48,57,32,46,48,48,57,48,54,53,50,53,32,46,48,48,57,49,57,50,52,
      52,32,46,48,48,57,51,50,48,54,50,10,32,32,46,48,48,57,52,52,57,56,53,32,46,
      48,48,57,53,56,48,48,56,32,46,48,48,57,55,49,49,50,51,32,46,48,48,57,56,52,
      51,51,52,32,46,48,48,57,57,55,54,52,55,32,46,48,49,48,49,49,48,54,32,46,48,
      49,48,50,52,53,56,32,46,48,49,48,51,56,49,57,32,46,48,49,48,53,49,57,49,10,
      32,32,46,48,49,48,54,53,55,50,32,46,48,49,48,55,57,54,51,32,46,48,49,48,57,
      51,54,53,32,46,48,49,49,48,55,55,55,32,46,48,49,49,50,54,55,50,32,46,48,49,
      49,55,49,53,32,46,48,49,50,51,56,56,51,32,46,48,49,51,53,49,54,49,32,46,48,
      49,52,54,53,50,51,10,32,32,46,48,49,53,55,57,56,50,32,46,48,49,54,57,53,54,
      51,32,46,48,49,56,49,50,55,50,32,46,48,49,57,51,49,49,49,32,46,48,50,48,53,
      48,53,53,32,46,48,50,49,55,48,55,49,32,46,48,50,50,57,49,48,57,32,46,48,50,
      52,49,49,54,52,32,46,48,50,53,51,50,52,10,32,32,46,48,50,54,55,56,48,57,32,
      46,48,50,56,50,53,55,57,32,46,48,51,48,50,56,50,50,32,46,48,51,50,52,49,51,
      56,32,46,48,51,52,55,48,51,51,32,46,48,51,55,56,54,54,56,32,46,48,52,49,51,
      56,50,56,32,46,48,52,53,48,50,55,56,32,46,48,52,56,57,53,54,55,10,32,32,46,
      48,53,50,50,53,48,49,32,46,48,53,54,52,51,54,57,32,46,48,54,48,53,56,50,49,
      32,46,48,54,52,54,50,48,54,32,46,48,54,57,49,48,50,50,32,46,48,55,52,49,54,
      48,50,32,46,48,55,57,56,56,54,52,32,46,48,56,54,51,53,48,52,32,46,48,57,51,
      52,56,50,57,10,32,32,46,49,48,48,57,54,32,46,49,48,53,53,57,49,32,46,49,48,
      53,49,52,55,32,46,49,48,50,52,50,32,46,49,49,49,55,53,54,32,46,49,50,54,49,
      57,52,32,46,49,52,53,51,48,51,32,46,49,54,53,54,56,56,32,46,49,56,52,50,48,
      53,32,46,50,48,49,52,57,56,32,46,50,49,56,52,57,54,10,32,32,46,50,51,50,56,
      32,46,50,52,52,56,52,51,32,46,50,53,52,55,50,56,32,46,50,54,49,51,50,51,32,
      46,50,54,51,51,57,50,32,46,50,54,49,56,52,56,32,46,50,53,52,49,57,54,32,46,
      50,51,56,51,48,52,32,46,50,49,48,51,51,32,46,49,57,48,49,55,56,32,46,49,56,
      52,50,53,10,32,32,46,49,56,54,56,52,50,32,46,49,57,49,55,53,51,32,46,49,57,
      51,51,49,55,32,46,49,57,57,54,53,55,32,46,50,49,52,54,54,50,32,46,50,51,52,
      55,56,50,32,46,50,52,56,54,55,52,32,46,50,52,56,57,56,56,32,46,50,51,54,55,
      49,53,32,46,50,50,51,54,53,55,10,32,32,46,49,57,57,48,53,49,32,46,49,55,54,
      56,48,56,32,46,49,53,52,57,50,51,32,46,49,51,51,57,52,56,32,46,49,50,50,49,
      55,50,32,46,49,49,56,55,50,57,32,46,49,50,48,56,53,56,32,46,49,50,52,53,48,
      53,32,46,49,50,56,48,57,57,32,46,49,51,49,57,48,54,10,32,32,46,49,51,52,53,
      51,54,32,46,49,51,54,51,56,54,32,46,49,51,54,50,50,54,32,46,49,51,51,52,54,
      54,32,46,49,50,53,49,49,49,32,46,49,49,51,51,48,52,32,46,49,48,53,57,49,56,
      32,46,48,57,56,56,54,54,53,32,46,48,56,56,56,57,53,50,32,46,48,55,57,55,49,
      56,54,10,32,32,46,48,55,53,54,52,49,32,46,48,55,48,57,51,56,56,32,46,48,54,
      57,49,55,56,57,32,46,48,54,55,57,55,53,53,32,46,48,55,55,48,57,53,32,46,48,
      55,51,56,48,55,52,32,46,48,55,50,52,57,57,54,32,46,48,55,48,48,54,52,52,32,
      46,48,54,55,52,57,49,52,32,46,48,54,53,52,51,54,51,10,32,32,46,48,54,51,52,
      53,55,57,32,46,48,54,49,54,55,51,54,32,46,48,53,57,57,55,53,57,32,46,48,53,
      56,49,54,48,55,32,46,48,53,54,54,48,52,53,32,46,48,53,52,57,52,54,56,32,46,
      48,53,51,55,54,52,54,32,46,48,53,49,57,48,49,55,32,46,48,53,48,55,57,55,52,
      10,32,32,46,48,52,57,52,54,52,49,32,46,48,52,54,53,49,56,57,32,46,48,52,50,
      55,57,53,57,32,46,48,51,57,52,57,54,32,46,48,51,53,55,55,55,53,32,46,48,51,
      50,52,53,53,32,46,48,50,56,57,50,49,55,32,46,48,50,54,51,48,52,55,32,46,48,
      50,50,54,48,49,54,32,46,48,49,57,49,49,54,49,10,32,32,46,48,49,55,52,48,54,
      53,32,46,48,49,53,54,57,50,53,32,46,48,49,51,54,56,55,54,32,46,48,49,50,49,
      54,48,49,32,46,48,49,48,56,49,53,32,46,48,48,57,52,55,48,52,55,32,46,48,48,
      56,51,48,50,57,51,32,46,48,48,55,52,48,54,53,57,32,46,48,48,54,54,49,49,57,
      50,10,32,32,46,48,48,53,57,48,54,49,55,32,46,48,48,53,49,57,53,53,56,32,46,
      48,48,52,53,48,50,49,50,32,46,48,48,51,56,52,51,55,55,32,46,48,48,51,51,51,
      55,32,46,48,48,50,56,53,52,52,55,32,46,48,48,50,52,56,50,48,54,32,46,48,48,
      50,49,53,57,54,56,32,46,48,48,49,56,53,49,54,57,10,32,32,46,48,48,49,53,55,
      49,51,57,32,46,48,48,49,51,56,53,32,46,48,48,49,49,57,55,52,50,32,46,48,48,
      49,48,53,52,48,57,32,46,48,48,48,57,50,48,50,50,32,46,48,48,48,56,48,51,55,
      49,32,46,48,48,48,55,48,50,50,49,56,32,46,48,48,48,54,49,51,55,55,57,10,32,
      32,46,48,48,48,53,51,54,54,54,55,32,46,48,48,48,52,54,57,52,48,54,32,46,48,
      48,48,52,49,48,55,48,57,32,46,48,48,48,51,53,57,52,54,51,32,46,48,48,48,51,
      49,52,55,48,53,32,46,48,48,48,50,55,53,53,57,56,32,46,48,48,48,50,52,49,52,
      48,54,32,46,48,48,48,50,49,49,53,49,55,10,32,32,46,48,48,48,49,56,53,51,55,
      55,32,46,48,48,48,49,54,50,53,48,53,32,46,48,48,48,49,52,50,52,56,55,32,46,
      48,48,48,49,50,52,57,55,32,46,48,48,48,49,48,57,54,50,51,32,57,46,54,49,55,
      52,56,101,45,48,53,32,56,46,52,51,57,55,52,101,45,48,53,32,55,46,52,48,55,54,
      50,101,45,48,53,10,32,32,54,46,53,48,50,57,101,45,48,53,32,53,46,55,48,57,54,
      54,101,45,48,53,32,53,46,48,49,52,48,50,101,45,48,53,32,52,46,52,48,52,50,51,
      101,45,48,53,32,51,46,56,54,56,57,101,45,48,53,32,51,46,51,57,57,49,52,101,
      45,48,53,32,50,46,57,56,54,56,54,101,45,48,53,10,32,32,50,46,54,50,52,57,54,
      101,45,48,53,32,50,46,51,48,55,50,51,101,45,48,53,32,50,46,48,50,56,50,51,101,
      45,48,53,32,49,46,55,56,51,101,45,48,53,32,49,46,53,54,55,55,56,101,45,48,53,
      32,49,46,52,49,56,54,51,101,45,48,53,32,49,46,50,56,51,55,55,101,45,48,53,10,
      32,32,49,46,49,54,49,56,49,101,45,48,53,32,49,46,48,53,49,53,101,45,48,53,32,
      57,46,53,49,56,53,53,101,45,48,54,32,56,46,53,48,54,52,55,101,45,48,54,32,55,
      46,51,55,56,57,56,101,45,48,54,32,54,46,52,48,49,55,53,101,45,48,54,32,53,46,
      53,53,52,54,49,101,45,48,54,10,32,32,52,46,56,50,48,49,53,101,45,48,54,32,52,
      46,49,56,51,50,56,101,45,48,54,32,51,46,54,51,48,57,56,101,45,48,54,32,51,46,
      49,53,49,57,53,101,45,48,54,32,50,46,55,51,54,49,57,101,45,48,54,32,50,46,51,
      55,53,52,57,101,45,48,54,32,50,46,48,54,50,53,53,101,45,48,54,10,32,32,49,46,
      55,57,49,48,50,101,45,48,54,32,49,46,53,53,53,51,56,101,45,48,54,32,49,46,51,
      53,48,56,55,101,45,48,54,32,49,46,49,55,51,51,53,101,45,48,54,32,49,46,48,49,
      57,50,54,101,45,48,54,32,56,46,56,53,52,55,55,101,45,48,55,32,55,46,54,57,51,
      49,56,101,45,48,55,10,32,32,54,46,54,56,52,53,53,101,45,48,55,32,53,46,56,48,
      56,54,101,45,48,55,32,53,46,48,52,55,56,51,101,45,48,55,32,52,46,51,56,54,48,
      52,101,45,48,55,32,51,46,56,49,51,48,53,101,45,48,55,32,51,46,51,49,52,52,101,
      45,48,55,32,50,46,56,56,49,49,55,101,45,48,55,10,32,32,50,46,53,48,52,55,51,
      101,45,48,55,32,50,46,49,55,55,54,51,101,45,48,55,32,49,46,56,57,51,51,56,101,
      45,48,55,32,49,46,54,52,54,51,51,101,45,48,55,32,49,46,52,51,49,54,50,101,45,
      48,55,32,49,46,50,52,52,57,56,101,45,48,55,32,49,46,48,56,50,55,53,101,45,48,
      55,10,32,32,57,46,52,49,55,48,56,101,45,48,56,32,56,46,49,57,48,56,57,101,45,
      48,56,32,55,46,49,50,52,55,56,101,45,48,56,32,54,46,49,57,55,55,56,101,45,48,
      56,32,53,46,51,57,49,54,57,101,45,48,56,32,52,46,48,56,49,48,55,101,45,48,56,
      32,51,46,48,56,57,54,101,45,48,56,10,32,32,50,46,51,51,57,53,51,101,45,48,56,
      32,49,46,55,55,49,57,101,45,48,56,32,49,46,51,52,50,50,53,101,45,48,56,32,49,
      46,48,49,54,57,54,101,45,48,56,32,55,46,55,48,54,51,53,101,45,48,57,32,53,46,
      56,52,48,55,50,101,45,48,57,32,52,46,52,50,55,52,55,101,45,48,57,10,32,32,51,
      46,51,53,54,54,57,101,45,48,57,32,50,46,53,52,53,50,55,101,45,48,57,32,49,46,
      57,51,48,50,56,101,45,48,57,32,49,46,52,54,52,48,57,101,45,48,57,32,49,46,49,
      49,48,54,53,101,45,48,57,32,56,46,52,50,54,52,52,101,45,49,48,32,54,46,51,57,
      51,57,49,101,45,49,48,10,32,32,52,46,56,53,50,50,55,101,45,49,48,32,51,46,54,
      56,50,56,101,45,49,48,32,50,46,55,57,53,53,49,101,45,49,48,32,50,46,49,50,50,
      50,52,101,45,49,48,32,49,46,54,49,49,51,101,45,49,48,32,49,46,50,50,51,53,101,
      45,49,48,32,57,46,50,57,49,52,51,101,45,49,49,10,32,32,55,46,48,53,54,55,50,
      101,45,49,49,32,53,46,51,54,48,48,51,101,45,49,49,32,52,46,48,55,49,54,56,101,
      45,49,49,32,51,46,48,57,51,51,49,101,45,49,49,32,50,46,51,53,48,50,53,101,45,
      49,49,32,49,46,55,56,53,57,49,101,45,49,49,32,51,46,54,53,55,51,51,101,45,48,
      56,10,32,32,49,46,52,54,54,53,51,101,45,48,55,32,51,46,51,48,50,52,52,101,45,
      48,55,32,51,46,54,53,55,52,51,101,45,48,55,32,49,46,52,54,54,54,54,101,45,48,
      54,32,51,46,51,48,50,57,56,101,45,48,54,32,53,46,56,55,49,52,101,45,48,54,32,
      57,46,49,55,50,53,52,101,45,48,54,10,32,32,49,46,51,50,49,53,51,101,45,48,53,
      32,49,46,55,57,57,50,55,101,45,48,53,32,50,46,51,53,50,49,54,101,45,48,53,32,
      51,46,50,54,51,51,51,101,45,48,53,32,52,46,48,51,48,50,51,101,45,48,53,32,52,
      46,56,55,56,50,54,101,45,48,53,32,53,46,56,48,55,54,52,101,45,48,53,10,32,32,
      54,46,56,49,56,50,101,45,48,53,32,55,46,57,49,48,52,49,101,45,48,53,32,57,46,
      48,56,52,53,101,45,48,53,32,46,48,48,48,49,48,51,52,48,50,32,46,48,48,48,49,
      49,54,55,56,49,32,46,48,48,48,49,51,48,57,55,57,32,46,48,48,48,49,52,53,57,
      57,57,32,46,48,48,48,49,54,49,56,52,49,10,32,32,46,48,48,48,49,55,56,53,49,
      49,32,46,48,48,48,49,57,54,48,48,56,32,46,48,48,48,50,49,52,51,51,32,46,48,
      48,48,50,51,51,52,55,51,32,46,48,48,48,50,53,51,52,53,50,32,46,48,48,48,50,
      55,52,50,54,49,32,46,48,48,48,50,57,53,56,57,57,32,46,48,48,48,51,49,56,51,
      53,55,10,32,32,46,48,48,48,51,52,49,54,52,57,32,46,48,48,48,51,54,53,55,55,
      50,32,46,48,48,48,51,57,48,55,51,49,32,46,48,48,48,52,49,54,53,49,32,46,48,
      48,48,52,52,51,49,49,56,32,46,48,48,48,52,55,48,53,53,51,32,46,48,48,48,52,
      57,56,56,50,53,32,46,48,48,48,53,50,55,57,51,50,10,32,32,46,48,48,48,53,53,
      55,56,52,50,32,46,48,48,48,53,56,56,53,56,55,32,46,48,48,48,54,50,48,49,54,
      57,32,46,48,48,48,54,53,50,53,56,54,32,46,48,48,48,54,56,53,56,49,51,32,46,
      48,48,48,55,49,57,56,54,32,46,48,48,48,55,53,52,55,52,56,32,46,48,48,48,55,
      57,48,52,54,53,10,32,32,46,48,48,48,56,50,55,48,49,55,32,46,48,48,48,56,54,
      52,51,55,52,32,46,48,48,48,57,48,50,53,54,32,46,48,48,48,57,52,49,53,56,57,
      32,46,48,48,48,57,56,49,52,52,56,32,46,48,48,49,48,50,50,49,52,32,46,48,48,
      49,48,54,51,54,52,32,46,48,48,49,49,48,53,57,57,10,32,32,46,48,48,49,49,52,
      57,49,55,32,46,48,48,49,49,57,51,49,57,32,46,48,48,49,50,51,56,48,53,32,46,
      48,48,49,50,56,51,55,51,32,46,48,48,49,51,51,48,50,54,32,46,48,48,49,51,55,
      55,54,50,32,46,48,48,49,52,50,53,56,52,32,46,48,48,49,52,55,52,56,57,10,32,
      32,46,48,48,49,53,50,52,55,57,32,46,48,48,49,53,55,53,53,52,32,46,48,48,49,
      54,50,55,49,50,32,46,48,48,49,54,55,57,53,56,32,46,48,48,49,55,51,50,56,56,
      32,46,48,48,49,55,56,55,48,51,32,46,48,48,49,56,52,50,48,51,32,46,48,48,49,
      56,57,55,57,49,10,32,32,46,48,48,49,57,53,52,54,54,32,46,48,48,50,48,49,50,
      50,54,32,46,48,48,50,48,55,48,55,32,46,48,48,50,49,51,48,48,50,32,46,48,48,
      50,49,57,48,50,51,32,46,48,48,50,50,53,49,51,32,46,48,48,50,51,49,51,50,51,
      32,46,48,48,50,51,55,54,48,51,32,46,48,48,50,52,51,57,55,10,32,32,46,48,48,
      50,53,48,52,50,54,32,46,48,48,50,53,54,57,54,56,32,46,48,48,50,54,51,53,57,
      56,32,46,48,48,50,55,48,51,49,51,32,46,48,48,50,55,55,49,49,52,32,46,48,48,
      50,56,52,48,48,52,32,46,48,48,50,57,48,57,56,32,46,48,48,50,57,56,48,52,50,
      32,46,48,48,51,48,53,49,56,52,10,32,32,46,48,48,51,49,50,52,49,32,46,48,48,
      51,49,57,55,50,54,32,46,48,48,51,50,55,49,50,56,32,46,48,48,51,51,52,54,49,
      50,32,46,48,48,51,52,50,49,54,49,32,46,48,48,51,52,57,55,57,53,32,46,48,48,
      51,53,55,53,49,51,32,46,48,48,51,54,53,51,49,55,32,46,48,48,51,55,51,49,56,
      10,32,32,46,48,48,51,56,49,49,49,32,46,48,48,51,56,57,49,50,54,32,46,48,48,
      51,57,55,50,50,55,32,46,48,48,52,48,53,52,48,52,32,46,48,48,52,49,51,54,48,
      56,32,46,48,48,52,50,49,56,57,55,32,46,48,48,52,51,48,50,55,49,32,46,48,48,
      52,51,56,55,51,32,46,48,48,52,52,55,50,49,56,10,32,32,46,48,48,52,53,53,55,
      54,32,46,48,48,52,54,52,51,56,55,32,46,48,48,52,55,51,49,32,46,48,48,52,56,
      49,56,56,51,32,46,48,48,52,57,48,54,54,49,32,46,48,48,52,57,57,53,50,55,32,
      46,48,48,53,48,56,52,56,49,32,46,48,48,53,49,55,53,51,50,32,46,48,48,53,50,
      54,53,57,56,10,32,32,46,48,48,53,51,53,55,49,53,32,46,48,48,53,52,52,57,50,
      56,32,46,48,48,53,53,52,50,51,51,32,46,48,48,53,54,51,54,49,32,46,48,48,53,
      55,50,57,57,53,32,46,48,48,53,56,50,52,55,55,32,46,48,48,53,57,50,48,53,51,
      32,46,48,48,54,48,49,55,50,52,32,46,48,48,54,49,49,52,50,54,10,32,32,46,48,
      48,54,50,49,49,57,53,32,46,48,48,54,51,49,48,54,50,32,46,48,48,54,52,49,48,
      50,51,32,46,48,48,54,53,49,48,54,56,32,46,48,48,54,54,49,49,52,49,32,46,48,
      48,54,55,49,51,49,50,32,46,48,48,54,56,49,53,56,55,32,46,48,48,54,57,49,57,
      52,53,10,32,32,46,48,48,55,48,50,51,54,54,32,46,48,48,55,49,50,56,53,56,32,
      46,48,48,55,50,51,52,53,51,32,46,48,48,55,51,52,49,51,54,32,46,48,48,55,52,
      52,57,48,53,32,46,48,48,55,53,53,55,51,32,46,48,48,55,54,54,54,52,57,32,46,
      48,48,55,55,55,54,54,55,32,46,48,48,55,56,56,55,55,50,10,32,32,46,48,48,55,
      57,57,57,52,53,32,46,48,48,56,49,49,50,48,56,32,46,48,48,56,50,50,53,53,55,
      32,46,48,48,56,51,51,57,57,55,32,46,48,48,56,52,53,53,50,52,32,46,48,48,56,
      53,55,49,51,51,32,46,48,48,56,54,56,56,50,53,32,46,48,48,56,56,48,54,48,53,
      10,32,32,46,48,48,56,57,50,52,55,52,32,46,48,48,57,48,52,52,51,50,32,46,48,
      48,57,49,54,52,55,56,32,46,48,48,57,50,56,54,48,52,32,46,48,48,57,52,48,56,
      49,56,32,46,48,48,57,53,51,49,50,32,46,48,48,57,54,53,53,49,57,32,46,48,48,
      57,55,56,48,48,52,32,46,48,48,57,57,52,55,53,55,10,32,32,46,48,49,48,51,52,
      51,51,32,46,48,49,48,57,51,56,49,32,46,48,49,49,57,51,51,54,32,46,48,49,50,
      57,51,53,54,32,46,48,49,51,57,52,52,54,32,46,48,49,52,57,54,50,54,32,46,48,
      49,53,57,56,57,57,32,46,48,49,55,48,50,54,54,32,46,48,49,56,48,55,48,55,10,
      32,32,46,48,49,57,49,49,57,55,32,46,48,50,48,49,55,48,49,32,46,48,50,49,50,
      50,49,53,32,46,48,50,50,50,55,52,53,32,46,48,50,51,53,52,51,51,32,46,48,50,
      52,56,50,54,53,32,46,48,50,54,53,55,54,50,32,46,48,50,56,52,48,50,50,32,46,
      48,51,48,51,52,49,52,10,32,32,46,48,51,50,57,56,55,53,32,46,48,51,53,57,49,
      51,49,32,46,48,51,56,57,56,56,49,32,46,48,52,50,52,50,49,55,32,46,48,52,53,
      51,55,48,53,32,46,48,52,57,48,50,51,53,32,46,48,53,50,53,53,57,54,32,46,48,
      53,54,48,48,52,32,46,48,53,57,56,53,53,55,10,32,32,46,48,54,52,50,50,50,32,
      46,48,54,57,49,56,50,32,46,48,55,52,56,48,57,56,32,46,48,56,49,49,48,49,49,
      32,46,48,56,55,57,57,51,51,32,46,48,57,50,57,50,53,53,32,46,48,57,52,48,50,
      56,52,32,46,48,57,51,48,55,53,53,32,46,49,48,49,53,56,55,32,46,49,49,51,56,
      57,52,10,32,32,46,49,50,57,56,53,49,32,46,49,52,54,55,57,52,32,46,49,54,50,
      51,55,52,32,46,49,55,55,50,51,51,32,46,49,57,50,50,51,50,32,46,50,48,53,51,
      50,53,32,46,50,49,54,57,54,55,32,46,50,50,55,52,52,57,32,46,50,51,53,57,51,
      52,32,46,50,52,48,49,48,56,10,32,32,46,50,52,48,56,55,54,32,46,50,51,53,55,
      51,49,32,46,50,50,51,48,54,49,32,46,49,57,57,50,53,51,32,46,49,56,49,54,49,
      54,32,46,49,55,54,54,53,49,32,46,49,55,57,52,49,49,32,46,49,56,52,52,53,55,
      32,46,49,56,54,51,52,50,32,46,49,57,50,54,55,55,10,32,32,46,50,48,55,48,57,
      56,32,46,50,50,54,51,49,32,46,50,51,57,55,32,46,50,52,48,52,50,53,32,46,50,
      50,57,50,50,32,46,50,49,55,48,55,52,32,46,49,57,51,57,53,53,32,46,49,55,50,
      56,51,32,46,49,53,49,56,54,32,46,49,51,49,54,51,53,32,46,49,50,48,50,52,53,
      10,32,32,46,49,49,54,57,53,32,46,49,49,57,48,56,51,32,46,49,50,50,54,57,52,
      32,46,49,50,54,50,53,32,46,49,51,48,48,49,57,32,46,49,51,50,54,50,53,32,46,
      49,51,52,52,54,57,32,46,49,51,52,51,54,54,32,46,49,51,49,54,57,53,32,46,49,
      50,51,53,53,49,32,46,49,49,50,48,48,49,10,32,32,46,49,48,52,55,54,50,32,46,
      48,57,55,56,52,48,51,32,46,48,56,56,48,52,48,55,32,46,48,55,57,48,48,57,49,
      32,46,48,55,52,57,57,50,52,32,46,48,55,48,51,53,57,53,32,46,48,54,56,54,50,
      54,51,32,46,48,54,55,52,52,53,54,32,46,48,55,54,52,54,51,53,10,32,32,46,48,
      55,51,50,50,54,49,32,46,48,55,49,57,51,55,52,32,46,48,54,57,53,51,54,56,32,
      46,48,54,54,57,57,57,32,46,48,54,52,57,55,48,57,32,46,48,54,51,48,49,55,56,
      32,46,48,54,49,50,53,53,53,32,46,48,53,57,53,55,56,51,32,46,48,53,55,55,56,
      52,50,10,32,32,46,48,53,54,50,52,53,53,32,46,48,53,52,54,48,53,57,32,46,48,
      53,51,52,51,54,50,32,46,48,53,49,53,57,50,54,32,46,48,53,48,52,57,57,54,32,
      46,48,52,57,49,55,57,53,32,46,48,52,54,50,54,50,56,32,46,48,52,50,53,55,51,
      49,32,46,48,51,57,51,48,48,55,10,32,32,46,48,51,53,54,49,49,49,32,46,48,51,
      50,51,49,50,54,32,46,48,50,56,56,48,50,56,32,46,48,50,54,50,48,50,32,46,48,
      50,50,53,50,32,46,48,49,57,48,52,54,55,32,46,48,49,55,51,52,53,50,32,46,48,
      49,53,54,51,57,32,46,48,49,51,54,52,50,56,32,46,48,49,50,49,50,49,55,10,32,
      32,46,48,49,48,55,56,49,57,32,46,48,48,57,52,52,50,51,56,32,46,48,48,56,50,
      55,57,48,53,32,46,48,48,55,51,56,53,56,52,32,46,48,48,54,53,57,52,32,46,48,
      48,53,56,57,49,49,57,32,46,48,48,53,49,56,51,51,53,32,46,48,48,52,52,57,50,
      50,32,46,48,48,51,56,51,53,53,55,10,32,32,46,48,48,51,51,51,48,48,54,32,46,
      48,48,50,56,52,56,55,32,46,48,48,50,52,55,55,49,54,32,46,48,48,50,49,53,53,
      53,32,46,48,48,49,56,52,56,50,32,46,48,48,49,53,54,56,53,32,46,48,48,49,51,
      56,50,53,32,46,48,48,49,49,57,53,51,32,46,48,48,49,48,53,50,50,53,10,32,32,
      46,48,48,48,57,49,56,54,52,49,32,46,48,48,48,56,48,50,51,53,49,32,46,48,48,
      48,55,48,49,48,52,57,32,46,48,48,48,54,49,50,55,55,49,32,46,48,48,48,53,51,
      53,55,57,55,32,46,48,48,48,52,54,56,54,53,55,32,46,48,48,48,52,49,48,48,54,
      49,32,46,48,48,48,51,53,56,57,48,51,10,32,32,46,48,48,48,51,49,52,50,50,49,
      32,46,48,48,48,50,55,53,49,55,57,32,46,48,48,48,50,52,49,48,52,50,32,46,48,
      48,48,50,49,49,50,48,51,32,46,48,48,48,49,56,53,49,48,52,32,46,48,48,48,49,
      54,50,50,54,56,32,46,48,48,48,49,52,50,50,56,49,32,46,48,48,48,49,50,52,55,
      57,49,10,32,32,46,48,48,48,49,48,57,52,54,56,32,57,46,54,48,51,57,52,101,45,
      48,53,32,56,46,52,50,55,57,56,101,45,48,53,32,55,46,51,57,55,51,57,101,45,48,
      53,32,54,46,52,57,51,57,55,101,45,48,53,32,53,46,55,48,49,56,55,101,45,48,53,
      32,53,46,48,48,55,50,54,101,45,48,53,10,32,32,52,46,51,57,56,51,50,101,45,48,
      53,32,51,46,56,54,51,55,51,101,45,48,53,32,51,46,51,57,52,54,52,101,45,48,53,
      32,50,46,57,56,50,57,52,101,45,48,53,32,50,46,54,50,49,53,51,101,45,48,53,32,
      50,46,51,48,52,50,51,101,45,48,53,32,50,46,48,50,53,54,101,45,48,53,10,32,32,
      49,46,55,56,48,55,49,101,45,48,53,32,49,46,53,54,53,55,56,101,45,48,53,32,49,
      46,52,49,54,56,51,101,45,48,53,32,49,46,50,56,50,49,52,101,45,48,53,32,49,46,
      49,54,48,51,52,101,45,48,53,32,49,46,48,53,48,49,56,101,45,48,53,32,57,46,53,
      48,54,54,50,101,45,48,54,10,32,32,56,46,52,57,53,56,57,101,45,48,54,32,55,46,
      51,54,57,56,53,101,45,48,54,32,54,46,51,57,51,56,53,101,45,48,54,32,53,46,53,
      52,55,55,57,101,45,48,54,32,52,46,56,49,52,50,54,101,45,48,54,32,52,46,49,55,
      56,50,49,101,45,48,54,32,51,46,54,50,54,53,57,101,45,48,54,10,32,32,51,46,49,
      52,56,49,53,101,45,48,54,32,50,46,55,51,51,49,50,101,45,48,54,32,50,46,51,55,
      51,48,52,101,45,48,54,32,50,46,48,54,48,54,50,101,45,48,54,32,49,46,55,56,57,
      53,101,45,48,54,32,49,46,53,53,52,50,101,45,48,54,32,49,46,51,52,57,57,54,101,
      45,48,54,10,32,32,49,46,49,55,50,54,55,101,45,48,54,32,49,46,48,49,56,55,54,
      101,45,48,54,32,56,46,56,53,49,50,51,101,45,48,55,32,55,46,54,57,48,50,49,101,
      45,48,55,32,54,46,54,56,49,57,54,101,45,48,55,32,53,46,56,48,54,51,55,101,45,
      48,55,32,53,46,48,52,53,57,51,101,45,48,55,10,32,32,52,46,51,56,52,52,49,101,
      45,48,55,32,51,46,56,49,49,54,52,101,45,48,55,32,51,46,51,49,51,49,56,101,45,
      48,55,32,50,46,56,56,48,49,50,101,45,48,55,32,50,46,53,48,51,56,51,101,45,48,
      55,32,50,46,49,55,54,56,54,101,45,48,55,32,49,46,56,57,50,55,49,101,45,48,55,
      10,32,32,49,46,54,52,53,55,54,101,45,48,55,32,49,46,52,51,49,49,51,101,45,48,
      55,32,49,46,50,52,52,53,54,101,45,48,55,32,49,46,48,56,50,51,56,101,45,48,55,
      32,57,46,52,49,51,57,101,45,48,56,32,56,46,49,56,56,49,53,101,45,48,56,32,55,
      46,49,50,50,52,50,101,45,48,56,10,32,32,54,46,49,57,53,55,54,101,45,48,56,32,
      53,46,51,56,57,57,54,101,45,48,56,32,52,46,48,55,57,55,54,101,45,48,56,32,51,
      46,48,56,56,54,52,101,45,48,56,32,50,46,51,51,56,56,50,101,45,48,56,32,49,46,
      55,55,49,51,55,101,45,48,56,32,49,46,51,52,49,56,52,101,45,48,56,10,32,32,49,
      46,48,49,54,54,53,101,45,48,56,32,55,46,55,48,52,49,49,101,45,48,57,32,53,46,
      56,51,57,48,53,101,45,48,57,32,52,46,52,50,54,49,57,101,45,48,57,32,51,46,51,
      53,53,55,51,101,45,48,57,32,50,46,53,52,52,53,53,101,45,48,57,32,49,46,57,50,
      57,55,52,101,45,48,57,10,32,32,49,46,52,54,51,54,57,101,45,48,57,32,49,46,49,
      49,48,51,52,101,45,48,57,32,56,46,52,50,52,49,52,101,45,49,48,32,54,46,51,57,
      50,50,50,101,45,49,48,32,52,46,56,53,49,48,49,101,45,49,48,32,51,46,54,56,49,
      56,51,101,45,49,48,32,50,46,55,57,52,55,57,101,45,49,48,10,32,32,50,46,49,50,
      49,55,101,45,49,48,32,49,46,54,49,48,57,101,45,49,48,32,49,46,50,50,51,50,101,
      45,49,48,32,57,46,50,56,57,49,52,101,45,49,49,32,55,46,48,53,53,48,49,101,45,
      49,49,32,53,46,51,53,56,55,51,101,45,49,49,32,52,46,48,55,48,55,49,101,45,49,
      49,10,32,32,51,46,48,57,50,53,56,101,45,49,49,32,50,46,51,52,57,55,101,45,49,
      49,32,49,46,55,56,53,53,101,45,49,49,32,51,46,51,50,50,51,52,101,45,48,56,32,
      49,46,51,51,50,50,101,45,48,55,32,50,46,57,57,57,57,51,101,45,48,55,32,51,46,
      51,50,50,52,101,45,48,55,10,32,32,49,46,51,51,50,50,56,101,45,48,54,32,51,46,
      48,48,48,50,50,101,45,48,54,32,53,46,51,51,50,56,56,101,45,48,54,32,56,46,51,
      51,48,53,52,101,45,48,54,32,49,46,50,48,48,48,53,101,45,48,53,32,49,46,54,51,
      51,53,51,101,45,48,53,32,50,46,49,51,52,57,49,101,45,48,53,10,32,32,50,46,57,
      48,48,55,53,101,45,48,53,32,51,46,54,49,49,53,56,101,45,48,53,32,52,46,51,55,
      49,48,57,101,45,48,53,32,53,46,50,48,51,49,57,101,45,48,53,32,54,46,49,48,55,
      54,57,101,45,48,53,32,55,46,48,56,52,57,57,101,45,48,53,32,56,46,49,51,53,50,
      56,101,45,48,53,10,32,32,57,46,50,53,56,50,54,101,45,48,53,32,46,48,48,48,49,
      48,52,53,52,52,32,46,48,48,48,49,49,55,50,51,51,32,46,48,48,48,49,51,48,54,
      53,53,32,46,48,48,48,49,52,52,56,48,54,32,46,48,48,48,49,53,57,54,57,50,32,
      46,48,48,48,49,55,53,51,49,52,32,46,48,48,48,49,57,49,54,54,55,10,32,32,46,
      48,48,48,50,48,56,55,53,32,46,48,48,48,50,50,54,53,55,52,32,46,48,48,48,50,
      52,53,49,51,51,32,46,48,48,48,50,54,52,52,50,55,32,46,48,48,48,50,56,52,52,
      53,50,32,46,48,48,48,51,48,53,50,49,53,32,46,48,48,48,51,50,54,55,49,53,32,
      46,48,48,48,51,52,56,57,53,53,10,32,32,46,48,48,48,51,55,49,57,50,52,32,46,
      48,48,48,51,57,53,54,51,32,46,48,48,48,52,50,48,48,54,57,32,46,48,48,48,52,
      52,53,50,52,56,32,46,48,48,48,52,55,49,49,54,56,32,46,48,48,48,52,57,55,56,
      48,55,32,46,48,48,48,53,50,53,49,56,53,32,46,48,48,48,53,53,51,51,48,53,10,
      32,32,46,48,48,48,53,56,50,49,54,52,32,46,48,48,48,54,49,49,55,52,54,32,46,
      48,48,48,54,52,50,48,53,56,32,46,48,48,48,54,55,51,49,49,53,32,46,48,48,48,
      55,48,52,57,48,54,32,46,48,48,48,55,51,55,52,51,55,32,46,48,48,48,55,55,48,
      54,56,57,32,46,48,48,48,56,48,52,54,55,54,10,32,32,46,48,48,48,56,51,57,52,
      48,56,32,46,48,48,48,56,55,52,56,55,53,32,46,48,48,48,57,49,49,48,56,49,32,
      46,48,48,48,57,52,56,48,49,53,32,46,48,48,48,57,56,53,54,57,32,46,48,48,49,
      48,50,52,49,49,32,46,48,48,49,48,54,51,50,54,32,46,48,48,49,49,48,51,49,54,
      10,32,32,46,48,48,49,49,52,51,55,57,32,46,48,48,49,49,56,53,49,55,32,46,48,
      48,49,50,50,55,50,56,32,46,48,48,49,50,55,48,49,52,32,46,48,48,49,51,49,51,
      55,53,32,46,48,48,49,51,53,56,49,49,32,46,48,48,49,52,48,51,50,32,46,48,48,
      49,52,52,57,48,52,32,46,48,48,49,52,57,53,54,53,10,32,32,46,48,48,49,53,52,
      51,32,46,48,48,49,53,57,49,48,57,32,46,48,48,49,54,51,57,57,51,32,46,48,48,
      49,54,56,57,53,52,32,46,48,48,49,55,51,57,57,49,32,46,48,48,49,55,57,49,48,
      52,32,46,48,48,49,56,52,50,57,32,46,48,48,49,56,57,53,53,51,32,46,48,48,49,
      57,52,56,57,51,10,32,32,46,48,48,50,48,48,51,48,57,32,46,48,48,50,48,53,56,
      48,49,32,46,48,48,50,49,49,51,54,56,32,46,48,48,50,49,55,48,49,50,32,46,48,
      48,50,50,50,55,51,51,32,46,48,48,50,50,56,53,50,57,32,46,48,48,50,51,52,52,
      48,51,32,46,48,48,50,52,48,51,53,49,10,32,32,46,48,48,50,52,54,51,55,53,32,
      46,48,48,50,53,50,52,55,54,32,46,48,48,50,53,56,54,53,51,32,46,48,48,50,54,
      52,57,48,53,32,46,48,48,50,55,49,50,50,57,32,46,48,48,50,55,55,54,50,56,32,
      46,48,48,50,56,52,49,48,53,32,46,48,48,50,57,48,54,53,55,10,32,32,46,48,48,
      50,57,55,50,56,51,32,46,48,48,51,48,51,57,55,32,46,48,48,51,49,48,55,51,51,
      32,46,48,48,51,49,55,53,55,32,46,48,48,51,50,52,52,56,51,32,46,48,48,51,51,
      49,52,53,52,32,46,48,48,51,51,56,52,56,56,32,46,48,48,51,52,53,53,57,57,32,
      46,48,48,51,53,50,55,56,52,10,32,32,46,48,48,51,54,48,48,51,56,32,46,48,48,
      51,54,55,51,51,49,32,46,48,48,51,55,52,55,32,46,48,48,51,56,50,49,52,51,32,
      46,48,48,51,56,57,54,54,49,32,46,48,48,51,57,55,50,49,56,32,46,48,48,52,48,
      52,56,51,50,32,46,48,48,52,49,50,53,50,32,46,48,48,52,50,48,50,56,52,10,32,
      32,46,48,48,52,50,56,49,49,51,32,46,48,48,52,51,53,57,54,50,32,46,48,48,52,
      52,51,56,56,54,32,46,48,48,52,53,49,56,56,56,32,46,48,48,52,53,57,57,55,50,
      32,46,48,48,52,54,56,48,56,57,32,46,48,48,52,55,54,50,54,32,46,48,48,52,56,
      52,53,49,49,32,46,48,48,52,57,50,56,52,51,10,32,32,46,48,48,53,48,49,50,52,
      50,32,46,48,48,53,48,57,54,54,57,32,46,48,48,53,49,56,49,55,56,32,46,48,48,
      53,50,54,55,54,56,32,46,48,48,53,51,53,52,51,57,32,46,48,48,53,52,52,49,53,
      51,32,46,48,48,53,53,50,57,51,49,32,46,48,48,53,54,49,55,57,50,10,32,32,46,
      48,48,53,55,48,55,51,52,32,46,48,48,53,55,57,55,53,32,46,48,48,53,56,56,56,
      48,54,32,46,48,48,53,57,55,57,52,54,32,46,48,48,54,48,55,49,55,52,32,46,48,
      48,54,49,54,52,55,51,32,46,48,48,54,50,53,56,51,54,32,46,48,48,54,51,53,50,
      54,52,32,46,48,48,54,52,52,55,56,49,10,32,32,46,48,48,54,53,52,51,55,51,32,
      46,48,48,54,54,52,48,52,49,32,46,48,48,54,55,51,55,54,54,32,46,48,48,54,56,
      51,53,55,49,32,46,48,48,54,57,51,52,54,50,32,46,48,48,55,48,51,52,50,55,32,
      46,48,48,55,49,51,52,53,55,32,46,48,48,55,50,51,53,54,54,10,32,32,46,48,48,
      55,51,51,55,53,32,46,48,48,55,52,52,48,49,50,32,46,48,48,55,53,52,51,53,49,
      32,46,48,48,55,54,52,55,54,51,32,46,48,48,55,55,53,50,52,55,32,46,48,48,55,
      56,53,56,48,57,32,46,48,48,55,57,54,52,52,56,32,46,48,48,56,48,55,49,54,53,
      32,46,48,48,56,49,55,57,53,57,10,32,32,46,48,48,56,50,56,56,50,51,32,46,48,
      48,56,51,57,55,54,52,32,46,48,48,56,53,48,55,56,51,32,46,48,48,56,54,49,56,
      56,51,32,46,48,48,56,55,51,48,53,57,32,46,48,48,56,56,56,48,53,53,32,46,48,
      48,57,50,51,52,53,32,46,48,48,57,55,54,54,50,32,46,48,49,48,54,53,52,55,10,
      32,32,46,48,49,49,53,52,54,56,32,46,48,49,50,52,52,51,49,32,46,48,49,51,51,
      52,52,55,32,46,48,49,52,50,53,49,57,32,46,48,49,53,49,54,52,57,32,46,48,49,
      54,48,56,50,54,32,46,48,49,55,48,48,51,54,32,46,48,49,55,57,50,53,56,32,46,
      48,49,56,56,52,56,56,10,32,32,46,48,49,57,55,55,50,57,32,46,48,50,48,56,56,
      53,53,32,46,48,50,50,48,48,55,52,32,46,48,50,51,53,50,56,57,32,46,48,50,53,
      49,48,49,53,32,46,48,50,54,55,53,50,32,46,48,50,56,57,55,53,52,32,46,48,51,
      49,52,49,54,52,32,46,48,51,52,48,48,55,51,10,32,32,46,48,51,54,57,56,54,51,
      32,46,48,51,57,54,48,53,50,32,46,48,52,50,56,48,51,57,32,46,48,52,53,56,53,
      53,49,32,46,48,52,56,56,51,50,50,32,46,48,53,50,49,55,57,53,32,46,48,53,53,
      57,56,49,57,32,46,48,54,48,51,48,53,52,32,46,48,54,53,50,50,48,50,10,32,32,
      46,48,55,48,55,53,52,52,32,46,48,55,55,48,49,52,54,32,46,48,56,49,57,54,52,
      55,32,46,48,56,52,49,48,51,49,32,46,48,56,52,52,57,49,54,32,46,48,57,50,50,
      52,50,32,46,49,48,50,55,51,49,32,46,49,49,54,48,55,54,32,46,49,51,48,50,50,
      52,32,46,49,52,51,52,49,55,10,32,32,46,49,53,54,50,53,55,32,46,49,54,57,53,
      49,56,32,46,49,56,49,52,52,50,32,46,49,57,50,53,49,32,46,50,48,51,49,54,57,
      32,46,50,49,50,56,55,55,32,46,50,49,56,54,48,52,32,46,50,50,49,50,48,52,32,
      46,50,49,56,49,55,52,32,46,50,48,56,51,52,51,32,46,49,56,56,51,52,56,10,32,
      32,46,49,55,51,48,55,57,32,46,49,54,57,48,50,56,32,46,49,55,49,57,52,32,46,
      49,55,55,49,48,50,32,46,49,55,57,50,56,57,32,46,49,56,53,54,48,53,32,46,49,
      57,57,52,52,32,46,50,49,55,55,52,51,32,46,50,51,48,54,50,55,32,46,50,51,49,
      55,52,52,32,46,50,50,49,53,56,57,10,32,32,46,50,49,48,51,53,49,32,46,49,56,
      56,55,49,57,32,46,49,54,56,55,50,54,32,46,49,52,56,54,56,57,32,46,49,50,57,
      50,51,50,32,46,49,49,56,50,51,57,32,46,49,49,53,48,57,54,32,46,49,49,55,50,
      51,50,32,46,49,50,48,56,48,53,32,46,49,50,52,51,50,50,10,32,32,46,49,50,56,
      48,53,49,32,46,49,51,48,54,51,50,32,46,49,51,50,52,54,56,32,46,49,51,50,52,
      50,51,32,46,49,50,57,56,52,53,32,46,49,50,49,57,50,49,32,46,49,49,48,54,51,
      56,32,46,49,48,51,53,53,32,46,48,57,54,55,54,52,56,32,46,48,56,55,49,52,51,
      57,10,32,32,46,48,55,56,50,54,52,51,32,46,48,55,52,51,49,49,49,32,46,48,54,
      57,55,53,48,55,32,46,48,54,56,48,52,53,53,32,46,48,54,54,56,56,56,51,32,46,
      48,55,53,55,57,57,57,32,46,48,55,50,54,49,52,55,32,46,48,55,49,51,52,54,49,
      32,46,48,54,56,57,56,49,56,10,32,32,46,48,54,54,52,56,48,57,32,46,48,54,52,
      52,56,49,50,32,46,48,54,50,53,53,52,54,32,46,48,54,48,56,49,53,51,32,46,48,
      53,57,49,53,57,53,32,46,48,53,55,51,56,55,54,32,46,48,53,53,56,54,55,52,32,
      46,48,53,52,50,52,54,57,32,46,48,53,51,48,57,48,53,10,32,32,46,48,53,49,50,
      54,55,51,32,46,48,53,48,49,56,54,50,32,46,48,52,56,56,56,48,49,32,46,48,52,
      53,57,57,50,55,32,46,48,52,50,51,51,55,56,32,46,48,51,57,48,57,52,55,32,46,
      48,51,53,52,51,53,53,32,46,48,51,50,49,54,50,51,32,46,48,50,56,54,55,55,51,
      10,32,32,46,48,50,54,48,57,51,53,32,46,48,50,50,52,51,51,54,32,46,48,49,56,
      57,55,52,55,32,46,48,49,55,50,56,49,55,32,46,48,49,53,53,56,51,55,32,46,48,
      49,51,53,57,54,53,32,46,48,49,50,48,56,49,57,32,46,48,49,48,55,52,55,54,32,
      46,48,48,57,52,49,51,51,56,10,32,32,46,48,48,56,50,53,52,52,50,32,46,48,48,
      55,51,54,52,52,49,32,46,48,48,54,53,55,53,51,55,32,46,48,48,53,56,55,52,57,
      32,46,48,48,53,49,54,57,52,32,46,48,48,52,52,56,48,54,52,32,46,48,48,51,56,
      50,54,53,51,32,46,48,48,51,51,50,50,56,52,32,46,48,48,50,56,52,50,55,53,10,
      32,32,46,48,48,50,52,55,50,49,49,32,46,48,48,50,49,53,49,50,49,32,46,48,48,
      49,56,52,52,54,49,32,46,48,48,49,53,54,53,53,50,32,46,48,48,49,51,55,57,57,
      50,32,46,48,48,49,49,57,51,49,49,32,46,48,48,49,48,53,48,51,54,32,46,48,48,
      48,57,49,55,48,49,55,10,32,32,46,48,48,48,56,48,48,57,53,55,32,46,48,48,48,
      54,57,57,56,53,32,46,48,48,48,54,49,49,55,51,56,32,46,48,48,48,53,51,52,57,
      48,57,32,46,48,48,48,52,54,55,56,56,57,32,46,48,48,48,52,48,57,51,57,56,32,
      46,48,48,48,51,53,56,51,51,49,32,46,48,48,48,51,49,51,55,50,53,10,32,32,46,
      48,48,48,50,55,52,55,52,57,32,46,48,48,48,50,52,48,54,55,50,32,46,48,48,48,
      50,49,48,56,56,50,32,46,48,48,48,49,56,52,56,50,52,32,46,48,48,48,49,54,50,
      48,50,54,32,46,48,48,48,49,52,50,48,55,49,32,46,48,48,48,49,50,52,54,48,56,
      32,46,48,48,48,49,48,57,51,48,57,10,32,32,57,46,53,57,48,49,57,101,45,48,53,
      32,56,46,52,49,53,57,56,101,45,48,53,32,55,46,51,56,54,57,51,101,45,48,53,32,
      54,46,52,56,52,56,56,101,45,48,53,32,53,46,54,57,51,57,56,101,45,48,53,32,53,
      46,48,48,48,51,53,101,45,48,53,32,52,46,51,57,50,51,101,45,48,53,10,32,32,51,
      46,56,53,56,52,56,101,45,48,53,32,51,46,51,57,48,48,55,101,45,48,53,32,50,46,
      57,55,56,57,52,101,45,48,53,32,50,46,54,49,56,48,52,101,45,48,53,32,50,46,51,
      48,49,49,56,101,45,48,53,32,50,46,48,50,50,57,52,101,45,48,53,32,49,46,55,55,
      56,51,57,101,45,48,53,10,32,32,49,46,53,54,51,55,52,101,45,48,53,32,49,46,52,
      49,53,101,45,48,53,32,49,46,50,56,48,52,57,101,45,48,53,32,49,46,49,53,56,56,
      53,101,45,48,53,32,49,46,48,52,56,56,52,101,45,48,53,32,57,46,52,57,52,53,54,
      101,45,48,54,32,56,46,52,56,53,49,51,101,45,48,54,10,32,32,55,46,51,54,48,53,
      53,101,45,48,54,32,54,46,51,56,53,56,52,101,45,48,54,32,53,46,53,52,48,56,57,
      101,45,48,54,32,52,46,56,48,56,51,49,101,45,48,54,32,52,46,49,55,51,48,54,101,
      45,48,54,32,51,46,54,50,50,49,53,101,45,48,54,32,51,46,49,52,52,51,49,101,45,
      48,54,10,32,32,50,46,55,50,57,56,101,45,48,54,32,50,46,51,55,48,49,56,101,45,
      48,54,32,50,46,48,53,56,49,52,101,45,48,54,32,49,46,55,56,55,51,53,101,45,48,
      54,32,49,46,53,53,50,51,52,101,45,48,54,32,49,46,51,52,56,51,54,101,45,48,54,
      32,49,46,49,55,49,50,57,101,45,48,54,10,32,32,49,46,48,49,55,53,54,101,45,48,
      54,32,56,46,56,52,48,56,101,45,48,55,32,55,46,54,56,49,55,52,101,45,48,55,32,
      54,46,54,55,53,50,101,45,48,55,32,53,46,56,48,49,48,49,101,45,48,55,32,53,46,
      48,52,49,55,101,45,48,55,32,52,46,51,56,49,49,50,101,45,48,55,10,32,32,51,46,
      56,48,57,48,57,101,45,48,55,32,51,46,51,49,49,50,52,101,45,48,55,32,50,46,56,
      55,56,54,54,101,45,48,55,32,50,46,53,48,50,55,56,101,45,48,55,32,50,46,49,55,
      54,48,55,101,45,48,55,32,49,46,56,57,50,48,51,101,45,48,55,32,49,46,54,52,53,
      49,55,101,45,48,55,10,32,32,49,46,52,51,48,54,49,101,45,48,55,32,49,46,50,52,
      52,49,50,101,45,48,55,32,49,46,48,56,50,101,45,48,55,32,57,46,52,49,48,54,54,
      101,45,48,56,32,56,46,49,56,53,51,55,101,45,48,56,32,55,46,49,50,48,48,50,101,
      45,48,56,32,54,46,49,57,51,54,55,101,45,48,56,10,32,32,53,46,51,56,56,49,53,
      101,45,48,56,32,52,46,48,55,56,52,51,101,45,48,56,32,51,46,48,56,55,54,54,101,
      45,48,56,32,50,46,51,51,56,48,56,101,45,48,56,32,49,46,55,55,48,56,50,101,45,
      48,56,32,49,46,51,52,49,52,51,101,45,48,56,32,49,46,48,49,54,51,53,101,45,48,
      56,10,32,32,55,46,55,48,49,55,56,101,45,48,57,32,53,46,56,51,55,51,101,45,48,
      57,32,52,46,52,50,52,56,56,101,45,48,57,32,51,46,51,53,52,55,54,101,45,48,57,
      32,50,46,53,52,51,56,50,101,45,48,57,32,49,46,57,50,57,49,57,101,45,48,57,32,
      49,46,52,54,51,50,56,101,45,48,57,10,32,32,49,46,49,49,48,48,52,101,45,48,57,
      32,56,46,52,50,49,56,53,101,45,49,48,32,54,46,51,57,48,52,57,101,45,49,48,32,
      52,46,56,52,57,55,49,101,45,49,48,32,51,46,54,56,48,56,54,101,45,49,48,32,50,
      46,55,57,52,48,54,101,45,49,48,32,50,46,49,50,49,49,53,101,45,49,48,10,32,32,
      49,46,54,49,48,52,57,101,45,49,48,32,49,46,50,50,50,57,101,45,49,48,32,57,46,
      50,56,54,56,51,101,45,49,49,32,55,46,48,53,51,50,54,101,45,49,49,32,53,46,51,
      53,55,52,52,101,45,49,49,32,52,46,48,54,57,55,52,101,45,49,49,32,51,46,48,57,
      49,56,53,101,45,49,49,10,32,32,50,46,51,52,57,49,52,101,45,49,49,32,49,46,55,
      56,53,48,56,101,45,49,49,32,51,46,48,49,52,50,51,101,45,48,56,32,49,46,50,48,
      56,54,54,101,45,48,55,32,50,46,55,50,49,55,49,101,45,48,55,32,51,46,48,49,52,
      50,56,101,45,48,55,32,49,46,50,48,56,55,49,101,45,48,54,10,32,32,50,46,55,50,
      49,56,56,101,45,48,54,32,52,46,56,51,55,57,55,101,45,48,54,32,55,46,53,53,55,
      48,56,101,45,48,54,32,49,46,48,56,56,53,52,101,45,48,53,32,49,46,52,56,49,53,
      52,101,45,48,53,32,49,46,57,51,53,56,56,101,45,48,53,32,50,46,52,53,49,51,57,
      101,45,48,53,10,32,32,51,46,50,52,48,48,57,101,45,48,53,32,51,46,57,50,49,51,
      52,101,45,48,53,32,52,46,54,54,55,53,101,45,48,53,32,53,46,52,55,56,51,57,101,
      45,48,53,32,54,46,51,53,52,51,54,101,45,48,53,32,55,46,50,57,53,53,55,101,45,
      48,53,32,56,46,51,48,49,55,49,101,45,48,53,10,32,32,57,46,51,55,51,49,52,101,
      45,48,53,32,46,48,48,48,49,48,53,48,57,54,32,46,48,48,48,49,49,55,49,49,52,
      32,46,48,48,48,49,50,57,55,56,51,32,46,48,48,48,49,52,51,49,48,55,32,46,48,
      48,48,49,53,55,48,56,54,32,46,48,48,48,49,55,49,55,49,54,32,46,48,48,48,49,
      56,54,57,57,57,10,32,32,46,48,48,48,50,48,50,57,52,32,46,48,48,48,50,49,57,
      53,51,54,32,46,48,48,48,50,51,54,55,56,53,32,46,48,48,48,50,53,52,54,56,55,
      32,46,48,48,48,50,55,51,50,52,55,32,46,48,48,48,50,57,50,52,54,49,32,46,48,
      48,48,51,49,50,51,51,51,32,46,48,48,48,51,51,50,56,53,54,10,32,32,46,48,48,
      48,51,53,52,48,51,54,32,46,48,48,48,51,55,53,56,54,57,32,46,48,48,48,51,57,
      56,51,53,57,32,46,48,48,48,52,50,49,53,48,56,32,46,48,48,48,52,52,53,51,48,
      50,32,46,48,48,48,52,54,57,55,53,52,32,46,48,48,48,52,57,52,56,54,53,32,46,
      48,48,48,53,50,48,54,51,51,10,32,32,46,48,48,48,53,52,55,48,52,56,32,46,48,
      48,48,53,55,52,49,49,53,32,46,48,48,48,54,48,49,56,52,52,32,46,48,48,48,54,
      51,48,50,50,55,32,46,48,48,48,54,53,57,50,54,54,32,46,48,48,48,54,56,56,57,
      53,52,32,46,48,48,48,55,49,57,50,57,53,32,46,48,48,48,55,53,48,50,57,56,10,
      32,32,46,48,48,48,55,56,49,57,53,52,32,46,48,48,48,56,49,52,50,55,32,46,48,
      48,48,56,52,55,50,51,53,32,46,48,48,48,56,56,48,56,53,56,32,46,48,48,48,57,
      49,53,49,52,32,46,48,48,48,57,53,48,48,56,49,32,46,48,48,48,57,56,53,54,55,
      55,32,46,48,48,49,48,50,49,57,51,10,32,32,46,48,48,49,48,53,56,56,52,32,46,
      48,48,49,48,57,54,52,49,32,46,48,48,49,49,51,52,54,52,32,46,48,48,49,49,55,
      51,53,52,32,46,48,48,49,50,49,51,48,57,32,46,48,48,49,50,53,51,51,32,46,48,
      48,49,50,57,52,49,55,32,46,48,48,49,51,51,53,55,50,32,46,48,48,49,51,55,55,
      57,50,10,32,32,46,48,48,49,52,50,48,55,56,32,46,48,48,49,52,54,52,51,49,32,
      46,48,48,49,53,48,56,53,49,32,46,48,48,49,53,53,51,51,56,32,46,48,48,49,53,
      57,56,57,50,32,46,48,48,49,54,52,53,49,49,32,46,48,48,49,54,57,49,57,56,32,
      46,48,48,49,55,51,57,53,50,10,32,32,46,48,48,49,55,56,55,55,51,32,46,48,48,
      49,56,51,54,54,49,32,46,48,48,49,56,56,54,49,53,32,46,48,48,49,57,51,54,51,
      55,32,46,48,48,49,57,56,55,50,54,32,46,48,48,50,48,51,56,56,50,32,46,48,48,
      50,48,57,49,48,54,32,46,48,48,50,49,52,51,57,54,10,32,32,46,48,48,50,49,57,
      55,53,50,32,46,48,48,50,50,53,49,55,55,32,46,48,48,50,51,48,54,54,56,32,46,
      48,48,50,51,54,50,50,54,32,46,48,48,50,52,49,56,52,56,32,46,48,48,50,52,55,
      53,51,55,32,46,48,48,50,53,51,50,57,52,32,46,48,48,50,53,57,49,49,55,10,32,
      32,46,48,48,50,54,53,48,48,55,32,46,48,48,50,55,48,57,53,52,32,46,48,48,50,
      55,54,57,54,56,32,46,48,48,50,56,51,48,52,57,32,46,48,48,50,56,57,49,57,53,
      32,46,48,48,50,57,53,51,57,57,32,46,48,48,51,48,49,54,54,50,32,46,48,48,51,
      48,55,57,57,50,10,32,32,46,48,48,51,49,52,51,56,56,32,46,48,48,51,50,48,56,
      52,56,32,46,48,48,51,50,55,51,53,50,32,46,48,48,51,51,51,57,50,51,32,46,48,
      48,51,52,48,53,54,32,46,48,48,51,52,55,50,54,52,32,46,48,48,51,53,52,48,49,
      51,32,46,48,48,51,54,48,56,49,56,32,46,48,48,51,54,55,54,56,57,10,32,32,46,
      48,48,51,55,52,54,50,54,32,46,48,48,51,56,49,54,50,52,32,46,48,48,51,56,56,
      54,53,54,32,46,48,48,51,57,53,55,53,53,32,46,48,48,52,48,50,57,50,50,32,46,
      48,48,52,49,48,49,54,32,46,48,48,52,49,55,52,52,32,46,48,48,52,50,52,55,55,
      52,32,46,48,48,52,51,50,49,55,56,10,32,32,46,48,48,52,51,57,54,53,50,32,46,
      48,48,52,52,55,49,56,55,32,46,48,48,52,53,52,55,54,50,32,46,48,48,52,54,50,
      52,48,56,32,46,48,48,52,55,48,49,50,52,32,46,48,48,52,55,55,57,49,32,46,48,
      48,52,56,53,55,52,53,32,46,48,48,52,57,51,54,51,57,32,46,48,48,53,48,49,54,
      48,53,10,32,32,46,48,48,53,48,57,54,52,49,32,46,48,48,53,49,55,55,52,52,32,
      46,48,48,53,50,53,56,57,50,32,46,48,48,53,51,52,49,49,49,32,46,48,48,53,52,
      50,52,48,56,32,46,48,48,53,53,48,55,54,53,32,46,48,48,53,53,57,49,56,52,32,
      46,48,48,53,54,55,54,54,52,10,32,32,46,48,48,53,55,54,50,50,32,46,48,48,53,
      56,52,56,52,49,32,46,48,48,53,57,51,53,50,57,32,46,48,48,54,48,50,50,55,50,
      32,46,48,48,54,49,49,48,56,54,32,46,48,48,54,49,57,57,55,52,32,46,48,48,54,
      50,56,57,50,54,32,46,48,48,54,51,55,57,51,55,32,46,48,48,54,52,55,48,50,49,
      10,32,32,46,48,48,54,53,54,49,54,56,32,46,48,48,54,54,53,51,56,52,32,46,48,
      48,54,55,52,54,54,56,32,46,48,48,54,56,52,48,49,56,32,46,48,48,54,57,51,52,
      51,32,46,48,48,55,48,50,57,49,50,32,46,48,48,55,49,50,52,54,49,32,46,48,48,
      55,50,50,48,55,56,32,46,48,48,55,51,49,55,54,51,10,32,32,46,48,48,55,52,49,
      53,49,49,32,46,48,48,55,53,49,51,50,54,32,46,48,48,55,54,49,50,48,57,32,46,
      48,48,55,55,49,49,54,50,32,46,48,48,55,56,49,49,56,50,32,46,48,48,55,57,52,
      54,50,55,32,46,48,48,56,50,54,51,52,54,32,46,48,48,56,55,51,57,54,53,10,32,
      32,46,48,48,57,53,51,52,52,57,32,46,48,49,48,51,51,49,51,32,46,48,49,49,49,
      51,48,50,32,46,48,49,49,57,51,50,49,32,46,48,49,50,55,51,55,49,32,46,48,49,
      51,53,52,53,52,32,46,48,49,52,51,53,54,53,32,46,48,49,53,49,54,57,55,32,46,
      48,49,53,57,56,51,56,10,32,32,46,48,49,54,55,57,56,54,32,46,48,49,55,54,49,
      52,49,32,46,48,49,56,53,57,53,49,32,46,48,49,57,53,56,50,32,46,48,50,48,57,
      49,51,57,32,46,48,50,50,50,55,56,54,32,46,48,50,51,54,57,53,51,32,46,48,50,
      53,53,55,57,50,32,46,48,50,55,54,51,32,46,48,50,57,56,50,48,50,10,32,32,46,
      48,51,50,52,32,46,48,51,52,55,49,56,32,46,48,51,55,53,50,55,55,32,46,48,52,
      48,49,56,50,52,32,46,48,52,50,55,55,56,50,32,46,48,52,53,55,49,48,50,32,46,
      48,52,57,48,52,51,32,46,48,53,50,56,50,57,57,32,46,48,53,55,49,51,51,53,32,
      46,48,54,50,48,48,48,54,10,32,32,46,48,54,55,54,52,50,52,32,46,48,55,50,52,
      52,53,54,32,46,48,55,53,50,52,57,52,32,46,48,55,54,54,51,49,51,32,46,48,56,
      51,54,56,48,56,32,46,48,57,50,54,50,49,49,32,46,49,48,51,56,32,46,49,49,53,
      54,54,55,32,46,49,50,54,57,48,56,32,46,49,51,56,48,53,56,10,32,32,46,49,52,
      57,56,48,49,32,46,49,54,48,54,50,49,32,46,49,55,49,48,49,55,32,46,49,56,49,
      53,54,50,32,46,49,57,49,57,56,52,32,46,49,57,56,56,49,54,32,46,50,48,50,56,
      51,51,32,46,50,48,49,53,54,51,32,46,49,57,52,50,49,32,46,49,55,55,54,55,52,
      32,46,49,54,52,54,49,55,10,32,32,46,49,54,49,52,50,53,32,46,49,54,52,52,55,
      49,32,46,49,54,57,55,50,56,32,46,49,55,50,49,57,54,32,46,49,55,56,52,56,49,
      32,46,49,57,49,55,50,55,32,46,50,48,57,49,50,55,32,46,50,50,49,53,32,46,50,
      50,50,57,57,32,46,50,49,51,56,54,49,32,46,50,48,51,53,49,57,10,32,32,46,49,
      56,51,51,54,56,32,46,49,54,52,53,49,50,32,46,49,52,53,52,50,32,46,49,50,54,
      55,52,53,32,46,49,49,54,49,53,57,32,46,49,49,51,49,55,50,32,46,49,49,53,51,
      49,49,32,46,49,49,56,56,52,52,32,46,49,50,50,51,50,32,46,49,50,54,48,48,55,
      32,46,49,50,56,53,54,49,10,32,32,46,49,51,48,51,56,57,32,46,49,51,48,52,48,
      53,32,46,49,50,55,57,50,49,32,46,49,50,48,50,50,51,32,46,49,48,57,50,49,54,
      32,46,49,48,50,50,56,54,32,46,48,57,53,54,52,49,56,32,46,48,56,54,50,48,54,
      55,32,46,48,55,55,52,56,53,32,46,48,55,51,53,57,56,50,10,32,32,46,48,54,57,
      49,49,51,53,32,46,48,54,55,52,51,55,50,32,46,48,54,54,51,48,52,53,32,46,48,
      55,53,49,48,53,51,32,46,48,55,49,57,55,52,52,32,46,48,55,48,55,50,54,55,32,
      46,48,54,56,52,48,48,51,32,46,48,54,53,57,51,55,57,32,46,48,54,51,57,54,55,
      56,10,32,32,46,48,54,50,48,54,56,55,32,46,48,54,48,51,53,51,54,32,46,48,53,
      56,55,50,48,49,32,46,48,53,54,57,55,49,52,32,46,48,53,53,52,55,48,53,32,46,
      48,53,51,56,55,48,49,32,46,48,53,50,55,50,55,54,32,46,48,53,48,57,50,53,57,
      32,46,48,52,57,56,53,55,10,32,32,46,48,52,56,53,54,53,53,32,46,48,52,53,55,
      48,57,32,46,48,52,50,48,57,49,32,46,48,51,56,56,55,56,49,32,46,48,51,53,50,
      53,48,55,32,46,48,51,50,48,48,52,49,32,46,48,50,56,53,52,53,49,32,46,48,50,
      53,57,55,57,51,32,46,48,50,50,51,52,50,56,32,46,48,49,56,57,48,48,50,10,32,
      32,46,48,49,55,50,49,54,32,46,48,49,53,53,50,54,52,32,46,48,49,51,53,52,56,
      54,32,46,48,49,50,48,52,48,56,32,46,48,49,48,55,49,50,50,32,46,48,48,57,51,
      56,51,52,54,32,46,48,48,56,50,50,57,48,50,32,46,48,48,55,51,52,50,51,55,32,
      46,48,48,54,53,53,54,49,55,10,32,32,46,48,48,53,56,53,56,49,54,32,46,48,48,
      53,49,53,53,48,51,32,46,48,48,52,52,54,56,53,52,32,46,48,48,51,56,49,54,52,
      57,32,46,48,48,51,51,49,52,51,50,32,46,48,48,50,56,51,53,57,57,32,46,48,48,
      50,52,54,54,54,53,32,46,48,48,50,49,52,54,55,57,10,32,32,46,48,48,49,56,52,
      48,57,49,32,46,48,48,49,53,54,50,52,54,32,46,48,48,49,51,55,55,50,56,32,46,
      48,48,49,49,57,48,56,55,32,46,48,48,49,48,52,56,52,50,32,46,48,48,48,57,49,
      53,51,53,51,32,46,48,48,48,55,57,57,53,50,55,32,46,48,48,48,54,57,56,54,49,
      57,10,32,32,46,48,48,48,54,49,48,54,56,50,32,46,48,48,48,53,51,51,57,57,55,
      32,46,48,48,48,52,54,55,49,48,51,32,46,48,48,48,52,48,56,55,50,32,46,48,48,
      48,51,53,55,55,52,53,32,46,48,48,48,51,49,51,50,49,56,32,46,48,48,48,50,55,
      52,51,49,50,32,46,48,48,48,50,52,48,50,57,50,10,32,32,46,48,48,48,50,49,48,
      53,53,51,32,46,48,48,48,49,56,52,53,52,32,46,48,48,48,49,54,49,55,55,57,32,
      46,48,48,48,49,52,49,56,53,55,32,46,48,48,48,49,50,52,52,50,50,32,46,48,48,
      48,49,48,57,49,52,56,32,57,46,53,55,54,49,50,101,45,48,53,32,56,46,52,48,51,
      55,55,101,45,48,53,10,32,32,55,46,51,55,54,51,49,101,45,48,53,32,54,46,52,55,
      53,54,53,101,45,48,53,32,53,46,54,56,53,57,49,101,45,48,53,32,52,46,57,57,51,
      51,51,101,45,48,53,32,52,46,51,56,54,49,56,101,45,48,53,32,51,46,56,53,51,49,
      54,101,45,48,53,32,51,46,51,56,53,52,49,101,45,48,53,10,32,32,50,46,57,55,52,
      56,56,101,45,48,53,32,50,46,54,49,52,53,101,45,48,53,32,50,46,50,57,56,48,57,
      101,45,48,53,32,50,46,48,50,48,50,52,101,45,48,53,32,49,46,55,55,54,48,50,101,
      45,48,53,32,49,46,53,54,49,54,56,101,45,48,53,32,49,46,52,49,51,49,52,101,45,
      48,53,10,32,32,49,46,50,55,56,56,50,101,45,48,53,32,49,46,49,53,55,51,53,101,
      45,48,53,32,49,46,48,52,55,52,56,101,45,48,53,32,57,46,52,56,50,50,54,101,45,
      48,54,32,56,46,52,55,52,50,49,101,45,48,54,32,55,46,51,53,49,49,54,101,45,48,
      54,32,54,46,51,55,55,55,54,101,45,48,54,10,32,32,53,46,53,51,51,57,101,45,48,
      54,32,52,46,56,48,50,50,54,101,45,48,54,32,52,46,49,54,55,56,52,101,45,48,54,
      32,51,46,54,49,55,54,54,101,45,48,54,32,51,46,49,52,48,52,52,101,45,48,54,32,
      50,46,55,50,54,52,52,101,45,48,54,32,50,46,51,54,55,50,55,101,45,48,54,10,32,
      32,50,46,48,53,53,54,51,101,45,48,54,32,49,46,55,56,53,49,57,101,45,48,54,32,
      49,46,53,53,48,52,55,101,45,48,54,32,49,46,51,52,54,55,52,101,45,48,54,32,49,
      46,49,54,57,56,56,101,45,48,54,32,49,46,48,49,54,51,52,101,45,48,54,32,56,46,
      56,51,48,50,56,101,45,48,55,10,32,32,55,46,54,55,50,54,54,101,45,48,55,32,54,
      46,54,54,55,51,53,101,45,48,55,32,53,46,55,57,52,50,101,45,48,55,32,53,46,48,
      51,53,55,57,101,45,48,55,32,52,46,51,55,54,101,45,48,55,32,51,46,56,48,52,54,
      53,101,45,48,55,32,51,46,51,48,55,52,49,101,45,48,55,10,32,32,50,46,56,55,53,
      51,53,101,45,48,55,32,50,46,52,57,57,57,49,101,45,48,55,32,50,46,49,55,51,54,
      51,101,45,48,55,32,49,46,56,57,48,48,54,101,45,48,55,32,49,46,54,52,51,54,101,
      45,48,55,32,49,46,52,50,57,51,54,101,45,48,55,32,49,46,50,52,51,49,51,101,45,
      48,55,10,32,32,49,46,48,56,49,50,51,101,45,48,55,32,57,46,52,48,52,55,50,101,
      45,48,56,32,56,46,49,56,48,56,52,101,45,48,56,32,55,46,49,49,54,54,52,101,45,
      48,56,32,54,46,49,57,49,50,49,101,45,48,56,32,53,46,51,56,54,51,49,101,45,48,
      56,32,52,46,48,55,55,48,55,101,45,48,56,10,32,32,51,46,48,56,54,54,52,101,45,
      48,56,32,50,46,51,51,55,51,51,101,45,48,56,32,49,46,55,55,48,50,54,101,45,48,
      56,32,49,46,51,52,49,48,50,101,45,48,56,32,49,46,48,49,54,48,51,101,45,48,56,
      32,55,46,54,57,57,52,50,101,45,48,57,32,53,46,56,51,53,53,50,101,45,48,57,10,
      32,32,52,46,52,50,51,53,54,101,45,48,57,32,51,46,51,53,51,55,55,101,45,48,57,
      32,50,46,53,52,51,48,56,101,45,48,57,32,49,46,57,50,56,54,52,101,45,48,57,32,
      49,46,52,54,50,56,54,101,45,48,57,32,49,46,49,48,57,55,51,101,45,48,57,32,56,
      46,52,49,57,53,50,101,45,49,48,10,32,32,54,46,51,56,56,55,53,101,45,49,48,32,
      52,46,56,52,56,52,101,45,49,48,32,51,46,54,55,57,56,55,101,45,49,48,32,50,46,
      55,57,51,51,50,101,45,49,48,32,50,46,49,50,48,54,101,45,49,48,32,49,46,54,49,
      48,48,55,101,45,49,48,32,49,46,50,50,50,53,57,101,45,49,48,10,32,32,57,46,50,
      56,52,52,57,101,45,49,49,32,55,46,48,53,49,53,101,45,49,49,32,53,46,51,53,54,
      49,50,101,45,49,49,32,52,46,48,54,56,55,54,101,45,49,49,32,51,46,48,57,49,49,
      49,101,45,49,49,32,50,46,51,52,56,53,57,101,45,49,49,32,49,46,55,56,52,54,54,
      101,45,49,49,10,32,32,50,46,55,49,55,51,56,101,45,48,56,32,49,46,48,56,57,54,
      50,101,45,48,55,32,50,46,52,53,51,54,56,101,45,48,55,32,50,46,55,49,55,52,51,
      101,45,48,55,32,49,46,48,56,57,54,56,101,45,48,54,32,50,46,52,53,51,56,54,101,
      45,48,54,32,52,46,51,54,49,54,49,101,45,48,54,10,32,32,54,46,56,49,51,101,45,
      48,54,32,57,46,56,49,51,53,53,101,45,48,54,32,49,46,51,51,53,53,56,101,45,48,
      53,32,49,46,55,52,52,57,57,101,45,48,53,32,50,46,50,48,57,51,54,101,45,48,53,
      32,50,46,56,51,55,56,49,101,45,48,53,32,51,46,53,48,52,51,55,101,45,48,53,10,
      32,32,52,46,49,55,49,50,55,101,45,48,53,32,52,46,56,57,53,57,51,101,45,48,53,
      32,53,46,54,55,56,54,55,101,45,48,53,32,54,46,53,49,57,54,51,101,45,48,53,32,
      55,46,52,49,56,53,52,101,45,48,53,32,56,46,51,55,53,55,49,101,45,48,53,32,57,
      46,51,57,48,56,57,101,45,48,53,10,32,32,46,48,48,48,49,48,52,54,52,51,32,46,
      48,48,48,49,49,53,57,53,56,32,46,48,48,48,49,50,55,56,53,56,32,46,48,48,48,
      49,52,48,51,52,32,46,48,48,48,49,53,51,52,48,52,32,46,48,48,48,49,54,55,48,
      52,56,32,46,48,48,48,49,56,49,50,56,32,46,48,48,48,49,57,54,48,57,52,10,32,
      32,46,48,48,48,50,49,49,52,56,57,32,46,48,48,48,50,50,55,52,54,55,32,46,48,
      48,48,50,52,52,48,51,49,32,46,48,48,48,50,54,49,49,55,55,32,46,48,48,48,50,
      55,56,57,48,56,32,46,48,48,48,50,57,55,50,49,57,32,46,48,48,48,51,49,54,49,
      49,54,32,46,48,48,48,51,51,53,53,57,52,10,32,32,46,48,48,48,51,53,53,54,53,
      55,32,46,48,48,48,51,55,54,51,48,54,32,46,48,48,48,51,57,55,53,51,50,32,46,
      48,48,48,52,49,57,51,52,50,32,46,48,48,48,52,52,49,55,51,57,32,46,48,48,48,
      52,54,52,55,50,49,32,46,48,48,48,52,56,56,50,56,32,46,48,48,48,53,49,50,52,
      50,10,32,32,46,48,48,48,53,51,55,49,53,32,46,48,48,48,53,54,50,52,54,49,32,
      46,48,48,48,53,56,56,51,53,55,32,46,48,48,48,54,49,52,56,51,49,32,46,48,48,
      48,54,52,49,56,56,55,32,46,48,48,48,54,54,57,53,51,50,32,46,48,48,48,54,57,
      55,55,53,56,32,46,48,48,48,55,50,54,53,55,50,10,32,32,46,48,48,48,55,53,53,
      57,54,52,32,46,48,48,48,55,56,53,57,52,50,32,46,48,48,48,56,49,54,53,48,53,
      32,46,48,48,48,56,52,55,54,53,52,32,46,48,48,48,56,55,57,51,56,55,32,46,48,
      48,48,57,49,49,55,48,49,32,46,48,48,48,57,52,52,54,48,53,32,46,48,48,48,57,
      55,56,48,57,49,10,32,32,46,48,48,49,48,49,50,49,54,32,46,48,48,49,48,52,54,
      56,51,32,46,48,48,49,48,56,50,48,55,32,46,48,48,49,49,49,55,57,49,32,46,48,
      48,49,49,53,52,51,50,32,46,48,48,49,49,57,49,51,52,32,46,48,48,49,50,50,56,
      57,52,32,46,48,48,49,50,54,55,49,50,10,32,32,46,48,48,49,51,48,53,56,57,32,
      46,48,48,49,51,52,53,50,54,32,46,48,48,49,51,56,53,50,50,32,46,48,48,49,52,
      50,53,55,54,32,46,48,48,49,52,54,54,56,57,32,46,48,48,49,53,48,56,54,50,32,
      46,48,48,49,53,53,48,57,52,32,46,48,48,49,53,57,51,56,53,10,32,32,46,48,48,
      49,54,51,55,51,53,32,46,48,48,49,54,56,49,52,53,32,46,48,48,49,55,50,54,49,
      51,32,46,48,48,49,55,55,49,52,49,32,46,48,48,49,56,49,55,50,57,32,46,48,48,
      49,56,54,51,55,53,32,46,48,48,49,57,49,48,56,49,32,46,48,48,49,57,53,56,52,
      54,10,32,32,46,48,48,50,48,48,54,55,32,46,48,48,50,48,53,53,53,51,32,46,48,
      48,50,49,48,52,57,53,32,46,48,48,50,49,53,52,57,53,32,46,48,48,50,50,48,53,
      53,52,32,46,48,48,50,50,53,54,55,51,32,46,48,48,50,51,48,56,53,49,32,46,48,
      48,50,51,54,48,56,55,32,46,48,48,50,52,49,51,55,56,10,32,32,46,48,48,50,52,
      54,55,50,55,32,46,48,48,50,53,50,49,51,53,32,46,48,48,50,53,55,54,48,50,32,
      46,48,48,50,54,51,49,50,51,32,46,48,48,50,54,56,54,57,56,32,46,48,48,50,55,
      52,51,51,50,32,46,48,48,50,56,48,48,50,53,32,46,48,48,50,56,53,55,55,54,10,
      32,32,46,48,48,50,57,49,53,55,50,32,46,48,48,50,57,55,52,50,56,32,46,48,48,
      51,48,51,51,52,50,32,46,48,48,51,48,57,51,49,53,32,46,48,48,51,49,53,51,51,
      53,32,46,48,48,51,50,49,52,48,55,32,46,48,48,51,50,55,53,51,56,32,46,48,48,
      51,51,51,55,50,57,10,32,32,46,48,48,51,51,57,57,55,52,32,46,48,48,51,52,54,
      50,54,32,46,48,48,51,53,50,54,48,53,32,46,48,48,51,53,57,48,48,57,32,46,48,
      48,51,54,53,52,55,54,32,46,48,48,51,55,49,57,56,55,32,46,48,48,51,55,56,53,
      53,32,46,48,48,51,56,53,49,55,51,32,46,48,48,51,57,49,56,53,56,10,32,32,46,
      48,48,51,57,56,53,57,57,32,46,48,48,52,48,53,51,56,51,32,46,48,48,52,49,50,
      50,50,57,32,46,48,48,52,49,57,49,51,54,32,46,48,48,52,50,54,49,48,52,32,46,
      48,48,52,51,51,49,50,32,46,48,48,52,52,48,49,57,50,32,46,48,48,52,52,55,51,
      50,53,32,46,48,48,52,53,52,53,49,57,10,32,32,46,48,48,52,54,49,55,55,51,32,
      46,48,48,52,54,57,48,55,50,32,46,48,48,52,55,54,52,51,52,32,46,48,48,52,56,
      51,56,54,51,32,46,48,48,52,57,49,51,52,51,32,46,48,48,52,57,56,56,56,51,32,
      46,48,48,53,48,54,52,55,54,32,46,48,48,53,49,52,49,51,54,10,32,32,46,48,48,
      53,50,49,56,53,51,32,46,48,48,53,50,57,54,51,32,46,48,48,53,51,55,52,53,55,
      32,46,48,48,53,52,53,51,52,54,32,46,48,48,53,53,51,51,32,46,48,48,53,54,49,
      51,49,49,32,46,48,48,53,54,57,51,55,53,32,46,48,48,53,55,55,53,48,51,32,46,
      48,48,53,56,53,54,56,55,10,32,32,46,48,48,53,57,51,57,51,49,32,46,48,48,54,
      48,50,50,51,54,32,46,48,48,54,49,48,53,57,57,32,46,48,48,54,49,57,48,49,56,
      32,46,48,48,54,50,55,52,57,56,32,46,48,48,54,51,54,48,51,55,32,46,48,48,54,
      52,52,54,51,55,32,46,48,48,54,53,51,50,57,55,10,32,32,46,48,48,54,54,50,48,
      49,50,32,46,48,48,54,55,48,55,56,54,32,46,48,48,54,55,57,54,50,49,32,46,48,
      48,54,56,56,53,49,55,32,46,48,48,54,57,55,52,55,51,32,46,48,48,55,48,57,52,
      56,57,32,46,48,48,55,51,55,56,51,32,46,48,48,55,56,48,51,54,53,32,46,48,48,
      56,53,49,51,50,55,10,32,32,46,48,48,57,50,50,52,32,46,48,48,57,57,51,54,32,
      46,48,49,48,54,52,57,54,32,46,48,49,49,51,54,53,32,46,48,49,50,48,56,50,51,
      32,46,48,49,50,56,48,49,50,32,46,48,49,51,53,50,49,52,32,46,48,49,52,50,52,
      50,32,46,48,49,52,57,54,51,50,32,46,48,49,53,54,56,52,56,10,32,32,46,48,49,
      54,53,53,50,50,32,46,48,49,55,52,50,51,49,32,46,48,49,56,53,57,52,51,32,46,
      48,49,57,55,56,54,49,32,46,48,50,49,48,49,50,49,32,46,48,50,50,54,50,51,57,
      32,46,48,50,52,51,54,51,55,32,46,48,50,54,50,51,48,52,32,46,48,50,56,52,55,
      51,51,10,32,32,46,48,51,48,53,50,53,54,32,46,48,51,50,57,57,57,54,32,46,48,
      51,53,51,50,49,49,32,46,48,51,55,53,57,52,51,32,46,48,52,48,49,55,49,55,32,
      46,48,52,51,49,48,50,54,32,46,48,52,54,52,51,48,51,32,46,48,53,48,50,49,32,
      46,48,53,52,52,57,57,50,32,46,48,53,57,53,54,55,10,32,32,46,48,54,52,49,51,
      57,55,32,46,48,54,55,51,52,56,54,32,46,48,54,57,52,53,48,51,32,46,48,55,53,
      56,53,54,51,32,46,48,56,51,52,55,56,54,32,46,48,57,50,56,53,54,53,32,46,49,
      48,50,56,52,57,32,46,49,49,50,52,55,49,32,46,49,50,50,49,57,32,46,49,51,50,
      54,48,51,10,32,32,46,49,52,50,52,48,49,32,46,49,53,50,48,56,55,32,46,49,54,
      50,51,50,51,32,46,49,55,51,48,56,32,46,49,56,48,54,53,52,32,46,49,56,53,55,
      52,49,32,46,49,56,53,57,49,55,32,46,49,56,48,55,48,52,32,46,49,54,55,50,56,
      32,46,49,53,54,50,55,49,32,46,49,53,51,56,56,10,32,32,46,49,53,55,48,52,49,
      32,46,49,54,50,51,55,50,32,46,49,54,53,48,57,55,32,46,49,55,49,51,51,56,32,
      46,49,56,51,57,57,56,32,46,50,48,48,53,48,52,32,46,50,49,50,51,54,56,32,46,
      50,49,52,50,48,54,32,46,50,48,54,48,55,51,32,46,49,57,54,54,48,56,10,32,32,
      46,49,55,55,57,50,50,32,46,49,54,48,50,48,51,32,46,49,52,50,48,54,52,32,46,
      49,50,52,49,56,51,32,46,49,49,52,48,49,50,32,46,49,49,49,49,56,51,32,46,49,
      49,51,51,50,52,32,46,49,49,54,56,49,53,32,46,49,50,48,50,52,56,32,46,49,50,
      51,56,57,50,10,32,32,46,49,50,54,52,49,56,32,46,49,50,56,50,51,55,32,46,49,
      50,56,51,49,52,32,46,49,50,53,57,50,56,32,46,49,49,56,52,54,50,32,46,49,48,
      55,55,52,32,46,49,48,48,57,55,49,32,46,48,57,52,52,55,51,53,32,46,48,56,53,
      50,51,48,53,32,46,48,55,54,54,55,50,53,10,32,32,46,48,55,50,56,53,52,54,32,
      46,48,54,56,52,52,56,53,32,46,48,54,54,56,48,50,51,32,46,48,54,53,54,57,53,
      49,32,46,48,55,52,51,56,48,53,32,46,48,55,49,51,48,54,32,46,48,55,48,48,56,
      32,46,48,54,55,55,57,51,51,32,46,48,54,53,51,55,48,56,32,46,48,54,51,52,51,
      49,50,10,32,32,46,48,54,49,53,54,48,56,32,46,48,53,57,56,55,49,32,46,48,53,
      56,50,54,48,55,32,46,48,53,54,53,51,54,50,32,46,48,53,53,48,53,53,52,32,46,
      48,53,51,52,55,53,57,32,46,48,53,50,51,52,55,57,32,46,48,53,48,53,54,56,52,
      32,46,48,52,57,53,49,50,52,10,32,32,46,48,52,56,50,51,54,50,32,46,48,52,53,
      52,49,50,32,46,48,52,49,56,51,50,51,32,46,48,51,56,54,53,49,52,32,46,48,51,
      53,48,53,55,51,32,46,48,51,49,56,51,56,51,32,46,48,50,56,52,48,54,52,32,46,
      48,50,53,56,53,57,52,32,46,48,50,50,50,52,55,51,10,32,32,46,48,49,56,56,49,
      53,53,32,46,48,49,55,49,52,53,55,32,46,48,49,53,52,54,55,51,32,46,48,49,51,
      52,57,57,51,32,46,48,49,49,57,57,56,53,32,46,48,49,48,54,55,53,56,32,46,48,
      48,57,51,53,50,54,53,32,46,48,48,56,50,48,50,56,56,32,46,48,48,55,51,49,57,
      54,56,10,32,32,46,48,48,54,53,51,54,52,51,32,46,48,48,53,56,52,48,57,52,32,
      46,48,48,53,49,52,48,51,32,46,48,48,52,52,53,54,49,49,32,46,48,48,51,56,48,
      54,49,56,32,46,48,48,51,51,48,53,54,32,46,48,48,50,56,50,56,55,32,46,48,48,
      50,52,54,48,52,54,32,46,48,48,50,49,52,49,53,53,10,32,32,46,48,48,49,56,51,
      54,55,54,32,46,48,48,49,53,53,57,50,51,32,46,48,48,49,51,55,52,53,54,32,46,
      48,48,49,49,56,56,53,55,32,46,48,48,49,48,52,54,52,51,32,46,48,48,48,57,49,
      51,54,52,57,32,46,48,48,48,55,57,56,48,54,51,32,46,48,48,48,54,57,55,51,54,
      52,10,32,32,46,48,48,48,54,48,57,53,57,56,32,46,48,48,48,53,51,51,48,54,53,
      32,46,48,48,48,52,54,54,51,32,46,48,48,48,52,48,56,48,50,55,32,46,48,48,48,
      51,53,55,49,52,54,32,46,48,48,48,51,49,50,55,48,50,32,46,48,48,48,50,55,51,
      56,54,52,32,46,48,48,48,50,51,57,57,48,54,10,32,32,46,48,48,48,50,49,48,50,
      49,57,32,46,48,48,48,49,56,52,50,53,32,46,48,48,48,49,54,49,53,50,55,32,46,
      48,48,48,49,52,49,54,51,57,32,46,48,48,48,49,50,52,50,51,51,32,46,48,48,48,
      49,48,56,57,56,51,32,57,46,53,54,49,56,52,101,45,48,53,32,56,46,51,57,49,51,
      54,101,45,48,53,10,32,32,55,46,51,54,53,53,101,45,48,53,32,54,46,52,54,54,50,
      49,101,45,48,53,32,53,46,54,55,55,55,51,101,45,48,53,32,52,46,57,56,54,50,50,
      101,45,48,53,32,52,46,51,55,57,57,54,101,45,48,53,32,51,46,56,52,55,55,51,101,
      45,48,53,32,51,46,51,56,48,54,56,101,45,48,53,10,32,32,50,46,57,55,48,55,55,
      101,45,48,53,32,50,46,54,49,48,57,49,101,45,48,53,32,50,46,50,57,52,57,53,101,
      45,48,53,32,50,46,48,49,55,52,57,101,45,48,53,32,49,46,55,55,51,54,51,101,45,
      48,53,32,49,46,53,53,57,53,57,101,45,48,53,32,49,46,52,49,49,50,54,101,45,48,
      53,10,32,32,49,46,50,55,55,49,50,101,45,48,53,32,49,46,49,53,53,56,49,101,45,
      48,53,32,49,46,48,52,54,49,101,45,48,53,32,57,46,52,54,57,56,56,101,45,48,54,
      32,56,46,52,54,51,50,101,45,48,54,32,55,46,51,52,49,54,53,101,45,48,54,32,54,
      46,51,54,57,53,51,101,45,48,54,10,32,32,53,46,53,50,54,56,49,101,45,48,54,32,
      52,46,55,57,54,49,55,101,45,48,54,32,52,46,49,54,50,53,57,101,45,48,54,32,51,
      46,54,49,51,49,101,45,48,54,32,51,46,49,51,54,53,101,45,48,54,32,50,46,55,50,
      51,48,53,101,45,48,54,32,50,46,51,54,52,51,52,101,45,48,54,10,32,32,50,46,48,
      53,51,49,101,45,48,54,32,49,46,55,56,51,101,45,48,54,32,49,46,53,52,56,53,56,
      101,45,48,54,32,49,46,51,52,53,49,101,45,48,54,32,49,46,49,54,56,52,55,101,
      45,48,54,32,49,46,48,49,53,49,50,101,45,48,54,32,56,46,56,49,57,55,101,45,48,
      55,32,55,46,54,54,51,52,57,101,45,48,55,10,32,32,54,46,54,53,57,51,56,101,45,
      48,55,32,53,46,55,56,55,51,49,101,45,48,55,32,53,46,48,50,57,56,52,101,45,48,
      55,32,52,46,51,55,48,56,54,101,45,48,55,32,51,46,56,48,48,50,101,45,48,55,32,
      51,46,51,48,51,53,53,101,45,48,55,32,50,46,56,55,50,101,45,48,55,10,32,32,50,
      46,52,57,55,101,45,48,55,32,50,46,49,55,49,49,50,101,45,48,55,32,49,46,56,56,
      55,56,56,101,45,48,55,32,49,46,54,52,49,55,49,101,45,48,55,32,49,46,52,50,55,
      55,51,101,45,48,55,32,49,46,50,52,49,55,50,101,45,48,55,32,49,46,48,56,101,
      45,48,55,32,57,46,51,57,52,48,51,101,45,48,56,10,32,32,56,46,49,55,49,53,55,
      101,45,48,56,32,55,46,49,48,56,54,101,45,48,56,32,54,46,49,56,52,50,53,101,
      45,48,56,32,53,46,51,56,48,52,101,45,48,56,32,52,46,48,55,51,50,50,101,45,48,
      56,32,51,46,48,56,52,50,101,45,48,56,32,50,46,51,51,53,56,51,101,45,48,56,10,
      32,32,49,46,55,54,57,51,57,101,45,48,56,32,49,46,51,52,48,53,54,101,45,48,56,
      32,49,46,48,49,53,55,49,101,45,48,56,32,55,46,54,57,55,48,49,101,45,48,57,32,
      53,46,56,51,51,55,50,101,45,48,57,32,52,46,52,50,50,50,50,101,45,48,57,32,51,
      46,51,53,50,55,55,101,45,48,57,10,32,32,50,46,53,52,50,51,51,101,45,48,57,32,
      49,46,57,50,56,48,55,101,45,48,57,32,49,46,52,54,50,52,52,101,45,48,57,32,49,
      46,49,48,57,52,49,101,45,48,57,32,56,46,52,49,55,49,55,101,45,49,48,32,54,46,
      51,56,54,57,55,101,45,49,48,32,52,46,56,52,55,48,54,101,45,49,48,10,32,32,51,
      46,54,55,56,56,56,101,45,49,48,32,50,46,55,57,50,53,55,101,45,49,48,32,50,46,
      49,50,48,48,52,101,45,49,48,32,49,46,54,48,57,54,53,101,45,49,48,32,49,46,50,
      50,50,50,55,101,45,49,48,32,57,46,50,56,50,49,51,101,45,49,49,32,55,46,48,52,
      57,55,53,101,45,49,49,10,32,32,53,46,51,53,52,56,49,101,45,49,49,32,52,46,48,
      54,55,55,55,101,45,49,49,32,51,46,48,57,48,51,55,101,45,49,49,32,50,46,51,52,
      56,48,51,101,45,49,49,32,49,46,55,56,52,50,51,101,45,49,49,32,50,46,52,53,55,
      54,51,101,45,48,56,32,57,46,56,53,52,54,54,101,45,48,56,10,32,32,50,46,50,49,
      57,49,49,101,45,48,55,32,50,46,52,53,55,54,53,101,45,48,55,32,57,46,56,53,52,
      56,101,45,48,55,32,50,46,50,49,57,49,101,45,48,54,32,51,46,57,52,52,48,56,101,
      45,48,54,32,54,46,49,54,48,51,51,101,45,48,54,32,56,46,56,55,50,53,54,101,45,
      48,54,10,32,32,49,46,50,48,55,51,54,101,45,48,53,32,49,46,53,55,55,49,55,101,
      45,48,53,32,49,46,57,57,54,52,101,45,48,53,32,50,46,52,54,53,51,51,101,45,48,
      53,32,51,46,49,52,50,51,54,101,45,48,53,32,51,46,55,52,48,48,50,101,45,48,53,
      32,52,46,51,56,57,50,101,45,48,53,10,32,32,53,46,48,57,48,49,56,101,45,48,53,
      32,53,46,56,52,51,48,56,101,45,48,53,32,54,46,54,52,55,54,49,101,45,48,53,32,
      55,46,53,48,52,48,52,101,45,48,53,32,56,46,52,49,50,49,49,101,45,48,53,32,57,
      46,51,55,50,48,57,101,45,48,53,32,46,48,48,48,49,48,51,56,51,55,10,32,32,46,
      48,48,48,49,49,52,52,55,51,32,46,48,48,48,49,50,53,54,50,54,32,46,48,48,48,
      49,51,55,50,57,55,32,46,48,48,48,49,52,57,52,56,53,32,46,48,48,48,49,54,50,
      49,57,51,32,46,48,48,48,49,55,53,52,49,57,32,46,48,48,48,49,56,57,49,54,32,
      46,48,48,48,50,48,51,52,50,50,10,32,32,46,48,48,48,50,49,56,50,48,51,32,46,
      48,48,48,50,51,51,53,48,49,32,46,48,48,48,50,52,57,51,49,55,32,46,48,48,48,
      50,54,53,54,53,50,32,46,48,48,48,50,56,50,53,48,56,32,46,48,48,48,50,57,57,
      56,55,57,32,46,48,48,48,51,49,55,55,54,57,32,46,48,48,48,51,51,54,49,55,57,
      10,32,32,46,48,48,48,51,53,53,49,48,55,32,46,48,48,48,51,55,52,53,53,52,32,
      46,48,48,48,51,57,52,53,50,50,32,46,48,48,48,52,49,53,48,48,56,32,46,48,48,
      48,52,51,54,48,48,57,32,46,48,48,48,52,53,55,53,51,32,46,48,48,48,52,55,57,
      53,55,52,32,46,48,48,48,53,48,50,49,51,52,10,32,32,46,48,48,48,53,50,53,50,
      49,50,32,46,48,48,48,53,52,56,56,49,32,46,48,48,48,53,55,50,57,50,52,32,46,
      48,48,48,53,57,55,53,54,49,32,46,48,48,48,54,50,50,55,49,51,32,46,48,48,48,
      54,52,56,51,56,56,32,46,48,48,48,54,55,52,53,55,57,32,46,48,48,48,55,48,49,
      50,56,57,10,32,32,46,48,48,48,55,50,56,53,49,57,32,46,48,48,48,55,53,54,50,
      54,56,32,46,48,48,48,55,56,52,53,51,54,32,46,48,48,48,56,49,51,51,50,32,46,
      48,48,48,56,52,50,54,50,55,32,46,48,48,48,56,55,50,52,53,32,46,48,48,48,57,
      48,50,55,57,50,32,46,48,48,48,57,51,51,54,53,52,10,32,32,46,48,48,48,57,54,
      53,48,51,53,32,46,48,48,48,57,57,54,57,51,54,32,46,48,48,49,48,50,57,51,53,
      32,46,48,48,49,48,54,50,50,57,32,46,48,48,49,48,57,53,55,53,32,46,48,48,49,
      49,50,57,55,51,32,46,48,48,49,49,54,52,50,50,32,46,48,48,49,49,57,57,50,52,
      10,32,32,46,48,48,49,50,51,52,55,56,32,46,48,48,49,50,55,48,56,52,32,46,48,
      48,49,51,48,55,52,49,32,46,48,48,49,51,52,52,53,49,32,46,48,48,49,51,56,50,
      49,51,32,46,48,48,49,52,50,48,50,54,32,46,48,48,49,52,53,56,57,50,32,46,48,
      48,49,52,57,56,49,32,46,48,48,49,53,51,55,56,10,32,32,46,48,48,49,53,55,56,
      48,51,32,46,48,48,49,54,49,56,55,55,32,46,48,48,49,54,54,48,48,52,32,46,48,
      48,49,55,48,49,56,50,32,46,48,48,49,55,52,52,49,51,32,46,48,48,49,55,56,54,
      57,54,32,46,48,48,49,56,51,48,51,50,32,46,48,48,49,56,55,52,49,57,10,32,32,
      46,48,48,49,57,49,56,53,56,32,46,48,48,49,57,54,51,52,57,32,46,48,48,50,48,
      48,56,57,52,32,46,48,48,50,48,53,52,57,32,46,48,48,50,49,48,49,51,56,32,46,
      48,48,50,49,52,56,51,55,32,46,48,48,50,49,57,53,56,56,32,46,48,48,50,50,52,
      51,57,49,32,46,48,48,50,50,57,50,52,54,10,32,32,46,48,48,50,51,52,49,53,50,
      32,46,48,48,50,51,57,49,48,56,32,46,48,48,50,52,52,49,49,56,32,46,48,48,50,
      52,57,49,55,57,32,46,48,48,50,53,52,50,57,50,32,46,48,48,50,53,57,52,53,51,
      32,46,48,48,50,54,52,54,54,55,32,46,48,48,50,54,57,57,51,51,10,32,32,46,48,
      48,50,55,53,50,53,49,32,46,48,48,50,56,48,54,49,56,32,46,48,48,50,56,54,48,
      51,54,32,46,48,48,50,57,49,53,48,53,32,46,48,48,50,57,55,48,50,55,32,46,48,
      48,51,48,50,54,32,46,48,48,51,48,56,50,50,49,32,46,48,48,51,49,51,56,57,52,
      32,46,48,48,51,49,57,54,49,57,10,32,32,46,48,48,51,50,53,51,57,56,32,46,48,
      48,51,51,49,50,50,55,32,46,48,48,51,51,55,49,48,54,32,46,48,48,51,52,51,48,
      51,56,32,46,48,48,51,52,57,48,50,51,32,46,48,48,51,53,53,48,54,32,46,48,48,
      51,54,49,49,52,55,32,46,48,48,51,54,55,50,56,56,32,46,48,48,51,55,51,52,56,
      50,10,32,32,46,48,48,51,55,57,55,50,56,32,46,48,48,51,56,54,48,50,53,32,46,
      48,48,51,57,50,51,55,53,32,46,48,48,51,57,56,55,55,57,32,46,48,48,52,48,53,
      50,51,52,32,46,48,48,52,49,49,55,52,52,32,46,48,48,52,49,56,51,48,50,32,46,
      48,48,52,50,52,57,49,52,10,32,32,46,48,48,52,51,49,53,56,52,32,46,48,48,52,
      51,56,50,57,56,32,46,48,48,52,52,53,48,55,49,32,46,48,48,52,53,49,56,57,50,
      32,46,48,48,52,53,56,55,55,49,32,46,48,48,52,54,53,54,57,57,32,46,48,48,52,
      55,50,54,56,49,32,46,48,48,52,55,57,55,49,49,10,32,32,46,48,48,52,56,54,55,
      57,53,32,46,48,48,52,57,51,57,51,54,32,46,48,48,53,48,49,49,50,54,32,46,48,
      48,53,48,56,51,54,53,32,46,48,48,53,49,53,54,54,49,32,46,48,48,53,50,51,48,
      48,54,32,46,48,48,53,51,48,52,48,52,32,46,48,48,53,51,55,56,53,53,10,32,32,
      46,48,48,53,52,53,51,53,57,32,46,48,48,53,53,50,57,49,49,32,46,48,48,53,54,
      48,53,49,54,32,46,48,48,53,54,56,49,55,52,32,46,48,48,53,55,53,56,56,53,32,
      46,48,48,53,56,51,54,52,56,32,46,48,48,53,57,49,52,54,32,46,48,48,53,57,57,
      51,50,53,32,46,48,48,54,48,55,50,52,51,10,32,32,46,48,48,54,49,53,50,49,50,
      32,46,48,48,54,50,51,50,51,52,32,46,48,48,54,51,51,57,57,55,32,46,48,48,54,
      53,57,51,54,56,32,46,48,48,54,57,55,52,49,56,32,46,48,48,55,54,48,56,49,52,
      32,46,48,48,56,50,52,49,55,57,32,46,48,48,56,56,55,53,49,56,10,32,32,46,48,
      48,57,53,48,56,52,32,46,48,49,48,49,52,49,55,32,46,48,49,48,55,55,53,51,32,
      46,48,49,49,52,48,57,52,32,46,48,49,50,48,52,52,51,32,46,48,49,50,54,55,57,
      55,32,46,48,49,51,51,49,53,55,32,46,48,49,51,57,53,50,50,32,46,48,49,52,55,
      49,54,56,10,32,32,46,48,49,53,52,56,51,49,32,46,48,49,54,53,48,57,56,32,46,
      48,49,55,53,52,56,50,32,46,48,49,56,54,48,56,55,32,46,48,49,57,57,57,51,49,
      32,46,48,50,49,52,56,51,55,32,46,48,50,51,48,57,51,54,32,46,48,50,53,48,54,
      49,32,46,48,50,54,56,56,52,55,10,32,32,46,48,50,57,48,54,55,53,32,46,48,51,
      49,48,57,56,51,32,46,48,51,51,48,57,48,50,32,46,48,51,53,51,53,53,55,32,46,
      48,51,55,57,51,52,51,32,46,48,52,48,56,54,50,56,32,46,48,52,52,49,57,49,54,
      32,46,48,52,55,57,56,51,50,32,46,48,53,50,53,52,49,57,10,32,32,46,48,53,54,
      56,53,51,56,32,46,48,54,48,50,57,48,55,32,46,48,54,50,57,48,48,56,32,46,48,
      54,56,55,49,55,51,32,46,48,55,53,50,49,53,50,32,46,48,56,51,48,56,56,50,32,
      46,48,57,49,53,50,50,57,32,46,48,57,57,55,56,53,51,32,46,49,48,56,50,55,55,
      10,32,32,46,49,49,55,53,50,50,32,46,49,50,54,51,56,49,32,46,49,51,53,51,53,
      53,32,46,49,52,53,49,54,56,32,46,49,53,53,57,56,54,32,46,49,54,52,48,49,57,
      32,46,49,54,57,56,56,54,32,46,49,55,49,50,51,50,32,46,49,54,55,56,53,50,32,
      46,49,53,55,50,48,53,10,32,32,46,49,52,56,48,56,32,46,49,52,54,52,50,56,32,
      46,49,52,57,54,56,52,32,46,49,53,53,48,54,56,32,46,49,53,56,48,50,54,32,46,
      49,54,52,50,49,32,46,49,55,54,50,56,56,32,46,49,57,49,57,49,53,32,46,50,48,
      51,50,55,49,32,46,50,48,53,52,51,49,32,46,49,57,56,50,53,56,10,32,32,46,49,
      56,57,54,52,57,32,46,49,55,50,52,48,53,32,46,49,53,53,56,49,55,32,46,49,51,
      56,54,51,50,32,46,49,50,49,53,53,51,32,46,49,49,49,56,48,51,32,46,49,48,57,
      49,51,52,32,46,49,49,49,50,55,54,32,46,49,49,52,55,50,52,32,46,49,49,56,49,
      49,50,10,32,32,46,49,50,49,55,49,50,32,46,49,50,52,50,48,56,32,46,49,50,54,
      48,49,56,32,46,49,50,54,49,53,54,32,46,49,50,51,56,54,57,32,46,49,49,54,54,
      52,49,32,46,49,48,54,50,49,49,32,46,48,57,57,54,48,57,52,32,46,48,57,51,50,
      54,50,32,46,48,56,52,50,49,55,49,10,32,32,46,48,55,53,56,50,56,51,32,46,48,
      55,50,48,56,49,54,32,46,48,54,55,55,53,54,54,32,46,48,54,54,49,52,49,56,32,
      46,48,54,53,48,54,49,32,46,48,55,51,54,50,54,51,32,46,48,55,48,54,49,48,54,
      32,46,48,54,57,52,48,55,49,32,46,48,54,55,49,54,49,49,10,32,32,46,48,54,52,
      55,56,32,46,48,54,50,56,55,50,51,32,46,48,54,49,48,51,50,32,46,48,53,57,51,
      54,56,52,32,46,48,53,55,55,56,50,32,46,48,53,54,48,56,50,52,32,46,48,53,52,
      54,50,50,52,32,46,48,53,51,48,54,52,54,32,46,48,53,49,57,53,49,57,32,46,48,
      53,48,49,57,53,53,10,32,32,46,48,52,57,49,53,50,57,32,46,48,52,55,56,57,50,
      53,32,46,48,52,53,49,48,49,57,32,46,48,52,49,53,54,50,51,32,46,48,51,56,52,
      49,52,53,32,46,48,51,52,56,53,53,49,32,46,48,51,49,54,54,53,32,46,48,50,56,
      50,54,49,53,32,46,48,50,53,55,51,52,49,10,32,32,46,48,50,50,49,52,55,51,32,
      46,48,49,56,55,50,52,56,32,46,48,49,55,48,54,53,54,32,46,48,49,53,51,57,57,
      53,32,46,48,49,51,52,52,55,54,32,46,48,49,49,57,53,52,57,32,46,48,49,48,54,
      51,56,51,32,46,48,48,57,51,50,48,57,53,32,46,48,48,56,49,55,54,48,49,10,32,
      32,46,48,48,55,50,57,54,51,54,32,46,48,48,54,53,49,54,49,51,32,46,48,48,53,
      56,50,51,50,56,32,46,48,48,53,49,50,53,49,54,32,46,48,48,52,52,52,51,51,55,
      32,46,48,48,51,55,57,53,54,49,32,46,48,48,51,50,57,54,54,52,32,46,48,48,50,
      56,50,49,50,53,10,32,32,46,48,48,50,52,53,52,49,50,32,46,48,48,50,49,51,54,
      49,53,32,46,48,48,49,56,51,50,50,51,32,46,48,48,49,53,53,53,52,56,32,46,48,
      48,49,51,55,49,51,55,32,46,48,48,49,49,56,54,48,49,32,46,48,48,49,48,52,52,
      51,50,32,46,48,48,48,57,49,49,57,48,51,10,32,32,46,48,48,48,55,57,54,53,54,
      54,32,46,48,48,48,54,57,54,48,55,53,32,46,48,48,48,54,48,56,52,57,50,32,46,
      48,48,48,53,51,50,49,49,50,32,46,48,48,48,52,54,53,52,55,56,32,46,48,48,48,
      52,48,55,51,50,32,46,48,48,48,51,53,54,53,51,53,32,46,48,48,48,51,49,50,49,
      55,52,10,32,32,46,48,48,48,50,55,51,52,48,57,32,46,48,48,48,50,51,57,53,49,
      49,32,46,48,48,48,50,48,57,56,55,54,32,46,48,48,48,49,56,51,57,53,52,32,46,
      48,48,48,49,54,49,50,55,49,32,46,48,48,48,49,52,49,52,49,55,32,46,48,48,48,
      49,50,52,48,52,32,46,48,48,48,49,48,56,56,49,54,10,32,32,57,46,53,52,55,50,
      57,101,45,48,53,32,56,46,51,55,56,54,57,101,45,48,53,32,55,46,51,53,52,53,49,
      101,45,48,53,32,54,46,52,53,54,54,56,101,45,48,53,32,53,46,54,54,57,52,101,
      45,48,53,32,52,46,57,55,56,57,54,101,45,48,53,32,52,46,51,55,51,54,52,101,45,
      48,53,10,32,32,51,46,56,52,50,50,51,101,45,48,53,32,51,46,51,55,53,56,57,101,
      45,48,53,32,50,46,57,54,54,53,55,101,45,48,53,32,50,46,54,48,55,50,53,101,45,
      48,53,32,50,46,50,57,49,55,54,101,45,48,53,32,50,46,48,49,52,55,49,101,45,48,
      53,32,49,46,55,55,49,50,101,45,48,53,10,32,32,49,46,53,53,55,52,55,101,45,48,
      53,32,49,46,52,48,57,51,52,101,45,48,53,32,49,46,50,55,53,52,101,45,48,53,32,
      49,46,49,53,52,50,55,101,45,48,53,32,49,46,48,52,52,55,49,101,45,48,53,32,57,
      46,52,53,55,50,57,101,45,48,54,32,56,46,52,53,50,48,49,101,45,48,54,10,32,32,
      55,46,51,51,50,48,49,101,45,48,54,32,54,46,51,54,49,50,49,101,45,48,54,32,53,
      46,53,49,57,54,54,101,45,48,54,32,52,46,55,56,57,57,57,101,45,48,54,32,52,46,
      49,53,55,50,53,101,45,48,54,32,51,46,54,48,56,53,101,45,48,54,32,51,46,49,51,
      50,53,51,101,45,48,54,10,32,32,50,46,55,49,57,54,50,101,45,48,54,32,50,46,51,
      54,49,51,56,101,45,48,54,32,50,46,48,53,48,53,52,101,45,48,54,32,49,46,55,56,
      48,55,56,101,45,48,54,32,49,46,53,52,54,54,54,101,45,48,54,32,49,46,51,52,51,
      52,53,101,45,48,54,32,49,46,49,54,55,48,51,101,45,48,54,10,32,32,49,46,48,49,
      51,56,56,101,45,48,54,32,56,46,56,48,56,57,57,101,45,48,55,32,55,46,54,53,52,
      50,50,101,45,48,55,32,54,46,54,53,49,51,54,101,45,48,55,32,53,46,55,56,48,51,
      55,101,45,48,55,32,53,46,48,50,51,56,51,101,45,48,55,32,52,46,51,54,53,54,56,
      101,45,48,55,10,32,32,51,46,55,57,53,55,101,45,48,55,32,51,46,50,57,57,54,53,
      101,45,48,55,32,50,46,56,54,56,54,50,101,45,48,55,32,50,46,52,57,52,48,56,101,
      45,48,55,32,50,46,49,54,56,53,56,101,45,48,55,32,49,46,56,56,53,54,57,101,45,
      48,55,32,49,46,54,51,57,56,49,101,45,48,55,10,32,32,49,46,52,50,54,48,56,101,
      45,48,55,32,49,46,50,52,48,50,56,101,45,48,55,32,49,46,48,55,56,55,54,101,45,
      48,55,32,57,46,51,56,51,50,55,101,45,48,56,32,56,46,49,54,50,50,52,101,45,48,
      56,32,55,46,49,48,48,53,49,101,45,48,56,32,54,46,49,55,55,50,52,101,45,48,56,
      10,32,32,53,46,51,55,52,51,51,101,45,48,56,32,52,46,48,54,56,54,52,101,45,48,
      56,32,51,46,48,56,48,55,52,101,45,48,56,32,50,46,51,51,51,50,50,101,45,48,56,
      32,49,46,55,54,55,52,51,101,45,48,56,32,49,46,51,51,57,48,56,101,45,48,56,32,
      49,46,48,49,52,55,50,101,45,48,56,10,32,32,55,46,54,57,48,53,57,101,45,48,57,
      32,53,46,56,50,57,55,49,101,45,48,57,32,52,46,52,49,57,56,49,101,45,48,57,32,
      51,46,51,53,49,52,50,101,45,48,57,32,50,46,53,52,49,53,54,101,45,48,57,32,49,
      46,57,50,55,53,49,101,45,48,57,32,49,46,52,54,50,48,49,101,45,48,57,10,32,32,
      49,46,49,48,57,48,57,101,45,48,57,32,56,46,52,49,52,55,56,101,45,49,48,32,54,
      46,51,56,53,49,56,101,45,49,48,32,52,46,56,52,53,55,50,101,45,49,48,32,51,46,
      54,55,55,56,56,101,45,49,48,32,50,46,55,57,49,56,50,101,45,49,48,32,50,46,49,
      49,57,52,55,101,45,49,48,10,32,32,49,46,54,48,57,50,51,101,45,49,48,32,49,46,
      50,50,49,57,53,101,45,49,48,32,57,46,50,55,57,55,55,101,45,49,49,32,55,46,48,
      52,55,57,55,101,45,49,49,32,53,46,51,53,51,52,56,101,45,49,49,32,52,46,48,54,
      54,55,55,101,45,49,49,32,51,46,48,56,57,54,50,101,45,49,49,10,32,32,50,46,51,
      52,55,52,55,101,45,49,49,32,49,46,55,56,51,56,50,101,45,49,49,32,50,46,49,56,
      57,57,49,101,45,48,56,32,56,46,55,56,49,49,49,101,45,48,56,32,49,46,57,55,55,
      51,54,101,45,48,55,32,50,46,49,56,57,57,49,101,45,48,55,32,56,46,55,56,48,57,
      54,101,45,48,55,10,32,32,49,46,57,55,55,50,50,101,45,48,54,32,51,46,53,49,51,
      57,57,101,45,48,54,32,53,46,52,56,56,50,51,101,45,48,54,32,55,46,57,48,51,57,
      57,101,45,48,54,32,49,46,48,55,53,52,54,101,45,48,53,32,49,46,52,48,52,54,56,
      101,45,48,53,32,49,46,55,55,55,55,54,101,45,48,53,10,32,32,50,46,49,57,52,56,
      56,101,45,48,53,32,50,46,55,48,54,50,49,101,45,48,53,32,51,46,51,49,48,53,49,
      101,45,48,53,32,51,46,56,56,52,56,55,101,45,48,53,32,52,46,53,48,52,57,49,101,
      45,48,53,32,53,46,49,55,48,55,49,101,45,48,53,32,53,46,56,56,50,48,50,101,45,
      48,53,10,32,32,54,46,54,51,57,48,55,101,45,48,53,32,55,46,52,52,49,54,49,101,
      45,48,53,32,56,46,50,56,57,57,50,101,45,48,53,32,57,46,49,56,51,55,49,101,45,
      48,53,32,46,48,48,48,49,48,49,50,51,50,32,46,48,48,48,49,49,49,48,56,51,32,
      46,48,48,48,49,50,49,51,57,10,32,32,46,48,48,48,49,51,50,49,53,50,32,46,48,
      48,48,49,52,51,51,55,51,32,46,48,48,48,49,53,53,48,52,56,32,46,48,48,48,49,
      54,55,49,55,55,32,46,48,48,48,49,55,57,55,54,54,32,46,48,48,48,49,57,50,56,
      49,49,32,46,48,48,48,50,48,54,51,49,49,32,46,48,48,48,50,50,48,50,54,56,10,
      32,32,46,48,48,48,50,51,52,54,56,49,32,46,48,48,48,50,52,57,53,53,52,32,46,
      48,48,48,50,54,52,56,56,49,32,46,48,48,48,50,56,48,54,54,52,32,46,48,48,48,
      50,57,54,57,48,53,32,46,48,48,48,51,49,51,54,48,52,32,46,48,48,48,51,51,48,
      55,54,32,46,48,48,48,51,52,56,51,55,53,10,32,32,46,48,48,48,51,54,54,52,52,
      53,32,46,48,48,48,51,56,52,57,55,49,32,46,48,48,48,52,48,51,57,53,53,32,46,
      48,48,48,52,50,51,52,32,46,48,48,48,52,52,51,50,57,56,32,46,48,48,48,52,54,
      51,54,53,51,32,46,48,48,48,52,56,52,52,54,56,32,46,48,48,48,53,48,53,55,51,
      55,10,32,32,46,48,48,48,53,50,55,52,54,54,32,46,48,48,48,53,52,57,54,52,57,
      32,46,48,48,48,53,55,50,50,57,51,32,46,48,48,48,53,57,53,51,57,50,32,46,48,
      48,48,54,49,56,57,52,56,32,46,48,48,48,54,52,50,57,54,49,32,46,48,48,48,54,
      54,55,52,51,32,46,48,48,48,54,57,50,51,53,56,10,32,32,46,48,48,48,55,49,55,
      55,51,56,32,46,48,48,48,55,52,51,53,56,32,46,48,48,48,55,54,57,56,55,52,32,
      46,48,48,48,55,57,54,54,50,54,32,46,48,48,48,56,50,51,56,51,52,32,46,48,48,
      48,56,53,49,52,57,56,32,46,48,48,48,56,55,57,54,50,32,46,48,48,48,57,48,56,
      49,57,53,10,32,32,46,48,48,48,57,51,55,50,50,56,32,46,48,48,48,57,54,54,55,
      49,53,32,46,48,48,48,57,57,54,54,53,57,32,46,48,48,49,48,50,55,48,54,32,46,
      48,48,49,48,53,55,57,50,32,46,48,48,49,48,56,57,50,51,32,46,48,48,49,49,50,
      49,32,46,48,48,49,49,53,51,50,50,10,32,32,46,48,48,49,49,56,53,57,49,32,46,
      48,48,49,50,49,57,48,52,32,46,48,48,49,50,53,50,54,51,32,46,48,48,49,50,56,
      54,54,57,32,46,48,48,49,51,50,49,49,57,32,46,48,48,49,51,53,54,49,54,32,46,
      48,48,49,51,57,49,53,55,32,46,48,48,49,52,50,55,52,53,10,32,32,46,48,48,49,
      52,54,51,55,57,32,46,48,48,49,53,48,48,53,56,32,46,48,48,49,53,51,55,56,51,
      32,46,48,48,49,53,55,53,53,53,32,46,48,48,49,54,49,51,55,49,32,46,48,48,49,
      54,53,50,51,52,32,46,48,48,49,54,57,49,52,50,32,46,48,48,49,55,51,48,57,54,
      10,32,32,46,48,48,49,55,55,48,57,55,32,46,48,48,49,56,49,49,52,52,32,46,48,
      48,49,56,53,50,51,54,32,46,48,48,49,56,57,51,55,52,32,46,48,48,49,57,51,53,
      53,56,32,46,48,48,49,57,55,55,56,55,32,46,48,48,50,48,50,48,54,50,32,46,48,
      48,50,48,54,51,56,52,10,32,32,46,48,48,50,49,48,55,53,49,32,46,48,48,50,49,
      53,49,54,52,32,46,48,48,50,49,57,54,50,51,32,46,48,48,50,50,52,49,50,56,32,
      46,48,48,50,50,56,54,55,56,32,46,48,48,50,51,51,50,55,53,32,46,48,48,50,51,
      55,57,49,56,32,46,48,48,50,52,50,54,48,54,10,32,32,46,48,48,50,52,55,51,52,
      49,32,46,48,48,50,53,50,49,50,49,32,46,48,48,50,53,54,57,52,56,32,46,48,48,
      50,54,49,56,50,49,32,46,48,48,50,54,54,55,51,57,32,46,48,48,50,55,49,55,48,
      52,32,46,48,48,50,55,54,55,49,53,32,46,48,48,50,56,49,55,55,50,10,32,32,46,
      48,48,50,56,54,56,55,54,32,46,48,48,50,57,50,48,50,56,32,46,48,48,50,57,55,
      50,50,54,32,46,48,48,51,48,50,52,55,32,46,48,48,51,48,55,55,54,49,32,46,48,
      48,51,49,51,48,57,56,32,46,48,48,51,49,56,52,56,53,32,46,48,48,51,50,51,57,
      49,56,32,46,48,48,51,50,57,51,57,56,10,32,32,46,48,48,51,51,52,57,50,51,32,
      46,48,48,51,52,48,52,57,56,32,46,48,48,51,52,54,49,50,32,46,48,48,51,53,49,
      55,56,56,32,46,48,48,51,53,55,53,48,50,32,46,48,48,51,54,51,50,54,51,32,46,
      48,48,51,54,57,48,55,51,32,46,48,48,51,55,52,57,50,56,32,46,48,48,51,56,48,
      56,51,52,10,32,32,46,48,48,51,56,54,55,55,56,32,46,48,48,51,57,50,55,55,54,
      32,46,48,48,51,57,56,56,49,56,32,46,48,48,52,48,52,57,49,49,32,46,48,48,52,
      49,49,48,52,53,32,46,48,48,52,49,55,50,50,55,32,46,48,48,52,50,51,52,53,53,
      32,46,48,48,52,50,57,55,50,56,10,32,32,46,48,48,52,51,54,48,53,50,32,46,48,
      48,52,52,50,52,49,56,32,46,48,48,52,52,56,56,50,56,32,46,48,48,52,53,53,50,
      56,57,32,46,48,48,52,54,49,55,57,51,32,46,48,48,52,54,56,51,52,50,32,46,48,
      48,52,55,52,57,51,56,32,46,48,48,52,56,49,53,56,49,10,32,32,46,48,48,52,56,
      56,50,54,55,32,46,48,48,52,57,52,57,57,56,32,46,48,48,53,48,49,55,55,54,32,
      46,48,48,53,48,56,54,32,46,48,48,53,49,53,52,55,32,46,48,48,53,50,50,51,56,
      51,32,46,48,48,53,50,57,51,52,50,32,46,48,48,53,51,54,51,52,55,32,46,48,48,
      53,52,51,51,57,55,10,32,32,46,48,48,53,53,48,52,57,51,32,46,48,48,53,54,48,
      48,49,50,32,46,48,48,53,56,50,52,52,53,32,46,48,48,54,49,54,48,55,54,32,46,
      48,48,54,55,50,48,54,54,32,46,48,48,55,50,55,57,54,50,32,46,48,48,55,56,51,
      55,54,55,32,46,48,48,56,51,57,52,55,56,10,32,32,46,48,48,56,57,53,49,50,54,
      32,46,48,48,57,53,48,55,52,54,32,46,48,49,48,48,54,51,57,32,46,48,49,48,54,
      50,48,56,32,46,48,49,49,49,55,56,52,32,46,48,49,49,55,51,54,54,32,46,48,49,
      50,50,57,53,52,32,46,48,49,50,57,54,54,53,32,46,48,49,51,54,51,56,55,10,32,
      32,46,48,49,52,53,51,56,49,32,46,48,49,53,52,52,54,32,46,48,49,54,51,55,49,
      56,32,46,48,49,55,53,55,57,57,32,46,48,49,56,56,56,52,49,32,46,48,50,48,51,
      48,50,54,32,46,48,50,50,48,53,52,52,32,46,48,50,51,54,56,53,54,32,46,48,50,
      53,54,49,51,51,10,32,32,46,48,50,55,51,56,53,55,32,46,48,50,57,49,50,51,49,
      32,46,48,51,49,49,48,54,49,32,46,48,51,51,51,54,57,49,32,46,48,51,53,57,52,
      53,56,32,46,48,51,56,56,56,52,57,32,46,48,52,50,50,53,52,49,32,46,48,52,54,
      51,55,52,52,32,46,48,53,48,52,50,55,57,10,32,32,46,48,53,51,57,55,54,55,32,
      46,48,53,54,57,51,51,50,32,46,48,54,50,50,49,48,53,32,46,48,54,55,55,52,55,
      56,32,46,48,55,52,51,53,53,52,32,46,48,56,49,52,56,48,56,32,46,48,56,56,53,
      56,52,51,32,46,48,57,54,48,49,49,55,32,46,49,48,52,50,50,51,10,32,32,46,49,
      49,50,50,51,32,46,49,50,48,53,49,56,32,46,49,50,57,56,52,52,32,46,49,52,48,
      53,51,51,32,46,49,52,56,56,48,52,32,46,49,53,53,50,49,52,32,46,49,53,55,52,
      57,52,32,46,49,53,53,54,54,56,32,46,49,52,55,52,56,50,32,46,49,52,48,48,55,
      52,32,46,49,51,57,48,57,57,10,32,32,46,49,52,50,52,51,51,32,46,49,52,55,56,
      52,55,32,46,49,53,49,48,49,50,32,46,49,53,55,49,50,55,32,46,49,54,56,54,51,
      32,46,49,56,51,51,57,54,32,46,49,57,52,50,52,56,32,46,49,57,54,55,48,51,32,
      46,49,57,48,52,53,32,46,49,56,50,54,55,32,46,49,54,54,56,51,55,10,32,32,46,
      49,53,49,51,54,55,32,46,49,51,53,49,51,53,32,46,49,49,56,56,54,50,32,46,49,
      48,57,53,51,56,32,46,49,48,55,48,51,49,32,46,49,48,57,49,55,51,32,46,49,49,
      50,53,55,53,32,46,49,49,53,57,49,56,32,46,49,49,57,52,55,32,46,49,50,49,57,
      51,55,32,46,49,50,51,55,51,54,10,32,32,46,49,50,51,57,51,54,32,46,49,50,49,
      55,53,32,46,49,49,52,55,54,52,32,46,49,48,52,54,51,51,32,46,48,57,56,50,48,
      50,56,32,46,48,57,50,48,48,57,54,32,46,48,56,51,49,54,56,53,32,46,48,55,52,
      57,53,51,52,32,46,48,55,49,50,56,48,51,32,46,48,54,55,48,51,57,49,10,32,32,
      46,48,54,53,52,53,54,53,32,46,48,54,52,52,48,50,57,32,46,48,55,50,56,52,52,
      51,32,46,48,54,57,56,56,56,57,32,46,48,54,56,55,48,56,54,32,46,48,54,54,53,
      48,52,55,32,46,48,54,52,49,54,54,54,32,46,48,54,50,50,57,49,57,32,46,48,54,
      48,52,56,50,52,10,32,32,46,48,53,56,56,52,53,56,32,46,48,53,55,50,56,52,51,
      32,46,48,53,53,54,49,48,54,32,46,48,53,52,49,55,50,53,32,46,48,53,50,54,51,
      55,50,32,46,48,53,49,53,52,32,46,48,52,57,56,48,55,53,32,46,48,52,56,55,55,
      56,55,32,46,48,52,55,53,51,52,54,32,46,48,52,52,55,55,57,49,10,32,32,46,48,
      52,49,50,56,49,32,46,48,51,56,49,54,55,53,32,46,48,51,52,54,52,52,51,32,46,
      48,51,49,52,56,52,51,32,46,48,50,56,49,49,48,52,32,46,48,50,53,54,48,51,52,
      32,46,48,50,50,48,52,51,49,32,46,48,49,56,54,51,49,56,32,46,48,49,54,57,56,
      51,51,10,32,32,46,48,49,53,51,50,55,55,32,46,48,49,51,51,56,55,50,32,46,48,
      49,49,57,48,54,32,46,48,49,48,53,57,57,53,32,46,48,48,57,50,56,56,51,56,32,
      46,48,48,56,49,52,56,52,50,32,46,48,48,55,50,55,50,52,50,32,46,48,48,54,52,
      57,53,51,52,32,46,48,48,53,56,48,53,49,52,10,32,32,46,48,48,53,49,48,57,54,
      53,32,46,48,48,52,52,51,48,51,32,46,48,48,51,55,56,52,55,57,32,46,48,48,51,
      50,56,55,52,57,32,46,48,48,50,56,49,51,54,50,32,46,48,48,50,52,52,55,54,52,
      32,46,48,48,50,49,51,48,54,51,32,46,48,48,49,56,50,55,54,32,46,48,48,49,53,
      53,49,54,51,10,32,32,46,48,48,49,51,54,56,48,53,32,46,48,48,49,49,56,51,49,
      56,32,46,48,48,49,48,52,49,56,56,32,46,48,48,48,57,48,57,56,51,51,32,46,48,
      48,48,55,57,52,56,55,49,32,46,48,48,48,54,57,52,54,57,51,32,46,48,48,48,54,
      48,55,51,54,32,46,48,48,48,53,51,49,49,51,57,10,32,32,46,48,48,48,52,54,52,
      54,52,49,32,46,48,48,48,52,48,54,53,57,54,32,46,48,48,48,51,53,53,57,49,50,
      32,46,48,48,48,51,49,49,54,51,54,32,46,48,48,48,50,55,50,57,52,51,32,46,48,
      48,48,50,51,57,49,48,57,32,46,48,48,48,50,48,57,53,50,57,32,46,48,48,48,49,
      56,51,54,53,51,10,32,32,46,48,48,48,49,54,49,48,49,32,46,48,48,48,49,52,49,
      49,57,32,46,48,48,48,49,50,51,56,52,52,32,46,48,48,48,49,48,56,54,52,53,32,
      57,46,53,51,50,52,56,101,45,48,53,32,56,46,51,54,53,56,52,101,45,48,53,32,55,
      46,51,52,51,51,52,101,45,48,53,32,54,46,52,52,54,57,53,101,45,48,53,10,32,32,
      53,46,54,54,48,57,53,101,45,48,53,32,52,46,57,55,49,53,57,101,45,48,53,32,52,
      46,51,54,55,50,52,101,45,48,53,32,51,46,56,51,54,54,52,101,45,48,53,32,51,46,
      51,55,49,48,49,101,45,48,53,32,50,46,57,54,50,51,50,101,45,48,53,32,50,46,54,
      48,51,53,52,101,45,48,53,10,32,32,50,46,50,56,56,53,51,101,45,48,53,32,50,46,
      48,49,49,56,57,101,45,48,53,32,49,46,55,54,56,55,52,101,45,48,53,32,49,46,53,
      53,53,51,50,101,45,48,53,32,49,46,52,48,55,52,49,101,45,48,53,32,49,46,50,55,
      51,54,54,101,45,48,53,32,49,46,49,53,50,55,101,45,48,53,10,32,32,49,46,48,52,
      51,51,101,45,48,53,32,57,46,52,52,52,53,54,101,45,48,54,32,56,46,52,52,48,54,
      55,101,45,48,54,32,55,46,51,50,50,50,53,101,45,48,54,32,54,46,51,53,50,56,50,
      101,45,48,54,32,53,46,53,49,50,52,49,101,45,48,54,32,52,46,55,56,51,55,52,101,
      45,48,54,10,32,32,52,46,49,53,49,56,54,101,45,48,54,32,51,46,54,48,51,56,52,
      101,45,48,54,32,51,46,49,50,56,53,49,101,45,48,54,32,50,46,55,49,54,49,53,101,
      45,48,54,32,50,46,51,53,56,51,57,101,45,48,54,32,50,46,48,52,55,57,53,101,45,
      48,54,32,49,46,55,55,56,53,52,101,45,48,54,10,32,32,49,46,53,52,52,55,51,101,
      45,48,54,32,49,46,51,52,49,55,55,101,45,48,54,32,49,46,49,54,53,53,57,101,45,
      48,54,32,49,46,48,49,50,54,51,101,45,48,54,32,56,46,55,57,56,49,54,101,45,48,
      55,32,55,46,54,52,52,56,54,101,45,48,55,32,54,46,54,52,51,50,56,101,45,48,55,
      10,32,32,53,46,55,55,51,51,56,101,45,48,55,32,53,46,48,49,55,55,56,101,45,48,
      55,32,52,46,51,54,48,52,52,101,45,48,55,32,51,46,55,57,49,49,54,101,45,48,55,
      32,51,46,50,57,53,55,50,101,45,48,55,32,50,46,56,54,53,50,50,101,45,48,55,32,
      50,46,52,57,49,49,51,101,45,48,55,10,32,32,50,46,49,54,54,48,51,101,45,48,55,
      32,49,46,56,56,51,52,56,101,45,48,55,32,49,46,54,51,55,56,57,101,45,48,55,32,
      49,46,52,50,52,52,50,101,45,48,55,32,49,46,50,51,56,56,52,101,45,48,55,32,49,
      46,48,55,55,53,49,101,45,48,55,32,57,46,51,55,50,52,55,101,45,48,56,10,32,32,
      56,46,49,53,50,56,56,101,45,48,56,32,55,46,48,57,50,51,56,101,45,48,56,32,54,
      46,49,55,48,49,57,101,45,48,56,32,53,46,51,54,56,50,101,45,48,56,32,52,46,48,
      54,52,48,52,101,45,48,56,32,51,46,48,55,55,50,54,101,45,48,56,32,50,46,51,51,
      48,54,101,45,48,56,10,32,32,49,46,55,54,53,52,53,101,45,48,56,32,49,46,51,51,
      55,53,56,101,45,48,56,32,49,46,48,49,51,54,101,45,48,56,32,55,46,54,56,50,49,
      50,101,45,48,57,32,53,46,56,50,51,51,49,101,45,48,57,32,52,46,52,49,52,57,57,
      101,45,48,57,32,51,46,51,52,55,55,55,101,45,48,57,10,32,32,50,46,53,51,56,57,
      49,101,45,48,57,32,49,46,57,50,53,55,54,101,45,48,57,32,49,46,52,54,48,56,57,
      101,45,48,57,32,49,46,49,48,56,52,101,45,48,57,32,56,46,52,49,48,54,51,101,
      45,49,48,32,54,46,51,56,50,57,49,101,45,49,48,32,52,46,56,52,52,51,55,101,45,
      49,48,10,32,32,51,46,54,55,54,56,54,101,45,49,48,32,50,46,55,57,49,48,55,101,
      45,49,48,32,50,46,49,49,56,57,49,101,45,49,48,32,49,46,54,48,56,56,101,45,49,
      48,32,49,46,50,50,49,54,51,101,45,49,48,32,57,46,50,55,55,51,56,101,45,49,49,
      32,55,46,48,52,54,49,57,101,45,49,49,10,32,32,53,46,51,53,50,49,53,101,45,49,
      49,32,52,46,48,54,53,55,55,101,45,49,49,32,51,46,48,56,56,56,55,101,45,49,49,
      32,50,46,51,52,54,57,101,45,49,49,32,49,46,55,56,51,51,57,101,45,49,49,32,49,
      46,56,56,53,57,101,45,48,56,32,55,46,53,54,50,49,49,101,45,48,56,10,32,32,49,
      46,55,48,50,56,55,101,45,48,55,32,49,46,56,56,53,57,49,101,45,48,55,32,55,46,
      53,54,50,49,57,101,45,48,55,32,49,46,55,48,50,56,53,101,45,48,54,32,51,46,48,
      50,54,53,51,101,45,48,54,32,52,46,55,50,55,49,57,101,45,48,54,32,54,46,56,48,
      56,52,54,101,45,48,54,10,32,32,57,46,50,54,52,54,56,101,45,48,54,32,49,46,50,
      49,48,49,54,101,45,48,53,32,49,46,53,51,49,54,53,101,45,48,53,32,49,46,56,57,
      49,48,56,101,45,48,53,32,50,46,50,56,56,56,53,101,45,48,53,32,50,46,56,52,50,
      55,57,101,45,48,53,32,51,46,51,51,54,54,52,101,45,48,53,10,32,32,51,46,56,54,
      57,56,50,101,45,48,53,32,52,46,52,52,50,52,53,101,45,48,53,32,53,46,48,53,52,
      51,53,101,45,48,53,32,53,46,55,48,53,55,51,101,45,48,53,32,54,46,51,57,54,52,
      52,101,45,48,53,32,55,46,49,50,54,54,56,101,45,48,53,32,55,46,56,57,54,50,55,
      101,45,48,53,10,32,32,56,46,55,48,53,52,50,101,45,48,53,32,57,46,53,53,52,48,
      56,101,45,48,53,32,46,48,48,48,49,48,52,52,50,50,32,46,48,48,48,49,49,51,54,
      57,54,32,46,48,48,48,49,50,51,51,54,56,32,46,48,48,48,49,51,51,52,51,52,32,
      46,48,48,48,49,52,51,56,57,53,32,46,48,48,48,49,53,52,55,53,49,10,32,32,46,
      48,48,48,49,54,54,48,48,51,32,46,48,48,48,49,55,55,54,53,32,46,48,48,48,49,
      56,57,54,57,50,32,46,48,48,48,50,48,50,49,50,57,32,46,48,48,48,50,49,52,57,
      54,52,32,46,48,48,48,50,50,56,49,57,50,32,46,48,48,48,50,52,49,56,49,54,32,
      46,48,48,48,50,53,53,56,51,55,10,32,32,46,48,48,48,50,55,48,50,53,50,32,46,
      48,48,48,50,56,53,48,54,50,32,46,48,48,48,51,48,48,50,55,32,46,48,48,48,51,
      49,53,56,55,52,32,46,48,48,48,51,51,49,56,55,32,46,48,48,48,51,52,56,50,54,
      49,32,46,48,48,48,51,54,53,48,53,50,32,46,48,48,48,51,56,50,50,51,54,10,32,
      32,46,48,48,48,51,57,57,56,49,54,32,46,48,48,48,52,49,55,55,57,49,32,46,48,
      48,48,52,51,54,49,54,32,46,48,48,48,52,53,52,57,50,56,32,46,48,48,48,52,55,
      52,48,56,57,32,46,48,48,48,52,57,51,54,53,32,46,48,48,48,53,49,51,54,48,51,
      32,46,48,48,48,53,51,51,57,53,50,10,32,32,46,48,48,48,53,53,52,54,57,56,32,
      46,48,48,48,53,55,53,56,52,49,32,46,48,48,48,53,57,55,51,56,32,46,48,48,48,
      54,49,57,51,49,50,32,46,48,48,48,54,52,49,54,52,52,32,46,48,48,48,54,54,52,
      51,55,32,46,48,48,48,54,56,55,52,57,51,32,46,48,48,48,55,49,49,48,49,51,10,
      32,32,46,48,48,48,55,51,52,57,51,49,32,46,48,48,48,55,53,57,50,52,53,32,46,
      48,48,48,55,56,51,57,53,51,32,46,48,48,48,56,48,57,48,54,52,32,46,48,48,48,
      56,51,52,53,54,57,32,46,48,48,48,56,54,48,52,55,50,32,46,48,48,48,56,56,54,
      55,55,51,32,46,48,48,48,57,49,51,52,55,52,10,32,32,46,48,48,48,57,52,48,53,
      55,51,32,46,48,48,48,57,54,56,48,55,32,46,48,48,48,57,57,53,57,54,52,32,46,
      48,48,49,48,50,52,50,54,32,46,48,48,49,48,53,50,57,53,32,46,48,48,49,48,56,
      50,48,53,32,46,48,48,49,49,49,49,53,52,32,46,48,48,49,49,52,49,52,51,10,32,
      32,46,48,48,49,49,55,49,55,50,32,46,48,48,49,50,48,50,52,49,32,46,48,48,49,
      50,51,51,53,32,46,48,48,49,50,54,53,32,46,48,48,49,50,57,54,56,57,32,46,48,
      48,49,51,50,57,49,56,32,46,48,48,49,51,54,49,56,56,32,46,48,48,49,51,57,52,
      57,55,32,46,48,48,49,52,50,56,52,54,10,32,32,46,48,48,49,52,54,50,51,53,32,
      46,48,48,49,52,57,54,54,51,32,46,48,48,49,53,51,49,51,50,32,46,48,48,49,53,
      54,54,52,49,32,46,48,48,49,54,48,49,56,57,32,46,48,48,49,54,51,55,55,54,32,
      46,48,48,49,54,55,52,48,50,32,46,48,48,49,55,49,48,54,55,10,32,32,46,48,48,
      49,55,52,55,55,51,32,46,48,48,49,55,56,53,49,54,32,46,48,48,49,56,50,50,57,
      55,32,46,48,48,49,56,54,49,49,56,32,46,48,48,49,56,57,57,55,56,32,46,48,48,
      49,57,51,56,55,56,32,46,48,48,49,57,55,56,49,50,32,46,48,48,50,48,49,55,56,
      54,10,32,32,46,48,48,50,48,53,55,57,57,32,46,48,48,50,48,57,56,53,50,32,46,
      48,48,50,49,51,57,52,32,46,48,48,50,49,56,48,54,53,32,46,48,48,50,50,50,50,
      50,57,32,46,48,48,50,50,54,52,51,52,32,46,48,48,50,51,48,54,55,54,32,46,48,
      48,50,51,52,57,53,49,32,46,48,48,50,51,57,50,54,53,10,32,32,46,48,48,50,52,
      51,54,49,57,32,46,48,48,50,52,56,48,49,53,32,46,48,48,50,53,50,52,52,53,32,
      46,48,48,50,53,54,57,49,50,32,46,48,48,50,54,49,52,49,57,32,46,48,48,50,54,
      53,57,54,56,32,46,48,48,50,55,48,53,53,53,32,46,48,48,50,55,53,49,55,55,10,
      32,32,46,48,48,50,55,57,56,52,32,46,48,48,50,56,52,53,52,52,32,46,48,48,50,
      56,57,50,56,56,32,46,48,48,50,57,52,48,55,32,46,48,48,50,57,56,56,57,32,46,
      48,48,51,48,51,55,53,49,32,46,48,48,51,48,56,54,53,51,32,46,48,48,51,49,51,
      53,57,54,32,46,48,48,51,49,56,53,55,52,10,32,32,46,48,48,51,50,51,53,57,51,
      32,46,48,48,51,50,56,54,53,55,32,46,48,48,51,51,51,55,53,54,32,46,48,48,51,
      51,56,56,57,55,32,46,48,48,51,52,52,48,55,54,32,46,48,48,51,52,57,50,57,56,
      32,46,48,48,51,53,52,53,53,57,32,46,48,48,51,53,57,56,54,49,10,32,32,46,48,
      48,51,54,53,49,57,57,32,46,48,48,51,55,48,53,55,57,32,46,48,48,51,55,54,48,
      48,50,32,46,48,48,51,56,49,52,54,51,32,46,48,48,51,56,54,57,54,49,32,46,48,
      48,51,57,50,53,48,51,32,46,48,48,51,57,56,48,56,50,32,46,48,48,52,48,51,55,
      48,50,10,32,32,46,48,48,52,48,57,51,54,51,32,46,48,48,52,49,53,48,54,52,32,
      46,48,48,52,50,48,56,48,50,32,46,48,48,52,50,54,53,56,49,32,46,48,48,52,51,
      50,52,32,46,48,48,52,51,56,50,54,32,46,48,48,52,52,52,49,54,32,46,48,48,52,
      53,48,48,57,56,32,46,48,48,52,53,54,48,55,54,10,32,32,46,48,48,52,54,50,48,
      57,52,32,46,48,48,52,54,56,49,53,51,32,46,48,48,52,55,52,50,53,50,32,46,48,
      48,52,56,50,52,51,52,32,46,48,48,53,48,49,55,50,56,32,46,48,48,53,51,48,54,
      55,32,46,48,48,53,55,56,57,49,53,32,46,48,48,54,50,55,49,55,50,32,46,48,48,
      54,55,53,52,53,50,10,32,32,46,48,48,55,50,51,55,55,32,46,48,48,55,55,50,49,
      52,57,32,46,48,48,56,50,48,54,48,56,32,46,48,48,56,54,57,49,53,51,32,46,48,
      48,57,49,55,55,55,57,32,46,48,48,57,54,54,52,53,55,32,46,48,49,48,49,53,49,
      56,32,46,48,49,48,54,51,57,53,32,46,48,49,49,50,50,53,54,10,32,32,46,48,49,
      49,56,49,51,56,32,46,48,49,50,54,48,51,56,32,46,48,49,51,52,48,54,54,32,46,
      48,49,52,50,51,49,54,32,46,48,49,53,51,49,55,53,32,46,48,49,54,52,57,55,56,
      32,46,48,49,55,55,56,53,51,32,46,48,49,57,51,55,54,50,32,46,48,50,48,56,52,
      56,53,10,32,32,46,48,50,50,53,53,49,52,32,46,48,50,52,48,56,56,57,32,46,48,
      50,53,53,57,49,53,32,46,48,50,55,51,49,51,55,32,46,48,50,57,50,56,57,49,32,
      46,48,51,49,53,53,50,51,32,46,48,51,52,49,53,51,52,32,46,48,51,55,49,54,54,
      53,32,46,48,52,48,57,49,54,56,10,32,32,46,48,52,52,55,51,50,53,32,46,48,52,
      56,51,49,56,53,32,46,48,53,49,53,48,48,50,32,46,48,53,54,50,56,52,55,32,46,
      48,54,48,57,57,56,49,32,46,48,54,54,53,51,52,51,32,46,48,55,50,53,52,53,55,
      32,46,48,55,56,54,52,57,50,32,46,48,56,53,49,52,51,49,10,32,32,46,48,57,50,
      52,51,55,56,32,46,48,57,57,54,55,51,55,32,46,49,48,55,51,49,52,32,46,49,49,
      54,49,50,57,32,46,49,50,54,53,54,32,46,49,51,52,57,48,51,32,46,49,52,49,54,
      54,53,32,46,49,52,52,54,55,56,32,46,49,52,52,49,53,55,32,46,49,51,56,49,51,
      51,10,32,32,46,49,51,50,50,56,50,32,46,49,51,49,57,50,49,32,46,49,51,53,51,
      49,51,32,46,49,52,48,55,51,54,32,46,49,52,52,48,56,51,32,46,49,53,48,49,49,
      54,32,46,49,54,49,48,53,52,32,46,49,55,52,57,56,49,32,46,49,56,53,51,51,52,
      32,46,49,56,56,48,53,54,10,32,32,46,49,56,50,54,55,56,32,46,49,55,53,54,57,
      55,32,46,49,54,49,50,51,56,32,46,49,52,54,56,54,57,32,46,49,51,49,53,56,52,
      32,46,49,49,54,49,50,32,46,49,48,55,50,50,51,32,46,49,48,52,56,55,56,32,46,
      49,48,55,48,50,32,46,49,49,48,51,55,54,32,46,49,49,51,54,55,10,32,32,46,49,
      49,55,49,55,53,32,46,49,49,57,54,48,57,32,46,49,50,49,51,57,55,32,46,49,50,
      49,54,54,32,46,49,49,57,53,55,54,32,46,49,49,50,56,51,54,32,46,49,48,51,48,
      48,57,32,46,48,57,54,55,53,52,50,32,46,48,57,48,55,49,56,53,32,46,48,56,50,
      48,56,54,50,10,32,32,46,48,55,52,48,52,57,57,32,46,48,55,48,52,53,50,32,46,
      48,54,54,50,57,54,55,32,46,48,54,52,55,52,55,51,32,46,48,54,51,55,50,49,55,
      32,46,48,55,50,48,51,53,50,32,46,48,54,57,49,52,50,32,46,48,54,55,57,56,53,
      56,32,46,48,54,53,56,50,53,50,32,46,48,54,51,53,51,49,49,10,32,32,46,48,54,
      49,54,57,48,53,32,46,48,53,57,57,49,50,56,32,46,48,53,56,51,48,52,32,46,48,
      53,54,55,54,56,52,32,46,48,53,53,49,50,49,52,32,46,48,53,51,55,48,53,56,32,
      46,48,53,50,49,57,51,55,32,46,48,53,49,49,49,50,53,32,46,48,52,57,52,48,52,
      57,10,32,32,46,48,52,56,51,57,48,54,32,46,48,52,55,49,54,51,54,32,46,48,52,
      52,52,52,52,32,46,48,52,48,57,56,56,54,32,46,48,51,55,57,49,48,57,32,46,48,
      51,52,52,50,53,50,32,46,48,51,49,50,57,54,52,32,46,48,50,55,57,53,51,50,32,
      46,48,50,53,52,54,55,51,10,32,32,46,48,50,49,57,51,52,54,32,46,48,49,56,53,
      51,54,53,32,46,48,49,54,56,57,57,32,46,48,49,53,50,53,52,32,46,48,49,51,51,
      50,53,52,32,46,48,49,49,56,53,50,56,32,46,48,49,48,53,53,51,54,32,46,48,48,
      57,50,53,50,53,53,32,46,48,48,56,49,50,48,48,55,10,32,32,46,48,48,55,50,52,
      55,56,55,32,46,48,48,54,52,55,51,57,57,32,46,48,48,53,55,56,54,53,56,32,46,
      48,48,53,48,57,51,55,52,32,46,48,48,52,52,49,54,57,50,32,46,48,48,51,55,55,
      51,55,50,32,46,48,48,51,50,55,56,49,49,32,46,48,48,50,56,48,53,56,51,10,32,
      32,46,48,48,50,52,52,49,48,49,32,46,48,48,50,49,50,52,57,57,32,46,48,48,49,
      56,50,50,56,55,32,46,48,48,49,53,52,55,55,50,32,46,48,48,49,51,54,52,54,53,
      32,46,48,48,49,49,56,48,51,32,46,48,48,49,48,51,57,51,56,32,46,48,48,48,57,
      48,55,54,57,32,46,48,48,48,55,57,51,48,50,57,10,32,32,46,48,48,48,54,57,51,
      49,48,54,32,46,48,48,48,54,48,53,57,57,56,32,46,48,48,48,53,51,48,48,50,32,
      46,48,48,48,52,54,51,55,50,50,32,46,48,48,48,52,48,53,56,52,53,32,46,48,48,
      48,51,53,53,50,55,55,32,46,48,48,48,51,49,49,48,56,55,32,46,48,48,48,50,55,
      50,52,54,57,10,32,32,46,48,48,48,50,51,56,54,57,57,32,46,48,48,48,50,48,57,
      49,55,52,32,46,48,48,48,49,56,51,51,52,54,32,46,48,48,48,49,54,48,55,52,52,
      32,46,48,48,48,49,52,48,57,54,32,46,48,48,48,49,50,51,54,52,52,32,46,48,48,
      48,49,48,56,52,55,49,32,57,46,53,49,55,52,51,101,45,48,53,10,32,32,56,46,51,
      53,50,55,56,101,45,48,53,32,55,46,51,51,49,57,56,101,45,48,53,32,54,46,52,51,
      55,48,54,101,45,48,53,32,53,46,54,53,50,51,53,101,45,48,53,32,52,46,57,54,52,
      49,50,101,45,48,53,32,52,46,51,54,48,55,50,101,45,48,53,32,51,46,56,51,48,57,
      54,101,45,48,53,10,32,32,51,46,51,54,54,48,54,101,45,48,53,32,50,46,57,53,56,
      48,49,101,45,48,53,32,50,46,53,57,57,55,56,101,45,48,53,32,50,46,50,56,53,50,
      52,101,45,48,53,32,50,46,48,48,57,48,51,101,45,48,53,32,49,46,55,54,54,50,52,
      101,45,48,53,32,49,46,53,53,51,49,52,101,45,48,53,10,32,32,49,46,52,48,53,52,
      53,101,45,48,53,32,49,46,50,55,49,57,101,45,48,53,32,49,46,49,53,49,49,49,101,
      45,48,53,32,49,46,48,52,49,56,55,101,45,48,53,32,57,46,52,51,49,54,53,101,45,
      48,54,32,56,46,52,50,57,50,50,101,45,48,54,32,55,46,51,49,50,51,55,101,45,48,
      54,10,32,32,54,46,51,52,52,51,49,101,45,48,54,32,53,46,53,48,53,48,55,101,45,
      48,54,32,52,46,55,55,55,52,49,101,45,48,54,32,52,46,49,52,54,52,101,45,48,54,
      32,51,46,53,57,57,49,52,101,45,48,54,32,51,46,49,50,52,52,53,101,45,48,54,32,
      50,46,55,49,50,54,52,101,45,48,54,10,32,32,50,46,51,53,53,51,54,101,45,48,54,
      32,50,46,48,52,53,51,51,101,45,48,54,32,49,46,55,55,54,50,56,101,45,48,54,32,
      49,46,53,52,50,55,55,101,45,48,54,32,49,46,51,52,48,48,57,101,45,48,54,32,49,
      46,49,54,52,49,51,101,45,48,54,32,49,46,48,49,49,51,55,101,45,48,54,10,32,32,
      56,46,55,56,55,50,54,101,45,48,55,32,55,46,54,51,53,52,50,101,45,48,55,32,54,
      46,54,51,53,49,49,101,45,48,55,32,53,46,55,54,54,51,50,101,45,48,55,32,53,46,
      48,49,49,54,55,101,45,48,55,32,52,46,51,53,53,49,54,101,45,48,55,32,51,46,55,
      56,54,53,57,101,45,48,55,10,32,32,51,46,50,57,49,55,54,101,45,48,55,32,50,46,
      56,54,49,55,57,101,45,48,55,32,50,46,52,56,56,49,54,101,45,48,55,32,50,46,49,
      54,51,52,54,101,45,48,55,32,49,46,56,56,49,50,53,101,45,48,55,32,49,46,54,51,
      53,57,54,101,45,48,55,32,49,46,52,50,50,55,53,101,45,48,55,10,32,32,49,46,50,
      51,55,51,57,101,45,48,55,32,49,46,48,55,54,50,53,101,45,48,55,32,57,46,51,54,
      49,53,53,101,45,48,56,32,56,46,49,52,51,52,50,101,45,48,56,32,55,46,48,56,52,
      49,57,101,45,48,56,32,54,46,49,54,51,48,56,101,45,48,56,32,53,46,51,54,50,48,
      51,101,45,48,56,10,32,32,52,46,48,53,57,51,56,101,45,48,56,32,51,46,48,55,51,
      55,53,101,45,48,56,32,50,46,51,50,55,57,53,101,45,48,56,32,49,46,55,54,51,52,
      54,101,45,48,56,32,49,46,51,51,54,48,56,101,45,48,56,32,49,46,48,49,50,52,54,
      101,45,48,56,32,55,46,54,55,51,53,56,101,45,48,57,10,32,32,53,46,56,49,54,56,
      56,101,45,48,57,32,52,46,52,49,48,49,51,101,45,48,57,32,51,46,51,52,52,49,49,
      101,45,48,57,32,50,46,53,51,54,49,52,101,45,48,57,32,49,46,57,50,51,54,55,101,
      45,48,57,32,49,46,52,53,57,51,50,101,45,48,57,32,49,46,49,48,55,50,101,45,48,
      57,10,32,32,56,46,52,48,49,54,50,101,45,49,48,32,54,46,51,55,54,48,56,101,45,
      49,48,32,52,46,56,51,57,52,57,101,45,49,48,32,51,46,54,55,51,54,53,101,45,49,
      48,32,50,46,55,56,57,101,45,49,48,32,50,46,49,49,55,54,49,101,45,49,48,32,49,
      46,54,48,56,48,51,101,45,49,48,10,32,32,49,46,50,50,49,50,101,45,49,48,32,57,
      46,50,55,52,57,54,101,45,49,49,32,55,46,48,52,52,52,101,45,49,49,32,53,46,51,
      53,48,55,57,101,45,49,49,32,52,46,48,54,52,55,52,101,45,49,49,32,51,46,48,56,
      56,48,57,101,45,49,49,32,50,46,51,52,54,51,50,101,45,49,49,10,32,32,49,46,55,
      56,50,57,53,101,45,49,49,32,49,46,53,56,49,57,101,45,48,56,32,54,46,51,52,51,
      49,51,101,45,48,56,32,49,46,52,50,56,51,56,101,45,48,55,32,49,46,53,56,49,57,
      50,101,45,48,55,32,54,46,51,52,51,52,49,101,45,48,55,32,49,46,52,50,56,52,56,
      101,45,48,54,10,32,32,50,46,53,51,57,48,54,101,45,48,54,32,51,46,57,54,54,49,
      55,101,45,48,54,32,53,46,55,49,51,48,49,101,45,48,54,32,55,46,55,55,52,57,57,
      101,45,48,54,32,49,46,48,49,53,55,49,101,45,48,53,32,49,46,50,56,53,54,57,101,
      45,48,53,32,49,46,53,56,55,53,56,101,45,48,53,10,32,32,49,46,57,50,49,55,49,
      101,45,48,53,32,50,46,50,56,56,51,101,45,48,53,32,50,46,55,57,54,55,101,45,
      48,53,32,51,46,50,52,52,52,56,101,45,48,53,32,51,46,55,50,53,53,50,101,45,48,
      53,32,52,46,50,51,57,55,50,101,45,48,53,32,52,46,55,56,55,51,51,101,45,48,53,
      10,32,32,53,46,51,54,56,50,53,101,45,48,53,32,53,46,57,56,50,54,50,101,45,48,
      53,32,54,46,54,51,48,51,54,101,45,48,53,32,55,46,51,49,49,55,50,101,45,48,53,
      32,56,46,48,50,54,54,56,101,45,48,53,32,56,46,55,55,53,48,56,101,45,48,53,32,
      57,46,53,53,54,57,49,101,45,48,53,10,32,32,46,48,48,48,49,48,51,55,50,54,32,
      46,48,48,48,49,49,50,50,49,57,32,46,48,48,48,49,50,49,48,52,55,32,46,48,48,
      48,49,51,48,50,49,32,46,48,48,48,49,51,57,55,49,49,32,46,48,48,48,49,52,57,
      53,52,57,32,46,48,48,48,49,53,57,55,50,52,32,46,48,48,48,49,55,48,50,51,51,
      10,32,32,46,48,48,48,49,56,49,48,55,57,32,46,48,48,48,49,57,50,50,54,49,32,
      46,48,48,48,50,48,51,55,56,32,46,48,48,48,50,49,53,54,51,56,32,46,48,48,48,
      50,50,55,56,50,54,32,46,48,48,48,50,52,48,51,53,49,32,46,48,48,48,50,53,51,
      50,49,53,32,46,48,48,48,50,54,54,52,49,55,10,32,32,46,48,48,48,50,55,57,57,
      53,32,46,48,48,48,50,57,51,56,49,55,32,46,48,48,48,51,48,56,48,50,53,32,46,
      48,48,48,51,50,50,53,54,56,32,46,48,48,48,51,51,55,52,52,57,32,46,48,48,48,
      51,53,50,54,54,32,46,48,48,48,51,54,56,50,48,55,32,46,48,48,48,51,56,52,48,
      57,53,10,32,32,46,48,48,48,52,48,48,51,49,56,32,46,48,48,48,52,49,54,56,55,
      57,32,46,48,48,48,52,51,51,55,55,52,32,46,48,48,48,52,53,49,48,48,55,32,46,
      48,48,48,52,54,56,53,55,56,32,46,48,48,48,52,56,54,52,56,57,32,46,48,48,48,
      53,48,52,55,51,54,32,46,48,48,48,53,50,51,51,49,57,10,32,32,46,48,48,48,53,
      52,50,50,52,52,32,46,48,48,48,53,54,49,53,48,54,32,46,48,48,48,53,56,49,49,
      48,57,32,46,48,48,48,54,48,49,48,53,52,32,46,48,48,48,54,50,49,51,51,55,32,
      46,48,48,48,54,52,49,57,54,49,32,46,48,48,48,54,54,50,57,50,50,32,46,48,48,
      48,54,56,52,50,51,53,10,32,32,46,48,48,48,55,48,53,56,56,54,32,46,48,48,48,
      55,50,55,56,55,56,32,46,48,48,48,55,53,48,50,49,49,32,46,48,48,48,55,55,50,
      56,57,51,32,46,48,48,48,55,57,53,57,50,51,32,46,48,48,48,56,49,57,50,57,52,
      32,46,48,48,48,56,52,51,48,48,54,32,46,48,48,48,56,54,55,48,54,53,10,32,32,
      46,48,48,48,56,57,49,52,55,56,32,46,48,48,48,57,49,54,50,51,53,32,46,48,48,
      48,57,52,49,51,51,54,32,46,48,48,48,57,54,54,55,56,49,32,46,48,48,48,57,57,
      50,53,55,56,32,46,48,48,49,48,49,56,55,50,32,46,48,48,49,48,52,53,50,49,32,
      46,48,48,49,48,55,50,48,53,10,32,32,46,48,48,49,48,57,57,50,52,32,46,48,48,
      49,49,50,54,55,55,32,46,48,48,49,49,53,52,54,52,32,46,48,48,49,49,56,50,56,
      55,32,46,48,48,49,50,49,49,52,52,32,46,48,48,49,50,52,48,51,51,32,46,48,48,
      49,50,54,57,53,55,32,46,48,48,49,50,57,57,49,54,10,32,32,46,48,48,49,51,50,
      57,49,32,46,48,48,49,51,53,57,51,55,32,46,48,48,49,51,56,57,57,51,32,46,48,
      48,49,52,50,48,56,51,32,46,48,48,49,52,53,50,48,55,32,46,48,48,49,52,56,51,
      54,54,32,46,48,48,49,53,49,53,53,50,32,46,48,48,49,53,52,55,54,56,32,46,48,
      48,49,53,56,48,49,56,10,32,32,46,48,48,49,54,49,51,48,50,32,46,48,48,49,54,
      52,54,49,56,32,46,48,48,49,54,55,57,53,52,32,46,48,48,49,55,49,51,50,51,32,
      46,48,48,49,55,52,55,50,55,32,46,48,48,49,55,56,49,54,53,32,46,48,48,49,56,
      49,54,50,51,32,46,48,48,49,56,53,49,48,54,10,32,32,46,48,48,49,56,56,54,50,
      53,32,46,48,48,49,57,50,49,55,55,32,46,48,48,49,57,53,55,54,32,46,48,48,49,
      57,57,51,53,52,32,46,48,48,50,48,50,57,56,51,32,46,48,48,50,48,54,54,52,54,
      32,46,48,48,50,49,48,51,52,56,32,46,48,48,50,49,52,48,54,53,32,46,48,48,50,
      49,55,56,48,57,10,32,32,46,48,48,50,50,49,53,56,56,32,46,48,48,50,50,53,52,
      48,52,32,46,48,48,50,50,57,50,53,49,32,46,48,48,50,51,51,49,49,51,32,46,48,
      48,50,51,55,48,49,50,32,46,48,48,50,52,48,57,52,56,32,46,48,48,50,52,52,57,
      50,32,46,48,48,50,52,56,57,49,51,32,46,48,48,50,53,50,57,51,54,10,32,32,46,
      48,48,50,53,54,57,57,55,32,46,48,48,50,54,49,48,57,51,32,46,48,48,50,54,53,
      50,50,53,32,46,48,48,50,54,57,51,55,53,32,46,48,48,50,55,51,53,54,52,32,46,
      48,48,50,55,55,55,57,50,32,46,48,48,50,56,50,48,53,50,32,46,48,48,50,56,54,
      51,52,51,10,32,32,46,48,48,50,57,48,54,54,52,32,46,48,48,50,57,53,48,50,52,
      32,46,48,48,50,57,57,52,49,57,32,46,48,48,51,48,51,56,52,57,32,46,48,48,51,
      48,56,51,48,52,32,46,48,48,51,49,50,55,57,55,32,46,48,48,51,49,55,51,50,56,
      32,46,48,48,51,50,49,56,57,51,10,32,32,46,48,48,51,50,54,52,56,56,32,46,48,
      48,51,51,49,49,50,32,46,48,48,51,51,53,55,56,53,32,46,48,48,51,52,48,52,56,
      53,32,46,48,48,51,52,53,50,50,49,32,46,48,48,51,52,57,57,57,49,32,46,48,48,
      51,53,52,55,57,51,32,46,48,48,51,53,57,54,51,49,32,46,48,48,51,54,52,53,48,
      51,10,32,32,46,48,48,51,54,57,52,49,50,32,46,48,48,51,55,52,51,53,53,32,46,
      48,48,51,55,57,51,51,49,32,46,48,48,51,56,52,51,52,49,32,46,48,48,51,56,57,
      51,56,55,32,46,48,48,51,57,52,52,55,32,46,48,48,51,57,57,53,56,56,32,46,48,
      48,52,48,54,52,53,52,32,46,48,48,52,50,50,54,54,10,32,32,46,48,48,52,52,55,
      32,46,48,48,52,56,55,54,54,51,32,46,48,48,53,50,56,52,55,57,32,46,48,48,53,
      54,57,52,54,54,32,46,48,48,54,49,48,54,55,51,32,46,48,48,54,53,50,49,49,53,
      32,46,48,48,54,57,51,55,57,55,32,46,48,48,55,51,53,54,55,52,32,46,48,48,55,
      55,55,54,56,54,10,32,32,46,48,48,56,49,57,55,52,53,32,46,48,48,56,54,49,56,
      51,52,32,46,48,48,57,48,51,57,55,49,32,46,48,48,57,53,52,54,55,56,32,46,48,
      49,48,48,53,55,55,32,46,48,49,48,55,52,57,51,32,46,48,49,49,52,54,49,54,32,
      46,48,49,50,50,48,53,55,32,46,48,49,51,50,48,50,57,10,32,32,46,48,49,52,51,
      48,49,49,32,46,48,49,53,53,48,49,57,32,46,48,49,54,57,55,53,49,32,46,48,49,
      56,51,49,54,49,32,46,48,49,57,56,49,57,56,32,46,48,50,49,49,52,50,32,46,48,
      50,50,52,50,54,57,32,46,48,50,51,57,48,55,32,46,48,50,53,54,49,57,32,46,48,
      50,55,54,48,48,57,10,32,32,46,48,50,57,57,48,55,50,32,46,48,51,50,54,49,56,
      55,32,46,48,51,54,48,54,32,46,48,51,57,54,54,52,52,32,46,48,52,51,50,52,48,
      51,32,46,48,52,54,53,53,53,55,32,46,48,53,48,56,57,48,52,32,46,48,53,52,56,
      57,52,57,32,46,48,53,57,53,49,56,49,32,46,48,54,52,53,55,51,50,10,32,32,46,
      48,54,57,56,48,52,32,46,48,55,53,52,55,50,56,32,46,48,56,49,57,53,49,50,32,
      46,48,56,56,52,57,50,51,32,46,48,57,53,53,51,50,49,32,46,49,48,51,56,51,51,
      32,46,49,49,51,57,50,50,32,46,49,50,50,50,49,50,32,46,49,50,57,49,55,52,32,
      46,49,51,50,55,52,56,10,32,32,46,49,51,51,51,49,52,32,46,49,50,57,49,55,55,
      32,46,49,50,52,55,50,53,32,46,49,50,52,57,49,55,32,46,49,50,56,51,52,56,32,
      46,49,51,51,55,54,49,32,46,49,51,55,50,54,51,32,46,49,52,51,50,48,50,32,46,
      49,53,51,53,56,54,32,46,49,54,54,54,57,55,10,32,32,46,49,55,54,53,54,32,46,
      49,55,57,53,50,32,46,49,55,52,57,55,49,32,46,49,54,56,55,53,54,32,46,49,53,
      53,54,50,55,32,46,49,52,50,51,51,55,32,46,49,50,55,57,57,49,32,46,49,49,51,
      51,51,50,32,46,49,48,52,56,54,52,32,46,49,48,50,54,56,50,32,46,49,48,52,56,
      50,49,10,32,32,46,49,48,56,49,50,57,32,46,49,49,49,51,55,52,32,46,49,49,52,
      56,50,57,32,46,49,49,55,50,51,49,32,46,49,49,57,48,48,55,32,46,49,49,57,51,
      51,49,32,46,49,49,55,51,53,49,32,46,49,49,48,56,54,32,46,49,48,49,51,52,51,
      32,46,48,57,53,50,54,54,32,46,48,56,57,51,57,49,49,10,32,32,46,48,56,48,57,
      55,50,49,32,46,48,55,51,49,49,56,53,32,46,48,54,57,53,57,56,32,46,48,54,53,
      53,51,49,49,32,46,48,54,52,48,49,53,54,32,46,48,54,51,48,49,56,54,32,46,48,
      55,49,50,48,48,56,32,46,48,54,56,51,55,49,49,32,46,48,54,55,50,51,57,53,10,
      32,32,46,48,54,53,49,50,51,51,32,46,48,54,50,56,55,52,52,32,46,48,54,49,48,
      54,57,32,46,48,53,57,51,50,51,57,32,46,48,53,55,55,52,51,56,32,46,48,53,54,
      50,51,52,55,32,46,48,53,52,54,49,53,52,32,46,48,53,51,50,50,50,55,32,46,48,
      53,49,55,51,52,54,10,32,32,46,48,53,48,54,55,48,50,32,46,48,52,56,57,56,56,
      49,32,46,48,52,55,57,56,56,54,32,46,48,52,54,55,55,57,49,32,46,48,52,52,48,
      57,54,54,32,46,48,52,48,54,56,53,55,32,46,48,51,55,54,52,52,55,32,46,48,51,
      52,49,57,55,57,32,46,48,51,49,49,48,49,51,10,32,32,46,48,50,55,55,56,57,57,
      32,46,48,50,53,51,50,53,57,32,46,48,50,49,56,50,49,55,32,46,48,49,56,52,51,
      56,56,32,46,48,49,54,56,49,50,55,32,46,48,49,53,49,55,56,54,32,46,48,49,51,
      50,54,50,49,32,46,48,49,49,55,57,56,51,32,46,48,49,48,53,48,54,54,10,32,32,
      46,48,48,57,50,49,50,54,55,32,46,48,48,56,48,56,54,56,56,32,46,48,48,55,50,
      50,49,49,51,32,46,48,48,54,52,53,50,49,51,32,46,48,48,53,55,54,55,53,52,32,
      46,48,48,53,48,55,55,52,55,32,46,48,48,52,52,48,51,50,52,32,46,48,48,51,55,
      54,50,51,57,10,32,32,46,48,48,51,50,54,56,53,52,32,46,48,48,50,55,57,55,56,
      53,32,46,48,48,50,52,51,52,50,52,32,46,48,48,50,49,49,57,50,51,32,46,48,48,
      49,56,49,56,48,53,32,46,48,48,49,53,52,51,55,50,32,46,48,48,49,51,54,49,49,
      57,32,46,48,48,49,49,55,55,51,55,10,32,32,46,48,48,49,48,51,54,56,52,32,46,
      48,48,48,57,48,53,53,48,56,32,46,48,48,48,55,57,49,49,53,50,32,46,48,48,48,
      54,57,49,52,57,49,32,46,48,48,48,54,48,52,54,48,55,32,46,48,48,48,53,50,56,
      56,50,49,32,46,48,48,48,52,54,50,54,56,56,32,46,48,48,48,52,48,52,57,53,50,
      10,32,32,46,48,48,48,51,53,52,53,50,56,32,46,48,48,48,51,49,48,52,55,49,32,
      46,48,48,48,50,55,49,57,54,51,32,46,48,48,48,50,51,56,50,56,50,32,46,48,48,
      48,50,48,56,56,49,51,32,46,48,48,48,49,56,51,48,51,51,32,46,48,48,48,49,54,
      48,52,55,51,32,46,48,48,48,49,52,48,55,50,53,10,32,32,46,48,48,48,49,50,51,
      52,52,32,46,48,48,48,49,48,56,50,57,53,32,57,46,53,48,50,49,51,101,45,48,53,
      32,56,46,51,51,57,52,57,101,45,48,53,32,55,46,51,50,48,52,51,101,45,48,53,32,
      54,46,52,50,55,48,51,101,45,48,53,32,53,46,54,52,51,54,50,101,45,48,53,10,32,
      32,52,46,57,53,54,53,51,101,45,48,53,32,52,46,51,53,52,49,101,45,48,53,32,51,
      46,56,50,53,50,101,45,48,53,32,51,46,51,54,49,48,52,101,45,48,53,32,50,46,57,
      53,51,54,52,101,45,48,53,32,50,46,53,57,53,57,55,101,45,48,53,32,50,46,50,56,
      49,57,50,101,45,48,53,10,32,32,50,46,48,48,54,49,51,101,45,48,53,32,49,46,55,
      54,51,55,49,101,45,48,53,32,49,46,53,53,48,57,51,101,45,48,53,32,49,46,52,48,
      51,52,54,101,45,48,53,32,49,46,50,55,48,49,49,101,45,48,53,32,49,46,49,52,57,
      53,101,45,48,53,32,49,46,48,52,48,52,50,101,45,48,53,10,32,32,57,46,52,49,56,
      53,55,101,45,48,54,32,56,46,52,49,55,54,101,45,48,54,32,55,46,51,48,50,51,57,
      101,45,48,54,32,54,46,51,51,53,55,101,45,48,54,32,53,46,52,57,55,54,53,101,
      45,48,54,32,52,46,55,55,49,48,49,101,45,48,54,32,52,46,49,52,48,56,55,101,45,
      48,54,10,32,32,51,46,53,57,52,51,56,101,45,48,54,32,51,46,49,50,48,51,52,101,
      45,48,54,32,50,46,55,48,57,49,101,45,48,54,32,50,46,51,53,50,50,57,101,45,48,
      54,32,50,46,48,52,50,54,56,101,45,48,54,32,49,46,55,55,52,101,45,48,54,32,49,
      46,53,52,48,56,101,45,48,54,10,32,32,49,46,51,51,56,51,56,101,45,48,54,32,49,
      46,49,54,50,54,54,101,45,48,54,32,49,46,48,49,48,48,57,101,45,48,54,32,56,46,
      55,55,54,50,51,101,45,48,55,32,55,46,54,50,53,56,57,101,45,48,55,32,54,46,54,
      50,54,56,56,101,45,48,55,32,53,46,55,53,57,50,101,45,48,55,10,32,32,53,46,48,
      48,53,53,49,101,45,48,55,32,52,46,51,52,57,56,52,101,45,48,55,32,51,46,55,56,
      49,57,54,101,45,48,55,32,51,46,50,56,55,55,53,101,45,48,55,32,50,46,56,53,56,
      51,51,101,45,48,55,32,50,46,52,56,53,49,55,101,45,48,55,32,50,46,49,54,48,56,
      55,101,45,48,55,10,32,32,49,46,56,55,57,48,49,101,45,48,55,32,49,46,54,51,52,
      48,50,101,45,48,55,32,49,46,52,50,49,48,54,101,45,48,55,32,49,46,50,51,53,57,
      51,101,45,48,55,32,49,46,48,55,52,57,57,101,45,48,55,32,57,46,51,53,48,53,57,
      101,45,48,56,32,56,46,49,51,51,57,101,45,48,56,10,32,32,55,46,48,55,53,57,51,
      101,45,48,56,32,54,46,49,53,53,57,49,101,45,48,56,32,53,46,51,53,53,55,57,101,
      45,48,56,32,52,46,48,53,52,54,56,101,45,48,56,32,51,46,48,55,48,50,50,101,45,
      48,56,32,50,46,51,50,53,51,101,45,48,56,32,49,46,55,54,49,52,53,101,45,48,56,
      10,32,32,49,46,51,51,52,53,55,101,45,48,56,32,49,46,48,49,49,51,50,101,45,48,
      56,32,55,46,54,54,53,48,49,101,45,48,57,32,53,46,56,49,48,52,50,101,45,48,57,
      32,52,46,52,48,53,50,53,101,45,48,57,32,51,46,51,52,48,52,50,101,45,48,57,32,
      50,46,53,51,51,51,55,101,45,48,57,10,32,32,49,46,57,50,49,53,56,101,45,48,57,
      32,49,46,52,53,55,55,51,101,45,48,57,32,49,46,49,48,54,48,49,101,45,48,57,32,
      56,46,51,57,50,53,53,101,45,49,48,32,54,46,51,54,57,50,52,101,45,49,48,32,52,
      46,56,51,52,51,50,101,45,49,48,32,51,46,54,54,57,55,52,101,45,49,48,10,32,32,
      50,46,55,56,54,48,51,101,45,49,48,32,50,46,49,49,53,51,55,101,45,49,48,32,49,
      46,54,48,54,51,51,101,45,49,48,32,49,46,50,49,57,57,50,101,45,49,48,32,57,46,
      50,54,53,54,51,101,45,49,49,32,55,46,48,51,56,49,57,101,45,49,49,32,53,46,51,
      52,54,55,53,101,45,49,49,10,32,32,52,46,48,54,50,49,56,101,45,49,49,32,51,46,
      48,56,54,53,50,101,45,49,49,32,50,46,51,52,53,52,51,101,45,49,49,32,49,46,55,
      56,50,53,101,45,49,49,32,49,46,50,57,56,53,56,101,45,48,56,32,53,46,50,48,55,
      48,57,101,45,48,56,32,49,46,49,55,50,53,54,101,45,48,55,10,32,32,49,46,50,57,
      56,54,101,45,48,55,32,53,46,50,48,55,52,49,101,45,48,55,32,49,46,49,55,50,55,
      101,45,48,54,32,50,46,48,56,52,53,53,101,45,48,54,32,51,46,50,53,54,52,52,101,
      45,48,54,32,52,46,54,57,49,49,51,101,45,48,54,32,54,46,51,56,52,57,57,101,45,
      48,54,10,32,32,56,46,51,52,50,50,55,101,45,48,54,32,49,46,48,53,54,49,101,45,
      48,53,32,49,46,51,48,52,50,50,101,45,48,53,32,49,46,53,55,56,57,49,101,45,48,
      53,32,49,46,56,56,48,51,53,101,45,48,53,32,50,46,50,56,48,53,101,45,48,53,32,
      50,46,54,54,52,53,53,101,45,48,53,10,32,32,51,46,48,54,48,52,55,101,45,48,53,
      32,51,46,52,56,51,56,53,101,45,48,53,32,51,46,57,51,52,57,49,101,45,48,53,32,
      52,46,52,49,51,54,52,101,45,48,53,32,52,46,57,50,48,49,50,101,45,48,53,32,53,
      46,52,53,52,51,57,101,45,48,53,32,54,46,48,49,54,54,56,101,45,48,53,10,32,32,
      54,46,54,48,55,101,45,48,53,32,55,46,50,50,53,50,101,45,48,53,32,55,46,56,55,
      49,50,53,101,45,48,53,32,56,46,53,52,53,54,49,101,45,48,53,32,57,46,50,52,56,
      49,49,101,45,48,53,32,57,46,57,55,56,55,52,101,45,48,53,32,46,48,48,48,49,48,
      55,51,55,49,10,32,32,46,48,48,48,49,49,53,50,51,55,32,46,48,48,48,49,50,51,
      51,56,54,32,46,48,48,48,49,51,49,56,49,57,32,46,48,48,48,49,52,48,53,50,56,
      32,46,48,48,48,49,52,57,53,49,57,32,46,48,48,48,49,53,56,55,57,32,46,48,48,
      48,49,54,56,51,52,53,32,46,48,48,48,49,55,56,49,56,52,10,32,32,46,48,48,48,
      49,56,56,50,57,51,32,46,48,48,48,49,57,56,54,56,54,32,46,48,48,48,50,48,57,
      51,54,50,32,46,48,48,48,50,50,48,51,50,51,32,46,48,48,48,50,51,49,53,53,55,
      32,46,48,48,48,50,52,51,48,54,55,32,46,48,48,48,50,53,52,56,54,52,32,46,48,
      48,48,50,54,54,57,52,50,10,32,32,46,48,48,48,50,55,57,51,48,51,32,46,48,48,
      48,50,57,49,57,51,53,32,46,48,48,48,51,48,52,56,52,56,32,46,48,48,48,51,49,
      56,48,52,56,32,46,48,48,48,51,51,49,53,51,32,46,48,48,48,51,52,53,50,57,50,
      32,46,48,48,48,51,53,57,51,51,50,32,46,48,48,48,51,55,51,54,53,54,10,32,32,
      46,48,48,48,51,56,56,50,54,53,32,46,48,48,48,52,48,51,49,53,57,32,46,48,48,
      48,52,49,56,51,51,52,32,46,48,48,48,52,51,51,55,57,49,32,46,48,48,48,52,52,
      57,53,51,54,32,46,48,48,48,52,54,53,53,54,53,32,46,48,48,48,52,56,49,56,56,
      50,32,46,48,48,48,52,57,56,52,56,56,10,32,32,46,48,48,48,53,49,53,51,56,32,
      46,48,48,48,53,51,50,53,53,57,32,46,48,48,48,53,53,48,48,50,51,32,46,48,48,
      48,53,54,55,55,57,32,46,48,48,48,53,56,53,56,52,50,32,46,48,48,48,54,48,52,
      49,56,52,32,46,48,48,48,54,50,50,56,49,52,32,46,48,48,48,54,52,49,55,52,53,
      10,32,32,46,48,48,48,54,54,48,57,55,53,32,46,48,48,48,54,56,48,52,57,53,32,
      46,48,48,48,55,48,48,51,48,52,32,46,48,48,48,55,50,48,52,48,57,32,46,48,48,
      48,55,52,48,56,50,54,32,46,48,48,48,55,54,49,53,51,54,32,46,48,48,48,55,56,
      50,53,51,56,32,46,48,48,48,56,48,51,56,51,52,10,32,32,46,48,48,48,56,50,53,
      52,51,54,32,46,48,48,48,56,52,55,51,51,56,32,46,48,48,48,56,54,57,53,51,54,
      32,46,48,48,48,56,57,50,48,51,53,32,46,48,48,48,57,49,52,56,50,54,32,46,48,
      48,48,57,51,55,57,48,57,32,46,48,48,48,57,54,49,50,57,55,32,46,48,48,48,57,
      56,52,57,56,49,10,32,32,46,48,48,49,48,48,56,57,53,32,46,48,48,49,48,51,51,
      50,32,46,48,48,49,48,53,55,55,51,32,46,48,48,49,48,56,50,53,55,32,46,48,48,
      49,49,48,55,55,32,46,48,48,49,49,51,51,49,50,32,46,48,48,49,49,53,56,55,51,
      32,46,48,48,49,49,56,52,54,52,32,46,48,48,49,50,49,48,56,51,10,32,32,46,48,
      48,49,50,51,55,51,50,32,46,48,48,49,50,54,51,57,56,32,46,48,48,49,50,57,48,
      56,55,32,46,48,48,49,51,49,56,48,53,32,46,48,48,49,51,52,53,53,49,32,46,48,
      48,49,51,55,51,50,51,32,46,48,48,49,52,48,49,32,46,48,48,49,52,50,57,48,54,
      32,46,48,48,49,52,53,55,52,49,10,32,32,46,48,48,49,52,56,54,48,53,32,46,48,
      48,49,53,49,52,55,52,32,46,48,48,49,53,52,51,54,32,46,48,48,49,53,55,50,55,
      53,32,46,48,48,49,54,48,50,49,57,32,46,48,48,49,54,51,49,56,53,32,46,48,48,
      49,54,54,49,52,52,32,46,48,48,49,54,57,49,51,51,32,46,48,48,49,55,50,49,53,
      50,10,32,32,46,48,48,49,55,53,50,48,53,32,46,48,48,49,55,56,50,53,56,32,46,
      48,48,49,56,49,51,50,53,32,46,48,48,49,56,52,52,50,54,32,46,48,48,49,56,55,
      53,53,56,32,46,48,48,49,57,48,55,49,53,32,46,48,48,49,57,51,56,54,55,32,46,
      48,48,49,57,55,48,53,52,10,32,32,46,48,48,50,48,48,50,55,52,32,46,48,48,50,
      48,51,53,50,54,32,46,48,48,50,48,54,55,56,53,32,46,48,48,50,49,48,48,54,53,
      32,46,48,48,50,49,51,51,55,57,32,46,48,48,50,49,54,55,50,54,32,46,48,48,50,
      50,48,49,48,50,32,46,48,48,50,50,51,52,56,51,10,32,32,46,48,48,50,50,54,56,
      57,56,32,46,48,48,50,51,48,51,53,32,46,48,48,50,51,51,56,51,32,46,48,48,50,
      51,55,51,50,57,32,46,48,48,50,52,48,56,53,50,32,46,48,48,50,52,52,52,49,49,
      32,46,48,48,50,52,56,48,48,49,32,46,48,48,50,53,49,54,50,32,46,48,48,50,53,
      53,50,53,54,10,32,32,46,48,48,50,53,56,57,50,53,32,46,48,48,50,54,50,54,50,
      56,32,46,48,48,50,54,54,51,54,49,32,46,48,48,50,55,48,49,49,55,32,46,48,48,
      50,55,51,57,48,51,32,46,48,48,50,55,55,55,49,57,32,46,48,48,50,56,49,53,54,
      54,32,46,48,48,50,56,53,52,52,51,10,32,32,46,48,48,50,56,57,51,52,56,32,46,
      48,48,50,57,51,50,56,49,32,46,48,48,50,57,55,50,52,53,32,46,48,48,51,48,49,
      50,51,56,32,46,48,48,51,48,53,50,54,51,32,46,48,48,51,48,57,51,49,56,32,46,
      48,48,51,49,51,52,32,46,48,48,51,49,55,53,49,50,32,46,48,48,51,50,49,54,53,
      52,10,32,32,46,48,48,51,50,53,56,51,32,46,48,48,51,51,48,48,51,54,32,46,48,
      48,51,51,53,54,55,57,32,46,48,48,51,52,57,48,49,52,32,46,48,48,51,54,57,48,
      55,50,32,46,48,48,52,48,50,54,55,49,32,46,48,48,52,51,54,53,51,55,32,46,48,
      48,52,55,48,55,48,51,32,46,48,48,53,48,53,50,52,54,10,32,32,46,48,48,53,52,
      48,49,56,49,32,46,48,48,53,55,53,53,49,32,46,48,48,54,49,49,49,52,53,32,46,
      48,48,54,52,54,57,55,57,32,46,48,48,54,56,50,56,54,53,32,46,48,48,55,49,56,
      55,56,50,32,46,48,48,55,53,52,55,53,53,32,46,48,48,55,57,56,49,50,57,32,46,
      48,48,56,52,50,48,55,50,10,32,32,46,48,48,57,48,50,49,57,50,32,46,48,48,57,
      54,53,50,55,56,32,46,48,49,48,51,50,54,54,32,46,48,49,49,50,53,50,54,32,46,
      48,49,50,50,57,50,50,32,46,48,49,51,52,51,51,55,32,46,48,49,52,56,49,56,53,
      32,46,48,49,54,48,52,57,56,32,46,48,49,55,51,55,54,53,10,32,32,46,48,49,56,
      53,48,50,32,46,48,49,57,53,56,53,57,32,46,48,50,48,56,52,51,32,46,48,50,50,
      51,49,52,56,32,46,48,50,52,48,52,51,57,32,46,48,50,54,48,57,48,56,32,46,48,
      50,56,53,52,52,50,32,46,48,51,49,55,50,52,53,32,46,48,51,53,49,52,49,57,32,
      46,48,51,56,54,55,55,50,10,32,32,46,48,52,50,48,53,55,57,32,46,48,52,53,57,
      56,50,49,32,46,48,52,57,51,55,53,49,32,46,48,53,51,50,49,54,52,32,46,48,53,
      55,52,52,52,49,32,46,48,54,49,57,48,56,51,32,46,48,54,54,56,52,52,54,32,46,
      48,55,50,53,57,52,49,32,46,48,55,56,53,48,57,53,10,32,32,46,48,56,52,57,57,
      53,49,32,46,48,57,50,55,57,51,51,32,46,49,48,50,52,56,56,32,46,49,49,48,54,
      51,52,32,46,49,49,55,54,55,54,32,46,49,50,49,54,54,56,32,46,49,50,51,49,50,
      54,32,46,49,50,48,54,50,53,32,46,49,49,55,52,50,50,32,46,49,49,56,49,48,54,
      10,32,32,46,49,50,49,53,53,57,32,46,49,50,54,57,52,50,32,46,49,51,48,53,55,
      52,32,46,49,51,54,52,48,56,32,46,49,52,54,50,53,32,46,49,53,56,53,55,51,32,
      46,49,54,55,57,53,53,32,46,49,55,49,49,50,52,32,46,49,54,55,51,53,52,32,46,
      49,54,49,56,54,57,32,46,49,53,48,48,50,51,10,32,32,46,49,51,55,55,56,54,32,
      46,49,50,52,51,54,52,32,46,49,49,48,53,48,54,32,46,49,48,50,52,54,55,32,46,
      49,48,48,52,52,55,32,46,49,48,50,53,56,51,32,46,49,48,53,56,52,49,32,46,49,
      48,57,48,51,54,32,46,49,49,50,52,51,57,32,46,49,49,52,56,48,56,10,32,32,46,
      49,49,54,53,55,49,32,46,49,49,54,57,53,55,32,46,49,49,53,48,56,32,46,49,48,
      56,56,52,49,32,46,48,57,57,54,51,55,32,46,48,57,51,55,52,49,32,46,48,56,56,
      48,50,57,55,32,46,48,55,57,56,50,56,32,46,48,55,50,49,54,49,32,46,48,54,56,
      55,49,57,52,10,32,32,46,48,54,52,55,52,50,55,32,46,48,54,51,50,54,50,49,32,
      46,48,54,50,50,57,52,53,32,46,48,55,48,51,52,49,54,32,46,48,54,55,53,55,55,
      51,32,46,48,54,54,52,55,48,57,32,46,48,54,52,52,48,48,49,32,46,48,54,50,49,
      57,55,55,32,46,48,54,48,52,50,56,50,10,32,32,46,48,53,56,55,49,54,54,32,46,
      48,53,55,49,54,53,54,32,46,48,53,53,54,56,51,56,32,46,48,53,52,48,57,51,32,
      46,48,53,50,55,50,52,49,32,46,48,53,49,50,54,48,53,32,46,48,53,48,50,49,51,
      50,32,46,48,52,56,53,53,55,52,32,46,48,52,55,53,55,51,50,10,32,32,46,48,52,
      54,51,56,49,55,32,46,48,52,51,55,51,55,54,32,46,48,52,48,51,55,50,52,32,46,
      48,51,55,51,54,57,54,32,46,48,51,51,57,54,50,54,32,46,48,51,48,56,57,57,49,
      32,46,48,50,55,54,50,48,54,32,46,48,50,53,49,55,57,53,32,46,48,50,49,55,48,
      52,57,10,32,32,46,48,49,56,51,51,56,57,32,46,48,49,54,55,50,52,52,32,46,48,
      49,53,49,48,49,53,32,46,48,49,51,49,57,55,53,32,46,48,49,49,55,52,50,55,32,
      46,48,49,48,52,53,56,54,32,46,48,48,57,49,55,49,57,55,32,46,48,48,56,48,53,
      50,50,54,32,46,48,48,55,49,57,49,48,50,10,32,32,46,48,48,54,52,50,54,51,53,
      32,46,48,48,53,55,52,54,54,57,32,46,48,48,53,48,54,48,56,50,32,46,48,48,52,
      51,56,57,50,53,32,46,48,48,51,55,53,48,56,49,32,46,48,48,51,50,53,56,55,54,
      32,46,48,48,50,55,56,57,55,49,32,46,48,48,50,52,50,55,51,52,10,32,32,46,48,
      48,50,49,49,51,51,53,32,46,48,48,49,56,49,51,49,52,32,46,48,48,49,53,51,57,
      54,53,32,46,48,48,49,51,53,55,54,54,32,46,48,48,49,49,55,52,51,56,32,46,48,
      48,49,48,51,52,50,53,32,46,48,48,48,57,48,51,50,56,55,32,46,48,48,48,55,56,
      57,50,52,49,10,32,32,46,48,48,48,54,56,57,56,52,56,32,46,48,48,48,54,48,51,
      49,57,52,32,46,48,48,48,53,50,55,54,48,49,32,46,48,48,48,52,54,49,54,51,54,
      32,46,48,48,48,52,48,52,48,52,53,32,46,48,48,48,51,53,51,55,52,50,32,46,48,
      48,48,51,48,57,55,57,50,32,46,48,48,48,50,55,49,51,55,54,10,32,32,46,48,48,
      48,50,51,55,55,55,54,32,46,48,48,48,50,48,56,51,57,53,32,46,48,48,48,49,56,
      50,54,56,57,32,46,48,48,48,49,54,48,49,57,32,46,48,48,48,49,52,48,52,56,55,
      32,46,48,48,48,49,50,51,50,51,51,32,46,48,48,48,49,48,56,49,49,54,32,57,46,
      52,56,54,53,57,101,45,48,53,10,32,32,56,46,51,50,53,57,56,101,45,48,53,32,55,
      46,51,48,56,54,57,101,45,48,53,32,54,46,52,49,54,56,53,101,45,48,53,32,53,46,
      54,51,52,55,56,101,45,48,53,32,52,46,57,52,56,56,49,101,45,48,53,32,52,46,51,
      52,55,51,56,101,45,48,53,32,51,46,56,49,57,51,53,101,45,48,53,10,32,32,51,46,
      51,53,53,57,54,101,45,48,53,32,50,46,57,52,57,50,101,45,48,53,32,50,46,53,57,
      50,49,101,45,48,53,32,50,46,50,55,56,53,52,101,45,48,53,32,50,46,48,48,51,49,
      57,101,45,48,53,32,49,46,55,54,49,49,53,101,45,48,53,32,49,46,53,52,56,55,101,
      45,48,53,10,32,32,49,46,52,48,49,52,53,101,45,48,53,32,49,46,50,54,56,51,101,
      45,48,53,32,49,46,49,52,55,56,55,101,45,48,53,32,49,46,48,51,56,57,53,101,45,
      48,53,32,57,46,52,48,53,51,56,101,45,48,54,32,56,46,52,48,53,56,56,101,45,48,
      54,32,55,46,50,57,50,50,56,101,45,48,54,10,32,32,54,46,51,50,54,57,57,101,45,
      48,54,32,53,46,52,57,48,49,51,101,45,48,54,32,52,46,55,54,52,53,52,101,45,48,
      54,32,52,46,49,51,53,51,49,101,45,48,54,32,51,46,53,56,57,53,55,101,45,48,54,
      32,51,46,49,49,54,49,56,101,45,48,54,32,50,46,55,48,53,53,49,101,45,48,54,10,
      32,32,50,46,51,52,57,49,57,101,45,48,54,32,50,46,48,52,48,48,49,101,45,48,54,
      32,49,46,55,55,49,55,101,45,48,54,32,49,46,53,51,56,56,49,101,45,48,54,32,49,
      46,51,51,54,54,54,101,45,48,54,32,49,46,49,54,49,49,55,101,45,48,54,32,49,46,
      48,48,56,56,49,101,45,48,54,10,32,32,56,46,55,54,53,49,52,101,45,48,55,32,55,
      46,54,49,54,51,49,101,45,48,55,32,54,46,54,49,56,53,57,101,45,48,55,32,53,46,
      55,53,50,48,50,101,45,48,55,32,52,46,57,57,57,50,57,101,45,48,55,32,52,46,51,
      52,52,52,54,101,45,48,55,32,51,46,55,55,55,51,49,101,45,48,55,10,32,32,51,46,
      50,56,51,55,52,101,45,48,55,32,50,46,56,53,52,56,53,101,45,48,55,32,50,46,52,
      56,50,49,53,101,45,48,55,32,50,46,49,53,56,50,54,101,45,48,55,32,49,46,56,55,
      54,55,52,101,45,48,55,32,49,46,54,51,50,48,53,101,45,48,55,32,49,46,52,49,57,
      51,54,101,45,48,55,10,32,32,49,46,50,51,52,52,54,101,45,48,55,32,49,46,48,55,
      51,55,50,101,45,48,55,32,57,46,51,51,57,53,54,101,45,48,56,32,56,46,49,50,52,
      51,50,101,45,48,56,32,55,46,48,54,55,54,101,45,48,56,32,54,46,49,52,56,54,56,
      101,45,48,56,32,53,46,51,52,57,53,50,101,45,48,56,10,32,32,52,46,48,52,57,57,
      55,101,45,48,56,32,51,46,48,54,54,54,55,101,45,48,56,32,50,46,51,50,50,54,50,
      101,45,48,56,32,49,46,55,53,57,52,51,101,45,48,56,32,49,46,51,51,51,48,53,101,
      45,48,56,32,49,46,48,49,48,49,56,101,45,48,56,32,55,46,54,53,54,51,57,101,45,
      48,57,10,32,32,53,46,56,48,51,57,49,101,45,48,57,32,52,46,52,48,48,51,54,101,
      45,48,57,32,51,46,51,51,54,55,52,101,45,48,57,32,50,46,53,51,48,53,56,101,45,
      48,57,32,49,46,57,49,57,52,55,101,45,48,57,32,49,46,52,53,54,49,52,101,45,48,
      57,32,49,46,49,48,52,56,101,45,48,57,10,32,32,56,46,51,56,51,53,101,45,49,48,
      32,54,46,51,54,50,51,57,101,45,49,48,32,52,46,56,50,57,49,52,101,45,49,48,32,
      51,46,54,54,53,56,49,101,45,49,48,32,50,46,55,56,51,48,54,101,45,49,48,32,50,
      46,49,49,51,49,51,101,45,49,48,32,49,46,54,48,52,54,52,101,45,49,48,10,32,32,
      49,46,50,49,56,54,52,101,45,49,48,32,57,46,50,53,53,56,57,101,45,49,49,32,55,
      46,48,51,48,56,101,45,49,49,32,53,46,51,52,49,49,53,101,45,49,49,32,52,46,48,
      53,55,57,53,101,45,49,49,32,51,46,48,56,51,51,50,101,45,49,49,32,50,46,51,52,
      50,57,57,101,45,49,49,10,32,32,49,46,55,56,48,54,52,101,45,49,49,32,49,46,48,
      51,48,52,52,101,45,48,56,32,52,46,49,51,49,57,101,45,48,56,32,57,46,51,48,52,
      53,51,101,45,48,56,32,49,46,48,51,48,52,55,101,45,48,55,32,52,46,49,51,50,52,
      50,101,45,48,55,32,57,46,51,48,55,48,54,101,45,48,55,10,32,32,49,46,54,53,52,
      54,50,101,45,48,54,32,50,46,53,56,53,50,56,101,45,48,54,32,51,46,55,50,53,48,
      56,101,45,48,54,32,53,46,48,55,49,51,57,101,45,48,54,32,54,46,54,50,55,56,54,
      101,45,48,54,32,56,46,51,57,51,49,55,101,45,48,54,32,49,46,48,51,54,56,52,101,
      45,48,53,10,32,32,49,46,50,53,53,54,49,101,45,48,53,32,49,46,52,57,53,56,52,
      101,45,48,53,32,49,46,55,53,55,54,54,101,45,48,53,32,50,46,49,50,50,49,49,101,
      45,48,53,32,50,46,52,51,56,55,52,101,45,48,53,32,50,46,55,55,55,53,54,101,45,
      48,53,32,51,46,49,51,56,56,51,101,45,48,53,10,32,32,51,46,53,50,50,53,56,101,
      45,48,53,32,51,46,57,50,56,56,51,101,45,48,53,32,52,46,51,53,55,55,54,101,45,
      48,53,32,52,46,56,48,57,53,55,101,45,48,53,32,53,46,50,56,52,51,55,101,45,48,
      53,32,53,46,55,56,49,57,101,45,48,53,32,54,46,51,48,50,49,57,101,45,48,53,10,
      32,32,54,46,56,52,53,55,53,101,45,48,53,32,55,46,52,49,50,52,53,101,45,48,53,
      32,56,46,48,48,50,51,51,101,45,48,53,32,56,46,54,49,52,54,51,101,45,48,53,32,
      57,46,50,53,48,50,51,101,45,48,53,32,57,46,57,48,57,49,101,45,48,53,32,46,48,
      48,48,49,48,53,57,49,52,10,32,32,46,48,48,48,49,49,50,57,54,51,32,46,48,48,
      48,49,50,48,50,51,57,32,46,48,48,48,49,50,55,55,52,55,32,46,48,48,48,49,51,
      53,52,57,32,46,48,48,48,49,52,51,52,54,55,32,46,48,48,48,49,53,49,54,53,56,
      32,46,48,48,48,49,54,48,48,56,50,32,46,48,48,48,49,54,56,55,52,50,10,32,32,
      46,48,48,48,49,55,55,54,51,53,32,46,48,48,48,49,56,54,55,52,57,32,46,48,48,
      48,49,57,54,48,56,54,32,46,48,48,48,50,48,53,54,53,57,32,46,48,48,48,50,49,
      53,52,54,53,32,46,48,48,48,50,50,53,53,48,52,32,46,48,48,48,50,51,53,55,53,
      55,32,46,48,48,48,50,52,54,50,52,51,10,32,32,46,48,48,48,50,53,54,57,54,54,
      32,46,48,48,48,50,54,55,57,50,49,32,46,48,48,48,50,55,57,49,48,52,32,46,48,
      48,48,50,57,48,53,49,51,32,46,48,48,48,51,48,50,49,53,56,32,46,48,48,48,51,
      49,52,48,51,55,32,46,48,48,48,51,50,54,49,53,51,32,46,48,48,48,51,51,56,52,
      57,56,10,32,32,46,48,48,48,51,53,49,48,55,56,32,46,48,48,48,51,54,51,56,57,
      54,32,46,48,48,48,51,55,54,57,52,56,32,46,48,48,48,51,57,48,50,52,50,32,46,
      48,48,48,52,48,51,55,55,55,32,46,48,48,48,52,49,55,53,52,57,32,46,48,48,48,
      52,51,49,53,53,57,32,46,48,48,48,52,52,53,56,48,56,10,32,32,46,48,48,48,52,
      54,48,51,49,54,32,46,48,48,48,52,55,53,48,54,51,32,46,48,48,48,52,57,48,48,
      53,32,46,48,48,48,53,48,53,50,55,57,32,46,48,48,48,53,50,48,55,54,54,32,46,
      48,48,48,53,51,54,53,48,57,32,46,48,48,48,53,53,50,52,57,54,32,46,48,48,48,
      53,54,56,55,50,53,10,32,32,46,48,48,48,53,56,53,50,48,51,32,46,48,48,48,54,
      48,49,57,53,55,32,46,48,48,48,54,49,56,57,53,55,32,46,48,48,48,54,51,54,50,
      48,53,32,46,48,48,48,54,53,51,54,57,57,32,46,48,48,48,54,55,49,52,53,57,32,
      46,48,48,48,54,56,57,52,55,56,32,46,48,48,48,55,48,55,55,52,55,10,32,32,46,
      48,48,48,55,50,54,50,55,50,32,46,48,48,48,55,52,53,48,52,52,32,46,48,48,48,
      55,54,52,48,54,49,32,46,48,48,48,55,56,51,51,52,49,32,46,48,48,48,56,48,50,
      56,55,50,32,46,48,48,48,56,50,50,54,52,55,32,46,48,48,48,56,52,50,54,51,56,
      32,46,48,48,48,56,54,50,56,54,51,10,32,32,46,48,48,48,56,56,51,51,53,54,32,
      46,48,48,48,57,48,52,48,57,52,32,46,48,48,48,57,50,53,48,54,51,32,46,48,48,
      48,57,52,54,49,53,32,46,48,48,48,57,54,55,52,56,50,32,46,48,48,48,57,56,57,
      48,53,54,32,46,48,48,49,48,49,48,56,56,32,46,48,48,49,48,51,50,55,56,10,32,
      32,46,48,48,49,48,53,52,56,51,32,46,48,48,49,48,55,55,49,50,32,46,48,48,49,
      48,57,57,54,54,32,46,48,48,49,49,50,50,51,56,32,46,48,48,49,49,52,53,48,49,
      32,46,48,48,49,49,54,55,56,57,32,46,48,48,49,49,57,49,32,46,48,48,49,50,49,
      52,51,54,32,46,48,48,49,50,51,55,54,51,10,32,32,46,48,48,49,50,54,48,57,54,
      32,46,48,48,49,50,56,52,53,51,32,46,48,48,49,51,48,56,51,53,32,46,48,48,49,
      51,51,50,51,51,32,46,48,48,49,51,53,54,48,51,32,46,48,48,49,51,55,57,57,56,
      32,46,48,48,49,52,48,52,49,57,32,46,48,48,49,52,50,56,55,49,10,32,32,46,48,
      48,49,52,53,51,48,54,32,46,48,48,49,52,55,55,52,52,32,46,48,48,49,53,48,50,
      49,51,32,46,48,48,49,53,50,55,49,32,46,48,48,49,53,53,50,50,51,32,46,48,48,
      49,53,55,55,49,52,32,46,48,48,49,54,48,50,51,54,32,46,48,48,49,54,50,55,56,
      55,32,46,48,48,49,54,53,51,54,56,10,32,32,46,48,48,49,54,55,57,52,32,46,48,
      48,49,55,48,53,50,54,32,46,48,48,49,55,51,49,52,51,32,46,48,48,49,55,53,55,
      56,57,32,46,48,48,49,55,56,52,53,56,32,46,48,48,49,56,49,49,49,55,32,46,48,
      48,49,56,51,56,48,57,32,46,48,48,49,56,54,53,51,51,32,46,48,48,49,56,57,50,
      56,51,10,32,32,46,48,48,49,57,50,48,52,49,32,46,48,48,49,57,52,56,49,55,32,
      46,48,48,49,57,55,54,50,53,32,46,48,48,50,48,48,52,54,49,32,46,48,48,50,48,
      51,51,50,49,32,46,48,48,50,48,54,49,56,56,32,46,48,48,50,48,57,48,56,53,32,
      46,48,48,50,49,50,48,49,51,10,32,32,46,48,48,50,49,52,57,54,54,32,46,48,48,
      50,49,55,57,51,54,32,46,48,48,50,50,48,57,51,49,32,46,48,48,50,50,51,57,53,
      50,32,46,48,48,50,50,55,32,46,48,48,50,51,48,48,55,51,32,46,48,48,50,51,51,
      49,54,56,32,46,48,48,50,51,54,50,56,56,32,46,48,48,50,51,57,52,51,52,10,32,
      32,46,48,48,50,52,50,54,48,54,32,46,48,48,50,52,53,56,48,52,32,46,48,48,50,
      52,57,48,50,57,32,46,48,48,50,53,50,50,55,54,32,46,48,48,50,53,53,53,52,57,
      32,46,48,48,50,53,56,56,52,56,32,46,48,48,50,54,50,49,55,55,32,46,48,48,50,
      54,53,53,51,50,10,32,32,46,48,48,50,55,48,48,51,53,32,46,48,48,50,56,48,54,
      57,53,32,46,48,48,50,57,54,55,55,50,32,46,48,48,51,50,51,56,50,50,32,46,48,
      48,51,53,49,50,56,32,46,48,48,51,55,57,49,56,57,32,46,48,48,52,48,55,54,53,
      57,32,46,48,48,52,51,54,54,57,57,32,46,48,48,52,54,54,50,57,57,10,32,32,46,
      48,48,52,57,54,51,50,50,32,46,48,48,53,50,54,54,48,53,32,46,48,48,53,53,54,
      57,51,56,32,46,48,48,53,56,55,50,57,51,32,46,48,48,54,49,55,55,48,57,32,46,
      48,48,54,53,52,52,55,56,32,46,48,48,54,57,50,48,48,56,32,46,48,48,55,52,52,
      48,56,53,10,32,32,46,48,48,56,48,48,48,51,55,32,46,48,48,56,54,49,52,49,56,
      32,46,48,48,57,52,56,49,56,32,46,48,49,48,52,55,54,50,32,46,48,49,49,53,55,
      50,52,32,46,48,49,50,56,56,54,53,32,46,48,49,52,48,50,51,50,32,46,48,49,53,
      49,57,50,49,32,46,48,49,54,49,51,57,53,10,32,32,46,48,49,55,48,52,49,50,32,
      46,48,49,56,48,57,53,55,32,46,48,49,57,51,53,48,51,32,46,48,50,48,56,53,50,
      56,32,46,48,50,50,54,55,48,50,32,46,48,50,52,56,57,56,49,32,46,48,50,55,56,
      53,50,52,32,46,48,51,49,49,48,49,32,46,48,51,52,53,55,51,54,10,32,32,46,48,
      51,55,57,54,56,32,46,48,52,49,53,49,55,57,32,46,48,52,52,51,56,50,49,32,46,
      48,52,55,53,53,49,51,32,46,48,53,49,48,54,48,56,32,46,48,53,52,56,53,48,56,
      32,46,48,53,57,49,51,54,32,46,48,54,52,50,51,51,57,32,46,48,54,57,53,56,52,
      56,32,46,48,55,53,53,53,57,55,10,32,32,46,48,56,50,56,55,51,53,32,46,48,57,
      50,49,52,51,56,32,46,49,48,48,48,55,56,32,46,49,48,55,49,48,54,32,46,49,49,
      49,51,57,54,32,46,49,49,51,53,55,57,32,46,49,49,50,52,56,50,32,46,49,49,48,
      51,56,55,32,46,49,49,49,53,48,52,32,46,49,49,52,57,54,51,10,32,32,46,49,50,
      48,50,57,55,32,46,49,50,52,48,51,52,32,46,49,50,57,55,53,51,32,46,49,51,57,
      48,54,56,32,46,49,53,48,54,51,32,46,49,53,57,53,52,50,32,46,49,54,50,56,57,
      50,32,46,49,53,57,56,53,49,32,46,49,53,53,48,53,57,32,46,49,52,52,52,52,51,
      32,46,49,51,51,50,50,57,10,32,32,46,49,50,48,55,49,53,32,46,49,48,55,54,52,
      57,32,46,49,48,48,48,51,55,32,46,48,57,56,49,55,56,55,32,46,49,48,48,51,49,
      32,46,49,48,51,53,49,56,32,46,49,48,54,54,54,49,32,46,49,49,48,48,49,49,32,
      46,49,49,50,51,52,53,32,46,49,49,52,48,57,53,10,32,32,46,49,49,52,53,52,49,
      32,46,49,49,50,55,54,56,32,46,49,48,54,55,56,51,32,46,48,57,55,56,57,52,57,
      32,46,48,57,50,49,56,49,57,32,46,48,56,54,54,51,54,55,32,46,48,55,56,54,53,
      53,56,32,46,48,55,49,49,55,56,55,32,46,48,54,55,56,49,55,55,32,46,48,54,51,
      57,51,51,49,10,32,32,46,48,54,50,52,56,56,32,46,48,54,49,53,53,48,49,32,46,
      48,54,57,52,53,57,52,32,46,48,54,54,55,54,49,53,32,46,48,54,53,54,56,48,56,
      32,46,48,54,51,54,53,54,53,32,46,48,54,49,53,48,49,54,32,46,48,53,57,55,54,
      56,57,32,46,48,53,56,48,57,49,52,10,32,32,46,48,53,54,53,55,48,54,32,46,48,
      53,53,49,49,54,57,32,46,48,53,51,53,53,53,49,32,46,48,53,50,50,49,48,49,32,
      46,48,53,48,55,55,49,55,32,46,48,52,57,55,52,50,49,32,46,48,52,56,49,49,51,
      52,32,46,48,52,55,49,52,52,55,32,46,48,52,53,57,55,49,56,10,32,32,46,48,52,
      51,51,54,55,49,32,46,48,52,48,48,52,57,49,32,46,48,51,55,48,56,53,51,32,46,
      48,51,51,55,49,57,53,32,46,48,51,48,54,57,48,50,32,46,48,50,55,52,52,53,55,
      32,46,48,50,53,48,50,55,57,32,46,48,50,49,53,56,51,56,32,46,48,49,56,50,51,
      53,54,10,32,32,46,48,49,54,54,51,52,50,32,46,48,49,53,48,50,50,54,32,46,48,
      49,51,49,51,49,52,32,46,48,49,49,54,56,53,57,32,46,48,49,48,52,48,57,54,32,
      46,48,48,57,49,51,48,52,55,32,46,48,48,56,48,49,54,57,53,32,46,48,48,55,49,
      54,48,50,57,32,46,48,48,54,51,57,57,53,57,10,32,32,46,48,48,53,55,50,51,51,
      32,46,48,48,53,48,52,49,49,53,32,46,48,48,52,51,55,52,49,57,32,46,48,48,51,
      55,51,57,32,46,48,48,51,50,52,56,55,55,32,46,48,48,50,55,56,49,52,50,32,46,
      48,48,50,52,50,48,50,56,32,46,48,48,50,49,48,55,51,54,32,46,48,48,49,56,48,
      56,49,50,10,32,32,46,48,48,49,53,51,53,53,32,46,48,48,49,51,53,52,48,55,32,
      46,48,48,49,49,55,49,51,51,32,46,48,48,49,48,51,49,54,49,32,46,48,48,48,57,
      48,49,48,50,52,32,46,48,48,48,55,56,55,51,32,46,48,48,48,54,56,56,49,55,57,
      32,46,48,48,48,54,48,49,55,53,53,10,32,32,46,48,48,48,53,50,54,51,54,51,32,
      46,48,48,48,52,54,48,53,54,56,32,46,48,48,48,52,48,51,49,50,49,32,46,48,48,
      48,51,53,50,57,52,54,32,46,48,48,48,51,48,57,49,48,51,32,46,48,48,48,50,55,
      48,55,55,57,32,46,48,48,48,50,51,55,50,54,32,46,48,48,48,50,48,55,57,52,56,
      10,32,32,46,48,48,48,49,56,50,51,48,49,32,46,48,48,48,49,53,57,56,53,52,32,
      46,48,48,48,49,52,48,50,48,49,32,46,48,48,48,49,50,50,57,57,54,32,46,48,48,
      48,49,48,55,57,50,32,57,46,52,55,48,52,50,101,45,48,53,32,56,46,51,49,50,50,
      56,101,45,48,53,32,55,46,50,57,54,56,49,101,45,48,53,10,32,32,54,46,52,48,54,
      53,49,101,45,48,53,32,53,46,54,50,53,55,55,101,45,48,53,32,52,46,57,52,48,57,
      57,101,45,48,53,32,52,46,51,52,48,53,55,101,45,48,53,32,51,46,56,49,51,52,50,
      101,45,48,53,32,51,46,51,53,48,55,57,101,45,48,53,32,50,46,57,52,52,55,101,
      45,48,53,10,32,32,50,46,53,56,56,49,56,101,45,48,53,32,50,46,50,55,53,49,51,
      101,45,48,53,32,50,46,48,48,48,50,49,101,45,48,53,32,49,46,55,53,56,53,54,101,
      45,48,53,32,49,46,53,52,54,52,51,101,45,48,53,32,49,46,51,57,57,52,49,101,45,
      48,53,32,49,46,50,54,54,52,54,101,45,48,53,10,32,32,49,46,49,52,54,50,50,101,
      45,48,53,32,49,46,48,51,55,52,55,101,45,48,53,32,57,46,51,57,50,101,45,48,54,
      32,56,46,51,57,52,48,49,101,45,48,54,32,55,46,50,56,50,48,53,101,45,48,54,32,
      54,46,51,49,56,49,56,101,45,48,54,32,53,46,52,56,50,53,53,101,45,48,54,10,32,
      32,52,46,55,53,55,57,57,101,45,48,54,32,52,46,49,50,57,54,54,101,45,48,54,32,
      51,46,53,56,52,55,101,45,48,54,32,51,46,49,49,49,57,57,101,45,48,54,32,50,46,
      55,48,49,56,57,101,45,48,54,32,50,46,51,52,54,48,56,101,45,48,54,32,50,46,48,
      51,55,51,50,101,45,48,54,10,32,32,49,46,55,54,57,51,55,101,45,48,54,32,49,46,
      53,51,54,56,101,45,48,54,32,49,46,51,51,52,57,50,101,45,48,54,32,49,46,49,53,
      57,54,55,101,45,48,54,32,49,46,48,48,55,53,49,101,45,48,54,32,56,46,55,53,51,
      57,52,101,45,48,55,32,55,46,54,48,54,54,51,101,45,48,55,10,32,32,54,46,54,49,
      48,50,49,101,45,48,55,32,53,46,55,52,52,55,55,101,45,48,55,32,52,46,57,57,51,
      48,51,101,45,48,55,32,52,46,51,51,57,48,54,101,45,48,55,32,51,46,55,55,50,54,
      51,101,45,48,55,32,51,46,50,55,57,54,56,101,45,48,55,32,50,46,56,53,49,51,52,
      101,45,48,55,10,32,32,50,46,52,55,57,49,49,101,45,48,55,32,50,46,49,53,53,54,
      50,101,45,48,55,32,49,46,56,55,52,52,55,101,45,48,55,32,49,46,54,51,48,48,57,
      101,45,48,55,32,49,46,52,49,55,54,53,101,45,48,55,32,49,46,50,51,50,57,56,101,
      45,48,55,32,49,46,48,55,50,52,51,101,45,48,55,10,32,32,57,46,51,50,56,52,50,
      101,45,48,56,32,56,46,49,49,52,54,54,101,45,48,56,32,55,46,48,53,57,50,50,101,
      45,48,56,32,54,46,49,52,49,52,49,101,45,48,56,32,53,46,51,52,51,50,50,101,45,
      48,56,32,52,46,48,52,53,50,50,101,45,48,56,32,51,46,48,54,51,49,101,45,48,56,
      10,32,32,50,46,51,49,57,57,51,101,45,48,56,32,49,46,55,53,55,52,49,101,45,48,
      56,32,49,46,51,51,49,53,51,101,45,48,56,32,49,46,48,48,57,48,51,101,45,48,56,
      32,55,46,54,52,55,55,52,101,45,48,57,32,53,46,55,57,55,51,57,101,45,48,57,32,
      52,46,51,57,53,52,52,101,45,48,57,10,32,32,51,46,51,51,51,48,52,101,45,48,57,
      32,50,46,53,50,55,55,57,101,45,48,57,32,49,46,57,49,55,51,54,101,45,48,57,32,
      49,46,52,53,52,53,53,101,45,48,57,32,49,46,49,48,51,54,101,45,48,57,32,56,46,
      51,55,52,51,57,101,45,49,48,32,54,46,51,53,53,53,50,101,45,49,48,10,32,32,52,
      46,56,50,51,57,52,101,45,49,48,32,51,46,54,54,49,56,56,101,45,49,48,32,50,46,
      55,56,48,48,57,101,45,49,48,32,50,46,49,49,48,56,56,101,45,49,48,32,49,46,54,
      48,50,57,51,101,45,49,48,32,49,46,50,49,55,51,53,101,45,49,48,32,57,46,50,52,
      54,49,101,45,49,49,10,32,32,55,46,48,50,51,52,101,45,49,49,32,53,46,51,51,53,
      53,52,101,45,49,49,32,52,46,48,53,51,54,57,101,45,49,49,32,51,46,48,56,48,48,
      57,101,45,49,49,32,50,46,51,52,48,53,53,101,45,49,49,32,49,46,55,55,56,55,57,
      101,45,49,49,32,55,46,57,53,49,50,49,101,45,48,57,10,32,32,51,46,49,56,56,51,
      53,101,45,48,56,32,55,46,49,55,57,56,54,101,45,48,56,32,55,46,57,53,49,54,56,
      101,45,48,56,32,51,46,49,56,57,49,101,45,48,55,32,55,46,49,56,51,54,56,101,
      45,48,55,32,49,46,50,55,55,52,50,101,45,48,54,32,49,46,57,57,54,52,57,101,45,
      48,54,10,32,32,50,46,56,55,55,54,55,101,45,48,54,32,51,46,57,49,57,50,53,101,
      45,48,54,32,53,46,49,50,52,51,53,101,45,48,54,32,54,46,52,57,50,51,51,101,45,
      48,54,32,56,46,48,50,52,50,49,101,45,48,54,32,57,46,55,50,50,52,49,101,45,48,
      54,32,49,46,49,53,56,56,57,101,45,48,53,10,32,32,49,46,51,54,50,53,52,101,45,
      48,53,32,49,46,53,56,51,52,49,101,45,48,53,32,49,46,56,57,53,55,53,101,45,48,
      53,32,50,46,49,54,48,56,49,101,45,48,53,32,50,46,52,52,51,55,51,101,45,48,53,
      32,50,46,55,52,52,54,101,45,48,53,32,51,46,48,54,51,52,101,45,48,53,10,32,32,
      51,46,52,48,48,51,57,101,45,48,53,32,51,46,55,53,53,56,101,45,48,53,32,52,46,
      49,50,57,55,53,101,45,48,53,32,52,46,53,50,49,57,55,101,45,48,53,32,52,46,57,
      51,50,52,56,101,45,48,53,32,53,46,51,54,49,56,51,101,45,48,53,32,53,46,56,48,
      57,57,55,101,45,48,53,10,32,32,54,46,50,55,54,57,52,101,45,48,53,32,54,46,55,
      54,49,54,57,101,45,48,53,32,55,46,50,54,53,51,55,101,45,48,53,32,55,46,55,56,
      55,57,57,101,45,48,53,32,56,46,51,50,57,55,49,101,45,48,53,32,56,46,56,56,57,
      52,50,101,45,48,53,32,57,46,52,54,55,51,50,101,45,48,53,10,32,32,46,48,48,48,
      49,48,48,54,52,49,32,46,48,48,48,49,48,54,56,32,46,48,48,48,49,49,51,49,52,
      57,32,46,48,48,48,49,49,57,54,54,52,32,46,48,48,48,49,50,54,51,54,57,32,46,
      48,48,48,49,51,51,50,54,52,32,46,48,48,48,49,52,48,51,53,49,32,46,48,48,48,
      49,52,55,54,49,49,10,32,32,46,48,48,48,49,53,53,48,52,57,32,46,48,48,48,49,
      54,50,54,55,56,32,46,48,48,48,49,55,48,52,57,55,32,46,48,48,48,49,55,56,53,
      48,54,32,46,48,48,48,49,56,54,54,56,32,46,48,48,48,49,57,53,48,52,51,32,46,
      48,48,48,50,48,51,53,57,57,32,46,48,48,48,50,49,50,51,52,52,10,32,32,46,48,
      48,48,50,50,49,50,55,50,32,46,48,48,48,50,51,48,51,56,49,32,46,48,48,48,50,
      51,57,54,56,49,32,46,48,48,48,50,52,57,49,55,52,32,46,48,48,48,50,53,56,56,
      53,57,32,46,48,48,48,50,54,56,55,51,32,46,48,48,48,50,55,56,55,57,50,32,46,
      48,48,48,50,56,57,48,52,56,10,32,32,46,48,48,48,50,57,57,52,57,55,32,46,48,
      48,48,51,49,48,49,52,54,32,46,48,48,48,51,50,48,57,57,51,32,46,48,48,48,51,
      51,50,48,51,52,32,46,48,48,48,51,52,51,50,55,50,32,46,48,48,48,51,53,52,55,
      48,54,32,46,48,48,48,51,54,54,51,54,49,32,46,48,48,48,51,55,56,50,49,51,10,
      32,32,46,48,48,48,51,57,48,50,54,52,32,46,48,48,48,52,48,50,53,49,51,32,46,
      48,48,48,52,49,52,57,56,53,32,46,48,48,48,52,50,55,54,55,51,32,46,48,48,48,
      52,52,48,53,54,52,32,46,48,48,48,52,53,51,54,53,53,32,46,48,48,48,52,54,54,
      57,53,53,32,46,48,48,48,52,56,48,52,57,56,10,32,32,46,48,48,48,52,57,52,50,
      52,55,32,46,48,48,48,53,48,56,50,48,50,32,46,48,48,48,53,50,50,51,54,51,32,
      46,48,48,48,53,51,54,55,53,51,32,46,48,48,48,53,53,49,51,54,53,32,46,48,48,
      48,53,54,54,49,56,55,32,46,48,48,48,53,56,49,50,50,53,32,46,48,48,48,53,57,
      54,52,55,10,32,32,46,48,48,48,54,49,49,57,49,57,32,46,48,48,48,54,50,55,53,
      57,52,32,46,48,48,48,54,52,51,52,55,56,32,46,48,48,48,54,53,57,53,54,55,32,
      46,48,48,48,54,55,53,56,50,50,32,46,48,48,48,54,57,50,50,54,56,32,46,48,48,
      48,55,48,56,57,52,51,32,46,48,48,48,55,50,53,56,50,52,10,32,32,46,48,48,48,
      55,52,50,56,57,32,46,48,48,48,55,54,48,48,48,51,32,46,48,48,48,55,55,55,51,
      50,49,32,46,48,48,48,55,57,52,56,52,32,46,48,48,48,56,49,50,53,54,52,32,46,
      48,48,48,56,51,48,50,57,52,32,46,48,48,48,56,52,56,49,48,49,32,46,48,48,48,
      56,54,54,49,49,51,10,32,32,46,48,48,48,56,56,52,51,50,51,32,46,48,48,48,57,
      48,50,54,55,50,32,46,48,48,48,57,50,48,56,48,52,32,46,48,48,48,57,51,57,49,
      51,56,32,46,48,48,48,57,53,55,54,55,32,46,48,48,48,57,55,54,52,48,50,32,46,
      48,48,48,57,57,52,57,51,32,46,48,48,49,48,49,51,52,51,10,32,32,46,48,48,49,
      48,51,50,49,52,32,46,48,48,49,48,53,49,48,53,32,46,48,48,49,48,55,48,48,54,
      32,46,48,48,49,48,56,56,54,50,32,46,48,48,49,49,48,55,52,32,46,48,48,49,49,
      50,54,52,32,46,48,48,49,49,52,53,54,55,32,46,48,48,49,49,54,52,54,52,32,46,
      48,48,49,49,56,51,53,53,10,32,32,46,48,48,49,50,48,50,55,51,32,46,48,48,49,
      50,50,50,49,54,32,46,48,48,49,50,52,49,55,32,46,48,48,49,50,54,48,56,53,32,
      46,48,48,49,50,56,48,50,56,32,46,48,48,49,50,57,57,57,56,32,46,48,48,49,51,
      49,57,57,52,32,46,48,48,49,51,51,57,55,32,46,48,48,49,51,53,57,53,49,10,32,
      32,46,48,48,49,51,55,57,54,49,32,46,48,48,49,51,57,57,57,55,32,46,48,48,49,
      52,50,48,53,49,32,46,48,48,49,52,52,48,56,52,32,46,48,48,49,52,54,49,52,53,
      32,46,48,48,49,52,56,50,51,54,32,46,48,48,49,53,48,51,53,49,32,46,48,48,49,
      53,50,52,54,52,10,32,32,46,48,48,49,53,52,53,56,57,32,46,48,48,49,53,54,55,
      52,51,32,46,48,48,49,53,56,57,50,51,32,46,48,48,49,54,49,49,50,50,32,46,48,
      48,49,54,51,51,50,32,46,48,48,49,54,53,53,52,53,32,46,48,48,49,54,55,55,57,
      54,32,46,48,48,49,55,48,48,55,49,32,46,48,48,49,55,50,51,53,54,10,32,32,46,
      48,48,49,55,52,54,54,49,32,46,48,48,49,55,54,57,56,57,32,46,48,48,49,55,57,
      51,52,49,32,46,48,48,49,56,49,55,49,52,32,46,48,48,49,56,52,49,48,51,32,46,
      48,48,49,56,54,53,49,52,32,46,48,48,49,56,56,57,52,55,32,46,48,48,49,57,49,
      52,48,50,10,32,32,46,48,48,49,57,51,56,56,49,32,46,48,48,49,57,54,51,56,32,
      46,48,48,49,57,56,57,32,46,48,48,50,48,49,52,52,32,46,48,48,50,48,52,48,48,
      52,32,46,48,48,50,48,54,53,57,53,32,46,48,48,50,48,57,50,48,55,32,46,48,48,
      50,49,50,55,49,53,32,46,48,48,50,50,49,48,52,49,10,32,32,46,48,48,50,51,51,
      54,52,50,32,46,48,48,50,53,52,57,55,53,32,46,48,48,50,55,54,56,51,50,32,46,
      48,48,50,57,57,50,54,56,32,46,48,48,51,50,50,52,49,54,32,46,48,48,51,52,54,
      50,56,32,46,48,48,51,55,48,56,51,55,32,46,48,48,51,57,53,57,48,54,32,46,48,
      48,52,50,49,50,56,50,10,32,32,46,48,48,52,52,54,55,48,51,32,46,48,48,52,55,
      50,49,51,54,32,46,48,48,52,57,55,54,51,49,32,46,48,48,53,50,56,53,52,53,32,
      46,48,48,53,54,48,51,55,51,32,46,48,48,54,48,53,50,52,51,32,46,48,48,54,53,
      52,55,48,52,32,46,48,48,55,49,48,52,56,53,10,32,32,46,48,48,55,57,49,53,55,
      55,32,46,48,48,56,56,54,52,53,54,32,46,48,48,57,57,49,54,56,55,32,46,48,49,
      49,49,54,53,54,32,46,48,49,50,50,49,55,54,32,46,48,49,51,50,52,53,54,32,46,
      48,49,52,48,51,53,49,32,46,48,49,52,55,55,52,53,32,46,48,49,53,54,52,57,50,
      10,32,32,46,48,49,54,55,49,49,32,46,48,49,56,48,49,49,55,32,46,48,49,57,54,
      50,51,56,32,46,48,50,49,54,53,48,50,32,46,48,50,52,52,48,48,52,32,46,48,50,
      55,52,57,48,53,32,46,48,51,48,56,56,50,53,32,46,48,51,52,50,53,49,32,46,48,
      51,55,52,53,57,56,32,46,48,51,57,56,54,54,51,10,32,32,46,48,52,50,52,53,55,
      53,32,46,48,52,53,51,52,52,49,32,46,48,52,56,53,52,50,49,32,46,48,53,50,50,
      52,57,53,32,46,48,53,54,55,54,52,56,32,46,48,54,49,54,48,53,51,32,46,48,54,
      55,49,48,57,32,46,48,55,51,57,53,55,56,32,46,48,56,50,55,56,53,57,10,32,32,
      46,48,57,48,52,54,49,32,46,48,57,55,51,57,57,56,32,46,49,48,49,56,57,32,46,
      49,48,52,54,53,50,32,46,49,48,52,55,53,32,46,49,48,51,54,51,32,46,49,48,53,
      49,50,54,32,46,49,48,56,53,55,52,32,46,49,49,51,56,52,50,32,46,49,49,55,54,
      54,49,32,46,49,50,51,50,53,52,10,32,32,46,49,51,50,48,53,56,32,46,49,52,50,
      56,56,56,32,46,49,53,49,51,52,50,32,46,49,53,52,56,52,54,32,46,49,53,50,52,
      56,50,32,46,49,52,56,51,52,52,32,46,49,51,56,57,48,51,32,46,49,50,56,54,55,
      57,32,46,49,49,55,48,53,51,32,46,49,48,52,55,54,57,10,32,32,46,48,57,55,53,
      56,48,52,32,46,48,57,53,56,56,50,49,32,46,48,57,56,48,48,56,32,46,49,48,49,
      49,54,51,32,46,49,48,52,50,53,51,32,46,49,48,55,53,53,32,46,49,48,57,56,52,
      56,32,46,49,49,49,53,56,51,32,46,49,49,50,48,56,57,32,46,49,49,48,52,50,10,
      32,32,46,49,48,52,54,56,57,32,46,48,57,54,49,49,57,57,32,46,48,57,48,53,57,
      49,54,32,46,48,56,53,50,49,52,52,32,46,48,55,55,52,53,55,51,32,46,48,55,48,
      49,55,51,52,32,46,48,54,54,56,57,52,49,32,46,48,54,51,49,48,51,52,32,46,48,
      54,49,54,57,52,50,10,32,32,46,48,54,48,55,56,54,54,32,46,48,54,56,53,53,53,
      50,32,46,48,54,53,57,50,52,57,32,46,48,54,52,56,55,48,50,32,46,48,54,50,56,
      57,51,54,32,46,48,54,48,55,56,55,32,46,48,53,57,48,57,49,55,32,46,48,53,55,
      52,52,57,53,32,46,48,53,53,57,53,57,50,10,32,32,46,48,53,52,53,51,52,32,46,
      48,53,51,48,48,50,32,46,48,53,49,54,56,49,56,32,46,48,53,48,50,54,57,49,32,
      46,48,52,57,50,53,55,54,32,46,48,52,55,54,53,54,54,32,46,48,52,54,55,48,51,
      56,32,46,48,52,53,53,52,57,54,32,46,48,52,50,57,56,53,55,32,46,48,51,57,55,
      49,53,56,10,32,32,46,48,51,54,55,57,50,50,32,46,48,51,51,52,54,56,57,32,46,
      48,51,48,52,55,52,56,32,46,48,50,55,50,54,53,32,46,48,50,52,56,55,49,52,32,
      46,48,50,49,52,53,56,57,32,46,48,49,56,49,50,54,55,32,46,48,49,54,53,51,57,
      51,32,46,48,49,52,57,52,50,51,10,32,32,46,48,49,51,48,54,52,49,32,46,48,49,
      49,54,50,56,32,46,48,49,48,51,53,57,54,32,46,48,48,57,48,56,56,49,49,32,46,
      48,48,55,57,56,48,57,55,32,46,48,48,55,49,50,57,32,46,48,48,54,51,55,50,51,
      49,32,46,48,48,53,54,57,57,52,56,32,46,48,48,53,48,50,48,55,50,10,32,32,46,
      48,48,52,51,53,54,57,52,32,46,48,48,51,55,50,53,52,53,32,46,48,48,51,50,51,
      56,52,32,46,48,48,50,55,55,50,57,53,32,46,48,48,50,52,49,51,49,32,46,48,48,
      50,49,48,49,50,54,32,46,48,48,49,56,48,51,48,49,32,46,48,48,49,53,51,49,50,
      55,32,46,48,48,49,51,53,48,52,49,10,32,32,46,48,48,49,49,54,56,50,52,32,46,
      48,48,49,48,50,56,57,51,32,46,48,48,48,56,57,56,55,50,52,32,46,48,48,48,55,
      56,53,51,50,55,32,46,48,48,48,54,56,54,52,56,32,46,48,48,48,54,48,48,50,57,
      51,32,46,48,48,48,53,50,53,49,48,54,32,46,48,48,48,52,53,57,52,56,50,10,32,
      32,46,48,48,48,52,48,50,49,56,52,32,46,48,48,48,51,53,50,49,51,56,32,46,48,
      48,48,51,48,56,52,48,52,32,46,48,48,48,50,55,48,49,55,52,32,46,48,48,48,50,
      51,54,55,51,55,32,46,48,48,48,50,48,55,52,57,54,32,46,48,48,48,49,56,49,57,
      48,56,32,46,48,48,48,49,53,57,53,49,51,10,32,32,46,48,48,48,49,51,57,57,48,
      53,32,46,48,48,48,49,50,50,55,52,32,46,48,48,48,49,48,55,54,57,55,32,57,46,
      52,53,49,48,53,101,45,48,53,32,56,46,50,57,53,56,53,101,45,48,53,32,55,46,50,
      56,51,49,57,101,45,48,53,32,54,46,51,57,53,50,49,101,45,48,53,10,32,32,53,46,
      54,49,54,52,50,101,45,48,53,32,52,46,57,51,51,48,53,101,45,48,53,32,52,46,51,
      51,51,54,55,101,45,48,53,32,51,46,56,48,55,52,50,101,45,48,53,32,51,46,51,52,
      53,53,54,101,45,48,53,32,50,46,57,52,48,49,52,101,45,48,53,32,50,46,53,56,52,
      50,50,101,45,48,53,10,32,32,50,46,50,55,49,54,56,101,45,48,53,32,49,46,57,57,
      55,50,101,45,48,53,32,49,46,55,53,53,57,51,101,45,48,53,32,49,46,53,52,52,49,
      52,101,45,48,53,32,49,46,51,57,55,51,53,101,45,48,53,32,49,46,50,54,52,54,49,
      101,45,48,53,32,49,46,49,52,52,53,53,101,45,48,53,10,32,32,49,46,48,51,53,57,
      55,101,45,48,53,32,57,46,51,55,56,53,49,101,45,48,54,32,56,46,51,56,49,57,56,
      101,45,48,54,32,55,46,50,55,49,54,57,101,45,48,54,32,54,46,51,48,57,50,55,101,
      45,48,54,32,53,46,52,55,52,56,55,101,45,48,54,32,52,46,55,53,49,51,57,101,45,
      48,54,10,32,32,52,46,49,50,51,57,54,101,45,48,54,32,51,46,53,55,57,55,56,101,
      45,48,54,32,51,46,49,48,55,55,53,101,45,48,54,32,50,46,54,57,56,50,52,101,45,
      48,54,32,50,46,51,52,50,57,51,101,45,48,54,32,50,46,48,51,52,54,101,45,48,54,
      32,49,46,55,54,55,48,50,101,45,48,54,10,32,32,49,46,53,51,52,55,55,101,45,48,
      54,32,49,46,51,51,51,49,55,101,45,48,54,32,49,46,49,53,56,49,54,101,45,48,54,
      32,49,46,48,48,54,50,49,101,45,48,54,32,56,46,55,52,50,54,54,101,45,48,55,32,
      55,46,53,57,54,56,55,101,45,48,55,32,54,46,54,48,49,55,55,101,45,48,55,10,32,
      32,53,46,55,51,55,52,55,101,45,48,55,32,52,46,57,56,54,55,49,101,45,48,55,32,
      52,46,51,51,51,54,49,101,45,48,55,32,51,46,55,54,55,57,50,101,45,48,55,32,51,
      46,50,55,53,54,101,45,48,55,32,50,46,56,52,55,56,49,101,45,48,55,32,50,46,52,
      55,54,48,53,101,45,48,55,10,32,32,50,46,49,53,50,57,55,101,45,48,55,32,49,46,
      56,55,50,49,55,101,45,48,55,32,49,46,54,50,56,49,101,45,48,55,32,49,46,52,49,
      53,57,51,101,45,48,55,32,49,46,50,51,49,52,57,101,45,48,55,32,49,46,48,55,49,
      49,52,101,45,48,55,32,57,46,51,49,55,49,54,101,45,48,56,10,32,32,56,46,49,48,
      52,57,101,45,48,56,32,55,46,48,53,48,55,55,101,45,48,56,32,54,46,49,51,52,48,
      56,101,45,48,56,32,53,46,51,51,54,56,55,101,45,48,56,32,52,46,48,52,48,52,53,
      101,45,48,56,32,51,46,48,53,57,53,49,101,45,48,56,32,50,46,51,49,55,50,50,101,
      45,48,56,10,32,32,49,46,55,53,53,51,55,101,45,48,56,32,49,46,51,51,101,45,48,
      56,32,49,46,48,48,55,56,56,101,45,48,56,32,55,46,54,51,57,48,52,101,45,48,57,
      32,53,46,55,57,48,56,52,101,45,48,57,32,52,46,51,57,48,53,49,101,45,48,57,32,
      51,46,51,50,57,51,50,101,45,48,57,10,32,32,50,46,53,50,52,57,57,101,45,48,57,
      32,49,46,57,49,53,50,52,101,45,48,57,32,49,46,52,53,50,57,53,101,45,48,57,32,
      49,46,49,48,50,52,101,45,48,57,32,56,46,51,54,53,50,56,101,45,49,48,32,54,46,
      51,52,56,54,51,101,45,49,48,32,52,46,56,49,56,55,51,101,45,49,48,10,32,32,51,
      46,54,53,55,57,52,101,45,49,48,32,50,46,55,55,55,49,49,101,45,49,48,32,50,46,
      49,48,56,54,51,101,45,49,48,32,49,46,54,48,49,50,51,101,45,49,48,32,49,46,50,
      49,54,48,53,101,45,49,48,32,57,46,50,51,54,50,57,101,45,49,49,32,55,46,48,49,
      53,57,53,101,45,49,49,10,32,32,53,46,51,50,57,56,57,101,45,49,49,32,52,46,48,
      52,57,52,50,101,45,49,49,32,51,46,48,55,54,56,55,101,45,49,49,32,50,46,51,51,
      56,49,101,45,49,49,32,49,46,55,55,54,57,52,101,45,49,49,32,54,46,49,52,50,55,
      51,101,45,48,57,32,50,46,52,54,51,49,56,101,45,48,56,10,32,32,53,46,53,52,54,
      57,49,101,45,48,56,32,54,46,49,52,51,50,49,101,45,48,56,32,50,46,52,54,51,57,
      53,101,45,48,55,32,53,46,53,53,48,56,53,101,45,48,55,32,57,46,56,55,50,50,57,
      101,45,48,55,32,49,46,53,52,51,50,56,101,45,48,54,32,50,46,50,50,53,48,49,101,
      45,48,54,10,32,32,51,46,48,51,49,50,54,101,45,48,54,32,51,46,57,54,52,54,55,
      101,45,48,54,32,53,46,48,50,52,57,54,101,45,48,54,32,54,46,50,49,51,48,57,101,
      45,48,54,32,55,46,53,51,49,49,49,101,45,48,54,32,56,46,57,56,48,56,101,45,48,
      54,32,49,46,48,53,54,51,55,101,45,48,53,10,32,32,49,46,50,50,56,50,50,101,45,
      48,53,32,49,46,52,49,51,56,49,101,45,48,53,32,49,46,54,56,48,54,52,101,45,48,
      53,32,49,46,57,48,49,57,54,101,45,48,53,32,50,46,49,51,55,53,52,101,45,48,53,
      32,50,46,51,56,55,51,50,101,45,48,53,32,50,46,54,53,49,54,101,45,48,53,10,32,
      32,50,46,57,51,48,54,50,101,45,48,53,32,51,46,50,50,52,53,101,45,48,53,32,51,
      46,53,51,50,57,56,101,45,48,53,32,51,46,56,53,54,48,56,101,45,48,53,32,52,46,
      49,57,52,51,51,101,45,48,53,32,52,46,53,52,55,55,52,101,45,48,53,32,52,46,57,
      49,54,51,53,101,45,48,53,10,32,32,53,46,50,57,57,48,51,101,45,48,53,32,53,46,
      54,57,54,57,55,101,45,48,53,32,54,46,49,49,48,50,51,101,45,48,53,32,54,46,53,
      51,56,57,52,101,45,48,53,32,54,46,57,56,49,57,56,101,45,48,53,32,55,46,52,51,
      57,53,101,45,48,53,32,55,46,57,49,50,50,56,101,45,48,53,10,32,32,56,46,52,48,
      48,53,49,101,45,48,53,32,56,46,57,48,52,49,55,101,45,48,53,32,57,46,52,50,48,
      54,49,101,45,48,53,32,57,46,57,53,50,51,56,101,45,48,53,32,46,48,48,48,49,48,
      52,57,57,54,32,46,48,48,48,49,49,48,54,50,51,32,46,48,48,48,49,49,54,51,56,
      55,10,32,32,46,48,48,48,49,50,50,50,57,49,32,46,48,48,48,49,50,56,51,53,32,
      46,48,48,48,49,51,52,53,54,51,32,46,48,48,48,49,52,48,57,50,57,32,46,48,48,
      48,49,52,55,52,50,50,32,46,48,48,48,49,53,52,48,54,57,32,46,48,48,48,49,54,
      48,56,55,50,32,46,48,48,48,49,54,55,56,50,56,10,32,32,46,48,48,48,49,55,52,
      57,50,57,32,46,48,48,48,49,56,50,49,55,53,32,46,48,48,48,49,56,57,53,55,55,
      32,46,48,48,48,49,57,55,49,51,52,32,46,48,48,48,50,48,52,56,52,55,32,46,48,
      48,48,50,49,50,55,48,57,32,46,48,48,48,50,50,48,55,50,55,32,46,48,48,48,50,
      50,56,57,48,51,10,32,32,46,48,48,48,50,51,55,50,51,53,32,46,48,48,48,50,52,
      53,55,51,49,32,46,48,48,48,50,53,52,51,56,57,32,46,48,48,48,50,54,51,50,48,
      54,32,46,48,48,48,50,55,50,49,56,51,32,46,48,48,48,50,56,49,51,50,49,32,46,
      48,48,48,50,57,48,54,52,53,32,46,48,48,48,51,48,48,49,51,10,32,32,46,48,48,
      48,51,48,57,55,55,56,32,46,48,48,48,51,49,57,53,56,56,32,46,48,48,48,51,50,
      57,53,56,55,32,46,48,48,48,51,51,57,55,54,55,32,46,48,48,48,51,53,48,49,49,
      52,32,46,48,48,48,51,54,48,54,50,55,32,46,48,48,48,51,55,49,51,49,50,32,46,
      48,48,48,51,56,50,50,48,55,10,32,32,46,48,48,48,51,57,51,50,55,51,32,46,48,
      48,48,52,48,52,53,48,57,32,46,48,48,48,52,49,53,57,49,55,32,46,48,48,48,52,
      50,55,53,49,57,32,46,48,48,48,52,51,57,51,48,57,32,46,48,48,48,52,53,49,50,
      55,52,32,46,48,48,48,52,54,51,52,49,57,32,46,48,48,48,52,55,53,55,51,54,10,
      32,32,46,48,48,48,52,56,56,50,50,51,32,46,48,48,48,53,48,48,57,32,46,48,48,
      48,53,49,51,55,53,50,32,46,48,48,48,53,50,54,55,55,52,32,46,48,48,48,53,51,
      57,57,50,53,32,46,48,48,48,53,53,51,50,51,32,46,48,48,48,53,54,54,55,51,32,
      46,48,48,48,53,56,48,51,57,57,10,32,32,46,48,48,48,53,57,52,50,49,56,32,46,
      48,48,48,54,48,56,48,52,32,46,48,48,48,54,50,50,48,51,32,46,48,48,48,54,51,
      54,49,56,55,32,46,48,48,48,54,53,48,53,49,51,32,46,48,48,48,54,54,52,55,57,
      55,32,46,48,48,48,54,55,57,49,49,55,32,46,48,48,48,54,57,51,54,48,52,10,32,
      32,46,48,48,48,55,48,56,50,53,54,32,46,48,48,48,55,50,51,48,48,53,32,46,48,
      48,48,55,51,55,52,55,56,32,46,48,48,48,55,53,50,49,49,54,32,46,48,48,48,55,
      54,54,57,49,55,32,46,48,48,48,55,56,49,56,56,51,32,46,48,48,48,55,57,54,53,
      56,51,32,46,48,48,48,56,49,49,50,48,57,10,32,32,46,48,48,48,56,50,54,48,48,
      54,32,46,48,48,48,56,52,48,57,55,50,32,46,48,48,48,56,53,53,57,56,57,32,46,
      48,48,48,56,55,48,52,56,57,32,46,48,48,48,56,56,53,49,55,51,32,46,48,48,48,
      57,48,48,48,52,52,32,46,48,48,48,57,49,53,49,53,51,32,46,48,48,48,57,50,57,
      56,56,57,10,32,32,46,48,48,48,57,52,52,53,50,54,32,46,48,48,48,57,53,57,51,
      57,55,32,46,48,48,48,57,55,52,52,56,54,32,46,48,48,48,57,56,57,54,52,50,32,
      46,48,48,49,48,48,52,51,52,32,46,48,48,49,48,49,57,50,57,32,46,48,48,49,48,
      51,52,52,55,32,46,48,48,49,48,52,57,56,57,10,32,32,46,48,48,49,48,54,53,48,
      52,32,46,48,48,49,48,56,48,50,32,46,48,48,49,48,57,53,54,50,32,46,48,48,49,
      49,49,49,50,56,32,46,48,48,49,49,50,55,48,55,32,46,48,48,49,49,52,50,53,57,
      32,46,48,48,49,49,53,56,51,54,32,46,48,48,49,49,55,52,52,32,46,48,48,49,49,
      57,48,54,54,10,32,32,46,48,48,49,50,48,54,56,52,32,46,48,48,49,50,50,51,49,
      49,32,46,48,48,49,50,51,57,54,51,32,46,48,48,49,50,53,54,51,55,32,46,48,48,
      49,50,55,51,50,56,32,46,48,48,49,50,57,48,49,51,32,46,48,48,49,51,48,55,50,
      49,32,46,48,48,49,51,50,52,53,51,10,32,32,46,48,48,49,51,52,50,48,53,32,46,
      48,48,49,51,53,57,54,51,32,46,48,48,49,51,55,55,51,55,32,46,48,48,49,51,57,
      53,51,49,32,46,48,48,49,52,49,51,52,53,32,46,48,48,49,52,51,49,55,56,32,46,
      48,48,49,52,53,48,50,50,32,46,48,48,49,52,54,56,56,53,10,32,32,46,48,48,49,
      52,56,55,54,55,32,46,48,48,49,53,48,54,54,55,32,46,48,48,49,53,50,53,56,54,
      32,46,48,48,49,53,52,53,50,52,32,46,48,48,49,53,54,52,55,56,32,46,48,48,49,
      53,56,52,52,57,32,46,48,48,49,54,48,52,52,32,46,48,48,49,54,50,52,53,54,32,
      46,48,48,49,54,52,52,56,56,10,32,32,46,48,48,49,54,55,50,49,57,32,46,48,48,
      49,55,51,55,49,54,32,46,48,48,49,56,51,53,55,56,32,46,48,48,50,48,48,51,54,
      52,32,46,48,48,50,49,55,55,48,51,32,46,48,48,50,51,53,54,53,32,46,48,48,50,
      53,52,51,52,57,32,46,48,48,50,55,51,56,48,51,32,46,48,48,50,57,51,57,57,49,
      10,32,32,46,48,48,51,49,52,55,50,51,32,46,48,48,51,51,53,55,56,51,32,46,48,
      48,51,53,54,56,57,52,32,46,48,48,51,55,56,48,49,57,32,46,48,48,51,57,57,50,
      49,51,32,46,48,48,52,50,52,57,56,56,32,46,48,48,52,53,49,55,51,53,32,46,48,
      48,52,56,57,57,57,51,10,32,32,46,48,48,53,51,51,49,52,50,32,46,48,48,53,56,
      51,48,52,49,32,46,48,48,54,53,55,53,52,50,32,46,48,48,55,52,54,54,54,49,32,
      46,48,48,56,52,54,53,52,57,32,46,48,48,57,54,52,53,57,49,32,46,48,49,48,54,
      49,56,50,32,46,48,49,49,53,50,49,32,46,48,49,50,49,55,50,56,10,32,32,46,48,
      49,50,55,55,50,49,32,46,48,49,51,52,57,49,49,32,46,48,49,52,51,56,52,54,32,
      46,48,49,53,53,48,55,50,32,46,48,49,54,57,51,53,32,46,48,49,56,55,55,54,49,
      32,46,48,50,49,51,51,52,52,32,46,48,50,52,50,54,56,55,32,46,48,50,55,53,54,
      51,55,10,32,32,46,48,51,48,56,55,52,57,32,46,48,51,51,55,55,51,51,32,46,48,
      51,53,55,56,52,49,32,46,48,51,55,56,55,57,50,32,46,48,52,48,50,50,55,50,32,
      46,48,52,50,57,48,56,51,32,46,48,52,54,49,48,53,54,32,46,48,53,48,49,48,48,
      52,32,46,48,53,52,52,55,55,55,10,32,32,46,48,53,57,53,52,52,50,32,46,48,54,
      53,57,52,55,53,32,46,48,55,52,51,50,52,53,32,46,48,56,49,55,48,53,55,32,46,
      48,56,56,52,57,56,52,32,46,48,57,51,49,48,53,52,32,46,48,57,54,51,50,48,51,
      32,46,48,57,55,52,50,55,52,32,46,48,57,55,49,53,55,55,10,32,32,46,48,57,56,
      57,55,57,49,32,46,49,48,50,52,48,51,32,46,49,48,55,53,57,32,46,49,49,49,52,
      54,54,32,46,49,49,54,57,50,55,32,46,49,50,53,50,51,54,32,46,49,51,53,51,54,
      53,32,46,49,52,51,51,55,52,32,46,49,52,55,48,48,51,32,46,49,52,53,50,54,54,
      10,32,32,46,49,52,49,55,52,49,32,46,49,51,51,52,49,56,32,46,49,50,52,49,52,
      56,32,46,49,49,51,51,56,55,32,46,49,48,49,56,55,51,32,46,48,57,53,49,48,50,
      57,32,46,48,57,51,53,54,50,53,32,46,48,57,53,54,56,49,50,32,46,48,57,56,55,
      56,51,51,32,46,49,48,49,56,49,57,10,32,32,46,49,48,53,48,54,32,46,49,48,55,
      51,50,50,32,46,49,48,57,48,52,50,32,46,49,48,57,54,48,55,32,46,49,48,56,48,
      52,32,46,49,48,50,53,54,52,32,46,48,57,52,51,49,53,50,32,46,48,56,56,57,55,
      51,50,32,46,48,56,51,55,54,53,50,32,46,48,55,54,50,51,52,53,10,32,32,46,48,
      54,57,49,52,54,49,32,46,48,54,53,57,53,32,46,48,54,50,50,53,52,52,32,46,48,
      54,48,56,56,50,32,46,48,54,48,48,48,53,49,32,46,48,54,55,54,51,48,49,32,46,
      48,54,53,48,54,56,54,32,46,48,54,52,48,52,48,53,32,46,48,54,50,49,49,50,32,
      46,48,54,48,48,53,52,56,10,32,32,46,48,53,56,51,57,55,55,32,46,48,53,54,55,
      57,49,32,46,48,53,53,51,51,50,50,32,46,48,53,51,57,51,54,32,46,48,53,50,52,
      51,52,51,32,46,48,53,49,49,51,57,54,32,46,48,52,57,55,53,51,51,32,46,48,52,
      56,55,54,48,49,32,46,48,52,55,49,56,55,51,32,46,48,52,54,50,53,49,10,32,32,
      46,48,52,53,49,49,54,51,32,46,48,52,50,53,57,51,54,32,46,48,51,57,51,55,50,
      57,32,46,48,51,54,52,57,48,54,32,46,48,51,51,50,49,48,55,32,46,48,51,48,50,
      53,50,56,32,46,48,50,55,48,55,57,32,46,48,50,52,55,49,48,50,32,46,48,50,49,
      51,50,57,57,10,32,32,46,48,49,56,48,49,53,54,32,46,48,49,54,52,52,49,50,32,
      46,48,49,52,56,53,54,53,32,46,48,49,50,57,57,52,57,32,46,48,49,49,53,54,57,
      32,46,48,49,48,51,48,56,55,32,46,48,48,57,48,52,53,48,49,32,46,48,48,55,57,
      52,52,51,51,32,46,48,48,55,48,57,55,49,52,10,32,32,46,48,48,54,51,52,52,53,
      53,32,46,48,48,53,54,55,53,50,53,32,46,48,48,52,57,57,57,57,50,32,46,48,48,
      52,51,51,57,52,32,46,48,48,51,55,49,48,56,57,32,46,48,48,51,50,50,54,48,52,
      32,46,48,48,50,55,54,51,53,49,32,46,48,48,50,52,48,53,55,56,32,46,48,48,50,
      48,57,53,48,52,10,32,32,46,48,48,49,55,57,55,56,49,32,46,48,48,49,53,50,54,
      57,55,32,46,48,48,49,51,52,54,54,57,32,46,48,48,49,49,54,53,48,56,32,46,48,
      48,49,48,50,54,50,49,32,46,48,48,48,56,57,54,51,56,57,32,46,48,48,48,55,56,
      51,51,49,54,32,46,48,48,48,54,56,52,55,53,53,10,32,32,46,48,48,48,53,57,56,
      56,49,32,46,48,48,48,53,50,51,56,50,52,32,46,48,48,48,52,53,56,51,56,32,46,
      48,48,48,52,48,49,50,51,54,32,46,48,48,48,51,53,49,51,49,54,32,46,48,48,48,
      51,48,55,54,57,52,32,46,48,48,48,50,54,57,53,54,50,32,46,48,48,48,50,51,54,
      50,48,55,10,32,32,46,48,48,48,50,48,55,48,51,53,32,46,48,48,48,49,56,49,53,
      49,32,46,48,48,48,49,53,57,49,54,56,32,46,48,48,48,49,51,57,54,48,54,32,46,
      48,48,48,49,50,50,52,55,57,32,46,48,48,48,49,48,55,52,55,49,32,57,46,52,51,
      49,52,53,101,45,48,53,32,56,46,50,55,56,56,50,101,45,48,53,10,32,32,55,46,50,
      54,56,51,49,101,45,48,53,32,54,46,51,56,50,50,55,101,45,48,53,32,53,46,54,48,
      53,49,57,101,45,48,53,32,52,46,57,50,51,53,50,101,45,48,53,32,52,46,51,50,53,
      55,51,101,45,48,53,32,51,46,56,48,48,56,49,101,45,48,53,32,51,46,51,52,48,48,
      57,101,45,48,53,10,32,32,50,46,57,51,53,53,52,101,45,48,53,32,50,46,53,56,48,
      50,101,45,48,53,32,50,46,50,54,56,49,56,101,45,48,53,32,49,46,57,57,52,49,52,
      101,45,48,53,32,49,46,55,53,51,50,54,101,45,48,53,32,49,46,53,52,49,56,50,101,
      45,48,53,32,49,46,51,57,53,50,55,101,45,48,53,10,32,32,49,46,50,54,50,55,52,
      101,45,48,53,32,49,46,49,52,50,56,55,101,45,48,53,32,49,46,48,51,52,52,53,101,
      45,48,53,32,57,46,51,54,52,55,57,101,45,48,54,32,56,46,51,54,57,56,50,101,45,
      48,54,32,55,46,50,54,49,50,52,101,45,48,54,32,54,46,51,48,48,50,55,101,45,48,
      54,10,32,32,53,46,52,54,55,49,50,101,45,48,54,32,52,46,55,52,52,54,57,101,45,
      48,54,32,52,46,49,49,56,49,57,101,45,48,54,32,51,46,53,55,52,56,49,101,45,48,
      54,32,51,46,49,48,51,52,55,101,45,48,54,32,50,46,54,57,52,53,53,101,45,48,54,
      32,50,46,51,51,57,55,52,101,45,48,54,10,32,32,50,46,48,51,49,56,53,101,45,48,
      54,32,49,46,55,54,52,54,52,101,45,48,54,32,49,46,53,51,50,55,50,101,45,48,54,
      32,49,46,51,51,49,52,49,101,45,48,54,32,49,46,49,53,54,54,51,101,45,48,54,32,
      49,46,48,48,52,56,57,101,45,48,54,32,56,46,55,51,49,50,53,101,45,48,55,10,32,
      32,55,46,53,56,55,101,45,48,55,32,54,46,53,57,51,50,53,101,45,48,55,32,53,46,
      55,51,48,49,50,101,45,48,55,32,52,46,57,56,48,51,54,101,45,48,55,32,52,46,51,
      50,56,49,51,101,45,48,55,32,51,46,55,54,51,49,53,101,45,48,55,32,51,46,50,55,
      49,52,56,101,45,48,55,10,32,32,50,46,56,52,52,50,52,101,45,48,55,32,50,46,52,
      55,50,57,55,101,45,48,55,32,50,46,49,53,48,51,49,101,45,48,55,32,49,46,56,54,
      57,56,54,101,45,48,55,32,49,46,54,50,54,49,101,45,48,55,32,49,46,52,49,52,50,
      101,45,48,55,32,49,46,50,50,57,57,56,101,45,48,55,10,32,32,49,46,48,54,57,56,
      51,101,45,48,55,32,57,46,51,48,53,56,50,101,45,48,56,32,56,46,48,57,53,48,56,
      101,45,48,56,32,55,46,48,52,50,50,55,101,45,48,56,32,54,46,49,50,54,55,50,101,
      45,48,56,32,53,46,51,51,48,53,101,45,48,56,32,52,46,48,51,53,54,52,101,45,48,
      56,10,32,32,51,46,48,53,53,56,57,101,45,48,56,32,50,46,51,49,52,53,49,101,45,
      48,56,32,49,46,55,53,51,51,51,101,45,48,56,32,49,46,51,50,56,52,54,101,45,48,
      56,32,49,46,48,48,54,55,49,101,45,48,56,32,55,46,54,51,48,50,56,101,45,48,57,
      32,53,46,55,56,52,50,55,101,45,48,57,10,32,32,52,46,51,56,53,53,54,101,45,48,
      57,32,51,46,51,50,53,53,56,101,45,48,57,32,50,46,53,50,50,49,54,101,45,48,57,
      32,49,46,57,49,51,49,49,101,45,48,57,32,49,46,52,53,49,51,52,101,45,48,57,32,
      49,46,49,48,49,49,56,101,45,48,57,32,56,46,51,53,54,49,52,101,45,49,48,10,32,
      32,54,46,51,52,49,54,57,101,45,49,48,32,52,46,56,49,51,52,57,101,45,49,48,32,
      51,46,54,53,51,57,57,101,45,49,48,32,50,46,55,55,52,49,51,101,45,49,48,32,50,
      46,49,48,54,51,55,101,45,49,48,32,49,46,53,57,57,53,50,101,45,49,48,32,49,46,
      50,49,52,55,53,101,45,49,48,10,32,32,57,46,50,50,54,52,52,101,45,49,49,32,55,
      46,48,48,56,52,57,101,45,49,49,32,53,46,51,50,52,50,53,101,45,49,49,32,52,46,
      48,52,53,49,54,101,45,49,49,32,51,46,48,55,51,54,51,101,45,49,49,32,50,46,51,
      51,53,54,52,101,45,49,49,32,49,46,55,55,53,48,55,101,45,49,49,10,32,32,52,46,
      55,56,57,56,53,101,45,48,57,32,49,46,57,50,48,55,101,45,48,56,32,52,46,51,50,
      53,51,49,101,45,48,56,32,52,46,55,57,48,50,57,101,45,48,56,32,49,46,57,50,49,
      52,49,101,45,48,55,32,52,46,51,50,56,57,56,101,45,48,55,32,55,46,55,48,48,49,
      56,101,45,48,55,10,32,32,49,46,50,48,51,57,51,101,45,48,54,32,49,46,55,51,54,
      49,50,101,45,48,54,32,50,46,51,54,53,55,57,101,45,48,54,32,51,46,48,57,53,49,
      52,101,45,48,54,32,51,46,57,50,52,48,57,101,45,48,54,32,52,46,56,53,51,53,49,
      101,45,48,54,32,53,46,56,56,53,48,57,101,45,48,54,10,32,32,55,46,48,50,48,51,
      51,101,45,48,54,32,56,46,50,54,48,54,50,101,45,48,54,32,57,46,54,48,55,57,57,
      101,45,48,54,32,49,46,49,48,54,52,51,101,45,48,53,32,49,46,50,57,49,48,56,101,
      45,48,53,32,49,46,52,57,49,57,51,101,45,48,53,32,49,46,54,55,55,54,57,101,45,
      48,53,10,32,32,49,46,56,55,52,55,52,101,45,48,53,32,50,46,48,56,51,51,56,101,
      45,48,53,32,50,46,51,48,51,56,51,101,45,48,53,32,50,46,53,51,54,50,49,101,45,
      48,53,32,50,46,55,56,48,50,56,101,45,48,53,32,51,46,48,51,54,48,55,101,45,48,
      53,32,51,46,51,48,52,48,56,101,45,48,53,10,32,32,51,46,53,56,52,51,50,101,45,
      48,53,32,51,46,56,55,54,56,52,101,45,48,53,32,52,46,49,56,48,53,53,101,45,48,
      53,32,52,46,52,57,54,53,57,101,45,48,53,32,52,46,56,50,53,48,50,101,45,48,53,
      32,53,46,49,54,53,57,54,101,45,48,53,32,53,46,53,49,56,51,53,101,45,48,53,10,
      32,32,53,46,56,56,50,51,50,101,45,48,53,32,54,46,50,53,56,54,52,101,45,48,53,
      32,54,46,54,52,55,52,56,101,45,48,53,32,55,46,48,52,56,56,101,45,48,53,32,55,
      46,52,54,48,49,101,45,48,53,32,55,46,56,56,51,56,101,45,48,53,32,56,46,51,50,
      48,48,51,101,45,48,53,10,32,32,56,46,55,54,56,55,56,101,45,48,53,32,57,46,50,
      50,56,51,56,101,45,48,53,32,57,46,54,57,57,49,53,101,45,48,53,32,46,48,48,48,
      49,48,49,56,50,53,32,46,48,48,48,49,48,54,55,56,50,32,46,48,48,48,49,49,49,
      56,54,51,32,46,48,48,48,49,49,55,48,52,52,10,32,32,46,48,48,48,49,50,50,51,
      53,32,46,48,48,48,49,50,55,55,56,49,32,46,48,48,48,49,51,51,51,51,55,32,46,
      48,48,48,49,51,57,48,48,56,32,46,48,48,48,49,52,52,55,57,54,32,46,48,48,48,
      49,53,48,55,49,32,46,48,48,48,49,53,54,55,53,32,46,48,48,48,49,54,50,57,49,
      55,10,32,32,46,48,48,48,49,54,57,50,48,52,32,46,48,48,48,49,55,53,54,49,56,
      32,46,48,48,48,49,56,50,49,53,57,32,46,48,48,48,49,56,56,56,50,56,32,46,48,
      48,48,49,57,53,54,51,49,32,46,48,48,48,50,48,50,53,54,55,32,46,48,48,48,50,
      48,57,54,51,51,32,46,48,48,48,50,49,54,56,50,56,10,32,32,46,48,48,48,50,50,
      52,49,53,54,32,46,48,48,48,50,51,49,54,51,56,32,46,48,48,48,50,51,57,50,53,
      51,32,46,48,48,48,50,52,55,48,48,49,32,46,48,48,48,50,53,52,56,56,50,32,46,
      48,48,48,50,54,50,57,50,32,46,48,48,48,50,55,49,49,49,49,32,46,48,48,48,50,
      55,57,52,51,57,10,32,32,46,48,48,48,50,56,55,57,48,50,32,46,48,48,48,50,57,
      54,53,48,56,32,46,48,48,48,51,48,53,50,57,51,32,46,48,48,48,51,49,52,50,49,
      57,32,46,48,48,48,51,50,51,50,56,54,32,46,48,48,48,51,51,50,52,57,53,32,46,
      48,48,48,51,52,49,56,54,56,32,46,48,48,48,51,53,49,51,57,56,10,32,32,46,48,
      48,48,51,54,49,48,55,52,32,46,48,48,48,51,55,48,57,32,46,48,48,48,51,56,48,
      56,54,56,32,46,48,48,48,51,57,48,57,55,55,32,46,48,48,48,52,48,49,50,52,53,
      32,46,48,48,48,52,49,49,54,53,57,32,46,48,48,48,52,50,50,50,49,51,32,46,48,
      48,48,52,51,50,56,54,56,10,32,32,46,48,48,48,52,52,51,54,52,56,32,46,48,48,
      48,52,53,52,53,57,50,32,46,48,48,48,52,54,53,54,55,55,32,46,48,48,48,52,55,
      54,56,56,50,32,46,48,48,48,52,56,56,48,54,53,32,46,48,48,48,52,57,57,51,56,
      56,32,46,48,48,48,53,49,48,56,52,56,32,46,48,48,48,53,50,50,52,52,55,10,32,
      32,46,48,48,48,53,51,51,57,56,49,32,46,48,48,48,53,52,53,53,50,53,32,46,48,
      48,48,53,53,55,50,48,55,32,46,48,48,48,53,54,57,48,50,51,32,46,48,48,48,53,
      56,48,57,49,32,46,48,48,48,53,57,50,53,48,52,32,46,48,48,48,54,48,52,50,51,
      51,32,46,48,48,48,54,49,54,48,57,54,10,32,32,46,48,48,48,54,50,56,48,57,53,
      32,46,48,48,48,54,51,57,56,49,49,32,46,48,48,48,54,53,49,52,51,32,46,48,48,
      48,54,54,51,49,57,32,46,48,48,48,54,55,53,48,57,32,46,48,48,48,54,56,55,48,
      49,54,32,46,48,48,48,54,57,56,52,49,53,32,46,48,48,48,55,48,57,57,54,57,10,
      32,32,46,48,48,48,55,50,49,54,56,32,46,48,48,48,55,51,51,53,57,55,32,46,48,
      48,48,55,52,53,49,50,57,32,46,48,48,48,55,53,54,53,52,49,32,46,48,48,48,55,
      54,56,49,53,55,32,46,48,48,48,55,55,57,57,53,57,32,46,48,48,48,55,57,49,56,
      48,52,32,46,48,48,48,56,48,51,49,56,49,10,32,32,46,48,48,48,56,49,52,55,55,
      55,32,46,48,48,48,56,50,54,53,55,56,32,46,48,48,48,56,51,56,53,55,57,32,46,
      48,48,48,56,53,48,51,48,51,32,46,48,48,48,56,54,50,48,49,52,32,46,48,48,48,
      56,55,51,57,52,56,32,46,48,48,48,56,56,54,48,57,49,32,46,48,48,48,56,57,56,
      51,51,57,10,32,32,46,48,48,48,57,49,48,51,48,52,32,46,48,48,48,57,50,50,52,
      57,54,32,46,48,48,48,57,51,52,57,49,53,32,46,48,48,48,57,52,55,53,50,49,32,
      46,48,48,48,57,54,48,48,51,49,32,46,48,48,48,57,55,50,54,32,46,48,48,48,57,
      56,53,51,57,50,32,46,48,48,48,57,57,56,51,55,54,10,32,32,46,48,48,49,48,49,
      49,52,57,32,46,48,48,49,48,50,52,53,52,32,46,48,48,49,48,51,55,55,56,32,46,
      48,48,49,48,53,49,50,50,32,46,48,48,49,48,54,52,56,52,32,46,48,48,49,48,55,
      56,52,57,32,46,48,48,49,48,57,50,50,55,32,46,48,48,49,49,48,54,50,50,10,32,
      32,46,48,48,49,49,50,48,51,52,32,46,48,48,49,49,51,52,54,50,32,46,48,48,49,
      49,52,56,57,56,32,46,48,48,49,49,54,51,53,32,46,48,48,49,49,55,56,49,56,32,
      46,48,48,49,49,57,51,48,49,32,46,48,48,49,50,48,56,48,49,32,46,48,48,49,50,
      50,51,49,53,32,46,48,48,49,50,51,56,52,51,10,32,32,46,48,48,49,50,53,51,56,
      54,32,46,48,48,49,50,54,57,52,52,32,46,48,48,49,50,56,53,50,53,32,46,48,48,
      49,51,48,49,49,57,32,46,48,48,49,51,50,50,54,49,32,46,48,48,49,51,55,51,54,
      56,32,46,48,48,49,52,53,49,52,32,46,48,48,49,53,56,52,50,56,32,46,48,48,49,
      55,50,50,52,52,10,32,32,46,48,48,49,56,54,54,52,50,32,46,48,48,50,48,49,55,
      54,50,32,46,48,48,50,49,55,54,49,32,46,48,48,50,51,52,49,54,56,32,46,48,48,
      50,53,49,50,53,55,32,46,48,48,50,54,56,54,55,32,46,48,48,50,56,54,49,51,57,
      32,46,48,48,51,48,51,54,50,56,32,46,48,48,51,50,49,49,56,56,10,32,32,46,48,
      48,51,52,50,54,48,49,32,46,48,48,51,54,52,57,54,56,32,46,48,48,51,57,55,51,
      52,54,32,46,48,48,52,51,52,53,54,49,32,46,48,48,52,55,56,53,48,54,32,46,48,
      48,53,52,53,54,54,54,32,46,48,48,54,50,55,55,56,50,32,46,48,48,55,50,49,49,
      49,51,10,32,32,46,48,48,56,51,49,54,50,51,32,46,48,48,57,50,49,49,49,49,32,
      46,48,49,48,48,48,50,54,32,46,48,49,48,53,51,55,52,32,46,48,49,49,48,49,57,
      32,46,48,49,49,54,48,54,55,32,46,48,49,50,51,53,54,52,32,46,48,49,51,51,50,
      51,50,32,46,48,49,52,53,56,52,57,10,32,32,46,48,49,54,50,53,50,51,32,46,48,
      49,56,54,50,51,57,32,46,48,50,49,51,57,57,55,32,46,48,50,52,53,56,50,32,46,
      48,50,55,56,49,49,50,32,46,48,51,48,52,50,55,50,32,46,48,51,50,48,57,54,51,
      32,46,48,51,51,55,54,55,52,32,46,48,51,53,54,53,51,57,10,32,32,46,48,51,55,
      56,56,54,57,32,46,48,52,48,54,51,54,54,32,46,48,52,52,49,54,55,32,46,48,52,
      56,49,50,51,32,46,48,53,50,55,56,50,50,32,46,48,53,56,55,53,54,57,32,46,48,
      54,54,54,55,57,50,32,46,48,55,51,55,52,50,52,32,46,48,56,48,51,52,52,54,32,
      46,48,56,53,48,48,49,10,32,32,46,48,56,56,53,54,48,50,32,46,48,57,48,53,48,
      56,53,32,46,48,57,48,57,55,52,52,32,46,48,57,51,48,55,50,53,32,46,48,57,54,
      52,53,57,32,46,49,48,49,53,53,49,32,46,49,48,53,52,54,51,32,46,49,49,48,55,
      56,51,32,46,49,49,56,54,49,52,32,46,49,50,56,48,55,52,10,32,32,46,49,51,53,
      54,53,49,32,46,49,51,57,51,56,32,46,49,51,56,50,49,56,32,46,49,51,53,50,54,
      55,32,46,49,50,56,48,48,49,32,46,49,49,57,54,52,55,32,46,49,48,57,55,50,55,
      32,46,48,57,56,57,54,55,32,46,48,57,50,54,48,57,56,32,46,48,57,49,50,50,52,
      54,10,32,32,46,48,57,51,51,51,52,55,32,46,48,57,54,51,56,50,53,32,46,48,57,
      57,51,54,50,57,32,46,49,48,50,53,52,56,32,46,49,48,52,55,55,51,32,46,49,48,
      54,52,55,55,32,46,49,48,55,48,57,56,32,46,49,48,53,54,51,52,32,46,49,48,48,
      52,49,50,32,46,48,57,50,52,56,52,10,32,32,46,48,56,55,51,50,57,49,32,46,48,
      56,50,50,57,49,56,32,46,48,55,52,57,56,57,50,32,46,48,54,56,48,57,56,52,32,
      46,48,54,52,57,56,54,54,32,46,48,54,49,51,56,55,51,32,46,48,54,48,48,53,50,
      51,32,46,48,53,57,50,48,54,54,32,46,48,54,54,54,56,53,51,10,32,32,46,48,54,
      52,49,57,51,56,32,46,48,54,51,49,57,50,55,32,46,48,54,49,51,49,51,32,46,48,
      53,57,51,48,54,32,46,48,53,55,54,56,55,53,32,46,48,53,54,49,49,55,32,46,48,
      53,52,54,57,48,51,32,46,48,53,51,51,50,51,55,32,46,48,53,49,56,53,50,57,32,
      46,48,53,48,53,56,51,57,10,32,32,46,48,52,57,50,50,52,53,32,46,48,52,56,50,
      53,48,49,32,46,48,52,54,55,48,54,50,32,46,48,52,53,55,56,54,53,32,46,48,52,
      52,54,55,49,54,32,46,48,52,50,49,57,49,49,32,46,48,51,57,48,50,49,49,32,46,
      48,51,54,49,56,48,54,32,46,48,51,50,57,52,53,51,10,32,32,46,48,51,48,48,50,
      52,54,32,46,48,50,54,56,56,55,54,32,46,48,50,52,53,52,52,50,32,46,48,50,49,
      49,57,55,32,46,48,49,55,57,48,50,53,32,46,48,49,54,51,52,49,50,32,46,48,49,
      52,55,54,57,49,32,46,48,49,50,57,50,49,54,32,46,48,49,49,53,48,55,54,10,32,
      32,46,48,49,48,50,53,54,56,32,46,48,48,57,48,48,49,49,32,46,48,48,55,57,48,
      55,48,49,32,46,48,48,55,48,54,52,55,50,32,46,48,48,54,51,49,54,51,32,46,48,
      48,53,54,53,48,53,57,32,46,48,48,52,57,55,56,55,57,32,46,48,48,52,51,50,49,
      53,54,32,46,48,48,51,54,57,54,48,55,10,32,32,46,48,48,51,50,49,51,52,56,32,
      46,48,48,50,55,53,51,48,51,32,46,48,48,50,51,57,54,57,52,32,46,48,48,50,48,
      56,56,49,55,32,46,48,48,49,55,57,50,53,50,32,46,48,48,49,53,50,50,54,32,46,
      48,48,49,51,52,50,57,32,46,48,48,49,49,54,49,56,56,32,46,48,48,49,48,50,51,
      52,51,10,32,32,46,48,48,48,56,57,52,48,49,49,32,46,48,48,48,55,56,49,50,55,
      54,32,46,48,48,48,54,56,51,48,48,50,32,46,48,48,48,53,57,55,51,48,49,32,46,
      48,48,48,53,50,50,53,50,56,32,46,48,48,48,52,53,55,50,54,50,32,46,48,48,48,
      52,48,48,50,55,32,46,48,48,48,51,53,48,52,56,51,10,32,32,46,48,48,48,51,48,
      54,57,55,53,32,46,48,48,48,50,54,56,57,51,57,32,46,48,48,48,50,51,53,54,54,
      56,32,46,48,48,48,50,48,54,53,55,32,46,48,48,48,49,56,49,49,48,55,32,46,48,
      48,48,49,53,56,56,49,56,32,46,48,48,48,49,51,57,51,48,50,32,46,48,48,48,49,
      50,50,50,49,54,10,32,32,46,48,48,48,49,48,55,50,52,50,32,57,46,52,49,49,53,
      55,101,45,48,53,32,56,46,50,54,49,53,49,101,45,48,53,32,55,46,50,53,51,51,101,
      45,48,53,32,54,46,51,54,57,50,50,101,45,48,53,32,53,46,53,57,51,56,51,101,45,
      48,53,32,52,46,57,49,51,54,101,45,48,53,10,32,32,52,46,51,49,55,48,57,101,45,
      48,53,32,51,46,55,57,51,51,101,45,48,53,32,51,46,51,51,51,53,53,101,45,48,53,
      32,50,46,57,50,57,57,50,101,45,48,53,32,50,46,53,55,53,53,49,101,45,48,53,32,
      50,46,50,54,52,50,55,101,45,48,53,32,49,46,57,57,48,57,49,101,45,48,53,10,32,
      32,49,46,55,53,48,53,56,101,45,48,53,32,49,46,53,51,57,52,56,101,45,48,53,32,
      49,46,51,57,51,49,54,101,45,48,53,32,49,46,50,54,48,56,51,101,45,48,53,32,49,
      46,49,52,49,49,54,101,45,48,53,32,49,46,48,51,50,57,49,101,45,48,53,32,57,46,
      51,53,48,57,55,101,45,48,54,10,32,32,56,46,51,53,55,53,52,101,45,48,54,32,55,
      46,50,53,48,54,56,101,45,48,54,32,54,46,50,57,49,49,53,101,45,48,54,32,53,46,
      52,53,57,50,53,101,45,48,54,32,52,46,55,51,55,57,51,101,45,48,54,32,52,46,49,
      49,50,51,56,101,45,48,54,32,51,46,53,54,57,56,49,101,45,48,54,10,32,32,51,46,
      48,57,57,49,53,101,45,48,54,32,50,46,54,57,48,56,49,101,45,48,54,32,50,46,51,
      51,54,53,50,101,45,48,54,32,50,46,48,50,57,48,55,101,45,48,54,32,49,46,55,54,
      50,50,53,101,45,48,54,32,49,46,53,51,48,54,54,101,45,48,54,32,49,46,51,50,57,
      54,51,101,45,48,54,10,32,32,49,46,49,53,53,48,57,101,45,48,54,32,49,46,48,48,
      51,53,54,101,45,48,54,32,56,46,55,49,57,55,53,101,45,48,55,32,55,46,53,55,55,
      48,56,101,45,48,55,32,54,46,53,56,52,54,57,101,45,48,55,32,53,46,55,50,50,55,
      50,101,45,48,55,32,52,46,57,55,51,57,54,101,45,48,55,10,32,32,52,46,51,50,50,
      53,56,101,45,48,55,32,51,46,55,53,56,51,52,101,45,48,55,32,51,46,50,54,55,51,
      49,101,45,48,55,32,50,46,56,52,48,54,52,101,45,48,55,32,50,46,52,54,57,56,54,
      101,45,48,55,32,50,46,49,52,55,54,49,101,45,48,55,32,49,46,56,54,55,53,51,101,
      45,48,55,10,32,32,49,46,54,50,52,48,55,101,45,48,55,32,49,46,52,49,50,52,52,
      101,45,48,55,32,49,46,50,50,56,52,54,101,45,48,55,32,49,46,48,54,56,53,49,101,
      45,48,55,32,57,46,50,57,52,52,51,101,45,48,56,32,56,46,48,56,53,50,51,101,45,
      48,56,32,55,46,48,51,51,55,51,101,45,48,56,10,32,32,54,46,49,49,57,51,50,101,
      45,48,56,32,53,46,51,50,52,48,55,101,45,48,56,32,52,46,48,51,48,56,49,101,45,
      48,56,32,51,46,48,53,50,50,54,101,45,48,56,32,50,46,51,49,49,55,57,101,45,48,
      56,32,49,46,55,53,49,50,55,101,45,48,56,32,49,46,51,50,54,57,49,101,45,48,56,
      10,32,32,49,46,48,48,53,53,53,101,45,48,56,32,55,46,54,50,49,53,50,101,45,48,
      57,32,53,46,55,55,55,54,54,101,45,48,57,32,52,46,51,56,48,53,55,101,45,48,57,
      32,51,46,51,50,49,56,49,101,45,48,57,32,50,46,53,49,57,51,50,101,45,48,57,32,
      49,46,57,49,48,57,56,101,45,48,57,10,32,32,49,46,52,52,57,55,52,101,45,48,57,
      32,49,46,48,57,57,57,55,101,45,48,57,32,56,46,51,52,54,57,51,101,45,49,48,32,
      54,46,51,51,52,55,53,101,45,49,48,32,52,46,56,48,56,50,52,101,45,49,48,32,51,
      46,54,53,48,48,51,101,45,49,48,32,50,46,55,55,49,49,51,101,45,49,48,10,32,32,
      50,46,49,48,52,48,57,101,45,49,48,32,49,46,53,57,55,55,57,101,45,49,48,32,49,
      46,50,49,51,52,53,101,45,49,48,32,57,46,50,49,54,53,55,101,45,49,49,32,55,46,
      48,48,49,48,51,101,45,49,49,32,53,46,51,49,56,54,49,101,45,49,49,32,52,46,48,
      52,48,56,54,101,45,49,49,10,32,32,51,46,48,55,48,51,55,101,45,49,49,32,50,46,
      51,51,51,49,56,101,45,49,49,32,49,46,55,55,51,50,49,101,45,49,49,32,51,46,55,
      57,50,53,50,101,45,48,57,32,49,46,53,50,48,55,56,101,45,48,56,32,51,46,52,50,
      52,55,54,101,45,48,56,32,51,46,55,57,50,57,52,101,45,48,56,10,32,32,49,46,53,
      50,49,52,53,101,45,48,55,32,51,46,52,50,56,49,56,101,45,48,55,32,54,46,48,57,
      56,54,55,101,45,48,55,32,57,46,53,51,54,57,54,101,45,48,55,32,49,46,51,55,53,
      53,52,101,45,48,54,32,49,46,56,55,52,56,55,101,45,48,54,32,50,46,52,53,51,53,
      101,45,48,54,10,32,32,51,46,49,49,49,52,55,101,45,48,54,32,51,46,56,52,57,53,
      55,101,45,48,54,32,52,46,54,54,57,50,49,101,45,48,54,32,53,46,53,55,49,54,101,
      45,48,54,32,54,46,53,53,55,57,49,101,45,48,54,32,55,46,54,50,57,56,54,101,45,
      48,54,32,56,46,55,56,57,48,51,101,45,48,54,10,32,32,49,46,48,48,51,55,50,101,
      45,48,53,32,49,46,49,56,54,57,55,101,45,48,53,32,49,46,51,51,53,52,54,101,45,
      48,53,32,49,46,52,57,51,48,50,101,45,48,53,32,49,46,54,53,57,57,53,101,45,48,
      53,32,49,46,56,51,54,52,50,101,45,48,53,32,50,46,48,50,50,53,54,101,45,48,53,
      10,32,32,50,46,50,49,56,49,53,101,45,48,53,32,50,46,52,50,51,50,50,101,45,48,
      53,32,50,46,54,51,56,50,50,101,45,48,53,32,50,46,56,54,51,49,55,101,45,48,53,
      32,51,46,48,57,56,49,49,101,45,48,53,32,51,46,51,52,50,48,53,101,45,48,53,32,
      51,46,53,57,54,48,52,101,45,48,53,10,32,32,51,46,56,54,48,49,50,101,45,48,53,
      32,52,46,49,51,52,52,49,101,45,48,53,32,52,46,52,49,55,57,52,101,45,48,53,32,
      52,46,55,49,48,56,50,101,45,48,53,32,53,46,48,49,51,55,55,101,45,48,53,32,53,
      46,51,50,54,57,51,101,45,48,53,32,53,46,54,53,48,50,55,101,45,48,53,10,32,32,
      53,46,57,56,49,53,49,101,45,48,53,32,54,46,51,50,50,56,55,101,45,48,53,32,54,
      46,54,55,52,52,52,101,45,48,53,32,55,46,48,51,54,50,51,101,45,48,53,32,55,46,
      52,48,54,55,50,101,45,48,53,32,55,46,55,56,54,50,101,45,48,53,32,56,46,49,55,
      53,57,49,101,45,48,53,10,32,32,56,46,53,55,53,55,53,101,45,48,53,32,56,46,57,
      56,53,54,57,101,45,48,53,32,57,46,52,48,51,53,52,101,45,48,53,32,57,46,56,51,
      49,53,101,45,48,53,32,46,48,48,48,49,48,50,54,57,56,32,46,48,48,48,49,48,55,
      49,56,50,32,46,48,48,48,49,49,49,55,54,32,46,48,48,48,49,49,54,52,51,50,10,
      32,32,46,48,48,48,49,50,49,50,48,54,32,46,48,48,48,49,50,54,48,56,53,32,46,
      48,48,48,49,51,49,48,54,54,32,46,48,48,48,49,51,54,49,52,53,32,46,48,48,48,
      49,52,49,51,50,55,32,46,48,48,48,49,52,54,54,49,53,32,46,48,48,48,49,53,50,
      48,48,54,32,46,48,48,48,49,53,55,53,48,56,10,32,32,46,48,48,48,49,54,51,49,
      49,57,32,46,48,48,48,49,54,56,56,51,54,32,46,48,48,48,49,55,52,54,54,32,46,
      48,48,48,49,56,48,53,57,50,32,46,48,48,48,49,56,54,54,53,52,32,46,48,48,48,
      49,57,50,56,50,52,32,46,48,48,48,49,57,57,49,48,52,32,46,48,48,48,50,48,53,
      52,57,51,10,32,32,46,48,48,48,50,49,50,48,49,52,32,46,48,48,48,50,49,56,54,
      54,50,32,46,48,48,48,50,50,53,52,50,51,32,46,48,48,48,50,51,50,50,57,54,32,
      46,48,48,48,50,51,57,50,56,55,32,46,48,48,48,50,52,54,52,51,32,46,48,48,48,
      50,53,51,54,56,57,32,46,48,48,48,50,54,49,48,54,53,10,32,32,46,48,48,48,50,
      54,56,53,53,57,32,46,48,48,48,50,55,54,49,57,32,46,48,48,48,50,56,51,57,53,
      51,32,46,48,48,48,50,57,49,56,51,55,32,46,48,48,48,50,57,57,56,52,54,32,46,
      48,48,48,51,48,55,57,55,52,32,46,48,48,48,51,49,54,50,49,55,32,46,48,48,48,
      51,50,52,53,57,53,10,32,32,46,48,48,48,51,51,51,48,57,51,32,46,48,48,48,51,
      52,49,55,48,56,32,46,48,48,48,51,53,48,52,48,51,32,46,48,48,48,51,53,57,50,
      32,46,48,48,48,51,54,56,49,51,52,32,46,48,48,48,51,55,55,49,56,54,32,46,48,
      48,48,51,56,54,51,51,53,32,46,48,48,48,51,57,53,52,53,50,10,32,32,46,48,48,
      48,52,48,52,54,56,52,32,46,48,48,48,52,49,52,48,51,32,46,48,48,48,52,50,51,
      52,57,49,32,46,48,48,48,52,51,50,56,55,57,32,46,48,48,48,52,52,50,50,54,52,
      32,46,48,48,48,52,53,49,55,54,50,32,46,48,48,48,52,54,49,51,55,49,32,46,48,
      48,48,52,55,49,48,51,50,10,32,32,46,48,48,48,52,56,48,52,49,49,32,46,48,48,
      48,52,56,57,57,48,50,32,46,48,48,48,52,57,57,53,48,51,32,46,48,48,48,53,48,
      57,50,49,54,32,46,48,48,48,53,49,56,54,53,54,32,46,48,48,48,53,50,55,57,57,
      53,32,46,48,48,48,53,51,55,52,53,32,46,48,48,48,53,52,55,48,50,50,10,32,32,
      46,48,48,48,53,53,54,54,48,52,32,46,48,48,48,53,54,53,54,57,32,46,48,48,48,
      53,55,52,57,48,54,32,46,48,48,48,53,56,52,50,53,52,32,46,48,48,48,53,57,51,
      55,55,56,32,46,48,48,48,54,48,50,57,51,55,32,46,48,48,48,54,49,49,57,55,52,
      32,46,48,48,48,54,50,49,49,56,54,10,32,32,46,48,48,48,54,51,48,53,53,55,32,
      46,48,48,48,54,51,57,57,53,52,32,46,48,48,48,54,52,56,57,49,50,32,46,48,48,
      48,54,53,56,48,53,56,32,46,48,48,48,54,54,55,51,55,57,32,46,48,48,48,54,55,
      54,56,55,50,32,46,48,48,48,54,56,54,49,32,46,48,48,48,54,57,53,51,48,52,10,
      32,32,46,48,48,48,55,48,52,55,48,49,32,46,48,48,48,55,49,52,50,55,54,32,46,
      48,48,48,55,50,51,57,51,54,32,46,48,48,48,55,51,51,51,50,54,32,46,48,48,48,
      55,52,50,57,49,50,32,46,48,48,48,55,53,50,54,57,50,32,46,48,48,48,55,54,50,
      54,51,51,32,46,48,48,48,55,55,50,52,55,51,10,32,32,46,48,48,48,55,56,50,51,
      53,55,32,46,48,48,48,55,57,50,52,51,49,32,46,48,48,48,56,48,50,54,54,57,32,
      46,48,48,48,56,49,51,48,49,54,32,46,48,48,48,56,50,51,50,56,54,32,46,48,48,
      48,56,51,51,55,50,53,32,46,48,48,48,56,52,52,51,51,49,32,46,48,48,48,56,53,
      53,48,56,57,10,32,32,46,48,48,48,56,54,53,56,54,55,32,46,48,48,48,56,55,54,
      55,52,57,32,46,48,48,48,56,56,55,55,55,53,32,46,48,48,48,56,57,56,57,52,53,
      32,46,48,48,48,57,49,48,50,52,32,46,48,48,48,57,50,49,54,48,56,32,46,48,48,
      48,57,51,51,49,48,54,32,46,48,48,48,57,52,52,55,51,53,10,32,32,46,48,48,48,
      57,53,54,52,57,50,32,46,48,48,48,57,54,56,51,56,55,32,46,48,48,48,57,56,48,
      52,48,54,32,46,48,48,48,57,57,50,53,51,54,32,46,48,48,49,48,48,52,55,57,32,
      46,48,48,49,48,49,55,49,55,32,46,48,48,49,48,50,57,55,52,32,46,48,48,49,48,
      52,50,52,51,10,32,32,46,48,48,49,48,53,57,52,55,32,46,48,48,49,49,48,48,49,
      56,32,46,48,48,49,49,54,50,50,55,32,46,48,48,49,50,54,56,55,55,32,46,48,48,
      49,51,56,48,48,57,32,46,48,48,49,52,57,54,55,49,32,46,48,48,49,54,49,57,57,
      32,46,48,48,49,55,52,57,55,52,32,46,48,48,49,56,56,54,48,56,10,32,32,46,48,
      48,50,48,50,55,51,32,46,48,48,50,49,55,49,53,52,32,46,48,48,50,51,49,54,51,
      51,32,46,48,48,50,52,54,49,51,54,32,46,48,48,50,54,48,55,48,56,32,46,48,48,
      50,55,56,53,49,52,32,46,48,48,50,57,55,50,48,55,32,46,48,48,51,50,52,53,49,
      32,46,48,48,51,53,54,51,52,49,10,32,32,46,48,48,51,57,52,53,51,57,32,46,48,
      48,52,53,52,48,52,55,32,46,48,48,53,50,56,50,57,52,32,46,48,48,54,49,52,48,
      53,55,32,46,48,48,55,49,54,51,32,46,48,48,55,57,56,49,57,57,32,46,48,48,56,
      54,55,52,57,56,32,46,48,48,57,49,49,50,50,52,32,46,48,48,57,52,57,55,51,50,
      10,32,32,46,48,48,57,57,55,54,54,51,32,46,48,49,48,54,48,53,51,32,46,48,49,
      49,52,51,55,50,32,46,48,49,50,53,52,57,51,32,46,48,49,52,48,53,51,50,32,46,
      48,49,54,50,52,48,51,32,46,48,49,56,56,53,50,52,32,46,48,50,49,57,48,54,54,
      32,46,48,50,53,48,51,51,56,10,32,32,46,48,50,55,51,57,51,50,32,46,48,50,56,
      55,54,56,53,32,46,48,51,48,48,55,57,54,32,46,48,51,49,53,55,52,49,32,46,48,
      51,51,52,50,50,57,32,46,48,51,53,55,56,50,53,32,46,48,51,56,56,57,57,57,32,
      46,48,52,50,52,55,49,51,32,46,48,52,54,55,52,57,50,10,32,32,46,48,53,50,51,
      49,49,49,32,46,48,53,57,55,55,56,53,32,46,48,54,54,53,48,55,49,32,46,48,55,
      50,56,56,52,57,32,46,48,55,55,53,51,52,55,32,46,48,56,49,51,52,53,51,32,46,
      48,56,51,57,56,53,53,32,46,48,56,53,48,56,49,54,32,46,48,56,55,52,49,48,53,
      10,32,32,46,48,57,48,55,52,55,52,32,46,48,57,53,55,51,49,56,32,46,48,57,57,
      54,53,57,52,32,46,49,48,52,56,51,50,32,46,49,49,50,50,48,52,32,46,49,50,49,
      48,50,53,32,46,49,50,56,49,56,54,32,46,49,51,49,57,57,32,46,49,51,49,51,53,
      50,32,46,49,50,56,57,51,53,10,32,32,46,49,50,50,54,54,54,32,46,49,49,53,49,
      56,55,32,46,49,48,54,48,56,49,32,46,48,57,54,48,53,55,55,32,46,48,57,48,49,
      48,54,53,32,46,48,56,56,56,55,51,53,32,46,48,57,48,57,55,51,54,32,46,48,57,
      51,57,54,54,32,46,48,57,54,56,57,48,50,32,46,49,48,48,48,49,56,10,32,32,46,
      49,48,50,50,48,53,32,46,49,48,51,56,57,49,32,46,49,48,52,53,54,57,32,46,49,
      48,51,50,48,54,32,46,48,57,56,50,51,54,53,32,46,48,57,48,54,50,57,51,32,46,
      48,56,53,54,54,50,52,32,46,48,56,48,55,57,54,50,32,46,48,55,51,55,50,51,52,
      32,46,48,54,55,48,51,50,10,32,32,46,48,54,52,48,48,53,50,32,46,48,54,48,53,
      48,51,54,32,46,48,53,57,50,48,54,49,32,46,48,53,56,51,57,49,56,32,46,48,54,
      53,55,50,50,53,32,46,48,54,51,51,48,49,51,32,46,48,54,50,51,50,55,53,32,46,
      48,54,48,52,57,55,53,32,46,48,53,56,53,52,49,50,10,32,32,46,48,53,54,57,54,
      50,50,32,46,48,53,53,52,50,56,53,32,46,48,53,52,48,51,52,50,32,46,48,53,50,
      54,57,55,54,32,46,48,53,49,50,53,56,50,32,46,48,53,48,48,49,53,53,32,46,48,
      52,56,54,56,51,51,32,46,48,52,55,55,50,55,57,32,46,48,52,54,50,49,51,54,10,
      32,32,46,48,52,53,51,49,49,32,46,48,52,52,50,49,54,50,32,46,48,52,49,55,55,
      56,56,32,46,48,51,56,54,54,48,50,32,46,48,51,53,56,54,50,57,32,46,48,51,50,
      54,55,50,56,32,46,48,50,57,55,57,48,51,32,46,48,50,54,54,57,48,57,32,46,48,
      50,52,51,55,51,53,10,32,32,46,48,50,49,48,54,48,53,32,46,48,49,55,55,56,55,
      53,32,46,48,49,54,50,51,57,53,32,46,48,49,52,54,56,48,50,32,46,48,49,50,56,
      52,55,32,46,48,49,49,52,52,51,52,32,46,48,49,48,50,48,50,51,32,46,48,48,56,
      57,53,54,52,49,32,46,48,48,55,56,54,57,48,56,10,32,32,46,48,48,55,48,51,49,
      55,52,32,46,48,48,54,50,56,55,54,32,46,48,48,53,54,50,53,53,53,32,46,48,48,
      52,57,53,55,51,32,46,48,48,52,51,48,51,52,51,32,46,48,48,51,54,56,49,48,51,
      32,46,48,48,51,50,48,48,55,51,32,46,48,48,50,55,52,50,51,56,32,46,48,48,50,
      51,56,55,56,56,10,32,32,46,48,48,50,48,56,48,52,52,32,46,48,48,49,55,56,54,
      50,49,32,46,48,48,49,53,49,55,57,49,32,46,48,48,49,51,51,57,48,54,32,46,48,
      48,49,49,53,56,54,50,32,46,48,48,49,48,50,48,54,50,32,46,48,48,48,56,57,49,
      53,57,57,32,46,48,48,48,55,55,57,50,48,54,10,32,32,46,48,48,48,54,56,49,50,
      50,50,32,46,48,48,48,53,57,53,55,55,51,32,46,48,48,48,53,50,49,50,49,49,32,
      46,48,48,48,52,53,54,49,50,54,32,46,48,48,48,51,57,57,50,57,49,32,46,48,48,
      48,51,52,57,54,51,57,32,46,48,48,48,51,48,54,50,52,54,32,46,48,48,48,50,54,
      56,51,48,56,10,32,32,46,48,48,48,50,51,53,49,50,51,32,46,48,48,48,50,48,54,
      48,57,56,32,46,48,48,48,49,56,48,54,57,56,32,46,48,48,48,49,53,56,52,54,51,
      32,46,48,48,48,49,51,56,57,57,53,32,46,48,48,48,49,50,49,57,53,32,46,48,48,
      48,49,48,55,48,49,49,32,57,46,51,57,49,52,53,101,45,48,53,10,32,32,56,46,50,
      52,52,48,52,101,45,48,53,32,55,46,50,51,56,49,51,101,45,48,53,32,54,46,51,53,
      54,48,49,101,45,48,53,32,53,46,53,56,50,51,50,101,45,48,53,32,52,46,57,48,51,
      53,57,101,45,48,53,32,52,46,51,48,56,51,55,101,45,48,53,32,51,46,55,56,53,55,
      101,45,48,53,10,32,32,51,46,51,50,54,57,50,101,45,48,53,32,50,46,57,50,52,49,
      52,101,45,48,53,32,50,46,53,55,48,52,55,101,45,48,53,32,50,46,50,53,57,56,56,
      101,45,48,53,32,49,46,57,56,55,48,55,101,45,48,53,32,49,46,55,52,55,50,53,101,
      45,48,53,32,49,46,53,51,54,54,57,101,45,48,53,10,32,32,49,46,51,57,48,55,52,
      101,45,48,53,32,49,46,50,53,56,55,52,101,45,48,53,32,49,46,49,51,57,51,52,101,
      45,48,53,32,49,46,48,51,49,51,52,101,45,48,53,32,57,46,51,51,54,57,56,101,45,
      48,54,32,56,46,51,52,53,49,50,101,45,48,54,32,55,46,50,51,57,57,54,101,45,48,
      54,10,32,32,54,46,50,56,49,57,52,101,45,48,54,32,53,46,52,53,49,51,52,101,45,
      48,54,32,52,46,55,51,49,49,49,101,45,48,54,32,52,46,49,48,54,53,101,45,48,54,
      32,51,46,53,54,52,55,51,101,45,48,54,32,51,46,48,57,52,55,55,101,45,48,54,32,
      50,46,54,56,55,48,53,101,45,48,54,10,32,32,50,46,51,51,51,50,56,101,45,48,54,
      32,50,46,48,50,54,50,55,101,45,48,54,32,49,46,55,53,57,56,52,101,45,48,54,32,
      49,46,53,50,56,53,56,101,45,48,54,32,49,46,51,50,55,56,50,101,45,48,54,32,49,
      46,49,53,51,53,52,101,45,48,54,32,49,46,48,48,50,50,50,101,45,48,54,10,32,32,
      56,46,55,48,56,49,57,101,45,48,55,32,55,46,53,54,55,48,57,101,45,48,55,32,54,
      46,53,55,54,48,53,101,45,48,55,32,53,46,55,49,53,50,51,101,45,48,55,32,52,46,
      57,54,55,52,56,101,45,48,55,32,52,46,51,49,55,101,45,48,55,32,51,46,55,53,51,
      53,50,101,45,48,55,10,32,32,51,46,50,54,51,49,51,101,45,48,55,32,50,46,56,51,
      55,48,50,101,45,48,55,32,50,46,52,54,54,55,50,101,45,48,55,32,50,46,49,52,52,
      56,57,101,45,48,55,32,49,46,56,54,53,49,55,101,45,48,55,32,49,46,54,50,50,48,
      51,101,45,48,55,32,49,46,52,49,48,54,55,101,45,48,55,10,32,32,49,46,50,50,54,
      57,51,101,45,48,55,32,49,46,48,54,55,49,57,101,45,48,55,32,57,46,50,56,50,57,
      56,101,45,48,56,32,56,46,48,55,53,51,101,45,48,56,32,55,46,48,50,53,49,50,101,
      45,48,56,32,54,46,49,49,49,56,53,101,45,48,56,32,53,46,51,49,55,54,101,45,48,
      56,10,32,32,52,46,48,50,53,57,54,101,45,48,56,32,51,46,48,52,56,54,50,101,45,
      48,56,32,50,46,51,48,57,48,52,101,45,48,56,32,49,46,55,52,57,50,49,101,45,48,
      56,32,49,46,51,50,53,51,53,101,45,48,56,32,49,46,48,48,52,51,56,101,45,48,56,
      32,55,46,54,49,50,55,50,101,45,48,57,10,32,32,53,46,55,55,49,48,49,101,45,48,
      57,32,52,46,51,55,53,53,53,101,45,48,57,32,51,46,51,49,56,48,52,101,45,48,57,
      32,50,46,53,49,54,52,56,101,45,48,57,32,49,46,57,48,56,56,52,101,45,48,57,32,
      49,46,52,52,56,49,50,101,45,48,57,32,49,46,48,57,56,55,53,101,45,48,57,10,32,
      32,56,46,51,51,55,55,50,101,45,49,48,32,54,46,51,50,55,56,50,101,45,49,48,32,
      52,46,56,48,51,101,45,49,48,32,51,46,54,52,54,48,53,101,45,49,48,32,50,46,55,
      54,56,49,49,101,45,49,48,32,50,46,49,48,49,56,101,45,49,48,32,49,46,53,57,54,
      48,54,101,45,49,48,10,32,32,49,46,50,49,50,49,52,101,45,49,48,32,57,46,50,48,
      54,55,49,101,45,49,49,32,54,46,57,57,51,53,53,101,45,49,49,32,53,46,51,49,50,
      57,50,101,45,49,49,32,52,46,48,51,54,53,54,101,45,49,49,32,51,46,48,54,55,49,
      50,101,45,49,49,32,50,46,51,51,48,55,50,101,45,49,49,10,32,32,49,46,55,55,49,
      51,53,101,45,49,49,32,51,46,49,50,53,50,50,101,45,48,57,32,49,46,50,53,51,50,
      101,45,48,56,32,50,46,56,50,50,49,55,101,45,48,56,32,51,46,49,50,53,53,54,101,
      45,48,56,32,49,46,50,53,51,55,51,101,45,48,55,32,50,46,56,50,52,56,53,101,45,
      48,55,10,32,32,53,46,48,50,53,49,56,101,45,48,55,32,55,46,56,53,55,57,57,101,
      45,48,55,32,49,46,49,51,51,51,53,101,45,48,54,32,49,46,53,52,52,55,101,45,48,
      54,32,50,46,48,50,49,51,53,101,45,48,54,32,50,46,53,54,51,51,51,101,45,48,54,
      32,51,46,49,55,49,50,55,101,45,48,54,10,32,32,51,46,56,52,54,50,57,101,45,48,
      54,32,52,46,53,56,57,51,51,101,45,48,54,32,53,46,52,48,49,50,51,101,45,48,54,
      32,54,46,50,56,51,51,54,101,45,48,54,32,55,46,50,51,55,48,49,101,45,48,54,32,
      56,46,50,54,51,55,101,45,48,54,32,57,46,51,54,53,49,50,101,45,48,54,10,32,32,
      49,46,48,57,56,55,50,101,45,48,53,32,49,46,50,50,56,52,54,101,45,48,53,32,49,
      46,51,54,53,57,101,45,48,53,32,49,46,53,49,49,49,55,101,45,48,53,32,49,46,54,
      54,52,51,56,101,45,48,53,32,49,46,56,50,53,51,55,101,45,48,53,32,49,46,57,57,
      52,49,54,101,45,48,53,10,32,32,50,46,49,55,49,49,51,101,45,48,53,32,50,46,51,
      53,54,51,101,45,48,53,32,50,46,53,52,57,55,101,45,48,53,32,50,46,55,53,48,53,
      50,101,45,48,53,32,50,46,57,53,57,54,50,101,45,48,53,32,51,46,49,55,55,48,54,
      101,45,48,53,32,51,46,52,48,50,57,49,101,45,48,53,10,32,32,51,46,54,51,54,51,
      57,101,45,48,53,32,51,46,56,55,55,53,55,101,45,48,53,32,52,46,49,50,55,48,55,
      101,45,48,53,32,52,46,51,56,53,101,45,48,53,32,52,46,54,53,49,51,52,101,45,
      48,53,32,52,46,57,50,52,49,56,101,45,48,53,32,53,46,50,48,53,51,55,101,45,48,
      53,10,32,32,53,46,52,57,53,101,45,48,53,32,53,46,55,57,51,48,55,101,45,48,53,
      32,54,46,48,57,56,51,49,101,45,48,53,32,54,46,52,49,48,57,54,101,45,48,53,32,
      54,46,55,51,50,48,54,101,45,48,53,32,55,46,48,54,49,53,51,101,45,48,53,32,55,
      46,51,57,57,51,52,101,45,48,53,10,32,32,55,46,55,52,51,54,54,101,45,48,53,32,
      56,46,48,57,54,51,51,101,45,48,53,32,56,46,52,53,55,53,101,45,48,53,32,56,46,
      56,50,55,49,101,45,48,53,32,57,46,50,48,52,52,101,45,48,53,32,57,46,53,56,57,
      52,54,101,45,48,53,32,57,46,57,56,51,48,50,101,45,48,53,10,32,32,46,48,48,48,
      49,48,51,56,53,49,32,46,48,48,48,49,48,55,57,53,56,32,46,48,48,48,49,49,50,
      49,52,53,32,46,48,48,48,49,49,54,52,49,56,32,46,48,48,48,49,50,48,55,55,55,
      32,46,48,48,48,49,50,53,50,50,50,32,46,48,48,48,49,50,57,55,53,57,32,46,48,
      48,48,49,51,52,51,56,54,10,32,32,46,48,48,48,49,51,57,49,48,50,32,46,48,48,
      48,49,52,51,57,48,53,32,46,48,48,48,49,52,56,55,57,56,32,46,48,48,48,49,53,
      51,55,57,57,32,46,48,48,48,49,53,56,56,57,32,46,48,48,48,49,54,52,48,55,50,
      32,46,48,48,48,49,54,57,51,52,53,32,46,48,48,48,49,55,52,55,50,55,10,32,32,
      46,48,48,48,49,56,48,50,49,52,32,46,48,48,48,49,56,53,55,57,54,32,46,48,48,
      48,49,57,49,52,55,32,46,48,48,48,49,57,55,50,52,51,32,46,48,48,48,50,48,51,
      49,52,50,32,46,48,48,48,50,48,57,49,51,56,32,46,48,48,48,50,49,53,50,51,50,
      32,46,48,48,48,50,50,49,52,50,51,10,32,32,46,48,48,48,50,50,55,55,50,57,32,
      46,48,48,48,50,51,52,49,52,53,32,46,48,48,48,50,52,48,54,54,51,32,46,48,48,
      48,50,52,55,50,56,52,32,46,48,48,48,50,53,52,48,48,52,32,46,48,48,48,50,54,
      48,56,50,32,46,48,48,48,50,54,55,55,52,57,32,46,48,48,48,50,55,52,55,55,57,
      10,32,32,46,48,48,48,50,56,49,57,48,53,32,46,48,48,48,50,56,57,48,57,55,32,
      46,48,48,48,50,57,54,51,55,52,32,46,48,48,48,51,48,51,55,54,55,32,46,48,48,
      48,51,49,49,50,53,55,32,46,48,48,48,51,49,56,56,50,56,32,46,48,48,48,51,50,
      54,51,54,56,32,46,48,48,48,51,51,52,48,48,52,10,32,32,46,48,48,48,51,52,49,
      55,51,52,32,46,48,48,48,51,52,57,53,54,32,46,48,48,48,51,53,55,51,49,57,32,
      46,48,48,48,51,54,53,48,55,52,32,46,48,48,48,51,55,50,57,50,50,32,46,48,48,
      48,51,56,48,56,54,50,32,46,48,48,48,51,56,56,56,52,53,32,46,48,48,48,51,57,
      54,53,56,49,10,32,32,46,48,48,48,52,48,52,52,49,32,46,48,48,48,52,49,50,51,
      51,49,32,46,48,48,48,52,50,48,51,52,52,32,46,48,48,48,52,50,56,49,50,32,46,
      48,48,48,52,51,53,56,48,54,32,46,48,48,48,52,52,51,53,56,57,32,46,48,48,48,
      52,53,49,52,54,56,32,46,48,48,48,52,53,57,51,53,52,10,32,32,46,48,48,48,52,
      54,54,56,49,49,32,46,48,48,48,52,55,52,51,55,53,32,46,48,48,48,52,56,50,48,
      53,32,46,48,48,48,52,56,57,56,55,54,32,46,48,48,48,52,57,55,51,56,55,32,46,
      48,48,48,53,48,52,55,56,57,32,46,48,48,48,53,49,50,51,52,49,32,46,48,48,48,
      53,50,48,48,50,54,10,32,32,46,48,48,48,53,50,55,55,51,50,32,46,48,48,48,53,
      51,53,48,54,49,32,46,48,48,48,53,52,50,53,53,32,46,48,48,48,53,53,48,49,56,
      55,32,46,48,48,48,53,53,55,57,54,57,32,46,48,48,48,53,54,53,53,50,52,32,46,
      48,48,48,53,55,51,48,53,56,32,46,48,48,48,53,56,48,55,53,53,10,32,32,46,48,
      48,48,53,56,56,54,48,50,32,46,48,48,48,53,57,54,53,50,32,46,48,48,48,54,48,
      52,50,48,57,32,46,48,48,48,54,49,50,48,54,51,32,46,48,48,48,54,50,48,48,56,
      49,32,46,48,48,48,54,50,56,50,51,52,32,46,48,48,48,54,51,54,51,48,49,32,46,
      48,48,48,54,52,52,52,48,52,10,32,32,46,48,48,48,54,53,50,54,54,55,32,46,48,
      48,48,54,54,49,48,54,55,32,46,48,48,48,54,54,57,53,53,56,32,46,48,48,48,54,
      55,55,57,56,53,32,46,48,48,48,54,56,54,53,53,50,32,46,48,48,48,54,57,53,50,
      53,57,32,46,48,48,48,55,48,52,48,57,51,32,46,48,48,48,55,49,50,57,52,52,10,
      32,32,46,48,48,48,55,50,49,56,56,49,32,46,48,48,48,55,51,48,57,51,56,32,46,
      48,48,48,55,52,48,49,49,53,32,46,48,48,48,55,52,57,51,57,54,32,46,48,48,48,
      55,53,56,55,51,55,32,46,48,48,48,55,54,56,49,56,55,32,46,48,48,48,55,55,55,
      55,52,53,32,46,48,48,48,55,56,55,52,49,10,32,32,46,48,48,48,55,57,55,49,56,
      56,32,46,48,48,48,56,48,55,48,55,32,46,48,48,48,56,49,55,48,52,53,32,46,48,
      48,48,56,50,55,49,49,55,32,46,48,48,48,56,51,55,51,48,51,32,46,48,48,48,56,
      52,55,54,52,50,32,46,48,48,48,56,53,56,48,55,53,32,46,48,48,48,56,55,50,48,
      57,56,10,32,32,46,48,48,48,57,48,53,53,57,32,46,48,48,48,57,53,54,54,55,57,
      32,46,48,48,49,48,52,52,51,54,32,46,48,48,49,49,51,54,48,52,32,46,48,48,49,
      50,51,50,49,54,32,46,48,48,49,51,51,51,56,49,32,46,48,48,49,52,52,49,48,57,
      32,46,48,48,49,53,53,51,57,51,10,32,32,46,48,48,49,54,55,49,48,49,32,46,48,
      48,49,55,57,48,55,54,32,46,48,48,49,57,49,49,48,57,32,46,48,48,50,48,51,49,
      55,49,32,46,48,48,50,49,53,51,48,50,32,46,48,48,50,51,48,49,52,51,32,46,48,
      48,50,52,53,55,54,53,32,46,48,48,50,54,56,54,57,52,10,32,32,46,48,48,50,57,
      53,54,53,52,32,46,48,48,51,50,56,51,55,52,32,46,48,48,51,56,48,49,54,57,32,
      46,48,48,52,52,54,48,55,55,32,46,48,48,53,50,51,54,48,51,32,46,48,48,54,49,
      55,48,54,52,32,46,48,48,54,57,49,53,50,52,32,46,48,48,55,53,50,49,52,57,10,
      32,32,46,48,48,55,56,55,56,56,51,32,46,48,48,56,49,56,54,53,56,32,46,48,48,
      56,53,55,56,51,53,32,46,48,48,57,49,48,54,53,54,32,46,48,48,57,56,50,50,53,
      51,32,46,48,49,48,56,48,48,53,32,46,48,49,50,49,53,48,50,32,46,48,49,52,49,
      53,52,57,32,46,48,49,54,53,57,55,52,10,32,32,46,48,49,57,53,48,57,57,32,46,
      48,50,50,53,49,56,56,32,46,48,50,52,54,52,53,50,32,46,48,50,53,55,54,57,50,
      32,46,48,50,54,55,55,55,52,32,46,48,50,55,57,52,50,57,32,46,48,50,57,52,54,
      53,52,32,46,48,51,49,52,56,56,32,46,48,51,52,50,51,56,55,10,32,32,46,48,51,
      55,52,53,56,56,32,46,48,52,49,51,55,56,55,32,46,48,52,54,53,52,50,53,32,46,
      48,53,51,53,53,55,54,32,46,48,53,57,57,52,48,57,32,46,48,54,54,48,54,56,54,
      32,46,48,55,48,54,54,54,50,32,46,48,55,52,54,52,56,52,32,46,48,55,55,56,52,
      56,54,10,32,32,46,48,55,57,52,55,56,52,32,46,48,56,49,57,57,53,57,32,46,48,
      56,53,50,55,50,55,32,46,48,57,48,49,51,56,51,32,46,48,57,52,48,54,50,57,32,
      46,48,57,57,48,56,50,52,32,46,49,48,54,48,49,52,32,46,49,49,52,50,50,56,32,
      46,49,50,48,57,56,55,32,46,49,50,52,56,52,51,10,32,32,46,49,50,52,54,56,49,
      32,46,49,50,50,55,53,55,32,46,49,49,55,52,50,51,32,46,49,49,48,55,55,57,32,
      46,49,48,50,52,53,55,32,46,48,57,51,49,53,49,52,32,46,48,56,55,53,57,56,49,
      32,46,48,56,54,53,49,51,56,32,46,48,56,56,54,48,50,52,32,46,48,57,49,53,51,
      56,53,10,32,32,46,48,57,52,52,48,53,56,32,46,48,57,55,52,55,52,56,32,46,48,
      57,57,54,50,51,50,32,46,49,48,49,50,57,50,32,46,49,48,50,48,50,51,32,46,49,
      48,48,55,54,49,32,46,48,57,54,48,52,50,32,46,48,56,56,55,53,52,57,32,46,48,
      56,51,57,55,53,54,32,46,48,55,57,50,56,49,49,10,32,32,46,48,55,50,52,51,57,
      32,46,48,54,53,57,52,56,54,32,46,48,54,51,48,48,55,52,32,46,48,53,57,54,48,
      52,49,32,46,48,53,56,51,52,52,54,32,46,48,53,55,53,54,50,32,46,48,54,52,55,
      52,50,53,32,46,48,54,50,51,57,50,54,32,46,48,54,49,52,52,54,51,32,46,48,53,
      57,54,54,54,53,10,32,32,46,48,53,55,55,54,49,53,32,46,48,53,54,50,50,50,51,
      32,46,48,53,52,55,50,54,49,32,46,48,53,51,51,54,52,55,32,46,48,53,50,48,53,
      56,53,32,46,48,53,48,54,53,48,56,32,46,48,52,57,52,51,53,49,32,46,48,52,56,
      49,51,48,53,32,46,48,52,55,49,57,52,52,10,32,32,46,48,52,53,55,48,57,57,32,
      46,48,52,52,56,50,52,55,32,46,48,52,51,55,53,48,54,32,46,48,52,49,51,53,54,
      57,32,46,48,51,56,50,57,49,32,46,48,51,53,53,51,55,51,32,46,48,51,50,51,57,
      51,57,32,46,48,50,57,53,53,32,46,48,50,54,52,56,57,49,32,46,48,50,52,49,57,
      56,52,10,32,32,46,48,50,48,57,50,48,52,32,46,48,49,55,54,55,48,52,32,46,48,
      49,54,49,51,54,32,46,48,49,52,53,56,57,56,32,46,48,49,50,55,55,49,50,32,46,
      48,49,49,51,55,56,50,32,46,48,49,48,49,52,54,32,46,48,48,56,57,48,56,57,50,
      32,46,48,48,55,56,51,48,50,50,10,32,32,46,48,48,54,57,57,56,50,52,32,46,48,
      48,54,50,53,56,52,49,32,46,48,48,53,54,48,48,49,49,32,46,48,48,52,57,51,53,
      52,54,32,46,48,48,52,50,56,53,48,52,32,46,48,48,51,54,54,53,55,53,32,46,48,
      48,51,49,56,55,56,32,46,48,48,50,55,51,49,53,57,32,46,48,48,50,51,55,56,55,
      10,32,32,46,48,48,50,48,55,50,54,49,32,46,48,48,49,55,55,57,54,51,32,46,48,
      48,49,53,49,50,52,54,32,46,48,48,49,51,51,52,52,57,32,46,48,48,49,49,53,53,
      49,50,32,46,48,48,49,48,49,55,55,54,32,46,48,48,48,56,56,57,49,52,55,32,46,
      48,48,48,55,55,55,49,48,51,10,32,32,46,48,48,48,54,55,57,52,49,57,32,46,48,
      48,48,53,57,52,50,49,57,32,46,48,48,48,53,49,57,56,55,52,32,46,48,48,48,52,
      53,52,57,55,55,32,46,48,48,48,51,57,56,50,57,57,32,46,48,48,48,51,52,56,55,
      56,51,32,46,48,48,48,51,48,53,53,48,54,32,46,48,48,48,50,54,55,54,55,49,10,
      32,32,46,48,48,48,50,51,52,53,55,49,32,46,48,48,48,50,48,53,54,50,32,46,48,
      48,48,49,56,48,50,56,52,32,46,48,48,48,49,53,56,49,48,54,32,46,48,48,48,49,
      51,56,54,56,53,32,46,48,48,48,49,50,49,54,56,32,46,48,48,48,49,48,54,55,55,
      54,32,57,46,51,55,49,49,51,101,45,48,53,10,32,32,56,46,50,50,54,51,57,101,45,
      48,53,32,55,46,50,50,50,55,54,101,45,48,53,32,54,46,51,52,50,54,52,101,45,48,
      53,32,53,46,53,55,48,55,101,45,48,53,32,52,46,56,57,51,52,57,101,45,48,53,32,
      52,46,50,57,57,53,54,101,45,48,53,32,51,46,55,55,56,48,50,101,45,48,53,10,32,
      32,51,46,51,50,48,50,50,101,45,48,53,32,50,46,57,49,56,51,49,101,45,48,53,32,
      50,46,53,54,53,51,57,101,45,48,53,32,50,46,50,53,53,52,53,101,45,48,53,32,49,
      46,57,56,51,50,101,45,48,53,32,49,46,55,52,51,56,55,101,45,48,53,32,49,46,53,
      51,51,55,52,101,45,48,53,10,32,32,49,46,51,56,56,48,56,101,45,48,53,32,49,46,
      50,53,54,51,53,101,45,48,53,32,49,46,49,51,55,49,57,101,45,48,53,32,49,46,48,
      50,57,52,101,45,48,53,32,57,46,51,49,57,56,57,101,45,48,54,32,56,46,51,51,48,
      53,101,45,48,54,32,55,46,50,50,56,101,45,48,54,10,32,32,54,46,50,55,50,49,56,
      101,45,48,54,32,53,46,52,52,51,51,53,101,45,48,54,32,52,46,55,50,52,50,51,101,
      45,48,54,32,52,46,49,48,48,53,54,101,45,48,54,32,51,46,53,53,57,54,50,101,45,
      48,54,32,51,46,48,57,48,51,55,101,45,48,54,32,50,46,54,56,51,50,53,101,45,48,
      54,10,32,32,50,46,51,51,48,48,49,101,45,48,54,32,50,46,48,50,51,52,54,101,45,
      48,54,32,49,46,55,53,55,52,101,45,48,54,32,49,46,53,50,54,52,55,101,45,48,54,
      32,49,46,51,50,54,48,49,101,45,48,54,32,49,46,49,53,49,57,55,101,45,48,54,32,
      49,46,48,48,48,56,55,101,45,48,54,10,32,32,56,46,54,57,54,53,51,101,45,48,55,
      32,55,46,53,53,55,48,49,101,45,48,55,32,54,46,53,54,55,51,50,101,45,48,55,32,
      53,46,55,48,55,55,101,45,48,55,32,52,46,57,54,48,57,55,101,45,48,55,32,52,46,
      51,49,49,51,56,101,45,48,55,32,51,46,55,52,56,54,53,101,45,48,55,10,32,32,51,
      46,50,53,56,57,50,101,45,48,55,32,50,46,56,51,51,51,55,101,45,48,55,32,50,46,
      52,54,51,53,53,101,45,48,55,32,50,46,49,52,50,49,53,101,45,48,55,32,49,46,56,
      54,50,56,101,45,48,55,32,49,46,54,49,57,57,56,101,45,48,55,32,49,46,52,48,56,
      57,101,45,48,55,10,32,32,49,46,50,50,53,51,57,101,45,48,55,32,49,46,48,54,53,
      56,54,101,45,48,55,32,57,46,50,55,49,52,54,101,45,48,56,32,56,46,48,54,53,51,
      49,101,45,48,56,32,55,46,48,49,54,52,55,101,45,48,56,32,54,46,49,48,52,51,54,
      101,45,48,56,32,53,46,51,49,49,49,49,101,45,48,56,10,32,32,52,46,48,50,49,48,
      56,101,45,48,56,32,51,46,48,52,52,57,53,101,45,48,56,32,50,46,51,48,54,50,56,
      101,45,48,56,32,49,46,55,52,55,49,51,101,45,48,56,32,49,46,51,50,51,55,57,101,
      45,48,56,32,49,46,48,48,51,50,49,101,45,48,56,32,55,46,54,48,51,56,55,101,45,
      48,57,10,32,32,53,46,55,54,52,51,52,101,45,48,57,32,52,46,51,55,48,53,51,101,
      45,48,57,32,51,46,51,49,52,50,53,101,45,48,57,32,50,46,53,49,51,54,51,101,45,
      48,57,32,49,46,57,48,54,54,56,101,45,48,57,32,49,46,52,52,54,53,101,45,48,57,
      32,49,46,48,57,55,53,51,101,45,48,57,10,32,32,56,46,51,50,56,53,101,45,49,48,
      32,54,46,51,50,48,56,53,101,45,49,48,32,52,46,55,57,55,55,51,101,45,49,48,32,
      51,46,54,52,50,48,53,101,45,49,48,32,50,46,55,54,53,48,56,101,45,49,48,32,50,
      46,48,57,57,53,50,101,45,49,48,32,49,46,53,57,52,51,51,101,45,49,48,10,32,32,
      49,46,50,49,48,56,51,101,45,49,48,32,57,46,49,57,54,55,57,101,45,49,49,32,54,
      46,57,56,54,48,53,101,45,49,49,32,53,46,51,48,55,50,53,101,45,49,49,32,52,46,
      48,51,50,50,54,101,45,49,49,32,51,46,48,54,51,56,55,101,45,49,49,32,50,46,51,
      50,56,50,54,101,45,49,49,10,32,32,49,46,55,54,57,52,57,101,45,49,49,32,50,46,
      54,53,49,51,49,101,45,48,57,32,49,46,48,54,51,49,54,101,45,48,56,32,50,46,51,
      57,52,49,56,101,45,48,56,32,50,46,54,53,49,53,54,101,45,48,56,32,49,46,48,54,
      51,53,52,101,45,48,55,32,50,46,51,57,54,49,52,101,45,48,55,10,32,32,52,46,50,
      54,50,48,52,101,45,48,55,32,54,46,54,54,51,55,55,101,45,48,55,32,57,46,54,48,
      57,54,53,101,45,48,55,32,49,46,51,48,57,53,52,101,45,48,54,32,49,46,55,49,51,
      51,50,101,45,48,54,32,50,46,49,55,50,50,55,101,45,48,54,32,50,46,54,56,54,57,
      101,45,48,54,10,32,32,51,46,50,53,56,48,56,101,45,48,54,32,51,46,56,56,54,53,
      51,101,45,48,54,32,52,46,53,55,50,56,101,45,48,54,32,53,46,51,49,55,57,52,101,
      45,48,54,32,54,46,49,50,50,57,55,101,45,48,54,32,54,46,57,56,57,48,54,101,45,
      48,54,32,55,46,57,49,55,54,55,101,45,48,54,10,32,32,56,46,57,48,57,56,101,45,
      48,54,32,49,46,48,51,54,52,50,101,45,48,53,32,49,46,49,53,50,50,49,101,45,48,
      53,32,49,46,50,55,52,53,54,101,45,48,53,32,49,46,52,48,51,53,51,101,45,48,53,
      32,49,46,53,51,57,48,49,101,45,48,53,32,49,46,54,56,49,48,49,101,45,48,53,10,
      32,32,49,46,56,50,57,56,52,101,45,48,53,32,49,46,57,56,53,53,50,101,45,48,53,
      32,50,46,49,52,56,48,57,101,45,48,53,32,50,46,51,49,54,57,101,45,48,53,32,50,
      46,52,57,50,54,51,101,45,48,53,32,50,46,54,55,53,51,51,101,45,48,53,32,50,46,
      56,54,53,48,56,101,45,48,53,10,32,32,51,46,48,54,49,50,50,101,45,48,53,32,51,
      46,50,54,51,56,53,101,45,48,53,32,51,46,52,55,51,52,51,101,45,48,53,32,51,46,
      54,57,48,48,55,101,45,48,53,32,51,46,57,49,51,55,53,101,45,48,53,32,52,46,49,
      52,50,57,52,101,45,48,53,32,52,46,51,55,57,49,50,101,45,48,53,10,32,32,52,46,
      54,50,50,51,54,101,45,48,53,32,52,46,56,55,50,54,54,101,45,48,53,32,53,46,49,
      50,57,48,49,101,45,48,53,32,53,46,51,57,49,54,101,45,48,53,32,53,46,54,54,49,
      50,53,101,45,48,53,32,53,46,57,51,55,57,50,101,45,48,53,32,54,46,50,50,49,53,
      56,101,45,48,53,10,32,32,54,46,53,49,48,55,52,101,45,48,53,32,54,46,56,48,54,
      57,101,45,48,53,32,55,46,49,49,48,49,56,101,45,48,53,32,55,46,52,50,48,53,49,
      101,45,48,53,32,55,46,55,51,55,51,50,101,45,48,53,32,56,46,48,54,48,54,52,101,
      45,48,53,32,56,46,51,57,49,48,57,101,45,48,53,10,32,32,56,46,55,50,56,54,57,
      101,45,48,53,32,57,46,48,55,51,52,52,101,45,48,53,32,57,46,52,50,52,57,55,101,
      45,48,53,32,57,46,55,56,51,54,53,101,45,48,53,32,46,48,48,48,49,48,49,52,57,
      54,32,46,48,48,48,49,48,53,50,50,56,32,46,48,48,48,49,48,57,48,51,54,10,32,
      32,46,48,48,48,49,49,50,57,50,32,46,48,48,48,49,49,54,56,55,55,32,46,48,48,
      48,49,50,48,57,48,56,32,46,48,48,48,49,50,53,48,49,53,32,46,48,48,48,49,50,
      57,50,49,49,32,46,48,48,48,49,51,51,52,56,51,32,46,48,48,48,49,51,55,56,51,
      49,32,46,48,48,48,49,52,50,50,53,53,10,32,32,46,48,48,48,49,52,54,55,55,32,
      46,48,48,48,49,53,49,51,55,52,32,46,48,48,48,49,53,54,48,53,54,32,46,48,48,
      48,49,54,48,56,49,54,32,46,48,48,48,49,54,53,54,53,57,32,46,48,48,48,49,55,
      48,54,48,55,32,46,48,48,48,49,55,53,54,51,54,32,46,48,48,48,49,56,48,55,52,
      55,10,32,32,46,48,48,48,49,56,53,57,52,32,46,48,48,48,49,57,49,50,50,57,32,
      46,48,48,48,49,57,54,54,49,32,46,48,48,48,50,48,50,48,55,54,32,46,48,48,48,
      50,48,55,54,50,57,32,46,48,48,48,50,49,51,50,54,53,32,46,48,48,48,50,49,56,
      57,56,50,32,46,48,48,48,50,50,52,55,57,51,10,32,32,46,48,48,48,50,51,48,54,
      56,57,32,46,48,48,48,50,51,54,54,54,54,32,46,48,48,48,50,52,50,54,57,56,32,
      46,48,48,48,50,52,56,56,48,51,32,46,48,48,48,50,53,53,48,48,52,32,46,48,48,
      48,50,54,49,50,56,56,32,46,48,48,48,50,54,55,54,51,57,32,46,48,48,48,50,55,
      51,57,54,54,10,32,32,46,48,48,48,50,56,48,51,55,50,32,46,48,48,48,50,56,54,
      56,53,55,32,46,48,48,48,50,57,51,52,50,51,32,46,48,48,48,50,57,57,57,51,53,
      32,46,48,48,48,51,48,54,52,52,50,32,46,48,48,48,51,49,51,48,50,56,32,46,48,
      48,48,51,49,57,54,57,49,32,46,48,48,48,51,50,54,51,57,10,32,32,46,48,48,48,
      51,51,50,56,56,53,32,46,48,48,48,51,51,57,52,53,56,32,46,48,48,48,51,52,54,
      49,48,56,32,46,48,48,48,51,53,50,56,51,53,32,46,48,48,48,51,53,57,51,54,54,
      32,46,48,48,48,51,54,53,56,50,50,32,46,48,48,48,51,55,50,51,53,57,32,46,48,
      48,48,51,55,56,57,55,55,10,32,32,46,48,48,48,51,56,53,54,48,50,32,46,48,48,
      48,51,57,49,56,54,57,32,46,48,48,48,51,57,56,50,50,56,32,46,48,48,48,52,48,
      52,54,55,57,32,46,48,48,48,52,49,49,50,53,56,32,46,48,48,48,52,49,55,53,55,
      55,32,46,48,48,48,52,50,51,56,48,55,32,46,48,48,48,52,51,48,49,54,51,10,32,
      32,46,48,48,48,52,51,54,54,51,50,32,46,48,48,48,52,52,51,49,49,57,32,46,48,
      48,48,52,52,57,50,57,56,32,46,48,48,48,52,53,53,54,49,49,32,46,48,48,48,52,
      54,50,48,52,56,32,46,48,48,48,52,54,56,54,48,55,32,46,48,48,48,52,55,52,57,
      56,50,32,46,48,48,48,52,56,49,51,52,50,10,32,32,46,48,48,48,52,56,55,56,51,
      57,32,46,48,48,48,52,57,52,52,54,50,32,46,48,48,48,53,48,49,49,52,54,32,46,
      48,48,48,53,48,55,54,52,53,32,46,48,48,48,53,49,52,50,56,50,32,46,48,48,48,
      53,50,49,48,53,54,32,46,48,48,48,53,50,55,57,52,51,32,46,48,48,48,53,51,52,
      55,54,50,10,32,32,46,48,48,48,53,52,49,54,49,53,32,46,48,48,48,53,52,56,54,
      32,46,48,48,48,53,53,53,55,48,49,32,46,48,48,48,53,54,50,56,55,56,32,46,48,
      48,48,53,55,48,48,48,54,32,46,48,48,48,53,55,55,50,53,49,32,46,48,48,48,53,
      56,52,54,49,51,32,46,48,48,48,53,57,50,48,56,10,32,32,46,48,48,48,53,57,57,
      53,54,52,32,46,48,48,48,54,48,55,49,50,49,32,46,48,48,48,54,49,52,55,55,55,
      32,46,48,48,48,54,50,50,53,51,52,32,46,48,48,48,54,51,48,51,55,56,32,46,48,
      48,48,54,51,56,50,55,51,32,46,48,48,48,54,52,54,50,53,57,32,46,48,48,48,54,
      53,52,51,51,53,10,32,32,46,48,48,48,54,54,50,53,32,46,48,48,48,54,55,48,55,
      54,32,46,48,48,48,54,55,57,49,48,54,32,46,48,48,48,54,56,55,53,50,57,32,46,
      48,48,48,54,57,54,48,51,52,32,46,48,48,48,55,48,52,54,51,51,32,46,48,48,48,
      55,49,51,51,53,56,32,46,48,48,48,55,50,50,49,54,49,10,32,32,46,48,48,48,55,
      51,51,57,57,51,32,46,48,48,48,55,54,50,50,51,54,32,46,48,48,48,56,48,53,50,
      56,51,32,46,48,48,48,56,55,57,48,53,54,32,46,48,48,48,57,53,54,48,53,32,46,
      48,48,49,48,51,54,54,50,32,46,48,48,49,49,50,49,54,56,32,46,48,48,49,50,49,
      49,51,54,10,32,32,46,48,48,49,51,48,53,54,52,32,46,48,48,49,52,48,51,52,56,
      32,46,48,48,49,53,48,51,54,51,32,46,48,48,49,54,48,52,51,54,32,46,48,48,49,
      55,48,53,52,51,32,46,48,48,49,56,48,55,49,51,32,46,48,48,49,57,51,49,54,51,
      32,46,48,48,50,48,54,50,56,32,46,48,48,50,50,53,53,55,10,32,32,46,48,48,50,
      52,56,51,52,51,32,46,48,48,50,55,54,49,55,57,32,46,48,48,51,50,48,55,56,51,
      32,46,48,48,51,55,56,53,50,56,32,46,48,48,52,52,55,54,56,55,32,46,48,48,53,
      51,50,49,56,57,32,46,48,48,53,57,57,52,52,53,32,46,48,48,54,53,50,52,53,55,
      10,32,32,46,48,48,54,56,49,55,53,51,32,46,48,48,55,48,54,52,51,56,32,46,48,
      48,55,51,56,54,50,57,32,46,48,48,55,56,51,49,57,32,46,48,48,56,52,52,56,56,
      51,32,46,48,48,57,51,48,55,49,56,32,46,48,49,48,53,49,50,56,32,46,48,49,50,
      51,51,56,55,32,46,48,49,52,54,48,55,54,10,32,32,46,48,49,55,51,54,54,55,32,
      46,48,50,48,50,52,52,52,32,46,48,50,50,49,53,57,55,32,46,48,50,51,48,54,57,
      55,32,46,48,50,51,56,50,53,56,32,46,48,50,52,55,49,56,56,32,46,48,50,53,57,
      54,55,53,32,46,48,50,55,55,48,48,52,32,46,48,51,48,49,50,54,56,10,32,32,46,
      48,51,51,48,50,53,57,32,46,48,51,54,54,48,57,53,32,46,48,52,49,51,56,57,53,
      32,46,48,52,55,57,53,55,49,32,46,48,53,51,57,56,57,54,32,46,48,53,57,56,52,
      56,51,32,46,48,54,52,51,53,54,52,32,46,48,54,56,52,52,50,54,32,46,48,55,50,
      48,56,54,10,32,32,46,48,55,52,49,54,49,57,32,46,48,55,54,56,50,57,51,32,46,
      48,56,48,48,51,54,55,32,46,48,56,52,55,55,52,49,32,46,48,56,56,54,55,56,52,
      32,46,48,57,51,53,52,48,51,32,46,49,48,48,48,52,57,32,46,49,48,55,54,56,57,
      32,46,49,49,52,48,54,32,46,49,49,55,57,52,55,10,32,32,46,49,49,56,50,49,51,
      32,46,49,49,54,55,52,51,32,46,49,49,50,50,56,51,32,46,49,48,54,52,51,32,46,
      48,57,56,56,54,50,50,32,46,48,57,48,50,53,52,32,46,48,56,53,48,56,57,54,32,
      46,48,56,52,49,53,48,50,32,46,48,56,54,50,50,53,56,32,46,48,56,57,49,48,52,
      55,10,32,32,46,48,57,49,57,49,52,51,32,46,48,57,52,57,50,52,49,32,46,48,57,
      55,48,51,51,50,32,46,48,57,56,54,56,51,50,32,46,48,57,57,52,54,53,57,32,46,
      48,57,56,51,48,50,32,46,48,57,51,56,51,50,32,46,48,56,54,56,54,51,51,32,46,
      48,56,50,50,55,49,53,32,46,48,55,55,55,52,56,53,10,32,32,46,48,55,49,49,51,
      56,32,46,48,54,52,56,52,57,51,32,46,48,54,49,57,57,52,51,32,46,48,53,56,54,
      57,48,51,32,46,48,53,55,52,54,57,49,32,46,48,53,54,55,49,56,50,32,46,48,54,
      51,55,52,55,32,46,48,54,49,52,54,56,55,32,46,48,54,48,53,53,48,49,32,46,48,
      53,56,56,50,48,57,10,32,32,46,48,53,54,57,54,56,32,46,48,53,53,52,54,56,56,
      32,46,48,53,52,48,49,48,53,32,46,48,53,50,54,56,50,51,32,46,48,53,49,52,48,
      55,49,32,46,48,53,48,48,51,49,54,32,46,48,52,56,56,52,50,56,32,46,48,52,55,
      53,54,54,53,32,46,48,52,54,54,53,48,51,10,32,32,46,48,52,53,49,57,54,32,46,
      48,52,52,51,50,56,50,32,46,48,52,51,50,55,52,57,32,46,48,52,48,57,50,53,57,
      32,46,48,51,55,57,49,51,52,32,46,48,51,53,50,48,52,53,32,46,48,51,50,49,48,
      56,50,32,46,48,50,57,51,48,51,57,32,46,48,50,54,50,56,50,51,10,32,32,46,48,
      50,52,48,49,56,56,32,46,48,50,48,55,55,54,53,32,46,48,49,55,53,53,49,52,32,
      46,48,49,54,48,51,48,56,32,46,48,49,52,52,57,56,32,46,48,49,50,54,57,52,50,
      32,46,48,49,49,51,49,49,57,32,46,48,49,48,48,56,56,56,32,46,48,48,56,56,54,
      48,52,53,10,32,32,46,48,48,55,55,56,57,48,51,32,46,48,48,54,57,54,51,51,50,
      32,46,48,48,54,50,50,56,55,56,32,46,48,48,53,53,55,52,50,53,32,46,48,48,52,
      57,49,51,51,50,32,46,48,48,52,50,54,54,51,53,32,46,48,48,51,54,53,48,50,55,
      32,46,48,48,51,49,55,52,54,54,10,32,32,46,48,48,50,55,50,48,54,53,32,46,48,
      48,50,51,54,57,51,56,32,46,48,48,50,48,54,52,54,56,32,46,48,48,49,55,55,50,
      57,55,32,46,48,48,49,53,48,54,57,50,32,46,48,48,49,51,50,57,55,49,32,46,48,
      48,49,49,53,49,48,53,32,46,48,48,49,48,49,52,51,52,10,32,32,46,48,48,48,56,
      56,54,52,55,50,32,46,48,48,48,55,55,52,57,54,57,32,46,48,48,48,54,55,55,53,
      56,52,32,46,48,48,48,53,57,50,54,52,53,32,46,48,48,48,53,49,56,53,50,49,32,
      46,48,48,48,52,53,51,56,48,57,32,46,48,48,48,51,57,55,50,57,51,32,46,48,48,
      48,51,52,55,57,49,55,10,32,32,46,48,48,48,51,48,52,55,53,56,32,46,48,48,48,
      50,54,55,48,50,51,32,46,48,48,48,50,51,52,48,49,49,32,46,48,48,48,50,48,53,
      49,51,55,32,46,48,48,48,49,55,57,56,54,53,32,46,48,48,48,49,53,55,55,52,50,
      32,46,48,48,48,49,51,56,51,54,57,32,46,48,48,48,49,50,49,52,48,55,10,32,32,
      46,48,48,48,49,48,54,53,52,32,57,46,51,53,48,53,53,101,45,48,53,32,56,46,50,
      48,56,53,49,101,45,48,53,32,55,46,50,48,55,50,50,101,45,48,53,32,54,46,51,50,
      57,49,54,101,45,48,53,32,53,46,53,53,56,57,54,101,45,48,53,32,52,46,56,56,51,
      50,54,101,45,48,53,10,32,32,52,46,50,57,48,54,53,101,45,48,53,32,51,46,55,55,
      48,50,54,101,45,48,53,32,51,46,51,49,51,52,56,101,45,48,53,32,50,46,57,49,50,
      52,51,101,45,48,53,32,50,46,53,54,48,50,54,101,45,48,53,32,50,46,50,53,48,57,
      54,101,45,48,53,32,49,46,57,55,57,50,57,101,45,48,53,10,32,32,49,46,55,52,48,
      52,54,101,45,48,53,32,49,46,53,51,48,55,54,101,45,48,53,32,49,46,51,56,53,52,
      101,45,48,53,32,49,46,50,53,51,57,51,101,45,48,53,32,49,46,49,51,53,48,50,101,
      45,48,53,32,49,46,48,50,55,52,52,101,45,48,53,32,57,46,51,48,50,50,52,101,45,
      48,54,10,32,32,56,46,51,49,52,56,51,101,45,48,54,32,55,46,50,49,52,53,51,101,
      45,48,54,32,54,46,50,54,48,53,54,101,45,48,54,32,53,46,52,51,51,51,56,101,45,
      48,54,32,52,46,55,49,54,48,50,101,45,48,54,32,52,46,48,57,51,56,52,101,45,48,
      54,32,51,46,53,53,52,49,50,101,45,48,54,10,32,32,51,46,48,56,53,56,57,101,45,
      48,54,32,50,46,54,55,57,52,50,101,45,48,54,32,50,46,51,50,54,55,101,45,48,54,
      32,50,46,48,50,48,54,101,45,48,54,32,49,46,55,53,52,57,52,101,45,48,54,32,49,
      46,53,50,52,51,53,101,45,48,54,32,49,46,51,50,52,49,56,101,45,48,54,10,32,32,
      49,46,49,53,48,52,101,45,48,54,32,57,46,57,57,53,48,52,101,45,48,55,32,56,46,
      54,56,52,55,53,101,45,48,55,32,55,46,53,52,54,56,51,101,45,48,55,32,54,46,53,
      53,56,53,50,101,45,48,55,32,53,46,55,48,48,48,57,101,45,48,55,32,52,46,57,53,
      52,52,101,45,48,55,10,32,32,52,46,51,48,53,55,101,45,48,55,32,51,46,55,52,51,
      55,50,101,45,48,55,32,51,46,50,53,52,54,55,101,45,48,55,32,50,46,56,50,57,54,
      56,101,45,48,55,32,50,46,52,54,48,51,54,101,45,48,55,32,50,46,49,51,57,51,57,
      101,45,48,55,32,49,46,56,54,48,52,49,101,45,48,55,10,32,32,49,46,54,49,55,57,
      49,101,45,48,55,32,49,46,52,48,55,49,49,101,45,48,55,32,49,46,50,50,51,56,53,
      101,45,48,55,32,49,46,48,54,52,53,50,101,45,48,55,32,57,46,50,53,57,56,54,101,
      45,48,56,32,56,46,48,53,53,50,54,101,45,48,56,32,55,46,48,48,55,55,55,101,45,
      48,56,10,32,32,54,46,48,57,54,56,50,101,45,48,56,32,53,46,51,48,52,53,56,101,
      45,48,56,32,52,46,48,49,54,49,56,101,45,48,56,32,51,46,48,52,49,50,54,101,45,
      48,56,32,50,46,51,48,51,53,49,101,45,48,56,32,49,46,55,52,53,48,53,101,45,48,
      56,32,49,46,51,50,50,50,51,101,45,48,56,10,32,32,49,46,48,48,50,48,51,101,45,
      48,56,32,55,46,53,57,52,57,56,101,45,48,57,32,53,46,55,53,55,54,53,101,45,48,
      57,32,52,46,51,54,53,52,57,101,45,48,57,32,51,46,51,49,48,52,54,101,45,48,57,
      32,50,46,53,49,48,55,55,101,45,48,57,32,49,46,57,48,52,53,51,101,45,48,57,10,
      32,32,49,46,52,52,52,56,55,101,45,48,57,32,49,46,48,57,54,51,101,45,48,57,32,
      56,46,51,49,57,50,51,101,45,49,48,32,54,46,51,49,51,56,49,101,45,49,48,32,52,
      46,55,57,50,52,49,101,45,49,48,32,51,46,54,51,56,48,52,101,45,49,48,32,50,46,
      55,54,50,48,53,101,45,49,48,10,32,32,50,46,48,57,55,50,50,101,45,49,48,32,49,
      46,53,57,50,54,101,45,49,48,32,49,46,50,48,57,53,50,101,45,49,48,32,57,46,49,
      56,54,56,55,101,45,49,49,32,54,46,57,55,56,53,51,101,45,49,49,32,53,46,51,48,
      49,53,55,101,45,49,49,32,52,46,48,50,55,57,55,101,45,49,49,10,32,32,51,46,48,
      54,48,54,50,101,45,49,49,32,50,46,51,50,53,56,101,45,49,49,32,49,46,55,54,55,
      54,50,101,45,49,49,32,50,46,50,53,51,49,55,101,45,48,57,32,57,46,48,51,53,48,
      56,101,45,48,57,32,50,46,48,51,52,54,55,101,45,48,56,32,50,46,50,53,51,52,101,
      45,48,56,10,32,32,57,46,48,51,56,55,49,101,45,48,56,32,50,46,48,51,54,52,56,
      101,45,48,55,32,51,46,54,50,50,52,52,101,45,48,55,32,53,46,54,54,52,101,45,
      48,55,32,56,46,49,54,56,51,51,101,45,48,55,32,49,46,49,49,51,49,57,101,45,48,
      54,32,49,46,52,53,54,53,49,101,45,48,54,10,32,32,49,46,56,52,54,55,57,101,45,
      48,54,32,50,46,50,56,52,52,51,101,45,48,54,32,50,46,55,55,48,50,49,101,45,48,
      54,32,51,46,51,48,52,55,101,45,48,54,32,51,46,56,56,56,51,52,101,45,48,54,32,
      52,46,53,50,49,57,50,101,45,48,54,32,53,46,50,48,54,50,56,101,45,48,54,10,32,
      32,53,46,57,52,50,51,52,101,45,48,54,32,54,46,55,51,49,51,51,101,45,48,54,32,
      55,46,53,55,52,50,52,101,45,48,54,32,56,46,52,55,48,52,57,101,45,48,54,32,57,
      46,55,55,57,48,55,101,45,48,54,32,49,46,48,56,49,56,55,101,45,48,53,32,49,46,
      49,57,49,52,54,101,45,48,53,10,32,32,49,46,51,48,54,53,53,101,45,48,53,32,49,
      46,52,50,55,49,55,101,45,48,53,32,49,46,53,53,51,53,55,101,45,48,53,32,49,46,
      54,56,53,55,57,101,45,48,53,32,49,46,56,50,51,56,53,101,45,48,53,32,49,46,57,
      54,55,49,57,101,45,48,53,32,50,46,49,49,54,52,49,101,45,48,53,10,32,32,50,46,
      50,55,49,53,53,101,45,48,53,32,50,46,52,51,50,54,54,101,45,48,53,32,50,46,53,
      57,57,50,101,45,48,53,32,50,46,55,55,49,50,52,101,45,48,53,32,50,46,57,52,57,
      49,56,101,45,48,53,32,51,46,49,51,51,49,49,101,45,48,53,32,51,46,51,50,51,48,
      49,101,45,48,53,10,32,32,51,46,53,49,55,53,57,101,45,48,53,32,51,46,55,49,56,
      49,101,45,48,53,32,51,46,57,50,52,54,101,45,48,53,32,52,46,49,51,55,49,101,
      45,48,53,32,52,46,51,53,52,55,51,101,45,48,53,32,52,46,53,55,55,54,53,101,45,
      48,53,32,52,46,56,48,54,53,55,101,45,48,53,10,32,32,53,46,48,52,49,52,52,101,
      45,48,53,32,53,46,50,56,50,50,52,101,45,48,53,32,53,46,53,50,55,55,50,101,45,
      48,53,32,53,46,55,55,57,49,51,101,45,48,53,32,54,46,48,51,54,53,56,101,45,48,
      53,32,54,46,51,48,48,48,50,101,45,48,53,32,54,46,53,54,56,57,53,101,45,48,53,
      10,32,32,54,46,56,52,51,52,50,101,45,48,53,32,55,46,49,50,51,57,51,101,45,48,
      53,32,55,46,52,49,48,53,49,101,45,48,53,32,55,46,55,48,51,49,53,101,45,48,53,
      32,56,46,48,48,49,53,53,101,45,48,53,32,56,46,51,48,54,48,50,101,45,48,53,32,
      56,46,54,49,54,54,53,101,45,48,53,10,32,32,56,46,57,51,51,52,49,101,45,48,53,
      32,57,46,50,53,54,54,53,101,45,48,53,32,57,46,53,56,54,51,49,101,45,48,53,32,
      57,46,57,50,50,50,50,101,45,48,53,32,46,48,48,48,49,48,50,54,52,52,32,46,48,
      48,48,49,48,54,49,50,57,32,46,48,48,48,49,48,57,54,57,49,10,32,32,46,48,48,
      48,49,49,51,51,49,55,32,46,48,48,48,49,49,55,48,48,55,32,46,48,48,48,49,50,
      48,55,54,50,32,46,48,48,48,49,50,52,53,57,52,32,46,48,48,48,49,50,56,53,48,
      50,32,46,48,48,48,49,51,50,52,55,53,32,46,48,48,48,49,51,54,53,49,53,32,46,
      48,48,48,49,52,48,54,50,53,10,32,32,46,48,48,48,49,52,52,56,50,52,32,46,48,
      48,48,49,52,57,48,57,50,32,46,48,48,48,49,53,51,52,50,57,32,46,48,48,48,49,
      53,55,56,51,54,32,46,48,48,48,49,54,50,51,50,52,32,46,48,48,48,49,54,54,56,
      57,49,32,46,48,48,48,49,55,49,53,50,57,32,46,48,48,48,49,55,54,50,52,50,10,
      32,32,46,48,48,48,49,56,49,48,50,52,32,46,48,48,48,49,56,53,56,55,53,32,46,
      48,48,48,49,57,48,56,48,55,32,46,48,48,48,49,57,53,56,49,32,46,48,48,48,50,
      48,48,56,56,50,32,46,48,48,48,50,48,54,48,48,49,32,46,48,48,48,50,49,49,49,
      56,49,32,46,48,48,48,50,49,54,52,52,52,10,32,32,46,48,48,48,50,50,49,55,55,
      54,32,46,48,48,48,50,50,55,49,54,54,32,46,48,48,48,50,51,50,53,51,52,32,46,
      48,48,48,50,51,55,57,55,49,32,46,48,48,48,50,52,51,52,55,53,32,46,48,48,48,
      50,52,57,48,52,55,32,46,48,48,48,50,53,52,53,55,51,32,46,48,48,48,50,54,48,
      48,57,54,10,32,32,46,48,48,48,50,54,53,54,56,53,32,46,48,48,48,50,55,49,51,
      52,32,46,48,48,48,50,55,55,48,50,54,32,46,48,48,48,50,56,50,53,51,57,32,46,
      48,48,48,50,56,56,49,49,56,32,46,48,48,48,50,57,51,55,54,50,32,46,48,48,48,
      50,57,57,52,55,50,32,46,48,48,48,51,48,53,48,49,54,10,32,32,46,48,48,48,51,
      49,48,52,57,55,32,46,48,48,48,51,49,54,48,52,55,32,46,48,48,48,51,50,49,54,
      54,53,32,46,48,48,48,51,50,55,50,56,57,32,46,48,48,48,51,51,50,54,49,49,32,
      46,48,48,48,51,51,56,48,49,32,46,48,48,48,51,52,51,52,56,56,32,46,48,48,48,
      51,52,57,48,55,53,10,32,32,46,48,48,48,51,53,52,52,52,49,32,46,48,48,48,51,
      53,57,55,51,51,32,46,48,48,48,51,54,53,49,51,50,32,46,48,48,48,51,55,48,54,
      50,54,32,46,48,48,48,51,55,54,49,51,54,32,46,48,48,48,51,56,49,51,56,53,32,
      46,48,48,48,51,56,54,55,52,57,32,46,48,48,48,51,57,50,50,49,56,10,32,32,46,
      48,48,48,51,57,55,55,57,32,46,48,48,48,52,48,51,50,48,54,32,46,48,48,48,52,
      48,56,54,49,32,46,48,48,48,52,49,52,49,51,49,32,46,48,48,48,52,49,57,55,53,
      56,32,46,48,48,48,52,50,53,52,51,54,32,46,48,48,48,52,51,48,57,53,57,32,46,
      48,48,48,52,51,54,53,57,56,10,32,32,46,48,48,48,52,52,50,51,53,51,32,46,48,
      48,48,52,52,56,50,48,53,32,46,48,48,48,52,53,51,57,57,57,32,46,48,48,48,52,
      53,57,56,50,49,32,46,48,48,48,52,54,53,55,53,54,32,46,48,48,48,52,55,49,55,
      56,56,32,46,48,48,48,52,55,55,56,56,53,32,46,48,48,48,52,56,51,57,52,49,10,
      32,32,46,48,48,48,52,57,48,48,57,53,32,46,48,48,48,52,57,54,51,52,57,32,46,
      48,48,48,53,48,50,54,57,50,32,46,48,48,48,53,48,57,48,52,57,32,46,48,48,48,
      53,49,53,52,54,55,32,46,48,48,48,53,50,49,57,55,49,32,46,48,48,48,53,50,56,
      53,53,57,32,46,48,48,48,53,51,53,50,50,10,32,32,46,48,48,48,53,52,49,57,50,
      54,32,46,48,48,48,53,52,56,55,48,56,32,46,48,48,48,53,53,53,53,54,55,32,46,
      48,48,48,53,54,50,53,48,49,32,46,48,48,48,53,54,57,53,49,53,32,46,48,48,48,
      53,55,54,54,48,51,32,46,48,48,48,53,56,51,55,53,53,32,46,48,48,48,53,57,48,
      57,55,56,10,32,32,46,48,48,48,53,57,56,50,55,57,32,46,48,48,48,54,48,53,54,
      56,56,32,46,48,48,48,54,49,51,49,54,52,32,46,48,48,48,54,50,51,50,49,32,46,
      48,48,48,54,52,55,49,57,49,32,46,48,48,48,54,56,51,55,52,50,32,46,48,48,48,
      55,52,54,51,56,32,46,48,48,48,56,49,49,55,52,57,10,32,32,46,48,48,48,56,56,
      48,49,52,56,32,46,48,48,48,57,53,50,51,52,52,32,46,48,48,49,48,50,56,52,52,
      32,46,48,48,49,49,48,56,52,49,32,46,48,48,49,49,57,49,52,32,46,48,48,49,50,
      55,54,51,52,32,46,48,48,49,51,54,49,55,55,32,46,48,48,49,52,52,55,53,10,32,
      32,46,48,48,49,53,51,51,55,56,32,46,48,48,49,54,51,57,52,50,32,46,48,48,49,
      55,53,48,55,51,32,46,48,48,49,57,49,52,53,50,32,46,48,48,50,49,48,56,49,55,
      32,46,48,48,50,51,52,53,54,53,32,46,48,48,50,55,50,56,56,56,32,46,48,48,51,
      50,51,49,50,32,46,48,48,51,56,52,50,50,53,10,32,32,46,48,48,52,53,57,57,50,
      53,32,46,48,48,53,50,48,51,48,57,32,46,48,48,53,54,54,54,55,51,32,46,48,48,
      53,57,48,56,51,49,32,46,48,48,54,49,48,55,57,50,32,46,48,48,54,51,55,52,55,
      32,46,48,48,54,55,53,50,55,55,32,46,48,48,55,50,56,53,53,51,32,46,48,48,56,
      48,51,55,56,57,10,32,32,46,48,48,57,49,49,48,51,32,46,48,49,48,55,54,51,50,
      32,46,48,49,50,56,53,54,57,32,46,48,49,53,52,53,51,54,32,46,48,49,56,49,57,
      48,50,32,46,48,49,57,57,49,52,53,32,46,48,50,48,54,52,51,55,32,46,48,50,49,
      49,57,50,52,32,46,48,50,49,56,54,50,56,10,32,32,46,48,50,50,56,56,52,49,32,
      46,48,50,52,51,55,32,46,48,50,54,53,49,32,46,48,50,57,49,49,54,52,32,46,48,
      51,50,51,56,52,49,32,46,48,51,54,55,57,53,50,32,46,48,52,50,57,50,50,57,32,
      46,48,52,56,54,48,50,54,32,46,48,53,52,49,55,57,52,32,46,48,53,56,53,54,55,
      56,10,32,32,46,48,54,50,55,48,48,55,32,46,48,54,54,54,56,52,57,32,46,48,54,
      57,49,50,55,57,32,46,48,55,49,57,48,57,57,32,46,48,55,53,48,51,57,55,32,46,
      48,55,57,54,52,48,57,32,46,48,56,51,53,48,57,50,32,46,48,56,56,50,48,57,57,
      32,46,48,57,52,51,49,53,51,10,32,32,46,49,48,49,52,49,49,32,46,49,48,55,52,
      49,49,32,46,49,49,49,51,48,56,32,46,49,49,49,57,53,54,32,46,49,49,48,57,48,
      51,32,46,49,48,55,50,53,53,32,46,49,48,50,49,52,57,32,46,48,57,53,51,48,52,
      51,32,46,48,56,55,51,55,49,50,32,46,48,56,50,53,56,53,56,10,32,32,46,48,56,
      49,55,56,54,57,32,46,48,56,51,56,52,56,32,46,48,56,54,54,54,57,49,32,46,48,
      56,57,52,50,48,52,32,46,48,57,50,51,55,48,49,32,46,48,57,52,52,51,57,51,32,
      46,48,57,54,48,54,57,56,32,46,48,57,54,57,48,50,50,32,46,48,57,53,56,51,53,
      32,46,48,57,49,54,49,48,56,10,32,32,46,48,56,52,57,53,56,32,46,48,56,48,53,
      53,50,53,32,46,48,55,54,50,48,49,51,32,46,48,54,57,56,50,50,49,32,46,48,54,
      51,55,51,53,55,32,46,48,54,48,57,54,55,53,32,46,48,53,55,55,54,51,32,46,48,
      53,54,53,56,48,52,32,46,48,53,53,56,54,49,54,32,46,48,54,50,55,51,54,55,10,
      32,32,46,48,54,48,53,51,49,32,46,48,53,57,54,52,48,51,32,46,48,53,55,57,54,
      50,49,32,46,48,53,54,49,54,49,51,32,46,48,53,52,55,48,50,56,32,46,48,53,51,
      50,56,50,53,32,46,48,53,49,57,56,55,57,32,46,48,53,48,55,52,52,32,46,48,52,
      57,52,48,49,51,32,46,48,52,56,50,51,57,56,10,32,32,46,48,52,54,57,57,50,32,
      46,48,52,54,48,57,53,55,32,46,48,52,52,54,55,50,50,32,46,48,52,51,56,50,50,
      50,32,46,48,52,50,55,57,32,46,48,52,48,52,56,54,51,32,46,48,51,55,53,50,55,
      57,32,46,48,51,52,56,54,52,52,32,46,48,51,49,56,49,54,51,32,46,48,50,57,48,
      53,50,51,10,32,32,46,48,50,54,48,55,48,56,32,46,48,50,51,56,51,53,49,32,46,
      48,50,48,54,50,57,51,32,46,48,49,55,52,50,52,55,32,46,48,49,53,57,50,51,54,
      32,46,48,49,52,52,48,52,55,32,46,48,49,50,54,49,54,32,46,48,49,49,50,52,52,
      55,32,46,48,49,48,48,51,48,56,10,32,32,46,48,48,56,56,49,49,51,49,32,46,48,
      48,55,55,52,55,50,32,46,48,48,54,57,50,54,57,57,32,46,48,48,54,49,57,55,51,
      53,32,46,48,48,53,53,52,55,55,52,32,46,48,48,52,56,57,48,56,52,32,46,48,48,
      52,50,52,55,52,50,32,46,48,48,51,54,51,52,53,53,32,46,48,48,51,49,54,49,51,
      53,10,32,32,46,48,48,50,55,48,57,53,53,32,46,48,48,50,51,53,57,57,53,32,46,
      48,48,50,48,53,54,54,51,32,46,48,48,49,55,54,54,50,51,32,46,48,48,49,53,48,
      49,51,51,32,46,48,48,49,51,50,52,56,52,32,46,48,48,49,49,52,54,57,51,32,46,
      48,48,49,48,49,48,55,55,10,32,32,46,48,48,48,56,56,51,51,57,55,32,46,48,48,
      48,55,55,50,51,56,53,32,46,48,48,48,54,55,53,53,53,51,32,46,48,48,48,53,57,
      49,48,52,56,32,46,48,48,48,53,49,55,49,52,54,32,46,48,48,48,52,53,50,54,50,
      56,32,46,48,48,48,51,57,54,50,55,53,32,46,48,48,48,51,52,55,48,51,54,10,32,
      32,46,48,48,48,51,48,51,57,57,57,32,46,48,48,48,50,54,54,51,54,57,32,46,48,
      48,48,50,51,51,52,52,54,32,46,48,48,48,50,48,52,54,52,54,32,46,48,48,48,49,
      55,57,52,52,49,32,46,48,48,48,49,53,55,51,55,53,32,46,48,48,48,49,51,56,48,
      53,49,32,46,48,48,48,49,50,49,49,51,10,32,32,46,48,48,48,49,48,54,51,32,57,
      46,51,50,57,55,53,101,45,48,53,32,56,46,49,57,48,52,55,101,45,48,53,32,55,46,
      49,57,49,53,50,101,45,48,53,32,54,46,51,49,53,52,56,101,45,48,53,32,53,46,53,
      52,55,48,55,101,45,48,53,32,52,46,56,55,50,57,50,101,45,48,53,10,32,32,52,46,
      50,56,49,54,55,101,45,48,53,32,51,46,55,54,50,52,52,101,45,48,53,32,51,46,51,
      48,54,54,52,101,45,48,53,32,50,46,57,48,54,52,55,101,45,48,53,32,50,46,53,53,
      53,48,55,101,45,48,53,32,50,46,50,52,54,52,53,101,45,48,53,32,49,46,57,55,53,
      51,53,101,45,48,53,10,32,32,49,46,55,51,55,48,50,101,45,48,53,32,49,46,53,50,
      55,55,53,101,45,48,53,32,49,46,51,56,50,55,101,45,48,53,32,49,46,50,53,49,53,
      101,45,48,53,32,49,46,49,51,50,56,50,101,45,48,53,32,49,46,48,50,53,52,55,101,
      45,48,53,32,57,46,50,56,52,52,57,101,45,48,54,10,32,32,56,46,50,57,57,48,53,
      101,45,48,54,32,55,46,50,48,48,57,101,45,48,54,32,54,46,50,52,56,56,51,101,
      45,48,54,32,53,46,52,50,51,50,53,101,45,48,54,32,52,46,55,48,55,51,49,101,45,
      48,54,32,52,46,48,56,54,51,51,101,45,48,54,32,51,46,53,52,55,54,52,101,45,48,
      54,10,32,32,51,46,48,56,48,50,57,101,45,48,54,32,50,46,54,55,52,55,56,101,45,
      48,54,32,50,46,51,50,50,56,56,101,45,48,54,32,50,46,48,49,55,52,55,101,45,48,
      54,32,49,46,55,53,50,51,57,101,45,48,54,32,49,46,53,50,50,50,50,101,45,48,54,
      32,49,46,51,50,50,51,52,101,45,48,54,10,32,32,49,46,49,52,56,56,101,45,48,54,
      32,57,46,57,56,49,50,57,101,45,48,55,32,56,46,54,55,50,56,56,101,45,48,55,32,
      55,46,53,51,54,53,55,101,45,48,55,32,54,46,53,52,57,54,56,101,45,48,55,32,53,
      46,54,57,50,52,52,101,45,48,55,32,52,46,57,52,55,55,55,101,45,48,55,10,32,32,
      52,46,50,57,57,57,55,101,45,48,55,32,51,46,55,51,56,55,54,101,45,48,55,32,51,
      46,50,53,48,51,55,101,45,48,55,32,50,46,56,50,53,57,55,101,45,48,55,32,50,46,
      52,53,55,49,54,101,45,48,55,32,50,46,49,51,54,54,50,101,45,48,55,32,49,46,56,
      53,56,48,49,101,45,48,55,10,32,32,49,46,54,49,53,56,52,101,45,48,55,32,49,46,
      52,48,53,51,49,101,45,48,55,32,49,46,50,50,50,50,57,101,45,48,55,32,49,46,48,
      54,51,49,55,101,45,48,55,32,57,46,50,52,56,49,55,101,45,48,56,32,56,46,48,52,
      53,49,54,101,45,48,56,32,54,46,57,57,57,48,51,101,45,48,56,10,32,32,54,46,48,
      56,57,50,53,101,45,48,56,32,53,46,50,57,56,48,49,101,45,48,56,32,52,46,48,49,
      49,50,53,101,45,48,56,32,51,46,48,51,55,53,54,101,45,48,56,32,50,46,51,48,48,
      55,51,101,45,48,56,32,49,46,55,52,50,57,54,101,45,48,56,32,49,46,51,50,48,54,
      53,101,45,48,56,10,32,32,49,46,48,48,48,56,52,101,45,48,56,32,55,46,53,56,54,
      48,53,101,45,48,57,32,53,46,55,53,48,57,51,101,45,48,57,32,52,46,51,54,48,52,
      52,101,45,48,57,32,51,46,51,48,54,54,52,101,45,48,57,32,50,46,53,48,55,56,57,
      101,45,48,57,32,49,46,57,48,50,51,54,101,45,48,57,10,32,32,49,46,52,52,51,50,
      51,101,45,48,57,32,49,46,48,57,53,48,54,101,45,48,57,32,56,46,51,48,57,56,56,
      101,45,49,48,32,54,46,51,48,54,55,54,101,45,49,48,32,52,46,55,56,55,48,55,101,
      45,49,48,32,51,46,54,51,52,48,49,101,45,49,48,32,50,46,55,53,57,48,49,101,45,
      49,48,10,32,32,50,46,48,57,52,57,51,101,45,49,48,32,49,46,53,57,48,56,54,101,
      45,49,48,32,49,46,50,48,56,50,49,101,45,49,48,32,57,46,49,55,54,57,51,101,45,
      49,49,32,54,46,57,55,49,48,49,101,45,49,49,32,53,46,50,57,53,56,56,101,45,49,
      49,32,52,46,48,50,51,54,55,101,45,49,49,10,32,32,51,46,48,53,55,51,54,101,45,
      49,49,32,50,46,51,50,51,51,51,101,45,49,49,32,49,46,55,54,53,55,53,101,45,49,
      49,32,49,46,57,56,49,56,101,45,48,57,32,55,46,57,52,54,57,101,45,48,57,32,49,
      46,55,56,57,54,101,45,48,56,32,49,46,57,56,49,57,57,101,45,48,56,10,32,32,55,
      46,57,52,57,55,57,101,45,48,56,32,49,46,55,57,49,48,51,101,45,48,55,32,51,46,
      49,56,53,53,53,101,45,48,55,32,52,46,57,56,48,50,57,101,45,48,55,32,55,46,49,
      56,49,51,53,101,45,48,55,32,57,46,55,56,53,51,52,101,45,48,55,32,49,46,50,56,
      48,49,49,101,45,48,54,10,32,32,49,46,54,50,50,56,49,101,45,48,54,32,50,46,48,
      48,54,57,54,101,45,48,54,32,50,46,52,51,51,49,57,101,45,48,54,32,50,46,57,48,
      49,57,52,101,45,48,54,32,51,46,52,49,51,53,51,101,45,48,54,32,51,46,57,54,56,
      53,54,101,45,48,54,32,52,46,53,54,55,54,51,101,45,48,54,10,32,32,53,46,50,49,
      49,52,54,101,45,48,54,32,53,46,57,48,49,48,49,101,45,48,54,32,54,46,54,51,55,
      48,56,101,45,48,54,32,55,46,52,49,57,52,49,101,45,48,54,32,56,46,50,52,57,51,
      57,101,45,48,54,32,57,46,52,52,54,50,50,101,45,48,54,32,49,46,48,52,48,48,57,
      101,45,48,53,10,32,32,49,46,49,52,48,51,49,101,45,48,53,32,49,46,50,52,53,51,
      101,45,48,53,32,49,46,51,53,53,50,55,101,45,48,53,32,49,46,52,55,48,50,52,101,
      45,48,53,32,49,46,53,57,48,50,51,101,45,48,53,32,49,46,55,49,52,56,49,101,45,
      48,53,32,49,46,56,52,52,52,53,101,45,48,53,10,32,32,49,46,57,55,57,49,56,101,
      45,48,53,32,50,46,49,49,57,48,53,101,45,48,53,32,50,46,50,54,51,54,51,101,45,
      48,53,32,50,46,52,49,50,57,55,101,45,48,53,32,50,46,53,54,55,51,57,101,45,48,
      53,32,50,46,55,50,54,57,55,101,45,48,53,32,50,46,56,57,49,54,57,101,45,48,53,
      10,32,32,51,46,48,54,48,53,49,101,45,48,53,32,51,46,50,51,52,52,53,101,45,48,
      53,32,51,46,52,49,51,53,52,101,45,48,53,32,51,46,53,57,55,56,101,45,48,53,32,
      51,46,55,56,54,53,50,101,45,48,53,32,51,46,57,55,57,56,51,101,45,48,53,32,52,
      46,49,55,56,51,50,101,45,48,53,10,32,32,52,46,51,56,49,57,51,101,45,48,53,32,
      52,46,53,57,48,54,53,101,45,48,53,32,52,46,56,48,51,52,55,101,45,48,53,32,53,
      46,48,50,49,52,49,101,45,48,53,32,53,46,50,52,52,53,52,101,45,48,53,32,53,46,
      52,55,50,56,51,101,45,48,53,32,53,46,55,48,53,56,57,101,45,48,53,10,32,32,53,
      46,57,52,51,55,51,101,45,48,53,32,54,46,49,56,54,55,55,101,45,48,53,32,54,46,
      52,51,53,48,53,101,45,48,53,32,54,46,54,56,56,53,52,101,45,48,53,32,54,46,57,
      52,55,101,45,48,53,32,55,46,50,49,48,54,56,101,45,48,53,32,55,46,52,55,57,54,
      55,101,45,48,53,10,32,32,55,46,55,53,51,57,50,101,45,48,53,32,56,46,48,51,51,
      55,52,101,45,48,53,32,56,46,51,49,57,48,54,101,45,48,53,32,56,46,54,48,57,55,
      54,101,45,48,53,32,56,46,57,48,53,56,53,101,45,48,53,32,57,46,50,48,55,52,101,
      45,48,53,32,57,46,53,49,53,52,54,101,45,48,53,10,32,32,57,46,56,50,56,57,56,
      101,45,48,53,32,46,48,48,48,49,48,49,52,56,49,32,46,48,48,48,49,48,52,55,50,
      55,32,46,48,48,48,49,48,56,48,51,57,32,46,48,48,48,49,49,49,52,49,52,32,46,
      48,48,48,49,49,52,56,52,55,32,46,48,48,48,49,49,56,51,51,55,32,46,48,48,48,
      49,50,49,56,56,54,10,32,32,46,48,48,48,49,50,53,53,49,49,32,46,48,48,48,49,
      50,57,49,57,53,32,46,48,48,48,49,51,50,57,51,57,32,46,48,48,48,49,51,54,55,
      52,50,32,46,48,48,48,49,52,48,54,49,52,32,46,48,48,48,49,52,52,53,53,50,32,
      46,48,48,48,49,52,56,53,53,50,32,46,48,48,48,49,53,50,54,49,54,10,32,32,46,
      48,48,48,49,53,54,55,51,57,32,46,48,48,48,49,54,48,57,50,49,32,46,48,48,48,
      49,54,53,49,55,50,32,46,48,48,48,49,54,57,52,56,52,32,46,48,48,48,49,55,51,
      56,53,54,32,46,48,48,48,49,55,56,50,54,55,32,46,48,48,48,49,56,50,55,51,50,
      32,46,48,48,48,49,56,55,50,54,56,10,32,32,46,48,48,48,49,57,49,56,54,51,32,
      46,48,48,48,49,57,54,53,48,55,32,46,48,48,48,50,48,49,49,51,56,32,46,48,48,
      48,50,48,53,56,50,54,32,46,48,48,48,50,49,48,53,55,50,32,46,48,48,48,50,49,
      53,51,55,54,32,46,48,48,48,50,50,48,49,52,53,32,46,48,48,48,50,50,52,57,49,
      53,10,32,32,46,48,48,48,50,50,57,55,52,50,32,46,48,48,48,50,51,52,54,50,53,
      32,46,48,48,48,50,51,57,53,51,53,32,46,48,48,48,50,52,52,51,48,55,32,46,48,
      48,48,50,52,57,49,51,54,32,46,48,48,48,50,53,52,48,50,49,32,46,48,48,48,50,
      53,56,57,54,50,32,46,48,48,48,50,54,51,55,55,10,32,32,46,48,48,48,50,54,56,
      53,51,32,46,48,48,48,50,55,51,51,52,56,32,46,48,48,48,50,55,56,50,50,54,32,
      46,48,48,48,50,56,51,49,49,32,46,48,48,48,50,56,55,55,53,32,46,48,48,48,50,
      57,50,52,53,54,32,46,48,48,48,50,57,55,50,50,57,32,46,48,48,48,51,48,50,48,
      57,53,10,32,32,46,48,48,48,51,48,54,55,56,52,32,46,48,48,48,51,49,49,52,49,
      53,32,46,48,48,48,51,49,54,49,51,54,32,46,48,48,48,51,50,48,57,51,56,32,46,
      48,48,48,51,50,53,55,53,55,32,46,48,48,48,51,51,48,51,54,54,32,46,48,48,48,
      51,51,53,48,55,50,32,46,48,48,48,51,51,57,56,54,55,10,32,32,46,48,48,48,51,
      52,52,55,52,57,32,46,48,48,48,51,52,57,53,48,57,32,46,48,48,48,51,53,52,50,
      54,50,32,46,48,48,48,51,53,57,49,49,51,32,46,48,48,48,51,54,52,48,53,51,32,
      46,48,48,48,51,54,57,48,51,57,32,46,48,48,48,51,55,51,57,48,51,32,46,48,48,
      48,51,55,56,56,54,52,10,32,32,46,48,48,48,51,56,51,57,50,51,32,46,48,48,48,
      51,56,57,48,54,51,32,46,48,48,48,51,57,52,49,54,49,32,46,48,48,48,51,57,57,
      50,56,52,32,46,48,48,48,52,48,52,53,48,51,32,46,48,48,48,52,48,57,56,48,51,
      32,46,48,48,48,52,49,53,49,54,32,46,48,48,48,52,50,48,52,56,54,10,32,32,46,
      48,48,48,52,50,53,56,57,54,32,46,48,48,48,52,51,49,51,57,32,46,48,48,48,52,
      51,54,57,53,57,32,46,48,48,48,52,52,50,53,52,51,32,46,48,48,48,52,52,56,49,
      56,32,46,48,48,48,52,53,51,56,56,57,32,46,48,48,48,52,53,57,54,54,57,32,46,
      48,48,48,52,54,53,53,49,51,10,32,32,46,48,48,48,52,55,49,51,57,53,32,46,48,
      48,48,52,55,55,51,52,50,32,46,48,48,48,52,56,51,51,53,52,32,46,48,48,48,52,
      56,57,52,51,32,46,48,48,48,52,57,53,53,55,53,32,46,48,48,48,53,48,49,55,56,
      50,32,46,48,48,48,53,48,56,48,52,52,32,46,48,48,48,53,49,52,51,54,54,10,32,
      32,46,48,48,48,53,50,48,55,53,53,32,46,48,48,48,53,50,55,50,51,52,32,46,48,
      48,48,53,51,51,55,55,32,46,48,48,48,53,52,50,53,53,51,32,46,48,48,48,53,54,
      51,52,57,53,32,46,48,48,48,53,57,53,51,55,52,32,46,48,48,48,54,52,57,56,56,
      51,32,46,48,48,48,55,48,54,53,56,50,10,32,32,46,48,48,48,55,54,53,55,49,53,
      32,46,48,48,48,56,50,55,57,48,56,32,46,48,48,48,56,57,51,50,53,53,32,46,48,
      48,48,57,54,49,55,54,54,32,46,48,48,49,48,51,50,55,53,32,46,48,48,49,49,48,
      53,51,54,32,46,48,48,49,49,55,56,52,50,32,46,48,48,49,50,53,49,55,54,10,32,
      32,46,48,48,49,51,50,53,53,56,32,46,48,48,49,52,49,53,57,50,32,46,48,48,49,
      53,49,48,57,56,32,46,48,48,49,54,53,48,53,53,32,46,48,48,49,56,49,53,49,56,
      32,46,48,48,50,48,49,55,48,54,32,46,48,48,50,51,52,52,51,32,46,48,48,50,55,
      55,55,56,50,32,46,48,48,51,51,49,51,48,54,10,32,32,46,48,48,51,57,56,53,56,
      53,32,46,48,48,52,53,50,53,48,54,32,46,48,48,52,57,51,48,55,57,32,46,48,48,
      53,49,51,49,56,32,46,48,48,53,50,57,53,50,32,46,48,48,53,53,49,56,54,57,32,
      46,48,48,53,56,52,49,54,55,32,46,48,48,54,51,48,51,48,55,32,46,48,48,54,57,
      54,50,49,54,10,32,32,46,48,48,55,57,49,50,54,49,32,46,48,48,57,52,48,48,53,
      53,32,46,48,49,49,51,50,48,52,32,46,48,49,51,55,52,56,57,32,46,48,49,54,51,
      51,55,55,32,46,48,49,55,56,56,57,50,32,46,48,49,56,52,54,54,55,32,46,48,49,
      56,56,52,55,50,32,46,48,49,57,51,51,56,54,10,32,32,46,48,50,48,49,55,51,32,
      46,48,50,49,52,52,57,32,46,48,50,51,51,51,54,57,32,46,48,50,53,54,55,54,56,
      32,46,48,50,56,54,52,57,32,46,48,51,50,55,48,54,55,32,46,48,51,56,52,48,52,
      51,32,46,48,52,51,55,51,51,49,32,46,48,52,57,48,49,57,53,32,46,48,53,51,50,
      54,52,54,10,32,32,46,48,53,55,51,57,53,57,32,46,48,54,49,54,51,49,53,32,46,
      48,54,52,51,55,48,52,32,46,48,54,55,50,51,53,49,32,46,48,55,48,50,56,48,54,
      32,46,48,55,52,55,51,56,56,32,46,48,55,56,53,53,54,57,32,46,48,56,51,48,57,
      51,55,32,46,48,56,56,56,49,52,51,10,32,32,46,48,57,53,51,57,54,52,32,46,49,
      48,49,48,52,32,46,49,48,52,57,50,57,32,46,49,48,53,57,49,55,32,46,49,48,53,
      50,52,50,32,46,49,48,50,51,52,54,32,46,48,57,55,57,52,52,55,32,46,48,57,49,
      55,56,57,56,32,46,48,56,52,53,48,56,51,32,46,48,56,48,48,57,49,51,10,32,32,
      46,48,55,57,52,50,56,53,32,46,48,56,49,52,55,51,54,32,46,48,56,52,50,51,54,
      50,32,46,48,56,54,57,50,56,53,32,46,48,56,57,56,49,55,53,32,46,48,57,49,56,
      52,54,50,32,46,48,57,51,52,53,54,51,32,46,48,57,52,51,51,54,49,32,46,48,57,
      51,51,54,51,54,10,32,32,46,48,56,57,51,56,49,54,32,46,48,56,51,48,52,49,57,
      32,46,48,55,56,56,50,49,56,32,46,48,55,52,54,52,49,52,32,46,48,54,56,52,57,
      51,50,32,46,48,54,50,54,48,57,51,32,46,48,53,57,57,50,56,49,32,46,48,53,54,
      56,50,51,57,32,46,48,53,53,54,55,57,56,10,32,32,46,48,53,52,57,57,50,57,32,
      46,48,54,49,55,49,51,56,32,46,48,53,57,53,56,48,49,32,46,48,53,56,55,49,55,
      54,32,46,48,53,55,48,57,48,56,32,46,48,53,53,51,52,50,53,32,46,48,53,51,57,
      50,52,56,32,46,48,53,50,53,52,51,51,32,46,48,53,49,50,56,50,51,10,32,32,46,
      48,53,48,48,54,57,57,32,46,48,52,56,55,54,48,49,32,46,48,52,55,54,50,54,52,
      32,46,48,52,54,52,48,55,53,32,46,48,52,53,53,51,49,51,32,46,48,52,52,49,51,
      56,57,32,46,48,52,51,51,48,54,57,32,46,48,52,50,50,57,54,50,32,46,48,52,48,
      48,51,56,50,10,32,32,46,48,51,55,49,51,52,57,32,46,48,51,52,53,49,55,52,32,
      46,48,51,49,53,49,56,51,32,46,48,50,56,55,57,53,52,32,46,48,50,53,56,53,52,
      54,32,46,48,50,51,54,52,55,52,32,46,48,50,48,52,55,56,54,32,46,48,49,55,50,
      57,52,57,32,46,48,49,53,56,48,56,55,10,32,32,46,48,49,52,51,48,56,54,32,46,
      48,49,50,53,51,54,54,32,46,48,49,49,49,55,54,52,32,46,48,48,57,57,55,49,57,
      50,32,46,48,48,56,55,54,49,52,49,32,46,48,48,55,55,48,52,56,50,32,46,48,48,
      54,56,57,48,48,57,32,46,48,48,54,49,54,53,50,54,32,46,48,48,53,53,49,57,54,
      57,10,32,32,46,48,48,52,56,54,55,52,50,32,46,48,48,52,50,50,56,49,57,32,46,
      48,48,51,54,49,56,54,50,32,46,48,48,51,49,52,55,56,54,32,46,48,48,50,54,57,
      56,51,32,46,48,48,50,51,53,48,51,57,32,46,48,48,50,48,52,56,52,56,32,46,48,
      48,49,55,53,57,52,32,46,48,48,49,52,57,53,54,54,10,32,32,46,48,48,49,51,49,
      57,57,51,32,46,48,48,49,49,52,50,55,54,32,46,48,48,49,48,48,55,49,53,32,46,
      48,48,48,56,56,48,50,56,57,32,46,48,48,48,55,54,57,55,49,50,32,46,48,48,48,
      54,55,51,50,53,32,46,48,48,48,53,56,57,48,55,53,32,46,48,48,48,53,49,53,53,
      56,57,10,32,32,46,48,48,48,52,53,49,52,48,56,32,46,48,48,48,51,57,53,50,52,
      50,32,46,48,48,48,51,52,54,49,52,55,32,46,48,48,48,51,48,51,50,51,49,32,46,
      48,48,48,50,54,53,55,48,53,32,46,48,48,48,50,51,50,56,55,50,32,46,48,48,48,
      50,48,52,49,53,49,32,46,48,48,48,49,55,57,48,49,50,10,32,32,46,48,48,48,49,
      53,55,48,48,51,32,46,48,48,48,49,51,55,55,50,57,32,46,48,48,48,49,50,48,56,
      53,49,32,46,48,48,48,49,48,54,48,53,55,32,57,46,51,48,56,55,51,101,45,48,53,
      32,56,46,49,55,50,49,54,101,45,48,53,32,55,46,49,55,53,54,51,101,45,48,53,10,
      32,32,54,46,51,48,49,55,49,101,45,48,53,32,53,46,53,51,53,48,57,101,45,48,53,
      32,52,46,56,54,50,53,101,45,48,53,32,52,46,50,55,50,53,54,101,45,48,53,32,51,
      46,55,53,52,53,49,101,45,48,53,32,51,46,50,57,57,55,54,101,45,48,53,32,50,46,
      57,48,48,52,55,101,45,48,53,10,32,32,50,46,53,52,57,56,52,101,45,48,53,32,50,
      46,50,52,49,56,56,101,45,48,53,32,49,46,57,55,49,51,54,101,45,48,53,32,49,46,
      55,51,51,53,52,101,45,48,53,32,49,46,53,50,52,55,50,101,45,48,53,32,49,46,51,
      55,57,57,55,101,45,48,53,32,49,46,50,52,57,48,52,101,45,48,53,10,32,32,49,46,
      49,51,48,54,50,101,45,48,53,32,49,46,48,50,51,52,56,101,45,48,53,32,57,46,50,
      54,54,53,51,101,45,48,54,32,56,46,50,56,51,48,57,101,45,48,54,32,55,46,49,56,
      55,49,55,101,45,48,54,32,54,46,50,51,55,101,45,48,54,32,53,46,52,49,51,48,57,
      101,45,48,54,10,32,32,52,46,54,57,56,53,51,101,45,48,54,32,52,46,48,55,56,55,
      53,101,45,48,54,32,51,46,53,52,49,49,101,45,48,54,32,51,46,48,55,52,54,54,101,
      45,48,54,32,50,46,54,54,57,57,49,101,45,48,54,32,50,46,51,49,56,54,57,101,45,
      48,54,32,50,46,48,49,51,56,54,101,45,48,54,10,32,32,49,46,55,52,57,50,54,101,
      45,48,54,32,49,46,53,49,57,53,54,101,45,48,54,32,49,46,51,50,48,49,53,101,45,
      48,54,32,49,46,49,52,55,101,45,48,54,32,57,46,57,54,54,53,51,101,45,48,55,32,
      56,46,54,54,48,56,51,101,45,48,55,32,55,46,53,50,54,50,52,101,45,48,55,10,32,
      32,54,46,53,52,48,55,50,101,45,48,55,32,53,46,54,56,52,55,101,45,48,55,32,52,
      46,57,52,49,48,56,101,45,48,55,32,52,46,50,57,52,49,57,101,45,48,55,32,51,46,
      55,51,51,55,54,101,45,48,55,32,51,46,50,52,54,48,53,101,45,48,55,32,50,46,56,
      50,50,50,53,101,45,48,55,10,32,32,50,46,52,53,51,57,51,101,45,48,55,32,50,46,
      49,51,51,56,50,101,45,48,55,32,49,46,56,53,53,53,57,101,45,48,55,32,49,46,54,
      49,51,55,52,101,45,48,55,32,49,46,52,48,51,53,101,45,48,55,32,49,46,50,50,48,
      55,50,101,45,48,55,32,49,46,48,54,49,56,49,101,45,48,55,10,32,32,57,46,50,51,
      54,52,54,101,45,48,56,32,56,46,48,51,53,101,45,48,56,32,54,46,57,57,48,50,50,
      101,45,48,56,32,54,46,48,56,49,54,50,101,45,48,56,32,53,46,50,57,49,52,101,
      45,48,56,32,52,46,48,48,54,50,56,101,45,48,56,32,51,46,48,51,51,56,52,101,45,
      48,56,10,32,32,50,46,50,57,55,57,51,101,45,48,56,32,49,46,55,52,48,56,53,101,
      45,48,56,32,49,46,51,49,57,48,55,101,45,48,56,32,57,46,57,57,54,53,101,45,48,
      57,32,55,46,53,55,55,49,49,101,45,48,57,32,53,46,55,52,52,50,101,45,48,57,32,
      52,46,51,53,53,51,53,101,45,48,57,10,32,32,51,46,51,48,50,56,101,45,48,57,32,
      50,46,53,48,52,57,57,101,45,48,57,32,49,46,57,48,48,49,56,101,45,48,57,32,49,
      46,52,52,49,53,57,101,45,48,57,32,49,46,48,57,51,56,50,101,45,48,57,32,56,46,
      51,48,48,52,56,101,45,49,48,32,54,46,50,57,57,54,54,101,45,49,48,10,32,32,52,
      46,55,56,49,55,50,101,45,49,48,32,51,46,54,50,57,57,56,101,45,49,48,32,50,46,
      55,53,53,57,55,101,45,49,48,32,50,46,48,57,50,54,51,101,45,49,48,32,49,46,53,
      56,57,49,50,101,45,49,48,32,49,46,50,48,54,56,57,101,45,49,48,32,57,46,49,54,
      54,57,55,101,45,49,49,10,32,32,54,46,57,54,51,52,57,101,45,49,49,32,53,46,50,
      57,48,49,57,101,45,49,49,32,52,46,48,49,57,51,53,101,45,49,49,32,51,46,48,53,
      52,49,101,45,49,49,32,50,46,51,50,48,56,54,101,45,49,49,32,49,46,55,54,51,56,
      55,101,45,49,49,32,49,46,55,57,50,50,49,101,45,48,57,10,32,32,55,46,49,56,54,
      53,56,101,45,48,57,32,49,46,54,49,56,51,54,101,45,48,56,32,49,46,55,57,50,51,
      51,101,45,48,56,32,55,46,49,56,56,52,54,101,45,48,56,32,49,46,54,49,57,50,57,
      101,45,48,55,32,50,46,56,55,57,53,52,101,45,48,55,32,52,46,53,48,48,56,49,101,
      45,48,55,10,32,32,54,46,52,56,56,49,55,101,45,48,55,32,56,46,56,51,56,48,56,
      101,45,48,55,32,49,46,49,53,53,56,101,45,48,54,32,49,46,52,54,52,54,55,101,
      45,48,54,32,49,46,56,49,48,54,54,101,45,48,54,32,50,46,49,57,52,50,54,101,45,
      48,54,32,50,46,54,49,53,55,57,101,45,48,54,10,32,32,51,46,48,55,53,52,52,101,
      45,48,54,32,51,46,53,55,51,54,56,101,45,48,54,32,52,46,49,49,48,57,50,101,45,
      48,54,32,52,46,54,56,55,54,50,101,45,48,54,32,53,46,51,48,52,53,53,101,45,48,
      54,32,53,46,57,54,50,50,55,101,45,48,54,32,54,46,54,54,48,55,101,45,48,54,10,
      32,32,55,46,52,48,48,57,56,101,45,48,54,32,56,46,49,56,51,57,101,45,48,54,32,
      57,46,50,57,50,52,52,101,45,48,54,32,49,46,48,49,56,51,52,101,45,48,53,32,49,
      46,49,49,49,54,52,101,45,48,53,32,49,46,50,48,57,50,57,101,45,48,53,32,49,46,
      51,49,49,50,57,101,45,48,53,10,32,32,49,46,52,49,55,54,55,101,45,48,53,32,49,
      46,53,50,56,49,49,101,45,48,53,32,49,46,54,52,50,57,54,101,45,48,53,32,49,46,
      55,54,50,50,53,101,45,48,53,32,49,46,56,56,54,48,50,101,45,48,53,32,50,46,48,
      49,51,57,53,101,45,48,53,32,50,46,49,52,54,48,55,101,45,48,53,10,32,32,50,46,
      50,56,50,54,52,101,45,48,53,32,50,46,52,50,51,55,101,45,48,53,32,50,46,53,54,
      57,50,53,101,45,48,53,32,50,46,55,49,56,52,57,101,45,48,53,32,50,46,56,55,50,
      50,101,45,48,53,32,51,46,48,51,48,52,49,101,45,48,53,32,51,46,49,57,51,49,51,
      101,45,48,53,10,32,32,51,46,51,53,57,56,50,101,45,48,53,32,51,46,53,51,48,53,
      55,101,45,48,53,32,51,46,55,48,53,56,53,101,45,48,53,32,51,46,56,56,53,54,101,
      45,48,53,32,52,46,48,54,57,56,49,101,45,48,53,32,52,46,50,53,55,55,50,101,45,
      48,53,32,52,46,52,53,48,48,57,101,45,48,53,10,32,32,52,46,54,52,55,101,45,48,
      53,32,52,46,56,52,56,52,49,101,45,48,53,32,53,46,48,53,52,48,51,101,45,48,53,
      32,53,46,50,54,51,56,54,101,45,48,53,32,53,46,52,55,56,50,51,101,45,48,53,32,
      53,46,54,57,55,49,54,101,45,48,53,32,53,46,57,50,48,54,52,101,45,48,53,10,32,
      32,54,46,49,52,56,52,57,101,45,48,53,32,54,46,51,56,48,56,56,101,45,48,53,32,
      54,46,54,49,55,57,49,101,45,48,53,32,54,46,56,53,57,53,50,101,45,48,53,32,55,
      46,49,48,53,57,52,101,45,48,53,32,55,46,51,53,55,49,53,101,45,48,53,32,55,46,
      54,49,51,48,52,101,45,48,53,10,32,32,55,46,56,55,51,54,49,101,45,48,53,32,56,
      46,49,51,56,57,51,101,45,48,53,32,56,46,52,48,57,56,50,101,45,48,53,32,56,46,
      54,56,53,52,53,101,45,48,53,32,56,46,57,54,53,57,101,45,48,53,32,57,46,50,53,
      49,49,54,101,45,48,53,32,57,46,53,52,50,48,53,101,45,48,53,10,32,32,57,46,56,
      51,56,52,101,45,48,53,32,46,48,48,48,49,48,49,51,57,55,32,46,48,48,48,49,48,
      52,52,53,57,32,46,48,48,48,49,48,55,53,55,51,32,46,48,48,48,49,49,48,55,53,
      49,32,46,48,48,48,49,49,51,57,55,57,32,46,48,48,48,49,49,55,50,53,57,32,46,
      48,48,48,49,50,48,53,57,49,10,32,32,46,48,48,48,49,50,51,57,56,49,32,46,48,
      48,48,49,50,55,52,50,57,32,46,48,48,48,49,51,48,57,50,57,32,46,48,48,48,49,
      51,52,52,56,52,32,46,48,48,48,49,51,56,48,57,49,32,46,48,48,48,49,52,49,55,
      52,57,32,46,48,48,48,49,52,53,52,54,54,32,46,48,48,48,49,52,57,50,51,53,10,
      32,32,46,48,48,48,49,53,51,48,53,53,32,46,48,48,48,49,53,54,57,49,50,32,46,
      48,48,48,49,54,48,56,49,54,32,46,48,48,48,49,54,52,55,56,49,32,46,48,48,48,
      49,54,56,55,57,54,32,46,48,48,48,49,55,50,56,53,54,32,46,48,48,48,49,55,54,
      57,48,56,32,46,48,48,48,49,56,49,48,49,10,32,32,46,48,48,48,49,56,53,49,54,
      50,32,46,48,48,48,49,56,57,51,54,53,32,46,48,48,48,49,57,51,53,52,52,32,46,
      48,48,48,49,57,55,55,50,56,32,46,48,48,48,50,48,49,57,54,49,32,46,48,48,48,
      50,48,54,50,52,51,32,46,48,48,48,50,49,48,53,53,49,32,46,48,48,48,50,49,52,
      55,53,51,10,32,32,46,48,48,48,50,49,57,48,48,53,32,46,48,48,48,50,50,51,51,
      48,54,32,46,48,48,48,50,50,55,54,53,53,32,46,48,48,48,50,51,49,57,48,51,32,
      46,48,48,48,50,51,54,49,49,55,32,46,48,48,48,50,52,48,51,56,50,32,46,48,48,
      48,50,52,52,54,57,55,32,46,48,48,48,50,52,57,48,50,50,10,32,32,46,48,48,48,
      50,53,51,49,53,56,32,46,48,48,48,50,53,55,51,53,32,46,48,48,48,50,54,49,54,
      32,46,48,48,48,50,54,53,57,50,57,32,46,48,48,48,50,55,48,49,50,51,32,46,48,
      48,48,50,55,52,50,55,54,32,46,48,48,48,50,55,56,53,48,53,32,46,48,48,48,50,
      56,50,56,48,51,10,32,32,46,48,48,48,50,56,55,49,49,57,32,46,48,48,48,50,57,
      49,50,55,53,32,46,48,48,48,50,57,53,53,49,51,32,46,48,48,48,50,57,57,56,50,
      54,32,46,48,48,48,51,48,52,50,49,51,32,46,48,48,48,51,48,56,53,48,57,32,46,
      48,48,48,51,49,50,56,48,54,32,46,48,48,48,51,49,55,49,56,54,10,32,32,46,48,
      48,48,51,50,49,54,52,32,46,48,48,48,51,50,54,49,51,54,32,46,48,48,48,51,51,
      48,53,52,49,32,46,48,48,48,51,51,53,48,50,57,32,46,48,48,48,51,51,57,53,57,
      57,32,46,48,48,48,51,52,52,50,51,55,32,46,48,48,48,51,52,56,56,52,56,32,46,
      48,48,48,51,53,51,52,56,54,10,32,32,46,48,48,48,51,53,56,50,48,50,32,46,48,
      48,48,51,54,50,57,56,56,32,46,48,48,48,51,54,55,56,50,51,32,46,48,48,48,51,
      55,50,54,52,32,46,48,48,48,51,55,55,53,50,56,32,46,48,48,48,51,56,50,52,56,
      54,32,46,48,48,48,51,56,55,53,48,55,32,46,48,48,48,51,57,50,53,52,54,10,32,
      32,46,48,48,48,51,57,55,54,51,50,32,46,48,48,48,52,48,50,55,55,56,32,46,48,
      48,48,52,48,55,57,56,54,32,46,48,48,48,52,49,51,50,52,55,32,46,48,48,48,52,
      49,56,53,52,52,32,46,48,48,48,52,50,51,56,57,54,32,46,48,48,48,52,50,57,51,
      48,52,32,46,48,48,48,52,51,52,55,54,55,10,32,32,46,48,48,48,52,52,48,50,56,
      55,32,46,48,48,48,52,52,53,56,54,49,32,46,48,48,48,52,53,49,52,56,51,32,46,
      48,48,48,52,53,55,49,53,54,32,46,48,48,48,52,54,50,56,56,54,32,46,48,48,48,
      52,54,56,54,57,32,46,48,48,48,52,55,52,53,52,52,32,46,48,48,48,52,56,50,52,
      48,56,10,32,32,46,48,48,48,53,48,49,49,50,56,32,46,48,48,48,53,50,57,53,54,
      32,46,48,48,48,53,55,55,57,57,52,32,46,48,48,48,54,50,56,48,57,32,46,48,48,
      48,54,56,48,48,52,52,32,46,48,48,48,55,51,52,51,53,50,32,46,48,48,48,55,57,
      49,49,49,56,32,46,48,48,48,56,53,48,51,55,57,10,32,32,46,48,48,48,57,49,49,
      54,51,49,32,46,48,48,48,57,55,52,50,50,52,32,46,48,48,49,48,51,55,50,51,32,
      46,48,48,49,49,48,48,53,50,32,46,48,48,49,49,54,52,50,51,32,46,48,48,49,50,
      52,50,49,52,32,46,48,48,49,51,50,51,57,32,46,48,48,49,52,52,51,52,10,32,32,
      46,48,48,49,53,56,51,53,57,32,46,48,48,49,55,53,53,32,46,48,48,50,48,51,51,
      52,53,32,46,48,48,50,52,48,53,54,54,32,46,48,48,50,56,55,49,53,55,32,46,48,
      48,51,52,54,53,55,53,32,46,48,48,51,57,52,53,49,53,32,46,48,48,52,51,48,48,
      54,49,32,46,48,48,52,52,54,57,54,54,10,32,32,46,48,48,52,54,48,53,52,54,32,
      46,48,48,52,55,57,53,48,57,32,46,48,48,53,48,55,51,49,53,32,46,48,48,53,52,
      55,52,49,52,32,46,48,48,54,48,53,49,52,55,32,46,48,48,54,56,57,49,52,50,32,
      46,48,48,56,50,50,52,52,54,32,46,48,48,57,57,55,52,54,53,10,32,32,46,48,49,
      50,50,51,50,54,32,46,48,49,52,54,54,57,49,32,46,48,49,54,48,54,52,55,32,46,
      48,49,54,53,49,54,49,32,46,48,49,54,55,54,50,51,32,46,48,49,55,49,49,49,57,
      32,46,48,49,55,55,57,51,57,32,46,48,49,56,56,57,50,53,32,46,48,50,48,53,53,
      56,56,10,32,32,46,48,50,50,54,53,54,55,32,46,48,50,53,51,53,51,51,32,46,48,
      50,57,48,55,52,51,32,46,48,51,52,51,53,52,53,32,46,48,51,57,51,51,55,49,32,
      46,48,52,52,51,50,57,32,46,48,52,56,52,49,50,52,32,46,48,53,50,53,48,49,57,
      32,46,48,53,54,57,49,49,50,10,32,32,46,48,53,57,56,56,50,52,32,46,48,54,50,
      56,48,49,51,32,46,48,54,53,55,53,54,54,32,46,48,55,48,48,54,54,54,32,46,48,
      55,51,56,50,49,57,32,46,48,55,56,49,57,51,32,46,48,56,51,53,52,55,52,32,46,
      48,56,57,54,52,53,57,32,46,48,57,52,57,52,57,53,10,32,32,46,48,57,56,56,49,
      51,32,46,49,48,48,48,57,57,32,46,48,57,57,55,54,55,32,46,48,57,55,53,54,51,
      49,32,46,48,57,51,56,50,50,55,32,46,48,56,56,51,50,52,54,32,46,48,56,49,54,
      55,48,54,32,46,48,55,55,54,49,48,52,32,46,48,55,55,48,55,56,57,32,46,48,55,
      57,49,48,54,52,10,32,32,46,48,56,49,56,48,57,57,32,46,48,56,52,52,52,50,56,
      32,46,48,56,55,50,55,48,54,32,46,48,56,57,50,53,56,51,32,46,48,57,48,56,52,
      55,50,32,46,48,57,49,55,55,49,56,32,46,48,57,48,56,57,50,32,46,48,56,55,49,
      52,56,51,32,46,48,56,49,49,49,56,32,46,48,55,55,48,56,49,56,10,32,32,46,48,
      55,51,48,55,48,57,32,46,48,54,55,49,53,51,49,32,46,48,54,49,52,55,50,32,46,
      48,53,56,56,55,55,54,32,46,48,53,53,56,55,51,55,32,46,48,53,52,55,54,56,51,
      32,46,48,53,52,49,49,51,52,32,46,48,54,48,54,55,56,56,32,46,48,53,56,54,49,
      55,55,10,32,32,46,48,53,55,55,56,51,51,32,46,48,53,54,50,48,55,57,32,46,48,
      53,52,53,49,50,56,32,46,48,53,51,49,51,54,50,32,46,48,53,49,55,57,51,32,46,
      48,53,48,53,54,54,51,32,46,48,52,57,51,56,54,32,46,48,52,56,49,48,57,52,32,
      46,48,52,55,48,48,51,50,32,46,48,52,53,56,49,51,51,10,32,32,46,48,52,52,57,
      53,55,53,32,46,48,52,51,53,57,54,56,32,46,48,52,50,55,56,51,32,46,48,52,49,
      55,57,51,56,32,46,48,51,57,53,56,50,50,32,46,48,51,54,55,51,52,55,32,46,48,
      51,52,49,54,52,32,46,48,51,49,50,49,52,52,32,46,48,50,56,53,51,51,50,32,46,
      48,50,53,54,51,51,57,10,32,32,46,48,50,51,52,53,53,52,32,46,48,50,48,51,50,
      52,54,32,46,48,49,55,49,54,51,52,32,46,48,49,53,54,57,50,50,32,46,48,49,52,
      50,48,54,56,32,46,48,49,50,52,53,53,50,32,46,48,49,49,49,48,55,51,32,46,48,
      48,57,57,49,50,50,49,32,46,48,48,56,55,49,48,56,53,10,32,32,46,48,48,55,54,
      54,49,56,52,32,46,48,48,54,56,53,50,55,53,32,46,48,48,54,49,51,50,54,57,32,
      46,48,48,53,52,57,49,50,55,32,46,48,48,52,56,52,51,48,52,32,46,48,48,52,50,
      48,55,57,52,32,46,48,48,51,54,48,50,52,56,32,46,48,48,51,49,51,52,49,57,10,
      32,32,46,48,48,50,54,56,54,57,50,32,46,48,48,50,51,52,48,54,57,32,46,48,48,
      50,48,52,48,50,52,32,46,48,48,49,55,53,50,52,56,32,46,48,48,49,52,56,57,57,
      50,32,46,48,48,49,51,49,52,57,54,32,46,48,48,49,49,51,56,53,51,32,46,48,48,
      49,48,48,51,52,57,10,32,32,46,48,48,48,56,55,55,49,53,32,46,48,48,48,55,54,
      55,48,48,54,32,46,48,48,48,54,55,48,57,50,32,46,48,48,48,53,56,55,48,55,32,
      46,48,48,48,53,49,51,56,53,57,32,46,48,48,48,52,52,57,57,49,51,32,46,48,48,
      48,51,57,52,48,52,32,46,48,48,48,51,52,53,50,48,50,10,32,32,46,48,48,48,51,
      48,50,52,53,52,32,46,48,48,48,50,54,53,48,51,51,32,46,48,48,48,50,51,50,50,
      57,50,32,46,48,48,48,50,48,51,54,52,57,32,46,48,48,48,49,55,56,53,55,56,32,
      46,48,48,48,49,53,54,54,50,55,32,46,48,48,48,49,51,55,52,48,51,32,46,48,48,
      48,49,50,48,53,54,56,10,32,32,46,48,48,48,49,48,53,56,49,50,32,57,46,50,56,
      55,52,52,101,45,48,53,32,56,46,49,53,51,55,50,101,45,48,53,32,55,46,49,53,57,
      54,50,101,45,48,53,32,54,46,50,56,55,55,55,101,45,48,53,32,53,46,53,50,50,57,
      55,101,45,48,53,32,52,46,56,53,49,57,53,101,45,48,53,10,32,32,52,46,50,54,51,
      52,101,45,48,53,32,51,46,55,52,54,53,52,101,45,48,53,32,51,46,50,57,50,56,101,
      45,48,53,32,50,46,56,57,52,52,49,101,45,48,53,32,50,46,53,52,52,53,53,101,45,
      48,53,32,50,46,50,51,55,50,55,101,45,48,53,32,49,46,57,54,55,51,52,101,45,48,
      53,10,32,32,49,46,55,51,48,48,52,101,45,48,53,32,49,46,53,50,49,54,54,101,45,
      48,53,32,49,46,51,55,55,50,50,101,45,48,53,32,49,46,50,52,54,53,54,101,45,48,
      53,32,49,46,49,50,56,51,56,101,45,48,53,32,49,46,48,50,49,52,55,101,45,48,53,
      32,57,46,50,52,56,52,55,101,45,48,54,10,32,32,56,46,50,54,55,48,54,101,45,48,
      54,32,55,46,49,55,51,51,54,101,45,48,54,32,54,46,50,50,53,49,101,45,48,54,32,
      53,46,52,48,50,56,101,45,48,54,32,52,46,54,56,57,54,55,101,45,48,54,32,52,46,
      48,55,49,49,50,101,45,48,54,32,51,46,53,51,52,53,52,101,45,48,54,10,32,32,51,
      46,48,54,56,57,57,101,45,48,54,32,50,46,54,54,53,48,50,101,45,48,54,32,50,46,
      51,49,52,52,53,101,45,48,54,32,50,46,48,49,48,50,101,45,48,54,32,49,46,55,52,
      54,49,101,45,48,54,32,49,46,53,49,54,56,53,101,45,48,54,32,49,46,51,49,55,56,
      101,45,48,54,10,32,32,49,46,49,52,52,57,56,101,45,48,54,32,57,46,57,52,56,57,
      54,101,45,48,55,32,56,46,54,52,53,53,57,101,45,48,55,32,55,46,53,49,51,53,54,
      101,45,48,55,32,54,46,53,51,48,50,56,101,45,48,55,32,53,46,54,55,54,49,50,101,
      45,48,55,32,52,46,57,51,52,48,53,101,45,48,55,10,32,32,52,46,50,56,56,52,101,
      45,48,55,32,51,46,55,50,56,55,53,101,45,48,55,32,51,46,50,52,49,55,49,101,45,
      48,55,32,50,46,56,49,56,52,56,101,45,48,55,32,50,46,52,53,48,54,55,101,45,48,
      55,32,50,46,49,51,49,48,49,101,45,48,55,32,49,46,56,53,51,49,54,101,45,48,55,
      10,32,32,49,46,54,49,49,54,52,101,45,48,55,32,49,46,52,48,49,54,56,101,45,48,
      55,32,49,46,50,49,57,49,53,101,45,48,55,32,49,46,48,54,48,52,53,101,45,48,55,
      32,57,46,50,50,52,54,51,101,45,48,56,32,56,46,48,50,52,55,53,101,45,48,56,32,
      54,46,57,56,49,51,53,101,45,48,56,10,32,32,54,46,48,55,51,57,52,101,45,48,56,
      32,53,46,50,56,52,55,54,101,45,48,56,32,52,46,48,48,49,51,49,101,45,48,56,32,
      51,46,48,51,48,49,101,45,48,56,32,50,46,50,57,53,49,50,101,45,48,56,32,49,46,
      55,51,56,55,52,101,45,48,56,32,49,46,51,49,55,52,56,101,45,48,56,10,32,32,57,
      46,57,56,52,53,56,101,45,48,57,32,55,46,53,54,56,49,51,101,45,48,57,32,53,46,
      55,51,55,52,50,101,45,48,57,32,52,46,51,53,48,50,53,101,45,48,57,32,51,46,50,
      57,56,57,53,101,45,48,57,32,50,46,53,48,50,48,57,101,45,48,57,32,49,46,56,57,
      55,57,57,101,45,48,57,10,32,32,49,46,52,51,57,57,51,101,45,48,57,32,49,46,48,
      57,50,53,55,101,45,48,57,32,56,46,50,57,49,48,53,101,45,49,48,32,54,46,50,57,
      50,53,54,101,45,49,48,32,52,46,55,55,54,51,56,101,45,49,48,32,51,46,54,50,53,
      57,52,101,45,49,48,32,50,46,55,53,50,57,49,101,45,49,48,10,32,32,50,46,48,57,
      48,51,50,101,45,49,48,32,49,46,53,56,55,51,56,101,45,49,48,32,49,46,50,48,53,
      53,55,101,45,49,48,32,57,46,49,53,55,48,49,101,45,49,49,32,54,46,57,53,53,57,
      54,101,45,49,49,32,53,46,50,56,52,52,56,101,45,49,49,32,52,46,48,49,53,48,52,
      101,45,49,49,10,32,32,51,46,48,53,48,56,50,101,45,49,49,32,50,46,51,49,56,51,
      56,101,45,49,49,32,49,46,55,54,50,101,45,49,49,32,49,46,53,57,57,54,55,101,
      45,48,57,32,54,46,52,49,52,53,51,101,45,48,57,32,49,46,52,52,52,53,101,45,48,
      56,32,49,46,53,57,57,55,57,101,45,48,56,10,32,32,54,46,52,49,54,50,56,101,45,
      48,56,32,49,46,52,52,53,51,53,101,45,48,55,32,50,46,53,55,48,50,51,101,45,48,
      55,32,52,46,48,49,55,50,56,101,45,48,55,32,53,46,55,57,48,57,57,101,45,48,55,
      32,55,46,56,56,56,49,56,101,45,48,55,32,49,46,48,51,49,53,52,101,45,48,54,10,
      32,32,49,46,51,48,55,49,53,101,45,48,54,32,49,46,54,49,53,56,54,101,45,48,54,
      32,49,46,57,53,56,48,56,101,45,48,54,32,50,46,51,51,52,48,56,101,45,48,54,32,
      50,46,55,52,52,48,50,101,45,48,54,32,51,46,49,56,56,50,55,101,45,48,54,32,51,
      46,54,54,55,49,54,101,45,48,54,10,32,32,52,46,49,56,49,48,49,101,45,48,54,32,
      52,46,55,51,48,52,52,101,45,48,54,32,53,46,51,49,53,56,57,101,45,48,54,32,53,
      46,57,51,55,51,49,101,45,48,54,32,54,46,53,57,53,54,101,45,48,54,32,55,46,50,
      57,49,53,54,101,45,48,54,32,56,46,48,50,53,53,52,101,45,48,54,10,32,32,57,46,
      48,52,55,50,54,101,45,48,54,32,57,46,56,55,53,51,56,101,45,48,54,32,49,46,48,
      55,52,50,49,101,45,48,53,32,49,46,49,54,52,55,51,101,45,48,53,32,49,46,50,53,
      57,48,57,101,45,48,53,32,49,46,51,53,55,48,52,101,45,48,53,32,49,46,52,53,56,
      56,55,101,45,48,53,10,32,32,49,46,53,54,52,54,50,101,45,48,53,32,49,46,54,55,
      52,51,49,101,45,48,53,32,49,46,55,56,55,54,55,101,45,48,53,32,49,46,57,48,52,
      55,51,101,45,48,53,32,50,46,48,50,53,55,49,101,45,48,53,32,50,46,49,53,48,54,
      53,101,45,48,53,32,50,46,50,55,57,53,52,101,45,48,53,10,32,32,50,46,52,49,49,
      55,50,101,45,48,53,32,50,46,53,52,55,56,51,101,45,48,53,32,50,46,54,56,55,57,
      49,101,45,48,53,32,50,46,56,51,49,57,53,101,45,48,53,32,50,46,57,55,57,53,50,
      101,45,48,53,32,51,46,49,51,48,54,57,101,45,48,53,32,51,46,50,56,53,56,52,101,
      45,48,53,10,32,32,51,46,52,52,52,57,51,101,45,48,53,32,51,46,54,48,55,57,53,
      101,45,48,53,32,51,46,55,55,52,50,54,101,45,48,53,32,51,46,57,52,52,53,49,101,
      45,48,53,32,52,46,49,49,56,55,53,101,45,48,53,32,52,46,50,57,54,57,54,101,45,
      48,53,32,52,46,52,55,56,56,56,101,45,48,53,10,32,32,52,46,54,54,52,53,51,101,
      45,48,53,32,52,46,56,53,52,49,55,101,45,48,53,32,53,46,48,52,55,56,50,101,45,
      48,53,32,53,46,50,52,53,52,57,101,45,48,53,32,53,46,52,52,55,101,45,48,53,32,
      53,46,54,53,50,53,49,101,45,48,53,32,53,46,56,54,50,48,57,101,45,48,53,10,32,
      32,54,46,48,55,53,55,49,101,45,48,53,32,54,46,50,57,51,53,53,101,45,48,53,32,
      54,46,53,49,53,53,57,101,45,48,53,32,54,46,55,52,49,55,52,101,45,48,53,32,54,
      46,57,55,50,48,49,101,45,48,53,32,55,46,50,48,54,52,52,101,45,48,53,32,55,46,
      52,52,53,55,51,101,45,48,53,10,32,32,55,46,54,56,57,49,56,101,45,48,53,32,55,
      46,57,51,54,56,53,101,45,48,53,32,56,46,49,56,56,55,52,101,45,48,53,32,56,46,
      52,52,53,53,52,101,45,48,53,32,56,46,55,48,55,49,101,45,48,53,32,56,46,57,55,
      50,57,56,101,45,48,53,32,57,46,50,52,51,49,56,101,45,48,53,10,32,32,57,46,53,
      49,55,56,56,101,45,48,53,32,57,46,55,57,56,49,51,101,45,48,53,32,46,48,48,48,
      49,48,48,56,50,56,32,46,48,48,48,49,48,51,55,50,32,46,48,48,48,49,48,54,54,
      53,55,32,46,48,48,48,49,48,57,54,52,53,32,46,48,48,48,49,49,50,54,56,51,32,
      46,48,48,48,49,49,53,55,54,55,10,32,32,46,48,48,48,49,49,56,56,57,56,32,46,
      48,48,48,49,50,50,48,55,53,32,46,48,48,48,49,50,53,50,57,54,32,46,48,48,48,
      49,50,56,53,54,57,32,46,48,48,48,49,51,49,56,56,56,32,46,48,48,48,49,51,53,
      50,53,49,32,46,48,48,48,49,51,56,54,52,54,32,46,48,48,48,49,52,50,48,56,51,
      10,32,32,46,48,48,48,49,52,53,53,55,51,32,46,48,48,48,49,52,57,49,48,55,32,
      46,48,48,48,49,53,50,54,56,32,46,48,48,48,49,53,54,50,52,57,32,46,48,48,48,
      49,53,57,56,54,50,32,46,48,48,48,49,54,51,53,49,57,32,46,48,48,48,49,54,55,
      50,49,57,32,46,48,48,48,49,55,48,57,48,51,10,32,32,46,48,48,48,49,55,52,53,
      57,50,32,46,48,48,48,49,55,56,51,50,53,32,46,48,48,48,49,56,50,49,48,49,32,
      46,48,48,48,49,56,53,57,48,49,32,46,48,48,48,49,56,57,54,49,53,32,46,48,48,
      48,49,57,51,51,55,51,32,46,48,48,48,49,57,55,49,55,51,32,46,48,48,48,50,48,
      49,48,49,54,10,32,32,46,48,48,48,50,48,52,55,55,55,32,46,48,48,48,50,48,56,
      53,49,50,32,46,48,48,48,50,49,50,50,57,50,32,46,48,48,48,50,49,54,49,49,54,
      32,46,48,48,48,50,49,57,57,53,32,46,48,48,48,50,50,51,54,51,32,46,48,48,48,
      50,50,55,51,53,56,32,46,48,48,48,50,51,49,49,51,55,10,32,32,46,48,48,48,50,
      51,52,57,56,52,32,46,48,48,48,50,51,56,55,50,32,46,48,48,48,50,52,50,52,50,
      53,32,46,48,48,48,50,52,54,49,57,53,32,46,48,48,48,50,53,48,48,50,53,32,46,
      48,48,48,50,53,51,56,55,50,32,46,48,48,48,50,53,55,53,56,57,32,46,48,48,48,
      50,54,49,51,55,54,10,32,32,46,48,48,48,50,54,53,50,50,55,32,46,48,48,48,50,
      54,57,49,52,50,32,46,48,48,48,50,55,50,57,56,51,32,46,48,48,48,50,55,54,56,
      50,56,32,46,48,48,48,50,56,48,55,52,51,32,46,48,48,48,50,56,52,55,50,50,32,
      46,48,48,48,50,56,56,55,51,57,32,46,48,48,48,50,57,50,54,56,50,10,32,32,46,
      48,48,48,50,57,54,54,57,54,32,46,48,48,48,51,48,48,55,56,32,46,48,48,48,51,
      48,52,57,50,51,32,46,48,48,48,51,48,57,48,52,53,32,46,48,48,48,51,49,51,49,
      57,50,32,46,48,48,48,51,49,55,52,48,55,32,46,48,48,48,51,50,49,54,56,49,32,
      46,48,48,48,51,50,53,57,57,56,10,32,32,46,48,48,48,51,51,48,51,48,50,32,46,
      48,48,48,51,51,52,54,54,55,32,46,48,48,48,51,51,57,48,57,51,32,46,48,48,48,
      51,52,51,53,55,52,32,46,48,48,48,51,52,56,48,55,49,32,46,48,48,48,51,53,50,
      54,49,32,46,48,48,48,51,53,55,50,48,49,32,46,48,48,48,51,54,49,56,52,52,10,
      32,32,46,48,48,48,51,54,54,53,51,53,32,46,48,48,48,51,55,49,50,53,56,32,46,
      48,48,48,51,55,54,48,50,56,32,46,48,48,48,51,56,48,56,52,55,32,46,48,48,48,
      51,56,53,55,49,52,32,46,48,48,48,51,57,48,54,51,49,32,46,48,48,48,51,57,53,
      53,57,53,32,46,48,48,48,52,48,48,54,48,49,10,32,32,46,48,48,48,52,48,53,54,
      53,49,32,46,48,48,48,52,49,48,55,53,49,32,46,48,48,48,52,49,53,57,49,54,32,
      46,48,48,48,52,50,49,49,50,51,32,46,48,48,48,52,50,56,49,49,56,32,46,48,48,
      48,52,52,52,55,54,32,46,48,48,48,52,55,48,48,49,57,32,46,48,48,48,53,49,50,
      57,57,50,10,32,32,46,48,48,48,53,53,55,51,53,54,32,46,48,48,48,54,48,51,50,
      55,49,32,46,48,48,48,54,53,49,49,52,52,32,46,48,48,48,55,48,49,48,53,55,32,
      46,48,48,48,55,53,51,48,51,55,32,46,48,48,48,56,48,54,54,54,52,32,46,48,48,
      48,56,54,49,51,57,57,32,46,48,48,48,57,49,54,52,55,54,10,32,32,46,48,48,48,
      57,55,49,55,56,49,32,46,48,48,49,48,50,55,52,52,32,46,48,48,49,48,57,53,52,
      53,32,46,48,48,49,49,54,54,54,53,32,46,48,48,49,50,55,48,51,51,32,46,48,48,
      49,51,57,49,51,32,46,48,48,49,53,51,56,53,32,46,48,48,49,55,55,55,49,51,32,
      46,48,48,50,48,57,55,50,52,10,32,32,46,48,48,50,53,48,49,56,57,32,46,48,48,
      51,48,50,52,53,50,32,46,48,48,51,52,52,57,51,52,32,46,48,48,51,55,54,49,50,
      52,32,46,48,48,51,57,48,53,48,55,32,46,48,48,52,48,49,57,56,49,32,46,48,48,
      52,49,56,50,54,57,32,46,48,48,52,52,50,51,56,56,10,32,32,46,48,48,52,55,55,
      51,55,32,46,48,48,53,50,55,57,56,50,32,46,48,48,54,48,50,48,55,56,32,46,48,
      48,55,50,49,48,51,56,32,46,48,48,56,55,57,55,56,49,32,46,48,49,48,56,56,53,
      55,32,46,48,49,51,49,54,56,50,32,46,48,49,52,52,50,51,49,32,46,48,49,52,55,
      55,48,55,10,32,32,46,48,49,52,57,49,49,51,32,46,48,49,53,49,53,48,54,32,46,
      48,49,53,55,48,57,52,32,46,48,49,54,54,53,56,50,32,46,48,49,56,49,51,48,50,
      32,46,48,50,48,48,48,56,57,32,46,48,50,50,52,52,57,57,32,46,48,50,53,56,53,
      50,49,32,46,48,51,48,55,50,57,54,10,32,32,46,48,51,53,51,55,51,53,32,46,48,
      52,48,48,55,48,53,32,46,48,52,51,57,55,56,53,32,46,48,52,55,57,57,51,49,32,
      46,48,53,50,53,48,56,57,32,46,48,53,53,54,53,53,57,32,46,48,53,56,54,48,51,
      53,32,46,48,54,49,52,54,52,49,32,46,48,54,53,54,50,49,56,10,32,32,46,48,54,
      57,51,48,51,49,32,46,48,55,51,53,48,55,54,32,46,48,55,56,53,49,52,49,32,46,
      48,56,52,49,53,56,32,46,48,56,57,49,51,54,57,32,46,48,57,50,57,54,48,50,32,
      46,48,57,52,53,48,53,54,32,46,48,57,52,52,56,49,55,32,46,48,57,50,57,49,50,
      54,10,32,32,46,48,56,57,55,56,57,50,32,46,48,56,52,57,49,52,50,32,46,48,55,
      56,56,54,50,53,32,46,48,55,53,49,52,55,51,32,46,48,55,52,55,52,49,57,32,46,
      48,55,54,55,53,48,52,32,46,48,55,57,51,57,52,51,32,46,48,56,49,57,54,55,53,
      32,46,48,56,52,55,51,51,53,10,32,32,46,48,56,54,54,55,57,56,32,46,48,56,56,
      50,52,54,56,32,46,48,56,57,50,49,51,57,32,46,48,56,56,52,50,52,50,32,46,48,
      56,52,57,49,52,51,32,46,48,55,57,49,56,57,50,32,46,48,55,53,51,51,53,32,46,
      48,55,49,52,57,50,52,32,46,48,54,53,56,48,51,57,10,32,32,46,48,54,48,51,50,
      52,55,32,46,48,53,55,56,49,55,52,32,46,48,53,52,57,49,51,55,32,46,48,53,51,
      56,52,55,50,32,46,48,53,51,50,50,52,51,32,46,48,53,57,54,51,51,49,32,46,48,
      53,55,54,52,52,57,32,46,48,53,54,56,51,56,55,32,46,48,53,53,51,49,52,55,10,
      32,32,46,48,53,51,54,55,50,54,32,46,48,53,50,51,51,55,54,32,46,48,53,49,48,
      51,51,51,32,46,48,52,57,56,52,48,54,32,46,48,52,56,54,57,50,49,32,46,48,52,
      55,52,52,57,32,46,48,52,54,51,55,49,50,32,46,48,52,53,50,49,48,53,32,46,48,
      52,52,51,55,53,32,46,48,52,51,48,52,53,56,10,32,32,46,48,52,50,50,53,48,55,
      32,46,48,52,49,50,56,51,54,32,46,48,51,57,49,49,56,54,32,46,48,51,54,51,50,
      55,55,32,46,48,51,51,56,48,52,49,32,46,48,51,48,57,48,53,49,32,46,48,50,56,
      50,54,53,56,32,46,48,50,53,52,48,56,57,32,46,48,50,51,50,53,57,54,10,32,32,
      46,48,50,48,49,54,55,52,32,46,48,49,55,48,51,48,49,32,46,48,49,53,53,55,52,
      51,32,46,48,49,52,49,48,51,53,32,46,48,49,50,51,54,56,54,32,46,48,49,49,48,
      51,53,57,32,46,48,48,57,56,53,49,55,56,32,46,48,48,56,54,53,57,54,49,32,46,
      48,48,55,54,49,56,51,51,10,32,32,46,48,48,54,56,49,52,56,56,32,46,48,48,54,
      48,57,57,55,51,32,46,48,48,53,52,54,50,53,50,32,46,48,48,52,56,49,56,51,52,
      32,46,48,48,52,49,56,55,49,51,32,46,48,48,51,53,56,53,51,49,32,46,48,48,51,
      49,50,48,50,54,32,46,48,48,50,54,55,53,51,57,10,32,32,46,48,48,50,51,51,48,
      57,32,46,48,48,50,48,51,49,56,56,32,46,48,48,49,55,52,53,52,56,32,46,48,48,
      49,52,56,52,49,50,32,46,48,48,49,51,48,57,57,51,32,46,48,48,49,49,51,52,50,
      55,32,46,48,48,48,57,57,57,55,57,53,32,46,48,48,48,56,55,51,57,54,56,10,32,
      32,46,48,48,48,55,54,52,50,55,50,32,46,48,48,48,54,54,56,53,55,49,32,46,48,
      48,48,53,56,53,48,52,51,32,46,48,48,48,53,49,50,49,48,57,32,46,48,48,48,52,
      52,56,52,48,52,32,46,48,48,48,51,57,50,55,51,56,32,46,48,48,48,51,52,52,48,
      55,51,32,46,48,48,48,51,48,49,53,49,56,10,32,32,46,48,48,48,50,54,52,50,57,
      52,32,46,48,48,48,50,51,49,55,48,53,32,46,48,48,48,50,48,51,49,52,49,32,46,
      48,48,48,49,55,56,49,51,56,32,46,48,48,48,49,53,54,50,52,55,32,46,48,48,48,
      49,51,55,48,55,52,32,46,48,48,48,49,50,48,50,56,51,32,46,48,48,48,49,48,53,
      53,54,52,10,32,32,57,46,50,54,53,57,55,101,45,48,53,32,56,46,49,51,53,48,56,
      101,45,48,53,32,55,46,49,52,51,52,52,101,45,48,53,32,54,46,50,55,51,54,57,101,
      45,48,53,32,53,46,53,49,48,55,51,101,45,48,53,32,52,46,56,52,49,51,49,101,45,
      48,53,32,52,46,50,53,52,49,52,101,45,48,53,10,32,32,51,46,55,51,56,52,56,101,
      45,48,53,32,51,46,50,56,53,55,55,101,45,48,53,32,50,46,56,56,56,50,57,101,45,
      48,53,32,50,46,53,51,57,50,50,101,45,48,53,32,50,46,50,51,50,54,50,101,45,48,
      53,32,49,46,57,54,51,50,57,101,45,48,53,32,49,46,55,50,54,53,101,45,48,53,10,
      32,32,49,46,53,49,56,53,56,101,45,48,53,32,49,46,51,55,52,52,52,101,45,48,53,
      32,49,46,50,52,52,48,55,101,45,48,53,32,49,46,49,50,54,49,52,101,45,48,53,32,
      49,46,48,49,57,52,53,101,45,48,53,32,57,46,50,51,48,50,54,101,45,48,54,32,56,
      46,50,53,48,56,55,101,45,48,54,10,32,32,55,46,49,53,57,52,50,101,45,48,54,32,
      54,46,50,49,51,48,56,101,45,48,54,32,53,46,51,57,50,52,55,101,45,48,54,32,52,
      46,54,56,48,55,56,101,45,48,54,32,52,46,48,54,51,52,53,101,45,48,54,32,51,46,
      53,50,55,57,49,101,45,48,54,32,51,46,48,54,51,50,55,101,45,48,54,10,32,32,50,
      46,54,54,48,48,56,101,45,48,54,32,50,46,51,49,48,50,101,45,48,54,32,50,46,48,
      48,54,53,51,101,45,48,54,32,49,46,55,52,50,57,52,101,45,48,54,32,49,46,53,49,
      52,49,49,101,45,48,54,32,49,46,51,49,53,52,51,101,45,48,54,32,49,46,49,52,50,
      57,50,101,45,48,54,10,32,32,57,46,57,51,49,50,50,101,45,48,55,32,56,46,54,51,
      48,50,55,101,45,48,55,32,55,46,53,48,48,51,52,101,45,48,55,32,54,46,53,49,56,
      56,55,101,45,48,55,32,53,46,54,54,54,50,53,101,45,48,55,32,52,46,57,50,53,53,
      101,45,48,55,32,52,46,50,56,49,48,53,101,45,48,55,10,32,32,51,46,55,50,50,54,
      54,101,45,48,55,32,51,46,50,51,54,54,57,101,45,48,55,32,50,46,56,49,52,51,53,
      101,45,48,55,32,50,46,52,52,55,50,57,101,45,48,55,32,50,46,49,50,56,49,57,101,
      45,48,55,32,49,46,56,53,48,55,50,101,45,48,55,32,49,46,54,48,57,53,51,101,45,
      48,55,10,32,32,49,46,51,57,57,56,53,101,45,48,55,32,49,46,50,49,55,53,54,101,
      45,48,55,32,49,46,48,53,57,48,56,101,45,48,55,32,57,46,50,49,50,55,52,101,45,
      48,56,32,56,46,48,49,52,52,56,101,45,48,56,32,54,46,57,55,50,52,54,101,45,48,
      56,32,54,46,48,54,54,50,53,101,45,48,56,10,32,32,53,46,50,55,56,49,101,45,48,
      56,32,51,46,57,57,54,51,101,45,48,56,32,51,46,48,50,54,51,51,101,45,48,56,32,
      50,46,50,57,50,51,101,45,48,56,32,49,46,55,51,54,54,50,101,45,48,56,32,49,46,
      51,49,53,56,57,101,45,48,56,32,57,46,57,55,50,53,57,101,45,48,57,10,32,32,55,
      46,53,53,57,48,56,101,45,48,57,32,53,46,55,51,48,54,50,101,45,48,57,32,52,46,
      51,52,53,49,51,101,45,48,57,32,51,46,50,57,53,49,101,45,48,57,32,50,46,52,57,
      57,49,56,101,45,48,57,32,49,46,56,57,53,55,56,101,45,48,57,32,49,46,52,51,56,
      50,55,101,45,48,57,10,32,32,49,46,48,57,49,51,49,101,45,48,57,32,56,46,50,56,
      49,54,49,101,45,49,48,32,54,46,50,56,53,52,53,101,45,49,48,32,52,46,55,55,49,
      48,49,101,45,49,48,32,51,46,54,50,49,56,57,101,45,49,48,32,50,46,55,52,57,56,
      53,101,45,49,48,32,50,46,48,56,56,101,45,49,48,10,32,32,49,46,53,56,53,54,51,
      101,45,49,48,32,49,46,50,48,52,50,54,101,45,49,48,32,57,46,49,52,55,48,51,101,
      45,49,49,32,54,46,57,52,56,52,101,45,49,49,32,53,46,50,55,56,55,55,101,45,49,
      49,32,52,46,48,49,48,55,49,101,45,49,49,32,51,46,48,52,55,53,53,101,45,49,49,
      10,32,32,50,46,51,49,53,57,49,101,45,49,49,32,49,46,55,54,48,49,51,101,45,49,
      49,32,49,46,52,51,52,55,101,45,48,57,32,53,46,55,53,51,48,52,101,45,48,57,32,
      49,46,50,57,53,53,53,101,45,48,56,32,49,46,52,51,52,56,50,101,45,48,56,32,53,
      46,55,53,52,55,51,101,45,48,56,10,32,32,49,46,50,57,54,51,53,101,45,48,55,32,
      50,46,51,48,53,51,50,101,45,48,55,32,51,46,54,48,51,50,53,101,45,48,55,32,53,
      46,49,57,52,49,56,101,45,48,55,32,55,46,48,55,53,50,52,101,45,48,55,32,57,46,
      50,53,50,51,52,101,45,48,55,32,49,46,49,55,50,52,52,101,45,48,54,10,32,32,49,
      46,52,52,57,51,50,101,45,48,54,32,49,46,55,53,54,50,52,101,45,48,54,32,50,46,
      48,57,51,52,52,101,45,48,54,32,50,46,52,54,49,48,52,101,45,48,54,32,50,46,56,
      53,57,51,56,101,45,48,54,32,51,46,50,56,56,55,101,45,48,54,32,51,46,55,52,57,
      50,54,101,45,48,54,10,32,32,52,46,50,52,49,53,50,101,45,48,54,32,52,46,55,54,
      53,56,53,101,45,48,54,32,53,46,51,50,50,49,57,101,45,48,54,32,53,46,57,49,49,
      50,56,101,45,48,54,32,54,46,53,51,51,56,101,45,48,54,32,55,46,49,57,48,49,50,
      101,45,48,54,32,55,46,56,55,57,55,55,101,45,48,54,10,32,32,56,46,54,49,49,49,
      50,101,45,48,54,32,57,46,53,57,55,57,57,101,45,48,54,32,49,46,48,52,48,54,53,
      101,45,48,53,32,49,46,49,50,52,57,50,101,45,48,53,32,49,46,50,49,50,51,55,101,
      45,48,53,32,49,46,51,48,51,50,56,101,45,48,53,32,49,46,51,57,55,54,53,101,45,
      48,53,10,32,32,49,46,52,57,53,53,49,101,45,48,53,32,49,46,53,57,54,54,53,101,
      45,48,53,32,49,46,55,48,49,48,56,101,45,48,53,32,49,46,56,48,56,57,56,101,45,
      48,53,32,49,46,57,50,48,51,57,101,45,48,53,32,50,46,48,51,53,51,50,101,45,48,
      53,32,50,46,49,53,51,49,57,101,45,48,53,10,32,32,50,46,50,55,52,53,53,101,45,
      48,53,32,50,46,51,57,57,52,51,101,45,48,53,32,50,46,53,50,55,56,51,101,45,48,
      53,32,50,46,54,53,57,51,54,101,45,48,53,32,50,46,55,57,52,49,50,101,45,48,53,
      32,50,46,57,51,50,52,101,45,48,53,32,51,46,48,55,52,49,56,101,45,48,53,10,32,
      32,51,46,50,49,57,52,54,101,45,48,53,32,51,46,51,54,55,54,56,101,45,48,53,32,
      51,46,53,49,57,51,56,101,45,48,53,32,51,46,54,55,52,54,53,101,45,48,53,32,51,
      46,56,51,51,52,50,101,45,48,53,32,51,46,57,57,53,53,101,45,48,53,32,52,46,49,
      54,48,57,101,45,48,53,10,32,32,52,46,51,50,57,56,52,101,45,48,53,32,52,46,53,
      48,50,51,53,101,45,48,53,32,52,46,54,55,56,52,101,45,48,53,32,52,46,56,53,55,
      56,56,101,45,48,53,32,53,46,48,52,48,57,101,45,48,53,32,53,46,50,50,55,53,52,
      101,45,48,53,32,53,46,52,49,55,55,52,101,45,48,53,10,32,32,53,46,54,49,49,54,
      57,101,45,48,53,32,53,46,56,48,57,51,54,101,45,48,53,32,54,46,48,49,48,54,54,
      101,45,48,53,32,54,46,50,49,53,54,49,101,45,48,53,32,54,46,52,50,52,50,52,101,
      45,48,53,32,54,46,54,51,55,49,52,101,45,48,53,32,54,46,56,53,51,55,51,101,45,
      48,53,10,32,32,55,46,48,55,52,48,53,101,45,48,53,32,55,46,50,57,56,49,49,101,
      45,48,53,32,55,46,53,50,54,52,55,101,45,48,53,32,55,46,55,53,57,48,50,101,45,
      48,53,32,55,46,57,57,53,52,101,45,48,53,32,56,46,50,51,53,53,56,101,45,48,53,
      32,56,46,52,55,57,55,52,101,45,48,53,10,32,32,56,46,55,50,56,55,52,101,45,48,
      53,32,56,46,57,56,49,54,55,101,45,48,53,32,57,46,50,51,56,53,54,101,45,48,53,
      32,57,46,52,57,57,52,101,45,48,53,32,57,46,55,54,52,55,52,101,45,48,53,32,46,
      48,48,48,49,48,48,51,52,52,32,46,48,48,48,49,48,51,48,56,50,10,32,32,46,48,
      48,48,49,48,53,56,54,50,32,46,48,48,48,49,48,56,54,56,49,32,46,48,48,48,49,
      49,49,53,51,57,32,46,48,48,48,49,49,52,52,52,51,32,46,48,48,48,49,49,55,51,
      56,55,32,46,48,48,48,49,50,48,51,55,32,46,48,48,48,49,50,51,51,56,50,32,46,
      48,48,48,49,50,54,52,51,49,10,32,32,46,48,48,48,49,50,57,53,50,54,32,46,48,
      48,48,49,51,50,54,54,49,32,46,48,48,48,49,51,53,56,50,57,32,46,48,48,48,49,
      51,56,57,57,55,32,46,48,48,48,49,52,50,50,48,51,32,46,48,48,48,49,52,53,52,
      52,55,32,46,48,48,48,49,52,56,55,51,49,32,46,48,48,48,49,53,50,48,48,50,10,
      32,32,46,48,48,48,49,53,53,50,56,32,46,48,48,48,49,53,56,53,57,54,32,46,48,
      48,48,49,54,49,57,53,32,46,48,48,48,49,54,53,51,50,54,32,46,48,48,48,49,54,
      56,54,51,50,32,46,48,48,48,49,55,49,57,55,55,32,46,48,48,48,49,55,53,51,53,
      57,32,46,48,48,48,49,55,56,55,55,57,10,32,32,46,48,48,48,49,56,50,49,51,50,
      32,46,48,48,48,49,56,53,52,54,53,32,46,48,48,48,49,56,56,56,51,56,32,46,48,
      48,48,49,57,50,50,52,57,32,46,48,48,48,49,57,53,54,55,49,32,46,48,48,48,49,
      57,56,57,54,53,32,46,48,48,48,50,48,50,51,48,50,32,46,48,48,48,50,48,53,54,
      56,50,10,32,32,46,48,48,48,50,48,57,49,50,50,32,46,48,48,48,50,49,50,52,55,
      49,32,46,48,48,48,50,49,53,55,57,53,32,46,48,48,48,50,49,57,49,55,54,32,46,
      48,48,48,50,50,50,54,48,57,32,46,48,48,48,50,50,54,48,53,55,32,46,48,48,48,
      50,50,57,51,57,56,32,46,48,48,48,50,51,50,56,10,32,32,46,48,48,48,50,51,54,
      50,53,55,32,46,48,48,48,50,51,57,55,55,32,46,48,48,48,50,52,51,50,50,50,32,
      46,48,48,48,50,52,54,54,55,57,32,46,48,48,48,50,53,48,49,57,54,32,46,48,48,
      48,50,53,51,55,55,32,46,48,48,48,50,53,55,51,55,54,32,46,48,48,48,50,54,48,
      57,50,50,10,32,32,46,48,48,48,50,54,52,53,50,57,32,46,48,48,48,50,54,56,49,
      57,55,32,46,48,48,48,50,55,49,57,49,53,32,46,48,48,48,50,55,53,54,49,57,32,
      46,48,48,48,50,55,57,51,52,52,32,46,48,48,48,50,56,51,49,50,56,32,46,48,48,
      48,50,56,54,57,54,52,32,46,48,48,48,50,57,48,56,51,56,10,32,32,46,48,48,48,
      50,57,52,55,48,50,32,46,48,48,48,50,57,56,54,49,57,32,46,48,48,48,51,48,50,
      53,57,32,46,48,48,48,51,48,54,54,48,56,32,46,48,48,48,51,49,48,54,52,50,32,
      46,48,48,48,51,49,52,55,49,50,32,46,48,48,48,51,49,56,56,50,55,32,46,48,48,
      48,51,50,50,57,56,57,10,32,32,46,48,48,48,51,50,55,49,57,51,32,46,48,48,48,
      51,51,49,52,50,53,32,46,48,48,48,51,51,53,54,57,56,32,46,48,48,48,51,52,48,
      48,49,53,32,46,48,48,48,51,52,52,51,55,51,32,46,48,48,48,51,52,56,55,55,54,
      32,46,48,48,48,51,53,51,50,50,32,46,48,48,48,51,53,55,55,10,32,32,46,48,48,
      48,51,54,50,50,50,32,46,48,48,48,51,54,54,55,56,52,32,46,48,48,48,51,55,49,
      52,48,52,32,46,48,48,48,51,55,54,48,54,50,32,46,48,48,48,51,56,50,51,49,57,
      32,46,48,48,48,51,57,55,49,57,57,32,46,48,48,48,52,49,57,55,55,49,32,46,48,
      48,48,52,53,56,49,52,49,10,32,32,46,48,48,48,52,57,55,55,48,50,32,46,48,48,
      48,53,51,56,53,56,49,32,46,48,48,48,53,56,49,49,49,57,32,46,48,48,48,54,50,
      53,51,55,52,32,46,48,48,48,54,55,49,51,54,52,32,46,48,48,48,55,49,56,55,50,
      56,32,46,48,48,48,55,54,55,48,49,50,32,46,48,48,48,56,49,53,53,55,10,32,32,
      46,48,48,48,56,54,52,51,49,51,32,46,48,48,48,57,49,51,51,53,32,46,48,48,48,
      57,55,51,50,48,52,32,46,48,48,49,48,51,53,55,52,32,46,48,48,49,49,50,54,52,
      51,32,46,48,48,49,50,51,49,54,50,32,46,48,48,49,51,53,56,56,55,32,46,48,48,
      49,53,54,52,50,57,10,32,32,46,48,48,49,56,52,48,48,52,32,46,48,48,50,49,57,
      49,48,56,32,46,48,48,50,54,52,57,53,49,32,46,48,48,51,48,50,53,49,32,46,48,
      48,51,50,57,57,50,54,32,46,48,48,51,52,50,51,49,54,32,46,48,48,51,53,50,49,
      55,50,32,46,48,48,51,54,54,51,51,53,32,46,48,48,51,56,55,52,49,50,10,32,32,
      46,48,48,52,49,56,48,52,57,32,46,48,48,52,54,50,52,55,50,32,46,48,48,53,50,
      55,55,54,56,32,46,48,48,54,51,51,54,48,54,32,46,48,48,55,55,54,57,53,56,32,
      46,48,48,57,54,57,48,55,53,32,46,48,49,49,56,49,57,55,32,46,48,49,50,57,52,
      56,32,46,48,49,51,50,49,48,55,10,32,32,46,48,49,51,50,55,32,46,48,49,51,52,
      50,52,57,32,46,48,49,51,56,56,52,56,32,46,48,49,52,55,48,55,51,32,46,48,49,
      54,48,48,57,32,46,48,49,55,54,56,57,57,32,46,48,49,57,56,57,52,57,32,46,48,
      50,50,57,57,55,32,46,48,50,55,52,56,56,57,32,46,48,51,49,56,48,52,50,10,32,
      32,46,48,51,54,50,48,56,56,32,46,48,51,57,57,51,49,56,32,46,48,52,51,56,52,
      52,53,32,46,48,52,56,52,48,57,51,32,46,48,53,49,54,56,50,52,32,46,48,53,52,
      54,51,54,49,32,46,48,53,55,51,57,56,50,32,46,48,54,49,52,48,48,54,32,46,48,
      54,52,57,57,56,52,10,32,32,46,48,54,57,48,51,54,50,32,46,48,55,51,55,49,50,
      55,32,46,48,55,56,57,51,48,50,32,46,48,56,51,53,57,57,56,32,46,48,56,55,51,
      54,57,51,32,46,48,56,57,49,51,55,51,32,46,48,56,57,51,56,56,57,32,46,48,56,
      56,51,57,56,57,32,46,48,56,53,56,52,57,55,10,32,32,46,48,56,49,53,54,52,32,
      46,48,55,54,48,56,56,53,32,46,48,55,50,55,48,53,57,32,46,48,55,50,52,50,49,
      52,32,46,48,55,52,52,48,57,54,32,46,48,55,54,57,57,51,53,32,46,48,55,57,53,
      48,54,53,32,46,48,56,50,50,49,48,51,32,46,48,56,52,49,49,52,56,10,32,32,46,
      48,56,53,54,53,57,49,32,46,48,56,54,54,54,54,32,46,48,56,53,57,54,52,32,46,
      48,56,50,54,56,50,56,32,46,48,55,55,50,53,56,49,32,46,48,55,51,53,56,52,49,
      32,46,48,54,57,57,48,56,50,32,46,48,54,52,52,52,55,51,32,46,48,53,57,49,54,
      57,49,32,46,48,53,54,55,52,56,54,10,32,32,46,48,53,51,57,52,53,32,46,48,53,
      50,57,49,55,50,32,46,48,53,50,51,50,54,53,32,46,48,53,56,53,55,56,32,46,48,
      53,54,54,54,50,54,32,46,48,53,53,56,56,52,55,32,46,48,53,52,52,49,50,51,32,
      46,48,53,50,56,50,51,49,32,46,48,53,49,53,50,57,53,32,46,48,53,48,50,54,52,
      51,10,32,32,46,48,52,57,49,48,54,32,46,48,52,55,57,56,57,54,32,46,48,52,54,
      55,56,48,49,32,46,48,52,53,55,51,48,53,32,46,48,52,52,53,57,57,53,32,46,48,
      52,51,55,56,52,55,32,46,48,52,50,52,56,55,52,32,46,48,52,49,55,49,48,56,32,
      46,48,52,48,55,54,53,53,10,32,32,46,48,51,56,54,52,56,50,32,46,48,51,53,57,
      49,51,57,32,46,48,51,51,52,51,56,53,32,46,48,51,48,53,57,48,49,32,46,48,50,
      55,57,57,51,57,32,46,48,50,53,49,55,57,53,32,46,48,50,51,48,54,48,50,32,46,
      48,50,48,48,48,55,49,32,46,48,49,54,56,57,53,50,10,32,32,46,48,49,53,52,53,
      53,32,46,48,49,51,57,57,57,49,32,46,48,49,50,50,56,48,56,32,46,48,49,48,57,
      54,48,51,32,46,48,48,57,55,56,56,57,55,32,46,48,48,56,54,48,55,55,52,32,46,
      48,48,55,53,55,52,50,50,32,46,48,48,54,55,55,54,53,57,32,46,48,48,54,48,54,
      54,51,51,10,32,32,46,48,48,53,52,51,51,51,54,32,46,48,48,52,55,57,51,51,56,
      32,46,48,48,52,49,54,54,48,53,32,46,48,48,51,53,54,55,56,52,32,46,48,48,51,
      49,48,53,52,50,32,46,48,48,50,54,54,51,53,32,46,48,48,50,51,50,48,57,56,32,
      46,48,48,50,48,50,51,52,51,32,46,48,48,49,55,51,56,52,10,32,32,46,48,48,49,
      52,55,56,50,53,32,46,48,48,49,51,48,52,56,52,32,46,48,48,49,49,50,57,57,53,
      32,46,48,48,48,57,57,54,48,53,51,32,46,48,48,48,56,55,48,55,53,57,32,46,48,
      48,48,55,54,49,53,49,52,32,46,48,48,48,54,54,54,49,57,50,32,46,48,48,48,53,
      56,50,57,57,53,10,32,32,46,48,48,48,53,49,48,51,52,53,32,46,48,48,48,52,52,
      54,56,56,49,32,46,48,48,48,51,57,49,52,49,57,32,46,48,48,48,51,52,50,57,51,
      52,32,46,48,48,48,51,48,48,53,51,53,32,46,48,48,48,50,54,51,52,52,49,32,46,
      48,48,48,50,51,48,57,55,51,32,46,48,48,48,50,48,50,53,53,57,10,32,32,46,48,
      48,48,49,55,55,54,56,32,46,48,48,48,49,53,53,56,54,51,32,46,48,48,48,49,51,
      54,55,52,49,32,46,48,48,48,49,49,57,57,57,52,32,46,48,48,48,49,48,53,51,49,
      52,32,57,46,50,52,52,51,101,45,48,53,32,56,46,49,49,54,50,54,101,45,48,53,32,
      55,46,49,50,55,48,54,101,45,48,53,10,32,32,54,46,50,53,57,52,55,101,45,48,53,
      32,53,46,52,57,56,51,55,101,45,48,53,32,52,46,56,51,48,53,56,101,45,48,53,32,
      52,46,50,52,52,55,57,101,45,48,53,32,51,46,55,51,48,51,51,101,45,48,53,32,51,
      46,50,55,56,54,56,101,45,48,53,32,50,46,56,56,50,49,49,101,45,48,53,10,32,32,
      50,46,53,51,51,56,52,101,45,48,53,32,50,46,50,50,55,57,51,101,45,48,53,32,49,
      46,57,53,57,50,101,45,48,53,32,49,46,55,50,50,57,52,101,45,48,53,32,49,46,53,
      49,53,52,55,101,45,48,53,32,49,46,51,55,49,54,52,101,45,48,53,32,49,46,50,52,
      49,53,53,101,45,48,53,10,32,32,49,46,49,50,51,56,55,101,45,48,53,32,49,46,48,
      49,55,52,49,101,45,48,53,32,57,46,50,49,49,57,49,101,45,48,54,32,56,46,50,51,
      52,53,54,101,45,48,54,32,55,46,49,52,53,51,56,101,45,48,54,32,54,46,50,48,49,
      101,45,48,54,32,53,46,51,56,50,48,54,101,45,48,54,10,32,32,52,46,54,55,49,56,
      101,45,48,54,32,52,46,48,53,53,55,49,101,45,48,54,32,51,46,53,50,49,50,52,101,
      45,48,54,32,51,46,48,53,55,53,49,101,45,48,54,32,50,46,54,53,53,49,51,101,45,
      48,54,32,50,46,51,48,53,57,50,101,45,48,54,32,50,46,48,48,50,56,51,101,45,48,
      54,10,32,32,49,46,55,51,57,55,52,101,45,48,54,32,49,46,53,49,49,51,52,101,45,
      48,54,32,49,46,51,49,51,48,52,101,45,48,54,32,49,46,49,52,48,56,54,101,45,48,
      54,32,57,46,57,49,51,52,49,101,45,48,55,32,56,46,54,49,52,57,101,45,48,55,32,
      55,46,52,56,55,48,52,101,45,48,55,10,32,32,54,46,53,48,55,51,53,101,45,48,55,
      32,53,46,54,53,54,50,57,101,45,48,55,32,52,46,57,49,54,56,56,101,45,48,55,32,
      52,46,50,55,51,54,101,45,48,55,32,51,46,55,49,54,50,50,101,45,48,55,32,51,46,
      50,51,49,49,50,101,45,48,55,32,50,46,56,48,57,53,52,101,45,48,55,10,32,32,50,
      46,52,52,51,49,50,101,45,48,55,32,50,46,49,50,52,54,51,101,45,48,55,32,49,46,
      56,52,55,55,55,101,45,48,55,32,49,46,54,48,55,48,57,101,45,48,55,32,49,46,51,
      57,55,56,52,101,45,48,55,32,49,46,50,49,53,57,50,101,45,48,55,32,49,46,48,53,
      55,55,101,45,48,55,10,32,32,57,46,50,48,48,56,53,101,45,48,56,32,56,46,48,48,
      52,49,55,101,45,48,56,32,54,46,57,54,51,53,50,101,45,48,56,32,54,46,48,53,56,
      53,101,45,48,56,32,53,46,50,55,49,51,56,101,45,48,56,32,51,46,57,57,49,50,54,
      101,45,48,56,32,51,46,48,50,50,53,55,101,45,48,56,10,32,32,50,46,50,56,57,52,
      55,101,45,48,56,32,49,46,55,51,52,53,101,45,48,56,32,49,46,51,49,52,50,57,101,
      45,48,56,32,57,46,57,54,48,53,50,101,45,48,57,32,55,46,53,53,48,48,50,101,45,
      48,57,32,53,46,55,50,51,55,56,101,45,48,57,32,52,46,51,51,57,57,56,101,45,48,
      57,10,32,32,51,46,50,57,49,50,49,101,45,48,57,32,50,46,52,57,54,50,52,101,45,
      48,57,32,49,46,56,57,51,53,55,101,45,48,57,32,49,46,52,51,54,54,101,45,48,57,
      32,49,46,48,57,48,48,54,101,45,48,57,32,56,46,50,55,50,49,56,101,45,49,48,32,
      54,46,50,55,56,51,101,45,49,48,10,32,32,52,46,55,54,53,54,49,101,45,49,48,32,
      51,46,54,49,55,56,51,101,45,49,48,32,50,46,55,52,54,55,57,101,45,49,48,32,50,
      46,48,56,53,54,57,101,45,49,48,32,49,46,53,56,51,56,57,101,45,49,48,32,49,46,
      50,48,50,57,51,101,45,49,48,32,57,46,49,51,55,48,50,101,45,49,49,10,32,32,54,
      46,57,52,48,56,51,101,45,49,49,32,53,46,50,55,51,48,53,101,45,49,49,32,52,46,
      48,48,54,52,101,45,49,49,32,51,46,48,52,52,50,57,101,45,49,49,32,50,46,51,49,
      51,52,52,101,45,49,49,32,49,46,55,53,56,50,54,101,45,49,49,32,49,46,51,50,50,
      49,56,101,45,48,57,10,32,32,53,46,51,48,49,56,101,45,48,57,32,49,46,49,57,51,
      57,50,101,45,48,56,32,49,46,51,50,50,50,54,101,45,48,56,32,53,46,51,48,50,57,
      101,45,48,56,32,49,46,49,57,52,52,52,101,45,48,55,32,50,46,49,50,51,55,54,101,
      45,48,55,32,51,46,51,49,56,56,52,101,45,48,55,10,32,32,52,46,55,56,51,49,49,
      101,45,48,55,32,54,46,53,49,51,54,51,101,45,48,55,32,56,46,53,49,53,53,52,101,
      45,48,55,32,49,46,48,55,56,55,53,101,45,48,54,32,49,46,51,51,51,48,55,101,45,
      48,54,32,49,46,54,49,52,56,49,101,45,48,54,32,49,46,57,50,52,49,54,101,45,48,
      54,10,32,32,50,46,50,54,49,49,55,101,45,48,54,32,50,46,54,50,54,49,49,101,45,
      48,54,32,51,46,48,49,57,49,56,101,45,48,54,32,51,46,52,52,48,53,50,101,45,48,
      54,32,51,46,56,57,48,52,57,101,45,48,54,32,52,46,51,54,57,51,49,101,45,48,54,
      32,52,46,56,55,55,101,45,48,54,10,32,32,53,46,52,49,52,48,55,101,45,48,54,32,
      53,46,57,56,49,48,55,101,45,48,54,32,54,46,53,55,56,51,101,45,48,54,32,55,46,
      50,48,53,52,54,101,45,48,54,32,55,46,56,54,50,54,50,101,45,48,54,32,56,46,53,
      53,48,54,53,101,45,48,54,32,57,46,52,55,57,48,57,101,45,48,54,10,32,32,49,46,
      48,50,52,51,50,101,45,48,53,32,49,46,49,48,51,54,51,101,45,48,53,32,49,46,49,
      56,54,48,50,101,45,48,53,32,49,46,50,55,49,53,49,101,45,48,53,32,49,46,51,54,
      48,49,50,101,45,48,53,32,49,46,52,53,49,54,56,101,45,48,53,32,49,46,53,52,54,
      50,101,45,48,53,10,32,32,49,46,54,52,51,56,52,101,45,48,53,32,49,46,55,52,52,
      54,49,101,45,48,53,32,49,46,56,52,56,53,50,101,45,48,53,32,49,46,57,53,53,49,
      51,101,45,48,53,32,50,46,48,54,52,56,55,101,45,48,53,32,50,46,49,55,55,55,54,
      101,45,48,53,32,50,46,50,57,51,55,57,101,45,48,53,10,32,32,50,46,52,49,50,54,
      56,101,45,48,53,32,50,46,53,51,52,52,55,101,45,48,53,32,50,46,54,53,57,52,51,
      101,45,48,53,32,50,46,55,56,55,53,49,101,45,48,53,32,50,46,57,49,56,55,51,101,
      45,48,53,32,51,46,48,53,50,54,52,101,45,48,53,32,51,46,49,56,57,54,56,101,45,
      48,53,10,32,32,51,46,51,50,57,57,101,45,48,53,32,51,46,52,55,51,50,54,101,45,
      48,53,32,51,46,54,49,57,54,49,101,45,48,53,32,51,46,55,54,56,57,52,101,45,48,
      53,32,51,46,57,50,49,52,53,101,45,48,53,32,52,46,48,55,55,49,51,101,45,48,53,
      32,52,46,50,51,54,101,45,48,53,10,32,32,52,46,51,57,55,57,51,101,45,48,53,32,
      52,46,53,54,51,48,52,101,45,48,53,32,52,46,55,51,49,51,55,101,45,48,53,32,52,
      46,57,48,50,57,101,45,48,53,32,53,46,48,55,55,55,53,101,45,48,53,32,53,46,50,
      53,53,57,101,45,48,53,32,53,46,52,51,55,51,101,45,48,53,10,32,32,53,46,54,50,
      49,57,53,101,45,48,53,32,53,46,56,48,57,56,56,101,45,48,53,32,54,46,48,48,49,
      53,54,101,45,48,53,32,54,46,49,57,54,53,49,101,45,48,53,32,54,46,51,57,52,55,
      57,101,45,48,53,32,54,46,53,57,54,52,101,45,48,53,32,54,46,56,48,49,55,55,101,
      45,48,53,10,32,32,55,46,48,49,48,56,51,101,45,48,53,32,55,46,50,50,51,50,57,
      101,45,48,53,32,55,46,52,51,57,49,51,101,45,48,53,32,55,46,54,53,56,52,57,101,
      45,48,53,32,55,46,56,56,50,48,52,101,45,48,53,32,56,46,49,48,57,48,56,101,45,
      48,53,32,56,46,51,51,57,54,51,101,45,48,53,10,32,32,56,46,53,55,51,54,55,101,
      45,48,53,32,56,46,56,49,49,54,54,101,45,48,53,32,57,46,48,53,51,52,53,101,45,
      48,53,32,57,46,50,57,56,56,53,101,45,48,53,32,57,46,53,52,55,57,54,101,45,48,
      53,32,57,46,56,48,48,53,56,101,45,48,53,32,46,48,48,48,49,48,48,53,54,54,10,
      32,32,46,48,48,48,49,48,51,49,54,55,32,46,48,48,48,49,48,53,56,48,51,32,46,
      48,48,48,49,48,56,52,55,52,32,46,48,48,48,49,49,49,49,55,50,32,46,48,48,48,
      49,49,51,57,48,50,32,46,48,48,48,49,49,54,54,55,51,32,46,48,48,48,49,49,57,
      52,55,57,32,46,48,48,48,49,50,50,51,49,54,10,32,32,46,48,48,48,49,50,53,49,
      53,53,32,46,48,48,48,49,50,56,48,50,57,32,46,48,48,48,49,51,48,57,51,54,32,
      46,48,48,48,49,51,51,56,55,56,32,46,48,48,48,49,51,54,56,49,51,32,46,48,48,
      48,49,51,57,55,53,56,32,46,48,48,48,49,52,50,55,51,54,32,46,48,48,48,49,52,
      53,55,52,56,10,32,32,46,48,48,48,49,52,56,55,56,49,32,46,48,48,48,49,53,49,
      55,54,49,32,46,48,48,48,49,53,52,55,55,53,32,46,48,48,48,49,53,55,56,50,51,
      32,46,48,48,48,49,54,48,57,48,53,32,46,48,48,48,49,54,51,57,51,54,32,46,48,
      48,48,49,54,54,57,53,53,32,46,48,48,48,49,55,48,48,48,57,10,32,32,46,48,48,
      48,49,55,51,48,57,55,32,46,48,48,48,49,55,54,49,57,55,32,46,48,48,48,49,55,
      57,49,57,56,32,46,48,48,48,49,56,50,50,51,54,32,46,48,48,48,49,56,53,51,49,
      51,32,46,48,48,48,49,56,56,52,52,49,32,46,48,48,48,49,57,49,53,48,49,32,46,
      48,48,48,49,57,52,53,52,52,10,32,32,46,48,48,48,49,57,55,54,51,54,32,46,48,
      48,48,50,48,48,55,55,51,32,46,48,48,48,50,48,51,57,50,55,32,46,48,48,48,50,
      48,54,57,57,57,32,46,48,48,48,50,49,48,49,50,52,32,46,48,48,48,50,49,51,50,
      57,54,32,46,48,48,48,50,49,54,53,49,55,32,46,48,48,48,50,49,57,54,57,52,10,
      32,32,46,48,48,48,50,50,50,56,55,56,32,46,48,48,48,50,50,54,49,49,53,32,46,
      48,48,48,50,50,57,52,32,46,48,48,48,50,51,50,55,49,53,32,46,48,48,48,50,51,
      53,57,56,54,32,46,48,48,48,50,51,57,51,49,32,46,48,48,48,50,52,50,54,56,55,
      32,46,48,48,48,50,52,54,49,48,55,10,32,32,46,48,48,48,50,52,57,53,50,32,46,
      48,48,48,50,53,50,57,53,51,32,46,48,48,48,50,53,54,52,51,57,32,46,48,48,48,
      50,53,57,57,54,56,32,46,48,48,48,50,54,51,53,51,49,32,46,48,48,48,50,54,55,
      48,57,49,32,46,48,48,48,50,55,48,54,57,55,32,46,48,48,48,50,55,52,51,52,57,
      10,32,32,46,48,48,48,50,55,56,48,52,50,32,46,48,48,48,50,56,49,55,53,49,32,
      46,48,48,48,50,56,53,52,57,51,32,46,48,48,48,50,56,57,50,55,53,32,46,48,48,
      48,50,57,51,48,57,55,32,46,48,48,48,50,57,54,57,53,53,32,46,48,48,48,51,48,
      48,56,52,32,46,48,48,48,51,48,52,55,54,50,10,32,32,46,48,48,48,51,48,56,55,
      50,32,46,48,48,48,51,49,50,55,49,54,32,46,48,48,48,51,49,54,55,53,32,46,48,
      48,48,51,50,48,56,50,32,46,48,48,48,51,50,52,57,50,51,32,46,48,48,48,51,50,
      57,48,54,49,32,46,48,48,48,51,51,51,50,51,55,32,46,48,48,48,51,51,55,52,54,
      10,32,32,46,48,48,48,51,52,49,55,49,55,32,46,48,48,48,51,52,55,52,51,53,32,
      46,48,48,48,51,54,49,48,49,52,32,46,48,48,48,51,56,49,53,55,54,32,46,48,48,
      48,52,49,54,52,50,55,32,46,48,48,48,52,53,50,49,57,53,32,46,48,48,48,52,56,
      56,57,56,52,32,46,48,48,48,53,50,55,48,54,10,32,32,46,48,48,48,53,54,54,52,
      56,54,32,46,48,48,48,54,48,55,50,57,52,32,46,48,48,48,54,52,57,50,49,56,32,
      46,48,48,48,54,57,49,57,48,52,32,46,48,48,48,55,51,52,56,52,51,32,46,48,48,
      48,55,55,55,57,53,55,32,46,48,48,48,56,50,49,51,50,57,32,46,48,48,48,56,55,
      52,50,49,52,10,32,32,46,48,48,48,57,50,57,50,57,51,32,46,48,48,49,48,48,56,
      55,53,32,46,48,48,49,49,48,48,49,57,32,46,48,48,49,50,49,48,48,57,32,46,48,
      48,49,51,56,54,55,55,32,46,48,48,49,54,50,52,49,57,32,46,48,48,49,57,50,56,
      52,54,32,46,48,48,50,51,50,57,56,56,10,32,32,46,48,48,50,54,54,49,52,52,32,
      46,48,48,50,57,48,50,57,54,32,46,48,48,51,48,49,48,56,57,32,46,48,48,51,48,
      57,54,57,51,32,46,48,48,51,50,50,49,52,52,32,46,48,48,51,52,48,54,56,55,32,
      46,48,48,51,54,55,54,50,54,32,46,48,48,52,48,54,54,56,49,10,32,32,46,48,48,
      52,54,52,50,48,50,32,46,48,48,53,53,56,49,54,51,32,46,48,48,54,56,55,49,52,
      57,32,46,48,48,56,54,51,49,53,54,32,46,48,49,48,54,48,57,52,32,46,48,49,49,
      54,50,51,56,32,46,48,49,49,56,49,55,56,32,46,48,49,49,56,49,54,32,46,48,49,
      49,57,48,55,55,10,32,32,46,48,49,50,50,56,56,52,32,46,48,49,51,48,48,52,51,
      32,46,48,49,52,49,53,54,56,32,46,48,49,53,54,53,57,56,32,46,48,49,55,54,52,
      56,32,46,48,50,48,52,54,57,52,32,46,48,50,52,53,57,52,55,32,46,48,50,56,53,
      57,51,49,32,46,48,51,50,55,49,48,55,10,32,32,46,48,51,54,50,52,50,53,32,46,
      48,52,48,48,51,50,50,32,46,48,52,52,53,57,55,49,32,46,48,52,55,57,53,50,51,
      32,46,48,53,48,56,57,50,52,32,46,48,53,51,53,53,51,51,32,46,48,53,55,51,57,
      56,55,32,46,48,54,48,57,48,52,56,32,46,48,54,52,55,55,54,50,10,32,32,46,48,
      54,57,49,52,48,54,32,46,48,55,51,57,53,56,54,32,46,48,55,56,51,51,52,49,32,
      46,48,56,50,48,51,55,56,32,46,48,56,51,57,57,52,51,32,46,48,56,52,52,57,48,
      52,32,46,48,56,52,48,50,53,54,32,46,48,56,50,48,48,56,55,32,46,48,55,56,50,
      55,56,50,10,32,32,46,48,55,51,51,53,50,56,32,46,48,55,48,50,57,32,46,48,55,
      48,49,50,48,56,32,46,48,55,50,48,56,55,32,46,48,55,52,54,49,48,55,32,46,48,
      55,55,48,54,51,53,32,46,48,55,57,55,48,52,55,32,46,48,56,49,53,54,55,50,32,
      46,48,56,51,48,56,56,32,46,48,56,52,49,51,50,10,32,32,46,48,56,51,53,49,52,
      56,32,46,48,56,48,52,53,55,52,32,46,48,55,53,51,50,55,57,32,46,48,55,49,56,
      51,49,51,32,46,48,54,56,51,50,48,50,32,46,48,54,51,48,56,52,57,32,46,48,53,
      56,48,48,54,53,32,46,48,53,53,54,55,50,54,32,46,48,53,50,57,54,57,49,10,32,
      32,46,48,53,49,57,55,57,56,32,46,48,53,49,52,50,48,53,32,46,48,53,55,53,49,
      53,50,32,46,48,53,53,54,55,49,56,32,46,48,53,52,57,50,50,49,32,46,48,53,51,
      53,48,49,52,32,46,48,53,49,57,54,53,51,32,46,48,53,48,55,49,51,49,32,46,48,
      52,57,52,56,54,56,10,32,32,46,48,52,56,51,54,51,52,32,46,48,52,55,50,55,57,
      50,32,46,48,52,54,49,48,51,52,32,46,48,52,53,48,56,50,49,32,46,48,52,51,57,
      56,48,55,32,46,48,52,51,49,56,54,55,32,46,48,52,49,57,50,49,55,32,46,48,52,
      49,49,54,51,56,32,46,48,52,48,50,52,48,54,10,32,32,46,48,51,56,49,55,48,56,
      32,46,48,51,53,52,57,52,49,32,46,48,51,51,48,54,54,55,32,46,48,51,48,50,55,
      48,51,32,46,48,50,55,55,49,55,50,32,46,48,50,52,57,52,54,51,32,46,48,50,50,
      56,53,55,32,46,48,49,57,56,52,51,55,32,46,48,49,54,55,53,56,56,10,32,32,46,
      48,49,53,51,51,52,49,32,46,48,49,51,56,57,51,53,32,46,48,49,50,49,57,50,32,
      46,48,49,48,56,56,51,57,32,46,48,48,57,55,50,50,56,56,32,46,48,48,56,53,53,
      51,56,54,32,46,48,48,55,53,50,57,53,56,32,46,48,48,54,55,51,55,55,56,32,46,
      48,48,54,48,51,50,53,54,10,32,32,46,48,48,53,52,48,51,57,32,46,48,48,52,55,
      54,56,48,57,32,46,48,48,52,49,52,52,55,53,32,46,48,48,51,53,53,48,49,51,32,
      46,48,48,51,48,57,48,52,52,32,46,48,48,50,54,53,48,57,57,32,46,48,48,50,51,
      49,48,53,55,32,46,48,48,50,48,49,52,56,57,32,46,48,48,49,55,51,49,50,52,10,
      32,32,46,48,48,49,52,55,50,51,49,32,46,48,48,49,50,57,57,55,32,46,48,48,49,
      49,50,53,53,57,32,46,48,48,48,57,57,50,50,55,51,32,46,48,48,48,56,54,55,53,
      49,52,32,46,48,48,48,55,53,56,55,50,51,32,46,48,48,48,54,54,51,55,57,49,32,
      46,48,48,48,53,56,48,57,50,55,10,32,32,46,48,48,48,53,48,56,53,54,49,32,46,
      48,48,48,52,52,53,51,52,49,32,46,48,48,48,51,57,48,48,57,32,46,48,48,48,51,
      52,49,55,56,55,32,46,48,48,48,50,57,57,53,52,32,46,48,48,48,50,54,50,53,56,
      32,46,48,48,48,50,51,48,50,50,56,32,46,48,48,48,50,48,49,57,49,52,10,32,32,
      46,48,48,48,49,55,55,49,50,32,46,48,48,48,49,53,53,52,48,51,32,46,48,48,48,
      49,51,54,51,55,54,32,46,48,48,48,49,49,57,55,48,51,32,46,48,48,48,49,48,53,
      48,54,50,32,57,46,50,50,50,51,54,101,45,48,53,32,56,46,48,57,55,50,49,101,45,
      48,53,32,55,46,49,49,48,53,52,101,45,48,53,10,32,32,54,46,50,52,53,49,51,101,
      45,48,53,32,53,46,52,56,53,57,52,101,45,48,53,32,52,46,56,49,57,55,51,101,45,
      48,53,32,52,46,50,51,53,51,52,101,45,48,53,32,51,46,55,50,50,49,49,101,45,48,
      53,32,51,46,50,55,49,53,51,101,45,48,53,32,50,46,56,55,53,56,57,101,45,48,53,
      10,32,32,50,46,53,50,56,52,50,101,45,48,53,32,50,46,50,50,51,50,49,101,45,48,
      53,32,49,46,57,53,53,48,55,101,45,48,53,32,49,46,55,49,57,51,52,101,45,48,53,
      32,49,46,53,49,50,51,51,101,45,48,53,32,49,46,51,54,56,56,51,101,45,48,53,32,
      49,46,50,51,57,48,50,101,45,48,53,10,32,32,49,46,49,50,49,53,57,101,45,48,53,
      32,49,46,48,49,53,51,54,101,45,48,53,32,57,46,49,57,51,51,57,101,45,48,54,32,
      56,46,50,49,56,49,50,101,45,48,54,32,55,46,49,51,49,50,51,101,45,48,54,32,54,
      46,49,56,56,56,51,101,45,48,54,32,53,46,51,55,49,53,56,101,45,48,54,10,32,32,
      52,46,54,54,50,55,54,101,45,48,54,32,52,46,48,52,55,57,50,101,45,48,54,32,51,
      46,53,49,52,53,49,101,45,48,54,32,51,46,48,53,49,55,50,101,45,48,54,32,50,46,
      54,53,48,49,51,101,45,48,54,32,50,46,51,48,49,54,49,101,45,48,54,32,49,46,57,
      57,57,49,49,101,45,48,54,10,32,32,49,46,55,51,54,53,50,101,45,48,54,32,49,46,
      53,48,56,53,54,101,45,48,54,32,49,46,51,49,48,54,52,101,45,48,54,32,49,46,49,
      51,56,55,57,101,45,48,54,32,57,46,56,57,53,53,101,45,48,55,32,56,46,53,57,57,
      52,49,101,45,48,55,32,55,46,52,55,51,54,54,101,45,48,55,10,32,32,54,46,52,57,
      53,55,55,101,45,48,55,32,53,46,54,52,54,50,54,101,45,48,55,32,52,46,57,48,56,
      50,51,101,45,48,55,32,52,46,50,54,54,49,52,101,45,48,55,32,51,46,55,48,57,55,
      53,101,45,48,55,32,51,46,50,50,53,53,50,101,45,48,55,32,50,46,56,48,52,54,57,
      101,45,48,55,10,32,32,50,46,52,51,56,57,51,101,45,48,55,32,50,46,49,50,48,57,
      57,101,45,48,55,32,49,46,56,52,52,54,50,101,45,48,55,32,49,46,54,48,52,51,55,
      101,45,48,55,32,49,46,51,57,53,52,57,101,45,48,55,32,49,46,50,49,51,56,56,101,
      45,48,55,32,49,46,48,53,53,57,54,101,45,48,55,10,32,32,57,46,49,56,54,52,50,
      101,45,48,56,32,55,46,57,57,50,50,54,101,45,48,56,32,54,46,57,53,51,54,57,101,
      45,48,56,32,54,46,48,53,48,52,49,101,45,48,56,32,53,46,50,54,52,54,51,101,45,
      48,56,32,51,46,57,56,54,50,50,101,45,48,56,32,51,46,48,49,56,55,56,101,45,48,
      56,10,32,32,50,46,50,56,54,54,50,101,45,48,56,32,49,46,55,51,50,51,53,101,45,
      48,56,32,49,46,51,49,50,54,56,101,45,48,56,32,57,46,57,52,56,52,54,101,45,48,
      57,32,55,46,53,52,48,57,50,101,45,48,57,32,53,46,55,49,54,57,50,101,45,48,57,
      32,52,46,51,51,52,55,56,101,45,48,57,10,32,32,51,46,50,56,55,51,101,45,48,57,
      32,50,46,52,57,51,51,49,101,45,48,57,32,49,46,56,57,49,51,54,101,45,48,57,32,
      49,46,52,51,52,57,52,101,45,48,57,32,49,46,48,56,56,56,101,45,48,57,32,56,46,
      50,54,50,54,53,101,45,49,48,32,54,46,50,55,49,49,51,101,45,49,48,10,32,32,52,
      46,55,54,48,50,50,101,45,49,48,32,51,46,54,49,51,55,54,101,45,49,48,32,50,46,
      55,52,51,55,51,101,45,49,48,32,50,46,48,56,51,51,56,101,45,49,48,32,49,46,53,
      56,50,49,51,101,45,49,48,32,49,46,50,48,49,54,49,101,45,49,48,32,57,46,49,50,
      55,48,49,101,45,49,49,10,32,32,54,46,57,51,51,50,55,101,45,49,49,32,53,46,50,
      54,55,51,51,101,45,49,49,32,52,46,48,48,50,48,55,101,45,49,49,32,51,46,48,52,
      49,48,50,101,45,49,49,32,50,46,51,49,48,57,53,101,45,49,49,32,49,46,55,53,54,
      51,55,101,45,49,49,32,49,46,50,48,51,52,53,101,45,48,57,10,32,32,52,46,56,50,
      53,55,49,101,45,48,57,32,49,46,48,56,54,55,101,45,48,56,32,49,46,50,48,51,53,
      50,101,45,48,56,32,52,46,56,50,54,54,53,101,45,48,56,32,49,46,48,56,55,49,53,
      101,45,48,55,32,49,46,57,51,50,57,51,101,45,48,55,32,51,46,48,50,48,53,50,101,
      45,48,55,10,32,32,52,46,51,53,50,57,51,101,45,48,55,32,53,46,57,50,55,52,52,
      101,45,48,55,32,55,46,55,52,56,54,50,101,45,48,55,32,57,46,56,49,53,49,56,101,
      45,48,55,32,49,46,50,49,50,56,50,101,45,48,54,32,49,46,52,54,57,48,49,101,45,
      48,54,32,49,46,55,53,48,50,53,101,45,48,54,10,32,32,50,46,48,53,54,53,56,101,
      45,48,54,32,50,46,51,56,56,50,51,101,45,48,54,32,50,46,55,52,53,51,54,101,45,
      48,54,32,51,46,49,50,56,48,56,101,45,48,54,32,51,46,53,51,54,54,56,101,45,48,
      54,32,51,46,57,55,49,51,101,45,48,54,32,52,46,52,51,49,57,53,101,45,48,54,10,
      32,32,52,46,57,49,57,48,52,101,45,48,54,32,53,46,52,51,51,48,51,101,45,48,54,
      32,53,46,57,55,52,49,53,101,45,48,54,32,54,46,53,52,50,49,53,101,45,48,54,32,
      55,46,49,51,55,49,49,101,45,48,54,32,55,46,55,53,57,57,54,101,45,48,54,32,56,
      46,52,49,48,55,49,101,45,48,54,10,32,32,57,46,49,51,51,53,50,101,45,48,54,32,
      57,46,57,56,57,57,49,101,45,48,54,32,49,46,48,55,51,52,56,101,45,48,53,32,49,
      46,49,53,48,55,54,101,45,48,53,32,49,46,50,51,48,56,52,101,45,48,53,32,49,46,
      51,49,51,53,55,101,45,48,53,32,49,46,51,57,56,57,55,101,45,48,53,10,32,32,49,
      46,52,56,55,49,54,101,45,48,53,32,49,46,53,55,56,49,55,101,45,48,53,32,49,46,
      54,55,50,101,45,48,53,32,49,46,55,54,56,50,55,101,45,48,53,32,49,46,56,54,55,
      51,54,101,45,48,53,32,49,46,57,54,57,50,55,101,45,48,53,32,50,46,48,55,52,48,
      49,101,45,48,53,10,32,32,50,46,49,56,49,51,50,101,45,48,53,32,50,46,50,57,49,
      50,54,101,45,48,53,32,50,46,52,48,52,48,52,101,45,48,53,32,50,46,53,49,57,54,
      51,101,45,48,53,32,50,46,54,51,56,48,51,101,45,48,53,32,50,46,55,53,56,56,57,
      101,45,48,53,32,50,46,56,56,50,53,53,101,45,48,53,10,32,32,51,46,48,48,57,48,
      54,101,45,48,53,32,51,46,49,51,56,51,57,101,45,48,53,32,51,46,50,55,48,52,51,
      101,45,48,53,32,51,46,52,48,53,49,53,101,45,48,53,32,51,46,53,52,50,55,50,101,
      45,48,53,32,51,46,54,56,51,49,52,101,45,48,53,32,51,46,56,50,54,52,50,101,45,
      48,53,10,32,32,51,46,57,55,50,52,53,101,45,48,53,32,52,46,49,50,49,51,52,101,
      45,48,53,32,52,46,50,55,51,49,50,101,45,48,53,32,52,46,52,50,55,55,54,101,45,
      48,53,32,52,46,53,56,53,51,56,101,45,48,53,32,52,46,55,52,53,57,53,101,45,48,
      53,32,52,46,57,48,57,52,52,101,45,48,53,10,32,32,53,46,48,55,53,56,52,101,45,
      48,53,32,53,46,50,52,53,49,55,101,45,48,53,32,53,46,52,49,55,56,51,101,45,48,
      53,32,53,46,53,57,51,52,52,101,45,48,53,32,53,46,55,55,50,48,49,101,45,48,53,
      32,53,46,57,53,51,53,54,101,45,48,53,32,54,46,49,51,56,52,54,101,45,48,53,10,
      32,32,54,46,51,50,54,54,52,101,45,48,53,32,54,46,53,49,55,56,53,101,45,48,53,
      32,54,46,55,49,50,48,56,101,45,48,53,32,54,46,57,48,57,52,54,101,45,48,53,32,
      55,46,49,49,48,53,52,101,45,48,53,32,55,46,51,49,52,55,51,101,45,48,53,32,55,
      46,53,50,50,48,52,101,45,48,53,10,32,32,55,46,55,51,50,52,56,101,45,48,53,32,
      55,46,57,52,54,52,101,45,48,53,32,56,46,49,54,51,55,49,101,45,48,53,32,56,46,
      51,56,52,50,50,101,45,48,53,32,56,46,54,48,56,48,52,101,45,48,53,32,56,46,56,
      51,52,57,57,101,45,48,53,32,57,46,48,54,53,48,49,101,45,48,53,10,32,32,57,46,
      50,57,56,53,55,101,45,48,53,32,57,46,53,51,53,51,49,101,45,48,53,32,57,46,55,
      55,53,49,52,101,45,48,53,32,46,48,48,48,49,48,48,49,55,52,32,46,48,48,48,49,
      48,50,54,50,54,32,46,48,48,48,49,48,53,49,49,52,32,46,48,48,48,49,48,55,54,
      51,51,10,32,32,46,48,48,48,49,49,48,49,56,32,46,48,48,48,49,49,50,55,51,32,
      46,48,48,48,49,49,53,51,49,50,32,46,48,48,48,49,49,55,57,50,51,32,46,48,48,
      48,49,50,48,53,54,54,32,46,48,48,48,49,50,51,50,48,53,32,46,48,48,48,49,50,
      53,56,53,51,32,46,48,48,48,49,50,56,53,51,50,10,32,32,46,48,48,48,49,51,49,
      50,52,49,32,46,48,48,48,49,51,51,57,54,57,32,46,48,48,48,49,51,54,54,53,53,
      32,46,48,48,48,49,51,57,51,55,50,32,46,48,48,48,49,52,50,49,49,56,32,46,48,
      48,48,49,52,52,56,57,53,32,46,48,48,48,49,52,55,54,51,50,32,46,48,48,48,49,
      53,48,51,54,10,32,32,46,48,48,48,49,53,51,49,49,57,32,46,48,48,48,49,53,53,
      57,48,57,32,46,48,48,48,49,53,56,55,49,32,46,48,48,48,49,54,49,52,51,49,32,
      46,48,48,48,49,54,52,49,56,53,32,46,48,48,48,49,54,54,57,55,51,32,46,48,48,
      48,49,54,57,56,48,55,32,46,48,48,48,49,55,50,53,56,52,10,32,32,46,48,48,48,
      49,55,53,51,53,32,46,48,48,48,49,55,56,49,53,57,32,46,48,48,48,49,56,49,48,
      48,55,32,46,48,48,48,49,56,51,56,55,49,32,46,48,48,48,49,56,54,54,54,57,32,
      46,48,48,48,49,56,57,53,49,51,32,46,48,48,48,49,57,50,51,57,56,32,46,48,48,
      48,49,57,53,51,50,54,10,32,32,46,48,48,48,49,57,56,50,49,57,32,46,48,48,48,
      50,48,49,49,50,49,32,46,48,48,48,50,48,52,48,54,56,32,46,48,48,48,50,48,55,
      48,53,56,32,46,48,48,48,50,49,48,48,55,52,32,46,48,48,48,50,49,51,48,53,54,
      32,46,48,48,48,50,49,54,48,56,52,32,46,48,48,48,50,49,57,49,53,56,10,32,32,
      46,48,48,48,50,50,50,50,55,32,46,48,48,48,50,50,53,51,55,56,32,46,48,48,48,
      50,50,56,53,48,54,32,46,48,48,48,50,51,49,54,55,56,32,46,48,48,48,50,51,52,
      56,56,57,32,46,48,48,48,50,51,56,49,51,49,32,46,48,48,48,50,52,49,51,55,50,
      32,46,48,48,48,50,52,52,54,53,50,10,32,32,46,48,48,48,50,52,55,57,55,52,32,
      46,48,48,48,50,53,49,51,51,49,32,46,48,48,48,50,53,52,55,48,52,32,46,48,48,
      48,50,53,56,49,48,55,32,46,48,48,48,50,54,49,53,52,52,32,46,48,48,48,50,54,
      53,48,49,55,32,46,48,48,48,50,54,56,53,50,50,32,46,48,48,48,50,55,50,48,53,
      49,10,32,32,46,48,48,48,50,55,53,54,49,51,32,46,48,48,48,50,55,57,50,48,55,
      32,46,48,48,48,50,56,50,56,51,53,32,46,48,48,48,50,56,54,52,57,54,32,46,48,
      48,48,50,57,48,49,57,32,46,48,48,48,50,57,51,57,49,51,32,46,48,48,48,50,57,
      55,54,54,54,32,46,48,48,48,51,48,49,52,53,52,10,32,32,46,48,48,48,51,48,53,
      50,56,52,32,46,48,48,48,51,48,57,49,52,51,32,46,48,48,48,51,49,52,51,50,54,
      32,46,48,48,48,51,50,54,54,51,32,46,48,48,48,51,52,53,50,52,57,32,46,48,48,
      48,51,55,54,55,55,50,32,46,48,48,48,52,48,57,48,55,50,32,46,48,48,48,52,52,
      50,50,50,56,10,32,32,46,48,48,48,52,55,54,52,54,32,46,48,48,48,53,49,49,56,
      49,54,32,46,48,48,48,53,52,56,51,50,53,32,46,48,48,48,53,56,53,55,54,55,32,
      46,48,48,48,54,50,51,56,52,55,32,46,48,48,48,54,54,50,49,52,32,46,48,48,48,
      55,48,48,53,56,49,32,46,48,48,48,55,51,57,50,51,57,10,32,32,46,48,48,48,55,
      56,54,51,51,51,32,46,48,48,48,56,51,53,50,54,55,32,46,48,48,48,57,48,53,53,
      54,50,32,46,48,48,48,57,56,53,57,51,54,32,46,48,48,49,48,56,49,56,56,32,46,
      48,48,49,50,51,53,49,56,32,46,48,48,49,52,52,48,54,56,32,46,48,48,49,55,48,
      52,57,49,10,32,32,46,48,48,50,48,53,54,51,53,32,46,48,48,50,51,52,56,56,54,
      32,46,48,48,50,53,54,50,48,57,32,46,48,48,50,54,53,55,49,50,32,46,48,48,50,
      55,51,51,50,53,32,46,48,48,50,56,52,51,55,52,32,46,48,48,51,48,48,55,56,55,
      32,46,48,48,51,50,52,53,54,51,10,32,32,46,48,48,51,53,56,57,54,57,32,46,48,
      48,52,48,57,54,53,57,32,46,48,48,52,57,50,57,53,56,32,46,48,48,54,48,56,54,
      56,54,32,46,48,48,55,54,57,51,50,55,32,46,48,48,57,53,50,52,49,32,46,48,49,
      48,52,51,54,49,32,46,48,49,48,53,55,53,49,32,46,48,49,48,53,50,56,55,10,32,
      32,46,48,49,48,53,55,51,57,32,46,48,49,48,56,57,49,52,32,46,48,49,49,53,49,
      55,51,32,46,48,49,50,53,51,57,32,46,48,49,51,56,56,50,52,32,46,48,49,53,54,
      55,50,53,32,46,48,49,56,50,51,51,49,32,46,48,50,50,48,49,49,57,32,46,48,50,
      53,55,48,55,32,46,48,50,57,53,52,53,10,32,32,46,48,51,50,56,56,50,57,32,46,
      48,51,54,53,51,50,57,32,46,48,52,49,48,53,54,56,32,46,48,52,52,52,53,54,49,
      32,46,48,52,55,51,54,53,52,32,46,48,52,57,57,50,51,50,32,46,48,53,51,54,49,
      48,55,32,46,48,53,55,48,49,56,49,32,46,48,54,48,55,50,52,53,10,32,32,46,48,
      54,52,55,57,51,56,32,46,48,54,57,50,51,56,53,32,46,48,55,51,51,51,52,55,32,
      46,48,55,54,57,54,50,49,32,46,48,55,57,48,55,53,53,32,46,48,55,57,55,56,54,
      55,32,46,48,55,57,55,57,54,32,46,48,55,56,50,55,32,46,48,55,53,48,54,49,50,
      32,46,48,55,48,54,53,57,50,10,32,32,46,48,54,55,57,48,50,55,32,46,48,54,55,
      56,52,51,51,32,46,48,54,57,55,56,54,50,32,46,48,55,50,50,52,57,52,32,46,48,
      55,52,54,52,49,56,32,46,48,55,55,50,50,48,51,32,46,48,55,57,48,52,48,54,32,
      46,48,56,48,53,51,55,52,32,46,48,56,49,54,49,53,56,10,32,32,46,48,56,49,48,
      56,48,54,32,46,48,55,56,50,52,49,50,32,46,48,55,51,52,48,48,57,32,46,48,55,
      48,48,55,57,49,32,46,48,54,54,55,51,48,53,32,46,48,54,49,55,49,56,54,32,46,
      48,53,54,56,51,56,55,32,46,48,53,52,53,57,48,55,32,46,48,53,49,57,56,54,53,
      10,32,32,46,48,53,49,48,51,53,55,32,46,48,53,48,53,48,56,32,46,48,53,54,52,
      52,53,49,32,46,48,53,52,54,55,52,32,46,48,53,51,57,53,50,50,32,46,48,53,50,
      53,56,50,57,32,46,48,53,49,49,48,48,50,32,46,48,52,57,56,56,57,53,32,46,48,
      52,56,55,48,50,49,32,46,48,52,55,54,49,51,49,10,32,32,46,48,52,54,53,54,49,
      49,32,46,48,52,53,52,49,57,52,32,46,48,52,52,52,50,54,55,32,46,48,52,51,51,
      53,53,32,46,48,52,50,53,56,49,57,32,46,48,52,49,51,52,56,57,32,46,48,52,48,
      54,48,57,55,32,46,48,51,57,55,48,57,32,46,48,51,55,54,56,55,49,32,46,48,51,
      53,48,54,56,52,10,32,32,46,48,51,50,54,56,57,56,32,46,48,50,57,57,52,53,51,
      32,46,48,50,55,52,51,54,50,32,46,48,50,52,55,48,57,49,32,46,48,50,50,54,53,
      48,53,32,46,48,49,57,54,55,55,53,32,46,48,49,54,54,49,57,56,32,46,48,49,53,
      50,49,50,49,32,46,48,49,51,55,56,54,54,10,32,32,46,48,49,50,49,48,50,51,32,
      46,48,49,48,56,48,54,53,32,46,48,48,57,54,53,54,49,32,46,48,48,56,52,57,55,
      49,49,32,46,48,48,55,52,56,51,49,53,32,46,48,48,54,54,57,56,53,53,32,46,48,
      48,53,57,57,56,51,55,32,46,48,48,53,51,55,52,49,32,46,48,48,52,55,52,50,53,
      51,10,32,32,46,48,48,52,49,50,51,49,56,32,46,48,48,51,53,51,50,50,54,32,46,
      48,48,51,48,55,53,50,55,32,46,48,48,50,54,51,56,51,53,32,46,48,48,50,50,57,
      57,56,50,32,46,48,48,50,48,48,53,55,55,32,46,48,48,49,55,50,51,57,52,32,46,
      48,48,49,52,54,54,51,49,10,32,32,46,48,48,49,50,57,52,53,32,46,48,48,49,49,
      50,49,49,56,32,46,48,48,48,57,56,56,52,53,56,32,46,48,48,48,56,54,52,50,51,
      53,32,46,48,48,48,55,53,53,57,48,51,32,46,48,48,48,54,54,49,51,54,55,32,46,
      48,48,48,53,55,56,56,51,57,32,46,48,48,48,53,48,54,55,53,57,10,32,32,46,48,
      48,48,52,52,51,55,56,55,32,46,48,48,48,51,56,56,55,52,57,32,46,48,48,48,51,
      52,48,54,50,55,32,46,48,48,48,50,57,56,53,51,55,32,46,48,48,48,50,54,49,55,
      49,50,32,46,48,48,48,50,50,57,52,55,55,32,46,48,48,48,50,48,49,50,54,50,32,
      46,48,48,48,49,55,54,53,53,53,10,32,32,46,48,48,48,49,53,52,57,49,51,32,46,
      48,48,48,49,51,53,57,53,49,32,46,48,48,48,49,49,57,51,51,56,32,46,48,48,48,
      49,48,52,55,55,32,57,46,49,57,57,50,54,101,45,48,53,32,56,46,48,55,56,48,49,
      101,45,48,53,32,55,46,48,57,51,56,57,101,45,48,53,32,54,46,50,51,48,54,53,101,
      45,48,53,10,32,32,53,46,52,55,51,51,50,101,45,48,53,32,52,46,56,48,56,55,55,
      101,45,48,53,32,52,46,50,50,53,56,49,101,45,48,53,32,51,46,55,49,51,56,51,101,
      45,48,53,32,51,46,50,54,52,51,51,101,45,48,53,32,50,46,56,54,57,54,101,45,48,
      53,32,50,46,53,50,50,57,51,101,45,48,53,10,32,32,50,46,50,49,56,52,51,101,45,
      48,53,32,49,46,57,53,48,57,50,101,45,48,53,32,49,46,55,49,53,55,50,101,45,48,
      53,32,49,46,53,48,57,49,56,101,45,48,53,32,49,46,51,54,53,57,56,101,45,48,53,
      32,49,46,50,51,54,52,54,101,45,48,53,32,49,46,49,49,57,50,57,101,45,48,53,10,
      32,32,49,46,48,49,51,50,57,101,45,48,53,32,57,46,49,55,52,55,51,101,45,48,54,
      32,56,46,50,48,49,53,54,101,45,48,54,32,55,46,49,49,55,101,45,48,54,32,54,46,
      49,55,54,53,56,101,45,48,54,32,53,46,51,54,49,48,49,101,45,48,54,32,52,46,54,
      53,51,54,53,101,45,48,54,10,32,32,52,46,48,52,48,48,54,101,45,48,54,32,51,46,
      53,48,55,55,52,101,45,48,54,32,51,46,48,52,53,56,56,101,45,48,54,32,50,46,54,
      52,53,48,57,101,45,48,54,32,50,46,50,57,55,50,54,101,45,48,54,32,49,46,57,57,
      53,51,53,101,45,48,54,32,49,46,55,51,51,50,55,101,45,48,54,10,32,32,49,46,53,
      48,53,55,54,101,45,48,54,32,49,46,51,48,56,50,50,101,45,48,54,32,49,46,49,51,
      54,55,101,45,48,54,32,57,46,56,55,55,52,55,101,45,48,55,32,56,46,53,56,51,56,
      49,101,45,48,55,32,55,46,52,54,48,49,55,101,45,48,55,32,54,46,52,56,52,49,50,
      101,45,48,55,10,32,32,53,46,54,51,54,50,101,45,48,55,32,52,46,56,57,57,53,50,
      101,45,48,55,32,52,46,50,53,56,54,50,101,45,48,55,32,51,46,55,48,51,50,53,101,
      45,48,55,32,51,46,50,49,57,56,57,101,45,48,55,32,50,46,55,57,57,56,49,101,45,
      48,55,32,50,46,52,51,52,55,101,45,48,55,10,32,32,50,46,49,49,55,51,52,101,45,
      48,55,32,49,46,56,52,49,52,54,101,45,48,55,32,49,46,54,48,49,54,51,101,45,48,
      55,32,49,46,51,57,51,49,50,101,45,48,55,32,49,46,50,49,49,56,50,101,45,48,55,
      32,49,46,48,53,52,49,56,101,45,48,55,32,57,46,49,55,49,48,49,101,45,48,56,10,
      32,32,55,46,57,55,56,56,57,101,45,48,56,32,54,46,57,52,50,49,50,101,45,48,56,
      32,54,46,48,52,48,51,57,101,45,48,56,32,53,46,50,53,54,48,55,101,45,48,56,32,
      51,46,57,56,48,51,51,101,45,48,56,32,51,46,48,49,52,55,55,101,45,48,56,32,50,
      46,50,56,51,55,53,101,45,48,56,10,32,32,49,46,55,51,48,50,101,45,48,56,32,49,
      46,51,49,49,48,54,101,45,48,56,32,57,46,57,51,54,50,55,101,45,48,57,32,55,46,
      53,51,49,55,51,101,45,48,57,32,53,46,55,49,48,48,49,101,45,48,57,32,52,46,51,
      50,57,53,56,101,45,48,57,32,51,46,50,56,51,51,57,101,45,48,57,10,32,32,50,46,
      52,57,48,51,55,101,45,48,57,32,49,46,56,56,57,49,52,101,45,48,57,32,49,46,52,
      51,51,50,54,101,45,48,57,32,49,46,48,56,55,53,52,101,45,48,57,32,56,46,50,53,
      51,49,51,101,45,49,48,32,54,46,50,54,51,57,54,101,45,49,48,32,52,46,55,53,52,
      56,49,101,45,49,48,10,32,32,51,46,54,48,57,54,54,101,45,49,48,32,50,46,55,52,
      48,54,50,101,45,49,48,32,50,46,48,56,49,48,51,101,45,49,48,32,49,46,53,56,48,
      51,54,101,45,49,48,32,49,46,50,48,48,50,56,101,45,49,48,32,57,46,49,49,55,101,
      45,49,49,32,54,46,57,50,53,55,49,101,45,49,49,10,32,32,53,46,50,54,49,54,101,
      45,49,49,32,51,46,57,57,55,55,51,101,45,49,49,32,51,46,48,51,55,55,50,101,45,
      49,49,32,50,46,51,48,56,52,55,101,45,49,49,32,49,46,55,53,52,53,101,45,49,49,
      32,49,46,48,56,49,51,53,101,45,48,57,32,52,46,51,51,54,49,51,101,45,48,57,10,
      32,32,57,46,55,54,52,54,49,101,45,48,57,32,49,46,48,56,49,52,51,101,45,48,56,
      32,52,46,51,51,55,50,52,101,45,48,56,32,57,46,55,54,57,56,53,101,45,48,56,32,
      49,46,55,51,55,50,51,101,45,48,55,32,50,46,55,49,52,57,56,101,45,48,55,32,51,
      46,57,49,51,48,53,101,45,48,55,10,32,32,53,46,51,50,57,48,54,101,45,48,55,32,
      54,46,57,54,55,50,57,101,45,48,55,32,56,46,56,50,54,54,57,101,45,48,55,32,49,
      46,48,57,48,56,51,101,45,48,54,32,49,46,51,50,49,52,53,101,45,48,54,32,49,46,
      53,55,52,54,56,101,45,48,54,32,49,46,56,53,48,53,54,101,45,48,54,10,32,32,50,
      46,49,52,57,51,49,101,45,48,54,32,50,46,52,55,49,48,55,101,45,48,54,32,50,46,
      56,49,53,57,54,101,45,48,54,32,51,46,49,56,52,50,52,101,45,48,54,32,51,46,53,
      55,54,48,49,101,45,48,54,32,51,46,57,57,49,50,52,101,45,48,54,32,52,46,52,51,
      48,50,57,101,45,48,54,10,32,32,52,46,56,57,51,53,53,101,45,48,54,32,53,46,51,
      56,49,50,53,101,45,48,54,32,53,46,56,57,51,49,101,45,48,54,32,54,46,52,50,57,
      49,57,101,45,48,54,32,54,46,57,57,48,51,54,101,45,48,54,32,55,46,53,55,54,54,
      54,101,45,48,54,32,56,46,49,56,56,49,54,101,45,48,54,10,32,32,56,46,56,50,51,
      49,55,101,45,48,54,32,57,46,54,52,54,51,101,45,48,54,32,49,46,48,51,53,49,101,
      45,48,53,32,49,46,49,48,55,50,52,101,45,48,53,32,49,46,49,56,49,55,55,101,45,
      48,53,32,49,46,50,53,56,55,49,101,45,48,53,32,49,46,51,51,56,49,52,101,45,48,
      53,10,32,32,49,46,52,50,48,49,50,101,45,48,53,32,49,46,53,48,52,54,52,101,45,
      48,53,32,49,46,53,57,49,51,52,101,45,48,53,32,49,46,54,56,48,53,56,101,45,48,
      53,32,49,46,55,55,50,51,54,101,45,48,53,32,49,46,56,54,54,54,56,101,45,48,53,
      32,49,46,57,54,51,51,50,101,45,48,53,10,32,32,50,46,48,54,50,51,50,101,45,48,
      53,32,50,46,49,54,51,56,56,101,45,48,53,32,50,46,50,54,55,57,54,101,45,48,53,
      32,50,46,51,55,52,53,56,101,45,48,53,32,50,46,52,56,51,52,101,45,48,53,32,50,
      46,53,57,52,55,52,101,45,48,53,32,50,46,55,48,56,54,54,101,45,48,53,10,32,32,
      50,46,56,50,53,49,49,101,45,48,53,32,50,46,57,52,51,57,57,101,45,48,53,32,51,
      46,48,54,53,50,57,101,45,48,53,32,51,46,49,56,57,49,54,101,45,48,53,32,51,46,
      51,49,53,53,57,101,45,48,53,32,51,46,52,52,52,53,57,101,45,48,53,32,51,46,53,
      55,54,48,56,101,45,48,53,10,32,32,51,46,55,49,48,49,50,101,45,48,53,32,51,46,
      56,52,54,55,55,101,45,48,53,32,51,46,57,56,54,101,45,48,53,32,52,46,49,50,55,
      57,101,45,48,53,32,52,46,50,55,50,52,55,101,45,48,53,32,52,46,52,49,57,54,54,
      101,45,48,53,32,52,46,53,54,57,52,54,101,45,48,53,10,32,32,52,46,55,50,49,57,
      49,101,45,48,53,32,52,46,56,55,55,51,53,101,45,48,53,32,53,46,48,51,53,52,51,
      101,45,48,53,32,53,46,49,57,54,49,56,101,45,48,53,32,53,46,51,53,57,54,49,101,
      45,48,53,32,53,46,53,50,54,48,53,101,45,48,53,32,53,46,54,57,53,52,52,101,45,
      48,53,10,32,32,53,46,56,54,55,53,53,101,45,48,53,32,54,46,48,52,50,51,55,101,
      45,48,53,32,54,46,50,50,48,48,49,101,45,48,53,32,54,46,52,48,48,57,56,101,45,
      48,53,32,54,46,53,56,52,55,52,101,45,48,53,32,54,46,55,55,49,51,101,45,48,53,
      32,54,46,57,54,48,54,55,101,45,48,53,10,32,32,55,46,49,53,51,49,54,101,45,48,
      53,32,55,46,51,52,56,54,57,101,45,48,53,32,55,46,53,52,55,48,57,101,45,48,53,
      32,55,46,55,52,56,52,52,101,45,48,53,32,55,46,57,53,50,54,49,101,45,48,53,32,
      56,46,49,53,57,53,52,101,45,48,53,32,56,46,51,54,57,54,50,101,45,48,53,10,32,
      32,56,46,53,56,50,53,53,101,45,48,53,32,56,46,55,57,56,50,54,101,45,48,53,32,
      57,46,48,49,54,49,54,101,45,48,53,32,57,46,50,51,54,54,55,101,45,48,53,32,57,
      46,52,54,48,52,50,101,45,48,53,32,57,46,54,56,54,57,52,101,45,48,53,32,57,46,
      57,49,53,57,53,101,45,48,53,10,32,32,46,48,48,48,49,48,49,52,53,51,32,46,48,
      48,48,49,48,51,55,55,53,32,46,48,48,48,49,48,54,49,50,52,32,46,48,48,48,49,
      48,56,53,32,46,48,48,48,49,49,48,56,55,52,32,46,48,48,48,49,49,51,50,53,55,
      32,46,48,48,48,49,49,53,54,54,55,32,46,48,48,48,49,49,56,49,48,51,10,32,32,
      46,48,48,48,49,50,48,53,53,56,32,46,48,48,48,49,50,50,57,55,54,32,46,48,48,
      48,49,50,53,52,50,49,32,46,48,48,48,49,50,55,56,57,51,32,46,48,48,48,49,51,
      48,51,57,50,32,46,48,48,48,49,51,50,56,53,55,32,46,48,48,48,49,51,53,51,49,
      52,32,46,48,48,48,49,51,55,55,57,57,10,32,32,46,48,48,48,49,52,48,51,49,50,
      32,46,48,48,48,49,52,50,56,51,53,32,46,48,48,48,49,52,53,50,56,56,32,46,48,
      48,48,49,52,55,55,55,32,46,48,48,48,49,53,48,50,56,51,32,46,48,48,48,49,53,
      50,56,51,53,32,46,48,48,48,49,53,53,51,51,57,32,46,48,48,48,49,53,55,56,51,
      51,10,32,32,46,48,48,48,49,54,48,51,54,53,32,46,48,48,48,49,54,50,57,51,50,
      32,46,48,48,48,49,54,53,53,49,50,32,46,48,48,48,49,54,56,48,51,53,32,46,48,
      48,48,49,55,48,53,57,55,32,46,48,48,48,49,55,51,49,57,55,32,46,48,48,48,49,
      55,53,56,51,53,32,46,48,48,48,49,55,56,52,52,49,10,32,32,46,48,48,48,49,56,
      49,48,53,53,32,46,48,48,48,49,56,51,55,48,57,32,46,48,48,48,49,56,54,52,48,
      49,32,46,48,48,48,49,56,57,49,49,55,32,46,48,48,48,49,57,49,56,48,49,32,46,
      48,48,48,49,57,52,53,50,55,32,46,48,48,48,49,57,55,50,57,51,32,46,48,48,48,
      50,48,48,48,57,51,10,32,32,46,48,48,48,50,48,50,56,57,32,46,48,48,48,50,48,
      53,55,48,51,32,46,48,48,48,50,48,56,53,53,54,32,46,48,48,48,50,49,49,52,52,
      52,32,46,48,48,48,50,49,52,51,53,57,32,46,48,48,48,50,49,55,50,55,51,32,46,
      48,48,48,50,50,48,50,50,50,32,46,48,48,48,50,50,51,50,48,55,10,32,32,46,48,
      48,48,50,50,54,50,50,53,32,46,48,48,48,50,50,57,50,53,55,32,46,48,48,48,50,
      51,50,51,49,52,32,46,48,48,48,50,51,53,52,48,50,32,46,48,48,48,50,51,56,53,
      50,51,32,46,48,48,48,50,52,49,54,55,51,32,46,48,48,48,50,52,52,56,52,52,32,
      46,48,48,48,50,52,56,48,52,52,10,32,32,46,48,48,48,50,53,49,50,55,51,32,46,
      48,48,48,50,53,52,53,51,50,32,46,48,48,48,50,53,55,56,50,49,32,46,48,48,48,
      50,54,49,49,52,32,46,48,48,48,50,54,52,52,56,53,32,46,48,48,48,50,54,55,56,
      53,55,32,46,48,48,48,50,55,49,50,53,57,32,46,48,48,48,50,55,52,55,48,49,10,
      32,32,46,48,48,48,50,55,56,49,54,57,32,46,48,48,48,50,56,50,56,50,55,32,46,
      48,48,48,50,57,51,56,56,54,32,46,48,48,48,51,49,48,54,50,56,32,46,48,48,48,
      51,51,56,57,57,55,32,46,48,48,48,51,54,56,48,57,54,32,46,48,48,48,51,57,55,
      57,56,56,32,46,48,48,48,52,50,56,56,53,56,10,32,32,46,48,48,48,52,54,48,55,
      51,50,32,46,48,48,48,52,57,51,54,50,51,32,46,48,48,48,53,50,55,51,50,32,46,
      48,48,48,53,54,49,53,53,56,32,46,48,48,48,53,57,53,57,53,55,32,46,48,48,48,
      54,51,48,52,54,54,32,46,48,48,48,54,54,53,49,52,57,32,46,48,48,48,55,48,55,
      51,54,54,10,32,32,46,48,48,48,55,53,49,49,55,50,32,46,48,48,48,56,49,51,57,
      50,54,32,46,48,48,48,56,56,53,51,50,53,32,46,48,48,48,57,54,57,57,57,56,32,
      46,48,48,49,49,48,52,50,53,32,46,48,48,49,50,56,51,49,57,32,46,48,48,49,53,
      49,51,51,49,32,46,48,48,49,56,50,49,50,10,32,32,46,48,48,50,48,55,57,51,32,
      46,48,48,50,50,54,55,57,56,32,46,48,48,50,51,53,50,52,32,46,48,48,50,52,50,
      48,53,32,46,48,48,50,53,49,57,50,57,32,46,48,48,50,54,54,53,51,49,32,46,48,
      48,50,56,55,53,56,56,32,46,48,48,51,49,55,57,54,54,32,46,48,48,51,54,50,54,
      56,10,32,32,46,48,48,52,51,54,52,55,55,32,46,48,48,53,52,48,48,56,52,32,46,
      48,48,54,56,54,50,51,32,46,48,48,56,53,53,49,53,53,32,46,48,48,57,51,55,49,
      53,57,32,46,48,48,57,52,54,55,49,52,32,46,48,48,57,51,56,57,48,57,32,46,48,
      48,57,52,48,49,49,57,32,46,48,48,57,54,54,56,51,10,32,32,46,48,49,48,50,49,
      55,55,32,46,48,49,49,49,50,53,32,46,48,49,50,51,50,53,53,32,46,48,49,51,57,
      51,53,50,32,46,48,49,54,50,53,52,56,32,46,48,49,57,55,48,56,52,32,46,48,50,
      51,49,49,53,32,46,48,50,54,54,56,50,57,32,46,48,50,57,56,50,54,51,32,46,48,
      51,51,51,50,52,53,10,32,32,46,48,51,55,55,55,51,50,32,46,48,52,49,49,56,51,
      55,32,46,48,52,52,48,52,55,52,32,46,48,52,54,53,48,49,32,46,48,53,48,48,51,
      48,56,32,46,48,53,51,51,51,51,55,32,46,48,53,54,56,55,54,57,32,46,48,54,48,
      54,54,55,57,32,46,48,54,52,55,54,52,49,10,32,32,46,48,54,56,53,57,53,54,32,
      46,48,55,50,49,51,55,54,32,46,48,55,52,51,55,56,56,32,46,48,55,53,50,55,55,
      54,32,46,48,55,53,55,49,49,54,32,46,48,55,52,54,51,54,57,32,46,48,55,49,57,
      49,54,52,32,46,48,54,56,48,49,48,57,32,46,48,54,53,53,52,55,53,10,32,32,46,
      48,54,53,53,57,50,51,32,46,48,54,55,53,49,48,54,32,46,48,54,57,57,49,51,49,
      32,46,48,55,50,50,52,53,49,32,46,48,55,52,55,54,48,54,32,46,48,55,54,53,51,
      56,52,32,46,48,55,56,48,49,48,52,32,46,48,55,57,49,50,48,53,32,46,48,55,56,
      54,54,52,53,10,32,32,46,48,55,54,48,51,54,56,32,46,48,55,49,52,55,57,55,32,
      46,48,54,56,51,50,57,50,32,46,48,54,53,49,52,49,55,32,46,48,54,48,51,52,57,
      57,32,46,48,53,53,54,54,54,55,32,46,48,53,51,53,48,52,32,46,48,53,48,57,57,
      56,55,32,46,48,53,48,48,56,54,50,10,32,32,46,48,52,57,53,56,57,56,32,46,48,
      53,53,51,54,57,54,32,46,48,53,51,54,55,48,49,32,46,48,53,50,57,55,54,51,32,
      46,48,53,49,54,53,56,50,32,46,48,53,48,50,50,56,51,32,46,48,52,57,48,53,56,
      57,32,46,48,52,55,57,49,48,57,32,46,48,52,54,56,53,54,53,10,32,32,46,48,52,
      53,56,51,54,54,32,46,48,52,52,55,50,56,54,32,46,48,52,51,55,54,52,50,32,46,
      48,52,50,55,50,50,54,32,46,48,52,49,57,55,48,54,32,46,48,52,48,55,55,48,49,
      32,46,48,52,48,48,52,57,54,32,46,48,51,57,49,55,49,50,32,46,48,51,55,49,57,
      55,54,10,32,32,46,48,51,52,54,51,55,51,32,46,48,51,50,51,48,55,56,32,46,48,
      50,57,54,49,53,55,32,46,48,50,55,49,53,49,32,46,48,50,52,52,54,56,50,32,46,
      48,50,50,52,52,48,54,32,46,48,49,57,53,48,56,52,32,46,48,49,54,52,55,55,56,
      32,46,48,49,53,48,56,55,52,10,32,32,46,48,49,51,54,55,56,54,32,46,48,49,50,
      48,49,49,53,32,46,48,49,48,55,50,56,52,32,46,48,48,57,53,56,56,53,54,32,46,
      48,48,56,52,51,57,56,51,32,46,48,48,55,52,51,52,51,54,32,46,48,48,54,54,53,
      55,49,57,32,46,48,48,53,57,54,51,56,52,32,46,48,48,53,51,52,51,57,51,10,32,
      32,46,48,48,52,55,49,54,55,32,46,48,48,52,49,48,49,51,57,32,46,48,48,51,53,
      49,52,49,55,32,46,48,48,51,48,53,57,57,54,32,46,48,48,50,54,50,53,53,55,32,
      46,48,48,50,50,56,56,57,53,32,46,48,48,49,57,57,54,53,50,32,46,48,48,49,55,
      49,54,49,55,32,46,48,48,49,52,54,48,49,50,10,32,32,46,48,48,49,50,56,57,50,
      53,32,46,48,48,49,49,49,54,55,51,32,46,48,48,48,57,56,52,53,57,56,32,46,48,
      48,48,56,54,48,57,50,52,32,46,48,48,48,55,53,51,48,54,32,46,48,48,48,54,53,
      56,57,49,55,32,46,48,48,48,53,55,54,55,50,56,32,46,48,48,48,53,48,52,57,52,
      51,10,32,32,46,48,48,48,52,52,50,50,50,49,32,46,48,48,48,51,56,55,51,57,53,
      32,46,48,48,48,51,51,57,52,53,54,32,46,48,48,48,50,57,55,53,50,53,32,46,48,
      48,48,50,54,48,56,51,55,32,46,48,48,48,50,50,56,55,49,57,32,46,48,48,48,50,
      48,48,54,48,53,32,46,48,48,48,49,55,53,57,56,53,10,32,32,46,48,48,48,49,53,
      52,52,49,57,32,46,48,48,48,49,51,53,53,50,50,32,46,48,48,48,49,49,56,57,54,
      53,32,46,48,48,48,49,48,52,52,52,54,32,57,46,49,55,49,49,52,101,45,48,53,32,
      56,46,48,53,52,54,53,101,45,48,53,32,55,46,48,55,53,50,52,101,45,48,53,10,32,
      32,54,46,50,49,53,57,101,45,48,53,32,53,46,52,54,48,54,101,45,48,53,32,52,46,
      55,57,55,55,51,101,45,48,53,32,52,46,50,49,54,50,49,101,45,48,53,32,51,46,55,
      48,53,52,55,101,45,48,53,32,51,46,50,53,55,48,52,101,45,48,53,32,50,46,56,54,
      51,50,54,101,45,48,53,10,32,32,50,46,53,49,55,52,50,101,45,48,53,32,50,46,50,
      49,51,54,51,101,45,48,53,32,49,46,57,52,54,55,51,101,45,48,53,32,49,46,55,49,
      50,48,55,101,45,48,53,32,49,46,53,48,53,57,57,101,45,48,53,32,49,46,51,54,51,
      49,49,101,45,48,53,32,49,46,50,51,51,56,56,101,45,48,53,10,32,32,49,46,49,49,
      54,57,55,101,45,48,53,32,49,46,48,49,49,50,101,45,48,53,32,57,46,49,53,54,101,
      45,48,54,32,56,46,49,56,52,57,50,101,45,48,54,32,55,46,49,48,50,54,53,101,45,
      48,54,32,54,46,49,54,52,50,101,45,48,54,32,53,46,51,53,48,51,54,101,45,48,54,
      10,32,32,52,46,54,52,52,52,56,101,45,48,54,32,52,46,48,51,50,49,55,101,45,48,
      54,32,51,46,53,48,48,57,52,101,45,48,54,32,51,46,48,52,48,48,49,101,45,48,54,
      32,50,46,54,52,48,48,49,101,45,48,54,32,50,46,50,57,50,56,55,101,45,48,54,32,
      49,46,57,57,49,53,54,101,45,48,54,10,32,32,49,46,55,51,48,48,49,101,45,48,54,
      32,49,46,53,48,50,57,53,101,45,48,54,32,49,46,51,48,53,56,101,45,48,54,32,49,
      46,49,51,52,54,101,45,48,54,32,57,46,56,53,57,51,51,101,45,48,55,32,56,46,53,
      54,56,49,51,101,45,48,55,32,55,46,52,52,54,54,49,101,45,48,55,10,32,32,54,46,
      52,55,50,52,49,101,45,48,55,32,53,46,54,50,54,48,56,101,45,48,55,32,52,46,56,
      57,48,55,56,101,45,48,55,32,52,46,50,53,49,48,55,101,45,48,55,32,51,46,54,57,
      54,55,101,45,48,55,32,51,46,50,49,52,50,51,101,45,48,55,32,50,46,55,57,52,57,
      49,101,45,48,55,10,32,32,50,46,52,51,48,52,54,101,45,48,55,32,50,46,49,49,51,
      54,55,101,45,48,55,32,49,46,56,51,56,50,57,101,45,48,55,32,49,46,53,57,56,56,
      56,101,45,48,55,32,49,46,51,57,48,55,52,101,45,48,55,32,49,46,50,48,57,55,54,
      101,45,48,55,32,49,46,48,53,50,52,101,45,48,55,10,32,32,57,46,49,53,53,53,52,
      101,45,48,56,32,55,46,57,54,53,52,56,101,45,48,56,32,54,46,57,51,48,53,101,
      45,48,56,32,54,46,48,51,48,51,51,101,45,48,56,32,53,46,50,52,55,51,53,101,45,
      48,56,32,51,46,57,55,51,55,56,101,45,48,56,32,51,46,48,48,57,56,52,101,45,48,
      56,10,32,32,50,46,50,56,48,50,49,101,45,48,56,32,49,46,55,50,55,55,55,101,45,
      48,56,32,49,46,51,48,57,52,49,101,45,48,56,32,57,46,57,50,52,48,50,101,45,48,
      57,32,55,46,53,50,50,53,50,101,45,48,57,32,53,46,55,48,51,48,56,101,45,48,57,
      32,52,46,51,50,52,51,56,101,45,48,57,10,32,32,51,46,50,55,57,52,55,101,45,48,
      57,32,50,46,52,56,55,52,49,101,45,48,57,32,49,46,56,56,54,57,49,101,45,48,57,
      32,49,46,52,51,49,53,56,101,45,48,57,32,49,46,48,56,54,50,55,101,45,48,57,32,
      56,46,50,52,51,54,49,101,45,49,48,32,54,46,50,53,54,55,54,101,45,49,48,10,32,
      32,52,46,55,52,57,51,55,101,45,49,48,32,51,46,54,48,53,53,54,101,45,49,48,32,
      50,46,55,51,55,53,50,101,45,49,48,32,50,46,48,55,56,55,101,45,49,48,32,49,46,
      53,55,56,54,101,45,49,48,32,49,46,49,57,56,57,53,101,45,49,48,32,57,46,49,48,
      54,57,52,101,45,49,49,10,32,32,54,46,57,49,56,49,50,101,45,49,49,32,53,46,50,
      53,53,56,53,101,45,49,49,32,51,46,57,57,51,51,56,101,45,49,49,32,51,46,48,51,
      52,52,52,101,45,49,49,32,50,46,51,48,53,57,57,101,45,49,49,32,49,46,55,53,50,
      54,51,101,45,49,49,32,57,46,57,56,50,101,45,49,48,10,32,32,52,46,48,48,50,54,
      54,101,45,48,57,32,57,46,48,49,51,54,49,101,45,48,57,32,57,46,57,56,50,53,52,
      101,45,48,57,32,52,46,48,48,51,52,55,101,45,48,56,32,57,46,48,49,55,51,57,101,
      45,48,56,32,49,46,54,48,51,50,56,101,45,48,55,32,50,46,53,48,53,51,53,101,45,
      48,55,10,32,32,51,46,54,49,48,52,49,101,45,48,55,32,52,46,57,49,54,49,50,101,
      45,48,55,32,54,46,52,50,54,50,52,101,45,48,55,32,56,46,49,51,57,54,53,101,45,
      48,55,32,49,46,48,48,53,55,50,101,45,48,54,32,49,46,50,49,56,48,56,101,45,48,
      54,32,49,46,52,53,49,49,55,101,45,48,54,10,32,32,49,46,55,48,52,57,57,101,45,
      48,54,32,49,46,57,55,57,55,52,101,45,48,54,32,50,46,50,55,53,53,52,101,45,48,
      54,32,50,46,53,57,50,52,53,101,45,48,54,32,50,46,57,51,48,54,56,101,45,48,54,
      32,51,46,50,57,48,51,51,101,45,48,54,32,51,46,54,55,49,51,53,101,45,48,54,10,
      32,32,52,46,48,55,52,101,45,48,54,32,52,46,52,57,56,54,101,45,48,54,32,52,46,
      57,52,53,51,49,101,45,48,54,32,53,46,52,49,51,57,51,101,45,48,54,32,53,46,57,
      48,52,53,50,101,45,48,54,32,54,46,52,49,55,55,53,101,45,48,54,32,54,46,57,53,
      51,54,55,101,45,48,54,10,32,32,55,46,53,49,50,51,51,101,45,48,54,32,56,46,48,
      57,50,53,57,101,45,48,54,32,56,46,54,57,53,56,101,45,48,54,32,57,46,51,50,49,
      56,101,45,48,54,32,49,46,48,48,52,57,56,101,45,48,53,32,49,46,48,56,48,57,53,
      101,45,48,53,32,49,46,49,53,49,49,52,101,45,48,53,10,32,32,49,46,50,50,51,54,
      101,45,48,53,32,49,46,50,57,56,51,54,101,45,48,53,32,49,46,51,55,53,52,49,101,
      45,48,53,32,49,46,52,53,52,52,56,101,45,48,53,32,49,46,53,51,53,56,52,101,45,
      48,53,32,49,46,54,49,57,53,101,45,48,53,32,49,46,55,48,53,52,53,101,45,48,53,
      10,32,32,49,46,55,57,51,53,50,101,45,48,53,32,49,46,56,56,51,55,53,101,45,48,
      53,32,49,46,57,55,54,50,57,101,45,48,53,32,50,46,48,55,49,49,49,101,45,48,53,
      32,50,46,49,54,56,50,52,101,45,48,53,32,50,46,50,54,55,51,56,101,45,48,53,32,
      50,46,51,54,56,56,50,101,45,48,53,10,32,32,50,46,52,55,50,53,55,101,45,48,53,
      32,50,46,53,55,56,54,51,101,45,48,53,32,50,46,54,56,54,56,57,101,45,48,53,32,
      50,46,55,57,55,51,54,101,45,48,53,32,50,46,57,49,48,49,52,101,45,48,53,32,51,
      46,48,50,53,50,52,101,45,48,53,32,51,46,49,52,50,54,55,101,45,48,53,10,32,32,
      51,46,50,54,50,51,54,101,45,48,53,32,51,46,51,56,52,51,54,101,45,48,53,32,51,
      46,53,48,56,55,49,101,45,48,53,32,51,46,54,51,53,52,101,45,48,53,32,51,46,55,
      54,52,52,57,101,45,48,53,32,51,46,56,57,53,57,56,101,45,48,53,32,52,46,48,50,
      57,56,52,101,45,48,53,10,32,32,52,46,49,54,54,48,54,101,45,48,53,32,52,46,51,
      48,52,54,55,101,45,48,53,32,52,46,52,52,53,57,53,101,45,48,53,32,52,46,53,56,
      57,54,49,101,45,48,53,32,52,46,55,51,53,54,55,101,45,48,53,32,52,46,56,56,52,
      49,53,101,45,48,53,32,53,46,48,51,53,51,50,101,45,48,53,10,32,32,53,46,49,56,
      57,49,49,101,45,48,53,32,53,46,51,52,53,51,54,101,45,48,53,32,53,46,53,48,52,
      48,53,101,45,48,53,32,53,46,54,54,53,50,56,101,45,48,53,32,53,46,56,50,57,52,
      53,101,45,48,53,32,53,46,57,57,54,49,50,101,45,48,53,32,54,46,49,54,53,51,49,
      101,45,48,53,10,32,32,54,46,51,51,55,48,50,101,45,48,53,32,54,46,53,49,49,53,
      50,101,45,48,53,32,54,46,54,56,56,55,49,101,45,48,53,32,54,46,56,54,56,52,57,
      101,45,48,53,32,55,46,48,53,48,57,50,101,45,48,53,32,55,46,50,51,53,56,54,101,
      45,48,53,32,55,46,52,50,51,51,101,45,48,53,10,32,32,55,46,54,49,51,53,52,101,
      45,48,53,32,55,46,56,48,54,51,53,101,45,48,53,32,56,46,48,48,49,54,52,101,45,
      48,53,32,56,46,49,57,56,57,54,101,45,48,53,32,56,46,51,57,56,54,52,101,45,48,
      53,32,56,46,54,48,49,50,101,45,48,53,32,56,46,56,48,54,50,55,101,45,48,53,10,
      32,32,57,46,48,49,51,53,57,101,45,48,53,32,57,46,50,50,49,52,51,101,45,48,53,
      32,57,46,52,51,49,55,54,101,45,48,53,32,57,46,54,52,52,53,52,101,45,48,53,32,
      57,46,56,53,57,56,50,101,45,48,53,32,46,48,48,48,49,48,48,55,53,49,32,46,48,
      48,48,49,48,50,57,49,51,10,32,32,46,48,48,48,49,48,53,48,57,57,32,46,48,48,
      48,49,48,55,51,49,32,46,48,48,48,49,48,57,53,51,55,32,46,48,48,48,49,49,49,
      55,51,55,32,46,48,48,48,49,49,51,57,54,49,32,46,48,48,48,49,49,54,50,48,57,
      32,46,48,48,48,49,49,56,52,56,50,32,46,48,48,48,49,50,48,55,50,56,10,32,32,
      46,48,48,48,49,50,50,57,55,32,46,48,48,48,49,50,53,50,51,56,32,46,48,48,48,
      49,50,55,53,51,32,46,48,48,48,49,50,57,56,51,51,32,46,48,48,48,49,51,50,48,
      56,32,46,48,48,48,49,51,52,51,53,51,32,46,48,48,48,49,51,54,54,53,52,32,46,
      48,48,48,49,51,56,57,57,10,32,32,46,48,48,48,49,52,49,50,56,56,32,46,48,48,
      48,49,52,51,53,56,32,46,48,48,48,49,52,53,57,48,54,32,46,48,48,48,49,52,56,
      50,54,50,32,46,48,48,48,49,53,48,54,51,51,32,46,48,48,48,49,53,50,57,53,55,
      32,46,48,48,48,49,53,53,51,49,56,32,46,48,48,48,49,53,55,55,49,49,10,32,32,
      46,48,48,48,49,54,48,49,51,55,32,46,48,48,48,49,54,50,53,52,49,32,46,48,48,
      48,49,54,52,57,53,50,32,46,48,48,48,49,54,55,51,57,57,32,46,48,48,48,49,54,
      57,56,56,32,46,48,48,48,49,55,50,51,56,51,32,46,48,48,48,49,55,52,56,54,50,
      32,46,48,48,48,49,55,55,51,55,55,10,32,32,46,48,48,48,49,55,57,57,50,56,32,
      46,48,48,48,49,56,50,53,48,57,32,46,48,48,48,49,56,53,48,56,57,32,46,48,48,
      48,49,56,55,54,56,53,32,46,48,48,48,49,57,48,51,49,55,32,46,48,48,48,49,57,
      50,57,55,57,32,46,48,48,48,49,57,53,54,54,54,32,46,48,48,48,49,57,56,51,53,
      51,10,32,32,46,48,48,48,50,48,49,48,55,50,32,46,48,48,48,50,48,51,56,50,51,
      32,46,48,48,48,50,48,54,54,48,50,32,46,48,48,48,50,48,57,51,57,53,32,46,48,
      48,48,50,49,50,50,49,49,32,46,48,48,48,50,49,53,48,53,52,32,46,48,48,48,50,
      49,55,57,50,55,32,46,48,48,48,50,50,48,56,50,53,10,32,32,46,48,48,48,50,50,
      51,55,52,51,32,46,48,48,48,50,50,54,54,56,53,32,46,48,48,48,50,50,57,54,53,
      52,32,46,48,48,48,50,51,50,54,53,32,46,48,48,48,50,51,53,54,55,50,32,46,48,
      48,48,50,51,56,55,50,49,32,46,48,48,48,50,52,49,55,57,51,32,46,48,48,48,50,
      52,52,56,56,57,10,32,32,46,48,48,48,50,52,56,48,49,51,32,46,48,48,48,50,53,
      49,49,55,32,46,48,48,48,50,53,52,51,53,50,32,46,48,48,48,50,53,56,54,50,52,
      32,46,48,48,48,50,54,56,55,54,50,32,46,48,48,48,50,56,52,48,57,32,46,48,48,
      48,51,49,48,48,50,53,32,46,48,48,48,51,51,54,53,53,55,10,32,32,46,48,48,48,
      51,54,51,55,51,52,32,46,48,48,48,51,57,49,54,57,56,32,46,48,48,48,52,50,48,
      52,55,32,46,48,48,48,52,53,48,48,55,49,32,46,48,48,48,52,56,48,51,51,57,32,
      46,48,48,48,53,49,49,48,54,51,32,46,48,48,48,53,52,49,57,51,51,32,46,48,48,
      48,53,55,50,57,48,53,10,32,32,46,48,48,48,54,48,52,48,51,32,46,48,48,48,54,
      52,49,56,56,53,32,46,48,48,48,54,56,49,48,54,56,32,46,48,48,48,55,51,54,57,
      53,53,32,46,48,48,48,56,48,48,49,49,51,32,46,48,48,48,56,55,52,53,49,54,32,
      46,48,48,48,57,57,49,55,55,51,32,46,48,48,49,49,52,55,53,54,10,32,32,46,48,
      48,49,51,52,56,49,57,32,46,48,48,49,54,49,56,49,49,32,46,48,48,49,56,52,53,
      57,54,32,46,48,48,50,48,49,51,51,49,32,46,48,48,50,48,56,56,56,54,32,46,48,
      48,50,49,53,48,51,52,32,46,48,48,50,50,51,57,50,52,32,46,48,48,50,51,54,57,
      55,51,10,32,32,46,48,48,50,53,53,54,56,53,32,46,48,48,50,56,50,53,54,53,32,
      46,48,48,51,50,50,48,53,50,32,46,48,48,51,56,55,52,50,32,46,48,48,52,56,48,
      48,51,51,32,46,48,48,54,49,50,54,51,56,32,46,48,48,55,54,56,48,53,51,32,46,
      48,48,56,52,49,56,48,51,32,46,48,48,56,52,55,57,53,52,10,32,32,46,48,48,56,
      51,56,48,51,53,32,46,48,48,56,51,54,57,53,50,32,46,48,48,56,53,57,54,50,57,
      32,46,48,48,57,48,56,48,54,49,32,46,48,48,57,56,56,55,52,51,32,46,48,49,48,
      57,54,48,52,32,46,48,49,50,52,48,54,55,32,46,48,49,52,53,48,52,54,32,46,48,
      49,55,54,53,52,56,10,32,32,46,48,50,48,55,56,56,53,32,46,48,50,52,48,57,55,
      49,32,46,48,50,55,48,52,56,32,46,48,51,48,51,56,53,55,32,46,48,51,52,55,51,
      49,53,32,46,48,51,56,49,50,52,56,32,46,48,52,48,57,51,48,52,32,46,48,52,51,
      50,55,57,52,32,46,48,52,54,54,53,50,51,10,32,32,46,48,52,57,56,52,54,51,32,
      46,48,53,51,50,50,56,55,32,46,48,53,54,55,53,55,52,32,46,48,54,48,53,50,56,
      57,32,46,48,54,52,49,48,57,56,32,46,48,54,55,53,53,56,57,32,46,48,54,57,57,
      48,49,49,32,46,48,55,48,57,54,49,55,32,46,48,55,49,55,55,51,57,10,32,32,46,
      48,55,49,49,49,49,54,32,46,48,54,56,56,52,54,55,32,46,48,54,53,52,49,49,51,
      32,46,48,54,51,50,50,55,51,32,46,48,54,51,51,55,48,51,32,46,48,54,53,50,54,
      50,55,32,46,48,54,55,54,48,52,54,32,46,48,54,57,56,55,54,49,32,46,48,55,50,
      51,50,56,56,10,32,32,46,48,55,52,48,54,51,57,32,46,48,55,53,53,49,48,54,32,
      46,48,55,54,54,52,57,53,32,46,48,55,54,50,54,57,52,32,46,48,55,51,56,52,55,
      52,32,46,48,54,57,53,54,55,50,32,46,48,54,54,53,56,52,57,32,46,48,54,51,53,
      53,52,55,32,46,48,53,56,57,56,48,54,10,32,32,46,48,53,52,52,57,50,51,32,46,
      48,53,50,52,49,52,50,32,46,48,53,48,48,48,54,54,32,46,48,52,57,49,51,50,49,
      32,46,48,52,56,54,54,54,56,32,46,48,53,52,50,56,57,50,32,46,48,53,50,54,54,
      49,49,32,46,48,53,49,57,57,53,50,32,46,48,53,48,55,50,56,50,10,32,32,46,48,
      52,57,51,53,48,55,32,46,48,52,56,50,50,50,55,32,46,48,52,55,49,49,51,54,32,
      46,48,52,54,48,57,51,55,32,46,48,52,53,49,48,54,50,32,46,48,52,52,48,51,50,
      32,46,48,52,51,48,57,54,32,46,48,52,50,48,56,52,50,32,46,48,52,49,51,53,51,
      50,32,46,48,52,48,49,56,53,51,10,32,32,46,48,51,57,52,56,51,57,32,46,48,51,
      56,54,50,56,49,32,46,48,51,54,55,48,50,54,32,46,48,51,52,50,48,49,32,46,48,
      51,49,57,50,49,32,46,48,50,57,50,56,49,55,32,46,48,50,54,56,54,49,56,32,46,
      48,50,52,50,50,51,56,32,46,48,50,50,50,50,55,53,32,46,48,49,57,51,51,54,54,
      10,32,32,46,48,49,54,51,51,52,51,32,46,48,49,52,57,54,48,52,32,46,48,49,51,
      53,54,56,52,32,46,48,49,49,57,49,57,57,32,46,48,49,48,54,52,57,52,32,46,48,
      48,57,53,50,48,51,53,32,46,48,48,56,51,56,49,57,54,32,46,48,48,55,51,56,53,
      48,53,32,46,48,48,54,54,49,52,51,50,10,32,32,46,48,48,53,57,50,54,57,51,32,
      46,48,48,53,51,49,51,52,54,32,46,48,48,52,54,57,48,53,55,32,46,48,48,52,48,
      55,57,51,54,32,46,48,48,51,52,57,53,57,49,32,46,48,48,51,48,52,52,52,55,32,
      46,48,48,50,54,49,50,54,57,32,46,48,48,50,50,55,55,57,56,10,32,32,46,48,48,
      49,57,56,55,49,54,32,46,48,48,49,55,48,56,51,51,32,46,48,48,49,52,53,51,54,
      49,32,46,48,48,49,50,56,51,55,32,46,48,48,49,49,49,50,50,50,32,46,48,48,48,
      57,56,48,55,48,56,32,46,48,48,48,56,53,55,53,56,49,32,46,48,48,48,55,53,48,
      49,56,53,10,32,32,46,48,48,48,54,53,54,52,52,53,32,46,48,48,48,53,55,52,54,
      48,52,32,46,48,48,48,53,48,51,49,48,57,32,46,48,48,48,52,52,48,54,51,55,32,
      46,48,48,48,51,56,54,48,50,56,32,46,48,48,48,51,51,56,50,55,54,32,46,48,48,
      48,50,57,54,53,48,53,32,46,48,48,48,50,53,57,57,53,51,10,32,32,46,48,48,48,
      50,50,55,57,53,52,32,46,48,48,48,49,57,57,57,52,51,32,46,48,48,48,49,55,53,
      52,49,49,32,46,48,48,48,49,53,51,57,50,49,32,46,48,48,48,49,51,53,48,56,57,
      32,46,48,48,48,49,49,56,53,56,57,32,46,48,48,48,49,48,52,49,50,32,57,46,49,
      52,50,55,57,101,45,48,53,10,32,32,56,46,48,50,57,57,57,101,45,48,53,32,55,46,
      48,53,51,55,56,101,45,48,53,32,54,46,49,57,55,50,50,101,45,48,53,32,53,46,52,
      52,53,53,50,101,45,48,53,32,52,46,55,56,53,55,49,101,45,48,53,32,52,46,50,48,
      54,53,49,101,45,48,53,32,51,46,54,57,55,48,51,101,45,48,53,10,32,32,51,46,50,
      52,57,55,101,45,48,53,32,50,46,56,53,54,56,55,101,45,48,53,32,50,46,53,49,49,
      56,54,101,45,48,53,32,50,46,50,48,56,55,56,101,45,48,53,32,49,46,57,52,50,53,
      101,45,48,53,32,49,46,55,48,56,51,56,101,45,48,53,32,49,46,53,48,50,55,56,101,
      45,48,53,10,32,32,49,46,51,54,48,50,51,101,45,48,53,32,49,46,50,51,49,50,57,
      101,45,48,53,32,49,46,49,49,52,54,52,101,45,48,53,32,49,46,48,48,57,49,101,
      45,48,53,32,57,46,49,51,55,48,53,101,45,48,54,32,56,46,49,54,56,49,101,45,48,
      54,32,55,46,48,56,56,49,55,101,45,48,54,10,32,32,54,46,49,53,49,55,53,101,45,
      48,54,32,53,46,51,51,57,54,52,101,45,48,54,32,52,46,54,51,53,50,54,101,45,48,
      54,32,52,46,48,50,52,50,101,45,48,54,32,51,46,52,57,52,48,54,101,45,48,54,32,
      51,46,48,51,52,48,55,101,45,48,54,32,50,46,54,51,52,57,101,45,48,54,10,32,32,
      50,46,50,56,56,52,54,101,45,48,54,32,49,46,57,56,55,55,54,101,45,48,54,32,49,
      46,55,50,54,55,52,101,45,48,54,32,49,46,53,48,48,49,50,101,45,48,54,32,49,46,
      51,48,51,51,53,101,45,48,54,32,49,46,49,51,50,52,57,101,45,48,54,32,57,46,56,
      52,49,48,55,101,45,48,55,10,32,32,56,46,53,53,50,51,55,101,45,48,55,32,55,46,
      52,51,51,48,49,101,45,48,55,32,54,46,52,54,48,54,54,101,45,48,55,32,53,46,54,
      49,53,57,52,101,45,48,55,32,52,46,56,56,50,101,45,48,55,32,52,46,50,52,51,52,
      54,101,45,48,55,32,51,46,54,57,48,49,49,101,45,48,55,10,32,32,51,46,50,48,56,
      53,52,101,45,48,55,32,50,46,55,56,57,57,57,101,45,48,55,32,50,46,52,50,54,50,
      49,101,45,48,55,32,50,46,49,48,57,57,57,101,45,48,55,32,49,46,56,51,53,49,101,
      45,48,55,32,49,46,53,57,54,49,51,101,45,48,55,32,49,46,51,56,56,51,53,101,45,
      48,55,10,32,32,49,46,50,48,55,54,57,101,45,48,55,32,49,46,48,53,48,54,101,45,
      48,55,32,57,46,49,52,101,45,48,56,32,55,46,57,53,50,48,52,101,45,48,56,32,54,
      46,57,49,56,56,53,101,45,48,56,32,54,46,48,50,48,50,51,101,45,48,56,32,53,46,
      50,51,56,54,101,45,48,56,32,51,46,57,54,55,49,57,101,45,48,56,10,32,32,51,46,
      48,48,52,56,56,101,45,48,56,32,50,46,50,55,54,52,57,101,45,48,56,32,49,46,55,
      50,52,57,55,101,45,48,56,32,49,46,51,48,55,51,101,45,48,56,32,57,46,57,48,57,
      50,51,101,45,48,57,32,55,46,53,49,50,51,57,101,45,48,57,32,53,46,54,57,54,49,
      51,101,45,48,57,10,32,32,52,46,51,49,57,49,54,101,45,48,57,32,51,46,50,55,53,
      53,52,101,45,48,57,32,50,46,52,56,52,52,53,101,45,48,57,32,49,46,56,56,52,54,
      56,101,45,48,57,32,49,46,52,50,57,57,101,45,48,57,32,49,46,48,56,53,101,45,
      48,57,32,56,46,50,51,52,48,50,101,45,49,48,10,32,32,54,46,50,52,57,53,53,101,
      45,49,48,32,52,46,55,52,51,57,50,101,45,49,48,32,51,46,54,48,49,52,52,101,45,
      49,48,32,50,46,55,51,52,52,50,101,45,49,48,32,50,46,48,55,54,51,54,101,45,49,
      48,32,49,46,53,55,54,56,52,101,45,49,48,32,49,46,49,57,55,54,50,101,45,49,48,
      10,32,32,57,46,48,57,54,56,57,101,45,49,49,32,54,46,57,49,48,53,101,45,49,49,
      32,53,46,50,53,48,49,49,101,45,49,49,32,51,46,57,56,57,48,52,101,45,49,49,32,
      51,46,48,51,49,49,54,101,45,49,49,32,50,46,51,48,51,53,49,101,45,49,49,32,49,
      46,55,53,48,55,52,101,45,49,49,10,32,32,57,46,50,51,56,50,49,101,45,49,48,32,
      51,46,55,48,52,51,57,101,45,48,57,32,56,46,51,52,49,56,54,101,45,48,57,32,57,
      46,50,51,56,53,56,101,45,48,57,32,51,46,55,48,52,57,51,101,45,48,56,32,56,46,
      51,52,52,51,51,101,45,48,56,32,49,46,52,56,51,52,55,101,45,48,55,10,32,32,50,
      46,51,49,55,56,53,101,45,48,55,32,51,46,51,51,57,55,51,101,45,48,55,32,52,46,
      53,52,54,56,101,45,48,55,32,53,46,57,52,50,51,56,101,45,48,55,32,55,46,53,50,
      53,50,54,101,45,48,55,32,57,46,50,57,54,48,56,101,45,48,55,32,49,46,49,50,53,
      54,53,101,45,48,54,10,32,32,49,46,51,52,48,55,51,101,45,48,54,32,49,46,53,55,
      52,56,53,101,45,48,54,32,49,46,56,50,56,49,54,101,45,48,54,32,50,46,49,48,48,
      55,55,101,45,48,54,32,50,46,51,57,50,54,57,101,45,48,54,32,50,46,55,48,52,49,
      50,101,45,48,54,32,51,46,48,51,53,48,57,101,45,48,54,10,32,32,51,46,51,56,53,
      54,49,101,45,48,54,32,51,46,55,53,53,56,52,101,45,48,54,32,52,46,49,52,54,48,
      51,101,45,48,54,32,52,46,53,53,54,51,49,101,45,48,54,32,52,46,57,56,54,53,101,
      45,48,54,32,53,46,52,51,54,54,54,101,45,48,54,32,53,46,57,48,55,51,53,101,45,
      48,54,10,32,32,54,46,51,57,56,53,54,101,45,48,54,32,54,46,57,49,48,51,54,101,
      45,48,54,32,55,46,52,52,49,57,101,45,48,54,32,55,46,57,57,52,50,50,101,45,48,
      54,32,56,46,53,54,55,51,55,101,45,48,54,32,57,46,49,54,49,52,53,101,45,48,54,
      32,57,46,55,55,53,51,53,101,45,48,54,10,32,32,49,46,48,52,55,51,54,101,45,48,
      53,32,49,46,49,50,49,55,57,101,45,48,53,32,49,46,49,57,48,49,51,101,45,48,53,
      32,49,46,50,54,48,53,56,101,45,48,53,32,49,46,51,51,50,56,55,101,45,48,53,32,
      49,46,52,48,55,50,53,101,45,48,53,32,49,46,52,56,51,55,49,101,45,48,53,10,32,
      32,49,46,53,54,50,50,53,101,45,48,53,32,49,46,54,52,50,55,51,101,45,48,53,32,
      49,46,55,50,53,49,57,101,45,48,53,32,49,46,56,48,57,55,52,101,45,48,53,32,49,
      46,56,57,54,51,54,101,45,48,53,32,49,46,57,56,53,48,55,101,45,48,53,32,50,46,
      48,55,53,54,53,101,45,48,53,10,32,32,50,46,49,54,56,51,101,45,48,53,32,50,46,
      50,54,51,48,53,101,45,48,53,32,50,46,51,53,57,56,57,101,45,48,53,32,50,46,52,
      53,56,55,53,101,45,48,53,32,50,46,53,53,57,54,51,101,45,48,53,32,50,46,54,54,
      50,53,57,101,45,48,53,32,50,46,55,54,55,54,54,101,45,48,53,10,32,32,50,46,56,
      55,52,56,53,101,45,48,53,32,50,46,57,56,52,48,56,101,45,48,53,32,51,46,48,57,
      53,52,50,101,45,48,53,32,51,46,50,48,56,56,57,101,45,48,53,32,51,46,51,50,52,
      52,55,101,45,48,53,32,51,46,52,52,50,50,50,101,45,48,53,32,51,46,53,54,50,49,
      52,101,45,48,53,10,32,32,51,46,54,56,52,50,49,101,45,48,53,32,51,46,56,48,56,
      52,49,101,45,48,53,32,51,46,57,51,52,55,55,101,45,48,53,32,52,46,48,54,51,53,
      50,101,45,48,53,32,52,46,49,57,52,52,51,101,45,48,53,32,52,46,51,50,55,53,49,
      101,45,48,53,32,52,46,52,54,50,55,55,101,45,48,53,10,32,32,52,46,54,48,48,52,
      50,101,45,48,53,32,52,46,55,52,48,52,52,101,45,48,53,32,52,46,56,56,50,54,55,
      101,45,48,53,32,53,46,48,50,55,49,49,101,45,48,53,32,53,46,49,55,51,56,51,101,
      45,48,53,32,53,46,51,50,51,49,53,101,45,48,53,32,53,46,52,55,52,55,51,101,45,
      48,53,10,32,32,53,46,54,50,56,53,56,101,45,48,53,32,53,46,55,56,52,55,49,101,
      45,48,53,32,53,46,57,52,51,51,49,101,45,48,53,32,54,46,49,48,52,51,51,101,45,
      48,53,32,54,46,50,54,55,54,56,101,45,48,53,32,54,46,52,51,51,52,101,45,48,53,
      32,54,46,54,48,49,51,57,101,45,48,53,10,32,32,54,46,55,55,49,54,50,101,45,48,
      53,32,54,46,57,52,52,51,54,101,45,48,53,32,55,46,49,49,57,52,50,101,45,48,53,
      32,55,46,50,57,54,55,50,101,45,48,53,32,55,46,52,55,53,56,56,101,45,48,53,32,
      55,46,54,53,55,49,56,101,45,48,53,32,55,46,56,52,49,48,55,101,45,48,53,10,32,
      32,56,46,48,50,55,50,50,101,45,48,53,32,56,46,50,49,53,52,49,101,45,48,53,32,
      56,46,52,48,52,50,52,101,45,48,53,32,56,46,53,57,53,51,49,101,45,48,53,32,56,
      46,55,56,56,54,101,45,48,53,32,56,46,57,56,52,49,51,101,45,48,53,32,57,46,49,
      55,57,56,55,101,45,48,53,10,32,32,57,46,51,55,54,53,54,101,45,48,53,32,57,46,
      53,55,53,52,56,101,45,48,53,32,57,46,55,55,54,54,101,45,48,53,32,57,46,57,55,
      57,50,56,101,45,48,53,32,46,48,48,48,49,48,49,55,57,57,32,46,48,48,48,49,48,
      51,56,50,55,32,46,48,48,48,49,48,53,56,55,55,10,32,32,46,48,48,48,49,48,55,
      57,53,32,46,48,48,48,49,49,48,48,48,50,32,46,48,48,48,49,49,50,48,53,52,32,
      46,48,48,48,49,49,52,49,50,56,32,46,48,48,48,49,49,54,50,50,53,32,46,48,48,
      48,49,49,56,51,51,50,32,46,48,48,48,49,50,48,51,57,54,32,46,48,48,48,49,50,
      50,52,56,52,10,32,32,46,48,48,48,49,50,52,53,57,54,32,46,48,48,48,49,50,54,
      55,51,57,32,46,48,48,48,49,50,56,56,53,52,32,46,48,48,48,49,51,48,57,54,53,
      32,46,48,48,48,49,51,51,49,48,55,32,46,48,48,48,49,51,53,50,55,54,32,46,48,
      48,48,49,51,55,52,53,56,32,46,48,48,48,49,51,57,54,48,54,10,32,32,46,48,48,
      48,49,52,49,55,56,53,32,46,48,48,48,49,52,51,57,57,52,32,46,48,48,48,49,52,
      54,50,51,50,32,46,48,48,48,49,52,56,52,53,51,32,46,48,48,48,49,53,48,54,56,
      52,32,46,48,48,48,49,53,50,57,52,54,32,46,48,48,48,49,53,53,50,51,55,32,46,
      48,48,48,49,53,55,53,52,56,10,32,32,46,48,48,48,49,53,57,56,52,52,32,46,48,
      48,48,49,54,50,49,55,32,46,48,48,48,49,54,52,53,50,57,32,46,48,48,48,49,54,
      54,57,49,51,32,46,48,48,48,49,54,57,51,32,46,48,48,48,49,55,49,55,48,50,32,
      46,48,48,48,49,55,52,49,51,53,32,46,48,48,48,49,55,54,53,57,52,10,32,32,46,
      48,48,48,49,55,57,48,55,54,32,46,48,48,48,49,56,49,53,54,49,32,46,48,48,48,
      49,56,52,48,55,52,32,46,48,48,48,49,56,54,54,49,53,32,46,48,48,48,49,56,57,
      49,56,32,46,48,48,48,49,57,49,55,53,57,32,46,48,48,48,49,57,52,51,53,57,32,
      46,48,48,48,49,57,54,57,56,51,10,32,32,46,48,48,48,49,57,57,54,51,51,32,46,
      48,48,48,50,48,50,51,48,54,32,46,48,48,48,50,48,52,57,57,54,32,46,48,48,48,
      50,48,55,55,48,57,32,46,48,48,48,50,49,48,52,52,53,32,46,48,48,48,50,49,51,
      50,48,53,32,46,48,48,48,50,49,53,57,56,57,32,46,48,48,48,50,49,56,55,57,55,
      10,32,32,46,48,48,48,50,50,49,54,50,53,32,46,48,48,48,50,50,52,52,55,53,32,
      46,48,48,48,50,50,55,51,53,32,46,48,48,48,50,51,48,50,53,53,32,46,48,48,48,
      50,51,51,49,56,50,32,46,48,48,48,50,51,55,49,49,51,32,46,48,48,48,50,52,54,
      48,51,32,46,48,48,48,50,53,55,48,49,56,10,32,32,46,48,48,48,50,56,50,51,51,
      50,32,46,48,48,48,51,48,56,53,50,52,32,46,48,48,48,51,51,51,50,57,57,32,46,
      48,48,48,51,53,56,55,48,51,32,46,48,48,48,51,56,52,55,52,54,32,46,48,48,48,
      52,49,49,52,53,55,32,46,48,48,48,52,51,56,55,49,53,32,46,48,48,48,52,54,54,
      51,53,54,10,32,32,46,48,48,48,52,57,52,49,51,50,32,46,48,48,48,53,50,50,48,
      48,52,32,46,48,48,48,53,53,48,48,49,50,32,46,48,48,48,53,56,52,48,52,56,32,
      46,48,48,48,54,49,57,49,57,52,32,46,48,48,48,54,54,57,49,48,52,32,46,48,48,
      48,55,50,53,49,51,51,32,46,48,48,48,55,57,48,55,48,51,10,32,32,46,48,48,48,
      56,57,51,52,51,49,32,46,48,48,49,48,50,57,52,56,32,46,48,48,49,50,48,52,56,
      32,46,48,48,49,52,52,49,56,32,46,48,48,49,54,52,51,49,52,32,46,48,48,49,55,
      57,49,57,32,46,48,48,49,56,53,57,57,49,32,46,48,48,49,57,49,53,55,57,32,46,
      48,48,49,57,57,54,49,53,10,32,32,46,48,48,50,49,49,51,49,56,32,46,48,48,50,
      50,55,57,57,52,32,46,48,48,50,53,49,56,51,52,32,46,48,48,50,56,54,55,53,54,
      32,46,48,48,51,52,52,54,55,56,32,46,48,48,52,50,55,51,56,51,32,46,48,48,53,
      52,55,52,52,52,32,46,48,48,54,57,48,48,55,49,10,32,32,46,48,48,55,53,54,52,
      49,53,32,46,48,48,55,53,57,57,51,55,32,46,48,48,55,52,56,55,49,32,46,48,48,
      55,52,54,49,48,53,32,46,48,48,55,54,53,53,52,50,32,46,48,48,56,48,56,52,48,
      50,32,46,48,48,56,56,48,50,54,49,32,46,48,48,57,55,54,49,56,50,32,46,48,49,
      49,48,54,48,54,10,32,32,46,48,49,50,57,53,53,55,32,46,48,49,53,56,50,52,49,
      32,46,48,49,56,55,48,49,51,32,46,48,50,49,55,54,50,53,32,46,48,50,52,53,50,
      52,54,32,46,48,50,55,54,57,54,54,32,46,48,51,49,57,49,54,57,32,46,48,51,53,
      50,54,57,50,32,46,48,51,56,48,48,54,50,10,32,32,46,48,52,48,50,53,48,56,32,
      46,48,52,51,52,54,56,52,32,46,48,52,54,53,53,48,49,32,46,48,52,57,55,55,52,
      53,32,46,48,53,51,48,53,54,52,32,46,48,53,54,53,50,53,57,32,46,48,53,57,56,
      55,32,46,48,54,51,50,49,57,54,32,46,48,54,53,54,51,56,53,32,46,48,54,54,56,
      51,55,49,10,32,32,46,48,54,55,57,56,51,51,32,46,48,54,55,54,57,54,54,32,46,
      48,54,53,56,53,53,51,32,46,48,54,50,56,54,51,49,32,46,48,54,48,57,52,52,55,
      32,46,48,54,49,49,56,48,50,32,46,48,54,51,48,52,53,51,32,46,48,54,53,51,50,
      54,54,32,46,48,54,55,53,51,55,57,10,32,32,46,48,54,57,57,50,55,54,32,46,48,
      55,49,54,50,48,49,32,46,48,55,51,48,52,48,57,32,46,48,55,52,50,48,53,56,32,
      46,48,55,51,56,57,56,54,32,46,48,55,49,54,55,53,55,32,46,48,54,55,54,54,53,
      50,32,46,48,54,52,56,52,55,55,32,46,48,54,49,57,55,50,49,10,32,32,46,48,53,
      55,54,49,50,51,32,46,48,53,51,51,49,53,55,32,46,48,53,49,51,50,49,56,32,46,
      48,52,57,48,49,50,32,46,48,52,56,49,55,52,57,32,46,48,52,55,55,51,57,57,32,
      46,48,53,51,50,48,54,52,32,46,48,53,49,54,52,56,51,32,46,48,53,49,48,48,57,
      57,10,32,32,46,48,52,57,55,57,51,52,32,46,48,52,56,52,54,56,55,32,46,48,52,
      55,51,56,49,52,32,46,48,52,54,51,49,49,49,32,46,48,52,53,51,50,53,55,32,46,
      48,52,52,51,55,48,52,32,46,48,52,51,51,51,48,50,32,46,48,52,50,52,50,50,57,
      32,46,48,52,49,52,52,48,56,10,32,32,46,48,52,48,55,51,48,54,32,46,48,51,57,
      53,57,53,50,32,46,48,51,56,57,49,50,57,32,46,48,51,56,48,55,57,53,32,46,48,
      51,54,50,48,50,55,32,46,48,51,51,55,53,57,55,32,46,48,51,49,53,50,57,56,32,
      46,48,50,56,57,52,51,55,32,46,48,50,54,53,54,56,54,10,32,32,46,48,50,51,57,
      55,53,57,32,46,48,50,50,48,49,49,50,32,46,48,49,57,49,54,50,51,32,46,48,49,
      54,49,56,57,53,32,46,48,49,52,56,51,50,49,32,46,48,49,51,52,53,54,50,32,46,
      48,49,49,56,50,55,32,46,48,49,48,53,54,57,55,32,46,48,48,57,52,53,49,53,10,
      32,32,46,48,48,56,51,50,51,52,55,32,46,48,48,55,51,51,53,51,54,32,46,48,48,
      54,53,55,48,57,56,32,46,48,48,53,56,56,57,49,55,32,46,48,48,53,50,56,48,52,
      56,32,46,48,48,52,54,54,51,57,52,32,46,48,48,52,48,53,55,49,52,32,46,48,48,
      51,52,55,55,52,52,10,32,32,46,48,48,51,48,50,56,56,53,32,46,48,48,50,53,57,
      57,54,53,32,46,48,48,50,50,54,54,57,32,46,48,48,49,57,55,55,55,51,32,46,48,
      48,49,55,48,48,52,49,32,46,48,48,49,52,52,55,48,52,32,46,48,48,49,50,55,56,
      48,49,32,46,48,48,49,49,48,55,51,57,32,46,48,48,48,57,55,54,54,54,50,10,32,
      32,46,48,48,48,56,53,52,50,48,55,32,46,48,48,48,55,52,55,50,56,56,32,46,48,
      48,48,54,53,51,57,53,52,32,46,48,48,48,53,55,50,52,53,52,32,46,48,48,48,53,
      48,49,50,53,55,32,46,48,48,48,52,51,57,48,52,49,32,46,48,48,48,51,56,52,54,
      53,49,32,46,48,48,48,51,51,55,48,56,54,10,32,32,46,48,48,48,50,57,53,52,55,
      53,32,46,48,48,48,50,53,57,48,54,50,32,46,48,48,48,50,50,55,49,56,52,32,46,
      48,48,48,49,57,57,50,55,54,32,46,48,48,48,49,55,52,56,51,50,32,46,48,48,48,
      49,53,51,52,49,56,32,46,48,48,48,49,51,52,54,53,52,32,46,48,48,48,49,49,56,
      50,49,50,10,32,32,46,48,48,48,49,48,51,55,57,50,32,57,46,49,49,52,50,49,101,
      45,48,53,32,56,46,48,48,53,49,50,101,45,48,53,32,55,46,48,51,50,49,53,101,45,
      48,53,32,54,46,49,55,56,52,51,101,45,48,53,32,53,46,52,50,57,49,54,101,45,48,
      53,32,52,46,55,55,49,52,53,101,45,48,53,10,32,32,52,46,49,57,52,50,55,101,45,
      48,53,32,51,46,54,56,55,50,101,45,48,53,32,51,46,50,52,49,56,55,101,45,48,53,
      32,50,46,56,53,48,52,52,101,45,48,53,32,50,46,53,48,54,50,53,101,45,48,53,32,
      50,46,50,48,51,56,57,101,45,48,53,32,49,46,57,51,56,50,53,101,45,48,53,10,32,
      32,49,46,55,48,52,54,55,101,45,48,53,32,49,46,52,57,57,53,52,101,45,48,53,32,
      49,46,51,53,55,51,50,101,45,48,53,32,49,46,50,50,56,54,55,101,45,48,53,32,49,
      46,49,49,50,50,56,101,45,48,53,32,49,46,48,48,54,57,57,101,45,48,53,32,57,46,
      49,49,56,48,49,101,45,48,54,10,32,32,56,46,49,53,49,49,56,101,45,48,54,32,55,
      46,48,55,51,54,51,101,45,48,54,32,54,46,49,51,57,50,50,101,45,48,54,32,53,46,
      51,50,56,56,52,101,45,48,54,32,52,46,54,50,53,57,51,101,45,48,54,32,52,46,48,
      49,54,49,55,101,45,48,54,32,51,46,52,56,55,49,53,101,45,48,54,10,32,32,51,46,
      48,50,56,49,50,101,45,48,54,32,50,46,54,50,57,55,55,101,45,48,54,32,50,46,50,
      56,52,48,52,101,45,48,54,32,49,46,57,56,51,57,53,101,45,48,54,32,49,46,55,50,
      51,52,52,101,45,48,54,32,49,46,52,57,55,50,55,101,45,48,54,32,49,46,51,48,48,
      56,57,101,45,48,54,10,32,32,49,46,49,51,48,51,55,101,45,48,54,32,57,46,56,50,
      50,55,53,101,45,48,55,32,56,46,53,51,54,53,54,101,45,48,55,32,55,46,52,49,57,
      51,54,101,45,48,55,32,54,46,52,52,56,56,53,101,45,48,55,32,53,46,54,48,53,55,
      101,45,48,55,32,52,46,56,55,51,49,52,101,45,48,55,10,32,32,52,46,50,51,53,56,
      51,101,45,48,55,32,51,46,54,56,51,53,49,101,45,48,55,32,51,46,50,48,50,56,50,
      101,45,48,55,32,50,46,55,56,53,48,54,101,45,48,55,32,50,46,52,50,49,57,52,101,
      45,48,55,32,50,46,49,48,54,51,101,45,48,55,32,49,46,56,51,49,57,101,45,48,55,
      10,32,32,49,46,53,57,51,51,53,101,45,48,55,32,49,46,51,56,53,57,53,101,45,48,
      55,32,49,46,50,48,53,54,49,101,45,48,55,32,49,46,48,52,56,56,101,45,48,55,32,
      57,46,49,50,52,52,50,101,45,48,56,32,55,46,57,51,56,53,53,101,45,48,56,32,54,
      46,57,48,55,49,56,101,45,48,56,10,32,32,54,46,48,49,48,49,101,45,48,56,32,53,
      46,50,50,57,56,101,45,48,56,32,51,46,57,54,48,53,55,101,45,48,56,32,50,46,57,
      57,57,57,101,45,48,56,32,50,46,50,55,50,55,52,101,45,48,56,32,49,46,55,50,50,
      49,53,101,45,48,56,32,49,46,51,48,53,49,56,101,45,48,56,10,32,32,57,46,56,57,
      51,50,56,101,45,48,57,32,55,46,53,48,48,51,56,101,45,48,57,32,53,46,54,56,55,
      49,54,101,45,48,57,32,52,46,51,49,50,57,54,101,45,48,57,32,51,46,50,55,49,50,
      57,101,45,48,57,32,50,46,52,56,49,52,55,101,45,48,57,32,49,46,56,56,50,52,52,
      101,45,48,57,10,32,32,49,46,52,50,56,50,49,101,45,48,57,32,49,46,48,56,51,55,
      51,101,45,48,57,32,56,46,50,50,52,52,53,101,45,49,48,32,54,46,50,52,50,51,49,
      101,45,49,48,32,52,46,55,51,56,52,54,101,45,49,48,32,51,46,53,57,55,51,50,101,
      45,49,48,32,50,46,55,51,49,51,49,101,45,49,48,10,32,32,50,46,48,55,52,48,50,
      101,45,49,48,32,49,46,53,55,53,48,55,101,45,49,48,32,49,46,49,57,54,50,56,101,
      45,49,48,32,57,46,48,56,54,56,49,101,45,49,49,32,54,46,57,48,50,57,101,45,49,
      49,32,53,46,50,52,52,51,54,101,45,49,49,32,51,46,57,56,52,55,101,45,49,49,10,
      32,32,51,46,48,50,55,56,56,101,45,49,49,32,50,46,51,48,49,48,50,101,45,49,49,
      32,49,46,55,52,56,56,54,101,45,49,49,32,56,46,51,52,51,50,55,101,45,49,48,32,
      51,46,51,52,53,53,53,101,45,48,57,32,55,46,53,51,51,56,53,101,45,48,57,32,56,
      46,51,52,51,55,50,101,45,48,57,10,32,32,51,46,51,52,54,50,50,101,45,48,56,32,
      55,46,53,51,54,57,50,101,45,48,56,32,49,46,51,52,48,48,51,101,45,48,55,32,50,
      46,48,57,51,57,52,101,45,48,55,32,51,46,48,49,55,52,51,101,45,48,55,32,52,46,
      49,48,56,52,55,101,45,48,55,32,53,46,51,55,48,49,52,101,45,48,55,10,32,32,54,
      46,56,48,49,52,54,101,45,48,55,32,56,46,52,48,51,48,53,101,45,48,55,32,49,46,
      48,49,55,54,54,101,45,48,54,32,49,46,50,49,50,50,55,101,45,48,54,32,49,46,52,
      50,52,49,55,101,45,48,54,32,49,46,54,53,51,52,57,101,45,48,54,32,49,46,57,48,
      48,51,50,101,45,48,54,10,32,32,50,46,49,54,52,55,49,101,45,48,54,32,50,46,52,
      52,54,56,49,101,45,48,54,32,50,46,55,52,54,54,55,101,45,48,54,32,51,46,48,54,
      52,50,56,101,45,48,54,32,51,46,51,57,57,56,49,101,45,48,54,32,51,46,55,53,51,
      52,54,101,45,48,54,32,52,46,49,50,53,51,51,101,45,48,54,10,32,32,52,46,53,49,
      53,50,52,101,45,48,54,32,52,46,57,50,51,50,51,101,45,48,54,32,53,46,51,52,57,
      56,50,101,45,48,54,32,53,46,55,57,52,57,57,101,45,48,54,32,54,46,50,53,56,56,
      101,45,48,54,32,54,46,55,52,48,52,52,101,45,48,54,32,55,46,50,52,48,56,57,101,
      45,48,54,10,32,32,55,46,55,54,48,49,56,101,45,48,54,32,56,46,50,57,56,52,52,
      101,45,48,54,32,56,46,56,53,52,55,57,101,45,48,54,32,57,46,52,50,57,51,52,101,
      45,48,54,32,49,46,48,48,50,50,54,101,45,48,53,32,49,46,48,54,51,52,55,101,45,
      48,53,32,49,46,49,51,57,51,53,101,45,48,53,10,32,32,49,46,50,48,54,49,51,101,
      45,48,53,32,49,46,50,55,51,53,49,101,45,48,53,32,49,46,51,52,50,55,56,101,45,
      48,53,32,49,46,52,49,51,57,53,101,45,48,53,32,49,46,52,56,54,56,54,101,45,48,
      53,32,49,46,53,54,49,53,55,101,45,48,53,32,49,46,54,51,56,49,54,101,45,48,53,
      10,32,32,49,46,55,49,54,54,52,101,45,48,53,32,49,46,55,57,55,48,49,101,45,48,
      53,32,49,46,56,55,57,48,54,101,45,48,53,32,49,46,57,54,50,57,57,101,45,48,53,
      32,50,46,48,52,56,56,51,101,45,48,53,32,50,46,49,51,54,53,54,101,45,48,53,32,
      50,46,50,50,54,49,49,101,45,48,53,10,32,32,50,46,51,49,55,52,57,101,45,48,53,
      32,50,46,52,49,48,55,55,101,45,48,53,32,50,46,53,48,53,57,53,101,45,48,53,32,
      50,46,54,48,51,48,53,101,45,48,53,32,50,46,55,48,50,101,45,48,53,32,50,46,56,
      48,50,56,54,101,45,48,53,32,50,46,57,48,53,54,53,101,45,48,53,10,32,32,51,46,
      48,49,48,51,54,101,45,48,53,32,51,46,49,49,55,48,51,101,45,48,53,32,51,46,50,
      50,53,54,55,101,45,48,53,32,51,46,51,51,54,50,53,101,45,48,53,32,51,46,52,52,
      56,55,55,101,45,48,53,32,51,46,53,54,51,50,53,101,45,48,53,32,51,46,54,55,57,
      56,57,101,45,48,53,10,32,32,51,46,55,57,56,52,56,101,45,48,53,32,51,46,57,49,
      57,48,52,101,45,48,53,32,52,46,48,52,49,53,56,101,45,48,53,32,52,46,49,54,54,
      50,57,101,45,48,53,32,52,46,50,57,51,49,52,101,45,48,53,32,52,46,52,50,50,101,
      45,48,53,32,52,46,53,53,50,56,52,101,45,48,53,10,32,32,52,46,54,56,53,55,54,
      101,45,48,53,32,52,46,56,50,49,48,52,101,45,48,53,32,52,46,57,53,56,51,54,101,
      45,48,53,32,53,46,48,57,55,55,51,101,45,48,53,32,53,46,50,51,57,49,53,101,45,
      48,53,32,53,46,51,56,50,56,50,101,45,48,53,32,53,46,53,50,56,54,56,101,45,48,
      53,10,32,32,53,46,54,55,54,54,52,101,45,48,53,32,53,46,56,50,54,55,53,101,45,
      48,53,32,53,46,57,55,56,57,49,101,45,48,53,32,54,46,49,51,51,48,57,101,45,48,
      53,32,54,46,50,56,57,53,53,101,45,48,53,32,54,46,52,52,56,48,56,101,45,48,53,
      32,54,46,54,48,56,54,53,101,45,48,53,10,32,32,54,46,55,55,48,57,49,101,45,48,
      53,32,54,46,57,51,53,49,101,45,48,53,32,55,46,49,48,49,54,49,101,45,48,53,32,
      55,46,50,55,48,49,54,101,45,48,53,32,55,46,52,52,48,53,55,101,45,48,53,32,55,
      46,54,49,49,53,54,101,45,48,53,32,55,46,55,56,52,53,56,101,45,48,53,10,32,32,
      55,46,57,53,57,54,49,101,45,48,53,32,56,46,49,51,54,54,54,101,45,48,53,32,56,
      46,51,49,51,57,50,101,45,48,53,32,56,46,52,57,50,48,52,101,45,48,53,32,56,46,
      54,55,50,49,57,101,45,48,53,32,56,46,56,53,52,51,50,101,45,48,53,32,57,46,48,
      51,55,56,55,101,45,48,53,10,32,32,57,46,50,49,57,53,55,101,45,48,53,32,57,46,
      52,48,51,50,56,101,45,48,53,32,57,46,53,56,56,57,54,101,45,48,53,32,57,46,55,
      55,54,54,51,101,45,48,53,32,57,46,57,54,50,53,55,101,45,48,53,32,46,48,48,48,
      49,48,49,52,56,52,32,46,48,48,48,49,48,51,51,54,51,10,32,32,46,48,48,48,49,
      48,53,50,54,50,32,46,48,48,48,49,48,55,49,55,50,32,46,48,48,48,49,48,57,48,
      52,49,32,46,48,48,48,49,49,48,57,51,51,32,46,48,48,48,49,49,50,56,52,54,32,
      46,48,48,48,49,49,52,55,56,56,32,46,48,48,48,49,49,54,55,48,51,32,46,48,48,
      48,49,49,56,54,49,54,10,32,32,46,48,48,48,49,50,48,53,53,53,32,46,48,48,48,
      49,50,50,53,50,32,46,48,48,48,49,50,52,52,57,54,32,46,48,48,48,49,50,54,52,
      52,49,32,46,48,48,48,49,50,56,52,49,52,32,46,48,48,48,49,51,48,52,49,51,32,
      46,48,48,48,49,51,50,52,51,56,32,46,48,48,48,49,51,52,52,52,56,10,32,32,46,
      48,48,48,49,51,54,52,54,54,32,46,48,48,48,49,51,56,53,49,50,32,46,48,48,48,
      49,52,48,53,56,53,32,46,48,48,48,49,52,50,54,55,53,32,46,48,48,48,49,52,52,
      55,53,32,46,48,48,48,49,52,54,56,53,51,32,46,48,48,48,49,52,56,57,56,53,32,
      46,48,48,48,49,53,49,49,52,10,32,32,46,48,48,48,49,53,51,50,57,54,32,46,48,
      48,48,49,53,53,52,54,54,32,46,48,48,48,49,53,55,54,54,52,32,46,48,48,48,49,
      53,57,56,56,53,32,46,48,48,48,49,54,50,49,50,55,32,46,48,48,48,49,54,52,51,
      55,49,32,46,48,48,48,49,54,54,54,51,57,32,46,48,48,48,49,54,56,57,51,50,10,
      32,32,46,48,48,48,49,55,49,50,52,56,32,46,48,48,48,49,55,51,53,55,54,32,46,
      48,48,48,49,55,53,57,50,50,32,46,48,48,48,49,55,56,50,56,57,32,46,48,48,48,
      49,56,48,54,56,32,46,48,48,48,49,56,51,48,57,50,32,46,48,48,48,49,56,53,53,
      50,32,46,48,48,48,49,56,55,57,54,56,10,32,32,46,48,48,48,49,57,48,52,51,54,
      32,46,48,48,48,49,57,50,57,50,56,32,46,48,48,48,49,57,53,52,52,50,32,46,48,
      48,48,49,57,54,56,49,52,32,46,48,48,48,49,57,56,48,52,57,32,46,48,48,48,50,
      48,48,53,56,54,32,46,48,48,48,50,48,51,49,52,53,32,46,48,48,48,50,48,53,55,
      51,51,10,32,32,46,48,48,48,50,48,56,51,52,32,46,48,48,48,50,49,49,56,52,49,
      32,46,48,48,48,50,50,48,49,53,32,46,48,48,48,50,51,50,55,48,57,32,46,48,48,
      48,50,53,51,57,53,49,32,46,48,48,48,50,55,53,54,55,50,32,46,48,48,48,51,48,
      49,54,49,53,32,46,48,48,48,51,50,52,54,57,49,10,32,32,46,48,48,48,51,52,56,
      51,52,56,32,46,48,48,48,51,55,50,53,57,56,32,46,48,48,48,51,57,55,51,50,54,
      32,46,48,48,48,52,50,50,51,56,32,46,48,48,48,52,52,55,53,51,54,32,46,48,48,
      48,52,55,50,55,54,51,32,46,48,48,48,52,57,56,49,48,49,32,46,48,48,48,53,50,
      56,56,55,54,10,32,32,46,48,48,48,53,54,48,54,50,51,32,46,48,48,48,54,48,53,
      54,50,32,46,48,48,48,54,53,53,57,52,53,32,46,48,48,48,55,49,52,53,49,55,32,
      46,48,48,48,56,48,53,53,57,56,32,46,48,48,48,57,50,53,51,55,55,32,46,48,48,
      49,48,55,57,51,49,32,46,48,48,49,50,56,55,57,49,10,32,32,46,48,48,49,52,54,
      54,48,57,32,46,48,48,49,53,57,56,54,32,46,48,48,49,54,54,48,48,57,32,46,48,
      48,49,55,49,49,48,54,32,46,48,48,49,55,56,51,57,51,32,46,48,48,49,56,56,57,
      49,56,32,46,48,48,50,48,51,56,49,55,32,46,48,48,50,50,53,48,48,56,32,46,48,
      48,50,53,53,57,53,49,10,32,32,46,48,48,51,48,55,51,49,54,32,46,48,48,51,56,
      49,49,51,56,32,46,48,48,52,56,57,54,54,32,46,48,48,54,50,48,50,54,55,32,46,
      48,48,54,55,57,57,54,57,32,46,48,48,54,56,49,52,57,32,46,48,48,54,54,57,53,
      54,56,32,46,48,48,54,54,54,48,49,55,32,46,48,48,54,56,50,56,50,55,10,32,32,
      46,48,48,55,50,48,56,57,49,32,46,48,48,55,56,52,57,57,49,32,46,48,48,56,55,
      48,55,56,32,46,48,48,57,56,55,51,54,56,32,46,48,49,49,53,56,52,32,46,48,49,
      52,49,57,50,49,32,46,48,49,54,56,50,57,49,32,46,48,49,57,54,53,53,56,32,46,
      48,50,50,50,51,52,51,10,32,32,46,48,50,53,50,51,55,57,32,46,48,50,57,51,49,
      53,51,32,46,48,51,50,54,48,54,54,32,46,48,51,53,50,54,54,51,32,46,48,51,55,
      52,48,55,52,32,46,48,52,48,52,55,50,32,46,48,52,51,52,51,56,56,32,46,48,52,
      54,53,48,56,53,32,46,48,52,57,53,53,56,54,10,32,32,46,48,53,50,55,52,55,53,
      32,46,48,53,53,56,54,56,32,46,48,53,57,49,49,51,49,32,46,48,54,49,53,56,54,
      52,32,46,48,54,50,57,48,48,55,32,46,48,54,52,51,52,32,46,48,54,52,51,57,51,
      49,32,46,48,54,50,57,52,52,32,46,48,54,48,51,54,56,55,32,46,48,53,56,55,48,
      50,49,10,32,32,46,48,53,57,48,50,52,53,32,46,48,54,48,56,54,49,51,32,46,48,
      54,51,48,56,50,49,32,46,48,54,53,50,51,51,51,32,46,48,54,55,53,54,48,50,32,
      46,48,54,57,50,48,57,57,32,46,48,55,48,54,48,52,50,32,46,48,55,49,55,57,50,
      51,32,46,48,55,49,53,53,52,56,10,32,32,46,48,54,57,53,50,52,51,32,46,48,54,
      53,55,55,54,50,32,46,48,54,51,49,49,57,53,32,46,48,54,48,51,57,53,52,32,46,
      48,53,54,50,52,54,54,32,46,48,53,50,49,51,57,57,32,46,48,53,48,50,50,56,54,
      32,46,48,52,56,48,49,52,56,32,46,48,52,55,50,49,53,50,10,32,32,46,48,52,54,
      56,49,48,53,32,46,48,53,50,49,50,48,55,32,46,48,53,48,54,51,50,57,32,46,48,
      53,48,48,50,49,56,32,46,48,52,56,56,53,53,50,32,46,48,52,55,53,56,50,51,32,
      46,48,52,54,53,51,54,50,32,46,48,52,53,53,48,52,56,32,46,48,52,52,53,53,51,
      52,10,32,32,46,48,52,51,54,51,48,50,32,46,48,52,50,54,50,51,53,32,46,48,52,
      49,55,52,52,54,32,46,48,52,48,55,57,50,54,32,46,48,52,48,49,48,51,54,32,46,
      48,51,57,48,48,48,53,32,46,48,51,56,51,51,55,32,46,48,51,55,53,50,54,50,32,
      46,48,51,53,54,57,56,52,10,32,32,46,48,51,51,51,49,52,51,32,46,48,51,49,49,
      51,52,32,46,48,50,56,54,48,49,55,32,46,48,50,54,50,55,49,57,32,46,48,50,51,
      55,50,52,56,32,46,48,50,49,55,57,50,32,46,48,49,56,57,56,53,52,32,46,48,49,
      54,48,52,51,52,32,46,48,49,52,55,48,50,55,32,46,48,49,51,51,52,50,56,10,32,
      32,46,48,49,49,55,51,49,55,32,46,48,49,48,52,56,57,32,46,48,48,57,51,56,49,
      57,55,32,46,48,48,56,50,54,52,53,50,32,46,48,48,55,50,56,53,49,32,46,48,48,
      54,53,50,55,51,32,46,48,48,53,56,53,49,48,53,32,46,48,48,53,50,52,55,49,52,
      32,46,48,48,52,54,51,53,51,54,10,32,32,46,48,48,52,48,51,52,52,50,32,46,48,
      48,51,52,53,56,56,50,32,46,48,48,51,48,49,51,48,56,32,46,48,48,50,53,56,54,
      52,57,32,46,48,48,50,50,53,53,55,50,32,46,48,48,49,57,54,56,50,32,46,48,48,
      49,54,57,50,52,51,32,46,48,48,49,52,52,48,52,50,32,46,48,48,49,50,55,50,50,
      54,10,32,32,46,48,48,49,49,48,50,53,49,32,46,48,48,48,57,55,50,52,52,50,32,
      46,48,48,48,56,53,48,54,50,52,32,46,48,48,48,55,52,52,51,50,53,32,46,48,48,
      48,54,53,49,52,51,54,32,46,48,48,48,53,55,48,50,56,57,32,46,48,48,48,52,57,
      57,51,57,51,32,46,48,48,48,52,51,55,52,51,49,10,32,32,46,48,48,48,51,56,51,
      50,54,49,32,46,48,48,48,51,51,53,56,56,53,32,46,48,48,48,50,57,52,52,51,56,
      32,46,48,48,48,50,53,56,49,54,54,32,46,48,48,48,50,50,54,52,48,55,32,46,48,
      48,48,49,57,56,54,48,50,32,46,48,48,48,49,55,52,50,52,57,32,46,48,48,48,49,
      53,50,57,49,51,10,32,32,46,48,48,48,49,51,52,50,49,54,32,46,48,48,48,49,49,
      55,56,51,32,46,48,48,48,49,48,51,52,54,32,57,46,48,56,53,52,50,101,45,48,53,
      32,55,46,57,56,48,49,50,101,45,48,53,32,55,46,48,49,48,52,49,101,45,48,53,32,
      54,46,49,53,57,52,57,101,45,48,53,32,53,46,52,49,50,54,53,101,45,48,53,10,32,
      32,52,46,55,53,55,48,55,101,45,48,53,32,52,46,49,56,49,55,53,101,45,48,53,32,
      51,46,54,55,54,51,49,101,45,48,53,32,51,46,50,51,50,51,55,101,45,48,53,32,50,
      46,56,52,50,52,49,101,45,48,53,32,50,46,52,57,57,56,101,45,48,53,32,50,46,49,
      57,56,55,53,101,45,48,53,10,32,32,49,46,57,51,51,57,53,101,45,48,53,32,49,46,
      55,48,48,57,52,101,45,48,53,32,49,46,52,57,54,50,57,101,45,48,53,32,49,46,51,
      53,52,52,101,45,48,53,32,49,46,50,50,54,48,52,101,45,48,53,32,49,46,49,48,57,
      57,50,101,45,48,53,32,49,46,48,48,52,56,54,101,45,48,53,10,32,32,57,46,48,57,
      56,56,49,101,45,48,54,32,56,46,49,51,52,49,52,101,45,48,54,32,55,46,48,53,56,
      57,54,101,45,48,54,32,54,46,49,50,54,53,57,101,45,48,54,32,53,46,51,49,55,57,
      54,101,45,48,54,32,52,46,54,49,54,53,54,101,45,48,54,32,52,46,48,48,56,49,101,
      45,48,54,10,32,32,51,46,52,56,48,49,57,101,45,48,54,32,51,46,48,50,50,49,50,
      101,45,48,54,32,50,46,54,50,52,54,101,45,48,54,32,50,46,50,55,57,53,56,101,
      45,48,54,32,49,46,57,56,48,49,101,45,48,54,32,49,46,55,50,48,49,50,101,45,48,
      54,32,49,46,52,57,52,52,101,45,48,54,10,32,32,49,46,50,57,56,52,50,101,45,48,
      54,32,49,46,49,50,56,50,51,101,45,48,54,32,57,46,56,48,52,51,51,101,45,48,55,
      32,56,46,53,50,48,54,52,101,45,48,55,32,55,46,52,48,53,53,56,101,45,48,55,32,
      54,46,52,51,54,57,52,101,45,48,55,32,53,46,53,57,53,52,50,101,45,48,55,10,32,
      32,52,46,56,54,52,50,55,101,45,48,55,32,52,46,50,50,56,49,54,101,45,48,55,32,
      51,46,54,55,54,56,57,101,45,48,55,32,51,46,49,57,55,49,101,45,48,55,32,50,46,
      55,56,48,49,101,45,48,55,32,50,46,52,49,55,54,52,101,45,48,55,32,50,46,49,48,
      50,53,56,101,45,48,55,10,32,32,49,46,56,50,56,54,56,101,45,48,55,32,49,46,53,
      57,48,53,54,101,45,48,55,32,49,46,51,56,51,53,52,101,45,48,55,32,49,46,50,48,
      51,53,51,101,45,48,55,32,49,46,48,52,55,101,45,48,55,32,57,46,49,48,56,56,49,
      101,45,48,56,32,55,46,57,50,52,57,57,101,45,48,56,10,32,32,54,46,56,57,53,52,
      101,45,48,56,32,53,46,57,57,57,57,101,45,48,56,32,53,46,50,50,48,57,54,101,
      45,48,56,32,51,46,57,53,51,57,51,101,45,48,56,32,50,46,57,57,52,57,50,101,45,
      48,56,32,50,46,50,54,56,57,57,101,45,48,56,32,49,46,55,49,57,51,51,101,45,48,
      56,10,32,32,49,46,51,48,51,48,53,101,45,48,56,32,57,46,56,55,55,50,54,101,45,
      48,57,32,55,46,52,56,56,51,51,101,45,48,57,32,53,46,54,55,56,48,57,101,45,48,
      57,32,52,46,51,48,54,49,50,101,45,48,57,32,51,46,50,54,54,49,51,101,45,48,57,
      32,50,46,52,55,55,54,55,101,45,48,57,10,32,32,49,46,56,55,57,56,49,101,45,48,
      57,32,49,46,52,50,54,52,49,101,45,48,57,32,49,46,48,56,50,52,54,101,45,48,57,
      32,56,46,50,49,52,56,52,101,45,49,48,32,54,46,50,51,53,48,54,101,45,49,48,32,
      52,46,55,51,50,57,57,101,45,49,48,32,51,46,53,57,51,50,101,45,49,48,10,32,32,
      50,46,55,50,56,50,49,101,45,49,48,32,50,46,48,55,49,54,55,101,45,49,48,32,49,
      46,53,55,51,51,101,45,49,48,32,49,46,49,57,52,57,53,101,45,49,48,32,57,46,48,
      55,54,55,50,101,45,49,49,32,54,46,56,57,53,50,56,101,45,49,49,32,53,46,50,51,
      56,54,49,101,45,49,49,10,32,32,51,46,57,56,48,51,53,101,45,49,49,32,51,46,48,
      50,52,53,57,101,45,49,49,32,50,46,50,57,56,53,52,101,45,49,49,32,49,46,55,52,
      54,57,56,101,45,49,49,32,55,46,54,48,52,48,55,101,45,49,48,32,51,46,48,52,57,
      49,52,101,45,48,57,32,54,46,56,54,54,51,55,101,45,48,57,10,32,32,55,46,54,48,
      52,52,57,101,45,48,57,32,51,46,48,52,57,55,54,101,45,48,56,32,54,46,56,54,57,
      50,51,101,45,48,56,32,49,46,50,50,49,51,51,101,45,48,55,32,49,46,57,48,56,52,
      54,101,45,48,55,32,50,46,55,53,48,49,54,101,45,48,55,32,51,46,55,52,52,53,54,
      101,45,48,55,10,32,32,52,46,56,57,52,52,54,101,45,48,55,32,54,46,49,57,56,57,
      52,101,45,48,55,32,55,46,54,53,56,54,101,45,48,55,32,57,46,50,55,52,57,101,
      45,48,55,32,49,46,49,48,52,56,54,101,45,48,54,32,49,46,50,57,55,57,55,101,45,
      48,54,32,49,46,53,48,54,57,52,101,45,48,54,10,32,32,49,46,55,51,49,56,56,101,
      45,48,54,32,49,46,57,55,50,55,57,101,45,48,54,32,50,46,50,50,57,56,52,101,45,
      48,54,32,50,46,53,48,51,48,54,101,45,48,54,32,50,46,55,57,50,52,52,101,45,48,
      54,32,51,46,48,57,56,49,49,101,45,48,54,32,51,46,52,50,48,50,55,101,45,48,54,
      10,32,32,51,46,55,53,57,101,45,48,54,32,52,46,49,49,52,49,49,101,45,48,54,32,
      52,46,52,56,53,54,52,101,45,48,54,32,52,46,56,55,52,48,50,101,45,48,54,32,53,
      46,50,55,57,50,53,101,45,48,54,32,53,46,55,48,49,51,56,101,45,48,54,32,54,46,
      49,51,57,54,56,101,45,48,54,10,32,32,54,46,53,57,53,48,51,101,45,48,54,32,55,
      46,48,54,55,52,52,101,45,48,54,32,55,46,53,53,55,48,51,101,45,48,54,32,56,46,
      48,54,51,48,51,101,45,48,54,32,56,46,53,56,53,53,55,101,45,48,54,32,57,46,49,
      50,53,49,50,101,45,48,54,32,57,46,54,56,49,57,54,101,45,48,54,10,32,32,49,46,
      48,50,53,54,49,101,45,48,53,32,49,46,48,56,52,53,51,101,45,48,53,32,49,46,49,
      52,53,49,55,101,45,48,53,32,49,46,50,49,49,54,52,101,45,48,53,32,49,46,50,56,
      53,53,57,101,45,48,53,32,49,46,51,53,49,56,54,101,45,48,53,32,49,46,52,49,57,
      55,57,101,45,48,53,10,32,32,49,46,52,56,57,52,49,101,45,48,53,32,49,46,53,54,
      48,55,54,101,45,48,53,32,49,46,54,51,51,56,50,101,45,48,53,32,49,46,55,48,56,
      52,49,101,45,48,53,32,49,46,55,56,52,55,49,101,45,48,53,32,49,46,56,54,50,55,
      51,101,45,48,53,32,49,46,57,52,50,52,55,101,45,48,53,10,32,32,50,46,48,50,51,
      56,55,101,45,48,53,32,50,46,49,48,54,57,51,101,45,48,53,32,50,46,49,57,49,55,
      49,101,45,48,53,32,50,46,50,55,56,50,49,101,45,48,53,32,50,46,51,54,54,52,53,
      101,45,48,53,32,50,46,52,53,54,51,56,101,45,48,53,32,50,46,53,52,56,48,52,101,
      45,48,53,10,32,32,50,46,54,52,49,52,52,101,45,48,53,32,50,46,55,51,54,54,101,
      45,48,53,32,50,46,56,51,51,53,51,101,45,48,53,32,50,46,57,51,50,50,52,101,45,
      48,53,32,51,46,48,51,50,55,50,101,45,48,53,32,51,46,49,51,52,57,53,101,45,48,
      53,32,51,46,50,51,56,57,53,101,45,48,53,10,32,32,51,46,51,52,52,57,49,101,45,
      48,53,32,51,46,52,53,50,54,52,101,45,48,53,32,51,46,53,54,50,49,54,101,45,48,
      53,32,51,46,54,55,51,52,54,101,45,48,53,32,51,46,55,56,54,55,51,101,45,48,53,
      32,51,46,57,48,49,57,51,101,45,48,53,32,52,46,48,49,56,57,54,101,45,48,53,10,
      32,32,52,46,49,51,55,55,56,101,45,48,53,32,52,46,50,53,56,52,55,101,45,48,53,
      32,52,46,51,56,49,51,101,45,48,53,32,52,46,53,48,53,57,55,101,45,48,53,32,52,
      46,54,51,50,53,101,45,48,53,32,52,46,55,54,48,56,57,101,45,48,53,32,52,46,56,
      57,49,51,101,45,48,53,10,32,32,53,46,48,50,51,54,57,101,45,48,53,32,53,46,49,
      53,55,57,55,101,45,48,53,32,53,46,50,57,52,50,101,45,48,53,32,53,46,52,51,50,
      50,56,101,45,48,53,32,53,46,53,55,50,50,101,45,48,53,32,53,46,55,49,52,49,54,
      101,45,48,53,32,53,46,56,53,56,48,49,101,45,48,53,10,32,32,54,46,48,48,51,54,
      57,101,45,48,53,32,54,46,49,53,48,57,49,101,45,48,53,32,54,46,50,57,57,56,57,
      101,45,48,53,32,54,46,52,53,48,57,53,101,45,48,53,32,54,46,54,48,51,56,54,101,
      45,48,53,32,54,46,55,53,56,52,54,101,45,48,53,32,54,46,57,49,51,54,51,101,45,
      48,53,10,32,32,55,46,48,55,48,54,51,101,45,48,53,32,55,46,50,50,57,52,53,101,
      45,48,53,32,55,46,51,57,48,49,101,45,48,53,32,55,46,53,53,49,101,45,48,53,32,
      55,46,55,49,50,55,101,45,48,53,32,55,46,56,55,54,50,52,101,45,48,53,32,56,46,
      48,52,49,53,56,101,45,48,53,10,32,32,56,46,50,48,56,50,50,101,45,48,53,32,56,
      46,51,55,51,51,101,45,48,53,32,56,46,53,52,48,50,101,45,48,53,32,56,46,55,48,
      56,56,56,101,45,48,53,32,56,46,56,55,57,51,55,101,45,48,53,32,57,46,48,52,56,
      52,101,45,48,53,32,57,46,50,49,55,52,101,45,48,53,10,32,32,57,46,51,56,56,50,
      54,101,45,48,53,32,57,46,53,54,48,57,53,101,45,48,53,32,57,46,55,51,52,53,57,
      101,45,48,53,32,57,46,57,48,52,56,50,101,45,48,53,32,46,48,48,48,49,48,48,55,
      55,32,46,48,48,48,49,48,50,53,49,50,32,46,48,48,48,49,48,52,50,55,57,10,32,
      32,46,48,48,48,49,48,54,48,50,51,32,46,48,48,48,49,48,55,55,54,54,32,46,48,
      48,48,49,48,57,53,51,50,32,46,48,48,48,49,49,49,51,50,49,32,46,48,48,48,49,
      49,51,49,50,50,32,46,48,48,48,49,49,52,56,57,52,32,46,48,48,48,49,49,54,54,
      57,50,32,46,48,48,48,49,49,56,53,49,51,10,32,32,46,48,48,48,49,50,48,51,53,
      56,32,46,48,48,48,49,50,50,49,57,32,46,48,48,48,49,50,52,48,50,57,32,46,48,
      48,48,49,50,53,56,57,52,32,46,48,48,48,49,50,55,55,56,50,32,46,48,48,48,49,
      50,57,54,56,55,32,46,48,48,48,49,51,49,53,55,55,32,46,48,48,48,49,51,51,52,
      57,51,10,32,32,46,48,48,48,49,51,53,52,51,53,32,46,48,48,48,49,51,55,51,57,
      55,32,46,48,48,48,49,51,57,51,54,49,32,46,48,48,48,49,52,49,51,51,55,32,46,
      48,48,48,49,52,51,51,51,56,32,46,48,48,48,49,52,53,51,54,32,46,48,48,48,49,
      52,55,52,32,46,48,48,48,49,52,57,52,52,50,10,32,32,46,48,48,48,49,53,49,53,
      48,54,32,46,48,48,48,49,53,51,53,57,50,32,46,48,48,48,49,53,53,54,57,56,32,
      46,48,48,48,49,53,55,56,49,53,32,46,48,48,48,49,53,57,57,52,57,32,46,48,48,
      48,49,54,50,49,48,50,32,46,48,48,48,49,54,52,50,55,56,32,46,48,48,48,49,54,
      53,54,50,10,32,32,46,48,48,48,49,54,54,56,50,54,32,46,48,48,48,49,54,57,48,
      50,52,32,46,48,48,48,49,55,49,50,51,57,32,46,48,48,48,49,55,51,52,55,54,32,
      46,48,48,48,49,55,53,55,51,50,32,46,48,48,48,49,55,56,48,48,57,32,46,48,48,
      48,49,56,48,51,48,52,32,46,48,48,48,49,56,50,54,49,53,10,32,32,46,48,48,48,
      49,56,52,57,52,56,32,46,48,48,48,49,56,55,51,48,55,32,46,48,48,48,49,56,57,
      54,56,51,32,46,48,48,48,49,57,50,56,55,53,32,46,48,48,48,50,48,48,52,52,54,
      32,46,48,48,48,50,49,49,56,56,57,32,46,48,48,48,50,51,49,50,50,54,32,46,48,
      48,48,50,53,48,57,56,10,32,32,46,48,48,48,50,55,49,50,49,51,32,46,48,48,48,
      50,57,53,50,48,57,32,46,48,48,48,51,49,54,54,57,57,32,46,48,48,48,51,51,56,
      54,57,55,32,46,48,48,48,51,54,49,49,48,51,32,46,48,48,48,51,56,51,55,56,55,
      32,46,48,48,48,52,48,54,53,53,53,32,46,48,48,48,52,50,57,51,56,49,10,32,32,
      46,48,48,48,52,53,50,51,48,50,32,46,48,48,48,52,56,48,49,50,54,32,46,48,48,
      48,53,48,56,55,57,55,32,46,48,48,48,53,52,57,51,52,54,32,46,48,48,48,53,57,
      52,53,50,50,32,46,48,48,48,54,52,54,56,52,52,32,46,48,48,48,55,50,55,55,49,
      32,46,48,48,48,56,51,51,52,52,49,10,32,32,46,48,48,48,57,54,56,57,56,51,32,
      46,48,48,49,49,53,50,57,55,32,46,48,48,49,51,49,48,57,32,46,48,48,49,52,50,
      57,49,55,32,46,48,48,49,52,56,52,57,52,32,46,48,48,49,53,51,49,53,55,32,46,
      48,48,49,53,57,55,55,56,32,46,48,48,49,54,57,50,54,52,10,32,32,46,48,48,49,
      56,50,54,48,52,32,46,48,48,50,48,49,52,56,50,32,46,48,48,50,50,56,57,53,32,
      46,48,48,50,55,52,53,52,56,32,46,48,48,51,52,48,52,51,55,32,46,48,48,52,51,
      56,52,48,54,32,46,48,48,53,53,55,55,56,54,32,46,48,48,54,49,49,53,51,49,32,
      46,48,48,54,49,49,53,53,52,10,32,32,46,48,48,53,57,57,51,57,53,32,46,48,48,
      53,57,53,51,49,51,32,46,48,48,54,48,57,57,55,56,32,46,48,48,54,52,51,56,56,
      56,32,46,48,48,55,48,49,49,53,50,32,46,48,48,55,55,55,57,50,53,32,46,48,48,
      56,56,50,53,55,55,32,46,48,49,48,51,54,56,51,32,46,48,49,50,55,51,54,57,10,
      32,32,46,48,49,53,49,53,48,50,32,46,48,49,55,55,53,53,54,32,46,48,50,48,49,
      53,54,57,32,46,48,50,50,57,57,49,56,32,46,48,50,54,57,49,51,32,46,48,51,48,
      49,50,54,55,32,46,48,51,50,55,48,50,51,32,46,48,51,52,55,52,49,49,32,46,48,
      51,55,54,53,53,53,10,32,32,46,48,52,48,53,48,53,56,32,46,48,52,51,52,50,52,
      53,32,46,48,52,54,50,53,55,50,32,46,48,52,57,49,56,53,56,32,46,48,53,50,48,
      57,53,53,32,46,48,53,53,50,51,49,56,32,46,48,53,55,55,51,57,55,32,46,48,53,
      57,49,52,57,54,32,46,48,54,48,56,52,51,10,32,32,46,48,54,49,50,48,50,49,32,
      46,48,54,48,49,49,52,57,32,46,48,53,55,57,51,48,51,32,46,48,53,54,53,48,50,
      32,46,48,53,54,57,48,53,50,32,46,48,53,56,55,49,50,53,32,46,48,54,48,56,55,
      51,32,46,48,54,50,57,54,52,53,32,46,48,54,53,50,50,56,56,32,46,48,54,54,56,
      51,53,56,10,32,32,46,48,54,56,50,48,51,50,32,46,48,54,57,52,49,49,54,32,46,
      48,54,57,50,52,48,51,32,46,48,54,55,51,57,53,52,32,46,48,54,51,57,48,50,50,
      32,46,48,54,49,52,48,50,57,32,46,48,53,56,56,50,55,50,32,46,48,53,52,56,56,
      53,32,46,48,53,48,57,54,52,57,10,32,32,46,48,52,57,49,51,53,52,32,46,48,52,
      55,48,49,54,55,32,46,48,52,54,50,53,51,57,32,46,48,52,53,56,55,57,49,32,46,
      48,53,49,48,51,52,49,32,46,48,52,57,54,49,53,52,32,46,48,52,57,48,51,49,53,
      32,46,48,52,55,57,49,52,56,32,46,48,52,54,54,57,51,52,10,32,32,46,48,52,53,
      54,56,55,54,32,46,48,52,52,54,57,52,51,32,46,48,52,51,55,55,55,50,32,46,48,
      52,50,56,56,54,51,32,46,48,52,49,57,49,51,52,32,46,48,52,49,48,54,50,56,32,
      46,48,52,48,49,52,48,51,32,46,48,51,57,52,55,49,57,32,46,48,51,56,52,48,49,
      52,10,32,32,46,48,51,55,55,53,55,32,46,48,51,54,57,54,56,57,32,46,48,51,53,
      49,56,57,51,32,46,48,51,50,56,54,52,54,32,46,48,51,48,55,51,52,54,32,46,48,
      50,56,50,53,53,57,32,46,48,50,53,57,55,49,57,32,46,48,50,51,52,55,48,53,32,
      46,48,50,49,53,55,32,46,48,49,56,56,48,54,10,32,32,46,48,49,53,56,57,54,50,
      32,46,48,49,52,53,55,50,50,32,46,48,49,51,50,50,56,53,32,46,48,49,49,54,51,
      53,54,32,46,48,49,48,52,48,54,49,32,46,48,48,57,51,49,49,55,54,32,46,48,48,
      56,50,48,52,57,57,32,46,48,48,55,50,51,52,52,53,32,46,48,48,54,52,56,51,49,
      55,10,32,32,46,48,48,53,56,49,50,53,55,32,46,48,48,53,50,49,51,53,56,32,46,
      48,48,52,54,48,54,52,57,32,46,48,48,52,48,49,48,48,52,32,46,48,48,51,52,51,
      57,57,49,32,46,48,48,50,57,57,55,49,52,32,46,48,48,50,53,55,51,50,51,32,46,
      48,48,50,50,52,52,52,51,10,32,32,46,48,48,49,57,53,56,53,56,32,46,48,48,49,
      54,56,52,51,55,32,46,48,48,49,52,51,51,55,51,32,46,48,48,49,50,54,54,52,55,
      32,46,48,48,49,48,57,55,54,32,46,48,48,48,57,54,56,49,56,32,46,48,48,48,56,
      52,54,57,54,50,32,46,48,48,48,55,52,49,49,56,49,10,32,32,46,48,48,48,54,52,
      56,56,48,51,32,46,48,48,48,53,54,56,49,48,50,32,46,48,48,48,52,57,55,53,48,
      55,32,46,48,48,48,52,51,53,56,48,57,32,46,48,48,48,51,56,49,56,54,50,32,46,
      48,48,48,51,51,52,54,55,54,32,46,48,48,48,50,57,51,51,57,50,32,46,48,48,48,
      50,53,55,50,54,49,10,32,32,46,48,48,48,50,50,53,54,50,51,32,46,48,48,48,49,
      57,55,57,50,52,32,46,48,48,48,49,55,51,54,54,50,32,46,48,48,48,49,53,50,52,
      48,51,32,46,48,48,48,49,51,51,55,55,51,32,46,48,48,48,49,49,55,52,52,54,32,
      46,48,48,48,49,48,51,49,50,55,32,57,46,48,53,54,52,57,101,45,48,53,10,32,32,
      55,46,57,53,52,57,51,101,45,48,53,32,54,46,57,56,56,52,57,101,45,48,53,32,54,
      46,49,52,48,52,101,45,48,53,32,53,46,51,57,54,48,53,101,45,48,53,32,52,46,55,
      52,50,54,51,101,45,48,53,32,52,46,49,54,57,49,55,101,45,48,53,32,51,46,54,54,
      53,51,51,101,45,48,53,10,32,32,51,46,50,50,50,55,57,101,45,48,53,32,50,46,56,
      51,52,48,53,101,45,48,53,32,50,46,52,57,50,53,49,101,45,48,53,32,50,46,49,57,
      50,52,101,45,48,53,32,49,46,57,50,56,54,53,101,45,48,53,32,49,46,54,57,54,54,
      56,101,45,48,53,32,49,46,52,57,50,56,57,101,45,48,53,10,32,32,49,46,51,53,49,
      52,52,101,45,48,53,32,49,46,50,50,51,51,56,101,45,48,53,32,49,46,49,48,55,53,
      51,101,45,48,53,32,49,46,48,48,50,55,49,101,45,48,53,32,57,46,48,55,57,52,57,
      101,45,48,54,32,56,46,49,49,54,57,56,101,45,48,54,32,55,46,48,52,52,49,57,101,
      45,48,54,10,32,32,54,46,49,49,51,56,55,101,45,48,54,32,53,46,51,48,55,101,45,
      48,54,32,52,46,54,48,55,49,50,101,45,48,54,32,51,46,57,57,57,57,55,101,45,48,
      54,32,51,46,52,55,51,50,101,45,48,54,32,51,46,48,49,54,48,57,101,45,48,54,32,
      50,46,54,49,57,52,101,45,48,54,10,32,32,50,46,50,55,53,49,101,45,48,54,32,49,
      46,57,55,54,50,51,101,45,48,54,32,49,46,55,49,54,55,56,101,45,48,54,32,49,46,
      52,57,49,53,50,101,45,48,54,32,49,46,50,57,53,57,51,101,45,48,54,32,49,46,49,
      50,54,48,57,101,45,48,54,32,57,46,55,56,53,56,101,45,48,55,10,32,32,56,46,53,
      48,52,54,52,101,45,48,55,32,55,46,51,57,49,55,53,101,45,48,55,32,54,46,52,50,
      53,101,45,48,55,32,53,46,53,56,53,49,49,101,45,48,55,32,52,46,56,53,53,51,53,
      101,45,48,55,32,52,46,50,50,48,52,54,101,45,48,55,32,51,46,54,55,48,50,50,101,
      45,48,55,10,32,32,51,46,49,57,49,51,50,101,45,48,55,32,50,46,55,55,53,49,101,
      45,48,55,32,50,46,52,49,51,51,50,101,45,48,55,32,50,46,48,57,56,56,52,101,45,
      48,55,32,49,46,56,50,53,52,53,101,45,48,55,32,49,46,53,56,55,55,55,101,45,48,
      55,32,49,46,51,56,49,49,50,101,45,48,55,10,32,32,49,46,50,48,49,52,52,101,45,
      48,55,32,49,46,48,52,53,49,56,101,45,48,55,32,57,46,48,57,51,48,54,101,45,48,
      56,32,55,46,57,49,49,51,52,101,45,48,56,32,54,46,56,56,51,53,56,101,45,48,56,
      32,53,46,57,56,57,54,52,101,45,48,56,32,53,46,50,49,50,48,56,101,45,48,56,10,
      32,32,51,46,57,52,55,50,56,101,45,48,56,32,50,46,57,56,57,57,50,101,45,48,56,
      32,50,46,50,54,53,50,50,101,45,48,56,32,49,46,55,49,54,52,57,101,45,48,56,32,
      49,46,51,48,48,57,50,101,45,48,56,32,57,46,56,54,49,50,50,101,45,48,57,32,55,
      46,52,55,54,50,56,101,45,48,57,10,32,32,53,46,54,54,56,57,57,101,45,48,57,32,
      52,46,50,57,57,50,53,101,45,48,57,32,51,46,50,54,48,57,53,101,45,48,57,32,50,
      46,52,55,51,55,55,101,45,48,57,32,49,46,56,55,54,56,55,101,45,48,57,32,49,46,
      52,50,52,49,57,101,45,48,57,32,49,46,48,56,48,56,52,101,45,48,57,10,32,32,56,
      46,50,48,51,54,49,101,45,49,48,32,54,46,50,50,55,51,54,101,45,49,48,32,52,46,
      55,50,55,53,49,101,45,49,48,32,51,46,53,56,57,48,55,101,45,49,48,32,50,46,55,
      50,53,48,57,101,45,49,48,32,50,46,48,54,57,51,50,101,45,49,48,32,49,46,53,55,
      49,53,51,101,45,49,48,10,32,32,49,46,49,57,51,54,49,101,45,49,48,32,57,46,48,
      54,54,53,57,101,45,49,49,32,54,46,56,56,55,54,52,101,45,49,49,32,53,46,50,51,
      50,56,52,101,45,49,49,32,51,46,57,55,53,57,57,101,45,49,49,32,51,46,48,50,49,
      51,101,45,49,49,32,50,46,50,57,54,48,52,101,45,49,49,10,32,32,49,46,55,52,53,
      48,57,101,45,49,49,32,55,46,48,51,48,56,51,101,45,49,48,32,50,46,56,49,57,50,
      54,101,45,48,57,32,54,46,51,52,56,54,54,101,45,48,57,32,55,46,48,51,49,49,49,
      101,45,48,57,32,50,46,56,49,57,54,55,101,45,48,56,32,54,46,51,53,48,53,50,101,
      45,48,56,10,32,32,49,46,49,50,56,57,57,101,45,48,55,32,49,46,55,54,51,57,56,
      101,45,48,55,32,50,46,53,52,49,54,50,101,45,48,55,32,51,46,52,54,48,49,101,
      45,48,55,32,52,46,53,50,49,56,56,101,45,48,55,32,53,46,55,50,54,101,45,48,55,
      32,55,46,48,55,50,57,101,45,48,55,10,32,32,56,46,53,54,51,56,50,101,45,48,55,
      32,49,46,48,49,57,57,51,101,45,48,54,32,49,46,49,57,55,57,51,101,45,48,54,32,
      49,46,51,57,48,52,56,101,45,48,54,32,49,46,53,57,55,54,53,101,45,48,54,32,49,
      46,56,49,57,52,54,101,45,48,54,32,50,46,48,53,54,48,51,101,45,48,54,10,32,32,
      50,46,51,48,55,51,56,101,45,48,54,32,50,46,53,55,51,53,49,101,45,48,54,32,50,
      46,56,53,52,53,51,101,45,48,54,32,51,46,49,53,48,53,57,101,45,48,54,32,51,46,
      52,54,49,55,52,101,45,48,54,32,51,46,55,56,55,56,53,101,45,48,54,32,52,46,49,
      50,56,57,50,101,45,48,54,10,32,32,52,46,52,56,53,51,52,101,45,48,54,32,52,46,
      56,53,55,48,53,101,45,48,54,32,53,46,50,52,52,48,57,101,45,48,54,32,53,46,54,
      52,53,57,53,101,45,48,54,32,54,46,48,54,51,50,56,101,45,48,54,32,54,46,52,57,
      54,49,101,45,48,54,32,54,46,57,52,52,53,101,45,48,54,10,32,32,55,46,52,48,55,
      57,101,45,48,54,32,55,46,56,56,54,52,101,45,48,54,32,56,46,51,56,48,51,53,101,
      45,48,54,32,56,46,56,56,57,57,57,101,45,48,54,32,57,46,52,49,53,51,49,101,45,
      48,54,32,57,46,57,53,52,55,49,101,45,48,54,32,49,46,48,53,48,57,56,101,45,48,
      53,10,32,32,49,46,49,48,56,48,53,101,45,48,53,32,49,46,49,54,54,54,55,101,45,
      48,53,32,49,46,50,50,54,55,53,101,45,48,53,32,49,46,50,56,56,51,50,101,45,48,
      53,32,49,46,51,53,53,57,51,101,45,48,53,32,49,46,52,50,57,56,53,101,45,48,53,
      32,49,46,52,57,54,54,54,101,45,48,53,10,32,32,49,46,53,54,52,56,55,101,45,48,
      53,32,49,46,54,51,52,54,52,101,45,48,53,32,49,46,55,48,53,57,57,101,45,48,53,
      32,49,46,55,55,56,56,57,101,45,48,53,32,49,46,56,53,51,51,50,101,45,48,53,32,
      49,46,57,50,57,50,54,101,45,48,53,32,50,46,48,48,54,55,56,101,45,48,53,10,32,
      32,50,46,48,56,53,56,52,101,45,48,53,32,50,46,49,54,54,52,57,101,45,48,53,32,
      50,46,50,52,56,54,56,101,45,48,53,32,50,46,51,51,50,52,53,101,45,48,53,32,50,
      46,52,49,55,56,101,45,48,53,32,50,46,53,48,52,55,53,101,45,48,53,32,50,46,53,
      57,51,50,57,101,45,48,53,10,32,32,50,46,54,56,51,52,55,101,45,48,53,32,50,46,
      55,55,53,50,51,101,45,48,53,32,50,46,56,54,56,53,57,101,45,48,53,32,50,46,57,
      54,51,53,54,101,45,48,53,32,51,46,48,54,48,51,101,45,48,53,32,51,46,49,53,56,
      54,51,101,45,48,53,32,51,46,50,53,56,53,57,101,45,48,53,10,32,32,51,46,51,54,
      48,49,54,101,45,48,53,32,51,46,52,54,51,53,49,101,45,48,53,32,51,46,53,54,56,
      53,57,101,45,48,53,32,51,46,54,55,53,51,50,101,45,48,53,32,51,46,55,56,51,54,
      56,101,45,48,53,32,51,46,56,57,51,55,52,101,45,48,53,32,52,46,48,48,53,55,101,
      45,48,53,10,32,32,52,46,49,49,57,51,51,101,45,48,53,32,52,46,50,51,52,54,51,
      101,45,48,53,32,52,46,51,53,49,54,50,101,45,48,53,32,52,46,52,55,48,52,51,101,
      45,48,53,32,52,46,53,57,49,48,50,101,45,48,53,32,52,46,55,49,51,51,50,101,45,
      48,53,32,52,46,56,51,55,51,55,101,45,48,53,10,32,32,52,46,57,54,51,49,101,45,
      48,53,32,53,46,48,57,48,52,57,101,45,48,53,32,53,46,50,49,57,55,50,101,45,48,
      53,32,53,46,51,53,48,54,53,101,45,48,53,32,53,46,52,56,51,50,53,101,45,48,53,
      32,53,46,54,49,55,50,54,101,45,48,53,32,53,46,55,53,50,56,55,101,45,48,53,10,
      32,32,53,46,56,57,48,51,55,101,45,48,53,32,54,46,48,50,57,53,51,101,45,48,53,
      32,54,46,49,55,48,50,51,101,45,48,53,32,54,46,51,49,49,53,53,101,45,48,53,32,
      54,46,52,53,52,53,50,101,45,48,53,32,54,46,53,57,57,49,52,101,45,48,53,32,54,
      46,55,52,53,52,50,101,45,48,53,10,32,32,54,46,56,57,50,48,52,101,45,48,53,32,
      55,46,48,51,57,52,56,101,45,48,53,32,55,46,49,56,56,53,56,101,45,48,53,32,55,
      46,51,51,57,51,101,45,48,53,32,55,46,52,57,49,50,53,101,45,48,53,32,55,46,54,
      52,50,48,52,101,45,48,53,32,55,46,55,57,52,52,56,101,45,48,53,10,32,32,55,46,
      57,52,56,53,52,101,45,48,53,32,56,46,49,48,52,50,52,101,45,48,53,32,56,46,50,
      53,56,56,54,101,45,48,53,32,56,46,52,49,51,54,49,101,45,48,53,32,56,46,53,55,
      48,48,51,101,45,48,53,32,56,46,55,50,56,49,50,101,45,48,53,32,56,46,56,56,55,
      49,51,101,45,48,53,10,32,32,57,46,48,52,51,52,54,101,45,48,53,32,57,46,50,48,
      49,53,52,101,45,48,53,32,57,46,51,54,49,52,49,101,45,48,53,32,57,46,53,50,51,
      53,50,101,45,48,53,32,57,46,54,56,51,57,52,101,45,48,53,32,57,46,56,52,52,51,
      53,101,45,48,53,32,46,48,48,48,49,48,48,48,54,57,10,32,32,46,48,48,48,49,48,
      49,55,49,53,32,46,48,48,48,49,48,51,51,55,49,32,46,48,48,48,49,48,53,48,48,
      54,32,46,48,48,48,49,48,54,54,54,52,32,46,48,48,48,49,48,56,51,52,50,32,46,
      48,48,48,49,49,48,48,52,50,32,46,48,48,48,49,49,49,55,51,50,32,46,48,48,48,
      49,49,51,52,51,10,32,32,46,48,48,48,49,49,53,49,53,32,46,48,48,48,49,49,54,
      56,57,50,32,46,48,48,48,49,49,56,54,52,56,32,46,48,48,48,49,50,48,51,57,52,
      32,46,48,48,48,49,50,50,49,54,52,32,46,48,48,48,49,50,51,57,53,53,32,46,48,
      48,48,49,50,53,55,54,52,32,46,48,48,48,49,50,55,53,55,55,10,32,32,46,48,48,
      48,49,50,57,52,32,46,48,48,48,49,51,49,50,52,55,32,46,48,48,48,49,51,51,49,
      49,49,32,46,48,48,48,49,51,52,57,57,50,32,46,48,48,48,49,51,54,56,55,53,32,
      46,48,48,48,49,51,56,55,55,57,32,46,48,48,48,49,52,48,55,48,51,32,46,48,48,
      48,49,52,50,53,50,55,10,32,32,46,48,48,48,49,52,51,49,57,56,32,46,48,48,48,
      49,52,53,49,52,50,32,46,48,48,48,49,52,55,49,48,51,32,46,48,48,48,49,52,57,
      48,56,52,32,46,48,48,48,49,53,49,48,56,51,32,46,48,48,48,49,53,51,48,57,53,
      32,46,48,48,48,49,53,53,49,50,53,32,46,48,48,48,49,53,55,49,55,49,10,32,32,
      46,48,48,48,49,53,57,50,51,55,32,46,48,48,48,49,54,49,51,50,49,32,46,48,48,
      48,49,54,51,52,50,51,32,46,48,48,48,49,54,53,53,52,50,32,46,48,48,48,49,54,
      55,54,55,54,32,46,48,48,48,49,54,57,56,51,32,46,48,48,48,49,55,50,48,48,53,
      32,46,48,48,48,49,55,52,49,57,55,10,32,32,46,48,48,48,49,55,55,49,51,57,32,
      46,48,48,48,49,56,52,49,49,52,32,46,48,48,48,49,57,52,54,52,51,32,46,48,48,
      48,50,49,50,51,57,52,32,46,48,48,48,50,51,48,52,54,57,32,46,48,48,48,50,52,
      56,57,50,50,32,46,48,48,48,50,54,55,56,54,52,32,46,48,48,48,50,56,57,57,57,
      57,10,32,32,46,48,48,48,51,48,57,57,51,52,32,46,48,48,48,51,51,48,50,32,46,
      48,48,48,51,53,48,55,48,49,32,46,48,48,48,51,55,49,50,55,56,32,46,48,48,48,
      51,57,49,57,49,51,32,46,48,48,48,52,49,50,54,51,51,32,46,48,48,48,52,51,55,
      55,55,49,32,46,48,48,48,52,54,51,54,50,56,10,32,32,46,48,48,48,53,48,48,48,
      55,57,32,46,48,48,48,53,52,48,52,56,54,32,46,48,48,48,53,56,55,48,53,50,32,
      46,48,48,48,54,53,56,54,56,51,32,46,48,48,48,55,53,50,48,50,52,32,46,48,48,
      48,56,55,49,53,54,54,32,46,48,48,49,48,51,52,49,54,32,46,48,48,49,49,55,52,
      51,54,10,32,32,46,48,48,49,50,56,48,49,50,32,46,48,48,49,51,51,48,56,32,46,
      48,48,49,51,55,51,53,53,32,46,48,48,49,52,51,51,56,49,32,46,48,48,49,53,49,
      57,52,54,32,46,48,48,49,54,51,57,49,52,32,46,48,48,49,56,48,55,54,51,32,46,
      48,48,50,48,53,49,56,55,32,46,48,48,50,52,53,55,49,54,10,32,32,46,48,48,51,
      48,52,53,52,32,46,48,48,51,57,50,57,48,51,32,46,48,48,53,48,49,56,53,50,32,
      46,48,48,53,53,48,50,53,53,32,46,48,48,53,52,57,49,56,50,32,46,48,48,53,51,
      55,49,49,54,32,46,48,48,53,51,50,55,57,56,32,46,48,48,53,52,53,54,57,50,32,
      46,48,48,53,55,53,57,56,55,10,32,32,46,48,48,54,50,55,50,49,53,32,46,48,48,
      54,57,53,57,54,56,32,46,48,48,55,56,57,57,49,53,32,46,48,48,57,50,56,57,55,
      49,32,46,48,49,49,52,51,56,56,32,46,48,49,51,54,52,52,53,32,46,48,49,54,48,
      52,50,32,46,48,49,56,50,55,51,53,32,46,48,50,48,57,52,49,50,10,32,32,46,48,
      50,52,54,57,54,56,32,46,48,50,55,56,49,57,54,32,46,48,51,48,51,48,53,54,32,
      46,48,51,50,50,52,51,57,32,46,48,51,53,48,49,49,51,32,46,48,51,55,55,52,52,
      52,32,46,48,52,48,53,49,54,49,32,46,48,52,51,49,52,53,32,46,48,52,53,56,51,
      50,52,10,32,32,46,48,52,56,53,52,51,56,32,46,48,53,49,53,54,56,52,32,46,48,
      53,52,48,57,50,57,32,46,48,53,53,53,55,57,54,32,46,48,53,55,52,57,49,49,32,
      46,48,53,56,49,50,51,56,32,46,48,53,55,51,54,57,49,32,46,48,53,53,53,52,57,
      57,32,46,48,53,52,51,52,54,50,10,32,32,46,48,53,52,56,50,52,51,32,46,48,53,
      54,54,48,48,57,32,46,48,53,56,55,48,49,53,32,46,48,54,48,55,51,51,54,32,46,
      48,54,50,57,51,53,55,32,46,48,54,52,53,48,48,50,32,46,48,54,53,56,52,48,51,
      32,46,48,54,55,48,54,54,52,32,46,48,54,54,57,53,56,50,10,32,32,46,48,54,53,
      50,57,49,53,32,46,48,54,50,48,52,53,53,32,46,48,53,57,54,57,57,49,32,46,48,
      53,55,50,54,56,52,32,46,48,53,51,53,50,56,54,32,46,48,52,57,55,57,50,55,32,
      46,48,52,56,48,52,51,56,32,46,48,52,54,48,49,56,54,32,46,48,52,53,50,57,50,
      49,10,32,32,46,48,52,52,57,52,54,54,32,46,48,52,57,57,52,55,55,32,46,48,52,
      56,53,57,54,57,32,46,48,52,56,48,51,57,56,32,46,48,52,54,57,55,50,52,32,46,
      48,52,53,56,48,50,54,32,46,48,52,52,56,51,54,56,32,46,48,52,51,56,56,49,53,
      32,46,48,52,50,57,57,56,10,32,32,46,48,52,50,49,51,56,54,32,46,48,52,49,49,
      57,57,49,32,46,48,52,48,51,55,55,49,32,46,48,51,57,52,56,52,52,32,46,48,51,
      56,56,51,55,32,46,48,51,55,55,57,56,55,32,46,48,51,55,49,55,51,32,46,48,51,
      54,52,48,55,50,32,46,48,51,52,54,55,54,54,32,46,48,51,50,52,49,49,51,10,32,
      32,46,48,51,48,51,51,49,51,32,46,48,50,55,57,48,54,56,32,46,48,50,53,54,54,
      56,53,32,46,48,50,51,50,49,51,54,32,46,48,50,49,51,52,53,51,32,46,48,49,56,
      54,50,52,52,32,46,48,49,53,55,52,55,54,32,46,48,49,52,52,52,48,54,32,46,48,
      49,51,49,49,51,52,10,32,32,46,48,49,49,53,51,56,54,32,46,48,49,48,51,50,50,
      54,32,46,48,48,57,50,51,57,53,51,32,46,48,48,56,49,52,52,57,52,32,46,48,48,
      55,49,56,51,51,52,32,46,48,48,54,52,51,56,55,50,32,46,48,48,53,55,55,51,55,
      57,32,46,48,48,53,49,55,57,54,53,32,46,48,48,52,53,55,55,51,57,10,32,32,46,
      48,48,51,57,56,53,52,57,32,46,48,48,51,52,49,57,52,55,32,46,48,48,50,57,56,
      48,56,57,32,46,48,48,50,53,53,57,56,52,32,46,48,48,50,50,51,51,48,52,32,46,
      48,48,49,57,52,56,56,57,32,46,48,48,49,54,55,54,50,51,32,46,48,48,49,52,50,
      54,57,56,10,32,32,46,48,48,49,50,54,48,54,51,32,46,48,48,49,48,57,50,54,52,
      32,46,48,48,48,57,54,51,56,56,50,32,46,48,48,48,56,52,51,50,55,52,32,46,48,
      48,48,55,51,56,48,48,55,32,46,48,48,48,54,52,54,48,55,32,46,48,48,48,53,54,
      53,55,53,53,32,46,48,48,48,52,57,53,53,54,53,10,32,32,46,48,48,48,52,51,52,
      49,55,50,32,46,48,48,48,51,56,48,52,52,56,32,46,48,48,48,51,51,51,52,53,53,
      32,46,48,48,48,50,57,50,51,51,57,32,46,48,48,48,50,53,54,51,53,32,46,48,48,
      48,50,50,52,56,51,53,32,46,48,48,48,49,57,55,50,52,32,46,48,48,48,49,55,51,
      48,54,57,10,32,32,46,48,48,48,49,53,49,56,57,32,46,48,48,48,49,51,51,51,50,
      56,32,46,48,48,48,49,49,55,48,54,32,46,48,48,48,49,48,50,55,57,49,32,57,46,
      48,50,55,50,57,101,45,48,53,32,55,46,57,50,57,53,55,101,45,48,53,32,54,46,57,
      54,54,52,50,101,45,48,53,32,54,46,49,50,49,50,50,101,45,48,53,10,32,32,53,46,
      51,55,57,51,55,101,45,48,53,32,52,46,55,50,56,48,56,101,45,48,53,32,52,46,49,
      53,54,52,56,101,45,48,53,32,51,46,54,53,52,50,54,101,45,48,53,32,51,46,50,49,
      51,49,53,101,45,48,53,32,50,46,56,50,53,54,53,101,45,48,53,32,50,46,52,56,53,
      49,57,101,45,48,53,10,32,32,50,46,49,56,54,48,49,101,45,48,53,32,49,46,57,50,
      51,48,55,101,45,48,53,32,49,46,54,57,49,56,101,45,48,53,32,49,46,52,56,56,54,
      51,101,45,48,53,32,49,46,51,52,55,55,51,101,45,48,53,32,49,46,50,50,48,50,52,
      101,45,48,53,32,49,46,49,48,52,56,57,101,45,48,53,10,32,32,49,46,48,48,48,52,
      57,101,45,48,53,32,57,46,48,54,48,48,49,101,45,48,54,32,56,46,48,57,57,54,56,
      101,45,48,54,32,55,46,48,50,57,50,56,101,45,48,54,32,54,46,49,48,49,48,52,101,
      45,48,54,32,53,46,50,57,53,57,55,101,45,48,54,32,52,46,53,57,55,54,52,101,45,
      48,54,10,32,32,51,46,57,57,49,56,49,101,45,48,54,32,51,46,52,54,54,49,54,101,
      45,48,54,32,51,46,48,49,48,48,51,101,45,48,54,32,50,46,54,49,52,49,54,101,45,
      48,54,32,50,46,50,55,48,53,56,101,45,48,54,32,49,46,57,55,50,51,52,101,45,48,
      54,32,49,46,55,49,51,52,50,101,45,48,54,10,32,32,49,46,52,56,56,54,51,101,45,
      48,54,32,49,46,50,57,51,52,52,101,45,48,54,32,49,46,49,50,51,57,51,101,45,48,
      54,32,57,46,55,54,55,49,56,101,45,48,55,32,56,46,52,56,56,53,53,101,45,48,55,
      32,55,46,51,55,55,56,54,101,45,48,55,32,54,46,52,49,51,101,45,48,55,10,32,32,
      53,46,53,55,52,55,52,101,45,48,55,32,52,46,56,52,54,51,57,101,45,48,55,32,52,
      46,50,49,50,55,50,101,45,48,55,32,51,46,54,54,51,53,50,101,45,48,55,32,51,46,
      49,56,53,53,51,101,45,48,55,32,50,46,55,55,48,48,57,101,45,48,55,32,50,46,52,
      48,56,57,57,101,45,48,55,10,32,32,50,46,48,57,53,48,57,101,45,48,55,32,49,46,
      56,50,50,50,101,45,48,55,32,49,46,53,56,52,57,54,101,45,48,55,32,49,46,51,55,
      56,54,57,101,45,48,55,32,49,46,49,57,57,51,51,101,45,48,55,32,49,46,48,52,51,
      51,54,101,45,48,55,32,57,46,48,55,55,50,53,101,45,48,56,10,32,32,55,46,56,57,
      55,54,53,101,45,48,56,32,54,46,56,55,49,55,50,101,45,48,56,32,53,46,57,55,57,
      51,56,101,45,48,56,32,53,46,50,48,51,49,57,101,45,48,56,32,51,46,57,52,48,53,
      57,101,45,48,56,32,50,46,57,56,52,56,56,101,45,48,56,32,50,46,50,54,49,52,52,
      101,45,48,56,10,32,32,49,46,55,49,51,54,53,101,45,48,56,32,49,46,50,57,56,55,
      56,101,45,48,56,32,57,46,56,52,53,49,56,101,45,48,57,32,55,46,52,54,52,49,52,
      101,45,48,57,32,53,46,54,53,57,56,53,101,45,48,57,32,52,46,50,57,50,51,54,101,
      45,48,57,32,51,46,50,53,53,55,54,101,45,48,57,10,32,32,50,46,52,54,57,56,55,
      101,45,48,57,32,49,46,56,55,51,57,51,101,45,48,57,32,49,46,52,50,49,57,55,101,
      45,48,57,32,49,46,48,55,57,49,54,101,45,48,57,32,56,46,49,57,48,57,51,101,45,
      49,48,32,54,46,50,49,55,55,57,101,45,49,48,32,52,46,55,50,48,53,52,101,45,49,
      48,10,32,32,51,46,53,56,52,50,53,101,45,49,48,32,50,46,55,50,49,55,56,101,45,
      49,48,32,50,46,48,54,54,57,54,101,45,49,48,32,49,46,53,54,57,55,52,101,45,49,
      48,32,49,46,49,57,50,50,54,101,45,49,48,32,57,46,48,53,54,52,52,101,45,49,49,
      32,54,46,56,55,57,57,55,101,45,49,49,10,32,32,53,46,50,50,55,48,54,101,45,49,
      49,32,51,46,57,55,49,54,51,101,45,49,49,32,51,46,48,49,55,57,57,101,45,49,49,
      32,50,46,50,57,51,53,53,101,45,49,49,32,49,46,55,52,51,50,49,101,45,49,49,32,
      54,46,52,48,50,51,54,101,45,49,48,32,50,46,53,54,55,50,55,101,45,48,57,10,32,
      32,53,46,55,56,49,50,101,45,48,57,32,54,46,52,48,50,54,54,101,45,48,57,32,50,
      46,53,54,55,55,101,45,48,56,32,53,46,55,56,51,49,57,101,45,48,56,32,49,46,48,
      50,56,49,55,101,45,48,55,32,49,46,54,48,54,53,49,101,45,48,55,32,50,46,51,49,
      52,56,52,101,45,48,55,10,32,32,51,46,49,53,49,53,50,101,45,48,55,32,52,46,49,
      49,56,56,101,45,48,55,32,53,46,50,49,53,56,51,101,45,48,55,32,54,46,52,52,51,
      48,49,101,45,48,55,32,55,46,56,48,49,53,50,101,45,48,55,32,57,46,50,57,49,56,
      54,101,45,48,55,32,49,46,48,57,49,52,101,45,48,54,10,32,32,49,46,50,54,54,56,
      57,101,45,48,54,32,49,46,52,53,53,55,50,101,45,48,54,32,49,46,54,53,55,56,57,
      101,45,48,54,32,49,46,56,55,51,53,51,101,45,48,54,32,50,46,49,48,50,54,53,101,
      45,48,54,32,50,46,51,52,53,50,53,101,45,48,54,32,50,46,54,48,49,52,50,101,45,
      48,54,10,32,32,50,46,56,55,49,51,49,101,45,48,54,32,51,46,49,53,52,57,54,101,
      45,48,54,32,51,46,52,53,50,50,52,101,45,48,54,32,51,46,55,54,51,49,54,101,45,
      48,54,32,52,46,48,56,56,48,52,101,45,48,54,32,52,46,52,50,54,56,51,101,45,48,
      54,32,52,46,55,55,57,53,55,101,45,48,54,10,32,32,53,46,49,52,53,55,56,101,45,
      48,54,32,53,46,53,50,54,48,53,101,45,48,54,32,53,46,57,50,48,51,56,101,45,48,
      54,32,54,46,51,50,56,56,57,101,45,48,54,32,54,46,55,53,49,48,49,101,45,48,54,
      32,55,46,49,56,54,56,55,101,45,48,54,32,55,46,54,51,54,55,55,101,45,48,54,10,
      32,32,56,46,49,48,48,57,49,101,45,48,54,32,56,46,53,55,57,50,57,101,45,48,54,
      32,57,46,48,55,48,52,57,101,45,48,54,32,57,46,53,55,53,57,53,101,45,48,54,32,
      49,46,48,48,57,53,54,101,45,48,53,32,49,46,48,54,50,57,52,101,45,48,53,32,49,
      46,49,49,55,54,53,101,45,48,53,10,32,32,49,46,49,55,51,55,51,101,45,48,53,32,
      49,46,50,51,49,50,50,101,45,48,53,32,49,46,50,57,48,49,50,101,45,48,53,32,49,
      46,51,53,48,52,52,101,45,48,53,32,49,46,52,49,50,48,52,101,45,48,53,32,49,46,
      52,55,53,48,52,101,45,48,53,32,49,46,53,52,53,57,53,101,45,48,53,10,32,32,49,
      46,54,49,57,49,50,101,45,48,53,32,49,46,54,56,54,56,54,101,45,48,53,32,49,46,
      55,53,53,57,57,101,45,48,53,32,49,46,56,50,54,53,52,101,45,48,53,32,49,46,56,
      57,56,53,101,45,48,53,32,49,46,57,55,49,57,50,101,45,48,53,32,50,46,48,52,54,
      55,52,101,45,48,53,10,32,32,50,46,49,50,50,57,56,101,45,48,53,32,50,46,50,48,
      48,54,56,101,45,48,53,32,50,46,50,55,57,56,51,101,45,48,53,32,50,46,51,54,48,
      52,50,101,45,48,53,32,50,46,52,52,50,53,49,101,45,48,53,32,50,46,53,50,54,48,
      50,101,45,48,53,32,50,46,54,49,48,57,57,101,45,48,53,10,32,32,50,46,54,57,55,
      52,51,101,45,48,53,32,50,46,55,56,53,52,55,101,45,48,53,32,50,46,56,55,52,57,
      55,101,45,48,53,32,50,46,57,54,53,57,51,101,45,48,53,32,51,46,48,53,56,51,55,
      101,45,48,53,32,51,46,49,53,50,52,101,45,48,53,32,51,46,50,52,56,48,50,101,
      45,48,53,10,32,32,51,46,51,52,53,49,52,101,45,48,53,32,51,46,52,52,51,55,51,
      101,45,48,53,32,51,46,53,52,51,56,54,101,45,48,53,32,51,46,54,52,53,55,51,101,
      45,48,53,32,51,46,55,52,57,48,57,101,45,48,53,32,51,46,56,53,51,57,56,101,45,
      48,53,32,51,46,57,54,48,52,101,45,48,53,10,32,32,52,46,48,54,56,52,55,101,45,
      48,53,32,52,46,49,55,56,49,53,101,45,48,53,32,52,46,50,56,57,51,56,101,45,48,
      53,32,52,46,52,48,50,50,101,45,48,53,32,52,46,53,49,54,53,52,101,45,48,53,32,
      52,46,54,51,50,51,56,101,45,48,53,32,52,46,55,52,57,56,57,101,45,48,53,10,32,
      32,52,46,56,54,56,57,52,101,45,48,53,32,52,46,57,56,57,53,101,45,48,53,32,53,
      46,49,49,49,51,53,101,45,48,53,32,53,46,50,51,52,54,53,101,45,48,53,32,53,46,
      51,53,57,54,53,101,45,48,53,32,53,46,52,56,54,49,55,101,45,48,53,32,53,46,54,
      49,52,48,56,101,45,48,53,10,32,32,53,46,55,52,50,53,55,101,45,48,53,32,53,46,
      56,55,50,53,55,101,45,48,53,32,54,46,48,48,52,48,55,101,45,48,53,32,54,46,49,
      51,55,48,55,101,45,48,53,32,54,46,50,55,48,52,49,101,45,48,53,32,54,46,52,48,
      52,53,49,101,45,48,53,32,54,46,53,52,48,49,50,101,45,48,53,10,32,32,54,46,54,
      55,55,50,101,45,48,53,32,54,46,56,49,53,52,49,101,45,48,53,32,54,46,57,53,50,
      54,51,101,45,48,53,32,55,46,48,57,49,51,52,101,45,48,53,32,55,46,50,51,49,53,
      51,101,45,48,53,32,55,46,51,55,51,50,49,101,45,48,53,32,55,46,53,49,51,57,55,
      101,45,48,53,10,32,32,55,46,54,53,52,56,56,101,45,48,53,32,55,46,55,57,55,51,
      49,101,45,48,53,32,55,46,57,52,49,50,53,101,45,48,53,32,56,46,48,56,54,48,52,
      101,45,48,53,32,56,46,50,50,56,53,101,45,48,53,32,56,46,51,55,50,53,52,101,
      45,48,53,32,56,46,53,49,56,50,49,101,45,48,53,10,32,32,56,46,54,54,53,56,56,
      101,45,48,53,32,56,46,56,49,50,48,56,101,45,48,53,32,56,46,57,53,56,51,101,
      45,48,53,32,57,46,49,48,54,52,54,101,45,48,53,32,57,46,50,53,54,52,50,101,45,
      48,53,32,57,46,52,48,55,51,53,101,45,48,53,32,57,46,53,53,54,52,49,101,45,48,
      53,10,32,32,57,46,55,48,55,52,55,101,45,48,53,32,57,46,56,54,48,52,50,101,45,
      48,53,32,46,48,48,48,49,48,48,49,53,51,32,46,48,48,48,49,48,49,54,57,51,32,
      46,48,48,48,49,48,51,50,52,32,46,48,48,48,49,48,52,56,48,55,32,46,48,48,48,
      49,48,54,51,57,52,32,46,48,48,48,49,48,55,57,57,51,10,32,32,46,48,48,48,49,
      48,57,53,56,51,32,46,48,48,48,49,49,49,49,57,52,32,46,48,48,48,49,49,50,56,
      50,52,32,46,48,48,48,49,49,52,52,55,32,46,48,48,48,49,49,54,49,50,32,46,48,
      48,48,49,49,55,55,55,56,32,46,48,48,48,49,49,57,52,53,57,32,46,48,48,48,49,
      50,49,49,53,53,10,32,32,46,48,48,48,49,50,50,56,54,56,32,46,48,48,48,49,50,
      51,53,49,49,32,46,48,48,48,49,50,53,50,50,52,32,46,48,48,48,49,50,54,57,53,
      53,32,46,48,48,48,49,50,56,55,48,51,32,46,48,48,48,49,51,48,52,54,49,32,46,
      48,48,48,49,51,50,50,51,52,32,46,48,48,48,49,51,52,48,50,50,10,32,32,46,48,
      48,48,49,51,53,56,51,32,46,48,48,48,49,51,55,54,53,51,32,46,48,48,48,49,51,
      57,52,56,57,32,46,48,48,48,49,52,49,51,52,50,32,46,48,48,48,49,52,51,50,48,
      57,32,46,48,48,48,49,52,53,48,57,52,32,46,48,48,48,49,52,54,57,57,53,32,46,
      48,48,48,49,52,56,57,49,52,10,32,32,46,48,48,48,49,53,48,56,52,54,32,46,48,
      48,48,49,53,50,55,57,51,32,46,48,48,48,49,53,52,55,53,55,32,46,48,48,48,49,
      53,54,55,52,49,32,46,48,48,48,49,53,56,55,51,57,32,46,48,48,48,49,54,49,52,
      50,51,32,46,48,48,48,49,54,55,55,56,50,32,46,48,48,48,49,55,55,51,55,57,10,
      32,32,46,48,48,48,49,57,51,53,53,53,32,46,48,48,48,50,49,48,48,49,53,32,46,
      48,48,48,50,50,54,56,48,56,32,46,48,48,48,50,52,52,48,51,56,32,46,48,48,48,
      50,54,51,57,53,51,32,46,48,48,48,50,56,50,49,48,50,32,46,48,48,48,51,48,48,
      53,51,51,32,46,48,48,48,51,49,57,49,53,55,10,32,32,46,48,48,48,51,51,55,56,
      51,56,32,46,48,48,48,51,53,54,53,54,53,32,46,48,48,48,51,55,53,51,54,50,32,
      46,48,48,48,51,57,56,49,53,53,32,46,48,48,48,52,50,49,53,55,55,32,46,48,48,
      48,52,53,52,53,50,57,32,46,48,48,48,52,57,48,57,51,32,46,48,48,48,53,51,50,
      54,56,54,10,32,32,46,48,48,48,53,57,54,53,52,57,32,46,48,48,48,54,55,57,51,
      51,49,32,46,48,48,48,55,56,53,48,57,51,32,46,48,48,48,57,50,57,49,49,56,32,
      46,48,48,49,48,53,51,55,57,32,46,48,48,49,49,52,56,53,50,32,46,48,48,49,49,
      57,52,54,53,32,46,48,48,49,50,51,51,56,54,10,32,32,46,48,48,49,50,56,56,55,
      53,32,46,48,48,49,51,54,54,49,56,32,46,48,48,49,52,55,51,55,51,32,46,48,48,
      49,54,50,52,51,57,32,46,48,48,49,56,52,49,57,56,32,46,48,48,50,50,48,50,54,
      57,32,46,48,48,50,55,50,56,49,50,32,46,48,48,51,53,50,52,54,54,10,32,32,46,
      48,48,52,53,49,55,54,57,32,46,48,48,52,57,53,51,56,49,32,46,48,48,52,57,51,
      53,50,53,32,46,48,48,52,56,49,55,56,53,32,46,48,48,52,55,55,52,51,54,32,46,
      48,48,52,56,56,56,52,57,32,46,48,48,53,49,53,57,55,57,32,46,48,48,53,54,49,
      56,55,32,46,48,48,54,50,51,52,56,55,10,32,32,46,48,48,55,48,55,56,52,57,32,
      46,48,48,56,51,51,49,56,49,32,46,48,49,48,50,56,48,51,32,46,48,49,50,50,57,
      52,32,46,48,49,52,52,57,55,32,46,48,49,54,53,54,54,54,32,46,48,49,57,48,55,
      48,52,32,46,48,50,50,54,53,52,49,32,46,48,50,53,54,55,53,52,10,32,32,46,48,
      50,56,48,54,55,56,32,46,48,50,57,57,48,55,54,32,46,48,51,50,53,51,49,56,32,
      46,48,51,53,49,52,55,55,32,46,48,51,55,55,55,54,53,32,46,48,52,48,50,49,52,
      55,32,46,48,52,50,54,55,57,32,46,48,52,53,50,48,51,56,32,46,48,52,56,49,49,
      52,53,10,32,32,46,48,53,48,54,51,57,56,32,46,48,53,50,49,56,54,52,32,46,48,
      53,52,50,56,50,52,32,46,48,53,53,49,53,56,50,32,46,48,53,52,55,48,55,56,32,
      46,48,53,51,50,50,57,53,32,46,48,53,50,50,51,54,53,32,46,48,53,50,55,56,52,
      50,32,46,48,53,52,53,50,57,51,10,32,32,46,48,53,54,53,55,48,49,32,46,48,53,
      56,53,52,51,50,32,46,48,54,48,54,56,51,50,32,46,48,54,50,50,48,53,51,32,46,
      48,54,51,53,49,55,53,32,46,48,54,52,55,53,56,52,32,46,48,54,52,55,49,48,50,
      32,46,48,54,51,50,49,53,50,32,46,48,54,48,50,48,55,54,10,32,32,46,48,53,56,
      48,49,48,52,32,46,48,53,53,55,50,48,56,32,46,48,53,50,49,55,57,50,32,46,48,
      52,56,54,50,51,53,32,46,48,52,54,57,53,52,52,32,46,48,52,53,48,50,50,49,32,
      46,48,52,52,51,51,49,51,32,46,48,52,52,48,49,52,51,32,46,48,52,56,56,54,51,
      10,32,32,46,48,52,55,53,55,57,50,32,46,48,52,55,48,52,56,50,32,46,48,52,54,
      48,50,57,50,32,46,48,52,52,57,48,57,56,32,46,48,52,51,57,56,52,49,32,46,48,
      52,51,48,54,54,52,32,46,48,52,50,50,49,54,53,32,46,48,52,49,51,56,56,54,32,
      46,48,52,48,52,56,50,52,10,32,32,46,48,51,57,54,56,56,51,32,46,48,51,56,56,
      50,53,49,32,46,48,51,56,49,57,56,53,32,46,48,51,55,49,57,50,56,32,46,48,51,
      54,53,56,54,49,32,46,48,51,53,56,52,51,32,46,48,51,52,49,54,48,53,32,46,48,
      51,49,57,53,52,51,32,46,48,50,57,57,50,53,32,46,48,50,55,53,53,52,52,10,32,
      32,46,48,50,53,51,54,50,52,32,46,48,50,50,57,53,51,55,32,46,48,50,49,49,49,
      56,51,32,46,48,49,56,52,52,48,52,32,46,48,49,53,53,57,52,55,32,46,48,49,52,
      51,48,56,50,32,46,48,49,50,57,57,55,50,32,46,48,49,49,52,52,49,32,46,48,49,
      48,50,51,56,52,10,32,32,46,48,48,57,49,54,54,55,51,32,46,48,48,56,48,56,51,
      51,32,46,48,48,55,49,51,49,55,57,32,46,48,48,54,51,57,51,56,52,32,46,48,48,
      53,55,51,52,54,55,32,46,48,48,53,49,52,53,53,49,32,46,48,48,52,53,52,56,48,
      54,32,46,48,48,51,57,54,48,55,32,46,48,48,51,51,57,56,57,10,32,32,46,48,48,
      50,57,54,51,52,50,32,46,48,48,50,53,52,54,49,55,32,46,48,48,50,50,50,49,53,
      55,32,46,48,48,49,57,51,57,49,49,32,46,48,48,49,54,54,56,48,51,32,46,48,48,
      49,52,50,48,49,57,32,46,48,48,49,50,53,52,55,52,32,46,48,48,49,48,56,55,54,
      52,10,32,32,46,48,48,48,57,53,57,53,53,51,32,46,48,48,48,56,51,57,53,53,55,
      32,46,48,48,48,55,51,52,56,48,54,32,46,48,48,48,54,52,51,51,49,54,32,46,48,
      48,48,53,54,51,51,56,53,32,46,48,48,48,52,57,51,53,50,32,46,48,48,48,52,51,
      50,52,51,51,32,46,48,48,48,51,55,57,48,48,54,10,32,32,46,48,48,48,51,51,50,
      50,50,56,32,46,48,48,48,50,57,49,50,55,54,32,46,48,48,48,50,53,53,52,51,49,
      32,46,48,48,48,50,50,52,48,52,32,46,48,48,48,49,57,54,53,53,51,32,46,48,48,
      48,49,55,50,52,55,52,32,46,48,48,48,49,53,49,51,55,51,32,46,48,48,48,49,51,
      50,56,55,57,10,32,32,46,48,48,48,49,49,54,54,55,32,46,48,48,48,49,48,50,52,
      53,51,32,56,46,57,57,55,57,52,101,45,48,53,32,55,46,57,48,52,48,54,101,45,48,
      53,32,54,46,57,52,52,50,54,101,45,48,53,32,54,46,49,48,49,57,101,45,48,53,32,
      53,46,51,54,50,53,51,101,45,48,53,10,32,32,52,46,55,49,51,52,51,101,45,48,53,
      32,52,46,49,52,51,55,50,101,45,48,53,32,51,46,54,52,51,49,53,101,45,48,53,32,
      51,46,50,48,51,52,56,101,45,48,53,32,50,46,56,49,55,50,49,101,45,48,53,32,50,
      46,52,55,55,56,50,101,45,48,53,32,50,46,49,55,57,53,55,101,45,48,53,10,32,32,
      49,46,57,49,55,52,53,101,45,48,53,32,49,46,54,56,54,57,101,45,48,53,32,49,46,
      52,56,52,51,53,101,45,48,53,32,49,46,51,52,51,56,56,101,45,48,53,32,49,46,50,
      49,54,55,56,101,45,48,53,32,49,46,49,48,49,55,54,101,45,48,53,32,57,46,57,55,
      54,55,53,101,45,48,54,10,32,32,57,46,48,51,53,54,50,101,45,48,54,32,56,46,48,
      55,57,52,57,101,45,48,54,32,55,46,48,49,51,53,50,101,45,48,54,32,54,46,48,56,
      56,49,53,101,45,48,54,32,53,46,50,56,52,56,57,101,45,48,54,32,52,46,53,56,56,
      49,101,45,48,54,32,51,46,57,56,51,53,56,101,45,48,54,10,32,32,51,46,52,53,57,
      48,54,101,45,48,54,32,51,46,48,48,51,57,49,101,45,48,54,32,50,46,54,48,56,57,
      101,45,48,54,32,50,46,50,54,54,48,53,101,45,48,54,32,49,46,57,54,56,52,51,101,
      45,48,54,32,49,46,55,49,48,48,53,101,45,48,54,32,49,46,52,56,53,55,50,101,45,
      48,54,10,32,32,49,46,50,57,48,57,51,101,45,48,54,32,49,46,49,50,49,55,54,101,
      45,48,54,32,57,46,55,52,56,52,52,101,45,48,55,32,56,46,52,55,50,51,55,101,45,
      48,55,32,55,46,51,54,51,57,49,101,45,48,55,32,54,46,52,48,48,57,53,101,45,48,
      55,32,53,46,53,54,52,51,50,101,45,48,55,10,32,32,52,46,56,51,55,51,57,101,45,
      48,55,32,52,46,50,48,52,57,53,101,45,48,55,32,51,46,54,53,54,55,56,101,45,48,
      55,32,51,46,49,55,57,55,101,45,48,55,32,50,46,55,54,53,48,53,101,45,48,55,32,
      50,46,52,48,52,54,51,101,45,48,55,32,50,46,48,57,49,51,51,101,45,48,55,10,32,
      32,49,46,56,49,56,57,53,101,45,48,55,32,49,46,53,56,50,49,52,101,45,48,55,32,
      49,46,51,55,54,50,52,101,45,48,55,32,49,46,49,57,55,50,49,101,45,48,55,32,49,
      46,48,52,49,53,50,101,45,48,55,32,57,46,48,54,49,51,54,101,45,48,56,32,55,46,
      56,56,51,57,101,45,48,56,10,32,32,54,46,56,53,57,56,49,101,45,48,56,32,53,46,
      57,54,57,48,55,101,45,48,56,32,53,46,49,57,52,50,53,101,45,48,56,32,51,46,57,
      51,51,56,55,101,45,48,56,32,50,46,57,55,57,56,52,101,45,48,56,32,50,46,50,53,
      55,54,53,101,45,48,56,32,49,46,55,49,48,56,101,45,48,56,10,32,32,49,46,50,57,
      54,54,52,101,45,48,56,32,57,46,56,50,56,57,57,101,45,48,57,32,55,46,52,53,49,
      57,56,101,45,48,57,32,53,46,54,53,48,54,57,101,45,48,57,32,52,46,50,56,53,52,
      56,101,45,48,57,32,51,46,50,53,48,53,57,101,45,48,57,32,50,46,52,54,53,57,53,
      101,45,48,57,10,32,32,49,46,56,55,48,57,55,101,45,48,57,32,49,46,52,49,57,55,
      52,101,45,48,57,32,49,46,48,55,55,52,55,101,45,48,57,32,56,46,49,55,56,50,51,
      101,45,49,48,32,54,46,50,48,56,50,50,101,45,49,48,32,52,46,55,49,51,51,50,101,
      45,49,48,32,51,46,53,55,56,55,56,101,45,49,48,10,32,32,50,46,55,49,55,54,52,
      101,45,49,48,32,50,46,48,54,51,57,52,101,45,49,48,32,49,46,53,54,55,54,52,101,
      45,49,48,32,49,46,49,57,48,56,50,101,45,49,48,32,57,46,48,52,54,50,57,101,45,
      49,49,32,54,46,56,55,50,51,51,101,45,49,49,32,53,46,50,50,49,50,54,101,45,49,
      49,10,32,32,51,46,57,54,55,50,52,101,45,49,49,32,51,46,48,49,52,54,57,101,45,
      49,49,32,50,46,50,57,49,48,53,101,45,49,49,32,49,46,55,52,49,51,50,101,45,49,
      49,32,53,46,56,52,56,53,56,101,45,49,48,32,50,46,51,52,53,50,49,101,45,48,57,
      32,53,46,50,56,49,49,54,101,45,48,57,10,32,32,53,46,56,52,56,56,55,101,45,48,
      57,32,50,46,51,52,53,54,50,101,45,48,56,32,53,46,50,56,51,48,52,101,45,48,56,
      32,57,46,51,57,50,54,101,45,48,56,32,49,46,52,54,55,54,101,45,48,55,32,50,46,
      49,49,52,55,101,45,48,55,32,50,46,56,55,57,48,53,101,45,48,55,10,32,32,51,46,
      55,54,50,55,51,101,45,48,55,32,52,46,55,54,52,57,49,101,45,48,55,32,53,46,56,
      56,53,57,56,101,45,48,55,32,55,46,49,50,54,57,57,101,45,48,55,32,56,46,52,56,
      56,52,49,101,45,48,55,32,57,46,57,55,48,49,57,101,45,48,55,32,49,46,49,53,55,
      51,50,101,45,48,54,10,32,32,49,46,51,50,57,56,101,45,48,54,32,49,46,53,49,52,
      52,54,101,45,48,54,32,49,46,55,49,49,52,50,101,45,48,54,32,49,46,57,50,48,54,
      56,101,45,48,54,32,50,46,49,52,50,50,52,101,45,48,54,32,50,46,51,55,54,49,56,
      101,45,48,54,32,50,46,54,50,50,54,51,101,45,48,54,10,32,32,50,46,56,56,49,54,
      51,101,45,48,54,32,51,46,49,53,51,48,54,101,45,48,54,32,51,46,52,51,54,57,50,
      101,45,48,54,32,51,46,55,51,51,53,101,45,48,54,32,52,46,48,52,50,55,54,101,
      45,48,54,32,52,46,51,54,52,55,101,45,48,54,32,52,46,54,57,56,57,49,101,45,48,
      54,10,32,32,53,46,48,52,53,57,49,101,45,48,54,32,53,46,52,48,53,54,57,101,45,
      48,54,32,53,46,55,55,56,51,53,101,45,48,54,32,54,46,49,54,51,52,49,101,45,48,
      54,32,54,46,53,54,48,57,56,101,45,48,54,32,54,46,57,55,49,51,49,101,45,48,54,
      32,55,46,51,57,52,53,56,101,45,48,54,10,32,32,55,46,56,51,48,55,56,101,45,48,
      54,32,56,46,50,55,56,54,57,101,45,48,54,32,56,46,55,51,57,53,53,101,45,48,54,
      32,57,46,50,49,51,51,101,45,48,54,32,57,46,54,57,57,57,55,101,45,48,54,32,49,
      46,48,49,57,56,55,101,45,48,53,32,49,46,48,55,49,101,45,48,53,10,32,32,49,46,
      49,50,51,52,101,45,48,53,32,49,46,49,55,55,48,57,101,45,48,53,32,49,46,50,51,
      50,48,57,101,45,48,53,32,49,46,50,56,56,50,53,101,45,48,53,32,49,46,51,52,53,
      54,57,101,45,48,53,32,49,46,52,48,52,52,51,101,45,48,53,32,49,46,52,54,52,52,
      54,101,45,48,53,10,32,32,49,46,53,50,53,55,52,101,45,48,53,32,49,46,53,56,56,
      50,56,101,45,48,53,32,49,46,54,53,50,49,50,101,45,48,53,32,49,46,55,49,55,50,
      50,101,45,48,53,32,49,46,55,56,51,54,52,101,45,48,53,32,49,46,56,53,56,55,55,
      101,45,48,53,32,49,46,57,51,52,57,101,45,48,53,10,32,32,50,46,48,48,53,54,57,
      101,45,48,53,32,50,46,48,55,55,56,101,45,48,53,32,50,46,49,53,49,50,50,101,
      45,48,53,32,50,46,50,50,54,48,49,101,45,48,53,32,50,46,51,48,50,49,101,45,48,
      53,32,50,46,51,55,57,53,49,101,45,48,53,32,50,46,52,53,56,50,54,101,45,48,53,
      10,32,32,50,46,53,51,56,52,55,101,45,48,53,32,50,46,54,49,57,57,57,101,45,48,
      53,32,50,46,55,48,50,56,53,101,45,48,53,32,50,46,55,56,55,48,53,101,45,48,53,
      32,50,46,56,55,50,54,57,101,45,48,53,32,50,46,57,53,57,55,54,101,45,48,53,32,
      51,46,48,52,56,50,49,101,45,48,53,10,32,32,51,46,49,51,55,57,57,101,45,48,53,
      32,51,46,50,50,57,49,55,101,45,48,53,32,51,46,51,50,49,57,51,101,45,48,53,32,
      51,46,52,49,54,48,51,101,45,48,53,32,51,46,53,49,49,53,50,101,45,48,53,32,51,
      46,54,48,56,51,57,101,45,48,53,32,51,46,55,48,54,55,54,101,45,48,53,10,32,32,
      51,46,56,48,54,53,57,101,45,48,53,32,51,46,57,48,55,56,50,101,45,48,53,32,52,
      46,48,49,48,52,57,101,45,48,53,32,52,46,49,49,52,53,52,101,45,48,53,32,52,46,
      50,49,57,57,53,101,45,48,53,32,52,46,51,50,54,56,55,101,45,48,53,32,52,46,52,
      51,53,49,57,101,45,48,53,10,32,32,52,46,53,52,52,56,56,101,45,48,53,32,52,46,
      54,53,53,55,52,101,45,48,53,32,52,46,55,54,55,57,50,101,45,48,53,32,52,46,56,
      56,49,54,52,101,45,48,53,32,52,46,57,57,54,55,51,101,45,48,53,32,53,46,49,49,
      51,48,57,101,45,48,53,32,53,46,50,51,48,48,49,101,45,48,53,10,32,32,53,46,51,
      52,56,51,101,45,48,53,32,53,46,52,54,55,57,53,101,45,48,53,32,53,46,53,56,56,
      57,54,101,45,48,53,32,53,46,55,49,48,51,50,101,45,48,53,32,53,46,56,51,50,51,
      57,101,45,48,53,32,53,46,57,53,53,56,51,101,45,48,53,32,54,46,48,56,48,54,50,
      101,45,48,53,10,32,32,54,46,50,48,54,52,51,101,45,48,53,32,54,46,51,51,49,52,
      51,101,45,48,53,32,54,46,52,53,55,55,57,101,45,48,53,32,54,46,53,56,53,52,57,
      101,45,48,53,32,54,46,55,49,52,53,51,101,45,48,53,32,54,46,56,52,50,56,51,101,
      45,48,53,32,54,46,57,55,49,51,101,45,48,53,10,32,32,55,46,49,48,49,49,53,101,
      45,48,53,32,55,46,50,51,50,51,56,101,45,48,53,32,55,46,51,54,52,52,101,45,48,
      53,32,55,46,52,57,52,52,50,101,45,48,53,32,55,46,54,50,53,56,56,101,45,48,53,
      32,55,46,55,53,56,56,49,101,45,48,53,32,55,46,56,57,51,53,52,101,45,48,53,10,
      32,32,56,46,48,50,55,48,50,101,45,48,53,32,56,46,49,54,48,53,55,101,45,48,53,
      32,56,46,50,57,53,56,53,101,45,48,53,32,56,46,52,51,50,55,54,101,45,48,53,32,
      56,46,53,55,48,53,54,101,45,48,53,32,56,46,55,48,54,55,52,101,45,48,53,32,56,
      46,56,52,52,55,49,101,45,48,53,10,32,32,56,46,57,56,52,51,56,101,45,48,53,32,
      57,46,49,50,53,55,57,101,45,48,53,32,57,46,50,54,54,52,50,101,45,48,53,32,57,
      46,52,48,55,55,101,45,48,53,32,57,46,53,53,48,56,51,101,45,48,53,32,57,46,54,
      57,53,54,51,101,45,48,53,32,57,46,56,52,49,53,57,101,45,48,53,10,32,32,57,46,
      57,56,54,55,50,101,45,48,53,32,46,48,48,48,49,48,49,51,51,56,32,46,48,48,48,
      49,48,50,56,50,53,32,46,48,48,48,49,48,52,51,50,56,32,46,48,48,48,49,48,53,
      53,50,57,32,46,48,48,48,49,48,54,53,51,50,32,46,48,48,48,49,48,56,48,53,49,
      32,46,48,48,48,49,48,57,53,56,51,10,32,32,46,48,48,48,49,49,49,49,51,32,46,
      48,48,48,49,49,50,54,56,32,46,48,48,48,49,49,52,50,52,55,32,46,48,48,48,49,
      49,53,56,51,49,32,46,48,48,48,49,49,55,52,51,32,46,48,48,48,49,49,57,48,52,
      32,46,48,48,48,49,50,48,54,54,50,32,46,48,48,48,49,50,50,50,57,57,10,32,32,
      46,48,48,48,49,50,51,57,53,52,32,46,48,48,48,49,50,53,54,50,50,32,46,48,48,
      48,49,50,55,51,48,51,32,46,48,48,48,49,50,56,57,57,55,32,46,48,48,48,49,51,
      48,55,48,54,32,46,48,48,48,49,51,50,52,51,32,46,48,48,48,49,51,52,49,54,57,
      32,46,48,48,48,49,51,53,57,50,51,10,32,32,46,48,48,48,49,51,55,54,57,32,46,
      48,48,48,49,51,57,52,55,32,46,48,48,48,49,52,49,50,54,54,32,46,48,48,48,49,
      52,51,48,55,57,32,46,48,48,48,49,52,52,57,48,54,32,46,48,48,48,49,52,55,51,
      53,56,32,46,48,48,48,49,53,51,49,54,56,32,46,48,48,48,49,54,49,57,51,51,10,
      32,32,46,48,48,48,49,55,54,54,57,56,32,46,48,48,48,49,57,49,55,48,56,32,46,
      48,48,48,50,48,55,48,48,51,32,46,48,48,48,50,50,50,54,55,50,32,46,48,48,48,
      50,51,56,55,52,51,32,46,48,48,48,50,53,55,48,57,52,32,46,48,48,48,50,55,51,
      56,53,49,32,46,48,48,48,50,57,48,55,54,54,10,32,32,46,48,48,48,51,48,55,55,
      50,51,32,46,48,48,48,51,50,52,55,49,54,32,46,48,48,48,51,52,49,55,54,56,32,
      46,48,48,48,51,54,50,52,51,54,32,46,48,48,48,51,56,51,54,53,32,46,48,48,48,
      52,49,51,52,51,55,32,46,48,48,48,52,52,54,50,50,55,32,46,48,48,48,52,56,51,
      54,56,52,10,32,32,46,48,48,48,53,52,48,54,56,56,32,46,48,48,48,54,49,52,50,
      53,55,32,46,48,48,48,55,48,56,48,54,49,32,46,48,48,48,56,51,53,57,49,53,32,
      46,48,48,48,57,52,54,57,55,57,32,46,48,48,49,48,51,49,57,53,32,46,48,48,49,
      48,55,51,57,55,32,46,48,48,49,49,48,57,57,51,10,32,32,46,48,48,49,49,53,57,
      57,54,32,46,48,48,49,50,51,48,48,52,32,46,48,48,49,51,50,54,56,50,32,46,48,
      48,49,52,54,49,55,53,32,46,48,48,49,54,53,53,57,51,32,46,48,48,49,57,55,55,
      52,53,32,46,48,48,50,52,52,55,49,49,32,46,48,48,51,49,54,52,57,49,10,32,32,
      46,48,48,52,48,54,57,48,56,32,46,48,48,52,52,54,50,50,49,32,46,48,48,52,52,
      51,56,50,57,32,46,48,48,52,51,50,53,55,51,32,46,48,48,52,50,56,51,50,56,32,
      46,48,48,52,51,56,52,56,56,32,46,48,48,52,54,50,56,51,54,32,46,48,48,53,48,
      51,57,57,56,10,32,32,46,48,48,53,53,57,50,54,53,32,46,48,48,54,51,53,48,53,
      49,32,46,48,48,55,52,56,48,48,56,32,46,48,48,57,50,52,53,55,53,32,46,48,49,
      49,48,56,50,53,32,46,48,49,51,49,48,52,51,32,46,48,49,53,48,50,48,51,32,46,
      48,49,55,51,54,52,53,32,46,48,50,48,55,55,50,56,10,32,32,46,48,50,51,54,56,
      52,53,32,46,48,50,53,57,56,48,52,32,46,48,50,55,55,50,52,50,32,46,48,51,48,
      50,48,57,52,32,46,48,51,50,55,48,56,54,32,46,48,51,53,49,57,57,49,32,46,48,
      51,55,52,53,56,57,32,46,48,51,57,55,49,55,32,46,48,52,50,48,54,54,54,10,32,
      32,46,48,52,52,56,54,50,50,32,46,48,52,55,51,55,52,49,32,46,48,52,56,57,54,
      53,32,46,48,53,49,50,49,52,56,32,46,48,53,50,51,48,53,51,32,46,48,53,50,49,
      51,50,32,46,48,53,48,57,54,57,55,32,46,48,53,48,49,55,52,53,32,46,48,53,48,
      55,56,53,57,32,46,48,53,50,52,57,56,54,10,32,32,46,48,53,52,52,56,48,50,32,
      46,48,53,54,51,57,52,57,32,46,48,53,56,52,55,51,52,32,46,48,53,57,57,53,51,
      51,32,46,48,54,49,50,51,55,53,32,46,48,54,50,52,57,48,51,32,46,48,54,50,52,
      57,56,52,32,46,48,54,49,49,54,55,53,32,46,48,53,56,51,57,48,54,10,32,32,46,
      48,53,54,51,51,55,51,32,46,48,53,52,49,56,54,51,32,46,48,53,48,56,51,56,53,
      32,46,48,52,55,52,53,57,54,32,46,48,52,53,56,54,56,52,32,46,48,52,52,48,50,
      54,56,32,46,48,52,51,51,55,49,52,32,46,48,52,51,48,56,50,56,32,46,48,52,55,
      55,55,57,55,10,32,32,46,48,52,54,53,54,50,50,32,46,48,52,54,48,53,55,52,32,
      46,48,52,53,48,56,54,51,32,46,48,52,52,48,49,54,54,32,46,48,52,51,49,51,32,
      46,48,52,50,50,53,32,46,48,52,49,52,51,51,55,32,46,48,52,48,54,51,55,49,32,
      46,48,51,57,55,54,51,55,32,46,48,51,56,57,57,55,53,10,32,32,46,48,51,56,49,
      54,51,53,32,46,48,51,55,53,53,55,54,32,46,48,51,54,53,56,52,32,46,48,51,53,
      57,57,54,32,46,48,51,53,50,55,53,51,32,46,48,51,51,54,52,49,56,32,46,48,51,
      49,52,57,52,53,32,46,48,50,57,53,49,53,50,32,46,48,50,55,49,57,57,52,32,46,
      48,50,53,48,53,51,50,10,32,32,46,48,50,50,54,57,49,51,32,46,48,50,48,56,56,
      56,54,32,46,48,49,56,50,53,52,54,32,46,48,49,53,52,52,48,51,32,46,48,49,52,
      49,55,49,54,32,46,48,49,50,56,56,48,51,32,46,48,49,49,51,52,50,54,32,46,48,
      49,48,49,53,51,54,32,46,48,48,57,48,57,51,51,56,10,32,32,46,48,48,56,48,50,
      48,57,53,32,46,48,48,55,48,55,57,48,57,32,46,48,48,54,51,52,56,54,53,32,46,
      48,48,53,54,57,53,50,52,32,46,48,48,53,49,49,49,48,55,32,46,48,48,52,53,49,
      56,53,49,32,46,48,48,51,57,51,53,55,51,32,46,48,48,51,51,55,56,49,52,10,32,
      32,46,48,48,50,57,52,53,56,50,32,46,48,48,50,53,51,49,52,57,32,46,48,48,50,
      50,48,57,55,53,32,46,48,48,49,57,50,57,50,52,32,46,48,48,49,54,53,57,55,56,
      32,46,48,48,49,52,49,51,51,52,32,46,48,48,49,50,52,56,55,57,32,46,48,48,49,
      48,56,50,54,32,46,48,48,48,57,53,53,49,57,10,32,32,46,48,48,48,56,51,53,56,
      48,51,32,46,48,48,48,55,51,49,53,56,50,32,46,48,48,48,54,52,48,53,52,54,32,
      46,48,48,48,53,54,48,57,57,57,32,46,48,48,48,52,57,49,52,54,32,46,48,48,48,
      52,51,48,54,53,54,32,46,48,48,48,51,55,55,52,55,50,32,46,48,48,48,51,51,48,
      57,51,54,10,32,32,46,48,48,48,50,57,48,50,48,51,32,46,48,48,48,50,53,52,53,
      48,54,32,46,48,48,48,50,50,51,50,52,32,46,48,48,48,49,57,53,56,54,32,46,48,
      48,48,49,55,49,56,55,51,32,46,48,48,48,49,53,48,56,53,50,32,46,48,48,48,49,
      51,50,52,50,55,32,46,48,48,48,49,49,54,50,55,57,10,32,32,46,48,48,48,49,48,
      50,49,49,51,32,56,46,57,54,56,51,55,101,45,48,53,32,55,46,56,55,56,51,51,101,
      45,48,53,32,54,46,57,50,49,56,55,101,45,48,53,32,54,46,48,56,50,52,54,101,45,
      48,53,32,53,46,51,52,53,54,51,101,45,48,53,32,52,46,54,57,56,55,50,101,45,48,
      53,10,32,32,52,46,49,51,48,57,49,101,45,48,53,32,51,46,54,51,49,57,56,101,45,
      48,53,32,51,46,49,57,51,55,50,101,45,48,53,32,50,46,56,48,56,55,49,101,45,48,
      53,32,50,46,52,55,48,52,101,45,48,53,32,50,46,49,55,51,49,101,45,48,53,32,49,
      46,57,49,49,56,101,45,48,53,10,32,32,49,46,54,56,49,57,55,101,45,48,53,32,49,
      46,52,56,48,48,52,101,45,48,53,32,49,46,51,52,101,45,48,53,32,49,46,50,49,51,
      50,56,101,45,48,53,32,49,46,48,57,56,54,49,101,45,48,53,32,57,46,57,52,56,51,
      57,101,45,48,54,32,57,46,48,49,48,48,56,101,45,48,54,10,32,32,56,46,48,53,54,
      56,49,101,45,48,54,32,54,46,57,57,52,48,49,101,45,48,54,32,54,46,48,55,50,48,
      54,101,45,48,54,32,53,46,50,55,50,50,101,45,48,54,32,52,46,53,55,56,50,101,
      45,48,54,32,51,46,57,55,53,51,101,45,48,54,32,51,46,52,53,49,57,51,101,45,48,
      54,10,32,32,50,46,57,57,55,55,55,101,45,48,54,32,50,46,54,48,51,54,49,101,45,
      48,54,32,50,46,50,54,49,52,57,101,45,48,54,32,49,46,57,54,52,53,101,45,48,54,
      32,49,46,55,48,54,54,54,101,45,48,54,32,49,46,52,56,50,55,57,101,45,48,54,32,
      49,46,50,56,56,52,101,45,48,54,10,32,32,49,46,49,49,57,53,56,101,45,48,54,32,
      57,46,55,50,57,54,53,101,45,48,55,32,56,46,52,53,54,49,54,101,45,48,55,32,55,
      46,51,52,57,56,57,101,45,48,55,32,54,46,51,56,56,56,52,101,45,48,55,32,53,46,
      53,53,51,56,53,101,45,48,55,32,52,46,56,50,56,51,50,101,45,48,55,10,32,32,52,
      46,49,57,55,49,49,101,45,48,55,32,51,46,54,53,48,48,49,101,45,48,55,32,51,46,
      49,55,51,56,53,101,45,48,55,32,50,46,55,54,101,45,48,55,32,50,46,52,48,48,50,
      54,101,45,48,55,32,50,46,48,56,55,53,52,101,45,48,55,32,49,46,56,49,53,54,55,
      101,45,48,55,10,32,32,49,46,53,55,57,51,101,45,48,55,32,49,46,51,55,51,55,57,
      101,45,48,55,32,49,46,49,57,53,48,56,101,45,48,55,32,49,46,48,51,57,54,56,101,
      45,48,55,32,57,46,48,52,53,52,50,101,45,48,56,32,55,46,56,55,48,49,101,45,48,
      56,32,54,46,56,52,55,56,54,101,45,48,56,10,32,32,53,46,57,53,56,55,50,101,45,
      48,56,32,53,46,49,56,53,50,56,101,45,48,56,32,51,46,57,50,55,49,52,101,45,48,
      56,32,50,46,57,55,52,55,56,101,45,48,56,32,50,46,50,53,51,56,53,101,45,48,56,
      32,49,46,55,48,55,57,52,101,45,48,56,32,49,46,50,57,52,52,56,101,45,48,56,10,
      32,32,57,46,56,49,50,56,49,101,45,48,57,32,55,46,52,51,57,56,101,45,48,57,32,
      53,46,54,52,49,53,51,101,45,48,57,32,52,46,50,55,56,53,55,101,45,48,57,32,51,
      46,50,52,53,51,56,101,45,48,57,32,50,46,52,54,50,48,50,101,45,48,57,32,49,46,
      56,54,56,48,49,101,45,48,57,10,32,32,49,46,52,49,55,53,49,101,45,48,57,32,49,
      46,48,55,53,55,57,101,45,48,57,32,56,46,49,54,53,53,53,101,45,49,48,32,54,46,
      49,57,56,54,51,101,45,49,48,32,52,46,55,48,54,48,53,101,45,49,48,32,51,46,53,
      55,51,50,57,101,45,49,48,32,50,46,55,49,51,52,57,101,45,49,48,10,32,32,50,46,
      48,54,48,56,49,101,45,49,48,32,49,46,53,54,53,50,56,101,45,49,48,32,49,46,49,
      56,57,48,51,101,45,49,48,32,57,46,48,51,51,49,51,101,45,49,49,32,54,46,56,54,
      51,49,53,101,45,49,49,32,53,46,50,49,52,57,52,101,45,49,49,32,51,46,57,54,50,
      56,53,101,45,49,49,10,32,32,51,46,48,49,49,51,54,101,45,49,49,32,50,46,50,56,
      56,53,52,101,45,49,49,32,49,46,55,51,57,52,50,101,45,49,49,32,53,46,52,48,54,
      48,55,101,45,49,48,32,50,46,49,54,55,55,54,101,45,48,57,32,52,46,56,56,49,53,
      49,101,45,48,57,32,53,46,52,48,54,50,53,101,45,48,57,10,32,32,50,46,49,54,56,
      101,45,48,56,32,52,46,56,56,50,54,49,101,45,48,56,32,56,46,54,55,57,56,50,101,
      45,48,56,32,49,46,51,53,54,48,55,101,45,48,55,32,49,46,57,53,51,55,49,101,45,
      48,55,32,50,46,54,53,57,52,55,101,45,48,55,32,51,46,52,55,53,49,53,101,45,48,
      55,10,32,32,52,46,51,57,57,57,50,101,45,48,55,32,53,46,52,51,52,48,52,101,45,
      48,55,32,54,46,53,55,56,51,54,101,45,48,55,32,55,46,56,51,51,50,53,101,45,48,
      55,32,57,46,49,57,56,53,54,101,45,48,55,32,49,46,48,54,55,53,101,45,48,54,32,
      49,46,50,50,54,51,49,101,45,48,54,10,32,32,49,46,51,57,54,50,54,101,45,48,54,
      32,49,46,53,55,55,52,54,101,45,48,54,32,49,46,55,54,57,57,101,45,48,54,32,49,
      46,57,55,51,53,57,101,45,48,54,32,50,46,49,56,56,53,57,101,45,48,54,32,50,46,
      52,49,53,101,45,48,54,32,50,46,54,53,50,56,53,101,45,48,54,10,32,32,50,46,57,
      48,50,48,53,101,45,48,54,32,51,46,49,54,50,54,101,45,48,54,32,51,46,52,51,52,
      55,52,101,45,48,54,32,51,46,55,49,56,52,50,101,45,48,54,32,52,46,48,49,51,54,
      52,101,45,48,54,32,52,46,51,50,48,49,49,101,45,48,54,32,52,46,54,51,56,50,49,
      101,45,48,54,10,32,32,52,46,57,54,55,57,50,101,45,48,54,32,53,46,51,48,57,51,
      52,101,45,48,54,32,53,46,54,54,50,49,101,45,48,54,32,54,46,48,50,54,50,56,101,
      45,48,54,32,54,46,52,48,50,48,56,101,45,48,54,32,54,46,55,56,57,54,50,101,45,
      48,54,32,55,46,49,56,56,57,50,101,45,48,54,10,32,32,55,46,53,57,57,48,52,101,
      45,48,54,32,56,46,48,50,48,57,49,101,45,48,54,32,56,46,52,53,52,53,50,101,45,
      48,54,32,56,46,56,57,57,56,55,101,45,48,54,32,57,46,51,53,54,51,51,101,45,48,
      54,32,57,46,56,50,52,49,53,101,45,48,54,32,49,46,48,51,48,51,55,101,45,48,53,
      10,32,32,49,46,48,55,57,52,57,101,45,48,53,32,49,46,49,50,57,56,101,45,48,53,
      32,49,46,49,56,49,49,56,101,45,48,53,32,49,46,50,51,51,55,51,101,45,48,53,32,
      49,46,50,56,55,52,55,101,45,48,53,32,49,46,51,52,50,51,55,101,45,48,53,32,49,
      46,51,57,56,52,51,101,45,48,53,10,32,32,49,46,52,53,53,54,52,101,45,48,53,32,
      49,46,53,49,52,48,51,101,45,48,53,32,49,46,53,55,51,53,55,101,45,48,53,32,49,
      46,54,51,52,51,50,101,45,48,53,32,49,46,54,57,54,50,51,101,45,48,53,32,49,46,
      55,53,57,51,50,101,45,48,53,32,49,46,56,50,51,54,49,101,45,48,53,10,32,32,49,
      46,56,56,57,49,101,45,48,53,32,49,46,57,53,53,55,56,101,45,48,53,32,50,46,48,
      50,51,54,56,101,45,48,53,32,50,46,48,57,57,53,52,101,45,48,53,32,50,46,49,55,
      55,53,51,101,45,48,53,32,50,46,50,52,57,52,54,101,45,48,53,32,50,46,51,50,50,
      55,101,45,48,53,10,32,32,50,46,51,57,55,49,52,101,45,48,53,32,50,46,52,55,50,
      55,57,101,45,48,53,32,50,46,53,52,57,54,54,101,45,48,53,32,50,46,54,50,55,56,
      52,101,45,48,53,32,50,46,55,48,55,51,49,101,45,48,53,32,50,46,55,56,56,48,52,
      101,45,48,53,32,50,46,56,54,57,57,54,101,45,48,53,10,32,32,50,46,57,53,51,49,
      54,101,45,48,53,32,51,46,48,51,55,55,55,101,45,48,53,32,51,46,49,50,51,53,56,
      101,45,48,53,32,51,46,50,49,48,54,54,101,45,48,53,32,51,46,50,57,57,48,49,101,
      45,48,53,32,51,46,51,56,56,54,57,101,45,48,53,32,51,46,52,55,57,54,55,101,45,
      48,53,10,32,32,51,46,53,55,49,57,53,101,45,48,53,32,51,46,54,54,53,53,49,101,
      45,48,53,32,51,46,55,54,48,51,50,101,45,48,53,32,51,46,56,53,54,51,54,101,45,
      48,53,32,51,46,57,53,51,55,55,101,45,48,53,32,52,46,48,53,50,52,52,101,45,48,
      53,32,52,46,49,53,50,51,53,101,45,48,53,10,32,32,52,46,50,53,51,51,53,101,45,
      48,53,32,52,46,51,53,53,53,53,101,45,48,53,32,52,46,52,53,57,49,51,101,45,48,
      53,32,52,46,53,54,51,57,54,101,45,48,53,32,52,46,54,54,57,57,53,101,45,48,53,
      32,52,46,55,55,54,53,101,45,48,53,32,52,46,56,56,52,51,101,45,48,53,10,32,32,
      52,46,57,57,51,51,51,101,45,48,53,32,53,46,49,48,51,54,101,45,48,53,32,53,46,
      50,49,52,50,55,101,45,48,53,32,53,46,51,50,53,54,51,101,45,48,53,32,53,46,52,
      51,56,50,51,101,45,48,53,32,53,46,53,53,50,48,54,101,45,48,53,32,53,46,54,54,
      54,56,52,101,45,48,53,10,32,32,53,46,55,56,49,48,54,101,45,48,53,32,53,46,56,
      57,54,53,49,101,45,48,53,32,54,46,48,49,51,49,56,101,45,48,53,32,54,46,49,51,
      49,48,55,101,45,48,53,32,54,46,50,52,56,52,54,101,45,48,53,32,54,46,51,54,54,
      48,57,101,45,48,53,32,54,46,52,56,52,57,56,101,45,48,53,10,32,32,54,46,54,48,
      53,49,49,101,45,48,53,32,54,46,55,50,54,101,45,48,53,32,54,46,56,52,53,51,54,
      101,45,48,53,32,54,46,57,54,54,101,45,48,53,32,55,46,48,56,55,57,56,101,45,
      48,53,32,55,46,50,49,49,53,55,101,45,48,53,32,55,46,51,51,52,50,52,101,45,48,
      53,10,32,32,55,46,52,53,55,48,55,101,45,48,53,32,55,46,53,56,49,52,54,101,45,
      48,53,32,55,46,55,48,55,51,49,101,45,48,53,32,55,46,56,51,52,101,45,48,53,32,
      55,46,57,53,57,52,55,101,45,48,53,32,56,46,48,56,54,53,52,101,45,48,53,32,56,
      46,50,49,53,49,101,45,48,53,10,32,32,56,46,51,52,53,50,53,101,45,48,53,32,56,
      46,52,55,52,56,50,101,45,48,53,32,56,46,54,48,53,48,52,101,45,48,53,32,56,46,
      55,51,54,57,52,101,45,48,53,32,56,46,56,55,48,51,50,101,45,48,53,32,57,46,48,
      48,52,56,49,101,45,48,53,32,57,46,49,51,56,55,54,101,45,48,53,10,32,32,57,46,
      50,49,55,55,51,101,45,48,53,32,57,46,51,52,56,52,101,45,48,53,32,57,46,52,56,
      53,54,54,101,45,48,53,32,57,46,54,50,51,51,52,101,45,48,53,32,57,46,55,54,49,
      56,57,101,45,48,53,32,57,46,57,48,50,51,101,45,48,53,32,46,48,48,48,49,48,48,
      52,51,57,10,32,32,46,48,48,48,49,48,49,56,55,32,46,48,48,48,49,48,51,51,48,
      53,32,46,48,48,48,49,48,52,55,53,53,32,46,48,48,48,49,48,54,50,50,32,46,48,
      48,48,49,48,55,54,57,57,32,46,48,48,48,49,48,57,49,56,56,32,46,48,48,48,49,
      49,48,54,56,57,32,46,48,48,48,49,49,50,50,48,51,10,32,32,46,48,48,48,49,49,
      51,55,51,50,32,46,48,48,48,49,49,53,50,55,52,32,46,48,48,48,49,49,54,56,50,
      55,32,46,48,48,48,49,49,56,51,57,50,32,46,48,48,48,49,49,57,57,55,49,32,46,
      48,48,48,49,50,49,53,54,50,32,46,48,48,48,49,50,51,49,54,56,32,46,48,48,48,
      49,50,52,55,56,55,10,32,32,46,48,48,48,49,50,54,52,49,55,32,46,48,48,48,49,
      50,56,48,53,57,32,46,48,48,48,49,50,57,55,49,53,32,46,48,48,48,49,51,49,51,
      56,55,32,46,48,48,48,49,51,51,48,55,32,46,48,48,48,49,51,53,51,51,32,46,48,
      48,48,49,52,48,54,55,57,32,46,48,48,48,49,52,56,55,52,50,10,32,32,46,48,48,
      48,49,54,50,50,57,55,32,46,48,48,48,49,55,54,48,51,55,32,46,48,48,48,49,56,
      57,57,57,53,32,46,48,48,48,50,48,52,50,52,49,32,46,48,48,48,50,49,56,56,48,
      57,32,46,48,48,48,50,51,52,57,50,49,32,46,48,48,48,50,53,48,52,54,32,46,48,
      48,48,50,54,53,55,55,52,10,32,32,46,48,48,48,50,56,49,49,50,53,32,46,48,48,
      48,50,57,54,53,49,32,46,48,48,48,51,49,49,57,52,57,32,46,48,48,48,51,51,48,
      54,53,51,32,46,48,48,48,51,52,57,56,50,49,32,46,48,48,48,51,55,54,54,54,52,
      32,46,48,48,48,52,48,54,48,57,50,32,46,48,48,48,52,51,57,53,56,50,10,32,32,
      46,48,48,48,52,57,48,51,57,49,32,46,48,48,48,53,53,53,56,51,51,32,46,48,48,
      48,54,51,57,50,49,50,32,46,48,48,48,55,53,50,57,54,32,46,48,48,48,56,53,50,
      48,55,54,32,46,48,48,48,57,50,56,51,57,54,32,46,48,48,48,57,54,54,54,57,49,
      32,46,48,48,48,57,57,57,54,54,50,10,32,32,46,48,48,49,48,52,53,50,54,32,46,
      48,48,49,49,48,56,55,49,32,46,48,48,49,49,57,53,57,49,32,46,48,48,49,51,49,
      54,57,53,32,46,48,48,49,52,57,48,53,52,32,46,48,48,49,55,55,55,53,53,32,46,
      48,48,50,49,57,55,55,51,32,46,48,48,50,56,52,52,53,49,10,32,32,46,48,48,51,
      54,54,55,48,56,32,46,48,48,52,48,50,49,54,52,32,46,48,48,51,57,57,52,50,53,
      32,46,48,48,51,56,56,55,53,49,32,46,48,48,51,56,52,54,57,56,32,46,48,48,51,
      57,51,55,56,56,32,46,48,48,52,49,53,54,55,54,32,46,48,48,52,53,50,54,52,49,
      10,32,32,46,48,48,53,48,50,50,53,53,32,46,48,48,53,55,48,51,55,32,46,48,48,
      54,55,50,49,56,50,32,46,48,48,56,51,50,49,50,50,32,46,48,48,57,57,57,53,50,
      52,32,46,48,49,49,56,52,56,55,32,46,48,49,51,54,49,57,56,32,46,48,49,53,56,
      48,57,56,32,46,48,49,57,48,52,49,53,10,32,32,46,48,50,49,56,51,55,55,32,46,
      48,50,52,48,51,53,52,32,46,48,50,53,54,56,53,56,32,46,48,50,56,48,51,54,50,
      32,46,48,51,48,52,50,32,46,48,51,50,55,55,54,55,32,46,48,51,52,56,55,48,49,
      32,46,48,51,54,57,51,55,56,32,46,48,51,57,49,50,51,32,46,48,52,49,56,48,50,
      57,10,32,32,46,48,52,52,50,56,57,49,32,46,48,52,53,57,49,48,56,32,46,48,52,
      56,50,56,54,32,46,48,52,57,53,54,51,53,32,46,48,52,57,54,52,49,57,32,46,48,
      52,56,55,55,49,55,32,46,48,52,56,49,54,49,54,32,46,48,52,56,56,51,49,50,32,
      46,48,53,48,53,49,48,52,10,32,32,46,48,53,50,52,51,51,51,32,46,48,53,52,50,
      57,32,46,48,53,54,51,48,55,52,32,46,48,53,55,55,52,53,52,32,46,48,53,57,48,
      48,49,49,32,46,48,54,48,50,54,51,55,32,46,48,54,48,51,50,53,32,46,48,53,57,
      49,53,48,57,32,46,48,53,54,53,57,54,56,32,46,48,53,52,54,56,51,51,10,32,32,
      46,48,53,50,54,54,53,53,32,46,48,52,57,53,48,55,50,32,46,48,52,54,51,48,49,
      49,32,46,48,52,52,55,56,54,53,32,46,48,52,51,48,51,52,54,32,46,48,52,50,52,
      49,51,56,32,46,48,52,50,49,53,50,56,32,46,48,52,54,54,57,57,56,32,46,48,52,
      53,53,52,55,51,10,32,32,46,48,52,53,48,54,56,49,32,46,48,52,52,49,52,52,51,
      32,46,48,52,51,49,50,52,49,32,46,48,52,50,50,55,54,51,32,46,48,52,49,52,51,
      51,49,32,46,48,52,48,54,52,57,53,32,46,48,51,57,56,56,51,55,32,46,48,51,57,
      48,52,51,51,32,46,48,51,56,51,48,53,49,10,32,32,46,48,51,55,53,48,48,52,32,
      46,48,51,54,57,49,53,32,46,48,51,53,57,55,51,49,32,46,48,51,53,52,48,51,57,
      32,46,48,51,52,55,48,53,52,32,46,48,51,51,49,50,48,49,32,46,48,51,49,48,51,
      50,32,46,48,50,57,49,48,51,49,32,46,48,50,54,56,52,49,32,46,48,50,52,55,52,
      49,55,10,32,32,46,48,50,50,52,50,54,50,32,46,48,50,48,54,53,54,54,32,46,48,
      49,56,48,54,54,55,32,46,48,49,53,50,56,53,49,32,46,48,49,52,48,51,51,57,32,
      46,48,49,50,55,54,48,51,32,46,48,49,49,50,52,51,54,32,46,48,49,48,48,54,56,
      49,32,46,48,48,57,48,49,57,52,55,10,32,32,46,48,48,55,57,53,56,50,54,32,46,
      48,48,55,48,50,53,54,49,32,46,48,48,54,51,48,50,51,55,32,46,48,48,53,54,53,
      53,53,53,32,46,48,48,53,48,55,54,51,53,32,46,48,48,52,52,56,56,54,57,32,46,
      48,48,51,57,49,48,53,57,32,46,48,48,51,51,53,55,50,52,10,32,32,46,48,48,50,
      57,50,56,48,56,32,46,48,48,50,53,49,54,54,55,32,46,48,48,50,49,57,55,49,53,
      32,46,48,48,49,57,49,57,48,49,32,46,48,48,49,54,53,49,52,52,32,46,48,48,49,
      52,48,54,52,51,32,46,48,48,49,50,52,50,56,50,32,46,48,48,49,48,55,55,53,51,
      10,32,32,46,48,48,48,57,53,48,55,56,56,32,46,48,48,48,56,51,50,48,50,55,32,
      46,48,48,48,55,50,56,51,52,32,46,48,48,48,54,51,55,55,53,52,32,46,48,48,48,
      53,53,56,53,57,32,46,48,48,48,52,56,57,51,56,54,32,46,48,48,48,52,50,56,56,
      54,57,32,46,48,48,48,51,55,53,57,50,56,10,32,32,46,48,48,48,51,50,57,54,32,
      46,48,48,48,50,56,57,48,52,55,32,46,48,48,48,50,53,51,53,52,49,32,46,48,48,
      48,50,50,50,52,51,52,32,46,48,48,48,49,57,53,49,54,50,32,46,48,48,48,49,55,
      49,50,54,56,32,46,48,48,48,49,53,48,51,50,56,32,46,48,48,48,49,51,49,57,55,
      51,10,32,32,46,48,48,48,49,49,53,56,56,52,32,46,48,48,48,49,48,49,55,55,32,
      56,46,57,51,56,53,57,101,45,48,53,32,55,46,56,53,50,52,56,101,45,48,53,32,54,
      46,56,57,57,52,50,101,45,48,53,32,54,46,48,54,50,57,51,101,45,48,53,32,53,46,
      51,50,56,54,49,101,45,48,53,10,32,32,52,46,54,56,51,56,57,101,45,48,53,32,52,
      46,49,49,55,57,56,101,45,48,53,32,51,46,54,50,48,55,50,101,45,48,53,32,51,46,
      49,56,51,57,51,101,45,48,53,32,50,46,56,48,48,49,55,101,45,48,53,32,50,46,52,
      54,50,57,54,101,45,48,53,32,50,46,49,54,54,54,101,45,48,53,10,32,32,49,46,57,
      48,54,49,50,101,45,48,53,32,49,46,54,55,55,48,49,101,45,48,53,32,49,46,52,55,
      53,55,49,101,45,48,53,32,49,46,51,51,54,48,57,101,45,48,53,32,49,46,50,48,57,
      55,55,101,45,48,53,32,49,46,48,57,53,52,53,101,45,48,53,32,57,46,57,49,57,57,
      53,101,45,48,54,10,32,32,56,46,57,56,52,52,54,101,45,48,54,32,56,46,48,51,52,
      48,50,101,45,48,54,32,54,46,57,55,52,51,52,101,45,48,54,32,54,46,48,53,53,49,
      49,101,45,48,54,32,53,46,50,53,55,53,57,101,45,48,54,32,52,46,53,54,53,53,57,
      101,45,48,54,32,51,46,57,54,53,48,56,101,45,48,54,10,32,32,51,46,52,52,51,57,
      101,45,48,54,32,50,46,57,57,49,53,49,101,45,48,54,32,50,46,53,57,56,50,57,101,
      45,48,54,32,50,46,50,53,54,57,101,45,48,54,32,49,46,57,54,48,53,52,101,45,48,
      54,32,49,46,55,48,51,50,53,101,45,48,54,32,49,46,52,55,57,56,53,101,45,48,54,
      10,32,32,49,46,50,56,53,56,54,101,45,48,54,32,49,46,49,49,55,51,57,101,45,48,
      54,32,57,46,55,49,48,55,55,101,45,48,55,32,56,46,52,51,57,56,53,101,45,48,55,
      32,55,46,51,51,53,56,101,45,48,55,32,54,46,51,55,54,54,53,101,45,48,55,32,53,
      46,53,52,51,51,49,101,45,48,55,10,32,32,52,46,56,49,57,50,52,101,45,48,55,32,
      52,46,49,56,57,50,55,101,45,48,55,32,51,46,54,52,51,50,51,101,45,48,55,32,51,
      46,49,54,55,57,57,101,45,48,55,32,50,46,55,53,52,57,50,101,45,48,55,32,50,46,
      51,57,53,56,54,101,45,48,55,32,50,46,48,56,51,55,51,101,45,48,55,10,32,32,49,
      46,56,49,50,51,55,101,45,48,55,32,49,46,53,55,54,52,53,101,45,48,55,32,49,46,
      51,55,49,51,50,101,45,48,55,32,49,46,49,57,50,57,53,101,45,48,55,32,49,46,48,
      51,55,56,52,101,45,48,55,32,57,46,48,50,57,52,55,101,45,48,56,32,55,46,56,53,
      54,50,56,101,45,48,56,10,32,32,54,46,56,51,53,56,57,101,45,48,56,32,53,46,57,
      52,56,51,51,101,45,48,56,32,53,46,49,55,54,50,57,101,45,48,56,32,51,46,57,50,
      48,51,55,101,45,48,56,32,50,46,57,54,57,55,101,45,48,56,32,50,46,50,53,48,48,
      51,101,45,48,56,32,49,46,55,48,53,48,55,101,45,48,56,10,32,32,49,46,50,57,50,
      51,51,101,45,48,56,32,57,46,55,57,54,53,57,101,45,48,57,32,55,46,52,50,55,53,
      56,101,45,48,57,32,53,46,54,51,50,51,53,101,45,48,57,32,52,46,50,55,49,54,54,
      101,45,48,57,32,51,46,50,52,48,49,54,101,45,48,57,32,50,46,52,53,56,49,101,
      45,48,57,10,32,32,49,46,56,54,53,48,53,101,45,48,57,32,49,46,52,49,53,50,55,
      101,45,48,57,32,49,46,48,55,52,49,101,45,48,57,32,56,46,49,53,50,56,49,101,
      45,49,48,32,54,46,49,56,57,48,49,101,45,49,48,32,52,46,54,57,56,55,57,101,45,
      49,48,32,51,46,53,54,55,56,49,101,45,49,48,10,32,32,50,46,55,48,57,51,54,101,
      45,49,48,32,50,46,48,53,55,54,56,101,45,49,48,32,49,46,53,54,50,57,50,101,45,
      49,48,32,49,46,49,56,55,50,53,101,45,49,48,32,57,46,48,49,57,53,56,101,45,49,
      49,32,54,46,56,53,50,57,101,45,49,49,32,53,46,50,48,55,50,49,101,45,49,49,10,
      32,32,51,46,57,53,55,48,55,101,45,49,49,32,51,46,48,48,55,51,51,101,45,49,49,
      32,50,46,50,56,53,55,52,101,45,49,49,32,49,46,55,51,55,52,57,101,45,49,49,32,
      52,46,56,57,49,55,53,101,45,49,48,32,49,46,57,54,49,53,50,101,45,48,57,32,52,
      46,52,49,55,49,50,101,45,48,57,10,32,32,52,46,56,57,49,57,52,101,45,48,57,32,
      49,46,57,54,49,55,57,101,45,48,56,32,52,46,52,49,56,51,52,101,45,48,56,32,55,
      46,56,53,52,55,57,101,45,48,56,32,49,46,50,50,55,50,51,101,45,48,55,32,49,46,
      55,54,56,49,57,101,45,48,55,32,50,46,52,48,55,48,55,101,45,48,55,10,32,32,51,
      46,49,52,53,53,52,101,45,48,55,32,51,46,57,56,50,56,54,101,45,48,55,32,52,46,
      57,49,57,50,57,101,45,48,55,32,53,46,57,53,53,54,53,101,45,48,55,32,55,46,48,
      57,50,50,55,101,45,48,55,32,56,46,51,50,57,48,54,101,45,48,55,32,57,46,54,54,
      54,55,50,101,45,48,55,10,32,32,49,46,49,49,48,53,55,101,45,48,54,32,49,46,50,
      54,52,53,56,101,45,48,54,32,49,46,52,50,56,56,49,101,45,48,54,32,49,46,54,48,
      51,50,53,101,45,48,54,32,49,46,55,56,55,57,49,101,45,48,54,32,49,46,57,56,50,
      56,51,101,45,48,54,32,50,46,49,56,56,49,51,101,45,48,54,10,32,32,50,46,52,48,
      51,56,50,101,45,48,54,32,50,46,54,50,57,56,50,101,45,48,54,32,50,46,56,54,54,
      49,51,101,45,48,54,32,51,46,49,49,50,57,55,101,45,48,54,32,51,46,51,55,48,50,
      57,101,45,48,54,32,51,46,54,51,56,49,101,45,48,54,32,51,46,57,49,54,49,49,101,
      45,48,54,10,32,32,52,46,50,48,52,54,55,101,45,48,54,32,52,46,53,48,51,55,57,
      101,45,48,54,32,52,46,56,49,51,53,51,101,45,48,54,32,53,46,49,51,51,53,51,101,
      45,48,54,32,53,46,52,54,51,56,57,101,45,48,54,32,53,46,56,48,52,55,57,101,45,
      48,54,32,54,46,49,53,54,51,53,101,45,48,54,10,32,32,54,46,53,49,56,53,54,101,
      45,48,54,32,54,46,56,57,48,53,54,101,45,48,54,32,55,46,50,55,51,50,49,101,45,
      48,54,32,55,46,54,54,54,53,50,101,45,48,54,32,56,46,48,55,48,52,57,101,45,48,
      54,32,56,46,52,56,52,53,49,101,45,48,54,32,56,46,57,48,56,56,49,101,45,48,54,
      10,32,32,57,46,51,52,51,55,53,101,45,48,54,32,57,46,55,56,57,51,50,101,45,48,
      54,32,49,46,48,50,52,53,54,101,45,48,53,32,49,46,48,55,49,49,54,101,45,48,53,
      32,49,46,49,49,56,56,50,101,45,48,53,32,49,46,49,54,55,53,54,101,45,48,53,32,
      49,46,50,49,55,51,53,101,45,48,53,10,32,32,49,46,50,54,56,49,57,101,45,48,53,
      32,49,46,51,50,48,48,56,101,45,48,53,32,49,46,51,55,51,48,51,101,45,48,53,32,
      49,46,52,50,55,48,52,101,45,48,53,32,49,46,52,56,50,49,51,101,45,48,53,32,49,
      46,53,51,56,50,56,101,45,48,53,32,49,46,53,57,53,53,101,45,48,53,10,32,32,49,
      46,54,53,51,56,50,101,45,48,53,32,49,46,55,49,51,50,50,101,45,48,53,32,49,46,
      55,55,51,55,49,101,45,48,53,32,49,46,56,51,53,51,49,101,45,48,53,32,49,46,56,
      57,56,101,45,48,53,32,49,46,57,54,49,55,54,101,45,48,53,32,50,46,48,50,54,54,
      52,101,45,48,53,10,32,32,50,46,48,57,50,55,49,101,45,48,53,32,50,46,49,53,57,
      56,55,101,45,48,53,32,50,46,50,50,56,49,51,101,45,48,53,32,50,46,50,57,55,52,
      57,101,45,48,53,32,50,46,51,55,56,48,55,101,45,48,53,32,50,46,52,53,52,50,101,
      45,48,53,32,50,46,53,50,55,52,51,101,45,48,53,10,32,32,50,46,54,48,49,55,53,
      101,45,48,53,32,50,46,54,55,55,50,52,101,45,48,53,32,50,46,55,53,52,48,49,101,
      45,48,53,32,50,46,56,51,49,56,56,101,45,48,53,32,50,46,57,49,48,57,101,45,48,
      53,32,50,46,57,57,49,48,55,101,45,48,53,32,51,46,48,55,50,52,54,101,45,48,53,
      10,32,32,51,46,49,53,53,48,51,101,45,48,53,32,51,46,50,51,56,55,56,101,45,48,
      53,32,51,46,51,50,51,54,56,101,45,48,53,32,51,46,52,48,57,55,49,101,45,48,53,
      32,51,46,52,57,54,56,56,101,45,48,53,32,51,46,53,56,53,50,54,101,45,48,53,32,
      51,46,54,55,52,56,49,101,45,48,53,10,32,32,51,46,55,54,53,52,56,101,45,48,53,
      32,51,46,56,53,55,49,51,101,45,48,53,32,51,46,57,52,57,56,54,101,45,48,53,32,
      52,46,48,52,51,56,53,101,45,48,53,32,52,46,49,51,56,57,54,101,45,48,53,32,52,
      46,50,51,53,49,51,101,45,48,53,32,52,46,51,51,49,56,101,45,48,53,10,32,32,52,
      46,52,50,57,54,49,101,45,48,53,32,52,46,53,50,56,53,51,101,45,48,53,32,52,46,
      54,50,56,53,55,101,45,48,53,32,52,46,55,50,56,57,54,101,45,48,53,32,52,46,56,
      50,57,57,56,101,45,48,53,32,52,46,57,51,50,49,50,101,45,48,53,32,53,46,48,51,
      53,51,55,101,45,48,53,10,32,32,53,46,49,51,57,52,57,101,45,48,53,32,53,46,50,
      52,51,48,54,101,45,48,53,32,53,46,51,52,55,55,54,101,45,48,53,32,53,46,52,53,
      51,53,54,101,45,48,53,32,53,46,53,54,48,52,55,101,45,48,53,32,53,46,54,54,54,
      56,57,101,45,48,53,32,53,46,55,55,51,53,50,101,45,48,53,10,32,32,53,46,56,56,
      49,50,57,101,45,48,53,32,53,46,57,57,48,49,56,101,45,48,53,32,54,46,48,57,57,
      55,55,101,45,48,53,32,54,46,50,48,55,57,49,101,45,48,53,32,54,46,51,49,55,50,
      50,101,45,48,53,32,54,46,52,50,55,55,52,101,45,48,53,32,54,46,53,51,57,55,49,
      101,45,48,53,10,32,32,54,46,54,53,48,56,101,45,48,53,32,54,46,55,54,50,48,49,
      101,45,48,53,32,54,46,56,55,52,54,51,101,45,48,53,32,54,46,57,56,56,53,56,101,
      45,48,53,32,55,46,49,48,51,50,54,101,45,48,53,32,55,46,50,49,54,55,52,101,45,
      48,53,32,55,46,51,51,49,54,55,101,45,48,53,10,32,32,55,46,52,52,55,57,52,101,
      45,48,53,32,55,46,53,54,53,55,101,45,48,53,32,55,46,54,56,50,56,51,101,45,48,
      53,32,55,46,56,48,48,53,57,101,45,48,53,32,55,46,56,57,52,53,54,101,45,48,53,
      32,55,46,57,57,50,55,101,45,48,53,32,56,46,49,49,51,51,52,101,45,48,53,10,32,
      32,56,46,50,51,51,51,54,101,45,48,53,32,56,46,51,53,53,48,49,101,45,48,53,32,
      56,46,52,55,56,49,101,45,48,53,32,56,46,54,48,50,52,54,101,45,48,53,32,56,46,
      55,50,55,50,52,101,45,48,53,32,56,46,56,53,50,56,52,101,45,48,53,32,56,46,57,
      56,48,49,50,101,45,48,53,10,32,32,57,46,49,48,56,53,53,101,45,48,53,32,57,46,
      50,51,56,50,52,101,45,48,53,32,57,46,51,54,56,50,57,101,45,48,53,32,57,46,52,
      57,57,55,49,101,45,48,53,32,57,46,54,51,50,53,52,101,45,48,53,32,57,46,55,54,
      54,54,49,101,45,48,53,32,57,46,57,48,49,53,51,101,45,48,53,10,32,32,46,48,48,
      48,49,48,48,51,55,53,32,46,48,48,48,49,48,49,55,52,55,32,46,48,48,48,49,48,
      51,49,51,51,32,46,48,48,48,49,48,52,53,51,32,46,48,48,48,49,48,53,57,51,55,
      32,46,48,48,48,49,48,55,51,53,54,32,46,48,48,48,49,48,56,55,56,54,32,46,48,
      48,48,49,49,48,50,50,56,10,32,32,46,48,48,48,49,49,49,54,56,51,32,46,48,48,
      48,49,49,51,49,53,32,46,48,48,48,49,49,52,54,50,55,32,46,48,48,48,49,49,54,
      49,49,53,32,46,48,48,48,49,49,55,54,49,54,32,46,48,48,48,49,49,57,49,51,32,
      46,48,48,48,49,50,48,54,53,54,32,46,48,48,48,49,50,50,55,48,52,10,32,32,46,
      48,48,48,49,50,55,53,53,50,32,46,48,48,48,49,51,52,56,54,32,46,48,48,48,49,
      52,55,49,53,49,32,46,48,48,48,49,53,57,54,49,54,32,46,48,48,48,49,55,50,50,
      56,50,32,46,48,48,48,49,56,53,50,49,50,32,46,48,48,48,49,57,56,52,51,50,32,
      46,48,48,48,50,49,49,57,54,50,10,32,32,46,48,48,48,50,50,55,48,53,51,32,46,
      48,48,48,50,52,48,57,56,53,32,46,48,48,48,50,53,52,57,51,55,32,46,48,48,48,
      50,54,56,57,49,51,32,46,48,48,48,50,56,50,57,51,50,32,46,48,48,48,50,57,57,
      57,49,49,32,46,48,48,48,51,49,55,51,48,57,32,46,48,48,48,51,52,49,54,53,57,
      10,32,32,46,48,48,48,51,54,56,51,50,53,32,46,48,48,48,51,57,56,54,48,52,32,
      46,48,48,48,52,52,52,51,53,57,32,46,48,48,48,53,48,51,48,48,52,32,46,48,48,
      48,53,55,55,52,53,53,32,46,48,48,48,54,55,56,57,51,52,32,46,48,48,48,55,54,
      55,53,52,56,32,46,48,48,48,56,51,54,49,56,55,10,32,32,46,48,48,48,56,55,49,
      48,56,53,32,46,48,48,48,57,48,49,50,56,51,32,46,48,48,48,57,52,50,56,49,56,
      32,46,48,48,49,48,48,48,51,32,46,48,48,49,48,55,56,57,52,32,46,48,48,49,49,
      56,55,54,56,32,46,48,48,49,51,52,51,49,52,32,46,48,48,49,53,57,57,55,52,10,
      32,32,46,48,48,49,57,55,54,32,46,48,48,50,53,53,56,56,51,32,46,48,48,51,51,
      48,54,54,55,32,46,48,48,51,54,50,54,54,49,32,46,48,48,51,53,57,55,49,56,32,
      46,48,48,51,52,57,54,56,54,32,46,48,48,51,52,53,56,55,53,32,46,48,48,51,53,
      52,48,52,32,46,48,48,51,55,51,55,52,57,10,32,32,46,48,48,52,48,54,57,56,32,
      46,48,48,52,53,49,53,53,55,32,46,48,48,53,49,50,56,49,50,32,46,48,48,54,48,
      52,53,57,56,32,46,48,48,55,52,57,52,52,32,46,48,48,57,48,49,57,49,56,32,46,
      48,49,48,55,49,54,55,32,46,48,49,50,51,53,49,53,32,46,48,49,52,51,57,51,52,
      10,32,32,46,48,49,55,52,52,57,51,32,46,48,50,48,49,50,54,49,32,46,48,50,50,
      50,50,52,56,32,46,48,50,51,55,56,52,56,32,46,48,50,54,48,48,52,56,32,46,48,
      50,56,50,55,52,56,32,46,48,51,48,53,48,50,55,32,46,48,51,50,52,52,48,54,32,
      46,48,51,52,51,51,50,57,10,32,32,46,48,51,54,51,54,51,57,32,46,48,51,56,57,
      50,56,53,32,46,48,52,49,51,55,56,53,32,46,48,52,51,48,49,56,49,32,46,48,52,
      53,52,57,50,53,32,46,48,52,54,57,51,50,50,32,46,48,52,55,50,51,55,50,32,46,
      48,52,54,54,51,54,56,32,46,48,52,54,49,57,56,53,10,32,32,46,48,52,54,57,50,
      49,53,32,46,48,52,56,53,54,54,55,32,46,48,53,48,52,51,49,52,32,46,48,53,50,
      50,51,48,55,32,46,48,53,52,49,56,55,55,32,46,48,53,53,53,56,52,32,46,48,53,
      54,56,49,48,57,32,46,48,53,56,48,56,48,49,32,46,48,53,56,49,57,49,50,10,32,
      32,46,48,53,55,49,54,55,51,32,46,48,53,52,56,50,54,56,32,46,48,53,51,48,52,
      56,53,32,46,48,53,49,49,54,48,55,32,46,48,52,56,49,56,54,50,32,46,48,52,53,
      49,53,48,51,32,46,48,52,51,55,49,48,54,32,46,48,52,50,48,52,54,32,46,48,52,
      49,52,53,57,49,10,32,32,46,48,52,49,50,50,53,49,32,46,48,52,53,54,50,51,57,
      32,46,48,52,52,53,51,53,49,32,46,48,52,52,48,56,49,49,32,46,48,52,51,50,48,
      52,32,46,48,52,50,50,51,50,51,32,46,48,52,49,52,50,51,49,32,46,48,52,48,54,
      49,54,53,32,46,48,51,57,56,54,53,53,10,32,32,46,48,51,57,49,51,48,52,32,46,
      48,51,56,51,50,50,50,32,46,48,51,55,54,49,49,32,46,48,51,54,56,51,53,32,46,
      48,51,54,50,55,32,46,48,51,53,51,54,48,50,32,46,48,51,52,56,48,57,54,32,46,
      48,51,52,49,51,51,52,32,46,48,51,50,53,57,54,32,46,48,51,48,53,54,54,56,10,
      32,32,46,48,50,56,54,56,56,51,32,46,48,50,54,52,56,48,57,32,46,48,50,52,52,
      50,55,52,32,46,48,50,50,49,53,57,51,32,46,48,50,48,52,50,50,55,32,46,48,49,
      55,56,55,54,55,32,46,48,49,53,49,50,57,32,46,48,49,51,56,57,53,52,32,46,48,
      49,50,54,51,56,56,10,32,32,46,48,49,49,49,52,51,49,32,46,48,48,57,57,56,50,
      49,49,32,46,48,48,56,57,52,53,49,49,32,46,48,48,55,56,57,53,48,50,32,46,48,
      48,54,57,55,49,56,49,32,46,48,48,54,50,53,53,52,57,32,46,48,48,53,54,49,52,
      56,51,32,46,48,48,53,48,52,49,52,32,46,48,48,52,52,53,56,55,10,32,32,46,48,
      48,51,56,56,53,50,50,32,46,48,48,51,51,51,54,49,57,32,46,48,48,50,57,49,48,
      50,51,32,46,48,48,50,53,48,49,55,55,32,46,48,48,50,49,56,52,52,53,32,46,48,
      48,49,57,48,56,49,55,32,46,48,48,49,54,52,50,55,55,32,46,48,48,49,51,57,57,
      52,56,10,32,32,46,48,48,49,50,51,54,55,57,32,46,48,48,49,48,55,50,52,49,32,
      46,48,48,48,57,52,54,51,54,32,46,48,48,48,56,50,56,50,51,32,46,48,48,48,55,
      50,53,48,55,32,46,48,48,48,54,51,52,57,51,55,32,46,48,48,48,53,53,54,49,54,
      55,32,46,48,48,48,52,56,55,50,57,57,10,32,32,46,48,48,48,52,50,55,48,54,55,
      32,46,48,48,48,51,55,52,51,55,32,46,48,48,48,51,50,56,50,53,53,32,46,48,48,
      48,50,56,55,56,56,54,32,46,48,48,48,50,53,50,53,51,55,32,46,48,48,48,50,50,
      49,53,54,55,32,46,48,48,48,49,57,52,52,51,57,32,46,48,48,48,49,55,48,54,53,
      57,10,32,32,46,48,48,48,49,52,57,56,48,49,32,46,48,48,48,49,51,49,53,49,54,
      32,46,48,48,48,49,49,53,52,56,55,32,46,48,48,48,49,48,49,52,50,53,32,56,46,
      57,48,56,54,56,101,45,48,53,32,55,46,56,50,54,53,101,45,48,53,32,54,46,56,55,
      54,56,49,101,45,48,53,32,54,46,48,52,51,50,53,101,45,48,53,10,32,32,53,46,51,
      49,49,52,57,101,45,48,53,32,52,46,54,54,56,57,57,101,45,48,53,32,52,46,49,48,
      53,48,49,101,45,48,53,32,51,46,54,48,57,52,52,101,45,48,53,32,51,46,49,55,52,
      48,55,101,45,48,53,32,50,46,55,57,49,53,55,101,45,48,53,32,50,46,52,53,53,52,
      52,101,45,48,53,10,32,32,50,46,49,54,48,48,53,101,45,48,53,32,49,46,57,48,48,
      52,101,45,48,53,32,49,46,54,55,50,48,51,101,45,48,53,32,49,46,52,55,49,51,54,
      101,45,48,53,32,49,46,51,51,50,49,56,101,45,48,53,32,49,46,50,48,54,50,52,101,
      45,48,53,32,49,46,48,57,50,50,55,101,45,48,53,10,32,32,57,46,56,57,49,51,50,
      101,45,48,54,32,56,46,57,53,56,54,52,101,45,48,54,32,56,46,48,49,49,48,56,101,
      45,48,54,32,54,46,57,53,52,53,57,101,45,48,54,32,54,46,48,51,56,48,56,101,45,
      48,54,32,53,46,50,52,50,57,50,101,45,48,54,32,52,46,53,53,50,57,54,101,45,48,
      54,10,32,32,51,46,57,53,52,49,56,101,45,48,54,32,51,46,52,51,52,52,56,101,45,
      48,54,32,50,46,57,56,51,51,56,101,45,48,54,32,50,46,53,57,49,55,54,101,45,48,
      54,32,50,46,50,53,49,55,54,101,45,48,54,32,49,46,57,53,54,53,51,101,45,48,54,
      32,49,46,54,57,57,56,50,101,45,48,54,10,32,32,49,46,52,55,54,57,101,45,48,54,
      32,49,46,50,56,51,51,50,101,45,48,54,32,49,46,49,49,53,50,101,45,48,54,32,57,
      46,54,57,49,55,54,101,45,48,55,32,56,46,52,50,51,52,50,101,45,48,55,32,55,46,
      51,50,49,54,49,101,45,48,55,32,54,46,51,54,52,52,101,45,48,55,10,32,32,53,46,
      53,51,50,55,52,101,45,48,55,32,52,46,56,49,48,49,49,101,45,48,55,32,52,46,49,
      56,49,51,57,101,45,48,55,32,51,46,54,51,54,52,49,101,45,48,55,32,51,46,49,54,
      50,48,57,101,45,48,55,32,50,46,55,52,57,56,49,101,45,48,55,32,50,46,51,57,49,
      52,52,101,45,48,55,10,32,32,50,46,48,55,57,57,49,101,45,48,55,32,49,46,56,48,
      57,48,55,101,45,48,55,32,49,46,53,55,51,53,57,101,45,48,55,32,49,46,51,54,56,
      56,53,101,45,48,55,32,49,46,49,57,48,56,49,101,45,48,55,32,49,46,48,51,53,57,
      57,101,45,48,55,32,57,46,48,49,51,52,50,101,45,48,56,10,32,32,55,46,56,52,50,
      51,56,101,45,48,56,32,54,46,56,50,51,56,52,101,45,48,56,32,53,46,57,51,55,56,
      57,101,45,48,56,32,53,46,49,54,55,50,52,101,45,48,56,32,51,46,57,49,51,54,101,
      45,48,56,32,50,46,57,54,52,54,50,101,45,48,56,32,50,46,50,52,54,50,50,101,45,
      48,56,10,32,32,49,46,55,48,50,50,101,45,48,56,32,49,46,50,57,48,49,54,101,45,
      48,56,32,57,46,55,56,48,51,50,101,45,48,57,32,55,46,52,49,53,51,53,101,45,48,
      57,32,53,46,54,50,51,49,51,101,45,48,57,32,52,46,50,54,52,55,50,101,45,48,57,
      32,51,46,50,51,52,57,52,101,45,48,57,10,32,32,50,46,52,53,52,49,54,101,45,48,
      57,32,49,46,56,54,50,48,56,101,45,48,57,32,49,46,52,49,51,48,51,101,45,48,57,
      32,49,46,48,55,50,52,50,101,45,48,57,32,56,46,49,52,48,48,54,101,45,49,48,32,
      54,46,49,55,57,51,56,101,45,49,48,32,52,46,54,57,49,53,51,101,45,49,48,10,32,
      32,51,46,53,54,50,51,50,101,45,49,48,32,50,46,55,48,53,50,49,101,45,49,48,32,
      50,46,48,53,52,53,53,101,45,49,48,32,49,46,53,54,48,53,53,101,45,49,48,32,49,
      46,49,56,53,52,53,101,45,49,48,32,57,46,48,48,53,57,57,101,45,49,49,32,54,46,
      56,52,50,54,101,45,49,49,10,32,32,53,46,49,57,57,52,101,45,49,49,32,51,46,57,
      53,49,49,55,101,45,49,49,32,51,46,48,48,50,56,54,101,45,49,49,32,50,46,50,56,
      50,51,53,101,45,49,49,32,49,46,55,51,52,57,50,101,45,49,49,32,52,46,51,57,48,
      51,54,101,45,49,48,32,49,46,55,54,48,52,56,101,45,48,57,10,32,32,51,46,57,54,
      52,52,52,101,45,48,57,32,52,46,51,57,48,54,101,45,48,57,32,49,46,55,54,48,56,
      51,101,45,48,56,32,51,46,57,54,54,48,51,101,45,48,56,32,55,46,48,53,49,51,54,
      101,45,48,56,32,49,46,49,48,49,56,51,101,45,48,55,32,49,46,53,56,55,55,50,101,
      45,48,55,10,32,32,50,46,49,54,49,55,101,45,48,55,32,50,46,56,50,53,51,52,101,
      45,48,55,32,51,46,53,55,56,48,52,101,45,48,55,32,52,46,52,50,48,48,55,101,45,
      48,55,32,53,46,51,53,50,50,51,101,45,48,55,32,54,46,51,55,52,57,101,45,48,55,
      32,55,46,52,56,56,48,56,101,45,48,55,10,32,32,56,46,54,57,50,52,50,101,45,48,
      55,32,57,46,57,56,56,51,54,101,45,48,55,32,49,46,49,51,55,54,101,45,48,54,32,
      49,46,50,56,53,54,101,45,48,54,32,49,46,52,52,50,56,54,101,45,48,54,32,49,46,
      54,48,57,51,55,101,45,48,54,32,49,46,55,56,53,49,57,101,45,48,54,10,32,32,49,
      46,57,55,48,52,50,101,45,48,54,32,50,46,49,54,53,48,57,101,45,48,54,32,50,46,
      51,54,57,49,101,45,48,54,32,50,46,53,56,50,52,53,101,45,48,54,32,50,46,56,48,
      53,51,54,101,45,48,54,32,51,46,48,51,55,55,57,101,45,48,54,32,51,46,50,55,57,
      55,52,101,45,48,54,10,32,32,51,46,53,51,48,57,101,45,48,54,32,51,46,55,57,49,
      54,52,101,45,48,54,32,52,46,48,54,49,57,53,101,45,48,54,32,52,46,51,52,49,57,
      49,101,45,48,54,32,52,46,54,51,49,49,52,101,45,48,54,32,52,46,57,50,57,55,51,
      101,45,48,54,32,53,46,50,51,55,56,56,101,45,48,54,10,32,32,53,46,53,53,53,54,
      56,101,45,48,54,32,53,46,56,56,51,49,52,101,45,48,54,32,54,46,50,49,57,51,57,
      101,45,48,54,32,54,46,53,54,53,50,56,101,45,48,54,32,54,46,57,50,48,56,52,101,
      45,48,54,32,55,46,50,56,54,48,54,101,45,48,54,32,55,46,54,54,48,51,52,101,45,
      48,54,10,32,32,56,46,48,52,51,56,56,101,45,48,54,32,56,46,52,51,55,48,57,101,
      45,48,54,32,56,46,56,51,57,57,50,101,45,48,54,32,57,46,50,53,50,52,51,101,45,
      48,54,32,57,46,54,55,51,55,49,101,45,48,54,32,49,46,48,49,48,52,54,101,45,48,
      53,32,49,46,48,53,52,53,50,101,45,48,53,10,32,32,49,46,48,57,57,53,53,101,45,
      48,53,32,49,46,49,52,53,53,49,101,45,48,53,32,49,46,49,57,50,52,50,101,45,48,
      53,32,49,46,50,52,48,50,57,101,45,48,53,32,49,46,50,56,57,49,51,101,45,48,53,
      32,49,46,51,51,56,57,53,101,45,48,53,32,49,46,51,56,57,55,51,101,45,48,53,10,
      32,32,49,46,52,52,49,52,55,101,45,48,53,32,49,46,52,57,52,50,101,45,48,53,32,
      49,46,53,52,55,57,50,101,45,48,53,32,49,46,54,48,50,54,51,101,45,48,53,32,49,
      46,54,53,56,51,53,101,45,48,53,32,49,46,55,49,53,48,52,101,45,48,53,32,49,46,
      55,55,50,55,51,101,45,48,53,10,32,32,49,46,56,51,49,52,50,101,45,48,53,32,49,
      46,56,57,49,50,101,45,48,53,32,49,46,57,53,49,57,55,101,45,48,53,32,50,46,48,
      49,51,55,53,101,45,48,53,32,50,46,48,55,54,53,50,101,45,48,53,32,50,46,49,52,
      48,51,57,101,45,48,53,32,50,46,50,48,53,51,50,101,45,48,53,10,32,32,50,46,50,
      55,49,51,49,101,45,48,53,32,50,46,51,51,56,50,55,101,45,48,53,32,50,46,52,48,
      54,50,57,101,45,48,53,32,50,46,52,55,53,53,101,45,48,53,32,50,46,53,53,53,53,
      52,101,45,48,53,32,50,46,54,51,48,55,49,101,45,48,53,32,50,46,55,48,51,51,49,
      101,45,48,53,10,32,32,50,46,55,55,55,48,51,101,45,48,53,32,50,46,56,53,49,56,
      51,101,45,48,53,32,50,46,57,50,55,55,49,101,45,48,53,32,51,46,48,48,52,54,53,
      101,45,48,53,32,51,46,48,56,50,54,101,45,48,53,32,51,46,49,54,49,53,56,101,
      45,48,53,32,51,46,50,52,49,54,56,101,45,48,53,10,32,32,51,46,51,50,50,56,50,
      101,45,48,53,32,51,46,52,48,52,57,57,101,45,48,53,32,51,46,52,56,56,48,53,101,
      45,48,53,32,51,46,53,55,50,48,55,101,45,48,53,32,51,46,54,53,55,50,51,101,45,
      48,53,32,51,46,55,52,51,52,50,101,45,48,53,32,51,46,56,51,48,53,54,101,45,48,
      53,10,32,32,51,46,57,49,56,49,50,101,45,48,53,32,52,46,48,48,54,55,49,101,45,
      48,53,32,52,46,48,57,54,51,50,101,45,48,53,32,52,46,49,56,54,57,53,101,45,48,
      53,32,52,46,50,55,55,56,52,101,45,48,53,32,52,46,51,54,57,50,56,101,45,48,53,
      32,52,46,52,54,49,55,52,101,45,48,53,10,32,32,52,46,53,53,53,50,49,101,45,48,
      53,32,52,46,54,52,57,52,53,101,45,48,53,32,52,46,55,52,51,49,101,45,48,53,32,
      52,46,56,51,55,55,55,101,45,48,53,32,52,46,57,51,51,52,52,101,45,48,53,32,53,
      46,48,51,48,49,50,101,45,48,53,32,53,46,49,50,54,50,54,101,45,48,53,10,32,32,
      53,46,50,50,50,53,52,101,45,48,53,32,53,46,51,49,57,56,54,101,45,48,53,32,53,
      46,52,49,56,50,101,45,48,53,32,53,46,53,49,55,49,52,101,45,48,53,32,53,46,54,
      49,52,54,51,101,45,48,53,32,53,46,55,49,51,49,56,101,45,48,53,32,53,46,56,49,
      50,56,52,101,45,48,53,10,32,32,53,46,57,49,51,55,56,101,45,48,53,32,54,46,48,
      49,51,56,49,101,45,48,53,32,54,46,49,49,51,56,56,101,45,48,53,32,54,46,50,49,
      53,50,51,101,45,48,53,32,54,46,51,49,55,55,57,101,45,48,53,32,54,46,52,50,48,
      57,57,101,45,48,53,32,54,46,53,50,50,57,49,101,45,48,53,10,32,32,54,46,54,50,
      54,50,101,45,48,53,32,54,46,55,50,57,51,57,101,45,48,53,32,54,46,56,48,48,53,
      49,101,45,48,53,32,54,46,57,48,52,56,57,101,45,48,53,32,55,46,48,48,57,55,55,
      101,45,48,53,32,55,46,49,49,54,49,101,45,48,53,32,55,46,50,50,51,55,101,45,
      48,53,10,32,32,55,46,51,51,50,50,49,101,45,48,53,32,55,46,52,52,48,49,101,45,
      48,53,32,55,46,53,52,57,53,50,101,45,48,53,32,55,46,54,54,48,50,57,101,45,48,
      53,32,55,46,55,55,50,50,50,101,45,48,53,32,55,46,56,56,52,52,53,101,45,48,53,
      32,55,46,57,57,55,52,101,45,48,53,10,32,32,56,46,49,49,49,56,54,101,45,48,53,
      32,56,46,50,50,55,52,101,45,48,53,32,56,46,51,52,52,48,53,101,45,48,53,32,56,
      46,52,54,48,57,55,101,45,48,53,32,56,46,53,55,57,49,51,101,45,48,53,32,56,46,
      54,57,56,53,56,101,45,48,53,32,56,46,56,49,57,49,56,101,45,48,53,10,32,32,56,
      46,57,52,48,52,55,101,45,48,53,32,57,46,48,54,50,55,56,101,45,48,53,32,57,46,
      49,56,54,49,55,101,45,48,53,32,57,46,51,49,48,55,54,101,45,48,53,32,57,46,52,
      51,54,52,50,101,45,48,53,32,57,46,53,54,50,57,53,101,45,48,53,32,57,46,54,57,
      48,53,52,101,45,48,53,10,32,32,57,46,56,49,57,49,57,101,45,48,53,32,57,46,57,
      52,56,57,53,101,45,48,53,32,46,48,48,48,49,48,48,55,57,56,32,46,48,48,48,49,
      48,50,49,49,56,32,46,48,48,48,49,48,51,52,52,55,32,46,48,48,48,49,48,52,55,
      56,54,32,46,48,48,48,49,48,54,49,51,55,32,46,48,48,48,49,48,55,53,10,32,32,
      46,48,48,48,49,48,56,56,55,52,32,46,48,48,48,49,49,48,55,49,56,32,46,48,48,
      48,49,49,53,48,56,53,32,46,48,48,48,49,50,49,54,55,51,32,46,48,48,48,49,51,
      50,55,54,54,32,46,48,48,48,49,52,52,48,51,55,32,46,48,48,48,49,53,53,53,48,
      56,32,46,48,48,48,49,54,55,50,51,55,10,32,32,46,48,48,48,49,55,57,50,52,49,
      32,46,48,48,48,49,57,49,53,51,51,32,46,48,48,48,50,48,52,48,54,32,46,48,48,
      48,50,49,55,56,52,32,46,48,48,48,50,51,48,53,52,52,32,46,48,48,48,50,52,51,
      50,53,57,32,46,48,48,48,50,53,54,48,48,54,32,46,48,48,48,50,55,49,52,52,49,
      10,32,32,46,48,48,48,50,56,55,50,54,32,46,48,48,48,51,48,57,52,49,50,32,46,
      48,48,48,51,51,51,54,55,52,32,46,48,48,48,51,54,49,49,56,52,32,46,48,48,48,
      52,48,50,53,57,52,32,46,48,48,48,52,53,53,51,54,52,32,46,48,48,48,53,50,50,
      48,52,53,32,46,48,48,48,54,49,50,55,55,56,10,32,32,46,48,48,48,54,57,50,49,
      51,32,46,48,48,48,55,53,51,57,51,51,32,46,48,48,48,55,56,53,55,51,56,32,46,
      48,48,48,56,49,51,51,56,49,32,46,48,48,48,56,53,49,50,48,57,32,46,48,48,48,
      57,48,51,51,48,56,32,46,48,48,48,57,55,52,50,57,49,32,46,48,48,49,48,55,50,
      49,50,10,32,32,46,48,48,49,50,49,49,53,54,32,46,48,48,49,52,52,49,51,32,46,
      48,48,49,55,55,56,53,52,32,46,48,48,50,51,48,51,56,49,32,46,48,48,50,57,56,
      51,51,55,32,46,48,48,51,50,55,50,50,32,46,48,48,51,50,52,49,56,54,32,46,48,
      48,51,49,52,56,49,57,32,46,48,48,51,49,49,50,55,57,10,32,32,46,48,48,51,49,
      56,54,51,56,32,46,48,48,51,51,54,52,48,57,32,46,48,48,51,54,54,51,49,53,32,
      46,48,48,52,48,54,52,48,49,32,46,48,48,52,54,49,53,50,32,46,48,48,53,52,52,
      50,57,32,46,48,48,54,55,53,52,52,51,32,46,48,48,56,49,52,50,53,51,32,46,48,
      48,57,54,57,53,57,49,10,32,32,46,48,49,49,50,48,51,32,46,48,49,51,49,48,51,
      53,32,46,48,49,53,57,56,54,32,46,48,49,56,53,52,48,56,32,46,48,50,48,53,52,
      48,54,32,46,48,50,50,48,49,51,50,32,46,48,50,52,49,48,55,56,32,46,48,50,54,
      50,54,54,50,32,46,48,50,56,51,55,32,46,48,51,48,49,54,51,49,10,32,32,46,48,
      51,49,56,57,51,56,32,46,48,51,51,55,56,48,53,32,46,48,51,54,50,51,48,52,32,
      46,48,51,56,54,51,52,56,32,46,48,52,48,50,56,49,53,32,46,48,52,50,56,51,49,
      54,32,46,48,52,52,52,48,57,55,32,46,48,52,52,57,49,55,56,32,46,48,52,52,53,
      54,53,54,10,32,32,46,48,52,52,50,56,54,54,32,46,48,52,53,48,53,55,50,32,46,
      48,52,54,54,54,55,56,32,46,48,52,56,52,55,52,57,32,46,48,53,48,50,49,55,56,
      32,46,48,53,50,49,49,52,57,32,46,48,53,51,52,55,32,46,48,53,52,54,54,56,50,
      32,46,48,53,53,57,52,49,54,32,46,48,53,54,48,57,57,49,10,32,32,46,48,53,53,
      50,49,55,32,46,48,53,51,48,56,50,52,32,46,48,53,49,52,51,52,55,32,46,48,52,
      57,54,55,50,52,32,46,48,52,54,56,55,55,49,32,46,48,52,52,48,48,54,50,32,46,
      48,52,50,54,52,48,55,32,46,48,52,49,48,54,50,56,32,46,48,52,48,53,48,57,49,
      10,32,32,46,48,52,48,51,48,49,51,32,46,48,52,52,53,53,52,49,32,46,48,52,51,
      53,50,55,53,32,46,48,52,51,48,57,56,49,32,46,48,52,50,50,54,54,52,32,46,48,
      52,49,51,52,50,53,32,46,48,52,48,53,55,49,49,32,46,48,51,57,56,48,48,52,32,
      46,48,51,57,48,56,49,53,10,32,32,46,48,51,56,51,55,54,55,32,46,48,51,55,54,
      48,48,54,32,46,48,51,54,57,49,54,55,32,46,48,51,54,49,54,57,52,32,46,48,51,
      53,54,50,52,54,32,46,48,51,52,55,52,54,32,46,48,51,52,50,49,51,55,32,46,48,
      51,51,53,53,57,53,32,46,48,51,50,48,55,48,51,10,32,32,46,48,51,48,48,57,57,
      56,32,46,48,50,56,50,55,49,51,32,46,48,50,54,49,49,56,49,32,46,48,50,52,49,
      49,49,51,32,46,48,50,49,56,56,57,57,32,46,48,50,48,49,56,54,54,32,46,48,49,
      55,54,56,53,50,32,46,48,49,52,57,55,49,57,32,46,48,49,51,55,53,54,49,10,32,
      32,46,48,49,50,53,49,54,54,32,46,48,49,49,48,52,48,50,32,46,48,48,57,56,57,
      53,52,57,32,46,48,48,56,56,55,48,50,32,46,48,48,55,56,51,49,52,51,32,46,48,
      48,54,57,49,55,53,57,32,46,48,48,54,50,48,56,50,55,32,46,48,48,53,53,55,51,
      54,56,32,46,48,48,53,48,48,53,53,56,10,32,32,46,48,48,52,52,50,56,52,54,32,
      46,48,48,51,56,53,57,55,51,32,46,48,48,51,51,49,52,57,56,32,46,48,48,50,56,
      57,50,50,51,32,46,48,48,50,52,56,54,55,55,32,46,48,48,50,49,55,49,54,55,32,
      46,48,48,49,56,57,55,50,55,32,46,48,48,49,54,51,51,54,49,10,32,32,46,48,48,
      49,51,57,50,50,50,32,46,48,48,49,50,51,48,55,49,32,46,48,48,49,48,54,55,50,
      55,32,46,48,48,48,57,52,49,57,48,50,32,46,48,48,48,56,50,52,51,57,54,32,46,
      48,48,48,55,50,49,55,55,55,32,46,48,48,48,54,51,50,49,48,55,32,46,48,48,48,
      53,53,51,55,51,49,10,32,32,46,48,48,48,52,56,53,49,57,53,32,46,48,48,48,52,
      50,53,50,53,49,32,46,48,48,48,51,55,50,56,48,52,32,46,48,48,48,51,50,54,57,
      48,51,32,46,48,48,48,50,56,54,55,49,55,32,46,48,48,48,50,53,49,53,50,51,32,
      46,48,48,48,50,50,48,54,57,32,46,48,48,48,49,57,51,54,56,10,32,32,46,48,48,
      48,49,55,48,48,48,57,32,46,48,48,48,49,52,57,50,53,56,32,46,48,48,48,49,51,
      49,48,53,53,32,46,48,48,48,49,49,53,48,56,55,32,46,48,48,48,49,48,49,48,55,
      56,32,56,46,56,55,56,53,56,101,45,48,53,32,55,46,56,48,48,51,51,101,45,48,53,
      32,54,46,56,53,52,48,52,101,45,48,53,10,32,32,54,46,48,50,51,52,53,101,45,48,
      53,32,53,46,50,57,52,50,55,101,45,48,53,32,52,46,54,53,52,48,50,101,45,48,53,
      32,52,46,48,57,49,57,55,101,45,48,53,32,51,46,53,57,56,48,54,101,45,48,53,32,
      51,46,49,54,52,49,53,101,45,48,53,32,50,46,55,56,50,57,49,101,45,48,53,10,32,
      32,50,46,52,52,55,57,101,45,48,53,32,50,46,49,53,51,52,55,101,45,48,53,32,49,
      46,56,57,52,54,55,101,45,48,53,32,49,46,54,54,55,48,49,101,45,48,53,32,49,46,
      52,54,54,57,56,101,45,48,53,32,49,46,51,50,56,50,52,101,45,48,53,32,49,46,50,
      48,50,54,57,101,45,48,53,10,32,32,49,46,48,56,57,48,56,101,45,48,53,32,57,46,
      56,54,50,53,54,101,45,48,54,32,56,46,57,51,50,55,54,101,45,48,54,32,55,46,57,
      56,56,48,57,101,45,48,54,32,54,46,57,51,52,55,56,101,45,48,54,32,54,46,48,50,
      49,48,49,101,45,48,54,32,53,46,50,50,56,49,57,101,45,48,54,10,32,32,52,46,53,
      52,48,50,51,101,45,48,54,32,51,46,57,52,51,50,101,45,48,54,32,51,46,52,50,53,
      48,49,101,45,48,54,32,50,46,57,55,53,50,49,101,45,48,54,32,50,46,53,56,52,55,
      50,101,45,48,54,32,50,46,50,52,53,54,56,101,45,48,54,32,49,46,57,53,49,50,57,
      101,45,48,54,10,32,32,49,46,54,57,53,54,51,101,45,48,54,32,49,46,52,55,51,53,
      57,101,45,48,54,32,49,46,50,56,48,55,51,101,45,48,54,32,49,46,49,49,50,57,56,
      101,45,48,54,32,57,46,54,55,50,54,53,101,45,48,55,32,56,46,52,48,54,57,51,101,
      45,48,55,32,55,46,51,48,55,51,56,101,45,48,55,10,32,32,54,46,51,53,50,49,52,
      101,45,48,55,32,53,46,53,50,50,49,52,101,45,48,55,32,52,46,56,48,48,57,51,101,
      45,48,55,32,52,46,49,55,51,52,53,101,45,48,55,32,51,46,54,50,57,53,51,101,45,
      48,55,32,51,46,49,53,54,49,52,101,45,48,55,32,50,46,55,52,52,54,55,101,45,48,
      55,10,32,32,50,46,51,56,55,101,45,48,55,32,50,46,48,55,54,48,55,101,45,48,55,
      32,49,46,56,48,53,55,53,101,45,48,55,32,49,46,53,55,48,55,50,101,45,48,55,32,
      49,46,51,54,54,51,54,101,45,48,55,32,49,46,49,56,56,54,54,101,45,48,55,32,49,
      46,48,51,52,49,50,101,45,48,55,10,32,32,56,46,57,57,55,50,57,101,45,48,56,32,
      55,46,56,50,56,52,49,101,45,48,56,32,54,46,56,49,49,55,53,101,45,48,56,32,53,
      46,57,50,55,52,51,101,45,48,56,32,53,46,49,53,56,49,57,101,45,48,56,32,51,46,
      57,48,54,56,49,101,45,48,56,32,50,46,57,53,57,53,49,101,45,48,56,10,32,32,50,
      46,50,52,50,51,55,101,45,48,56,32,49,46,54,57,57,51,49,101,45,48,56,32,49,46,
      50,56,56,101,45,48,56,32,57,46,55,54,52,48,52,101,45,48,57,32,55,46,52,48,51,
      48,57,101,45,48,57,32,53,46,54,49,51,57,101,45,48,57,32,52,46,50,53,55,55,54,
      101,45,48,57,10,32,32,51,46,50,50,57,54,57,101,45,48,57,32,50,46,52,53,48,50,
      101,45,48,57,32,49,46,56,53,57,49,101,45,48,57,32,49,46,52,49,48,55,57,101,
      45,48,57,32,49,46,48,55,48,55,50,101,45,48,57,32,56,46,49,50,55,50,57,101,45,
      49,48,32,54,46,49,54,57,55,51,101,45,49,48,10,32,32,52,46,54,56,52,50,52,101,
      45,49,48,32,51,46,53,53,54,56,51,101,45,49,48,32,50,46,55,48,49,48,54,101,45,
      49,48,32,50,46,48,53,49,52,50,101,45,49,48,32,49,46,53,53,56,49,56,101,45,49,
      48,32,49,46,49,56,51,54,54,101,45,49,48,32,56,46,57,57,50,51,56,101,45,49,49,
      10,32,32,54,46,56,51,50,50,55,101,45,49,49,32,53,46,49,57,49,53,54,101,45,49,
      49,32,51,46,57,52,53,50,50,101,45,49,49,32,50,46,57,57,56,51,53,101,45,49,49,
      32,50,46,50,55,56,57,52,101,45,49,49,32,49,46,55,51,50,51,52,101,45,49,49,32,
      52,46,48,52,50,49,52,101,45,49,48,10,32,32,49,46,54,50,48,56,52,101,45,48,57,
      32,51,46,54,52,57,57,52,101,45,48,57,32,52,46,48,52,50,51,101,45,48,57,32,49,
      46,54,50,49,48,55,101,45,48,56,32,51,46,54,53,48,57,56,101,45,48,56,32,54,46,
      52,57,48,54,53,101,45,48,56,32,49,46,48,49,52,49,101,45,48,55,10,32,32,49,46,
      52,54,49,49,51,101,45,48,55,32,49,46,57,56,57,48,57,101,45,48,55,32,50,46,53,
      57,57,51,53,101,45,48,55,32,51,46,50,57,49,51,49,101,45,48,55,32,52,46,48,54,
      53,49,55,101,45,48,55,32,52,46,57,50,49,54,101,45,48,55,32,53,46,56,54,48,56,
      56,101,45,48,55,10,32,32,54,46,56,56,50,57,51,101,45,48,55,32,55,46,57,56,56,
      51,52,101,45,48,55,32,57,46,49,55,55,52,53,101,45,48,55,32,49,46,48,52,53,48,
      51,101,45,48,54,32,49,46,49,56,48,55,52,101,45,48,54,32,49,46,51,50,52,57,101,
      45,48,54,32,49,46,52,55,55,52,57,101,45,48,54,10,32,32,49,46,54,51,56,53,56,
      101,45,48,54,32,49,46,56,48,56,50,51,101,45,48,54,32,49,46,57,56,54,52,55,101,
      45,48,54,32,50,46,49,55,51,50,51,101,45,48,54,32,50,46,51,54,56,53,101,45,48,
      54,32,50,46,53,55,50,52,55,101,45,48,54,32,50,46,55,56,53,49,101,45,48,54,10,
      32,32,51,46,48,48,54,51,57,101,45,48,54,32,51,46,50,51,54,49,101,45,48,54,32,
      51,46,52,55,52,53,51,101,45,48,54,32,51,46,55,50,49,54,54,101,45,48,54,32,51,
      46,57,55,55,53,54,101,45,48,54,32,52,46,50,52,49,57,51,101,45,48,54,32,52,46,
      53,49,52,56,52,101,45,48,54,10,32,32,52,46,55,57,54,52,52,101,45,48,54,32,53,
      46,48,56,54,56,50,101,45,48,54,32,53,46,51,56,53,57,56,101,45,48,54,32,53,46,
      54,57,51,50,49,101,45,48,54,32,54,46,48,48,57,50,49,101,45,48,54,32,54,46,51,
      51,52,101,45,48,54,32,54,46,54,54,55,53,55,101,45,48,54,10,32,32,55,46,48,48,
      57,52,52,101,45,48,54,32,55,46,51,53,57,55,53,101,45,48,54,32,55,46,55,49,56,
      56,55,101,45,48,54,32,56,46,48,56,54,55,51,101,45,48,54,32,56,46,52,54,51,51,
      56,101,45,48,54,32,56,46,56,52,56,49,49,101,45,48,54,32,57,46,50,52,49,53,54,
      101,45,48,54,10,32,32,57,46,54,52,51,56,55,101,45,48,54,32,49,46,48,48,53,52,
      57,101,45,48,53,32,49,46,48,52,55,52,54,101,45,48,53,32,49,46,48,57,48,50,56,
      101,45,48,53,32,49,46,49,51,51,57,56,101,45,48,53,32,49,46,49,55,56,53,54,101,
      45,48,53,32,49,46,50,50,52,48,51,101,45,48,53,10,32,32,49,46,50,55,48,51,55,
      101,45,48,53,32,49,46,51,49,55,53,57,101,45,48,53,32,49,46,51,54,53,55,101,
      45,48,53,32,49,46,52,49,52,55,50,101,45,48,53,32,49,46,52,54,52,54,50,101,45,
      48,53,32,49,46,53,49,53,52,53,101,45,48,53,32,49,46,53,54,55,49,54,101,45,48,
      53,10,32,32,49,46,54,49,57,55,55,101,45,48,53,32,49,46,54,55,51,50,57,101,45,
      48,53,32,49,46,55,50,55,55,57,101,45,48,53,32,49,46,55,56,51,49,57,101,45,48,
      53,32,49,46,56,51,57,53,101,45,48,53,32,49,46,56,57,54,55,49,101,45,48,53,32,
      49,46,57,53,52,57,49,101,45,48,53,10,32,32,50,46,48,49,52,48,56,101,45,48,53,
      32,50,46,48,55,52,49,57,101,45,48,53,32,50,46,49,51,53,50,49,101,45,48,53,32,
      50,46,49,57,55,49,56,101,45,48,53,32,50,46,50,54,48,50,51,101,45,48,53,32,50,
      46,51,50,52,49,55,101,45,48,53,32,50,46,51,56,57,48,55,101,45,48,53,10,32,32,
      50,46,52,53,52,57,50,101,45,48,53,32,50,46,53,50,49,55,55,101,45,48,53,32,50,
      46,53,56,57,54,101,45,48,53,32,50,46,54,53,56,52,50,101,45,48,53,32,50,46,55,
      51,49,52,51,101,45,48,53,32,50,46,56,48,54,54,51,101,45,48,53,32,50,46,56,56,
      50,57,53,101,45,48,53,10,32,32,50,46,57,53,54,53,54,101,45,48,53,32,51,46,48,
      51,48,52,50,101,45,48,53,32,51,46,49,48,53,50,101,45,48,53,32,51,46,49,56,48,
      55,57,101,45,48,53,32,51,46,50,53,55,50,56,101,45,48,53,32,51,46,51,51,52,55,
      57,101,45,48,53,32,51,46,52,49,51,50,51,101,45,48,53,10,32,32,51,46,52,57,50,
      53,52,101,45,48,53,32,51,46,53,55,50,50,55,101,45,48,53,32,51,46,54,53,50,57,
      51,101,45,48,53,32,51,46,55,51,52,53,49,101,45,48,53,32,51,46,56,49,55,48,50,
      101,45,48,53,32,51,46,56,57,57,56,49,101,45,48,53,32,51,46,57,56,51,49,49,101,
      45,48,53,10,32,32,52,46,48,54,55,51,53,101,45,48,53,32,52,46,49,53,50,53,101,
      45,48,53,32,52,46,50,51,56,51,54,101,45,48,53,32,52,46,51,50,51,55,55,101,45,
      48,53,32,52,46,52,49,48,49,49,101,45,48,53,32,52,46,52,57,55,51,54,101,45,48,
      53,32,52,46,53,56,53,53,50,101,45,48,53,10,32,32,52,46,54,55,51,50,56,101,45,
      48,53,32,52,46,55,54,49,50,49,101,45,48,53,32,52,46,56,53,48,48,55,101,45,48,
      53,32,52,46,57,51,57,56,55,101,45,48,53,32,53,46,48,51,48,50,52,101,45,48,53,
      32,53,46,49,49,57,52,101,45,48,53,32,53,46,50,48,57,53,52,101,45,48,53,10,32,
      32,53,46,51,48,48,54,55,101,45,48,53,32,53,46,51,57,50,57,56,101,45,48,53,32,
      53,46,52,56,52,53,54,101,45,48,53,32,53,46,53,55,54,50,51,101,45,48,53,32,53,
      46,54,54,49,56,50,101,45,48,53,32,53,46,55,52,52,50,55,101,45,48,53,32,53,46,
      56,51,48,52,101,45,48,53,10,32,32,53,46,57,50,51,50,57,101,45,48,53,32,54,46,
      48,49,55,52,50,101,45,48,53,32,54,46,49,49,50,54,55,101,45,48,53,32,54,46,50,
      48,57,49,57,101,45,48,53,32,54,46,51,48,53,49,55,101,45,48,53,32,54,46,52,48,
      49,55,49,101,45,48,53,32,54,46,52,57,57,53,55,101,45,48,53,10,32,32,54,46,53,
      57,56,53,57,101,45,48,53,32,54,46,54,57,56,52,54,101,45,48,53,32,54,46,55,57,
      55,57,52,101,45,48,53,32,54,46,56,57,56,55,52,101,45,48,53,32,55,46,48,48,48,
      55,55,101,45,48,53,32,55,46,49,48,51,56,51,101,45,48,53,32,55,46,50,48,55,50,
      52,101,45,48,53,10,32,32,55,46,51,49,49,51,52,101,45,48,53,32,55,46,52,49,54,
      55,54,101,45,48,53,32,55,46,53,50,51,49,54,101,45,48,53,32,55,46,54,51,48,53,
      54,101,45,48,53,32,55,46,55,51,56,50,56,101,45,48,53,32,55,46,56,52,55,49,49,
      101,45,48,53,32,55,46,57,53,55,49,101,45,48,53,10,32,32,56,46,48,54,56,49,101,
      45,48,53,32,56,46,49,55,57,55,54,101,45,48,53,32,56,46,50,57,50,51,53,101,45,
      48,53,32,56,46,52,48,53,57,49,101,45,48,53,32,56,46,53,50,48,53,52,101,45,48,
      53,32,56,46,54,51,54,49,52,101,45,48,53,32,56,46,55,53,50,53,52,101,45,48,53,
      10,32,32,56,46,56,54,57,56,56,101,45,48,53,32,56,46,57,56,56,50,101,45,48,53,
      32,57,46,49,48,55,53,101,45,48,53,32,57,46,50,50,55,55,57,101,45,48,53,32,57,
      46,51,52,57,48,54,101,45,48,53,32,57,46,52,55,49,49,57,101,45,48,53,32,57,46,
      53,57,52,50,54,101,45,48,53,10,32,32,57,46,55,49,56,51,50,101,45,48,53,32,57,
      46,56,52,51,53,50,101,45,48,53,32,57,46,57,54,57,54,52,101,45,48,53,32,46,48,
      48,48,49,48,49,51,56,57,32,46,48,48,48,49,48,53,51,57,54,32,46,48,48,48,49,
      49,49,52,51,54,32,46,48,48,48,49,50,49,53,57,49,10,32,32,46,48,48,48,49,51,
      49,56,56,56,32,46,48,48,48,49,52,50,51,52,51,32,46,48,48,48,49,53,51,48,48,
      53,32,46,48,48,48,49,54,51,56,57,49,32,46,48,48,48,49,55,53,48,49,51,32,46,
      48,48,48,49,56,54,51,51,56,32,46,48,48,48,49,57,55,56,48,50,32,46,48,48,48,
      50,49,48,50,51,53,10,32,32,46,48,48,48,50,50,49,55,54,51,32,46,48,48,48,50,
      51,51,51,49,57,32,46,48,48,48,50,52,55,51,48,53,32,46,48,48,48,50,54,49,54,
      50,52,32,46,48,48,48,50,56,49,54,52,32,46,48,48,48,51,48,51,53,48,51,32,46,
      48,48,48,51,50,56,50,51,56,32,46,48,48,48,51,54,53,52,48,54,10,32,32,46,48,
      48,48,52,49,50,55,48,55,32,46,48,48,48,52,55,50,52,48,54,32,46,48,48,48,53,
      53,51,54,49,49,32,46,48,48,48,54,50,52,55,53,55,32,46,48,48,48,54,56,48,52,
      54,52,32,46,48,48,48,55,48,57,52,54,53,32,46,48,48,48,55,51,52,55,55,52,32,
      46,48,48,48,55,54,57,50,52,57,10,32,32,46,48,48,48,56,49,54,53,48,55,32,46,
      48,48,48,56,56,48,54,52,53,32,46,48,48,48,57,54,56,55,52,56,32,46,48,48,49,
      48,57,51,57,54,32,46,48,48,49,50,57,57,56,57,32,46,48,48,49,54,48,50,52,50,
      32,46,48,48,50,48,55,53,57,50,32,46,48,48,50,54,57,51,49,57,10,32,32,46,48,
      48,50,57,53,52,48,56,32,46,48,48,50,57,50,51,54,50,32,46,48,48,50,56,51,54,
      54,53,32,46,48,48,50,56,48,52,48,55,32,46,48,48,50,56,55,48,54,50,32,46,48,
      48,51,48,51,49,48,54,32,46,48,48,51,51,48,48,52,55,32,46,48,48,51,54,54,49,
      50,51,10,32,32,46,48,48,52,49,53,55,52,56,32,46,48,48,52,57,48,52,49,32,46,
      48,48,54,48,57,49,54,50,32,46,48,48,55,51,53,52,56,49,32,46,48,48,56,55,55,
      53,51,52,32,46,48,49,48,49,54,51,49,32,46,48,49,49,57,50,57,49,32,46,48,49,
      52,54,52,49,56,32,46,48,49,55,48,55,51,57,10,32,32,46,48,49,56,57,55,53,53,
      32,46,48,50,48,51,54,51,56,32,46,48,50,50,51,51,55,55,32,46,48,50,52,51,56,
      55,49,32,46,48,50,54,51,55,49,54,32,46,48,50,56,48,51,32,46,48,50,57,54,49,
      49,57,32,46,48,51,49,51,54,51,54,32,46,48,51,51,55,48,48,50,32,46,48,51,54,
      48,53,49,52,10,32,32,46,48,51,55,54,57,53,49,32,46,48,52,48,50,57,57,49,32,
      46,48,52,49,57,57,52,52,32,46,48,52,50,54,56,51,53,32,46,48,52,50,53,53,56,
      32,46,48,52,50,52,50,54,53,32,46,48,52,51,50,51,57,53,32,46,48,52,52,56,49,
      52,54,32,46,48,52,54,53,54,52,56,10,32,32,46,48,52,56,50,53,49,55,32,46,48,
      53,48,48,56,57,55,32,46,48,53,49,52,48,51,57,32,46,48,53,50,53,55,51,32,46,
      48,53,51,56,52,56,55,32,46,48,53,52,48,53,32,46,48,53,51,51,48,51,49,32,46,
      48,53,49,51,54,52,57,32,46,48,52,57,56,52,51,54,32,46,48,52,56,50,48,51,50,
      10,32,32,46,48,52,53,53,56,49,53,32,46,48,52,50,56,55,50,49,32,46,48,52,49,
      53,55,56,49,32,46,48,52,48,48,56,52,32,46,48,51,57,53,54,51,50,32,46,48,51,
      57,51,56,49,52,32,46,48,52,51,52,56,57,49,32,46,48,52,50,53,50,52,49,32,46,
      48,52,50,49,49,57,49,10,32,32,46,48,52,49,51,51,50,52,32,46,48,52,48,52,53,
      53,49,32,46,48,51,57,55,50,48,56,32,46,48,51,56,57,56,53,53,32,46,48,51,56,
      50,57,56,52,32,46,48,51,55,54,50,51,55,32,46,48,51,54,56,55,57,51,32,46,48,
      51,54,50,50,50,52,32,46,48,51,53,53,48,51,53,10,32,32,46,48,51,52,57,55,56,
      55,32,46,48,51,52,49,51,49,51,32,46,48,51,51,54,49,55,52,32,46,48,51,50,57,
      56,53,49,32,46,48,51,49,53,52,51,49,32,46,48,50,57,54,51,48,56,32,46,48,50,
      55,56,53,50,54,32,46,48,50,53,55,53,51,52,32,46,48,50,51,55,57,51,49,10,32,
      32,46,48,50,49,54,49,57,32,46,48,49,57,57,52,56,57,32,46,48,49,55,52,57,49,
      56,32,46,48,49,52,56,49,52,50,32,46,48,49,51,54,49,53,57,32,46,48,49,50,51,
      57,51,55,32,46,48,49,48,57,51,54,54,32,46,48,48,57,56,48,54,49,56,32,46,48,
      48,56,55,57,52,57,50,10,32,32,46,48,48,55,55,54,55,52,32,46,48,48,54,56,54,
      51,48,55,32,46,48,48,54,49,54,48,56,32,46,48,48,53,53,51,50,49,57,32,46,48,
      48,52,57,54,57,51,50,32,46,48,48,52,51,57,55,53,51,32,46,48,48,51,56,51,52,
      48,51,32,46,48,48,51,50,57,51,54,50,32,46,48,48,50,56,55,52,49,52,10,32,32,
      46,48,48,50,52,55,49,54,53,32,46,48,48,50,49,53,56,55,57,32,46,48,48,49,56,
      56,54,51,32,46,48,48,49,54,50,52,52,32,46,48,48,49,51,56,52,53,55,32,46,48,
      48,49,50,50,52,50,54,32,46,48,48,49,48,54,50,48,56,32,46,48,48,48,57,51,55,
      52,48,54,32,46,48,48,48,56,50,48,53,52,49,10,32,32,46,48,48,48,55,49,56,52,
      54,51,32,46,48,48,48,54,50,57,50,53,53,32,46,48,48,48,53,53,49,50,55,50,32,
      46,48,48,48,52,56,51,48,55,57,32,46,48,48,48,52,50,51,52,50,55,32,46,48,48,
      48,51,55,49,50,51,49,32,46,48,48,48,51,50,53,53,52,49,32,46,48,48,48,50,56,
      53,53,51,55,10,32,32,46,48,48,48,50,53,48,53,48,52,32,46,48,48,48,50,49,57,
      56,48,56,32,46,48,48,48,49,57,50,57,49,55,32,46,48,48,48,49,54,57,51,52,55,
      32,46,48,48,48,49,52,56,54,56,51,32,46,48,48,48,49,51,48,53,54,52,32,46,48,
      48,48,49,49,52,54,55,56,32,46,48,48,48,49,48,48,55,51,10,32,32,56,46,56,52,
      56,50,56,101,45,48,53,32,55,46,55,55,51,57,55,101,45,48,53,32,54,46,56,51,49,
      49,52,101,45,48,53,32,54,46,48,48,51,53,52,101,45,48,53,32,53,46,50,55,54,57,
      54,101,45,48,53,32,52,46,54,51,56,57,52,101,45,48,53,32,52,46,48,55,56,56,51,
      101,45,48,53,10,32,32,51,46,53,56,54,54,101,45,48,53,32,51,46,49,53,52,49,55,
      101,45,48,53,32,50,46,55,55,52,50,50,101,45,48,53,32,50,46,52,52,48,51,50,101,
      45,48,53,32,50,46,49,52,54,56,54,101,45,48,53,32,49,46,56,56,56,56,57,101,45,
      48,53,32,49,46,54,54,49,57,55,101,45,48,53,10,32,32,49,46,52,54,50,53,55,101,
      45,48,53,32,49,46,51,50,52,50,56,101,45,48,53,32,49,46,49,57,57,49,51,101,45,
      48,53,32,49,46,48,56,53,56,55,101,45,48,53,32,57,46,56,51,51,55,51,101,45,48,
      54,32,56,46,57,48,54,55,54,101,45,48,54,32,55,46,57,54,52,57,53,101,45,48,54,
      10,32,32,54,46,57,49,52,56,52,101,45,48,54,32,54,46,48,48,51,56,49,101,45,48,
      54,32,53,46,50,49,51,51,55,101,45,48,54,32,52,46,53,50,55,52,55,101,45,48,54,
      32,51,46,57,51,50,50,101,45,48,54,32,51,46,52,49,53,53,52,101,45,48,54,32,50,
      46,57,54,55,48,51,101,45,48,54,10,32,32,50,46,53,55,55,54,53,101,45,48,54,32,
      50,46,50,51,57,53,55,101,45,48,54,32,49,46,57,52,54,101,45,48,54,32,49,46,54,
      57,49,48,54,101,45,48,54,32,49,46,52,54,57,54,53,101,45,48,54,32,49,46,50,55,
      55,51,51,101,45,48,54,32,49,46,49,49,48,50,54,101,45,48,54,10,32,32,57,46,54,
      53,49,49,57,101,45,48,55,32,56,46,51,57,48,49,56,101,45,48,55,32,55,46,50,57,
      51,48,57,101,45,48,55,32,54,46,51,51,57,55,54,101,45,48,55,32,53,46,53,49,49,
      52,52,101,45,48,55,32,52,46,55,57,49,54,57,101,45,48,55,32,52,46,49,54,53,52,
      56,101,45,48,55,10,32,32,51,46,54,50,50,54,51,101,45,48,55,32,51,46,49,53,48,
      49,56,101,45,48,55,32,50,46,55,51,57,53,50,101,45,48,55,32,50,46,51,56,50,53,
      53,101,45,48,55,32,50,46,48,55,50,50,50,101,45,48,55,32,49,46,56,48,50,52,50,
      101,45,48,55,32,49,46,53,54,55,56,52,101,45,48,55,10,32,32,49,46,51,54,51,56,
      55,101,45,48,55,32,49,46,49,56,54,53,101,45,48,55,32,49,46,48,51,50,50,53,101,
      45,48,55,32,56,46,57,56,49,48,57,101,45,48,56,32,55,46,56,49,52,52,101,45,48,
      56,32,54,46,55,57,57,54,51,101,45,48,56,32,53,46,57,49,54,57,53,101,45,48,56,
      10,32,32,53,46,49,52,57,49,49,101,45,48,56,32,51,46,56,57,57,57,57,101,45,48,
      56,32,50,46,57,53,52,51,57,101,45,48,56,32,50,46,50,51,56,53,50,101,45,48,56,
      32,49,46,54,57,54,52,50,101,45,48,56,32,49,46,50,56,53,56,51,101,45,48,56,32,
      57,46,55,52,55,54,57,101,45,48,57,10,32,32,55,46,51,57,48,55,57,101,45,48,57,
      32,53,46,54,48,52,54,50,101,45,48,57,32,52,46,50,53,48,55,55,101,45,48,57,32,
      51,46,50,50,52,52,52,101,45,48,57,32,50,46,52,52,54,50,53,101,45,48,57,32,49,
      46,56,53,54,49,50,101,45,48,57,32,49,46,52,48,56,53,52,101,45,48,57,10,32,32,
      49,46,48,54,57,48,51,101,45,48,57,32,56,46,49,49,52,52,55,101,45,49,48,32,54,
      46,49,54,48,48,55,101,45,49,48,32,52,46,54,55,54,57,53,101,45,49,48,32,51,46,
      53,53,49,51,51,101,45,49,48,32,50,46,54,57,54,57,101,45,49,48,32,50,46,48,52,
      56,50,53,101,45,49,48,10,32,32,49,46,53,53,53,55,56,101,45,49,48,32,49,46,49,
      56,49,56,52,101,45,49,48,32,56,46,57,55,56,54,51,101,45,49,49,32,54,46,56,50,
      49,56,57,101,45,49,49,32,53,46,49,56,51,55,101,45,49,49,32,51,46,57,51,57,50,
      55,101,45,49,49,32,50,46,57,57,51,56,53,101,45,49,49,10,32,32,50,46,50,55,53,
      53,51,101,45,49,49,32,49,46,55,50,57,55,54,101,45,49,49,32,51,46,55,48,50,49,
      54,101,45,49,48,32,49,46,52,56,52,53,49,101,45,48,57,32,51,46,51,52,50,57,51,
      101,45,48,57,32,51,46,55,48,50,50,56,101,45,48,57,32,49,46,52,56,52,54,57,101,
      45,48,56,10,32,32,51,46,51,52,51,55,51,101,45,48,56,32,53,46,57,52,52,50,49,
      101,45,48,56,32,57,46,50,56,54,56,56,101,45,48,56,32,49,46,51,51,56,101,45,
      48,55,32,49,46,56,50,49,51,54,101,45,48,55,32,50,46,51,56,48,48,49,101,45,48,
      55,32,51,46,48,49,51,51,56,101,45,48,55,10,32,32,51,46,55,50,49,54,52,101,45,
      48,55,32,52,46,53,48,53,51,53,101,45,48,55,32,53,46,51,54,52,55,53,101,45,48,
      55,32,54,46,50,57,57,55,52,101,45,48,55,32,55,46,51,49,48,56,52,101,45,48,55,
      32,56,46,51,57,56,51,54,101,45,48,55,32,57,46,53,54,50,50,51,101,45,48,55,10,
      32,32,49,46,48,56,48,51,49,101,45,48,54,32,49,46,50,49,50,48,57,101,45,48,54,
      32,49,46,51,53,49,53,55,101,45,48,54,32,49,46,52,57,56,55,57,101,45,48,54,32,
      49,46,54,53,51,56,50,101,45,48,54,32,49,46,56,49,54,54,55,101,45,48,54,32,49,
      46,57,56,55,50,57,101,45,48,54,10,32,32,50,46,49,54,53,54,55,101,45,48,54,32,
      50,46,51,53,49,57,56,101,45,48,54,32,50,46,53,52,54,49,54,101,45,48,54,32,50,
      46,55,52,56,50,52,101,45,48,54,32,50,46,57,53,56,101,45,48,54,32,51,46,49,55,
      53,55,101,45,48,54,32,51,46,52,48,49,51,51,101,45,48,54,10,32,32,51,46,54,51,
      52,57,52,101,45,48,54,32,51,46,56,55,54,50,55,101,45,48,54,32,52,46,49,50,53,
      52,101,45,48,54,32,52,46,51,56,50,52,52,101,45,48,54,32,52,46,54,52,55,52,54,
      101,45,48,54,32,52,46,57,50,48,52,56,101,45,48,54,32,53,46,50,48,48,56,57,101,
      45,48,54,10,32,32,53,46,52,56,57,50,56,101,45,48,54,32,53,46,55,56,53,54,54,
      101,45,48,54,32,54,46,48,57,48,48,52,101,45,48,54,32,54,46,52,48,49,57,57,101,
      45,48,54,32,54,46,55,50,49,54,52,101,45,48,54,32,55,46,48,52,57,51,50,101,45,
      48,54,32,55,46,51,56,52,57,52,101,45,48,54,10,32,32,55,46,55,50,56,53,54,101,
      45,48,54,32,56,46,48,55,57,53,56,101,45,48,54,32,56,46,52,51,56,53,51,101,45,
      48,54,32,56,46,56,48,53,53,53,101,45,48,54,32,57,46,49,56,48,53,50,101,45,48,
      54,32,57,46,53,54,51,51,51,101,45,48,54,32,57,46,57,53,51,57,50,101,45,48,54,
      10,32,32,49,46,48,51,53,50,53,101,45,48,53,32,49,46,48,55,53,57,50,101,45,48,
      53,32,49,46,49,49,55,51,57,101,45,48,53,32,49,46,49,53,57,54,53,101,45,48,53,
      32,49,46,50,48,50,55,49,101,45,48,53,32,49,46,50,52,54,53,57,101,45,48,53,32,
      49,46,50,57,49,50,56,101,45,48,53,10,32,32,49,46,51,51,54,55,56,101,45,48,53,
      32,49,46,51,56,51,49,50,101,45,48,53,32,49,46,52,51,48,50,54,101,45,48,53,32,
      49,46,52,55,56,50,50,101,45,48,53,32,49,46,53,50,55,48,49,101,45,48,53,32,49,
      46,53,55,54,54,56,101,45,48,53,32,49,46,54,50,55,49,55,101,45,48,53,10,32,32,
      49,46,54,55,56,52,56,101,45,48,53,32,49,46,55,51,48,54,50,101,45,48,53,32,49,
      46,55,56,51,54,53,101,45,48,53,32,49,46,56,51,55,53,53,101,45,48,53,32,49,46,
      56,57,50,51,49,101,45,48,53,32,49,46,57,52,55,56,57,101,45,48,53,32,50,46,48,
      48,52,51,52,101,45,48,53,10,32,32,50,46,48,54,49,55,53,101,45,48,53,32,50,46,
      49,49,57,57,55,101,45,48,53,32,50,46,49,55,57,48,55,101,45,48,53,32,50,46,50,
      51,57,48,51,101,45,48,53,32,50,46,50,57,57,57,49,101,45,48,53,32,50,46,51,54,
      49,54,56,101,45,48,53,32,50,46,52,50,52,51,52,101,45,48,53,10,32,32,50,46,52,
      56,55,56,55,101,45,48,53,32,50,46,53,53,50,50,52,101,45,48,53,32,50,46,54,49,
      55,52,54,101,45,48,53,32,50,46,54,56,53,55,53,101,45,48,53,32,50,46,55,53,53,
      52,49,101,45,48,53,32,50,46,56,50,54,48,49,101,45,48,53,32,50,46,56,57,55,50,
      56,101,45,48,53,10,32,32,50,46,57,54,56,52,52,101,45,48,53,32,51,46,48,51,57,
      48,49,101,45,48,53,32,51,46,49,49,48,52,50,101,45,48,53,32,51,46,49,56,50,54,
      51,101,45,48,53,32,51,46,50,53,53,50,50,101,45,48,53,32,51,46,51,50,56,54,54,
      101,45,48,53,32,51,46,52,48,50,57,53,101,45,48,53,10,32,32,51,46,52,55,56,48,
      55,101,45,48,53,32,51,46,53,53,51,52,55,101,45,48,53,32,51,46,54,50,57,51,53,
      101,45,48,53,32,51,46,55,48,54,48,56,101,45,48,53,32,51,46,55,56,51,54,52,101,
      45,48,53,32,51,46,56,54,49,56,53,101,45,48,53,32,51,46,57,51,57,55,101,45,48,
      53,10,32,32,52,46,48,49,56,51,57,101,45,48,53,32,52,46,48,57,55,57,101,45,48,
      53,32,52,46,49,55,56,50,53,101,45,48,53,32,52,46,50,53,56,50,55,101,45,48,53,
      32,52,46,51,51,56,52,55,101,45,48,53,32,52,46,52,49,57,53,50,101,45,48,53,32,
      52,46,53,48,49,52,50,101,45,48,53,10,32,32,52,46,53,56,51,56,52,101,45,48,53,
      32,52,46,54,54,53,50,52,101,45,48,53,32,52,46,55,52,55,53,50,101,45,48,53,32,
      52,46,56,51,48,51,50,101,45,48,53,32,52,46,57,49,48,49,55,101,45,48,53,32,52,
      46,57,56,55,52,54,101,45,48,53,32,53,46,48,54,51,57,55,101,45,48,53,10,32,32,
      53,46,49,52,53,55,56,101,45,48,53,32,53,46,50,51,49,49,53,101,45,48,53,32,53,
      46,51,49,55,48,54,101,45,48,53,32,53,46,52,48,50,49,50,101,45,48,53,32,53,46,
      52,56,56,51,50,101,45,48,53,32,53,46,53,55,53,53,55,101,45,48,53,32,53,46,54,
      54,51,57,55,101,45,48,53,10,32,32,53,46,55,53,49,57,56,101,45,48,53,32,53,46,
      56,52,48,53,49,101,45,48,53,32,53,46,57,51,48,50,51,101,45,48,53,32,54,46,48,
      50,48,57,56,101,45,48,53,32,54,46,49,49,50,53,49,101,45,48,53,32,54,46,50,48,
      51,55,56,101,45,48,53,32,54,46,50,57,54,50,50,101,45,48,53,10,32,32,54,46,51,
      56,57,55,54,101,45,48,53,32,54,46,52,56,52,50,51,101,45,48,53,32,54,46,53,55,
      57,48,54,101,45,48,53,32,54,46,54,55,52,53,50,101,45,48,53,32,54,46,55,55,49,
      49,52,101,45,48,53,32,54,46,56,54,56,54,56,101,45,48,53,32,54,46,57,54,55,49,
      49,101,45,48,53,10,32,32,55,46,48,54,53,56,53,101,45,48,53,32,55,46,49,54,53,
      54,101,45,48,53,32,55,46,50,54,54,51,57,101,45,48,53,32,55,46,51,54,56,49,101,
      45,48,53,32,55,46,52,55,48,52,101,45,48,53,32,55,46,53,55,51,53,54,101,45,48,
      53,32,55,46,54,55,55,53,57,101,45,48,53,10,32,32,55,46,55,56,50,53,56,101,45,
      48,53,32,55,46,56,56,56,52,52,101,45,48,53,32,55,46,57,57,53,48,52,101,45,48,
      53,32,56,46,49,48,50,52,57,101,45,48,53,32,56,46,50,49,48,56,50,101,45,48,53,
      32,56,46,51,50,48,48,52,101,45,48,53,32,56,46,52,51,48,49,54,101,45,48,53,10,
      32,32,56,46,53,52,49,49,54,101,45,48,53,32,56,46,54,53,50,57,52,101,45,48,53,
      32,56,46,55,54,53,53,55,101,45,48,53,32,56,46,56,55,57,49,101,45,48,53,32,56,
      46,57,57,51,54,53,101,45,48,53,32,57,46,49,48,57,48,51,101,45,48,53,32,57,46,
      50,54,51,57,49,101,45,48,53,10,32,32,57,46,54,51,48,51,53,101,45,48,53,32,46,
      48,48,48,49,48,49,56,50,53,32,46,48,48,48,49,49,49,49,48,51,32,46,48,48,48,
      49,50,48,53,32,46,48,48,48,49,51,48,48,51,49,32,46,48,48,48,49,51,57,55,51,
      54,32,46,48,48,48,49,52,57,54,50,57,32,46,48,48,48,49,53,57,55,50,52,10,32,
      32,46,48,48,48,49,54,57,57,57,49,32,46,48,48,48,49,56,48,51,56,54,32,46,48,
      48,48,49,57,49,53,49,57,32,46,48,48,48,50,48,50,48,54,57,32,46,48,48,48,50,
      49,50,53,54,56,32,46,48,48,48,50,50,53,50,55,32,46,48,48,48,50,51,56,50,54,
      51,32,46,48,48,48,50,53,54,51,57,56,10,32,32,46,48,48,48,50,55,54,49,54,50,
      32,46,48,48,48,50,57,56,52,54,57,32,46,48,48,48,51,51,49,57,48,57,32,46,48,
      48,48,51,55,52,51,55,51,32,46,48,48,48,52,50,55,56,56,50,32,46,48,48,48,53,
      48,48,54,52,52,32,46,48,48,48,53,54,52,52,57,57,32,46,48,48,48,54,49,52,55,
      54,50,10,32,32,46,48,48,48,54,52,49,50,50,53,32,46,48,48,48,54,54,52,52,49,
      50,32,46,48,48,48,54,57,53,56,53,32,46,48,48,48,55,51,56,55,53,50,32,46,48,
      48,48,55,57,54,55,54,50,32,46,48,48,48,56,55,54,49,56,57,32,46,48,48,48,57,
      56,56,55,52,54,32,46,48,48,49,49,55,51,53,50,10,32,32,46,48,48,49,52,52,53,
      49,50,32,46,48,48,49,56,55,50,48,53,32,46,48,48,50,52,51,50,53,55,32,46,48,
      48,50,54,54,56,51,51,32,46,48,48,50,54,51,56,51,53,32,46,48,48,50,53,53,55,
      57,57,32,46,48,48,50,53,50,56,50,53,32,46,48,48,50,53,56,56,53,56,10,32,32,
      46,48,48,50,55,51,51,54,49,32,46,48,48,50,57,55,54,53,51,32,46,48,48,51,51,
      48,49,52,54,32,46,48,48,51,55,52,56,53,51,32,46,48,48,52,52,50,50,50,50,32,
      46,48,48,53,52,57,55,52,51,32,46,48,48,54,54,52,54,53,56,32,46,48,48,55,57,
      52,52,56,49,10,32,32,46,48,48,57,50,50,49,52,57,32,46,48,49,48,56,54,32,46,
      48,49,51,52,48,55,57,32,46,48,49,53,55,49,55,52,32,46,48,49,55,53,50,50,50,
      32,46,48,49,56,56,50,57,54,32,46,48,50,48,54,56,55,55,32,46,48,50,50,54,51,
      48,55,32,46,48,50,52,53,48,49,32,46,48,50,54,48,51,51,56,10,32,32,46,48,50,
      55,52,55,57,49,32,46,48,50,57,49,48,52,54,32,46,48,51,49,51,50,57,55,32,46,
      48,51,51,54,50,49,50,32,46,48,51,53,50,53,51,53,32,46,48,51,55,56,57,50,54,
      32,46,48,51,57,54,56,52,54,32,46,48,52,48,53,51,51,56,32,46,48,52,48,54,49,
      52,51,10,32,32,46,48,52,48,54,49,57,32,46,48,52,49,52,54,57,56,32,46,48,52,
      51,48,48,57,49,32,46,48,52,52,55,48,51,49,32,46,48,52,54,51,51,52,57,32,46,
      48,52,56,49,49,52,51,32,46,48,52,57,51,56,56,32,46,48,53,48,53,50,55,57,32,
      46,48,53,49,56,48,50,56,32,46,48,53,50,48,52,52,50,10,32,32,46,48,53,49,52,
      50,53,54,32,46,48,52,57,54,55,54,53,32,46,48,52,56,50,55,53,55,32,46,48,52,
      54,55,53,50,57,32,46,48,52,52,51,48,48,49,32,46,48,52,49,55,52,55,51,32,46,
      48,52,48,53,50,51,55,32,46,48,51,57,49,49,50,32,46,48,51,56,54,50,50,57,10,
      32,32,46,48,51,56,52,54,53,56,32,46,48,52,50,52,51,49,53,32,46,48,52,49,53,
      50,54,49,32,46,48,52,49,49,52,52,54,32,46,48,52,48,52,48,49,57,32,46,48,51,
      57,53,55,49,50,32,46,48,51,56,56,55,51,55,32,46,48,51,56,49,55,51,52,32,46,
      48,51,55,53,49,55,51,10,32,32,46,48,51,54,56,55,49,57,32,46,48,51,54,49,53,
      56,56,32,46,48,51,53,53,50,56,50,32,46,48,51,52,56,51,55,52,32,46,48,51,52,
      51,51,50,53,32,46,48,51,51,53,49,54,50,32,46,48,51,51,48,50,48,52,32,46,48,
      51,50,52,48,57,56,32,46,48,51,49,48,49,53,49,10,32,32,46,48,50,57,49,54,48,
      56,32,46,48,50,55,52,51,49,57,32,46,48,50,53,51,56,55,49,32,46,48,50,51,52,
      55,51,32,46,48,50,49,51,52,54,32,46,48,49,57,55,48,57,52,32,46,48,49,55,50,
      57,55,49,32,46,48,49,52,54,53,53,32,46,48,49,51,52,55,53,51,32,46,48,49,50,
      50,55,48,50,10,32,32,46,48,49,48,56,51,50,53,32,46,48,48,57,55,49,54,51,50,
      32,46,48,48,56,55,49,55,54,53,32,46,48,48,55,55,48,51,48,53,32,46,48,48,54,
      56,48,56,49,57,32,46,48,48,54,49,49,50,57,53,32,46,48,48,53,52,57,48,52,56,
      32,46,48,48,52,57,51,50,56,55,32,46,48,48,52,51,54,54,49,56,10,32,32,46,48,
      48,51,56,48,55,56,50,32,46,48,48,51,50,55,50,49,55,32,46,48,48,50,56,53,53,
      57,50,32,46,48,48,50,52,53,54,52,51,32,46,48,48,50,49,52,53,56,53,32,46,48,
      48,49,56,55,53,50,53,32,46,48,48,49,54,49,53,49,50,32,46,48,48,49,51,55,54,
      56,55,10,32,32,46,48,48,49,50,49,55,53,56,32,46,48,48,49,48,53,54,53,49,32,
      46,48,48,48,57,51,50,56,55,51,32,46,48,48,48,56,49,54,54,53,56,32,46,48,48,
      48,55,49,53,49,50,55,32,46,48,48,48,54,50,54,51,56,52,32,46,48,48,48,53,52,
      56,56,48,52,32,46,48,48,48,52,56,48,57,53,49,10,32,32,46,48,48,48,52,50,49,
      53,57,49,32,46,48,48,48,51,54,57,54,52,51,32,46,48,48,48,51,50,52,49,55,32,
      46,48,48,48,50,56,52,51,53,52,32,46,48,48,48,50,52,57,52,56,32,46,48,48,48,
      50,49,56,57,50,51,32,46,48,48,48,49,57,50,49,52,55,32,46,48,48,48,49,54,56,
      54,56,10,32,32,46,48,48,48,49,52,56,49,48,53,32,46,48,48,48,49,51,48,48,54,
      51,32,46,48,48,48,49,49,52,50,52,51,32,46,48,48,48,49,48,48,51,53,57,32,56,
      46,56,49,55,50,54,101,45,48,53,32,55,46,55,52,55,52,57,101,45,48,53,32,54,46,
      56,48,56,49,53,101,45,48,53,10,32,32,53,46,57,56,51,53,54,101,45,48,53,32,53,
      46,50,53,57,53,54,101,45,48,53,32,52,46,54,50,51,55,55,101,45,48,53,32,52,46,
      48,54,53,54,101,45,48,53,32,51,46,53,55,53,48,56,101,45,48,53,32,51,46,49,52,
      52,49,51,101,45,48,53,32,50,46,55,54,53,52,56,101,45,48,53,10,32,32,50,46,52,
      51,50,55,101,45,48,53,32,50,46,49,52,48,50,49,101,45,48,53,32,49,46,56,56,51,
      48,57,101,45,48,53,32,49,46,54,53,54,57,49,101,45,48,53,32,49,46,52,53,56,49,
      54,101,45,48,53,32,49,46,51,50,48,51,101,45,48,53,32,49,46,49,57,53,53,53,101,
      45,48,53,10,32,32,49,46,48,56,50,54,53,101,45,48,53,32,57,46,56,48,52,55,49,
      101,45,48,54,32,56,46,56,56,48,54,49,101,45,48,54,32,55,46,57,52,49,55,101,
      45,48,54,32,54,46,56,57,52,56,101,45,48,54,32,53,46,57,56,54,53,54,101,45,48,
      54,32,53,46,49,57,56,53,50,101,45,48,54,10,32,32,52,46,53,49,52,54,55,101,45,
      48,54,32,51,46,57,50,49,49,53,101,45,48,54,32,51,46,52,48,53,57,57,101,45,48,
      54,32,50,46,57,53,56,55,57,101,45,48,54,32,50,46,53,55,48,53,52,101,45,48,54,
      32,50,46,50,51,51,52,51,101,45,48,54,32,49,46,57,52,48,55,49,101,45,48,54,10,
      32,32,49,46,54,56,54,53,101,45,48,54,32,49,46,52,54,53,55,101,45,48,54,32,49,
      46,50,55,51,57,50,101,45,48,54,32,49,46,49,48,55,51,49,101,45,48,54,32,57,46,
      54,50,53,54,56,101,45,48,55,32,56,46,51,54,56,48,55,101,45,48,55,32,55,46,50,
      55,53,51,49,101,45,48,55,10,32,32,54,46,51,50,53,55,49,101,45,48,55,32,53,46,
      53,48,48,52,53,101,45,48,55,32,52,46,55,56,50,52,50,101,45,48,55,32,52,46,49,
      53,55,52,56,101,45,48,55,32,51,46,54,49,53,55,50,101,45,48,55,32,51,46,49,52,
      52,50,49,101,45,48,55,32,50,46,55,51,52,51,54,101,45,48,55,10,32,32,50,46,51,
      55,56,48,56,101,45,48,55,32,50,46,48,54,56,51,53,101,45,48,55,32,49,46,55,57,
      57,48,55,101,45,48,55,32,49,46,53,54,52,57,52,101,45,48,55,32,49,46,51,54,49,
      51,54,101,45,48,55,32,49,46,49,56,52,51,51,101,45,48,55,32,49,46,48,51,48,51,
      56,101,45,48,55,10,32,32,56,46,57,54,52,56,57,101,45,48,56,32,55,46,56,48,48,
      51,57,101,45,48,56,32,54,46,55,56,55,53,101,45,48,56,32,53,46,57,48,54,52,51,
      101,45,48,56,32,53,46,49,51,57,57,57,101,45,48,56,32,51,46,56,57,51,49,52,101,
      45,48,56,32,50,46,57,52,57,50,53,101,45,48,56,10,32,32,50,46,50,51,52,54,55,
      101,45,48,56,32,49,46,54,57,51,53,51,101,45,48,56,32,49,46,50,56,51,54,53,101,
      45,48,56,32,57,46,55,51,49,51,49,101,45,48,57,32,55,46,51,55,56,52,53,101,45,
      48,57,32,53,46,53,57,53,51,52,101,45,48,57,32,52,46,50,52,51,55,57,101,45,48,
      57,10,32,32,51,46,50,49,57,49,56,101,45,48,57,32,50,46,52,52,50,50,57,101,45,
      48,57,32,49,46,56,53,51,49,51,101,45,48,57,32,49,46,52,48,54,50,57,101,45,48,
      57,32,49,46,48,54,55,51,50,101,45,48,57,32,56,46,49,48,49,54,54,101,45,49,48,
      32,54,46,49,53,48,52,50,101,45,49,48,10,32,32,52,46,54,54,57,54,55,101,45,49,
      48,32,51,46,53,52,53,56,49,101,45,49,48,32,50,46,54,57,50,55,50,101,45,49,48,
      32,50,46,48,52,53,48,57,101,45,49,48,32,49,46,53,53,51,51,56,101,45,49,48,32,
      49,46,49,56,48,48,50,101,45,49,48,32,56,46,57,54,52,56,57,101,45,49,49,10,32,
      32,54,46,56,49,49,52,57,101,45,49,49,32,53,46,49,55,53,56,52,101,45,49,49,32,
      51,46,57,51,51,51,50,101,45,49,49,32,50,46,57,56,57,51,53,101,45,49,49,32,50,
      46,50,55,50,49,50,101,45,49,49,32,49,46,55,50,55,49,56,101,45,49,49,32,51,46,
      51,51,53,49,101,45,49,48,10,32,32,49,46,51,51,55,51,51,101,45,48,57,32,51,46,
      48,49,49,53,52,101,45,48,57,32,51,46,51,51,53,50,55,101,45,48,57,32,49,46,51,
      51,55,53,56,101,45,48,56,32,51,46,48,49,50,54,53,101,45,48,56,32,53,46,51,53,
      54,49,56,101,45,48,56,32,56,46,51,54,57,49,57,101,45,48,56,10,32,32,49,46,50,
      48,53,57,52,101,45,48,55,32,49,46,54,52,49,56,52,101,45,48,55,32,50,46,49,52,
      53,55,57,101,45,48,55,32,50,46,55,49,55,51,101,45,48,55,32,51,46,51,53,54,53,
      54,101,45,48,55,32,52,46,48,54,52,49,55,101,45,48,55,32,52,46,56,52,48,51,54,
      101,45,48,55,10,32,32,53,46,54,56,53,48,57,101,45,48,55,32,54,46,53,57,56,56,
      55,101,45,48,55,32,55,46,53,56,50,48,49,101,45,48,55,32,56,46,54,51,52,53,51,
      101,45,48,55,32,57,46,55,53,55,48,50,101,45,48,55,32,49,46,48,57,52,57,53,101,
      45,48,54,32,49,46,50,50,49,50,101,45,48,54,10,32,32,49,46,51,53,52,52,57,101,
      45,48,54,32,49,46,52,57,52,56,56,101,45,48,54,32,49,46,54,52,50,52,49,101,45,
      48,54,32,49,46,55,57,54,57,57,101,45,48,54,32,49,46,57,53,56,54,52,101,45,48,
      54,32,50,46,49,50,55,53,49,101,45,48,54,32,50,46,51,48,51,53,53,101,45,48,54,
      10,32,32,50,46,52,56,54,55,57,101,45,48,54,32,50,46,54,55,54,57,57,101,45,48,
      54,32,50,46,56,55,52,52,49,101,45,48,54,32,51,46,48,55,57,48,54,101,45,48,54,
      32,51,46,50,57,48,57,56,101,45,48,54,32,51,46,53,48,57,57,49,101,45,48,54,32,
      51,46,55,51,53,57,49,101,45,48,54,10,32,32,51,46,57,54,57,49,49,101,45,48,54,
      32,52,46,50,48,57,53,56,101,45,48,54,32,52,46,52,53,55,51,51,101,45,48,54,32,
      52,46,55,49,49,55,52,101,45,48,54,32,52,46,57,55,51,52,49,101,45,48,54,32,53,
      46,50,52,50,51,54,101,45,48,54,32,53,46,53,49,56,53,57,101,45,48,54,10,32,32,
      53,46,56,48,49,54,54,101,45,48,54,32,54,46,48,57,49,55,49,101,45,48,54,32,54,
      46,51,56,57,48,54,101,45,48,54,32,54,46,54,57,51,54,53,101,45,48,54,32,55,46,
      48,48,53,52,57,101,45,48,54,32,55,46,51,50,52,48,49,101,45,48,54,32,55,46,54,
      52,57,55,53,101,45,48,54,10,32,32,55,46,57,56,50,56,51,101,45,48,54,32,56,46,
      51,50,51,49,54,101,45,48,54,32,56,46,54,55,48,53,56,101,45,48,54,32,57,46,48,
      50,53,48,53,101,45,48,54,32,57,46,51,56,54,56,51,101,45,48,54,32,57,46,55,53,
      53,57,101,45,48,54,32,49,46,48,49,51,50,51,101,45,48,53,10,32,32,49,46,48,53,
      49,53,57,101,45,48,53,32,49,46,48,57,48,54,56,101,45,48,53,32,49,46,49,51,48,
      53,49,101,45,48,53,32,49,46,49,55,49,48,55,101,45,48,53,32,49,46,50,49,50,51,
      57,101,45,48,53,32,49,46,50,53,52,52,53,101,45,48,53,32,49,46,50,57,55,50,53,
      101,45,48,53,10,32,32,49,46,51,52,48,56,101,45,48,53,32,49,46,51,56,53,48,57,
      101,45,48,53,32,49,46,52,51,48,50,101,45,48,53,32,49,46,52,55,54,48,53,101,
      45,48,53,32,49,46,53,50,50,54,53,101,45,48,53,32,49,46,53,55,101,45,48,53,32,
      49,46,54,49,56,49,54,101,45,48,53,32,49,46,54,54,55,49,50,101,45,48,53,10,32,
      32,49,46,55,49,54,56,54,101,45,48,53,32,49,46,55,54,55,51,52,101,45,48,53,32,
      49,46,56,49,56,54,49,101,45,48,53,32,49,46,56,55,48,55,55,101,45,48,53,32,49,
      46,57,50,51,54,55,101,45,48,53,32,49,46,57,55,55,51,54,101,45,48,53,32,50,46,
      48,51,49,56,51,101,45,48,53,10,32,32,50,46,48,56,55,49,52,101,45,48,53,32,50,
      46,49,52,51,50,55,101,45,48,53,32,50,46,50,48,48,50,101,45,48,53,32,50,46,50,
      53,55,57,51,101,45,48,53,32,50,46,51,49,54,52,51,101,45,48,53,32,50,46,51,55,
      53,54,57,101,45,48,53,32,50,46,52,51,53,56,49,101,45,48,53,10,32,32,50,46,52,
      57,54,55,50,101,45,48,53,32,50,46,53,53,56,52,101,45,48,53,32,50,46,54,50,48,
      55,52,101,45,48,53,32,50,46,54,56,52,50,56,101,45,48,53,32,50,46,55,52,57,52,
      57,101,45,48,53,32,50,46,56,49,53,53,50,101,45,48,53,32,50,46,56,56,50,50,55,
      101,45,48,53,10,32,32,50,46,57,52,57,48,57,101,45,48,53,32,51,46,48,49,54,55,
      51,101,45,48,53,32,51,46,48,56,53,49,54,101,45,48,53,32,51,46,49,53,52,52,101,
      45,48,53,32,51,46,50,50,51,53,50,101,45,48,53,32,51,46,50,57,50,56,53,101,45,
      48,53,32,51,46,51,54,50,57,57,101,45,48,53,10,32,32,51,46,52,51,51,57,50,101,
      45,48,53,32,51,46,53,48,53,51,52,101,45,48,53,32,51,46,53,55,53,53,57,101,45,
      48,53,32,51,46,54,52,54,54,51,101,45,48,53,32,51,46,55,49,56,52,55,101,45,48,
      53,32,51,46,55,57,49,48,57,101,45,48,53,32,51,46,56,54,50,53,57,101,45,48,53,
      10,32,32,51,46,57,51,51,56,50,101,45,48,53,32,52,46,48,48,53,56,55,101,45,48,
      53,32,52,46,48,55,56,55,50,101,45,48,53,32,52,46,49,53,49,56,55,101,45,48,53,
      32,52,46,50,50,50,55,56,101,45,48,53,32,52,46,50,57,52,53,54,101,45,48,53,32,
      52,46,51,54,55,52,49,101,45,48,53,10,32,32,52,46,52,52,51,51,55,101,45,48,53,
      32,52,46,53,49,56,54,55,101,45,48,53,32,52,46,53,57,52,48,51,101,45,48,53,32,
      52,46,54,55,48,51,57,101,45,48,53,32,52,46,55,52,55,54,55,101,45,48,53,32,52,
      46,56,50,53,52,53,101,45,48,53,32,52,46,57,48,50,52,101,45,48,53,10,32,32,52,
      46,57,56,48,51,57,101,45,48,53,32,53,46,48,53,57,51,51,101,45,48,53,32,53,46,
      49,51,57,50,56,101,45,48,53,32,53,46,50,49,56,56,54,101,45,48,53,32,53,46,50,
      57,56,56,57,101,45,48,53,32,53,46,51,55,57,57,54,101,45,48,53,32,53,46,52,54,
      49,57,57,101,45,48,53,10,32,32,53,46,53,52,52,55,50,101,45,48,53,32,53,46,54,
      50,55,49,51,101,45,48,53,32,53,46,55,49,48,54,49,101,45,48,53,32,53,46,55,57,
      53,49,101,45,48,53,32,53,46,56,56,48,52,52,101,45,48,53,32,53,46,57,54,54,48,
      52,101,45,48,53,32,54,46,48,53,50,50,101,45,48,53,10,32,32,54,46,49,51,57,52,
      49,101,45,48,53,32,54,46,50,50,55,52,55,101,45,48,53,32,54,46,51,49,54,51,50,
      101,45,48,53,32,54,46,52,48,53,52,49,101,45,48,53,32,54,46,52,57,53,52,50,101,
      45,48,53,32,54,46,53,56,54,51,56,101,45,48,53,32,54,46,54,55,56,49,56,101,45,
      48,53,10,32,32,54,46,55,55,48,52,57,101,45,48,53,32,54,46,56,54,51,53,55,101,
      45,48,53,32,54,46,57,53,55,52,54,101,45,48,53,32,55,46,48,53,50,50,50,101,45,
      48,53,32,55,46,49,52,55,55,55,101,45,48,53,32,55,46,50,52,51,57,56,101,45,48,
      53,32,55,46,51,52,48,57,55,101,45,48,53,10,32,32,55,46,52,51,56,55,54,101,45,
      48,53,32,55,46,53,51,55,51,55,101,45,48,53,32,55,46,54,51,54,56,101,45,48,53,
      32,55,46,55,51,55,48,51,101,45,48,53,32,55,46,56,51,55,57,57,101,45,48,53,32,
      55,46,57,51,57,55,50,101,45,48,53,32,56,46,48,52,50,50,55,101,45,48,53,10,32,
      32,56,46,49,52,53,55,56,101,45,48,53,32,56,46,50,53,48,48,53,101,45,48,53,32,
      56,46,51,57,48,48,49,101,45,48,53,32,56,46,55,50,49,51,52,101,45,48,53,32,57,
      46,50,50,48,57,51,101,45,48,53,32,46,48,48,48,49,48,48,54,49,52,32,46,48,48,
      48,49,48,57,49,52,49,10,32,32,46,48,48,48,49,49,55,56,48,54,32,46,48,48,48,
      49,50,54,54,52,53,32,46,48,48,48,49,51,53,54,54,52,32,46,48,48,48,49,52,52,
      56,55,50,32,46,48,48,48,49,53,52,50,51,53,32,46,48,48,48,49,54,51,55,48,56,
      32,46,48,48,48,49,55,51,50,49,56,32,46,48,48,48,49,56,51,50,57,56,10,32,32,
      46,48,48,48,49,57,50,57,56,49,32,46,48,48,48,50,48,52,53,54,50,32,46,48,48,
      48,50,49,54,52,49,32,46,48,48,48,50,51,50,57,52,56,32,46,48,48,48,50,53,48,
      57,54,51,32,46,48,48,48,50,55,49,50,53,56,32,46,48,48,48,51,48,49,53,54,50,
      32,46,48,48,48,51,51,57,56,52,55,10,32,32,46,48,48,48,51,56,55,57,48,54,32,
      46,48,48,48,52,53,51,49,56,32,46,48,48,48,53,49,48,53,52,51,32,46,48,48,48,
      53,53,53,57,51,55,32,46,48,48,48,53,56,48,49,48,55,32,46,48,48,48,54,48,49,
      51,54,53,32,46,48,48,48,54,51,48,48,54,32,46,48,48,48,54,54,57,48,52,51,10,
      32,32,46,48,48,48,55,50,49,53,54,49,32,46,48,48,48,55,57,51,50,51,54,32,46,
      48,48,48,56,57,52,53,49,52,32,46,48,48,49,48,54,48,52,53,32,46,48,48,49,51,
      48,52,52,51,32,46,48,48,49,54,56,57,52,55,32,46,48,48,50,49,57,56,51,54,32,
      46,48,48,50,52,49,49,53,51,10,32,32,46,48,48,50,51,56,50,52,53,32,46,48,48,
      50,51,48,56,52,52,32,46,48,48,50,50,56,49,52,56,32,46,48,48,50,51,51,54,51,
      51,32,46,48,48,50,52,54,55,53,55,32,46,48,48,50,54,56,54,56,32,46,48,48,50,
      57,55,57,54,55,32,46,48,48,51,51,56,50,54,53,32,46,48,48,51,57,57,48,55,54,
      10,32,32,46,48,48,52,57,54,52,51,53,32,46,48,48,54,48,48,57,53,51,32,46,48,
      48,55,49,57,53,52,32,46,48,48,56,51,54,56,56,55,32,46,48,48,57,56,56,55,49,
      51,32,46,48,49,50,50,55,53,54,32,46,48,49,52,52,54,51,56,32,46,48,49,54,49,
      55,51,52,32,46,48,49,55,52,48,51,51,10,32,32,46,48,49,57,49,53,48,55,32,46,
      48,50,48,57,57,48,54,32,46,48,50,50,55,53,49,53,32,46,48,50,52,49,54,55,56,
      32,46,48,50,53,52,56,55,52,32,46,48,50,54,57,57,53,49,32,46,48,50,57,49,49,
      49,32,46,48,51,49,51,51,55,53,32,46,48,51,50,57,53,48,57,10,32,32,46,48,51,
      53,54,48,55,32,46,48,51,55,52,55,55,49,32,46,48,51,56,52,54,55,52,32,46,48,
      51,56,55,51,52,56,32,46,48,51,56,56,54,51,55,32,46,48,51,57,55,52,55,55,32,
      46,48,52,49,50,53,48,56,32,46,48,52,50,56,56,57,53,32,46,48,52,52,52,54,55,
      49,10,32,32,46,48,52,54,49,56,57,49,32,46,48,52,55,52,50,50,57,32,46,48,52,
      56,53,51,51,56,32,46,48,52,57,56,48,54,49,32,46,48,53,48,48,56,52,51,32,46,
      48,52,57,53,56,53,56,32,46,48,52,56,48,49,54,53,32,46,48,52,54,55,51,50,56,
      32,46,48,52,53,51,50,51,51,10,32,32,46,48,52,51,48,51,51,53,32,46,48,52,48,
      54,51,51,57,32,46,48,51,57,52,55,56,54,32,46,48,51,56,49,52,55,50,32,46,48,
      51,55,54,56,57,50,32,46,48,51,55,53,53,54,51,32,46,48,52,49,51,56,49,56,32,
      46,48,52,48,53,51,52,56,32,46,48,52,48,49,55,54,53,10,32,32,46,48,51,57,52,
      55,54,56,32,46,48,51,56,54,57,49,32,46,48,51,56,48,50,57,49,32,46,48,51,55,
      51,54,51,49,32,46,48,51,54,55,51,56,49,32,46,48,51,54,49,50,50,49,32,46,48,
      51,53,52,52,48,49,32,46,48,51,52,56,51,53,55,32,46,48,51,52,49,55,50,51,10,
      32,32,46,48,51,51,54,56,54,57,32,46,48,51,50,57,48,49,32,46,48,51,50,52,50,
      51,49,32,46,48,51,49,56,51,52,49,32,46,48,51,48,52,56,54,53,32,46,48,50,56,
      54,56,57,56,32,46,48,50,55,48,49,48,53,32,46,48,50,53,48,49,57,50,32,46,48,
      50,51,49,53,49,50,10,32,32,46,48,50,49,48,55,49,54,32,46,48,49,57,52,54,56,
      51,32,46,48,49,55,49,48,48,56,32,46,48,49,52,52,57,52,55,32,46,48,49,51,51,
      51,51,53,32,46,48,49,50,49,52,54,32,46,48,49,48,55,50,56,32,46,48,48,57,54,
      50,53,56,55,32,46,48,48,56,54,51,57,51,53,10,32,32,46,48,48,55,54,51,55,55,
      49,32,46,48,48,54,55,53,51,48,52,32,46,48,48,54,48,54,52,57,50,32,46,48,48,
      53,52,52,56,53,50,32,46,48,48,52,56,57,54,49,53,32,46,48,48,52,51,51,52,54,
      53,32,46,48,48,51,55,56,49,50,32,46,48,48,51,50,53,48,51,57,32,46,48,48,50,
      56,51,55,53,56,10,32,32,46,48,48,50,52,52,49,49,53,32,46,48,48,50,49,51,50,
      56,50,32,46,48,48,49,56,54,52,49,51,32,46,48,48,49,54,48,53,55,57,32,46,48,
      48,49,51,54,57,49,50,32,46,48,48,49,50,49,48,56,54,32,46,48,48,49,48,53,48,
      55,57,32,46,48,48,48,57,50,55,57,50,53,10,32,32,46,48,48,48,56,49,50,54,55,
      32,46,48,48,48,55,49,49,55,55,51,32,46,48,48,48,54,50,51,52,57,56,32,46,48,
      48,48,53,52,54,51,49,54,32,46,48,48,48,52,55,56,56,48,54,32,46,48,48,48,52,
      49,57,55,52,32,46,48,48,48,51,54,56,48,52,56,32,46,48,48,48,51,50,50,55,57,
      51,10,32,32,46,48,48,48,50,56,51,49,54,51,32,46,48,48,48,50,52,56,52,52,57,
      32,46,48,48,48,50,49,56,48,50,57,32,46,48,48,48,49,57,49,51,55,53,32,46,48,
      48,48,49,54,56,48,49,49,32,46,48,48,48,49,52,55,53,50,53,32,46,48,48,48,49,
      50,57,53,54,32,46,48,48,48,49,49,51,56,48,53,10,32,32,57,46,57,57,55,56,53,
      101,45,48,53,32,56,46,55,56,52,50,51,101,45,48,53,32,55,46,55,49,57,52,101,
      45,48,53,32,54,46,55,56,52,54,51,101,45,48,53,32,53,46,57,54,51,52,51,101,45,
      48,53,32,53,46,50,52,50,48,49,101,45,48,53,32,52,46,54,48,56,53,101,45,48,53,
      10,32,32,52,46,48,53,50,51,50,101,45,48,53,32,51,46,53,54,51,53,50,101,45,48,
      53,32,51,46,49,51,52,48,55,101,45,48,53,32,50,46,55,53,54,55,101,45,48,53,32,
      50,46,52,50,53,48,52,101,45,48,53,32,50,46,49,51,51,53,50,101,45,48,53,32,49,
      46,56,55,55,50,54,101,45,48,53,10,32,32,49,46,54,53,49,56,50,101,45,48,53,32,
      49,46,52,53,51,55,50,101,45,48,53,32,49,46,51,49,54,51,49,101,45,48,53,32,49,
      46,49,57,49,57,54,101,45,48,53,32,49,46,48,55,57,52,50,101,45,48,53,32,57,46,
      55,55,53,53,52,101,45,48,54,32,56,46,56,53,52,51,51,101,45,48,54,10,32,32,55,
      46,57,49,56,51,54,101,45,48,54,32,54,46,56,55,52,55,49,101,45,48,54,32,53,46,
      57,54,57,50,54,101,45,48,54,32,53,46,49,56,51,54,101,45,48,54,32,52,46,53,48,
      49,56,101,45,48,54,32,51,46,57,49,48,48,54,101,45,48,54,32,51,46,51,57,54,52,
      49,101,45,48,54,10,32,32,50,46,57,53,48,53,51,101,45,48,54,32,50,46,53,54,51,
      52,49,101,45,48,54,32,50,46,50,50,55,50,57,101,45,48,54,32,49,46,57,51,53,52,
      49,101,45,48,54,32,49,46,54,56,49,57,49,101,45,48,54,32,49,46,52,54,49,55,51,
      101,45,48,54,32,49,46,50,55,48,52,56,101,45,48,54,10,32,32,49,46,49,48,52,51,
      52,101,45,48,54,32,57,46,54,48,48,48,50,101,45,48,55,32,56,46,51,52,53,57,49,
      101,45,48,55,32,55,46,50,53,54,49,55,101,45,48,55,32,54,46,51,48,57,49,56,101,
      45,48,55,32,53,46,52,56,54,49,52,101,45,48,55,32,52,46,55,55,48,56,101,45,48,
      55,10,32,32,52,46,49,52,56,50,56,101,45,48,55,32,51,46,54,48,56,52,56,101,45,
      48,55,32,51,46,49,51,56,49,57,101,45,48,55,32,50,46,55,50,57,49,54,101,45,48,
      55,32,50,46,51,55,51,53,56,101,45,48,55,32,50,46,48,54,52,52,55,101,45,48,55,
      32,49,46,55,57,53,55,50,101,45,48,55,10,32,32,49,46,53,54,50,48,52,101,45,48,
      55,32,49,46,51,53,56,56,53,101,45,48,55,32,49,46,49,56,50,49,54,101,45,48,55,
      32,49,46,48,50,56,53,101,45,48,55,32,56,46,57,52,56,54,51,101,45,48,56,32,55,
      46,55,56,54,50,57,101,45,48,56,32,54,46,55,55,53,50,56,101,45,48,56,10,32,32,
      53,46,56,57,53,56,54,101,45,48,56,32,53,46,49,51,48,56,52,101,45,48,56,32,51,
      46,56,56,54,50,56,101,45,48,56,32,50,46,57,52,52,49,49,101,45,48,56,32,50,46,
      50,51,48,56,49,101,45,48,56,32,49,46,54,57,48,54,51,101,45,48,56,32,49,46,50,
      56,49,52,55,101,45,48,56,10,32,32,57,46,55,49,52,56,53,101,45,48,57,32,55,46,
      51,54,54,48,56,101,45,48,57,32,53,46,53,56,54,48,53,101,45,48,57,32,52,46,50,
      51,54,56,49,101,45,48,57,32,51,46,50,49,51,57,50,101,45,48,57,32,50,46,52,51,
      56,51,50,101,45,48,57,32,49,46,56,53,48,49,52,101,45,48,57,10,32,32,49,46,52,
      48,52,48,51,101,45,48,57,32,49,46,48,54,53,54,51,101,45,48,57,32,56,46,48,56,
      56,56,54,101,45,49,48,32,54,46,49,52,48,55,50,101,45,49,48,32,52,46,54,54,50,
      51,49,101,45,49,48,32,51,46,53,52,48,50,51,101,45,49,48,32,50,46,54,56,56,52,
      57,101,45,49,48,10,32,32,50,46,48,52,49,57,101,45,49,48,32,49,46,53,53,48,57,
      55,101,45,49,48,32,49,46,49,55,56,50,101,45,49,48,32,56,46,57,53,49,49,54,101,
      45,49,49,32,54,46,56,48,49,49,49,101,45,49,49,32,53,46,49,54,55,57,56,101,45,
      49,49,32,51,46,57,50,55,51,54,101,45,49,49,10,32,32,50,46,57,56,52,56,51,101,
      45,49,49,32,50,46,50,54,56,55,49,101,45,49,49,32,49,46,55,50,52,54,101,45,49,
      49,32,51,46,48,48,54,48,50,101,45,49,48,32,49,46,50,48,53,51,55,101,45,48,57,
      32,50,46,55,49,52,51,54,101,45,48,57,32,51,46,48,48,54,49,52,101,45,48,57,10,
      32,32,49,46,50,48,53,53,52,101,45,48,56,32,50,46,55,49,53,49,101,45,48,56,32,
      52,46,56,50,54,56,49,101,45,48,56,32,55,46,53,52,49,51,53,101,45,48,56,32,49,
      46,48,56,54,53,53,101,45,48,55,32,49,46,52,55,57,49,50,101,45,48,55,32,49,46,
      57,51,50,56,56,101,45,48,55,10,32,32,50,46,52,52,55,51,53,101,45,48,55,32,51,
      46,48,50,50,54,56,101,45,48,55,32,51,46,54,53,57,51,53,101,45,48,55,32,52,46,
      51,53,55,53,51,101,45,48,55,32,53,46,49,49,55,49,53,101,45,48,55,32,53,46,57,
      51,56,54,50,101,45,48,55,32,54,46,56,50,50,50,49,101,45,48,55,10,32,32,55,46,
      55,54,55,56,55,101,45,48,55,32,56,46,55,55,54,49,50,101,45,48,55,32,57,46,56,
      52,54,57,51,101,45,48,55,32,49,46,48,57,56,48,52,101,45,48,54,32,49,46,50,49,
      55,54,55,101,45,48,54,32,49,46,51,52,51,54,53,101,45,48,54,32,49,46,52,55,53,
      57,57,101,45,48,54,10,32,32,49,46,54,49,52,54,52,101,45,48,54,32,49,46,55,53,
      57,54,101,45,48,54,32,49,46,57,49,49,101,45,48,54,32,50,46,48,54,56,56,101,
      45,48,54,32,50,46,50,51,51,48,49,101,45,48,54,32,50,46,52,48,51,52,54,101,45,
      48,54,32,50,46,53,56,48,51,55,101,45,48,54,10,32,32,50,46,55,54,51,55,101,45,
      48,54,32,50,46,57,53,51,53,50,101,45,48,54,32,51,46,49,52,57,54,50,101,45,48,
      54,32,51,46,51,53,50,48,52,101,45,48,54,32,51,46,53,54,48,56,56,101,45,48,54,
      32,51,46,55,55,54,50,49,101,45,48,54,32,51,46,57,57,56,48,50,101,45,48,54,10,
      32,32,52,46,50,50,53,56,52,101,45,48,54,32,52,46,52,54,48,49,51,101,45,48,54,
      32,52,46,55,48,48,57,49,101,45,48,54,32,52,46,57,52,56,49,56,101,45,48,54,32,
      53,46,50,48,49,53,57,101,45,48,54,32,53,46,52,54,49,50,53,101,45,48,54,32,53,
      46,55,50,55,52,50,101,45,48,54,10,32,32,54,46,48,48,48,48,52,101,45,48,54,32,
      54,46,50,55,57,49,51,101,45,48,54,32,54,46,53,54,52,50,52,101,45,48,54,32,54,
      46,56,53,53,55,56,101,45,48,54,32,55,46,49,53,51,56,54,101,45,48,54,32,55,46,
      52,53,56,52,101,45,48,54,32,55,46,55,54,57,50,57,101,45,48,54,10,32,32,56,46,
      48,56,54,52,56,101,45,48,54,32,56,46,52,49,48,49,56,101,45,48,54,32,56,46,55,
      52,48,51,57,101,45,48,54,32,57,46,48,55,55,49,51,101,45,48,54,32,57,46,52,50,
      48,50,57,101,45,48,54,32,57,46,55,54,57,57,51,101,45,48,54,32,49,46,48,49,50,
      54,50,101,45,48,53,10,32,32,49,46,48,52,56,57,101,45,48,53,32,49,46,48,56,53,
      56,52,101,45,48,53,32,49,46,49,50,51,52,53,101,45,48,53,32,49,46,49,54,49,55,
      50,101,45,48,53,32,49,46,50,48,48,54,53,101,45,48,53,32,49,46,50,52,48,50,52,
      101,45,48,53,32,49,46,50,56,48,53,53,101,45,48,53,10,32,32,49,46,51,50,49,53,
      51,101,45,48,53,32,49,46,51,54,51,49,55,101,45,48,53,32,49,46,52,48,53,52,55,
      101,45,48,53,32,49,46,52,52,56,53,101,45,48,53,32,49,46,52,57,50,50,51,101,
      45,48,53,32,49,46,53,51,54,54,52,101,45,48,53,32,49,46,53,56,49,55,51,101,45,
      48,53,10,32,32,49,46,54,50,55,53,49,101,45,48,53,32,49,46,54,55,52,48,53,101,
      45,48,53,32,49,46,55,50,49,50,55,101,45,48,53,32,49,46,55,54,57,49,57,101,45,
      48,53,32,49,46,56,49,55,56,101,45,48,53,32,49,46,56,54,55,49,53,101,45,48,53,
      32,49,46,57,49,55,50,49,101,45,48,53,10,32,32,49,46,57,54,55,57,57,101,45,48,
      53,32,50,46,48,49,57,52,56,101,45,48,53,32,50,46,48,55,49,54,53,101,45,48,53,
      32,50,46,49,50,52,53,101,45,48,53,32,50,46,49,55,56,49,49,101,45,48,53,32,50,
      46,50,51,50,52,49,101,45,48,53,32,50,46,50,56,55,52,101,45,48,53,10,32,32,50,
      46,51,52,50,57,56,101,45,48,53,32,50,46,51,57,57,50,51,101,45,48,53,32,50,46,
      52,53,54,50,53,101,45,48,53,32,50,46,53,49,51,57,54,101,45,48,53,32,50,46,53,
      55,50,51,101,45,48,53,32,50,46,54,51,48,57,55,101,45,48,53,32,50,46,54,57,48,
      51,50,101,45,48,53,10,32,32,50,46,55,53,48,51,52,101,45,48,53,32,50,46,56,49,
      49,48,53,101,45,48,53,32,50,46,56,55,49,57,57,101,45,48,53,32,50,46,57,51,51,
      51,49,101,45,48,53,32,50,46,57,57,53,51,50,101,45,48,53,32,51,46,48,53,56,101,
      45,48,53,32,51,46,49,50,49,50,49,101,45,48,53,10,32,32,51,46,49,56,52,49,51,
      101,45,48,53,32,51,46,50,52,55,55,51,101,45,48,53,32,51,46,51,49,49,57,57,101,
      45,48,53,32,51,46,51,55,54,57,52,101,45,48,53,32,51,46,52,52,49,54,50,101,45,
      48,53,32,51,46,53,48,54,52,53,101,45,48,53,32,51,46,53,55,49,57,55,101,45,48,
      53,10,32,32,51,46,54,51,56,49,56,101,45,48,53,32,51,46,55,48,52,56,101,45,48,
      53,32,51,46,55,55,48,54,50,101,45,48,53,32,51,46,56,51,55,49,53,101,45,48,53,
      32,51,46,57,48,52,52,101,45,48,53,32,51,46,57,55,50,53,55,101,45,48,53,32,52,
      46,48,52,48,50,55,101,45,48,53,10,32,32,52,46,49,48,56,48,56,101,45,48,53,32,
      52,46,49,55,54,55,54,101,45,48,53,32,52,46,50,52,54,50,54,101,45,48,53,32,52,
      46,51,49,54,50,50,101,45,48,53,32,52,46,51,56,53,53,57,101,45,48,53,32,52,46,
      52,53,53,56,53,101,45,48,53,32,52,46,53,50,54,57,54,101,45,48,53,10,32,32,52,
      46,53,57,56,57,51,101,45,48,53,32,52,46,54,55,48,54,57,101,45,48,53,32,52,46,
      55,52,50,56,55,101,45,48,53,32,52,46,56,49,53,57,54,101,45,48,53,32,52,46,56,
      56,57,56,56,101,45,48,53,32,52,46,57,54,52,52,52,101,45,48,53,32,53,46,48,51,
      56,56,50,101,45,48,53,10,32,32,53,46,49,49,52,49,101,45,48,53,32,53,46,49,57,
      48,50,57,101,45,48,53,32,53,46,50,54,55,50,49,101,45,48,53,32,53,46,51,52,52,
      52,50,101,45,48,53,32,53,46,52,50,50,49,52,101,45,48,53,32,53,46,53,48,48,55,
      55,101,45,48,53,32,53,46,53,56,48,49,53,101,45,48,53,10,32,32,53,46,54,54,48,
      50,51,101,45,48,53,32,53,46,55,52,48,53,54,101,45,48,53,32,53,46,56,50,49,55,
      101,45,48,53,32,53,46,57,48,51,54,56,101,45,48,53,32,53,46,57,56,54,51,57,101,
      45,48,53,32,54,46,48,54,57,53,55,101,45,48,53,32,54,46,49,53,51,52,53,101,45,
      48,53,10,32,32,54,46,50,51,56,48,52,101,45,48,53,32,54,46,51,50,51,51,56,101,
      45,48,53,32,54,46,52,48,57,52,51,101,45,48,53,32,54,46,52,57,54,48,56,101,45,
      48,53,32,54,46,53,56,51,52,50,101,45,48,53,32,54,46,54,55,49,52,55,101,45,48,
      53,32,54,46,55,54,48,50,51,101,45,48,53,10,32,32,54,46,56,52,57,55,51,101,45,
      48,53,32,54,46,57,51,57,57,51,101,45,48,53,32,55,46,48,51,48,55,55,101,45,48,
      53,32,55,46,49,50,50,51,101,45,48,53,32,55,46,50,49,52,53,54,101,45,48,53,32,
      55,46,51,48,55,54,52,101,45,48,53,32,55,46,52,48,49,52,101,45,48,53,10,32,32,
      55,46,53,50,55,50,53,101,45,48,53,32,55,46,56,50,53,101,45,48,53,32,56,46,50,
      55,51,54,55,101,45,48,53,32,57,46,48,50,55,53,50,101,45,48,53,32,57,46,55,57,
      48,57,57,101,45,48,53,32,46,48,48,48,49,48,53,54,53,51,32,46,48,48,48,49,49,
      51,53,51,51,10,32,32,46,48,48,48,49,50,49,53,53,56,32,46,48,48,48,49,50,57,
      55,51,51,32,46,48,48,48,49,51,56,48,51,54,32,46,48,48,48,49,52,54,52,51,32,
      46,48,48,48,49,53,52,56,53,56,32,46,48,48,48,49,54,51,51,49,54,32,46,48,48,
      48,49,55,49,56,48,52,32,46,48,48,48,49,56,50,52,52,54,10,32,32,46,48,48,48,
      49,57,51,49,50,55,32,46,48,48,48,50,48,55,55,55,52,32,46,48,48,48,50,50,51,
      54,55,50,32,46,48,48,48,50,52,49,53,50,49,32,46,48,48,48,50,54,56,48,57,32,
      46,48,48,48,51,48,49,53,55,32,46,48,48,48,51,52,51,53,51,32,46,48,48,48,52,
      48,48,53,49,10,32,32,46,48,48,48,52,53,48,55,48,50,32,46,48,48,48,52,57,48,
      55,48,50,32,46,48,48,48,53,49,50,51,48,57,32,46,48,48,48,53,51,49,52,48,55,
      32,46,48,48,48,53,53,55,48,52,50,32,46,48,48,48,53,57,49,54,54,56,32,46,48,
      48,48,54,51,56,48,57,49,32,46,48,48,48,55,48,49,49,55,55,10,32,32,46,48,48,
      48,55,56,57,57,56,50,32,46,48,48,48,57,51,53,49,49,57,32,46,48,48,49,49,52,
      56,53,55,32,46,48,48,49,52,56,54,57,53,32,46,48,48,49,57,51,55,54,55,32,46,
      48,48,50,49,50,53,54,54,32,46,48,48,50,48,57,56,49,32,46,48,48,50,48,51,49,
      54,56,10,32,32,46,48,48,50,48,48,56,48,50,32,46,48,48,50,48,53,54,56,54,32,
      46,48,48,50,49,55,50,56,52,32,46,48,48,50,51,54,53,56,51,32,46,48,48,50,54,
      50,51,49,53,32,46,48,48,50,57,55,55,49,57,32,46,48,48,51,53,49,50,50,54,32,
      46,48,48,52,51,55,50,32,46,48,48,53,50,57,57,55,52,10,32,32,46,48,48,54,51,
      53,55,55,32,46,48,48,55,52,49,50,50,51,32,46,48,48,56,55,56,57,55,57,32,46,
      48,49,48,57,56,55,50,32,46,48,49,51,48,50,54,52,32,46,48,49,52,54,50,48,51,
      32,46,48,49,53,55,53,55,54,32,46,48,49,55,51,55,51,49,32,46,48,49,57,48,56,
      56,50,10,32,32,46,48,50,48,55,49,57,32,46,48,50,50,48,48,48,54,32,46,48,50,
      51,49,55,55,52,32,46,48,50,52,53,52,56,52,32,46,48,50,54,53,51,48,57,32,46,
      48,50,56,54,54,57,55,32,46,48,51,48,50,53,48,54,32,46,48,51,50,57,48,54,57,
      32,46,48,51,52,56,53,48,57,10,32,32,46,48,51,53,57,57,49,54,32,46,48,51,54,
      52,54,56,32,46,48,51,54,55,51,55,56,32,46,48,51,55,54,53,53,57,32,46,48,51,
      57,49,49,50,51,32,46,48,52,48,54,56,50,57,32,46,48,52,50,49,57,52,49,32,46,
      48,52,51,56,52,53,51,32,46,48,52,53,48,51,32,46,48,52,54,49,48,52,55,10,32,
      32,46,48,52,55,51,55,48,57,32,46,48,52,55,54,57,49,53,32,46,48,52,55,51,51,
      52,52,32,46,48,52,53,57,55,56,51,32,46,48,52,52,56,51,51,52,32,46,48,52,51,
      53,54,48,55,32,46,48,52,49,52,54,56,51,32,46,48,51,57,50,53,51,55,32,46,48,
      51,56,49,56,49,55,10,32,32,46,48,51,54,57,52,57,49,32,46,48,51,54,53,50,56,
      56,32,46,48,51,54,52,50,53,49,32,46,48,52,48,48,55,56,53,32,46,48,51,57,51,
      48,50,50,32,46,48,51,56,57,55,50,49,32,46,48,51,56,51,50,52,56,32,46,48,51,
      55,53,57,52,51,32,46,48,51,54,57,55,54,53,10,32,32,46,48,51,54,51,53,50,55,
      32,46,48,51,53,55,54,53,49,32,46,48,51,53,49,56,52,53,32,46,48,51,52,53,52,
      48,50,32,46,48,51,51,57,54,56,53,32,46,48,51,51,51,51,57,54,32,46,48,51,50,
      56,55,56,55,32,46,48,51,50,49,51,48,56,32,46,48,51,49,54,55,53,49,10,32,32,
      46,48,51,49,49,49,50,53,32,46,48,50,57,56,50,50,32,46,48,50,56,48,57,55,54,
      32,46,48,50,54,52,56,48,49,32,46,48,50,52,53,53,54,50,32,46,48,50,50,55,52,
      53,57,32,46,48,50,48,55,50,53,32,46,48,49,57,49,54,51,56,32,46,48,49,54,56,
      53,50,55,32,46,48,49,52,50,57,50,55,10,32,32,46,48,49,51,49,53,52,32,46,48,
      49,49,57,56,57,53,32,46,48,49,48,53,57,53,57,32,46,48,48,57,53,49,49,57,56,
      32,46,48,48,56,53,52,48,55,52,32,46,48,48,55,53,53,51,54,57,32,46,48,48,54,
      54,56,51,48,53,32,46,48,48,54,48,48,52,50,54,32,46,48,48,53,51,57,53,54,49,
      10,32,32,46,48,48,52,56,52,57,57,32,46,48,48,52,50,57,52,57,32,46,48,48,51,
      55,52,55,53,55,32,46,48,48,51,50,50,50,52,54,32,46,48,48,50,56,49,52,50,52,
      32,46,48,48,50,52,50,49,56,50,32,46,48,48,50,49,49,54,51,55,32,46,48,48,49,
      56,53,48,49,50,32,46,48,48,49,53,57,52,48,50,10,32,32,46,48,48,49,51,53,57,
      51,51,32,46,48,48,49,50,48,50,51,56,32,46,48,48,49,48,52,51,54,32,46,48,48,
      48,57,50,49,54,55,57,32,46,48,48,48,56,48,55,50,57,54,32,46,48,48,48,55,48,
      55,51,49,50,32,46,48,48,48,54,49,57,56,53,52,32,46,48,48,48,53,52,51,49,55,
      56,10,32,32,46,48,48,48,52,55,54,49,48,51,32,46,48,48,48,52,49,55,52,48,56,
      32,46,48,48,48,51,54,54,48,51,52,32,46,48,48,48,51,50,49,48,53,51,32,46,48,
      48,48,50,56,49,54,53,56,32,46,48,48,48,50,52,55,49,52,56,32,46,48,48,48,50,
      49,54,57,48,52,32,46,48,48,48,49,57,48,52,48,49,10,32,32,46,48,48,48,49,54,
      55,49,54,54,32,46,48,48,48,49,52,54,55,57,50,32,46,48,48,48,49,50,56,57,50,
      52,32,46,48,48,48,49,49,51,50,53,51,32,57,46,57,52,57,57,52,101,45,48,53,32,
      56,46,55,52,50,54,49,101,45,48,53,32,55,46,54,56,51,50,101,45,48,53,32,54,46,
      55,53,51,49,101,45,48,53,10,32,32,53,46,57,51,54,52,50,101,45,48,53,32,53,46,
      50,49,57,50,52,101,45,48,53,32,52,46,53,56,57,50,55,101,45,48,53,32,52,46,48,
      51,53,53,56,101,45,48,53,32,51,46,53,52,56,57,53,101,45,48,53,32,51,46,49,50,
      49,51,54,101,45,48,53,32,50,46,55,52,53,54,50,101,45,48,53,10,32,32,50,46,52,
      49,53,51,56,101,45,48,53,32,50,46,49,50,53,49,101,45,48,53,32,49,46,56,54,57,
      57,50,101,45,48,53,32,49,46,54,52,53,52,50,101,45,48,53,32,49,46,52,52,56,49,
      51,101,45,48,53,32,49,46,51,49,49,50,56,101,45,48,53,32,49,46,49,56,55,52,50,
      101,45,48,53,10,32,32,49,46,48,55,53,51,51,101,45,48,53,32,57,46,55,51,56,55,
      55,101,45,48,54,32,56,46,56,50,49,50,51,101,45,48,54,32,55,46,56,56,56,57,54,
      101,45,48,54,32,54,46,56,52,57,52,49,101,45,48,54,32,53,46,57,52,55,52,55,101,
      45,48,54,32,53,46,49,54,52,56,101,45,48,54,10,32,32,52,46,52,56,53,53,56,101,
      45,48,54,32,51,46,56,57,54,48,55,101,45,48,54,32,51,46,51,56,52,51,54,101,45,
      48,54,32,50,46,57,52,48,49,51,101,45,48,54,32,50,46,53,53,52,52,52,101,45,48,
      54,32,50,46,50,49,57,53,52,101,45,48,54,32,49,46,57,50,56,55,49,101,45,48,54,
      10,32,32,49,46,54,55,54,49,50,101,45,48,54,32,49,46,52,53,54,55,51,101,45,48,
      54,32,49,46,50,54,54,49,54,101,45,48,54,32,49,46,49,48,48,54,49,101,45,48,54,
      32,57,46,53,54,55,56,49,101,45,48,55,32,56,46,51,49,56,48,56,101,45,48,55,32,
      55,46,50,51,50,48,57,101,45,48,55,10,32,32,54,46,50,56,56,51,50,101,45,48,55,
      32,53,46,52,54,56,49,49,101,45,48,55,32,52,46,55,53,53,49,56,101,45,48,55,32,
      52,46,49,51,52,55,55,101,45,48,55,32,51,46,53,57,54,55,57,101,45,48,55,32,51,
      46,49,50,56,52,54,101,45,48,55,32,50,46,55,50,49,50,57,101,45,48,55,10,32,32,
      50,46,51,54,55,50,54,101,45,48,55,32,50,46,48,53,57,52,49,101,45,48,55,32,49,
      46,55,57,49,53,101,45,48,55,32,49,46,53,53,56,51,57,101,45,48,55,32,49,46,51,
      53,53,54,57,101,45,48,55,32,49,46,49,55,57,52,50,101,45,48,55,32,49,46,48,50,
      54,49,51,101,45,48,55,10,32,32,56,46,57,50,56,49,101,45,48,56,32,55,46,55,54,
      56,53,52,101,45,48,56,32,54,46,55,53,57,57,51,101,45,48,56,32,53,46,56,56,50,
      53,54,101,45,48,56,32,53,46,49,49,57,51,51,101,45,48,56,32,51,46,56,55,55,54,
      55,101,45,48,56,32,50,46,57,51,55,54,52,101,45,48,56,10,32,32,50,46,50,50,53,
      57,53,101,45,48,56,32,49,46,54,56,54,57,55,101,45,48,56,32,49,46,50,55,56,55,
      50,101,45,48,56,32,57,46,54,57,52,50,51,101,45,48,57,32,55,46,51,53,48,53,57,
      101,45,48,57,32,53,46,53,55,52,51,57,101,45,48,57,32,52,46,50,50,56,48,49,101,
      45,48,57,10,32,32,51,46,50,48,55,50,56,101,45,48,57,32,50,46,52,51,51,51,50,
      101,45,48,57,32,49,46,56,52,54,51,56,101,45,48,57,32,49,46,52,48,49,49,57,101,
      45,48,57,32,49,46,48,54,51,52,56,101,45,48,57,32,56,46,48,55,50,54,54,101,45,
      49,48,32,54,46,49,50,56,52,54,101,45,49,48,10,32,32,52,46,54,53,51,48,51,101,
      45,49,48,32,51,46,53,51,51,50,50,101,45,49,48,32,50,46,54,56,51,50,101,45,49,
      48,32,50,46,48,51,55,57,101,45,49,48,32,49,46,53,52,55,57,54,101,45,49,48,32,
      49,46,49,55,53,57,50,101,45,49,48,32,56,46,57,51,51,57,101,45,49,49,10,32,32,
      54,46,55,56,56,48,53,101,45,49,49,32,53,46,49,53,56,48,57,101,45,49,49,32,51,
      46,57,49,57,56,56,101,45,49,49,32,50,46,57,55,57,49,57,101,45,49,49,32,50,46,
      50,54,52,52,52,101,45,49,49,32,49,46,55,50,49,51,55,101,45,49,49,32,50,46,55,
      50,51,52,101,45,49,48,10,32,32,49,46,48,57,50,48,53,101,45,48,57,32,50,46,52,
      53,57,49,53,101,45,48,57,32,50,46,55,50,51,53,101,45,48,57,32,49,46,48,57,50,
      49,56,101,45,48,56,32,50,46,52,53,57,55,54,101,45,48,56,32,52,46,51,55,50,55,
      57,101,45,48,56,32,54,46,56,51,49,56,51,101,45,48,56,10,32,32,57,46,56,52,50,
      57,50,101,45,48,56,32,49,46,51,51,57,56,56,101,45,48,55,32,49,46,55,53,48,56,
      53,101,45,48,55,32,50,46,50,49,54,55,57,101,45,48,55,32,50,46,55,51,55,56,101,
      45,48,55,32,51,46,51,49,52,51,101,45,48,55,32,51,46,57,52,54,52,53,101,45,48,
      55,10,32,32,52,46,54,51,52,49,55,101,45,48,55,32,53,46,51,55,55,56,101,45,48,
      55,32,54,46,49,55,55,53,57,101,45,48,55,32,55,46,48,51,51,52,55,101,45,48,55,
      32,55,46,57,52,53,56,57,101,45,48,55,32,56,46,57,49,52,56,51,101,45,48,55,32,
      57,46,57,52,48,51,53,101,45,48,55,10,32,32,49,46,49,48,50,50,55,101,45,48,54,
      32,49,46,50,49,54,50,51,101,45,48,54,32,49,46,51,51,53,57,52,101,45,48,54,32,
      49,46,52,54,49,51,52,101,45,48,54,32,49,46,53,57,50,52,52,101,45,48,54,32,49,
      46,55,50,57,51,53,101,45,48,54,32,49,46,56,55,50,48,52,101,45,48,54,10,32,32,
      50,46,48,50,48,53,50,101,45,48,54,32,50,46,49,55,52,54,51,101,45,48,54,32,50,
      46,51,51,52,53,54,101,45,48,54,32,50,46,53,48,48,51,101,45,48,54,32,50,46,54,
      55,49,56,57,101,45,48,54,32,50,46,56,52,57,49,52,101,45,48,54,32,51,46,48,51,
      50,49,49,101,45,48,54,10,32,32,51,46,50,50,48,56,55,101,45,48,54,32,51,46,52,
      49,53,52,56,101,45,48,54,32,51,46,54,49,53,57,52,101,45,48,54,32,51,46,56,50,
      49,56,53,101,45,48,54,32,52,46,48,51,51,53,56,101,45,48,54,32,52,46,50,53,49,
      49,55,101,45,48,54,32,52,46,52,55,52,54,50,101,45,48,54,10,32,32,52,46,55,48,
      51,54,50,101,45,48,54,32,52,46,57,51,56,50,54,101,45,48,54,32,53,46,49,55,56,
      55,56,101,45,48,54,32,53,46,52,50,53,49,50,101,45,48,54,32,53,46,54,55,55,50,
      57,101,45,48,54,32,53,46,57,51,52,57,49,101,45,48,54,32,54,46,49,57,56,51,52,
      101,45,48,54,10,32,32,54,46,52,54,55,54,54,101,45,48,54,32,54,46,55,52,50,56,
      49,101,45,48,54,32,55,46,48,50,51,54,57,101,45,48,54,32,55,46,51,49,48,50,54,
      101,45,48,54,32,55,46,54,48,50,55,101,45,48,54,32,55,46,57,48,49,48,49,101,
      45,48,54,32,56,46,50,48,53,50,49,101,45,48,54,10,32,32,56,46,53,49,53,49,57,
      101,45,48,54,32,56,46,56,51,49,48,50,101,45,48,54,32,57,46,49,53,50,56,101,
      45,48,54,32,57,46,52,56,48,52,54,101,45,48,54,32,57,46,56,49,52,49,50,101,45,
      48,54,32,49,46,48,49,53,51,56,101,45,48,53,32,49,46,48,52,57,57,52,101,45,48,
      53,10,32,32,49,46,48,56,53,48,57,101,45,48,53,32,49,46,49,50,48,56,53,101,45,
      48,53,32,49,46,49,53,55,50,52,101,45,48,53,32,49,46,49,57,52,50,51,101,45,48,
      53,32,49,46,50,51,49,56,50,101,45,48,53,32,49,46,50,55,48,48,49,101,45,48,53,
      32,49,46,51,48,56,56,53,101,45,48,53,10,32,32,49,46,51,52,56,51,50,101,45,48,
      53,32,49,46,51,56,56,52,101,45,48,53,32,49,46,52,50,57,48,57,101,45,48,53,32,
      49,46,52,55,48,52,101,45,48,53,32,49,46,53,49,50,51,57,101,45,48,53,32,49,46,
      53,53,52,57,57,101,45,48,53,32,49,46,53,57,56,50,50,101,45,48,53,10,32,32,49,
      46,54,52,50,48,55,101,45,48,53,32,49,46,54,56,54,53,56,101,45,48,53,32,49,46,
      55,51,49,55,51,101,45,48,53,32,49,46,55,55,55,53,50,101,45,48,53,32,49,46,56,
      50,51,57,53,101,45,48,53,32,49,46,56,55,48,57,57,101,45,48,53,32,49,46,57,49,
      56,54,52,101,45,48,53,10,32,32,49,46,57,54,54,57,55,101,45,48,53,32,50,46,48,
      49,53,57,51,101,45,48,53,32,50,46,48,54,53,53,101,45,48,53,32,50,46,49,49,53,
      54,49,101,45,48,53,32,50,46,49,54,54,51,50,101,45,48,53,32,50,46,50,49,55,55,
      50,101,45,48,53,32,50,46,50,54,57,55,51,101,45,48,53,10,32,32,50,46,51,50,50,
      51,51,101,45,48,53,32,50,46,51,55,53,50,50,101,45,48,53,32,50,46,52,50,56,55,
      52,101,45,48,53,32,50,46,52,56,50,56,54,101,45,48,53,32,50,46,53,51,55,53,57,
      101,45,48,53,32,50,46,53,57,50,53,53,101,45,48,53,32,50,46,54,52,55,56,56,101,
      45,48,53,10,32,32,50,46,55,48,51,56,50,101,45,48,53,32,50,46,55,54,48,51,55,
      101,45,48,53,32,50,46,56,49,55,52,101,45,48,53,32,50,46,56,55,52,50,50,101,
      45,48,53,32,50,46,57,51,49,54,53,101,45,48,53,32,50,46,57,56,57,54,57,101,45,
      48,53,32,51,46,48,52,56,51,50,101,45,48,53,10,32,32,51,46,49,48,54,55,56,101,
      45,48,53,32,51,46,49,54,53,52,101,45,48,53,32,51,46,50,50,52,54,51,101,45,48,
      53,32,51,46,50,56,52,52,56,101,45,48,53,32,51,46,51,52,52,55,51,101,45,48,53,
      32,51,46,52,48,52,51,50,101,45,48,53,32,51,46,52,54,52,53,53,101,45,48,53,10,
      32,32,51,46,53,50,53,52,52,101,45,48,53,32,51,46,53,56,55,49,51,101,45,48,53,
      32,51,46,54,52,56,52,54,101,45,48,53,32,51,46,55,48,57,57,50,101,45,48,53,32,
      51,46,55,55,50,49,53,101,45,48,53,32,51,46,56,51,53,49,49,101,45,48,53,32,51,
      46,56,57,56,53,101,45,48,53,10,32,32,51,46,57,54,49,52,50,101,45,48,53,32,52,
      46,48,50,53,49,52,101,45,48,53,32,52,46,48,56,57,54,101,45,48,53,32,52,46,49,
      53,52,56,52,101,45,48,53,32,52,46,50,49,57,57,51,101,45,48,53,32,52,46,50,56,
      53,52,49,101,45,48,53,32,52,46,51,53,49,55,101,45,48,53,10,32,32,52,46,52,49,
      56,55,50,101,45,48,53,32,52,46,52,56,54,51,50,101,45,48,53,32,52,46,53,53,51,
      56,101,45,48,53,32,52,46,54,50,50,48,56,101,45,48,53,32,52,46,54,57,49,49,54,
      101,45,48,53,32,52,46,55,54,48,57,101,45,48,53,32,52,46,56,51,48,57,49,101,
      45,48,53,10,32,32,52,46,57,48,49,51,57,101,45,48,53,32,52,46,57,55,50,54,56,
      101,45,48,53,32,53,46,48,52,52,54,52,101,45,48,53,32,53,46,49,49,55,50,50,101,
      45,48,53,32,53,46,49,57,48,48,53,101,45,48,53,32,53,46,50,54,51,54,49,101,45,
      48,53,32,53,46,51,51,55,57,49,101,45,48,53,10,32,32,53,46,52,49,50,56,54,101,
      45,48,53,32,53,46,52,56,56,50,53,101,45,48,53,32,53,46,53,54,52,50,54,101,45,
      48,53,32,53,46,54,52,48,57,49,101,45,48,53,32,53,46,55,49,56,50,52,101,45,48,
      53,32,53,46,55,57,54,50,49,101,45,48,53,32,53,46,56,55,52,55,49,101,45,48,53,
      10,32,32,53,46,57,53,51,56,51,101,45,48,53,32,54,46,48,51,51,54,101,45,48,53,
      32,54,46,49,49,52,101,45,48,53,32,54,46,49,57,53,48,54,101,45,48,53,32,54,46,
      50,55,54,55,54,101,45,48,53,32,54,46,51,53,57,48,51,101,45,48,53,32,54,46,52,
      52,49,57,50,101,45,48,53,10,32,32,54,46,53,50,53,52,54,101,45,48,53,32,54,46,
      54,48,57,55,52,101,45,48,53,32,54,46,54,57,52,54,51,101,45,48,53,32,54,46,56,
      48,56,53,55,101,45,48,53,32,55,46,48,55,56,48,56,101,45,48,53,32,55,46,52,56,
      52,48,56,101,45,48,53,32,56,46,49,54,53,56,56,101,45,48,53,10,32,32,56,46,56,
      53,53,56,53,101,45,48,53,32,57,46,53,53,53,101,45,48,53,32,46,48,48,48,49,48,
      50,54,53,56,32,46,48,48,48,49,48,57,56,57,32,46,48,48,48,49,49,55,50,52,57,
      32,46,48,48,48,49,50,52,55,49,53,32,46,48,48,48,49,51,50,50,53,56,32,46,48,
      48,48,49,51,57,56,51,10,32,32,46,48,48,48,49,52,55,52,50,54,32,46,48,48,48,
      49,53,53,48,53,51,32,46,48,48,48,49,54,52,50,56,53,32,46,48,48,48,49,55,52,
      49,48,51,32,46,48,48,48,49,56,55,51,49,52,32,46,48,48,48,50,48,49,53,52,53,
      32,46,48,48,48,50,49,55,52,54,56,32,46,48,48,48,50,52,49,48,55,57,10,32,32,
      46,48,48,48,50,55,48,55,51,32,46,48,48,48,51,48,55,56,49,51,32,46,48,48,48,
      51,53,56,49,54,56,32,46,48,48,48,52,48,50,54,51,52,32,46,48,48,48,52,51,56,
      51,48,54,32,46,48,48,48,52,53,55,56,51,54,32,46,48,48,48,52,55,53,49,55,51,
      32,46,48,48,48,52,57,56,51,50,57,10,32,32,46,48,48,48,53,50,57,52,52,49,32,
      46,48,48,48,53,55,48,57,54,52,32,46,48,48,48,54,50,55,49,54,50,32,46,48,48,
      48,55,48,53,57,57,50,32,46,48,48,48,56,51,52,53,48,54,32,46,48,48,49,48,50,
      51,53,51,32,46,48,48,49,51,50,52,51,53,32,46,48,48,49,55,50,55,54,56,10,32,
      32,46,48,48,49,56,57,53,51,55,32,46,48,48,49,56,54,57,52,52,32,46,48,48,49,
      56,48,57,52,56,32,46,48,48,49,55,56,56,54,51,32,46,48,48,49,56,51,50,54,55,
      32,46,48,48,49,57,51,54,52,32,46,48,48,50,49,48,56,51,51,32,46,48,48,50,51,
      51,55,49,54,32,46,48,48,50,54,53,49,57,10,32,32,46,48,48,51,49,50,56,49,52,
      32,46,48,48,51,56,57,53,54,49,32,46,48,48,52,55,50,55,53,32,46,48,48,53,54,
      56,48,51,54,32,46,48,48,54,54,51,53,57,55,32,46,48,48,55,56,57,52,54,56,32,
      46,48,48,57,57,50,54,53,32,46,48,49,49,56,51,51,53,32,46,48,49,51,51,50,53,
      49,10,32,32,46,48,49,52,51,56,50,53,32,46,48,49,53,56,56,52,50,32,46,48,49,
      55,52,57,48,49,32,46,48,49,57,48,48,56,53,32,46,48,50,48,49,55,55,56,32,46,
      48,50,49,50,51,54,56,32,46,48,50,50,52,57,51,49,32,46,48,50,52,51,53,55,55,
      32,46,48,50,54,52,49,50,50,10,32,32,46,48,50,55,57,53,53,52,32,46,48,51,48,
      53,57,51,50,32,46,48,51,50,53,56,52,50,32,46,48,51,51,56,51,57,56,32,46,48,
      51,52,52,56,51,53,32,46,48,51,52,56,54,56,49,32,46,48,51,53,56,49,50,50,32,
      46,48,51,55,50,50,54,32,46,48,51,56,55,51,53,53,10,32,32,46,48,52,48,49,56,
      54,56,32,46,48,52,49,55,55,52,51,32,46,48,52,50,57,49,52,55,32,46,48,52,51,
      57,53,53,57,32,46,48,52,53,50,49,51,51,32,46,48,52,53,53,54,56,54,32,46,48,
      52,53,51,51,50,50,32,46,48,52,52,49,53,57,54,32,46,48,52,51,49,51,53,52,10,
      32,32,46,48,52,49,57,56,48,54,32,46,48,52,48,48,54,49,52,32,46,48,51,56,48,
      48,57,56,32,46,48,51,55,48,49,48,57,32,46,48,51,53,56,54,52,57,32,46,48,51,
      53,52,55,56,52,32,46,48,51,53,52,48,48,54,32,46,48,51,56,56,57,57,50,32,46,
      48,51,56,49,56,54,51,10,32,32,46,48,51,55,56,56,49,50,32,46,48,51,55,50,56,
      48,52,32,46,48,51,54,53,57,57,49,32,46,48,51,54,48,50,48,53,32,46,48,51,53,
      52,51,52,51,32,46,48,51,52,56,56,48,57,32,46,48,51,52,51,51,50,50,32,46,48,
      51,51,55,50,50,32,46,48,51,51,49,55,57,32,46,48,51,50,53,56,48,55,10,32,32,
      46,48,51,50,49,52,49,51,32,46,48,51,49,52,50,55,53,32,46,48,51,48,57,57,49,
      57,32,46,48,51,48,52,53,51,55,32,46,48,50,57,50,49,53,57,32,46,48,50,55,53,
      53,54,50,32,46,48,50,53,57,57,52,51,32,46,48,50,52,49,51,49,55,32,46,48,50,
      50,51,55,52,10,32,32,46,48,50,48,52,48,55,32,46,48,49,56,56,56,51,54,32,46,
      48,49,54,54,50,52,50,32,46,48,49,52,49,48,55,51,32,46,48,49,50,57,56,57,51,
      32,46,48,49,49,56,52,52,57,32,46,48,49,48,52,55,52,57,32,46,48,48,57,52,48,
      55,51,49,32,46,48,48,56,52,53,32,46,48,48,55,52,55,54,54,52,10,32,32,46,48,
      48,54,54,49,55,50,49,32,46,48,48,53,57,52,56,49,51,32,46,48,48,53,51,52,54,
      57,49,32,46,48,48,52,56,48,55,51,53,32,46,48,48,52,50,53,56,51,51,32,46,48,
      48,51,55,49,54,54,56,32,46,48,48,51,49,57,54,55,51,32,46,48,48,50,55,57,50,
      52,32,46,48,48,50,52,48,51,57,49,10,32,32,46,48,48,50,49,48,49,50,52,32,46,
      48,48,49,56,51,55,50,32,46,48,48,49,53,56,51,49,56,32,46,48,48,49,51,53,48,
      51,53,32,46,48,48,49,49,57,52,53,56,32,46,48,48,49,48,51,54,57,54,32,46,48,
      48,48,57,49,53,57,50,57,32,46,48,48,48,56,48,50,51,53,57,10,32,32,46,48,48,
      48,55,48,51,48,54,52,32,46,48,48,48,54,49,54,50,48,52,32,46,48,48,48,53,52,
      48,50,48,53,32,46,48,48,48,52,55,51,54,49,50,32,46,48,48,48,52,49,53,50,54,
      51,32,46,48,48,48,51,54,52,49,56,51,32,46,48,48,48,51,49,57,52,53,52,32,46,
      48,48,48,50,56,48,50,55,54,10,32,32,46,48,48,48,50,52,53,57,53,50,32,46,48,
      48,48,50,49,53,56,54,56,32,46,48,48,48,49,56,57,53,48,51,32,46,48,48,48,49,
      54,54,51,56,56,32,46,48,48,48,49,52,54,49,49,57,32,46,48,48,48,49,50,56,51,
      51,57,32,46,48,48,48,49,49,50,55,52,53,32,57,46,57,48,53,56,53,101,45,48,53,
      10,32,32,56,46,55,48,52,50,53,101,45,48,53,32,55,46,54,52,57,56,52,101,45,48,
      53,32,54,46,55,50,52,49,50,101,45,48,53,32,53,46,57,49,49,50,52,101,45,48,53,
      32,53,46,49,57,55,51,51,101,45,48,53,32,52,46,53,55,48,50,51,101,45,48,53,32,
      52,46,48,49,57,53,101,45,48,53,10,32,32,51,46,53,51,53,51,56,101,45,48,53,32,
      51,46,49,48,57,54,54,101,45,48,53,32,50,46,55,51,53,52,51,101,45,48,53,32,50,
      46,52,48,54,53,101,45,48,53,32,50,46,49,49,55,51,55,101,45,48,53,32,49,46,56,
      54,51,49,55,101,45,48,53,32,49,46,54,51,57,53,51,101,45,48,53,10,32,32,49,46,
      52,52,50,57,56,101,45,48,53,32,49,46,51,48,54,54,52,101,45,48,53,32,49,46,49,
      56,51,50,54,101,45,48,53,32,49,46,48,55,49,53,57,101,45,48,53,32,57,46,55,48,
      53,48,53,101,45,48,54,32,56,46,55,57,48,56,57,101,45,48,54,32,55,46,56,54,50,
      48,49,101,45,48,54,10,32,32,54,46,56,50,54,49,56,101,45,48,54,32,53,46,57,50,
      55,52,50,101,45,48,54,32,53,46,49,52,55,53,51,101,45,48,54,32,52,46,52,55,48,
      54,57,101,45,48,54,32,51,46,56,56,51,50,51,101,45,48,54,32,51,46,51,55,51,50,
      57,101,45,48,54,32,50,46,57,51,48,53,56,101,45,48,54,10,32,32,50,46,53,52,54,
      49,57,101,45,48,54,32,50,46,50,49,50,52,49,101,45,48,54,32,49,46,57,50,50,53,
      53,101,45,48,54,32,49,46,54,55,48,56,49,101,45,48,54,32,49,46,52,53,50,49,53,
      101,45,48,54,32,49,46,50,54,50,50,49,101,45,48,54,32,49,46,48,57,55,49,57,101,
      45,48,54,10,32,32,57,46,53,51,56,50,52,101,45,48,55,32,56,46,50,57,50,52,57,
      101,45,48,55,32,55,46,50,48,57,57,55,101,45,48,55,32,54,46,50,54,57,49,56,101,
      45,48,55,32,53,46,52,53,49,53,52,101,45,48,55,32,52,46,55,52,48,56,54,101,45,
      48,55,32,52,46,49,50,50,52,101,45,48,55,10,32,32,51,46,53,56,54,48,56,101,45,
      48,55,32,51,46,49,49,57,50,49,101,45,48,55,32,50,46,55,49,51,50,55,101,45,48,
      55,32,50,46,51,54,48,51,49,101,45,48,55,32,50,46,48,53,51,51,56,101,45,48,55,
      32,49,46,55,56,54,52,55,101,45,48,55,32,49,46,53,53,52,51,52,101,45,48,55,10,
      32,32,49,46,51,53,50,52,53,101,45,48,55,32,49,46,49,55,54,56,53,101,45,48,55,
      32,49,46,48,50,51,57,54,101,45,48,55,32,56,46,57,48,57,51,53,101,45,48,56,32,
      55,46,55,53,50,51,101,45,48,56,32,54,46,55,52,53,56,55,101,45,48,56,32,53,46,
      56,55,48,51,57,101,45,48,56,10,32,32,53,46,49,48,56,55,57,101,45,48,56,32,51,
      46,56,54,57,55,52,101,45,48,56,32,50,46,57,51,49,54,57,101,45,48,56,32,50,46,
      50,50,49,52,56,101,45,48,56,32,49,46,54,56,51,54,50,101,45,48,56,32,49,46,50,
      55,54,50,101,45,48,56,32,57,46,54,55,53,51,54,101,45,48,57,10,32,32,55,46,51,
      51,54,51,54,101,45,48,57,32,53,46,53,54,51,54,55,101,45,48,57,32,52,46,50,49,
      57,57,53,101,45,48,57,32,51,46,50,48,49,50,49,101,45,48,57,32,50,46,52,50,56,
      55,52,101,45,48,57,32,49,46,56,52,50,57,51,101,45,48,57,32,49,46,51,57,56,53,
      57,101,45,48,57,10,32,32,49,46,48,54,49,53,49,101,45,48,57,32,56,46,48,53,55,
      55,51,101,45,49,48,32,54,46,49,49,55,49,57,101,45,49,48,32,52,46,54,52,52,53,
      51,101,45,49,48,32,51,46,53,50,54,56,49,101,45,49,48,32,50,46,54,55,56,51,55,
      101,45,49,48,32,50,46,48,51,52,50,53,101,45,49,48,10,32,32,49,46,53,52,53,50,
      101,45,49,48,32,49,46,49,55,51,56,52,101,45,49,48,32,56,46,57,49,56,49,101,
      45,49,49,32,54,46,55,55,54,49,101,45,49,49,32,53,46,49,52,57,48,55,101,45,49,
      49,32,51,46,57,49,51,48,55,101,45,49,49,32,50,46,57,55,52,48,50,101,45,49,49,
      10,32,32,50,46,50,54,48,53,51,101,45,49,49,32,49,46,55,49,56,52,49,101,45,49,
      49,32,50,46,52,51,49,56,55,101,45,49,48,32,57,46,55,53,49,52,57,101,45,49,48,
      32,50,46,49,57,53,57,51,101,45,48,57,32,50,46,52,51,49,57,56,101,45,48,57,32,
      57,46,55,53,51,49,49,101,45,48,57,10,32,32,50,46,49,57,54,54,54,101,45,48,56,
      32,51,46,57,48,53,51,49,101,45,48,56,32,54,46,49,48,49,57,49,101,45,48,56,32,
      56,46,55,57,50,48,52,101,45,48,56,32,49,46,49,57,54,57,51,101,45,48,55,32,49,
      46,53,54,52,50,50,101,45,48,55,32,49,46,57,56,48,55,101,45,48,55,10,32,32,50,
      46,52,52,54,53,101,45,48,55,32,50,46,57,54,50,48,49,101,45,48,55,32,51,46,53,
      50,55,51,57,101,45,48,55,32,52,46,49,52,50,53,56,101,45,48,55,32,52,46,56,48,
      55,57,51,101,45,48,55,32,53,46,53,50,51,54,51,101,45,48,55,32,54,46,50,56,57,
      54,55,101,45,48,55,10,32,32,55,46,49,48,54,52,55,101,45,48,55,32,55,46,57,55,
      52,48,50,101,45,48,55,32,56,46,56,57,50,51,53,101,45,48,55,32,57,46,56,54,49,
      55,101,45,48,55,32,49,46,48,56,56,50,54,101,45,48,54,32,49,46,49,57,53,53,101,
      45,48,54,32,49,46,51,48,55,56,54,101,45,48,54,10,32,32,49,46,52,50,53,51,52,
      101,45,48,54,32,49,46,53,52,56,48,51,101,45,48,54,32,49,46,54,55,53,57,50,101,
      45,48,54,32,49,46,56,48,57,48,49,101,45,48,54,32,49,46,57,52,55,49,53,101,45,
      48,54,32,50,46,48,57,48,53,50,101,45,48,54,32,50,46,50,51,57,49,49,101,45,48,
      54,10,32,32,50,46,51,57,50,57,52,101,45,48,54,32,50,46,53,53,49,56,54,101,45,
      48,54,32,50,46,55,49,53,57,49,101,45,48,54,32,50,46,56,56,53,49,53,101,45,48,
      54,32,51,46,48,53,57,54,53,101,45,48,54,32,51,46,50,51,57,52,49,101,45,48,54,
      32,51,46,52,50,52,48,50,101,45,48,54,10,32,32,51,46,54,49,51,56,56,101,45,48,
      54,32,51,46,56,48,56,57,57,101,45,48,54,32,52,46,48,48,57,51,54,101,45,48,54,
      32,52,46,50,49,52,55,101,45,48,54,32,52,46,52,50,53,49,101,45,48,54,32,52,46,
      54,52,48,55,55,101,45,48,54,32,52,46,56,54,49,54,55,101,45,48,54,10,32,32,53,
      46,48,56,55,56,49,101,45,48,54,32,53,46,51,49,56,56,49,101,45,48,54,32,53,46,
      53,53,53,48,51,101,45,48,54,32,53,46,55,57,54,53,52,101,45,48,54,32,54,46,48,
      52,51,50,56,101,45,48,54,32,54,46,50,57,53,49,54,101,45,48,54,32,54,46,53,53,
      50,49,52,101,45,48,54,10,32,32,54,46,56,49,52,51,57,101,45,48,54,32,55,46,48,
      56,49,57,49,101,45,48,54,32,55,46,51,53,52,55,50,101,45,48,54,32,55,46,54,51,
      50,55,49,101,45,48,54,32,55,46,57,49,53,57,54,101,45,48,54,32,56,46,50,48,52,
      53,52,101,45,48,54,32,56,46,52,57,56,52,49,101,45,48,54,10,32,32,56,46,55,57,
      55,54,54,101,45,48,54,32,57,46,49,48,50,51,101,45,48,54,32,57,46,52,49,50,50,
      56,101,45,48,54,32,57,46,55,50,55,53,57,101,45,48,54,32,49,46,48,48,52,56,50,
      101,45,48,53,32,49,46,48,51,55,52,55,101,45,48,53,32,49,46,48,55,48,54,53,101,
      45,48,53,10,32,32,49,46,49,48,52,51,55,101,45,48,53,32,49,46,49,51,56,54,50,
      101,45,48,53,32,49,46,49,55,51,52,54,101,45,48,53,32,49,46,50,48,56,56,55,101,
      45,48,53,32,49,46,50,52,52,56,50,101,45,48,53,32,49,46,50,56,49,51,50,101,45,
      48,53,32,49,46,51,49,56,51,55,101,45,48,53,10,32,32,49,46,51,53,54,48,52,101,
      45,48,53,32,49,46,51,57,52,50,54,101,45,48,53,32,49,46,52,51,51,48,52,101,45,
      48,53,32,49,46,52,55,50,51,55,101,45,48,53,32,49,46,53,49,50,50,57,101,45,48,
      53,32,49,46,53,53,50,56,101,45,48,53,32,49,46,53,57,51,56,55,101,45,48,53,10,
      32,32,49,46,54,51,53,53,49,101,45,48,53,32,49,46,54,55,55,55,49,101,45,48,53,
      32,49,46,55,50,48,52,53,101,45,48,53,32,49,46,55,54,51,56,101,45,48,53,32,49,
      46,56,48,55,55,49,101,45,48,53,32,49,46,56,53,50,49,55,101,45,48,53,32,49,46,
      56,57,55,49,49,101,45,48,53,10,32,32,49,46,57,52,50,53,57,101,45,48,53,32,49,
      46,57,56,56,54,57,101,45,48,53,32,50,46,48,51,53,51,51,101,45,48,53,32,50,46,
      48,56,50,52,57,101,45,48,53,32,50,46,49,50,57,57,51,101,45,48,53,32,50,46,49,
      55,55,57,50,101,45,48,53,32,50,46,50,50,54,52,53,101,45,48,53,10,32,32,50,46,
      50,55,53,53,51,101,45,48,53,32,50,46,51,50,52,56,50,101,45,48,53,32,50,46,51,
      55,52,52,51,101,45,48,53,32,50,46,52,50,52,54,101,45,48,53,32,50,46,52,55,53,
      51,49,101,45,48,53,32,50,46,53,50,54,52,53,101,45,48,53,32,50,46,53,55,55,52,
      101,45,48,53,10,32,32,50,46,54,50,56,57,101,45,48,53,32,50,46,54,56,48,57,52,
      101,45,48,53,32,50,46,55,51,51,53,50,101,45,48,53,32,50,46,55,56,53,57,52,101,
      45,48,53,32,50,46,56,51,56,53,101,45,48,53,32,50,46,56,57,49,54,50,101,45,48,
      53,32,50,46,57,52,53,50,57,101,45,48,53,10,32,32,50,46,57,57,57,51,49,101,45,
      48,53,32,51,46,48,53,50,55,53,101,45,48,53,32,51,46,49,48,54,55,53,101,45,48,
      53,32,51,46,49,54,49,51,53,101,45,48,53,32,51,46,50,49,54,54,53,101,45,48,53,
      32,51,46,50,55,49,54,50,101,45,48,53,32,51,46,51,50,54,55,49,101,45,48,53,10,
      32,32,51,46,51,56,50,52,56,101,45,48,53,32,51,46,52,51,56,57,101,45,48,53,32,
      51,46,52,57,53,55,101,45,48,53,32,51,46,53,53,50,48,55,101,45,48,53,32,51,46,
      54,48,57,49,53,101,45,48,53,32,51,46,54,54,54,56,57,101,45,48,53,32,51,46,55,
      50,53,51,49,101,45,48,53,10,32,32,51,46,55,56,51,54,101,45,48,53,32,51,46,56,
      52,50,50,49,101,45,48,53,32,51,46,57,48,49,53,52,101,45,48,53,32,51,46,57,54,
      49,53,50,101,45,48,53,32,52,46,48,50,50,48,50,101,45,48,53,32,52,46,48,56,50,
      51,57,101,45,48,53,32,52,46,49,52,51,52,55,101,45,48,53,10,32,32,52,46,50,48,
      53,50,55,101,45,48,53,32,52,46,50,54,55,54,54,101,45,48,53,32,52,46,51,51,48,
      50,55,101,45,48,53,32,52,46,51,57,51,50,57,101,45,48,53,32,52,46,52,53,55,48,
      52,101,45,48,53,32,52,46,53,50,49,51,57,101,45,48,53,32,52,46,53,56,54,50,57,
      101,45,48,53,10,32,32,52,46,54,53,49,52,101,45,48,53,32,52,46,55,49,55,49,54,
      101,45,48,53,32,52,46,55,56,51,53,57,101,45,48,53,32,52,46,56,53,48,54,49,101,
      45,48,53,32,52,46,57,49,56,48,49,101,45,48,53,32,52,46,57,56,53,57,55,101,45,
      48,53,32,53,46,48,53,52,53,101,45,48,53,10,32,32,53,46,49,50,51,54,52,101,45,
      48,53,32,53,46,49,57,51,51,53,101,45,48,53,32,53,46,50,54,51,53,53,101,45,48,
      53,32,53,46,51,51,52,50,57,101,45,48,53,32,53,46,52,48,53,54,50,101,45,48,53,
      32,53,46,52,55,55,53,50,101,45,48,53,32,53,46,53,53,48,48,50,101,45,48,53,10,
      32,32,53,46,54,50,51,48,56,101,45,48,53,32,53,46,54,57,54,54,55,101,45,48,53,
      32,53,46,55,55,48,56,49,101,45,48,53,32,53,46,56,52,53,53,52,101,45,48,53,32,
      53,46,57,50,48,57,52,101,45,48,53,32,53,46,57,57,54,56,57,101,45,48,53,32,54,
      46,48,57,56,56,51,101,45,48,53,10,32,32,54,46,51,52,48,48,52,101,45,48,53,32,
      54,46,55,48,51,53,50,101,45,48,53,32,55,46,51,49,52,51,51,101,45,48,53,32,55,
      46,57,51,51,48,54,101,45,48,53,32,56,46,53,54,48,54,49,101,45,48,53,32,57,46,
      49,57,57,50,53,101,45,48,53,32,57,46,56,52,57,51,52,101,45,48,53,10,32,32,46,
      48,48,48,49,48,53,49,49,32,46,48,48,48,49,49,49,56,49,57,32,46,48,48,48,49,
      49,56,53,57,51,32,46,48,48,48,49,50,53,51,56,56,32,46,48,48,48,49,51,50,50,
      48,50,32,46,48,48,48,49,51,57,48,51,57,32,46,48,48,48,49,52,55,51,49,53,32,
      46,48,48,48,49,53,53,55,55,57,10,32,32,46,48,48,48,49,54,55,57,50,50,32,46,
      48,48,48,49,56,48,54,55,52,32,46,48,48,48,49,57,52,56,57,50,32,46,48,48,48,
      50,49,53,56,54,51,32,46,48,48,48,50,52,50,48,52,53,32,46,48,48,48,50,55,52,
      54,54,56,32,46,48,48,48,51,49,56,57,52,50,32,46,48,48,48,51,53,56,49,51,53,
      10,32,32,46,48,48,48,51,56,57,56,48,54,32,46,48,48,48,52,48,55,51,57,51,32,
      46,48,48,48,52,50,51,48,56,32,46,48,48,48,52,52,51,57,50,32,46,48,48,48,52,
      55,49,55,54,51,32,46,48,48,48,53,48,56,55,52,54,32,46,48,48,48,53,53,56,53,
      56,50,32,46,48,48,48,54,50,56,50,49,55,10,32,32,46,48,48,48,55,52,49,52,52,
      53,32,46,48,48,48,57,48,55,57,57,49,32,46,48,48,49,49,55,52,48,52,32,46,48,
      48,49,53,51,51,49,51,32,46,48,48,49,54,56,50,32,46,48,48,49,54,53,55,56,57,
      32,46,48,48,49,54,48,52,49,32,46,48,48,49,53,56,53,57,52,32,46,48,48,49,54,
      50,53,53,51,10,32,32,46,48,48,49,55,49,55,57,50,32,46,48,48,49,56,55,48,52,
      32,46,48,48,50,48,55,50,57,49,32,46,48,48,50,51,53,49,51,54,32,46,48,48,50,
      55,55,51,49,49,32,46,48,48,51,52,53,52,56,53,32,46,48,48,52,49,57,54,56,56,
      32,46,48,48,53,48,53,48,52,53,32,46,48,48,53,57,49,49,54,56,10,32,32,46,48,
      48,55,48,53,53,51,54,32,46,48,48,56,57,50,51,54,51,32,46,48,49,48,54,57,55,
      49,32,46,48,49,50,48,56,54,32,46,48,49,51,48,54,52,52,32,46,48,49,52,52,53,
      51,57,32,46,48,49,53,57,53,48,53,32,46,48,49,55,51,53,56,32,46,48,49,56,52,
      49,57,52,10,32,32,46,48,49,57,51,54,55,51,32,46,48,50,48,53,49,50,57,32,46,
      48,50,50,50,53,56,55,32,46,48,50,52,50,50,50,53,32,46,48,50,53,55,50,48,52,
      32,46,48,50,56,51,50,51,49,32,46,48,51,48,51,52,52,49,32,46,48,51,49,54,57,
      55,53,32,46,48,51,50,52,57,51,52,10,32,32,46,48,51,50,57,56,52,55,32,46,48,
      51,51,57,53,48,53,32,46,48,51,53,51,49,57,55,32,46,48,51,54,55,54,54,52,32,
      46,48,51,56,49,53,54,52,32,46,48,51,57,54,55,56,52,32,46,48,52,48,55,55,51,
      32,46,48,52,49,55,55,57,50,32,46,48,52,51,48,50,52,57,10,32,32,46,48,52,51,
      52,49,50,53,32,46,48,52,51,50,57,49,55,32,46,48,52,50,51,48,48,51,32,46,48,
      52,49,51,57,54,52,32,46,48,52,48,51,53,57,53,32,46,48,51,56,54,49,50,54,32,
      46,48,51,54,55,50,54,51,32,46,48,51,53,56,48,50,50,32,46,48,51,52,55,52,51,
      51,10,32,32,46,48,51,52,51,57,48,54,32,46,48,51,52,51,51,56,54,32,46,48,51,
      55,54,55,57,52,32,46,48,51,55,48,50,57,57,32,46,48,51,54,55,53,48,50,32,46,
      48,51,54,49,57,55,32,46,48,51,53,53,54,54,49,32,46,48,51,53,48,50,55,53,32,
      46,48,51,52,52,55,57,54,10,32,32,46,48,51,51,57,54,48,55,32,46,48,51,51,52,
      52,53,32,46,48,51,50,56,54,57,52,32,46,48,51,50,51,53,54,51,32,46,48,51,49,
      55,56,57,53,32,46,48,51,49,51,55,50,54,32,46,48,51,48,54,57,51,57,32,46,48,
      51,48,50,55,56,57,32,46,48,50,57,55,54,53,52,10,32,32,46,48,50,56,53,56,49,
      51,32,46,48,50,54,57,56,57,49,32,46,48,50,53,52,56,53,51,32,46,48,50,51,54,
      56,53,56,32,46,48,50,49,57,56,51,51,32,46,48,50,48,48,55,50,52,32,46,48,49,
      56,53,56,57,50,32,46,48,49,54,51,56,51,52,32,46,48,49,51,57,49,50,54,10,32,
      32,46,48,49,50,56,49,54,51,32,46,48,49,49,54,57,50,56,32,46,48,49,48,51,52,
      54,56,32,46,48,48,57,50,57,55,50,52,32,46,48,48,56,51,53,52,54,55,32,46,48,
      48,55,51,57,53,51,55,32,46,48,48,54,53,52,55,56,57,32,46,48,48,53,56,56,55,
      55,56,32,46,48,48,53,50,57,53,50,51,10,32,32,46,48,48,52,55,54,50,52,56,32,
      46,48,48,52,50,49,57,56,32,46,48,48,51,54,56,52,49,50,32,46,48,48,51,49,54,
      57,54,55,32,46,48,48,50,55,54,57,52,52,32,46,48,48,50,51,56,52,55,32,46,48,
      48,50,48,56,53,49,49,32,46,48,48,49,56,50,51,54,49,32,46,48,48,49,53,55,49,
      55,56,10,32,32,46,48,48,49,51,52,48,56,55,32,46,48,48,49,49,56,54,51,53,32,
      46,48,48,49,48,50,57,57,56,32,46,48,48,48,57,48,57,56,56,51,32,46,48,48,48,
      55,57,55,49,53,55,32,46,48,48,48,54,57,56,53,56,50,32,46,48,48,48,54,49,50,
      51,52,52,32,46,48,48,48,53,51,54,56,56,50,10,32,32,46,48,48,48,52,55,48,56,
      50,56,32,46,48,48,48,52,49,50,57,57,32,46,48,48,48,51,54,50,50,50,56,32,46,
      48,48,48,51,49,55,55,54,54,32,46,48,48,48,50,55,56,56,49,57,32,46,48,48,48,
      50,52,52,54,57,50,32,46,48,48,48,50,49,52,55,55,56,32,46,48,48,48,49,56,56,
      53,53,57,10,32,32,46,48,48,48,49,54,53,53,55,32,46,48,48,48,49,52,53,52,48,
      56,32,46,48,48,48,49,50,55,55,50,51,32,46,48,48,48,49,49,50,50,49,32,57,46,
      56,53,57,51,53,101,45,48,53,32,56,46,54,54,51,57,101,45,48,53,32,55,46,54,49,
      52,55,56,101,45,48,53,32,54,46,54,57,51,54,51,101,45,48,53,10,32,32,53,46,56,
      56,52,55,101,45,48,53,32,53,46,49,55,52,50,49,101,45,48,53,32,52,46,53,53,48,
      48,56,101,45,48,53,32,52,46,48,48,49,57,54,101,45,48,53,32,51,46,53,50,48,49,
      49,101,45,48,53,32,51,46,48,57,54,54,52,101,45,48,53,32,50,46,55,50,52,52,51,
      101,45,48,53,10,32,32,50,46,51,57,55,49,55,101,45,48,53,32,50,46,49,48,57,50,
      50,101,45,48,53,32,49,46,56,53,54,48,53,101,45,48,53,32,49,46,54,51,51,51,50,
      101,45,48,53,32,49,46,52,51,55,53,55,101,45,48,53,32,49,46,51,48,49,55,55,101,
      45,48,53,32,49,46,49,55,56,56,56,101,45,48,53,10,32,32,49,46,48,54,55,54,52,
      101,45,48,53,32,57,46,54,54,57,53,56,101,45,48,54,32,56,46,55,53,56,57,51,101,
      45,48,54,32,55,46,56,51,51,54,101,45,48,54,32,54,46,56,48,49,54,56,101,45,48,
      54,32,53,46,57,48,54,51,50,101,45,48,54,32,53,46,49,50,57,51,54,101,45,48,54,
      10,32,32,52,46,52,53,53,48,52,101,45,48,54,32,51,46,56,54,57,55,52,101,45,48,
      54,32,51,46,51,54,49,54,52,101,45,48,54,32,50,46,57,50,48,53,50,101,45,48,54,
      32,50,46,53,51,55,53,49,101,45,48,54,32,50,46,50,48,52,57,50,101,45,48,54,32,
      49,46,57,49,54,48,56,101,45,48,54,10,32,32,49,46,54,54,53,50,50,101,45,48,54,
      32,49,46,52,52,55,51,51,101,45,48,54,32,49,46,50,53,56,48,52,101,45,48,54,32,
      49,46,48,57,51,53,57,101,45,48,54,32,57,46,53,48,55,49,51,101,45,48,55,32,56,
      46,50,54,53,53,56,101,45,48,55,32,55,46,49,56,54,54,57,101,45,48,55,10,32,32,
      54,46,50,52,57,48,56,101,45,48,55,32,53,46,52,51,52,49,55,101,45,48,55,32,52,
      46,55,50,53,56,52,101,45,48,55,32,52,46,49,48,57,52,50,101,45,48,55,32,51,46,
      53,55,52,56,52,101,45,48,55,32,51,46,49,48,57,52,55,101,45,48,55,32,50,46,55,
      48,52,56,52,101,45,48,55,10,32,32,50,46,51,53,51,101,45,48,55,32,50,46,48,52,
      55,48,53,101,45,48,55,32,49,46,55,56,48,57,57,101,45,48,55,32,49,46,53,52,57,
      54,101,45,48,55,32,49,46,51,52,56,51,53,101,45,48,55,32,49,46,49,55,51,51,101,
      45,48,55,32,49,46,48,50,49,48,51,101,45,48,55,10,32,32,56,46,56,56,53,54,51,
      101,45,48,56,32,55,46,55,51,51,50,52,101,45,48,56,32,54,46,55,51,48,54,53,101,
      45,48,56,32,53,46,56,53,55,53,54,101,45,48,56,32,53,46,48,57,55,54,55,101,45,
      48,56,32,51,46,56,54,49,52,49,101,45,48,56,32,50,46,57,50,53,52,54,101,45,48,
      56,10,32,32,50,46,50,49,54,56,49,101,45,48,56,32,49,46,54,56,48,49,49,101,45,
      48,56,32,49,46,50,55,51,53,54,101,45,48,56,32,57,46,54,53,53,52,53,101,45,48,
      57,32,55,46,51,50,49,52,101,45,48,57,32,53,46,53,53,50,52,50,101,45,48,57,32,
      52,46,50,49,49,52,55,101,45,48,57,10,32,32,51,46,49,57,52,56,50,101,45,48,57,
      32,50,46,52,50,51,57,50,101,45,48,57,32,49,46,56,51,57,50,55,101,45,48,57,32,
      49,46,51,57,53,56,51,101,45,48,57,32,49,46,48,53,57,52,51,101,45,48,57,32,56,
      46,48,52,50,48,54,101,45,49,48,32,54,46,49,48,53,51,57,101,45,49,48,10,32,32,
      52,46,54,51,53,54,52,101,45,49,48,32,51,46,53,50,48,49,101,45,49,48,32,50,46,
      54,55,51,50,57,101,45,49,48,32,50,46,48,51,48,52,50,101,45,49,48,32,49,46,53,
      52,50,51,101,45,49,48,32,49,46,49,55,49,54,52,101,45,49,48,32,56,46,57,48,49,
      53,52,101,45,49,49,10,32,32,54,46,55,54,51,53,57,101,45,49,49,32,53,46,49,51,
      57,54,49,101,45,49,49,32,51,46,57,48,53,57,50,101,45,49,49,32,50,46,57,54,56,
      54,49,101,45,49,49,32,50,46,50,53,54,52,51,101,45,49,49,32,49,46,55,49,53,51,
      101,45,49,49,32,50,46,49,56,49,55,52,101,45,49,48,10,32,32,56,46,55,52,56,52,
      54,101,45,49,48,32,49,46,57,55,48,48,52,101,45,48,57,32,50,46,49,56,49,56,49,
      101,45,48,57,32,56,46,55,52,57,52,49,101,45,48,57,32,49,46,57,55,48,52,54,101,
      45,48,56,32,51,46,53,48,50,56,51,101,45,48,56,32,53,46,52,55,50,52,51,101,45,
      48,56,10,32,32,55,46,56,56,52,48,49,101,45,48,56,32,49,46,48,55,51,49,54,101,
      45,48,55,32,49,46,52,48,50,50,52,101,45,48,55,32,49,46,55,55,53,50,57,101,45,
      48,55,32,50,46,49,57,50,51,56,101,45,48,55,32,50,46,54,53,51,56,51,101,45,48,
      55,32,51,46,49,53,57,55,52,101,45,48,55,10,32,32,51,46,55,49,48,48,51,101,45,
      48,55,32,52,46,51,48,52,57,55,101,45,48,55,32,52,46,57,52,52,55,50,101,45,48,
      55,32,53,46,54,50,57,50,101,45,48,55,32,54,46,51,53,56,55,53,101,45,48,55,32,
      55,46,49,51,51,51,52,101,45,48,55,32,55,46,57,53,51,48,53,101,45,48,55,10,32,
      32,56,46,56,49,56,101,45,48,55,32,57,46,55,50,56,53,56,101,45,48,55,32,49,46,
      48,54,56,52,57,101,45,48,54,32,49,46,49,54,56,54,53,101,45,48,54,32,49,46,50,
      55,51,51,54,101,45,48,54,32,49,46,51,56,50,54,56,101,45,48,54,32,49,46,52,57,
      54,54,101,45,48,54,10,32,32,49,46,54,49,53,49,50,101,45,48,54,32,49,46,55,51,
      56,49,52,101,45,48,54,32,49,46,56,54,53,55,56,101,45,48,54,32,49,46,57,57,56,
      48,52,101,45,48,54,32,50,46,49,51,52,57,52,101,45,48,54,32,50,46,50,55,54,51,
      54,101,45,48,54,32,50,46,52,50,50,51,52,101,45,48,54,10,32,32,50,46,53,55,50,
      57,50,101,45,48,54,32,50,46,55,50,56,49,53,101,45,48,54,32,50,46,56,56,56,48,
      51,101,45,48,54,32,51,46,48,53,50,50,54,101,45,48,54,32,51,46,50,50,49,49,51,
      101,45,48,54,32,51,46,51,57,52,54,53,101,45,48,54,32,51,46,53,55,50,56,50,101,
      45,48,54,10,32,32,51,46,55,53,53,52,50,101,45,48,54,32,51,46,57,52,50,53,51,
      101,45,48,54,32,52,46,49,51,52,51,49,101,45,48,54,32,52,46,51,51,48,55,49,101,
      45,48,54,32,52,46,53,51,49,55,53,101,45,48,54,32,52,46,55,51,55,49,53,101,45,
      48,54,32,52,46,57,52,55,49,54,101,45,48,54,10,32,32,53,46,49,54,49,56,54,101,
      45,48,54,32,53,46,51,56,49,49,56,101,45,48,54,32,53,46,54,48,53,48,55,101,45,
      48,54,32,53,46,56,51,51,52,57,101,45,48,54,32,54,46,48,54,54,53,55,101,45,48,
      54,32,54,46,51,48,52,51,50,101,45,48,54,32,54,46,53,52,54,55,52,101,45,48,54,
      10,32,32,54,46,55,57,51,55,54,101,45,48,54,32,55,46,48,52,53,52,50,101,45,48,
      54,32,55,46,51,48,49,56,101,45,48,54,32,55,46,53,54,50,56,52,101,45,48,54,32,
      55,46,56,50,56,54,52,101,45,48,54,32,56,46,48,57,57,49,57,101,45,48,54,32,56,
      46,51,55,52,52,53,101,45,48,54,10,32,32,56,46,54,53,52,52,50,101,45,48,54,32,
      56,46,57,51,57,49,50,101,45,48,54,32,57,46,50,50,56,56,54,101,45,48,54,32,57,
      46,53,50,51,51,51,101,45,48,54,32,57,46,56,50,50,53,53,101,45,48,54,32,49,46,
      48,49,50,54,53,101,45,48,53,32,49,46,48,52,51,53,54,101,45,48,53,10,32,32,49,
      46,48,55,52,57,54,101,45,48,53,32,49,46,49,48,54,56,53,101,45,48,53,32,49,46,
      49,51,57,50,49,101,45,48,53,32,49,46,49,55,50,48,54,101,45,48,53,32,49,46,50,
      48,53,52,53,101,45,48,53,32,49,46,50,51,57,51,50,101,45,48,53,32,49,46,50,55,
      51,54,56,101,45,48,53,10,32,32,49,46,51,48,56,53,51,101,45,48,53,32,49,46,51,
      52,51,57,101,45,48,53,32,49,46,51,55,57,55,55,101,45,48,53,32,49,46,52,49,54,
      49,52,101,45,48,53,32,49,46,52,53,51,48,50,101,45,48,53,32,49,46,52,57,48,51,
      56,101,45,48,53,32,49,46,53,50,56,50,50,101,45,48,53,10,32,32,49,46,53,54,54,
      53,57,101,45,48,53,32,49,46,54,48,53,52,53,101,45,48,53,32,49,46,54,52,52,55,
      57,101,45,48,53,32,49,46,54,56,52,53,56,101,45,48,53,32,49,46,55,50,52,56,51,
      101,45,48,53,32,49,46,55,54,53,54,50,101,45,48,53,32,49,46,56,48,54,57,101,
      45,48,53,10,32,32,49,46,56,52,56,54,51,101,45,48,53,32,49,46,56,57,48,54,52,
      101,45,48,53,32,49,46,57,51,51,49,51,101,45,48,53,32,49,46,57,55,54,49,101,
      45,48,53,32,50,46,48,49,57,53,53,101,45,48,53,32,50,46,48,54,51,50,51,101,45,
      48,53,32,50,46,49,48,55,50,49,101,45,48,53,10,32,32,50,46,49,53,49,54,56,101,
      45,48,53,32,50,46,49,57,54,54,50,101,45,48,53,32,50,46,50,52,49,57,55,101,45,
      48,53,32,50,46,50,56,55,50,50,101,45,48,53,32,50,46,51,51,50,57,54,101,45,48,
      53,32,50,46,51,55,57,49,55,101,45,48,53,32,50,46,52,50,53,56,54,101,45,48,53,
      10,32,32,50,46,52,55,50,52,57,101,45,48,53,32,50,46,53,49,57,50,56,101,45,48,
      53,32,50,46,53,54,54,53,54,101,45,48,53,32,50,46,54,49,52,51,51,101,45,48,53,
      32,50,46,54,54,50,52,51,101,45,48,53,32,50,46,55,49,48,49,52,101,45,48,53,32,
      50,46,55,53,56,51,52,101,45,48,53,10,32,32,50,46,56,48,55,48,54,101,45,48,53,
      32,50,46,56,53,54,51,57,101,45,48,53,32,50,46,57,48,53,53,52,101,45,48,53,32,
      50,46,57,53,52,56,51,101,45,48,53,32,51,46,48,48,52,55,49,101,45,48,53,32,51,
      46,48,53,53,49,53,101,45,48,53,32,51,46,49,48,53,57,53,101,45,48,53,10,32,32,
      51,46,49,53,54,52,57,101,45,48,53,32,51,46,50,48,55,54,51,101,45,48,53,32,51,
      46,50,53,57,51,53,101,45,48,53,32,51,46,51,49,49,54,53,101,45,48,53,32,51,46,
      51,54,51,57,50,101,45,48,53,32,51,46,52,49,54,53,49,101,45,48,53,32,51,46,52,
      54,57,55,101,45,48,53,10,32,32,51,46,53,50,51,52,55,101,45,48,53,32,51,46,53,
      55,55,55,49,101,45,48,53,32,51,46,54,51,49,57,101,45,48,53,32,51,46,54,56,54,
      55,50,101,45,48,53,32,51,46,55,52,50,49,53,101,45,48,53,32,51,46,55,57,56,48,
      57,101,45,48,53,32,51,46,56,53,52,50,56,101,45,48,53,10,32,32,51,46,57,49,48,
      56,52,101,45,48,53,32,51,46,57,54,56,48,51,101,45,48,53,32,52,46,48,50,53,55,
      53,101,45,48,53,32,52,46,48,56,51,57,54,101,45,48,53,32,52,46,49,52,50,51,57,
      101,45,48,53,32,52,46,50,48,49,51,57,101,45,48,53,32,52,46,50,54,48,57,55,101,
      45,48,53,10,32,32,52,46,51,50,49,48,54,101,45,48,53,32,52,46,51,56,49,53,101,
      45,48,53,32,52,46,52,52,50,52,53,101,45,48,53,32,52,46,53,48,51,56,57,101,45,
      48,53,32,52,46,53,54,53,56,54,101,45,48,53,32,52,46,54,50,56,51,52,101,45,48,
      53,32,52,46,54,57,49,50,53,101,45,48,53,10,32,32,52,46,55,53,52,54,52,101,45,
      48,53,32,52,46,56,49,56,53,52,101,45,48,53,32,52,46,56,56,50,57,53,101,45,48,
      53,32,52,46,57,52,55,56,55,101,45,48,53,32,53,46,48,49,51,50,57,101,45,48,53,
      32,53,46,48,55,57,49,54,101,45,48,53,32,53,46,49,52,53,53,51,101,45,48,53,10,
      32,32,53,46,50,49,50,52,49,101,45,48,53,32,53,46,50,55,57,56,54,101,45,48,53,
      32,53,46,51,52,55,55,57,101,45,48,53,32,53,46,52,51,56,57,54,101,45,48,53,32,
      53,46,54,53,52,53,52,101,45,48,53,32,53,46,57,55,57,49,50,101,45,48,53,32,54,
      46,53,50,51,54,56,101,45,48,53,10,32,32,55,46,48,55,51,57,53,101,45,48,53,32,
      55,46,54,51,48,54,54,101,45,48,53,32,56,46,49,57,53,54,101,45,48,53,32,56,46,
      55,54,57,50,50,101,45,48,53,32,57,46,51,53,49,56,49,101,45,48,53,32,57,46,57,
      52,49,55,52,101,45,48,53,32,46,48,48,48,49,48,53,51,54,57,10,32,32,46,48,48,
      48,49,49,49,51,52,32,46,48,48,48,49,49,55,51,50,55,32,46,48,48,48,49,50,51,
      51,51,52,32,46,48,48,48,49,51,48,54,48,50,32,46,48,48,48,49,51,56,48,50,50,
      32,46,48,48,48,49,52,56,51,51,55,32,46,48,48,48,49,53,57,55,50,55,32,46,48,
      48,48,49,55,50,48,55,10,32,32,46,48,48,48,49,57,48,49,56,32,46,48,48,48,50,
      49,50,55,49,53,32,46,48,48,48,50,52,48,55,53,55,32,46,48,48,48,50,55,56,56,
      53,52,32,46,48,48,48,51,49,50,55,48,51,32,46,48,48,48,51,52,48,50,57,53,32,
      46,48,48,48,51,53,53,56,55,54,32,46,48,48,48,51,54,57,56,52,56,10,32,32,46,
      48,48,48,51,56,56,51,32,46,48,48,48,52,49,50,55,57,50,32,46,48,48,48,52,52,
      53,49,51,51,32,46,48,48,48,52,56,56,52,56,54,32,46,48,48,48,53,52,56,55,56,
      52,32,46,48,48,48,54,52,54,53,51,51,32,46,48,48,48,55,57,48,51,51,51,32,46,
      48,48,49,48,50,49,48,51,10,32,32,46,48,48,49,51,51,52,54,50,32,46,48,48,49,
      52,54,52,50,55,32,46,48,48,49,52,52,50,50,56,32,46,48,48,49,51,57,53,48,51,
      32,46,48,48,49,51,55,57,54,32,46,48,48,49,52,49,52,54,51,32,46,48,48,49,52,
      57,53,52,49,32,46,48,48,49,54,50,56,48,57,32,46,48,48,49,56,48,51,56,55,10,
      32,32,46,48,48,50,48,52,53,52,50,32,46,48,48,50,52,49,49,55,49,32,46,48,48,
      51,48,48,53,54,49,32,46,48,48,51,54,53,53,48,55,32,46,48,48,52,52,48,53,53,
      51,32,46,48,48,53,49,54,55,57,52,32,46,48,48,54,49,56,57,50,56,32,46,48,48,
      55,56,55,57,53,55,10,32,32,46,48,48,57,53,48,52,53,49,32,46,48,49,48,55,55,
      57,51,32,46,48,49,49,54,55,49,54,32,46,48,49,50,57,51,56,54,32,46,48,49,52,
      51,49,52,54,32,46,48,49,53,54,48,48,57,32,46,48,49,54,53,52,56,53,32,46,48,
      49,55,51,56,48,56,32,46,48,49,56,52,48,56,57,10,32,32,46,48,50,48,48,50,49,
      57,32,46,48,50,49,56,55,55,49,32,46,48,50,51,51,49,54,32,46,48,50,53,56,54,
      48,49,32,46,48,50,55,56,57,52,54,32,46,48,50,57,51,51,55,54,32,46,48,51,48,
      50,56,52,49,32,46,48,51,48,56,56,50,53,32,46,48,51,49,56,54,55,53,10,32,32,
      46,48,51,51,49,56,53,50,32,46,48,51,52,53,54,48,50,32,46,48,51,53,56,56,48,
      52,32,46,48,51,55,51,50,55,56,32,46,48,51,56,51,55,48,50,32,46,48,51,57,51,
      51,53,53,32,46,48,52,48,53,54,52,32,46,48,52,48,57,56,52,52,32,46,48,52,48,
      57,56,55,51,10,32,32,46,48,52,48,49,57,49,54,32,46,48,51,57,52,49,56,54,32,
      46,48,51,56,53,49,50,56,32,46,48,51,54,57,53,55,54,32,46,48,51,53,50,53,51,
      56,32,46,48,51,52,52,49,51,56,32,46,48,51,51,52,53,51,53,32,46,48,51,51,49,
      51,57,32,46,48,51,51,49,49,53,57,10,32,32,46,48,51,54,50,55,54,56,32,46,48,
      51,53,54,57,56,57,32,46,48,51,53,52,52,55,56,32,46,48,51,52,57,52,55,56,32,
      46,48,51,52,51,55,51,50,32,46,48,51,51,56,55,57,56,32,46,48,51,51,51,55,53,
      53,32,46,48,51,50,56,57,53,57,32,46,48,51,50,52,49,55,52,10,32,32,46,48,51,
      49,56,56,49,55,32,46,48,51,49,52,48,50,52,32,46,48,51,48,56,55,49,55,32,46,
      48,51,48,52,56,48,51,32,46,48,50,57,56,52,49,53,32,46,48,50,57,52,53,48,50,
      32,46,48,50,56,57,54,53,49,32,46,48,50,55,56,52,52,49,32,46,48,50,54,51,50,
      55,57,10,32,32,46,48,50,52,56,57,49,50,32,46,48,50,51,49,54,53,52,32,46,48,
      50,49,53,50,54,32,46,48,49,57,54,56,48,51,32,46,48,49,56,50,52,51,57,32,46,
      48,49,54,49,48,48,55,32,46,48,49,51,54,56,52,54,32,46,48,49,50,54,49,51,53,
      32,46,48,49,49,53,49,52,55,10,32,32,46,48,49,48,49,57,54,52,32,46,48,48,57,
      49,54,55,53,53,32,46,48,48,56,50,52,50,56,51,32,46,48,48,55,51,48,48,50,49,
      32,46,48,48,54,52,54,54,54,54,32,46,48,48,53,56,49,54,56,49,32,46,48,48,53,
      50,51,51,51,49,32,46,48,48,52,55,48,57,50,53,32,46,48,48,52,49,55,52,53,55,
      10,32,32,46,48,48,51,54,52,53,56,55,32,46,48,48,51,49,51,55,56,57,32,46,48,
      48,50,55,52,50,52,54,32,46,48,48,50,51,54,50,49,54,32,46,48,48,50,48,54,53,
      57,49,32,46,48,48,49,56,48,55,51,55,32,46,48,48,49,53,53,56,51,54,32,46,48,
      48,49,51,50,57,55,52,10,32,32,46,48,48,49,49,55,54,55,32,46,48,48,49,48,50,
      49,55,57,32,46,48,48,48,57,48,50,55,54,53,32,46,48,48,48,55,57,49,48,52,51,
      32,46,48,48,48,54,57,51,51,50,55,32,46,48,48,48,54,48,55,56,50,49,32,46,48,
      48,48,53,51,50,57,56,50,32,46,48,48,48,52,54,55,52,53,56,10,32,32,46,48,48,
      48,52,49,48,48,56,49,32,46,48,48,48,51,53,57,56,50,49,32,46,48,48,48,51,49,
      53,55,56,53,32,46,48,48,48,50,55,55,49,48,55,32,46,48,48,48,50,52,51,50,49,
      49,32,46,48,48,48,50,49,51,52,57,54,32,46,48,48,48,49,56,55,52,52,57,32,46,
      48,48,48,49,54,52,54,48,57,10,32,32,46,48,48,48,49,52,52,53,55,53,32,46,48,
      48,48,49,50,55,32,46,48,48,48,49,49,49,53,56,51,32,57,46,56,48,52,56,52,101,
      45,48,53,32,56,46,54,49,54,53,51,101,45,48,53,32,55,46,53,55,51,54,101,45,48,
      53,32,54,46,54,53,55,56,49,101,45,48,53,32,53,46,56,53,51,53,52,101,45,48,53,
      10,32,32,53,46,49,52,55,49,101,45,48,53,32,52,46,53,50,54,53,101,45,48,53,32,
      51,46,57,56,49,52,49,101,45,48,53,32,51,46,53,48,50,50,101,45,48,53,32,51,46,
      48,56,49,48,50,101,45,48,53,32,50,46,55,49,48,56,101,45,48,53,32,50,46,51,56,
      53,51,51,101,45,48,53,10,32,32,50,46,48,57,57,49,53,101,45,48,53,32,49,46,56,
      52,55,53,49,101,45,48,53,32,49,46,54,50,54,48,54,101,45,48,53,32,49,46,52,51,
      49,50,51,101,45,48,53,32,49,46,50,57,54,48,55,101,45,48,53,32,49,46,49,55,51,
      55,52,101,45,48,53,32,49,46,48,54,51,48,50,101,45,48,53,10,32,32,57,46,54,50,
      55,57,52,101,45,48,54,32,56,46,55,50,49,51,56,101,45,48,54,32,55,46,56,48,48,
      50,52,101,45,48,54,32,54,46,55,55,50,57,54,101,45,48,54,32,53,46,56,56,49,54,
      101,45,48,54,32,53,46,49,48,56,48,52,101,45,48,54,32,52,46,52,51,54,54,56,101,
      45,48,54,10,32,32,51,46,56,53,51,57,101,45,48,54,32,51,46,51,52,55,57,55,101,
      45,48,54,32,50,46,57,48,56,55,51,101,45,48,54,32,50,46,53,50,55,51,52,101,45,
      48,54,32,50,46,49,57,54,49,53,101,45,48,54,32,49,46,57,48,56,53,50,101,45,48,
      54,32,49,46,54,53,56,54,57,101,45,48,54,10,32,32,49,46,52,52,49,54,56,101,45,
      48,54,32,49,46,50,53,51,49,54,101,45,48,54,32,49,46,48,56,57,51,56,101,45,48,
      54,32,57,46,52,55,48,54,55,101,45,48,55,32,56,46,50,51,52,48,56,101,45,48,55,
      32,55,46,49,53,57,52,55,101,45,48,55,32,54,46,50,50,53,53,52,101,45,48,55,10,
      32,32,53,46,52,49,51,56,51,101,45,48,55,32,52,46,55,48,56,50,53,101,45,48,55,
      32,52,46,48,57,52,50,101,45,48,55,32,51,46,53,54,49,54,54,101,45,48,55,32,51,
      46,48,57,56,48,53,101,45,48,55,32,50,46,54,57,52,57,54,101,45,48,55,32,50,46,
      51,52,52,52,54,101,45,48,55,10,32,32,50,46,48,51,57,54,54,101,45,48,55,32,49,
      46,55,55,52,53,57,101,45,48,55,32,49,46,53,52,52,48,54,101,45,48,55,32,49,46,
      51,52,51,53,53,101,45,48,55,32,49,46,49,54,57,49,52,101,45,48,55,32,49,46,48,
      49,55,52,50,101,45,48,55,32,56,46,56,53,52,51,54,101,45,48,56,10,32,32,55,46,
      55,48,54,49,52,101,45,48,56,32,54,46,55,48,55,49,54,101,45,48,56,32,53,46,56,
      51,55,57,55,101,45,48,56,32,53,46,48,56,49,54,55,101,45,48,56,32,51,46,56,53,
      48,56,54,101,45,48,56,32,50,46,57,49,56,49,53,101,45,48,56,32,50,46,50,49,49,
      51,50,101,45,48,56,10,32,32,49,46,54,55,53,57,57,101,45,48,56,32,49,46,50,55,
      48,52,55,101,45,48,56,32,57,46,54,51,50,50,51,101,45,48,57,32,55,46,51,48,51,
      57,50,101,45,48,57,32,53,46,53,51,57,50,50,101,45,48,57,32,52,46,50,48,49,53,
      49,101,45,48,57,32,51,46,49,56,55,51,101,45,48,57,10,32,32,50,46,52,49,56,50,
      53,101,45,48,57,32,49,46,56,51,53,48,49,101,45,48,57,32,49,46,51,57,50,54,49,
      101,45,48,57,32,49,46,48,53,55,48,49,101,45,48,57,32,56,46,48,50,51,56,101,
      45,49,48,32,54,46,48,57,49,54,49,101,45,49,48,32,52,46,54,50,53,50,51,101,45,
      49,48,10,32,32,51,46,53,49,50,50,52,101,45,49,48,32,50,46,54,54,55,51,54,101,
      45,49,48,32,50,46,48,50,53,57,52,101,45,49,48,32,49,46,53,51,56,57,50,101,45,
      49,48,32,49,46,49,54,57,48,57,101,45,49,48,32,56,46,56,56,50,50,54,101,45,49,
      49,32,54,46,55,52,57,48,49,101,45,49,49,10,32,32,53,46,49,50,56,53,55,101,45,
      49,49,32,51,46,56,57,55,53,54,101,45,49,49,32,50,46,57,54,50,50,57,101,45,49,
      49,32,50,46,50,53,49,54,52,101,45,49,49,32,49,46,55,49,49,54,56,101,45,49,49,
      32,49,46,57,53,53,51,56,101,45,49,48,32,55,46,56,52,48,55,57,101,45,49,48,10,
      32,32,49,46,55,54,53,54,54,101,45,48,57,32,49,46,57,53,53,52,54,101,45,48,57,
      32,55,46,56,52,49,57,57,101,45,48,57,32,49,46,55,54,54,49,57,101,45,48,56,32,
      51,46,49,51,57,57,50,101,45,48,56,32,52,46,57,48,53,56,52,101,45,48,56,32,55,
      46,48,54,56,51,53,101,45,48,56,10,32,32,57,46,54,50,50,50,55,101,45,48,56,32,
      49,46,50,53,55,52,50,101,45,48,55,32,49,46,53,57,50,49,50,101,45,48,55,32,49,
      46,57,54,54,52,101,45,48,55,32,50,46,51,56,48,53,54,101,45,48,55,32,50,46,56,
      51,52,55,51,101,45,48,55,32,51,46,51,50,56,56,50,101,45,48,55,10,32,32,51,46,
      56,54,51,49,49,101,45,48,55,32,52,46,52,51,55,55,51,101,45,48,55,32,53,46,48,
      53,50,54,53,101,45,48,55,32,53,46,55,48,56,49,56,101,45,48,55,32,54,46,52,48,
      52,50,56,101,45,48,55,32,55,46,49,52,49,48,50,101,45,48,55,32,55,46,57,49,56,
      53,51,101,45,48,55,10,32,32,56,46,55,51,55,49,55,101,45,48,55,32,57,46,53,57,
      55,48,52,101,45,48,55,32,49,46,48,52,57,55,56,101,45,48,54,32,49,46,49,52,51,
      57,52,101,45,48,54,32,49,46,50,52,50,50,55,101,45,48,54,32,49,46,51,52,52,55,
      51,101,45,48,54,32,49,46,52,53,49,51,53,101,45,48,54,10,32,32,49,46,53,54,50,
      48,49,101,45,48,54,32,49,46,54,55,54,56,52,101,45,48,54,32,49,46,55,57,53,56,
      51,101,45,48,54,32,49,46,57,49,57,101,45,48,54,32,50,46,48,52,54,50,51,101,
      45,48,54,32,50,46,49,55,55,53,55,101,45,48,54,32,50,46,51,49,51,48,53,101,45,
      48,54,10,32,32,50,46,52,53,50,55,50,101,45,48,54,32,50,46,53,57,54,53,55,101,
      45,48,54,32,50,46,55,52,52,51,51,101,45,48,54,32,50,46,56,57,54,50,55,101,45,
      48,54,32,51,46,48,53,50,52,101,45,48,54,32,51,46,50,49,50,55,49,101,45,48,54,
      32,51,46,51,55,55,48,50,101,45,48,54,10,32,32,51,46,53,52,53,51,54,101,45,48,
      54,32,51,46,55,49,55,57,50,101,45,48,54,32,51,46,56,57,52,54,51,101,45,48,54,
      32,52,46,48,55,53,53,51,101,45,48,54,32,52,46,50,54,48,51,51,101,45,48,54,32,
      52,46,52,52,57,50,57,101,45,48,54,32,52,46,54,52,50,52,55,101,45,48,54,10,32,
      32,52,46,56,51,57,56,50,101,45,48,54,32,53,46,48,52,49,50,55,101,45,48,54,32,
      53,46,50,52,54,56,101,45,48,54,32,53,46,52,53,54,53,50,101,45,48,54,32,53,46,
      54,55,48,52,52,101,45,48,54,32,53,46,56,56,56,53,55,101,45,48,54,32,54,46,49,
      49,48,56,52,101,45,48,54,10,32,32,54,46,51,51,55,50,57,101,45,48,54,32,54,46,
      53,54,55,57,57,101,45,48,54,32,54,46,56,48,50,56,57,101,45,48,54,32,55,46,48,
      52,50,48,55,101,45,48,54,32,55,46,50,56,53,53,51,101,45,48,54,32,55,46,53,51,
      51,50,51,101,45,48,54,32,55,46,55,56,53,49,55,101,45,48,54,10,32,32,56,46,48,
      52,49,51,55,101,45,48,54,32,56,46,51,48,50,49,50,101,45,48,54,32,56,46,53,54,
      55,49,49,101,45,48,54,32,56,46,56,51,54,51,57,101,45,48,54,32,57,46,49,48,57,
      57,53,101,45,48,54,32,57,46,51,56,56,48,55,101,45,48,54,32,57,46,54,55,48,54,
      56,101,45,48,54,10,32,32,57,46,57,53,55,54,52,101,45,48,54,32,49,46,48,50,52,
      56,57,101,45,48,53,32,49,46,48,53,52,52,54,101,45,48,53,32,49,46,48,56,52,53,
      101,45,48,53,32,49,46,49,49,52,57,56,101,45,48,53,32,49,46,49,52,53,57,49,101,
      45,48,53,32,49,46,49,55,55,50,55,101,45,48,53,10,32,32,49,46,50,48,57,49,101,
      45,48,53,32,49,46,50,52,49,51,56,101,45,48,53,32,49,46,50,55,52,49,49,101,45,
      48,53,32,49,46,51,48,55,50,57,101,45,48,53,32,49,46,51,52,48,57,101,45,48,53,
      32,49,46,51,55,52,57,54,101,45,48,53,32,49,46,52,48,57,52,56,101,45,48,53,10,
      32,32,49,46,52,52,52,52,53,101,45,48,53,32,49,46,52,55,57,56,53,101,45,48,53,
      32,49,46,53,49,53,54,52,101,45,48,53,32,49,46,53,53,49,56,53,101,45,48,53,32,
      49,46,53,56,56,53,53,101,45,48,53,32,49,46,54,50,53,54,56,101,45,48,53,32,49,
      46,54,54,51,50,50,101,45,48,53,10,32,32,49,46,55,48,49,48,49,101,45,48,53,32,
      49,46,55,51,57,50,51,101,45,48,53,32,49,46,55,55,55,56,57,101,45,48,53,32,49,
      46,56,49,54,57,56,101,45,48,53,32,49,46,56,53,54,50,55,101,45,48,53,32,49,46,
      56,57,53,56,52,101,45,48,53,32,49,46,57,51,53,56,53,101,45,48,53,10,32,32,49,
      46,57,55,54,50,56,101,45,48,53,32,50,46,48,49,55,48,55,101,45,48,53,32,50,46,
      48,53,55,55,57,101,45,48,53,32,50,46,48,57,56,57,52,101,45,48,53,32,50,46,49,
      52,48,53,50,101,45,48,53,32,50,46,49,56,50,53,51,101,45,48,53,32,50,46,50,50,
      52,52,56,101,45,48,53,10,32,32,50,46,50,54,54,53,57,101,45,48,53,32,50,46,51,
      48,57,49,51,101,45,48,53,32,50,46,51,53,50,49,50,101,45,48,53,32,50,46,51,57,
      53,52,101,45,48,53,32,50,46,52,51,56,51,51,101,45,48,53,32,50,46,52,56,49,55,
      49,101,45,48,53,32,50,46,53,50,53,53,53,101,45,48,53,10,32,32,50,46,53,54,57,
      57,52,101,45,48,53,32,50,46,54,49,52,49,53,101,45,48,53,32,50,46,54,53,56,53,
      101,45,48,53,32,50,46,55,48,51,51,54,101,45,48,53,32,50,46,55,52,56,55,51,101,
      45,48,53,32,50,46,55,57,52,52,51,101,45,48,53,32,50,46,56,51,57,56,55,101,45,
      48,53,10,32,32,50,46,56,56,53,56,53,101,45,48,53,32,50,46,57,51,50,51,53,101,
      45,48,53,32,50,46,57,55,57,51,55,101,45,48,53,32,51,46,48,50,54,51,53,101,45,
      48,53,32,51,46,48,55,51,54,49,101,45,48,53,32,51,46,49,50,49,52,49,101,45,48,
      53,32,51,46,49,54,57,55,51,101,45,48,53,10,32,32,51,46,50,49,56,52,53,101,45,
      48,53,32,51,46,50,54,55,49,51,101,45,48,53,32,51,46,51,49,54,51,54,101,45,48,
      53,32,51,46,51,54,54,49,53,101,45,48,53,32,51,46,52,49,54,51,57,101,45,48,53,
      32,51,46,52,54,54,56,53,101,45,48,53,32,51,46,53,49,55,54,52,101,45,48,53,10,
      32,32,51,46,53,54,56,57,56,101,45,48,53,32,51,46,54,50,48,56,49,101,45,48,53,
      32,51,46,54,55,51,48,55,101,45,48,53,32,51,46,55,50,53,53,50,101,45,48,53,32,
      51,46,55,55,56,52,56,101,45,48,53,32,51,46,56,51,49,57,54,101,45,48,53,32,51,
      46,56,56,53,57,101,45,48,53,10,32,32,51,46,57,52,48,49,54,101,45,48,53,32,51,
      46,57,57,52,56,54,101,45,48,53,32,52,46,48,53,48,48,49,101,45,48,53,32,52,46,
      49,48,53,54,53,101,45,48,53,32,52,46,49,54,49,55,51,101,45,48,53,32,52,46,50,
      49,56,50,101,45,48,53,32,52,46,50,55,53,49,49,101,45,48,53,10,32,32,52,46,51,
      51,50,52,55,101,45,48,53,32,52,46,51,57,48,50,57,101,45,48,53,32,52,46,52,52,
      56,53,55,101,45,48,53,32,52,46,53,48,55,51,49,101,45,48,53,32,52,46,53,54,54,
      52,54,101,45,48,53,32,52,46,54,50,54,48,52,101,45,48,53,32,52,46,54,56,54,49,
      101,45,48,53,10,32,32,52,46,55,52,54,54,55,101,45,48,53,32,52,46,56,48,55,54,
      56,101,45,48,53,32,52,46,56,56,57,53,54,101,45,48,53,32,53,46,48,56,51,50,50,
      101,45,48,53,32,53,46,51,55,52,56,56,101,45,48,53,32,53,46,56,54,52,52,56,101,
      45,48,53,32,54,46,51,53,57,54,52,101,45,48,53,10,32,32,54,46,56,54,48,57,56,
      101,45,48,53,32,55,46,51,55,48,49,101,45,48,53,32,55,46,56,56,55,50,51,101,
      45,48,53,32,56,46,52,49,50,52,53,101,45,48,53,32,56,46,57,52,52,48,56,101,45,
      48,53,32,57,46,52,56,48,48,54,101,45,48,53,32,46,48,48,48,49,48,48,49,55,52,
      10,32,32,46,48,48,48,49,48,53,53,53,56,32,46,48,48,48,49,49,48,57,53,56,32,
      46,48,48,48,49,49,55,52,56,56,32,46,48,48,48,49,50,52,49,52,56,32,46,48,48,
      48,49,51,51,51,57,50,32,46,48,48,48,49,52,51,53,51,57,32,46,48,48,48,49,53,
      52,53,55,57,32,46,48,48,48,49,55,48,54,51,56,10,32,32,46,48,48,48,49,57,48,
      52,57,54,32,46,48,48,48,50,49,53,49,51,56,32,46,48,48,48,50,52,56,54,52,32,
      46,48,48,48,50,55,56,53,49,50,32,46,48,48,48,51,48,51,48,52,49,32,46,48,48,
      48,51,49,55,48,56,52,32,46,48,48,48,51,50,57,55,51,52,32,46,48,48,48,51,52,
      54,51,54,52,10,32,32,46,48,48,48,51,54,56,51,49,52,32,46,48,48,48,51,57,55,
      49,53,55,32,46,48,48,48,52,51,53,54,52,53,32,46,48,48,48,52,56,56,57,55,49,
      32,46,48,48,48,53,55,53,50,49,55,32,46,48,48,48,55,48,50,49,49,52,32,46,48,
      48,48,57,48,54,52,49,52,32,46,48,48,49,49,56,53,55,10,32,32,46,48,48,49,51,
      48,48,57,50,32,46,48,48,49,50,56,48,54,57,32,46,48,48,49,50,51,56,52,51,32,
      46,48,48,49,50,50,53,48,49,32,46,48,48,49,50,53,54,53,51,32,46,48,48,49,51,
      50,56,53,54,32,46,48,48,49,52,52,54,52,32,46,48,48,49,54,48,50,50,32,46,48,
      48,49,56,49,54,50,10,32,32,46,48,48,50,49,52,49,32,46,48,48,50,54,54,56,57,
      49,32,46,48,48,51,50,52,56,51,52,32,46,48,48,51,57,50,48,50,57,32,46,48,48,
      52,54,48,54,54,49,32,46,48,48,53,53,51,50,53,51,32,46,48,48,55,48,56,49,50,
      56,32,46,48,48,56,53,56,53,55,50,32,46,48,48,57,55,54,56,48,54,10,32,32,46,
      48,49,48,53,57,49,52,32,46,48,49,49,55,54,48,55,32,46,48,49,51,48,51,56,57,
      32,46,48,49,52,50,50,56,51,32,46,48,49,53,48,56,55,55,32,46,48,49,53,56,51,
      49,55,32,46,48,49,54,55,54,56,50,32,46,48,49,56,50,55,51,32,46,48,50,48,48,
      51,52,52,10,32,32,46,48,50,49,52,49,56,57,32,46,48,50,51,57,48,48,55,32,46,
      48,50,53,57,51,48,53,32,46,48,50,55,52,51,48,52,32,46,48,50,56,52,56,52,53,
      32,46,48,50,57,49,54,49,56,32,46,48,51,48,49,53,54,56,32,46,48,51,49,52,50,
      57,53,32,46,48,51,50,55,52,53,50,10,32,32,46,48,51,52,48,48,55,55,32,46,48,
      51,53,51,57,51,50,32,46,48,51,54,51,57,50,51,32,46,48,51,55,51,50,51,55,32,
      46,48,51,56,53,51,53,51,32,46,48,51,56,57,55,57,52,32,46,48,51,57,48,55,56,
      49,32,46,48,51,56,52,51,55,55,32,46,48,51,55,55,54,57,50,10,32,32,46,48,51,
      54,57,54,56,54,32,46,48,51,53,53,55,48,49,32,46,48,51,52,48,49,54,32,46,48,
      51,51,50,52,52,32,46,48,51,50,51,54,52,55,32,46,48,51,50,48,56,49,52,32,46,
      48,51,50,48,56,49,54,32,46,48,51,53,48,57,50,57,32,46,48,51,52,53,55,51,52,
      32,46,48,51,52,51,52,53,57,10,32,32,46,48,51,51,56,57,48,52,32,46,48,51,51,
      51,54,50,55,32,46,48,51,50,57,48,54,56,32,46,48,51,50,52,51,56,54,32,46,48,
      51,49,57,57,49,50,32,46,48,51,49,53,52,51,55,32,46,48,51,49,48,52,49,50,32,
      46,48,51,48,53,57,48,53,32,46,48,51,48,48,57,48,49,10,32,32,46,48,50,57,55,
      50,48,50,32,46,48,50,57,49,49,53,49,32,46,48,50,56,55,52,51,54,32,46,48,50,
      56,50,56,50,50,32,46,48,50,55,50,49,51,49,32,46,48,50,53,55,54,50,52,32,46,
      48,50,52,51,56,50,32,46,48,50,50,55,49,56,50,32,46,48,50,49,49,51,51,52,10,
      32,32,46,48,49,57,51,52,51,49,32,46,48,49,55,57,52,54,50,32,46,48,49,53,56,
      53,55,50,32,46,48,49,51,52,56,55,49,32,46,48,49,50,52,51,57,53,32,46,48,49,
      49,51,54,49,52,32,46,48,49,48,48,54,54,56,32,46,48,48,57,48,53,53,54,51,32,
      46,48,48,56,49,52,54,49,53,10,32,32,46,48,48,55,50,49,56,50,51,32,46,48,48,
      54,51,57,54,54,55,32,46,48,48,53,55,53,53,56,32,46,48,48,53,49,55,57,57,53,
      32,46,48,48,52,54,54,50,52,56,32,46,48,48,52,49,51,53,48,50,32,46,48,48,51,
      54,49,50,57,54,32,46,48,48,51,49,49,48,52,53,32,46,48,48,50,55,49,57,49,53,
      10,32,32,46,48,48,50,51,52,50,55,51,32,46,48,48,50,48,52,57,51,53,32,46,48,
      48,49,55,57,51,50,53,32,46,48,48,49,53,52,54,53,56,32,46,48,48,49,51,50,48,
      49,51,32,46,48,48,49,49,54,56,51,55,32,46,48,48,49,48,49,52,55,49,32,46,48,
      48,48,56,57,54,54,51,54,10,32,32,46,48,48,48,55,56,53,55,55,52,32,46,48,48,
      48,54,56,56,55,57,51,32,46,48,48,48,54,48,51,57,49,51,32,46,48,48,48,53,50,
      57,54,49,52,32,46,48,48,48,52,54,52,53,53,55,32,46,48,48,48,52,48,55,53,55,
      55,32,46,48,48,48,51,53,55,54,53,54,32,46,48,48,48,51,49,51,57,49,49,10,32,
      32,46,48,48,48,50,55,53,53,54,56,32,46,48,48,48,50,52,49,57,51,51,32,46,48,
      48,48,50,49,50,51,57,49,32,46,48,48,48,49,56,54,52,57,50,32,46,48,48,48,49,
      54,51,55,55,57,32,46,48,48,48,49,52,51,56,53,53,32,46,48,48,48,49,50,54,51,
      55,53,32,46,48,48,48,49,49,49,48,52,49,10,32,32,57,46,55,53,55,56,54,101,45,
      48,53,32,56,46,53,55,53,55,50,101,45,48,53,32,55,46,53,51,56,49,52,101,45,48,
      53,32,54,46,54,50,54,57,56,101,45,48,53,32,53,46,56,50,54,55,101,45,48,53,32,
      53,46,49,50,51,55,51,101,45,48,53,32,52,46,53,48,54,49,52,101,45,48,53,10,32,
      32,51,46,57,54,51,54,55,101,45,48,53,32,51,46,52,56,54,55,53,101,45,48,53,32,
      51,46,48,54,55,53,53,101,45,48,53,32,50,46,54,57,57,48,55,101,45,48,53,32,50,
      46,51,55,53,49,101,45,48,53,32,50,46,48,57,48,50,52,101,45,48,53,32,49,46,56,
      51,57,55,51,101,45,48,53,10,32,32,49,46,54,49,57,50,56,101,45,48,53,32,49,46,
      52,50,53,52,57,101,45,48,53,32,49,46,50,57,49,48,51,101,45,48,53,32,49,46,49,
      54,57,51,49,101,45,48,53,32,49,46,48,53,57,48,51,101,45,48,53,32,57,46,53,57,
      50,48,53,101,45,48,54,32,56,46,54,56,57,48,57,101,45,48,54,10,32,32,55,46,55,
      55,49,53,52,101,45,48,54,32,54,46,55,52,56,50,55,101,45,48,54,32,53,46,56,54,
      48,51,50,101,45,48,54,32,53,46,48,56,57,54,57,101,45,48,54,32,52,46,52,50,48,
      56,51,101,45,48,54,32,51,46,56,52,48,50,51,101,45,48,54,32,51,46,51,51,54,49,
      57,101,45,48,54,10,32,32,50,46,56,57,56,53,56,101,45,48,54,32,50,46,53,49,56,
      53,57,101,45,48,54,32,50,46,49,56,56,54,101,45,48,54,32,49,46,57,48,50,101,
      45,48,54,32,49,46,54,53,51,48,54,101,45,48,54,32,49,46,52,51,54,56,50,101,45,
      48,54,32,49,46,50,52,56,57,54,101,45,48,54,10,32,32,49,46,48,56,53,55,53,101,
      45,48,54,32,57,46,52,51,57,51,50,101,45,48,55,32,56,46,50,48,55,48,49,101,45,
      48,55,32,55,46,49,51,54,48,57,101,45,48,55,32,54,46,50,48,53,51,51,101,45,48,
      55,32,53,46,51,57,54,51,51,101,45,48,55,32,52,46,54,57,51,49,101,45,48,55,10,
      32,32,52,46,48,56,49,49,101,45,48,55,32,51,46,53,53,48,51,50,101,45,48,55,32,
      51,46,48,56,56,50,52,101,45,48,55,32,50,46,54,56,54,52,55,101,45,48,55,32,50,
      46,51,51,55,49,49,101,45,48,55,32,50,46,48,51,51,51,101,45,48,55,32,49,46,55,
      54,57,48,57,101,45,48,55,10,32,32,49,46,53,51,57,50,57,101,45,48,55,32,49,46,
      51,51,57,52,50,101,45,48,55,32,49,46,49,54,53,53,54,101,45,48,55,32,49,46,48,
      49,52,51,50,101,45,48,55,32,56,46,56,50,55,53,101,45,48,56,32,55,46,54,56,50,
      56,55,101,45,48,56,32,54,46,54,56,55,101,45,48,56,10,32,32,53,46,56,50,48,53,
      101,45,48,56,32,53,46,48,54,54,53,51,101,45,48,56,32,51,46,56,51,57,52,54,101,
      45,48,56,32,50,46,57,49,48,48,52,101,45,48,56,32,50,46,50,48,54,48,51,101,45,
      48,56,32,49,46,54,55,50,52,53,101,45,48,56,32,49,46,50,54,55,56,101,45,48,56,
      10,32,32,57,46,54,49,50,49,51,101,45,48,57,32,55,46,50,56,56,55,53,101,45,48,
      57,32,53,46,53,50,55,56,49,101,45,48,57,32,52,46,49,57,50,57,50,101,45,48,57,
      32,51,46,49,56,48,56,52,101,45,48,57,32,50,46,52,49,51,51,57,101,45,48,57,32,
      49,46,56,51,49,51,53,101,45,48,57,10,32,32,49,46,51,56,57,56,54,101,45,48,57,
      32,49,46,48,53,52,57,51,101,45,48,57,32,56,46,48,48,56,49,101,45,49,48,32,54,
      46,48,55,57,55,53,101,45,49,48,32,52,46,54,49,54,50,57,101,45,49,48,32,51,46,
      53,48,53,53,101,45,49,48,32,50,46,54,54,50,50,56,101,45,49,48,10,32,32,50,46,
      48,50,50,49,101,45,49,48,32,49,46,53,51,54,48,50,101,45,49,48,32,49,46,49,54,
      54,57,101,45,49,48,32,56,46,56,54,53,54,56,101,45,49,49,32,54,46,55,51,54,52,
      55,101,45,49,49,32,53,46,49,49,57,49,101,45,49,49,32,51,46,56,57,48,52,101,
      45,49,49,10,32,32,50,46,57,53,54,56,55,101,45,49,49,32,50,46,50,52,55,53,53,
      101,45,49,49,32,49,46,55,48,56,53,56,101,45,49,49,32,49,46,55,53,54,56,101,
      45,49,48,32,55,46,48,52,52,53,49,101,45,49,48,32,49,46,53,56,54,51,51,101,45,
      48,57,32,49,46,55,53,54,56,53,101,45,48,57,10,32,32,55,46,48,52,53,50,101,45,
      48,57,32,49,46,53,56,54,54,51,101,45,48,56,32,50,46,56,50,48,52,51,101,45,48,
      56,32,52,46,52,48,54,49,56,101,45,48,56,32,54,46,51,52,55,54,50,101,45,48,56,
      32,56,46,54,51,57,56,57,101,45,48,56,32,49,46,49,50,56,56,55,101,45,48,55,10,
      32,32,49,46,52,50,57,49,101,45,48,55,32,49,46,55,54,52,55,51,101,45,48,55,32,
      50,46,49,51,54,48,49,101,45,48,55,32,50,46,53,52,51,48,49,101,45,48,55,32,50,
      46,57,56,53,54,51,101,45,48,55,32,51,46,52,54,52,48,55,101,45,48,55,32,51,46,
      57,55,56,52,54,101,45,48,55,10,32,32,52,46,53,50,56,55,49,101,45,48,55,32,53,
      46,49,49,53,48,55,101,45,48,55,32,53,46,55,51,55,52,56,101,45,48,55,32,54,46,
      51,57,54,48,51,101,45,48,55,32,55,46,48,57,48,55,55,101,45,48,55,32,55,46,56,
      50,50,101,45,48,55,32,56,46,53,56,57,55,55,101,45,48,55,10,32,32,57,46,51,57,
      51,56,52,101,45,48,55,32,49,46,48,50,51,52,50,101,45,48,54,32,49,46,49,49,49,
      49,53,101,45,48,54,32,49,46,50,48,50,53,52,101,45,48,54,32,49,46,50,57,55,54,
      101,45,48,54,32,49,46,51,57,54,50,55,101,45,48,54,32,49,46,52,57,56,54,52,101,
      45,48,54,10,32,32,49,46,54,48,52,54,56,101,45,48,54,32,49,46,55,49,52,52,50,
      101,45,48,54,32,49,46,56,50,55,55,57,101,45,48,54,32,49,46,57,52,52,56,101,
      45,48,54,32,50,46,48,54,53,52,56,101,45,48,54,32,50,46,49,56,57,56,55,101,45,
      48,54,32,50,46,51,49,55,57,54,101,45,48,54,10,32,32,50,46,52,52,57,53,54,101,
      45,48,54,32,50,46,53,56,52,56,55,101,45,48,54,32,50,46,55,50,51,56,56,101,45,
      48,54,32,50,46,56,54,54,53,57,101,45,48,54,32,51,46,48,49,50,56,55,101,45,48,
      54,32,51,46,49,54,50,55,53,101,45,48,54,32,51,46,51,49,54,51,55,101,45,48,54,
      10,32,32,51,46,52,55,51,54,54,101,45,48,54,32,51,46,54,51,52,54,53,101,45,48,
      54,32,51,46,55,57,57,49,54,101,45,48,54,32,51,46,57,54,55,51,52,101,45,48,54,
      32,52,46,49,51,57,50,54,101,45,48,54,32,52,46,51,49,52,56,55,101,45,48,54,32,
      52,46,52,57,52,49,51,101,45,48,54,10,32,32,52,46,54,55,55,48,50,101,45,48,54,
      32,52,46,56,54,51,54,50,101,45,48,54,32,53,46,48,53,51,57,52,101,45,48,54,32,
      53,46,50,52,55,57,56,101,45,48,54,32,53,46,52,52,53,54,57,101,45,48,54,32,53,
      46,54,52,55,49,101,45,48,54,32,53,46,56,53,50,50,55,101,45,48,54,10,32,32,54,
      46,48,54,49,49,53,101,45,48,54,32,54,46,50,55,51,56,49,101,45,48,54,32,54,46,
      52,57,48,50,53,101,45,48,54,32,54,46,55,49,48,52,51,101,45,48,54,32,54,46,57,
      51,52,51,55,101,45,48,54,32,55,46,49,54,50,48,53,101,45,48,54,32,55,46,51,57,
      51,55,50,101,45,48,54,10,32,32,55,46,54,50,57,49,51,101,45,48,54,32,55,46,56,
      54,56,51,51,101,45,48,54,32,56,46,49,49,49,51,49,101,45,48,54,32,56,46,51,53,
      56,50,55,101,45,48,54,32,56,46,54,48,57,49,54,101,45,48,54,32,56,46,56,54,51,
      56,56,101,45,48,54,32,57,46,49,50,50,51,57,101,45,48,54,10,32,32,57,46,51,56,
      52,55,57,101,45,48,54,32,57,46,54,53,49,51,52,101,45,48,54,32,57,46,57,50,49,
      55,51,101,45,48,54,32,49,46,48,49,57,54,101,45,48,53,32,49,46,48,52,55,52,49,
      101,45,48,53,32,49,46,48,55,53,54,51,101,45,48,53,32,49,46,49,48,52,50,53,101,
      45,48,53,10,32,32,49,46,49,51,51,50,54,101,45,48,53,32,49,46,49,54,50,54,54,
      101,45,48,53,32,49,46,49,57,50,52,53,101,45,48,53,32,49,46,50,50,50,54,51,101,
      45,48,53,32,49,46,50,53,51,50,49,101,45,48,53,32,49,46,50,56,52,49,57,101,45,
      48,53,32,49,46,51,49,53,53,52,101,45,48,53,10,32,32,49,46,51,52,55,50,53,101,
      45,48,53,32,49,46,51,55,57,51,51,101,45,48,53,32,49,46,52,49,49,56,52,101,45,
      48,53,32,49,46,52,52,52,55,50,101,45,48,53,32,49,46,52,55,55,57,55,101,45,48,
      53,32,49,46,53,49,49,52,55,101,45,48,53,32,49,46,53,52,53,51,52,101,45,48,53,
      10,32,32,49,46,53,55,57,54,101,45,48,53,32,49,46,54,49,52,50,52,101,45,48,53,
      32,49,46,54,52,57,48,57,101,45,48,53,32,49,46,54,56,52,50,101,45,48,53,32,49,
      46,55,49,57,55,101,45,48,53,32,49,46,55,53,53,53,56,101,45,48,53,32,49,46,55,
      57,49,55,56,101,45,48,53,10,32,32,49,46,56,50,55,57,56,101,45,48,53,32,49,46,
      56,54,52,53,54,101,45,48,53,32,49,46,57,48,49,53,51,101,45,48,53,32,49,46,57,
      51,56,56,55,101,45,48,53,32,49,46,57,55,54,50,50,101,45,48,53,32,50,46,48,49,
      51,55,53,101,45,48,53,32,50,46,48,53,49,54,55,101,45,48,53,10,32,32,50,46,48,
      56,57,57,55,101,45,48,53,32,50,46,49,50,56,53,53,101,45,48,53,32,50,46,49,54,
      54,57,51,101,45,48,53,32,50,46,50,48,53,55,101,45,48,53,32,50,46,50,52,52,56,
      55,101,45,48,53,32,50,46,50,56,52,53,49,101,45,48,53,32,50,46,51,50,52,48,57,
      101,45,48,53,10,32,32,50,46,51,54,51,56,50,101,45,48,53,32,50,46,52,48,52,101,
      45,48,53,32,50,46,52,52,52,54,50,101,45,48,53,32,50,46,52,56,53,53,52,101,45,
      48,53,32,50,46,53,50,54,51,52,101,45,48,53,32,50,46,53,54,55,54,101,45,48,53,
      32,50,46,54,48,57,51,49,101,45,48,53,10,32,32,50,46,54,53,49,52,55,101,45,48,
      53,32,50,46,54,57,51,54,55,101,45,48,53,32,50,46,55,51,54,49,52,101,45,48,53,
      32,50,46,55,55,57,48,56,101,45,48,53,32,50,46,56,50,50,52,53,101,45,48,53,32,
      50,46,56,54,54,50,101,45,48,53,32,50,46,57,48,57,57,57,101,45,48,53,10,32,32,
      50,46,57,53,52,50,52,101,45,48,53,32,50,46,57,57,56,57,56,101,45,48,53,32,51,
      46,48,52,52,49,101,45,48,53,32,51,46,48,56,57,52,54,101,45,48,53,32,51,46,49,
      51,53,49,51,101,45,48,53,32,51,46,49,56,49,50,56,101,45,48,53,32,51,46,50,50,
      55,56,52,101,45,48,53,10,32,32,51,46,50,55,52,55,57,101,45,48,53,32,51,46,51,
      50,49,57,53,101,45,48,53,32,51,46,51,54,57,53,52,101,45,48,53,32,51,46,52,49,
      55,53,57,101,45,48,53,32,51,46,52,54,54,48,52,101,45,48,53,32,51,46,53,49,52,
      55,56,101,45,48,53,32,51,46,53,54,51,57,50,101,45,48,53,10,32,32,51,46,54,49,
      51,52,53,101,45,48,53,32,51,46,54,54,51,52,101,45,48,53,32,51,46,55,49,51,55,
      52,101,45,48,53,32,51,46,55,54,52,52,52,101,45,48,53,32,51,46,56,49,53,53,49,
      101,45,48,53,32,51,46,56,54,54,57,57,101,45,48,53,32,51,46,57,49,56,56,54,101,
      45,48,53,10,32,32,51,46,57,55,49,49,52,101,45,48,53,32,52,46,48,50,51,56,49,
      101,45,48,53,32,52,46,48,55,54,56,52,101,45,48,53,32,52,46,49,51,48,50,54,101,
      45,48,53,32,52,46,49,56,52,48,57,101,45,48,53,32,52,46,50,51,56,51,54,101,45,
      48,53,32,52,46,50,57,51,48,49,101,45,48,53,10,32,32,52,46,51,54,54,51,53,101,
      45,48,53,32,52,46,53,51,57,54,57,101,45,48,53,32,52,46,56,48,48,53,101,45,48,
      53,32,53,46,50,51,55,53,56,101,45,48,53,32,53,46,54,55,56,52,54,101,45,48,53,
      32,54,46,49,50,51,54,52,101,45,48,53,32,54,46,53,55,52,51,52,101,45,48,53,10,
      32,32,55,46,48,51,48,56,55,101,45,48,53,32,55,46,52,57,51,52,52,101,45,48,53,
      32,55,46,57,54,48,57,56,101,45,48,53,32,56,46,52,51,50,48,51,101,45,48,53,32,
      56,46,57,48,52,51,54,101,45,48,53,32,57,46,51,55,55,55,49,101,45,48,53,32,57,
      46,56,53,50,52,50,101,45,48,53,10,32,32,46,48,48,48,49,48,52,50,54,32,46,48,
      48,48,49,49,48,48,57,57,32,46,48,48,48,49,49,56,49,55,32,46,48,48,48,49,50,
      54,56,49,57,32,46,48,48,48,49,51,54,53,49,54,32,46,48,48,48,49,53,48,51,52,
      56,32,46,48,48,48,49,54,55,52,48,50,32,46,48,48,48,49,56,56,53,55,53,10,32,
      32,46,48,48,48,50,49,55,52,51,56,32,46,48,48,48,50,52,51,50,56,52,32,46,48,
      48,48,50,54,52,54,55,49,32,46,48,48,48,50,55,55,48,56,52,32,46,48,48,48,50,
      56,56,51,49,56,32,46,48,48,48,51,48,51,48,50,32,46,48,48,48,51,50,50,51,49,
      56,32,46,48,48,48,51,52,55,53,52,54,10,32,32,46,48,48,48,51,56,49,48,53,51,
      32,46,48,48,48,52,50,55,50,57,51,32,46,48,48,48,53,48,49,57,48,52,32,46,48,
      48,48,54,49,49,55,52,56,32,46,48,48,48,55,56,57,50,52,56,32,46,48,48,49,48,
      51,51,51,52,32,46,48,48,49,49,51,51,55,57,32,46,48,48,49,49,49,53,52,57,10,
      32,32,46,48,48,49,48,55,56,51,51,32,46,48,48,49,48,54,54,56,53,32,46,48,48,
      49,48,57,52,54,52,32,46,48,48,49,49,53,55,54,51,32,46,48,48,49,50,54,48,50,
      56,32,46,48,48,49,51,57,53,55,51,32,46,48,48,49,53,56,49,55,32,46,48,48,49,
      56,54,52,50,53,32,46,48,48,50,51,50,52,54,55,10,32,32,46,48,48,50,56,51,50,
      48,52,32,46,48,48,51,52,50,50,56,49,32,46,48,48,52,48,50,57,54,32,46,48,48,
      52,56,53,52,54,57,32,46,48,48,54,50,53,48,55,51,32,46,48,48,55,54,50,50,54,
      50,32,46,48,48,56,55,48,51,50,55,32,46,48,48,57,52,53,49,57,52,32,46,48,49,
      48,53,49,53,51,10,32,32,46,48,49,49,54,56,54,50,32,46,48,49,50,55,55,48,52,
      32,46,48,49,51,53,51,54,55,32,46,48,49,52,49,56,57,50,32,46,48,49,53,48,50,
      56,54,32,46,48,49,54,52,49,51,54,32,46,48,49,56,48,54,54,54,32,46,48,49,57,
      51,56,52,51,32,46,48,50,49,55,56,49,55,10,32,32,46,48,50,51,55,56,57,56,32,
      46,48,50,53,51,51,53,56,32,46,48,50,54,52,57,50,55,32,46,48,50,55,50,52,55,
      54,32,46,48,50,56,50,52,56,54,32,46,48,50,57,52,54,57,49,32,46,48,51,48,55,
      49,55,49,32,46,48,51,49,57,49,51,57,32,46,48,51,51,50,50,56,57,10,32,32,46,
      48,51,52,49,55,56,52,32,46,48,51,53,48,55,48,49,32,46,48,51,54,50,53,57,52,
      32,46,48,51,54,55,50,55,53,32,46,48,51,54,57,50,55,51,32,46,48,51,54,52,53,
      51,57,32,46,48,51,53,57,48,48,53,32,46,48,51,53,50,49,52,52,32,46,48,51,51,
      57,56,55,51,10,32,32,46,48,51,50,54,48,48,57,32,46,48,51,49,57,48,53,51,32,
      46,48,51,49,49,49,53,57,32,46,48,51,48,56,54,55,53,32,46,48,51,48,56,57,51,
      53,32,46,48,51,51,55,51,53,50,32,46,48,51,51,50,56,49,50,32,46,48,51,51,48,
      55,57,57,32,46,48,51,50,54,55,51,52,10,32,32,46,48,51,50,49,57,56,51,32,46,
      48,51,49,55,56,52,55,32,46,48,51,49,51,53,55,54,32,46,48,51,48,57,52,55,53,
      32,46,48,51,48,53,51,53,51,32,46,48,51,48,48,55,48,49,32,46,48,50,57,54,53,
      49,52,32,46,48,50,57,49,56,53,32,46,48,50,56,56,51,57,52,10,32,32,46,48,50,
      56,50,55,50,55,32,46,48,50,55,57,50,52,49,32,46,48,50,55,52,57,48,51,32,46,
      48,50,54,52,56,48,54,32,46,48,50,53,49,48,53,32,46,48,50,51,55,56,57,53,32,
      46,48,50,50,49,57,55,53,32,46,48,50,48,54,55,52,53,32,46,48,49,56,57,52,56,
      57,10,32,32,46,48,49,55,53,57,56,51,32,46,48,49,53,53,55,49,53,32,46,48,49,
      51,50,53,54,32,46,48,49,50,50,51,51,57,32,46,48,49,49,49,56,50,51,32,46,48,
      48,57,57,49,53,52,49,32,46,48,48,56,57,50,52,52,50,32,46,48,48,56,48,51,50,
      52,52,32,46,48,48,55,49,50,49,57,52,10,32,32,46,48,48,54,51,49,52,54,52,32,
      46,48,48,53,54,56,52,50,51,32,46,48,48,53,49,49,55,51,56,32,46,48,48,52,54,
      48,55,55,55,32,46,48,48,52,48,56,55,57,50,32,46,48,48,51,53,55,51,55,53,32,
      46,48,48,51,48,55,56,51,32,46,48,48,50,54,57,49,56,57,32,46,48,48,50,51,49,
      57,57,49,10,32,32,46,48,48,50,48,50,57,57,49,32,46,48,48,49,55,55,54,54,55,
      32,46,48,48,49,53,51,50,54,53,32,46,48,48,49,51,48,56,54,51,32,46,48,48,49,
      49,53,56,53,55,32,46,48,48,49,48,48,54,52,50,32,46,48,48,48,56,56,57,52,51,
      55,32,46,48,48,48,55,55,57,53,56,54,10,32,32,46,48,48,48,54,56,51,52,54,57,
      32,46,48,48,48,53,57,57,51,51,50,32,46,48,48,48,53,50,53,54,54,52,32,46,48,
      48,48,52,54,49,49,52,57,32,46,48,48,48,52,48,52,54,51,51,32,46,48,48,48,51,
      53,53,49,49,51,32,46,48,48,48,51,49,49,55,49,52,32,46,48,48,48,50,55,51,54,
      54,57,10,32,32,46,48,48,48,50,52,48,51,48,57,32,46,48,48,48,50,49,49,48,52,
      54,32,46,48,48,48,49,56,53,51,54,56,32,46,48,48,48,49,54,50,56,48,52,32,46,
      48,48,48,49,52,51,48,49,49,32,46,48,48,48,49,50,53,54,52,52,32,46,48,48,48,
      49,49,48,52,48,54,32,57,46,55,48,50,54,55,101,45,48,53,10,32,32,56,46,53,50,
      55,55,54,101,45,48,53,32,55,46,52,57,54,52,51,101,45,48,53,32,54,46,53,57,48,
      55,51,101,45,48,53,32,53,46,55,57,53,50,50,101,45,48,53,32,53,46,48,57,54,51,
      52,101,45,48,53,32,52,46,52,56,50,51,101,45,48,53,32,51,46,57,52,50,57,50,101,
      45,48,53,10,32,32,51,46,52,54,56,54,54,101,45,48,53,32,51,46,48,53,49,55,57,
      101,45,48,53,32,50,46,54,56,53,51,49,101,45,48,53,32,50,46,51,54,51,49,101,
      45,48,53,32,50,46,48,55,57,55,55,101,45,48,53,32,49,46,56,51,48,53,57,101,45,
      48,53,32,49,46,54,49,49,51,49,101,45,48,53,10,32,32,49,46,52,49,56,53,51,101,
      45,48,53,32,49,46,50,56,52,55,54,101,45,48,53,32,49,46,49,54,51,54,56,101,45,
      48,53,32,49,46,48,53,52,48,54,101,45,48,53,32,57,46,53,52,56,49,52,101,45,48,
      54,32,56,46,54,53,48,51,51,101,45,48,54,32,55,46,55,51,55,56,55,101,45,48,54,
      10,32,32,54,46,55,49,57,50,53,101,45,48,54,32,53,46,56,51,53,51,49,101,45,48,
      54,32,53,46,48,54,56,49,55,101,45,48,54,32,52,46,52,48,50,50,57,101,45,48,54,
      32,51,46,56,50,52,50,54,101,45,48,54,32,51,46,51,50,50,52,51,101,45,48,54,32,
      50,46,56,56,54,55,49,101,45,48,54,10,32,32,50,46,53,48,56,51,52,101,45,48,54,
      32,50,46,49,55,57,55,53,101,45,48,54,32,49,46,56,57,52,51,53,101,45,48,54,32,
      49,46,54,52,54,52,54,101,45,48,54,32,49,46,52,51,49,49,50,101,45,48,54,32,49,
      46,50,52,52,48,52,101,45,48,54,32,49,46,48,56,49,53,101,45,48,54,10,32,32,57,
      46,52,48,50,54,52,101,45,48,55,32,56,46,49,55,53,51,49,101,45,48,55,32,55,46,
      49,48,56,54,56,101,45,48,55,32,54,46,49,56,49,54,49,101,45,48,55,32,53,46,51,
      55,53,56,50,101,45,48,55,32,52,46,54,55,53,51,54,101,45,48,55,32,52,46,48,54,
      53,55,55,101,45,48,55,10,32,32,51,46,53,51,55,48,53,101,45,48,55,32,51,46,48,
      55,54,55,56,101,45,48,55,32,50,46,54,55,54,53,53,101,45,48,55,32,50,46,51,50,
      56,53,51,101,45,48,55,32,50,46,48,50,53,56,55,101,45,48,55,32,49,46,55,54,50,
      54,53,101,45,48,55,32,49,46,53,51,51,55,49,101,45,48,55,10,32,32,49,46,51,51,
      52,53,56,101,45,48,55,32,49,46,49,54,49,51,55,101,45,48,55,32,49,46,48,49,48,
      54,57,101,45,48,55,32,56,46,55,57,54,48,56,101,45,48,56,32,55,46,54,53,53,54,
      53,101,45,48,56,32,54,46,54,54,51,52,50,101,45,48,56,32,53,46,56,48,48,48,54,
      101,45,48,56,10,32,32,53,46,48,52,56,56,101,45,48,56,32,51,46,56,50,54,49,51,
      101,45,48,56,32,50,46,57,101,45,48,56,32,50,46,49,57,56,52,56,101,45,48,56,
      32,49,46,54,54,54,57,51,101,45,48,56,32,49,46,50,54,52,49,49,101,45,48,56,32,
      57,46,53,56,55,55,52,101,45,48,57,32,55,46,50,55,49,48,52,101,45,48,57,10,32,
      32,53,46,53,49,52,52,56,101,45,48,57,32,52,46,49,56,50,57,101,45,48,57,32,51,
      46,49,55,51,51,49,101,45,48,57,32,50,46,52,48,55,55,49,101,45,48,57,32,49,46,
      56,50,55,48,55,101,45,48,57,32,49,46,51,56,54,54,51,101,45,48,57,32,49,46,48,
      53,50,52,57,101,45,48,57,10,32,32,55,46,57,56,57,55,52,101,45,49,48,32,54,46,
      48,54,53,57,51,101,45,49,48,32,52,46,54,48,53,56,56,101,45,49,48,32,51,46,52,
      57,55,54,53,101,45,49,48,32,50,46,54,53,54,51,53,101,45,49,48,32,50,46,48,49,
      55,54,50,101,45,49,48,32,49,46,53,51,50,54,51,101,45,49,48,10,32,32,49,46,49,
      54,52,51,52,101,45,49,48,32,56,46,56,52,54,51,50,101,45,49,49,32,54,46,55,50,
      49,56,54,101,45,49,49,32,53,46,49,48,56,48,53,101,45,49,49,32,51,46,56,56,50,
      48,53,101,45,49,49,32,50,46,57,53,48,53,54,101,45,49,49,32,50,46,50,52,50,55,
      56,101,45,49,49,10,32,32,49,46,55,48,52,57,55,101,45,49,49,32,49,46,53,50,50,
      50,52,101,45,49,48,32,54,46,49,48,51,57,52,101,45,49,48,32,49,46,51,55,52,53,
      51,101,45,48,57,32,49,46,53,50,50,50,56,101,45,48,57,32,54,46,49,48,52,53,51,
      101,45,48,57,32,49,46,51,55,52,55,56,101,45,48,56,10,32,32,50,46,52,52,51,56,
      51,101,45,48,56,32,51,46,56,49,55,56,101,45,48,56,32,53,46,52,57,57,57,53,101,
      45,48,56,32,55,46,52,56,54,48,50,101,45,48,56,32,57,46,55,56,48,57,51,101,45,
      48,56,32,49,46,50,51,56,50,49,101,45,48,55,32,49,46,53,50,56,57,56,101,45,48,
      55,10,32,32,49,46,56,53,48,54,51,101,45,48,55,32,50,46,50,48,51,50,101,45,48,
      55,32,50,46,53,56,54,54,50,101,45,48,55,32,51,46,48,48,49,48,53,101,45,48,55,
      32,51,46,52,52,54,53,57,101,45,48,55,32,51,46,57,50,51,49,54,101,45,48,55,32,
      52,46,52,51,48,57,55,101,45,48,55,10,32,32,52,46,57,54,57,57,55,101,45,48,55,
      32,53,46,53,52,48,50,52,101,45,48,55,32,54,46,49,52,49,56,101,45,48,55,32,54,
      46,55,55,52,57,49,101,45,48,55,32,55,46,52,51,57,54,101,45,48,55,32,56,46,49,
      51,53,54,56,101,45,48,55,32,56,46,56,54,51,49,52,101,45,48,55,10,32,32,57,46,
      54,50,50,52,57,101,45,48,55,32,49,46,48,52,49,51,53,101,45,48,54,32,49,46,49,
      50,51,54,51,101,45,48,54,32,49,46,50,48,57,48,50,101,45,48,54,32,49,46,50,57,
      55,54,49,101,45,48,54,32,49,46,51,56,57,51,56,101,45,48,54,32,49,46,52,56,52,
      51,52,101,45,48,54,10,32,32,49,46,53,56,50,52,51,101,45,48,54,32,49,46,54,56,
      51,54,56,101,45,48,54,32,49,46,55,56,56,49,101,45,48,54,32,49,46,56,57,53,55,
      49,101,45,48,54,32,50,46,48,48,54,53,51,101,45,48,54,32,50,46,49,50,48,52,101,
      45,48,54,32,50,46,50,51,55,52,53,101,45,48,54,10,32,32,50,46,51,53,55,55,49,
      101,45,48,54,32,50,46,52,56,49,49,55,101,45,48,54,32,50,46,54,48,55,55,49,101,
      45,48,54,32,50,46,55,51,55,51,55,101,45,48,54,32,50,46,56,55,48,50,53,101,45,
      48,54,32,51,46,48,48,54,51,49,101,45,48,54,32,51,46,49,52,53,53,55,101,45,48,
      54,10,32,32,51,46,50,56,55,56,55,101,45,48,54,32,51,46,52,51,51,51,53,101,45,
      48,54,32,51,46,53,56,50,48,53,101,45,48,54,32,51,46,55,51,51,57,52,101,45,48,
      54,32,51,46,56,56,56,57,57,101,45,48,54,32,52,46,48,52,55,49,56,101,45,48,54,
      32,52,46,50,48,56,53,54,101,45,48,54,10,32,32,52,46,51,55,51,49,54,101,45,48,
      54,32,52,46,53,52,48,57,56,101,45,48,54,32,52,46,55,49,49,57,55,101,45,48,54,
      32,52,46,56,56,54,49,53,101,45,48,54,32,53,46,48,54,51,53,55,101,45,48,54,32,
      53,46,50,52,52,50,101,45,48,54,32,53,46,52,50,56,48,57,101,45,48,54,10,32,32,
      53,46,54,49,53,50,51,101,45,48,54,32,53,46,56,48,53,54,49,101,45,48,54,32,53,
      46,57,57,57,50,51,101,45,48,54,32,54,46,49,57,54,48,56,101,45,48,54,32,54,46,
      51,57,54,51,53,101,45,48,54,32,54,46,53,57,57,56,54,101,45,48,54,32,54,46,56,
      48,54,54,51,101,45,48,54,10,32,32,55,46,48,49,54,54,54,101,45,48,54,32,55,46,
      50,51,48,49,49,101,45,48,54,32,55,46,52,52,54,57,54,101,45,48,54,32,55,46,54,
      54,55,48,57,101,45,48,54,32,55,46,56,57,48,52,57,101,45,48,54,32,56,46,49,49,
      55,50,53,101,45,48,54,32,56,46,51,52,55,53,54,101,45,48,54,10,32,32,56,46,53,
      56,49,49,56,101,45,48,54,32,56,46,56,49,56,49,52,101,45,48,54,32,57,46,48,53,
      56,52,50,101,45,48,54,32,57,46,51,48,50,49,57,101,45,48,54,32,57,46,53,52,57,
      51,56,101,45,48,54,32,57,46,55,57,57,57,52,101,45,48,54,32,49,46,48,48,53,51,
      57,101,45,48,53,10,32,32,49,46,48,51,49,49,50,101,45,48,53,32,49,46,48,53,55,
      49,56,101,45,48,53,32,49,46,48,56,51,53,57,101,45,48,53,32,49,46,49,49,48,51,
      52,101,45,48,53,32,49,46,49,51,55,52,50,101,45,48,53,32,49,46,49,54,52,56,101,
      45,48,53,32,49,46,49,57,50,53,101,45,48,53,10,32,32,49,46,50,50,48,53,54,101,
      45,48,53,32,49,46,50,52,56,57,54,101,45,48,53,32,49,46,50,55,55,54,55,101,45,
      48,53,32,49,46,51,48,54,53,57,101,45,48,53,32,49,46,51,51,53,56,53,101,45,48,
      53,32,49,46,51,54,53,52,52,101,45,48,53,32,49,46,51,57,53,51,53,101,45,48,53,
      10,32,32,49,46,52,50,53,52,53,101,45,48,53,32,49,46,52,53,53,55,57,101,45,48,
      53,32,49,46,52,56,54,52,54,101,45,48,53,32,49,46,53,49,55,52,54,101,45,48,53,
      32,49,46,53,52,56,55,52,101,45,48,53,32,49,46,53,56,48,48,52,101,45,48,53,32,
      49,46,54,49,49,54,55,101,45,48,53,10,32,32,49,46,54,52,51,54,51,101,45,48,53,
      32,49,46,54,55,53,57,50,101,45,48,53,32,49,46,55,48,56,50,51,101,45,48,53,32,
      49,46,55,52,48,55,49,101,45,48,53,32,49,46,55,55,51,53,50,101,45,48,53,32,49,
      46,56,48,54,54,55,101,45,48,53,32,49,46,56,52,48,48,54,101,45,48,53,10,32,32,
      49,46,56,55,51,51,49,101,45,48,53,32,49,46,57,48,54,56,57,101,45,48,53,32,49,
      46,57,52,48,56,50,101,45,48,53,32,49,46,57,55,53,49,54,101,45,48,53,32,50,46,
      48,48,57,52,53,101,45,48,53,32,50,46,48,52,51,57,101,45,48,53,32,50,46,48,55,
      56,55,51,101,45,48,53,10,32,32,50,46,49,49,51,57,51,101,45,48,53,32,50,46,49,
      52,57,52,101,45,48,53,32,50,46,49,56,52,55,57,101,45,48,53,32,50,46,50,50,48,
      53,56,101,45,48,53,32,50,46,50,53,54,55,53,101,45,48,53,32,50,46,50,57,51,51,
      101,45,48,53,32,50,46,51,50,57,57,101,45,48,53,10,32,32,50,46,51,54,54,55,53,
      101,45,48,53,32,50,46,52,48,51,57,57,101,45,48,53,32,50,46,52,52,49,54,49,101,
      45,48,53,32,50,46,52,55,57,53,53,101,45,48,53,32,50,46,53,49,55,53,51,101,45,
      48,53,32,50,46,53,53,53,57,50,101,45,48,53,32,50,46,53,57,52,55,50,101,45,48,
      53,10,32,32,50,46,54,51,51,56,54,101,45,48,53,32,50,46,54,55,51,50,101,45,48,
      53,32,50,46,55,49,50,56,49,101,45,48,53,32,50,46,55,53,50,56,52,101,45,48,53,
      32,50,46,55,57,51,50,49,101,45,48,53,32,50,46,56,51,51,57,50,101,45,48,53,32,
      50,46,56,55,52,56,50,101,45,48,53,10,32,32,50,46,57,49,54,48,57,101,45,48,53,
      32,50,46,57,53,55,55,53,101,45,48,53,32,50,46,57,57,57,55,54,101,45,48,53,32,
      51,46,48,52,50,48,50,101,45,48,53,32,51,46,48,56,52,54,50,101,45,48,53,32,51,
      46,49,50,55,53,54,101,45,48,53,32,51,46,49,55,48,56,54,101,45,48,53,10,32,32,
      51,46,50,49,52,52,57,101,45,48,53,32,51,46,50,53,56,52,52,101,45,48,53,32,51,
      46,51,48,50,55,49,101,45,48,53,32,51,46,51,52,55,51,50,101,45,48,53,32,51,46,
      51,57,50,50,55,101,45,48,53,32,51,46,52,51,55,53,56,101,45,48,53,32,51,46,52,
      56,51,50,50,101,45,48,53,10,32,32,51,46,53,50,57,49,56,101,45,48,53,32,51,46,
      53,55,53,52,54,101,45,48,53,32,51,46,54,50,50,49,101,45,48,53,32,51,46,54,54,
      57,49,49,101,45,48,53,32,51,46,55,49,54,52,54,101,45,48,53,32,51,46,55,56,101,
      45,48,53,32,51,46,57,51,48,49,51,101,45,48,53,10,32,32,52,46,49,53,53,57,57,
      101,45,48,53,32,52,46,53,51,52,51,52,101,45,48,53,32,52,46,57,49,53,55,55,101,
      45,48,53,32,53,46,51,48,48,54,55,101,45,48,53,32,53,46,54,57,48,48,50,101,45,
      48,53,32,54,46,48,56,52,48,55,101,45,48,53,32,54,46,52,56,50,57,57,101,45,48,
      53,10,32,32,54,46,56,56,53,57,50,101,45,48,53,32,55,46,50,57,49,54,54,101,45,
      48,53,32,55,46,54,57,56,52,52,101,45,48,53,32,56,46,49,48,54,48,49,101,45,48,
      53,32,56,46,53,49,52,54,53,101,45,48,53,32,57,46,48,48,56,49,54,101,45,48,53,
      32,57,46,53,48,57,56,56,101,45,48,53,10,32,32,46,48,48,48,49,48,50,48,49,55,
      32,46,48,48,48,49,48,57,52,48,50,32,46,48,48,48,49,49,55,53,51,51,32,46,48,
      48,48,49,50,57,51,57,49,32,46,48,48,48,49,52,51,56,49,55,32,46,48,48,48,49,
      54,49,55,49,56,32,46,48,48,48,49,56,54,49,54,57,32,46,48,48,48,50,48,56,49,
      51,52,10,32,32,46,48,48,48,50,50,54,52,48,56,32,46,48,48,48,50,51,55,49,49,
      51,32,46,48,48,48,50,52,54,56,51,52,32,46,48,48,48,50,53,57,53,49,55,32,46,
      48,48,48,50,55,54,49,32,46,48,48,48,50,57,55,55,48,51,32,46,48,48,48,51,50,
      54,51,48,49,32,46,48,48,48,51,54,53,54,53,55,10,32,32,46,48,48,48,52,50,57,
      48,55,53,32,46,48,48,48,53,50,50,52,57,53,32,46,48,48,48,54,55,51,57,55,57,
      32,46,48,48,48,56,56,51,52,55,53,32,46,48,48,48,57,54,57,51,57,54,32,46,48,
      48,48,57,53,51,48,51,55,32,46,48,48,48,57,50,48,56,50,54,32,46,48,48,48,57,
      49,48,57,56,53,10,32,32,46,48,48,48,57,51,52,56,53,49,32,46,48,48,48,57,56,
      56,55,54,57,32,46,48,48,49,48,55,54,52,50,32,46,48,48,49,49,57,49,57,54,32,
      46,48,48,49,51,53,48,54,49,32,46,48,48,49,53,57,49,57,50,32,46,48,48,49,57,
      56,54,49,56,32,46,48,48,50,52,50,50,51,55,10,32,32,46,48,48,50,57,51,50,50,
      54,32,46,48,48,51,52,53,57,50,53,32,46,48,48,52,49,56,49,54,53,32,46,48,48,
      53,52,49,57,49,50,32,46,48,48,54,54,53,48,54,50,32,46,48,48,55,54,50,51,51,
      53,32,46,48,48,56,50,57,51,55,50,32,46,48,48,57,50,52,54,48,52,10,32,32,46,
      48,49,48,51,48,51,50,32,46,48,49,49,50,55,55,32,46,48,49,49,57,52,56,55,32,
      46,48,49,50,53,48,57,57,32,46,48,49,51,50,52,57,57,32,46,48,49,52,53,48,54,
      56,32,46,48,49,54,48,51,55,53,32,46,48,49,55,50,55,54,51,32,46,48,49,57,53,
      54,54,52,10,32,32,46,48,50,49,53,51,50,51,32,46,48,50,51,49,48,55,50,32,46,
      48,50,52,51,53,52,53,32,46,48,50,53,49,56,48,51,32,46,48,50,54,49,56,49,52,
      32,46,48,50,55,51,52,51,49,32,46,48,50,56,53,49,54,53,32,46,48,50,57,54,52,
      48,57,32,46,48,51,48,56,55,55,57,10,32,32,46,48,51,49,55,55,50,54,32,46,48,
      51,50,54,49,57,54,32,46,48,51,51,55,55,57,56,32,46,48,51,52,50,54,57,51,32,
      46,48,51,52,53,55,49,52,32,46,48,51,52,50,55,49,57,32,46,48,51,51,56,51,55,
      56,32,46,48,51,51,50,55,51,57,32,46,48,51,50,50,51,48,49,10,32,32,46,48,51,
      49,48,50,50,49,32,46,48,51,48,52,48,57,56,32,46,48,50,57,55,49,56,57,32,46,
      48,50,57,53,48,56,49,32,46,48,50,57,53,54,49,54,32,46,48,51,50,50,49,54,52,
      32,46,48,51,49,56,51,51,49,32,46,48,51,49,54,54,48,52,32,46,48,51,49,51,48,
      55,53,10,32,32,46,48,51,48,56,56,57,54,32,46,48,51,48,53,50,50,50,32,46,48,
      51,48,49,51,57,56,32,46,48,50,57,55,55,32,46,48,50,57,51,57,54,54,32,46,48,
      50,56,57,55,51,52,32,46,48,50,56,53,57,48,51,32,46,48,50,56,49,54,49,56,32,
      46,48,50,55,56,52,51,50,32,46,48,50,55,51,49,56,56,10,32,32,46,48,50,54,57,
      57,53,50,32,46,48,50,54,53,57,49,52,32,46,48,50,53,54,52,57,32,46,48,50,52,
      51,53,54,56,32,46,48,50,51,49,49,52,51,32,46,48,50,49,54,48,51,32,46,48,50,
      48,49,53,48,56,32,46,48,49,56,52,57,55,54,32,46,48,49,55,49,57,57,50,32,46,
      48,49,53,50,52,51,56,10,32,32,46,48,49,50,57,57,49,54,32,46,48,49,49,57,57,
      56,52,32,46,48,49,48,57,55,53,51,32,46,48,48,57,55,52,49,56,55,32,46,48,48,
      56,55,55,52,49,54,32,46,48,48,55,57,48,49,57,53,32,46,48,48,55,48,49,48,54,
      56,32,46,48,48,54,50,50,48,50,56,32,46,48,48,53,54,48,50,48,51,10,32,32,46,
      48,48,53,48,52,53,53,54,32,46,48,48,52,53,52,52,56,53,32,46,48,48,52,48,51,
      51,55,56,32,46,48,48,51,53,50,55,57,55,32,46,48,48,51,48,52,48,56,49,32,46,
      48,48,50,54,54,48,52,56,32,46,48,48,50,50,57,51,55,32,46,48,48,50,48,48,55,
      53,56,32,46,48,48,49,55,53,55,53,57,10,32,32,46,48,48,49,53,49,54,54,50,32,
      46,48,48,49,50,57,53,51,51,32,46,48,48,49,49,52,55,48,50,32,46,48,48,48,57,
      57,54,55,52,55,32,46,48,48,48,56,56,49,49,54,49,32,46,48,48,48,55,55,50,52,
      55,51,32,46,48,48,48,54,55,55,51,52,56,32,46,48,48,48,53,57,52,48,53,55,10,
      32,32,46,48,48,48,53,50,49,49,49,57,32,46,48,48,48,52,53,55,50,51,32,46,48,
      48,48,52,48,49,50,53,49,32,46,48,48,48,51,53,50,49,57,50,32,46,48,48,48,51,
      48,57,49,56,54,32,46,48,48,48,50,55,49,52,56,32,46,48,48,48,50,51,56,52,49,
      51,32,46,48,48,48,50,48,57,52,48,53,10,32,32,46,48,48,48,49,56,51,57,54,49,
      32,46,48,48,48,49,54,49,54,51,50,32,46,48,48,48,49,52,50,48,51,54,32,46,48,
      48,48,49,50,52,56,48,49,32,46,48,48,48,49,48,57,54,55,52,32,57,46,54,51,57,
      49,56,101,45,48,53,32,56,46,52,55,50,54,54,101,45,48,53,32,55,46,52,52,56,54,
      101,45,48,53,10,32,32,54,46,53,52,57,49,51,101,45,48,53,32,53,46,55,53,57,101,
      45,48,53,32,53,46,48,54,52,56,50,101,45,48,53,32,52,46,52,53,52,56,53,101,45,
      48,53,32,51,46,57,49,57,101,45,48,53,32,51,46,52,52,55,56,52,101,45,48,53,32,
      51,46,48,51,51,54,54,101,45,48,53,10,32,32,50,46,54,54,57,53,50,101,45,48,53,
      32,50,46,51,52,57,51,50,101,45,48,53,32,50,46,48,54,55,55,53,101,45,48,53,32,
      49,46,56,50,48,48,57,101,45,48,53,32,49,46,54,48,50,49,52,101,45,48,53,32,49,
      46,52,49,48,53,50,101,45,48,53,32,49,46,50,55,55,53,54,101,45,48,53,10,32,32,
      49,46,49,53,55,49,57,101,45,48,53,32,49,46,48,52,56,50,49,101,45,48,53,32,57,
      46,52,57,53,53,51,101,45,48,54,32,56,46,54,48,50,57,53,101,45,48,54,32,55,46,
      54,57,53,56,50,101,45,48,54,32,54,46,54,56,51,57,51,101,45,48,54,32,53,46,56,
      48,53,54,55,101,45,48,54,10,32,32,53,46,48,52,51,50,55,101,45,48,54,32,52,46,
      51,56,49,101,45,48,54,32,51,46,56,48,53,57,101,45,48,54,32,51,46,51,48,54,53,
      57,101,45,48,54,32,50,46,56,55,51,48,52,101,45,48,54,32,50,46,52,57,54,53,53,
      101,45,48,54,32,50,46,49,54,57,53,56,101,45,48,54,10,32,32,49,46,56,56,53,53,
      57,101,45,48,54,32,49,46,54,51,56,57,101,45,48,54,32,49,46,52,50,52,53,57,101,
      45,48,54,32,49,46,50,51,56,52,49,101,45,48,54,32,49,46,48,55,54,54,51,101,45,
      48,54,32,57,46,51,54,48,53,49,101,45,48,55,32,56,46,49,51,56,56,56,101,45,48,
      55,10,32,32,55,46,48,55,55,49,56,101,45,48,55,32,54,46,49,53,52,51,57,101,45,
      48,55,32,53,46,51,53,50,50,57,101,45,48,55,32,52,46,54,53,53,48,51,101,45,48,
      55,32,52,46,48,52,56,50,101,45,48,55,32,51,46,53,50,49,56,53,101,45,48,55,32,
      51,46,48,54,51,54,50,101,45,48,55,10,32,32,50,46,54,54,53,49,54,101,45,48,55,
      32,50,46,51,49,56,54,54,101,45,48,55,32,50,46,48,49,55,51,50,101,45,48,55,32,
      49,46,55,53,53,50,53,101,45,48,55,32,49,46,53,50,55,51,49,101,45,48,55,32,49,
      46,51,50,57,48,52,101,45,48,55,32,49,46,49,53,54,53,55,101,45,48,55,10,32,32,
      49,46,48,48,54,53,52,101,45,48,55,32,56,46,55,54,48,48,57,101,45,48,56,32,55,
      46,54,50,52,52,53,101,45,48,56,32,54,46,54,51,54,51,54,101,45,48,56,32,53,46,
      55,55,54,53,56,101,45,48,56,32,53,46,48,50,56,52,50,101,45,48,56,32,51,46,56,
      49,48,55,56,101,45,48,56,10,32,32,50,46,56,56,56,52,53,101,45,48,56,32,50,46,
      49,56,57,55,57,101,45,48,56,32,49,46,54,54,48,51,57,101,45,48,56,32,49,46,50,
      53,57,49,56,101,45,48,56,32,57,46,53,53,48,54,53,101,45,48,57,32,55,46,50,52,
      53,48,56,101,45,48,57,32,53,46,52,57,54,56,57,101,45,48,57,10,32,32,52,46,49,
      55,49,49,50,101,45,48,57,32,51,46,49,54,52,54,54,101,45,48,57,32,50,46,52,48,
      49,50,101,45,48,57,32,49,46,56,50,50,49,54,101,45,48,57,32,49,46,51,56,50,57,
      51,101,45,48,57,32,49,46,48,52,57,55,49,101,45,48,57,32,55,46,57,54,56,55,55,
      101,45,49,48,10,32,32,54,46,48,53,48,49,49,101,45,49,48,32,52,46,53,57,51,57,
      52,101,45,49,48,32,51,46,52,56,56,54,50,101,45,49,48,32,50,46,54,52,57,53,51,
      101,45,49,48,32,50,46,48,49,50,52,55,101,45,49,48,32,49,46,53,50,56,55,53,101,
      45,49,48,32,49,46,49,54,49,52,49,101,45,49,48,10,32,32,56,46,56,50,52,50,53,
      101,45,49,49,32,54,46,55,48,53,49,55,101,45,49,49,32,53,46,48,57,53,52,51,101,
      45,49,49,32,51,46,56,55,50,53,101,45,49,49,32,50,46,57,52,51,51,51,101,45,49,
      49,32,50,46,50,51,55,51,101,45,49,49,32,49,46,55,48,48,56,51,101,45,49,49,10,
      32,32,49,46,51,50,49,49,52,101,45,49,48,32,53,46,50,57,55,53,55,101,45,49,48,
      32,49,46,49,57,50,57,53,101,45,48,57,32,49,46,51,50,49,49,56,101,45,48,57,32,
      53,46,50,57,56,50,49,101,45,48,57,32,49,46,49,57,51,50,50,101,45,48,56,32,50,
      46,49,50,49,49,54,101,45,48,56,10,32,32,51,46,51,49,51,56,54,101,45,48,56,32,
      52,46,55,55,52,49,56,101,45,48,56,32,54,46,52,57,56,53,101,45,48,56,32,56,46,
      52,57,49,49,53,101,45,48,56,32,49,46,48,55,52,57,57,101,45,48,55,32,49,46,51,
      50,55,53,50,101,45,48,55,32,49,46,54,48,54,56,57,101,45,48,55,10,32,32,49,46,
      57,49,51,49,53,101,45,48,55,32,50,46,50,52,54,50,52,101,45,48,55,32,50,46,54,
      48,54,51,49,101,45,48,55,32,50,46,57,57,51,52,53,101,45,48,55,32,51,46,52,48,
      55,54,101,45,48,55,32,51,46,56,52,56,57,53,101,45,48,55,32,52,46,51,49,55,52,
      52,101,45,48,55,10,32,32,52,46,56,49,51,49,53,101,45,48,55,32,53,46,51,51,54,
      49,101,45,48,55,32,53,46,56,56,54,53,51,101,45,48,55,32,54,46,52,54,52,52,54,
      101,45,48,55,32,55,46,48,54,57,55,49,101,45,48,55,32,55,46,55,48,50,50,55,101,
      45,48,55,32,56,46,51,54,50,54,49,101,45,48,55,10,32,32,57,46,48,53,48,53,54,
      101,45,48,55,32,57,46,55,54,54,49,49,101,45,48,55,32,49,46,48,53,48,56,56,101,
      45,48,54,32,49,46,49,50,55,57,51,101,45,48,54,32,49,46,50,48,55,55,53,101,45,
      48,54,32,49,46,50,57,48,51,53,101,45,48,54,32,49,46,51,55,53,54,55,101,45,48,
      54,10,32,32,49,46,52,54,51,55,52,101,45,48,54,32,49,46,53,53,52,53,55,101,45,
      48,54,32,49,46,54,52,56,49,57,101,45,48,54,32,49,46,55,52,52,53,57,101,45,48,
      54,32,49,46,56,52,51,54,52,101,45,48,54,32,49,46,57,52,53,52,54,101,45,48,54,
      32,50,46,48,53,48,48,56,101,45,48,54,10,32,32,50,46,49,53,55,52,56,101,45,48,
      54,32,50,46,50,54,55,53,54,101,45,48,54,32,50,46,51,56,48,51,54,101,45,48,54,
      32,50,46,52,57,53,57,54,101,45,48,54,32,50,46,54,49,52,51,50,101,45,48,54,32,
      50,46,55,51,53,52,55,101,45,48,54,32,50,46,56,53,57,50,54,101,45,48,54,10,32,
      32,50,46,57,56,53,56,50,101,45,48,54,32,51,46,49,49,53,49,57,101,45,48,54,32,
      51,46,50,52,55,51,51,101,45,48,54,32,51,46,51,56,50,50,50,101,45,48,54,32,51,
      46,53,49,57,56,52,101,45,48,54,32,51,46,54,54,48,50,52,101,45,48,54,32,51,46,
      56,48,51,52,52,101,45,48,54,10,32,32,51,46,57,52,57,52,52,101,45,48,54,32,52,
      46,48,57,56,50,49,101,45,48,54,32,52,46,50,52,57,55,53,101,45,48,54,32,52,46,
      52,48,52,49,50,101,45,48,54,32,52,46,53,54,49,50,55,101,45,48,54,32,52,46,55,
      50,49,50,55,101,45,48,54,32,52,46,56,56,52,49,101,45,48,54,10,32,32,53,46,48,
      52,57,55,53,101,45,48,54,32,53,46,50,49,56,50,50,101,45,48,54,32,53,46,51,56,
      57,53,49,101,45,48,54,32,53,46,53,54,51,55,56,101,45,48,54,32,53,46,55,52,48,
      56,55,101,45,48,54,32,53,46,57,50,48,56,101,45,48,54,32,54,46,49,48,51,53,55,
      101,45,48,54,10,32,32,54,46,50,56,57,51,50,101,45,48,54,32,54,46,52,55,56,48,
      50,101,45,48,54,32,54,46,54,54,57,54,101,45,48,54,32,54,46,56,54,52,48,50,101,
      45,48,54,32,55,46,48,54,49,51,54,101,45,48,54,32,55,46,50,54,49,56,101,45,48,
      54,32,55,46,52,54,53,49,51,101,45,48,54,10,32,32,55,46,54,55,49,51,54,101,45,
      48,54,32,55,46,56,56,48,52,57,101,45,48,54,32,56,46,48,57,50,54,53,101,45,48,
      54,32,56,46,51,48,55,56,101,45,48,54,32,56,46,53,50,53,56,56,101,45,48,54,32,
      56,46,55,52,54,57,52,101,45,48,54,32,56,46,57,55,48,56,56,101,45,48,54,10,32,
      32,57,46,49,57,55,55,49,101,45,48,54,32,57,46,52,50,55,53,57,101,45,48,54,32,
      57,46,54,54,48,51,57,101,45,48,54,32,57,46,56,57,54,48,55,101,45,48,54,32,49,
      46,48,49,51,52,52,101,45,48,53,32,49,46,48,51,55,53,53,101,45,48,53,32,49,46,
      48,54,49,57,56,101,45,48,53,10,32,32,49,46,48,56,54,54,57,101,45,48,53,32,49,
      46,49,49,49,54,56,101,45,48,53,32,49,46,49,51,54,56,53,101,45,48,53,32,49,46,
      49,54,50,51,50,101,45,48,53,32,49,46,49,56,56,48,54,101,45,48,53,32,49,46,50,
      49,52,49,101,45,48,53,32,49,46,50,52,48,51,101,45,48,53,10,32,32,49,46,50,54,
      54,55,101,45,48,53,32,49,46,50,57,51,51,57,101,45,48,53,32,49,46,51,50,48,51,
      54,101,45,48,53,32,49,46,51,52,55,53,56,101,45,48,53,32,49,46,51,55,52,56,50,
      101,45,48,53,32,49,46,52,48,50,51,52,101,45,48,53,32,49,46,52,51,48,49,52,101,
      45,48,53,10,32,32,49,46,52,53,56,50,51,101,45,48,53,32,49,46,52,56,54,51,53,
      101,45,48,53,32,49,46,53,49,52,54,101,45,48,53,32,49,46,53,52,51,49,52,101,
      45,48,53,32,49,46,53,55,49,57,55,101,45,48,53,32,49,46,54,48,49,48,49,101,45,
      48,53,32,49,46,54,50,57,57,50,101,45,48,53,10,32,32,49,46,54,53,57,49,51,101,
      45,48,53,32,49,46,54,56,56,54,52,101,45,48,53,32,49,46,55,49,56,52,57,101,45,
      48,53,32,49,46,55,52,56,51,49,101,45,48,53,32,49,46,55,55,56,50,53,101,45,48,
      53,32,49,46,56,48,56,53,51,101,45,48,53,32,49,46,56,51,57,49,51,101,45,48,53,
      10,32,32,49,46,56,54,57,57,54,101,45,48,53,32,49,46,57,48,48,55,50,101,45,48,
      53,32,49,46,57,51,49,56,50,101,45,48,53,32,49,46,57,54,51,50,52,101,45,48,53,
      32,49,46,57,57,53,48,49,101,45,48,53,32,50,46,48,50,54,56,49,101,45,48,53,32,
      50,46,48,53,56,56,50,101,45,48,53,10,32,32,50,46,48,57,49,49,55,101,45,48,53,
      32,50,46,49,50,51,56,53,101,45,48,53,32,50,46,49,53,54,56,49,101,45,48,53,32,
      50,46,49,56,57,56,101,45,48,53,32,50,46,50,50,51,49,52,101,45,48,53,32,50,46,
      50,53,54,56,53,101,45,48,53,32,50,46,50,57,48,56,52,101,45,48,53,10,32,32,50,
      46,51,50,53,101,45,48,53,32,50,46,51,53,57,52,101,45,48,53,32,50,46,51,57,52,
      49,55,101,45,48,53,32,50,46,52,50,57,50,51,101,45,48,53,32,50,46,52,54,52,53,
      57,101,45,48,53,32,50,46,53,48,48,49,101,45,48,53,32,50,46,53,51,53,57,52,101,
      45,48,53,10,32,32,50,46,53,55,50,49,50,101,45,48,53,32,50,46,54,48,56,54,101,
      45,48,53,32,50,46,54,52,53,50,57,101,45,48,53,32,50,46,54,56,50,50,57,101,45,
      48,53,32,50,46,55,49,57,53,56,101,45,48,53,32,50,46,55,53,55,49,57,101,45,48,
      53,32,50,46,55,57,53,48,56,101,45,48,53,10,32,32,50,46,56,51,51,50,53,101,45,
      48,53,32,50,46,56,55,49,55,101,45,48,53,32,50,46,57,49,48,52,52,101,45,48,53,
      32,50,46,57,52,57,52,57,101,45,48,53,32,50,46,57,56,56,56,52,101,45,48,53,32,
      51,46,48,50,56,52,57,101,45,48,53,32,51,46,48,54,56,52,49,101,45,48,53,10,32,
      32,51,46,49,48,56,54,50,101,45,48,53,32,51,46,49,52,57,49,51,101,45,48,53,32,
      51,46,49,56,57,57,55,101,45,48,53,32,51,46,50,51,49,49,49,101,45,48,53,32,51,
      46,50,56,54,51,49,101,45,48,53,32,51,46,52,49,54,55,55,101,45,48,53,32,51,46,
      54,49,51,48,55,101,45,48,53,10,32,32,51,46,57,52,50,48,52,101,45,48,53,32,52,
      46,50,55,51,56,54,101,45,48,53,32,52,46,54,48,56,56,57,101,45,48,53,32,52,46,
      57,52,55,57,55,101,45,48,53,32,53,46,50,57,49,51,49,101,45,48,53,32,53,46,54,
      51,56,57,55,101,45,48,53,32,53,46,57,57,48,49,51,101,45,48,53,10,32,32,54,46,
      51,52,51,55,101,45,48,53,32,54,46,54,57,56,48,57,101,45,48,53,32,55,46,48,53,
      51,48,57,101,45,48,53,32,55,46,52,48,56,57,54,101,45,48,53,32,55,46,56,51,56,
      55,49,101,45,48,53,32,56,46,50,55,53,53,53,101,45,48,53,32,56,46,56,55,55,55,
      101,45,48,53,10,32,32,57,46,53,49,57,57,52,101,45,48,53,32,46,48,48,48,49,48,
      50,50,54,53,32,46,48,48,48,49,49,50,53,55,55,32,46,48,48,48,49,50,53,49,51,
      32,46,48,48,48,49,52,48,55,48,51,32,46,48,48,48,49,54,49,57,56,52,32,46,48,
      48,48,49,56,49,49,48,52,32,46,48,48,48,49,57,55,48,48,53,10,32,32,46,48,48,
      48,50,48,54,51,49,54,32,46,48,48,48,50,49,52,55,55,32,46,48,48,48,50,50,53,
      56,48,49,32,46,48,48,48,50,52,48,50,50,56,32,46,48,48,48,50,53,57,48,50,52,
      32,46,48,48,48,50,56,51,57,49,32,46,48,48,48,51,49,56,49,54,52,32,46,48,48,
      48,51,55,51,51,56,10,32,32,46,48,48,48,52,53,52,55,54,51,32,46,48,48,48,53,
      56,54,57,55,51,32,46,48,48,48,55,55,48,52,54,49,32,46,48,48,48,56,52,53,52,
      50,49,32,46,48,48,48,56,51,48,53,52,54,32,46,48,48,48,56,48,49,57,50,51,32,
      46,48,48,48,55,57,51,48,53,32,46,48,48,48,56,49,51,54,57,55,10,32,32,46,48,
      48,48,56,54,48,53,56,50,32,46,48,48,48,57,51,54,56,55,57,32,46,48,48,49,48,
      51,55,53,49,32,46,48,48,49,49,55,53,55,55,32,46,48,48,49,51,56,54,51,49,32,
      46,48,48,49,55,51,48,57,53,32,46,48,48,50,49,49,51,51,53,32,46,48,48,50,53,
      54,49,56,50,10,32,32,46,48,48,51,48,50,55,52,56,32,46,48,48,51,54,55,48,49,
      51,32,46,48,48,52,55,56,50,49,55,32,46,48,48,53,57,48,48,50,49,32,46,48,48,
      54,55,56,53,54,54,32,46,48,48,55,51,57,51,52,32,46,48,48,56,50,53,54,57,54,
      32,46,48,48,57,50,50,49,57,54,32,46,48,49,48,49,48,55,50,10,32,32,46,48,49,
      48,55,48,53,53,32,46,48,49,49,49,57,55,49,32,46,48,49,49,56,53,57,52,32,46,
      48,49,51,48,49,49,55,32,46,48,49,52,52,51,56,53,32,46,48,49,53,54,48,55,51,
      32,46,48,49,55,55,57,54,50,32,46,48,49,57,55,49,51,32,46,48,50,49,50,57,53,
      50,10,32,32,46,48,50,50,54,48,48,52,32,46,48,50,51,52,55,52,51,32,46,48,50,
      52,52,54,57,56,32,46,48,50,53,53,56,48,53,32,46,48,50,54,54,57,48,57,32,46,
      48,50,55,55,53,52,50,32,46,48,50,56,57,50,53,53,32,46,48,50,57,55,55,51,55,
      32,46,48,51,48,53,56,50,52,10,32,32,46,48,51,49,55,49,53,49,32,46,48,51,50,
      50,49,56,57,32,46,48,51,50,53,57,56,50,32,46,48,51,50,52,51,53,56,32,46,48,
      51,50,48,57,56,56,32,46,48,51,49,54,51,50,57,32,46,48,51,48,55,51,55,57,32,
      46,48,50,57,54,55,54,56,32,46,48,50,57,49,51,50,51,10,32,32,46,48,50,56,53,
      50,50,51,32,46,48,50,56,51,52,51,49,32,46,48,50,56,52,49,57,52,32,46,48,51,
      48,57,49,53,55,32,46,48,51,48,53,57,49,54,32,46,48,51,48,52,52,50,56,32,46,
      48,51,48,49,51,52,54,32,46,48,50,57,55,54,52,54,32,46,48,50,57,52,51,53,54,
      10,32,32,46,48,50,57,48,57,48,52,32,46,48,50,56,55,53,52,56,32,46,48,50,56,
      52,49,51,55,32,46,48,50,56,48,50,53,49,32,46,48,50,55,54,55,50,51,32,46,48,
      50,55,50,55,54,49,32,46,48,50,54,57,56,48,53,32,46,48,50,54,52,57,50,55,32,
      46,48,50,54,49,57,48,55,10,32,32,46,48,50,53,56,49,51,32,46,48,50,52,57,50,
      55,32,46,48,50,51,55,48,54,49,32,46,48,50,50,53,50,54,53,32,46,48,50,49,48,
      56,52,54,32,46,48,49,57,54,57,50,57,32,46,48,49,56,49,48,50,56,32,46,48,49,
      54,56,52,57,54,32,46,48,49,52,57,53,53,57,32,46,48,49,50,55,54,48,51,10,32,
      32,46,48,49,49,55,57,50,49,32,46,48,49,48,55,57,51,53,32,46,48,48,57,53,56,
      56,54,55,32,46,48,48,56,54,52,50,51,51,32,46,48,48,55,55,56,55,53,49,32,46,
      48,48,54,57,49,51,48,57,32,46,48,48,54,49,51,54,55,54,32,46,48,48,53,53,50,
      57,53,53,32,46,48,48,52,57,56,50,52,50,10,32,32,46,48,48,52,52,56,57,53,55,
      32,46,48,48,51,57,56,54,49,57,32,46,48,48,51,52,56,55,54,57,32,46,48,48,51,
      48,48,55,50,56,32,46,48,48,50,54,51,50,51,56,32,46,48,48,50,50,55,48,54,50,
      32,46,48,48,49,57,56,55,57,32,46,48,48,49,55,52,48,56,49,32,46,48,48,49,53,
      48,50,53,52,10,32,32,46,48,48,49,50,56,51,54,32,46,48,48,49,49,51,54,56,52,
      32,46,48,48,48,57,56,56,49,48,52,32,46,48,48,48,56,55,51,54,57,54,32,46,48,
      48,48,55,54,54,49,55,53,32,46,48,48,48,54,55,49,57,54,49,32,46,48,48,48,53,
      56,57,52,50,50,32,46,48,48,48,53,49,55,49,50,50,10,32,32,46,48,48,48,52,53,
      51,55,56,32,46,48,48,48,51,57,56,50,54,57,32,46,48,48,48,51,52,57,54,49,52,
      32,46,48,48,48,51,48,54,57,53,57,32,46,48,48,48,50,54,57,53,53,53,32,46,48,
      48,48,50,51,54,55,52,55,32,46,48,48,48,50,48,55,57,54,50,32,46,48,48,48,49,
      56,50,55,48,57,10,32,32,46,48,48,48,49,54,48,53,52,54,32,46,48,48,48,49,52,
      49,48,57,51,32,46,48,48,48,49,50,52,48,49,54,32,46,48,48,48,49,48,57,48,50,
      52,32,57,46,53,56,51,52,49,101,45,48,53,32,56,46,52,50,52,49,57,101,45,48,53,
      32,55,46,52,48,54,52,49,101,45,48,53,10,32,32,54,46,53,49,50,52,53,101,45,48,
      53,32,53,46,55,50,55,49,101,45,48,53,32,53,46,48,51,55,48,56,101,45,48,53,32,
      52,46,52,51,48,55,51,101,45,48,53,32,51,46,56,57,56,101,45,48,53,32,51,46,52,
      50,57,53,52,101,45,48,53,32,51,46,48,49,55,55,101,45,48,53,10,32,32,50,46,54,
      53,53,53,57,101,45,48,53,32,50,46,51,51,55,49,55,101,45,48,53,32,50,46,48,53,
      55,49,53,101,45,48,53,32,49,46,56,49,48,56,53,101,45,48,53,32,49,46,53,57,52,
      48,57,101,45,48,53,32,49,46,52,48,51,52,57,101,45,48,53,32,49,46,50,55,49,50,
      51,101,45,48,53,10,32,32,49,46,49,53,49,52,57,101,45,48,53,32,49,46,48,52,51,
      48,57,101,45,48,53,32,57,46,52,52,57,51,54,101,45,48,54,32,56,46,53,54,49,51,
      51,101,45,48,54,32,55,46,54,53,56,56,51,101,45,48,54,32,54,46,54,53,50,48,53,
      101,45,48,54,32,53,46,55,55,56,49,56,101,45,48,54,10,32,32,53,46,48,49,57,53,
      56,101,45,48,54,32,52,46,51,54,48,57,55,101,45,48,54,32,51,46,55,56,57,49,50,
      101,45,48,54,32,51,46,50,57,50,53,53,101,45,48,54,32,50,46,56,54,49,48,52,101,
      45,48,54,32,50,46,52,56,54,50,49,101,45,48,54,32,50,46,49,54,48,54,53,101,45,
      48,54,10,32,32,49,46,56,55,55,56,56,101,45,48,54,32,49,46,54,51,50,50,52,101,
      45,48,54,32,49,46,52,49,56,56,53,101,45,48,54,32,49,46,50,51,51,52,52,101,45,
      48,54,32,49,46,48,55,50,51,52,101,45,48,54,32,57,46,51,50,51,52,57,101,45,48,
      55,32,56,46,49,48,54,57,49,101,45,48,55,10,32,32,55,46,48,52,57,53,54,101,45,
      48,55,32,54,46,49,51,48,53,51,101,45,48,55,32,53,46,51,51,49,54,54,101,45,48,
      55,32,52,46,54,51,55,49,57,101,45,48,55,32,52,46,48,51,50,55,55,101,45,48,55,
      32,51,46,53,48,56,52,55,101,45,48,55,32,51,46,48,53,50,48,52,101,45,48,55,10,
      32,32,50,46,54,53,53,49,52,101,45,48,55,32,50,46,51,48,57,57,57,101,45,48,55,
      32,50,46,48,48,57,56,50,101,45,48,55,32,49,46,55,52,56,55,54,101,45,48,55,32,
      49,46,53,50,49,54,57,101,45,48,55,32,49,46,51,50,52,49,55,101,45,48,55,32,49,
      46,49,53,50,51,54,101,45,48,55,10,32,32,49,46,48,48,50,56,56,101,45,48,55,32,
      56,46,55,50,56,51,56,101,45,48,56,32,55,46,53,57,54,57,51,101,45,48,56,32,54,
      46,54,49,50,52,56,101,45,48,56,32,53,46,55,53,53,56,56,101,45,48,56,32,53,46,
      48,49,48,52,57,101,45,48,56,32,51,46,55,57,55,51,50,101,45,48,56,10,32,32,50,
      46,56,55,56,51,51,101,45,48,56,32,50,46,49,56,50,49,55,101,45,48,56,32,49,46,
      54,53,52,54,54,101,45,48,56,32,49,46,50,53,52,56,54,101,45,48,56,32,57,46,53,
      49,56,49,49,101,45,48,57,32,55,46,50,50,48,53,56,101,45,48,57,32,53,46,52,55,
      56,52,52,101,45,48,57,10,32,32,52,46,49,53,55,50,49,101,45,48,57,32,51,46,49,
      53,53,48,52,101,45,48,57,32,50,46,51,57,52,55,55,101,45,48,57,32,49,46,56,49,
      55,56,54,101,45,48,57,32,49,46,51,55,57,54,57,101,45,48,57,32,49,46,48,52,55,
      50,55,101,45,48,57,32,55,46,57,53,48,51,56,101,45,49,48,10,32,32,54,46,48,51,
      54,50,52,101,45,49,48,32,52,46,53,56,51,52,54,101,45,49,48,32,51,46,52,56,48,
      55,49,101,45,49,48,32,50,46,54,52,51,53,55,101,45,49,48,32,50,46,48,48,55,57,
      56,101,45,49,48,32,49,46,53,50,53,51,54,101,45,49,48,32,49,46,49,53,56,56,53,
      101,45,49,48,10,32,32,56,46,56,48,52,56,53,101,45,49,49,32,54,46,54,57,48,53,
      50,101,45,49,49,32,53,46,48,56,52,51,53,101,45,49,49,32,51,46,56,54,52,49,49,
      101,45,49,49,32,50,46,57,51,55,101,45,49,49,32,50,46,50,51,50,53,50,101,45,
      49,49,32,49,46,54,57,55,50,49,101,45,49,49,10,32,32,49,46,49,50,55,50,101,45,
      49,48,32,52,46,53,49,57,56,56,101,45,49,48,32,49,46,48,49,55,56,49,101,45,48,
      57,32,49,46,49,50,55,50,49,101,45,48,57,32,52,46,53,49,57,57,57,101,45,48,57,
      32,49,46,48,49,55,56,52,101,45,48,56,32,49,46,56,48,57,49,50,101,45,48,56,10,
      32,32,50,46,56,50,53,56,56,101,45,48,56,32,52,46,48,55,48,51,55,101,45,48,56,
      32,53,46,53,51,57,51,101,45,48,56,32,55,46,50,51,54,49,49,101,45,48,56,32,57,
      46,49,53,56,55,101,45,48,56,32,49,46,49,51,48,55,50,101,45,48,55,32,49,46,51,
      54,56,51,101,45,48,55,10,32,32,49,46,54,50,56,54,50,101,45,48,55,32,49,46,57,
      49,49,54,49,101,45,48,55,32,50,46,50,49,55,51,56,101,45,48,55,32,50,46,53,52,
      53,57,57,101,45,48,55,32,50,46,56,57,55,51,53,101,45,48,55,32,51,46,50,55,49,
      54,50,101,45,48,55,32,51,46,54,54,56,55,49,101,45,48,55,10,32,32,52,46,48,56,
      56,55,52,101,45,48,55,32,52,46,53,51,49,54,54,101,45,48,55,32,52,46,57,57,55,
      54,54,101,45,48,55,32,53,46,52,56,54,55,52,101,45,48,55,32,53,46,57,57,56,56,
      101,45,48,55,32,54,46,53,51,51,56,53,101,45,48,55,32,55,46,48,57,50,50,101,
      45,48,55,10,32,32,55,46,54,55,51,55,101,45,48,55,32,56,46,50,55,56,51,55,101,
      45,48,55,32,56,46,57,48,54,48,49,101,45,48,55,32,57,46,53,53,54,57,53,101,45,
      48,55,32,49,46,48,50,51,49,49,101,45,48,54,32,49,46,48,57,50,56,55,101,45,48,
      54,32,49,46,49,54,52,57,50,101,45,48,54,10,32,32,49,46,50,51,57,51,101,45,48,
      54,32,49,46,51,49,53,57,56,101,45,48,54,32,49,46,51,57,53,48,49,101,45,48,54,
      32,49,46,52,55,54,51,56,101,45,48,54,32,49,46,53,54,48,48,49,101,45,48,54,32,
      49,46,54,52,53,57,54,101,45,48,54,32,49,46,55,51,52,50,54,101,45,48,54,10,32,
      32,49,46,56,50,52,57,49,101,45,48,54,32,49,46,57,49,55,56,50,101,45,48,54,32,
      50,46,48,49,51,48,50,101,45,48,54,32,50,46,49,49,48,53,57,101,45,48,54,32,50,
      46,50,49,48,52,55,101,45,48,54,32,50,46,51,49,50,55,101,45,48,54,32,50,46,52,
      49,55,49,56,101,45,48,54,10,32,32,50,46,53,50,51,57,56,101,45,48,54,32,50,46,
      54,51,51,49,52,101,45,48,54,32,50,46,55,52,52,54,51,101,45,48,54,32,50,46,56,
      53,56,52,53,101,45,48,54,32,50,46,57,55,52,53,54,101,45,48,54,32,51,46,48,57,
      51,48,50,101,45,48,54,32,51,46,50,49,51,56,50,101,45,48,54,10,32,32,51,46,51,
      51,54,57,56,101,45,48,54,32,51,46,52,54,50,52,54,101,45,48,54,32,51,46,53,57,
      48,50,56,101,45,48,54,32,51,46,55,50,48,52,55,101,45,48,54,32,51,46,56,53,51,
      48,49,101,45,48,54,32,51,46,57,56,55,57,50,101,45,48,54,32,52,46,49,50,53,50,
      49,101,45,48,54,10,32,32,52,46,50,54,52,56,55,101,45,48,54,32,52,46,52,48,54,
      57,101,45,48,54,32,52,46,53,53,49,50,56,101,45,48,54,32,52,46,54,57,56,49,54,
      101,45,48,54,32,52,46,56,52,55,51,57,101,45,48,54,32,52,46,57,57,57,48,49,101,
      45,48,54,32,53,46,49,53,51,48,50,101,45,48,54,10,32,32,53,46,51,48,57,53,49,
      101,45,48,54,32,53,46,52,54,56,52,54,101,45,48,54,32,53,46,54,50,57,56,50,101,
      45,48,54,32,53,46,55,57,51,53,55,101,45,48,54,32,53,46,57,53,57,55,54,101,45,
      48,54,32,54,46,49,50,56,53,50,101,45,48,54,32,54,46,50,57,57,55,49,101,45,48,
      54,10,32,32,54,46,52,55,51,51,51,101,45,48,54,32,54,46,54,52,57,51,56,101,45,
      48,54,32,54,46,56,50,55,57,54,101,45,48,54,32,55,46,48,48,57,48,52,101,45,48,
      54,32,55,46,49,57,50,53,55,101,45,48,54,32,55,46,51,55,56,54,49,101,45,48,54,
      32,55,46,53,54,55,48,54,101,45,48,54,10,32,32,55,46,55,53,55,57,51,101,45,48,
      54,32,55,46,57,53,49,51,55,101,45,48,54,32,56,46,49,52,55,50,54,101,45,48,54,
      32,56,46,51,52,53,53,53,101,45,48,54,32,56,46,53,52,54,49,101,45,48,54,32,56,
      46,55,52,57,48,50,101,45,48,54,32,56,46,57,53,52,53,55,101,45,48,54,10,32,32,
      57,46,49,54,50,53,52,101,45,48,54,32,57,46,51,55,50,56,50,101,45,48,54,32,57,
      46,53,56,52,55,54,101,45,48,54,32,57,46,55,57,57,49,50,101,45,48,54,32,49,46,
      48,48,49,53,57,101,45,48,53,32,49,46,48,50,51,53,101,45,48,53,32,49,46,48,52,
      53,53,55,101,45,48,53,10,32,32,49,46,48,54,55,56,49,101,45,48,53,32,49,46,48,
      57,48,50,57,101,45,48,53,32,49,46,49,49,51,48,49,101,45,48,53,32,49,46,49,51,
      53,57,53,101,45,48,53,32,49,46,49,53,56,57,50,101,45,48,53,32,49,46,49,56,50,
      49,50,101,45,48,53,32,49,46,50,48,53,53,55,101,45,48,53,10,32,32,49,46,50,50,
      57,50,54,101,45,48,53,32,49,46,50,53,50,57,57,101,45,48,53,32,49,46,50,55,54,
      56,53,101,45,48,53,32,49,46,51,48,48,57,53,101,45,48,53,32,49,46,51,50,53,51,
      101,45,48,53,32,49,46,51,52,57,56,51,101,45,48,53,32,49,46,51,55,52,50,57,101,
      45,48,53,10,32,32,49,46,51,57,56,57,57,101,45,48,53,32,49,46,52,50,51,57,53,
      101,45,48,53,32,49,46,52,52,57,50,101,45,48,53,32,49,46,52,55,52,52,54,101,
      45,48,53,32,49,46,52,57,57,56,51,101,45,48,53,32,49,46,53,50,53,52,57,101,45,
      48,53,32,49,46,53,53,49,52,50,101,45,48,53,10,32,32,49,46,53,55,55,53,52,101,
      45,48,53,32,49,46,54,48,51,54,53,101,45,48,53,32,49,46,54,51,48,48,53,101,45,
      48,53,32,49,46,54,53,54,55,51,101,45,48,53,32,49,46,54,56,51,54,56,101,45,48,
      53,32,49,46,55,49,48,55,49,101,45,48,53,32,49,46,55,51,55,57,50,101,45,48,53,
      10,32,32,49,46,55,54,53,52,50,101,45,48,53,32,49,46,55,57,51,49,57,101,45,48,
      53,32,49,46,56,50,49,50,101,45,48,53,32,49,46,56,52,57,50,56,101,45,48,53,32,
      49,46,56,55,55,54,53,101,45,48,53,32,49,46,57,48,54,51,50,101,45,48,53,32,49,
      46,57,51,53,50,51,101,45,48,53,10,32,32,49,46,57,54,52,51,50,101,45,48,53,32,
      49,46,57,57,51,54,49,101,45,48,53,32,50,46,48,50,51,50,101,45,48,53,32,50,46,
      48,53,51,48,52,101,45,48,53,32,50,46,48,56,51,49,51,101,45,48,53,32,50,46,49,
      49,51,51,56,101,45,48,53,32,50,46,49,52,51,56,57,101,45,48,53,10,32,32,50,46,
      49,55,52,54,57,101,45,48,53,32,50,46,50,48,53,55,51,101,45,48,53,32,50,46,50,
      51,54,57,56,101,45,48,53,32,50,46,50,54,56,52,55,101,45,48,53,32,50,46,51,48,
      48,50,49,101,45,48,53,32,50,46,51,51,50,50,49,101,45,48,53,32,50,46,51,54,52,
      52,54,101,45,48,53,10,32,32,50,46,51,57,54,57,51,101,45,48,53,32,50,46,52,50,
      57,54,52,101,45,48,53,32,50,46,52,54,50,54,101,45,48,53,32,50,46,52,57,53,56,
      49,101,45,48,53,32,50,46,53,50,57,50,55,101,45,48,53,32,50,46,53,54,50,57,56,
      101,45,48,53,32,50,46,53,57,54,57,49,101,45,48,53,10,32,32,50,46,54,51,49,48,
      57,101,45,48,53,32,50,46,54,54,53,53,50,101,45,48,53,32,50,46,55,48,48,50,49,
      101,45,48,53,32,50,46,55,51,53,49,53,101,45,48,53,32,50,46,55,56,50,48,51,101,
      45,48,53,32,50,46,56,57,50,55,52,101,45,48,53,32,51,46,48,53,57,49,54,101,45,
      48,53,10,32,32,51,46,51,51,55,53,53,101,45,48,53,32,51,46,54,49,55,53,57,101,
      45,48,53,32,51,46,56,57,57,53,56,101,45,48,53,32,52,46,49,56,52,49,55,101,45,
      48,53,32,52,46,52,55,49,54,56,101,45,48,53,32,52,46,55,54,50,52,49,101,45,48,
      53,32,53,46,48,53,53,57,53,101,45,48,53,10,32,32,53,46,51,53,49,54,52,101,45,
      48,53,32,53,46,54,52,56,51,101,45,48,53,32,53,46,57,52,53,55,53,101,45,48,53,
      32,54,46,50,52,52,49,101,45,48,53,32,54,46,54,48,52,52,56,101,45,48,53,32,54,
      46,57,55,48,55,51,101,45,48,53,32,55,46,52,55,53,52,53,101,45,48,53,10,32,32,
      56,46,48,49,52,48,50,101,45,48,53,32,56,46,54,48,56,51,50,101,45,48,53,32,57,
      46,52,56,48,56,50,101,45,48,53,32,46,48,48,48,49,48,53,54,49,49,32,46,48,48,
      48,49,49,57,48,52,54,32,46,48,48,48,49,51,55,51,57,50,32,46,48,48,48,49,53,
      51,56,48,50,10,32,32,46,48,48,48,49,54,55,51,51,53,32,46,48,48,48,49,55,53,
      49,51,57,32,46,48,48,48,49,56,50,49,56,57,32,46,48,48,48,49,57,49,52,51,54,
      32,46,48,48,48,50,48,51,54,48,51,32,46,48,48,48,50,49,57,53,52,51,32,46,48,
      48,48,50,52,48,55,53,52,32,46,48,48,48,50,55,48,48,56,49,10,32,32,46,48,48,
      48,51,49,55,52,55,55,32,46,48,48,48,51,56,55,51,55,56,32,46,48,48,48,53,48,
      48,57,53,52,32,46,48,48,48,54,53,56,57,49,51,32,46,48,48,48,55,50,51,48,53,
      50,32,46,48,48,48,55,48,57,54,49,54,32,46,48,48,48,54,56,52,51,53,49,32,46,
      48,48,48,54,55,54,49,49,51,10,32,32,46,48,48,48,54,57,51,50,56,51,32,46,48,
      48,48,55,51,51,48,48,56,32,46,48,48,48,55,57,56,48,50,51,32,46,48,48,48,56,
      56,52,48,51,52,32,46,48,48,49,48,48,50,52,51,32,46,48,48,49,49,56,50,57,53,
      32,46,48,48,49,52,55,56,57,57,32,46,48,48,49,56,48,56,50,57,10,32,32,46,48,
      48,50,49,57,53,55,52,32,46,48,48,50,54,48,48,49,51,32,46,48,48,51,49,54,50,
      48,52,32,46,48,48,52,49,52,52,55,52,32,46,48,48,53,49,52,51,57,52,32,46,48,
      48,53,57,51,55,54,51,32,46,48,48,54,52,56,48,49,52,32,46,48,48,55,50,53,49,
      50,55,10,32,32,46,48,48,56,49,49,57,50,53,32,46,48,48,56,57,49,49,57,56,32,
      46,48,48,57,52,51,53,56,51,32,46,48,48,57,56,53,56,49,50,32,46,48,49,48,52,
      52,49,50,32,46,48,49,49,52,56,50,54,32,46,48,49,50,55,57,52,57,32,46,48,49,
      51,56,56,51,56,32,46,48,49,53,57,53,49,56,10,32,32,46,48,49,55,56,48,48,52,
      32,46,48,49,57,51,55,52,52,32,46,48,50,48,55,50,51,56,32,46,48,50,49,54,51,
      56,56,32,46,48,50,50,54,50,50,52,32,46,48,50,51,54,55,53,54,32,46,48,50,52,
      55,49,54,56,32,46,48,50,53,55,49,51,32,46,48,50,54,56,49,49,57,10,32,32,46,
      48,50,55,54,48,56,57,32,46,48,50,56,51,55,52,55,32,46,48,50,57,52,55,51,49,
      32,46,48,50,57,57,56,56,56,32,46,48,51,48,52,52,53,51,32,46,48,51,48,52,50,
      50,52,32,46,48,51,48,49,56,53,49,32,46,48,50,57,56,50,51,50,32,46,48,50,57,
      48,56,54,50,10,32,32,46,48,50,56,49,56,49,56,32,46,48,50,55,55,49,48,57,32,
      46,48,50,55,49,56,55,56,32,46,48,50,55,48,52,49,57,32,46,48,50,55,49,52,49,
      55,32,46,48,50,57,52,54,53,53,32,46,48,50,57,50,48,51,56,32,46,48,50,57,48,
      56,48,52,32,46,48,50,56,56,50,48,55,10,32,32,46,48,50,56,53,48,50,57,32,46,
      48,50,56,50,49,54,52,32,46,48,50,55,57,49,50,52,32,46,48,50,55,54,49,51,56,
      32,46,48,50,55,51,48,56,52,32,46,48,50,54,57,53,56,50,32,46,48,50,54,54,51,
      56,50,32,46,48,50,54,50,55,55,51,32,46,48,50,54,48,48,55,10,32,32,46,48,50,
      53,53,53,56,57,32,46,48,50,53,50,56,48,53,32,46,48,50,52,57,51,49,52,32,46,
      48,50,52,49,48,57,51,32,46,48,50,50,57,54,56,32,46,48,50,49,56,53,56,49,32,
      46,48,50,48,52,57,52,49,32,46,48,49,57,49,55,48,56,32,46,48,49,55,54,53,49,
      56,10,32,32,46,48,49,54,52,53,32,46,48,49,52,54,50,54,52,32,46,48,49,50,52,
      57,53,51,32,46,48,49,49,53,53,54,52,32,46,48,49,48,53,56,53,57,32,46,48,48,
      57,52,49,50,53,53,32,46,48,48,56,52,57,48,51,57,32,46,48,48,55,54,53,54,51,
      56,32,46,48,48,54,56,48,49,50,51,10,32,32,46,48,48,54,48,52,49,49,52,32,46,
      48,48,53,52,52,53,57,55,32,46,48,48,52,57,48,57,53,57,32,46,48,48,52,52,50,
      54,48,56,32,46,48,48,51,57,51,49,54,32,46,48,48,51,52,52,49,52,52,32,46,48,
      48,50,57,54,56,55,54,32,46,48,48,50,53,57,57,54,51,32,46,48,48,50,50,52,51,
      53,56,10,32,32,46,48,48,49,57,54,53,51,51,32,46,48,48,49,55,50,49,53,51,32,
      46,48,48,49,52,56,54,51,51,32,46,48,48,49,50,55,48,49,52,32,46,48,48,49,49,
      50,53,49,56,32,46,48,48,48,57,55,56,49,56,52,32,46,48,48,48,56,54,53,48,56,
      32,46,48,48,48,55,53,56,55,54,54,10,32,32,46,48,48,48,54,54,53,54,54,32,46,
      48,48,48,53,56,52,48,56,53,32,46,48,48,48,53,49,50,53,50,53,32,46,48,48,48,
      52,52,57,56,49,51,32,46,48,48,48,51,57,52,56,52,54,32,46,48,48,48,51,52,54,
      54,53,56,32,46,48,48,48,51,48,52,52,48,50,32,46,48,48,48,50,54,55,51,52,49,
      10,32,32,46,48,48,48,50,51,52,56,51,32,46,48,48,48,50,48,54,51,48,50,32,46,
      48,48,48,49,56,49,50,55,49,32,46,48,48,48,49,53,57,51,32,46,48,48,48,49,52,
      48,48,49,50,32,46,48,48,48,49,50,51,48,55,54,32,46,48,48,48,49,48,56,50,48,
      56,32,57,46,53,49,52,52,54,101,45,48,53,10,32,32,56,46,51,54,54,54,54,101,45,
      48,53,32,55,46,51,53,55,57,56,101,45,48,53,32,54,46,52,55,48,51,55,101,45,48,
      53,32,53,46,54,57,48,53,52,101,45,48,53,32,53,46,48,48,53,50,53,101,45,48,53,
      32,52,46,52,48,50,57,57,101,45,48,53,32,51,46,56,55,51,56,50,101,45,48,53,10,
      32,32,51,46,52,48,56,52,55,101,45,48,53,32,50,46,57,57,57,51,52,101,45,48,53,
      32,50,46,54,51,57,54,101,45,48,53,32,50,46,51,50,51,50,52,101,45,48,53,32,50,
      46,48,52,53,101,45,48,53,32,49,46,56,48,48,50,52,101,45,48,53,32,49,46,53,56,
      52,56,51,101,45,48,53,10,32,32,49,46,51,57,53,52,101,45,48,53,32,49,46,50,54,
      51,57,53,101,45,48,53,32,49,46,49,52,52,57,52,101,45,48,53,32,49,46,48,51,55,
      49,57,101,45,48,53,32,57,46,51,57,54,50,54,101,45,48,54,32,56,46,53,49,51,53,
      53,101,45,48,54,32,55,46,54,49,54,51,55,101,45,48,54,10,32,32,54,46,54,49,53,
      52,56,101,45,48,54,32,53,46,55,52,54,54,56,101,45,48,54,32,52,46,57,57,50,52,
      51,101,45,48,54,32,52,46,51,51,55,53,54,101,45,48,54,32,51,46,55,54,56,57,51,
      101,45,48,54,32,51,46,50,55,53,49,51,101,45,48,54,32,50,46,56,52,54,50,54,101,
      45,48,54,10,32,32,50,46,52,55,51,55,55,101,45,48,54,32,50,46,49,53,48,49,57,
      101,45,48,54,32,49,46,56,54,57,48,51,101,45,48,54,32,49,46,54,50,52,54,101,
      45,48,54,32,49,46,52,49,50,50,53,101,45,48,54,32,49,46,50,50,55,55,53,101,45,
      48,54,32,49,46,48,54,55,52,51,101,45,48,54,10,32,32,57,46,50,56,49,48,53,101,
      45,48,55,32,56,46,48,55,48,50,51,101,45,48,55,32,55,46,48,49,55,56,54,101,45,
      48,55,32,54,46,49,48,51,49,50,101,45,48,55,32,53,46,51,48,55,57,52,101,45,48,
      55,32,52,46,54,49,54,54,55,101,45,48,55,32,52,46,48,49,53,48,52,101,45,48,55,
      10,32,32,51,46,52,57,51,49,52,101,45,48,55,32,51,46,48,51,56,55,56,101,45,48,
      55,32,50,46,54,52,51,54,54,101,45,48,55,32,50,46,51,48,48,48,54,101,45,48,55,
      32,50,46,48,48,49,50,51,101,45,48,55,32,49,46,55,52,49,51,49,101,45,48,55,32,
      49,46,53,49,53,50,51,101,45,48,55,10,32,32,49,46,51,49,56,53,55,101,45,48,55,
      32,49,46,49,52,55,53,101,45,48,55,32,57,46,57,56,54,55,50,101,45,48,56,32,56,
      46,54,57,49,57,49,101,45,48,56,32,55,46,53,54,53,51,54,101,45,48,56,32,54,46,
      53,56,53,49,52,101,45,48,56,32,53,46,55,51,50,49,57,101,45,48,56,10,32,32,52,
      46,57,56,57,57,54,101,45,48,56,32,51,46,55,56,49,56,57,101,45,48,56,32,50,46,
      56,54,54,55,52,101,45,48,56,32,50,46,49,55,51,52,52,101,45,48,56,32,49,46,54,
      52,56,48,56,101,45,48,56,32,49,46,50,52,57,57,50,101,45,48,56,32,57,46,52,56,
      48,57,51,101,45,48,57,10,32,32,55,46,49,57,50,53,54,101,45,48,57,32,53,46,52,
      53,55,51,50,101,45,48,57,32,52,46,49,52,49,50,55,101,45,48,57,32,51,46,49,52,
      51,48,49,101,45,48,57,32,50,46,51,56,53,55,49,101,45,48,57,32,49,46,56,49,49,
      49,101,45,48,57,32,49,46,51,55,53,48,55,101,45,48,57,10,32,32,49,46,48,52,52,
      49,52,101,45,48,57,32,55,46,57,50,57,51,49,101,45,49,48,32,54,46,48,50,48,51,
      52,101,45,49,48,32,52,46,53,55,49,52,56,101,45,49,48,32,51,46,52,55,49,54,57,
      101,45,49,48,32,50,46,54,51,54,55,54,101,45,49,48,32,50,46,48,48,50,56,52,101,
      45,49,48,10,32,32,49,46,53,50,49,52,55,101,45,49,48,32,49,46,49,53,53,57,49,
      101,45,49,48,32,56,46,55,56,50,54,57,101,45,49,49,32,54,46,54,55,51,55,54,101,
      45,49,49,32,53,46,48,55,49,55,101,45,49,49,32,51,46,56,53,52,53,55,101,45,49,
      49,32,50,46,57,50,57,55,56,101,45,49,49,10,32,32,50,46,50,50,55,48,54,101,45,
      49,49,32,49,46,54,57,51,48,56,101,45,49,49,32,56,46,56,48,53,52,56,101,45,49,
      49,32,51,46,53,51,48,56,55,101,45,49,48,32,55,46,57,53,49,48,55,101,45,49,48,
      32,56,46,56,48,53,55,56,101,45,49,48,32,51,46,53,51,49,51,101,45,48,57,10,32,
      32,55,46,57,53,51,48,52,101,45,48,57,32,49,46,52,49,51,56,52,101,45,48,56,32,
      50,46,50,48,56,57,50,101,45,48,56,32,51,46,49,56,50,53,51,101,45,48,56,32,52,
      46,51,51,50,51,51,101,45,48,56,32,53,46,54,54,49,51,101,45,48,56,32,55,46,49,
      54,56,48,56,101,45,48,56,10,32,32,56,46,56,53,51,48,57,101,45,48,56,32,49,46,
      48,55,49,55,55,101,45,48,55,32,49,46,50,55,54,50,53,101,45,48,55,32,49,46,52,
      57,56,55,50,101,45,48,55,32,49,46,55,51,57,51,101,45,48,55,32,49,46,57,57,56,
      48,54,101,45,48,55,32,50,46,50,55,52,57,57,101,45,48,55,10,32,32,50,46,53,55,
      48,50,52,101,45,48,55,32,50,46,56,56,51,56,101,45,48,55,32,51,46,50,49,53,55,
      101,45,48,55,32,51,46,53,54,54,101,45,48,55,32,51,46,57,51,52,56,57,101,45,
      48,55,32,52,46,51,50,50,52,49,101,45,48,55,32,52,46,55,50,56,52,101,45,48,55,
      32,53,46,49,53,50,56,54,101,45,48,55,10,32,32,53,46,53,57,54,49,56,101,45,48,
      55,32,54,46,48,53,56,50,53,101,45,48,55,32,54,46,53,51,57,48,57,101,45,48,55,
      32,55,46,48,51,56,50,49,101,45,48,55,32,55,46,53,53,54,50,50,101,45,48,55,32,
      56,46,48,57,51,48,56,101,45,48,55,32,56,46,54,52,56,57,50,101,45,48,55,10,32,
      32,57,46,50,50,51,49,50,101,45,48,55,32,57,46,56,49,53,56,55,101,45,48,55,32,
      49,46,48,52,50,55,52,101,45,48,54,32,49,46,49,48,53,56,101,45,48,54,32,49,46,
      49,55,48,55,53,101,45,48,54,32,49,46,50,51,55,52,54,101,45,48,54,32,49,46,51,
      48,54,48,54,101,45,48,54,10,32,32,49,46,51,55,54,53,55,101,45,48,54,32,49,46,
      52,52,56,57,56,101,45,48,54,32,49,46,53,50,51,49,56,101,45,48,54,32,49,46,53,
      57,57,50,49,101,45,48,54,32,49,46,54,55,55,49,53,101,45,48,54,32,49,46,55,53,
      54,57,56,101,45,48,54,32,49,46,56,51,56,55,101,45,48,54,10,32,32,49,46,57,50,
      50,49,56,101,45,48,54,32,50,46,48,48,55,53,53,101,45,48,54,32,50,46,48,57,52,
      56,51,101,45,48,54,32,50,46,49,56,52,101,45,48,54,32,50,46,50,55,53,48,51,101,
      45,48,54,32,50,46,51,54,55,57,101,45,48,54,32,50,46,52,54,50,54,55,101,45,48,
      54,10,32,32,50,46,53,53,57,51,54,101,45,48,54,32,50,46,54,53,55,57,53,101,45,
      48,54,32,50,46,55,53,56,52,50,101,45,48,54,32,50,46,56,54,48,55,56,101,45,48,
      54,32,50,46,57,54,53,48,56,101,45,48,54,32,51,46,48,55,49,50,56,101,45,48,54,
      32,51,46,49,55,57,52,52,101,45,48,54,10,32,32,51,46,50,56,57,53,52,101,45,48,
      54,32,51,46,52,48,49,53,55,101,45,48,54,32,51,46,53,49,53,53,51,101,45,48,54,
      32,51,46,54,51,49,52,50,101,45,48,54,32,51,46,55,52,57,52,101,45,48,54,32,51,
      46,56,54,57,51,50,101,45,48,54,32,51,46,57,57,49,49,57,101,45,48,54,10,32,32,
      52,46,49,49,53,48,49,101,45,48,54,32,52,46,50,52,48,57,49,101,45,48,54,32,52,
      46,51,54,56,56,57,101,45,48,54,32,52,46,52,57,56,56,52,101,45,48,54,32,52,46,
      54,51,48,55,53,101,45,48,54,32,52,46,55,54,52,54,56,101,45,48,54,32,52,46,57,
      48,48,56,50,101,45,48,54,10,32,32,53,46,48,51,56,57,54,101,45,48,54,32,53,46,
      49,55,57,49,50,101,45,48,54,32,53,46,51,50,49,50,56,101,45,48,54,32,53,46,52,
      54,53,53,55,101,45,48,54,32,53,46,54,49,49,57,54,101,45,48,54,32,53,46,55,54,
      48,51,57,101,45,48,54,32,53,46,57,49,48,57,101,45,48,54,10,32,32,54,46,48,54,
      51,52,49,101,45,48,54,32,54,46,50,49,55,57,101,45,48,54,32,54,46,51,55,52,53,
      54,101,45,48,54,32,54,46,53,51,51,50,52,101,45,48,54,32,54,46,54,57,51,57,101,
      45,48,54,32,54,46,56,53,54,51,51,101,45,48,54,32,55,46,48,50,48,54,56,101,45,
      48,54,10,32,32,55,46,49,56,55,50,51,101,45,48,54,32,55,46,51,53,53,55,55,101,
      45,48,54,32,55,46,53,50,54,49,56,101,45,48,54,32,55,46,54,57,55,53,57,101,45,
      48,54,32,55,46,56,55,48,57,57,101,45,48,54,32,56,46,48,52,54,51,54,101,45,48,
      54,32,56,46,50,50,51,55,50,101,45,48,54,10,32,32,56,46,52,48,49,56,50,101,45,
      48,54,32,56,46,53,56,49,49,49,101,45,48,54,32,56,46,55,54,50,52,101,45,48,54,
      32,56,46,57,52,53,54,52,101,45,48,54,32,57,46,49,51,48,52,53,101,45,48,54,32,
      57,46,51,49,52,54,101,45,48,54,32,57,46,53,48,48,55,51,101,45,48,54,10,32,32,
      57,46,54,56,56,56,49,101,45,48,54,32,57,46,56,55,56,56,53,101,45,48,54,32,49,
      46,48,48,54,56,51,101,45,48,53,32,49,46,48,50,53,56,51,101,45,48,53,32,49,46,
      48,52,53,48,51,101,45,48,53,32,49,46,48,54,52,52,51,101,45,48,53,32,49,46,48,
      56,51,57,54,101,45,48,53,10,32,32,49,46,49,48,51,50,56,101,45,48,53,32,49,46,
      49,50,50,56,101,45,48,53,32,49,46,49,52,50,53,52,101,45,48,53,32,49,46,49,54,
      50,53,51,101,45,48,53,32,49,46,49,56,50,52,101,45,48,53,32,49,46,50,48,50,51,
      49,101,45,48,53,32,49,46,50,50,50,52,54,101,45,48,53,10,32,32,49,46,50,52,50,
      56,53,101,45,48,53,32,49,46,50,54,51,51,56,101,45,48,53,32,49,46,50,56,51,55,
      53,101,45,48,53,32,49,46,51,48,52,51,56,101,45,48,53,32,49,46,51,50,53,50,52,
      101,45,48,53,32,49,46,51,52,54,51,53,101,45,48,53,32,49,46,51,54,55,52,49,101,
      45,48,53,10,32,32,49,46,51,56,56,53,57,101,45,48,53,32,49,46,52,49,48,48,50,
      101,45,48,53,32,49,46,52,51,49,55,101,45,48,53,32,49,46,52,53,51,53,54,101,
      45,48,53,32,49,46,52,55,53,51,55,101,45,48,53,32,49,46,52,57,55,52,52,101,45,
      48,53,32,49,46,53,49,57,55,55,101,45,48,53,10,32,32,49,46,53,52,50,51,49,101,
      45,48,53,32,49,46,53,54,52,57,51,101,45,48,53,32,49,46,53,56,55,55,49,101,45,
      48,53,32,49,46,54,49,48,55,52,101,45,48,53,32,49,46,54,51,52,101,45,48,53,32,
      49,46,54,53,55,52,53,101,45,48,53,32,49,46,54,56,48,57,56,101,45,48,53,10,32,
      32,49,46,55,48,52,55,53,101,45,48,53,32,49,46,55,50,56,55,54,101,45,48,53,32,
      49,46,55,53,50,57,57,101,45,48,53,32,49,46,55,55,55,51,53,101,45,48,53,32,49,
      46,56,48,49,57,49,101,45,48,53,32,49,46,56,50,54,54,56,101,45,48,53,32,49,46,
      56,53,49,54,56,101,45,48,53,10,32,32,49,46,56,55,54,56,56,101,45,48,53,32,49,
      46,57,48,50,50,53,101,45,48,53,32,49,46,57,50,55,56,51,101,45,48,53,32,49,46,
      57,53,51,54,50,101,45,48,53,32,49,46,57,55,57,54,49,101,45,48,53,32,50,46,48,
      48,53,56,50,101,45,48,53,32,50,46,48,51,50,50,51,101,45,48,53,10,32,32,50,46,
      48,53,56,56,52,101,45,48,53,32,50,46,48,56,53,54,52,101,45,48,53,32,50,46,49,
      49,50,54,54,101,45,48,53,32,50,46,49,51,57,57,49,101,45,48,53,32,50,46,49,54,
      55,51,55,101,45,48,53,32,50,46,50,48,52,50,50,101,45,48,53,32,50,46,50,57,49,
      52,50,101,45,48,53,10,32,32,50,46,52,50,50,56,101,45,48,53,32,50,46,54,52,51,
      53,53,101,45,48,53,32,50,46,56,54,55,49,50,101,45,48,53,32,51,46,48,57,51,56,
      52,101,45,48,53,32,51,46,51,50,52,53,55,101,45,48,53,32,51,46,53,53,57,52,56,
      101,45,48,53,32,51,46,55,57,56,54,53,101,45,48,53,10,32,32,52,46,48,52,49,50,
      49,101,45,48,53,32,52,46,50,56,54,48,54,101,45,48,53,32,52,46,53,51,49,54,52,
      101,45,48,53,32,52,46,55,55,55,55,51,101,45,48,53,32,53,46,48,50,52,53,54,101,
      45,48,53,32,53,46,51,50,51,50,55,101,45,48,53,32,53,46,54,50,56,54,50,101,45,
      48,53,10,32,32,54,46,48,53,51,57,52,101,45,48,53,32,54,46,53,49,53,53,53,101,
      45,48,53,32,55,46,48,51,51,52,57,101,45,48,53,32,55,46,56,48,50,53,52,101,45,
      48,53,32,56,46,55,54,55,49,49,101,45,48,53,32,57,46,57,53,55,53,57,101,45,48,
      53,32,46,48,48,48,49,49,53,54,52,57,10,32,32,46,48,48,48,49,50,57,56,52,32,
      46,48,48,48,49,52,49,51,49,56,32,46,48,48,48,49,52,55,55,48,56,32,46,48,48,
      48,49,53,51,52,48,55,32,46,48,48,48,49,54,48,57,54,56,32,46,48,48,48,49,55,
      49,48,54,52,32,46,48,48,48,49,56,52,52,55,53,32,46,48,48,48,50,48,50,53,52,
      51,10,32,32,46,48,48,48,50,50,55,55,55,50,32,46,48,48,48,50,54,56,55,53,32,
      46,48,48,48,51,50,57,49,55,50,32,46,48,48,48,52,50,55,49,53,54,32,46,48,48,
      48,53,54,51,52,49,50,32,46,48,48,48,54,49,56,50,56,54,32,46,48,48,48,54,48,
      54,48,51,54,32,46,48,48,48,53,56,51,52,54,56,10,32,32,46,48,48,48,53,55,53,
      52,55,56,32,46,48,48,48,53,56,57,51,56,52,32,46,48,48,48,54,50,50,55,54,57,
      32,46,48,48,48,54,55,56,48,53,56,32,46,48,48,48,55,53,49,54,53,51,32,46,48,
      48,48,56,53,51,50,53,55,32,46,48,48,49,48,48,56,52,49,32,46,48,48,49,50,54,
      51,49,56,10,32,32,46,48,48,49,53,52,55,49,49,32,46,48,48,49,56,56,50,49,51,
      32,46,48,48,50,50,51,51,51,51,32,46,48,48,50,55,50,52,52,50,32,46,48,48,51,
      53,57,49,56,51,32,46,48,48,52,52,56,50,57,52,32,46,48,48,53,49,57,50,57,54,
      32,46,48,48,53,54,55,54,53,50,10,32,32,46,48,48,54,51,54,52,48,57,32,46,48,
      48,55,49,52,51,52,51,32,46,48,48,55,56,53,50,51,54,32,46,48,48,56,51,49,48,
      55,53,32,46,48,48,56,54,55,51,50,54,32,46,48,48,57,49,56,54,50,57,32,46,48,
      49,48,49,50,53,54,32,46,48,49,49,51,50,56,56,32,46,48,49,50,51,51,57,51,10,
      32,32,46,48,49,52,50,56,51,32,46,48,49,54,48,53,52,56,32,46,48,49,55,54,48,
      53,51,32,46,48,49,56,57,55,56,57,32,46,48,49,57,57,50,49,32,46,48,50,48,56,
      56,55,53,32,46,48,50,49,56,56,52,54,32,46,48,50,50,56,53,57,52,32,46,48,50,
      51,55,57,49,53,32,46,48,50,52,56,50,49,49,10,32,32,46,48,50,53,53,54,56,56,
      32,46,48,50,54,50,57,50,55,32,46,48,50,55,51,53,53,51,32,46,48,50,55,56,55,
      56,51,32,46,48,50,56,51,57,56,53,32,46,48,50,56,52,57,57,54,32,46,48,50,56,
      51,53,50,49,32,46,48,50,56,48,56,51,57,32,46,48,50,55,52,57,50,56,10,32,32,
      46,48,50,54,55,51,52,49,32,46,48,50,54,51,51,49,52,32,46,48,50,53,56,56,57,
      54,32,46,48,50,53,55,55,53,51,32,46,48,50,53,56,57,54,57,32,46,48,50,56,48,
      53,52,55,32,46,48,50,55,56,53,50,50,32,46,48,50,55,55,53,50,55,32,46,48,50,
      55,53,51,55,57,10,32,32,46,48,50,55,50,54,56,56,32,46,48,50,55,48,50,49,57,
      32,46,48,50,54,55,53,54,55,32,46,48,50,54,52,57,51,56,32,46,48,50,54,50,50,
      50,57,32,46,48,50,53,57,48,57,54,32,46,48,50,53,54,50,49,51,32,46,48,50,53,
      50,57,52,50,32,46,48,50,53,48,52,56,49,10,32,32,46,48,50,52,54,51,56,51,32,
      46,48,50,52,51,56,50,54,32,46,48,50,52,48,54,49,49,32,46,48,50,51,50,57,57,
      57,32,46,48,50,50,50,51,54,50,32,46,48,50,49,49,57,52,57,32,46,48,49,57,57,
      48,54,56,32,46,48,49,56,54,53,48,53,32,46,48,49,55,50,48,49,56,10,32,32,46,
      48,49,54,48,53,48,56,32,46,48,49,52,50,57,54,53,32,46,48,49,50,50,51,48,52,
      32,46,48,49,49,51,50,48,50,32,46,48,49,48,51,55,55,56,32,46,48,48,57,50,51,
      54,53,32,46,48,48,56,51,51,55,54,32,46,48,48,55,53,50,52,50,32,46,48,48,54,
      54,56,57,49,49,10,32,32,46,48,48,53,57,52,53,50,51,32,46,48,48,53,51,54,50,
      50,32,46,48,48,52,56,51,54,50,54,32,46,48,48,52,51,54,49,57,55,32,46,48,48,
      51,56,55,54,55,51,32,46,48,48,51,51,57,53,32,46,48,48,50,57,51,48,48,57,32,
      46,48,48,50,53,54,54,55,52,32,46,48,48,50,50,49,54,48,54,10,32,32,46,48,48,
      49,57,52,49,57,56,32,46,48,48,49,55,48,50,49,32,46,48,48,49,52,55,48,48,54,
      32,46,48,48,49,50,53,54,54,50,32,46,48,48,49,49,49,51,52,50,32,46,48,48,48,
      57,54,56,50,32,46,48,48,48,56,53,54,52,50,55,32,46,48,48,48,55,53,49,51,51,
      32,46,48,48,48,54,53,57,50,53,10,32,32,46,48,48,48,53,55,56,53,53,55,32,46,
      48,48,48,53,48,55,56,51,51,32,46,48,48,48,52,52,53,56,50,51,32,46,48,48,48,
      51,57,49,52,48,53,32,46,48,48,48,51,52,51,54,56,51,32,46,48,48,48,51,48,49,
      56,51,49,32,46,48,48,48,50,54,53,49,49,56,32,46,48,48,48,50,51,50,57,48,54,
      10,32,32,46,48,48,48,50,48,52,54,51,53,32,46,48,48,48,49,55,57,56,50,53,32,
      46,48,48,48,49,53,56,48,52,53,32,46,48,48,48,49,51,56,57,50,51,32,46,48,48,
      48,49,50,50,49,51,50,32,46,48,48,48,49,48,55,51,56,55,32,57,46,52,52,51,50,
      50,101,45,48,53,32,56,46,51,48,52,55,52,101,45,48,53,10,32,32,55,46,51,48,52,
      54,51,101,45,48,53,32,54,46,52,50,53,55,49,101,45,48,53,32,53,46,54,53,51,49,
      57,101,45,48,53,32,52,46,57,55,51,49,53,101,45,48,53,32,52,46,51,55,53,48,55,
      101,45,48,53,32,51,46,56,52,57,53,51,101,45,48,53,32,51,46,51,56,55,51,51,101,
      45,48,53,10,32,32,50,46,57,56,48,57,51,101,45,48,53,32,50,46,54,50,51,53,52,
      101,45,48,53,32,50,46,51,48,57,50,50,101,45,48,53,32,50,46,48,51,50,55,54,101,
      45,48,53,32,49,46,55,56,57,53,55,101,45,48,53,32,49,46,53,55,53,53,50,101,45,
      48,53,32,49,46,51,56,55,50,56,101,45,48,53,10,32,32,49,46,50,53,54,54,52,101,
      45,48,53,32,49,46,49,51,56,51,55,101,45,48,53,32,49,46,48,51,49,50,55,101,45,
      48,53,32,57,46,51,52,50,57,57,101,45,48,54,32,56,46,52,54,53,53,51,101,45,48,
      54,32,55,46,53,55,51,54,57,101,45,48,54,32,54,46,53,55,56,55,101,45,48,54,10,
      32,32,53,46,55,49,52,57,54,101,45,48,54,32,52,46,57,54,53,49,101,45,48,54,32,
      52,46,51,49,52,48,50,101,45,48,54,32,51,46,55,52,56,54,53,101,45,48,54,32,51,
      46,50,53,55,54,52,101,45,48,54,32,50,46,56,51,49,49,56,101,45,48,54,32,50,46,
      52,54,48,55,53,101,45,48,54,10,32,32,50,46,49,51,56,57,53,101,45,48,54,32,49,
      46,56,53,57,51,56,101,45,48,54,32,49,46,54,49,54,52,55,101,45,48,54,32,49,46,
      52,48,53,52,101,45,48,54,32,49,46,50,50,49,57,56,101,45,48,54,32,49,46,48,54,
      50,52,57,101,45,48,54,32,57,46,50,51,56,52,101,45,48,55,10,32,32,56,46,48,51,
      51,51,56,101,45,48,55,32,54,46,57,56,53,57,57,101,45,48,55,32,54,46,48,55,53,
      53,56,101,45,48,55,32,53,46,50,56,52,49,53,101,45,48,55,32,52,46,53,57,54,49,
      101,45,48,55,32,51,46,57,57,55,50,53,101,45,48,55,32,51,46,52,55,55,55,51,101,
      45,48,55,10,32,32,51,46,48,50,53,52,52,101,45,48,55,32,50,46,54,51,50,49,50,
      101,45,48,55,32,50,46,50,57,48,48,54,101,45,48,55,32,49,46,57,57,50,53,54,101,
      45,48,55,32,49,46,55,51,51,56,101,45,48,55,32,49,46,53,48,56,55,51,101,45,48,
      55,32,49,46,51,49,50,57,53,101,45,48,55,10,32,32,49,46,49,52,50,54,51,101,45,
      48,55,32,57,46,57,52,52,54,101,45,48,56,32,56,46,54,53,53,52,52,101,45,48,56,
      32,55,46,53,51,51,55,55,101,45,48,56,32,54,46,53,53,55,55,55,101,45,48,56,32,
      53,46,55,48,56,52,56,101,45,48,56,32,52,46,57,54,57,52,101,45,48,56,10,32,32,
      51,46,55,54,54,52,50,101,45,48,56,32,50,46,56,53,53,48,57,101,45,48,56,32,50,
      46,49,54,52,54,57,101,45,48,56,32,49,46,54,52,49,53,101,45,48,56,32,49,46,50,
      52,52,57,55,101,45,48,56,32,57,46,52,52,51,54,53,101,45,48,57,32,55,46,49,54,
      52,52,54,101,45,48,57,10,32,32,53,46,52,51,54,49,50,101,45,48,57,32,52,46,49,
      50,53,51,49,101,45,48,57,32,51,46,49,51,48,57,57,101,45,48,57,32,50,46,51,55,
      54,54,52,101,45,48,57,32,49,46,56,48,52,50,55,101,45,48,57,32,49,46,51,54,57,
      57,101,45,48,57,32,49,46,48,52,48,50,51,101,45,48,57,10,32,32,55,46,56,57,57,
      57,101,45,49,48,32,54,46,48,48,48,49,51,101,45,49,48,32,52,46,53,53,55,55,52,
      101,45,49,48,32,51,46,52,54,50,52,53,101,45,49,48,32,50,46,54,50,57,57,52,101,
      45,49,48,32,49,46,57,57,55,54,57,101,45,49,48,32,49,46,53,49,55,53,56,101,45,
      49,48,10,32,32,49,46,49,53,50,57,56,101,45,49,48,32,56,46,55,54,48,53,51,101,
      45,49,49,32,54,46,54,53,55,48,52,101,45,49,49,32,53,46,48,53,57,48,55,101,45,
      49,49,32,51,46,56,52,53,48,50,101,45,49,49,32,50,46,57,50,50,53,54,101,45,49,
      49,32,50,46,50,50,49,54,101,45,49,49,10,32,32,49,46,54,56,56,57,52,101,45,49,
      49,32,54,46,52,49,54,54,101,45,49,49,32,50,46,53,55,50,57,56,101,45,49,48,32,
      53,46,55,57,52,49,49,101,45,49,48,32,54,46,52,49,54,57,54,101,45,49,48,32,50,
      46,53,55,51,53,50,101,45,48,57,32,53,46,55,57,54,55,52,101,45,48,57,10,32,32,
      49,46,48,51,48,54,57,101,45,48,56,32,49,46,54,49,48,54,57,101,45,48,56,32,50,
      46,51,50,49,50,55,101,45,48,56,32,51,46,49,54,48,57,50,101,45,48,56,32,52,46,
      49,51,50,48,54,101,45,48,56,32,53,46,50,51,51,57,53,101,45,48,56,32,54,46,52,
      54,55,49,53,101,45,48,56,10,32,32,55,46,56,51,51,101,45,48,56,32,57,46,51,51,
      50,50,101,45,48,56,32,49,46,48,57,54,53,101,45,48,55,32,49,46,50,55,51,50,52,
      101,45,48,55,32,49,46,52,54,51,53,51,101,45,48,55,32,49,46,54,54,55,52,49,101,
      45,48,55,32,49,46,56,56,53,48,50,101,45,48,55,10,32,32,50,46,49,49,54,52,101,
      45,48,55,32,50,46,51,54,49,53,51,101,45,48,55,32,50,46,54,50,48,53,52,101,45,
      48,55,32,50,46,56,57,51,54,49,101,45,48,55,32,51,46,49,56,48,56,49,101,45,48,
      55,32,51,46,52,56,49,57,53,101,45,48,55,32,51,46,55,57,55,48,53,101,45,48,55,
      10,32,32,52,46,49,50,54,53,101,45,48,55,32,52,46,52,55,48,50,52,101,45,48,55,
      32,52,46,56,50,56,51,50,101,45,48,55,32,53,46,50,48,48,48,51,101,45,48,55,32,
      53,46,53,56,54,49,54,101,45,48,55,32,53,46,57,56,54,55,101,45,48,55,32,54,46,
      52,48,49,55,55,101,45,48,55,10,32,32,54,46,56,51,48,54,51,101,45,48,55,32,55,
      46,50,55,51,52,51,101,45,48,55,32,55,46,55,51,48,54,101,45,48,55,32,56,46,50,
      48,50,51,101,45,48,55,32,56,46,54,56,56,53,52,101,45,48,55,32,57,46,49,56,55,
      53,55,101,45,48,55,32,57,46,55,48,49,48,55,101,45,48,55,10,32,32,49,46,48,50,
      50,57,49,101,45,48,54,32,49,46,48,55,55,49,55,101,45,48,54,32,49,46,49,51,50,
      55,55,101,45,48,54,32,49,46,49,56,57,55,51,101,45,48,54,32,49,46,50,52,56,49,
      52,101,45,48,54,32,49,46,51,48,56,48,49,101,45,48,54,32,49,46,51,54,57,51,50,
      101,45,48,54,10,32,32,49,46,52,51,49,57,49,101,45,48,54,32,49,46,52,57,53,57,
      52,101,45,48,54,32,49,46,53,54,49,52,52,101,45,48,54,32,49,46,54,50,56,51,56,
      101,45,48,54,32,49,46,54,57,54,55,50,101,45,48,54,32,49,46,55,54,54,52,53,101,
      45,48,54,32,49,46,56,51,55,54,52,101,45,48,54,10,32,32,49,46,57,49,48,50,57,
      101,45,48,54,32,49,46,57,56,52,52,49,101,45,48,54,32,50,46,48,53,57,57,53,101,
      45,48,54,32,50,46,49,51,54,57,53,101,45,48,54,32,50,46,50,49,53,52,51,101,45,
      48,54,32,50,46,50,57,53,51,56,101,45,48,54,32,50,46,51,55,54,56,53,101,45,48,
      54,10,32,32,50,46,52,53,57,56,50,101,45,48,54,32,50,46,53,52,52,50,56,101,45,
      48,54,32,50,46,54,51,48,50,51,101,45,48,54,32,50,46,55,49,55,54,56,101,45,48,
      54,32,50,46,56,48,54,56,101,45,48,54,32,50,46,56,57,55,52,51,101,45,48,54,32,
      50,46,57,56,57,53,54,101,45,48,54,10,32,32,51,46,48,56,51,50,49,101,45,48,54,
      32,51,46,49,55,56,53,52,101,45,48,54,32,51,46,50,55,53,53,50,101,45,48,54,32,
      51,46,51,55,52,48,52,101,45,48,54,32,51,46,52,55,52,48,57,101,45,48,54,32,51,
      46,53,55,53,55,50,101,45,48,54,32,51,46,54,55,57,50,101,45,48,54,10,32,32,51,
      46,55,56,52,50,51,101,45,48,54,32,51,46,56,57,48,56,53,101,45,48,54,32,51,46,
      57,57,57,48,52,101,45,48,54,32,52,46,49,48,56,57,55,101,45,48,54,32,52,46,50,
      50,48,53,55,101,45,48,54,32,52,46,51,51,51,56,101,45,48,54,32,52,46,52,52,56,
      54,55,101,45,48,54,10,32,32,52,46,53,54,53,49,49,101,45,48,54,32,52,46,54,56,
      51,49,49,101,45,48,54,32,52,46,56,48,50,56,53,101,45,48,54,32,52,46,57,50,52,
      49,57,101,45,48,54,32,53,46,48,52,55,48,57,101,45,48,54,32,53,46,49,55,49,50,
      54,101,45,48,54,32,53,46,50,57,54,57,50,101,45,48,54,10,32,32,53,46,52,50,52,
      51,52,101,45,48,54,32,53,46,53,53,51,51,50,101,45,48,54,32,53,46,54,56,51,55,
      51,101,45,48,54,32,53,46,56,49,52,53,52,101,45,48,54,32,53,46,57,52,54,57,101,
      45,48,54,32,54,46,48,56,48,56,101,45,48,54,32,54,46,50,49,54,50,54,101,45,48,
      54,10,32,32,54,46,51,53,49,56,101,45,48,54,32,54,46,52,56,55,57,55,101,45,48,
      54,32,54,46,54,50,53,54,57,101,45,48,54,32,54,46,55,54,52,57,52,101,45,48,54,
      32,54,46,57,48,53,50,53,101,45,48,54,32,55,46,48,52,52,48,49,101,45,48,54,32,
      55,46,49,56,52,51,101,45,48,54,10,32,32,55,46,51,50,54,49,49,101,45,48,54,32,
      55,46,52,54,57,52,53,101,45,48,54,32,55,46,54,49,49,51,49,101,45,48,54,32,55,
      46,55,53,51,48,52,101,45,48,54,32,55,46,56,57,54,51,51,101,45,48,54,32,56,46,
      48,52,49,49,57,101,45,48,54,32,56,46,49,56,54,55,55,101,45,48,54,10,32,32,56,
      46,51,50,57,49,51,101,45,48,54,32,56,46,52,55,51,49,51,101,45,48,54,32,56,46,
      54,49,56,56,52,101,45,48,54,32,56,46,55,54,54,54,54,101,45,48,54,32,56,46,57,
      49,50,51,101,45,48,54,32,57,46,48,53,55,54,51,101,45,48,54,32,57,46,50,48,53,
      48,50,101,45,48,54,10,32,32,57,46,51,53,52,51,51,101,45,48,54,32,57,46,53,48,
      52,53,49,101,45,48,54,32,57,46,54,53,49,57,56,101,45,48,54,32,57,46,56,48,49,
      54,49,101,45,48,54,32,57,46,57,53,51,50,55,101,45,48,54,32,49,46,48,49,48,55,
      101,45,48,53,32,49,46,48,50,53,57,51,101,45,48,53,10,32,32,49,46,48,52,49,50,
      49,101,45,48,53,32,49,46,48,53,54,55,50,101,45,48,53,32,49,46,48,55,50,52,50,
      101,45,48,53,32,49,46,48,56,56,50,55,101,45,48,53,32,49,46,49,48,51,57,55,101,
      45,48,53,32,49,46,49,49,57,57,101,45,48,53,32,49,46,49,51,54,48,53,101,45,48,
      53,10,32,32,49,46,49,53,50,51,56,101,45,48,53,32,49,46,49,54,56,55,49,101,45,
      48,53,32,49,46,49,56,53,49,52,101,45,48,53,32,49,46,50,48,49,55,57,101,45,48,
      53,32,49,46,50,49,56,54,51,101,45,48,53,32,49,46,50,51,53,54,50,101,45,48,53,
      32,49,46,50,53,50,54,50,101,45,48,53,10,32,32,49,46,50,54,57,56,50,101,45,48,
      53,32,49,46,50,56,55,50,50,101,45,48,53,32,49,46,51,48,52,56,101,45,48,53,32,
      49,46,51,50,50,52,55,101,45,48,53,32,49,46,51,52,48,50,56,101,45,48,53,32,49,
      46,51,53,56,50,55,101,45,48,53,32,49,46,51,55,54,52,52,101,45,48,53,10,32,32,
      49,46,51,57,52,55,56,101,45,48,53,32,49,46,52,49,51,50,52,101,45,48,53,32,49,
      46,52,51,49,56,54,101,45,48,53,32,49,46,52,53,48,54,53,101,45,48,53,32,49,46,
      52,54,57,54,101,45,48,53,32,49,46,52,56,56,55,51,101,45,48,53,32,49,46,53,48,
      56,48,51,101,45,48,53,10,32,32,49,46,53,50,55,52,55,101,45,48,53,32,49,46,53,
      52,55,48,55,101,45,48,53,32,49,46,53,54,54,56,52,101,45,48,53,32,49,46,53,56,
      54,56,50,101,45,48,53,32,49,46,54,48,54,57,53,101,45,48,53,32,49,46,54,51,51,
      57,57,101,45,48,53,32,49,46,54,57,56,49,50,101,45,48,53,10,32,32,49,46,55,57,
      53,48,54,101,45,48,53,32,49,46,57,53,56,56,55,101,45,48,53,32,50,46,49,50,54,
      50,52,101,45,48,53,32,50,46,50,57,55,53,54,101,45,48,53,32,50,46,52,55,51,56,
      50,101,45,48,53,32,50,46,54,53,53,49,54,101,45,48,53,32,50,46,56,52,49,53,53,
      101,45,48,53,10,32,32,51,46,48,51,49,56,52,101,45,48,53,32,51,46,50,50,52,54,
      52,101,45,48,53,32,51,46,52,49,56,48,55,101,45,48,53,32,51,46,54,49,49,56,56,
      101,45,48,53,32,51,46,56,48,54,52,101,45,48,53,32,52,46,48,52,50,53,52,101,
      45,48,53,32,52,46,50,56,54,48,52,101,45,48,53,10,32,32,52,46,54,51,48,55,51,
      101,45,48,53,32,53,46,48,49,52,53,51,101,45,48,53,32,53,46,52,53,54,54,53,101,
      45,48,53,32,54,46,49,50,57,50,54,101,45,48,53,32,54,46,57,56,52,55,57,101,45,
      48,53,32,56,46,48,51,56,51,55,101,45,48,53,32,57,46,52,51,57,51,53,101,45,48,
      53,10,32,32,46,48,48,48,49,48,54,53,50,49,32,46,48,48,48,49,49,54,48,49,53,
      32,46,48,48,48,49,50,48,57,55,51,32,46,48,48,48,49,50,53,50,56,54,32,46,48,
      48,48,49,51,49,49,51,56,32,46,48,48,48,49,51,57,49,55,52,32,46,48,48,48,49,
      53,48,49,49,32,46,48,48,48,49,54,53,49,54,50,10,32,32,46,48,48,48,49,56,54,
      53,51,52,32,46,48,48,48,50,50,49,53,52,51,32,46,48,48,48,50,55,51,49,54,51,
      32,46,48,48,48,51,53,54,53,52,32,46,48,48,48,52,55,50,49,57,56,32,46,48,48,
      48,53,49,56,50,50,51,32,46,48,48,48,53,48,55,48,54,52,32,46,48,48,48,52,56,
      54,57,50,49,10,32,32,46,48,48,48,52,55,56,57,49,51,32,46,48,48,48,52,56,57,
      52,56,57,32,46,48,48,48,53,49,54,54,54,49,32,46,48,48,48,53,54,50,54,48,51,
      32,46,48,48,48,54,50,52,52,32,46,48,48,48,55,49,48,49,51,51,32,46,48,48,48,
      56,52,49,51,51,51,32,46,48,48,49,48,53,54,57,56,10,32,32,46,48,48,49,50,57,
      55,54,52,32,46,48,48,49,53,56,50,51,53,32,46,48,48,49,56,56,50,49,56,32,46,
      48,48,50,51,48,52,49,49,32,46,48,48,51,48,53,54,57,55,32,46,48,48,51,56,51,
      56,57,32,46,48,48,52,52,54,52,48,56,32,46,48,48,52,56,56,56,50,57,32,46,48,
      48,53,52,57,49,55,51,10,32,32,46,48,48,54,49,56,48,55,52,32,46,48,48,54,56,
      48,52,57,52,32,46,48,48,55,49,57,57,49,56,32,46,48,48,55,53,48,52,51,53,32,
      46,48,48,55,57,52,56,50,52,32,46,48,48,56,55,56,50,55,54,32,46,48,48,57,56,
      55,48,48,55,32,46,48,49,48,55,57,52,56,32,46,48,49,50,53,57,56,49,10,32,32,
      46,48,49,52,50,55,53,56,32,46,48,49,53,55,56,52,54,32,46,48,49,55,49,54,53,
      55,32,46,48,49,56,49,50,51,56,32,46,48,49,57,48,54,53,52,32,46,48,50,48,48,
      48,48,53,32,46,48,50,48,57,48,52,52,32,46,48,50,49,55,54,56,32,46,48,50,50,
      55,50,51,51,10,32,32,46,48,50,51,52,49,56,52,32,46,48,50,52,48,57,54,56,32,
      46,48,50,53,49,49,54,56,32,46,48,50,53,54,52,50,56,32,46,48,50,54,50,50,50,
      52,32,46,48,50,54,52,52,51,55,32,46,48,50,54,51,56,54,52,32,46,48,50,54,50,
      49,50,54,32,46,48,50,53,55,54,57,50,10,32,32,46,48,50,53,49,54,49,56,32,46,
      48,50,52,56,51,48,53,32,46,48,50,52,52,55,51,54,32,46,48,50,52,51,57,49,53,
      32,46,48,50,52,53,51,52,55,32,46,48,50,54,53,49,54,52,32,46,48,50,54,51,55,
      52,50,32,46,48,50,54,50,57,57,53,32,46,48,50,54,49,51,50,52,10,32,32,46,48,
      50,53,57,49,53,32,46,48,50,53,55,49,48,49,32,46,48,50,53,52,56,53,56,32,46,
      48,50,53,50,54,48,53,32,46,48,50,53,48,50,53,53,32,46,48,50,52,55,53,49,52,
      32,46,48,50,52,52,57,55,52,32,46,48,50,52,50,48,55,50,32,46,48,50,51,57,56,
      55,53,10,32,32,46,48,50,51,54,49,57,52,32,46,48,50,51,51,56,56,52,32,46,48,
      50,51,48,57,54,56,32,46,48,50,50,52,48,49,55,32,46,48,50,49,52,50,50,49,32,
      46,48,50,48,52,53,53,51,32,46,48,49,57,50,53,49,51,32,46,48,49,56,48,54,56,
      57,32,46,48,49,54,54,57,55,49,10,32,32,46,48,49,53,54,48,50,52,32,46,48,49,
      51,57,50,53,52,32,46,48,49,49,57,51,51,32,46,48,49,49,48,53,52,55,32,46,48,
      49,48,49,52,51,56,32,46,48,48,57,48,51,56,49,32,46,48,48,56,49,54,53,53,55,
      32,46,48,48,55,51,55,52,54,55,32,46,48,48,54,53,54,50,48,49,10,32,32,46,48,
      48,53,56,51,55,48,51,32,46,48,48,53,50,54,55,54,54,32,46,48,48,52,55,53,51,
      53,50,32,46,48,48,52,50,56,57,52,53,32,46,48,48,51,56,49,52,51,50,32,46,48,
      48,51,51,52,50,53,52,32,46,48,48,50,56,56,54,51,52,32,46,48,48,50,53,50,57,
      53,55,10,32,32,46,48,48,50,49,56,52,57,56,32,46,48,48,49,57,49,53,52,54,32,
      46,48,48,49,54,55,57,52,53,32,46,48,48,49,52,53,49,52,53,32,46,48,48,49,50,
      52,49,51,50,32,46,48,48,49,49,48,48,49,53,32,46,48,48,48,57,53,54,57,49,56,
      32,46,48,48,48,56,52,54,54,51,10,32,32,46,48,48,48,55,52,50,56,57,56,32,46,
      48,48,48,54,53,49,57,57,55,32,46,48,48,48,53,55,50,51,49,53,32,46,48,48,48,
      53,48,50,52,53,51,32,46,48,48,48,52,52,49,49,56,57,32,46,48,48,48,51,56,55,
      52,53,54,32,46,48,48,48,51,52,48,51,49,53,32,46,48,48,48,50,57,56,57,50,10,
      32,32,46,48,48,48,50,54,50,54,48,50,32,46,48,48,48,50,51,48,55,50,55,32,46,
      48,48,48,50,48,50,55,52,56,32,46,48,48,48,49,55,56,49,57,32,46,48,48,48,49,
      53,54,54,50,56,32,46,48,48,48,49,51,55,54,57,51,32,46,48,48,48,49,50,49,48,
      54,52,32,46,48,48,48,49,48,54,52,53,57,10,32,32,57,46,51,54,50,53,51,101,45,
      48,53,32,56,46,50,51,52,53,55,101,45,48,53,32,55,46,50,52,51,54,49,101,45,48,
      53,32,54,46,51,55,50,54,53,101,45,48,53,32,53,46,54,48,55,48,51,101,45,48,53,
      32,52,46,57,51,51,57,50,101,45,48,53,32,52,46,51,52,50,48,56,101,45,48,53,10,
      32,32,51,46,56,50,49,56,49,101,45,48,53,32,51,46,51,54,51,51,55,101,45,48,53,
      32,50,46,57,54,48,48,53,101,45,48,53,32,50,46,54,48,53,51,52,101,45,48,53,32,
      50,46,50,57,51,51,55,101,45,48,53,32,50,46,48,49,56,57,53,101,45,48,53,32,49,
      46,55,55,55,53,50,101,45,48,53,10,32,32,49,46,53,54,53,48,49,101,45,48,53,32,
      49,46,51,55,56,49,101,45,48,53,32,49,46,50,52,56,51,56,101,45,48,53,32,49,46,
      49,51,48,57,50,101,45,48,53,32,49,46,48,50,52,53,55,101,45,48,53,32,57,46,50,
      56,50,54,53,101,45,48,54,32,56,46,52,49,49,49,56,101,45,48,54,10,32,32,55,46,
      53,50,53,52,49,101,45,48,54,32,54,46,53,51,55,49,52,101,45,48,54,32,53,46,54,
      55,57,50,101,45,48,54,32,52,46,57,51,52,50,57,101,45,48,54,32,52,46,50,56,55,
      52,53,101,45,48,54,32,51,46,55,50,53,55,50,101,45,48,54,32,51,46,50,51,55,56,
      54,101,45,48,54,10,32,32,50,46,56,49,52,49,101,45,48,54,32,50,46,52,52,54,48,
      49,101,45,48,54,32,50,46,49,50,54,50,51,101,45,48,54,32,49,46,56,52,56,52,49,
      101,45,48,54,32,49,46,54,48,55,101,45,48,54,32,49,46,51,57,55,50,50,101,45,
      48,54,32,49,46,50,49,52,57,50,101,45,48,54,10,32,32,49,46,48,53,54,52,55,101,
      45,48,54,32,57,46,49,56,55,52,51,101,45,48,55,32,55,46,57,57,48,50,53,101,45,
      48,55,32,54,46,57,52,57,53,52,101,45,48,55,32,54,46,48,52,52,52,49,101,45,48,
      55,32,53,46,50,53,55,49,56,101,45,48,55,32,52,46,53,55,50,55,56,101,45,48,55,
      10,32,32,51,46,57,55,55,48,57,101,45,48,55,32,51,46,52,54,48,50,56,101,45,48,
      55,32,51,46,48,49,48,51,52,101,45,48,55,32,50,46,54,49,57,48,53,101,45,48,55,
      32,50,46,50,55,56,55,53,101,45,48,55,32,49,46,57,56,50,55,56,101,45,48,55,32,
      49,46,55,50,53,51,53,101,45,48,55,10,32,32,49,46,53,48,49,52,49,101,45,48,55,
      32,49,46,51,48,54,54,49,101,45,48,55,32,49,46,49,51,55,49,52,101,45,48,55,32,
      57,46,56,57,55,48,53,101,45,48,56,32,56,46,54,49,52,50,53,101,45,48,56,32,55,
      46,52,57,56,48,55,101,45,48,56,32,54,46,53,50,54,56,50,101,45,48,56,10,32,32,
      53,46,54,56,49,54,53,101,45,48,56,32,52,46,57,52,54,49,53,101,45,48,56,32,51,
      46,55,52,56,57,55,101,45,48,56,32,50,46,56,52,49,57,56,101,45,48,56,32,50,46,
      49,53,52,56,52,101,45,48,56,32,49,46,54,51,52,48,57,101,45,48,56,32,49,46,50,
      51,57,51,56,101,45,48,56,10,32,32,57,46,52,48,49,53,51,101,45,48,57,32,55,46,
      49,51,50,55,53,101,45,48,57,32,53,46,52,49,50,50,54,101,45,48,57,32,52,46,49,
      48,55,51,51,101,45,48,57,32,51,46,49,49,55,52,52,101,45,48,57,32,50,46,51,54,
      54,52,50,101,45,48,57,32,49,46,55,57,54,53,53,101,45,48,57,10,32,32,49,46,51,
      54,52,48,56,101,45,48,57,32,49,46,48,51,53,56,52,101,45,48,57,32,55,46,56,54,
      54,55,50,101,45,49,48,32,53,46,57,55,53,49,101,45,49,48,32,52,46,53,51,56,56,
      50,101,45,49,48,32,51,46,52,52,56,49,53,101,45,49,48,32,50,46,54,49,57,56,51,
      101,45,49,48,10,32,32,49,46,57,57,48,55,101,45,49,48,32,49,46,53,49,50,55,57,
      101,45,49,48,32,49,46,49,52,57,54,55,101,45,49,48,32,56,46,55,51,53,53,54,101,
      45,49,49,32,54,46,54,51,56,50,101,45,49,49,32,53,46,48,52,52,56,51,101,45,49,
      49,32,51,46,56,51,52,50,54,101,45,49,49,10,32,32,50,46,57,49,52,52,50,101,45,
      49,49,32,50,46,50,49,53,52,52,101,45,49,49,32,49,46,54,56,52,50,57,101,45,49,
      49,32,52,46,54,51,48,54,101,45,49,49,32,49,46,56,53,54,56,51,101,45,49,48,32,
      52,46,49,56,49,52,50,101,45,49,48,32,52,46,54,51,48,57,50,101,45,49,48,10,32,
      32,49,46,56,53,55,51,50,101,45,48,57,32,52,46,49,56,51,57,101,45,48,57,32,55,
      46,52,52,48,50,49,101,45,48,57,32,49,46,49,54,50,57,101,45,48,56,32,49,46,54,
      55,54,50,56,101,45,48,56,32,50,46,50,56,51,49,56,101,45,48,56,32,50,46,57,56,
      53,52,56,101,45,48,56,10,32,32,51,46,55,56,50,56,49,101,45,48,56,32,52,46,54,
      55,53,55,49,101,45,48,56,32,53,46,54,54,53,51,51,101,45,48,56,32,54,46,55,53,
      50,52,49,101,45,48,56,32,55,46,57,51,55,50,55,101,45,48,56,32,57,46,50,50,48,
      57,49,101,45,48,56,32,49,46,48,54,48,52,49,101,45,48,55,10,32,32,49,46,50,48,
      56,55,53,101,45,48,55,32,49,46,51,54,55,50,50,101,45,48,55,32,49,46,53,51,53,
      56,57,101,45,48,55,32,49,46,55,49,52,55,49,101,45,48,55,32,49,46,57,48,51,56,
      52,101,45,48,55,32,50,46,49,48,51,52,52,101,45,48,55,32,50,46,51,49,51,53,55,
      101,45,48,55,10,32,32,50,46,53,51,52,48,55,101,45,48,55,32,50,46,55,54,52,57,
      54,101,45,48,55,32,51,46,48,48,54,53,55,101,45,48,55,32,51,46,50,53,56,57,50,
      101,45,48,55,32,51,46,53,50,50,48,49,101,45,48,55,32,51,46,55,57,53,49,54,101,
      45,48,55,32,52,46,48,55,57,49,50,101,45,48,55,10,32,32,52,46,51,55,51,57,50,
      101,45,48,55,32,52,46,54,55,57,54,54,101,45,48,55,32,52,46,57,57,53,54,49,101,
      45,48,55,32,53,46,51,50,49,56,56,101,45,48,55,32,53,46,54,53,56,57,55,101,45,
      48,55,32,54,46,48,48,55,101,45,48,55,32,54,46,51,54,53,57,54,101,45,48,55,10,
      32,32,54,46,55,51,52,49,53,101,45,48,55,32,55,46,49,49,51,50,50,101,45,48,55,
      32,55,46,53,48,51,50,52,101,45,48,55,32,55,46,57,48,52,50,50,101,45,48,55,32,
      56,46,51,49,53,101,45,48,55,32,56,46,55,51,53,56,50,101,45,48,55,32,57,46,49,
      54,55,54,51,101,45,48,55,10,32,32,57,46,54,49,48,51,49,101,45,48,55,32,49,46,
      48,48,54,51,57,101,45,48,54,32,49,46,48,53,50,54,54,101,45,48,54,32,49,46,49,
      48,48,48,51,101,45,48,54,32,49,46,49,52,56,53,101,45,48,54,32,49,46,49,57,56,
      48,54,101,45,48,54,32,49,46,50,52,56,54,53,101,45,48,54,10,32,32,49,46,51,48,
      48,50,55,101,45,48,54,32,49,46,51,53,51,101,45,48,54,32,49,46,52,48,54,56,51,
      101,45,48,54,32,49,46,52,54,49,55,55,101,45,48,54,32,49,46,53,49,55,55,55,101,
      45,48,54,32,49,46,53,55,52,56,55,101,45,48,54,32,49,46,54,51,51,48,57,101,45,
      48,54,10,32,32,49,46,54,57,50,52,51,101,45,48,54,32,49,46,55,53,50,57,50,101,
      45,48,54,32,49,46,56,49,52,53,54,101,45,48,54,32,49,46,56,55,55,51,51,101,45,
      48,54,32,49,46,57,52,49,50,51,101,45,48,54,32,50,46,48,48,54,50,55,101,45,48,
      54,32,50,46,48,55,50,54,50,101,45,48,54,10,32,32,50,46,49,52,48,49,50,101,45,
      48,54,32,50,46,50,48,56,55,55,101,45,48,54,32,50,46,50,55,56,53,55,101,45,48,
      54,32,50,46,51,52,57,55,101,45,48,54,32,50,46,52,50,50,49,50,101,45,48,54,32,
      50,46,52,57,53,55,49,101,45,48,54,32,50,46,53,55,48,52,56,101,45,48,54,10,32,
      32,50,46,54,52,54,52,56,101,45,48,54,32,50,46,55,50,51,57,53,101,45,48,54,32,
      50,46,56,48,50,54,51,101,45,48,54,32,50,46,56,56,50,53,51,101,45,48,54,32,50,
      46,57,54,51,54,52,101,45,48,54,32,51,46,48,52,54,49,51,101,45,48,54,32,51,46,
      49,50,57,57,53,101,45,48,54,10,32,32,51,46,50,49,53,48,50,101,45,48,54,32,51,
      46,51,48,49,51,55,101,45,48,54,32,51,46,51,56,56,57,52,101,45,48,54,32,51,46,
      52,55,55,55,49,101,45,48,54,32,51,46,53,54,55,56,53,101,45,48,54,32,51,46,54,
      53,57,50,52,101,45,48,54,32,51,46,55,53,49,56,51,101,45,48,54,10,32,32,51,46,
      56,52,53,51,52,101,45,48,54,32,51,46,57,51,57,57,54,101,45,48,54,32,52,46,48,
      51,53,57,57,101,45,48,54,32,52,46,49,51,51,50,50,101,45,48,54,32,52,46,50,51,
      49,53,50,101,45,48,54,32,52,46,51,50,57,56,54,101,45,48,54,32,52,46,52,50,57,
      52,101,45,48,54,10,32,32,52,46,53,51,48,49,50,101,45,48,54,32,52,46,54,51,50,
      48,52,101,45,48,54,32,52,46,55,51,51,54,57,101,45,48,54,32,52,46,56,51,53,54,
      50,101,45,48,54,32,52,46,57,51,56,55,51,101,45,48,54,32,53,46,48,52,51,48,49,
      101,45,48,54,32,53,46,49,52,56,101,45,48,54,10,32,32,53,46,50,53,49,48,56,101,
      45,48,54,32,53,46,51,53,53,51,52,101,45,48,54,32,53,46,52,54,48,55,53,101,45,
      48,54,32,53,46,53,54,55,51,52,101,45,48,54,32,53,46,54,55,50,49,101,45,48,54,
      32,53,46,55,55,54,51,55,101,45,48,54,32,53,46,56,56,49,56,52,101,45,48,54,10,
      32,32,53,46,57,56,56,53,50,101,45,48,54,32,54,46,48,57,53,53,56,101,45,48,54,
      32,54,46,49,57,57,48,54,101,45,48,54,32,54,46,51,48,51,56,53,101,45,48,54,32,
      54,46,52,48,57,57,55,101,45,48,54,32,54,46,53,49,55,56,51,101,45,48,54,32,54,
      46,54,50,51,49,54,101,45,48,54,10,32,32,54,46,55,50,55,56,52,101,45,48,54,32,
      54,46,56,51,52,50,49,101,45,48,54,32,54,46,57,52,50,49,51,101,45,48,54,32,55,
      46,48,53,48,53,56,101,45,48,54,32,55,46,49,53,53,57,54,101,45,48,54,32,55,46,
      50,54,51,49,52,101,45,48,54,32,55,46,51,55,49,57,57,101,45,48,54,10,32,32,55,
      46,52,56,50,53,49,101,45,48,54,32,55,46,53,57,49,51,49,101,45,48,54,32,55,46,
      55,48,48,50,55,101,45,48,54,32,55,46,56,49,49,48,54,101,45,48,54,32,55,46,57,
      50,51,53,52,101,45,48,54,32,56,46,48,51,55,48,49,101,45,48,54,32,56,46,49,52,
      56,55,53,101,45,48,54,10,32,32,56,46,50,54,50,51,51,101,45,48,54,32,56,46,51,
      55,55,55,53,101,45,48,54,32,56,46,52,57,52,54,57,101,45,48,54,32,56,46,54,49,
      49,50,52,101,45,48,54,32,56,46,55,50,56,52,52,101,45,48,54,32,56,46,56,52,55,
      52,54,101,45,48,54,32,56,46,57,54,56,48,50,101,45,48,54,10,32,32,57,46,48,56,
      57,55,55,101,45,48,54,32,57,46,50,49,49,50,54,101,45,48,54,32,57,46,51,51,52,
      51,54,101,45,48,54,32,57,46,52,53,57,48,57,101,45,48,54,32,57,46,53,56,53,50,
      56,101,45,48,54,32,57,46,55,49,49,57,53,101,45,48,54,32,57,46,56,51,57,55,55,
      101,45,48,54,10,32,32,57,46,57,54,56,57,56,101,45,48,54,32,49,46,48,48,57,57,
      54,101,45,48,53,32,49,46,48,50,51,49,53,101,45,48,53,32,49,46,48,51,54,52,51,
      101,45,48,53,32,49,46,48,52,57,56,52,101,45,48,53,32,49,46,48,54,51,51,56,101,
      45,48,53,32,49,46,48,55,55,48,54,101,45,48,53,10,32,32,49,46,48,57,48,56,54,
      101,45,48,53,32,49,46,49,48,52,56,101,45,48,53,32,49,46,49,49,56,56,53,101,
      45,48,53,32,49,46,49,51,51,48,50,101,45,48,53,32,49,46,49,52,55,51,51,101,45,
      48,53,32,49,46,49,54,49,56,49,101,45,48,53,32,49,46,49,55,54,52,49,101,45,48,
      53,10,32,32,49,46,49,57,54,48,49,101,45,48,53,32,49,46,50,52,50,54,50,101,45,
      48,53,32,49,46,51,49,51,50,57,101,45,48,53,32,49,46,52,51,51,51,49,101,45,48,
      53,32,49,46,53,53,54,56,55,101,45,48,53,32,49,46,54,56,52,51,55,101,45,48,53,
      32,49,46,56,49,54,56,49,101,45,48,53,10,32,32,49,46,57,53,52,51,49,101,45,48,
      53,32,50,46,48,57,54,56,53,101,45,48,53,32,50,46,50,52,51,50,56,101,45,48,53,
      32,50,46,51,57,50,50,50,101,45,48,53,32,50,46,53,52,49,55,55,101,45,48,53,32,
      50,46,54,57,49,54,57,101,45,48,53,32,50,46,56,52,50,51,49,101,45,48,53,10,32,
      32,51,46,48,50,53,55,51,101,45,48,53,32,51,46,50,49,54,52,54,101,45,48,53,32,
      51,46,52,57,48,53,54,101,45,48,53,32,51,46,56,48,51,50,101,45,48,53,32,52,46,
      49,55,50,55,50,101,45,48,53,32,52,46,55,52,57,52,52,101,45,48,53,32,53,46,52,
      57,53,51,52,101,45,48,53,10,32,32,54,46,52,50,50,57,53,101,45,48,53,32,55,46,
      54,52,51,48,51,101,45,48,53,32,56,46,54,56,48,50,56,101,45,48,53,32,57,46,52,
      54,49,57,53,101,45,48,53,32,57,46,56,51,54,55,52,101,45,48,53,32,46,48,48,48,
      49,48,49,53,49,55,32,46,48,48,48,49,48,53,57,52,50,10,32,32,46,48,48,48,49,
      49,50,50,52,55,32,46,48,48,48,49,50,49,48,57,51,32,46,48,48,48,49,51,51,53,
      55,56,32,46,48,48,48,49,53,49,54,54,54,32,46,48,48,48,49,56,49,54,51,52,32,
      46,48,48,48,50,50,53,56,57,51,32,46,48,48,48,50,57,55,48,57,56,32,46,48,48,
      48,51,57,53,52,56,55,10,32,32,46,48,48,48,52,51,52,48,54,57,32,46,48,48,48,
      52,50,51,56,50,32,46,48,48,48,52,48,53,54,52,53,32,46,48,48,48,51,57,55,53,
      49,55,32,46,48,48,48,52,48,53,50,48,54,32,46,48,48,48,52,50,55,49,48,50,32,
      46,48,48,48,52,54,53,49,53,57,32,46,48,48,48,53,49,55,48,52,55,10,32,32,46,
      48,48,48,53,56,57,52,57,51,32,46,48,48,48,55,48,48,54,54,54,32,46,48,48,48,
      56,56,51,53,53,51,32,46,48,48,49,48,56,55,56,49,32,46,48,48,49,51,51,48,48,
      50,32,46,48,48,49,53,56,54,49,49,32,46,48,48,49,57,52,56,54,49,32,46,48,48,
      50,54,48,49,51,57,10,32,32,46,48,48,51,50,56,54,49,57,32,46,48,48,51,56,51,
      53,53,52,32,46,48,48,52,50,48,55,48,57,32,46,48,48,52,55,51,53,56,57,32,46,
      48,48,53,51,52,51,57,49,32,46,48,48,53,56,57,50,54,56,32,46,48,48,54,50,51,
      49,53,53,32,46,48,48,54,52,56,56,50,55,10,32,32,46,48,48,54,56,55,50,48,53,
      32,46,48,48,55,54,49,49,57,50,32,46,48,48,56,53,57,49,51,51,32,46,48,48,57,
      52,51,52,48,51,32,46,48,49,49,48,57,57,32,46,48,49,50,54,55,54,55,32,46,48,
      49,52,49,51,49,57,32,46,48,49,53,53,48,50,52,32,46,48,49,54,52,54,51,56,10,
      32,32,46,48,49,55,51,55,53,57,32,46,48,49,56,50,53,49,32,46,48,49,57,48,56,
      55,53,32,46,48,49,57,56,56,54,50,32,46,48,50,48,55,55,48,57,32,46,48,50,49,
      52,49,53,55,32,46,48,50,50,48,53,32,46,48,50,51,48,50,53,52,32,46,48,50,51,
      53,53,48,49,32,46,48,50,52,49,55,53,55,10,32,32,46,48,50,52,52,57,57,54,32,
      46,48,50,52,53,50,48,54,32,46,48,50,52,52,51,48,57,32,46,48,50,52,49,50,49,
      52,32,46,48,50,51,54,53,48,53,32,46,48,50,51,51,56,52,54,32,46,48,50,51,49,
      48,54,50,32,46,48,50,51,48,53,52,32,46,48,50,51,50,49,54,55,10,32,32,46,48,
      50,53,48,51,49,32,46,48,50,52,57,52,52,55,32,46,48,50,52,56,57,51,32,46,48,
      50,52,55,54,57,54,32,46,48,50,52,53,57,57,55,32,46,48,50,52,52,51,51,56,32,
      46,48,50,52,50,52,56,49,32,46,48,50,52,48,53,56,51,32,46,48,50,51,56,53,55,
      51,32,46,48,50,51,54,50,48,51,10,32,32,46,48,50,51,51,57,56,49,32,46,48,50,
      51,49,52,50,49,32,46,48,50,50,57,52,55,49,32,46,48,50,50,54,49,56,54,32,46,
      48,50,50,52,49,49,53,32,46,48,50,50,49,52,56,56,32,46,48,50,49,53,49,55,56,
      32,46,48,50,48,54,49,57,32,46,48,49,57,55,50,52,50,10,32,32,46,48,49,56,54,
      48,49,50,32,46,48,49,55,52,57,49,50,32,46,48,49,54,49,57,53,53,32,46,48,49,
      53,49,53,53,53,32,46,48,49,51,53,53,52,55,32,46,48,49,49,54,51,54,54,32,46,
      48,49,48,55,56,57,56,32,46,48,48,57,57,48,57,57,50,32,46,48,48,56,56,51,57,
      56,57,10,32,32,46,48,48,55,57,57,51,53,49,32,46,48,48,55,50,50,52,57,49,32,
      46,48,48,54,52,51,52,49,53,32,46,48,48,53,55,50,56,48,55,32,46,48,48,53,49,
      55,50,57,49,32,46,48,48,52,54,55,48,53,54,32,46,48,48,52,50,49,54,55,51,32,
      46,48,48,51,55,53,49,54,52,10,32,32,46,48,48,51,50,56,57,52,52,32,46,48,48,
      50,56,52,50,52,56,32,46,48,48,50,52,57,50,50,54,32,46,48,48,50,49,53,51,55,
      51,32,46,48,48,49,56,56,56,56,49,32,46,48,48,49,54,53,54,54,57,32,46,48,48,
      49,52,51,50,51,32,46,48,48,49,50,50,53,54,52,32,46,48,48,49,48,56,54,56,10,
      32,32,46,48,48,48,57,52,53,53,55,50,32,46,48,48,48,56,51,54,55,56,57,32,46,
      48,48,48,55,51,52,52,51,57,32,46,48,48,48,54,52,52,55,49,51,32,46,48,48,48,
      53,54,54,48,51,51,32,46,48,48,48,52,57,55,48,51,51,32,46,48,48,48,52,51,54,
      53,49,53,32,46,48,48,48,51,56,51,52,50,52,10,32,32,46,48,48,48,51,51,54,56,
      51,57,32,46,48,48,48,50,57,53,57,53,53,32,46,48,48,48,50,54,48,48,54,56,32,
      46,48,48,48,50,50,56,53,51,52,32,46,48,48,48,50,48,48,56,52,57,32,46,48,48,
      48,49,55,54,53,52,53,32,46,48,48,48,49,53,53,50,48,50,32,46,48,48,48,49,51,
      54,52,53,54,10,32,32,46,48,48,48,49,49,57,57,57,32,46,48,48,48,49,48,53,53,
      50,54,32,57,46,50,56,49,52,56,101,45,48,53,32,56,46,49,54,52,49,50,101,45,48,
      53,32,55,46,49,56,50,51,52,101,45,48,53,32,54,46,51,49,57,51,50,101,45,48,53,
      32,53,46,53,54,48,53,56,101,45,48,53,10,32,32,52,46,56,57,51,52,55,101,45,48,
      53,32,52,46,51,48,54,56,52,101,45,48,53,32,51,46,55,57,49,49,49,101,45,48,53,
      32,51,46,51,51,55,51,49,101,45,48,53,32,50,46,57,51,56,49,49,101,45,48,53,32,
      50,46,53,56,54,57,101,45,48,53,32,50,46,50,55,55,52,52,101,45,48,53,10,32,32,
      50,46,48,48,53,48,53,101,45,48,53,32,49,46,55,54,53,51,57,101,45,48,53,32,49,
      46,53,53,52,52,50,101,45,48,53,32,49,46,51,54,56,56,54,101,45,48,53,32,49,46,
      50,52,48,48,55,101,45,48,53,32,49,46,49,50,51,52,53,101,45,48,53,32,49,46,48,
      49,55,56,52,101,45,48,53,10,32,32,57,46,50,50,50,49,50,101,45,48,54,32,56,46,
      51,53,54,55,49,101,45,48,54,32,55,46,52,55,55,101,45,48,54,32,54,46,52,57,53,
      52,52,101,45,48,54,32,53,46,54,52,51,50,51,101,45,48,54,32,52,46,57,48,51,50,
      55,101,45,48,54,32,52,46,50,54,48,55,49,101,45,48,54,10,32,32,51,46,55,48,50,
      54,55,101,45,48,54,32,51,46,50,49,55,57,57,101,45,48,54,32,50,46,55,57,54,57,
      55,101,45,48,54,32,50,46,52,51,49,50,52,101,45,48,54,32,50,46,49,49,51,52,56,
      101,45,48,54,32,49,46,56,51,55,51,56,101,45,48,54,32,49,46,53,57,55,52,55,101,
      45,48,54,10,32,32,49,46,51,56,56,57,56,101,45,48,54,32,49,46,50,48,55,55,57,
      101,45,48,54,32,49,46,48,53,48,51,49,101,45,48,54,32,57,46,49,51,52,50,50,101,
      45,48,55,32,55,46,57,52,52,51,101,45,48,55,32,54,46,57,48,57,56,52,101,45,48,
      55,32,54,46,48,49,48,52,53,101,45,48,55,10,32,32,53,46,50,50,56,52,52,101,45,
      48,55,32,52,46,53,52,56,52,53,101,45,48,55,32,51,46,57,53,54,53,50,101,45,48,
      55,32,51,46,52,52,50,55,57,101,45,48,55,32,50,46,57,57,53,50,101,45,48,55,32,
      50,46,54,48,53,57,54,101,45,48,55,32,50,46,50,54,55,52,50,101,45,48,55,10,32,
      32,49,46,57,55,50,57,55,101,45,48,55,32,49,46,55,49,54,56,53,101,45,48,55,32,
      49,46,52,57,52,48,54,101,45,48,55,32,49,46,51,48,48,50,53,101,45,48,55,32,49,
      46,49,51,49,54,51,101,45,48,55,32,57,46,56,52,57,51,49,101,45,48,56,32,56,46,
      53,55,50,56,57,101,45,48,56,10,32,32,55,46,52,54,50,50,53,101,45,48,56,32,54,
      46,52,57,53,56,49,101,45,48,56,32,53,46,54,53,52,55,57,101,45,48,56,32,52,46,
      57,50,50,56,55,101,45,48,56,32,51,46,55,51,49,52,55,101,45,48,56,32,50,46,56,
      50,56,56,51,101,45,48,56,32,50,46,49,52,52,57,52,101,45,48,56,10,32,32,49,46,
      54,50,54,54,52,101,45,48,56,32,49,46,50,51,51,55,56,101,45,48,56,32,57,46,51,
      53,57,52,101,45,48,57,32,55,46,49,48,49,48,52,101,45,48,57,32,53,46,51,56,56,
      51,55,101,45,48,57,32,52,46,48,56,57,51,50,101,45,48,57,32,51,46,49,48,51,56,
      53,101,45,48,57,10,32,32,50,46,51,53,54,49,55,101,45,48,57,32,49,46,55,56,56,
      56,50,101,45,48,57,32,49,46,51,53,56,50,53,101,45,48,57,32,49,46,48,51,49,52,
      52,101,45,48,57,32,55,46,56,51,51,53,49,101,45,49,48,32,53,46,57,53,48,48,49,
      101,45,49,48,32,52,46,53,49,57,56,53,101,45,49,48,10,32,32,51,46,52,51,51,56,
      50,101,45,49,48,32,50,46,54,48,57,101,45,49,48,32,49,46,57,56,50,53,49,101,
      45,49,48,32,49,46,53,48,54,54,49,101,45,49,48,32,49,46,49,52,53,48,53,101,45,
      49,48,32,56,46,55,48,51,52,49,101,45,49,49,32,54,46,54,49,53,57,52,101,45,49,
      49,10,32,32,53,46,48,50,57,53,56,101,45,49,49,32,51,46,56,50,51,52,55,101,45,
      49,49,32,50,46,57,48,54,50,55,101,45,49,49,32,50,46,50,48,57,50,56,101,45,49,
      49,32,49,46,54,55,57,54,52,101,45,49,49,32,51,46,51,49,48,49,52,101,45,49,49,
      32,49,46,51,50,55,51,53,101,45,49,48,10,32,32,50,46,57,56,57,49,52,101,45,49,
      48,32,51,46,51,49,48,52,56,101,45,49,48,32,49,46,51,50,55,56,56,101,45,48,57,
      32,50,46,57,57,49,55,54,101,45,48,57,32,53,46,51,50,49,53,101,45,48,57,32,56,
      46,51,49,57,57,54,101,45,48,57,32,49,46,49,57,57,55,49,101,45,48,56,10,32,32,
      49,46,54,51,52,55,51,101,45,48,56,32,50,46,49,51,56,53,50,101,45,48,56,32,50,
      46,55,49,48,57,57,101,45,48,56,32,51,46,51,53,50,54,55,101,45,48,56,32,52,46,
      48,54,52,53,55,101,45,48,56,32,52,46,56,52,55,52,101,45,48,56,32,53,46,55,48,
      49,54,50,101,45,48,56,10,32,32,54,46,54,50,56,48,55,101,45,48,56,32,55,46,54,
      50,55,52,57,101,45,48,56,32,56,46,55,48,48,53,54,101,45,48,56,32,57,46,56,52,
      56,51,55,101,45,48,56,32,49,46,49,48,55,49,54,101,45,48,55,32,49,46,50,51,54,
      57,54,101,45,48,55,32,49,46,51,55,52,52,49,101,45,48,55,10,32,32,49,46,53,49,
      57,54,53,101,45,48,55,32,49,46,54,55,50,55,51,101,45,48,55,32,49,46,56,51,51,
      53,49,101,45,48,55,32,50,46,48,48,50,101,45,48,55,32,50,46,49,55,56,53,49,101,
      45,48,55,32,50,46,51,54,51,48,54,101,45,48,55,32,50,46,53,53,53,54,55,101,45,
      48,55,10,32,32,50,46,55,53,53,54,53,101,45,48,55,32,50,46,57,54,51,55,51,101,
      45,48,55,32,51,46,49,55,57,57,54,101,45,48,55,32,51,46,52,48,52,52,101,45,48,
      55,32,51,46,54,51,54,51,57,101,45,48,55,32,51,46,56,55,53,57,57,101,45,48,55,
      32,52,46,49,50,51,55,49,101,45,48,55,10,32,32,52,46,51,55,57,54,55,101,45,48,
      55,32,52,46,54,52,51,56,51,101,45,48,55,32,52,46,57,49,52,53,56,101,45,48,55,
      32,53,46,49,57,51,53,101,45,48,55,32,53,46,52,56,48,54,53,101,45,48,55,32,53,
      46,55,55,54,48,51,101,45,48,55,32,54,46,48,55,56,53,55,101,45,48,55,10,32,32,
      54,46,51,56,56,52,56,101,45,48,55,32,54,46,55,48,54,54,51,101,45,48,55,32,55,
      46,48,51,50,57,53,101,45,48,55,32,55,46,51,54,55,52,51,101,45,48,55,32,55,46,
      55,48,56,53,49,101,45,48,55,32,56,46,48,53,55,55,52,101,45,48,55,32,56,46,52,
      49,53,50,55,101,45,48,55,10,32,32,56,46,55,56,49,48,50,101,45,48,55,32,57,46,
      49,53,52,51,56,101,45,48,55,32,57,46,53,51,53,52,49,101,45,48,55,32,57,46,57,
      50,52,55,50,101,45,48,55,32,49,46,48,51,50,50,51,101,45,48,54,32,49,46,48,55,
      50,56,51,101,45,48,54,32,49,46,49,49,52,50,50,101,45,48,54,10,32,32,49,46,49,
      53,54,52,52,101,45,48,54,32,49,46,49,57,57,53,101,45,48,54,32,49,46,50,52,51,
      52,49,101,45,48,54,32,49,46,50,56,56,49,57,101,45,48,54,32,49,46,51,51,51,56,
      53,101,45,48,54,32,49,46,51,56,48,51,54,101,45,48,54,32,49,46,52,50,55,55,51,
      101,45,48,54,10,32,32,49,46,52,55,53,57,55,101,45,48,54,32,49,46,53,50,53,50,
      51,101,45,48,54,32,49,46,53,55,53,51,55,101,45,48,54,32,49,46,54,50,54,51,56,
      101,45,48,54,32,49,46,54,55,56,50,54,101,45,48,54,32,49,46,55,51,49,49,57,101,
      45,48,54,32,49,46,55,56,53,49,50,101,45,48,54,10,32,32,49,46,56,51,57,57,53,
      101,45,48,54,32,49,46,56,57,53,54,56,101,45,48,54,32,49,46,57,53,50,51,53,101,
      45,48,54,32,50,46,48,49,48,50,49,101,45,48,54,32,50,46,48,54,56,57,57,101,45,
      48,54,32,50,46,49,50,56,55,49,101,45,48,54,32,50,46,49,56,57,51,54,101,45,48,
      54,10,32,32,50,46,50,53,49,49,101,45,48,54,32,50,46,51,49,51,56,56,101,45,48,
      54,32,50,46,51,55,55,54,51,101,45,48,54,32,50,46,52,52,50,51,56,101,45,48,54,
      32,50,46,53,48,56,48,54,101,45,48,54,32,50,46,53,55,52,54,55,101,45,48,54,32,
      50,46,54,52,50,51,53,101,45,48,54,10,32,32,50,46,55,49,48,57,57,101,45,48,54,
      32,50,46,55,56,48,53,54,101,45,48,54,32,50,46,56,53,48,55,57,101,45,48,54,32,
      50,46,57,50,49,56,54,101,45,48,54,32,50,46,57,57,52,48,50,101,45,48,54,32,51,
      46,48,54,55,49,50,101,45,48,54,32,51,46,49,52,49,48,49,101,45,48,54,10,32,32,
      51,46,50,49,52,55,52,101,45,48,54,32,51,46,50,56,57,51,57,101,45,48,54,32,51,
      46,51,54,52,57,53,101,45,48,54,32,51,46,52,52,49,52,51,101,45,48,54,32,51,46,
      53,49,55,52,53,101,45,48,54,32,51,46,53,57,51,53,51,101,45,48,54,32,51,46,54,
      55,48,53,49,101,45,48,54,10,32,32,51,46,55,52,56,51,56,101,45,48,54,32,51,46,
      56,50,54,55,50,101,45,48,54,32,51,46,57,48,51,48,54,101,45,48,54,32,51,46,57,
      56,48,51,49,101,45,48,54,32,52,46,48,53,56,52,51,101,45,48,54,32,52,46,49,51,
      55,52,53,101,45,48,54,32,52,46,50,49,52,53,54,101,45,48,54,10,32,32,52,46,50,
      57,49,101,45,48,54,32,52,46,51,54,56,51,55,101,45,48,54,32,52,46,52,52,54,54,
      54,101,45,48,54,32,52,46,53,50,53,49,50,101,45,48,54,32,52,46,54,48,48,48,49,
      101,45,48,54,32,52,46,54,55,53,57,52,101,45,48,54,32,52,46,55,53,50,57,101,
      45,48,54,10,32,32,52,46,56,51,49,50,56,101,45,48,54,32,52,46,57,48,55,48,56,
      101,45,48,54,32,52,46,57,56,50,48,55,101,45,48,54,32,53,46,48,53,56,52,51,101,
      45,48,54,32,53,46,49,51,54,48,52,101,45,48,54,32,53,46,50,49,51,57,51,101,45,
      48,54,32,53,46,50,56,56,55,51,101,45,48,54,10,32,32,53,46,51,54,53,101,45,48,
      54,32,53,46,52,52,50,54,52,101,45,48,54,32,53,46,53,50,49,54,50,101,45,48,54,
      32,53,46,53,57,56,55,56,101,45,48,54,32,53,46,54,55,53,56,56,101,45,48,54,32,
      53,46,55,53,52,52,56,101,45,48,54,32,53,46,56,51,52,52,53,101,45,48,54,10,32,
      32,53,46,57,49,53,49,52,101,45,48,54,32,53,46,57,57,51,57,57,101,45,48,54,32,
      54,46,48,55,52,51,54,101,45,48,54,32,54,46,49,53,54,50,50,101,45,48,54,32,54,
      46,50,51,57,51,51,101,45,48,54,32,54,46,51,50,49,56,52,101,45,48,54,32,54,46,
      52,48,52,55,53,101,45,48,54,10,32,32,54,46,52,56,57,49,52,101,45,48,54,32,54,
      46,53,55,52,55,57,101,45,48,54,32,54,46,54,54,49,51,51,101,45,48,54,32,54,46,
      55,52,55,52,50,101,45,48,54,32,54,46,56,51,52,56,50,101,45,48,54,32,54,46,57,
      50,51,53,50,101,45,48,54,32,55,46,48,49,51,51,57,101,45,48,54,10,32,32,55,46,
      49,48,51,53,50,101,45,48,54,32,55,46,49,57,52,52,57,101,45,48,54,32,55,46,50,
      56,54,53,55,101,45,48,54,32,55,46,51,55,57,55,57,101,45,48,54,32,55,46,52,55,
      52,101,45,48,54,32,55,46,53,54,56,56,51,101,45,48,54,32,55,46,54,54,52,54,55,
      101,45,48,54,10,32,32,55,46,55,54,49,53,53,101,45,48,54,32,55,46,56,53,57,52,
      52,101,45,48,54,32,55,46,57,53,56,52,49,101,45,48,54,32,56,46,48,53,56,51,54,
      101,45,48,54,32,56,46,49,53,57,50,101,45,48,54,32,56,46,50,54,48,57,55,101,
      45,48,54,32,56,46,51,54,51,56,50,101,45,48,54,10,32,32,56,46,52,54,56,48,56,
      101,45,48,54,32,56,46,53,55,51,50,52,101,45,48,54,32,56,46,55,49,52,53,52,101,
      45,48,54,32,57,46,48,53,49,51,52,101,45,48,54,32,57,46,53,54,51,55,52,101,45,
      48,54,32,49,46,48,52,51,57,49,101,45,48,53,32,49,46,49,51,52,56,53,101,45,48,
      53,10,32,32,49,46,50,50,57,53,52,101,45,48,53,32,49,46,51,50,56,57,49,101,45,
      48,53,32,49,46,52,51,51,48,54,101,45,48,53,32,49,46,53,52,49,57,50,101,45,48,
      53,32,49,46,54,53,52,51,57,101,45,48,53,32,49,46,55,54,57,49,54,101,45,48,53,
      32,49,46,56,56,52,52,54,101,45,48,53,10,32,32,50,46,48,48,48,48,54,101,45,48,
      53,32,50,46,49,49,54,50,55,101,45,48,53,32,50,46,50,53,56,50,101,45,48,53,32,
      50,46,52,48,54,57,101,45,48,53,32,50,46,54,50,51,52,57,101,45,48,53,32,50,46,
      56,55,53,54,54,101,45,48,53,32,51,46,49,56,48,49,49,101,45,48,53,10,32,32,51,
      46,54,54,53,53,50,101,45,48,53,32,52,46,51,48,52,49,101,45,48,53,32,53,46,49,
      48,53,56,57,101,45,48,53,32,54,46,49,53,56,54,54,101,45,48,53,32,55,46,48,52,
      49,56,57,101,45,48,53,32,55,46,54,56,50,57,53,101,45,48,53,32,55,46,57,54,49,
      55,50,101,45,48,53,10,32,32,56,46,49,56,54,51,50,101,45,48,53,32,56,46,53,49,
      54,53,49,101,45,48,53,32,57,46,48,48,55,57,101,45,48,53,32,57,46,55,49,57,57,
      101,45,48,53,32,46,48,48,48,49,48,55,53,48,55,32,46,48,48,48,49,50,50,55,52,
      55,32,46,48,48,48,49,52,56,51,50,55,32,46,48,48,48,49,56,54,50,54,55,10,32,
      32,46,48,48,48,50,52,55,49,55,49,32,46,48,48,48,51,51,48,57,57,55,32,46,48,
      48,48,51,54,51,51,50,32,46,48,48,48,51,53,51,56,55,50,32,46,48,48,48,51,51,
      55,51,56,49,32,46,48,48,48,51,50,57,50,48,53,32,46,48,48,48,51,51,52,53,50,
      53,32,46,48,48,48,51,53,50,48,51,52,10,32,32,46,48,48,48,51,56,51,52,55,56,
      32,46,48,48,48,52,50,55,48,49,32,46,48,48,48,52,56,56,50,52,52,32,46,48,48,
      48,53,56,50,53,50,56,32,46,48,48,48,55,51,55,56,50,49,32,46,48,48,48,57,49,
      49,51,53,32,46,48,48,49,49,49,55,53,56,32,46,48,48,49,51,51,54,52,51,10,32,
      32,46,48,48,49,54,52,55,56,54,32,46,48,48,50,50,49,51,51,57,32,46,48,48,50,
      56,49,50,50,32,46,48,48,51,50,57,52,49,52,32,46,48,48,51,54,49,57,49,53,32,
      46,48,48,52,48,56,49,57,53,32,46,48,48,52,54,49,55,53,54,32,46,48,48,53,48,
      57,57,51,52,32,46,48,48,53,51,57,48,52,55,10,32,32,46,48,48,53,54,48,54,51,
      52,32,46,48,48,53,57,51,55,57,53,32,46,48,48,54,53,57,50,54,32,46,48,48,55,
      52,55,49,57,54,32,46,48,48,56,50,51,54,57,56,32,46,48,48,57,55,54,55,49,51,
      32,46,48,49,49,50,52,50,56,32,46,48,49,50,54,51,52,57,32,46,48,49,51,57,55,
      57,55,10,32,32,46,48,49,52,57,51,52,32,46,48,49,53,56,49,50,56,32,46,48,49,
      54,54,51,48,49,32,46,48,49,55,52,48,50,57,32,46,48,49,56,49,52,48,52,32,46,
      48,49,56,57,53,56,53,32,46,48,49,57,53,53,53,54,32,46,48,50,48,49,52,55,53,
      32,46,48,50,49,48,55,55,56,10,32,32,46,48,50,49,53,57,54,57,32,46,48,50,50,
      50,53,54,54,32,46,48,50,50,54,54,53,56,32,46,48,50,50,55,53,52,52,32,46,48,
      50,50,55,51,56,54,32,46,48,50,50,53,52,55,51,32,46,48,50,50,50,48,48,56,32,
      46,48,50,49,57,57,52,51,32,46,48,50,49,55,56,54,55,10,32,32,46,48,50,49,55,
      54,49,57,32,46,48,50,49,57,52,50,50,32,46,48,50,51,53,57,55,56,32,46,48,50,
      51,53,54,51,32,46,48,50,51,53,51,50,54,32,46,48,50,51,52,52,57,56,32,46,48,
      50,51,51,50,52,51,32,46,48,50,51,49,57,52,55,32,46,48,50,51,48,52,52,56,10,
      32,32,46,48,50,50,56,56,55,55,32,46,48,50,50,55,49,56,55,32,46,48,50,50,53,
      49,54,52,32,46,48,50,50,51,50,52,55,32,46,48,50,50,49,48,49,53,32,46,48,50,
      49,57,51,48,50,32,46,48,50,49,54,51,56,57,32,46,48,50,49,52,53,52,32,46,48,
      50,49,50,49,56,51,10,32,32,46,48,50,48,54,52,56,51,32,46,48,49,57,56,50,55,
      57,32,46,48,49,57,48,48,50,57,32,46,48,49,55,57,53,56,51,32,46,48,49,54,57,
      49,56,50,32,46,48,49,53,54,57,54,53,32,46,48,49,52,55,49,49,50,32,46,48,49,
      51,49,56,53,49,32,46,48,49,49,51,52,48,54,10,32,32,46,48,49,48,53,50,54,32,
      46,48,48,57,54,55,54,54,57,32,46,48,48,56,54,52,49,53,52,32,46,48,48,55,56,
      50,49,52,56,32,46,48,48,55,48,55,53,51,52,32,46,48,48,54,51,48,54,48,57,32,
      46,48,48,53,54,49,56,52,49,32,46,48,48,53,48,55,55,51,54,32,46,48,48,52,53,
      56,55,53,49,10,32,32,46,48,48,52,49,52,51,56,52,32,46,48,48,51,54,56,56,56,
      50,32,46,48,48,51,50,51,54,49,57,32,46,48,48,50,55,57,56,48,54,32,46,48,48,
      50,52,53,52,55,54,32,46,48,48,50,49,50,50,52,51,32,46,48,48,49,56,54,50,48,
      55,32,46,48,48,49,54,51,51,56,50,10,32,32,46,48,48,49,52,49,51,48,55,32,46,
      48,48,49,50,48,57,54,53,32,46,48,48,49,48,55,50,57,51,32,46,48,48,48,57,51,
      52,48,54,32,46,48,48,48,56,50,54,57,32,46,48,48,48,55,50,53,57,51,50,32,46,
      48,48,48,54,51,55,51,57,32,46,48,48,48,53,53,57,55,50,54,10,32,32,46,48,48,
      48,52,57,49,53,57,57,32,46,48,48,48,52,51,49,56,50,49,32,46,48,48,48,51,55,
      57,51,54,54,32,46,48,48,48,51,51,51,51,51,49,32,46,48,48,48,50,57,50,57,50,
      50,32,46,48,48,48,50,53,55,52,52,55,32,46,48,48,48,50,50,54,50,57,57,32,46,
      48,48,48,49,57,56,57,52,10,32,32,46,48,48,48,49,55,52,56,57,49,32,46,48,48,
      48,49,53,51,55,54,55,32,46,48,48,48,49,51,53,50,49,49,32,46,48,48,48,49,49,
      56,57,48,57,32,46,48,48,48,49,48,52,53,56,56,32,57,46,50,48,48,48,52,101,45,
      48,53,32,56,46,48,57,51,51,51,101,45,48,53,32,55,46,49,50,48,55,55,101,45,48,
      53,10,32,32,54,46,50,54,53,55,53,101,45,48,53,32,53,46,53,49,51,57,56,101,45,
      48,53,32,52,46,56,53,50,56,57,101,45,48,53,32,52,46,50,55,49,52,57,101,45,48,
      53,32,51,46,55,54,48,50,57,101,45,48,53,32,51,46,51,49,48,52,51,101,45,48,53,
      32,50,46,57,49,52,54,54,101,45,48,53,10,32,32,50,46,53,54,54,52,53,101,45,48,
      53,32,50,46,50,54,48,48,51,101,45,48,53,32,49,46,57,57,48,51,56,101,45,48,53,
      32,49,46,55,53,51,48,53,101,45,48,53,32,49,46,53,52,51,56,101,45,48,53,32,49,
      46,51,53,57,53,57,101,45,48,53,32,49,46,50,51,49,55,51,101,45,48,53,10,32,32,
      49,46,49,49,53,57,52,101,45,48,53,32,49,46,48,49,49,48,56,101,45,48,53,32,57,
      46,49,54,49,50,54,101,45,48,54,32,56,46,51,48,49,56,55,101,45,48,54,32,55,46,
      52,50,56,50,55,101,45,48,54,32,54,46,52,53,51,52,56,101,45,48,54,32,53,46,54,
      48,55,49,101,45,48,54,10,32,32,52,46,56,55,50,49,53,101,45,48,54,32,52,46,50,
      51,51,56,57,101,45,48,54,32,51,46,54,55,57,53,53,101,45,48,54,32,51,46,49,57,
      56,48,51,101,45,48,54,32,50,46,55,55,57,55,52,101,45,48,54,32,50,46,52,49,54,
      51,53,101,45,48,54,32,50,46,49,48,48,54,50,101,45,48,54,10,32,32,49,46,56,50,
      54,50,56,101,45,48,54,32,49,46,53,56,55,56,57,101,45,48,54,32,49,46,51,56,48,
      55,49,101,45,48,54,32,49,46,50,48,48,54,53,101,45,48,54,32,49,46,48,52,52,49,
      52,101,45,48,54,32,57,46,48,56,48,57,53,101,45,48,55,32,55,46,56,57,56,50,52,
      101,45,48,55,10,32,32,54,46,56,55,101,45,48,55,32,53,46,57,55,53,57,56,101,
      45,48,55,32,53,46,49,57,56,54,50,101,45,48,55,32,52,46,53,50,50,54,53,101,45,
      48,55,32,51,46,57,51,52,50,49,101,45,48,55,32,51,46,52,50,51,53,56,101,45,48,
      55,32,50,46,57,55,56,57,52,101,45,48,55,10,32,32,50,46,53,57,50,49,57,101,45,
      48,55,32,50,46,50,53,53,55,55,101,45,48,55,32,49,46,57,54,51,49,50,101,45,48,
      55,32,49,46,55,48,56,51,53,101,45,48,55,32,49,46,52,56,54,55,101,45,48,55,32,
      49,46,50,57,51,56,55,101,45,48,55,32,49,46,49,50,54,49,49,101,45,48,55,10,32,
      32,57,46,56,48,49,52,56,101,45,48,56,32,56,46,53,51,49,52,54,101,45,48,56,32,
      55,46,52,50,54,51,53,101,45,48,56,32,54,46,52,54,52,54,57,101,45,48,56,32,53,
      46,54,50,55,56,50,101,45,48,56,32,52,46,56,57,57,53,49,101,45,48,56,32,51,46,
      55,49,51,57,50,101,45,48,56,10,32,32,50,46,56,49,53,54,52,101,45,48,56,32,50,
      46,49,51,53,48,51,101,45,48,56,32,49,46,54,49,57,49,57,101,45,48,56,32,49,46,
      50,50,56,49,55,101,45,48,56,32,57,46,51,49,55,49,57,101,45,48,57,32,55,46,48,
      54,57,50,52,101,45,48,57,32,53,46,51,54,52,52,101,45,48,57,10,32,32,52,46,48,
      55,49,50,54,101,45,48,57,32,51,46,48,57,48,50,53,101,45,48,57,32,50,46,51,52,
      53,57,50,101,45,48,57,32,49,46,55,56,49,48,57,101,45,48,57,32,49,46,51,53,50,
      52,50,101,45,48,57,32,49,46,48,50,55,48,52,101,45,48,57,32,55,46,56,48,48,50,
      52,101,45,49,48,10,32,32,53,46,57,50,52,56,54,101,45,49,48,32,52,46,53,48,48,
      56,55,101,45,49,48,32,51,46,52,49,57,52,56,101,45,49,48,32,50,46,53,57,56,49,
      55,101,45,49,48,32,49,46,57,55,52,51,51,101,45,49,48,32,49,46,53,48,48,52,50,
      101,45,49,48,32,49,46,49,52,48,51,55,101,45,49,48,10,32,32,56,46,54,54,55,57,
      54,101,45,49,49,32,54,46,53,56,57,49,49,101,45,49,49,32,53,46,48,48,57,50,55,
      101,45,49,49,32,51,46,56,48,56,53,53,101,45,49,49,32,50,46,56,57,53,56,56,101,
      45,49,49,32,50,46,50,48,50,49,101,45,49,49,32,49,46,54,55,52,55,49,101,45,49,
      49,10,32,32,50,46,52,56,50,55,101,45,49,49,32,57,46,57,53,53,52,52,101,45,49,
      49,32,50,46,50,52,49,57,101,45,49,48,32,50,46,52,56,50,57,49,101,45,49,48,32,
      57,46,57,53,56,53,54,101,45,49,48,32,50,46,50,52,51,52,53,101,45,48,57,32,51,
      46,57,56,57,57,49,101,45,48,57,10,32,32,54,46,50,51,55,48,54,101,45,48,57,32,
      56,46,57,57,50,48,57,101,45,48,57,32,49,46,50,50,53,48,51,101,45,48,56,32,49,
      46,54,48,50,50,51,101,45,48,56,32,50,46,48,51,48,54,56,101,45,48,56,32,50,46,
      53,49,48,55,54,101,45,48,56,32,51,46,48,52,51,49,55,101,45,48,56,10,32,32,51,
      46,54,50,56,52,49,101,45,48,56,32,52,46,50,54,54,55,54,101,45,48,56,32,52,46,
      57,53,56,56,53,101,45,48,56,32,53,46,55,48,53,49,57,101,45,48,56,32,54,46,53,
      48,54,50,55,101,45,48,56,32,55,46,51,54,50,56,53,101,45,48,56,32,56,46,50,55,
      53,52,49,101,45,48,56,10,32,32,57,46,50,52,51,54,49,101,45,48,56,32,49,46,48,
      50,54,56,54,101,45,48,55,32,49,46,49,51,53,49,52,101,45,48,55,32,49,46,50,52,
      57,50,53,101,45,48,55,32,49,46,51,54,57,48,55,101,45,48,55,32,49,46,52,57,52,
      54,51,101,45,48,55,32,49,46,54,50,54,49,54,101,45,48,55,10,32,32,49,46,55,54,
      51,54,53,101,45,48,55,32,49,46,57,48,55,49,52,101,45,48,55,32,50,46,48,53,54,
      49,51,101,45,48,55,32,50,46,50,49,49,49,53,101,45,48,55,32,50,46,51,55,50,50,
      50,101,45,48,55,32,50,46,53,51,57,52,49,101,45,48,55,32,50,46,55,49,50,50,50,
      101,45,48,55,10,32,32,50,46,56,57,48,55,51,101,45,48,55,32,51,46,48,55,53,50,
      56,101,45,48,55,32,51,46,50,54,53,57,53,101,45,48,55,32,51,46,52,54,50,55,53,
      101,45,48,55,32,51,46,54,54,52,52,56,101,45,48,55,32,51,46,56,55,50,50,57,101,
      45,48,55,32,52,46,48,56,54,50,52,101,45,48,55,10,32,32,52,46,51,48,54,51,51,
      101,45,48,55,32,52,46,53,51,49,55,54,101,45,48,55,32,52,46,55,54,50,55,101,
      45,48,55,32,52,46,57,57,57,55,56,101,45,48,55,32,53,46,50,52,50,57,53,101,45,
      48,55,32,53,46,52,57,50,50,49,101,45,48,55,32,53,46,55,52,54,52,101,45,48,55,
      10,32,32,54,46,48,48,54,54,54,101,45,48,55,32,54,46,50,55,51,49,50,101,45,48,
      55,32,54,46,53,52,53,55,101,45,48,55,32,54,46,56,50,51,57,55,101,45,48,55,32,
      55,46,49,48,55,57,54,101,45,48,55,32,55,46,51,57,56,49,51,101,45,48,55,32,55,
      46,54,57,52,53,101,45,48,55,10,32,32,55,46,57,57,55,48,57,101,45,48,55,32,56,
      46,51,48,53,53,57,101,45,48,55,32,56,46,54,50,48,51,101,45,48,55,32,56,46,57,
      52,49,51,50,101,45,48,55,32,57,46,50,54,56,54,101,45,48,55,32,57,46,54,48,50,
      52,54,101,45,48,55,32,57,46,57,52,50,56,55,101,45,48,55,10,32,32,49,46,48,50,
      56,57,54,101,45,48,54,32,49,46,48,54,52,50,56,101,45,48,54,32,49,46,49,48,48,
      50,53,101,45,48,54,32,49,46,49,51,54,57,56,101,45,48,54,32,49,46,49,55,52,51,
      55,101,45,48,54,32,49,46,50,49,50,52,49,101,45,48,54,32,49,46,50,53,49,49,101,
      45,48,54,10,32,32,49,46,50,57,48,53,56,101,45,48,54,32,49,46,51,51,48,56,101,
      45,48,54,32,49,46,51,55,49,55,49,101,45,48,54,32,49,46,52,49,51,50,57,101,45,
      48,54,32,49,46,52,53,53,53,55,101,45,48,54,32,49,46,52,57,56,55,52,101,45,48,
      54,32,49,46,53,52,50,54,49,101,45,48,54,10,32,32,49,46,53,56,55,49,57,101,45,
      48,54,32,49,46,54,51,50,52,54,101,45,48,54,32,49,46,54,55,56,53,53,101,45,48,
      54,32,49,46,55,50,53,52,51,101,45,48,54,32,49,46,55,55,51,48,52,101,45,48,54,
      32,49,46,56,50,49,52,101,45,48,54,32,49,46,56,55,48,52,54,101,45,48,54,10,32,
      32,49,46,57,50,48,50,50,101,45,48,54,32,49,46,57,55,48,55,57,101,45,48,54,32,
      50,46,48,50,50,48,57,101,45,48,54,32,50,46,48,55,52,48,56,101,45,48,54,32,50,
      46,49,50,54,53,54,101,45,48,54,32,50,46,49,55,57,54,55,101,45,48,54,32,50,46,
      50,51,51,54,51,101,45,48,54,10,32,32,50,46,50,56,56,50,56,101,45,48,54,32,50,
      46,51,52,51,53,51,101,45,48,54,32,50,46,51,57,56,54,51,101,45,48,54,32,50,46,
      52,53,52,52,50,101,45,48,54,32,50,46,53,49,48,57,101,45,48,54,32,50,46,53,54,
      56,48,54,101,45,48,54,32,50,46,54,50,52,56,53,101,45,48,54,10,32,32,50,46,54,
      56,49,54,55,101,45,48,54,32,50,46,55,51,57,49,54,101,45,48,54,32,50,46,55,57,
      55,51,50,101,45,48,54,32,50,46,56,53,53,56,50,101,45,48,54,32,50,46,57,49,50,
      55,54,101,45,48,54,32,50,46,57,55,48,51,55,101,45,48,54,32,51,46,48,50,56,54,
      53,101,45,48,54,10,32,32,51,46,48,56,55,53,57,101,45,48,54,32,51,46,49,52,53,
      48,52,101,45,48,54,32,51,46,50,48,49,57,53,101,45,48,54,32,51,46,50,53,57,53,
      54,101,45,48,54,32,51,46,51,49,55,56,55,101,45,48,54,32,51,46,51,55,54,50,55,
      101,45,48,54,32,51,46,52,51,49,57,49,101,45,48,54,10,32,32,51,46,52,56,56,51,
      51,101,45,48,54,32,51,46,53,52,53,53,51,101,45,48,54,32,51,46,54,48,51,56,51,
      101,45,48,54,32,51,46,54,54,48,49,52,101,45,48,54,32,51,46,55,49,53,56,101,
      45,48,54,32,51,46,55,55,50,53,51,101,45,48,54,32,51,46,56,51,48,50,101,45,48,
      54,10,32,32,51,46,56,56,56,48,57,101,45,48,54,32,51,46,57,52,51,54,50,101,45,
      48,54,32,52,46,48,48,48,50,57,101,45,48,54,32,52,46,48,53,55,57,57,101,45,48,
      54,32,52,46,49,49,54,55,50,101,45,48,54,32,52,46,49,55,52,48,56,101,45,48,54,
      32,52,46,50,51,49,52,101,45,48,54,10,32,32,52,46,50,56,57,56,55,101,45,48,54,
      32,52,46,51,52,57,51,57,101,45,48,54,32,52,46,52,48,57,52,53,101,45,48,54,32,
      52,46,52,54,56,49,53,101,45,48,54,32,52,46,53,50,56,101,45,48,54,32,52,46,53,
      56,56,57,57,101,45,48,54,32,52,46,54,53,48,57,50,101,45,48,54,10,32,32,52,46,
      55,49,50,52,50,101,45,48,54,32,52,46,55,55,52,50,52,101,45,48,54,32,52,46,56,
      51,55,49,55,101,45,48,54,32,52,46,57,48,49,48,54,101,45,48,54,32,52,46,57,54,
      53,54,51,101,45,48,54,32,53,46,48,50,57,56,56,101,45,48,54,32,53,46,48,57,53,
      49,49,101,45,48,54,10,32,32,53,46,49,54,49,51,50,101,45,48,54,32,53,46,50,50,
      56,52,50,101,45,48,54,32,53,46,50,57,53,55,50,101,45,48,54,32,53,46,51,54,51,
      54,53,101,45,48,54,32,53,46,52,51,50,52,50,101,45,48,54,32,53,46,53,48,50,48,
      53,101,45,48,54,32,53,46,53,55,50,52,49,101,45,48,54,10,32,32,53,46,54,52,51,
      50,53,101,45,48,54,32,53,46,55,49,52,56,52,101,45,48,54,32,53,46,55,56,55,50,
      49,101,45,48,54,32,53,46,56,54,48,51,51,101,45,48,54,32,53,46,57,51,52,50,54,
      101,45,48,54,32,54,46,48,48,56,57,50,101,45,48,54,32,54,46,48,56,52,50,52,101,
      45,48,54,10,32,32,54,46,49,54,48,50,54,101,45,48,54,32,54,46,50,51,55,48,56,
      101,45,48,54,32,54,46,51,49,52,57,52,101,45,48,54,32,54,46,51,57,51,52,54,101,
      45,48,54,32,54,46,52,57,56,57,56,101,45,48,54,32,54,46,55,53,48,52,49,101,45,
      48,54,32,55,46,49,51,50,55,56,101,45,48,54,10,32,32,55,46,55,56,53,53,51,101,
      45,48,54,32,56,46,52,54,50,56,56,101,45,48,54,32,57,46,49,54,55,54,54,101,45,
      48,54,32,57,46,57,48,55,48,57,101,45,48,54,32,49,46,48,54,56,50,52,101,45,48,
      53,32,49,46,49,52,57,51,57,101,45,48,53,32,49,46,50,51,51,52,101,45,48,53,10,
      32,32,49,46,51,49,57,51,101,45,48,53,32,49,46,52,48,53,55,51,101,45,48,53,32,
      49,46,52,57,50,53,49,101,45,48,53,32,49,46,53,55,57,56,55,101,45,48,53,32,49,
      46,54,56,54,55,51,101,45,48,53,32,49,46,55,57,57,48,52,101,45,48,53,32,49,46,
      57,54,51,53,57,101,45,48,53,10,32,32,50,46,49,53,55,50,50,101,45,48,53,32,50,
      46,51,57,52,51,57,101,45,48,53,32,50,46,55,56,48,49,52,101,45,48,53,32,51,46,
      50,57,56,57,54,101,45,48,53,32,51,46,57,54,49,55,55,101,45,48,53,32,52,46,56,
      52,48,49,53,101,45,48,53,32,53,46,53,55,50,101,45,48,53,10,32,32,54,46,48,56,
      52,56,53,101,45,48,53,32,54,46,50,56,53,48,56,101,45,48,53,32,54,46,52,51,56,
      53,101,45,48,53,32,54,46,54,55,55,56,52,101,45,48,53,32,55,46,48,53,49,52,51,
      101,45,48,53,32,55,46,54,49,48,51,51,101,45,48,53,32,56,46,52,51,57,50,55,101,
      45,48,53,10,32,32,57,46,54,56,56,57,56,101,45,48,53,32,46,48,48,48,49,49,56,
      49,56,53,32,46,48,48,48,49,53,48,48,50,49,32,46,48,48,48,50,48,49,49,56,49,
      32,46,48,48,48,50,55,49,51,57,32,46,48,48,48,50,57,55,57,50,52,32,46,48,48,
      48,50,56,57,51,48,56,32,46,48,48,48,50,55,52,53,49,50,10,32,32,46,48,48,48,
      50,54,54,52,56,53,32,46,48,48,48,50,54,57,55,57,56,32,46,48,48,48,50,56,51,
      51,57,56,32,46,48,48,48,51,48,56,55,56,32,46,48,48,48,51,52,52,53,51,51,32,
      46,48,48,48,51,57,53,50,55,54,32,46,48,48,48,52,55,51,55,53,53,32,46,48,48,
      48,54,48,51,51,48,49,10,32,32,46,48,48,48,55,52,56,49,54,50,32,46,48,48,48,
      57,50,48,55,54,51,32,46,48,48,49,49,48,52,54,52,32,46,48,48,49,51,54,55,55,
      50,32,46,48,48,49,56,52,57,53,54,32,46,48,48,50,51,54,52,54,50,32,46,48,48,
      50,55,56,48,53,49,32,46,48,48,51,48,54,48,49,56,10,32,32,46,48,48,51,52,53,
      56,54,54,32,46,48,48,51,57,50,51,48,55,32,46,48,48,52,51,51,57,51,55,32,46,
      48,48,52,53,56,53,49,55,32,46,48,48,52,55,54,51,49,32,46,48,48,53,48,52,52,
      56,52,32,46,48,48,53,54,49,53,49,52,32,46,48,48,54,51,57,50,57,53,32,46,48,
      48,55,48,55,55,51,49,10,32,32,46,48,48,56,52,54,51,54,49,32,46,48,48,57,56,
      50,53,48,50,32,46,48,49,49,49,51,57,55,32,46,48,49,50,52,52,50,53,32,46,48,
      49,51,51,55,55,54,32,46,48,49,52,50,49,54,53,32,46,48,49,52,57,55,50,50,32,
      46,48,49,53,54,55,56,55,32,46,48,49,54,51,53,50,51,10,32,32,46,48,49,55,49,
      48,48,56,32,46,48,49,55,54,52,56,32,46,48,49,56,49,57,53,32,46,48,49,57,48,
      55,51,56,32,46,48,49,57,53,56,50,55,32,46,48,50,48,50,54,55,57,32,46,48,50,
      48,55,53,52,32,46,48,50,48,57,48,54,55,32,46,48,50,48,57,54,49,53,32,46,48,
      50,48,56,56,54,56,10,32,32,46,48,50,48,54,54,50,54,32,46,48,50,48,53,49,54,
      50,32,46,48,50,48,51,56,48,49,32,46,48,50,48,51,56,50,51,32,46,48,50,48,53,
      55,56,55,32,46,48,50,50,48,55,48,52,32,46,48,50,50,48,56,54,49,32,46,48,50,
      50,48,55,54,55,32,46,48,50,50,48,51,52,55,10,32,32,46,48,50,49,57,53,52,32,
      46,48,50,49,56,54,49,57,32,46,48,50,49,55,52,57,49,32,46,48,50,49,54,50,54,
      51,32,46,48,50,49,52,57,48,52,32,46,48,50,49,51,50,52,32,46,48,50,49,49,54,
      51,54,32,46,48,50,48,57,55,52,51,32,46,48,50,48,56,50,55,52,32,46,48,50,48,
      53,55,53,53,10,32,32,46,48,50,48,52,49,52,51,32,46,48,50,48,50,48,55,52,32,
      46,48,49,57,55,48,49,55,32,46,48,49,56,57,54,51,54,32,46,48,49,56,50,49,51,
      51,32,46,48,49,55,50,53,51,55,32,46,48,49,54,50,56,57,32,46,48,49,53,49,52,
      55,32,46,48,49,52,50,50,48,51,32,46,48,49,50,55,55,54,51,10,32,32,46,48,49,
      49,48,49,51,51,32,46,48,49,48,50,51,50,57,32,46,48,48,57,52,49,56,51,56,32,
      46,48,48,56,52,50,49,56,52,32,46,48,48,55,54,51,48,51,55,32,46,48,48,54,57,
      48,57,49,53,32,46,48,48,54,49,54,52,49,54,32,46,48,48,53,52,57,54,54,51,32,
      46,48,48,52,57,55,48,54,54,10,32,32,46,48,48,52,52,57,52,49,51,32,46,48,48,
      52,48,54,50,54,52,32,46,48,48,51,54,49,56,57,49,32,46,48,48,51,49,55,54,56,
      55,32,46,48,48,50,55,52,56,53,54,32,46,48,48,50,52,49,50,54,52,32,46,48,48,
      50,48,56,55,51,54,32,46,48,48,49,56,51,50,50,55,10,32,32,46,48,48,49,54,48,
      56,51,53,32,46,48,48,49,51,57,49,54,51,32,46,48,48,49,49,57,49,56,32,46,48,
      48,49,48,53,55,52,51,32,46,48,48,48,57,50,48,56,55,57,32,46,48,48,48,56,49,
      53,53,55,50,32,46,48,48,48,55,49,54,51,55,57,32,46,48,48,48,54,50,57,50,49,
      57,10,32,32,46,48,48,48,53,53,50,54,56,54,32,46,48,48,48,52,56,53,53,50,54,
      32,46,48,48,48,52,50,54,53,56,49,32,46,48,48,48,51,55,52,56,52,50,32,46,48,
      48,48,51,50,57,52,50,49,32,46,48,48,48,50,56,57,53,52,32,46,48,48,48,50,53,
      52,53,49,56,32,46,48,48,48,50,50,51,55,54,10,32,32,46,48,48,48,49,57,54,55,
      52,32,46,48,48,48,49,55,51,48,48,55,32,46,48,48,48,49,53,50,49,53,53,32,46,
      48,48,48,49,51,51,56,50,52,32,46,48,48,48,49,49,55,55,48,52,32,46,48,48,48,
      49,48,51,53,52,49,32,57,46,49,48,56,57,54,101,45,48,53,32,56,46,48,49,52,49,
      55,101,45,48,53,10,32,32,55,46,48,53,49,57,54,101,45,48,53,32,54,46,50,48,53,
      57,49,101,45,48,53,32,53,46,52,54,49,57,50,101,45,48,53,32,52,46,56,48,55,53,
      55,101,45,48,53,32,52,46,50,51,50,48,50,101,45,48,53,32,51,46,55,50,53,56,57,
      101,45,48,53,32,51,46,50,56,48,52,54,101,45,48,53,10,32,32,50,46,56,56,56,53,
      51,101,45,48,53,32,50,46,53,52,51,54,53,101,45,48,53,32,50,46,50,52,48,49,53,
      101,45,48,53,32,49,46,57,55,51,48,50,101,45,48,53,32,49,46,55,51,55,56,57,101,
      45,48,53,32,49,46,53,51,48,56,49,101,45,48,53,32,49,46,51,52,56,53,57,101,45,
      48,53,10,32,32,49,46,50,50,50,48,54,101,45,48,53,32,49,46,49,48,55,52,54,101,
      45,48,53,32,49,46,48,48,51,53,52,101,45,48,53,32,57,46,48,57,51,51,49,101,45,
      48,54,32,56,46,50,52,48,54,56,101,45,48,54,32,55,46,51,55,51,56,57,101,45,48,
      54,32,54,46,52,48,54,54,50,101,45,48,54,10,32,32,53,46,53,54,54,55,50,101,45,
      48,54,32,52,46,56,51,55,51,52,101,45,48,54,32,52,46,50,48,51,56,55,101,45,48,
      54,32,51,46,54,53,51,54,53,101,45,48,54,32,51,46,49,55,53,55,101,45,48,54,32,
      50,46,55,54,48,52,56,101,45,48,54,32,50,46,51,57,57,55,52,101,45,48,54,10,32,
      32,50,46,48,56,54,51,101,45,48,54,32,49,46,56,49,51,57,51,101,45,48,54,32,49,
      46,53,55,55,50,50,101,45,48,54,32,49,46,51,55,49,53,101,45,48,54,32,49,46,49,
      57,50,54,57,101,45,48,54,32,49,46,48,51,55,50,54,101,45,48,54,32,57,46,48,50,
      49,52,53,101,45,48,55,10,32,32,55,46,56,52,54,56,49,101,45,48,55,32,54,46,56,
      50,53,53,52,101,45,48,55,32,53,46,57,51,55,53,54,101,45,48,55,32,53,46,49,54,
      53,52,49,101,45,48,55,32,52,46,52,57,51,57,53,101,45,48,55,32,51,46,57,48,57,
      52,49,101,45,48,55,32,51,46,52,48,50,49,50,101,45,48,55,10,32,32,50,46,57,54,
      48,51,54,101,45,48,55,32,50,46,53,55,54,49,101,45,48,55,32,50,46,50,52,49,56,
      52,101,45,48,55,32,49,46,57,53,49,48,53,101,45,48,55,32,49,46,54,57,56,48,54,
      101,45,48,55,32,49,46,52,55,55,57,54,101,45,48,55,32,49,46,50,56,54,52,53,101,
      45,48,55,10,32,32,49,46,49,49,57,56,49,101,45,48,55,32,57,46,55,52,56,48,54,
      101,45,48,56,32,56,46,52,56,53,51,50,101,45,48,56,32,55,46,51,56,54,51,57,101,
      45,48,56,32,54,46,52,51,48,48,56,101,45,48,56,32,53,46,53,57,55,56,51,101,45,
      48,56,32,52,46,56,55,51,53,50,101,45,48,56,10,32,32,51,46,54,57,52,52,49,101,
      45,48,56,32,50,46,56,48,48,57,55,101,45,48,56,32,50,46,49,50,51,57,57,101,45,
      48,56,32,49,46,54,49,48,56,57,101,45,48,56,32,49,46,50,50,49,57,51,101,45,48,
      56,32,57,46,50,55,48,49,54,101,45,48,57,32,55,46,48,51,51,56,53,101,45,48,57,
      10,32,32,53,46,51,51,55,55,54,101,45,48,57,32,52,46,48,53,49,49,57,101,45,48,
      57,32,51,46,48,55,53,49,49,101,45,48,57,32,50,46,51,51,52,53,49,101,45,48,57,
      32,49,46,55,55,50,52,56,101,45,48,57,32,49,46,51,52,53,57,50,101,45,48,57,32,
      49,46,48,50,50,49,51,101,45,48,57,10,32,32,55,46,55,54,51,50,55,101,45,49,48,
      32,53,46,56,57,54,57,55,101,45,49,48,32,52,46,52,55,57,56,49,101,45,49,48,32,
      51,46,52,48,51,53,55,101,45,49,48,32,50,46,53,56,54,49,52,101,45,49,48,32,49,
      46,57,54,53,50,50,101,45,49,48,32,49,46,52,57,51,53,50,101,45,49,48,10,32,32,
      49,46,49,51,53,49,52,101,45,49,48,32,56,46,54,50,56,52,50,101,45,49,49,32,54,
      46,53,53,57,50,101,45,49,49,32,52,46,57,56,54,54,52,101,45,49,49,32,51,46,55,
      57,49,52,51,101,45,49,49,32,50,46,56,56,50,57,50,101,45,49,49,32,50,46,49,57,
      50,50,57,101,45,49,49,10,32,32,49,46,54,54,55,50,55,101,45,49,49,32,49,46,56,
      50,50,57,56,101,45,49,49,32,55,46,51,49,48,49,49,101,45,49,49,32,49,46,54,52,
      54,50,51,101,45,49,48,32,49,46,56,50,51,50,101,45,49,48,32,55,46,51,49,51,53,
      53,101,45,49,48,32,49,46,54,52,55,57,49,101,45,48,57,10,32,32,50,46,57,51,49,
      52,57,101,45,48,57,32,52,46,53,56,51,57,50,101,45,48,57,32,54,46,54,49,49,48,
      56,101,45,48,57,32,57,46,48,49,48,49,54,101,45,48,57,32,49,46,49,55,56,57,55,
      101,45,48,56,32,49,46,52,57,52,57,55,101,45,48,56,32,49,46,56,52,57,51,51,101,
      45,48,56,10,32,32,50,46,50,52,50,54,57,101,45,48,56,32,50,46,54,55,53,52,57,
      101,45,48,56,32,51,46,49,52,56,48,52,101,45,48,56,32,51,46,54,54,48,56,54,101,
      45,48,56,32,52,46,50,49,52,52,49,101,45,48,56,32,52,46,56,48,57,49,53,101,45,
      48,56,32,53,46,52,52,53,55,53,101,45,48,56,10,32,32,54,46,49,50,52,54,51,101,
      45,48,56,32,54,46,56,52,53,52,51,101,45,48,56,32,55,46,54,48,57,50,51,101,45,
      48,56,32,56,46,52,49,54,56,51,101,45,48,56,32,57,46,50,54,56,54,57,101,45,48,
      56,32,49,46,48,49,54,51,56,101,45,48,55,32,49,46,49,49,48,50,51,101,45,48,55,
      10,32,32,49,46,50,48,56,54,50,101,45,48,55,32,49,46,51,49,49,53,53,101,45,48,
      55,32,49,46,52,49,57,48,52,101,45,48,55,32,49,46,53,51,48,54,54,101,45,48,55,
      32,49,46,54,52,54,56,54,101,45,48,55,32,49,46,55,54,55,54,56,101,45,48,55,32,
      49,46,56,57,51,49,54,101,45,48,55,10,32,32,50,46,48,50,50,56,55,101,45,48,55,
      32,50,46,49,53,54,56,54,101,45,48,55,32,50,46,50,57,53,52,53,101,45,48,55,32,
      50,46,52,51,56,55,49,101,45,48,55,32,50,46,53,56,54,54,51,101,45,48,55,32,50,
      46,55,51,56,49,56,101,45,48,55,32,50,46,56,57,52,51,53,101,45,48,55,10,32,32,
      51,46,48,53,53,50,101,45,48,55,32,51,46,50,50,48,55,50,101,45,48,55,32,51,46,
      51,57,48,50,51,101,45,48,55,32,51,46,53,54,51,56,54,101,45,48,55,32,51,46,55,
      52,50,49,54,101,45,48,55,32,51,46,57,50,53,49,49,101,45,48,55,32,52,46,49,49,
      50,54,56,101,45,48,55,10,32,32,52,46,51,48,51,56,56,101,45,48,55,32,52,46,52,
      57,57,55,49,101,45,48,55,32,52,46,55,48,48,50,52,101,45,48,55,32,52,46,57,48,
      53,52,53,101,45,48,55,32,53,46,49,49,52,57,51,101,45,48,55,32,53,46,51,50,56,
      55,51,101,45,48,55,32,53,46,53,52,55,50,51,101,45,48,55,10,32,32,53,46,55,55,
      48,52,54,101,45,48,55,32,53,46,57,57,56,52,51,101,45,48,55,32,54,46,50,51,48,
      56,55,101,45,48,55,32,54,46,52,54,56,48,53,101,45,48,55,32,54,46,55,49,48,48,
      52,101,45,48,55,32,54,46,57,53,54,56,101,45,48,55,32,55,46,50,48,56,54,49,101,
      45,48,55,10,32,32,55,46,52,54,53,52,52,101,45,48,55,32,55,46,55,50,55,49,51,
      101,45,48,55,32,55,46,57,57,51,55,49,101,45,48,55,32,56,46,50,54,53,50,54,101,
      45,48,55,32,56,46,53,52,50,55,56,101,45,48,55,32,56,46,56,50,53,50,54,101,45,
      48,55,32,57,46,49,49,50,55,56,101,45,48,55,10,32,32,57,46,52,48,53,51,52,101,
      45,48,55,32,57,46,55,48,51,57,52,101,45,48,55,32,49,46,48,48,48,56,52,101,45,
      48,54,32,49,46,48,51,49,56,101,45,48,54,32,49,46,48,54,51,50,56,101,45,48,54,
      32,49,46,48,57,53,51,49,101,45,48,54,32,49,46,49,50,56,48,51,101,45,48,54,10,
      32,32,49,46,49,54,49,50,57,101,45,48,54,32,49,46,49,57,53,48,57,101,45,48,54,
      32,49,46,50,50,57,52,51,101,45,48,54,32,49,46,50,54,52,52,49,101,45,48,54,32,
      49,46,51,101,45,48,54,32,49,46,51,51,54,49,53,101,45,48,54,32,49,46,51,55,50,
      56,56,101,45,48,54,10,32,32,49,46,52,49,48,49,54,101,45,48,54,32,49,46,52,52,
      55,57,55,101,45,48,54,32,49,46,52,56,54,52,101,45,48,54,32,49,46,53,50,53,52,
      101,45,48,54,32,49,46,53,54,52,57,51,101,45,48,54,32,49,46,54,48,52,56,51,101,
      45,48,54,32,49,46,54,52,53,50,101,45,48,54,10,32,32,49,46,54,56,54,50,51,101,
      45,48,54,32,49,46,55,50,55,55,57,101,45,48,54,32,49,46,55,54,57,56,101,45,48,
      54,32,49,46,56,49,49,54,52,101,45,48,54,32,49,46,56,53,52,48,50,101,45,48,54,
      32,49,46,56,57,54,57,49,101,45,48,54,32,49,46,57,52,48,51,52,101,45,48,54,10,
      32,32,49,46,57,56,51,52,49,101,45,48,54,32,50,46,48,50,54,52,52,101,45,48,54,
      32,50,46,48,55,101,45,48,54,32,50,46,49,49,52,48,55,101,45,48,54,32,50,46,49,
      53,56,51,55,101,45,48,54,32,50,46,50,48,49,51,50,101,45,48,54,32,50,46,50,52,
      52,55,56,101,45,48,54,10,32,32,50,46,50,56,56,55,53,101,45,48,54,32,50,46,51,
      51,51,50,51,101,45,48,54,32,50,46,51,55,54,52,49,101,45,48,54,32,50,46,52,49,
      57,48,57,101,45,48,54,32,50,46,52,54,50,51,49,101,45,48,54,32,50,46,53,48,54,
      48,54,101,45,48,54,32,50,46,53,52,57,56,53,101,45,48,54,10,32,32,50,46,53,57,
      49,50,55,101,45,48,54,32,50,46,54,51,51,50,57,101,45,48,54,32,50,46,54,55,53,
      57,51,101,45,48,54,32,50,46,55,49,57,52,49,101,45,48,54,32,50,46,55,54,49,49,
      55,101,45,48,54,32,50,46,56,48,50,51,52,101,45,48,54,32,50,46,56,52,52,51,52,
      101,45,48,54,10,32,32,50,46,56,56,55,48,57,101,45,48,54,32,50,46,57,50,57,57,
      54,101,45,48,54,32,50,46,57,55,48,55,56,101,45,48,54,32,51,46,48,49,50,52,57,
      101,45,48,54,32,51,46,48,53,53,48,51,101,45,48,54,32,51,46,48,57,56,51,54,101,
      45,48,54,32,51,46,49,52,48,52,56,101,45,48,54,10,32,32,51,46,49,56,50,52,57,
      101,45,48,54,32,51,46,50,50,53,52,49,101,45,48,54,32,51,46,50,54,57,49,55,101,
      45,48,54,32,51,46,51,49,51,51,50,101,45,48,54,32,51,46,51,53,54,50,52,101,45,
      48,54,32,51,46,52,48,48,48,56,101,45,48,54,32,51,46,52,52,52,56,49,101,45,48,
      54,10,32,32,51,46,52,57,48,51,101,45,48,54,32,51,46,53,51,53,51,51,101,45,48,
      54,32,51,46,53,56,48,53,56,101,45,48,54,32,51,46,54,50,54,55,101,45,48,54,32,
      51,46,54,55,51,53,57,101,45,48,54,32,51,46,55,50,48,57,56,101,45,48,54,32,51,
      46,55,54,56,48,51,101,45,48,54,10,32,32,51,46,56,49,53,56,54,101,45,48,54,32,
      51,46,56,54,52,52,54,101,45,48,54,32,51,46,57,49,51,55,54,101,45,48,54,32,51,
      46,57,54,51,49,55,101,45,48,54,32,52,46,48,49,51,48,53,101,45,48,54,32,52,46,
      48,54,51,53,57,101,45,48,54,32,52,46,49,49,52,55,57,101,45,48,54,10,32,32,52,
      46,49,54,54,53,55,101,45,48,54,32,52,46,50,49,56,54,57,101,45,48,54,32,52,46,
      50,55,49,52,101,45,48,54,32,52,46,51,50,52,55,49,101,45,48,54,32,52,46,51,55,
      56,54,49,101,45,48,54,32,52,46,52,51,51,49,52,101,45,48,54,32,52,46,52,56,56,
      50,51,101,45,48,54,10,32,32,52,46,53,52,51,56,52,101,45,48,54,32,52,46,53,57,
      57,57,57,101,45,48,54,32,52,46,54,53,54,55,54,101,45,48,54,32,52,46,55,49,52,
      51,55,101,45,48,54,32,52,46,55,55,50,53,101,45,48,54,32,52,46,56,53,48,54,51,
      101,45,48,54,32,53,46,48,51,55,49,53,101,45,48,54,10,32,32,53,46,51,50,49,53,
      50,101,45,48,54,32,53,46,56,48,57,48,57,101,45,48,54,32,54,46,51,49,56,50,56,
      101,45,48,54,32,54,46,56,53,49,52,49,101,45,48,54,32,55,46,52,49,52,52,51,101,
      45,48,54,32,56,46,48,48,56,48,51,101,45,48,54,32,56,46,54,51,50,48,49,101,45,
      48,54,10,32,32,57,46,50,55,57,53,49,101,45,48,54,32,57,46,57,52,50,50,50,101,
      45,48,54,32,49,46,48,54,48,56,56,101,45,48,53,32,49,46,49,50,55,55,54,101,45,
      48,53,32,49,46,49,57,53,48,57,101,45,48,53,32,49,46,50,55,55,53,51,101,45,48,
      53,32,49,46,51,54,52,52,54,101,45,48,53,10,32,32,49,46,52,57,50,53,50,101,45,
      48,53,32,49,46,54,52,52,52,49,101,45,48,53,32,49,46,56,51,49,56,54,101,45,48,
      53,32,50,46,49,51,57,50,49,101,45,48,53,32,50,46,53,53,54,53,51,101,45,48,53,
      32,51,46,48,57,53,52,101,45,48,53,32,51,46,56,49,54,54,55,101,45,48,53,10,32,
      32,52,46,52,49,55,49,55,101,45,48,53,32,52,46,56,50,55,50,57,101,45,48,53,32,
      52,46,57,55,51,49,57,101,45,48,53,32,53,46,48,55,57,57,53,101,45,48,53,32,53,
      46,50,53,54,52,54,101,45,48,53,32,53,46,53,52,51,53,51,101,45,48,53,32,53,46,
      57,56,51,56,49,101,45,48,53,10,32,32,54,46,54,52,56,55,56,101,45,48,53,32,55,
      46,54,54,54,48,56,101,45,48,53,32,57,46,52,50,51,48,55,101,45,48,53,32,46,48,
      48,48,49,50,48,55,54,54,32,46,48,48,48,49,54,51,54,49,53,32,46,48,48,48,50,
      50,50,52,48,49,32,46,48,48,48,50,52,52,49,55,51,10,32,32,46,48,48,48,50,51,
      54,51,54,32,46,48,48,48,50,50,51,49,55,53,32,46,48,48,48,50,49,53,53,52,55,
      32,46,48,48,48,50,49,55,52,54,51,32,46,48,48,48,50,50,56,48,51,51,32,46,48,
      48,48,50,52,56,53,48,55,32,46,48,48,48,50,55,55,56,49,50,32,46,48,48,48,51,
      49,57,55,54,10,32,32,46,48,48,48,51,56,52,57,55,54,32,46,48,48,48,52,57,50,
      57,54,54,32,46,48,48,48,54,49,51,57,49,53,32,46,48,48,48,55,53,56,52,49,50,
      32,46,48,48,48,57,49,50,57,53,51,32,46,48,48,49,49,51,53,49,56,32,46,48,48,
      49,53,52,53,52,54,32,46,48,48,49,57,56,55,56,52,10,32,32,46,48,48,50,51,52,
      54,49,55,32,46,48,48,50,53,56,54,53,50,32,46,48,48,50,57,50,57,50,49,32,46,
      48,48,51,51,51,49,49,56,32,46,48,48,51,54,57,48,51,56,32,46,48,48,51,56,57,
      55,56,51,32,46,48,48,52,48,52,52,52,52,32,46,48,48,52,50,56,51,54,54,10,32,
      32,46,48,48,52,55,55,57,53,32,46,48,48,53,52,54,53,51,49,32,46,48,48,54,48,
      55,53,48,57,32,46,48,48,55,51,50,53,52,55,32,46,48,48,56,53,55,52,53,50,32,
      46,48,48,57,56,48,54,54,54,32,46,48,49,49,48,53,54,49,32,46,48,49,49,57,54,
      51,52,32,46,48,49,50,55,53,57,50,10,32,32,46,48,49,51,52,53,54,49,32,46,48,
      49,52,49,48,48,55,32,46,48,49,52,55,49,52,57,32,46,48,49,53,51,57,56,52,32,
      46,48,49,53,56,57,56,57,32,46,48,49,54,52,48,51,51,32,46,48,49,55,50,51,49,
      49,32,46,48,49,55,55,50,54,50,32,46,48,49,56,52,50,53,54,10,32,32,46,48,49,
      56,57,55,49,54,32,46,48,49,57,49,55,54,53,32,46,48,49,57,50,57,49,51,32,46,
      48,49,57,51,49,54,55,32,46,48,49,57,50,48,49,51,32,46,48,49,57,49,48,55,56,
      32,46,48,49,57,48,51,53,54,32,46,48,49,57,48,54,50,49,32,46,48,49,57,50,55,
      50,52,10,32,32,46,48,50,48,54,49,48,55,32,46,48,50,48,54,55,49,56,32,46,48,
      50,48,54,56,49,52,32,46,48,50,48,54,55,53,55,32,46,48,50,48,54,51,53,53,32,
      46,48,50,48,53,55,55,50,32,46,48,50,48,52,57,55,56,32,46,48,50,48,52,48,54,
      51,32,46,48,50,48,51,48,49,50,10,32,32,46,48,50,48,49,54,56,52,32,46,48,50,
      48,48,51,55,53,32,46,48,49,57,56,56,32,46,48,49,57,55,53,54,49,32,46,48,49,
      57,53,52,48,57,32,46,48,49,57,52,48,49,55,32,46,48,49,57,50,50,49,55,32,46,
      48,49,56,55,55,54,54,32,46,48,49,56,49,49,55,52,32,46,48,49,55,52,51,55,54,
      10,32,32,46,48,49,54,53,53,57,49,32,46,48,49,53,54,54,55,57,32,46,48,49,52,
      54,48,51,55,32,46,48,49,51,55,51,52,32,46,48,49,50,51,54,57,55,32,46,48,49,
      48,54,56,56,51,32,46,48,48,57,57,52,49,57,56,32,46,48,48,57,49,54,48,54,50,
      32,46,48,48,56,50,48,50,57,57,10,32,32,46,48,48,55,52,51,57,57,52,32,46,48,
      48,54,55,52,51,48,56,32,46,48,48,54,48,50,50,49,32,46,48,48,53,51,55,52,57,
      54,32,46,48,48,52,56,54,52,49,51,32,46,48,48,52,52,48,48,54,53,32,46,48,48,
      51,57,56,48,52,57,32,46,48,48,51,53,52,56,53,55,32,46,48,48,51,49,49,55,53,
      50,10,32,32,46,48,48,50,54,57,56,57,57,32,46,48,48,50,51,55,48,52,49,32,46,
      48,48,50,48,53,49,57,56,32,46,48,48,49,56,48,50,49,54,32,46,48,48,49,53,56,
      50,56,32,46,48,48,49,51,55,48,49,52,32,46,48,48,49,49,55,51,57,49,32,46,48,
      48,49,48,52,49,56,56,32,46,48,48,48,57,48,55,54,52,51,10,32,32,46,48,48,48,
      56,48,52,48,55,52,32,46,48,48,48,55,48,54,52,56,54,32,46,48,48,48,54,50,48,
      56,49,57,32,46,48,48,48,53,52,53,53,57,32,46,48,48,48,52,55,57,52,50,53,32,
      46,48,48,48,52,50,49,51,49,53,32,46,48,48,48,51,55,48,50,57,51,32,46,48,48,
      48,51,50,53,52,57,10,32,32,46,48,48,48,50,56,54,49,52,32,46,48,48,48,50,53,
      49,53,55,55,32,46,48,48,48,50,50,49,50,49,52,32,46,48,48,48,49,57,52,53,51,
      52,32,46,48,48,48,49,55,49,48,57,51,32,46,48,48,48,49,53,48,52,57,52,32,46,
      48,48,48,49,51,50,51,56,57,32,46,48,48,48,49,49,54,52,55,53,10,32,32,46,48,
      48,48,49,48,50,52,56,56,32,57,46,48,49,55,54,50,101,45,48,53,32,55,46,57,51,
      52,56,51,101,45,48,53,32,54,46,57,56,50,57,51,101,45,48,53,32,54,46,49,52,53,
      56,101,45,48,53,32,53,46,52,48,57,53,55,101,45,48,53,32,52,46,55,54,49,57,56,
      101,45,48,53,10,32,32,52,46,49,57,50,51,49,101,45,48,53,32,51,46,54,57,49,51,
      49,101,45,48,53,32,51,46,50,53,48,51,51,101,45,48,53,32,50,46,56,54,50,50,55,
      101,45,48,53,32,50,46,53,50,48,55,53,101,45,48,53,32,50,46,50,50,48,49,54,101,
      45,48,53,32,49,46,57,53,53,53,55,101,45,48,53,10,32,32,49,46,55,50,50,54,54,
      101,45,48,53,32,49,46,53,49,55,53,49,101,45,48,53,32,49,46,51,51,54,57,55,101,
      45,48,53,32,49,46,50,49,49,54,101,45,48,53,32,49,46,48,57,56,48,51,101,45,48,
      53,32,57,46,57,53,49,53,50,101,45,48,54,32,57,46,48,49,57,53,49,101,45,48,54,
      10,32,32,56,46,49,55,53,55,51,101,45,48,54,32,55,46,51,49,55,55,53,101,45,48,
      54,32,54,46,51,53,57,52,53,101,45,48,54,32,53,46,53,50,54,49,101,45,48,54,32,
      52,46,56,48,50,51,53,101,45,48,54,32,52,46,49,55,51,55,51,101,45,48,54,32,51,
      46,54,50,55,54,56,101,45,48,54,10,32,32,51,46,49,53,51,51,101,45,48,54,32,50,
      46,55,52,49,49,55,101,45,48,54,32,50,46,51,56,51,48,56,101,45,48,54,32,50,46,
      48,55,49,57,49,101,45,48,54,32,49,46,56,48,49,53,101,45,48,54,32,49,46,53,54,
      54,52,57,101,45,48,54,32,49,46,51,54,50,50,51,101,45,48,54,10,32,32,49,46,49,
      56,52,54,57,101,45,48,54,32,49,46,48,51,48,51,53,101,45,48,54,32,56,46,57,54,
      49,55,56,101,45,48,55,32,55,46,55,57,53,50,55,101,45,48,55,32,54,46,55,56,49,
      48,49,101,45,48,55,32,53,46,56,57,57,48,55,101,45,48,55,32,53,46,49,51,50,49,
      49,101,45,48,55,10,32,32,52,46,52,54,53,49,52,101,45,48,55,32,51,46,56,56,52,
      52,56,101,45,48,55,32,51,46,51,56,48,53,51,101,45,48,55,32,50,46,57,52,49,54,
      56,101,45,48,55,32,50,46,53,53,57,57,52,101,45,48,55,32,50,46,50,50,55,56,53,
      101,45,48,55,32,49,46,57,51,56,57,53,101,45,48,55,10,32,32,49,46,54,56,55,53,
      57,101,45,48,55,32,49,46,52,54,56,57,101,45,48,55,32,49,46,50,55,56,54,101,
      45,48,55,32,49,46,49,49,51,48,49,101,45,48,55,32,57,46,54,56,57,49,51,101,45,
      48,56,32,56,46,52,51,53,48,56,101,45,48,56,32,55,46,51,52,51,54,54,101,45,48,
      56,10,32,32,54,46,51,57,51,55,54,101,45,48,56,32,53,46,53,54,54,57,54,101,45,
      48,56,32,52,46,56,52,55,51,101,45,48,56,32,51,46,54,55,52,56,49,101,45,48,56,
      32,50,46,55,56,54,50,54,101,45,48,56,32,50,46,49,49,50,57,52,101,45,48,56,32,
      49,46,54,48,50,53,56,101,45,48,56,10,32,32,49,46,50,49,53,54,56,101,45,48,56,
      32,57,46,50,50,51,49,50,101,45,48,57,32,54,46,57,57,56,52,101,45,48,57,32,53,
      46,51,49,49,48,53,101,45,48,57,32,52,46,48,51,49,48,54,101,45,48,57,32,51,46,
      48,53,57,57,52,101,45,48,57,32,50,46,51,50,51,48,54,101,45,48,57,10,32,32,49,
      46,55,54,51,56,53,101,45,48,57,32,49,46,51,51,57,52,49,101,45,48,57,32,49,46,
      48,49,55,50,50,101,45,48,57,32,55,46,55,50,54,49,55,101,45,49,48,32,53,46,56,
      54,56,57,51,101,45,49,48,32,52,46,52,53,56,54,49,101,45,49,48,32,51,46,51,56,
      55,53,52,101,45,49,48,10,32,32,50,46,53,55,52,48,50,101,45,49,48,32,49,46,57,
      53,54,48,54,101,45,49,48,32,49,46,52,56,54,54,101,45,49,48,32,49,46,49,50,57,
      57,49,101,45,49,48,32,56,46,53,56,56,57,101,45,49,49,32,54,46,53,50,57,51,49,
      101,45,49,49,32,52,46,57,54,52,48,50,101,45,49,49,10,32,32,51,46,55,55,52,50,
      57,101,45,49,49,32,50,46,56,54,57,57,51,101,45,49,49,32,50,46,49,56,50,52,53,
      101,45,49,49,32,49,46,54,53,57,56,51,101,45,49,49,32,49,46,53,48,48,53,101,
      45,49,49,32,54,46,48,49,54,56,57,101,45,49,49,32,49,46,51,53,52,57,54,101,45,
      49,48,10,32,32,49,46,53,48,48,54,50,101,45,49,48,32,54,46,48,49,56,54,55,101,
      45,49,48,32,49,46,51,53,53,56,50,101,45,48,57,32,50,46,52,49,49,49,50,101,45,
      48,57,32,51,46,55,54,56,55,51,101,45,48,57,32,53,46,52,51,50,56,54,101,45,48,
      57,32,55,46,52,48,48,53,51,101,45,48,57,10,32,32,57,46,54,55,55,57,52,101,45,
      48,57,32,49,46,50,50,54,52,49,101,45,48,56,32,49,46,53,49,54,48,57,101,45,48,
      56,32,49,46,56,51,55,50,52,101,45,48,56,32,50,46,49,57,48,49,51,101,45,48,56,
      32,50,46,53,55,52,56,57,101,45,48,56,32,50,46,57,57,49,56,55,101,45,48,56,10,
      32,32,51,46,52,52,49,51,55,101,45,48,56,32,51,46,57,50,51,54,101,45,48,56,32,
      52,46,52,51,57,48,51,101,45,48,56,32,52,46,57,56,55,56,55,101,45,48,56,32,53,
      46,53,54,57,57,56,101,45,48,56,32,54,46,49,56,53,57,55,101,45,48,56,32,54,46,
      56,51,54,51,55,101,45,48,56,10,32,32,55,46,53,50,49,52,56,101,45,48,56,32,56,
      46,50,52,48,55,101,45,48,56,32,56,46,57,57,52,49,101,45,48,56,32,57,46,55,56,
      50,57,53,101,45,48,56,32,49,46,48,54,48,55,51,101,45,48,55,32,49,46,49,52,54,
      55,50,101,45,48,55,32,49,46,50,51,54,48,49,101,45,48,55,10,32,32,49,46,51,50,
      56,56,57,101,45,48,55,32,49,46,52,50,53,51,53,101,45,48,55,32,49,46,53,50,53,
      52,53,101,45,48,55,32,49,46,54,50,56,57,49,101,45,48,55,32,49,46,55,51,53,55,
      55,101,45,48,55,32,49,46,56,52,54,50,50,101,45,48,55,32,49,46,57,54,48,51,49,
      101,45,48,55,10,32,32,50,46,48,55,56,48,51,101,45,48,55,32,50,46,49,57,56,55,
      51,101,45,48,55,32,50,46,51,50,51,48,54,101,45,48,55,32,50,46,52,53,49,48,50,
      101,45,48,55,32,50,46,53,56,50,54,51,101,45,48,55,32,50,46,55,49,55,52,52,101,
      45,48,55,32,50,46,56,53,53,53,54,101,45,48,55,10,32,32,50,46,57,57,55,51,50,
      101,45,48,55,32,51,46,49,52,50,55,101,45,48,55,32,51,46,50,57,49,55,101,45,
      48,55,32,51,46,52,52,51,54,56,101,45,48,55,32,51,46,53,57,57,50,56,101,45,48,
      55,32,51,46,55,53,56,53,52,101,45,48,55,32,51,46,57,50,49,52,53,101,45,48,55,
      10,32,32,52,46,48,56,55,55,54,101,45,48,55,32,52,46,50,53,55,52,55,101,45,48,
      55,32,52,46,52,51,48,56,54,101,45,48,55,32,52,46,54,48,55,57,52,101,45,48,55,
      32,52,46,55,56,56,55,101,45,48,55,32,52,46,57,55,50,57,57,101,45,48,55,32,53,
      46,49,54,48,57,54,101,45,48,55,10,32,32,53,46,51,53,50,54,55,101,45,48,55,32,
      53,46,53,52,56,49,101,45,48,55,32,53,46,55,52,55,52,50,101,45,48,55,32,53,46,
      57,53,48,54,49,101,45,48,55,32,54,46,49,53,55,53,57,101,45,48,55,32,54,46,51,
      54,56,51,54,101,45,48,55,32,54,46,53,56,50,57,54,101,45,48,55,10,32,32,54,46,
      56,48,50,48,55,101,45,48,55,32,55,46,48,50,53,48,51,101,45,48,55,32,55,46,50,
      53,49,56,56,101,45,48,55,32,55,46,52,56,50,54,50,101,45,48,55,32,55,46,55,49,
      55,57,50,101,45,48,55,32,55,46,57,53,55,54,52,101,45,48,55,32,56,46,50,48,49,
      51,54,101,45,48,55,10,32,32,56,46,52,52,57,48,54,101,45,48,55,32,56,46,55,48,
      48,57,52,101,45,48,55,32,56,46,57,53,56,48,50,101,45,48,55,32,57,46,50,49,57,
      50,49,101,45,48,55,32,57,46,52,56,52,53,53,101,45,48,55,32,57,46,55,53,52,48,
      53,101,45,48,55,32,49,46,48,48,50,56,51,101,45,48,54,10,32,32,49,46,48,51,48,
      55,50,101,45,48,54,32,49,46,48,53,57,48,52,101,45,48,54,32,49,46,48,56,55,56,
      49,101,45,48,54,32,49,46,49,49,54,57,57,101,45,48,54,32,49,46,49,52,54,53,56,
      101,45,48,54,32,49,46,49,55,54,54,53,101,45,48,54,32,49,46,50,48,55,49,54,101,
      45,48,54,10,32,32,49,46,50,51,56,48,55,101,45,48,54,32,49,46,50,54,57,50,55,
      101,45,48,54,32,49,46,51,48,48,56,54,101,45,48,54,32,49,46,51,51,50,57,52,101,
      45,48,54,32,49,46,51,54,53,52,51,101,45,48,54,32,49,46,51,57,56,50,56,101,45,
      48,54,32,49,46,52,51,49,48,55,101,45,48,54,10,32,32,49,46,52,54,52,50,54,101,
      45,48,54,32,49,46,52,57,55,56,54,101,45,48,54,32,49,46,53,51,49,56,55,101,45,
      48,54,32,49,46,53,54,53,54,56,101,45,48,54,32,49,46,53,57,57,53,51,101,45,48,
      54,32,49,46,54,51,51,55,56,101,45,48,54,32,49,46,54,54,56,52,50,101,45,48,54,
      10,32,32,49,46,55,48,51,50,56,101,45,48,54,32,49,46,55,51,55,50,55,101,45,48,
      54,32,49,46,55,55,49,54,54,101,45,48,54,32,49,46,56,48,54,52,53,101,45,48,54,
      32,49,46,56,52,49,54,51,101,45,48,54,32,49,46,56,55,53,57,57,101,45,48,54,32,
      49,46,57,49,48,48,54,101,45,48,54,10,32,32,49,46,57,52,52,53,53,101,45,48,54,
      32,49,46,57,55,57,52,53,101,45,48,54,32,50,46,48,49,52,52,51,101,45,48,54,32,
      50,46,48,52,55,56,54,101,45,48,54,32,50,46,48,56,49,55,53,101,45,48,54,32,50,
      46,49,49,54,49,101,45,48,54,32,50,46,49,53,49,49,49,101,45,48,54,10,32,32,50,
      46,49,56,53,48,50,101,45,48,54,32,50,46,50,49,56,53,56,101,45,48,54,32,50,46,
      50,53,50,55,55,101,45,48,54,32,50,46,50,56,55,53,50,101,45,48,54,32,50,46,51,
      50,50,52,49,101,45,48,54,32,50,46,51,53,54,48,49,101,45,48,54,32,50,46,51,57,
      48,50,55,101,45,48,54,10,32,32,50,46,52,50,53,49,53,101,45,48,54,32,50,46,52,
      54,48,54,49,101,45,48,54,32,50,46,52,57,53,51,53,101,45,48,54,32,50,46,53,51,
      48,48,57,101,45,48,54,32,50,46,53,54,53,53,101,45,48,54,32,50,46,54,48,49,53,
      50,101,45,48,54,32,50,46,54,51,55,56,55,101,45,48,54,10,32,32,50,46,54,55,51,
      52,57,101,45,48,54,32,50,46,55,48,57,55,57,101,45,48,54,32,50,46,55,52,54,55,
      52,101,45,48,54,32,50,46,55,56,52,50,53,101,45,48,54,32,50,46,56,50,49,53,52,
      101,45,48,54,32,50,46,56,53,57,48,52,101,45,48,54,32,50,46,56,57,55,49,57,101,
      45,48,54,10,32,32,50,46,57,51,53,56,57,101,45,48,54,32,50,46,57,55,52,57,57,
      101,45,48,54,32,51,46,48,49,51,57,53,101,45,48,54,32,51,46,48,53,51,52,56,101,
      45,48,54,32,51,46,48,57,51,53,56,101,45,48,54,32,51,46,49,51,52,49,57,101,45,
      48,54,32,51,46,49,55,52,57,52,101,45,48,54,10,32,32,51,46,50,49,54,48,56,101,
      45,48,54,32,51,46,50,53,55,55,101,45,48,54,32,51,46,50,57,57,56,50,101,45,48,
      54,32,51,46,51,52,50,51,55,101,45,48,54,32,51,46,51,56,53,50,49,101,45,48,54,
      32,51,46,52,50,56,53,101,45,48,54,32,51,46,52,55,50,50,52,101,45,48,54,10,32,
      32,51,46,53,49,54,52,50,101,45,48,54,32,51,46,53,54,49,48,56,101,45,48,54,32,
      51,46,54,48,54,49,54,101,45,48,54,32,51,46,54,53,49,54,51,101,45,48,54,32,51,
      46,54,57,55,53,49,101,45,48,54,32,51,46,55,52,51,56,54,101,45,48,54,32,51,46,
      55,57,48,56,49,101,45,48,54,10,32,32,51,46,56,51,56,49,53,101,45,48,54,32,51,
      46,57,48,49,55,54,101,45,48,54,32,52,46,48,53,51,49,55,101,45,48,54,32,52,46,
      50,56,51,49,52,101,45,48,54,32,52,46,54,55,52,56,55,101,45,48,54,32,53,46,48,
      56,48,48,52,101,45,48,54,32,53,46,53,48,48,50,52,101,45,48,54,10,32,32,53,46,
      57,51,57,53,101,45,48,54,32,54,46,51,57,56,54,54,101,45,48,54,32,54,46,56,55,
      56,48,53,101,45,48,54,32,55,46,51,55,51,54,51,101,45,48,54,32,55,46,56,56,48,
      49,57,101,45,48,54,32,56,46,51,57,48,50,51,101,45,48,54,32,56,46,57,48,50,54,
      54,101,45,48,54,10,32,32,57,46,52,49,56,55,101,45,48,54,32,49,46,48,48,53,101,
      45,48,53,32,49,46,48,55,49,50,57,101,45,48,53,32,49,46,49,54,56,51,51,101,45,
      48,53,32,49,46,50,56,50,53,55,101,45,48,53,32,49,46,52,50,51,49,53,101,45,48,
      53,32,49,46,54,53,52,56,101,45,48,53,10,32,32,49,46,57,55,51,55,101,45,48,53,
      32,50,46,51,57,50,56,53,101,45,48,53,32,50,46,57,54,51,48,50,101,45,48,53,32,
      51,46,52,52,49,49,52,101,45,48,53,32,51,46,55,54,50,53,55,101,45,48,53,32,51,
      46,56,54,57,51,101,45,48,53,32,51,46,57,52,53,49,101,45,48,53,10,32,32,52,46,
      48,55,54,57,53,101,45,48,53,32,52,46,50,57,54,55,54,101,45,48,53,32,52,46,54,
      51,56,51,55,101,45,48,53,32,53,46,49,53,57,50,53,101,45,48,53,32,53,46,57,54,
      52,49,56,101,45,48,53,32,55,46,51,55,50,51,50,101,45,48,53,32,57,46,53,50,53,
      54,49,101,45,48,53,10,32,32,46,48,48,48,49,51,48,51,53,32,46,48,48,48,49,55,
      56,54,52,50,32,46,48,48,48,49,57,54,49,53,54,32,46,48,48,48,49,56,57,50,49,
      53,32,46,48,48,48,49,55,55,55,51,54,32,46,48,48,48,49,55,48,55,56,53,32,46,
      48,48,48,49,55,49,55,50,57,32,46,48,48,48,49,55,57,55,57,52,10,32,32,46,48,
      48,48,49,57,53,57,55,52,32,46,48,48,48,50,49,57,52,54,57,32,46,48,48,48,50,
      53,51,51,56,57,32,46,48,48,48,51,48,54,52,52,55,32,46,48,48,48,51,57,52,55,
      48,54,32,46,48,48,48,52,57,51,56,52,53,32,46,48,48,48,54,49,50,54,55,54,32,
      46,48,48,48,55,52,48,51,51,56,10,32,32,46,48,48,48,57,50,52,57,50,32,46,48,
      48,49,50,54,56,52,55,32,46,48,48,49,54,52,50,49,53,32,46,48,48,49,57,52,53,
      56,56,32,46,48,48,50,49,52,57,48,53,32,46,48,48,50,52,51,56,57,32,46,48,48,
      50,55,56,49,50,50,32,46,48,48,51,48,56,54,49,55,32,46,48,48,51,50,53,56,50,
      52,10,32,32,46,48,48,51,51,55,54,55,32,46,48,48,51,53,55,54,52,51,32,46,48,
      48,52,48,48,48,54,53,32,46,48,48,52,53,57,53,57,54,32,46,48,48,53,49,51,49,
      48,51,32,46,48,48,54,50,52,49,55,53,32,46,48,48,55,51,55,49,50,32,46,48,48,
      56,53,48,57,55,32,46,48,48,57,54,57,49,53,52,10,32,32,46,48,49,48,53,54,48,
      50,32,46,48,49,49,51,48,55,50,32,46,48,49,49,57,52,50,56,32,46,48,49,50,53,
      50,52,50,32,46,48,49,51,48,55,55,56,32,46,48,49,51,54,57,52,57,32,46,48,49,
      52,49,52,55,54,32,46,48,49,52,54,48,55,54,32,46,48,49,53,51,55,57,10,32,32,
      46,48,49,53,56,53,53,57,32,46,48,49,54,53,54,48,53,32,46,48,49,55,49,53,52,
      54,32,46,48,49,55,52,48,53,52,32,46,48,49,55,53,55,52,52,32,46,48,49,55,54,
      57,51,52,32,46,48,49,55,54,56,49,51,32,46,48,49,55,54,51,57,53,32,46,48,49,
      55,54,50,57,51,10,32,32,46,48,49,55,54,55,56,53,32,46,48,49,55,57,48,48,54,
      32,46,48,49,57,48,56,52,52,32,46,48,49,57,49,56,55,57,32,46,48,49,57,50,49,
      53,54,32,46,48,49,57,50,52,53,54,114,50,32,46,48,49,57,50,50,48,56,32,46,48,
      49,57,49,55,52,57,32,46,48,49,57,49,49,52,52,10,32,32,46,48,49,57,48,51,57,
      54,32,46,48,49,56,57,52,48,53,32,46,48,49,56,56,51,57,49,32,46,48,49,56,55,
      49,52,32,46,48,49,56,54,49,51,56,32,46,48,49,56,52,51,54,55,32,46,48,49,56,
      51,50,48,51,32,46,48,49,56,49,54,56,50,32,46,48,49,55,55,56,53,55,10,32,32,
      46,48,49,55,50,48,55,56,32,46,48,49,54,54,48,50,52,32,46,48,49,53,56,48,56,
      56,32,46,48,49,52,57,57,52,53,32,46,48,49,52,48,49,51,52,32,46,48,49,51,50,
      48,53,49,32,46,48,49,49,57,50,54,51,32,46,48,49,48,51,51,51,54,32,46,48,48,
      57,54,50,52,48,52,10,32,32,46,48,48,56,56,55,57,48,54,32,46,48,48,55,57,54,
      50,56,57,32,46,48,48,55,50,51,49,50,51,32,46,48,48,54,53,54,49,32,46,48,48,
      53,56,54,54,48,55,32,46,48,48,53,50,52,49,49,53,32,46,48,48,52,55,52,55,48,
      55,32,46,48,48,52,50,57,55,57,55,32,46,48,48,51,56,57,48,51,49,10,32,32,46,
      48,48,51,52,55,48,54,53,32,46,48,48,51,48,53,49,54,52,32,46,48,48,50,54,52,
      52,51,57,32,46,48,48,50,51,50,51,57,52,32,46,48,48,50,48,49,51,48,49,32,46,
      48,48,49,55,54,56,56,54,32,46,48,48,49,53,53,52,51,50,32,46,48,48,49,51,52,
      54,51,53,10,32,32,46,48,48,49,49,53,52,49,55,32,46,48,48,49,48,50,52,55,51,
      32,46,48,48,48,56,57,51,48,52,57,32,46,48,48,48,55,57,49,51,57,57,32,46,48,
      48,48,54,57,53,53,55,32,46,48,48,48,54,49,49,52,48,55,32,46,48,48,48,53,51,
      55,52,55,51,32,46,48,48,48,52,55,50,53,50,56,10,32,32,46,48,48,48,52,49,53,
      52,55,51,32,46,48,48,48,51,54,53,50,55,50,32,46,48,48,48,51,50,49,49,52,56,
      32,46,48,48,48,50,56,50,51,56,53,32,46,48,48,48,50,52,56,51,50,54,32,46,48,
      48,48,50,49,56,52,32,46,48,48,48,49,57,50,48,57,53,32,46,48,48,48,49,54,56,
      57,56,10,32,32,46,48,48,48,49,52,56,54,54,49,32,46,48,48,48,49,51,48,55,57,
      57,32,46,48,48,48,49,49,53,48,57,51,32,46,48,48,48,49,48,49,50,56,55,32,56,
      46,57,49,52,50,55,101,45,48,53,32,55,46,56,52,53,57,56,101,45,48,53,32,54,46,
      57,48,54,53,51,101,45,48,53,10,32,32,54,46,48,55,57,51,57,101,45,48,53,32,53,
      46,51,53,49,56,101,45,48,53,32,52,46,55,49,49,55,50,101,45,48,53,32,52,46,49,
      52,56,53,50,101,45,48,53,32,51,46,54,53,51,49,49,101,45,48,53,32,51,46,50,49,
      55,101,45,48,53,32,50,46,56,51,51,49,57,101,45,48,53,10,32,32,50,46,52,57,53,
      51,56,101,45,48,53,32,50,46,49,57,56,48,51,101,45,48,53,32,49,46,57,51,54,50,
      55,101,45,48,53,32,49,46,55,48,53,56,49,101,45,48,53,32,49,46,53,48,50,56,101,
      45,48,53,32,49,46,51,50,52,49,50,101,45,48,53,32,49,46,50,48,48,48,51,101,45,
      48,53,10,32,32,49,46,48,56,55,54,50,101,45,48,53,32,57,46,56,53,55,55,51,101,
      45,48,54,32,56,46,57,51,53,48,53,101,45,48,54,32,56,46,48,57,57,54,52,101,45,
      48,54,32,55,46,50,53,48,49,49,101,45,48,54,32,54,46,51,48,49,55,101,45,48,54,
      32,53,46,52,55,55,56,101,45,48,54,10,32,32,52,46,55,54,49,57,55,101,45,48,54,
      32,52,46,49,52,101,45,48,54,32,51,46,53,57,56,57,54,101,45,48,54,32,51,46,49,
      50,56,53,52,101,45,48,54,32,50,46,55,49,57,56,101,45,48,54,32,50,46,51,54,52,
      54,53,101,45,48,54,32,50,46,48,53,54,48,50,101,45,48,54,10,32,32,49,46,55,56,
      55,55,57,101,45,48,54,32,49,46,53,53,52,54,54,101,45,48,54,32,49,46,51,53,50,
      48,49,101,45,48,54,32,49,46,49,55,53,56,54,101,45,48,54,32,49,46,48,50,50,55,
      51,101,45,48,54,32,56,46,56,57,53,57,51,101,45,48,55,32,55,46,55,51,56,51,51,
      101,45,48,55,10,32,32,54,46,55,51,49,55,55,101,45,48,55,32,53,46,56,53,54,53,
      101,45,48,55,32,53,46,48,57,53,51,50,101,45,48,55,32,52,46,52,51,51,51,51,101,
      45,48,55,32,51,46,56,53,54,57,57,101,45,48,55,32,51,46,51,53,54,55,53,101,45,
      48,55,32,50,46,57,50,49,49,50,101,45,48,55,10,32,32,50,46,53,52,50,49,53,101,
      45,48,55,32,50,46,50,49,50,52,53,101,45,48,55,32,49,46,57,50,53,54,49,101,45,
      48,55,32,49,46,54,55,54,48,53,101,45,48,55,32,49,46,52,53,56,56,57,101,45,48,
      55,32,49,46,50,54,57,57,51,101,45,48,55,32,49,46,49,48,53,53,49,101,45,48,55,
      10,32,32,57,46,54,50,52,49,49,101,45,48,56,32,56,46,51,55,56,55,54,101,45,48,
      56,32,55,46,50,57,52,56,56,101,45,48,56,32,54,46,51,53,49,53,101,45,48,56,32,
      53,46,53,51,48,51,54,101,45,48,56,32,52,46,56,49,53,53,56,101,45,48,56,32,51,
      46,54,53,49,54,55,101,45,48,56,10,32,32,50,46,55,54,57,52,53,101,45,48,56,32,
      50,46,49,48,48,55,52,101,45,48,56,32,49,46,53,57,51,52,49,101,45,48,56,32,49,
      46,50,48,56,55,56,101,45,48,56,32,57,46,49,55,49,50,51,101,45,48,57,32,54,46,
      57,53,57,51,52,101,45,48,57,32,53,46,50,56,49,54,49,101,45,48,57,10,32,32,52,
      46,48,48,56,56,54,101,45,48,57,32,51,46,48,52,51,50,101,45,48,57,32,50,46,51,
      49,48,52,52,101,45,48,57,32,49,46,55,53,52,51,50,101,45,48,57,32,49,46,51,51,
      50,50,50,101,45,48,57,32,49,46,48,49,49,56,101,45,48,57,32,55,46,54,56,53,49,
      57,101,45,49,48,10,32,32,53,46,56,51,56,101,45,49,48,32,52,46,52,51,53,50,54,
      101,45,49,48,32,51,46,51,54,57,57,49,101,45,49,48,32,50,46,53,54,48,55,49,101,
      45,49,48,32,49,46,57,52,54,101,45,49,48,32,49,46,52,55,56,57,57,101,45,49,48,
      32,49,46,49,50,52,49,55,101,45,49,48,10,32,32,56,46,53,52,53,51,57,101,45,49,
      49,32,54,46,52,57,54,51,55,101,45,49,49,32,52,46,57,51,57,48,57,101,45,49,49,
      32,51,46,55,53,53,52,51,101,45,49,49,32,50,46,56,53,53,54,55,101,45,49,49,32,
      50,46,49,55,49,54,53,101,45,49,49,32,49,46,54,53,49,54,54,101,45,49,49,10,32,
      32,49,46,50,50,55,50,49,101,45,49,49,32,52,46,57,50,49,101,45,49,49,32,49,46,
      49,48,56,49,55,101,45,49,48,32,49,46,50,50,55,50,57,101,45,49,48,32,52,46,57,
      50,50,50,49,101,45,49,48,32,49,46,49,48,56,55,53,101,45,48,57,32,49,46,57,55,
      49,53,52,101,45,48,57,10,32,32,51,46,48,56,49,50,53,101,45,48,57,32,52,46,52,
      52,49,49,50,101,45,48,57,32,54,46,48,52,56,53,50,101,45,48,57,32,55,46,57,48,
      56,51,101,45,48,57,32,49,46,48,48,49,57,52,101,45,48,56,32,49,46,50,51,56,51,
      49,101,45,48,56,32,49,46,53,48,48,50,52,101,45,48,56,10,32,32,49,46,55,56,55,
      57,50,101,45,48,56,32,50,46,49,48,49,52,49,101,45,48,56,32,50,46,52,52,48,57,
      57,101,45,48,56,32,50,46,56,48,54,56,53,101,45,48,56,32,51,46,49,57,57,49,52,
      101,45,48,56,32,51,46,54,49,56,49,57,101,45,48,56,32,52,46,48,54,52,49,52,101,
      45,48,56,10,32,32,52,46,53,51,54,57,49,101,45,48,56,32,53,46,48,51,54,57,49,
      101,45,48,56,32,53,46,53,54,52,53,51,101,45,48,56,32,54,46,49,49,57,57,57,101,
      45,48,56,32,54,46,55,48,50,56,53,101,45,48,56,32,55,46,51,49,51,49,54,101,45,
      48,56,32,55,46,57,53,49,56,55,101,45,48,56,10,32,32,56,46,54,49,56,57,55,101,
      45,48,56,32,57,46,51,49,52,53,49,101,45,48,56,32,49,46,48,48,51,54,55,101,45,
      48,55,32,49,46,48,55,56,55,53,101,45,48,55,32,49,46,49,53,54,55,101,45,48,55,
      32,49,46,50,51,55,53,53,101,45,48,55,32,49,46,51,50,49,49,49,101,45,48,55,10,
      32,32,49,46,52,48,55,52,49,101,45,48,55,32,49,46,52,57,54,53,55,101,45,48,55,
      32,49,46,53,56,56,54,52,101,45,48,55,32,49,46,54,56,51,54,49,101,45,48,55,32,
      49,46,55,56,49,48,51,101,45,48,55,32,49,46,56,56,49,51,51,101,45,48,55,32,49,
      46,57,56,52,53,52,101,45,48,55,10,32,32,50,46,48,57,48,54,54,101,45,48,55,32,
      50,46,49,57,57,51,56,101,45,48,55,32,50,46,51,49,48,55,54,101,45,48,55,32,50,
      46,52,50,53,48,54,101,45,48,55,32,50,46,53,52,50,50,52,101,45,48,55,32,50,46,
      54,54,50,51,50,101,45,48,55,32,50,46,55,56,52,56,51,101,45,48,55,10,32,32,50,
      46,57,49,48,50,52,101,45,48,55,32,51,46,48,51,56,53,55,101,45,48,55,32,51,46,
      49,54,57,56,49,101,45,48,55,32,51,46,51,48,51,55,57,101,45,48,55,32,51,46,52,
      52,48,53,49,101,45,48,55,32,51,46,53,56,48,49,54,101,45,48,55,32,51,46,55,50,
      50,55,53,101,45,48,55,10,32,32,51,46,56,54,56,50,56,101,45,48,55,32,52,46,48,
      49,54,54,51,101,45,48,55,32,52,46,49,54,55,57,50,101,45,48,55,32,52,46,51,50,
      50,50,101,45,48,55,32,52,46,52,55,57,52,51,101,45,48,55,32,52,46,54,51,57,55,
      53,101,45,48,55,32,52,46,56,48,51,49,53,101,45,48,55,10,32,32,52,46,57,54,57,
      53,53,101,45,48,55,32,53,46,49,51,56,57,56,101,45,48,55,32,53,46,51,49,49,52,
      53,101,45,48,55,32,53,46,52,56,55,52,52,101,45,48,55,32,53,46,54,54,54,52,57,
      101,45,48,55,32,53,46,56,52,56,54,51,101,45,48,55,32,54,46,48,51,51,56,54,101,
      45,48,55,10,32,32,54,46,50,50,50,54,54,101,45,48,55,32,54,46,52,49,52,57,50,
      101,45,48,55,32,54,46,54,49,48,51,53,101,45,48,55,32,54,46,56,48,56,57,51,101,
      45,48,55,32,55,46,48,49,48,56,49,101,45,48,55,32,55,46,50,49,54,55,49,101,45,
      48,55,32,55,46,52,50,53,56,54,101,45,48,55,10,32,32,55,46,54,51,56,50,57,101,
      45,48,55,32,55,46,56,53,52,48,49,101,45,48,55,32,56,46,48,55,51,52,53,101,45,
      48,55,32,56,46,50,57,54,53,49,101,45,48,55,32,56,46,53,50,50,57,53,101,45,48,
      55,32,56,46,55,53,50,57,101,45,48,55,32,56,46,57,56,54,49,50,101,45,48,55,10,
      32,32,57,46,50,50,50,53,56,101,45,48,55,32,57,46,52,54,50,56,50,101,45,48,55,
      32,57,46,55,48,54,52,50,101,45,48,55,32,57,46,57,53,51,50,54,101,45,48,55,32,
      49,46,48,50,48,50,53,101,45,48,54,32,49,46,48,52,53,52,56,101,45,48,54,32,49,
      46,48,55,49,49,101,45,48,54,10,32,32,49,46,48,57,55,48,52,101,45,48,54,32,49,
      46,49,50,51,50,55,101,45,48,54,32,49,46,49,52,57,52,56,101,45,48,54,32,49,46,
      49,55,54,48,49,101,45,48,54,32,49,46,50,48,50,56,54,101,45,48,54,32,49,46,50,
      51,48,48,52,101,45,48,54,32,49,46,50,53,55,49,101,45,48,54,10,32,32,49,46,50,
      56,52,50,50,101,45,48,54,32,49,46,51,49,49,54,53,101,45,48,54,32,49,46,51,51,
      57,52,101,45,48,54,32,49,46,51,54,55,51,51,101,45,48,54,32,49,46,51,57,52,54,
      55,101,45,48,54,32,49,46,52,50,50,51,50,101,45,48,54,32,49,46,52,53,48,50,57,
      101,45,48,54,10,32,32,49,46,52,55,56,53,55,101,45,48,54,32,49,46,53,48,54,50,
      56,101,45,48,54,32,49,46,53,51,51,56,50,101,45,48,54,32,49,46,53,54,49,54,57,
      101,45,48,54,32,49,46,53,56,57,56,56,101,45,48,54,32,49,46,54,49,56,49,53,101,
      45,48,54,32,49,46,54,52,53,51,52,101,45,48,54,10,32,32,49,46,54,55,50,56,57,
      101,45,48,54,32,49,46,55,48,48,56,49,101,45,48,54,32,49,46,55,50,57,50,50,101,
      45,48,54,32,49,46,55,53,54,56,56,101,45,48,54,32,49,46,55,56,52,51,49,101,45,
      48,54,32,49,46,56,49,50,50,51,101,45,48,54,32,49,46,56,52,48,53,57,101,45,48,
      54,10,32,32,49,46,56,54,57,48,55,101,45,48,54,32,49,46,56,57,54,54,54,101,45,
      48,54,32,49,46,57,50,52,55,54,101,45,48,54,32,49,46,57,53,51,51,51,101,45,48,
      54,32,49,46,57,56,50,51,54,101,45,48,54,32,50,46,48,49,48,56,57,101,45,48,54,
      32,50,46,48,51,57,52,54,101,45,48,54,10,32,32,50,46,48,54,56,53,52,101,45,48,
      54,32,50,46,48,57,56,49,101,45,48,54,32,50,46,49,50,55,57,50,101,45,48,54,32,
      50,46,49,53,55,50,54,101,45,48,54,32,50,46,49,56,55,49,101,45,48,54,32,50,46,
      50,49,55,52,54,101,45,48,54,32,50,46,50,52,56,50,51,101,45,48,54,10,32,32,50,
      46,50,55,56,57,101,45,48,54,32,50,46,51,48,57,55,52,101,45,48,54,32,50,46,51,
      52,49,48,56,101,45,48,54,32,50,46,51,55,50,56,52,101,45,48,54,32,50,46,52,48,
      52,57,50,101,45,48,54,32,50,46,52,51,54,57,52,101,45,48,54,32,50,46,52,54,57,
      51,57,101,45,48,54,10,32,32,50,46,53,48,50,50,56,101,45,48,54,32,50,46,53,51,
      53,53,55,101,45,48,54,32,50,46,53,54,57,101,45,48,54,32,50,46,54,48,50,55,51,
      101,45,48,54,32,50,46,54,51,54,56,51,101,45,48,54,32,50,46,54,55,49,51,50,101,
      45,48,54,32,50,46,55,48,54,49,54,101,45,48,54,10,32,32,50,46,55,52,49,50,51,
      101,45,48,54,32,50,46,55,55,54,54,53,101,45,48,54,32,50,46,56,49,50,52,51,101,
      45,48,54,32,50,46,56,52,56,53,53,101,45,48,54,32,50,46,56,56,53,48,51,101,45,
      48,54,32,50,46,57,50,49,56,54,101,45,48,54,32,50,46,57,53,56,57,57,101,45,48,
      54,10,32,32,50,46,57,57,54,52,53,101,45,48,54,32,51,46,48,51,52,50,55,101,45,
      48,54,32,51,46,48,55,50,53,53,101,45,48,54,32,51,46,49,49,49,49,52,101,45,48,
      54,32,51,46,49,54,50,57,56,101,45,48,54,32,51,46,50,56,54,50,50,101,45,48,54,
      32,51,46,52,55,51,48,56,101,45,48,54,10,32,32,51,46,55,57,48,52,56,101,45,48,
      54,32,52,46,49,49,55,51,52,101,45,48,54,32,52,46,52,53,52,56,50,101,45,48,54,
      32,52,46,56,48,53,56,50,101,45,48,54,32,53,46,49,55,49,48,50,101,45,48,54,32,
      53,46,53,53,48,55,54,101,45,48,54,32,53,46,57,52,50,50,51,101,45,48,54,10,32,
      32,54,46,51,52,49,55,54,101,45,48,54,32,54,46,55,52,51,57,57,101,45,48,54,32,
      55,46,49,52,56,49,49,101,45,48,54,32,55,46,53,53,53,101,45,48,54,32,56,46,48,
      53,50,49,49,101,45,48,54,32,56,46,53,55,50,51,57,101,45,48,54,32,57,46,51,50,
      57,54,55,101,45,48,54,10,32,32,49,46,48,50,49,51,57,101,45,48,53,32,49,46,49,
      50,57,52,54,101,45,48,53,32,49,46,51,48,54,57,50,101,45,48,53,32,49,46,53,53,
      49,56,55,101,45,48,53,32,49,46,56,55,54,55,101,45,48,53,32,50,46,51,50,52,48,
      50,101,45,48,53,32,50,46,55,48,50,50,52,101,45,48,53,10,32,32,50,46,57,53,53,
      50,54,101,45,48,53,32,51,46,48,51,54,57,52,101,45,48,53,32,51,46,48,57,52,53,
      56,101,45,48,53,32,51,46,49,57,55,48,56,101,45,48,53,32,51,46,51,54,57,48,55,
      101,45,48,53,32,51,46,54,51,54,57,52,101,45,48,53,32,52,46,48,52,54,50,101,
      45,48,53,10,32,32,52,46,54,56,49,48,57,101,45,48,53,32,53,46,56,48,49,57,101,
      45,48,53,32,55,46,53,51,54,53,54,101,45,48,53,32,46,48,48,48,49,48,51,57,54,
      56,32,46,48,48,48,49,52,51,53,54,57,32,46,48,48,48,49,53,55,54,54,51,32,46,
      48,48,48,49,53,49,53,56,50,32,46,48,48,48,49,52,49,55,49,57,10,32,32,46,48,
      48,48,49,51,53,53,57,51,32,46,48,48,48,49,51,53,57,56,55,32,46,48,48,48,49,
      52,50,50,49,32,46,48,48,48,49,53,53,48,50,57,32,46,48,48,48,49,55,51,56,52,
      50,32,46,48,48,48,50,48,49,49,57,55,32,46,48,48,48,50,52,52,50,52,55,32,46,
      48,48,48,51,49,54,50,53,54,10,32,32,46,48,48,48,51,57,55,52,53,54,32,46,48,
      48,48,52,57,53,49,54,50,32,46,48,48,48,54,48,48,54,50,32,46,48,48,48,55,53,
      51,57,50,55,32,46,48,48,49,48,52,49,52,52,32,46,48,48,49,51,53,54,55,50,32,
      46,48,48,49,54,49,51,55,54,32,46,48,48,49,55,56,53,51,10,32,32,46,48,48,50,
      48,51,48,50,51,32,46,48,48,50,51,50,49,50,57,32,46,48,48,50,53,55,57,56,54,
      32,46,48,48,50,55,50,50,53,56,32,46,48,48,50,56,49,56,50,56,32,46,48,48,50,
      57,56,52,57,55,32,46,48,48,51,51,52,55,50,54,32,46,48,48,51,56,54,50,51,56,
      10,32,32,46,48,48,52,51,51,48,48,56,32,46,48,48,53,51,49,50,52,53,32,46,48,
      48,54,51,50,56,48,55,32,46,48,48,55,51,55,50,52,52,32,46,48,48,56,52,56,48,
      51,51,32,46,48,48,57,51,48,52,50,53,32,46,48,49,48,48,48,49,50,32,46,48,49,
      48,53,55,57,51,32,46,48,49,49,49,48,50,55,10,32,32,46,48,49,49,54,48,48,55,
      32,46,48,49,50,49,53,54,55,32,46,48,49,50,53,54,53,51,32,46,48,49,50,57,56,
      51,56,32,46,48,49,51,54,57,57,56,32,46,48,49,52,49,53,53,52,32,46,48,49,52,
      56,53,52,53,32,46,48,49,53,52,56,49,57,32,46,48,49,53,55,54,56,10,32,32,46,
      48,49,53,57,56,32,46,48,49,54,49,55,54,50,32,46,48,49,54,50,53,49,54,32,46,
      48,49,54,50,53,52,51,32,46,48,49,54,50,57,55,54,32,46,48,49,54,51,54,54,54,
      32,46,48,49,54,53,57,56,49,32,46,48,49,55,54,51,57,49,32,46,48,49,55,55,55,
      57,56,32,46,48,49,55,56,50,51,52,10,32,32,46,48,49,55,56,56,52,54,32,46,48,
      49,55,57,49,57,52,32,46,48,49,55,57,50,52,49,32,46,48,49,55,57,48,56,49,32,
      46,48,49,55,56,55,54,49,32,46,48,49,55,56,50,57,50,32,46,48,49,55,55,54,48,
      55,32,46,48,49,55,54,56,54,49,32,46,48,49,55,53,57,48,51,10,32,32,46,48,49,
      55,53,49,49,54,32,46,48,49,55,51,54,57,49,32,46,48,49,55,50,55,51,54,32,46,
      48,49,55,49,52,55,52,32,46,48,49,54,56,50,51,56,32,46,48,49,54,51,50,50,56,
      32,46,48,49,53,55,56,55,50,32,46,48,49,53,48,55,52,53,32,46,48,49,52,51,51,
      52,49,10,32,32,46,48,49,51,52,51,49,56,32,46,48,49,50,54,56,50,56,32,46,48,
      49,49,52,56,55,54,32,46,48,48,57,57,56,50,51,56,32,46,48,48,57,51,48,56,55,
      53,32,46,48,48,56,53,57,57,51,57,32,46,48,48,55,55,50,52,51,51,32,46,48,48,
      55,48,50,51,51,50,32,46,48,48,54,51,55,57,56,57,10,32,32,46,48,48,53,55,49,
      48,54,51,32,46,48,48,53,49,48,55,54,49,32,46,48,48,52,54,51,48,48,50,32,46,
      48,48,52,49,57,53,52,50,32,46,48,48,51,56,48,48,50,49,32,46,48,48,51,51,57,
      50,56,52,32,46,48,48,50,57,56,53,53,53,32,46,48,48,50,53,56,57,51,32,46,48,
      48,50,50,55,55,51,55,10,32,32,46,48,48,49,57,55,52,48,49,32,46,48,48,49,55,
      51,53,53,52,32,46,48,48,49,53,50,53,55,57,32,46,48,48,49,51,50,50,51,49,32,
      46,48,48,49,49,51,52,50,52,32,46,48,48,49,48,48,55,53,50,32,46,48,48,48,56,
      55,56,52,49,51,32,46,48,48,48,55,55,56,54,56,54,10,32,32,46,48,48,48,54,56,
      52,54,50,56,32,46,48,48,48,54,48,49,57,56,32,46,48,48,48,53,50,57,51,52,51,
      32,46,48,48,48,52,54,53,53,48,55,32,46,48,48,48,52,48,57,52,48,54,32,46,48,
      48,48,51,54,48,48,57,54,32,46,48,48,48,51,49,54,55,53,53,32,46,48,48,48,50,
      55,56,54,49,54,10,32,32,46,48,48,48,50,52,53,48,54,53,32,46,48,48,48,50,49,
      53,53,55,52,32,46,48,48,48,49,56,57,54,52,55,32,46,48,48,48,49,54,54,56,53,
      55,32,46,48,48,48,49,52,54,56,49,57,32,46,48,48,48,49,50,57,50,32,46,48,48,
      48,49,49,51,55,48,54,32,46,48,48,48,49,48,48,48,56,49,10,32,32,56,46,56,48,
      57,53,49,101,45,48,53,32,55,46,55,53,52,57,49,101,45,48,53,32,54,46,56,50,55,
      51,49,101,45,48,53,32,54,46,48,49,49,49,57,101,45,48,53,32,53,46,50,57,51,48,
      55,101,45,48,53,32,52,46,54,54,49,48,54,101,45,48,53,32,52,46,49,48,52,52,49,
      101,45,48,53,10,32,32,51,46,54,49,52,54,57,101,45,48,53,32,51,46,49,56,51,53,
      51,101,45,48,53,32,50,46,56,48,52,48,51,101,45,48,53,32,50,46,52,54,57,57,54,
      101,45,48,53,32,50,46,49,55,53,56,53,101,45,48,53,32,49,46,57,49,54,57,101,
      45,48,53,32,49,46,54,56,56,56,56,101,45,48,53,10,32,32,49,46,52,56,56,48,50,
      101,45,48,53,32,49,46,51,49,49,50,49,101,45,48,53,32,49,46,49,56,56,52,49,101,
      45,48,53,32,49,46,48,55,55,49,53,101,45,48,53,32,57,46,55,54,51,53,53,101,45,
      48,54,32,56,46,56,53,48,50,53,101,45,48,54,32,56,46,48,50,51,50,55,101,45,48,
      54,10,32,32,55,46,49,56,50,50,51,101,45,48,54,32,54,46,50,52,51,50,101,45,48,
      54,32,53,46,52,50,55,51,54,101,45,48,54,32,52,46,55,49,56,52,57,101,45,48,54,
      32,52,46,49,48,50,53,101,45,48,54,32,51,46,53,54,55,49,57,101,45,48,54,32,51,
      46,49,48,49,57,52,101,45,48,54,10,32,32,50,46,54,57,55,53,54,101,45,48,54,32,
      50,46,51,52,54,48,54,101,45,48,54,32,50,46,48,52,48,48,56,101,45,48,54,32,49,
      46,55,55,52,48,51,101,45,48,54,32,49,46,53,52,50,55,56,101,45,48,54,32,49,46,
      51,52,49,55,54,101,45,48,54,32,49,46,49,54,55,101,45,48,54,10,32,32,49,46,48,
      49,53,48,56,101,45,48,54,32,56,46,56,50,57,56,52,101,45,48,55,32,55,46,54,56,
      49,50,53,101,45,48,55,32,54,46,54,56,50,52,54,101,45,48,55,32,53,46,56,49,51,
      56,55,101,45,48,55,32,53,46,48,53,56,52,54,101,45,48,55,32,52,46,52,48,49,52,
      53,101,45,48,55,10,32,32,51,46,56,50,57,52,51,101,45,48,55,32,51,46,51,51,50,
      56,57,101,45,48,55,32,50,46,57,48,48,52,54,101,45,48,55,32,50,46,53,50,52,50,
      55,101,45,48,55,32,50,46,49,57,54,57,56,101,45,48,55,32,49,46,57,49,50,50,51,
      101,45,48,55,32,49,46,54,54,52,52,54,101,45,48,55,10,32,32,49,46,52,52,56,56,
      55,101,45,48,55,32,49,46,50,54,49,50,54,101,45,48,55,32,49,46,48,57,55,57,57,
      101,45,48,55,32,57,46,53,53,57,48,54,101,45,48,56,32,56,46,51,50,50,52,101,
      45,48,56,32,55,46,50,52,54,48,52,101,45,48,56,32,54,46,51,48,57,49,54,101,45,
      48,56,10,32,32,53,46,52,57,51,54,53,101,45,48,56,32,52,46,55,56,51,55,52,101,
      45,48,56,32,51,46,54,50,55,55,51,101,45,48,56,32,50,46,55,53,49,52,54,101,45,
      48,56,32,50,46,48,56,55,50,49,101,45,48,56,32,49,46,53,56,51,53,54,101,45,48,
      56,32,49,46,50,48,49,54,50,101,45,48,56,10,32,32,57,46,49,49,57,48,57,101,45,
      48,57,32,54,46,57,50,48,48,54,101,45,48,57,32,53,46,50,53,50,48,50,101,45,48,
      57,32,51,46,57,56,54,53,55,101,45,48,57,32,51,46,48,50,54,52,49,101,45,48,57,
      32,50,46,50,57,55,56,101,45,48,57,32,49,46,55,52,52,56,101,45,48,57,10,32,32,
      49,46,51,50,53,48,52,101,45,48,57,32,49,46,48,48,54,51,55,101,45,48,57,32,55,
      46,54,52,52,50,55,101,45,49,48,32,53,46,56,48,55,49,101,45,49,48,32,52,46,52,
      49,49,57,50,101,45,49,48,32,51,46,51,53,50,50,56,101,45,49,48,32,50,46,53,52,
      55,51,57,101,45,49,48,10,32,32,49,46,57,51,53,57,51,101,45,49,48,32,49,46,52,
      55,49,51,56,101,45,49,48,32,49,46,49,49,56,52,49,101,45,49,48,32,56,46,53,48,
      49,56,55,101,45,49,49,32,54,46,52,54,51,52,56,101,45,49,49,32,52,46,57,49,52,
      50,49,101,45,49,49,32,51,46,55,51,54,54,101,45,49,49,10,32,32,50,46,56,52,49,
      52,50,101,45,49,49,32,50,46,49,54,48,56,54,101,45,49,49,32,49,46,54,52,51,52,
      56,101,45,49,49,32,57,46,54,56,53,55,53,101,45,49,50,32,51,46,56,56,51,57,51,
      101,45,49,49,32,56,46,55,52,54,52,52,101,45,49,49,32,57,46,54,56,54,55,101,
      45,49,49,10,32,32,51,46,56,56,53,51,57,101,45,49,48,32,56,46,55,53,51,52,57,
      101,45,49,48,32,49,46,53,53,54,56,53,101,45,48,57,32,50,46,52,51,51,55,54,101,
      45,48,57,32,51,46,53,48,56,56,54,101,45,48,57,32,52,46,55,56,48,51,51,101,45,
      48,57,32,54,46,50,53,50,51,52,101,45,48,57,10,32,32,55,46,57,50,52,51,55,101,
      45,48,57,32,57,46,55,57,55,55,54,101,45,48,57,32,49,46,49,56,55,53,50,101,45,
      48,56,32,49,46,52,49,53,56,53,101,45,48,56,32,49,46,54,54,52,56,54,101,45,48,
      56,32,49,46,57,51,52,55,56,101,45,48,56,32,50,46,50,50,53,56,101,45,48,56,10,
      32,32,50,46,53,51,56,48,55,101,45,48,56,32,50,46,56,55,49,56,57,101,45,48,56,
      32,51,46,50,50,55,52,49,101,45,48,56,32,51,46,54,48,52,52,56,101,45,48,56,32,
      52,46,48,48,51,53,52,101,45,48,56,32,52,46,52,50,52,57,51,101,45,48,56,32,52,
      46,56,54,56,56,50,101,45,48,56,10,32,32,53,46,51,51,52,56,51,101,45,48,56,32,
      53,46,56,50,50,57,52,101,45,48,56,32,54,46,51,51,52,48,49,101,45,48,56,32,54,
      46,56,54,56,48,53,101,45,48,56,32,55,46,52,50,53,49,49,101,45,48,56,32,56,46,
      48,48,51,52,56,101,45,48,56,32,56,46,54,48,53,101,45,48,56,10,32,32,57,46,50,
      50,57,55,53,101,45,48,56,32,57,46,56,55,55,57,54,101,45,48,56,32,49,46,48,53,
      52,55,57,101,45,48,55,32,49,46,49,50,51,57,55,101,45,48,55,32,49,46,49,57,53,
      52,56,101,45,48,55,32,49,46,50,54,57,51,51,101,45,48,55,32,49,46,51,52,53,53,
      51,101,45,48,55,10,32,32,49,46,52,50,51,54,54,101,45,48,55,32,49,46,53,48,52,
      49,49,101,45,48,55,32,49,46,53,56,54,57,50,101,45,48,55,32,49,46,54,55,50,48,
      56,101,45,48,55,32,49,46,55,53,57,51,50,101,45,48,55,32,49,46,56,52,56,54,56,
      101,45,48,55,32,49,46,57,52,48,51,57,101,45,48,55,10,32,32,50,46,48,51,52,52,
      52,101,45,48,55,32,50,46,49,51,48,56,50,101,45,48,55,32,50,46,50,50,57,49,51,
      101,45,48,55,32,50,46,51,50,57,55,55,101,45,48,55,32,50,46,52,51,50,55,56,101,
      45,48,55,32,50,46,53,51,56,49,51,101,45,48,55,32,50,46,54,52,53,54,56,101,45,
      48,55,10,32,32,50,46,55,53,53,52,51,101,45,48,55,32,50,46,56,54,55,53,53,101,
      45,48,55,32,50,46,57,56,50,48,52,101,45,48,55,32,51,46,48,57,56,57,101,45,48,
      55,32,51,46,50,49,56,48,51,101,45,48,55,32,51,46,51,51,57,53,52,101,45,48,55,
      32,51,46,52,54,51,52,54,101,45,48,55,10,32,32,51,46,53,56,57,55,54,101,45,48,
      55,32,51,46,55,49,56,53,54,101,45,48,55,32,51,46,56,52,57,56,54,101,45,48,55,
      32,51,46,57,56,51,53,56,101,45,48,55,32,52,46,49,49,57,55,52,101,45,48,55,32,
      52,46,50,53,56,51,54,101,45,48,55,32,52,46,51,57,57,56,54,101,45,48,55,10,32,
      32,52,46,53,52,51,56,51,101,45,48,55,32,52,46,54,57,48,50,57,101,45,48,55,32,
      52,46,56,51,57,50,53,101,45,48,55,32,52,46,57,57,49,49,50,101,45,48,55,32,53,
      46,49,52,53,56,101,45,48,55,32,53,46,51,48,51,48,52,101,45,48,55,32,53,46,52,
      54,50,56,51,101,45,48,55,10,32,32,53,46,54,50,53,50,57,101,45,48,55,32,53,46,
      55,57,49,48,52,101,45,48,55,32,53,46,57,53,57,52,49,101,45,48,55,32,54,46,49,
      51,48,52,51,101,45,48,55,32,54,46,51,48,52,49,49,101,45,48,55,32,54,46,52,56,
      48,56,49,101,45,48,55,32,54,46,54,54,48,52,53,101,45,48,55,10,32,32,54,46,56,
      52,50,56,49,101,45,48,55,32,55,46,48,50,56,101,45,48,55,32,55,46,50,49,53,56,
      52,101,45,48,55,32,55,46,52,48,54,51,49,101,45,48,55,32,55,46,53,57,57,55,57,
      101,45,48,55,32,55,46,55,57,54,101,45,48,55,32,55,46,57,57,52,56,51,101,45,
      48,55,10,32,32,56,46,49,57,53,53,56,101,45,48,55,32,56,46,51,57,56,55,53,101,
      45,48,55,32,56,46,54,48,53,48,51,101,45,48,55,32,56,46,56,49,51,57,52,101,45,
      48,55,32,57,46,48,50,53,49,51,101,45,48,55,32,57,46,50,51,54,48,57,101,45,48,
      55,32,57,46,52,52,57,54,53,101,45,48,55,10,32,32,57,46,54,54,53,56,101,45,48,
      55,32,57,46,56,56,52,53,53,101,45,48,55,32,49,46,48,49,48,50,51,101,45,48,54,
      32,49,46,48,51,50,48,52,101,45,48,54,32,49,46,48,53,52,49,101,45,48,54,32,49,
      46,48,55,54,52,50,101,45,48,54,32,49,46,48,57,56,56,56,101,45,48,54,10,32,32,
      49,46,49,50,48,56,52,101,45,48,54,32,49,46,49,52,51,48,53,101,45,48,54,32,49,
      46,49,54,53,53,49,101,45,48,54,32,49,46,49,56,56,50,51,101,45,48,54,32,49,46,
      50,49,48,52,54,101,45,48,54,32,49,46,50,51,50,53,53,101,45,48,54,32,49,46,50,
      53,52,56,57,101,45,48,54,10,32,32,49,46,50,55,55,52,57,101,45,48,54,32,49,46,
      51,48,48,49,54,101,45,48,54,32,49,46,51,50,49,57,49,101,45,48,54,32,49,46,51,
      52,51,57,53,101,45,48,54,32,49,46,51,54,54,50,57,101,45,48,54,32,49,46,51,56,
      57,48,50,101,45,48,54,32,49,46,52,49,49,49,101,45,48,54,10,32,32,49,46,52,51,
      50,57,57,101,45,48,54,32,49,46,52,53,53,50,54,101,45,48,54,32,49,46,52,55,55,
      56,56,101,45,48,54,32,49,46,53,48,48,54,101,45,48,54,32,49,46,53,50,50,53,52,
      101,45,48,54,32,49,46,53,52,52,56,57,101,45,48,54,32,49,46,53,54,55,54,50,101,
      45,48,54,10,32,32,49,46,53,57,48,55,50,101,45,48,54,32,49,46,54,49,51,51,55,
      101,45,48,54,32,49,46,54,51,54,48,52,101,45,48,54,32,49,46,54,53,57,49,49,101,
      45,48,54,32,49,46,54,56,50,53,55,101,45,48,54,32,49,46,55,48,54,50,52,101,45,
      48,54,32,49,46,55,50,57,52,55,101,45,48,54,10,32,32,49,46,55,53,51,49,101,45,
      48,54,32,49,46,55,55,55,49,53,101,45,48,54,32,49,46,56,48,49,53,53,101,45,48,
      54,32,49,46,56,50,53,56,50,101,45,48,54,32,49,46,56,53,48,50,50,101,45,48,54,
      32,49,46,56,55,53,48,50,101,45,48,54,32,49,46,57,48,48,49,55,101,45,48,54,10,
      32,32,49,46,57,50,53,53,56,101,45,48,54,32,49,46,57,53,48,56,57,101,45,48,54,
      32,49,46,57,55,54,53,55,101,45,48,54,32,50,46,48,48,50,54,101,45,48,54,32,50,
      46,48,50,56,57,55,101,45,48,54,32,50,46,48,53,53,52,50,101,45,48,54,32,50,46,
      48,56,50,49,49,101,45,48,54,10,32,32,50,46,49,48,57,49,49,101,45,48,54,32,50,
      46,49,51,54,52,51,101,45,48,54,32,50,46,49,54,52,48,51,101,45,48,54,32,50,46,
      49,57,49,56,49,101,45,48,54,32,50,46,50,49,57,56,55,101,45,48,54,32,50,46,50,
      52,56,50,50,101,45,48,54,32,50,46,50,55,54,56,54,101,45,48,54,10,32,32,50,46,
      51,48,53,56,101,45,48,54,32,50,46,51,51,53,48,49,101,45,48,54,32,50,46,51,54,
      52,52,55,101,45,48,54,32,50,46,51,57,52,50,101,45,48,54,32,50,46,52,50,52,50,
      51,101,45,48,54,32,50,46,52,53,52,54,52,101,45,48,54,32,50,46,52,56,53,51,49,
      101,45,48,54,10,32,32,50,46,53,50,54,53,49,101,45,48,54,32,50,46,54,50,52,53,
      55,101,45,48,54,32,50,46,55,55,51,53,101,45,48,54,32,51,46,48,50,55,49,53,101,
      45,48,54,32,51,46,50,56,57,52,52,101,45,48,54,32,51,46,53,54,49,51,101,45,48,
      54,32,51,46,56,52,53,49,52,101,45,48,54,10,32,32,52,46,49,52,49,50,53,101,45,
      48,54,32,52,46,52,52,57,54,101,45,48,54,32,52,46,55,54,55,52,57,101,45,48,54,
      32,53,46,48,57,49,54,50,101,45,48,54,32,53,46,52,49,55,52,51,101,45,48,54,32,
      53,46,55,52,52,51,50,101,45,48,54,32,54,46,48,55,51,49,50,101,45,48,54,10,32,
      32,54,46,52,55,52,53,53,101,45,48,54,32,54,46,56,57,52,52,54,101,45,48,54,32,
      55,46,53,48,52,55,54,101,45,48,54,32,56,46,50,49,52,55,53,101,45,48,54,32,57,
      46,48,55,54,53,101,45,48,54,32,49,46,48,52,55,54,51,101,45,48,53,32,49,46,50,
      51,56,57,101,45,48,53,10,32,32,49,46,52,57,49,56,53,101,45,48,53,32,49,46,56,
      52,50,49,50,101,45,48,53,32,50,46,49,52,48,54,54,101,45,48,53,32,50,46,51,52,
      49,48,49,101,45,48,53,32,50,46,52,48,54,48,55,101,45,48,53,32,50,46,52,53,50,
      54,53,101,45,48,53,32,50,46,53,51,53,49,51,101,45,48,53,10,32,32,50,46,54,55,
      50,51,101,45,48,53,32,50,46,56,56,52,54,53,101,45,48,53,32,51,46,50,48,55,56,
      50,101,45,48,53,32,51,46,55,48,56,54,57,101,45,48,53,32,52,46,53,57,55,53,51,
      101,45,48,53,32,53,46,57,56,56,49,56,101,45,48,53,32,56,46,51,49,48,57,57,101,
      45,48,53,10,32,32,46,48,48,48,49,49,53,53,51,57,32,46,48,48,48,49,50,54,56,
      57,54,32,46,48,48,48,49,50,49,54,51,51,32,46,48,48,48,49,49,51,50,53,54,32,
      46,48,48,48,49,48,55,57,57,53,32,46,48,48,48,49,48,56,49,48,56,32,46,48,48,
      48,49,49,50,57,55,51,32,46,48,48,48,49,50,51,49,54,55,10,32,32,46,48,48,48,
      49,51,56,50,51,32,46,48,48,48,49,54,48,50,53,56,32,46,48,48,48,49,57,53,49,
      50,56,32,46,48,48,48,50,53,51,56,48,55,32,46,48,48,48,51,50,48,50,56,57,32,
      46,48,48,48,52,48,48,54,50,50,32,46,48,48,48,52,56,55,55,52,56,32,46,48,48,
      48,54,49,53,48,55,57,10,32,32,46,48,48,48,56,53,53,53,57,53,32,46,48,48,49,
      49,50,49,51,50,32,46,48,48,49,51,51,56,53,57,32,46,48,48,49,52,56,51,51,32,
      46,48,48,49,54,57,48,48,55,32,46,48,48,49,57,51,55,50,32,46,48,48,50,49,53,
      54,50,32,46,48,48,50,50,55,52,53,56,32,46,48,48,50,51,53,49,57,52,10,32,32,
      46,48,48,50,52,57,49,48,53,32,46,48,48,50,55,57,57,57,50,32,46,48,48,51,50,
      52,52,52,53,32,46,48,48,51,54,53,49,56,57,32,46,48,48,52,53,49,55,49,53,32,
      46,48,48,53,52,50,53,55,54,32,46,48,48,54,51,55,55,57,53,32,46,48,48,55,52,
      48,56,51,55,10,32,32,46,48,48,56,49,56,51,52,57,32,46,48,48,56,56,51,48,52,
      49,32,46,48,48,57,51,53,52,55,49,32,46,48,48,57,56,50,52,54,32,46,48,49,48,
      50,55,49,54,32,46,48,49,48,55,55,49,50,32,46,48,49,49,49,51,57,49,32,46,48,
      49,49,53,49,56,56,32,46,48,49,50,49,56,49,50,10,32,32,46,48,49,50,54,49,52,
      32,46,48,49,51,50,57,57,55,32,46,48,49,51,57,52,53,54,32,46,48,49,52,50,53,
      55,57,32,46,48,49,52,53,48,51,53,32,46,48,49,52,55,54,50,50,32,46,48,49,52,
      57,49,49,51,32,46,48,49,52,57,53,49,54,32,46,48,49,53,48,52,48,55,10,32,32,
      46,48,49,53,49,50,54,52,32,46,48,49,53,51,54,52,51,32,46,48,49,54,50,55,53,
      53,32,46,48,49,54,52,52,55,50,32,46,48,49,54,53,48,52,49,32,46,48,49,54,53,
      57,49,56,32,46,48,49,54,54,53,55,50,32,46,48,49,54,54,56,56,50,32,46,48,49,
      54,54,57,56,56,10,32,32,46,48,49,54,54,57,49,51,32,46,48,49,54,54,54,57,49,
      32,46,48,49,54,54,50,56,32,46,48,49,54,53,55,56,49,32,46,48,49,54,53,48,57,
      55,32,46,48,49,54,52,53,48,55,32,46,48,49,54,51,51,57,57,32,46,48,49,54,50,
      54,51,56,32,46,48,49,54,49,54,49,51,10,32,32,46,48,49,53,56,57,49,57,32,46,
      48,49,53,52,54,50,54,32,46,48,49,52,57,57,51,50,32,46,48,49,52,51,53,55,50,
      32,46,48,49,51,54,56,54,55,32,46,48,49,50,56,54,48,55,32,46,48,49,50,49,54,
      56,52,32,46,48,49,49,48,53,51,56,32,46,48,48,57,54,51,53,54,49,10,32,32,46,
      48,48,56,57,57,55,48,54,32,46,48,48,56,51,50,50,52,51,32,46,48,48,55,52,56,
      55,53,52,32,46,48,48,54,56,49,54,53,49,32,46,48,48,54,49,57,57,50,52,32,46,
      48,48,53,53,53,54,48,53,32,46,48,48,52,57,55,52,53,55,32,46,48,48,52,53,49,
      51,50,55,10,32,32,46,48,48,52,48,57,50,56,57,32,46,48,48,51,55,49,48,50,55,
      32,46,48,48,51,51,49,53,49,52,32,46,48,48,50,57,49,57,53,32,46,48,48,50,53,
      51,52,48,55,32,46,48,48,50,50,51,48,51,50,32,46,48,48,49,57,51,52,57,49,32,
      46,48,48,49,55,48,50,49,52,32,46,48,48,49,52,57,55,50,51,10,32,32,46,48,48,
      49,50,57,56,50,56,32,46,48,48,49,49,49,52,50,32,46,48,48,48,57,57,48,48,57,
      51,32,46,48,48,48,56,54,51,54,55,51,32,46,48,48,48,55,54,53,57,52,49,32,46,
      48,48,48,54,55,51,54,53,55,32,46,48,48,48,53,57,50,53,50,51,32,46,48,48,48,
      53,50,49,49,56,55,10,32,32,46,48,48,48,52,53,56,52,54,57,32,46,48,48,48,52,
      48,51,51,50,55,32,46,48,48,48,51,53,52,56,52,51,32,46,48,48,48,51,49,50,50,
      48,57,32,46,48,48,48,50,55,52,55,50,32,46,48,48,48,50,52,49,55,53,32,46,48,
      48,48,50,49,50,55,51,55,32,46,48,48,48,49,56,55,49,56,57,10,32,32,46,48,48,
      48,49,54,52,55,50,55,32,46,48,48,48,49,52,52,57,55,49,32,46,48,48,48,49,50,
      55,53,57,53,32,46,48,48,48,49,49,50,51,49,50,32,57,46,56,56,54,57,55,101,45,
      48,53,32,56,46,55,48,52,49,57,101,45,48,53,32,55,46,54,54,51,51,53,101,45,48,
      53,10,32,32,54,46,55,52,55,54,54,101,45,48,53,32,53,46,57,52,49,57,101,45,48,
      53,32,53,46,50,51,50,55,55,101,45,48,53,32,52,46,54,48,56,54,51,101,45,48,53,
      32,52,46,48,53,57,50,53,101,45,48,53,32,51,46,53,55,53,55,55,101,45,48,53,32,
      51,46,49,52,57,57,53,101,45,48,53,10,32,32,50,46,55,55,52,55,51,101,45,48,53,
      32,50,46,52,52,52,51,57,101,45,48,53,32,50,46,49,53,51,53,52,101,45,48,53,32,
      49,46,56,57,55,52,52,101,45,48,53,32,49,46,54,55,49,57,49,101,45,48,53,32,49,
      46,52,55,51,50,49,101,45,48,53,32,49,46,50,57,56,50,56,101,45,48,53,10,32,32,
      49,46,49,55,54,55,55,101,45,48,53,32,49,46,48,54,54,54,55,101,45,48,53,32,57,
      46,54,54,57,49,50,101,45,48,54,32,56,46,55,54,53,49,53,101,45,48,54,32,55,46,
      57,52,54,53,52,101,45,48,54,32,55,46,49,49,52,48,49,101,45,48,54,32,54,46,49,
      56,52,52,49,101,45,48,54,10,32,32,53,46,51,55,54,54,57,101,45,48,54,32,52,46,
      54,55,52,56,49,101,45,48,54,32,52,46,48,54,52,56,54,101,45,48,54,32,51,46,53,
      51,52,55,51,101,45,48,54,32,51,46,48,55,51,57,53,101,45,48,54,32,50,46,54,55,
      51,52,101,45,48,54,32,50,46,51,50,53,50,101,45,48,54,10,32,32,50,46,48,50,50,
      52,56,101,45,48,54,32,49,46,55,53,57,50,57,101,45,48,54,32,49,46,53,51,48,52,
      52,101,45,48,54,32,49,46,51,51,49,52,52,101,45,48,54,32,49,46,49,53,56,49,51,
      101,45,48,54,32,49,46,48,48,55,52,49,101,45,48,54,32,56,46,55,54,51,53,54,101,
      45,48,55,10,32,32,55,46,54,50,51,57,54,101,45,48,55,32,54,46,54,51,50,57,50,
      101,45,48,55,32,53,46,55,55,49,48,52,101,45,48,55,32,53,46,48,50,49,52,51,101,
      45,48,55,32,52,46,51,54,57,52,52,101,45,48,55,32,51,46,56,48,49,55,54,101,45,
      48,55,32,51,46,51,48,56,57,53,101,45,48,55,10,32,32,50,46,56,55,57,55,54,101,
      45,48,55,32,50,46,53,48,54,51,54,101,45,48,55,32,50,46,49,56,49,52,57,101,45,
      48,55,32,49,46,56,57,56,56,49,101,45,48,55,32,49,46,54,53,50,56,53,101,45,48,
      55,32,49,46,52,51,56,56,49,101,45,48,55,32,49,46,50,53,50,53,53,101,45,48,55,
      10,32,32,49,46,48,57,48,52,52,101,45,48,55,32,57,46,52,57,51,54,49,101,45,48,
      56,32,56,46,50,54,53,54,57,101,45,48,56,32,55,46,49,57,54,57,49,101,45,48,56,
      32,54,46,50,54,54,53,57,101,45,48,56,32,53,46,52,53,54,55,55,101,45,48,56,32,
      52,46,55,53,49,55,57,101,45,48,56,10,32,32,51,46,54,48,51,55,52,101,45,48,56,
      32,50,46,55,51,51,52,50,101,45,48,56,32,50,46,48,55,51,54,52,101,45,48,56,32,
      49,46,53,55,51,51,52,101,45,48,56,32,49,46,49,57,51,57,50,101,45,48,56,32,57,
      46,48,54,49,50,50,101,45,48,57,32,54,46,56,55,55,57,49,101,45,48,57,10,32,32,
      53,46,50,50,49,51,53,101,45,48,57,32,51,46,57,54,52,50,56,101,45,48,57,32,51,
      46,48,48,57,54,51,101,45,48,57,32,50,46,50,56,53,49,51,101,45,48,57,32,49,46,
      55,51,53,50,52,101,45,48,57,32,49,46,51,49,55,56,50,101,45,48,57,32,49,46,48,
      48,48,57,51,101,45,48,57,10,32,32,55,46,54,48,51,50,51,101,45,49,48,32,53,46,
      55,55,54,49,54,101,45,49,48,32,52,46,51,56,56,53,55,101,45,49,48,32,51,46,51,
      51,52,54,53,101,45,49,48,32,50,46,53,51,52,48,55,101,45,49,48,32,49,46,57,50,
      53,56,55,101,45,49,48,32,49,46,52,54,51,55,56,101,45,49,48,10,32,32,49,46,49,
      49,50,54,54,101,45,49,48,32,56,46,52,53,56,51,55,101,45,49,49,32,54,46,52,51,
      48,53,54,101,45,49,49,32,52,46,56,56,57,51,50,101,45,49,49,32,51,46,55,49,55,
      55,55,101,45,49,49,32,50,46,56,50,55,49,54,101,45,49,49,32,50,46,49,53,48,48,
      55,101,45,49,49,10,32,32,49,46,54,51,53,51,49,101,45,49,49,32,56,46,52,54,49,
      50,50,101,45,49,50,32,51,46,51,57,50,56,54,101,45,49,49,32,55,46,54,52,48,52,
      52,101,45,49,49,32,56,46,52,54,49,55,55,101,45,49,49,32,51,46,51,57,51,54,56,
      101,45,49,48,32,55,46,54,52,52,50,56,101,45,49,48,10,32,32,49,46,51,53,57,50,
      52,101,45,48,57,32,50,46,49,50,52,49,55,101,45,48,57,32,51,46,48,54,49,51,55,
      101,45,48,57,32,52,46,49,54,56,56,57,101,45,48,57,32,53,46,52,52,57,57,56,101,
      45,48,57,32,54,46,57,48,51,55,54,101,45,48,57,32,56,46,53,51,49,101,45,48,57,
      10,32,32,49,46,48,51,51,51,53,101,45,48,56,32,49,46,50,51,49,50,52,101,45,48,
      56,32,49,46,52,52,54,55,57,101,45,48,56,32,49,46,54,56,48,49,54,101,45,48,56,
      32,49,46,57,51,49,52,54,101,45,48,56,32,50,46,50,48,48,55,55,101,45,48,56,32,
      50,46,52,56,56,50,56,101,45,48,56,10,32,32,50,46,55,57,52,48,53,101,45,48,56,
      32,51,46,49,49,56,48,52,101,45,48,56,32,51,46,52,54,48,53,101,45,48,56,32,51,
      46,56,50,49,54,52,101,45,48,56,32,52,46,50,48,49,53,52,101,45,48,56,32,52,46,
      53,57,57,57,56,101,45,48,56,32,53,46,48,49,54,57,56,101,45,48,56,10,32,32,53,
      46,52,53,51,48,56,101,45,48,56,32,53,46,57,48,56,50,51,101,45,48,56,32,54,46,
      51,56,50,53,101,45,48,56,32,54,46,56,55,52,56,54,101,45,48,56,32,55,46,51,56,
      54,52,53,101,45,48,56,32,55,46,57,49,55,50,55,101,45,48,56,32,56,46,52,54,55,
      53,101,45,48,56,10,32,32,57,46,48,51,54,48,55,101,45,48,56,32,57,46,54,50,51,
      49,53,101,45,48,56,32,49,46,48,50,50,57,53,101,45,48,55,32,49,46,48,56,53,53,
      50,101,45,48,55,32,49,46,49,53,48,48,51,101,45,48,55,32,49,46,50,49,54,50,51,
      101,45,48,55,32,49,46,50,56,52,51,54,101,45,48,55,10,32,32,49,46,51,53,52,52,
      52,101,45,48,55,32,49,46,52,50,54,52,55,101,45,48,55,32,49,46,53,48,48,50,54,
      101,45,48,55,32,49,46,53,55,53,56,55,101,45,48,55,32,49,46,54,53,51,52,51,101,
      45,48,55,32,49,46,55,51,50,57,50,101,45,48,55,32,49,46,56,49,52,51,52,101,45,
      48,55,10,32,32,49,46,56,57,55,52,53,101,45,48,55,32,49,46,57,56,50,52,57,101,
      45,48,55,32,50,46,48,54,57,52,57,101,45,48,55,32,50,46,49,53,56,52,50,101,45,
      48,55,32,50,46,50,52,57,50,50,101,45,48,55,32,50,46,51,52,49,56,54,101,45,48,
      55,32,50,46,52,51,54,52,54,101,45,48,55,10,32,32,50,46,53,51,51,48,50,101,45,
      48,55,32,50,46,54,51,49,53,52,101,45,48,55,32,50,46,55,51,49,57,54,101,45,48,
      55,32,50,46,56,51,52,51,52,101,45,48,55,32,50,46,57,51,56,55,101,45,48,55,32,
      51,46,48,52,53,48,51,101,45,48,55,32,51,46,49,53,51,52,101,45,48,55,10,32,32,
      51,46,50,54,51,56,49,101,45,48,55,32,51,46,51,55,54,50,50,101,45,48,55,32,51,
      46,52,57,48,54,50,101,45,48,55,32,51,46,54,48,55,48,53,101,45,48,55,32,51,46,
      55,50,53,55,53,101,45,48,55,32,51,46,56,52,54,52,56,101,45,48,55,32,51,46,57,
      54,57,50,53,101,45,48,55,10,32,32,52,46,48,57,52,48,54,101,45,48,55,32,52,46,
      50,50,49,49,54,101,45,48,55,32,52,46,51,53,48,53,50,101,45,48,55,32,52,46,52,
      56,49,57,53,101,45,48,55,32,52,46,54,49,53,52,54,101,45,48,55,32,52,46,55,53,
      49,49,51,101,45,48,55,32,52,46,56,56,57,51,51,101,45,48,55,10,32,32,53,46,48,
      50,57,54,55,101,45,48,55,32,53,46,49,55,50,49,52,101,45,48,55,32,53,46,51,49,
      54,55,55,101,45,48,55,32,53,46,52,54,51,55,55,101,45,48,55,32,53,46,54,49,51,
      49,101,45,48,55,32,53,46,55,54,52,54,51,101,45,48,55,32,53,46,57,49,56,52,49,
      101,45,48,55,10,32,32,54,46,48,55,52,51,53,101,45,48,55,32,54,46,50,51,50,51,
      57,101,45,48,55,32,54,46,51,57,50,56,53,101,45,48,55,32,54,46,53,53,53,52,57,
      101,45,48,55,32,54,46,55,50,48,50,54,101,45,48,55,32,54,46,56,56,54,55,101,
      45,48,55,32,55,46,48,53,53,49,52,101,45,48,55,10,32,32,55,46,50,50,54,48,53,
      101,45,48,55,32,55,46,51,57,57,49,101,45,48,55,32,55,46,53,55,52,48,52,101,
      45,48,55,32,55,46,55,52,57,50,56,101,45,48,55,32,55,46,57,50,54,54,50,101,45,
      48,55,32,56,46,49,48,54,48,53,101,45,48,55,32,56,46,50,56,55,53,57,101,45,48,
      55,10,32,32,56,46,52,54,56,57,51,101,45,48,55,32,56,46,54,53,48,57,49,101,45,
      48,55,32,56,46,56,51,53,101,45,48,55,32,57,46,48,50,49,49,52,101,45,48,55,32,
      57,46,50,48,56,54,51,101,45,48,55,32,57,46,51,57,51,51,49,101,45,48,55,32,57,
      46,53,56,48,48,56,101,45,48,55,10,32,32,57,46,55,54,56,57,101,45,48,55,32,57,
      46,57,53,57,55,57,101,45,48,55,32,49,46,48,49,52,56,101,45,48,54,32,49,46,48,
      51,51,53,55,101,45,48,54,32,49,46,48,53,50,53,53,101,45,48,54,32,49,46,48,55,
      49,55,52,101,45,48,54,32,49,46,48,57,49,48,49,101,45,48,54,10,32,32,49,46,49,
      48,57,55,52,101,45,48,54,32,49,46,49,50,56,54,57,101,45,48,54,32,49,46,49,52,
      55,56,56,101,45,48,54,32,49,46,49,54,55,51,56,101,45,48,54,32,49,46,49,56,54,
      53,49,101,45,48,54,32,49,46,50,48,53,53,53,101,45,48,54,32,49,46,50,50,52,56,
      57,101,45,48,54,10,32,32,49,46,50,52,52,53,101,45,48,54,32,49,46,50,54,52,50,
      50,101,45,48,54,32,49,46,50,56,51,52,57,101,45,48,54,32,49,46,51,48,51,48,55,
      101,45,48,54,32,49,46,51,50,50,57,52,101,45,48,54,32,49,46,51,52,51,49,101,
      45,48,54,32,49,46,51,54,51,48,50,101,45,48,54,10,32,32,49,46,51,56,51,101,45,
      48,54,32,49,46,52,48,51,50,57,101,45,48,54,32,49,46,52,50,51,56,55,101,45,48,
      54,32,49,46,52,52,52,54,52,101,45,48,54,32,49,46,52,54,53,49,55,101,45,48,54,
      32,49,46,52,56,54,48,50,101,45,48,54,32,49,46,53,48,55,49,56,101,45,48,54,10,
      32,32,49,46,53,50,56,53,57,101,45,48,54,32,49,46,53,52,57,57,57,101,45,48,54,
      32,49,46,53,55,49,53,49,101,45,48,54,32,49,46,53,57,51,51,52,101,45,48,54,32,
      49,46,54,49,53,52,52,101,45,48,54,32,49,46,54,51,55,55,53,101,45,48,54,32,49,
      46,54,54,48,48,53,101,45,48,54,10,32,32,49,46,54,56,50,54,50,101,45,48,54,32,
      49,46,55,48,53,52,55,101,45,48,54,32,49,46,55,50,56,53,56,101,45,48,54,32,49,
      46,55,53,49,55,56,101,45,48,54,32,49,46,55,55,53,50,101,45,48,54,32,49,46,55,
      57,56,56,53,101,45,48,54,32,49,46,56,50,50,55,53,101,45,48,54,10,32,32,49,46,
      56,52,54,56,55,101,45,48,54,32,49,46,56,55,49,49,54,101,45,48,54,32,49,46,56,
      57,53,54,54,101,45,48,54,32,49,46,57,50,48,52,101,45,48,54,32,49,46,57,52,53,
      51,55,101,45,48,54,32,49,46,57,55,48,53,54,101,45,48,54,32,49,46,57,57,53,57,
      57,101,45,48,54,10,32,32,50,46,48,50,49,54,49,101,45,48,54,32,50,46,48,52,55,
      52,52,101,45,48,54,32,50,46,48,55,51,53,49,101,45,48,54,32,50,46,48,57,57,56,
      55,101,45,48,54,32,50,46,49,50,54,52,51,101,45,48,54,32,50,46,49,54,50,49,49,
      101,45,48,54,32,50,46,50,52,54,55,56,101,45,48,54,10,32,32,50,46,51,55,52,56,
      57,101,45,48,54,32,50,46,53,57,49,55,49,101,45,48,54,32,50,46,56,49,51,55,54,
      101,45,48,54,32,51,46,48,52,49,54,54,101,45,48,54,32,51,46,50,55,54,57,54,101,
      45,48,54,32,51,46,53,49,57,57,55,101,45,48,54,32,51,46,55,55,48,56,50,101,45,
      48,54,10,32,32,52,46,48,50,55,57,51,101,45,48,54,32,52,46,50,56,57,51,101,45,
      48,54,32,52,46,53,53,50,48,50,101,45,48,54,32,52,46,56,49,53,54,57,101,45,48,
      54,32,53,46,48,56,48,55,57,101,45,48,54,32,53,46,52,48,51,54,49,101,45,48,54,
      32,53,46,55,51,56,56,49,101,45,48,54,10,32,32,54,46,50,49,57,55,50,101,45,48,
      54,32,54,46,55,54,56,53,56,101,45,48,54,32,55,46,52,50,51,49,101,45,48,54,32,
      56,46,52,55,49,57,55,101,45,48,54,32,57,46,56,57,57,101,45,48,54,32,49,46,49,
      55,57,56,101,45,48,53,32,49,46,52,52,54,50,49,101,45,48,53,10,32,32,49,46,54,
      55,54,51,56,101,45,48,53,32,49,46,56,51,50,55,53,101,45,48,53,32,49,46,56,56,
      53,54,52,101,45,48,53,32,49,46,57,50,52,57,101,45,48,53,32,49,46,57,57,50,52,
      55,101,45,48,53,32,50,46,49,48,50,48,50,101,45,48,53,32,50,46,50,54,56,55,57,
      101,45,48,53,10,32,32,50,46,53,49,57,56,101,45,48,53,32,50,46,57,48,54,53,56,
      101,45,48,53,32,51,46,53,57,53,51,101,45,48,53,32,52,46,54,56,53,51,51,101,
      45,48,53,32,54,46,53,51,51,54,51,101,45,48,53,32,57,46,49,52,49,49,55,101,45,
      48,53,32,46,48,48,48,49,48,48,52,48,57,10,32,32,57,46,53,57,53,55,55,101,45,
      48,53,32,56,46,57,48,49,52,51,101,45,48,53,32,56,46,52,54,51,57,101,45,48,53,
      32,56,46,52,54,49,52,51,101,45,48,53,32,56,46,56,51,56,52,54,101,45,48,53,32,
      57,46,54,51,54,52,50,101,45,48,53,32,46,48,48,48,49,48,56,50,48,54,10,32,32,
      46,48,48,48,49,50,53,54,48,55,32,46,48,48,48,49,53,51,51,49,56,32,46,48,48,
      48,50,48,48,50,53,57,32,46,48,48,48,50,53,51,55,52,53,32,46,48,48,48,51,49,
      56,54,55,52,32,46,48,48,48,51,56,57,52,53,53,32,46,48,48,48,52,57,51,52,55,
      55,32,46,48,48,48,54,57,49,51,56,53,10,32,32,46,48,48,48,57,49,49,54,55,52,
      32,46,48,48,49,48,57,50,51,52,32,46,48,48,49,50,49,50,52,51,32,46,48,48,49,
      51,56,52,49,53,32,46,48,48,49,53,57,48,54,51,32,46,48,48,49,55,55,51,49,55,
      32,46,48,48,49,56,54,57,55,55,32,46,48,48,49,57,51,49,49,54,10,32,32,46,48,
      48,50,48,52,53,51,57,32,46,48,48,50,51,48,52,53,50,32,46,48,48,50,54,56,50,
      32,46,48,48,51,48,51,49,50,51,32,46,48,48,51,55,56,49,52,52,32,46,48,48,52,
      53,56,50,48,49,32,46,48,48,53,52,51,55,49,32,46,48,48,54,51,56,49,53,54,32,
      46,48,48,55,49,48,48,55,55,10,32,32,46,48,48,55,54,57,52,48,54,32,46,48,48,
      56,49,54,52,48,52,32,46,48,48,56,53,56,48,57,53,32,46,48,48,56,57,55,55,50,
      55,32,46,48,48,57,52,50,49,48,56,32,46,48,48,57,55,52,56,52,53,32,46,48,49,
      48,48,56,57,32,46,48,49,48,54,57,52,54,32,46,48,49,49,49,48,48,53,10,32,32,
      46,48,49,49,55,54,52,53,32,46,48,49,50,52,49,55,52,32,46,48,49,50,55,52,56,
      49,32,46,48,49,51,48,50,49,49,32,46,48,49,51,51,51,51,55,32,46,48,49,51,53,
      52,56,32,46,48,49,51,54,50,50,55,32,46,48,49,51,55,53,51,32,46,48,49,51,56,
      53,51,53,32,46,48,49,52,48,57,53,56,10,32,32,46,48,49,52,56,55,56,55,32,46,
      48,49,53,48,55,56,32,46,48,49,53,49,52,55,50,32,46,48,49,53,50,53,57,54,32,
      46,48,49,53,51,53,51,54,32,46,48,49,53,52,48,56,56,32,46,48,49,53,52,52,52,
      53,32,46,48,49,53,52,54,49,51,32,46,48,49,53,52,54,51,50,10,32,32,46,48,49,
      53,52,52,57,32,46,48,49,53,52,50,50,56,32,46,48,49,53,51,56,48,51,32,46,48,
      49,53,51,52,48,54,32,46,48,49,53,50,54,49,52,32,46,48,49,53,50,48,52,54,32,
      46,48,49,53,49,50,54,49,32,46,48,49,52,57,49,49,32,46,48,49,52,53,53,51,56,
      32,46,48,49,52,49,53,49,55,10,32,32,46,48,49,51,53,57,53,32,46,48,49,50,57,
      57,55,50,32,46,48,49,50,50,53,32,46,48,49,49,54,49,55,50,32,46,48,49,48,53,
      56,55,53,32,46,48,48,57,50,54,49,55,56,32,46,48,48,56,54,54,49,48,55,32,46,
      48,48,56,48,50,51,55,54,32,46,48,48,55,50,51,49,54,55,10,32,32,46,48,48,54,
      53,57,50,57,52,32,46,48,48,54,48,48,51,52,56,32,46,48,48,53,51,56,55,55,56,
      32,46,48,48,52,56,51,48,50,57,32,46,48,48,52,51,56,54,53,56,32,46,48,48,51,
      57,56,49,52,55,32,46,48,48,51,54,49,50,49,57,32,46,48,48,51,50,51,48,52,55,
      10,32,32,46,48,48,50,56,52,55,54,50,32,46,48,48,50,52,55,51,57,32,46,48,48,
      50,49,55,56,57,56,32,46,48,48,49,56,57,49,56,50,32,46,48,48,49,54,54,53,53,
      54,32,46,48,48,49,52,54,54,48,55,32,46,48,48,49,50,55,49,57,57,32,46,48,48,
      49,48,57,50,51,49,32,46,48,48,48,57,55,49,48,55,49,10,32,32,46,48,48,48,56,
      52,55,52,55,51,32,46,48,48,48,55,53,49,56,55,57,32,46,48,48,48,54,54,49,54,
      49,52,32,46,48,48,48,53,56,50,49,56,52,32,46,48,48,48,53,49,50,50,55,50,32,
      46,48,48,48,52,53,48,55,55,54,32,46,48,48,48,51,57,54,54,55,57,32,46,48,48,
      48,51,52,57,48,57,53,10,32,32,46,48,48,48,51,48,55,50,51,55,32,46,48,48,48,
      50,55,48,52,49,53,32,46,48,48,48,50,51,56,48,50,51,32,46,48,48,48,50,48,57,
      53,50,52,32,46,48,48,48,49,56,52,52,52,56,32,46,48,48,48,49,54,50,51,56,55,
      32,46,48,48,48,49,52,50,57,52,53,32,46,48,48,48,49,50,53,56,51,55,10,32,32,
      46,48,48,48,49,49,48,55,56,54,32,57,46,55,53,52,52,54,101,45,48,53,32,56,46,
      53,56,57,48,50,101,45,48,53,32,55,46,53,54,51,49,53,101,45,48,53,32,54,46,54,
      54,48,53,50,101,45,48,53,32,53,46,56,54,54,48,52,101,45,48,53,32,53,46,49,54,
      54,55,50,101,45,48,53,10,32,32,52,46,53,53,49,49,49,101,45,48,53,32,52,46,48,
      48,57,49,51,101,45,48,53,32,51,46,53,51,50,48,57,101,45,48,53,32,51,46,49,49,
      49,57,49,101,45,48,53,32,50,46,55,52,49,57,49,101,45,48,53,32,50,46,52,49,54,
      48,55,101,45,48,53,32,50,46,49,50,57,48,57,101,45,48,53,10,32,32,49,46,56,55,
      54,49,54,101,45,48,53,32,49,46,54,53,51,51,51,101,45,48,53,32,49,46,52,53,54,
      57,56,101,45,48,53,32,49,46,50,56,52,49,101,45,48,53,32,49,46,49,54,52,101,
      45,48,53,32,49,46,48,53,53,49,56,101,45,48,53,32,57,46,53,54,53,54,51,101,45,
      48,54,10,32,32,56,46,54,55,49,57,55,101,45,48,54,32,55,46,56,54,50,54,53,101,
      45,48,54,32,55,46,48,51,57,52,55,101,45,48,54,32,54,46,49,50,48,50,49,101,45,
      48,54,32,53,46,51,50,49,51,55,101,45,48,54,32,52,46,54,50,55,48,57,101,45,48,
      54,32,52,46,48,50,51,54,55,101,45,48,54,10,32,32,51,46,52,57,57,49,56,101,45,
      48,54,32,51,46,48,52,51,50,54,101,45,48,54,32,50,46,54,52,54,57,50,101,45,48,
      54,32,50,46,51,48,50,51,53,101,45,48,54,32,50,46,48,48,50,55,54,101,45,48,54,
      32,49,46,55,52,50,50,54,101,45,48,54,32,49,46,53,49,53,55,52,101,45,48,54,10,
      32,32,49,46,51,49,56,55,52,101,45,48,54,32,49,46,49,52,55,52,49,101,45,48,54,
      32,57,46,57,56,51,57,54,101,45,48,55,32,56,46,54,56,55,56,50,101,45,48,55,32,
      55,46,53,54,48,51,56,101,45,48,55,32,54,46,53,55,56,55,54,101,45,48,55,32,53,
      46,55,50,52,50,50,101,45,48,55,10,32,32,52,46,57,56,48,57,53,101,45,48,55,32,
      52,46,51,51,52,52,51,101,45,48,55,32,51,46,55,55,49,52,57,101,45,48,55,32,51,
      46,50,56,50,55,53,101,45,48,55,32,50,46,56,53,55,48,56,101,45,48,55,32,50,46,
      52,56,54,55,51,101,45,48,55,32,50,46,49,54,52,52,57,101,45,48,55,10,32,32,49,
      46,56,56,52,49,101,45,48,55,32,49,46,54,52,48,49,49,101,45,48,55,32,49,46,52,
      50,55,55,56,101,45,48,55,32,49,46,50,52,51,101,45,48,55,32,49,46,48,56,50,49,
      56,101,45,48,55,32,57,46,52,50,50,48,57,101,45,48,56,32,56,46,50,48,51,55,53,
      101,45,48,56,10,32,32,55,46,49,52,51,50,54,101,45,48,56,32,54,46,50,50,48,49,
      49,101,45,48,56,32,53,46,52,49,54,52,56,101,45,48,56,32,52,46,55,49,54,56,55,
      101,45,48,56,32,51,46,53,55,55,52,57,101,45,48,56,32,50,46,55,49,51,54,56,101,
      45,48,56,32,50,46,48,53,56,56,101,45,48,56,10,32,32,49,46,53,54,50,49,56,101,
      45,48,56,32,49,46,49,56,53,53,50,101,45,48,56,32,56,46,57,57,56,48,54,101,45,
      48,57,32,54,46,56,51,48,51,50,101,45,48,57,32,53,46,49,56,53,52,57,101,45,48,
      57,32,51,46,57,51,55,50,51,101,45,48,57,32,50,46,57,56,57,56,50,101,45,48,57,
      10,32,32,50,46,50,55,48,54,53,101,45,48,57,32,49,46,55,50,52,54,54,101,45,48,
      57,32,49,46,51,48,57,57,55,101,45,48,57,32,57,46,57,53,48,48,54,101,45,49,48,
      32,55,46,53,53,56,53,50,101,45,49,48,32,53,46,55,52,50,51,57,101,45,49,48,32,
      52,46,51,54,51,48,55,101,45,49,48,10,32,32,51,46,51,49,53,51,56,101,45,49,48,
      32,50,46,53,49,57,53,101,45,49,48,32,49,46,57,49,52,56,55,101,45,49,48,32,49,
      46,52,53,53,52,55,101,45,49,48,32,49,46,49,48,54,51,56,101,45,49,48,32,56,46,
      52,49,48,57,55,101,45,49,49,32,54,46,51,57,52,55,50,101,45,49,49,10,32,32,52,
      46,56,54,50,50,101,45,49,49,32,51,46,54,57,55,50,53,101,45,49,49,32,50,46,56,
      49,49,54,52,101,45,49,49,32,50,46,49,51,56,51,50,101,45,49,49,32,49,46,54,50,
      54,52,49,101,45,49,49,32,55,46,52,53,48,49,57,101,45,49,50,32,50,46,57,56,55,
      52,50,101,45,49,49,10,32,32,54,46,55,50,55,51,51,101,45,49,49,32,55,46,52,53,
      48,52,56,101,45,49,49,32,50,46,57,56,55,56,51,101,45,49,48,32,54,46,55,50,57,
      49,50,101,45,49,48,32,49,46,49,57,54,50,53,101,45,48,57,32,49,46,56,54,56,57,
      54,101,45,48,57,32,50,46,54,57,50,54,57,101,45,48,57,10,32,32,51,46,54,54,53,
      52,56,101,45,48,57,32,52,46,55,56,57,56,52,101,45,48,57,32,54,46,48,54,52,54,
      53,101,45,48,57,32,55,46,52,57,48,50,54,101,45,48,57,32,57,46,48,54,55,56,54,
      101,45,48,57,32,49,46,48,55,57,55,57,101,45,48,56,32,49,46,50,54,56,48,50,101,
      45,48,56,10,32,32,49,46,52,55,49,53,56,101,45,48,56,32,49,46,54,57,48,53,51,
      101,45,48,56,32,49,46,57,50,52,56,54,101,45,48,56,32,50,46,49,55,52,55,49,101,
      45,48,56,32,50,46,52,52,48,49,101,45,48,56,32,50,46,55,50,48,57,57,101,45,48,
      56,32,51,46,48,49,55,52,56,101,45,48,56,10,32,32,51,46,51,50,57,55,50,101,45,
      48,56,32,51,46,54,53,55,55,53,101,45,48,56,32,52,46,48,48,49,52,54,101,45,48,
      56,32,52,46,51,54,48,56,51,101,45,48,56,32,52,46,55,51,54,49,57,101,45,48,56,
      32,53,46,49,50,55,52,56,101,45,48,56,32,53,46,53,51,52,55,50,101,45,48,56,10,
      32,32,53,46,57,53,55,52,53,101,45,48,56,32,54,46,51,57,54,50,51,101,45,48,56,
      32,54,46,56,53,49,48,51,101,45,48,56,32,55,46,51,50,49,57,54,101,45,48,56,32,
      55,46,56,48,56,52,57,101,45,48,56,32,56,46,51,49,48,55,54,101,45,48,56,32,56,
      46,56,50,57,48,49,101,45,48,56,10,32,32,57,46,51,54,51,52,50,101,45,48,56,32,
      57,46,57,49,51,57,57,101,45,48,56,32,49,46,48,52,55,57,52,101,45,48,55,32,49,
      46,49,48,54,49,101,45,48,55,32,49,46,49,54,53,56,55,101,45,48,55,32,49,46,50,
      50,55,50,54,101,45,48,55,32,49,46,50,57,48,49,56,101,45,48,55,10,32,32,49,46,
      51,53,52,54,53,101,45,48,55,32,49,46,52,50,48,55,52,101,45,48,55,32,49,46,52,
      56,56,52,52,101,45,48,55,32,49,46,53,53,55,55,53,101,45,48,55,32,49,46,54,50,
      56,53,52,101,45,48,55,32,49,46,55,48,48,57,53,101,45,48,55,32,49,46,55,55,52,
      57,56,101,45,48,55,10,32,32,49,46,56,53,48,54,51,101,45,48,55,32,49,46,57,50,
      55,56,53,101,45,48,55,32,50,46,48,48,54,54,51,101,45,48,55,32,50,46,48,56,55,
      48,53,101,45,48,55,32,50,46,49,54,57,48,56,101,45,48,55,32,50,46,50,53,50,55,
      53,101,45,48,55,32,50,46,51,51,56,48,49,101,45,48,55,10,32,32,50,46,52,50,52,
      56,57,101,45,48,55,32,50,46,53,49,51,52,49,101,45,48,55,32,50,46,54,48,51,53,
      55,101,45,48,55,32,50,46,54,57,53,51,57,101,45,48,55,32,50,46,55,56,56,56,56,
      101,45,48,55,32,50,46,56,56,52,48,49,101,45,48,55,32,50,46,57,56,48,56,101,
      45,48,55,10,32,32,51,46,48,55,57,50,51,101,45,48,55,32,51,46,49,55,57,52,55,
      101,45,48,55,32,51,46,50,56,49,51,54,101,45,48,55,32,51,46,51,56,52,57,51,101,
      45,48,55,32,51,46,52,57,48,49,55,101,45,48,55,32,51,46,53,57,55,50,49,101,45,
      48,55,32,51,46,55,48,54,48,51,101,45,48,55,10,32,32,51,46,56,49,54,53,53,101,
      45,48,55,32,51,46,57,50,56,55,53,101,45,48,55,32,52,46,48,52,50,55,101,45,48,
      55,32,52,46,49,53,56,53,55,101,45,48,55,32,52,46,50,55,54,49,55,101,45,48,55,
      32,52,46,51,57,53,53,101,45,48,55,32,52,46,53,49,54,53,53,101,45,48,55,10,32,
      32,52,46,54,51,57,52,55,101,45,48,55,32,52,46,55,54,52,50,49,101,45,48,55,32,
      52,46,56,57,48,55,49,101,45,48,55,32,53,46,48,49,57,48,49,101,45,48,55,32,53,
      46,49,52,57,48,52,101,45,48,55,32,53,46,50,56,48,55,57,101,45,48,55,32,53,46,
      52,49,52,52,50,101,45,48,55,10,32,32,53,46,53,52,57,56,49,101,45,48,55,32,53,
      46,54,56,54,57,49,101,45,48,55,32,53,46,56,50,53,52,57,101,45,48,55,32,53,46,
      57,54,53,55,51,101,45,48,55,32,54,46,49,48,55,57,49,101,45,48,55,32,54,46,50,
      53,49,56,49,101,45,48,55,32,54,46,51,57,55,51,49,101,45,48,55,10,32,32,54,46,
      53,52,51,53,50,101,45,48,55,32,54,46,54,57,49,52,52,101,45,48,55,32,54,46,56,
      52,49,48,53,101,45,48,55,32,54,46,57,57,50,51,56,101,45,48,55,32,55,46,49,52,
      52,49,54,101,45,48,55,32,55,46,50,57,54,56,53,101,45,48,55,32,55,46,52,53,49,
      50,53,101,45,48,55,10,32,32,55,46,54,48,55,51,51,101,45,48,55,32,55,46,55,54,
      52,55,101,45,48,55,32,55,46,57,50,49,49,49,101,45,48,55,32,56,46,48,55,57,50,
      50,101,45,48,55,32,56,46,50,51,57,101,45,48,55,32,56,46,52,48,48,52,55,101,
      45,48,55,32,56,46,53,54,49,48,54,101,45,48,55,10,32,32,56,46,55,50,49,57,101,
      45,48,55,32,56,46,56,56,52,52,54,101,45,48,55,32,57,46,48,52,56,55,51,101,45,
      48,55,32,57,46,50,49,52,48,49,101,45,48,55,32,57,46,51,55,54,56,57,101,45,48,
      55,32,57,46,53,52,49,53,54,101,45,48,55,32,57,46,55,48,56,48,55,101,45,48,55,
      10,32,32,57,46,56,55,54,57,101,45,48,55,32,49,46,48,48,52,52,51,101,45,48,54,
      32,49,46,48,50,49,49,56,101,45,48,54,32,49,46,48,51,56,49,53,101,45,48,54,32,
      49,46,48,53,53,51,51,101,45,48,54,32,49,46,48,55,50,54,51,101,45,48,54,32,49,
      46,48,56,57,55,52,101,45,48,54,10,32,32,49,46,49,48,55,48,57,101,45,48,54,32,
      49,46,49,50,52,54,53,101,45,48,54,32,49,46,49,52,50,52,51,101,45,48,54,32,49,
      46,49,54,48,49,52,101,45,48,54,32,49,46,49,55,55,57,53,101,45,48,54,32,49,46,
      49,57,53,57,56,101,45,48,54,32,49,46,50,49,52,50,51,101,45,48,54,10,32,32,49,
      46,50,51,50,54,52,101,45,48,54,32,49,46,50,53,48,57,57,101,45,48,54,32,49,46,
      50,54,57,53,54,101,45,48,54,32,49,46,50,56,56,51,55,101,45,48,54,32,49,46,51,
      48,55,51,55,101,45,48,54,32,49,46,51,50,54,52,51,101,45,48,54,32,49,46,51,52,
      53,54,50,101,45,48,54,10,32,32,49,46,51,54,53,48,51,101,45,48,54,32,49,46,51,
      56,52,54,52,101,45,48,54,32,49,46,52,48,52,52,50,101,45,48,54,32,49,46,52,50,
      52,50,54,101,45,48,54,32,49,46,52,52,52,51,49,101,45,48,54,32,49,46,52,54,52,
      53,55,101,45,48,54,32,49,46,52,56,53,48,49,101,45,48,54,10,32,32,49,46,53,48,
      53,53,55,101,45,48,54,32,49,46,53,50,54,51,49,101,45,48,54,32,49,46,53,52,55,
      50,51,101,45,48,54,32,49,46,53,54,56,51,51,101,45,48,54,32,49,46,53,56,57,54,
      50,101,45,48,54,32,49,46,54,49,49,48,53,101,45,48,54,32,49,46,54,51,50,54,54,
      101,45,48,54,10,32,32,49,46,54,53,52,52,52,101,45,48,54,32,49,46,54,55,54,52,
      49,101,45,48,54,32,49,46,54,57,56,53,54,101,45,48,54,32,49,46,55,50,48,56,57,
      101,45,48,54,32,49,46,55,52,51,51,56,101,45,48,54,32,49,46,55,54,54,48,52,101,
      45,48,54,32,49,46,55,56,56,56,56,101,45,48,54,10,32,32,49,46,56,49,49,57,51,
      101,45,48,54,32,49,46,56,51,53,49,53,101,45,48,54,32,49,46,56,54,54,51,50,101,
      45,48,54,32,49,46,57,52,48,48,57,101,45,48,54,32,50,46,48,53,49,50,56,101,45,
      48,54,32,50,46,50,51,56,50,49,101,45,48,54,32,50,46,52,50,55,55,101,45,48,54,
      10,32,32,50,46,54,50,48,48,57,101,45,48,54,32,50,46,56,49,54,50,51,101,45,48,
      54,32,51,46,48,49,54,51,56,101,45,48,54,32,51,46,50,50,48,55,51,101,45,48,54,
      32,51,46,52,50,56,54,101,45,48,54,32,51,46,54,51,56,57,56,101,45,48,54,32,51,
      46,56,53,48,51,55,101,45,48,54,10,32,32,52,46,48,54,50,53,49,101,45,48,54,32,
      52,46,50,55,53,54,53,101,45,48,54,32,52,46,53,51,52,50,52,101,45,48,54,32,52,
      46,56,48,48,48,56,101,45,48,54,32,53,46,49,55,52,54,54,101,45,48,54,32,53,46,
      53,57,48,52,49,101,45,48,54,32,54,46,48,55,50,56,54,101,45,48,54,10,32,32,54,
      46,56,50,57,55,51,101,45,48,54,32,55,46,56,53,52,53,49,101,45,48,54,32,57,46,
      50,51,54,48,56,101,45,48,54,32,49,46,49,50,49,53,56,101,45,48,53,32,49,46,50,
      57,53,56,54,101,45,48,53,32,49,46,52,49,54,50,49,101,45,48,53,32,49,46,52,53,
      57,48,52,101,45,48,53,10,32,32,49,46,52,57,50,50,101,45,48,53,32,49,46,53,52,
      55,52,101,45,48,53,32,49,46,54,51,52,50,49,101,45,48,53,32,49,46,55,54,51,54,
      49,101,45,48,53,32,49,46,57,53,53,53,55,101,45,48,53,32,50,46,50,52,57,48,57,
      101,45,48,53,32,50,46,55,55,51,56,51,101,45,48,53,10,32,32,51,46,54,49,52,56,
      53,101,45,48,53,32,53,46,48,54,51,52,57,101,45,48,53,32,55,46,49,50,56,54,53,
      101,45,48,53,32,55,46,56,51,49,50,49,101,45,48,53,32,55,46,52,54,50,51,53,101,
      45,48,53,32,54,46,56,57,54,56,56,101,45,48,53,32,54,46,53,52,48,49,101,45,48,
      53,10,32,32,54,46,53,51,48,48,54,101,45,48,53,32,54,46,56,49,56,53,51,101,45,
      48,53,32,55,46,52,51,52,52,50,101,45,48,53,32,56,46,51,53,49,56,101,45,48,53,
      32,57,46,55,48,54,50,57,101,45,48,53,32,46,48,48,48,49,49,56,55,53,56,32,46,
      48,48,48,49,53,53,55,53,55,10,32,32,46,48,48,48,49,57,56,49,52,32,46,48,48,
      48,50,52,57,56,50,51,32,46,48,48,48,51,48,54,52,52,32,46,48,48,48,51,57,48,
      48,56,32,46,48,48,48,53,53,48,50,57,53,32,46,48,48,48,55,50,57,57,48,54,32,
      46,48,48,48,56,55,55,54,55,50,32,46,48,48,48,57,55,53,55,52,56,10,32,32,46,
      48,48,49,49,49,54,48,57,32,46,48,48,49,50,56,53,56,49,32,46,48,48,49,52,51,
      53,53,52,32,46,48,48,49,53,49,51,49,51,32,46,48,48,49,53,54,49,48,56,32,46,
      48,48,49,54,53,51,52,49,32,46,48,48,49,56,54,55,51,50,32,46,48,48,50,49,56,
      50,54,49,10,32,32,46,48,48,50,52,55,55,48,49,32,46,48,48,51,49,49,54,55,57,
      32,46,48,48,51,56,49,48,57,32,46,48,48,52,53,54,54,55,52,32,46,48,48,53,52,
      49,57,48,49,32,46,48,48,54,48,55,54,52,52,32,46,48,48,54,54,49,51,50,56,32,
      46,48,48,55,48,50,57,50,56,32,46,48,48,55,51,57,52,53,49,10,32,32,46,48,48,
      55,55,52,49,53,32,46,48,48,56,49,51,48,55,52,32,46,48,48,56,52,49,56,52,32,
      46,48,48,56,55,50,48,49,52,32,46,48,48,57,50,54,55,52,55,32,46,48,48,57,54,
      52,51,55,51,32,46,48,49,48,50,55,54,54,32,46,48,49,48,57,50,52,56,32,46,48,
      49,49,50,54,54,53,10,32,32,46,48,49,49,53,53,56,51,32,46,48,49,49,57,49,51,
      53,32,46,48,49,50,49,56,51,56,32,46,48,49,50,50,56,56,51,32,46,48,49,50,52,
      53,52,56,32,46,48,49,50,53,54,55,56,32,46,48,49,50,56,49,49,56,32,46,48,49,
      51,52,55,48,57,32,46,48,49,51,54,57,51,51,10,32,32,46,48,49,51,55,55,51,49,
      32,46,48,49,51,57,48,54,56,32,46,48,49,52,48,50,53,56,32,46,48,49,52,49,48,
      51,52,32,46,48,49,52,49,54,50,52,32,46,48,49,52,50,48,49,54,32,46,48,49,52,
      50,50,53,56,32,46,48,49,52,50,51,54,55,32,46,48,49,52,50,51,51,52,10,32,32,
      46,48,49,52,50,49,54,52,32,46,48,49,52,49,57,53,53,32,46,48,49,52,49,52,55,
      32,46,48,49,52,49,48,56,56,32,46,48,49,52,48,53,51,49,32,46,48,49,51,56,57,
      49,54,32,46,48,49,51,54,48,54,52,32,46,48,49,51,50,55,49,52,32,46,48,49,50,
      55,57,51,56,10,32,32,46,48,49,50,50,55,48,50,32,46,48,49,49,54,48,52,54,32,
      46,48,49,49,48,51,51,49,32,46,48,49,48,48,57,49,51,32,46,48,48,56,56,54,51,
      52,52,32,46,48,48,56,51,48,49,57,52,32,46,48,48,55,55,48,52,49,57,32,46,48,
      48,54,57,53,55,56,53,32,46,48,48,54,51,53,51,50,57,10,32,32,46,48,48,53,55,
      57,51,53,56,32,46,48,48,53,50,48,55,48,53,32,46,48,48,52,54,55,52,52,52,32,
      46,48,48,52,50,52,57,57,57,32,46,48,48,51,56,54,49,53,53,32,46,48,48,51,53,
      48,54,53,55,32,46,48,48,51,49,51,56,57,57,32,46,48,48,50,55,54,57,55,57,10,
      32,32,46,48,48,50,52,48,56,57,52,32,46,48,48,50,49,50,51,53,50,32,46,48,48,
      49,56,52,53,50,50,32,46,48,48,49,54,50,53,54,56,32,46,48,48,49,52,51,50,32,
      46,48,48,49,50,52,51,53,52,32,46,48,48,49,48,54,56,54,49,32,46,48,48,48,57,
      53,48,52,51,53,32,46,48,48,48,56,50,57,56,57,54,10,32,32,46,48,48,48,55,51,
      54,54,49,51,32,46,48,48,48,54,52,56,52,54,54,32,46,48,48,48,53,55,48,56,54,
      51,32,46,48,48,48,53,48,50,53,53,50,32,46,48,48,48,52,52,50,52,49,53,32,46,
      48,48,48,51,56,57,52,53,53,32,46,48,48,48,51,52,50,56,53,32,46,48,48,48,51,
      48,49,56,51,53,10,32,32,46,48,48,48,50,54,53,55,52,49,32,46,48,48,48,50,51,
      51,57,55,51,32,46,48,48,48,50,48,54,48,49,53,32,46,48,48,48,49,56,49,52,48,
      53,32,46,48,48,48,49,53,57,55,52,55,32,46,48,48,48,49,52,48,54,56,52,32,46,
      48,48,48,49,50,51,57,48,51,32,46,48,48,48,49,48,57,49,50,56,10,32,32,57,46,
      54,49,48,51,50,101,45,48,53,32,56,46,52,54,51,55,49,101,45,48,53,32,55,46,52,
      53,52,50,52,101,45,48,53,32,54,46,53,54,53,56,101,45,48,53,32,53,46,55,56,51,
      54,53,101,45,48,53,32,53,46,48,57,52,57,56,101,45,48,53,32,52,46,52,56,56,54,
      49,101,45,48,53,10,32,32,51,46,57,53,52,54,56,101,45,48,53,32,51,46,52,56,52,
      54,51,101,45,48,53,32,51,46,48,55,48,53,51,101,45,48,53,32,50,46,55,48,53,56,
      50,101,45,48,53,32,50,46,51,56,52,53,57,101,45,48,53,32,50,46,49,48,49,54,50,
      101,45,48,53,32,49,46,56,53,50,51,53,101,45,48,53,10,32,32,49,46,54,51,50,55,
      52,101,45,48,53,32,49,46,52,51,57,49,56,101,45,48,53,32,49,46,50,54,56,55,49,
      101,45,48,53,32,49,46,49,53,48,49,54,101,45,48,53,32,49,46,48,52,50,55,49,101,
      45,48,53,32,57,46,52,53,51,51,55,101,45,48,54,32,56,46,53,55,48,56,54,101,45,
      48,54,10,32,32,55,46,55,55,49,53,101,45,48,54,32,54,46,57,53,56,52,50,101,45,
      48,54,32,54,46,48,53,48,51,52,101,45,48,54,32,53,46,50,54,49,49,51,101,45,48,
      54,32,52,46,53,55,53,49,55,101,45,48,54,32,51,46,57,55,56,57,50,101,45,48,54,
      32,51,46,52,54,48,53,57,101,45,48,54,10,32,32,51,46,48,48,57,57,56,101,45,48,
      54,32,50,46,54,49,56,50,101,45,48,54,32,50,46,50,55,55,53,53,101,45,48,54,32,
      49,46,57,56,49,51,51,101,45,48,54,32,49,46,55,50,51,55,53,101,45,48,54,32,49,
      46,52,57,57,55,51,101,45,48,54,32,49,46,51,48,52,57,49,101,45,48,54,10,32,32,
      49,46,49,51,53,52,54,101,45,48,54,32,57,46,56,56,48,54,56,101,45,48,55,32,56,
      46,53,57,56,53,56,101,45,48,55,32,55,46,52,56,51,50,52,101,45,48,55,32,54,46,
      53,49,50,57,49,101,45,48,55,32,53,46,54,54,56,54,55,101,45,48,55,32,52,46,57,
      51,52,49,49,101,45,48,55,10,32,32,52,46,50,57,52,57,53,101,45,48,55,32,51,46,
      55,51,56,50,53,101,45,48,55,32,51,46,50,53,52,50,56,101,45,48,55,32,50,46,56,
      51,50,52,53,101,45,48,55,32,50,46,52,54,53,52,51,101,45,48,55,32,50,46,49,52,
      54,48,54,101,45,48,55,32,49,46,56,54,56,49,53,101,45,48,55,10,32,32,49,46,54,
      50,54,51,101,45,48,55,32,49,46,52,49,53,56,51,101,45,48,55,32,49,46,50,51,50,
      54,53,101,45,48,55,32,49,46,48,55,51,50,50,101,45,48,55,32,57,46,51,52,52,52,
      51,101,45,48,56,32,56,46,49,51,54,52,55,101,45,48,56,32,55,46,48,56,52,57,55,
      101,45,48,56,10,32,32,54,46,49,54,57,54,101,45,48,56,32,53,46,51,55,50,55,51,
      101,45,48,56,32,52,46,54,55,56,57,53,101,45,48,56,32,51,46,53,52,57,48,49,101,
      45,48,56,32,50,46,54,57,50,50,57,101,45,48,56,32,50,46,48,52,50,55,49,101,45,
      48,56,32,49,46,53,53,48,48,56,101,45,48,56,10,32,32,49,46,49,55,54,52,50,101,
      45,48,56,32,56,46,57,50,57,52,51,101,45,48,57,32,54,46,55,55,56,54,54,101,45,
      48,57,32,53,46,49,52,54,53,56,101,45,48,57,32,51,46,57,48,55,57,50,101,45,48,
      57,32,50,46,57,54,55,55,52,101,45,48,57,32,50,46,50,53,52,101,45,48,57,10,32,
      32,49,46,55,49,50,49,101,45,48,57,32,49,46,51,48,48,54,51,101,45,48,57,32,57,
      46,56,56,49,52,55,101,45,49,48,32,55,46,53,48,56,49,57,101,45,49,48,32,53,46,
      55,48,53,52,56,101,45,49,48,32,52,46,51,51,53,52,51,101,45,49,48,32,51,46,50,
      57,52,53,50,101,45,49,48,10,32,32,50,46,53,48,51,55,55,101,45,49,48,32,49,46,
      57,48,50,57,56,101,45,49,48,32,49,46,52,52,54,52,57,101,45,49,48,32,49,46,48,
      57,57,53,57,101,45,49,48,32,56,46,51,53,57,54,101,45,49,49,32,54,46,51,53,53,
      56,54,101,45,49,49,32,52,46,56,51,50,56,101,45,49,49,10,32,32,51,46,54,55,53,
      48,49,101,45,49,49,32,50,46,55,57,52,56,49,101,45,49,49,32,50,46,49,50,53,54,
      101,45,49,49,32,49,46,54,49,54,55,57,101,45,49,49,32,54,46,51,50,53,50,52,101,
      45,49,50,32,50,46,53,51,54,51,51,101,45,49,49,32,53,46,55,49,49,52,55,101,45,
      49,49,10,32,32,54,46,51,50,53,52,51,101,45,49,49,32,50,46,53,51,54,53,55,101,
      45,49,48,32,53,46,55,49,50,51,49,101,45,49,48,32,49,46,48,49,53,51,54,101,45,
      48,57,32,49,46,53,56,54,49,101,45,48,57,32,50,46,50,56,52,55,53,101,45,48,57,
      32,51,46,49,48,57,52,55,101,45,48,57,10,32,32,52,46,48,54,50,50,51,101,45,48,
      57,32,53,46,49,52,49,56,56,101,45,48,57,32,54,46,51,52,56,53,50,101,45,48,57,
      32,55,46,54,56,50,57,101,45,48,57,32,57,46,49,52,53,49,56,101,45,48,57,32,49,
      46,48,55,51,52,57,101,45,48,56,32,49,46,50,52,53,50,55,101,45,48,56,10,32,32,
      49,46,52,50,57,57,101,45,48,56,32,49,46,54,50,55,51,54,101,45,48,56,32,49,46,
      56,51,55,54,54,101,45,48,56,32,50,46,48,54,48,55,57,101,45,48,56,32,50,46,50,
      57,54,56,101,45,48,56,32,50,46,53,52,53,54,56,101,45,48,56,32,50,46,56,48,55,
      53,51,101,45,48,56,10,32,32,51,46,48,56,50,51,52,101,45,48,56,32,51,46,51,55,
      48,48,53,101,45,48,56,32,51,46,54,55,48,54,54,101,45,48,56,32,51,46,57,56,52,
      51,54,101,45,48,56,32,52,46,51,49,49,48,53,101,45,48,56,32,52,46,54,53,48,55,
      52,101,45,48,56,32,53,46,48,48,51,51,50,101,45,48,56,10,32,32,53,46,51,54,56,
      57,56,101,45,48,56,32,53,46,55,52,55,54,55,101,45,48,56,32,54,46,49,51,57,52,
      56,101,45,48,56,32,54,46,53,52,52,49,56,101,45,48,56,32,54,46,57,54,49,57,101,
      45,48,56,32,55,46,51,57,50,54,51,101,45,48,56,32,55,46,56,51,54,52,55,101,45,
      48,56,10,32,32,56,46,50,57,51,52,54,101,45,48,56,32,56,46,55,54,51,48,57,101,
      45,48,56,32,57,46,50,52,53,56,51,101,45,48,56,32,57,46,55,52,49,55,51,101,45,
      48,56,32,49,46,48,50,53,48,56,101,45,48,55,32,49,46,48,55,55,50,53,101,45,48,
      55,32,49,46,49,51,48,55,50,101,45,48,55,10,32,32,49,46,49,56,53,53,49,101,45,
      48,55,32,49,46,50,52,49,54,101,45,48,55,32,49,46,50,57,57,48,49,101,45,48,55,
      32,49,46,51,53,55,54,56,101,45,48,55,32,49,46,52,49,55,54,54,101,45,48,55,32,
      49,46,52,55,56,57,54,101,45,48,55,32,49,46,53,52,49,53,55,101,45,48,55,10,32,
      32,49,46,54,48,53,52,56,101,45,48,55,32,49,46,54,55,48,54,56,101,45,48,55,32,
      49,46,55,51,55,50,101,45,48,55,32,49,46,56,48,53,48,52,101,45,48,55,32,49,46,
      56,55,52,50,101,45,48,55,32,49,46,57,52,52,54,54,101,45,48,55,32,50,46,48,49,
      54,52,52,101,45,48,55,10,32,32,50,46,48,56,57,53,52,101,45,48,55,32,50,46,49,
      54,51,57,55,101,45,48,55,32,50,46,50,51,57,55,51,101,45,48,55,32,50,46,51,49,
      54,56,50,101,45,48,55,32,50,46,51,57,53,50,52,101,45,48,55,32,50,46,52,55,52,
      57,57,101,45,48,55,32,50,46,53,53,54,48,55,101,45,48,55,10,32,32,50,46,54,51,
      56,53,52,101,45,48,55,32,50,46,55,50,50,51,51,101,45,48,55,32,50,46,56,48,55,
      52,56,101,45,48,55,32,50,46,56,57,51,57,53,101,45,48,55,32,50,46,57,56,49,56,
      50,101,45,48,55,32,51,46,48,55,49,48,56,101,45,48,55,32,51,46,49,54,49,54,56,
      101,45,48,55,10,32,32,51,46,50,53,51,54,51,101,45,48,55,32,51,46,51,52,54,57,
      54,101,45,48,55,32,51,46,52,52,49,55,50,101,45,48,55,32,51,46,53,51,55,56,53,
      101,45,48,55,32,51,46,54,51,53,51,53,101,45,48,55,32,51,46,55,51,52,50,50,101,
      45,48,55,32,51,46,56,51,52,53,49,101,45,48,55,10,32,32,51,46,57,51,54,50,101,
      45,48,55,32,52,46,48,51,57,50,57,101,45,48,55,32,52,46,49,52,51,55,56,101,45,
      48,55,32,52,46,50,52,57,54,51,101,45,48,55,32,52,46,51,53,54,56,51,101,45,48,
      55,32,52,46,52,54,53,53,101,45,48,55,32,52,46,53,55,53,53,52,101,45,48,55,10,
      32,32,52,46,54,56,54,57,51,101,45,48,55,32,52,46,55,57,57,53,57,101,45,48,55,
      32,52,46,57,49,51,53,57,101,45,48,55,32,53,46,48,50,57,48,57,101,45,48,55,32,
      53,46,49,52,53,57,53,101,45,48,55,32,53,46,50,54,52,49,49,101,45,48,55,32,53,
      46,51,56,51,49,57,101,45,48,55,10,32,32,53,46,53,48,51,54,51,101,45,48,55,32,
      53,46,54,50,53,52,49,101,45,48,55,32,53,46,55,52,56,53,53,101,45,48,55,32,53,
      46,56,55,50,53,101,45,48,55,32,53,46,57,57,55,52,52,101,45,48,55,32,54,46,49,
      50,51,55,52,101,45,48,55,32,54,46,50,53,49,51,57,101,45,48,55,10,32,32,54,46,
      51,56,48,50,49,101,45,48,55,32,54,46,53,48,57,50,101,45,48,55,32,54,46,54,51,
      57,53,53,101,45,48,55,32,54,46,55,55,49,50,51,101,45,48,55,32,54,46,57,48,52,
      50,55,101,45,48,55,32,55,46,48,51,55,53,49,101,45,48,55,32,55,46,49,55,49,52,
      54,101,45,48,55,10,32,32,55,46,51,48,54,55,55,101,45,48,55,32,55,46,52,52,51,
      52,52,101,45,48,55,32,55,46,53,56,49,49,54,101,45,48,55,32,55,46,55,49,56,52,
      49,101,45,48,55,32,55,46,56,53,55,48,52,101,45,48,55,32,55,46,57,57,55,49,101,
      45,48,55,32,56,46,49,51,56,56,55,101,45,48,55,10,32,32,56,46,50,56,48,54,50,
      101,45,48,55,32,56,46,52,50,51,48,53,101,45,48,55,32,56,46,53,54,55,48,56,101,
      45,48,55,32,56,46,55,49,50,54,54,101,45,48,55,32,56,46,56,53,57,51,52,101,45,
      48,55,32,57,46,48,48,53,57,53,101,45,48,55,32,57,46,49,53,52,50,49,101,45,48,
      55,10,32,32,57,46,51,48,52,48,51,101,45,48,55,32,57,46,52,53,53,52,49,101,45,
      48,55,32,57,46,54,48,55,50,51,101,45,48,55,32,57,46,55,54,48,48,57,101,45,48,
      55,32,57,46,57,49,52,54,101,45,48,55,32,49,46,48,48,55,48,54,101,45,48,54,32,
      49,46,48,50,50,56,101,45,48,54,10,32,32,49,46,48,51,56,53,57,101,45,48,54,32,
      49,46,48,53,52,53,51,101,45,48,54,32,49,46,48,55,48,54,52,101,45,48,54,32,49,
      46,48,56,54,56,57,101,45,48,54,32,49,46,49,48,51,50,52,101,45,48,54,32,49,46,
      49,49,57,55,49,101,45,48,54,32,49,46,49,51,54,51,52,101,45,48,54,10,32,32,49,
      46,49,53,51,49,49,101,45,48,54,32,49,46,49,55,48,48,51,101,45,48,54,32,49,46,
      49,56,55,48,51,101,45,48,54,32,49,46,50,48,52,49,56,101,45,48,54,32,49,46,50,
      50,49,52,57,101,45,48,54,32,49,46,50,51,56,57,53,101,45,48,54,32,49,46,50,53,
      54,53,49,101,45,48,54,10,32,32,49,46,50,55,52,50,49,101,45,48,54,32,49,46,50,
      57,50,48,53,101,45,48,54,32,49,46,51,49,48,48,52,101,45,48,54,32,49,46,51,50,
      56,49,54,101,45,48,54,32,49,46,51,52,54,52,49,101,45,48,54,32,49,46,51,54,52,
      56,101,45,48,54,32,49,46,51,56,51,51,50,101,45,48,54,10,32,32,49,46,52,48,49,
      57,57,101,45,48,54,32,49,46,52,50,48,55,57,101,45,48,54,32,49,46,52,51,57,55,
      52,101,45,48,54,32,49,46,52,53,56,56,101,45,48,54,32,49,46,52,55,56,48,49,101,
      45,48,54,32,49,46,52,57,55,51,54,101,45,48,54,32,49,46,53,49,54,56,53,101,45,
      48,54,10,32,32,49,46,53,51,54,52,56,101,45,48,54,32,49,46,53,54,50,56,50,101,
      45,48,54,32,49,46,54,50,53,48,51,101,45,48,54,32,49,46,55,49,56,53,51,101,45,
      48,54,32,49,46,56,55,52,57,49,101,45,48,54,32,50,46,48,51,50,49,57,101,45,48,
      54,32,50,46,49,57,48,53,49,101,45,48,54,10,32,32,50,46,51,53,48,50,52,101,45,
      48,54,32,50,46,53,49,49,53,54,101,45,48,54,32,50,46,54,55,52,54,54,101,45,48,
      54,32,50,46,56,51,57,51,57,101,45,48,54,32,51,46,48,48,53,52,51,101,45,48,54,
      32,51,46,49,55,50,49,54,101,45,48,54,32,51,46,51,51,57,52,55,101,45,48,54,10,
      32,32,51,46,53,48,55,52,52,101,45,48,54,32,51,46,55,49,48,53,54,101,45,48,54,
      32,51,46,57,49,55,52,53,101,45,48,54,32,52,46,50,48,52,48,52,101,45,48,54,32,
      52,46,53,49,51,55,52,101,45,48,54,32,52,46,56,54,51,57,54,101,45,48,54,32,53,
      46,52,48,52,55,54,101,45,48,54,10,32,32,54,46,49,52,50,53,53,101,45,48,54,32,
      55,46,49,54,52,49,52,101,45,48,54,32,56,46,54,54,56,54,51,101,45,48,54,32,49,
      46,48,48,49,51,55,101,45,48,53,32,49,46,48,57,52,52,49,101,45,48,53,32,49,46,
      49,50,55,52,101,45,48,53,32,49,46,49,53,51,50,51,101,45,48,53,10,32,32,49,46,
      49,57,54,51,56,101,45,48,53,32,49,46,50,54,51,56,54,101,45,48,53,32,49,46,51,
      54,51,56,55,101,45,48,53,32,49,46,53,49,49,55,49,101,45,48,53,32,49,46,55,51,
      55,56,55,101,45,48,53,32,50,46,49,52,53,54,101,45,48,53,32,50,46,56,48,54,55,
      52,101,45,48,53,10,32,32,51,46,57,53,55,50,57,101,45,48,53,32,53,46,54,48,54,
      48,56,101,45,48,53,32,54,46,49,53,57,50,49,101,45,48,53,32,53,46,56,53,51,50,
      49,101,45,48,53,32,53,46,51,56,56,55,51,101,45,48,53,32,53,46,48,57,50,49,49,
      101,45,48,53,32,53,46,48,55,51,54,49,101,45,48,53,10,32,32,53,46,50,57,51,48,
      55,101,45,48,53,32,53,46,55,55,49,55,55,101,45,48,53,32,54,46,52,57,48,53,53,
      101,45,48,53,32,55,46,53,53,55,57,50,101,45,48,53,32,57,46,50,55,53,56,101,
      45,48,53,32,46,48,48,48,49,50,50,49,56,54,32,46,48,48,48,49,53,54,48,48,49,
      10,32,32,46,48,48,48,49,57,55,51,53,50,32,46,48,48,48,50,52,50,56,48,49,32,
      46,48,48,48,51,49,48,49,55,55,32,46,48,48,48,52,51,57,57,48,49,32,46,48,48,
      48,53,56,54,50,49,53,32,46,48,48,48,55,48,54,57,54,55,32,46,48,48,48,55,56,
      55,48,51,56,32,46,48,48,48,57,48,49,54,57,55,10,32,32,46,48,48,49,48,52,49,
      48,56,32,46,48,48,49,49,54,51,56,51,32,46,48,48,49,50,50,54,51,49,32,46,48,
      48,49,50,54,51,57,52,32,46,48,48,49,51,51,56,55,32,46,48,48,49,53,49,53,48,
      49,32,46,48,48,49,55,55,55,54,49,32,46,48,48,50,48,50,52,57,51,32,46,48,48,
      50,53,54,56,49,49,10,32,32,46,48,48,51,49,54,54,54,56,32,46,48,48,51,56,51,
      48,52,49,32,46,48,48,52,53,57,51,52,49,32,46,48,48,53,49,56,57,54,57,32,46,
      48,48,53,54,55,50,54,51,32,46,48,48,54,48,51,57,53,54,32,46,48,48,54,51,53,
      56,54,55,32,46,48,48,54,54,54,49,54,55,10,32,32,46,48,48,55,48,48,50,49,53,
      32,46,48,48,55,50,53,52,50,52,32,46,48,48,55,53,50,48,55,50,32,46,48,48,56,
      48,49,51,32,46,48,48,56,51,53,57,49,54,32,46,48,48,56,57,53,54,55,50,32,46,
      48,48,57,53,56,56,57,56,32,46,48,48,57,57,51,51,49,55,32,46,48,49,48,50,51,
      54,10,32,32,46,48,49,48,54,49,57,55,32,46,48,49,48,57,51,49,51,32,46,48,49,
      49,48,53,57,54,32,46,48,49,49,50,53,51,55,32,46,48,49,49,51,55,53,56,32,46,
      48,49,49,54,49,56,56,32,46,48,49,50,49,54,56,57,32,46,48,49,50,52,48,56,49,
      32,46,48,49,50,52,57,53,55,10,32,32,46,48,49,50,54,52,54,32,46,48,49,50,55,
      56,53,52,32,46,48,49,50,56,56,49,49,32,46,48,49,50,57,53,57,49,32,46,48,49,
      51,48,49,54,57,32,46,48,49,51,48,54,32,46,48,49,51,48,57,50,56,32,46,48,49,
      51,49,48,57,50,32,46,48,49,51,49,49,52,51,32,46,48,49,51,49,48,57,54,10,32,
      32,46,48,49,51,48,56,55,56,32,46,48,49,51,48,54,54,50,32,46,48,49,51,48,51,
      49,50,32,46,48,49,50,57,49,55,56,32,46,48,49,50,54,57,55,52,32,46,48,49,50,
      52,50,52,50,32,46,48,49,50,48,50,48,52,32,46,48,49,49,53,54,53,55,32,46,48,
      49,48,57,55,54,51,10,32,32,46,48,49,48,52,54,51,52,32,46,48,48,57,54,48,53,
      55,32,46,48,48,56,52,55,50,54,55,32,46,48,48,55,57,52,57,51,54,32,46,48,48,
      55,51,56,57,53,52,32,46,48,48,54,54,56,55,53,56,32,46,48,48,54,49,49,54,53,
      49,32,46,48,48,53,53,56,53,57,56,32,46,48,48,53,48,50,56,50,49,10,32,32,46,
      48,48,52,53,50,48,48,56,32,46,48,48,52,49,49,52,49,54,32,46,48,48,51,55,52,
      50,48,52,32,46,48,48,51,52,48,49,53,57,32,46,48,48,51,48,52,56,49,50,32,46,
      48,48,50,54,57,50,51,50,32,46,48,48,50,51,52,51,57,53,32,46,48,48,50,48,54,
      56,49,55,10,32,32,46,48,48,49,55,57,56,55,55,32,46,48,48,49,53,56,53,57,32,
      46,48,48,49,51,57,55,56,57,32,46,48,48,49,50,49,52,55,53,32,46,48,48,49,48,
      52,52,55,56,32,46,48,48,48,57,50,57,56,51,50,32,46,48,48,48,56,49,50,51,50,
      57,32,46,48,48,48,55,50,49,51,50,57,10,32,32,46,48,48,48,54,51,53,50,56,53,
      32,46,48,48,48,53,53,57,53,48,49,32,46,48,48,48,52,57,50,55,53,50,32,46,48,
      48,48,52,51,51,57,54,53,32,46,48,48,48,51,56,50,49,57,49,32,46,48,48,48,51,
      51,54,53,57,57,32,46,48,48,48,50,57,54,52,50,53,32,46,48,48,48,50,54,49,48,
      53,54,10,32,32,46,48,48,48,50,50,57,57,49,54,32,46,48,48,48,50,48,50,52,57,
      57,32,46,48,48,48,49,55,56,51,53,55,32,46,48,48,48,49,53,55,49,48,50,32,46,
      48,48,48,49,51,56,51,56,55,32,46,48,48,48,49,50,49,57,48,56,32,46,48,48,48,
      49,48,55,51,57,56,32,57,46,52,54,50,49,56,101,45,48,53,10,32,32,56,46,51,51,
      54,56,51,101,45,48,53,32,55,46,51,52,53,49,49,101,45,48,53,32,54,46,52,55,48,
      56,51,101,45,48,53,32,53,46,55,48,48,57,54,101,45,48,53,32,53,46,48,50,50,57,
      56,101,45,48,53,32,52,46,52,50,53,57,50,101,45,48,53,32,51,46,57,48,48,48,55,
      101,45,48,53,10,32,32,51,46,52,51,55,48,53,101,45,48,53,32,51,46,48,50,57,48,
      55,101,45,48,53,32,50,46,54,54,57,54,53,101,45,48,53,32,50,46,51,53,51,48,51,
      101,45,48,53,32,50,46,48,55,52,48,56,101,45,48,53,32,49,46,56,50,56,51,49,101,
      45,48,53,32,49,46,54,49,49,55,53,101,45,48,53,10,32,32,49,46,52,50,48,56,53,
      101,45,48,53,32,49,46,50,53,50,54,57,101,45,48,53,32,49,46,49,51,53,56,51,101,
      45,48,53,32,49,46,48,50,57,57,101,45,48,53,32,57,46,51,51,56,56,56,101,45,48,
      54,32,56,46,52,54,56,53,101,45,48,54,32,55,46,54,55,57,57,57,101,45,48,54,10,
      32,32,54,46,56,55,55,49,52,101,45,48,54,32,53,46,57,56,48,51,49,101,45,48,54,
      32,53,46,50,48,48,55,54,101,45,48,54,32,52,46,53,50,51,49,49,101,45,48,54,32,
      51,46,57,51,52,101,45,48,54,32,51,46,52,50,49,56,51,101,45,48,54,32,50,46,57,
      55,54,53,50,101,45,48,54,10,32,32,50,46,53,56,57,51,50,101,45,48,54,32,50,46,
      50,53,50,54,51,101,45,48,54,32,49,46,57,53,57,56,51,101,45,48,54,32,49,46,55,
      48,53,49,56,101,45,48,54,32,49,46,52,56,51,55,49,101,45,48,54,32,49,46,50,57,
      49,48,55,101,45,48,54,32,49,46,49,50,51,53,101,45,48,54,10,32,32,57,46,55,55,
      55,51,53,101,45,48,55,32,56,46,53,48,57,50,101,45,48,55,32,55,46,52,48,53,57,
      49,101,45,48,55,32,54,46,52,52,54,48,49,101,45,48,55,32,53,46,54,49,48,55,57,
      101,45,48,55,32,52,46,56,56,52,48,53,101,45,48,55,32,52,46,50,53,49,54,52,101,
      45,48,55,10,32,32,51,46,55,48,48,56,101,45,48,55,32,51,46,50,50,50,51,53,101,
      45,48,55,32,50,46,56,48,53,53,101,45,48,55,32,50,46,52,52,50,54,57,101,45,48,
      55,32,50,46,49,50,54,56,57,101,45,48,55,32,49,46,56,53,49,57,57,101,45,48,55,
      32,49,46,54,49,50,52,55,101,45,48,55,10,32,32,49,46,52,48,51,56,54,101,45,48,
      55,32,49,46,50,50,50,50,56,101,45,48,55,32,49,46,48,54,52,50,52,101,45,48,55,
      32,57,46,50,54,54,54,56,101,45,48,56,32,56,46,48,54,57,49,52,101,45,48,56,32,
      55,46,48,50,54,54,52,101,45,48,56,32,54,46,49,49,57,48,56,101,45,48,56,10,32,
      32,53,46,51,50,56,57,52,101,45,48,56,32,52,46,54,52,49,48,49,101,45,48,56,32,
      51,46,53,50,48,52,57,101,45,48,56,32,50,46,54,55,48,56,52,101,45,48,56,32,50,
      46,48,50,54,53,57,101,45,48,56,32,49,46,53,51,55,57,54,101,45,48,56,32,49,46,
      49,54,55,51,101,45,48,56,10,32,32,56,46,56,54,48,56,52,101,45,48,57,32,54,46,
      55,50,55,101,45,48,57,32,53,46,49,48,55,54,54,101,45,48,57,32,51,46,56,55,56,
      54,101,45,48,57,32,50,46,57,52,53,54,50,101,45,48,57,32,50,46,50,51,55,51,50,
      101,45,48,57,32,49,46,54,57,57,53,50,101,45,48,57,10,32,32,49,46,50,57,49,49,
      52,101,45,48,57,32,57,46,56,48,57,56,57,101,45,49,48,32,55,46,52,53,52,49,56,
      101,45,49,48,32,53,46,54,54,52,55,50,101,45,49,48,32,52,46,51,48,53,50,52,101,
      45,49,48,32,51,46,50,55,50,51,51,101,45,49,48,32,50,46,52,56,55,52,54,101,45,
      49,48,10,32,32,49,46,56,57,49,48,49,101,45,49,48,32,49,46,52,51,55,52,57,101,
      45,49,48,32,49,46,48,57,50,56,101,45,49,48,32,56,46,51,48,56,50,52,101,45,49,
      49,32,54,46,51,49,55,48,54,101,45,49,49,32,52,46,56,48,51,52,56,101,45,49,49,
      32,51,46,54,53,50,56,52,101,45,49,49,10,32,32,50,46,55,55,56,48,52,101,45,49,
      49,32,50,46,49,49,50,57,101,45,49,49,32,49,46,54,48,55,49,55,101,45,49,49,32,
      53,46,50,57,53,48,54,101,45,49,50,32,50,46,49,50,50,52,49,101,45,49,49,32,52,
      46,55,55,54,56,49,101,45,49,49,32,53,46,50,56,57,56,52,101,45,49,49,10,32,32,
      50,46,49,49,54,49,50,101,45,49,48,32,52,46,55,53,49,49,53,101,45,49,48,32,56,
      46,52,49,54,56,55,101,45,49,48,32,49,46,51,49,48,48,55,101,45,48,57,32,49,46,
      56,56,48,48,49,101,45,48,57,32,50,46,53,52,56,55,101,45,48,57,32,51,46,51,49,
      54,52,52,101,45,48,57,10,32,32,52,46,49,56,49,101,45,48,57,32,53,46,49,52,49,
      53,53,101,45,48,57,32,54,46,49,57,55,52,53,101,45,48,57,32,55,46,51,52,55,55,
      51,101,45,48,57,32,56,46,53,57,49,49,54,101,45,48,57,32,57,46,57,50,55,57,55,
      101,45,48,57,32,49,46,49,51,53,55,51,101,45,48,56,10,32,32,49,46,50,56,55,55,
      57,101,45,48,56,32,49,46,52,52,56,57,54,101,45,48,56,32,49,46,54,49,57,49,54,
      101,45,48,56,32,49,46,55,57,56,54,53,101,45,48,56,32,49,46,57,56,55,49,52,101,
      45,48,56,32,50,46,49,56,52,54,55,101,45,48,56,32,50,46,51,57,49,49,56,101,45,
      48,56,10,32,32,50,46,54,48,54,57,49,101,45,48,56,32,50,46,56,51,49,56,55,101,
      45,48,56,32,51,46,48,54,53,57,49,101,45,48,56,32,51,46,51,48,56,57,53,101,45,
      48,56,32,51,46,53,54,49,101,45,48,56,32,51,46,56,50,50,56,53,101,45,48,56,32,
      52,46,48,57,51,56,51,101,45,48,56,10,32,32,52,46,51,55,51,56,55,101,45,48,56,
      32,52,46,54,54,51,48,51,101,45,48,56,32,52,46,57,54,49,56,101,45,48,56,32,53,
      46,50,55,48,50,53,101,45,48,56,32,53,46,53,56,55,56,101,45,48,56,32,53,46,57,
      49,52,53,51,101,45,48,56,32,54,46,50,53,48,53,50,101,45,48,56,10,32,32,54,46,
      53,57,54,55,51,101,45,48,56,32,54,46,57,53,50,49,55,101,45,48,56,32,55,46,51,
      49,54,56,54,101,45,48,56,32,55,46,54,57,48,55,57,101,45,48,56,32,56,46,48,55,
      52,52,53,101,45,48,56,32,56,46,52,54,55,56,52,101,45,48,56,32,56,46,56,55,48,
      53,54,101,45,48,56,10,32,32,57,46,50,56,50,52,56,101,45,48,56,32,57,46,55,48,
      51,55,50,101,45,48,56,32,49,46,48,49,51,53,101,45,48,55,32,49,46,48,53,55,53,
      53,101,45,48,55,32,49,46,49,48,50,53,52,101,45,48,55,32,49,46,49,52,56,52,53,
      101,45,48,55,32,49,46,49,57,53,51,50,101,45,48,55,10,32,32,49,46,50,52,51,49,
      52,101,45,48,55,32,49,46,50,57,49,56,57,101,45,48,55,32,49,46,51,52,49,53,55,
      101,45,48,55,32,49,46,51,57,50,49,56,101,45,48,55,32,49,46,52,52,51,55,52,101,
      45,48,55,32,49,46,52,57,54,50,50,101,45,48,55,32,49,46,53,52,57,54,52,101,45,
      48,55,10,32,32,49,46,54,48,51,57,56,101,45,48,55,32,49,46,54,53,57,50,53,101,
      45,48,55,32,49,46,55,49,53,52,51,101,45,48,55,32,49,46,55,55,50,53,53,101,45,
      48,55,32,49,46,56,51,48,54,49,101,45,48,55,32,49,46,56,56,57,53,56,101,45,48,
      55,32,49,46,57,52,57,52,53,101,45,48,55,10,32,32,50,46,48,49,48,50,54,101,45,
      48,55,32,50,46,48,55,49,57,57,101,45,48,55,32,50,46,49,51,52,54,55,101,45,48,
      55,32,50,46,49,57,56,50,53,101,45,48,55,32,50,46,50,54,50,55,52,101,45,48,55,
      32,50,46,51,50,56,49,56,101,45,48,55,32,50,46,51,57,52,53,53,101,45,48,55,10,
      32,32,50,46,52,54,49,56,55,101,45,48,55,32,50,46,53,51,48,48,55,101,45,48,55,
      32,50,46,53,57,57,50,50,101,45,48,55,32,50,46,54,54,57,51,51,101,45,48,55,32,
      50,46,55,52,48,51,57,101,45,48,55,32,50,46,56,49,50,51,57,101,45,48,55,32,50,
      46,56,56,53,51,50,101,45,48,55,10,32,32,50,46,57,53,57,50,50,101,45,48,55,32,
      51,46,48,51,52,49,49,101,45,48,55,32,51,46,49,48,57,57,52,101,45,48,55,32,51,
      46,49,56,54,55,49,101,45,48,55,32,51,46,50,54,52,53,50,101,45,48,55,32,51,46,
      51,52,51,50,57,101,45,48,55,32,51,46,52,50,50,57,57,101,45,48,55,10,32,32,51,
      46,53,48,51,54,54,101,45,48,55,32,51,46,53,56,53,51,53,101,45,48,55,32,51,46,
      54,54,56,49,51,101,45,48,55,32,51,46,55,53,49,56,52,101,45,48,55,32,51,46,56,
      51,54,53,101,45,48,55,32,51,46,57,50,50,49,52,101,45,48,55,32,52,46,48,48,56,
      55,50,101,45,48,55,10,32,32,52,46,48,57,54,50,52,101,45,48,55,32,52,46,49,56,
      52,55,101,45,48,55,32,52,46,50,55,52,49,53,101,45,48,55,32,52,46,51,54,52,53,
      53,101,45,48,55,32,52,46,52,53,53,57,50,101,45,48,55,32,52,46,53,52,56,50,50,
      101,45,48,55,32,52,46,54,52,49,52,56,101,45,48,55,10,32,32,52,46,55,51,53,55,
      53,101,45,48,55,32,52,46,56,51,48,57,55,101,45,48,55,32,52,46,57,50,55,49,51,
      101,45,48,55,32,53,46,48,50,52,50,52,101,45,48,55,32,53,46,49,50,50,51,55,101,
      45,48,55,32,53,46,50,50,49,52,56,101,45,48,55,32,53,46,51,50,49,53,52,101,45,
      48,55,10,32,32,53,46,52,50,50,53,52,101,45,48,55,32,53,46,53,50,52,53,101,45,
      48,55,32,53,46,54,50,55,53,52,101,45,48,55,32,53,46,55,51,49,53,101,45,48,55,
      32,53,46,56,51,54,52,52,101,45,48,55,32,53,46,57,52,50,54,57,101,45,48,55,32,
      54,46,48,53,48,49,53,101,45,48,55,10,32,32,54,46,49,53,56,54,57,101,45,48,55,
      32,54,46,50,54,56,51,55,101,45,48,55,32,54,46,51,55,57,49,49,101,45,48,55,32,
      54,46,52,57,48,57,49,101,45,48,55,32,54,46,54,48,52,52,52,101,45,48,55,32,54,
      46,55,49,57,48,53,101,45,48,55,32,54,46,56,51,52,55,49,101,45,48,55,10,32,32,
      54,46,57,53,49,52,49,101,45,48,55,32,55,46,48,54,57,55,55,101,45,48,55,32,55,
      46,49,56,57,53,49,101,45,48,55,32,55,46,51,49,48,51,49,101,45,48,55,32,55,46,
      52,51,50,49,101,45,48,55,32,55,46,53,53,53,49,101,45,48,55,32,55,46,54,55,57,
      57,54,101,45,48,55,10,32,32,55,46,56,48,53,56,51,101,45,48,55,32,55,46,57,51,
      50,55,56,101,45,48,55,32,56,46,48,54,48,53,52,101,45,48,55,32,56,46,49,57,48,
      49,101,45,48,55,32,56,46,51,50,48,56,57,101,45,48,55,32,56,46,52,53,50,55,50,
      101,45,48,55,32,56,46,53,56,53,52,50,101,45,48,55,10,32,32,56,46,55,49,57,50,
      50,101,45,48,55,32,56,46,56,53,52,54,53,101,45,48,55,32,56,46,57,57,49,101,
      45,48,55,32,57,46,49,50,56,51,52,101,45,48,55,32,57,46,50,54,54,53,50,101,45,
      48,55,32,57,46,52,48,53,57,57,101,45,48,55,32,57,46,53,52,54,54,54,101,45,48,
      55,10,32,32,57,46,54,56,56,49,53,101,45,48,55,32,57,46,56,51,48,53,52,101,45,
      48,55,32,57,46,57,55,51,57,49,101,45,48,55,32,49,46,48,49,49,56,52,101,45,48,
      54,32,49,46,48,50,54,51,56,101,45,48,54,32,49,46,48,52,49,101,45,48,54,32,49,
      46,48,53,53,55,50,101,45,48,54,10,32,32,49,46,48,55,48,53,50,101,45,48,54,32,
      49,46,48,56,53,52,49,101,45,48,54,32,49,46,49,48,48,51,57,101,45,48,54,32,49,
      46,49,49,53,52,53,101,45,48,54,32,49,46,49,51,48,54,101,45,48,54,32,49,46,49,
      52,53,56,49,101,45,48,54,32,49,46,49,54,49,49,101,45,48,54,10,32,32,49,46,49,
      56,49,54,49,101,45,48,54,32,49,46,50,50,57,55,50,101,45,48,54,32,49,46,51,48,
      49,51,56,101,45,48,54,32,49,46,52,49,57,50,53,101,45,48,54,32,49,46,53,51,52,
      55,50,101,45,48,54,32,49,46,54,52,55,57,55,101,45,48,54,32,49,46,55,53,57,49,
      52,101,45,48,54,10,32,32,49,46,56,54,57,49,54,101,45,48,54,32,49,46,57,55,56,
      57,55,101,45,48,54,32,50,46,48,56,57,54,53,101,45,48,54,32,50,46,50,48,49,55,
      54,101,45,48,54,32,50,46,51,49,53,53,101,45,48,54,32,50,46,52,51,48,54,51,101,
      45,48,54,32,50,46,53,52,54,56,53,101,45,48,54,10,32,32,50,46,54,56,55,55,50,
      101,45,48,54,32,50,46,56,51,48,56,55,101,45,48,54,32,51,46,48,50,56,55,53,101,
      45,48,54,32,51,46,50,52,51,55,50,101,45,48,54,32,51,46,52,57,51,50,57,101,45,
      48,54,32,51,46,56,57,57,57,56,101,45,48,54,32,52,46,52,56,56,56,51,101,45,48,
      54,10,32,32,53,46,51,50,57,57,51,101,45,48,54,32,54,46,53,55,49,53,57,101,45,
      48,54,32,55,46,54,54,53,51,52,101,45,48,54,32,56,46,51,56,56,51,57,101,45,48,
      54,32,56,46,54,48,49,54,51,101,45,48,54,32,56,46,55,53,49,57,56,101,45,48,54,
      32,57,46,48,51,57,50,54,101,45,48,54,10,32,32,57,46,53,50,53,57,101,45,48,54,
      32,49,46,48,50,56,50,56,101,45,48,53,32,49,46,49,52,52,48,55,101,45,48,53,32,
      49,46,51,50,53,55,55,101,45,48,53,32,49,46,54,53,56,101,45,48,53,32,50,46,49,
      57,56,50,55,101,45,48,53,32,51,46,49,51,52,56,51,101,45,48,53,10,32,32,52,46,
      52,54,57,51,52,101,45,48,53,32,52,46,57,49,48,54,57,101,45,48,53,32,52,46,54,
      53,53,52,56,101,45,48,53,32,52,46,50,54,55,51,53,101,45,48,53,32,52,46,48,49,
      48,57,51,101,45,48,53,32,51,46,57,56,48,49,49,101,45,48,53,32,52,46,49,52,51,
      50,55,101,45,48,53,10,32,32,52,46,53,49,57,49,56,101,45,48,53,32,53,46,48,57,
      52,48,54,101,45,48,53,32,53,46,57,53,52,48,50,101,45,48,53,32,55,46,51,52,50,
      48,51,101,45,48,53,32,57,46,55,49,57,54,55,101,45,48,53,32,46,48,48,48,49,50,
      52,52,55,57,32,46,48,48,48,49,53,55,56,52,49,10,32,32,46,48,48,48,49,57,52,
      53,49,53,32,46,48,48,48,50,52,56,57,51,50,32,46,48,48,48,51,53,51,57,57,51,
      32,46,48,48,48,52,55,51,48,54,51,32,46,48,48,48,53,55,49,54,52,55,32,46,48,
      48,48,54,51,55,48,51,52,32,46,48,48,48,55,51,48,55,50,49,32,46,48,48,48,56,
      52,53,48,57,56,10,32,32,46,48,48,48,57,52,53,55,50,52,32,46,48,48,48,57,57,
      54,50,48,53,32,46,48,48,49,48,50,54,32,46,48,48,49,48,56,54,54,57,32,46,48,
      48,49,50,51,49,56,53,32,46,48,48,49,52,52,57,57,54,32,46,48,48,49,54,53,55,
      32,46,48,48,50,49,49,54,51,51,32,46,48,48,50,54,50,57,57,52,10,32,32,46,48,
      48,51,50,48,57,51,51,32,46,48,48,51,56,56,55,54,54,32,46,48,48,52,52,50,52,
      52,54,32,46,48,48,52,56,53,54,54,57,32,46,48,48,53,49,55,57,51,32,46,48,48,
      53,52,53,55,52,51,32,46,48,48,53,55,50,49,52,32,46,48,48,54,48,49,56,52,57,
      32,46,48,48,54,50,51,56,56,52,10,32,32,46,48,48,54,52,55,51,53,32,46,48,48,
      54,57,49,52,51,49,32,46,48,48,55,50,51,48,55,51,32,46,48,48,55,55,56,57,53,
      50,32,46,48,48,56,51,57,56,51,53,32,46,48,48,56,55,51,56,52,56,32,46,48,48,
      57,48,52,52,49,53,32,46,48,48,57,52,52,53,52,51,32,46,48,48,57,55,56,53,55,
      10,32,32,46,48,48,57,57,51,49,49,50,32,46,48,49,48,49,52,54,51,32,46,48,49,
      48,50,55,52,57,32,46,48,49,48,53,49,52,55,32,46,48,49,48,57,54,56,54,32,46,
      48,49,49,50,49,57,54,32,46,48,49,49,51,49,50,57,32,46,48,49,49,52,55,53,52,
      32,46,48,49,49,54,51,48,52,10,32,32,46,48,49,49,55,52,48,54,32,46,48,49,49,
      56,51,52,32,46,48,49,49,57,48,55,49,32,46,48,49,49,57,54,54,32,46,48,49,50,
      48,49,54,56,32,46,48,49,50,48,52,57,56,32,46,48,49,50,48,55,51,54,32,46,48,
      49,50,48,56,51,49,32,46,48,49,50,48,56,52,57,32,46,48,49,50,48,55,56,10,32,
      32,46,48,49,50,48,54,49,51,32,46,48,49,49,57,57,48,50,32,46,48,49,49,56,50,
      56,54,32,46,48,49,49,54,49,49,52,32,46,48,49,49,50,55,52,57,32,46,48,49,48,
      56,56,52,54,32,46,48,49,48,51,54,54,54,32,46,48,48,57,57,48,56,52,50,32,46,
      48,48,57,49,51,49,49,50,10,32,32,46,48,48,56,48,57,48,48,53,32,46,48,48,55,
      54,48,51,52,49,32,46,48,48,55,48,56,48,52,51,32,46,48,48,54,52,50,49,52,50,
      32,46,48,48,53,56,56,50,57,51,32,46,48,48,53,51,56,48,56,50,32,46,48,48,52,
      56,53,49,50,57,32,46,48,48,52,51,54,55,51,57,10,32,32,46,48,48,51,57,55,57,
      54,51,32,46,48,48,51,54,50,51,52,53,32,46,48,48,51,50,57,54,57,54,32,46,48,
      48,50,57,53,55,54,49,32,46,48,48,50,54,49,53,51,50,32,46,48,48,50,50,55,57,
      51,57,32,46,48,48,50,48,49,50,57,52,32,46,48,48,49,55,53,50,51,56,10,32,32,
      46,48,48,49,53,52,54,50,51,32,46,48,48,49,51,54,51,56,56,32,46,48,48,49,49,
      56,54,48,53,32,46,48,48,49,48,50,48,56,49,32,46,48,48,48,57,48,56,57,56,51,
      32,46,48,48,48,55,57,52,55,48,57,32,46,48,48,48,55,48,54,48,55,50,32,46,48,
      48,48,54,50,50,49,51,54,10,32,32,46,48,48,48,53,52,56,49,53,49,32,46,48,48,
      48,52,56,50,57,52,55,32,46,48,48,48,52,50,53,52,57,32,46,48,48,48,51,55,52,
      56,54,56,32,46,48,48,48,51,51,48,50,55,32,46,48,48,48,50,57,48,57,56,49,32,
      46,48,48,48,50,53,54,51,54,54,32,46,48,48,48,50,50,53,56,53,53,10,32,32,46,
      48,48,48,49,57,56,57,55,56,32,46,48,48,48,49,55,53,51,48,50,32,46,48,48,48,
      49,53,52,52,53,50,32,46,48,48,48,49,51,54,48,56,55,32,46,48,48,48,49,49,57,
      57,49,49,32,46,48,48,48,49,48,53,54,54,50,32,57,46,51,49,49,50,56,101,45,48,
      53,32,56,46,50,48,53,54,101,45,48,53,10,32,32,55,46,50,51,49,51,57,101,45,48,
      53,32,54,46,51,55,51,51,101,45,48,53,32,53,46,54,49,55,51,51,101,45,48,53,32,
      52,46,57,53,48,57,51,101,45,48,53,32,52,46,51,54,51,49,51,101,45,48,53,32,51,
      46,56,52,53,51,52,101,45,48,53,32,51,46,51,56,57,51,50,101,45,48,53,10,32,32,
      50,46,57,56,55,52,52,101,45,48,53,32,50,46,54,51,51,51,53,101,45,48,53,32,50,
      46,51,50,49,51,54,101,45,48,53,32,50,46,48,52,54,52,53,101,45,48,53,32,49,46,
      56,48,52,49,57,101,45,48,53,32,49,46,53,57,48,55,101,45,48,53,32,49,46,52,48,
      50,52,54,101,45,48,53,10,32,32,49,46,50,51,54,54,51,101,45,48,53,32,49,46,49,
      50,49,51,54,101,45,48,53,32,49,46,48,49,54,56,56,101,45,48,53,32,57,46,50,50,
      49,53,52,101,45,48,54,32,56,46,51,54,50,56,49,101,45,48,54,32,55,46,53,56,52,
      55,53,101,45,48,54,32,54,46,55,57,51,49,49,101,45,48,54,10,32,32,53,46,57,48,
      56,54,53,101,45,48,54,32,53,46,49,51,57,54,53,101,45,48,54,32,52,46,52,55,48,
      57,49,101,45,48,54,32,51,46,56,56,56,57,57,101,45,48,54,32,51,46,51,56,51,48,
      50,101,45,48,54,32,50,46,57,52,51,48,52,101,45,48,54,32,50,46,53,54,48,52,52,
      101,45,48,54,10,32,32,50,46,50,50,55,54,57,101,45,48,54,32,49,46,57,51,56,50,
      57,101,45,48,54,32,49,46,54,56,54,53,56,101,45,48,54,32,49,46,52,54,55,54,52,
      101,45,48,54,32,49,46,50,55,55,49,56,101,45,48,54,32,49,46,49,49,49,53,101,
      45,48,54,32,57,46,54,55,51,53,57,101,45,48,55,10,32,32,56,46,52,49,57,53,52,
      101,45,48,55,32,55,46,51,50,56,52,52,101,45,48,55,32,54,46,51,55,57,48,52,101,
      45,48,55,32,53,46,53,53,50,57,50,101,45,48,55,32,52,46,56,51,52,48,49,101,45,
      48,55,32,52,46,50,48,56,51,53,101,45,48,55,32,51,46,54,54,51,51,53,101,45,48,
      55,10,32,32,51,46,49,56,57,57,50,101,45,48,55,32,50,46,55,55,55,52,49,101,45,
      48,55,32,50,46,52,49,56,51,54,101,45,48,55,32,50,46,49,48,53,56,50,101,45,48,
      55,32,49,46,56,51,51,55,52,101,45,48,55,32,49,46,53,57,54,56,57,101,45,48,55,
      32,49,46,51,57,48,54,57,101,45,48,55,10,32,32,49,46,50,49,49,49,54,101,45,48,
      55,32,49,46,48,53,52,56,53,101,45,48,55,32,57,46,49,56,55,53,50,101,45,48,56,
      32,56,46,48,48,49,54,57,101,45,48,56,32,54,46,57,54,56,50,49,101,45,48,56,32,
      54,46,48,54,56,52,53,101,45,48,56,32,53,46,50,56,53,48,55,101,45,48,56,10,32,
      32,52,46,54,48,51,101,45,48,56,32,51,46,52,57,49,57,54,101,45,48,56,32,50,46,
      54,52,57,52,49,101,45,48,56,32,50,46,48,49,48,52,55,101,45,48,56,32,49,46,53,
      50,53,56,51,101,45,48,56,32,49,46,49,53,56,49,55,101,45,48,56,32,56,46,55,57,
      50,49,49,101,45,48,57,10,32,32,54,46,54,55,53,50,53,101,45,48,57,32,53,46,48,
      54,56,54,56,101,45,48,57,32,51,46,56,52,57,50,51,101,45,48,57,32,50,46,57,50,
      51,53,101,45,48,57,32,50,46,50,50,48,54,53,101,45,48,57,32,49,46,54,56,54,57,
      53,101,45,48,57,32,49,46,50,56,49,54,53,101,45,48,57,10,32,32,57,46,55,51,56,
      50,57,101,45,49,48,32,55,46,52,48,48,49,49,101,45,49,48,32,53,46,54,50,51,56,
      55,101,45,49,48,32,52,46,50,55,52,51,57,101,45,49,48,32,51,46,50,52,57,48,51,
      101,45,49,48,32,50,46,52,54,57,56,54,101,45,49,48,32,49,46,56,55,55,55,50,101,
      45,49,48,10,32,32,49,46,52,50,55,54,54,101,45,49,48,32,49,46,48,56,53,53,55,
      101,45,49,48,32,56,46,50,53,53,49,51,101,45,49,49,32,54,46,50,55,56,48,50,101,
      45,49,49,32,52,46,55,55,52,49,53,101,45,49,49,32,51,46,54,51,48,54,52,101,45,
      49,49,32,50,46,55,54,49,50,53,101,45,49,49,10,32,32,50,46,49,48,48,50,101,45,
      49,49,32,49,46,53,57,55,53,54,101,45,49,49,32,52,46,54,51,56,54,55,101,45,49,
      55,32,56,46,50,48,52,49,55,101,45,49,54,32,52,46,49,54,49,50,49,101,45,49,53,
      32,53,46,49,48,52,49,50,101,45,49,53,32,56,46,50,54,49,48,50,101,45,49,52,10,
      32,32,52,46,52,55,56,55,49,101,45,49,51,32,49,46,52,55,49,52,54,101,45,49,50,
      32,51,46,54,53,49,50,54,101,45,49,50,32,55,46,54,51,54,57,50,101,45,49,50,32,
      49,46,52,50,49,49,51,101,45,49,49,32,50,46,52,51,50,56,56,101,45,49,49,32,51,
      46,57,48,53,54,54,101,45,49,49,10,32,32,53,46,57,52,52,50,101,45,49,49,32,56,
      46,54,57,52,51,51,101,45,49,49,32,49,46,50,51,51,53,51,101,45,49,48,32,49,46,
      54,57,52,52,53,101,45,49,48,32,50,46,50,54,55,55,53,101,45,49,48,32,50,46,57,
      54,55,51,54,101,45,49,48,32,51,46,56,49,51,49,101,45,49,48,10,32,32,52,46,56,
      50,50,56,52,101,45,49,48,32,54,46,48,49,51,55,50,101,45,49,48,32,55,46,51,55,
      48,52,53,101,45,49,48,32,56,46,57,51,50,56,49,101,45,49,48,32,49,46,48,55,49,
      56,50,101,45,48,57,32,49,46,50,55,52,51,56,101,45,48,57,32,49,46,52,57,56,50,
      50,101,45,48,57,10,32,32,49,46,55,52,51,55,50,101,45,48,57,32,50,46,48,49,53,
      56,51,101,45,48,57,32,50,46,51,49,53,57,49,101,45,48,57,32,50,46,54,52,52,56,
      101,45,48,57,32,50,46,57,56,55,55,51,101,45,48,57,32,51,46,51,53,57,52,101,
      45,48,57,32,51,46,55,54,48,56,56,101,45,48,57,10,32,32,52,46,49,57,51,51,50,
      101,45,48,57,32,52,46,54,52,51,55,50,101,45,48,57,32,53,46,49,49,50,52,101,
      45,48,57,32,53,46,54,49,49,49,101,45,48,57,32,54,46,49,52,48,56,51,101,45,48,
      57,32,54,46,55,48,48,56,55,101,45,48,57,32,55,46,50,53,57,56,52,101,45,48,57,
      10,32,32,55,46,56,52,56,54,49,101,45,48,57,32,56,46,52,54,55,56,56,101,45,48,
      57,32,57,46,49,49,56,51,54,101,45,48,57,32,57,46,55,55,57,55,56,101,45,48,57,
      32,49,46,48,52,53,52,55,101,45,48,56,32,49,46,49,49,53,57,57,101,45,48,56,32,
      49,46,49,56,57,53,55,101,45,48,56,10,32,32,49,46,50,54,54,48,57,101,45,48,56,
      32,49,46,51,52,50,52,57,101,45,48,56,32,49,46,52,50,49,57,50,101,45,48,56,32,
      49,46,53,48,52,52,53,101,45,48,56,32,49,46,53,57,48,49,49,101,45,48,56,32,49,
      46,54,55,55,53,56,101,45,48,56,32,49,46,55,54,55,48,57,101,45,48,56,10,32,32,
      49,46,56,53,57,55,55,101,45,48,56,32,49,46,57,53,53,54,56,101,45,48,56,32,50,
      46,48,53,52,56,49,101,45,48,56,32,50,46,49,53,54,52,49,101,45,48,56,32,50,46,
      50,54,49,51,51,101,45,48,56,32,50,46,51,54,57,54,54,101,45,48,56,32,50,46,52,
      56,49,52,101,45,48,56,10,32,32,50,46,53,57,55,50,55,101,45,48,56,32,50,46,55,
      49,55,50,101,45,48,56,32,50,46,56,52,48,55,54,101,45,48,56,32,50,46,57,54,56,
      101,45,48,56,32,51,46,48,57,57,50,50,101,45,48,56,32,51,46,50,51,55,50,51,101,
      45,48,56,32,51,46,51,55,57,50,49,101,45,48,56,10,32,32,51,46,53,50,53,49,56,
      101,45,48,56,32,51,46,54,55,53,50,53,101,45,48,56,32,51,46,56,51,50,51,54,101,
      45,48,56,32,51,46,57,57,53,56,57,101,45,48,56,32,52,46,49,54,51,56,57,101,45,
      48,56,32,52,46,51,51,54,51,55,101,45,48,56,32,52,46,53,49,52,101,45,48,56,10,
      32,32,52,46,55,48,49,52,53,101,45,48,56,32,52,46,56,57,51,56,54,101,45,48,56,
      32,53,46,48,57,49,50,52,101,45,48,56,32,53,46,50,57,51,55,50,101,45,48,56,32,
      53,46,53,48,51,57,57,101,45,48,56,32,53,46,55,50,49,51,53,101,45,48,56,32,53,
      46,57,52,52,50,49,101,45,48,56,10,32,32,54,46,49,55,50,52,56,101,45,48,56,32,
      54,46,52,48,54,51,51,101,45,48,56,32,54,46,54,52,53,57,52,101,45,48,56,32,54,
      46,56,57,48,57,56,101,45,48,56,32,55,46,49,52,49,56,49,101,45,48,56,32,55,46,
      51,57,56,53,52,101,45,48,56,32,55,46,54,53,53,57,54,101,45,48,56,10,32,32,55,
      46,57,49,53,52,54,101,45,48,56,32,56,46,49,56,48,50,51,101,45,48,56,32,56,46,
      52,53,48,55,49,101,45,48,56,32,56,46,55,50,52,51,51,101,45,48,56,32,56,46,57,
      56,51,54,56,101,45,48,56,32,57,46,50,52,56,49,50,101,45,48,56,32,57,46,53,49,
      55,54,57,101,45,48,56,10,32,32,57,46,55,57,50,52,53,101,45,48,56,32,49,46,48,
      48,52,54,55,101,45,48,55,32,49,46,48,50,56,57,57,101,45,48,55,32,49,46,48,53,
      51,55,54,101,45,48,55,32,49,46,48,55,56,57,56,101,45,48,55,32,49,46,49,48,51,
      56,51,101,45,48,55,32,49,46,49,50,51,55,49,101,45,48,55,10,32,32,49,46,49,52,
      52,48,50,101,45,48,55,32,49,46,49,54,52,55,54,101,45,48,55,32,49,46,49,56,53,
      57,52,101,45,48,55,32,49,46,50,48,50,51,50,101,45,48,55,32,49,46,50,49,54,50,
      56,101,45,48,55,32,49,46,50,51,48,56,101,45,48,55,32,49,46,50,52,53,56,53,101,
      45,48,55,10,32,32,49,46,50,54,48,48,53,101,45,48,55,32,49,46,50,54,54,55,101,
      45,48,55,32,49,46,50,55,52,50,101,45,48,55,32,49,46,50,56,50,52,56,101,45,48,
      55,32,49,46,50,57,49,51,56,101,45,48,55,32,49,46,50,57,52,52,52,101,45,48,55,
      32,49,46,50,57,53,48,57,101,45,48,55,10,32,32,49,46,50,57,54,55,57,101,45,48,
      55,32,49,46,50,57,57,53,101,45,48,55,32,49,46,51,48,49,54,49,101,45,48,55,32,
      49,46,50,57,54,53,53,101,45,48,55,32,49,46,50,57,50,57,101,45,48,55,32,49,46,
      50,57,48,53,52,101,45,48,55,32,49,46,50,56,57,51,51,101,45,48,55,10,32,32,49,
      46,50,56,51,52,51,101,45,48,55,32,49,46,50,55,54,48,57,101,45,48,55,32,49,46,
      50,55,48,50,50,101,45,48,55,32,49,46,50,54,53,54,57,101,45,48,55,32,49,46,50,
      54,49,49,51,101,45,48,55,32,49,46,50,53,49,56,52,101,45,48,55,32,49,46,50,52,
      52,48,57,101,45,48,55,10,32,32,49,46,50,51,55,55,52,101,45,48,55,32,49,46,50,
      51,50,54,55,101,45,48,55,32,49,46,50,50,52,57,52,101,45,48,55,32,49,46,50,49,
      54,55,56,101,45,48,55,32,49,46,50,48,57,57,55,101,45,48,55,32,49,46,50,48,52,
      51,57,101,45,48,55,32,49,46,49,57,57,50,101,45,48,55,10,32,32,49,46,49,57,49,
      56,51,101,45,48,55,32,49,46,49,56,53,54,55,101,45,48,55,32,49,46,49,56,48,54,
      52,101,45,48,55,32,49,46,49,55,54,54,49,101,45,48,55,32,49,46,49,55,49,56,50,
      101,45,48,55,32,49,46,49,54,55,50,53,101,45,48,55,32,49,46,49,54,51,54,50,101,
      45,48,55,10,32,32,49,46,49,54,48,56,54,101,45,48,55,32,49,46,49,53,56,55,101,
      45,48,55,32,49,46,49,53,54,52,50,101,45,48,55,32,49,46,49,53,52,57,49,101,45,
      48,55,32,49,46,49,53,52,48,57,101,45,48,55,32,49,46,49,53,51,57,52,101,45,48,
      55,32,49,46,49,53,52,53,49,101,45,48,55,10,32,32,49,46,49,53,53,55,101,45,48,
      55,32,49,46,49,53,55,52,51,101,45,48,55,32,49,46,49,53,57,54,54,101,45,48,55,
      32,49,46,49,54,50,54,52,101,45,48,55,32,49,46,49,54,55,49,51,101,45,48,55,32,
      49,46,49,55,50,101,45,48,55,32,49,46,49,55,57,48,52,101,45,48,55,10,32,32,49,
      46,50,48,50,56,101,45,48,55,32,49,46,50,53,50,55,53,101,45,48,55,32,49,46,51,
      55,56,52,53,101,45,48,55,32,49,46,53,55,49,53,54,101,45,48,55,32,49,46,56,51,
      56,55,51,101,45,48,55,32,50,46,49,57,55,50,49,101,45,48,55,32,50,46,54,52,54,
      57,50,101,45,48,55,10,32,32,51,46,49,56,52,51,50,101,45,48,55,32,51,46,55,56,
      53,56,49,101,45,48,55,32,52,46,52,50,52,56,50,101,45,48,55,32,53,46,48,54,55,
      50,55,101,45,48,55,32,53,46,55,48,56,55,51,101,45,48,55,32,54,46,51,53,55,51,
      55,101,45,48,55,32,55,46,49,55,53,55,49,101,45,48,55,10,32,32,56,46,49,48,55,
      49,57,101,45,48,55,32,57,46,54,52,54,48,57,101,45,48,55,32,49,46,49,55,52,50,
      54,101,45,48,54,32,49,46,52,54,48,53,101,45,48,54,32,49,46,57,53,56,48,57,101,
      45,48,54,32,50,46,54,52,50,55,54,101,45,48,54,32,51,46,53,49,56,50,101,45,48,
      54,10,32,32,52,46,54,56,48,53,52,101,45,48,54,32,53,46,54,50,53,51,49,101,45,
      48,54,32,54,46,49,55,57,48,50,101,45,48,54,32,54,46,50,53,49,56,53,101,45,48,
      54,32,54,46,50,53,53,55,56,101,45,48,54,32,54,46,51,54,51,50,55,101,45,48,54,
      32,54,46,54,52,55,53,54,101,45,48,54,10,32,32,55,46,49,56,52,49,57,101,45,48,
      54,32,56,46,49,48,48,52,54,101,45,48,54,32,57,46,54,51,50,55,51,101,45,48,54,
      32,49,46,50,52,55,50,56,101,45,48,53,32,49,46,55,48,50,52,53,101,45,48,53,32,
      50,46,52,55,48,57,56,101,45,48,53,32,51,46,53,52,48,53,54,101,45,48,53,10,32,
      32,51,46,56,57,48,50,51,101,45,48,53,32,51,46,54,56,51,55,101,45,48,53,32,51,
      46,51,54,50,52,49,101,45,48,53,32,51,46,49,51,54,57,50,101,45,48,53,32,51,46,
      48,57,49,54,55,101,45,48,53,32,51,46,50,48,53,51,50,101,45,48,53,32,51,46,52,
      57,55,57,101,45,48,53,10,32,32,51,46,57,54,48,49,52,101,45,48,53,32,52,46,54,
      53,55,53,55,101,45,48,53,32,53,46,55,56,49,53,50,101,45,48,53,32,55,46,54,57,
      49,53,56,101,45,48,53,32,57,46,56,54,50,52,51,101,45,48,53,32,46,48,48,48,49,
      50,53,48,50,51,32,46,48,48,48,49,53,51,56,56,57,10,32,32,46,48,48,48,49,57,
      54,53,54,49,32,46,48,48,48,50,55,56,56,57,32,46,48,48,48,51,55,50,53,56,56,
      32,46,48,48,48,52,53,48,53,49,56,32,46,48,48,48,53,48,50,51,49,32,46,48,48,
      48,53,55,54,53,53,51,32,46,48,48,48,54,54,55,53,54,53,32,46,48,48,48,55,52,
      55,54,49,50,10,32,32,46,48,48,48,55,56,55,51,52,51,32,46,48,48,48,56,49,48,
      52,54,54,32,46,48,48,48,56,53,56,52,48,49,32,46,48,48,48,57,55,52,50,54,50,
      32,46,48,48,49,49,52,57,55,52,32,46,48,48,49,51,49,55,54,52,32,46,48,48,49,
      54,57,52,52,49,32,46,48,48,50,49,50,50,51,50,10,32,32,46,48,48,50,54,49,52,
      50,50,32,46,48,48,51,50,48,49,57,52,32,46,48,48,51,54,55,51,53,52,32,46,48,
      48,52,48,53,49,51,55,32,46,48,48,52,51,50,56,52,50,32,46,48,48,52,53,54,53,
      48,54,32,46,48,48,52,55,56,57,53,52,32,46,48,48,53,48,52,50,54,53,10,32,32,
      46,48,48,53,50,51,48,55,53,32,46,48,48,53,52,51,50,54,54,32,46,48,48,53,56,
      49,56,56,54,32,46,48,48,54,49,48,50,48,52,32,46,48,48,54,54,49,51,55,57,32,
      46,48,48,55,49,56,55,57,52,32,46,48,48,55,53,49,55,51,32,46,48,48,55,56,49,
      57,56,51,32,46,48,48,56,50,50,56,49,54,10,32,32,46,48,48,56,53,56,57,50,32,
      46,48,48,56,55,52,56,50,32,46,48,48,56,57,55,56,56,57,32,46,48,48,57,49,49,
      49,52,56,32,46,48,48,57,51,52,53,48,52,32,46,48,48,57,55,48,51,55,55,32,46,
      48,48,57,57,54,49,57,50,32,46,48,49,48,48,53,57,52,32,46,48,49,48,50,51,49,
      56,10,32,32,46,48,49,48,51,57,57,57,32,46,48,49,48,53,50,50,56,32,46,48,49,
      48,54,50,57,56,32,46,48,49,48,55,49,54,54,32,46,48,49,48,55,57,48,49,32,46,
      48,49,48,56,53,56,32,46,48,49,48,57,48,54,57,32,46,48,49,48,57,52,56,56,32,
      46,48,49,48,57,55,50,49,10,32,32,46,48,49,48,57,57,54,55,32,46,48,49,49,48,
      48,52,49,32,46,48,49,49,48,48,53,52,32,46,48,49,48,57,55,55,53,32,46,48,49,
      48,56,55,53,56,32,46,48,49,48,55,49,54,55,32,46,48,49,48,52,53,49,53,32,46,
      48,49,48,49,50,56,55,32,46,48,48,57,54,56,55,52,57,10,32,32,46,48,48,57,50,
      56,56,53,53,32,46,48,48,56,53,57,56,49,50,32,46,48,48,55,54,53,57,50,32,46,
      48,48,55,50,49,51,51,54,32,46,48,48,54,55,51,49,50,52,32,46,48,48,54,49,49,
      57,57,57,32,46,48,48,53,54,49,55,57,54,32,46,48,48,53,49,52,55,56,52,32,46,
      48,48,52,54,52,57,56,49,10,32,32,46,48,48,52,49,57,51,49,53,32,46,48,48,51,
      56,50,54,50,49,32,46,48,48,51,52,56,56,49,55,32,46,48,48,51,49,55,55,52,56,
      32,46,48,48,50,56,53,51,56,57,32,46,48,48,50,53,50,54,57,49,32,46,48,48,50,
      50,48,53,51,50,32,46,48,48,49,57,52,57,54,49,10,32,32,46,48,48,49,54,57,57,
      48,55,32,46,48,48,49,53,48,48,53,52,32,46,48,48,49,51,50,52,55,53,32,46,48,
      48,49,49,53,51,48,51,32,46,48,48,48,57,57,51,50,52,50,32,46,48,48,48,56,56,
      52,57,55,52,32,46,48,48,48,55,55,52,50,50,52,32,46,48,48,48,54,56,56,50,57,
      49,10,32,32,46,48,48,48,54,48,54,57,48,49,32,46,48,48,48,53,51,53,48,55,51,
      32,46,48,48,48,52,55,49,54,53,54,32,46,48,48,48,52,49,53,55,51,54,32,46,48,
      48,48,51,54,54,52,51,32,46,48,48,48,51,50,50,57,54,53,32,46,48,48,48,50,56,
      52,54,53,51,32,46,48,48,48,50,53,48,56,56,54,10,32,32,46,48,48,48,50,50,49,
      49,50,55,32,46,48,48,48,49,57,52,56,57,57,32,46,48,48,48,49,55,49,55,56,32,
      46,48,48,48,49,53,49,51,57,51,32,46,48,48,48,49,51,51,52,51,32,46,48,48,48,
      49,49,55,54,48,51,32,46,48,48,48,49,48,51,54,53,54,32,57,46,49,51,54,56,51,
      101,45,48,53,10,32,32,56,46,48,53,51,56,56,101,45,48,53,32,55,46,48,57,57,51,
      56,101,45,48,53,32,54,46,50,53,56,52,50,101,45,48,53,32,53,46,53,49,55,51,49,
      101,45,48,53,32,52,46,56,54,52,49,52,101,45,48,53,32,52,46,50,56,56,52,57,101,
      45,48,53,32,51,46,55,56,49,49,51,101,45,48,53,10,32,32,51,46,51,51,52,48,55,
      101,45,48,53,32,50,46,57,51,57,51,56,101,45,48,53,32,50,46,53,57,49,52,51,101,
      45,48,53,32,50,46,50,56,52,55,56,101,45,48,53,32,50,46,48,49,52,53,49,101,45,
      48,53,32,49,46,55,55,54,51,49,101,45,48,53,32,49,46,53,54,54,51,52,101,45,48,
      53,10,32,32,49,46,51,56,49,49,57,101,45,48,53,32,49,46,50,49,56,48,53,101,45,
      48,53,32,49,46,49,48,52,54,52,101,45,48,53,32,49,46,48,48,49,56,50,101,45,48,
      53,32,57,46,48,56,53,57,57,101,45,48,54,32,56,46,50,52,48,55,51,101,45,48,54,
      32,55,46,52,55,52,55,53,101,45,48,54,10,32,32,54,46,54,57,53,50,57,101,45,48,
      54,32,53,46,56,50,52,51,50,101,45,48,54,32,53,46,48,54,54,57,52,101,45,48,54,
      32,52,46,52,48,56,50,57,101,45,48,54,32,51,46,56,51,53,52,54,101,45,48,54,32,
      51,46,51,51,55,50,53,101,45,48,54,32,50,46,57,48,51,57,49,101,45,48,54,10,32,
      32,50,46,53,50,54,57,56,101,45,48,54,32,50,46,49,57,56,56,53,101,45,48,54,32,
      49,46,57,49,51,51,57,101,45,48,54,32,49,46,54,54,53,48,56,101,45,48,54,32,49,
      46,52,52,57,48,55,101,45,48,54,32,49,46,50,54,49,49,53,101,45,48,54,32,49,46,
      48,57,55,54,53,101,45,48,54,10,32,32,57,46,53,53,51,56,57,101,45,48,55,32,56,
      46,51,49,54,48,54,101,45,48,55,32,55,46,50,51,56,57,55,101,45,48,55,32,54,46,
      51,48,49,54,54,101,45,48,55,32,53,46,52,56,53,57,56,101,45,48,55,32,52,46,55,
      55,54,48,57,101,45,48,55,32,52,46,49,53,56,50,52,101,45,48,55,10,32,32,51,46,
      54,50,48,48,49,101,45,48,55,32,51,46,49,53,50,52,49,101,45,48,55,32,50,46,55,
      52,52,57,55,101,45,48,55,32,50,46,51,57,48,50,57,101,45,48,55,32,50,46,48,56,
      49,53,50,101,45,48,55,32,49,46,56,49,50,55,49,101,45,48,55,32,49,46,53,55,56,
      54,55,101,45,48,55,10,32,32,49,46,51,55,52,57,49,101,45,48,55,32,49,46,49,57,
      55,52,57,101,45,48,55,32,49,46,48,52,51,101,45,48,55,32,57,46,48,56,52,55,56,
      101,45,48,56,32,55,46,57,49,51,51,55,101,45,48,56,32,54,46,56,57,51,50,52,101,
      45,48,56,32,54,46,48,48,52,56,53,101,45,48,56,10,32,32,53,46,50,51,49,49,52,
      101,45,48,56,32,52,46,53,53,55,50,57,101,45,48,56,32,51,46,52,53,56,57,56,101,
      45,48,56,32,50,46,54,50,52,54,53,101,45,48,56,32,49,46,57,57,49,56,54,101,45,
      48,56,32,49,46,53,49,49,56,52,101,45,48,56,32,49,46,49,52,55,54,52,101,45,48,
      56,10,32,32,56,46,55,49,50,57,101,45,48,57,32,54,46,54,49,53,54,49,101,45,48,
      57,32,53,46,48,50,51,55,54,101,45,48,57,32,51,46,56,49,53,51,56,101,45,48,57,
      32,50,46,56,57,55,57,56,101,45,48,57,32,50,46,50,48,49,51,57,101,45,48,57,32,
      49,46,54,55,50,52,51,101,45,48,57,10,32,32,49,46,50,55,48,55,101,45,48,57,32,
      57,46,54,53,53,54,54,101,45,49,48,32,55,46,51,51,55,55,55,101,45,49,48,32,53,
      46,53,55,54,56,51,101,45,49,48,32,52,46,50,51,56,56,55,101,45,49,48,32,51,46,
      50,50,50,50,101,45,49,48,32,50,46,52,52,57,53,57,101,45,49,48,10,32,32,49,46,
      56,54,50,51,56,101,45,49,48,32,49,46,52,49,54,48,54,101,45,49,48,32,49,46,48,
      55,54,55,57,101,45,49,48,32,56,46,49,56,56,55,101,45,49,49,32,54,46,50,50,55,
      55,56,101,45,49,49,32,52,46,55,51,54,56,101,45,49,49,32,51,46,54,48,51,48,52,
      101,45,49,49,10,32,32,50,46,55,52,48,56,53,101,45,49,49,32,50,46,48,56,53,49,
      51,101,45,49,49,32,49,46,53,56,54,52,52,101,45,49,49,32,50,46,48,49,52,49,51,
      101,45,49,55,32,52,46,51,48,57,57,57,101,45,49,54,32,50,46,49,56,52,57,101,
      45,49,53,32,50,46,54,55,57,55,53,101,45,49,53,10,32,32,52,46,51,48,53,50,54,
      101,45,49,52,32,50,46,49,56,50,54,101,45,49,51,32,55,46,48,54,49,54,50,101,
      45,49,51,32,49,46,55,54,49,57,55,101,45,49,50,32,51,46,54,56,56,50,51,101,45,
      49,50,32,54,46,56,53,53,49,57,101,45,49,50,32,49,46,49,55,49,50,49,101,45,49,
      49,10,32,32,49,46,56,55,54,51,54,101,45,49,49,32,50,46,56,57,50,48,53,101,45,
      49,49,32,52,46,50,51,57,56,55,101,45,49,49,32,53,46,57,56,49,55,53,101,45,49,
      49,32,56,46,50,48,53,55,55,101,45,49,49,32,49,46,48,57,55,48,53,101,45,49,48,
      32,49,46,52,51,52,52,101,45,49,48,10,32,32,49,46,56,52,50,51,52,101,45,49,48,
      32,50,46,51,50,57,55,50,101,45,49,48,32,50,46,57,48,53,49,56,101,45,49,48,32,
      51,46,53,54,49,54,53,101,45,49,48,32,52,46,51,49,56,56,53,101,45,49,48,32,53,
      46,49,56,53,55,53,101,45,49,48,32,54,46,49,55,49,50,54,101,45,49,48,10,32,32,
      55,46,50,54,50,54,54,101,45,49,48,32,56,46,52,54,50,50,49,101,45,49,48,32,57,
      46,55,57,52,57,52,101,45,49,48,32,49,46,49,50,54,56,52,101,45,48,57,32,49,46,
      50,56,56,55,53,101,45,48,57,32,49,46,52,53,55,56,57,101,45,48,57,32,49,46,54,
      52,49,54,54,101,45,48,57,10,32,32,49,46,56,52,48,54,55,101,45,48,57,32,50,46,
      48,53,53,54,101,45,48,57,32,50,46,50,55,57,56,53,101,45,48,57,32,50,46,53,49,
      51,54,49,101,45,48,57,32,50,46,55,54,50,57,49,101,45,48,57,32,51,46,48,50,56,
      51,51,101,45,48,57,32,51,46,51,48,57,53,56,101,45,48,57,10,32,32,51,46,53,57,
      48,51,55,101,45,48,57,32,51,46,56,56,54,55,101,45,48,57,32,52,46,49,57,56,57,
      57,101,45,48,57,32,52,46,53,50,55,54,54,101,45,48,57,32,52,46,56,54,50,48,57,
      101,45,48,57,32,53,46,50,48,51,54,101,45,48,57,32,53,46,53,54,49,48,49,101,
      45,48,57,10,32,32,53,46,57,51,52,53,56,101,45,48,57,32,54,46,51,50,51,54,55,
      101,45,48,57,32,54,46,55,49,49,57,57,101,45,48,57,32,55,46,49,49,54,50,55,101,
      45,48,57,32,55,46,53,51,55,48,50,101,45,48,57,32,55,46,57,55,52,52,101,45,48,
      57,32,56,46,52,50,49,50,49,101,45,48,57,10,32,32,56,46,56,55,56,56,51,101,45,
      48,57,32,57,46,51,53,51,51,54,101,45,48,57,32,57,46,56,52,53,49,101,45,48,57,
      32,49,46,48,51,53,52,101,45,48,56,32,49,46,48,56,55,54,50,101,45,48,56,32,49,
      46,49,52,49,54,49,101,45,48,56,32,49,46,49,57,55,52,51,101,45,48,56,10,32,32,
      49,46,50,53,53,49,101,45,48,56,32,49,46,51,49,53,48,49,101,45,48,56,32,49,46,
      51,55,55,49,50,101,45,48,56,32,49,46,52,52,49,50,101,45,48,56,32,49,46,53,48,
      55,50,56,101,45,48,56,32,49,46,53,55,53,53,52,101,45,48,56,32,49,46,54,52,55,
      53,53,101,45,48,56,10,32,32,49,46,55,50,49,55,52,101,45,48,56,32,49,46,55,57,
      56,49,53,101,45,48,56,32,49,46,56,55,54,56,50,101,45,48,56,32,49,46,57,53,57,
      52,51,101,45,48,56,32,50,46,48,52,53,54,50,101,45,48,56,32,50,46,49,51,52,51,
      52,101,45,48,56,32,50,46,50,50,53,53,56,101,45,48,56,10,32,32,50,46,51,49,57,
      55,50,101,45,48,56,32,50,46,52,49,57,52,52,101,45,48,56,32,50,46,53,50,49,57,
      57,101,45,48,56,32,50,46,54,50,55,52,50,101,45,48,56,32,50,46,55,51,53,55,55,
      101,45,48,56,32,50,46,56,52,56,54,101,45,48,56,32,50,46,57,54,53,53,53,101,
      45,48,56,10,32,32,51,46,48,56,53,54,57,101,45,48,56,32,51,46,50,48,57,48,54,
      101,45,48,56,32,51,46,51,51,53,54,56,101,45,48,56,32,51,46,52,54,53,54,49,101,
      45,48,56,32,51,46,53,57,56,56,57,101,45,48,56,32,51,46,55,51,53,53,56,101,45,
      48,56,32,51,46,56,55,53,54,57,101,45,48,56,10,32,32,52,46,48,49,54,49,52,101,
      45,48,56,32,52,46,49,53,55,57,49,101,45,48,56,32,52,46,51,48,51,101,45,48,56,
      32,52,46,52,53,49,52,52,101,45,48,56,32,52,46,54,48,49,54,55,101,45,48,56,32,
      52,46,55,52,51,50,50,101,45,48,56,32,52,46,56,56,55,55,49,101,45,48,56,10,32,
      32,53,46,48,51,53,49,55,101,45,48,56,32,53,46,49,56,53,54,51,101,45,48,56,32,
      53,46,51,50,51,53,54,101,45,48,56,32,53,46,52,53,52,55,50,101,45,48,56,32,53,
      46,53,56,56,52,51,101,45,48,56,32,53,46,55,50,52,54,54,101,45,48,56,32,53,46,
      56,53,56,53,51,101,45,48,56,10,32,32,53,46,57,54,50,49,51,101,45,48,56,32,54,
      46,48,54,56,50,50,101,45,48,56,32,54,46,49,55,54,55,54,101,45,48,56,32,54,46,
      50,56,55,55,53,101,45,48,56,32,54,46,51,54,57,54,53,101,45,48,56,32,54,46,52,
      51,54,55,55,101,45,48,56,32,54,46,53,48,55,49,52,101,45,48,56,10,32,32,54,46,
      53,56,48,54,53,101,45,48,56,32,54,46,54,52,56,57,101,45,48,56,32,54,46,54,55,
      49,55,56,101,45,48,56,32,54,46,54,57,57,55,51,101,45,48,56,32,54,46,55,51,50,
      51,57,101,45,48,56,32,54,46,55,54,57,52,56,101,45,48,56,32,54,46,55,55,50,48,
      52,101,45,48,56,10,32,32,54,46,55,54,48,52,53,101,45,48,56,32,54,46,55,53,53,
      55,101,45,48,56,32,54,46,55,53,55,49,55,101,45,48,56,32,54,46,55,53,53,52,52,
      101,45,48,56,32,54,46,55,49,50,55,101,45,48,56,32,54,46,54,55,56,55,51,101,
      45,48,56,32,54,46,54,53,50,54,54,101,45,48,56,10,32,32,54,46,54,51,51,55,57,
      101,45,48,56,32,54,46,53,56,56,54,55,101,45,48,56,32,54,46,53,51,53,57,56,101,
      45,48,56,32,54,46,52,57,50,51,50,101,45,48,56,32,54,46,52,53,54,55,50,101,45,
      48,56,32,54,46,52,50,49,52,56,101,45,48,56,32,54,46,51,54,48,52,50,101,45,48,
      56,10,32,32,54,46,51,48,56,54,101,45,48,56,32,54,46,50,54,53,48,50,101,45,48,
      56,32,54,46,50,50,56,57,51,101,45,48,56,32,54,46,49,55,56,56,49,101,45,48,56,
      32,54,46,49,50,54,56,53,101,45,48,56,32,54,46,48,56,50,55,50,101,45,48,56,32,
      54,46,48,52,53,54,55,101,45,48,56,10,32,32,54,46,48,49,49,48,57,101,45,48,56,
      32,53,46,57,54,53,49,55,101,45,48,56,32,53,46,57,50,54,49,57,101,45,48,56,32,
      53,46,56,57,51,52,55,101,45,48,56,32,53,46,56,54,54,53,101,45,48,56,32,53,46,
      56,51,53,55,50,101,45,48,56,32,53,46,56,48,54,51,51,101,45,48,56,10,32,32,53,
      46,55,56,50,49,56,101,45,48,56,32,53,46,55,54,50,56,55,101,45,48,56,32,53,46,
      55,52,54,56,56,101,45,48,56,32,53,46,55,51,48,52,56,101,45,48,56,32,53,46,55,
      49,56,50,49,101,45,48,56,32,53,46,55,48,57,55,52,101,45,48,56,32,53,46,55,48,
      52,56,51,101,45,48,56,10,32,32,53,46,55,48,51,56,51,101,45,48,56,32,53,46,55,
      48,54,49,55,101,45,48,56,32,53,46,55,49,49,51,53,101,45,48,56,32,53,46,55,49,
      57,49,57,101,45,48,56,32,53,46,55,51,48,57,56,101,45,48,56,32,53,46,55,53,48,
      54,50,101,45,48,56,32,53,46,55,55,50,50,54,101,45,48,56,10,32,32,53,46,56,48,
      51,57,57,101,45,48,56,32,53,46,57,49,53,56,54,101,45,48,56,32,54,46,49,53,55,
      52,101,45,48,56,32,54,46,55,55,55,55,54,101,45,48,56,32,55,46,55,52,53,49,55,
      101,45,48,56,32,57,46,48,57,57,57,101,45,48,56,32,49,46,48,57,52,51,57,101,
      45,48,55,10,32,32,49,46,51,50,57,53,56,101,45,48,55,32,49,46,54,49,54,48,54,
      101,45,48,55,32,49,46,57,52,51,48,57,101,45,48,55,32,50,46,50,57,55,48,57,101,
      45,48,55,32,50,46,54,53,56,54,56,101,45,48,55,32,51,46,48,50,52,54,50,101,45,
      48,55,32,51,46,51,57,57,50,49,101,45,48,55,10,32,32,51,46,56,55,56,56,50,101,
      45,48,55,32,52,46,52,51,54,57,51,101,45,48,55,32,53,46,51,57,49,53,101,45,48,
      55,32,54,46,55,54,49,51,57,101,45,48,55,32,56,46,55,53,52,50,54,101,45,48,55,
      32,49,46,50,53,50,51,56,101,45,48,54,32,49,46,56,50,48,54,57,101,45,48,54,10,
      32,32,50,46,53,57,54,54,51,101,45,48,54,32,51,46,54,53,51,52,49,101,45,48,54,
      32,52,46,52,57,57,53,52,101,45,48,54,32,52,46,57,53,55,56,50,101,45,48,54,32,
      52,46,57,54,49,48,49,101,45,48,54,32,52,46,56,57,55,48,49,101,45,48,54,32,52,
      46,57,50,49,48,57,101,45,48,54,10,32,32,53,46,49,48,54,49,50,101,45,48,54,32,
      53,46,53,50,51,49,54,101,45,48,54,32,54,46,50,57,51,51,49,101,45,48,54,32,55,
      46,54,52,49,54,57,101,45,48,54,32,49,46,48,49,56,57,51,101,45,48,53,32,49,46,
      52,50,52,50,57,101,45,48,53,32,50,46,48,56,55,51,56,101,45,48,53,10,32,32,50,
      46,57,55,55,53,55,101,45,48,53,32,51,46,50,55,49,49,50,101,45,48,53,32,51,46,
      49,48,55,52,101,45,48,53,32,50,46,56,52,48,51,56,101,45,48,53,32,50,46,54,52,
      49,56,56,101,45,48,53,32,50,46,53,57,50,50,51,101,45,48,53,32,50,46,54,55,57,
      52,55,101,45,48,53,10,32,32,50,46,57,50,53,49,53,101,45,48,53,32,51,46,51,50,
      50,50,50,101,45,48,53,32,51,46,57,50,51,101,45,48,53,32,52,46,56,56,51,48,54,
      101,45,48,53,32,54,46,52,56,55,54,49,101,45,48,53,32,56,46,50,55,56,56,101,
      45,48,53,32,46,48,48,48,49,48,52,51,32,46,48,48,48,49,50,55,53,52,53,10,32,
      32,46,48,48,48,49,54,49,53,57,53,32,46,48,48,48,50,50,54,57,56,55,32,46,48,
      48,48,51,48,49,54,54,56,32,46,48,48,48,51,54,52,49,53,50,32,46,48,48,48,52,
      48,53,56,55,32,46,48,48,48,52,54,53,54,56,53,32,46,48,48,48,53,51,57,49,57,
      52,32,46,48,48,48,54,48,51,57,49,49,10,32,32,46,48,48,48,54,51,53,57,53,57,
      32,46,48,48,48,54,53,52,54,49,53,32,46,48,48,48,54,57,51,51,51,50,32,46,48,
      48,48,55,56,55,49,49,55,32,46,48,48,48,57,50,57,56,56,53,32,46,48,48,49,48,
      54,55,52,50,32,46,48,48,49,51,55,57,48,55,32,46,48,48,49,55,51,56,49,56,10,
      32,32,46,48,48,50,49,53,55,55,55,32,46,48,48,50,54,54,56,50,52,32,46,48,48,
      51,48,56,51,49,55,32,46,48,48,51,52,49,52,53,57,32,46,48,48,51,54,53,52,48,
      55,32,46,48,48,51,56,53,55,48,50,32,46,48,48,52,48,52,57,52,55,32,46,48,48,
      52,50,54,54,56,49,10,32,32,46,48,48,52,52,50,56,53,57,32,46,48,48,52,54,48,
      51,52,55,32,46,48,48,52,57,52,51,50,56,32,46,48,48,53,49,57,55,48,57,32,46,
      48,48,53,54,54,52,53,32,46,48,48,54,50,48,49,52,52,32,46,48,48,54,53,49,54,
      50,32,46,48,48,54,56,49,48,48,55,32,46,48,48,55,50,49,54,49,55,10,32,32,46,
      48,48,55,53,56,53,51,32,46,48,48,55,55,53,49,56,51,32,46,48,48,55,57,57,49,
      50,52,32,46,48,48,56,49,50,52,56,54,32,46,48,48,56,51,53,48,53,51,32,46,48,
      48,56,54,51,52,48,53,32,46,48,48,56,56,57,51,55,51,32,46,48,48,56,57,57,50,
      57,49,32,46,48,48,57,49,55,48,50,56,10,32,32,46,48,48,57,51,52,54,49,49,32,
      46,48,48,57,52,55,54,56,51,32,46,48,48,57,53,57,51,53,54,32,46,48,48,57,54,
      57,48,52,55,32,46,48,48,57,55,55,52,54,52,32,46,48,48,57,56,53,52,57,49,32,
      46,48,48,57,57,49,53,53,32,46,48,48,57,57,55,49,50,49,32,46,48,49,48,48,48,
      53,10,32,32,46,48,49,48,48,52,55,52,32,46,48,49,48,48,54,54,32,46,48,49,48,
      48,56,49,55,32,46,48,49,48,48,56,56,49,32,46,48,49,48,48,51,52,57,32,46,48,
      48,57,57,50,52,50,32,46,48,48,57,55,49,56,49,57,32,46,48,48,57,52,53,51,51,
      52,32,46,48,48,57,48,55,55,53,56,10,32,32,46,48,48,56,55,51,48,48,52,32,46,
      48,48,56,49,49,53,57,32,46,48,48,55,50,54,55,54,57,32,46,48,48,54,56,53,56,
      51,50,32,46,48,48,54,52,49,50,57,57,32,46,48,48,53,56,52,52,55,54,32,46,48,
      48,53,51,55,53,51,57,32,46,48,48,52,57,51,52,48,52,32,46,48,48,52,52,54,52,
      56,54,10,32,32,46,48,48,52,48,51,50,56,52,32,46,48,48,51,54,56,52,54,56,32,
      46,48,48,51,51,54,51,50,54,32,46,48,48,51,48,54,55,51,32,46,48,48,50,55,53,
      56,49,55,32,46,48,48,50,52,52,53,48,54,32,46,48,48,50,49,51,54,53,53,32,46,
      48,48,49,56,57,48,57,32,46,48,48,49,54,52,57,54,50,10,32,32,46,48,48,49,52,
      53,56,49,53,32,46,48,48,49,50,56,56,51,54,32,46,48,48,49,49,50,50,51,50,32,
      46,48,48,48,57,54,55,54,49,52,32,46,48,48,48,56,54,50,54,52,52,32,46,48,48,
      48,55,53,53,49,55,49,32,46,48,48,48,54,55,49,55,48,57,32,46,48,48,48,53,57,
      50,53,57,53,10,32,32,46,48,48,48,53,50,50,55,52,32,46,48,48,48,52,54,49,48,
      55,52,32,46,48,48,48,52,48,54,54,51,57,32,46,48,48,48,51,53,56,53,54,51,32,
      46,48,48,48,51,49,54,49,53,55,32,46,48,48,48,50,55,56,55,53,57,32,46,48,48,
      48,50,52,53,55,55,56,32,46,48,48,48,50,49,54,54,57,55,10,32,32,46,48,48,48,
      49,57,49,48,53,52,32,46,48,48,48,49,54,56,52,52,53,32,46,48,48,48,49,52,56,
      53,49,54,32,46,48,48,48,49,51,48,57,52,53,32,46,48,48,48,49,49,53,52,52,57,
      32,46,48,48,48,49,48,49,55,56,52,32,56,46,57,55,52,48,54,101,45,48,53,32,55,
      46,57,49,50,50,52,101,45,48,53,10,32,32,54,46,57,55,54,49,51,101,45,48,53,32,
      54,46,49,53,49,49,101,45,48,53,32,53,46,52,50,51,56,53,101,45,48,53,32,52,46,
      55,56,50,55,51,101,45,48,53,32,52,46,50,49,55,53,54,101,45,48,53,32,51,46,55,
      49,57,51,49,101,45,48,53,32,51,46,50,56,48,49,54,101,45,48,53,10,32,32,50,46,
      56,57,50,56,54,101,45,48,53,32,50,46,53,53,49,52,49,101,45,48,53,32,50,46,50,
      53,48,51,52,101,45,48,53,32,49,46,57,56,52,54,57,101,45,48,53,32,49,46,55,53,
      48,50,56,101,45,48,53,32,49,46,53,52,51,54,49,101,45,48,53,32,49,46,51,54,49,
      51,52,101,45,48,53,10,32,32,49,46,50,48,48,55,101,45,48,53,32,49,46,48,56,57,
      48,50,101,45,48,53,32,57,46,56,55,55,52,56,101,45,48,54,32,56,46,57,53,57,49,
      57,101,45,48,54,32,56,46,49,50,54,52,56,101,45,48,54,32,55,46,51,55,49,55,57,
      101,45,48,54,32,54,46,54,48,51,55,55,101,45,48,54,10,32,32,53,46,55,52,53,52,
      53,101,45,48,54,32,52,46,57,57,56,57,54,101,45,48,54,32,52,46,51,52,57,54,57,
      101,45,48,54,32,51,46,55,56,52,57,52,101,45,48,54,32,51,46,50,57,51,54,55,101,
      45,48,54,32,50,46,56,54,54,50,57,101,45,48,54,32,50,46,52,57,52,53,101,45,48,
      54,10,32,32,50,46,49,55,49,48,52,101,45,48,54,32,49,46,56,56,57,54,49,101,45,
      48,54,32,49,46,54,52,52,55,52,101,45,48,54,32,49,46,52,51,49,54,55,101,45,48,
      54,32,49,46,50,52,54,49,54,101,45,48,54,32,49,46,48,56,52,55,101,45,48,54,32,
      57,46,52,52,49,57,57,101,45,48,55,10,32,32,56,46,50,49,57,51,54,101,45,48,55,
      32,55,46,49,53,53,51,55,101,45,48,55,32,54,46,50,50,57,51,57,101,45,48,55,32,
      53,46,52,50,51,52,56,101,45,48,55,32,52,46,55,50,50,48,52,101,45,48,55,32,52,
      46,49,49,49,52,57,101,45,48,55,32,51,46,53,55,57,53,55,101,45,48,55,10,32,32,
      51,46,49,49,55,51,57,101,45,48,55,32,50,46,55,49,52,54,53,101,45,48,55,32,50,
      46,51,54,52,48,51,101,45,48,55,32,50,46,48,53,56,55,57,101,45,48,55,32,49,46,
      55,57,51,48,50,101,45,48,55,32,49,46,53,54,49,54,51,101,45,48,55,32,49,46,51,
      54,48,49,53,101,45,48,55,10,32,32,49,46,49,56,52,55,101,45,48,55,32,49,46,48,
      51,49,57,51,101,45,48,55,32,56,46,57,56,56,57,49,101,45,48,56,32,55,46,56,51,
      48,51,50,101,45,48,56,32,54,46,56,50,49,51,101,45,48,56,32,53,46,57,52,50,53,
      101,45,48,56,32,53,46,49,55,55,48,57,101,45,48,56,10,32,32,52,46,53,49,48,52,
      50,101,45,48,56,32,51,46,52,50,51,57,101,45,48,56,32,50,46,53,57,57,51,57,101,
      45,48,56,32,49,46,57,55,51,55,51,101,45,48,56,32,49,46,52,57,56,55,53,101,45,
      48,56,32,49,46,49,51,55,56,101,45,48,56,32,56,46,54,51,56,56,53,101,45,48,57,
      10,32,32,54,46,53,53,57,56,53,101,45,48,57,32,52,46,57,56,49,55,52,101,45,48,
      57,32,51,46,55,56,51,55,101,45,48,57,32,50,46,56,55,52,48,57,101,45,48,57,32,
      50,46,49,56,51,51,57,101,45,48,57,32,49,46,54,53,56,56,53,101,45,48,57,32,49,
      46,50,54,48,52,53,101,45,48,57,10,32,32,57,46,53,55,56,50,55,101,45,49,48,32,
      55,46,50,55,57,51,49,101,45,49,48,32,53,46,53,51,50,54,53,101,45,49,48,32,52,
      46,50,48,53,52,56,101,45,49,48,32,51,46,49,57,54,57,54,101,45,49,48,32,50,46,
      52,51,48,53,101,45,49,48,32,49,46,56,52,55,57,54,101,45,49,48,10,32,32,49,46,
      52,48,53,49,54,101,45,49,48,32,49,46,48,54,56,53,53,101,45,49,48,32,56,46,49,
      50,54,51,55,101,45,49,49,32,54,46,49,56,48,54,51,101,45,49,49,32,52,46,55,48,
      49,49,51,101,45,49,49,32,51,46,53,55,54,48,53,101,45,49,49,32,50,46,55,50,48,
      52,49,101,45,49,49,10,32,32,50,46,48,54,57,54,53,101,45,49,49,32,49,46,53,55,
      52,55,49,101,45,49,49,32,49,46,48,57,52,48,55,101,45,49,55,32,51,46,51,51,50,
      52,52,101,45,49,54,32,49,46,54,56,57,51,53,101,45,49,53,32,50,46,48,55,49,57,
      54,101,45,49,53,32,51,46,51,50,56,56,49,101,45,49,52,10,32,32,49,46,54,56,54,
      55,56,101,45,49,51,32,53,46,51,50,53,56,54,101,45,49,51,32,49,46,51,48,52,56,
      50,101,45,49,50,32,50,46,55,51,51,50,49,101,45,49,50,32,53,46,48,56,50,57,55,
      101,45,49,50,32,56,46,57,49,56,57,49,101,45,49,50,32,49,46,52,55,52,53,52,101,
      45,49,49,10,32,32,50,46,50,51,57,48,56,101,45,49,49,32,51,46,50,54,53,51,56,
      101,45,49,49,32,52,46,54,48,54,48,56,101,45,49,49,32,54,46,51,49,55,53,53,101,
      45,49,49,32,56,46,52,52,52,57,101,45,49,49,32,49,46,49,48,52,48,54,101,45,49,
      48,32,49,46,52,49,55,57,55,101,45,49,48,10,32,32,49,46,55,57,51,48,50,101,45,
      49,48,32,50,46,50,51,53,57,51,101,45,49,48,32,50,46,55,52,49,51,51,101,45,49,
      48,32,51,46,51,50,52,52,51,101,45,49,48,32,51,46,57,57,50,50,55,101,45,49,48,
      32,52,46,55,53,49,56,50,101,45,49,48,32,53,46,53,57,51,51,52,101,45,49,48,10,
      32,32,54,46,53,49,56,54,54,101,45,49,48,32,55,46,53,52,55,50,49,101,45,49,48,
      32,56,46,54,56,52,56,56,101,45,49,48,32,57,46,57,51,53,54,57,101,45,49,48,32,
      49,46,49,50,52,50,56,101,45,48,57,32,49,46,50,54,54,51,55,101,45,48,57,32,49,
      46,52,50,48,51,50,101,45,48,57,10,32,32,49,46,53,56,54,54,54,101,45,48,57,32,
      49,46,55,54,48,50,56,101,45,48,57,32,49,46,57,52,49,51,51,101,45,48,57,32,50,
      46,49,51,52,53,101,45,48,57,32,50,46,51,52,48,50,54,101,45,48,57,32,50,46,53,
      53,56,51,56,101,45,48,57,32,50,46,55,55,54,49,54,101,45,48,57,10,32,32,51,46,
      48,48,54,48,57,101,45,48,57,32,51,46,50,52,56,53,101,45,48,57,32,51,46,53,48,
      51,55,50,101,45,48,57,32,51,46,55,54,51,52,54,101,45,48,57,32,52,46,48,50,56,
      55,51,101,45,48,57,32,52,46,51,48,54,52,52,101,45,48,57,32,52,46,53,57,54,56,
      51,101,45,48,57,10,32,32,52,46,56,57,57,51,56,101,45,48,57,32,53,46,50,48,49,
      51,101,45,48,57,32,53,46,53,49,53,55,52,101,45,48,57,32,53,46,56,52,51,48,55,
      101,45,48,57,32,54,46,49,56,51,52,54,101,45,48,57,32,54,46,53,51,49,50,52,101,
      45,48,57,32,54,46,56,56,55,53,101,45,48,57,10,32,32,55,46,50,53,55,48,50,101,
      45,48,57,32,55,46,54,52,48,48,54,101,45,48,57,32,56,46,48,51,54,54,49,101,45,
      48,57,32,56,46,52,52,51,53,52,101,45,48,57,32,56,46,56,54,52,52,56,101,45,48,
      57,32,57,46,50,57,57,56,101,45,48,57,32,57,46,55,52,57,54,53,101,45,48,57,10,
      32,32,49,46,48,50,49,55,49,101,45,48,56,32,49,46,48,55,48,50,101,45,48,56,32,
      49,46,49,50,48,50,52,101,45,48,56,32,49,46,49,55,49,56,54,101,45,48,56,32,49,
      46,50,50,53,50,101,45,48,56,32,49,46,50,56,49,53,49,101,45,48,56,32,49,46,51,
      51,57,53,52,101,45,48,56,10,32,32,49,46,51,57,57,51,51,101,45,48,56,32,49,46,
      52,54,48,57,49,101,45,48,56,32,49,46,53,50,53,54,49,101,45,48,56,32,49,46,53,
      57,51,49,54,101,45,48,56,32,49,46,54,54,50,55,49,101,45,48,56,32,49,46,55,51,
      52,50,56,101,45,48,56,32,49,46,56,48,56,49,52,101,45,48,56,10,32,32,49,46,56,
      56,54,52,55,101,45,48,56,32,49,46,57,54,55,48,52,101,45,48,56,32,50,46,48,52,
      57,57,50,101,45,48,56,32,50,46,49,51,53,49,50,101,45,48,56,32,50,46,50,50,51,
      57,50,101,45,48,56,32,50,46,51,49,54,48,49,101,45,48,56,32,50,46,52,49,48,54,
      54,101,45,48,56,10,32,32,50,46,53,48,55,57,49,101,45,48,56,32,50,46,54,48,55,
      55,55,101,45,48,56,32,50,46,55,49,48,50,55,101,45,48,56,32,50,46,56,49,53,53,
      49,101,45,48,56,32,50,46,57,50,51,52,56,101,45,48,56,32,51,46,48,51,52,49,57,
      101,45,48,56,32,51,46,49,52,53,49,54,101,45,48,56,10,32,32,51,46,50,53,55,50,
      50,101,45,48,56,32,51,46,51,55,50,48,50,101,45,48,56,32,51,46,52,56,57,52,57,
      101,45,48,56,32,51,46,54,48,56,51,57,101,45,48,56,32,51,46,55,50,48,50,55,101,
      45,48,56,32,51,46,56,51,52,53,49,101,45,48,56,32,51,46,57,53,49,49,50,101,45,
      48,56,10,32,32,52,46,48,55,48,49,52,101,45,48,56,32,52,46,49,55,57,48,50,101,
      45,48,56,32,52,46,50,56,50,52,49,101,45,48,56,32,52,46,51,56,55,56,51,101,45,
      48,56,32,52,46,52,57,53,50,54,101,45,48,56,32,52,46,54,48,48,55,54,101,45,48,
      56,32,52,46,54,56,49,55,54,101,45,48,56,10,32,32,52,46,55,54,52,55,54,101,45,
      48,56,32,52,46,56,52,57,55,101,45,48,56,32,52,46,57,51,54,54,101,45,48,56,32,
      52,46,57,57,57,57,55,101,45,48,56,32,53,46,48,53,49,51,57,101,45,48,56,32,53,
      46,49,48,53,52,49,101,45,48,56,32,53,46,49,54,49,57,53,101,45,48,56,10,32,32,
      53,46,50,49,52,50,51,101,45,48,56,32,53,46,50,50,57,57,101,45,48,56,32,53,46,
      50,52,57,54,53,101,45,48,56,32,53,46,50,55,51,50,51,101,45,48,56,32,53,46,51,
      48,48,53,50,101,45,48,56,32,53,46,51,48,48,48,55,101,45,48,56,32,53,46,50,56,
      56,50,57,101,45,48,56,10,32,32,53,46,50,56,50,49,49,101,45,48,56,32,53,46,50,
      56,49,101,45,48,56,32,53,46,50,55,55,51,56,101,45,48,56,32,53,46,50,52,49,48,
      54,101,45,48,56,32,53,46,50,49,49,56,57,101,45,48,56,32,53,46,49,56,57,49,53,
      101,45,48,56,32,53,46,49,55,50,50,50,101,45,48,56,10,32,32,53,46,49,51,52,52,
      57,101,45,48,56,32,53,46,48,57,48,56,57,101,45,48,56,32,53,46,48,53,52,53,54,
      101,45,48,56,32,53,46,48,50,52,55,52,101,45,48,56,32,52,46,57,57,53,51,49,101,
      45,48,56,32,52,46,57,52,53,53,49,101,45,48,56,32,52,46,57,48,51,49,53,101,45,
      48,56,10,32,32,52,46,56,54,55,52,101,45,48,56,32,52,46,56,51,55,54,55,101,45,
      48,56,32,52,46,55,57,54,57,51,101,45,48,56,32,52,46,55,53,52,56,52,101,45,48,
      56,32,52,46,55,49,57,101,45,48,56,32,52,46,54,56,56,56,49,101,45,48,56,32,52,
      46,54,54,48,54,50,101,45,48,56,10,32,32,52,46,54,50,51,54,101,45,48,56,32,52,
      46,53,57,50,48,57,101,45,48,56,32,52,46,53,54,53,53,52,101,45,48,56,32,52,46,
      53,52,51,53,53,101,45,48,56,32,52,46,53,49,56,54,51,101,45,48,56,32,52,46,52,
      57,52,56,52,101,45,48,56,32,52,46,52,55,53,50,101,45,48,56,10,32,32,52,46,52,
      53,57,51,56,101,45,48,56,32,52,46,52,52,54,49,57,101,45,48,56,32,52,46,52,51,
      50,55,101,45,48,56,32,52,46,52,50,50,52,56,101,45,48,56,32,52,46,52,49,53,50,
      52,101,45,48,56,32,52,46,52,49,48,56,101,45,48,56,32,52,46,52,48,57,52,53,101,
      45,48,56,10,32,32,52,46,52,49,48,55,101,45,48,56,32,52,46,52,49,52,49,57,101,
      45,48,56,32,52,46,52,49,57,55,55,101,45,48,56,32,52,46,52,50,56,52,52,101,45,
      48,56,32,52,46,52,52,51,50,51,101,45,48,56,32,52,46,52,53,57,53,57,101,45,48,
      56,32,52,46,52,56,51,54,53,101,45,48,56,10,32,32,52,46,53,54,57,50,57,101,45,
      48,56,32,52,46,55,53,53,50,51,101,45,48,56,32,53,46,50,51,52,55,101,45,48,56,
      32,53,46,57,56,52,54,49,101,45,48,56,32,55,46,48,51,55,50,53,101,45,48,56,32,
      56,46,52,55,52,49,55,101,45,48,56,32,49,46,48,51,49,51,51,101,45,48,55,10,32,
      32,49,46,50,53,54,50,54,101,45,48,55,32,49,46,53,49,52,49,55,101,45,48,55,32,
      49,46,55,57,52,54,101,45,48,55,32,50,46,48,56,50,49,57,101,45,48,55,32,50,46,
      51,55,52,50,56,101,45,48,55,32,50,46,54,55,52,50,56,101,45,48,55,32,51,46,48,
      53,57,57,53,101,45,48,55,10,32,32,51,46,53,49,49,52,52,101,45,48,55,32,52,46,
      50,57,49,50,101,45,48,55,32,53,46,52,50,55,52,57,101,45,48,55,32,55,46,49,49,
      53,54,55,101,45,48,55,32,49,46,48,52,49,51,50,101,45,48,54,32,49,46,53,53,57,
      55,56,101,45,48,54,32,50,46,50,57,53,48,57,101,45,48,54,10,32,32,51,46,51,49,
      54,50,55,101,45,48,54,32,52,46,49,50,57,48,54,101,45,48,54,32,52,46,53,53,53,
      54,49,101,45,48,54,32,52,46,53,51,54,57,49,101,45,48,54,32,52,46,52,53,49,48,
      49,101,45,48,54,32,52,46,52,52,55,53,49,101,45,48,54,32,52,46,53,57,57,57,49,
      101,45,48,54,10,32,32,52,46,57,55,55,54,57,101,45,48,54,32,53,46,54,57,57,57,
      55,101,45,48,54,32,54,46,57,56,55,53,55,101,45,48,54,32,57,46,52,50,49,53,54,
      101,45,48,54,32,49,46,51,49,57,50,53,101,45,48,53,32,49,46,57,48,48,52,52,101,
      45,48,53,32,50,46,54,51,53,51,51,101,45,48,53,10,32,32,50,46,56,57,51,53,53,
      101,45,48,53,32,50,46,55,56,54,50,51,101,45,48,53,32,50,46,53,56,56,54,101,
      45,48,53,32,50,46,52,51,52,49,101,45,48,53,32,50,46,51,57,57,48,49,101,45,48,
      53,32,50,46,52,56,50,52,53,101,45,48,53,32,50,46,55,48,57,55,55,101,45,48,53,
      10,32,32,51,46,48,55,51,49,55,101,45,48,53,32,51,46,54,49,51,54,52,101,45,48,
      53,32,52,46,52,53,53,51,51,101,45,48,53,32,53,46,56,49,51,52,57,101,45,48,53,
      32,55,46,50,56,49,52,101,45,48,53,32,57,46,48,48,50,50,54,101,45,48,53,32,46,
      48,48,48,49,48,56,49,56,51,10,32,32,46,48,48,48,49,51,52,51,50,52,32,46,48,
      48,48,49,56,52,49,50,51,32,46,48,48,48,50,52,49,51,53,51,32,46,48,48,48,50,
      56,57,55,53,57,32,46,48,48,48,51,50,50,52,48,57,32,46,48,48,48,51,54,57,50,
      49,52,32,46,48,48,48,52,50,54,56,49,32,46,48,48,48,52,55,55,54,55,49,10,32,
      32,46,48,48,48,53,48,51,48,56,51,32,46,48,48,48,53,49,56,49,55,54,32,46,48,
      48,48,53,52,56,56,50,52,32,46,48,48,48,54,50,50,52,49,51,32,46,48,48,48,55,
      51,52,55,50,32,46,48,48,48,56,52,51,54,52,56,32,46,48,48,49,48,57,51,49,57,
      32,46,48,48,49,51,56,53,52,51,10,32,32,46,48,48,49,55,51,50,57,32,46,48,48,
      50,49,54,52,48,54,32,46,48,48,50,53,49,57,56,54,32,46,48,48,50,56,48,51,53,
      50,32,46,48,48,51,48,48,53,53,52,32,46,48,48,51,49,55,53,51,54,32,46,48,48,
      51,51,51,54,51,51,32,46,48,48,51,53,49,56,52,50,32,46,48,48,51,54,53,52,50,
      51,10,32,32,46,48,48,51,56,48,50,48,57,32,46,48,48,52,48,57,52,49,50,32,46,
      48,48,52,51,49,54,50,57,32,46,48,48,52,55,51,51,55,49,32,46,48,48,53,50,50,
      53,49,51,32,46,48,48,53,53,49,57,51,54,32,46,48,48,53,55,57,56,54,52,32,46,
      48,48,54,49,57,51,53,50,10,32,32,46,48,48,54,53,54,50,55,50,32,46,48,48,54,
      55,51,50,51,52,32,46,48,48,54,57,55,52,52,32,46,48,48,55,49,48,55,48,49,32,
      46,48,48,55,51,50,50,50,52,32,46,48,48,55,53,51,51,48,51,32,46,48,48,55,55,
      57,48,51,53,32,46,48,48,55,56,56,57,54,57,32,46,48,48,56,48,54,57,49,51,10,
      32,32,46,48,48,56,50,52,57,50,52,32,46,48,48,56,51,56,53,50,56,32,46,48,48,
      56,53,48,56,56,54,32,46,48,48,56,54,49,51,52,54,32,46,48,48,56,55,48,54,50,
      55,32,46,48,48,56,55,57,55,54,51,32,46,48,48,56,56,54,56,56,56,32,46,48,48,
      56,57,51,55,49,51,10,32,32,46,48,48,56,57,56,48,53,56,32,46,48,48,57,48,51,
      57,52,32,46,48,48,57,48,54,56,52,54,32,46,48,48,57,48,57,55,54,49,32,46,48,
      48,57,49,51,54,57,49,32,46,48,48,57,49,51,49,52,56,32,46,48,48,57,48,54,56,
      52,53,32,46,48,48,56,57,50,50,57,51,32,46,48,48,56,55,49,55,52,49,10,32,32,
      46,48,48,56,52,49,48,50,53,32,46,48,48,56,49,49,54,56,50,32,46,48,48,55,53,
      56,51,54,32,46,48,48,54,56,51,51,56,49,32,46,48,48,54,52,54,51,54,56,32,46,
      48,48,54,48,53,56,51,53,32,46,48,48,53,53,51,55,52,55,32,46,48,48,53,49,48,
      52,51,32,46,48,48,52,54,57,52,55,49,10,32,32,46,48,48,52,50,53,55,49,54,32,
      46,48,48,51,56,53,50,55,54,32,46,48,48,51,53,50,53,54,49,32,46,48,48,51,50,
      50,50,53,51,32,46,48,48,50,57,52,50,55,53,32,46,48,48,50,54,52,57,57,54,32,
      46,48,48,50,51,53,50,54,51,32,46,48,48,50,48,53,56,55,53,10,32,32,46,48,48,
      49,56,50,52,49,57,32,46,48,48,49,53,57,51,53,49,32,46,48,48,49,52,49,48,48,
      52,32,46,48,48,49,50,52,55,48,49,32,46,48,48,49,48,56,55,51,55,32,46,48,48,
      48,57,51,56,52,48,56,32,46,48,48,48,56,51,55,50,50,51,32,46,48,48,48,55,51,
      51,52,57,51,10,32,32,46,48,48,48,54,53,50,56,50,53,32,46,48,48,48,53,55,54,
      50,57,54,32,46,48,48,48,53,48,56,54,54,53,32,46,48,48,48,52,52,56,57,49,50,
      32,46,48,48,48,51,57,54,49,51,52,32,46,48,48,48,51,52,57,53,50,57,32,46,48,
      48,48,51,48,56,51,56,53,32,46,48,48,48,50,55,50,48,51,52,10,32,32,46,48,48,
      48,50,51,57,57,53,49,32,46,48,48,48,50,49,49,54,52,53,32,46,48,48,48,49,56,
      54,54,55,51,32,46,48,48,48,49,54,52,54,52,51,32,46,48,48,48,49,52,53,50,49,
      51,32,46,48,48,48,49,50,56,48,55,53,32,46,48,48,48,49,49,50,57,54,32,57,46,
      57,54,51,101,45,48,53,10,32,32,56,46,55,56,55,54,49,101,45,48,53,32,55,46,55,
      53,48,52,55,101,45,48,53,32,54,46,56,51,53,51,56,101,45,48,53,32,54,46,48,50,
      56,53,53,101,45,48,53,32,53,46,51,49,55,48,56,101,45,48,53,32,52,46,54,56,57,
      54,57,101,45,48,53,32,52,46,49,51,54,52,54,101,45,48,53,10,32,32,51,46,54,52,
      56,54,101,45,48,53,32,51,46,50,49,56,52,56,101,45,48,53,32,50,46,56,51,57,48,
      56,101,45,48,53,32,50,46,53,48,52,52,56,101,45,48,53,32,50,46,50,48,57,51,57,
      101,45,48,53,32,49,46,57,52,57,49,51,101,45,48,53,32,49,46,55,49,57,53,57,101,
      45,48,53,10,32,32,49,46,53,49,55,49,51,101,45,48,53,32,49,46,51,51,56,52,57,
      101,45,48,53,32,49,46,49,56,48,56,55,101,45,48,53,32,49,46,48,55,49,49,54,101,
      45,48,53,32,57,46,55,49,54,54,51,101,45,48,54,32,56,46,56,49,52,51,50,101,45,
      48,54,32,55,46,57,57,54,101,45,48,54,10,32,32,55,46,50,53,52,50,51,101,45,48,
      54,32,54,46,52,57,57,50,53,101,45,48,54,32,53,46,54,53,53,51,52,101,45,48,54,
      32,52,46,57,50,49,50,53,101,45,48,54,32,52,46,50,56,50,54,53,101,45,48,54,32,
      51,46,55,50,55,48,57,101,45,48,54,32,51,46,50,52,51,55,53,101,45,48,54,10,32,
      32,50,46,56,50,51,50,50,101,45,48,54,32,50,46,52,53,55,51,51,101,45,48,54,32,
      50,46,49,51,56,57,54,101,45,48,54,32,49,46,56,54,49,57,50,101,45,48,54,32,49,
      46,54,50,48,56,51,101,45,48,54,32,49,46,52,49,49,48,49,101,45,48,54,32,49,46,
      50,50,56,52,49,101,45,48,54,10,32,32,49,46,48,54,57,52,56,101,45,48,54,32,57,
      46,51,49,49,54,49,101,45,48,55,32,56,46,49,48,55,53,57,101,45,48,55,32,55,46,
      48,53,57,53,54,101,45,48,55,32,54,46,49,52,54,54,50,101,45,48,55,32,53,46,51,
      53,49,56,57,101,45,48,55,32,52,46,54,54,48,49,50,101,45,48,55,10,32,32,52,46,
      48,53,55,57,49,101,45,48,55,32,51,46,53,51,51,50,51,101,45,48,55,32,51,46,48,
      55,55,50,56,101,45,48,55,32,50,46,54,55,57,57,51,101,45,48,55,32,50,46,51,51,
      51,57,57,101,45,48,55,32,50,46,48,51,50,55,55,101,45,48,55,32,49,46,55,55,48,
      53,101,45,48,55,10,32,32,49,46,53,52,50,49,50,101,45,48,55,32,49,46,51,52,51,
      50,53,101,45,48,55,32,49,46,49,55,48,48,54,101,45,48,55,32,49,46,48,49,57,50,
      52,101,45,48,55,32,56,46,56,55,56,57,50,101,45,48,56,32,55,46,55,51,52,57,55,
      101,45,48,56,32,54,46,55,51,56,54,51,101,45,48,56,10,32,32,53,46,56,55,48,56,
      51,101,45,48,56,32,53,46,49,49,52,57,54,101,45,48,56,32,52,46,52,53,54,53,54,
      101,45,48,56,32,51,46,51,56,51,52,50,101,45,48,56,32,50,46,53,54,56,57,54,101,
      45,48,56,32,49,46,57,53,48,56,51,101,45,48,56,32,49,46,52,56,49,54,101,45,48,
      56,10,32,32,49,46,49,50,53,51,55,101,45,48,56,32,56,46,53,52,56,55,57,101,45,
      48,57,32,54,46,52,57,52,55,53,101,45,48,57,32,52,46,57,51,51,52,50,101,45,48,
      57,32,51,46,55,52,55,51,49,101,45,48,57,32,50,46,56,52,54,54,56,101,45,48,57,
      32,50,46,49,54,50,55,51,101,45,48,57,10,32,32,49,46,54,52,51,50,55,101,45,48,
      57,32,49,46,50,52,56,55,101,45,48,57,32,57,46,52,56,57,53,56,101,45,49,48,32,
      55,46,50,49,50,51,54,101,45,49,48,32,53,46,52,56,50,49,49,101,45,49,48,32,52,
      46,49,54,55,51,50,101,45,49,48,32,51,46,49,54,56,49,51,101,45,49,48,10,32,32,
      50,46,52,48,56,55,51,101,45,49,48,32,49,46,56,51,49,53,101,45,49,48,32,49,46,
      51,57,50,55,50,101,45,49,48,32,49,46,48,53,57,49,52,101,45,49,48,32,56,46,48,
      53,53,50,101,45,49,49,32,54,46,49,50,54,55,57,101,45,49,49,32,52,46,54,54,48,
      51,57,101,45,49,49,10,32,32,51,46,53,52,53,50,50,101,45,49,49,32,50,46,54,57,
      55,48,57,101,45,49,49,32,50,46,48,53,50,101,45,49,49,32,49,46,53,54,49,51,53,
      101,45,49,49,32,56,46,49,48,56,57,101,45,49,56,32,51,46,54,56,56,52,49,101,
      45,49,54,32,49,46,56,54,57,56,101,45,49,53,10,32,32,50,46,50,57,51,50,56,101,
      45,49,53,32,51,46,54,56,52,51,50,101,45,49,52,32,49,46,56,54,54,56,57,101,45,
      49,51,32,53,46,56,57,52,51,51,101,45,49,51,32,49,46,52,51,54,48,57,101,45,49,
      50,32,50,46,57,55,53,50,52,101,45,49,50,32,54,46,48,52,49,57,52,101,45,49,50,
      10,32,32,49,46,48,54,53,55,51,101,45,49,49,32,49,46,55,48,53,54,57,101,45,49,
      49,32,50,46,53,56,56,55,54,101,45,49,49,32,51,46,55,55,51,55,57,101,45,49,49,
      32,53,46,51,50,49,53,52,101,45,49,49,32,55,46,50,57,55,49,56,101,45,49,49,32,
      57,46,55,53,50,55,56,101,45,49,49,10,32,32,49,46,50,55,52,56,55,101,45,49,48,
      32,49,46,54,51,55,49,51,101,45,49,48,32,50,46,48,54,57,57,54,101,45,49,48,32,
      50,46,53,56,49,49,101,45,49,48,32,51,46,49,54,52,51,53,101,45,49,48,32,51,46,
      56,51,55,51,101,45,49,48,32,52,46,54,48,56,49,49,101,45,49,48,10,32,32,53,46,
      52,56,52,56,57,101,45,49,48,32,54,46,52,53,54,52,49,101,45,49,48,32,55,46,53,
      50,52,56,52,101,45,49,48,32,56,46,55,49,50,55,101,45,49,48,32,49,46,48,48,50,
      54,57,101,45,48,57,32,49,46,49,52,55,50,49,101,45,48,57,32,49,46,50,57,56,50,
      54,101,45,48,57,10,32,32,49,46,52,54,50,52,57,101,45,48,57,32,49,46,54,52,48,
      52,55,101,45,48,57,32,49,46,56,51,50,56,50,101,45,48,57,32,50,46,48,51,51,54,
      51,101,45,48,57,32,50,46,50,52,51,48,54,101,45,48,57,32,50,46,52,54,54,53,54,
      101,45,48,57,32,50,46,55,48,52,54,55,101,45,48,57,10,32,32,50,46,57,53,55,49,
      53,101,45,48,57,32,51,46,50,48,57,50,52,101,45,48,57,32,51,46,52,55,53,52,51,
      101,45,48,57,32,51,46,55,53,54,49,51,101,45,48,57,32,52,46,48,53,49,55,50,101,
      45,48,57,32,52,46,51,53,50,53,55,101,45,48,57,32,52,46,54,53,57,56,51,101,45,
      48,57,10,32,32,52,46,57,56,49,53,56,101,45,48,57,32,53,46,51,49,56,48,53,101,
      45,48,57,32,53,46,54,54,56,54,55,101,45,48,57,32,54,46,48,49,56,53,53,101,45,
      48,57,32,54,46,51,56,50,57,57,101,45,48,57,32,54,46,55,54,50,52,51,101,45,48,
      57,32,55,46,49,53,55,48,54,101,45,48,57,10,32,32,55,46,53,54,48,50,57,101,45,
      48,57,32,55,46,57,55,51,51,56,101,45,48,57,32,56,46,52,48,49,57,101,45,48,57,
      32,56,46,56,52,54,49,55,101,45,48,57,32,57,46,51,48,54,49,55,101,45,48,57,32,
      57,46,55,55,56,50,53,101,45,48,57,32,49,46,48,50,54,54,55,101,45,48,56,10,32,
      32,49,46,48,55,55,49,56,101,45,48,56,32,49,46,49,50,57,51,57,101,45,48,56,32,
      49,46,49,56,51,54,54,101,45,48,56,32,49,46,50,51,57,57,53,101,45,48,56,32,49,
      46,50,57,56,48,53,101,45,48,56,32,49,46,51,53,56,101,45,48,56,32,49,46,52,49,
      57,57,54,101,45,48,56,10,32,32,49,46,52,56,53,51,56,101,45,48,56,32,49,46,53,
      53,50,56,49,101,45,48,56,32,49,46,54,50,50,51,49,101,45,48,56,32,49,46,54,57,
      51,56,57,101,45,48,56,32,49,46,55,54,57,49,50,101,45,48,56,32,49,46,56,52,55,
      54,57,101,45,48,56,32,49,46,57,50,56,54,101,45,48,56,10,32,32,50,46,48,49,49,
      56,55,101,45,48,56,32,50,46,48,57,55,56,51,101,45,48,56,32,50,46,49,56,57,48,
      49,101,45,48,56,32,50,46,50,56,50,56,51,101,45,48,56,32,50,46,51,55,57,51,54,
      101,45,48,56,32,50,46,52,55,56,54,49,101,45,48,56,32,50,46,53,56,50,48,56,101,
      45,48,56,10,32,32,50,46,54,56,57,52,50,101,45,48,56,32,50,46,55,57,57,55,55,
      101,45,48,56,32,50,46,57,49,51,49,56,101,45,48,56,32,51,46,48,50,57,54,53,101,
      45,48,56,32,51,46,49,52,57,50,51,101,45,48,56,32,51,46,50,55,50,48,52,101,45,
      48,56,32,51,46,51,57,56,48,54,101,45,48,56,10,32,32,51,46,53,50,55,51,101,45,
      48,56,32,51,46,54,53,54,56,53,101,45,48,56,32,51,46,55,56,55,54,57,101,45,48,
      56,32,51,46,57,50,49,55,54,101,45,48,56,32,52,46,48,53,56,57,57,101,45,48,56,
      32,52,46,49,57,55,57,101,45,48,56,32,52,46,51,50,56,53,51,101,45,48,56,10,32,
      32,52,46,52,54,49,57,50,101,45,48,56,32,52,46,53,57,56,49,49,101,45,48,56,32,
      52,46,55,51,55,49,50,101,45,48,56,32,52,46,56,54,52,49,55,101,45,48,56,32,52,
      46,57,56,52,55,50,101,45,48,56,32,53,46,49,48,55,54,55,101,45,48,56,32,53,46,
      50,51,50,57,55,101,45,48,56,10,32,32,53,46,51,53,53,57,56,101,45,48,56,32,53,
      46,52,53,48,49,101,45,48,56,32,53,46,53,52,54,53,52,101,45,48,56,32,53,46,54,
      52,53,50,57,101,45,48,56,32,53,46,55,52,54,51,49,101,45,48,56,32,53,46,56,49,
      57,53,56,101,45,48,56,32,53,46,56,55,56,55,54,101,45,48,56,10,32,32,53,46,57,
      52,49,101,45,48,56,32,54,46,48,48,54,49,57,101,45,48,56,32,54,46,48,54,54,51,
      54,101,45,48,56,32,54,46,48,56,51,51,56,101,45,48,56,32,54,46,49,48,53,50,51,
      101,45,48,56,32,54,46,49,51,49,53,57,101,45,48,56,32,54,46,49,54,50,52,101,
      45,48,56,10,32,32,54,46,49,54,48,53,56,101,45,48,56,32,54,46,49,52,53,52,53,
      101,45,48,56,32,54,46,49,51,54,57,55,101,45,48,56,32,54,46,49,51,52,52,57,101,
      45,48,56,32,54,46,49,50,57,48,56,101,45,48,56,32,54,46,48,56,53,51,54,101,45,
      48,56,32,54,46,48,53,48,48,57,101,45,48,56,10,32,32,54,46,48,50,50,52,101,45,
      48,56,32,54,46,48,48,49,54,101,45,48,56,32,53,46,57,53,54,52,54,101,45,48,56,
      32,53,46,57,48,52,53,50,101,45,48,56,32,53,46,56,54,49,49,54,101,45,48,56,32,
      53,46,56,50,53,52,54,101,45,48,56,32,53,46,55,57,48,50,56,101,45,48,56,10,32,
      32,53,46,55,51,49,51,52,101,45,48,56,32,53,46,54,56,49,49,53,101,45,48,56,32,
      53,46,54,51,56,55,53,101,45,48,56,32,53,46,54,48,51,52,101,45,48,56,32,53,46,
      53,53,53,50,54,101,45,48,56,32,53,46,53,48,53,53,57,101,45,48,56,32,53,46,52,
      54,51,50,55,101,45,48,56,10,32,32,53,46,52,50,55,53,54,101,45,48,56,32,53,46,
      51,57,52,50,49,101,45,48,56,32,53,46,51,53,48,54,49,101,45,48,56,32,53,46,51,
      49,51,52,54,101,45,48,56,32,53,46,50,56,50,49,51,101,45,48,56,32,53,46,50,53,
      54,49,51,101,45,48,56,32,53,46,50,50,54,55,52,101,45,48,56,10,32,32,53,46,49,
      57,56,54,57,101,45,48,56,32,53,46,49,55,53,52,57,101,45,48,56,32,53,46,49,53,
      54,55,53,101,45,48,56,32,53,46,49,52,49,48,56,101,45,48,56,32,53,46,49,50,53,
      48,56,101,45,48,56,32,53,46,49,49,50,56,56,101,45,48,56,32,53,46,49,48,52,49,
      55,101,45,48,56,10,32,32,53,46,48,57,56,55,50,101,45,48,56,32,53,46,48,57,54,
      56,54,101,45,48,56,32,53,46,48,57,56,48,52,101,45,48,56,32,53,46,49,48,49,56,
      49,101,45,48,56,32,53,46,49,48,56,48,50,101,45,48,56,32,53,46,49,49,55,56,51,
      101,45,48,56,32,53,46,49,51,52,55,51,101,45,48,56,10,32,32,53,46,49,53,51,52,
      54,101,45,48,56,32,53,46,49,56,49,48,52,101,45,48,56,32,53,46,50,55,57,54,50,
      101,45,48,56,32,53,46,52,57,52,49,54,101,45,48,56,32,54,46,48,52,56,51,50,101,
      45,48,56,32,54,46,57,49,54,49,52,101,45,48,56,32,56,46,49,51,53,53,53,101,45,
      48,56,10,32,32,57,46,56,48,50,50,57,101,45,48,56,32,49,46,49,57,51,56,57,101,
      45,48,55,32,49,46,52,53,53,55,49,101,45,48,55,32,49,46,55,53,54,53,51,101,45,
      48,55,32,50,46,48,56,52,50,56,101,45,48,55,32,50,46,52,50,48,57,57,101,45,48,
      55,32,50,46,55,54,51,53,49,101,45,48,55,10,32,32,51,46,49,49,53,55,57,101,45,
      48,55,32,51,46,53,54,57,52,52,101,45,48,55,32,52,46,49,48,49,56,51,101,45,48,
      55,32,53,46,48,50,52,56,49,101,45,48,55,32,54,46,51,55,55,51,57,101,45,48,55,
      32,56,46,52,48,48,49,53,101,45,48,55,32,49,46,50,51,55,57,101,45,48,54,10,32,
      32,49,46,56,54,52,52,50,101,45,48,54,32,50,46,55,52,48,56,52,101,45,48,54,32,
      51,46,57,49,54,56,49,101,45,48,54,32,52,46,56,50,48,55,50,101,45,48,54,32,53,
      46,51,48,57,48,54,101,45,48,54,32,53,46,51,50,48,56,53,101,45,48,54,32,53,46,
      50,53,49,52,56,101,45,48,54,10,32,32,53,46,50,54,55,55,101,45,48,54,32,53,46,
      52,53,56,54,52,101,45,48,54,32,53,46,57,48,53,56,101,45,48,54,32,54,46,55,52,
      49,55,53,101,45,48,54,32,56,46,49,57,54,50,55,101,45,48,54,32,49,46,48,56,49,
      50,54,101,45,48,53,32,49,46,52,53,52,51,54,101,45,48,53,10,32,32,49,46,57,54,
      55,57,56,101,45,48,53,32,50,46,53,54,54,49,52,101,45,48,53,32,50,46,56,49,52,
      55,101,45,48,53,32,50,46,55,56,53,48,56,101,45,48,53,32,50,46,54,56,55,52,53,
      101,45,48,53,32,50,46,54,49,51,50,54,101,45,48,53,32,50,46,54,50,55,53,53,101,
      45,48,53,10,32,32,50,46,55,52,50,54,49,101,45,48,53,32,50,46,57,57,48,54,57,
      101,45,48,53,32,51,46,51,53,56,52,55,101,45,48,53,32,51,46,56,55,54,53,52,101,
      45,48,53,32,52,46,54,52,48,52,51,101,45,48,53,32,53,46,56,48,51,52,50,101,45,
      48,53,32,55,46,48,48,55,50,54,101,45,48,53,10,32,32,56,46,51,55,50,49,52,101,
      45,48,53,32,57,46,55,54,52,56,54,101,45,48,53,32,46,48,48,48,49,49,55,50,53,
      52,32,46,48,48,48,49,53,52,52,48,51,32,46,48,48,48,49,57,55,55,50,51,32,46,
      48,48,48,50,51,53,48,53,54,32,46,48,48,48,50,54,48,54,55,57,32,46,48,48,48,
      50,57,55,51,57,52,10,32,32,46,48,48,48,51,52,50,53,52,49,32,46,48,48,48,51,
      56,50,54,51,53,32,46,48,48,48,52,48,51,49,52,55,32,46,48,48,48,52,49,53,56,
      55,49,32,46,48,48,48,52,52,48,52,54,57,32,46,48,48,48,52,57,56,49,54,57,32,
      46,48,48,48,53,56,54,48,55,51,32,46,48,48,48,54,55,49,56,54,50,10,32,32,46,
      48,48,48,56,55,48,53,50,55,32,46,48,48,49,49,48,54,56,52,32,46,48,48,49,51,
      57,50,55,56,32,46,48,48,49,55,53,52,50,51,32,46,48,48,50,48,53,54,57,56,32,
      46,48,48,50,50,57,56,51,49,32,46,48,48,50,52,54,56,48,55,32,46,48,48,50,54,
      48,57,55,54,10,32,32,46,48,48,50,55,52,52,48,50,32,46,48,48,50,56,57,54,49,
      52,32,46,48,48,51,48,48,57,55,57,32,46,48,48,51,49,51,52,51,54,32,46,48,48,
      51,51,56,52,48,56,32,46,48,48,51,53,55,55,50,54,32,46,48,48,51,57,52,54,54,
      49,32,46,48,48,52,51,57,49,49,53,10,32,32,46,48,48,52,54,54,50,53,49,32,46,
      48,48,52,57,50,51,56,52,32,46,48,48,53,51,48,48,53,50,32,46,48,48,53,54,54,
      49,48,54,32,46,48,48,53,56,50,57,55,53,32,46,48,48,54,48,54,57,54,53,32,46,
      48,48,54,49,57,56,55,55,32,46,48,48,54,52,48,49,55,55,10,32,32,46,48,48,54,
      53,53,51,55,55,32,46,48,48,54,56,48,52,48,53,32,46,48,48,54,57,48,49,52,51,
      32,46,48,48,55,48,55,56,56,57,32,46,48,48,55,50,53,57,55,32,46,48,48,55,51,
      57,56,49,51,32,46,48,48,55,53,50,53,53,56,32,46,48,48,55,54,51,52,55,32,46,
      48,48,55,55,51,50,57,56,10,32,32,46,48,48,55,56,51,49,54,51,32,46,48,48,55,
      57,49,48,50,55,32,46,48,48,55,57,56,55,54,49,32,46,48,48,56,48,51,56,51,49,
      32,46,48,48,56,49,49,48,49,32,46,48,48,56,49,52,55,54,55,32,46,48,48,56,49,
      56,55,55,55,32,46,48,48,56,50,53,51,57,54,32,46,48,48,56,50,56,56,50,54,10,
      32,32,46,48,48,56,50,54,54,50,51,32,46,48,48,56,49,55,51,49,56,32,46,48,48,
      56,48,50,48,49,57,32,46,48,48,55,55,55,52,56,57,32,46,48,48,55,53,51,48,53,
      49,32,46,48,48,55,48,55,50,51,32,46,48,48,54,52,49,52,55,49,32,46,48,48,54,
      48,56,50,48,52,32,46,48,48,53,55,49,52,53,56,10,32,32,46,48,48,53,50,51,56,
      53,56,32,46,48,48,52,56,51,57,57,53,32,46,48,48,52,52,54,49,48,53,32,46,48,
      48,52,48,53,52,49,50,32,46,48,48,51,54,55,54,49,54,32,46,48,48,51,51,54,57,
      50,57,32,46,48,48,51,48,56,52,51,32,46,48,48,50,56,50,48,51,53,32,46,48,48,
      50,53,52,51,51,10,32,32,46,48,48,50,50,54,49,50,55,32,46,48,48,49,57,56,49,
      56,56,32,46,48,48,49,55,53,56,50,56,32,46,48,48,49,53,51,55,56,54,32,46,48,
      48,49,51,54,50,50,52,32,46,48,48,49,50,48,54,48,50,32,46,48,48,49,48,53,50,
      54,57,32,46,48,48,48,57,48,57,51,54,56,10,32,32,46,48,48,48,56,49,49,57,48,
      54,32,46,48,48,48,55,49,49,56,56,57,32,46,48,48,48,54,51,52,48,52,32,46,48,
      48,48,53,54,48,48,57,32,46,48,48,48,52,57,52,54,53,53,32,46,48,48,48,52,51,
      54,55,57,53,32,46,48,48,48,51,56,53,54,53,51,32,46,48,48,48,51,52,48,52,53,
      57,10,32,32,46,48,48,48,51,48,48,53,51,50,32,46,48,48,48,50,54,53,50,54,53,
      32,46,48,48,48,50,51,52,49,49,57,32,46,48,48,48,50,48,54,54,48,54,32,46,48,
      48,48,49,56,50,51,48,49,32,46,48,48,48,49,54,48,56,52,55,32,46,48,48,48,49,
      52,49,57,49,55,32,46,48,48,48,49,50,53,50,49,50,10,32,32,46,48,48,48,49,49,
      48,52,55,50,32,57,46,55,52,54,53,57,101,45,48,53,32,56,46,53,57,57,50,55,101,
      45,48,53,32,55,46,53,56,54,57,101,45,48,53,32,54,46,54,57,51,53,55,101,45,48,
      53,32,53,46,57,48,53,54,52,101,45,48,53,32,53,46,50,49,48,51,53,101,45,48,53,
      10,32,32,52,46,53,57,54,55,52,101,45,48,53,32,52,46,48,53,53,52,55,101,45,48,
      53,32,51,46,53,55,55,57,57,101,45,48,53,32,51,46,49,53,54,56,57,101,45,48,53,
      32,50,46,55,56,53,51,50,101,45,48,53,32,50,46,52,53,55,53,54,101,45,48,53,32,
      50,46,49,54,56,52,51,101,45,48,53,10,32,32,49,46,57,49,51,51,54,101,45,48,53,
      32,49,46,54,56,56,51,53,101,45,48,53,32,49,46,52,56,57,56,52,101,45,48,53,32,
      49,46,51,49,52,54,53,101,45,48,53,32,49,46,49,54,48,49,53,101,45,48,53,32,49,
      46,48,53,50,54,55,101,45,48,53,32,57,46,53,53,49,54,52,101,45,48,54,10,32,32,
      56,46,54,54,55,48,54,101,45,48,54,32,55,46,56,54,52,53,51,101,45,48,54,32,55,
      46,49,51,54,52,53,101,45,48,54,32,54,46,51,57,52,53,49,101,45,48,54,32,53,46,
      53,54,53,48,54,101,45,48,54,32,52,46,56,52,51,52,49,101,45,48,54,32,52,46,50,
      49,53,53,50,101,45,48,54,10,32,32,51,46,54,54,57,49,55,101,45,48,54,32,51,46,
      49,57,51,55,56,101,45,48,54,32,50,46,55,56,48,48,57,101,45,48,54,32,50,46,52,
      50,48,48,56,101,45,48,54,32,50,46,49,48,54,55,57,101,45,48,54,32,49,46,56,51,
      52,49,50,101,45,48,54,32,49,46,53,57,54,56,49,101,45,48,54,10,32,32,49,46,51,
      57,48,50,54,101,45,48,54,32,49,46,50,49,48,52,56,101,45,48,54,32,49,46,48,53,
      51,57,57,101,45,48,54,32,57,46,49,55,55,55,50,101,45,48,55,32,55,46,57,57,49,
      56,56,101,45,48,55,32,54,46,57,53,57,53,51,101,45,48,55,32,54,46,48,54,48,55,
      51,101,45,48,55,10,32,32,53,46,50,55,56,50,49,101,45,48,55,32,52,46,53,57,54,
      56,57,101,45,48,55,32,52,46,48,48,51,54,56,101,45,48,55,32,51,46,52,56,54,55,
      49,101,45,48,55,32,51,46,48,51,55,48,52,101,45,48,55,32,50,46,54,52,53,49,49,
      101,45,48,55,32,50,46,51,48,51,56,52,101,45,48,55,10,32,32,50,46,48,48,54,54,
      55,101,45,48,55,32,49,46,55,52,55,57,101,45,48,55,32,49,46,53,50,50,53,53,101,
      45,48,55,32,49,46,51,50,54,51,101,45,48,55,32,49,46,49,53,53,51,56,101,45,48,
      55,32,49,46,48,48,54,53,51,101,45,48,55,32,56,46,55,54,56,56,101,45,48,56,10,
      32,32,55,46,54,51,57,53,54,101,45,48,56,32,54,46,54,53,53,57,54,101,45,48,56,
      32,53,46,55,57,57,49,57,101,45,48,56,32,53,46,48,53,50,56,55,101,45,48,56,32,
      52,46,52,48,50,55,50,101,45,48,56,32,51,46,51,52,50,57,50,101,45,48,56,32,50,
      46,53,51,56,52,56,101,45,48,56,10,32,32,49,46,57,50,55,56,57,101,45,48,56,32,
      49,46,52,54,52,51,52,101,45,48,56,32,49,46,49,49,50,51,55,101,45,48,56,32,56,
      46,52,53,48,57,53,101,45,48,57,32,54,46,52,50,49,48,55,101,45,48,57,32,52,46,
      56,55,57,50,54,101,45,48,57,32,51,46,55,48,56,48,50,101,45,48,57,10,32,32,50,
      46,56,49,56,50,101,45,48,57,32,50,46,49,52,50,48,55,101,45,48,57,32,49,46,54,
      50,55,54,56,101,45,48,57,32,49,46,50,51,54,57,52,101,45,48,57,32,57,46,52,48,
      48,57,49,101,45,49,48,32,55,46,49,52,53,52,56,101,45,49,48,32,53,46,52,51,49,
      54,52,101,45,49,48,10,32,32,52,46,49,50,57,50,51,101,45,49,48,32,51,46,49,51,
      57,51,55,101,45,49,48,32,50,46,51,56,55,101,45,49,48,32,49,46,56,49,53,48,56,
      101,45,49,48,32,49,46,51,56,48,51,49,101,45,49,48,32,49,46,48,52,57,55,53,101,
      45,49,48,32,55,46,57,56,52,50,50,101,45,49,49,10,32,32,54,46,48,55,51,48,57,
      101,45,49,49,32,52,46,54,49,57,55,55,101,45,49,49,32,51,46,53,49,52,52,56,101,
      45,49,49,32,50,46,54,55,51,56,51,101,45,49,49,32,50,46,48,51,52,51,56,101,45,
      49,49,32,49,46,53,52,56,48,49,101,45,49,49,32,54,46,55,49,54,56,57,101,45,49,
      56,10,32,32,53,46,52,54,51,48,53,101,45,49,54,32,50,46,55,54,57,53,101,45,49,
      53,32,51,46,51,57,54,55,55,101,45,49,53,32,53,46,52,53,56,49,49,101,45,49,52,
      32,50,46,55,54,54,55,52,101,45,49,51,32,56,46,55,52,49,56,52,101,45,49,51,32,
      50,46,49,51,50,50,52,101,45,49,50,10,32,32,53,46,52,55,53,56,57,101,45,49,50,
      32,49,46,48,49,50,51,50,101,45,49,49,32,49,46,55,50,53,53,54,101,45,49,49,32,
      50,46,55,54,49,54,57,101,45,49,49,32,52,46,49,57,51,48,52,101,45,49,49,32,54,
      46,49,49,54,49,54,101,45,49,49,32,56,46,54,51,49,49,53,101,45,49,49,10,32,32,
      49,46,49,56,52,53,55,101,45,49,48,32,49,46,53,56,52,55,101,45,49,48,32,50,46,
      48,55,51,54,101,45,49,48,32,50,46,54,54,53,55,52,101,45,49,48,32,51,46,51,55,
      52,51,54,101,45,49,48,32,52,46,50,49,50,53,56,101,45,49,48,32,53,46,49,55,48,
      53,51,101,45,49,48,10,32,32,54,46,50,55,55,54,52,101,45,49,48,32,55,46,53,52,
      55,56,54,101,45,49,48,32,56,46,57,57,53,49,53,101,45,49,48,32,49,46,48,54,48,
      49,50,101,45,48,57,32,49,46,50,51,55,48,49,101,45,48,57,32,49,46,52,51,51,57,
      55,101,45,48,57,32,49,46,54,53,50,50,49,101,45,48,57,10,32,32,49,46,56,57,50,
      53,56,101,45,48,57,32,50,46,49,52,52,48,51,101,45,48,57,32,50,46,52,49,55,55,
      57,101,45,48,57,32,50,46,55,49,52,56,55,101,45,48,57,32,51,46,48,51,54,51,53,
      101,45,48,57,32,51,46,51,55,50,50,52,101,45,48,57,32,51,46,55,50,50,56,49,101,
      45,48,57,10,32,32,52,46,48,57,55,51,51,101,45,48,57,32,52,46,52,57,54,55,52,
      101,45,48,57,32,52,46,57,50,48,54,55,101,45,48,57,32,53,46,51,52,51,57,50,101,
      45,48,57,32,53,46,55,57,49,50,51,101,45,48,57,32,54,46,50,54,51,51,49,101,45,
      48,57,32,54,46,55,54,48,56,53,101,45,48,57,10,32,32,55,46,50,54,55,51,50,101,
      45,48,57,32,55,46,55,56,52,54,57,101,45,48,57,32,56,46,51,50,54,56,51,101,45,
      48,57,32,56,46,56,57,52,49,54,101,45,48,57,32,57,46,52,56,53,55,101,45,48,57,
      32,49,46,48,48,55,53,56,101,45,48,56,32,49,46,48,54,57,48,56,101,45,48,56,10,
      32,32,49,46,49,51,51,49,54,101,45,48,56,32,49,46,49,57,57,56,51,101,45,48,56,
      32,49,46,50,54,55,57,55,101,45,48,56,32,49,46,51,51,55,56,101,45,48,56,32,49,
      46,52,49,48,50,55,101,45,48,56,32,49,46,52,56,53,52,52,101,45,48,56,32,49,46,
      53,54,51,51,49,101,45,48,56,10,32,32,49,46,54,52,51,50,54,101,45,48,56,32,49,
      46,55,50,54,48,49,101,45,48,56,32,49,46,56,49,49,54,52,101,45,48,56,32,49,46,
      57,48,48,49,56,101,45,48,56,32,49,46,57,57,50,50,54,101,45,48,56,32,50,46,48,
      56,55,56,52,101,45,48,56,32,50,46,49,56,54,53,53,101,45,48,56,10,32,32,50,46,
      50,56,56,52,52,101,45,48,56,32,50,46,51,57,51,55,57,101,45,48,56,32,50,46,53,
      48,53,49,53,101,45,48,56,32,50,46,54,49,57,57,57,101,45,48,56,32,50,46,55,51,
      56,51,57,101,45,48,56,32,50,46,56,54,48,52,101,45,48,56,32,50,46,57,56,56,55,
      55,101,45,48,56,10,32,32,51,46,49,50,50,57,51,101,45,48,56,32,51,46,50,54,49,
      49,53,101,45,48,56,32,51,46,52,48,51,52,54,101,45,48,56,32,51,46,53,53,48,52,
      54,101,45,48,56,32,51,46,55,48,54,53,54,101,45,48,56,32,51,46,56,54,55,50,56,
      101,45,48,56,32,52,46,48,51,50,55,101,45,48,56,10,32,32,52,46,50,48,50,56,56,
      101,45,48,56,32,52,46,51,56,48,52,51,101,45,48,56,32,52,46,53,54,52,55,51,101,
      45,48,56,32,52,46,55,53,52,50,57,101,45,48,56,32,52,46,57,52,57,50,49,101,45,
      48,56,32,53,46,49,52,57,52,56,101,45,48,56,32,53,46,51,53,53,49,56,101,45,48,
      56,10,32,32,53,46,53,54,54,53,52,101,45,48,56,32,53,46,55,56,51,53,50,101,45,
      48,56,32,54,46,48,48,54,49,53,101,45,48,56,32,54,46,50,50,57,50,57,101,45,48,
      56,32,54,46,52,53,52,54,55,101,45,48,56,32,54,46,54,56,53,54,57,101,45,48,56,
      32,54,46,57,50,50,50,51,101,45,48,56,10,32,32,55,46,49,54,49,55,49,101,45,48,
      56,32,55,46,51,56,54,53,55,101,45,48,56,32,55,46,54,49,54,50,55,101,45,48,56,
      32,55,46,56,53,48,56,52,101,45,48,56,32,56,46,48,57,48,51,53,101,45,48,56,32,
      56,46,51,48,56,55,51,101,45,48,56,32,56,46,53,49,53,54,51,101,45,48,56,10,32,
      32,56,46,55,50,54,54,54,101,45,48,56,32,56,46,57,52,49,56,50,101,45,48,56,32,
      57,46,49,53,50,56,54,101,45,48,56,32,57,46,51,49,50,57,101,45,48,56,32,57,46,
      52,55,55,101,45,48,56,32,57,46,54,52,53,48,55,101,45,48,56,32,57,46,56,49,55,
      49,50,101,45,48,56,10,32,32,57,46,57,52,48,50,101,45,48,56,32,49,46,48,48,51,
      56,52,101,45,48,55,32,49,46,48,49,52,49,57,101,45,48,55,32,49,46,48,50,53,48,
      55,101,45,48,55,32,49,46,48,51,53,48,53,101,45,48,55,32,49,46,48,51,55,52,52,
      101,45,48,55,32,49,46,48,52,48,54,56,101,45,48,55,10,32,32,49,46,48,52,52,55,
      49,101,45,48,55,32,49,46,48,52,57,53,50,101,45,48,55,32,49,46,48,52,56,54,101,
      45,48,55,32,49,46,48,52,53,51,52,101,45,48,55,32,49,46,48,52,51,50,54,101,45,
      48,55,32,49,46,48,52,50,50,52,101,45,48,55,32,49,46,48,52,48,55,49,101,45,48,
      55,10,32,32,49,46,48,51,50,52,56,101,45,48,55,32,49,46,48,50,53,55,52,101,45,
      48,55,32,49,46,48,50,48,51,52,101,45,48,55,32,49,46,48,49,54,49,54,101,45,48,
      55,32,49,46,48,48,55,55,52,101,45,48,55,32,57,46,57,56,49,52,57,101,45,48,56,
      32,57,46,57,48,48,55,49,101,45,48,56,10,32,32,57,46,56,51,51,52,55,101,45,48,
      56,32,57,46,55,54,55,50,55,101,45,48,56,32,57,46,54,53,57,57,52,101,45,48,56,
      32,57,46,53,54,56,101,45,48,56,32,57,46,52,56,57,55,57,101,45,48,56,32,57,46,
      52,50,51,57,57,101,45,48,56,32,57,46,51,51,54,49,54,101,45,48,56,10,32,32,57,
      46,50,52,53,56,57,101,45,48,56,32,57,46,49,54,56,52,57,101,45,48,56,32,57,46,
      49,48,50,55,101,45,48,56,32,57,46,48,52,49,49,50,101,45,48,56,32,56,46,57,54,
      50,48,51,101,45,48,56,32,56,46,56,57,52,50,101,45,48,56,32,56,46,56,51,54,53,
      51,101,45,48,56,10,32,32,56,46,55,56,56,49,55,101,45,48,56,32,56,46,55,51,52,
      49,101,45,48,56,32,56,46,54,56,50,52,51,101,45,48,56,32,56,46,54,51,57,50,51,
      101,45,48,56,32,56,46,54,48,51,55,53,101,45,48,56,32,56,46,53,55,51,54,50,101,
      45,48,56,32,56,46,53,52,51,48,50,101,45,48,56,10,32,32,56,46,53,49,57,101,45,
      48,56,32,56,46,53,48,49,48,50,101,45,48,56,32,56,46,52,56,56,54,54,101,45,48,
      56,32,56,46,52,56,50,53,101,45,48,56,32,56,46,52,56,49,53,54,101,45,48,56,32,
      56,46,52,56,53,48,56,101,45,48,56,32,56,46,52,57,50,56,49,101,45,48,56,10,32,
      32,56,46,53,48,54,54,56,101,45,48,56,32,56,46,53,51,50,54,56,101,45,48,56,32,
      56,46,53,54,49,55,57,101,45,48,56,32,56,46,54,48,53,48,57,101,45,48,56,32,56,
      46,55,54,52,51,56,101,45,48,56,32,57,46,49,49,54,57,49,101,45,48,56,32,49,46,
      48,48,51,56,55,101,45,48,55,10,32,32,49,46,49,52,57,52,53,101,45,48,55,32,49,
      46,51,53,53,50,50,101,45,48,55,32,49,46,54,51,56,49,50,101,45,48,55,32,50,46,
      48,48,50,57,49,101,45,48,55,32,50,46,52,53,50,52,53,101,45,48,55,32,50,46,57,
      55,49,53,54,101,45,48,55,32,51,46,53,51,57,51,56,101,45,48,55,10,32,32,52,46,
      49,50,52,50,57,101,45,48,55,32,52,46,55,50,48,51,53,101,45,48,55,32,53,46,51,
      51,52,50,57,101,45,48,55,32,54,46,49,50,54,50,55,101,45,48,55,32,55,46,48,53,
      55,56,53,101,45,48,55,32,56,46,54,55,54,55,50,101,45,48,55,32,49,46,49,48,53,
      101,45,48,54,10,32,32,49,46,52,53,55,56,56,101,45,48,54,32,50,46,49,51,55,50,
      101,45,48,54,32,51,46,49,53,51,49,49,101,45,48,54,32,52,46,52,53,53,54,50,101,
      45,48,54,32,54,46,48,49,53,53,53,101,45,48,54,32,55,46,49,50,53,57,57,101,45,
      48,54,32,55,46,56,48,52,55,53,101,45,48,54,10,32,32,55,46,57,55,53,48,53,101,
      45,48,54,32,56,46,48,51,51,56,101,45,48,54,32,56,46,49,56,51,56,49,101,45,48,
      54,32,56,46,53,52,57,55,101,45,48,54,32,57,46,50,52,49,52,49,101,45,48,54,32,
      49,46,48,52,49,52,53,101,45,48,53,32,49,46,50,50,57,48,56,101,45,48,53,10,32,
      32,49,46,53,50,55,48,55,101,45,48,53,32,49,46,56,56,52,57,101,45,48,53,32,50,
      46,50,56,57,51,54,101,45,48,53,32,50,46,55,50,51,48,55,101,45,48,53,32,50,46,
      57,56,50,53,52,101,45,48,53,32,51,46,48,54,57,55,57,101,45,48,53,32,51,46,49,
      51,56,56,57,101,45,48,53,10,32,32,51,46,50,50,55,50,54,101,45,48,53,32,51,46,
      51,54,51,51,50,101,45,48,53,32,51,46,53,54,57,53,101,45,48,53,32,51,46,56,56,
      52,54,52,101,45,48,53,32,52,46,50,56,49,53,57,101,45,48,53,32,52,46,55,56,48,
      56,52,101,45,48,53,32,53,46,52,52,56,52,57,101,45,48,53,10,32,32,54,46,51,56,
      52,49,52,101,45,48,53,32,55,46,51,49,51,53,53,101,45,48,53,32,56,46,51,51,50,
      55,57,101,45,48,53,32,57,46,51,51,49,52,50,101,45,48,53,32,46,48,48,48,49,48,
      55,48,56,57,32,46,48,48,48,49,51,51,52,54,52,32,46,48,48,48,49,54,53,51,49,
      52,10,32,32,46,48,48,48,49,57,51,54,55,52,32,46,48,48,48,50,49,51,54,56,55,
      32,46,48,48,48,50,52,50,51,52,54,32,46,48,48,48,50,55,55,52,55,51,32,46,48,
      48,48,51,48,56,57,54,49,32,46,48,48,48,51,50,53,55,52,57,32,46,48,48,48,51,
      51,54,56,55,57,32,46,48,48,48,51,53,54,56,48,53,10,32,32,46,48,48,48,52,48,
      49,54,53,54,32,46,48,48,48,52,54,57,53,49,53,32,46,48,48,48,53,51,54,48,57,
      53,32,46,48,48,48,54,57,50,48,53,54,32,46,48,48,48,56,56,48,54,52,53,32,46,
      48,48,49,49,49,50,56,50,32,46,48,48,49,52,49,49,56,53,32,46,48,48,49,54,54,
      54,49,52,10,32,32,46,48,48,49,56,54,57,49,49,32,46,48,48,50,48,49,48,51,55,
      32,46,48,48,50,49,50,55,53,54,32,46,48,48,50,50,51,56,53,55,32,46,48,48,50,
      51,54,52,53,51,32,46,48,48,50,52,53,56,55,57,32,46,48,48,50,53,54,50,55,54,
      32,46,48,48,50,55,55,52,49,53,10,32,32,46,48,48,50,57,52,48,49,56,32,46,48,
      48,51,50,54,50,57,50,32,46,48,48,51,54,53,57,51,56,32,46,48,48,51,57,48,53,
      54,57,32,46,48,48,52,49,52,54,52,55,32,46,48,48,52,52,57,57,52,55,32,46,48,
      48,52,56,52,52,53,54,32,46,48,48,53,48,48,56,53,56,10,32,32,46,48,48,53,50,
      52,49,51,32,46,48,48,53,51,54,53,50,51,32,46,48,48,53,53,53,52,56,57,32,46,
      48,48,53,54,53,55,53,50,32,46,48,48,53,56,57,55,53,51,32,46,48,48,53,57,57,
      49,55,50,32,46,48,48,54,49,54,52,52,55,32,46,48,48,54,51,52,50,50,54,32,46,
      48,48,54,52,55,57,56,10,32,32,46,48,48,54,54,48,55,57,32,46,48,48,54,55,49,
      57,50,32,46,48,48,54,56,50,48,55,57,32,46,48,48,54,57,50,52,50,53,32,46,48,
      48,55,48,48,56,48,53,32,46,48,48,55,48,57,49,54,53,32,46,48,48,55,49,52,55,
      54,51,32,46,48,48,55,50,50,57,49,32,46,48,48,55,50,55,51,49,51,10,32,32,46,
      48,48,55,51,50,49,56,52,32,46,48,48,55,52,49,48,50,32,46,48,48,55,52,55,56,
      56,53,32,46,48,48,55,52,57,50,50,57,32,46,48,48,55,52,52,53,57,54,32,46,48,
      48,55,51,52,48,53,53,32,46,48,48,55,49,53,49,55,52,32,46,48,48,54,57,53,51,
      54,51,32,46,48,48,54,53,54,54,49,57,10,32,32,46,48,48,53,57,57,55,54,51,32,
      46,48,48,53,55,48,48,56,57,32,46,48,48,53,51,55,48,52,52,32,46,48,48,52,57,
      51,56,54,52,32,46,48,48,52,53,55,52,48,51,32,46,48,48,52,50,50,53,51,55,32,
      46,48,48,51,56,52,56,57,56,32,46,48,48,51,52,57,55,54,32,46,48,48,51,50,49,
      49,48,51,10,32,32,46,48,48,50,57,52,51,57,53,32,46,48,48,50,54,57,53,57,49,
      32,46,48,48,50,52,51,52,56,57,32,46,48,48,50,49,54,56,50,55,32,46,48,48,49,
      57,48,51,51,54,32,46,48,48,49,54,57,48,56,57,32,46,48,48,49,52,56,48,57,54,
      32,46,48,48,49,51,49,51,51,52,10,32,32,46,48,48,49,49,54,51,57,50,32,46,48,
      48,49,48,49,55,48,57,32,46,48,48,48,56,55,57,54,49,51,32,46,48,48,48,55,56,
      53,57,51,49,32,46,48,48,48,54,56,57,54,55,50,32,46,48,48,48,54,49,52,54,55,
      52,32,46,48,48,48,53,52,51,51,55,53,32,46,48,48,48,52,56,48,50,52,49,10,32,
      32,46,48,48,48,52,50,52,51,52,57,32,46,48,48,48,51,55,52,56,55,53,32,46,48,
      48,48,51,51,49,49,50,50,32,46,48,48,48,50,57,50,52,52,32,46,48,48,48,50,53,
      56,50,53,32,46,48,48,48,50,50,56,48,51,53,32,46,48,48,48,50,48,49,51,52,32,
      46,48,48,48,49,55,55,55,53,56,10,32,32,46,48,48,48,49,53,54,57,50,54,32,46,
      48,48,48,49,51,56,53,49,53,32,46,48,48,48,49,50,50,50,53,53,32,46,48,48,48,
      49,48,55,57,48,49,32,57,46,53,50,51,48,50,101,45,48,53,32,56,46,52,48,52,55,
      54,101,45,48,53,32,55,46,52,49,55,53,57,101,45,48,53,10,32,32,54,46,53,52,54,
      49,57,101,45,48,53,32,53,46,55,55,55,50,52,101,45,48,53,32,53,46,48,57,56,54,
      50,101,45,48,53,32,52,46,52,57,57,55,53,101,45,48,53,32,51,46,57,55,49,50,52,
      101,45,48,53,32,51,46,53,48,52,56,51,101,45,48,53,32,51,46,48,57,51,48,57,101,
      45,48,53,10,32,32,50,46,55,50,57,54,56,101,45,48,53,32,50,46,52,48,57,48,49,
      101,45,48,53,32,50,46,49,50,54,48,53,101,45,48,53,32,49,46,56,55,54,51,54,101,
      45,48,53,32,49,46,54,53,54,48,51,101,45,48,53,32,49,46,52,54,49,53,57,101,45,
      48,53,32,49,46,50,56,57,57,54,101,45,48,53,10,32,32,49,46,49,51,56,53,54,101,
      45,48,53,32,49,46,48,51,51,50,51,101,45,48,53,32,57,46,51,55,54,52,55,101,45,
      48,54,32,56,46,53,48,57,50,52,101,45,48,54,32,55,46,55,50,50,51,52,101,45,48,
      54,32,55,46,48,48,56,55,49,101,45,48,54,32,54,46,50,56,50,48,52,101,45,48,54,
      10,32,32,53,46,52,54,57,51,51,101,45,48,54,32,52,46,55,54,49,57,51,101,45,48,
      54,32,52,46,49,52,54,48,51,101,45,48,54,32,51,46,54,48,57,50,51,101,45,48,54,
      32,51,46,49,52,50,48,53,101,45,48,54,32,50,46,55,51,53,52,53,101,45,48,54,32,
      50,46,51,56,49,53,54,101,45,48,54,10,32,32,50,46,48,55,51,53,50,101,45,48,54,
      32,49,46,56,48,53,52,101,45,48,54,32,49,46,53,55,50,101,45,48,54,32,49,46,51,
      54,56,56,51,101,45,48,54,32,49,46,49,57,49,57,54,101,45,48,54,32,49,46,48,51,
      55,57,56,101,45,48,54,32,57,46,48,51,57,50,53,101,45,48,55,10,32,32,55,46,56,
      55,50,49,51,101,45,48,55,32,54,46,56,53,53,57,51,101,45,48,55,32,53,46,57,55,
      49,49,52,101,45,48,55,32,53,46,50,48,48,55,50,101,45,48,55,32,52,46,53,50,57,
      56,54,101,45,48,55,32,51,46,57,52,53,54,56,101,45,48,55,32,51,46,52,51,54,53,
      53,101,45,48,55,10,32,32,50,46,57,57,51,57,51,101,45,48,55,32,50,46,54,48,56,
      49,101,45,48,55,32,50,46,50,55,50,48,54,101,45,48,55,32,49,46,57,55,57,51,56,
      101,45,48,55,32,49,46,55,50,52,52,54,101,45,48,55,32,49,46,53,48,50,51,51,101,
      45,48,55,32,49,46,51,48,56,55,56,101,45,48,55,10,32,32,49,46,49,52,48,50,49,
      101,45,48,55,32,57,46,57,51,51,56,49,101,45,48,56,32,56,46,54,53,52,56,57,101,
      45,48,56,32,55,46,53,52,48,56,53,101,45,48,56,32,54,46,53,55,48,52,50,101,45,
      48,56,32,53,46,55,50,53,48,53,101,45,48,56,32,52,46,57,56,56,53,57,101,45,48,
      56,10,32,32,52,46,51,52,54,57,57,101,45,48,56,32,51,46,51,48,49,48,51,101,45,
      48,56,32,50,46,53,48,54,57,57,101,45,48,56,32,49,46,57,48,52,50,101,45,48,56,
      32,49,46,52,52,54,53,49,101,45,48,56,32,49,46,48,57,56,57,52,101,45,48,56,32,
      56,46,51,52,57,55,56,101,45,48,57,10,32,32,54,46,51,52,52,56,101,45,48,57,32,
      52,46,56,50,49,55,53,101,45,48,57,32,51,46,54,54,52,54,55,101,45,48,57,32,50,
      46,55,56,53,53,50,101,45,48,57,32,50,46,49,49,55,52,56,101,45,48,57,32,49,46,
      54,48,57,56,101,45,48,57,32,49,46,50,50,51,57,52,101,45,48,57,10,32,32,57,46,
      51,48,54,53,53,101,45,49,48,32,55,46,48,55,54,52,52,101,45,49,48,32,53,46,51,
      55,57,52,57,101,45,49,48,32,52,46,48,56,57,56,50,101,45,49,48,32,51,46,49,48,
      57,54,101,45,49,48,32,50,46,51,54,52,53,49,101,45,49,48,32,49,46,55,57,56,49,
      101,45,49,48,10,32,32,49,46,51,54,55,52,56,101,45,49,48,32,49,46,48,52,48,48,
      54,101,45,49,48,32,55,46,57,49,48,57,53,101,45,49,49,32,54,46,48,49,55,55,101,
      45,49,49,32,52,46,53,55,55,56,54,101,45,49,49,32,51,46,52,56,50,55,55,101,45,
      49,49,32,50,46,54,52,57,56,50,101,45,49,49,10,32,32,50,46,48,49,54,50,50,101,
      45,49,49,32,49,46,53,51,52,50,54,101,45,49,49,32,55,46,48,55,53,53,101,45,49,
      56,32,49,46,57,49,54,55,56,101,45,49,53,32,57,46,55,49,54,56,52,101,45,49,53,
      32,49,46,49,57,49,55,54,101,45,49,52,32,49,46,57,49,52,55,51,101,45,49,51,10,
      32,32,57,46,55,48,52,53,57,101,45,49,51,32,51,46,51,52,53,48,50,101,45,49,50,
      32,57,46,51,48,53,53,52,101,45,49,50,32,49,46,57,50,53,52,57,101,45,49,49,32,
      51,46,53,53,54,53,56,101,45,49,49,32,54,46,48,53,51,51,50,101,45,49,49,32,57,
      46,54,55,49,57,53,101,45,49,49,10,32,32,49,46,52,54,54,52,49,101,45,49,48,32,
      50,46,49,51,54,48,53,101,45,49,48,32,51,46,48,49,48,50,51,101,45,49,48,32,52,
      46,49,50,53,52,55,101,45,49,48,32,53,46,53,49,48,56,54,101,45,49,48,32,55,46,
      50,48,48,49,51,101,45,49,48,32,57,46,50,52,49,53,50,101,45,49,48,10,32,32,49,
      46,49,54,55,56,57,101,45,48,57,32,49,46,52,53,53,53,101,45,48,57,32,49,46,55,
      56,51,52,53,101,45,48,57,32,50,46,49,54,49,53,51,101,45,48,57,32,50,46,53,57,
      52,50,101,45,48,57,32,51,46,48,56,53,56,57,101,45,48,57,32,51,46,54,51,48,50,
      49,101,45,48,57,10,32,32,52,46,50,50,56,50,55,101,45,48,57,32,52,46,56,57,50,
      53,49,101,45,48,57,32,53,46,54,50,54,53,56,101,45,48,57,32,54,46,52,51,50,57,
      55,101,45,48,57,32,55,46,50,55,53,49,53,101,45,48,57,32,56,46,49,56,57,56,55,
      101,45,48,57,32,57,46,49,56,48,48,55,101,45,48,57,10,32,32,49,46,48,50,52,57,
      49,101,45,48,56,32,49,46,49,51,54,52,50,101,45,48,56,32,49,46,50,53,50,54,51,
      101,45,48,56,32,49,46,51,55,54,53,51,101,45,48,56,32,49,46,53,48,56,51,56,101,
      45,48,56,32,49,46,54,52,56,48,53,101,45,48,56,32,49,46,55,56,55,52,57,101,45,
      48,56,10,32,32,49,46,57,51,52,54,101,45,48,56,32,50,46,48,56,57,53,56,101,45,
      48,56,32,50,46,50,53,50,54,52,101,45,48,56,32,50,46,52,49,56,53,52,101,45,48,
      56,32,50,46,53,56,55,57,49,101,45,48,56,32,50,46,55,54,53,49,51,101,45,48,56,
      32,50,46,57,53,48,51,49,101,45,48,56,10,32,32,51,46,49,52,51,49,50,101,45,48,
      56,32,51,46,51,51,53,53,54,101,45,48,56,32,51,46,53,51,53,56,54,101,45,48,56,
      32,51,46,55,52,52,50,54,101,45,48,56,32,51,46,57,54,48,56,51,101,45,48,56,32,
      52,46,49,56,50,48,54,101,45,48,56,32,52,46,52,48,56,53,57,101,45,48,56,10,32,
      32,52,46,54,52,51,52,51,101,45,48,56,32,52,46,56,56,54,55,50,101,45,48,56,32,
      53,46,49,51,56,52,52,101,45,48,56,32,53,46,51,57,54,54,53,101,45,48,56,32,53,
      46,54,54,51,54,49,101,45,48,56,32,53,46,57,51,57,53,49,101,45,48,56,32,54,46,
      50,50,52,52,52,101,45,48,56,10,32,32,54,46,53,50,48,51,52,101,45,48,56,32,54,
      46,56,50,55,101,45,48,56,32,55,46,49,52,51,51,101,45,48,56,32,55,46,52,54,57,
      51,57,101,45,48,56,32,55,46,56,48,54,49,101,45,48,56,32,56,46,49,54,49,48,56,
      101,45,48,56,32,56,46,53,50,54,54,57,101,45,48,56,10,32,32,56,46,57,48,51,49,
      101,45,48,56,32,57,46,50,57,48,53,101,45,48,56,32,57,46,54,57,55,48,51,101,
      45,48,56,32,49,46,48,49,50,49,101,45,48,55,32,49,46,48,53,53,55,49,101,45,48,
      55,32,49,46,49,48,48,53,53,101,45,48,55,32,49,46,49,52,54,55,57,101,45,48,55,
      10,32,32,49,46,49,57,53,55,50,101,45,48,55,32,49,46,50,52,54,48,51,101,45,48,
      55,32,49,46,50,57,55,55,50,101,45,48,55,32,49,46,51,53,48,56,49,101,45,48,55,
      32,49,46,52,48,54,48,53,101,45,48,55,32,49,46,52,54,51,50,56,101,45,48,55,32,
      49,46,53,50,50,48,50,101,45,48,55,10,32,32,49,46,53,56,50,51,49,101,45,48,55,
      32,49,46,54,52,52,49,53,101,45,48,55,32,49,46,55,48,55,53,57,101,45,48,55,32,
      49,46,55,55,50,53,57,101,45,48,55,32,49,46,56,51,57,50,50,101,45,48,55,32,49,
      46,57,48,55,52,57,101,45,48,55,32,49,46,57,55,53,57,50,101,45,48,55,10,32,32,
      50,46,48,52,52,57,54,101,45,48,55,32,50,46,49,49,53,53,51,101,45,48,55,32,50,
      46,49,56,55,55,101,45,48,55,32,50,46,50,54,48,55,50,101,45,48,55,32,50,46,51,
      50,57,54,52,101,45,48,55,32,50,46,51,57,57,57,54,101,45,48,55,32,50,46,52,55,
      49,55,49,101,45,48,55,10,32,32,50,46,53,52,52,56,57,101,45,48,55,32,50,46,54,
      49,50,49,53,101,45,48,55,32,50,46,54,55,54,50,49,101,45,48,55,32,50,46,55,52,
      49,53,101,45,48,55,32,50,46,56,48,56,101,45,48,55,32,50,46,56,55,51,52,101,
      45,48,55,32,50,46,57,50,52,52,54,101,45,48,55,10,32,32,50,46,57,55,54,55,49,
      101,45,48,55,32,51,46,48,51,48,49,54,101,45,48,55,32,51,46,48,56,52,55,56,101,
      45,48,55,32,51,46,49,50,53,54,49,101,45,48,55,32,51,46,49,53,57,52,52,101,45,
      48,55,32,51,46,49,57,52,56,51,101,45,48,55,32,51,46,50,51,49,55,50,101,45,48,
      55,10,32,32,51,46,50,54,54,49,51,101,45,48,55,32,51,46,50,55,56,57,56,101,45,
      48,55,32,51,46,50,57,52,50,52,101,45,48,55,32,51,46,51,49,49,55,50,101,45,48,
      55,32,51,46,51,51,49,49,52,101,45,48,55,32,51,46,51,51,52,48,54,101,45,48,55,
      32,51,46,51,51,48,49,57,101,45,48,55,10,32,32,51,46,51,50,57,52,55,101,45,48,
      55,32,51,46,51,51,49,54,55,101,45,48,55,32,51,46,51,51,50,50,57,101,45,48,55,
      32,51,46,51,49,51,48,56,101,45,48,55,32,51,46,50,57,55,57,57,101,45,48,55,32,
      51,46,50,56,54,54,51,101,45,48,55,32,51,46,50,55,56,54,54,101,45,48,55,10,32,
      32,51,46,50,53,55,57,50,101,45,48,55,32,51,46,50,51,51,52,51,101,45,48,55,32,
      51,46,50,49,51,50,101,45,48,55,32,51,46,49,57,54,56,50,101,45,48,55,32,51,46,
      49,56,48,53,54,101,45,48,55,32,51,46,49,53,49,54,52,101,45,48,55,32,51,46,49,
      50,55,49,52,101,45,48,55,10,32,32,51,46,49,48,54,54,101,45,48,55,32,51,46,48,
      56,57,54,55,101,45,48,55,32,51,46,48,54,53,56,49,101,45,48,55,32,51,46,48,52,
      49,101,45,48,55,32,51,46,48,49,57,57,54,101,45,48,55,32,51,46,48,48,50,51,54,
      101,45,48,55,32,50,46,57,56,53,57,50,101,45,48,55,10,32,32,50,46,57,54,51,56,
      56,101,45,48,55,32,50,46,57,52,53,50,101,45,48,55,32,50,46,57,50,57,53,56,101,
      45,48,55,32,50,46,57,49,54,55,53,101,45,48,55,32,50,46,57,48,50,48,50,101,45,
      48,55,32,50,46,56,56,55,57,53,101,45,48,55,32,50,46,56,55,54,52,52,101,45,48,
      55,10,32,32,50,46,56,54,55,51,101,45,48,55,32,50,46,56,53,57,55,55,101,45,48,
      55,32,50,46,56,53,50,48,51,101,45,48,55,32,50,46,56,52,54,51,49,101,45,48,55,
      32,50,46,56,52,50,52,54,101,45,48,55,32,50,46,56,52,48,51,53,101,45,48,55,32,
      50,46,56,52,48,49,55,101,45,48,55,10,32,32,50,46,56,52,49,54,50,101,45,48,55,
      32,50,46,56,52,52,52,56,101,45,48,55,32,50,46,56,52,56,54,52,101,45,48,55,32,
      50,46,56,53,52,55,54,101,45,48,55,32,50,46,56,54,52,55,53,101,45,48,55,32,50,
      46,56,55,53,55,50,101,45,48,55,32,50,46,56,57,49,55,55,101,45,48,55,10,32,32,
      50,46,57,52,55,57,50,101,45,48,55,32,51,46,48,54,56,54,52,101,45,48,55,32,51,
      46,51,55,55,53,56,101,45,48,55,32,51,46,56,53,56,50,101,45,48,55,32,52,46,53,
      50,57,57,50,101,45,48,55,32,53,46,52,52,50,48,56,101,45,48,55,32,54,46,54,48,
      50,48,57,101,45,48,55,10,32,32,56,46,48,48,57,52,56,101,45,48,55,32,57,46,54,
      48,56,53,101,45,48,55,32,49,46,49,51,51,48,51,101,45,48,54,32,49,46,51,48,56,
      101,45,48,54,32,49,46,52,56,52,49,54,101,45,48,54,32,49,46,54,54,51,54,101,
      45,48,54,32,49,46,56,57,49,57,53,101,45,48,54,10,32,32,50,46,49,53,53,50,50,
      101,45,48,54,32,50,46,53,57,56,48,57,101,45,48,54,32,51,46,50,49,53,49,52,101,
      45,48,54,32,52,46,48,55,48,55,52,101,45,48,54,32,53,46,53,52,50,55,51,101,45,
      48,54,32,55,46,52,48,49,51,52,101,45,48,54,32,57,46,51,50,48,51,56,101,45,48,
      54,10,32,32,49,46,49,49,51,53,57,101,45,48,53,32,49,46,50,51,49,49,52,101,45,
      48,53,32,49,46,51,51,53,54,101,45,48,53,32,49,46,52,49,49,53,54,101,45,48,53,
      32,49,46,52,55,54,49,57,101,45,48,53,32,49,46,53,52,57,55,53,101,45,48,53,32,
      49,46,54,52,53,54,51,101,45,48,53,10,32,32,49,46,55,55,53,50,55,101,45,48,53,
      32,49,46,57,53,48,49,55,101,45,48,53,32,50,46,49,55,55,50,56,101,45,48,53,32,
      50,46,52,52,57,49,55,101,45,48,53,32,50,46,54,54,57,53,52,101,45,48,53,32,50,
      46,56,50,56,56,57,101,45,48,53,32,51,46,48,50,57,56,50,101,45,48,53,10,32,32,
      51,46,51,49,51,50,55,101,45,48,53,32,51,46,53,54,51,53,54,101,45,48,53,32,51,
      46,56,57,55,49,49,101,45,48,53,32,52,46,50,57,49,48,57,101,45,48,53,32,52,46,
      54,56,52,48,57,101,45,48,53,32,53,46,48,56,52,52,57,101,45,48,53,32,53,46,53,
      49,56,52,101,45,48,53,10,32,32,53,46,57,51,49,54,56,101,45,48,53,32,54,46,51,
      52,53,57,56,101,45,48,53,32,54,46,56,48,55,55,55,101,45,48,53,32,55,46,51,57,
      52,52,53,101,45,48,53,32,55,46,57,57,48,55,55,101,45,48,53,32,56,46,54,52,52,
      54,52,101,45,48,53,32,57,46,50,54,49,51,53,101,45,48,53,10,32,32,46,48,48,48,
      49,48,49,49,49,50,32,46,48,48,48,49,49,56,51,49,54,32,46,48,48,48,49,52,48,
      55,51,52,32,46,48,48,48,49,54,49,56,49,52,32,46,48,48,48,49,55,55,51,49,57,
      32,46,48,48,48,49,57,57,53,49,51,32,46,48,48,48,50,50,54,53,51,54,32,46,48,
      48,48,50,53,49,48,57,57,10,32,32,46,48,48,48,50,54,53,48,49,52,32,46,48,48,
      48,50,55,53,48,52,50,32,46,48,48,48,50,57,49,51,49,32,46,48,48,48,51,50,53,
      55,50,54,32,46,48,48,48,51,55,55,48,56,51,32,46,48,48,48,52,50,55,55,49,50,
      32,46,48,48,48,53,52,55,55,56,56,32,46,48,48,48,54,57,53,53,52,51,10,32,32,
      46,48,48,48,56,56,48,54,52,52,32,46,48,48,49,49,50,51,56,51,32,46,48,48,49,
      51,51,51,56,53,32,46,48,48,49,53,48,49,57,53,32,46,48,48,49,54,49,55,57,32,
      46,48,48,49,55,49,51,53,55,32,46,48,48,49,56,48,52,49,57,32,46,48,48,49,57,
      48,55,49,54,10,32,32,46,48,48,49,57,56,52,51,51,32,46,48,48,50,48,54,57,57,
      53,32,46,48,48,50,50,52,54,51,52,32,46,48,48,50,51,56,54,57,32,46,48,48,50,
      54,54,52,52,55,32,46,48,48,51,48,49,50,50,54,32,46,48,48,51,50,51,50,48,54,
      32,46,48,48,51,52,52,57,55,32,46,48,48,51,55,55,52,53,49,10,32,32,46,48,48,
      52,48,57,56,51,56,32,46,48,48,52,50,53,52,53,54,32,46,48,48,52,52,55,54,48,
      55,32,46,48,48,52,53,57,51,48,52,32,46,48,48,52,55,54,55,57,52,32,46,48,48,
      52,56,50,57,56,55,32,46,48,48,53,48,53,54,50,54,32,46,48,48,53,49,52,53,56,
      51,10,32,32,46,48,48,53,51,49,49,49,53,32,46,48,48,53,52,56,51,49,52,32,46,
      48,48,53,54,49,55,54,51,32,46,48,48,53,55,52,52,32,46,48,48,53,56,53,52,56,
      32,46,48,48,53,57,53,54,56,55,32,46,48,48,54,48,54,50,48,57,32,46,48,48,54,
      49,52,56,54,49,32,46,48,48,54,50,51,54,53,50,10,32,32,46,48,48,54,50,57,54,
      50,55,32,46,48,48,54,51,56,52,56,54,32,46,48,48,54,52,51,51,55,52,32,46,48,
      48,54,52,56,56,56,53,32,46,48,48,54,53,57,52,53,53,32,46,48,48,54,54,57,49,
      49,56,32,46,48,48,54,55,51,53,56,57,32,46,48,48,54,55,51,49,49,49,10,32,32,
      46,48,48,54,54,54,56,57,53,32,46,48,48,54,53,51,50,54,56,32,46,48,48,54,51,
      55,55,54,49,32,46,48,48,54,48,53,56,48,53,32,46,48,48,53,53,55,53,57,52,32,
      46,48,48,53,51,49,52,57,57,32,46,48,48,53,48,50,49,49,56,32,46,48,48,52,54,
      51,51,48,51,10,32,32,46,48,48,52,51,48,50,54,51,32,46,48,48,51,57,56,52,51,
      50,32,46,48,48,51,54,51,56,53,50,32,46,48,48,51,51,49,51,56,56,32,46,48,48,
      51,48,52,56,48,50,32,46,48,48,50,55,57,57,50,57,32,46,48,48,50,53,54,55,52,
      50,32,46,48,48,50,51,50,50,54,55,10,32,32,46,48,48,50,48,55,49,57,52,32,46,
      48,48,49,56,50,49,57,56,32,46,48,48,49,54,50,48,57,32,46,48,48,49,52,50,49,
      55,51,32,46,48,48,49,50,54,50,51,55,32,46,48,48,49,49,50,48,48,51,32,46,48,
      48,48,57,55,57,57,48,50,32,46,48,48,48,56,52,56,52,52,54,10,32,32,46,48,48,
      48,55,53,56,55,54,52,32,46,48,48,48,54,54,54,52,54,55,32,46,48,48,48,53,57,
      52,52,50,56,32,46,48,48,48,53,50,53,56,54,55,32,46,48,48,48,52,54,53,48,57,
      32,46,48,48,48,52,49,49,50,52,49,32,46,48,48,48,51,54,51,53,53,50,32,46,48,
      48,48,51,50,49,51,51,53,10,32,32,46,48,48,48,50,56,51,57,54,49,32,46,48,48,
      48,50,53,48,56,57,52,32,46,48,48,48,50,50,49,54,53,50,32,46,48,48,48,49,57,
      53,55,57,56,32,46,48,48,48,49,55,50,57,52,54,32,46,48,48,48,49,53,50,55,52,
      54,32,46,48,48,48,49,51,52,56,57,57,32,46,48,48,48,49,49,57,49,51,10,32,32,
      46,48,48,48,49,48,53,49,57,57,32,57,46,50,56,56,49,51,101,45,48,53,32,56,46,
      50,48,48,50,56,101,45,48,53,32,55,46,50,51,57,53,56,101,45,48,53,32,54,46,51,
      57,49,49,55,101,45,48,53,32,53,46,54,52,50,50,49,101,45,48,53,32,52,46,57,56,
      48,57,56,101,45,48,53,10,32,32,52,46,51,57,55,50,49,101,45,48,53,32,51,46,56,
      56,49,56,52,101,45,48,53,32,51,46,52,50,54,56,55,101,45,48,53,32,51,46,48,50,
      53,51,50,101,45,48,53,32,50,46,54,55,48,55,54,101,45,48,53,32,50,46,51,53,55,
      55,55,101,45,48,53,32,50,46,48,56,49,52,49,101,45,48,53,10,32,32,49,46,56,51,
      55,51,55,101,45,48,53,32,49,46,54,50,49,57,55,101,45,48,53,32,49,46,52,51,49,
      56,54,101,45,48,53,32,49,46,50,54,51,57,57,101,45,48,53,32,49,46,49,49,53,56,
      54,101,45,48,53,32,49,46,48,49,50,55,56,101,45,48,53,32,57,46,49,57,50,50,56,
      101,45,48,54,10,32,32,56,46,51,52,51,50,53,101,45,48,54,32,55,46,53,55,50,55,
      51,101,45,48,54,32,54,46,56,55,51,56,52,101,45,48,54,32,54,46,49,54,50,48,53,
      101,45,48,54,32,53,46,51,54,53,56,51,101,45,48,54,32,52,46,54,55,50,54,51,101,
      45,48,54,32,52,46,48,54,57,49,101,45,48,54,10,32,32,51,46,53,52,51,54,51,101,
      45,48,54,32,51,46,48,56,54,49,50,101,45,48,54,32,50,46,54,56,55,55,53,101,45,
      48,54,32,50,46,51,52,48,56,56,101,45,48,54,32,50,46,48,51,56,52,55,101,45,48,
      54,32,49,46,55,55,53,49,51,101,45,48,54,32,49,46,53,52,53,56,53,101,45,48,54,
      10,32,32,49,46,51,52,54,50,52,101,45,48,54,32,49,46,49,55,50,52,52,101,45,48,
      54,32,49,46,48,50,49,49,49,101,45,48,54,32,56,46,56,57,51,52,56,101,45,48,55,
      32,55,46,55,52,54,49,101,45,48,55,32,54,46,55,52,54,57,55,101,45,48,55,32,53,
      46,56,55,54,57,101,45,48,55,10,32,32,53,46,49,49,57,49,57,101,45,48,55,32,52,
      46,52,53,57,51,50,101,45,48,55,32,51,46,56,56,52,54,52,101,45,48,55,32,51,46,
      51,56,51,55,51,101,45,48,55,32,50,46,57,52,56,50,101,45,48,55,32,50,46,53,54,
      56,52,57,101,45,48,55,32,50,46,50,51,55,55,54,101,45,48,55,10,32,32,49,46,57,
      52,57,54,56,101,45,48,55,32,49,46,54,57,56,55,52,101,45,48,55,32,49,46,52,56,
      48,49,52,101,45,48,55,32,49,46,50,56,57,55,50,101,45,48,55,32,49,46,49,50,51,
      56,50,101,45,48,55,32,57,46,55,57,50,57,50,101,45,48,56,32,56,46,53,51,51,55,
      51,101,45,48,56,10,32,32,55,46,52,51,54,54,53,101,45,48,56,32,54,46,52,56,48,
      51,101,45,48,56,32,53,46,54,52,54,57,52,101,45,48,56,32,52,46,57,50,48,56,56,
      101,45,48,56,32,52,46,50,56,56,51,49,101,45,48,56,32,51,46,50,53,54,57,51,101,
      45,48,56,32,50,46,52,55,51,56,50,101,45,48,56,10,32,32,49,46,56,55,57,50,53,
      101,45,48,56,32,49,46,52,50,55,55,51,101,45,48,56,32,49,46,48,56,52,56,101,
      45,48,56,32,56,46,50,52,51,50,56,101,45,48,57,32,54,46,50,54,52,53,56,101,45,
      48,57,32,52,46,55,54,49,51,101,45,48,57,32,51,46,54,49,57,49,101,45,48,57,10,
      32,32,50,46,55,53,49,49,54,101,45,48,57,32,50,46,48,57,49,53,53,101,45,48,57,
      32,49,46,53,57,48,50,50,101,45,48,57,32,49,46,50,48,57,49,54,101,45,48,57,32,
      57,46,49,57,52,57,50,101,45,49,48,32,54,46,57,57,50,55,53,101,45,49,48,32,53,
      46,51,49,56,52,51,101,45,49,48,10,32,32,52,46,48,52,53,51,50,101,45,49,48,32,
      51,46,48,55,55,50,101,45,49,48,32,50,46,51,52,48,57,50,101,45,49,48,32,49,46,
      55,56,48,50,55,101,45,49,48,32,49,46,51,53,51,57,57,101,45,49,48,32,49,46,48,
      50,57,56,54,101,45,49,48,32,55,46,56,51,51,56,51,101,45,49,49,10,32,32,53,46,
      57,53,57,51,55,101,45,49,49,32,52,46,53,51,51,55,53,101,45,49,49,32,51,46,52,
      52,57,52,49,101,45,49,49,32,50,46,54,50,52,53,56,101,45,49,49,32,49,46,57,57,
      55,49,51,101,45,49,49,32,49,46,53,49,57,56,49,101,45,49,49,32,56,46,50,52,56,
      51,51,101,45,49,56,10,32,32,49,46,48,52,50,54,101,45,49,52,32,53,46,50,56,52,
      57,50,101,45,49,52,32,54,46,52,56,49,55,57,101,45,49,52,32,49,46,48,52,57,50,
      55,101,45,49,50,32,54,46,57,53,57,50,101,45,49,50,32,50,46,49,57,52,52,50,101,
      45,49,49,32,53,46,51,51,54,56,50,101,45,49,49,10,32,32,49,46,49,48,50,49,57,
      101,45,49,48,32,50,46,48,51,49,52,50,101,45,49,48,32,51,46,52,52,56,56,57,101,
      45,49,48,32,53,46,52,57,53,49,57,101,45,49,48,32,56,46,51,48,53,52,55,101,45,
      49,48,32,49,46,50,48,53,55,51,101,45,48,57,32,49,46,54,57,51,48,52,101,45,48,
      57,10,32,32,50,46,51,49,49,51,51,101,45,48,57,32,51,46,48,55,53,48,52,101,45,
      48,57,32,52,46,48,48,48,56,50,101,45,48,57,32,53,46,49,49,50,53,55,101,45,48,
      57,32,54,46,52,51,49,52,101,45,48,57,32,55,46,57,55,55,48,53,101,45,48,57,32,
      57,46,55,50,56,54,50,101,45,48,57,10,32,32,49,46,49,55,51,52,50,101,45,48,56,
      32,49,46,52,48,49,51,53,101,45,48,56,32,49,46,54,53,56,53,50,101,45,48,56,32,
      49,46,57,52,49,52,49,101,45,48,56,32,50,46,50,53,48,51,49,101,45,48,56,32,50,
      46,53,57,49,48,55,101,45,48,56,32,50,46,57,54,53,48,57,101,45,48,56,10,32,32,
      51,46,51,55,51,49,56,101,45,48,56,32,51,46,55,57,55,54,53,101,45,48,56,32,52,
      46,50,53,53,56,57,101,45,48,56,32,52,46,55,52,56,57,50,101,45,48,56,32,53,46,
      50,55,55,57,55,101,45,48,56,32,53,46,56,50,55,55,51,101,45,48,56,32,54,46,51,
      57,56,54,53,101,45,48,56,10,32,32,55,46,48,48,52,50,50,101,45,48,56,32,55,46,
      54,52,53,52,52,101,45,48,56,32,56,46,51,50,49,51,53,101,45,48,56,32,56,46,57,
      57,54,50,54,101,45,48,56,32,57,46,55,48,53,51,52,101,45,48,56,32,49,46,48,52,
      52,57,50,101,45,48,55,32,49,46,49,50,50,56,54,101,45,48,55,10,32,32,49,46,50,
      48,50,48,56,101,45,48,55,32,49,46,50,56,50,56,54,101,45,48,55,32,49,46,51,54,
      55,48,56,101,45,48,55,32,49,46,52,53,52,55,56,101,45,48,55,32,49,46,53,52,53,
      56,101,45,48,55,32,49,46,54,51,54,55,56,101,45,48,55,32,49,46,55,51,49,49,55,
      101,45,48,55,10,32,32,49,46,56,50,57,48,56,101,45,48,55,32,49,46,57,51,48,53,
      50,101,45,48,55,32,50,46,48,51,52,48,49,101,45,48,55,32,50,46,49,51,57,56,53,
      101,45,48,55,32,50,46,50,52,57,50,54,101,45,48,55,32,50,46,51,54,50,50,55,101,
      45,48,55,32,50,46,52,55,56,56,54,101,45,48,55,10,32,32,50,46,53,57,56,50,53,
      101,45,48,55,32,50,46,55,50,49,51,53,101,45,48,55,32,50,46,56,52,56,50,50,101,
      45,48,55,32,50,46,57,55,56,56,55,101,45,48,55,32,51,46,49,49,52,48,54,101,45,
      48,55,32,51,46,50,53,51,54,56,101,45,48,55,32,51,46,51,57,55,50,56,101,45,48,
      55,10,32,32,51,46,53,52,52,57,49,101,45,48,55,32,51,46,54,57,54,56,54,101,45,
      48,55,32,51,46,56,53,54,49,49,101,45,48,55,32,52,46,48,49,57,54,50,101,45,48,
      55,32,52,46,49,56,55,52,53,101,45,48,55,32,52,46,51,53,57,54,53,101,45,48,55,
      32,52,46,53,51,57,51,50,101,45,48,55,10,32,32,52,46,55,50,53,55,53,101,45,48,
      55,32,52,46,57,49,54,56,56,101,45,48,55,32,53,46,49,49,50,55,51,101,45,48,55,
      32,53,46,51,49,51,57,51,101,45,48,55,32,53,46,53,50,53,50,56,101,45,48,55,32,
      53,46,55,52,49,55,54,101,45,48,55,32,53,46,57,54,51,52,50,101,45,48,55,10,32,
      32,54,46,49,57,48,50,56,101,45,48,55,32,54,46,52,50,53,48,50,101,45,48,55,32,
      54,46,54,54,54,57,101,45,48,55,32,54,46,57,49,52,50,57,101,45,48,55,32,55,46,
      49,54,55,48,56,101,45,48,55,32,55,46,52,50,53,53,53,101,45,48,55,32,55,46,54,
      56,57,57,50,101,45,48,55,10,32,32,55,46,57,53,57,50,56,101,45,48,55,32,56,46,
      50,51,52,52,51,101,45,48,55,32,56,46,53,49,53,53,54,101,45,48,55,32,56,46,55,
      57,55,53,57,101,45,48,55,32,57,46,48,56,49,52,57,101,45,48,55,32,57,46,51,55,
      48,48,53,101,45,48,55,32,57,46,54,54,52,51,53,101,45,48,55,10,32,32,57,46,57,
      54,49,57,52,101,45,48,55,32,49,46,48,50,52,54,50,101,45,48,54,32,49,46,48,53,
      51,53,54,101,45,48,54,32,49,46,48,56,51,48,50,101,45,48,54,32,49,46,49,49,51,
      48,50,101,45,48,54,32,49,46,49,52,49,48,57,101,45,48,54,32,49,46,49,54,56,49,
      53,101,45,48,54,10,32,32,49,46,49,57,53,54,57,101,45,48,54,32,49,46,50,50,51,
      54,56,101,45,48,54,32,49,46,50,53,49,51,54,101,45,48,54,32,49,46,50,55,52,51,
      54,101,45,48,54,32,49,46,50,57,55,56,49,101,45,48,54,32,49,46,51,50,49,55,49,
      101,45,48,54,32,49,46,51,52,54,48,55,101,45,48,54,10,32,32,49,46,51,54,53,57,
      101,45,48,54,32,49,46,51,56,51,52,53,101,45,48,54,32,49,46,52,48,49,53,55,101,
      45,48,54,32,49,46,52,50,48,50,51,101,45,48,54,32,49,46,52,51,56,49,101,45,48,
      54,32,49,46,52,52,56,55,56,101,45,48,54,32,49,46,52,54,48,50,55,101,45,48,54,
      10,32,32,49,46,52,55,50,53,101,45,48,54,32,49,46,52,56,53,49,55,101,45,48,54,
      32,49,46,52,57,50,49,51,101,45,48,54,32,49,46,52,57,54,55,49,101,45,48,54,32,
      49,46,53,48,50,50,101,45,48,54,32,49,46,53,48,56,54,49,101,45,48,54,32,49,46,
      53,49,52,51,57,101,45,48,54,10,32,32,49,46,53,49,50,56,56,101,45,48,54,32,49,
      46,53,49,50,54,52,101,45,48,54,32,49,46,53,49,51,53,56,101,45,48,54,32,49,46,
      53,49,53,54,50,101,45,48,54,32,49,46,53,49,50,55,53,101,45,48,54,32,49,46,53,
      48,56,50,53,101,45,48,54,32,49,46,53,48,53,49,51,101,45,48,54,10,32,32,49,46,
      53,48,51,51,101,45,48,54,32,49,46,53,48,49,51,52,101,45,48,54,32,49,46,52,57,
      52,50,56,101,45,48,54,32,49,46,52,56,56,55,50,101,45,48,54,32,49,46,52,56,52,
      53,51,101,45,48,54,32,49,46,52,56,49,54,101,45,48,54,32,49,46,52,55,53,55,50,
      101,45,48,54,10,32,32,49,46,52,54,57,50,56,101,45,48,54,32,49,46,52,54,52,49,
      57,101,45,48,54,32,49,46,52,54,48,51,53,101,45,48,54,32,49,46,52,53,54,56,54,
      101,45,48,54,32,49,46,52,53,48,56,57,101,45,48,54,32,49,46,52,52,54,49,57,101,
      45,48,54,32,49,46,52,52,50,54,51,101,45,48,54,10,32,32,49,46,52,52,48,49,53,
      101,45,48,54,32,49,46,52,51,54,55,52,101,45,48,54,32,49,46,52,51,51,53,50,101,
      45,48,54,32,49,46,52,51,49,51,101,45,48,54,32,49,46,52,51,48,48,49,101,45,48,
      54,32,49,46,52,50,57,51,53,101,45,48,54,32,49,46,52,50,56,53,50,101,45,48,54,
      10,32,32,49,46,52,50,56,53,49,101,45,48,54,32,49,46,52,50,57,50,55,101,45,48,
      54,32,49,46,52,51,48,55,52,101,45,48,54,32,49,46,52,51,51,48,49,101,45,48,54,
      32,49,46,52,51,53,57,56,101,45,48,54,32,49,46,52,51,57,53,51,101,45,48,54,32,
      49,46,52,52,51,54,52,101,45,48,54,10,32,32,49,46,52,52,56,54,101,45,48,54,32,
      49,46,52,53,53,50,57,101,45,48,54,32,49,46,52,54,50,51,57,101,45,48,54,32,49,
      46,52,55,50,53,101,45,48,54,32,49,46,53,48,52,52,55,101,45,48,54,32,49,46,53,
      54,56,56,53,101,45,48,54,32,49,46,55,50,53,48,57,101,45,48,54,10,32,32,49,46,
      57,53,56,55,53,101,45,48,54,32,50,46,50,55,53,57,52,101,45,48,54,32,50,46,54,
      57,51,51,51,101,45,48,54,32,51,46,50,48,54,52,56,101,45,48,54,32,51,46,56,48,
      54,52,55,101,45,48,54,32,52,46,52,54,51,51,54,101,45,48,54,32,53,46,49,52,54,
      54,101,45,48,54,10,32,32,53,46,56,50,49,53,57,101,45,48,54,32,54,46,52,56,52,
      55,54,101,45,48,54,32,55,46,49,52,53,52,55,101,45,48,54,32,55,46,57,54,51,50,
      54,101,45,48,54,32,56,46,56,54,54,48,57,101,45,48,54,32,49,46,48,50,56,48,56,
      101,45,48,53,32,49,46,50,48,52,52,51,101,45,48,53,10,32,32,49,46,52,49,52,50,
      57,101,45,48,53,32,49,46,54,57,53,49,49,101,45,48,53,32,49,46,57,50,54,55,101,
      45,48,53,32,50,46,48,52,48,50,49,101,45,48,53,32,50,46,48,53,56,51,49,101,45,
      48,53,32,50,46,48,56,51,50,53,101,45,48,53,32,50,46,50,51,51,50,51,101,45,48,
      53,10,32,32,50,46,52,54,50,48,52,101,45,48,53,32,50,46,55,48,50,48,51,101,45,
      48,53,32,50,46,57,53,50,52,50,101,45,48,53,32,51,46,50,48,52,52,52,101,45,48,
      53,32,51,46,52,52,55,53,51,101,45,48,53,32,51,46,54,54,48,49,50,101,45,48,53,
      32,51,46,56,48,49,54,55,101,45,48,53,10,32,32,51,46,55,57,49,56,51,101,45,48,
      53,32,51,46,54,49,53,53,53,101,45,48,53,32,51,46,51,55,52,54,53,101,45,48,53,
      32,51,46,51,49,50,52,51,101,45,48,53,32,51,46,54,49,55,55,50,101,45,48,53,32,
      52,46,48,51,51,48,52,101,45,48,53,32,52,46,54,54,56,48,55,101,45,48,53,10,32,
      32,53,46,52,54,55,55,57,101,45,48,53,32,54,46,50,51,56,57,55,101,45,48,53,32,
      54,46,57,50,53,57,56,101,45,48,53,32,55,46,52,57,54,54,52,101,45,48,53,32,55,
      46,56,54,48,55,49,101,45,48,53,32,56,46,48,55,51,53,50,101,45,48,53,32,56,46,
      50,48,48,55,50,101,45,48,53,10,32,32,56,46,51,53,51,49,53,101,45,48,53,32,56,
      46,54,48,57,52,53,101,45,48,53,32,56,46,57,51,51,53,55,101,45,48,53,32,57,46,
      50,51,49,50,50,101,45,48,53,32,57,46,54,54,49,51,57,101,45,48,53,32,46,48,48,
      48,49,48,54,55,53,54,32,46,48,48,48,49,50,49,57,52,56,10,32,32,46,48,48,48,
      49,51,55,52,50,53,32,46,48,48,48,49,52,57,52,52,49,32,46,48,48,48,49,54,54,
      54,52,57,32,46,48,48,48,49,56,55,51,55,32,46,48,48,48,50,48,54,53,53,56,32,
      46,48,48,48,50,49,56,50,56,49,32,46,48,48,48,50,50,55,52,57,54,32,46,48,48,
      48,50,52,48,57,53,51,10,32,32,46,48,48,48,50,54,55,50,50,55,32,46,48,48,48,
      51,48,53,53,56,56,32,46,48,48,48,51,52,51,53,51,52,32,46,48,48,48,52,51,52,
      54,56,32,46,48,48,48,53,52,56,56,55,56,32,46,48,48,48,54,57,52,52,55,53,32,
      46,48,48,48,56,56,57,53,52,49,32,46,48,48,49,48,54,48,56,10,32,32,46,48,48,
      49,49,57,56,51,57,32,46,48,48,49,50,57,50,54,51,32,46,48,48,49,51,55,48,48,
      54,32,46,48,48,49,52,52,51,51,57,32,46,48,48,49,53,50,54,56,51,32,46,48,48,
      49,53,56,57,52,52,32,46,48,48,49,54,53,57,50,55,32,46,48,48,49,56,48,52,56,
      57,10,32,32,46,48,48,49,57,50,50,52,56,32,46,48,48,50,49,53,56,49,32,46,48,
      48,50,52,53,56,57,52,32,46,48,48,50,54,53,50,49,54,32,46,48,48,50,56,52,53,
      57,53,32,46,48,48,51,49,51,57,54,57,32,46,48,48,51,52,51,56,51,56,32,46,48,
      48,51,53,56,52,51,51,32,46,48,48,51,55,57,49,54,10,32,32,46,48,48,51,57,48,
      48,51,49,32,46,48,48,52,48,53,57,55,49,32,46,48,48,52,48,56,57,56,56,32,46,
      48,48,52,51,48,48,50,32,46,48,48,52,51,56,52,48,51,32,46,48,48,52,53,51,57,
      56,32,46,48,48,52,55,48,51,51,56,32,46,48,48,52,56,51,50,52,51,32,46,48,48,
      52,57,53,52,55,49,10,32,32,46,48,48,53,48,54,51,48,49,32,46,48,48,53,49,54,
      51,56,32,46,48,48,53,50,54,56,54,51,32,46,48,48,53,51,53,53,54,55,32,46,48,
      48,53,52,52,53,48,53,32,46,48,48,53,53,48,54,52,54,32,46,48,48,53,53,57,56,
      57,52,32,46,48,48,53,54,53,48,57,55,32,46,48,48,53,55,49,48,55,52,10,32,32,
      46,48,48,53,56,50,57,52,56,32,46,48,48,53,57,52,55,56,55,32,46,48,48,54,48,
      49,55,55,50,32,46,48,48,54,48,52,56,52,56,32,46,48,48,54,48,50,52,52,52,32,
      46,48,48,53,57,51,52,55,57,32,46,48,48,53,56,49,56,56,51,32,46,48,48,53,53,
      54,49,54,51,10,32,32,46,48,48,53,49,54,49,48,49,32,46,48,48,52,57,51,52,48,
      50,32,46,48,48,52,54,55,53,50,57,32,46,48,48,52,51,50,57,54,57,32,46,48,48,
      52,48,51,50,50,50,32,46,48,48,51,55,52,51,54,32,46,48,48,51,52,50,55,57,56,
      32,46,48,48,51,49,50,57,55,51,32,46,48,48,50,56,56,52,50,53,10,32,32,46,48,
      48,50,54,53,51,54,53,32,46,48,48,50,52,51,56,48,49,32,46,48,48,50,50,48,57,
      53,50,32,46,48,48,49,57,55,52,53,54,32,46,48,48,49,55,51,57,53,57,32,46,48,
      48,49,53,52,57,57,55,32,46,48,48,49,51,54,49,54,53,32,46,48,48,49,50,49,48,
      53,56,10,32,32,46,48,48,49,48,55,53,51,56,32,46,48,48,48,57,52,50,48,49,50,
      32,46,48,48,48,56,49,54,54,53,52,32,46,48,48,48,55,51,48,57,57,56,32,46,48,
      48,48,54,52,50,55,49,56,32,46,48,48,48,53,55,51,55,52,53,32,46,48,48,48,53,
      48,55,57,57,54,32,46,48,48,48,52,52,57,54,49,57,10,32,32,46,48,48,48,51,57,
      55,56,52,49,32,46,48,48,48,51,53,49,57,52,49,32,46,48,48,48,51,49,49,50,54,
      56,32,46,48,48,48,50,55,53,50,52,54,32,46,48,48,48,50,52,51,51,53,49,32,46,
      48,48,48,50,49,53,49,49,56,32,46,48,48,48,49,57,48,49,50,54,32,46,48,48,48,
      49,54,56,48,49,54,10,32,32,46,48,48,48,49,52,56,52,54,49,32,46,48,48,48,49,
      51,49,49,55,51,32,46,48,48,48,49,49,53,56,56,57,32,46,48,48,48,49,48,50,51,
      55,57,32,57,46,48,52,51,57,51,101,45,48,53,32,55,46,57,56,56,57,50,101,45,48,
      53,32,55,46,48,53,54,53,55,101,45,48,53,10,32,32,54,46,50,51,49,57,54,101,45,
      48,53,32,53,46,53,48,51,52,56,101,45,48,53,32,52,46,56,54,48,48,53,101,45,48,
      53,32,52,46,50,57,49,55,54,101,45,48,53,32,51,46,55,56,57,56,56,101,45,48,53,
      32,51,46,51,52,54,54,53,101,45,48,53,32,50,46,57,53,53,51,50,101,45,48,53,10,
      32,32,50,46,54,48,57,54,55,101,45,48,53,32,50,46,51,48,52,52,52,101,45,48,53,
      32,50,46,48,51,52,57,50,101,45,48,53,32,49,46,55,57,54,57,49,101,45,48,53,32,
      49,46,53,56,54,55,54,101,45,48,53,32,49,46,52,48,49,50,101,45,48,53,32,49,46,
      50,51,55,50,51,101,45,48,53,10,32,32,49,46,48,57,50,52,55,101,45,48,53,32,57,
      46,57,49,54,57,57,101,45,48,54,32,57,46,48,48,50,51,52,101,45,48,54,32,56,46,
      49,55,50,49,51,101,45,48,54,32,55,46,52,49,56,53,54,101,45,48,54,32,54,46,55,
      51,52,57,101,45,48,54,32,54,46,48,51,56,53,101,45,48,54,10,32,32,53,46,50,53,
      57,51,49,101,45,48,54,32,52,46,53,56,48,55,55,101,45,48,54,32,51,46,57,56,57,
      56,53,101,45,48,54,32,51,46,52,55,53,50,50,101,45,48,54,32,51,46,48,50,55,48,
      53,101,45,48,54,32,50,46,54,51,54,55,53,101,45,48,54,32,50,46,50,57,54,56,51,
      101,45,48,54,10,32,32,50,46,48,48,48,55,57,101,45,48,54,32,49,46,55,52,50,57,
      53,101,45,48,54,32,49,46,53,49,56,51,56,101,45,48,54,32,49,46,51,50,50,55,56,
      101,45,48,54,32,49,46,49,53,50,51,51,101,45,48,54,32,49,46,48,48,51,55,52,101,
      45,48,54,32,56,46,55,52,51,51,101,45,48,55,10,32,32,55,46,54,49,54,50,54,101,
      45,48,55,32,54,46,54,51,52,54,56,101,45,48,55,32,53,46,55,55,57,55,57,101,45,
      48,55,32,53,46,48,51,53,50,49,101,45,48,55,32,52,46,51,56,54,54,55,101,45,48,
      55,32,51,46,56,50,49,55,56,101,45,48,55,32,51,46,51,50,57,51,52,101,45,48,55,
      10,32,32,50,46,57,48,49,49,101,45,48,55,32,50,46,53,50,55,55,51,101,45,48,55,
      32,50,46,50,48,50,52,55,101,45,48,55,32,49,46,57,49,57,49,50,101,45,48,55,32,
      49,46,54,55,50,50,55,101,45,48,55,32,49,46,52,53,55,50,49,101,45,48,55,32,49,
      46,50,54,57,56,53,101,45,48,55,10,32,32,49,46,49,48,54,54,49,101,45,48,55,32,
      57,46,54,52,51,55,52,101,45,48,56,32,56,46,52,48,52,52,55,101,45,48,56,32,55,
      46,51,50,52,54,52,101,45,48,56,32,54,46,51,56,51,55,50,101,45,48,56,32,53,46,
      53,54,51,56,51,101,45,48,56,32,52,46,56,52,57,51,55,101,45,48,56,10,32,32,52,
      46,50,50,54,55,54,101,45,48,56,32,51,46,50,49,49,51,53,101,45,48,56,32,50,46,
      52,51,57,54,53,101,45,48,56,32,49,46,56,53,51,53,52,101,45,48,56,32,49,46,52,
      48,56,51,56,101,45,48,56,32,49,46,48,55,48,50,52,101,45,48,56,32,56,46,49,51,
      51,54,49,101,45,48,57,10,32,32,54,46,49,56,49,57,54,101,45,48,57,32,52,46,54,
      57,57,48,52,101,45,48,57,32,51,46,53,55,50,49,54,101,45,48,57,32,50,46,55,49,
      53,55,53,101,45,48,57,32,50,46,48,54,52,56,52,101,45,48,57,32,49,46,53,55,48,
      48,55,101,45,48,57,32,49,46,49,57,51,57,53,101,45,48,57,10,32,32,57,46,48,56,
      48,49,49,101,45,49,48,32,54,46,57,48,54,48,51,101,45,49,48,32,53,46,50,53,50,
      57,49,101,45,49,48,32,51,46,57,57,53,56,101,45,49,48,32,51,46,48,51,57,55,55,
      101,45,49,48,32,50,46,51,49,50,54,53,101,45,49,48,32,49,46,55,53,57,53,56,101,
      45,49,48,10,32,32,49,46,51,51,56,56,55,101,45,49,48,32,49,46,48,49,56,56,51,
      101,45,49,48,32,55,46,55,53,51,51,54,101,45,49,49,32,53,46,56,57,57,53,101,
      45,49,49,32,52,46,52,56,56,52,53,101,45,49,49,32,51,46,52,49,53,49,51,101,45,
      49,49,32,50,46,53,57,56,54,51,101,45,49,49,10,32,32,49,46,57,55,55,52,56,101,
      45,49,49,32,49,46,53,48,52,57,52,101,45,49,49,32,54,46,55,55,50,49,50,101,45,
      49,56,32,50,46,48,57,56,55,51,101,45,49,52,32,49,46,56,48,57,52,101,45,49,51,
      32,50,46,53,50,49,51,101,45,49,51,32,56,46,48,49,51,56,57,101,45,49,50,10,32,
      32,52,46,48,53,53,52,52,101,45,49,49,32,49,46,50,55,56,48,53,101,45,49,48,32,
      51,46,49,48,54,101,45,49,48,32,54,46,52,48,57,49,57,101,45,49,48,32,49,46,49,
      56,48,48,54,101,45,48,57,32,50,46,48,48,49,49,52,101,45,48,57,32,51,46,49,56,
      52,50,49,101,45,48,57,10,32,32,52,46,56,48,53,53,51,101,45,48,57,32,54,46,57,
      54,52,56,55,101,45,48,57,32,57,46,55,54,50,48,50,101,45,48,57,32,49,46,51,51,
      48,48,54,101,45,48,56,32,49,46,55,54,53,55,54,101,45,48,56,32,50,46,50,57,50,
      49,101,45,48,56,32,50,46,57,50,49,56,55,101,45,48,56,10,32,32,51,46,54,54,53,
      56,57,101,45,48,56,32,52,46,53,51,52,49,53,101,45,48,56,32,53,46,53,49,51,57,
      50,101,45,48,56,32,54,46,54,51,48,55,56,101,45,48,56,32,55,46,56,57,51,50,54,
      101,45,48,56,32,57,46,51,49,48,55,53,101,45,48,56,32,49,46,48,56,54,50,52,101,
      45,48,55,10,32,32,49,46,50,53,52,55,57,101,45,48,55,32,49,46,52,51,57,54,55,
      101,45,48,55,32,49,46,54,52,49,53,55,101,45,48,55,32,49,46,56,54,48,52,55,101,
      45,48,55,32,50,46,48,56,55,52,101,45,48,55,32,50,46,51,51,48,57,57,101,45,48,
      55,32,50,46,53,57,49,53,51,101,45,48,55,10,32,32,50,46,56,54,57,51,52,101,45,
      48,55,32,51,46,49,53,55,50,53,101,45,48,55,32,51,46,52,53,52,57,57,101,45,48,
      55,32,51,46,55,54,56,57,101,45,48,55,32,52,46,49,48,48,49,50,101,45,48,55,32,
      52,46,52,52,55,50,51,101,45,48,55,32,52,46,55,57,51,52,52,101,45,48,55,10,32,
      32,53,46,49,53,54,48,54,101,45,48,55,32,53,46,53,51,52,52,57,101,45,48,55,32,
      53,46,57,50,56,57,52,101,45,48,55,32,54,46,51,51,48,48,50,101,45,48,55,32,54,
      46,55,51,55,55,55,101,45,48,55,32,55,46,49,54,48,54,54,101,45,48,55,32,55,46,
      54,48,48,57,49,101,45,48,55,10,32,32,56,46,48,53,53,51,57,101,45,48,55,32,56,
      46,53,48,57,49,53,101,45,48,55,32,56,46,57,55,57,50,56,101,45,48,55,32,57,46,
      52,54,54,48,55,101,45,48,55,32,57,46,57,54,55,56,57,101,45,48,55,32,49,46,48,
      52,55,56,54,101,45,48,54,32,49,46,48,57,57,57,51,101,45,48,54,10,32,32,49,46,
      49,53,51,53,57,101,45,48,54,32,49,46,50,48,57,49,101,45,48,54,32,49,46,50,54,
      53,57,54,101,45,48,54,32,49,46,51,50,52,48,57,101,45,48,54,32,49,46,51,56,51,
      55,55,101,45,48,54,32,49,46,52,52,52,57,52,101,45,48,54,32,49,46,53,48,55,55,
      55,101,45,48,54,10,32,32,49,46,53,55,50,56,51,101,45,48,54,32,49,46,54,51,57,
      53,51,101,45,48,54,32,49,46,55,48,55,56,53,101,45,48,54,32,49,46,55,55,55,56,
      101,45,48,54,32,49,46,56,52,57,51,55,101,45,48,54,32,49,46,57,50,51,53,52,101,
      45,48,54,32,50,46,48,48,48,48,53,101,45,48,54,10,32,32,50,46,48,55,56,50,53,
      101,45,48,54,32,50,46,49,53,55,56,51,101,45,48,54,32,50,46,50,52,48,50,57,101,
      45,48,54,32,50,46,51,50,53,50,101,45,48,54,32,50,46,52,49,49,53,101,45,48,54,
      32,50,46,52,57,57,54,49,101,45,48,54,32,50,46,53,57,48,50,49,101,45,48,54,10,
      32,32,50,46,54,56,52,51,55,101,45,48,54,32,50,46,55,55,57,55,57,101,45,48,54,
      32,50,46,56,55,55,50,52,101,45,48,54,32,50,46,57,55,54,51,50,101,45,48,54,32,
      51,46,48,55,55,53,101,45,48,54,32,51,46,49,56,48,54,53,101,45,48,54,32,51,46,
      50,56,55,49,52,101,45,48,54,10,32,32,51,46,51,57,52,53,52,101,45,48,54,32,51,
      46,53,48,51,53,56,101,45,48,54,32,51,46,54,49,52,54,57,101,45,48,54,32,51,46,
      55,50,54,52,56,101,45,48,54,32,51,46,56,52,48,48,52,101,45,48,54,32,51,46,57,
      53,53,54,49,101,45,48,54,32,52,46,48,55,49,55,57,101,45,48,54,10,32,32,52,46,
      49,56,56,51,54,101,45,48,54,32,52,46,51,48,53,55,49,101,45,48,54,32,52,46,52,
      50,52,57,54,101,45,48,54,32,52,46,53,52,53,52,56,101,45,48,54,32,52,46,54,54,
      50,57,55,101,45,48,54,32,52,46,55,56,50,50,53,101,45,48,54,32,52,46,57,48,51,
      51,50,101,45,48,54,10,32,32,53,46,48,50,54,49,57,101,45,48,54,32,53,46,49,52,
      52,54,49,101,45,48,54,32,53,46,50,54,48,57,51,101,45,48,54,32,53,46,51,55,56,
      57,52,101,45,48,54,32,53,46,52,57,56,54,101,45,48,54,32,53,46,54,49,55,57,56,
      101,45,48,54,32,53,46,55,50,53,56,57,101,45,48,54,10,32,32,53,46,56,51,53,52,
      55,101,45,48,54,32,53,46,57,52,54,54,57,101,45,48,54,32,54,46,48,53,57,53,54,
      101,45,48,54,32,54,46,49,54,49,51,54,101,45,48,54,32,54,46,50,53,55,55,56,101,
      45,48,54,32,54,46,51,53,54,48,55,101,45,48,54,32,54,46,52,53,54,50,101,45,48,
      54,10,32,32,54,46,53,53,52,55,52,101,45,48,54,32,54,46,54,51,53,48,53,101,45,
      48,54,32,54,46,55,49,55,55,54,101,45,48,54,32,54,46,56,48,50,53,49,101,45,48,
      54,32,54,46,56,56,54,53,49,101,45,48,54,32,54,46,57,53,52,55,52,101,45,48,54,
      32,55,46,48,49,54,51,55,101,45,48,54,10,32,32,55,46,48,55,56,53,53,101,45,48,
      54,32,55,46,49,52,50,50,54,101,45,48,54,32,55,46,50,48,50,57,101,45,48,54,32,
      55,46,50,51,57,55,52,101,45,48,54,32,55,46,50,56,48,54,57,101,45,48,54,32,55,
      46,51,50,50,48,55,101,45,48,54,32,55,46,51,54,54,56,53,101,45,48,54,10,32,32,
      55,46,51,57,49,50,53,101,45,48,54,32,55,46,52,49,49,56,49,101,45,48,54,32,55,
      46,52,51,51,57,54,101,45,48,54,32,55,46,52,53,57,52,101,45,48,54,32,55,46,52,
      56,49,48,57,101,45,48,54,32,55,46,52,56,53,52,101,45,48,54,32,55,46,52,57,50,
      51,52,101,45,48,54,10,32,32,55,46,53,48,50,51,52,101,45,48,54,32,55,46,53,49,
      54,50,52,101,45,48,54,32,55,46,53,49,56,54,101,45,48,54,32,55,46,53,49,54,51,
      55,101,45,48,54,32,55,46,53,49,54,57,54,101,45,48,54,32,55,46,53,50,51,56,54,
      101,45,48,54,32,55,46,53,51,48,51,57,101,45,48,54,10,32,32,55,46,53,50,52,51,
      50,101,45,48,54,32,55,46,53,50,51,56,52,101,45,48,54,32,55,46,53,50,55,52,101,
      45,48,54,32,55,46,53,51,52,51,56,101,45,48,54,32,55,46,53,51,53,55,54,101,45,
      48,54,32,55,46,53,51,57,50,55,101,45,48,54,32,55,46,53,52,53,49,55,101,45,48,
      54,10,32,32,55,46,53,53,52,54,101,45,48,54,32,55,46,53,54,54,57,101,45,48,54,
      32,55,46,53,55,56,49,49,101,45,48,54,32,55,46,53,57,49,56,51,101,45,48,54,32,
      55,46,54,48,56,52,53,101,45,48,54,32,55,46,54,50,57,57,50,101,45,48,54,32,55,
      46,54,53,51,54,101,45,48,54,10,32,32,55,46,54,55,57,53,101,45,48,54,32,55,46,
      55,48,56,49,52,101,45,48,54,32,55,46,55,52,48,56,50,101,45,48,54,32,55,46,55,
      55,54,54,101,45,48,54,32,55,46,56,50,48,49,56,101,45,48,54,32,55,46,56,54,53,
      49,54,101,45,48,54,32,55,46,57,50,56,49,52,101,45,48,54,10,32,32,56,46,49,49,
      55,49,52,101,45,48,54,32,56,46,52,55,55,50,53,101,45,48,54,32,57,46,51,49,51,
      54,54,101,45,48,54,32,49,46,48,53,49,57,57,101,45,48,53,32,49,46,50,49,48,54,
      53,101,45,48,53,32,49,46,52,49,50,49,49,101,45,48,53,32,49,46,54,52,57,50,57,
      101,45,48,53,10,32,32,49,46,57,49,49,57,57,101,45,48,53,32,50,46,49,56,49,57,
      101,45,48,53,32,50,46,52,52,54,52,52,101,45,48,53,32,50,46,54,57,51,48,54,101,
      45,48,53,32,50,46,57,50,52,53,49,101,45,48,53,32,51,46,49,52,52,51,101,45,48,
      53,32,51,46,51,57,57,55,52,101,45,48,53,10,32,32,51,46,54,53,53,50,101,45,48,
      53,32,51,46,57,56,52,50,54,101,45,48,53,32,52,46,50,53,57,55,55,101,45,48,53,
      32,52,46,51,57,53,52,56,101,45,48,53,32,52,46,50,51,54,50,55,101,45,48,53,32,
      51,46,55,51,57,50,53,101,45,48,53,32,51,46,49,54,54,55,54,101,45,48,53,10,32,
      32,50,46,55,48,55,56,55,101,45,48,53,32,50,46,53,54,52,55,55,101,45,48,53,32,
      50,46,55,50,54,55,54,101,45,48,53,32,51,46,48,57,54,51,53,101,45,48,53,32,51,
      46,53,50,54,53,52,101,45,48,53,32,51,46,57,56,55,49,56,101,45,48,53,32,52,46,
      52,49,50,51,49,101,45,48,53,10,32,32,52,46,55,51,52,56,54,101,45,48,53,32,52,
      46,56,55,57,51,52,101,45,48,53,32,52,46,55,56,52,55,50,101,45,48,53,32,52,46,
      52,50,48,49,52,101,45,48,53,32,51,46,57,52,52,52,51,101,45,48,53,32,51,46,53,
      48,49,48,52,101,45,48,53,32,51,46,51,50,49,49,57,101,45,48,53,10,32,32,51,46,
      54,50,53,50,56,101,45,48,53,32,52,46,49,48,48,54,56,101,45,48,53,32,52,46,56,
      53,48,52,52,101,45,48,53,32,53,46,56,49,55,50,52,101,45,48,53,32,54,46,55,53,
      55,51,101,45,48,53,32,55,46,53,55,53,50,51,101,45,48,53,32,56,46,49,56,57,53,
      51,101,45,48,53,10,32,32,56,46,52,57,54,50,51,101,45,48,53,32,56,46,53,56,52,
      50,52,101,45,48,53,32,56,46,53,51,57,49,57,101,45,48,53,32,56,46,52,56,55,49,
      50,101,45,48,53,32,56,46,53,55,55,52,50,101,45,48,53,32,56,46,55,51,49,55,56,
      101,45,48,53,32,56,46,56,53,56,55,56,101,45,48,53,10,32,32,57,46,48,52,51,53,
      57,101,45,48,53,32,57,46,54,48,49,48,49,101,45,48,53,32,46,48,48,48,49,48,54,
      48,55,55,32,46,48,48,48,49,49,55,51,54,55,32,46,48,48,48,49,50,54,54,55,57,
      32,46,48,48,48,49,52,48,48,51,51,32,46,48,48,48,49,53,53,56,53,54,32,46,48,
      48,48,49,55,48,56,51,51,10,32,32,46,48,48,48,49,56,48,55,55,56,32,46,48,48,
      48,49,56,57,50,51,56,32,46,48,48,48,50,48,48,52,51,49,32,46,48,48,48,50,50,
      48,51,53,57,32,46,48,48,48,50,52,56,53,53,49,32,46,48,48,48,50,55,54,52,53,
      55,32,46,48,48,48,51,52,52,51,50,57,32,46,48,48,48,52,51,48,57,48,55,10,32,
      32,46,48,48,48,53,52,51,50,52,56,32,46,48,48,48,54,57,54,55,52,54,32,46,48,
      48,48,56,51,51,57,51,55,32,46,48,48,48,57,52,52,55,51,56,32,46,48,48,49,48,
      50,48,50,49,32,46,48,48,49,48,56,50,48,51,32,46,48,48,49,49,52,48,53,54,32,
      46,48,48,49,50,48,55,50,52,10,32,32,46,48,48,49,50,53,55,51,52,32,46,48,48,
      49,51,49,51,52,55,32,46,48,48,49,52,51,49,56,49,32,46,48,48,49,53,50,56,53,
      50,32,46,48,48,49,55,50,53,48,51,32,46,48,48,49,57,56,48,54,32,46,48,48,50,
      49,52,55,52,52,32,46,48,48,50,51,49,54,55,54,32,46,48,48,50,53,55,55,54,10,
      32,32,46,48,48,50,56,52,55,53,56,32,46,48,48,50,57,56,49,51,55,32,46,48,48,
      51,49,55,49,57,49,32,46,48,48,51,50,55,49,51,49,32,46,48,48,51,52,49,52,53,
      55,32,46,48,48,51,52,50,48,49,57,32,46,48,48,51,54,49,50,52,54,32,46,48,48,
      51,54,56,57,53,57,10,32,32,46,48,48,51,56,51,51,57,32,46,48,48,51,57,56,54,
      54,56,32,46,48,48,52,49,48,56,50,53,32,46,48,48,52,50,50,52,52,53,32,46,48,
      48,52,51,50,56,50,50,32,46,48,48,52,52,50,53,53,56,32,46,48,48,52,53,50,55,
      55,53,32,46,48,48,52,54,49,51,52,54,32,46,48,48,52,55,48,50,52,52,10,32,32,
      46,48,48,52,55,54,52,49,57,32,46,48,48,52,56,53,56,49,57,32,46,48,48,52,57,
      49,49,55,51,32,46,48,48,52,57,55,51,57,53,32,46,48,48,53,49,48,48,55,55,32,
      46,48,48,53,50,51,53,57,32,46,48,48,53,51,50,54,50,49,32,46,48,48,53,51,56,
      54,51,52,32,46,48,48,53,51,57,53,49,52,10,32,32,46,48,48,53,51,52,55,57,49,
      32,46,48,48,53,50,54,55,53,55,32,46,48,48,53,48,54,56,54,53,32,46,48,48,52,
      55,52,53,51,57,32,46,48,48,52,53,53,49,50,49,32,46,48,48,52,51,50,54,56,52,
      32,46,48,48,52,48,50,50,56,32,46,48,48,51,55,53,56,49,52,32,46,48,48,51,52,
      57,57,48,51,10,32,32,46,48,48,51,50,49,51,50,57,32,46,48,48,50,57,52,49,53,
      52,32,46,48,48,50,55,49,54,54,32,46,48,48,50,53,48,52,50,55,32,46,48,48,50,
      51,48,52,57,51,32,46,48,48,50,48,57,50,57,50,32,46,48,48,49,56,55,52,49,55,
      32,46,48,48,49,54,53,52,52,57,32,46,48,48,49,52,55,54,54,49,10,32,32,46,48,
      48,49,50,57,57,52,51,32,46,48,48,49,49,53,54,56,56,32,46,48,48,49,48,50,57,
      48,52,32,46,48,48,48,57,48,50,54,51,52,32,46,48,48,48,55,56,51,53,55,51,32,
      46,48,48,48,55,48,50,48,53,53,32,46,48,48,48,54,49,55,57,50,54,32,46,48,48,
      48,53,53,50,48,57,56,10,32,32,46,48,48,48,52,56,57,50,56,32,46,48,48,48,52,
      51,51,52,52,55,32,46,48,48,48,51,56,51,56,53,55,32,46,48,48,48,51,51,57,56,
      49,52,32,46,48,48,48,51,48,48,55,53,32,46,48,48,48,50,54,54,49,49,56,32,46,
      48,48,48,50,51,53,52,50,55,32,46,48,48,48,50,48,56,50,51,56,10,32,32,46,48,
      48,48,49,56,52,49,54,32,46,48,48,48,49,54,50,56,52,52,32,46,48,48,48,49,52,
      51,57,55,49,32,46,48,48,48,49,50,55,50,54,57,32,46,48,48,48,49,49,50,52,57,
      51,32,57,46,57,52,50,51,51,101,45,48,53,32,56,46,55,56,54,53,53,101,45,48,53,
      32,55,46,55,54,52,55,54,101,45,48,53,10,32,32,54,46,56,54,49,50,55,101,45,48,
      53,32,54,46,48,54,50,53,101,45,48,53,32,53,46,51,53,54,53,55,101,45,48,53,32,
      52,46,55,51,50,54,54,101,45,48,53,32,52,46,49,56,49,48,49,101,45,48,53,32,51,
      46,54,57,51,50,55,101,45,48,53,32,51,46,50,54,50,51,53,101,45,48,53,10,32,32,
      50,46,56,56,49,55,52,101,45,48,53,32,50,46,53,52,53,52,52,101,45,48,53,32,50,
      46,50,52,56,51,53,101,45,48,53,32,49,46,57,56,53,57,51,101,45,48,53,32,49,46,
      55,53,52,49,51,101,45,48,53,32,49,46,53,52,57,51,56,101,45,48,53,32,49,46,51,
      54,56,53,51,101,45,48,53,10,32,32,49,46,50,48,56,55,51,101,45,48,53,32,49,46,
      48,54,55,54,52,101,45,48,53,32,57,46,54,57,51,57,55,101,45,48,54,32,56,46,56,
      48,49,57,51,101,45,48,54,32,55,46,57,57,50,48,49,101,45,48,54,32,55,46,50,53,
      54,51,57,101,45,48,54,32,54,46,53,56,56,54,57,101,45,48,54,10,32,32,53,46,57,
      48,56,51,57,101,45,48,54,32,53,46,49,52,55,48,54,101,45,48,54,32,52,46,52,56,
      51,57,49,101,45,48,54,32,51,46,57,48,54,50,56,101,45,48,54,32,51,46,52,48,51,
      49,51,101,45,48,54,32,50,46,57,54,52,56,52,101,45,48,54,32,50,46,53,56,51,48,
      53,101,45,48,54,10,32,32,50,46,50,53,48,52,55,101,45,48,54,32,49,46,57,54,48,
      55,52,101,45,48,54,32,49,46,55,48,56,51,52,101,45,48,54,32,49,46,52,56,56,52,
      55,101,45,48,54,32,49,46,50,57,54,57,51,101,45,48,54,32,49,46,49,51,48,48,54,
      101,45,48,54,32,57,46,56,52,54,56,50,101,45,48,55,10,32,32,56,46,53,56,48,50,
      57,101,45,48,55,32,55,46,52,55,54,56,52,101,45,48,55,32,54,46,53,49,53,52,53,
      101,45,48,55,32,53,46,54,55,55,52,50,101,45,48,55,32,52,46,57,52,54,54,53,101,
      45,48,55,32,52,46,51,49,48,48,54,101,45,48,55,32,51,46,55,53,53,52,57,101,45,
      48,55,10,32,32,51,46,50,55,50,101,45,48,55,32,50,46,56,53,49,52,54,101,45,48,
      55,32,50,46,52,56,52,55,55,101,45,48,55,32,50,46,49,54,53,50,55,101,45,48,55,
      32,49,46,56,56,54,57,49,101,45,48,55,32,49,46,54,52,52,51,56,101,45,48,55,32,
      49,46,52,51,51,48,54,101,45,48,55,10,32,32,49,46,50,52,56,57,50,101,45,48,55,
      32,49,46,48,56,56,52,56,101,45,48,55,32,57,46,52,56,54,54,56,101,45,48,56,32,
      56,46,50,54,56,51,54,101,45,48,56,32,55,46,50,48,54,54,56,101,45,48,56,32,54,
      46,50,56,49,52,54,101,45,48,56,32,53,46,52,55,53,49,55,101,45,48,56,10,32,32,
      52,46,55,55,50,53,101,45,48,56,32,52,46,49,54,48,49,101,45,48,56,32,51,46,49,
      54,49,50,101,45,48,56,32,50,46,52,48,50,51,51,101,45,48,56,32,49,46,56,50,53,
      56,52,101,45,48,56,32,49,46,51,56,55,56,50,101,45,48,56,32,49,46,48,53,52,56,
      57,101,45,48,56,10,32,32,56,46,48,49,56,48,53,101,45,48,57,32,54,46,48,57,52,
      56,55,101,45,48,57,32,52,46,54,51,51,52,101,45,48,57,32,51,46,53,50,50,54,55,
      101,45,48,57,32,50,46,54,55,56,52,51,101,45,48,57,32,50,46,48,51,54,54,57,101,
      45,48,57,32,49,46,53,52,56,56,51,101,45,48,57,10,32,32,49,46,49,55,55,57,51,
      101,45,48,57,32,56,46,57,53,57,49,54,101,45,49,48,32,54,46,56,49,52,55,49,101,
      45,49,48,32,53,46,49,56,51,57,51,101,45,49,48,32,51,46,57,52,51,55,101,45,49,
      48,32,51,46,48,48,48,52,101,45,49,48,32,50,46,50,56,50,56,57,101,45,49,48,10,
      32,32,49,46,55,51,55,48,55,101,45,49,48,32,49,46,51,50,49,56,53,101,45,49,48,
      32,49,46,48,48,53,57,52,101,45,49,48,32,55,46,54,53,53,56,54,101,45,49,49,32,
      53,46,56,50,54,57,54,101,45,49,49,32,52,46,52,51,53,50,53,101,45,49,49,32,51,
      46,51,55,54,49,52,101,45,49,49,10,32,32,50,46,53,55,48,49,101,45,49,49,32,49,
      46,57,53,54,54,49,101,45,49,49,32,49,46,52,56,57,51,101,45,49,49,32,50,46,56,
      54,57,55,51,101,45,49,56,32,52,46,54,52,56,50,53,101,45,49,53,32,50,46,51,53,
      54,50,53,101,45,49,52,32,50,46,56,56,57,56,56,101,45,49,52,10,32,32,52,46,54,
      52,49,53,101,45,49,51,32,50,46,52,49,57,51,57,101,45,49,50,32,57,46,49,49,56,
      55,52,101,45,49,50,32,50,46,50,49,57,49,49,101,45,49,49,32,52,46,53,56,54,53,
      52,101,45,49,49,32,56,46,52,54,48,56,50,101,45,49,49,32,49,46,52,51,55,57,51,
      101,45,49,48,10,32,32,50,46,50,57,51,55,50,101,45,49,48,32,51,46,52,55,49,49,
      50,101,45,49,48,32,53,46,48,52,54,49,101,45,49,48,32,55,46,48,57,54,49,50,101,
      45,49,48,32,57,46,55,48,51,49,56,101,45,49,48,32,49,46,50,57,51,49,51,101,45,
      48,57,32,49,46,54,56,53,52,50,101,45,48,57,10,32,32,50,46,49,53,55,56,49,101,
      45,48,57,32,50,46,55,49,57,55,53,101,45,48,57,32,51,46,51,56,48,51,49,101,45,
      48,57,32,52,46,49,51,48,57,101,45,48,57,32,52,46,57,57,50,57,52,101,45,48,57,
      32,53,46,57,55,53,53,57,101,45,48,57,32,55,46,48,56,55,56,55,101,45,48,57,10,
      32,32,56,46,51,49,52,56,51,101,45,48,57,32,57,46,54,53,56,51,53,101,45,48,57,
      32,49,46,49,49,52,52,57,101,45,48,56,32,49,46,50,55,56,49,55,101,45,48,56,32,
      49,46,52,53,55,50,57,101,45,48,56,32,49,46,54,52,51,57,54,101,45,48,56,32,49,
      46,56,52,54,48,51,101,45,48,56,10,32,32,50,46,48,54,52,48,52,101,45,48,56,32,
      50,46,50,57,56,54,52,101,45,48,56,32,50,46,53,52,50,56,52,101,45,48,56,32,50,
      46,55,57,54,56,53,101,45,48,56,32,51,46,48,54,54,57,49,101,45,48,56,32,51,46,
      51,53,51,53,53,101,45,48,56,32,51,46,54,53,54,51,54,101,45,48,56,10,32,32,51,
      46,57,53,56,55,101,45,48,56,32,52,46,50,55,54,57,53,101,45,48,56,32,52,46,54,
      49,49,52,57,101,45,48,56,32,52,46,57,54,50,54,54,101,45,48,56,32,53,46,51,49,
      57,55,55,101,45,48,56,32,53,46,54,56,52,49,49,101,45,48,56,32,54,46,48,54,52,
      54,51,101,45,48,56,10,32,32,54,46,52,54,49,52,56,101,45,48,56,32,54,46,56,55,
      52,101,45,48,56,32,55,46,50,56,54,48,49,101,45,48,56,32,55,46,55,49,52,49,54,
      101,45,48,56,32,56,46,49,53,56,56,55,101,45,48,56,32,56,46,54,50,48,50,56,101,
      45,48,56,32,57,46,48,57,49,51,101,45,48,56,10,32,32,57,46,53,55,51,50,55,101,
      45,48,56,32,49,46,48,48,55,50,50,101,45,48,55,32,49,46,48,53,56,56,50,101,45,
      48,55,32,49,46,49,49,50,49,51,101,45,48,55,32,49,46,49,54,54,55,55,101,45,48,
      55,32,49,46,50,50,51,49,55,101,45,48,55,32,49,46,50,56,49,51,56,101,45,48,55,
      10,32,32,49,46,51,52,49,52,101,45,48,55,32,49,46,52,48,51,54,50,101,45,48,55,
      32,49,46,52,54,55,57,56,101,45,48,55,32,49,46,53,51,52,50,55,101,45,48,55,32,
      49,46,54,48,50,53,101,45,48,55,32,49,46,54,55,50,56,52,101,45,48,55,32,49,46,
      55,52,54,55,55,101,45,48,55,10,32,32,49,46,56,50,50,55,56,101,45,48,55,32,49,
      46,57,48,48,57,50,101,45,48,55,32,49,46,57,56,49,50,49,101,45,48,55,32,50,46,
      48,54,53,50,50,101,45,48,55,32,50,46,49,53,50,53,57,101,45,48,55,32,50,46,50,
      52,50,51,49,101,45,48,55,32,50,46,51,51,52,52,101,45,48,55,10,32,32,50,46,52,
      50,57,49,56,101,45,48,55,32,50,46,53,50,57,49,49,101,45,48,55,32,50,46,54,51,
      49,54,51,101,45,48,55,32,50,46,55,51,54,55,56,101,45,48,55,32,50,46,56,52,52,
      53,56,101,45,48,55,32,50,46,57,53,54,52,52,101,45,48,55,32,51,46,48,55,50,48,
      49,101,45,48,55,10,32,32,51,46,49,57,48,52,49,101,45,48,55,32,51,46,51,49,49,
      54,53,101,45,48,55,32,51,46,52,51,53,56,49,101,45,48,55,32,51,46,53,54,50,57,
      56,101,45,48,55,32,51,46,54,57,50,57,50,101,45,48,55,32,51,46,56,50,53,56,55,
      101,45,48,55,32,51,46,57,54,49,57,101,45,48,55,10,32,32,52,46,48,57,56,51,49,
      101,45,48,55,32,52,46,50,51,53,55,54,101,45,48,55,32,52,46,51,55,53,56,57,101,
      45,48,55,32,52,46,53,49,56,57,56,101,45,48,55,32,52,46,54,54,51,55,50,101,45,
      48,55,32,52,46,56,48,49,49,50,101,45,48,55,32,52,46,57,52,49,49,57,101,45,48,
      55,10,32,32,53,46,48,56,51,57,51,101,45,48,55,32,53,46,50,50,57,51,56,101,45,
      48,55,32,53,46,51,54,52,50,56,101,45,48,55,32,53,46,52,57,51,53,56,101,45,48,
      55,32,53,46,54,50,53,50,51,101,45,48,55,32,53,46,55,53,57,50,101,45,48,55,32,
      53,46,56,57,49,51,51,101,45,48,55,10,32,32,53,46,57,57,55,56,56,101,45,48,55,
      32,54,46,49,48,54,55,51,101,45,48,55,32,54,46,50,49,55,56,52,101,45,48,55,32,
      54,46,51,51,49,50,50,101,45,48,55,32,54,46,52,49,57,57,56,101,45,48,55,32,54,
      46,52,57,54,50,54,101,45,48,55,32,54,46,53,55,53,52,52,101,45,48,55,10,32,32,
      54,46,54,53,55,52,50,101,45,48,55,32,54,46,55,51,53,48,51,101,45,48,55,32,54,
      46,55,55,51,56,101,45,48,55,32,54,46,56,49,54,57,101,45,48,55,32,54,46,56,54,
      52,101,45,48,55,32,54,46,57,49,52,49,49,101,45,48,55,32,54,46,57,51,51,57,56,
      101,45,48,55,10,32,32,54,46,57,52,49,51,49,101,45,48,55,32,54,46,57,53,51,57,
      57,101,45,48,55,32,54,46,57,55,49,55,55,101,45,48,55,32,54,46,57,56,54,52,53,
      101,45,48,55,32,54,46,57,54,51,55,49,101,45,48,55,32,54,46,57,52,56,49,54,101,
      45,48,55,32,54,46,57,51,57,49,57,101,45,48,55,10,32,32,54,46,57,51,54,50,49,
      101,45,48,55,32,54,46,57,48,56,54,51,101,45,48,55,32,54,46,56,55,51,51,53,101,
      45,48,55,32,54,46,56,52,53,54,55,101,45,48,55,32,54,46,56,50,52,57,51,101,45,
      48,55,32,54,46,56,48,51,57,57,101,45,48,55,32,54,46,55,53,56,48,54,101,45,48,
      55,10,32,32,54,46,55,50,48,49,57,101,45,48,55,32,54,46,54,56,57,53,52,101,45,
      48,55,32,54,46,54,54,53,53,55,101,45,48,55,32,54,46,54,50,55,53,53,101,45,48,
      55,32,54,46,53,56,55,50,101,45,48,55,32,54,46,53,53,51,56,56,101,45,48,55,32,
      54,46,53,50,55,48,50,101,45,48,55,10,32,32,54,46,53,48,50,49,53,101,45,48,55,
      32,54,46,52,54,53,54,57,101,45,48,55,32,54,46,52,51,53,54,53,101,45,48,55,32,
      54,46,52,49,49,52,53,101,45,48,55,32,54,46,51,57,50,54,49,101,45,48,55,32,54,
      46,51,54,57,54,53,101,45,48,55,32,54,46,51,52,55,55,56,101,45,48,55,10,32,32,
      54,46,51,51,48,57,49,101,45,48,55,32,54,46,51,49,56,54,51,101,45,48,55,32,54,
      46,51,48,57,52,57,101,45,48,55,32,54,46,50,57,57,55,52,101,45,48,55,32,54,46,
      50,57,51,57,56,101,45,48,55,32,54,46,50,57,49,57,52,101,45,48,55,32,54,46,50,
      57,51,51,56,101,45,48,55,10,32,32,54,46,50,57,56,54,55,101,45,48,55,32,54,46,
      51,48,55,50,54,101,45,48,55,32,54,46,51,49,56,54,55,101,45,48,55,32,54,46,51,
      51,50,55,53,101,45,48,55,32,54,46,51,53,48,56,50,101,45,48,55,32,54,46,51,55,
      54,57,50,101,45,48,55,32,54,46,52,48,53,48,51,101,45,48,55,10,32,32,54,46,52,
      52,53,52,55,101,45,48,55,32,54,46,53,55,56,55,53,101,45,48,55,32,54,46,56,53,
      52,56,49,101,45,48,55,32,55,46,53,52,48,56,52,101,45,48,55,32,56,46,53,56,53,
      52,53,101,45,48,55,32,49,46,48,48,50,50,56,101,45,48,54,32,49,46,49,57,52,50,
      53,101,45,48,54,10,32,32,49,46,52,51,52,49,49,101,45,48,54,32,49,46,55,49,57,
      54,52,101,45,48,54,32,50,46,48,51,55,57,57,101,45,48,54,32,50,46,51,55,52,56,
      56,101,45,48,54,32,50,46,55,49,50,52,51,101,45,48,54,32,51,46,48,52,56,49,57,
      101,45,48,54,32,51,46,51,56,54,53,101,45,48,54,10,32,32,51,46,56,49,49,50,52,
      101,45,48,54,32,52,46,50,57,48,56,52,101,45,48,54,32,53,46,48,55,49,51,56,101,
      45,48,54,32,54,46,49,48,53,50,53,101,45,48,54,32,55,46,52,52,54,55,56,101,45,
      48,54,32,57,46,53,51,48,52,49,101,45,48,54,32,49,46,49,55,56,53,101,45,48,53,
      10,32,32,49,46,51,54,54,54,56,101,45,48,53,32,49,46,53,48,52,49,50,101,45,48,
      53,32,49,46,53,56,57,57,50,101,45,48,53,32,49,46,55,49,52,50,56,101,45,48,53,
      32,49,46,56,53,49,52,55,101,45,48,53,32,49,46,57,56,52,49,55,101,45,48,53,32,
      50,46,49,50,52,54,55,101,45,48,53,10,32,32,50,46,50,56,48,53,50,101,45,48,53,
      32,50,46,52,53,54,57,51,101,45,48,53,32,50,46,54,53,52,48,49,101,45,48,53,32,
      50,46,56,53,55,52,101,45,48,53,32,51,46,48,49,55,51,55,101,45,48,53,32,51,46,
      48,52,50,50,50,101,45,48,53,32,50,46,57,52,56,50,49,101,45,48,53,10,32,32,50,
      46,57,49,52,48,51,101,45,48,53,32,51,46,49,56,50,49,52,101,45,48,53,32,51,46,
      53,52,56,50,52,101,45,48,53,32,52,46,48,55,53,48,50,101,45,48,53,32,52,46,54,
      57,54,55,51,101,45,48,53,32,53,46,50,56,49,57,52,101,45,48,53,32,53,46,56,49,
      53,49,50,101,45,48,53,10,32,32,54,46,51,48,48,54,57,101,45,48,53,32,54,46,54,
      54,54,50,55,101,45,48,53,32,54,46,57,51,56,49,55,101,45,48,53,32,55,46,49,52,
      57,51,52,101,45,48,53,32,55,46,51,53,48,48,54,101,45,48,53,32,55,46,53,54,49,
      49,56,101,45,48,53,32,55,46,55,55,57,57,52,101,45,48,53,10,32,32,55,46,57,50,
      50,49,57,101,45,48,53,32,56,46,48,55,48,50,50,101,45,48,53,32,56,46,52,52,49,
      53,54,101,45,48,53,32,57,46,49,52,50,54,53,101,45,48,53,32,57,46,57,56,50,57,
      56,101,45,48,53,32,46,48,48,48,49,48,55,49,48,57,32,46,48,48,48,49,49,55,53,
      54,54,10,32,32,46,48,48,48,49,50,57,55,32,46,48,48,48,49,52,49,52,51,53,32,
      46,48,48,48,49,52,57,56,54,51,32,46,48,48,48,49,53,55,52,56,51,32,46,48,48,
      48,49,54,54,55,57,57,32,46,48,48,48,49,56,49,57,51,56,32,46,48,48,48,50,48,
      50,53,50,50,32,46,48,48,48,50,50,50,55,57,54,10,32,32,46,48,48,48,50,55,50,
      53,54,54,32,46,48,48,48,51,51,55,48,56,54,32,46,48,48,48,52,50,50,49,56,53,
      32,46,48,48,48,53,52,48,55,54,54,32,46,48,48,48,54,52,56,54,49,53,32,46,48,
      48,48,55,51,54,51,56,51,32,46,48,48,48,55,57,53,57,55,54,32,46,48,48,48,56,
      52,52,54,56,50,10,32,32,46,48,48,48,56,57,48,55,57,56,32,46,48,48,48,57,52,
      51,51,56,51,32,46,48,48,48,57,56,50,57,51,54,32,46,48,48,49,48,50,55,52,50,
      32,46,48,48,49,49,50,50,48,57,32,46,48,48,49,50,48,48,50,57,32,46,48,48,49,
      51,54,49,50,54,32,46,48,48,49,53,55,52,51,55,10,32,32,46,48,48,49,55,49,53,
      55,50,32,46,48,48,49,56,54,48,57,55,32,46,48,48,50,48,56,56,49,55,32,46,48,
      48,50,51,50,55,54,51,32,46,48,48,50,52,52,55,56,51,32,46,48,48,50,54,49,57,
      53,32,46,48,48,50,55,48,56,56,52,32,46,48,48,50,56,51,53,55,54,32,46,48,48,
      50,56,50,51,52,56,10,32,32,46,48,48,50,57,57,54,50,55,32,46,48,48,51,48,54,
      54,49,52,32,46,48,48,51,49,57,55,54,52,32,46,48,48,51,51,51,55,56,56,32,46,
      48,48,51,52,53,48,51,57,32,46,48,48,51,53,53,56,55,57,32,46,48,48,51,54,53,
      54,51,49,32,46,48,48,51,55,52,56,52,55,10,32,32,46,48,48,51,56,52,54,48,51,
      32,46,48,48,51,57,50,56,54,32,46,48,48,52,48,49,53,49,52,32,46,48,48,52,48,
      55,53,54,56,32,46,48,48,52,49,54,56,55,54,32,46,48,48,52,50,50,50,52,49,32,
      46,48,48,52,50,56,53,52,54,32,46,48,48,52,52,49,54,54,56,32,46,48,48,52,53,
      54,50,50,55,10,32,32,46,48,48,52,54,54,55,53,51,32,46,48,48,52,55,53,49,57,
      32,46,48,48,52,55,56,56,49,54,32,46,48,48,52,55,55,55,51,56,32,46,48,48,52,
      55,50,57,51,56,32,46,48,48,52,53,56,52,54,54,32,46,48,48,52,51,51,50,57,49,
      32,46,48,48,52,49,55,48,48,54,32,46,48,48,51,57,55,56,53,51,10,32,32,46,48,
      48,51,55,49,52,56,32,46,48,48,51,52,56,50,49,56,32,46,48,48,51,50,53,49,57,
      55,32,46,48,48,50,57,57,54,32,46,48,48,50,55,53,48,53,51,32,46,48,48,50,53,
      52,54,48,51,32,46,48,48,50,51,53,50,49,49,32,46,48,48,50,49,54,57,50,49,32,
      46,48,48,49,57,55,51,55,56,10,32,32,46,48,48,49,55,55,49,50,54,32,46,48,48,
      49,53,54,55,48,57,32,46,48,48,49,52,48,49,49,54,32,46,48,48,49,50,51,53,51,
      49,32,46,48,48,49,49,48,49,53,49,32,46,48,48,48,57,56,49,49,57,50,32,46,48,
      48,48,56,54,49,57,50,50,32,46,48,48,48,55,52,57,51,50,54,10,32,32,46,48,48,
      48,54,55,50,48,56,54,32,46,48,48,48,53,57,50,50,51,50,32,46,48,48,48,53,50,
      57,54,51,52,32,46,48,48,48,52,54,57,56,49,53,32,46,48,48,48,52,49,54,53,56,
      49,32,46,48,48,48,51,54,57,50,51,57,32,46,48,48,48,51,50,55,49,54,56,32,46,
      48,48,48,50,56,57,56,10,32,32,46,48,48,48,50,53,54,54,49,57,32,46,48,48,48,
      50,50,55,49,55,53,32,46,48,48,48,50,48,49,48,54,56,32,46,48,48,48,49,55,55,
      57,50,57,32,46,48,48,48,49,53,55,52,50,54,32,46,48,48,48,49,51,57,50,54,50,
      32,46,48,48,48,49,50,51,49,55,57,32,46,48,48,48,49,48,56,57,52,10,32,32,57,
      46,54,51,51,51,55,101,45,48,53,32,56,46,53,49,55,54,49,101,45,48,53,32,55,46,
      53,51,48,53,101,45,48,53,32,54,46,54,53,55,49,57,101,45,48,53,32,53,46,56,56,
      52,53,56,101,45,48,53,32,53,46,50,48,49,52,49,101,45,48,53,32,52,46,53,57,55,
      51,50,101,45,48,53,10,32,32,52,46,48,54,51,50,49,101,45,48,53,32,51,46,53,57,
      49,101,45,48,53,32,51,46,49,55,51,53,53,101,45,48,53,32,50,46,56,48,52,54,49,
      101,45,48,53,32,50,46,52,55,56,49,53,101,45,48,53,32,50,46,49,56,57,53,57,101,
      45,48,53,32,49,46,57,51,52,54,101,45,48,53,10,32,32,49,46,55,48,57,50,55,101,
      45,48,53,32,49,46,53,49,48,49,55,101,45,48,53,32,49,46,51,51,52,50,52,101,45,
      48,53,32,49,46,49,55,56,55,54,101,45,48,53,32,49,46,48,52,49,52,51,101,45,48,
      53,32,57,46,52,53,55,55,54,101,45,48,54,32,56,46,53,56,57,48,55,101,45,48,54,
      10,32,32,55,46,56,48,48,49,56,101,45,48,54,32,55,46,48,56,51,55,53,101,45,48,
      54,32,54,46,52,51,51,52,53,101,45,48,54,32,53,46,55,55,48,55,50,101,45,48,54,
      32,53,46,48,50,56,55,56,101,45,48,54,32,52,46,51,56,50,50,53,101,45,48,54,32,
      51,46,56,49,56,54,49,101,45,48,54,10,32,32,51,46,51,50,55,52,52,101,45,48,54,
      32,50,46,56,57,57,52,55,101,45,48,54,32,50,46,53,50,54,53,56,101,45,48,54,32,
      50,46,50,48,49,54,57,101,45,48,54,32,49,46,57,49,56,54,49,101,45,48,54,32,49,
      46,54,55,49,57,53,101,45,48,54,32,49,46,52,53,55,48,51,101,45,48,54,10,32,32,
      49,46,50,54,57,55,54,101,45,48,54,32,49,46,49,48,54,53,56,101,45,48,54,32,57,
      46,54,52,51,56,57,101,45,48,55,32,56,46,52,48,52,55,57,101,45,48,55,32,55,46,
      51,50,53,48,53,101,45,48,55,32,54,46,51,56,52,49,52,101,45,48,55,32,53,46,53,
      54,52,50,101,45,48,55,10,32,32,52,46,56,52,57,54,54,101,45,48,55,32,52,46,50,
      50,54,57,55,101,45,48,55,32,51,46,54,56,52,51,49,101,45,48,55,32,51,46,50,49,
      49,48,51,101,45,48,55,32,50,46,55,57,57,50,50,101,45,48,55,32,50,46,52,51,57,
      53,54,101,45,48,55,32,50,46,49,50,54,49,52,101,45,48,55,10,32,32,49,46,56,53,
      51,48,51,101,45,48,55,32,49,46,54,49,53,48,52,101,45,48,55,32,49,46,52,48,55,
      54,52,101,45,48,55,32,49,46,50,50,54,57,49,101,45,48,55,32,49,46,48,54,57,52,
      49,101,45,48,55,32,57,46,51,50,49,52,53,101,45,48,56,32,56,46,49,50,53,50,101,
      45,48,56,10,32,32,55,46,48,56,50,54,50,101,45,48,56,32,54,46,49,55,51,57,53,
      101,45,48,56,32,53,46,51,56,49,57,56,101,45,48,56,32,52,46,54,57,49,55,101,
      45,48,56,32,52,46,48,57,48,48,53,101,45,48,56,32,51,46,49,48,56,53,50,101,45,
      48,56,32,50,46,51,54,50,55,101,45,48,56,10,32,32,49,46,55,57,54,101,45,48,56,
      32,49,46,51,54,53,51,53,101,45,48,56,32,49,46,48,51,56,48,53,101,45,48,56,32,
      55,46,56,57,50,55,49,101,45,48,57,32,54,46,48,48,49,54,53,101,45,48,57,32,52,
      46,53,54,52,48,53,101,45,48,57,32,51,46,52,55,48,53,57,101,45,48,57,10,32,32,
      50,46,54,51,57,49,56,101,45,48,57,32,50,46,48,48,55,48,56,101,45,48,57,32,49,
      46,53,50,54,52,57,101,45,48,57,32,49,46,49,54,49,48,54,101,45,48,57,32,56,46,
      56,51,49,56,101,45,49,48,32,54,46,55,49,56,53,51,101,45,49,48,32,53,46,49,49,
      49,50,57,101,45,49,48,10,32,32,51,46,56,56,56,56,49,101,45,49,48,32,50,46,57,
      53,56,57,50,101,45,49,48,32,50,46,50,53,49,53,51,101,45,49,48,32,49,46,55,49,
      51,51,55,101,45,49,48,32,49,46,51,48,51,57,51,101,45,49,48,32,57,46,57,50,51,
      57,51,101,45,49,49,32,55,46,53,53,51,51,56,101,45,49,49,10,32,32,53,46,55,52,
      57,52,51,101,45,49,49,32,52,46,51,55,54,53,55,101,45,49,49,32,51,46,51,51,49,
      55,49,101,45,49,49,32,50,46,53,51,54,52,53,101,45,49,49,32,49,46,57,51,49,49,
      50,101,45,49,49,32,49,46,52,55,48,51,56,101,45,49,49,32,49,46,49,51,48,55,49,
      101,45,49,56,10,32,32,54,46,57,48,55,53,49,101,45,49,54,32,51,46,53,48,49,56,
      53,101,45,49,53,32,52,46,50,57,53,48,49,101,45,49,53,32,54,46,57,48,50,53,101,
      45,49,52,32,51,46,53,48,48,48,53,101,45,49,51,32,49,46,49,48,54,52,53,101,45,
      49,50,32,51,46,49,51,57,57,101,45,49,50,10,32,32,55,46,50,48,53,48,55,101,45,
      49,50,32,49,46,51,51,50,51,53,101,45,49,49,32,50,46,50,55,48,52,55,101,45,49,
      49,32,51,46,54,51,50,54,55,101,45,49,49,32,53,46,53,49,53,51,51,101,45,49,49,
      32,56,46,48,52,54,50,51,101,45,49,49,32,49,46,49,51,53,56,49,101,45,49,48,10,
      32,32,49,46,53,53,57,52,49,101,45,49,48,32,50,46,48,56,55,48,51,101,45,49,48,
      32,50,46,55,51,50,49,52,101,45,49,48,32,51,46,53,49,52,48,49,101,45,49,48,32,
      52,46,52,53,48,51,51,101,45,49,48,32,53,46,53,53,56,54,56,101,45,49,48,32,54,
      46,56,50,54,49,51,101,45,49,48,10,32,32,56,46,50,57,49,56,56,101,45,49,48,32,
      57,46,57,55,52,54,52,101,45,49,48,32,49,46,49,56,57,51,50,101,45,48,57,32,49,
      46,52,48,50,51,51,101,45,48,57,32,49,46,54,51,55,48,52,101,45,48,57,32,49,46,
      56,57,56,53,50,101,45,48,57,32,50,46,49,56,56,51,57,101,45,48,57,10,32,32,50,
      46,53,48,55,55,57,101,45,48,57,32,50,46,56,52,50,101,45,48,57,32,51,46,50,48,
      53,57,57,101,45,48,57,32,51,46,54,48,49,49,101,45,48,57,32,52,46,48,50,56,56,
      50,101,45,48,57,32,52,46,52,55,53,55,57,101,45,48,57,32,52,46,57,52,50,51,52,
      101,45,48,57,10,32,32,53,46,52,52,48,57,101,45,48,57,32,53,46,57,55,50,55,49,
      101,45,48,57,32,54,46,53,51,55,50,54,101,45,48,57,32,55,46,49,48,48,56,56,101,
      45,48,57,32,55,46,54,57,54,54,101,45,48,57,32,56,46,51,50,53,52,51,101,45,48,
      57,32,56,46,57,56,56,50,55,101,45,48,57,10,32,32,57,46,54,54,50,57,57,101,45,
      48,57,32,49,46,48,51,53,50,50,101,45,48,56,32,49,46,49,48,55,52,54,101,45,48,
      56,32,49,46,49,56,51,48,53,101,45,48,56,32,49,46,50,54,49,56,56,101,45,48,56,
      32,49,46,51,52,48,53,49,101,45,48,56,32,49,46,52,50,50,52,55,101,45,48,56,10,
      32,32,49,46,53,48,55,56,54,101,45,48,56,32,49,46,53,57,54,55,50,101,45,48,56,
      32,49,46,54,56,55,53,52,101,45,48,56,32,49,46,55,56,48,54,101,45,48,56,32,49,
      46,56,55,55,49,57,101,45,48,56,32,49,46,57,55,55,51,57,101,45,48,56,32,50,46,
      48,56,49,50,101,45,48,56,10,32,32,50,46,49,56,55,55,55,101,45,48,56,32,50,46,
      50,57,56,48,56,101,45,48,56,32,50,46,52,49,50,50,51,101,45,48,56,32,50,46,53,
      51,48,50,55,101,45,48,56,32,50,46,54,53,51,48,53,101,45,48,56,32,50,46,55,56,
      48,52,57,101,45,48,56,32,50,46,57,49,50,49,101,45,48,56,10,32,32,51,46,48,52,
      55,57,54,101,45,48,56,32,51,46,49,56,56,52,52,101,45,48,56,32,51,46,51,51,54,
      57,50,101,45,48,56,32,51,46,52,57,48,48,55,101,45,48,56,32,51,46,54,52,55,57,
      53,101,45,48,56,32,51,46,56,49,48,54,54,101,45,48,56,32,51,46,57,56,49,56,52,
      101,45,48,56,10,32,32,52,46,49,54,48,55,54,101,45,48,56,32,52,46,51,52,53,48,
      56,101,45,48,56,32,52,46,53,51,52,56,54,101,45,48,56,32,52,46,55,51,48,56,56,
      101,45,48,56,32,52,46,57,51,57,48,52,101,45,48,56,32,53,46,49,53,51,51,51,101,
      45,48,56,32,53,46,51,55,51,56,56,101,45,48,56,10,32,32,53,46,54,48,48,55,56,
      101,45,48,56,32,53,46,56,51,55,52,55,101,45,48,56,32,54,46,48,56,51,49,54,101,
      45,48,56,32,54,46,51,51,53,56,51,101,45,48,56,32,54,46,53,57,53,54,101,45,48,
      56,32,54,46,56,54,50,52,57,101,45,48,56,32,55,46,49,51,54,54,49,101,45,48,56,
      10,32,32,55,46,52,49,56,49,56,101,45,48,56,32,55,46,55,48,55,50,50,101,45,48,
      56,32,56,46,48,48,51,55,56,101,45,48,56,32,56,46,51,48,49,48,51,101,45,48,56,
      32,56,46,54,48,49,49,56,101,45,48,56,32,56,46,57,48,56,55,50,101,45,48,56,32,
      57,46,50,50,51,54,101,45,48,56,10,32,32,57,46,53,52,50,51,57,101,45,48,56,32,
      57,46,56,52,49,55,54,101,45,48,56,32,49,46,48,49,52,55,54,101,45,48,55,32,49,
      46,48,52,53,57,56,101,45,48,55,32,49,46,48,55,55,56,55,101,45,48,55,32,49,46,
      49,48,54,57,53,101,45,48,55,32,49,46,49,51,52,53,101,45,48,55,10,32,32,49,46,
      49,54,50,54,101,45,48,55,32,49,46,49,57,49,50,53,101,45,48,55,32,49,46,50,49,
      57,51,54,101,45,48,55,32,49,46,50,52,48,54,57,101,45,48,55,32,49,46,50,54,50,
      53,54,101,45,48,55,32,49,46,50,56,52,57,54,101,45,48,55,32,49,46,51,48,55,56,
      57,101,45,48,55,10,32,32,49,46,51,50,52,51,49,101,45,48,55,32,49,46,51,51,55,
      52,50,101,45,48,55,32,49,46,51,53,49,50,53,101,45,48,55,32,49,46,51,54,53,55,
      55,101,45,48,55,32,49,46,51,55,57,49,49,101,45,48,55,32,49,46,51,56,50,51,53,
      101,45,48,55,32,49,46,51,56,54,55,50,101,45,48,55,10,32,32,49,46,51,57,50,49,
      53,101,45,48,55,32,49,46,51,57,56,53,56,101,45,48,55,32,49,46,51,57,55,51,56,
      101,45,48,55,32,49,46,51,57,51,48,55,101,45,48,55,32,49,46,51,57,48,51,49,101,
      45,48,55,32,49,46,51,56,56,57,53,101,45,48,55,32,49,46,51,56,54,57,49,101,45,
      48,55,10,32,32,49,46,51,55,53,57,49,101,45,48,55,32,49,46,51,54,54,57,101,45,
      48,55,32,49,46,51,53,57,54,54,101,45,48,55,32,49,46,51,53,52,48,52,101,45,48,
      55,32,49,46,51,52,50,55,53,101,45,48,55,32,49,46,51,50,57,56,56,101,45,48,55,
      32,49,46,51,49,57,48,51,101,45,48,55,10,32,32,49,46,51,48,57,57,56,101,45,48,
      55,32,49,46,51,48,49,48,53,101,45,48,55,32,49,46,50,56,54,54,51,101,45,48,55,
      32,49,46,50,55,52,50,54,101,45,48,55,32,49,46,50,54,51,55,49,101,45,48,55,32,
      49,46,50,53,52,56,50,101,45,48,55,32,49,46,50,52,50,57,57,101,45,48,55,10,32,
      32,49,46,50,51,48,56,50,101,45,48,55,32,49,46,50,50,48,51,55,101,45,48,55,32,
      49,46,50,49,49,52,55,101,45,48,55,32,49,46,50,48,51,49,51,101,45,48,55,32,49,
      46,49,57,50,52,53,101,45,48,55,32,49,46,49,56,51,50,55,101,45,48,55,32,49,46,
      49,55,53,52,54,101,45,48,55,10,32,32,49,46,49,54,56,56,56,101,45,48,55,32,49,
      46,49,54,49,53,53,101,45,48,55,32,49,46,49,53,52,53,51,101,45,48,55,32,49,46,
      49,52,56,54,53,101,45,48,55,32,49,46,49,52,51,56,101,45,48,55,32,49,46,49,51,
      57,54,55,101,45,48,55,32,49,46,49,51,53,52,55,101,45,48,55,10,32,32,49,46,49,
      51,50,49,54,101,45,48,55,32,49,46,49,50,57,54,53,101,45,48,55,32,49,46,49,50,
      55,57,101,45,48,55,32,49,46,49,50,54,57,55,101,45,48,55,32,49,46,49,50,54,55,
      53,101,45,48,55,32,49,46,49,50,55,49,50,101,45,48,55,32,49,46,49,50,56,48,53,
      101,45,48,55,10,32,32,49,46,49,50,57,56,49,101,45,48,55,32,49,46,49,51,51,49,
      56,101,45,48,55,32,49,46,49,51,54,57,55,101,45,48,55,32,49,46,49,52,50,54,51,
      101,45,48,55,32,49,46,49,54,51,54,50,101,45,48,55,32,49,46,50,49,48,50,56,101,
      45,48,55,32,49,46,51,51,50,55,51,101,45,48,55,10,32,32,49,46,53,50,54,53,57,
      101,45,48,55,32,49,46,56,48,48,57,53,101,45,48,55,32,50,46,49,55,56,53,56,101,
      45,48,55,32,50,46,54,54,53,56,101,45,48,55,32,51,46,50,54,54,50,57,101,45,48,
      55,32,51,46,57,53,57,51,56,101,45,48,55,32,52,46,55,49,54,55,56,101,45,48,55,
      10,32,32,53,46,52,57,53,57,52,101,45,48,55,32,54,46,50,56,56,55,57,101,45,48,
      55,32,55,46,49,48,52,50,50,101,45,48,55,32,56,46,49,53,52,50,57,101,45,48,55,
      32,57,46,51,56,54,50,49,101,45,48,55,32,49,46,49,53,49,54,53,101,45,48,54,32,
      49,46,52,54,49,49,49,101,45,48,54,10,32,32,49,46,57,49,52,51,101,45,48,54,32,
      50,46,55,54,49,53,101,45,48,54,32,51,46,57,54,53,51,49,101,45,48,54,32,53,46,
      51,57,56,52,57,101,45,48,54,32,54,46,57,54,50,53,101,45,48,54,32,56,46,48,49,
      50,49,101,45,48,54,32,56,46,55,51,56,57,57,101,45,48,54,10,32,32,57,46,48,54,
      48,54,54,101,45,48,54,32,57,46,50,55,48,52,57,101,45,48,54,32,57,46,53,53,55,
      49,51,101,45,48,54,32,49,46,48,48,52,56,49,101,45,48,53,32,49,46,48,56,53,50,
      57,101,45,48,53,32,49,46,50,49,48,56,53,101,45,48,53,32,49,46,51,57,54,57,101,
      45,48,53,10,32,32,49,46,54,53,56,57,49,101,45,48,53,32,49,46,57,49,53,50,52,
      101,45,48,53,32,50,46,49,49,52,101,45,48,53,32,50,46,50,54,55,56,57,101,45,
      48,53,32,50,46,52,55,57,49,101,45,48,53,32,50,46,54,55,55,53,52,101,45,48,53,
      32,50,46,57,49,48,48,54,101,45,48,53,10,32,32,51,46,49,52,57,48,56,101,45,48,
      53,32,51,46,51,56,51,49,51,101,45,48,53,32,51,46,54,51,57,50,52,101,45,48,53,
      32,51,46,57,53,52,50,50,101,45,48,53,32,52,46,50,57,50,50,54,101,45,48,53,32,
      52,46,54,53,57,52,51,101,45,48,53,32,53,46,48,55,54,52,101,45,48,53,10,32,32,
      53,46,53,53,54,48,56,101,45,48,53,32,53,46,57,53,53,48,53,101,45,48,53,32,54,
      46,51,50,50,48,56,101,45,48,53,32,54,46,53,55,56,48,57,101,45,48,53,32,54,46,
      56,49,57,53,54,101,45,48,53,32,55,46,50,48,52,50,51,101,45,48,53,32,55,46,55,
      55,48,57,55,101,45,48,53,10,32,32,56,46,52,51,52,52,54,101,45,48,53,32,57,46,
      48,49,56,56,53,101,45,48,53,32,57,46,56,53,56,56,49,101,45,48,53,32,46,48,48,
      48,49,48,56,49,50,56,32,46,48,48,48,49,49,55,52,57,50,32,46,48,48,48,49,50,
      52,54,49,51,32,46,48,48,48,49,51,49,50,57,50,10,32,32,46,48,48,48,49,51,57,
      48,53,56,32,46,48,48,48,49,53,48,56,51,32,46,48,48,48,49,54,54,49,56,56,32,
      46,48,48,48,49,56,49,49,50,57,32,46,48,48,48,50,49,55,56,57,52,32,46,48,48,
      48,50,54,54,48,51,56,32,46,48,48,48,51,51,48,51,53,32,46,48,48,48,52,50,49,
      53,51,10,32,32,46,48,48,48,53,48,53,57,32,46,48,48,48,53,55,53,48,55,52,32,
      46,48,48,48,54,50,49,57,56,56,32,46,48,48,48,54,54,48,51,50,54,32,46,48,48,
      48,54,57,54,54,50,54,32,46,48,48,48,55,51,56,48,52,56,32,46,48,48,48,55,54,
      57,50,51,32,46,48,48,48,56,48,52,51,57,56,10,32,32,46,48,48,48,56,55,57,56,
      55,53,32,46,48,48,48,57,52,50,55,56,56,32,46,48,48,49,48,55,51,55,32,46,48,
      48,49,50,52,57,56,32,46,48,48,49,51,54,56,51,51,32,46,48,48,49,52,57,49,53,
      57,32,46,48,48,49,54,56,55,50,50,32,46,48,48,49,56,57,54,56,57,10,32,32,46,
      48,48,50,48,48,51,53,32,46,48,48,50,49,53,54,51,50,32,46,48,48,50,50,51,53,
      55,49,32,46,48,48,50,51,52,55,49,52,32,46,48,48,50,51,50,51,51,56,32,46,48,
      48,50,52,55,54,57,50,32,46,48,48,50,53,51,57,52,32,46,48,48,50,54,53,55,54,
      52,32,46,48,48,50,55,56,52,55,57,10,32,32,46,48,48,50,56,56,55,54,57,32,46,
      48,48,50,57,56,55,53,32,46,48,48,51,48,55,55,55,55,32,46,48,48,51,49,54,51,
      54,55,32,46,48,48,51,50,53,53,51,55,32,46,48,48,51,51,51,51,53,54,32,46,48,
      48,51,52,49,54,48,52,32,46,48,48,51,52,55,52,50,49,32,46,48,48,51,53,54,52,
      52,52,10,32,32,46,48,48,51,54,49,54,57,51,32,46,48,48,51,54,55,57,49,52,32,
      46,48,48,51,56,49,48,54,52,32,46,48,48,51,57,54,49,55,32,46,48,48,52,48,55,
      54,53,57,32,46,48,48,52,49,55,55,55,50,32,46,48,48,52,50,51,53,56,49,32,46,
      48,48,52,50,53,52,53,53,32,46,48,48,52,50,51,51,49,50,10,32,32,46,48,48,52,
      49,51,52,52,55,32,46,48,48,51,57,52,53,56,55,32,46,48,48,51,56,49,49,49,56,
      32,46,48,48,51,54,52,57,52,55,32,46,48,48,51,52,50,50,54,52,32,46,48,48,51,
      50,49,57,51,57,32,46,48,48,51,48,49,54,49,55,32,46,48,48,50,55,56,55,56,52,
      10,32,32,46,48,48,50,53,54,55,48,53,32,46,48,48,50,51,56,49,57,49,32,46,48,
      48,50,50,48,53,50,56,32,46,48,48,50,48,51,55,57,32,46,48,48,49,56,53,56,51,
      54,32,46,48,48,49,54,55,49,52,50,32,46,48,48,49,52,56,50,48,56,32,46,48,48,
      49,51,50,55,54,51,32,46,48,48,49,49,55,50,55,52,10,32,32,46,48,48,49,48,52,
      55,52,32,46,48,48,48,57,51,52,51,55,54,32,46,48,48,48,56,50,50,48,54,55,32,
      46,48,48,48,55,49,53,55,53,49,32,46,48,48,48,54,52,50,54,53,56,32,46,48,48,
      48,53,54,54,57,54,54,32,46,48,48,48,53,48,55,53,52,53,32,46,48,48,48,52,53,
      48,54,54,57,10,32,32,46,48,48,48,51,57,57,57,55,32,46,48,48,48,51,53,52,56,
      50,50,32,46,48,48,48,51,49,52,54,53,51,32,46,48,48,48,50,55,56,57,51,54,32,
      46,48,48,48,50,52,55,49,57,57,32,46,48,48,48,50,49,57,48,49,51,32,46,48,48,
      48,49,57,51,57,56,57,32,46,48,48,48,49,55,49,55,55,51,10,32,32,46,48,48,48,
      49,53,50,48,55,32,46,48,48,48,49,51,52,54,48,50,32,46,48,48,48,49,49,57,49,
      50,50,32,46,48,48,48,49,48,53,52,48,56,32,57,46,51,50,54,48,49,101,45,48,53,
      32,56,46,50,53,48,50,52,101,45,48,53,32,55,46,50,57,55,57,51,101,45,48,53,32,
      54,46,52,53,52,54,49,101,45,48,53,10,32,32,53,46,55,48,56,48,52,101,45,48,53,
      32,53,46,48,52,55,53,50,101,45,48,53,32,52,46,52,54,51,49,101,45,48,53,32,51,
      46,57,52,54,48,57,101,45,48,53,32,51,46,52,56,56,55,53,101,45,48,53,32,51,46,
      48,56,52,50,54,101,45,48,53,32,50,46,55,50,54,54,51,101,45,48,53,10,32,32,50,
      46,52,49,48,51,101,45,48,53,32,50,46,49,51,48,54,49,101,45,48,53,32,49,46,56,
      56,51,51,50,101,45,48,53,32,49,46,54,54,52,54,54,101,45,48,53,32,49,46,52,55,
      49,49,56,101,45,48,53,32,49,46,51,48,48,49,54,101,45,48,53,32,49,46,49,52,56,
      57,54,101,45,48,53,10,32,32,49,46,48,49,53,51,55,101,45,48,53,32,57,46,50,50,
      50,57,50,101,45,48,54,32,56,46,51,55,55,52,49,101,45,48,54,32,55,46,54,48,57,
      51,56,101,45,48,54,32,54,46,57,49,49,55,49,101,45,48,54,32,54,46,50,55,56,51,
      101,45,48,54,32,53,46,54,51,50,54,55,101,45,48,54,10,32,32,52,46,57,48,57,54,
      54,101,45,48,54,32,52,46,50,55,57,52,54,101,45,48,54,32,51,46,55,51,48,49,53,
      101,45,48,54,32,51,46,50,53,49,51,54,101,45,48,54,32,50,46,56,51,52,48,52,101,
      45,48,54,32,50,46,52,55,48,51,101,45,48,54,32,50,46,49,53,51,49,56,101,45,48,
      54,10,32,32,49,46,56,55,54,55,101,45,48,54,32,49,46,54,51,53,55,51,101,45,48,
      54,32,49,46,52,50,53,55,50,101,45,48,54,32,49,46,50,52,50,54,57,101,45,48,54,
      32,49,46,48,56,51,49,55,101,45,48,54,32,57,46,52,52,49,51,57,101,45,48,55,32,
      56,46,50,50,57,54,57,101,45,48,55,10,32,32,55,46,49,55,51,54,49,101,45,48,55,
      32,54,46,50,53,51,49,54,101,45,48,55,32,53,46,52,53,48,57,49,101,45,48,55,32,
      52,46,55,53,49,54,54,101,45,48,55,32,52,46,49,52,50,49,56,101,45,48,55,32,51,
      46,54,49,48,57,51,101,45,48,55,32,51,46,49,52,55,53,50,101,45,48,55,10,32,32,
      50,46,55,52,52,50,50,101,45,48,55,32,50,46,51,57,50,51,57,101,45,48,55,32,50,
      46,48,56,53,55,101,45,48,55,32,49,46,56,49,56,51,54,101,45,48,55,32,49,46,53,
      56,53,51,49,101,45,48,55,32,49,46,51,56,50,49,54,101,45,48,55,32,49,46,50,48,
      52,57,55,101,45,48,55,10,32,32,49,46,48,53,48,52,101,45,48,55,32,57,46,49,53,
      54,55,53,101,45,48,56,32,55,46,57,56,50,52,54,101,45,48,56,32,54,46,57,53,56,
      57,49,101,45,48,56,32,54,46,48,54,54,55,51,101,45,48,56,32,53,46,50,56,57,48,
      53,101,45,48,56,32,52,46,54,49,49,49,53,101,45,48,56,10,32,32,52,46,48,50,48,
      50,49,101,45,48,56,32,51,46,48,53,54,101,45,48,56,32,50,46,51,50,51,49,56,101,
      45,48,56,32,49,46,55,54,54,50,55,101,45,48,56,32,49,46,51,52,50,57,54,101,45,
      48,56,32,49,46,48,50,49,49,57,101,45,48,56,32,55,46,55,54,53,55,50,101,45,48,
      57,10,32,32,53,46,57,48,53,57,52,101,45,48,57,32,52,46,52,57,49,56,57,101,45,
      48,57,32,51,46,52,49,54,54,53,101,45,48,57,32,50,46,53,57,56,57,56,101,45,48,
      57,32,49,46,57,55,55,49,52,101,45,48,57,32,49,46,53,48,52,49,57,101,45,48,57,
      32,49,46,49,52,52,50,52,101,45,48,57,10,32,32,56,46,55,48,52,56,55,101,45,49,
      48,32,54,46,54,50,50,55,50,101,45,49,48,32,53,46,48,51,56,57,51,101,45,49,48,
      32,51,46,56,51,52,49,52,101,45,49,48,32,50,46,57,49,55,54,49,101,45,49,48,32,
      50,46,50,50,48,51,49,101,45,49,48,32,49,46,54,56,57,55,55,101,45,49,48,10,32,
      32,49,46,50,56,54,48,56,101,45,49,48,32,57,46,55,56,56,57,101,45,49,49,32,55,
      46,52,53,49,50,50,101,45,49,49,32,53,46,54,55,50,49,51,101,45,49,49,32,52,46,
      51,49,56,48,54,101,45,49,49,32,51,46,50,56,55,52,51,101,45,49,49,32,50,46,53,
      48,50,57,52,101,45,49,49,10,32,32,49,46,57,48,53,55,53,101,45,49,49,32,49,46,
      52,53,49,49,55,101,45,49,49,32,53,46,57,57,54,53,56,101,45,49,57,32,50,46,57,
      51,57,48,54,101,45,49,54,32,49,46,52,56,57,57,50,101,45,49,53,32,49,46,56,50,
      55,51,55,101,45,49,53,32,50,46,57,51,53,56,101,45,49,52,10,32,32,49,46,52,56,
      55,54,50,101,45,49,51,32,52,46,54,57,54,57,54,101,45,49,51,32,49,46,49,52,52,
      52,52,101,45,49,50,32,50,46,51,54,57,55,101,45,49,50,32,53,46,48,49,48,52,57,
      101,45,49,50,32,56,46,55,52,49,48,49,101,45,49,50,32,49,46,51,57,54,56,57,101,
      45,49,49,10,32,32,50,46,49,49,56,48,56,101,45,49,49,32,51,46,48,56,53,54,53,
      101,45,49,49,32,52,46,51,52,57,49,54,101,45,49,49,32,53,46,57,54,49,54,53,101,
      45,49,49,32,55,46,57,54,53,53,57,101,45,49,49,32,49,46,48,52,49,48,50,101,45,
      49,48,32,49,46,51,51,54,54,101,45,49,48,10,32,32,49,46,54,56,57,55,49,101,45,
      49,48,32,50,46,49,48,54,54,54,101,45,49,48,32,50,46,53,56,50,52,49,101,45,49,
      48,32,51,46,49,51,49,50,57,101,45,49,48,32,51,46,55,53,57,57,50,101,45,49,48,
      32,52,46,52,55,52,57,52,101,45,49,48,32,53,46,50,54,55,49,54,101,45,49,48,10,
      32,32,54,46,49,51,56,51,55,101,45,49,48,32,55,46,49,48,54,57,49,101,45,49,48,
      32,56,46,49,55,56,52,101,45,49,48,32,57,46,51,53,54,54,57,101,45,49,48,32,49,
      46,48,53,56,56,50,101,45,48,57,32,49,46,49,57,50,55,50,101,45,48,57,32,49,46,
      51,51,55,56,50,101,45,48,57,10,32,32,49,46,52,57,52,54,52,101,45,48,57,32,49,
      46,54,53,56,51,53,101,45,48,57,32,49,46,56,50,57,48,57,101,45,48,57,32,50,46,
      48,49,49,51,101,45,48,57,32,50,46,50,48,53,52,51,101,45,48,57,32,50,46,52,49,
      49,50,53,101,45,48,57,32,50,46,54,49,54,55,55,101,45,48,57,10,32,32,50,46,56,
      51,51,55,56,101,45,48,57,32,51,46,48,54,50,54,50,101,45,48,57,32,51,46,51,48,
      51,54,101,45,48,57,32,51,46,53,52,56,56,55,101,45,48,57,32,51,46,55,57,57,51,
      54,101,45,48,57,32,52,46,48,54,49,54,54,101,45,48,57,32,52,46,51,51,53,57,55,
      101,45,48,57,10,32,32,52,46,54,50,49,56,49,101,45,48,57,32,52,46,57,48,55,48,
      52,101,45,48,57,32,53,46,50,48,52,49,53,101,45,48,57,32,53,46,53,49,51,52,57,
      101,45,48,57,32,53,46,56,51,53,50,49,101,45,48,57,32,54,46,49,54,51,57,53,101,
      45,48,57,32,54,46,53,48,48,55,101,45,48,57,10,32,32,54,46,56,53,48,48,53,101,
      45,48,57,32,55,46,50,49,50,50,52,101,45,48,57,32,55,46,53,56,55,50,52,101,45,
      48,57,32,55,46,57,55,50,49,49,101,45,48,57,32,56,46,51,55,48,50,55,101,45,48,
      57,32,56,46,55,56,50,49,101,45,48,57,32,57,46,50,48,55,54,57,101,45,48,57,10,
      32,32,57,46,54,53,48,49,101,45,48,57,32,49,46,48,49,48,57,101,45,48,56,32,49,
      46,48,53,56,50,55,101,45,48,56,32,49,46,49,48,55,49,52,101,45,48,56,32,49,46,
      49,53,55,54,53,101,45,48,56,32,49,46,50,49,48,57,56,101,45,48,56,32,49,46,50,
      54,53,57,53,101,45,48,56,10,32,32,49,46,51,50,50,54,101,45,48,56,32,49,46,51,
      56,48,57,53,101,45,48,56,32,49,46,52,52,50,50,57,101,45,48,56,32,49,46,53,48,
      54,51,52,101,45,48,56,32,49,46,53,55,50,50,57,101,45,48,56,32,49,46,54,52,48,
      49,55,101,45,48,56,32,49,46,55,49,48,50,52,101,45,48,56,10,32,32,49,46,55,56,
      52,53,55,101,45,48,56,32,49,46,56,54,49,48,54,101,45,48,56,32,49,46,57,51,57,
      55,52,101,45,48,56,32,50,46,48,50,48,54,53,101,45,48,56,32,50,46,49,48,53,101,
      45,48,56,32,50,46,49,57,50,53,101,45,48,56,32,50,46,50,56,50,52,52,101,45,48,
      56,10,32,32,50,46,51,55,52,56,57,101,45,48,56,32,50,46,52,54,57,56,51,101,45,
      48,56,32,50,46,53,54,55,51,49,101,45,48,56,32,50,46,54,54,55,52,49,101,45,48,
      56,32,50,46,55,55,48,49,52,101,45,48,56,32,50,46,56,55,53,52,57,101,45,48,56,
      32,50,46,57,56,49,48,56,101,45,48,56,10,32,32,51,46,48,56,55,55,51,101,45,48,
      56,32,51,46,49,57,55,48,50,101,45,48,56,32,51,46,51,48,56,56,55,101,45,48,56,
      32,51,46,52,50,50,49,101,45,48,56,32,51,46,53,50,56,53,55,101,45,48,56,32,51,
      46,54,51,55,51,101,45,48,56,32,51,46,55,52,56,51,49,101,45,48,56,10,32,32,51,
      46,56,54,49,54,50,101,45,48,56,32,51,46,57,54,53,49,56,101,45,48,56,32,52,46,
      48,54,51,52,53,101,45,48,56,32,52,46,49,54,51,54,54,101,45,48,56,32,52,46,50,
      54,53,56,101,45,48,56,32,52,46,51,54,54,48,55,101,45,48,56,32,52,46,52,52,50,
      56,101,45,48,56,10,32,32,52,46,53,50,49,52,50,101,45,48,56,32,52,46,54,48,49,
      57,50,101,45,48,56,32,52,46,54,56,52,50,55,101,45,48,56,32,52,46,55,52,52,48,
      50,101,45,48,56,32,52,46,55,57,50,50,55,101,45,48,56,32,52,46,56,52,51,48,50,
      101,45,48,56,32,52,46,56,57,54,49,56,101,45,48,56,10,32,32,52,46,57,52,53,50,
      52,101,45,48,56,32,52,46,57,53,57,49,53,101,45,48,56,32,52,46,57,55,54,57,56,
      101,45,48,56,32,52,46,57,57,56,52,57,101,45,48,56,32,53,46,48,50,51,54,51,101,
      45,48,56,32,53,46,48,50,50,49,55,101,45,48,56,32,53,46,48,48,57,56,55,101,45,
      48,56,10,32,32,53,46,48,48,50,57,56,101,45,48,56,32,53,46,48,48,48,57,56,101,
      45,48,56,32,52,46,57,57,54,53,57,101,45,48,56,32,52,46,57,54,48,57,55,101,45,
      48,56,32,52,46,57,51,50,50,53,101,45,48,56,32,52,46,57,48,57,55,101,45,48,56,
      32,52,46,56,57,50,55,54,101,45,48,56,10,32,32,52,46,56,53,53,57,57,101,45,48,
      56,32,52,46,56,49,51,54,56,101,45,48,56,32,52,46,55,55,56,51,53,101,45,48,56,
      32,52,46,55,52,57,50,55,101,45,48,56,32,52,46,55,50,48,54,101,45,48,56,32,52,
      46,54,55,50,53,57,101,45,48,56,32,52,46,54,51,49,54,57,101,45,48,56,10,32,32,
      52,46,53,57,55,49,53,101,45,48,56,32,52,46,53,54,56,51,54,101,45,48,56,32,52,
      46,53,50,57,49,53,101,45,48,56,32,52,46,52,56,56,54,56,101,45,48,56,32,52,46,
      52,53,52,49,57,101,45,48,56,32,52,46,52,50,53,49,49,101,45,48,56,32,52,46,51,
      57,55,57,53,101,45,48,56,10,32,32,52,46,51,54,50,52,52,101,45,48,56,32,52,46,
      51,51,50,49,56,101,45,48,56,32,52,46,51,48,54,54,55,101,45,48,56,32,52,46,50,
      56,53,53,101,45,48,56,32,52,46,50,54,49,53,55,101,45,48,56,32,52,46,50,51,56,
      55,51,101,45,48,56,32,52,46,50,49,57,56,54,101,45,48,56,10,32,32,52,46,50,48,
      52,54,101,45,48,56,32,52,46,49,57,49,56,53,101,45,48,56,32,52,46,49,55,56,56,
      52,101,45,48,56,32,52,46,49,54,56,57,50,101,45,48,56,32,52,46,49,54,49,56,54,
      101,45,48,56,32,52,46,49,53,55,52,53,101,45,48,56,32,52,46,49,53,53,57,54,101,
      45,48,56,10,32,32,52,46,49,53,54,57,53,101,45,48,56,32,52,46,49,54,48,48,53,
      101,45,48,56,32,52,46,49,54,53,49,52,101,45,48,56,32,52,46,49,55,51,49,55,101,
      45,48,56,32,52,46,49,56,54,57,55,101,45,48,56,32,52,46,50,48,50,50,54,101,45,
      48,56,32,52,46,50,50,52,55,57,101,45,48,56,10,32,32,52,46,51,48,53,50,49,101,
      45,48,56,32,52,46,52,56,48,50,49,101,45,48,56,32,52,46,57,51,50,48,55,101,45,
      48,56,32,53,46,54,51,57,53,53,101,45,48,56,32,54,46,54,51,51,53,56,101,45,48,
      56,32,55,46,57,57,50,49,56,101,45,48,56,32,57,46,55,51,51,56,52,101,45,48,56,
      10,32,32,49,46,49,56,54,56,101,45,48,55,32,49,46,52,51,50,48,49,101,45,48,55,
      32,49,46,54,57,57,49,54,101,45,48,55,32,49,46,57,55,51,54,49,101,45,48,55,32,
      50,46,50,53,50,55,54,101,45,48,55,32,50,46,53,51,57,56,53,101,45,48,55,32,50,
      46,57,48,57,53,50,101,45,48,55,10,32,32,51,46,51,52,51,50,53,101,45,48,55,32,
      52,46,48,57,52,57,51,101,45,48,55,32,53,46,49,57,53,53,53,101,45,48,55,32,54,
      46,56,51,56,54,54,101,45,48,55,32,49,46,48,48,53,54,54,101,45,48,54,32,49,46,
      53,48,55,49,101,45,48,54,32,50,46,49,57,52,50,49,101,45,48,54,10,32,32,51,46,
      48,56,53,48,52,101,45,48,54,32,51,46,55,52,56,49,50,101,45,48,54,32,52,46,49,
      49,57,54,57,101,45,48,54,32,52,46,49,53,55,51,101,45,48,54,32,52,46,49,51,49,
      49,49,101,45,48,54,32,52,46,49,54,51,54,54,101,45,48,54,32,52,46,51,50,53,49,
      56,101,45,48,54,10,32,32,52,46,54,55,56,50,50,101,45,48,54,32,53,46,51,49,57,
      53,50,101,45,48,54,32,54,46,52,48,53,48,52,101,45,48,54,32,56,46,50,53,54,56,
      56,101,45,48,54,32,49,46,48,54,51,57,49,101,45,48,53,32,49,46,51,51,49,54,51,
      101,45,48,53,32,49,46,53,55,48,53,51,101,45,48,53,10,32,32,49,46,55,49,57,49,
      50,101,45,48,53,32,49,46,55,56,53,56,50,101,45,48,53,32,49,46,56,50,53,48,54,
      101,45,48,53,32,49,46,56,53,51,54,49,101,45,48,53,32,49,46,57,48,56,49,57,101,
      45,48,53,32,50,46,48,49,49,49,51,101,45,48,53,32,50,46,49,57,48,53,53,101,45,
      48,53,10,32,32,50,46,52,51,50,55,101,45,48,53,32,50,46,55,52,54,57,53,101,45,
      48,53,32,51,46,49,54,53,101,45,48,53,32,51,46,55,49,51,50,49,101,45,48,53,32,
      52,46,49,56,56,52,57,101,45,48,53,32,52,46,54,52,48,52,51,101,45,48,53,32,52,
      46,57,57,48,54,56,101,45,48,53,10,32,32,53,46,51,52,50,54,52,101,45,48,53,32,
      53,46,56,49,56,48,50,101,45,48,53,32,54,46,51,52,49,50,49,101,45,48,53,32,54,
      46,56,56,57,54,56,101,45,48,53,32,55,46,51,54,49,51,49,101,45,48,53,32,56,46,
      48,51,56,51,49,101,45,48,53,32,56,46,55,57,50,55,54,101,45,48,53,10,32,32,57,
      46,53,51,54,56,56,101,45,48,53,32,46,48,48,48,49,48,49,50,48,55,32,46,48,48,
      48,49,48,54,55,54,53,32,46,48,48,48,49,49,51,48,56,49,32,46,48,48,48,49,50,
      50,50,55,57,32,46,48,48,48,49,51,51,56,51,51,32,46,48,48,48,49,52,52,56,51,
      52,32,46,48,48,48,49,55,49,54,53,55,10,32,32,46,48,48,48,50,48,54,56,48,55,
      32,46,48,48,48,50,53,52,49,51,51,32,46,48,48,48,51,50,50,50,53,53,32,46,48,
      48,48,51,56,54,51,55,50,32,46,48,48,48,52,51,57,52,52,32,46,48,48,48,52,55,
      53,52,53,50,32,46,48,48,48,53,48,52,57,48,50,32,46,48,48,48,53,51,50,55,56,
      54,10,32,32,46,48,48,48,53,54,52,54,50,51,32,46,48,48,48,53,56,56,54,48,49,
      32,46,48,48,48,54,49,53,54,57,54,32,46,48,48,48,54,55,52,50,52,54,32,46,48,
      48,48,55,50,51,52,53,55,32,46,48,48,48,56,50,55,48,55,56,32,46,48,48,48,57,
      54,56,54,49,57,32,46,48,48,49,48,54,53,50,56,10,32,32,46,48,48,49,49,54,55,
      32,46,48,48,49,51,51,48,57,56,32,46,48,48,49,53,48,57,56,55,32,46,48,48,49,
      54,48,50,48,54,32,46,48,48,49,55,51,52,55,55,32,46,48,48,49,56,48,51,55,52,
      32,46,48,48,49,56,57,57,52,57,32,46,48,48,49,56,54,56,52,51,32,46,48,48,50,
      48,48,49,56,51,10,32,32,46,48,48,50,48,53,54,52,55,32,46,48,48,50,49,54,48,
      52,53,32,46,48,48,50,50,55,51,49,49,32,46,48,48,50,51,54,52,57,53,32,46,48,
      48,50,52,53,52,54,57,32,46,48,48,50,53,51,54,52,56,32,46,48,48,50,54,49,52,
      56,57,32,46,48,48,50,54,57,57,50,49,10,32,32,46,48,48,50,55,55,49,54,32,46,
      48,48,50,56,52,56,52,56,32,46,48,48,50,57,48,51,48,56,32,46,48,48,50,57,56,
      56,53,32,46,48,48,51,48,51,56,54,52,32,46,48,48,51,48,57,56,52,50,32,46,48,
      48,51,50,50,54,55,55,32,46,48,48,51,51,55,56,53,56,32,46,48,48,51,52,57,57,
      48,55,10,32,32,46,48,48,51,54,49,50,55,57,32,46,48,48,51,54,56,55,55,56,32,
      46,48,48,51,55,51,49,57,51,32,46,48,48,51,55,51,52,52,50,32,46,48,48,51,54,
      55,56,49,52,32,46,48,48,51,53,52,57,49,32,46,48,48,51,52,52,50,49,49,32,46,
      48,48,51,51,48,57,55,49,32,46,48,48,51,49,49,57,52,56,10,32,32,46,48,48,50,
      57,52,53,55,55,32,46,48,48,50,55,54,57,54,53,32,46,48,48,50,53,54,57,53,52,
      32,46,48,48,50,51,55,52,49,32,46,48,48,50,50,48,56,55,57,32,46,48,48,50,48,
      53,48,49,54,32,46,48,48,49,56,57,57,32,46,48,48,49,55,51,53,57,49,32,46,48,
      48,49,53,54,53,50,50,10,32,32,46,48,48,49,51,57,49,53,51,32,46,48,48,49,50,
      52,57,49,52,32,46,48,48,49,49,48,53,55,55,32,46,48,48,48,57,56,57,51,54,55,
      32,46,48,48,48,56,56,52,48,57,49,32,46,48,48,48,55,55,57,49,56,51,32,46,48,
      48,48,54,55,57,54,48,49,32,46,48,48,48,54,49,48,57,55,10,32,32,46,48,48,48,
      53,51,57,55,51,51,32,46,48,48,48,52,56,51,54,57,50,32,46,48,48,48,52,50,57,
      57,54,55,32,46,48,48,48,51,56,50,48,48,56,32,46,48,48,48,51,51,57,50,51,53,
      32,46,48,48,48,51,48,49,49,49,56,32,46,48,48,48,50,54,55,49,55,50,32,46,48,
      48,48,50,51,54,57,55,10,32,32,46,48,48,48,50,49,48,49,49,56,32,46,48,48,48,
      49,56,54,50,53,54,32,46,48,48,48,49,54,53,48,54,32,46,48,48,48,49,52,54,50,
      52,51,32,46,48,48,48,49,50,57,53,51,56,32,46,48,48,48,49,49,52,55,49,52,32,
      46,48,48,48,49,48,49,53,54,56,32,56,46,57,57,49,52,101,45,48,53,10,32,32,55,
      46,57,53,56,54,50,101,45,48,53,32,55,46,48,52,51,54,57,101,45,48,53,32,54,46,
      50,51,51,49,50,101,45,48,53,32,53,46,53,49,53,49,53,101,45,48,53,32,52,46,56,
      55,57,52,55,101,45,48,53,32,52,46,51,49,54,54,52,101,45,48,53,32,51,46,56,49,
      56,50,56,101,45,48,53,10,32,32,51,46,51,55,55,50,101,45,48,53,32,50,46,57,56,
      54,56,57,101,45,48,53,32,50,46,54,52,49,53,57,101,45,48,53,32,50,46,51,51,54,
      48,51,101,45,48,53,32,50,46,48,54,53,55,49,101,45,48,53,32,49,46,56,50,54,53,
      56,101,45,48,53,32,49,46,54,49,53,48,55,101,45,48,53,10,32,32,49,46,52,50,56,
      48,49,101,45,48,53,32,49,46,50,54,50,53,55,101,45,48,53,32,49,46,49,49,54,50,
      51,101,45,48,53,32,57,46,56,54,56,54,101,45,48,54,32,56,46,57,54,54,49,52,101,
      45,48,54,32,56,46,49,52,53,57,54,101,45,48,54,32,55,46,52,48,48,55,51,101,45,
      48,54,10,32,32,54,46,55,50,51,54,51,101,45,48,54,32,54,46,49,48,56,55,50,101,
      45,48,54,32,53,46,52,56,49,55,55,101,45,48,54,32,52,46,55,55,57,52,55,101,45,
      48,54,32,52,46,49,54,55,48,57,101,45,48,54,32,51,46,54,51,51,49,52,101,45,48,
      54,32,51,46,49,54,55,53,57,101,45,48,54,10,32,32,50,46,55,54,49,55,101,45,48,
      54,32,50,46,52,48,55,56,49,101,45,48,54,32,50,46,48,57,57,50,56,101,45,48,54,
      32,49,46,56,51,48,50,56,101,45,48,54,32,49,46,53,57,53,55,54,101,45,48,54,32,
      49,46,51,57,49,51,101,45,48,54,32,49,46,50,49,51,48,52,101,45,48,54,10,32,32,
      49,46,48,53,55,53,55,101,45,48,54,32,57,46,50,50,48,48,51,101,45,48,55,32,56,
      46,48,51,56,50,53,101,45,48,55,32,55,46,48,48,56,48,49,101,45,48,55,32,54,46,
      49,48,57,56,56,101,45,48,55,32,53,46,51,50,54,57,101,45,48,55,32,52,46,54,52,
      52,51,49,101,45,48,55,10,32,32,52,46,48,52,57,50,53,101,45,48,55,32,51,46,53,
      51,48,52,56,101,45,48,55,32,51,46,48,55,55,57,101,45,48,55,32,50,46,54,56,51,
      57,51,101,45,48,55,32,50,46,51,52,48,49,57,101,45,48,55,32,50,46,48,52,48,53,
      101,45,48,55,32,49,46,55,55,57,50,49,101,45,48,55,10,32,32,49,46,53,53,49,52,
      101,45,48,55,32,49,46,51,53,50,55,56,101,45,48,55,32,49,46,49,55,57,54,49,101,
      45,48,55,32,49,46,48,50,56,54,50,101,45,48,55,32,56,46,57,54,57,54,55,101,45,
      48,56,32,55,46,56,50,49,56,101,45,48,56,32,54,46,56,50,48,57,50,101,45,48,56,
      10,32,32,53,46,57,52,56,50,50,101,45,48,56,32,53,46,49,56,55,49,57,101,45,48,
      56,32,52,46,53,50,50,56,52,101,45,48,56,32,51,46,57,52,51,54,52,101,45,48,56,
      32,50,46,57,57,56,52,51,101,45,48,56,32,50,46,50,55,57,56,56,101,45,48,56,32,
      49,46,55,51,51,54,57,101,45,48,56,10,32,32,49,46,51,49,56,52,52,101,45,48,56,
      32,49,46,48,48,50,55,50,101,45,48,56,32,55,46,54,50,54,53,54,101,45,48,57,32,
      53,46,56,48,49,48,55,101,45,48,57,32,52,46,52,49,50,56,51,101,45,48,57,32,51,
      46,51,53,55,48,51,101,45,48,57,32,50,46,53,53,52,48,50,101,45,48,57,10,32,32,
      49,46,57,52,51,50,50,101,45,48,57,32,49,46,52,55,56,53,56,101,45,48,57,32,49,
      46,49,50,53,49,50,101,45,48,57,32,56,46,53,54,50,48,53,101,45,49,48,32,54,46,
      53,49,54,48,53,101,45,49,48,32,52,46,57,53,57,50,55,101,45,49,48,32,51,46,55,
      55,52,50,50,101,45,49,48,10,32,32,50,46,56,55,50,51,51,101,45,49,48,32,50,46,
      49,56,54,48,57,101,45,49,48,32,49,46,54,54,51,57,49,101,45,49,48,32,49,46,50,
      54,54,53,51,101,45,49,48,32,57,46,54,52,49,48,55,101,45,49,49,32,55,46,51,51,
      57,51,56,101,45,49,49,32,53,46,53,56,55,53,49,101,45,49,49,10,32,32,52,46,50,
      53,52,48,51,101,45,49,49,32,51,46,50,51,56,57,55,101,45,49,49,32,50,46,52,54,
      54,50,52,101,45,49,49,32,49,46,56,55,55,57,54,101,45,49,49,32,49,46,52,51,48,
      49,50,101,45,49,49,32,51,46,53,52,48,56,50,101,45,49,57,32,49,46,56,49,54,54,
      50,101,45,49,54,10,32,32,57,46,50,48,57,48,52,101,45,49,54,32,49,46,49,50,57,
      52,55,101,45,49,53,32,49,46,56,49,52,52,51,101,45,49,52,32,57,46,49,57,50,53,
      52,101,45,49,52,32,50,46,57,48,49,54,101,45,49,51,32,55,46,48,54,54,48,49,101,
      45,49,51,32,49,46,52,54,49,55,52,101,45,49,50,10,32,32,50,46,54,57,57,55,52,
      101,45,49,50,32,52,46,53,57,53,53,49,101,45,49,50,32,55,46,57,51,54,53,57,101,
      45,49,50,32,49,46,50,48,57,48,52,101,45,49,49,32,49,46,55,54,48,52,51,101,45,
      49,49,32,50,46,52,55,57,55,53,101,45,49,49,32,51,46,51,57,54,56,50,101,45,49,
      49,10,32,32,52,46,53,51,53,51,53,101,45,49,49,32,53,46,57,50,50,55,55,101,45,
      49,49,32,55,46,53,57,56,51,57,101,45,49,49,32,57,46,53,57,55,56,52,101,45,49,
      49,32,49,46,49,57,53,53,56,101,45,49,48,32,49,46,52,54,52,51,52,101,45,49,48,
      32,49,46,55,55,52,48,49,101,45,49,48,10,32,32,50,46,49,50,56,50,52,101,45,49,
      48,32,50,46,53,51,48,54,50,101,45,49,48,32,50,46,57,55,53,57,50,101,45,49,48,
      32,51,46,52,54,53,48,55,101,45,49,48,32,52,46,48,48,56,49,57,101,45,49,48,32,
      52,46,54,48,56,50,55,101,45,49,48,32,53,46,50,54,55,51,53,101,45,49,48,10,32,
      32,53,46,57,53,53,54,55,101,45,49,48,32,54,46,55,48,51,49,57,101,45,49,48,32,
      55,46,53,49,50,51,55,101,45,49,48,32,56,46,51,56,53,57,49,101,45,49,48,32,57,
      46,50,57,55,50,49,101,45,49,48,32,49,46,48,50,52,55,101,45,48,57,32,49,46,49,
      50,53,57,54,101,45,48,57,10,32,32,49,46,50,51,51,55,52,101,45,48,57,32,49,46,
      51,52,55,57,50,101,45,48,57,32,49,46,52,54,49,57,50,101,45,48,57,32,49,46,53,
      56,50,50,49,101,45,48,57,32,49,46,55,48,56,57,54,101,45,48,57,32,49,46,56,52,
      50,51,50,101,45,48,57,32,49,46,57,55,56,48,51,101,45,48,57,10,32,32,50,46,49,
      49,54,54,101,45,48,57,32,50,46,50,54,49,54,49,101,45,48,57,32,50,46,52,49,51,
      49,54,101,45,48,57,32,50,46,53,55,48,57,56,101,45,48,57,32,50,46,55,50,56,53,
      101,45,48,57,32,50,46,56,57,50,52,57,101,45,48,57,32,51,46,48,54,51,49,51,101,
      45,48,57,10,32,32,51,46,50,52,48,53,101,45,48,57,32,51,46,52,50,49,55,101,45,
      48,57,32,51,46,54,48,55,50,55,101,45,48,57,32,51,46,55,57,57,54,55,101,45,48,
      57,32,51,46,57,57,57,48,52,101,45,48,57,32,52,46,50,48,53,51,54,101,45,48,57,
      32,52,46,52,49,55,48,51,101,45,48,57,10,32,32,52,46,54,51,53,57,101,45,48,57,
      32,52,46,56,54,50,49,55,101,45,48,57,32,53,46,48,57,53,56,56,101,45,48,57,32,
      53,46,51,51,56,54,54,101,45,48,57,32,53,46,53,57,48,51,51,101,45,48,57,32,53,
      46,56,52,57,57,55,101,45,48,57,32,54,46,49,49,55,55,51,101,45,48,57,10,32,32,
      54,46,51,57,52,50,55,101,45,48,57,32,54,46,54,56,53,57,54,101,45,48,57,32,54,
      46,57,56,54,52,55,101,45,48,57,32,55,46,50,57,53,57,55,101,45,48,57,32,55,46,
      54,49,52,53,57,101,45,48,57,32,55,46,57,52,57,49,52,101,45,48,57,32,56,46,50,
      57,56,50,101,45,48,57,10,32,32,56,46,54,53,55,52,101,45,48,57,32,57,46,48,50,
      54,56,54,101,45,48,57,32,57,46,52,48,56,48,50,101,45,48,57,32,57,46,56,49,49,
      55,56,101,45,48,57,32,49,46,48,50,50,55,101,45,48,56,32,49,46,48,54,53,51,57,
      101,45,48,56,32,49,46,49,48,57,50,53,101,45,48,56,10,32,32,49,46,49,53,52,57,
      51,101,45,48,56,32,49,46,50,48,50,50,56,101,45,48,56,32,49,46,50,53,48,57,50,
      101,45,48,56,32,49,46,51,48,48,56,56,101,45,48,56,32,49,46,51,53,50,49,53,101,
      45,48,56,32,49,46,52,48,52,55,53,101,45,48,56,32,49,46,52,53,56,55,51,101,45,
      48,56,10,32,32,49,46,53,49,52,48,57,101,45,48,56,32,49,46,53,55,48,56,51,101,
      45,48,56,32,49,46,54,50,55,55,101,45,48,56,32,49,46,54,56,53,49,50,101,45,48,
      56,32,49,46,55,52,51,57,49,101,45,48,56,32,49,46,56,48,52,48,53,101,45,48,56,
      32,49,46,56,54,52,57,49,101,45,48,56,10,32,32,49,46,57,50,50,50,54,101,45,48,
      56,32,49,46,57,56,48,56,101,45,48,56,32,50,46,48,52,48,53,53,101,45,48,56,32,
      50,46,49,48,49,53,101,45,48,56,32,50,46,49,53,55,51,57,101,45,48,56,32,50,46,
      50,49,48,53,52,101,45,48,56,32,50,46,50,54,52,55,49,101,45,48,56,10,32,32,50,
      46,51,49,57,57,50,101,45,48,56,32,50,46,51,55,52,49,54,101,45,48,56,32,50,46,
      52,49,54,49,53,101,45,48,56,32,50,46,52,53,57,49,53,101,45,48,56,32,50,46,53,
      48,51,49,52,101,45,48,56,32,50,46,53,52,56,49,50,101,45,48,56,32,50,46,53,56,
      49,51,51,101,45,48,56,10,32,32,50,46,54,48,56,53,53,101,45,48,56,32,50,46,54,
      51,55,48,57,101,45,48,56,32,50,46,54,54,54,57,101,45,48,56,32,50,46,54,57,52,
      53,56,101,45,48,56,32,50,46,55,48,51,56,57,101,45,48,56,32,50,46,55,49,53,50,
      54,101,45,48,56,32,50,46,55,50,56,53,52,101,45,48,56,10,32,32,50,46,55,52,51,
      54,53,101,45,48,56,32,50,46,55,52,52,56,101,45,48,56,32,50,46,55,52,48,50,51,
      101,45,48,56,32,50,46,55,51,56,52,52,101,45,48,56,32,50,46,55,51,57,49,56,101,
      45,48,56,32,50,46,55,51,56,54,52,101,45,48,56,32,50,46,55,50,49,53,53,101,45,
      48,56,10,32,32,50,46,55,48,56,48,50,101,45,48,56,32,50,46,54,57,55,55,101,45,
      48,56,32,50,46,54,57,48,50,57,101,45,48,56,32,50,46,54,55,50,51,101,45,48,56,
      32,50,46,54,53,49,50,56,101,45,48,56,32,50,46,54,51,51,57,101,45,48,56,32,50,
      46,54,49,57,55,56,101,45,48,56,10,32,32,50,46,54,48,53,56,51,101,45,48,56,32,
      50,46,53,56,49,52,54,101,45,48,56,32,50,46,53,54,48,56,50,101,45,48,56,32,50,
      46,53,52,51,53,50,101,45,48,56,32,50,46,53,50,57,50,53,101,45,48,56,32,50,46,
      53,48,57,51,49,101,45,48,56,32,50,46,52,56,56,54,52,101,45,48,56,10,32,32,50,
      46,52,55,49,49,51,101,45,48,56,32,50,46,52,53,54,52,56,101,45,48,56,32,50,46,
      52,52,50,56,50,101,45,48,56,32,50,46,52,50,52,53,57,101,45,48,56,32,50,46,52,
      48,57,49,54,101,45,48,56,32,50,46,51,57,54,50,53,101,45,48,56,32,50,46,51,56,
      53,54,55,101,45,48,56,10,32,32,50,46,51,55,51,53,52,101,45,48,56,32,50,46,51,
      54,49,57,55,101,45,48,56,32,50,46,51,53,50,53,51,101,45,48,56,32,50,46,51,52,
      53,48,50,101,45,48,56,32,50,46,51,51,56,56,54,101,45,48,56,32,50,46,51,51,50,
      53,50,101,45,48,56,32,50,46,51,50,55,56,54,101,45,48,56,10,32,32,50,46,51,50,
      52,55,51,101,45,48,56,32,50,46,51,50,51,48,51,101,45,48,56,32,50,46,51,50,50,
      57,50,101,45,48,56,32,50,46,51,50,52,49,52,101,45,48,56,32,50,46,51,50,54,53,
      49,101,45,48,56,32,50,46,51,50,57,57,54,101,45,48,56,32,50,46,51,51,53,48,49,
      101,45,48,56,10,32,32,50,46,51,52,51,50,50,101,45,48,56,32,50,46,51,53,50,50,
      51,101,45,48,56,32,50,46,51,54,53,52,50,101,45,48,56,32,50,46,52,49,49,52,54,
      101,45,48,56,32,50,46,53,49,48,51,49,101,45,48,56,32,50,46,55,54,50,57,56,101,
      45,48,56,32,51,46,49,53,53,55,57,101,45,48,56,10,32,32,51,46,55,48,52,56,50,
      101,45,48,56,32,52,46,52,53,49,48,54,101,45,48,56,32,53,46,52,48,49,57,54,101,
      45,48,56,32,54,46,53,53,57,53,56,101,45,48,56,32,55,46,56,56,49,48,57,101,45,
      48,56,32,57,46,51,49,50,50,54,101,45,48,56,32,49,46,48,55,55,53,52,101,45,48,
      55,10,32,32,49,46,50,50,53,55,52,101,45,48,55,32,49,46,51,55,55,53,57,101,45,
      48,55,32,49,46,53,55,50,50,53,101,45,48,55,32,49,46,55,57,57,49,54,101,45,48,
      55,32,50,46,49,56,56,53,49,101,45,48,55,32,50,46,55,53,48,56,50,101,45,48,55,
      32,51,46,53,55,55,53,56,101,45,48,55,10,32,32,53,46,49,55,49,57,50,101,45,48,
      55,32,55,46,54,52,52,53,55,101,45,48,55,32,49,46,49,49,48,55,51,101,45,48,54,
      32,49,46,53,56,52,54,49,101,45,48,54,32,49,46,57,53,54,54,101,45,48,54,32,50,
      46,49,53,54,48,54,101,45,48,54,32,50,46,49,53,54,53,101,45,48,54,10,32,32,50,
      46,49,50,53,48,51,101,45,48,54,32,50,46,49,51,48,51,51,101,45,48,54,32,50,46,
      50,48,55,49,55,101,45,48,54,32,50,46,51,56,55,57,52,101,45,48,54,32,50,46,55,
      50,54,57,54,101,45,48,54,32,51,46,51,50,49,55,50,101,45,48,54,32,52,46,52,49,
      52,53,50,101,45,48,54,10,32,32,54,46,48,48,55,49,56,101,45,48,54,32,56,46,49,
      53,49,54,51,101,45,48,54,32,49,46,48,51,54,50,53,101,45,48,53,32,49,46,49,51,
      53,54,53,101,45,48,53,32,49,46,49,52,49,56,57,101,45,48,53,32,49,46,49,49,51,
      54,54,101,45,48,53,32,49,46,48,56,51,54,51,101,45,48,53,10,32,32,49,46,48,56,
      54,55,56,101,45,48,53,32,49,46,49,51,50,50,55,101,45,48,53,32,49,46,50,51,52,
      57,55,101,45,48,53,32,49,46,51,56,57,53,53,101,45,48,53,32,49,46,54,48,55,53,
      52,101,45,48,53,32,49,46,57,50,51,52,101,45,48,53,32,50,46,51,55,56,49,51,101,
      45,48,53,10,32,32,50,46,56,48,50,48,51,101,45,48,53,32,51,46,50,50,57,51,52,
      101,45,48,53,32,51,46,53,57,49,49,56,101,45,48,53,32,51,46,57,56,53,53,53,101,
      45,48,53,32,52,46,53,49,57,57,49,101,45,48,53,32,53,46,48,50,57,50,55,101,45,
      48,53,32,53,46,53,48,51,49,52,101,45,48,53,10,32,32,53,46,56,57,48,50,56,101,
      45,48,53,32,54,46,52,52,52,52,57,101,45,48,53,32,55,46,48,53,53,55,49,101,45,
      48,53,32,55,46,54,53,52,52,101,45,48,53,32,56,46,49,50,51,54,52,101,45,48,53,
      32,56,46,53,54,55,50,57,101,45,48,53,32,57,46,48,55,52,48,57,101,45,48,53,10,
      32,32,57,46,56,49,50,53,101,45,48,53,32,46,48,48,48,49,48,55,50,48,54,32,46,
      48,48,48,49,49,53,54,51,51,32,46,48,48,48,49,51,53,55,52,57,32,46,48,48,48,
      49,54,49,55,56,56,32,46,48,48,48,49,57,54,56,50,57,32,46,48,48,48,50,52,55,
      55,52,55,32,46,48,48,48,50,57,54,51,54,54,10,32,32,46,48,48,48,51,51,54,57,
      55,49,32,46,48,48,48,51,54,52,53,57,51,32,46,48,48,48,51,56,55,50,51,50,32,
      46,48,48,48,52,48,56,54,55,50,32,46,48,48,48,52,51,51,49,53,54,32,46,48,48,
      48,52,53,49,54,48,51,32,46,48,48,48,52,55,50,52,54,55,32,46,48,48,48,53,49,
      55,55,54,54,10,32,32,46,48,48,48,53,53,54,48,54,52,32,46,48,48,48,54,51,55,
      52,54,56,32,46,48,48,48,55,53,48,52,50,51,32,46,48,48,48,56,50,56,53,55,54,
      32,46,48,48,48,57,49,49,54,57,32,46,48,48,49,48,52,55,54,49,32,46,48,48,49,
      49,57,56,52,52,32,46,48,48,49,50,55,55,49,54,10,32,32,46,48,48,49,51,57,49,
      48,55,32,46,48,48,49,52,53,48,51,52,32,46,48,48,49,53,51,49,56,56,32,46,48,
      48,49,52,57,55,54,55,32,46,48,48,49,54,49,50,51,50,32,46,48,48,49,54,53,57,
      53,53,32,46,48,48,49,55,52,57,57,32,46,48,48,49,56,52,56,53,56,32,46,48,48,
      49,57,50,57,54,50,10,32,32,46,48,48,50,48,48,57,51,32,46,48,48,50,48,56,50,
      51,55,32,46,48,48,50,49,53,50,56,54,32,46,48,48,50,50,50,57,49,54,32,46,48,
      48,50,50,57,53,48,56,32,46,48,48,50,51,54,53,54,52,32,46,48,48,50,52,49,54,
      49,50,32,46,48,48,50,52,57,53,54,54,32,46,48,48,50,53,52,50,54,51,10,32,32,
      46,48,48,50,53,57,56,57,54,32,46,48,48,50,55,50,49,53,50,32,46,48,48,50,56,
      54,57,56,57,32,46,48,48,50,57,57,49,53,56,32,46,48,48,51,49,49,50,48,56,32,
      46,48,48,51,49,57,56,56,52,32,46,48,48,51,50,54,49,52,55,32,46,48,48,51,50,
      56,50,52,32,46,48,48,51,50,54,51,48,57,10,32,32,46,48,48,51,49,56,50,48,51,
      32,46,48,48,51,48,57,57,32,46,48,48,50,57,57,50,55,57,32,46,48,48,50,56,51,
      53,51,57,32,46,48,48,50,54,56,56,51,51,32,46,48,48,50,53,51,54,57,55,32,46,
      48,48,50,51,54,50,55,49,32,46,48,48,50,49,57,48,53,52,32,46,48,48,50,48,52,
      51,55,52,10,32,32,46,48,48,49,57,48,49,57,49,32,46,48,48,49,55,54,53,56,52,
      32,46,48,48,49,54,49,56,50,57,32,46,48,48,49,52,54,51,48,53,32,46,48,48,49,
      51,48,52,49,50,32,46,48,48,49,49,55,51,50,54,32,46,48,48,49,48,52,48,57,54,
      32,46,48,48,48,57,51,51,49,32,46,48,48,48,56,51,53,50,52,10,32,32,46,48,48,
      48,55,51,55,52,52,52,32,46,48,48,48,54,52,52,51,51,49,32,46,48,48,48,53,56,
      48,48,48,57,32,46,48,48,48,53,49,51,49,48,56,32,46,48,48,48,52,54,48,51,55,
      52,32,46,48,48,48,52,48,57,55,49,50,32,46,48,48,48,51,54,52,52,48,52,32,46,
      48,48,48,51,50,51,57,50,57,10,32,32,46,48,48,48,50,56,55,56,49,49,32,46,48,
      48,48,50,53,53,54,48,57,32,46,48,48,48,50,50,54,57,50,32,46,48,48,48,50,48,
      49,51,55,52,32,46,48,48,48,49,55,56,54,52,51,32,46,48,48,48,49,53,56,52,51,
      49,32,46,48,48,48,49,52,48,52,54,57,32,46,48,48,48,49,50,52,53,49,51,10,32,
      32,46,48,48,48,49,49,48,51,52,53,32,57,46,55,55,54,57,51,101,45,48,53,32,56,
      46,54,54,48,57,50,101,45,48,53,32,55,46,54,55,48,52,56,101,45,48,53,32,54,46,
      55,57,50,51,56,101,45,48,53,32,54,46,48,49,51,57,101,45,48,53,32,53,46,51,50,
      51,56,50,101,45,48,53,10,32,32,52,46,55,49,50,52,55,101,45,48,53,32,52,46,49,
      55,48,56,57,101,45,48,53,32,51,46,54,57,49,50,49,101,45,48,53,32,51,46,50,54,
      54,51,57,101,45,48,53,32,50,46,56,57,48,50,51,101,45,48,53,32,50,46,53,53,55,
      49,56,101,45,48,53,32,50,46,50,54,50,50,54,101,45,48,53,10,32,32,50,46,48,48,
      49,50,52,101,45,48,53,32,49,46,55,55,48,50,52,101,45,48,53,32,49,46,53,54,53,
      56,51,101,45,48,53,32,49,46,51,56,52,57,53,101,45,48,53,32,49,46,50,50,52,57,
      50,101,45,48,53,32,49,46,48,56,51,50,57,101,45,48,53,32,57,46,53,56,48,51,49,
      101,45,48,54,10,32,32,56,46,55,48,54,57,50,101,45,48,54,32,55,46,57,49,51,48,
      51,101,45,48,54,32,55,46,49,57,49,52,101,45,48,54,32,54,46,53,51,53,52,57,101,
      45,48,54,32,53,46,57,51,57,54,101,45,48,54,32,53,46,51,51,49,54,55,101,45,48,
      54,32,52,46,54,52,57,57,50,101,45,48,54,10,32,32,52,46,48,53,53,50,55,101,45,
      48,54,32,51,46,53,51,54,54,50,101,45,48,54,32,51,46,48,56,52,50,54,101,45,48,
      54,32,50,46,54,56,57,55,51,101,45,48,54,32,50,46,51,52,53,54,54,101,45,48,54,
      32,50,46,48,52,53,53,57,101,45,48,54,32,49,46,55,56,51,56,57,101,45,48,54,10,
      32,32,49,46,53,53,53,54,54,101,45,48,54,32,49,46,51,53,54,54,51,101,45,48,54,
      32,49,46,49,56,51,48,54,101,45,48,54,32,49,46,48,51,49,55,49,101,45,48,54,32,
      56,46,57,57,55,49,53,101,45,48,55,32,55,46,56,52,54,49,51,101,45,48,55,32,54,
      46,56,52,50,51,57,101,45,48,55,10,32,32,53,46,57,54,55,48,57,101,45,48,55,32,
      53,46,50,48,51,53,49,101,45,48,55,32,52,46,53,51,55,53,52,101,45,48,55,32,51,
      46,57,53,54,56,52,101,45,48,55,32,51,46,52,53,48,52,57,101,45,48,55,32,51,46,
      48,48,56,54,53,101,45,48,55,32,50,46,54,50,51,57,54,101,45,48,55,10,32,32,50,
      46,50,56,56,50,52,101,45,48,55,32,49,46,57,57,53,53,101,45,48,55,32,49,46,55,
      52,48,50,51,101,45,48,55,32,49,46,53,49,55,54,51,101,45,48,55,32,49,46,51,50,
      51,53,50,101,45,48,55,32,49,46,49,53,52,50,53,101,45,48,55,32,49,46,48,48,54,
      54,52,101,45,48,55,10,32,32,56,46,55,55,57,50,56,101,45,48,56,32,55,46,54,53,
      54,56,101,45,48,56,32,54,46,54,55,55,57,50,101,45,48,56,32,53,46,56,50,52,50,
      54,101,45,48,56,32,53,46,48,55,57,55,57,101,45,48,56,32,52,46,52,51,48,53,52,
      101,45,48,56,32,51,46,56,54,52,51,50,101,45,48,56,10,32,32,50,46,57,51,57,56,
      51,101,45,48,56,32,50,46,50,51,54,53,57,101,45,48,56,32,49,46,55,48,49,50,53,
      101,45,48,56,32,49,46,50,57,52,48,49,101,45,48,56,32,57,46,56,52,51,50,57,101,
      45,48,57,32,55,46,52,56,56,48,50,101,45,48,57,32,53,46,54,57,54,54,56,101,45,
      48,57,10,32,32,52,46,51,51,52,49,53,101,45,48,57,32,51,46,50,57,55,55,49,101,
      45,48,57,32,50,46,53,48,57,50,54,101,45,48,57,32,49,46,57,48,57,52,52,101,45,
      48,57,32,49,46,52,53,51,48,57,101,45,48,57,32,49,46,49,48,53,56,55,101,45,48,
      57,32,56,46,52,49,54,55,52,101,45,49,48,10,32,32,54,46,52,48,54,51,49,101,45,
      49,48,32,52,46,56,55,54,51,55,101,45,49,48,32,51,46,55,49,50,48,49,101,45,49,
      48,32,50,46,56,50,53,56,51,101,45,49,48,32,50,46,49,53,49,51,52,101,45,49,48,
      32,49,46,54,51,55,57,51,101,45,49,48,32,49,46,50,52,55,48,54,101,45,49,48,10,
      32,32,57,46,52,57,51,56,51,101,45,49,49,32,55,46,50,50,56,48,49,101,45,49,49,
      32,53,46,53,48,51,50,53,101,45,49,49,32,52,46,49,57,48,50,56,101,45,49,49,32,
      51,46,49,57,48,55,51,101,45,49,49,32,50,46,52,50,57,55,51,101,45,49,49,32,49,
      46,56,53,48,51,51,101,45,49,49,10,32,32,49,46,52,48,57,50,101,45,49,49,32,50,
      46,48,52,50,53,56,101,45,49,57,32,49,46,49,49,54,51,49,101,45,49,54,32,53,46,
      54,53,56,56,54,101,45,49,54,32,54,46,57,52,48,52,56,101,45,49,54,32,49,46,49,
      49,52,56,55,101,45,49,52,32,53,46,54,52,55,55,101,45,49,52,10,32,32,49,46,55,
      56,50,52,101,45,49,51,32,52,46,51,51,57,54,55,101,45,49,51,32,56,46,57,55,52,
      56,51,101,45,49,51,32,49,46,54,53,54,56,101,45,49,50,32,50,46,56,49,56,50,52,
      101,45,49,50,32,52,46,53,48,48,52,51,101,45,49,50,32,54,46,56,49,57,53,53,101,
      45,49,50,10,32,32,49,46,48,48,55,50,55,101,45,49,49,32,49,46,52,54,50,55,101,
      45,49,49,32,50,46,48,48,51,48,52,101,45,49,49,32,50,46,54,55,51,52,50,101,45,
      49,49,32,51,46,52,56,57,56,49,101,45,49,49,32,52,46,52,55,53,49,53,101,45,49,
      49,32,53,46,54,53,48,49,53,101,45,49,49,10,32,32,55,46,48,51,52,57,51,101,45,
      49,49,32,56,46,54,49,50,50,55,101,45,49,49,32,49,46,48,52,50,56,54,101,45,49,
      48,32,49,46,50,53,48,52,57,101,45,49,48,32,49,46,52,56,54,49,56,101,45,49,48,
      32,49,46,55,52,54,56,54,101,45,49,48,32,50,46,48,51,51,48,52,101,45,49,48,10,
      32,32,50,46,51,53,48,54,101,45,49,48,32,50,46,55,48,49,50,52,101,45,49,48,32,
      51,46,48,56,54,49,50,101,45,49,48,32,51,46,52,56,55,57,50,101,45,49,48,32,51,
      46,57,50,52,48,52,101,45,49,48,32,52,46,51,57,53,56,55,101,45,49,48,32,52,46,
      57,48,52,57,53,101,45,49,48,10,32,32,53,46,52,51,53,56,53,101,45,49,48,32,53,
      46,57,56,56,57,57,101,45,49,48,32,54,46,53,55,56,52,55,101,45,49,48,32,55,46,
      50,48,53,54,101,45,49,48,32,55,46,56,54,57,54,54,101,45,49,48,32,56,46,53,51,
      50,55,50,101,45,49,48,32,57,46,50,51,50,48,54,101,45,49,48,10,32,32,57,46,57,
      54,56,54,56,101,45,49,48,32,49,46,48,55,52,51,53,101,45,48,57,32,49,46,49,53,
      51,49,56,101,45,48,57,32,49,46,50,51,51,54,55,101,45,48,57,32,49,46,51,49,55,
      56,55,101,45,48,57,32,49,46,52,48,53,56,52,101,45,48,57,32,49,46,52,57,55,52,
      51,101,45,48,57,10,32,32,49,46,53,56,56,56,54,101,45,48,57,32,49,46,54,56,52,
      48,49,101,45,48,57,32,49,46,55,56,50,57,57,101,45,48,57,32,49,46,56,56,53,56,
      53,101,45,48,57,32,49,46,57,57,48,57,50,101,45,48,57,32,50,46,48,57,56,53,49,
      101,45,48,57,32,50,46,50,49,48,48,52,101,45,48,57,10,32,32,50,46,51,50,53,53,
      55,101,45,48,57,32,50,46,52,52,53,49,101,45,48,57,32,50,46,53,54,55,55,49,101,
      45,48,57,32,50,46,54,57,52,52,55,101,45,48,57,32,50,46,56,50,53,52,55,101,45,
      48,57,32,50,46,57,54,48,55,54,101,45,48,57,32,51,46,49,48,49,50,52,101,45,48,
      57,10,32,32,51,46,50,52,54,56,51,101,45,48,57,32,51,46,51,57,55,101,45,48,57,
      32,51,46,53,53,49,56,50,101,45,48,57,32,51,46,55,49,49,54,55,101,45,48,57,32,
      51,46,56,56,48,50,101,45,48,57,32,52,46,48,53,51,55,56,101,45,48,57,32,52,46,
      50,51,50,53,101,45,48,57,10,32,32,52,46,52,49,54,52,52,101,45,48,57,32,52,46,
      54,48,57,52,56,101,45,48,57,32,52,46,56,49,48,56,49,101,45,48,57,32,53,46,48,
      49,55,57,51,101,45,48,57,32,53,46,50,51,48,57,49,101,45,48,57,32,53,46,52,53,
      48,53,54,101,45,48,57,32,53,46,54,56,51,48,57,101,45,48,57,10,32,32,53,46,57,
      50,50,49,53,101,45,48,57,32,54,46,49,54,55,56,51,101,45,48,57,32,54,46,52,50,
      48,50,50,101,45,48,57,32,54,46,54,56,50,57,54,101,45,48,57,32,54,46,57,53,53,
      49,54,101,45,48,57,32,55,46,50,51,52,54,57,101,45,48,57,32,55,46,53,50,49,54,
      55,101,45,48,57,10,32,32,55,46,56,49,54,49,52,101,45,48,57,32,56,46,49,49,56,
      50,49,101,45,48,57,32,56,46,52,50,56,48,50,101,45,48,57,32,56,46,55,52,53,54,
      50,101,45,48,57,32,57,46,48,55,49,49,101,45,48,57,32,57,46,51,57,55,51,56,101,
      45,48,57,32,57,46,55,50,54,55,50,101,45,48,57,10,32,32,49,46,48,48,54,51,55,
      101,45,48,56,32,49,46,48,52,48,56,52,101,45,48,56,32,49,46,48,55,53,55,51,101,
      45,48,56,32,49,46,49,48,56,54,51,101,45,48,56,32,49,46,49,52,50,50,101,45,48,
      56,32,49,46,49,55,54,52,54,101,45,48,56,32,49,46,50,49,49,52,49,101,45,48,56,
      10,32,32,49,46,50,52,51,53,101,45,48,56,32,49,46,50,55,52,48,53,101,45,48,56,
      32,49,46,51,48,53,49,56,101,45,48,56,32,49,46,51,51,54,57,101,45,48,56,32,49,
      46,51,54,56,48,57,101,45,48,56,32,49,46,51,57,50,51,53,101,45,48,56,32,49,46,
      52,49,55,49,57,101,45,48,56,10,32,32,49,46,52,52,50,54,101,45,48,56,32,49,46,
      52,54,56,53,56,101,45,48,56,32,49,46,52,56,55,57,101,45,48,56,32,49,46,53,48,
      51,56,53,101,45,48,56,32,49,46,53,50,48,53,53,101,45,48,56,32,49,46,53,51,55,
      57,55,101,45,48,56,32,49,46,53,53,52,49,57,101,45,48,56,10,32,32,49,46,53,54,
      48,48,51,101,45,48,56,32,49,46,53,54,55,48,51,101,45,48,56,32,49,46,53,55,53,
      49,101,45,48,56,32,49,46,53,56,52,50,101,45,48,56,32,49,46,53,56,53,51,57,101,
      45,48,56,32,49,46,53,56,51,51,51,101,45,48,56,32,49,46,53,56,50,56,51,101,45,
      48,56,10,32,32,49,46,53,56,51,55,54,101,45,48,56,32,49,46,53,56,51,57,52,101,
      45,48,56,32,49,46,53,55,52,55,49,101,45,48,56,32,49,46,53,54,55,52,57,101,45,
      48,56,32,49,46,53,54,50,48,56,101,45,48,56,32,49,46,53,53,56,51,101,45,48,56,
      32,49,46,53,52,56,52,56,101,45,48,56,10,32,32,49,46,53,51,54,57,50,101,45,48,
      56,32,49,46,53,50,55,52,49,101,45,48,56,32,49,46,53,49,57,55,53,101,45,48,56,
      32,49,46,53,49,50,49,54,101,45,48,56,32,49,46,52,57,56,54,49,101,45,48,56,32,
      49,46,52,56,55,49,55,101,45,48,56,32,49,46,52,55,55,54,49,101,45,48,56,10,32,
      32,49,46,52,54,57,55,56,101,45,48,56,32,49,46,52,53,56,54,57,101,45,48,56,32,
      49,46,52,52,55,49,54,101,45,48,56,32,49,46,52,51,55,52,50,101,45,48,56,32,49,
      46,52,50,57,51,49,101,45,48,56,32,49,46,52,50,49,55,54,101,45,48,56,32,49,46,
      52,49,49,53,55,101,45,48,56,10,32,32,49,46,52,48,50,57,56,101,45,48,56,32,49,
      46,51,57,53,56,51,101,45,48,56,32,49,46,51,56,57,57,57,101,45,48,56,32,49,46,
      51,56,51,50,55,101,45,48,56,32,49,46,51,55,54,56,53,101,45,48,56,32,49,46,51,
      55,49,54,53,101,45,48,56,32,49,46,51,54,55,53,54,101,45,48,56,10,32,32,49,46,
      51,54,52,50,52,101,45,48,56,32,49,46,51,54,48,56,49,101,45,48,56,32,49,46,51,
      53,56,51,52,101,45,48,56,32,49,46,51,53,54,55,53,101,45,48,56,32,49,46,51,53,
      53,57,56,101,45,48,56,32,49,46,51,53,54,49,49,101,45,48,56,32,49,46,51,53,55,
      48,50,101,45,48,56,10,32,32,49,46,51,53,56,53,57,101,45,48,56,32,49,46,51,54,
      48,55,56,101,45,48,56,32,49,46,51,54,51,56,57,101,45,48,56,32,49,46,51,54,56,
      56,51,101,45,48,56,32,49,46,51,55,52,50,51,101,45,48,56,32,49,46,51,56,50,49,
      101,45,48,56,32,49,46,52,48,57,50,57,101,45,48,56,10,32,32,49,46,52,54,55,51,
      101,45,48,56,32,49,46,54,49,52,56,52,101,45,48,56,32,49,46,56,52,51,51,57,101,
      45,48,56,32,50,46,49,54,50,48,51,101,45,48,56,32,50,46,53,57,51,57,51,101,45,
      48,56,32,51,46,49,52,50,55,51,101,45,48,56,32,51,46,56,48,56,56,50,101,45,48,
      56,10,32,32,52,46,53,54,54,57,50,101,45,48,56,32,53,46,51,56,53,54,57,101,45,
      48,56,32,54,46,50,50,48,56,53,101,45,48,56,32,55,46,48,54,53,50,101,45,48,56,
      32,55,46,57,50,56,56,55,101,45,48,56,32,57,46,48,51,51,54,53,101,45,48,56,32,
      49,46,48,51,49,55,52,101,45,48,55,10,32,32,49,46,50,53,48,57,54,101,45,48,55,
      32,49,46,53,54,53,51,52,101,45,48,55,32,50,46,48,50,51,54,56,101,45,48,55,32,
      50,46,56,57,56,48,50,101,45,48,55,32,52,46,50,52,48,51,50,101,45,48,55,32,54,
      46,49,49,55,48,51,101,45,48,55,32,56,46,55,50,49,51,57,101,45,48,55,10,32,32,
      49,46,48,56,49,48,52,101,45,48,54,32,49,46,49,57,50,49,101,45,48,54,32,49,46,
      49,56,57,52,49,101,45,48,54,32,49,46,49,54,57,56,56,101,45,48,54,32,49,46,49,
      55,49,57,56,101,45,48,54,32,49,46,50,49,51,57,54,101,45,48,54,32,49,46,51,49,
      51,51,57,101,45,48,54,10,32,32,49,46,53,48,48,53,52,101,45,48,54,32,49,46,56,
      51,49,57,55,101,45,48,54,32,50,46,52,53,57,53,52,101,45,48,54,32,51,46,52,51,
      51,49,52,101,45,48,54,32,52,46,56,57,49,56,51,101,45,48,54,32,54,46,53,55,49,
      48,51,101,45,48,54,32,55,46,50,48,56,52,53,101,45,48,54,10,32,32,55,46,48,54,
      55,54,50,101,45,48,54,32,54,46,54,54,56,54,55,101,45,48,54,32,54,46,51,49,53,
      54,55,101,45,48,54,32,54,46,50,51,57,55,101,45,48,54,32,54,46,52,54,49,50,50,
      101,45,48,54,32,55,46,48,53,50,51,51,101,45,48,54,32,55,46,57,57,49,50,51,101,
      45,48,54,10,32,32,57,46,51,55,52,57,53,101,45,48,54,32,49,46,49,52,56,54,57,
      101,45,48,53,32,49,46,52,55,51,54,54,101,45,48,53,32,49,46,55,57,54,57,57,101,
      45,48,53,32,50,46,49,52,49,54,50,101,45,48,53,32,50,46,52,53,53,55,101,45,48,
      53,32,50,46,56,50,53,48,50,101,45,48,53,10,32,32,51,46,51,53,50,51,52,101,45,
      48,53,32,51,46,56,51,51,57,53,101,45,48,53,32,52,46,50,52,52,48,57,101,45,48,
      53,32,52,46,53,53,57,57,51,101,45,48,53,32,53,46,48,49,48,54,50,101,45,48,53,
      32,53,46,53,48,55,50,101,45,48,53,32,53,46,57,56,54,48,57,101,45,48,53,10,32,
      32,54,46,51,53,48,56,49,101,45,48,53,32,54,46,54,56,54,57,55,101,45,48,53,32,
      55,46,48,56,50,53,52,101,45,48,53,32,55,46,54,55,57,54,51,101,45,48,53,32,56,
      46,52,49,51,48,52,101,45,48,53,32,57,46,48,55,55,52,55,101,45,48,53,32,46,48,
      48,48,49,48,54,49,55,49,10,32,32,46,48,48,48,49,50,53,54,48,57,32,46,48,48,
      48,49,53,49,53,48,55,32,46,48,48,48,49,56,57,50,51,55,32,46,48,48,48,50,50,
      53,54,52,32,46,48,48,48,50,53,54,51,49,55,32,46,48,48,48,50,55,55,50,54,52,
      32,46,48,48,48,50,57,52,52,56,49,32,46,48,48,48,51,49,48,55,56,55,10,32,32,
      46,48,48,48,51,50,57,52,49,32,46,48,48,48,51,52,51,52,52,32,46,48,48,48,51,
      53,57,51,49,49,32,46,48,48,48,51,57,51,56,56,55,32,46,48,48,48,52,50,51,50,
      54,52,32,46,48,48,48,52,56,54,50,48,56,32,46,48,48,48,53,55,52,55,32,46,48,
      48,48,54,51,54,56,49,50,10,32,32,46,48,48,48,55,48,51,53,55,55,32,46,48,48,
      48,56,49,52,49,53,57,32,46,48,48,48,57,51,56,56,57,56,32,46,48,48,49,48,48,
      52,56,52,32,46,48,48,49,49,48,48,56,52,32,46,48,48,49,49,53,48,56,54,32,46,
      48,48,49,50,49,57,50,32,46,48,48,49,49,56,52,55,53,10,32,32,46,48,48,49,50,
      56,49,53,52,32,46,48,48,49,51,50,49,54,57,32,46,48,48,49,51,57,56,57,32,46,
      48,48,49,52,56,51,56,56,32,46,48,48,49,53,53,52,48,57,32,46,48,48,49,54,50,
      51,54,49,32,46,48,48,49,54,56,55,56,32,46,48,48,49,55,53,48,48,56,32,46,48,
      48,49,56,49,55,57,49,10,32,32,46,48,48,49,56,55,54,56,55,32,46,48,48,49,57,
      52,48,51,56,32,46,48,48,49,57,56,54,48,55,32,46,48,48,50,48,53,56,53,55,32,
      46,48,48,50,49,48,49,54,54,32,46,48,48,50,49,53,51,55,52,32,46,48,48,50,50,
      54,56,52,52,32,46,48,48,50,52,48,57,57,54,10,32,32,46,48,48,50,53,50,57,51,
      53,32,46,48,48,50,54,53,50,48,52,32,46,48,48,50,55,52,53,57,49,32,46,48,48,
      50,56,50,50,51,51,32,46,48,48,50,56,53,55,56,50,32,46,48,48,50,56,54,55,52,
      55,32,46,48,48,50,56,50,57,51,52,32,46,48,48,50,55,54,55,57,50,10,32,32,46,
      48,48,50,54,56,53,51,57,32,46,48,48,50,53,53,56,52,54,32,46,48,48,50,52,51,
      54,53,55,32,46,48,48,50,51,48,56,52,55,32,46,48,48,50,49,53,56,56,32,46,48,
      48,50,48,48,57,48,49,32,46,48,48,49,56,56,32,46,48,48,49,55,53,52,51,54,32,
      46,48,48,49,54,51,51,49,10,32,32,46,48,48,49,53,48,48,55,55,32,46,48,48,49,
      51,54,48,53,57,32,46,48,48,49,50,49,54,50,56,32,46,48,48,49,48,57,54,56,51,
      32,46,48,48,48,57,55,53,52,55,52,32,46,48,48,48,56,55,54,49,54,52,32,46,48,
      48,48,55,56,53,55,54,52,32,46,48,48,48,54,57,53,48,57,51,10,32,32,46,48,48,
      48,54,48,56,52,56,50,32,46,48,48,48,53,52,56,52,57,53,32,46,48,48,48,52,56,
      53,57,52,56,32,46,48,48,48,52,51,54,53,53,32,46,48,48,48,51,56,57,48,49,49,
      32,46,48,48,48,51,52,54,52,49,53,32,46,48,48,48,51,48,56,50,56,57,32,46,48,
      48,48,50,55,52,50,10,32,32,46,48,48,48,50,52,51,55,54,50,32,46,48,48,48,50,
      49,54,54,48,51,32,46,48,48,48,49,57,50,51,57,51,32,46,48,48,48,49,55,48,56,
      50,56,32,46,48,48,48,49,53,49,54,50,56,32,46,48,48,48,49,51,52,53,52,50,32,
      46,48,48,48,49,49,57,51,52,53,32,46,48,48,48,49,48,53,56,51,57,10,32,32,57,
      46,51,56,51,57,53,101,45,48,53,32,56,46,51,49,56,51,52,101,45,48,53,32,55,46,
      51,55,50,51,101,45,48,53,32,54,46,53,51,50,55,52,101,45,48,53,32,53,46,55,56,
      55,55,50,101,45,48,53,32,53,46,49,50,54,53,50,101,45,48,53,32,52,46,53,52,48,
      50,49,101,45,48,53,10,32,32,52,46,48,50,48,52,55,101,45,48,53,32,51,46,53,53,
      57,56,49,101,45,48,53,32,51,46,49,53,49,53,57,101,45,48,53,32,50,46,55,56,57,
      56,57,101,45,48,53,32,50,46,52,54,57,53,54,101,45,48,53,32,50,46,49,56,53,55,
      55,101,45,48,53,32,49,46,57,51,52,52,53,101,45,48,53,10,32,32,49,46,55,49,49,
      57,49,101,45,48,53,32,49,46,53,49,52,56,49,101,45,48,53,32,49,46,51,52,48,51,
      50,101,45,48,53,32,49,46,49,56,53,56,54,101,45,48,53,32,49,46,48,52,57,49,50,
      101,45,48,53,32,57,46,50,56,49,50,56,101,45,48,54,32,56,46,52,51,55,51,55,101,
      45,48,54,10,32,32,55,46,54,55,48,48,50,101,45,48,54,32,54,46,57,55,50,50,57,
      101,45,48,54,32,54,46,51,51,55,57,101,45,48,54,32,53,46,55,54,49,51,55,101,
      45,48,54,32,53,46,49,55,51,49,50,101,45,48,54,32,52,46,53,49,51,54,53,101,45,
      48,54,32,51,46,57,51,56,49,52,101,45,48,54,10,32,32,51,46,52,51,53,57,50,101,
      45,48,54,32,50,46,57,57,55,54,56,101,45,48,54,32,50,46,54,49,52,57,54,101,45,
      48,54,32,50,46,50,56,49,48,52,101,45,48,54,32,49,46,57,56,57,55,52,101,45,48,
      54,32,49,46,55,51,53,54,50,101,45,48,54,32,49,46,53,49,51,57,52,101,45,48,54,
      10,32,32,49,46,51,50,48,53,55,101,45,48,54,32,49,46,49,53,49,56,56,101,45,48,
      54,32,49,46,48,48,52,55,52,101,45,48,54,32,56,46,55,54,51,56,57,101,45,48,55,
      32,55,46,54,52,52,51,51,101,45,48,55,32,54,46,54,54,55,55,55,101,45,48,55,32,
      53,46,56,49,53,57,55,101,45,48,55,10,32,32,53,46,48,55,50,57,57,101,45,48,55,
      32,52,46,52,50,52,57,51,101,45,48,55,32,51,46,56,53,57,54,56,101,45,48,55,32,
      51,46,51,54,54,54,52,101,45,48,55,32,50,46,57,51,54,51,101,45,48,55,32,50,46,
      53,54,49,52,52,101,45,48,55,32,50,46,50,51,52,49,101,45,48,55,10,32,32,49,46,
      57,52,56,54,101,45,48,55,32,49,46,54,57,57,54,101,45,48,55,32,49,46,52,56,50,
      52,51,101,45,48,55,32,49,46,50,57,51,48,50,101,45,48,55,32,49,46,49,50,55,56,
      50,101,45,48,55,32,57,46,56,51,55,51,57,101,45,48,56,32,56,46,53,56,48,55,51,
      101,45,48,56,10,32,32,55,46,52,56,52,54,56,101,45,48,56,32,54,46,53,50,56,54,
      55,101,45,48,56,32,53,46,54,57,52,56,53,101,45,48,56,32,52,46,57,54,55,53,56,
      101,45,48,56,32,52,46,51,51,51,50,51,101,45,48,56,32,51,46,55,55,57,57,51,101,
      45,48,56,32,50,46,56,55,54,51,55,101,45,48,56,10,32,32,50,46,49,56,56,56,53,
      101,45,48,56,32,49,46,54,54,53,55,56,101,45,48,56,32,49,46,50,54,55,55,55,101,
      45,48,56,32,57,46,54,52,57,48,50,101,45,48,57,32,55,46,51,52,51,54,50,101,45,
      48,57,32,53,46,53,56,55,56,52,101,45,48,57,32,52,46,50,53,50,49,101,45,48,57,
      10,32,32,51,46,50,51,53,56,52,101,45,48,57,32,50,46,52,54,50,54,49,101,45,48,
      57,32,49,46,56,55,52,50,54,101,45,48,57,32,49,46,52,50,54,53,53,101,45,48,57,
      32,49,46,48,56,53,56,53,101,45,48,57,32,56,46,50,54,53,53,55,101,45,49,48,32,
      54,46,50,57,50,49,53,101,45,49,48,10,32,32,52,46,55,57,48,49,52,101,45,49,48,
      32,51,46,54,52,54,56,55,101,45,49,48,32,50,46,55,55,54,54,49,101,45,49,48,32,
      50,46,49,49,52,49,51,101,45,49,48,32,49,46,54,48,57,55,57,101,45,49,48,32,49,
      46,50,50,53,56,51,101,45,49,48,32,57,46,51,51,52,57,51,101,45,49,49,10,32,32,
      55,46,49,48,57,48,54,101,45,49,49,32,53,46,52,49,52,50,101,45,49,49,32,52,46,
      49,50,51,54,50,101,45,49,49,32,51,46,49,52,48,54,50,101,45,49,49,32,50,46,51,
      57,49,56,101,45,49,49,32,49,46,56,50,49,54,101,45,49,49,32,49,46,51,56,55,52,
      52,101,45,49,49,10,32,32,57,46,54,48,52,50,55,101,45,50,48,32,51,46,57,54,56,
      53,55,101,45,49,55,32,50,46,48,49,49,56,52,101,45,49,54,32,50,46,52,54,55,53,
      101,45,49,54,32,51,46,57,54,52,53,101,45,49,53,32,50,46,48,48,57,49,51,101,
      45,49,52,32,54,46,51,52,52,52,50,101,45,49,52,10,32,32,49,46,53,52,53,56,49,
      101,45,49,51,32,51,46,49,57,57,54,54,101,45,49,51,32,53,46,57,49,50,54,51,101,
      45,49,51,32,49,46,48,48,54,56,53,101,45,49,50,32,49,46,54,48,57,54,54,101,45,
      49,50,32,50,46,52,52,49,57,51,101,45,49,50,32,51,46,53,53,57,54,56,101,45,49,
      50,10,32,32,53,46,48,50,49,49,57,101,45,49,50,32,54,46,56,56,57,52,53,101,45,
      49,50,32,57,46,50,49,53,53,56,101,45,49,50,32,49,46,50,52,51,52,53,101,45,49,
      49,32,49,46,54,49,50,53,50,101,45,49,49,32,50,46,48,52,48,49,52,101,45,49,49,
      32,50,46,53,52,53,52,56,101,45,49,49,10,32,32,51,46,49,50,50,53,53,101,45,49,
      49,32,51,46,55,56,56,57,51,101,45,49,49,32,52,46,53,53,50,56,55,101,45,49,49,
      32,53,46,52,50,50,54,51,101,45,49,49,32,54,46,51,56,55,49,53,101,45,49,49,32,
      55,46,52,52,56,55,101,45,49,49,32,56,46,54,50,57,57,53,101,45,49,49,10,32,32,
      57,46,57,51,55,57,50,101,45,49,49,32,49,46,49,51,55,55,53,101,45,49,48,32,49,
      46,50,56,56,51,101,45,49,48,32,49,46,52,53,50,49,49,101,45,49,48,32,49,46,54,
      50,57,55,54,101,45,49,48,32,49,46,56,50,49,57,49,101,45,49,48,32,50,46,48,50,
      50,54,49,101,45,49,48,10,32,32,50,46,50,51,50,48,49,101,45,49,48,32,50,46,52,
      53,53,54,50,101,45,49,48,32,50,46,54,57,52,101,45,49,48,32,50,46,57,52,54,57,
      101,45,49,48,32,51,46,49,57,57,52,50,101,45,49,48,32,51,46,52,54,54,49,57,101,
      45,49,48,32,51,46,55,52,55,54,53,101,45,49,48,10,32,32,52,46,48,52,52,50,101,
      45,49,48,32,52,46,51,52,54,48,53,101,45,49,48,32,52,46,54,53,52,51,55,101,45,
      49,48,32,52,46,57,55,55,51,55,101,45,49,48,32,53,46,51,49,53,50,57,101,45,49,
      48,32,53,46,54,54,55,53,53,101,45,49,48,32,54,46,48,49,57,48,49,101,45,49,48,
      10,32,32,54,46,51,56,53,50,51,101,45,49,48,32,54,46,55,54,54,54,55,101,45,49,
      48,32,55,46,49,54,51,53,50,101,45,49,48,32,55,46,53,54,57,48,54,101,45,49,48,
      32,55,46,57,56,52,53,55,101,45,49,48,32,56,46,52,49,53,55,54,101,45,49,48,32,
      56,46,56,54,50,57,53,101,45,49,48,10,32,32,57,46,51,50,54,49,50,101,45,49,48,
      32,57,46,56,48,49,53,53,101,45,49,48,32,49,46,48,50,57,51,54,101,45,48,57,32,
      49,46,48,56,48,50,54,101,45,48,57,32,49,46,49,51,50,56,57,101,45,48,57,32,49,
      46,49,56,55,54,49,101,45,48,57,32,49,46,50,52,52,52,101,45,48,57,10,32,32,49,
      46,51,48,51,48,52,101,45,48,57,32,49,46,51,54,51,53,53,101,45,48,57,32,49,46,
      52,50,54,49,50,101,45,48,57,32,49,46,52,57,50,50,50,101,45,48,57,32,49,46,53,
      54,48,51,56,101,45,48,57,32,49,46,54,51,48,54,52,101,45,48,57,32,49,46,55,48,
      51,48,52,101,45,48,57,10,32,32,49,46,55,55,57,49,56,101,45,48,57,32,49,46,56,
      53,56,55,52,101,45,48,57,32,49,46,57,52,48,55,101,45,48,57,32,50,46,48,50,53,
      48,54,101,45,48,57,32,50,46,49,49,50,50,101,45,48,57,32,50,46,50,48,52,55,101,
      45,48,57,32,50,46,50,57,57,57,50,101,45,48,57,10,32,32,50,46,51,57,55,57,101,
      45,48,57,32,50,46,52,57,56,55,101,45,48,57,32,50,46,54,48,51,56,52,101,45,48,
      57,32,50,46,55,49,50,57,54,101,45,48,57,32,50,46,56,50,53,49,56,101,45,48,57,
      32,50,46,57,52,48,53,54,101,45,48,57,32,51,46,48,53,57,49,101,45,48,57,10,32,
      32,51,46,49,56,48,56,52,101,45,48,57,32,51,46,51,48,53,57,50,101,45,48,57,32,
      51,46,52,51,52,51,49,101,45,48,57,32,51,46,53,54,54,48,51,101,45,48,57,32,51,
      46,54,57,56,48,54,101,45,48,57,32,51,46,56,51,49,52,50,101,45,48,57,32,51,46,
      57,54,56,49,52,101,45,48,57,10,32,32,52,46,49,48,56,49,49,101,45,48,57,32,52,
      46,50,52,57,56,49,101,45,48,57,32,52,46,51,56,50,57,50,101,45,48,57,32,52,46,
      53,49,56,56,56,101,45,48,57,32,52,46,54,53,55,55,49,101,45,48,57,32,52,46,55,
      57,57,52,54,101,45,48,57,32,52,46,57,50,56,55,56,101,45,48,57,10,32,32,53,46,
      48,53,49,51,53,101,45,48,57,32,53,46,49,55,54,51,55,101,45,48,57,32,53,46,51,
      48,51,56,51,101,45,48,57,32,53,46,52,50,56,56,54,101,45,48,57,32,53,46,53,50,
      51,57,50,101,45,48,57,32,53,46,54,50,49,51,55,101,45,48,57,32,53,46,55,50,49,
      49,55,101,45,48,57,10,32,32,53,46,56,50,51,51,49,101,45,48,57,32,53,46,56,57,
      54,54,54,101,45,48,57,32,53,46,57,53,53,51,55,101,45,48,57,32,54,46,48,49,55,
      50,53,101,45,48,57,32,54,46,48,56,50,49,55,101,45,48,57,32,54,46,49,52,49,56,
      56,101,45,48,57,32,54,46,49,53,54,56,56,101,45,48,57,10,32,32,54,46,49,55,54,
      57,101,45,48,57,32,54,46,50,48,49,53,57,101,45,48,57,32,54,46,50,51,48,57,51,
      101,45,48,57,32,54,46,50,50,54,53,55,101,45,48,57,32,54,46,50,48,56,52,55,101,
      45,48,57,32,54,46,49,57,55,51,101,45,48,57,32,54,46,49,57,50,51,54,101,45,48,
      57,10,32,32,54,46,49,56,52,52,52,101,45,48,57,32,54,46,49,51,55,48,57,101,45,
      48,57,32,54,46,48,57,56,53,53,101,45,48,57,32,54,46,48,54,55,56,57,101,45,48,
      57,32,54,46,48,52,52,51,53,101,45,48,57,32,53,46,57,57,53,56,56,101,45,48,57,
      32,53,46,57,52,48,53,50,101,45,48,57,10,32,32,53,46,56,57,52,48,53,101,45,48,
      57,32,53,46,56,53,53,53,50,101,45,48,57,32,53,46,56,49,55,53,56,101,45,48,57,
      32,53,46,55,53,53,52,50,101,45,48,57,32,53,46,55,48,50,50,57,101,45,48,57,32,
      53,46,54,53,55,50,49,101,45,48,57,32,53,46,54,49,57,52,51,101,45,48,57,10,32,
      32,53,46,53,54,56,54,53,101,45,48,57,32,53,46,53,49,54,51,56,101,45,48,57,32,
      53,46,52,55,49,54,56,101,45,48,57,32,53,46,52,51,51,56,101,45,48,57,32,53,46,
      51,57,56,51,57,101,45,48,57,32,53,46,51,53,50,54,101,45,48,57,32,53,46,51,49,
      51,52,52,101,45,48,57,10,32,32,53,46,50,56,48,50,54,101,45,48,57,32,53,46,50,
      53,50,53,53,101,45,48,57,32,53,46,50,50,49,52,51,101,45,48,57,32,53,46,49,57,
      49,55,51,101,45,48,57,32,53,46,49,54,55,48,49,101,45,48,57,32,53,46,49,52,54,
      56,51,101,45,48,57,32,53,46,49,50,57,56,101,45,48,57,10,32,32,53,46,49,49,50,
      52,55,101,45,48,57,32,53,46,48,57,57,48,51,101,45,48,57,32,53,46,48,56,57,49,
      53,101,45,48,57,32,53,46,48,56,50,53,56,101,45,48,57,32,53,46,48,55,57,54,56,
      101,45,48,57,32,53,46,48,55,57,56,53,101,45,48,57,32,53,46,48,56,50,54,55,101,
      45,48,57,10,32,32,53,46,48,56,55,57,55,101,45,48,57,32,53,46,48,57,54,57,49,
      101,45,48,57,32,53,46,49,49,51,48,50,101,45,48,57,32,53,46,49,51,48,57,57,101,
      45,48,57,32,53,46,49,53,55,53,57,101,45,48,57,32,53,46,50,53,52,50,49,101,45,
      48,57,32,53,46,52,54,54,53,101,45,48,57,10,32,32,54,46,48,49,56,54,51,101,45,
      48,57,32,54,46,56,56,55,52,52,101,45,48,57,32,56,46,49,49,50,52,50,101,45,48,
      57,32,57,46,55,57,50,55,54,101,45,48,57,32,49,46,49,57,53,52,56,101,45,48,56,
      32,49,46,52,54,49,52,50,101,45,48,56,32,49,46,55,54,56,48,55,101,45,48,56,10,
      32,32,50,46,49,48,51,50,50,101,45,48,56,32,50,46,52,52,56,51,55,101,45,48,56,
      32,50,46,56,48,48,49,54,101,45,48,56,32,51,46,49,54,50,54,49,101,45,48,56,32,
      51,46,54,51,48,51,53,101,45,48,56,32,52,46,49,56,48,57,57,101,45,48,56,32,53,
      46,49,52,48,48,50,101,45,48,56,10,32,32,54,46,53,53,52,53,52,101,45,48,56,32,
      56,46,54,56,54,53,101,45,48,56,32,49,46,50,57,51,50,52,101,45,48,55,32,49,46,
      57,55,55,49,53,101,45,48,55,32,50,46,57,55,52,50,101,45,48,55,32,52,46,52,48,
      51,48,54,101,45,48,55,32,53,46,53,54,53,48,49,101,45,48,55,10,32,32,54,46,49,
      53,51,48,55,101,45,48,55,32,54,46,48,56,49,56,53,101,45,48,55,32,53,46,57,49,
      56,56,55,101,45,48,55,32,53,46,56,55,55,56,54,101,45,48,55,32,54,46,48,53,57,
      50,51,101,45,48,55,32,54,46,53,53,57,52,53,101,45,48,55,32,55,46,53,53,48,51,
      49,101,45,48,55,10,32,32,57,46,51,54,53,50,54,101,45,48,55,32,49,46,50,57,50,
      51,56,101,45,48,54,32,49,46,56,55,48,50,52,101,45,48,54,32,50,46,55,57,54,49,
      54,101,45,48,54,32,51,46,57,52,52,51,49,101,45,48,54,32,52,46,51,51,48,55,50,
      101,45,48,54,32,52,46,49,53,50,52,57,101,45,48,54,10,32,32,51,46,56,48,52,51,
      54,101,45,48,54,32,51,46,53,49,50,51,101,45,48,54,32,51,46,52,49,54,57,49,101,
      45,48,54,32,51,46,53,49,51,54,53,101,45,48,54,32,51,46,56,51,56,50,56,101,45,
      48,54,32,52,46,51,56,51,54,49,101,45,48,54,32,53,46,50,49,54,55,56,101,45,48,
      54,10,32,32,54,46,53,51,54,57,55,101,45,48,54,32,56,46,54,54,55,52,49,101,45,
      48,54,32,49,46,48,56,57,53,55,101,45,48,53,32,49,46,51,51,56,53,54,101,45,48,
      53,32,49,46,53,55,57,54,101,45,48,53,32,49,46,56,56,50,54,50,101,45,48,53,32,
      50,46,51,52,52,52,54,101,45,48,53,10,32,32,50,46,55,55,48,48,57,101,45,48,53,
      32,51,46,49,49,51,54,54,101,45,48,53,32,51,46,51,54,51,57,55,101,45,48,53,32,
      51,46,55,50,48,50,51,101,45,48,53,32,52,46,49,49,53,57,54,101,45,48,53,32,52,
      46,52,56,57,55,50,101,45,48,53,32,52,46,55,53,57,54,49,101,45,48,53,10,32,32,
      52,46,57,57,55,54,49,101,45,48,53,32,53,46,50,57,51,50,52,101,45,48,53,32,53,
      46,55,54,57,51,51,101,45,48,53,32,54,46,51,54,52,55,54,101,45,48,53,32,54,46,
      56,57,53,56,51,101,45,48,53,32,56,46,48,56,55,55,52,101,45,48,53,32,57,46,53,
      52,49,56,51,101,45,48,53,10,32,32,46,48,48,48,49,49,52,52,48,57,32,46,48,48,
      48,49,52,49,57,48,52,32,46,48,48,48,49,54,56,53,55,55,32,46,48,48,48,49,57,
      49,50,50,51,32,46,48,48,48,50,48,54,55,53,55,32,46,48,48,48,50,49,57,53,55,
      51,32,46,48,48,48,50,51,49,55,49,52,32,46,48,48,48,50,52,53,53,55,55,10,32,
      32,46,48,48,48,50,53,54,48,50,32,46,48,48,48,50,54,55,56,50,54,32,46,48,48,
      48,50,57,51,53,57,49,32,46,48,48,48,51,49,53,53,52,57,32,46,48,48,48,51,54,
      50,57,51,57,32,46,48,48,48,52,51,48,52,49,49,32,46,48,48,48,52,55,56,51,52,
      54,32,46,48,48,48,53,51,48,52,54,52,10,32,32,46,48,48,48,54,49,56,49,48,50,
      32,46,48,48,48,55,49,56,52,53,32,46,48,48,48,55,55,50,49,57,55,32,46,48,48,
      48,56,53,48,57,51,52,32,46,48,48,48,56,57,50,48,57,50,32,46,48,48,48,57,52,
      55,57,55,54,32,46,48,48,48,57,49,53,52,51,54,32,46,48,48,48,57,57,53,49,10,
      32,32,46,48,48,49,48,50,56,51,54,32,46,48,48,49,48,57,50,54,57,32,46,48,48,
      49,49,54,52,48,51,32,46,48,48,49,50,50,51,52,52,32,46,48,48,49,50,56,50,54,
      51,32,46,48,48,49,51,51,55,54,54,32,46,48,48,49,51,57,49,51,53,32,46,48,48,
      49,52,53,48,49,56,10,32,32,46,48,48,49,53,48,49,55,49,32,46,48,48,49,53,53,
      55,53,53,32,46,48,48,49,53,57,55,57,54,32,46,48,48,49,54,54,50,53,32,46,48,
      48,49,55,48,49,49,51,32,46,48,48,49,55,52,56,48,53,32,46,48,48,49,56,53,50,
      53,50,32,46,48,48,49,57,56,52,49,49,32,46,48,48,50,48,57,55,57,56,10,32,32,
      46,48,48,50,50,49,56,56,49,32,46,48,48,50,51,49,53,55,50,32,46,48,48,50,52,
      48,49,50,50,32,46,48,48,50,52,52,55,57,32,46,48,48,50,52,56,51,54,51,32,46,
      48,48,50,52,56,48,50,50,32,46,48,48,50,52,51,56,56,55,32,46,48,48,50,51,55,
      56,54,49,32,46,48,48,50,50,56,48,49,57,10,32,32,46,48,48,50,49,56,50,49,56,
      32,46,48,48,50,48,55,54,56,51,32,46,48,48,49,57,53,49,50,56,32,46,48,48,49,
      56,50,51,53,32,46,48,48,49,55,49,50,49,56,32,46,48,48,49,54,48,50,55,53,32,
      46,48,48,49,52,57,54,50,56,32,46,48,48,49,51,55,57,50,51,32,46,48,48,49,50,
      53,52,52,10,32,32,46,48,48,49,49,50,53,32,46,48,48,49,48,49,55,50,32,46,48,
      48,48,57,48,55,49,52,52,32,46,48,48,48,56,49,54,54,51,57,32,46,48,48,48,55,
      51,51,56,57,56,32,46,48,48,48,54,53,48,54,50,32,46,48,48,48,53,55,48,55,56,
      53,32,46,48,48,48,53,49,53,51,49,50,10,32,32,46,48,48,48,52,53,55,51,49,54,
      32,46,48,48,48,52,49,49,51,57,55,32,46,48,48,48,51,54,55,49,48,55,32,46,48,
      48,48,51,50,55,51,51,56,32,46,48,48,48,50,57,49,54,56,49,32,46,48,48,48,50,
      53,57,55,52,55,32,46,48,48,48,50,51,49,49,56,32,46,48,48,48,50,48,53,54,52,
      53,10,32,32,46,48,48,48,49,56,50,56,52,51,32,46,48,48,48,49,54,50,53,48,51,
      32,46,48,48,48,49,52,52,51,55,32,46,48,48,48,49,50,56,50,49,53,32,46,48,48,
      48,49,49,51,56,51,49,32,46,48,48,48,49,48,49,48,51,51,32,56,46,57,54,52,55,
      50,101,45,48,53,32,55,46,57,53,50,53,52,101,45,48,53,10,32,32,55,46,48,53,50,
      57,54,101,45,48,53,32,54,46,50,53,51,57,101,45,48,53,32,53,46,53,52,52,50,55,
      101,45,48,53,32,52,46,57,49,52,50,52,101,45,48,53,32,52,46,51,53,53,49,55,101,
      45,48,53,32,51,46,56,53,57,49,50,101,45,48,53,32,51,46,52,49,56,57,53,101,45,
      48,53,10,32,32,51,46,48,50,56,53,51,101,45,48,53,32,50,46,54,56,50,51,52,101,
      45,48,53,32,50,46,51,55,53,53,50,101,45,48,53,32,50,46,49,48,51,53,52,101,45,
      48,53,32,49,46,56,54,50,53,51,101,45,48,53,32,49,46,54,52,56,57,57,101,45,48,
      53,32,49,46,52,53,57,56,50,101,45,48,53,10,32,32,49,46,50,57,50,50,53,101,45,
      48,53,32,49,46,49,52,51,56,53,101,45,48,53,32,49,46,48,49,50,51,57,101,45,48,
      53,32,56,46,57,53,57,57,53,101,45,48,54,32,56,46,49,52,55,53,51,101,45,48,54,
      32,55,46,52,48,56,53,52,101,45,48,54,32,54,46,55,51,54,52,101,45,48,54,10,32,
      32,54,46,49,50,53,48,57,101,45,48,54,32,53,46,53,54,57,51,53,101,45,48,54,32,
      53,46,48,48,50,49,55,101,45,48,54,32,52,46,51,54,54,48,54,101,45,48,54,32,51,
      46,56,49,48,55,49,101,45,48,54,32,51,46,51,50,53,56,56,101,45,48,54,32,50,46,
      57,48,50,54,50,101,45,48,54,10,32,32,50,46,53,51,51,49,52,101,45,48,54,32,50,
      46,50,49,48,54,50,101,45,48,54,32,49,46,57,50,57,49,50,101,45,48,54,32,49,46,
      54,56,51,52,52,101,45,48,54,32,49,46,52,54,56,57,57,101,45,48,54,32,49,46,50,
      56,49,54,57,101,45,48,54,32,49,46,49,49,56,50,54,101,45,48,54,10,32,32,57,46,
      55,53,54,53,52,101,45,48,55,32,56,46,53,49,50,50,55,101,45,48,55,32,55,46,52,
      50,54,54,49,101,45,48,55,32,54,46,52,55,57,51,57,101,45,48,55,32,53,46,54,53,
      50,57,51,101,45,48,55,32,52,46,57,51,49,56,56,101,45,48,55,32,52,46,51,48,50,
      55,55,101,45,48,55,10,32,32,51,46,55,53,51,57,49,101,45,48,55,32,51,46,50,55,
      53,48,53,101,45,48,55,32,50,46,56,53,55,48,49,101,45,48,55,32,50,46,52,57,50,
      56,101,45,48,55,32,50,46,49,55,52,56,50,101,45,48,55,32,49,46,56,57,55,52,101,
      45,48,55,32,49,46,54,53,53,51,55,101,45,48,55,10,32,32,49,46,52,52,52,50,50,
      101,45,48,55,32,49,46,50,54,48,48,49,101,45,48,55,32,49,46,48,57,57,50,57,101,
      45,48,55,32,57,46,53,57,48,48,54,101,45,48,56,32,56,46,51,54,54,51,51,101,45,
      48,56,32,55,46,50,57,56,55,56,101,45,48,56,32,54,46,51,54,55,53,101,45,48,56,
      10,32,32,53,46,53,53,53,48,57,101,45,48,56,32,52,46,56,52,54,51,56,101,45,48,
      56,32,52,46,50,50,56,49,49,101,45,48,56,32,51,46,54,56,56,55,52,101,45,48,56,
      32,50,46,56,48,55,55,50,101,45,48,56,32,50,46,49,51,55,49,54,101,45,48,56,32,
      49,46,54,50,54,56,52,101,45,48,56,10,32,32,49,46,50,51,56,52,51,101,45,48,56,
      32,57,46,52,50,55,57,53,101,45,48,57,32,55,46,49,55,55,54,53,101,45,48,57,32,
      53,46,52,54,52,54,55,101,45,48,57,32,52,46,49,54,48,54,57,101,45,48,57,32,51,
      46,49,54,56,48,49,101,45,48,57,32,50,46,52,49,50,48,52,101,45,48,57,10,32,32,
      49,46,56,51,54,48,56,101,45,48,57,32,49,46,51,57,55,55,50,101,45,48,57,32,49,
      46,48,54,52,48,56,101,45,48,57,32,56,46,49,48,49,49,52,101,45,49,48,32,54,46,
      49,54,55,57,53,101,45,49,48,32,52,46,54,57,54,51,49,101,45,49,48,32,51,46,53,
      55,53,57,55,101,45,49,48,10,32,32,50,46,55,50,51,48,50,101,45,49,48,32,50,46,
      48,55,51,54,50,101,45,49,48,32,49,46,53,55,57,49,54,101,45,49,48,32,49,46,50,
      48,50,54,55,101,45,49,48,32,57,46,49,53,57,55,51,101,45,49,49,32,54,46,57,55,
      54,53,54,101,45,49,49,32,53,46,51,49,51,57,56,101,45,49,49,10,32,32,52,46,48,
      52,55,55,57,101,45,49,49,32,51,46,48,56,51,52,52,101,45,49,49,32,50,46,51,52,
      56,57,51,101,45,49,49,32,49,46,55,56,57,52,54,101,45,49,49,32,49,46,51,54,51,
      51,52,101,45,49,49,32,52,46,52,48,57,54,53,101,45,50,48,32,49,46,51,53,56,52,
      54,101,45,49,55,10,32,32,54,46,56,56,54,55,51,101,45,49,55,32,56,46,52,52,54,
      53,49,101,45,49,55,32,49,46,51,53,55,50,50,101,45,49,53,32,54,46,56,55,57,50,
      51,101,45,49,53,32,50,46,49,55,50,56,53,101,45,49,52,32,53,46,50,57,53,57,54,
      101,45,49,52,32,49,46,48,57,54,54,56,101,45,49,51,10,32,32,50,46,48,50,55,53,
      57,101,45,49,51,32,51,46,52,53,53,49,51,101,45,49,51,32,53,46,53,50,55,51,52,
      101,45,49,51,32,56,46,51,57,48,57,53,101,45,49,51,32,49,46,50,50,52,48,50,101,
      45,49,50,32,49,46,55,50,55,55,50,101,45,49,50,32,50,46,51,55,50,48,51,101,45,
      49,50,10,32,32,51,46,49,55,52,56,52,101,45,49,50,32,52,46,49,53,55,48,49,101,
      45,49,50,32,53,46,51,52,56,53,101,45,49,50,32,54,46,55,55,55,49,50,101,45,49,
      50,32,56,46,52,55,48,54,55,101,45,49,50,32,49,46,48,55,50,56,52,101,45,49,49,
      32,49,46,51,49,52,52,55,101,45,49,49,10,32,32,49,46,53,56,49,54,54,101,45,49,
      49,32,49,46,56,56,54,51,51,101,45,49,49,32,50,46,50,50,52,54,56,101,45,49,49,
      32,50,46,53,57,55,53,57,101,45,49,49,32,51,46,48,49,51,50,50,101,45,49,49,32,
      51,46,52,55,52,49,57,101,45,49,49,32,51,46,57,56,50,51,57,101,45,49,49,10,32,
      32,52,46,53,49,52,52,101,45,49,49,32,53,46,48,57,52,49,51,101,45,49,49,32,53,
      46,55,50,51,56,52,101,45,49,49,32,54,46,52,48,53,57,54,101,45,49,49,32,55,46,
      49,49,57,49,53,101,45,49,49,32,55,46,56,54,51,57,53,101,45,49,49,32,56,46,54,
      54,48,51,52,101,45,49,49,10,32,32,57,46,53,49,48,52,50,101,45,49,49,32,49,46,
      48,52,49,51,52,101,45,49,48,32,49,46,49,51,49,53,49,101,45,49,48,32,49,46,50,
      50,54,56,55,101,45,49,48,32,49,46,51,50,55,53,57,101,45,49,48,32,49,46,52,51,
      51,56,51,101,45,49,48,32,49,46,53,52,50,101,45,49,48,10,32,32,49,46,54,53,50,
      53,51,101,45,49,48,32,49,46,55,54,56,52,51,101,45,49,48,32,49,46,56,56,57,55,
      57,101,45,49,48,32,50,46,48,49,54,52,49,101,45,49,48,32,50,46,49,52,50,55,101,
      45,49,48,32,50,46,50,55,52,52,49,101,45,49,48,32,50,46,52,49,49,55,101,45,49,
      48,10,32,32,50,46,53,53,52,54,54,101,45,49,48,32,50,46,55,48,48,55,57,101,45,
      49,48,32,50,46,56,53,48,53,56,101,45,49,48,32,51,46,48,48,54,49,51,101,45,49,
      48,32,51,46,49,54,55,53,56,101,45,49,48,32,51,46,51,51,52,57,50,101,45,49,48,
      32,51,46,53,48,54,55,56,101,45,49,48,10,32,32,51,46,54,56,52,55,55,101,45,49,
      48,32,51,46,56,54,57,48,53,101,45,49,48,32,52,46,48,53,57,55,101,45,49,48,32,
      52,46,50,53,56,49,53,101,45,49,48,32,52,46,52,54,52,50,54,101,45,49,48,32,52,
      46,54,55,55,50,52,101,45,49,48,32,52,46,56,57,55,50,50,101,45,49,48,10,32,32,
      53,46,49,50,52,56,51,101,45,49,48,32,53,46,51,54,53,54,56,101,45,49,48,32,53,
      46,54,49,52,50,52,101,45,49,48,32,53,46,56,55,48,54,56,101,45,49,48,32,54,46,
      49,51,53,49,50,101,45,49,48,32,54,46,52,49,51,54,53,101,45,49,48,32,54,46,55,
      48,53,48,56,101,45,49,48,10,32,32,55,46,48,48,53,53,51,101,45,49,48,32,55,46,
      51,49,53,49,50,101,45,49,48,32,55,46,54,51,53,49,56,101,45,49,48,32,55,46,57,
      55,53,53,56,101,45,49,48,32,56,46,51,50,54,51,53,101,45,49,48,32,56,46,54,56,
      55,54,55,101,45,49,48,32,57,46,48,53,57,55,50,101,45,49,48,10,32,32,57,46,52,
      52,56,51,52,101,45,49,48,32,57,46,56,53,50,50,52,101,45,49,48,32,49,46,48,50,
      54,56,101,45,48,57,32,49,46,48,54,57,54,49,101,45,48,57,32,49,46,49,49,51,54,
      50,101,45,48,57,32,49,46,49,53,56,56,54,101,45,48,57,32,49,46,50,48,53,52,49,
      101,45,48,57,10,32,32,49,46,50,53,51,50,52,101,45,48,57,32,49,46,51,48,50,51,
      53,101,45,48,57,32,49,46,51,53,49,53,54,101,45,48,57,32,49,46,52,48,49,51,49,
      101,45,48,57,32,49,46,52,53,50,51,57,101,45,48,57,32,49,46,53,48,52,55,51,101,
      45,48,57,32,49,46,53,53,55,55,51,101,45,48,57,10,32,32,49,46,54,48,55,51,55,
      101,45,48,57,32,49,46,54,53,56,49,49,101,45,48,57,32,49,46,55,48,57,57,53,101,
      45,48,57,32,49,46,55,54,50,57,49,101,45,48,57,32,49,46,56,49,49,48,49,101,45,
      48,57,32,49,46,56,53,54,52,54,101,45,48,57,32,49,46,57,48,50,56,51,101,45,48,
      57,10,32,32,49,46,57,53,48,49,52,101,45,48,57,32,49,46,57,57,54,52,55,101,45,
      48,57,32,50,46,48,51,49,48,57,101,45,48,57,32,50,46,48,54,54,54,50,101,45,48,
      57,32,50,46,49,48,51,48,52,101,45,48,57,32,50,46,49,52,48,51,53,101,45,48,57,
      32,50,46,49,54,54,52,49,101,45,48,57,10,32,32,50,46,49,56,54,55,54,101,45,48,
      57,32,50,46,50,48,56,51,50,101,45,48,57,32,50,46,50,51,49,48,53,101,45,48,57,
      32,50,46,50,53,49,55,52,101,45,48,57,32,50,46,50,53,53,48,53,101,45,48,57,32,
      50,46,50,54,48,51,49,101,45,48,57,32,50,46,50,54,55,52,49,101,45,48,57,10,32,
      32,50,46,50,55,54,52,50,101,45,48,57,32,50,46,50,55,50,52,50,101,45,48,57,32,
      50,46,50,54,51,49,53,101,45,48,57,32,50,46,50,53,54,54,53,101,45,48,57,32,50,
      46,50,53,50,54,50,101,45,48,57,32,50,46,50,52,55,52,56,101,45,48,57,32,50,46,
      50,50,55,51,52,101,45,48,57,10,32,32,50,46,50,49,48,54,56,101,45,48,57,32,50,
      46,49,57,55,49,49,101,45,48,57,32,50,46,49,56,54,51,52,101,45,48,57,32,50,46,
      49,54,54,49,56,101,45,48,57,32,50,46,49,52,51,53,50,101,45,48,57,32,50,46,49,
      50,52,51,51,101,45,48,57,32,50,46,49,48,56,50,50,101,45,48,57,10,32,32,50,46,
      48,57,50,52,51,101,45,48,57,32,50,46,48,54,55,54,49,101,45,48,57,32,50,46,48,
      52,54,50,57,101,45,48,57,32,50,46,48,50,56,48,55,101,45,48,57,32,50,46,48,49,
      50,54,53,101,45,48,57,32,49,46,57,57,50,52,54,101,45,48,57,32,49,46,57,55,49,
      56,101,45,48,57,10,32,32,49,46,57,53,52,48,51,101,45,48,57,32,49,46,57,51,56,
      56,53,101,45,48,57,32,49,46,57,50,52,54,53,101,45,48,57,32,49,46,57,48,54,54,
      55,101,45,48,57,32,49,46,56,57,49,50,101,45,48,57,32,49,46,56,55,55,57,56,101,
      45,48,57,32,49,46,56,54,54,56,51,101,45,48,57,10,32,32,49,46,56,53,52,52,55,
      101,45,48,57,32,49,46,56,52,50,54,55,101,45,48,57,32,49,46,56,51,50,55,52,101,
      45,48,57,32,49,46,56,50,52,53,101,45,48,57,32,49,46,56,49,55,52,53,101,45,48,
      57,32,49,46,56,49,48,51,50,101,45,48,57,32,49,46,56,48,52,54,51,101,45,48,57,
      10,32,32,49,46,56,48,48,50,54,101,45,48,57,32,49,46,55,57,55,49,50,101,45,48,
      57,32,49,46,55,57,53,51,51,101,45,48,57,32,49,46,55,57,52,54,56,101,45,48,57,
      32,49,46,55,57,53,101,45,48,57,32,49,46,55,57,54,50,52,101,45,48,57,32,49,46,
      55,57,56,56,101,45,48,57,10,32,32,49,46,56,48,51,57,56,101,45,48,57,32,49,46,
      56,48,57,56,52,101,45,48,57,32,49,46,56,49,56,54,49,101,45,48,57,32,49,46,56,
      53,49,54,51,101,45,48,57,32,49,46,57,50,53,53,55,101,45,48,57,32,50,46,49,50,
      48,53,57,101,45,48,57,32,50,46,52,51,48,52,50,101,45,48,57,10,32,32,50,46,56,
      55,48,51,50,101,45,48,57,32,51,46,52,55,56,51,56,101,45,48,57,32,52,46,50,54,
      55,51,50,101,45,48,57,32,53,46,50,52,54,55,55,101,45,48,57,32,54,46,51,56,54,
      57,52,101,45,48,57,32,55,46,54,52,52,51,51,101,45,48,57,32,56,46,57,52,57,50,
      49,101,45,48,57,10,32,32,49,46,48,50,56,56,49,101,45,48,56,32,49,46,49,54,55,
      54,50,101,45,48,56,32,49,46,51,52,56,48,56,101,45,48,56,32,49,46,53,54,50,56,
      49,101,45,48,56,32,49,46,57,52,51,49,51,101,45,48,56,32,50,46,53,49,56,51,56,
      101,45,48,56,32,51,46,52,49,52,101,45,48,56,10,32,32,53,46,50,56,52,53,55,101,
      45,48,56,32,56,46,52,56,57,57,101,45,48,56,32,49,46,51,52,55,50,49,101,45,48,
      55,32,50,46,49,48,50,53,51,101,45,48,55,32,50,46,55,51,51,56,53,101,45,48,55,
      32,51,46,48,51,52,52,55,101,45,48,55,32,50,46,57,53,56,53,50,101,45,48,55,10,
      32,32,50,46,56,51,53,49,50,101,45,48,55,32,50,46,55,56,48,48,57,101,45,48,55,
      32,50,46,56,52,54,50,101,45,48,55,32,51,46,48,56,51,55,55,101,45,48,55,32,51,
      46,53,56,56,48,50,101,45,48,55,32,52,46,53,53,52,49,54,101,45,48,55,32,54,46,
      53,52,48,50,57,101,45,48,55,10,32,32,57,46,57,51,57,52,101,45,48,55,32,49,46,
      53,55,49,53,51,101,45,48,54,32,50,46,51,50,55,54,52,101,45,48,54,32,50,46,53,
      53,55,55,55,101,45,48,54,32,50,46,52,48,48,51,54,101,45,48,54,32,50,46,49,51,
      51,55,53,101,45,48,54,32,49,46,57,49,52,52,49,101,45,48,54,10,32,32,49,46,56,
      50,56,48,49,101,45,48,54,32,49,46,56,54,51,49,50,101,45,48,54,32,50,46,48,51,
      55,52,51,101,45,48,54,32,50,46,51,53,48,49,51,101,45,48,54,32,50,46,56,52,53,
      52,53,101,45,48,54,32,51,46,54,53,54,53,52,101,45,48,54,32,53,46,48,49,53,52,
      53,101,45,48,54,10,32,32,54,46,52,57,48,55,52,101,45,48,54,32,56,46,50,48,49,
      53,53,101,45,48,54,32,57,46,57,51,54,52,57,101,45,48,54,32,49,46,50,50,51,53,
      56,101,45,48,53,32,49,46,53,57,53,54,50,101,45,48,53,32,49,46,57,52,56,57,52,
      101,45,48,53,32,50,46,50,50,55,51,101,45,48,53,10,32,32,50,46,52,50,49,54,57,
      101,45,48,53,32,50,46,54,57,56,48,55,101,45,48,53,32,51,46,48,48,57,52,101,
      45,48,53,32,51,46,50,57,55,52,54,101,45,48,53,32,51,46,52,57,50,48,53,101,45,
      48,53,32,51,46,54,53,51,57,53,101,45,48,53,32,51,46,56,55,48,48,57,101,45,48,
      53,10,32,32,52,46,50,52,54,54,50,101,45,48,53,32,52,46,55,51,49,57,50,101,45,
      48,53,32,53,46,49,54,51,49,101,45,48,53,32,54,46,49,48,56,53,51,101,45,48,53,
      32,55,46,50,50,52,54,57,101,45,48,53,32,56,46,54,52,55,49,50,101,45,48,53,32,
      46,48,48,48,49,48,54,55,55,56,10,32,32,46,48,48,48,49,50,54,52,53,50,32,46,
      48,48,48,49,52,51,50,51,53,32,46,48,48,48,49,53,52,55,57,53,32,46,48,48,48,
      49,54,52,51,54,51,32,46,48,48,48,49,55,51,52,50,56,32,46,48,48,48,49,56,51,
      55,55,54,32,46,48,48,48,49,57,49,53,54,56,32,46,48,48,48,50,48,48,51,54,56,
      10,32,32,46,48,48,48,50,49,57,53,56,50,32,46,48,48,48,50,51,53,57,56,55,32,
      46,48,48,48,50,55,49,53,56,32,46,48,48,48,51,50,50,55,56,52,32,46,48,48,48,
      51,53,57,53,56,49,32,46,48,48,48,51,57,57,57,51,57,32,46,48,48,48,52,54,56,
      55,48,55,32,46,48,48,48,53,52,56,55,55,53,10,32,32,46,48,48,48,53,57,50,49,
      50,53,32,46,48,48,48,54,53,54,48,49,49,32,46,48,48,48,54,56,57,53,51,32,46,
      48,48,48,55,51,52,56,50,54,32,46,48,48,48,55,48,53,52,56,49,32,46,48,48,48,
      55,55,48,51,55,56,32,46,48,48,48,55,57,55,54,52,50,32,46,48,48,48,56,53,48,
      54,52,53,10,32,32,46,48,48,48,57,48,57,56,55,32,46,48,48,48,57,53,57,53,52,
      50,32,46,48,48,49,48,48,57,51,53,32,46,48,48,49,48,53,53,57,51,32,46,48,48,
      49,49,48,49,54,54,32,46,48,48,49,49,53,50,48,54,32,46,48,48,49,49,57,54,52,
      56,32,46,48,48,49,50,52,52,57,52,10,32,32,46,48,48,49,50,56,48,49,53,32,46,
      48,48,49,51,51,54,55,51,32,46,48,48,49,51,55,48,56,52,32,46,48,48,49,52,49,
      50,52,57,32,46,48,48,49,53,48,54,49,53,32,46,48,48,49,54,50,54,49,49,32,46,
      48,48,49,55,51,50,49,53,32,46,48,48,49,56,52,56,32,46,48,48,49,57,52,52,50,
      52,10,32,32,46,48,48,50,48,51,52,48,49,32,46,48,48,50,48,56,55,55,53,32,46,
      48,48,50,49,52,50,55,57,32,46,48,48,50,49,54,53,54,52,32,46,48,48,50,49,52,
      48,53,54,32,46,48,48,50,48,57,56,55,52,32,46,48,48,50,48,50,53,49,49,32,46,
      48,48,49,57,52,55,56,56,10,32,32,46,48,48,49,56,54,50,51,57,32,46,48,48,49,
      55,53,56,50,50,32,46,48,48,49,54,53,48,51,51,32,46,48,48,49,53,53,53,32,46,
      48,48,49,52,54,48,50,56,32,46,48,48,49,51,54,55,51,55,32,46,48,48,49,50,54,
      52,51,57,32,46,48,48,49,49,53,51,55,32,46,48,48,49,48,51,56,49,49,10,32,32,
      46,48,48,48,57,52,49,50,50,56,32,46,48,48,48,56,52,49,55,53,54,32,46,48,48,
      48,55,53,57,53,51,55,32,46,48,48,48,54,56,52,48,56,32,46,48,48,48,54,48,55,
      56,50,56,32,46,48,48,48,53,51,52,52,50,49,32,46,48,48,48,52,56,51,50,53,50,
      32,46,48,48,48,52,50,57,54,49,53,10,32,32,46,48,48,48,51,56,55,48,52,49,32,
      46,48,48,48,51,52,53,56,55,53,32,46,48,48,48,51,48,56,56,50,57,32,46,48,48,
      48,50,55,53,53,52,51,32,46,48,48,48,50,52,53,54,55,55,32,46,48,48,48,50,49,
      56,57,49,49,32,46,48,48,48,49,57,52,57,53,52,32,46,48,48,48,49,55,51,53,50,
      56,10,32,32,46,48,48,48,49,53,52,51,56,51,32,46,48,48,48,49,51,55,50,56,55,
      32,46,48,48,48,49,50,50,48,51,51,32,46,48,48,48,49,48,56,52,51,54,32,57,46,
      54,51,50,50,54,101,45,48,53,32,56,46,53,53,51,54,50,101,45,48,53,32,55,46,53,
      57,51,54,54,101,45,48,53,10,32,32,54,46,55,51,57,55,50,101,45,48,53,32,53,46,
      57,56,48,51,53,101,45,48,53,32,53,46,51,48,53,51,49,101,45,48,53,32,52,46,55,
      48,53,52,54,101,45,48,53,32,52,46,49,55,50,55,101,45,48,53,32,51,46,54,57,57,
      53,57,101,45,48,53,32,51,46,50,55,57,54,101,45,48,53,10,32,32,50,46,57,48,54,
      56,55,101,45,48,53,32,50,46,53,55,54,49,53,101,45,48,53,32,50,46,50,56,50,56,
      49,101,45,48,53,32,50,46,48,50,50,52,55,101,45,48,53,32,49,46,55,57,49,54,50,
      101,45,48,53,32,49,46,53,56,54,57,54,101,45,48,53,32,49,46,52,48,53,53,51,101,
      45,48,53,10,32,32,49,46,50,52,52,55,52,101,45,48,53,32,49,46,49,48,50,50,53,
      101,45,48,53,32,57,46,55,53,57,54,51,101,45,48,54,32,56,46,54,52,49,48,57,101,
      45,48,54,32,55,46,56,54,48,49,55,101,45,48,54,32,55,46,49,52,57,53,56,101,45,
      48,54,32,54,46,53,48,51,48,49,101,45,48,54,10,32,32,53,46,57,49,52,55,50,101,
      45,48,54,32,53,46,51,55,57,54,56,101,45,48,54,32,52,46,56,51,51,50,56,101,45,
      48,54,32,52,46,50,50,48,49,57,101,45,48,54,32,51,46,54,56,52,54,55,101,45,48,
      54,32,51,46,50,49,54,57,54,101,45,48,54,32,50,46,56,48,56,53,101,45,48,54,10,
      32,32,50,46,52,53,49,56,49,101,45,48,54,32,50,46,49,52,48,51,51,101,45,48,54,
      32,49,46,56,54,56,51,55,101,45,48,54,32,49,46,54,51,48,57,50,101,45,48,54,32,
      49,46,52,50,51,54,101,45,48,54,32,49,46,50,52,50,54,101,45,48,54,32,49,46,48,
      56,52,53,57,101,45,48,54,10,32,32,57,46,52,54,54,52,52,101,45,48,55,32,56,46,
      50,54,50,50,56,101,45,48,55,32,55,46,50,49,49,48,55,101,45,48,55,32,54,46,50,
      57,50,56,49,101,45,48,55,32,53,46,52,57,49,52,51,101,45,48,55,32,52,46,55,57,
      50,48,54,101,45,48,55,32,52,46,49,56,49,55,50,101,45,48,55,10,32,32,51,46,54,
      52,57,48,57,101,45,48,55,32,51,46,49,56,52,50,56,101,45,48,55,32,50,46,55,55,
      56,52,101,45,48,55,32,50,46,52,50,52,55,101,45,48,55,32,50,46,49,49,53,56,50,
      101,45,48,55,32,49,46,56,52,54,50,56,101,45,48,55,32,49,46,54,49,49,48,56,101,
      45,48,55,10,32,32,49,46,52,48,53,56,51,101,45,48,55,32,49,46,50,50,54,55,52,
      101,45,48,55,32,49,46,48,55,48,52,54,101,45,48,55,32,57,46,51,52,48,56,54,101,
      45,48,56,32,56,46,49,53,48,56,57,101,45,48,56,32,55,46,49,49,50,53,52,101,45,
      48,56,32,54,46,50,48,54,52,57,101,45,48,56,10,32,32,53,46,52,49,53,56,56,101,
      45,48,56,32,52,46,55,50,54,101,45,48,56,32,52,46,49,50,51,55,54,101,45,48,56,
      32,51,46,53,57,56,50,52,101,45,48,56,32,50,46,55,51,57,54,50,101,45,48,56,32,
      50,46,48,56,53,56,57,101,45,48,56,32,49,46,53,56,56,50,51,101,45,48,56,10,32,
      32,49,46,50,48,57,51,52,101,45,48,56,32,57,46,50,48,56,54,55,101,45,48,57,32,
      55,46,48,49,50,50,57,101,45,48,57,32,53,46,51,51,57,57,51,101,45,48,57,32,52,
      46,48,54,54,53,56,101,45,48,57,32,51,46,48,57,54,57,56,101,45,48,57,32,50,46,
      51,53,56,54,54,101,45,48,57,10,32,32,49,46,55,57,54,52,50,101,45,48,57,32,49,
      46,51,54,56,50,54,101,45,48,57,32,49,46,48,52,50,49,56,101,45,48,57,32,55,46,
      57,51,56,48,54,101,45,49,48,32,54,46,48,52,52,55,56,101,45,49,48,32,52,46,54,
      48,51,50,51,101,45,49,48,32,51,46,53,48,53,54,101,45,49,48,10,32,32,50,46,54,
      54,57,56,51,101,45,49,48,32,50,46,48,51,51,52,101,45,49,48,32,49,46,53,52,56,
      55,53,101,45,49,48,32,49,46,49,55,57,54,54,101,45,49,48,32,56,46,57,56,53,54,
      57,101,45,49,49,32,54,46,56,52,52,56,54,101,45,49,49,32,53,46,50,49,52,51,101,
      45,49,49,10,32,32,51,46,57,55,50,51,51,101,45,49,49,32,51,46,48,50,54,51,101,
      45,49,49,32,50,46,51,48,53,54,55,101,45,49,49,32,49,46,55,53,54,55,101,45,49,
      49,32,49,46,51,51,56,53,51,101,45,49,49,32,50,46,49,50,54,51,52,101,45,50,48,
      32,55,46,50,51,48,53,56,101,45,49,56,10,32,32,51,46,54,54,53,52,57,101,45,49,
      55,32,52,46,52,57,53,54,57,101,45,49,55,32,55,46,50,50,51,48,56,101,45,49,54,
      32,51,46,54,54,48,51,52,101,45,49,53,32,49,46,49,53,53,55,54,101,45,49,52,32,
      50,46,56,49,53,55,53,101,45,49,52,32,53,46,56,50,55,55,54,101,45,49,52,10,32,
      32,49,46,48,55,54,56,50,101,45,49,51,32,49,46,56,51,52,48,56,101,45,49,51,32,
      50,46,57,51,49,57,49,101,45,49,51,32,52,46,52,52,55,50,57,101,45,49,51,32,54,
      46,52,56,49,55,51,101,45,49,51,32,57,46,49,52,48,50,50,101,45,49,51,32,49,46,
      50,53,51,53,54,101,45,49,50,10,32,32,49,46,54,55,53,56,54,101,45,49,50,32,50,
      46,49,57,49,52,54,101,45,49,50,32,50,46,56,49,53,52,54,101,45,49,50,32,51,46,
      53,54,49,55,49,101,45,49,50,32,52,46,52,52,51,57,52,101,45,49,50,32,53,46,52,
      53,49,56,53,101,45,49,50,32,54,46,54,49,54,51,57,101,45,49,50,10,32,32,55,46,
      57,53,50,51,55,101,45,49,50,32,57,46,52,55,52,54,49,101,45,49,50,32,49,46,49,
      49,54,52,50,101,45,49,49,32,49,46,51,48,51,48,50,101,45,49,49,32,49,46,53,50,
      51,57,57,101,45,49,49,32,49,46,55,55,57,57,52,101,45,49,49,32,50,46,48,51,56,
      50,49,101,45,49,49,10,32,32,50,46,51,48,56,51,101,45,49,49,32,50,46,54,48,50,
      49,56,101,45,49,49,32,50,46,57,50,48,57,51,101,45,49,49,32,51,46,50,54,53,55,
      101,45,49,49,32,51,46,54,50,53,56,51,101,45,49,49,32,52,46,48,48,49,54,101,
      45,49,49,32,52,46,52,48,50,57,51,101,45,49,49,10,32,32,52,46,56,51,48,56,51,
      101,45,49,49,32,53,46,50,56,52,56,56,101,45,49,49,32,53,46,55,51,56,50,53,101,
      45,49,49,32,54,46,50,49,55,50,57,101,45,49,49,32,54,46,55,50,50,55,56,101,45,
      49,49,32,55,46,50,53,53,52,53,101,45,49,49,32,55,46,55,57,55,55,101,45,49,49,
      10,32,32,56,46,51,53,49,54,51,101,45,49,49,32,56,46,57,51,50,48,50,101,45,49,
      49,32,57,46,53,51,57,51,49,101,45,49,49,32,49,46,48,49,55,50,53,101,45,49,48,
      32,49,46,48,56,48,52,50,101,45,49,48,32,49,46,49,52,54,50,53,101,45,49,48,32,
      49,46,50,49,52,56,51,101,45,49,48,10,32,32,49,46,50,56,54,50,101,45,49,48,32,
      49,46,51,53,57,49,51,101,45,49,48,32,49,46,52,51,51,56,54,101,45,49,48,32,49,
      46,53,49,49,52,50,101,45,49,48,32,49,46,53,57,49,56,56,101,45,49,48,32,49,46,
      54,55,53,50,50,101,45,49,48,32,49,46,55,54,48,55,56,101,45,49,48,10,32,32,49,
      46,56,52,57,51,51,101,45,49,48,32,49,46,57,52,48,57,55,101,45,49,48,32,50,46,
      48,51,53,55,50,101,45,49,48,32,50,46,49,51,52,50,56,101,45,49,48,32,50,46,50,
      51,54,53,54,101,45,49,48,32,50,46,51,52,50,50,101,45,49,48,32,50,46,52,53,49,
      50,52,101,45,49,48,10,32,32,50,46,53,54,51,57,57,101,45,49,48,32,50,46,54,56,
      51,49,54,101,45,49,48,32,50,46,56,48,54,48,55,101,45,49,48,32,50,46,57,51,50,
      56,101,45,49,48,32,51,46,48,54,51,52,49,101,45,49,48,32,51,46,50,48,48,56,51,
      101,45,49,48,32,51,46,51,52,52,52,54,101,45,49,48,10,32,32,51,46,52,57,50,52,
      52,101,45,49,48,32,51,46,54,52,52,56,51,101,45,49,48,32,51,46,56,48,50,50,55,
      101,45,49,48,32,51,46,57,54,57,52,55,101,45,49,48,32,52,46,49,52,49,54,53,101,
      45,49,48,32,52,46,51,49,56,56,56,101,45,49,48,32,52,46,53,48,49,50,54,101,45,
      49,48,10,32,32,52,46,54,57,49,53,55,101,45,49,48,32,52,46,56,56,57,49,56,101,
      45,49,48,32,53,46,48,57,50,52,55,101,45,49,48,32,53,46,51,48,49,53,56,101,45,
      49,48,32,53,46,53,49,54,52,56,101,45,49,48,32,53,46,55,51,55,50,49,101,45,49,
      48,32,53,46,57,54,52,49,55,101,45,49,48,10,32,32,54,46,49,57,55,50,50,101,45,
      49,48,32,54,46,52,51,54,51,53,101,45,49,48,32,54,46,54,55,54,48,51,101,45,49,
      48,32,54,46,57,49,56,50,50,101,45,49,48,32,55,46,49,54,54,55,49,101,45,49,48,
      32,55,46,52,50,49,49,54,101,45,49,48,32,55,46,54,55,56,55,57,101,45,49,48,10,
      32,32,55,46,57,50,48,53,55,101,45,49,48,32,56,46,49,54,55,53,57,101,45,49,48,
      32,56,46,52,49,57,56,54,101,45,49,48,32,56,46,54,55,55,52,56,101,45,49,48,32,
      56,46,57,49,50,49,57,101,45,49,48,32,57,46,49,51,52,52,52,101,45,49,48,32,57,
      46,51,54,49,49,54,101,45,49,48,10,32,32,57,46,53,57,50,51,51,101,45,49,48,32,
      57,46,56,49,57,48,49,101,45,49,48,32,57,46,57,57,48,52,51,101,45,49,48,32,49,
      46,48,49,54,54,50,101,45,48,57,32,49,46,48,51,52,54,51,101,45,48,57,32,49,46,
      48,53,51,48,55,101,45,48,57,32,49,46,48,54,54,50,101,45,48,57,10,32,32,49,46,
      48,55,54,54,51,101,45,48,57,32,49,46,48,56,55,54,52,101,45,48,57,32,49,46,48,
      57,57,50,49,101,45,48,57,32,49,46,49,48,57,56,50,101,45,48,57,32,49,46,49,49,
      50,50,101,45,48,57,32,49,46,49,49,53,53,49,101,45,48,57,32,49,46,49,49,57,54,
      56,101,45,48,57,10,32,32,49,46,49,50,52,55,52,101,45,48,57,32,49,46,49,50,51,
      54,50,101,45,48,57,32,49,46,49,49,57,57,56,101,45,48,57,32,49,46,49,49,55,54,
      52,101,45,48,57,32,49,46,49,49,54,52,54,101,45,48,57,32,49,46,49,49,52,55,51,
      101,45,48,57,32,49,46,49,48,53,56,51,101,45,48,57,10,32,32,49,46,48,57,56,53,
      54,101,45,48,57,32,49,46,48,57,50,55,52,101,45,48,57,32,49,46,48,56,56,50,51,
      101,45,48,57,32,49,46,48,55,57,50,49,101,45,48,57,32,49,46,48,54,56,57,53,101,
      45,48,57,32,49,46,48,54,48,51,51,101,45,48,57,32,49,46,48,53,51,49,54,101,45,
      48,57,10,32,32,49,46,48,52,54,49,50,101,45,48,57,32,49,46,48,51,52,55,101,45,
      48,57,32,49,46,48,50,52,57,51,101,45,48,57,32,49,46,48,49,54,54,52,101,45,48,
      57,32,49,46,48,48,57,54,56,101,45,48,57,32,49,46,48,48,48,51,56,101,45,48,57,
      32,57,46,57,48,56,50,49,101,45,49,48,10,32,32,57,46,56,50,54,52,52,101,45,49,
      48,32,57,46,55,53,55,49,49,101,45,49,48,32,57,46,54,57,50,50,57,101,45,49,48,
      32,57,46,54,48,56,56,52,101,45,49,48,32,57,46,53,51,55,52,52,101,45,49,48,32,
      57,46,52,55,54,56,56,101,45,49,48,32,57,46,52,50,54,50,53,101,45,49,48,10,32,
      32,57,46,51,54,57,53,53,101,45,49,48,32,57,46,51,49,53,52,51,101,45,49,48,32,
      57,46,50,55,48,51,52,101,45,49,48,32,57,46,50,51,51,52,55,101,45,49,48,32,57,
      46,50,48,50,51,101,45,49,48,32,57,46,49,55,48,54,52,101,45,49,48,32,57,46,49,
      52,53,57,56,101,45,49,48,10,32,32,57,46,49,50,55,55,55,101,45,49,48,32,57,46,
      49,49,53,53,51,101,45,49,48,32,57,46,49,48,57,57,101,45,49,48,32,57,46,49,48,
      57,56,52,101,45,49,48,32,57,46,49,49,52,53,50,101,45,49,48,32,57,46,49,50,51,
      54,56,101,45,49,48,32,57,46,49,51,57,52,101,45,49,48,10,32,32,57,46,49,54,56,
      48,52,101,45,49,48,32,57,46,50,101,45,49,48,32,57,46,50,52,55,51,57,101,45,
      49,48,32,57,46,52,50,48,49,49,101,45,49,48,32,57,46,56,48,48,50,54,101,45,49,
      48,32,49,46,48,55,57,48,52,101,45,48,57,32,49,46,50,51,52,57,57,101,45,48,57,
      10,32,32,49,46,52,53,53,48,54,101,45,48,57,32,49,46,55,53,55,50,55,101,45,48,
      57,32,50,46,49,52,54,55,56,101,45,48,57,32,50,46,54,50,54,57,57,101,45,48,57,
      32,51,46,49,56,50,51,101,45,48,57,32,51,46,55,57,49,49,53,101,45,48,57,32,52,
      46,52,50,48,49,50,101,45,48,57,10,32,32,53,46,48,54,51,49,51,101,45,48,57,32,
      53,46,55,50,55,53,55,101,45,48,57,32,54,46,53,56,56,48,54,101,45,48,57,32,55,
      46,54,48,54,51,54,101,45,48,57,32,57,46,51,57,53,57,57,101,45,48,57,32,49,46,
      50,48,55,54,53,101,45,48,56,32,49,46,54,50,49,50,52,101,45,48,56,10,32,32,50,
      46,52,56,48,49,50,101,45,48,56,32,51,46,57,53,57,50,52,101,45,48,56,32,54,46,
      51,48,55,55,57,101,45,48,56,32,57,46,57,57,51,52,54,101,45,48,56,32,49,46,51,
      49,54,50,53,101,45,48,55,32,49,46,52,54,51,56,51,101,45,48,55,32,49,46,52,49,
      55,53,52,101,45,48,55,10,32,32,49,46,51,52,57,50,52,101,45,48,55,32,49,46,51,
      49,54,55,57,101,45,48,55,32,49,46,51,52,52,56,54,101,45,48,55,32,49,46,52,53,
      55,52,57,101,45,48,55,32,49,46,55,48,50,52,49,101,45,48,55,32,50,46,49,56,49,
      55,49,101,45,48,55,32,51,46,50,48,51,48,51,101,45,48,55,10,32,32,53,46,48,52,
      51,48,50,101,45,48,55,32,56,46,51,55,55,51,50,101,45,48,55,32,49,46,51,48,48,
      54,53,101,45,48,54,32,49,46,52,51,48,52,101,45,48,54,32,49,46,51,49,52,52,55,
      101,45,48,54,32,49,46,49,51,53,50,50,101,45,48,54,32,57,46,57,50,51,51,57,101,
      45,48,55,10,32,32,57,46,51,50,52,57,54,101,45,48,55,32,57,46,52,51,53,57,53,
      101,45,48,55,32,49,46,48,51,50,55,54,101,45,48,54,32,49,46,50,48,48,57,57,101,
      45,48,54,32,49,46,52,55,53,56,54,101,45,48,54,32,49,46,57,52,48,53,53,101,45,
      48,54,32,50,46,55,52,57,51,49,101,45,48,54,10,32,32,51,46,54,54,48,55,51,101,
      45,48,54,32,52,46,55,53,53,53,55,101,45,48,54,32,53,46,57,49,51,54,53,101,45,
      48,54,32,55,46,53,50,51,101,45,48,54,32,49,46,48,50,56,49,55,101,45,48,53,32,
      49,46,51,48,48,56,101,45,48,53,32,49,46,53,49,52,48,53,101,45,48,53,10,32,32,
      49,46,54,53,56,49,57,101,45,48,53,32,49,46,56,54,51,50,101,45,48,53,32,50,46,
      48,57,56,52,51,101,45,48,53,32,50,46,51,49,49,56,55,101,45,48,53,32,50,46,52,
      52,53,49,49,101,45,48,53,32,50,46,53,52,55,56,101,45,48,53,32,50,46,54,57,56,
      53,49,101,45,48,53,10,32,32,50,46,57,56,53,54,50,101,45,48,53,32,51,46,51,55,
      48,48,49,101,45,48,53,32,51,46,55,49,51,55,51,101,45,48,53,32,52,46,52,53,56,
      48,49,101,45,48,53,32,53,46,51,49,52,49,50,101,45,48,53,32,54,46,51,55,56,49,
      54,101,45,48,53,32,55,46,56,54,54,57,53,101,45,48,53,10,32,32,57,46,50,57,55,
      55,49,101,45,48,53,32,46,48,48,48,49,48,53,49,57,53,32,46,48,48,48,49,49,51,
      54,51,55,32,46,48,48,48,49,50,48,54,52,49,32,46,48,48,48,49,50,55,50,55,55,
      32,46,48,48,48,49,51,52,56,53,32,46,48,48,48,49,52,48,53,53,49,32,46,48,48,
      48,49,52,54,57,56,50,10,32,32,46,48,48,48,49,54,49,48,49,56,32,46,48,48,48,
      49,55,51,48,49,32,46,48,48,48,49,57,57,49,50,49,32,46,48,48,48,50,51,55,48,
      49,56,32,46,48,48,48,50,54,52,53,49,53,32,46,48,48,48,50,57,52,57,55,32,46,
      48,48,48,51,52,55,52,55,55,32,46,48,48,48,52,48,57,53,51,53,10,32,32,46,48,
      48,48,52,52,51,54,49,54,32,46,48,48,48,52,57,52,49,54,49,32,46,48,48,48,53,
      50,48,55,53,51,32,46,48,48,48,53,53,54,53,52,52,32,46,48,48,48,53,51,49,50,
      51,51,32,46,48,48,48,53,56,50,55,51,54,32,46,48,48,48,54,48,52,53,48,50,32,
      46,48,48,48,54,52,55,48,52,50,10,32,32,46,48,48,48,54,57,52,57,51,49,32,46,
      48,48,48,55,51,53,51,56,50,32,46,48,48,48,55,55,54,50,48,52,32,46,48,48,48,
      56,49,52,54,51,32,46,48,48,48,56,53,50,53,56,57,32,46,48,48,48,56,57,52,54,
      57,57,32,46,48,48,48,57,51,50,48,49,57,32,46,48,48,48,57,55,50,57,55,54,10,
      32,32,46,48,48,49,48,48,50,57,51,32,46,48,48,49,48,53,49,51,53,32,46,48,48,
      49,48,56,48,55,50,32,46,48,48,49,49,49,54,56,49,32,46,48,48,49,49,57,56,54,
      52,32,46,48,48,49,51,48,53,51,55,32,46,48,48,49,52,48,49,54,49,32,46,48,48,
      49,53,48,57,51,49,10,32,32,46,48,48,49,54,48,49,56,55,32,46,48,48,49,54,57,
      50,49,56,32,46,48,48,49,55,52,57,56,52,32,46,48,48,49,56,49,56,49,55,32,46,
      48,48,49,56,54,50,48,49,32,46,48,48,49,56,53,49,50,57,32,46,48,48,49,56,50,
      53,57,57,32,46,48,48,49,55,55,52,52,52,10,32,32,46,48,48,49,55,49,54,53,51,
      32,46,48,48,49,54,52,57,55,56,32,46,48,48,49,53,54,53,55,55,32,46,48,48,49,
      52,55,54,56,50,32,46,48,48,49,51,57,54,57,53,32,46,48,48,49,51,49,54,54,52,
      32,46,48,48,49,50,51,55,48,49,32,46,48,48,49,49,52,55,56,53,10,32,32,46,48,
      48,49,48,53,49,50,32,46,48,48,48,57,52,57,51,55,56,32,46,48,48,48,56,54,51,
      52,48,57,32,46,48,48,48,55,55,52,53,55,54,32,46,48,48,48,55,48,48,55,52,56,
      32,46,48,48,48,54,51,50,54,55,49,32,46,48,48,48,53,54,51,53,52,51,32,46,48,
      48,48,52,57,54,55,50,51,10,32,32,46,48,48,48,52,52,57,57,55,50,32,46,48,48,
      48,52,48,48,56,49,49,32,46,48,48,48,51,54,49,54,54,54,32,46,48,48,48,51,50,
      51,55,50,49,32,46,48,48,48,50,56,57,52,57,50,32,46,48,48,48,50,53,56,54,54,
      56,32,46,48,48,48,50,51,48,57,52,55,32,46,48,48,48,50,48,54,48,53,50,10,32,
      32,46,48,48,48,49,56,51,55,50,52,32,46,48,48,48,49,54,51,55,50,51,32,46,48,
      48,48,49,52,53,56,50,50,32,46,48,48,48,49,50,57,56,49,54,32,46,48,48,48,49,
      49,53,53,49,55,32,46,48,48,48,49,48,50,55,53,32,57,46,49,51,53,54,57,101,45,
      48,53,32,56,46,49,49,57,56,54,101,45,48,53,10,32,32,55,46,50,49,52,54,51,101,
      45,48,53,32,54,46,52,48,56,53,49,101,45,48,53,32,53,46,54,57,48,57,55,101,45,
      48,53,32,53,46,48,53,50,52,51,101,45,48,53,32,52,46,52,56,52,52,54,101,45,48,
      53,32,51,46,57,55,57,52,57,101,45,48,53,32,51,46,53,51,48,54,53,101,45,48,53,
      10,32,32,51,46,49,51,49,56,53,101,45,48,53,32,50,46,55,55,55,54,50,101,45,48,
      53,32,50,46,52,54,51,48,53,101,45,48,53,32,50,46,49,56,51,56,50,101,45,48,53,
      32,49,46,57,51,53,57,52,101,45,48,53,32,49,46,55,49,53,57,56,101,45,48,53,32,
      49,46,53,50,48,56,52,101,45,48,53,10,32,32,49,46,51,52,55,55,52,101,45,48,53,
      32,49,46,49,57,52,49,54,101,45,48,53,32,49,46,48,53,55,57,54,101,45,48,53,32,
      57,46,51,55,49,56,52,101,45,48,54,32,56,46,51,48,49,53,101,45,48,54,32,55,46,
      53,53,51,56,52,101,45,48,54,32,54,46,56,55,51,49,56,101,45,48,54,10,32,32,54,
      46,50,53,51,53,56,101,45,48,54,32,53,46,54,56,57,54,101,45,48,54,32,53,46,49,
      55,54,52,57,101,45,48,54,32,52,46,54,53,50,52,101,45,48,54,32,52,46,48,54,52,
      48,56,101,45,48,54,32,51,46,53,52,57,57,53,101,45,48,54,32,51,46,49,48,48,54,
      55,101,45,48,54,10,32,32,50,46,55,48,56,48,57,101,45,48,54,32,50,46,51,54,52,
      57,57,101,45,48,54,32,50,46,48,54,53,50,55,101,45,48,54,32,49,46,56,48,51,52,
      53,101,45,48,54,32,49,46,53,55,52,55,54,101,45,48,54,32,49,46,51,55,53,48,50,
      101,45,48,54,32,49,46,50,48,48,53,56,101,45,48,54,10,32,32,49,46,48,52,56,50,
      51,101,45,48,54,32,57,46,49,53,49,56,57,101,45,48,55,32,55,46,57,57,48,49,52,
      101,45,48,55,32,54,46,57,55,53,54,57,101,45,48,55,32,54,46,48,56,57,56,55,101,
      45,48,55,32,53,46,51,49,54,52,52,101,45,48,55,32,52,46,54,52,49,49,53,101,45,
      48,55,10,32,32,52,46,48,53,49,53,54,101,45,48,55,32,51,46,53,51,54,56,101,45,
      48,55,32,51,46,48,56,55,49,55,101,45,48,55,32,50,46,54,57,52,50,57,101,45,48,
      55,32,50,46,51,53,49,56,49,101,45,48,55,32,50,46,48,53,50,54,54,101,45,48,55,
      32,49,46,55,57,49,53,53,101,45,48,55,10,32,32,49,46,53,54,51,54,53,101,45,48,
      55,32,49,46,51,54,52,55,51,101,45,48,55,32,49,46,49,57,49,49,50,101,45,48,55,
      32,49,46,48,51,57,53,56,101,45,48,55,32,57,46,48,55,51,50,49,101,45,48,56,32,
      55,46,57,49,56,56,54,101,45,48,56,32,54,46,57,49,49,51,55,101,45,48,56,10,32,
      32,54,46,48,51,50,48,52,101,45,48,56,32,53,46,50,54,52,53,56,101,45,48,56,32,
      52,46,53,57,52,55,55,101,45,48,56,32,52,46,48,49,48,49,56,101,45,48,56,32,51,
      46,52,57,57,57,55,101,45,48,56,32,50,46,54,54,54,48,51,101,45,48,56,32,50,46,
      48,51,48,55,56,101,45,48,56,10,32,32,49,46,53,52,54,56,54,101,45,48,56,32,49,
      46,49,55,56,49,55,101,45,48,56,32,56,46,57,55,51,56,50,101,45,48,57,32,54,46,
      56,51,53,50,53,101,45,48,57,32,53,46,50,48,54,52,53,101,45,48,57,32,51,46,57,
      54,53,56,57,101,45,48,57,32,51,46,48,50,49,101,45,48,57,10,32,32,50,46,51,48,
      49,51,101,45,48,57,32,49,46,55,53,51,49,49,101,45,48,57,32,49,46,51,51,53,53,
      52,101,45,48,57,32,49,46,48,49,55,52,54,101,45,48,57,32,55,46,55,53,49,54,53,
      101,45,49,48,32,53,46,57,48,53,57,101,45,49,48,32,52,46,52,57,57,56,101,45,
      49,48,10,32,32,51,46,52,50,56,53,56,101,45,49,48,32,50,46,54,49,50,52,54,101,
      45,49,48,32,49,46,57,57,48,51,49,101,45,49,48,32,49,46,53,49,54,49,54,101,45,
      49,48,32,49,46,49,53,53,48,49,101,45,49,48,32,56,46,55,57,57,50,51,101,45,49,
      49,32,54,46,55,48,51,55,54,101,45,49,49,10,32,32,53,46,49,48,55,53,101,45,49,
      49,32,51,46,56,57,49,52,56,101,45,49,49,32,50,46,57,54,53,48,57,101,45,49,49,
      32,50,46,50,53,57,51,49,101,45,49,49,32,49,46,55,50,49,53,57,101,45,49,49,32,
      49,46,51,49,49,57,52,101,45,49,49,32,56,46,57,57,57,48,50,101,45,50,49,10,32,
      32,52,46,50,49,49,49,101,45,49,56,32,50,46,49,51,52,55,56,101,45,49,55,32,50,
      46,54,49,56,50,56,101,45,49,55,32,52,46,50,48,54,53,54,101,45,49,54,32,50,46,
      49,51,49,53,55,101,45,49,53,32,54,46,55,50,57,56,54,101,45,49,53,32,49,46,54,
      51,57,51,52,101,45,49,52,10,32,32,51,46,51,57,50,50,57,101,45,49,52,32,54,46,
      50,54,54,53,52,101,45,49,52,32,49,46,48,54,55,53,56,101,45,49,51,32,49,46,55,
      48,54,48,54,101,45,49,51,32,50,46,53,56,54,57,54,101,45,49,51,32,51,46,55,54,
      56,57,57,101,45,49,51,32,53,46,51,49,50,55,101,45,49,51,10,32,32,55,46,50,56,
      51,48,53,101,45,49,51,32,57,46,55,51,50,48,50,101,45,49,51,32,49,46,50,55,49,
      57,57,101,45,49,50,32,49,46,54,51,51,51,49,101,45,49,50,32,50,46,48,54,53,48,
      51,101,45,49,50,32,50,46,53,55,52,56,57,101,45,49,50,32,51,46,49,53,54,55,52,
      101,45,49,50,10,32,32,51,46,56,50,56,49,53,101,45,49,50,32,52,46,53,57,55,50,
      56,101,45,49,50,32,53,46,52,55,50,51,101,45,49,50,32,54,46,52,52,50,48,52,101,
      45,49,50,32,55,46,53,48,56,55,54,101,45,49,50,32,56,46,54,57,53,48,56,101,45,
      49,50,32,49,46,48,48,48,56,101,45,49,49,10,32,32,49,46,49,52,53,50,52,101,45,
      49,49,32,49,46,50,57,54,50,54,101,45,49,49,32,49,46,52,54,48,53,52,101,45,49,
      49,32,49,46,54,51,56,54,53,101,45,49,49,32,49,46,56,51,49,50,52,101,45,49,49,
      32,50,46,48,51,50,52,101,45,49,49,32,50,46,50,52,50,50,53,101,45,49,49,10,32,
      32,50,46,52,54,54,51,101,45,49,49,32,50,46,55,48,53,48,57,101,45,49,49,32,50,
      46,57,55,53,53,52,101,45,49,49,32,51,46,50,51,49,54,56,101,45,49,49,32,51,46,
      53,48,48,52,50,101,45,49,49,32,51,46,55,57,48,48,49,101,45,49,49,32,52,46,49,
      48,51,56,101,45,49,49,10,32,32,52,46,52,48,57,48,57,101,45,49,49,32,52,46,55,
      50,48,57,53,101,45,49,49,32,53,46,48,52,55,52,56,101,45,49,49,32,53,46,51,56,
      57,101,45,49,49,32,53,46,55,52,52,57,53,101,45,49,49,32,54,46,49,48,48,49,101,
      45,49,49,32,54,46,52,55,48,48,54,101,45,49,49,10,32,32,54,46,56,53,53,50,55,
      101,45,49,49,32,55,46,50,53,53,57,52,101,45,49,49,32,55,46,54,54,53,51,55,101,
      45,49,49,32,56,46,48,56,52,56,51,101,45,49,49,32,56,46,53,50,48,48,49,101,45,
      49,49,32,56,46,57,55,49,49,55,101,45,49,49,32,57,46,52,51,56,51,57,101,45,49,
      49,10,32,32,57,46,57,49,55,57,49,101,45,49,49,32,49,46,48,52,49,52,49,101,45,
      49,48,32,49,46,48,57,50,55,51,101,45,49,48,32,49,46,49,52,53,55,56,101,45,49,
      48,32,49,46,50,48,48,57,50,101,45,49,48,32,49,46,50,53,56,49,51,101,45,49,48,
      32,49,46,51,49,55,49,57,101,45,49,48,10,32,32,49,46,51,55,56,49,51,101,45,49,
      48,32,49,46,52,52,49,49,49,101,45,49,48,32,49,46,53,48,55,54,52,101,45,49,48,
      32,49,46,53,55,54,50,50,101,45,49,48,32,49,46,54,52,54,57,101,45,49,48,32,49,
      46,55,49,57,55,49,101,45,49,48,32,49,46,55,57,54,50,54,101,45,49,48,10,32,32,
      49,46,56,55,54,50,50,101,45,49,48,32,49,46,57,53,56,53,54,101,45,49,48,32,50,
      46,48,52,51,51,50,101,45,49,48,32,50,46,49,51,48,56,52,101,45,49,48,32,50,46,
      50,50,51,55,101,45,49,48,32,50,46,51,49,57,50,55,101,45,49,48,32,50,46,52,49,
      55,54,101,45,49,48,10,32,32,50,46,53,49,56,55,51,101,45,49,48,32,50,46,54,50,
      52,49,57,101,45,49,48,32,50,46,55,51,51,54,49,101,45,49,48,32,50,46,56,52,54,
      49,50,101,45,49,48,32,50,46,57,54,49,55,56,101,45,49,48,32,51,46,48,56,48,53,
      57,101,45,49,48,32,51,46,50,48,50,53,55,101,45,49,48,10,32,32,51,46,51,50,55,
      57,101,45,49,48,32,51,46,52,53,54,53,50,101,45,49,48,32,51,46,53,56,56,52,53,
      101,45,49,48,32,51,46,55,50,48,54,57,101,45,49,48,32,51,46,56,53,52,50,55,101,
      45,49,48,32,51,46,57,57,49,50,49,101,45,49,48,32,52,46,49,51,49,51,57,101,45,
      49,48,10,32,32,52,46,50,55,51,51,101,45,49,48,32,52,46,52,48,54,54,55,101,45,
      49,48,32,52,46,53,52,50,56,57,101,45,49,48,32,52,46,54,56,49,57,55,101,45,49,
      48,32,52,46,56,50,51,57,53,101,45,49,48,32,52,46,57,53,51,54,101,45,49,48,32,
      53,46,48,55,54,53,55,101,45,49,48,10,32,32,53,46,50,48,49,57,56,101,45,49,48,
      32,53,46,51,50,57,56,49,101,45,49,48,32,53,46,52,53,53,50,54,101,45,49,48,32,
      53,46,53,53,48,57,55,101,45,49,48,32,53,46,54,52,57,48,54,101,45,49,48,32,53,
      46,55,52,57,53,101,45,49,48,32,53,46,56,53,50,50,56,101,45,49,48,10,32,32,53,
      46,57,50,54,52,56,101,45,49,48,32,53,46,57,56,54,49,54,101,45,49,48,32,54,46,
      48,52,57,101,45,49,48,32,54,46,49,49,52,56,54,101,45,49,48,32,54,46,49,55,53,
      53,53,101,45,49,48,32,54,46,49,57,49,56,52,101,45,49,48,32,54,46,50,49,51,49,
      101,45,49,48,10,32,32,54,46,50,51,57,48,49,101,45,49,48,32,54,46,50,54,57,54,
      101,45,49,48,32,54,46,50,54,54,54,56,101,45,49,48,32,54,46,50,53,48,49,101,
      45,49,48,32,54,46,50,52,48,52,49,101,45,49,48,32,54,46,50,51,54,57,50,101,45,
      49,48,32,54,46,50,51,48,52,53,101,45,49,48,10,32,32,54,46,49,56,52,55,54,101,
      45,49,48,32,54,46,49,52,55,56,49,101,45,49,48,32,54,46,49,49,56,54,56,101,45,
      49,48,32,54,46,48,57,54,54,50,101,45,49,48,32,54,46,48,52,57,55,49,101,45,49,
      48,32,53,46,57,57,53,57,49,101,45,49,48,32,53,46,57,53,48,57,50,101,45,49,48,
      10,32,32,53,46,57,49,51,56,101,45,49,48,32,53,46,56,55,55,50,53,101,45,49,48,
      32,53,46,56,49,54,52,56,101,45,49,48,32,53,46,55,54,52,54,57,101,45,49,48,32,
      53,46,55,50,48,56,55,101,45,49,48,32,53,46,54,56,52,50,55,101,45,49,48,32,53,
      46,54,51,52,54,53,101,45,49,48,10,32,32,53,46,53,56,51,53,101,45,49,48,32,53,
      46,53,51,57,56,55,101,45,49,48,32,53,46,53,48,50,57,55,101,45,49,48,32,53,46,
      52,54,56,53,50,101,45,49,48,32,53,46,52,50,51,54,51,101,45,49,48,32,53,46,51,
      56,53,51,50,101,45,49,48,32,53,46,51,53,50,57,50,101,45,49,48,10,32,32,53,46,
      51,50,53,57,53,101,45,49,48,32,53,46,50,57,53,53,56,101,45,49,48,32,53,46,50,
      54,54,53,52,101,45,49,48,32,53,46,50,52,50,52,51,101,45,49,48,32,53,46,50,50,
      50,57,50,101,45,49,48,32,53,46,49,57,51,55,52,101,45,49,48,32,53,46,49,54,50,
      51,57,101,45,49,48,10,32,32,53,46,49,52,57,53,49,101,45,49,48,32,53,46,49,52,
      48,49,53,101,45,49,48,32,53,46,49,51,52,49,51,101,45,49,48,32,53,46,49,51,49,
      55,54,101,45,49,48,32,53,46,49,49,55,48,49,101,45,49,48,32,53,46,49,48,51,49,
      56,101,45,49,48,32,53,46,49,48,56,56,55,101,45,49,48,10,32,32,53,46,49,49,56,
      50,51,101,45,49,48,32,53,46,49,51,52,55,53,101,45,49,48,32,53,46,49,53,51,49,
      49,101,45,49,48,32,53,46,49,56,48,50,52,101,45,49,48,32,53,46,50,55,56,48,53,
      101,45,49,48,32,53,46,52,57,49,56,54,101,45,49,48,32,54,46,48,52,54,50,101,
      45,49,48,10,32,32,54,46,57,49,54,52,53,101,45,49,48,32,56,46,49,57,51,50,56,
      101,45,49,48,32,57,46,57,51,49,53,52,101,45,49,48,32,49,46,50,49,48,53,53,101,
      45,48,57,32,49,46,52,55,55,50,101,45,48,57,32,49,46,55,56,52,101,45,48,57,32,
      50,46,49,49,56,55,57,101,45,48,57,10,32,32,50,46,52,54,51,51,101,45,48,57,32,
      50,46,56,49,52,50,57,101,45,48,57,32,51,46,49,55,53,56,54,101,45,48,57,32,51,
      46,54,52,50,51,54,101,45,48,57,32,52,46,49,57,49,52,51,101,45,48,57,32,53,46,
      49,52,56,50,55,101,45,48,57,32,54,46,53,54,51,54,50,101,45,48,57,10,32,32,56,
      46,55,49,51,54,49,101,45,48,57,32,49,46,51,48,56,51,57,101,45,48,56,32,50,46,
      48,52,51,52,101,45,48,56,32,51,46,49,57,49,51,56,101,45,48,56,32,52,46,57,56,
      55,56,57,101,45,48,56,32,54,46,53,52,53,56,49,101,45,48,56,32,55,46,50,55,55,
      50,56,101,45,48,56,10,32,32,55,46,48,53,53,57,56,101,45,48,56,32,54,46,55,51,
      48,54,53,101,45,48,56,32,54,46,53,56,53,101,45,48,56,32,54,46,55,51,53,50,52,
      101,45,48,56,32,55,46,50,57,55,55,56,101,45,48,56,32,56,46,53,48,53,50,53,101,
      45,48,56,32,49,46,48,56,54,101,45,48,55,10,32,32,49,46,53,57,50,53,52,101,45,
      48,55,32,50,46,53,51,48,48,53,101,45,48,55,32,52,46,51,49,52,54,57,101,45,48,
      55,32,54,46,57,51,53,54,49,101,45,48,55,32,55,46,54,51,50,53,54,101,45,48,55,
      32,54,46,56,57,57,53,49,101,45,48,55,32,53,46,56,51,57,51,55,101,45,48,55,10,
      32,32,53,46,48,50,55,53,55,101,45,48,55,32,52,46,54,56,56,50,55,101,45,48,55,
      32,52,46,55,51,48,55,51,101,45,48,55,32,53,46,49,55,57,52,50,101,45,48,55,32,
      54,46,48,52,51,49,56,101,45,48,55,32,55,46,52,55,57,56,101,45,48,55,32,57,46,
      57,54,54,54,49,101,45,48,55,10,32,32,49,46,52,52,52,49,54,101,45,48,54,32,49,
      46,57,54,55,49,49,101,45,48,54,32,50,46,54,49,54,55,101,45,48,54,32,51,46,51,
      51,49,52,49,101,45,48,54,32,52,46,51,54,57,57,50,101,45,48,54,32,54,46,50,53,
      51,56,57,101,45,48,54,32,56,46,50,48,50,55,52,101,45,48,54,10,32,32,57,46,55,
      51,52,54,54,101,45,48,54,32,49,46,48,55,52,54,50,101,45,48,53,32,49,46,50,49,
      56,55,54,101,45,48,53,32,49,46,51,56,55,54,56,101,45,48,53,32,49,46,53,51,56,
      51,55,101,45,48,53,32,49,46,54,50,52,53,53,101,45,48,53,32,49,46,54,56,52,56,
      101,45,48,53,10,32,32,49,46,55,56,52,52,53,101,45,48,53,32,49,46,57,57,51,49,
      51,101,45,48,53,32,50,46,50,56,52,52,57,101,45,48,53,32,50,46,53,52,56,56,57,
      101,45,48,53,32,51,46,49,50,49,49,52,101,45,48,53,32,51,46,55,55,48,52,56,101,
      45,48,53,32,52,46,53,54,49,55,53,101,45,48,53,10,32,32,53,46,54,52,52,56,56,
      101,45,48,53,32,54,46,54,55,49,49,56,101,45,48,53,32,55,46,53,52,52,54,53,101,
      45,48,53,32,56,46,49,52,56,52,56,101,45,48,53,32,56,46,54,52,57,56,51,101,45,
      48,53,32,57,46,49,50,52,56,53,101,45,48,53,32,57,46,54,54,54,56,52,101,45,48,
      53,10,32,32,46,48,48,48,49,48,48,55,52,56,32,46,48,48,48,49,48,53,51,52,55,
      32,46,48,48,48,49,49,53,51,55,55,32,46,48,48,48,49,50,51,57,52,53,32,46,48,
      48,48,49,52,50,54,52,54,32,46,48,48,48,49,54,57,57,53,50,32,46,48,48,48,49,
      56,57,57,51,55,32,46,48,48,48,50,49,50,50,52,52,10,32,32,46,48,48,48,50,53,
      49,49,55,50,32,46,48,48,48,50,57,55,56,52,54,32,46,48,48,48,51,50,51,55,55,
      32,46,48,48,48,51,54,50,53,49,50,32,46,48,48,48,51,56,51,48,49,55,32,46,48,
      48,48,52,49,48,53,51,51,32,46,48,48,48,51,56,57,53,54,53,32,46,48,48,48,52,
      50,57,50,57,52,10,32,32,46,48,48,48,52,52,54,49,57,57,32,46,48,48,48,52,55,
      57,52,49,55,32,46,48,48,48,53,49,55,48,53,51,32,46,48,48,48,53,52,57,48,51,
      56,32,46,48,48,48,53,56,49,53,50,49,32,46,48,48,48,54,49,50,50,57,52,32,46,
      48,48,48,54,52,50,56,56,54,32,46,48,48,48,54,55,55,48,51,51,10,32,32,46,48,
      48,48,55,48,55,52,57,50,32,46,48,48,48,55,52,49,49,51,56,32,46,48,48,48,55,
      54,53,56,57,53,32,46,48,48,48,56,48,54,49,52,57,32,46,48,48,48,56,51,48,55,
      50,50,32,46,48,48,48,56,54,49,48,55,49,32,46,48,48,48,57,51,48,54,53,56,32,
      46,48,48,49,48,50,50,57,52,10,32,32,46,48,48,49,49,48,55,55,57,32,46,48,48,
      49,50,48,53,48,55,32,46,48,48,49,50,57,49,49,32,46,48,48,49,51,55,56,50,57,
      32,46,48,48,49,52,51,54,57,54,32,46,48,48,49,53,49,55,48,56,32,46,48,48,49,
      53,55,50,49,53,32,46,48,48,49,53,55,51,50,57,32,46,48,48,49,53,54,50,49,56,
      10,32,32,46,48,48,49,53,51,48,52,53,32,46,48,48,49,52,56,57,56,57,32,46,48,
      48,49,52,52,48,49,49,32,46,48,48,49,51,55,53,48,57,32,46,48,48,49,51,48,52,
      49,49,32,46,48,48,49,50,51,56,57,51,32,46,48,48,49,49,55,50,52,49,32,46,48,
      48,49,49,48,53,54,51,10,32,32,46,48,48,49,48,51,48,48,55,32,46,48,48,48,57,
      52,55,50,53,53,32,46,48,48,48,56,53,57,48,53,49,32,46,48,48,48,55,56,51,57,
      52,32,46,48,48,48,55,48,53,55,53,32,46,48,48,48,54,52,48,51,52,57,32,46,48,
      48,48,53,55,57,54,57,57,32,46,48,48,48,53,49,55,56,49,52,10,32,32,46,48,48,
      48,52,53,55,54,57,56,32,46,48,48,48,52,49,53,52,53,52,32,46,48,48,48,51,55,
      48,56,55,49,32,46,48,48,48,51,51,53,50,53,51,32,46,48,48,48,51,48,48,54,51,
      53,32,46,48,48,48,50,54,57,51,49,53,32,46,48,48,48,50,52,49,48,50,56,32,46,
      48,48,48,50,49,53,53,50,57,10,32,32,46,48,48,48,49,57,50,53,55,56,32,46,48,
      48,48,49,55,49,57,53,51,32,46,48,48,48,49,53,51,52,51,55,32,46,48,48,48,49,
      51,54,56,51,50,32,46,48,48,48,49,50,49,57,53,54,32,46,48,48,48,49,48,56,54,
      52,52,32,57,46,54,55,52,49,51,101,45,48,53,32,56,46,54,49,48,53,55,101,45,48,
      53,10,32,32,55,46,54,54,49,48,50,101,45,48,53,32,54,46,56,49,51,55,51,101,45,
      48,53,32,54,46,48,53,56,48,51,101,45,48,53,32,53,46,51,56,52,52,54,101,45,48,
      53,32,52,46,55,56,52,51,54,101,45,48,53,32,52,46,50,52,57,57,53,101,45,48,53,
      32,51,46,55,55,52,51,52,101,45,48,53,10,32,32,51,46,51,53,49,50,49,101,45,48,
      53,32,50,46,57,55,52,56,55,101,45,48,53,32,50,46,54,52,48,50,56,101,45,48,53,
      32,50,46,51,52,50,56,55,101,45,48,53,32,50,46,48,55,56,54,50,101,45,48,53,32,
      49,46,56,52,51,56,54,101,45,48,53,32,49,46,54,51,53,51,53,101,45,48,53,10,32,
      32,49,46,52,53,48,50,50,101,45,48,53,32,49,46,50,56,53,56,56,101,45,48,53,32,
      49,46,49,52,48,48,51,101,45,48,53,32,49,46,48,49,48,53,57,101,45,48,53,32,56,
      46,57,53,55,51,54,101,45,48,54,32,55,46,57,51,56,55,51,101,45,48,54,32,55,46,
      50,50,54,55,57,101,45,48,54,10,32,32,54,46,53,55,56,48,56,101,45,48,54,32,53,
      46,57,56,55,50,53,101,45,48,54,32,53,46,52,52,57,50,49,101,45,48,54,32,52,46,
      57,53,57,52,56,101,45,48,54,32,52,46,52,53,57,48,56,101,45,48,54,32,51,46,56,
      57,55,48,55,101,45,48,54,32,51,46,52,48,53,54,49,101,45,48,54,10,32,32,50,46,
      57,55,53,56,57,101,45,48,54,32,50,46,54,48,48,50,101,45,48,54,32,50,46,50,55,
      49,56,101,45,48,54,32,49,46,57,56,52,55,53,101,45,48,54,32,49,46,55,51,51,56,
      56,101,45,48,54,32,49,46,53,49,52,54,53,101,45,48,54,32,49,46,51,50,51,48,55,
      101,45,48,54,10,32,32,49,46,49,53,53,54,50,101,45,48,54,32,49,46,48,48,57,51,
      50,101,45,48,54,32,56,46,56,49,53,48,54,101,45,48,55,32,55,46,54,57,56,53,52,
      101,45,48,55,32,54,46,55,50,51,49,57,101,45,48,55,32,53,46,56,55,49,50,51,101,
      45,48,55,32,53,46,49,50,55,48,57,101,45,48,55,10,32,32,52,46,52,55,55,49,54,
      101,45,48,55,32,51,46,57,48,57,53,51,101,45,48,55,32,51,46,52,49,51,55,57,101,
      45,48,55,32,50,46,57,56,48,56,52,101,45,48,55,32,50,46,54,48,50,53,50,101,45,
      48,55,32,50,46,50,55,50,53,54,101,45,48,55,32,49,46,57,56,52,50,52,101,45,48,
      55,10,32,32,49,46,55,51,50,52,55,101,45,48,55,32,49,46,53,49,50,54,51,101,45,
      48,55,32,49,46,51,50,48,54,49,101,45,48,55,32,49,46,49,53,50,56,54,101,45,48,
      55,32,49,46,48,48,54,52,49,101,45,48,55,32,56,46,55,56,53,53,55,101,45,48,56,
      32,55,46,54,54,57,52,101,45,48,56,10,32,32,54,46,54,57,53,101,45,48,56,32,53,
      46,56,52,52,51,56,101,45,48,56,32,53,46,49,48,49,56,49,101,45,48,56,32,52,46,
      52,53,51,53,56,101,45,48,56,32,51,46,56,56,55,55,101,45,48,56,32,51,46,51,57,
      51,55,49,101,45,48,56,32,50,46,53,56,54,48,53,101,45,48,56,10,32,32,49,46,57,
      55,48,53,53,101,45,48,56,32,49,46,53,48,49,53,55,101,45,48,56,32,49,46,49,52,
      52,50,49,101,45,48,56,32,56,46,55,49,57,48,54,101,45,48,57,32,54,46,54,52,52,
      49,49,101,45,48,57,32,53,46,48,54,50,55,101,45,48,57,32,51,46,56,53,55,52,51,
      101,45,48,57,10,32,32,50,46,57,51,57,49,54,101,45,48,57,32,50,46,50,51,57,53,
      52,101,45,48,57,32,49,46,55,48,54,52,57,101,45,48,57,32,49,46,51,48,48,51,53,
      101,45,48,57,32,57,46,57,48,56,57,50,101,45,49,48,32,55,46,53,53,48,57,53,101,
      45,49,48,32,53,46,55,53,52,50,51,101,45,49,48,10,32,32,52,46,51,56,53,49,51,
      101,45,49,48,32,51,46,51,52,49,56,55,101,45,49,48,32,50,46,53,52,54,56,56,101,
      45,49,48,32,49,46,57,52,49,48,55,101,45,49,48,32,49,46,52,55,57,52,101,45,49,
      48,32,49,46,49,50,55,53,55,101,45,49,48,32,56,46,53,57,52,51,53,101,45,49,49,
      10,32,32,54,46,53,53,48,56,51,101,45,49,49,32,52,46,57,57,50,55,52,101,45,49,
      49,32,51,46,56,48,52,54,101,45,49,49,32,50,46,56,57,57,50,57,101,45,49,49,32,
      50,46,50,48,57,52,57,101,45,49,49,32,49,46,54,56,51,56,54,101,45,49,49,32,49,
      46,50,56,51,51,53,101,45,49,49,10,32,32,52,46,50,52,55,57,54,101,45,50,49,32,
      50,46,54,50,49,53,101,45,49,56,32,49,46,51,50,56,57,52,101,45,49,55,32,49,46,
      54,50,57,57,50,101,45,49,55,32,50,46,54,49,56,53,49,101,45,49,54,32,49,46,51,
      50,54,55,53,101,45,49,53,32,52,46,49,56,56,51,55,101,45,49,53,10,32,32,49,46,
      48,50,48,49,49,101,45,49,52,32,50,46,49,49,48,53,52,101,45,49,52,32,51,46,56,
      57,55,57,57,101,45,49,52,32,54,46,54,53,48,48,51,101,45,49,52,32,49,46,48,54,
      50,52,50,101,45,49,51,32,49,46,54,49,48,53,50,101,45,49,51,32,50,46,51,52,53,
      54,51,101,45,49,51,10,32,32,51,46,51,48,53,50,52,101,45,49,51,32,52,46,53,50,
      57,52,55,101,45,49,51,32,54,46,48,53,48,51,52,101,45,49,51,32,55,46,57,48,52,
      57,53,101,45,49,51,32,49,46,48,49,52,54,53,101,45,49,50,32,49,46,50,56,50,51,
      50,101,45,49,50,32,49,46,53,57,56,50,54,101,45,49,50,10,32,32,49,46,57,53,56,
      54,50,101,45,49,50,32,50,46,51,55,52,50,101,45,49,50,32,50,46,56,52,57,57,55,
      101,45,49,50,32,51,46,51,57,48,57,101,45,49,50,32,51,46,57,57,48,48,51,101,
      45,49,50,32,52,46,54,52,56,54,54,101,45,49,50,32,53,46,51,56,48,54,49,101,45,
      49,50,10,32,32,54,46,49,57,48,48,55,101,45,49,50,32,55,46,48,55,57,56,57,101,
      45,49,50,32,56,46,48,48,57,55,52,101,45,49,50,32,57,46,48,50,48,52,101,45,49,
      50,32,49,46,48,49,49,53,52,101,45,49,49,32,49,46,49,50,57,56,52,101,45,49,49,
      32,49,46,50,53,51,51,51,101,45,49,49,10,32,32,49,46,51,56,50,49,101,45,49,49,
      32,49,46,53,49,57,53,101,45,49,49,32,49,46,54,54,53,56,54,101,45,49,49,32,49,
      46,56,50,49,48,50,101,45,49,49,32,49,46,57,55,53,57,53,101,45,49,49,32,50,46,
      49,51,57,53,52,101,45,49,49,32,50,46,51,49,50,48,50,101,45,49,49,10,32,32,50,
      46,52,57,51,54,51,101,45,49,49,32,50,46,54,55,56,52,56,101,45,49,49,32,50,46,
      56,54,55,50,57,101,45,49,49,32,51,46,48,54,52,57,54,101,45,49,49,32,51,46,50,
      55,49,54,55,101,45,49,49,32,51,46,52,56,55,48,55,101,45,49,49,32,51,46,55,48,
      50,48,51,101,45,49,49,10,32,32,51,46,57,50,53,57,50,101,45,49,49,32,52,46,49,
      53,57,48,50,101,45,49,49,32,52,46,52,48,49,52,50,101,45,49,49,32,52,46,54,52,
      57,49,50,101,45,49,49,32,52,46,57,48,50,57,49,101,45,49,49,32,53,46,49,54,54,
      49,55,101,45,49,49,32,53,46,52,51,57,48,49,101,45,49,49,10,32,32,53,46,55,50,
      49,53,54,101,45,49,49,32,54,46,48,49,49,53,52,101,45,49,49,32,54,46,51,49,49,
      53,50,101,45,49,49,32,54,46,54,50,49,56,101,45,49,49,32,54,46,57,52,50,53,52,
      101,45,49,49,32,55,46,50,55,53,55,57,101,45,49,49,32,55,46,54,50,49,53,54,101,
      45,49,49,10,32,32,55,46,57,56,50,57,50,101,45,49,49,32,56,46,51,53,54,51,49,
      101,45,49,49,32,56,46,55,51,55,50,52,101,45,49,49,32,57,46,49,51,57,52,49,101,
      45,49,49,32,57,46,53,53,51,57,51,101,45,49,49,32,57,46,57,56,49,48,53,101,45,
      49,49,32,49,46,48,52,50,49,101,45,49,48,10,32,32,49,46,48,57,50,48,57,101,45,
      49,48,32,49,46,49,52,50,48,57,101,45,49,48,32,49,46,49,57,50,48,51,101,45,49,
      48,32,49,46,50,52,51,52,101,45,49,48,32,49,46,50,57,54,52,52,101,45,49,48,32,
      49,46,51,53,50,55,101,45,49,48,32,49,46,52,49,48,53,54,101,45,49,48,10,32,32,
      49,46,52,55,48,48,57,101,45,49,48,32,49,46,53,51,49,51,49,101,45,49,48,32,49,
      46,53,57,53,49,49,101,45,49,48,32,49,46,54,54,49,50,56,101,45,49,48,32,49,46,
      55,50,57,51,49,101,45,49,48,32,49,46,55,57,57,50,49,101,45,49,48,32,49,46,56,
      55,48,57,57,101,45,49,48,10,32,32,49,46,57,52,52,54,56,101,45,49,48,32,50,46,
      48,50,48,51,53,101,45,49,48,32,50,46,48,57,55,57,57,101,45,49,48,32,50,46,49,
      55,55,54,50,101,45,49,48,32,50,46,50,53,55,52,51,101,45,49,48,32,50,46,51,51,
      56,48,51,101,45,49,48,32,50,46,52,50,48,54,51,101,45,49,48,10,32,32,50,46,53,
      48,53,49,54,101,45,49,48,32,50,46,53,57,48,55,51,101,45,49,48,32,50,46,54,55,
      49,50,49,101,45,49,48,32,50,46,55,53,51,52,101,45,49,48,32,50,46,56,51,55,51,
      101,45,49,48,32,50,46,57,50,50,57,52,101,45,49,48,32,51,46,48,48,49,50,52,101,
      45,49,48,10,32,32,51,46,48,55,53,53,54,101,45,49,48,32,51,46,49,53,49,51,53,
      101,45,49,48,32,51,46,50,50,56,54,101,45,49,48,32,51,46,51,48,52,52,51,101,
      45,49,48,32,51,46,51,54,50,53,53,101,45,49,48,32,51,46,52,50,50,49,101,45,49,
      48,32,51,46,52,56,51,48,54,101,45,49,48,10,32,32,51,46,53,52,53,52,51,101,45,
      49,48,32,51,46,53,57,48,55,56,101,45,49,48,32,51,46,54,50,55,52,55,101,45,49,
      48,32,51,46,54,54,54,48,54,101,45,49,48,32,51,46,55,48,54,52,53,101,45,49,48,
      32,51,46,55,52,51,55,55,101,45,49,48,32,51,46,55,53,52,54,49,101,45,49,48,10,
      32,32,51,46,55,54,56,52,49,101,45,49,48,32,51,46,55,56,52,57,56,101,45,49,48,
      32,51,46,56,48,52,50,56,101,45,49,48,32,51,46,56,48,51,53,54,101,45,49,48,32,
      51,46,55,57,52,54,54,101,45,49,48,32,51,46,55,56,57,56,52,101,45,49,48,32,51,
      46,55,56,56,55,101,45,49,48,10,32,32,51,46,55,56,53,55,52,101,45,49,48,32,51,
      46,55,53,57,50,50,101,45,49,48,32,51,46,55,51,55,56,56,101,45,49,48,32,51,46,
      55,50,49,49,55,101,45,49,48,32,51,46,55,48,56,55,51,101,45,49,48,32,51,46,54,
      56,49,50,52,101,45,49,48,32,51,46,54,52,57,53,56,101,45,49,48,10,32,32,51,46,
      54,49,51,55,53,101,45,49,48,32,51,46,53,56,52,48,51,101,45,49,48,32,51,46,53,
      54,50,54,52,101,45,49,48,32,51,46,53,50,54,54,53,101,45,49,48,32,51,46,52,57,
      50,51,49,101,45,49,48,32,51,46,52,54,54,49,49,101,45,49,48,32,51,46,52,52,52,
      54,101,45,49,48,10,32,32,51,46,52,49,53,50,56,101,45,49,48,32,51,46,51,56,53,
      48,51,101,45,49,48,32,51,46,51,53,57,51,51,101,45,49,48,32,51,46,51,51,55,54,
      50,101,45,49,48,32,51,46,51,49,55,52,49,101,45,49,48,32,51,46,50,57,48,57,51,
      101,45,49,48,32,51,46,50,54,56,52,101,45,49,48,10,32,32,51,46,50,52,57,52,51,
      101,45,49,48,32,51,46,50,51,51,55,50,101,45,49,48,32,51,46,50,49,53,57,54,101,
      45,49,48,32,51,46,49,57,57,48,50,101,45,49,48,32,51,46,49,56,53,48,52,101,45,
      49,48,32,51,46,49,55,51,56,101,45,49,48,32,51,46,49,54,52,52,52,101,45,49,48,
      10,32,32,51,46,49,53,52,56,56,101,45,49,48,32,51,46,49,52,55,54,53,101,45,49,
      48,32,51,46,49,52,50,53,53,101,45,49,48,32,51,46,49,51,57,52,53,101,45,49,48,
      32,51,46,49,51,56,53,53,101,45,49,48,32,51,46,49,51,57,53,49,101,45,49,48,32,
      51,46,49,52,50,48,54,101,45,49,48,10,32,32,51,46,49,52,54,49,101,45,49,48,32,
      51,46,49,53,50,51,52,101,45,49,48,32,51,46,49,54,50,57,51,101,45,49,48,32,51,
      46,49,55,52,54,52,101,45,49,48,32,51,46,49,57,49,56,53,101,45,49,48,32,51,46,
      50,53,50,57,55,101,45,49,48,32,51,46,51,56,53,52,56,101,45,49,48,10,32,32,51,
      46,55,50,54,55,53,101,45,49,48,32,52,46,50,54,48,49,50,101,45,49,48,32,53,46,
      48,48,56,55,51,101,45,49,48,32,54,46,48,51,49,49,55,101,45,49,48,32,55,46,51,
      52,49,52,55,101,45,49,48,32,56,46,57,53,53,51,54,101,45,49,48,32,49,46,48,56,
      53,53,57,101,45,48,57,10,32,32,49,46,50,56,55,51,56,101,45,48,57,32,49,46,52,
      57,52,53,101,45,48,57,32,49,46,55,48,53,49,50,101,45,48,57,32,49,46,57,50,49,
      55,49,101,45,48,57,32,50,46,50,48,48,54,49,101,45,48,57,32,50,46,53,50,55,57,
      50,101,45,48,57,32,51,46,48,57,53,55,56,101,45,48,57,10,32,32,51,46,57,51,48,
      50,53,101,45,48,57,32,53,46,49,56,55,51,49,101,45,48,57,32,55,46,55,49,49,54,
      52,101,45,48,57,32,49,46,49,56,57,49,101,45,48,56,32,49,46,56,51,49,56,52,101,
      45,48,56,32,50,46,56,50,54,54,55,101,45,48,56,32,51,46,54,56,55,53,101,45,48,
      56,10,32,32,52,46,48,57,54,52,53,101,45,48,56,32,51,46,57,56,50,54,57,101,45,
      48,56,32,51,46,56,49,49,54,56,101,45,48,56,32,51,46,55,52,101,45,48,56,32,51,
      46,56,51,49,52,57,101,45,48,56,32,52,46,49,53,48,54,54,101,45,48,56,32,52,46,
      56,50,53,51,54,101,45,48,56,10,32,32,54,46,49,51,48,50,56,101,45,48,56,32,56,
      46,57,50,55,49,50,101,45,48,56,32,49,46,52,49,51,50,54,101,45,48,55,32,50,46,
      52,50,54,55,51,101,45,48,55,32,51,46,57,54,56,57,49,101,45,48,55,32,52,46,51,
      54,57,52,55,101,45,48,55,32,51,46,57,49,52,52,51,101,45,48,55,10,32,32,51,46,
      50,56,50,53,52,101,45,48,55,32,50,46,56,49,50,52,50,101,45,48,55,32,50,46,54,
      49,57,101,45,48,55,32,50,46,54,52,50,53,55,101,45,48,55,32,50,46,56,57,51,49,
      57,101,45,48,55,32,51,46,51,55,54,51,50,101,45,48,55,32,52,46,49,56,52,53,56,
      101,45,48,55,10,32,32,53,46,53,57,57,53,54,101,45,48,55,32,56,46,49,57,54,52,
      57,101,45,48,55,32,49,46,49,51,48,56,52,101,45,48,54,32,49,46,53,50,54,56,101,
      45,48,54,32,49,46,57,55,53,52,51,101,45,48,54,32,50,46,54,53,48,50,50,101,45,
      48,54,32,51,46,57,51,50,50,51,101,45,48,54,10,32,32,53,46,51,49,52,48,54,101,
      45,48,54,32,54,46,52,49,50,51,56,101,45,48,54,32,55,46,49,50,56,48,57,101,45,
      48,54,32,56,46,49,53,48,53,57,101,45,48,54,32,57,46,51,55,49,55,54,101,45,48,
      54,32,49,46,48,52,52,56,52,101,45,48,53,32,49,46,49,48,49,56,50,101,45,48,53,
      10,32,32,49,46,49,51,55,56,49,101,45,48,53,32,49,46,50,48,53,49,49,101,45,48,
      53,32,49,46,51,53,55,55,54,101,45,48,53,32,49,46,53,55,56,55,50,101,45,48,53,
      32,49,46,55,56,50,55,49,101,45,48,53,32,50,46,50,50,55,56,56,101,45,48,53,32,
      50,46,55,51,50,54,57,101,45,48,53,10,32,32,51,46,51,52,50,53,51,101,45,48,53,
      32,52,46,49,54,51,57,57,101,45,48,53,32,52,46,57,51,49,49,52,101,45,48,53,32,
      53,46,53,55,57,56,101,45,48,53,32,54,46,48,50,55,50,51,101,45,48,53,32,54,46,
      51,57,56,50,54,101,45,48,53,32,54,46,55,52,57,55,56,101,45,48,53,10,32,32,55,
      46,49,53,48,56,57,101,45,48,53,32,55,46,52,53,50,56,50,101,45,48,53,32,55,46,
      55,57,51,50,53,101,45,48,53,32,56,46,53,51,53,53,101,45,48,53,32,57,46,49,54,
      57,53,50,101,45,48,53,32,46,48,48,48,49,48,53,53,52,50,32,46,48,48,48,49,50,
      53,56,51,10,32,32,46,48,48,48,49,52,48,55,53,50,32,46,48,48,48,49,53,55,53,
      48,55,32,46,48,48,48,49,56,55,48,48,49,32,46,48,48,48,50,50,50,55,55,56,32,
      46,48,48,48,50,52,50,56,54,49,32,46,48,48,48,50,55,51,48,50,53,32,46,48,48,
      48,50,56,57,48,54,32,46,48,48,48,51,49,48,53,51,51,10,32,32,46,48,48,48,50,
      57,51,51,49,54,32,46,48,48,48,51,50,52,51,57,51,32,46,48,48,48,51,51,55,54,
      56,54,32,46,48,48,48,51,54,51,57,51,32,46,48,48,48,51,57,51,56,56,53,32,46,
      48,48,48,52,49,57,53,49,57,32,46,48,48,48,52,52,53,54,57,53,32,46,48,48,48,
      52,55,48,53,56,57,10,32,32,46,48,48,48,52,57,53,52,53,56,32,46,48,48,48,53,
      50,51,51,55,49,32,46,48,48,48,53,52,56,52,48,54,32,46,48,48,48,53,55,54,50,
      49,49,32,46,48,48,48,53,57,54,55,54,32,46,48,48,48,54,51,48,51,55,49,32,46,
      48,48,48,54,53,48,57,57,53,32,46,48,48,48,54,55,54,53,57,55,10,32,32,46,48,
      48,48,55,51,53,55,57,52,32,46,48,48,48,56,49,53,52,49,32,46,48,48,48,56,56,
      57,57,48,51,32,46,48,48,48,57,55,54,56,57,55,32,46,48,48,49,48,53,53,54,55,
      32,46,48,48,49,49,51,55,56,49,32,46,48,48,49,49,57,53,49,32,46,48,48,49,50,
      55,57,48,53,10,32,32,46,48,48,49,51,52,49,49,56,32,46,48,48,49,51,53,48,51,
      55,32,46,48,48,49,51,52,57,50,55,32,46,48,48,49,51,51,49,56,53,32,46,48,48,
      49,51,48,52,50,57,32,46,48,48,49,50,54,55,54,32,46,48,48,49,50,49,55,49,51,
      32,46,48,48,49,49,54,48,50,49,32,46,48,48,49,49,48,54,56,53,10,32,32,46,48,
      48,49,48,53,49,52,53,32,46,48,48,48,57,57,53,48,52,50,32,46,48,48,48,57,51,
      48,52,57,57,32,46,48,48,48,56,53,56,57,55,52,32,46,48,48,48,55,56,50,48,57,
      53,32,46,48,48,48,55,49,54,48,50,54,32,46,48,48,48,54,52,54,55,52,32,46,48,
      48,48,53,56,56,52,50,50,10,32,32,46,48,48,48,53,51,52,48,53,53,32,46,48,48,
      48,52,55,56,51,49,50,32,46,48,48,48,52,50,51,56,56,53,32,46,48,48,48,51,56,
      53,52,56,56,32,46,48,48,48,51,52,52,56,51,56,32,46,48,48,48,51,49,50,50,53,
      56,32,46,48,48,48,50,56,48,52,56,56,32,46,48,48,48,50,53,49,54,55,10,32,32,
      46,48,48,48,50,50,53,53,56,54,32,46,48,48,48,50,48,50,48,49,54,32,46,48,48,
      48,49,56,48,55,53,51,32,46,48,48,48,49,54,49,54,48,49,32,46,48,48,48,49,52,
      52,51,55,55,32,46,48,48,48,49,50,56,57,48,53,32,46,48,48,48,49,49,53,48,50,
      53,32,46,48,48,48,49,48,50,53,56,49,10,32,32,57,46,49,52,51,54,50,101,45,48,
      53,32,56,46,49,52,54,51,57,101,45,48,53,32,55,46,50,53,52,55,57,101,45,48,53,
      32,54,46,52,53,56,50,51,101,45,48,53,32,53,46,55,52,54,57,53,101,45,48,53,32,
      53,46,49,49,50,51,53,101,45,48,53,32,52,46,53,52,54,51,53,101,45,48,53,10,32,
      32,52,46,48,52,49,55,101,45,48,53,32,51,46,53,57,50,48,55,101,45,48,53,32,51,
      46,49,57,49,54,51,101,45,48,53,32,50,46,56,51,53,49,54,101,45,48,53,32,50,46,
      53,49,55,57,49,101,45,48,53,32,50,46,50,51,53,55,50,101,45,48,53,32,49,46,57,
      56,52,55,57,101,45,48,53,10,32,32,49,46,55,54,49,54,56,101,45,48,53,32,49,46,
      53,54,51,51,55,101,45,48,53,32,49,46,51,56,55,49,53,101,45,48,53,32,49,46,50,
      51,48,54,49,101,45,48,53,32,49,46,48,57,49,53,56,101,45,48,53,32,57,46,54,56,
      49,51,52,101,45,48,54,32,56,46,53,56,53,50,50,101,45,48,54,10,32,32,55,46,54,
      49,50,53,49,101,45,48,54,32,54,46,57,51,50,50,57,101,45,48,54,32,54,46,51,49,
      50,52,51,101,45,48,54,32,53,46,55,52,55,54,53,101,45,48,54,32,53,46,50,51,51,
      49,101,45,48,54,32,52,46,55,54,52,53,50,101,45,48,54,32,52,46,50,56,53,53,52,
      101,45,48,54,10,32,32,51,46,55,52,55,49,54,101,45,48,54,32,51,46,50,55,54,101,
      45,48,54,32,50,46,56,54,51,56,51,101,45,48,54,32,50,46,53,48,51,51,50,101,45,
      48,54,32,50,46,49,56,56,48,50,101,45,48,54,32,49,46,57,49,50,51,50,101,45,48,
      54,32,49,46,54,55,49,50,52,101,45,48,54,10,32,32,49,46,52,54,48,52,53,101,45,
      48,54,32,49,46,50,55,54,49,55,101,45,48,54,32,49,46,49,49,53,48,57,101,45,48,
      54,32,57,46,55,52,50,55,57,101,45,48,55,32,56,46,53,49,50,48,53,101,45,48,55,
      32,55,46,52,51,54,52,55,101,45,48,55,32,54,46,52,57,54,52,54,101,45,48,55,10,
      32,32,53,46,54,55,52,56,55,101,45,48,55,32,52,46,57,53,55,48,50,101,45,48,55,
      32,52,46,51,50,57,56,51,101,45,48,55,32,51,46,55,56,49,56,56,101,45,48,55,32,
      51,46,51,48,51,49,56,101,45,48,55,32,50,46,56,56,52,57,57,101,45,48,55,32,50,
      46,53,49,57,52,55,101,45,48,55,10,32,32,50,46,50,48,48,53,55,101,45,48,55,32,
      49,46,57,50,49,56,52,101,45,48,55,32,49,46,54,55,56,51,56,101,45,48,55,32,49,
      46,52,54,53,55,52,101,45,48,55,32,49,46,50,56,48,48,49,101,45,48,55,32,49,46,
      49,49,55,56,101,45,48,55,32,57,46,55,54,49,51,50,101,45,48,56,10,32,32,56,46,
      53,50,52,48,54,101,45,48,56,32,55,46,52,52,51,53,52,101,45,48,56,32,54,46,52,
      57,57,56,57,101,45,48,56,32,53,46,54,55,53,53,50,101,45,48,56,32,52,46,57,53,
      53,50,57,101,45,48,56,32,52,46,51,50,54,52,51,101,45,48,56,32,51,46,55,55,55,
      51,54,101,45,48,56,10,32,32,51,46,50,57,55,57,54,101,45,48,56,32,50,46,53,49,
      51,57,49,101,45,48,56,32,49,46,57,49,54,50,101,45,48,56,32,49,46,52,54,48,54,
      50,101,45,48,56,32,49,46,49,49,51,51,52,101,45,48,56,32,56,46,52,56,54,51,49,
      101,45,48,57,32,54,46,52,54,56,53,57,101,45,48,57,10,32,32,52,46,57,51,48,54,
      51,101,45,48,57,32,51,46,55,53,56,51,52,101,45,48,57,32,50,46,56,54,52,55,57,
      101,45,48,57,32,50,46,49,56,51,54,57,101,45,48,57,32,49,46,54,54,52,51,56,101,
      45,48,57,32,49,46,50,54,56,53,51,101,45,48,57,32,57,46,54,54,56,53,101,45,49,
      48,10,32,32,55,46,51,54,57,50,55,101,45,49,48,32,53,46,54,49,54,57,51,101,45,
      49,48,32,52,46,50,56,49,51,54,101,45,49,48,32,51,46,50,54,51,52,50,101,45,49,
      48,32,50,46,52,56,55,53,54,101,45,49,48,32,49,46,56,57,54,50,101,45,49,48,32,
      49,46,52,52,53,52,53,101,45,49,48,10,32,32,49,46,49,48,49,56,56,101,45,49,48,
      32,56,46,51,57,57,57,52,101,45,49,49,32,54,46,52,48,51,54,54,101,45,49,49,32,
      52,46,56,56,49,57,51,101,45,49,49,32,51,46,55,50,49,57,49,101,45,49,49,32,50,
      46,56,51,55,54,101,45,49,49,32,50,46,49,54,51,52,54,101,45,49,49,10,32,32,49,
      46,54,52,57,53,51,101,45,49,49,32,49,46,50,53,55,53,53,101,45,49,49,32,49,46,
      57,56,54,50,50,101,45,50,49,32,49,46,53,48,52,57,53,101,45,49,56,32,55,46,54,
      50,57,49,49,101,45,49,56,32,57,46,51,53,54,57,57,101,45,49,56,32,49,46,53,48,
      51,50,50,101,45,49,54,10,32,32,55,46,54,49,54,53,101,45,49,54,32,50,46,52,48,
      52,52,49,101,45,49,53,32,53,46,56,53,54,48,53,101,45,49,53,32,49,46,50,49,49,
      53,55,101,45,49,52,32,50,46,50,51,55,54,50,101,45,49,52,32,51,46,56,53,51,54,
      51,101,45,49,52,32,54,46,49,53,54,52,55,101,45,49,52,10,32,32,57,46,51,51,50,
      49,53,101,45,49,52,32,49,46,51,53,57,49,49,101,45,49,51,32,49,46,57,49,53,48,
      50,101,45,49,51,32,50,46,54,50,52,49,51,101,45,49,51,32,51,46,53,48,52,57,55,
      101,45,49,51,32,52,46,53,55,56,57,57,101,45,49,51,32,53,46,56,55,54,57,51,101,
      45,49,51,10,32,32,55,46,52,50,54,55,50,101,45,49,51,32,57,46,50,53,53,55,101,
      45,49,51,32,49,46,49,51,52,49,54,101,45,49,50,32,49,46,51,55,52,54,56,101,45,
      49,50,32,49,46,54,53,48,48,49,101,45,49,50,32,49,46,57,54,51,101,45,49,50,32,
      50,46,51,48,57,54,49,101,45,49,50,10,32,32,50,46,54,57,48,54,101,45,49,50,32,
      51,46,49,49,51,57,52,101,45,49,50,32,51,46,53,56,50,48,51,101,45,49,50,32,52,
      46,48,57,54,53,49,101,45,49,50,32,52,46,54,51,52,48,56,101,45,49,50,32,53,46,
      50,49,56,50,56,101,45,49,50,32,53,46,56,53,49,48,57,101,45,49,50,10,32,32,54,
      46,53,51,52,55,101,45,49,50,32,55,46,50,52,56,49,56,101,45,49,50,32,55,46,57,
      57,50,48,56,101,45,49,50,32,56,46,55,56,53,54,56,101,45,49,50,32,57,46,54,51,
      48,56,53,101,45,49,50,32,49,46,48,53,50,54,55,101,45,49,49,32,49,46,49,52,50,
      49,50,101,45,49,49,10,32,32,49,46,50,51,54,53,52,101,45,49,49,32,49,46,51,51,
      54,48,57,101,45,49,49,32,49,46,52,52,48,56,56,101,45,49,49,32,49,46,53,52,55,
      53,52,101,45,49,49,32,49,46,54,53,54,52,53,101,45,49,49,32,49,46,55,55,48,52,
      56,101,45,49,49,32,49,46,56,56,57,55,101,45,49,49,10,32,32,50,46,48,49,51,57,
      101,45,49,49,32,50,46,49,51,55,56,53,101,45,49,49,32,50,46,50,54,54,57,52,101,
      45,49,49,32,50,46,52,48,49,51,49,101,45,49,49,32,50,46,53,52,49,48,52,101,45,
      49,49,32,50,46,54,56,51,55,57,101,45,49,49,32,50,46,56,51,48,48,51,101,45,49,
      49,10,32,32,50,46,57,56,49,55,101,45,49,49,32,51,46,49,51,56,57,50,101,45,49,
      49,32,51,46,51,48,49,54,56,101,45,49,49,32,51,46,52,54,56,54,57,101,45,49,49,
      32,51,46,54,52,49,52,53,101,45,49,49,32,51,46,56,50,48,49,49,101,45,49,49,32,
      52,46,48,48,52,55,50,101,45,49,49,10,32,32,52,46,49,57,54,53,54,101,45,49,49,
      32,52,46,51,57,53,53,51,101,45,49,49,32,52,46,54,48,48,56,55,101,45,49,49,32,
      52,46,56,49,50,55,101,45,49,49,32,53,46,48,51,49,53,56,101,45,49,49,32,53,46,
      50,54,50,54,49,101,45,49,49,32,53,46,53,48,48,55,51,101,45,49,49,10,32,32,53,
      46,55,52,54,48,55,101,45,49,49,32,53,46,57,57,56,55,52,101,45,49,49,32,54,46,
      50,54,52,50,50,101,45,49,49,32,54,46,53,52,49,52,49,101,45,49,49,32,54,46,56,
      50,54,56,101,45,49,49,32,55,46,49,50,48,52,53,101,45,49,49,32,55,46,52,50,51,
      53,55,101,45,49,49,10,32,32,55,46,55,52,52,57,57,101,45,49,49,32,56,46,48,55,
      53,54,52,101,45,49,49,32,56,46,52,49,53,55,53,101,45,49,49,32,56,46,55,54,53,
      52,54,101,45,49,49,32,57,46,49,50,57,57,51,101,45,49,49,32,57,46,53,48,55,57,
      52,101,45,49,49,32,57,46,56,57,54,53,51,101,45,49,49,10,32,32,49,46,48,50,57,
      53,56,101,45,49,48,32,49,46,48,55,48,53,56,101,45,49,48,32,49,46,49,49,50,54,
      55,101,45,49,48,32,49,46,49,53,53,56,57,101,45,49,48,32,49,46,50,48,48,50,51,
      101,45,49,48,32,49,46,50,52,53,55,49,101,45,49,48,32,49,46,50,57,49,50,57,101,
      45,49,48,10,32,32,49,46,51,51,55,51,51,101,45,49,48,32,49,46,51,56,52,53,49,
      101,45,49,48,32,49,46,52,51,50,55,57,101,45,49,48,32,49,46,52,56,49,54,54,101,
      45,49,48,32,49,46,53,50,55,54,51,101,45,49,48,32,49,46,53,55,52,53,56,101,45,
      49,48,32,49,46,54,50,50,53,49,101,45,49,48,10,32,32,49,46,54,55,49,52,50,101,
      45,49,48,32,49,46,55,49,54,49,54,101,45,49,48,32,49,46,55,53,56,54,52,101,45,
      49,48,32,49,46,56,48,49,57,53,101,45,49,48,32,49,46,56,52,54,48,57,101,45,49,
      48,32,49,46,56,56,57,52,51,101,45,49,48,32,49,46,57,50,50,54,56,101,45,49,48,
      10,32,32,49,46,57,53,54,55,53,101,45,49,48,32,49,46,57,57,49,54,50,101,45,49,
      48,32,50,46,48,50,55,51,101,45,49,48,32,50,46,48,53,51,50,56,101,45,49,48,32,
      50,46,48,55,52,51,52,101,45,49,48,32,50,46,48,57,54,52,56,101,45,49,48,32,50,
      46,49,49,57,54,53,101,45,49,48,10,32,32,50,46,49,52,49,48,54,101,45,49,48,32,
      50,46,49,52,55,51,57,101,45,49,48,32,50,46,49,53,53,52,50,101,45,49,48,32,50,
      46,49,54,53,48,49,101,45,49,48,32,50,46,49,55,54,49,56,101,45,49,48,32,50,46,
      49,55,53,57,53,101,45,49,48,32,50,46,49,55,49,48,54,101,45,49,48,10,32,32,50,
      46,49,54,56,52,57,101,45,49,48,32,50,46,49,54,56,48,51,101,45,49,48,32,50,46,
      49,54,54,53,51,101,45,49,48,32,50,46,49,53,49,54,51,101,45,49,48,32,50,46,49,
      51,57,54,56,101,45,49,48,32,50,46,49,51,48,51,56,101,45,49,48,32,50,46,49,50,
      51,52,57,101,45,49,48,10,32,32,50,46,49,48,56,48,54,101,45,49,48,32,50,46,48,
      57,48,50,53,101,45,49,48,32,50,46,48,55,53,52,52,101,45,49,48,32,50,46,48,54,
      51,51,101,45,49,48,32,50,46,48,53,49,51,51,101,45,49,48,32,50,46,48,51,49,48,
      51,101,45,49,48,32,50,46,48,49,51,55,56,101,45,49,48,10,32,32,49,46,57,57,57,
      50,53,101,45,49,48,32,49,46,57,56,55,49,56,101,45,49,48,32,49,46,57,55,48,54,
      50,101,45,49,48,32,49,46,57,53,51,53,101,45,49,48,32,49,46,57,51,56,57,53,101,
      45,49,48,32,49,46,57,50,54,55,49,101,45,49,48,32,49,46,57,49,53,50,57,101,45,
      49,48,10,32,32,49,46,57,48,48,50,54,101,45,49,48,32,49,46,56,56,55,52,57,101,
      45,49,48,32,49,46,56,55,54,55,53,101,45,49,48,32,49,46,56,54,55,56,56,101,45,
      49,48,32,49,46,56,53,55,56,101,45,49,48,32,49,46,56,52,56,49,57,101,45,49,48,
      32,49,46,56,52,48,50,56,101,45,49,48,10,32,32,49,46,56,51,51,57,51,101,45,49,
      48,32,49,46,56,50,56,54,54,101,45,49,48,32,49,46,56,50,51,50,54,101,45,49,48,
      32,49,46,56,49,57,50,101,45,49,48,32,49,46,56,49,54,51,55,101,45,49,48,32,49,
      46,56,49,52,54,56,101,45,49,48,32,49,46,56,49,52,50,53,101,45,49,48,10,32,32,
      49,46,56,49,52,56,57,101,45,49,48,32,49,46,56,49,54,52,52,101,45,49,48,32,49,
      46,56,49,56,56,53,101,45,49,48,32,49,46,56,50,50,53,51,101,45,49,48,32,49,46,
      56,50,56,55,49,101,45,49,48,32,49,46,56,51,53,53,51,101,45,49,48,32,49,46,56,
      52,53,53,53,101,45,49,48,10,32,32,49,46,56,56,49,101,45,49,48,32,49,46,57,53,
      55,55,50,101,45,49,48,32,50,46,49,53,53,48,49,101,45,49,48,32,50,46,52,54,51,
      48,51,101,45,49,48,32,50,46,56,57,52,57,51,101,45,49,48,32,51,46,52,56,52,48,
      53,101,45,49,48,32,52,46,50,51,55,55,50,101,45,49,48,10,32,32,53,46,49,53,57,
      52,50,101,45,49,48,32,54,46,50,49,54,55,51,101,45,49,48,32,55,46,51,54,55,52,
      101,45,49,48,32,56,46,53,52,56,55,53,101,45,49,48,32,57,46,55,53,48,50,50,101,
      45,49,48,32,49,46,48,57,56,53,55,101,45,48,57,32,49,46,50,53,56,56,51,101,45,
      48,57,10,32,32,49,46,52,52,55,53,53,101,45,48,57,32,49,46,55,55,49,49,56,101,
      45,48,57,32,50,46,50,52,52,54,56,101,45,48,57,32,50,46,57,53,52,53,55,101,45,
      48,57,32,52,46,51,54,57,53,53,101,45,48,57,32,54,46,54,56,55,50,52,101,45,48,
      57,32,49,46,48,50,48,55,57,101,45,48,56,10,32,32,49,46,53,53,57,55,51,101,45,
      48,56,32,50,46,48,50,51,57,101,45,48,56,32,50,46,50,52,54,55,51,101,45,48,56,
      32,50,46,49,56,57,57,50,101,45,48,56,32,50,46,49,48,50,48,49,101,45,48,56,32,
      50,46,48,54,55,52,50,101,45,48,56,32,50,46,49,50,48,55,53,101,45,48,56,10,32,
      32,50,46,50,57,55,48,53,101,45,48,56,32,50,46,54,54,53,48,49,101,45,48,56,32,
      51,46,51,55,49,101,45,48,56,32,52,46,56,55,52,48,57,101,45,48,56,32,55,46,54,
      54,54,49,55,101,45,48,56,32,49,46,51,49,53,56,49,101,45,48,55,32,50,46,49,55,
      50,101,45,48,55,10,32,32,50,46,51,57,49,56,53,101,45,48,55,32,50,46,49,51,49,
      49,53,101,45,48,55,32,49,46,55,55,57,52,57,101,45,48,55,32,49,46,53,50,51,52,
      52,101,45,48,55,32,49,46,52,49,57,56,53,101,45,48,55,32,49,46,52,51,51,55,54,
      101,45,48,55,32,49,46,53,54,57,53,56,101,45,48,55,10,32,32,49,46,56,51,48,50,
      49,101,45,48,55,32,50,46,50,54,54,55,49,101,45,48,55,32,51,46,48,51,53,49,51,
      101,45,48,55,32,52,46,52,54,51,51,53,101,45,48,55,32,54,46,50,48,55,53,53,101,
      45,48,55,32,56,46,52,55,48,51,57,101,45,48,55,32,49,46,49,48,57,57,50,101,45,
      48,54,10,32,32,49,46,53,49,55,57,101,45,48,54,32,50,46,51,50,56,50,53,101,45,
      48,54,32,51,46,50,51,57,57,101,45,48,54,32,51,46,57,55,54,49,57,101,45,48,54,
      32,52,46,52,53,50,48,50,101,45,48,54,32,53,46,49,51,52,50,101,45,48,54,32,53,
      46,57,54,53,50,55,101,45,48,54,10,32,32,54,46,54,57,48,56,57,101,45,48,54,32,
      55,46,48,52,53,48,55,101,45,48,54,32,55,46,50,52,50,49,53,101,45,48,54,32,55,
      46,54,55,48,52,56,101,45,48,54,32,56,46,55,50,51,48,50,101,45,48,54,32,49,46,
      48,51,48,51,50,101,45,48,53,32,49,46,49,55,57,50,56,101,45,48,53,10,32,32,49,
      46,53,48,57,51,51,101,45,48,53,32,49,46,56,56,55,48,51,101,45,48,53,32,50,46,
      51,52,51,51,101,45,48,53,32,50,46,57,53,49,49,101,45,48,53,32,51,46,53,49,48,
      50,57,101,45,48,53,32,51,46,57,55,56,53,52,101,45,48,53,32,52,46,50,57,57,56,
      50,101,45,48,53,10,32,32,52,46,53,54,53,51,57,101,45,48,53,32,52,46,56,49,54,
      57,56,101,45,48,53,32,53,46,49,48,52,49,52,101,45,48,53,32,53,46,51,50,48,51,
      55,101,45,48,53,32,53,46,53,54,52,52,55,101,45,48,53,32,54,46,48,57,55,48,51,
      101,45,48,53,32,54,46,53,53,50,48,57,101,45,48,53,10,32,32,55,46,53,52,53,55,
      101,45,48,53,32,57,46,48,48,51,52,54,101,45,48,53,32,46,48,48,48,49,48,48,55,
      57,50,32,46,48,48,48,49,49,50,57,50,53,32,46,48,48,48,49,51,52,52,52,57,32,
      46,48,48,48,49,54,48,56,51,57,32,46,48,48,48,49,55,53,56,32,46,48,48,48,49,
      57,56,52,50,54,10,32,32,46,48,48,48,50,49,48,53,48,57,32,46,48,48,48,50,50,
      54,54,54,49,32,46,48,48,48,50,49,51,49,49,49,32,46,48,48,48,50,51,54,53,51,
      56,32,46,48,48,48,50,52,54,54,48,53,32,46,48,48,48,50,54,54,53,54,57,32,46,
      48,48,48,50,56,57,53,48,57,32,46,48,48,48,51,48,57,50,55,54,10,32,32,46,48,
      48,48,51,50,57,53,56,56,32,46,48,48,48,51,52,57,48,52,53,32,46,48,48,48,51,
      54,56,53,56,56,32,46,48,48,48,51,57,48,54,51,56,32,46,48,48,48,52,49,48,53,
      49,50,32,46,48,48,48,52,51,50,54,56,51,32,46,48,48,48,52,52,57,49,53,54,32,
      46,48,48,48,52,55,54,50,53,10,32,32,46,48,48,48,52,57,50,57,55,52,32,46,48,
      48,48,53,49,51,56,51,51,32,46,48,48,48,53,54,50,53,48,53,32,46,48,48,48,54,
      50,56,57,56,55,32,46,48,48,48,54,57,50,50,56,52,32,46,48,48,48,55,54,55,55,
      51,53,32,46,48,48,48,56,51,55,54,53,56,32,46,48,48,48,57,49,50,54,49,57,10,
      32,32,46,48,48,48,57,54,54,54,53,52,32,46,48,48,49,48,53,51,56,52,32,46,48,
      48,49,49,49,53,57,54,32,46,48,48,49,49,51,49,53,56,32,46,48,48,49,49,51,56,
      56,52,32,46,48,48,49,49,51,51,57,54,32,46,48,48,49,49,49,56,49,55,32,46,48,
      48,49,48,57,51,53,55,10,32,32,46,48,48,49,48,53,54,57,57,32,46,48,48,49,48,
      49,51,53,50,32,46,48,48,48,57,55,49,52,53,49,32,46,48,48,48,57,50,54,56,57,
      57,32,46,48,48,48,56,56,48,56,49,57,32,46,48,48,48,56,50,55,50,55,50,32,46,
      48,48,48,55,54,55,48,57,55,32,46,48,48,48,55,48,49,54,49,50,10,32,32,46,48,
      48,48,54,52,52,55,55,56,32,46,48,48,48,53,56,52,54,53,54,32,46,48,48,48,53,
      51,51,54,50,55,32,46,48,48,48,52,56,53,55,53,52,32,46,48,48,48,52,51,54,51,
      56,32,46,48,48,48,51,56,55,56,57,55,32,46,48,48,48,51,53,51,53,51,53,32,46,
      48,48,48,51,49,55,48,48,52,10,32,32,46,48,48,48,50,56,55,54,49,55,32,46,48,
      48,48,50,53,56,56,55,55,32,46,48,48,48,50,51,50,55,50,52,32,46,48,48,48,50,
      48,56,57,55,55,32,46,48,48,48,49,56,55,52,53,53,32,46,48,48,48,49,54,55,57,
      57,52,32,46,48,48,48,49,53,48,52,50,54,32,46,48,48,48,49,51,52,53,57,10,32,
      32,46,48,48,48,49,50,48,51,51,51,32,46,48,48,48,49,48,55,53,49,50,32,57,46,
      53,57,57,57,56,101,45,48,53,32,56,46,53,54,55,49,56,101,45,48,53,32,55,46,54,
      52,49,54,54,101,45,48,53,32,54,46,56,49,50,57,101,45,48,53,32,54,46,48,55,49,
      50,51,101,45,48,53,10,32,32,53,46,52,48,55,57,56,101,45,48,53,32,52,46,56,49,
      53,51,55,101,45,48,53,32,52,46,50,56,54,49,53,101,45,48,53,32,51,46,56,49,51,
      56,50,101,45,48,53,32,51,46,51,57,50,53,101,45,48,53,32,51,46,48,49,54,56,55,
      101,45,48,53,32,50,46,54,56,50,49,50,101,45,48,53,10,32,32,50,46,51,56,51,56,
      53,101,45,48,53,32,50,46,49,49,56,50,53,101,45,48,53,32,49,46,56,56,49,56,53,
      101,45,48,53,32,49,46,54,55,49,52,54,101,45,48,53,32,49,46,52,56,52,51,101,
      45,48,53,32,49,46,51,49,55,56,54,101,45,48,53,32,49,46,49,54,57,56,57,101,45,
      48,53,10,32,32,49,46,48,51,56,51,54,101,45,48,53,32,57,46,50,49,52,56,49,101,
      45,48,54,32,56,46,49,55,54,49,101,45,48,54,32,55,46,50,53,51,54,49,101,45,48,
      54,32,54,46,54,48,56,49,53,101,45,48,54,32,54,46,48,49,57,55,101,45,48,54,32,
      53,46,52,56,51,50,56,101,45,48,54,10,32,32,52,46,57,57,52,51,52,101,45,48,54,
      32,52,46,53,52,56,56,54,101,45,48,54,32,52,46,48,57,51,50,53,101,45,48,54,32,
      51,46,53,56,48,57,53,101,45,48,54,32,51,46,49,51,50,52,50,101,45,48,54,32,50,
      46,55,51,57,55,56,101,45,48,54,32,50,46,51,57,54,49,51,101,45,48,54,10,32,32,
      50,46,48,57,53,52,101,45,48,54,32,49,46,56,51,50,49,54,101,45,48,54,32,49,46,
      54,48,49,56,53,101,45,48,54,32,49,46,52,48,48,51,57,101,45,48,54,32,49,46,50,
      50,52,49,57,101,45,48,54,32,49,46,48,55,48,48,56,101,45,48,54,32,57,46,51,53,
      51,50,101,45,48,55,10,32,32,56,46,49,55,52,56,53,101,45,48,55,32,55,46,49,52,
      52,53,52,101,45,48,55,32,54,46,50,52,51,55,101,45,48,55,32,53,46,52,53,54,50,
      49,101,45,48,55,32,52,46,55,54,55,56,51,101,45,48,55,32,52,46,49,54,54,49,52,
      101,45,48,55,32,51,46,54,52,48,50,50,101,45,48,55,10,32,32,51,46,49,56,48,53,
      54,101,45,48,55,32,50,46,55,55,56,55,54,101,45,48,55,32,50,46,52,50,55,52,50,
      101,45,48,55,32,50,46,49,50,48,55,56,101,45,48,55,32,49,46,56,53,50,54,55,101,
      45,48,55,32,49,46,54,49,56,52,50,101,45,48,55,32,49,46,52,49,51,55,53,101,45,
      48,55,10,32,32,49,46,50,51,52,57,51,101,45,48,55,32,49,46,48,55,56,55,49,101,
      45,48,55,32,57,46,52,50,50,50,53,101,45,48,56,32,56,46,50,50,57,57,53,101,45,
      48,56,32,55,46,49,56,56,52,49,101,45,48,56,32,54,46,50,55,56,53,55,101,45,48,
      56,32,53,46,52,56,51,56,101,45,48,56,10,32,32,52,46,55,56,57,53,54,101,45,48,
      56,32,52,46,49,56,51,49,54,101,45,48,56,32,51,46,54,53,51,52,57,101,45,48,56,
      32,51,46,49,57,48,56,53,101,45,48,56,32,50,46,52,51,51,56,50,101,45,48,56,32,
      49,46,56,53,53,57,53,101,45,48,56,32,49,46,52,49,53,49,57,101,45,48,56,10,32,
      32,49,46,48,55,57,48,57,101,45,48,56,32,56,46,50,50,55,57,49,101,45,48,57,32,
      54,46,50,55,51,54,52,101,45,48,57,32,52,46,55,56,51,53,101,45,48,57,32,51,46,
      54,52,55,50,57,101,45,48,57,32,50,46,55,56,48,57,53,101,45,48,57,32,50,46,49,
      50,48,51,57,101,45,48,57,10,32,32,49,46,54,49,54,55,52,101,45,48,57,32,49,46,
      50,51,50,55,51,101,45,48,57,32,57,46,51,57,57,50,57,101,45,49,48,32,55,46,49,
      54,54,56,49,101,45,49,48,32,53,46,52,54,52,51,51,101,45,49,48,32,52,46,49,54,
      53,57,56,101,45,49,48,32,51,46,49,55,54,49,55,101,45,49,48,10,32,32,50,46,52,
      50,49,53,55,101,45,49,48,32,49,46,56,52,54,50,56,101,45,49,48,32,49,46,52,48,
      55,54,57,101,45,49,48,32,49,46,48,55,51,51,101,45,49,48,32,56,46,49,56,51,54,
      52,101,45,49,49,32,54,46,50,51,57,57,50,101,45,49,49,32,52,46,55,53,55,57,54,
      101,45,49,49,10,32,32,51,46,54,50,56,48,49,101,45,49,49,32,50,46,55,54,54,52,
      55,101,45,49,49,32,50,46,49,48,57,53,55,101,45,49,49,32,49,46,54,48,56,54,57,
      101,45,49,49,32,49,46,50,50,54,55,57,101,45,49,49,32,56,46,56,53,48,49,54,101,
      45,50,50,32,56,46,56,56,50,50,55,101,45,49,57,10,32,32,52,46,53,48,50,55,50,
      101,45,49,56,32,53,46,53,50,50,53,50,101,45,49,56,32,56,46,56,55,49,56,101,
      45,49,55,32,52,46,52,57,52,57,51,101,45,49,54,32,49,46,52,49,56,56,56,101,45,
      49,53,32,51,46,52,53,53,52,52,101,45,49,53,32,55,46,49,52,56,50,52,101,45,49,
      53,10,32,32,49,46,51,50,48,48,51,101,45,49,52,32,50,46,51,52,52,52,56,101,45,
      49,52,32,51,46,55,52,52,57,101,45,49,52,32,53,46,54,55,53,54,54,101,45,49,52,
      32,56,46,50,54,52,51,52,101,45,49,52,32,49,46,49,54,52,50,51,101,45,49,51,32,
      49,46,53,57,52,57,57,101,45,49,51,10,32,32,50,46,49,50,57,56,57,101,45,49,51,
      32,50,46,55,56,49,56,55,101,45,49,51,32,51,46,53,54,57,52,57,101,45,49,51,32,
      52,46,53,48,57,53,55,101,45,49,51,32,53,46,54,49,56,53,54,101,45,49,51,32,54,
      46,56,56,50,56,54,101,45,49,51,32,56,46,51,52,48,49,53,101,45,49,51,10,32,32,
      49,46,48,48,48,55,54,101,45,49,50,32,49,46,49,57,48,50,52,101,45,49,50,32,49,
      46,52,101,45,49,50,32,49,46,54,51,48,52,56,101,45,49,50,32,49,46,56,56,54,52,
      56,101,45,49,50,32,50,46,49,54,57,52,51,101,45,49,50,32,50,46,52,56,48,51,101,
      45,49,50,32,50,46,56,48,53,48,53,101,45,49,50,10,32,32,51,46,49,53,55,56,52,
      101,45,49,50,32,51,46,53,51,57,56,53,101,45,49,50,32,51,46,57,53,50,51,56,101,
      45,49,50,32,52,46,51,56,50,56,51,101,45,49,50,32,52,46,56,51,49,53,53,101,45,
      49,50,32,53,46,51,49,48,49,49,101,45,49,50,32,53,46,56,49,57,54,101,45,49,50,
      10,32,32,54,46,51,53,57,52,57,101,45,49,50,32,54,46,56,57,56,53,55,101,45,49,
      50,32,55,46,52,54,55,52,57,101,45,49,50,32,56,46,48,54,55,49,49,101,45,49,50,
      32,56,46,54,57,56,49,57,101,45,49,50,32,57,46,51,52,48,52,50,101,45,49,50,32,
      57,46,57,57,54,50,52,101,45,49,50,10,32,32,49,46,48,54,56,50,55,101,45,49,49,
      32,49,46,49,52,48,48,50,101,45,49,49,32,49,46,50,49,52,55,54,101,45,49,49,32,
      49,46,50,56,57,51,53,101,45,49,49,32,49,46,51,54,55,48,50,101,45,49,49,32,49,
      46,52,52,55,56,53,101,45,49,49,32,49,46,53,51,49,56,57,101,45,49,49,10,32,32,
      49,46,54,49,55,55,53,101,45,49,49,32,49,46,55,48,53,54,56,101,45,49,49,32,49,
      46,55,57,54,56,56,101,45,49,49,32,49,46,56,57,49,51,57,101,45,49,49,32,49,46,
      57,56,57,50,49,101,45,49,49,32,50,46,48,56,57,53,56,101,45,49,49,32,50,46,49,
      57,51,51,56,101,45,49,49,10,32,32,50,46,51,48,48,55,49,101,45,49,49,32,50,46,
      52,49,49,53,57,101,45,49,49,32,50,46,53,50,54,56,101,45,49,49,32,50,46,54,52,
      54,50,53,101,45,49,49,32,50,46,55,54,57,53,50,101,45,49,49,32,50,46,56,57,54,
      54,53,101,45,49,49,32,51,46,48,50,55,57,56,101,45,49,49,10,32,32,51,46,49,54,
      54,53,54,101,45,49,49,32,51,46,51,48,57,51,53,101,45,49,49,32,51,46,52,53,54,
      52,53,101,45,49,49,32,51,46,54,48,55,57,50,101,45,49,49,32,51,46,55,54,55,48,
      49,101,45,49,49,32,51,46,57,51,51,48,53,101,45,49,49,32,52,46,49,48,51,57,54,
      101,45,49,49,10,32,32,52,46,50,55,57,55,57,101,45,49,49,32,52,46,52,54,49,50,
      52,101,45,49,49,32,52,46,54,53,51,53,51,101,45,49,49,32,52,46,56,53,49,51,51,
      101,45,49,49,32,53,46,48,53,52,55,51,101,45,49,49,32,53,46,50,54,51,56,101,
      45,49,49,32,53,46,52,56,49,54,49,101,45,49,49,10,32,32,53,46,55,48,55,52,53,
      101,45,49,49,32,53,46,57,51,57,53,49,101,45,49,49,32,54,46,49,55,55,57,49,101,
      45,49,49,32,54,46,52,50,50,54,53,101,45,49,49,32,54,46,54,55,51,56,51,101,45,
      49,49,32,54,46,57,51,49,54,54,101,45,49,49,32,55,46,49,57,54,49,52,101,45,49,
      49,10,32,32,55,46,52,54,55,50,56,101,45,49,49,32,55,46,55,51,57,48,56,101,45,
      49,49,32,56,46,48,49,51,53,51,101,45,49,49,32,56,46,50,57,52,54,52,101,45,49,
      49,32,56,46,53,56,50,50,56,101,45,49,49,32,56,46,56,55,51,52,101,45,49,49,32,
      57,46,49,52,55,53,101,45,49,49,10,32,32,57,46,52,50,55,51,52,101,45,49,49,32,
      57,46,55,49,50,57,55,101,45,49,49,32,49,46,48,48,48,52,53,101,45,49,48,32,49,
      46,48,50,55,49,52,101,45,49,48,32,49,46,48,53,50,53,101,45,49,48,32,49,46,48,
      55,56,51,54,101,45,49,48,32,49,46,49,48,52,55,101,45,49,48,10,32,32,49,46,49,
      51,48,53,57,101,45,49,48,32,49,46,49,53,48,53,51,101,45,49,48,32,49,46,49,55,
      48,57,54,101,45,49,48,32,49,46,49,57,49,56,55,101,45,49,48,32,49,46,50,49,51,
      50,54,101,45,49,48,32,49,46,50,50,56,57,52,101,45,49,48,32,49,46,50,52,49,55,
      50,101,45,49,48,10,32,32,49,46,50,53,53,49,52,101,45,49,48,32,49,46,50,54,57,
      49,55,101,45,49,48,32,49,46,50,56,50,49,55,101,45,49,48,32,49,46,50,56,54,50,
      57,101,45,49,48,32,49,46,50,57,49,52,101,45,49,48,32,49,46,50,57,55,52,51,101,
      45,49,48,32,49,46,51,48,52,51,55,101,45,49,48,10,32,32,49,46,51,48,52,53,56,
      101,45,49,48,32,49,46,51,48,50,48,51,101,45,49,48,32,49,46,51,48,48,56,52,101,
      45,49,48,32,49,46,51,48,48,56,56,101,45,49,48,32,49,46,51,48,48,51,101,45,49,
      48,32,49,46,50,57,49,55,56,101,45,49,48,32,49,46,50,56,52,57,56,101,45,49,48,
      10,32,32,49,46,50,55,57,55,53,101,45,49,48,32,49,46,50,55,53,57,50,101,45,49,
      48,32,49,46,50,54,55,48,50,101,45,49,48,32,49,46,50,53,54,54,57,101,45,49,48,
      32,49,46,50,52,56,49,50,101,45,49,48,32,49,46,50,52,49,49,51,101,45,49,48,32,
      49,46,50,51,52,50,51,101,45,49,48,10,32,32,49,46,50,50,50,51,53,101,45,49,48,
      32,49,46,50,49,50,50,56,101,45,49,48,32,49,46,50,48,51,56,49,101,45,49,48,32,
      49,46,49,57,54,56,49,101,45,49,48,32,49,46,49,56,55,49,49,101,45,49,48,32,49,
      46,49,55,55,48,55,101,45,49,48,32,49,46,49,54,56,53,52,101,45,49,48,10,32,32,
      49,46,49,54,49,52,101,45,49,48,32,49,46,49,53,52,55,51,101,45,49,48,32,49,46,
      49,52,53,57,101,45,49,48,32,49,46,49,51,56,52,101,45,49,48,32,49,46,49,51,50,
      49,50,101,45,49,48,32,49,46,49,50,54,57,53,101,45,49,48,32,49,46,49,50,49,48,
      53,101,45,49,48,10,32,32,49,46,49,49,53,52,50,101,45,49,48,32,49,46,49,49,48,
      56,49,101,45,49,48,32,49,46,49,48,55,49,51,101,45,49,48,32,49,46,49,48,52,48,
      56,101,45,49,48,32,49,46,49,48,48,57,55,101,45,49,48,32,49,46,48,57,56,54,52,
      101,45,49,48,32,49,46,48,57,55,48,54,101,45,49,48,10,32,32,49,46,48,57,54,49,
      53,101,45,49,48,32,49,46,48,57,54,101,45,49,48,32,49,46,48,57,54,52,56,101,
      45,49,48,32,49,46,48,57,55,53,50,101,45,49,48,32,49,46,48,57,57,48,54,101,45,
      49,48,32,49,46,49,48,49,51,55,101,45,49,48,32,49,46,49,48,53,49,55,101,45,49,
      48,10,32,32,49,46,49,48,57,51,54,101,45,49,48,32,49,46,49,49,53,53,49,101,45,
      49,48,32,49,46,49,51,55,48,56,101,45,49,48,32,49,46,49,56,51,53,56,101,45,49,
      48,32,49,46,51,48,50,55,56,101,45,49,48,32,49,46,52,56,56,52,55,101,45,49,48,
      32,49,46,55,52,56,52,49,101,45,49,48,10,32,32,50,46,49,48,50,51,50,101,45,49,
      48,32,50,46,53,53,52,50,49,101,45,49,48,32,51,46,49,48,53,54,101,45,49,48,32,
      51,46,55,51,54,53,56,101,45,49,48,32,52,46,52,50,49,53,57,101,45,49,48,32,53,
      46,49,50,51,51,56,101,45,49,48,32,53,46,56,51,53,54,55,101,45,49,48,10,32,32,
      54,46,53,54,54,56,57,101,45,49,48,32,55,46,53,48,54,51,54,101,45,49,48,32,56,
      46,54,48,53,51,50,101,45,49,48,32,49,46,48,53,48,50,50,101,45,48,57,32,49,46,
      51,50,54,56,49,101,45,48,57,32,49,46,55,52,48,53,101,45,48,57,32,50,46,53,53,
      52,56,101,45,48,57,10,32,32,51,46,56,55,48,54,51,101,45,48,57,32,53,46,56,52,
      52,49,56,101,45,48,57,32,56,46,56,51,52,55,50,101,45,48,57,32,49,46,49,52,48,
      48,54,101,45,48,56,32,49,46,50,54,52,54,53,101,45,48,56,32,49,46,50,51,53,57,
      50,101,45,48,56,32,49,46,49,56,57,57,101,45,48,56,10,32,32,49,46,49,55,51,50,
      57,101,45,48,56,32,49,46,50,48,53,50,50,101,45,48,56,32,49,46,51,48,53,49,57,
      101,45,48,56,32,49,46,53,49,49,101,45,48,56,32,49,46,57,48,50,54,49,101,45,
      48,56,32,50,46,55,51,48,54,56,101,45,48,56,32,52,46,50,54,51,52,54,101,45,48,
      56,10,32,32,55,46,50,57,50,54,51,101,45,48,56,32,49,46,50,48,56,55,53,101,45,
      48,55,32,49,46,51,51,49,51,49,101,45,48,55,32,49,46,49,56,50,56,49,101,45,48,
      55,32,57,46,56,54,50,50,101,45,48,56,32,56,46,52,53,50,48,50,101,45,48,56,32,
      55,46,56,57,48,50,50,101,45,48,56,10,32,32,55,46,57,55,53,57,50,101,45,48,56,
      32,56,46,55,51,48,51,50,101,45,48,56,32,49,46,48,49,54,56,54,101,45,48,55,32,
      49,46,50,53,55,53,49,101,45,48,55,32,49,46,54,56,50,50,101,45,48,55,32,50,46,
      52,55,55,52,50,101,45,48,55,32,51,46,52,54,48,56,54,101,45,48,55,10,32,32,52,
      46,55,53,52,48,53,101,45,48,55,32,54,46,50,56,52,50,53,101,45,48,55,32,56,46,
      55,49,54,56,54,101,45,48,55,32,49,46,51,55,50,55,101,45,48,54,32,49,46,57,53,
      55,56,51,101,45,48,54,32,50,46,52,51,56,51,57,101,45,48,54,32,50,46,55,52,55,
      56,49,101,45,48,54,10,32,32,51,46,49,57,51,48,50,101,45,48,54,32,51,46,55,52,
      53,49,52,101,45,48,54,32,52,46,50,50,52,48,51,101,45,48,54,32,52,46,52,52,49,
      51,53,101,45,48,54,32,52,46,53,52,54,54,57,101,45,48,54,32,52,46,56,49,53,54,
      101,45,48,54,32,53,46,53,50,51,53,101,45,48,54,10,32,32,54,46,54,50,48,55,54,
      101,45,48,54,32,55,46,54,55,54,50,51,101,45,48,54,32,49,46,48,48,53,56,101,
      45,48,53,32,49,46,50,56,50,54,52,101,45,48,53,32,49,46,54,49,57,53,56,101,45,
      48,53,32,50,46,48,54,54,55,49,101,45,48,53,32,50,46,52,55,51,51,49,101,45,48,
      53,10,32,32,50,46,56,49,48,51,51,101,45,48,53,32,51,46,48,51,57,56,56,101,45,
      48,53,32,51,46,50,50,56,54,56,101,45,48,53,32,51,46,52,48,55,53,101,45,48,53,
      32,51,46,54,49,49,55,50,101,45,48,53,32,51,46,55,54,53,53,56,101,45,48,53,32,
      51,46,57,51,57,54,52,101,45,48,53,10,32,32,52,46,51,50,48,48,55,101,45,48,53,
      32,52,46,54,52,53,52,53,101,45,48,53,32,53,46,51,53,53,51,50,101,45,48,53,32,
      54,46,51,57,54,48,55,101,45,48,53,32,55,46,49,54,53,49,54,101,45,48,53,32,56,
      46,48,51,52,54,55,101,45,48,53,32,57,46,53,56,54,49,52,101,45,48,53,10,32,32,
      46,48,48,48,49,49,53,48,53,54,32,46,48,48,48,49,50,54,48,51,53,32,46,48,48,
      48,49,52,50,55,50,52,32,46,48,48,48,49,53,49,54,55,56,32,46,48,48,48,49,54,
      51,54,52,49,32,46,48,48,48,49,53,51,50,52,57,32,46,48,48,48,49,55,48,54,49,
      53,32,46,48,48,48,49,55,56,49,50,49,10,32,32,46,48,48,48,49,57,51,48,55,54,
      32,46,48,48,48,50,49,48,51,54,52,32,46,48,48,48,50,50,53,51,51,55,32,46,48,
      48,48,50,52,48,56,48,50,32,46,48,48,48,50,53,53,54,57,56,32,46,48,48,48,50,
      55,48,55,52,52,32,46,48,48,48,50,56,55,56,50,53,32,46,48,48,48,51,48,51,51,
      49,55,10,32,32,46,48,48,48,51,50,48,55,48,57,32,46,48,48,48,51,51,51,54,57,
      51,32,46,48,48,48,51,53,53,49,53,57,32,46,48,48,48,51,54,56,52,54,54,32,46,
      48,48,48,51,56,53,49,50,56,32,46,48,48,48,52,50,52,51,53,49,32,46,48,48,48,
      52,55,56,55,49,57,32,46,48,48,48,53,51,49,51,54,54,10,32,32,46,48,48,48,53,
      57,53,51,52,57,32,46,48,48,48,54,53,53,57,55,53,32,46,48,48,48,55,50,50,54,
      56,50,32,46,48,48,48,55,55,50,48,56,32,46,48,48,48,56,53,53,52,55,50,32,46,
      48,48,48,57,49,55,52,52,32,46,48,48,48,57,51,55,50,54,55,32,46,48,48,48,57,
      53,48,54,52,52,10,32,32,46,48,48,48,57,53,53,51,53,55,32,46,48,48,48,57,52,
      56,57,56,32,46,48,48,48,57,51,52,51,52,51,32,46,48,48,48,57,48,57,51,57,53,
      32,46,48,48,48,56,55,55,53,52,53,32,46,48,48,48,56,52,53,52,51,54,32,46,48,
      48,48,56,49,48,52,51,54,32,46,48,48,48,55,55,51,52,53,56,10,32,32,46,48,48,
      48,55,50,57,56,48,53,32,46,48,48,48,54,56,48,48,48,51,32,46,48,48,48,54,50,
      52,57,55,54,32,46,48,48,48,53,55,54,54,52,32,46,48,48,48,53,50,53,48,49,53,
      32,46,48,48,48,52,56,48,56,53,32,46,48,48,48,52,51,57,49,50,54,32,46,48,48,
      48,51,57,53,55,56,54,10,32,32,46,48,48,48,51,53,50,57,53,51,32,46,48,48,48,
      51,50,50,52,52,32,46,48,48,48,50,56,57,56,53,55,32,46,48,48,48,50,54,51,53,
      52,50,32,46,48,48,48,50,51,55,55,49,32,46,48,48,48,50,49,52,49,49,57,32,46,
      48,48,48,49,57,50,54,51,51,32,46,48,48,48,49,55,51,49,49,10,32,32,46,48,48,
      48,49,53,53,52,48,54,32,46,48,48,48,49,51,57,51,56,49,32,46,48,48,48,49,50,
      52,56,57,57,32,46,48,48,48,49,49,49,56,51,51,32,46,48,48,48,49,48,48,48,54,
      49,32,56,46,57,52,54,57,52,101,45,48,53,32,55,46,57,57,52,56,101,45,48,53,32,
      55,46,49,51,57,55,54,101,45,48,53,10,32,32,54,46,51,55,50,55,52,101,45,48,53,
      32,53,46,54,56,53,51,49,101,45,48,53,32,53,46,48,54,57,55,101,45,48,53,32,52,
      46,53,49,56,57,50,101,45,48,53,32,52,46,48,50,54,51,53,101,45,48,53,32,51,46,
      53,56,54,48,54,101,45,48,53,32,51,46,49,57,50,56,49,101,45,48,53,10,32,32,50,
      46,56,52,49,55,53,101,45,48,53,32,50,46,53,50,56,53,52,101,45,48,53,32,50,46,
      50,52,57,50,52,101,45,48,53,32,50,46,48,48,48,50,52,101,45,48,53,32,49,46,55,
      55,56,52,101,45,48,53,32,49,46,53,56,48,55,56,101,45,48,53,32,49,46,52,48,52,
      55,56,101,45,48,53,10,32,32,49,46,50,52,56,49,50,101,45,48,53,32,49,46,49,48,
      56,55,50,101,45,48,53,32,57,46,56,52,55,101,45,48,54,32,56,46,55,52,52,48,56,
      101,45,48,54,32,55,46,55,54,51,50,50,101,45,48,54,32,54,46,56,57,49,52,54,101,
      45,48,54,32,54,46,50,56,49,48,57,101,45,48,54,10,32,32,53,46,55,50,52,51,50,
      101,45,48,54,32,53,46,50,49,54,53,101,45,48,54,32,52,46,55,53,51,51,52,101,
      45,48,54,32,52,46,51,51,49,48,56,101,45,48,54,32,51,46,56,57,56,57,57,101,45,
      48,54,32,51,46,52,49,50,56,52,101,45,48,54,32,50,46,57,56,54,57,52,101,45,48,
      54,10,32,32,50,46,54,49,51,56,57,101,45,48,54,32,50,46,50,56,55,49,56,101,45,
      48,54,32,50,46,48,48,49,48,57,101,45,48,54,32,49,46,55,53,48,54,50,101,45,48,
      54,32,49,46,53,51,49,51,54,101,45,48,54,32,49,46,51,51,57,52,51,101,45,48,54,
      32,49,46,49,55,49,52,54,101,45,48,54,10,32,32,49,46,48,50,52,52,55,101,45,48,
      54,32,56,46,57,53,56,49,49,101,45,48,55,32,55,46,56,51,50,53,53,101,45,48,55,
      32,54,46,56,52,55,57,55,101,45,48,55,32,53,46,57,56,54,56,49,101,45,48,55,32,
      53,46,50,51,51,54,51,101,45,48,55,32,52,46,53,55,52,57,54,101,45,48,55,10,32,
      32,51,46,57,57,56,57,57,101,45,48,55,32,51,46,52,57,53,51,55,101,45,48,55,32,
      51,46,48,53,53,48,52,101,45,48,55,32,50,46,54,55,48,48,52,101,45,48,55,32,50,
      46,51,51,51,50,56,101,45,48,55,32,50,46,48,51,57,50,51,101,45,48,55,32,49,46,
      55,56,50,48,52,101,45,48,55,10,32,32,49,46,53,53,55,50,51,101,45,48,55,32,49,
      46,51,54,48,55,52,101,45,48,55,32,49,46,49,56,56,57,55,101,45,48,55,32,49,46,
      48,51,56,56,52,101,45,48,55,32,57,46,48,55,54,52,56,101,45,48,56,32,55,46,57,
      51,48,48,50,101,45,48,56,32,54,46,57,50,56,49,56,101,45,48,56,10,32,32,54,46,
      48,53,50,55,56,101,45,48,56,32,53,46,50,56,55,56,57,101,45,48,56,32,52,46,54,
      49,57,53,55,101,45,48,56,32,52,46,48,51,53,54,51,101,45,48,56,32,51,46,53,50,
      53,52,53,101,45,48,56,32,51,46,48,55,57,55,49,101,45,48,56,32,50,46,51,53,48,
      48,56,101,45,48,56,10,32,32,49,46,55,57,51,49,57,101,45,48,56,32,49,46,51,54,
      56,50,50,101,45,48,56,32,49,46,48,52,51,57,51,101,45,48,56,32,55,46,57,54,52,
      53,50,101,45,48,57,32,54,46,48,55,53,101,45,48,57,32,52,46,54,51,51,53,56,101,
      45,48,57,32,51,46,53,51,52,49,101,45,48,57,10,32,32,50,46,54,57,53,52,56,101,
      45,48,57,32,50,46,48,53,53,56,51,101,45,48,57,32,49,46,53,54,55,57,54,101,45,
      48,57,32,49,46,49,57,53,56,54,101,45,48,57,32,57,46,49,50,48,54,57,101,45,49,
      48,32,54,46,57,53,54,50,50,101,45,49,48,32,53,46,51,48,53,52,50,101,45,49,48,
      10,32,32,52,46,48,52,54,51,57,101,45,49,48,32,51,46,48,56,54,49,53,101,45,49,
      48,32,50,46,51,53,51,56,101,45,49,48,32,49,46,55,57,53,50,53,101,45,49,48,32,
      49,46,51,54,57,49,50,101,45,49,48,32,49,46,48,52,52,49,49,101,45,49,48,32,55,
      46,57,54,50,54,57,101,45,49,49,10,32,32,54,46,48,55,50,54,53,101,45,49,49,32,
      52,46,54,51,49,51,101,45,49,49,32,51,46,53,51,50,49,101,45,49,49,32,50,46,54,
      57,51,56,51,101,45,49,49,32,50,46,48,53,52,53,52,101,45,49,49,32,49,46,53,54,
      54,57,56,101,45,49,49,32,49,46,49,57,53,49,56,101,45,49,49,10,32,32,50,46,50,
      55,50,48,55,101,45,50,50,32,52,46,49,51,56,48,51,101,45,49,57,32,50,46,48,57,
      55,55,50,101,45,49,56,32,50,46,53,55,50,56,50,101,45,49,56,32,52,46,49,51,51,
      51,55,101,45,49,55,32,50,46,48,57,52,51,55,101,45,49,54,32,54,46,54,49,49,57,
      53,101,45,49,54,10,32,32,49,46,54,49,48,52,57,101,45,49,53,32,51,46,51,51,50,
      50,55,101,45,49,53,32,54,46,49,53,52,57,55,101,45,49,53,32,49,46,50,49,55,51,
      101,45,49,52,32,49,46,57,52,52,57,54,101,45,49,52,32,50,46,57,52,56,54,51,101,
      45,49,52,32,52,46,50,57,52,57,51,101,45,49,52,10,32,32,54,46,48,53,50,54,50,
      101,45,49,52,32,56,46,50,57,53,50,56,101,45,49,52,32,49,46,49,48,56,49,55,101,
      45,49,51,32,49,46,52,52,56,48,49,101,45,49,51,32,49,46,56,53,56,56,49,101,45,
      49,51,32,50,46,51,52,57,52,53,101,45,49,51,32,50,46,57,50,56,54,52,101,45,49,
      51,10,32,32,51,46,53,56,57,51,55,101,45,49,51,32,52,46,51,53,49,52,54,101,45,
      49,51,32,53,46,50,50,52,48,57,101,45,49,51,32,54,46,50,49,54,51,54,101,45,49,
      51,32,55,46,51,49,53,53,53,101,45,49,51,32,56,46,53,50,52,48,55,101,45,49,51,
      32,57,46,56,54,55,51,49,101,45,49,51,10,32,32,49,46,49,51,53,51,101,45,49,50,
      32,49,46,50,57,56,54,52,101,45,49,50,32,49,46,52,54,57,51,51,101,45,49,50,32,
      49,46,54,53,52,56,56,101,45,49,50,32,49,46,56,53,53,57,50,101,45,49,50,32,50,
      46,48,55,51,49,54,101,45,49,50,32,50,46,50,57,57,57,50,101,45,49,50,10,32,32,
      50,46,53,51,54,51,57,101,45,49,50,32,50,46,55,56,56,55,49,101,45,49,50,32,51,
      46,48,53,55,52,57,101,45,49,50,32,51,46,51,52,50,52,51,101,45,49,50,32,51,46,
      54,50,54,57,53,101,45,49,50,32,51,46,57,50,55,51,51,101,45,49,50,32,52,46,50,
      52,52,48,55,101,45,49,50,10,32,32,52,46,53,55,55,53,54,101,45,49,50,32,52,46,
      57,49,54,57,56,101,45,49,50,32,53,46,50,54,51,54,50,101,45,49,50,32,53,46,54,
      50,54,53,55,101,45,49,50,32,54,46,48,48,54,49,101,45,49,50,32,54,46,52,48,49,
      53,53,101,45,49,50,32,54,46,55,57,54,49,55,101,45,49,50,10,32,32,55,46,50,48,
      55,50,101,45,49,50,32,55,46,54,51,53,49,49,101,45,49,50,32,56,46,48,56,48,49,
      49,101,45,49,50,32,56,46,53,51,52,56,101,45,49,50,32,57,46,48,48,48,53,55,101,
      45,49,50,32,57,46,52,56,51,55,51,101,45,49,50,32,57,46,57,56,52,54,101,45,49,
      50,10,32,32,49,46,48,53,48,51,50,101,45,49,49,32,49,46,49,48,51,53,51,101,45,
      49,49,32,49,46,49,53,56,53,57,101,45,49,49,32,49,46,50,49,53,53,50,101,45,49,
      49,32,49,46,50,55,52,51,54,101,45,49,49,32,49,46,51,51,53,53,50,101,45,49,49,
      32,49,46,51,57,56,57,53,101,45,49,49,10,32,32,49,46,52,54,52,52,50,101,45,49,
      49,32,49,46,53,51,49,57,55,101,45,49,49,32,49,46,54,48,49,55,55,101,45,49,49,
      32,49,46,54,55,53,52,54,101,45,49,49,32,49,46,55,53,49,52,50,101,45,49,49,32,
      49,46,56,50,57,54,57,101,45,49,49,32,49,46,57,49,48,51,49,101,45,49,49,10,32,
      32,49,46,57,57,53,48,51,101,45,49,49,32,50,46,48,56,51,53,101,45,49,49,32,50,
      46,49,55,52,54,101,45,49,49,32,50,46,50,54,56,51,52,101,45,49,49,32,50,46,51,
      54,53,49,49,101,45,49,49,32,50,46,52,54,55,55,53,101,45,49,49,32,50,46,53,55,
      51,51,53,101,45,49,49,10,32,32,50,46,54,56,49,57,57,101,45,49,49,32,50,46,55,
      57,51,54,57,101,45,49,49,32,50,46,57,49,48,49,50,101,45,49,49,32,51,46,48,51,
      48,57,49,101,45,49,49,32,51,46,49,53,53,48,54,101,45,49,49,32,51,46,50,56,50,
      54,54,101,45,49,49,32,51,46,52,49,51,55,101,45,49,49,10,32,32,51,46,53,52,56,
      50,50,101,45,49,49,32,51,46,54,56,54,51,56,101,45,49,49,32,51,46,56,50,56,49,
      52,101,45,49,49,32,51,46,57,55,51,53,49,101,45,49,49,32,52,46,49,49,57,50,52,
      101,45,49,49,32,52,46,50,54,54,52,49,101,45,49,49,32,52,46,52,49,55,50,51,101,
      45,49,49,10,32,32,52,46,53,55,49,53,57,101,45,49,49,32,52,46,55,50,55,56,53,
      101,45,49,49,32,52,46,56,55,52,56,101,45,49,49,32,53,46,48,50,52,56,55,101,
      45,49,49,32,53,46,49,55,56,48,55,101,45,49,49,32,53,46,51,51,52,52,53,101,45,
      49,49,32,53,46,52,55,55,52,101,45,49,49,10,32,32,53,46,54,49,51,48,57,101,45,
      49,49,32,53,46,55,53,49,52,53,101,45,49,49,32,53,46,56,57,50,52,55,101,45,49,
      49,32,54,46,48,51,48,57,101,45,49,49,32,54,46,49,51,54,57,53,101,45,49,49,32,
      54,46,50,52,53,54,49,101,45,49,49,32,54,46,51,53,54,56,52,101,45,49,49,10,32,
      32,54,46,52,55,48,54,52,101,45,49,49,32,54,46,53,53,51,51,50,101,45,49,49,32,
      54,46,54,50,48,49,56,101,45,49,49,32,54,46,54,57,48,52,56,101,45,49,49,32,54,
      46,55,54,52,49,101,45,49,49,32,54,46,56,51,50,48,57,101,45,49,49,32,54,46,56,
      53,49,54,55,101,45,49,49,10,32,32,54,46,56,55,54,54,53,101,45,49,49,32,54,46,
      57,48,54,55,101,45,49,49,32,54,46,57,52,49,55,56,101,45,49,49,32,54,46,57,52,
      48,50,53,101,45,49,49,32,54,46,57,50,51,55,55,101,45,49,49,32,54,46,57,49,52,
      55,54,101,45,49,49,32,54,46,57,49,50,52,57,101,45,49,49,10,32,32,54,46,57,48,
      54,57,50,101,45,49,49,32,54,46,56,53,56,51,54,101,45,49,49,32,54,46,56,49,57,
      51,101,45,49,49,32,54,46,55,56,56,55,51,101,45,49,49,32,54,46,55,54,53,56,56,
      101,45,49,49,32,54,46,55,49,53,55,50,101,45,49,49,32,54,46,54,53,55,57,49,101,
      45,49,49,10,32,32,54,46,54,48,57,55,50,101,45,49,49,32,54,46,53,55,48,49,50,
      101,45,49,49,32,54,46,53,51,49,48,56,101,45,49,49,32,54,46,52,54,53,51,56,101,
      45,49,49,32,54,46,52,48,57,52,55,101,45,49,49,32,54,46,51,54,50,51,101,45,49,
      49,32,54,46,51,50,51,48,52,101,45,49,49,10,32,32,54,46,50,54,57,52,101,45,49,
      49,32,54,46,50,49,52,48,50,101,45,49,49,32,54,46,49,54,54,56,56,101,45,49,49,
      32,54,46,49,50,55,49,55,101,45,49,49,32,54,46,48,57,48,48,57,101,45,49,49,32,
      54,46,48,52,49,52,57,101,45,49,49,32,54,46,48,48,48,49,50,101,45,49,49,10,32,
      32,53,46,57,54,53,50,56,101,45,49,49,32,53,46,57,51,54,52,50,101,45,49,49,32,
      53,46,57,48,51,55,52,101,45,49,49,32,53,46,56,55,50,53,54,101,45,49,49,32,53,
      46,56,52,54,56,52,101,45,49,49,32,53,46,56,50,54,49,49,101,45,49,49,32,53,46,
      56,48,56,56,51,101,45,49,49,10,32,32,53,46,55,57,49,49,56,101,45,49,49,32,53,
      46,55,55,55,55,57,101,45,49,49,32,53,46,55,54,56,51,52,101,45,49,49,32,53,46,
      55,54,50,53,52,101,45,49,49,32,53,46,55,54,48,55,56,101,45,49,49,32,53,46,55,
      54,50,52,51,101,45,49,49,32,53,46,55,54,54,57,57,101,45,49,49,10,32,32,53,46,
      55,55,52,51,49,101,45,49,49,32,53,46,55,56,53,54,54,101,45,49,49,32,53,46,56,
      48,53,48,49,101,45,49,49,32,53,46,56,50,54,52,49,101,45,49,49,32,53,46,56,53,
      55,56,56,101,45,49,49,32,53,46,57,54,57,56,52,101,45,49,49,32,54,46,50,49,50,
      56,53,101,45,49,49,10,32,32,54,46,56,51,57,50,52,101,45,49,49,32,55,46,56,49,
      56,55,57,101,45,49,49,32,57,46,49,57,51,57,101,45,49,49,32,49,46,49,48,55,49,
      56,101,45,49,48,32,49,46,51,52,55,55,51,101,45,49,48,32,49,46,54,52,50,50,53,
      101,45,49,48,32,49,46,57,56,48,52,53,101,45,49,48,10,32,32,50,46,51,52,56,55,
      55,101,45,49,48,32,50,46,55,50,55,48,57,101,45,49,48,32,51,46,49,49,49,57,50,
      101,45,49,48,32,51,46,53,48,55,55,52,101,45,49,48,32,52,46,48,49,55,55,54,101,
      45,49,48,32,52,46,54,49,55,50,57,101,45,49,48,32,53,46,54,53,53,53,101,45,49,
      48,10,32,32,55,46,49,55,57,55,101,45,49,48,32,57,46,52,55,49,57,56,101,45,49,
      48,32,49,46,52,48,53,54,56,101,45,48,57,32,50,46,49,53,56,57,55,101,45,48,57,
      32,51,46,51,48,49,52,49,101,45,48,57,32,53,46,48,52,54,50,50,101,45,48,57,32,
      54,46,53,52,53,57,55,101,45,48,57,10,32,32,55,46,50,54,54,51,50,101,45,48,57,
      32,55,46,48,56,51,56,57,101,45,48,57,32,54,46,56,48,48,53,51,101,45,48,57,32,
      54,46,54,56,56,57,50,101,45,48,57,32,54,46,56,54,49,53,101,45,48,57,32,55,46,
      52,51,49,57,49,101,45,48,57,32,56,46,54,50,50,50,55,101,45,48,57,10,32,32,49,
      46,48,57,48,52,53,101,45,48,56,32,49,46,53,55,53,54,57,101,45,48,56,32,50,46,
      52,55,55,52,49,101,45,48,56,32,52,46,50,54,54,48,51,101,45,48,56,32,55,46,49,
      49,52,57,52,101,45,48,56,32,55,46,56,51,55,51,50,101,45,48,56,32,54,46,57,52,
      50,55,52,101,45,48,56,10,32,32,53,46,55,54,55,55,56,101,45,48,56,32,52,46,57,
      50,54,54,51,101,45,48,56,32,52,46,53,56,56,55,53,101,45,48,56,32,52,46,54,51,
      51,50,56,101,45,48,56,32,53,46,48,55,50,50,50,101,45,48,56,32,53,46,57,49,53,
      51,49,101,45,48,56,32,55,46,51,51,48,53,54,101,45,48,56,10,32,32,57,46,56,51,
      53,48,55,101,45,48,56,32,49,46,52,53,52,51,54,101,45,48,55,32,50,46,48,52,48,
      48,53,101,45,48,55,32,50,46,56,49,53,54,51,101,45,48,55,32,51,46,55,52,50,52,
      101,45,48,55,32,53,46,50,51,53,56,55,101,45,48,55,32,56,46,51,56,48,55,54,101,
      45,48,55,10,32,32,49,46,50,49,52,54,52,101,45,48,54,32,49,46,53,50,55,57,55,
      101,45,48,54,32,49,46,55,50,57,53,57,101,45,48,54,32,50,46,48,50,48,53,51,101,
      45,48,54,32,50,46,51,56,54,48,54,101,45,48,54,32,50,46,55,48,49,57,55,101,45,
      48,54,32,50,46,56,51,56,48,51,101,45,48,54,10,32,32,50,46,56,57,54,54,56,101,
      45,48,54,32,51,46,48,54,56,101,45,48,54,32,51,46,53,52,49,48,50,101,45,48,54,
      32,52,46,50,57,49,49,49,101,45,48,54,32,53,46,48,50,52,52,56,101,45,48,54,32,
      54,46,55,48,55,50,54,101,45,48,54,32,56,46,54,57,54,48,52,101,45,48,54,10,32,
      32,49,46,49,49,52,50,54,101,45,48,53,32,49,46,52,51,57,53,50,101,45,48,53,32,
      49,46,55,51,51,50,49,101,45,48,53,32,49,46,57,55,52,53,55,101,45,48,53,32,50,
      46,49,51,55,56,49,101,45,48,53,32,50,46,50,55,49,51,57,101,45,48,53,32,50,46,
      51,57,55,56,56,101,45,48,53,10,32,32,50,46,53,52,50,52,50,101,45,48,53,32,50,
      46,54,53,49,51,57,101,45,48,53,32,50,46,55,55,52,57,51,101,45,48,53,32,51,46,
      48,52,53,53,50,101,45,48,53,32,51,46,50,55,55,49,56,101,45,48,53,32,51,46,55,
      56,49,57,56,101,45,48,53,32,52,46,53,50,48,54,50,101,45,48,53,10,32,32,53,46,
      48,54,54,49,101,45,48,53,32,53,46,54,56,51,54,53,101,45,48,53,32,54,46,55,56,
      57,54,55,101,45,48,53,32,56,46,49,54,55,49,52,101,45,48,53,32,56,46,57,54,48,
      54,101,45,48,53,32,46,48,48,48,49,48,49,55,51,51,32,46,48,48,48,49,48,56,50,
      55,49,10,32,32,46,48,48,48,49,49,55,32,46,48,48,48,49,48,57,50,49,51,32,46,
      48,48,48,49,50,49,56,57,54,32,46,48,48,48,49,50,55,52,48,49,32,46,48,48,48,
      49,51,56,52,49,49,32,46,48,48,48,49,53,49,50,49,49,32,46,48,48,48,49,54,50,
      51,55,51,32,46,48,48,48,49,55,51,57,54,54,10,32,32,46,48,48,48,49,56,53,49,
      56,53,32,46,48,48,48,49,57,54,53,54,53,32,46,48,48,48,50,48,57,53,52,55,32,
      46,48,48,48,50,50,49,51,56,52,32,46,48,48,48,50,51,52,55,52,52,32,46,48,48,
      48,50,52,52,55,55,32,46,48,48,48,50,54,49,52,51,57,32,46,48,48,48,50,55,49,
      56,51,53,10,32,32,46,48,48,48,50,56,52,57,50,52,32,46,48,48,48,51,49,53,57,
      56,54,32,46,48,48,48,51,53,57,53,54,54,32,46,48,48,48,52,48,50,52,52,56,32,
      46,48,48,48,52,53,53,53,50,55,32,46,48,48,48,53,48,54,56,57,50,32,46,48,48,
      48,53,54,52,55,55,50,32,46,48,48,48,54,48,56,56,50,51,10,32,32,46,48,48,48,
      54,56,56,55,50,57,32,46,48,48,48,55,52,52,57,53,32,46,48,48,48,55,54,55,48,
      55,51,32,46,48,48,48,55,56,52,51,53,49,32,46,48,48,48,55,57,54,49,49,57,32,
      46,48,48,48,55,57,54,57,56,56,32,46,48,48,48,55,57,48,51,48,52,32,46,48,48,
      48,55,55,52,57,48,49,10,32,32,46,48,48,48,55,53,50,56,49,54,32,46,48,48,48,
      55,50,57,49,57,54,32,46,48,48,48,55,48,50,53,51,49,32,46,48,48,48,54,55,51,
      54,48,54,32,46,48,48,48,54,51,56,55,48,54,32,46,48,48,48,53,57,56,49,49,52,
      32,46,48,48,48,53,53,50,53,57,32,46,48,48,48,53,49,50,48,55,52,10,32,32,46,
      48,48,48,52,54,56,50,54,51,32,46,48,48,48,52,51,48,52,50,54,32,46,48,48,48,
      51,57,52,52,48,51,32,46,48,48,48,51,53,54,55,51,50,32,46,48,48,48,51,49,57,
      50,53,50,32,46,48,48,48,50,57,50,51,56,53,32,46,48,48,48,50,54,51,53,52,56,
      32,46,48,48,48,50,52,48,49,54,10,32,32,46,48,48,48,50,49,55,49,49,51,32,46,
      48,48,48,49,57,53,57,56,55,32,46,48,48,48,49,55,54,54,56,32,46,48,48,48,49,
      53,57,48,55,55,32,46,48,48,48,49,52,51,48,54,55,32,46,48,48,48,49,50,56,53,
      51,54,32,46,48,48,48,49,49,53,51,55,50,32,46,48,48,48,49,48,51,52,54,54,10,
      32,32,57,46,50,55,49,52,56,101,45,48,53,32,56,46,51,48,49,54,53,101,45,48,53,
      32,55,46,52,50,56,50,52,101,45,48,53,32,54,46,54,52,50,53,101,45,48,53,32,53,
      46,57,51,54,52,53,101,45,48,53,32,53,46,51,48,50,53,54,101,45,48,53,32,52,46,
      55,51,51,56,51,101,45,48,53,10,32,32,52,46,50,50,52,49,101,45,48,53,32,51,46,
      55,54,55,53,57,101,45,48,53,32,51,46,51,53,57,48,49,101,45,48,53,32,50,46,57,
      57,51,54,50,101,45,48,53,32,50,46,54,54,55,48,53,101,45,48,53,32,50,46,51,55,
      53,51,101,45,48,53,32,50,46,49,49,52,55,54,101,45,48,53,10,32,32,49,46,56,56,
      50,50,51,101,45,48,53,32,49,46,54,55,52,56,51,101,45,48,53,32,49,46,52,56,57,
      56,55,101,45,48,53,32,49,46,51,50,53,48,51,101,45,48,53,32,49,46,49,55,56,49,
      54,101,45,48,53,32,49,46,48,52,55,51,50,101,45,48,53,32,57,46,51,48,56,51,52,
      101,45,48,54,10,32,32,56,46,50,55,49,51,101,45,48,54,32,55,46,51,52,56,50,55,
      101,45,48,54,32,54,46,53,50,55,50,57,101,45,48,54,32,53,46,57,53,50,48,53,101,
      45,48,54,32,53,46,52,50,54,57,55,101,45,48,54,32,52,46,57,52,55,55,53,101,45,
      48,54,32,52,46,53,49,48,52,54,101,45,48,54,10,32,32,52,46,49,49,49,54,49,101,
      45,48,54,32,51,46,55,48,51,50,50,101,45,48,54,32,51,46,50,52,51,52,51,101,45,
      48,54,32,50,46,56,52,48,51,52,101,45,48,54,32,50,46,52,56,54,57,57,101,45,48,
      54,32,50,46,49,55,55,50,56,101,45,48,54,32,49,46,57,48,53,57,49,101,45,48,54,
      10,32,32,49,46,54,54,56,49,55,101,45,48,54,32,49,46,52,53,57,57,52,101,45,48,
      54,32,49,46,50,55,55,53,55,101,45,48,54,32,49,46,49,49,55,56,56,101,45,48,54,
      32,57,46,55,56,48,54,51,101,45,48,55,32,56,46,53,53,54,54,101,45,48,55,32,55,
      46,52,56,53,49,54,101,45,48,55,10,32,32,54,46,53,52,55,51,56,101,45,48,55,32,
      53,46,55,50,54,54,53,101,45,48,55,32,53,46,48,48,56,52,52,101,45,48,55,32,52,
      46,51,55,57,56,50,101,45,48,55,32,51,46,56,50,57,56,49,101,45,48,55,32,51,46,
      51,52,56,54,56,101,45,48,55,32,50,46,57,50,55,56,52,101,45,48,55,10,32,32,50,
      46,53,53,57,55,54,101,45,48,55,32,50,46,50,51,55,54,56,101,45,48,55,32,49,46,
      57,53,54,51,50,101,45,48,55,32,49,46,55,49,48,49,51,101,45,48,55,32,49,46,52,
      57,52,56,55,101,45,48,55,32,49,46,51,48,54,54,53,101,45,48,55,32,49,46,49,52,
      50,48,57,101,45,48,55,10,32,32,57,46,57,56,50,49,52,101,45,48,56,32,56,46,55,
      50,52,51,49,101,45,48,56,32,55,46,54,50,52,55,54,101,45,48,56,32,54,46,54,54,
      51,53,57,101,45,48,56,32,53,46,56,50,51,52,50,101,45,48,56,32,53,46,48,56,56,
      57,52,101,45,48,56,32,52,46,52,52,54,56,53,101,45,48,56,10,32,32,51,46,56,56,
      53,54,57,101,45,48,56,32,51,46,51,57,53,50,56,101,45,48,56,32,50,46,57,54,54,
      55,101,45,48,56,32,50,46,50,54,52,56,56,101,45,48,56,32,49,46,55,50,56,57,51,
      101,45,48,56,32,49,46,51,49,57,55,53,101,45,48,56,32,49,46,48,48,55,51,53,101,
      45,48,56,10,32,32,55,46,54,56,56,54,49,101,45,48,57,32,53,46,56,54,56,49,101,
      45,48,57,32,52,46,52,55,56,52,53,101,45,48,57,32,51,46,52,49,55,55,57,101,45,
      48,57,32,50,46,54,48,56,49,54,101,45,48,57,32,49,46,57,56,57,57,49,101,45,48,
      57,32,49,46,53,49,56,49,56,101,45,48,57,10,32,32,49,46,49,53,56,50,54,101,45,
      48,57,32,56,46,56,51,54,53,101,45,49,48,32,54,46,55,52,49,52,51,101,45,49,48,
      32,53,46,49,52,51,48,54,101,45,49,48,32,51,46,57,50,51,54,52,101,45,49,48,32,
      50,46,57,57,51,51,52,101,45,49,48,32,50,46,50,56,51,54,50,101,45,49,48,10,32,
      32,49,46,55,52,50,49,53,101,45,49,48,32,49,46,51,50,57,48,55,101,45,49,48,32,
      49,46,48,49,51,57,52,101,45,49,48,32,55,46,55,51,53,51,51,101,45,49,49,32,53,
      46,57,48,49,50,54,101,45,49,49,32,52,46,53,48,50,48,56,101,45,49,49,32,51,46,
      52,51,52,51,51,101,45,49,49,10,32,32,50,46,54,49,57,55,55,101,45,49,49,32,49,
      46,57,57,56,52,50,101,45,49,49,32,49,46,53,50,52,52,55,101,45,49,49,32,49,46,
      49,54,50,57,54,101,45,49,49,32,48,32,49,46,50,57,53,55,54,101,45,49,57,32,54,
      46,53,54,56,56,52,101,45,49,57,32,56,46,48,53,54,54,49,101,45,49,57,10,32,32,
      49,46,50,57,52,53,49,101,45,49,55,32,54,46,53,54,48,56,51,101,45,49,55,32,50,
      46,48,55,50,101,45,49,54,32,53,46,48,52,57,49,56,101,45,49,54,32,49,46,48,52,
      53,51,51,101,45,49,53,32,49,46,57,51,50,49,101,45,49,53,32,54,46,52,55,54,52,
      49,101,45,49,53,10,32,32,49,46,48,51,53,49,55,101,45,49,52,32,49,46,53,55,48,
      48,50,101,45,49,52,32,50,46,50,56,55,57,50,101,45,49,52,32,51,46,50,50,53,56,
      56,101,45,49,52,32,52,46,52,50,51,53,55,101,45,49,52,32,53,46,57,49,50,57,49,
      101,45,49,52,32,55,46,55,51,48,56,56,101,45,49,52,10,32,32,57,46,57,51,48,52,
      54,101,45,49,52,32,49,46,50,53,54,48,49,101,45,49,51,32,49,46,53,54,54,55,52,
      101,45,49,51,32,49,46,57,50,49,53,53,101,45,49,51,32,50,46,51,51,49,50,49,101,
      45,49,51,32,50,46,56,48,48,55,56,101,45,49,51,32,51,46,51,51,53,51,49,101,45,
      49,51,10,32,32,51,46,57,50,56,48,50,101,45,49,51,32,52,46,53,56,48,51,101,45,
      49,51,32,53,46,51,48,54,48,55,101,45,49,51,32,54,46,49,48,57,54,52,101,45,49,
      51,32,54,46,57,57,52,48,54,101,45,49,51,32,55,46,57,49,56,57,51,101,45,49,51,
      32,56,46,57,50,53,50,54,101,45,49,51,10,32,32,49,46,48,48,49,54,55,101,45,49,
      50,32,49,46,49,49,57,55,50,101,45,49,50,32,49,46,50,52,51,48,51,101,45,49,50,
      32,49,46,51,55,49,54,57,101,45,49,50,32,49,46,53,48,57,49,101,45,49,50,32,49,
      46,54,53,53,53,57,101,45,49,50,32,49,46,56,49,49,48,51,101,45,49,50,10,32,32,
      49,46,57,54,54,50,52,101,45,49,50,32,50,46,49,51,48,50,51,101,45,49,50,32,50,
      46,51,48,51,50,55,101,45,49,50,32,50,46,52,56,53,53,57,101,45,49,50,32,50,46,
      54,55,49,50,101,45,49,50,32,50,46,56,54,48,56,49,101,45,49,50,32,51,46,48,53,
      57,52,54,101,45,49,50,10,32,32,51,46,50,54,55,51,49,101,45,49,50,32,51,46,52,
      56,52,48,49,101,45,49,50,32,51,46,55,48,48,50,51,101,45,49,50,32,51,46,57,50,
      53,53,53,101,45,49,50,32,52,46,49,54,48,50,53,101,45,49,50,32,52,46,52,48,52,
      52,54,101,45,49,50,32,52,46,54,53,52,48,52,101,45,49,50,10,32,32,52,46,57,48,
      57,56,101,45,49,50,32,53,46,49,55,53,50,52,101,45,49,50,32,53,46,52,53,48,53,
      49,101,45,49,50,32,53,46,55,51,53,54,57,101,45,49,50,32,54,46,48,50,56,52,53,
      101,45,49,50,32,54,46,51,51,49,52,53,101,45,49,50,32,54,46,54,52,52,57,56,101,
      45,49,50,10,32,32,54,46,57,54,57,49,57,101,45,49,50,32,55,46,51,48,54,51,50,
      101,45,49,50,32,55,46,54,53,54,50,52,101,45,49,50,32,56,46,48,50,54,49,51,101,
      45,49,50,32,56,46,52,48,57,48,52,101,45,49,50,32,56,46,55,57,53,52,55,101,45,
      49,50,32,57,46,50,48,51,56,54,101,45,49,50,10,32,32,57,46,54,50,53,48,49,101,
      45,49,50,32,49,46,48,48,53,57,50,101,45,49,49,32,49,46,48,53,48,54,55,101,45,
      49,49,32,49,46,48,57,56,52,49,101,45,49,49,32,49,46,49,52,55,57,49,101,45,49,
      49,32,49,46,49,57,56,54,51,101,45,49,49,32,49,46,50,53,48,56,54,101,45,49,49,
      10,32,32,49,46,51,48,52,56,101,45,49,49,32,49,46,51,54,50,48,57,101,45,49,49,
      32,49,46,52,50,49,48,54,101,45,49,49,32,49,46,52,56,49,55,54,101,45,49,49,32,
      49,46,53,52,52,50,50,101,45,49,49,32,49,46,54,48,57,51,56,101,45,49,49,32,49,
      46,54,55,55,48,51,101,45,49,49,10,32,32,49,46,55,52,54,54,49,101,45,49,49,32,
      49,46,56,49,56,49,56,101,45,49,49,32,49,46,56,57,49,55,49,101,45,49,49,32,49,
      46,57,54,55,50,52,101,45,49,49,32,50,46,48,52,52,56,56,101,45,49,49,32,50,46,
      49,50,52,53,57,101,45,49,49,32,50,46,50,48,54,51,56,101,45,49,49,10,32,32,50,
      46,50,56,56,51,53,101,45,49,49,32,50,46,51,55,49,49,56,101,45,49,49,32,50,46,
      52,53,54,49,51,101,45,49,49,32,50,46,53,52,51,49,50,101,45,49,49,32,50,46,54,
      51,49,49,57,101,45,49,49,32,50,46,55,49,51,56,56,101,45,49,49,32,50,46,55,57,
      56,51,52,101,45,49,49,10,32,32,50,46,56,56,52,54,101,45,49,49,32,50,46,57,55,
      50,54,56,101,45,49,49,32,51,46,48,53,50,57,55,101,45,49,49,32,51,46,49,50,57,
      48,50,101,45,49,49,32,51,46,50,48,54,54,101,45,49,49,32,51,46,50,56,53,55,101,
      45,49,49,32,51,46,51,54,51,50,55,101,45,49,49,10,32,32,51,46,52,50,50,48,54,
      101,45,49,49,32,51,46,52,56,50,51,51,101,45,49,49,32,51,46,53,52,52,48,55,101,
      45,49,49,32,51,46,54,48,55,50,55,101,45,49,49,32,51,46,54,53,50,52,50,101,45,
      49,49,32,51,46,54,56,56,51,57,101,45,49,49,32,51,46,55,50,54,51,53,101,45,49,
      49,10,32,32,51,46,55,54,54,50,49,101,45,49,49,32,51,46,56,48,50,55,57,101,45,
      49,49,32,51,46,56,49,49,51,56,101,45,49,49,32,51,46,56,50,51,49,49,101,45,49,
      49,32,51,46,56,51,55,55,56,101,45,49,49,32,51,46,56,53,53,52,52,101,45,49,49,
      32,51,46,56,53,50,48,53,101,45,49,49,10,32,32,51,46,56,52,48,48,56,101,45,49,
      49,32,51,46,56,51,50,53,101,45,49,49,32,51,46,56,50,56,56,53,101,45,49,49,32,
      51,46,56,50,51,51,53,101,45,49,49,32,51,46,55,57,51,51,50,101,45,49,49,32,51,
      46,55,54,56,56,51,101,45,49,49,32,51,46,55,52,57,50,55,101,45,49,49,10,32,32,
      51,46,55,51,52,50,49,101,45,49,49,32,51,46,55,48,51,54,52,101,45,49,49,32,51,
      46,54,54,56,56,52,101,45,49,49,32,51,46,54,51,55,57,50,101,45,49,49,32,51,46,
      54,49,50,50,49,101,45,49,49,32,51,46,53,56,56,51,53,101,45,49,49,32,51,46,53,
      52,57,52,56,101,45,49,49,10,32,32,51,46,53,48,57,49,54,101,45,49,49,32,51,46,
      52,56,48,51,49,101,45,49,49,32,51,46,52,53,54,54,54,101,45,49,49,32,51,46,52,
      50,53,48,50,101,45,49,49,32,51,46,51,57,50,52,57,101,45,49,49,32,51,46,51,54,
      52,55,101,45,49,49,32,51,46,51,52,49,49,50,101,45,49,49,10,32,32,51,46,51,49,
      57,48,57,101,45,49,49,32,51,46,50,57,48,55,49,101,45,49,49,32,51,46,50,54,54,
      52,51,101,45,49,49,32,51,46,50,52,53,56,53,101,45,49,49,32,51,46,50,50,56,54,
      54,101,45,49,49,32,51,46,50,48,57,52,50,101,45,49,49,32,51,46,49,57,49,48,52,
      101,45,49,49,10,32,32,51,46,49,55,53,55,52,101,45,49,49,32,51,46,49,54,51,50,
      54,101,45,49,49,32,51,46,49,53,50,55,51,101,45,49,49,32,51,46,49,52,50,48,51,
      101,45,49,49,32,51,46,49,51,51,55,50,101,45,49,49,32,51,46,49,50,55,54,101,
      45,49,49,32,51,46,49,50,51,53,52,101,45,49,49,10,32,32,51,46,49,50,49,55,51,
      101,45,49,49,32,51,46,49,50,49,56,51,101,45,49,49,32,51,46,49,50,51,53,53,101,
      45,49,49,32,51,46,49,50,54,56,101,45,49,49,32,51,46,49,51,50,50,57,101,45,49,
      49,32,51,46,49,52,50,49,57,101,45,49,49,32,51,46,49,53,51,50,52,101,45,49,49,
      10,32,32,51,46,49,54,57,53,57,101,45,49,49,32,51,46,50,50,56,57,57,101,45,49,
      49,32,51,46,51,53,57,52,56,101,45,49,49,32,51,46,54,57,56,55,55,101,45,49,49,
      32,52,46,50,51,50,54,54,101,45,49,49,32,52,46,57,56,53,54,50,101,45,49,49,32,
      54,46,48,49,57,50,55,101,45,49,49,10,32,32,55,46,51,53,49,48,51,101,45,49,49,
      32,57,46,48,48,55,54,52,101,45,49,49,32,49,46,48,57,50,49,50,101,45,49,48,32,
      49,46,51,48,48,50,56,101,45,49,48,32,49,46,53,49,53,48,55,101,45,49,48,32,49,
      46,55,51,52,52,52,101,45,49,48,32,49,46,57,54,48,57,50,101,45,49,48,10,32,32,
      50,46,50,53,51,57,49,101,45,49,48,32,50,46,54,48,48,50,52,101,45,49,48,32,51,
      46,50,48,55,50,51,101,45,49,48,32,52,46,49,49,50,55,56,101,45,49,48,32,53,46,
      53,48,50,52,49,101,45,49,48,32,56,46,51,54,51,50,56,101,45,49,48,32,49,46,51,
      50,51,54,56,101,45,48,57,10,32,32,50,46,48,57,49,52,56,101,45,48,57,32,51,46,
      50,57,56,51,55,101,45,48,57,32,52,46,51,52,55,52,52,101,45,48,57,32,52,46,56,
      51,54,49,54,101,45,48,57,32,52,46,54,55,57,49,55,101,45,48,57,32,52,46,52,53,
      50,57,53,101,45,48,57,32,52,46,51,52,56,48,49,101,45,48,57,10,32,32,52,46,52,
      52,50,51,53,101,45,48,57,32,52,46,56,49,52,48,54,101,45,48,57,32,53,46,54,50,
      48,48,56,101,45,48,57,32,55,46,50,48,49,52,52,101,45,48,57,32,49,46,48,54,50,
      57,55,101,45,48,56,32,49,46,55,48,56,56,101,45,48,56,32,50,46,57,57,49,57,52,
      101,45,48,56,10,32,32,53,46,48,49,51,52,101,45,48,56,32,53,46,53,50,50,51,49,
      101,45,48,56,32,52,46,56,56,56,48,51,101,45,48,56,32,52,46,48,52,51,54,50,101,
      45,48,56,32,51,46,52,50,56,53,53,101,45,48,56,32,51,46,49,55,51,51,101,45,48,
      56,32,51,46,49,57,50,57,51,101,45,48,56,10,32,32,51,46,52,57,54,57,50,101,45,
      48,56,32,52,46,48,57,51,54,57,101,45,48,56,32,53,46,49,48,50,53,52,101,45,48,
      56,32,54,46,56,57,48,56,49,101,45,48,56,32,49,46,48,50,52,48,52,101,45,48,55,
      32,49,46,52,51,55,49,56,101,45,48,55,32,49,46,57,56,48,49,52,101,45,48,55,10,
      32,32,50,46,54,50,50,56,52,101,45,48,55,32,51,46,54,52,56,48,56,101,45,48,55,
      32,53,46,55,56,51,57,52,101,45,48,55,32,56,46,51,50,56,55,50,101,45,48,55,32,
      49,46,48,52,52,57,49,101,45,48,54,32,49,46,49,56,49,56,53,101,45,48,54,32,49,
      46,51,55,57,52,49,101,45,48,54,10,32,32,49,46,54,50,55,57,51,101,45,48,54,32,
      49,46,56,52,50,57,57,101,45,48,54,32,49,46,57,51,53,56,51,101,45,48,54,32,49,
      46,57,55,54,51,49,101,45,48,54,32,50,46,48,57,51,50,101,45,48,54,32,50,46,52,
      49,53,50,49,101,45,48,54,32,50,46,57,50,55,51,54,101,45,48,54,10,32,32,51,46,
      52,51,48,55,51,101,45,48,54,32,52,46,53,57,53,51,50,101,45,48,54,32,53,46,57,
      56,54,49,101,45,48,54,32,55,46,55,49,49,54,51,101,45,48,54,32,49,46,48,48,49,
      53,50,101,45,48,53,32,49,46,50,48,57,49,101,45,48,53,32,49,46,51,55,57,101,
      45,48,53,10,32,32,49,46,52,57,51,53,53,101,45,48,53,32,49,46,53,56,55,48,54,
      101,45,48,53,32,49,46,54,55,53,54,49,101,45,48,53,32,49,46,55,55,54,56,49,101,
      45,48,53,32,49,46,56,53,51,49,50,101,45,48,53,32,49,46,57,51,57,55,101,45,48,
      53,32,50,46,49,50,57,51,51,101,45,48,53,10,32,32,50,46,50,57,49,53,56,101,45,
      48,53,32,50,46,54,52,52,52,53,101,45,48,53,32,51,46,49,53,57,50,52,101,45,48,
      53,32,51,46,53,51,56,56,54,101,45,48,53,32,51,46,57,54,56,55,50,101,45,48,53,
      32,52,46,55,52,48,51,49,101,45,48,53,32,53,46,55,48,54,50,101,45,48,53,10,32,
      32,54,46,50,54,54,49,53,101,45,48,53,32,55,46,49,50,53,56,49,101,45,48,53,32,
      55,46,53,57,49,50,51,101,45,48,53,32,56,46,50,49,50,56,54,101,45,48,53,32,55,
      46,54,52,56,55,50,101,45,48,53,32,56,46,53,53,49,55,101,45,48,53,32,56,46,57,
      52,53,52,57,101,45,48,53,10,32,32,57,46,55,51,54,50,52,101,45,48,53,32,46,48,
      48,48,49,48,54,54,48,54,32,46,48,48,48,49,49,52,55,48,53,32,46,48,48,48,49,
      50,51,49,53,54,32,46,48,48,48,49,51,49,51,55,55,32,46,48,48,48,49,51,57,55,
      54,52,32,46,48,48,48,49,52,57,51,56,52,32,46,48,48,48,49,53,56,49,57,57,10,
      32,32,46,48,48,48,49,54,56,49,57,55,32,46,48,48,48,49,55,53,55,50,56,32,46,
      48,48,48,49,56,56,51,49,54,32,46,48,48,48,49,57,54,50,49,51,32,46,48,48,48,
      50,48,54,49,57,57,32,46,48,48,48,50,51,48,49,49,32,46,48,48,48,50,54,52,49,
      56,55,32,46,48,48,48,50,57,56,50,48,52,10,32,32,46,48,48,48,51,52,49,48,51,
      49,32,46,48,48,48,51,56,51,51,51,50,32,46,48,48,48,52,51,50,49,51,50,32,46,
      48,48,48,52,55,48,49,57,57,32,46,48,48,48,53,52,49,48,54,56,32,46,48,48,48,
      53,57,51,48,53,53,32,46,48,48,48,54,49,53,57,54,57,32,46,48,48,48,54,51,53,
      52,54,49,10,32,32,46,48,48,48,54,53,49,57,49,55,32,46,48,48,48,54,53,56,50,
      48,56,32,46,48,48,48,54,53,55,56,50,52,32,46,48,48,48,54,53,48,50,51,56,32,
      46,48,48,48,54,51,54,51,57,52,32,46,48,48,48,54,50,48,48,55,57,32,46,48,48,
      48,54,48,48,55,48,49,32,46,48,48,48,53,55,56,57,51,52,10,32,32,46,48,48,48,
      53,53,49,57,50,55,32,46,48,48,48,53,49,57,55,54,52,32,46,48,48,48,52,56,50,
      57,49,32,46,48,48,48,52,52,57,53,56,50,32,46,48,48,48,52,49,51,49,50,32,46,
      48,48,48,51,56,49,50,55,57,32,46,48,48,48,51,53,48,54,54,51,32,46,48,48,48,
      51,49,56,51,56,49,10,32,32,46,48,48,48,50,56,54,48,48,56,32,46,48,48,48,50,
      54,50,54,54,51,32,46,48,48,48,50,51,55,52,55,57,32,46,48,48,48,50,49,54,57,
      52,50,32,46,48,48,48,49,57,54,54,49,32,46,48,48,48,49,55,55,56,57,51,32,46,
      48,48,48,49,54,48,55,50,52,32,46,48,48,48,49,52,53,48,49,56,10,32,32,46,48,
      48,48,49,51,48,54,56,53,32,46,48,48,48,49,49,55,54,51,55,32,46,48,48,48,49,
      48,53,55,55,57,32,57,46,53,48,50,54,55,101,45,48,53,32,56,46,53,50,57,49,54,
      101,45,48,53,32,55,46,54,52,57,49,49,101,45,48,53,32,54,46,56,53,52,55,51,101,
      45,48,53,10,32,32,54,46,49,51,56,53,54,101,45,48,53,32,53,46,52,57,51,53,52,
      101,45,48,53,32,52,46,57,49,51,51,101,45,48,53,32,52,46,51,57,49,57,101,45,
      48,53,32,51,46,57,50,51,56,50,101,45,48,53,32,51,46,53,48,51,57,50,101,45,48,
      53,32,51,46,49,50,55,52,56,101,45,48,53,10,32,32,50,46,55,57,48,50,55,101,45,
      48,53,32,50,46,52,56,56,52,49,101,45,48,53,32,50,46,50,49,56,51,57,101,45,48,
      53,32,49,46,57,55,54,57,56,101,45,48,53,32,49,46,55,54,49,50,52,101,45,48,53,
      32,49,46,53,54,56,54,101,45,48,53,32,49,46,51,57,54,54,50,101,45,48,53,10,32,
      32,49,46,50,52,51,49,51,101,45,48,53,32,49,46,49,48,54,50,51,101,45,48,53,32,
      57,46,56,52,49,53,52,101,45,48,54,32,56,46,55,53,51,53,49,101,45,48,54,32,55,
      46,55,56,52,48,57,101,45,48,54,32,54,46,57,50,48,53,50,101,45,48,54,32,54,46,
      49,53,49,55,50,101,45,48,54,10,32,32,53,46,54,49,50,53,55,101,45,48,54,32,53,
      46,49,50,48,49,51,101,45,48,54,32,52,46,54,55,48,51,55,101,45,48,54,32,52,46,
      50,53,57,54,55,101,45,48,54,32,51,46,56,56,52,56,52,101,45,48,54,32,51,46,53,
      48,48,56,53,101,45,48,54,32,51,46,48,54,56,50,49,101,45,48,54,10,32,32,50,46,
      54,56,56,53,57,101,45,48,54,32,50,46,51,53,53,53,54,101,45,48,54,32,50,46,48,
      54,51,52,55,101,45,48,54,32,49,46,56,48,55,51,53,101,45,48,54,32,49,46,53,56,
      50,56,101,45,48,54,32,49,46,51,56,53,57,57,101,45,48,54,32,49,46,50,49,51,53,
      49,101,45,48,54,10,32,32,49,46,48,54,50,51,53,101,45,48,54,32,57,46,50,57,57,
      50,57,101,45,48,55,32,56,46,49,51,57,51,49,101,45,48,55,32,55,46,49,50,51,51,
      56,101,45,48,55,32,54,46,50,51,51,55,52,101,45,48,55,32,53,46,52,53,52,55,51,
      101,45,48,55,32,52,46,55,55,50,55,101,45,48,55,10,32,32,52,46,49,55,53,54,51,
      101,45,48,55,32,51,46,54,53,50,57,57,101,45,48,55,32,51,46,49,57,53,53,53,101,
      45,48,55,32,50,46,55,57,53,50,49,101,45,48,55,32,50,46,52,52,52,56,54,101,45,
      48,55,32,50,46,49,51,56,49,53,101,45,48,55,32,49,46,56,54,57,57,55,101,45,48,
      55,10,32,32,49,46,54,51,53,50,50,101,45,48,55,32,49,46,52,50,57,56,55,101,45,
      48,55,32,49,46,50,53,48,50,54,101,45,48,55,32,49,46,48,57,51,49,54,101,45,48,
      55,32,57,46,53,53,55,53,54,101,45,48,56,32,56,46,51,53,53,57,50,101,45,48,56,
      32,55,46,51,48,53,48,55,101,45,48,56,10,32,32,54,46,51,56,54,49,52,101,45,48,
      56,32,53,46,53,56,50,54,50,101,45,48,56,32,52,46,56,56,48,48,51,101,45,48,56,
      32,52,46,50,54,53,55,52,101,45,48,56,32,51,46,55,50,56,54,53,101,45,48,56,32,
      51,46,50,53,57,48,55,101,45,48,56,32,50,46,56,52,56,53,53,101,45,48,56,10,32,
      32,50,46,49,55,53,57,56,101,45,48,56,32,49,46,54,54,49,57,49,101,45,48,56,32,
      49,46,50,54,57,49,55,101,45,48,56,32,57,46,54,57,49,55,53,101,45,48,57,32,55,
      46,52,48,48,52,52,101,45,48,57,32,53,46,54,53,48,52,57,101,45,48,57,32,52,46,
      51,49,52,49,50,101,45,48,57,10,32,32,51,46,50,57,51,54,52,101,45,48,57,32,50,
      46,53,49,52,52,52,101,45,48,57,32,49,46,57,49,57,53,49,101,45,48,57,32,49,46,
      52,54,53,51,101,45,48,57,32,49,46,49,49,56,53,51,101,45,48,57,32,56,46,53,51,
      56,48,52,101,45,49,48,32,54,46,53,49,54,48,49,101,45,49,48,10,32,32,52,46,57,
      55,50,53,55,101,45,49,48,32,51,46,55,57,52,54,54,101,45,49,48,32,50,46,56,57,
      53,55,52,101,45,49,48,32,50,46,50,48,57,55,53,101,45,49,48,32,49,46,54,56,54,
      50,53,101,45,49,48,32,49,46,50,56,54,55,54,101,45,49,48,32,57,46,56,49,57,49,
      55,101,45,49,49,10,32,32,55,46,52,57,50,57,49,101,45,49,49,32,53,46,55,49,55,
      55,54,101,45,49,49,32,52,46,51,54,51,49,56,101,45,49,49,32,51,46,51,50,57,53,
      49,101,45,49,49,32,50,46,53,52,48,55,51,101,45,49,49,32,49,46,57,51,56,56,50,
      101,45,49,49,32,49,46,52,55,57,53,49,101,45,49,49,10,32,32,49,46,49,50,57,48,
      53,101,45,49,49,32,48,32,53,46,56,56,51,49,52,101,45,50,48,32,50,46,57,56,50,
      52,52,101,45,49,57,32,51,46,54,53,55,57,51,101,45,49,57,32,53,46,56,55,55,51,
      53,101,45,49,56,32,50,46,57,55,56,54,101,45,49,55,32,57,46,52,48,53,57,49,101,
      45,49,55,10,32,32,50,46,50,57,49,55,56,101,45,49,54,32,52,46,55,52,51,56,54,
      101,45,49,54,32,56,46,55,54,54,52,57,101,45,49,54,32,55,46,53,49,53,54,56,101,
      45,49,53,32,49,46,50,48,49,50,101,45,49,52,32,49,46,56,50,49,54,57,101,45,49,
      52,32,50,46,54,53,52,52,51,101,45,49,52,10,32,32,51,46,55,52,50,50,53,101,45,
      49,52,32,53,46,49,51,49,48,53,101,45,49,52,32,54,46,56,53,55,54,57,101,45,49,
      52,32,56,46,57,54,52,57,49,101,45,49,52,32,49,46,49,53,49,51,57,101,45,49,51,
      32,49,46,52,53,54,48,54,101,45,49,51,32,49,46,56,49,54,101,45,49,51,10,32,32,
      50,46,50,50,54,57,49,101,45,49,51,32,50,46,55,48,49,50,53,101,45,49,51,32,51,
      46,50,52,52,56,56,101,45,49,51,32,51,46,56,54,51,54,54,101,45,49,51,32,52,46,
      53,52,57,55,56,101,45,49,51,32,53,46,51,48,52,56,56,101,45,49,51,32,54,46,49,
      52,53,48,56,101,45,49,51,10,32,32,55,46,48,55,53,52,54,101,45,49,51,32,56,46,
      48,57,57,53,55,101,45,49,51,32,57,46,49,55,48,55,52,101,45,49,51,32,49,46,48,
      51,51,54,52,101,45,49,50,32,49,46,49,54,48,48,56,101,45,49,50,32,49,46,51,48,
      52,49,55,101,45,49,50,32,49,46,52,53,53,56,57,101,45,49,50,10,32,32,49,46,54,
      48,55,51,49,101,45,49,50,32,49,46,55,54,57,51,49,101,45,49,50,32,49,46,57,52,
      48,56,52,101,45,49,50,32,50,46,49,50,50,55,57,101,45,49,50,32,50,46,51,48,52,
      52,53,101,45,49,50,32,50,46,52,57,54,51,52,101,45,49,50,32,50,46,54,57,56,55,
      54,101,45,49,50,10,32,32,50,46,57,49,49,57,57,101,45,49,50,32,51,46,49,50,57,
      48,52,101,45,49,50,32,51,46,51,53,48,55,52,101,45,49,50,32,51,46,53,56,50,57,
      54,101,45,49,50,32,51,46,56,50,53,56,57,101,45,49,50,32,52,46,48,55,57,49,49,
      101,45,49,50,32,52,46,51,51,49,55,55,101,45,49,50,10,32,32,52,46,53,57,53,48,
      50,101,45,49,50,32,52,46,56,54,57,49,56,101,45,49,50,32,53,46,49,53,52,52,101,
      45,49,50,32,53,46,52,52,53,56,56,101,45,49,50,32,53,46,55,52,52,53,49,101,45,
      49,50,32,54,46,48,53,52,52,101,45,49,50,32,54,46,51,55,53,55,54,101,45,49,50,
      10,32,32,54,46,55,48,56,54,101,45,49,50,32,55,46,48,53,48,50,52,101,45,49,50,
      32,55,46,52,48,51,55,56,101,45,49,50,32,55,46,55,54,57,53,54,101,45,49,50,32,
      56,46,49,52,55,54,56,101,45,49,50,32,56,46,53,52,48,56,55,101,45,49,50,32,56,
      46,57,52,56,56,54,101,45,49,50,10,32,32,57,46,51,55,48,49,50,101,45,49,50,32,
      57,46,56,48,52,56,56,101,45,49,50,32,49,46,48,50,53,52,51,101,45,49,49,32,49,
      46,48,55,50,57,50,101,45,49,49,32,49,46,49,50,49,56,56,101,45,49,49,32,49,46,
      49,55,50,51,54,101,45,49,49,32,49,46,50,50,52,51,54,101,45,49,49,10,32,32,49,
      46,50,55,57,48,54,101,45,49,49,32,49,46,51,51,54,50,49,101,45,49,49,32,49,46,
      51,57,53,48,56,101,45,49,49,32,49,46,52,53,53,54,56,101,45,49,49,32,49,46,53,
      49,56,50,56,101,45,49,49,32,49,46,53,56,52,55,50,101,45,49,49,32,49,46,54,53,
      51,49,51,101,45,49,49,10,32,32,49,46,55,50,51,53,51,101,45,49,49,32,49,46,55,
      57,53,57,53,101,45,49,49,32,49,46,56,55,49,52,57,101,45,49,49,32,49,46,57,52,
      57,57,101,45,49,49,32,50,46,48,51,48,53,52,101,45,49,49,32,50,46,49,49,51,52,
      54,101,45,49,49,32,50,46,49,57,56,54,54,101,45,49,49,10,32,32,50,46,50,56,54,
      49,54,101,45,49,49,32,50,46,51,55,54,48,57,101,45,49,49,32,50,46,52,54,56,52,
      101,45,49,49,32,50,46,53,54,51,49,49,101,45,49,49,32,50,46,54,53,56,48,52,101,
      45,49,49,32,50,46,55,53,51,57,52,101,45,49,49,32,50,46,56,53,50,51,101,45,49,
      49,10,32,32,50,46,57,53,51,101,45,49,49,32,51,46,48,53,52,57,53,101,45,49,49,
      32,51,46,49,53,48,55,101,45,49,49,32,51,46,50,52,56,53,49,101,45,49,49,32,51,
      46,51,52,56,51,57,101,45,49,49,32,51,46,52,53,48,51,54,101,45,49,49,32,51,46,
      53,52,51,51,56,101,45,49,49,10,32,32,51,46,54,51,49,53,52,101,45,49,49,32,51,
      46,55,50,49,52,53,101,45,49,49,32,51,46,56,49,51,49,50,101,45,49,49,32,51,46,
      57,48,51,48,52,101,45,49,49,32,51,46,57,55,49,51,53,101,45,49,49,32,52,46,48,
      52,49,51,57,101,45,49,49,32,52,46,49,49,51,49,49,101,45,49,49,10,32,32,52,46,
      49,56,54,53,51,101,45,49,49,32,52,46,50,51,57,49,57,101,45,49,49,32,52,46,50,
      56,49,51,101,45,49,49,32,52,46,51,50,53,54,57,101,45,49,49,32,52,46,51,55,50,
      50,55,101,45,49,49,32,52,46,52,49,53,48,57,101,45,49,49,32,52,46,52,50,53,55,
      101,45,49,49,10,32,32,52,46,52,51,57,57,50,101,45,49,49,32,52,46,52,53,55,53,
      50,101,45,49,49,32,52,46,52,55,56,53,53,101,45,49,49,32,52,46,52,55,53,51,51,
      101,45,49,49,32,52,46,52,54,50,50,52,101,45,49,49,32,52,46,52,53,52,49,55,101,
      45,49,49,32,52,46,52,53,48,54,51,101,45,49,49,10,32,32,52,46,52,52,52,57,52,
      101,45,49,49,32,52,46,52,49,48,57,55,101,45,49,49,32,52,46,51,56,51,51,54,101,
      45,49,49,32,52,46,51,54,49,52,52,101,45,49,49,32,52,46,51,52,52,54,54,101,45,
      49,49,32,52,46,51,49,48,48,49,101,45,49,49,32,52,46,50,55,48,52,53,101,45,49,
      49,10,32,32,52,46,50,51,55,50,56,101,45,49,49,32,52,46,50,48,57,56,51,101,45,
      49,49,32,52,46,49,56,50,56,51,101,45,49,49,32,52,46,49,51,56,52,54,101,45,49,
      49,32,52,46,49,48,48,53,57,101,45,49,49,32,52,46,48,54,56,53,49,101,45,49,49,
      32,52,46,48,52,49,54,54,101,45,49,49,10,32,32,52,46,48,48,53,52,57,101,45,49,
      49,32,51,46,57,54,56,50,56,101,45,49,49,32,51,46,57,51,54,52,57,101,45,49,49,
      32,51,46,57,48,57,53,57,101,45,49,49,32,51,46,56,56,52,52,53,101,45,49,49,32,
      51,46,56,53,49,56,56,101,45,49,49,32,51,46,56,50,52,48,54,101,45,49,49,10,32,
      32,51,46,56,48,48,53,50,101,45,49,49,32,51,46,55,56,48,56,57,101,45,49,49,32,
      51,46,55,53,56,56,50,101,45,49,49,32,51,46,55,51,55,55,54,101,45,49,49,32,51,
      46,55,50,48,50,53,101,45,49,49,32,51,46,55,48,54,48,49,101,45,49,49,32,51,46,
      54,57,52,48,49,101,45,49,49,10,32,32,51,46,54,56,49,56,101,45,49,49,32,51,46,
      54,55,50,51,54,101,45,49,49,32,51,46,54,54,53,52,54,101,45,49,49,32,51,46,54,
      54,48,57,52,101,45,49,49,32,51,46,54,53,57,48,52,101,45,49,49,32,51,46,54,53,
      57,51,53,101,45,49,49,32,51,46,54,54,49,53,54,101,45,49,49,10,32,32,51,46,54,
      54,53,53,50,101,45,49,49,32,51,46,54,55,50,49,101,45,49,49,32,51,46,54,56,51,
      56,52,101,45,49,49,32,51,46,54,57,54,56,57,101,45,49,49,32,51,46,55,49,54,50,
      101,45,49,49,32,51,46,55,56,53,53,54,101,45,49,49,32,51,46,57,51,52,54,57,101,
      45,49,49,10,32,32,52,46,51,51,52,52,53,101,45,49,49,32,52,46,57,54,50,49,55,
      101,45,49,49,32,53,46,56,52,50,56,50,101,45,49,49,32,55,46,48,52,57,53,55,101,
      45,49,49,32,56,46,54,48,49,48,55,101,45,49,49,32,49,46,48,53,48,56,57,101,45,
      49,48,32,49,46,50,55,48,57,53,101,45,49,48,10,32,32,49,46,53,49,49,54,53,101,
      45,49,48,32,49,46,55,53,57,56,49,101,45,49,48,32,50,46,48,49,51,48,55,101,45,
      49,48,32,50,46,50,55,52,51,55,101,45,49,48,32,50,46,54,49,50,49,52,101,45,49,
      48,32,51,46,48,49,49,48,51,101,45,49,48,32,51,46,55,48,56,56,54,101,45,49,48,
      10,32,32,52,46,55,52,55,55,51,101,45,49,48,32,54,46,51,51,57,49,51,101,45,49,
      48,32,57,46,54,49,51,52,57,101,45,49,48,32,49,46,53,50,48,53,49,101,45,48,57,
      32,50,46,52,48,54,54,101,45,48,57,32,51,46,56,48,56,51,51,101,45,48,57,32,53,
      46,48,50,56,55,52,101,45,48,57,10,32,32,53,46,53,57,53,50,55,101,45,48,57,32,
      53,46,52,48,57,51,53,101,45,48,57,32,53,46,49,52,50,53,50,101,45,48,57,32,53,
      46,48,49,54,56,53,101,45,48,57,32,53,46,49,50,51,50,49,101,45,48,57,32,53,46,
      53,53,50,50,50,101,45,48,57,32,54,46,52,56,54,55,55,101,45,48,57,10,32,32,56,
      46,51,50,53,48,53,101,45,48,57,32,49,46,50,51,48,55,54,101,45,48,56,32,49,46,
      57,55,50,52,57,101,45,48,56,32,51,46,51,57,53,55,52,101,45,48,56,32,53,46,53,
      49,54,52,53,101,45,48,56,32,54,46,48,55,50,50,50,101,45,48,56,32,53,46,52,54,
      48,51,51,101,45,48,56,10,32,32,52,46,53,57,51,57,53,101,45,48,56,32,51,46,57,
      51,54,49,101,45,48,56,32,51,46,54,53,57,49,56,101,45,48,56,32,51,46,54,56,54,
      56,101,45,48,56,32,52,46,48,51,55,50,49,101,45,48,56,32,52,46,55,49,56,51,49,
      101,45,48,56,32,53,46,56,53,54,54,52,101,45,48,56,10,32,32,55,46,56,51,55,50,
      55,101,45,48,56,32,49,46,49,52,51,49,56,101,45,48,55,32,49,46,53,54,56,56,52,
      101,45,48,55,32,50,46,49,48,54,50,52,101,45,48,55,32,50,46,55,49,50,49,52,101,
      45,48,55,32,51,46,54,50,53,49,57,101,45,48,55,32,53,46,51,57,49,49,54,101,45,
      48,55,10,32,32,55,46,51,54,55,48,54,101,45,48,55,32,56,46,57,56,50,48,49,101,
      45,48,55,32,49,46,48,48,52,48,56,101,45,48,54,32,49,46,49,53,53,57,49,101,45,
      48,54,32,49,46,51,52,50,50,55,101,45,48,54,32,49,46,53,48,53,54,50,101,45,48,
      54,32,49,46,53,56,53,48,53,101,45,48,54,10,32,32,49,46,54,50,57,53,57,101,45,
      48,54,32,49,46,55,50,53,57,55,101,45,48,54,32,49,46,57,54,51,54,49,101,45,48,
      54,32,50,46,51,50,54,49,56,101,45,48,54,32,50,46,54,55,53,55,53,101,45,48,54,
      32,51,46,52,55,52,57,57,101,45,48,54,32,52,46,52,50,51,56,54,101,45,48,54,10,
      32,32,53,46,53,57,56,56,49,101,45,48,54,32,55,46,49,55,49,50,49,101,45,48,54,
      32,56,46,53,57,53,48,52,101,45,48,54,32,57,46,55,54,55,52,55,101,45,48,54,32,
      49,46,48,53,54,52,55,101,45,48,53,32,49,46,49,50,49,57,50,101,45,48,53,32,49,
      46,49,56,51,57,101,45,48,53,10,32,32,49,46,50,53,52,54,55,101,45,48,53,32,49,
      46,51,48,55,57,55,101,45,48,53,32,49,46,51,54,56,50,49,101,45,48,53,32,49,46,
      52,57,57,50,53,101,45,48,53,32,49,46,54,49,48,55,101,45,48,53,32,49,46,56,53,
      50,101,45,48,53,32,50,46,50,48,50,55,56,101,45,48,53,10,32,32,50,46,52,54,49,
      48,52,101,45,48,53,32,50,46,55,53,51,53,50,101,45,48,53,32,51,46,50,55,57,53,
      54,101,45,48,53,32,51,46,57,52,48,56,49,101,45,48,53,32,52,46,51,50,54,52,54,
      101,45,48,53,32,52,46,57,50,48,57,57,101,45,48,53,32,53,46,50,52,52,52,54,101,
      45,48,53,10,32,32,53,46,54,55,54,56,53,101,45,48,53,32,53,46,50,56,49,56,50,
      101,45,48,53,32,53,46,57,48,57,52,51,101,45,48,53,32,54,46,49,56,52,49,101,
      45,48,53,32,54,46,55,51,55,52,51,101,45,48,53,32,55,46,51,56,55,51,54,101,45,
      48,53,32,55,46,57,54,48,48,53,101,45,48,53,10,32,32,56,46,53,54,48,55,51,101,
      45,48,53,32,57,46,49,52,55,56,49,101,45,48,53,32,57,46,55,52,57,50,56,101,45,
      48,53,32,46,48,48,48,49,48,52,52,50,52,32,46,48,48,48,49,49,48,56,48,56,32,
      46,48,48,48,49,49,56,48,56,52,32,46,48,48,48,49,50,51,53,57,53,10,32,32,46,
      48,48,48,49,51,50,56,53,53,32,46,48,48,48,49,51,56,54,57,52,32,46,48,48,48,
      49,52,54,49,48,56,32,46,48,48,48,49,54,51,57,57,49,32,46,48,48,48,49,56,57,
      56,52,32,46,48,48,48,50,49,54,49,49,49,32,46,48,48,48,50,52,57,55,56,53,32,
      46,48,48,48,50,56,51,54,50,57,10,32,32,46,48,48,48,51,50,51,53,54,49,32,46,
      48,48,48,51,53,53,52,53,50,32,46,48,48,48,52,49,55,57,50,50,32,46,48,48,48,
      52,54,50,52,49,52,32,46,48,48,48,52,56,52,56,48,57,32,46,48,48,48,53,48,52,
      57,55,52,32,46,48,48,48,53,50,52,49,53,32,46,48,48,48,53,51,52,49,49,51,10,
      32,32,46,48,48,48,53,51,56,51,49,49,32,46,48,48,48,53,51,54,56,52,57,32,46,
      48,48,48,53,50,57,54,54,52,32,46,48,48,48,53,49,57,52,51,56,32,46,48,48,48,
      53,48,54,50,51,57,32,46,48,48,48,52,57,48,54,49,56,32,46,48,48,48,52,55,48,
      52,57,54,32,46,48,48,48,52,52,53,56,48,53,10,32,32,46,48,48,48,52,49,54,55,
      57,57,32,46,48,48,48,51,57,48,48,51,56,32,46,48,48,48,51,54,48,50,55,52,32,
      46,48,48,48,51,51,51,57,52,52,32,46,48,48,48,51,48,56,51,57,51,32,46,48,48,
      48,50,56,49,49,57,54,32,46,48,48,48,50,53,51,54,54,52,32,46,48,48,48,50,51,
      51,54,53,54,10,32,32,46,48,48,48,50,49,49,57,52,51,32,46,48,48,48,49,57,52,
      49,52,49,32,46,48,48,48,49,55,54,52,51,51,32,46,48,48,48,49,54,48,48,53,54,
      32,46,48,48,48,49,52,52,57,54,55,32,46,48,48,48,49,51,49,49,32,46,48,48,48,
      49,49,56,52,32,46,48,48,48,49,48,54,55,57,57,10,32,32,57,46,54,50,50,53,50,
      101,45,48,53,32,56,46,54,54,48,55,101,45,48,53,32,55,46,55,56,55,52,55,101,
      45,48,53,32,54,46,57,57,54,48,52,101,45,48,53,32,54,46,50,55,57,54,57,101,45,
      48,53,32,53,46,54,51,50,51,55,101,45,48,53,32,53,46,48,52,56,49,54,101,45,48,
      53,10,32,32,52,46,53,50,49,53,51,101,45,48,53,32,52,46,48,52,55,51,54,101,45,
      48,53,32,51,46,54,50,48,56,50,101,45,48,53,32,51,46,50,51,55,52,50,101,45,48,
      53,32,50,46,56,57,51,49,50,101,45,48,53,32,50,46,53,56,52,50,53,101,45,48,53,
      32,50,46,51,48,55,51,51,101,45,48,53,10,32,32,50,46,48,53,57,50,53,101,45,48,
      53,32,49,46,56,51,55,49,101,45,48,53,32,49,46,54,51,56,51,50,101,45,48,53,32,
      49,46,52,54,48,53,52,101,45,48,53,32,49,46,51,48,49,54,50,101,45,48,53,32,49,
      46,49,53,57,54,52,101,45,48,53,32,49,46,48,51,50,56,54,101,45,48,53,10,32,32,
      57,46,49,57,54,55,55,101,45,48,54,32,56,46,49,56,54,57,51,101,45,48,54,32,55,
      46,50,56,54,50,101,45,48,54,32,54,46,52,56,50,57,53,101,45,48,54,32,53,46,55,
      54,55,48,55,101,45,48,54,32,53,46,50,54,52,54,50,101,45,48,54,32,52,46,56,48,
      53,51,56,101,45,48,54,10,32,32,52,46,51,56,53,55,101,45,48,54,32,52,46,48,48,
      50,50,50,101,45,48,54,32,51,46,54,53,49,57,57,101,45,48,54,32,51,46,50,57,50,
      57,55,101,45,48,54,32,50,46,56,56,56,49,51,101,45,48,54,32,50,46,53,51,50,53,
      56,101,45,48,54,32,50,46,50,50,48,51,53,101,45,48,54,10,32,32,49,46,57,52,54,
      51,49,101,45,48,54,32,49,46,55,48,53,56,51,101,45,48,54,32,49,46,52,57,52,56,
      51,101,45,48,54,32,49,46,51,48,57,55,53,101,45,48,54,32,49,46,49,52,55,52,51,
      101,45,48,54,32,49,46,48,48,53,49,101,45,48,54,32,56,46,56,48,51,49,50,101,
      45,48,55,10,32,32,55,46,55,48,57,50,55,101,45,48,55,32,54,46,55,53,48,53,54,
      101,45,48,55,32,53,46,57,49,48,52,57,101,45,48,55,32,53,46,49,55,52,51,55,101,
      45,48,55,32,52,46,53,50,57,53,49,101,45,48,55,32,51,46,57,54,52,54,53,101,45,
      48,55,32,51,46,52,54,57,57,54,101,45,48,55,10,32,32,51,46,48,51,54,55,52,101,
      45,48,55,32,50,46,54,53,55,52,51,101,45,48,55,32,50,46,51,50,53,51,51,101,45,
      48,55,32,50,46,48,51,52,52,53,101,45,48,55,32,49,46,55,56,48,49,101,45,48,55,
      32,49,46,53,53,55,51,51,101,45,48,55,32,49,46,51,54,50,51,55,101,45,48,55,10,
      32,32,49,46,49,57,49,55,52,101,45,48,55,32,49,46,48,52,50,52,51,101,45,48,55,
      32,57,46,49,49,55,55,52,101,45,48,56,32,55,46,57,55,52,50,56,101,45,48,56,32,
      54,46,57,55,51,55,49,101,45,48,56,32,54,46,48,57,56,52,50,101,45,48,56,32,53,
      46,51,51,50,55,56,101,45,48,56,10,32,32,52,46,54,54,51,48,56,101,45,48,56,32,
      52,46,48,55,55,51,52,101,45,48,56,32,51,46,53,54,53,48,53,101,45,48,56,32,51,
      46,49,49,55,48,50,101,45,48,56,32,50,46,55,50,53,50,49,101,45,48,56,32,50,46,
      48,56,50,57,52,101,45,48,56,32,49,46,53,57,49,56,51,101,45,48,56,10,32,32,49,
      46,50,49,54,52,50,101,45,48,56,32,57,46,50,57,52,52,54,101,45,48,57,32,55,46,
      49,48,49,49,101,45,48,57,32,53,46,52,50,52,53,51,101,45,48,57,32,52,46,49,52,
      51,52,49,101,45,48,57,32,51,46,49,54,52,54,54,101,45,48,57,32,50,46,52,49,54,
      57,55,101,45,48,57,10,32,32,49,46,56,52,53,56,51,101,45,48,57,32,49,46,52,48,
      57,53,56,101,45,48,57,32,49,46,48,55,54,52,101,45,48,57,32,56,46,50,49,57,51,
      52,101,45,49,48,32,54,46,50,55,54,48,52,101,45,49,48,32,52,46,55,57,50,48,54,
      101,45,49,48,32,51,46,54,53,56,56,56,101,45,49,48,10,32,32,50,46,55,57,51,53,
      57,101,45,49,48,32,50,46,49,51,50,56,52,101,45,49,48,32,49,46,54,50,56,48,52,
      101,45,49,48,32,49,46,50,52,50,55,101,45,49,48,32,57,46,52,56,53,53,50,101,
      45,49,49,32,55,46,50,52,48,50,49,101,45,49,49,32,53,46,53,50,54,51,52,101,45,
      49,49,10,32,32,52,46,50,49,56,49,53,101,45,49,49,32,51,46,50,49,57,54,50,101,
      45,49,49,32,50,46,52,53,55,52,53,101,45,49,49,32,49,46,56,55,53,55,101,45,49,
      49,32,49,46,52,51,49,54,55,101,45,49,49,32,49,46,48,57,50,55,55,101,45,49,49,
      32,48,32,51,46,53,50,51,48,56,101,45,50,48,10,32,32,49,46,55,56,53,57,55,101,
      45,49,57,32,50,46,49,57,48,52,54,101,45,49,57,32,51,46,53,49,56,57,52,101,45,
      49,56,32,49,46,55,56,50,56,54,101,45,49,55,32,53,46,54,50,55,53,56,101,45,49,
      55,32,49,46,51,55,48,52,52,101,45,49,54,32,50,46,56,51,52,56,54,101,45,49,54,
      10,32,32,53,46,50,51,52,54,57,101,45,49,54,32,49,46,52,52,54,55,53,101,45,49,
      52,32,50,46,51,49,52,50,57,101,45,49,52,32,51,46,53,49,51,48,50,101,45,49,52,
      32,53,46,49,50,52,49,51,101,45,49,52,32,55,46,50,51,50,48,49,101,45,49,52,32,
      57,46,57,50,55,55,52,101,45,49,52,10,32,32,49,46,51,50,56,53,53,101,45,49,51,
      32,49,46,55,51,57,50,49,101,45,49,51,32,50,46,50,51,55,49,57,101,45,49,51,32,
      50,46,56,51,52,48,49,101,45,49,51,32,51,46,53,52,49,50,52,101,45,49,51,32,52,
      46,51,53,48,56,55,101,45,49,51,32,53,46,52,53,54,51,56,101,45,49,51,10,32,32,
      54,46,53,56,55,56,55,101,45,49,51,32,55,46,56,53,54,48,54,101,45,49,51,32,57,
      46,50,54,52,48,57,101,45,49,51,32,49,46,48,56,49,53,54,101,45,49,50,32,49,46,
      50,53,52,52,52,101,45,49,50,32,49,46,52,52,54,49,51,101,45,49,50,32,49,46,54,
      53,55,52,49,101,45,49,50,10,32,32,49,46,56,55,56,53,54,101,45,49,50,32,50,46,
      49,49,57,52,57,101,45,49,50,32,50,46,51,56,49,49,52,101,45,49,50,32,50,46,54,
      54,52,53,49,101,45,49,50,32,50,46,57,54,48,55,52,101,45,49,50,32,51,46,50,55,
      48,48,54,101,45,49,50,32,51,46,54,48,48,55,54,101,45,49,50,10,32,32,51,46,57,
      53,51,55,101,45,49,50,32,52,46,51,50,56,53,52,101,45,49,50,32,52,46,55,48,50,
      56,52,101,45,49,50,32,53,46,48,57,56,54,51,101,45,49,50,32,53,46,53,49,54,54,
      50,101,45,49,50,32,53,46,57,53,55,52,50,101,45,49,50,32,54,46,52,48,54,50,52,
      101,45,49,50,10,32,32,54,46,56,54,52,56,51,101,45,49,50,32,55,46,51,52,53,54,
      52,101,45,49,50,32,55,46,56,52,57,48,54,101,45,49,50,32,56,46,51,55,52,50,51,
      101,45,49,50,32,56,46,56,57,56,48,55,101,45,49,50,32,57,46,52,52,52,51,50,101,
      45,49,50,32,49,46,48,48,49,51,55,101,45,49,49,10,32,32,49,46,48,54,48,54,52,
      101,45,49,49,32,49,46,49,50,49,50,52,101,45,49,49,32,49,46,49,56,51,51,52,101,
      45,49,49,32,49,46,50,52,55,56,51,101,45,49,49,32,49,46,51,49,52,55,54,101,45,
      49,49,32,49,46,51,56,52,49,50,101,45,49,49,32,49,46,52,53,53,51,54,101,45,49,
      49,10,32,32,49,46,53,50,57,49,50,101,45,49,49,32,49,46,54,48,53,52,57,101,45,
      49,49,32,49,46,54,56,52,52,57,101,45,49,49,32,49,46,55,54,54,55,50,101,45,49,
      49,32,49,46,56,53,50,49,49,101,45,49,49,32,49,46,57,52,48,51,51,101,45,49,49,
      32,50,46,48,51,49,52,53,101,45,49,49,10,32,32,50,46,49,50,53,55,50,101,45,49,
      49,32,50,46,50,50,53,52,54,101,45,49,49,32,50,46,51,50,56,51,56,101,45,49,49,
      32,50,46,52,51,52,53,53,101,45,49,49,32,50,46,53,52,52,48,51,101,45,49,49,32,
      50,46,54,53,57,51,49,101,45,49,49,32,50,46,55,55,57,57,50,101,45,49,49,10,32,
      32,50,46,57,48,52,50,53,101,45,49,49,32,51,46,48,51,50,51,53,101,45,49,49,32,
      51,46,49,54,52,55,55,101,45,49,49,32,51,46,51,48,53,53,56,101,45,49,49,32,51,
      46,52,53,48,54,54,101,45,49,49,32,51,46,54,48,48,48,56,101,45,49,49,32,51,46,
      55,53,51,57,51,101,45,49,49,10,32,32,51,46,57,49,52,54,49,101,45,49,49,32,52,
      46,48,56,49,53,56,101,45,49,49,32,52,46,50,53,51,52,53,101,45,49,49,32,52,46,
      52,51,48,51,54,101,45,49,49,32,52,46,54,49,50,50,54,101,45,49,49,32,52,46,55,
      57,57,49,57,101,45,49,49,32,52,46,57,57,49,53,51,101,45,49,49,10,32,32,53,46,
      49,56,57,49,52,101,45,49,49,32,53,46,51,57,50,101,45,49,49,32,53,46,53,57,53,
      51,51,101,45,49,49,32,53,46,56,48,48,56,52,101,45,49,49,32,54,46,48,49,49,56,
      51,101,45,49,49,32,54,46,50,50,55,57,56,101,45,49,49,32,54,46,52,52,54,56,54,
      101,45,49,49,10,32,32,54,46,54,53,49,57,53,101,45,49,49,32,54,46,56,54,49,53,
      52,101,45,49,49,32,55,46,48,55,53,54,56,101,45,49,49,32,55,46,50,57,52,52,50,
      101,45,49,49,32,55,46,52,57,51,49,56,101,45,49,49,32,55,46,54,56,49,48,53,101,
      45,49,49,32,55,46,56,55,50,55,53,101,45,49,49,10,32,32,56,46,48,54,56,50,54,
      101,45,49,49,32,56,46,50,53,57,56,50,101,45,49,49,32,56,46,52,48,51,49,57,101,
      45,49,49,32,56,46,53,53,48,51,49,101,45,49,49,32,56,46,55,48,49,49,49,101,45,
      49,49,32,56,46,56,53,53,53,56,101,45,49,49,32,56,46,57,54,51,56,101,45,49,49,
      10,32,32,57,46,48,52,56,53,101,45,49,49,32,57,46,49,51,56,50,51,101,45,49,49,
      32,57,46,50,51,50,55,55,101,45,49,49,32,57,46,51,49,56,57,49,101,45,49,49,32,
      57,46,51,51,51,53,53,101,45,49,49,32,57,46,51,53,54,50,52,101,45,49,49,32,57,
      46,51,56,54,52,54,101,45,49,49,10,32,32,57,46,52,50,52,53,50,101,45,49,49,32,
      57,46,52,48,57,48,52,101,45,49,49,32,57,46,51,55,49,56,55,101,45,49,49,32,57,
      46,51,52,54,48,53,101,45,49,49,32,57,46,51,51,48,51,55,101,45,49,49,32,57,46,
      51,49,48,49,49,101,45,49,49,32,57,46,50,50,56,48,54,101,45,49,49,10,32,32,57,
      46,49,54,48,50,57,101,45,49,49,32,57,46,49,48,53,50,51,101,45,49,49,32,57,46,
      48,54,49,54,53,101,45,49,49,32,56,46,57,55,57,51,56,101,45,49,49,32,56,46,56,
      56,54,55,52,101,45,49,49,32,56,46,56,48,56,51,55,101,45,49,49,32,56,46,55,52,
      50,54,55,101,45,49,49,10,32,32,56,46,54,55,56,50,51,101,45,49,49,32,56,46,53,
      55,54,53,51,101,45,49,49,32,56,46,52,56,57,50,49,101,45,49,49,32,56,46,52,49,
      52,54,55,101,45,49,49,32,56,46,51,53,49,54,54,101,45,49,49,32,56,46,50,54,56,
      56,57,101,45,49,49,32,56,46,49,56,52,49,54,101,45,49,49,10,32,32,56,46,49,49,
      49,51,50,101,45,49,49,32,56,46,48,52,57,49,57,101,45,49,49,32,55,46,57,57,49,
      48,51,101,45,49,49,32,55,46,57,49,55,50,54,101,45,49,49,32,55,46,56,53,51,56,
      50,101,45,49,49,32,55,46,55,57,57,54,57,101,45,49,49,32,55,46,55,53,52,48,54,
      101,45,49,49,10,32,32,55,46,55,48,51,52,49,101,45,49,49,32,55,46,54,53,53,48,
      54,101,45,49,49,32,55,46,54,49,52,52,49,101,45,49,49,32,55,46,53,56,48,55,55,
      101,45,49,49,32,55,46,53,53,50,48,49,101,45,49,49,32,55,46,53,50,50,57,49,101,
      45,49,49,32,55,46,52,57,57,55,54,101,45,49,49,10,32,32,55,46,52,56,50,48,57,
      101,45,49,49,32,55,46,52,54,57,52,56,101,45,49,49,32,55,46,52,54,50,52,55,101,
      45,49,49,32,55,46,52,54,48,49,52,101,45,49,49,32,55,46,52,54,49,56,52,101,45,
      49,49,32,55,46,52,54,55,51,50,101,45,49,49,32,55,46,52,55,56,51,49,101,45,49,
      49,10,32,32,55,46,53,48,48,49,50,101,45,49,49,32,55,46,53,50,52,55,51,101,45,
      49,49,32,55,46,53,54,49,53,52,101,45,49,49,32,55,46,54,57,57,51,56,101,45,49,
      49,32,56,46,48,48,55,51,53,101,45,49,49,32,56,46,56,49,56,48,49,101,45,49,49,
      32,49,46,48,49,48,52,51,101,45,49,48,10,32,32,49,46,49,57,50,57,49,101,45,49,
      48,32,49,46,52,52,52,56,57,101,45,49,48,32,49,46,55,55,49,53,101,45,49,48,32,
      50,46,49,55,54,53,53,101,45,49,48,32,50,46,54,52,55,53,57,101,45,49,48,32,51,
      46,49,54,54,53,57,101,45,49,48,32,51,46,55,48,52,56,51,101,45,49,48,10,32,32,
      52,46,50,53,54,56,50,101,45,49,48,32,52,46,56,50,56,56,101,45,49,48,32,53,46,
      53,55,50,48,49,101,45,49,48,32,54,46,52,53,54,54,52,101,45,49,48,32,56,46,48,
      50,48,56,49,101,45,49,48,32,49,46,48,51,56,51,57,101,45,48,57,32,49,46,52,48,
      54,49,49,101,45,48,57,10,32,32,50,46,49,55,52,55,50,101,45,48,57,32,51,46,52,
      57,54,56,101,45,48,57,32,53,46,53,54,54,57,57,101,45,48,57,32,56,46,55,51,54,
      50,56,101,45,48,57,32,49,46,49,52,48,52,54,101,45,48,56,32,49,46,50,54,54,54,
      101,45,48,56,32,49,46,50,51,50,51,57,101,45,48,56,10,32,32,49,46,49,55,56,53,
      101,45,48,56,32,49,46,49,53,51,56,51,101,45,48,56,32,49,46,49,56,48,51,49,101,
      45,48,56,32,49,46,50,55,56,57,53,101,45,48,56,32,49,46,52,57,101,45,48,56,32,
      49,46,56,57,54,57,55,101,45,48,56,32,50,46,55,52,49,55,55,101,45,48,56,10,32,
      32,52,46,50,48,55,54,50,101,45,48,56,32,54,46,55,52,53,49,49,101,45,48,56,32,
      49,46,48,49,51,52,49,101,45,48,55,32,49,46,49,49,51,56,57,101,45,48,55,32,49,
      46,48,51,56,52,57,101,45,48,55,32,57,46,49,53,51,48,52,101,45,48,56,32,56,46,
      49,53,50,49,51,101,45,48,56,10,32,32,55,46,55,52,57,56,56,101,45,48,56,32,55,
      46,56,56,51,49,56,101,45,48,56,32,56,46,54,50,50,55,52,101,45,48,56,32,57,46,
      57,54,56,51,53,101,45,48,56,32,49,46,50,49,49,56,56,101,45,48,55,32,49,46,53,
      54,55,52,50,101,45,48,55,32,50,46,49,55,48,53,52,101,45,48,55,10,32,32,50,46,
      56,51,52,53,53,101,45,48,55,32,51,46,54,49,53,55,52,101,45,48,55,32,52,46,52,
      50,51,52,54,101,45,48,55,32,53,46,53,50,49,52,52,101,45,48,55,32,55,46,51,54,
      55,55,51,101,45,48,55,32,57,46,49,57,48,52,101,45,48,55,32,49,46,48,54,51,55,
      50,101,45,48,54,10,32,32,49,46,49,54,51,48,53,101,45,48,54,32,49,46,51,48,52,
      51,57,101,45,48,54,32,49,46,52,54,55,48,49,101,45,48,54,32,49,46,54,49,53,50,
      51,101,45,48,54,32,49,46,55,48,56,52,53,101,45,48,54,32,49,46,55,56,49,49,56,
      101,45,48,54,32,49,46,56,56,54,53,52,101,45,48,54,10,32,32,50,46,48,56,53,54,
      51,101,45,48,54,32,50,46,51,53,51,55,101,45,48,54,32,50,46,53,57,54,48,52,101,
      45,48,54,32,51,46,49,50,54,48,56,101,45,48,54,32,51,46,55,51,52,56,101,45,48,
      54,32,52,46,52,55,51,50,50,101,45,48,54,32,53,46,52,54,49,55,49,101,45,48,54,
      10,32,32,54,46,51,55,51,56,56,101,45,48,54,32,55,46,49,52,55,57,53,101,45,48,
      54,32,55,46,54,57,51,55,101,45,48,54,32,56,46,49,53,50,50,50,101,45,48,54,32,
      56,46,53,56,54,56,50,101,45,48,54,32,57,46,48,56,49,49,50,101,45,48,54,32,57,
      46,52,53,49,57,50,101,45,48,54,10,32,32,57,46,56,54,52,55,53,101,45,48,54,32,
      49,46,48,55,52,50,51,101,45,48,53,32,49,46,49,52,55,51,54,101,45,48,53,32,49,
      46,51,48,51,57,101,45,48,53,32,49,46,53,51,48,51,50,101,45,48,53,32,49,46,54,
      57,55,48,54,101,45,48,53,32,49,46,56,56,54,50,53,101,45,48,53,10,32,32,50,46,
      50,50,55,55,51,101,45,48,53,32,50,46,54,53,57,49,49,101,45,48,53,32,50,46,57,
      49,50,51,57,101,45,48,53,32,51,46,51,48,52,55,52,101,45,48,53,32,51,46,53,49,
      57,53,57,101,45,48,53,32,51,46,56,48,55,52,51,101,45,48,53,32,51,46,53,52,55,
      51,57,101,45,48,53,10,32,32,51,46,57,54,52,50,101,45,48,53,32,52,46,49,52,55,
      50,52,101,45,48,53,32,52,46,53,49,55,50,101,45,48,53,32,52,46,57,53,51,57,56,
      101,45,48,53,32,53,46,51,52,48,54,51,101,45,48,53,32,53,46,55,52,56,48,49,101,
      45,48,53,32,54,46,49,52,56,48,50,101,45,48,53,10,32,32,54,46,53,53,57,54,53,
      101,45,48,53,32,55,46,48,51,54,53,51,101,45,48,53,32,55,46,52,55,55,57,54,101,
      45,48,53,32,55,46,57,56,51,57,56,101,45,48,53,32,56,46,51,54,56,56,54,101,45,
      48,53,32,57,46,48,49,56,55,56,101,45,48,53,32,57,46,52,51,48,54,56,101,45,48,
      53,10,32,32,57,46,57,53,54,51,56,101,45,48,53,32,46,48,48,48,49,49,50,51,54,
      53,32,46,48,48,48,49,51,49,49,50,55,32,46,48,48,48,49,53,48,52,56,52,32,46,
      48,48,48,49,55,53,55,56,53,32,46,48,48,48,50,48,49,56,49,53,32,46,48,48,48,
      50,51,51,49,57,50,32,46,48,48,48,50,53,56,55,57,50,10,32,32,46,48,48,48,51,
      49,48,49,54,52,32,46,48,48,48,51,52,55,54,57,49,32,46,48,48,48,51,54,56,51,
      56,53,32,46,48,48,48,51,56,55,57,51,49,32,46,48,48,48,52,48,56,48,54,56,32,
      46,48,48,48,52,50,48,50,52,57,32,46,48,48,48,52,50,55,54,56,55,32,46,48,48,
      48,52,51,48,56,52,57,10,32,32,46,48,48,48,52,50,57,48,49,49,32,46,48,48,48,
      52,50,51,56,55,49,32,46,48,48,48,52,49,53,57,54,51,32,46,48,48,48,52,48,53,
      55,49,54,32,46,48,48,48,51,57,49,55,49,52,32,46,48,48,48,51,55,51,55,54,51,
      32,46,48,48,48,51,53,49,57,52,54,32,46,48,48,48,51,51,49,51,48,56,10,32,32,
      46,48,48,48,51,48,55,56,57,50,32,46,48,48,48,50,56,54,56,51,56,32,46,48,48,
      48,50,54,54,49,51,56,32,46,48,48,48,50,52,51,56,50,57,32,46,48,48,48,50,50,
      49,48,49,54,32,46,48,48,48,50,48,52,50,57,57,32,46,48,48,48,49,56,54,48,50,
      52,32,46,48,48,48,49,55,48,57,51,10,32,32,46,48,48,48,49,53,53,56,50,52,32,
      46,48,48,48,49,52,49,55,55,57,32,46,48,48,48,49,50,56,55,55,50,32,46,48,48,
      48,49,49,54,55,55,32,46,48,48,48,49,48,53,55,50,56,32,57,46,53,53,57,57,57,
      101,45,48,53,32,56,46,54,51,51,52,54,101,45,48,53,32,55,46,55,56,55,51,50,101,
      45,48,53,10,32,32,55,46,48,49,54,53,101,45,48,53,32,54,46,51,49,53,55,53,101,
      45,48,53,32,53,46,54,55,57,56,50,101,45,48,53,32,53,46,49,48,51,53,54,101,45,
      48,53,32,52,46,53,56,50,49,52,101,45,48,53,32,52,46,49,49,49,48,49,101,45,48,
      53,32,51,46,54,56,53,55,51,101,45,48,53,10,32,32,51,46,51,48,50,51,53,101,45,
      48,53,32,50,46,57,53,55,48,52,101,45,48,53,32,50,46,54,52,54,51,52,101,45,48,
      53,32,50,46,51,54,55,48,52,101,45,48,53,32,50,46,49,49,54,49,57,101,45,48,53,
      32,49,46,56,57,49,48,52,101,45,48,53,32,49,46,54,56,57,49,50,101,45,48,53,10,
      32,32,49,46,53,48,56,49,50,101,45,48,53,32,49,46,51,52,54,48,49,101,45,48,53,
      32,49,46,50,48,48,56,55,101,45,48,53,32,49,46,48,55,49,48,49,101,45,48,53,32,
      57,46,53,52,56,57,51,101,45,48,54,32,56,46,53,49,49,48,56,101,45,48,54,32,55,
      46,53,56,51,55,56,101,45,48,54,10,32,32,54,46,55,53,53,54,51,101,45,48,54,32,
      54,46,48,49,54,50,51,101,45,48,54,32,53,46,51,53,54,53,57,101,45,48,54,32,52,
      46,56,57,51,49,56,101,45,48,54,32,52,46,52,54,57,50,53,101,45,48,54,32,52,46,
      48,56,49,53,51,101,45,48,54,32,51,46,55,50,54,57,55,101,45,48,54,10,32,32,51,
      46,52,48,50,57,101,45,48,54,32,51,46,48,55,48,52,50,101,45,48,54,32,50,46,54,
      57,53,49,52,101,45,48,54,32,50,46,51,54,53,50,101,45,48,54,32,50,46,48,55,53,
      50,52,101,45,48,54,32,49,46,56,50,48,52,56,101,45,48,54,32,49,46,53,57,54,55,
      49,101,45,48,54,10,32,32,49,46,52,48,48,50,50,101,45,48,54,32,49,46,50,50,55,
      55,49,101,45,48,54,32,49,46,48,55,54,50,55,101,45,48,54,32,57,46,52,51,51,54,
      101,45,48,55,32,56,46,50,54,55,53,53,101,45,48,55,32,55,46,50,52,52,55,101,
      45,48,55,32,54,46,51,52,55,54,50,101,45,48,55,10,32,32,53,46,53,54,48,57,54,
      101,45,48,55,32,52,46,56,55,49,50,55,101,45,48,55,32,52,46,50,54,54,54,53,101,
      45,48,55,32,51,46,55,51,54,54,57,101,45,48,55,32,51,46,50,55,50,50,52,101,45,
      48,55,32,50,46,56,54,53,50,54,101,45,48,55,32,50,46,53,48,56,54,54,101,45,48,
      55,10,32,32,50,46,49,57,54,50,49,101,45,48,55,32,49,46,57,50,50,52,101,45,48,
      55,32,49,46,54,56,50,56,49,101,45,48,55,32,49,46,52,55,50,56,56,101,45,48,55,
      32,49,46,50,56,57,48,53,101,45,48,55,32,49,46,49,50,56,48,56,101,45,48,55,32,
      57,46,56,55,49,53,55,101,45,48,56,10,32,32,56,46,54,51,55,56,51,101,45,48,56,
      32,55,46,53,53,55,56,53,101,45,48,56,32,54,46,54,49,50,53,50,101,45,48,56,32,
      53,46,55,56,53,49,53,101,45,48,56,32,53,46,48,54,49,48,51,101,45,48,56,32,52,
      46,52,50,55,51,51,101,45,48,56,32,51,46,56,55,50,55,57,101,45,48,56,10,32,32,
      51,46,51,56,55,53,55,101,45,48,56,32,50,46,57,54,50,57,56,101,45,48,56,32,50,
      46,53,57,49,51,57,101,45,48,56,32,49,46,57,56,49,57,52,101,45,48,56,32,49,46,
      53,49,53,53,55,101,45,48,56,32,49,46,49,53,56,56,50,101,45,48,56,32,56,46,56,
      53,57,52,101,45,48,57,10,32,32,54,46,55,55,50,53,101,45,48,57,32,53,46,49,55,
      54,54,55,101,45,48,57,32,51,46,57,53,54,53,49,101,45,48,57,32,51,46,48,50,51,
      55,101,45,48,57,32,50,46,51,49,48,54,51,101,45,48,57,32,49,46,55,54,53,53,52,
      101,45,48,57,32,49,46,51,52,56,56,56,101,45,48,57,10,32,32,49,46,48,51,48,52,
      57,101,45,48,57,32,55,46,56,55,50,48,57,101,45,49,48,32,54,46,48,49,51,51,55,
      101,45,49,48,32,52,46,53,57,51,51,51,101,45,49,48,32,51,46,53,48,56,53,101,
      45,49,48,32,50,46,54,55,57,55,55,101,45,49,48,32,50,46,48,52,54,55,51,101,45,
      49,48,10,32,32,49,46,53,54,51,49,56,101,45,49,48,32,49,46,49,57,51,56,51,101,
      45,49,48,32,57,46,49,49,55,51,49,101,45,49,49,32,54,46,57,54,50,55,53,101,45,
      49,49,32,53,46,51,49,55,50,51,101,45,49,49,32,52,46,48,54,48,48,49,101,45,49,
      49,32,51,46,48,57,57,55,55,101,45,49,49,10,32,32,50,46,51,54,54,54,49,101,45,
      49,49,32,49,46,56,48,54,56,52,101,45,49,49,32,49,46,51,55,57,52,54,101,45,49,
      49,32,49,46,48,53,51,49,57,101,45,49,49,32,48,114,52,32,53,46,51,48,54,55,50,
      101,45,50,50,32,54,46,50,52,52,49,49,101,45,50,49,32,51,46,54,52,51,52,50,101,
      45,50,48,10,32,32,49,46,52,50,53,55,49,101,45,49,57,32,52,46,51,48,49,50,51,
      101,45,49,57,32,49,46,48,56,55,53,55,101,45,49,56,32,56,46,49,57,54,53,50,101,
      45,49,52,32,49,46,51,48,57,50,51,101,45,49,51,32,49,46,57,56,52,51,52,101,45,
      49,51,32,50,46,56,56,57,56,57,101,45,49,51,10,32,32,52,46,48,55,50,51,51,101,
      45,49,51,32,53,46,55,55,50,48,51,101,45,49,51,32,55,46,55,53,49,48,57,101,45,
      49,51,32,49,46,48,49,50,52,50,101,45,49,50,32,49,46,50,57,57,48,52,101,45,49,
      50,32,49,46,54,52,49,48,57,101,45,49,50,32,50,46,48,52,52,53,52,101,45,49,50,
      10,32,32,50,46,53,48,52,52,53,101,45,49,50,32,51,46,48,51,52,52,57,101,45,49,
      50,32,51,46,54,52,48,57,49,101,45,49,50,32,52,46,51,50,57,57,101,45,49,50,32,
      53,46,48,57,50,53,53,101,45,49,50,32,53,46,57,51,48,52,53,101,45,49,50,32,54,
      46,56,54,49,101,45,49,50,10,32,32,55,46,56,56,57,51,57,101,45,49,50,32,57,46,
      48,49,57,49,49,101,45,49,50,32,49,46,48,49,57,57,49,101,45,49,49,32,49,46,49,
      52,56,48,57,101,45,49,49,32,49,46,50,56,54,56,55,101,45,49,49,32,49,46,52,51,
      54,55,49,101,45,49,49,32,49,46,53,57,51,48,53,101,45,49,49,10,32,32,49,46,55,
      53,54,48,49,101,45,49,49,32,49,46,57,50,57,55,57,101,45,49,49,32,50,46,49,49,
      52,55,56,101,45,49,49,32,50,46,51,49,48,55,56,101,45,49,49,32,50,46,53,48,54,
      52,57,101,45,49,49,32,50,46,55,49,51,48,49,101,45,49,49,32,50,46,57,51,48,54,
      53,101,45,49,49,10,32,32,51,46,49,53,57,54,56,101,45,49,49,32,51,46,51,57,50,
      55,54,101,45,49,49,32,51,46,54,51,48,55,53,101,45,49,49,32,51,46,56,55,57,56,
      51,101,45,49,49,32,52,46,49,52,48,49,56,101,45,49,49,32,52,46,52,49,49,51,51,
      101,45,49,49,32,52,46,54,56,49,57,54,101,45,49,49,10,32,32,52,46,57,54,51,55,
      50,101,45,49,49,32,53,46,50,53,54,57,53,101,45,49,49,32,53,46,53,54,49,55,55,
      101,45,49,49,32,53,46,56,55,51,49,56,101,45,49,49,32,54,46,49,57,50,49,49,101,
      45,49,49,32,54,46,53,50,50,56,52,101,45,49,49,32,54,46,56,54,53,53,54,101,45,
      49,49,10,32,32,55,46,50,50,48,50,55,101,45,49,49,32,55,46,53,56,52,49,57,101,
      45,49,49,32,55,46,57,54,48,53,51,101,45,49,49,32,56,46,51,52,57,54,50,101,45,
      49,49,32,56,46,55,53,49,53,54,101,45,49,49,32,57,46,49,54,57,49,51,101,45,49,
      49,32,57,46,54,48,50,48,53,101,45,49,49,10,32,32,49,46,48,48,52,56,55,101,45,
      49,48,32,49,46,48,53,48,57,52,101,45,49,48,32,49,46,48,57,56,53,50,101,45,49,
      48,32,49,46,49,52,56,55,50,101,45,49,48,32,49,46,50,48,48,52,53,101,45,49,48,
      32,49,46,50,53,51,55,50,101,45,49,48,32,49,46,51,48,56,53,56,101,45,49,48,10,
      32,32,49,46,51,54,54,49,56,101,45,49,48,32,49,46,52,50,54,50,57,101,45,49,48,
      32,49,46,52,56,56,49,54,101,45,49,48,32,49,46,53,53,49,56,101,45,49,48,32,49,
      46,54,49,55,52,54,101,45,49,48,32,49,46,54,56,55,48,51,101,45,49,48,32,49,46,
      55,53,56,53,57,101,45,49,48,10,32,32,49,46,56,51,50,49,54,101,45,49,48,32,49,
      46,57,48,55,55,55,101,45,49,48,32,49,46,57,56,54,53,51,101,45,49,48,32,50,46,
      48,54,56,49,56,101,45,49,48,32,50,46,49,53,50,48,53,101,45,49,48,32,50,46,50,
      51,56,50,49,101,45,49,48,32,50,46,51,50,54,54,53,101,45,49,48,10,32,32,50,46,
      52,49,55,52,49,101,45,49,48,32,50,46,53,49,48,53,52,101,45,49,48,32,50,46,54,
      48,54,48,54,101,45,49,48,32,50,46,55,48,51,57,55,101,45,49,48,32,50,46,56,48,
      50,49,51,101,45,49,48,32,50,46,57,48,49,50,50,101,45,49,48,32,51,46,48,48,50,
      54,57,101,45,49,48,10,32,32,51,46,49,48,54,53,101,45,49,48,32,51,46,50,49,49,
      53,55,101,45,49,48,32,51,46,51,49,48,53,52,101,45,49,48,32,51,46,52,49,49,53,
      55,101,45,49,48,32,51,46,53,49,52,54,56,101,45,49,48,32,51,46,54,49,57,57,101,
      45,49,48,32,51,46,55,49,54,51,101,45,49,48,10,32,32,51,46,56,48,55,57,53,101,
      45,49,48,32,51,46,57,48,49,51,56,101,45,49,48,32,51,46,57,57,54,53,57,101,45,
      49,48,32,52,46,48,57,48,49,50,101,45,49,48,32,52,46,49,54,50,51,55,101,45,49,
      48,32,52,46,50,51,54,51,56,101,45,49,48,32,52,46,51,49,50,49,101,45,49,48,10,
      32,32,52,46,51,56,57,53,51,101,45,49,48,32,52,46,52,52,54,53,50,101,45,49,48,
      32,52,46,52,57,51,49,50,101,45,49,48,32,52,46,53,52,50,101,45,49,48,32,52,46,
      53,57,51,48,56,101,45,49,48,32,52,46,54,52,48,52,54,101,45,49,48,32,52,46,54,
      53,53,57,56,101,45,49,48,10,32,32,52,46,54,55,53,48,53,101,45,49,48,32,52,46,
      54,57,55,52,52,101,45,49,48,32,52,46,55,50,51,48,51,101,45,49,48,32,52,46,55,
      50,52,52,50,101,45,49,48,32,52,46,55,49,53,57,101,45,49,48,32,52,46,55,49,50,
      50,50,101,45,49,48,32,52,46,55,49,50,57,51,101,45,49,48,10,32,32,52,46,55,49,
      49,52,51,101,45,49,48,32,52,46,54,56,49,50,56,101,45,49,48,32,52,46,54,53,55,
      51,51,101,45,49,48,32,52,46,54,51,56,57,54,101,45,49,48,32,52,46,54,50,53,54,
      50,101,45,49,48,32,52,46,53,57,52,101,45,49,48,32,52,46,53,53,55,49,56,101,
      45,49,48,10,32,32,52,46,53,50,54,54,54,101,45,49,48,32,52,46,53,48,49,56,49,
      101,45,49,48,32,52,46,52,55,55,50,53,101,45,49,48,32,52,46,52,51,52,55,51,101,
      45,49,48,32,52,46,51,57,56,54,56,101,45,49,48,32,52,46,51,54,56,52,49,101,45,
      49,48,32,52,46,51,52,51,51,57,101,45,49,48,10,32,32,52,46,51,48,56,54,49,101,
      45,49,48,32,52,46,50,55,50,53,56,101,45,49,48,32,52,46,50,52,50,48,50,101,45,
      49,48,32,52,46,50,49,54,52,50,101,45,49,48,32,52,46,49,57,50,53,51,101,45,49,
      48,32,52,46,49,54,48,55,57,101,45,49,48,32,52,46,49,51,51,56,57,101,45,49,48,
      10,32,32,52,46,49,49,49,51,54,101,45,49,48,32,52,46,48,57,50,56,51,101,45,49,
      48,32,52,46,48,55,49,54,54,101,45,49,48,32,52,46,48,53,49,52,55,101,45,49,48,
      32,52,46,48,51,52,57,52,101,45,49,48,32,52,46,48,50,49,55,55,101,45,49,48,32,
      52,46,48,49,48,57,49,101,45,49,48,10,32,32,51,46,57,57,57,55,55,101,45,49,48,
      32,51,46,57,57,49,53,49,101,45,49,48,32,51,46,57,56,53,57,101,45,49,48,32,51,
      46,57,56,50,55,54,101,45,49,48,32,51,46,57,56,50,51,53,101,45,49,48,32,51,46,
      57,56,52,50,52,101,45,49,48,32,51,46,57,56,56,49,50,101,45,49,48,10,32,32,51,
      46,57,57,51,56,54,101,45,49,48,32,52,46,48,48,50,51,52,101,45,49,48,32,52,46,
      48,49,54,50,54,101,45,49,48,32,52,46,48,51,49,53,56,101,45,49,48,32,52,46,48,
      53,52,48,49,101,45,49,48,32,52,46,49,51,50,54,50,101,45,49,48,32,52,46,51,48,
      49,55,55,101,45,49,48,10,32,32,52,46,55,51,52,57,49,101,45,49,48,32,53,46,52,
      48,57,49,49,101,45,49,48,32,54,46,51,53,50,51,50,101,45,49,48,32,55,46,54,51,
      53,54,101,45,49,48,32,57,46,50,55,50,54,52,101,45,49,48,32,49,46,49,50,54,55,
      57,101,45,48,57,32,49,46,51,53,52,56,51,101,45,48,57,10,32,32,49,46,54,48,50,
      48,54,101,45,48,57,32,49,46,56,53,53,48,50,101,45,48,57,32,50,46,49,49,49,52,
      51,101,45,48,57,32,50,46,51,55,52,51,51,101,45,48,57,32,50,46,55,49,49,53,56,
      101,45,48,57,32,51,46,49,48,53,53,54,101,45,48,57,32,51,46,55,56,50,50,51,101,
      45,48,57,10,32,32,52,46,55,54,49,54,56,101,45,48,57,32,54,46,50,48,53,54,54,
      101,45,48,57,32,57,46,48,48,48,52,101,45,48,57,32,49,46,51,51,54,48,57,101,
      45,48,56,32,49,46,57,53,52,52,51,101,45,48,56,32,50,46,56,50,50,52,57,101,45,
      48,56,32,51,46,53,50,50,56,53,101,45,48,56,10,32,32,51,46,56,56,56,53,49,101,
      45,48,56,32,51,46,56,54,54,54,52,101,45,48,56,32,51,46,55,56,56,57,101,45,48,
      56,32,51,46,55,56,52,50,51,101,45,48,56,32,51,46,57,49,51,50,57,101,45,48,56,
      32,52,46,50,51,52,54,57,101,45,48,56,32,52,46,56,53,48,53,56,101,45,48,56,10,
      32,32,53,46,57,53,53,48,50,101,45,48,56,32,56,46,48,55,54,55,53,101,45,48,56,
      32,49,46,49,52,51,57,50,101,45,48,55,32,49,46,54,54,52,54,56,101,45,48,55,32,
      50,46,50,56,53,50,55,101,45,48,55,32,50,46,53,48,55,57,101,45,48,55,32,50,46,
      52,51,52,57,101,45,48,55,10,32,32,50,46,50,54,55,51,53,101,45,48,55,32,50,46,
      49,50,51,49,56,101,45,48,55,32,50,46,48,56,51,54,53,101,45,48,55,32,50,46,49,
      53,49,50,56,101,45,48,55,32,50,46,51,52,56,57,50,101,45,48,55,32,50,46,54,55,
      48,53,51,101,45,48,55,32,51,46,49,53,50,52,55,101,45,48,55,10,32,32,51,46,57,
      48,49,50,54,101,45,48,55,32,53,46,48,55,57,51,54,101,45,48,55,32,54,46,50,55,
      54,55,101,45,48,55,32,55,46,53,55,53,57,54,101,45,48,55,32,56,46,55,56,51,49,
      56,101,45,48,55,32,49,46,48,50,50,49,101,45,48,54,32,49,46,50,50,52,52,53,101,
      45,48,54,10,32,32,49,46,51,57,55,50,54,101,45,48,54,32,49,46,53,51,55,49,56,
      101,45,48,54,32,49,46,54,52,52,52,51,101,45,48,54,32,49,46,55,57,55,51,55,101,
      45,48,54,32,49,46,57,53,55,55,52,101,45,48,54,32,50,46,49,49,53,52,54,101,45,
      48,54,32,50,46,50,52,56,51,51,101,45,48,54,10,32,32,50,46,51,55,55,49,56,101,
      45,48,54,32,50,46,53,49,55,56,49,101,45,48,54,32,50,46,55,48,51,55,51,101,45,
      48,54,32,50,46,57,48,49,51,101,45,48,54,32,51,46,48,53,56,53,53,101,45,48,54,
      32,51,46,51,55,56,50,101,45,48,54,32,51,46,55,50,53,55,56,101,45,48,54,10,32,
      32,52,46,49,51,50,48,55,101,45,48,54,32,52,46,54,56,52,49,50,101,45,48,54,32,
      53,46,50,50,52,54,51,101,45,48,54,32,53,46,55,50,50,56,49,101,45,48,54,32,54,
      46,49,48,53,55,49,101,45,48,54,32,54,46,52,52,51,49,55,101,45,48,54,32,54,46,
      55,54,51,54,57,101,45,48,54,10,32,32,55,46,49,50,53,53,50,101,45,48,54,32,55,
      46,51,57,52,55,56,101,45,48,54,32,55,46,54,56,53,52,101,45,48,54,32,56,46,50,
      55,49,53,53,101,45,48,54,32,56,46,55,51,55,55,51,101,45,48,54,32,57,46,55,49,
      48,54,53,101,45,48,54,32,49,46,49,49,48,55,49,101,45,48,53,10,32,32,49,46,50,
      49,51,57,51,101,45,48,53,32,49,46,51,51,49,55,57,101,45,48,53,32,49,46,53,52,
      54,51,56,101,45,48,53,32,49,46,56,49,57,55,53,101,45,48,53,32,49,46,57,56,49,
      56,57,101,45,48,53,32,50,46,50,51,52,55,49,101,45,48,53,32,50,46,51,55,52,52,
      49,101,45,48,53,10,32,32,50,46,53,54,50,52,56,101,45,48,53,32,50,46,51,57,57,
      53,56,101,45,48,53,32,50,46,54,55,48,53,101,45,48,53,32,50,46,55,56,57,56,54,
      101,45,48,53,32,51,46,48,51,49,56,53,101,45,48,53,32,51,46,51,49,56,56,49,101,
      45,48,53,32,51,46,53,55,51,57,51,101,45,48,53,10,32,32,51,46,56,52,51,57,49,
      101,45,48,53,32,52,46,49,49,48,49,50,101,45,48,53,32,52,46,51,56,53,51,55,101,
      45,48,53,32,52,46,55,48,53,55,51,101,45,48,53,32,53,46,48,48,51,54,52,101,45,
      48,53,32,53,46,51,52,54,55,49,101,45,48,53,32,53,46,54,48,56,55,56,101,45,48,
      53,10,32,32,54,46,48,53,51,54,55,101,45,48,53,32,54,46,51,51,55,49,49,101,45,
      48,53,32,54,46,55,48,48,52,55,101,45,48,53,32,55,46,53,57,50,52,49,101,45,48,
      53,32,56,46,57,49,55,56,55,101,45,48,53,32,46,48,48,48,49,48,51,48,57,54,32,
      46,48,48,48,49,50,49,54,48,53,10,32,32,46,48,48,48,49,52,48,57,57,54,32,46,
      48,48,48,49,54,52,57,52,51,32,46,48,48,48,49,56,52,57,55,52,32,46,48,48,48,
      50,50,53,54,56,52,32,46,48,48,48,50,53,54,51,49,49,32,46,48,48,48,50,55,52,
      53,54,32,46,48,48,48,50,57,50,52,54,53,32,46,48,48,48,51,49,49,57,57,53,10,
      32,32,46,48,48,48,51,50,52,57,51,57,32,46,48,48,48,51,51,52,49,49,56,32,46,
      48,48,48,51,52,48,50,52,55,32,46,48,48,48,51,52,50,49,54,51,32,46,48,48,48,
      51,52,48,55,53,54,32,46,48,48,48,51,51,54,56,53,32,46,48,48,48,51,51,48,56,
      49,54,32,46,48,48,48,51,50,49,55,52,50,10,32,32,46,48,48,48,51,48,57,51,51,
      51,32,46,48,48,48,50,57,51,53,48,56,32,46,48,48,48,50,55,56,48,52,54,32,46,
      48,48,48,50,54,48,48,56,50,32,46,48,48,48,50,52,51,54,49,54,32,46,48,48,48,
      50,50,55,49,55,32,46,48,48,48,50,48,57,50,50,55,32,46,48,48,48,49,57,48,54,
      52,50,10,32,32,46,48,48,48,49,55,54,56,56,50,32,46,48,48,48,49,54,49,55,48,
      51,32,46,48,48,48,49,52,57,48,56,53,32,46,48,48,48,49,51,54,51,55,56,32,46,
      48,48,48,49,50,52,52,57,32,46,48,48,48,49,49,51,52,49,53,32,46,48,48,48,49,
      48,51,49,51,54,32,57,46,51,54,51,53,54,101,45,48,53,10,32,32,56,46,52,56,56,
      51,52,101,45,48,53,32,55,46,54,56,52,52,52,101,45,48,53,32,54,46,57,52,55,55,
      55,101,45,48,53,32,54,46,50,55,52,51,52,101,45,48,53,32,53,46,54,53,57,57,56,
      101,45,48,53,32,53,46,49,48,48,54,51,101,45,48,53,32,52,46,53,57,50,48,56,101,
      45,48,53,10,32,32,52,46,49,51,48,53,56,101,45,48,53,32,51,46,55,49,50,52,101,
      45,48,53,32,51,46,51,51,52,48,54,101,45,48,53,32,50,46,57,57,50,49,54,101,45,
      48,53,32,50,46,54,56,51,52,57,101,45,48,53,32,50,46,52,48,53,49,56,101,45,48,
      53,32,50,46,49,53,52,53,50,101,45,48,53,10,32,32,49,46,57,50,56,57,101,45,48,
      53,32,49,46,55,50,54,48,51,101,45,48,53,32,49,46,53,52,51,55,52,101,45,48,53,
      32,49,46,51,56,48,48,55,101,45,48,53,32,49,46,50,51,51,50,53,101,45,48,53,32,
      49,46,49,48,49,53,57,101,45,48,53,32,57,46,56,51,54,48,52,101,45,48,54,10,32,
      32,56,46,55,55,57,52,54,101,45,48,54,32,55,46,56,51,51,54,53,101,45,48,54,32,
      54,46,57,56,55,52,55,101,45,48,54,32,54,46,50,51,48,55,52,101,45,48,54,32,53,
      46,53,53,52,49,57,101,45,48,54,32,52,46,57,52,57,56,53,101,45,48,54,32,52,46,
      53,50,52,56,52,101,45,48,54,10,32,32,52,46,49,51,53,55,49,101,45,48,54,32,51,
      46,55,55,57,52,57,101,45,48,54,32,51,46,52,53,51,52,56,101,45,48,54,32,51,46,
      49,53,53,50,52,101,45,48,54,32,50,46,56,52,56,57,54,101,45,48,54,32,50,46,53,
      48,50,57,52,101,45,48,54,32,50,46,49,57,56,52,52,101,45,48,54,10,32,32,49,46,
      57,51,48,53,51,101,45,48,54,32,49,46,54,57,52,57,101,45,48,54,32,49,46,52,56,
      55,55,52,101,45,48,54,32,49,46,51,48,53,54,54,101,45,48,54,32,49,46,49,52,53,
      54,53,101,45,48,54,32,49,46,48,48,53,48,55,101,45,48,54,32,56,46,56,49,54,48,
      49,101,45,48,55,10,32,32,55,46,55,51,49,55,54,101,45,48,55,32,54,46,55,55,57,
      55,55,101,45,48,55,32,53,46,57,52,52,49,52,101,45,48,55,32,53,46,50,49,48,56,
      101,45,48,55,32,52,46,53,54,55,50,55,101,45,48,55,32,52,46,48,48,50,55,49,101,
      45,48,55,32,51,46,53,48,55,53,50,101,45,48,55,10,32,32,51,46,48,55,51,50,53,
      101,45,48,55,32,50,46,54,57,50,52,55,101,45,48,55,32,50,46,51,53,56,54,51,101,
      45,48,55,32,50,46,48,54,53,57,57,101,45,48,55,32,49,46,56,48,57,51,56,101,45,
      48,55,32,49,46,53,56,52,55,49,101,45,48,55,32,49,46,51,56,55,55,51,101,45,48,
      55,10,32,32,49,46,50,49,53,49,51,101,45,48,55,32,49,46,48,54,51,57,50,101,45,
      48,55,32,57,46,51,49,52,53,54,101,45,48,56,32,56,46,49,53,52,48,55,101,45,48,
      56,32,55,46,49,51,55,54,55,101,45,48,56,32,54,46,50,52,55,53,56,101,45,48,56,
      32,53,46,52,54,56,49,50,101,45,48,56,10,32,32,52,46,55,56,53,54,52,101,45,48,
      56,32,52,46,49,56,56,48,57,101,45,48,56,32,51,46,54,54,52,57,53,101,45,48,56,
      32,51,46,50,48,55,101,45,48,56,32,50,46,56,48,54,49,51,101,45,48,56,32,50,46,
      52,53,53,50,54,101,45,48,56,32,49,46,56,55,57,51,56,101,45,48,56,10,32,32,49,
      46,52,51,56,50,57,101,45,48,56,32,49,46,49,48,48,53,56,101,45,48,56,32,56,46,
      52,49,57,55,56,101,45,48,57,32,54,46,52,52,48,50,57,101,45,48,57,32,52,46,57,
      50,53,53,54,101,45,48,57,32,51,46,55,54,54,54,52,101,45,48,57,32,50,46,56,56,
      48,49,50,101,45,48,57,10,32,32,50,46,50,48,50,48,53,101,45,48,57,32,49,46,54,
      56,51,52,56,101,45,48,57,32,49,46,50,56,54,57,50,101,45,48,57,32,57,46,56,51,
      54,57,54,101,45,49,48,32,55,46,53,49,56,54,55,101,45,49,48,32,53,46,55,52,54,
      51,54,101,45,49,48,32,52,46,51,57,49,51,50,101,45,49,48,10,32,32,51,46,51,53,
      53,53,52,101,45,49,48,32,50,46,53,54,51,57,52,101,45,49,48,32,49,46,57,53,57,
      101,45,49,48,32,49,46,52,57,54,55,51,101,45,49,48,32,49,46,49,52,51,53,101,
      45,49,48,32,56,46,55,51,54,48,55,101,45,49,49,32,54,46,54,55,51,57,52,101,45,
      49,49,10,32,32,53,46,48,57,56,52,51,101,45,49,49,32,51,46,56,57,52,55,52,101,
      45,49,49,32,50,46,57,55,53,49,55,101,45,49,49,32,50,46,50,55,50,54,54,101,45,
      49,49,32,49,46,55,51,53,57,56,101,45,49,49,32,49,46,51,50,54,48,50,101,45,49,
      49,32,49,46,48,49,50,56,55,101,45,49,49,10,32,32,48,114,52,32,49,46,49,54,57,
      53,52,101,45,50,50,32,49,46,51,51,55,49,49,101,45,50,49,32,55,46,52,57,55,50,
      51,101,45,50,49,32,50,46,56,53,52,55,101,45,50,48,32,56,46,53,53,50,49,57,101,
      45,50,48,32,50,46,49,56,51,49,52,101,45,49,57,32,50,46,48,51,53,57,56,101,45,
      49,51,10,32,32,51,46,52,57,55,50,51,101,45,49,51,32,53,46,51,52,48,48,49,101,
      45,49,51,32,55,46,55,55,53,48,56,101,45,49,51,32,49,46,48,57,53,49,54,101,45,
      49,50,32,49,46,53,48,48,49,101,45,49,50,32,50,46,48,48,50,56,101,45,49,50,32,
      50,46,54,49,53,51,52,101,45,49,50,10,32,32,51,46,51,53,53,48,55,101,45,49,50,
      32,52,46,50,51,55,54,57,101,45,49,50,32,53,46,50,55,56,53,49,101,45,49,50,32,
      54,46,52,54,52,54,56,101,45,49,50,32,55,46,56,51,49,51,55,101,45,49,50,32,57,
      46,51,57,52,53,53,101,45,49,50,32,49,46,49,49,55,48,49,101,45,49,49,10,32,32,
      49,46,51,49,51,52,56,101,45,49,49,32,49,46,53,50,57,50,57,101,45,49,49,32,49,
      46,55,54,56,56,57,101,45,49,49,32,50,46,48,51,51,54,101,45,49,49,32,50,46,51,
      50,52,51,49,101,45,49,49,32,50,46,54,50,55,57,101,45,49,49,32,50,46,57,53,55,
      53,57,101,45,49,49,10,32,32,51,46,51,49,52,52,52,101,45,49,49,32,51,46,54,57,
      57,54,53,101,45,49,49,32,52,46,49,48,49,52,57,101,45,49,49,32,52,46,53,50,48,
      50,55,101,45,49,49,32,52,46,57,54,54,55,53,101,45,49,49,32,53,46,52,52,49,57,
      51,101,45,49,49,32,53,46,57,52,53,50,57,101,45,49,49,10,32,32,54,46,52,52,55,
      56,57,101,45,49,49,32,54,46,57,55,56,49,53,101,45,49,49,32,55,46,53,51,54,56,
      54,101,45,49,49,32,56,46,49,50,52,55,51,101,45,49,49,32,56,46,55,50,50,57,51,
      101,45,49,49,32,57,46,51,51,51,55,101,45,49,49,32,57,46,57,55,50,56,53,101,
      45,49,49,10,32,32,49,46,48,54,52,48,56,101,45,49,48,32,49,46,49,51,51,54,51,
      101,45,49,48,32,49,46,50,48,51,48,54,101,45,49,48,32,49,46,50,55,53,51,51,101,
      45,49,48,32,49,46,51,53,48,53,51,101,45,49,48,32,49,46,52,50,56,55,101,45,49,
      48,32,49,46,53,48,56,53,53,101,45,49,48,10,32,32,49,46,53,57,48,51,50,101,45,
      49,48,32,49,46,54,55,53,49,49,101,45,49,48,32,49,46,55,54,50,57,54,101,45,49,
      48,32,49,46,56,53,51,56,55,101,45,49,48,32,49,46,57,52,55,49,52,101,45,49,48,
      32,50,46,48,52,51,53,55,101,45,49,48,32,50,46,49,52,51,50,54,101,45,49,48,10,
      32,32,50,46,50,52,54,50,51,101,45,49,48,32,50,46,51,53,51,49,57,101,45,49,48,
      32,50,46,52,54,52,48,54,101,45,49,48,32,50,46,53,55,56,52,53,101,45,49,48,32,
      50,46,54,57,54,52,101,45,49,48,32,50,46,56,49,56,50,49,101,45,49,48,32,50,46,
      57,52,54,54,57,101,45,49,48,10,32,32,51,46,48,55,57,48,53,101,45,49,48,32,51,
      46,50,49,53,51,55,101,45,49,48,32,51,46,51,53,53,55,101,45,49,48,32,51,46,53,
      48,51,48,51,101,45,49,48,32,51,46,54,53,54,55,53,101,45,49,48,32,51,46,56,49,
      52,57,51,101,45,49,48,32,51,46,57,55,55,54,49,101,45,49,48,10,32,32,52,46,49,
      52,53,52,53,101,45,49,48,32,52,46,51,50,51,50,49,101,45,49,48,32,52,46,53,48,
      54,48,50,101,45,49,48,32,52,46,54,57,51,57,52,101,45,49,48,32,52,46,56,56,55,
      48,53,101,45,49,48,32,53,46,48,56,56,49,53,101,45,49,48,32,53,46,50,57,54,53,
      55,101,45,49,48,10,32,32,53,46,53,49,48,54,54,101,45,49,48,32,53,46,55,51,48,
      53,51,101,45,49,48,32,53,46,57,53,54,49,56,101,45,49,48,32,54,46,49,56,55,55,
      49,101,45,49,48,32,54,46,52,50,53,50,54,101,45,49,48,32,54,46,54,54,56,56,54,
      101,45,49,48,32,54,46,57,49,56,53,52,101,45,49,48,10,32,32,55,46,49,54,56,56,
      51,101,45,49,48,32,55,46,52,50,49,53,101,45,49,48,32,55,46,54,56,48,49,55,101,
      45,49,48,32,55,46,57,52,52,55,56,101,45,49,48,32,56,46,50,49,50,53,56,101,45,
      49,48,32,56,46,52,54,52,57,52,101,45,49,48,32,56,46,55,50,50,53,53,101,45,49,
      48,10,32,32,56,46,57,56,53,52,51,101,45,49,48,32,57,46,50,53,51,54,54,101,45,
      49,48,32,57,46,52,57,57,54,50,101,45,49,48,32,57,46,55,51,51,53,53,101,45,49,
      48,32,57,46,57,55,50,48,49,101,45,49,48,32,49,46,48,50,49,53,101,45,48,57,32,
      49,46,48,52,53,51,55,101,45,48,57,10,32,32,49,46,48,54,51,56,55,101,45,48,57,
      32,49,46,48,56,50,56,49,101,45,48,57,32,49,46,49,48,50,49,57,101,45,48,57,32,
      49,46,49,50,50,101,45,48,57,32,49,46,49,51,54,54,52,101,45,48,57,32,49,46,49,
      52,56,54,53,101,45,48,57,32,49,46,49,54,49,50,52,101,45,48,57,10,32,32,49,46,
      49,55,52,51,57,101,45,48,57,32,49,46,49,56,54,54,49,101,45,48,57,32,49,46,49,
      57,48,55,54,101,45,48,57,32,49,46,49,57,53,56,49,101,45,48,57,32,49,46,50,48,
      49,55,101,45,48,57,32,49,46,50,48,56,51,57,101,45,48,57,32,49,46,50,48,56,57,
      53,101,45,48,57,10,32,32,49,46,50,48,55,101,45,48,57,32,49,46,50,48,54,50,55,
      101,45,48,57,32,49,46,50,48,54,54,52,101,45,48,57,32,49,46,50,48,54,52,53,101,
      45,48,57,32,49,46,49,57,56,57,57,101,45,48,57,32,49,46,49,57,51,48,57,101,45,
      48,57,32,49,46,49,56,56,54,101,45,48,57,10,32,32,49,46,49,56,53,51,57,101,45,
      48,57,32,49,46,49,55,55,53,50,101,45,48,57,32,49,46,49,54,56,51,50,101,45,48,
      57,32,49,46,49,54,48,55,50,101,45,48,57,32,49,46,49,53,52,53,53,101,45,48,57,
      32,49,46,49,52,56,52,53,101,45,48,57,32,49,46,49,51,55,55,55,101,45,48,57,10,
      32,32,49,46,49,50,56,55,51,101,45,48,57,32,49,46,49,50,49,49,53,101,45,48,57,
      32,49,46,49,49,52,57,101,45,48,57,32,49,46,49,48,54,49,54,101,45,48,57,32,49,
      46,48,57,55,49,101,45,48,57,32,49,46,48,56,57,52,50,101,45,48,57,32,49,46,48,
      56,51,48,49,101,45,48,57,10,32,32,49,46,48,55,55,48,50,101,45,48,57,32,49,46,
      48,54,57,48,51,101,45,48,57,32,49,46,48,54,50,50,54,101,45,48,57,32,49,46,48,
      53,54,54,49,101,45,48,57,32,49,46,48,53,49,57,55,101,45,48,57,32,49,46,48,52,
      54,54,54,101,45,48,57,32,49,46,48,52,49,53,57,101,45,48,57,10,32,32,49,46,48,
      51,55,52,53,101,45,48,57,32,49,46,48,51,52,49,55,101,45,48,57,32,49,46,48,51,
      49,52,56,101,45,48,57,32,49,46,48,50,56,55,49,101,45,48,57,32,49,46,48,50,54,
      54,56,101,45,48,57,32,49,46,48,50,53,51,50,101,45,48,57,32,49,46,48,50,52,54,
      101,45,48,57,10,32,32,49,46,48,50,52,53,54,101,45,48,57,32,49,46,48,50,53,49,
      50,101,45,48,57,32,49,46,48,50,54,49,57,101,45,48,57,32,49,46,48,50,55,55,51,
      101,45,48,57,32,49,46,48,50,57,57,55,101,45,48,57,32,49,46,48,51,51,54,101,
      45,48,57,32,49,46,48,51,55,53,57,101,45,48,57,10,32,32,49,46,48,52,51,52,51,
      101,45,48,57,32,49,46,48,54,51,55,54,101,45,48,57,32,49,46,49,48,55,51,57,101,
      45,48,57,32,49,46,50,49,56,56,52,101,45,48,57,32,49,46,51,57,50,48,50,101,45,
      48,57,32,49,46,54,51,52,101,45,48,57,32,49,46,57,54,50,55,55,101,45,48,57,10,
      32,32,50,46,51,56,49,53,54,101,45,48,57,32,50,46,56,57,49,49,57,101,45,48,57,
      32,51,46,52,55,50,55,52,101,45,48,57,32,52,46,49,48,50,51,49,101,45,48,57,32,
      52,46,55,52,53,55,51,101,45,48,57,32,53,46,51,57,55,51,101,45,48,57,32,54,46,
      48,54,52,55,54,101,45,48,57,10,32,32,54,46,57,50,48,49,101,45,48,57,32,55,46,
      57,49,55,55,49,101,45,48,57,32,57,46,54,50,55,50,51,101,45,48,57,32,49,46,50,
      48,57,51,53,101,45,48,56,32,49,46,53,55,49,53,50,101,45,48,56,32,50,46,50,54,
      56,55,53,101,45,48,56,32,51,46,51,52,55,57,57,101,45,48,56,10,32,32,52,46,56,
      53,55,51,101,45,48,56,32,54,46,57,50,50,48,54,101,45,48,56,32,56,46,53,52,51,
      54,56,101,45,48,56,32,57,46,52,49,52,50,49,101,45,48,56,32,57,46,52,49,55,55,
      49,101,45,48,56,32,57,46,50,56,50,51,54,101,45,48,56,32,57,46,51,48,55,53,101,
      45,48,56,10,32,32,57,46,54,52,52,51,54,101,45,48,56,32,49,46,48,52,51,52,49,
      101,45,48,55,32,49,46,49,57,49,51,50,101,45,48,55,32,49,46,52,53,48,54,52,101,
      45,48,55,32,49,46,57,50,55,49,49,101,45,48,55,32,50,46,54,50,49,51,54,101,45,
      48,55,32,51,46,53,53,50,51,52,101,45,48,55,10,32,32,52,46,52,57,55,55,51,101,
      45,48,55,32,52,46,57,50,56,54,101,45,48,55,32,52,46,57,54,55,50,51,101,45,48,
      55,32,52,46,56,53,51,54,51,101,45,48,55,32,52,46,55,50,54,56,57,101,45,48,55,
      32,52,46,55,52,50,48,53,101,45,48,55,32,52,46,57,52,49,101,45,48,55,10,32,32,
      53,46,51,56,57,49,51,101,45,48,55,32,54,46,48,54,50,57,57,101,45,48,55,32,55,
      46,48,49,50,49,101,45,48,55,32,56,46,51,56,51,53,52,101,45,48,55,32,49,46,48,
      51,52,52,101,45,48,54,32,49,46,50,49,52,53,50,101,45,48,54,32,49,46,51,57,50,
      53,56,101,45,48,54,10,32,32,49,46,53,51,55,52,52,101,45,48,54,32,49,46,54,56,
      51,51,53,101,45,48,54,32,49,46,56,52,56,57,53,101,45,48,54,32,49,46,57,55,54,
      50,55,101,45,48,54,32,50,46,48,57,56,56,56,101,45,48,54,32,50,46,50,49,50,54,
      51,101,45,48,54,32,50,46,51,55,55,48,51,101,45,48,54,10,32,32,50,46,53,51,53,
      51,53,101,45,48,54,32,50,46,55,48,54,51,50,101,45,48,54,32,50,46,56,56,53,50,
      52,101,45,48,54,32,51,46,48,55,56,55,49,101,45,48,54,32,51,46,50,54,48,56,53,
      101,45,48,54,32,51,46,52,51,54,49,53,101,45,48,54,32,51,46,53,54,57,56,49,101,
      45,48,54,10,32,32,51,46,54,53,53,56,55,101,45,48,54,32,51,46,56,49,55,53,51,
      101,45,48,54,32,51,46,57,56,55,49,50,101,45,48,54,32,52,46,49,55,57,51,50,101,
      45,48,54,32,52,46,52,54,50,50,101,45,48,54,32,52,46,55,56,49,52,101,45,48,54,
      32,53,46,49,50,50,57,56,101,45,48,54,10,32,32,53,46,52,49,57,57,50,101,45,48,
      54,32,53,46,54,57,54,51,52,101,45,48,54,32,53,46,57,53,57,53,57,101,45,48,54,
      32,54,46,50,53,52,52,101,45,48,54,32,54,46,52,55,49,56,56,101,45,48,54,32,54,
      46,54,57,56,50,49,101,45,48,54,32,55,46,49,50,51,54,49,101,45,48,54,10,32,32,
      55,46,52,51,57,49,56,101,45,48,54,32,56,46,48,55,49,54,101,45,48,54,32,56,46,
      57,54,57,55,54,101,45,48,54,32,57,46,54,51,57,51,57,101,45,48,54,32,49,46,48,
      52,49,50,51,101,45,48,53,32,49,46,49,56,52,48,50,101,45,48,53,32,49,46,51,54,
      56,49,55,101,45,48,53,10,32,32,49,46,52,55,56,56,50,101,45,48,53,32,49,46,54,
      53,50,55,50,101,45,48,53,32,49,46,55,52,57,57,52,101,45,48,53,32,49,46,56,56,
      49,55,101,45,48,53,32,49,46,55,55,53,53,51,101,45,48,53,32,49,46,57,54,51,57,
      52,101,45,48,53,32,50,46,48,52,55,49,53,101,45,48,53,10,32,32,50,46,50,49,54,
      51,101,45,48,53,32,50,46,52,49,55,53,55,101,45,48,53,32,50,46,53,57,55,49,50,
      101,45,48,53,32,50,46,55,56,55,55,55,101,45,48,53,32,50,46,57,55,54,52,50,101,
      45,48,53,32,51,46,49,55,50,49,101,45,48,53,32,51,46,52,48,48,54,52,101,45,48,
      53,10,32,32,51,46,54,49,51,57,55,101,45,48,53,32,51,46,56,54,48,52,55,101,45,
      48,53,32,52,46,48,52,57,52,56,101,45,48,53,32,52,46,51,55,49,54,56,101,45,48,
      53,32,52,46,53,55,55,55,53,101,45,48,53,32,52,46,56,52,50,54,55,101,45,48,53,
      32,53,46,52,57,55,52,53,101,45,48,53,10,32,32,54,46,52,56,49,51,51,101,45,48,
      53,32,55,46,53,50,54,54,50,101,45,48,53,32,56,46,57,51,55,51,50,101,45,48,53,
      32,46,48,48,48,49,48,52,52,32,46,48,48,48,49,50,51,50,54,49,32,46,48,48,48,
      49,51,57,51,50,32,46,48,48,48,49,55,50,50,51,56,32,46,48,48,48,49,57,55,54,
      55,10,32,32,46,48,48,48,50,49,51,54,57,32,46,48,48,48,50,50,57,56,50,32,46,
      48,48,48,50,52,56,48,55,55,32,46,48,48,48,50,54,48,56,50,57,32,46,48,48,48,
      50,55,48,53,52,50,32,46,48,48,48,50,55,56,48,52,52,32,46,48,48,48,50,56,49,
      57,52,52,32,46,48,48,48,50,56,50,54,56,49,10,32,32,46,48,48,48,50,56,49,50,
      48,55,32,46,48,48,48,50,55,55,55,56,50,32,46,48,48,48,50,55,49,56,52,55,32,
      46,48,48,48,50,54,51,48,53,53,32,46,48,48,48,50,53,49,50,53,57,32,46,48,48,
      48,50,51,57,51,49,55,32,46,48,48,48,50,50,53,49,49,50,32,46,48,48,48,50,49,
      49,56,51,57,10,32,32,46,48,48,48,49,57,56,52,48,50,32,46,48,48,48,49,56,51,
      53,52,54,32,46,48,48,48,49,54,55,57,56,49,32,46,48,48,48,49,53,54,51,53,54,
      32,46,48,48,48,49,52,51,52,52,49,32,46,48,48,48,49,51,50,54,50,55,32,46,48,
      48,48,49,50,49,54,55,50,32,46,48,48,48,49,49,49,51,55,10,32,32,46,48,48,48,
      49,48,49,55,50,56,32,57,46,50,55,52,50,54,101,45,48,53,32,56,46,52,52,48,48,
      57,101,45,48,53,32,55,46,54,54,56,49,52,101,45,48,53,32,54,46,57,53,54,53,52,
      101,45,48,53,32,54,46,51,48,50,51,51,101,45,48,53,32,53,46,55,48,50,52,101,
      45,48,53,10,32,32,53,46,49,53,51,52,56,101,45,48,53,32,52,46,54,53,50,51,101,
      45,48,53,32,52,46,49,57,53,53,56,101,45,48,53,32,51,46,55,56,48,48,56,101,45,
      48,53,32,51,46,52,48,50,55,49,101,45,48,53,32,51,46,48,54,48,51,56,101,45,48,
      53,32,50,46,55,53,48,52,50,101,45,48,53,10,32,32,50,46,52,55,48,48,56,101,45,
      48,53,32,50,46,50,49,54,56,49,101,45,48,53,32,49,46,57,56,56,50,54,101,45,48,
      53,32,49,46,55,56,50,50,101,45,48,53,32,49,46,53,57,54,54,49,101,45,48,53,32,
      49,46,52,50,57,54,101,45,48,53,32,49,46,50,55,57,52,49,101,45,48,53,10,32,32,
      49,46,49,52,52,52,57,101,45,48,53,32,49,46,48,50,51,51,52,101,45,48,53,32,57,
      46,49,52,54,50,56,101,45,48,54,32,56,46,49,55,49,52,52,101,45,48,54,32,55,46,
      50,57,55,56,52,101,45,48,54,32,54,46,53,49,53,51,55,101,45,48,54,32,53,46,56,
      49,52,56,54,101,45,48,54,10,32,32,53,46,49,56,55,57,52,101,45,48,54,32,52,46,
      54,50,55,50,49,101,45,48,54,32,52,46,50,51,50,53,50,101,45,48,54,32,51,46,56,
      55,48,56,55,101,45,48,54,32,51,46,53,51,57,53,53,101,45,48,54,32,51,46,50,51,
      54,48,56,101,45,48,54,32,50,46,57,53,56,50,55,101,45,48,54,10,32,32,50,46,54,
      55,50,55,57,101,45,48,54,32,50,46,51,52,57,57,56,101,45,48,54,32,50,46,48,54,
      53,54,101,45,48,54,32,49,46,56,49,53,49,56,101,45,48,54,32,49,46,53,57,52,55,
      51,101,45,48,54,32,49,46,52,48,48,55,54,101,45,48,54,32,49,46,50,51,48,49,50,
      101,45,48,54,10,32,32,49,46,48,56,48,48,52,101,45,48,54,32,57,46,52,56,48,57,
      49,101,45,48,55,32,56,46,51,50,49,49,51,101,45,48,55,32,55,46,51,48,50,101,
      45,48,55,32,54,46,52,48,54,54,53,101,45,48,55,32,53,46,54,50,48,49,56,101,45,
      48,55,32,52,46,57,50,57,52,57,101,45,48,55,10,32,32,52,46,51,50,51,48,54,101,
      45,48,55,32,51,46,55,57,48,55,101,45,48,55,32,51,46,51,50,51,52,55,101,45,48,
      55,32,50,46,57,49,51,52,55,101,45,48,55,32,50,46,53,53,51,55,53,101,45,48,55,
      32,50,46,50,51,56,49,53,101,45,48,55,32,49,46,57,54,49,51,51,101,45,48,55,10,
      32,32,49,46,55,49,56,52,55,101,45,48,55,32,49,46,53,48,53,55,49,101,45,48,55,
      32,49,46,51,49,57,49,101,45,48,55,32,49,46,49,53,53,53,101,45,48,55,32,49,46,
      48,49,50,49,49,101,45,48,55,32,56,46,56,54,52,52,50,101,45,48,56,32,55,46,55,
      54,51,49,53,101,45,48,56,10,32,32,54,46,55,57,56,49,55,101,45,48,56,32,53,46,
      57,53,50,54,57,101,45,48,56,32,53,46,50,49,50,101,45,48,56,32,52,46,53,54,51,
      49,55,101,45,48,56,32,51,46,57,57,52,56,49,101,45,48,56,32,51,46,52,57,54,57,
      54,101,45,48,56,32,51,46,48,54,48,57,57,101,45,48,56,10,32,32,50,46,54,55,57,
      50,51,101,45,48,56,32,50,46,51,52,52,57,53,101,45,48,56,32,49,46,55,57,54,48,
      51,101,45,48,56,32,49,46,51,55,53,51,49,101,45,48,56,32,49,46,48,53,50,57,56,
      101,45,48,56,32,56,46,48,54,48,54,49,101,45,48,57,32,54,46,49,54,57,53,51,101,
      45,48,57,10,32,32,52,46,55,50,49,52,51,101,45,48,57,32,51,46,54,49,50,54,51,
      101,45,48,57,32,50,46,55,54,51,54,54,101,45,48,57,32,50,46,49,49,51,57,54,101,
      45,48,57,32,49,46,54,49,54,56,51,101,45,48,57,32,49,46,50,51,54,52,57,101,45,
      48,57,32,57,46,52,53,53,50,54,101,45,49,48,10,32,32,55,46,50,50,57,55,53,101,
      45,49,48,32,53,46,53,50,55,54,54,101,45,49,48,32,52,46,50,50,53,57,57,101,45,
      49,48,32,51,46,50,51,48,54,50,101,45,49,48,32,50,46,52,54,57,53,54,101,45,49,
      48,32,49,46,56,56,55,54,55,101,45,49,48,32,49,46,52,52,50,55,53,101,45,49,48,
      10,32,32,49,46,49,48,50,54,101,45,49,48,32,56,46,52,50,54,49,101,45,49,49,32,
      54,46,52,51,57,101,45,49,49,32,52,46,57,50,48,51,50,101,45,49,49,32,51,46,55,
      53,57,55,49,101,45,49,49,32,50,46,56,55,50,55,55,101,45,49,49,32,50,46,49,57,
      53,48,49,101,45,49,49,10,32,32,49,46,54,55,55,49,101,45,49,49,32,49,46,50,56,
      49,51,54,101,45,49,49,32,57,46,55,56,57,57,55,101,45,49,50,32,48,114,52,32,
      51,46,55,55,55,51,50,101,45,50,51,32,52,46,51,48,53,57,51,101,45,50,50,32,50,
      46,52,50,48,52,56,101,45,50,49,32,57,46,49,57,48,56,54,101,45,50,49,10,32,32,
      50,46,55,51,48,57,50,101,45,50,48,32,54,46,56,52,52,49,49,101,45,50,48,32,56,
      46,48,50,50,56,57,101,45,49,51,32,49,46,50,56,51,51,51,101,45,49,50,32,49,46,
      57,52,55,57,53,101,45,49,50,32,50,46,56,52,49,48,57,101,45,49,50,32,52,46,48,
      48,57,52,49,101,45,49,50,10,32,32,53,46,53,48,51,49,56,101,45,49,50,32,55,46,
      51,54,51,48,55,101,45,49,50,32,57,46,54,51,54,51,50,101,45,49,50,32,49,46,50,
      51,57,48,53,101,45,49,49,32,49,46,53,54,56,55,53,101,45,49,49,32,49,46,57,53,
      56,56,57,101,45,49,49,32,50,46,52,48,52,57,101,45,49,49,10,32,32,50,46,57,50,
      48,53,50,101,45,49,49,32,51,46,53,49,50,51,101,45,49,49,32,52,46,49,56,54,56,
      101,45,49,49,32,52,46,57,51,53,53,49,101,45,49,49,32,53,46,55,54,48,51,101,
      45,49,49,32,54,46,54,55,56,57,56,101,45,49,49,32,55,46,54,57,55,50,101,45,49,
      49,10,32,32,56,46,56,49,56,57,51,101,45,49,49,32,57,46,57,57,50,54,101,45,49,
      49,32,49,46,49,50,55,48,54,101,45,49,48,32,49,46,50,54,53,55,56,101,45,49,48,
      32,49,46,52,49,53,57,51,101,45,49,48,32,49,46,53,55,50,56,51,101,45,49,48,32,
      49,46,55,51,54,54,101,45,49,48,10,32,32,49,46,57,49,49,53,57,101,45,49,48,32,
      50,46,48,57,56,50,52,101,45,49,48,32,50,46,50,57,54,51,55,101,45,49,48,32,50,
      46,52,57,52,49,57,101,45,49,48,32,50,46,55,48,51,50,54,101,45,49,48,32,50,46,
      57,50,51,57,53,101,45,49,48,32,51,46,49,53,54,53,55,101,45,49,48,10,32,32,51,
      46,51,57,51,51,55,101,45,49,48,32,51,46,54,51,53,50,55,101,45,49,48,32,51,46,
      56,56,56,55,55,101,45,49,48,32,52,46,49,53,52,48,56,101,45,49,48,32,52,46,52,
      51,48,55,51,101,45,49,48,32,52,46,55,48,54,55,101,45,49,48,32,52,46,57,57,52,
      51,52,101,45,49,48,10,32,32,53,46,50,57,52,48,51,101,45,49,48,32,53,46,54,48,
      53,57,50,101,45,49,48,32,53,46,57,50,52,54,54,101,45,49,48,32,54,46,50,53,49,
      50,56,101,45,49,48,32,54,46,53,57,48,51,49,101,45,49,48,32,54,46,57,52,50,48,
      49,101,45,49,48,32,55,46,51,48,54,51,54,101,45,49,48,10,32,32,55,46,54,56,48,
      52,49,101,45,49,48,32,56,46,48,54,55,54,50,101,45,49,48,32,56,46,52,54,56,51,
      50,101,45,49,48,32,56,46,56,56,50,54,53,101,45,49,48,32,57,46,51,49,51,54,51,
      101,45,49,48,32,57,46,55,54,48,57,56,101,45,49,48,32,49,46,48,50,50,51,101,
      45,48,57,10,32,32,49,46,48,54,57,57,57,101,45,48,57,32,49,46,49,49,57,51,49,
      101,45,48,57,32,49,46,49,55,49,52,52,101,45,48,57,32,49,46,50,50,53,50,49,101,
      45,48,57,32,49,46,50,56,48,54,53,101,45,48,57,32,49,46,51,51,55,55,56,101,45,
      48,57,32,49,46,51,57,55,56,57,101,45,48,57,10,32,32,49,46,52,54,48,55,51,101,
      45,48,57,32,49,46,53,50,53,52,54,101,45,48,57,32,49,46,53,57,50,49,50,101,45,
      48,57,32,49,46,54,54,48,57,55,101,45,48,57,32,49,46,55,51,52,48,57,101,45,48,
      57,32,49,46,56,48,57,51,56,101,45,48,57,32,49,46,56,56,54,56,55,101,45,48,57,
      10,32,32,49,46,57,54,54,54,101,45,48,57,32,50,46,48,52,57,55,56,101,45,48,57,
      32,50,46,49,51,54,49,52,101,45,48,57,32,50,46,50,50,52,57,54,101,45,48,57,32,
      50,46,51,49,54,50,56,101,45,48,57,32,50,46,52,49,48,49,50,101,45,48,57,32,50,
      46,53,48,54,53,49,101,45,48,57,10,32,32,50,46,54,48,53,53,53,101,45,48,57,32,
      50,46,55,48,55,50,50,101,45,48,57,32,50,46,56,49,49,53,52,101,45,48,57,32,50,
      46,57,49,54,49,101,45,48,57,32,51,46,48,50,49,55,49,101,45,48,57,32,51,46,49,
      50,57,57,53,101,45,48,57,32,51,46,50,52,48,55,56,101,45,48,57,10,32,32,51,46,
      51,53,50,57,57,101,45,48,57,32,51,46,52,53,56,51,51,101,45,48,57,32,51,46,53,
      54,53,57,53,101,45,48,57,32,51,46,54,55,53,56,53,101,45,48,57,32,51,46,55,56,
      56,48,55,101,45,48,57,32,51,46,56,57,48,51,55,101,45,48,57,32,51,46,57,56,55,
      50,55,101,45,48,57,10,32,32,52,46,48,56,54,49,50,101,45,48,57,32,52,46,49,56,
      54,57,101,45,48,57,32,52,46,50,56,53,55,53,101,45,48,57,32,52,46,51,54,48,54,
      54,101,45,48,57,32,52,46,52,51,55,52,55,101,45,48,57,32,52,46,53,49,54,49,53,
      101,45,48,57,32,52,46,53,57,54,54,57,101,45,48,57,10,32,32,52,46,54,53,52,50,
      52,101,45,48,57,32,52,46,55,48,48,49,49,101,45,48,57,32,52,46,55,52,56,53,49,
      101,45,48,57,32,52,46,55,57,57,51,50,101,45,48,57,32,52,46,56,52,53,57,54,101,
      45,48,57,32,52,46,56,53,54,57,54,101,45,48,57,32,52,46,56,55,49,57,53,101,45,
      48,57,10,32,32,52,46,56,57,48,54,55,101,45,48,57,32,52,46,57,49,51,101,45,48,
      57,32,52,46,57,48,56,52,50,101,45,48,57,32,52,46,56,57,50,57,101,45,48,57,32,
      52,46,56,56,50,56,56,101,45,48,57,32,52,46,56,55,55,56,52,101,45,48,57,32,52,
      46,56,55,48,52,101,45,48,57,10,32,32,52,46,56,51,49,52,55,101,45,48,57,32,52,
      46,55,57,57,53,54,101,45,48,57,32,52,46,55,55,51,57,51,101,45,48,57,32,52,46,
      55,53,52,101,45,48,57,32,52,46,55,49,52,49,57,101,45,48,57,32,52,46,54,54,56,
      56,55,101,45,48,57,32,52,46,54,51,48,54,53,101,45,48,57,10,32,32,52,46,53,57,
      56,56,101,45,48,57,32,52,46,53,54,55,52,51,101,45,48,57,32,52,46,53,49,54,55,
      54,101,45,48,57,32,52,46,52,55,51,51,49,101,45,48,57,32,52,46,52,51,54,51,50,
      101,45,48,57,32,52,46,52,48,53,49,53,101,45,48,57,32,52,46,51,54,51,54,53,101,
      45,48,57,10,32,32,52,46,51,50,49,101,45,48,57,32,52,46,50,56,52,52,101,45,48,
      57,32,52,46,50,53,51,50,55,101,45,48,57,32,52,46,50,50,52,49,101,45,48,57,32,
      52,46,49,56,54,55,51,101,45,48,57,32,52,46,49,53,52,54,53,101,45,48,57,32,52,
      46,49,50,55,51,52,101,45,48,57,10,32,32,52,46,49,48,52,52,101,45,48,57,32,52,
      46,48,55,56,55,56,101,45,48,57,32,52,46,48,53,52,51,49,101,45,48,57,32,52,46,
      48,51,51,56,49,101,45,48,57,32,52,46,48,49,54,57,51,101,45,48,57,32,52,46,48,
      48,50,53,54,101,45,48,57,32,51,46,57,56,55,57,56,101,45,48,57,10,32,32,51,46,
      57,55,54,52,57,101,45,48,57,32,51,46,57,54,55,56,52,101,45,48,57,32,51,46,57,
      54,49,56,50,101,45,48,57,32,51,46,57,53,56,55,49,101,45,48,57,32,51,46,57,53,
      56,48,52,101,45,48,57,32,51,46,57,53,57,52,55,101,45,48,57,32,51,46,57,54,50,
      56,55,101,45,48,57,10,32,32,51,46,57,54,57,49,54,101,45,48,57,32,51,46,57,56,
      49,49,50,101,45,48,57,32,51,46,57,57,52,53,53,101,45,48,57,32,52,46,48,49,52,
      53,53,101,45,48,57,32,52,46,48,56,56,53,49,101,45,48,57,32,52,46,50,53,50,54,
      56,101,45,48,57,32,52,46,54,56,50,56,51,101,45,48,57,10,32,32,53,46,51,54,51,
      49,55,101,45,48,57,32,54,46,51,50,53,54,51,101,45,48,57,32,55,46,54,53,48,48,
      54,101,45,48,57,32,57,46,51,53,57,48,55,101,45,48,57,32,49,46,49,52,54,54,52,
      101,45,48,56,32,49,46,51,57,48,48,56,101,45,48,56,32,49,46,54,53,54,51,57,101,
      45,48,56,10,32,32,49,46,57,51,48,55,49,101,45,48,56,32,50,46,50,49,48,49,56,
      101,45,48,56,32,50,46,52,57,55,57,56,101,45,48,56,32,50,46,56,54,57,49,50,101,
      45,48,56,32,51,46,51,48,54,52,56,101,45,48,56,32,52,46,48,54,52,53,50,101,45,
      48,56,32,53,46,49,55,50,57,55,101,45,48,56,10,32,32,54,46,56,49,51,53,55,101,
      45,48,56,32,57,46,57,51,57,56,55,101,45,48,56,32,49,46,52,53,50,49,57,101,45,
      48,55,32,50,46,48,50,48,52,101,45,48,55,32,50,46,54,54,56,54,54,101,45,48,55,
      32,51,46,49,49,50,53,56,101,45,48,55,32,51,46,52,48,49,50,54,101,45,48,55,10,
      32,32,51,46,53,48,51,52,55,101,45,48,55,32,51,46,53,53,56,52,55,101,45,48,55,
      32,51,46,54,52,54,57,101,45,48,55,32,51,46,56,50,50,48,50,101,45,48,55,32,52,
      46,49,50,57,55,53,101,45,48,55,32,52,46,54,51,48,54,54,101,45,48,55,32,53,46,
      52,48,48,53,101,45,48,55,10,32,32,54,46,53,51,55,52,50,101,45,48,55,32,55,46,
      55,49,56,49,56,101,45,48,55,32,56,46,54,56,53,51,53,101,45,48,55,32,57,46,51,
      54,57,57,54,101,45,48,55,32,49,46,48,50,52,49,57,101,45,48,54,32,49,46,49,48,
      53,53,49,101,45,48,54,32,49,46,49,57,53,48,50,101,45,48,54,10,32,32,49,46,50,
      56,49,55,50,101,45,48,54,32,49,46,51,54,55,49,56,101,45,48,54,32,49,46,52,54,
      53,49,52,101,45,48,54,32,49,46,53,57,50,54,56,101,45,48,54,32,49,46,55,51,54,
      101,45,48,54,32,49,46,56,57,54,57,49,101,45,48,54,32,50,46,48,56,51,48,51,101,
      45,48,54,10,32,32,50,46,50,57,52,50,56,101,45,48,54,32,50,46,52,53,56,52,54,
      101,45,48,54,32,50,46,53,57,54,56,56,101,45,48,54,32,50,46,54,55,51,50,52,101,
      45,48,54,32,50,46,55,48,55,53,52,101,45,48,54,32,50,46,54,57,55,50,101,45,48,
      54,32,50,46,55,48,49,52,57,101,45,48,54,10,32,32,50,46,55,55,55,52,53,101,45,
      48,54,32,50,46,56,57,48,51,54,101,45,48,54,32,51,46,48,53,56,52,57,101,45,48,
      54,32,51,46,50,48,52,55,49,101,45,48,54,32,51,46,51,56,54,48,50,101,45,48,54,
      32,51,46,54,49,57,48,54,101,45,48,54,32,51,46,56,57,49,55,101,45,48,54,10,32,
      32,52,46,49,50,49,57,53,101,45,48,54,32,52,46,50,55,53,57,54,101,45,48,54,32,
      52,46,51,50,55,50,54,101,45,48,54,32,52,46,51,51,49,49,49,101,45,48,54,32,52,
      46,51,50,57,48,50,101,45,48,54,32,52,46,51,51,50,49,101,45,48,54,32,52,46,51,
      51,54,49,50,101,45,48,54,10,32,32,52,46,51,57,50,49,51,101,45,48,54,32,52,46,
      53,50,56,56,55,101,45,48,54,32,52,46,55,52,52,57,57,101,45,48,54,32,52,46,57,
      55,54,52,55,101,45,48,54,32,53,46,50,48,55,53,49,101,45,48,54,32,53,46,52,50,
      56,52,101,45,48,54,32,53,46,54,55,51,52,52,101,45,48,54,10,32,32,53,46,56,53,
      50,51,49,101,45,48,54,32,54,46,48,50,57,55,53,101,45,48,54,32,54,46,51,50,56,
      51,55,101,45,48,54,32,54,46,53,50,50,56,53,101,45,48,54,32,54,46,56,55,56,55,
      53,101,45,48,54,32,55,46,51,55,49,51,55,101,45,48,54,32,55,46,55,52,54,101,
      45,48,54,10,32,32,56,46,49,56,57,52,57,101,45,48,54,32,57,46,48,51,52,51,51,
      101,45,48,54,32,49,46,48,49,53,50,56,101,45,48,53,32,49,46,48,56,52,49,52,101,
      45,48,53,32,49,46,49,57,51,57,55,101,45,48,53,32,49,46,50,53,54,54,51,101,45,
      48,53,32,49,46,51,52,50,55,53,101,45,48,53,10,32,32,49,46,50,56,51,55,55,101,
      45,48,53,32,49,46,52,48,53,49,49,101,45,48,53,32,49,46,52,53,56,56,57,101,45,
      48,53,32,49,46,53,54,56,53,50,101,45,48,53,32,49,46,54,57,57,53,49,101,45,48,
      53,32,49,46,56,49,54,56,55,101,45,48,53,32,49,46,57,52,49,57,56,101,45,48,53,
      10,32,32,50,46,48,54,54,50,54,101,45,48,53,32,50,46,49,57,53,54,50,101,45,48,
      53,32,50,46,51,52,55,51,51,101,45,48,53,32,50,46,52,56,57,53,51,101,45,48,53,
      32,50,46,54,53,52,53,55,101,45,48,53,32,50,46,55,56,49,53,56,101,45,48,53,32,
      50,46,57,57,57,48,49,101,45,48,53,10,32,32,51,46,49,51,56,54,56,101,45,48,53,
      32,51,46,51,49,56,57,57,101,45,48,53,32,51,46,55,54,55,56,49,101,45,48,53,32,
      52,46,52,53,48,51,54,101,45,48,53,32,53,46,49,56,54,50,54,101,45,48,53,32,54,
      46,49,57,52,55,52,101,45,48,53,32,55,46,50,56,57,48,55,101,45,48,53,10,32,32,
      56,46,54,57,48,52,55,101,45,48,53,32,57,46,57,48,53,49,53,101,45,48,53,32,46,
      48,48,48,49,50,51,53,57,55,32,46,48,48,48,49,52,52,48,57,57,32,46,48,48,48,
      49,53,55,52,53,53,32,46,48,48,48,49,55,49,50,54,49,32,46,48,48,48,49,56,55,
      52,56,49,32,46,48,48,48,49,57,57,51,55,51,10,32,32,46,48,48,48,50,48,56,57,
      57,56,32,46,48,48,48,50,49,55,49,57,57,32,46,48,48,48,50,50,50,53,50,49,32,
      46,48,48,48,50,50,52,57,52,49,32,46,48,48,48,50,50,53,52,55,56,32,46,48,48,
      48,50,50,52,51,51,50,32,46,48,48,48,50,50,49,50,48,56,32,46,48,48,48,50,49,
      53,55,51,57,10,32,32,46,48,48,48,50,48,55,55,50,52,32,46,48,48,48,49,57,57,
      49,57,49,32,46,48,48,48,49,56,56,54,53,50,32,46,48,48,48,49,55,56,53,51,57,
      32,46,48,48,48,49,54,56,49,48,51,32,46,48,48,48,49,53,54,51,54,57,32,46,48,
      48,48,49,52,51,56,57,32,46,48,48,48,49,51,52,52,53,55,10,32,32,46,48,48,48,
      49,50,51,56,56,32,46,48,48,48,49,49,52,57,53,49,32,46,48,48,48,49,48,53,56,
      51,54,32,57,46,55,50,48,48,55,101,45,48,53,32,56,46,57,48,54,52,53,101,45,48,
      53,32,56,46,49,52,52,48,54,101,45,48,53,32,55,46,52,51,50,56,50,101,45,48,53,
      10,32,32,54,46,55,55,49,56,51,101,45,48,53,32,54,46,49,53,57,54,49,101,45,48,
      53,32,53,46,53,57,52,50,55,101,45,48,53,32,53,46,48,55,51,52,56,101,45,48,53,
      32,52,46,53,57,53,51,101,45,48,53,32,52,46,49,53,55,50,52,101,45,48,53,32,51,
      46,55,53,54,55,57,101,45,48,53,10,32,32,51,46,51,57,49,52,52,101,45,48,53,32,
      51,46,48,53,56,54,55,101,45,48,53,32,50,46,55,53,54,48,54,101,45,48,53,32,50,
      46,52,56,49,51,49,101,45,48,53,32,50,46,50,51,50,50,101,45,48,53,32,50,46,48,
      48,54,53,54,101,45,48,53,32,49,46,56,48,50,52,51,101,45,48,53,10,32,32,49,46,
      54,49,56,48,51,101,45,48,53,32,49,46,52,53,49,54,49,101,45,48,53,32,49,46,51,
      48,49,53,55,101,45,48,53,32,49,46,49,54,54,52,101,45,48,53,32,49,46,48,52,52,
      55,52,101,45,48,53,32,57,46,51,53,51,49,50,101,45,48,54,32,56,46,51,54,57,54,
      49,101,45,48,54,10,32,32,55,46,52,56,54,50,54,101,45,48,54,32,54,46,54,57,51,
      52,49,101,45,48,54,32,53,46,57,56,50,50,51,101,45,48,54,32,53,46,51,52,52,54,
      50,101,45,48,54,32,52,46,55,55,51,50,54,101,45,48,54,32,52,46,50,54,49,54,50,
      101,45,48,54,32,51,46,57,48,49,48,55,101,45,48,54,10,32,32,51,46,53,55,48,51,
      56,101,45,48,54,32,51,46,50,54,55,49,54,101,45,48,54,32,50,46,57,56,57,49,55,
      101,45,48,54,32,50,46,55,51,52,52,54,101,45,48,54,32,50,46,52,55,50,52,52,101,
      45,48,54,32,50,46,49,55,53,56,51,101,45,48,54,32,49,46,57,49,52,50,55,101,45,
      48,54,10,32,32,49,46,54,56,51,54,56,101,45,48,54,32,49,46,52,56,48,52,56,101,
      45,48,54,32,49,46,51,48,49,52,56,101,45,48,54,32,49,46,49,52,51,56,54,101,45,
      48,54,32,49,46,48,48,53,49,101,45,48,54,32,56,46,56,50,57,56,50,101,45,48,55,
      32,55,46,55,53,53,51,55,101,45,48,55,10,32,32,54,46,56,49,48,51,50,101,45,48,
      55,32,53,46,57,55,57,51,54,101,45,48,55,32,53,46,50,52,56,57,101,45,48,55,32,
      52,46,54,48,54,56,52,101,45,48,55,32,52,46,48,52,50,54,57,101,45,48,55,32,51,
      46,53,52,55,49,101,45,48,55,32,51,46,49,49,49,56,51,101,45,48,55,10,32,32,50,
      46,55,50,57,53,57,101,45,48,55,32,50,46,51,57,51,57,56,101,45,48,55,32,50,46,
      48,57,57,51,54,101,45,48,55,32,49,46,56,52,48,55,54,101,45,48,55,32,49,46,54,
      49,51,55,52,101,45,48,55,32,49,46,52,49,52,55,49,101,45,48,55,32,49,46,50,52,
      48,48,52,101,45,48,55,10,32,32,49,46,48,56,54,56,49,101,45,48,55,32,57,46,53,
      50,52,49,52,101,45,48,56,32,56,46,51,52,53,53,56,101,45,48,56,32,55,46,51,49,
      50,49,56,101,45,48,56,32,54,46,52,48,54,49,56,101,45,48,56,32,53,46,54,49,49,
      57,57,101,45,48,56,32,52,46,57,49,53,56,56,101,45,48,56,10,32,32,52,46,51,48,
      53,55,56,101,45,48,56,32,51,46,55,55,49,49,50,101,45,48,56,32,51,46,51,48,50,
      54,49,101,45,48,56,32,50,46,56,57,50,49,50,101,45,48,56,32,50,46,53,51,50,52,
      55,101,45,48,56,32,50,46,50,49,55,52,49,101,45,48,56,32,49,46,54,57,57,54,57,
      101,45,48,56,10,32,32,49,46,51,48,50,52,57,101,45,48,56,32,57,46,57,55,57,48,
      51,101,45,48,57,32,55,46,54,52,52,48,51,101,45,48,57,32,53,46,56,53,52,51,55,
      101,45,48,57,32,52,46,52,56,50,57,55,101,45,48,57,32,51,46,52,51,50,51,101,
      45,48,57,32,50,46,54,50,55,53,101,45,48,57,10,32,32,50,46,48,49,49,49,53,101,
      45,48,57,32,49,46,53,51,57,50,101,45,48,57,32,49,46,49,55,55,56,53,101,45,48,
      57,32,57,46,48,49,49,52,55,101,45,49,48,32,54,46,56,57,51,56,49,101,45,49,48,
      32,53,46,50,55,51,51,101,45,49,48,32,52,46,48,51,51,51,54,101,45,49,48,10,32,
      32,51,46,48,56,52,55,53,101,45,49,48,32,50,46,51,53,57,48,56,101,45,49,48,32,
      49,46,56,48,51,57,57,101,45,49,48,32,49,46,51,55,57,52,51,101,45,49,48,32,49,
      46,48,53,52,55,49,101,45,49,48,32,56,46,48,54,51,56,49,101,45,49,49,32,54,46,
      49,54,52,56,54,101,45,49,49,10,32,32,52,46,55,49,50,56,57,101,45,49,49,32,51,
      46,54,48,50,53,55,101,45,49,49,32,50,46,55,53,51,53,57,101,45,49,49,32,50,46,
      49,48,52,54,49,101,45,49,49,32,49,46,54,48,56,53,50,101,45,49,49,32,49,46,50,
      50,57,51,52,101,45,49,49,32,57,46,51,57,53,50,53,101,45,49,50,10,32,32,48,114,
      52,32,49,46,48,52,49,52,55,101,45,50,51,32,49,46,49,56,55,52,101,45,50,50,32,
      54,46,54,54,57,50,57,101,45,50,50,32,50,46,53,51,53,53,57,101,45,50,49,32,55,
      46,53,51,54,52,53,101,45,50,49,32,49,46,56,56,57,52,49,101,45,50,48,32,53,46,
      54,50,51,49,54,101,45,49,49,10,32,32,56,46,57,52,56,50,101,45,49,49,32,49,46,
      51,53,48,53,56,101,45,49,48,32,49,46,57,53,55,55,51,101,45,49,48,32,50,46,55,
      52,52,52,54,101,45,49,48,32,51,46,55,52,48,49,50,101,45,49,48,32,52,46,57,54,
      54,54,55,101,45,49,48,32,54,46,52,52,57,51,52,101,45,49,48,10,32,32,56,46,50,
      50,52,53,50,101,45,49,48,32,49,46,48,51,50,51,54,101,45,48,57,32,49,46,50,55,
      55,53,53,101,45,48,57,32,49,46,53,53,52,53,50,101,45,48,57,32,49,46,56,55,48,
      53,56,101,45,48,57,32,50,46,50,50,56,52,50,101,45,48,57,32,50,46,54,51,48,55,
      49,101,45,48,57,10,32,32,51,46,48,55,49,54,52,101,45,48,57,32,51,46,53,53,49,
      53,55,101,45,48,57,32,52,46,48,55,56,56,56,101,45,48,57,32,52,46,54,53,53,54,
      101,45,48,57,32,53,46,50,56,50,51,101,45,48,57,32,53,46,57,51,50,54,55,101,
      45,48,57,32,54,46,54,51,50,50,53,101,45,48,57,10,32,32,55,46,51,56,50,49,49,
      101,45,48,57,32,56,46,49,56,51,53,54,101,45,48,57,32,57,46,48,49,52,57,55,101,
      45,48,57,32,57,46,56,55,54,49,54,101,45,48,57,32,49,46,48,55,56,54,53,101,45,
      48,56,32,49,46,49,55,52,55,56,101,45,48,56,32,49,46,50,55,53,55,55,101,45,48,
      56,10,32,32,49,46,51,55,54,53,57,101,45,48,56,32,49,46,52,56,50,50,57,101,45,
      48,56,32,49,46,53,57,50,55,57,101,45,48,56,32,49,46,55,48,56,51,51,101,45,48,
      56,32,49,46,56,50,53,53,55,101,45,48,56,32,49,46,57,52,53,49,53,101,45,48,56,
      32,50,46,48,54,57,52,49,101,45,48,56,10,32,32,50,46,49,57,56,53,56,101,45,48,
      56,32,50,46,51,51,50,51,53,101,45,48,56,32,50,46,52,54,54,49,49,101,45,48,56,
      32,50,46,54,48,52,54,56,101,45,48,56,32,50,46,55,52,56,48,57,101,45,48,56,32,
      50,46,56,57,54,50,55,101,45,48,56,32,51,46,48,52,55,52,53,101,45,48,56,10,32,
      32,51,46,50,48,49,56,50,101,45,48,56,32,51,46,51,54,48,57,56,101,45,48,56,32,
      51,46,53,50,53,51,51,101,45,48,56,32,51,46,54,57,52,49,101,45,48,56,32,51,46,
      56,54,55,48,55,101,45,48,56,32,52,46,48,52,53,49,50,101,45,48,56,32,52,46,50,
      50,56,48,49,101,45,48,56,10,32,32,52,46,52,49,53,57,101,45,48,56,32,52,46,54,
      49,48,50,50,101,45,48,56,32,52,46,56,48,57,57,51,101,45,48,56,32,53,46,48,49,
      53,48,52,101,45,48,56,32,53,46,50,50,53,55,49,101,45,48,56,32,53,46,52,52,49,
      57,51,101,45,48,56,32,53,46,54,54,54,56,53,101,45,48,56,10,32,32,53,46,56,57,
      56,51,49,101,45,48,56,32,54,46,49,51,52,57,57,101,45,48,56,32,54,46,51,55,54,
      53,56,101,45,48,56,32,54,46,54,50,56,49,52,101,45,48,56,32,54,46,56,56,56,52,
      52,101,45,48,56,32,55,46,49,53,51,57,49,101,45,48,56,32,55,46,52,50,53,49,49,
      101,45,48,56,10,32,32,55,46,55,48,51,55,50,101,45,48,56,32,55,46,57,57,52,50,
      52,101,45,48,56,32,56,46,50,56,57,55,57,101,45,48,56,32,56,46,53,57,50,57,53,
      101,45,48,56,32,56,46,57,48,50,53,49,101,45,48,56,32,57,46,50,50,48,50,101,
      45,48,56,32,57,46,53,52,53,48,57,101,45,48,56,10,32,32,57,46,56,55,57,51,52,
      101,45,48,56,32,49,46,48,50,49,56,101,45,48,55,32,49,46,48,53,54,50,54,101,
      45,48,55,32,49,46,48,57,49,52,51,101,45,48,55,32,49,46,49,50,55,49,49,101,45,
      48,55,32,49,46,49,54,51,52,53,101,45,48,55,32,49,46,50,48,48,53,49,101,45,48,
      55,10,32,32,49,46,50,51,55,55,50,101,45,48,55,32,49,46,50,55,53,48,57,101,45,
      48,55,32,49,46,51,49,50,56,54,101,45,48,55,32,49,46,51,53,49,51,101,45,48,55,
      32,49,46,51,57,48,49,53,101,45,48,55,32,49,46,52,50,55,54,55,101,45,48,55,32,
      49,46,52,54,53,56,49,101,45,48,55,10,32,32,49,46,53,48,52,53,56,101,45,48,55,
      32,49,46,53,52,51,57,55,101,45,48,55,32,49,46,53,56,49,52,52,101,45,48,55,32,
      49,46,54,49,55,57,53,101,45,48,55,32,49,46,54,53,53,48,51,101,45,48,55,32,49,
      46,54,57,50,54,55,101,45,48,55,32,49,46,55,51,48,48,55,101,45,48,55,10,32,32,
      49,46,55,54,50,54,57,101,45,48,55,32,49,46,55,57,53,56,55,101,45,48,55,32,49,
      46,56,50,57,54,49,101,45,48,55,32,49,46,56,54,51,57,101,45,48,55,32,49,46,56,
      57,51,53,55,101,45,48,55,32,49,46,57,50,48,57,52,101,45,48,55,32,49,46,57,52,
      56,57,55,101,45,48,55,10,32,32,49,46,57,55,55,54,53,101,45,48,55,32,50,46,48,
      48,53,53,55,101,45,48,55,32,50,46,48,50,54,101,45,48,55,32,50,46,48,52,55,51,
      51,101,45,48,55,32,50,46,48,54,57,52,53,101,45,48,55,32,50,46,48,57,49,54,52,
      101,45,48,55,32,50,46,49,48,55,54,51,101,45,48,55,10,32,32,50,46,49,50,49,101,
      45,48,55,32,50,46,49,51,53,49,56,101,45,48,55,32,50,46,49,53,48,50,54,101,45,
      48,55,32,50,46,49,54,52,51,56,101,45,48,55,32,50,46,49,54,57,56,56,101,45,48,
      55,32,50,46,49,55,54,55,101,45,48,55,32,50,46,49,56,52,50,51,101,45,48,55,10,
      32,32,50,46,49,57,51,53,101,45,48,55,32,50,46,49,57,54,49,52,101,45,48,55,32,
      50,46,49,57,54,57,52,101,45,48,55,32,50,46,49,57,56,55,101,45,48,55,32,50,46,
      50,48,50,49,57,101,45,48,55,32,50,46,50,48,52,57,51,101,45,48,55,32,50,46,50,
      48,49,51,54,101,45,48,55,10,32,32,50,46,49,57,57,48,57,101,45,48,55,32,50,46,
      49,57,56,53,55,101,45,48,55,32,50,46,49,57,57,51,51,101,45,48,55,32,50,46,49,
      57,54,48,54,101,45,48,55,32,50,46,49,57,49,57,53,101,45,48,55,32,50,46,49,56,
      57,50,101,45,48,55,32,50,46,49,56,56,48,54,101,45,48,55,10,32,32,50,46,49,56,
      55,48,57,101,45,48,55,32,50,46,49,56,50,55,53,101,45,48,55,32,50,46,49,55,57,
      57,49,101,45,48,55,32,50,46,49,55,56,51,51,101,45,48,55,32,50,46,49,55,56,51,
      53,101,45,48,55,32,50,46,49,55,54,55,49,101,45,48,55,32,50,46,49,55,53,51,57,
      101,45,48,55,10,32,32,50,46,49,55,53,50,52,101,45,48,55,32,50,46,49,55,54,51,
      51,101,45,48,55,32,50,46,49,55,56,49,52,101,45,48,55,32,50,46,49,55,57,54,56,
      101,45,48,55,32,50,46,49,56,50,50,55,101,45,48,55,32,50,46,49,56,53,56,101,
      45,48,55,32,50,46,49,57,48,52,53,101,45,48,55,10,32,32,50,46,49,57,54,48,55,
      101,45,48,55,32,50,46,50,48,50,53,53,101,45,48,55,32,50,46,50,48,57,56,53,101,
      45,48,55,32,50,46,50,49,56,48,53,101,45,48,55,32,50,46,50,50,55,51,54,101,45,
      48,55,32,50,46,50,51,57,48,57,101,45,48,55,32,50,46,50,53,49,51,52,101,45,48,
      55,10,32,32,50,46,50,54,56,53,56,101,45,48,55,32,50,46,51,50,48,56,55,101,45,
      48,55,32,50,46,52,50,50,54,57,101,45,48,55,32,50,46,54,54,50,52,51,101,45,48,
      55,32,51,46,48,49,50,54,51,101,45,48,55,32,51,46,52,55,56,57,54,101,45,48,55,
      32,52,46,48,55,57,53,49,101,45,48,55,10,32,32,52,46,55,57,57,55,49,101,45,48,
      55,32,53,46,54,49,54,52,49,101,45,48,55,32,54,46,52,56,49,54,52,101,45,48,55,
      32,55,46,51,53,51,48,55,101,45,48,55,32,56,46,49,56,55,57,56,101,45,48,55,32,
      56,46,57,56,56,55,56,101,45,48,55,32,57,46,55,54,53,51,51,101,45,48,55,10,32,
      32,49,46,48,54,57,54,49,101,45,48,54,32,49,46,49,54,55,49,55,101,45,48,54,32,
      49,46,51,48,53,56,55,101,45,48,54,32,49,46,52,52,56,56,49,101,45,48,54,32,49,
      46,53,55,49,49,50,101,45,48,54,32,49,46,54,51,49,48,55,101,45,48,54,32,49,46,
      53,52,53,50,57,101,45,48,54,10,32,32,49,46,51,55,50,48,53,101,45,48,54,32,49,
      46,50,48,50,54,56,101,45,48,54,32,49,46,49,52,54,50,55,101,45,48,54,32,49,46,
      50,49,57,52,54,101,45,48,54,32,49,46,51,56,49,52,54,101,45,48,54,32,49,46,53,
      54,55,54,54,101,45,48,54,32,49,46,55,54,53,51,49,101,45,48,54,10,32,32,49,46,
      57,52,56,55,51,101,45,48,54,32,50,46,48,57,49,57,54,101,45,48,54,32,50,46,49,
      54,51,54,56,101,45,48,54,32,50,46,49,51,52,54,49,101,45,48,54,32,49,46,57,56,
      48,55,56,101,45,48,54,32,49,46,55,54,51,50,101,45,48,54,32,49,46,53,52,49,50,
      54,101,45,48,54,10,32,32,49,46,52,50,48,57,56,101,45,48,54,32,49,46,53,53,48,
      48,49,101,45,48,54,32,49,46,55,55,57,54,56,101,45,48,54,32,50,46,49,51,55,50,
      101,45,48,54,32,50,46,53,56,55,51,51,101,45,48,54,32,51,46,48,49,55,54,52,101,
      45,48,54,32,51,46,51,56,55,50,101,45,48,54,10,32,32,51,46,54,54,49,51,56,101,
      45,48,54,32,51,46,55,57,50,54,101,45,48,54,32,51,46,56,49,55,50,54,101,45,48,
      54,32,51,46,55,54,54,50,53,101,45,48,54,32,51,46,54,56,49,49,52,101,45,48,54,
      32,51,46,54,52,48,56,56,101,45,48,54,32,51,46,54,48,54,51,52,101,45,48,54,10,
      32,32,51,46,53,51,53,50,49,101,45,48,54,32,51,46,52,48,56,49,53,101,45,48,54,
      32,51,46,50,49,49,54,55,101,45,48,54,32,51,46,49,49,48,52,101,45,48,54,32,51,
      46,49,52,55,49,55,101,45,48,54,32,51,46,50,53,52,57,101,45,48,54,32,51,46,52,
      49,57,52,52,101,45,48,54,10,32,32,51,46,53,53,51,49,54,101,45,48,54,32,51,46,
      55,51,54,51,49,101,45,48,54,32,51,46,57,57,56,49,55,101,45,48,54,32,52,46,51,
      49,52,57,52,101,45,48,54,32,52,46,53,55,48,50,51,101,45,48,54,32,52,46,55,48,
      54,53,49,101,45,48,54,32,52,46,55,48,53,53,51,101,45,48,54,10,32,32,52,46,54,
      54,48,50,57,101,45,48,54,32,52,46,53,54,52,50,50,101,45,48,54,32,52,46,52,55,
      51,53,56,101,45,48,54,32,52,46,51,55,49,51,50,101,45,48,54,32,52,46,50,57,53,
      57,54,101,45,48,54,32,52,46,51,50,50,55,53,101,45,48,54,32,52,46,52,54,48,54,
      53,101,45,48,54,10,32,32,52,46,54,52,57,57,56,101,45,48,54,32,52,46,56,53,48,
      52,49,101,45,48,54,32,53,46,48,52,50,55,51,101,45,48,54,32,53,46,50,53,52,52,
      56,101,45,48,54,32,53,46,52,48,55,55,50,101,45,48,54,32,53,46,53,53,51,51,54,
      101,45,48,54,32,53,46,55,55,48,50,52,101,45,48,54,10,32,32,53,46,56,56,55,49,
      101,45,48,54,32,54,46,48,54,52,57,54,101,45,48,54,32,54,46,50,57,51,54,55,101,
      45,48,54,32,54,46,52,55,52,52,51,101,45,48,54,32,54,46,54,57,57,54,57,101,45,
      48,54,32,55,46,49,53,53,48,51,101,45,48,54,32,55,46,55,56,56,48,51,101,45,48,
      54,10,32,32,56,46,49,57,52,48,52,101,45,48,54,32,56,46,56,53,56,52,56,101,45,
      48,54,32,57,46,50,52,57,55,49,101,45,48,54,32,57,46,56,48,48,52,55,101,45,48,
      54,32,57,46,53,51,53,51,52,101,45,48,54,32,49,46,48,50,57,50,51,101,45,48,53,
      32,49,46,48,54,50,57,49,101,45,48,53,10,32,32,49,46,49,51,49,56,50,101,45,48,
      53,32,49,46,50,49,52,53,53,101,45,48,53,32,49,46,50,56,56,57,57,101,45,48,53,
      32,49,46,51,54,56,54,57,101,45,48,53,32,49,46,52,52,56,49,56,101,45,48,53,32,
      49,46,53,51,49,50,53,101,45,48,53,32,49,46,54,50,57,48,55,101,45,48,53,10,32,
      32,49,46,55,50,49,49,51,101,45,48,53,32,49,46,56,50,56,52,51,101,45,48,53,32,
      49,46,57,49,49,51,51,101,45,48,53,32,50,46,48,53,51,56,52,101,45,48,53,32,50,
      46,49,52,53,56,49,101,45,48,53,32,50,46,50,54,53,101,45,48,53,32,50,46,53,54,
      51,55,50,101,45,48,53,10,32,32,51,46,48,50,51,55,50,101,45,48,53,32,51,46,53,
      50,54,54,49,101,45,48,53,32,52,46,50,50,55,48,57,101,45,48,53,32,53,46,48,48,
      48,53,54,101,45,48,53,32,54,46,48,49,48,52,57,101,45,48,53,32,54,46,57,48,52,
      53,55,101,45,48,53,32,56,46,54,55,50,52,51,101,45,48,53,10,32,32,46,48,48,48,
      49,48,50,54,49,32,46,48,48,48,49,49,51,51,57,55,32,46,48,48,48,49,50,52,56,
      50,52,32,46,48,48,48,49,51,56,54,53,32,46,48,48,48,49,52,57,50,48,56,32,46,
      48,48,48,49,53,56,49,53,56,32,46,48,48,48,49,54,54,51,50,32,46,48,48,48,49,
      55,50,50,54,55,10,32,32,46,48,48,48,49,55,53,55,48,52,32,46,48,48,48,49,55,
      55,53,56,56,32,46,48,48,48,49,55,56,48,51,52,32,46,48,48,48,49,55,54,57,57,
      51,32,46,48,48,48,49,55,52,48,57,52,32,46,48,48,48,49,54,57,48,56,49,32,46,
      48,48,48,49,54,51,51,32,46,48,48,48,49,53,53,56,48,53,10,32,32,46,48,48,48,
      49,52,56,51,55,51,32,46,48,48,48,49,52,48,53,48,53,32,46,48,48,48,49,51,49,
      52,55,52,32,46,48,48,48,49,50,49,55,32,46,48,48,48,49,49,52,50,48,55,32,46,
      48,48,48,49,48,53,55,49,51,32,57,46,56,52,55,48,54,101,45,48,53,32,57,46,49,
      48,49,52,50,101,45,48,53,10,32,32,56,46,51,56,57,53,53,101,45,48,53,32,55,46,
      55,49,52,49,53,101,45,48,53,32,55,46,48,55,55,48,54,101,45,48,53,32,54,46,52,
      55,57,48,50,101,45,48,53,32,53,46,57,50,48,48,50,101,45,48,53,32,53,46,51,57,
      57,55,57,101,45,48,53,32,52,46,57,49,55,51,51,101,45,48,53,10,32,32,52,46,52,
      55,49,50,52,101,45,48,53,32,52,46,48,53,57,57,50,101,45,48,53,32,51,46,54,56,
      49,54,101,45,48,53,32,51,46,51,51,52,51,54,101,45,48,53,32,51,46,48,49,54,52,
      51,101,45,48,53,32,50,46,55,50,53,57,57,101,45,48,53,32,50,46,52,54,49,48,57,
      101,45,48,53,10,32,32,50,46,50,49,57,57,49,101,45,48,53,32,50,46,48,48,48,54,
      52,101,45,48,53,32,49,46,56,48,49,53,55,101,45,48,53,32,49,46,54,50,49,48,54,
      101,45,48,53,32,49,46,52,53,55,54,49,101,45,48,53,32,49,46,51,48,57,55,55,101,
      45,48,53,32,49,46,49,55,54,49,53,101,45,48,53,10,32,32,49,46,48,53,53,53,49,
      101,45,48,53,32,57,46,52,54,55,50,54,101,45,48,54,32,56,46,52,56,55,48,53,101,
      45,48,54,32,55,46,54,48,52,53,50,101,45,48,54,32,54,46,56,49,48,53,54,101,45,
      48,54,32,54,46,48,57,54,55,54,101,45,48,54,32,53,46,52,53,53,52,101,45,48,54,
      10,32,32,52,46,56,55,57,53,56,101,45,48,54,32,52,46,51,54,50,56,51,101,45,48,
      54,32,51,46,56,57,57,52,101,45,48,54,32,51,46,53,55,50,52,49,101,45,48,54,32,
      51,46,50,55,50,49,57,101,45,48,54,32,50,46,57,57,54,54,50,101,45,48,54,32,50,
      46,55,52,51,55,53,101,45,48,54,10,32,32,50,46,53,49,49,56,101,45,48,54,32,50,
      46,50,55,51,101,45,48,54,32,50,46,48,48,50,51,56,101,45,48,54,32,49,46,55,54,
      51,52,49,101,45,48,54,32,49,46,53,53,50,53,101,45,48,54,32,49,46,51,54,54,52,
      49,101,45,48,54,32,49,46,50,48,50,50,57,101,45,48,54,10,32,32,49,46,48,53,55,
      53,57,101,45,48,54,32,57,46,51,48,48,57,49,101,45,48,55,32,56,46,49,55,55,53,
      57,101,45,48,55,32,55,46,49,56,56,50,57,101,45,48,55,32,54,46,51,49,55,51,55,
      101,45,48,55,32,53,46,53,53,48,56,53,101,45,48,55,32,52,46,56,55,54,52,101,
      45,48,55,10,32,32,52,46,50,56,51,48,56,101,45,48,55,32,51,46,55,54,49,50,53,
      101,45,48,55,32,51,46,51,48,50,52,49,101,45,48,55,32,50,46,56,57,57,48,56,101,
      45,48,55,32,50,46,53,52,52,54,50,101,45,48,55,32,50,46,50,51,51,49,54,101,45,
      48,55,32,49,46,57,53,57,53,52,101,45,48,55,10,32,32,49,46,55,49,57,50,101,45,
      48,55,32,49,46,53,48,56,48,55,101,45,48,55,32,49,46,51,50,50,56,53,101,45,48,
      55,32,49,46,49,54,48,49,56,101,45,48,55,32,49,46,48,49,55,51,57,101,45,48,55,
      32,56,46,57,50,48,54,56,101,45,48,56,32,55,46,56,50,49,48,50,101,45,48,56,10,
      32,32,54,46,56,53,54,49,56,101,45,48,56,32,54,46,48,48,57,55,56,101,45,48,56,
      32,53,46,50,54,55,51,56,101,45,48,56,32,52,46,54,49,54,50,56,101,45,48,56,32,
      52,46,48,52,53,50,52,101,45,48,56,32,51,46,53,52,52,53,52,101,45,48,56,32,51,
      46,49,48,53,53,56,101,45,48,56,10,32,32,50,46,55,50,48,55,54,101,45,48,56,32,
      50,46,51,56,51,52,52,101,45,48,56,32,50,46,48,56,55,56,101,45,48,56,32,49,46,
      54,48,49,54,54,101,45,48,56,32,49,46,50,50,56,51,56,101,45,48,56,32,57,46,52,
      49,56,56,57,101,45,48,57,32,55,46,50,50,48,53,55,101,45,48,57,10,32,32,53,46,
      53,51,52,49,54,101,45,48,57,32,52,46,50,52,48,54,56,101,45,48,57,32,51,46,50,
      52,56,56,56,101,45,48,57,32,50,46,52,56,56,54,53,101,45,48,57,32,49,46,57,48,
      54,48,50,101,45,48,57,32,49,46,52,53,57,53,55,101,45,48,57,32,49,46,49,49,55,
      53,52,101,45,48,57,10,32,32,56,46,53,53,53,53,53,101,45,49,48,32,54,46,53,52,
      57,49,49,101,45,49,48,32,53,46,48,49,50,54,55,101,45,49,48,32,51,46,56,51,54,
      51,101,45,49,48,32,50,46,57,51,53,53,54,101,45,49,48,32,50,46,50,52,54,101,
      45,49,48,32,49,46,55,49,56,50,56,101,45,49,48,10,32,32,49,46,51,49,52,52,53,
      101,45,49,48,32,49,46,48,48,53,52,53,101,45,49,48,32,55,46,54,57,48,51,57,101,
      45,49,49,32,53,46,56,56,49,55,57,101,45,49,49,32,52,46,52,57,56,50,56,101,45,
      49,49,32,51,46,52,52,48,48,49,101,45,49,49,32,50,46,54,51,48,53,55,101,45,49,
      49,10,32,32,50,46,48,49,49,53,101,45,49,49,32,49,46,53,51,56,48,53,101,45,49,
      49,32,49,46,49,55,53,57,56,101,45,49,49,32,56,46,57,57,49,50,50,101,45,49,50,
      32,48,114,52,32,51,46,50,48,57,48,55,101,45,50,52,32,51,46,54,53,56,53,52,101,
      45,50,51,32,50,46,48,53,49,51,51,101,45,50,50,10,32,32,55,46,55,57,55,57,101,
      45,50,50,32,50,46,51,49,57,54,50,101,45,50,49,32,53,46,56,49,52,54,52,101,45,
      50,49,32,49,46,51,52,54,50,56,101,45,49,50,32,50,46,49,53,51,56,55,101,45,49,
      50,32,51,46,50,54,57,57,51,101,45,49,50,32,52,46,55,55,48,49,101,45,49,50,10,
      32,32,54,46,55,51,50,57,52,101,45,49,50,32,57,46,50,52,51,49,49,101,45,49,50,
      32,49,46,50,51,54,57,50,101,45,49,49,32,49,46,54,49,57,48,54,101,45,49,49,32,
      50,46,48,56,50,49,51,101,45,49,49,32,50,46,54,51,54,53,54,101,45,49,49,32,51,
      46,50,57,50,54,56,101,45,49,49,10,32,32,52,46,48,52,50,56,49,101,45,49,49,32,
      52,46,57,49,48,48,55,101,45,49,49,32,53,46,57,48,53,52,52,101,45,49,49,32,55,
      46,48,51,57,57,50,101,45,49,49,32,56,46,50,57,57,49,55,101,45,49,49,32,57,46,
      54,56,54,50,54,101,45,49,49,32,49,46,49,50,51,49,49,101,45,49,48,10,32,32,49,
      46,50,57,52,51,49,101,45,49,48,32,49,46,52,56,50,56,57,101,45,49,48,32,49,46,
      54,56,48,49,54,101,45,49,48,32,49,46,56,57,52,57,53,101,45,49,48,32,50,46,49,
      50,56,48,51,101,45,49,48,32,50,46,51,56,48,50,53,101,45,49,48,32,50,46,54,52,
      51,55,55,101,45,49,48,10,32,32,50,46,57,49,56,55,55,101,45,49,48,32,51,46,50,
      49,50,53,54,101,45,49,48,32,51,46,53,50,53,56,52,101,45,49,48,32,51,46,56,53,
      56,51,50,101,45,49,48,32,52,46,49,57,48,50,52,101,45,49,48,32,52,46,53,52,48,
      57,55,101,45,49,48,32,52,46,57,49,49,49,101,45,49,48,10,32,32,53,46,51,48,49,
      49,53,101,45,49,48,32,53,46,54,57,56,49,53,101,45,49,48,32,54,46,49,48,51,54,
      54,101,45,49,48,32,54,46,53,50,56,53,52,101,45,49,48,32,54,46,57,55,51,49,101,
      45,49,48,32,55,46,52,51,54,53,56,101,45,49,48,32,55,46,56,57,56,57,49,101,45,
      49,48,10,32,32,56,46,51,56,48,55,50,101,45,49,48,32,56,46,56,56,50,53,56,101,
      45,49,48,32,57,46,52,48,52,55,56,101,45,49,48,32,57,46,57,51,56,52,49,101,45,
      49,48,32,49,46,48,52,56,53,49,101,45,48,57,32,49,46,49,48,53,50,53,101,45,48,
      57,32,49,46,49,54,52,49,101,45,48,57,10,32,32,49,46,50,50,53,48,53,101,45,48,
      57,32,49,46,50,56,55,54,50,101,45,48,57,32,49,46,51,53,50,51,55,101,45,48,57,
      32,49,46,52,49,57,51,55,101,45,48,57,32,49,46,52,56,56,54,51,101,45,48,57,32,
      49,46,53,54,48,54,53,101,45,48,57,32,49,46,54,51,53,51,57,101,45,48,57,10,32,
      32,49,46,55,49,50,53,55,101,45,48,57,32,49,46,55,57,50,50,50,101,45,48,57,32,
      49,46,56,55,52,53,54,101,45,48,57,32,49,46,57,54,49,53,53,101,45,48,57,32,50,
      46,48,53,49,50,54,101,45,48,57,32,50,46,49,52,51,55,50,101,45,48,57,32,50,46,
      50,51,56,57,57,101,45,48,57,10,32,32,50,46,51,51,57,49,55,101,45,48,57,32,50,
      46,52,52,51,56,53,101,45,48,57,32,50,46,53,53,49,54,54,101,45,48,57,32,50,46,
      54,54,50,54,52,101,45,48,57,32,50,46,55,55,55,50,51,101,45,48,57,32,50,46,56,
      57,56,56,54,101,45,48,57,32,51,46,48,50,52,48,51,101,45,48,57,10,32,32,51,46,
      49,53,50,56,51,101,45,48,57,32,51,46,50,56,53,50,57,101,45,48,57,32,51,46,52,
      50,51,52,49,101,45,48,57,32,51,46,53,54,54,55,51,101,45,48,57,32,51,46,55,49,
      52,48,56,101,45,48,57,32,51,46,56,54,53,53,101,45,48,57,32,52,46,48,50,49,48,
      52,101,45,48,57,10,32,32,52,46,49,56,48,55,54,101,45,48,57,32,52,46,51,52,52,
      55,52,101,45,48,57,32,52,46,53,49,51,48,50,101,45,48,57,32,52,46,54,56,53,54,
      52,101,45,48,57,32,52,46,56,53,56,54,54,101,45,48,57,32,53,46,48,51,51,51,51,
      101,45,48,57,32,53,46,50,49,50,50,49,101,45,48,57,10,32,32,53,46,51,57,53,51,
      50,101,45,48,57,32,53,46,53,56,48,54,56,101,45,48,57,32,53,46,55,53,52,57,101,
      45,48,57,32,53,46,57,51,50,56,51,101,45,48,57,32,54,46,49,49,52,53,101,45,48,
      57,32,54,46,50,57,57,57,54,101,45,48,57,32,54,46,52,54,57,51,49,101,45,48,57,
      10,32,32,54,46,54,50,57,57,50,101,45,48,57,32,54,46,55,57,51,55,50,101,45,48,
      57,32,54,46,57,54,48,54,57,101,45,48,57,32,55,46,49,50,52,53,52,101,45,48,57,
      32,55,46,50,52,57,53,50,101,45,48,57,32,55,46,51,55,55,54,49,101,45,48,57,32,
      55,46,53,48,56,55,55,101,45,48,57,10,32,32,55,46,54,52,50,57,57,101,45,48,57,
      32,55,46,55,51,57,56,54,101,45,48,57,32,55,46,56,49,55,55,53,101,45,48,57,32,
      55,46,56,57,57,55,55,101,45,48,57,32,55,46,57,56,53,55,51,101,45,48,57,32,56,
      46,48,54,52,57,51,101,45,48,57,32,56,46,48,56,54,49,50,101,45,48,57,10,32,32,
      56,46,49,49,51,56,101,45,48,57,32,56,46,49,52,55,53,49,101,45,48,57,32,56,46,
      49,56,54,56,52,101,45,48,57,32,56,46,49,56,50,49,57,101,45,48,57,32,56,46,49,
      53,57,54,50,101,45,48,57,32,56,46,49,52,53,56,52,101,45,48,57,32,56,46,49,52,
      48,48,56,101,45,48,57,10,32,32,56,46,49,51,48,51,51,101,45,48,57,32,56,46,48,
      54,56,55,49,101,45,48,57,32,56,46,48,49,56,52,50,101,45,48,57,32,55,46,57,55,
      56,51,49,101,45,48,57,32,55,46,57,52,55,52,52,101,45,48,57,32,55,46,56,56,51,
      54,53,101,45,48,57,32,55,46,56,49,48,54,49,101,45,48,57,10,32,32,55,46,55,52,
      57,49,49,101,45,48,57,32,55,46,54,57,55,57,56,101,45,48,57,32,55,46,54,52,55,
      53,50,101,45,48,57,32,55,46,53,54,52,57,55,101,45,48,57,32,55,46,52,57,52,50,
      51,101,45,48,57,32,55,46,52,51,52,48,53,101,45,48,57,32,55,46,51,56,51,52,52,
      101,45,48,57,10,32,32,55,46,51,49,53,53,53,101,45,48,57,32,55,46,50,52,53,54,
      53,101,45,48,57,32,55,46,49,56,53,54,57,101,45,48,57,32,55,46,49,51,52,55,50,
      101,45,48,57,32,55,46,48,56,54,57,54,101,45,48,57,32,55,46,48,50,53,52,52,101,
      45,48,57,32,54,46,57,55,50,54,55,101,45,48,57,10,32,32,54,46,57,50,55,55,57,
      101,45,48,57,32,54,46,56,57,48,49,52,101,45,48,57,32,54,46,56,52,55,57,54,101,
      45,48,57,32,54,46,56,48,55,54,51,101,45,48,57,32,54,46,55,55,51,57,101,45,48,
      57,32,54,46,55,52,54,49,56,101,45,48,57,32,54,46,55,50,50,54,50,101,45,48,57,
      10,32,32,54,46,54,57,56,54,55,101,45,48,57,32,54,46,54,55,57,56,53,101,45,48,
      57,32,54,46,54,54,53,55,54,101,45,48,57,32,54,46,54,53,54,48,53,101,45,48,57,
      32,54,46,54,53,49,49,57,101,45,48,57,32,54,46,54,53,48,52,101,45,48,57,32,54,
      46,54,53,51,49,49,101,45,48,57,10,32,32,54,46,54,53,57,49,50,101,45,48,57,32,
      54,46,54,54,57,57,51,101,45,48,57,32,54,46,54,57,48,50,53,101,45,48,57,32,54,
      46,55,49,51,48,49,101,45,48,57,32,54,46,55,52,54,56,55,101,45,48,57,32,54,46,
      56,55,49,53,56,101,45,48,57,32,55,46,49,52,55,56,49,101,45,48,57,10,32,32,55,
      46,56,55,48,54,49,101,45,48,57,32,57,46,48,49,50,54,101,45,48,57,32,49,46,48,
      54,50,54,52,101,45,48,56,32,49,46,50,56,52,51,55,101,45,48,56,32,49,46,53,54,
      57,56,51,101,45,48,56,32,49,46,57,50,48,55,55,101,45,48,56,32,50,46,51,50,52,
      55,51,101,45,48,56,10,32,32,50,46,55,54,52,57,54,101,45,48,56,32,51,46,50,49,
      54,55,51,101,45,48,56,32,51,46,54,55,53,52,49,101,45,48,56,32,52,46,49,52,54,
      49,55,101,45,48,56,32,52,46,55,53,48,56,55,101,45,48,56,32,53,46,52,53,55,56,
      51,101,45,48,56,32,54,46,54,55,50,56,56,101,45,48,56,10,32,32,56,46,52,50,48,
      57,53,101,45,48,56,32,49,46,48,57,52,54,53,101,45,48,55,32,49,46,53,53,54,52,
      101,45,48,55,32,50,46,49,57,48,53,52,101,45,48,55,32,50,46,57,49,50,55,51,101,
      45,48,55,32,51,46,54,54,50,52,56,101,45,48,55,32,52,46,49,53,51,54,51,101,45,
      48,55,10,32,32,52,46,53,50,49,51,101,45,48,55,32,52,46,55,50,49,51,54,101,45,
      48,55,32,52,46,56,54,56,57,52,101,45,48,55,32,53,46,48,53,49,50,56,101,45,48,
      55,32,53,46,51,50,56,56,53,101,45,48,55,32,53,46,55,53,51,51,53,101,45,48,55,
      32,54,46,51,56,52,55,54,101,45,48,55,10,32,32,55,46,50,56,48,51,52,101,45,48,
      55,32,56,46,52,54,51,57,53,101,45,48,55,32,57,46,53,48,52,57,53,101,45,48,55,
      32,49,46,48,49,52,51,54,101,45,48,54,32,49,46,48,53,51,55,49,101,45,48,54,32,
      49,46,49,53,49,49,53,101,45,48,54,32,49,46,50,54,49,56,50,101,45,48,54,10,32,
      32,49,46,51,57,56,49,51,101,45,48,54,32,49,46,53,51,57,54,57,101,45,48,54,32,
      49,46,54,55,50,52,57,101,45,48,54,32,49,46,56,48,56,52,53,101,45,48,54,32,49,
      46,57,54,51,55,53,101,45,48,54,32,50,46,49,49,57,50,57,101,45,48,54,32,50,46,
      50,55,55,49,56,101,45,48,54,10,32,32,50,46,52,52,51,101,45,48,54,32,50,46,54,
      49,54,53,55,101,45,48,54,32,50,46,55,52,55,56,52,101,45,48,54,32,50,46,56,53,
      51,57,55,101,45,48,54,32,50,46,56,57,56,53,52,101,45,48,54,32,50,46,56,57,52,
      52,49,101,45,48,54,32,50,46,56,51,52,53,51,101,45,48,54,10,32,32,50,46,56,48,
      54,53,51,101,45,48,54,32,50,46,56,54,55,57,50,101,45,48,54,32,50,46,57,55,54,
      55,56,101,45,48,54,32,51,46,49,52,48,51,101,45,48,54,32,51,46,50,55,55,54,54,
      101,45,48,54,32,51,46,52,53,53,48,53,101,45,48,54,32,51,46,54,57,53,49,50,101,
      45,48,54,10,32,32,51,46,57,56,48,51,51,101,45,48,54,32,52,46,50,49,53,56,50,
      101,45,48,54,32,52,46,51,53,55,52,51,101,45,48,54,32,52,46,51,56,48,50,55,101,
      45,48,54,32,52,46,51,53,53,48,50,101,45,48,54,32,52,46,50,56,54,52,101,45,48,
      54,32,52,46,50,48,54,55,51,101,45,48,54,10,32,32,52,46,48,57,57,56,51,101,45,
      48,54,32,51,46,57,57,55,48,52,101,45,48,54,32,51,46,57,56,51,57,54,101,45,48,
      54,32,52,46,48,56,50,55,49,101,45,48,54,32,52,46,50,52,51,55,53,101,45,48,54,
      32,52,46,52,49,57,51,52,101,45,48,54,32,52,46,53,56,56,49,56,101,45,48,54,10,
      32,32,52,46,55,55,51,50,55,101,45,48,54,32,52,46,57,48,54,53,55,101,45,48,54,
      32,53,46,48,51,48,48,51,101,45,48,54,32,53,46,49,57,55,53,52,101,45,48,54,32,
      53,46,50,55,49,52,52,101,45,48,54,32,53,46,51,53,50,48,54,101,45,48,54,32,53,
      46,52,51,49,54,55,101,45,48,54,10,32,32,53,46,52,57,56,53,52,101,45,48,54,32,
      53,46,53,57,49,57,49,101,45,48,54,32,53,46,56,48,52,53,101,45,48,54,32,54,46,
      49,50,55,55,55,101,45,48,54,32,54,46,51,52,57,52,55,101,45,48,54,32,54,46,55,
      50,56,54,101,45,48,54,32,54,46,57,54,51,48,49,101,45,48,54,10,32,32,55,46,51,
      48,54,53,51,101,45,48,54,32,55,46,50,53,49,56,53,101,45,48,54,32,55,46,55,48,
      53,49,57,101,45,48,54,32,55,46,57,48,55,55,54,101,45,48,54,32,56,46,51,50,51,
      54,55,101,45,48,54,32,56,46,56,50,53,51,57,101,45,48,54,32,57,46,50,55,57,48,
      54,101,45,48,54,10,32,32,57,46,55,54,54,56,51,101,45,48,54,32,49,46,48,50,53,
      53,51,101,45,48,53,32,49,46,48,55,54,55,57,101,45,48,53,32,49,46,49,51,55,52,
      50,101,45,48,53,32,49,46,49,57,52,55,50,101,45,48,53,32,49,46,50,54,49,55,55,
      101,45,48,53,32,49,46,51,49,51,55,55,101,45,48,53,10,32,32,49,46,52,48,51,53,
      57,101,45,48,53,32,49,46,52,54,49,56,49,101,45,48,53,32,49,46,53,51,55,53,53,
      101,45,48,53,32,49,46,55,50,56,55,56,101,45,48,53,32,50,46,48,50,54,57,50,101,
      45,48,53,32,50,46,51,53,55,51,55,101,45,48,53,32,50,46,56,50,53,50,51,101,45,
      48,53,10,32,32,51,46,51,53,49,48,49,101,45,48,53,32,52,46,48,53,49,55,56,101,
      45,48,53,32,52,46,54,56,51,57,51,101,45,48,53,32,53,46,56,57,51,53,50,101,45,
      48,53,32,55,46,48,56,50,53,56,101,45,48,53,32,55,46,57,49,54,101,45,48,53,32,
      56,46,56,50,49,51,55,101,45,48,53,10,32,32,57,46,57,53,53,52,49,101,45,48,53,
      32,46,48,48,48,49,48,56,53,48,53,32,46,48,48,48,49,49,54,51,56,50,32,46,48,
      48,48,49,50,51,57,52,54,32,46,48,48,48,49,50,57,56,57,55,32,46,48,48,48,49,
      51,51,55,55,49,32,46,48,48,48,49,51,54,52,51,57,32,46,48,48,48,49,51,55,57,
      53,57,10,32,32,46,48,48,48,49,51,56,51,56,55,32,46,48,48,48,49,51,55,51,57,
      51,32,46,48,48,48,49,51,52,55,50,32,46,48,48,48,49,51,49,49,53,32,46,48,48,
      48,49,50,54,49,53,32,46,48,48,48,49,50,48,57,52,53,32,46,48,48,48,49,49,53,
      50,53,55,32,46,48,48,48,49,48,56,53,54,53,10,32,32,46,48,48,48,49,48,49,49,
      53,50,32,57,46,53,51,55,48,50,101,45,48,53,32,56,46,56,55,51,49,57,101,45,48,
      53,32,56,46,51,48,48,50,53,101,45,48,53,32,55,46,55,48,52,54,57,101,45,48,53,
      32,55,46,49,51,48,57,53,101,45,48,53,32,54,46,53,56,50,50,55,101,45,48,53,10,
      32,32,54,46,48,54,48,53,57,101,45,48,53,32,53,46,53,54,55,53,55,101,45,48,53,
      32,53,46,49,48,52,48,56,101,45,48,53,32,52,46,54,55,48,49,51,101,45,48,53,32,
      52,46,50,54,53,52,56,101,45,48,53,32,51,46,56,56,57,52,101,45,48,53,32,51,46,
      53,52,49,48,51,101,45,48,53,10,32,32,51,46,50,49,57,51,53,101,45,48,53,32,50,
      46,57,50,51,48,51,101,45,48,53,32,50,46,54,53,48,55,52,101,45,48,53,32,50,46,
      52,48,49,48,52,101,45,48,53,32,50,46,49,55,50,52,57,101,45,48,53,32,49,46,57,
      54,51,54,57,101,45,48,53,32,49,46,55,55,51,50,53,101,45,48,53,10,32,32,49,46,
      53,57,57,56,55,101,45,48,53,32,49,46,52,52,50,50,53,101,45,48,53,32,49,46,50,
      57,57,49,53,101,45,48,53,32,49,46,49,54,57,51,57,101,45,48,53,32,49,46,48,53,
      49,56,53,101,45,48,53,32,57,46,52,53,53,49,56,101,45,48,54,32,56,46,52,57,52,
      49,101,45,48,54,10,32,32,55,46,54,50,54,49,50,101,45,48,54,32,54,46,56,52,51,
      49,101,45,48,54,32,54,46,49,51,55,49,57,101,45,48,54,32,53,46,53,48,49,51,50,
      101,45,48,54,32,52,46,57,50,57,48,50,101,45,48,54,32,52,46,52,49,52,51,52,101,
      45,48,54,32,51,46,57,53,49,54,57,101,45,48,54,10,32,32,51,46,53,51,54,49,54,
      101,45,48,54,32,51,46,50,52,50,53,54,101,45,48,54,32,50,46,57,55,50,54,56,101,
      45,48,54,32,50,46,55,50,52,54,54,101,45,48,54,32,50,46,52,57,54,56,51,101,45,
      48,54,32,50,46,50,56,55,54,53,101,45,48,54,32,50,46,48,55,50,48,54,101,45,48,
      54,10,32,32,49,46,56,50,55,52,101,45,48,54,32,49,46,54,49,49,48,54,101,45,48,
      54,32,49,46,52,49,57,56,54,101,45,48,54,32,49,46,50,53,48,57,53,101,45,48,54,
      32,49,46,49,48,49,55,57,101,45,48,54,32,57,46,55,48,49,52,51,101,45,48,55,32,
      56,46,53,51,57,57,101,45,48,55,10,32,32,55,46,53,49,53,52,57,101,45,48,55,32,
      54,46,54,49,50,51,49,101,45,48,55,32,53,46,56,49,54,50,56,101,45,48,55,32,53,
      46,49,49,52,56,55,101,45,48,55,32,52,46,52,57,55,101,45,48,55,32,51,46,57,53,
      50,57,54,101,45,48,55,32,51,46,52,55,52,48,51,101,45,48,55,10,32,32,51,46,48,
      53,50,53,52,101,45,48,55,32,50,46,54,56,49,55,50,101,45,48,55,32,50,46,51,53,
      53,53,52,101,45,48,55,32,50,46,48,54,56,55,101,45,48,55,32,49,46,56,49,54,52,
      57,101,45,48,55,32,49,46,53,57,52,55,57,101,45,48,55,32,49,46,51,57,57,56,53,
      101,45,48,55,10,32,32,49,46,50,50,56,54,57,101,45,48,55,32,49,46,48,55,56,50,
      54,101,45,48,55,32,57,46,52,54,49,51,50,101,45,48,56,32,56,46,51,48,48,56,56,
      101,45,48,56,32,55,46,50,56,49,56,56,101,45,48,56,32,54,46,51,56,55,50,52,101,
      45,48,56,32,53,46,54,48,49,57,49,101,45,48,56,10,32,32,52,46,57,49,50,54,50,
      101,45,48,56,32,52,46,51,48,55,55,50,101,45,48,56,32,51,46,55,55,54,57,51,101,
      45,48,56,32,51,46,51,49,49,50,50,101,45,48,56,32,50,46,57,48,50,54,55,101,45,
      48,56,32,50,46,53,52,52,50,57,101,45,48,56,32,50,46,50,50,57,57,53,101,45,48,
      56,10,32,32,49,46,57,53,52,50,57,101,45,48,56,32,49,46,53,48,48,54,50,101,45,
      48,56,32,49,46,49,53,49,56,55,101,45,48,56,32,56,46,56,51,57,53,54,101,45,48,
      57,32,54,46,55,56,49,56,51,101,45,48,57,32,53,46,50,48,49,57,101,45,48,57,32,
      51,46,57,56,57,50,101,45,48,57,10,32,32,51,46,48,53,56,53,57,101,45,48,57,32,
      50,46,51,52,52,54,51,101,45,48,57,32,49,46,55,57,55,101,45,48,57,32,49,46,51,
      55,55,48,50,101,45,48,57,32,49,46,48,53,53,48,50,101,45,48,57,32,56,46,48,56,
      49,56,51,101,45,49,48,32,54,46,49,57,48,49,55,101,45,49,48,10,32,32,52,46,55,
      52,48,54,55,101,45,49,48,32,51,46,54,51,48,49,52,101,45,49,48,32,50,46,55,55,
      57,52,51,101,45,49,48,32,50,46,49,50,55,56,54,101,45,49,48,32,49,46,54,50,56,
      56,55,101,45,49,48,32,49,46,50,52,54,55,56,101,45,49,48,32,57,46,53,52,50,51,
      56,101,45,49,49,10,32,32,55,46,51,48,50,52,50,101,45,49,49,32,53,46,53,56,55,
      53,51,101,45,49,49,32,52,46,50,55,53,48,53,101,45,49,49,32,51,46,50,55,48,54,
      53,101,45,49,49,32,50,46,53,48,50,48,53,101,45,49,49,32,49,46,57,49,51,57,54,
      101,45,49,49,32,49,46,52,54,52,48,49,101,45,49,49,10,32,32,49,46,49,49,57,55,
      56,101,45,49,49,32,56,46,53,54,52,55,101,45,49,50,32,48,114,53,32,49,46,48,
      48,48,50,53,101,45,50,51,32,53,46,54,48,56,53,101,45,50,51,32,50,46,49,51,48,
      48,54,101,45,50,50,32,54,46,51,51,48,54,52,101,45,50,50,32,49,46,53,56,56,54,
      53,101,45,50,49,10,32,32,49,46,57,50,50,53,55,101,45,49,51,32,51,46,49,56,51,
      52,50,101,45,49,51,32,53,46,48,49,48,48,55,101,45,49,51,32,55,46,50,57,52,53,
      101,45,49,51,32,49,46,48,50,55,52,50,101,45,49,50,32,49,46,52,48,55,50,51,101,
      45,49,50,32,49,46,56,55,56,54,56,101,45,49,50,10,32,32,50,46,52,53,51,49,101,
      45,49,50,32,51,46,49,52,54,55,50,101,45,49,50,32,51,46,57,55,52,50,51,101,45,
      49,50,32,52,46,57,52,57,57,53,101,45,49,50,32,54,46,48,54,49,56,51,101,45,49,
      50,32,55,46,51,52,50,55,57,101,45,49,50,32,56,46,56,48,55,55,52,101,45,49,50,
      10,32,32,49,46,48,52,55,49,53,101,45,49,49,32,49,46,50,51,49,50,52,101,45,49,
      49,32,49,46,52,51,51,52,50,101,45,49,49,32,49,46,54,53,55,56,55,101,45,49,49,
      32,49,46,57,48,53,56,50,101,45,49,49,32,50,46,49,55,56,48,57,101,45,49,49,32,
      50,46,52,54,50,52,49,101,45,49,49,10,32,32,50,46,55,55,49,49,51,101,45,49,49,
      32,51,46,49,48,53,50,54,101,45,49,49,32,51,46,52,54,53,57,101,45,49,49,32,51,
      46,56,52,50,48,57,101,45,49,49,32,52,46,50,51,52,49,51,101,45,49,49,32,52,46,
      54,53,50,48,53,101,45,49,49,32,53,46,48,57,54,56,49,101,45,49,49,10,32,32,53,
      46,53,54,55,57,101,45,49,49,32,54,46,48,51,56,50,56,101,45,49,49,32,54,46,53,
      51,52,53,50,101,45,49,49,32,55,46,48,53,55,51,52,101,45,49,49,32,55,46,54,48,
      55,52,50,101,45,49,49,32,56,46,49,54,55,49,52,101,45,49,49,32,56,46,55,51,56,
      54,51,101,45,49,49,10,32,32,57,46,51,51,54,54,51,101,45,49,49,32,57,46,57,54,
      49,53,51,101,45,49,49,32,49,46,48,54,49,50,50,101,45,49,48,32,49,46,49,50,54,
      49,55,101,45,49,48,32,49,46,49,57,51,55,57,101,45,49,48,32,49,46,50,54,52,49,
      51,101,45,49,48,32,49,46,51,51,55,50,53,101,45,49,48,10,32,32,49,46,52,49,49,
      57,52,101,45,49,48,32,49,46,52,56,56,52,51,101,45,49,48,32,49,46,53,54,55,55,
      51,101,45,49,48,32,49,46,54,52,57,56,57,101,45,49,48,32,49,46,55,51,52,57,49,
      101,45,49,48,32,49,46,56,50,50,49,52,101,45,49,48,32,49,46,57,49,50,51,50,101,
      45,49,48,10,32,32,50,46,48,48,53,53,53,101,45,49,48,32,50,46,49,48,49,56,51,
      101,45,49,48,32,50,46,50,48,49,56,52,101,45,49,48,32,50,46,51,48,53,53,101,
      45,49,48,32,50,46,52,49,50,52,52,101,45,49,48,32,50,46,53,50,50,55,49,101,45,
      49,48,32,50,46,54,51,54,53,57,101,45,49,48,10,32,32,50,46,55,53,54,54,57,101,
      45,49,48,32,50,46,56,56,48,52,49,101,45,49,48,32,51,46,48,48,55,56,49,101,45,
      49,48,32,51,46,49,51,56,57,55,101,45,49,48,32,51,46,50,55,54,54,54,101,45,49,
      48,32,51,46,52,50,48,51,101,45,49,48,32,51,46,53,54,56,49,101,45,49,48,10,32,
      32,51,46,55,50,48,49,101,45,49,48,32,51,46,56,55,54,57,49,101,45,49,48,32,52,
      46,48,52,50,57,56,101,45,49,48,32,52,46,50,49,51,55,53,101,45,49,48,32,52,46,
      51,56,57,50,56,101,45,49,48,32,52,46,53,54,57,54,53,101,45,49,48,32,52,46,55,
      53,55,52,54,101,45,49,48,10,32,32,52,46,57,53,50,49,101,45,49,48,32,53,46,49,
      53,50,48,50,101,45,49,48,32,53,46,51,53,55,51,50,101,45,49,48,32,53,46,53,54,
      56,48,49,101,45,49,48,32,53,46,55,56,52,49,56,101,45,49,48,32,54,46,48,48,53,
      57,53,101,45,49,48,32,54,46,50,51,51,51,53,101,45,49,48,10,32,32,54,46,52,54,
      54,52,50,101,45,49,48,32,54,46,55,48,48,48,54,101,45,49,48,32,54,46,57,51,53,
      57,49,101,45,49,48,32,55,46,49,55,55,51,52,101,45,49,48,32,55,46,52,50,52,51,
      49,101,45,49,48,32,55,46,54,55,52,50,53,101,45,49,48,32,55,46,57,48,57,56,50,
      101,45,49,48,10,32,32,56,46,49,53,48,50,56,101,45,49,48,32,56,46,51,57,53,54,
      53,101,45,49,48,32,56,46,54,52,54,48,49,101,45,49,48,32,56,46,56,55,53,54,52,
      101,45,49,48,32,57,46,48,57,52,48,57,101,45,49,48,32,57,46,51,49,54,55,55,101,
      45,49,48,32,57,46,53,52,51,54,52,101,45,49,48,10,32,32,57,46,55,54,54,54,101,
      45,49,48,32,57,46,57,51,57,53,101,45,49,48,32,49,46,48,49,49,54,53,101,45,48,
      57,32,49,46,48,50,57,55,54,101,45,48,57,32,49,46,48,52,56,50,56,101,45,48,57,
      32,49,46,48,54,49,57,57,101,45,48,57,32,49,46,48,55,51,50,53,101,45,48,57,10,
      32,32,49,46,48,56,53,48,52,101,45,48,57,32,49,46,48,57,55,51,54,101,45,48,57,
      32,49,46,49,48,56,56,49,101,45,48,57,32,49,46,49,49,50,55,54,101,45,48,57,32,
      49,46,49,49,55,53,51,101,45,48,57,32,49,46,49,50,51,48,57,101,45,48,57,32,49,
      46,49,50,57,52,101,45,48,57,10,32,32,49,46,49,50,57,57,57,101,45,48,57,32,49,
      46,49,50,56,50,53,101,45,48,57,32,49,46,49,50,55,54,51,101,45,48,57,32,49,46,
      49,50,56,48,53,101,45,48,57,32,49,46,49,50,55,57,52,101,45,48,57,32,49,46,49,
      50,49,48,53,101,45,48,57,32,49,46,49,49,53,54,50,101,45,48,57,10,32,32,49,46,
      49,49,49,52,57,101,45,48,57,32,49,46,49,48,56,53,54,101,45,48,57,32,49,46,49,
      48,49,50,56,101,45,48,57,32,49,46,48,57,50,55,54,101,45,48,57,32,49,46,48,56,
      53,55,50,101,45,48,57,32,49,46,48,56,48,48,50,101,45,48,57,32,49,46,48,55,52,
      51,56,101,45,48,57,10,32,32,49,46,48,54,52,52,54,101,45,48,57,32,49,46,48,53,
      54,48,55,101,45,48,57,32,49,46,48,52,57,48,53,101,45,48,57,32,49,46,48,52,51,
      50,54,101,45,48,57,32,49,46,48,51,53,49,53,101,45,48,57,32,49,46,48,50,54,55,
      51,101,45,48,57,32,49,46,48,49,57,54,101,45,48,57,10,32,32,49,46,48,49,51,54,
      53,101,45,48,57,32,49,46,48,48,56,49,101,45,48,57,32,49,46,48,48,48,54,55,101,
      45,48,57,32,57,46,57,52,51,56,53,101,45,49,48,32,57,46,56,57,49,51,55,101,45,
      49,48,32,57,46,56,52,56,52,101,45,49,48,32,57,46,55,57,57,48,55,101,45,49,48,
      10,32,32,57,46,55,53,50,48,51,101,45,49,48,32,57,46,55,49,51,55,101,45,49,48,
      32,57,46,54,56,51,51,51,101,45,49,48,32,57,46,54,53,56,52,53,101,45,49,48,32,
      57,46,54,51,50,56,56,101,45,49,48,32,57,46,54,49,52,49,53,101,45,49,48,32,57,
      46,54,48,49,55,52,101,45,49,48,10,32,32,57,46,53,57,53,49,57,101,45,49,48,32,
      57,46,53,57,53,49,55,101,45,49,48,32,57,46,54,48,48,54,52,101,45,49,48,32,57,
      46,54,49,48,56,51,101,45,49,48,32,57,46,54,50,53,52,54,101,45,49,48,32,57,46,
      54,52,54,54,52,101,45,49,48,32,57,46,54,56,48,56,54,101,45,49,48,10,32,32,57,
      46,55,49,56,51,57,101,45,49,48,32,57,46,55,55,51,50,52,101,45,49,48,32,57,46,
      57,54,52,48,57,101,45,49,48,32,49,46,48,51,55,51,101,45,48,57,32,49,46,49,52,
      49,54,56,101,45,48,57,32,49,46,51,48,51,55,55,101,45,48,57,32,49,46,53,51,48,
      49,53,101,45,48,57,10,32,32,49,46,56,51,55,53,56,101,45,48,57,32,50,46,50,50,
      56,57,57,101,45,48,57,32,50,46,55,48,53,48,50,101,45,48,57,32,51,46,50,52,55,
      57,49,101,45,48,57,32,51,46,56,51,53,51,50,101,45,48,57,32,52,46,52,51,53,51,
      56,101,45,48,57,32,53,46,48,52,50,56,101,45,48,57,10,32,32,53,46,54,54,52,56,
      50,101,45,48,57,32,54,46,52,54,49,53,57,101,45,48,57,32,55,46,51,56,57,54,57,
      101,45,48,57,32,56,46,57,55,57,49,54,101,45,48,57,32,49,46,49,50,54,56,56,101,
      45,48,56,32,49,46,52,54,50,52,56,101,45,48,56,32,50,46,49,48,54,56,55,101,45,
      48,56,10,32,32,51,46,49,48,49,54,50,101,45,48,56,32,52,46,52,57,49,48,53,101,
      45,48,56,32,54,46,51,57,52,57,50,101,45,48,56,32,55,46,56,57,53,49,56,101,45,
      48,56,32,56,46,55,48,48,50,51,101,45,48,56,32,56,46,55,48,49,52,54,101,45,48,
      56,32,56,46,53,55,53,52,57,101,45,48,56,10,32,32,56,46,53,57,57,49,54,101,45,
      48,56,32,56,46,57,49,48,56,52,101,45,48,56,32,57,46,54,52,48,52,50,101,45,48,
      56,32,49,46,49,48,48,54,51,101,45,48,55,32,49,46,51,52,48,51,49,101,45,48,55,
      32,49,46,55,56,50,53,56,101,45,48,55,32,50,46,52,51,50,57,52,101,45,48,55,10,
      32,32,51,46,51,49,56,54,52,101,45,48,55,32,52,46,50,51,49,51,51,101,45,48,55,
      32,52,46,54,51,55,50,50,101,45,48,55,32,52,46,54,53,57,101,45,48,55,32,52,46,
      53,51,51,48,51,101,45,48,55,32,52,46,51,57,56,55,54,101,45,48,55,32,52,46,52,
      48,51,57,53,101,45,48,55,10,32,32,52,46,53,56,52,57,49,101,45,48,55,32,53,46,
      48,48,49,50,51,101,45,48,55,32,53,46,54,51,49,57,53,101,45,48,55,32,54,46,53,
      50,53,56,55,101,45,48,55,32,55,46,56,50,55,48,49,101,45,48,55,32,57,46,55,48,
      51,53,54,101,45,48,55,32,49,46,49,52,52,49,51,101,45,48,54,10,32,32,49,46,51,
      49,54,57,53,101,45,48,54,32,49,46,52,53,56,54,101,45,48,54,32,49,46,54,48,49,
      57,56,101,45,48,54,32,49,46,55,54,51,48,53,101,45,48,54,32,49,46,56,56,49,50,
      50,101,45,48,54,32,49,46,57,57,50,53,56,101,45,48,54,32,50,46,48,57,54,56,53,
      101,45,48,54,10,32,32,50,46,50,52,55,55,56,101,45,48,54,32,50,46,51,56,56,55,
      54,101,45,48,54,32,50,46,53,52,51,55,53,101,45,48,54,32,50,46,55,49,51,56,56,
      101,45,48,54,32,50,46,57,48,48,55,51,101,45,48,54,32,51,46,48,55,50,51,52,101,
      45,48,54,32,51,46,50,50,52,55,54,101,45,48,54,10,32,32,51,46,51,50,49,53,51,
      101,45,48,54,32,51,46,51,54,55,53,57,101,45,48,54,32,51,46,52,50,51,53,49,101,
      45,48,54,32,51,46,52,52,51,53,50,101,45,48,54,32,51,46,52,50,49,52,50,101,45,
      48,54,32,51,46,51,56,50,57,52,101,45,48,54,32,51,46,51,56,57,55,55,101,45,48,
      54,10,32,32,51,46,52,55,56,54,52,101,45,48,54,32,51,46,54,49,54,57,56,101,45,
      48,54,32,51,46,55,54,54,51,54,101,45,48,54,32,51,46,57,48,57,57,53,101,45,48,
      54,32,52,46,48,54,55,51,51,101,45,48,54,32,52,46,49,56,48,54,52,101,45,48,54,
      32,52,46,50,56,53,52,50,101,45,48,54,10,32,32,52,46,52,50,52,53,51,101,45,48,
      54,32,52,46,52,56,49,54,54,101,45,48,54,32,52,46,53,50,57,50,57,101,45,48,54,
      32,52,46,53,53,49,57,101,45,48,54,32,52,46,53,54,56,50,55,101,45,48,54,32,52,
      46,53,57,54,55,55,101,45,48,54,32,52,46,54,55,55,55,50,101,45,48,54,10,32,32,
      52,46,56,50,48,54,51,101,45,48,54,32,52,46,57,50,57,49,101,45,48,54,32,53,46,
      49,50,56,52,51,101,45,48,54,32,53,46,50,54,48,55,57,101,45,48,54,32,53,46,52,
      54,55,53,101,45,48,54,32,53,46,53,51,52,48,53,101,45,48,54,32,53,46,55,57,48,
      50,51,101,45,48,54,10,32,32,53,46,57,48,52,56,55,101,45,48,54,32,54,46,49,52,
      48,54,52,101,45,48,54,32,54,46,52,50,53,57,50,101,45,48,54,32,54,46,54,56,52,
      54,53,101,45,48,54,32,54,46,57,54,51,55,53,101,45,48,54,32,55,46,50,52,52,50,
      53,101,45,48,54,32,55,46,53,51,57,55,49,101,45,48,54,10,32,32,55,46,56,57,48,
      53,51,101,45,48,54,32,56,46,50,50,51,51,54,101,45,48,54,32,56,46,54,49,52,53,
      101,45,48,54,32,56,46,57,49,57,48,52,101,45,48,54,32,57,46,52,52,55,52,49,101,
      45,48,54,32,57,46,55,57,49,50,56,101,45,48,54,32,49,46,48,50,52,48,52,101,45,
      48,53,10,32,32,49,46,49,51,56,50,57,101,45,48,53,32,49,46,51,49,56,54,51,101,
      45,48,53,32,49,46,53,50,49,53,51,101,45,48,53,32,49,46,56,49,51,54,49,101,45,
      48,53,32,50,46,49,52,56,51,51,101,45,48,53,32,50,46,54,48,51,54,51,101,45,48,
      53,32,51,46,48,50,51,52,53,101,45,48,53,10,32,32,51,46,55,56,52,57,101,45,48,
      53,32,52,46,54,50,51,52,49,101,45,48,53,32,53,46,50,50,57,48,51,101,45,48,53,
      32,53,46,57,48,51,55,50,101,45,48,53,32,54,46,55,55,54,51,57,101,45,48,53,32,
      55,46,52,57,51,51,49,101,45,48,53,32,56,46,49,52,56,49,57,101,45,48,53,10,32,
      32,56,46,56,48,50,54,54,101,45,48,53,32,57,46,51,52,56,48,56,101,45,48,53,32,
      57,46,55,51,50,51,55,101,45,48,53,32,46,48,48,48,49,48,48,50,56,57,32,46,48,
      48,48,49,48,50,51,57,53,32,46,48,48,48,49,48,51,55,57,55,32,46,48,48,48,49,
      48,52,49,56,54,10,32,32,46,48,48,48,49,48,51,50,57,57,32,46,48,48,48,49,48,
      49,52,56,57,32,57,46,56,53,53,52,53,101,45,48,53,32,57,46,53,50,52,50,56,101,
      45,48,53,32,57,46,49,52,52,48,55,101,45,48,53,32,56,46,54,55,56,56,49,101,45,
      48,53,32,56,46,49,52,55,57,53,101,45,48,53,10,32,32,55,46,55,50,52,56,52,101,
      45,48,53,32,55,46,50,51,48,53,54,101,45,48,53,32,54,46,55,57,55,52,54,101,45,
      48,53,32,54,46,51,52,49,52,52,101,45,48,53,32,53,46,56,57,55,48,50,101,45,48,
      53,32,53,46,52,54,55,54,56,101,45,48,53,32,53,46,48,53,53,55,55,101,45,48,53,
      10,32,32,52,46,54,54,51,52,49,101,45,48,53,32,52,46,50,57,49,54,57,101,45,48,
      53,32,51,46,57,52,49,51,51,101,45,48,53,32,51,46,54,49,50,51,57,101,45,48,53,
      32,51,46,51,48,52,57,51,101,45,48,53,32,51,46,48,49,56,54,52,101,45,48,53,32,
      50,46,55,53,50,56,101,45,48,53,10,32,32,50,46,53,48,54,55,101,45,48,53,32,50,
      46,50,55,57,52,54,101,45,48,53,32,50,46,48,55,48,49,53,101,45,48,53,32,49,46,
      56,55,55,56,54,101,45,48,53,32,49,46,55,48,49,53,54,101,45,48,53,32,49,46,53,
      52,48,50,50,101,45,48,53,32,49,46,51,57,50,56,49,101,45,48,53,10,32,32,49,46,
      50,53,56,51,53,101,45,48,53,32,49,46,49,51,53,57,101,45,48,53,32,49,46,48,50,
      52,53,49,101,45,48,53,32,57,46,50,51,51,50,52,101,45,48,54,32,56,46,51,49,53,
      51,53,101,45,48,54,32,55,46,52,56,51,54,57,101,45,48,54,32,54,46,55,51,48,55,
      57,101,45,48,54,10,32,32,54,46,48,53,48,48,49,101,45,48,54,32,53,46,52,51,52,
      57,49,101,45,48,54,32,52,46,56,55,57,55,101,45,48,54,32,52,46,51,55,56,57,50,
      101,45,48,54,32,51,46,57,50,55,54,101,45,48,54,32,51,46,53,50,49,48,56,101,
      45,48,54,32,51,46,49,53,53,50,56,101,45,48,54,10,32,32,50,46,56,57,54,52,50,
      101,45,48,54,32,50,46,54,53,56,49,101,45,48,54,32,50,46,52,51,56,56,101,45,
      48,54,32,50,46,50,51,55,48,56,101,45,48,54,32,50,46,48,53,49,54,50,101,45,48,
      54,32,49,46,56,54,48,50,52,101,45,48,54,32,49,46,54,52,50,55,54,101,45,48,54,
      10,32,32,49,46,52,53,48,49,51,101,45,48,54,32,49,46,50,55,57,54,101,45,48,54,
      32,49,46,49,50,56,55,51,101,45,48,54,32,57,46,57,53,51,101,45,48,55,32,56,46,
      55,55,51,55,101,45,48,55,32,55,46,55,51,49,56,101,45,48,55,32,54,46,56,49,49,
      53,54,101,45,48,55,32,53,46,57,57,57,49,56,101,45,48,55,10,32,32,53,46,50,56,
      50,50,53,101,45,48,55,32,52,46,54,52,57,56,49,101,45,48,55,32,52,46,48,57,50,
      49,49,101,45,48,55,32,51,46,54,48,48,52,55,101,45,48,55,32,51,46,49,54,55,50,
      101,45,48,55,32,50,46,55,56,53,52,56,101,45,48,55,32,50,46,52,52,57,50,56,101,
      45,48,55,10,32,32,50,46,49,53,51,50,49,101,45,48,55,32,49,46,56,57,50,53,57,
      101,45,48,55,32,49,46,54,54,51,49,56,101,45,48,55,32,49,46,52,54,49,51,50,101,
      45,48,55,32,49,46,50,56,51,54,57,101,45,48,55,32,49,46,49,50,55,53,56,101,45,
      48,55,32,57,46,57,48,50,52,56,101,45,48,56,10,32,32,56,46,54,57,53,50,101,45,
      48,56,32,55,46,54,51,52,48,54,101,45,48,56,32,54,46,55,48,49,53,51,101,45,48,
      56,32,53,46,56,56,50,49,56,101,45,48,56,32,53,46,49,54,50,51,52,101,45,48,56,
      32,52,46,53,51,48,48,52,101,45,48,56,32,51,46,57,55,52,55,51,101,45,48,56,10,
      32,32,51,46,52,56,55,48,55,101,45,48,56,32,51,46,48,53,56,57,101,45,48,56,32,
      50,46,54,56,51,48,52,101,45,48,56,32,50,46,51,53,51,49,52,101,45,48,56,32,50,
      46,48,54,51,54,101,45,48,56,32,49,46,56,48,57,53,50,101,45,48,56,32,49,46,51,
      57,48,57,57,101,45,48,56,10,32,32,49,46,48,54,56,57,101,45,48,56,32,56,46,50,
      49,49,52,51,101,45,48,57,32,54,46,51,48,54,51,101,45,48,57,32,52,46,56,52,49,
      56,53,101,45,48,57,32,51,46,55,49,54,51,51,101,45,48,57,32,50,46,56,53,49,55,
      53,101,45,48,57,32,50,46,49,56,55,56,53,101,45,48,57,10,32,32,49,46,54,55,56,
      49,54,101,45,48,57,32,49,46,50,56,54,57,53,101,45,48,57,32,57,46,56,54,55,54,
      50,101,45,49,48,32,55,46,53,54,52,54,55,101,45,49,48,32,53,46,55,57,56,50,56,
      101,45,49,48,32,52,46,52,52,51,54,56,101,45,49,48,32,51,46,52,48,52,57,54,101,
      45,49,48,10,32,32,50,46,54,48,56,54,54,101,45,49,48,32,49,46,57,57,56,51,52,
      101,45,49,48,32,49,46,53,51,48,54,51,101,45,49,48,32,49,46,49,55,50,50,54,101,
      45,49,48,32,56,46,57,55,54,57,56,101,45,49,49,32,54,46,56,55,51,56,101,45,49,
      49,32,53,46,50,54,50,56,53,101,45,49,49,10,32,32,52,46,48,50,57,49,101,45,49,
      49,32,51,46,48,56,52,51,50,101,45,49,49,32,50,46,51,54,48,57,101,45,49,49,32,
      49,46,56,48,55,48,50,101,45,49,49,32,49,46,51,56,50,57,49,101,45,49,49,32,49,
      46,48,53,56,50,50,101,45,49,49,32,56,46,48,57,55,50,53,101,45,49,50,10,32,32,
      48,114,53,32,50,46,52,49,52,57,54,101,45,50,52,32,49,46,51,53,52,49,52,101,
      45,50,51,32,53,46,49,52,51,49,54,101,45,50,51,32,49,46,53,50,56,54,55,101,45,
      50,50,32,51,46,56,51,50,51,57,101,45,50,50,32,50,46,54,51,50,55,56,101,45,49,
      52,32,52,46,50,49,50,49,51,101,45,49,52,10,32,32,54,46,51,57,52,57,51,101,45,
      49,52,32,57,46,51,50,57,53,53,101,45,49,52,32,49,46,51,49,55,48,56,101,45,49,
      51,32,49,46,56,48,56,54,54,101,45,49,51,32,50,46,52,50,49,52,57,101,45,49,51,
      32,51,46,49,55,49,54,53,101,45,49,51,32,52,46,49,51,49,50,55,101,45,49,51,10,
      32,32,53,46,51,57,54,48,56,101,45,49,51,32,54,46,55,52,49,54,49,101,45,49,51,
      32,56,46,50,56,48,50,49,101,45,49,51,32,49,46,48,48,53,57,54,101,45,49,50,32,
      49,46,50,49,48,50,56,101,45,49,50,32,49,46,52,52,51,50,55,101,45,49,50,32,49,
      46,55,48,50,48,51,101,45,49,50,10,32,32,49,46,57,56,55,50,51,101,45,49,50,32,
      50,46,51,48,53,48,57,101,45,49,50,32,50,46,54,53,55,54,101,45,49,50,32,51,46,
      48,52,54,50,49,101,45,49,50,32,51,46,52,53,50,57,56,101,45,49,50,32,51,46,56,
      57,54,50,101,45,49,50,32,52,46,51,55,55,53,55,101,45,49,50,10,32,32,52,46,56,
      57,56,57,51,101,45,49,50,32,53,46,52,52,51,57,56,101,45,49,50,32,54,46,48,49,
      51,49,50,101,45,49,50,32,54,46,54,50,49,54,49,101,45,49,50,32,55,46,50,55,49,
      48,50,101,45,49,50,32,55,46,57,54,48,55,55,101,45,49,50,32,56,46,54,52,57,52,
      56,101,45,49,50,10,32,32,57,46,51,55,55,55,52,101,45,49,50,32,49,46,48,49,52,
      54,57,101,45,49,49,32,49,46,48,57,53,55,57,101,45,49,49,32,49,46,49,55,56,51,
      55,101,45,49,49,32,49,46,50,54,50,55,53,101,45,49,49,32,49,46,51,53,49,50,50,
      101,45,49,49,32,49,46,52,52,51,56,52,101,45,49,49,10,32,32,49,46,53,52,48,52,
      54,101,45,49,49,32,49,46,54,51,54,56,52,101,45,49,49,32,49,46,55,51,55,51,52,
      101,45,49,49,32,49,46,56,52,50,48,56,101,45,49,49,32,49,46,57,53,49,49,51,101,
      45,49,49,32,50,46,48,54,50,54,101,45,49,49,32,50,46,49,55,54,56,53,101,45,49,
      49,10,32,32,50,46,50,57,53,52,56,101,45,49,49,32,50,46,52,49,56,54,101,45,49,
      49,32,50,46,53,52,54,49,57,101,45,49,49,32,50,46,54,55,55,50,50,101,45,49,49,
      32,50,46,56,49,50,57,101,45,49,49,32,50,46,57,53,51,51,55,101,45,49,49,32,51,
      46,48,57,56,54,55,101,45,49,49,10,32,32,51,46,50,52,57,56,57,101,45,49,49,32,
      51,46,52,48,54,57,51,101,45,49,49,32,51,46,53,54,57,49,56,101,45,49,49,32,51,
      46,55,51,54,55,52,101,45,49,49,32,51,46,57,49,48,48,56,101,45,49,49,32,52,46,
      48,57,51,52,54,101,45,49,49,32,52,46,50,56,50,54,57,101,45,49,49,10,32,32,52,
      46,52,55,55,56,56,101,45,49,49,32,52,46,54,55,57,49,51,101,45,49,49,32,52,46,
      56,57,49,48,54,101,45,49,49,32,53,46,49,49,50,55,51,101,45,49,49,32,53,46,51,
      52,49,50,51,101,45,49,49,32,53,46,53,55,54,54,52,101,45,49,49,32,53,46,56,49,
      57,57,54,101,45,49,49,10,32,32,54,46,48,55,56,54,54,101,45,49,49,32,54,46,51,
      52,53,49,55,101,45,49,49,32,54,46,54,49,57,54,53,101,45,49,49,32,54,46,57,48,
      50,50,49,101,45,49,49,32,55,46,49,57,55,50,55,101,45,49,49,32,55,46,53,48,51,
      56,53,101,45,49,49,32,55,46,56,49,57,51,56,101,45,49,49,10,32,32,56,46,49,52,
      52,48,57,101,45,49,49,32,56,46,52,55,55,57,51,101,45,49,49,32,56,46,56,50,48,
      57,57,101,45,49,49,32,57,46,49,55,51,56,55,101,45,49,49,32,57,46,53,51,54,51,
      54,101,45,49,49,32,57,46,57,48,56,52,55,101,45,49,49,32,49,46,48,50,56,49,52,
      101,45,49,48,10,32,32,49,46,48,54,53,56,51,101,45,49,48,32,49,46,49,48,52,53,
      49,101,45,49,48,32,49,46,49,52,52,49,52,101,45,49,48,32,49,46,49,56,52,50,54,
      101,45,49,48,32,49,46,50,50,49,56,54,101,45,49,48,32,49,46,50,54,48,50,57,101,
      45,49,48,32,49,46,50,57,57,53,53,101,45,49,48,10,32,32,49,46,51,51,57,54,53,
      101,45,49,48,32,49,46,51,55,54,49,49,101,45,49,48,32,49,46,52,49,48,53,56,101,
      45,49,48,32,49,46,52,52,53,55,53,101,45,49,48,32,49,46,52,56,49,54,50,101,45,
      49,48,32,49,46,53,49,54,55,54,101,45,49,48,32,49,46,53,52,51,49,50,101,45,49,
      48,10,32,32,49,46,53,55,48,49,54,101,45,49,48,32,49,46,53,57,55,56,55,101,45,
      49,48,32,49,46,54,50,54,50,54,101,45,49,48,32,49,46,54,52,54,50,101,45,49,48,
      32,49,46,54,54,49,56,54,101,45,49,48,32,49,46,54,55,56,52,51,101,45,49,48,32,
      49,46,54,57,53,56,56,101,45,49,48,10,32,32,49,46,55,49,49,56,101,45,49,48,32,
      49,46,55,49,52,54,55,101,45,49,48,32,49,46,55,49,57,101,45,49,48,32,49,46,55,
      50,52,55,49,101,45,49,48,32,49,46,55,51,49,56,50,101,45,49,48,32,49,46,55,50,
      57,49,51,101,45,49,48,32,49,46,55,50,50,52,56,101,45,49,48,10,32,32,49,46,55,
      49,55,56,57,101,45,49,48,32,49,46,55,49,53,49,52,101,45,49,48,32,49,46,55,49,
      49,53,53,101,45,49,48,32,49,46,54,57,54,54,50,101,45,49,48,32,49,46,54,56,52,
      50,57,101,45,49,48,32,49,46,54,55,52,50,56,101,45,49,48,32,49,46,54,54,54,51,
      54,101,45,49,48,10,32,32,49,46,54,53,49,51,52,101,45,49,48,32,49,46,54,51,52,
      52,101,45,49,48,32,49,46,54,50,48,48,54,101,45,49,48,32,49,46,54,48,56,48,52,
      101,45,49,48,32,49,46,53,57,54,50,52,101,45,49,48,32,49,46,53,55,55,53,57,101,
      45,49,48,32,49,46,53,54,49,53,55,101,45,49,48,10,32,32,49,46,53,52,55,56,57,
      101,45,49,48,32,49,46,53,51,54,51,50,101,45,49,48,32,49,46,53,50,49,49,49,101,
      45,49,48,32,49,46,53,48,53,53,52,101,45,49,48,32,49,46,52,57,50,49,52,101,45,
      49,48,32,49,46,52,56,48,55,49,101,45,49,48,32,49,46,52,55,48,48,49,101,45,49,
      48,10,32,32,49,46,52,53,54,52,51,101,45,49,48,32,49,46,52,52,52,55,52,101,45,
      49,48,32,49,46,52,51,52,55,55,101,45,49,48,32,49,46,52,50,54,51,53,101,45,49,
      48,32,49,46,52,49,55,48,50,101,45,49,48,32,49,46,52,48,56,49,101,45,49,48,32,
      49,46,52,48,48,54,101,45,49,48,10,32,32,49,46,51,57,52,51,56,101,45,49,48,32,
      49,46,51,56,57,48,55,101,45,49,48,32,49,46,51,56,51,54,57,101,45,49,48,32,49,
      46,51,55,57,52,101,45,49,48,32,49,46,51,55,54,49,50,101,45,49,48,32,49,46,51,
      55,51,55,56,101,45,49,48,32,49,46,51,55,50,52,54,101,45,49,48,10,32,32,49,46,
      51,55,50,48,49,101,45,49,48,32,49,46,51,55,50,50,57,101,45,49,48,32,49,46,51,
      55,51,50,56,101,45,49,48,32,49,46,51,55,53,50,55,101,45,49,48,32,49,46,51,55,
      57,50,54,101,45,49,48,32,49,46,51,56,51,55,55,101,45,49,48,32,49,46,51,57,48,
      53,49,101,45,49,48,10,32,32,49,46,52,49,53,56,49,101,45,49,48,32,49,46,52,55,
      50,52,101,45,49,48,32,49,46,54,50,49,52,57,101,45,49,48,32,49,46,56,53,56,49,
      57,101,45,49,48,32,50,46,49,57,52,48,52,101,45,49,48,32,50,46,54,53,55,56,51,
      101,45,49,48,32,51,46,50,53,56,56,49,101,45,49,48,10,32,32,52,46,48,48,51,54,
      55,101,45,49,48,32,52,46,56,54,57,48,51,101,45,49,48,32,53,46,56,50,49,51,50,
      101,45,49,48,32,54,46,56,48,55,53,56,101,45,49,48,32,55,46,56,49,55,54,51,101,
      45,49,48,32,56,46,56,54,50,56,52,101,45,49,48,32,49,46,48,50,49,56,56,101,45,
      48,57,10,32,32,49,46,49,56,50,55,53,101,45,48,57,32,49,46,52,54,54,49,52,101,
      45,48,57,32,49,46,56,57,49,49,49,101,45,48,57,32,50,46,53,52,52,54,50,101,45,
      48,57,32,51,46,56,56,49,57,54,101,45,48,57,32,54,46,49,48,54,51,52,101,45,48,
      57,32,57,46,52,52,54,55,52,101,45,48,57,10,32,32,49,46,52,51,52,52,54,101,45,
      48,56,32,49,46,56,51,54,50,54,101,45,48,56,32,50,46,48,51,51,55,55,101,45,48,
      56,32,49,46,57,57,56,48,57,101,45,48,56,32,49,46,57,51,49,48,51,101,45,48,56,
      32,49,46,57,48,54,52,51,101,45,48,56,32,49,46,57,53,56,57,51,101,45,48,56,10,
      32,32,50,46,49,50,49,53,101,45,48,56,32,50,46,52,53,52,50,55,101,45,48,56,32,
      51,46,48,55,54,51,51,101,45,48,56,32,52,46,51,49,56,57,55,101,45,48,56,32,54,
      46,51,55,51,57,50,101,45,48,56,32,57,46,55,50,53,51,53,101,45,48,56,32,49,46,
      51,57,51,52,101,45,48,55,10,32,32,49,46,53,51,48,50,54,101,45,48,55,32,49,46,
      52,53,55,55,53,101,45,48,55,32,49,46,51,50,50,50,54,101,45,48,55,32,49,46,50,
      48,56,52,49,101,45,48,55,32,49,46,49,54,55,52,55,101,45,48,55,32,49,46,49,57,
      54,52,52,101,45,48,55,32,49,46,51,48,55,53,49,101,45,48,55,10,32,32,49,46,52,
      57,56,57,53,101,45,48,55,32,49,46,55,57,53,50,57,101,45,48,55,32,50,46,50,54,
      57,56,57,101,45,48,55,32,51,46,48,52,51,55,52,101,45,48,55,32,51,46,56,53,57,
      51,55,101,45,48,55,32,52,46,55,55,54,51,57,101,45,48,55,32,53,46,54,54,55,52,
      56,101,45,48,55,10,32,32,54,46,55,56,50,52,101,45,48,55,32,56,46,52,50,54,57,
      57,101,45,48,55,32,57,46,56,50,57,50,51,101,45,48,55,32,49,46,48,57,48,52,101,
      45,48,54,32,49,46,49,54,56,57,57,101,45,48,54,32,49,46,50,56,48,55,50,101,45,
      48,54,32,49,46,51,57,54,49,49,101,45,48,54,10,32,32,49,46,53,48,56,52,55,101,
      45,48,54,32,49,46,54,48,51,54,51,101,45,48,54,32,49,46,54,57,53,50,51,101,45,
      48,54,32,49,46,55,57,53,53,49,101,45,48,54,32,49,46,57,50,54,57,101,45,48,54,
      32,50,46,48,53,56,48,55,101,45,48,54,32,50,46,49,53,48,55,57,101,45,48,54,10,
      32,32,50,46,51,48,52,57,54,101,45,48,54,32,50,46,52,50,49,52,49,101,45,48,54,
      32,50,46,52,57,56,57,53,101,45,48,54,32,50,46,53,53,53,48,50,101,45,48,54,32,
      50,46,54,48,56,51,57,101,45,48,54,32,50,46,55,48,49,49,101,45,48,54,32,50,46,
      56,49,55,55,55,101,45,48,54,10,32,32,50,46,57,51,56,50,57,101,45,48,54,32,51,
      46,48,53,51,56,56,101,45,48,54,32,51,46,49,56,49,48,50,101,45,48,54,32,51,46,
      50,55,50,57,52,101,45,48,54,32,51,46,51,53,57,56,52,101,45,48,54,32,51,46,52,
      56,49,57,54,101,45,48,54,32,51,46,53,51,56,52,55,101,45,48,54,10,32,32,51,46,
      53,57,53,56,55,101,45,48,54,32,51,46,54,50,55,51,50,101,45,48,54,32,51,46,54,
      52,48,55,54,101,45,48,54,32,51,46,54,53,54,55,49,101,45,48,54,32,51,46,54,57,
      53,56,56,101,45,48,54,32,51,46,55,54,52,55,54,101,45,48,54,32,51,46,56,49,57,
      54,56,101,45,48,54,10,32,32,51,46,57,50,55,55,54,101,45,48,54,32,52,46,48,48,
      52,53,49,101,45,48,54,32,52,46,49,51,51,51,101,45,48,54,32,52,46,50,52,50,48,
      54,101,45,48,54,32,52,46,51,57,48,57,52,101,45,48,54,32,52,46,52,53,54,57,56,
      101,45,48,54,32,52,46,53,57,49,57,56,101,45,48,54,10,32,32,52,46,55,53,52,52,
      101,45,48,54,32,52,46,57,48,49,49,56,101,45,48,54,32,53,46,48,53,57,49,54,101,
      45,48,54,32,53,46,50,49,55,56,51,101,45,48,54,32,53,46,51,56,52,57,50,101,45,
      48,54,32,53,46,53,56,51,52,56,101,45,48,54,32,53,46,55,55,50,49,54,101,45,48,
      54,10,32,32,53,46,57,57,52,51,52,101,45,48,54,32,54,46,49,54,55,54,56,101,45,
      48,54,32,54,46,52,54,57,49,57,101,45,48,54,32,54,46,54,54,54,48,56,101,45,48,
      54,32,54,46,57,50,51,57,49,101,45,48,54,32,55,46,53,56,51,53,52,101,45,48,54,
      32,56,46,54,51,53,54,49,101,45,48,54,10,32,32,57,46,56,51,53,52,101,45,48,54,
      32,49,46,49,53,56,57,56,101,45,48,53,32,49,46,51,54,51,54,55,101,45,48,53,32,
      49,46,54,52,55,57,51,101,45,48,53,32,49,46,57,49,53,53,57,101,45,48,53,32,50,
      46,51,54,56,51,55,101,45,48,53,32,50,46,57,51,50,53,55,101,45,48,53,10,32,32,
      51,46,51,53,50,49,50,101,45,48,53,32,51,46,56,51,50,55,56,101,45,48,53,32,52,
      46,52,55,52,51,52,101,45,48,53,32,53,46,48,49,56,53,50,101,45,48,53,32,53,46,
      53,51,50,53,53,101,45,48,53,32,54,46,48,54,57,53,51,101,45,48,53,32,54,46,53,
      52,48,49,50,101,45,48,53,10,32,32,54,46,56,56,57,49,55,101,45,48,53,32,55,46,
      49,55,54,50,50,101,45,48,53,32,55,46,52,48,50,50,56,101,45,48,53,32,55,46,53,
      56,54,55,53,101,45,48,53,32,55,46,55,48,52,49,56,101,45,48,53,32,55,46,55,51,
      49,52,50,101,45,48,53,32,55,46,54,55,50,55,50,101,45,48,53,10,32,32,55,46,53,
      50,55,55,50,101,45,48,53,32,55,46,51,51,55,55,56,101,45,48,53,32,55,46,49,48,
      49,55,49,101,45,48,53,32,54,46,55,57,55,49,53,101,45,48,53,32,54,46,52,51,52,
      55,101,45,48,53,32,54,46,49,51,55,54,51,101,45,48,53,32,53,46,55,56,50,51,55,
      101,45,48,53,10,32,32,53,46,52,54,53,53,57,101,45,48,53,32,53,46,49,50,55,48,
      52,101,45,48,53,32,52,46,55,57,50,54,55,101,45,48,53,32,52,46,52,54,53,55,49,
      101,45,48,53,32,52,46,49,52,56,53,53,101,45,48,53,32,51,46,56,52,51,52,57,101,
      45,48,53,32,51,46,53,53,49,57,55,101,45,48,53,10,32,32,51,46,50,55,53,101,45,
      48,53,32,51,46,48,49,51,49,52,101,45,48,53,32,50,46,55,54,54,55,56,101,45,48,
      53,32,50,46,53,51,53,56,55,101,45,48,53,32,50,46,51,50,48,50,52,101,45,48,53,
      32,50,46,49,49,57,53,51,101,45,48,53,32,49,46,57,51,51,50,55,101,45,48,53,10,
      32,32,49,46,55,54,48,57,54,101,45,48,53,32,49,46,54,48,49,57,50,101,45,48,53,
      32,49,46,52,53,53,52,53,101,45,48,53,32,49,46,51,50,48,56,54,101,45,48,53,32,
      49,46,49,57,55,52,51,101,45,48,53,32,49,46,48,56,52,52,50,101,45,48,53,32,57,
      46,56,49,49,50,51,101,45,48,54,10,32,32,56,46,56,54,56,56,49,101,45,48,54,32,
      56,46,48,49,48,49,52,101,45,48,54,32,55,46,50,50,56,56,55,101,45,48,54,32,54,
      46,53,49,56,57,49,101,45,48,54,32,53,46,56,55,52,53,49,101,45,48,54,32,53,46,
      50,57,48,50,49,101,45,48,54,32,52,46,55,54,48,57,53,101,45,48,54,10,32,32,52,
      46,50,56,50,101,45,48,54,32,51,46,56,52,57,48,49,101,45,48,54,32,51,46,52,53,
      55,57,51,101,45,48,54,32,51,46,49,48,52,57,52,101,45,48,54,32,50,46,55,56,54,
      54,54,101,45,48,54,32,50,46,53,54,49,48,51,101,45,48,54,32,50,46,51,53,51,48,
      49,101,45,48,54,10,32,32,50,46,49,54,49,51,50,101,45,48,54,32,49,46,57,56,52,
      55,52,101,45,48,54,32,49,46,56,50,50,49,55,101,45,48,54,32,49,46,54,53,52,49,
      54,101,45,48,54,32,49,46,52,54,50,57,101,45,48,54,32,49,46,50,57,51,49,57,101,
      45,48,54,32,49,46,49,52,50,55,101,45,48,54,10,32,32,49,46,48,48,57,50,57,101,
      45,48,54,32,56,46,57,49,49,50,50,101,45,48,55,32,55,46,56,54,53,48,52,101,45,
      48,55,32,54,46,57,51,57,50,56,101,45,48,55,32,54,46,49,50,48,53,50,101,45,48,
      55,32,53,46,51,57,54,55,50,101,45,48,55,32,52,46,55,53,55,48,56,101,45,48,55,
      10,32,32,52,46,49,57,50,48,51,101,45,48,55,32,51,46,54,57,51,49,49,101,45,48,
      55,32,51,46,50,53,50,55,52,101,45,48,55,32,50,46,56,54,52,49,57,101,45,48,55,
      32,50,46,53,50,49,52,51,101,45,48,55,32,50,46,50,49,57,49,56,101,45,48,55,32,
      49,46,57,53,50,55,51,101,45,48,55,10,32,32,49,46,55,49,55,57,49,101,45,48,55,
      32,49,46,53,49,49,48,50,101,45,48,55,32,49,46,51,50,56,55,57,101,45,48,55,32,
      49,46,49,54,56,50,55,101,45,48,55,32,49,46,48,50,55,48,54,101,45,48,55,32,57,
      46,48,50,55,49,55,101,45,48,56,32,55,46,57,51,51,48,49,101,45,48,56,10,32,32,
      54,46,57,55,48,51,51,101,45,48,56,32,54,46,49,50,51,53,52,101,45,48,56,32,53,
      46,51,55,56,55,54,101,45,48,56,32,52,46,55,50,51,56,56,101,45,48,56,32,52,46,
      49,52,56,49,55,101,45,48,56,32,51,46,54,52,50,49,53,101,45,48,56,32,51,46,49,
      57,55,52,54,101,45,48,56,10,32,32,50,46,56,48,54,55,49,101,45,48,56,32,50,46,
      52,54,51,52,52,101,45,48,56,32,50,46,49,54,49,57,101,45,48,56,32,49,46,56,57,
      55,48,55,101,45,48,56,32,49,46,54,54,52,53,49,101,45,48,56,32,49,46,50,56,49,
      48,51,101,45,48,56,32,57,46,56,53,53,48,53,101,45,48,57,10,32,32,55,46,53,55,
      56,56,55,101,45,48,57,32,53,46,56,50,54,53,50,101,45,48,57,32,52,46,52,55,55,
      57,54,101,45,48,57,32,51,46,52,52,48,53,53,101,45,48,57,32,50,46,54,52,50,55,
      56,101,45,48,57,32,50,46,48,50,57,52,56,101,45,48,57,32,49,46,53,53,56,49,52,
      101,45,48,57,10,32,32,49,46,49,57,53,57,55,101,45,48,57,32,57,46,49,55,55,53,
      57,101,45,49,48,32,55,46,48,52,49,50,55,101,45,49,48,32,53,46,52,48,49,50,54,
      101,45,49,48,32,52,46,49,52,50,53,49,101,45,49,48,32,51,46,49,55,54,53,50,101,
      45,49,48,32,50,46,52,51,53,52,49,101,45,49,48,10,32,32,49,46,56,54,54,57,52,
      101,45,49,48,32,49,46,52,51,48,57,54,101,45,49,48,32,49,46,48,57,54,54,54,101,
      45,49,48,32,56,46,52,48,51,52,57,101,45,49,49,32,54,46,52,51,56,53,50,101,45,
      49,49,32,52,46,57,51,50,52,54,101,45,49,49,32,51,46,55,55,56,50,57,101,45,49,
      49,10,32,32,50,46,56,57,51,57,49,101,45,49,49,32,50,46,50,49,54,51,51,101,45,
      49,49,32,49,46,54,57,55,50,53,101,45,49,49,32,49,46,50,57,57,54,51,101,45,49,
      49,32,57,46,57,53,48,55,55,101,45,49,50,32,55,46,54,49,56,53,51,101,45,49,50,
      32,48,114,54,32,51,46,55,50,55,52,56,101,45,50,52,10,32,32,49,46,52,49,54,50,
      56,101,45,50,51,32,52,46,50,49,49,52,57,101,45,50,51,32,49,46,48,53,54,52,49,
      101,45,50,50,32,56,46,50,53,53,51,51,101,45,49,53,32,49,46,51,49,57,54,52,101,
      45,49,52,32,50,46,48,48,49,54,54,101,45,49,52,32,50,46,57,49,55,50,52,101,45,
      49,52,10,32,32,52,46,49,49,51,54,52,101,45,49,52,32,53,46,54,52,49,53,55,101,
      45,49,52,32,55,46,53,52,49,56,54,101,45,49,52,32,57,46,56,54,49,57,101,45,49,
      52,32,49,46,50,54,54,57,54,101,45,49,51,32,49,46,54,48,50,55,49,101,45,49,51,
      32,49,46,57,57,57,54,50,101,45,49,51,10,32,32,50,46,52,53,51,48,53,101,45,49,
      51,32,50,46,57,55,54,57,50,101,45,49,51,32,51,46,53,55,55,56,56,101,45,49,51,
      32,52,46,50,54,50,53,56,101,45,49,51,32,53,46,48,50,50,53,51,101,45,49,51,32,
      53,46,56,54,49,52,101,45,49,51,32,54,46,56,52,52,51,51,101,45,49,51,10,32,32,
      56,46,48,48,55,54,53,101,45,49,51,32,57,46,49,54,57,51,49,101,45,49,51,32,49,
      46,48,51,56,52,49,101,45,49,50,32,49,46,49,55,48,53,57,101,45,49,50,32,49,46,
      51,49,51,57,52,101,45,49,50,32,49,46,52,54,56,57,57,101,45,49,50,32,49,46,54,
      51,48,57,52,101,45,49,50,10,32,32,49,46,55,57,57,57,50,101,45,49,50,32,49,46,
      57,56,48,52,101,45,49,50,32,50,46,49,55,50,56,49,101,45,49,50,32,50,46,51,55,
      54,57,55,101,45,49,50,32,50,46,53,56,48,56,51,101,45,49,50,32,50,46,55,57,54,
      50,51,101,45,49,50,32,51,46,48,50,51,53,49,101,45,49,50,10,32,32,51,46,50,54,
      51,48,49,101,45,49,50,32,51,46,53,48,54,56,49,101,45,49,50,32,51,46,55,53,53,
      56,55,101,45,49,50,32,52,46,48,49,54,56,49,101,45,49,50,32,52,46,50,56,57,56,
      52,101,45,49,50,32,52,46,53,55,52,53,101,45,49,50,32,52,46,56,53,56,53,49,101,
      45,49,50,10,32,32,53,46,49,53,52,52,57,101,45,49,50,32,53,46,52,54,50,56,101,
      45,49,50,32,53,46,55,56,51,54,50,101,45,49,50,32,54,46,49,49,49,53,101,45,49,
      50,32,54,46,52,52,55,52,54,101,45,49,50,32,54,46,55,57,54,49,53,101,45,49,50,
      32,55,46,49,53,55,56,50,101,45,49,50,10,32,32,55,46,53,51,50,52,55,101,45,49,
      50,32,55,46,57,49,55,48,56,101,45,49,50,32,56,46,51,49,53,49,55,101,45,49,50,
      32,56,46,55,50,55,48,57,101,45,49,50,32,57,46,49,53,51,48,49,101,45,49,50,32,
      57,46,53,57,53,57,57,101,45,49,50,32,49,46,48,48,53,53,56,101,45,49,49,10,32,
      32,49,46,48,53,51,48,54,101,45,49,49,32,49,46,49,48,50,48,55,101,45,49,49,32,
      49,46,49,53,50,55,53,101,45,49,49,32,49,46,50,48,54,51,49,101,45,49,49,32,49,
      46,50,54,49,53,53,101,45,49,49,32,49,46,51,49,56,53,49,101,45,49,49,32,49,46,
      51,55,55,50,49,101,45,49,49,10,32,32,49,46,52,51,56,57,54,101,45,49,49,32,49,
      46,53,48,51,53,49,101,45,49,49,32,49,46,53,55,48,48,50,101,45,49,49,32,49,46,
      54,51,56,53,101,45,49,49,32,49,46,55,48,57,50,52,101,45,49,49,32,49,46,55,56,
      52,51,56,101,45,49,49,32,49,46,56,54,49,55,53,101,45,49,49,10,32,32,49,46,57,
      52,49,51,57,101,45,49,49,32,50,46,48,50,51,51,52,101,45,49,49,32,50,46,49,48,
      56,56,52,101,45,49,49,32,50,46,49,57,55,54,51,101,45,49,49,32,50,46,50,56,56,
      57,55,101,45,49,49,32,50,46,51,56,50,57,50,101,45,49,49,32,50,46,52,55,57,52,
      55,101,45,49,49,10,32,32,50,46,53,55,56,54,52,101,45,49,49,32,50,46,54,56,48,
      54,49,101,45,49,49,32,50,46,55,56,53,51,101,45,49,49,32,50,46,56,57,50,55,51,
      101,45,49,49,32,51,46,48,48,48,52,49,101,45,49,49,32,51,46,49,48,57,50,49,101,
      45,49,49,32,51,46,50,50,48,56,52,101,45,49,49,10,32,32,51,46,51,51,53,49,53,
      101,45,49,49,32,51,46,52,53,48,56,56,101,45,49,49,32,51,46,53,53,57,53,101,
      45,49,49,32,51,46,54,55,48,52,55,101,45,49,49,32,51,46,55,56,51,56,101,45,49,
      49,32,51,46,56,57,57,53,51,101,45,49,49,32,52,46,48,48,52,57,56,101,45,49,49,
      10,32,32,52,46,49,48,52,56,52,101,45,49,49,32,52,46,50,48,54,55,101,45,49,49,
      32,52,46,51,49,48,53,54,101,45,49,49,32,52,46,52,49,50,52,49,101,45,49,49,32,
      52,46,52,56,57,52,54,101,45,49,49,32,52,46,53,54,56,52,55,101,45,49,49,32,52,
      46,54,52,57,52,49,101,45,49,49,10,32,32,52,46,55,51,50,50,54,101,45,49,49,32,
      52,46,55,57,49,51,49,101,45,49,49,32,52,46,56,51,56,50,52,101,45,49,49,32,52,
      46,56,56,55,55,57,101,45,49,49,32,52,46,57,51,57,56,51,101,45,49,49,32,52,46,
      57,56,55,53,54,101,45,49,49,32,52,46,57,57,56,51,55,101,45,49,49,10,32,32,53,
      46,48,49,51,51,49,101,45,49,49,32,53,46,48,51,50,49,52,101,45,49,49,32,53,46,
      48,53,52,57,53,101,45,49,49,32,53,46,48,53,48,48,50,101,45,49,49,32,53,46,48,
      51,51,56,101,45,49,49,32,53,46,48,50,51,51,57,101,45,49,49,32,53,46,48,49,56,
      49,55,101,45,49,49,10,32,32,53,46,48,49,48,53,51,101,45,49,49,32,52,46,57,55,
      48,54,52,101,45,49,49,32,52,46,57,51,56,48,56,101,45,49,49,32,52,46,57,49,50,
      48,51,101,45,49,49,32,52,46,56,57,49,57,101,45,49,49,32,52,46,56,53,49,52,54,
      101,45,49,49,32,52,46,56,48,53,52,54,101,45,49,49,10,32,32,52,46,55,54,54,56,
      49,101,45,49,49,32,52,46,55,51,52,55,49,101,45,49,49,32,52,46,55,48,51,49,54,
      101,45,49,49,32,52,46,54,53,49,57,51,101,45,49,49,32,52,46,54,48,56,49,51,101,
      45,49,49,32,52,46,53,55,48,57,54,101,45,49,49,32,52,46,53,51,57,55,54,101,45,
      49,49,10,32,32,52,46,52,57,56,48,52,101,45,49,49,32,52,46,52,53,53,49,56,101,
      45,49,49,32,52,46,52,49,56,53,101,45,49,49,32,52,46,51,56,55,52,50,101,45,49,
      49,32,52,46,51,53,56,51,53,101,45,49,49,32,52,46,51,50,48,57,50,101,45,49,49,
      32,52,46,50,56,56,56,57,101,45,49,49,10,32,32,52,46,50,54,49,55,51,101,45,49,
      49,32,52,46,50,51,57,48,52,101,45,49,49,32,52,46,50,49,51,54,49,101,45,49,49,
      32,52,46,49,56,57,51,52,101,45,49,49,32,52,46,49,54,57,49,50,101,45,49,49,32,
      52,46,49,53,50,54,101,45,49,49,32,52,46,49,51,56,54,52,101,45,49,49,10,32,32,
      52,46,49,50,52,52,53,101,45,49,49,32,52,46,49,49,51,52,50,101,45,49,49,32,52,
      46,49,48,53,50,55,101,45,49,49,32,52,46,48,57,57,56,50,101,45,49,49,32,52,46,
      48,57,55,51,51,101,45,49,49,32,52,46,48,57,55,51,52,101,45,49,49,32,52,46,48,
      57,57,52,56,101,45,49,49,10,32,32,52,46,49,48,51,54,52,101,45,49,49,32,52,46,
      49,49,48,55,52,101,45,49,49,32,52,46,49,50,51,54,53,101,45,49,49,32,52,46,49,
      51,56,48,53,101,45,49,49,32,52,46,49,53,57,52,101,45,49,49,32,52,46,50,51,55,
      49,53,101,45,49,49,32,52,46,52,48,56,49,57,101,45,49,49,10,32,32,52,46,56,53,
      51,53,50,101,45,49,49,32,53,46,53,53,52,55,56,101,45,49,49,32,54,46,53,52,52,
      49,56,101,45,49,49,32,55,46,57,48,50,54,55,101,45,49,49,32,57,46,54,53,51,49,
      57,101,45,49,49,32,49,46,49,56,49,48,57,101,45,49,48,32,49,46,52,51,48,53,55,
      101,45,49,48,10,32,32,49,46,55,48,52,48,53,101,45,49,48,32,49,46,57,56,54,53,
      51,101,45,49,48,32,50,46,50,55,53,50,56,101,45,49,48,32,50,46,53,55,51,54,51,
      101,45,49,48,32,50,46,57,53,57,57,53,101,45,49,48,32,51,46,52,49,55,50,50,101,
      45,49,48,32,52,46,50,50,48,52,51,101,45,49,48,10,32,32,53,46,52,50,50,57,56,
      101,45,49,48,32,55,46,50,55,55,54,56,101,45,49,48,32,49,46,49,49,50,54,55,101,
      45,48,57,32,49,46,55,55,53,48,52,101,45,48,57,32,50,46,56,50,53,56,51,101,45,
      48,57,32,52,46,52,55,51,50,101,45,48,57,32,53,46,56,56,56,53,50,101,45,48,57,
      10,32,32,54,46,53,52,56,49,57,101,45,48,57,32,54,46,51,52,50,57,50,101,45,48,
      57,32,54,46,48,51,57,48,50,101,45,48,57,32,53,46,56,57,53,49,101,45,48,57,32,
      54,46,48,50,49,52,52,101,45,48,57,32,54,46,53,50,53,54,52,101,45,48,57,32,55,
      46,54,50,48,56,50,101,45,48,57,10,32,32,57,46,55,54,50,50,57,101,45,48,57,32,
      49,46,52,51,49,57,53,101,45,48,56,32,50,46,50,53,48,57,54,101,45,48,56,32,51,
      46,55,50,56,48,53,101,45,48,56,32,53,46,55,54,50,57,56,101,45,48,56,32,54,46,
      51,51,55,50,52,101,45,48,56,32,53,46,56,51,54,53,49,101,45,48,56,10,32,32,53,
      46,48,53,50,54,54,101,45,48,56,32,52,46,52,50,52,50,49,101,45,48,56,32,52,46,
      49,54,49,48,57,101,45,48,56,32,52,46,50,49,50,49,51,101,45,48,56,32,52,46,54,
      48,57,57,53,101,45,48,56,32,53,46,51,53,56,54,56,101,45,48,56,32,54,46,53,55,
      57,54,56,101,45,48,56,10,32,32,56,46,54,51,56,53,101,45,48,56,32,49,46,50,50,
      48,54,51,101,45,48,55,32,49,46,54,50,48,49,56,101,45,48,55,32,50,46,48,57,54,
      55,50,101,45,48,55,32,50,46,53,57,53,50,55,101,45,48,55,32,51,46,50,55,54,50,
      55,101,45,48,55,32,52,46,52,48,52,53,54,101,45,48,55,10,32,32,53,46,52,54,51,
      57,56,101,45,48,55,32,54,46,50,54,56,50,54,101,45,48,55,32,54,46,56,49,52,49,
      54,101,45,48,55,32,55,46,53,56,56,54,49,101,45,48,55,32,56,46,52,51,54,51,54,
      101,45,48,55,32,57,46,50,49,57,50,54,101,45,48,55,32,57,46,55,55,51,48,56,101,
      45,48,55,10,32,32,49,46,48,50,52,51,51,101,45,48,54,32,49,46,48,56,52,57,51,
      101,45,48,54,32,49,46,49,56,52,55,56,101,45,48,54,32,49,46,51,48,50,56,55,101,
      45,48,54,32,49,46,51,57,54,49,101,45,48,54,32,49,46,53,54,53,51,51,101,45,48,
      54,32,49,46,55,48,57,56,56,101,45,48,54,10,32,32,49,46,56,50,56,56,52,101,45,
      48,54,32,49,46,57,51,51,52,52,101,45,48,54,32,50,46,48,49,51,55,57,101,45,48,
      54,32,50,46,49,48,55,48,53,101,45,48,54,32,50,46,50,48,54,53,53,101,45,48,54,
      32,50,46,51,48,53,48,51,101,45,48,54,32,50,46,51,57,57,50,51,101,45,48,54,10,
      32,32,50,46,53,48,51,50,57,101,45,48,54,32,50,46,53,55,56,57,101,45,48,54,32,
      50,46,54,53,50,50,101,45,48,54,32,50,46,55,54,50,52,53,101,45,48,54,32,50,46,
      56,50,48,52,52,101,45,48,54,32,50,46,56,57,50,54,55,101,45,48,54,32,50,46,57,
      52,54,54,56,101,45,48,54,10,32,32,50,46,57,55,49,56,55,101,45,48,54,32,50,46,
      57,57,53,52,55,101,45,48,54,32,51,46,48,51,53,55,57,101,45,48,54,32,51,46,48,
      57,48,56,53,101,45,48,54,32,51,46,49,51,48,52,54,101,45,48,54,32,51,46,50,48,
      55,55,53,101,45,48,54,32,51,46,50,54,51,48,56,101,45,48,54,10,32,32,51,46,51,
      53,57,49,52,101,45,48,54,32,51,46,52,54,53,53,51,101,45,48,54,32,51,46,53,55,
      51,48,50,101,45,48,54,32,51,46,54,49,57,57,101,45,48,54,32,51,46,55,49,52,53,
      55,101,45,48,54,32,51,46,56,50,54,55,54,101,45,48,54,32,51,46,57,50,54,57,55,
      101,45,48,54,10,32,32,52,46,48,51,51,57,53,101,45,48,54,32,52,46,49,52,48,55,
      50,101,45,48,54,32,52,46,50,53,50,54,52,101,45,48,54,32,52,46,51,56,53,49,101,
      45,48,54,32,52,46,53,49,48,54,50,101,45,48,54,32,52,46,54,53,56,49,49,101,45,
      48,54,32,52,46,55,55,51,48,56,101,45,48,54,10,32,32,52,46,57,55,50,57,51,101,
      45,48,54,32,53,46,49,48,51,52,101,45,48,54,32,53,46,50,55,52,51,50,101,45,48,
      54,32,53,46,55,49,50,51,50,101,45,48,54,32,54,46,52,49,51,57,50,101,45,48,54,
      32,55,46,50,49,57,52,49,101,45,48,54,32,56,46,52,48,56,52,101,45,48,54,10,32,
      32,57,46,56,49,49,56,56,101,45,48,54,32,49,46,49,55,56,56,52,101,45,48,53,32,
      49,46,51,54,55,53,55,101,45,48,53,32,49,46,54,54,56,56,101,45,48,53,32,50,46,
      48,55,57,53,49,101,45,48,53,32,50,46,51,57,50,51,54,101,45,48,53,32,50,46,55,
      53,55,51,57,101,45,48,53,10,32,32,51,46,50,53,54,101,45,48,53,32,51,46,54,56,
      57,54,52,101,45,48,53,32,52,46,49,48,56,54,101,45,48,53,32,52,46,53,53,55,53,
      101,45,48,53,32,52,46,57,54,51,48,54,101,45,48,53,32,53,46,50,55,52,54,101,
      45,48,53,32,53,46,53,52,48,52,53,101,45,48,53,32,53,46,55,54,48,49,49,101,45,
      48,53,10,32,32,53,46,57,53,51,57,55,101,45,48,53,32,54,46,49,48,48,52,49,101,
      45,48,53,32,54,46,49,55,56,54,101,45,48,53,32,54,46,49,55,56,56,57,101,45,48,
      53,32,54,46,49,49,48,52,51,101,45,48,53,32,53,46,57,57,53,57,53,101,45,48,53,
      32,53,46,56,51,57,51,56,101,45,48,53,10,32,32,53,46,54,50,52,56,55,101,45,48,
      53,32,53,46,51,53,57,101,45,48,53,32,53,46,49,51,53,48,54,101,45,48,53,32,52,
      46,56,54,50,51,51,101,45,48,53,32,52,46,54,49,53,50,101,45,48,53,32,52,46,51,
      52,55,55,55,101,45,48,53,32,52,46,48,56,48,54,49,101,45,48,53,10,32,32,51,46,
      56,49,54,55,57,101,45,48,53,32,51,46,53,53,56,56,57,101,45,48,53,32,51,46,51,
      48,56,55,52,101,45,48,53,32,51,46,48,54,55,56,49,101,45,48,53,32,50,46,56,51,
      55,51,56,101,45,48,53,32,50,46,54,49,56,51,50,101,45,48,53,32,50,46,52,49,49,
      48,51,101,45,48,53,10,32,32,50,46,50,49,53,55,53,101,45,48,53,32,50,46,48,51,
      50,53,53,101,45,48,53,32,49,46,56,54,49,51,53,101,45,48,53,32,49,46,55,48,49,
      56,54,101,45,48,53,32,49,46,53,53,51,54,57,101,45,48,53,32,49,46,52,49,54,52,
      49,101,45,48,53,32,49,46,50,56,57,53,55,101,45,48,53,10,32,32,49,46,49,55,50,
      54,55,101,45,48,53,32,49,46,48,54,53,49,52,101,45,48,53,32,57,46,54,54,52,49,
      52,101,45,48,54,32,56,46,55,53,57,52,51,101,45,48,54,32,55,46,57,51,49,54,55,
      101,45,48,54,32,55,46,49,55,53,54,101,45,48,54,32,54,46,52,56,54,49,53,101,
      45,48,54,10,32,32,53,46,56,53,56,50,54,101,45,48,54,32,53,46,50,56,55,49,50,
      101,45,48,54,32,52,46,55,54,56,50,50,101,45,48,54,32,52,46,50,57,55,50,57,101,
      45,48,54,32,51,46,56,55,48,51,56,101,45,48,54,32,51,46,52,56,51,54,101,45,48,
      54,32,51,46,49,51,51,54,49,101,45,48,54,10,32,32,50,46,56,49,55,50,49,101,45,
      48,54,32,50,46,53,51,49,52,53,101,45,48,54,32,50,46,51,50,56,53,56,101,45,48,
      54,32,50,46,49,52,49,51,52,101,45,48,54,32,49,46,57,54,56,54,101,45,48,54,32,
      49,46,56,48,57,51,101,45,48,54,32,49,46,54,54,50,52,56,101,45,48,54,10,32,32,
      49,46,53,49,48,53,55,101,45,48,54,32,49,46,51,51,55,52,50,101,45,48,54,32,49,
      46,49,56,51,53,53,101,45,48,54,32,49,46,48,52,54,57,50,101,45,48,54,32,57,46,
      50,53,54,54,51,101,45,48,55,32,56,46,49,56,49,49,56,101,45,48,55,32,55,46,50,
      50,55,55,53,101,45,48,55,10,32,32,54,46,51,56,51,101,45,48,55,32,53,46,54,51,
      52,57,57,101,45,48,55,32,52,46,57,55,50,57,57,101,45,48,55,32,52,46,51,56,55,
      51,57,101,45,48,55,32,51,46,56,54,57,53,53,101,45,48,55,32,51,46,52,49,49,56,
      51,101,45,48,55,32,51,46,48,48,55,52,49,101,45,48,55,10,32,32,50,46,54,53,48,
      50,101,45,48,55,32,50,46,51,51,52,56,49,101,45,48,55,32,50,46,48,53,54,52,53,
      101,45,48,55,32,49,46,56,49,48,56,54,101,45,48,55,32,49,46,53,57,52,50,51,101,
      45,48,55,32,49,46,52,48,51,50,101,45,48,55,32,49,46,50,51,52,56,101,45,48,55,
      10,32,32,49,46,48,56,54,51,53,101,45,48,55,32,57,46,53,53,54,51,54,101,45,48,
      56,32,56,46,52,48,52,53,57,101,45,48,56,32,55,46,51,57,48,50,57,101,45,48,56,
      32,54,46,52,57,55,51,49,101,45,48,56,32,53,46,55,49,49,51,101,45,48,56,32,53,
      46,48,49,57,53,57,101,45,48,56,10,32,32,52,46,52,49,48,57,56,101,45,48,56,32,
      51,46,56,55,53,53,57,101,45,48,56,32,51,46,52,48,52,55,101,45,48,56,32,50,46,
      57,57,48,54,50,101,45,48,56,32,50,46,54,50,54,53,101,45,48,56,32,50,46,51,48,
      54,52,49,101,45,48,56,32,50,46,48,50,53,48,57,101,45,48,56,10,32,32,49,46,55,
      55,55,56,56,101,45,48,56,32,49,46,53,54,48,54,55,101,45,48,56,32,49,46,50,48,
      50,50,50,101,45,48,56,32,57,46,50,53,54,57,50,101,45,48,57,32,55,46,49,50,53,
      48,57,101,45,48,57,32,53,46,52,56,50,50,50,101,45,48,57,32,52,46,50,49,54,54,
      56,101,45,48,57,10,32,32,51,46,50,52,50,50,50,101,45,48,57,32,50,46,52,57,50,
      50,51,101,45,48,57,32,49,46,57,49,53,49,57,101,45,48,57,32,49,46,52,55,49,51,
      55,101,45,48,57,32,49,46,49,51,48,49,51,101,45,48,57,32,56,46,54,55,56,50,57,
      101,45,49,48,32,54,46,54,54,50,53,54,101,45,49,48,10,32,32,53,46,49,49,51,57,
      56,101,45,49,48,32,51,46,57,50,52,52,54,101,45,49,48,32,51,46,48,49,49,48,52,
      101,45,49,48,32,50,46,51,48,57,56,50,101,45,49,48,32,49,46,55,55,49,54,49,101,
      45,49,48,32,49,46,51,53,56,54,101,45,49,48,32,49,46,48,52,49,55,50,101,45,49,
      48,10,32,32,55,46,57,56,54,51,52,101,45,49,49,32,54,46,49,50,49,57,54,101,45,
      49,49,32,52,46,54,57,50,50,52,101,45,49,49,32,51,46,53,57,54,48,49,101,45,49,
      49,32,50,46,55,53,53,53,55,101,45,49,49,32,50,46,49,49,49,50,54,101,45,49,49,
      32,49,46,54,49,55,52,50,101,45,49,49,10,32,32,49,46,50,51,56,57,56,101,45,49,
      49,32,57,46,52,57,101,45,49,50,32,55,46,50,54,56,52,49,101,45,49,50,32,48,114,
      54,32,54,46,56,49,49,56,57,101,45,50,53,32,50,46,53,56,57,48,57,101,45,50,52,
      32,55,46,55,48,50,50,101,45,50,52,32,49,46,57,51,50,57,54,101,45,50,51,10,32,
      32,51,46,49,50,54,55,53,101,45,49,53,32,52,46,57,57,53,49,57,101,45,49,53,32,
      55,46,53,55,49,56,54,101,45,49,53,32,49,46,49,48,50,55,54,101,45,49,52,32,49,
      46,53,53,51,56,52,101,45,49,52,32,50,46,49,50,57,50,55,101,45,49,52,32,50,46,
      56,52,52,48,57,101,45,49,52,10,32,32,51,46,55,49,53,55,50,101,45,49,52,32,52,
      46,55,54,57,49,49,101,45,49,52,32,54,46,48,50,54,57,55,101,45,49,52,32,55,46,
      53,49,49,53,101,45,49,52,32,57,46,50,48,52,54,53,101,45,49,52,32,49,46,49,49,
      53,55,49,101,45,49,51,32,49,46,51,51,57,50,51,101,45,49,51,10,32,32,49,46,53,
      57,51,51,52,101,45,49,51,32,49,46,56,55,52,55,54,101,45,49,51,32,50,46,49,56,
      52,49,51,101,45,49,51,32,50,46,53,50,55,57,49,101,45,49,51,32,50,46,57,48,56,
      48,55,101,45,49,51,32,51,46,51,50,53,57,53,101,45,49,51,32,51,46,55,54,50,54,
      50,101,45,49,51,10,32,32,52,46,50,51,55,50,50,101,45,49,51,32,52,46,55,53,49,
      51,55,101,45,49,51,32,53,46,51,48,54,56,54,101,45,49,51,32,53,46,56,56,54,54,
      57,101,45,49,51,32,54,46,52,57,49,51,50,101,45,49,51,32,55,46,49,51,54,52,51,
      101,45,49,51,32,55,46,56,50,51,53,55,101,45,49,51,10,32,32,56,46,53,53,50,48,
      51,101,45,49,51,32,57,46,50,55,57,52,53,101,45,49,51,32,49,46,48,48,52,55,53,
      101,45,49,50,32,49,46,48,56,53,55,50,101,45,49,50,32,49,46,49,55,48,57,56,101,
      45,49,50,32,49,46,50,53,55,55,54,101,45,49,50,32,49,46,51,52,54,52,101,45,49,
      50,10,32,32,49,46,52,51,57,49,57,101,45,49,50,32,49,46,53,51,54,50,51,101,45,
      49,50,32,49,46,54,51,55,51,53,101,45,49,50,32,49,46,55,51,56,50,54,101,45,49,
      50,32,49,46,56,52,51,51,54,101,45,49,50,32,49,46,57,53,50,55,56,101,45,49,50,
      32,50,46,48,54,54,53,55,101,45,49,50,10,32,32,50,46,49,56,50,56,53,101,45,49,
      50,32,50,46,51,48,49,57,56,101,45,49,50,32,50,46,52,50,53,53,53,101,45,49,50,
      32,50,46,53,53,51,54,50,101,45,49,50,32,50,46,54,56,54,50,53,101,45,49,50,32,
      50,46,56,50,50,51,54,101,45,49,50,32,50,46,57,54,51,49,55,101,45,49,50,10,32,
      32,51,46,49,48,56,56,101,45,49,50,32,51,46,50,53,57,51,52,101,45,49,50,32,51,
      46,52,49,53,55,53,101,45,49,50,32,51,46,53,55,56,48,50,101,45,49,50,32,51,46,
      55,53,49,54,49,101,45,49,50,32,51,46,57,51,49,53,49,101,45,49,50,32,52,46,49,
      49,48,54,51,101,45,49,50,10,32,32,52,46,50,57,57,55,51,101,45,49,50,32,52,46,
      52,57,52,54,51,101,45,49,50,32,52,46,54,57,53,52,53,101,45,49,50,32,52,46,57,
      48,50,50,56,101,45,49,50,32,53,46,49,51,48,51,50,101,45,49,50,32,53,46,51,54,
      50,49,54,101,45,49,50,32,53,46,53,57,54,52,57,101,45,49,50,10,32,32,53,46,56,
      51,55,53,56,101,45,49,50,32,54,46,48,56,54,52,54,101,45,49,50,32,54,46,51,53,
      48,52,51,101,45,49,50,32,54,46,54,50,49,57,51,101,45,49,50,32,54,46,57,48,49,
      50,51,101,45,49,50,32,55,46,49,56,56,52,50,101,45,49,50,32,55,46,52,56,55,55,
      52,101,45,49,50,10,32,32,55,46,55,57,56,49,57,101,45,49,50,32,56,46,49,49,55,
      51,50,101,45,49,50,32,56,46,52,52,53,50,53,101,45,49,50,32,56,46,55,56,49,57,
      55,101,45,49,50,32,57,46,49,50,55,54,50,101,45,49,50,32,57,46,52,56,50,53,57,
      101,45,49,50,32,57,46,56,52,54,55,57,101,45,49,50,10,32,32,49,46,48,50,50,48,
      51,101,45,49,49,32,49,46,48,53,57,52,54,101,45,49,49,32,49,46,48,57,55,50,55,
      101,45,49,49,32,49,46,49,51,54,48,50,101,45,49,49,32,49,46,49,55,53,54,54,101,
      45,49,49,32,49,46,50,49,53,56,101,45,49,49,32,49,46,50,53,51,53,53,101,45,49,
      49,10,32,32,49,46,50,57,50,49,101,45,49,49,32,49,46,51,51,49,52,54,101,45,49,
      49,32,49,46,51,55,49,54,51,101,45,49,49,32,49,46,52,48,56,51,54,101,45,49,49,
      32,49,46,52,52,51,50,51,101,45,49,49,32,49,46,52,55,56,55,56,101,45,49,49,32,
      49,46,53,49,53,48,50,101,45,49,49,10,32,32,49,46,53,53,48,54,101,45,49,49,32,
      49,46,53,55,55,56,56,101,45,49,49,32,49,46,54,48,53,56,51,101,45,49,49,32,49,
      46,54,51,52,52,52,101,45,49,49,32,49,46,54,54,51,55,49,101,45,49,49,32,49,46,
      54,56,53,48,49,101,45,49,49,32,49,46,55,48,50,50,53,101,45,49,49,10,32,32,49,
      46,55,50,48,51,56,101,45,49,49,32,49,46,55,51,57,51,54,101,45,49,49,32,49,46,
      55,53,54,57,101,45,49,49,32,49,46,55,54,50,48,51,101,45,49,49,32,49,46,55,54,
      56,53,53,101,45,49,49,32,49,46,55,55,54,51,54,101,45,49,49,32,49,46,55,56,53,
      52,54,101,45,49,49,10,32,32,49,46,55,56,53,49,55,101,45,49,49,32,49,46,55,56,
      49,48,53,101,45,49,49,32,49,46,55,55,56,56,52,101,45,49,49,32,49,46,55,55,56,
      51,54,101,45,49,49,32,49,46,55,55,55,48,50,101,45,49,49,32,49,46,55,54,52,54,
      52,101,45,49,49,32,49,46,55,53,52,54,57,101,45,49,49,10,32,32,49,46,55,52,54,
      57,49,101,45,49,49,32,49,46,55,52,49,49,50,101,45,49,49,32,49,46,55,50,56,50,
      56,101,45,49,49,32,49,46,55,49,51,52,56,101,45,49,49,32,49,46,54,57,56,52,55,
      101,45,49,49,32,49,46,54,56,54,48,54,101,45,49,49,32,49,46,54,55,54,48,54,101,
      45,49,49,10,32,32,49,46,54,53,57,50,50,101,45,49,49,32,49,46,54,51,57,56,101,
      45,49,49,32,49,46,54,50,55,50,51,101,45,49,49,32,49,46,54,49,55,49,55,101,45,
      49,49,32,49,46,54,48,51,52,52,101,45,49,49,32,49,46,53,56,57,50,55,101,45,49,
      49,32,49,46,53,55,55,50,52,101,45,49,49,10,32,32,49,46,53,54,55,48,56,101,45,
      49,49,32,49,46,53,53,55,54,49,101,45,49,49,32,49,46,53,52,53,50,49,101,45,49,
      49,32,49,46,53,51,52,54,54,101,45,49,49,32,49,46,53,50,53,55,56,101,45,49,49,
      32,49,46,53,49,56,52,50,101,45,49,49,32,49,46,53,49,48,49,49,101,45,49,49,10,
      32,32,49,46,53,48,50,49,56,101,45,49,49,32,49,46,52,57,53,54,52,101,45,49,49,
      32,49,46,52,57,48,51,56,101,45,49,49,32,49,46,52,56,54,48,49,101,45,49,49,32,
      49,46,52,56,49,53,52,101,45,49,49,32,49,46,52,55,56,49,55,101,45,49,49,32,49,
      46,52,55,53,55,57,101,45,49,49,10,32,32,49,46,52,55,52,51,53,101,45,49,49,32,
      49,46,52,55,51,57,53,101,45,49,49,32,49,46,52,55,52,52,50,101,45,49,49,32,49,
      46,52,55,53,54,51,101,45,49,49,32,49,46,52,55,55,53,52,101,45,49,49,32,49,46,
      52,56,48,52,57,101,45,49,49,32,49,46,52,56,53,52,55,101,45,49,49,10,32,32,49,
      46,52,57,48,57,56,101,45,49,49,32,49,46,52,57,57,48,56,101,45,49,49,32,49,46,
      53,50,55,56,49,101,45,49,49,32,49,46,53,57,48,48,55,101,45,49,49,32,49,46,55,
      53,48,51,52,101,45,49,49,32,50,46,48,48,48,55,54,101,45,49,49,32,50,46,51,53,
      50,49,55,101,45,49,49,10,32,32,50,46,56,51,50,48,52,101,45,49,49,32,51,46,52,
      52,54,57,51,101,45,49,49,32,52,46,50,49,49,50,57,101,45,49,49,32,53,46,48,57,
      54,54,57,101,45,49,49,32,54,46,48,52,50,57,101,45,49,49,32,55,46,48,49,52,48,
      51,101,45,49,49,32,56,46,48,48,49,52,51,101,45,49,49,10,32,32,57,46,48,49,54,
      55,53,101,45,49,49,32,49,46,48,51,50,51,57,101,45,49,48,32,49,46,49,56,53,56,
      51,101,45,49,48,32,49,46,52,53,49,56,57,101,45,49,48,32,49,46,56,52,50,54,57,
      101,45,49,48,32,50,46,52,51,49,49,50,101,45,49,48,32,51,46,54,49,50,101,45,
      49,48,10,32,32,53,46,53,54,53,52,57,101,45,49,48,32,56,46,53,54,54,54,56,101,
      45,49,48,32,49,46,51,50,48,54,101,45,48,57,32,49,46,55,50,49,54,49,101,45,48,
      57,32,49,46,57,49,50,51,53,101,45,48,57,32,49,46,56,53,57,56,57,101,45,48,57,
      32,49,46,55,56,48,54,54,101,45,48,57,10,32,32,49,46,55,52,55,54,52,101,45,48,
      57,32,49,46,55,57,48,54,52,101,45,48,57,32,49,46,57,51,57,55,55,101,45,48,57,
      32,50,46,50,53,52,53,57,101,45,48,57,32,50,46,56,54,50,56,51,101,45,48,57,32,
      52,46,49,54,52,50,49,101,45,48,57,32,54,46,53,55,56,57,55,101,45,48,57,10,32,
      32,49,46,49,50,53,52,51,101,45,48,56,32,49,46,56,51,49,49,55,101,45,48,56,32,
      50,46,48,49,53,55,54,101,45,48,56,32,49,46,56,49,48,52,53,101,45,48,56,32,49,
      46,53,50,50,53,57,101,45,48,56,32,49,46,51,48,55,51,101,45,48,56,32,49,46,50,
      49,56,55,55,101,45,48,56,10,32,32,49,46,50,51,48,51,101,45,48,56,32,49,46,51,
      52,54,57,49,101,45,48,56,32,49,46,53,55,49,101,45,48,56,32,49,46,57,52,53,48,
      51,101,45,48,56,32,50,46,53,57,55,56,56,101,45,48,56,32,51,46,55,57,48,53,50,
      101,45,48,56,32,53,46,50,49,48,56,54,101,45,48,56,10,32,32,55,46,48,48,54,49,
      49,101,45,48,56,32,57,46,48,50,49,52,55,101,45,48,56,32,49,46,50,48,49,51,50,
      101,45,48,55,32,49,46,55,53,54,52,53,101,45,48,55,32,50,46,51,51,53,53,56,101,
      45,48,55,32,50,46,55,56,54,52,50,101,45,48,55,32,51,46,48,55,57,57,49,101,45,
      48,55,10,32,32,51,46,52,57,55,56,56,101,45,48,55,32,51,46,57,56,51,49,57,101,
      45,48,55,32,52,46,52,49,52,49,54,101,45,48,55,32,52,46,54,54,50,55,55,101,45,
      48,55,32,52,46,56,51,54,48,53,101,45,48,55,32,53,46,49,50,50,49,101,45,48,55,
      32,53,46,55,49,53,54,52,101,45,48,55,10,32,32,54,46,53,50,49,48,54,101,45,48,
      55,32,55,46,50,49,55,51,57,101,45,48,55,32,56,46,53,57,51,54,55,101,45,48,55,
      32,57,46,57,48,56,48,56,101,45,48,55,32,49,46,49,49,53,52,57,101,45,48,54,32,
      49,46,50,51,57,53,57,101,45,48,54,32,49,46,51,51,49,57,52,101,45,48,54,10,32,
      32,49,46,52,49,54,56,55,101,45,48,54,32,49,46,52,57,51,48,54,101,45,48,54,32,
      49,46,53,54,52,50,57,101,45,48,54,32,49,46,54,51,50,50,101,45,48,54,32,49,46,
      55,48,55,55,51,101,45,48,54,32,49,46,55,54,51,48,50,101,45,48,54,32,49,46,56,
      49,56,54,50,101,45,48,54,10,32,32,49,46,57,49,48,52,52,101,45,48,54,32,49,46,
      57,54,54,52,50,101,45,48,54,32,50,46,48,53,48,52,56,101,45,48,54,32,50,46,49,
      50,57,50,57,101,45,48,54,32,50,46,49,55,48,54,49,101,45,48,54,32,50,46,50,48,
      56,51,49,101,45,48,54,32,50,46,50,54,51,50,50,101,45,48,54,10,32,32,50,46,51,
      50,50,49,57,101,45,48,54,32,50,46,51,53,54,55,56,101,45,48,54,32,50,46,52,49,
      55,57,55,101,45,48,54,32,50,46,52,53,57,49,51,101,45,48,54,32,50,46,53,51,48,
      50,56,101,45,48,54,32,50,46,54,49,50,51,54,101,45,48,54,32,50,46,54,57,50,51,
      52,101,45,48,54,10,32,32,50,46,55,50,54,50,50,101,45,48,54,32,50,46,55,57,51,
      48,52,101,45,48,54,32,50,46,56,54,57,57,53,101,45,48,54,32,50,46,57,51,54,57,
      52,101,45,48,54,32,51,46,48,48,55,48,49,101,45,48,54,32,51,46,48,55,53,55,101,
      45,48,54,32,51,46,49,52,54,54,51,101,45,48,54,10,32,32,51,46,50,50,57,52,56,
      101,45,48,54,32,51,46,51,48,55,48,56,101,45,48,54,32,51,46,51,57,55,52,50,101,
      45,48,54,32,51,46,52,54,55,51,51,101,45,48,54,32,51,46,53,56,56,48,56,101,45,
      48,54,32,51,46,54,54,54,53,50,101,45,48,54,32,51,46,55,54,56,57,50,101,45,48,
      54,10,32,32,52,46,48,51,48,50,51,101,45,48,54,32,52,46,52,52,55,54,50,101,45,
      48,54,32,52,46,57,50,55,56,53,101,45,48,54,32,53,46,54,52,49,52,55,101,45,48,
      54,32,54,46,52,57,51,49,52,101,45,48,54,32,55,46,55,49,48,52,54,101,45,48,54,
      32,56,46,56,57,49,55,53,101,45,48,54,10,32,32,49,46,48,54,50,54,101,45,48,53,
      32,49,46,51,50,54,55,55,101,45,48,53,32,49,46,53,51,53,50,51,101,45,48,53,32,
      49,46,55,56,52,51,51,101,45,48,53,32,50,46,49,51,52,51,56,101,45,48,53,32,50,
      46,52,52,56,52,52,101,45,48,53,32,50,46,55,54,48,56,56,101,45,48,53,10,32,32,
      51,46,49,48,53,50,56,101,45,48,53,32,51,46,52,50,54,56,56,101,45,48,53,32,51,
      46,54,56,51,54,49,101,45,48,53,32,51,46,57,49,50,57,101,45,48,53,32,52,46,49,
      49,49,49,51,101,45,48,53,32,52,46,50,57,55,49,49,101,45,48,53,32,52,46,52,53,
      52,52,52,101,45,48,53,10,32,32,52,46,53,54,54,54,49,101,45,48,53,32,52,46,54,
      49,51,57,50,101,45,48,53,32,52,46,54,49,49,55,101,45,48,53,32,52,46,53,54,53,
      55,52,101,45,48,53,32,52,46,52,56,51,56,51,101,45,48,53,32,52,46,51,53,55,48,
      50,101,45,48,53,32,52,46,49,56,55,53,51,101,45,48,53,10,32,32,52,46,48,51,55,
      55,53,101,45,48,53,32,51,46,56,52,57,52,52,101,45,48,53,32,51,46,54,55,52,53,
      54,101,45,48,53,32,51,46,52,56,49,53,54,101,45,48,53,32,51,46,50,56,53,51,53,
      101,45,48,53,32,51,46,48,56,56,55,51,101,45,48,53,32,50,46,56,57,52,48,53,101,
      45,48,53,10,32,32,50,46,55,48,51,48,57,101,45,48,53,32,50,46,53,49,55,52,49,
      101,45,48,53,32,50,46,51,51,56,50,54,101,45,48,53,32,50,46,49,54,54,52,55,101,
      45,48,53,32,50,46,48,48,50,53,51,101,45,48,53,32,49,46,56,52,55,48,51,101,45,
      48,53,32,49,46,55,48,48,50,53,101,45,48,53,10,32,32,49,46,53,54,50,50,53,101,
      45,48,53,32,49,46,52,51,50,57,51,101,45,48,53,32,49,46,51,49,50,49,57,101,45,
      48,53,32,49,46,49,57,57,55,57,101,45,48,53,32,49,46,48,57,53,52,56,101,45,48,
      53,32,57,46,57,56,57,48,57,101,45,48,54,32,57,46,48,57,54,56,55,101,45,48,54,
      10,32,32,56,46,50,55,52,53,52,101,45,48,54,32,55,46,53,49,56,50,53,101,45,48,
      54,32,54,46,56,50,51,57,54,101,45,48,54,32,54,46,49,56,55,54,50,101,45,48,54,
      32,53,46,54,48,53,51,53,101,45,48,54,32,53,46,48,55,51,51,51,101,45,48,54,32,
      52,46,53,56,55,57,54,101,45,48,54,10,32,32,52,46,49,52,53,54,57,101,45,48,54,
      32,51,46,55,52,51,50,53,101,45,48,54,32,51,46,51,55,55,53,50,101,45,48,54,32,
      51,46,48,52,53,52,54,101,45,48,54,32,50,46,55,52,52,51,49,101,45,48,54,32,50,
      46,52,55,49,52,51,101,45,48,54,32,50,46,50,50,52,51,57,101,45,48,54,10,32,32,
      50,46,48,52,56,54,54,101,45,48,54,32,49,46,56,56,54,50,101,45,48,54,32,49,46,
      55,51,54,48,54,101,45,48,54,32,49,46,53,57,55,51,56,101,45,48,54,32,49,46,52,
      54,57,51,56,101,45,48,54,32,49,46,51,51,54,55,53,101,45,48,54,32,49,46,49,56,
      53,51,49,101,45,48,54,10,32,32,49,46,48,53,48,52,57,101,45,48,54,32,57,46,51,
      48,53,51,56,101,45,48,55,32,56,46,50,51,57,48,49,101,45,48,55,32,55,46,50,57,
      49,54,49,101,45,48,55,32,54,46,52,53,48,51,54,101,45,48,55,32,53,46,55,48,51,
      56,55,101,45,48,55,32,53,46,48,52,49,56,49,101,45,48,55,10,32,32,52,46,52,53,
      52,57,52,101,45,48,55,32,51,46,57,51,53,101,45,48,55,32,51,46,52,55,52,53,51,
      101,45,48,55,32,51,46,48,54,54,57,54,101,45,48,55,32,50,46,55,48,54,51,49,101,
      45,48,55,32,50,46,51,56,55,51,53,101,45,48,55,32,50,46,49,48,53,51,56,101,45,
      48,55,10,32,32,49,46,56,53,54,50,51,101,45,48,55,32,49,46,54,51,54,49,52,101,
      45,48,55,32,49,46,52,52,49,55,56,101,45,48,55,32,49,46,50,55,48,50,49,101,45,
      48,55,32,49,46,49,49,56,55,57,101,45,48,55,32,57,46,56,53,49,54,49,101,45,48,
      56,32,56,46,54,55,51,55,53,101,45,48,56,10,32,32,55,46,54,51,52,56,56,101,45,
      48,56,32,54,46,55,49,57,49,50,101,45,48,56,32,53,46,57,49,50,48,55,101,45,48,
      56,32,53,46,50,48,48,57,55,101,45,48,56,32,52,46,53,55,52,53,57,101,45,48,56,
      32,52,46,48,50,50,57,54,101,45,48,56,32,51,46,53,51,55,50,55,101,45,48,56,10,
      32,32,51,46,49,48,57,54,57,101,45,48,56,32,50,46,55,51,51,51,57,101,45,48,56,
      32,50,46,52,48,50,50,55,101,45,48,56,32,50,46,49,49,48,57,54,101,45,48,56,32,
      49,46,56,53,52,55,51,101,45,48,56,32,49,46,54,50,57,51,57,101,45,48,56,32,49,
      46,52,51,49,50,53,101,45,48,56,10,32,32,49,46,49,48,51,57,49,101,45,48,56,32,
      56,46,53,49,48,49,50,101,45,48,57,32,54,46,53,53,55,54,53,101,45,48,57,32,53,
      46,48,53,49,49,51,101,45,48,57,32,51,46,56,56,57,50,51,101,45,48,57,32,50,46,
      57,57,51,53,55,101,45,48,57,32,50,46,51,48,51,52,49,101,45,48,57,10,32,32,49,
      46,55,55,49,56,49,101,45,48,57,32,49,46,51,54,50,52,56,101,45,48,57,32,49,46,
      48,52,55,52,49,101,45,48,57,32,56,46,48,52,57,57,51,101,45,49,48,32,54,46,49,
      56,53,51,52,101,45,49,48,32,52,46,55,53,49,53,50,101,45,49,48,32,51,46,54,52,
      57,50,57,101,45,49,48,10,32,32,50,46,56,48,50,49,56,101,45,49,48,32,50,46,49,
      53,49,50,57,101,45,49,48,32,49,46,54,53,49,50,55,101,45,49,48,32,49,46,50,54,
      55,50,52,101,45,49,48,32,57,46,55,50,51,50,54,101,45,49,49,32,55,46,52,53,57,
      50,49,101,45,49,49,32,53,46,55,50,49,53,101,45,49,49,10,32,32,52,46,51,56,56,
      48,49,101,45,49,49,32,51,46,51,54,52,56,55,101,45,49,49,32,50,46,53,55,57,57,
      55,101,45,49,49,32,49,46,57,55,55,57,49,101,45,49,49,32,49,46,53,49,54,49,55,
      101,45,49,49,32,49,46,49,54,50,49,101,45,49,49,32,56,46,57,48,54,50,57,101,
      45,49,50,10,32,32,54,46,56,50,53,49,56,101,45,49,50,32,48,114,56,32,49,46,49,
      55,50,49,51,101,45,50,52,32,50,46,57,52,51,57,53,101,45,50,52,32,49,46,49,54,
      49,56,50,101,45,49,53,32,49,46,56,53,54,48,53,101,45,49,53,32,50,46,56,49,51,
      51,55,101,45,49,53,32,52,46,48,57,55,49,55,101,45,49,53,10,32,32,53,46,55,55,
      50,55,54,101,45,49,53,32,55,46,57,48,57,57,55,101,45,49,53,32,49,46,48,53,54,
      52,53,101,45,49,52,32,49,46,51,56,48,48,56,101,45,49,52,32,49,46,55,55,49,49,
      51,101,45,49,52,32,50,46,50,51,55,57,57,101,45,49,52,32,50,46,55,56,56,56,56,
      101,45,49,52,10,32,32,51,46,52,49,55,48,55,101,45,49,52,32,52,46,49,52,49,51,
      50,101,45,49,52,32,52,46,57,55,48,50,51,101,45,49,52,32,53,46,57,49,50,51,54,
      101,45,49,52,32,54,46,57,53,53,53,54,101,45,49,52,32,56,46,49,48,50,48,52,101,
      45,49,52,32,57,46,51,55,53,55,52,101,45,49,52,10,32,32,49,46,48,55,56,51,56,
      101,45,49,51,32,49,46,50,51,51,49,50,101,45,49,51,32,49,46,51,57,52,55,56,101,
      45,49,51,32,49,46,53,55,48,52,52,101,45,49,51,32,49,46,55,54,48,54,56,101,45,
      49,51,32,49,46,57,54,54,49,53,101,45,49,51,32,50,46,49,56,48,53,56,101,45,49,
      51,10,32,32,50,46,52,48,52,49,50,101,45,49,51,32,50,46,54,52,50,53,55,101,45,
      49,51,32,50,46,56,57,54,52,54,101,45,49,51,32,51,46,49,54,53,53,52,101,45,49,
      51,32,51,46,52,51,52,50,50,101,45,49,51,32,51,46,55,49,55,55,57,101,45,49,51,
      32,52,46,48,49,54,55,49,101,45,49,51,10,32,32,52,46,51,51,49,51,52,101,45,49,
      51,32,52,46,54,53,49,53,52,101,45,49,51,32,52,46,57,55,56,53,50,101,45,49,51,
      32,53,46,51,50,48,56,101,45,49,51,32,53,46,54,55,56,54,50,101,45,49,51,32,54,
      46,48,53,49,51,54,101,45,49,51,32,54,46,52,50,51,51,54,101,45,49,51,10,32,32,
      54,46,56,49,48,55,51,101,45,49,51,32,55,46,50,49,51,57,50,101,45,49,51,32,55,
      46,54,51,51,49,50,101,45,49,51,32,56,46,48,54,49,52,49,101,45,49,51,32,56,46,
      53,48,48,48,57,101,45,49,51,32,56,46,57,53,53,48,54,101,45,49,51,32,57,46,52,
      50,54,53,57,101,45,49,51,10,32,32,57,46,57,49,52,54,57,101,45,49,51,32,49,46,
      48,52,49,53,53,101,45,49,50,32,49,46,48,57,51,51,53,101,45,49,50,32,49,46,49,
      52,54,57,50,101,45,49,50,32,49,46,50,48,50,50,54,101,45,49,50,32,49,46,50,53,
      57,55,54,101,45,49,50,32,49,46,51,49,57,51,57,101,45,49,50,10,32,32,49,46,51,
      56,48,57,51,101,45,49,50,32,49,46,52,52,52,52,101,45,49,50,32,49,46,53,48,57,
      57,55,101,45,49,50,32,49,46,53,55,57,49,55,101,45,49,50,32,49,46,54,53,48,52,
      57,101,45,49,50,32,49,46,55,50,51,57,53,101,45,49,50,32,49,46,55,57,57,54,101,
      45,49,50,10,32,32,49,46,56,55,57,48,56,101,45,49,50,32,49,46,57,54,50,48,51,
      101,45,49,50,32,50,46,48,52,55,52,51,101,45,49,50,32,50,46,49,51,53,50,57,101,
      45,49,50,32,50,46,50,50,53,57,54,101,45,49,50,32,50,46,51,50,50,48,55,101,45,
      49,50,32,50,46,52,50,48,57,52,101,45,49,50,10,32,32,50,46,53,50,50,54,50,101,
      45,49,50,32,50,46,54,50,55,49,52,101,45,49,50,32,50,46,55,51,54,48,53,101,45,
      49,50,32,50,46,56,52,56,57,56,101,45,49,50,32,50,46,57,54,53,48,51,101,45,49,
      50,32,51,46,48,56,52,50,55,101,45,49,50,32,51,46,50,48,54,54,56,101,45,49,50,
      10,32,32,51,46,51,51,50,51,50,101,45,49,50,32,51,46,52,54,49,51,49,101,45,49,
      50,32,51,46,53,57,51,54,51,101,45,49,50,32,51,46,55,50,57,51,101,45,49,50,32,
      51,46,56,54,53,50,57,101,45,49,50,32,52,46,48,48,50,54,49,101,45,49,50,32,52,
      46,49,52,51,50,57,101,45,49,50,10,32,32,52,46,50,56,55,50,51,101,45,49,50,32,
      52,46,52,51,50,57,51,101,45,49,50,32,52,46,53,55,48,48,55,101,45,49,50,32,52,
      46,55,49,48,48,57,101,45,49,50,32,52,46,56,53,51,48,49,101,45,49,50,32,52,46,
      57,57,56,56,56,101,45,49,50,32,53,46,49,51,50,51,57,101,45,49,50,10,32,32,53,
      46,50,53,57,50,49,101,45,49,50,32,53,46,51,56,56,53,50,101,45,49,50,32,53,46,
      53,50,48,51,101,45,49,50,32,53,46,54,52,57,55,50,101,45,49,50,32,53,46,55,52,
      57,51,50,101,45,49,50,32,53,46,56,53,49,51,52,101,45,49,50,32,53,46,57,53,53,
      55,54,101,45,49,50,10,32,32,54,46,48,54,50,53,54,101,45,49,50,32,54,46,49,52,
      48,55,101,45,49,50,32,54,46,50,48,52,50,56,101,45,49,50,32,54,46,50,55,49,48,
      53,101,45,49,50,32,54,46,51,52,48,56,57,101,45,49,50,32,54,46,52,48,53,53,52,
      101,45,49,50,32,54,46,52,50,53,53,54,101,45,49,50,10,32,32,54,46,52,53,48,53,
      55,101,45,49,50,32,54,46,52,56,48,50,52,101,45,49,50,32,54,46,53,49,52,52,56,
      101,45,49,50,32,54,46,53,49,52,57,49,101,45,49,50,32,54,46,53,48,49,53,49,101,
      45,49,50,32,54,46,52,57,52,57,52,101,45,49,50,32,54,46,52,57,52,53,54,101,45,
      49,50,10,32,32,54,46,52,57,49,49,101,45,49,50,32,54,46,52,52,55,55,56,101,45,
      49,50,32,54,46,52,49,51,49,55,101,45,49,50,32,54,46,51,56,54,51,55,101,45,49,
      50,32,54,46,51,54,54,54,55,101,45,49,50,32,54,46,51,50,49,53,54,101,45,49,50,
      32,54,46,50,54,57,50,56,101,45,49,50,10,32,32,54,46,50,50,53,56,53,101,45,49,
      50,32,54,46,49,57,48,51,52,101,45,49,50,32,54,46,49,53,53,50,57,101,45,49,50,
      32,54,46,48,57,53,51,54,101,45,49,50,32,54,46,48,52,52,52,55,101,45,49,50,32,
      54,46,48,48,49,54,53,101,45,49,50,32,53,46,57,54,54,49,53,101,45,49,50,10,32,
      32,53,46,57,49,55,49,56,101,45,49,50,32,53,46,56,54,54,53,51,101,45,49,50,32,
      53,46,56,50,51,52,57,101,45,49,50,32,53,46,55,56,55,51,53,101,45,49,50,32,53,
      46,55,53,51,54,51,101,45,49,50,32,53,46,55,48,57,48,56,101,45,49,50,32,53,46,
      54,55,49,50,53,101,45,49,50,10,32,32,53,46,54,51,57,52,57,101,45,49,50,32,53,
      46,54,49,51,50,57,101,45,49,50,32,53,46,53,56,51,52,55,101,45,49,50,32,53,46,
      53,53,53,48,50,101,45,49,50,32,53,46,53,51,49,54,54,101,45,49,50,32,53,46,53,
      49,50,57,53,101,45,49,50,32,53,46,52,57,55,52,52,101,45,49,50,10,32,32,53,46,
      52,56,49,53,55,101,45,49,50,32,53,46,52,54,57,54,56,101,45,49,50,32,53,46,52,
      54,49,52,54,101,45,49,50,32,53,46,52,53,54,54,54,101,45,49,50,32,53,46,52,53,
      53,54,51,101,45,49,50,32,53,46,52,53,55,55,57,101,45,49,50,32,53,46,52,54,50,
      54,56,101,45,49,50,10,32,32,53,46,52,55,48,49,53,101,45,49,50,32,53,46,52,56,
      49,52,101,45,49,50,32,53,46,53,48,48,49,54,101,45,49,50,32,53,46,53,50,48,56,
      52,101,45,49,50,32,53,46,53,53,49,49,55,101,45,49,50,32,53,46,54,53,56,49,54,
      101,45,49,50,32,53,46,56,56,57,50,49,101,45,49,50,10,32,32,54,46,52,56,50,53,
      50,101,45,49,50,32,55,46,52,48,55,56,54,101,45,49,50,32,56,46,55,48,52,50,57,
      101,45,49,50,32,49,46,48,52,55,48,57,101,45,49,49,32,49,46,50,55,50,56,52,101,
      45,49,49,32,49,46,53,52,56,53,51,101,45,49,49,32,49,46,56,54,52,50,55,101,45,
      49,49,10,32,32,50,46,50,48,55,50,57,101,45,49,49,32,50,46,53,53,56,57,101,45,
      49,49,32,50,46,57,49,53,57,53,101,45,49,49,32,51,46,50,56,50,54,54,101,45,49,
      49,32,51,46,55,53,52,48,55,101,45,49,49,32,52,46,51,48,54,49,52,101,45,49,49,
      32,53,46,50,53,57,57,55,101,45,49,49,10,32,32,54,46,54,53,57,53,49,101,45,49,
      49,32,56,46,55,52,49,51,49,101,45,49,49,32,49,46,50,56,52,57,51,101,45,49,48,
      32,49,46,57,53,48,50,49,101,45,49,48,32,50,46,57,52,56,57,50,101,45,49,48,32,
      52,46,52,54,50,49,51,101,45,49,48,32,53,46,55,53,57,52,52,101,45,49,48,10,32,
      32,54,46,51,56,56,57,54,101,45,49,48,32,54,46,50,52,51,51,51,101,45,49,48,32,
      54,46,48,49,48,48,50,101,45,49,48,32,53,46,57,50,53,49,49,101,45,49,48,32,54,
      46,48,56,53,55,55,101,45,49,48,32,54,46,53,57,48,54,52,101,45,49,48,32,55,46,
      54,51,49,48,53,101,45,49,48,10,32,32,57,46,54,49,49,49,54,101,45,49,48,32,49,
      46,51,55,57,52,57,101,45,48,57,32,50,46,49,53,50,101,45,48,57,32,51,46,54,55,
      48,52,55,101,45,48,57,32,54,46,48,53,51,57,49,101,45,48,57,32,54,46,54,54,54,
      57,56,101,45,48,57,32,53,46,57,51,56,51,54,101,45,48,57,10,32,32,52,46,57,54,
      52,53,54,101,45,48,57,32,52,46,50,54,49,57,56,101,45,48,57,32,51,46,57,56,49,
      56,49,101,45,48,57,32,52,46,48,50,54,49,52,101,45,48,57,32,52,46,52,48,54,56,
      50,101,45,48,57,32,53,46,49,51,49,49,53,101,45,48,57,32,54,46,51,52,48,56,52,
      101,45,48,57,10,32,32,56,46,52,54,57,53,55,101,45,48,57,32,49,46,50,52,51,54,
      55,101,45,48,56,32,49,46,55,51,49,48,55,101,45,48,56,32,50,46,51,54,55,53,49,
      101,45,48,56,32,51,46,49,49,51,53,51,101,45,48,56,32,52,46,50,56,52,49,57,101,
      45,48,56,32,54,46,54,52,51,51,52,101,45,48,56,10,32,32,57,46,51,50,51,56,51,
      101,45,48,56,32,49,46,49,52,56,55,57,101,45,48,55,32,49,46,50,56,55,56,54,101,
      45,48,55,32,49,46,52,56,55,50,57,101,45,48,55,32,49,46,55,50,57,54,50,101,45,
      48,55,32,49,46,57,52,48,54,101,45,48,55,32,50,46,48,52,51,51,56,101,45,48,55,
      10,32,32,50,46,48,57,57,56,53,101,45,48,55,32,50,46,50,50,52,48,52,101,45,48,
      55,32,50,46,53,50,57,56,52,101,45,48,55,32,50,46,57,56,52,52,50,101,45,48,55,
      32,51,46,52,48,52,49,49,101,45,48,55,32,52,46,50,57,52,51,55,101,45,48,55,32,
      53,46,50,50,54,50,50,101,45,48,55,10,32,32,54,46,50,48,53,54,49,101,45,48,55,
      32,55,46,50,55,54,53,49,101,45,48,55,32,56,46,48,57,52,56,53,101,45,48,55,32,
      56,46,55,55,52,56,101,45,48,55,32,57,46,51,49,51,49,51,101,45,48,55,32,57,46,
      55,57,49,48,57,101,45,48,55,32,49,46,48,50,52,53,52,101,45,48,54,10,32,32,49,
      46,48,55,53,52,53,101,45,48,54,32,49,46,49,49,51,48,50,101,45,48,54,32,49,46,
      49,53,50,50,101,45,48,54,32,49,46,50,50,50,54,54,101,45,48,54,32,49,46,50,55,
      48,55,56,101,45,48,54,32,49,46,51,53,50,51,54,101,45,48,54,32,49,46,52,51,57,
      51,53,101,45,48,54,10,32,32,49,46,52,56,56,54,56,101,45,48,54,32,49,46,53,51,
      52,56,51,101,45,48,54,32,49,46,54,48,49,50,55,101,45,48,54,32,49,46,54,54,56,
      48,49,101,45,48,54,32,49,46,55,48,50,57,52,101,45,48,54,32,49,46,55,53,56,55,
      101,45,48,54,32,49,46,55,57,50,55,57,101,45,48,54,10,32,32,49,46,56,52,56,57,
      50,101,45,48,54,32,49,46,56,57,57,52,55,101,45,48,54,32,49,46,57,54,53,54,101,
      45,48,54,32,49,46,57,57,50,57,55,101,45,48,54,32,50,46,48,52,53,56,51,101,45,
      48,54,32,50,46,49,48,52,57,101,45,48,54,32,50,46,49,53,52,57,50,101,45,48,54,
      10,32,32,50,46,50,48,53,57,55,101,45,48,54,32,50,46,50,53,52,56,55,101,45,48,
      54,32,50,46,51,48,52,51,54,101,45,48,54,32,50,46,51,54,49,101,45,48,54,32,50,
      46,52,49,51,48,57,101,45,48,54,32,50,46,52,55,50,55,50,101,45,48,54,32,50,46,
      53,49,56,50,51,101,45,48,54,10,32,32,50,46,53,57,53,55,52,101,45,48,54,32,50,
      46,54,52,53,52,54,101,45,48,54,32,50,46,55,48,57,55,55,101,45,48,54,32,50,46,
      56,55,49,53,53,101,45,48,54,32,51,46,49,50,53,56,101,45,48,54,32,51,46,52,49,
      53,50,55,101,45,48,54,32,51,46,56,52,52,49,55,101,45,48,54,10,32,32,52,46,51,
      53,55,55,101,45,48,54,32,53,46,48,57,56,50,56,101,45,48,54,32,53,46,56,50,53,
      53,54,101,45,48,54,32,54,46,56,48,48,57,49,101,45,48,54,32,56,46,52,52,51,49,
      55,101,45,48,54,32,57,46,55,57,50,49,50,101,45,48,54,32,49,46,49,52,52,50,53,
      101,45,48,53,10,32,32,49,46,51,56,50,55,49,101,45,48,53,32,49,46,54,48,50,57,
      56,101,45,48,53,32,49,46,56,50,56,48,53,101,45,48,53,32,50,46,48,56,51,55,54,
      101,45,48,53,32,50,46,51,51,48,51,54,101,45,48,53,32,50,46,53,51,50,55,56,101,
      45,48,53,32,50,46,55,49,57,52,101,45,48,53,10,32,32,50,46,56,56,55,50,57,101,
      45,48,53,32,51,46,48,53,51,48,54,101,45,48,53,32,51,46,50,48,52,48,53,101,45,
      48,53,32,51,46,51,50,54,48,49,101,45,48,53,32,51,46,51,57,53,55,57,101,45,48,
      53,32,51,46,52,51,49,53,49,101,45,48,53,32,51,46,52,50,56,56,53,101,45,48,53,
      10,32,32,51,46,51,57,54,53,54,101,45,48,53,32,51,46,51,51,48,54,49,101,45,48,
      53,32,51,46,50,51,48,50,53,101,45,48,53,32,51,46,49,51,53,52,53,101,45,48,53,
      32,51,46,48,49,48,57,56,101,45,48,53,32,50,46,56,57,49,50,57,101,45,48,53,32,
      50,46,55,53,53,56,57,101,45,48,53,10,32,32,50,46,54,49,53,52,52,101,45,48,53,
      32,50,46,52,55,50,50,57,101,45,48,53,32,50,46,51,50,56,52,52,101,45,48,53,32,
      50,46,49,56,53,52,52,101,45,48,53,32,50,46,48,52,52,55,53,101,45,48,53,32,49,
      46,57,48,55,54,52,101,45,48,53,32,49,46,55,55,52,57,51,101,45,48,53,10,32,32,
      49,46,54,52,55,51,49,101,45,48,53,32,49,46,53,50,53,51,53,101,45,48,53,32,49,
      46,52,48,57,51,56,101,45,48,53,32,49,46,50,57,57,53,52,101,45,48,53,32,49,46,
      49,57,53,57,55,101,45,48,53,32,49,46,48,57,56,55,52,101,45,48,53,32,49,46,48,
      48,55,55,56,101,45,48,53,10,32,32,57,46,50,50,57,49,57,101,45,48,54,32,56,46,
      52,51,57,54,53,101,45,48,54,32,55,46,55,48,55,48,53,101,45,48,54,32,55,46,48,
      50,57,48,51,101,45,48,54,32,54,46,52,48,50,57,57,101,45,48,54,32,53,46,56,50,
      54,101,45,48,54,32,53,46,50,57,53,51,49,101,45,48,54,10,32,32,52,46,56,48,56,
      48,50,101,45,48,54,32,52,46,51,54,49,52,50,101,45,48,54,32,51,46,57,53,50,54,
      53,101,45,48,54,32,51,46,53,55,57,48,56,101,45,48,54,32,51,46,50,51,56,49,56,
      101,45,48,54,32,50,46,57,50,55,52,53,101,45,48,54,32,50,46,54,52,52,53,57,101,
      45,48,54,10,32,32,50,46,51,56,55,51,57,101,45,48,54,32,50,46,49,53,51,55,52,
      101,45,48,54,32,49,46,57,52,49,55,52,101,45,48,54,32,49,46,55,57,48,54,53,101,
      45,48,54,32,49,46,54,53,48,55,52,101,45,48,54,32,49,46,53,50,49,50,52,101,45,
      48,54,32,49,46,52,48,49,52,53,101,45,48,54,10,32,32,49,46,50,57,48,55,101,45,
      48,54,32,49,46,49,55,53,55,54,101,45,48,54,32,49,46,48,52,52,50,53,101,45,48,
      54,32,57,46,50,54,57,51,101,45,48,55,32,56,46,50,50,51,50,50,101,45,48,55,32,
      55,46,50,57,49,51,55,101,45,48,55,32,54,46,52,54,50,48,50,101,45,48,55,10,32,
      32,53,46,55,50,52,51,53,101,45,48,55,32,53,46,48,54,56,54,53,101,45,48,55,32,
      52,46,52,56,54,49,52,101,45,48,55,32,51,46,57,54,56,57,55,101,45,48,55,32,51,
      46,53,49,48,48,56,101,45,48,55,32,51,46,49,48,51,48,57,101,45,48,55,32,50,46,
      55,52,50,51,101,45,48,55,10,32,32,50,46,52,50,50,54,53,101,45,48,55,32,50,46,
      49,51,57,53,53,101,45,48,55,32,49,46,56,56,56,57,52,101,45,48,55,32,49,46,54,
      54,55,49,54,101,45,48,55,32,49,46,52,55,49,48,49,101,45,48,55,32,49,46,50,57,
      55,53,56,101,45,48,55,32,49,46,49,52,52,50,56,101,45,48,55,10,32,32,49,46,48,
      48,56,56,50,101,45,48,55,32,56,46,56,57,49,53,51,101,45,48,56,32,55,46,56,51,
      53,53,54,101,45,48,56,32,54,46,57,48,51,50,49,101,45,48,56,32,54,46,48,56,48,
      52,53,101,45,48,56,32,53,46,51,53,52,54,54,101,45,48,56,32,52,46,55,49,52,53,
      52,101,45,48,56,10,32,32,52,46,49,53,48,49,52,101,45,48,56,32,51,46,54,53,50,
      54,49,101,45,48,56,32,51,46,50,49,52,49,52,101,45,48,56,32,50,46,56,50,55,56,
      50,101,45,48,56,32,50,46,52,56,55,53,50,101,45,48,56,32,50,46,49,56,55,56,101,
      45,48,56,32,49,46,57,50,51,57,101,45,48,56,10,32,32,49,46,54,57,49,53,56,101,
      45,48,56,32,49,46,52,56,55,48,56,101,45,48,56,32,49,46,51,48,55,49,51,101,45,
      48,56,32,49,46,48,48,57,53,49,101,45,48,56,32,55,46,55,57,50,51,51,101,45,48,
      57,32,54,46,48,49,50,49,49,101,45,48,57,32,52,46,54,51,54,53,53,101,45,48,57,
      10,32,32,51,46,53,55,52,49,57,101,45,48,57,32,50,46,55,53,52,49,50,101,45,48,
      57,32,50,46,49,50,49,51,54,101,45,48,57,32,49,46,54,51,51,52,50,101,45,48,57,
      32,49,46,50,53,55,51,101,45,48,57,32,57,46,54,55,52,55,56,101,45,49,48,32,55,
      46,52,52,50,53,54,101,45,49,48,10,32,32,53,46,55,50,51,55,54,101,45,49,48,32,
      52,46,52,48,48,55,53,101,45,49,48,32,51,46,51,56,50,54,56,101,45,49,48,32,50,
      46,53,57,57,53,101,45,49,48,32,49,46,57,57,55,50,49,101,45,49,48,32,49,46,53,
      51,52,49,54,101,45,49,48,32,49,46,49,55,56,50,50,101,45,49,48,10,32,32,57,46,
      48,52,55,101,45,49,49,32,54,46,57,52,53,53,51,101,45,49,49,32,53,46,51,51,49,
      51,50,101,45,49,49,32,52,46,48,57,49,54,101,45,49,49,32,51,46,49,51,57,54,55,
      101,45,49,49,32,50,46,52,48,56,55,56,101,45,49,49,32,49,46,56,52,55,55,53,101,
      45,49,49,10,32,32,49,46,52,49,55,50,49,101,45,49,49,32,49,46,48,56,54,56,53,
      101,45,49,49,32,56,46,51,51,52,48,50,101,45,49,50,32,54,46,51,57,48,48,51,101,
      45,49,50,32,48,114,49,48,32,50,46,51,57,48,57,54,101,45,49,54,32,51,46,56,50,
      51,52,50,101,45,49,54,32,53,46,56,48,49,55,49,101,45,49,54,10,32,32,56,46,52,
      53,57,48,55,101,45,49,54,32,49,46,49,57,51,51,54,101,45,49,53,32,49,46,54,51,
      55,51,57,101,45,49,53,32,50,46,49,56,57,57,57,101,45,49,53,32,50,46,56,54,53,
      49,101,45,49,53,32,51,46,54,56,50,54,53,101,45,49,53,32,52,46,54,54,48,57,49,
      101,45,49,53,10,32,32,53,46,56,49,55,57,56,101,45,49,53,32,55,46,49,52,48,50,
      53,101,45,49,53,32,56,46,54,54,56,51,49,101,45,49,53,32,49,46,48,52,50,49,52,
      101,45,49,52,32,49,46,50,52,49,56,57,101,45,49,52,32,49,46,52,54,51,53,54,101,
      45,49,52,32,49,46,55,48,55,54,57,101,45,49,52,10,32,32,49,46,57,55,57,53,54,
      101,45,49,52,32,50,46,50,56,48,56,49,101,45,49,52,32,50,46,54,49,50,54,51,101,
      45,49,52,32,50,46,57,53,57,56,101,45,49,52,32,51,46,51,51,55,56,101,45,49,52,
      32,51,46,55,52,56,48,53,101,45,49,52,32,52,46,49,57,50,48,55,101,45,49,52,10,
      32,32,52,46,54,53,54,48,53,101,45,49,52,32,53,46,49,52,48,51,54,101,45,49,52,
      32,53,46,54,53,55,56,53,101,45,49,52,32,54,46,50,48,57,56,51,101,45,49,52,32,
      54,46,55,57,53,55,57,101,45,49,52,32,55,46,51,56,48,56,56,101,45,49,52,32,55,
      46,57,57,57,50,57,101,45,49,52,10,32,32,56,46,54,53,50,48,57,101,45,49,52,32,
      57,46,51,52,48,50,49,101,45,49,52,32,49,46,48,48,52,48,56,101,45,49,51,32,49,
      46,48,55,53,54,53,101,45,49,51,32,49,46,49,53,48,54,53,101,45,49,51,32,49,46,
      50,50,57,49,54,101,45,49,51,32,49,46,51,49,49,48,51,101,45,49,51,10,32,32,49,
      46,51,57,50,55,101,45,49,51,32,49,46,52,55,55,56,52,101,45,49,51,32,49,46,53,
      54,54,53,53,101,45,49,51,32,49,46,54,53,56,56,55,101,45,49,51,32,49,46,55,53,
      51,50,52,101,45,49,51,32,49,46,56,52,57,57,52,101,45,49,51,32,49,46,57,53,48,
      51,50,101,45,49,51,10,32,32,50,46,48,53,52,52,55,101,45,49,51,32,50,46,49,54,
      50,51,56,101,45,49,51,32,50,46,50,55,51,49,55,101,45,49,51,32,50,46,51,56,55,
      56,54,101,45,49,51,32,50,46,53,48,54,53,55,101,45,49,51,32,50,46,54,50,57,51,
      52,101,45,49,51,32,50,46,55,53,55,48,53,101,45,49,51,10,32,32,50,46,56,56,57,
      54,52,101,45,49,51,32,51,46,48,50,54,53,57,101,45,49,51,32,51,46,49,54,55,57,
      57,101,45,49,51,32,51,46,51,49,52,50,50,101,45,49,51,32,51,46,52,54,56,56,52,
      101,45,49,51,32,51,46,54,50,56,51,53,101,45,49,51,32,51,46,55,57,50,56,51,101,
      45,49,51,10,32,32,51,46,57,54,50,51,56,101,45,49,51,32,52,46,49,52,48,56,51,
      101,45,49,51,32,52,46,51,50,55,52,101,45,49,51,32,52,46,53,49,57,54,55,101,
      45,49,51,32,52,46,55,49,55,54,57,101,45,49,51,32,52,46,57,50,50,51,49,101,45,
      49,51,32,53,46,49,51,57,55,50,101,45,49,51,10,32,32,53,46,51,54,51,54,51,101,
      45,49,51,32,53,46,53,57,52,49,54,101,45,49,51,32,53,46,56,51,49,52,50,101,45,
      49,51,32,54,46,48,55,57,48,55,101,45,49,51,32,54,46,51,51,54,50,56,101,45,49,
      51,32,54,46,54,48,48,57,51,101,45,49,51,32,54,46,56,55,51,50,101,45,49,51,10,
      32,32,55,46,49,53,51,48,53,101,45,49,51,32,55,46,52,52,48,53,52,101,45,49,51,
      32,55,46,55,51,54,49,57,101,45,49,51,32,56,46,48,51,57,56,101,45,49,51,32,56,
      46,51,53,49,52,101,45,49,51,32,56,46,54,54,51,55,49,101,45,49,51,32,56,46,57,
      55,57,50,57,101,45,49,51,10,32,32,57,46,51,48,51,48,57,101,45,49,51,32,57,46,
      54,51,52,55,50,101,45,49,51,32,57,46,57,55,48,52,57,101,45,49,51,32,49,46,48,
      50,56,53,53,101,45,49,50,32,49,46,48,54,48,55,51,101,45,49,50,32,49,46,48,57,
      51,54,101,45,49,50,32,49,46,49,50,55,49,55,101,45,49,50,10,32,32,49,46,49,53,
      55,55,51,101,45,49,50,32,49,46,49,56,54,54,53,101,45,49,50,32,49,46,50,49,54,
      49,53,101,45,49,50,32,49,46,50,52,54,50,52,101,45,49,50,32,49,46,50,55,53,55,
      51,101,45,49,50,32,49,46,50,57,55,57,54,101,45,49,50,32,49,46,51,50,48,55,54,
      101,45,49,50,10,32,32,49,46,51,52,52,49,51,101,45,49,50,32,49,46,51,54,56,48,
      53,101,45,49,50,32,49,46,51,56,53,101,45,49,50,32,49,46,51,57,56,52,49,101,
      45,49,50,32,49,46,52,49,50,53,55,101,45,49,50,32,49,46,52,50,55,52,55,101,45,
      49,50,32,49,46,52,52,49,49,101,45,49,50,10,32,32,49,46,52,52,51,57,51,101,45,
      49,50,32,49,46,52,52,55,57,56,101,45,49,50,32,49,46,52,53,51,49,54,101,45,49,
      50,32,49,46,52,53,57,53,101,45,49,50,32,49,46,52,53,55,55,51,101,45,49,50,32,
      49,46,52,53,50,54,54,101,45,49,50,32,49,46,52,52,57,51,101,45,49,50,10,32,32,
      49,46,52,52,55,52,53,101,45,49,50,32,49,46,52,52,52,57,101,45,49,50,32,49,46,
      52,51,50,57,51,101,45,49,50,32,49,46,52,50,51,49,49,101,45,49,50,32,49,46,52,
      49,53,50,101,45,49,50,32,49,46,52,48,57,48,50,101,45,49,50,32,49,46,51,57,54,
      57,50,101,45,49,50,10,32,32,49,46,51,56,51,50,49,101,45,49,50,32,49,46,51,55,
      49,54,53,101,45,49,50,32,49,46,51,54,50,48,49,101,45,49,50,32,49,46,51,53,50,
      53,52,101,45,49,50,32,49,46,51,51,55,51,52,101,45,49,50,32,49,46,51,50,52,51,
      50,101,45,49,50,32,49,46,51,49,51,50,51,101,45,49,50,10,32,32,49,46,51,48,51,
      57,101,45,49,50,32,49,46,50,57,49,53,49,101,45,49,50,32,49,46,50,55,56,56,101,
      45,49,50,32,49,46,50,54,55,57,101,45,49,50,32,49,46,50,53,56,54,51,101,45,49,
      50,32,49,46,50,52,57,57,54,101,45,49,50,32,49,46,50,51,56,56,54,101,45,49,50,
      10,32,32,49,46,50,50,57,51,53,101,45,49,50,32,49,46,50,50,49,50,53,101,45,49,
      50,32,49,46,50,49,52,52,54,101,45,49,50,32,49,46,50,48,54,56,56,101,45,49,50,
      32,49,46,49,57,57,54,52,101,45,49,50,32,49,46,49,57,51,53,56,101,45,49,50,32,
      49,46,49,56,56,54,101,45,49,50,10,32,32,49,46,49,56,52,51,55,101,45,49,50,32,
      49,46,49,56,48,48,56,101,45,49,50,32,49,46,49,55,54,55,101,45,49,50,32,49,46,
      49,55,52,49,54,101,45,49,50,32,49,46,49,55,50,52,49,101,45,49,50,32,49,46,49,
      55,49,53,49,101,45,49,50,32,49,46,49,55,49,51,52,101,45,49,50,10,32,32,49,46,
      49,55,49,55,57,101,45,49,50,32,49,46,49,55,50,56,51,101,45,49,50,32,49,46,49,
      55,52,55,50,101,45,49,50,32,49,46,49,55,56,50,56,101,45,49,50,32,49,46,49,56,
      50,50,56,101,45,49,50,32,49,46,49,56,56,50,51,101,45,49,50,32,49,46,50,49,48,
      49,56,101,45,49,50,10,32,32,49,46,50,53,56,56,50,101,45,49,50,32,49,46,51,56,
      54,49,50,101,45,49,50,32,49,46,53,56,55,51,101,45,49,50,32,49,46,56,55,49,56,
      54,101,45,49,50,32,50,46,50,54,51,53,57,101,45,49,50,32,50,46,55,54,57,54,101,
      45,49,50,32,51,46,51,57,52,55,56,101,45,49,50,10,32,32,52,46,49,49,57,48,51,
      101,45,49,50,32,52,46,57,49,52,49,55,101,45,49,50,32,53,46,55,51,54,50,54,101,
      45,49,50,32,54,46,53,55,55,49,50,101,45,49,50,32,55,46,52,52,54,51,50,101,45,
      49,50,32,56,46,53,55,51,48,53,101,45,49,50,32,57,46,57,48,55,51,54,101,45,49,
      50,10,32,32,49,46,50,50,53,50,52,101,45,49,49,32,49,46,53,55,54,50,55,101,45,
      49,49,32,50,46,49,49,54,51,55,101,45,49,49,32,51,46,50,50,57,51,56,101,45,49,
      49,32,53,46,49,50,48,48,55,101,45,49,49,32,56,46,48,55,53,57,56,101,45,49,49,
      32,49,46,50,54,55,51,101,45,49,48,10,32,32,49,46,54,54,52,52,54,101,45,49,48,
      32,49,46,56,53,48,54,52,101,45,49,48,32,49,46,55,57,51,55,55,101,45,49,48,32,
      49,46,55,49,48,50,57,101,45,49,48,32,49,46,54,55,50,51,54,101,45,49,48,32,49,
      46,55,48,57,57,49,101,45,49,48,32,49,46,56,53,50,56,51,101,45,49,48,10,32,32,
      50,46,49,54,48,53,101,45,49,48,32,50,46,55,54,48,56,49,101,45,49,48,32,52,46,
      48,53,51,51,51,101,45,49,48,32,54,46,52,55,53,54,57,101,45,49,48,32,49,46,49,
      51,48,51,55,101,45,48,57,32,49,46,57,48,50,53,49,101,45,48,57,32,50,46,48,57,
      53,57,56,101,45,48,57,10,32,32,49,46,56,52,57,54,101,45,48,57,32,49,46,53,50,
      55,54,52,101,45,48,57,32,49,46,50,57,54,52,51,101,45,48,57,32,49,46,50,48,49,
      55,50,101,45,48,57,32,49,46,50,49,48,50,57,101,45,48,57,32,49,46,51,50,53,51,
      55,101,45,48,57,32,49,46,53,52,57,57,57,101,45,48,57,10,32,32,49,46,57,50,57,
      51,52,101,45,48,57,32,50,46,54,48,51,51,55,101,45,48,57,32,51,46,56,55,53,50,
      57,101,45,48,57,32,53,46,52,54,52,49,53,101,45,48,57,32,55,46,53,55,57,55,54,
      101,45,48,57,32,49,46,48,49,50,54,50,101,45,48,56,32,49,46,52,50,54,57,54,101,
      45,48,56,10,32,32,50,46,51,49,50,48,52,101,45,48,56,32,51,46,51,56,54,51,54,
      101,45,48,56,32,52,46,50,56,52,55,54,101,45,48,56,32,52,46,56,54,49,52,55,101,
      45,48,56,32,53,46,54,57,52,55,53,101,45,48,56,32,54,46,55,52,53,50,49,101,45,
      48,56,32,55,46,54,53,48,56,50,101,45,48,56,10,32,32,56,46,48,51,51,49,51,101,
      45,48,56,32,56,46,49,56,56,54,53,101,45,48,56,32,56,46,54,55,50,57,51,101,45,
      48,56,32,49,46,48,48,51,52,53,101,45,48,55,32,49,46,50,50,48,48,56,101,45,48,
      55,32,49,46,52,51,49,48,51,101,45,48,55,32,49,46,57,48,55,55,56,101,45,48,55,
      10,32,32,50,46,52,52,57,56,55,101,45,48,55,32,51,46,48,55,50,55,52,101,45,48,
      55,32,51,46,56,49,53,48,56,101,45,48,55,32,52,46,52,48,57,48,57,101,45,48,55,
      32,52,46,56,56,49,51,101,45,48,55,32,53,46,50,50,50,55,51,101,45,48,55,32,53,
      46,53,49,50,51,49,101,45,48,55,10,32,32,53,46,55,56,54,57,50,101,45,48,55,32,
      54,46,48,57,54,57,55,101,45,48,55,32,54,46,51,50,55,55,52,101,45,48,55,32,54,
      46,53,55,54,57,57,101,45,48,55,32,55,46,48,54,48,57,49,101,45,48,55,32,55,46,
      52,50,50,51,49,101,45,48,55,32,56,46,48,57,49,48,49,101,45,48,55,10,32,32,56,
      46,56,55,50,51,53,101,45,48,55,32,57,46,51,52,51,53,101,45,48,55,32,57,46,55,
      57,57,48,50,101,45,48,55,32,49,46,48,52,55,48,51,101,45,48,54,32,49,46,49,49,
      52,55,49,101,45,48,54,32,49,46,49,52,56,56,51,101,45,48,54,32,49,46,49,57,57,
      57,52,101,45,48,54,10,32,32,49,46,50,50,56,56,49,101,45,48,54,32,49,46,50,55,
      51,51,54,101,45,48,54,32,49,46,50,57,53,49,54,101,45,48,54,32,49,46,51,53,49,
      48,54,101,45,48,54,32,49,46,51,55,51,57,50,101,45,48,54,32,49,46,52,49,55,53,
      57,101,45,48,54,32,49,46,52,54,53,53,50,101,45,48,54,10,32,32,49,46,53,48,53,
      51,53,101,45,48,54,32,49,46,53,52,53,50,50,101,45,48,54,32,49,46,53,56,50,54,
      57,101,45,48,54,32,49,46,54,49,57,56,57,101,45,48,54,32,49,46,54,54,49,54,49,
      101,45,48,54,32,49,46,54,57,57,50,49,101,45,48,54,32,49,46,55,52,49,52,51,101,
      45,48,54,10,32,32,49,46,55,55,51,48,57,101,45,48,54,32,49,46,56,50,54,48,50,
      101,45,48,54,32,49,46,56,53,57,51,57,101,45,48,54,32,49,46,57,48,49,57,53,101,
      45,48,54,32,50,46,48,48,54,52,56,101,45,48,54,32,50,46,49,54,53,53,101,45,48,
      54,32,50,46,51,52,49,54,52,101,45,48,54,10,32,32,50,46,53,57,55,54,55,101,45,
      48,54,32,50,46,57,48,49,51,50,101,45,48,54,32,51,46,51,51,56,57,51,101,45,48,
      54,32,51,46,55,55,49,49,55,101,45,48,54,32,52,46,50,57,55,48,50,101,45,48,54,
      32,53,46,50,54,48,55,52,101,45,48,54,32,54,46,48,56,57,55,56,101,45,48,54,10,
      32,32,55,46,49,50,54,54,55,101,45,48,54,32,56,46,54,54,56,53,101,45,48,54,32,
      49,46,48,49,51,52,54,101,45,48,53,32,49,46,49,54,55,53,50,101,45,48,53,32,49,
      46,51,52,55,55,54,101,45,48,53,32,49,46,53,50,54,57,52,101,45,48,53,32,49,46,
      54,55,57,48,51,101,45,48,53,10,32,32,49,46,56,50,51,51,57,101,45,48,53,32,49,
      46,57,53,55,48,49,101,45,48,53,32,50,46,48,57,52,52,101,45,48,53,32,50,46,50,
      50,54,52,56,101,45,48,53,32,50,46,51,52,51,50,54,101,45,48,53,32,50,46,52,50,
      48,51,52,101,45,48,53,32,50,46,52,55,52,57,56,101,45,48,53,10,32,32,50,46,52,
      57,55,57,50,101,45,48,53,32,50,46,52,57,55,57,54,101,45,48,53,32,50,46,52,55,
      51,55,51,101,45,48,53,32,50,46,52,50,51,49,52,101,45,48,53,32,50,46,51,54,57,
      49,53,101,45,48,53,32,50,46,50,57,51,51,53,101,45,48,53,32,50,46,50,49,55,101,
      45,48,53,10,32,32,50,46,49,50,55,53,50,101,45,48,53,32,50,46,48,51,49,56,54,
      101,45,48,53,32,49,46,57,51,50,49,49,101,45,48,53,32,49,46,56,50,57,57,56,101,
      45,48,53,32,49,46,55,50,54,57,54,101,45,48,53,32,49,46,54,50,52,49,54,101,45,
      48,53,32,49,46,53,50,50,55,49,101,45,48,53,10,32,32,49,46,52,50,51,52,52,101,
      45,48,53,32,49,46,51,50,54,57,54,101,45,48,53,32,49,46,50,51,51,57,52,101,45,
      48,53,32,49,46,49,52,52,55,54,101,45,48,53,32,49,46,48,53,57,54,56,101,45,48,
      53,32,57,46,55,56,57,50,57,101,45,48,54,32,57,46,48,50,54,50,50,101,45,48,54,
      10,32,32,56,46,51,48,55,55,53,101,45,48,54,32,55,46,54,51,51,52,57,101,45,48,
      54,32,55,46,48,48,50,54,50,101,45,48,54,32,54,46,52,49,52,51,53,101,45,48,54,
      32,53,46,56,54,55,51,57,101,45,48,54,32,53,46,51,54,48,48,50,101,45,48,54,32,
      52,46,56,57,48,51,53,101,45,48,54,10,32,32,52,46,52,53,54,53,57,101,45,48,54,
      32,52,46,48,53,54,56,51,101,45,48,54,32,51,46,54,56,57,49,101,45,48,54,32,51,
      46,51,53,49,51,51,101,45,48,54,32,51,46,48,52,49,54,52,101,45,48,54,32,50,46,
      55,53,56,48,56,101,45,48,54,32,50,46,52,57,56,56,101,45,48,54,10,32,32,50,46,
      50,54,50,48,57,101,45,48,54,32,50,46,48,52,54,50,54,101,45,48,54,32,49,46,56,
      52,57,54,54,101,45,48,54,32,49,46,54,55,48,55,57,101,45,48,54,32,49,46,53,52,
      51,48,50,101,45,48,54,32,49,46,52,50,52,52,54,101,45,48,54,32,49,46,51,49,52,
      53,51,101,45,48,54,10,32,32,49,46,50,49,50,54,51,101,45,48,54,32,49,46,49,49,
      56,50,54,101,45,48,54,32,49,46,48,50,48,49,51,101,45,48,54,32,57,46,48,55,54,
      52,101,45,48,55,32,56,46,48,55,48,54,101,45,48,55,32,55,46,49,55,50,48,51,101,
      45,48,55,32,54,46,51,54,57,57,53,101,45,48,55,10,32,32,53,46,54,53,52,53,52,
      101,45,48,55,32,53,46,48,49,54,57,101,45,48,55,32,52,46,52,52,57,101,45,48,
      55,32,51,46,57,52,51,53,50,101,45,48,55,32,51,46,52,57,51,56,52,101,45,48,55,
      32,51,46,48,57,52,48,56,101,45,48,55,32,50,46,55,51,56,57,55,101,45,48,55,10,
      32,32,50,46,52,50,51,54,55,101,45,48,55,32,50,46,49,52,51,56,56,101,45,48,55,
      32,49,46,56,57,53,55,101,45,48,55,32,49,46,54,55,53,54,55,101,45,48,55,32,49,
      46,52,56,48,55,101,45,48,55,32,49,46,51,48,56,48,49,101,45,48,55,32,49,46,49,
      53,53,48,57,101,45,48,55,10,32,32,49,46,48,49,57,55,53,101,45,48,55,32,57,46,
      48,48,48,49,56,101,45,48,56,32,55,46,57,52,48,57,52,101,45,48,56,32,55,46,48,
      48,53,48,49,101,45,48,56,32,54,46,49,55,55,54,101,45,48,56,32,53,46,52,52,54,
      54,52,101,45,48,56,32,52,46,56,48,49,48,51,101,45,48,56,10,32,32,52,46,50,51,
      49,101,45,48,56,32,51,46,55,50,55,56,50,101,45,48,56,32,51,46,50,56,51,55,57,
      101,45,48,56,32,50,46,56,57,50,48,56,101,45,48,56,32,50,46,53,52,54,54,49,101,
      45,48,56,32,50,46,50,52,50,101,45,48,56,32,49,46,57,55,51,52,55,101,45,48,56,
      10,32,32,49,46,55,51,54,56,49,101,45,48,56,32,49,46,53,50,56,50,54,101,45,48,
      56,32,49,46,51,52,52,53,53,101,45,48,56,32,49,46,49,56,50,55,50,101,45,48,56,
      32,57,46,49,52,55,53,53,101,45,48,57,32,55,46,48,55,48,55,55,101,45,48,57,32,
      53,46,52,54,50,55,50,101,45,48,57,10,32,32,52,46,50,49,56,50,56,101,45,48,57,
      32,51,46,50,53,53,56,50,101,45,48,57,32,50,46,53,49,49,56,52,101,45,48,57,32,
      49,46,57,51,55,48,55,101,45,48,57,32,49,46,52,57,51,50,51,101,45,48,57,32,49,
      46,49,53,48,54,56,101,45,48,57,32,56,46,56,54,51,57,54,101,45,49,48,10,32,32,
      54,46,56,50,53,55,52,101,45,49,48,32,53,46,50,53,52,53,49,101,45,49,48,32,52,
      46,48,52,51,56,51,101,45,49,48,32,51,46,49,49,49,50,49,101,45,49,48,32,50,46,
      51,57,51,48,53,101,45,49,48,32,49,46,56,52,48,50,50,101,45,49,48,32,49,46,52,
      49,52,55,55,101,45,49,48,10,32,32,49,46,48,56,55,52,52,101,45,49,48,32,56,46,
      51,53,54,54,50,101,45,49,49,32,54,46,52,50,48,52,49,101,45,49,49,32,52,46,57,
      51,49,56,55,101,45,49,49,32,51,46,55,56,55,55,54,101,45,49,49,32,50,46,57,48,
      56,53,57,101,45,49,49,32,50,46,50,51,51,49,101,45,49,49,10,32,32,49,46,55,49,
      52,50,51,101,45,49,49,32,49,46,51,49,53,55,50,101,45,49,49,32,49,46,48,48,57,
      55,50,101,45,49,49,32,55,46,55,52,55,56,50,101,45,49,50,32,53,46,57,52,52,52,
      49,101,45,49,50,32,48,114,49,48,32,53,46,56,52,51,48,56,101,45,49,55,32,57,
      46,51,52,51,54,101,45,49,55,10,32,32,49,46,52,49,55,55,56,101,45,49,54,32,50,
      46,48,54,55,49,49,101,45,49,54,32,50,46,57,49,54,48,55,101,45,49,54,32,52,46,
      48,48,48,57,50,101,45,49,54,32,53,46,51,53,48,57,51,101,45,49,54,32,55,46,48,
      48,48,48,55,101,45,49,54,32,56,46,57,57,54,57,55,101,45,49,54,10,32,32,49,46,
      49,51,56,54,50,101,45,49,53,32,49,46,52,50,49,49,55,101,45,49,53,32,49,46,55,
      52,52,48,52,101,45,49,53,32,50,46,49,49,55,49,49,101,45,49,53,32,50,46,53,52,
      53,48,56,101,45,49,53,32,51,46,48,51,50,54,52,101,45,49,53,32,51,46,53,55,51,
      54,52,101,45,49,53,10,32,32,52,46,49,54,57,52,101,45,49,53,32,52,46,56,51,50,
      55,53,101,45,49,53,32,53,46,53,54,55,55,50,101,45,49,53,32,54,46,51,55,55,49,
      57,101,45,49,53,32,55,46,50,50,52,48,50,101,45,49,53,32,56,46,49,52,53,57,54,
      101,45,49,53,32,57,46,49,52,54,52,53,101,45,49,53,10,32,32,49,46,48,50,50,57,
      50,101,45,49,52,32,49,46,49,51,54,48,53,101,45,49,52,32,49,46,50,53,52,49,52,
      101,45,49,52,32,49,46,51,56,48,51,101,45,49,52,32,49,46,53,49,52,56,54,101,
      45,49,52,32,49,46,54,53,55,55,101,45,49,52,32,49,46,56,48,48,51,50,101,45,49,
      52,10,32,32,49,46,57,53,49,48,53,101,45,49,52,32,50,46,49,49,48,49,54,101,45,
      49,52,32,50,46,50,55,55,56,55,101,45,49,52,32,50,46,52,52,56,54,101,45,49,52,
      32,50,46,54,50,51,48,50,101,45,49,52,32,50,46,56,48,53,56,49,101,45,49,52,32,
      50,46,57,57,55,49,49,101,45,49,52,10,32,32,51,46,49,57,54,54,49,101,45,49,52,
      32,51,46,51,57,53,54,51,101,45,49,52,32,51,46,54,48,51,48,56,101,45,49,52,32,
      51,46,56,49,57,50,50,101,45,49,52,32,52,46,48,52,52,49,55,101,45,49,52,32,52,
      46,50,55,52,48,56,101,45,49,52,32,52,46,53,48,57,54,56,101,45,49,52,10,32,32,
      52,46,55,53,52,50,53,101,45,49,52,32,53,46,48,48,55,57,56,101,45,49,52,32,53,
      46,50,55,48,56,54,101,45,49,52,32,53,46,53,52,48,55,53,101,45,49,52,32,53,46,
      56,50,48,49,53,101,45,49,52,32,54,46,49,48,57,51,50,101,45,49,52,32,54,46,52,
      48,56,51,53,101,45,49,52,10,32,32,54,46,55,49,57,52,52,101,45,49,52,32,55,46,
      48,52,50,51,55,101,45,49,52,32,55,46,51,55,53,57,52,101,45,49,52,32,55,46,55,
      50,48,51,49,101,45,49,52,32,56,46,48,55,54,52,53,101,45,49,52,32,56,46,52,53,
      51,101,45,49,52,32,56,46,56,52,49,52,50,101,45,49,52,10,32,32,57,46,50,52,49,
      57,55,101,45,49,52,32,57,46,54,53,52,56,53,101,45,49,52,32,49,46,48,48,56,57,
      51,101,45,49,51,32,49,46,48,53,52,51,54,101,45,49,51,32,49,46,49,48,49,49,56,
      101,45,49,51,32,49,46,49,52,57,51,57,101,45,49,51,32,49,46,49,57,57,50,49,101,
      45,49,51,10,32,32,49,46,50,53,50,49,52,101,45,49,51,32,49,46,51,48,54,54,53,
      101,45,49,51,32,49,46,51,54,50,55,55,101,45,49,51,32,49,46,52,50,48,53,51,101,
      45,49,51,32,49,46,52,56,48,56,50,101,45,49,51,32,49,46,53,52,51,52,51,101,45,
      49,51,32,49,46,54,48,55,56,54,101,45,49,51,10,32,32,49,46,54,55,52,49,52,101,
      45,49,51,32,49,46,55,52,50,50,54,101,45,49,51,32,49,46,56,49,50,50,52,101,45,
      49,51,32,49,46,56,56,52,50,49,101,45,49,51,32,49,46,57,53,56,49,50,101,45,49,
      51,32,50,46,48,51,51,57,55,101,45,49,51,32,50,46,49,49,101,45,49,51,10,32,32,
      50,46,49,56,54,56,50,101,45,49,51,32,50,46,50,54,53,54,53,101,45,49,51,32,50,
      46,51,52,54,51,57,101,45,49,51,32,50,46,52,50,56,49,51,101,45,49,51,32,50,46,
      53,48,52,56,49,101,45,49,51,32,50,46,53,56,51,49,54,101,45,49,51,32,50,46,54,
      54,51,49,57,101,45,49,51,10,32,32,50,46,55,52,52,57,50,101,45,49,51,32,50,46,
      56,49,57,51,50,101,45,49,51,32,50,46,56,56,57,55,51,101,45,49,51,32,50,46,57,
      54,49,53,55,101,45,49,51,32,51,46,48,51,52,56,51,101,45,49,51,32,51,46,49,48,
      54,54,52,101,45,49,51,32,51,46,49,54,48,55,57,101,45,49,51,10,32,32,51,46,50,
      49,54,51,50,101,45,49,51,32,51,46,50,55,51,50,50,101,45,49,51,32,51,46,51,51,
      49,52,57,101,45,49,51,32,51,46,51,55,50,55,57,101,45,49,51,32,51,46,52,48,53,
      52,54,101,45,49,51,32,51,46,52,51,57,57,57,101,45,49,51,32,51,46,52,55,54,51,
      101,45,49,51,10,32,32,51,46,53,48,57,53,51,101,45,49,51,32,51,46,53,49,54,52,
      56,101,45,49,51,32,51,46,53,50,54,51,57,101,45,49,51,32,51,46,53,51,57,48,53,
      101,45,49,51,32,51,46,53,53,52,53,54,101,45,49,51,32,51,46,53,53,48,51,52,101,
      45,49,51,32,51,46,53,51,56,49,101,45,49,51,10,32,32,51,46,53,51,101,45,49,51,
      32,51,46,53,50,53,54,49,101,45,49,51,32,51,46,53,49,57,53,101,45,49,51,32,51,
      46,52,57,48,53,101,45,49,51,32,51,46,52,54,54,55,50,101,45,49,51,32,51,46,52,
      52,55,53,57,101,45,49,51,32,51,46,52,51,50,54,55,101,45,49,51,32,51,46,52,48,
      51,51,54,101,45,49,51,10,32,32,51,46,51,55,48,49,51,101,45,49,51,32,51,46,51,
      52,50,49,51,101,45,49,51,32,51,46,51,49,56,56,101,45,49,51,32,51,46,50,57,53,
      56,55,101,45,49,51,32,51,46,50,53,57,48,50,101,45,49,51,32,51,46,50,50,55,52,
      54,101,45,49,51,32,51,46,50,48,48,54,50,101,45,49,51,10,32,32,51,46,49,55,56,
      48,50,101,45,49,51,32,51,46,49,52,56,101,45,49,51,32,51,46,49,49,55,49,57,101,
      45,49,51,32,51,46,48,57,48,55,55,101,45,49,51,32,51,46,48,54,56,51,51,101,45,
      49,51,32,51,46,48,52,55,51,51,101,45,49,51,32,51,46,48,50,48,52,51,101,45,49,
      51,10,32,32,50,46,57,57,55,51,55,101,45,49,51,32,50,46,57,55,55,55,55,101,45,
      49,51,32,50,46,57,54,49,51,51,101,45,49,51,32,50,46,57,52,50,57,55,101,45,49,
      51,32,50,46,57,50,53,52,53,101,45,49,51,32,50,46,57,49,48,56,101,45,49,51,32,
      50,46,56,57,56,55,54,101,45,49,51,10,32,32,50,46,56,56,56,53,52,101,45,49,51,
      32,50,46,56,55,56,49,55,101,45,49,51,32,50,46,56,55,48,48,51,101,45,49,51,32,
      50,46,56,54,51,57,51,101,45,49,51,32,50,46,56,53,57,55,51,101,45,49,51,32,50,
      46,56,53,55,54,51,101,45,49,51,32,50,46,56,53,55,51,101,45,49,51,10,32,32,50,
      46,56,53,56,52,55,101,45,49,51,32,50,46,56,54,49,48,54,101,45,49,51,32,50,46,
      56,54,53,55,51,101,45,49,51,32,50,46,56,55,52,52,56,101,45,49,51,32,50,46,56,
      56,52,50,57,101,45,49,51,32,50,46,56,57,56,56,55,101,45,49,51,32,50,46,57,53,
      50,53,52,101,45,49,51,10,32,32,51,46,48,55,49,51,49,101,45,49,51,32,51,46,51,
      56,49,56,51,101,45,49,51,32,51,46,56,55,50,50,55,101,45,49,51,32,52,46,53,54,
      53,54,53,101,45,49,51,32,53,46,53,49,57,55,51,101,45,49,51,32,54,46,55,53,49,
      54,53,101,45,49,51,32,56,46,50,55,51,49,53,101,45,49,51,10,32,32,49,46,48,48,
      51,53,52,101,45,49,50,32,49,46,49,57,54,57,57,101,45,49,50,32,49,46,51,57,55,
      48,51,101,45,49,50,32,49,46,54,48,49,54,56,101,45,49,50,32,49,46,56,49,51,50,
      55,101,45,49,50,32,50,46,48,56,57,52,52,101,45,49,50,32,50,46,52,49,53,57,52,
      101,45,49,50,10,32,32,50,46,57,56,57,51,101,45,49,50,32,51,46,56,53,48,49,57,
      101,45,49,50,32,53,46,49,56,50,51,57,101,45,49,50,32,55,46,57,54,49,55,51,101,
      45,49,50,32,49,46,50,55,57,52,56,101,45,49,49,32,50,46,48,54,50,49,56,101,45,
      49,49,32,51,46,51,51,51,51,56,101,45,49,49,10,32,32,52,46,52,54,51,54,52,101,
      45,49,49,32,52,46,57,55,54,54,56,101,45,49,49,32,52,46,55,55,54,57,51,101,45,
      49,49,32,52,46,53,48,55,53,56,101,45,49,49,32,52,46,51,55,50,56,53,101,45,49,
      49,32,52,46,52,53,50,51,51,101,45,49,49,32,52,46,56,50,54,56,51,101,45,49,49,
      10,32,32,53,46,54,54,53,55,57,101,45,49,49,32,55,46,51,53,48,52,50,101,45,49,
      49,32,49,46,49,49,49,56,57,101,45,49,48,32,49,46,56,53,49,52,56,101,45,49,48,
      32,51,46,51,57,54,55,49,101,45,49,48,32,53,46,57,53,53,56,57,101,45,49,48,32,
      54,46,53,54,53,55,56,101,45,49,48,10,32,32,53,46,54,57,51,53,101,45,49,48,32,
      52,46,53,56,50,50,50,101,45,49,48,32,51,46,55,57,49,48,57,101,45,49,48,32,51,
      46,52,53,54,48,54,101,45,49,48,32,51,46,52,53,51,53,50,101,45,49,48,32,51,46,
      55,56,53,52,51,101,45,49,48,32,52,46,52,54,54,48,51,101,45,49,48,10,32,32,53,
      46,54,52,53,52,101,45,49,48,32,55,46,55,57,48,51,53,101,45,49,48,32,49,46,49,
      57,51,57,53,101,45,48,57,32,49,46,55,50,51,51,50,101,45,48,57,32,50,46,52,52,
      50,56,50,101,45,48,57,32,51,46,51,50,56,50,51,101,45,48,57,32,52,46,56,48,55,
      51,57,101,45,48,57,10,32,32,56,46,48,57,54,51,49,101,45,48,57,32,49,46,50,50,
      55,51,55,101,45,48,56,32,49,46,53,56,54,48,49,101,45,48,56,32,49,46,56,49,54,
      54,57,101,45,48,56,32,50,46,49,53,50,50,53,101,45,48,56,32,50,46,53,56,54,56,
      54,101,45,48,56,32,50,46,57,53,57,57,49,101,45,48,56,10,32,32,51,46,49,48,48,
      54,55,101,45,48,56,32,51,46,49,52,48,51,50,101,45,48,56,32,51,46,51,50,54,48,
      51,101,45,48,56,32,51,46,57,48,49,49,51,101,45,48,56,32,52,46,56,54,49,51,55,
      101,45,48,56,32,53,46,56,51,53,49,54,101,45,48,56,32,56,46,49,53,50,49,55,101,
      45,48,56,10,32,32,49,46,48,57,55,51,54,101,45,48,55,32,49,46,52,52,54,51,55,
      101,45,48,55,32,49,46,56,57,52,53,50,101,45,48,55,32,50,46,50,55,49,51,56,101,
      45,48,55,32,50,46,53,54,55,49,52,101,45,48,55,32,50,46,55,54,56,54,52,101,45,
      48,55,32,50,46,57,51,51,53,56,101,45,48,55,10,32,32,51,46,48,56,57,55,52,101,
      45,48,55,32,51,46,50,54,55,51,50,101,45,48,55,32,51,46,52,48,48,53,50,101,45,
      48,55,32,51,46,53,52,56,55,49,101,45,48,55,32,51,46,56,53,52,54,53,101,45,48,
      55,32,52,46,48,57,56,54,54,101,45,48,55,32,52,46,53,55,57,51,54,101,45,48,55,
      10,32,32,53,46,49,56,48,55,51,101,45,48,55,32,53,46,53,54,49,57,54,101,45,48,
      55,32,53,46,57,52,50,50,55,101,45,48,55,32,54,46,53,50,49,101,45,48,55,32,55,
      46,49,49,57,57,56,101,45,48,55,32,55,46,52,50,50,51,101,45,48,55,32,55,46,56,
      54,51,49,53,101,45,48,55,10,32,32,56,46,49,48,48,56,51,101,45,48,55,32,56,46,
      52,52,56,50,51,101,45,48,55,32,56,46,52,55,57,57,52,101,45,48,55,32,56,46,57,
      51,57,54,57,101,45,48,55,32,57,46,49,50,55,55,53,101,45,48,55,32,57,46,52,56,
      54,52,56,101,45,48,55,32,57,46,56,55,56,54,51,101,45,48,55,10,32,32,49,46,48,
      50,48,50,54,101,45,48,54,32,49,46,48,53,50,52,51,101,45,48,54,32,49,46,48,56,
      50,51,56,101,45,48,54,32,49,46,49,49,49,56,50,101,45,48,54,32,49,46,49,52,52,
      52,53,101,45,48,54,32,49,46,49,55,51,52,57,101,45,48,54,32,49,46,50,48,53,54,
      53,101,45,48,54,10,32,32,49,46,50,50,57,52,54,101,45,48,54,32,49,46,50,54,56,
      54,53,101,45,48,54,32,49,46,50,57,50,57,57,101,45,48,54,32,49,46,51,50,51,54,
      49,101,45,48,54,32,49,46,51,57,55,48,51,101,45,48,54,32,49,46,53,48,52,53,50,
      101,45,48,54,32,49,46,54,49,57,50,101,45,48,54,10,32,32,49,46,55,56,48,53,57,
      101,45,48,54,32,49,46,57,54,55,51,51,101,45,48,54,32,50,46,50,51,50,53,53,101,
      45,48,54,32,50,46,52,57,51,49,53,101,45,48,54,32,50,46,55,56,52,57,55,101,45,
      48,54,32,51,46,51,52,51,54,50,101,45,48,54,32,51,46,56,52,54,51,53,101,45,48,
      54,10,32,32,52,46,52,56,56,51,53,101,45,48,54,32,53,46,52,54,55,53,57,101,45,
      48,54,32,54,46,52,50,53,51,56,101,45,48,54,32,55,46,52,53,54,54,50,101,45,48,
      54,32,56,46,54,57,55,54,49,101,45,48,54,32,57,46,57,54,56,54,55,101,45,48,54,
      32,49,46,49,48,55,52,57,101,45,48,53,10,32,32,49,46,50,49,53,51,51,101,45,48,
      53,32,49,46,51,49,56,50,53,101,45,48,53,32,49,46,52,50,55,52,56,101,45,48,53,
      32,49,46,53,51,54,56,49,101,45,48,53,32,49,46,54,51,57,50,51,101,45,48,53,32,
      49,46,55,49,50,55,57,101,45,48,53,32,49,46,55,55,50,57,52,101,45,48,53,10,32,
      32,49,46,56,48,55,55,101,45,48,53,32,49,46,56,50,52,57,51,101,45,48,53,32,49,
      46,56,50,53,50,57,101,45,48,53,32,49,46,56,48,53,56,57,101,45,48,53,32,49,46,
      55,55,56,54,49,101,45,48,53,32,49,46,55,51,53,53,53,101,45,48,53,32,49,46,54,
      56,57,48,52,101,45,48,53,10,32,32,49,46,54,51,49,57,57,101,45,48,53,32,49,46,
      53,54,56,56,56,101,45,48,53,32,49,46,53,48,49,101,45,48,53,32,49,46,52,50,57,
      57,52,101,45,48,53,32,49,46,51,53,54,57,49,101,45,48,53,32,49,46,50,56,50,57,
      49,101,45,48,53,32,49,46,50,48,56,56,51,101,45,48,53,10,32,32,49,46,49,51,53,
      52,53,101,45,48,53,32,49,46,48,54,51,51,56,101,45,48,53,32,57,46,57,51,49,57,
      49,101,45,48,54,32,57,46,50,53,50,57,49,101,45,48,54,32,56,46,53,57,57,52,54,
      101,45,48,54,32,55,46,57,55,52,55,50,101,45,48,54,32,55,46,51,56,48,50,53,101,
      45,48,54,10,32,32,54,46,56,49,54,56,51,101,45,48,54,32,54,46,50,56,52,56,56,
      101,45,48,54,32,53,46,55,56,52,54,50,101,45,48,54,32,53,46,51,49,53,53,53,101,
      45,48,54,32,52,46,56,55,55,101,45,48,54,32,52,46,52,54,56,50,56,101,45,48,54,
      32,52,46,48,56,56,50,53,101,45,48,54,10,32,32,51,46,55,51,53,55,54,101,45,48,
      54,32,51,46,52,48,57,53,52,101,45,48,54,32,51,46,49,48,56,51,50,101,45,48,54,
      32,50,46,56,51,48,54,54,101,45,48,54,32,50,46,53,55,53,49,52,101,45,48,54,32,
      50,46,51,52,48,52,53,101,45,48,54,32,50,46,49,50,53,49,57,101,45,48,54,10,32,
      32,49,46,57,50,56,48,54,101,45,48,54,32,49,46,55,52,55,55,55,101,45,48,54,32,
      49,46,53,56,51,48,54,101,45,48,54,32,49,46,52,51,50,55,57,101,45,48,54,32,49,
      46,51,50,53,49,57,101,45,48,54,32,49,46,50,50,53,49,53,101,45,48,54,32,49,46,
      49,51,50,50,50,101,45,48,54,10,32,32,49,46,48,52,53,57,51,101,45,48,54,32,57,
      46,54,53,56,53,54,101,45,48,55,32,56,46,56,50,52,51,51,101,45,48,55,32,55,46,
      56,54,53,55,57,101,45,48,55,32,55,46,48,48,54,54,51,101,45,48,55,32,54,46,50,
      51,55,49,53,101,45,48,55,32,53,46,53,52,56,55,54,101,45,48,55,10,32,32,52,46,
      57,51,51,52,57,101,45,48,55,32,52,46,51,56,52,48,49,101,45,48,55,32,51,46,56,
      57,51,55,101,45,48,55,32,51,46,52,53,54,52,54,101,45,48,55,32,51,46,48,54,54,
      56,49,101,45,48,55,32,50,46,55,49,57,56,49,101,45,48,55,32,50,46,52,49,49,48,
      50,101,45,48,55,10,32,32,50,46,49,51,54,51,55,101,45,48,55,32,49,46,56,57,50,
      50,51,101,45,48,55,32,49,46,54,55,53,51,51,101,45,48,55,32,49,46,52,56,50,55,
      101,45,48,55,32,49,46,51,49,49,55,53,101,45,48,55,32,49,46,49,54,48,49,49,101,
      45,48,55,32,49,46,48,50,53,54,54,101,45,48,55,10,32,32,57,46,48,54,53,48,54,
      101,45,48,56,32,56,46,48,48,57,52,55,101,45,48,56,32,55,46,48,55,52,52,55,101,
      45,48,56,32,54,46,50,52,55,50,54,101,45,48,56,32,53,46,53,49,53,49,51,101,45,
      48,56,32,52,46,56,54,55,52,55,101,45,48,56,32,52,46,50,57,52,55,54,101,45,48,
      56,10,32,32,51,46,55,56,56,52,56,101,45,48,56,32,51,46,51,52,49,48,55,101,45,
      48,56,32,50,46,57,52,53,56,51,101,45,48,56,32,50,46,53,57,54,55,56,101,45,48,
      56,32,50,46,50,56,56,54,50,101,45,48,56,32,50,46,48,49,54,54,50,101,45,48,56,
      32,49,46,55,55,54,53,56,101,45,48,56,10,32,32,49,46,53,54,52,56,49,101,45,48,
      56,32,49,46,51,55,56,48,49,101,45,48,56,32,49,46,50,49,51,51,101,45,48,56,32,
      49,46,48,54,56,48,57,101,45,48,56,32,56,46,50,55,51,50,57,101,45,48,57,32,54,
      46,52,48,52,50,53,101,45,48,57,32,52,46,57,53,52,54,56,101,45,48,57,10,32,32,
      51,46,56,51,49,49,49,101,45,48,57,32,50,46,57,54,48,55,57,101,45,48,57,32,50,
      46,50,56,55,48,56,101,45,48,57,32,49,46,55,54,53,56,53,101,45,48,57,32,49,46,
      51,54,50,56,51,101,45,48,57,32,49,46,48,53,49,51,54,101,45,48,57,32,56,46,49,
      48,55,53,54,101,45,49,48,10,32,32,54,46,50,52,57,56,57,101,45,49,48,32,52,46,
      56,49,54,50,50,101,45,49,48,32,51,46,55,49,48,50,52,101,45,49,48,32,50,46,56,
      53,55,51,52,101,45,49,48,32,50,46,49,57,57,55,57,101,45,49,48,32,49,46,54,57,
      51,49,101,45,49,48,32,49,46,51,48,50,55,55,101,45,49,48,10,32,32,49,46,48,48,
      50,49,57,101,45,49,48,32,55,46,55,48,55,56,51,101,45,49,49,32,53,46,57,50,54,
      55,50,101,45,49,49,32,52,46,53,53,54,50,51,101,45,49,49,32,51,46,53,48,49,57,
      54,101,45,49,49,32,50,46,54,57,49,49,51,101,45,49,49,32,50,46,48,54,55,54,50,
      101,45,49,49,10,32,32,49,46,53,56,56,50,54,101,45,49,49,32,49,46,50,49,57,56,
      52,101,45,49,49,32,57,46,51,54,55,50,57,101,45,49,50,32,55,46,49,57,50,49,57,
      101,45,49,50,32,53,46,53,50,49,52,56,101,45,49,50,32,48,114,49,48,32,49,46,
      51,49,101,45,49,56,32,50,46,52,50,56,48,52,101,45,49,56,10,32,32,52,46,49,57,
      51,53,52,101,45,49,56,32,54,46,56,54,56,52,53,101,45,49,56,32,49,46,48,55,54,
      54,57,101,45,49,55,32,49,46,54,50,54,53,50,101,45,49,55,32,50,46,51,55,51,54,
      101,45,49,55,32,51,46,51,54,49,54,53,101,45,49,55,32,52,46,54,53,48,48,54,101,
      45,49,55,10,32,32,54,46,51,48,49,48,53,101,45,49,55,32,56,46,51,56,49,52,56,
      101,45,49,55,32,49,46,48,56,56,54,49,101,45,49,54,32,49,46,51,57,51,54,50,101,
      45,49,54,32,49,46,55,54,49,48,57,101,45,49,54,32,50,46,49,57,57,52,101,45,49,
      54,32,50,46,55,48,52,53,50,101,45,49,54,10,32,32,51,46,50,56,48,48,50,101,45,
      49,54,32,51,46,57,52,51,55,57,101,45,49,54,32,52,46,55,48,52,49,52,101,45,49,
      54,32,53,46,53,54,55,57,53,101,45,49,54,32,54,46,52,56,54,55,53,101,45,49,54,
      32,55,46,53,49,50,55,52,101,45,49,54,32,56,46,54,53,51,50,50,101,45,49,54,10,
      32,32,57,46,57,49,54,49,101,45,49,54,32,49,46,49,50,53,51,50,101,45,49,53,32,
      49,46,50,54,54,53,50,101,45,49,53,32,49,46,52,50,48,48,53,101,45,49,53,32,49,
      46,53,56,54,53,55,101,45,49,53,32,49,46,55,54,54,48,54,101,45,49,53,32,49,46,
      57,52,52,57,49,101,45,49,53,10,32,32,50,46,49,51,54,52,50,101,45,49,53,32,50,
      46,51,52,49,49,51,101,45,49,53,32,50,46,53,53,57,53,56,101,45,49,53,32,50,46,
      55,56,50,52,54,101,45,49,53,32,51,46,48,49,48,55,52,101,45,49,53,32,51,46,50,
      53,50,51,56,101,45,49,53,32,51,46,53,48,55,55,54,101,45,49,53,10,32,32,51,46,
      55,55,54,51,55,101,45,49,53,32,52,46,48,52,51,48,56,101,45,49,53,32,52,46,51,
      50,51,52,51,101,45,49,53,32,52,46,54,49,55,57,49,101,45,49,53,32,52,46,57,50,
      54,56,54,101,45,49,53,32,53,46,50,52,51,52,50,101,45,49,53,32,53,46,53,54,56,
      56,57,101,45,49,53,10,32,32,53,46,57,48,57,49,57,101,45,49,53,32,54,46,50,54,
      52,55,50,101,45,49,53,32,54,46,54,51,53,54,101,45,49,53,32,55,46,48,49,55,57,
      49,101,45,49,53,32,55,46,52,49,54,51,49,101,45,49,53,32,55,46,56,51,49,51,54,
      101,45,49,53,32,56,46,50,54,51,51,49,101,45,49,53,10,32,32,56,46,55,49,54,51,
      51,101,45,49,53,32,57,46,49,57,48,49,57,101,45,49,53,32,57,46,54,56,50,54,55,
      101,45,49,53,32,49,46,48,49,57,52,50,101,45,49,52,32,49,46,48,55,50,54,56,101,
      45,49,52,32,49,46,49,50,57,55,101,45,49,52,32,49,46,49,56,56,56,56,101,45,49,
      52,10,32,32,49,46,50,53,48,50,54,101,45,49,52,32,49,46,51,49,51,57,49,101,45,
      49,52,32,49,46,51,56,49,54,52,101,45,49,52,32,49,46,52,53,51,49,52,101,45,49,
      52,32,49,46,53,50,55,50,54,101,45,49,52,32,49,46,54,48,52,48,51,101,45,49,52,
      32,49,46,54,56,51,56,56,101,45,49,52,10,32,32,49,46,55,54,57,56,53,101,45,49,
      52,32,49,46,56,53,56,57,50,101,45,49,52,32,49,46,57,53,49,49,51,101,45,49,52,
      32,50,46,48,52,54,53,56,101,45,49,52,32,50,46,49,52,55,48,57,101,45,49,52,32,
      50,46,50,53,50,50,57,101,45,49,52,32,50,46,51,54,49,49,51,101,45,49,52,10,32,
      32,50,46,52,55,51,54,55,101,45,49,52,32,50,46,53,56,57,57,57,101,45,49,52,32,
      50,46,55,49,48,50,101,45,49,52,32,50,46,56,51,52,51,101,45,49,52,32,50,46,57,
      54,50,52,49,101,45,49,52,32,51,46,48,57,52,54,51,101,45,49,52,32,51,46,50,50,
      55,50,49,101,45,49,52,10,32,32,51,46,51,54,49,50,52,101,45,49,52,32,51,46,52,
      57,57,49,52,101,45,49,52,32,51,46,54,52,49,48,53,101,45,49,52,32,51,46,55,56,
      53,48,53,101,45,49,52,32,51,46,57,49,56,48,49,101,45,49,52,32,52,46,48,53,52,
      51,56,101,45,49,52,32,52,46,49,57,52,49,57,101,45,49,52,10,32,32,52,46,51,51,
      55,53,49,101,45,49,52,32,52,46,52,54,52,53,56,101,45,49,52,32,52,46,53,56,50,
      54,49,101,45,49,52,32,52,46,55,48,51,52,101,45,49,52,32,52,46,56,50,54,57,54,
      101,45,49,52,32,52,46,57,52,55,101,45,49,52,32,53,46,48,50,55,56,101,45,49,
      52,10,32,32,53,46,49,49,49,50,57,101,45,49,52,32,53,46,49,57,55,52,50,101,45,
      49,52,32,53,46,50,56,54,49,54,101,45,49,52,32,53,46,51,51,55,52,49,101,45,49,
      52,32,53,46,51,54,57,54,49,101,45,49,52,32,53,46,52,48,53,55,50,101,45,49,52,
      32,53,46,52,52,53,53,52,101,45,49,52,10,32,32,53,46,52,55,56,53,52,101,45,49,
      52,32,53,46,52,53,53,48,50,101,45,49,52,32,53,46,52,51,56,50,101,45,49,52,32,
      53,46,52,50,55,52,57,101,45,49,52,32,53,46,52,50,50,49,54,101,45,49,52,32,53,
      46,51,55,53,51,49,101,45,49,52,32,53,46,51,49,50,52,101,45,49,52,10,32,32,53,
      46,50,53,56,53,50,101,45,49,52,32,53,46,50,49,50,55,57,101,45,49,52,32,53,46,
      49,54,52,48,56,101,45,49,52,32,53,46,48,54,56,55,49,101,45,49,52,32,52,46,57,
      56,53,101,45,49,52,32,52,46,57,49,49,54,56,101,45,49,52,32,52,46,56,52,55,53,
      50,101,45,49,52,10,32,32,52,46,55,53,53,51,51,101,45,49,52,32,52,46,54,53,54,
      53,49,101,45,49,52,32,52,46,53,54,57,49,52,101,45,49,52,32,52,46,52,57,49,56,
      57,101,45,49,52,32,52,46,52,49,54,51,101,45,49,52,32,52,46,51,49,52,57,55,101,
      45,49,52,32,52,46,50,50,53,101,45,49,52,10,32,32,52,46,49,52,52,57,55,101,45,
      49,52,32,52,46,48,55,51,57,51,101,45,49,52,32,51,46,57,56,57,57,56,101,45,49,
      52,32,51,46,57,48,53,54,57,101,45,49,52,32,51,46,56,51,48,52,54,101,45,49,52,
      32,51,46,55,54,51,51,53,101,45,49,52,32,51,46,54,57,57,54,55,101,45,49,52,10,
      32,32,51,46,54,50,54,51,50,101,45,49,52,32,51,46,53,54,48,54,55,101,45,49,52,
      32,51,46,53,48,49,56,55,101,45,49,52,32,51,46,52,52,57,50,52,101,45,49,52,32,
      51,46,51,57,51,57,55,101,45,49,52,32,51,46,51,52,48,56,101,45,49,52,32,51,46,
      50,57,51,49,50,101,45,49,52,10,32,32,51,46,50,53,48,51,57,101,45,49,52,32,51,
      46,50,49,49,49,54,101,45,49,52,32,51,46,49,55,50,49,52,101,45,49,52,32,51,46,
      49,51,55,50,50,101,45,49,52,32,51,46,49,48,54,48,50,101,45,49,52,32,51,46,48,
      55,56,50,52,101,45,49,52,32,51,46,48,53,52,49,101,45,49,52,10,32,32,51,46,48,
      51,51,48,52,101,45,49,52,32,51,46,48,49,52,54,49,101,45,49,52,32,50,46,57,57,
      56,54,101,45,49,52,32,50,46,57,56,54,48,49,101,45,49,52,32,50,46,57,55,57,57,
      53,101,45,49,52,32,50,46,57,55,53,53,56,101,45,49,52,32,50,46,57,55,50,50,51,
      101,45,49,52,10,32,32,50,46,57,57,52,57,57,101,45,49,52,32,51,46,48,56,56,56,
      53,101,45,49,52,32,51,46,52,49,55,52,57,101,45,49,52,32,52,46,48,50,53,54,57,
      101,45,49,52,32,52,46,57,54,56,52,101,45,49,52,32,54,46,51,55,52,49,52,101,
      45,49,52,32,56,46,51,50,49,50,53,101,45,49,52,10,32,32,49,46,48,56,56,50,53,
      101,45,49,51,32,49,46,52,48,48,55,56,101,45,49,51,32,49,46,55,53,56,49,57,101,
      45,49,51,32,50,46,49,51,56,50,56,101,45,49,51,32,50,46,53,51,53,51,57,101,45,
      49,51,32,50,46,57,53,51,55,101,45,49,51,32,51,46,54,55,50,49,55,101,45,49,51,
      10,32,32,52,46,52,55,56,53,53,101,45,49,51,32,53,46,56,51,52,55,54,101,45,49,
      51,32,55,46,57,56,57,56,101,45,49,51,32,49,46,49,53,48,57,50,101,45,49,50,32,
      49,46,57,50,54,50,57,101,45,49,50,32,51,46,51,52,49,56,51,101,45,49,50,32,53,
      46,55,50,49,55,54,101,45,49,50,10,32,32,57,46,55,48,52,49,49,101,45,49,50,32,
      49,46,51,51,101,45,49,49,32,49,46,52,56,55,52,56,101,45,49,49,32,49,46,52,49,
      50,49,50,101,45,49,49,32,49,46,51,49,53,54,54,101,45,49,49,32,49,46,50,54,50,
      55,51,101,45,49,49,32,49,46,50,55,56,48,54,101,45,49,49,10,32,32,49,46,51,56,
      54,54,49,101,45,49,49,32,49,46,54,52,50,54,54,101,45,49,49,32,50,46,49,55,50,
      50,56,101,45,49,49,32,51,46,51,57,48,56,54,101,45,49,49,32,53,46,56,53,55,56,
      52,101,45,49,49,32,49,46,49,49,55,50,57,101,45,49,48,32,50,46,48,49,54,54,55,
      101,45,49,48,10,32,32,50,46,50,50,52,49,51,101,45,49,48,32,49,46,57,48,53,54,
      50,101,45,49,48,32,49,46,53,48,53,50,51,101,45,49,48,32,49,46,50,50,49,51,57,
      101,45,49,48,32,49,46,48,57,56,55,55,101,45,49,48,32,49,46,48,57,48,56,51,101,
      45,49,48,32,49,46,49,57,54,54,49,101,45,49,48,10,32,32,49,46,52,50,50,48,50,
      101,45,49,48,32,49,46,56,49,57,54,56,101,45,49,48,32,50,46,53,53,52,52,57,101,
      45,49,48,32,51,46,57,57,56,54,49,101,45,49,48,32,53,46,56,54,51,56,51,101,45,
      49,48,32,56,46,52,50,55,55,52,101,45,49,48,32,49,46,49,54,49,55,53,101,45,48,
      57,10,32,32,49,46,55,48,49,52,49,101,45,48,57,32,50,46,57,50,53,57,56,101,45,
      48,57,32,52,46,53,50,50,51,49,101,45,48,57,32,53,46,57,49,55,52,49,101,45,48,
      57,32,54,46,56,49,56,51,53,101,45,48,57,32,56,46,49,51,53,101,45,48,57,32,57,
      46,56,55,49,55,54,101,45,48,57,10,32,32,49,46,49,51,54,49,101,45,48,56,32,49,
      46,49,56,56,50,55,101,45,48,56,32,49,46,49,57,56,51,53,101,45,48,56,32,49,46,
      50,54,57,50,50,101,45,48,56,32,49,46,53,48,50,51,56,101,45,48,56,32,49,46,57,
      48,52,52,50,101,45,48,56,32,50,46,51,50,52,52,52,101,45,48,56,10,32,32,51,46,
      51,54,53,54,55,101,45,48,56,32,52,46,55,48,55,52,53,101,45,48,56,32,54,46,52,
      55,52,49,57,101,45,48,56,32,56,46,56,57,54,57,56,101,45,48,56,32,49,46,49,48,
      51,55,52,101,45,48,55,32,49,46,50,55,50,49,56,101,45,48,55,32,49,46,51,56,50,
      53,49,101,45,48,55,10,32,32,49,46,52,55,48,52,50,101,45,48,55,32,49,46,53,53,
      51,53,55,101,45,48,55,32,49,46,54,52,56,55,54,101,45,48,55,32,49,46,55,50,48,
      54,52,101,45,48,55,32,49,46,56,48,50,54,53,101,45,48,55,32,49,46,57,56,48,53,
      53,101,45,48,55,32,50,46,49,50,57,55,54,101,45,48,55,10,32,32,50,46,52,51,56,
      55,50,101,45,48,55,32,50,46,56,52,55,56,55,101,45,48,55,32,51,46,49,49,56,56,
      54,101,45,48,55,32,51,46,51,57,55,55,50,101,45,48,55,32,51,46,56,51,54,55,55,
      101,45,48,55,32,52,46,51,48,55,48,52,101,45,48,55,32,52,46,53,52,56,49,53,101,
      45,48,55,10,32,32,52,46,56,57,55,50,52,101,45,48,55,32,53,46,48,56,49,49,50,
      101,45,48,55,32,53,46,51,51,57,52,101,45,48,55,32,53,46,50,55,54,49,51,101,
      45,48,55,32,53,46,54,51,49,55,54,101,45,48,55,32,53,46,55,55,56,50,52,101,45,
      48,55,32,54,46,48,53,56,55,55,101,45,48,55,10,32,32,54,46,51,54,54,57,54,101,
      45,48,55,32,54,46,54,50,50,50,53,101,45,48,55,32,54,46,56,55,53,57,54,101,45,
      48,55,32,55,46,49,49,50,49,56,101,45,48,55,32,55,46,51,52,51,57,101,45,48,55,
      32,55,46,53,57,57,56,56,101,45,48,55,32,55,46,56,50,54,54,101,45,48,55,10,32,
      32,56,46,48,55,54,50,51,101,45,48,55,32,56,46,50,53,57,57,52,101,45,48,55,32,
      56,46,53,53,57,57,55,101,45,48,55,32,56,46,55,52,52,53,51,101,45,48,55,32,56,
      46,57,55,52,56,50,101,45,48,55,32,57,46,53,49,55,51,53,101,45,48,55,32,49,46,
      48,50,56,55,51,101,45,48,54,10,32,32,49,46,49,48,55,56,57,101,45,48,54,32,49,
      46,50,49,53,49,51,101,45,48,54,32,49,46,51,51,52,56,53,101,45,48,54,32,49,46,
      53,48,48,50,52,101,45,48,54,32,49,46,54,54,48,48,55,101,45,48,54,32,49,46,56,
      50,55,53,50,101,45,48,54,32,50,46,49,52,57,53,57,101,45,48,54,10,32,32,50,46,
      52,52,57,49,55,101,45,48,54,32,50,46,56,51,55,56,57,101,45,48,54,32,51,46,52,
      52,52,55,55,101,45,48,54,32,52,46,48,53,51,52,51,101,45,48,54,32,52,46,55,50,
      52,57,57,101,45,48,54,32,53,46,53,53,51,54,101,45,48,54,32,54,46,52,50,54,54,
      49,101,45,48,54,10,32,32,55,46,50,48,55,57,55,101,45,48,54,32,55,46,57,56,55,
      56,49,101,45,48,54,32,56,46,55,53,48,53,51,101,45,48,54,32,57,46,53,56,50,55,
      50,101,45,48,54,32,49,46,48,52,52,55,55,101,45,48,53,32,49,46,49,50,57,51,57,
      101,45,48,53,32,49,46,49,57,51,54,101,45,48,53,10,32,32,49,46,50,53,48,55,101,
      45,48,53,32,49,46,50,56,56,55,55,101,45,48,53,32,49,46,51,49,52,49,52,101,45,
      48,53,32,49,46,51,50,55,57,57,101,45,48,53,32,49,46,51,50,55,52,57,101,45,48,
      53,32,49,46,51,49,55,51,49,101,45,48,53,32,49,46,50,57,54,49,49,101,45,48,53,
      10,32,32,49,46,50,55,48,49,52,101,45,48,53,32,49,46,50,51,53,57,51,101,45,48,
      53,32,49,46,49,57,54,49,54,101,45,48,53,32,49,46,49,53,49,57,101,45,48,53,32,
      49,46,49,48,52,48,56,101,45,48,53,32,49,46,48,53,51,55,53,101,45,48,53,32,49,
      46,48,48,49,56,49,101,45,48,53,10,32,32,57,46,52,56,57,55,53,101,45,48,54,32,
      56,46,57,53,56,55,55,101,45,48,54,32,56,46,52,51,48,53,50,101,45,48,54,32,55,
      46,57,49,48,49,56,101,45,48,54,32,55,46,52,48,49,54,55,101,45,48,54,32,54,46,
      57,48,56,49,51,101,45,48,54,32,54,46,52,51,50,51,50,101,45,48,54,10,32,32,53,
      46,57,55,53,57,55,101,45,48,54,32,53,46,53,52,48,49,57,101,45,48,54,32,53,46,
      49,50,54,48,57,101,45,48,54,32,52,46,55,51,52,50,101,45,48,54,32,52,46,51,54,
      52,54,57,101,45,48,54,32,52,46,48,49,55,52,56,101,45,48,54,32,51,46,54,57,50,
      48,52,101,45,48,54,10,32,32,51,46,51,56,56,48,54,101,45,48,54,32,51,46,49,48,
      52,56,51,101,45,48,54,32,50,46,56,52,49,54,50,101,45,48,54,32,50,46,53,57,55,
      53,52,101,45,48,54,32,50,46,51,55,49,54,49,101,45,48,54,32,50,46,49,54,50,57,
      54,101,45,48,54,32,49,46,57,55,48,54,49,101,45,48,54,10,32,32,49,46,55,57,51,
      53,56,101,45,48,54,32,49,46,54,51,48,56,57,101,45,48,54,32,49,46,52,56,49,54,
      101,45,48,54,32,49,46,51,52,52,56,50,101,45,48,54,32,49,46,50,49,57,54,56,101,
      45,48,54,32,49,46,49,50,57,56,53,101,45,48,54,32,49,46,48,52,54,49,55,101,45,
      48,54,10,32,32,57,46,54,56,50,54,50,101,45,48,55,32,56,46,57,53,55,55,55,101,
      45,48,55,32,56,46,50,56,51,55,54,101,45,48,55,32,55,46,53,56,48,50,51,101,45,
      48,55,32,54,46,55,54,57,57,56,101,45,48,55,32,54,46,48,52,49,55,56,101,45,48,
      55,32,53,46,51,56,56,49,51,101,45,48,55,10,32,32,52,46,56,48,49,57,57,101,45,
      48,55,32,52,46,50,55,54,57,101,45,48,55,32,51,46,56,48,54,57,51,101,45,48,55,
      32,51,46,51,56,54,54,52,101,45,48,55,32,51,46,48,49,49,48,52,101,45,48,55,32,
      50,46,54,55,53,54,53,101,45,48,55,32,50,46,51,55,54,52,51,101,45,48,55,10,32,
      32,50,46,49,48,57,54,51,101,45,48,55,32,49,46,56,55,49,57,51,101,45,48,55,32,
      49,46,54,54,48,50,56,101,45,48,55,32,49,46,52,55,49,57,51,101,45,48,55,32,49,
      46,51,48,52,52,50,101,45,48,55,32,49,46,49,53,53,53,49,101,45,48,55,32,49,46,
      48,50,51,50,50,101,45,48,55,10,32,32,57,46,48,53,55,51,56,101,45,48,56,32,56,
      46,48,49,52,55,101,45,48,56,32,55,46,48,56,57,53,56,101,45,48,56,32,54,46,50,
      54,56,57,52,101,45,48,56,32,53,46,53,52,49,57,52,101,45,48,56,32,52,46,56,57,
      55,54,53,101,45,48,56,32,52,46,51,50,55,48,49,101,45,48,56,10,32,32,51,46,56,
      50,49,56,50,101,45,48,56,32,51,46,51,55,52,55,101,45,48,56,32,50,46,57,55,57,
      49,50,101,45,48,56,32,50,46,54,50,57,50,54,101,45,48,56,32,50,46,51,49,57,57,
      51,101,45,48,56,32,50,46,48,52,54,53,49,101,45,48,56,32,49,46,56,48,52,57,50,
      101,45,48,56,10,32,32,49,46,53,57,49,53,49,101,45,48,56,32,49,46,52,48,51,48,
      52,101,45,48,56,32,49,46,50,51,54,54,51,101,45,48,56,32,49,46,48,56,57,55,53,
      101,45,48,56,32,57,46,54,48,49,51,51,101,45,48,57,32,55,46,52,52,57,101,45,
      48,57,32,53,46,55,55,52,57,54,101,45,48,57,10,32,32,52,46,52,55,52,50,56,101,
      45,48,57,32,51,46,52,54,52,52,55,101,45,48,57,32,50,46,54,56,49,48,53,101,45,
      48,57,32,50,46,48,55,51,54,56,101,45,48,57,32,49,46,54,48,51,49,49,101,45,48,
      57,32,49,46,50,51,56,55,52,101,45,48,57,32,57,46,53,54,55,53,51,101,45,49,48,
      10,32,32,55,46,51,56,54,53,51,101,45,49,48,32,53,46,55,48,48,52,101,45,49,48,
      32,52,46,51,57,55,52,55,101,45,49,48,32,51,46,51,57,49,49,51,101,45,49,48,32,
      50,46,54,49,52,49,56,101,45,49,48,32,50,46,48,49,52,54,101,45,49,48,32,49,46,
      53,53,50,48,52,101,45,49,48,10,32,32,49,46,49,57,53,51,53,101,45,49,48,32,57,
      46,50,48,51,56,53,101,45,49,49,32,55,46,48,56,52,56,54,101,45,49,49,32,53,46,
      52,53,50,50,56,101,45,49,49,32,52,46,49,57,52,56,56,101,45,49,49,32,51,46,50,
      50,54,55,51,101,45,49,49,32,50,46,52,56,49,53,50,101,45,49,49,10,32,32,49,46,
      57,48,56,48,51,101,45,49,49,32,49,46,52,54,54,55,56,101,45,49,49,32,49,46,49,
      50,55,51,54,101,45,49,49,32,56,46,54,54,51,51,57,101,45,49,50,32,54,46,54,53,
      54,51,57,101,45,49,50,32,53,46,49,49,51,53,57,101,45,49,50,32,48,114,49,48,
      32,50,46,54,53,56,54,49,101,45,50,48,10,32,32,53,46,51,57,55,49,57,101,45,50,
      48,32,49,46,48,48,56,57,54,101,45,49,57,32,49,46,55,55,52,49,57,101,45,49,57,
      32,50,46,57,54,54,55,56,101,45,49,57,32,52,46,55,53,53,55,53,101,45,49,57,32,
      55,46,51,50,54,55,50,101,45,49,57,32,49,46,48,57,48,54,56,101,45,49,56,10,32,
      32,49,46,53,56,48,55,57,101,45,49,56,32,50,46,50,51,56,51,49,101,45,49,56,32,
      51,46,49,48,51,54,56,101,45,49,56,32,52,46,49,56,53,54,53,101,45,49,56,32,53,
      46,53,53,51,52,54,101,45,49,56,32,55,46,50,54,49,51,53,101,45,49,56,32,57,46,
      51,54,57,51,55,101,45,49,56,10,32,32,49,46,49,56,55,50,55,101,45,49,55,32,49,
      46,52,56,48,52,51,101,45,49,55,32,49,46,56,50,56,49,51,101,45,49,55,32,50,46,
      50,51,55,50,53,101,45,49,55,32,50,46,55,49,52,49,49,101,45,49,55,32,51,46,50,
      51,48,50,49,101,45,49,55,32,51,46,56,49,57,48,54,101,45,49,55,10,32,32,52,46,
      52,56,55,51,57,101,45,49,55,32,53,46,50,52,50,53,49,101,45,49,55,32,54,46,48,
      53,51,53,49,101,45,49,55,32,54,46,57,50,48,56,56,101,45,49,55,32,55,46,56,55,
      57,49,53,101,45,49,55,32,56,46,57,51,52,56,55,101,45,49,55,32,49,46,48,48,56,
      57,54,101,45,49,54,10,32,32,49,46,49,50,52,51,55,101,45,49,54,32,49,46,50,52,
      57,53,101,45,49,54,32,49,46,51,56,52,56,55,101,45,49,54,32,49,46,53,51,49,48,
      51,101,45,49,54,32,49,46,54,56,48,57,101,45,49,54,32,49,46,56,51,53,49,53,101,
      45,49,54,32,49,46,57,57,57,57,57,101,45,49,54,10,32,32,50,46,49,55,53,56,55,
      101,45,49,54,32,50,46,51,54,50,53,51,101,45,49,54,32,50,46,53,52,55,54,52,101,
      45,49,54,32,50,46,55,52,51,56,49,101,45,49,54,32,50,46,57,53,49,53,53,101,45,
      49,54,32,51,46,49,55,49,50,54,101,45,49,54,32,51,46,51,57,55,50,52,101,45,49,
      54,10,32,32,51,46,54,51,48,53,57,101,45,49,54,32,51,46,56,55,54,51,53,101,45,
      49,54,32,52,46,49,51,52,57,53,101,45,49,54,32,52,46,52,48,54,54,101,45,49,54,
      32,52,46,54,56,56,101,45,49,54,32,52,46,57,56,51,50,56,101,45,49,54,32,53,46,
      50,57,50,57,55,101,45,49,54,10,32,32,53,46,54,49,55,53,49,101,45,49,54,32,53,
      46,57,54,48,54,51,101,45,49,54,32,54,46,51,50,50,51,54,101,45,49,54,32,54,46,
      55,48,48,56,51,101,45,49,54,32,55,46,48,57,54,53,55,101,45,49,54,32,55,46,53,
      49,49,53,50,101,45,49,54,32,55,46,57,54,49,50,54,101,45,49,54,10,32,32,56,46,
      52,51,49,50,101,45,49,54,32,56,46,57,50,50,48,51,101,45,49,54,32,57,46,52,51,
      52,51,55,101,45,49,54,32,57,46,57,56,53,56,54,101,45,49,54,32,49,46,48,53,55,
      51,56,101,45,49,53,32,49,46,49,49,56,55,56,101,45,49,53,32,49,46,49,56,50,56,
      51,101,45,49,53,10,32,32,49,46,50,52,57,57,54,101,45,49,53,32,49,46,51,50,51,
      50,50,101,45,49,53,32,49,46,51,57,57,54,56,101,45,49,53,32,49,46,52,55,57,52,
      52,101,45,49,53,32,49,46,53,54,50,54,49,101,45,49,53,32,49,46,54,53,49,48,56,
      101,45,49,53,32,49,46,55,52,52,53,52,101,45,49,53,10,32,32,49,46,56,52,49,57,
      56,101,45,49,53,32,49,46,57,52,51,53,50,101,45,49,53,32,50,46,48,52,57,50,50,
      101,45,49,53,32,50,46,49,53,57,50,50,101,45,49,53,32,50,46,50,55,51,55,101,
      45,49,53,32,50,46,51,57,50,55,50,101,45,49,53,32,50,46,53,49,54,51,57,101,45,
      49,53,10,32,32,50,46,54,52,48,54,50,101,45,49,53,32,50,46,55,54,54,55,49,101,
      45,49,53,32,50,46,56,57,55,51,57,101,45,49,53,32,51,46,48,51,50,54,55,101,45,
      49,53,32,51,46,49,55,48,52,51,101,45,49,53,32,51,46,50,57,53,56,101,45,49,53,
      32,51,46,52,50,52,57,56,101,45,49,53,10,32,32,51,46,53,53,56,48,51,101,45,49,
      53,32,51,46,54,57,53,48,52,101,45,49,53,32,51,46,56,49,51,51,53,101,45,49,53,
      32,51,46,57,50,49,48,56,101,45,49,53,32,52,46,48,51,49,55,52,101,45,49,53,32,
      52,46,49,52,53,51,52,101,45,49,53,32,52,46,50,53,52,54,51,101,45,49,53,10,32,
      32,52,46,51,49,56,51,54,101,45,49,53,32,52,46,51,56,52,57,49,101,45,49,53,32,
      52,46,52,53,52,50,50,101,45,49,53,32,52,46,53,50,54,50,55,101,45,49,53,32,52,
      46,53,53,53,48,50,101,45,49,53,32,52,46,53,54,49,57,52,101,45,49,53,32,52,46,
      53,55,51,51,55,101,45,49,53,10,32,32,52,46,53,56,57,48,51,101,45,49,53,32,52,
      46,53,57,55,48,49,101,45,49,53,32,52,46,53,52,49,55,53,101,45,49,53,32,52,46,
      52,57,52,55,52,101,45,49,53,32,52,46,52,53,53,49,57,101,45,49,53,32,52,46,52,
      50,50,53,55,101,45,49,53,32,52,46,51,52,53,53,50,101,45,49,53,10,32,32,52,46,
      50,53,50,52,101,45,49,53,32,52,46,49,55,48,53,57,101,45,49,53,32,52,46,48,57,
      56,55,101,45,49,53,32,52,46,48,50,52,56,51,101,45,49,53,32,51,46,57,48,52,52,
      51,101,45,49,53,32,51,46,55,57,56,48,56,101,45,49,53,32,51,46,55,48,51,57,54,
      101,45,49,53,10,32,32,51,46,54,50,48,53,57,101,45,49,53,32,51,46,53,49,49,49,
      57,101,45,49,53,32,51,46,51,57,55,51,56,101,45,49,53,32,51,46,50,57,54,54,101,
      45,49,53,32,51,46,50,48,55,48,56,101,45,49,53,32,51,46,49,50,48,54,51,101,45,
      49,53,32,51,46,48,49,50,48,49,101,45,49,53,10,32,32,50,46,57,49,53,54,56,101,
      45,49,53,32,50,46,56,50,57,57,50,101,45,49,53,32,50,46,55,53,51,53,51,101,45,
      49,53,32,50,46,54,54,55,49,49,101,45,49,53,32,50,46,53,56,49,56,54,101,45,49,
      53,32,50,46,53,48,53,55,57,101,45,49,53,32,50,46,52,51,55,55,55,101,45,49,53,
      10,32,32,50,46,51,55,51,54,54,101,45,49,53,32,50,46,51,48,50,53,57,101,45,49,
      53,32,50,46,50,51,56,57,49,101,45,49,53,32,50,46,49,56,49,55,101,45,49,53,32,
      50,46,49,51,48,50,55,101,45,49,53,32,50,46,48,55,55,53,101,45,49,53,32,50,46,
      48,50,55,48,57,101,45,49,53,10,32,32,49,46,57,56,49,54,54,101,45,49,53,32,49,
      46,57,52,48,54,53,101,45,49,53,32,49,46,57,48,50,56,54,101,45,49,53,32,49,46,
      56,54,53,54,57,101,45,49,53,32,49,46,56,51,50,48,55,101,45,49,53,32,49,46,56,
      48,49,54,50,101,45,49,53,32,49,46,55,55,52,48,54,101,45,49,53,10,32,32,49,46,
      55,52,57,53,49,101,45,49,53,32,49,46,55,50,55,52,56,101,45,49,53,32,49,46,55,
      48,55,54,101,45,49,53,32,49,46,54,56,57,54,55,101,45,49,53,32,49,46,54,55,52,
      52,101,45,49,53,32,49,46,54,54,51,57,52,101,45,49,53,32,49,46,54,53,52,56,101,
      45,49,53,10,32,32,49,46,54,52,52,53,50,101,45,49,53,32,49,46,54,52,50,53,56,
      101,45,49,53,32,49,46,54,56,50,50,101,45,49,53,32,49,46,56,54,56,53,101,45,
      49,53,32,50,46,50,53,51,49,53,101,45,49,53,32,50,46,56,57,48,50,56,101,45,49,
      53,32,51,46,57,48,54,51,56,101,45,49,53,10,32,32,53,46,52,49,52,57,53,101,45,
      49,53,32,55,46,53,52,54,53,50,101,45,49,53,32,49,46,48,51,51,49,56,101,45,49,
      52,32,49,46,51,55,49,57,56,101,45,49,52,32,49,46,55,53,49,49,50,101,45,49,52,
      32,50,46,49,54,52,53,51,101,45,49,52,32,50,46,54,49,54,56,51,101,45,49,52,10,
      32,32,55,46,51,48,51,55,101,45,49,52,32,49,46,50,57,55,52,51,101,45,49,51,32,
      49,46,56,48,51,54,101,45,49,51,32,50,46,54,56,55,52,57,101,45,49,51,32,52,46,
      51,48,48,54,54,101,45,49,51,32,56,46,52,48,55,55,50,101,45,49,51,32,49,46,55,
      49,56,57,50,101,45,49,50,10,32,32,51,46,51,57,53,51,49,101,45,49,50,32,54,46,
      52,49,55,55,50,101,45,49,50,32,57,46,49,56,50,55,53,101,45,49,50,32,49,46,48,
      51,50,52,50,101,45,49,49,32,57,46,54,49,56,48,56,101,45,49,50,32,56,46,55,52,
      54,53,57,101,45,49,50,32,56,46,50,48,56,48,56,101,45,49,50,10,32,32,56,46,50,
      48,50,50,54,101,45,49,50,32,56,46,57,49,51,57,56,101,45,49,50,32,49,46,48,55,
      54,57,51,101,45,49,49,32,49,46,52,55,56,56,53,101,45,49,49,32,50,46,52,49,55,
      56,49,101,45,49,49,32,52,46,50,54,55,49,57,101,45,49,49,32,55,46,57,50,52,56,
      50,101,45,49,49,10,32,32,49,46,51,53,48,48,56,101,45,49,48,32,49,46,52,56,55,
      50,51,101,45,49,48,32,49,46,51,49,48,57,51,101,45,49,48,32,49,46,48,54,57,55,
      50,101,45,49,48,32,56,46,56,52,55,52,55,101,45,49,49,32,56,46,48,48,51,52,50,
      101,45,49,49,32,55,46,57,52,53,51,49,101,45,49,49,10,32,32,56,46,55,49,54,50,
      53,101,45,49,49,32,49,46,48,51,53,50,55,101,45,49,48,32,49,46,51,49,55,54,54,
      101,45,49,48,32,49,46,56,49,57,50,50,101,45,49,48,32,50,46,55,52,55,51,101,
      45,49,48,32,51,46,56,55,51,52,56,101,45,49,48,32,53,46,51,52,53,56,51,101,45,
      49,48,10,32,32,55,46,48,57,52,48,49,101,45,49,48,32,57,46,57,51,56,50,51,101,
      45,49,48,32,49,46,54,49,57,54,52,101,45,48,57,32,50,46,52,50,57,56,101,45,48,
      57,32,51,46,49,52,51,52,52,101,45,48,57,32,51,46,54,48,57,57,53,101,45,48,57,
      32,52,46,50,57,48,56,57,101,45,48,57,10,32,32,53,46,49,57,50,52,51,101,45,48,
      57,32,53,46,57,54,56,52,55,101,45,48,57,32,54,46,50,52,51,51,57,101,45,48,57,
      32,54,46,51,48,51,50,51,101,45,48,57,32,54,46,54,55,53,57,57,101,45,48,57,32,
      55,46,56,57,48,51,52,101,45,48,57,32,57,46,57,57,57,54,51,101,45,48,57,10,32,
      32,49,46,50,50,51,51,53,101,45,48,56,32,49,46,55,56,57,55,52,101,45,48,56,32,
      50,46,53,52,52,53,51,101,45,48,56,32,51,46,53,55,54,53,50,101,45,48,56,32,53,
      46,48,53,50,53,53,101,45,48,56,32,54,46,52,48,49,57,54,101,45,48,56,32,55,46,
      52,55,49,56,57,101,45,48,56,10,32,32,56,46,49,53,57,55,57,101,45,48,56,32,56,
      46,55,48,48,49,54,101,45,48,56,32,57,46,50,49,49,49,57,101,45,48,56,32,57,46,
      55,57,56,53,49,101,45,48,56,32,49,46,48,50,52,52,101,45,48,55,32,49,46,48,55,
      53,57,55,101,45,48,55,32,49,46,49,57,49,49,54,101,45,48,55,10,32,32,49,46,50,
      57,48,54,53,101,45,48,55,32,49,46,53,48,50,56,50,101,45,48,55,32,49,46,55,57,
      52,48,55,101,45,48,55,32,49,46,57,57,50,55,101,45,48,55,32,50,46,50,48,49,51,
      54,101,45,48,55,32,50,46,53,51,56,50,50,101,45,48,55,32,50,46,57,48,56,55,101,
      45,48,55,10,32,32,51,46,49,48,49,54,52,101,45,48,55,32,51,46,51,56,49,54,51,
      101,45,48,55,32,51,46,53,50,55,57,54,101,45,48,55,32,51,46,55,50,57,51,49,101,
      45,48,55,32,51,46,54,52,48,52,54,101,45,48,55,32,51,46,57,50,51,53,53,101,45,
      48,55,32,52,46,48,52,48,57,54,101,45,48,55,10,32,32,52,46,50,54,55,49,56,101,
      45,48,55,32,52,46,53,49,55,50,49,101,45,48,55,32,52,46,55,50,53,52,49,101,45,
      48,55,32,52,46,57,51,51,51,53,101,45,48,55,32,53,46,49,50,55,53,101,45,48,55,
      32,53,46,51,49,56,51,51,101,45,48,55,32,53,46,53,50,57,52,56,101,45,48,55,10,
      32,32,53,46,55,49,54,54,52,101,45,48,55,32,53,46,57,50,50,55,52,101,45,48,55,
      32,54,46,48,55,52,50,54,101,45,48,55,32,54,46,51,50,49,50,51,101,45,48,55,32,
      54,46,52,55,50,55,56,101,45,48,55,32,54,46,54,54,49,52,51,101,45,48,55,32,55,
      46,49,48,50,57,57,101,45,48,55,10,32,32,55,46,55,50,48,55,49,101,45,48,55,32,
      56,46,51,52,51,53,56,101,45,48,55,32,57,46,49,54,55,48,49,101,45,48,55,32,49,
      46,48,48,54,50,52,101,45,48,54,32,49,46,49,50,54,56,51,101,45,48,54,32,49,46,
      50,52,49,50,49,101,45,48,54,32,49,46,51,53,55,56,49,101,45,48,54,10,32,32,49,
      46,53,55,54,55,56,101,45,48,54,32,49,46,55,56,49,57,57,101,45,48,54,32,50,46,
      48,53,48,52,57,101,45,48,54,32,50,46,52,55,53,48,55,101,45,48,54,32,50,46,57,
      48,56,48,49,101,45,48,54,32,51,46,51,57,51,57,53,101,45,48,54,32,52,46,48,48,
      51,56,101,45,48,54,10,32,32,52,46,54,53,56,54,50,101,45,48,54,32,53,46,50,53,
      53,48,57,101,45,48,54,32,53,46,56,54,48,54,101,45,48,54,32,54,46,52,54,51,48,
      50,101,45,48,54,32,55,46,49,51,50,55,57,101,45,48,54,32,55,46,56,52,52,57,50,
      101,45,48,54,32,56,46,53,54,50,48,49,101,45,48,54,10,32,32,57,46,49,50,52,49,
      52,101,45,48,54,32,57,46,54,52,53,52,51,101,45,48,54,32,49,46,48,48,49,52,52,
      101,45,48,53,32,49,46,48,50,56,53,52,101,45,48,53,32,49,46,48,52,55,51,51,101,
      45,48,53,32,49,46,48,53,53,49,49,101,45,48,53,32,49,46,48,53,51,101,45,48,53,
      10,32,32,49,46,48,52,50,53,54,101,45,48,53,32,49,46,48,50,55,48,50,101,45,48,
      53,32,49,46,48,48,52,54,54,101,45,48,53,32,57,46,55,55,49,51,53,101,45,48,54,
      32,57,46,52,53,51,53,54,101,45,48,54,32,57,46,49,48,50,50,57,101,45,48,54,32,
      56,46,55,50,52,49,53,101,45,48,54,10,32,32,56,46,51,50,55,53,101,45,48,54,32,
      55,46,57,49,56,54,51,101,45,48,54,32,55,46,53,48,51,51,51,101,45,48,54,32,55,
      46,48,56,54,50,49,101,45,48,54,32,54,46,54,55,49,55,49,101,45,48,54,32,54,46,
      50,54,51,53,50,101,45,48,54,32,53,46,56,54,52,54,101,45,48,54,10,32,32,53,46,
      52,55,55,48,52,101,45,48,54,32,53,46,49,48,51,49,50,101,45,48,54,32,52,46,55,
      52,52,50,51,101,45,48,54,32,52,46,52,48,49,52,51,101,45,48,54,32,52,46,48,55,
      53,52,56,101,45,48,54,32,51,46,55,54,54,56,101,45,48,54,32,51,46,52,55,53,53,
      54,101,45,48,54,10,32,32,51,46,50,48,49,53,55,101,45,48,54,32,50,46,57,52,52,
      53,56,101,45,48,54,32,50,46,55,48,52,51,51,101,45,48,54,32,50,46,52,56,48,50,
      55,101,45,48,54,32,50,46,50,55,49,56,101,45,48,54,32,50,46,48,55,56,50,51,101,
      45,48,54,32,49,46,56,57,56,57,50,101,45,48,54,10,32,32,49,46,55,51,51,49,56,
      101,45,48,54,32,49,46,53,56,48,50,54,101,45,48,54,32,49,46,52,51,57,51,54,101,
      45,48,54,32,49,46,51,48,57,55,54,101,45,48,54,32,49,46,49,57,48,55,53,101,45,
      48,54,32,49,46,48,56,49,54,51,101,45,48,54,32,49,46,48,48,51,49,52,101,45,48,
      54,10,32,32,57,46,50,57,57,48,49,101,45,48,55,32,56,46,54,49,54,101,45,48,55,
      32,55,46,57,55,57,53,54,101,45,48,55,32,55,46,51,56,54,57,50,101,45,48,55,32,
      54,46,55,54,55,52,52,101,45,48,55,32,54,46,48,53,50,54,55,101,45,48,55,32,53,
      46,52,48,57,49,57,101,45,48,55,10,32,32,52,46,56,51,48,53,57,101,45,48,55,32,
      52,46,51,49,48,56,54,101,45,48,55,32,51,46,56,52,52,52,56,101,45,48,55,32,51,
      46,52,50,54,51,56,101,45,48,55,32,51,46,48,53,49,56,53,101,45,48,55,32,50,46,
      55,49,54,54,55,101,45,48,55,32,50,46,52,49,54,56,56,101,45,48,55,10,32,32,50,
      46,49,52,57,48,49,101,45,48,55,32,49,46,57,48,57,56,54,101,45,48,55,32,49,46,
      54,57,54,52,56,101,45,48,55,32,49,46,53,48,54,50,51,101,45,48,55,32,49,46,51,
      51,54,55,49,101,45,48,55,32,49,46,49,56,53,55,55,101,45,48,55,32,49,46,48,53,
      49,52,50,101,45,48,55,10,32,32,57,46,51,49,57,49,52,101,45,48,56,32,56,46,50,
      53,54,54,52,101,45,48,56,32,55,46,51,49,50,54,101,45,48,56,32,54,46,52,55,52,
      49,53,101,45,48,56,32,53,46,55,50,57,54,56,101,45,48,56,32,53,46,48,54,57,52,
      53,101,45,48,56,32,52,46,52,56,51,55,49,101,45,48,56,10,32,32,51,46,57,54,52,
      52,53,101,45,48,56,32,51,46,53,48,52,51,101,45,48,56,32,51,46,48,57,54,54,57,
      101,45,48,56,32,50,46,55,51,53,55,52,101,45,48,56,32,50,46,52,49,54,50,50,101,
      45,48,56,32,50,46,49,51,51,52,55,101,45,48,56,32,49,46,56,56,51,51,49,101,45,
      48,56,10,32,32,49,46,54,54,50,48,57,101,45,48,56,32,49,46,52,54,54,53,49,101,
      45,48,56,32,49,46,50,57,51,54,54,101,45,48,56,32,49,46,49,52,48,57,52,101,45,
      48,56,32,49,46,48,48,54,48,53,101,45,48,56,32,56,46,56,54,57,49,56,101,45,48,
      57,32,54,46,56,56,56,57,54,101,45,48,57,10,32,32,53,46,51,52,54,56,55,101,45,
      48,57,32,52,46,49,52,55,50,49,101,45,48,57,32,51,46,50,49,52,54,51,101,45,48,
      57,32,50,46,52,57,48,50,54,101,45,48,57,32,49,46,57,50,56,48,52,101,45,48,57,
      32,49,46,52,57,49,57,52,101,45,48,57,32,49,46,49,53,51,57,101,45,48,57,10,32,
      32,56,46,57,50,48,50,49,101,45,49,48,32,54,46,56,57,50,54,50,101,45,49,48,32,
      53,46,51,50,51,53,56,101,45,49,48,32,52,46,49,49,48,48,54,101,45,49,48,32,51,
      46,49,55,49,57,53,101,45,49,48,32,50,46,52,52,55,48,54,101,45,49,48,32,49,46,
      56,56,55,49,56,101,45,49,48,10,32,32,49,46,52,53,52,57,49,101,45,49,48,32,49,
      46,49,50,49,51,49,101,45,49,48,32,56,46,54,51,57,52,101,45,49,49,32,54,46,54,
      53,52,54,101,45,49,49,32,53,46,49,50,52,52,53,101,45,49,49,32,51,46,57,52,53,
      49,49,101,45,49,49,32,51,46,48,51,54,52,50,101,45,49,49,10,32,32,50,46,51,51,
      54,52,56,101,45,49,49,32,49,46,55,57,55,52,57,101,45,49,49,32,49,46,51,56,50,
      53,52,101,45,49,49,32,49,46,48,54,51,49,56,101,45,49,49,32,56,46,49,55,52,51,
      50,101,45,49,50,32,54,46,50,56,51,55,50,101,45,49,50,32,52,46,56,50,57,54,52,
      101,45,49,50,10,32,32,48,114,49,48,32,49,46,53,53,50,55,56,101,45,50,49,32,
      51,46,49,51,50,50,53,101,45,50,49,32,53,46,56,51,49,56,53,101,45,50,49,32,49,
      46,48,50,50,54,51,101,45,50,48,32,49,46,55,48,54,53,57,101,45,50,48,32,50,46,
      55,51,49,54,55,101,45,50,48,32,52,46,50,48,52,55,55,101,45,50,48,10,32,32,54,
      46,50,53,54,51,57,101,45,50,48,32,57,46,48,54,54,52,101,45,50,48,32,49,46,50,
      56,52,53,56,101,45,49,57,32,49,46,55,56,51,54,51,101,45,49,57,32,50,46,52,48,
      55,57,52,101,45,49,57,32,51,46,49,57,55,54,55,101,45,49,57,32,52,46,49,56,52,
      50,53,101,45,49,57,10,32,32,53,46,52,48,50,52,55,101,45,49,57,32,54,46,56,52,
      57,55,55,101,45,49,57,32,56,46,53,52,53,51,57,101,45,49,57,32,49,46,48,53,53,
      55,51,101,45,49,56,32,49,46,50,57,50,53,56,101,45,49,56,32,49,46,53,54,56,55,
      55,101,45,49,56,32,49,46,56,54,55,56,49,101,45,49,56,10,32,32,50,46,50,48,57,
      49,54,101,45,49,56,32,50,46,53,57,54,55,56,101,45,49,56,32,51,46,48,51,52,57,
      53,101,45,49,56,32,51,46,53,48,53,55,53,101,45,49,56,32,52,46,48,48,57,52,57,
      101,45,49,56,32,52,46,53,54,54,50,55,101,45,49,56,32,53,46,49,55,57,57,56,101,
      45,49,56,10,32,32,53,46,56,53,49,53,53,101,45,49,56,32,54,46,53,50,50,57,52,
      101,45,49,56,32,55,46,50,53,49,49,52,101,45,49,56,32,56,46,48,51,57,50,54,101,
      45,49,56,32,56,46,56,57,48,53,53,101,45,49,56,32,57,46,55,54,51,54,52,101,45,
      49,56,32,49,46,48,54,54,50,53,101,45,49,55,10,32,32,49,46,49,54,50,51,52,101,
      45,49,55,32,49,46,50,54,52,57,101,45,49,55,32,49,46,51,55,51,55,56,101,45,49,
      55,32,49,46,52,56,49,55,55,101,45,49,55,32,49,46,53,57,54,50,53,101,45,49,55,
      32,49,46,55,49,55,53,51,101,45,49,55,32,49,46,56,52,53,56,50,101,45,49,55,10,
      32,32,49,46,57,55,55,56,101,45,49,55,32,50,46,49,49,52,49,50,101,45,49,55,32,
      50,46,50,53,55,55,52,101,45,49,55,32,50,46,52,48,56,56,57,101,45,49,55,32,50,
      46,53,54,55,55,51,101,45,49,55,32,50,46,55,51,50,51,49,101,45,49,55,32,50,46,
      57,48,53,48,54,101,45,49,55,10,32,32,51,46,48,56,54,51,101,45,49,55,32,51,46,
      50,55,54,50,57,101,45,49,55,32,51,46,52,55,55,50,50,101,45,49,55,32,51,46,54,
      56,57,49,52,101,45,49,55,32,51,46,57,49,48,57,51,101,45,49,55,32,52,46,49,52,
      50,57,50,101,45,49,55,32,52,46,51,56,54,50,54,101,45,49,55,10,32,32,52,46,54,
      53,48,49,53,101,45,49,55,32,52,46,57,50,53,57,57,101,45,49,55,32,53,46,50,49,
      52,50,101,45,49,55,32,53,46,53,49,53,49,52,101,45,49,55,32,53,46,56,51,57,50,
      54,101,45,49,55,32,54,46,49,56,53,48,49,101,45,49,55,32,54,46,53,52,54,49,57,
      101,45,49,55,10,32,32,54,46,57,50,51,49,49,101,45,49,55,32,55,46,51,49,56,51,
      55,101,45,49,55,32,55,46,55,53,48,48,53,101,45,49,55,32,56,46,50,48,48,55,50,
      101,45,49,55,32,56,46,54,55,49,49,52,101,45,49,55,32,57,46,49,54,49,56,54,101,
      45,49,55,32,57,46,54,56,52,49,55,101,45,49,55,10,32,32,49,46,48,50,51,54,51,
      101,45,49,54,32,49,46,48,56,49,50,50,101,45,49,54,32,49,46,49,52,49,50,55,101,
      45,49,54,32,49,46,50,48,51,56,49,101,45,49,54,32,49,46,50,54,56,57,49,101,45,
      49,54,32,49,46,51,51,54,55,50,101,45,49,54,32,49,46,52,48,55,50,53,101,45,49,
      54,10,32,32,49,46,52,56,48,53,55,101,45,49,54,32,49,46,53,53,52,50,51,101,45,
      49,54,32,49,46,54,50,57,48,51,101,45,49,54,32,49,46,55,48,54,54,50,101,45,49,
      54,32,49,46,55,56,54,57,54,101,45,49,54,32,49,46,56,54,56,56,101,45,49,54,32,
      49,46,57,52,51,50,51,101,45,49,54,10,32,32,50,46,48,49,57,57,52,101,45,49,54,
      32,50,46,48,57,56,57,55,101,45,49,54,32,50,46,49,56,48,51,55,101,45,49,54,32,
      50,46,50,53,48,53,54,101,45,49,54,32,50,46,51,49,52,52,101,45,49,54,32,50,46,
      51,55,57,57,57,101,45,49,54,32,50,46,52,52,55,51,52,101,45,49,54,10,32,32,50,
      46,53,49,50,48,57,101,45,49,54,32,50,46,53,52,57,53,101,45,49,54,32,50,46,53,
      56,56,54,101,45,49,54,32,50,46,54,50,57,51,53,101,45,49,54,32,50,46,54,55,49,
      55,51,101,45,49,54,32,50,46,54,56,56,49,51,101,45,49,54,32,50,46,54,57,49,52,
      53,101,45,49,54,10,32,32,50,46,54,57,55,52,55,101,45,49,54,32,50,46,55,48,54,
      48,51,101,45,49,54,32,50,46,55,49,101,45,49,54,32,50,46,54,55,54,49,101,45,
      49,54,32,50,46,54,52,55,49,55,101,45,49,54,32,50,46,54,50,50,55,52,101,45,49,
      54,32,50,46,54,48,50,53,55,101,45,49,54,10,32,32,50,46,53,53,53,57,101,45,49,
      54,32,50,46,52,57,57,54,57,101,45,49,54,32,50,46,52,53,48,51,49,101,45,49,54,
      32,50,46,52,48,54,57,51,101,45,49,54,32,50,46,51,54,50,52,101,45,49,54,32,50,
      46,50,57,48,50,57,101,45,49,54,32,50,46,50,50,54,54,52,101,45,49,54,10,32,32,
      50,46,49,55,48,51,50,101,45,49,54,32,50,46,49,50,48,52,54,101,45,49,54,32,50,
      46,48,53,53,50,51,101,45,49,54,32,49,46,57,56,55,53,101,45,49,54,32,49,46,57,
      50,55,53,52,101,45,49,54,32,49,46,56,55,52,51,50,101,45,49,54,32,49,46,56,50,
      50,57,54,101,45,49,54,10,32,32,49,46,55,53,56,53,57,101,45,49,54,32,49,46,55,
      48,49,53,52,101,45,49,54,32,49,46,54,53,48,55,55,101,45,49,54,32,49,46,54,48,
      53,53,54,101,45,49,54,32,49,46,53,53,52,53,49,101,45,49,54,32,49,46,53,48,52,
      50,101,45,49,54,32,49,46,52,53,57,51,50,101,45,49,54,10,32,32,49,46,52,49,57,
      50,49,101,45,49,54,32,49,46,51,56,49,52,51,101,45,49,54,32,49,46,51,51,57,53,
      57,101,45,49,54,32,49,46,51,48,50,49,50,101,45,49,54,32,49,46,50,54,56,52,54,
      101,45,49,54,32,49,46,50,51,56,50,50,101,45,49,54,32,49,46,50,48,55,50,50,101,
      45,49,54,10,32,32,49,46,49,55,55,54,49,101,45,49,54,32,49,46,49,53,48,57,51,
      101,45,49,54,32,49,46,49,50,54,56,54,101,45,49,54,32,49,46,49,48,52,54,55,101,
      45,49,54,32,49,46,48,56,50,56,55,101,45,49,54,32,49,46,48,54,51,49,53,101,45,
      49,54,32,49,46,48,52,53,50,56,101,45,49,54,10,32,32,49,46,48,50,57,49,50,101,
      45,49,54,32,49,46,48,49,52,55,50,101,45,49,54,32,49,46,48,48,49,55,57,101,45,
      49,54,32,57,46,57,48,49,50,53,101,45,49,55,32,57,46,55,57,54,101,45,49,55,32,
      57,46,55,48,54,50,54,101,45,49,55,32,57,46,54,52,52,54,54,101,45,49,55,10,32,
      32,57,46,53,57,48,55,52,101,45,49,55,32,57,46,53,50,57,57,56,101,45,49,55,32,
      57,46,53,49,54,55,56,101,45,49,55,32,57,46,55,52,52,55,54,101,45,49,55,32,49,
      46,48,56,50,52,57,101,45,49,54,32,49,46,51,48,54,48,54,101,45,49,54,32,49,46,
      54,55,55,48,52,101,45,49,54,10,32,32,50,46,50,55,48,48,52,101,45,49,54,32,51,
      46,49,53,50,57,54,101,45,49,54,32,52,46,52,48,52,56,56,101,45,49,54,32,54,46,
      48,52,55,50,56,101,45,49,54,32,56,46,48,53,51,52,54,101,45,49,54,32,49,46,48,
      51,48,55,52,101,45,49,53,32,49,46,50,55,55,52,50,101,45,49,53,10,32,32,49,46,
      53,52,56,50,53,101,45,49,53,32,50,46,48,48,48,57,49,101,45,49,51,32,49,46,56,
      53,57,51,54,101,45,49,50,32,50,46,52,56,54,48,57,101,45,49,50,32,51,46,52,57,
      55,54,55,101,45,49,50,32,53,46,49,52,55,56,49,101,45,49,50,32,56,46,54,50,53,
      57,55,101,45,49,50,10,32,32,49,46,52,49,57,49,53,101,45,49,49,32,50,46,49,53,
      50,55,57,101,45,49,49,32,51,46,48,51,49,54,52,101,45,49,49,32,51,46,54,52,57,
      53,55,101,45,49,49,32,52,46,48,48,53,52,53,101,45,49,49,32,52,46,48,54,50,57,
      101,45,49,49,32,52,46,48,53,54,52,50,101,45,49,49,10,32,32,52,46,48,57,57,49,
      57,101,45,49,49,32,52,46,50,54,50,54,101,45,49,49,32,52,46,54,49,48,52,56,101,
      45,49,49,32,53,46,50,51,50,51,53,101,45,49,49,32,54,46,50,54,48,52,49,101,45,
      49,49,32,55,46,57,51,55,54,55,101,45,49,49,32,49,46,48,48,53,51,53,101,45,49,
      48,10,32,32,49,46,50,54,55,57,55,101,45,49,48,32,49,46,53,54,54,53,57,101,45,
      49,48,32,49,46,55,49,54,57,50,101,45,49,48,32,49,46,55,51,55,56,50,101,45,49,
      48,32,49,46,55,51,53,55,54,101,45,49,48,32,49,46,55,52,56,54,56,101,45,49,48,
      32,49,46,56,48,48,57,50,101,45,49,48,10,32,32,49,46,57,48,49,51,57,101,45,49,
      48,32,50,46,48,55,48,53,52,101,45,49,48,32,50,46,50,57,53,54,51,101,45,49,48,
      32,50,46,53,57,49,55,50,101,45,49,48,32,51,46,48,48,55,101,45,49,48,32,51,46,
      54,49,55,48,53,101,45,49,48,32,52,46,50,51,55,54,50,101,45,49,48,10,32,32,52,
      46,57,50,53,54,56,101,45,49,48,32,53,46,54,48,49,53,51,101,45,49,48,32,54,46,
      53,50,54,51,51,101,45,49,48,32,56,46,50,54,50,49,56,101,45,49,48,32,49,46,48,
      51,54,49,51,101,45,48,57,32,49,46,50,50,53,56,101,45,48,57,32,49,46,51,54,48,
      49,52,101,45,48,57,10,32,32,49,46,53,53,51,49,57,101,45,48,57,32,49,46,55,57,
      56,49,50,101,45,48,57,32,50,46,48,49,54,53,57,101,45,48,57,32,50,46,49,50,49,
      54,51,101,45,48,57,32,50,46,49,56,51,48,51,101,45,48,57,32,50,46,51,49,50,49,
      52,101,45,48,57,32,50,46,54,51,51,53,54,101,45,48,57,10,32,32,51,46,49,53,54,
      50,55,101,45,48,57,32,51,46,55,48,54,52,49,101,45,48,57,32,53,46,49,50,57,51,
      49,101,45,48,57,32,55,46,49,49,52,54,56,101,45,48,57,32,57,46,57,57,49,56,53,
      101,45,48,57,32,49,46,52,52,49,57,53,101,45,48,56,32,49,46,56,55,52,57,57,101,
      45,48,56,10,32,32,50,46,50,50,55,54,57,101,45,48,56,32,50,46,52,53,48,53,52,
      101,45,48,56,32,50,46,54,50,51,48,56,101,45,48,56,32,50,46,55,56,54,50,56,101,
      45,48,56,32,50,46,57,55,53,48,49,101,45,48,56,32,51,46,49,49,57,48,57,101,45,
      48,56,32,51,46,50,56,57,52,55,101,45,48,56,10,32,32,51,46,54,56,55,53,57,101,
      45,48,56,32,52,46,48,52,55,52,49,101,45,48,56,32,52,46,56,53,53,50,57,101,45,
      48,56,32,54,46,48,52,50,49,52,101,45,48,56,32,54,46,56,57,57,52,49,101,45,48,
      56,32,55,46,56,52,48,48,57,101,45,48,56,32,57,46,52,52,49,50,49,101,45,48,56,
      10,32,32,49,46,49,51,48,57,55,101,45,48,55,32,49,46,50,51,50,50,52,101,45,48,
      55,32,49,46,51,56,49,53,53,101,45,48,55,32,49,46,52,53,57,53,51,101,45,48,55,
      32,49,46,53,54,51,57,51,101,45,48,55,32,49,46,52,56,52,54,55,101,45,48,55,32,
      49,46,54,51,53,55,54,101,45,48,55,10,32,32,49,46,54,57,57,54,49,101,45,48,55,
      32,49,46,56,50,52,52,54,101,45,48,55,32,49,46,57,54,53,49,51,101,45,48,55,32,
      50,46,48,56,52,50,54,101,45,48,55,32,50,46,50,48,52,57,52,101,45,48,55,32,50,
      46,51,49,57,49,49,101,45,48,55,32,50,46,52,51,50,53,51,101,45,48,55,10,32,32,
      50,46,53,53,57,50,56,101,45,48,55,32,50,46,54,55,50,54,55,101,45,48,55,32,50,
      46,55,57,56,52,54,101,45,48,55,32,50,46,56,57,49,52,53,101,45,48,55,32,51,46,
      48,52,51,56,101,45,48,55,32,51,46,49,51,55,54,53,101,45,48,55,32,51,46,50,53,
      52,55,49,101,45,48,55,10,32,32,51,46,53,50,56,57,101,45,48,55,32,51,46,57,49,
      48,49,50,101,45,48,55,32,52,46,50,56,56,101,45,48,55,32,52,46,55,55,50,54,57,
      101,45,48,55,32,53,46,50,55,55,52,52,101,45,48,55,32,53,46,57,50,51,55,54,101,
      45,48,55,32,54,46,53,48,56,50,51,101,45,48,55,10,32,32,55,46,49,48,57,49,52,
      101,45,48,55,32,56,46,49,50,56,51,55,101,45,48,55,32,57,46,48,50,57,50,56,101,
      45,48,55,32,49,46,48,50,49,48,55,101,45,48,54,32,49,46,50,49,48,55,56,101,45,
      48,54,32,49,46,52,48,57,49,52,101,45,48,54,32,49,46,54,51,56,50,101,45,48,54,
      10,32,32,49,46,57,51,53,57,56,101,45,48,54,32,50,46,50,54,56,49,56,101,45,48,
      54,32,50,46,53,56,49,57,55,101,45,48,54,32,50,46,57,49,49,55,54,101,45,48,54,
      32,51,46,50,53,49,53,51,101,45,48,54,32,51,46,54,52,52,48,54,101,45,48,54,32,
      52,46,48,56,48,49,57,101,45,48,54,10,32,32,52,46,53,52,51,50,52,101,45,48,54,
      32,52,46,57,50,57,48,49,101,45,48,54,32,53,46,51,49,50,48,49,101,45,48,54,32,
      53,46,54,48,56,52,101,45,48,54,32,53,46,56,53,51,54,53,101,45,48,54,32,54,46,
      48,54,51,51,56,101,45,48,54,32,54,46,50,49,53,53,54,101,45,48,54,10,32,32,54,
      46,50,56,50,55,54,101,45,48,54,32,54,46,51,48,56,53,101,45,48,54,32,54,46,50,
      56,55,56,50,101,45,48,54,32,54,46,50,50,52,49,49,101,45,48,54,32,54,46,49,50,
      50,51,49,101,45,48,54,32,53,46,57,56,55,53,101,45,48,54,32,53,46,56,50,52,55,
      55,101,45,48,54,10,32,32,53,46,54,51,56,55,57,101,45,48,54,32,53,46,52,51,51,
      57,57,101,45,48,54,32,53,46,50,49,52,52,53,101,45,48,54,32,52,46,57,56,52,49,
      101,45,48,54,32,52,46,55,52,54,50,51,101,45,48,54,32,52,46,53,48,52,50,52,101,
      45,48,54,32,52,46,50,54,49,48,51,101,45,48,54,10,32,32,52,46,48,49,56,56,56,
      101,45,48,54,32,51,46,55,55,57,55,56,101,45,48,54,32,51,46,53,52,53,53,56,101,
      45,48,54,32,51,46,51,49,55,54,53,101,45,48,54,32,51,46,48,57,55,50,50,101,45,
      48,54,32,50,46,56,56,53,101,45,48,54,32,50,46,54,56,49,55,53,101,45,48,54,10,
      32,32,50,46,52,56,56,101,45,48,54,32,50,46,51,48,52,48,52,101,45,48,54,32,50,
      46,49,51,48,48,49,101,45,48,54,32,49,46,57,54,53,56,52,101,45,48,54,32,49,46,
      56,49,49,53,50,101,45,48,54,32,49,46,54,54,54,57,49,101,45,48,54,32,49,46,53,
      51,49,55,49,101,45,48,54,10,32,32,49,46,52,48,53,54,51,101,45,48,54,32,49,46,
      50,56,56,51,51,101,45,48,54,32,49,46,49,55,57,52,50,101,45,48,54,32,49,46,48,
      55,56,52,57,101,45,48,54,32,57,46,56,53,49,52,50,101,45,48,55,32,56,46,57,56,
      57,52,55,101,45,48,55,32,56,46,49,57,53,48,56,101,45,48,55,10,32,32,55,46,54,
      50,49,50,49,101,45,48,55,32,55,46,48,56,51,54,52,101,45,48,55,32,54,46,53,56,
      48,53,50,101,45,48,55,32,54,46,49,48,57,56,51,101,45,48,55,32,53,46,54,55,48,
      48,56,101,45,48,55,32,53,46,50,48,56,55,57,101,45,48,55,32,52,46,54,55,52,52,
      53,101,45,48,55,10,32,32,52,46,49,57,49,50,56,101,45,48,55,32,51,46,55,53,52,
      57,51,101,45,48,55,32,51,46,51,54,49,50,55,101,45,48,55,32,51,46,48,48,54,53,
      52,101,45,48,55,32,50,46,54,56,55,51,101,45,48,55,32,50,46,52,48,48,50,57,101,
      45,48,55,32,50,46,49,52,50,53,50,101,45,48,55,10,32,32,49,46,57,49,49,50,51,
      101,45,48,55,32,49,46,55,48,51,56,55,101,45,48,55,32,49,46,53,49,56,49,49,101,
      45,48,55,32,49,46,51,53,49,56,51,101,45,48,55,32,49,46,50,48,51,49,49,101,45,
      48,55,32,49,46,48,55,48,50,101,45,48,55,32,57,46,53,49,53,48,56,101,45,48,56,
      10,32,32,56,46,52,53,53,56,50,101,45,48,56,32,55,46,53,49,49,48,51,101,45,48,
      56,32,54,46,54,54,56,56,52,101,45,48,56,32,53,46,57,49,56,53,52,101,45,48,56,
      32,53,46,50,53,48,52,55,101,45,48,56,32,52,46,54,53,53,56,54,101,45,48,56,32,
      52,46,49,50,55,50,53,101,45,48,56,10,32,32,51,46,54,53,55,50,51,101,45,48,56,
      32,51,46,50,51,57,53,57,101,45,48,56,32,50,46,56,54,56,54,54,101,45,48,56,32,
      50,46,53,51,57,52,101,45,48,56,32,50,46,50,52,55,50,51,101,45,48,56,32,49,46,
      57,56,56,48,57,101,45,48,56,32,49,46,55,53,56,51,49,101,45,48,56,10,32,32,49,
      46,53,53,52,54,54,101,45,48,56,32,49,46,51,55,52,50,50,101,45,48,56,32,49,46,
      50,49,52,52,101,45,48,56,32,49,46,48,55,50,56,56,101,45,48,56,32,57,46,52,55,
      54,50,57,101,45,48,57,32,56,46,51,54,55,57,56,101,45,48,57,32,55,46,51,56,55,
      53,52,101,45,48,57,10,32,32,53,46,55,53,51,57,53,101,45,48,57,32,52,46,52,55,
      55,55,56,101,45,48,57,32,51,46,52,56,49,57,57,101,45,48,57,32,50,46,55,48,53,
      54,55,101,45,48,57,32,50,46,49,48,48,57,55,101,45,48,57,32,49,46,54,51,48,51,
      54,101,45,48,57,32,49,46,50,54,52,51,56,101,45,48,57,10,32,32,57,46,55,57,57,
      56,54,101,45,49,48,32,55,46,53,57,49,52,101,45,49,48,32,53,46,56,55,55,53,55,
      101,45,49,48,32,52,46,53,52,56,51,54,101,45,49,48,32,51,46,53,49,56,48,55,101,
      45,49,48,32,50,46,55,49,57,57,50,101,45,49,48,32,50,46,49,48,49,57,55,101,45,
      49,48,10,32,32,49,46,54,50,51,55,56,101,45,49,48,32,49,46,50,53,51,57,101,45,
      49,48,32,57,46,54,55,57,51,57,101,45,49,49,32,55,46,52,54,57,51,56,101,45,49,
      49,32,53,46,55,54,50,48,52,101,45,49,49,32,52,46,52,52,51,53,56,101,45,49,49,
      32,51,46,52,50,53,56,50,101,45,49,49,10,32,32,50,46,54,52,48,52,50,101,45,49,
      49,32,50,46,48,51,52,53,51,101,45,49,49,32,49,46,53,54,55,50,54,101,45,49,49,
      32,49,46,50,48,55,48,49,101,45,49,49,32,57,46,50,57,51,53,49,101,45,49,50,32,
      55,46,49,53,52,48,50,101,45,49,50,32,53,46,53,48,53,57,101,45,49,50,10,32,32,
      52,46,50,51,54,54,57,101,45,49,50,32,48,114,49,48,32,50,46,53,55,56,49,56,101,
      45,50,50,32,53,46,49,57,57,56,53,101,45,50,50,32,57,46,54,55,57,56,101,45,50,
      50,32,49,46,54,57,55,48,55,101,45,50,49,32,50,46,56,51,49,53,50,101,45,50,49,
      32,52,46,53,51,49,49,51,101,45,50,49,10,32,32,54,46,57,55,49,50,53,101,45,50,
      49,32,49,46,48,51,54,54,50,101,45,50,48,32,49,46,53,48,49,48,56,101,45,50,48,
      32,50,46,49,50,51,55,57,101,45,50,48,32,50,46,57,52,50,56,56,101,45,50,48,32,
      51,46,57,54,54,53,55,101,45,50,48,32,53,46,50,54,48,49,56,101,45,50,48,10,32,
      32,54,46,56,55,52,56,57,101,45,50,48,32,56,46,56,54,55,52,55,101,45,50,48,32,
      49,46,49,50,51,51,50,101,45,49,57,32,49,46,52,48,48,51,54,101,45,49,57,32,49,
      46,55,50,56,57,49,101,45,49,57,32,50,46,49,49,53,53,51,101,45,49,57,32,50,46,
      53,54,54,49,56,101,45,49,57,10,32,32,51,46,48,53,51,57,57,101,45,49,57,32,51,
      46,54,49,48,54,50,101,45,49,57,32,52,46,50,52,50,53,52,101,45,49,57,32,52,46,
      57,53,54,55,55,101,45,49,57,32,53,46,55,50,52,49,101,45,49,57,32,54,46,53,52,
      53,49,49,101,45,49,57,32,55,46,52,53,50,53,56,101,45,49,57,10,32,32,56,46,52,
      53,50,56,57,101,45,49,57,32,57,46,53,52,55,55,50,101,45,49,57,32,49,46,48,54,
      52,50,53,101,45,49,56,32,49,46,49,56,50,57,57,101,45,49,56,32,49,46,51,49,49,
      52,55,101,45,49,56,32,49,46,52,53,48,50,52,101,45,49,56,32,49,46,53,57,50,53,
      53,101,45,49,56,10,32,32,49,46,55,51,57,48,55,101,45,49,56,32,49,46,56,57,53,
      54,55,101,45,49,56,32,50,46,48,54,50,56,50,101,45,49,56,32,50,46,50,52,48,50,
      54,101,45,49,56,32,50,46,52,49,54,50,52,101,45,49,56,32,50,46,54,48,50,55,56,
      101,45,49,56,32,50,46,56,48,48,51,56,101,45,49,56,10,32,32,51,46,48,48,57,52,
      101,45,49,56,32,51,46,50,50,52,52,50,101,45,49,56,32,51,46,52,52,54,53,51,101,
      45,49,56,32,51,46,54,56,48,53,49,101,45,49,56,32,51,46,57,50,54,55,50,101,45,
      49,56,32,52,46,49,56,53,52,53,101,45,49,56,32,52,46,52,53,51,53,52,101,45,49,
      56,10,32,32,52,46,55,51,52,57,49,101,45,49,56,32,53,46,48,51,48,49,49,101,45,
      49,56,32,53,46,51,51,57,53,57,101,45,49,56,32,53,46,54,54,54,56,50,101,45,49,
      56,32,54,46,48,49,49,57,54,101,45,49,56,32,54,46,51,55,51,49,51,101,45,49,56,
      32,54,46,55,53,48,56,56,101,45,49,56,10,32,32,55,46,49,52,55,49,52,101,45,49,
      56,32,55,46,53,55,54,55,57,101,45,49,56,32,56,46,48,50,53,56,56,101,45,49,56,
      32,56,46,52,57,53,48,54,101,45,49,56,32,56,46,57,56,52,57,51,101,45,49,56,32,
      57,46,53,49,50,52,55,101,45,49,56,32,49,46,48,48,55,53,49,101,45,49,55,10,32,
      32,49,46,48,54,54,51,101,45,49,55,32,49,46,49,50,55,54,51,101,45,49,55,32,49,
      46,49,57,49,57,53,101,45,49,55,32,49,46,50,54,50,49,57,101,45,49,55,32,49,46,
      51,51,53,53,101,45,49,55,32,49,46,52,49,50,48,50,101,45,49,55,32,49,46,52,57,
      49,56,52,101,45,49,55,10,32,32,49,46,53,55,54,56,101,45,49,55,32,49,46,54,54,
      54,53,57,101,45,49,55,32,49,46,55,54,48,50,53,101,45,49,55,32,49,46,56,53,55,
      56,57,101,45,49,55,32,49,46,57,53,57,53,55,101,45,49,55,32,50,46,48,54,53,52,
      50,101,45,49,55,32,50,46,49,55,53,54,54,101,45,49,55,10,32,32,50,46,50,57,48,
      51,50,101,45,49,55,32,50,46,52,48,57,53,101,45,49,55,32,50,46,53,50,57,50,51,
      101,45,49,55,32,50,46,54,53,48,56,49,101,45,49,55,32,50,46,55,55,54,57,50,101,
      45,49,55,32,50,46,57,48,55,53,101,45,49,55,32,51,46,48,52,48,53,101,45,49,55,
      10,32,32,51,46,49,54,49,52,54,101,45,49,55,32,51,46,50,56,54,49,51,101,45,49,
      55,32,51,46,52,49,52,53,55,101,45,49,55,32,51,46,53,52,54,56,55,101,45,49,55,
      32,51,46,54,54,48,57,54,101,45,49,55,32,51,46,55,54,52,55,52,101,45,49,55,32,
      51,46,56,55,49,51,55,101,45,49,55,10,32,32,51,46,57,56,48,56,53,101,45,49,55,
      32,52,46,48,56,54,49,51,101,45,49,55,32,52,46,49,52,55,48,51,101,45,49,55,32,
      52,46,50,49,48,54,55,101,45,49,55,32,52,46,50,55,54,57,57,101,45,49,55,32,52,
      46,51,52,53,57,54,101,45,49,55,32,52,46,51,55,50,55,56,101,45,49,55,10,32,32,
      52,46,51,55,56,51,54,101,45,49,55,32,52,46,51,56,56,51,51,101,45,49,55,32,52,
      46,52,48,50,52,49,101,45,49,55,32,52,46,52,48,57,48,52,101,45,49,55,32,52,46,
      51,53,52,49,57,101,45,49,55,32,52,46,51,48,55,52,49,101,45,49,55,32,52,46,50,
      54,55,57,50,101,45,49,55,10,32,32,52,46,50,51,53,51,53,101,45,49,55,32,52,46,
      49,53,57,55,51,101,45,49,55,32,52,46,48,54,56,54,101,45,49,55,32,51,46,57,56,
      56,53,55,101,45,49,55,32,51,46,57,49,56,50,54,101,45,49,55,32,51,46,56,52,54,
      48,55,101,45,49,55,32,51,46,55,50,57,48,53,101,45,49,55,10,32,32,51,46,54,50,
      53,55,53,101,45,49,55,32,51,46,53,51,52,51,53,101,45,49,55,32,51,46,52,53,51,
      52,53,101,45,49,55,32,51,46,51,52,55,53,49,101,45,49,55,32,51,46,50,51,55,52,
      57,101,45,49,55,32,51,46,49,52,48,49,49,101,45,49,55,32,51,46,48,53,51,54,54,
      101,45,49,55,10,32,32,50,46,57,55,48,50,49,101,45,49,55,32,50,46,56,54,53,53,
      55,101,45,49,55,32,50,46,55,55,50,56,52,101,45,49,55,32,50,46,54,57,48,50,57,
      101,45,49,55,32,50,46,54,49,54,55,56,101,45,49,55,32,50,46,53,51,51,55,55,101,
      45,49,55,32,50,46,52,53,49,57,53,101,45,49,55,10,32,32,50,46,51,55,57,101,45,
      49,55,32,50,46,51,49,51,55,53,101,45,49,55,32,50,46,50,53,50,51,49,101,45,49,
      55,32,50,46,49,56,52,50,55,101,45,49,55,32,50,46,49,50,51,51,50,101,45,49,55,
      32,50,46,48,54,56,53,55,101,45,49,55,32,50,46,48,49,57,51,54,101,45,49,55,10,
      32,32,49,46,57,54,56,57,51,101,45,49,55,32,49,46,57,50,48,55,54,101,45,49,55,
      32,49,46,56,55,55,51,51,101,45,49,55,32,49,46,56,51,56,49,55,101,45,49,55,32,
      49,46,56,48,50,48,55,101,45,49,55,32,49,46,55,54,54,53,56,101,45,49,55,32,49,
      46,55,51,52,52,56,101,45,49,55,10,32,32,49,46,55,48,53,52,101,45,49,55,32,49,
      46,54,55,57,48,57,101,45,49,55,32,49,46,54,53,53,54,52,101,45,49,55,32,49,46,
      54,51,52,54,50,101,45,49,55,32,49,46,54,49,53,54,53,101,45,49,55,32,49,46,53,
      57,56,53,52,101,45,49,55,32,49,46,53,56,51,57,55,101,45,49,55,10,32,32,49,46,
      53,55,51,57,57,101,45,49,55,32,49,46,53,54,53,50,54,101,45,49,55,32,49,46,53,
      53,53,52,51,101,45,49,55,32,49,46,53,53,51,52,52,101,45,49,55,32,49,46,53,57,
      48,56,49,101,45,49,55,32,49,46,55,54,55,48,53,101,45,49,55,32,50,46,49,51,49,
      52,49,101,45,49,55,10,32,32,50,46,55,51,54,48,56,101,45,49,55,32,51,46,55,48,
      50,51,52,101,45,49,55,32,53,46,49,52,48,49,53,101,45,49,55,32,55,46,49,55,55,
      57,52,101,45,49,55,32,57,46,56,52,57,55,52,101,45,49,55,32,49,46,51,49,49,49,
      50,101,45,49,54,32,49,46,54,55,55,51,51,101,45,49,54,10,32,32,50,46,48,55,55,
      57,55,101,45,49,54,32,50,46,53,49,55,54,56,101,45,49,54,32,57,46,57,56,55,52,
      56,101,45,49,53,32,53,46,54,50,51,57,52,101,45,49,52,32,55,46,55,54,57,52,49,
      101,45,49,52,32,49,46,49,52,55,54,55,101,45,49,51,32,49,46,56,49,53,49,54,101,
      45,49,51,10,32,32,51,46,52,56,50,54,57,101,45,49,51,32,54,46,57,55,50,56,51,
      101,45,49,51,32,49,46,51,53,50,56,52,101,45,49,50,32,50,46,53,50,53,55,56,101,
      45,49,50,32,51,46,53,57,55,56,53,101,45,49,50,32,52,46,48,52,50,56,55,101,45,
      49,50,32,51,46,55,55,51,54,57,101,45,49,50,10,32,32,51,46,52,52,48,52,51,101,
      45,49,50,32,51,46,50,51,54,52,51,101,45,49,50,32,51,46,50,51,56,54,52,101,45,
      49,50,32,51,46,53,49,57,101,45,49,50,32,52,46,50,52,50,51,56,101,45,49,50,32,
      53,46,56,48,50,53,57,101,45,49,50,32,57,46,52,51,56,49,54,101,45,49,50,10,32,
      32,49,46,54,53,51,57,50,101,45,49,49,32,51,46,48,48,54,50,57,101,45,49,49,32,
      52,46,56,56,57,48,52,101,45,49,49,32,53,46,51,55,57,51,53,101,45,49,49,32,52,
      46,56,54,50,49,56,101,45,49,49,32,52,46,48,54,51,52,56,101,45,49,49,32,51,46,
      52,48,53,55,54,101,45,49,49,10,32,32,51,46,48,57,55,55,50,101,45,49,49,32,51,
      46,48,56,48,56,54,101,45,49,49,32,51,46,51,55,57,49,101,45,49,49,32,52,46,48,
      48,52,55,49,101,45,49,49,32,53,46,48,55,48,56,53,101,45,49,49,32,54,46,57,50,
      48,52,101,45,49,49,32,49,46,48,49,55,57,53,101,45,49,48,10,32,32,49,46,51,56,
      51,55,53,101,45,49,48,32,49,46,56,50,50,50,50,101,45,49,48,32,50,46,50,56,52,
      51,49,101,45,49,48,32,50,46,57,50,55,56,54,101,45,49,48,32,52,46,48,53,57,56,
      49,101,45,49,48,32,53,46,50,53,51,53,55,101,45,49,48,32,54,46,50,51,53,49,51,
      101,45,49,48,10,32,32,54,46,57,48,50,53,50,101,45,49,48,32,55,46,56,53,55,50,
      53,101,45,49,48,32,57,46,48,50,52,49,52,101,45,49,48,32,49,46,48,48,54,53,52,
      101,45,48,57,32,49,46,48,54,48,56,101,45,48,57,32,49,46,48,57,53,54,49,101,
      45,48,57,32,49,46,49,54,48,52,49,101,45,48,57,10,32,32,49,46,51,48,57,54,54,
      101,45,48,57,32,49,46,53,51,56,52,51,101,45,48,57,32,49,46,55,54,56,50,56,101,
      45,48,57,32,50,46,51,51,57,49,56,101,45,48,57,32,51,46,49,49,52,55,55,101,45,
      48,57,32,52,46,50,51,53,48,53,101,45,48,57,32,53,46,57,57,50,51,50,101,45,48,
      57,10,32,32,55,46,55,54,54,53,51,101,45,48,57,32,57,46,50,52,49,52,55,101,45,
      48,57,32,49,46,48,49,55,54,51,101,45,48,56,32,49,46,48,57,48,50,56,101,45,48,
      56,32,49,46,49,53,57,48,51,101,45,48,56,32,49,46,50,51,56,54,53,101,45,48,56,
      32,49,46,50,57,57,53,50,101,45,48,56,10,32,32,49,46,51,55,49,56,52,101,45,48,
      56,32,49,46,53,52,51,53,57,101,45,48,56,32,49,46,55,48,49,54,49,101,45,48,56,
      32,50,46,48,54,53,53,51,101,45,48,56,32,50,46,54,50,49,51,51,101,45,48,56,32,
      51,46,48,51,54,56,57,101,45,48,56,32,51,46,53,48,53,57,50,101,45,48,56,10,32,
      32,52,46,51,51,51,55,52,101,45,48,56,32,53,46,51,52,49,49,52,101,45,48,56,32,
      53,46,57,48,52,50,53,101,45,48,56,32,54,46,55,52,56,48,49,101,45,48,56,32,55,
      46,49,57,50,51,50,101,45,48,56,32,55,46,55,56,49,51,50,101,45,48,56,32,55,46,
      50,52,50,55,101,45,48,56,10,32,32,56,46,49,48,52,55,56,101,45,48,56,32,56,46,
      52,55,52,49,56,101,45,48,56,32,57,46,50,48,53,48,56,101,45,48,56,32,49,46,48,
      48,52,50,101,45,48,55,32,49,46,48,55,54,49,52,101,45,48,55,32,49,46,49,52,57,
      57,51,101,45,48,55,32,49,46,50,50,48,53,49,101,45,48,55,10,32,32,49,46,50,57,
      49,52,49,101,45,48,55,32,49,46,51,55,49,53,50,101,45,48,55,32,49,46,52,52,51,
      56,53,101,45,48,55,32,49,46,53,50,52,56,101,45,48,55,32,49,46,53,56,53,49,52,
      101,45,48,55,32,49,46,54,56,52,56,53,101,45,48,55,32,49,46,55,52,54,55,101,
      45,48,55,10,32,32,49,46,56,50,52,50,50,101,45,48,55,32,50,46,48,48,55,53,101,
      45,48,55,32,50,46,50,54,53,50,53,101,45,48,55,32,50,46,53,50,50,51,101,45,48,
      55,32,50,46,56,53,49,53,51,101,45,48,55,32,51,46,49,57,49,49,53,101,45,48,55,
      32,51,46,54,49,54,56,55,101,45,48,55,10,32,32,51,46,57,57,50,49,51,101,45,48,
      55,32,52,46,52,48,54,48,52,101,45,48,55,32,53,46,48,52,52,50,53,101,45,48,55,
      32,53,46,53,53,51,57,101,45,48,55,32,54,46,50,49,49,56,55,101,45,48,55,32,55,
      46,50,54,50,51,55,101,45,48,55,32,56,46,51,54,55,51,49,101,45,48,55,10,32,32,
      57,46,54,53,57,53,56,101,45,48,55,32,49,46,49,51,54,57,57,101,45,48,54,32,49,
      46,51,51,50,50,57,101,45,48,54,32,49,46,53,50,49,48,55,101,45,48,54,32,49,46,
      55,50,52,49,51,101,45,48,54,32,49,46,57,51,56,51,54,101,45,48,54,32,50,46,49,
      57,50,50,57,101,45,48,54,10,32,32,50,46,52,56,50,55,55,101,45,48,54,32,50,46,
      56,48,49,55,51,101,45,48,54,32,51,46,48,55,55,51,101,45,48,54,32,51,46,51,54,
      49,55,55,101,45,48,54,32,51,46,53,57,50,48,53,101,45,48,54,32,51,46,55,57,51,
      53,51,101,45,48,54,32,51,46,57,55,57,57,51,101,45,48,54,10,32,32,52,46,49,51,
      51,101,45,48,54,32,52,46,50,49,55,50,50,101,45,48,54,32,52,46,50,55,57,48,51,
      101,45,48,54,32,52,46,51,48,51,48,49,101,45,48,54,32,52,46,50,57,57,48,52,101,
      45,48,54,32,52,46,50,54,54,55,49,101,45,48,54,32,52,46,50,48,56,53,54,101,45,
      48,54,10,32,32,52,46,49,50,55,50,51,101,45,48,54,32,52,46,48,50,53,56,53,101,
      45,48,54,32,51,46,57,48,55,52,53,101,45,48,54,32,51,46,55,55,53,50,56,101,45,
      48,54,32,51,46,54,51,50,50,52,101,45,48,54,32,51,46,52,56,48,57,50,101,45,48,
      54,32,51,46,51,50,51,54,50,101,45,48,54,10,32,32,51,46,49,54,50,52,49,101,45,
      48,54,32,50,46,57,57,57,50,57,101,45,48,54,32,50,46,56,51,54,48,53,101,45,48,
      54,32,50,46,54,55,52,49,52,101,45,48,54,32,50,46,53,49,52,55,53,101,45,48,54,
      32,50,46,51,53,56,57,51,101,45,48,54,32,50,46,50,48,55,52,56,101,45,48,54,10,
      32,32,50,46,48,54,49,49,57,101,45,48,54,32,49,46,57,50,48,53,51,101,45,48,54,
      32,49,46,55,56,53,57,53,101,45,48,54,32,49,46,54,53,55,54,101,45,48,54,32,49,
      46,53,51,53,55,54,101,45,48,54,32,49,46,52,50,48,52,57,101,45,48,54,32,49,46,
      51,49,49,55,57,101,45,48,54,10,32,32,49,46,50,48,57,54,101,45,48,54,32,49,46,
      49,49,51,55,56,101,45,48,54,32,49,46,48,50,52,49,56,101,45,48,54,32,57,46,52,
      48,53,56,101,45,48,55,32,56,46,54,50,55,50,51,101,45,48,55,32,55,46,57,48,51,
      55,52,101,45,48,55,32,55,46,50,51,50,55,56,101,45,48,55,10,32,32,54,46,54,49,
      49,56,57,101,45,48,55,32,54,46,49,54,49,55,57,101,45,48,55,32,53,46,55,51,56,
      57,50,101,45,48,55,32,53,46,51,52,49,57,52,101,45,48,55,32,52,46,57,54,57,54,
      57,101,45,48,55,32,52,46,54,50,48,57,56,101,45,48,55,32,52,46,50,53,52,49,55,
      101,45,48,55,10,32,32,51,46,56,50,55,56,55,101,45,48,55,32,51,46,52,52,49,48,
      49,101,45,48,55,32,51,46,48,57,48,51,49,101,45,48,55,32,50,46,55,55,50,56,56,
      101,45,48,55,32,50,46,52,56,53,57,57,101,45,48,55,32,50,46,50,50,55,48,51,101,
      45,48,55,32,49,46,57,57,51,53,53,101,45,48,55,10,32,32,49,46,55,56,51,50,55,
      101,45,48,55,32,49,46,53,57,52,48,54,101,45,48,55,32,49,46,52,50,51,57,55,101,
      45,48,55,32,49,46,50,55,49,50,49,101,45,48,55,32,49,46,49,51,52,49,52,101,45,
      48,55,32,49,46,48,49,49,50,54,101,45,48,55,32,57,46,48,49,49,56,55,101,45,48,
      56,10,32,32,56,46,48,50,54,54,53,101,45,48,56,32,55,46,49,52,53,52,101,45,48,
      56,32,54,46,51,53,55,54,51,101,45,48,56,32,53,46,54,53,52,48,50,101,45,48,56,
      32,53,46,48,50,53,57,54,101,45,48,56,32,52,46,52,54,53,54,55,101,45,48,56,32,
      51,46,57,54,54,48,55,101,45,48,56,10,32,32,51,46,53,50,49,48,56,101,45,48,56,
      32,51,46,49,50,52,55,51,101,45,48,56,32,50,46,55,55,49,57,49,101,45,48,56,32,
      50,46,52,53,56,48,50,101,45,48,56,32,50,46,49,55,56,56,56,101,45,48,56,32,49,
      46,57,51,48,55,54,101,45,48,56,32,49,46,55,49,48,51,50,101,45,48,56,10,32,32,
      49,46,53,49,52,53,55,101,45,48,56,32,49,46,51,52,48,56,49,101,45,48,56,32,49,
      46,49,56,54,54,49,101,45,48,56,32,49,46,48,52,57,56,53,101,45,48,56,32,57,46,
      50,56,53,57,50,101,45,48,57,32,56,46,50,49,49,50,49,101,45,48,57,32,55,46,50,
      53,57,48,50,101,45,48,57,10,32,32,54,46,52,49,53,54,101,45,48,57,32,53,46,48,
      48,55,55,57,101,45,48,57,32,51,46,57,48,53,50,54,101,45,48,57,32,51,46,48,52,
      50,56,57,101,45,48,57,32,50,46,51,54,57,48,51,101,45,48,57,32,49,46,56,52,50,
      57,51,101,45,48,57,32,49,46,52,51,50,54,50,101,45,48,57,10,32,32,49,46,49,49,
      50,57,49,101,45,48,57,32,56,46,54,52,48,48,49,101,45,49,48,32,54,46,55,48,51,
      53,56,101,45,49,48,32,53,46,49,57,56,49,56,101,45,49,48,32,52,46,48,50,56,54,
      56,101,45,49,48,32,51,46,49,50,48,54,56,101,45,49,48,32,50,46,52,49,54,49,52,
      101,45,49,48,10,32,32,49,46,56,54,57,55,57,101,45,49,48,32,49,46,52,52,54,51,
      50,101,45,49,48,32,49,46,49,49,56,50,57,101,45,49,48,32,56,46,54,52,51,50,55,
      101,45,49,49,32,54,46,54,55,55,55,53,101,45,49,49,32,53,46,49,53,55,50,57,101,
      45,49,49,32,51,46,57,56,49,54,56,101,45,49,49,10,32,32,51,46,48,55,51,48,55,
      101,45,49,49,32,50,46,51,55,49,48,55,101,45,49,49,32,49,46,56,50,56,57,101,
      45,49,49,32,49,46,52,49,48,50,57,101,45,49,49,32,49,46,48,56,55,50,101,45,49,
      49,32,56,46,51,55,57,49,101,45,49,50,32,54,46,52,53,54,50,49,101,45,49,50,10,
      32,32,52,46,57,55,51,51,56,101,45,49,50,32,51,46,56,51,48,51,49,101,45,49,50,
      32,48,114,49,48,32,55,46,54,54,49,53,57,101,45,50,51,32,49,46,53,52,53,51,53,
      101,45,50,50,32,50,46,56,55,54,57,54,101,45,50,50,32,53,46,48,52,52,50,57,101,
      45,50,50,32,56,46,52,49,55,48,51,101,45,50,50,10,32,32,49,46,51,52,55,48,54,
      101,45,50,49,32,50,46,48,55,50,54,57,101,45,50,49,32,51,46,48,56,50,52,101,
      45,50,49,32,52,46,52,54,51,57,54,101,45,50,49,32,54,46,51,49,54,53,53,101,45,
      50,49,32,56,46,55,53,51,55,54,101,45,50,49,32,49,46,49,56,48,48,50,101,45,50,
      48,10,32,32,49,46,53,54,53,48,54,101,45,50,48,32,50,46,48,52,53,55,54,101,45,
      50,48,32,50,46,54,51,57,48,53,101,45,50,48,32,51,46,51,52,51,53,56,101,45,50,
      48,32,52,46,49,54,56,55,49,101,45,50,48,32,53,46,49,52,55,52,54,101,45,50,48,
      32,54,46,50,57,57,51,52,101,45,50,48,10,32,32,55,46,54,52,50,50,53,101,45,50,
      48,32,57,46,48,57,54,48,50,101,45,50,48,32,49,46,48,55,53,53,49,101,45,49,57,
      32,49,46,50,54,51,56,57,101,45,49,57,32,49,46,52,55,54,56,101,45,49,57,32,49,
      46,55,48,53,53,52,101,45,49,57,32,49,46,57,53,48,50,54,101,45,49,57,10,32,32,
      50,46,50,50,48,55,52,101,45,49,57,32,50,46,53,49,56,56,50,101,45,49,57,32,50,
      46,56,52,52,57,56,101,45,49,57,32,51,46,49,55,49,48,53,101,45,49,57,32,51,46,
      53,50,52,54,54,101,45,49,57,32,51,46,57,48,55,51,56,101,45,49,57,32,52,46,51,
      50,48,55,55,101,45,49,57,10,32,32,52,46,55,52,52,55,51,101,45,49,57,32,53,46,
      49,56,49,49,51,101,45,49,57,32,53,46,54,52,55,55,101,45,49,57,32,54,46,49,52,
      53,55,101,45,49,57,32,54,46,54,55,52,51,49,101,45,49,57,32,55,46,49,57,56,54,
      50,101,45,49,57,32,55,46,55,53,52,52,51,101,45,49,57,10,32,32,56,46,51,52,51,
      50,50,101,45,49,57,32,56,46,57,54,54,49,49,101,45,49,57,32,57,46,54,48,54,56,
      55,101,45,49,57,32,49,46,48,50,54,56,54,101,45,49,56,32,49,46,48,57,54,53,56,
      101,45,49,56,32,49,46,49,54,57,57,55,101,45,49,56,32,49,46,50,52,55,48,56,101,
      45,49,56,10,32,32,49,46,51,50,54,57,56,101,45,49,56,32,49,46,52,49,48,56,53,
      101,45,49,56,32,49,46,52,57,56,56,51,101,45,49,56,32,49,46,53,57,49,48,53,101,
      45,49,56,32,49,46,54,56,56,54,101,45,49,56,32,49,46,55,57,49,52,54,101,45,49,
      56,32,49,46,56,57,57,49,51,101,45,49,56,10,32,32,50,46,48,49,49,55,53,101,45,
      49,56,32,50,46,49,50,57,56,55,101,45,49,56,32,50,46,50,53,55,57,55,101,45,49,
      56,32,50,46,51,57,49,56,55,101,45,49,56,32,50,46,53,51,49,55,55,101,45,49,56,
      32,50,46,54,55,55,56,55,101,45,49,56,32,50,46,56,51,53,50,49,101,45,49,56,10,
      32,32,51,46,48,48,51,48,55,101,45,49,56,32,51,46,49,55,56,51,57,101,45,49,56,
      32,51,46,51,54,49,51,56,101,45,49,56,32,51,46,53,53,51,50,55,101,45,49,56,32,
      51,46,55,54,50,56,50,101,45,49,56,32,51,46,57,56,49,54,53,101,45,49,56,32,52,
      46,50,49,48,48,53,101,45,49,56,10,32,32,52,46,52,52,56,51,49,101,45,49,56,32,
      52,46,55,48,49,57,52,101,45,49,56,32,52,46,57,55,48,48,53,101,45,49,56,32,53,
      46,50,52,57,55,51,101,45,49,56,32,53,46,53,52,49,51,55,101,45,49,56,32,53,46,
      56,52,53,49,53,101,45,49,56,32,54,46,49,54,49,51,57,101,45,49,56,10,32,32,54,
      46,52,57,48,56,52,101,45,49,56,32,54,46,56,51,51,53,53,101,45,49,56,32,55,46,
      49,56,57,55,55,101,45,49,56,32,55,46,53,52,55,54,57,101,45,49,56,32,55,46,57,
      49,49,49,57,101,45,49,56,32,56,46,50,56,56,51,53,101,45,49,56,32,56,46,54,55,
      56,57,53,101,45,49,56,10,32,32,57,46,48,55,54,56,101,45,49,56,32,57,46,52,51,
      56,54,101,45,49,56,32,57,46,56,49,49,52,57,101,45,49,56,32,49,46,48,49,57,53,
      55,101,45,49,55,32,49,46,48,53,57,49,52,101,45,49,55,32,49,46,48,57,51,50,54,
      101,45,49,55,32,49,46,49,50,52,50,57,101,45,49,55,10,32,32,49,46,49,53,54,49,
      54,101,45,49,55,32,49,46,49,56,56,57,101,45,49,55,32,49,46,50,50,48,51,55,101,
      45,49,55,32,49,46,50,51,56,53,51,101,45,49,55,32,49,46,50,53,55,53,49,101,45,
      49,55,32,49,46,50,55,55,51,101,45,49,55,32,49,46,50,57,55,56,56,101,45,49,55,
      10,32,32,49,46,51,48,53,56,49,101,45,49,55,32,49,46,51,48,55,51,56,101,45,49,
      55,32,49,46,51,49,48,50,55,101,45,49,55,32,49,46,51,49,52,51,56,101,45,49,55,
      32,49,46,51,49,54,50,55,101,45,49,55,32,49,46,50,57,57,55,51,101,45,49,55,32,
      49,46,50,56,53,54,49,101,45,49,55,10,32,32,49,46,50,55,51,54,56,101,45,49,55,
      32,49,46,50,54,51,56,53,101,45,49,55,32,49,46,50,52,49,49,52,101,45,49,55,32,
      49,46,50,49,51,55,57,101,45,49,55,32,49,46,49,56,57,55,55,101,45,49,55,32,49,
      46,49,54,56,54,56,101,45,49,55,32,49,46,49,52,55,48,51,101,45,49,55,10,32,32,
      49,46,49,49,50,101,45,49,55,32,49,46,48,56,49,48,57,101,45,49,55,32,49,46,48,
      53,51,55,53,101,45,49,55,32,49,46,48,50,57,53,51,101,45,49,55,32,57,46,57,55,
      56,55,55,101,45,49,56,32,57,46,54,53,48,48,53,101,45,49,56,32,57,46,51,53,57,
      48,56,101,45,49,56,10,32,32,57,46,49,48,48,56,51,101,45,49,56,32,56,46,56,53,
      49,54,55,101,45,49,56,32,56,46,53,51,57,52,50,101,45,49,56,32,56,46,50,54,50,
      54,53,101,45,49,56,32,56,46,48,49,54,52,53,101,45,49,56,32,55,46,55,57,55,50,
      54,101,45,49,56,32,55,46,53,52,57,54,54,101,45,49,56,10,32,32,55,46,51,48,53,
      54,56,101,45,49,56,32,55,46,48,56,56,48,52,101,45,49,56,32,54,46,56,57,51,53,
      57,101,45,49,56,32,54,46,55,49,48,52,50,101,45,49,56,32,54,46,53,48,55,53,56,
      101,45,49,56,32,54,46,51,50,53,57,50,101,45,49,56,32,54,46,49,54,50,56,49,101,
      45,49,56,10,32,32,54,46,48,49,54,50,53,101,45,49,56,32,53,46,56,54,53,57,52,
      101,45,49,56,32,53,46,55,50,50,52,55,101,45,49,56,32,53,46,53,57,51,50,49,101,
      45,49,56,32,53,46,52,55,54,53,52,101,45,49,56,32,53,46,51,54,57,48,53,101,45,
      49,56,32,53,46,50,54,51,52,101,45,49,56,10,32,32,53,46,49,54,55,56,54,101,45,
      49,56,32,53,46,48,56,49,51,56,101,45,49,56,32,53,46,48,48,51,49,101,45,49,56,
      32,52,46,57,51,51,51,54,101,45,49,56,32,52,46,56,55,48,55,55,101,45,49,56,32,
      52,46,56,49,52,50,57,101,45,49,56,32,52,46,55,54,51,51,57,101,45,49,56,10,32,
      32,52,46,55,49,57,57,57,101,45,49,56,32,52,46,54,57,48,50,50,101,45,49,56,32,
      52,46,54,54,52,50,101,45,49,56,32,52,46,54,51,52,57,101,45,49,56,32,52,46,54,
      50,56,56,55,101,45,49,56,32,52,46,55,52,48,49,54,101,45,49,56,32,53,46,50,54,
      53,51,53,101,45,49,56,10,32,32,54,46,51,53,49,50,55,101,45,49,56,32,56,46,49,
      53,50,50,57,101,45,49,56,32,49,46,49,48,51,48,50,101,45,49,55,32,49,46,53,51,
      49,52,54,101,45,49,55,32,50,46,49,51,56,57,56,101,45,49,55,32,50,46,57,51,54,
      49,52,101,45,49,55,32,51,46,57,49,48,50,54,101,45,49,55,10,32,32,53,46,48,48,
      53,53,49,101,45,49,55,32,54,46,50,48,53,51,51,101,45,49,55,32,55,46,53,50,51,
      52,54,101,45,49,55,32,50,46,51,49,55,49,51,101,45,49,53,32,49,46,49,55,54,56,
      101,45,49,52,32,49,46,54,53,50,51,57,101,45,49,52,32,50,46,52,57,53,55,55,101,
      45,49,52,10,32,32,52,46,48,54,52,52,55,101,45,49,52,32,56,46,49,54,53,56,52,
      101,45,49,52,32,49,46,55,50,51,53,49,101,45,49,51,32,51,46,53,50,51,51,57,101,
      45,49,51,32,54,46,57,50,49,51,53,101,45,49,51,32,49,46,48,49,52,56,53,101,45,
      49,50,32,49,46,49,52,53,48,50,101,45,49,50,10,32,32,49,46,48,53,51,53,57,101,
      45,49,50,32,57,46,52,53,54,55,53,101,45,49,51,32,56,46,55,56,54,55,54,101,45,
      49,51,32,56,46,55,51,52,49,51,101,45,49,51,32,57,46,52,57,55,57,56,101,45,49,
      51,32,49,46,49,53,55,48,57,101,45,49,50,32,49,46,54,49,57,52,54,101,45,49,50,
      10,32,32,50,46,55,53,49,56,52,101,45,49,50,32,53,46,49,52,52,53,51,101,45,49,
      50,32,49,46,48,50,56,51,53,101,45,49,49,32,49,46,56,52,55,57,50,101,45,49,49,
      32,50,46,48,51,54,56,55,101,45,49,49,32,49,46,55,53,57,49,51,101,45,49,49,32,
      49,46,51,56,52,52,56,101,45,49,49,10,32,32,49,46,49,48,50,54,50,101,45,49,49,
      32,57,46,55,51,49,52,51,101,45,49,50,32,57,46,53,53,49,52,49,101,45,49,50,32,
      49,46,48,52,57,50,52,101,45,49,49,32,49,46,50,54,50,50,57,101,45,49,49,32,49,
      46,54,52,51,54,54,101,45,49,49,32,50,46,51,52,54,50,50,101,45,49,49,10,32,32,
      51,46,54,57,48,56,52,101,45,49,49,32,53,46,51,51,56,52,52,101,45,49,49,32,55,
      46,52,55,53,55,49,101,45,49,49,32,57,46,57,50,54,52,55,101,45,49,49,32,49,46,
      51,54,52,50,56,101,45,49,48,32,50,46,48,55,54,50,57,101,45,49,48,32,50,46,56,
      53,54,49,51,101,45,49,48,10,32,32,51,46,52,56,53,56,53,101,45,49,48,32,51,46,
      56,57,55,51,56,101,45,49,48,32,52,46,52,56,55,52,55,101,45,49,48,32,53,46,50,
      49,51,49,55,101,45,49,48,32,53,46,56,52,57,57,56,101,45,49,48,32,54,46,49,53,
      55,52,56,101,45,49,48,32,54,46,51,50,57,48,54,101,45,49,48,10,32,32,54,46,55,
      48,51,51,57,101,45,49,48,32,55,46,54,51,50,52,51,101,45,49,48,32,57,46,48,54,
      56,49,49,101,45,49,48,32,49,46,48,52,56,53,55,101,45,48,57,32,49,46,51,56,57,
      54,52,101,45,48,57,32,49,46,56,51,53,54,51,101,45,48,57,32,50,46,52,54,51,50,
      51,101,45,48,57,10,32,32,51,46,52,51,54,51,57,101,45,48,57,32,52,46,52,50,50,
      53,57,101,45,48,57,32,53,46,50,52,57,49,56,101,45,48,57,32,53,46,55,55,53,55,
      53,101,45,48,57,32,54,46,49,56,55,49,56,101,45,48,57,32,54,46,53,55,54,53,55,
      101,45,48,57,32,55,46,48,50,55,52,52,101,45,48,57,10,32,32,55,46,51,55,50,48,
      55,101,45,48,57,32,55,46,55,56,49,50,55,101,45,48,57,32,56,46,55,53,54,53,101,
      45,48,57,32,57,46,54,53,56,53,53,101,45,48,57,32,49,46,49,55,53,55,57,101,45,
      48,56,32,49,46,53,48,50,53,55,101,45,48,56,32,49,46,55,53,49,52,57,101,45,48,
      56,10,32,32,50,46,48,51,55,48,52,101,45,48,56,32,50,46,53,53,49,56,54,101,45,
      48,56,32,51,46,49,57,51,55,53,101,45,48,56,32,51,46,53,53,57,53,50,101,45,48,
      56,32,52,46,49,49,51,57,56,101,45,48,56,32,52,46,52,48,56,49,50,101,45,48,56,
      32,52,46,55,57,54,57,101,45,48,56,10,32,32,52,46,52,49,50,50,57,101,45,48,56,
      32,52,46,57,56,51,53,54,101,45,48,56,32,53,46,50,51,48,55,50,101,45,48,56,32,
      53,46,55,50,51,54,52,101,45,48,56,32,54,46,50,57,52,49,52,101,45,48,56,32,54,
      46,55,56,57,50,55,101,45,48,56,32,55,46,51,48,49,53,55,101,45,48,56,10,32,32,
      55,46,55,57,53,55,56,101,45,48,56,32,56,46,50,57,53,54,56,101,45,48,56,32,56,
      46,56,54,52,54,101,45,48,56,32,57,46,51,56,50,50,101,45,48,56,32,57,46,57,54,
      53,51,52,101,45,48,56,32,49,46,48,52,48,50,52,101,45,48,55,32,49,46,49,49,50,
      57,50,101,45,48,55,10,32,32,49,46,49,53,56,50,54,101,45,48,55,32,49,46,50,49,
      53,51,56,101,45,48,55,32,49,46,51,53,49,53,53,101,45,48,55,32,49,46,53,52,53,
      49,57,101,45,48,55,32,49,46,55,52,48,51,49,101,45,48,55,32,49,46,57,57,49,55,
      49,101,45,48,55,32,50,46,50,53,49,53,49,101,45,48,55,10,32,32,50,46,53,55,53,
      57,54,101,45,48,55,32,50,46,56,53,57,49,49,101,45,48,55,32,51,46,49,57,50,48,
      50,101,45,48,55,32,51,46,54,55,53,57,49,101,45,48,55,32,52,46,48,51,52,52,53,
      101,45,48,55,32,52,46,52,56,57,54,55,101,45,48,55,32,53,46,50,48,55,52,101,
      45,48,55,10,32,32,53,46,57,53,56,57,53,101,45,48,55,32,54,46,56,52,48,53,49,
      101,45,48,55,32,56,46,48,49,55,55,54,101,45,48,55,32,57,46,51,55,55,50,49,101,
      45,48,55,32,49,46,48,55,48,57,55,101,45,48,54,32,49,46,50,49,54,49,52,101,45,
      48,54,32,49,46,51,55,49,52,52,101,45,48,54,10,32,32,49,46,53,53,56,53,53,101,
      45,48,54,32,49,46,55,55,54,52,52,101,45,48,54,32,50,46,48,50,48,56,57,101,45,
      48,54,32,50,46,50,51,54,53,54,101,45,48,54,32,50,46,52,54,52,52,101,45,48,54,
      32,50,46,54,53,51,53,51,101,45,48,54,32,50,46,56,50,51,55,56,101,45,48,54,10,
      32,32,50,46,57,56,55,49,52,101,45,48,54,32,51,46,49,50,56,53,52,101,45,48,54,
      32,51,46,50,49,50,55,52,101,45,48,54,32,51,46,50,56,51,48,56,101,45,48,54,32,
      51,46,51,50,49,51,54,101,45,48,54,32,51,46,51,51,56,53,56,101,45,48,54,32,51,
      46,51,51,50,56,51,101,45,48,54,10,32,32,51,46,51,48,53,53,51,101,45,48,54,32,
      51,46,50,53,56,54,54,101,45,48,54,32,51,46,49,57,52,55,52,101,45,48,54,32,51,
      46,49,49,54,50,101,45,48,54,32,51,46,48,50,53,50,53,101,45,48,54,32,50,46,57,
      50,51,57,57,101,45,48,54,32,50,46,56,49,52,52,54,101,45,48,54,10,32,32,50,46,
      54,57,56,53,52,101,45,48,54,32,50,46,53,55,56,49,101,45,48,54,32,50,46,52,53,
      52,55,101,45,48,54,32,50,46,51,50,57,55,52,101,45,48,54,32,50,46,50,48,52,53,
      53,101,45,48,54,32,50,46,48,56,48,50,50,101,45,48,54,32,49,46,57,53,55,54,55,
      101,45,48,54,10,32,32,49,46,56,51,55,55,51,101,45,48,54,32,49,46,55,50,49,48,
      56,101,45,48,54,32,49,46,54,48,56,50,55,101,45,48,54,32,49,46,52,57,57,55,101,
      45,48,54,32,49,46,51,57,53,55,51,101,45,48,54,32,49,46,50,57,54,53,56,101,45,
      48,54,32,49,46,50,48,50,51,53,101,45,48,54,10,32,32,49,46,49,49,51,49,50,101,
      45,48,54,32,49,46,48,50,56,56,56,101,45,48,54,32,57,46,52,57,53,57,101,45,48,
      55,32,56,46,55,53,49,54,51,101,45,48,55,32,56,46,48,53,52,53,56,101,45,48,55,
      32,55,46,52,48,51,52,56,101,45,48,55,32,54,46,55,57,54,53,101,45,48,55,10,32,
      32,54,46,50,51,49,57,51,101,45,48,55,32,53,46,55,48,55,56,52,101,45,48,55,32,
      53,46,51,50,54,57,52,101,45,48,55,32,52,46,57,54,56,51,55,101,45,48,55,32,52,
      46,54,51,49,49,53,101,45,48,55,32,52,46,51,49,52,51,51,101,45,48,55,32,52,46,
      48,49,54,57,53,101,45,48,55,10,32,32,51,46,55,48,51,52,55,101,45,48,55,32,51,
      46,51,51,56,50,54,101,45,48,55,32,51,46,48,48,54,48,55,101,45,48,55,32,50,46,
      55,48,52,51,49,101,45,48,55,32,50,46,52,51,48,53,57,101,45,48,55,32,50,46,49,
      56,50,54,101,45,48,55,32,49,46,57,53,56,50,57,101,45,48,55,10,32,32,49,46,55,
      53,53,54,52,101,45,48,55,32,49,46,53,55,50,55,52,101,45,48,55,32,49,46,52,48,
      55,56,54,101,45,48,55,32,49,46,50,53,57,51,57,101,45,48,55,32,49,46,49,50,53,
      56,50,101,45,48,55,32,49,46,48,48,53,55,51,101,45,48,55,32,56,46,57,55,57,48,
      56,101,45,48,56,10,32,32,56,46,48,49,49,55,50,101,45,48,56,32,55,46,49,52,52,
      52,49,101,45,48,56,32,54,46,51,54,55,53,50,101,45,48,56,32,53,46,54,55,50,49,
      52,101,45,48,56,32,53,46,48,53,48,49,53,101,45,48,56,32,52,46,52,57,52,49,56,
      101,45,48,56,32,51,46,57,57,55,53,101,45,48,56,10,32,32,51,46,53,53,51,57,54,
      101,45,48,56,32,51,46,49,53,56,51,56,101,45,48,56,32,50,46,56,48,53,54,101,
      45,48,56,32,50,46,52,57,49,50,52,101,45,48,56,32,50,46,50,49,49,50,51,101,45,
      48,56,32,49,46,57,54,49,57,55,101,45,48,56,32,49,46,55,52,48,49,55,101,45,48,
      56,10,32,32,49,46,53,52,50,57,49,101,45,48,56,32,49,46,51,54,55,53,52,101,45,
      48,56,32,49,46,50,49,49,54,57,101,45,48,56,32,49,46,48,55,51,50,54,101,45,48,
      56,32,57,46,53,48,51,53,101,45,48,57,32,56,46,52,49,50,55,51,101,45,48,57,32,
      55,46,52,52,53,48,54,101,45,48,57,10,32,32,54,46,53,56,54,56,55,101,45,48,57,
      32,53,46,56,50,54,48,50,101,45,48,57,32,52,46,53,53,52,51,50,101,45,48,57,32,
      51,46,53,53,54,55,101,45,48,57,32,50,46,55,55,53,49,51,101,45,48,57,32,50,46,
      49,54,51,51,57,101,45,48,57,32,49,46,54,56,53,49,101,45,48,57,10,32,32,49,46,
      51,49,49,53,52,101,45,48,57,32,49,46,48,50,48,48,55,101,45,48,57,32,55,46,57,
      50,56,51,57,101,45,49,48,32,54,46,49,53,56,51,50,101,45,49,48,32,52,46,55,56,
      48,53,51,101,45,49,48,32,51,46,55,48,56,56,52,101,45,49,48,32,50,46,56,55,53,
      56,51,101,45,49,48,10,32,32,50,46,50,50,56,55,51,101,45,49,48,32,49,46,55,50,
      54,51,55,101,45,49,48,32,49,46,51,51,54,54,49,101,45,49,48,32,49,46,48,51,52,
      51,55,101,45,49,48,32,56,46,48,48,49,51,53,101,45,49,49,32,54,46,49,56,54,57,
      53,101,45,49,49,32,52,46,55,56,50,49,56,101,45,49,49,10,32,32,51,46,54,57,52,
      57,56,101,45,49,49,32,50,46,56,53,51,57,53,101,45,49,49,32,50,46,50,48,51,54,
      51,101,45,49,49,32,49,46,55,48,48,57,55,101,45,49,49,32,49,46,51,49,50,53,55,
      101,45,49,49,32,49,46,48,49,50,53,54,101,45,49,49,32,55,46,56,48,57,48,54,101,
      45,49,50,10,32,32,54,46,48,50,48,56,51,101,45,49,50,32,52,46,54,52,48,57,50,
      101,45,49,50,32,51,46,53,55,54,52,55,101,45,49,50,32,48,114,49,48,32,49,46,
      53,57,55,57,57,101,45,50,51,32,51,46,50,50,52,54,49,101,45,50,51,32,54,46,48,
      48,54,49,56,101,45,50,51,32,49,46,48,53,51,54,54,101,45,50,50,10,32,32,49,46,
      55,53,57,50,101,45,50,50,32,50,46,56,49,55,49,57,101,45,50,50,32,52,46,51,51,
      55,54,53,101,45,50,50,32,54,46,52,53,53,50,53,101,45,50,50,32,57,46,51,53,53,
      52,51,101,45,50,50,32,49,46,51,50,52,56,50,101,45,50,49,32,49,46,56,51,55,52,
      55,101,45,50,49,10,32,32,50,46,52,55,56,57,50,101,45,50,49,32,51,46,50,57,48,
      52,56,101,45,50,49,32,52,46,51,48,52,55,54,101,45,50,49,32,53,46,53,53,56,101,
      45,50,49,32,55,46,48,52,55,55,54,101,45,50,49,32,56,46,55,57,52,51,51,101,45,
      50,49,32,49,46,48,56,54,56,51,101,45,50,48,10,32,32,49,46,51,51,49,49,56,101,
      45,50,48,32,49,46,54,49,54,51,54,101,45,50,48,32,49,46,57,50,53,51,52,101,45,
      50,48,32,50,46,50,55,56,51,49,101,45,50,48,32,50,46,54,55,57,52,54,101,45,50,
      48,32,51,46,49,51,51,51,50,101,45,50,48,32,51,46,54,50,49,50,57,101,45,50,48,
      10,32,32,52,46,49,52,51,55,51,101,45,50,48,32,52,46,55,50,49,54,50,101,45,50,
      48,32,53,46,51,53,57,48,52,101,45,50,48,32,54,46,48,53,55,48,55,101,45,50,48,
      32,54,46,55,53,53,49,51,101,45,50,48,32,55,46,53,49,50,54,53,101,45,50,48,32,
      56,46,51,51,51,49,50,101,45,50,48,10,32,32,57,46,50,49,57,57,52,101,45,50,48,
      32,49,46,48,49,50,57,56,101,45,49,57,32,49,46,49,48,54,54,54,101,45,49,57,32,
      49,46,50,48,54,56,57,101,45,49,57,32,49,46,51,49,51,57,50,101,45,49,57,32,49,
      46,52,50,55,53,57,101,45,49,57,32,49,46,53,52,48,51,53,101,45,49,57,10,32,32,
      49,46,54,53,57,57,52,101,45,49,57,32,49,46,55,56,54,54,57,101,45,49,57,32,49,
      46,57,50,48,56,53,101,45,49,57,32,50,46,48,53,56,56,57,101,45,49,57,32,50,46,
      50,48,49,53,49,101,45,49,57,32,50,46,51,53,49,56,51,101,45,49,57,32,50,46,53,
      49,48,49,52,101,45,49,57,10,32,32,50,46,54,55,54,53,53,101,45,49,57,32,50,46,
      56,52,57,48,52,101,45,49,57,32,51,46,48,51,48,49,54,101,45,49,57,32,51,46,50,
      50,48,50,54,101,45,49,57,32,51,46,52,49,57,54,49,101,45,49,57,32,51,46,54,51,
      48,54,101,45,49,57,32,51,46,56,53,51,50,101,45,49,57,10,32,32,52,46,48,56,54,
      51,101,45,49,57,32,52,46,51,51,48,50,51,101,45,49,57,32,52,46,53,56,54,50,49,
      101,45,49,57,32,52,46,56,54,52,101,45,49,57,32,53,46,49,53,52,53,52,101,45,
      49,57,32,53,46,52,53,56,50,54,101,45,49,57,32,53,46,55,55,53,53,55,101,45,49,
      57,10,32,32,54,46,49,49,55,53,56,101,45,49,57,32,54,46,52,56,50,54,56,101,45,
      49,57,32,54,46,56,54,52,50,51,101,45,49,57,32,55,46,50,54,50,54,56,101,45,49,
      57,32,55,46,54,56,48,55,52,101,45,49,57,32,56,46,49,51,55,55,49,101,45,49,57,
      32,56,46,54,49,53,49,57,101,45,49,57,10,32,32,57,46,49,49,51,56,52,101,45,49,
      57,32,57,46,54,51,52,51,49,101,45,49,57,32,49,46,48,49,56,56,55,101,45,49,56,
      32,49,46,48,55,55,53,51,101,45,49,56,32,49,46,49,51,56,55,52,101,45,49,56,32,
      49,46,50,48,50,54,50,101,45,49,56,32,49,46,50,54,57,49,57,101,45,49,56,10,32,
      32,49,46,51,51,56,53,51,101,45,49,56,32,49,46,52,49,48,56,50,101,45,49,56,32,
      49,46,52,56,54,48,53,101,45,49,56,32,49,46,53,54,52,50,57,101,45,49,56,32,49,
      46,54,52,50,57,50,101,45,49,56,32,49,46,55,50,50,56,101,45,49,56,32,49,46,56,
      48,53,55,52,101,45,49,56,10,32,32,49,46,56,57,49,54,56,101,45,49,56,32,49,46,
      57,55,57,50,51,101,45,49,56,32,50,46,48,53,56,55,56,101,45,49,56,32,50,46,49,
      52,48,56,101,45,49,56,32,50,46,50,50,53,51,51,101,45,49,56,32,50,46,51,49,50,
      52,51,101,45,49,56,32,50,46,51,56,55,51,57,101,45,49,56,10,32,32,50,46,52,53,
      53,52,55,101,45,49,56,32,50,46,53,50,53,52,52,101,45,49,56,32,50,46,53,57,55,
      51,101,45,49,56,32,50,46,54,54,54,51,52,101,45,49,56,32,50,46,55,48,53,55,53,
      101,45,49,56,32,50,46,55,52,54,57,56,101,45,49,56,32,50,46,55,56,57,57,56,101,
      45,49,56,10,32,32,50,46,56,51,52,55,52,101,45,49,56,32,50,46,56,53,49,51,55,
      101,45,49,56,32,50,46,56,53,51,56,51,101,45,49,56,32,50,46,56,53,57,50,51,101,
      45,49,56,32,50,46,56,54,55,51,55,101,45,49,56,32,50,46,56,55,48,53,53,101,45,
      49,56,32,50,46,56,51,50,56,50,101,45,49,56,10,32,32,50,46,56,48,48,53,49,101,
      45,49,56,32,50,46,55,55,51,49,101,45,49,56,32,50,46,55,53,48,52,101,45,49,56,
      32,50,46,54,57,57,50,101,45,49,56,32,50,46,54,51,55,56,101,45,49,56,32,50,46,
      53,56,51,56,55,101,45,49,56,32,50,46,53,51,54,52,55,101,45,49,56,10,32,32,50,
      46,52,56,55,57,49,101,45,49,56,32,50,46,52,48,57,57,50,101,45,49,56,32,50,46,
      51,52,49,49,49,101,45,49,56,32,50,46,50,56,48,50,54,101,45,49,56,32,50,46,50,
      50,54,51,56,101,45,49,56,32,50,46,49,53,54,50,51,101,45,49,56,32,50,46,48,56,
      51,53,49,101,45,49,56,10,32,32,50,46,48,49,57,49,57,101,45,49,56,32,49,46,57,
      54,50,49,49,101,45,49,56,32,49,46,57,48,55,49,50,101,45,49,56,32,49,46,56,51,
      56,52,101,45,49,56,32,49,46,55,55,55,53,51,101,45,49,56,32,49,46,55,50,51,52,
      50,101,45,49,56,32,49,46,54,55,53,50,54,101,45,49,56,10,32,32,49,46,54,50,48,
      57,56,101,45,49,56,32,49,46,53,54,55,53,53,101,45,49,56,32,49,46,53,49,57,57,
      50,101,45,49,56,32,49,46,52,55,55,51,56,101,45,49,56,32,49,46,52,51,55,51,52,
      101,45,49,56,32,49,46,51,57,51,48,55,101,45,49,56,32,49,46,51,53,51,52,53,101,
      45,49,56,10,32,32,49,46,51,49,55,56,57,101,45,49,56,32,49,46,50,56,53,57,52,
      101,45,49,56,32,49,46,50,53,51,50,50,101,45,49,56,32,49,46,50,50,50,101,45,
      49,56,32,49,46,49,57,51,56,56,101,45,49,56,32,49,46,49,54,56,53,49,101,45,49,
      56,32,49,46,49,52,53,49,52,101,45,49,56,10,32,32,49,46,49,50,50,49,56,101,45,
      49,56,32,49,46,49,48,49,52,50,101,45,49,56,32,49,46,48,56,50,54,51,101,45,49,
      56,32,49,46,48,54,53,54,50,101,45,49,56,32,49,46,48,53,48,52,54,101,45,49,56,
      32,49,46,48,51,54,56,53,101,45,49,56,32,49,46,48,50,52,53,55,101,45,49,56,10,
      32,32,49,46,48,49,51,52,57,101,45,49,56,32,49,46,48,48,52,48,50,101,45,49,56,
      32,57,46,57,55,53,101,45,49,57,32,57,46,57,49,55,56,51,101,45,49,57,32,57,46,
      56,53,51,50,52,101,45,49,57,32,57,46,56,51,54,53,53,101,45,49,57,32,49,46,48,
      48,54,57,57,101,45,49,56,10,32,32,49,46,49,49,56,55,54,101,45,49,56,32,49,46,
      51,53,48,57,49,101,45,49,56,32,49,46,55,51,55,49,55,101,45,49,56,32,50,46,51,
      53,54,54,55,101,45,49,56,32,51,46,50,56,50,57,55,101,45,49,56,32,52,46,54,48,
      50,57,55,101,45,49,56,32,54,46,51,52,51,57,56,101,45,49,56,10,32,32,56,46,52,
      56,50,48,56,101,45,49,56,32,49,46,48,56,57,54,51,101,45,49,55,32,49,46,51,53,
      53,48,51,101,45,49,55,32,49,46,54,52,55,54,50,101,45,49,55,32,52,46,54,50,55,
      53,56,101,45,49,54,32,50,46,50,53,52,51,54,101,45,49,53,32,51,46,49,53,57,57,
      53,101,45,49,53,10,32,32,52,46,55,54,55,50,57,101,45,49,53,32,55,46,55,55,48,
      55,55,101,45,49,53,32,49,46,53,55,51,56,54,101,45,49,52,32,51,46,51,57,52,53,
      55,101,45,49,52,32,55,46,50,48,54,48,50,101,45,49,52,32,49,46,52,57,49,52,57,
      101,45,49,51,32,50,46,50,54,52,49,56,101,45,49,51,10,32,32,50,46,53,54,55,52,
      101,45,49,51,32,50,46,51,50,49,50,55,101,45,49,51,32,50,46,48,52,53,49,52,101,
      45,49,51,32,49,46,56,55,51,54,56,101,45,49,51,32,49,46,56,52,56,54,53,101,45,
      49,51,32,50,46,48,49,50,48,53,101,45,49,51,32,50,46,52,56,48,50,49,101,45,49,
      51,10,32,32,51,46,53,54,54,52,50,101,45,49,51,32,54,46,51,57,57,50,50,101,45,
      49,51,32,49,46,50,57,52,53,53,101,45,49,50,32,50,46,56,55,48,56,54,101,45,49,
      50,32,53,46,54,56,54,54,57,101,45,49,50,32,54,46,50,55,56,54,101,45,49,50,32,
      53,46,49,57,50,55,56,101,45,49,50,10,32,32,51,46,56,52,57,52,101,45,49,50,32,
      50,46,57,48,51,54,54,101,45,49,50,32,50,46,52,55,55,51,101,45,49,50,32,50,46,
      51,57,52,49,50,101,45,49,50,32,50,46,54,51,52,56,53,101,45,49,50,32,51,46,50,
      50,53,54,49,101,45,49,50,32,52,46,51,51,52,49,50,101,45,49,50,10,32,32,54,46,
      52,56,57,55,53,101,45,49,50,32,49,46,48,57,49,55,55,101,45,49,49,32,49,46,54,
      55,52,53,53,101,45,49,49,32,50,46,52,56,51,48,49,101,45,49,49,32,51,46,52,55,
      57,51,57,101,45,49,49,32,53,46,49,49,52,56,50,101,45,49,49,32,56,46,53,55,51,
      54,52,101,45,49,49,10,32,32,49,46,50,54,55,49,101,45,49,48,32,49,46,54,48,52,
      55,49,101,45,49,48,32,49,46,56,50,48,52,54,101,45,49,48,32,50,46,49,51,50,48,
      54,101,45,49,48,32,50,46,53,50,52,57,51,101,45,49,48,32,50,46,56,54,52,48,57,
      101,45,49,48,32,51,46,48,48,54,57,51,101,45,49,48,10,32,32,51,46,48,54,53,50,
      53,101,45,49,48,32,51,46,50,52,54,53,51,101,45,49,48,32,51,46,55,53,55,49,53,
      101,45,49,48,32,52,46,53,55,55,54,52,101,45,49,48,32,53,46,51,57,52,56,55,101,
      45,49,48,32,55,46,51,52,53,49,51,101,45,49,48,32,57,46,56,51,51,53,50,101,45,
      49,48,10,32,32,49,46,51,50,52,101,45,48,57,32,49,46,56,51,57,53,50,101,45,48,
      57,32,50,46,51,53,54,50,50,101,45,48,57,32,50,46,55,56,57,53,52,101,45,48,57,
      32,51,46,48,54,54,53,55,101,45,48,57,32,51,46,50,56,51,56,54,101,45,48,57,32,
      51,46,52,56,57,53,51,101,45,48,57,10,32,32,51,46,55,50,55,53,53,101,45,48,57,
      32,51,46,57,48,57,51,57,101,45,48,57,32,52,46,49,50,52,57,51,101,45,48,57,32,
      52,46,54,51,56,53,56,101,45,48,57,32,53,46,49,49,52,52,52,101,45,48,57,32,54,
      46,50,50,56,55,54,101,45,48,57,32,55,46,57,56,56,54,50,101,45,48,57,10,32,32,
      57,46,51,52,57,56,52,101,45,48,57,32,49,46,48,57,51,51,55,101,45,48,56,32,49,
      46,51,56,52,55,49,101,45,48,56,32,49,46,55,53,55,50,57,101,45,48,56,32,49,46,
      57,55,51,57,57,101,45,48,56,32,50,46,51,48,54,53,54,101,45,48,56,32,50,46,52,
      56,52,53,50,101,45,48,56,10,32,32,50,46,55,49,57,51,57,101,45,48,56,32,50,46,
      52,55,49,57,57,101,45,48,56,32,50,46,56,49,55,57,54,101,45,48,56,32,50,46,57,
      54,57,49,52,101,45,48,56,32,51,46,50,55,51,50,50,101,45,48,56,32,51,46,54,50,
      57,50,54,101,45,48,56,32,51,46,57,52,49,54,101,45,48,56,10,32,32,52,46,50,54,
      55,57,51,101,45,48,56,32,52,46,53,56,53,54,54,101,45,48,56,32,52,46,57,48,57,
      57,53,101,45,48,56,32,53,46,50,56,50,50,52,101,45,48,56,32,53,46,54,50,51,55,
      50,101,45,48,56,32,54,46,48,49,49,54,50,101,45,48,56,32,54,46,51,48,52,52,51,
      101,45,48,56,10,32,32,54,46,55,57,52,56,55,101,45,48,56,32,55,46,49,48,51,50,
      53,101,45,48,56,32,55,46,52,57,52,49,52,101,45,48,56,32,56,46,52,51,53,48,52,
      101,45,48,56,32,57,46,55,57,52,49,56,101,45,48,56,32,49,46,49,49,56,51,50,101,
      45,48,55,32,49,46,50,57,57,53,55,101,45,48,55,10,32,32,49,46,52,56,56,52,55,
      101,45,48,55,32,49,46,55,50,53,48,56,101,45,48,55,32,49,46,57,51,48,56,55,101,
      45,48,55,32,50,46,49,57,52,50,51,101,45,48,55,32,50,46,53,53,50,49,50,101,45,
      48,55,32,50,46,55,57,57,49,101,45,48,55,32,51,46,49,48,53,51,55,101,45,48,55,
      10,32,32,51,46,53,55,56,51,51,101,45,48,55,32,52,46,48,54,55,51,54,101,45,48,
      55,32,52,46,54,51,57,49,56,101,45,48,55,32,53,46,52,48,53,55,54,101,45,48,55,
      32,54,46,50,57,57,56,51,101,45,48,55,32,55,46,49,56,54,53,56,101,45,48,55,32,
      56,46,49,54,52,55,51,101,45,48,55,10,32,32,57,46,50,50,54,57,53,101,45,48,55,
      32,49,46,48,53,50,55,49,101,45,48,54,32,49,46,50,48,55,48,57,101,45,48,54,32,
      49,46,51,56,52,50,56,101,45,48,54,32,49,46,53,52,52,51,54,101,45,48,54,32,49,
      46,55,49,55,53,50,101,45,48,54,32,49,46,56,54,53,50,49,101,45,48,54,10,32,32,
      50,46,48,48,49,55,52,101,45,48,54,32,50,46,49,51,55,49,56,101,45,48,54,32,50,
      46,50,54,48,50,52,101,45,48,54,32,50,46,51,51,56,48,49,101,45,48,54,32,50,46,
      52,48,56,54,52,101,45,48,54,32,50,46,52,53,51,52,57,101,45,48,54,32,50,46,52,
      56,51,56,52,101,45,48,54,10,32,32,50,46,52,57,54,54,101,45,48,54,32,50,46,52,
      57,50,52,53,101,45,48,54,32,50,46,52,55,50,53,52,101,45,48,54,32,50,46,52,51,
      56,54,49,101,45,48,54,32,50,46,51,57,50,51,54,101,45,48,54,32,50,46,51,51,53,
      51,54,101,45,48,54,32,50,46,50,54,57,49,55,101,45,48,54,10,32,32,50,46,49,57,
      53,50,101,45,48,54,32,50,46,49,49,52,57,56,101,45,48,54,32,50,46,48,51,101,
      45,48,54,32,49,46,57,52,49,52,57,101,45,48,54,32,49,46,56,53,48,53,55,101,45,
      48,54,32,49,46,55,53,56,51,49,101,45,48,54,32,49,46,54,54,53,54,53,101,45,48,
      54,10,32,32,49,46,53,55,51,52,53,101,45,48,54,32,49,46,52,56,50,52,53,101,45,
      48,54,32,49,46,51,57,51,50,56,101,45,48,54,32,49,46,51,48,54,52,52,101,45,48,
      54,32,49,46,50,50,50,51,52,101,45,48,54,32,49,46,49,52,49,51,101,45,48,54,32,
      49,46,48,54,51,53,50,101,45,48,54,10,32,32,57,46,56,57,50,48,52,101,45,48,55,
      32,57,46,49,56,52,51,55,101,45,48,55,32,56,46,53,49,50,57,50,101,45,48,55,32,
      55,46,56,55,56,49,49,101,45,48,55,32,55,46,50,55,57,54,49,101,45,48,55,32,54,
      46,55,49,54,55,49,101,45,48,55,32,54,46,49,56,56,56,54,101,45,48,55,10,32,32,
      53,46,54,57,52,57,57,101,45,48,55,32,53,46,50,51,51,57,55,101,45,48,55,32,52,
      46,56,48,52,53,57,101,45,48,55,32,52,46,52,57,49,54,51,101,45,48,55,32,52,46,
      49,57,54,51,101,45,48,55,32,51,46,57,49,55,57,49,101,45,48,55,32,51,46,54,53,
      53,55,55,101,45,48,55,10,32,32,51,46,52,48,57,48,54,101,45,48,55,32,51,46,49,
      52,56,52,101,45,48,55,32,50,46,56,52,51,57,55,101,45,48,55,32,50,46,53,54,54,
      50,50,101,45,48,55,32,50,46,51,49,51,50,51,101,45,48,55,32,50,46,48,56,51,49,
      51,101,45,48,55,32,49,46,56,55,52,49,51,101,45,48,55,10,32,32,49,46,54,56,52,
      54,101,45,48,55,32,49,46,53,49,50,57,52,101,45,48,55,32,49,46,51,53,55,54,54,
      101,45,48,55,32,49,46,50,49,55,51,55,101,45,48,55,32,49,46,48,57,48,55,54,101,
      45,48,55,32,57,46,55,54,54,51,101,45,48,56,32,56,46,55,51,56,51,55,101,45,48,
      56,10,32,32,55,46,56,49,51,52,55,101,45,48,56,32,54,46,57,56,49,57,55,101,45,
      48,56,32,54,46,50,51,53,49,55,101,45,48,56,32,53,46,53,54,53,48,50,101,45,48,
      56,32,52,46,57,54,52,49,52,101,45,48,56,32,52,46,52,50,53,55,54,101,45,48,56,
      32,51,46,57,52,51,54,56,101,45,48,56,10,32,32,51,46,53,49,50,51,101,45,48,56,
      32,51,46,49,50,54,52,57,101,45,48,56,32,50,46,55,56,49,56,57,101,45,48,56,32,
      50,46,52,55,52,49,101,45,48,56,32,50,46,49,57,57,52,50,101,45,48,56,32,49,46,
      57,53,52,52,51,101,45,48,56,32,49,46,55,51,54,48,51,101,45,48,56,10,32,32,49,
      46,53,52,49,52,52,101,45,48,56,32,49,46,51,54,56,49,52,101,45,48,56,32,49,46,
      50,49,51,56,55,101,45,48,56,32,49,46,48,55,54,54,49,101,45,48,56,32,57,46,53,
      52,53,53,56,101,45,48,57,32,56,46,52,54,48,54,54,101,45,48,57,32,55,46,52,57,
      54,54,52,101,45,48,57,10,32,32,54,46,54,52,48,51,55,101,45,48,57,32,53,46,56,
      56,48,49,56,101,45,48,57,32,53,46,50,48,53,53,54,101,45,48,57,32,52,46,48,55,
      54,51,49,101,45,48,57,32,51,46,49,56,56,54,57,101,45,48,57,32,50,46,52,57,49,
      57,54,101,45,48,57,32,49,46,57,52,53,54,53,101,45,48,57,10,32,32,49,46,53,49,
      55,55,55,101,45,48,57,32,49,46,49,56,50,57,57,101,45,48,57,32,57,46,50,49,51,
      53,51,101,45,49,48,32,55,46,49,55,48,54,101,45,49,48,32,53,46,53,55,54,56,50,
      101,45,49,48,32,52,46,51,51,52,52,57,101,45,49,48,32,51,46,51,54,54,56,52,101,
      45,49,48,10,32,32,50,46,54,49,51,54,54,101,45,49,48,32,50,46,48,50,55,56,52,
      101,45,49,48,32,49,46,53,55,50,52,55,101,45,49,48,32,49,46,50,49,56,55,52,101,
      45,49,48,32,57,46,52,52,49,50,57,101,45,49,49,32,55,46,51,49,48,53,55,101,45,
      49,49,32,53,46,54,53,56,50,53,101,45,49,49,10,32,32,52,46,51,55,55,54,49,101,
      45,49,49,32,51,46,51,56,53,53,50,101,45,49,49,32,50,46,54,49,55,50,57,101,45,
      49,49,32,50,46,48,50,50,54,54,101,45,49,49,32,49,46,53,54,50,53,56,101,45,49,
      49,32,49,46,50,48,54,55,55,101,45,49,49,32,57,46,51,49,54,56,52,101,45,49,50,
      10,32,32,55,46,49,57,48,57,51,101,45,49,50,32,53,46,53,52,56,53,52,101,45,49,
      50,32,52,46,50,56,48,48,56,101,45,49,50,32,51,46,51,48,48,55,57,101,45,49,50,
      32,48,114,49,48,32,49,46,53,48,57,49,52,101,45,50,52,32,51,46,48,52,56,49,53,
      101,45,50,52,32,53,46,54,56,51,51,101,45,50,52,10,32,32,57,46,57,56,49,50,55,
      101,45,50,52,32,49,46,54,54,56,52,57,101,45,50,51,32,50,46,54,55,53,51,57,101,
      45,50,51,32,52,46,49,50,52,57,52,101,45,50,51,32,54,46,49,52,55,52,101,45,50,
      51,32,56,46,57,50,50,53,54,101,45,50,51,32,49,46,50,54,53,52,57,101,45,50,50,
      10,32,32,49,46,55,53,56,48,52,101,45,50,50,32,50,46,51,55,53,53,53,101,45,50,
      50,32,51,46,49,53,56,52,56,101,45,50,50,32,52,46,49,51,57,48,54,101,45,50,50,
      32,53,46,51,53,51,51,52,101,45,50,50,32,54,46,55,57,57,56,49,101,45,50,50,32,
      56,46,52,57,57,48,53,101,45,50,50,10,32,32,49,46,48,53,50,49,49,101,45,50,49,
      32,49,46,50,57,48,56,53,101,45,50,49,32,49,46,53,55,48,48,56,101,45,50,49,32,
      49,46,56,55,51,49,50,101,45,50,49,32,50,46,50,49,57,57,55,101,45,50,49,32,50,
      46,54,49,52,57,50,101,45,50,49,32,51,46,48,54,50,54,51,101,45,50,49,10,32,32,
      51,46,53,52,52,55,51,101,45,50,49,32,52,46,48,54,49,54,101,45,50,49,32,52,46,
      54,51,52,50,55,101,45,50,49,32,53,46,50,54,54,57,55,101,45,50,49,32,53,46,57,
      54,48,57,51,101,45,50,49,32,54,46,54,53,53,51,54,101,45,50,49,32,55,46,52,48,
      57,57,55,101,45,50,49,10,32,32,56,46,50,50,56,51,56,101,45,50,49,32,57,46,49,
      49,52,49,55,101,45,50,49,32,49,46,48,48,50,51,54,101,45,50,48,32,49,46,48,57,
      54,48,55,101,45,50,48,32,49,46,49,57,54,52,52,101,45,50,48,32,49,46,51,48,51,
      55,52,101,45,50,48,32,49,46,52,49,55,56,51,101,45,50,48,10,32,32,49,46,53,51,
      49,101,45,50,48,32,49,46,54,53,49,49,54,101,45,50,48,32,49,46,55,55,56,54,51,
      101,45,50,48,32,49,46,57,49,51,54,56,101,45,50,48,32,50,46,48,53,50,55,51,101,
      45,50,48,32,50,46,49,57,54,52,55,101,45,50,48,32,50,46,51,52,56,49,49,101,45,
      50,48,10,32,32,50,46,53,48,55,57,54,101,45,50,48,32,50,46,54,55,54,49,51,101,
      45,50,48,32,50,46,56,53,48,53,55,101,45,50,48,32,51,46,48,51,51,56,57,101,45,
      50,48,32,51,46,50,50,54,52,57,101,45,50,48,32,51,46,52,50,56,54,50,101,45,50,
      48,32,51,46,54,52,50,55,56,101,45,50,48,10,32,32,51,46,56,54,56,57,55,101,45,
      50,48,32,52,46,49,48,54,48,50,101,45,50,48,32,52,46,51,53,52,51,51,101,45,50,
      48,32,52,46,54,49,53,49,52,101,45,50,48,32,52,46,56,57,56,54,50,101,45,50,48,
      32,53,46,49,57,53,51,56,101,45,50,48,32,53,46,53,48,53,57,51,101,45,50,48,10,
      32,32,53,46,56,51,48,54,55,101,45,50,48,32,54,46,49,56,49,50,50,101,45,50,48,
      32,54,46,53,53,53,57,53,101,45,50,48,32,54,46,57,52,55,57,57,101,45,50,48,32,
      55,46,51,53,55,56,50,101,45,50,48,32,55,46,55,56,56,51,49,101,45,50,48,32,56,
      46,50,53,57,55,50,101,45,50,48,10,32,32,56,46,55,53,50,56,55,101,45,50,48,32,
      57,46,50,54,56,52,55,101,45,50,48,32,57,46,56,48,55,50,54,101,45,50,48,32,49,
      46,48,51,56,50,49,101,45,49,57,32,49,46,48,57,57,49,101,45,49,57,32,49,46,49,
      54,50,55,51,101,45,49,57,32,49,46,50,50,57,50,50,101,45,49,57,10,32,32,49,46,
      50,57,56,53,57,101,45,49,57,32,49,46,51,55,48,57,50,101,45,49,57,32,49,46,52,
      52,54,52,52,101,45,49,57,32,49,46,53,50,53,49,51,101,45,49,57,32,49,46,54,48,
      55,48,53,101,45,49,57,32,49,46,54,56,57,52,49,101,45,49,57,32,49,46,55,55,51,
      49,54,101,45,49,57,10,32,32,49,46,56,54,48,50,54,101,45,49,57,32,49,46,57,53,
      48,53,55,101,45,49,57,32,50,46,48,52,50,54,53,101,45,49,57,32,50,46,49,50,54,
      49,55,101,45,49,57,32,50,46,50,49,50,51,51,101,45,49,57,32,50,46,51,48,49,50,
      101,45,49,57,32,50,46,51,57,50,56,52,101,45,49,57,10,32,32,50,46,52,55,49,52,
      51,101,45,49,57,32,50,46,53,52,50,54,49,101,45,49,57,32,50,46,54,49,53,56,101,
      45,49,57,32,50,46,54,57,49,48,49,101,45,49,57,32,50,46,55,54,51,49,56,101,45,
      49,57,32,50,46,56,48,51,52,51,101,45,49,57,32,50,46,56,52,53,54,50,101,45,49,
      57,10,32,32,50,46,56,56,57,55,49,101,45,49,57,32,50,46,57,51,53,54,54,101,45,
      49,57,32,50,46,57,53,49,51,53,101,45,49,57,32,50,46,57,53,49,56,50,101,45,49,
      57,32,50,46,57,53,53,52,54,101,45,49,57,32,50,46,57,54,50,48,54,101,45,49,57,
      32,50,46,57,54,51,51,53,101,45,49,57,10,32,32,50,46,57,50,48,56,52,101,45,49,
      57,32,50,46,56,56,52,50,50,101,45,49,57,32,50,46,56,53,50,57,51,101,45,49,57,
      32,50,46,56,50,54,56,57,101,45,49,57,32,50,46,55,55,48,53,54,101,45,49,57,32,
      50,46,55,48,51,53,51,101,45,49,57,32,50,46,54,52,52,54,53,101,45,49,57,10,32,
      32,50,46,53,57,50,56,54,101,45,49,57,32,50,46,53,51,57,57,56,101,45,49,57,32,
      50,46,52,53,54,50,52,101,45,49,57,32,50,46,51,56,50,52,51,101,45,49,57,32,50,
      46,51,49,55,49,57,101,45,49,57,32,50,46,50,53,57,52,53,101,45,49,57,32,50,46,
      49,56,52,56,54,101,45,49,57,10,32,32,50,46,49,48,55,56,49,101,45,49,57,32,50,
      46,48,51,57,55,51,101,45,49,57,32,49,46,57,55,57,51,56,101,45,49,57,32,49,46,
      57,50,49,51,52,101,45,49,57,32,49,46,56,52,57,50,54,101,45,49,57,32,49,46,55,
      56,53,52,57,101,45,49,57,32,49,46,55,50,56,56,54,101,45,49,57,10,32,32,49,46,
      54,55,56,53,101,45,49,57,32,49,46,54,50,49,57,56,101,45,49,57,32,49,46,53,54,
      54,52,55,101,45,49,57,32,49,46,53,49,55,48,51,101,45,49,57,32,49,46,52,55,50,
      57,50,101,45,49,57,32,49,46,52,51,49,52,54,101,45,49,57,32,49,46,51,56,53,55,
      56,101,45,49,57,10,32,32,49,46,51,52,52,57,51,101,45,49,57,32,49,46,51,48,56,
      50,57,101,45,49,57,32,49,46,50,55,53,51,57,101,45,49,57,32,49,46,50,52,49,55,
      55,101,45,49,57,32,49,46,50,48,57,55,52,101,45,49,57,32,49,46,49,56,48,57,49,
      101,45,49,57,32,49,46,49,53,52,56,57,101,45,49,57,10,32,32,49,46,49,51,48,57,
      52,101,45,49,57,32,49,46,49,48,55,52,53,101,45,49,57,32,49,46,48,56,54,50,49,
      101,45,49,57,32,49,46,48,54,54,57,56,101,45,49,57,32,49,46,48,52,57,53,55,101,
      45,49,57,32,49,46,48,51,52,48,53,101,45,49,57,32,49,46,48,50,48,49,101,45,49,
      57,10,32,32,49,46,48,48,55,53,101,45,49,57,32,57,46,57,54,49,50,55,101,45,50,
      48,32,57,46,56,54,51,57,101,45,50,48,32,57,46,55,57,54,48,51,101,45,50,48,32,
      57,46,55,51,54,51,54,101,45,50,48,32,57,46,54,54,56,53,51,101,45,50,48,32,57,
      46,54,52,52,54,54,101,45,50,48,10,32,32,57,46,56,54,55,52,51,101,45,50,48,32,
      49,46,48,57,54,54,51,101,45,49,57,32,49,46,51,50,54,57,54,101,45,49,57,32,49,
      46,55,49,50,53,51,101,45,49,57,32,50,46,51,51,53,52,52,101,45,49,57,32,51,46,
      50,55,52,55,55,101,45,49,57,32,52,46,54,50,54,51,54,101,45,49,57,10,32,32,54,
      46,52,50,55,50,56,101,45,49,57,32,56,46,54,54,49,49,101,45,49,57,32,49,46,49,
      50,48,54,101,45,49,56,32,49,46,52,48,50,54,51,101,45,49,56,32,49,46,55,49,53,
      55,56,101,45,49,56,32,56,46,53,52,57,55,54,101,45,49,55,32,53,46,51,50,53,56,
      54,101,45,49,54,10,32,32,55,46,52,48,57,54,56,101,45,49,54,32,49,46,49,48,53,
      54,56,101,45,49,53,32,49,46,55,55,52,53,49,101,45,49,53,32,51,46,52,57,56,48,
      49,101,45,49,53,32,55,46,50,56,54,56,52,101,45,49,53,32,49,46,52,57,49,49,57,
      101,45,49,52,32,50,46,57,56,54,57,49,101,45,49,52,10,32,32,52,46,52,54,57,48,
      51,101,45,49,52,32,53,46,48,53,56,51,51,101,45,49,52,32,52,46,54,48,51,50,49,
      101,45,49,52,32,52,46,48,56,56,54,53,101,45,49,52,32,51,46,55,55,51,48,57,101,
      45,49,52,32,51,46,55,51,55,56,51,101,45,49,52,32,52,46,48,54,54,48,57,101,45,
      49,52,10,32,32,52,46,57,56,48,56,54,101,45,49,52,32,55,46,48,55,51,53,57,101,
      45,49,52,32,49,46,50,52,56,57,55,101,45,49,51,32,50,46,53,49,50,55,50,101,45,
      49,51,32,53,46,55,48,50,49,52,101,45,49,51,32,49,46,49,57,49,55,50,101,45,49,
      50,32,49,46,51,49,55,50,49,101,45,49,50,10,32,32,49,46,48,54,50,52,57,101,45,
      49,50,32,55,46,54,50,57,57,55,101,45,49,51,32,53,46,54,54,57,50,50,101,45,49,
      51,32,52,46,56,49,49,57,49,101,45,49,51,32,52,46,54,52,54,50,51,101,45,49,51,
      32,53,46,49,49,51,56,101,45,49,51,32,54,46,50,54,56,54,50,101,45,49,51,10,32,
      32,56,46,52,54,52,53,57,101,45,49,51,32,49,46,50,56,52,50,51,101,45,49,50,32,
      50,46,50,51,54,50,50,101,45,49,50,32,51,46,53,53,51,55,50,101,45,49,50,32,53,
      46,52,56,56,54,53,101,45,49,50,32,56,46,48,51,55,49,54,101,45,49,50,32,49,46,
      50,53,54,51,49,101,45,49,49,10,32,32,50,46,51,50,52,52,55,101,45,49,49,32,51,
      46,55,50,57,49,101,45,49,49,32,52,46,57,52,52,49,51,101,45,49,49,32,53,46,55,
      49,55,53,50,101,45,49,49,32,54,46,56,52,57,48,57,101,45,49,49,32,56,46,51,51,
      51,56,52,101,45,49,49,32,57,46,54,48,50,101,45,49,49,10,32,32,49,46,48,48,52,
      49,56,101,45,49,48,32,49,46,48,49,49,54,53,101,45,49,48,32,49,46,48,55,49,52,
      56,101,45,49,48,32,49,46,50,55,48,48,53,101,45,49,48,32,49,46,54,49,101,45,
      49,48,32,49,46,57,54,49,53,57,101,45,49,48,32,50,46,56,50,54,49,53,101,45,49,
      48,10,32,32,51,46,57,52,56,48,52,101,45,49,48,32,53,46,52,56,50,52,57,101,45,
      49,48,32,55,46,55,54,55,48,53,101,45,49,48,32,49,46,48,48,49,50,57,101,45,48,
      57,32,49,46,49,56,55,55,51,101,45,48,57,32,49,46,51,48,54,52,50,101,45,48,57,
      32,49,46,51,57,57,50,51,101,45,48,57,10,32,32,49,46,52,56,55,48,56,101,45,48,
      57,32,49,46,53,56,56,55,54,101,45,48,57,32,49,46,54,54,54,52,54,101,45,48,57,
      32,49,46,55,53,56,54,52,101,45,48,57,32,49,46,57,55,56,51,51,101,45,48,57,32,
      50,46,49,56,49,57,51,101,45,48,57,32,50,46,54,53,57,53,54,101,45,48,57,10,32,
      32,51,46,52,50,48,48,54,101,45,48,57,32,52,46,48,49,52,50,56,101,45,48,57,32,
      52,46,55,49,51,57,49,101,45,48,57,32,54,46,48,50,53,54,51,101,45,48,57,32,55,
      46,55,52,54,49,56,101,45,48,57,32,56,46,55,54,57,52,50,101,45,48,57,32,49,46,
      48,51,54,51,54,101,45,48,56,10,32,32,49,46,49,50,50,55,51,101,45,48,56,32,49,
      46,50,51,54,55,50,101,45,48,56,32,49,46,49,48,57,55,57,101,45,48,56,32,49,46,
      50,55,55,57,49,101,45,48,56,32,49,46,51,53,50,50,51,101,45,48,56,32,49,46,53,
      48,51,50,55,101,45,48,56,32,49,46,54,56,50,54,57,101,45,48,56,10,32,32,49,46,
      56,52,50,51,101,45,48,56,32,50,46,48,49,49,49,52,101,45,48,56,32,50,46,49,55,
      55,52,51,101,45,48,56,32,50,46,51,52,57,48,51,101,45,48,56,32,50,46,53,52,56,
      50,50,101,45,48,56,32,50,46,55,51,50,56,57,101,45,48,56,32,50,46,57,52,52,56,
      49,101,45,48,56,10,32,32,51,46,49,48,54,51,49,101,45,48,56,32,51,46,51,55,57,
      54,54,101,45,48,56,32,51,46,53,53,51,50,56,101,45,48,56,32,51,46,55,55,53,50,
      54,101,45,48,56,32,52,46,51,49,55,56,49,101,45,48,56,32,53,46,49,49,57,55,57,
      101,45,48,56,32,53,46,57,53,56,57,101,45,48,56,10,32,32,55,46,48,55,55,57,101,
      45,48,56,32,56,46,50,54,54,49,56,101,45,48,56,32,57,46,55,55,52,50,50,101,45,
      48,56,32,49,46,49,48,57,52,56,101,45,48,55,32,49,46,51,48,51,55,52,101,45,48,
      55,32,49,46,53,51,55,48,54,101,45,48,55,32,49,46,54,57,49,57,56,101,45,48,55,
      10,32,32,49,46,56,55,56,51,51,101,45,48,55,32,50,46,49,53,54,54,51,101,45,48,
      55,32,50,46,52,51,54,57,101,45,48,55,32,50,46,55,53,57,55,50,101,45,48,55,32,
      51,46,49,57,48,51,101,45,48,55,32,51,46,54,57,52,52,55,101,45,48,55,32,52,46,
      49,57,57,51,56,101,45,48,55,10,32,32,52,46,55,54,52,57,52,101,45,48,55,32,53,
      46,51,56,57,49,51,101,45,48,55,32,54,46,49,54,55,53,57,101,45,48,55,32,55,46,
      49,49,52,48,54,101,45,48,55,32,56,46,50,50,57,55,55,101,45,48,55,32,57,46,50,
      54,54,50,52,101,45,48,55,32,49,46,48,52,50,51,101,45,48,54,10,32,32,49,46,49,
      52,52,49,55,101,45,48,54,32,49,46,50,52,49,53,51,101,45,48,54,32,49,46,51,52,
      49,56,54,101,45,48,54,32,49,46,52,51,55,54,50,101,45,48,54,32,49,46,53,48,49,
      53,54,101,45,48,54,32,49,46,53,54,51,55,49,101,45,48,54,32,49,46,54,48,55,52,
      101,45,48,54,10,32,32,49,46,54,52,50,53,54,101,45,48,54,32,49,46,54,54,54,48,
      52,101,45,48,54,32,49,46,54,55,56,49,52,101,45,48,54,32,49,46,54,55,57,51,57,
      101,45,48,54,32,49,46,54,55,48,52,49,101,45,48,54,32,49,46,54,53,49,57,51,101,
      45,48,54,32,49,46,54,50,52,56,101,45,48,54,10,32,32,49,46,53,57,48,50,51,101,
      45,48,54,32,49,46,53,52,57,49,56,101,45,48,54,32,49,46,53,48,50,55,101,45,48,
      54,32,49,46,52,53,49,54,53,101,45,48,54,32,49,46,51,57,55,48,50,101,45,48,54,
      32,49,46,51,51,57,54,54,101,45,48,54,32,49,46,50,56,48,51,51,101,45,48,54,10,
      32,32,49,46,50,49,57,55,53,101,45,48,54,32,49,46,49,53,56,53,51,101,45,48,54,
      32,49,46,48,57,55,50,54,101,45,48,54,32,49,46,48,51,54,52,52,101,45,48,54,32,
      57,46,55,54,53,50,50,101,45,48,55,32,57,46,49,55,56,56,52,101,45,48,55,32,56,
      46,54,48,56,53,53,101,45,48,55,10,32,32,56,46,48,53,54,54,57,101,45,48,55,32,
      55,46,53,50,53,49,52,101,45,48,55,32,55,46,48,49,53,51,52,101,45,48,55,32,54,
      46,53,50,56,51,49,101,45,48,55,32,54,46,48,54,52,51,57,101,45,48,55,32,53,46,
      54,50,52,49,57,101,45,48,55,32,53,46,50,48,55,55,57,101,45,48,55,10,32,32,52,
      46,56,49,53,48,56,101,45,48,55,32,52,46,52,52,53,55,53,101,45,48,55,32,52,46,
      48,57,57,50,53,101,45,48,55,32,51,46,55,55,52,56,50,101,45,48,55,32,51,46,53,
      51,55,51,55,101,45,48,55,32,51,46,51,49,50,53,49,101,45,48,55,32,51,46,48,57,
      57,56,50,101,45,48,55,10,32,32,50,46,56,57,56,56,56,101,45,48,55,32,50,46,55,
      48,57,49,55,101,45,48,55,32,50,46,53,48,56,48,54,101,45,48,55,32,50,46,50,55,
      50,50,56,101,45,48,55,32,50,46,48,53,54,50,57,101,45,48,55,32,49,46,56,53,56,
      55,56,101,45,48,55,32,49,46,54,55,56,52,52,101,45,48,55,10,32,32,49,46,53,49,
      52,48,53,101,45,48,55,32,49,46,51,54,52,52,52,101,45,48,55,32,49,46,50,50,56,
      52,56,101,45,48,55,32,49,46,49,48,53,48,56,101,45,48,55,32,57,46,57,51,50,51,
      57,101,45,48,56,32,56,46,57,49,57,56,49,101,45,48,56,32,56,46,48,48,52,51,101,
      45,48,56,10,32,32,55,46,49,55,55,52,101,45,48,56,32,54,46,52,51,49,51,49,101,
      45,48,56,32,53,46,55,53,56,55,51,101,45,48,56,32,53,46,49,53,51,49,50,101,45,
      48,56,32,52,46,54,48,56,50,52,101,45,48,56,32,52,46,49,49,56,52,54,101,45,48,
      56,32,51,46,54,55,56,53,56,101,45,48,56,10,32,32,51,46,50,56,51,56,49,101,45,
      48,56,32,50,46,57,50,57,55,57,101,45,48,56,32,50,46,54,49,50,53,50,101,45,48,
      56,32,50,46,51,50,56,53,51,101,45,48,56,32,50,46,48,55,52,51,56,101,45,48,56,
      32,49,46,56,52,55,48,57,101,45,48,56,32,49,46,54,52,51,57,53,101,45,48,56,10,
      32,32,49,46,52,54,50,52,57,101,45,48,56,32,49,46,51,48,48,53,101,45,48,56,32,
      49,46,49,53,53,57,57,101,45,48,56,32,49,46,48,50,55,49,51,101,45,48,56,32,57,
      46,49,50,50,56,55,101,45,48,57,32,56,46,48,57,57,57,101,45,48,57,32,55,46,49,
      56,57,48,57,101,45,48,57,10,32,32,54,46,51,55,56,53,50,101,45,48,57,32,53,46,
      54,53,55,52,54,101,45,48,57,32,53,46,48,49,54,51,101,45,48,57,32,52,46,52,52,
      54,52,49,101,45,48,57,32,51,46,52,57,48,52,101,45,48,57,32,50,46,55,51,54,55,
      52,101,45,48,57,32,50,46,49,52,51,53,50,101,45,48,57,10,32,32,49,46,54,55,55,
      50,49,101,45,48,57,32,49,46,51,49,49,49,49,101,45,48,57,32,49,46,48,50,52,48,
      50,101,45,48,57,32,55,46,57,57,49,50,54,101,45,49,48,32,54,46,50,51,49,49,101,
      45,49,48,32,52,46,56,53,52,57,101,45,49,48,32,51,46,55,55,57,57,51,101,45,49,
      48,10,32,32,50,46,57,52,49,48,50,101,45,49,48,32,50,46,50,56,54,56,53,101,45,
      49,48,32,49,46,55,55,55,49,49,101,45,49,48,32,49,46,51,56,48,49,57,101,45,49,
      48,32,49,46,48,55,49,51,53,101,45,49,48,32,56,46,51,49,49,56,56,101,45,49,49,
      32,54,46,52,52,53,51,56,101,45,49,49,10,32,32,52,46,57,57,53,53,56,101,45,49,
      49,32,51,46,56,55,48,49,55,101,45,49,49,32,50,46,57,57,55,101,45,49,49,32,50,
      46,51,49,57,56,55,101,45,49,49,32,49,46,55,57,53,101,45,49,49,32,49,46,51,56,
      56,51,54,101,45,49,49,32,49,46,48,55,51,52,53,101,45,49,49,10,32,32,56,46,50,
      57,54,56,53,101,45,49,50,32,54,46,52,49,48,54,57,101,45,49,50,32,52,46,57,53,
      49,55,51,101,45,49,50,32,51,46,56,50,51,54,54,101,45,49,50,32,50,46,57,53,49,
      55,55,101,45,49,50,32,48,114,49,51,32,50,46,56,51,56,53,52,101,45,50,54,32,
      53,46,52,52,54,49,49,101,45,50,54,10,32,32,57,46,57,48,55,51,54,101,45,50,54,
      32,49,46,55,49,51,50,56,101,45,50,53,32,50,46,56,51,53,53,57,101,45,50,53,32,
      52,46,53,51,55,49,56,101,45,50,53,32,55,46,48,52,56,55,52,101,45,50,53,32,49,
      46,48,54,54,51,56,101,45,50,52,32,49,46,53,53,53,51,56,101,45,50,52,10,32,32,
      50,46,50,50,50,50,55,101,45,50,52,32,51,46,49,49,54,57,53,101,45,50,52,32,52,
      46,50,57,57,48,56,101,45,50,52,32,53,46,55,57,48,50,57,101,45,50,52,32,55,46,
      54,51,53,54,57,101,45,50,52,32,57,46,57,52,54,54,55,101,45,50,52,32,49,46,50,
      56,49,49,101,45,50,51,10,32,32,49,46,54,51,49,56,53,101,45,50,51,32,50,46,48,
      50,53,53,50,101,45,50,51,32,50,46,52,57,51,52,51,101,45,50,51,32,51,46,48,52,
      53,56,49,101,45,50,51,32,51,46,54,57,52,48,50,101,45,50,51,32,52,46,52,49,48,
      53,57,101,45,50,51,32,53,46,49,57,54,57,53,101,45,50,51,10,32,32,54,46,48,57,
      49,55,54,101,45,50,51,32,55,46,49,48,54,50,51,101,45,50,51,32,56,46,50,52,54,
      50,49,101,45,50,51,32,57,46,51,57,55,52,49,101,45,50,51,32,49,46,48,54,55,51,
      55,101,45,50,50,32,49,46,50,48,56,52,57,101,45,50,50,32,49,46,51,54,52,49,52,
      101,45,50,50,10,32,32,49,46,53,50,53,53,53,101,45,50,50,32,49,46,54,57,51,52,
      52,101,45,50,50,32,49,46,56,55,53,57,54,101,45,50,50,32,50,46,48,55,52,48,50,
      101,45,50,50,32,50,46,50,56,55,53,52,101,45,50,50,32,50,46,52,57,57,54,50,101,
      45,50,50,32,50,46,55,50,55,54,49,101,45,50,50,10,32,32,50,46,57,55,50,52,56,
      101,45,50,50,32,51,46,50,51,53,48,55,101,45,50,50,32,51,46,53,48,55,51,101,
      45,50,50,32,51,46,55,57,48,55,56,101,45,50,50,32,52,46,48,57,51,49,101,45,50,
      50,32,52,46,52,49,53,49,53,101,45,50,50,32,52,46,55,53,55,53,52,101,45,50,50,
      10,32,32,53,46,49,49,53,52,51,101,45,50,50,32,53,46,52,57,53,51,55,101,45,50,
      50,32,53,46,56,57,56,53,49,101,45,50,50,32,54,46,51,50,53,56,53,101,45,50,50,
      32,54,46,55,56,51,55,53,101,45,50,50,32,55,46,50,55,50,55,53,101,45,50,50,32,
      55,46,55,57,48,50,50,101,45,50,50,10,32,32,56,46,51,51,55,52,51,101,45,50,50,
      32,56,46,57,49,56,48,56,101,45,50,50,32,57,46,53,53,57,49,55,101,45,50,50,32,
      49,46,48,50,51,54,57,101,45,50,49,32,49,46,48,57,53,51,101,45,50,49,32,49,46,
      49,55,48,57,101,45,50,49,32,49,46,50,53,51,55,101,45,50,49,10,32,32,49,46,51,
      52,51,51,55,101,45,50,49,32,49,46,52,51,56,49,52,101,45,50,49,32,49,46,53,51,
      56,49,56,101,45,50,49,32,49,46,54,52,52,51,55,101,45,50,49,32,49,46,55,54,50,
      53,57,101,45,50,49,32,49,46,56,56,55,53,49,101,45,50,49,32,50,46,48,49,57,52,
      54,101,45,50,49,10,32,32,50,46,49,53,56,55,49,101,45,50,49,32,50,46,51,48,57,
      49,54,101,45,50,49,32,50,46,52,55,48,52,52,101,45,50,49,32,50,46,54,52,48,54,
      57,101,45,50,49,32,50,46,56,50,48,50,56,101,45,50,49,32,51,46,48,48,57,53,51,
      101,45,50,49,32,51,46,50,48,56,55,57,101,45,50,49,10,32,32,51,46,52,49,56,54,
      56,101,45,50,49,32,51,46,54,51,57,52,54,101,45,50,49,32,51,46,56,55,49,52,56,
      101,45,50,49,32,52,46,49,48,53,56,52,101,45,50,49,32,52,46,51,52,53,51,53,101,
      45,50,49,32,52,46,53,57,54,50,101,45,50,49,32,52,46,56,53,56,52,53,101,45,50,
      49,10,32,32,53,46,49,50,55,51,55,101,45,50,49,32,53,46,51,54,56,51,51,101,45,
      50,49,32,53,46,54,49,56,52,57,101,45,50,49,32,53,46,56,55,56,49,101,45,50,49,
      32,54,46,49,52,55,52,52,101,45,50,49,32,54,46,51,55,50,52,53,101,45,50,49,32,
      54,46,53,55,49,57,49,101,45,50,49,10,32,32,54,46,55,55,55,57,53,101,45,50,49,
      32,54,46,57,57,48,54,54,101,45,50,49,32,55,46,49,57,50,53,53,101,45,50,49,32,
      55,46,50,56,51,57,53,101,45,50,49,32,55,46,51,56,49,54,50,101,45,50,49,32,55,
      46,52,56,53,52,50,101,45,50,49,32,55,46,53,57,53,50,50,101,45,50,49,10,32,32,
      55,46,54,48,49,48,55,101,45,50,49,32,55,46,53,53,53,52,50,101,45,50,49,32,55,
      46,53,50,49,49,57,101,45,50,49,32,55,46,52,57,55,52,55,101,45,50,49,32,55,46,
      52,53,54,52,56,101,45,50,49,32,55,46,50,55,49,50,49,101,45,50,49,32,55,46,49,
      48,56,49,56,101,45,50,49,10,32,32,54,46,57,54,52,56,55,101,45,50,49,32,54,46,
      56,51,57,54,54,101,45,50,49,32,54,46,54,49,57,56,52,101,45,50,49,32,54,46,51,
      55,48,50,55,101,45,50,49,32,54,46,49,53,48,49,56,101,45,50,49,32,53,46,57,53,
      53,52,53,101,45,50,49,32,53,46,55,54,48,54,57,101,45,50,49,10,32,32,53,46,52,
      55,54,55,53,101,45,50,49,32,53,46,50,50,55,55,50,101,45,50,49,32,53,46,48,48,
      56,51,51,101,45,50,49,32,52,46,56,49,52,52,51,101,45,50,49,32,52,46,53,55,54,
      52,53,101,45,50,49,32,52,46,51,51,54,53,53,101,45,50,49,32,52,46,49,50,54,49,
      49,101,45,50,49,10,32,32,51,46,57,52,48,54,52,101,45,50,49,32,51,46,55,54,52,
      56,50,101,45,50,49,32,51,46,53,53,53,56,57,101,45,50,49,32,51,46,51,55,50,55,
      55,101,45,50,49,32,51,46,50,49,49,51,53,101,45,50,49,32,51,46,48,54,56,55,49,
      101,45,50,49,32,50,46,57,49,51,55,55,101,45,50,49,10,32,32,50,46,55,54,52,53,
      101,45,50,49,32,50,46,54,51,50,54,53,101,45,50,49,32,50,46,53,49,53,55,54,101,
      45,50,49,32,50,46,52,48,55,49,56,101,45,50,49,32,50,46,50,57,49,49,55,101,45,
      50,49,32,50,46,49,56,56,49,56,101,45,50,49,32,50,46,48,57,54,51,52,101,45,50,
      49,10,32,32,50,46,48,49,52,50,56,101,45,50,49,32,49,46,57,51,50,49,54,101,45,
      50,49,32,49,46,56,53,52,56,52,101,45,50,49,32,49,46,55,56,53,53,101,45,50,49,
      32,49,46,55,50,51,49,52,101,45,50,49,32,49,46,54,54,53,57,54,101,45,50,49,32,
      49,46,54,49,48,54,50,101,45,50,49,10,32,32,49,46,53,54,48,54,101,45,50,49,32,
      49,46,53,49,53,50,54,101,45,50,49,32,49,46,52,55,52,49,50,101,45,50,49,32,49,
      46,52,51,55,49,53,101,45,50,49,32,49,46,52,48,51,54,57,101,45,50,49,32,49,46,
      51,55,51,49,57,101,45,50,49,32,49,46,51,52,53,51,54,101,45,50,49,10,32,32,49,
      46,51,50,48,57,101,45,50,49,32,49,46,51,48,50,49,50,101,45,50,49,32,49,46,50,
      56,53,48,51,101,45,50,49,32,49,46,50,54,52,54,54,101,45,50,49,32,49,46,50,52,
      50,48,53,101,45,50,49,32,49,46,50,53,53,48,51,101,45,50,49,32,49,46,52,48,52,
      53,51,101,45,50,49,10,32,32,49,46,55,55,49,49,49,101,45,50,49,32,50,46,52,52,
      52,50,51,101,45,50,49,32,51,46,54,52,49,49,55,101,45,50,49,32,53,46,54,51,52,
      57,52,101,45,50,49,32,56,46,56,48,53,51,49,101,45,50,49,32,49,46,51,52,52,49,
      101,45,50,48,32,49,46,57,54,55,55,57,101,45,50,48,10,32,32,50,46,55,50,54,55,
      53,101,45,50,48,32,51,46,54,49,52,50,50,101,45,50,48,32,52,46,54,52,54,52,55,
      101,45,50,48,32,54,46,50,53,49,54,56,101,45,49,56,32,53,46,57,57,48,54,55,101,
      45,49,55,32,56,46,52,52,56,48,54,101,45,49,55,32,49,46,50,56,52,54,49,101,45,
      49,54,10,32,32,50,46,49,49,52,49,51,101,45,49,54,32,52,46,51,51,56,52,54,101,
      45,49,54,32,57,46,52,54,55,55,53,101,45,49,54,32,50,46,48,50,53,57,57,101,45,
      49,53,32,52,46,50,49,54,50,52,101,45,49,53,32,54,46,52,50,51,56,55,101,45,49,
      53,32,55,46,50,56,56,51,54,101,45,49,53,10,32,32,54,46,53,55,54,52,53,101,45,
      49,53,32,53,46,55,56,51,51,49,101,45,49,53,32,53,46,50,57,49,52,53,101,45,49,
      53,32,53,46,50,49,55,49,52,101,45,49,53,32,53,46,54,55,56,55,53,101,45,49,53,
      32,55,46,48,48,55,55,53,101,45,49,53,32,49,46,48,49,48,51,54,101,45,49,52,10,
      32,32,49,46,56,50,54,54,51,101,45,49,52,32,51,46,55,54,57,55,52,101,45,49,52,
      32,56,46,57,55,50,57,49,101,45,49,52,32,50,46,51,48,57,51,51,101,45,49,51,32,
      50,46,53,53,51,54,101,45,49,51,32,50,46,48,51,57,48,52,101,45,49,51,32,49,46,
      49,55,53,53,53,101,45,49,51,10,32,32,56,46,54,49,48,57,55,101,45,49,52,32,55,
      46,50,52,50,55,57,101,45,49,52,32,54,46,57,54,50,55,56,101,45,49,52,32,55,46,
      54,54,55,53,50,101,45,49,52,32,57,46,52,52,53,48,53,101,45,49,52,32,49,46,50,
      56,54,49,50,101,45,49,51,32,49,46,57,55,53,57,50,101,45,49,51,10,32,32,52,46,
      50,57,51,52,56,101,45,49,51,32,54,46,57,50,48,54,57,101,45,49,51,32,49,46,48,
      56,54,52,51,101,45,49,50,32,49,46,54,50,48,56,101,45,49,50,32,50,46,54,48,55,
      51,55,101,45,49,50,32,53,46,48,56,57,52,54,101,45,49,50,32,56,46,54,48,48,54,
      57,101,45,49,50,10,32,32,49,46,49,55,55,54,49,101,45,49,49,32,49,46,51,56,50,
      49,52,101,45,49,49,32,49,46,54,56,53,48,57,101,45,49,49,32,50,46,48,57,53,54,
      50,101,45,49,49,32,50,46,52,52,53,55,53,101,45,49,49,32,50,46,53,52,57,50,55,
      101,45,49,49,32,50,46,53,52,51,55,54,101,45,49,49,10,32,32,50,46,54,57,52,49,
      56,101,45,49,49,32,51,46,50,53,56,101,45,49,49,32,52,46,50,55,55,51,56,101,
      45,49,49,32,53,46,51,55,56,54,56,101,45,49,49,32,56,46,50,50,54,54,54,101,45,
      49,49,32,49,46,50,49,50,49,101,45,49,48,32,49,46,55,54,53,53,101,45,49,48,10,
      32,32,50,46,54,48,53,56,54,101,45,49,48,32,51,46,52,51,49,48,52,101,45,49,48,
      32,52,46,49,48,57,49,49,101,45,49,48,32,52,46,53,51,53,48,57,101,45,49,48,32,
      52,46,56,54,52,48,56,101,45,49,48,32,53,46,49,55,53,51,56,101,45,49,48,32,53,
      46,53,51,54,52,56,101,45,49,48,10,32,32,53,46,56,49,51,48,49,101,45,49,48,32,
      54,46,49,52,51,50,56,101,45,49,48,32,54,46,57,51,53,57,49,101,45,49,48,32,55,
      46,54,55,51,56,55,101,45,49,48,32,57,46,52,48,54,50,55,101,45,49,48,32,49,46,
      50,49,54,55,53,101,45,48,57,32,49,46,52,51,50,56,55,101,45,48,57,10,32,32,49,
      46,54,56,56,52,49,101,45,48,57,32,50,46,49,55,50,53,101,45,48,57,32,50,46,56,
      49,56,54,52,101,45,48,57,32,51,46,50,48,57,55,54,101,45,48,57,32,51,46,56,50,
      55,49,101,45,48,57,32,52,46,49,54,53,53,51,101,45,48,57,32,52,46,54,49,50,57,
      49,101,45,48,57,10,32,32,52,46,48,57,53,53,56,101,45,48,57,32,52,46,55,53,52,
      57,52,101,45,48,57,32,53,46,48,52,57,57,51,101,45,48,57,32,53,46,54,53,53,52,
      54,101,45,48,57,32,54,46,51,56,52,57,101,45,48,57,32,55,46,48,52,50,55,101,
      45,48,57,32,55,46,55,52,55,48,57,101,45,48,57,10,32,32,56,46,52,52,57,53,52,
      101,45,48,57,32,57,46,49,56,51,49,56,101,45,48,57,32,49,46,48,48,52,53,55,101,
      45,48,56,32,49,46,48,56,53,53,54,101,45,48,56,32,49,46,49,55,57,54,55,101,45,
      48,56,32,49,46,50,53,50,49,53,101,45,48,56,32,49,46,51,55,54,51,101,45,48,56,
      10,32,32,49,46,52,53,54,49,101,45,48,56,32,49,46,53,53,57,49,52,101,45,48,56,
      32,49,46,56,49,53,54,51,101,45,48,56,32,50,46,50,48,53,55,49,101,45,48,56,32,
      50,46,54,50,54,49,53,101,45,48,56,32,51,46,50,48,52,51,101,45,48,56,32,51,46,
      56,51,55,49,50,101,45,48,56,10,32,32,52,46,54,54,50,50,57,101,45,48,56,32,53,
      46,51,57,57,51,53,101,45,48,56,32,54,46,54,52,54,57,53,101,45,48,56,32,55,46,
      57,57,51,51,101,45,48,56,32,56,46,56,57,54,54,53,101,45,48,56,32,57,46,57,53,
      55,52,56,101,45,48,56,32,49,46,49,52,56,53,52,101,45,48,55,10,32,32,49,46,50,
      57,54,55,51,101,45,48,55,32,49,46,52,54,50,56,50,101,45,48,55,32,49,46,54,55,
      57,55,56,101,45,48,55,32,49,46,57,51,49,52,101,45,48,55,32,50,46,49,56,51,55,
      101,45,48,55,32,50,46,52,54,56,52,57,101,45,48,55,32,50,46,55,56,54,52,50,101,
      45,48,55,10,32,32,51,46,49,57,48,52,49,101,45,48,55,32,51,46,54,57,51,50,50,
      101,45,48,55,32,52,46,51,48,51,55,54,101,45,48,55,32,52,46,56,56,56,53,55,101,
      45,48,55,32,53,46,53,54,50,54,49,101,45,48,55,32,54,46,49,55,54,57,101,45,48,
      55,32,54,46,55,56,52,53,50,101,45,48,55,10,32,32,55,46,52,51,53,55,101,45,48,
      55,32,56,46,48,56,53,55,49,101,45,48,55,32,56,46,53,52,51,48,53,101,45,48,55,
      32,57,46,48,49,52,57,51,101,45,48,55,32,57,46,51,55,51,49,49,101,45,48,55,32,
      57,46,54,57,51,52,56,101,45,48,55,32,57,46,57,52,54,55,50,101,45,48,55,10,32,
      32,49,46,48,49,51,49,49,101,45,48,54,32,49,46,48,50,52,54,54,101,45,48,54,32,
      49,46,48,50,57,53,56,101,45,48,54,32,49,46,48,50,56,50,55,101,45,48,54,32,49,
      46,48,50,49,49,56,101,45,48,54,32,49,46,48,48,56,55,52,101,45,48,54,32,57,46,
      57,49,53,50,49,101,45,48,55,10,32,32,57,46,55,48,48,55,53,101,45,48,55,32,57,
      46,52,52,57,51,55,101,45,48,55,32,57,46,49,54,53,54,53,101,45,48,55,32,56,46,
      56,53,54,48,55,101,45,48,55,32,56,46,53,50,54,101,45,48,55,32,56,46,49,56,48,
      49,56,101,45,48,55,32,55,46,56,50,50,54,101,45,48,55,10,32,32,55,46,52,53,55,
      57,55,101,45,48,55,32,55,46,48,56,57,57,51,101,45,48,55,32,54,46,55,50,49,55,
      52,101,45,48,55,32,54,46,51,53,54,50,57,101,45,48,55,32,53,46,57,57,54,48,53,
      101,45,48,55,32,53,46,54,52,51,48,50,101,45,48,55,32,53,46,50,57,57,49,50,101,
      45,48,55,10,32,32,52,46,57,54,53,55,54,101,45,48,55,32,52,46,54,52,52,48,52,
      101,45,48,55,32,52,46,51,51,52,56,57,101,45,48,55,32,52,46,48,51,57,49,51,101,
      45,48,55,32,51,46,55,53,55,49,55,101,45,48,55,32,51,46,52,56,57,50,57,101,45,
      48,55,32,51,46,50,51,53,53,52,101,45,48,55,10,32,32,50,46,57,57,53,56,52,101,
      45,48,55,32,50,46,55,55,48,48,53,101,45,48,55,32,50,46,54,48,51,56,49,101,45,
      48,55,32,50,46,52,52,53,53,57,101,45,48,55,32,50,46,50,57,53,50,52,101,45,48,
      55,32,50,46,49,53,50,53,54,101,45,48,55,32,50,46,48,49,55,51,52,101,45,48,55,
      10,32,32,49,46,56,55,51,51,57,101,45,48,55,32,49,46,55,48,51,55,55,101,45,48,
      55,32,49,46,53,52,55,53,53,101,45,48,55,32,49,46,52,48,51,57,52,101,45,48,55,
      32,49,46,50,55,50,49,53,101,45,48,55,32,49,46,49,53,49,52,54,101,45,48,55,32,
      49,46,48,52,49,49,49,101,45,48,55,10,32,32,57,46,52,48,51,55,57,101,45,48,56,
      32,56,46,52,56,53,54,57,101,45,48,56,32,55,46,54,53,48,48,50,101,45,48,56,32,
      54,46,56,57,48,53,49,101,45,48,56,32,54,46,50,48,49,49,55,101,45,48,56,32,53,
      46,53,55,54,50,50,101,45,48,56,32,53,46,48,49,48,51,50,101,45,48,56,10,32,32,
      52,46,52,57,56,52,50,101,45,48,56,32,52,46,48,51,53,56,57,101,45,48,56,32,51,
      46,54,49,56,52,49,101,45,48,56,32,51,46,50,52,49,57,54,101,45,48,56,32,50,46,
      57,48,50,55,51,101,45,48,56,32,50,46,53,57,55,51,52,101,45,48,56,32,50,46,51,
      50,50,54,56,101,45,48,56,10,32,32,50,46,48,55,53,56,52,101,45,48,56,32,49,46,
      56,53,52,50,53,101,45,48,56,32,49,46,54,53,53,51,56,101,45,48,56,32,49,46,52,
      55,55,48,57,101,45,48,56,32,49,46,51,49,55,51,52,101,45,48,56,32,49,46,49,55,
      52,51,101,45,48,56,32,49,46,48,52,54,50,56,101,45,48,56,10,32,32,57,46,51,49,
      55,57,54,101,45,48,57,32,56,46,50,57,52,56,51,101,45,48,57,32,55,46,51,56,48,
      57,50,101,45,48,57,32,54,46,53,54,53,48,54,101,45,48,57,32,53,46,56,51,55,49,
      49,101,45,48,57,32,53,46,49,56,55,57,50,101,45,48,57,32,52,46,54,48,57,50,53,
      101,45,48,57,10,32,32,52,46,48,57,51,54,51,101,45,48,57,32,51,46,54,51,52,52,
      52,101,45,48,57,32,50,46,56,54,49,57,57,101,45,48,57,32,50,46,50,53,48,55,54,
      101,45,48,57,32,49,46,55,54,56,48,49,101,45,48,57,32,49,46,51,56,55,50,56,101,
      45,48,57,32,49,46,48,56,55,52,49,101,45,48,57,10,32,32,56,46,53,49,53,50,50,
      101,45,49,48,32,54,46,54,54,49,56,49,101,45,49,48,32,53,46,50,48,55,49,101,
      45,49,48,32,52,46,48,54,54,54,50,101,45,49,48,32,51,46,49,55,51,52,53,101,45,
      49,48,32,50,46,52,55,52,54,50,101,45,49,48,32,49,46,57,50,56,51,49,101,45,49,
      48,10,32,32,49,46,53,48,49,54,49,101,45,49,48,32,49,46,49,54,56,53,55,101,45,
      49,48,32,57,46,48,56,56,51,57,101,45,49,49,32,55,46,48,54,52,49,52,101,45,49,
      49,32,53,46,52,56,55,54,55,101,45,49,49,32,52,46,50,54,48,55,51,101,45,49,49,
      32,51,46,51,48,54,52,54,101,45,49,49,10,32,32,50,46,53,54,52,54,56,101,45,49,
      49,32,49,46,57,56,56,52,50,101,45,49,49,32,49,46,53,52,48,57,55,101,45,49,49,
      32,49,46,49,57,51,55,101,45,49,49,32,57,46,50,52,51,49,55,101,45,49,50,32,55,
      46,49,53,52,52,55,101,45,49,50,32,53,46,53,51,53,55,55,101,45,49,50,10,32,32,
      52,46,50,56,49,56,49,101,45,49,50,32,51,46,51,49,48,56,49,101,45,49,50,32,50,
      46,53,53,57,50,50,101,45,49,50,32,48,114,49,53,32,49,46,51,57,52,51,101,45,
      50,54,32,50,46,52,55,49,57,55,101,45,50,54,32,52,46,49,56,52,55,52,101,45,50,
      54,32,54,46,56,51,55,48,57,101,45,50,54,10,32,32,49,46,48,56,50,57,51,101,45,
      50,53,32,49,46,54,54,56,48,53,101,45,50,53,32,50,46,52,55,50,50,51,101,45,50,
      53,32,51,46,53,56,53,53,56,101,45,50,53,32,53,46,49,48,48,51,55,101,45,50,53,
      32,55,46,49,50,56,53,52,101,45,50,53,32,57,46,55,49,55,50,52,101,45,50,53,10,
      32,32,49,46,50,57,53,53,101,45,50,52,32,49,46,55,48,53,49,55,101,45,50,52,32,
      50,46,50,49,55,57,49,101,45,50,52,32,50,46,56,53,49,53,55,101,45,50,52,32,51,
      46,53,54,55,56,50,101,45,50,52,32,52,46,52,50,53,53,55,101,45,50,52,32,53,46,
      52,52,53,52,54,101,45,50,52,10,32,32,54,46,54,53,48,53,50,101,45,50,52,32,55,
      46,57,56,57,56,57,101,45,50,52,32,57,46,52,54,54,55,57,101,45,50,52,32,49,46,
      49,49,53,54,51,101,45,50,51,32,49,46,51,48,56,49,52,101,45,50,51,32,49,46,53,
      50,53,53,49,101,45,50,51,32,49,46,55,52,53,53,50,101,45,50,51,10,32,32,49,46,
      57,57,48,51,57,101,45,50,51,32,50,46,50,54,50,49,55,101,45,50,51,32,50,46,53,
      54,51,48,52,101,45,50,51,32,50,46,56,55,53,55,51,101,45,50,51,32,51,46,50,48,
      49,54,50,101,45,50,51,32,51,46,53,53,54,57,53,101,45,50,51,32,51,46,57,52,51,
      54,54,101,45,50,51,10,32,32,52,46,51,54,49,54,56,101,45,50,51,32,52,46,55,55,
      55,49,49,101,45,50,51,32,53,46,50,50,52,55,56,101,45,50,51,32,53,46,55,48,54,
      55,51,101,45,50,51,32,54,46,50,50,52,55,56,101,45,50,51,32,54,46,55,54,50,54,
      49,101,45,50,51,32,55,46,51,50,51,53,51,101,45,50,51,10,32,32,55,46,57,50,50,
      57,55,101,45,50,51,32,56,46,53,54,50,56,101,45,50,51,32,57,46,50,52,52,52,49,
      101,45,50,51,32,57,46,57,53,55,57,57,101,45,50,51,32,49,46,48,55,49,55,101,
      45,50,50,32,49,46,49,53,50,51,57,101,45,50,50,32,49,46,50,51,56,48,56,101,45,
      50,50,10,32,32,49,46,51,51,48,49,101,45,50,50,32,49,46,52,50,56,53,55,101,45,
      50,50,32,49,46,53,51,50,57,55,101,45,50,50,32,49,46,54,52,51,53,56,101,45,50,
      50,32,49,46,55,54,49,49,55,101,45,50,50,32,49,46,56,57,49,51,55,101,45,50,50,
      32,50,46,48,50,57,50,55,101,45,50,50,10,32,32,50,46,49,55,53,50,52,101,45,50,
      50,32,50,46,51,50,57,54,52,101,45,50,50,32,50,46,52,57,57,49,56,101,45,50,50,
      32,50,46,54,56,51,50,54,101,45,50,50,32,50,46,56,55,56,49,55,101,45,50,50,32,
      51,46,48,56,52,51,101,45,50,50,32,51,46,51,48,51,53,53,101,45,50,50,10,32,32,
      51,46,53,52,56,51,56,101,45,50,50,32,51,46,56,48,55,53,56,101,45,50,50,32,52,
      46,48,56,49,56,57,101,45,50,50,32,52,46,51,55,49,57,54,101,45,50,50,32,52,46,
      54,56,54,49,50,101,45,50,50,32,53,46,48,50,51,54,51,101,45,50,50,32,53,46,51,
      56,48,54,50,101,45,50,50,10,32,32,53,46,55,53,55,57,49,101,45,50,50,32,54,46,
      49,53,54,50,51,101,45,50,50,32,54,46,53,55,54,52,53,101,45,50,50,32,55,46,48,
      49,57,56,54,101,45,50,50,32,55,46,52,56,55,49,50,101,45,50,50,32,55,46,57,55,
      57,48,57,101,45,50,50,32,56,46,52,55,54,53,54,101,45,50,50,10,32,32,56,46,57,
      56,53,53,50,101,45,50,50,32,57,46,53,49,57,51,51,101,45,50,50,32,49,46,48,48,
      55,56,51,101,45,50,49,32,49,46,48,54,53,50,50,101,45,50,49,32,49,46,49,49,54,
      53,53,101,45,50,49,32,49,46,49,54,57,57,101,45,50,49,32,49,46,50,50,53,51,52,
      101,45,50,49,10,32,32,49,46,50,56,50,57,50,101,45,50,49,32,49,46,51,51,48,56,
      49,101,45,50,49,32,49,46,51,55,51,49,50,101,45,50,49,32,49,46,52,49,54,56,53,
      101,45,50,49,32,49,46,52,54,50,48,52,101,45,50,49,32,49,46,53,48,52,56,53,101,
      45,50,49,32,49,46,53,50,51,52,51,101,45,50,49,10,32,32,49,46,53,52,51,51,55,
      101,45,50,49,32,49,46,53,54,52,54,53,101,45,50,49,32,49,46,53,56,55,50,50,101,
      45,50,49,32,49,46,53,56,55,48,52,101,45,50,49,32,49,46,53,55,53,54,49,101,45,
      50,49,32,49,46,53,54,54,55,49,101,45,50,49,32,49,46,53,54,48,49,52,101,45,50,
      49,10,32,32,49,46,53,52,57,56,50,101,45,50,49,32,49,46,53,48,56,49,55,101,45,
      50,49,32,49,46,52,55,49,52,56,101,45,50,49,32,49,46,52,51,57,49,54,101,45,50,
      49,32,49,46,52,49,48,56,51,101,45,50,49,32,49,46,51,54,50,49,55,101,45,50,49,
      32,49,46,51,48,55,50,56,101,45,50,49,10,32,32,49,46,50,53,56,57,49,101,45,50,
      49,32,49,46,50,49,54,49,51,101,45,50,49,32,49,46,49,55,51,52,56,101,45,50,49,
      32,49,46,49,49,49,57,55,101,45,50,49,32,49,46,48,53,56,49,50,101,45,50,49,32,
      49,46,48,49,48,55,53,101,45,50,49,32,57,46,54,56,57,52,51,101,45,50,50,10,32,
      32,57,46,49,55,57,57,56,101,45,50,50,32,56,46,54,54,56,53,56,101,45,50,50,32,
      56,46,50,50,48,57,55,101,45,50,50,32,55,46,56,50,55,50,101,45,50,50,32,55,46,
      52,53,52,57,57,101,45,50,50,32,55,46,48,49,53,53,54,101,45,50,50,32,54,46,54,
      51,49,51,55,101,45,50,50,10,32,32,54,46,50,57,51,52,51,101,45,50,50,32,53,46,
      57,57,53,51,55,101,45,50,50,32,53,46,54,55,51,50,56,101,45,50,50,32,53,46,51,
      54,52,48,56,101,45,50,50,32,53,46,48,57,49,53,56,101,45,50,50,32,52,46,56,53,
      48,52,52,101,45,50,50,32,52,46,54,50,55,48,52,101,45,50,50,10,32,32,52,46,51,
      56,57,53,101,45,50,50,32,52,46,49,55,57,48,53,101,45,50,50,32,51,46,57,57,49,
      55,52,101,45,50,50,32,51,46,56,50,52,54,51,101,45,50,50,32,51,46,54,53,56,48,
      49,101,45,50,50,32,51,46,53,48,49,53,51,101,45,50,50,32,51,46,51,54,49,52,101,
      45,50,50,10,32,32,51,46,50,51,53,53,53,101,45,50,50,32,51,46,49,50,48,51,51,
      101,45,50,50,32,51,46,48,48,57,48,57,101,45,50,50,32,50,46,57,48,56,54,54,101,
      45,50,50,32,50,46,56,49,55,55,101,45,50,50,32,50,46,55,51,53,50,49,101,45,50,
      50,32,50,46,54,54,49,49,49,101,45,50,50,10,32,32,50,46,53,57,52,48,51,101,45,
      50,50,32,50,46,53,51,50,57,101,45,50,50,32,50,46,52,55,55,48,57,101,45,50,50,
      32,50,46,52,50,55,57,53,101,45,50,50,32,50,46,51,56,57,57,50,101,45,50,50,32,
      50,46,51,53,53,50,52,101,45,50,50,32,50,46,51,49,51,55,57,101,45,50,50,10,32,
      32,50,46,50,54,53,52,51,101,45,50,50,32,50,46,50,56,51,52,53,101,45,50,50,32,
      50,46,53,53,56,57,57,101,45,50,50,32,51,46,50,53,51,51,55,101,45,50,50,32,52,
      46,53,52,57,54,53,101,45,50,50,32,54,46,56,57,54,50,55,101,45,50,50,32,49,46,
      48,56,56,101,45,50,49,10,32,32,49,46,55,51,51,55,57,101,45,50,49,32,50,46,54,
      57,53,51,49,101,45,50,49,32,52,46,48,48,57,56,50,101,45,50,49,32,53,46,54,51,
      48,55,50,101,45,50,49,32,55,46,53,52,54,57,51,101,45,50,49,32,57,46,55,57,54,
      57,51,101,45,50,49,32,49,46,56,49,53,51,51,101,45,49,56,10,32,32,49,46,57,57,
      52,56,53,101,45,49,55,32,50,46,56,48,55,51,55,101,45,49,55,32,52,46,50,53,56,
      53,101,45,49,55,32,54,46,57,57,49,54,51,101,45,49,55,32,49,46,52,51,50,55,56,
      101,45,49,54,32,51,46,49,51,54,57,51,101,45,49,54,32,54,46,55,56,50,51,50,101,
      45,49,54,10,32,32,49,46,52,51,55,50,54,101,45,49,53,32,50,46,50,49,56,54,101,
      45,49,53,32,50,46,53,50,49,57,54,101,45,49,53,32,50,46,50,54,48,52,54,101,45,
      49,53,32,49,46,57,55,52,48,54,101,45,49,53,32,49,46,55,57,54,57,49,101,45,49,
      53,32,49,46,55,54,54,57,51,101,45,49,53,10,32,32,49,46,57,50,51,56,53,101,45,
      49,53,32,50,46,51,56,52,50,53,101,45,49,53,32,51,46,52,55,50,50,51,101,45,49,
      53,32,54,46,52,49,48,49,50,101,45,49,53,32,49,46,51,54,51,55,56,101,45,49,52,
      32,51,46,54,52,49,51,56,101,45,49,52,32,49,46,56,56,50,48,51,101,45,49,51,10,
      32,32,50,46,48,55,57,55,50,101,45,49,51,32,49,46,54,56,53,52,101,45,49,51,32,
      52,46,52,49,49,49,55,101,45,49,52,32,51,46,49,54,56,55,50,101,45,49,52,32,50,
      46,54,51,49,55,56,101,45,49,52,32,50,46,53,49,53,49,57,101,45,49,52,32,50,46,
      55,55,49,55,50,101,45,49,52,10,32,32,51,46,52,51,54,56,57,101,45,49,52,32,52,
      46,55,51,53,48,50,101,45,49,52,32,55,46,52,48,48,57,52,101,45,49,52,32,51,46,
      53,52,54,54,55,101,45,49,51,32,53,46,53,57,55,53,51,101,45,49,51,32,56,46,53,
      55,49,57,49,101,45,49,51,32,49,46,50,52,52,54,49,101,45,49,50,10,32,32,49,46,
      57,50,56,49,101,45,49,50,32,51,46,53,52,57,51,56,101,45,49,50,32,53,46,55,51,
      52,51,56,101,45,49,50,32,55,46,54,55,50,51,101,45,49,50,32,56,46,57,51,50,48,
      50,101,45,49,50,32,49,46,48,55,56,56,53,101,45,49,49,32,49,46,51,50,54,50,52,
      101,45,49,49,10,32,32,49,46,53,51,55,56,101,45,49,49,32,49,46,54,48,53,51,51,
      101,45,49,49,32,49,46,54,48,57,56,57,101,45,49,49,32,49,46,55,48,53,48,57,101,
      45,49,49,32,50,46,48,52,49,57,101,45,49,49,32,50,46,54,52,49,52,51,101,45,49,
      49,32,51,46,50,56,53,54,101,45,49,49,10,32,32,52,46,57,53,48,55,56,101,45,49,
      49,32,55,46,50,52,49,55,56,101,45,49,49,32,49,46,48,53,50,55,101,45,49,48,32,
      49,46,53,53,54,53,49,101,45,49,48,32,50,46,48,53,52,51,50,101,45,49,48,32,50,
      46,52,54,51,56,57,101,45,49,48,32,50,46,55,50,48,56,50,101,45,49,48,10,32,32,
      50,46,57,49,56,57,52,101,45,49,48,32,51,46,49,48,54,52,50,101,45,49,48,32,51,
      46,51,50,51,57,54,101,45,49,48,32,51,46,52,57,48,54,51,101,45,49,48,32,51,46,
      54,56,57,57,50,101,45,49,48,32,52,46,49,54,56,57,55,101,45,49,48,32,52,46,54,
      49,53,53,51,101,45,49,48,10,32,32,53,46,54,54,52,49,52,101,45,49,48,32,55,46,
      51,51,53,53,50,101,45,49,48,32,56,46,54,52,51,52,50,101,45,49,48,32,49,46,48,
      49,57,48,51,101,45,48,57,32,49,46,51,49,50,54,55,101,45,48,57,32,49,46,55,48,
      54,50,54,101,45,48,57,32,49,46,57,52,53,56,51,101,45,48,57,10,32,32,50,46,51,
      50,53,53,56,101,45,48,57,32,50,46,53,51,52,54,56,101,45,48,57,32,50,46,56,49,
      49,51,50,101,45,48,57,32,50,46,52,56,56,50,53,101,45,48,57,32,50,46,56,57,53,
      55,54,101,45,48,57,32,51,46,48,55,56,55,57,101,45,48,57,32,51,46,52,53,53,57,
      101,45,48,57,10,32,32,51,46,57,49,50,54,51,101,45,48,57,32,52,46,51,50,54,57,
      101,45,48,57,32,52,46,55,55,50,57,53,101,45,48,57,32,53,46,50,50,48,48,50,101,
      45,48,57,32,53,46,54,56,57,50,50,101,45,48,57,32,54,46,50,52,51,54,56,101,45,
      48,57,32,54,46,55,54,55,49,56,101,45,48,57,10,32,32,55,46,51,55,56,55,51,101,
      45,48,57,32,55,46,56,53,50,50,50,101,45,48,57,32,56,46,54,54,55,55,101,45,48,
      57,32,57,46,49,57,52,55,101,45,48,57,32,57,46,56,55,56,50,50,101,45,48,57,32,
      49,46,49,53,57,51,49,101,45,48,56,32,49,46,52,50,51,56,52,101,45,48,56,10,32,
      32,49,46,55,49,51,54,101,45,48,56,32,50,46,49,49,56,52,51,101,45,48,56,32,50,
      46,53,54,56,48,53,101,45,48,56,32,51,46,49,54,51,52,56,101,45,48,56,32,51,46,
      55,48,50,50,53,101,45,48,56,32,52,46,54,55,52,55,54,101,45,48,56,32,53,46,54,
      55,50,48,51,101,45,48,56,10,32,32,54,46,51,54,50,50,55,101,45,48,56,32,55,46,
      49,54,56,50,52,101,45,48,56,32,56,46,51,49,54,52,52,101,45,48,56,32,57,46,52,
      49,50,54,56,101,45,48,56,32,49,46,48,54,50,50,101,45,48,55,32,49,46,50,49,56,
      49,53,101,45,48,55,32,49,46,51,57,55,50,52,101,45,48,55,10,32,32,49,46,53,55,
      54,101,45,48,55,32,49,46,55,55,55,55,51,101,45,48,55,32,50,46,48,48,51,55,56,
      101,45,48,55,32,50,46,50,57,50,53,56,101,45,48,55,32,50,46,54,53,53,52,52,101,
      45,48,55,32,51,46,49,48,49,50,56,101,45,48,55,32,51,46,53,51,52,50,51,101,45,
      48,55,10,32,32,52,46,48,52,48,51,57,101,45,48,55,32,52,46,53,48,56,53,53,101,
      45,48,55,32,52,46,57,55,56,53,49,101,45,48,55,32,53,46,52,57,48,56,49,101,45,
      48,55,32,54,46,48,49,51,49,50,101,45,48,55,32,54,46,51,56,57,48,50,101,45,48,
      55,32,54,46,55,56,53,55,57,101,45,48,55,10,32,32,55,46,48,57,53,53,53,101,45,
      48,55,32,55,46,51,56,49,57,53,101,45,48,55,32,55,46,54,49,56,54,52,101,45,48,
      55,32,55,46,56,48,50,55,49,101,45,48,55,32,55,46,57,51,51,55,54,101,45,48,55,
      32,56,46,48,49,51,57,49,101,45,48,55,32,56,46,48,52,52,48,55,101,45,48,55,10,
      32,32,56,46,48,50,55,53,55,101,45,48,55,32,55,46,57,54,55,53,101,45,48,55,32,
      55,46,56,54,55,52,53,101,45,48,55,32,55,46,55,51,48,52,49,101,45,48,55,32,55,
      46,53,54,49,50,49,101,45,48,55,32,55,46,51,54,52,52,101,45,48,55,32,55,46,49,
      52,51,56,51,101,45,48,55,10,32,32,54,46,57,48,51,56,53,101,45,48,55,32,54,46,
      54,52,56,51,51,101,45,48,55,32,54,46,51,56,48,56,101,45,48,55,32,54,46,49,48,
      52,52,54,101,45,48,55,32,53,46,56,50,50,52,55,101,45,48,55,32,53,46,53,51,55,
      53,56,101,45,48,55,32,53,46,50,53,50,51,50,101,45,48,55,10,32,32,52,46,57,54,
      57,48,53,101,45,48,55,32,52,46,54,56,57,56,101,45,48,55,32,52,46,52,49,54,49,
      56,101,45,48,55,32,52,46,49,52,57,53,53,101,45,48,55,32,51,46,56,57,49,48,53,
      101,45,48,55,32,51,46,54,52,49,52,54,101,45,48,55,32,51,46,52,48,49,52,50,101,
      45,48,55,10,32,32,51,46,49,55,49,53,54,101,45,48,55,32,50,46,57,53,50,50,54,
      101,45,48,55,32,50,46,55,52,51,55,101,45,48,55,32,50,46,53,52,53,56,56,101,
      45,48,55,32,50,46,51,53,56,56,57,101,45,48,55,32,50,46,50,50,48,56,55,101,45,
      48,55,32,50,46,48,56,57,50,49,101,45,48,55,10,32,32,49,46,57,54,51,55,57,101,
      45,48,55,32,49,46,56,52,52,53,101,45,48,55,32,49,46,55,51,49,49,57,101,45,48,
      55,32,49,46,54,49,48,50,57,101,45,48,55,32,49,46,52,54,55,52,101,45,48,55,32,
      49,46,51,51,53,52,50,101,45,48,55,32,49,46,50,49,51,55,55,101,45,48,55,10,32,
      32,49,46,49,48,49,56,53,101,45,48,55,32,57,46,57,57,48,53,49,101,45,48,56,32,
      57,46,48,52,56,51,52,101,45,48,56,32,56,46,49,56,54,51,54,101,45,48,56,32,55,
      46,51,57,57,48,49,101,45,48,56,32,54,46,54,56,48,57,101,45,48,56,32,54,46,48,
      50,54,55,49,101,45,48,56,10,32,32,53,46,52,51,49,55,50,101,45,48,56,32,52,46,
      56,57,49,51,101,45,48,56,32,52,46,52,48,49,48,51,101,45,48,56,32,51,46,57,53,
      54,55,56,101,45,48,56,32,51,46,53,53,52,54,53,101,45,48,56,32,51,46,49,57,48,
      57,57,101,45,48,56,32,50,46,56,54,50,53,49,101,45,48,56,10,32,32,50,46,53,54,
      54,49,50,101,45,48,56,32,50,46,50,57,56,57,52,101,45,48,56,32,50,46,48,53,56,
      50,57,101,45,48,56,32,49,46,56,52,49,55,101,45,48,56,32,49,46,54,52,54,57,57,
      101,45,48,56,32,49,46,52,55,50,48,49,101,45,48,56,32,49,46,51,49,52,57,101,
      45,48,56,10,32,32,49,46,49,55,51,57,53,101,45,48,56,32,49,46,48,52,55,53,56,
      101,45,48,56,32,57,46,51,52,51,53,55,101,45,48,57,32,56,46,51,50,57,55,49,101,
      45,48,57,32,55,46,52,50,50,52,55,101,45,48,57,32,54,46,54,49,49,49,52,101,45,
      48,57,32,53,46,56,56,53,57,56,101,45,48,57,10,32,32,53,46,50,51,56,49,54,101,
      45,48,57,32,52,46,54,53,57,56,101,45,48,57,32,52,46,49,52,51,55,50,101,45,48,
      57,32,51,46,54,56,51,52,51,101,45,48,57,32,51,46,50,55,51,49,101,45,48,57,32,
      50,46,53,56,49,55,51,101,45,48,57,32,50,46,48,51,51,54,56,101,45,48,57,10,32,
      32,49,46,53,57,57,57,56,101,45,48,57,32,49,46,50,53,55,50,56,101,45,48,57,32,
      57,46,56,54,56,57,56,101,45,49,48,32,55,46,55,51,56,55,101,45,49,48,32,54,46,
      48,54,50,49,54,101,45,49,48,32,52,46,55,52,52,51,56,101,45,49,48,32,51,46,55,
      48,57,56,50,101,45,49,48,10,32,32,50,46,56,57,56,52,55,101,45,49,48,32,50,46,
      50,54,50,56,101,45,49,48,32,49,46,55,54,53,50,51,101,45,49,48,32,49,46,51,55,
      54,48,54,101,45,49,48,32,49,46,48,55,49,57,53,101,45,49,48,32,56,46,51,52,53,
      48,54,101,45,49,49,32,54,46,52,57,50,53,52,101,45,49,49,10,32,32,53,46,48,52,
      56,51,51,101,45,49,49,32,51,46,57,50,51,50,50,101,45,49,49,32,51,46,48,52,55,
      50,56,101,45,49,49,32,50,46,51,54,53,55,50,101,45,49,49,32,49,46,56,51,53,55,
      49,101,45,49,49,32,49,46,52,50,51,56,101,45,49,49,32,49,46,49,48,51,56,51,101,
      45,49,49,10,32,32,56,46,53,53,52,49,54,101,45,49,50,32,54,46,54,50,54,51,56,
      101,45,49,50,32,53,46,49,51,49,48,49,101,45,49,50,32,51,46,57,55,49,53,56,101,
      45,49,50,32,51,46,48,55,51,48,54,101,45,49,50,32,50,46,51,55,55,48,53,101,45,
      49,50,32,48,114,49,56,32,49,46,51,52,56,53,56,101,45,50,54,10,32,32,50,46,49,
      51,54,51,57,101,45,50,54,32,51,46,50,57,49,53,54,101,45,50,54,32,52,46,56,55,
      57,57,49,101,45,50,54,32,55,46,48,55,57,57,50,101,45,50,54,32,49,46,48,48,55,
      52,55,101,45,50,53,32,49,46,52,48,56,54,53,101,45,50,53,32,49,46,57,50,48,57,
      56,101,45,50,53,10,32,32,50,46,53,54,50,49,101,45,50,53,32,51,46,51,55,51,55,
      49,101,45,50,53,32,52,46,51,57,48,48,52,101,45,50,53,32,53,46,54,52,54,55,50,
      101,45,50,53,32,55,46,48,54,55,56,49,101,45,50,53,32,56,46,55,55,48,52,51,101,
      45,50,53,32,49,46,48,55,57,53,57,101,45,50,52,10,32,32,49,46,51,49,57,48,50,
      101,45,50,52,32,49,46,53,56,53,50,54,101,45,50,52,32,49,46,56,55,56,57,52,101,
      45,50,52,32,50,46,50,49,53,48,51,101,45,50,52,32,50,46,53,57,56,49,54,101,45,
      50,52,32,51,46,48,51,48,57,53,101,45,50,52,32,51,46,52,54,57,48,56,101,45,50,
      52,10,32,32,51,46,57,53,54,57,101,45,50,52,32,52,46,52,57,56,53,50,101,45,50,
      52,32,53,46,48,57,56,51,52,101,45,50,52,32,53,46,55,50,49,56,55,101,45,50,52,
      32,54,46,51,55,49,56,53,101,45,50,52,32,55,46,48,56,48,55,56,101,45,50,52,32,
      55,46,56,53,50,53,52,101,45,50,52,10,32,32,56,46,54,56,55,48,50,101,45,50,52,
      32,57,46,53,49,54,52,52,101,45,50,52,32,49,46,48,52,49,48,52,101,45,50,51,32,
      49,46,49,51,55,51,50,101,45,50,51,32,49,46,50,52,48,56,51,101,45,50,51,32,49,
      46,51,52,56,51,49,101,45,50,51,32,49,46,52,54,48,52,51,101,45,50,51,10,32,32,
      49,46,53,56,48,50,55,101,45,50,51,32,49,46,55,48,56,50,51,101,45,50,51,32,49,
      46,56,52,52,53,55,101,45,50,51,32,49,46,57,56,55,51,51,101,45,50,51,32,50,46,
      49,51,57,50,50,101,45,50,51,32,50,46,51,48,48,55,51,101,45,50,51,32,50,46,52,
      55,50,51,101,45,50,51,10,32,32,50,46,54,53,54,53,56,101,45,50,51,32,50,46,56,
      53,51,56,53,101,45,50,51,32,51,46,48,54,51,48,52,101,45,50,51,32,51,46,50,56,
      52,55,49,101,45,50,51,32,51,46,53,50,48,52,52,101,45,50,51,32,51,46,55,56,49,
      53,54,101,45,50,51,32,52,46,48,53,56,50,101,45,50,51,10,32,32,52,46,51,53,49,
      49,49,101,45,50,51,32,52,46,54,54,49,48,49,101,45,50,51,32,53,46,48,48,49,52,
      51,101,45,50,51,32,53,46,51,55,49,49,55,101,45,50,51,32,53,46,55,54,50,55,57,
      101,45,50,51,32,54,46,49,55,55,49,101,45,50,51,32,54,46,54,49,55,57,101,45,
      50,51,10,32,32,55,46,49,49,48,51,52,101,45,50,51,32,55,46,54,51,49,56,56,101,
      45,50,51,32,56,46,49,56,52,101,45,50,51,32,56,46,55,54,56,48,51,101,45,50,51,
      32,57,46,52,48,48,56,50,101,45,50,51,32,49,46,48,48,56,48,57,101,45,50,50,32,
      49,46,48,56,48,48,53,101,45,50,50,10,32,32,49,46,49,53,54,49,51,101,45,50,50,
      32,49,46,50,51,54,52,56,101,45,50,50,32,49,46,51,50,49,50,55,101,45,50,50,32,
      49,46,52,49,48,55,57,101,45,50,50,32,49,46,53,48,53,49,53,101,45,50,50,32,49,
      46,54,48,52,53,51,101,45,50,50,32,49,46,55,48,53,48,52,101,45,50,50,10,32,32,
      49,46,56,48,55,57,101,45,50,50,32,49,46,57,49,53,56,52,101,45,50,50,32,50,46,
      48,50,56,56,57,101,45,50,50,32,50,46,49,52,52,57,56,101,45,50,50,32,50,46,50,
      52,56,55,57,101,45,50,50,32,50,46,51,53,54,55,49,101,45,50,50,32,50,46,52,54,
      56,56,55,101,45,50,50,10,32,32,50,46,53,56,53,51,57,101,45,50,50,32,50,46,54,
      56,50,50,52,101,45,50,50,32,50,46,55,54,55,55,51,101,45,50,50,32,50,46,56,53,
      54,49,51,101,45,50,50,32,50,46,57,52,55,52,56,101,45,50,50,32,51,46,48,51,52,
      101,45,50,50,32,51,46,48,55,49,50,54,101,45,50,50,10,32,32,51,46,49,49,49,51,
      101,45,50,50,32,51,46,49,53,52,48,51,101,45,50,50,32,51,46,49,57,57,52,101,
      45,50,50,32,51,46,49,57,56,53,52,101,45,50,50,32,51,46,49,55,52,56,52,101,45,
      50,50,32,51,46,49,53,54,50,57,101,45,50,50,32,51,46,49,52,50,52,55,101,45,50,
      50,10,32,32,51,46,49,50,49,48,55,101,45,50,50,32,51,46,48,51,54,48,56,101,45,
      50,50,32,50,46,57,54,49,50,101,45,50,50,32,50,46,56,57,53,50,53,101,45,50,50,
      32,50,46,56,51,55,52,54,101,45,50,50,32,50,46,55,51,56,53,49,101,45,50,50,32,
      50,46,54,50,55,48,49,101,45,50,50,10,32,32,50,46,53,50,56,55,56,101,45,50,50,
      32,50,46,52,52,49,57,52,101,45,50,50,32,50,46,51,53,53,52,50,101,45,50,50,32,
      50,46,50,51,48,56,55,101,45,50,50,32,50,46,49,50,49,56,57,101,45,50,50,32,50,
      46,48,50,54,48,54,101,45,50,50,32,49,46,57,52,49,53,50,101,45,50,50,10,32,32,
      49,46,56,51,56,54,50,101,45,50,50,32,49,46,55,51,53,52,101,45,50,50,32,49,46,
      54,52,53,49,101,45,50,50,32,49,46,53,54,53,54,57,101,45,50,50,32,49,46,52,57,
      48,54,56,101,45,50,50,32,49,46,52,48,50,50,101,45,50,50,32,49,46,51,50,52,56,
      56,101,45,50,50,10,32,32,49,46,50,53,54,57,101,45,50,50,32,49,46,49,57,54,57,
      55,101,45,50,50,32,49,46,49,51,50,50,53,101,45,50,50,32,49,46,48,55,48,49,53,
      101,45,50,50,32,49,46,48,49,53,52,53,101,45,50,50,32,57,46,54,55,48,54,49,101,
      45,50,51,32,57,46,50,50,50,52,55,101,45,50,51,10,32,32,56,46,55,52,54,50,55,
      101,45,50,51,32,56,46,51,50,52,53,50,101,45,50,51,32,55,46,57,52,57,50,56,101,
      45,50,51,32,55,46,54,49,52,53,57,101,45,50,51,32,55,46,50,56,49,48,49,101,45,
      50,51,32,54,46,57,54,55,56,54,101,45,50,51,32,54,46,54,56,55,53,50,101,45,50,
      51,10,32,32,54,46,52,51,53,55,54,101,45,50,51,32,54,46,50,48,53,51,52,101,45,
      50,51,32,53,46,57,56,50,57,54,101,45,50,51,32,53,46,55,56,50,50,50,101,45,50,
      51,32,53,46,54,48,48,52,53,101,45,50,51,32,53,46,52,51,53,54,49,101,45,50,51,
      32,53,46,50,56,55,53,54,101,45,50,51,10,32,32,53,46,49,53,51,53,51,101,45,50,
      51,32,53,46,48,51,49,52,50,101,45,50,51,32,52,46,57,49,57,57,54,101,45,50,51,
      32,52,46,56,50,49,55,57,101,45,50,51,32,52,46,55,52,53,56,101,45,50,51,32,52,
      46,54,55,54,52,57,101,45,50,51,32,52,46,53,57,51,54,53,101,45,50,51,10,32,32,
      52,46,52,57,54,55,50,101,45,50,51,32,52,46,53,51,49,55,54,101,45,50,51,32,53,
      46,48,55,57,48,53,101,45,50,51,32,54,46,52,54,48,55,53,101,45,50,51,32,57,46,
      48,52,51,53,49,101,45,50,51,32,49,46,51,55,50,55,101,45,50,50,32,50,46,49,54,
      57,53,50,101,45,50,50,10,32,32,51,46,52,54,52,53,52,101,45,50,50,32,53,46,51,
      57,56,48,57,101,45,50,50,32,56,46,48,52,57,101,45,50,50,32,49,46,49,51,50,54,
      53,101,45,50,49,32,49,46,53,50,49,48,52,101,45,50,49,32,49,46,57,55,56,49,49,
      101,45,50,49,32,52,46,56,55,51,54,57,101,45,49,57,10,32,32,54,46,48,53,57,53,
      56,101,45,49,56,32,56,46,53,49,51,48,57,101,45,49,56,32,49,46,50,56,54,51,54,
      101,45,49,55,32,50,46,48,57,55,53,57,101,45,49,55,32,52,46,50,52,53,48,52,101,
      45,49,55,32,57,46,49,54,56,50,57,101,45,49,55,32,49,46,57,54,52,52,51,101,45,
      49,54,10,32,32,52,46,49,53,54,50,52,101,45,49,54,32,54,46,52,51,51,54,55,101,
      45,49,54,32,55,46,51,49,55,50,56,101,45,49,54,32,54,46,53,52,54,54,54,101,45,
      49,54,32,53,46,55,48,57,53,54,101,45,49,54,32,53,46,49,57,52,56,54,101,45,49,
      54,32,53,46,49,48,55,53,56,101,45,49,54,10,32,32,53,46,53,54,49,49,101,45,49,
      54,32,54,46,56,57,51,55,54,101,45,49,54,32,49,46,48,48,53,53,55,101,45,49,53,
      32,49,46,56,55,48,49,56,101,45,49,53,32,52,46,48,52,57,48,54,101,45,49,53,32,
      49,46,51,54,48,57,49,101,45,49,52,32,52,46,48,53,57,52,101,45,49,51,10,32,32,
      52,46,52,55,53,53,53,101,45,49,51,32,51,46,56,52,50,54,54,101,45,49,51,32,49,
      46,51,52,57,51,57,101,45,49,52,32,57,46,53,50,56,55,51,101,45,49,53,32,55,46,
      56,51,55,53,54,101,45,49,53,32,55,46,52,54,48,48,56,101,45,49,53,32,56,46,50,
      50,52,56,52,101,45,49,53,10,32,32,49,46,48,50,52,54,50,101,45,49,52,32,49,46,
      52,50,52,52,52,101,45,49,52,32,50,46,50,54,48,49,56,101,45,49,52,32,56,46,48,
      54,52,52,53,101,45,49,51,32,49,46,49,55,53,57,53,101,45,49,50,32,49,46,54,54,
      49,48,56,101,45,49,50,32,50,46,50,50,53,57,50,101,45,49,50,10,32,32,51,46,48,
      57,57,55,56,101,45,49,50,32,52,46,56,50,56,55,54,101,45,49,50,32,54,46,55,57,
      51,56,101,45,49,50,32,56,46,52,49,48,53,49,101,45,49,50,32,57,46,52,56,55,56,
      101,45,49,50,32,49,46,49,48,52,52,51,101,45,49,49,32,49,46,50,57,54,51,49,101,
      45,49,49,10,32,32,49,46,52,54,51,51,55,101,45,49,49,32,49,46,53,51,55,57,101,
      45,49,49,32,49,46,53,55,51,55,53,101,45,49,49,32,49,46,54,54,54,56,51,101,45,
      49,49,32,49,46,57,49,53,53,57,101,45,49,49,32,50,46,51,49,51,54,50,101,45,49,
      49,32,50,46,55,49,53,50,51,101,45,49,49,10,32,32,51,46,54,57,55,55,54,101,45,
      49,49,32,52,46,57,57,49,54,53,101,45,49,49,32,54,46,55,57,57,54,56,101,45,49,
      49,32,57,46,53,52,57,54,51,101,45,49,49,32,49,46,50,50,56,51,51,101,45,49,48,
      32,49,46,52,53,53,55,57,101,45,49,48,32,49,46,54,48,48,55,54,101,45,49,48,10,
      32,32,49,46,55,49,52,49,55,101,45,49,48,32,49,46,56,50,49,53,101,45,49,48,32,
      49,46,57,52,53,55,49,101,45,49,48,32,50,46,48,52,48,54,101,45,49,48,32,50,46,
      49,53,51,48,54,101,45,49,48,32,50,46,52,50,48,53,50,101,45,49,48,32,50,46,54,
      54,55,56,101,45,49,48,10,32,32,51,46,50,52,54,50,57,101,45,49,48,32,52,46,49,
      54,54,56,57,101,45,49,48,32,52,46,56,56,55,51,101,45,49,48,32,53,46,55,52,48,
      48,56,101,45,49,48,32,55,46,51,54,50,48,49,101,45,49,48,32,57,46,53,52,51,48,
      56,101,45,49,48,32,49,46,48,56,55,55,101,45,48,57,10,32,32,49,46,50,57,57,57,
      53,101,45,48,57,32,49,46,52,49,55,51,56,101,45,48,57,32,49,46,53,55,50,57,50,
      101,45,48,57,32,49,46,51,57,48,56,49,101,45,48,57,32,49,46,54,49,57,54,56,101,
      45,48,57,32,49,46,55,50,50,56,51,101,45,48,57,32,49,46,57,51,54,48,57,101,45,
      48,57,10,32,32,50,46,49,57,53,55,55,101,45,48,57,32,50,46,52,51,50,52,55,101,
      45,48,57,32,50,46,54,56,56,53,57,101,45,48,57,32,50,46,57,52,54,54,101,45,48,
      57,32,51,46,50,49,56,55,53,101,45,48,57,32,51,46,53,52,50,50,101,45,48,57,32,
      51,46,56,52,57,50,52,101,45,48,57,10,32,32,52,46,50,49,48,48,51,101,45,48,57,
      32,52,46,52,57,48,55,51,101,45,48,57,32,52,46,57,55,54,57,55,101,45,48,57,32,
      53,46,50,57,51,101,45,48,57,32,53,46,55,48,53,48,54,101,45,48,57,32,54,46,55,
      52,57,49,52,101,45,48,57,32,56,46,51,56,52,50,49,101,45,48,57,10,32,32,49,46,
      48,50,48,53,53,101,45,48,56,32,49,46,50,55,57,56,51,101,45,48,56,32,49,46,53,
      55,51,54,49,101,45,48,56,32,49,46,57,55,48,49,101,45,48,56,32,50,46,51,51,52,
      55,55,101,45,48,56,32,51,46,48,50,51,54,51,101,45,48,56,32,51,46,55,49,57,54,
      49,101,45,48,56,10,32,32,52,46,50,49,54,55,56,101,45,48,56,32,52,46,55,57,55,
      53,56,101,45,48,56,32,53,46,54,49,57,53,52,101,45,48,56,32,54,46,51,57,52,49,
      54,101,45,48,56,32,55,46,50,51,54,48,57,101,45,48,56,32,56,46,51,48,51,53,57,
      101,45,48,56,32,57,46,53,49,50,55,52,101,45,48,56,10,32,32,49,46,48,55,48,57,
      56,101,45,48,55,32,49,46,50,48,53,53,53,101,45,48,55,32,49,46,51,53,54,51,51,
      101,45,48,55,32,49,46,53,52,57,53,55,101,45,48,55,32,49,46,55,57,52,48,49,101,
      45,48,55,32,50,46,48,57,56,48,52,101,45,48,55,32,50,46,51,57,55,56,53,101,45,
      48,55,10,32,32,50,46,55,53,52,49,50,101,45,48,55,32,51,46,48,56,57,53,101,45,
      48,55,32,51,46,52,51,49,54,55,101,45,48,55,32,51,46,56,49,49,56,56,101,45,48,
      55,32,52,46,50,48,56,56,50,101,45,48,55,32,52,46,53,48,48,48,52,101,45,48,55,
      32,52,46,56,49,52,54,57,101,45,48,55,10,32,32,53,46,48,54,54,56,56,101,45,48,
      55,32,53,46,51,48,55,51,101,45,48,55,32,53,46,53,49,52,50,57,101,45,48,55,32,
      53,46,54,56,52,56,52,101,45,48,55,32,53,46,56,49,55,51,55,101,45,48,55,32,53,
      46,57,49,50,55,53,101,45,48,55,32,53,46,57,55,49,49,57,101,45,48,55,10,32,32,
      53,46,57,57,52,49,53,101,45,48,55,32,53,46,57,56,51,51,49,101,45,48,55,32,53,
      46,57,52,48,55,52,101,45,48,55,32,53,46,56,54,56,51,56,101,45,48,55,32,53,46,
      55,54,57,55,54,101,45,48,55,32,53,46,54,52,55,52,54,101,45,48,55,32,53,46,53,
      48,52,54,52,101,45,48,55,10,32,32,53,46,51,52,52,52,51,101,45,48,55,32,53,46,
      49,54,57,53,55,101,45,48,55,32,52,46,57,56,50,56,54,101,45,48,55,32,52,46,55,
      56,54,55,52,101,45,48,55,32,52,46,53,56,51,54,55,101,45,48,55,32,52,46,51,55,
      54,49,101,45,48,55,32,52,46,49,54,53,57,49,101,45,48,55,10,32,32,51,46,57,53,
      53,51,55,101,45,48,55,32,51,46,55,52,54,48,55,101,45,48,55,32,51,46,53,51,57,
      51,57,101,45,48,55,32,51,46,51,51,54,52,50,101,45,48,55,32,51,46,49,51,56,51,
      51,101,45,48,55,32,50,46,57,52,53,57,53,101,45,48,55,32,50,46,55,53,57,57,55,
      101,45,48,55,10,32,32,50,46,53,56,48,57,49,101,45,48,55,32,50,46,52,48,57,50,
      49,101,45,48,55,32,50,46,50,52,53,49,49,101,45,48,55,32,50,46,48,56,56,56,49,
      101,45,48,55,32,49,46,57,52,48,52,49,101,45,48,55,32,49,46,56,51,48,52,53,101,
      45,48,55,32,49,46,55,50,53,50,52,101,45,48,55,10,32,32,49,46,54,50,52,55,51,
      101,45,48,55,32,49,46,53,50,56,56,101,45,48,55,32,49,46,52,51,55,52,49,101,
      45,48,55,32,49,46,51,51,57,54,50,101,45,48,55,32,49,46,50,50,51,55,49,101,45,
      48,55,32,49,46,49,49,54,50,54,101,45,48,55,32,49,46,48,49,54,56,57,101,45,48,
      55,10,32,32,57,46,50,53,49,53,51,101,45,48,56,32,56,46,52,48,54,53,101,45,48,
      56,32,55,46,54,50,57,55,54,101,45,48,56,32,54,46,57,49,55,48,50,101,45,48,56,
      32,54,46,50,54,52,50,49,101,45,48,56,32,53,46,54,54,55,49,55,101,45,48,56,32,
      53,46,49,50,50,101,45,48,56,10,32,32,52,46,54,50,52,56,55,101,45,48,56,32,52,
      46,49,55,50,50,50,101,45,48,56,32,51,46,55,54,48,54,49,101,45,48,56,32,51,46,
      51,56,54,55,55,101,45,48,56,32,51,46,48,52,55,54,49,101,45,48,56,32,50,46,55,
      52,48,51,101,45,48,56,32,50,46,52,54,50,49,51,101,45,48,56,10,32,32,50,46,50,
      49,48,54,50,101,45,48,56,32,49,46,57,56,51,52,54,101,45,48,56,32,49,46,55,55,
      56,52,55,101,45,48,56,32,49,46,53,57,51,54,50,101,45,48,56,32,49,46,52,50,55,
      49,53,101,45,48,56,32,49,46,50,55,55,50,56,101,45,48,56,32,49,46,49,52,50,53,
      101,45,48,56,10,32,32,49,46,48,50,49,51,52,101,45,48,56,32,57,46,49,50,53,53,
      55,101,45,48,57,32,56,46,49,52,57,50,57,101,45,48,57,32,55,46,50,55,51,55,52,
      101,45,48,57,32,54,46,52,56,57,48,57,101,45,48,57,32,53,46,55,56,54,52,51,101,
      45,48,57,32,53,46,49,53,55,52,54,101,45,48,57,10,32,32,52,46,53,57,52,56,53,
      101,45,48,57,32,52,46,48,57,49,57,101,45,48,57,32,51,46,54,52,50,53,51,101,
      45,48,57,32,51,46,50,52,49,50,51,101,45,48,57,32,50,46,56,56,51,48,54,101,45,
      48,57,32,50,46,50,55,56,53,55,101,45,48,57,32,49,46,55,57,56,50,57,101,45,48,
      57,10,32,32,49,46,52,49,55,51,56,101,45,48,57,32,49,46,49,49,53,55,55,101,45,
      48,57,32,56,46,55,55,51,51,51,101,45,49,48,32,54,46,56,57,48,57,54,101,45,49,
      48,32,53,46,52,48,54,55,52,101,45,49,48,32,52,46,50,51,56,101,45,49,48,32,51,
      46,51,49,56,56,49,101,45,49,48,10,32,32,50,46,53,57,54,55,51,101,45,49,48,32,
      50,46,48,51,48,48,55,101,45,49,48,32,49,46,53,56,53,56,50,101,45,49,48,32,49,
      46,50,51,55,56,54,101,45,49,48,32,57,46,54,53,53,54,50,101,45,49,49,32,55,46,
      53,50,54,51,49,101,45,49,49,32,53,46,56,54,50,53,50,101,45,49,49,10,32,32,52,
      46,53,54,51,55,50,101,45,49,49,32,51,46,53,53,48,54,101,45,49,49,32,50,46,55,
      54,48,56,51,101,45,49,49,32,50,46,49,52,53,53,57,101,45,49,49,32,49,46,54,54,
      54,54,49,101,45,49,49,32,49,46,50,57,51,57,50,101,45,49,49,32,49,46,48,48,52,
      49,49,101,45,49,49,10,32,32,55,46,55,56,56,54,101,45,49,50,32,54,46,48,51,56,
      56,56,101,45,49,50,32,52,46,54,56,48,50,50,101,45,49,50,32,51,46,54,50,53,56,
      101,45,49,50,32,50,46,56,48,55,56,53,101,45,49,50,32,50,46,49,55,51,54,57,101,
      45,49,50,32,48,114,50,50,32,54,46,52,55,52,48,49,101,45,50,55,10,32,32,57,46,
      50,49,53,48,56,101,45,50,55,32,49,46,50,56,56,56,57,101,45,50,54,32,49,46,55,
      53,56,51,101,45,50,54,32,50,46,51,52,54,48,49,101,45,50,54,32,51,46,48,57,48,
      52,53,101,45,50,54,32,52,46,48,50,51,50,53,101,45,50,54,32,53,46,49,55,55,51,
      57,101,45,50,54,10,32,32,54,46,52,56,51,50,53,101,45,50,54,32,56,46,48,52,56,
      55,54,101,45,50,54,32,57,46,57,49,50,51,50,101,45,50,54,32,49,46,50,49,49,54,
      55,101,45,50,53,32,49,46,52,53,54,57,50,101,45,50,53,32,49,46,55,50,55,54,101,
      45,50,53,32,50,46,48,51,55,53,54,101,45,50,53,10,32,32,50,46,51,57,49,48,57,
      101,45,50,53,32,50,46,55,57,48,54,56,101,45,50,53,32,51,46,49,57,53,51,52,101,
      45,50,53,32,51,46,54,52,54,49,101,45,50,53,32,52,46,49,52,54,56,53,101,45,50,
      53,32,52,46,55,48,49,54,56,101,45,50,53,32,53,46,50,55,56,54,52,101,45,50,53,
      10,32,32,53,46,56,56,48,50,51,101,45,50,53,32,54,46,53,51,54,55,101,45,50,53,
      32,55,46,50,53,49,54,54,101,45,50,53,32,56,46,48,50,53,48,49,101,45,50,53,32,
      56,46,55,57,51,55,57,101,45,50,53,32,57,46,54,50,50,55,53,101,45,50,53,32,49,
      46,48,53,49,53,56,101,45,50,52,10,32,32,49,46,49,52,55,54,51,101,45,50,52,32,
      49,46,50,52,55,51,57,101,45,50,52,32,49,46,51,53,49,52,56,101,45,50,52,32,49,
      46,52,54,50,55,56,101,45,50,52,32,49,46,53,56,49,54,54,101,45,50,52,32,49,46,
      55,48,56,51,55,101,45,50,52,32,49,46,56,52,49,48,56,101,45,50,52,10,32,32,49,
      46,57,56,50,51,51,101,45,50,52,32,50,46,49,51,50,53,55,101,45,50,52,32,50,46,
      50,57,50,50,50,101,45,50,52,32,50,46,52,54,51,55,55,101,45,50,52,32,50,46,54,
      52,55,52,55,101,45,50,52,32,50,46,56,52,50,51,53,101,45,50,52,32,51,46,48,52,
      56,57,52,101,45,50,52,10,32,32,51,46,50,54,56,55,101,45,50,52,32,51,46,53,49,
      50,50,53,101,45,50,52,32,51,46,55,55,48,51,57,101,45,50,52,32,52,46,48,52,51,
      56,49,101,45,50,52,32,52,46,51,51,51,50,101,45,50,52,32,52,46,54,53,49,50,55,
      101,45,50,52,32,52,46,57,57,54,57,49,101,45,50,52,10,32,32,53,46,51,54,51,49,
      52,101,45,50,52,32,53,46,55,53,48,55,54,101,45,50,52,32,54,46,49,54,51,51,53,
      101,45,50,52,32,54,46,54,50,52,53,53,101,45,50,52,32,55,46,49,49,51,50,55,101,
      45,50,52,32,55,46,54,51,48,56,55,101,45,50,52,32,56,46,49,55,56,54,51,101,45,
      50,52,10,32,32,56,46,55,55,50,52,54,101,45,50,52,32,57,46,52,49,49,48,51,101,
      45,50,52,32,49,46,48,48,56,55,101,45,50,51,32,49,46,48,56,48,50,49,101,45,50,
      51,32,49,46,49,53,53,55,55,101,45,50,51,32,49,46,50,51,53,53,52,101,45,50,51,
      32,49,46,51,49,57,56,49,101,45,50,51,10,32,32,49,46,52,48,56,54,56,101,45,50,
      51,32,49,46,53,48,50,51,49,101,45,50,51,32,49,46,53,57,55,48,52,101,45,50,51,
      32,49,46,54,57,52,48,50,101,45,50,51,32,49,46,55,57,53,56,53,101,45,50,51,32,
      49,46,57,48,50,53,54,101,45,50,51,32,50,46,48,49,50,49,54,101,45,50,51,10,32,
      32,50,46,49,49,48,49,50,101,45,50,51,32,50,46,50,49,50,101,45,50,51,32,50,46,
      51,49,55,57,49,101,45,50,51,32,50,46,52,50,55,57,55,101,45,50,51,32,50,46,53,
      49,57,51,54,101,45,50,51,32,50,46,53,57,57,57,53,101,45,50,51,32,50,46,54,56,
      51,51,49,101,45,50,51,10,32,32,50,46,55,54,57,52,55,101,45,50,51,32,50,46,56,
      53,49,48,51,101,45,50,51,32,50,46,56,56,53,56,101,45,50,51,32,50,46,57,50,51,
      49,57,101,45,50,51,32,50,46,57,54,51,49,52,101,45,50,51,32,51,46,48,48,53,54,
      101,45,50,51,32,51,46,48,48,52,49,51,101,45,50,51,10,32,32,50,46,57,56,49,101,
      45,50,51,32,50,46,57,54,50,55,56,101,45,50,51,32,50,46,57,52,57,48,53,101,45,
      50,51,32,50,46,57,50,56,49,52,101,45,50,51,32,50,46,56,52,54,57,54,101,45,50,
      51,32,50,46,55,55,53,52,50,101,45,50,51,32,50,46,55,49,50,51,57,101,45,50,51,
      10,32,32,50,46,54,53,55,50,101,45,50,51,32,50,46,53,54,51,49,51,101,45,50,51,
      32,50,46,52,53,55,50,54,101,45,50,51,32,50,46,51,54,52,48,54,101,45,50,51,32,
      50,46,50,56,49,54,57,101,45,50,51,32,50,46,49,57,57,55,101,45,50,51,32,50,46,
      48,56,49,57,54,101,45,50,51,10,32,32,49,46,57,55,57,48,49,101,45,50,51,32,49,
      46,56,56,56,53,53,101,45,50,51,32,49,46,56,48,56,55,55,101,45,50,51,32,49,46,
      55,49,49,56,52,101,45,50,51,32,49,46,54,49,52,55,101,45,50,51,32,49,46,53,50,
      57,55,56,101,45,50,51,32,49,46,52,53,53,49,53,101,45,50,51,10,32,32,49,46,51,
      56,52,55,49,101,45,50,51,32,49,46,51,48,49,55,51,101,45,50,51,32,49,46,50,50,
      57,50,54,101,45,50,51,32,49,46,49,54,53,53,57,101,45,50,51,32,49,46,49,48,57,
      52,57,101,45,50,51,32,49,46,48,52,56,57,54,101,45,50,51,32,57,46,57,48,57,51,
      49,101,45,50,52,10,32,32,57,46,51,57,56,51,53,101,45,50,52,32,56,46,57,52,54,
      54,56,101,45,50,52,32,56,46,53,50,56,53,55,101,45,50,52,32,56,46,48,56,52,54,
      55,101,45,50,52,32,55,46,54,57,49,55,49,101,45,50,52,32,55,46,51,52,50,50,54,
      101,45,50,52,32,55,46,48,51,48,55,49,101,45,50,52,10,32,32,54,46,55,50,48,51,
      53,101,45,50,52,32,54,46,52,50,57,49,54,101,45,50,52,32,54,46,49,54,56,53,57,
      101,45,50,52,32,53,46,57,51,52,54,52,101,45,50,52,32,53,46,55,50,48,53,57,101,
      45,50,52,32,53,46,53,49,52,49,49,101,45,50,52,32,53,46,51,50,55,55,55,101,45,
      50,52,10,32,32,53,46,49,53,57,49,101,45,50,52,32,53,46,48,48,54,49,54,101,45,
      50,52,32,52,46,56,54,56,56,51,101,45,50,52,32,52,46,55,52,52,53,50,101,45,50,
      52,32,52,46,54,51,49,50,55,101,45,50,52,32,52,46,53,50,55,57,51,101,45,50,52,
      32,52,46,52,51,54,57,49,101,45,50,52,10,32,32,52,46,51,54,54,52,101,45,50,52,
      32,52,46,51,48,50,49,101,45,50,52,32,52,46,50,50,53,50,51,101,45,50,52,32,52,
      46,49,51,52,57,55,101,45,50,52,32,52,46,49,54,54,51,54,101,45,50,52,32,52,46,
      54,55,48,48,52,101,45,50,52,32,53,46,57,52,52,54,56,101,45,50,52,10,32,32,56,
      46,51,51,49,54,54,101,45,50,52,32,49,46,50,54,55,48,54,101,45,50,51,32,50,46,
      48,48,55,53,49,101,45,50,51,32,51,46,50,49,53,50,53,101,45,50,51,32,53,46,48,
      50,53,53,56,101,45,50,51,32,55,46,53,49,55,51,57,101,45,50,51,32,49,46,48,54,
      48,57,54,101,45,50,50,10,32,32,49,46,52,50,56,54,51,101,45,50,50,32,49,46,56,
      54,50,54,51,101,45,50,50,32,49,46,52,52,55,50,55,101,45,50,48,32,49,46,49,53,
      48,54,55,101,45,49,57,32,49,46,56,50,53,50,56,101,45,49,57,32,51,46,50,49,56,
      57,50,101,45,49,57,32,54,46,51,51,48,52,54,101,45,49,57,10,32,32,49,46,54,55,
      54,53,51,101,45,49,56,32,52,46,55,57,52,56,49,101,45,49,56,32,49,46,51,50,52,
      101,45,49,55,32,51,46,52,56,51,51,54,101,45,49,55,32,53,46,57,57,57,52,54,101,
      45,49,55,32,54,46,57,50,49,50,50,101,45,49,55,32,53,46,56,56,55,53,49,101,45,
      49,55,10,32,32,52,46,56,52,50,55,55,101,45,49,55,32,52,46,49,57,51,53,56,101,
      45,49,55,32,52,46,48,49,49,57,53,101,45,49,55,32,52,46,51,56,51,51,101,45,49,
      55,32,53,46,54,54,57,49,55,101,45,49,55,32,57,46,48,51,49,55,50,101,45,49,55,
      32,49,46,57,51,55,48,51,101,45,49,54,10,32,32,52,46,57,49,52,101,45,49,54,32,
      50,46,55,54,54,53,55,101,45,49,53,32,49,46,57,57,57,56,50,101,45,49,50,32,50,
      46,49,57,53,56,57,101,45,49,50,32,50,46,48,57,52,56,101,45,49,50,32,49,46,57,
      48,51,54,54,101,45,49,53,32,49,46,50,52,53,50,51,101,45,49,53,10,32,32,57,46,
      55,48,53,49,101,45,49,54,32,56,46,57,57,49,50,52,101,45,49,54,32,57,46,57,52,
      53,52,52,101,45,49,54,32,49,46,50,55,54,54,101,45,49,53,32,49,46,56,54,53,48,
      57,101,45,49,53,32,51,46,49,54,54,50,56,101,45,49,53,32,52,46,51,55,52,50,50,
      101,45,49,50,10,32,32,53,46,53,50,56,56,51,101,45,49,50,32,54,46,55,57,54,48,
      55,101,45,49,50,32,56,46,48,48,49,48,51,101,45,49,50,32,57,46,53,48,49,57,53,
      101,45,49,50,32,49,46,49,55,57,54,53,101,45,49,49,32,49,46,51,57,52,49,54,101,
      45,49,49,32,49,46,53,54,56,49,52,101,45,49,49,10,32,32,49,46,54,57,57,49,56,
      101,45,49,49,32,49,46,56,56,54,51,51,101,45,49,49,32,50,46,48,56,55,56,52,101,
      45,49,49,32,50,46,50,55,55,51,49,101,45,49,49,32,50,46,52,49,52,51,57,101,45,
      49,49,32,50,46,53,51,53,48,54,101,45,49,49,32,50,46,54,56,53,48,50,101,45,49,
      49,10,32,32,50,46,57,50,53,56,56,101,45,49,49,32,51,46,50,50,51,49,57,101,45,
      49,49,32,51,46,52,56,49,56,53,101,45,49,49,32,52,46,48,51,57,53,51,101,45,49,
      49,32,52,46,54,56,51,55,55,101,45,49,49,32,53,46,52,56,57,56,49,101,45,49,49,
      32,54,46,54,52,52,50,55,101,45,49,49,10,32,32,55,46,55,57,53,57,57,101,45,49,
      49,32,56,46,56,48,55,55,56,101,45,49,49,32,57,46,53,49,51,48,56,101,45,49,49,
      32,49,46,48,49,48,51,49,101,45,49,48,32,49,46,48,54,54,50,52,101,45,49,48,32,
      49,46,49,51,48,49,101,45,49,48,32,49,46,49,55,56,50,49,101,45,49,48,10,32,32,
      49,46,50,51,50,54,51,101,45,49,48,32,49,46,51,53,51,52,57,101,45,49,48,32,49,
      46,52,53,57,50,49,101,45,49,48,32,49,46,54,57,57,48,50,101,45,49,48,32,50,46,
      48,55,52,56,55,101,45,49,48,32,50,46,51,54,56,53,53,101,45,49,48,32,50,46,55,
      49,55,48,57,101,45,49,48,10,32,32,51,46,51,56,51,49,52,101,45,49,48,32,52,46,
      50,56,50,53,50,101,45,49,48,32,52,46,56,51,55,50,101,45,49,48,32,53,46,55,50,
      51,57,50,101,45,49,48,32,54,46,50,49,56,57,49,101,45,49,48,32,54,46,56,55,54,
      56,50,101,45,49,48,32,54,46,49,50,55,48,49,101,45,49,48,10,32,32,55,46,48,57,
      49,48,51,101,45,49,48,32,55,46,53,50,55,101,45,49,48,32,56,46,52,51,49,52,57,
      101,45,49,48,32,57,46,53,51,56,51,53,101,45,49,48,32,49,46,48,53,53,50,55,101,
      45,48,57,32,49,46,49,54,53,54,54,101,45,48,57,32,49,46,50,55,55,53,101,45,48,
      57,10,32,32,49,46,51,57,54,49,52,101,45,48,57,32,49,46,53,51,56,48,51,101,45,
      48,57,32,49,46,54,55,51,54,49,101,45,48,57,32,49,46,56,51,51,57,56,101,45,48,
      57,32,49,46,57,53,57,53,52,101,45,48,57,32,50,46,49,55,56,54,55,101,45,48,57,
      32,50,46,51,50,50,49,52,101,45,48,57,10,32,32,50,46,53,49,48,51,54,101,45,48,
      57,32,50,46,57,57,51,50,50,101,45,48,57,32,51,46,55,54,53,48,56,101,45,48,57,
      32,52,46,54,52,53,52,52,101,45,48,57,32,53,46,57,51,49,51,54,101,45,48,57,32,
      55,46,52,50,57,56,51,101,45,48,57,32,57,46,53,49,49,49,51,101,45,48,57,10,32,
      32,49,46,49,52,55,54,49,101,45,48,56,32,49,46,53,51,49,51,101,45,48,56,32,49,
      46,57,50,57,51,101,45,48,56,32,50,46,50,50,54,51,55,101,45,48,56,32,50,46,53,
      55,54,54,56,101,45,48,56,32,51,46,48,55,51,55,53,101,45,48,56,32,51,46,53,51,
      57,48,53,101,45,48,56,10,32,32,52,46,48,51,55,54,56,101,45,48,56,32,52,46,54,
      53,55,55,52,101,45,48,56,32,53,46,51,52,53,48,54,101,45,48,56,32,54,46,48,49,
      52,49,101,45,48,56,32,54,46,55,53,55,57,52,101,45,48,56,32,55,46,53,56,54,56,
      53,101,45,48,56,32,56,46,54,52,56,56,52,101,45,48,56,10,32,32,49,46,48,48,48,
      48,49,101,45,48,55,32,49,46,49,55,48,49,56,101,45,48,55,32,49,46,51,52,48,55,
      51,101,45,48,55,32,49,46,53,52,55,53,53,101,45,48,55,32,49,46,55,52,54,53,50,
      101,45,48,55,32,49,46,57,53,52,51,101,45,48,55,32,50,46,49,57,48,56,57,101,
      45,48,55,10,32,32,50,46,52,52,53,49,101,45,48,55,32,50,46,54,51,55,56,53,101,
      45,48,55,32,50,46,56,53,50,50,49,101,45,48,55,32,51,46,48,50,57,52,52,101,45,
      48,55,32,51,46,50,48,52,51,56,101,45,48,55,32,51,46,51,54,49,54,101,45,48,55,
      32,51,46,52,57,57,49,56,101,45,48,55,10,32,32,51,46,54,49,53,54,51,101,45,48,
      55,32,51,46,55,48,57,56,56,101,45,48,55,32,51,46,55,56,49,48,52,101,45,48,55,
      32,51,46,56,50,57,49,57,101,45,48,55,32,51,46,56,53,52,56,53,101,45,48,55,32,
      51,46,56,53,57,48,55,101,45,48,55,32,51,46,56,52,50,53,50,101,45,48,55,10,32,
      32,51,46,56,48,54,57,53,101,45,48,55,32,51,46,55,53,52,48,56,101,45,48,55,32,
      51,46,54,56,53,51,57,101,45,48,55,32,51,46,54,48,50,57,101,45,48,55,32,51,46,
      53,48,56,51,53,101,45,48,55,32,51,46,52,48,51,53,49,101,45,48,55,32,51,46,50,
      57,48,50,49,101,45,48,55,10,32,32,51,46,49,55,48,49,49,101,45,48,55,32,51,46,
      48,52,52,55,54,101,45,48,55,32,50,46,57,49,53,52,52,101,45,48,55,32,50,46,55,
      56,51,54,101,45,48,55,32,50,46,54,53,48,52,57,101,45,48,55,32,50,46,53,49,55,
      51,49,101,45,48,55,32,50,46,51,56,53,48,52,101,45,48,55,10,32,32,50,46,50,53,
      52,52,56,101,45,48,55,32,50,46,49,50,54,51,57,101,45,48,55,32,50,46,48,48,49,
      50,56,101,45,48,55,32,49,46,56,55,57,55,55,101,45,48,55,32,49,46,55,54,50,50,
      51,101,45,48,55,32,49,46,54,52,57,48,51,101,45,48,55,32,49,46,53,52,48,52,52,
      101,45,48,55,10,32,32,49,46,52,51,54,54,51,101,45,48,55,32,49,46,51,53,57,50,
      54,101,45,48,55,32,49,46,50,56,52,56,55,101,45,48,55,32,49,46,50,49,51,52,55,
      101,45,48,55,32,49,46,49,52,53,48,52,101,45,48,55,32,49,46,48,55,57,53,55,101,
      45,48,55,32,49,46,48,48,57,49,57,101,45,48,55,10,32,32,57,46,50,53,50,57,53,
      101,45,48,56,32,56,46,52,55,48,56,54,101,45,48,56,32,55,46,55,52,51,54,49,101,
      45,48,56,32,55,46,48,54,57,49,50,101,45,48,56,32,54,46,52,52,52,56,55,101,45,
      48,56,32,53,46,56,54,56,51,49,101,45,48,56,32,53,46,51,51,54,57,49,101,45,48,
      56,10,32,32,52,46,56,52,56,48,53,101,45,48,56,32,52,46,51,57,57,49,50,101,45,
      48,56,32,51,46,57,56,55,52,52,101,45,48,56,32,51,46,54,49,48,53,57,101,45,48,
      56,32,51,46,50,54,54,49,49,101,45,48,56,32,50,46,57,53,49,55,52,101,45,48,56,
      32,50,46,54,54,53,50,52,101,45,48,56,10,32,32,50,46,52,48,52,52,53,101,45,48,
      56,32,50,46,49,54,55,51,56,101,45,48,56,32,49,46,57,53,50,49,49,101,45,48,56,
      32,49,46,55,53,54,56,56,101,45,48,56,32,49,46,53,56,101,45,48,56,32,49,46,52,
      49,57,57,50,101,45,48,56,32,49,46,50,55,53,49,54,101,45,48,56,10,32,32,49,46,
      49,52,52,52,49,101,45,48,56,32,49,46,48,50,54,51,57,101,45,48,56,32,57,46,49,
      57,57,53,52,101,45,48,57,32,56,46,50,52,48,54,52,101,45,48,57,32,55,46,51,55,
      55,51,50,101,45,48,57,32,54,46,54,48,48,55,53,101,45,48,57,32,53,46,57,48,50,
      55,50,101,45,48,57,10,32,32,53,46,50,55,53,55,50,101,45,48,57,32,52,46,55,49,
      50,56,57,101,45,48,57,32,52,46,50,48,56,48,54,101,45,48,57,32,51,46,55,53,53,
      53,54,101,45,48,57,32,51,46,51,53,48,49,55,101,45,48,57,32,50,46,57,56,55,50,
      49,101,45,48,57,32,50,46,54,54,50,52,49,101,45,48,57,10,32,32,50,46,51,55,49,
      57,54,101,45,48,57,32,49,46,56,56,48,51,57,101,45,48,57,32,49,46,52,56,56,51,
      57,101,45,48,57,32,49,46,49,55,54,52,56,101,45,48,57,32,57,46,50,56,55,48,50,
      101,45,49,48,32,55,46,51,50,49,56,52,101,45,49,48,32,53,46,55,54,53,53,55,101,
      45,49,48,10,32,32,52,46,53,51,52,57,54,101,45,49,48,32,51,46,53,54,51,50,53,
      101,45,49,48,32,50,46,55,57,54,57,52,101,45,49,48,32,50,46,49,57,51,51,52,101,
      45,49,48,32,49,46,55,49,56,51,57,101,45,49,48,32,49,46,51,52,53,49,49,101,45,
      49,48,32,49,46,48,53,50,48,50,101,45,49,48,10,32,32,56,46,50,50,49,54,50,101,
      45,49,49,32,54,46,52,50,48,53,53,101,45,49,49,32,53,46,48,49,48,53,51,101,45,
      49,49,32,51,46,57,48,55,53,55,101,45,49,49,32,51,46,48,52,53,52,53,101,45,49,
      49,32,50,46,51,55,50,48,57,101,45,49,49,32,49,46,56,52,54,53,49,101,45,49,49,
      10,32,32,49,46,52,51,54,53,55,101,45,49,49,32,49,46,49,49,55,48,54,101,45,49,
      49,32,56,46,54,56,49,54,49,101,45,49,50,32,54,46,55,52,51,57,53,101,45,49,50,
      32,53,46,50,51,54,51,53,101,45,49,50,32,52,46,48,54,51,57,52,101,45,49,50,32,
      51,46,49,53,50,54,57,101,45,49,50,10,32,32,50,46,52,52,52,55,54,101,45,49,50,
      32,49,46,56,57,53,48,54,101,45,49,50,32,48,114,51,48,32,53,46,52,55,48,53,53,
      101,45,50,55,32,54,46,56,48,49,50,51,101,45,50,55,32,56,46,51,56,55,57,52,101,
      45,50,55,32,49,46,48,50,54,56,49,101,45,50,54,32,49,46,50,51,54,50,55,101,45,
      50,54,10,32,32,49,46,52,54,55,55,55,101,45,50,54,32,49,46,55,51,51,50,52,101,
      45,50,54,32,50,46,48,51,54,52,54,101,45,50,54,32,50,46,51,55,57,54,54,101,45,
      50,54,32,50,46,55,50,55,53,101,45,50,54,32,51,46,49,49,53,52,49,101,45,50,54,
      32,51,46,53,52,54,56,55,101,45,50,54,10,32,32,52,46,48,50,53,52,57,101,45,50,
      54,32,52,46,53,50,51,53,57,101,45,50,54,32,53,46,48,52,51,51,49,101,45,50,54,
      32,53,46,54,49,49,48,52,101,45,50,54,32,54,46,50,50,57,57,52,101,45,50,54,32,
      54,46,57,101,45,50,54,32,55,46,53,54,54,51,51,101,45,50,54,10,32,32,56,46,50,
      56,53,52,52,101,45,50,54,32,57,46,48,54,48,56,101,45,50,54,32,57,46,56,57,53,
      52,56,101,45,50,54,32,49,46,48,55,54,50,57,101,45,50,53,32,49,46,49,54,54,56,
      52,101,45,50,53,32,49,46,50,54,51,55,52,101,45,50,53,32,49,46,51,54,55,51,52,
      101,45,50,53,10,32,32,49,46,52,55,55,56,52,101,45,50,53,32,49,46,53,57,51,54,
      52,101,45,50,53,32,49,46,55,49,54,57,57,101,45,50,53,32,49,46,56,52,56,50,57,
      101,45,50,53,32,49,46,57,56,55,57,101,45,50,53,32,50,46,49,51,56,48,56,101,
      45,50,53,32,50,46,50,57,57,48,50,101,45,50,53,10,32,32,50,46,52,54,57,56,57,
      101,45,50,53,32,50,46,54,53,49,49,55,101,45,50,53,32,50,46,56,52,52,49,55,101,
      45,50,53,32,51,46,48,53,56,51,101,45,50,53,32,51,46,50,56,53,52,54,101,45,50,
      53,32,51,46,53,50,54,50,56,101,45,50,53,32,51,46,55,56,49,51,56,101,45,50,53,
      10,32,32,52,46,48,54,50,49,101,45,50,53,32,52,46,51,54,55,52,57,101,45,50,53,
      32,52,46,54,57,49,51,53,101,45,50,53,32,53,46,48,51,52,52,54,101,45,50,53,32,
      53,46,52,48,48,48,50,101,45,50,53,32,53,46,56,48,57,50,49,101,45,50,53,32,54,
      46,50,52,51,51,101,45,50,53,10,32,32,54,46,55,48,51,52,57,101,45,50,53,32,55,
      46,49,57,48,57,56,101,45,50,53,32,55,46,55,50,48,49,101,45,50,53,32,56,46,50,
      56,57,55,56,101,45,50,53,32,56,46,56,57,51,52,53,101,45,50,53,32,57,46,53,51,
      50,56,52,101,45,50,53,32,49,46,48,50,48,57,49,101,45,50,52,10,32,32,49,46,48,
      57,50,51,55,101,45,50,52,32,49,46,49,54,55,57,54,101,45,50,52,32,49,46,50,52,
      55,55,54,101,45,50,52,32,49,46,51,51,49,57,49,101,45,50,52,32,49,46,52,49,55,
      48,57,101,45,50,52,32,49,46,53,48,52,51,55,101,45,50,52,32,49,46,53,57,54,49,
      53,101,45,50,52,10,32,32,49,46,54,57,50,51,57,101,45,50,52,32,49,46,55,57,49,
      51,49,101,45,50,52,32,49,46,56,55,57,54,53,101,45,50,52,32,49,46,57,55,49,53,
      56,101,45,50,52,32,50,46,48,54,55,50,101,45,50,52,32,50,46,49,54,54,54,52,101,
      45,50,52,32,50,46,50,52,57,48,51,101,45,50,52,10,32,32,50,46,51,50,49,53,53,
      101,45,50,52,32,50,46,51,57,54,54,101,45,50,52,32,50,46,52,55,52,50,101,45,
      50,52,32,50,46,53,52,55,53,57,101,45,50,52,32,50,46,53,55,56,49,55,101,45,50,
      52,32,50,46,54,49,49,49,52,101,45,50,52,32,50,46,54,52,54,52,53,101,45,50,52,
      10,32,32,50,46,54,56,52,48,51,101,45,50,52,32,50,46,54,56,49,52,55,101,45,50,
      52,32,50,46,54,53,57,49,51,101,45,50,52,32,50,46,54,52,49,51,49,101,45,50,52,
      32,50,46,54,50,55,54,49,101,45,50,52,32,50,46,54,48,55,52,101,45,50,52,32,50,
      46,53,51,50,51,50,101,45,50,52,10,32,32,50,46,52,54,54,49,52,101,45,50,52,32,
      50,46,52,48,55,56,49,101,45,50,52,32,50,46,51,53,54,55,56,101,45,50,52,32,50,
      46,50,55,48,54,101,45,50,52,32,50,46,49,55,51,57,101,45,50,52,32,50,46,48,56,
      56,56,55,101,45,50,52,32,50,46,48,49,51,55,56,101,45,50,52,10,32,32,49,46,57,
      51,57,49,56,101,45,50,52,32,49,46,56,51,50,54,49,101,45,50,52,32,49,46,55,51,
      57,53,54,101,45,50,52,32,49,46,54,53,55,57,101,45,50,52,32,49,46,53,56,53,57,
      54,101,45,50,52,32,49,46,52,57,56,56,53,101,45,50,52,32,49,46,52,49,49,55,54,
      101,45,50,52,10,32,32,49,46,51,51,53,55,51,101,45,50,52,32,49,46,50,54,57,101,
      45,50,52,32,49,46,50,48,54,49,49,101,45,50,52,32,49,46,49,51,50,50,53,101,45,
      50,52,32,49,46,48,54,55,56,52,101,45,50,52,32,49,46,48,49,49,51,51,101,45,50,
      52,32,57,46,54,49,53,56,57,101,45,50,53,10,32,32,57,46,48,56,48,52,54,101,45,
      50,53,32,56,46,53,54,55,57,55,101,45,50,53,32,56,46,49,49,55,50,52,101,45,50,
      53,32,55,46,55,49,57,51,50,101,45,50,53,32,55,46,51,53,49,51,56,101,45,50,53,
      32,54,46,57,54,49,52,55,101,45,50,53,32,54,46,54,49,54,55,49,101,45,50,53,10,
      32,32,54,46,51,49,48,52,49,101,45,50,53,32,54,46,48,51,55,53,57,101,45,50,53,
      32,53,46,55,54,54,49,53,101,45,50,53,32,53,46,53,49,49,55,55,101,45,50,53,32,
      53,46,50,56,52,51,52,101,45,50,53,32,53,46,48,56,48,50,54,101,45,50,53,32,52,
      46,56,57,51,54,57,101,45,50,53,10,32,32,52,46,55,49,51,56,56,101,45,50,53,32,
      52,46,53,53,49,55,50,101,45,50,53,32,52,46,52,48,53,48,50,101,45,50,53,32,52,
      46,50,55,50,48,53,101,45,50,53,32,52,46,49,53,50,55,101,45,50,53,32,52,46,48,
      52,52,54,56,101,45,50,53,32,51,46,57,52,54,51,101,45,50,53,10,32,32,51,46,56,
      53,54,53,54,101,45,50,53,32,51,46,55,55,55,53,49,101,45,50,53,32,51,46,55,49,
      54,49,56,101,45,50,53,32,51,46,54,54,48,50,52,101,45,50,53,32,51,46,53,57,51,
      51,52,101,45,50,53,32,51,46,53,49,52,48,56,101,45,50,53,32,51,46,53,51,56,55,
      56,101,45,50,53,10,32,32,51,46,57,54,55,56,51,101,45,50,53,32,53,46,48,54,48,
      52,50,101,45,50,53,32,55,46,49,49,53,54,54,101,45,50,53,32,49,46,48,56,55,50,
      56,101,45,50,52,32,49,46,55,51,50,57,50,101,45,50,52,32,50,46,55,57,52,53,55,
      101,45,50,52,32,52,46,51,57,57,55,51,101,45,50,52,10,32,32,54,46,54,50,56,49,
      101,45,50,52,32,57,46,52,49,53,50,51,101,45,50,52,32,49,46,50,55,53,50,53,101,
      45,50,51,32,49,46,54,55,49,55,101,45,50,51,32,49,46,52,49,56,50,52,101,45,50,
      49,32,49,46,49,55,52,48,53,101,45,50,48,32,49,46,56,55,53,51,101,45,50,48,10,
      32,32,51,46,51,52,48,51,51,101,45,50,48,32,54,46,54,54,50,55,54,101,45,50,48,
      32,49,46,56,48,57,50,52,101,45,49,57,32,53,46,51,53,51,48,51,101,45,49,57,32,
      49,46,53,51,57,52,56,101,45,49,56,32,52,46,50,52,50,49,49,101,45,49,56,32,55,
      46,53,49,54,52,56,101,45,49,56,10,32,32,56,46,55,48,54,51,101,45,49,56,32,55,
      46,51,48,49,55,54,101,45,49,56,32,53,46,57,49,53,49,55,101,45,49,56,32,53,46,
      48,54,49,57,53,101,45,49,56,32,52,46,56,49,50,49,54,101,45,49,56,32,53,46,50,
      54,49,53,51,101,45,49,56,32,54,46,56,55,51,49,54,101,45,49,56,10,32,32,49,46,
      49,49,57,55,50,101,45,49,55,32,50,46,53,48,56,48,55,101,45,49,55,32,54,46,55,
      55,49,49,50,101,45,49,55,32,53,46,51,49,53,48,50,101,45,49,54,32,51,46,52,54,
      56,52,55,101,45,49,50,32,51,46,55,57,57,48,50,101,45,49,50,32,51,46,56,57,56,
      57,49,101,45,49,50,10,32,32,50,46,56,52,48,50,54,101,45,49,54,32,49,46,55,55,
      56,57,49,101,45,49,54,32,49,46,51,52,57,54,101,45,49,54,32,49,46,50,51,53,49,
      49,101,45,49,54,32,49,46,51,54,56,49,56,101,45,49,54,32,49,46,55,56,48,54,50,
      101,45,49,54,32,50,46,54,54,55,50,49,101,45,49,54,10,32,32,52,46,55,48,52,53,
      53,101,45,49,54,32,56,46,49,49,48,49,53,101,45,49,50,32,57,46,51,49,55,51,101,
      45,49,50,32,49,46,48,53,56,49,54,101,45,49,49,32,49,46,49,55,48,50,52,101,45,
      49,49,32,49,46,51,48,50,51,54,101,45,49,49,32,49,46,52,57,55,57,52,101,45,49,
      49,10,32,32,49,46,54,56,53,52,57,101,45,49,49,32,49,46,56,52,57,54,56,101,45,
      49,49,32,49,46,57,56,51,54,49,101,45,49,49,32,50,46,49,55,53,51,57,101,45,49,
      49,32,50,46,51,55,51,55,57,101,45,49,49,32,50,46,53,54,55,56,53,101,45,49,49,
      32,50,46,55,50,56,49,57,101,45,49,49,10,32,32,50,46,56,56,50,51,55,101,45,49,
      49,32,51,46,48,53,50,56,55,101,45,49,49,32,51,46,50,56,52,51,52,101,45,49,49,
      32,51,46,53,51,55,57,53,101,45,49,49,32,51,46,55,52,50,57,57,101,45,49,49,32,
      52,46,49,53,53,56,52,101,45,49,49,32,52,46,53,56,54,51,51,101,45,49,49,10,32,
      32,53,46,48,53,57,52,57,101,45,49,49,32,53,46,54,54,56,48,53,101,45,49,49,32,
      54,46,50,53,54,50,50,101,45,49,49,32,54,46,56,49,49,54,54,101,45,49,49,32,55,
      46,50,53,48,56,101,45,49,49,32,55,46,54,52,51,53,52,101,45,49,49,32,56,46,48,
      49,54,56,101,45,49,49,10,32,32,56,46,52,51,55,51,53,101,45,49,49,32,56,46,55,
      52,57,54,50,101,45,49,49,32,57,46,48,56,51,55,49,101,45,49,49,32,57,46,55,52,
      57,50,55,101,45,49,49,32,49,46,48,50,55,52,51,101,45,49,48,32,49,46,49,51,55,
      57,49,101,45,49,48,32,49,46,51,48,50,52,101,45,49,48,10,32,32,49,46,52,50,56,
      54,52,101,45,49,48,32,49,46,53,55,55,57,101,45,49,48,32,49,46,56,54,51,50,56,
      101,45,49,48,32,50,46,50,52,56,52,54,101,45,49,48,32,50,46,52,56,56,50,53,101,
      45,49,48,32,50,46,56,55,51,51,57,101,45,49,48,32,51,46,48,57,49,50,52,101,45,
      49,48,10,32,32,51,46,51,56,51,49,51,101,45,49,48,32,51,46,48,56,48,48,49,101,
      45,49,48,32,51,46,53,48,51,52,50,101,45,49,48,32,51,46,54,57,53,48,56,101,45,
      49,48,32,52,46,48,57,51,49,57,101,45,49,48,32,52,46,53,56,49,51,57,101,45,49,
      48,32,53,46,48,51,48,48,55,101,45,49,48,10,32,32,53,46,53,49,57,55,51,101,45,
      49,48,32,54,46,48,49,55,51,50,101,45,49,48,32,54,46,53,52,55,48,52,101,45,49,
      48,32,55,46,49,56,51,49,49,101,45,49,48,32,55,46,55,57,51,52,54,101,45,49,48,
      32,56,46,53,49,56,55,101,45,49,48,32,57,46,48,56,57,48,49,101,45,49,48,10,32,
      32,49,46,48,48,56,57,52,101,45,48,57,32,49,46,48,55,52,56,101,45,48,57,32,49,
      46,49,54,49,54,52,101,45,48,57,32,49,46,51,56,54,52,49,101,45,48,57,32,49,46,
      55,53,49,54,56,101,45,48,57,32,50,46,49,55,54,51,53,101,45,48,57,32,50,46,56,
      49,48,55,50,101,45,48,57,10,32,32,51,46,53,54,56,49,56,101,45,48,57,32,52,46,
      54,52,56,55,49,101,45,48,57,32,53,46,54,57,53,49,101,45,48,57,32,55,46,55,48,
      57,50,55,101,45,48,57,32,57,46,57,55,56,52,54,101,45,48,57,32,49,46,49,55,51,
      49,57,101,45,48,56,32,49,46,51,56,51,51,56,101,45,48,56,10,32,32,49,46,54,56,
      53,52,52,101,45,48,56,32,49,46,57,54,57,54,54,101,45,48,56,32,50,46,50,55,51,
      53,50,101,45,48,56,32,50,46,54,52,56,49,50,101,45,48,56,32,51,46,48,53,55,52,
      56,101,45,48,56,32,51,46,52,53,48,48,52,101,45,48,56,32,51,46,56,56,48,57,50,
      101,45,48,56,10,32,32,52,46,51,53,54,48,50,101,45,48,56,32,52,46,57,54,48,56,
      101,45,48,56,32,53,46,55,50,57,51,53,101,45,48,56,32,54,46,55,48,49,53,101,
      45,48,56,32,55,46,54,56,53,51,55,101,45,48,56,32,56,46,56,57,52,53,55,101,45,
      48,56,32,49,46,48,48,55,56,57,101,45,48,55,10,32,32,49,46,49,51,51,56,54,101,
      45,48,55,32,49,46,50,56,48,52,51,101,45,48,55,32,49,46,52,52,49,56,52,101,45,
      48,55,32,49,46,53,54,55,49,49,101,45,48,55,32,49,46,55,48,57,57,56,101,45,48,
      55,32,49,46,56,51,49,52,101,45,48,55,32,49,46,57,53,52,55,49,101,45,48,55,10,
      32,32,50,46,48,54,57,52,57,101,45,48,55,32,50,46,49,55,51,55,51,101,45,48,55,
      32,50,46,50,54,53,55,56,101,45,48,55,32,50,46,51,52,52,54,55,101,45,48,55,32,
      50,46,52,48,57,55,54,101,45,48,55,32,50,46,52,54,48,55,54,101,45,48,55,32,50,
      46,52,57,55,53,50,101,45,48,55,10,32,32,50,46,53,50,48,48,54,101,45,48,55,32,
      50,46,53,50,56,57,101,45,48,55,32,50,46,53,50,52,53,56,101,45,48,55,32,50,46,
      53,48,55,55,50,101,45,48,55,32,50,46,52,55,57,51,57,101,45,48,55,32,50,46,52,
      52,48,53,52,101,45,48,55,32,50,46,51,57,50,49,52,101,45,48,55,10,32,32,50,46,
      51,51,53,52,54,101,45,48,55,32,50,46,50,55,49,54,53,101,45,48,55,32,50,46,50,
      48,49,55,54,101,45,48,55,32,50,46,49,50,54,56,56,101,45,48,55,32,50,46,48,52,
      56,48,52,101,45,48,55,32,49,46,57,54,54,50,49,101,45,48,55,32,49,46,56,56,50,
      50,50,101,45,48,55,10,32,32,49,46,55,57,54,56,54,101,45,48,55,32,49,46,55,49,
      48,56,51,101,45,48,55,32,49,46,54,50,52,57,101,45,48,55,32,49,46,53,51,57,55,
      101,45,48,55,32,49,46,52,53,53,55,49,101,45,48,55,32,49,46,51,55,51,51,53,101,
      45,48,55,32,49,46,50,57,51,48,49,101,45,48,55,10,32,32,49,46,50,49,53,48,50,
      101,45,48,55,32,49,46,49,51,57,53,57,101,45,48,55,32,49,46,48,54,54,57,51,101,
      45,48,55,32,49,46,48,49,50,52,53,101,45,48,55,32,57,46,53,57,55,57,55,101,45,
      48,56,32,57,46,48,57,48,49,49,101,45,48,56,32,56,46,54,48,49,50,51,101,45,48,
      56,10,32,32,56,46,49,51,49,52,50,101,45,48,56,32,55,46,54,50,52,48,57,101,45,
      48,56,32,55,46,48,49,54,51,56,101,45,48,56,32,54,46,52,52,54,53,57,101,45,48,
      56,32,53,46,57,49,51,55,52,101,45,48,56,32,53,46,52,49,54,57,54,101,45,48,56,
      32,52,46,57,53,52,57,50,101,45,48,56,10,32,32,52,46,53,50,54,48,53,101,45,48,
      56,32,52,46,49,50,56,57,54,101,45,48,56,32,51,46,55,54,50,48,54,101,45,48,56,
      32,51,46,52,50,51,55,50,101,45,48,56,32,51,46,49,49,50,50,53,101,45,48,56,32,
      50,46,56,50,54,48,50,101,45,48,56,32,50,46,53,54,51,52,49,101,45,48,56,10,32,
      32,50,46,51,50,50,56,55,101,45,48,56,32,50,46,49,48,50,56,53,101,45,48,56,32,
      49,46,57,48,49,57,101,45,48,56,32,49,46,55,49,56,54,101,45,48,56,32,49,46,53,
      53,49,54,53,101,45,48,56,32,49,46,51,57,57,55,53,101,45,48,56,32,49,46,50,54,
      49,55,51,101,45,48,56,10,32,32,49,46,49,51,54,52,52,101,45,48,56,32,49,46,48,
      50,50,55,56,101,45,48,56,32,57,46,49,57,56,51,53,101,45,48,57,32,56,46,50,54,
      54,55,53,101,45,48,57,32,55,46,52,50,52,53,53,101,45,48,57,32,54,46,54,54,51,
      55,57,101,45,48,57,32,53,46,57,55,55,49,56,101,45,48,57,10,32,32,53,46,51,53,
      55,57,57,101,45,48,57,32,52,46,56,48,48,49,57,101,45,48,57,32,52,46,50,57,56,
      48,54,101,45,48,57,32,51,46,56,52,54,51,57,101,45,48,57,32,51,46,52,52,48,52,
      101,45,48,57,32,51,46,48,55,53,55,49,101,45,48,57,32,50,46,55,52,56,51,51,101,
      45,48,57,10,32,32,50,46,52,53,52,54,52,101,45,48,57,32,50,46,49,57,49,51,101,
      45,48,57,32,49,46,57,53,53,51,52,101,45,48,57,32,49,46,53,53,52,57,52,101,45,
      48,57,32,49,46,50,51,52,53,101,45,48,57,32,57,46,55,56,54,49,50,101,45,49,48,
      32,55,46,55,52,54,50,54,101,45,49,48,10,32,32,54,46,49,50,51,50,57,101,45,49,
      48,32,52,46,56,51,52,50,49,101,45,49,48,32,51,46,56,49,49,56,101,45,49,48,32,
      51,46,48,48,50,49,101,45,49,48,32,50,46,51,54,49,56,101,45,49,48,32,49,46,56,
      53,54,49,51,101,45,49,48,32,49,46,52,53,55,51,50,101,45,49,48,10,32,32,49,46,
      49,52,51,49,52,101,45,49,48,32,56,46,57,53,57,49,51,101,45,49,49,32,55,46,48,
      49,53,53,53,101,45,49,49,32,53,46,52,56,57,48,53,101,45,49,49,32,52,46,50,57,
      49,51,57,101,45,49,49,32,51,46,51,53,50,54,101,45,49,49,32,50,46,54,49,55,51,
      56,101,45,49,49,10,32,32,50,46,48,52,50,48,55,101,45,49,49,32,49,46,53,57,50,
      50,50,101,45,49,49,32,49,46,50,52,48,55,50,101,45,49,49,32,57,46,54,54,50,54,
      56,101,45,49,50,32,55,46,53,50,49,49,55,101,45,49,50,32,53,46,56,53,49,49,49,
      101,45,49,50,32,52,46,53,52,57,53,49,101,45,49,50,10,32,32,51,46,53,51,53,55,
      55,101,45,49,50,32,50,46,55,52,54,54,53,101,45,49,50,32,50,46,49,51,50,54,57,
      101,45,49,50,32,49,46,54,53,53,50,57,101,45,49,50,32,48,114,51,56,32,52,46,
      53,51,49,54,50,101,45,50,55,32,53,46,50,48,49,51,51,101,45,50,55,32,53,46,57,
      52,57,51,55,101,45,50,55,10,32,32,54,46,55,56,50,55,52,101,45,50,55,32,55,46,
      55,48,56,54,54,101,45,50,55,32,56,46,54,55,51,51,101,45,50,55,32,57,46,54,56,
      48,55,57,101,45,50,55,32,49,46,48,55,56,50,56,101,45,50,54,32,49,46,49,57,56,
      53,55,101,45,50,54,32,49,46,51,50,56,57,55,101,45,50,54,10,32,32,49,46,52,53,
      56,55,101,45,50,54,32,49,46,53,57,56,56,54,101,45,50,54,32,49,46,55,53,48,49,
      54,101,45,50,54,32,49,46,57,49,51,50,50,101,45,50,54,32,50,46,48,56,50,56,101,
      45,50,54,32,50,46,50,53,57,57,55,101,45,50,54,32,50,46,52,52,57,55,53,101,45,
      50,54,10,32,32,50,46,54,53,50,56,54,101,45,50,54,32,50,46,56,54,57,55,50,101,
      45,50,54,32,51,46,48,57,55,49,56,101,45,50,54,32,51,46,51,51,57,54,57,101,45,
      50,54,32,51,46,53,57,56,48,57,101,45,50,54,32,51,46,56,55,51,49,51,101,45,50,
      54,32,52,46,49,54,57,51,50,101,45,50,54,10,32,32,52,46,52,56,55,48,55,101,45,
      50,54,32,52,46,56,50,52,55,56,101,45,50,54,32,53,46,49,56,51,52,50,101,45,50,
      54,32,53,46,53,54,53,54,51,101,45,50,54,32,53,46,57,57,48,51,54,101,45,50,54,
      32,54,46,52,52,49,52,101,45,50,54,32,54,46,57,50,48,48,56,101,45,50,54,10,32,
      32,55,46,52,50,55,55,101,45,50,54,32,55,46,57,56,55,49,49,101,45,50,54,32,56,
      46,53,57,54,53,52,101,45,50,54,32,57,46,50,52,51,53,56,101,45,50,54,32,57,46,
      57,50,57,56,57,101,45,50,54,32,49,46,48,54,54,50,101,45,50,53,32,49,46,49,52,
      56,50,57,101,45,50,53,10,32,32,49,46,50,51,53,52,56,101,45,50,53,32,49,46,51,
      50,56,48,51,101,45,50,53,32,49,46,52,50,54,50,101,45,50,53,32,49,46,53,51,50,
      57,49,101,45,50,53,32,49,46,54,52,55,57,54,101,45,50,53,32,49,46,55,55,48,48,
      52,101,45,50,53,32,49,46,56,57,57,53,50,101,45,50,53,10,32,32,50,46,48,51,54,
      54,51,101,45,50,53,32,50,46,49,56,49,54,56,101,45,50,53,32,50,46,51,51,53,51,
      53,101,45,50,53,32,50,46,52,57,55,55,56,101,45,50,53,32,50,46,54,54,57,50,54,
      101,45,50,53,32,50,46,56,52,50,57,54,101,45,50,53,32,51,46,48,50,49,49,52,101,
      45,50,53,10,32,32,51,46,50,48,56,55,52,101,45,50,53,32,51,46,52,48,53,54,57,
      101,45,50,53,32,51,46,54,48,56,50,54,101,45,50,53,32,51,46,55,56,57,48,49,101,
      45,50,53,32,51,46,57,55,55,50,52,101,45,50,53,32,52,46,49,55,51,49,56,101,45,
      50,53,32,52,46,51,55,55,48,56,101,45,50,53,10,32,32,52,46,53,52,53,54,49,101,
      45,50,53,32,52,46,54,57,51,54,52,101,45,50,53,32,52,46,56,52,54,56,56,101,45,
      50,53,32,53,46,48,48,53,52,51,101,45,50,53,32,53,46,49,53,53,50,49,101,45,50,
      53,32,53,46,50,49,53,56,56,101,45,50,53,32,53,46,50,56,49,53,49,101,45,50,53,
      10,32,32,53,46,51,53,49,57,55,101,45,50,53,32,53,46,52,50,55,49,52,101,45,50,
      53,32,53,46,52,49,56,56,52,101,45,50,53,32,53,46,51,54,57,53,50,101,45,50,53,
      32,53,46,51,50,57,54,53,101,45,50,53,32,53,46,50,57,56,52,49,101,45,50,53,32,
      53,46,50,53,51,55,52,101,45,50,53,10,32,32,53,46,48,57,53,53,56,101,45,50,53,
      32,52,46,57,53,54,49,50,101,45,50,53,32,52,46,56,51,51,49,53,101,45,50,53,32,
      52,46,55,50,53,54,53,101,45,50,53,32,52,46,53,52,54,48,50,101,45,50,53,32,52,
      46,51,52,53,49,54,101,45,50,53,32,52,46,49,54,56,55,55,101,45,50,53,10,32,32,
      52,46,48,49,51,49,56,101,45,50,53,32,51,46,56,53,56,56,57,101,45,50,53,32,51,
      46,54,51,57,56,52,101,45,50,53,32,51,46,52,52,56,57,49,101,45,50,53,32,51,46,
      50,56,49,54,49,101,45,50,53,32,51,46,49,51,52,52,49,101,45,50,53,32,50,46,57,
      53,54,57,50,101,45,50,53,10,32,32,50,46,55,55,57,57,51,101,45,50,53,32,50,46,
      54,50,53,54,55,101,45,50,53,32,50,46,52,57,48,53,49,101,45,50,53,32,50,46,51,
      54,51,51,57,101,45,50,53,32,50,46,50,49,52,54,49,101,45,50,53,32,50,46,48,56,
      53,48,57,101,45,50,53,32,49,46,57,55,49,54,53,101,45,50,53,10,32,32,49,46,56,
      55,49,57,53,101,45,50,53,32,49,46,55,54,52,57,50,101,45,50,53,32,49,46,54,54,
      50,54,56,101,45,50,53,32,49,46,53,55,50,57,49,101,45,50,53,32,49,46,52,57,51,
      55,55,101,45,50,53,32,49,46,52,50,48,55,49,101,45,50,53,32,49,46,51,52,51,52,
      55,101,45,50,53,10,32,32,49,46,50,55,53,50,54,101,45,50,53,32,49,46,50,49,52,
      55,53,101,45,50,53,32,49,46,49,54,48,57,49,101,45,50,53,32,49,46,49,48,55,52,
      51,101,45,50,53,32,49,46,48,53,55,51,57,101,45,50,53,32,49,46,48,49,50,54,57,
      101,45,50,53,32,57,46,55,50,54,50,54,101,45,50,54,10,32,32,57,46,51,54,48,51,
      49,101,45,50,54,32,57,46,48,48,56,48,56,101,45,50,54,32,56,46,54,57,48,54,53,
      101,45,50,54,32,56,46,52,48,51,55,101,45,50,54,32,56,46,49,52,51,55,52,101,
      45,50,54,32,55,46,57,49,48,53,52,101,45,50,54,32,55,46,54,57,57,53,55,101,45,
      50,54,10,32,32,48,114,49,48,32,49,46,51,53,55,57,55,101,45,50,53,32,50,46,48,
      56,56,53,50,101,45,50,53,32,51,46,51,53,53,53,101,45,50,53,32,53,46,52,54,48,
      54,53,101,45,50,53,32,56,46,54,55,56,50,54,101,45,50,53,32,49,46,51,49,57,50,
      51,101,45,50,52,32,49,46,56,56,57,49,54,101,45,50,52,10,32,32,50,46,53,55,55,
      50,53,101,45,50,52,32,51,46,52,48,48,55,52,101,45,50,52,32,51,46,55,50,52,54,
      52,101,45,50,50,32,51,46,52,52,50,49,55,101,45,50,49,32,53,46,52,57,54,52,52,
      101,45,50,49,32,57,46,55,56,55,48,53,101,45,50,49,32,49,46,57,53,49,55,51,101,
      45,50,48,10,32,32,53,46,51,48,50,50,53,101,45,50,48,32,49,46,53,55,50,52,50,
      101,45,49,57,32,52,46,53,52,53,56,55,101,45,49,57,32,49,46,50,54,51,57,51,101,
      45,49,56,32,50,46,50,53,53,49,57,101,45,49,56,32,50,46,54,49,52,57,49,101,45,
      49,56,32,50,46,49,56,53,48,53,101,45,49,56,10,32,32,49,46,55,54,51,54,51,101,
      45,49,56,32,49,46,53,48,53,50,56,101,45,49,56,32,49,46,52,50,57,48,55,101,45,
      49,56,32,49,46,53,54,50,55,53,101,45,49,56,32,50,46,48,52,53,56,53,101,45,49,
      56,32,51,46,51,53,48,52,54,101,45,49,56,32,55,46,53,57,53,52,52,101,45,49,56,
      10,32,32,50,46,48,57,51,48,53,101,45,49,55,32,49,46,55,52,53,54,51,101,45,49,
      54,32,49,46,55,51,53,49,53,101,45,49,50,32,49,46,57,48,54,49,57,101,45,49,50,
      32,49,46,55,57,52,49,53,101,45,49,50,32,57,46,48,53,51,49,50,101,45,49,55,32,
      53,46,53,55,50,57,51,101,45,49,55,10,32,32,52,46,49,56,53,53,101,45,49,55,32,
      51,46,56,49,51,55,52,101,45,49,55,32,52,46,50,50,54,56,49,101,45,49,55,32,53,
      46,53,50,56,52,101,45,49,55,32,56,46,51,53,57,49,53,101,45,49,55,32,49,46,52,
      57,55,48,50,101,45,49,54,32,51,46,55,52,56,57,56,101,45,49,50,10,32,32,52,46,
      56,50,51,55,49,101,45,49,50,32,54,46,48,50,50,48,51,101,45,49,50,32,55,46,49,
      55,57,57,54,101,45,49,50,32,56,46,54,51,56,55,51,101,45,49,50,32,49,46,48,56,
      55,48,56,101,45,49,49,32,49,46,50,57,49,52,57,101,45,49,49,32,49,46,52,53,51,
      51,50,101,45,49,49,10,32,32,49,46,53,55,50,57,51,101,45,49,49,32,49,46,55,52,
      51,52,55,101,45,49,49,32,49,46,57,50,53,51,51,101,45,49,49,32,50,46,48,57,54,
      54,54,101,45,49,49,32,50,46,50,50,52,49,101,45,49,49,32,50,46,51,51,55,55,54,
      101,45,49,49,32,50,46,52,55,54,48,52,101,45,49,49,10,32,32,50,46,54,57,48,54,
      50,101,45,49,49,32,50,46,57,52,51,52,50,101,45,49,49,32,51,46,49,53,49,48,52,
      101,45,49,49,32,51,46,53,54,49,53,101,45,49,49,32,51,46,57,55,50,51,101,45,
      49,49,32,52,46,51,57,57,56,54,101,45,49,49,32,52,46,57,48,56,54,53,101,45,49,
      49,10,32,32,53,46,51,54,57,55,55,101,45,49,49,32,53,46,56,48,51,57,101,45,49,
      49,32,54,46,49,53,56,55,53,101,45,49,49,32,54,46,52,56,48,51,101,45,49,49,32,
      54,46,55,56,54,49,52,101,45,49,49,32,55,46,49,50,57,52,52,101,45,49,49,32,55,
      46,51,56,51,51,51,101,45,49,49,10,32,32,55,46,54,53,48,52,50,101,45,49,49,32,
      56,46,49,53,56,57,57,101,45,49,49,32,56,46,53,51,57,54,52,101,45,49,49,32,57,
      46,50,57,56,54,50,101,45,49,49,32,49,46,48,51,55,101,45,49,48,32,49,46,49,49,
      54,55,54,101,45,49,48,32,49,46,50,48,57,54,54,101,45,49,48,10,32,32,49,46,51,
      56,53,50,50,101,45,49,48,32,49,46,54,49,57,57,52,101,45,49,48,32,49,46,55,54,
      54,49,57,101,45,49,48,32,50,46,48,48,49,52,52,101,45,49,48,32,50,46,49,51,53,
      55,49,101,45,49,48,32,50,46,51,49,55,49,51,101,45,49,48,32,50,46,49,52,55,56,
      49,101,45,49,48,10,32,32,50,46,52,48,56,51,57,101,45,49,48,32,50,46,53,50,54,
      49,101,45,49,48,32,50,46,55,55,48,51,51,101,45,49,48,32,51,46,48,54,57,53,55,
      101,45,49,48,32,51,46,51,52,52,52,57,101,45,49,48,32,51,46,54,52,52,53,52,101,
      45,49,48,32,51,46,57,52,57,54,51,101,45,49,48,10,32,32,52,46,50,55,52,55,49,
      101,45,49,48,32,52,46,54,54,53,53,50,101,45,49,48,32,53,46,48,52,49,48,49,101,
      45,49,48,32,53,46,52,56,55,57,52,101,45,49,48,32,53,46,56,52,48,48,50,101,45,
      49,48,32,54,46,52,53,57,101,45,49,48,32,54,46,56,54,55,51,49,101,45,49,48,10,
      32,32,55,46,52,48,54,54,56,101,45,49,48,32,56,46,56,48,57,48,50,101,45,49,48,
      32,49,46,49,49,48,54,49,101,45,48,57,32,49,46,51,56,48,50,54,101,45,48,57,32,
      49,46,55,56,55,56,50,101,45,48,57,32,50,46,50,56,49,48,55,101,45,48,57,32,50,
      46,57,57,53,50,50,101,45,48,57,10,32,32,51,46,54,57,55,48,53,101,45,48,57,32,
      53,46,48,49,51,53,52,101,45,48,57,32,54,46,54,48,48,50,49,101,45,48,57,32,55,
      46,56,52,55,56,56,101,45,48,57,32,57,46,51,54,50,50,49,101,45,48,57,32,49,46,
      49,53,54,54,49,101,45,48,56,32,49,46,51,54,53,56,101,45,48,56,10,32,32,49,46,
      53,57,48,49,57,101,45,48,56,32,49,46,56,54,54,50,55,101,45,48,56,32,50,46,49,
      54,54,52,53,101,45,48,56,32,50,46,52,53,50,52,52,101,45,48,56,32,50,46,55,54,
      52,50,51,101,45,48,56,32,51,46,49,48,54,48,53,101,45,48,56,32,51,46,53,51,56,
      56,52,101,45,48,56,10,32,32,52,46,48,56,54,56,51,101,45,48,56,32,52,46,55,55,
      57,53,55,101,45,48,56,32,53,46,52,56,50,56,51,101,45,48,56,32,54,46,51,53,50,
      51,53,101,45,48,56,32,55,46,50,48,57,56,57,101,45,48,56,32,56,46,49,51,49,48,
      51,101,45,48,56,32,57,46,50,49,53,50,50,101,45,48,56,10,32,32,49,46,48,52,50,
      53,55,101,45,48,55,32,49,46,49,51,55,55,52,101,45,48,55,32,49,46,50,52,55,55,
      101,45,48,55,32,49,46,51,52,50,53,51,101,45,48,55,32,49,46,52,52,48,52,101,
      45,48,55,32,49,46,53,51,51,101,45,48,55,32,49,46,54,49,56,53,55,101,45,48,55,
      10,32,32,49,46,54,57,53,57,51,101,45,48,55,32,49,46,55,54,52,50,49,101,45,48,
      55,32,49,46,56,50,50,54,56,101,45,48,55,32,49,46,56,55,48,56,50,101,45,48,55,
      32,49,46,57,48,56,50,56,101,45,48,55,32,49,46,57,51,52,57,51,101,45,48,55,32,
      49,46,57,53,48,55,55,101,45,48,55,10,32,32,49,46,57,53,54,50,56,101,45,48,55,
      32,49,46,57,53,49,55,51,101,45,48,55,32,49,46,57,51,55,56,56,101,45,48,55,32,
      49,46,57,49,53,52,49,101,45,48,55,32,49,46,56,56,53,49,53,101,45,48,55,32,49,
      46,56,52,55,56,52,101,45,48,55,32,49,46,56,48,52,50,51,101,45,48,55,10,32,32,
      49,46,55,53,53,50,54,101,45,48,55,32,49,46,55,48,49,55,49,101,45,48,55,32,49,
      46,54,52,52,51,49,101,45,48,55,32,49,46,53,56,51,56,50,101,45,48,55,32,49,46,
      53,50,49,48,52,101,45,48,55,32,49,46,52,53,54,54,51,101,45,48,55,32,49,46,51,
      57,49,49,57,101,45,48,55,10,32,32,49,46,51,50,53,50,55,101,45,48,55,32,49,46,
      50,53,57,51,54,101,45,48,55,32,49,46,49,57,51,57,52,101,45,48,55,32,49,46,49,
      50,57,52,51,101,45,48,55,32,49,46,48,54,54,49,54,101,45,48,55,32,49,46,48,48,
      52,52,101,45,48,55,32,57,46,52,52,52,48,51,101,45,48,56,10,32,32,56,46,56,54,
      51,53,57,101,45,48,56,32,56,46,52,50,54,52,56,101,45,48,56,32,56,46,48,48,50,
      53,49,101,45,48,56,32,55,46,53,57,50,51,55,101,45,48,56,32,55,46,49,57,54,51,
      57,101,45,48,56,32,54,46,56,49,52,55,57,101,45,48,56,32,54,46,52,48,49,53,101,
      45,48,56,10,32,32,53,46,57,48,52,55,52,101,45,48,56,32,53,46,52,51,55,52,49,
      101,45,48,56,32,52,46,57,57,56,57,51,101,45,48,56,32,52,46,53,56,56,55,51,101,
      45,48,56,32,52,46,50,48,53,57,56,101,45,48,56,32,51,46,56,52,57,55,53,101,45,
      48,56,32,51,46,53,49,56,57,51,101,45,48,56,10,32,32,51,46,50,49,50,51,56,101,
      45,48,56,32,50,46,57,50,56,57,49,101,45,48,56,32,50,46,54,54,55,50,55,101,45,
      48,56,32,50,46,52,50,54,50,50,101,45,48,56,32,50,46,50,48,52,52,56,101,45,48,
      56,32,50,46,48,48,48,57,101,45,48,56,32,49,46,56,49,52,50,56,101,45,48,56,10,
      32,32,49,46,54,52,51,52,49,101,45,48,56,32,49,46,52,56,55,50,51,101,45,48,56,
      32,49,46,51,52,52,54,57,101,45,48,56,32,49,46,50,49,52,55,55,101,45,48,56,32,
      49,46,48,57,54,52,57,101,45,48,56,32,57,46,56,56,57,51,50,101,45,48,57,32,56,
      46,57,49,50,51,51,101,45,48,57,10,32,32,56,46,48,50,54,49,101,45,48,57,32,55,
      46,50,50,50,55,53,101,45,48,57,32,54,46,52,57,53,50,51,101,45,48,57,32,53,46,
      56,51,55,48,53,101,45,48,57,32,53,46,50,52,50,49,54,101,45,48,57,32,52,46,55,
      48,52,57,101,45,48,57,32,52,46,50,50,48,49,55,101,45,48,57,10,32,32,51,46,55,
      56,51,49,55,101,45,48,57,32,51,46,51,56,57,53,101,45,48,57,32,51,46,48,51,53,
      49,53,101,45,48,57,32,50,46,55,49,54,52,50,101,45,48,57,32,50,46,52,50,57,57,
      50,101,45,48,57,32,50,46,49,55,50,53,53,101,45,48,57,32,49,46,57,52,49,52,55,
      101,45,48,57,10,32,32,49,46,55,51,52,49,52,101,45,48,57,32,49,46,51,56,49,54,
      55,101,45,48,57,32,49,46,48,57,56,57,54,101,45,48,57,32,56,46,55,50,54,57,56,
      101,45,49,48,32,54,46,57,49,57,54,54,101,45,49,48,32,53,46,52,55,56,56,50,101,
      45,49,48,32,52,46,51,51,50,49,57,101,45,49,48,10,32,32,51,46,52,50,49,50,51,
      101,45,49,48,32,50,46,54,57,56,53,54,101,45,49,48,32,50,46,49,50,54,48,54,101,
      45,49,48,32,49,46,54,55,51,50,51,101,45,49,48,32,49,46,51,49,53,53,49,101,45,
      49,48,32,49,46,48,51,51,50,54,101,45,49,48,32,56,46,49,48,56,50,55,101,45,49,
      49,10,32,32,54,46,51,53,55,49,49,101,45,49,49,32,52,46,57,55,57,55,55,101,45,
      49,49,32,51,46,56,57,55,54,53,101,45,49,49,32,51,46,48,52,56,51,56,101,45,49,
      49,32,50,46,51,56,50,52,51,101,45,49,49,32,49,46,56,54,48,54,57,101,45,49,49,
      32,49,46,52,53,50,50,54,101,45,49,49,10,32,32,49,46,49,51,50,55,55,101,45,49,
      49,32,56,46,56,51,48,51,50,101,45,49,50,32,54,46,56,55,57,52,53,101,45,49,50,
      32,53,46,51,53,54,54,52,101,45,49,50,32,52,46,49,54,56,55,50,101,45,49,50,32,
      51,46,50,52,50,54,49,101,45,49,50,32,50,46,53,50,48,57,57,101,45,49,50,10,32,
      32,49,46,57,53,57,48,54,101,45,49,50,32,49,46,53,50,49,55,51,101,45,49,50,32,
      48,114,54,49,32,54,46,52,54,54,49,50,101,45,50,55,32,54,46,57,54,56,51,50,101,
      45,50,55,32,55,46,53,48,50,56,55,101,45,50,55,32,56,46,48,55,49,52,50,101,45,
      50,55,32,56,46,54,55,56,51,49,101,45,50,55,10,32,32,57,46,51,53,52,50,49,101,
      45,50,55,32,49,46,48,48,55,51,50,101,45,50,54,32,49,46,48,56,51,55,52,101,45,
      50,54,32,49,46,49,54,52,57,50,101,45,50,54,32,49,46,50,53,52,53,55,101,45,50,
      54,32,49,46,51,53,50,52,52,101,45,50,54,32,49,46,52,53,54,53,51,101,45,50,54,
      10,32,32,49,46,53,54,55,49,51,101,45,50,54,32,49,46,54,56,53,51,50,101,45,50,
      54,32,49,46,56,49,56,49,57,101,45,50,54,32,49,46,57,53,57,53,55,101,45,50,54,
      32,50,46,49,48,57,57,50,101,45,50,54,32,50,46,50,54,57,54,56,101,45,50,54,32,
      50,46,52,52,51,55,50,101,45,50,54,10,32,32,50,46,54,51,49,55,55,101,45,50,54,
      32,50,46,56,51,49,54,56,101,45,50,54,32,51,46,48,52,52,49,51,101,45,50,54,32,
      51,46,50,54,57,53,49,101,45,50,54,32,51,46,53,48,56,51,53,101,45,50,54,32,51,
      46,55,54,49,57,49,101,45,50,54,32,52,46,48,51,48,52,101,45,50,54,10,32,32,52,
      46,51,49,52,51,52,101,45,50,54,32,52,46,54,48,50,50,52,101,45,50,54,32,52,46,
      56,57,55,57,57,101,45,50,54,32,53,46,50,48,57,57,57,101,45,50,54,32,53,46,53,
      51,56,48,50,101,45,50,54,32,53,46,56,55,53,56,50,101,45,50,54,32,54,46,49,55,
      54,56,50,101,45,50,54,10,32,32,54,46,52,57,48,54,51,101,45,50,54,32,54,46,56,
      49,55,54,55,101,45,50,54,32,55,46,49,53,56,51,56,101,45,50,54,32,55,46,52,51,
      56,57,56,101,45,50,54,32,55,46,54,56,52,54,54,101,45,50,54,32,55,46,57,51,57,
      50,49,101,45,50,54,32,56,46,50,48,50,55,55,101,45,50,54,10,32,32,56,46,52,53,
      49,51,53,101,45,50,54,32,56,46,53,52,55,57,50,101,45,50,54,32,56,46,54,53,50,
      57,101,45,50,54,32,56,46,55,54,54,48,52,101,45,50,54,32,56,46,56,56,55,49,55,
      101,45,50,54,32,56,46,56,54,54,49,52,101,45,50,54,32,56,46,55,55,53,52,50,101,
      45,50,54,10,32,32,56,46,55,48,48,57,57,101,45,50,54,32,56,46,54,52,49,52,101,
      45,50,54,32,56,46,53,53,57,49,56,101,45,50,54,32,56,46,50,56,53,49,52,101,45,
      50,54,32,56,46,48,52,51,52,53,101,45,50,54,32,55,46,56,51,48,50,52,101,45,50,
      54,32,55,46,54,52,51,57,52,101,45,50,54,10,32,32,55,46,51,51,55,48,56,101,45,
      50,54,32,54,46,57,57,53,54,51,101,45,50,54,32,54,46,54,57,54,51,50,101,45,50,
      54,32,54,46,52,51,50,54,53,101,45,50,54,32,54,46,49,55,49,57,56,101,45,50,54,
      32,53,46,56,48,52,57,55,101,45,50,54,32,53,46,52,56,53,56,53,101,45,50,54,10,
      32,32,53,46,50,48,54,56,49,101,45,50,54,32,52,46,57,54,49,56,49,101,45,50,54,
      32,52,46,54,54,56,48,51,101,45,50,54,32,52,46,51,55,54,50,51,101,45,50,54,32,
      52,46,49,50,50,53,55,101,45,50,54,32,51,46,57,48,48,55,57,101,45,50,54,32,51,
      46,54,57,50,56,51,101,45,50,54,10,32,32,51,46,52,53,48,54,54,101,45,50,54,32,
      51,46,50,52,48,52,101,45,50,54,32,51,46,48,53,54,54,55,101,45,50,54,32,48,114,
      51,52,32,56,46,52,57,53,54,51,101,45,50,54,32,49,46,51,54,57,54,55,101,45,50,
      53,32,50,46,49,49,48,54,50,101,45,50,53,32,51,46,48,53,56,56,54,101,45,50,53,
      10,32,32,52,46,50,49,55,50,49,101,45,50,53,32,53,46,54,49,55,57,50,101,45,50,
      53,32,56,46,51,56,50,48,54,101,45,50,51,32,56,46,56,53,54,55,54,101,45,50,50,
      32,49,46,52,49,54,56,101,45,50,49,32,50,46,53,50,57,52,52,101,45,50,49,32,53,
      46,48,54,51,48,51,101,45,50,49,10,32,32,49,46,51,56,52,54,52,101,45,50,48,32,
      52,46,49,52,52,52,50,101,45,50,48,32,49,46,50,49,49,57,53,101,45,49,57,32,51,
      46,52,49,53,52,51,101,45,49,57,32,54,46,49,52,54,48,50,101,45,49,57,32,55,46,
      49,51,53,48,52,101,45,49,57,32,53,46,57,51,54,54,54,101,45,49,57,10,32,32,52,
      46,55,54,57,57,49,101,45,49,57,32,52,46,48,53,54,57,57,101,45,49,57,32,51,46,
      56,52,52,52,50,101,45,49,57,32,52,46,50,48,52,57,55,101,45,49,57,32,53,46,53,
      50,49,48,52,101,45,49,57,32,57,46,49,48,50,48,53,101,45,49,57,32,50,46,48,57,
      49,101,45,49,56,10,32,32,53,46,56,55,56,51,52,101,45,49,56,32,53,46,48,56,50,
      48,51,101,45,49,55,32,54,46,48,52,54,50,55,101,45,49,51,32,54,46,54,53,57,50,
      101,45,49,51,32,53,46,56,54,55,48,55,101,45,49,51,32,50,46,54,49,52,48,53,101,
      45,49,55,32,49,46,53,56,52,52,51,101,45,49,55,10,32,32,49,46,49,55,57,48,56,
      101,45,49,55,32,49,46,48,55,101,45,49,55,32,49,46,49,56,54,52,54,101,45,49,
      55,32,49,46,53,53,56,57,56,101,45,49,55,32,50,46,51,55,55,52,53,101,45,49,55,
      32,52,46,51,49,54,49,101,45,49,55,32,49,46,50,50,57,56,50,101,45,49,50,10,32,
      32,49,46,55,51,48,55,55,101,45,49,50,32,50,46,51,53,54,48,54,101,45,49,50,32,
      51,46,48,52,48,52,56,101,45,49,50,32,52,46,48,49,57,54,55,101,45,49,50,32,53,
      46,55,51,55,48,56,101,45,49,50,32,55,46,52,51,55,55,53,101,45,49,50,32,56,46,
      55,52,52,50,55,101,45,49,50,10,32,32,57,46,54,50,54,55,54,101,45,49,50,32,49,
      46,48,56,56,53,50,101,45,49,49,32,49,46,50,51,48,48,55,101,45,49,49,32,49,46,
      51,53,55,49,55,101,45,49,49,32,49,46,52,51,53,49,101,45,49,49,32,49,46,52,57,
      51,52,56,101,45,49,49,32,49,46,53,56,49,56,50,101,45,49,49,10,32,32,49,46,55,
      53,51,52,52,101,45,49,49,32,49,46,57,56,48,52,57,101,45,49,49,32,50,46,49,55,
      54,51,101,45,49,49,32,50,46,53,55,48,54,55,101,45,49,49,32,50,46,57,54,55,52,
      50,101,45,49,49,32,51,46,51,55,56,56,51,101,45,49,49,32,51,46,56,52,56,55,52,
      101,45,49,49,10,32,32,52,46,50,52,53,54,54,101,45,49,49,32,52,46,54,48,48,54,
      55,101,45,49,49,32,52,46,56,56,53,51,49,101,45,49,49,32,53,46,49,52,48,53,52,
      101,45,49,49,32,53,46,51,56,51,50,101,45,49,49,32,53,46,54,53,53,54,101,45,
      49,49,32,53,46,56,53,55,48,53,101,45,49,49,10,32,32,54,46,48,54,56,57,57,101,
      45,49,49,32,54,46,52,54,56,48,51,101,45,49,49,32,54,46,55,54,48,57,49,101,45,
      49,49,32,55,46,51,50,51,54,101,45,49,49,32,56,46,48,55,50,52,57,101,45,49,49,
      32,56,46,54,48,52,52,55,101,45,49,49,32,57,46,50,48,52,57,50,101,45,49,49,10,
      32,32,49,46,48,51,48,52,52,101,45,49,48,32,49,46,49,55,51,52,52,101,45,49,48,
      32,49,46,50,54,49,53,50,101,45,49,48,32,49,46,52,48,50,56,55,101,45,49,48,32,
      49,46,52,56,52,48,52,101,45,49,48,32,49,46,53,57,53,101,45,49,48,32,49,46,53,
      48,55,51,101,45,49,48,10,32,32,49,46,54,54,52,54,101,45,49,48,32,49,46,55,51,
      53,51,101,45,49,48,32,49,46,56,56,49,52,101,45,49,48,32,50,46,48,53,57,54,52,
      101,45,49,48,32,50,46,50,50,50,56,52,101,45,49,48,32,50,46,52,48,48,53,54,101,
      45,49,48,32,50,46,53,56,49,48,50,101,45,49,48,10,32,32,50,46,55,55,51,49,101,
      45,49,48,32,51,46,48,48,51,56,57,101,45,49,48,32,51,46,50,50,53,54,54,101,45,
      49,48,32,51,46,52,56,57,55,101,45,49,48,32,51,46,54,57,55,56,51,101,45,49,48,
      32,52,46,48,54,52,49,49,101,45,49,48,32,52,46,51,48,54,48,54,101,45,49,48,10,
      32,32,52,46,54,50,54,49,51,101,45,49,48,32,53,46,52,54,48,56,56,101,45,49,48,
      32,54,46,56,51,54,54,101,45,49,48,32,56,46,52,54,53,56,57,101,45,49,48,32,49,
      46,48,57,53,52,56,101,45,48,57,32,49,46,52,48,48,54,57,101,45,48,57,32,49,46,
      56,52,57,50,55,101,45,48,57,10,32,32,50,46,50,57,54,57,52,101,45,48,57,32,51,
      46,49,48,50,51,101,45,48,57,32,52,46,49,53,56,101,45,48,57,32,53,46,48,48,50,
      55,55,101,45,48,57,32,54,46,48,52,52,51,57,101,45,48,57,32,55,46,53,56,51,54,
      52,101,45,48,57,32,57,46,48,54,50,56,56,101,45,48,57,10,32,32,49,46,48,54,54,
      49,49,101,45,48,56,32,49,46,50,54,51,52,54,101,45,48,56,32,49,46,52,55,55,55,
      53,101,45,48,56,32,49,46,54,56,48,56,53,101,45,48,56,32,49,46,57,48,48,55,50,
      101,45,48,56,32,50,46,49,52,48,50,54,101,45,48,56,32,50,46,52,52,49,55,57,101,
      45,48,56,10,32,32,50,46,56,50,49,52,101,45,48,56,32,51,46,50,57,57,56,54,101,
      45,48,56,32,51,46,55,56,54,50,52,101,45,48,56,32,52,46,51,57,48,55,52,101,45,
      48,56,32,52,46,57,57,49,50,57,101,45,48,56,32,53,46,54,52,49,56,50,101,45,48,
      56,32,54,46,52,49,53,54,54,101,45,48,56,10,32,32,55,46,50,57,49,52,52,101,45,
      48,56,32,55,46,57,56,57,48,49,101,45,48,56,32,56,46,56,48,54,50,56,101,45,48,
      56,32,57,46,53,50,49,52,54,101,45,48,56,32,49,46,48,50,55,101,45,48,55,32,49,
      46,48,57,57,101,45,48,55,32,49,46,49,54,54,55,56,101,45,48,55,10,32,32,49,46,
      50,50,57,51,53,101,45,48,55,32,49,46,50,56,53,57,53,101,45,48,55,32,49,46,51,
      51,53,57,101,45,48,55,32,49,46,51,55,56,54,53,101,45,48,55,32,49,46,52,49,51,
      55,57,101,45,48,55,32,49,46,52,52,49,48,49,101,45,48,55,32,49,46,52,54,48,51,
      52,101,45,48,55,10,32,32,49,46,52,55,49,56,49,101,45,48,55,32,49,46,52,55,53,
      54,52,101,45,48,55,32,49,46,52,55,50,50,51,101,45,48,55,32,49,46,52,54,49,57,
      54,101,45,48,55,32,49,46,52,52,53,51,51,101,45,48,55,32,49,46,52,50,50,57,49,
      101,45,48,55,32,49,46,51,57,53,50,57,101,45,48,55,10,32,32,49,46,51,54,51,48,
      52,101,45,48,55,32,49,46,51,50,54,54,55,101,45,48,55,32,49,46,50,56,54,56,53,
      101,45,48,55,32,49,46,50,52,52,48,57,101,45,48,55,32,49,46,49,57,57,48,52,101,
      45,48,55,32,49,46,49,53,50,50,49,101,45,48,55,32,49,46,49,48,52,49,52,101,45,
      48,55,10,32,32,49,46,48,53,53,50,56,101,45,48,55,32,49,46,48,48,54,48,53,101,
      45,48,55,32,57,46,53,54,56,49,51,101,45,48,56,32,57,46,48,55,56,57,53,101,45,
      48,56,32,56,46,53,57,53,57,51,101,45,48,56,32,56,46,49,50,49,49,51,101,45,48,
      56,32,55,46,54,53,55,50,57,101,45,48,56,10,32,32,55,46,50,48,54,50,49,101,45,
      48,56,32,54,46,56,54,53,49,53,101,45,48,56,32,54,46,53,51,51,49,55,101,45,48,
      56,32,54,46,50,49,48,54,56,101,45,48,56,32,53,46,56,57,56,49,51,101,45,48,56,
      32,53,46,53,57,53,57,49,101,45,48,56,32,53,46,50,54,55,53,52,101,45,48,56,10,
      32,32,52,46,56,55,49,51,52,101,45,48,56,32,52,46,52,57,55,48,55,101,45,48,56,
      32,52,46,49,52,52,52,50,101,45,48,56,32,51,46,56,49,51,50,49,101,45,48,56,32,
      51,46,53,48,51,49,49,101,45,48,56,32,51,46,50,49,51,53,51,101,45,48,56,32,50,
      46,57,52,51,54,51,101,45,48,56,10,32,32,50,46,54,57,50,55,56,101,45,48,56,32,
      50,46,52,54,48,49,50,101,45,48,56,32,50,46,50,52,52,55,52,101,45,48,56,32,50,
      46,48,52,53,56,101,45,48,56,32,49,46,56,54,50,51,55,101,45,48,56,32,49,46,54,
      57,51,53,51,101,45,48,56,32,49,46,53,51,56,51,55,101,45,48,56,10,32,32,49,46,
      51,57,54,48,49,101,45,48,56,32,49,46,50,54,53,54,101,45,48,56,32,49,46,49,52,
      54,50,55,101,45,48,56,32,49,46,48,51,55,50,54,101,45,48,56,32,57,46,51,55,55,
      57,52,101,45,48,57,32,56,46,52,55,49,54,49,101,45,48,57,32,55,46,54,52,54,54,
      53,101,45,48,57,10,32,32,54,46,56,57,54,55,56,101,45,48,57,32,54,46,50,49,53,
      54,57,101,45,48,57,32,53,46,53,57,55,55,56,101,45,48,57,32,53,46,48,51,55,54,
      55,101,45,48,57,32,52,46,53,51,48,52,54,101,45,48,57,32,52,46,48,55,49,53,57,
      101,45,48,57,32,51,46,54,53,54,56,55,101,45,48,57,10,32,32,51,46,50,56,50,51,
      57,101,45,48,57,32,50,46,57,52,52,52,53,101,45,48,57,32,50,46,54,51,57,55,57,
      101,45,48,57,32,50,46,51,54,53,51,101,45,48,57,32,50,46,49,49,56,50,49,101,
      45,48,57,32,49,46,56,57,53,57,52,101,45,48,57,32,49,46,54,57,54,49,53,101,45,
      48,57,10,32,32,49,46,53,49,54,54,54,101,45,48,57,32,49,46,50,49,48,57,53,101,
      45,48,57,32,57,46,54,53,49,52,55,101,45,49,48,32,55,46,54,55,57,54,54,101,45,
      49,48,32,54,46,49,48,49,48,56,101,45,49,48,32,52,46,56,51,57,54,57,101,45,49,
      48,32,51,46,56,51,51,55,50,101,45,49,48,10,32,32,51,46,48,51,50,56,50,101,45,
      49,48,32,50,46,51,57,54,49,49,101,45,49,48,32,49,46,56,57,48,55,57,101,45,49,
      48,32,49,46,52,57,48,51,53,101,45,49,48,32,49,46,49,55,51,52,55,101,45,49,48,
      32,57,46,50,51,48,50,55,101,45,49,49,32,55,46,50,53,51,51,55,101,45,49,49,10,
      32,32,53,46,54,57,52,53,50,101,45,49,49,32,52,46,52,54,54,53,55,101,45,49,49,
      32,51,46,53,48,48,52,55,101,45,49,49,32,50,46,55,52,49,49,55,101,45,49,49,32,
      50,46,49,52,52,57,55,101,45,49,49,32,49,46,54,55,55,50,51,101,45,49,49,32,49,
      46,51,49,48,53,57,101,45,49,49,10,32,32,49,46,48,50,51,52,50,101,45,49,49,32,
      55,46,57,56,54,55,101,45,49,50,32,54,46,50,50,56,57,101,45,49,50,32,52,46,56,
      53,53,49,53,101,45,49,50,32,51,46,55,56,50,50,101,45,49,50,32,50,46,57,52,52,
      56,49,101,45,49,50,32,50,46,50,57,49,54,54,101,45,49,50,10,32,32,49,46,55,56,
      50,52,56,101,45,49,50,32,49,46,51,56,53,55,57,101,45,49,50,32,48,114,49,55,
      51,32,55,46,52,50,56,55,57,101,45,50,51,32,49,46,50,48,55,49,50,101,45,50,50,
      32,50,46,50,48,50,55,55,101,45,50,50,32,52,46,53,52,49,55,49,101,45,50,50,32,
      49,46,51,48,52,50,101,45,50,49,10,32,32,52,46,49,52,50,48,49,101,45,50,49,32,
      49,46,50,56,56,48,50,101,45,50,48,32,51,46,56,53,50,51,52,101,45,50,48,32,55,
      46,49,53,54,56,57,101,45,50,48,32,56,46,51,52,52,57,101,45,50,48,32,54,46,56,
      51,55,48,52,101,45,50,48,32,53,46,51,57,56,56,50,101,45,50,48,10,32,32,52,46,
      53,50,55,50,53,101,45,50,48,32,52,46,50,53,54,57,56,101,45,50,48,32,52,46,54,
      54,48,54,54,101,45,50,48,32,54,46,49,57,51,54,57,101,45,50,48,32,49,46,48,52,
      55,56,52,101,45,49,57,32,50,46,53,49,56,48,50,101,45,49,57,32,55,46,52,56,53,
      54,53,101,45,49,57,10,32,32,54,46,57,51,50,51,54,101,45,49,56,32,57,46,55,51,
      50,49,54,101,45,49,52,32,49,46,48,55,52,55,49,101,45,49,51,32,56,46,56,52,55,
      52,53,101,45,49,52,32,51,46,53,52,49,57,49,101,45,49,56,32,50,46,48,55,55,50,
      54,101,45,49,56,32,49,46,53,49,50,57,55,101,45,49,56,10,32,32,49,46,51,53,57,
      48,52,101,45,49,56,32,49,46,53,48,56,56,49,101,45,49,56,32,50,46,48,48,53,51,
      49,101,45,49,56,32,51,46,49,49,57,52,53,101,45,49,56,32,53,46,56,51,48,48,49,
      101,45,49,56,32,49,46,56,54,48,53,53,101,45,49,51,32,50,46,56,55,49,55,56,101,
      45,49,51,10,32,32,52,46,50,56,52,53,101,45,49,51,32,54,46,48,51,54,51,51,101,
      45,49,51,32,56,46,57,50,51,54,52,101,45,49,51,32,49,46,53,48,50,49,55,101,45,
      49,50,32,50,46,50,49,52,54,50,101,45,49,50,32,50,46,55,57,49,55,101,45,49,50,
      32,51,46,49,54,50,57,55,101,45,49,50,10,32,32,51,46,54,57,57,49,51,101,45,49,
      50,32,52,46,51,53,51,50,101,45,49,50,32,52,46,57,49,54,55,53,101,45,49,50,32,
      53,46,49,54,56,55,57,101,45,49,50,32,53,46,50,56,52,56,52,101,45,49,50,32,53,
      46,53,57,55,52,101,45,49,50,32,54,46,52,51,49,55,57,101,45,49,50,10,32,32,55,
      46,55,49,52,48,51,101,45,49,50,32,56,46,57,50,51,55,55,101,45,49,50,32,49,46,
      49,53,54,48,50,101,45,49,49,32,49,46,52,52,52,50,49,101,45,49,49,32,49,46,55,
      54,54,48,57,101,45,49,49,32,50,46,49,52,54,57,53,101,45,49,49,32,50,46,52,53,
      56,53,54,101,45,49,49,10,32,32,50,46,55,49,51,57,52,101,45,49,49,32,50,46,57,
      48,49,52,55,101,45,49,49,32,51,46,48,54,50,50,53,101,45,49,49,32,51,46,50,49,
      52,55,55,101,45,49,49,32,51,46,51,56,54,57,57,101,45,49,49,32,51,46,53,49,53,
      49,54,101,45,49,49,32,51,46,54,53,51,53,57,101,45,49,49,10,32,32,51,46,57,50,
      53,52,55,101,45,49,49,32,52,46,49,51,50,55,56,101,45,49,49,32,52,46,53,51,52,
      49,53,101,45,49,49,32,53,46,48,52,56,57,49,101,45,49,49,32,53,46,51,57,52,55,
      101,45,49,49,32,53,46,55,54,53,48,49,101,45,49,49,32,54,46,51,57,56,49,57,101,
      45,49,49,10,32,32,55,46,49,54,53,57,49,101,45,49,49,32,55,46,54,49,54,49,55,
      101,45,49,49,32,56,46,51,50,52,49,52,101,45,49,49,32,56,46,55,50,54,56,49,101,
      45,49,49,32,57,46,50,56,53,49,54,101,45,49,49,32,56,46,57,53,53,49,50,101,45,
      49,49,32,57,46,55,51,52,53,49,101,45,49,49,10,32,32,49,46,48,48,55,56,56,101,
      45,49,48,32,49,46,48,55,56,49,49,101,45,49,48,32,49,46,49,54,50,51,55,101,45,
      49,48,32,49,46,50,51,56,52,54,101,45,49,48,32,49,46,51,50,48,52,52,101,45,49,
      48,32,49,46,52,48,50,57,51,101,45,49,48,32,49,46,52,57,48,49,101,45,49,48,10,
      32,32,49,46,53,57,52,49,55,101,45,49,48,32,49,46,54,57,51,54,52,101,45,49,48,
      32,49,46,56,49,49,53,56,101,45,49,48,32,49,46,57,48,52,50,57,101,45,49,48,32,
      50,46,48,54,55,48,49,101,45,49,48,32,50,46,49,55,52,51,51,101,45,49,48,32,50,
      46,51,49,54,49,56,101,45,49,48,10,32,32,50,46,54,56,54,48,56,101,45,49,48,32,
      51,46,50,57,55,51,101,45,49,48,32,52,46,48,50,54,49,54,101,45,49,48,32,53,46,
      49,53,50,52,101,45,49,48,32,54,46,53,53,53,49,52,101,45,49,48,32,56,46,54,53,
      56,52,101,45,49,48,32,49,46,48,56,48,49,53,101,45,48,57,10,32,32,49,46,52,51,
      52,56,101,45,48,57,32,49,46,57,54,54,54,101,45,48,57,32,50,46,52,48,53,50,53,
      101,45,48,57,32,50,46,57,54,48,52,55,101,45,48,57,32,51,46,56,48,52,51,101,
      45,48,57,32,52,46,54,51,53,50,51,101,45,48,57,32,53,46,53,52,56,52,50,101,45,
      48,57,10,32,32,54,46,54,57,48,48,49,101,45,48,57,32,55,46,57,51,54,56,57,101,
      45,48,57,32,57,46,49,49,56,51,50,101,45,48,57,32,49,46,48,51,57,48,54,101,45,
      48,56,32,49,46,49,55,54,53,57,101,45,48,56,32,49,46,51,52,56,48,56,101,45,48,
      56,32,49,46,53,54,50,48,53,101,45,48,56,10,32,32,49,46,56,51,48,48,49,101,45,
      48,56,32,50,46,49,48,49,55,49,101,45,48,56,32,50,46,52,52,48,50,49,101,45,48,
      56,32,50,46,55,55,56,57,51,101,45,48,56,32,51,46,49,52,57,55,57,101,45,48,56,
      32,51,46,53,57,55,49,51,101,45,48,56,32,52,46,49,49,50,54,52,101,45,48,56,10,
      32,32,52,46,53,51,49,101,45,48,56,32,53,46,48,50,57,53,53,101,45,48,56,32,53,
      46,52,55,52,54,55,101,45,48,56,32,53,46,57,53,48,51,53,101,45,48,56,32,54,46,
      52,49,56,55,52,101,45,48,56,32,54,46,56,55,50,50,52,101,45,48,56,32,55,46,51,
      48,51,55,50,101,45,48,56,10,32,32,55,46,55,48,54,54,49,101,45,48,56,32,56,46,
      48,55,53,50,57,101,45,48,56,32,56,46,52,48,52,54,101,45,48,56,32,56,46,54,57,
      48,56,50,101,45,48,56,32,56,46,57,51,49,54,56,101,45,48,56,32,57,46,49,50,52,
      55,53,101,45,48,56,32,57,46,50,54,57,55,53,101,45,48,56,10,32,32,57,46,51,54,
      54,56,54,101,45,48,56,32,57,46,52,49,54,51,55,101,45,48,56,32,57,46,52,49,57,
      52,57,101,45,48,56,32,57,46,51,55,56,57,51,101,45,48,56,32,57,46,50,57,55,52,
      53,101,45,48,56,32,57,46,49,55,56,51,56,101,45,48,56,32,57,46,48,50,53,48,51,
      101,45,48,56,10,32,32,56,46,56,52,48,56,56,101,45,48,56,32,56,46,54,50,57,48,
      56,101,45,48,56,32,56,46,51,57,51,53,51,101,45,48,56,32,56,46,49,51,55,55,49,
      101,45,48,56,32,55,46,56,54,53,50,57,101,45,48,56,32,55,46,53,55,57,53,101,
      45,48,56,32,55,46,50,56,51,51,57,101,45,48,56,10,32,32,54,46,57,55,57,56,52,
      101,45,48,56,32,54,46,54,55,49,55,50,101,45,48,56,32,54,46,51,54,49,54,57,101,
      45,48,56,32,54,46,48,53,49,55,55,101,45,48,56,32,53,46,55,52,52,49,57,101,45,
      48,56,32,53,46,52,52,48,54,56,101,45,48,56,32,53,46,49,52,50,53,55,101,45,48,
      56,10,32,32,52,46,57,49,53,51,55,101,45,48,56,32,52,46,54,57,50,57,101,45,48,
      56,32,52,46,52,55,53,54,49,101,45,48,56,32,52,46,50,54,51,56,51,101,45,48,56,
      32,52,46,48,53,55,56,56,101,45,48,56,32,51,46,56,51,50,55,56,101,45,48,56,32,
      51,46,53,53,57,51,53,101,45,48,56,10,32,32,51,46,50,57,57,50,50,101,45,48,56,
      32,51,46,48,53,50,54,50,101,45,48,56,32,50,46,56,49,57,54,53,101,45,48,56,32,
      50,46,54,48,48,48,57,101,45,48,56,32,50,46,51,57,51,56,49,101,45,48,56,32,50,
      46,50,48,48,54,49,101,45,48,56,32,50,46,48,50,48,48,54,101,45,48,56,10,32,32,
      49,46,56,53,49,55,54,101,45,48,56,32,49,46,54,57,53,50,49,101,45,48,56,32,49,
      46,53,52,57,56,56,101,45,48,56,32,49,46,52,49,53,50,55,101,45,48,56,32,49,46,
      50,57,48,56,53,101,45,48,56,32,49,46,49,55,54,48,51,101,45,48,56,32,49,46,48,
      55,48,50,56,101,45,48,56,10,32,32,57,46,55,51,48,50,101,45,48,57,32,56,46,56,
      51,55,48,56,101,45,48,57,32,56,46,48,49,56,49,49,101,45,48,57,32,55,46,50,54,
      56,50,50,101,45,48,57,32,54,46,53,56,50,53,57,101,45,48,57,32,53,46,57,53,54,
      52,52,101,45,48,57,32,53,46,51,56,53,52,54,101,45,48,57,10,32,32,52,46,56,54,
      53,50,51,101,45,48,57,32,52,46,51,57,49,55,52,101,45,48,57,32,51,46,57,54,49,
      50,53,101,45,48,57,32,51,46,53,55,48,50,57,101,45,48,57,32,51,46,50,49,53,54,
      51,101,45,48,57,32,50,46,56,57,52,50,50,101,45,48,57,32,50,46,54,48,51,49,55,
      101,45,48,57,10,32,32,50,46,51,51,57,56,54,101,45,48,57,32,50,46,49,48,49,57,
      49,101,45,48,57,32,49,46,56,56,55,48,52,101,45,48,57,32,49,46,54,57,51,49,54,
      101,45,48,57,32,49,46,53,49,56,51,54,101,45,48,57,32,49,46,51,54,48,56,55,101,
      45,48,57,32,49,46,50,49,57,48,56,101,45,48,57,10,32,32,57,46,55,54,56,49,50,
      101,45,49,48,32,55,46,56,49,49,56,50,101,45,49,48,32,54,46,50,51,54,48,54,101,
      45,49,48,32,52,46,57,54,57,55,52,101,45,49,48,32,51,46,57,53,52,50,52,101,45,
      49,48,32,51,46,49,52,49,51,55,101,45,49,48,32,50,46,52,57,50,48,53,101,45,49,
      48,10,32,32,49,46,57,55,52,50,53,101,45,49,48,32,49,46,53,54,50,48,52,101,45,
      49,48,32,49,46,50,51,52,51,56,101,45,49,48,32,57,46,55,52,50,57,56,101,45,49,
      49,32,55,46,54,56,49,55,50,101,45,49,49,32,54,46,48,53,48,50,49,101,45,49,49,
      32,52,46,55,54,48,53,49,101,45,49,49,10,32,32,51,46,55,52,50,50,51,101,45,49,
      49,32,50,46,57,51,57,49,52,101,45,49,49,32,50,46,51,48,54,52,101,45,49,49,32,
      49,46,56,48,56,51,54,101,45,49,49,32,49,46,52,49,54,55,53,101,45,49,49,32,49,
      46,49,48,57,49,101,45,49,49,32,56,46,54,55,54,52,50,101,45,49,50,10,32,32,54,
      46,55,56,50,56,51,101,45,49,50,32,53,46,50,57,56,57,50,101,45,49,50,32,52,46,
      49,51,55,48,54,101,45,49,50,32,51,46,50,50,56,48,53,101,45,49,50,32,50,46,53,
      49,55,51,51,101,45,49,50,32,49,46,57,54,49,57,54,101,45,49,50,32,49,46,53,50,
      56,51,49,101,45,49,50,10,32,32,49,46,49,56,57,57,51,101,45,49,50,32,48,114,
      49,55,51,32,54,46,51,56,49,53,49,101,45,50,52,32,49,46,48,53,49,52,54,101,45,
      50,51,32,49,46,57,53,54,53,101,45,50,51,32,52,46,49,52,54,55,101,45,50,51,32,
      49,46,50,52,53,51,49,101,45,50,50,32,52,46,49,56,51,53,50,101,45,50,50,10,32,
      32,49,46,51,56,51,50,49,101,45,50,49,32,52,46,52,48,54,51,53,101,45,50,49,32,
      56,46,52,56,49,50,50,101,45,50,49,32,57,46,57,51,55,54,51,101,45,50,49,32,56,
      46,48,48,50,50,57,101,45,50,49,32,54,46,49,57,56,56,50,101,45,50,49,32,53,46,
      49,49,56,54,49,101,45,50,49,10,32,32,52,46,55,55,51,48,50,101,45,50,49,32,53,
      46,50,51,48,57,53,101,45,50,49,32,55,46,48,52,51,101,45,50,49,32,49,46,50,50,
      53,56,57,101,45,50,48,32,51,46,49,48,48,54,54,101,45,50,48,32,57,46,56,52,52,
      54,49,101,45,50,48,32,49,46,48,48,53,56,101,45,49,56,10,32,32,49,46,56,48,53,
      57,56,101,45,49,52,32,49,46,57,57,54,50,101,45,49,52,32,49,46,54,49,48,49,54,
      101,45,49,52,32,53,46,48,49,53,57,51,101,45,49,57,32,50,46,56,50,56,53,50,101,
      45,49,57,32,50,46,48,48,55,57,50,101,45,49,57,32,49,46,55,56,49,56,101,45,49,
      57,10,32,32,49,46,57,56,49,48,54,101,45,49,57,32,50,46,54,54,57,48,54,101,45,
      49,57,32,52,46,50,53,49,55,101,45,49,57,32,56,46,50,50,53,57,49,101,45,49,57,
      32,51,46,51,56,56,55,57,101,45,49,52,32,53,46,51,56,55,48,57,101,45,49,52,32,
      56,46,51,51,51,49,52,101,45,49,52,10,32,32,49,46,50,50,51,52,52,101,45,49,51,
      32,49,46,57,50,48,57,52,101,45,49,51,32,51,46,53,56,49,51,50,101,45,49,51,32,
      53,46,55,55,53,54,54,101,45,49,51,32,55,46,54,55,49,56,55,101,45,49,51,32,56,
      46,56,57,48,56,52,101,45,49,51,32,49,46,48,54,55,57,50,101,45,49,50,10,32,32,
      49,46,50,57,57,50,55,101,45,49,50,32,49,46,52,57,54,51,54,101,45,49,50,32,49,
      46,53,54,53,50,52,101,45,49,50,32,49,46,53,55,55,50,101,45,49,50,32,49,46,54,
      55,48,52,55,101,45,49,50,32,49,46,57,55,56,51,51,101,45,49,50,32,50,46,52,57,
      57,55,49,101,45,49,50,10,32,32,51,46,48,50,57,51,57,101,45,49,50,32,52,46,50,
      56,53,55,56,101,45,49,50,32,53,46,56,48,53,56,57,101,45,49,50,32,55,46,54,55,
      56,57,101,45,49,50,32,49,46,48,48,56,55,50,101,45,49,49,32,49,46,50,49,51,48,
      55,101,45,49,49,32,49,46,51,55,52,53,101,45,49,49,10,32,32,49,46,52,56,52,48,
      51,101,45,49,49,32,49,46,53,55,51,55,101,45,49,49,32,49,46,54,53,56,54,101,
      45,49,49,32,49,46,55,53,53,50,56,101,45,49,49,32,49,46,56,50,55,57,49,101,45,
      49,49,32,49,46,57,48,57,49,56,101,45,49,49,32,50,46,48,55,57,50,101,45,49,49,
      10,32,32,50,46,50,49,55,50,49,101,45,49,49,32,50,46,52,57,54,56,52,101,45,49,
      49,32,50,46,56,54,52,53,56,101,45,49,49,32,51,46,49,49,49,50,50,101,45,49,49,
      32,51,46,51,55,49,49,51,101,45,49,49,32,51,46,56,48,48,55,53,101,45,49,49,32,
      52,46,50,57,55,53,56,101,45,49,49,10,32,32,52,46,53,55,53,48,52,101,45,49,49,
      32,52,46,57,57,56,55,101,45,49,49,32,53,46,50,51,50,56,55,101,45,49,49,32,53,
      46,53,53,54,54,51,101,45,49,49,32,53,46,51,55,56,55,49,101,45,49,49,32,53,46,
      56,51,49,56,56,101,45,49,49,32,54,46,48,50,56,51,101,45,49,49,10,32,32,54,46,
      52,50,50,52,53,101,45,49,49,32,54,46,56,56,53,52,49,101,45,49,49,32,55,46,50,
      57,53,52,53,101,45,49,49,32,55,46,55,50,57,57,101,45,49,49,32,56,46,49,54,48,
      54,50,101,45,49,49,32,56,46,54,48,57,55,50,101,45,49,49,32,57,46,49,51,56,57,
      53,101,45,49,49,10,32,32,57,46,54,51,56,57,52,101,45,49,49,32,49,46,48,50,50,
      53,54,101,45,49,48,32,49,46,48,54,56,50,56,101,45,49,48,32,49,46,49,52,55,56,
      52,101,45,49,48,32,49,46,49,57,57,57,49,101,45,49,48,32,49,46,50,54,56,51,54,
      101,45,49,48,32,49,46,52,52,53,51,54,101,45,49,48,10,32,32,49,46,55,51,53,49,
      54,101,45,49,48,32,50,46,48,55,57,49,52,101,45,49,48,32,50,46,54,49,49,50,49,
      101,45,49,48,32,51,46,50,55,56,49,49,101,45,49,48,32,52,46,50,56,57,56,52,101,
      45,49,48,32,53,46,51,51,53,54,49,101,45,49,48,32,54,46,57,50,49,57,55,101,45,
      49,48,10,32,32,57,46,53,55,54,54,54,101,45,49,48,32,49,46,49,56,52,51,51,101,
      45,48,57,32,49,46,52,55,56,54,57,101,45,48,57,32,49,46,57,51,56,56,54,101,45,
      48,57,32,50,46,52,48,52,51,57,101,45,48,57,32,50,46,57,50,54,56,57,101,45,48,
      57,32,51,46,53,57,49,52,101,45,48,57,10,32,32,52,46,51,50,54,50,51,101,45,48,
      57,32,53,46,48,50,54,51,49,101,45,48,57,32,53,46,55,56,50,55,53,101,45,48,57,
      32,54,46,53,57,57,50,53,101,45,48,57,32,55,46,54,49,50,52,55,101,45,48,57,32,
      56,46,56,54,55,55,50,101,45,48,57,32,49,46,48,52,50,54,51,101,45,48,56,10,32,
      32,49,46,49,57,57,55,57,101,45,48,56,32,49,46,51,57,53,51,49,101,45,48,56,32,
      49,46,53,57,49,53,55,101,45,48,56,32,49,46,56,48,55,55,49,101,45,48,56,32,50,
      46,48,55,48,57,55,101,45,48,56,32,50,46,51,55,55,57,54,101,45,48,56,32,50,46,
      54,51,48,53,57,101,45,48,56,10,32,32,50,46,57,51,54,51,55,101,45,48,56,32,51,
      46,50,49,52,49,101,45,48,56,32,51,46,53,49,54,51,52,101,45,48,56,32,51,46,56,
      49,57,56,56,101,45,48,56,32,52,46,49,50,48,48,57,101,45,48,56,32,52,46,52,49,
      49,53,56,101,45,48,56,32,52,46,54,57,48,52,52,101,45,48,56,10,32,32,52,46,57,
      53,50,56,49,101,45,48,56,32,53,46,49,57,53,49,50,101,45,48,56,32,53,46,52,49,
      51,57,50,101,45,48,56,32,53,46,54,48,54,56,49,101,45,48,56,32,53,46,55,55,49,
      52,56,101,45,48,56,32,53,46,57,48,54,57,49,101,45,48,56,32,54,46,48,49,50,48,
      57,101,45,48,56,10,32,32,54,46,48,56,55,50,51,101,45,48,56,32,54,46,49,51,50,
      52,54,101,45,48,56,32,54,46,49,52,56,50,101,45,48,56,32,54,46,49,51,53,55,51,
      101,45,48,56,32,54,46,48,57,54,53,53,101,45,48,56,32,54,46,48,51,50,52,56,101,
      45,48,56,32,53,46,57,52,53,54,49,101,45,48,56,10,32,32,53,46,56,51,56,48,56,
      101,45,48,56,32,53,46,55,49,50,49,49,101,45,48,56,32,53,46,53,54,57,56,56,101,
      45,48,56,32,53,46,52,49,51,52,51,101,45,48,56,32,53,46,50,52,52,56,52,101,45,
      48,56,32,53,46,48,54,54,53,51,101,45,48,56,32,52,46,56,56,48,52,50,101,45,48,
      56,10,32,32,52,46,54,56,56,52,54,101,45,48,56,32,52,46,52,57,49,57,101,45,48,
      56,32,52,46,50,57,50,57,52,101,45,48,56,32,52,46,48,57,51,50,101,45,48,56,32,
      51,46,56,57,52,48,49,101,45,48,56,32,51,46,54,57,54,53,50,101,45,48,56,32,51,
      46,53,52,52,56,101,45,48,56,10,32,32,51,46,51,57,53,49,52,101,45,48,56,32,51,
      46,50,52,55,57,57,101,45,48,56,32,51,46,49,48,51,55,51,101,45,48,56,32,50,46,
      57,54,50,54,53,101,45,48,56,32,50,46,56,48,55,53,54,101,45,48,56,32,50,46,54,
      49,55,57,54,101,45,48,56,32,50,46,52,51,54,51,50,101,45,48,56,10,32,32,50,46,
      50,54,50,56,56,101,45,48,56,32,50,46,48,57,55,57,57,101,45,48,56,32,49,46,57,
      52,49,55,50,101,45,48,56,32,49,46,55,57,52,48,51,101,45,48,56,32,49,46,54,53,
      52,57,51,101,45,48,56,32,49,46,53,50,52,50,54,101,45,48,56,32,49,46,52,48,49,
      56,52,101,45,48,56,10,32,32,49,46,50,56,55,52,52,101,45,48,56,32,49,46,49,56,
      48,55,54,101,45,48,56,32,49,46,48,56,49,53,49,101,45,48,56,32,57,46,56,57,51,
      56,101,45,48,57,32,57,46,48,52,48,48,55,101,45,48,57,32,56,46,50,53,48,52,56,
      101,45,48,57,32,55,46,53,50,49,52,53,101,45,48,57,10,32,32,54,46,56,52,57,52,
      54,101,45,48,57,32,54,46,50,51,49,48,56,101,45,48,57,32,53,46,54,54,50,57,51,
      101,45,48,57,32,53,46,49,52,49,54,56,101,45,48,57,32,52,46,54,54,51,57,56,101,
      45,48,57,32,52,46,50,50,54,57,51,101,45,48,57,32,51,46,56,50,55,52,51,101,45,
      48,57,10,32,32,51,46,52,54,50,55,56,101,45,48,57,32,51,46,49,51,48,51,52,101,
      45,48,57,32,50,46,56,50,55,53,57,101,45,48,57,32,50,46,53,53,50,48,55,101,45,
      48,57,32,50,46,51,48,49,55,51,101,45,48,57,32,50,46,48,55,52,53,101,45,48,57,
      32,49,46,56,54,56,52,53,101,45,48,57,10,32,32,49,46,54,56,49,55,54,101,45,48,
      57,32,49,46,53,49,50,55,55,101,45,48,57,32,49,46,51,53,57,57,50,101,45,48,57,
      32,49,46,50,50,49,55,57,101,45,48,57,32,49,46,48,57,55,48,55,101,45,48,57,32,
      57,46,56,52,53,50,52,101,45,49,48,32,55,46,57,49,54,49,101,45,49,48,10,32,32,
      54,46,51,53,49,57,49,101,45,49,48,32,53,46,48,56,55,49,50,101,45,49,48,32,52,
      46,48,54,54,53,52,101,45,49,48,32,51,46,50,52,53,49,53,101,45,49,48,32,50,46,
      53,56,53,53,101,45,49,48,32,50,46,48,53,54,55,52,101,45,49,48,32,49,46,54,51,
      51,55,51,101,45,49,48,10,32,32,49,46,50,57,53,57,53,101,45,49,48,32,49,46,48,
      50,54,54,55,101,45,49,48,32,56,46,49,50,51,51,52,101,45,49,49,32,54,46,52,49,
      57,56,57,101,45,49,49,32,53,46,48,54,56,48,50,101,45,49,49,32,51,46,57,57,54,
      54,101,45,49,49,32,51,46,49,52,56,52,50,101,45,49,49,10,32,32,50,46,52,55,55,
      55,52,101,45,49,49,32,49,46,57,52,56,49,50,101,45,49,49,32,49,46,53,51,48,51,
      54,101,45,49,49,32,49,46,50,48,49,49,57,101,45,49,49,32,57,46,52,50,48,55,52,
      101,45,49,50,32,55,46,51,56,50,57,49,101,45,49,50,32,53,46,55,56,49,53,56,101,
      45,49,50,10,32,32,52,46,53,50,52,52,50,101,45,49,50,32,51,46,53,51,56,50,52,
      101,45,49,50,32,50,46,55,54,53,50,50,101,45,49,50,32,50,46,49,53,57,55,54,101,
      45,49,50,32,49,46,54,56,53,56,53,101,45,49,50,32,49,46,51,49,53,49,56,101,45,
      49,50,32,49,46,48,50,53,52,55,101,45,49,50,10,32,32,48,114,49,55,51,32,56,46,
      52,51,54,49,51,101,45,50,53,32,49,46,52,56,56,50,101,45,50,52,32,51,46,48,49,
      48,55,56,101,45,50,52,32,55,46,48,50,48,51,51,101,45,50,52,32,50,46,52,48,48,
      56,49,101,45,50,51,32,57,46,49,49,48,54,52,101,45,50,51,32,51,46,51,50,56,50,
      55,101,45,50,50,10,32,32,49,46,49,52,55,50,55,101,45,50,49,32,50,46,50,57,48,
      57,53,101,45,50,49,32,50,46,54,57,55,52,50,101,45,50,49,32,50,46,49,51,52,57,
      56,101,45,50,49,32,49,46,54,50,48,55,49,101,45,50,49,32,49,46,51,49,53,50,51,
      101,45,50,49,32,49,46,50,49,52,54,50,101,45,50,49,10,32,32,49,46,51,51,50,56,
      101,45,50,49,32,49,46,56,50,49,53,54,101,45,50,49,32,51,46,50,54,57,50,50,101,
      45,50,49,32,56,46,54,55,55,56,52,101,45,50,49,32,50,46,57,48,54,48,55,101,45,
      50,48,32,51,46,49,57,56,51,50,101,45,49,57,32,55,46,48,52,53,50,51,101,45,49,
      53,10,32,32,55,46,55,56,57,51,101,45,49,53,32,54,46,50,52,55,49,50,101,45,49,
      53,32,49,46,53,54,48,54,56,101,45,49,57,32,56,46,53,54,52,54,53,101,45,50,48,
      32,53,46,57,54,55,57,53,101,45,50,48,32,53,46,50,52,55,52,53,101,45,50,48,32,
      53,46,56,52,48,55,51,101,45,50,48,10,32,32,55,46,57,52,57,55,55,101,45,50,48,
      32,49,46,50,56,56,50,55,101,45,49,57,32,50,46,53,53,51,101,45,49,57,32,49,46,
      51,49,53,49,101,45,49,52,32,50,46,49,48,55,56,54,101,45,49,52,32,51,46,50,57,
      52,51,54,101,45,49,52,32,52,46,56,57,55,52,50,101,45,49,52,10,32,32,55,46,56,
      52,51,53,54,101,45,49,52,32,49,46,53,49,56,50,101,45,49,51,32,50,46,53,51,57,
      55,54,101,45,49,51,32,51,46,52,53,49,50,49,101,45,49,51,32,52,46,48,52,48,54,
      49,101,45,49,51,32,52,46,57,49,50,52,53,101,45,49,51,32,54,46,48,55,48,52,52,
      101,45,49,51,10,32,32,55,46,48,53,54,48,56,101,45,49,51,32,55,46,51,54,51,49,
      50,101,45,49,51,32,55,46,51,54,56,54,56,101,45,49,51,32,55,46,56,48,52,52,50,
      101,45,49,51,32,57,46,51,55,54,54,55,101,45,49,51,32,49,46,50,49,53,51,57,101,
      45,49,50,32,49,46,53,48,55,56,54,101,45,49,50,10,32,32,50,46,50,51,51,56,50,
      101,45,49,50,32,51,46,49,54,51,55,101,45,49,50,32,52,46,51,55,54,54,49,101,
      45,49,50,32,54,46,48,50,50,53,54,101,45,49,50,32,55,46,52,54,55,56,52,101,45,
      49,50,32,56,46,54,48,52,57,101,45,49,50,32,57,46,51,53,48,50,57,101,45,49,50,
      10,32,32,57,46,57,52,55,52,101,45,49,50,32,49,46,48,53,49,50,52,101,45,49,49,
      32,49,46,49,49,53,57,52,101,45,49,49,32,49,46,49,54,52,56,50,101,45,49,49,32,
      49,46,50,50,48,54,57,101,45,49,49,32,49,46,51,52,49,55,49,101,45,49,49,32,49,
      46,52,52,51,52,49,101,45,49,49,10,32,32,49,46,54,53,53,55,53,101,45,49,49,32,
      49,46,57,52,50,54,55,101,45,49,49,32,50,46,49,51,55,57,51,101,45,49,49,32,50,
      46,51,52,52,55,50,101,45,49,49,32,50,46,54,56,54,51,56,101,45,49,49,32,51,46,
      48,55,56,54,52,101,45,49,49,32,51,46,50,57,52,50,55,101,45,49,49,10,32,32,51,
      46,54,49,57,50,54,101,45,49,49,32,51,46,55,57,53,56,53,101,45,49,49,32,52,46,
      48,51,55,57,57,101,45,49,49,32,51,46,56,57,51,51,57,101,45,49,49,32,52,46,50,
      51,53,50,101,45,49,49,32,52,46,51,56,50,50,50,101,45,49,49,32,52,46,54,55,53,
      49,52,101,45,49,49,10,32,32,53,46,48,49,53,55,50,101,45,49,49,32,53,46,51,49,
      52,52,101,45,49,49,32,53,46,54,50,55,56,55,101,45,49,49,32,53,46,57,51,53,56,
      54,101,45,49,49,32,54,46,50,53,52,51,101,45,49,49,32,54,46,54,50,54,51,101,
      45,49,49,32,54,46,57,55,52,56,51,101,45,49,49,10,32,32,55,46,51,56,48,53,57,
      101,45,49,49,32,55,46,54,57,52,54,51,101,45,49,49,32,56,46,50,51,55,51,49,101,
      45,49,49,32,56,46,53,57,48,50,101,45,49,49,32,57,46,48,53,49,55,101,45,49,49,
      32,49,46,48,50,51,52,56,101,45,49,48,32,49,46,50,49,52,57,56,101,45,49,48,10,
      32,32,49,46,52,52,48,50,101,45,49,48,32,49,46,55,56,54,53,54,101,45,49,48,32,
      50,46,50,50,48,48,49,101,45,49,48,32,50,46,56,55,57,48,56,101,45,49,48,32,51,
      46,53,54,51,56,54,101,45,49,48,32,52,46,53,53,49,57,53,101,45,49,48,32,54,46,
      50,56,56,53,53,101,45,49,48,10,32,32,55,46,56,48,53,56,49,101,45,49,48,32,57,
      46,56,48,51,52,51,101,45,49,48,32,49,46,50,57,56,48,50,101,45,48,57,32,49,46,
      54,50,52,53,55,101,45,48,57,32,49,46,57,57,54,50,51,101,45,48,57,32,50,46,52,
      55,52,55,54,101,45,48,57,32,51,46,48,48,57,49,50,101,45,48,57,10,32,32,51,46,
      53,50,50,50,50,101,45,48,57,32,52,46,48,55,56,54,53,101,45,48,57,32,52,46,54,
      55,57,52,51,101,45,48,57,32,53,46,52,50,53,50,50,101,45,48,57,32,54,46,51,52,
      55,50,52,101,45,48,57,32,55,46,52,56,57,49,52,101,45,48,57,32,56,46,54,51,54,
      53,52,101,45,48,57,10,32,32,49,46,48,48,53,57,57,101,45,48,56,32,49,46,49,52,
      56,55,53,101,45,48,56,32,49,46,51,48,54,50,52,101,45,48,56,32,49,46,52,57,56,
      55,53,101,45,48,56,32,49,46,55,50,52,55,101,45,48,56,32,49,46,57,49,49,57,53,
      101,45,48,56,32,50,46,49,52,48,52,57,101,45,48,56,10,32,32,50,46,51,52,57,57,
      51,101,45,48,56,32,50,46,53,55,57,56,57,101,45,48,56,32,50,46,56,49,51,48,56,
      101,45,48,56,32,51,46,48,52,53,54,53,101,45,48,56,32,51,46,50,55,52,51,52,101,
      45,48,56,32,51,46,52,57,54,48,56,101,45,48,56,32,51,46,55,48,55,55,52,101,45,
      48,56,10,32,32,51,46,57,48,54,49,54,101,45,48,56,32,52,46,48,56,56,52,50,101,
      45,48,56,32,52,46,50,53,50,52,53,101,45,48,56,32,52,46,51,57,54,52,54,101,45,
      48,56,32,52,46,53,49,57,49,56,101,45,48,56,32,52,46,54,49,57,50,53,101,45,48,
      56,32,52,46,54,57,54,52,52,101,45,48,56,10,32,32,52,46,55,53,48,53,56,101,45,
      48,56,32,52,46,55,56,49,55,56,101,45,48,56,32,52,46,55,57,48,56,101,45,48,56,
      32,52,46,55,55,56,54,101,45,48,56,32,52,46,55,52,54,50,53,101,45,48,56,32,52,
      46,54,57,53,49,51,101,45,48,56,32,52,46,54,50,54,53,53,101,45,48,56,10,32,32,
      52,46,53,52,50,50,101,45,48,56,32,52,46,52,52,51,54,54,101,45,48,56,32,52,46,
      51,51,50,55,101,45,48,56,32,52,46,50,49,48,57,52,101,45,48,56,32,52,46,48,56,
      48,48,50,101,45,48,56,32,51,46,57,52,49,53,49,101,45,48,56,32,51,46,55,57,55,
      49,54,101,45,48,56,10,32,32,51,46,54,52,56,52,54,101,45,48,56,32,51,46,52,57,
      54,55,52,101,45,48,56,32,51,46,51,52,51,49,53,101,45,48,56,32,51,46,49,56,56,
      56,53,101,45,48,56,32,51,46,48,51,52,57,54,101,45,48,56,32,50,46,57,49,54,49,
      101,45,48,56,32,50,46,55,57,56,51,52,101,45,48,56,10,32,32,50,46,54,56,50,49,
      50,101,45,48,56,32,50,46,53,54,55,55,51,101,45,48,56,32,50,46,52,53,53,52,55,
      101,45,48,56,32,50,46,51,51,49,53,53,101,45,48,56,32,50,46,49,55,57,51,54,101,
      45,48,56,32,50,46,48,51,50,57,52,101,45,48,56,32,49,46,56,57,50,54,101,45,48,
      56,10,32,32,49,46,55,53,56,54,49,101,45,48,56,32,49,46,54,51,49,49,54,101,45,
      48,56,32,49,46,53,49,48,51,51,101,45,48,56,32,49,46,51,57,54,49,52,101,45,48,
      56,32,49,46,50,56,56,53,101,45,48,56,32,49,46,49,56,55,51,52,101,45,48,56,32,
      49,46,48,57,50,53,49,101,45,48,56,10,32,32,49,46,48,48,51,56,54,101,45,48,56,
      32,57,46,50,49,49,54,50,101,45,48,57,32,56,46,52,52,49,56,56,101,45,48,57,32,
      55,46,55,50,54,56,55,101,45,48,57,32,55,46,48,54,51,53,56,101,45,48,57,32,54,
      46,52,52,57,55,50,101,45,48,57,32,53,46,56,56,50,53,56,101,45,48,57,10,32,32,
      53,46,51,53,57,53,53,101,45,48,57,32,52,46,56,55,55,57,57,101,45,48,57,32,52,
      46,52,51,53,51,50,101,45,48,57,32,52,46,48,50,56,57,51,101,45,48,57,32,51,46,
      54,53,54,52,56,101,45,48,57,32,51,46,51,49,53,52,57,101,45,48,57,32,51,46,48,
      48,51,55,52,101,45,48,57,10,32,32,50,46,55,49,57,48,51,101,45,48,57,32,50,46,
      52,53,57,51,49,101,45,48,57,32,50,46,50,50,50,54,51,101,45,48,57,32,50,46,48,
      48,55,50,50,101,45,48,57,32,49,46,56,49,49,51,56,101,45,48,57,32,49,46,54,51,
      51,53,101,45,48,57,32,49,46,52,55,50,48,57,101,45,48,57,10,32,32,49,46,51,50,
      53,55,54,101,45,48,57,32,49,46,49,57,51,50,101,45,48,57,32,49,46,48,55,51,50,
      51,101,45,48,57,32,57,46,54,52,55,51,57,101,45,49,48,32,56,46,54,54,55,49,49,
      101,45,49,48,32,54,46,57,56,51,52,55,101,45,49,48,32,53,46,54,49,52,56,101,
      45,49,48,10,32,32,52,46,53,48,53,49,101,45,49,48,32,51,46,54,48,55,56,57,101,
      45,49,48,32,50,46,56,56,52,50,54,101,45,49,48,32,50,46,51,48,49,56,56,101,45,
      49,48,32,49,46,56,51,52,49,56,101,45,49,48,32,49,46,52,53,57,51,50,101,45,49,
      48,32,49,46,49,53,57,51,57,101,45,49,48,10,32,32,57,46,49,57,56,52,51,101,45,
      49,49,32,55,46,50,56,56,53,55,101,45,49,49,32,53,46,55,54,56,50,56,101,45,49,
      49,32,52,46,53,53,57,56,49,101,45,49,49,32,51,46,54,48,48,52,57,101,45,49,49,
      32,50,46,56,51,57,56,54,101,45,49,49,32,50,46,50,51,55,54,54,101,45,49,49,10,
      32,32,49,46,55,54,49,53,101,45,49,49,32,49,46,51,56,53,52,49,101,45,49,49,32,
      49,46,48,56,56,54,56,101,45,49,49,32,56,46,53,52,55,57,101,45,49,50,32,54,46,
      55,48,54,49,51,101,45,49,50,32,53,46,50,53,55,49,101,45,49,50,32,52,46,49,49,
      56,49,53,101,45,49,50,10,32,32,51,46,50,50,51,55,49,101,45,49,50,32,50,46,53,
      50,49,56,49,101,45,49,50,32,49,46,57,55,49,52,54,101,45,49,50,32,49,46,53,52,
      48,50,55,101,45,49,50,32,49,46,50,48,50,54,54,101,45,49,50,32,57,46,51,56,53,
      51,50,101,45,49,51,32,48,114,49,55,51,32,49,46,51,48,54,57,56,101,45,50,53,
      10,32,32,50,46,51,55,53,50,51,101,45,50,53,32,52,46,57,56,52,57,54,101,45,50,
      53,32,49,46,50,49,51,54,50,101,45,50,52,32,52,46,52,48,54,53,50,101,45,50,52,
      32,49,46,55,56,51,48,49,101,45,50,51,32,54,46,57,49,54,49,55,101,45,50,51,32,
      50,46,53,50,48,54,51,101,45,50,50,10,32,32,53,46,49,56,52,49,49,101,45,50,50,
      32,54,46,49,50,56,53,52,101,45,50,50,32,52,46,55,56,50,48,55,101,45,50,50,32,
      51,46,53,55,50,51,51,101,45,50,50,32,50,46,56,54,49,48,55,101,45,50,50,32,50,
      46,54,50,51,50,55,101,45,50,50,32,50,46,56,56,49,48,56,101,45,50,50,10,32,32,
      51,46,57,56,50,48,52,101,45,50,50,32,55,46,51,49,57,57,54,101,45,50,50,32,50,
      46,48,50,53,51,54,101,45,50,49,32,55,46,49,51,57,49,101,45,50,49,32,56,46,52,
      57,56,49,51,101,45,50,48,32,50,46,51,53,53,53,57,101,45,49,53,32,50,46,54,48,
      53,56,52,101,45,49,53,10,32,32,50,46,48,53,56,48,49,101,45,49,53,32,52,46,48,
      53,51,55,51,101,45,50,48,32,50,46,49,54,48,50,51,101,45,50,48,32,49,46,52,55,
      54,51,50,101,45,50,48,32,49,46,50,56,54,48,53,101,45,50,48,32,49,46,52,51,51,
      48,54,101,45,50,48,32,49,46,57,55,48,57,101,45,50,48,10,32,32,51,46,50,53,49,
      55,49,101,45,50,48,32,54,46,54,49,51,48,50,101,45,50,48,32,52,46,51,51,53,55,
      53,101,45,49,53,32,55,46,48,57,51,50,52,101,45,49,53,32,49,46,49,50,57,54,52,
      101,45,49,52,32,49,46,55,48,56,55,54,101,45,49,52,32,50,46,55,57,57,52,57,101,
      45,49,52,10,32,32,53,46,54,50,53,48,52,101,45,49,52,32,57,46,55,52,49,48,49,
      101,45,49,52,32,49,46,51,53,50,51,52,101,45,49,51,32,49,46,53,57,56,55,49,101,
      45,49,51,32,49,46,57,54,54,49,53,101,45,49,51,32,50,46,52,54,54,50,101,45,49,
      51,32,50,46,56,57,50,50,54,101,45,49,51,10,32,32,51,46,48,49,49,48,53,101,45,
      49,51,32,50,46,57,57,51,53,49,101,45,49,51,32,51,46,49,55,48,53,50,101,45,49,
      51,32,51,46,56,54,50,54,53,101,45,49,51,32,53,46,49,51,51,51,56,101,45,49,51,
      32,54,46,53,49,57,48,52,101,45,49,51,32,49,46,48,49,50,49,57,101,45,49,50,10,
      32,32,49,46,53,48,49,57,55,101,45,49,50,32,50,46,49,56,49,48,57,101,45,49,50,
      32,51,46,49,54,48,51,50,101,45,49,50,32,52,46,48,53,56,48,57,101,45,49,50,32,
      52,46,55,54,56,48,50,101,45,49,50,32,53,46,50,49,57,57,49,101,45,49,50,32,53,
      46,53,55,53,55,55,101,45,49,50,10,32,32,53,46,57,49,50,52,55,101,45,49,50,32,
      54,46,51,48,48,53,56,101,45,49,50,32,54,46,53,57,53,56,55,101,45,49,50,32,54,
      46,57,52,49,50,57,101,45,49,50,32,55,46,55,49,52,55,56,101,45,49,50,32,56,46,
      51,56,55,51,53,101,45,49,50,32,57,46,56,51,57,55,56,101,45,49,50,10,32,32,49,
      46,49,56,55,49,55,101,45,49,49,32,49,46,51,50,56,55,55,101,45,49,49,32,49,46,
      52,56,48,55,57,101,45,49,49,32,49,46,55,51,52,55,52,101,45,49,49,32,50,46,48,
      50,56,50,55,101,45,49,49,32,50,46,49,56,56,56,55,101,45,49,49,32,50,46,52,50,
      57,101,45,49,49,10,32,32,50,46,53,53,55,53,52,101,45,49,49,32,50,46,55,51,49,
      55,56,101,45,49,49,32,50,46,54,49,49,53,52,101,45,49,49,32,50,46,56,54,48,52,
      53,101,45,49,49,32,50,46,57,54,55,49,50,101,45,49,49,32,51,46,49,55,56,55,51,
      101,45,49,49,32,51,46,52,50,51,48,57,101,45,49,49,10,32,32,51,46,54,51,53,55,
      57,101,45,49,49,32,51,46,56,53,55,51,52,101,45,49,49,32,52,46,48,55,51,51,49,
      101,45,49,49,32,52,46,50,57,52,56,51,101,45,49,49,32,52,46,53,53,49,52,55,101,
      45,49,49,32,52,46,55,56,57,56,56,101,45,49,49,32,53,46,48,54,53,49,51,101,45,
      49,49,10,32,32,53,46,50,55,54,53,57,101,45,49,49,32,53,46,54,51,57,48,50,101,
      45,49,49,32,53,46,56,55,50,56,101,45,49,49,32,54,46,49,55,54,52,56,101,45,49,
      49,32,54,46,57,52,53,55,56,101,45,49,49,32,56,46,49,55,48,51,51,101,45,49,49,
      32,57,46,53,56,57,49,54,101,45,49,49,10,32,32,49,46,49,55,52,53,53,101,45,49,
      48,32,49,46,52,52,50,50,55,101,45,49,48,32,49,46,56,52,56,50,57,101,45,49,48,
      32,50,46,50,55,48,56,52,101,45,49,48,32,50,46,56,53,49,57,49,101,45,49,48,32,
      51,46,57,48,57,57,50,101,45,49,48,32,52,46,56,53,56,51,53,101,45,49,48,10,32,
      32,54,46,49,50,54,48,51,101,45,49,48,32,56,46,49,55,57,52,50,101,45,49,48,32,
      49,46,48,51,51,48,51,101,45,48,57,32,49,46,50,56,49,54,101,45,48,57,32,49,46,
      54,48,54,54,54,101,45,48,57,32,49,46,57,55,52,53,52,101,45,48,57,32,50,46,51,
      51,48,57,57,101,45,48,57,10,32,32,50,46,55,49,57,57,57,101,45,48,57,32,51,46,
      49,52,49,57,49,101,45,48,57,32,51,46,54,54,54,52,55,101,45,48,57,32,52,46,51,
      49,52,51,56,101,45,48,57,32,53,46,49,49,52,55,55,101,45,48,57,32,53,46,57,49,
      54,56,53,101,45,48,57,32,54,46,57,48,57,54,51,101,45,48,57,10,32,32,55,46,57,
      48,51,53,51,101,45,48,57,32,56,46,57,57,57,57,51,101,45,48,57,32,49,46,48,51,
      52,52,101,45,48,56,32,49,46,49,57,51,48,54,101,45,48,56,32,49,46,51,50,53,52,
      51,101,45,48,56,32,49,46,52,56,56,49,57,101,45,48,56,32,49,46,54,51,56,54,52,
      101,45,48,56,10,32,32,49,46,56,48,53,52,50,101,45,48,56,32,49,46,57,55,54,51,
      53,101,45,48,56,32,50,46,49,52,56,55,56,101,45,48,56,32,50,46,51,50,48,51,51,
      101,45,48,56,32,50,46,52,56,56,57,53,101,45,48,56,32,50,46,54,53,50,49,56,101,
      45,48,56,32,50,46,56,48,55,53,51,101,45,48,56,10,32,32,50,46,57,53,51,101,45,
      48,56,32,51,46,48,56,54,54,49,101,45,48,56,32,51,46,50,48,54,55,55,101,45,48,
      56,32,51,46,51,49,50,49,55,101,45,48,56,32,51,46,52,48,49,55,55,101,45,48,56,
      32,51,46,52,55,53,48,50,101,45,48,56,32,51,46,53,51,49,52,54,101,45,48,56,10,
      32,32,51,46,53,55,48,57,55,101,45,48,56,32,51,46,53,57,51,56,52,101,45,48,56,
      32,51,46,54,48,48,53,53,101,45,48,56,32,51,46,53,57,49,54,51,101,45,48,56,32,
      51,46,53,54,55,55,50,101,45,48,56,32,51,46,53,50,57,56,50,101,45,48,56,32,51,
      46,52,55,57,48,52,101,45,48,56,10,32,32,51,46,52,49,54,53,49,101,45,48,56,32,
      51,46,51,52,51,52,54,101,45,48,56,32,51,46,50,54,49,50,49,101,45,48,56,32,51,
      46,49,55,49,48,56,101,45,48,56,32,51,46,48,55,52,50,51,101,45,48,56,32,50,46,
      57,55,49,56,51,101,45,48,56,32,50,46,56,54,52,57,51,101,45,48,56,10,32,32,50,
      46,55,53,52,54,54,101,45,48,56,32,50,46,54,52,49,57,49,101,45,48,56,32,50,46,
      53,50,55,54,55,101,45,48,56,32,50,46,52,49,50,56,52,101,45,48,56,32,50,46,51,
      50,51,54,101,45,48,56,32,50,46,50,51,52,55,49,101,45,48,56,32,50,46,49,52,54,
      53,52,101,45,48,56,10,32,32,50,46,48,53,57,51,52,101,45,48,56,32,49,46,57,55,
      51,51,52,101,45,48,56,32,49,46,56,55,56,48,54,101,45,48,56,32,49,46,55,54,48,
      52,51,101,45,48,56,32,49,46,54,52,54,54,53,101,45,48,56,32,49,46,53,51,55,48,
      52,101,45,48,56,32,49,46,52,51,49,57,51,101,45,48,56,10,32,32,49,46,51,51,49,
      53,50,101,45,48,56,32,49,46,50,51,53,57,50,101,45,48,56,32,49,46,49,52,53,50,
      51,101,45,48,56,32,49,46,48,53,57,52,52,101,45,48,56,32,57,46,55,56,53,51,50,
      101,45,48,57,32,57,46,48,50,52,49,54,101,45,48,57,32,56,46,51,48,57,56,49,101,
      45,48,57,10,32,32,55,46,54,52,49,50,57,101,45,48,57,32,55,46,48,49,55,48,54,
      101,45,48,57,32,54,46,52,51,53,52,51,101,45,48,57,32,53,46,56,57,52,55,49,101,
      45,48,57,32,53,46,51,57,50,57,54,101,45,48,57,32,52,46,57,50,56,49,52,101,45,
      48,57,32,52,46,52,57,56,52,101,45,48,57,10,32,32,52,46,49,48,49,55,53,101,45,
      48,57,32,51,46,55,51,54,49,57,101,45,48,57,32,51,46,51,57,57,56,101,45,48,57,
      32,51,46,48,57,48,55,56,101,45,48,57,32,50,46,56,48,55,50,52,101,45,48,57,32,
      50,46,53,52,55,52,51,101,45,48,57,32,50,46,51,48,57,54,54,101,45,48,57,10,32,
      32,50,46,48,57,50,50,55,101,45,48,57,32,49,46,56,57,51,55,54,101,45,48,57,32,
      49,46,55,49,50,55,50,101,45,48,57,32,49,46,53,52,55,55,56,101,45,48,57,32,49,
      46,51,57,55,54,54,101,45,48,57,32,49,46,50,54,49,50,101,45,48,57,32,49,46,49,
      51,55,50,57,101,45,48,57,10,32,32,49,46,48,50,52,56,56,101,45,48,57,32,57,46,
      50,50,57,55,53,101,45,49,48,32,56,46,51,48,54,57,101,45,49,48,32,55,46,52,55,
      49,56,51,101,45,49,48,32,54,46,48,51,52,54,50,101,45,49,48,32,52,46,56,54,50,
      57,52,101,45,49,48,32,51,46,57,49,48,55,101,45,49,48,10,32,32,51,46,49,51,56,
      55,51,101,45,49,48,32,50,46,53,49,52,52,51,101,45,49,48,32,50,46,48,49,48,56,
      101,45,49,48,32,49,46,54,48,53,51,54,101,45,49,48,32,49,46,50,55,57,54,51,101,
      45,49,48,32,49,46,48,49,56,52,56,101,45,49,48,32,56,46,48,57,52,56,52,101,45,
      49,49,10,32,32,54,46,52,50,53,48,57,101,45,49,49,32,53,46,48,57,51,49,57,101,
      45,49,49,32,52,46,48,51,50,53,52,101,45,49,49,32,51,46,49,56,57,48,53,101,45,
      49,49,32,50,46,53,49,57,49,101,45,49,49,32,49,46,57,56,55,55,57,101,45,49,49,
      32,49,46,53,54,54,57,53,101,45,49,49,10,32,32,49,46,50,51,52,48,53,101,45,49,
      49,32,57,46,55,48,57,57,57,101,45,49,50,32,55,46,54,51,51,53,57,101,45,49,50,
      32,53,46,57,57,54,50,101,45,49,50,32,52,46,55,48,54,50,52,101,45,49,50,32,51,
      46,54,57,48,57,57,101,45,49,50,32,50,46,56,57,50,54,51,101,45,49,50,10,32,32,
      50,46,50,54,53,51,53,101,45,49,50,32,49,46,55,55,50,57,51,101,45,49,50,32,49,
      46,51,56,54,54,53,101,45,49,50,32,49,46,48,56,51,56,54,101,45,49,50,32,56,46,
      52,54,54,57,101,45,49,51,32,48,114,49,55,52,32,50,46,49,53,49,57,51,101,45,
      50,54,32,52,46,53,53,54,57,49,101,45,50,54,10,32,32,49,46,49,50,51,54,51,101,
      45,50,53,32,52,46,49,54,57,49,50,101,45,50,53,32,49,46,55,51,56,48,55,101,45,
      50,52,32,55,46,48,48,53,52,57,101,45,50,52,32,50,46,54,54,48,53,55,101,45,50,
      51,32,53,46,54,48,57,51,56,101,45,50,51,32,54,46,54,53,52,53,52,101,45,50,51,
      10,32,32,53,46,49,50,56,56,52,101,45,50,51,32,51,46,55,56,48,53,50,101,45,50,
      51,32,50,46,57,57,54,51,51,101,45,50,51,32,50,46,55,51,49,57,53,101,45,50,51,
      32,51,46,48,48,50,52,53,101,45,50,51,32,52,46,49,56,54,52,56,101,45,50,51,32,
      55,46,56,52,56,51,51,101,45,50,51,10,32,32,50,46,50,53,52,52,55,101,45,50,50,
      32,56,46,51,55,50,52,56,101,45,50,50,32,49,46,48,57,52,56,54,101,45,50,48,32,
      52,46,49,50,51,57,53,101,45,49,54,32,52,46,53,54,54,53,54,101,45,49,54,32,51,
      46,53,49,52,57,52,101,45,49,54,32,53,46,48,55,49,50,54,101,45,50,49,10,32,32,
      50,46,54,48,57,52,52,101,45,50,49,32,49,46,55,52,52,53,49,101,45,50,49,32,49,
      46,53,48,52,51,57,101,45,50,49,32,49,46,54,55,56,51,56,101,45,50,49,32,50,46,
      51,51,52,54,57,101,45,50,49,32,51,46,57,51,49,50,49,101,45,50,49,32,56,46,50,
      52,53,52,53,101,45,50,49,10,32,32,55,46,52,49,52,51,54,101,45,49,54,32,49,46,
      50,53,53,57,56,101,45,49,53,32,50,46,48,54,56,56,54,101,45,49,53,32,51,46,50,
      50,57,55,50,101,45,49,53,32,53,46,53,48,53,52,54,101,45,49,53,32,49,46,49,55,
      52,51,53,101,45,49,52,32,50,46,49,51,56,50,50,101,45,49,52,10,32,32,51,46,48,
      53,55,52,57,101,45,49,52,32,51,46,54,54,50,49,101,45,49,52,32,52,46,53,55,52,
      48,53,101,45,49,52,32,53,46,56,53,50,53,56,101,45,49,52,32,54,46,57,52,53,50,
      49,101,45,49,52,32,55,46,50,48,56,49,53,101,45,49,52,32,55,46,49,48,51,54,49,
      101,45,49,52,10,32,32,55,46,53,50,51,54,51,101,45,49,52,32,57,46,51,51,54,54,
      53,101,45,49,52,32,49,46,50,56,50,52,101,45,49,51,32,49,46,54,55,57,53,54,101,
      45,49,51,32,50,46,55,55,54,51,52,101,45,49,51,32,52,46,51,56,57,56,101,45,49,
      51,32,54,46,56,50,49,53,57,101,45,49,51,10,32,32,49,46,48,54,52,53,53,101,45,
      49,50,32,49,46,52,51,57,52,101,45,49,50,32,49,46,55,52,49,52,57,101,45,49,50,
      32,49,46,57,50,56,50,52,101,45,49,50,32,50,46,48,55,53,51,55,101,45,49,50,32,
      50,46,50,49,52,56,56,101,45,49,50,32,50,46,51,55,55,53,56,101,45,49,50,10,32,
      32,50,46,53,48,50,56,54,101,45,49,50,32,50,46,54,53,52,57,57,101,45,49,50,32,
      51,46,48,48,52,48,53,101,45,49,50,32,51,46,51,49,56,53,52,101,45,49,50,32,52,
      46,48,51,48,53,49,101,45,49,50,32,53,46,48,56,51,52,52,101,45,49,50,32,53,46,
      56,52,56,57,54,101,45,49,50,10,32,32,54,46,54,57,52,55,52,101,45,49,50,32,56,
      46,49,53,49,51,52,101,45,49,50,32,57,46,56,56,53,54,55,101,45,49,50,32,49,46,
      48,56,52,53,57,101,45,49,49,32,49,46,50,50,56,51,53,101,45,49,49,32,49,46,51,
      48,52,53,51,101,45,49,49,32,49,46,52,48,54,49,55,101,45,49,49,10,32,32,49,46,
      51,49,57,48,55,101,45,49,49,32,49,46,52,54,54,55,56,101,45,49,49,32,49,46,53,
      51,48,50,53,101,45,49,49,32,49,46,54,53,54,51,101,45,49,49,32,49,46,56,48,49,
      56,52,101,45,49,49,32,49,46,57,50,56,50,55,101,45,49,49,32,50,46,48,53,57,52,
      54,101,45,49,49,10,32,32,50,46,49,56,54,55,56,101,45,49,49,32,50,46,51,49,54,
      55,101,45,49,49,32,50,46,52,54,54,50,50,101,45,49,49,32,50,46,54,48,52,48,56,
      101,45,49,49,32,50,46,55,54,49,57,52,101,45,49,49,32,50,46,56,56,50,50,55,101,
      45,49,49,32,51,46,48,56,54,53,52,101,45,49,49,10,32,32,51,46,50,49,55,48,52,
      101,45,49,49,32,51,46,51,56,53,49,51,101,45,49,49,32,51,46,56,48,52,50,56,101,
      45,49,49,32,52,46,52,53,52,49,51,101,45,49,49,32,53,46,49,56,54,51,53,101,45,
      49,49,32,54,46,50,55,48,57,51,101,45,49,49,32,55,46,53,56,56,53,50,101,45,49,
      49,10,32,32,57,46,53,53,55,53,49,101,45,49,49,32,49,46,49,53,57,50,56,101,45,
      49,48,32,49,46,52,50,51,56,52,101,45,49,48,32,49,46,57,49,51,56,56,101,45,49,
      48,32,50,46,51,54,54,54,101,45,49,48,32,50,46,57,56,51,51,49,101,45,49,48,32,
      52,46,48,48,56,50,52,101,45,49,48,10,32,32,53,46,49,49,49,51,101,45,49,48,32,
      54,46,52,49,55,53,55,101,45,49,48,32,56,46,49,54,54,51,52,101,45,49,48,32,49,
      46,48,49,57,49,54,101,45,48,57,32,49,46,50,49,57,48,51,101,45,48,57,32,49,46,
      52,51,57,56,54,101,45,48,57,32,49,46,54,56,49,54,57,101,45,48,57,10,32,32,49,
      46,57,56,52,49,57,101,45,48,57,32,50,46,51,53,57,51,52,101,45,48,57,32,50,46,
      56,50,50,52,51,101,45,48,57,32,51,46,50,56,53,49,51,101,45,48,57,32,51,46,56,
      53,54,51,52,101,45,48,57,32,52,46,52,50,55,48,55,101,45,48,57,32,53,46,48,53,
      54,48,50,101,45,48,57,10,32,32,53,46,56,50,55,54,54,101,45,48,57,32,54,46,55,
      52,51,49,55,101,45,48,57,32,55,46,53,49,50,57,52,101,45,48,57,32,56,46,52,54,
      56,57,56,101,45,48,57,32,57,46,51,54,49,55,56,101,45,48,57,32,49,46,48,51,54,
      51,49,101,45,48,56,32,49,46,49,52,48,51,56,101,45,48,56,10,32,32,49,46,50,52,
      55,50,101,45,48,56,32,49,46,51,53,53,51,54,101,45,48,56,32,49,46,52,54,51,53,
      57,101,45,48,56,32,49,46,53,55,48,51,53,101,45,48,56,32,49,46,54,55,52,49,54,
      101,45,48,56,32,49,46,55,55,51,54,51,101,45,48,56,32,49,46,56,54,55,53,101,
      45,48,56,10,32,32,49,46,57,53,52,52,51,101,45,48,56,32,50,46,48,51,51,52,52,
      101,45,48,56,32,50,46,49,48,51,53,54,101,45,48,56,32,50,46,49,54,52,50,54,101,
      45,48,56,32,50,46,50,49,53,48,52,101,45,48,56,32,50,46,50,53,53,52,57,101,45,
      48,56,32,50,46,50,56,53,52,52,101,45,48,56,10,32,32,50,46,51,48,52,57,57,101,
      45,48,56,32,50,46,51,49,52,51,53,101,45,48,56,32,50,46,51,49,51,56,55,101,45,
      48,56,32,50,46,51,48,51,56,54,101,45,48,56,32,50,46,50,56,52,56,50,101,45,48,
      56,32,50,46,50,53,55,52,52,101,45,48,56,32,50,46,50,50,50,51,55,101,45,48,56,
      10,32,32,50,46,49,56,48,50,54,101,45,48,56,32,50,46,49,51,49,56,56,101,45,48,
      56,32,50,46,48,55,55,57,56,101,45,48,56,32,50,46,48,49,57,51,52,101,45,48,56,
      32,49,46,57,53,54,55,52,101,45,48,56,32,49,46,56,57,48,56,53,101,45,48,56,32,
      49,46,56,50,50,51,50,101,45,48,56,10,32,32,49,46,55,53,49,56,54,101,45,48,56,
      32,49,46,54,56,48,48,52,101,45,48,56,32,49,46,54,50,51,54,101,45,48,56,32,49,
      46,53,54,54,57,52,101,45,48,56,32,49,46,53,49,48,50,55,101,45,48,56,32,49,46,
      52,53,51,55,54,101,45,48,56,32,49,46,51,57,55,54,51,101,45,48,56,10,32,32,49,
      46,51,51,52,57,54,101,45,48,56,32,49,46,50,53,54,57,56,101,45,48,56,32,49,46,
      49,56,48,56,56,101,45,48,56,32,49,46,49,48,54,57,52,101,45,48,56,32,49,46,48,
      51,53,52,56,101,45,48,56,32,57,46,54,54,55,49,52,101,45,48,57,32,57,46,48,48,
      56,49,101,45,48,57,10,32,32,56,46,51,55,56,55,54,101,45,48,57,32,55,46,55,55,
      57,56,56,101,45,48,57,32,55,46,50,49,49,54,51,101,45,48,57,32,54,46,54,55,52,
      101,45,48,57,32,54,46,49,54,54,56,49,101,45,48,57,32,53,46,54,56,57,53,53,101,
      45,48,57,32,53,46,50,52,49,55,54,101,45,48,57,10,32,32,52,46,56,50,50,53,56,
      101,45,48,57,32,52,46,52,51,49,49,101,45,48,57,32,52,46,48,54,54,50,52,101,
      45,48,57,32,51,46,55,50,54,56,50,101,45,48,57,32,51,46,52,49,49,55,50,101,45,
      48,57,32,51,46,49,49,57,55,49,101,45,48,57,32,50,46,56,52,57,53,53,101,45,48,
      57,10,32,32,50,46,54,48,48,48,51,101,45,48,57,32,50,46,51,54,57,57,55,101,45,
      48,57,32,50,46,49,53,56,49,51,101,45,48,57,32,49,46,57,54,51,51,53,101,45,48,
      57,32,49,46,55,56,52,52,51,101,45,48,57,32,49,46,54,50,48,51,52,101,45,48,57,
      32,49,46,52,55,48,48,54,101,45,48,57,10,32,32,49,46,51,51,50,53,55,101,45,48,
      57,32,49,46,50,48,54,57,52,101,45,48,57,32,49,46,48,57,50,50,57,101,45,48,57,
      32,57,46,56,55,55,57,51,101,45,49,48,32,56,46,57,50,54,52,49,101,45,49,48,32,
      56,46,48,54,48,56,53,101,45,49,48,32,55,46,50,55,52,50,55,101,45,49,48,10,32,
      32,54,46,53,54,48,49,101,45,49,48,32,53,46,57,49,50,50,53,101,45,49,48,32,52,
      46,55,57,51,50,57,101,45,49,48,32,51,46,56,55,54,57,53,101,45,49,48,32,51,46,
      49,50,56,55,53,101,45,49,48,32,50,46,53,49,57,54,55,101,45,49,48,32,50,46,48,
      50,53,49,53,101,45,49,48,10,32,32,49,46,54,50,52,54,51,101,45,49,48,32,49,46,
      51,48,49,48,51,101,45,49,48,32,49,46,48,52,48,49,52,101,45,49,48,32,56,46,51,
      48,50,51,56,101,45,49,49,32,54,46,54,49,54,56,52,101,45,49,49,32,53,46,50,54,
      53,57,101,45,49,49,32,52,46,49,56,53,48,55,101,45,49,49,10,32,32,51,46,51,50,
      49,55,51,101,45,49,49,32,50,46,54,51,51,50,51,101,45,49,49,32,50,46,48,56,52,
      57,54,101,45,49,49,32,49,46,54,52,57,48,49,101,45,49,49,32,49,46,51,48,50,56,
      52,101,45,49,49,32,49,46,48,50,56,50,56,101,45,49,49,32,56,46,49,48,55,56,51,
      101,45,49,50,10,32,32,54,46,51,56,54,57,57,101,45,49,50,32,53,46,48,50,54,57,
      52,101,45,49,50,32,51,46,57,53,51,49,53,101,45,49,50,32,51,46,49,48,54,50,49,
      101,45,49,50,32,50,46,52,51,56,56,101,45,49,50,32,49,46,57,49,51,51,55,101,
      45,49,50,32,49,46,53,48,48,48,52,101,45,49,50,10,32,32,49,46,49,55,53,49,56,
      101,45,49,50,32,57,46,50,48,48,53,57,101,45,49,51,32,55,46,49,57,56,54,52,101,
      45,49,51,32,48,114,49,55,54,32,49,46,49,48,52,57,52,101,45,50,54,32,52,46,50,
      48,51,49,56,101,45,50,54,32,49,46,56,49,48,51,57,101,45,50,53,32,55,46,53,53,
      57,51,49,101,45,50,53,10,32,32,50,46,57,57,50,55,51,101,45,50,52,32,54,46,52,
      53,56,54,51,101,45,50,52,32,55,46,54,56,55,48,57,101,45,50,52,32,53,46,56,53,
      54,55,57,101,45,50,52,32,52,46,50,54,51,48,53,101,45,50,52,32,51,46,51,52,53,
      50,55,101,45,50,52,32,51,46,48,51,51,55,54,101,45,50,52,10,32,32,51,46,51,51,
      54,51,101,45,50,52,32,52,46,54,57,49,51,53,101,45,50,52,32,56,46,57,53,57,54,
      54,101,45,50,52,32,50,46,54,54,52,52,52,101,45,50,51,32,49,46,48,51,55,49,55,
      101,45,50,50,32,49,46,52,53,51,57,50,101,45,50,49,32,54,46,53,57,50,56,57,101,
      45,49,55,10,32,32,55,46,51,49,50,54,49,101,45,49,55,32,53,46,51,55,51,50,57,
      101,45,49,55,32,54,46,54,53,50,50,51,101,45,50,50,32,51,46,51,49,56,53,56,101,
      45,50,50,32,50,46,49,55,53,54,57,101,45,50,50,32,49,46,56,53,57,51,57,101,45,
      50,50,32,50,46,48,55,54,54,54,101,45,50,50,10,32,32,50,46,57,49,56,49,52,101,
      45,50,50,32,53,46,48,48,51,50,56,101,45,50,50,32,49,46,48,55,56,52,50,101,45,
      50,49,32,49,46,49,51,54,49,51,101,45,49,54,32,50,46,48,52,54,54,51,101,45,49,
      54,32,51,46,53,53,57,51,52,101,45,49,54,32,53,46,56,49,57,57,50,101,45,49,54,
      10,32,32,49,46,48,52,54,53,50,101,45,49,53,32,50,46,52,48,48,48,57,101,45,49,
      53,32,52,46,54,49,53,49,53,101,45,49,53,32,54,46,56,48,48,57,57,101,45,49,53,
      32,56,46,50,53,48,55,53,101,45,49,53,32,49,46,48,52,54,50,101,45,49,52,32,49,
      46,51,54,52,48,50,101,45,49,52,10,32,32,49,46,54,51,54,54,53,101,45,49,52,32,
      49,46,54,57,51,55,56,101,45,49,52,32,49,46,54,53,53,53,49,101,45,49,52,32,49,
      46,55,53,51,51,57,101,45,49,52,32,50,46,50,49,51,53,54,101,45,49,52,32,51,46,
      49,51,51,48,51,101,45,49,52,32,52,46,50,49,55,56,50,101,45,49,52,10,32,32,55,
      46,51,54,53,53,101,45,49,52,32,49,46,50,51,48,54,57,101,45,49,51,32,50,46,48,
      50,56,56,57,101,45,49,51,32,51,46,51,56,49,51,51,101,45,49,51,32,52,46,55,57,
      48,51,57,101,45,49,51,32,53,46,57,53,51,55,52,101,45,49,51,32,54,46,54,54,49,
      51,54,101,45,49,51,10,32,32,55,46,50,53,50,57,53,101,45,49,51,32,55,46,56,49,
      56,49,55,101,45,49,51,32,56,46,52,56,56,50,51,101,45,49,51,32,57,46,48,49,50,
      56,55,101,45,49,51,32,57,46,54,55,57,54,57,101,45,49,51,32,49,46,49,49,53,57,
      52,101,45,49,50,32,49,46,50,52,57,52,50,101,45,49,50,10,32,32,49,46,53,54,51,
      53,56,101,45,49,50,32,50,46,48,53,50,49,51,101,45,49,50,32,50,46,52,50,50,53,
      54,101,45,49,50,32,50,46,56,52,52,54,51,101,45,49,50,32,51,46,53,57,56,55,53,
      101,45,49,50,32,52,46,53,51,50,53,51,101,45,49,50,32,53,46,48,54,50,50,49,101,
      45,49,50,10,32,32,53,46,56,54,52,54,101,45,49,50,32,54,46,50,57,48,52,56,101,
      45,49,50,32,54,46,56,53,51,51,101,45,49,50,32,54,46,50,56,56,57,51,101,45,49,
      50,32,55,46,49,49,54,50,51,101,45,49,50,32,55,46,52,55,53,48,55,101,45,49,50,
      32,56,46,49,57,50,56,52,101,45,49,50,10,32,32,57,46,48,50,56,54,54,101,45,49,
      50,32,57,46,55,53,57,52,54,101,45,49,50,32,49,46,48,53,50,49,56,101,45,49,49,
      32,49,46,49,50,54,52,49,101,45,49,49,32,49,46,50,48,50,50,56,101,45,49,49,32,
      49,46,50,56,57,55,49,101,45,49,49,32,49,46,51,55,48,51,52,101,45,49,49,10,32,
      32,49,46,52,54,50,54,49,101,45,49,49,32,49,46,53,51,50,56,50,101,45,49,49,32,
      49,46,54,53,49,55,49,101,45,49,49,32,49,46,55,50,55,51,55,101,45,49,49,32,49,
      46,56,50,52,52,53,101,45,49,49,32,50,46,48,54,52,53,54,101,45,49,49,32,50,46,
      52,51,48,55,52,101,45,49,49,10,32,32,50,46,56,51,52,54,55,101,45,49,49,32,51,
      46,52,49,56,48,51,101,45,49,49,32,52,46,49,48,56,57,54,101,45,49,49,32,53,46,
      49,49,55,49,50,101,45,49,49,32,54,46,49,52,49,53,56,101,45,49,49,32,55,46,52,
      51,49,52,50,101,45,49,49,32,57,46,55,55,56,56,56,101,45,49,49,10,32,32,49,46,
      49,57,53,54,55,101,45,49,48,32,49,46,52,57,53,54,54,101,45,49,48,32,50,46,48,
      48,51,50,54,101,45,49,48,32,50,46,53,54,50,49,51,101,45,49,48,32,51,46,50,51,
      57,48,51,101,45,49,48,32,52,46,49,54,54,52,57,101,45,49,48,32,53,46,50,54,53,
      56,51,101,45,49,48,10,32,32,54,46,51,55,49,55,53,101,45,49,48,32,55,46,54,49,
      51,51,49,101,45,49,48,32,56,46,57,57,48,56,55,101,45,49,48,32,49,46,48,55,51,
      51,49,101,45,48,57,32,49,46,50,57,49,50,54,101,45,48,57,32,49,46,53,54,49,55,
      56,101,45,48,57,32,49,46,56,51,50,52,57,101,45,48,57,10,32,32,50,46,49,54,54,
      51,53,101,45,48,57,32,50,46,52,57,57,53,101,45,48,57,32,50,46,56,54,54,50,57,
      101,45,48,57,32,51,46,51,49,54,51,51,101,45,48,57,32,51,46,56,53,49,56,55,101,
      45,48,57,32,52,46,51,48,52,51,52,101,45,48,57,32,52,46,56,54,57,54,49,101,45,
      48,57,10,32,32,53,46,52,48,50,49,53,101,45,48,57,32,54,46,48,48,53,50,57,101,
      45,48,57,32,54,46,54,51,57,52,101,45,48,57,32,55,46,50,57,56,57,49,101,45,48,
      57,32,55,46,57,55,53,57,53,101,45,48,57,32,56,46,54,54,51,49,57,101,45,48,57,
      32,57,46,51,53,50,54,51,101,45,48,57,10,32,32,49,46,48,48,51,52,57,101,45,48,
      56,32,49,46,48,55,48,49,54,101,45,48,56,32,49,46,49,51,52,52,49,101,45,48,56,
      32,49,46,49,57,53,51,51,101,45,48,56,32,49,46,50,53,50,50,54,101,45,48,56,32,
      49,46,51,48,52,52,51,101,45,48,56,32,49,46,51,53,49,51,101,45,48,56,10,32,32,
      49,46,51,57,50,52,53,101,45,48,56,32,49,46,52,50,55,52,49,101,45,48,56,32,49,
      46,52,53,53,57,52,101,45,48,56,32,49,46,52,55,55,57,57,101,45,48,56,32,49,46,
      52,57,51,52,55,101,45,48,56,32,49,46,53,48,50,52,55,101,45,48,56,32,49,46,53,
      48,53,49,55,101,45,48,56,10,32,32,49,46,53,48,49,55,57,101,45,48,56,32,49,46,
      52,57,50,54,52,101,45,48,56,32,49,46,52,55,56,48,51,101,45,48,56,32,49,46,52,
      53,56,51,101,45,48,56,32,49,46,52,51,51,57,51,101,45,48,56,32,49,46,52,48,53,
      50,56,101,45,48,56,32,49,46,51,55,50,56,50,101,45,48,56,10,32,32,49,46,51,51,
      55,48,52,101,45,48,56,32,49,46,50,57,56,51,57,101,45,48,56,32,49,46,50,53,55,
      52,101,45,48,56,32,49,46,50,49,52,52,57,101,45,48,56,32,49,46,49,55,48,48,56,
      101,45,48,56,32,49,46,49,51,52,55,52,101,45,48,56,32,49,46,48,57,56,56,56,101,
      45,48,56,10,32,32,49,46,48,54,50,54,56,101,45,48,56,32,49,46,48,50,54,51,101,
      45,48,56,32,57,46,56,57,56,55,55,101,45,48,57,32,57,46,52,56,56,56,50,101,45,
      48,57,32,56,46,57,55,52,50,55,101,45,48,57,32,56,46,52,54,55,52,57,101,45,48,
      57,32,55,46,57,55,49,49,50,101,45,48,57,10,32,32,55,46,52,56,55,50,56,101,45,
      48,57,32,55,46,48,49,56,48,50,101,45,48,57,32,54,46,53,54,52,57,51,101,45,48,
      57,32,54,46,49,50,57,51,51,101,45,48,57,32,53,46,55,49,50,49,54,101,45,48,57,
      32,53,46,51,49,52,48,50,101,45,48,57,32,52,46,57,51,53,50,101,45,48,57,10,32,
      32,52,46,53,55,53,57,101,45,48,57,32,52,46,50,51,53,57,55,101,45,48,57,32,51,
      46,57,49,53,51,57,101,45,48,57,32,51,46,54,49,51,56,49,101,45,48,57,32,51,46,
      51,51,48,56,50,101,45,48,57,32,51,46,48,54,53,56,54,101,45,48,57,32,50,46,56,
      49,56,50,57,101,45,48,57,10,32,32,50,46,53,56,55,53,101,45,48,57,32,50,46,51,
      55,50,55,53,101,45,48,57,32,50,46,49,55,51,51,101,45,48,57,32,49,46,57,56,56,
      51,57,101,45,48,57,32,49,46,56,49,55,50,52,101,45,48,57,32,49,46,54,53,57,48,
      52,101,45,48,57,32,49,46,53,49,51,48,52,101,45,48,57,10,32,32,49,46,51,55,56,
      52,57,101,45,48,57,32,49,46,50,53,52,55,50,101,45,48,57,32,49,46,49,52,48,57,
      56,101,45,48,57,32,49,46,48,51,54,54,51,101,45,48,57,32,57,46,52,49,48,50,57,
      101,45,49,48,32,56,46,53,51,53,52,51,101,45,49,48,32,55,46,55,51,53,55,54,101,
      45,49,48,10,32,32,55,46,48,48,53,54,50,101,45,49,48,32,54,46,51,51,57,54,55,
      101,45,49,48,32,53,46,55,51,50,56,53,101,45,49,48,32,53,46,49,56,48,52,53,101,
      45,49,48,32,52,46,54,55,56,49,101,45,49,48,32,51,46,56,48,55,51,49,101,45,49,
      48,32,51,46,48,57,48,56,49,101,45,49,48,10,32,32,50,46,53,48,51,51,49,101,45,
      49,48,32,50,46,48,50,50,57,52,101,45,49,48,32,49,46,54,51,49,51,49,101,45,49,
      48,32,49,46,51,49,50,56,56,101,45,49,48,32,49,46,48,53,52,53,55,101,45,49,48,
      32,56,46,52,53,53,55,56,101,45,49,49,32,54,46,55,54,56,54,56,101,45,49,49,10,
      32,32,53,46,52,48,57,52,54,101,45,49,49,32,52,46,51,49,54,53,53,101,45,49,49,
      32,51,46,52,51,57,52,56,101,45,49,49,32,50,46,55,51,54,56,56,101,45,49,49,32,
      50,46,49,55,52,57,56,101,45,49,49,32,49,46,55,50,54,50,55,101,45,49,49,32,49,
      46,51,54,56,52,51,101,45,49,49,10,32,32,49,46,48,56,51,53,52,101,45,49,49,32,
      56,46,53,55,48,52,49,101,45,49,50,32,54,46,55,55,49,57,50,101,45,49,50,32,53,
      46,51,52,53,53,57,101,45,49,50,32,52,46,50,49,53,54,52,101,45,49,50,32,51,46,
      51,50,49,53,50,101,45,49,50,32,50,46,54,49,52,55,55,101,45,49,50,10,32,32,50,
      46,48,53,54,54,54,101,45,49,50,32,49,46,54,49,54,51,56,101,45,49,50,32,49,46,
      50,54,57,52,101,45,49,50,32,57,46,57,54,49,52,49,101,45,49,51,32,55,46,56,49,
      49,54,50,101,45,49,51,32,54,46,49,50,49,55,54,101,45,49,51,32,48,114,49,55,
      55,32,49,46,48,56,52,54,57,101,45,50,54,10,32,32,52,46,56,49,55,48,53,101,45,
      50,54,32,50,46,48,55,54,55,56,101,45,50,53,32,56,46,52,56,51,51,53,101,45,50,
      53,32,49,46,56,54,50,56,56,101,45,50,52,32,50,46,50,50,50,52,56,101,45,50,52,
      32,49,46,54,55,57,49,56,101,45,50,52,32,49,46,50,49,48,56,53,101,45,50,52,10,
      32,32,57,46,52,49,57,49,54,101,45,50,53,32,56,46,53,48,50,51,54,101,45,50,53,
      32,57,46,51,53,52,57,52,101,45,50,53,32,49,46,51,50,53,51,51,101,45,50,52,32,
      50,46,53,54,56,50,52,101,45,50,52,32,55,46,56,50,56,48,50,101,45,50,52,32,51,
      46,49,52,52,49,53,101,45,50,51,10,32,32,52,46,53,57,56,48,52,101,45,50,50,32,
      50,46,50,56,54,55,53,101,45,49,55,32,50,46,53,51,56,51,56,101,45,49,55,32,49,
      46,56,50,55,51,101,45,49,55,32,50,46,48,56,57,53,56,101,45,50,50,32,49,46,48,
      50,50,56,54,101,45,50,50,32,54,46,54,50,52,49,50,101,45,50,51,10,32,32,53,46,
      54,50,56,51,55,101,45,50,51,32,54,46,50,57,48,52,51,101,45,50,51,32,56,46,56,
      57,54,57,51,101,45,50,51,32,49,46,53,52,50,56,51,101,45,50,50,32,51,46,51,56,
      49,52,54,101,45,50,50,32,51,46,56,54,55,52,55,101,45,49,55,32,55,46,49,54,50,
      57,57,101,45,49,55,10,32,32,49,46,50,55,57,52,52,101,45,49,54,32,50,46,49,52,
      52,49,56,101,45,49,54,32,51,46,57,55,51,53,54,101,45,49,54,32,57,46,53,49,48,
      57,55,101,45,49,54,32,49,46,56,56,57,54,49,101,45,49,53,32,50,46,56,51,52,54,
      57,101,45,49,53,32,51,46,52,54,52,56,51,101,45,49,53,10,32,32,52,46,52,51,50,
      51,56,101,45,49,53,32,53,46,56,52,50,48,54,101,45,49,53,32,55,46,48,53,52,52,
      51,101,45,49,53,32,55,46,50,56,56,56,53,101,45,49,53,32,55,46,48,57,48,51,49,
      101,45,49,53,32,55,46,53,48,57,53,101,45,49,53,32,57,46,53,55,52,48,55,101,
      45,49,53,10,32,32,49,46,51,55,56,51,53,101,45,49,52,32,49,46,56,56,52,51,49,
      101,45,49,52,32,51,46,51,57,48,57,50,101,45,49,52,32,53,46,56,51,54,51,49,101,
      45,49,52,32,57,46,57,50,57,53,52,101,45,49,52,32,49,46,55,49,51,54,52,101,45,
      49,51,32,50,46,52,56,57,48,57,101,45,49,51,10,32,32,51,46,49,51,56,52,57,101,
      45,49,51,32,51,46,53,51,49,50,52,101,45,49,51,32,51,46,56,56,52,57,54,101,45,
      49,51,32,52,46,50,50,53,56,56,101,45,49,51,32,52,46,54,51,53,54,51,101,45,49,
      51,32,52,46,57,54,48,56,55,101,45,49,51,32,53,46,51,56,56,49,52,101,45,49,51,
      10,32,32,54,46,50,56,53,54,49,101,45,49,51,32,55,46,48,55,54,54,55,101,45,49,
      51,32,56,46,57,55,50,57,52,101,45,49,51,32,49,46,49,57,57,56,53,101,45,49,50,
      32,49,46,52,51,52,52,55,101,45,49,50,32,49,46,55,48,54,52,49,101,45,49,50,32,
      50,46,50,48,50,54,56,101,45,49,50,10,32,32,50,46,56,51,50,48,51,101,45,49,50,
      32,51,46,49,57,52,56,49,101,45,49,50,32,51,46,55,52,57,54,51,101,45,49,50,32,
      52,46,48,52,53,51,49,101,45,49,50,32,52,46,52,51,52,57,55,101,45,49,50,32,52,
      46,48,49,55,54,54,101,45,49,50,32,52,46,53,57,50,54,57,101,45,49,50,10,32,32,
      52,46,56,52,51,56,57,101,45,49,50,32,53,46,51,52,57,51,52,101,45,49,50,32,53,
      46,57,52,49,57,49,101,45,49,50,32,54,46,52,54,51,49,53,101,45,49,50,32,55,46,
      48,48,57,55,49,101,45,49,50,32,55,46,53,52,52,50,52,101,45,49,50,32,56,46,48,
      57,50,54,56,101,45,49,50,10,32,32,56,46,55,50,54,53,50,101,45,49,50,32,57,46,
      51,49,50,55,50,101,45,49,50,32,57,46,57,56,52,56,56,101,45,49,50,32,49,46,48,
      52,57,55,101,45,49,49,32,49,46,49,51,54,53,49,101,45,49,49,32,49,46,49,57,49,
      56,50,101,45,49,49,32,49,46,50,54,50,56,50,101,45,49,49,10,32,32,49,46,52,51,
      56,50,56,101,45,49,49,32,49,46,55,48,53,48,50,101,45,49,49,32,49,46,57,57,55,
      51,54,101,45,49,49,32,50,46,52,49,53,53,54,101,45,49,49,32,50,46,57,48,52,55,
      52,101,45,49,49,32,51,46,54,48,57,49,56,101,45,49,49,32,52,46,51,49,54,55,57,
      101,45,49,49,10,32,32,53,46,50,48,56,49,56,101,45,49,49,32,54,46,55,57,50,48,
      53,101,45,49,49,32,56,46,50,52,53,48,55,101,45,49,49,32,49,46,48,50,53,49,49,
      101,45,49,48,32,49,46,51,54,54,55,55,101,45,49,48,32,49,46,55,52,54,53,53,101,
      45,49,48,32,50,46,50,49,49,51,55,101,45,49,48,10,32,32,50,46,56,53,54,50,101,
      45,49,48,32,51,46,54,51,48,50,55,101,45,49,48,32,52,46,52,49,55,54,101,45,49,
      48,32,53,46,51,48,57,56,54,101,45,49,48,32,54,46,51,48,55,57,101,45,49,48,32,
      55,46,53,55,57,52,51,101,45,49,48,32,57,46,49,55,57,56,52,101,45,49,48,10,32,
      32,49,46,49,49,55,53,51,101,45,48,57,32,49,46,51,49,55,55,52,101,45,48,57,32,
      49,46,53,54,52,55,49,101,45,48,57,32,49,46,56,49,49,48,53,101,45,48,57,32,50,
      46,48,56,50,48,54,101,45,48,57,32,50,46,52,49,52,52,57,101,45,48,57,32,50,46,
      56,49,48,50,56,101,45,48,57,10,32,32,51,46,49,52,53,49,55,101,45,48,57,32,51,
      46,53,54,52,55,101,45,48,57,32,51,46,57,54,49,51,55,101,45,48,57,32,52,46,52,
      49,50,53,52,101,45,48,57,32,52,46,56,56,57,53,55,101,45,48,57,32,53,46,51,56,
      56,48,56,101,45,48,57,32,53,46,57,48,51,53,53,101,45,48,57,10,32,32,54,46,52,
      51,49,50,50,101,45,48,57,32,54,46,57,54,52,56,54,101,45,48,57,32,55,46,52,57,
      56,50,51,101,45,48,57,32,56,46,48,50,52,49,50,101,45,48,57,32,56,46,53,51,53,
      56,54,101,45,48,57,32,57,46,48,50,55,51,53,101,45,48,57,32,57,46,52,57,50,52,
      49,101,45,48,57,10,32,32,57,46,57,50,52,57,56,101,45,48,57,32,49,46,48,51,49,
      57,55,101,45,48,56,32,49,46,48,54,55,51,101,45,48,56,32,49,46,48,57,56,49,53,
      101,45,48,56,32,49,46,49,50,52,50,54,101,45,48,56,32,49,46,49,52,53,52,52,101,
      45,48,56,32,49,46,49,54,49,54,50,101,45,48,56,10,32,32,49,46,49,55,50,56,49,
      101,45,48,56,32,49,46,49,55,57,48,49,101,45,48,56,32,49,46,49,56,48,51,52,101,
      45,48,56,32,49,46,49,55,54,57,57,101,45,48,56,32,49,46,49,54,57,49,54,101,45,
      48,56,32,49,46,49,53,55,49,52,101,45,48,56,32,49,46,49,52,49,50,50,101,45,48,
      56,10,32,32,49,46,49,50,49,55,53,101,45,48,56,32,49,46,48,57,57,48,56,101,45,
      48,56,32,49,46,48,55,51,53,54,101,45,48,56,32,49,46,48,52,53,53,55,101,45,48,
      56,32,49,46,48,49,53,52,49,101,45,48,56,32,57,46,56,51,52,53,49,101,45,48,57,
      32,57,46,53,48,48,50,54,101,45,48,57,10,32,32,57,46,50,51,50,48,53,101,45,48,
      57,32,56,46,57,53,56,48,50,101,45,48,57,32,56,46,54,55,57,56,49,101,45,48,57,
      32,56,46,51,57,56,52,101,45,48,57,32,56,46,49,49,53,51,51,101,45,48,57,32,55,
      46,55,57,53,49,55,101,45,48,57,32,55,46,51,57,49,49,54,101,45,48,57,10,32,32,
      54,46,57,57,49,48,56,101,45,48,57,32,54,46,53,57,55,49,101,45,48,57,32,54,46,
      50,49,49,51,51,101,45,48,57,32,53,46,56,51,53,53,53,101,45,48,57,32,53,46,52,
      55,49,49,56,101,45,48,57,32,53,46,49,49,57,52,49,101,45,48,57,32,52,46,55,56,
      49,48,52,101,45,48,57,10,32,32,52,46,52,53,54,57,49,101,45,48,57,32,52,46,49,
      52,55,52,49,101,45,48,57,32,51,46,56,53,50,57,54,101,45,48,57,32,51,46,53,55,
      51,54,54,101,45,48,57,32,51,46,51,48,57,52,55,101,45,48,57,32,51,46,48,54,48,
      50,49,101,45,48,57,32,50,46,56,50,53,53,49,101,45,48,57,10,32,32,50,46,54,48,
      53,49,54,101,45,48,57,32,50,46,51,57,56,56,101,45,48,57,32,50,46,50,48,53,57,
      51,101,45,48,57,32,50,46,48,50,54,48,51,101,45,48,57,32,49,46,56,53,56,53,53,
      101,45,48,57,32,49,46,55,48,50,57,50,101,45,48,57,32,49,46,53,53,56,54,50,101,
      45,48,57,10,32,32,49,46,52,50,53,48,49,101,45,48,57,32,49,46,51,48,49,53,49,
      101,45,48,57,32,49,46,49,56,55,53,49,101,45,48,57,32,49,46,48,56,50,52,52,101,
      45,48,57,32,57,46,56,53,55,49,101,45,49,48,32,56,46,57,54,56,49,53,101,45,49,
      48,32,56,46,49,53,50,50,50,101,45,49,48,10,32,32,55,46,52,48,52,50,54,101,45,
      49,48,32,54,46,55,49,57,51,53,101,45,49,48,32,54,46,48,57,50,57,51,101,45,49,
      48,32,53,46,53,50,48,53,55,101,45,49,48,32,52,46,57,57,56,50,52,101,45,49,48,
      32,52,46,53,50,50,101,45,49,48,32,52,46,48,56,56,50,52,101,45,49,48,10,32,32,
      51,46,51,51,52,53,55,101,45,49,48,32,50,46,55,49,50,55,51,101,45,49,48,32,50,
      46,50,48,49,53,101,45,49,48,32,49,46,55,56,50,52,56,101,45,49,48,32,49,46,52,
      52,48,49,49,101,45,49,48,32,49,46,49,54,49,48,57,101,45,49,48,32,57,46,51,52,
      51,50,52,101,45,49,49,10,32,32,55,46,53,48,52,54,52,101,45,49,49,32,54,46,48,
      49,55,50,53,101,45,49,49,32,52,46,56,49,54,55,50,101,45,49,49,32,51,46,56,52,
      57,55,101,45,49,49,32,51,46,48,55,50,49,57,101,45,49,49,32,50,46,52,52,56,50,
      101,45,49,49,32,49,46,57,52,56,50,57,101,45,49,49,10,32,32,49,46,53,52,56,51,
      56,101,45,49,49,32,49,46,50,50,57,48,51,101,45,49,49,32,57,46,55,52,52,49,101,
      45,49,50,32,55,46,55,49,54,56,51,101,45,49,50,32,54,46,49,48,52,56,50,101,45,
      49,50,32,52,46,56,50,52,53,56,101,45,49,50,32,51,46,56,48,57,49,49,101,45,49,
      50,10,32,32,51,46,48,48,52,53,53,101,45,49,50,32,50,46,51,54,55,56,49,101,45,
      49,50,32,49,46,56,54,52,52,50,101,45,49,50,32,49,46,52,54,54,56,50,101,45,49,
      50,32,49,46,49,53,51,49,49,101,45,49,50,32,57,46,48,53,55,57,52,101,45,49,51,
      32,55,46,49,48,57,57,56,101,45,49,51,10,32,32,53,46,53,55,55,49,49,101,45,49,
      51,32,48,114,49,55,56,32,57,46,52,50,57,56,49,101,45,50,55,32,52,46,50,55,55,
      57,51,101,45,50,54,32,49,46,56,51,48,48,49,101,45,50,53,32,52,46,49,49,57,54,
      50,101,45,50,53,32,52,46,57,51,49,56,101,45,50,53,32,51,46,54,56,49,52,54,101,
      45,50,53,10,32,32,50,46,54,49,56,56,51,101,45,50,53,32,50,46,48,49,54,55,57,
      101,45,50,53,32,49,46,56,49,48,51,52,101,45,50,53,32,49,46,57,57,51,52,101,
      45,50,53,32,50,46,56,52,56,50,49,101,45,50,53,32,53,46,54,50,56,57,55,101,45,
      50,53,32,49,46,55,56,48,51,55,101,45,50,52,10,32,32,55,46,52,54,54,101,45,50,
      52,32,49,46,49,53,53,55,101,45,50,50,32,54,46,52,55,49,57,53,101,45,49,56,32,
      55,46,49,56,57,54,52,101,45,49,56,32,53,46,48,55,52,52,50,101,45,49,56,32,53,
      46,50,48,48,50,56,101,45,50,51,32,50,46,52,56,51,50,57,101,45,50,51,10,32,32,
      49,46,53,56,50,49,53,101,45,50,51,32,49,46,51,51,51,56,52,101,45,50,51,32,49,
      46,52,57,50,49,52,101,45,50,51,32,50,46,49,50,56,57,51,101,45,50,51,32,51,46,
      55,52,55,57,55,101,45,50,51,32,56,46,51,57,53,56,53,101,45,50,51,32,49,46,48,
      55,53,101,45,49,55,10,32,32,50,46,48,52,53,51,101,45,49,55,32,51,46,55,53,50,
      49,49,101,45,49,55,32,54,46,52,53,48,50,54,101,45,49,55,32,49,46,50,51,52,53,
      57,101,45,49,54,32,51,46,48,57,57,54,52,101,45,49,54,32,54,46,51,57,53,51,55,
      101,45,49,54,32,57,46,55,57,55,53,50,101,45,49,54,10,32,32,49,46,50,48,56,50,
      53,101,45,49,53,32,49,46,53,54,49,57,52,101,45,49,53,32,50,46,48,56,53,52,53,
      101,45,49,53,32,50,46,53,51,55,50,57,101,45,49,53,32,50,46,54,49,54,53,55,101,
      45,49,53,32,50,46,53,51,48,57,53,101,45,49,53,32,50,46,54,56,48,53,56,101,45,
      49,53,10,32,32,51,46,52,53,55,54,53,101,45,49,53,32,53,46,48,55,57,50,51,101,
      45,49,53,32,55,46,48,55,48,57,51,101,45,49,53,32,49,46,51,49,56,50,50,101,45,
      49,52,32,50,46,51,52,56,53,101,45,49,52,32,52,46,49,52,51,51,51,101,45,49,52,
      32,55,46,52,52,50,57,53,101,45,49,52,10,32,32,49,46,49,49,50,52,50,101,45,49,
      51,32,49,46,52,50,54,48,51,101,45,49,51,32,49,46,54,49,52,56,51,101,45,49,51,
      32,49,46,56,48,56,57,53,101,45,49,51,32,49,46,57,57,57,49,56,101,45,49,51,32,
      50,46,50,51,50,57,55,101,45,49,51,32,50,46,52,50,50,54,51,101,45,49,51,10,32,
      32,50,46,54,56,51,53,55,101,45,49,51,32,51,46,49,56,49,57,101,45,49,51,32,51,
      46,53,57,54,57,57,101,45,49,51,32,52,46,54,48,57,51,56,101,45,49,51,32,54,46,
      50,54,54,54,57,101,45,49,51,32,55,46,53,56,50,54,53,101,45,49,51,32,57,46,49,
      51,55,56,52,101,45,49,51,10,32,32,49,46,50,48,52,54,56,101,45,49,50,32,49,46,
      53,56,52,49,49,101,45,49,50,32,49,46,56,48,55,50,56,101,45,49,50,32,50,46,49,
      53,50,55,51,101,45,49,50,32,50,46,51,51,56,50,49,101,45,49,50,32,50,46,53,56,
      50,50,54,101,45,49,50,32,50,46,51,48,52,52,51,101,45,49,50,10,32,32,50,46,54,
      54,53,54,51,101,45,49,50,32,50,46,56,50,52,56,52,101,45,49,50,32,51,46,49,52,
      55,53,53,101,45,49,50,32,51,46,53,50,57,53,51,101,45,49,50,32,51,46,56,54,56,
      53,50,101,45,49,50,32,52,46,50,50,54,53,51,101,45,49,50,32,52,46,53,55,56,56,
      101,45,49,50,10,32,32,52,46,57,52,50,52,49,101,45,49,50,32,53,46,51,54,53,48,
      56,101,45,49,50,32,53,46,55,53,55,56,49,101,45,49,50,32,54,46,50,48,57,56,55,
      101,45,49,50,32,54,46,53,53,53,53,51,101,45,49,50,32,55,46,49,52,51,53,101,
      45,49,50,32,55,46,53,49,57,50,101,45,49,50,10,32,32,56,46,48,48,50,50,49,101,
      45,49,50,32,57,46,49,57,56,56,57,101,45,49,50,32,49,46,49,48,50,49,101,45,49,
      49,32,49,46,51,48,49,51,51,101,45,49,49,32,49,46,53,56,52,53,49,101,45,49,49,
      32,49,46,57,49,50,50,57,101,45,49,49,32,50,46,51,55,55,56,53,101,45,49,49,10,
      32,32,50,46,56,51,57,51,55,101,45,49,49,32,51,46,52,50,55,50,57,101,45,49,49,
      32,52,46,52,51,55,57,54,101,45,49,49,32,53,46,51,51,57,49,57,101,45,49,49,32,
      54,46,53,56,48,53,51,101,45,49,49,32,56,46,55,48,49,51,57,101,45,49,49,32,49,
      46,49,48,55,56,51,101,45,49,48,10,32,32,49,46,52,48,49,56,49,101,45,49,48,32,
      49,46,56,49,52,56,50,101,45,49,48,32,50,46,51,49,55,56,49,101,45,49,48,32,50,
      46,56,51,54,48,53,101,45,49,48,32,51,46,52,51,48,51,51,101,45,49,48,32,52,46,
      49,48,50,50,55,101,45,49,48,32,52,46,57,54,54,56,54,101,45,49,48,10,32,32,54,
      46,48,54,52,55,56,101,45,49,48,32,55,46,52,52,51,53,57,101,45,49,48,32,56,46,
      56,51,51,55,57,101,45,49,48,32,49,46,48,53,53,51,50,101,45,48,57,32,49,46,50,
      50,54,57,101,45,48,57,32,49,46,52,49,53,55,55,101,45,48,57,32,49,46,54,52,55,
      53,57,101,45,48,57,10,32,32,49,46,57,50,51,54,54,101,45,48,57,32,50,46,49,53,
      55,51,56,101,45,48,57,32,50,46,52,53,48,57,49,101,45,48,57,32,50,46,55,50,57,
      52,56,101,45,48,57,32,51,46,48,52,55,57,54,101,45,48,57,32,51,46,51,56,54,54,
      52,101,45,48,57,32,51,46,55,52,51,101,45,48,57,10,32,32,52,46,49,49,52,48,50,
      101,45,48,57,32,52,46,52,57,54,57,50,101,45,48,57,32,52,46,56,56,55,53,57,101,
      45,48,57,32,53,46,50,56,49,56,55,101,45,48,57,32,53,46,54,55,53,48,50,101,45,
      48,57,32,54,46,48,54,50,50,53,101,45,48,57,32,54,46,52,51,56,52,53,101,45,48,
      57,10,32,32,54,46,55,57,57,50,56,101,45,48,57,32,55,46,49,51,57,56,51,101,45,
      48,57,32,55,46,52,53,54,52,51,101,45,48,57,32,55,46,55,52,53,56,56,101,45,48,
      57,32,56,46,48,48,52,55,50,101,45,48,57,32,56,46,50,51,48,56,49,101,45,48,57,
      32,56,46,52,50,50,51,53,101,45,48,57,10,32,32,56,46,53,55,56,49,57,101,45,48,
      57,32,56,46,54,57,55,49,57,101,45,48,57,32,56,46,55,55,56,57,56,101,45,48,57,
      32,56,46,56,50,51,55,55,101,45,48,57,32,56,46,56,51,50,57,50,101,45,48,57,32,
      56,46,56,48,55,56,51,101,45,48,57,32,56,46,55,53,48,48,50,101,45,48,57,10,32,
      32,56,46,54,54,49,55,56,101,45,48,57,32,56,46,53,52,53,50,52,101,45,48,57,32,
      56,46,52,48,50,54,57,101,45,48,57,32,56,46,50,51,54,52,52,101,45,48,57,32,56,
      46,48,52,57,49,54,101,45,48,57,32,55,46,56,52,51,49,55,101,45,48,57,32,55,46,
      54,50,48,57,50,101,45,48,57,10,32,32,55,46,51,56,53,48,53,101,45,48,57,32,55,
      46,49,57,51,56,53,101,45,48,57,32,54,46,57,57,54,57,101,45,48,57,32,54,46,55,
      57,53,51,56,101,45,48,57,32,54,46,53,57,48,50,55,101,45,48,57,32,54,46,51,56,
      50,52,57,101,45,48,57,32,54,46,49,52,54,48,56,101,45,48,57,10,32,32,53,46,56,
      52,53,52,57,101,45,48,57,32,53,46,53,52,53,54,49,101,45,48,57,32,53,46,50,52,
      56,51,55,101,45,48,57,32,52,46,57,53,53,51,57,101,45,48,57,32,52,46,54,54,56,
      52,52,101,45,48,57,32,52,46,51,56,56,55,101,45,48,57,32,52,46,49,49,55,51,51,
      101,45,48,57,10,32,32,51,46,56,53,53,50,50,101,45,48,57,32,51,46,54,48,50,56,
      54,101,45,48,57,32,51,46,51,54,48,56,52,101,45,48,57,32,51,46,49,50,57,54,52,
      101,45,48,57,32,50,46,57,48,57,52,56,101,45,48,57,32,50,46,55,48,48,52,52,101,
      45,48,57,32,50,46,53,48,50,53,101,45,48,57,10,32,32,50,46,51,49,53,53,57,101,
      45,48,57,32,50,46,49,51,57,53,56,101,45,48,57,32,49,46,57,55,52,49,57,101,45,
      48,57,32,49,46,56,49,57,49,53,101,45,48,57,32,49,46,54,55,52,49,53,101,45,48,
      57,32,49,46,53,51,56,55,56,101,45,48,57,32,49,46,52,49,50,54,55,101,45,48,57,
      10,32,32,49,46,50,57,53,52,101,45,48,57,32,49,46,49,56,54,53,53,101,45,48,57,
      32,49,46,48,56,53,54,55,101,45,48,57,32,57,46,57,50,51,51,51,101,45,49,48,32,
      57,46,48,54,48,57,56,101,45,49,48,32,56,46,50,54,53,49,56,101,45,49,48,32,55,
      46,53,51,50,48,49,101,45,49,48,10,32,32,54,46,56,53,55,51,101,45,49,48,32,54,
      46,50,51,55,52,55,101,45,49,48,32,53,46,54,54,56,55,49,101,45,49,48,32,53,46,
      49,52,55,53,55,101,45,49,48,32,52,46,54,55,48,53,56,101,45,49,48,32,52,46,50,
      51,52,52,57,101,45,49,48,32,51,46,56,51,54,50,52,101,45,49,48,10,32,32,51,46,
      52,55,50,56,57,101,45,49,48,32,50,46,56,52,48,50,50,101,45,49,48,32,50,46,51,
      49,54,53,50,101,45,49,48,32,49,46,56,56,52,54,52,101,45,49,48,32,49,46,53,50,
      57,54,51,101,45,49,48,32,49,46,50,51,56,54,57,101,45,49,48,32,49,46,48,48,48,
      57,54,101,45,49,48,10,32,32,56,46,48,55,50,48,53,101,45,49,49,32,54,46,52,57,
      55,48,50,101,45,49,49,32,53,46,50,49,57,56,56,101,45,49,49,32,52,46,49,56,54,
      52,53,101,45,49,49,32,51,46,51,53,50,49,101,45,49,49,32,50,46,54,55,57,57,101,
      45,49,49,32,50,46,49,51,57,51,54,101,45,49,49,10,32,32,49,46,55,48,53,52,52,
      101,45,49,49,32,49,46,51,53,55,54,54,101,45,49,49,32,49,46,48,55,57,51,57,101,
      45,49,49,32,56,46,53,55,49,49,52,101,45,49,50,32,54,46,55,57,56,50,57,101,45,
      49,50,32,53,46,51,56,54,49,53,101,45,49,50,32,52,46,50,54,50,55,51,101,45,49,
      50,10,32,32,51,46,51,55,48,50,50,101,45,49,50,32,50,46,54,54,49,57,53,101,45,
      49,50,32,50,46,49,48,48,53,51,101,45,49,50,32,49,46,54,53,54,48,52,101,45,49,
      50,32,49,46,51,48,52,52,56,101,45,49,50,32,49,46,48,50,54,55,49,101,45,49,50,
      32,56,46,48,55,52,53,51,101,45,49,51,10,32,32,54,46,51,52,53,52,50,101,45,49,
      51,32,52,46,57,56,50,57,56,101,45,49,51,32,48,114,49,55,57,32,53,46,49,54,51,
      49,54,101,45,50,55,32,50,46,51,54,48,49,52,101,45,50,54,32,53,46,53,48,48,52,
      56,101,45,50,54,32,54,46,54,49,53,55,52,101,45,50,54,32,52,46,56,53,54,57,52,
      101,45,50,54,10,32,32,51,46,51,57,48,51,51,101,45,50,54,32,50,46,53,55,48,54,
      50,101,45,50,54,32,50,46,50,56,55,57,101,45,50,54,32,50,46,53,50,49,57,49,101,
      45,50,54,32,51,46,54,53,49,53,50,101,45,50,54,32,55,46,52,50,51,49,53,101,45,
      50,54,32,50,46,52,53,57,51,55,101,45,50,53,10,32,32,49,46,48,57,54,53,56,101,
      45,50,52,32,49,46,56,52,49,48,50,101,45,50,51,32,49,46,50,51,49,56,54,101,45,
      49,56,32,49,46,51,54,57,53,53,101,45,49,56,32,57,46,52,55,54,55,51,101,45,49,
      57,32,56,46,49,52,56,48,49,101,45,50,52,32,51,46,55,54,48,52,55,101,45,50,52,
      10,32,32,50,46,51,52,50,53,54,101,45,50,52,32,49,46,57,53,51,55,52,101,45,50,
      52,32,50,46,49,56,56,52,53,101,45,50,52,32,51,46,49,54,48,49,56,101,45,50,52,
      32,53,46,54,56,48,51,52,101,45,50,52,32,49,46,51,49,49,51,101,45,50,51,32,50,
      46,48,48,57,52,55,101,45,49,56,10,32,32,51,46,57,50,56,52,53,101,45,49,56,32,
      55,46,52,48,57,55,51,101,45,49,56,32,49,46,51,48,57,50,53,101,45,49,55,32,50,
      46,53,57,55,57,53,101,45,49,55,32,54,46,56,57,54,48,53,101,45,49,55,32,49,46,
      52,56,57,54,57,101,45,49,54,32,50,46,51,52,50,53,53,101,45,49,54,10,32,32,50,
      46,57,50,49,51,55,101,45,49,54,32,51,46,56,50,54,55,50,101,45,49,54,32,53,46,
      49,57,51,56,49,101,45,49,54,32,54,46,51,56,48,50,52,101,45,49,54,32,54,46,53,
      54,51,51,54,101,45,49,54,32,54,46,51,48,51,48,56,101,45,49,54,32,54,46,54,55,
      53,55,101,45,49,54,10,32,32,56,46,55,52,48,51,57,101,45,49,54,32,49,46,51,49,
      55,54,54,101,45,49,53,32,49,46,56,55,55,55,53,101,45,49,53,32,51,46,54,54,51,
      54,52,101,45,49,53,32,54,46,56,50,51,48,52,101,45,49,53,32,49,46,50,54,48,57,
      54,101,45,49,52,32,50,46,51,56,51,53,54,101,45,49,52,10,32,32,51,46,54,57,51,
      55,50,101,45,49,52,32,52,46,56,51,53,50,101,45,49,52,32,53,46,53,50,48,49,52,
      101,45,49,52,32,54,46,52,48,54,48,55,101,45,49,52,32,55,46,51,48,52,49,50,101,
      45,49,52,32,56,46,52,53,50,55,54,101,45,49,52,32,57,46,52,50,49,49,55,101,45,
      49,52,10,32,32,49,46,48,56,52,55,50,101,45,49,51,32,49,46,51,50,49,50,53,101,
      45,49,51,32,49,46,52,57,53,54,49,101,45,49,51,32,49,46,57,50,54,57,50,101,45,
      49,51,32,50,46,54,53,48,56,53,101,45,49,51,32,51,46,50,52,48,50,54,101,45,49,
      51,32,51,46,57,53,49,56,54,101,45,49,51,10,32,32,53,46,51,50,50,48,54,101,45,
      49,51,32,55,46,49,55,48,49,101,45,49,51,32,56,46,50,56,53,48,50,101,45,49,51,
      32,49,46,48,48,52,48,51,101,45,49,50,32,49,46,48,57,57,52,101,45,49,50,32,49,
      46,50,50,52,57,52,101,45,49,50,32,49,46,48,55,51,53,55,101,45,49,50,10,32,32,
      49,46,50,53,57,54,101,45,49,50,32,49,46,51,52,50,54,50,101,45,49,50,32,49,46,
      53,49,50,54,50,101,45,49,50,32,49,46,55,49,54,54,53,101,45,49,50,32,49,46,56,
      57,57,57,53,101,45,49,50,32,50,46,48,57,53,54,101,45,49,50,32,50,46,50,57,48,
      48,56,101,45,49,50,10,32,32,50,46,52,57,50,53,52,101,45,49,50,32,50,46,55,50,
      57,57,50,101,45,49,50,32,50,46,57,53,50,51,52,101,45,49,50,32,51,46,50,49,48,
      51,51,101,45,49,50,32,51,46,52,48,56,56,54,101,45,49,50,32,51,46,55,52,56,55,
      56,101,45,49,50,32,51,46,57,54,55,50,54,101,45,49,50,10,32,32,52,46,50,52,57,
      52,51,101,45,49,50,32,52,46,57,53,51,57,51,101,45,49,50,32,54,46,48,51,54,48,
      50,101,45,49,50,32,55,46,50,50,54,52,53,101,45,49,50,32,56,46,57,49,57,50,53,
      101,45,49,50,32,49,46,48,56,54,57,49,101,45,49,49,32,49,46,51,54,48,56,57,101,
      45,49,49,10,32,32,49,46,54,50,56,55,56,101,45,49,49,32,49,46,57,56,53,48,49,
      101,45,49,49,32,50,46,53,54,53,53,51,101,45,49,49,32,51,46,48,53,54,56,54,101,
      45,49,49,32,51,46,55,50,55,50,51,101,45,49,49,32,52,46,56,54,55,55,52,101,45,
      49,49,32,54,46,49,53,48,50,101,45,49,49,10,32,32,55,46,55,53,48,54,49,101,45,
      49,49,32,49,46,48,48,51,48,52,101,45,49,48,32,49,46,50,56,53,49,49,101,45,49,
      48,32,49,46,53,56,48,53,49,101,45,49,48,32,49,46,57,50,52,48,57,101,45,49,48,
      32,50,46,51,49,56,48,50,101,45,49,48,32,50,46,56,51,50,48,56,101,45,49,48,10,
      32,32,51,46,52,57,51,52,50,101,45,49,48,32,52,46,51,51,52,101,45,49,48,32,53,
      46,49,56,56,53,55,101,45,49,48,32,54,46,50,53,49,50,49,101,45,49,48,32,55,46,
      51,49,52,57,49,101,45,49,48,32,56,46,52,56,55,56,53,101,45,49,48,32,57,46,57,
      50,56,52,52,101,45,49,48,10,32,32,49,46,49,54,52,52,53,101,45,48,57,32,49,46,
      51,48,57,57,49,101,45,48,57,32,49,46,52,57,51,48,51,101,45,48,57,32,49,46,54,
      54,55,52,51,101,45,48,57,32,49,46,56,54,55,54,101,45,48,57,32,50,46,48,56,49,
      54,55,101,45,48,57,32,50,46,51,48,56,54,49,101,45,48,57,10,32,32,50,46,53,52,
      55,50,101,45,48,57,32,50,46,55,57,53,55,54,101,45,48,57,32,51,46,48,53,50,48,
      54,101,45,48,57,32,51,46,51,49,51,55,50,101,45,48,57,32,51,46,53,55,55,56,50,
      101,45,48,57,32,51,46,56,52,49,53,101,45,48,57,32,52,46,49,48,49,51,55,101,
      45,48,57,10,32,32,52,46,51,53,52,53,52,101,45,48,57,32,52,46,53,57,56,48,51,
      101,45,48,57,32,52,46,56,50,56,57,101,45,48,57,32,53,46,48,52,52,50,56,101,
      45,48,57,32,53,46,50,52,50,49,49,101,45,48,57,32,53,46,52,50,48,51,54,101,45,
      48,57,32,53,46,53,55,55,51,56,101,45,48,57,10,32,32,53,46,55,49,49,54,55,101,
      45,48,57,32,53,46,56,50,50,52,55,101,45,48,57,32,53,46,57,48,56,57,53,101,45,
      48,57,32,53,46,57,55,49,48,51,101,45,48,57,32,54,46,48,48,56,55,51,101,45,48,
      57,32,54,46,48,50,50,55,49,101,45,48,57,32,54,46,48,49,51,55,49,101,45,48,57,
      10,32,32,53,46,57,56,50,52,55,101,45,48,57,32,53,46,57,51,48,51,57,101,45,48,
      57,32,53,46,56,53,56,57,56,101,45,48,57,32,53,46,55,54,57,54,55,101,45,48,57,
      32,53,46,54,54,52,48,50,101,45,48,57,32,53,46,53,52,51,54,50,101,45,48,57,32,
      53,46,52,48,57,57,57,101,45,48,57,10,32,32,53,46,50,54,52,55,56,101,45,48,57,
      32,53,46,49,52,53,48,50,101,45,48,57,32,53,46,48,50,48,49,49,101,45,48,57,32,
      52,46,56,57,48,55,57,101,45,48,57,32,52,46,55,53,55,54,54,101,45,48,57,32,52,
      46,54,50,49,53,52,101,45,48,57,32,52,46,52,54,53,49,57,101,45,48,57,10,32,32,
      52,46,50,54,52,49,54,101,45,48,57,32,52,46,48,54,49,53,54,101,45,48,57,32,51,
      46,56,53,56,55,55,101,45,48,57,32,51,46,54,53,55,51,101,45,48,57,32,51,46,52,
      53,56,51,53,101,45,48,57,32,51,46,50,54,51,101,45,48,57,32,51,46,48,55,50,49,
      53,101,45,48,57,10,32,32,50,46,56,56,54,51,52,101,45,48,57,32,50,46,55,48,54,
      51,56,101,45,48,57,32,50,46,53,51,50,56,56,101,45,48,57,32,50,46,51,54,54,50,
      49,101,45,48,57,32,50,46,50,48,54,54,53,101,45,48,57,32,50,46,48,53,52,51,56,
      101,45,48,57,32,49,46,57,48,57,53,49,101,45,48,57,10,32,32,49,46,55,55,50,48,
      55,101,45,48,57,32,49,46,54,52,50,48,55,101,45,48,57,32,49,46,53,49,57,52,49,
      101,45,48,57,32,49,46,52,48,51,57,51,101,45,48,57,32,49,46,50,57,53,52,57,101,
      45,48,57,32,49,46,49,57,51,56,53,101,45,48,57,32,49,46,48,57,56,56,101,45,48,
      57,10,32,32,49,46,48,49,48,49,101,45,48,57,32,57,46,50,55,52,52,51,101,45,49,
      48,32,56,46,53,48,53,53,49,101,45,49,48,32,55,46,55,57,49,54,56,101,45,49,48,
      32,55,46,49,50,57,57,49,101,45,49,48,32,54,46,53,49,55,54,51,101,45,49,48,32,
      53,46,57,53,50,48,55,101,45,49,48,10,32,32,53,46,52,51,48,52,49,101,45,49,48,
      32,52,46,57,52,57,57,101,45,49,48,32,52,46,53,48,55,56,56,101,45,49,48,32,52,
      46,49,48,49,55,55,101,45,49,48,32,51,46,55,50,57,49,101,45,49,48,32,51,46,51,
      56,55,53,51,101,45,49,48,32,51,46,48,55,52,56,49,101,45,49,48,10,32,32,50,46,
      55,56,56,56,50,101,45,49,48,32,50,46,50,56,57,48,54,101,45,49,48,32,49,46,56,
      55,51,53,51,101,45,49,48,32,49,46,53,50,57,52,101,45,49,48,32,49,46,50,52,53,
      51,101,45,49,48,32,49,46,48,49,49,53,55,101,45,49,48,32,56,46,49,57,56,53,57,
      101,45,49,49,10,32,32,54,46,54,51,48,55,57,101,45,49,49,32,53,46,51,53,50,48,
      53,101,45,49,49,32,52,46,51,49,49,53,49,101,45,49,49,32,51,46,52,54,55,48,50,
      101,45,49,49,32,50,46,55,56,51,49,49,101,45,49,49,32,50,46,50,51,48,52,53,101,
      45,49,49,32,49,46,55,56,52,55,50,101,45,49,49,10,32,32,49,46,52,50,53,57,56,
      101,45,49,49,32,49,46,49,51,55,55,51,101,45,49,49,32,57,46,48,54,53,52,49,101,
      45,49,50,32,55,46,50,49,51,56,54,101,45,49,50,32,53,46,55,51,51,51,55,101,45,
      49,50,32,52,46,53,53,49,51,57,101,45,49,50,32,51,46,54,48,57,48,51,101,45,49,
      50,10,32,32,50,46,56,53,56,55,52,101,45,49,50,32,50,46,50,54,50,49,101,45,49,
      50,32,49,46,55,56,56,49,56,101,45,49,50,32,49,46,52,49,50,50,49,101,45,49,50,
      32,49,46,49,49,52,50,57,101,45,49,50,32,56,46,55,56,52,54,50,101,45,49,51,32,
      54,46,57,49,57,54,56,101,45,49,51,10,32,32,53,46,52,52,54,51,52,101,45,49,51,
      32,52,46,50,56,51,52,56,101,45,49,51,32,48,114,49,56,48,32,49,46,56,55,50,50,
      52,101,45,50,55,32,52,46,53,53,52,50,50,101,45,50,55,32,53,46,53,48,57,52,49,
      101,45,50,55,32,51,46,57,54,50,54,57,101,45,50,55,32,50,46,55,48,50,50,51,101,
      45,50,55,10,32,32,50,46,48,48,57,52,51,101,45,50,55,32,49,46,55,54,57,52,49,
      101,45,50,55,32,49,46,57,53,51,101,45,50,55,32,50,46,56,55,53,50,101,45,50,
      55,32,54,46,48,53,51,50,56,101,45,50,55,32,50,46,49,50,55,55,52,101,45,50,54,
      32,49,46,48,49,54,57,101,45,50,53,10,32,32,49,46,56,56,55,56,51,101,45,50,52,
      32,49,46,53,55,56,51,52,101,45,49,57,32,49,46,55,53,54,53,49,101,45,49,57,32,
      49,46,49,56,51,55,101,45,49,57,32,56,46,49,56,55,52,56,101,45,50,53,32,51,46,
      54,49,57,52,52,101,45,50,53,32,50,46,49,57,51,52,101,45,50,53,10,32,32,49,46,
      56,48,53,56,52,101,45,50,53,32,50,46,48,50,53,57,50,101,45,50,53,32,50,46,57,
      54,56,101,45,50,53,32,53,46,52,55,51,51,57,101,45,50,53,32,49,46,51,49,50,53,
      55,101,45,50,52,32,50,46,53,49,51,49,57,101,45,49,57,32,53,46,48,57,49,56,53,
      101,45,49,57,10,32,32,57,46,57,51,57,56,50,101,45,49,57,32,49,46,56,49,51,57,
      53,101,45,49,56,32,51,46,55,53,48,52,51,101,45,49,56,32,49,46,48,53,57,53,55,
      101,45,49,55,32,50,46,52,48,57,56,56,101,45,49,55,32,51,46,57,48,51,49,50,101,
      45,49,55,32,52,46,57,51,48,48,51,101,45,49,55,10,32,32,54,46,53,53,53,56,55,
      101,45,49,55,32,57,46,48,54,55,51,57,101,45,49,55,32,49,46,49,50,54,50,56,101,
      45,49,54,32,49,46,49,53,53,51,49,101,45,49,54,32,49,46,49,48,48,51,52,101,45,
      49,54,32,49,46,49,54,53,51,57,101,45,49,54,32,49,46,53,53,50,51,49,101,45,49,
      54,10,32,32,50,46,52,49,49,53,53,101,45,49,54,32,51,46,53,51,49,55,50,101,45,
      49,54,32,55,46,50,54,57,56,54,101,45,49,54,32,49,46,52,50,54,55,53,101,45,49,
      53,32,50,46,55,56,53,50,57,101,45,49,53,32,53,46,53,57,49,48,49,101,45,49,53,
      32,57,46,48,52,49,48,54,101,45,49,53,10,32,32,49,46,50,49,51,48,49,101,45,49,
      52,32,49,46,51,57,56,49,55,101,45,49,52,32,49,46,55,50,49,54,101,45,49,52,32,
      50,46,48,54,56,54,50,101,45,49,52,32,50,46,53,52,48,57,52,101,45,49,52,32,50,
      46,57,54,51,50,53,101,45,49,52,32,51,46,54,52,48,56,101,45,49,52,10,32,32,52,
      46,54,51,50,49,52,101,45,49,52,32,53,46,50,52,48,57,55,101,45,49,52,32,54,46,
      55,53,53,52,54,101,45,49,52,32,57,46,51,51,51,52,55,101,45,49,52,32,49,46,49,
      52,54,57,55,101,45,49,51,32,49,46,52,48,57,52,49,101,45,49,51,32,49,46,57,50,
      57,50,50,101,45,49,51,10,32,32,50,46,54,53,51,49,49,101,45,49,51,32,51,46,49,
      48,49,51,55,101,45,49,51,32,51,46,56,50,48,49,53,101,45,49,51,32,52,46,50,49,
      54,52,54,101,45,49,51,32,52,46,55,51,57,53,52,101,45,49,51,32,52,46,48,56,48,
      49,52,101,45,49,51,32,52,46,56,53,52,54,50,101,45,49,51,10,32,32,53,46,50,48,
      53,48,55,101,45,49,51,32,53,46,57,51,49,51,101,45,49,51,32,54,46,56,49,54,57,
      54,101,45,49,51,32,55,46,54,50,52,52,55,101,45,49,51,32,56,46,52,57,55,57,49,
      101,45,49,51,32,57,46,51,55,54,53,53,101,45,49,51,32,49,46,48,51,48,50,50,101,
      45,49,50,10,32,32,49,46,49,52,48,48,50,101,45,49,50,32,49,46,50,52,52,48,54,
      101,45,49,50,32,49,46,51,54,54,48,54,101,45,49,50,32,49,46,52,54,48,56,50,101,
      45,49,50,32,49,46,54,50,52,54,55,101,45,49,50,32,49,46,55,51,49,48,50,101,45,
      49,50,32,49,46,56,54,57,52,50,101,45,49,50,10,32,32,50,46,50,49,57,52,49,101,
      45,49,50,32,50,46,55,54,55,48,51,101,45,49,50,32,51,46,51,55,57,50,54,101,45,
      49,50,32,52,46,50,54,48,52,55,101,45,49,50,32,53,46,50,56,50,49,53,101,45,49,
      50,32,54,46,55,49,54,55,54,101,45,49,50,32,56,46,49,49,48,51,52,101,45,49,50,
      10,32,32,49,46,48,49,51,50,53,101,45,49,49,32,49,46,51,49,54,55,57,101,45,49,
      49,32,49,46,53,53,57,48,51,101,45,49,49,32,49,46,56,56,50,56,56,101,45,49,49,
      32,50,46,52,50,52,56,49,101,45,49,49,32,51,46,48,50,57,55,57,101,45,49,49,32,
      51,46,55,56,53,55,55,101,45,49,49,10,32,32,52,46,56,55,49,55,57,101,45,49,49,
      32,54,46,50,51,53,49,56,101,45,49,49,32,55,46,54,56,54,48,55,101,45,49,49,32,
      57,46,52,48,49,55,101,45,49,49,32,49,46,49,52,48,49,55,101,45,49,48,32,49,46,
      52,48,53,52,55,101,45,49,48,32,49,46,55,53,51,101,45,49,48,10,32,32,50,46,50,
      48,50,52,57,101,45,49,48,32,50,46,54,54,53,57,101,45,49,48,32,51,46,50,52,56,
      50,56,101,45,49,48,32,51,46,56,51,53,56,52,101,45,49,48,32,52,46,52,56,54,54,
      57,101,45,49,48,32,53,46,50,56,56,51,55,101,45,49,48,32,54,46,50,52,53,54,50,
      101,45,49,48,10,32,32,55,46,48,53,56,49,55,101,45,49,48,32,56,46,48,56,50,52,
      101,45,49,48,32,57,46,48,54,48,54,56,101,45,49,48,32,49,46,48,49,56,56,55,101,
      45,48,57,32,49,46,49,52,48,50,54,101,45,48,57,32,49,46,50,54,57,57,56,101,45,
      48,57,32,49,46,52,48,55,52,49,101,45,48,57,10,32,32,49,46,53,53,49,57,55,101,
      45,48,57,32,49,46,55,48,50,55,53,101,45,48,57,32,49,46,56,53,56,52,52,101,45,
      48,57,32,50,46,48,49,55,55,55,101,45,48,57,32,50,46,49,55,57,49,53,101,45,48,
      57,32,50,46,51,52,48,55,57,101,45,48,57,32,50,46,53,48,48,57,49,101,45,48,57,
      10,32,32,50,46,54,53,55,55,52,101,45,48,57,32,50,46,56,48,57,53,52,101,45,48,
      57,32,50,46,57,53,52,53,50,101,45,48,57,32,51,46,48,57,48,56,49,101,45,48,57,
      32,51,46,50,49,55,49,57,101,45,48,57,32,51,46,51,51,50,51,51,101,45,48,57,32,
      51,46,52,51,53,49,49,101,45,48,57,10,32,32,51,46,53,50,52,54,57,101,45,48,57,
      32,51,46,54,48,48,52,52,101,45,48,57,32,51,46,54,54,49,57,55,101,45,48,57,32,
      51,46,55,48,56,57,57,101,45,48,57,32,51,46,55,52,49,51,50,101,45,48,57,32,51,
      46,55,53,57,49,55,101,45,48,57,32,51,46,55,54,50,55,55,101,45,48,57,10,32,32,
      51,46,55,53,50,51,53,101,45,48,57,32,51,46,55,50,56,56,52,101,45,48,57,32,51,
      46,54,57,50,55,57,101,45,48,57,32,51,46,54,52,53,50,49,101,45,48,57,32,51,46,
      53,56,55,48,57,101,45,48,57,32,51,46,53,49,57,51,51,101,45,48,57,32,51,46,52,
      52,50,56,53,101,45,48,57,10,32,32,51,46,51,55,56,48,49,101,45,48,57,32,51,46,
      51,48,56,56,57,101,45,48,57,32,51,46,50,51,54,48,52,101,45,48,57,32,51,46,49,
      53,57,57,50,101,45,48,57,32,51,46,48,56,48,57,56,101,45,48,57,32,50,46,57,56,
      57,48,54,101,45,48,57,32,50,46,56,54,57,50,55,101,45,48,57,10,32,32,50,46,55,
      52,54,55,52,101,45,48,57,32,50,46,54,50,50,52,51,101,45,48,57,32,50,46,52,57,
      55,51,55,101,45,48,57,32,50,46,51,55,50,52,54,101,45,48,57,32,50,46,50,52,56,
      53,101,45,48,57,32,50,46,49,50,54,50,52,101,45,48,57,32,50,46,48,48,54,51,50,
      101,45,48,57,10,32,32,49,46,56,56,57,50,54,101,45,48,57,32,49,46,55,55,53,52,
      50,101,45,48,57,32,49,46,54,54,53,50,51,101,45,48,57,32,49,46,53,53,57,48,50,
      101,45,48,57,32,49,46,52,53,54,57,56,101,45,48,57,32,49,46,51,53,57,51,101,
      45,48,57,32,49,46,50,54,54,48,56,101,45,48,57,10,32,32,49,46,49,55,55,51,55,
      101,45,48,57,32,49,46,48,57,51,50,49,101,45,48,57,32,49,46,48,49,51,53,55,101,
      45,48,57,32,57,46,51,56,51,57,53,101,45,49,48,32,56,46,54,55,54,48,55,101,45,
      49,48,32,56,46,48,49,48,56,49,101,45,49,48,32,55,46,51,56,55,48,57,101,45,49,
      48,10,32,32,54,46,56,48,51,52,51,101,45,49,48,32,54,46,50,53,56,48,50,101,45,
      49,48,32,53,46,55,52,57,53,53,101,45,49,48,32,53,46,50,55,54,51,54,101,45,49,
      48,32,52,46,56,51,54,55,52,101,45,49,48,32,52,46,52,50,57,49,51,101,45,49,48,
      32,52,46,48,53,49,55,56,101,45,49,48,10,32,32,51,46,55,48,50,57,54,101,45,49,
      48,32,51,46,51,56,48,57,56,101,45,49,48,32,51,46,48,56,52,49,54,101,45,49,48,
      32,50,46,56,49,48,57,49,101,45,49,48,32,50,46,53,53,57,54,51,101,45,49,48,32,
      50,46,51,50,56,56,55,101,45,49,48,32,50,46,49,49,55,49,57,101,45,49,48,10,32,
      32,49,46,55,52,53,54,56,101,45,49,48,32,49,46,52,51,53,48,54,101,45,49,48,32,
      49,46,49,55,54,52,50,101,45,49,48,32,57,46,54,49,55,57,49,101,45,49,49,32,55,
      46,56,52,51,50,53,101,45,49,49,32,54,46,51,56,48,57,50,101,45,49,49,32,53,46,
      49,55,57,52,51,101,45,49,49,10,32,32,52,46,49,57,53,49,57,101,45,49,49,32,51,
      46,51,57,49,49,53,101,45,49,49,32,50,46,55,51,53,57,101,45,49,49,32,50,46,50,
      48,51,50,52,101,45,49,49,32,49,46,55,55,49,50,52,101,45,49,49,32,49,46,52,50,
      49,53,57,101,45,49,49,32,49,46,49,51,57,49,56,101,45,49,49,10,32,32,57,46,49,
      49,52,54,55,101,45,49,50,32,55,46,50,56,50,48,51,101,45,49,50,32,53,46,56,48,
      57,57,52,101,45,49,50,32,52,46,54,50,57,52,53,101,45,49,50,32,51,46,54,56,52,
      50,50,101,45,49,50,32,50,46,57,50,56,53,101,45,49,50,32,50,46,51,50,53,49,54,
      101,45,49,50,10,32,32,49,46,56,52,52,49,49,101,45,49,50,32,49,46,52,54,49,48,
      53,101,45,49,50,32,49,46,49,53,54,52,101,45,49,50,32,57,46,49,52,51,57,101,
      45,49,51,32,55,46,50,50,51,53,50,101,45,49,51,32,53,46,55,48,49,51,54,101,45,
      49,51,32,52,46,52,57,54,49,49,101,45,49,51,10,32,32,51,46,53,52,50,56,49,101,
      45,49,51,32,48,114,49,56,49,32,49,46,50,48,56,55,51,101,45,50,55,32,49,46,52,
      54,53,53,55,101,45,50,55,32,49,46,48,52,53,55,51,101,45,50,55,32,55,46,48,54,
      56,54,52,101,45,50,56,32,48,114,52,32,49,46,53,57,55,49,49,101,45,50,55,10,
      32,32,53,46,55,52,57,52,52,101,45,50,55,32,50,46,56,51,54,49,56,101,45,50,54,
      32,53,46,53,49,51,50,55,101,45,50,53,32,53,46,49,50,50,57,50,101,45,50,48,32,
      53,46,55,48,52,55,54,101,45,50,48,32,51,46,55,56,48,57,101,45,50,48,32,50,46,
      51,54,57,55,54,101,45,50,53,10,32,32,49,46,48,50,54,52,56,101,45,50,53,32,54,
      46,49,52,52,56,57,101,45,50,54,32,53,46,48,50,56,57,54,101,45,50,54,32,53,46,
      54,52,53,56,56,101,45,50,54,32,56,46,51,50,54,57,55,101,45,50,54,32,49,46,53,
      53,50,56,54,101,45,50,53,32,51,46,55,57,48,52,51,101,45,50,53,10,32,32,56,46,
      48,51,52,48,55,101,45,50,48,32,49,46,54,54,52,53,52,101,45,49,57,32,51,46,51,
      49,56,48,57,101,45,49,57,32,54,46,49,55,49,53,50,101,45,49,57,32,49,46,51,48,
      54,49,50,101,45,49,56,32,51,46,56,49,55,52,54,101,45,49,56,32,56,46,57,50,49,
      49,55,101,45,49,56,10,32,32,49,46,52,54,55,50,53,101,45,49,55,32,49,46,56,54,
      53,53,53,101,45,49,55,32,50,46,53,48,48,49,56,101,45,49,55,32,51,46,52,57,49,
      55,53,101,45,49,55,32,52,46,51,54,50,48,52,101,45,49,55,32,52,46,52,54,55,56,
      54,101,45,49,55,32,52,46,50,51,55,49,57,101,45,49,55,10,32,32,52,46,52,56,55,
      54,54,101,45,49,55,32,54,46,48,51,48,56,56,101,45,49,55,32,57,46,53,49,53,52,
      101,45,49,55,32,49,46,52,49,51,51,101,45,49,54,32,50,46,57,57,48,56,49,101,
      45,49,54,32,54,46,48,51,48,57,54,101,45,49,54,32,49,46,50,49,49,52,56,101,45,
      49,53,10,32,32,50,46,53,48,56,56,57,101,45,49,53,32,52,46,49,52,55,57,50,101,
      45,49,53,32,53,46,54,51,54,56,101,45,49,53,32,54,46,53,50,57,54,54,101,45,49,
      53,32,56,46,51,51,54,48,54,101,45,49,53,32,49,46,48,51,52,50,50,101,45,49,52,
      32,49,46,51,49,55,52,52,101,45,49,52,10,32,32,49,46,53,55,57,52,56,101,45,49,
      52,32,50,46,48,49,57,49,53,101,45,49,52,32,50,46,54,52,49,48,56,101,45,49,52,
      32,50,46,57,57,48,57,101,45,49,52,32,51,46,56,54,49,55,49,101,45,49,52,32,53,
      46,51,52,55,55,52,101,45,49,52,32,54,46,53,56,52,50,54,101,45,49,52,10,32,32,
      56,46,49,49,48,57,57,101,45,49,52,32,49,46,49,49,55,54,101,45,49,51,32,49,46,
      53,52,57,48,55,101,45,49,51,32,49,46,56,49,56,55,51,101,45,49,51,32,50,46,50,
      53,52,55,54,101,45,49,51,32,50,46,52,57,54,56,54,101,45,49,51,32,50,46,56,49,
      54,56,57,101,45,49,51,10,32,32,50,46,52,48,55,49,49,101,45,49,51,32,50,46,56,
      56,48,53,55,101,45,49,51,32,51,46,48,57,54,49,50,101,45,49,51,32,51,46,53,52,
      53,50,53,101,45,49,51,32,52,46,48,57,55,50,56,101,45,49,51,32,52,46,54,48,52,
      51,57,101,45,49,51,32,53,46,49,53,54,54,50,101,45,49,51,10,32,32,53,46,55,49,
      54,48,51,101,45,49,51,32,54,46,51,48,56,57,50,101,45,49,51,32,55,46,48,49,54,
      53,53,101,45,49,51,32,55,46,54,57,48,56,57,101,45,49,51,32,56,46,52,56,53,57,
      51,101,45,49,51,32,57,46,49,48,54,54,51,101,45,49,51,32,49,46,48,49,56,53,55,
      101,45,49,50,10,32,32,49,46,48,56,57,48,50,101,45,49,50,32,49,46,49,56,49,48,
      51,101,45,49,50,32,49,46,52,49,53,53,55,101,45,49,50,32,49,46,55,56,55,101,
      45,49,50,32,50,46,50,48,55,49,49,101,45,49,50,32,50,46,56,49,56,49,57,101,45,
      49,50,32,51,46,53,51,50,53,49,101,45,49,50,10,32,32,52,46,53,52,48,53,101,45,
      49,50,32,53,46,53,50,48,56,56,101,45,49,50,32,55,46,48,51,55,48,55,101,45,49,
      50,32,57,46,49,56,49,54,55,101,45,49,50,32,49,46,48,56,54,56,49,101,45,49,49,
      32,49,46,51,48,57,54,55,101,45,49,49,32,49,46,54,55,56,48,55,101,45,49,49,10,
      32,32,50,46,48,56,53,57,56,101,45,49,49,32,50,46,53,57,51,57,52,101,45,49,49,
      32,51,46,51,50,52,50,53,101,45,49,49,32,52,46,50,52,52,57,57,101,45,49,49,32,
      53,46,50,51,48,53,56,101,45,49,49,32,54,46,52,48,53,48,53,101,45,49,49,32,55,
      46,55,56,53,50,101,45,49,49,10,32,32,57,46,54,51,50,51,49,101,45,49,49,32,49,
      46,50,48,55,53,52,101,45,49,48,32,49,46,53,50,54,53,49,101,45,49,48,32,49,46,
      56,53,56,48,52,101,45,49,48,32,50,46,50,55,55,54,53,101,45,49,48,32,50,46,55,
      48,51,50,57,101,45,49,48,32,51,46,49,55,54,53,53,101,45,49,48,10,32,32,51,46,
      55,54,49,48,55,101,45,49,48,32,52,46,52,54,48,49,51,101,45,49,48,32,53,46,48,
      53,52,49,52,101,45,49,48,32,53,46,56,48,51,54,55,101,45,49,48,32,54,46,53,50,
      48,52,51,101,45,49,48,32,55,46,51,52,56,52,50,101,45,49,48,32,56,46,50,52,49,
      55,50,101,45,49,48,10,32,32,57,46,49,57,56,57,53,101,45,49,48,32,49,46,48,50,
      49,55,52,101,45,48,57,32,49,46,49,50,57,51,54,101,45,48,57,32,49,46,50,52,50,
      49,54,101,45,48,57,32,49,46,51,53,57,51,53,101,45,48,57,32,49,46,52,55,57,57,
      56,101,45,48,57,32,49,46,54,48,50,57,56,101,45,48,57,10,32,32,49,46,55,50,55,
      49,49,101,45,48,57,32,49,46,56,53,49,49,53,101,45,48,57,32,49,46,57,55,51,54,
      55,101,45,48,57,32,50,46,48,57,51,50,54,101,45,48,57,32,50,46,50,48,56,54,56,
      101,45,48,57,32,50,46,51,49,56,54,50,101,45,48,57,32,50,46,52,50,49,56,52,101,
      45,48,57,10,32,32,50,46,53,49,55,50,54,101,45,48,57,32,50,46,54,48,52,48,50,
      101,45,48,57,32,50,46,54,56,49,51,54,101,45,48,57,32,50,46,55,52,56,52,56,101,
      45,48,57,32,50,46,56,48,52,57,56,101,45,48,57,32,50,46,56,53,48,52,55,101,45,
      48,57,32,50,46,56,56,52,55,49,101,45,48,57,10,32,32,50,46,57,48,55,55,56,101,
      45,48,57,32,50,46,57,49,57,56,101,45,48,57,32,50,46,57,50,48,57,54,101,45,48,
      57,32,50,46,57,49,49,55,52,101,45,48,57,32,50,46,56,57,50,53,57,101,45,48,57,
      32,50,46,56,54,52,49,49,101,45,48,57,32,50,46,56,50,54,56,57,101,45,48,57,10,
      32,32,50,46,55,56,49,53,57,101,45,48,57,32,50,46,55,50,56,57,51,101,45,48,57,
      32,50,46,54,56,51,51,55,101,45,48,57,32,50,46,54,51,52,49,101,45,48,57,32,50,
      46,53,56,49,53,54,101,45,48,57,32,50,46,53,50,54,48,49,101,45,48,57,32,50,46,
      52,54,55,56,56,101,45,48,57,10,32,32,50,46,51,57,57,54,101,45,48,57,32,50,46,
      51,48,57,56,50,101,45,48,57,32,50,46,50,49,55,49,54,101,45,48,57,32,50,46,49,
      50,50,52,52,101,45,48,57,32,50,46,48,50,54,53,101,45,48,57,32,49,46,57,51,48,
      48,51,101,45,48,57,32,49,46,56,51,51,55,51,101,45,48,57,10,32,32,49,46,55,51,
      56,50,51,101,45,48,57,32,49,46,54,52,52,48,52,101,45,48,57,32,49,46,53,53,49,
      54,51,101,45,48,57,32,49,46,52,54,49,52,101,45,48,57,32,49,46,51,55,51,55,49,
      101,45,48,57,32,49,46,50,56,56,56,54,101,45,48,57,32,49,46,50,48,55,48,53,101,
      45,48,57,10,32,32,49,46,49,50,56,52,52,101,45,48,57,32,49,46,48,53,51,49,49,
      101,45,48,57,32,57,46,56,49,49,56,56,101,45,49,48,32,57,46,49,50,55,52,55,101,
      45,49,48,32,56,46,52,55,55,55,101,45,49,48,32,55,46,56,54,50,54,51,101,45,49,
      48,32,55,46,50,56,49,56,54,101,45,49,48,10,32,32,54,46,55,51,52,55,52,101,45,
      49,48,32,54,46,50,50,48,54,49,101,45,49,48,32,53,46,55,51,56,52,50,101,45,49,
      48,32,53,46,50,56,55,49,49,101,45,49,48,32,52,46,56,54,53,53,51,101,45,49,48,
      32,52,46,52,55,50,51,53,101,45,49,48,32,52,46,49,48,54,50,52,101,45,49,48,10,
      32,32,51,46,55,54,54,48,54,101,45,49,48,32,51,46,52,53,48,52,56,101,45,49,48,
      32,51,46,49,53,56,49,54,101,45,49,48,32,50,46,56,56,55,55,56,101,45,49,48,32,
      50,46,54,51,56,48,52,101,45,49,48,32,50,46,52,48,55,54,54,101,45,49,48,32,50,
      46,49,57,53,52,49,101,45,49,48,10,32,32,50,46,48,48,48,49,50,101,45,49,48,32,
      49,46,56,50,48,54,55,101,45,49,48,32,49,46,53,48,52,57,50,101,45,49,48,32,49,
      46,50,52,48,48,53,101,45,49,48,32,49,46,48,49,56,56,53,101,45,49,48,32,56,46,
      51,52,55,56,56,101,45,49,49,32,54,46,56,50,50,50,49,101,45,49,49,10,32,32,53,
      46,53,54,49,55,101,45,49,49,32,52,46,53,50,51,54,49,101,45,49,49,32,51,46,54,
      55,49,49,54,101,45,49,49,32,50,46,57,55,51,49,49,101,45,49,49,32,50,46,52,48,
      51,48,53,101,45,49,49,32,49,46,57,51,56,53,57,101,45,49,49,32,49,46,53,54,49,
      49,49,101,45,49,49,10,32,32,49,46,50,53,53,101,45,49,49,32,49,46,48,48,55,50,
      55,101,45,49,49,32,56,46,48,55,49,53,49,101,45,49,50,32,54,46,52,53,56,51,51,
      101,45,49,50,32,53,46,49,54,48,51,54,101,45,49,50,32,52,46,49,49,55,55,51,101,
      45,49,50,32,51,46,50,56,49,53,49,101,45,49,50,10,32,32,50,46,54,49,49,56,57,
      101,45,49,50,32,50,46,48,55,54,52,53,101,45,49,50,32,49,46,54,52,56,57,49,101,
      45,49,50,32,49,46,51,48,55,57,57,101,45,49,50,32,49,46,48,51,54,52,57,101,45,
      49,50,32,56,46,50,48,53,50,54,101,45,49,51,32,54,46,52,56,57,52,55,101,45,49,
      51,10,32,32,53,46,49,50,55,54,49,101,45,49,51,32,52,46,48,52,56,48,50,101,45,
      49,51,32,51,46,49,57,51,49,101,45,49,51,32,48,114,49,56,50,32,51,46,52,48,57,
      53,54,101,45,50,56,32,48,114,55,32,49,46,51,53,57,57,51,101,45,50,55,32,54,
      46,57,51,55,50,57,101,45,50,55,10,32,32,49,46,52,49,49,52,53,101,45,50,53,32,
      49,46,52,53,57,54,52,101,45,50,48,32,49,46,54,50,54,54,49,101,45,50,48,32,49,
      46,48,53,55,49,54,101,45,50,48,32,54,46,48,49,53,56,57,101,45,50,54,32,50,46,
      53,53,55,50,51,101,45,50,54,32,49,46,53,49,48,49,56,101,45,50,54,10,32,32,49,
      46,50,50,56,49,49,101,45,50,54,32,49,46,51,55,57,56,49,101,45,50,54,32,50,46,
      48,52,57,53,56,101,45,50,54,32,51,46,56,55,48,53,54,101,45,50,54,32,57,46,54,
      48,54,57,56,101,45,50,54,32,50,46,50,52,56,53,53,101,45,50,48,32,52,46,55,56,
      50,52,56,101,45,50,48,10,32,32,57,46,55,54,56,55,54,101,45,50,48,32,49,46,56,
      53,55,51,55,101,45,49,57,32,52,46,48,51,55,52,51,101,45,49,57,32,49,46,50,50,
      54,50,52,101,45,49,56,32,50,46,57,53,51,52,101,45,49,56,32,52,46,57,52,48,49,
      52,101,45,49,56,32,54,46,51,50,54,54,53,101,45,49,56,10,32,32,56,46,53,53,49,
      50,57,101,45,49,56,32,49,46,50,48,54,57,56,101,45,49,55,32,49,46,53,49,55,49,
      57,101,45,49,55,32,49,46,53,53,49,53,50,101,45,49,55,32,49,46,52,54,52,54,49,
      101,45,49,55,32,49,46,53,53,49,49,56,101,45,49,55,32,50,46,49,48,52,55,54,101,
      45,49,55,10,32,32,51,46,51,55,54,57,51,101,45,49,55,32,53,46,48,57,50,53,50,
      101,45,49,55,32,49,46,49,49,48,50,57,101,45,49,54,32,50,46,51,48,53,51,49,101,
      45,49,54,32,52,46,55,55,53,48,56,101,45,49,54,32,49,46,48,50,50,55,56,101,45,
      49,53,32,49,46,55,51,49,54,54,101,45,49,53,10,32,32,50,46,51,56,53,56,56,101,
      45,49,53,32,50,46,55,55,56,54,55,101,45,49,53,32,51,46,54,57,52,57,56,101,45,
      49,53,32,52,46,55,53,50,55,55,101,45,49,53,32,54,46,51,48,56,48,49,101,45,49,
      53,32,55,46,56,48,50,50,51,101,45,49,53,32,49,46,48,52,51,48,54,101,45,49,52,
      10,32,32,49,46,52,48,57,53,57,101,45,49,52,32,49,46,54,48,48,54,50,101,45,49,
      52,32,50,46,48,55,55,49,50,101,45,49,52,32,50,46,56,57,50,49,101,45,49,52,32,
      51,46,53,55,50,49,49,101,45,49,52,32,52,46,52,49,52,53,53,101,45,49,52,32,54,
      46,49,51,55,56,51,101,45,49,52,10,32,32,56,46,53,55,54,53,53,101,45,49,52,32,
      49,46,48,49,48,54,54,101,45,49,51,32,49,46,50,53,57,56,55,101,45,49,51,32,49,
      46,51,57,57,49,54,101,45,49,51,32,49,46,53,56,51,54,50,101,45,49,51,32,49,46,
      51,52,52,52,53,101,45,49,51,32,49,46,54,49,55,48,52,101,45,49,51,10,32,32,49,
      46,55,52,49,56,57,101,45,49,51,32,50,46,48,48,51,52,101,45,49,51,32,50,46,51,
      50,55,49,56,101,45,49,51,32,50,46,54,50,54,56,53,101,45,49,51,32,50,46,57,53,
      53,51,52,101,45,49,51,32,51,46,50,57,48,49,55,101,45,49,51,32,51,46,54,52,55,
      49,50,101,45,49,51,10,32,32,52,46,48,55,53,56,53,101,45,49,51,32,52,46,52,56,
      55,48,56,101,45,49,51,32,52,46,57,55,53,48,53,101,45,49,51,32,53,46,51,53,56,
      49,51,101,45,49,51,32,54,46,48,50,56,49,57,101,45,49,51,32,54,46,52,54,56,54,
      50,101,45,49,51,32,55,46,48,52,54,51,50,101,45,49,51,10,32,32,56,46,53,51,49,
      53,54,101,45,49,51,32,49,46,48,57,49,51,55,101,45,49,50,32,49,46,51,54,52,53,
      51,101,45,49,50,32,49,46,55,54,55,49,52,101,45,49,50,32,50,46,50,52,51,51,56,
      101,45,49,50,32,50,46,57,50,49,53,49,101,45,49,50,32,51,46,53,56,52,53,54,101,
      45,49,50,10,32,32,52,46,54,56,54,57,50,101,45,49,50,32,54,46,49,52,54,52,57,
      101,45,49,50,32,55,46,50,57,48,56,50,101,45,49,50,32,56,46,55,56,53,52,55,101,
      45,49,50,32,49,46,49,50,50,50,101,45,49,49,32,49,46,51,56,56,55,51,101,45,49,
      49,32,49,46,55,49,56,53,54,101,45,49,49,10,32,32,50,46,49,57,49,52,50,101,45,
      49,49,32,50,46,55,56,56,52,56,101,45,49,49,32,51,46,52,51,48,56,50,101,45,49,
      49,32,52,46,50,48,49,49,55,101,45,49,49,32,53,46,49,49,50,54,52,101,45,49,49,
      32,54,46,51,52,51,56,55,101,45,49,49,32,55,46,57,56,57,48,50,101,45,49,49,10,
      32,32,49,46,48,49,54,49,49,101,45,49,48,32,49,46,50,52,52,48,50,101,45,49,48,
      32,49,46,53,51,52,56,52,101,45,49,48,32,49,46,56,51,49,56,49,101,45,49,48,32,
      50,46,49,54,51,54,51,101,45,49,48,32,50,46,53,55,53,48,56,101,45,49,48,32,51,
      46,48,54,56,51,56,101,45,49,48,10,32,32,51,46,52,56,56,52,53,101,45,49,48,32,
      52,46,48,49,57,53,50,101,45,49,48,32,52,46,53,50,56,51,101,45,49,48,32,53,46,
      49,49,55,50,53,101,45,49,48,32,53,46,55,53,52,48,49,101,45,49,48,32,54,46,52,
      51,55,56,55,101,45,49,48,32,55,46,49,54,55,56,57,101,45,49,48,10,32,32,55,46,
      57,52,50,54,53,101,45,49,48,32,56,46,55,53,56,56,53,101,45,49,48,32,57,46,54,
      49,49,56,55,101,45,49,48,32,49,46,48,52,57,53,54,101,45,48,57,32,49,46,49,52,
      48,51,49,101,45,48,57,32,49,46,50,51,50,54,50,101,45,48,57,32,49,46,51,50,53,
      53,57,101,45,48,57,10,32,32,49,46,52,49,56,49,57,101,45,48,57,32,49,46,53,48,
      57,53,50,101,45,48,57,32,49,46,53,57,56,54,49,101,45,48,57,32,49,46,54,56,52,
      52,49,101,45,48,57,32,49,46,55,54,54,48,54,101,45,48,57,32,49,46,56,52,50,55,
      50,101,45,48,57,32,49,46,57,49,51,53,57,101,45,48,57,10,32,32,49,46,57,55,55,
      56,52,101,45,48,57,32,50,46,48,51,52,57,53,101,45,48,57,32,50,46,48,56,52,51,
      51,101,45,48,57,32,50,46,49,50,53,55,54,101,45,48,57,32,50,46,49,53,57,48,49,
      101,45,48,57,32,50,46,49,56,52,101,45,48,57,32,50,46,50,48,48,55,55,101,45,
      48,57,10,32,32,50,46,50,48,57,52,101,45,48,57,32,50,46,50,49,48,49,101,45,48,
      57,32,50,46,50,48,51,48,56,101,45,48,57,32,50,46,49,56,56,55,50,101,45,48,57,
      32,50,46,49,54,55,51,51,101,45,48,57,32,50,46,49,51,57,52,50,101,45,48,57,32,
      50,46,49,48,53,53,101,45,48,57,10,32,32,50,46,48,55,53,51,52,101,45,48,57,32,
      50,46,48,52,50,48,54,101,45,48,57,32,50,46,48,48,53,57,55,101,45,48,57,32,49,
      46,57,54,55,51,50,101,45,48,57,32,49,46,57,50,54,52,49,101,45,48,57,32,49,46,
      56,55,55,56,50,101,45,48,57,32,49,46,56,49,51,49,55,101,45,48,57,10,32,32,49,
      46,55,52,53,54,54,101,45,48,57,32,49,46,54,55,53,57,53,101,45,48,57,32,49,46,
      54,48,52,55,53,101,45,48,57,32,49,46,53,51,50,54,54,101,45,48,57,32,49,46,52,
      54,48,49,57,101,45,48,57,32,49,46,51,56,55,56,56,101,45,48,57,32,49,46,51,49,
      54,49,52,101,45,48,57,10,32,32,49,46,50,52,53,51,50,101,45,48,57,32,49,46,49,
      55,53,56,49,101,45,48,57,32,49,46,49,48,55,57,53,101,45,48,57,32,49,46,48,52,
      49,57,57,101,45,48,57,32,57,46,55,56,48,56,56,101,45,49,48,32,57,46,49,54,52,
      51,57,101,45,49,48,32,56,46,53,55,49,56,49,101,45,49,48,10,32,32,56,46,48,48,
      52,48,54,101,45,49,48,32,55,46,52,54,49,54,52,101,45,49,48,32,54,46,57,52,53,
      49,51,101,45,49,48,32,54,46,52,53,52,54,54,101,45,49,48,32,53,46,57,57,48,48,
      56,101,45,49,48,32,53,46,53,53,49,49,49,101,45,49,48,32,53,46,49,51,55,51,54,
      101,45,49,48,10,32,32,52,46,55,52,56,50,50,101,45,49,48,32,52,46,51,56,51,48,
      49,101,45,49,48,32,52,46,48,52,48,57,49,101,45,49,48,32,51,46,55,50,48,57,55,
      101,45,49,48,32,51,46,52,50,50,50,55,101,45,49,48,32,51,46,49,52,51,57,50,101,
      45,49,48,32,50,46,56,56,53,48,54,101,45,49,48,10,32,32,50,46,54,52,52,55,101,
      45,49,48,32,50,46,52,50,49,57,51,101,45,49,48,32,50,46,50,49,53,55,53,101,45,
      49,48,32,50,46,48,50,53,50,49,101,45,49,48,32,49,46,56,52,57,51,53,101,45,49,
      48,32,49,46,54,56,55,50,54,101,45,49,48,32,49,46,53,51,56,48,53,101,45,49,48,
      10,32,32,49,46,50,55,52,56,53,101,45,49,48,32,49,46,48,53,51,51,50,101,45,49,
      48,32,56,46,54,55,54,56,55,101,45,49,49,32,55,46,49,50,55,50,57,101,45,49,49,
      32,53,46,56,51,56,55,54,101,45,49,49,32,52,46,55,55,49,49,50,101,45,49,49,32,
      51,46,56,56,57,51,52,101,45,49,49,10,32,32,51,46,49,54,51,50,54,101,45,49,49,
      32,50,46,53,54,55,49,56,101,45,49,49,32,50,46,48,55,57,48,55,101,45,49,49,32,
      49,46,54,56,48,53,49,101,45,49,49,32,49,46,51,53,53,56,54,101,45,49,49,32,49,
      46,48,57,50,48,49,101,45,49,49,32,56,46,55,56,48,49,57,101,45,49,50,10,32,32,
      55,46,48,52,55,56,54,101,45,49,50,32,53,46,54,52,56,55,50,101,45,49,50,32,52,
      46,53,50,48,56,49,101,45,49,50,32,51,46,54,49,51,48,51,101,45,49,50,32,50,46,
      56,56,51,55,49,101,45,49,50,32,50,46,50,57,56,55,101,45,49,50,32,49,46,56,51,
      48,49,53,101,45,49,50,10,32,32,49,46,52,53,53,51,57,101,45,49,50,32,49,46,49,
      53,54,48,56,101,45,49,50,32,57,46,49,55,51,52,101,45,49,51,32,55,46,50,55,49,
      51,57,101,45,49,51,32,53,46,55,53,56,48,57,101,45,49,51,32,52,46,53,53,53,52,
      51,101,45,49,51,32,51,46,54,48,48,54,55,101,45,49,51,10,32,32,50,46,56,52,51,
      53,53,101,45,49,51,32,48,114,49,57,49,32,49,46,54,48,49,56,56,101,45,50,55,
      32,51,46,52,50,50,52,51,101,45,50,54,32,51,46,57,48,51,54,53,101,45,50,49,32,
      52,46,51,53,51,54,50,101,45,50,49,32,50,46,55,54,57,53,51,101,45,50,49,32,49,
      46,52,52,56,50,49,101,45,50,54,10,32,32,54,46,48,50,48,52,52,101,45,50,55,32,
      51,46,53,48,52,55,51,101,45,50,55,32,50,46,56,51,48,57,56,101,45,50,55,32,51,
      46,49,56,51,50,52,101,45,50,55,32,52,46,55,54,52,50,53,101,45,50,55,32,57,46,
      49,49,55,51,51,101,45,50,55,32,50,46,51,48,55,56,52,101,45,50,54,10,32,32,53,
      46,56,57,55,48,50,101,45,50,49,32,49,46,50,57,48,55,101,45,50,48,32,50,46,55,
      48,55,48,50,101,45,50,48,32,53,46,50,55,48,49,50,101,45,50,48,32,49,46,49,55,
      56,55,56,101,45,49,57,32,51,46,55,50,56,54,57,101,45,49,57,32,57,46,50,54,57,
      48,50,101,45,49,57,10,32,32,49,46,53,55,55,56,56,101,45,49,56,32,50,46,48,51,
      53,56,54,101,45,49,56,32,50,46,55,55,54,48,52,101,45,49,56,32,51,46,57,54,49,
      49,54,101,45,49,56,32,53,46,48,49,49,49,49,101,45,49,56,32,53,46,49,49,54,49,
      52,101,45,49,56,32,52,46,56,48,54,53,53,101,45,49,56,10,32,32,53,46,48,57,48,
      54,54,101,45,49,56,32,54,46,57,55,53,57,57,101,45,49,56,32,49,46,49,51,56,54,
      49,101,45,49,55,32,49,46,55,52,51,56,55,101,45,49,55,32,51,46,57,49,56,57,57,
      101,45,49,55,32,56,46,51,56,49,54,56,101,45,49,55,32,49,46,55,57,48,56,55,101,
      45,49,54,10,32,32,51,46,57,54,56,54,51,101,45,49,54,32,54,46,56,56,51,55,50,
      101,45,49,54,32,57,46,54,49,55,52,50,101,45,49,54,32,49,46,49,50,54,49,52,101,
      45,49,53,32,49,46,53,54,49,53,50,101,45,49,53,32,50,46,48,56,52,52,53,101,45,
      49,53,32,50,46,56,56,53,54,54,101,45,49,53,10,32,32,51,46,54,56,53,51,56,101,
      45,49,53,32,53,46,49,53,56,53,55,101,45,49,53,32,55,46,50,49,57,50,55,101,45,
      49,53,32,56,46,50,51,53,52,56,101,45,49,53,32,49,46,48,55,56,51,54,101,45,49,
      52,32,49,46,53,49,54,50,54,101,45,49,52,32,49,46,56,56,50,56,51,101,45,49,52,
      10,32,32,50,46,51,51,56,50,57,101,45,49,52,32,51,46,51,48,50,49,52,101,45,49,
      52,32,52,46,54,54,48,52,49,101,45,49,52,32,53,46,53,48,55,49,53,101,45,49,52,
      32,54,46,56,57,51,56,57,101,45,49,52,32,55,46,54,55,50,57,49,101,45,49,52,32,
      56,46,55,48,54,50,51,101,45,49,52,10,32,32,55,46,51,53,52,52,52,101,45,49,52,
      32,56,46,56,55,57,55,49,101,45,49,52,32,57,46,53,56,49,56,52,101,45,49,52,32,
      49,46,49,48,53,57,50,101,45,49,51,32,49,46,50,56,57,57,56,101,45,49,51,32,49,
      46,52,54,49,52,49,101,45,49,51,32,49,46,54,53,48,52,50,101,45,49,51,10,32,32,
      49,46,56,52,52,50,50,101,45,49,51,32,50,46,48,53,50,48,51,101,45,49,51,32,50,
      46,51,48,51,49,52,101,45,49,51,32,50,46,53,52,53,52,50,101,45,49,51,32,50,46,
      56,51,52,53,51,101,45,49,51,32,51,46,48,54,50,54,55,101,45,49,51,32,51,46,52,
      54,52,48,55,101,45,49,51,10,32,32,51,46,55,51,48,48,50,101,45,49,51,32,52,46,
      48,55,57,56,50,101,45,49,51,32,52,46,57,56,55,48,52,101,45,49,51,32,54,46,52,
      54,52,48,52,101,45,49,51,32,56,46,49,56,50,57,54,101,45,49,51,32,49,46,48,55,
      53,51,51,101,45,49,50,32,49,46,51,56,51,51,56,101,45,49,50,10,32,32,49,46,56,
      50,55,52,56,101,45,49,50,32,50,46,50,54,53,53,51,101,45,49,50,32,51,46,48,52,
      49,50,49,101,45,49,50,32,52,46,48,50,49,55,56,101,45,49,50,32,52,46,55,57,52,
      48,53,101,45,49,50,32,53,46,55,57,51,50,57,101,45,49,50,32,55,46,52,48,49,53,
      55,101,45,49,50,10,32,32,57,46,49,51,56,57,55,101,45,49,50,32,49,46,49,50,54,
      56,56,101,45,49,49,32,49,46,52,51,48,53,52,101,45,49,49,32,49,46,56,49,51,52,
      49,101,45,49,49,32,50,46,50,50,54,50,51,101,45,49,49,32,50,46,55,50,51,54,50,
      101,45,49,49,32,51,46,51,49,54,48,50,101,45,49,49,10,32,32,52,46,49,50,50,53,
      55,101,45,49,49,32,53,46,50,49,48,56,57,101,45,49,49,32,54,46,54,54,51,49,52,
      101,45,49,49,32,56,46,50,48,50,53,52,101,45,49,49,32,49,46,48,49,56,52,52,101,
      45,49,48,32,49,46,50,50,50,50,56,101,45,49,48,32,49,46,52,53,49,50,57,101,45,
      49,48,10,32,32,49,46,55,51,54,53,56,101,45,49,48,32,50,46,48,55,57,57,54,101,
      45,49,48,32,50,46,51,55,51,50,52,101,45,49,48,32,50,46,55,52,52,55,57,101,45,
      49,48,32,51,46,49,48,49,51,56,101,45,49,48,32,51,46,53,49,52,56,57,101,45,49,
      48,32,51,46,57,54,50,56,54,101,45,49,48,10,32,32,52,46,52,52,53,48,56,101,45,
      49,48,32,52,46,57,54,49,49,54,101,45,49,48,32,53,46,53,49,49,49,53,101,45,49,
      48,32,54,46,48,57,51,50,51,101,45,49,48,32,54,46,55,48,52,54,52,101,45,49,48,
      32,55,46,51,52,49,57,55,101,45,49,48,32,56,46,48,48,48,55,50,101,45,49,48,10,
      32,32,56,46,54,55,53,52,54,101,45,49,48,32,57,46,51,54,48,49,101,45,49,48,32,
      49,46,48,48,52,56,101,45,48,57,32,49,46,48,55,51,50,54,101,45,48,57,32,49,46,
      49,52,48,54,55,101,45,48,57,32,49,46,50,48,54,51,51,101,45,48,57,32,49,46,50,
      54,57,53,55,101,45,48,57,10,32,32,49,46,51,50,57,54,49,101,45,48,57,32,49,46,
      51,56,53,57,50,101,45,48,57,32,49,46,52,51,55,56,52,101,45,48,57,32,49,46,52,
      56,52,57,51,101,45,48,57,32,49,46,53,50,54,55,52,101,45,48,57,32,49,46,53,54,
      50,57,52,101,45,48,57,32,49,46,53,57,51,51,55,101,45,48,57,10,32,32,49,46,54,
      49,55,56,55,101,45,48,57,32,49,46,54,51,54,51,54,101,45,48,57,32,49,46,54,52,
      56,56,49,101,45,48,57,32,49,46,54,53,53,50,54,101,45,48,57,32,49,46,54,53,53,
      56,53,101,45,48,57,32,49,46,54,53,48,54,56,101,45,48,57,32,49,46,54,52,48,49,
      101,45,48,57,10,32,32,49,46,54,50,52,51,54,101,45,48,57,32,49,46,54,48,51,55,
      57,101,45,48,57,32,49,46,53,56,52,54,57,101,45,48,57,32,49,46,53,54,51,49,101,
      45,48,57,32,49,46,53,51,57,49,57,101,45,48,57,32,49,46,53,49,51,49,50,101,45,
      48,57,32,49,46,52,56,53,49,101,45,48,57,10,32,32,49,46,52,53,49,52,101,45,48,
      57,32,49,46,52,48,53,57,52,101,45,48,57,32,49,46,51,53,55,56,55,101,45,48,57,
      32,49,46,51,48,55,55,51,101,45,48,57,32,49,46,50,53,53,57,53,101,45,48,57,32,
      49,46,50,48,51,48,52,101,45,48,57,32,49,46,49,52,57,52,51,101,45,48,57,10,32,
      32,49,46,48,57,53,53,53,101,45,48,57,32,49,46,48,52,49,55,55,101,45,48,57,32,
      57,46,56,56,51,57,57,101,45,49,48,32,57,46,51,53,55,48,50,101,45,49,48,32,56,
      46,56,51,57,55,49,101,45,49,48,32,56,46,51,51,52,51,101,45,49,48,32,55,46,56,
      52,50,54,50,101,45,49,48,10,32,32,55,46,51,54,54,48,57,101,45,49,48,32,54,46,
      57,48,54,48,54,101,45,49,48,32,54,46,52,54,51,53,57,101,45,49,48,32,54,46,48,
      51,57,48,57,101,45,49,48,32,53,46,54,51,51,50,54,101,45,49,48,32,53,46,50,52,
      54,53,55,101,45,49,48,32,52,46,56,55,56,56,57,101,45,49,48,10,32,32,52,46,53,
      51,48,50,56,101,45,49,48,32,52,46,50,48,48,54,55,101,45,49,48,32,51,46,56,56,
      57,55,101,45,49,48,32,51,46,53,57,55,48,50,101,45,49,48,32,51,46,51,50,50,49,
      55,101,45,49,48,32,51,46,48,54,52,53,56,101,45,49,48,32,50,46,56,50,51,54,49,
      101,45,49,48,10,32,32,50,46,53,57,56,54,49,101,45,49,48,32,50,46,51,56,56,56,
      55,101,45,49,48,32,50,46,49,57,51,54,56,101,45,49,48,32,50,46,48,49,50,51,52,
      101,45,49,48,32,49,46,56,52,52,49,49,101,45,49,48,32,49,46,54,56,56,50,55,101,
      45,49,48,32,49,46,53,52,52,49,52,101,45,49,48,10,32,32,49,46,52,49,49,48,49,
      101,45,49,48,32,49,46,50,56,56,50,101,45,49,48,32,49,46,48,55,48,57,49,101,
      45,49,48,32,56,46,56,55,51,48,53,101,45,49,49,32,55,46,51,50,57,48,53,101,45,
      49,49,32,54,46,48,51,54,48,54,101,45,49,49,32,52,46,57,53,55,51,57,101,45,49,
      49,10,32,32,52,46,48,54,48,55,51,101,45,49,49,32,51,46,51,49,56,48,53,101,45,
      49,49,32,50,46,55,48,52,55,54,101,45,49,49,32,50,46,49,57,57,56,53,101,45,49,
      49,32,49,46,55,56,53,52,101,45,49,49,32,49,46,52,52,54,49,51,101,45,49,49,32,
      49,46,49,54,57,48,56,101,45,49,49,10,32,32,57,46,52,51,51,57,56,101,45,49,50,
      32,55,46,53,57,57,53,57,101,45,49,50,32,54,46,49,49,49,52,51,101,45,49,50,32,
      52,46,57,48,54,56,54,101,45,49,50,32,51,46,57,51,51,56,50,101,45,49,50,32,51,
      46,49,52,57,50,51,101,45,49,50,32,50,46,53,49,55,54,49,101,45,49,50,10,32,32,
      50,46,48,48,57,57,57,101,45,49,50,32,49,46,54,48,50,55,101,45,49,50,32,49,46,
      50,55,54,52,101,45,49,50,32,49,46,48,49,53,51,55,101,45,49,50,32,56,46,48,54,
      56,50,54,101,45,49,51,32,54,46,52,48,52,50,55,101,45,49,51,32,53,46,48,55,56,
      50,101,45,49,51,10,32,32,52,46,48,50,50,55,57,101,45,49,51,32,51,46,49,56,51,
      55,51,101,45,49,51,32,50,46,53,49,55,52,101,45,49,51,32,48,114,49,57,49,32,
      52,46,54,57,57,54,56,101,45,50,56,32,49,46,48,52,55,53,56,101,45,50,54,32,49,
      46,50,57,53,57,52,101,45,50,49,32,49,46,52,52,54,50,49,101,45,50,49,10,32,32,
      57,46,48,53,49,53,49,101,45,50,50,32,52,46,52,48,53,48,49,101,45,50,55,32,49,
      46,55,57,54,52,52,101,45,50,55,32,49,46,48,51,50,55,57,101,45,50,55,32,56,46,
      50,57,51,50,101,45,50,56,32,57,46,51,51,49,55,54,101,45,50,56,32,49,46,52,48,
      53,57,52,101,45,50,55,10,32,32,50,46,55,50,49,56,101,45,50,55,32,55,46,48,48,
      55,49,101,45,50,55,32,49,46,57,50,56,56,50,101,45,50,49,32,52,46,51,49,53,50,
      49,101,45,50,49,32,57,46,50,52,48,54,53,101,45,50,49,32,49,46,56,51,51,54,49,
      101,45,50,48,32,52,46,49,57,56,50,51,101,45,50,48,10,32,32,49,46,51,55,51,51,
      56,101,45,49,57,32,51,46,53,48,52,57,49,101,45,49,57,32,54,46,48,53,52,49,55,
      101,45,49,57,32,55,46,56,53,57,56,51,101,45,49,57,32,49,46,48,55,57,53,56,101,
      45,49,56,32,49,46,53,53,52,51,57,101,45,49,56,32,49,46,57,55,54,56,101,45,49,
      56,10,32,32,50,46,48,49,53,53,49,101,45,49,56,32,49,46,56,56,54,48,57,101,45,
      49,56,32,49,46,57,57,55,53,55,101,45,49,56,32,50,46,55,53,57,56,51,101,45,49,
      56,32,52,46,53,54,56,55,53,101,45,49,56,32,55,46,48,56,55,50,54,101,45,49,56,
      32,49,46,54,51,50,56,51,101,45,49,55,10,32,32,51,46,53,55,55,55,55,101,45,49,
      55,32,55,46,56,52,48,57,101,45,49,55,32,49,46,55,56,54,52,56,101,45,49,54,32,
      51,46,49,54,48,49,56,101,45,49,54,32,52,46,52,54,53,55,53,101,45,49,54,32,53,
      46,50,53,50,51,56,101,45,49,54,32,55,46,53,51,50,49,53,101,45,49,54,10,32,32,
      49,46,48,51,53,56,54,101,45,49,53,32,49,46,52,56,51,52,50,101,45,49,53,32,49,
      46,57,52,51,57,49,101,45,49,53,32,50,46,56,50,51,50,57,101,45,49,53,32,52,46,
      48,54,55,55,49,101,45,49,53,32,52,46,54,54,51,52,57,101,45,49,53,32,54,46,49,
      54,55,55,54,101,45,49,53,10,32,32,56,46,55,55,49,56,53,101,45,49,53,32,49,46,
      48,57,54,50,52,101,45,49,52,32,49,46,51,54,57,50,51,101,45,49,52,32,49,46,57,
      55,55,57,55,101,45,49,52,32,50,46,56,50,52,50,52,101,45,49,52,32,51,46,51,52,
      50,48,52,101,45,49,52,32,52,46,49,57,50,57,49,101,45,49,52,10,32,32,52,46,54,
      55,50,53,54,101,45,49,52,32,53,46,51,48,57,52,52,101,45,49,52,32,52,46,52,55,
      50,50,52,101,45,49,52,32,53,46,52,49,49,54,52,101,45,49,52,32,53,46,56,52,53,
      51,57,101,45,49,52,32,54,46,55,54,48,54,54,101,45,49,52,32,55,46,57,48,54,48,
      56,101,45,49,52,10,32,32,56,46,57,55,55,52,49,101,45,49,52,32,49,46,48,49,54,
      51,53,101,45,49,51,32,49,46,49,51,56,52,54,101,45,49,51,32,49,46,50,54,57,57,
      101,45,49,51,32,49,46,52,50,57,52,52,101,45,49,51,32,49,46,53,56,52,48,51,101,
      45,49,51,32,49,46,55,54,57,51,55,101,45,49,51,10,32,32,49,46,57,49,54,49,57,
      101,45,49,51,32,50,46,49,55,53,54,52,101,45,49,51,32,50,46,51,52,56,55,55,101,
      45,49,51,32,50,46,53,55,54,55,55,101,45,49,51,32,51,46,49,55,50,52,50,101,45,
      49,51,32,52,46,49,53,51,48,50,101,45,49,51,32,53,46,51,48,55,54,55,101,45,49,
      51,10,32,32,55,46,48,53,54,57,54,101,45,49,51,32,57,46,49,56,49,50,57,101,45,
      49,51,32,49,46,50,50,55,55,50,101,45,49,50,32,49,46,53,51,53,53,55,101,45,49,
      50,32,50,46,49,48,54,52,101,45,49,50,32,50,46,56,48,55,48,56,101,45,49,50,32,
      51,46,51,54,53,49,49,101,45,49,50,10,32,32,52,46,48,56,51,55,50,101,45,49,50,
      32,53,46,50,51,48,53,54,101,45,49,50,32,54,46,52,53,54,57,101,45,49,50,32,55,
      46,57,52,55,52,50,101,45,49,50,32,49,46,48,48,53,55,56,101,45,49,49,32,49,46,
      50,55,48,57,50,101,45,49,49,32,49,46,53,53,54,55,53,101,45,49,49,10,32,32,49,
      46,57,48,49,56,50,101,45,49,49,32,50,46,51,49,52,51,57,101,45,49,49,32,50,46,
      56,55,56,56,57,101,45,49,49,32,51,46,54,52,53,55,55,101,45,49,49,32,52,46,54,
      55,55,57,51,101,45,49,49,32,53,46,55,56,49,55,52,101,45,49,49,32,55,46,50,49,
      51,56,57,101,45,49,49,10,32,32,56,46,54,57,55,49,56,101,45,49,49,32,49,46,48,
      51,55,50,49,101,45,49,48,32,49,46,50,52,54,56,54,101,45,49,48,32,49,46,53,48,
      48,51,50,101,45,49,48,32,49,46,55,49,55,50,55,101,45,49,48,32,49,46,57,57,50,
      55,49,101,45,49,48,32,50,46,50,53,55,53,101,45,49,48,10,32,32,50,46,53,54,53,
      48,51,101,45,49,48,32,50,46,56,57,56,54,52,101,45,49,48,32,51,46,50,53,56,52,
      51,101,45,49,48,32,51,46,54,52,52,54,52,101,45,49,48,32,52,46,48,53,55,52,51,
      101,45,49,48,32,52,46,52,57,53,55,52,101,45,49,48,32,52,46,57,53,56,49,56,101,
      45,49,48,10,32,32,53,46,52,52,50,51,55,101,45,49,48,32,53,46,57,52,53,51,52,
      101,45,49,48,32,54,46,52,54,51,49,101,45,49,48,32,54,46,57,57,49,54,53,101,
      45,49,48,32,55,46,53,50,54,53,101,45,49,48,32,56,46,48,54,50,51,56,101,45,49,
      48,32,56,46,53,57,52,101,45,49,48,10,32,32,57,46,49,49,53,53,53,101,45,49,48,
      32,57,46,54,50,50,49,54,101,45,49,48,32,49,46,48,49,48,55,57,101,45,48,57,32,
      49,46,48,53,54,55,57,101,45,48,57,32,49,46,48,57,57,55,57,101,45,48,57,32,49,
      46,49,51,57,51,54,101,45,48,57,32,49,46,49,55,53,49,56,101,45,48,57,10,32,32,
      49,46,50,48,54,57,52,101,45,48,57,32,49,46,50,51,52,51,54,101,45,48,57,32,49,
      46,50,53,55,50,101,45,48,57,32,49,46,50,55,53,52,101,45,48,57,32,49,46,50,56,
      56,57,49,101,45,48,57,32,49,46,50,57,55,54,57,101,45,48,57,32,49,46,51,48,49,
      56,53,101,45,48,57,10,32,32,49,46,51,48,49,53,101,45,48,57,32,49,46,50,57,54,
      55,54,101,45,48,57,32,49,46,50,56,55,56,56,101,45,48,57,32,49,46,50,55,53,48,
      55,101,45,48,57,32,49,46,50,54,50,53,54,101,45,48,57,32,49,46,50,52,55,57,53,
      101,45,48,57,32,49,46,50,51,49,51,55,101,45,48,57,10,32,32,49,46,50,49,50,57,
      52,101,45,48,57,32,49,46,49,57,50,56,50,101,45,48,57,32,49,46,49,54,56,50,55,
      101,45,48,57,32,49,46,49,51,52,55,51,101,45,48,57,32,49,46,48,57,56,56,51,101,
      45,48,57,32,49,46,48,54,48,57,56,101,45,48,57,32,49,46,48,50,49,53,55,101,45,
      48,57,10,32,32,57,46,56,48,57,54,101,45,49,48,32,57,46,51,57,53,51,101,45,49,
      48,32,56,46,57,55,53,57,51,101,45,49,48,32,56,46,53,53,52,54,57,101,45,49,48,
      32,56,46,49,51,52,51,56,101,45,49,48,32,55,46,55,49,55,54,52,101,45,49,48,32,
      55,46,51,48,54,54,57,101,45,49,48,10,32,32,54,46,57,48,51,52,49,101,45,49,48,
      32,54,46,53,48,57,48,56,101,45,49,48,32,54,46,49,50,53,53,53,101,45,49,48,32,
      53,46,55,53,52,48,54,101,45,49,48,32,53,46,51,57,53,52,50,101,45,49,48,32,53,
      46,48,53,48,52,54,101,45,49,48,32,52,46,55,49,57,55,101,45,49,48,10,32,32,52,
      46,52,48,51,53,56,101,45,49,48,32,52,46,49,48,50,51,51,101,45,49,48,32,51,46,
      56,49,53,57,55,101,45,49,48,32,51,46,53,52,52,53,49,101,45,49,48,32,51,46,50,
      56,55,55,54,101,45,49,48,32,51,46,48,52,53,53,50,101,45,49,48,32,50,46,56,49,
      55,52,54,101,45,49,48,10,32,32,50,46,54,48,51,50,49,101,45,49,48,32,50,46,52,
      48,50,51,49,101,45,49,48,32,50,46,50,49,52,50,57,101,45,49,48,32,50,46,48,51,
      56,54,49,101,45,49,48,32,49,46,56,55,52,54,57,101,45,49,48,32,49,46,55,50,50,
      48,55,101,45,49,48,32,49,46,53,56,48,50,101,45,49,48,10,32,32,49,46,52,52,56,
      53,52,101,45,49,48,32,49,46,51,50,54,53,55,101,45,49,48,32,49,46,50,49,51,55,
      51,101,45,49,48,32,49,46,49,48,57,52,53,101,45,49,48,32,57,46,50,52,53,51,56,
      101,45,49,49,32,55,46,54,55,56,53,49,101,45,49,49,32,54,46,51,53,55,48,52,101,
      45,49,49,10,32,32,53,46,50,52,55,50,101,45,49,49,32,52,46,51,49,56,54,55,101,
      45,49,49,32,51,46,53,52,52,56,101,45,49,49,32,50,46,57,48,50,50,101,45,49,49,
      32,50,46,51,55,48,50,57,101,45,49,49,32,49,46,57,51,49,52,52,101,45,49,49,32,
      49,46,53,55,48,51,57,101,45,49,49,10,32,32,49,46,50,55,52,50,49,101,45,49,49,
      32,49,46,48,51,49,56,55,101,45,49,49,32,56,46,51,52,48,51,49,101,45,49,50,32,
      54,46,55,50,56,56,57,101,45,49,50,32,53,46,52,49,57,53,49,101,45,49,50,32,52,
      46,51,53,55,56,55,101,45,49,50,32,51,46,52,57,56,55,55,101,45,49,50,10,32,32,
      50,46,56,48,52,57,101,45,49,50,32,50,46,50,52,53,52,49,101,45,49,50,32,49,46,
      55,57,53,48,56,101,45,49,50,32,49,46,52,51,51,49,57,101,45,49,50,32,49,46,49,
      52,50,56,52,101,45,49,50,32,57,46,49,48,50,50,49,101,45,49,51,32,55,46,50,52,
      49,51,101,45,49,51,10,32,32,53,46,55,53,52,53,101,45,49,51,32,52,46,53,54,56,
      49,54,101,45,49,51,32,51,46,54,50,50,55,49,101,45,49,51,32,50,46,56,55,48,48,
      57,101,45,49,51,32,50,46,50,55,49,55,53,101,45,49,51,32,48,114,49,57,50,32,
      49,46,50,52,54,54,57,101,45,50,55,32,49,46,55,57,51,56,49,101,45,50,50,10,32,
      32,50,46,48,48,51,55,55,101,45,50,50,32,49,46,50,50,50,52,101,45,50,50,32,53,
      46,49,55,54,55,54,101,45,50,56,32,48,114,54,32,56,46,50,48,55,50,56,101,45,
      50,56,32,50,46,54,48,56,48,56,101,45,50,50,32,54,46,48,52,48,56,50,101,45,50,
      50,32,49,46,51,51,55,56,51,101,45,50,49,10,32,32,50,46,55,51,57,53,50,101,45,
      50,49,32,54,46,53,50,52,52,57,101,45,50,49,32,50,46,50,54,49,53,49,101,45,50,
      48,32,54,46,48,52,50,50,55,101,45,50,48,32,49,46,48,55,48,55,57,101,45,49,57,
      32,49,46,52,48,53,51,57,101,45,49,57,32,49,46,57,53,53,51,51,101,45,49,57,10,
      32,32,50,46,56,54,48,52,101,45,49,57,32,51,46,54,55,49,55,49,101,45,49,57,32,
      51,46,55,51,52,55,49,101,45,49,57,32,51,46,52,55,48,54,53,101,45,49,57,32,51,
      46,54,55,53,55,56,101,45,49,57,32,53,46,49,53,50,49,50,101,45,49,57,32,56,46,
      55,52,52,53,49,101,45,49,57,10,32,32,49,46,51,56,55,51,52,101,45,49,56,32,51,
      46,51,51,57,49,57,101,45,49,56,32,55,46,54,51,52,51,101,45,49,56,32,49,46,55,
      52,56,57,57,101,45,49,55,32,52,46,49,56,50,56,53,101,45,49,55,32,55,46,54,53,
      55,54,51,101,45,49,55,32,49,46,49,48,51,55,56,101,45,49,54,10,32,32,49,46,51,
      48,56,50,52,101,45,49,54,32,49,46,57,56,53,55,57,101,45,49,54,32,50,46,56,55,
      49,57,53,101,45,49,54,32,52,46,51,53,53,48,50,101,45,49,54,32,53,46,57,54,48,
      53,50,101,45,49,54,32,57,46,50,49,52,48,57,101,45,49,54,32,49,46,51,57,54,54,
      51,101,45,49,53,10,32,32,49,46,54,49,56,50,51,101,45,49,53,32,50,46,49,56,55,
      56,51,101,45,49,53,32,51,46,49,57,52,49,101,45,49,53,32,52,46,48,53,50,54,56,
      101,45,49,53,32,53,46,49,51,50,53,53,101,45,49,53,32,56,46,48,52,56,48,55,101,
      45,49,53,32,49,46,49,56,57,50,57,101,45,49,52,10,32,32,49,46,52,48,52,57,54,
      101,45,49,52,32,49,46,55,54,48,54,55,101,45,49,52,32,49,46,57,54,50,50,49,101,
      45,49,52,32,50,46,50,51,48,49,57,101,45,49,52,32,49,46,56,55,55,57,53,101,45,
      49,52,32,50,46,50,55,50,54,55,101,45,49,52,32,50,46,52,53,53,53,54,101,45,49,
      52,10,32,32,50,46,56,52,50,57,53,101,45,49,52,32,51,46,51,51,48,51,56,101,45,
      49,52,32,51,46,55,56,56,55,55,101,45,49,52,32,52,46,50,57,57,49,101,45,49,52,
      32,52,46,56,50,55,52,53,101,45,49,52,32,53,46,51,57,57,53,51,101,45,49,52,32,
      54,46,48,57,56,49,54,101,45,49,52,10,32,32,54,46,55,55,57,52,101,45,49,52,32,
      55,46,54,48,49,50,53,101,45,49,52,32,56,46,50,53,54,50,55,101,45,49,52,32,57,
      46,52,50,50,48,52,101,45,49,52,32,49,46,48,50,49,51,54,101,45,49,51,32,49,46,
      49,50,53,49,52,101,45,49,51,32,49,46,51,57,57,51,56,101,45,49,51,10,32,32,49,
      46,56,53,57,51,101,45,49,51,32,50,46,52,49,50,51,56,101,45,49,51,32,51,46,50,
      54,57,48,53,101,45,49,51,32,52,46,51,51,50,56,54,101,45,49,51,32,53,46,57,49,
      56,53,56,101,45,49,51,32,55,46,53,50,54,57,50,101,45,49,51,32,49,46,48,54,55,
      57,56,101,45,49,50,10,32,32,49,46,52,52,56,49,51,101,45,49,50,32,49,46,55,53,
      57,48,50,101,45,49,50,32,50,46,49,53,56,56,54,101,45,49,50,32,50,46,55,57,49,
      56,50,101,45,49,50,32,51,46,52,53,57,56,49,101,45,49,50,32,52,46,50,54,48,52,
      54,101,45,49,50,32,53,46,51,55,56,52,52,101,45,49,50,10,32,32,54,46,55,54,56,
      49,56,101,45,49,50,32,56,46,50,53,57,52,52,101,45,49,50,32,49,46,48,48,53,56,
      55,101,45,49,49,32,49,46,50,50,49,54,54,101,45,49,49,32,49,46,53,49,56,56,101,
      45,49,49,32,49,46,57,50,54,53,51,101,45,49,49,32,50,46,52,56,50,55,55,101,45,
      49,49,10,32,32,51,46,48,56,53,57,57,101,45,49,49,32,51,46,56,55,57,55,56,101,
      45,49,49,32,52,46,55,49,50,52,51,101,45,49,49,32,53,46,54,54,50,56,55,101,45,
      49,49,32,54,46,56,54,51,53,52,101,45,49,49,32,56,46,51,50,55,52,56,101,45,49,
      49,32,57,46,53,56,57,51,55,101,45,49,49,10,32,32,49,46,49,49,57,56,51,101,45,
      49,48,32,49,46,50,55,52,57,56,101,45,49,48,32,49,46,52,53,53,54,55,101,45,49,
      48,32,49,46,54,53,50,51,49,101,45,49,48,32,49,46,56,54,53,51,56,101,45,49,48,
      32,50,46,48,57,53,49,56,101,45,49,48,32,50,46,51,52,49,56,57,101,45,49,48,10,
      32,32,50,46,54,48,53,49,50,101,45,49,48,32,50,46,56,56,52,51,52,101,45,49,48,
      32,51,46,49,55,56,55,49,101,45,49,48,32,51,46,52,56,54,56,54,101,45,49,48,32,
      51,46,56,48,54,55,57,101,45,49,48,32,52,46,49,51,54,54,54,101,45,49,48,32,52,
      46,52,55,51,55,53,101,45,49,48,10,32,32,52,46,56,49,53,50,57,101,45,49,48,32,
      53,46,49,53,56,51,55,101,45,49,48,32,53,46,52,57,57,53,101,45,49,48,32,53,46,
      56,51,53,53,52,101,45,49,48,32,54,46,49,54,50,57,54,101,45,49,48,32,54,46,52,
      55,56,52,49,101,45,49,48,32,54,46,55,55,56,54,55,101,45,49,48,10,32,32,55,46,
      48,54,48,56,51,101,45,49,48,32,55,46,51,50,50,49,50,101,45,49,48,32,55,46,53,
      54,48,52,55,101,45,49,48,32,55,46,55,55,51,57,54,101,45,49,48,32,55,46,57,54,
      48,56,53,101,45,49,48,32,56,46,49,49,57,56,54,101,45,49,48,32,56,46,50,52,57,
      56,53,101,45,49,48,10,32,32,56,46,51,53,48,48,55,101,45,49,48,32,56,46,52,50,
      48,53,57,101,45,49,48,32,56,46,52,54,49,50,55,101,45,49,48,32,56,46,52,55,50,
      56,57,101,45,49,48,32,56,46,52,53,54,53,53,101,45,49,48,32,56,46,52,49,51,48,
      54,101,45,49,48,32,56,46,51,54,49,51,51,101,45,49,48,10,32,32,56,46,50,57,52,
      55,56,101,45,49,48,32,56,46,50,49,52,50,49,101,45,49,48,32,56,46,49,50,48,51,
      56,101,45,49,48,32,56,46,48,49,52,49,51,101,45,49,48,32,55,46,56,56,48,49,55,
      101,45,49,48,32,55,46,54,57,49,49,54,101,45,49,48,32,55,46,52,56,51,49,52,101,
      45,49,48,10,32,32,55,46,50,53,56,57,101,45,49,48,32,55,46,48,50,49,48,53,101,
      45,49,48,32,54,46,55,55,50,48,56,101,45,49,48,32,54,46,53,49,52,52,50,101,45,
      49,48,32,54,46,50,53,48,51,53,101,45,49,48,32,53,46,57,56,49,57,49,101,45,49,
      48,32,53,46,55,49,49,48,56,101,45,49,48,10,32,32,53,46,52,51,57,57,52,101,45,
      49,48,32,53,46,49,55,48,50,50,101,45,49,48,32,52,46,57,48,51,51,55,101,45,49,
      48,32,52,46,54,52,48,53,101,45,49,48,32,52,46,51,56,50,57,57,101,45,49,48,32,
      52,46,49,51,49,56,54,101,45,49,48,32,51,46,56,56,55,56,54,101,45,49,48,10,32,
      32,51,46,54,53,49,55,49,101,45,49,48,32,51,46,52,50,52,101,45,49,48,32,51,46,
      50,48,53,49,55,101,45,49,48,32,50,46,57,57,53,52,53,101,45,49,48,32,50,46,55,
      57,53,48,57,101,45,49,48,32,50,46,54,48,52,50,50,101,45,49,48,32,50,46,52,50,
      50,56,53,101,45,49,48,10,32,32,50,46,50,53,48,57,53,101,45,49,48,32,50,46,48,
      56,56,52,101,45,49,48,32,49,46,57,51,53,48,52,101,45,49,48,32,49,46,55,57,48,
      54,52,101,45,49,48,32,49,46,54,53,52,56,55,101,45,49,48,32,49,46,53,50,55,53,
      49,101,45,49,48,32,49,46,52,48,56,50,57,101,45,49,48,10,32,32,49,46,50,57,54,
      57,101,45,49,48,32,49,46,49,57,51,48,50,101,45,49,48,32,49,46,48,57,54,51,49,
      101,45,49,48,32,49,46,48,48,54,52,49,101,45,49,48,32,57,46,50,50,57,54,54,101,
      45,49,49,32,56,46,52,53,54,50,56,101,45,49,49,32,55,46,48,55,56,54,56,101,45,
      49,49,10,32,32,53,46,57,48,52,52,56,101,45,49,49,32,52,46,57,48,56,54,52,101,
      45,49,49,32,52,46,48,54,55,56,56,101,45,49,49,32,51,46,51,54,49,49,49,101,45,
      49,49,32,50,46,55,54,57,50,53,101,45,49,49,32,50,46,50,55,53,52,55,101,45,49,
      49,32,49,46,56,54,52,57,53,101,45,49,49,10,32,32,49,46,53,50,52,56,51,101,45,
      49,49,32,49,46,50,52,51,56,52,101,45,49,49,32,49,46,48,49,50,52,51,101,45,49,
      49,32,56,46,50,50,51,53,54,101,45,49,50,32,54,46,54,54,54,53,54,101,45,49,50,
      32,53,46,51,57,52,49,53,101,45,49,50,32,52,46,51,53,54,56,49,101,45,49,50,10,
      32,32,51,46,53,49,50,57,56,101,45,49,50,32,50,46,56,50,55,57,55,101,45,49,50,
      32,50,46,50,55,50,57,54,101,45,49,50,32,49,46,56,50,52,49,101,45,49,50,32,49,
      46,52,54,49,55,57,101,45,49,50,32,49,46,49,54,57,56,53,101,45,49,50,32,57,46,
      51,52,57,56,49,101,45,49,51,10,32,32,55,46,52,54,51,50,57,101,45,49,51,32,53,
      46,57,53,48,50,55,101,45,49,51,32,52,46,55,51,56,53,53,101,45,49,51,32,51,46,
      55,54,57,52,101,45,49,51,32,50,46,57,57,53,50,55,101,45,49,51,32,50,46,51,55,
      55,54,54,101,45,49,51,32,49,46,56,56,53,53,56,101,45,49,51,10,32,32,48,114,
      49,57,51,32,50,46,51,54,54,49,57,101,45,50,51,32,50,46,54,52,53,54,53,101,45,
      50,51,32,49,46,53,55,52,51,55,101,45,50,51,32,48,114,56,32,51,46,51,54,51,48,
      57,101,45,50,51,32,56,46,48,53,53,54,55,101,45,50,51,32,49,46,56,52,50,56,54,
      101,45,50,50,10,32,32,51,46,56,56,57,57,56,101,45,50,50,32,57,46,54,50,52,51,
      54,101,45,50,50,32,51,46,53,50,57,52,101,45,50,49,32,57,46,56,54,53,48,49,101,
      45,50,49,32,49,46,55,57,51,49,49,101,45,50,48,32,50,46,51,55,57,48,49,101,45,
      50,48,32,51,46,51,53,50,52,50,101,45,50,48,10,32,32,52,46,57,56,50,51,101,45,
      50,48,32,54,46,52,53,52,57,53,101,45,50,48,32,54,46,53,53,48,49,55,101,45,50,
      48,32,54,46,48,52,53,48,49,101,45,50,48,32,54,46,52,48,50,50,55,101,45,50,48,
      32,57,46,49,48,51,51,52,101,45,50,48,32,49,46,53,56,51,57,55,101,45,49,57,10,
      32,32,50,46,53,54,57,57,56,101,45,49,57,32,54,46,52,54,49,52,49,101,45,49,57,
      32,49,46,53,52,49,49,55,101,45,49,56,32,51,46,54,57,101,45,49,56,32,57,46,50,
      54,48,48,54,101,45,49,56,32,49,46,55,53,51,56,55,101,45,49,55,32,50,46,53,55,
      56,49,51,101,45,49,55,10,32,32,51,46,48,55,57,48,57,101,45,49,55,32,52,46,57,
      50,56,51,55,101,45,49,55,32,55,46,52,55,48,52,52,101,45,49,55,32,49,46,49,57,
      52,57,52,101,45,49,54,32,49,46,55,48,51,49,54,101,45,49,54,32,50,46,55,57,48,
      54,49,101,45,49,54,32,52,46,52,52,49,55,52,101,45,49,54,10,32,32,53,46,50,48,
      56,49,54,101,45,49,54,32,55,46,50,50,50,54,53,101,45,49,54,32,49,46,48,56,56,
      51,51,101,45,49,53,32,49,46,52,48,55,53,101,45,49,53,32,49,46,56,49,52,57,57,
      101,45,49,53,32,51,46,51,57,54,55,53,101,45,49,53,32,53,46,51,54,49,52,50,101,
      45,49,53,10,32,32,54,46,50,53,55,55,101,45,49,53,32,55,46,55,51,54,56,55,101,
      45,49,53,32,56,46,53,55,57,52,56,101,45,49,53,32,57,46,55,48,49,54,51,101,45,
      49,53,32,56,46,50,53,56,48,49,101,45,49,53,32,57,46,57,48,54,52,49,101,45,49,
      53,32,49,46,48,54,55,49,50,101,45,49,52,10,32,32,49,46,50,50,57,51,52,101,45,
      49,52,32,49,46,52,51,51,57,51,101,45,49,52,32,49,46,54,50,54,57,50,101,45,49,
      52,32,49,46,56,52,50,52,57,101,45,49,52,32,50,46,48,54,54,52,52,101,45,49,52,
      32,50,46,51,48,57,56,49,101,45,49,52,32,50,46,54,48,56,50,53,101,45,49,52,10,
      32,32,50,46,57,48,48,53,53,101,45,49,52,32,51,46,50,53,52,57,101,45,49,52,32,
      51,46,53,51,56,53,53,101,45,49,52,32,52,46,48,52,53,57,53,101,45,49,52,32,52,
      46,52,48,48,51,55,101,45,49,52,32,52,46,56,53,55,50,101,45,49,52,32,54,46,48,
      55,53,49,55,101,45,49,52,10,32,32,56,46,49,53,48,54,53,101,45,49,52,32,49,46,
      48,54,57,51,52,101,45,49,51,32,49,46,52,55,49,52,51,101,45,49,51,32,49,46,57,
      56,50,49,101,45,49,51,32,50,46,55,54,49,51,49,101,45,49,51,32,51,46,53,54,56,
      50,49,101,45,49,51,32,53,46,49,54,52,49,101,45,49,51,10,32,32,55,46,49,56,54,
      57,57,101,45,49,51,32,56,46,56,55,53,50,57,101,45,49,51,32,49,46,49,48,54,49,
      51,101,45,49,50,32,49,46,52,53,50,53,101,45,49,50,32,49,46,56,49,54,51,52,101,
      45,49,50,32,50,46,50,52,56,53,50,101,45,49,50,32,50,46,56,52,53,49,101,45,49,
      50,10,32,32,51,46,53,55,56,48,50,101,45,49,50,32,52,46,51,53,55,53,57,101,45,
      49,50,32,53,46,50,57,51,55,49,101,45,49,50,32,54,46,52,49,52,54,57,101,45,49,
      50,32,55,46,57,54,50,48,53,101,45,49,50,32,49,46,48,48,57,57,49,101,45,49,49,
      32,49,46,51,48,52,52,51,101,45,49,49,10,32,32,49,46,54,50,55,54,54,101,45,49,
      49,32,50,46,48,53,56,51,52,101,45,49,49,32,50,46,53,49,54,48,56,101,45,49,49,
      32,51,46,48,52,52,53,53,101,45,49,49,32,51,46,55,49,57,52,52,101,45,49,49,32,
      52,46,53,53,48,53,54,101,45,49,49,32,53,46,50,55,50,54,52,101,45,49,49,10,32,
      32,54,46,49,57,57,48,52,101,45,49,49,32,55,46,48,57,54,57,52,101,45,49,49,32,
      56,46,49,52,54,56,52,101,45,49,49,32,57,46,50,57,52,49,56,101,45,49,49,32,49,
      46,48,53,52,49,101,45,49,48,32,49,46,49,56,56,57,55,101,45,49,48,32,49,46,51,
      51,52,50,57,101,45,49,48,10,32,32,49,46,52,57,48,49,101,45,49,48,32,49,46,54,
      53,54,51,53,101,45,49,48,32,49,46,56,51,50,54,56,101,45,49,48,32,50,46,48,49,
      56,52,54,101,45,49,48,32,50,46,50,49,50,57,52,101,45,49,48,32,50,46,52,49,53,
      49,49,101,45,49,48,32,50,46,54,50,51,53,53,101,45,49,48,10,32,32,50,46,56,51,
      54,56,49,101,45,49,48,32,51,46,48,53,51,51,52,101,45,49,48,32,51,46,50,55,49,
      49,50,101,45,49,48,32,51,46,52,56,56,51,52,101,45,49,48,32,51,46,55,48,51,48,
      49,101,45,49,48,32,51,46,57,49,51,48,54,101,45,49,48,32,52,46,49,49,54,52,57,
      101,45,49,48,10,32,32,52,46,51,49,49,50,51,101,45,49,48,32,52,46,52,57,53,48,
      50,101,45,49,48,32,52,46,54,54,54,50,101,45,49,48,32,52,46,56,50,51,52,51,101,
      45,49,48,32,52,46,57,54,53,52,101,45,49,48,32,53,46,48,57,49,49,52,101,45,49,
      48,32,53,46,49,57,57,55,55,101,45,49,48,10,32,32,53,46,50,57,48,53,54,101,45,
      49,48,32,53,46,51,54,50,57,56,101,45,49,48,32,53,46,52,49,54,56,56,101,45,49,
      48,32,53,46,52,53,50,48,55,101,45,49,48,32,53,46,52,54,56,56,55,101,45,49,48,
      32,53,46,52,54,55,55,49,101,45,49,48,32,53,46,52,53,52,56,52,101,45,49,48,10,
      32,32,53,46,52,51,49,55,101,45,49,48,32,53,46,51,57,56,55,56,101,45,49,48,32,
      53,46,51,53,54,52,52,101,45,49,48,32,53,46,51,48,53,49,57,101,45,49,48,32,53,
      46,50,51,55,51,54,101,45,49,48,32,53,46,49,51,55,51,53,101,45,49,48,32,53,46,
      48,50,50,57,54,101,45,49,48,10,32,32,52,46,56,57,53,54,54,101,45,49,48,32,52,
      46,55,53,55,50,56,101,45,49,48,32,52,46,54,48,57,53,52,101,45,49,48,32,52,46,
      52,53,51,57,49,101,45,49,48,32,52,46,50,57,50,48,53,101,45,49,48,32,52,46,49,
      50,53,52,50,101,45,49,48,32,51,46,57,53,53,50,51,101,45,49,48,10,32,32,51,46,
      55,56,50,56,57,101,45,49,48,32,51,46,54,48,57,55,53,101,45,49,48,32,51,46,52,
      51,54,57,49,101,45,49,48,32,51,46,50,54,53,50,53,101,45,49,48,32,51,46,48,57,
      53,54,56,101,45,49,48,32,50,46,57,50,57,48,53,101,45,49,48,32,50,46,55,54,54,
      48,50,101,45,49,48,10,32,32,50,46,54,48,55,49,54,101,45,49,48,32,50,46,52,53,
      51,101,45,49,48,32,50,46,51,48,51,57,54,101,45,49,48,32,50,46,49,54,48,51,51,
      101,45,49,48,32,50,46,48,50,50,51,54,101,45,49,48,32,49,46,56,57,48,50,51,101,
      45,49,48,32,49,46,55,54,52,48,54,101,45,49,48,10,32,32,49,46,54,52,51,57,49,
      101,45,49,48,32,49,46,53,50,57,55,54,101,45,49,48,32,49,46,52,50,49,53,53,101,
      45,49,48,32,49,46,51,49,57,49,54,101,45,49,48,32,49,46,50,50,50,53,52,101,45,
      49,48,32,49,46,49,51,49,53,53,101,45,49,48,32,49,46,48,52,54,48,54,101,45,49,
      48,10,32,32,57,46,54,53,56,56,53,101,45,49,49,32,56,46,57,48,56,52,49,101,45,
      49,49,32,56,46,50,48,55,48,57,101,45,49,49,32,55,46,53,53,50,56,55,101,45,49,
      49,32,54,46,57,52,51,54,101,45,49,49,32,54,46,51,55,55,48,51,101,45,49,49,32,
      53,46,51,54,51,49,56,101,45,49,49,10,32,32,52,46,52,57,51,54,55,101,45,49,49,
      32,51,46,55,53,50,48,50,101,45,49,49,32,51,46,49,50,50,52,101,45,49,49,32,50,
      46,53,57,48,50,55,101,45,49,49,32,50,46,49,52,50,52,56,101,45,49,49,32,49,46,
      55,54,55,49,50,101,45,49,49,32,49,46,52,53,51,54,50,101,45,49,49,10,32,32,49,
      46,49,57,50,55,50,101,45,49,49,32,57,46,55,54,50,53,50,101,45,49,50,32,55,46,
      57,55,50,53,54,101,45,49,50,32,54,46,52,57,54,55,101,45,49,50,32,53,46,50,56,
      51,49,54,101,45,49,50,32,52,46,50,56,55,56,101,45,49,50,32,51,46,52,55,51,50,
      50,101,45,49,50,10,32,32,50,46,56,48,56,51,52,101,45,49,50,32,50,46,50,54,54,
      56,56,101,45,49,50,32,49,46,56,50,54,56,101,45,49,50,32,49,46,52,54,57,56,53,
      101,45,49,50,32,49,46,49,56,48,56,56,101,45,49,50,32,57,46,52,55,51,55,52,101,
      45,49,51,32,55,46,53,56,57,57,53,101,45,49,51,10,32,32,54,46,48,55,50,55,50,
      101,45,49,51,32,52,46,56,53,50,53,57,101,45,49,51,32,51,46,56,55,50,56,54,101,
      45,49,51,32,51,46,48,56,55,51,55,101,45,49,51,32,50,46,52,53,56,52,54,101,45,
      49,51,32,49,46,57,53,53,53,53,101,45,49,51,32,49,46,53,53,51,57,50,101,45,49,
      51,10,32,32,48,114,49,57,51,32,56,46,48,51,54,57,57,101,45,50,52,32,56,46,57,
      57,48,57,101,45,50,52,32,53,46,50,55,54,56,49,101,45,50,52,32,48,114,56,32,
      49,46,49,50,55,57,55,101,45,50,51,32,50,46,55,53,50,53,57,101,45,50,51,32,54,
      46,52,48,56,57,50,101,45,50,51,10,32,32,49,46,51,55,52,57,50,101,45,50,50,32,
      51,46,52,55,48,55,55,101,45,50,50,32,49,46,51,49,48,55,56,101,45,50,49,32,51,
      46,55,53,48,53,55,101,45,50,49,32,54,46,57,48,55,51,56,101,45,50,49,32,57,46,
      50,49,53,57,49,101,45,50,49,32,49,46,51,48,55,50,57,101,45,50,48,10,32,32,49,
      46,57,53,56,56,56,101,45,50,48,32,50,46,53,53,48,49,49,101,45,50,48,32,50,46,
      53,56,52,53,52,101,45,50,48,32,50,46,51,55,54,54,53,101,45,50,48,32,50,46,53,
      49,55,49,49,101,45,50,48,32,51,46,54,48,53,56,51,101,45,50,48,32,54,46,51,53,
      53,56,49,101,45,50,48,10,32,32,49,46,48,52,51,51,50,101,45,49,57,32,50,46,54,
      56,51,50,55,101,45,49,57,32,54,46,53,52,50,54,54,101,45,49,57,32,49,46,54,48,
      50,56,55,101,45,49,56,32,52,46,49,50,52,49,53,101,45,49,56,32,55,46,57,53,48,
      50,50,101,45,49,56,32,49,46,49,56,48,54,51,101,45,49,55,10,32,32,49,46,52,49,
      53,54,53,101,45,49,55,32,50,46,51,50,54,49,54,101,45,49,55,32,51,46,54,48,56,
      57,51,101,45,49,55,32,53,46,57,50,55,50,51,101,45,49,55,32,56,46,54,49,57,52,
      56,101,45,49,55,32,49,46,52,53,51,53,54,101,45,49,54,32,50,46,51,55,49,51,52,
      101,45,49,54,10,32,32,50,46,55,57,56,55,50,101,45,49,54,32,51,46,57,51,54,50,
      55,101,45,49,54,32,54,46,48,51,55,52,52,101,45,49,54,32,55,46,56,57,52,48,49,
      101,45,49,54,32,49,46,48,50,56,55,55,101,45,49,53,32,50,46,50,50,48,53,56,101,
      45,49,53,32,51,46,54,57,57,56,101,45,49,53,10,32,32,52,46,50,55,49,101,45,49,
      53,32,53,46,50,49,49,56,55,101,45,49,53,32,53,46,55,52,57,50,51,101,45,49,53,
      32,54,46,52,54,53,54,101,45,49,53,32,53,46,53,54,55,48,52,101,45,49,53,32,54,
      46,54,49,55,48,49,101,45,49,53,32,55,46,49,48,51,54,55,101,45,49,53,10,32,32,
      56,46,49,51,53,52,50,101,45,49,53,32,57,46,52,51,54,51,55,101,45,49,53,32,49,
      46,48,54,54,51,56,101,45,49,52,32,49,46,50,48,51,53,52,101,45,49,52,32,49,46,
      51,52,54,49,51,101,45,49,52,32,49,46,53,48,49,50,51,101,45,49,52,32,49,46,54,
      57,49,54,57,101,45,49,52,10,32,32,49,46,56,55,56,52,56,101,45,49,52,32,50,46,
      49,48,53,50,53,101,45,49,52,32,50,46,50,56,55,48,53,101,45,49,52,32,50,46,54,
      49,50,57,53,101,45,49,52,32,50,46,56,52,53,54,56,101,45,49,52,32,51,46,49,52,
      48,52,53,101,45,49,52,32,51,46,57,50,57,51,52,101,45,49,52,10,32,32,53,46,50,
      56,50,57,53,101,45,49,52,32,54,46,57,53,52,54,51,101,45,49,52,32,57,46,54,50,
      52,50,49,101,45,49,52,32,49,46,51,48,53,49,50,101,45,49,51,32,49,46,56,51,52,
      52,50,101,45,49,51,32,50,46,51,56,56,51,55,101,45,49,51,32,51,46,52,55,53,49,
      51,101,45,49,51,10,32,32,52,46,57,48,56,51,55,101,45,49,51,32,54,46,49,49,55,
      54,55,101,45,49,51,32,55,46,54,57,51,57,49,101,45,49,51,32,49,46,48,50,48,53,
      54,101,45,49,50,32,49,46,50,56,52,52,50,101,45,49,50,32,49,46,53,57,55,49,51,
      101,45,49,50,32,50,46,48,50,54,57,51,101,45,49,50,10,32,32,50,46,53,53,50,49,
      50,101,45,49,50,32,51,46,49,48,56,48,53,101,45,49,50,32,51,46,55,55,51,52,54,
      101,45,49,50,32,52,46,53,54,56,57,55,101,45,49,50,32,53,46,54,54,54,51,56,101,
      45,49,50,32,55,46,49,56,52,52,52,101,45,49,50,32,57,46,50,56,52,52,55,101,45,
      49,50,10,32,32,49,46,49,54,48,49,50,101,45,49,49,32,49,46,52,55,48,54,53,101,
      45,49,49,32,49,46,56,48,50,54,54,101,45,49,49,32,50,46,49,56,56,51,52,101,45,
      49,49,32,50,46,54,56,51,57,51,101,45,49,49,32,51,46,50,57,55,55,57,101,45,49,
      49,32,51,46,56,51,51,52,50,101,45,49,49,10,32,32,52,46,53,50,51,49,50,101,45,
      49,49,32,53,46,49,57,51,55,54,101,45,49,49,32,53,46,57,56,48,50,50,101,45,49,
      49,32,54,46,56,52,49,52,51,101,45,49,49,32,55,46,55,55,56,57,50,101,45,49,49,
      32,56,46,55,57,52,57,101,45,49,49,32,57,46,56,57,49,57,51,101,45,49,49,10,32,
      32,49,46,49,48,55,49,51,101,45,49,48,32,49,46,50,51,51,50,54,101,45,49,48,32,
      49,46,51,54,55,52,49,101,45,49,48,32,49,46,53,48,57,50,51,101,45,49,48,32,49,
      46,54,53,56,49,57,101,45,49,48,32,49,46,56,49,51,54,51,101,45,49,48,32,49,46,
      57,55,52,53,56,101,45,49,48,10,32,32,50,46,49,52,48,48,56,101,45,49,48,32,50,
      46,51,48,56,57,55,101,45,49,48,32,50,46,52,55,57,56,52,101,45,49,48,32,50,46,
      54,53,49,50,56,101,45,49,48,32,50,46,56,50,49,55,52,101,45,49,48,32,50,46,57,
      56,57,53,56,101,45,49,48,32,51,46,49,53,51,49,54,101,45,49,48,10,32,32,51,46,
      51,49,48,57,51,101,45,49,48,32,51,46,52,54,49,51,57,101,45,49,48,32,51,46,54,
      48,51,50,57,101,45,49,48,32,51,46,55,51,53,51,51,101,45,49,48,32,51,46,56,53,
      54,51,51,101,45,49,48,32,51,46,57,54,53,50,53,101,45,49,48,32,52,46,48,54,49,
      50,54,101,45,49,48,10,32,32,52,46,49,52,51,53,53,101,45,49,48,32,52,46,50,49,
      49,54,52,101,45,49,48,32,52,46,50,54,53,51,52,101,45,49,48,32,52,46,51,48,52,
      52,54,101,45,49,48,32,52,46,51,50,57,49,54,101,45,49,48,32,52,46,51,51,57,53,
      51,101,45,49,48,32,52,46,51,51,55,56,53,101,45,49,48,10,32,32,52,46,51,50,55,
      57,101,45,49,48,32,52,46,51,48,57,57,52,101,45,49,48,32,52,46,50,56,52,51,52,
      101,45,49,48,32,52,46,50,53,49,52,50,101,45,49,48,32,52,46,50,48,53,57,52,101,
      45,49,48,32,52,46,49,51,54,52,56,101,45,49,48,32,52,46,48,53,52,55,53,101,45,
      49,48,10,32,32,51,46,57,54,50,48,50,101,45,49,48,32,51,46,56,53,57,53,53,101,
      45,49,48,32,51,46,55,52,56,55,53,101,45,49,48,32,51,46,54,51,48,56,52,101,45,
      49,48,32,51,46,53,48,55,48,57,101,45,49,48,32,51,46,51,55,56,53,54,101,45,49,
      48,32,51,46,50,52,54,52,57,101,45,49,48,10,32,32,51,46,49,49,49,57,57,101,45,
      49,48,32,50,46,57,55,54,48,54,101,45,49,48,32,50,46,56,51,57,54,101,45,49,48,
      32,50,46,55,48,51,52,51,101,45,49,48,32,50,46,53,54,56,50,57,101,45,49,48,32,
      50,46,52,51,52,56,55,101,45,49,48,32,50,46,51,48,51,56,52,101,45,49,48,10,32,
      32,50,46,49,55,53,55,101,45,49,48,32,50,46,48,53,48,56,101,45,49,48,32,49,46,
      57,50,57,54,49,101,45,49,48,32,49,46,56,49,50,52,52,101,45,49,48,32,49,46,54,
      57,57,53,101,45,49,48,32,49,46,53,57,49,48,54,101,45,49,48,32,49,46,52,56,55,
      50,50,101,45,49,48,10,32,32,49,46,51,56,56,48,56,101,45,49,48,32,49,46,50,57,
      51,54,56,101,45,49,48,32,49,46,50,48,52,101,45,49,48,32,49,46,49,49,57,48,49,
      101,45,49,48,32,49,46,48,51,56,54,52,101,45,49,48,32,57,46,54,50,55,56,57,101,
      45,49,49,32,56,46,57,49,51,54,54,101,45,49,49,10,32,32,56,46,50,52,50,53,101,
      45,49,49,32,55,46,54,49,50,57,55,101,45,49,49,32,55,46,48,50,51,53,56,101,45,
      49,49,32,54,46,52,55,50,54,55,101,45,49,49,32,53,46,57,53,56,53,56,101,45,49,
      49,32,53,46,52,55,57,53,49,101,45,49,49,32,52,46,54,49,57,57,49,101,45,49,49,
      10,32,32,51,46,56,56,48,50,55,101,45,49,49,32,51,46,50,52,55,52,51,101,45,49,
      49,32,50,46,55,48,56,53,51,101,45,49,49,32,50,46,50,53,49,56,52,101,45,49,49,
      32,49,46,56,54,54,53,101,45,49,49,32,49,46,53,52,50,54,50,101,45,49,49,32,49,
      46,50,55,49,52,52,101,45,49,49,10,32,32,49,46,48,52,53,49,57,101,45,49,49,32,
      56,46,53,55,48,57,50,101,45,49,50,32,55,46,48,49,50,101,45,49,50,32,53,46,55,
      50,51,56,54,101,45,49,50,32,52,46,54,54,50,51,56,101,45,49,50,32,51,46,55,56,
      57,57,50,101,45,49,50,32,51,46,48,55,52,55,56,101,45,49,50,10,32,32,50,46,52,
      57,48,48,50,101,45,49,50,32,50,46,48,49,50,57,49,101,45,49,50,32,49,46,54,50,
      52,52,55,101,45,49,50,32,49,46,51,48,56,56,57,101,45,49,50,32,49,46,48,53,51,
      101,45,49,50,32,56,46,52,53,56,56,54,101,45,49,51,32,54,46,55,56,53,53,52,101,
      45,49,51,10,32,32,53,46,52,51,53,56,54,101,45,49,51,32,52,46,51,52,56,57,52,
      101,45,49,51,32,51,46,52,55,53,48,49,101,45,49,51,32,50,46,55,55,51,51,55,101,
      45,49,51,32,50,46,50,49,48,56,56,101,45,49,51,32,49,46,55,54,48,53,52,101,45,
      49,51,32,49,46,52,48,48,52,53,101,45,49,51,10,32,32,48,114,49,57,51,32,49,46,
      57,55,56,54,52,101,45,50,52,32,50,46,50,49,53,48,51,101,45,50,52,32,49,46,50,
      55,53,56,55,101,45,50,52,32,48,114,56,32,50,46,55,50,57,56,50,101,45,50,52,
      32,54,46,56,51,49,52,51,101,45,50,52,32,49,46,54,50,56,53,52,101,45,50,51,10,
      32,32,51,46,53,54,57,52,56,101,45,50,51,32,57,46,50,53,48,54,50,101,45,50,51,
      32,51,46,54,50,57,48,57,101,45,50,50,32,49,46,48,55,48,48,53,101,45,50,49,32,
      50,46,48,48,52,48,51,101,45,50,49,32,50,46,54,57,50,57,56,101,45,50,49,32,51,
      46,56,53,50,51,54,101,45,50,49,10,32,32,53,46,56,51,51,48,50,101,45,50,49,32,
      55,46,54,52,48,49,101,45,50,49,32,55,46,55,51,49,49,51,101,45,50,49,32,55,46,
      48,55,54,56,52,101,45,50,49,32,55,46,52,57,53,48,55,101,45,50,49,32,49,46,48,
      56,51,57,49,101,45,50,48,32,49,46,57,52,50,49,55,101,45,50,48,10,32,32,51,46,
      50,51,53,55,51,101,45,50,48,32,56,46,53,54,53,51,51,101,45,50,48,32,50,46,49,
      52,55,55,101,45,49,57,32,53,46,52,49,55,49,49,101,45,49,57,32,49,46,52,51,56,
      55,53,101,45,49,56,32,50,46,56,51,54,50,52,101,45,49,56,32,52,46,50,54,54,53,
      50,101,45,49,56,10,32,32,53,46,49,52,49,53,50,101,45,49,56,32,56,46,55,50,51,
      56,50,101,45,49,56,32,49,46,51,57,50,52,52,101,45,49,55,32,50,46,51,54,49,57,
      52,101,45,49,55,32,51,46,53,50,48,48,52,101,45,49,55,32,54,46,49,52,56,54,52,
      101,45,49,55,32,49,46,48,51,52,49,50,101,45,49,54,10,32,32,49,46,50,51,48,56,
      51,101,45,49,54,32,49,46,55,54,51,48,55,101,45,49,54,32,50,46,55,54,56,55,54,
      101,45,49,54,32,51,46,54,55,52,101,45,49,54,32,52,46,56,53,55,49,51,101,45,
      49,54,32,49,46,51,49,56,56,52,101,45,49,53,32,50,46,52,49,51,50,51,101,45,49,
      53,10,32,32,50,46,55,52,49,52,57,101,45,49,53,32,51,46,50,55,57,48,51,101,45,
      49,53,32,51,46,53,56,54,51,55,101,45,49,53,32,51,46,57,57,54,56,53,101,45,49,
      53,32,51,46,53,48,54,54,55,101,45,49,53,32,52,46,49,48,54,48,57,101,45,49,53,
      32,52,46,51,56,50,56,57,101,45,49,53,10,32,32,52,46,57,54,56,49,54,101,45,49,
      53,32,53,46,55,48,52,48,56,101,45,49,53,32,54,46,51,57,54,57,51,101,45,49,53,
      32,55,46,49,55,48,50,52,101,45,49,53,32,55,46,57,55,51,55,49,101,45,49,53,32,
      56,46,56,52,55,53,50,101,45,49,53,32,57,46,57,50,48,54,52,101,45,49,53,10,32,
      32,49,46,48,57,55,51,54,101,45,49,52,32,49,46,50,50,53,51,50,101,45,49,52,32,
      49,46,51,50,56,48,51,101,45,49,52,32,49,46,53,49,50,52,49,101,45,49,52,32,49,
      46,54,52,57,49,54,101,45,49,52,32,49,46,56,49,54,54,57,101,45,49,52,32,50,46,
      50,54,54,54,101,45,49,52,10,32,32,51,46,48,52,51,54,101,45,49,52,32,52,46,48,
      49,49,55,50,101,45,49,52,32,53,46,53,55,52,50,57,101,45,49,52,32,55,46,54,48,
      54,51,57,101,45,49,52,32,49,46,48,55,56,56,56,101,45,49,51,32,49,46,52,49,54,
      55,51,101,45,49,51,32,50,46,48,54,50,50,56,101,45,49,51,10,32,32,50,46,57,55,
      49,57,101,45,49,51,32,51,46,55,52,57,55,56,101,45,49,51,32,52,46,55,55,52,52,
      57,101,45,49,51,32,54,46,52,50,50,51,54,101,45,49,51,32,56,46,49,54,52,52,101,
      45,49,51,32,49,46,48,50,51,48,53,101,45,49,50,32,49,46,51,48,53,57,51,101,45,
      49,50,10,32,32,49,46,54,52,57,53,57,101,45,49,50,32,50,46,48,49,49,51,49,101,
      45,49,50,32,50,46,52,52,50,49,50,101,45,49,50,32,50,46,57,53,53,52,57,101,45,
      49,50,32,51,46,54,54,50,54,49,101,45,49,50,32,52,46,54,52,48,54,49,101,45,49,
      50,32,53,46,57,57,54,57,51,101,45,49,50,10,32,32,55,46,53,48,49,51,50,101,45,
      49,50,32,57,46,53,51,50,50,56,101,45,49,50,32,49,46,49,55,49,57,50,101,45,49,
      49,32,49,46,52,50,55,56,53,101,45,49,49,32,49,46,55,53,57,49,56,101,45,49,49,
      32,50,46,49,55,50,56,51,101,45,49,49,32,50,46,53,51,53,57,50,101,45,49,49,10,
      32,32,51,46,48,48,53,57,53,101,45,49,49,32,51,46,52,54,53,48,57,101,45,49,49,
      32,52,46,48,48,53,52,51,101,45,49,49,32,52,46,53,57,57,101,45,49,49,32,53,46,
      50,52,54,56,49,101,45,49,49,32,53,46,57,53,49,101,45,49,49,32,54,46,55,49,51,
      52,57,101,45,49,49,10,32,32,55,46,53,51,53,53,49,101,45,49,49,32,56,46,52,49,
      55,53,49,101,45,49,49,32,57,46,51,53,56,54,51,101,45,49,49,32,49,46,48,51,53,
      55,50,101,45,49,48,32,49,46,49,52,49,48,52,101,45,49,48,32,49,46,50,53,49,52,
      54,101,45,49,48,32,49,46,51,54,54,52,51,101,45,49,48,10,32,32,49,46,52,56,53,
      51,52,101,45,49,48,32,49,46,54,48,55,52,49,101,45,49,48,32,49,46,55,51,49,55,
      55,101,45,49,48,32,49,46,56,53,55,52,53,101,45,49,48,32,49,46,57,56,51,50,52,
      101,45,49,48,32,50,46,49,48,56,49,50,101,45,49,48,32,50,46,50,51,48,57,55,101,
      45,49,48,10,32,32,50,46,51,53,48,54,54,101,45,49,48,32,50,46,52,54,54,49,101,
      45,49,48,32,50,46,53,55,54,50,54,101,45,49,48,32,50,46,54,56,48,49,50,101,45,
      49,48,32,50,46,55,55,54,53,56,101,45,49,48,32,50,46,56,54,52,57,50,101,45,49,
      48,32,50,46,57,52,52,52,51,101,45,49,48,10,32,32,51,46,48,49,52,53,52,101,45,
      49,48,32,51,46,48,55,52,55,52,101,45,49,48,32,51,46,49,50,52,54,57,101,45,49,
      48,32,51,46,49,54,52,48,54,101,45,49,48,32,51,46,49,57,50,57,49,101,45,49,48,
      32,51,46,50,49,49,50,52,101,45,49,48,32,51,46,50,49,56,51,101,45,49,48,10,32,
      32,51,46,50,49,57,50,101,45,49,48,32,51,46,50,49,52,48,55,101,45,49,48,32,51,
      46,50,48,51,101,45,49,48,32,51,46,49,56,54,50,51,101,45,49,48,32,51,46,49,54,
      48,55,50,101,45,49,48,32,51,46,49,49,57,48,52,101,45,49,48,32,51,46,48,54,55,
      54,55,101,45,49,48,10,32,32,51,46,48,48,55,52,55,101,45,49,48,32,50,46,57,51,
      57,50,51,101,45,49,48,32,50,46,56,54,51,57,50,101,45,49,48,32,50,46,55,56,50,
      52,56,101,45,49,48,32,50,46,54,57,53,56,49,101,45,49,48,32,50,46,54,48,52,56,
      101,45,49,48,32,50,46,53,49,48,51,101,45,49,48,10,32,32,50,46,52,49,51,49,101,
      45,49,48,32,50,46,51,49,52,48,56,101,45,49,48,32,50,46,50,49,51,57,55,101,45,
      49,48,32,50,46,49,49,51,51,101,45,49,48,32,50,46,48,49,50,56,49,101,45,49,48,
      32,49,46,57,49,51,49,101,45,49,48,32,49,46,56,49,52,54,50,101,45,49,48,10,32,
      32,49,46,55,49,55,56,52,101,45,49,48,32,49,46,54,50,51,49,52,101,45,49,48,32,
      49,46,53,51,48,56,53,101,45,49,48,32,49,46,52,52,49,50,55,101,45,49,48,32,49,
      46,51,53,52,54,50,101,45,49,48,32,49,46,50,55,49,48,55,101,45,49,48,32,49,46,
      49,57,48,55,54,101,45,49,48,10,32,32,49,46,49,49,51,55,57,101,45,49,48,32,49,
      46,48,52,48,50,52,101,45,49,48,32,57,46,55,48,49,52,54,101,45,49,49,32,57,46,
      48,51,52,57,57,101,45,49,49,32,56,46,52,48,50,56,49,101,45,49,49,32,55,46,56,
      48,52,51,52,101,45,49,49,32,55,46,50,51,56,57,50,101,45,49,49,10,32,32,54,46,
      55,48,53,57,54,101,45,49,49,32,54,46,50,48,52,55,54,101,45,49,49,32,53,46,55,
      51,52,51,101,45,49,49,32,53,46,50,57,51,53,50,101,45,49,49,32,52,46,56,56,49,
      50,56,101,45,49,49,32,52,46,52,57,54,51,49,101,45,49,49,32,51,46,56,48,51,50,
      52,101,45,49,49,10,32,32,51,46,50,48,52,52,49,101,45,49,49,32,50,46,54,56,57,
      57,52,101,45,49,49,32,50,46,50,53,48,50,49,101,45,49,49,32,49,46,56,55,54,49,
      51,101,45,49,49,32,49,46,53,53,57,50,56,101,45,49,49,32,49,46,50,57,50,49,101,
      45,49,49,32,49,46,48,54,55,54,54,101,45,49,49,10,32,32,56,46,55,57,56,53,57,
      101,45,49,50,32,55,46,50,51,50,51,56,101,45,49,50,32,53,46,57,51,48,54,56,101,
      45,49,50,32,52,46,56,53,50,48,57,101,45,49,50,32,51,46,57,54,48,57,50,101,45,
      49,50,32,51,46,50,50,54,53,54,101,45,49,50,32,50,46,54,50,51,48,54,101,45,49,
      50,10,32,32,50,46,49,50,56,52,50,101,45,49,50,32,49,46,55,50,51,57,50,101,45,
      49,50,32,49,46,51,57,51,56,57,101,45,49,50,32,49,46,49,50,53,49,55,101,45,49,
      50,32,57,46,48,54,56,50,50,101,45,49,51,32,55,46,50,57,55,50,101,45,49,51,32,
      53,46,56,54,51,51,56,101,45,49,51,10,32,32,52,46,55,48,52,55,101,45,49,51,32,
      51,46,55,54,57,57,56,101,45,49,51,32,51,46,48,49,55,48,57,101,45,49,51,32,50,
      46,52,49,49,53,55,101,45,49,51,32,49,46,57,50,53,51,101,45,49,51,32,49,46,53,
      51,53,51,101,45,49,51,32,49,46,50,50,50,57,55,101,45,49,51,10,32,32,48,114,
      49,57,51,32,51,46,52,50,56,55,49,101,45,50,53,32,51,46,56,52,49,55,52,101,45,
      50,53,32,50,46,49,54,49,49,51,101,45,50,53,32,48,114,56,32,52,46,54,50,57,50,
      57,101,45,50,53,32,49,46,49,57,53,56,54,101,45,50,52,32,50,46,57,51,54,56,57,
      101,45,50,52,10,32,32,54,46,54,49,51,52,57,101,45,50,52,32,49,46,55,55,49,52,
      55,101,45,50,51,32,55,46,50,56,55,55,52,101,45,50,51,32,50,46,50,51,48,51,51,
      101,45,50,50,32,52,46,50,54,52,53,55,101,45,50,50,32,53,46,55,56,49,51,52,101,
      45,50,50,32,56,46,51,53,54,54,56,101,45,50,50,10,32,32,49,46,50,56,49,54,54,
      101,45,50,49,32,49,46,54,57,49,51,57,101,45,50,49,32,49,46,55,48,56,50,53,101,
      45,50,49,32,49,46,53,53,52,57,49,101,45,50,49,32,49,46,54,52,54,56,101,45,50,
      49,32,50,46,52,48,57,52,50,101,45,50,49,32,52,46,52,48,53,49,54,101,45,50,49,
      10,32,32,55,46,52,55,51,53,57,101,45,50,49,32,50,46,48,52,57,51,56,101,45,50,
      48,32,53,46,51,49,55,54,50,101,45,50,48,32,49,46,51,56,57,56,51,101,45,49,57,
      32,51,46,56,51,55,50,52,101,45,49,57,32,55,46,55,55,51,54,50,101,45,49,57,32,
      49,46,49,56,55,57,52,101,45,49,56,10,32,32,49,46,52,52,48,51,54,101,45,49,56,
      32,50,46,53,51,54,54,49,101,45,49,56,32,52,46,49,56,52,51,55,101,45,49,56,32,
      55,46,51,54,56,53,56,101,45,49,56,32,49,46,49,50,57,56,53,101,45,49,55,32,50,
      46,48,53,53,55,56,101,45,49,55,32,51,46,53,56,51,55,56,101,45,49,55,10,32,32,
      52,46,51,49,48,51,55,101,45,49,55,32,54,46,51,49,55,50,50,101,45,49,55,32,49,
      46,48,50,49,57,57,101,45,49,54,32,49,46,51,56,49,56,50,101,45,49,54,32,49,46,
      56,54,48,56,54,101,45,49,54,32,55,46,48,51,51,50,56,101,45,49,54,32,49,46,52,
      57,54,52,51,101,45,49,53,10,32,32,49,46,54,55,50,53,57,101,45,49,53,32,49,46,
      57,53,55,48,54,101,45,49,53,32,50,46,49,49,56,55,54,101,45,49,53,32,50,46,51,
      51,53,50,101,45,49,53,32,50,46,48,57,53,57,51,101,45,49,53,32,50,46,52,49,48,
      54,49,101,45,49,53,32,50,46,53,53,52,53,55,101,45,49,53,10,32,32,50,46,56,53,
      54,55,55,101,45,49,53,32,51,46,50,51,51,53,51,101,45,49,53,32,51,46,53,56,53,
      56,49,101,45,49,53,32,51,46,57,55,54,57,52,101,45,49,53,32,52,46,51,56,49,54,
      53,101,45,49,53,32,52,46,56,50,48,51,56,101,45,49,53,32,53,46,51,53,55,55,51,
      101,45,49,53,10,32,32,53,46,56,56,51,57,56,101,45,49,53,32,54,46,53,50,50,54,
      101,45,49,53,32,55,46,48,51,52,56,49,101,45,49,53,32,55,46,57,53,51,57,53,101,
      45,49,53,32,56,46,54,56,48,50,57,101,45,49,53,32,57,46,53,49,56,51,50,101,45,
      49,53,32,49,46,49,55,55,49,54,101,45,49,52,10,32,32,49,46,53,54,55,56,55,101,
      45,49,52,32,50,46,48,53,56,49,49,101,45,49,52,32,50,46,56,53,55,50,57,101,45,
      49,52,32,51,46,57,48,57,57,101,45,49,52,32,53,46,53,56,52,50,101,45,49,52,32,
      55,46,51,56,57,54,53,101,45,49,52,32,49,46,48,54,55,56,49,101,45,49,51,10,32,
      32,49,46,53,55,53,49,52,101,45,49,51,32,50,46,48,49,54,52,50,101,45,49,51,32,
      50,46,54,48,55,52,52,101,45,49,51,32,51,46,53,55,50,53,55,101,45,49,51,32,52,
      46,54,48,51,51,56,101,45,49,51,32,53,46,56,51,50,51,51,101,45,49,51,32,55,46,
      53,49,56,56,55,101,45,49,51,10,32,32,57,46,53,54,50,50,55,101,45,49,51,32,49,
      46,49,55,48,48,53,101,45,49,50,32,49,46,52,50,50,57,54,101,45,49,50,32,49,46,
      55,50,50,56,101,45,49,50,32,50,46,49,51,52,50,101,45,49,50,32,50,46,55,48,50,
      48,56,101,45,49,50,32,51,46,52,57,48,54,54,101,45,49,50,10,32,32,52,46,51,54,
      56,57,53,101,45,49,50,32,53,46,53,54,50,50,57,101,45,49,50,32,54,46,56,53,55,
      55,55,101,45,49,50,32,56,46,51,56,54,53,57,101,45,49,50,32,49,46,48,51,56,51,
      56,101,45,49,49,32,49,46,50,57,48,49,52,101,45,49,49,32,49,46,53,49,50,57,54,
      101,45,49,49,10,32,32,49,46,56,48,51,50,50,101,45,49,49,32,50,46,48,56,56,52,
      56,101,45,49,49,32,50,46,52,50,53,56,55,101,45,49,49,32,50,46,55,57,56,50,54,
      101,45,49,49,32,51,46,50,48,54,55,52,101,45,49,49,32,51,46,54,53,50,53,54,101,
      45,49,49,32,52,46,49,51,54,57,49,101,45,49,49,10,32,32,52,46,54,54,48,56,101,
      45,49,49,32,53,46,50,50,52,55,57,101,45,49,49,32,53,46,56,50,57,48,51,101,45,
      49,49,32,54,46,52,55,50,57,56,101,45,49,49,32,55,46,49,53,53,52,49,101,45,49,
      49,32,55,46,56,55,52,53,54,101,45,49,49,32,56,46,54,50,55,57,51,101,45,49,49,
      10,32,32,57,46,52,49,49,57,101,45,49,49,32,49,46,48,50,50,50,101,45,49,48,32,
      49,46,49,48,53,51,51,101,45,49,48,32,49,46,49,57,48,48,50,101,45,49,48,32,49,
      46,50,55,53,54,51,101,45,49,48,32,49,46,51,54,49,52,49,101,45,49,48,32,49,46,
      52,52,54,54,52,101,45,49,48,10,32,32,49,46,53,51,48,53,54,101,45,49,48,32,49,
      46,54,49,50,52,55,101,45,49,48,32,49,46,54,57,49,54,53,101,45,49,48,32,49,46,
      55,54,55,52,101,45,49,48,32,49,46,56,51,57,48,49,101,45,49,48,32,49,46,57,48,
      53,55,57,101,45,49,48,32,49,46,57,54,55,49,51,101,45,49,48,10,32,32,50,46,48,
      50,50,54,50,101,45,49,48,32,50,46,48,55,49,56,50,101,45,49,48,32,50,46,49,49,
      52,52,101,45,49,48,32,50,46,49,53,48,48,50,101,45,49,48,32,50,46,49,55,56,54,
      53,101,45,49,48,32,50,46,50,48,48,49,54,101,45,49,48,32,50,46,50,49,50,101,
      45,49,48,10,32,32,50,46,50,49,57,53,55,101,45,49,48,32,50,46,50,50,50,57,49,
      101,45,49,48,32,50,46,50,50,50,48,53,101,45,49,48,32,50,46,50,49,55,49,52,101,
      45,49,48,32,50,46,50,48,54,57,50,101,45,49,48,32,50,46,49,56,55,48,56,101,45,
      49,48,32,50,46,49,54,48,48,56,101,45,49,48,10,32,32,50,46,49,50,54,51,55,101,
      45,49,48,32,50,46,48,56,54,53,51,101,45,49,48,32,50,46,48,52,49,48,55,101,45,
      49,48,32,49,46,57,57,48,54,55,101,45,49,48,32,49,46,57,51,53,57,49,101,45,49,
      48,32,49,46,56,55,55,52,101,45,49,48,32,49,46,56,49,53,56,50,101,45,49,48,10,
      32,32,49,46,55,53,49,55,53,101,45,49,48,32,49,46,54,56,53,54,57,101,45,49,48,
      32,49,46,54,49,56,50,49,101,45,49,48,32,49,46,53,52,57,56,52,101,45,49,48,32,
      49,46,52,56,49,48,50,101,45,49,48,32,49,46,52,49,50,49,57,101,45,49,48,32,49,
      46,51,52,51,55,53,101,45,49,48,10,32,32,49,46,50,55,54,48,53,101,45,49,48,32,
      49,46,50,48,57,51,55,101,45,49,48,32,49,46,49,52,52,48,50,101,45,49,48,32,49,
      46,48,56,48,50,50,101,45,49,48,32,49,46,48,49,56,49,55,101,45,49,48,32,57,46,
      53,56,48,52,56,101,45,49,49,32,56,46,57,57,57,56,56,101,45,49,49,10,32,32,56,
      46,52,52,48,57,49,101,45,49,49,32,55,46,57,48,52,49,52,101,45,49,49,32,55,46,
      51,57,48,49,101,45,49,49,32,54,46,56,57,57,50,57,101,45,49,49,32,54,46,52,51,
      49,56,52,101,45,49,49,32,53,46,57,56,55,55,53,101,45,49,49,32,53,46,53,54,54,
      56,54,101,45,49,49,10,32,32,53,46,49,54,56,57,54,101,45,49,49,32,52,46,55,57,
      51,53,52,101,45,49,49,32,52,46,52,52,48,48,53,101,45,49,49,32,52,46,49,48,55,
      56,49,101,45,49,49,32,51,46,55,57,54,49,50,101,45,49,49,32,51,46,53,48,52,49,
      56,101,45,49,49,32,50,46,57,55,54,52,51,101,45,49,49,10,32,32,50,46,53,49,55,
      56,54,101,45,49,49,32,50,46,49,50,49,55,57,101,45,49,49,32,49,46,55,56,49,53,
      51,101,45,49,49,32,49,46,52,57,48,54,56,101,45,49,49,32,49,46,50,52,51,50,49,
      101,45,49,49,32,49,46,48,51,51,54,50,101,45,49,49,32,56,46,53,54,56,51,56,101,
      45,49,50,10,32,32,55,46,48,56,51,49,51,101,45,49,50,32,53,46,56,51,57,57,52,
      101,45,49,50,32,52,46,56,48,50,56,52,101,45,49,50,32,51,46,57,52,48,53,101,
      45,49,50,32,51,46,50,50,53,54,101,45,49,50,32,50,46,54,51,52,54,54,101,45,49,
      50,32,50,46,49,52,55,53,54,101,45,49,50,10,32,32,49,46,55,52,55,48,51,101,45,
      49,50,32,49,46,52,49,56,52,54,101,45,49,50,32,49,46,49,52,57,53,57,101,45,49,
      50,32,57,46,51,48,48,56,52,101,45,49,51,32,55,46,53,49,50,53,49,101,45,49,51,
      32,54,46,48,53,56,52,52,101,45,49,51,32,52,46,56,55,56,52,51,101,45,49,51,10,
      32,32,51,46,57,50,50,52,57,101,45,49,51,32,51,46,49,52,57,52,56,101,45,49,51,
      32,50,46,53,50,53,52,50,101,45,49,51,32,50,46,48,50,50,51,56,101,45,49,51,32,
      49,46,54,49,55,53,53,101,45,49,51,32,49,46,50,57,50,50,51,101,45,49,51,32,49,
      46,48,51,49,49,55,101,45,49,51,10,32,32,48,114,49,57,51,32,51,46,55,55,54,53,
      54,101,45,50,54,32,52,46,50,51,54,48,52,101,45,50,54,32,50,46,51,49,53,54,57,
      101,45,50,54,32,48,114,56,32,52,46,57,54,55,51,54,101,45,50,54,32,49,46,51,
      51,51,53,55,101,45,50,53,32,51,46,51,57,54,51,56,101,45,50,53,10,32,32,55,46,
      57,48,54,54,55,101,45,50,53,32,50,46,50,48,54,49,54,101,45,50,52,32,57,46,54,
      50,55,53,49,101,45,50,52,32,51,46,48,56,53,56,51,101,45,50,51,32,54,46,48,53,
      51,57,51,101,45,50,51,32,56,46,50,57,55,49,54,101,45,50,51,32,49,46,50,49,52,
      56,53,101,45,50,50,10,32,32,49,46,56,57,51,48,52,101,45,50,50,32,50,46,53,50,
      49,53,51,101,45,50,50,32,50,46,53,52,48,54,51,101,45,50,50,32,50,46,50,57,54,
      53,52,101,45,50,50,32,50,46,52,51,50,50,53,101,45,50,50,32,51,46,54,49,48,49,
      56,101,45,50,50,32,54,46,55,54,54,56,53,101,45,50,50,10,32,32,49,46,49,55,52,
      48,50,101,45,50,49,32,51,46,51,54,50,51,101,45,50,49,32,57,46,48,57,56,55,56,
      101,45,50,49,32,50,46,52,56,52,50,50,101,45,50,48,32,55,46,49,57,50,50,101,
      45,50,48,32,49,46,53,48,54,53,52,101,45,49,57,32,50,46,51,52,55,48,51,101,45,
      49,57,10,32,32,50,46,56,54,55,49,49,101,45,49,57,32,53,46,50,55,48,57,52,101,
      45,49,57,32,57,46,48,51,49,55,56,101,45,49,57,32,49,46,54,54,48,55,101,45,49,
      56,32,50,46,54,51,49,51,57,101,45,49,56,32,53,46,48,49,56,55,56,101,45,49,56,
      32,57,46,49,50,52,54,55,101,45,49,56,10,32,32,49,46,49,49,49,55,55,101,45,49,
      55,32,49,46,54,55,54,52,101,45,49,55,32,50,46,56,49,52,56,56,101,45,49,55,32,
      51,46,56,57,55,52,53,101,45,49,55,32,53,46,51,55,51,55,56,101,45,49,55,32,51,
      46,49,50,57,51,50,101,45,49,54,32,56,46,51,48,56,52,49,101,45,49,54,10,32,32,
      57,46,50,49,52,48,49,101,45,49,54,32,49,46,48,54,52,51,101,45,49,53,32,49,46,
      49,52,52,48,52,101,45,49,53,32,49,46,50,53,48,55,52,101,45,49,53,32,49,46,49,
      52,48,57,54,101,45,49,53,32,49,46,50,57,53,57,52,101,45,49,53,32,49,46,51,54,
      53,54,56,101,45,49,53,10,32,32,49,46,53,49,48,49,55,101,45,49,53,32,49,46,54,
      56,55,50,53,101,45,49,53,32,49,46,56,53,48,51,57,101,45,49,53,32,50,46,48,50,
      57,51,101,45,49,53,32,50,46,50,49,50,52,53,101,45,49,53,32,50,46,52,48,57,49,
      53,101,45,49,53,32,50,46,54,52,55,57,55,101,45,49,53,10,32,32,50,46,56,56,48,
      48,53,101,45,49,53,32,51,46,49,53,57,56,50,101,45,49,53,32,51,46,51,56,51,48,
      54,101,45,49,53,32,51,46,55,56,49,55,101,45,49,53,32,52,46,49,50,56,54,50,101,
      45,49,53,32,52,46,52,57,49,55,101,45,49,53,32,53,46,52,54,51,57,56,101,45,49,
      53,10,32,32,55,46,49,52,51,57,57,101,45,49,53,32,57,46,50,53,50,57,50,101,45,
      49,53,32,49,46,50,55,48,56,53,101,45,49,52,32,49,46,55,51,48,51,50,101,45,49,
      52,32,50,46,52,55,49,52,56,101,45,49,52,32,51,46,50,56,51,50,51,101,45,49,52,
      32,52,46,54,53,56,49,49,101,45,49,52,10,32,32,55,46,48,49,53,53,49,101,45,49,
      52,32,57,46,49,50,49,53,49,101,45,49,52,32,49,46,50,48,48,54,101,45,49,51,32,
      49,46,54,56,50,55,101,45,49,51,32,50,46,50,48,56,48,57,101,45,49,51,32,50,46,
      56,52,50,55,50,101,45,49,51,32,51,46,55,49,57,57,51,101,45,49,51,10,32,32,52,
      46,55,56,53,50,50,101,45,49,51,32,53,46,56,57,56,52,49,101,45,49,51,32,55,46,
      50,49,49,55,49,101,45,49,51,32,56,46,55,54,48,52,49,101,45,49,51,32,49,46,48,
      56,55,50,54,101,45,49,50,32,49,46,51,55,55,53,54,101,45,49,50,32,49,46,55,55,
      57,57,54,101,45,49,50,10,32,32,50,46,50,50,56,56,53,101,45,49,50,32,50,46,56,
      52,49,57,53,101,45,49,50,32,51,46,53,49,50,56,55,101,45,49,50,32,52,46,51,49,
      49,56,57,101,45,49,50,32,53,46,51,54,54,54,101,45,49,50,32,54,46,55,49,48,53,
      55,101,45,49,50,32,55,46,57,49,49,56,55,101,45,49,50,10,32,32,57,46,52,57,48,
      51,54,101,45,49,50,32,49,46,49,48,53,52,57,101,45,49,49,32,49,46,50,57,49,57,
      50,101,45,49,49,32,49,46,52,57,57,49,50,101,45,49,49,32,49,46,55,50,55,56,52,
      101,45,49,49,32,49,46,57,55,56,54,57,101,45,49,49,32,50,46,50,53,50,53,56,101,
      45,49,49,10,32,32,50,46,53,53,48,50,101,45,49,49,32,50,46,56,55,50,48,53,101,
      45,49,49,32,51,46,50,49,56,51,54,101,45,49,49,32,51,46,53,56,57,50,55,101,45,
      49,49,32,51,46,57,56,52,52,101,45,49,49,32,52,46,52,48,51,51,49,101,45,49,49,
      32,52,46,56,52,52,56,54,101,45,49,49,10,32,32,53,46,51,48,55,53,55,101,45,49,
      49,32,53,46,55,56,57,52,101,45,49,49,32,54,46,50,56,55,55,54,101,45,49,49,32,
      54,46,55,57,57,57,54,101,45,49,49,32,55,46,51,50,50,54,56,101,45,49,49,32,55,
      46,56,53,50,50,57,101,45,49,49,32,56,46,51,56,52,56,54,101,45,49,49,10,32,32,
      56,46,57,49,53,56,54,101,45,49,49,32,57,46,52,52,48,52,51,101,45,49,49,32,57,
      46,57,53,52,48,56,101,45,49,49,32,49,46,48,52,53,50,53,101,45,49,48,32,49,46,
      48,57,51,49,54,101,45,49,48,32,49,46,49,51,56,55,49,101,45,49,48,32,49,46,49,
      56,49,53,50,101,45,49,48,10,32,32,49,46,50,50,49,49,57,101,45,49,48,32,49,46,
      50,53,55,52,49,101,45,49,48,32,49,46,50,56,57,57,101,45,49,48,32,49,46,51,49,
      56,52,52,101,45,49,48,32,49,46,51,52,50,56,55,101,45,49,48,32,49,46,51,54,51,
      48,53,101,45,49,48,32,49,46,51,55,53,55,50,101,45,49,48,10,32,32,49,46,51,56,
      53,55,52,101,45,49,48,32,49,46,51,57,51,49,51,101,45,49,48,32,49,46,51,57,55,
      57,101,45,49,48,32,49,46,52,48,48,49,101,45,49,48,32,49,46,51,57,57,53,50,101,
      45,49,48,32,49,46,51,57,52,50,55,101,45,49,48,32,49,46,51,56,52,49,54,101,45,
      49,48,10,32,32,49,46,51,54,57,52,55,101,45,49,48,32,49,46,51,53,48,53,51,101,
      45,49,48,32,49,46,51,50,55,54,49,101,45,49,48,32,49,46,51,48,49,49,101,45,49,
      48,32,49,46,50,55,49,51,55,101,45,49,48,32,49,46,50,51,56,55,53,101,45,49,48,
      32,49,46,50,48,51,54,50,101,45,49,48,10,32,32,49,46,49,54,54,51,52,101,45,49,
      48,32,49,46,49,50,55,51,49,101,45,49,48,32,49,46,48,56,54,56,55,101,45,49,48,
      32,49,46,48,52,53,51,51,101,45,49,48,32,49,46,48,48,51,48,53,101,45,49,48,32,
      57,46,54,48,51,49,52,101,45,49,49,32,57,46,49,55,51,56,53,101,45,49,49,10,32,
      32,56,46,55,52,53,52,51,101,45,49,49,32,56,46,51,50,48,49,51,101,45,49,49,32,
      55,46,56,57,57,57,53,101,45,49,49,32,55,46,52,56,54,54,55,101,45,49,49,32,55,
      46,48,56,49,57,101,45,49,49,32,54,46,54,56,55,49,50,101,45,49,49,32,54,46,51,
      48,51,52,55,101,45,49,49,10,32,32,53,46,57,51,49,57,52,101,45,49,49,32,53,46,
      53,55,51,49,54,101,45,49,49,32,53,46,50,50,55,55,101,45,49,49,32,52,46,56,57,
      54,48,56,101,45,49,49,32,52,46,53,55,56,54,56,101,45,49,49,32,52,46,50,55,53,
      54,51,101,45,49,49,32,51,46,57,56,55,49,50,101,45,49,49,10,32,32,51,46,55,49,
      51,49,50,101,45,49,49,32,51,46,52,53,51,52,56,101,45,49,49,32,51,46,50,48,55,
      57,52,101,45,49,49,32,50,46,57,55,54,50,50,101,45,49,49,32,50,46,55,53,55,57,
      53,101,45,49,49,32,50,46,53,53,50,55,52,101,45,49,49,32,50,46,49,55,57,54,55,
      101,45,49,49,10,32,32,49,46,56,53,51,49,53,101,45,49,49,32,49,46,53,54,57,50,
      51,101,45,49,49,32,49,46,51,50,51,55,52,101,45,49,49,32,49,46,49,49,50,54,52,
      101,45,49,49,32,57,46,51,50,48,51,50,101,45,49,50,32,55,46,55,56,49,57,56,101,
      45,49,50,32,54,46,52,55,55,55,52,101,45,49,50,10,32,32,53,46,51,55,54,52,101,
      45,49,50,32,52,46,52,52,57,57,53,101,45,49,50,32,51,46,54,55,51,51,52,101,45,
      49,50,32,51,46,48,50,52,55,49,101,45,49,50,32,50,46,52,56,52,54,56,101,45,49,
      50,32,50,46,48,51,54,51,53,101,45,49,50,32,49,46,54,54,53,50,52,101,45,49,50,
      10,32,32,49,46,51,53,56,57,54,101,45,49,50,32,49,46,49,48,54,56,49,101,45,49,
      50,32,56,46,57,57,55,51,49,101,45,49,51,32,55,46,51,48,48,55,55,101,45,49,51,
      32,53,46,57,49,51,57,101,45,49,51,32,52,46,55,56,50,53,52,101,45,49,51,32,51,
      46,56,54,49,52,55,101,45,49,51,10,32,32,51,46,49,49,50,57,55,101,45,49,51,32,
      50,46,53,48,53,56,56,101,45,49,51,32,50,46,48,49,52,51,55,101,45,49,51,32,49,
      46,54,49,55,48,56,101,45,49,51,32,49,46,50,57,54,52,53,101,45,49,51,32,49,46,
      48,51,56,49,49,101,45,49,51,32,56,46,51,48,50,53,101,45,49,52,10,32,32,48,114,
      49,57,51,32,50,46,53,55,51,51,56,101,45,50,55,32,50,46,56,57,48,48,52,101,45,
      50,55,32,49,46,53,50,57,50,54,101,45,50,55,32,48,114,56,32,51,46,50,56,53,54,
      101,45,50,55,32,57,46,50,49,54,56,51,101,45,50,55,32,50,46,52,52,55,57,49,101,
      45,50,54,10,32,32,53,46,57,50,51,55,53,101,45,50,54,32,49,46,55,51,52,48,57,
      101,45,50,53,32,56,46,49,49,52,54,49,101,45,50,53,32,50,46,55,52,56,48,51,101,
      45,50,52,32,53,46,53,53,57,48,56,101,45,50,52,32,55,46,55,49,56,55,56,101,45,
      50,52,32,49,46,49,52,55,54,51,101,45,50,51,10,32,32,49,46,56,50,50,53,49,101,
      45,50,51,32,50,46,52,53,52,54,53,101,45,50,51,32,50,46,52,54,54,50,53,101,45,
      50,51,32,50,46,50,49,48,56,56,101,45,50,51,32,50,46,51,52,49,53,49,101,45,50,
      51,32,51,46,53,51,53,54,55,101,45,50,51,32,54,46,56,50,54,56,52,101,45,50,51,
      10,32,32,49,46,50,49,54,52,54,101,45,50,50,32,51,46,54,54,56,55,51,101,45,50,
      50,32,49,46,48,52,51,55,101,45,50,49,32,51,46,48,48,49,50,53,101,45,50,49,32,
      57,46,49,57,49,54,49,101,45,50,49,32,50,46,48,48,51,49,57,101,45,50,48,32,51,
      46,49,57,50,55,51,101,45,50,48,10,32,32,51,46,57,51,52,57,50,101,45,50,48,32,
      55,46,53,56,52,49,56,101,45,50,48,32,49,46,51,53,53,48,51,101,45,49,57,32,50,
      46,54,49,50,55,56,101,45,49,57,32,52,46,50,57,50,49,54,101,45,49,57,32,56,46,
      54,50,49,53,101,45,49,57,32,49,46,54,52,51,48,55,101,45,49,56,10,32,32,50,46,
      48,51,50,57,55,101,45,49,56,32,51,46,49,55,49,48,56,101,45,49,56,32,53,46,53,
      54,55,53,52,101,45,49,56,32,55,46,57,51,51,49,55,101,45,49,56,32,49,46,49,50,
      53,54,54,101,45,49,55,32,49,46,48,55,50,51,50,101,45,49,54,32,51,46,55,53,55,
      55,53,101,45,49,54,10,32,32,52,46,49,57,57,49,52,101,45,49,54,32,52,46,56,56,
      51,53,53,101,45,49,54,32,53,46,50,53,54,57,50,101,45,49,54,32,53,46,55,53,51,
      48,56,101,45,49,54,32,53,46,50,51,52,50,55,101,45,49,54,32,53,46,57,54,48,48,
      54,101,45,49,54,32,54,46,50,56,50,50,56,101,45,49,54,10,32,32,54,46,57,52,49,
      51,56,101,45,49,54,32,55,46,55,51,52,56,50,101,45,49,54,32,56,46,52,53,51,50,
      56,101,45,49,54,32,57,46,50,50,56,55,56,101,45,49,54,32,49,46,48,48,49,48,55,
      101,45,49,53,32,49,46,48,56,51,56,55,101,45,49,53,32,49,46,49,56,50,57,55,101,
      45,49,53,10,32,32,49,46,50,55,56,48,49,101,45,49,53,32,49,46,51,57,49,49,51,
      101,45,49,53,32,49,46,52,56,48,52,51,101,45,49,53,32,49,46,54,51,56,48,57,101,
      45,49,53,32,49,46,55,57,48,55,54,101,45,49,53,32,49,46,57,51,51,49,49,101,45,
      49,53,32,50,46,51,48,56,57,55,101,45,49,53,10,32,32,50,46,57,52,54,55,51,101,
      45,49,53,32,51,46,55,51,54,49,101,45,49,53,32,53,46,48,49,56,55,57,101,45,49,
      53,32,54,46,55,50,49,52,55,101,45,49,53,32,57,46,52,56,51,51,54,101,45,49,53,
      32,49,46,50,53,51,57,56,101,45,49,52,32,49,46,55,50,57,53,50,101,45,49,52,10,
      32,32,50,46,54,50,50,53,57,101,45,49,52,32,51,46,52,53,48,53,52,101,45,49,52,
      32,52,46,54,49,53,53,55,101,45,49,52,32,54,46,54,50,50,53,57,101,45,49,52,32,
      56,46,56,55,49,55,52,101,45,49,52,32,49,46,49,54,52,56,55,101,45,49,51,32,49,
      46,53,53,53,55,52,101,45,49,51,10,32,32,50,46,48,51,54,49,50,101,45,49,51,32,
      50,46,53,52,49,49,50,101,45,49,51,32,51,46,49,51,55,53,49,101,45,49,51,32,51,
      46,56,51,57,49,50,101,45,49,51,32,52,46,55,57,50,57,51,101,45,49,51,32,54,46,
      48,57,55,50,50,101,45,49,51,32,55,46,56,57,55,53,53,101,45,49,51,10,32,32,57,
      46,57,48,50,51,55,101,45,49,51,32,49,46,50,54,52,53,101,45,49,50,32,49,46,53,
      54,54,48,52,101,45,49,50,32,49,46,57,50,55,55,101,45,49,50,32,50,46,52,48,57,
      56,51,101,45,49,50,32,51,46,48,51,49,55,55,101,45,49,50,32,51,46,53,57,52,48,
      54,101,45,49,50,10,32,32,52,46,51,52,49,51,101,45,49,50,32,53,46,48,56,57,55,
      57,101,45,49,50,32,53,46,57,57,48,51,51,101,45,49,50,32,55,46,48,48,48,48,54,
      101,45,49,50,32,56,46,49,50,50,52,50,101,45,49,50,32,57,46,51,54,50,49,49,101,
      45,49,50,32,49,46,48,55,50,53,50,101,45,49,49,10,32,32,49,46,50,50,49,53,56,
      101,45,49,49,32,49,46,51,56,51,54,56,101,45,49,49,32,49,46,53,53,57,49,101,
      45,49,49,32,49,46,55,52,56,48,53,101,45,49,49,32,49,46,57,53,48,53,57,101,45,
      49,49,32,50,46,49,54,54,54,55,101,45,49,49,32,50,46,51,57,53,57,49,101,45,49,
      49,10,32,32,50,46,54,51,55,57,53,101,45,49,49,32,50,46,56,57,50,48,57,101,45,
      49,49,32,51,46,49,53,55,51,52,101,45,49,49,32,51,46,52,51,50,54,52,101,45,49,
      49,32,51,46,55,49,54,52,50,101,45,49,49,32,52,46,48,48,55,48,52,101,45,49,49,
      32,52,46,51,48,50,51,50,101,45,49,49,10,32,32,52,46,54,48,48,49,56,101,45,49,
      49,32,52,46,56,57,56,53,101,45,49,49,32,53,46,49,57,53,48,51,101,45,49,49,32,
      53,46,52,56,55,52,57,101,45,49,49,32,53,46,55,55,51,49,50,101,45,49,49,32,54,
      46,48,52,57,56,50,101,45,49,49,32,54,46,51,49,53,50,55,101,45,49,49,10,32,32,
      54,46,53,54,55,49,101,45,49,49,32,54,46,56,48,51,49,52,101,45,49,49,32,55,46,
      48,50,49,55,49,101,45,49,49,32,55,46,50,50,49,48,50,101,45,49,49,32,55,46,51,
      57,57,54,53,101,45,49,49,32,55,46,53,53,54,52,51,101,45,49,49,32,55,46,54,54,
      50,54,52,101,45,49,49,10,32,32,55,46,55,53,52,54,54,101,45,49,49,32,55,46,56,
      51,50,51,54,101,45,49,49,32,55,46,56,57,53,52,53,101,45,49,49,32,55,46,57,52,
      51,56,49,101,45,49,49,32,55,46,57,56,49,48,50,101,45,49,49,32,56,46,48,48,49,
      55,56,101,45,49,49,32,55,46,57,57,51,53,50,101,45,49,49,10,32,32,55,46,57,53,
      55,53,56,101,45,49,49,32,55,46,56,57,52,55,54,101,45,49,49,32,55,46,56,48,54,
      56,101,45,49,49,32,55,46,54,57,53,52,55,101,45,49,49,32,55,46,53,54,50,54,57,
      101,45,49,49,32,55,46,52,49,48,51,55,101,45,49,49,32,55,46,50,52,48,50,56,101,
      45,49,49,10,32,32,55,46,48,53,52,53,51,101,45,49,49,32,54,46,56,53,53,50,54,
      101,45,49,49,32,54,46,54,52,52,52,50,101,45,49,49,32,54,46,52,50,51,56,49,101,
      45,49,49,32,54,46,49,57,53,51,49,101,45,49,49,32,53,46,57,54,48,56,51,101,45,
      49,49,32,53,46,55,50,50,48,54,101,45,49,49,10,32,32,53,46,52,56,48,55,53,101,
      45,49,49,32,53,46,50,51,56,52,56,101,45,49,49,32,52,46,57,57,54,54,55,101,45,
      49,49,32,52,46,55,53,54,53,54,101,45,49,49,32,52,46,53,49,57,50,55,101,45,49,
      49,32,52,46,50,56,53,56,50,101,45,49,49,32,52,46,48,53,55,48,51,101,45,49,49,
      10,32,32,51,46,56,51,51,55,54,101,45,49,49,32,51,46,54,49,54,54,53,101,45,49,
      49,32,51,46,52,48,54,50,54,101,45,49,49,32,51,46,50,48,50,57,55,101,45,49,49,
      32,51,46,48,48,55,49,53,101,45,49,49,32,50,46,56,49,56,57,57,101,45,49,49,32,
      50,46,54,51,56,54,57,101,45,49,49,10,32,32,50,46,52,54,54,51,54,101,45,49,49,
      32,50,46,51,48,50,49,50,101,45,49,49,32,50,46,49,52,53,57,49,101,45,49,49,32,
      49,46,57,57,55,55,101,45,49,49,32,49,46,56,53,55,52,49,101,45,49,49,32,49,46,
      55,50,52,56,56,101,45,49,49,32,49,46,52,56,50,50,57,101,45,49,49,10,32,32,49,
      46,50,54,56,49,51,101,45,49,49,32,49,46,48,56,48,51,52,101,45,49,49,32,57,46,
      49,54,54,56,52,101,45,49,50,32,55,46,55,52,56,54,55,101,45,49,50,32,54,46,53,
      50,54,48,53,101,45,49,50,32,53,46,52,55,55,54,55,101,45,49,50,32,52,46,53,56,
      50,55,50,101,45,49,50,10,32,32,51,46,56,50,50,50,54,101,45,49,50,32,51,46,49,
      55,56,55,50,101,45,49,50,32,50,46,54,51,54,49,57,101,45,49,50,32,50,46,49,56,
      48,52,53,101,45,49,50,32,49,46,55,57,56,57,55,101,45,49,50,32,49,46,52,56,48,
      54,49,101,45,49,50,32,49,46,50,49,53,55,51,101,45,49,50,10,32,32,57,46,57,54,
      48,52,57,101,45,49,51,32,56,46,49,52,51,53,51,101,45,49,51,32,54,46,54,52,52,
      55,52,101,45,49,51,32,53,46,52,49,49,52,54,101,45,49,51,32,52,46,51,57,57,48,
      49,101,45,49,51,32,51,46,53,54,57,54,50,101,45,49,51,32,50,46,56,57,49,55,53,
      101,45,49,51,10,32,32,50,46,51,51,56,56,49,101,45,49,51,32,49,46,56,56,56,54,
      57,101,45,49,51,32,49,46,53,50,50,57,52,101,45,49,51,32,49,46,50,50,54,50,53,
      101,45,49,51,32,57,46,56,54,48,48,53,101,45,49,52,32,55,46,57,49,55,56,50,101,
      45,49,52,32,54,46,51,53,48,50,101,45,49,52,10,32,32,48,114,49,57,51,32,49,46,
      49,57,52,54,54,101,45,50,55,32,49,46,51,52,50,49,51,101,45,50,55,32,55,46,48,
      51,54,56,50,101,45,50,56,32,48,114,56,32,49,46,53,49,50,53,52,101,45,50,55,
      32,52,46,50,57,53,57,53,101,45,50,55,32,49,46,49,53,52,53,50,101,45,50,54,10,
      32,32,50,46,56,50,52,51,57,101,45,50,54,32,56,46,51,56,48,48,54,101,45,50,54,
      32,51,46,57,57,56,57,50,101,45,50,53,32,49,46,51,55,53,51,56,101,45,50,52,32,
      50,46,56,48,54,51,56,101,45,50,52,32,51,46,57,49,48,57,52,101,45,50,52,32,53,
      46,56,51,57,57,55,101,45,50,52,10,32,32,57,46,51,50,51,56,52,101,45,50,52,32,
      49,46,50,53,57,55,49,101,45,50,51,32,49,46,50,54,52,54,53,101,45,50,51,32,49,
      46,49,51,49,48,53,101,45,50,51,32,49,46,49,57,55,56,56,101,45,50,51,32,49,46,
      56,49,55,53,54,101,45,50,51,32,51,46,53,51,56,56,53,101,45,50,51,10,32,32,54,
      46,51,53,51,51,50,101,45,50,51,32,49,46,57,52,52,49,57,101,45,50,50,32,53,46,
      54,48,57,49,54,101,45,50,50,32,49,46,54,51,54,54,50,101,45,50,49,32,53,46,48,
      57,50,48,57,101,45,50,49,32,49,46,49,50,50,49,52,101,45,50,48,32,49,46,55,57,
      57,57,53,101,45,50,48,10,32,32,50,46,50,50,51,56,56,101,45,50,48,32,52,46,51,
      52,48,54,52,101,45,50,48,32,55,46,56,52,50,48,51,101,45,50,48,32,49,46,53,51,
      49,51,54,101,45,49,57,32,50,46,53,51,57,57,53,101,45,49,57,32,53,46,49,55,50,
      55,55,101,45,49,57,32,57,46,57,56,52,50,101,45,49,57,10,32,32,49,46,50,52,48,
      54,54,101,45,49,56,32,49,46,57,53,51,54,101,45,49,56,32,51,46,52,55,51,50,101,
      45,49,56,32,52,46,57,56,57,49,56,101,45,49,56,32,55,46,49,51,54,57,51,101,45,
      49,56,32,55,46,55,51,57,48,49,101,45,49,55,32,50,46,57,50,55,56,50,101,45,49,
      54,10,32,32,51,46,50,56,54,53,57,101,45,49,54,32,51,46,56,52,50,50,56,101,45,
      49,54,32,52,46,49,52,52,50,53,101,45,49,54,32,52,46,53,52,52,54,51,101,45,49,
      54,32,52,46,49,49,55,48,56,101,45,49,54,32,52,46,55,48,52,51,49,101,45,49,54,
      32,52,46,57,54,52,55,101,45,49,54,10,32,32,53,46,52,57,54,52,57,101,45,49,54,
      32,54,46,49,51,52,57,56,101,45,49,54,32,54,46,55,49,49,52,54,101,45,49,54,32,
      55,46,51,51,49,56,53,101,45,49,54,32,55,46,57,53,53,53,50,101,45,49,54,32,56,
      46,54,49,51,56,50,101,45,49,54,32,57,46,51,57,57,48,55,101,45,49,54,10,32,32,
      49,46,48,49,52,57,52,101,45,49,53,32,49,46,49,48,51,57,54,101,45,49,53,32,49,
      46,49,55,52,48,49,101,45,49,53,32,49,46,50,57,55,50,55,101,45,49,53,32,49,46,
      52,49,57,51,49,101,45,49,53,32,49,46,53,51,48,50,54,101,45,49,53,32,49,46,56,
      50,49,56,49,101,45,49,53,10,32,32,50,46,51,49,50,57,54,101,45,49,53,32,50,46,
      57,49,54,57,101,45,49,53,32,51,46,56,57,51,51,51,101,45,49,53,32,53,46,49,56,
      53,49,53,101,45,49,53,32,55,46,50,55,55,56,101,45,49,53,32,57,46,53,57,52,57,
      50,101,45,49,53,32,49,46,51,49,51,49,54,101,45,49,52,10,32,32,49,46,57,56,54,
      55,49,101,45,49,52,32,50,46,54,49,55,54,51,101,45,49,52,32,51,46,53,49,50,49,
      49,101,45,49,52,32,53,46,48,54,53,54,101,45,49,52,32,54,46,56,50,49,52,57,101,
      45,49,52,32,57,46,48,48,51,52,54,101,45,49,52,32,49,46,50,48,57,52,52,101,45,
      49,51,10,32,32,49,46,53,57,49,50,56,101,45,49,51,32,49,46,57,57,51,54,56,101,
      45,49,51,32,50,46,52,54,57,54,57,101,45,49,51,32,51,46,48,51,48,51,101,45,49,
      51,32,51,46,55,57,50,48,55,101,45,49,51,32,52,46,56,51,50,53,101,45,49,51,32,
      54,46,50,54,54,55,101,45,49,51,10,32,32,55,46,56,54,50,56,56,101,45,49,51,32,
      49,46,48,48,52,54,55,101,45,49,50,32,49,46,50,52,52,56,56,101,45,49,50,32,49,
      46,53,51,51,51,50,101,45,49,50,32,49,46,57,49,56,54,55,101,45,49,50,32,50,46,
      52,49,55,51,49,101,45,49,50,32,50,46,56,54,57,52,53,101,45,49,50,10,32,32,51,
      46,52,55,50,48,54,101,45,49,50,32,52,46,48,55,55,51,55,101,45,49,50,32,52,46,
      56,48,55,53,56,101,45,49,50,32,53,46,54,50,56,52,53,101,45,49,50,32,54,46,53,
      52,51,50,55,101,45,49,50,32,55,46,53,53,54,48,57,101,45,49,50,32,56,46,54,55,
      50,48,54,101,45,49,50,10,32,32,57,46,56,57,52,53,57,101,45,49,50,32,49,46,49,
      50,50,54,51,101,45,49,49,32,49,46,50,54,55,48,50,101,45,49,49,32,49,46,52,50,
      50,55,56,101,45,49,49,32,49,46,53,57,48,48,52,101,45,49,49,32,49,46,55,54,56,
      55,54,101,45,49,49,32,49,46,57,53,56,55,54,101,45,49,49,10,32,32,50,46,49,53,
      57,55,55,101,45,49,49,32,50,46,51,55,49,49,57,101,45,49,49,32,50,46,53,57,50,
      51,101,45,49,49,32,50,46,56,50,50,50,55,101,45,49,49,32,51,46,48,53,57,57,51,
      101,45,49,49,32,51,46,51,48,51,57,56,101,45,49,49,32,51,46,53,53,50,56,54,101,
      45,49,49,10,32,32,51,46,56,48,52,57,51,101,45,49,49,32,52,46,48,53,56,51,56,
      101,45,49,49,32,52,46,51,49,49,49,101,45,49,49,32,52,46,53,54,49,49,55,101,
      45,49,49,32,52,46,56,48,54,54,51,101,45,49,49,32,53,46,48,52,53,54,49,101,45,
      49,49,32,53,46,50,55,54,101,45,49,49,10,32,32,53,46,52,57,53,56,50,101,45,49,
      49,32,53,46,55,48,51,50,50,101,45,49,49,32,53,46,56,57,54,52,53,101,45,49,49,
      32,54,46,48,55,52,48,54,101,45,49,49,32,54,46,50,51,52,56,101,45,49,49,32,54,
      46,51,55,55,51,57,101,45,49,49,32,54,46,52,55,53,50,57,101,45,49,49,10,32,32,
      54,46,53,54,49,52,55,101,45,49,49,32,54,46,54,51,53,54,57,101,45,49,49,32,54,
      46,54,57,55,55,50,101,45,49,49,32,54,46,55,52,55,51,55,101,45,49,49,32,54,46,
      55,56,56,52,56,101,45,49,49,32,54,46,56,49,56,50,49,101,45,49,49,32,54,46,56,
      50,51,52,55,101,45,49,49,10,32,32,54,46,56,48,52,55,57,101,45,49,49,32,54,46,
      55,54,51,48,53,101,45,49,49,32,54,46,54,57,57,53,49,101,45,49,49,32,54,46,54,
      49,53,51,51,101,45,49,49,32,54,46,53,49,50,48,49,101,45,49,49,32,54,46,51,57,
      49,51,101,45,49,49,32,54,46,50,53,52,54,50,101,45,49,49,10,32,32,54,46,49,48,
      51,52,56,101,45,49,49,32,53,46,57,51,57,55,56,101,45,49,49,32,53,46,55,54,53,
      51,49,101,45,49,49,32,53,46,53,56,49,56,51,101,45,49,49,32,53,46,51,57,48,57,
      55,101,45,49,49,32,53,46,49,57,52,51,55,101,45,49,49,32,52,46,57,57,51,52,53,
      101,45,49,49,10,32,32,52,46,55,56,57,54,52,101,45,49,49,32,52,46,53,56,52,50,
      55,101,45,49,49,32,52,46,51,55,56,53,54,101,45,49,49,32,52,46,49,55,51,53,101,
      45,49,49,32,51,46,57,55,48,49,53,101,45,49,49,32,51,46,55,54,57,53,56,101,45,
      49,49,32,51,46,53,55,50,53,57,101,45,49,49,10,32,32,51,46,51,55,57,56,55,101,
      45,49,49,32,51,46,49,57,50,48,56,101,45,49,49,32,51,46,48,48,57,55,50,101,45,
      49,49,32,50,46,56,51,51,50,101,45,49,49,32,50,46,54,54,50,56,52,101,45,49,49,
      32,50,46,52,57,56,56,57,101,45,49,49,32,50,46,51,52,49,53,55,101,45,49,49,10,
      32,32,50,46,49,57,49,48,51,101,45,49,49,32,50,46,48,52,55,51,51,101,45,49,49,
      32,49,46,57,49,48,52,54,101,45,49,49,32,49,46,55,56,48,52,101,45,49,49,32,49,
      46,54,53,55,48,55,101,45,49,49,32,49,46,53,52,48,51,56,101,45,49,49,32,49,46,
      51,50,54,50,57,101,45,49,49,10,32,32,49,46,49,51,54,55,51,101,45,49,49,32,57,
      46,55,48,48,54,101,45,49,50,32,56,46,50,52,52,52,50,101,45,49,50,32,54,46,57,
      56,101,45,49,50,32,53,46,56,56,55,57,54,101,45,49,50,32,52,46,57,52,57,53,56,
      101,45,49,50,32,52,46,49,52,55,48,56,101,45,49,50,10,32,32,51,46,52,54,51,56,
      101,45,49,50,32,50,46,56,56,52,53,50,101,45,49,50,32,50,46,51,57,53,50,55,101,
      45,49,50,32,49,46,57,56,51,54,52,101,45,49,50,32,49,46,54,51,56,53,54,101,45,
      49,50,32,49,46,51,53,48,50,49,101,45,49,50,32,49,46,49,49,48,48,49,101,45,49,
      50,10,32,32,57,46,49,48,53,49,53,101,45,49,51,32,55,46,52,53,50,56,56,101,45,
      49,51,32,54,46,48,56,55,57,56,101,45,49,51,32,52,46,57,54,51,49,56,101,45,49,
      51,32,52,46,48,51,56,55,101,45,49,51,32,51,46,50,56,48,53,51,101,45,49,51,32,
      50,46,54,54,48,49,54,101,45,49,51,10,32,32,50,46,49,53,51,53,52,101,45,49,51,
      32,49,46,55,52,48,54,55,101,45,49,51,32,49,46,52,48,52,56,49,101,45,49,51,32,
      49,46,49,51,50,49,49,101,45,49,51,32,57,46,49,49,48,55,56,101,45,49,52,32,55,
      46,51,50,50,50,101,45,49,52,32,53,46,56,55,55,50,52,101,45,49,52,10,32,32,48,
      114,49,57,51,32,53,46,52,57,50,55,53,101,45,50,56,32,54,46,49,55,50,57,55,101,
      45,50,56,32,51,46,50,48,54,49,54,101,45,50,56,32,48,114,56,32,54,46,56,57,52,
      55,101,45,50,56,32,49,46,57,56,51,50,51,101,45,50,55,32,53,46,51,57,52,49,56,
      101,45,50,55,10,32,32,49,46,51,51,52,50,51,101,45,50,54,32,52,46,48,49,50,56,
      54,101,45,50,54,32,49,46,57,53,51,48,54,101,45,50,53,32,54,46,56,50,50,52,50,
      101,45,50,53,32,49,46,52,48,52,49,56,101,45,50,52,32,49,46,57,54,52,48,54,101,
      45,50,52,32,50,46,57,52,53,53,53,101,45,50,52,10,32,32,52,46,55,50,55,57,55,
      101,45,50,52,32,54,46,52,48,55,56,49,101,45,50,52,32,54,46,52,50,55,56,101,
      45,50,52,32,53,46,55,51,53,51,49,101,45,50,52,32,54,46,48,55,52,49,57,101,45,
      50,52,32,57,46,50,54,49,50,49,101,45,50,52,32,49,46,56,49,56,51,55,101,45,50,
      51,10,32,32,51,46,50,56,57,50,50,101,45,50,51,32,49,46,48,50,49,51,52,101,45,
      50,50,32,50,46,57,56,56,52,57,101,45,50,50,32,56,46,56,52,55,57,56,101,45,50,
      50,32,50,46,55,57,54,56,54,101,45,50,49,32,54,46,50,51,50,51,50,101,45,50,49,
      32,49,46,48,48,54,49,49,101,45,50,48,10,32,32,49,46,50,52,54,49,54,101,45,50,
      48,32,50,46,52,54,51,101,45,50,48,32,52,46,52,57,57,52,101,45,50,48,32,56,46,
      56,57,55,55,49,101,45,50,48,32,49,46,52,57,101,45,49,57,32,51,46,48,55,54,52,
      53,101,45,49,57,32,54,46,48,49,51,55,54,101,45,49,57,32,55,46,53,48,53,49,53,
      101,45,49,57,10,32,32,49,46,49,57,51,48,54,101,45,49,56,32,50,46,49,52,55,56,
      55,101,45,49,56,32,51,46,49,49,48,53,52,101,45,49,56,32,52,46,52,56,54,101,
      45,49,56,32,53,46,53,49,51,53,51,101,45,49,55,32,50,46,50,52,56,57,51,101,45,
      49,54,32,50,46,53,51,55,56,50,101,45,49,54,10,32,32,50,46,57,56,53,54,57,101,
      45,49,54,32,51,46,50,50,56,53,49,101,45,49,54,32,51,46,53,52,57,55,55,101,45,
      49,54,32,51,46,49,57,56,48,57,101,45,49,54,32,51,46,54,55,48,53,50,101,45,49,
      54,32,51,46,56,55,57,57,57,101,45,49,54,32,52,46,51,48,55,53,56,101,45,49,54,
      10,32,32,52,46,56,50,48,51,55,101,45,49,54,32,53,46,50,56,50,53,50,101,45,49,
      54,32,53,46,55,55,56,57,54,101,45,49,54,32,54,46,50,55,54,56,54,101,45,49,54,
      32,54,46,56,48,49,49,53,101,45,49,54,32,55,46,52,50,52,56,51,101,45,49,54,32,
      56,46,48,49,57,49,49,101,45,49,54,10,32,32,56,46,55,50,50,49,50,101,45,49,54,
      32,57,46,50,55,51,56,101,45,49,54,32,49,46,48,50,52,49,52,101,45,49,53,32,49,
      46,49,50,49,54,52,101,45,49,53,32,49,46,50,48,56,52,56,101,45,49,53,32,49,46,
      52,51,53,54,50,101,45,49,53,32,49,46,56,49,53,52,55,101,45,49,53,10,32,32,50,
      46,50,55,57,49,101,45,49,53,32,51,46,48,50,52,48,57,101,45,49,53,32,52,46,48,
      48,53,50,54,101,45,49,53,32,53,46,53,57,48,52,52,101,45,49,53,32,55,46,51,52,
      52,52,53,101,45,49,53,32,57,46,57,55,49,51,52,101,45,49,53,32,49,46,53,48,51,
      48,53,101,45,49,52,10,32,32,49,46,57,56,49,50,57,101,45,49,52,32,50,46,54,54,
      52,48,55,101,45,49,52,32,51,46,56,53,57,51,101,45,49,52,32,53,46,50,50,49,54,
      51,101,45,49,52,32,54,46,57,50,54,54,101,45,49,52,32,57,46,51,53,55,51,51,101,
      45,49,52,32,49,46,50,51,55,55,50,101,45,49,51,10,32,32,49,46,53,53,55,49,57,
      101,45,49,51,32,49,46,57,51,53,56,54,101,45,49,51,32,50,46,51,56,50,51,50,101,
      45,49,51,32,50,46,57,56,56,57,54,101,45,49,51,32,51,46,56,49,54,57,54,101,45,
      49,51,32,52,46,57,53,55,48,52,101,45,49,51,32,54,46,50,50,52,56,51,101,45,49,
      51,10,32,32,55,46,57,53,56,57,52,101,45,49,51,32,57,46,56,54,55,53,49,101,45,
      49,51,32,49,46,50,49,54,49,54,101,45,49,50,32,49,46,53,50,51,49,57,101,45,49,
      50,32,49,46,57,50,49,53,54,101,45,49,50,32,50,46,50,56,51,55,57,101,45,49,50,
      32,50,46,55,54,56,48,49,101,45,49,50,10,32,32,51,46,50,53,53,54,57,101,45,49,
      50,32,51,46,56,52,53,53,51,101,45,49,50,32,52,46,53,49,48,51,57,101,45,49,50,
      32,53,46,50,53,51,53,101,45,49,50,32,54,46,48,55,56,50,57,101,45,49,50,32,54,
      46,57,56,57,101,45,49,50,32,55,46,57,56,56,53,57,101,45,49,50,10,32,32,57,46,
      48,55,57,54,49,101,45,49,50,32,49,46,48,50,54,52,55,101,45,49,49,32,49,46,49,
      53,52,53,53,101,45,49,49,32,49,46,50,57,50,50,57,101,45,49,49,32,49,46,52,51,
      57,55,50,101,45,49,49,32,49,46,53,57,54,55,50,101,45,49,49,32,49,46,55,54,51,
      49,51,101,45,49,49,10,32,32,49,46,57,51,56,53,57,101,45,49,49,32,50,46,49,50,
      50,53,101,45,49,49,32,50,46,51,49,52,50,51,101,45,49,49,32,50,46,53,49,50,56,
      57,101,45,49,49,32,50,46,55,49,55,52,51,101,45,49,49,32,50,46,57,50,54,54,101,
      45,49,49,32,51,46,49,51,57,48,50,101,45,49,49,10,32,32,51,46,51,53,51,51,55,
      101,45,49,49,32,51,46,53,54,56,48,55,101,45,49,49,32,51,46,55,56,49,51,49,101,
      45,49,49,32,51,46,57,57,49,52,54,101,45,49,49,32,52,46,49,57,54,57,101,45,49,
      49,32,52,46,51,57,53,55,54,101,45,49,49,32,52,46,53,56,54,52,52,101,45,49,49,
      10,32,32,52,46,55,54,55,53,54,101,45,49,49,32,52,46,57,51,55,53,57,101,45,49,
      49,32,53,46,48,57,53,50,101,45,49,49,32,53,46,50,51,57,49,56,101,45,49,49,32,
      53,46,51,54,56,52,50,101,45,49,49,32,53,46,52,53,56,50,56,101,45,49,49,32,53,
      46,53,51,56,51,49,101,45,49,49,10,32,32,53,46,54,48,56,51,53,101,45,49,49,32,
      53,46,54,54,56,48,53,101,45,49,49,32,53,46,55,49,55,51,52,101,45,49,49,32,53,
      46,55,54,48,52,101,45,49,49,32,53,46,55,57,53,57,52,101,45,49,49,32,53,46,56,
      49,48,53,57,101,45,49,49,32,53,46,56,48,52,55,55,101,45,49,49,10,32,32,53,46,
      55,55,57,49,55,101,45,49,49,32,53,46,55,51,52,53,57,101,45,49,49,32,53,46,54,
      55,50,48,53,101,45,49,49,32,53,46,53,57,50,55,101,45,49,49,32,53,46,52,57,55,
      57,52,101,45,49,49,32,53,46,51,56,57,49,101,45,49,49,32,53,46,50,54,55,52,49,
      101,45,49,49,10,32,32,53,46,49,51,52,51,51,101,45,49,49,32,52,46,57,57,49,51,
      52,101,45,49,49,32,52,46,56,51,57,56,50,101,45,49,49,32,52,46,54,56,49,50,52,
      101,45,49,49,32,52,46,53,49,55,48,55,101,45,49,49,32,52,46,51,52,56,53,101,
      45,49,49,32,52,46,49,55,54,56,49,101,45,49,49,10,32,32,52,46,48,48,51,50,49,
      101,45,49,49,32,51,46,56,50,56,55,51,101,45,49,49,32,51,46,54,53,52,51,50,101,
      45,49,49,32,51,46,52,56,48,56,55,101,45,49,49,32,51,46,51,48,57,51,52,101,45,
      49,49,32,51,46,49,52,48,52,51,101,45,49,49,32,50,46,57,55,52,55,50,101,45,49,
      49,10,32,32,50,46,56,49,50,56,49,101,45,49,49,32,50,46,54,53,53,49,54,101,45,
      49,49,32,50,46,53,48,50,49,54,101,45,49,49,32,50,46,51,53,52,50,53,101,45,49,
      49,32,50,46,50,49,49,54,56,101,45,49,49,32,50,46,48,55,52,54,51,101,45,49,49,
      32,49,46,57,52,51,50,55,101,45,49,49,10,32,32,49,46,56,49,55,54,53,101,45,49,
      49,32,49,46,54,57,55,56,49,101,45,49,49,32,49,46,53,56,51,55,55,101,45,49,49,
      32,49,46,52,55,53,52,56,101,45,49,49,32,49,46,51,55,50,56,57,101,45,49,49,32,
      49,46,49,56,52,50,56,101,45,49,49,32,49,46,48,49,54,56,56,101,45,49,49,10,32,
      32,56,46,54,57,51,53,49,101,45,49,50,32,55,46,52,48,49,53,101,45,49,50,32,54,
      46,50,55,55,48,52,101,45,49,50,32,53,46,51,48,51,53,56,101,45,49,50,32,52,46,
      52,54,53,49,53,101,45,49,50,32,51,46,55,52,54,55,101,45,49,50,32,51,46,49,51,
      51,57,53,101,45,49,50,10,32,32,50,46,54,49,51,52,57,101,45,49,50,32,50,46,49,
      55,51,49,56,101,45,49,50,32,49,46,56,48,50,49,49,101,45,49,50,32,49,46,52,57,
      48,53,51,101,45,49,50,32,49,46,50,50,57,55,55,101,45,49,50,32,49,46,48,49,50,
      50,49,101,45,49,50,32,56,46,51,49,50,50,49,101,45,49,51,10,32,32,54,46,56,49,
      49,50,52,101,45,49,51,32,53,46,53,54,57,56,49,101,45,49,51,32,52,46,53,52,53,
      54,54,101,45,49,51,32,51,46,55,48,50,56,51,101,45,49,51,32,51,46,48,49,48,55,
      54,101,45,49,51,32,50,46,52,52,51,56,101,45,49,51,32,49,46,57,56,48,50,57,101,
      45,49,51,10,32,32,49,46,54,48,50,49,51,101,45,49,51,32,49,46,50,57,52,49,55,
      101,45,49,51,32,49,46,48,52,51,56,55,101,45,49,51,32,56,46,52,48,55,57,54,101,
      45,49,52,32,54,46,55,54,51,48,49,101,45,49,52,32,53,46,52,51,50,56,49,101,45,
      49,52,32,48,114,49,57,51,32,49,46,54,51,52,57,49,101,45,50,56,10,32,32,49,46,
      56,51,56,51,57,101,45,50,56,32,57,46,52,48,56,49,51,101,45,50,57,32,48,114,
      56,32,50,46,48,50,52,54,53,101,45,50,56,32,53,46,57,52,48,56,53,101,45,50,56,
      32,49,46,54,52,54,52,56,101,45,50,55,32,52,46,49,52,51,48,54,101,45,50,55,32,
      49,46,50,55,50,54,56,101,45,50,54,10,32,32,54,46,51,56,54,54,101,45,50,54,32,
      50,46,50,56,53,50,53,101,45,50,53,32,52,46,55,54,55,48,52,101,45,50,53,32,54,
      46,55,48,53,56,55,101,45,50,53,32,49,46,48,49,50,52,55,101,45,50,52,32,49,46,
      54,51,56,54,54,101,45,50,52,32,50,46,50,51,49,54,55,101,45,50,52,10,32,32,50,
      46,50,51,53,56,54,101,45,50,52,32,49,46,57,56,55,55,53,101,45,50,52,32,50,46,
      49,48,53,50,101,45,50,52,32,51,46,50,51,51,57,53,101,45,50,52,32,54,46,52,51,
      50,53,53,101,45,50,52,32,49,46,49,55,55,50,51,101,45,50,51,32,51,46,55,51,56,
      57,56,101,45,50,51,10,32,32,49,46,49,49,56,49,54,101,45,50,50,32,51,46,51,56,
      54,49,54,101,45,50,50,32,49,46,48,57,54,57,50,101,45,50,49,32,50,46,52,56,54,
      54,57,101,45,50,49,32,52,46,48,53,52,51,101,45,50,49,32,53,46,48,52,48,57,55,
      101,45,50,49,32,49,46,48,49,53,48,50,101,45,50,48,10,32,32,49,46,56,56,52,57,
      52,101,45,50,48,32,51,46,55,57,55,55,54,101,45,50,48,32,54,46,52,53,48,53,50,
      101,45,50,48,32,49,46,51,53,57,50,52,101,45,49,57,32,50,46,55,48,55,56,50,101,
      45,49,57,32,51,46,52,48,49,56,54,101,45,49,57,32,53,46,52,56,56,49,50,101,45,
      49,57,10,32,32,49,46,48,48,55,52,49,101,45,49,56,32,49,46,52,55,55,50,56,101,
      45,49,56,32,50,46,49,53,55,53,53,101,45,49,56,32,51,46,49,57,49,55,101,45,49,
      55,32,49,46,52,53,56,48,55,101,45,49,54,32,49,46,54,54,48,56,50,101,45,49,54,
      32,49,46,57,55,54,51,54,101,45,49,54,10,32,32,50,46,49,52,55,50,55,101,45,49,
      54,32,50,46,51,55,50,56,50,101,45,49,54,32,50,46,49,49,53,53,53,101,45,49,54,
      32,50,46,52,52,56,52,101,45,49,54,32,50,46,53,57,54,50,55,101,45,49,54,32,50,
      46,56,57,56,52,54,101,45,49,54,32,51,46,50,54,49,49,51,101,45,49,54,10,32,32,
      51,46,53,56,55,57,50,101,45,49,54,32,51,46,57,51,56,52,56,101,45,49,54,32,52,
      46,50,56,57,53,50,101,45,49,54,32,52,46,54,53,56,52,56,101,45,49,54,32,53,46,
      48,57,54,50,55,101,45,49,54,32,53,46,53,49,50,49,57,101,45,49,54,32,54,46,48,
      48,50,53,54,101,45,49,54,10,32,32,54,46,51,56,54,49,54,101,45,49,54,32,55,46,
      48,53,54,51,50,101,45,49,54,32,55,46,55,52,52,49,101,45,49,54,32,56,46,51,52,
      51,53,51,101,45,49,54,32,57,46,57,48,49,51,52,101,45,49,54,32,49,46,50,52,55,
      56,57,101,45,49,53,32,49,46,53,53,56,57,57,101,45,49,53,10,32,32,50,46,48,53,
      51,52,56,101,45,49,53,32,50,46,54,57,56,54,51,101,45,49,53,32,51,46,55,51,52,
      54,101,45,49,53,32,52,46,56,55,56,48,55,101,45,49,53,32,54,46,53,53,52,49,57,
      101,45,49,53,32,57,46,55,57,55,51,50,101,45,49,53,32,49,46,50,57,48,48,57,101,
      45,49,52,10,32,32,49,46,55,51,55,53,54,101,45,49,52,32,50,46,53,50,57,53,54,
      101,45,49,52,32,51,46,52,52,51,54,53,101,45,49,52,32,52,46,54,48,48,54,56,101,
      45,49,52,32,54,46,50,54,54,57,56,101,45,49,52,32,56,46,51,53,54,54,57,101,45,
      49,52,32,49,46,48,53,56,51,52,101,45,49,51,10,32,32,49,46,51,50,51,51,51,101,
      45,49,51,32,49,46,54,51,54,53,51,101,45,49,51,32,50,46,48,54,50,53,53,101,45,
      49,51,32,50,46,54,52,52,50,52,101,45,49,51,32,51,46,52,52,52,49,57,101,45,49,
      51,32,52,46,51,51,50,52,52,101,45,49,51,32,53,46,53,52,54,57,49,101,45,49,51,
      10,32,32,54,46,56,56,52,51,55,101,45,49,51,32,56,46,52,57,52,50,56,101,45,49,
      51,32,49,46,48,54,53,51,53,101,45,49,50,32,49,46,51,52,54,53,49,101,45,49,50,
      32,49,46,54,48,51,50,56,101,45,49,50,32,49,46,57,52,56,48,50,101,45,49,50,32,
      50,46,50,57,54,54,101,45,49,50,10,32,32,50,46,55,49,57,56,51,101,45,49,50,32,
      51,46,49,57,56,56,50,101,45,49,50,32,51,46,55,51,54,54,53,101,45,49,50,32,52,
      46,51,51,53,57,57,101,45,49,50,32,52,46,57,57,57,57,55,101,45,49,50,32,53,46,
      55,51,48,56,54,101,45,49,50,32,54,46,53,51,48,56,52,101,45,49,50,10,32,32,55,
      46,52,48,50,48,54,101,45,49,50,32,56,46,51,52,54,50,54,101,45,49,50,32,57,46,
      51,54,52,50,50,101,45,49,50,32,49,46,48,52,53,54,54,101,45,49,49,32,49,46,49,
      54,50,51,101,45,49,49,32,49,46,50,56,54,50,57,101,45,49,49,32,49,46,52,49,55,
      52,52,101,45,49,49,10,32,32,49,46,53,53,53,51,55,101,45,49,49,32,49,46,54,57,
      57,54,51,101,45,49,49,32,49,46,56,52,57,53,52,101,45,49,49,32,50,46,48,48,52,
      53,49,101,45,49,49,32,50,46,49,54,51,55,54,101,45,49,49,32,50,46,51,50,54,51,
      101,45,49,49,32,50,46,52,57,49,48,49,101,45,49,49,10,32,32,50,46,54,53,54,56,
      55,101,45,49,49,32,50,46,56,50,50,54,55,101,45,49,49,32,50,46,57,56,55,48,53,
      101,45,49,49,32,51,46,49,52,56,55,53,101,45,49,49,32,51,46,51,48,54,52,52,101,
      45,49,49,32,51,46,52,53,56,56,56,101,45,49,49,32,51,46,54,48,52,56,56,101,45,
      49,49,10,32,32,51,46,55,52,51,50,51,101,45,49,49,32,51,46,56,55,50,55,53,101,
      45,49,49,32,51,46,57,57,50,53,55,101,45,49,49,32,52,46,49,48,49,54,56,101,45,
      49,49,32,52,46,49,55,56,53,55,101,45,49,49,32,52,46,50,52,56,50,50,101,45,49,
      49,32,52,46,51,49,48,52,52,101,45,49,49,10,32,32,52,46,51,54,53,48,52,101,45,
      49,49,32,52,46,52,49,49,56,52,101,45,49,49,32,52,46,52,53,53,49,49,101,45,49,
      49,32,52,46,52,57,53,51,49,101,45,49,49,32,52,46,53,49,57,50,52,101,45,49,49,
      32,52,46,53,50,55,49,56,101,45,49,49,32,52,46,53,49,57,52,49,101,45,49,49,10,
      32,32,52,46,52,57,54,52,49,101,45,49,49,32,52,46,52,53,56,57,55,101,45,49,49,
      32,52,46,52,48,55,57,51,101,45,49,49,32,52,46,51,52,52,50,51,101,45,49,49,32,
      52,46,50,54,56,55,51,101,45,49,49,32,52,46,49,56,50,52,50,101,45,49,49,32,52,
      46,48,56,54,52,101,45,49,49,10,32,32,51,46,57,56,49,56,57,101,45,49,49,32,51,
      46,56,54,57,57,54,101,45,49,49,32,51,46,55,53,49,55,51,101,45,49,49,32,51,46,
      54,50,56,50,51,101,45,49,49,32,51,46,53,48,48,53,49,101,45,49,49,32,51,46,51,
      54,57,53,57,101,45,49,49,32,51,46,50,51,54,51,57,101,45,49,49,10,32,32,51,46,
      49,48,49,55,51,101,45,49,49,32,50,46,57,54,54,51,57,101,45,49,49,32,50,46,56,
      51,49,50,52,101,45,49,49,32,50,46,54,57,54,57,55,101,45,49,49,32,50,46,53,54,
      52,50,49,101,45,49,49,32,50,46,52,51,51,53,52,101,45,49,49,32,50,46,51,48,53,
      52,53,101,45,49,49,10,32,32,50,46,49,56,48,51,50,101,45,49,49,32,50,46,48,53,
      56,53,49,101,45,49,49,32,49,46,57,52,48,51,53,101,45,49,49,32,49,46,56,50,54,
      48,57,101,45,49,49,32,49,46,55,49,53,57,53,101,45,49,49,32,49,46,54,49,48,48,
      54,101,45,49,49,32,49,46,53,48,56,53,50,101,45,49,49,10,32,32,49,46,52,49,49,
      51,53,101,45,49,49,32,49,46,51,49,56,54,52,101,45,49,49,32,49,46,50,51,48,52,
      101,45,49,49,32,49,46,49,52,54,53,57,101,45,49,49,32,57,46,57,49,57,54,57,101,
      45,49,50,32,56,46,53,52,49,53,57,101,45,49,50,32,55,46,51,50,50,50,57,101,45,
      49,50,10,32,32,54,46,50,53,48,54,101,45,49,50,32,53,46,51,49,52,53,51,101,45,
      49,50,32,52,46,53,48,49,52,51,101,45,49,50,32,51,46,55,57,57,48,51,101,45,49,
      50,32,51,46,49,57,53,51,101,45,49,50,32,50,46,54,55,56,55,55,101,45,49,50,32,
      50,46,50,51,56,56,101,45,49,50,10,32,32,49,46,56,54,53,54,51,101,45,49,50,32,
      49,46,53,53,48,51,101,45,49,50,32,49,46,50,56,52,56,51,101,45,49,50,32,49,46,
      48,54,50,49,50,101,45,49,50,32,56,46,55,53,56,52,53,101,45,49,51,32,55,46,50,
      48,53,54,57,101,45,49,51,32,53,46,57,49,53,48,56,101,45,49,51,10,32,32,52,46,
      56,52,53,51,51,101,45,49,51,32,51,46,57,54,49,48,52,101,45,49,51,32,51,46,50,
      51,49,56,56,101,45,49,51,32,50,46,54,51,50,48,54,101,45,49,51,32,50,46,49,51,
      57,54,56,101,45,49,51,32,49,46,55,51,54,52,51,101,45,49,51,32,49,46,52,48,54,
      56,56,101,45,49,51,10,32,32,49,46,49,51,56,48,56,101,45,49,51,32,57,46,49,57,
      50,52,57,101,45,49,52,32,55,46,52,49,52,49,53,101,45,49,52,32,53,46,57,55,49,
      53,101,45,49,52,32,52,46,56,48,51,49,54,101,45,49,52,32,48,114,49,57,51,32,
      52,46,50,51,54,50,49,101,45,50,57,32,52,46,55,54,54,52,51,101,45,50,57,10,32,
      32,50,46,51,57,57,48,52,101,45,50,57,32,48,114,56,32,53,46,49,54,55,101,45,
      50,57,32,49,46,53,53,48,51,56,101,45,50,56,32,52,46,51,56,55,57,57,101,45,50,
      56,32,49,46,49,50,53,52,56,101,45,50,55,32,51,46,53,51,57,51,55,101,45,50,55,
      32,49,46,56,51,55,50,55,101,45,50,54,10,32,32,54,46,55,53,48,56,52,101,45,50,
      54,32,49,46,52,50,57,48,57,101,45,50,53,32,50,46,48,50,50,57,55,101,45,50,53,
      32,51,46,48,55,55,48,51,101,45,50,53,32,53,46,48,50,53,54,52,101,45,50,53,32,
      54,46,56,56,48,57,101,45,50,53,32,54,46,56,56,52,52,51,101,45,50,53,10,32,32,
      54,46,48,57,54,49,51,101,45,50,53,32,54,46,52,53,54,51,50,101,45,50,53,32,49,
      46,48,48,48,48,49,101,45,50,52,32,50,46,48,49,55,54,52,101,45,50,52,32,51,46,
      55,52,48,48,55,101,45,50,52,32,49,46,50,49,55,55,101,45,50,51,32,51,46,55,50,
      57,54,53,101,45,50,51,10,32,32,49,46,49,53,55,55,57,101,45,50,50,32,51,46,56,
      53,50,53,51,101,45,50,50,32,56,46,56,57,57,56,54,101,45,50,50,32,49,46,52,54,
      54,56,51,101,45,50,49,32,49,46,56,51,49,52,56,101,45,50,49,32,51,46,55,54,50,
      57,52,101,45,50,49,32,55,46,49,49,51,55,52,101,45,50,49,10,32,32,49,46,52,54,
      50,54,51,101,45,50,48,32,50,46,53,50,50,56,53,101,45,50,48,32,53,46,52,51,52,
      57,49,101,45,50,48,32,49,46,49,48,53,50,55,101,45,49,57,32,49,46,51,57,56,54,
      53,101,45,49,57,32,50,46,50,57,50,55,52,101,45,49,57,32,52,46,50,57,57,48,57,
      101,45,49,57,10,32,32,54,46,51,57,50,48,50,101,45,49,57,32,57,46,52,54,53,52,
      49,101,45,49,57,32,49,46,54,57,54,48,53,101,45,49,55,32,56,46,55,51,48,55,101,
      45,49,55,32,49,46,48,48,53,57,51,101,45,49,54,32,49,46,50,49,52,51,52,101,45,
      49,54,32,49,46,51,50,55,52,56,101,45,49,54,10,32,32,49,46,52,55,54,53,53,101,
      45,49,54,32,49,46,50,57,56,55,51,101,45,49,54,32,49,46,53,49,57,51,56,101,45,
      49,54,32,49,46,54,49,55,56,53,101,45,49,54,32,49,46,56,49,57,55,56,101,45,49,
      54,32,50,46,48,54,51,48,50,101,45,49,54,32,50,46,50,56,50,55,54,101,45,49,54,
      10,32,32,50,46,53,49,56,57,54,101,45,49,54,32,50,46,55,53,53,54,56,101,45,49,
      54,32,51,46,48,48,52,53,49,101,45,49,54,32,51,46,50,57,57,54,56,101,45,49,54,
      32,51,46,53,55,57,56,49,101,45,49,54,32,51,46,57,48,57,53,50,101,45,49,54,32,
      52,46,49,54,54,57,55,101,45,49,54,10,32,32,52,46,54,49,53,55,51,101,45,49,54,
      32,53,46,48,56,48,51,54,101,45,49,54,32,53,46,52,56,49,49,53,101,45,49,54,32,
      54,46,53,49,55,51,54,101,45,49,54,32,56,46,50,49,53,54,56,101,45,49,54,32,49,
      46,48,50,52,50,52,101,45,49,53,32,49,46,51,52,50,52,53,101,45,49,53,10,32,32,
      49,46,55,53,50,57,101,45,49,53,32,50,46,52,48,53,52,53,101,45,49,53,32,51,46,
      49,50,49,48,57,101,45,49,53,32,52,46,49,52,57,53,52,101,45,49,53,32,54,46,49,
      51,54,101,45,49,53,32,56,46,48,52,55,55,51,101,45,49,53,32,49,46,48,56,51,48,
      54,101,45,49,52,10,32,32,49,46,53,56,48,49,56,101,45,49,52,32,50,46,49,54,49,
      53,52,101,45,49,52,32,50,46,57,48,54,55,101,45,49,52,32,51,46,57,57,50,56,101,
      45,49,52,32,53,46,51,55,48,51,56,101,45,49,52,32,54,46,56,53,48,56,54,101,45,
      49,52,32,56,46,54,50,51,57,50,101,45,49,52,10,32,32,49,46,48,55,50,57,101,45,
      49,51,32,49,46,51,54,48,49,101,45,49,51,32,49,46,55,53,50,56,52,101,45,49,51,
      32,50,46,50,57,51,48,51,101,45,49,51,32,50,46,56,57,50,50,53,101,45,49,51,32,
      51,46,55,49,48,56,49,101,45,49,51,32,52,46,54,49,50,50,56,101,45,49,51,10,32,
      32,53,46,54,57,56,51,55,101,45,49,51,32,55,46,49,53,55,54,53,101,45,49,51,32,
      57,46,48,54,52,53,101,45,49,51,32,49,46,48,56,49,51,101,45,49,50,32,49,46,51,
      49,54,57,53,101,45,49,50,32,49,46,53,53,54,51,53,101,45,49,50,32,49,46,56,52,
      56,51,52,101,45,49,50,10,32,32,50,46,49,56,48,51,51,101,45,49,50,32,50,46,53,
      53,52,56,54,101,45,49,50,32,50,46,57,55,51,57,50,101,45,49,50,32,51,46,52,51,
      57,56,54,101,45,49,50,32,51,46,57,53,52,55,50,101,45,49,50,32,52,46,53,50,48,
      48,57,101,45,49,50,32,53,46,49,51,55,56,55,101,45,49,50,10,32,32,53,46,56,48,
      57,52,55,101,45,49,50,32,54,46,53,51,53,54,49,101,45,49,50,32,55,46,51,49,55,
      51,57,101,45,49,50,32,56,46,49,53,52,54,50,101,45,49,50,32,57,46,48,52,55,50,
      49,101,45,49,50,32,57,46,57,57,52,52,52,101,45,49,50,32,49,46,48,57,57,51,55,
      101,45,49,49,10,32,32,49,46,50,48,52,50,52,101,45,49,49,32,49,46,51,49,51,55,
      54,101,45,49,49,32,49,46,52,50,55,52,53,101,45,49,49,32,49,46,53,52,52,55,56,
      101,45,49,49,32,49,46,54,54,53,49,53,101,45,49,49,32,49,46,55,56,55,56,50,101,
      45,49,49,32,49,46,57,49,49,57,56,101,45,49,49,10,32,32,50,46,48,51,54,55,55,
      101,45,49,49,32,50,46,49,54,49,51,51,101,45,49,49,32,50,46,50,56,52,55,50,101,
      45,49,49,32,50,46,52,48,53,57,49,101,45,49,49,32,50,46,53,50,51,57,53,101,45,
      49,49,32,50,46,54,51,55,56,54,101,45,49,49,32,50,46,55,52,54,55,53,101,45,49,
      49,10,32,32,50,46,56,52,57,56,52,101,45,49,49,32,50,46,57,52,54,51,101,45,49,
      49,32,51,46,48,51,53,52,49,101,45,49,49,32,51,46,48,57,57,50,51,101,45,49,49,
      32,51,46,49,53,55,57,50,101,45,49,49,32,51,46,50,49,49,50,56,101,45,49,49,32,
      51,46,50,53,57,49,52,101,45,49,49,10,32,32,51,46,51,48,49,51,53,101,45,49,49,
      32,51,46,51,52,49,57,55,101,45,49,49,32,51,46,51,56,50,54,101,45,49,49,32,51,
      46,52,49,49,49,101,45,49,49,32,51,46,52,50,55,51,52,101,45,49,49,32,51,46,52,
      51,49,54,51,101,45,49,49,32,51,46,52,50,52,50,49,101,45,49,49,10,32,32,51,46,
      52,48,53,52,51,101,45,49,49,32,51,46,51,55,54,101,45,49,49,32,51,46,51,51,54,
      53,50,101,45,49,49,32,51,46,50,56,55,54,51,101,45,49,49,32,51,46,50,51,48,48,
      50,101,45,49,49,32,51,46,49,54,52,53,51,101,45,49,49,32,51,46,48,57,49,57,50,
      101,45,49,49,10,32,32,51,46,48,49,50,57,101,45,49,49,32,50,46,57,50,56,51,51,
      101,45,49,49,32,50,46,56,51,57,101,45,49,49,32,50,46,55,52,53,55,54,101,45,
      49,49,32,50,46,54,52,57,52,50,101,45,49,49,32,50,46,53,53,48,55,50,101,45,49,
      49,32,50,46,52,53,48,51,53,101,45,49,49,10,32,32,50,46,51,52,56,57,51,101,45,
      49,49,32,50,46,50,52,55,48,54,101,45,49,49,32,50,46,49,52,53,51,51,101,45,49,
      49,32,50,46,48,52,52,50,53,101,45,49,49,32,49,46,57,52,52,50,56,101,45,49,49,
      32,49,46,56,52,53,56,101,45,49,49,32,49,46,55,52,57,49,56,101,45,49,49,10,32,
      32,49,46,54,53,52,55,52,101,45,49,49,32,49,46,53,54,50,55,55,101,45,49,49,32,
      49,46,52,55,51,52,55,101,45,49,49,32,49,46,51,56,55,49,49,101,45,49,49,32,49,
      46,51,48,51,56,51,101,45,49,49,32,49,46,50,50,51,55,55,101,45,49,49,32,49,46,
      49,52,54,57,57,101,45,49,49,10,32,32,49,46,48,55,51,53,51,101,45,49,49,32,49,
      46,48,48,51,52,50,101,45,49,49,32,57,46,51,54,54,54,56,101,45,49,50,32,56,46,
      49,51,49,48,51,101,45,49,50,32,55,46,48,50,52,50,101,45,49,50,32,54,46,48,52,
      48,52,51,101,45,49,50,32,53,46,49,55,49,57,49,101,45,49,50,10,32,32,52,46,52,
      49,48,49,55,101,45,49,50,32,51,46,55,52,54,48,56,101,45,49,50,32,51,46,49,55,
      48,49,51,101,45,49,50,32,50,46,54,55,51,50,54,101,45,49,50,32,50,46,50,52,54,
      56,101,45,49,50,32,49,46,56,56,50,51,54,101,45,49,50,32,49,46,53,55,50,51,101,
      45,49,50,10,32,32,49,46,51,48,57,53,54,101,45,49,50,32,49,46,48,56,55,55,54,
      101,45,49,50,32,57,46,48,49,49,55,50,101,45,49,51,32,55,46,52,52,54,55,55,101,
      45,49,51,32,54,46,49,51,57,48,50,101,45,49,51,32,53,46,48,52,57,52,57,101,45,
      49,51,32,52,46,49,52,52,51,55,101,45,49,51,10,32,32,51,46,51,57,52,51,55,101,
      45,49,51,32,50,46,55,55,52,53,52,101,45,49,51,32,50,46,50,54,51,53,57,101,45,
      49,51,32,49,46,56,52,51,51,55,101,45,49,51,32,49,46,52,57,56,53,50,101,45,49,
      51,32,49,46,50,49,54,49,50,101,45,49,51,32,57,46,56,53,51,52,51,101,45,49,52,
      10,32,32,55,46,57,55,49,51,49,101,45,49,52,32,54,46,52,51,57,48,54,101,45,49,
      52,32,53,46,49,57,51,56,55,101,45,49,52,32,52,46,49,56,51,55,55,101,45,49,52,
      32,48,114,49,57,51,32,49,46,51,51,53,51,53,101,45,50,57,32,49,46,53,48,51,50,
      56,101,45,50,57,32,48,114,57,10,32,32,49,46,54,48,55,55,55,101,45,50,57,32,
      52,46,57,49,55,49,49,101,45,50,57,32,49,46,52,49,54,56,55,101,45,50,56,32,51,
      46,54,57,52,48,54,101,45,50,56,32,49,46,49,56,53,49,57,101,45,50,55,32,54,46,
      51,51,50,50,57,101,45,50,55,32,50,46,51,55,57,56,53,101,45,50,54,10,32,32,53,
      46,49,48,49,52,57,101,45,50,54,32,55,46,50,53,57,56,55,101,45,50,54,32,49,46,
      49,49,49,49,55,101,45,50,53,32,49,46,56,50,56,57,56,101,45,50,53,32,50,46,53,
      49,53,53,52,101,45,50,53,32,50,46,53,49,51,57,51,101,45,50,53,32,50,46,50,49,
      56,53,50,101,45,50,53,10,32,32,50,46,51,52,57,54,101,45,50,53,32,51,46,54,54,
      52,56,55,101,45,50,53,32,55,46,52,56,52,50,101,45,50,53,32,49,46,52,48,50,52,
      55,101,45,50,52,32,52,46,54,54,51,49,101,45,50,52,32,49,46,52,53,55,52,53,101,
      45,50,51,32,52,46,54,50,48,49,54,101,45,50,51,10,32,32,49,46,53,55,50,54,51,
      101,45,50,50,32,51,46,54,57,49,49,56,101,45,50,50,32,54,46,49,51,57,53,50,101,
      45,50,50,32,55,46,54,57,51,48,57,101,45,50,50,32,49,46,54,48,54,56,53,101,45,
      50,49,32,51,46,48,56,50,50,101,45,50,49,32,54,46,52,52,50,56,51,101,45,50,49,
      10,32,32,49,46,49,50,53,51,53,101,45,50,48,32,50,46,52,54,56,51,57,101,45,50,
      48,32,53,46,49,48,53,55,54,101,45,50,48,32,54,46,53,48,48,54,51,101,45,50,48,
      32,49,46,48,56,48,48,56,101,45,49,57,32,50,46,48,54,49,56,49,101,45,49,57,32,
      51,46,49,48,49,51,52,101,45,49,57,10,32,32,52,46,54,52,54,56,52,101,45,49,57,
      32,57,46,54,57,56,57,50,101,45,49,56,32,53,46,52,57,56,56,50,101,45,49,55,32,
      54,46,52,48,49,52,57,101,45,49,55,32,55,46,56,50,57,55,55,101,45,49,55,32,56,
      46,54,48,56,53,51,101,45,49,55,32,57,46,54,51,52,51,50,101,45,49,55,10,32,32,
      56,46,51,54,55,50,49,101,45,49,55,32,57,46,56,56,55,55,55,101,45,49,55,32,49,
      46,48,53,55,48,50,101,45,49,54,32,49,46,49,57,55,53,53,101,45,49,54,32,49,46,
      51,54,55,55,53,101,45,49,54,32,49,46,53,50,50,49,54,101,45,49,54,32,49,46,54,
      56,56,54,52,101,45,49,54,10,32,32,49,46,56,53,53,57,52,101,45,49,54,32,50,46,
      48,51,50,49,52,101,45,49,54,32,50,46,50,52,49,52,50,101,45,49,54,32,50,46,52,
      52,48,50,53,101,45,49,54,32,50,46,54,55,52,52,50,101,45,49,54,32,50,46,56,53,
      55,50,56,101,45,49,54,32,51,46,49,55,53,57,101,45,49,54,10,32,32,51,46,53,48,
      53,55,56,101,45,49,54,32,51,46,55,57,48,53,57,101,45,49,54,32,52,46,53,50,53,
      52,54,101,45,49,54,32,53,46,55,50,51,57,49,101,45,49,54,32,55,46,49,52,52,49,
      57,101,45,49,54,32,57,46,51,53,52,50,52,101,45,49,54,32,49,46,50,49,55,55,53,
      101,45,49,53,10,32,32,49,46,54,54,50,51,56,101,45,49,53,32,50,46,49,52,54,54,
      57,101,45,49,53,32,50,46,56,51,54,53,49,101,45,49,53,32,52,46,49,53,53,53,57,
      101,45,49,53,32,53,46,52,50,52,48,57,101,45,49,53,32,55,46,50,56,50,57,56,101,
      45,49,53,32,49,46,48,54,49,57,51,101,45,49,52,10,32,32,49,46,52,53,53,56,52,
      101,45,49,52,32,49,46,57,54,53,53,50,101,45,49,52,32,50,46,55,49,54,49,52,101,
      45,49,52,32,51,46,54,55,55,54,52,101,45,49,52,32,52,46,55,49,57,49,50,101,45,
      49,52,32,53,46,57,55,52,48,52,101,45,49,52,32,55,46,52,55,48,56,49,101,45,49,
      52,10,32,32,57,46,53,50,48,50,57,101,45,49,52,32,49,46,50,51,50,57,52,101,45,
      49,51,32,49,46,54,49,57,54,55,101,45,49,51,32,50,46,48,52,56,54,54,101,45,49,
      51,32,50,46,54,51,52,50,57,101,45,49,51,32,51,46,50,55,57,50,49,101,45,49,51,
      32,52,46,48,53,54,53,50,101,45,49,51,10,32,32,53,46,49,48,50,51,52,101,45,49,
      51,32,54,46,52,55,50,51,101,45,49,51,32,55,46,55,51,50,48,52,101,45,49,51,32,
      57,46,52,51,53,53,50,101,45,49,51,32,49,46,49,49,55,50,54,101,45,49,50,32,49,
      46,51,50,57,57,52,101,45,49,50,32,49,46,53,55,50,55,50,101,45,49,50,10,32,32,
      49,46,56,52,55,52,57,101,45,49,50,32,50,46,49,53,53,57,57,101,45,49,50,32,50,
      46,53,48,48,50,49,101,45,49,50,32,50,46,56,56,49,56,49,101,45,49,50,32,51,46,
      51,48,50,50,57,101,45,49,50,32,51,46,55,54,50,57,57,101,45,49,50,32,52,46,50,
      54,53,48,57,101,45,49,50,10,32,32,52,46,56,48,57,53,101,45,49,50,32,53,46,51,
      57,55,49,56,101,45,49,50,32,54,46,48,50,56,49,49,101,45,49,50,32,54,46,55,48,
      50,50,49,101,45,49,50,32,55,46,52,49,57,50,55,101,45,49,50,32,56,46,49,55,56,
      48,54,101,45,49,50,32,56,46,57,55,54,57,57,101,45,49,50,10,32,32,57,46,56,49,
      52,48,49,101,45,49,50,32,49,46,48,54,56,53,57,101,45,49,49,32,49,46,49,53,56,
      57,49,101,45,49,49,32,49,46,50,53,49,57,101,45,49,49,32,49,46,51,52,55,48,49,
      101,45,49,49,32,49,46,52,52,51,54,56,101,45,49,49,32,49,46,53,52,49,51,101,
      45,49,49,10,32,32,49,46,54,51,57,50,49,101,45,49,49,32,49,46,55,51,54,54,53,
      101,45,49,49,32,49,46,56,51,50,57,50,101,45,49,49,32,49,46,57,50,55,50,56,101,
      45,49,49,32,50,46,48,49,56,57,56,101,45,49,49,32,50,46,49,48,55,51,55,101,45,
      49,49,32,50,46,49,57,49,55,50,101,45,49,49,10,32,32,50,46,50,55,49,52,49,101,
      45,49,49,32,50,46,51,52,53,56,101,45,49,49,32,50,46,51,57,57,54,51,101,45,49,
      49,32,50,46,52,52,57,54,54,101,45,49,49,32,50,46,52,57,53,55,50,101,45,49,49,
      32,50,46,53,51,55,53,52,101,45,49,49,32,50,46,53,55,53,48,52,101,45,49,49,10,
      32,32,50,46,54,49,50,48,49,101,45,49,49,32,50,46,54,53,48,53,52,101,45,49,49,
      32,50,46,54,55,57,54,56,101,45,49,49,32,50,46,54,57,57,51,101,45,49,49,32,50,
      46,55,48,57,52,56,101,45,49,49,32,50,46,55,49,48,52,50,101,45,49,49,32,50,46,
      55,48,50,51,55,101,45,49,49,10,32,32,50,46,54,56,53,55,49,101,45,49,49,32,50,
      46,54,54,48,55,53,101,45,49,49,32,50,46,54,50,55,57,53,101,45,49,49,32,50,46,
      53,56,55,57,101,45,49,49,32,50,46,53,52,49,50,101,45,49,49,32,50,46,52,56,56,
      52,50,101,45,49,49,32,50,46,52,51,48,49,55,101,45,49,49,10,32,32,50,46,51,54,
      55,48,55,101,45,49,49,32,50,46,50,57,57,54,57,101,45,49,49,32,50,46,50,50,56,
      55,57,101,45,49,49,32,50,46,49,53,52,57,57,101,45,49,49,32,50,46,48,55,56,56,
      53,101,45,49,49,32,50,46,48,48,48,57,54,101,45,49,49,32,49,46,57,50,49,56,51,
      101,45,49,49,10,32,32,49,46,56,52,49,57,51,101,45,49,49,32,49,46,55,54,49,55,
      52,101,45,49,49,32,49,46,54,56,49,55,53,101,45,49,49,32,49,46,54,48,50,51,50,
      101,45,49,49,32,49,46,53,50,51,56,51,101,45,49,49,32,49,46,52,52,54,53,56,101,
      45,49,49,32,49,46,51,55,48,56,53,101,45,49,49,10,32,32,49,46,50,57,54,56,56,
      101,45,49,49,32,49,46,50,50,52,56,57,101,45,49,49,32,49,46,49,53,53,48,53,101,
      45,49,49,32,49,46,48,56,55,53,51,101,45,49,49,32,49,46,48,50,50,52,50,101,45,
      49,49,32,57,46,53,57,56,48,51,101,45,49,50,32,56,46,57,57,55,52,49,101,45,49,
      50,10,32,32,56,46,52,50,50,54,55,101,45,49,50,32,55,46,56,55,52,49,101,45,49,
      50,32,54,46,56,53,52,55,51,101,45,49,50,32,53,46,57,51,55,53,57,101,45,49,50,
      32,53,46,49,49,57,51,53,101,45,49,50,32,52,46,51,57,52,52,54,101,45,49,50,32,
      51,46,55,53,54,53,52,101,45,49,50,10,32,32,51,46,49,57,56,52,57,101,45,49,50,
      32,50,46,55,49,51,48,53,101,45,49,50,32,50,46,50,57,51,48,52,101,45,49,50,32,
      49,46,57,51,49,52,54,101,45,49,50,32,49,46,54,50,49,54,55,101,45,49,50,32,49,
      46,51,53,55,51,57,101,45,49,50,32,49,46,49,51,50,56,53,101,45,49,50,10,32,32,
      57,46,52,50,56,49,50,101,45,49,51,32,55,46,56,50,53,49,56,101,45,49,51,32,54,
      46,52,55,55,57,57,101,45,49,51,32,53,46,51,52,57,55,54,101,45,49,51,32,52,46,
      52,48,55,56,51,101,45,49,51,32,51,46,54,50,51,55,51,101,45,49,51,32,50,46,57,
      55,50,55,53,101,45,49,51,10,32,32,50,46,52,51,51,55,51,101,45,49,51,32,49,46,
      57,56,56,53,56,101,45,49,51,32,49,46,54,50,49,56,49,101,45,49,51,32,49,46,51,
      50,48,51,50,101,45,49,51,32,49,46,48,55,51,48,50,101,45,49,51,32,56,46,55,48,
      54,48,54,101,45,49,52,32,55,46,48,53,50,51,55,101,45,49,52,10,32,32,53,46,55,
      48,52,49,50,101,45,49,52,32,52,46,54,48,54,56,56,101,45,49,52,32,51,46,55,49,
      53,52,54,101,45,49,52,32,48,114,49,57,51,32,51,46,49,56,53,51,53,101,45,51,
      48,32,51,46,53,56,56,50,56,101,45,51,48,32,48,114,49,48,32,49,46,49,56,49,55,
      54,101,45,50,57,10,32,32,51,46,52,56,49,49,55,101,45,50,57,32,57,46,50,54,48,
      53,51,101,45,50,57,32,51,46,48,52,53,51,53,101,45,50,56,32,49,46,54,56,54,48,
      49,101,45,50,55,32,54,46,53,49,53,52,52,101,45,50,55,32,49,46,52,49,56,52,49,
      101,45,50,54,32,50,46,48,51,49,56,101,45,50,54,10,32,32,51,46,49,51,51,57,50,
      101,45,50,54,32,53,46,50,48,55,54,101,45,50,54,32,55,46,50,48,50,51,54,101,
      45,50,54,32,55,46,49,56,55,52,55,101,45,50,54,32,54,46,51,49,54,53,55,101,45,
      50,54,32,54,46,54,56,57,55,55,101,45,50,54,32,49,46,48,53,50,53,101,45,50,53,
      10,32,32,50,46,49,56,49,54,54,101,45,50,53,32,52,46,49,52,51,50,56,101,45,50,
      53,32,49,46,52,49,51,54,57,101,45,50,52,32,52,46,53,50,57,57,57,101,45,50,52,
      32,49,46,52,55,51,53,51,101,45,50,51,32,53,46,49,53,55,53,55,101,45,50,51,32,
      49,46,50,51,52,52,56,101,45,50,50,10,32,32,50,46,48,55,54,53,52,101,45,50,50,
      32,50,46,54,49,51,51,57,101,45,50,50,32,53,46,53,54,52,53,101,45,50,50,32,49,
      46,48,56,53,54,51,101,45,50,49,32,50,46,51,49,51,53,51,101,45,50,49,32,52,46,
      49,48,48,54,54,101,45,50,49,32,57,46,49,56,53,55,101,45,50,49,10,32,32,49,46,
      57,51,56,53,49,101,45,50,48,32,50,46,52,56,54,53,56,101,45,50,48,32,52,46,50,
      48,48,50,55,101,45,50,48,32,56,46,49,57,53,51,52,101,45,50,48,32,49,46,50,53,
      48,52,50,101,45,49,57,32,49,46,57,48,48,54,55,101,45,49,57,32,52,46,55,51,54,
      48,54,101,45,49,56,10,32,32,51,46,48,48,55,54,57,101,45,49,55,32,51,46,53,52,
      56,50,52,101,45,49,55,32,52,46,52,49,52,51,57,101,45,49,55,32,52,46,56,57,48,
      48,51,101,45,49,55,32,53,46,53,49,55,50,49,101,45,49,55,32,52,46,55,49,50,52,
      51,101,45,49,55,32,53,46,54,52,50,55,101,45,49,55,10,32,32,54,46,48,54,51,54,
      57,101,45,49,55,32,54,46,57,51,54,53,50,101,45,49,55,32,56,46,48,48,50,49,54,
      101,45,49,55,32,56,46,57,55,54,49,52,101,45,49,55,32,49,46,48,48,51,50,53,101,
      45,49,54,32,49,46,49,48,57,56,57,101,45,49,54,32,49,46,50,50,50,54,56,101,45,
      49,54,10,32,32,49,46,51,53,55,50,101,45,49,54,32,49,46,52,56,53,52,51,101,45,
      49,54,32,49,46,54,51,54,56,51,101,45,49,54,32,49,46,55,53,53,50,55,101,45,49,
      54,32,49,46,57,54,49,57,56,101,45,49,54,32,50,46,49,55,52,54,52,101,45,49,54,
      32,50,46,51,54,48,49,53,101,45,49,54,10,32,32,50,46,56,51,56,56,57,101,45,49,
      54,32,51,46,54,49,56,53,49,101,45,49,54,32,52,46,53,51,56,48,49,101,45,49,54,
      32,53,46,57,53,55,56,57,101,45,49,54,32,55,46,55,53,51,56,57,101,45,49,54,32,
      49,46,48,53,53,50,101,45,49,53,32,49,46,51,53,55,49,49,101,45,49,53,10,32,32,
      49,46,55,56,54,57,57,101,45,49,53,32,50,46,53,57,51,51,52,101,45,49,53,32,51,
      46,51,54,48,55,49,101,45,49,53,32,52,46,52,57,51,49,101,45,49,53,32,54,46,53,
      50,57,52,101,45,49,53,32,56,46,57,53,54,48,51,101,45,49,53,32,49,46,50,49,50,
      56,53,101,45,49,52,10,32,32,49,46,54,56,53,54,56,101,45,49,52,32,50,46,50,57,
      56,55,55,101,45,49,52,32,50,46,57,54,57,53,57,101,45,49,52,32,51,46,55,56,52,
      55,101,45,49,52,32,52,46,55,54,51,54,51,101,45,49,52,32,54,46,49,49,49,52,101,
      45,49,52,32,55,46,57,54,54,49,51,101,45,49,52,10,32,32,49,46,48,53,50,53,101,
      45,49,51,32,49,46,51,51,54,53,55,101,45,49,51,32,49,46,55,50,52,50,51,101,45,
      49,51,32,50,46,49,53,48,56,53,101,45,49,51,32,50,46,54,54,53,49,49,101,45,49,
      51,32,51,46,51,53,55,56,51,101,45,49,51,32,52,46,50,54,55,49,56,101,45,49,51,
      10,32,32,53,46,49,48,53,52,57,101,45,49,51,32,54,46,50,52,51,49,50,101,45,49,
      51,32,55,46,52,48,55,56,55,101,45,49,51,32,56,46,56,52,48,49,101,45,49,51,32,
      49,46,48,52,56,50,53,101,45,49,50,32,49,46,50,51,52,56,57,101,45,49,50,32,49,
      46,52,52,53,51,53,101,45,49,50,10,32,32,49,46,54,56,49,50,54,101,45,49,50,32,
      49,46,57,52,51,56,52,101,45,49,50,32,50,46,50,51,52,51,53,101,45,49,50,32,50,
      46,53,53,51,55,56,101,45,49,50,32,50,46,57,48,51,49,50,101,45,49,50,32,51,46,
      50,56,51,49,54,101,45,49,50,32,51,46,54,57,52,54,51,101,45,49,50,10,32,32,52,
      46,49,51,55,55,52,101,45,49,50,32,52,46,54,49,50,55,101,45,49,50,32,53,46,49,
      49,57,54,53,101,45,49,50,32,53,46,54,53,55,57,53,101,45,49,50,32,54,46,50,50,
      54,56,51,101,45,49,50,32,54,46,56,50,52,57,57,101,45,49,50,32,55,46,52,53,48,
      54,101,45,49,50,10,32,32,56,46,49,48,49,50,52,101,45,49,50,32,56,46,55,55,51,
      57,52,101,45,49,50,32,57,46,52,54,52,57,57,101,45,49,50,32,49,46,48,49,55,48,
      57,101,45,49,49,32,49,46,48,56,56,55,54,101,45,49,49,32,49,46,49,54,49,48,53,
      101,45,49,49,32,49,46,50,51,51,52,56,101,45,49,49,10,32,32,49,46,51,48,53,53,
      53,101,45,49,49,32,49,46,51,55,54,55,49,101,45,49,49,32,49,46,52,52,54,52,49,
      101,45,49,49,32,49,46,53,49,52,49,54,101,45,49,49,32,49,46,53,55,57,51,54,101,
      45,49,49,32,49,46,54,52,49,53,57,101,45,49,49,32,49,46,55,48,48,51,49,101,45,
      49,49,10,32,32,49,46,55,52,51,51,101,45,49,49,32,49,46,55,56,51,54,56,101,45,
      49,49,32,49,46,56,50,49,51,50,101,45,49,49,32,49,46,56,53,54,48,53,101,45,49,
      49,32,49,46,56,56,55,55,55,101,45,49,49,32,49,46,57,49,57,55,56,101,45,49,49,
      32,49,46,57,53,52,51,56,101,45,49,49,10,32,32,49,46,57,56,50,49,55,101,45,49,
      49,32,50,46,48,48,51,101,45,49,49,32,50,46,48,49,54,56,51,101,45,49,49,32,50,
      46,48,50,51,55,101,45,49,49,32,50,46,48,50,51,55,56,101,45,49,49,32,50,46,48,
      49,55,50,56,101,45,49,49,32,50,46,48,48,52,52,51,101,45,49,49,10,32,32,49,46,
      57,56,53,52,54,101,45,49,49,32,49,46,57,54,48,55,53,101,45,49,49,32,49,46,57,
      51,48,55,55,101,45,49,49,32,49,46,56,57,53,57,51,101,45,49,49,32,49,46,56,53,
      54,54,51,101,45,49,49,32,49,46,56,49,51,51,52,101,45,49,49,32,49,46,55,54,54,
      53,50,101,45,49,49,10,32,32,49,46,55,49,54,54,51,101,45,49,49,32,49,46,54,54,
      52,49,101,45,49,49,32,49,46,54,48,57,51,52,101,45,49,49,32,49,46,53,53,50,56,
      53,101,45,49,49,32,49,46,52,57,53,48,55,101,45,49,49,32,49,46,52,51,54,51,55,
      101,45,49,49,32,49,46,51,55,55,49,51,101,45,49,49,10,32,32,49,46,51,49,55,54,
      56,101,45,49,49,32,49,46,50,53,56,51,54,101,45,49,49,32,49,46,49,57,57,52,52,
      101,45,49,49,32,49,46,49,52,49,49,55,101,45,49,49,32,49,46,48,56,51,55,57,101,
      45,49,49,32,49,46,48,50,55,52,57,101,45,49,49,32,57,46,55,50,52,53,57,101,45,
      49,50,10,32,32,57,46,49,56,56,53,54,101,45,49,50,32,56,46,54,54,56,50,101,45,
      49,50,32,56,46,49,54,52,55,55,101,45,49,50,32,55,46,54,55,57,48,56,101,45,49,
      50,32,55,46,50,49,49,56,49,101,45,49,50,32,54,46,55,54,51,52,50,101,45,49,50,
      32,54,46,51,51,52,50,52,101,45,49,50,10,32,32,53,46,53,51,51,55,101,45,49,50,
      32,52,46,56,48,57,57,57,101,45,49,50,32,52,46,49,54,49,48,56,101,45,49,50,32,
      51,46,53,56,51,52,57,101,45,49,50,32,51,46,48,55,50,56,56,101,45,49,50,32,50,
      46,54,50,52,51,52,101,45,49,50,32,50,46,50,51,50,53,54,101,45,49,50,10,32,32,
      49,46,56,57,50,50,52,101,45,49,50,32,49,46,53,57,56,50,51,101,45,49,50,32,49,
      46,51,52,53,52,49,101,45,49,50,32,49,46,49,50,57,101,45,49,50,32,57,46,52,52,
      53,54,51,101,45,49,51,32,55,46,56,56,48,48,50,101,45,49,51,32,54,46,53,53,53,
      54,49,101,45,49,51,10,32,32,53,46,52,51,57,51,56,101,45,49,51,32,52,46,53,48,
      50,48,51,101,45,49,51,32,51,46,55,49,55,51,56,101,45,49,51,32,51,46,48,54,50,
      53,49,101,45,49,51,32,50,46,53,49,55,53,101,45,49,51,32,50,46,48,54,53,49,53,
      101,45,49,51,32,49,46,54,57,48,54,54,101,45,49,51,10,32,32,49,46,51,56,49,52,
      51,101,45,49,51,32,49,46,49,50,54,54,56,101,45,49,51,32,57,46,49,55,50,56,53,
      101,45,49,52,32,55,46,52,53,53,51,49,101,45,49,52,32,54,46,48,52,57,52,50,101,
      45,49,52,32,52,46,57,48,49,48,49,101,45,49,52,32,51,46,57,54,52,54,53,101,45,
      49,52,10,32,32,51,46,50,48,50,53,53,101,45,49,52,32,48,114,50,48,55,32,49,46,
      57,57,53,53,57,101,45,50,57,32,54,46,55,52,50,53,101,45,50,57,32,51,46,56,56,
      49,53,54,101,45,50,56,32,49,46,53,52,54,53,55,101,45,50,55,32,51,46,52,50,52,
      52,57,101,45,50,55,32,52,46,57,52,48,56,101,45,50,55,10,32,32,55,46,54,56,53,
      55,53,101,45,50,55,32,49,46,50,57,48,53,53,101,45,50,54,32,49,46,55,57,53,56,
      51,101,45,50,54,32,49,46,55,56,57,51,51,101,45,50,54,32,49,46,53,54,53,51,52,
      101,45,50,54,32,49,46,54,53,55,56,50,101,45,50,54,32,50,46,54,51,50,57,56,101,
      45,50,54,10,32,32,53,46,53,52,55,52,51,101,45,50,54,32,49,46,48,54,57,49,50,
      101,45,50,53,32,51,46,55,53,50,55,49,101,45,50,53,32,49,46,50,51,53,55,55,101,
      45,50,52,32,52,46,49,51,52,55,54,101,45,50,52,32,49,46,52,57,50,48,53,101,45,
      50,51,32,51,46,54,52,56,53,54,101,45,50,51,10,32,32,54,46,50,49,51,50,51,101,
      45,50,51,32,55,46,56,53,54,57,55,101,45,50,51,32,49,46,55,48,55,50,53,101,45,
      50,50,32,51,46,51,57,49,49,51,101,45,50,50,32,55,46,51,55,53,53,49,101,45,50,
      50,32,49,46,51,50,55,54,57,101,45,50,49,32,51,46,48,52,48,57,52,101,45,50,49,
      10,32,32,54,46,53,53,54,49,56,101,45,50,49,32,56,46,52,55,56,51,57,101,45,50,
      49,32,49,46,52,53,56,49,101,45,50,48,32,50,46,57,49,51,55,52,101,45,50,48,32,
      52,46,53,49,53,48,57,101,45,50,48,32,54,46,57,55,49,49,50,101,45,50,48,32,50,
      46,48,56,51,49,57,101,45,49,56,10,32,32,49,46,52,56,56,52,54,101,45,49,55,32,
      49,46,55,56,50,52,52,101,45,49,55,32,50,46,50,54,48,56,55,101,45,49,55,32,50,
      46,53,50,54,50,54,101,45,49,55,32,50,46,56,55,55,48,54,101,45,49,55,32,50,46,
      52,49,48,53,56,101,45,49,55,32,50,46,57,51,48,54,55,101,45,49,55,10,32,32,51,
      46,49,54,56,52,52,101,45,49,55,32,51,46,54,54,53,52,55,101,45,49,55,32,52,46,
      50,55,56,57,54,101,45,49,55,32,52,46,56,52,52,56,55,101,45,49,55,32,53,46,52,
      54,51,55,50,101,45,49,55,32,54,46,48,57,51,49,50,101,45,49,55,32,54,46,55,54,
      51,49,52,101,45,49,55,10,32,32,55,46,53,54,55,49,54,101,45,49,55,32,56,46,51,
      51,55,53,56,101,45,49,55,32,57,46,50,53,49,55,50,101,45,49,55,32,57,46,57,54,
      57,56,56,101,45,49,55,32,49,46,49,50,50,56,50,101,45,49,54,32,49,46,50,53,48,
      55,49,101,45,49,54,32,49,46,51,54,52,52,50,101,45,49,54,10,32,32,49,46,54,53,
      57,49,50,101,45,49,54,32,50,46,49,52,48,54,54,101,45,49,54,32,50,46,55,48,57,
      48,55,101,45,49,54,32,51,46,53,56,51,57,52,101,45,49,54,32,52,46,54,56,51,49,
      55,101,45,49,54,32,54,46,51,55,57,52,49,101,45,49,54,32,56,46,49,57,50,51,51,
      101,45,49,54,10,32,32,49,46,48,56,48,51,51,101,45,49,53,32,49,46,53,53,55,55,
      51,101,45,49,53,32,50,46,48,48,49,56,55,101,45,49,53,32,50,46,54,54,49,51,53,
      101,45,49,53,32,51,46,56,52,48,53,56,101,45,49,53,32,53,46,50,53,54,48,54,101,
      45,49,53,32,55,46,49,50,51,56,57,101,45,49,53,10,32,32,57,46,57,51,57,55,49,
      101,45,49,53,32,49,46,51,54,51,54,57,101,45,49,52,32,49,46,55,55,50,56,52,101,
      45,49,52,32,50,46,50,55,52,56,52,101,45,49,52,32,50,46,56,56,50,57,101,45,49,
      52,32,51,46,55,50,54,52,52,101,45,49,52,32,52,46,56,57,52,49,49,101,45,49,52,
      10,32,32,54,46,53,49,49,55,50,101,45,49,52,32,56,46,51,49,49,51,101,45,49,52,
      32,49,46,48,55,54,57,101,45,49,51,32,49,46,51,52,55,51,52,101,45,49,51,32,49,
      46,54,55,51,52,51,101,45,49,51,32,50,46,49,49,50,57,57,101,45,49,51,32,50,46,
      54,57,48,56,56,101,45,49,51,10,32,32,51,46,50,50,52,54,57,101,45,49,51,32,51,
      46,57,53,49,53,56,101,45,49,51,32,52,46,54,57,56,54,55,101,45,49,51,32,53,46,
      54,50,49,48,53,101,45,49,51,32,54,46,54,56,51,53,49,101,45,49,51,32,55,46,56,
      57,54,56,56,101,45,49,51,32,57,46,50,55,50,50,55,101,45,49,51,10,32,32,49,46,
      48,56,50,48,57,101,45,49,50,32,49,46,50,53,53,50,50,101,45,49,50,32,49,46,52,
      52,55,54,49,101,45,49,50,32,49,46,54,54,48,48,52,101,45,49,50,32,49,46,56,57,
      51,51,49,101,45,49,50,32,50,46,49,52,55,57,56,101,45,49,50,32,50,46,52,50,52,
      55,101,45,49,50,10,32,32,50,46,55,50,51,56,51,101,45,49,50,32,51,46,48,52,53,
      54,52,101,45,49,50,32,51,46,51,57,48,50,52,101,45,49,50,32,51,46,55,53,55,53,
      51,101,45,49,50,32,52,46,49,52,55,49,53,101,45,49,50,32,52,46,53,53,56,51,53,
      101,45,49,50,32,52,46,57,57,48,48,55,101,45,49,50,10,32,32,53,46,52,52,49,48,
      53,101,45,49,50,32,53,46,57,48,57,53,101,45,49,50,32,54,46,51,57,51,50,55,101,
      45,49,50,32,54,46,56,57,48,49,50,101,45,49,50,32,55,46,51,57,55,51,49,101,45,
      49,50,32,55,46,57,49,49,57,49,101,45,49,50,32,56,46,52,51,48,55,49,101,45,49,
      50,10,32,32,56,46,57,53,48,51,50,101,45,49,50,32,57,46,52,54,55,50,55,101,45,
      49,50,32,57,46,57,55,55,55,51,101,45,49,50,32,49,46,48,52,55,55,56,101,45,49,
      49,32,49,46,48,57,54,51,55,101,45,49,49,32,49,46,49,52,51,49,53,101,45,49,49,
      32,49,46,49,56,55,56,49,101,45,49,49,10,32,32,49,46,50,50,48,56,51,101,45,49,
      49,32,49,46,50,53,50,50,101,45,49,49,32,49,46,50,56,49,56,49,101,45,49,49,32,
      49,46,51,48,57,53,50,101,45,49,49,32,49,46,51,51,53,50,49,101,45,49,49,32,49,
      46,51,54,49,54,51,101,45,49,49,32,49,46,51,57,48,57,57,101,45,49,49,10,32,32,
      49,46,52,49,53,54,54,101,45,49,49,32,49,46,52,51,53,52,57,101,45,49,49,32,49,
      46,52,53,48,51,57,101,45,49,49,32,49,46,52,54,48,51,101,45,49,49,32,49,46,52,
      54,53,50,55,101,45,49,49,32,49,46,52,54,53,51,53,101,45,49,49,32,49,46,52,54,
      48,55,51,101,45,49,49,10,32,32,49,46,52,53,49,54,101,45,49,49,32,49,46,52,51,
      56,49,54,101,45,49,49,32,49,46,52,50,48,54,55,101,45,49,49,32,49,46,51,57,57,
      52,101,45,49,49,32,49,46,51,55,52,53,56,101,45,49,49,32,49,46,51,52,54,53,53,
      101,45,49,49,32,49,46,51,49,53,54,51,101,45,49,49,10,32,32,49,46,50,56,50,49,
      55,101,45,49,49,32,49,46,50,52,54,53,49,101,45,49,49,32,49,46,50,48,56,57,53,
      101,45,49,49,32,49,46,49,54,57,55,57,101,45,49,49,32,49,46,49,50,57,51,54,101,
      45,49,49,32,49,46,48,56,55,57,54,101,45,49,49,32,49,46,48,52,53,56,51,101,45,
      49,49,10,32,32,49,46,48,48,51,50,50,101,45,49,49,32,57,46,54,48,52,48,56,101,
      45,49,50,32,57,46,49,55,54,52,56,101,45,49,50,32,56,46,55,53,49,51,51,101,45,
      49,50,32,56,46,51,51,48,53,56,101,45,49,50,32,55,46,57,49,54,49,49,101,45,49,
      50,32,55,46,53,48,57,51,54,101,45,49,50,10,32,32,55,46,49,49,49,54,50,101,45,
      49,50,32,54,46,55,50,52,48,49,101,45,49,50,32,54,46,51,52,55,53,53,101,45,49,
      50,32,53,46,57,56,51,48,51,101,45,49,50,32,53,46,54,51,49,48,49,101,45,49,50,
      32,53,46,50,57,50,48,50,101,45,49,50,32,52,46,57,54,54,52,52,101,45,49,50,10,
      32,32,52,46,51,53,54,51,54,101,45,49,50,32,51,46,56,48,49,52,55,101,45,49,50,
      32,51,46,51,48,48,57,53,101,45,49,50,32,50,46,56,53,50,57,53,101,45,49,50,32,
      50,46,52,53,52,57,50,101,45,49,50,32,50,46,49,48,51,53,55,101,45,49,50,32,49,
      46,55,57,53,51,50,101,45,49,50,10,32,32,49,46,53,50,54,52,55,101,45,49,50,32,
      49,46,50,57,51,50,51,101,45,49,50,32,49,46,48,57,49,56,57,101,45,49,50,32,57,
      46,49,56,57,49,50,101,45,49,51,32,55,46,55,48,57,53,56,101,45,49,51,32,54,46,
      52,52,56,57,56,101,45,49,51,32,53,46,51,55,57,51,53,101,45,49,51,10,32,32,52,
      46,52,55,53,101,45,49,51,32,51,46,55,49,51,48,55,101,45,49,51,32,51,46,48,55,
      51,50,56,101,45,49,51,32,50,46,53,51,55,55,51,101,45,49,51,32,50,46,48,57,48,
      56,51,101,45,49,51,32,49,46,55,49,56,57,52,101,45,49,51,32,49,46,52,49,48,50,
      51,101,45,49,51,10,32,32,49,46,49,53,52,54,56,101,45,49,51,32,57,46,52,51,54,
      51,49,101,45,49,52,32,55,46,54,57,55,54,51,101,45,49,52,32,54,46,50,54,56,51,
      57,101,45,49,52,32,53,46,48,57,53,57,51,101,45,49,52,32,52,46,49,51,54,48,56,
      101,45,49,52,32,51,46,51,53,49,56,50,101,45,49,52,10,32,32,50,46,55,49,50,50,
      51,101,45,49,52,32,48,114,50,48,56,32,54,46,48,55,51,49,57,101,45,51,48,32,
      51,46,55,49,55,56,52,101,45,50,57,32,49,46,53,53,52,52,54,101,45,50,56,32,51,
      46,53,51,53,50,55,101,45,50,56,32,53,46,49,53,56,55,57,101,45,50,56,32,56,46,
      49,51,50,55,57,101,45,50,56,10,32,32,49,46,51,56,56,51,101,45,50,55,32,49,46,
      57,53,48,53,51,101,45,50,55,32,49,46,57,51,56,55,49,101,45,50,55,32,49,46,54,
      56,51,56,51,101,45,50,55,32,49,46,55,56,51,51,101,45,50,55,32,50,46,56,55,52,
      56,101,45,50,55,32,54,46,50,49,52,55,51,101,45,50,55,10,32,32,49,46,50,50,53,
      54,52,101,45,50,54,32,52,46,52,57,56,53,50,101,45,50,54,32,49,46,53,52,54,51,
      101,45,50,53,32,53,46,52,48,56,48,54,101,45,50,53,32,50,46,48,52,55,50,50,101,
      45,50,52,32,53,46,49,55,54,56,50,101,45,50,52,32,56,46,57,56,55,50,53,101,45,
      50,52,10,32,32,49,46,49,52,53,48,49,101,45,50,51,32,50,46,53,54,53,57,57,101,
      45,50,51,32,53,46,50,51,55,53,55,101,45,50,51,32,49,46,49,55,52,57,54,101,45,
      50,50,32,50,46,49,54,53,52,52,101,45,50,50,32,53,46,49,50,57,57,55,101,45,50,
      50,32,49,46,49,52,50,55,56,101,45,50,49,10,32,32,49,46,52,57,54,54,54,101,45,
      50,49,32,50,46,54,52,55,101,45,50,49,32,53,46,52,56,57,56,101,45,50,49,32,56,
      46,55,49,53,48,49,101,45,50,49,32,49,46,51,55,56,56,53,101,45,50,48,32,53,46,
      51,52,56,54,55,101,45,49,57,32,52,46,53,51,54,53,49,101,45,49,56,10,32,32,53,
      46,53,54,50,55,101,45,49,56,32,55,46,50,55,55,49,49,101,45,49,56,32,56,46,50,
      52,53,54,55,101,45,49,56,32,57,46,53,51,51,57,50,101,45,49,56,32,55,46,55,52,
      51,55,57,101,45,49,56,32,57,46,54,52,56,49,56,101,45,49,56,32,49,46,48,53,51,
      52,101,45,49,55,10,32,32,49,46,50,52,49,51,101,45,49,55,32,49,46,52,55,55,54,
      56,101,45,49,55,32,49,46,54,57,57,53,50,101,45,49,55,32,49,46,57,52,53,55,54,
      101,45,49,55,32,50,46,49,57,57,55,53,101,45,49,55,32,50,46,52,55,51,53,56,101,
      45,49,55,32,50,46,56,48,54,50,52,101,45,49,55,10,32,32,51,46,49,50,56,56,101,
      45,49,55,32,51,46,53,49,53,55,51,101,45,49,55,32,51,46,56,50,50,52,56,101,45,
      49,55,32,52,46,51,54,53,101,45,49,55,32,52,46,57,48,52,53,51,101,45,49,55,32,
      53,46,52,48,51,50,50,101,45,49,55,32,54,46,55,49,48,53,54,101,45,49,55,10,32,
      32,56,46,56,56,48,56,57,101,45,49,55,32,49,46,49,52,55,51,54,101,45,49,54,32,
      49,46,53,52,57,50,54,101,45,49,54,32,50,46,48,53,52,54,53,101,45,49,54,32,50,
      46,56,51,48,52,53,101,45,49,54,32,51,46,54,53,50,48,49,101,45,49,54,32,52,46,
      57,48,49,53,101,45,49,54,10,32,32,55,46,48,53,51,48,53,101,45,49,54,32,56,46,
      57,54,56,56,101,45,49,54,32,49,46,49,56,52,51,56,101,45,49,53,32,49,46,54,56,
      52,55,101,45,49,53,32,50,46,50,56,53,56,57,101,45,49,53,32,51,46,48,56,53,52,
      55,101,45,49,53,32,52,46,51,48,55,52,54,101,45,49,53,10,32,32,53,46,57,51,57,
      49,56,101,45,49,53,32,55,46,55,55,53,51,52,101,45,49,53,32,49,46,48,48,54,49,
      54,101,45,49,52,32,49,46,50,56,55,48,57,101,45,49,52,32,49,46,54,56,50,48,55,
      101,45,49,52,32,50,46,50,51,53,55,57,101,45,49,52,32,51,46,48,49,49,50,51,101,
      45,49,52,10,32,32,51,46,56,55,57,56,52,101,45,49,52,32,53,46,48,55,48,52,54,
      101,45,49,52,32,54,46,51,56,51,53,52,101,45,49,52,32,55,46,57,54,56,51,51,101,
      45,49,52,32,49,46,48,49,48,54,54,101,45,49,51,32,49,46,50,57,50,51,53,101,45,
      49,51,32,49,46,53,53,51,51,50,101,45,49,51,10,32,32,49,46,57,48,57,56,50,101,
      45,49,51,32,50,46,50,55,55,57,56,101,45,49,51,32,50,46,55,51,53,48,53,101,45,
      49,51,32,51,46,50,54,52,57,56,101,45,49,51,32,51,46,56,55,52,55,101,45,49,51,
      32,52,46,53,55,48,55,52,101,45,49,51,32,53,46,51,54,48,48,54,101,45,49,51,10,
      32,32,54,46,50,52,57,48,52,101,45,49,51,32,55,46,50,52,51,51,57,101,45,49,51,
      32,56,46,51,52,56,56,53,101,45,49,51,32,57,46,53,55,48,54,49,101,45,49,51,32,
      49,46,48,57,49,50,55,101,45,49,50,32,49,46,50,51,55,57,52,101,45,49,50,32,49,
      46,51,57,55,52,49,101,45,49,50,10,32,32,49,46,53,54,57,57,56,101,45,49,50,32,
      49,46,55,53,53,55,55,101,45,49,50,32,49,46,57,53,52,56,101,45,49,50,32,50,46,
      49,54,55,49,50,101,45,49,50,32,50,46,51,57,50,53,50,101,45,49,50,32,50,46,54,
      51,48,54,101,45,49,50,32,50,46,56,56,48,57,52,101,45,49,50,10,32,32,51,46,49,
      52,50,56,52,101,45,49,50,32,51,46,52,49,53,52,53,101,45,49,50,32,51,46,54,57,
      55,54,55,101,45,49,50,32,51,46,57,56,56,49,55,101,45,49,50,32,52,46,50,56,53,
      53,52,101,45,49,50,32,52,46,53,56,55,57,55,101,45,49,50,32,52,46,56,57,51,53,
      55,101,45,49,50,10,32,32,53,46,50,48,48,53,55,101,45,49,50,32,53,46,53,48,54,
      56,101,45,49,50,32,53,46,56,49,48,51,55,101,45,49,50,32,54,46,49,48,57,49,53,
      101,45,49,50,32,54,46,52,48,49,48,50,101,45,49,50,32,54,46,54,56,51,56,54,101,
      45,49,50,32,54,46,56,57,54,49,50,101,45,49,50,10,32,32,55,46,49,48,48,54,53,
      101,45,49,50,32,55,46,50,57,54,53,53,101,45,49,50,32,55,46,52,56,51,101,45,
      49,50,32,55,46,54,53,57,49,101,45,49,50,32,55,46,56,52,52,54,53,101,45,49,50,
      32,56,46,48,53,56,48,56,101,45,49,50,32,56,46,50,52,54,48,55,101,45,49,50,10,
      32,32,56,46,52,48,55,101,45,49,50,32,56,46,53,52,48,48,53,101,45,49,50,32,56,
      46,54,52,52,51,101,45,49,50,32,56,46,55,49,57,52,55,101,45,49,50,32,56,46,55,
      54,53,56,53,101,45,49,50,32,56,46,55,56,51,54,57,101,45,49,50,32,56,46,55,55,
      51,51,57,101,45,49,50,10,32,32,56,46,55,51,53,54,55,101,45,49,50,32,56,46,54,
      55,50,48,50,101,45,49,50,32,56,46,53,56,51,55,53,101,45,49,50,32,56,46,52,55,
      50,49,56,101,45,49,50,32,56,46,51,51,57,48,56,101,45,49,50,32,56,46,49,56,54,
      49,101,45,49,50,32,56,46,48,49,52,55,57,101,45,49,50,10,32,32,55,46,56,50,55,
      49,52,101,45,49,50,32,55,46,54,50,53,49,55,101,45,49,50,32,55,46,52,49,48,54,
      56,101,45,49,50,32,55,46,49,56,53,53,52,101,45,49,50,32,54,46,57,53,49,53,52,
      101,45,49,50,32,54,46,55,49,48,52,54,101,45,49,50,32,54,46,52,54,51,57,55,101,
      45,49,50,10,32,32,54,46,50,49,51,53,53,101,45,49,50,32,53,46,57,54,48,55,52,
      101,45,49,50,32,53,46,55,48,54,56,50,101,45,49,50,32,53,46,52,53,51,50,52,101,
      45,49,50,32,53,46,50,48,49,50,55,101,45,49,50,32,52,46,57,53,50,49,53,101,45,
      49,50,32,52,46,55,48,54,56,51,101,45,49,50,10,32,32,52,46,52,54,54,49,56,101,
      45,49,50,32,52,46,50,51,48,56,55,101,45,49,50,32,52,46,48,48,49,54,49,101,45,
      49,50,32,51,46,55,55,56,57,54,101,45,49,50,32,51,46,53,54,51,51,51,101,45,49,
      50,32,51,46,51,53,53,49,49,101,45,49,50,32,50,46,57,54,49,56,57,101,45,49,50,
      10,32,32,50,46,54,48,48,55,101,45,49,50,32,50,46,50,55,49,57,50,101,45,49,50,
      32,49,46,57,55,53,48,52,101,45,49,50,32,49,46,55,48,57,48,50,101,45,49,50,32,
      49,46,52,55,50,51,57,101,45,49,50,32,49,46,50,54,51,50,53,101,45,49,50,32,49,
      46,48,55,57,53,55,101,45,49,50,10,32,32,57,46,49,57,49,51,57,101,45,49,51,32,
      55,46,55,57,55,54,53,101,45,49,51,32,54,46,53,57,50,57,50,101,45,49,51,32,53,
      46,53,53,54,51,51,101,45,49,51,32,52,46,54,54,56,51,49,101,45,49,51,32,51,46,
      57,49,48,54,49,101,45,49,51,32,51,46,50,54,54,52,54,101,45,49,51,10,32,32,50,
      46,55,50,49,48,50,101,45,49,51,32,50,46,50,54,48,56,56,101,45,49,51,32,49,46,
      56,55,51,57,54,101,45,49,51,32,49,46,53,52,57,53,56,101,45,49,51,32,49,46,50,
      55,56,52,56,101,45,49,51,32,49,46,48,53,50,53,51,101,45,49,51,32,56,46,54,52,
      55,50,52,101,45,49,52,10,32,32,55,46,48,57,48,49,56,101,45,49,52,32,53,46,56,
      48,50,50,56,101,45,49,52,32,52,46,55,51,57,54,56,101,45,49,52,32,51,46,56,54,
      52,56,55,101,45,49,52,32,51,46,49,52,54,49,55,101,45,49,52,32,50,46,53,53,54,
      57,57,101,45,49,52,32,50,46,48,55,52,57,49,101,45,49,52,10,32,32,48,114,50,
      48,57,32,50,46,57,48,49,52,49,101,45,51,48,32,49,46,50,55,55,49,101,45,50,57,
      32,50,46,57,56,56,53,56,101,45,50,57,32,52,46,52,48,54,57,52,101,45,50,57,32,
      55,46,48,51,50,50,49,101,45,50,57,32,49,46,50,50,49,50,54,101,45,50,56,32,49,
      46,55,51,52,53,49,101,45,50,56,10,32,32,49,46,55,49,56,54,53,101,45,50,56,32,
      49,46,52,56,49,49,54,101,45,50,56,32,49,46,53,54,56,54,54,101,45,50,56,32,50,
      46,53,55,51,51,52,101,45,50,56,32,53,46,55,51,50,51,53,101,45,50,56,32,49,46,
      49,53,56,54,54,101,45,50,55,32,52,46,52,53,57,51,54,101,45,50,55,10,32,32,49,
      46,54,48,52,54,101,45,50,54,32,53,46,56,56,51,50,51,101,45,50,54,32,50,46,51,
      52,51,52,56,101,45,50,53,32,54,46,49,52,49,48,53,101,45,50,53,32,49,46,48,56,
      56,49,56,101,45,50,52,32,49,46,51,57,55,52,52,101,45,50,52,32,51,46,50,51,49,
      51,54,101,45,50,52,10,32,32,54,46,55,56,48,54,101,45,50,52,32,49,46,53,54,57,
      54,56,101,45,50,51,32,50,46,57,54,50,55,57,101,45,50,51,32,55,46,50,54,51,53,
      49,101,45,50,51,32,49,46,54,55,51,51,53,101,45,50,50,32,50,46,50,50,48,57,53,
      101,45,50,50,32,52,46,48,52,53,54,52,101,45,50,50,10,32,32,56,46,55,50,54,52,
      53,101,45,50,50,32,49,46,52,50,49,49,49,101,45,50,49,32,50,46,51,48,55,49,54,
      101,45,50,49,32,49,46,49,53,48,56,54,101,45,49,57,32,49,46,49,53,52,49,57,101,
      45,49,56,32,49,46,52,53,49,52,50,101,45,49,56,32,49,46,57,54,50,52,55,101,45,
      49,56,10,32,32,50,46,50,53,55,51,55,101,45,49,56,32,50,46,54,53,51,48,53,101,
      45,49,56,32,50,46,48,56,51,57,50,101,45,49,56,32,50,46,54,54,53,56,56,101,45,
      49,56,32,50,46,57,52,49,55,57,101,45,49,56,32,51,46,53,51,54,54,55,101,45,49,
      56,32,52,46,51,48,49,54,52,101,45,49,56,10,32,32,53,46,48,51,52,50,57,101,45,
      49,56,32,53,46,56,54,49,57,57,101,45,49,56,32,54,46,55,50,57,56,54,101,45,49,
      56,32,55,46,54,55,57,55,54,101,45,49,56,32,56,46,56,53,49,54,52,101,45,49,56,
      32,49,46,48,48,48,52,56,101,45,49,55,32,49,46,49,52,48,55,52,101,45,49,55,10,
      32,32,49,46,50,53,51,50,56,101,45,49,55,32,49,46,52,53,52,57,50,101,45,49,55,
      32,49,46,54,53,49,48,55,101,45,49,55,32,49,46,56,52,48,53,54,101,45,49,55,32,
      50,46,51,52,54,50,53,101,45,49,55,32,51,46,50,48,55,54,50,101,45,49,55,32,52,
      46,50,54,50,51,51,101,45,49,55,10,32,32,53,46,57,51,50,50,50,101,45,49,55,32,
      56,46,48,54,54,51,101,45,49,55,32,49,46,49,51,55,51,101,45,49,54,32,49,46,52,
      56,56,51,51,101,45,49,54,32,50,46,48,56,49,50,101,45,49,54,32,51,46,48,49,48,
      51,49,101,45,49,54,32,51,46,56,49,53,52,52,101,45,49,54,10,32,32,53,46,48,53,
      48,56,53,101,45,49,54,32,55,46,48,56,56,56,49,101,45,49,54,32,57,46,53,49,50,
      51,57,101,45,49,54,32,49,46,50,55,50,57,50,101,45,49,53,32,49,46,55,54,54,56,
      50,101,45,49,53,32,50,46,52,51,51,51,55,101,45,49,53,32,51,46,49,57,51,51,52,
      101,45,49,53,10,32,32,52,46,49,53,51,57,53,101,45,49,53,32,53,46,51,53,49,48,
      57,101,45,49,53,32,55,46,48,54,48,50,51,101,45,49,53,32,57,46,52,57,52,52,52,
      101,45,49,53,32,49,46,50,57,53,50,57,101,45,49,52,32,49,46,54,56,54,56,57,101,
      45,49,52,32,50,46,50,50,56,49,50,101,45,49,52,10,32,32,50,46,56,50,56,51,56,
      101,45,49,52,32,51,46,53,53,53,50,53,101,45,49,52,32,52,46,53,51,56,52,50,101,
      45,49,52,32,53,46,56,51,53,57,53,101,45,49,52,32,55,46,48,52,48,53,101,45,49,
      52,32,56,46,54,57,49,48,53,101,45,49,52,32,49,46,48,52,48,50,53,101,45,49,51,
      10,32,32,49,46,50,53,51,55,57,101,45,49,51,32,49,46,53,48,50,56,52,101,45,49,
      51,32,49,46,55,57,49,48,56,101,45,49,51,32,50,46,49,50,50,52,101,45,49,51,32,
      50,46,53,48,48,57,52,101,45,49,51,32,50,46,57,51,48,52,52,101,45,49,51,32,51,
      46,52,49,52,53,52,101,45,49,51,10,32,32,51,46,57,53,54,53,55,101,45,49,51,32,
      52,46,53,53,57,55,54,101,45,49,51,32,53,46,50,50,55,48,53,101,45,49,51,32,53,
      46,57,54,49,50,55,101,45,49,51,32,54,46,55,54,52,51,57,101,45,49,51,32,55,46,
      54,51,56,54,54,101,45,49,51,32,56,46,53,56,53,57,49,101,45,49,51,10,32,32,57,
      46,54,48,54,57,50,101,45,49,51,32,49,46,48,55,48,50,54,101,45,49,50,32,49,46,
      49,56,55,51,50,101,45,49,50,32,49,46,51,49,49,56,101,45,49,50,32,49,46,52,52,
      51,52,56,101,45,49,50,32,49,46,53,56,50,49,51,101,45,49,50,32,49,46,55,50,55,
      51,56,101,45,49,50,10,32,32,49,46,56,55,56,55,56,101,45,49,50,32,50,46,48,51,
      53,55,55,101,45,49,50,32,50,46,49,57,55,55,53,101,45,49,50,32,50,46,51,54,52,
      48,50,101,45,49,50,32,50,46,53,51,51,55,54,101,45,49,50,32,50,46,55,48,54,48,
      51,101,45,49,50,32,50,46,56,55,57,55,51,101,45,49,50,10,32,32,51,46,48,53,51,
      56,57,101,45,49,50,32,51,46,50,50,55,51,101,45,49,50,32,51,46,51,57,56,54,55,
      101,45,49,50,32,51,46,53,54,54,57,52,101,45,49,50,32,51,46,54,57,52,57,54,101,
      45,49,50,32,51,46,56,49,57,55,54,101,45,49,50,32,51,46,57,52,48,56,55,101,45,
      49,50,10,32,32,52,46,48,53,55,56,49,101,45,49,50,32,52,46,49,55,48,48,56,101,
      45,49,50,32,52,46,50,57,48,53,56,101,45,49,50,32,52,46,52,51,50,55,50,101,45,
      49,50,32,52,46,53,54,50,48,57,101,45,49,50,32,52,46,54,55,55,53,54,101,45,49,
      50,32,52,46,55,55,56,53,49,101,45,49,50,10,32,32,52,46,56,54,52,51,101,45,49,
      50,32,52,46,57,51,52,51,50,101,45,49,50,32,52,46,57,56,56,51,54,101,45,49,50,
      32,53,46,48,50,54,51,50,101,45,49,50,32,53,46,48,52,56,49,51,101,45,49,50,32,
      53,46,48,53,51,56,55,101,45,49,50,32,53,46,48,52,52,49,101,45,49,50,10,32,32,
      53,46,48,49,57,50,101,45,49,50,32,52,46,57,55,57,55,53,101,45,49,50,32,52,46,
      57,50,54,52,54,101,45,49,50,32,52,46,56,54,48,51,54,101,45,49,50,32,52,46,55,
      56,50,51,49,101,45,49,50,32,52,46,54,57,51,50,57,101,45,49,50,32,52,46,53,57,
      52,50,54,101,45,49,50,10,32,32,52,46,52,56,54,50,52,101,45,49,50,32,52,46,51,
      55,48,50,55,101,45,49,50,32,52,46,50,52,55,52,101,45,49,50,32,52,46,49,49,56,
      55,49,101,45,49,50,32,51,46,57,56,53,49,56,101,45,49,50,32,51,46,56,52,55,55,
      57,101,45,49,50,32,51,46,55,48,55,52,53,101,45,49,50,10,32,32,51,46,53,54,52,
      57,56,101,45,49,50,32,51,46,52,50,49,49,54,101,45,49,50,32,51,46,50,55,54,55,
      57,101,45,49,50,32,51,46,49,51,50,54,51,101,45,49,50,32,50,46,57,56,57,52,101,
      45,49,50,32,50,46,56,52,55,54,55,101,45,49,50,32,50,46,55,48,56,48,49,101,45,
      49,50,10,32,32,50,46,53,55,48,57,53,101,45,49,50,32,50,46,52,51,54,57,49,101,
      45,49,50,32,50,46,51,48,54,50,53,101,45,49,50,32,50,46,49,55,57,50,57,101,45,
      49,50,32,49,46,57,51,55,51,55,101,45,49,50,32,49,46,55,49,50,54,51,101,45,49,
      50,32,49,46,53,48,53,57,50,101,45,49,50,10,32,32,49,46,51,49,55,52,56,101,45,
      49,50,32,49,46,49,52,55,48,56,101,45,49,50,32,57,46,57,52,49,55,49,101,45,49,
      51,32,56,46,53,55,57,50,49,101,45,49,51,32,55,46,51,55,50,56,49,101,45,49,51,
      32,54,46,51,49,49,50,54,101,45,49,51,32,53,46,51,56,50,52,55,101,45,49,51,10,
      32,32,52,46,53,55,52,49,53,101,45,49,51,32,51,46,56,55,52,48,50,101,45,49,51,
      32,51,46,50,55,48,52,53,101,45,49,51,32,50,46,55,53,50,51,57,101,45,49,51,32,
      50,46,51,48,57,52,50,101,45,49,51,32,49,46,57,51,50,50,57,101,45,49,51,32,49,
      46,54,49,50,52,49,101,45,49,51,10,32,32,49,46,51,52,50,48,51,101,45,49,51,32,
      49,46,49,49,52,50,49,101,45,49,51,32,57,46,50,50,56,57,52,101,45,49,52,32,55,
      46,54,50,54,57,50,101,45,49,52,32,54,46,50,56,57,51,56,101,45,49,52,32,53,46,
      49,55,53,54,101,45,49,52,32,52,46,50,53,48,53,51,101,45,49,52,10,32,32,51,46,
      52,56,52,48,57,101,45,49,52,32,50,46,56,53,48,53,54,101,45,49,52,32,50,46,51,
      50,56,49,50,101,45,49,52,32,49,46,56,57,56,49,57,101,45,49,52,32,49,46,53,52,
      53,49,51,101,45,49,52,32,48,114,50,49,48,32,50,46,51,57,53,57,50,101,45,51,
      48,32,53,46,55,49,51,55,55,101,45,51,48,10,32,32,56,46,52,57,51,50,55,101,45,
      51,48,32,49,46,51,54,56,49,52,101,45,50,57,32,50,46,52,48,51,56,101,45,50,57,
      32,51,46,52,51,53,101,45,50,57,32,51,46,51,57,57,52,52,101,45,50,57,32,50,46,
      57,49,53,50,56,101,45,50,57,32,51,46,48,56,55,52,57,101,45,50,57,10,32,32,53,
      46,49,48,57,52,55,101,45,50,57,32,49,46,49,53,53,54,55,101,45,50,56,32,50,46,
      51,56,49,53,56,101,45,50,56,32,57,46,52,55,51,48,52,101,45,50,56,32,51,46,53,
      49,50,56,53,101,45,50,55,32,49,46,51,50,56,55,55,101,45,50,54,32,53,46,52,55,
      51,56,56,101,45,50,54,10,32,32,49,46,52,54,56,53,53,101,45,50,53,32,50,46,54,
      51,55,53,55,101,45,50,53,32,51,46,52,48,52,57,55,101,45,50,53,32,56,46,48,50,
      55,50,53,101,45,50,53,32,49,46,55,49,51,52,49,101,45,50,52,32,52,46,48,52,52,
      49,53,101,45,50,52,32,55,46,55,52,54,55,52,101,45,50,52,10,32,32,49,46,57,51,
      57,55,54,101,45,50,51,32,52,46,53,54,52,49,50,101,45,50,51,32,54,46,49,49,48,
      56,54,101,45,50,51,32,49,46,49,51,52,56,54,101,45,50,50,32,50,46,53,49,49,53,
      55,101,45,50,50,32,52,46,49,53,57,48,55,101,45,50,50,32,54,46,56,54,55,48,56,
      101,45,50,50,10,32,32,51,46,57,57,49,55,51,101,45,50,48,32,52,46,52,51,55,49,
      56,101,45,49,57,32,53,46,54,55,50,49,52,101,45,49,57,32,55,46,56,51,54,56,49,
      101,45,49,57,32,57,46,49,48,51,55,55,101,45,49,57,32,49,46,48,56,49,53,101,
      45,49,56,32,56,46,51,49,48,50,57,101,45,49,57,10,32,32,49,46,48,56,49,54,55,
      101,45,49,56,32,49,46,50,48,50,48,51,101,45,49,56,32,49,46,52,54,52,51,54,101,
      45,49,56,32,49,46,56,48,54,54,53,101,45,49,56,32,50,46,49,51,57,48,52,101,45,
      49,56,32,50,46,53,49,57,48,53,101,45,49,56,32,50,46,57,50,50,48,52,101,45,49,
      56,10,32,32,51,46,51,54,55,56,52,101,45,49,56,32,51,46,57,50,51,55,50,101,45,
      49,56,32,52,46,52,55,54,51,56,101,45,49,56,32,53,46,49,53,53,49,53,101,45,49,
      56,32,53,46,55,48,52,52,56,101,45,49,56,32,54,46,54,57,56,49,56,101,45,49,56,
      32,55,46,54,53,51,49,53,101,45,49,56,10,32,32,56,46,54,48,50,56,56,101,45,49,
      56,32,49,46,49,49,55,49,52,101,45,49,55,32,49,46,53,54,51,56,54,101,45,49,55,
      32,50,46,49,50,50,48,49,101,45,49,55,32,51,46,48,50,50,55,49,101,45,49,55,32,
      52,46,49,57,51,50,54,101,45,49,55,32,54,46,48,51,51,48,52,101,45,49,55,10,32,
      32,56,46,48,48,52,55,52,101,45,49,55,32,49,46,49,53,57,56,57,101,45,49,54,32,
      49,46,54,57,49,101,45,49,54,32,50,46,49,53,49,52,51,101,45,49,54,32,50,46,56,
      55,54,56,101,45,49,54,32,52,46,48,50,49,51,55,101,45,49,54,32,53,46,51,54,55,
      54,57,101,45,49,54,10,32,32,55,46,49,52,51,51,101,45,49,54,32,57,46,56,54,51,
      55,55,101,45,49,54,32,49,46,51,53,52,51,51,101,45,49,53,32,49,46,55,55,54,49,
      55,101,45,49,53,32,50,46,51,49,51,50,53,101,45,49,53,32,50,46,57,56,55,56,53,
      101,45,49,53,32,51,46,57,53,57,57,55,101,45,49,53,10,32,32,53,46,51,53,56,57,
      54,101,45,49,53,32,55,46,51,54,55,53,52,101,45,49,53,32,57,46,54,54,49,57,52,
      101,45,49,53,32,49,46,50,56,53,53,50,101,45,49,52,32,49,46,54,52,49,52,101,
      45,49,52,32,50,46,48,55,51,54,51,101,45,49,52,32,50,46,54,53,57,54,53,101,45,
      49,52,10,32,32,51,46,52,51,52,53,55,101,45,49,52,32,52,46,49,53,53,49,51,101,
      45,49,52,32,53,46,49,52,52,50,54,101,45,49,52,32,54,46,49,55,49,57,53,101,45,
      49,52,32,55,46,52,53,55,51,55,101,45,49,52,32,56,46,57,54,48,57,54,101,45,49,
      52,32,49,46,48,55,48,55,49,101,45,49,51,10,32,32,49,46,50,55,50,49,52,101,45,
      49,51,32,49,46,53,48,51,50,57,101,45,49,51,32,49,46,55,54,54,55,57,101,45,49,
      51,32,50,46,48,54,53,49,50,101,45,49,51,32,50,46,52,48,48,55,56,101,45,49,51,
      32,50,46,55,55,54,48,56,101,45,49,51,32,51,46,49,57,51,50,49,101,45,49,51,10,
      32,32,51,46,54,53,52,49,52,101,45,49,51,32,52,46,49,54,48,53,55,101,45,49,51,
      32,52,46,55,49,52,50,55,101,45,49,51,32,53,46,51,49,54,53,53,101,45,49,51,32,
      53,46,57,54,56,53,54,101,45,49,51,32,54,46,54,55,49,49,101,45,49,51,32,55,46,
      52,50,52,50,54,101,45,49,51,10,32,32,56,46,50,50,56,50,57,101,45,49,51,32,57,
      46,48,56,50,50,53,101,45,49,51,32,57,46,57,56,53,48,55,101,45,49,51,32,49,46,
      48,57,51,53,49,101,45,49,50,32,49,46,49,57,51,101,45,49,50,32,49,46,50,57,54,
      55,50,101,45,49,50,32,49,46,52,48,52,50,53,101,45,49,50,10,32,32,49,46,53,49,
      53,50,51,101,45,49,50,32,49,46,54,50,57,49,54,101,45,49,50,32,49,46,55,52,53,
      52,53,101,45,49,50,32,49,46,56,54,51,52,55,101,45,49,50,32,49,46,57,56,50,53,
      49,101,45,49,50,32,50,46,49,48,49,56,52,101,45,49,50,32,50,46,50,50,48,55,101,
      45,49,50,10,32,32,50,46,51,51,56,51,49,101,45,49,50,32,50,46,52,50,56,52,55,
      101,45,49,50,32,50,46,53,49,54,57,57,101,45,49,50,32,50,46,54,48,51,53,55,101,
      45,49,50,32,50,46,54,56,55,56,52,101,45,49,50,32,50,46,55,54,57,52,52,101,45,
      49,50,32,50,46,56,53,55,57,50,101,45,49,50,10,32,32,50,46,57,54,51,54,55,101,
      45,49,50,32,51,46,48,54,49,54,101,45,49,50,32,51,46,49,53,48,57,56,101,45,49,
      50,32,51,46,50,51,49,49,101,45,49,50,32,51,46,51,48,49,51,57,101,45,49,50,32,
      51,46,51,54,49,51,57,101,45,49,50,32,51,46,52,49,48,56,49,101,45,49,50,10,32,
      32,51,46,52,52,57,49,55,101,45,49,50,32,51,46,52,55,54,52,57,101,45,49,50,32,
      51,46,52,57,50,56,101,45,49,50,32,51,46,52,57,56,51,49,101,45,49,50,32,51,46,
      52,57,51,49,51,101,45,49,50,32,51,46,52,55,55,54,52,101,45,49,50,32,51,46,52,
      53,50,50,55,101,45,49,50,10,32,32,51,46,52,49,55,53,101,45,49,50,32,51,46,51,
      55,51,57,50,101,45,49,50,32,51,46,51,50,50,48,53,101,45,49,50,32,51,46,50,54,
      50,52,56,101,45,49,50,32,51,46,49,57,53,57,56,101,45,49,50,32,51,46,49,50,51,
      50,101,45,49,50,32,51,46,48,52,52,56,101,45,49,50,10,32,32,50,46,57,54,49,53,
      50,101,45,49,50,32,50,46,56,55,52,48,52,101,45,49,50,32,50,46,55,56,51,48,53,
      101,45,49,50,32,50,46,54,56,57,49,56,101,45,49,50,32,50,46,53,57,51,48,50,101,
      45,49,50,32,50,46,52,57,53,50,49,101,45,49,50,32,50,46,51,57,54,52,50,101,45,
      49,50,10,32,32,50,46,50,57,55,49,56,101,45,49,50,32,50,46,49,57,56,48,49,101,
      45,49,50,32,50,46,48,57,57,51,52,101,45,49,50,32,50,46,48,48,49,54,50,101,45,
      49,50,32,49,46,57,48,53,50,49,101,45,49,50,32,49,46,56,49,48,52,52,101,45,49,
      50,32,49,46,55,49,55,54,51,101,45,49,50,10,32,32,49,46,54,50,55,48,53,101,45,
      49,50,32,49,46,52,53,51,51,56,101,45,49,50,32,49,46,50,57,48,55,52,101,45,49,
      50,32,49,46,49,51,57,57,57,101,45,49,50,32,49,46,48,48,49,54,101,45,49,50,32,
      56,46,55,53,54,56,56,101,45,49,51,32,55,46,54,50,48,49,57,101,45,49,51,10,32,
      32,54,46,54,48,49,53,101,45,49,51,32,53,46,54,57,52,55,51,101,45,49,51,32,52,
      46,56,57,50,54,54,101,45,49,51,32,52,46,49,56,55,52,53,101,45,49,51,32,51,46,
      53,55,48,54,52,101,45,49,51,32,51,46,48,51,52,48,53,101,45,49,51,32,50,46,53,
      54,57,53,57,101,45,49,51,10,32,32,50,46,49,54,57,51,50,101,45,49,51,32,49,46,
      56,50,53,56,55,101,45,49,51,32,49,46,53,51,50,51,51,101,45,49,51,32,49,46,50,
      56,50,51,56,101,45,49,51,32,49,46,48,55,48,51,53,101,45,49,51,32,56,46,57,49,
      49,48,54,101,45,49,52,32,55,46,52,48,48,56,50,101,45,49,52,10,32,32,54,46,49,
      51,50,50,51,101,45,49,52,32,53,46,48,54,57,55,51,101,45,49,52,32,52,46,49,56,
      50,50,57,101,45,49,52,32,51,46,52,52,51,48,54,101,45,49,52,32,50,46,56,50,56,
      56,50,101,45,49,52,32,50,46,51,49,57,55,53,101,45,49,52,32,49,46,56,57,56,56,
      50,101,45,49,52,10,32,32,49,46,53,53,49,53,51,101,45,49,52,32,49,46,50,54,53,
      54,101,45,49,52,32,48,114,50,49,50,32,56,46,53,48,51,53,54,101,45,51,49,32,
      49,46,51,56,55,55,55,101,45,51,48,32,50,46,52,55,55,55,101,45,51,48,32,51,46,
      53,55,51,57,53,101,45,51,48,32,51,46,53,50,56,53,101,45,51,48,10,32,32,51,46,
      48,48,52,55,56,101,45,51,48,32,51,46,49,56,50,50,55,101,45,51,48,32,53,46,51,
      52,51,50,55,101,45,51,48,32,49,46,50,51,57,49,54,101,45,50,57,32,50,46,54,48,
      50,53,57,101,45,50,57,32,49,46,48,55,57,50,50,101,45,50,56,32,52,46,49,57,50,
      54,54,101,45,50,56,10,32,32,49,46,54,53,53,49,49,101,45,50,55,32,55,46,49,52,
      48,52,49,101,45,50,55,32,49,46,57,55,56,52,55,101,45,50,54,32,51,46,54,49,57,
      55,52,101,45,50,54,32,52,46,55,48,54,53,52,101,45,50,54,32,49,46,49,51,56,57,
      101,45,50,53,32,50,46,52,56,55,53,52,101,45,50,53,10,32,32,54,46,48,50,54,56,
      54,101,45,50,53,32,49,46,49,55,55,54,52,101,45,50,52,32,51,46,48,51,52,48,50,
      101,45,50,52,32,55,46,51,52,53,56,55,101,45,50,52,32,57,46,57,53,51,51,50,101,
      45,50,52,32,49,46,56,57,55,56,55,101,45,50,51,32,52,46,51,53,48,49,50,101,45,
      50,51,10,32,32,55,46,51,54,57,55,54,101,45,50,51,32,49,46,50,52,53,50,51,101,
      45,50,50,32,56,46,56,48,57,55,56,101,45,50,49,32,49,46,49,49,56,56,56,101,45,
      49,57,32,49,46,52,54,50,52,49,101,45,49,57,32,50,46,48,56,48,54,51,101,45,49,
      57,32,50,46,52,52,57,55,51,101,45,49,57,10,32,32,50,46,57,53,51,49,53,101,45,
      49,57,32,50,46,50,48,50,49,55,101,45,49,57,32,50,46,57,51,52,56,52,101,45,49,
      57,32,51,46,50,57,50,55,53,101,45,49,57,32,52,46,48,56,52,54,55,101,45,49,57,
      32,53,46,49,51,57,48,54,101,45,49,57,32,54,46,49,56,50,48,55,101,45,49,57,10,
      32,32,55,46,51,57,52,55,56,101,45,49,57,32,56,46,55,48,48,57,56,101,45,49,57,
      32,49,46,48,49,54,55,53,101,45,49,56,32,49,46,50,48,50,52,51,101,45,49,56,32,
      49,46,51,56,57,55,51,101,45,49,56,32,49,46,54,50,51,48,56,101,45,49,56,32,49,
      46,56,49,52,50,55,101,45,49,56,10,32,32,50,46,49,54,52,56,55,101,45,49,56,32,
      50,46,52,57,55,48,52,101,45,49,56,32,50,46,56,52,48,49,55,101,45,49,56,32,51,
      46,55,56,54,57,57,101,45,49,56,32,53,46,52,56,52,53,57,101,45,49,56,32,55,46,
      54,55,52,53,49,101,45,49,56,32,49,46,49,51,50,49,56,101,45,49,55,10,32,32,49,
      46,54,50,48,51,50,101,45,49,55,32,50,46,52,48,56,52,56,101,45,49,55,32,51,46,
      50,55,48,55,51,101,45,49,55,32,52,46,57,56,54,57,56,101,45,49,55,32,55,46,52,
      48,48,55,52,101,45,49,55,32,57,46,53,51,51,53,52,101,45,49,55,32,49,46,51,48,
      57,49,50,101,45,49,54,10,32,32,49,46,56,51,51,55,52,101,45,49,54,32,50,46,52,
      52,49,51,101,45,49,54,32,51,46,50,51,50,54,54,101,45,49,54,32,52,46,52,51,51,
      55,51,101,45,49,54,32,54,46,48,53,50,51,56,101,45,49,54,32,55,46,57,49,49,53,
      53,101,45,49,54,32,49,46,48,50,57,49,57,101,45,49,53,10,32,32,49,46,51,51,48,
      51,54,101,45,49,53,32,49,46,55,54,56,53,56,101,45,49,53,32,50,46,52,48,55,48,
      52,101,45,49,53,32,51,46,51,51,55,48,56,101,45,49,53,32,52,46,52,49,52,49,54,
      101,45,49,53,32,53,46,57,51,48,54,49,101,45,49,53,32,55,46,54,51,55,48,56,101,
      45,49,53,10,32,32,57,46,55,50,50,54,52,101,45,49,53,32,49,46,50,53,54,53,101,
      45,49,52,32,49,46,54,51,52,49,50,101,45,49,52,32,49,46,57,56,54,49,52,101,45,
      49,52,32,50,46,52,55,48,53,57,101,45,49,52,32,50,46,57,55,53,48,53,101,45,49,
      52,32,51,46,54,48,55,54,54,101,45,49,52,10,32,32,52,46,51,53,48,48,52,101,45,
      49,52,32,53,46,50,49,54,49,54,101,45,49,52,32,54,46,50,50,48,56,49,101,45,49,
      52,32,55,46,51,55,57,56,50,101,45,49,52,32,56,46,55,48,56,50,101,45,49,52,32,
      49,46,48,50,50,49,53,101,45,49,51,32,49,46,49,57,51,52,56,101,45,49,51,10,32,
      32,49,46,51,56,54,50,54,101,45,49,51,32,49,46,54,48,49,56,49,101,45,49,51,32,
      49,46,56,52,49,53,51,101,45,49,51,32,50,46,49,48,54,53,53,101,45,49,51,32,50,
      46,51,57,56,48,51,101,45,49,51,32,50,46,55,49,54,57,56,101,45,49,51,32,51,46,
      48,54,52,49,52,101,45,49,51,10,32,32,51,46,52,52,48,50,56,101,45,49,51,32,51,
      46,56,52,53,54,55,101,45,49,51,32,52,46,50,56,48,55,50,101,45,49,51,32,52,46,
      55,52,53,52,53,101,45,49,51,32,53,46,50,51,57,54,55,101,45,49,51,32,53,46,55,
      54,50,56,54,101,45,49,51,32,54,46,51,49,52,51,54,101,45,49,51,10,32,32,54,46,
      56,57,51,101,45,49,51,32,55,46,52,57,55,48,50,101,45,49,51,32,56,46,49,50,52,
      52,56,101,45,49,51,32,56,46,55,55,51,48,51,101,45,49,51,32,57,46,52,51,57,55,
      57,101,45,49,51,32,49,46,48,49,50,49,56,101,45,49,50,32,49,46,48,56,49,53,54,
      101,45,49,50,10,32,32,49,46,49,53,49,55,51,101,45,49,50,32,49,46,50,50,50,51,
      49,101,45,49,50,32,49,46,50,57,50,56,56,101,45,49,50,32,49,46,51,52,55,52,55,
      101,45,49,50,32,49,46,52,48,49,53,55,101,45,49,50,32,49,46,52,53,52,57,56,101,
      45,49,50,32,49,46,53,48,55,52,52,101,45,49,50,10,32,32,49,46,53,53,56,55,55,
      101,45,49,50,32,49,46,54,49,53,48,54,101,45,49,50,32,49,46,54,56,51,51,52,101,
      45,49,50,32,49,46,55,52,55,56,54,101,45,49,50,32,49,46,56,48,56,49,49,101,45,
      49,50,32,49,46,56,54,51,53,54,101,45,49,50,32,49,46,57,49,51,55,53,101,45,49,
      50,10,32,32,49,46,57,53,56,51,53,101,45,49,50,32,49,46,57,57,55,48,55,101,45,
      49,50,32,50,46,48,50,57,54,54,101,45,49,50,32,50,46,48,53,53,57,55,101,45,49,
      50,32,50,46,48,55,53,56,57,101,45,49,50,32,50,46,48,56,57,51,55,101,45,49,50,
      32,50,46,48,57,54,52,54,101,45,49,50,10,32,32,50,46,48,57,55,49,57,101,45,49,
      50,32,50,46,48,57,49,55,51,101,45,49,50,32,50,46,48,56,48,51,50,101,45,49,50,
      32,50,46,48,54,51,50,53,101,45,49,50,32,50,46,48,52,48,55,57,101,45,49,50,32,
      50,46,48,49,51,50,52,101,45,49,50,32,49,46,57,56,48,57,54,101,45,49,50,10,32,
      32,49,46,57,52,52,51,101,45,49,50,32,49,46,57,48,51,54,56,101,45,49,50,32,49,
      46,56,53,57,53,51,101,45,49,50,32,49,46,56,49,50,50,50,101,45,49,50,32,49,46,
      55,54,50,49,52,101,45,49,50,32,49,46,55,48,57,54,56,101,45,49,50,32,49,46,54,
      53,53,50,52,101,45,49,50,10,32,32,49,46,53,57,57,50,101,45,49,50,32,49,46,53,
      52,49,57,49,101,45,49,50,32,49,46,52,56,51,55,101,45,49,50,32,49,46,52,50,52,
      57,56,101,45,49,50,32,49,46,51,54,54,48,54,101,45,49,50,32,49,46,51,48,55,50,
      49,101,45,49,50,32,49,46,50,52,56,54,57,101,45,49,50,10,32,32,49,46,49,57,48,
      55,54,101,45,49,50,32,49,46,49,51,51,54,51,101,45,49,50,32,49,46,48,55,55,52,
      57,101,45,49,50,32,57,46,54,56,56,53,50,101,45,49,51,32,56,46,54,53,57,55,49,
      101,45,49,51,32,55,46,54,57,54,49,56,101,45,49,51,32,54,46,56,48,50,57,57,101,
      45,49,51,10,32,32,53,46,57,56,50,55,51,101,45,49,51,32,53,46,50,51,53,55,50,
      101,45,49,51,32,52,46,53,54,48,54,57,101,45,49,51,32,51,46,57,53,53,49,101,
      45,49,51,32,51,46,52,49,53,53,54,101,45,49,51,32,50,46,57,51,55,56,55,101,45,
      49,51,32,50,46,53,49,55,51,54,101,45,49,51,10,32,32,50,46,49,52,57,50,53,101,
      45,49,51,32,49,46,56,50,56,54,49,101,45,49,51,32,49,46,53,53,48,54,56,101,45,
      49,51,32,49,46,51,49,48,56,51,101,45,49,51,32,49,46,49,48,52,54,57,101,45,49,
      51,32,57,46,50,56,50,55,56,101,45,49,52,32,55,46,55,55,56,56,57,101,45,49,52,
      10,32,32,54,46,53,48,49,52,53,101,45,49,52,32,53,46,52,50,48,48,49,101,45,49,
      52,32,52,46,53,48,55,52,57,101,45,49,52,32,51,46,55,51,57,55,54,101,45,49,52,
      32,51,46,48,57,53,56,54,101,45,49,52,32,50,46,53,53,55,51,101,45,49,52,32,50,
      46,49,48,56,48,56,101,45,49,52,10,32,32,49,46,55,51,52,50,56,101,45,49,52,32,
      49,46,52,50,52,48,50,101,45,49,52,32,49,46,49,54,55,49,101,45,49,52,32,57,46,
      53,52,56,54,49,101,45,49,53,32,48,114,50,50,48,32,49,46,51,52,48,49,51,101,
      45,51,48,32,50,46,56,55,55,50,54,101,45,51,48,32,49,46,50,52,52,48,57,101,45,
      50,57,10,32,32,53,46,48,51,48,50,49,101,45,50,57,32,50,46,48,55,51,54,50,101,
      45,50,56,32,57,46,51,53,56,53,54,101,45,50,56,32,50,46,54,55,54,51,53,101,45,
      50,55,32,52,46,57,56,54,51,49,101,45,50,55,32,54,46,53,50,57,49,49,101,45,50,
      55,32,49,46,54,49,56,50,56,101,45,50,54,10,32,32,51,46,54,49,48,48,56,101,45,
      50,54,32,56,46,57,53,57,50,55,101,45,50,54,32,49,46,55,56,50,56,56,101,45,50,
      53,32,52,46,55,49,53,50,50,101,45,50,53,32,49,46,49,55,50,53,55,101,45,50,52,
      32,49,46,54,48,55,50,55,101,45,50,52,32,51,46,49,52,52,48,56,101,45,50,52,10,
      32,32,55,46,52,53,53,56,52,101,45,50,52,32,49,46,50,57,49,52,101,45,50,51,32,
      50,46,50,51,49,51,54,101,45,50,51,32,49,46,56,56,56,52,101,45,50,49,32,50,46,
      55,49,48,52,53,101,45,50,48,32,51,46,54,49,57,101,45,50,48,32,53,46,50,57,53,
      55,50,101,45,50,48,10,32,32,54,46,51,49,54,53,54,101,45,50,48,32,55,46,55,50,
      50,57,56,101,45,50,48,32,53,46,53,57,52,56,57,101,45,50,48,32,55,46,54,50,56,
      48,49,101,45,50,48,32,56,46,54,51,55,55,51,101,45,50,48,32,49,46,48,57,48,52,
      53,101,45,49,57,32,49,46,51,57,56,49,53,101,45,49,57,10,32,32,49,46,55,48,56,
      49,49,101,45,49,57,32,50,46,48,55,52,52,52,101,45,49,57,32,50,46,52,55,53,49,
      51,101,45,49,57,32,50,46,57,51,49,53,49,101,45,49,57,32,51,46,53,49,55,57,51,
      101,45,49,57,32,52,46,49,49,56,48,54,101,45,49,57,32,52,46,56,55,54,51,101,
      45,49,57,10,32,32,53,46,53,48,53,51,57,101,45,49,57,32,54,46,54,55,52,57,56,
      101,45,49,57,32,55,46,55,55,50,51,57,101,45,49,57,32,56,46,57,52,52,55,52,101,
      45,49,57,32,49,46,50,50,52,54,50,101,45,49,56,32,49,46,56,51,53,56,52,101,45,
      49,56,32,50,46,54,53,49,48,50,101,45,49,56,10,32,32,52,46,48,53,54,48,49,101,
      45,49,56,32,54,46,48,48,50,50,53,101,45,49,56,32,57,46,50,52,54,56,49,101,45,
      49,56,32,49,46,50,56,57,49,56,101,45,49,55,32,50,46,48,52,52,56,56,101,45,49,
      55,32,51,46,49,50,57,55,101,45,49,55,32,52,46,49,49,50,54,53,101,45,49,55,10,
      32,32,53,46,56,57,49,55,52,101,45,49,55,32,56,46,51,52,51,56,55,101,45,49,55,
      32,49,46,49,49,53,56,51,101,45,49,54,32,49,46,52,55,56,53,101,45,49,54,32,50,
      46,48,50,51,48,56,101,45,49,54,32,50,46,55,53,48,55,55,101,45,49,54,32,51,46,
      53,56,51,50,54,101,45,49,54,10,32,32,52,46,54,53,48,55,52,101,45,49,54,32,54,
      46,48,48,51,54,50,101,45,49,54,32,55,46,57,56,53,48,56,101,45,49,54,32,49,46,
      48,57,48,48,56,101,45,49,53,32,49,46,53,50,48,49,57,101,45,49,53,32,50,46,48,
      50,52,53,54,101,45,49,53,32,50,46,55,52,51,49,55,101,45,49,53,10,32,32,51,46,
      53,54,48,56,52,101,45,49,53,32,52,46,53,54,56,53,52,101,45,49,53,32,53,46,57,
      53,49,53,56,101,45,49,53,32,55,46,56,48,48,50,52,101,45,49,53,32,57,46,53,51,
      49,54,55,101,45,49,53,32,49,46,49,57,50,49,57,101,45,49,52,32,49,46,52,52,49,
      55,56,101,45,49,52,10,32,32,49,46,55,53,53,54,101,45,49,52,32,50,46,49,50,53,
      48,57,101,45,49,52,32,50,46,53,53,55,54,53,101,45,49,52,32,51,46,48,54,49,50,
      57,101,45,49,52,32,51,46,54,52,52,56,54,101,45,49,52,32,52,46,51,49,55,101,
      45,49,52,32,53,46,48,56,54,56,54,101,45,49,52,10,32,32,53,46,57,54,51,52,50,
      101,45,49,52,32,54,46,57,53,53,50,57,101,45,49,52,32,56,46,48,55,49,48,57,101,
      45,49,52,32,57,46,51,49,57,53,52,101,45,49,52,32,49,46,48,55,48,55,55,101,45,
      49,51,32,49,46,50,50,52,51,101,45,49,51,32,49,46,51,57,51,50,56,101,45,49,51,
      10,32,32,49,46,53,55,56,50,51,101,45,49,51,32,49,46,55,55,57,55,53,101,45,49,
      51,32,49,46,57,57,56,50,54,101,45,49,51,32,50,46,50,51,52,48,56,101,45,49,51,
      32,50,46,52,56,55,52,52,101,45,49,51,32,50,46,55,53,56,51,55,101,45,49,51,32,
      51,46,48,52,54,54,50,101,45,49,51,10,32,32,51,46,51,53,49,57,55,101,45,49,51,
      32,51,46,54,55,52,48,54,101,45,49,51,32,52,46,48,49,50,51,101,45,49,51,32,52,
      46,51,54,53,56,56,101,45,49,51,32,52,46,55,51,51,56,49,101,45,49,51,32,53,46,
      49,49,52,55,55,101,45,49,51,32,53,46,53,48,55,50,49,101,45,49,51,10,32,32,53,
      46,57,48,57,51,54,101,45,49,51,32,54,46,51,49,57,51,51,101,45,49,51,32,54,46,
      55,51,53,48,53,101,45,49,51,32,55,46,49,53,52,51,52,101,45,49,51,32,55,46,52,
      56,49,52,56,101,45,49,51,32,55,46,56,48,56,48,49,101,45,49,51,32,56,46,49,51,
      50,56,56,101,45,49,51,10,32,32,56,46,52,53,52,55,55,101,45,49,51,32,56,46,55,
      55,50,52,52,101,45,49,51,32,57,46,49,50,52,52,53,101,45,49,51,32,57,46,53,53,
      55,52,50,101,45,49,51,32,57,46,57,55,51,48,53,101,45,49,51,32,49,46,48,51,54,
      55,56,101,45,49,50,32,49,46,48,55,51,56,49,101,45,49,50,10,32,32,49,46,49,48,
      56,49,55,101,45,49,50,32,49,46,49,51,57,53,56,101,45,49,50,32,49,46,49,54,55,
      56,51,101,45,49,50,32,49,46,49,57,50,54,57,101,45,49,50,32,49,46,50,49,52,48,
      50,101,45,49,50,32,49,46,50,51,49,54,56,101,45,49,50,32,49,46,50,52,53,54,51,
      101,45,49,50,10,32,32,49,46,50,53,53,56,50,101,45,49,50,32,49,46,50,54,50,50,
      51,101,45,49,50,32,49,46,50,54,52,56,51,101,45,49,50,32,49,46,50,54,51,55,52,
      101,45,49,50,32,49,46,50,53,57,48,53,101,45,49,50,32,49,46,50,53,48,57,51,101,
      45,49,50,32,49,46,50,51,57,53,101,45,49,50,10,32,32,49,46,50,50,52,57,56,101,
      45,49,50,32,49,46,50,48,55,53,50,101,45,49,50,32,49,46,49,56,55,51,52,101,45,
      49,50,32,49,46,49,54,52,54,53,101,45,49,50,32,49,46,49,51,57,55,49,101,45,49,
      50,32,49,46,49,49,50,55,53,101,45,49,50,32,49,46,48,56,52,101,45,49,50,10,32,
      32,49,46,48,53,51,54,57,101,45,49,50,32,49,46,48,50,50,101,45,49,50,32,57,46,
      56,57,49,57,54,101,45,49,51,32,57,46,53,53,53,49,51,101,45,49,51,32,57,46,50,
      49,49,51,50,101,45,49,51,32,56,46,56,54,50,56,52,101,45,49,51,32,56,46,53,49,
      49,55,56,101,45,49,51,10,32,32,56,46,49,53,57,56,51,101,45,49,51,32,55,46,56,
      48,56,54,55,101,45,49,51,32,55,46,52,53,57,56,51,101,45,49,51,32,55,46,49,49,
      52,54,54,101,45,49,51,32,54,46,52,52,48,49,50,101,45,49,51,32,53,46,55,57,51,
      52,54,101,45,49,51,32,53,46,49,56,49,49,54,101,45,49,51,10,32,32,52,46,54,48,
      55,54,54,101,45,49,51,32,52,46,48,55,53,57,56,101,45,49,51,32,51,46,53,56,55,
      52,49,101,45,49,51,32,51,46,49,52,50,50,51,101,45,49,51,32,50,46,55,51,57,54,
      55,101,45,49,51,32,50,46,51,55,56,50,57,101,45,49,51,32,50,46,48,53,54,48,49,
      101,45,49,51,10,32,32,49,46,55,55,48,51,56,101,45,49,51,32,49,46,53,49,56,55,
      50,101,45,49,51,32,49,46,50,57,56,49,54,101,45,49,51,32,49,46,49,48,53,55,57,
      101,45,49,51,32,57,46,51,56,55,57,52,101,45,49,52,32,55,46,57,52,53,49,55,101,
      45,49,52,32,54,46,55,48,52,48,53,101,45,49,52,10,32,32,53,46,54,52,48,54,49,
      101,45,49,52,32,52,46,55,51,50,55,55,101,45,49,52,32,51,46,57,54,48,52,50,101,
      45,49,52,32,51,46,51,48,53,55,53,101,45,49,52,32,50,46,55,53,50,54,49,101,45,
      49,52,32,50,46,50,56,54,54,55,101,45,49,52,32,49,46,56,57,53,50,57,101,45,49,
      52,10,32,32,49,46,53,54,55,52,57,101,45,49,52,32,49,46,50,57,51,55,49,101,45,
      49,52,32,49,46,48,54,53,54,51,101,45,49,52,32,56,46,55,54,48,56,51,101,45,49,
      53,32,55,46,49,56,57,51,51,101,45,49,53,32,48,114,50,50,48,32,54,46,54,54,52,
      49,55,101,45,51,49,32,49,46,52,52,48,54,52,101,45,51,48,10,32,32,54,46,51,49,
      49,57,55,101,45,51,48,32,50,46,53,55,49,56,50,101,45,50,57,32,49,46,48,55,57,
      52,57,101,45,50,56,32,52,46,57,52,48,57,50,101,45,50,56,32,49,46,52,50,54,56,
      52,101,45,50,55,32,50,46,54,55,51,52,50,101,45,50,55,32,51,46,53,48,56,52,54,
      101,45,50,55,10,32,32,56,46,55,54,49,53,101,45,50,55,32,49,46,57,54,55,53,49,
      101,45,50,54,32,52,46,57,49,57,55,52,101,45,50,54,32,57,46,56,52,54,51,49,101,
      45,50,54,32,50,46,54,50,53,53,51,101,45,50,53,32,54,46,53,56,51,57,51,101,45,
      50,53,32,57,46,48,53,55,50,53,101,45,50,53,10,32,32,49,46,55,56,53,57,49,101,
      45,50,52,32,52,46,50,56,48,49,49,101,45,50,52,32,55,46,52,54,52,54,50,101,45,
      50,52,32,49,46,50,57,56,56,101,45,50,51,32,49,46,49,53,55,56,54,101,45,50,49,
      32,49,46,55,50,50,52,55,101,45,50,48,32,50,46,51,49,52,57,54,101,45,50,48,10,
      32,32,51,46,52,49,54,57,55,101,45,50,48,32,52,46,48,57,49,57,51,101,45,50,48,
      32,53,46,48,50,52,56,49,101,45,50,48,32,51,46,54,48,55,57,57,101,45,50,48,32,
      52,46,57,53,51,54,50,101,45,50,48,32,53,46,54,50,53,51,49,101,45,50,48,32,55,
      46,49,51,57,57,49,101,45,50,48,10,32,32,57,46,50,48,56,50,53,101,45,50,48,32,
      49,46,49,51,48,51,54,101,45,49,57,32,49,46,51,55,57,50,51,101,45,49,57,32,49,
      46,54,53,50,55,52,101,45,49,57,32,49,46,57,54,53,54,56,101,45,49,57,32,50,46,
      51,54,57,54,53,101,45,49,57,32,50,46,55,56,52,57,101,45,49,57,10,32,32,51,46,
      51,49,49,56,53,101,45,49,57,32,51,46,55,53,48,55,53,101,45,49,57,32,52,46,53,
      55,48,50,56,101,45,49,57,32,53,46,51,51,55,49,52,101,45,49,57,32,54,46,49,54,
      52,55,54,101,45,49,57,32,56,46,53,49,48,52,52,101,45,49,57,32,49,46,50,56,57,
      56,101,45,49,56,10,32,32,49,46,56,56,49,50,50,101,45,49,56,32,50,46,57,49,50,
      49,52,101,45,49,56,32,52,46,51,53,54,48,57,101,45,49,56,32,54,46,55,57,48,49,
      56,101,45,49,56,32,57,46,53,53,48,57,57,101,45,49,56,32,49,46,53,50,57,51,57,
      101,45,49,55,32,50,46,51,54,56,55,57,101,45,49,55,10,32,32,51,46,49,51,54,57,
      52,101,45,49,55,32,52,46,53,55,48,51,56,101,45,49,55,32,54,46,53,48,54,56,57,
      101,45,49,55,32,56,46,55,50,54,57,55,101,45,49,55,32,49,46,49,53,56,49,52,101,
      45,49,54,32,49,46,53,56,53,53,53,101,45,49,54,32,50,46,49,53,53,48,53,101,45,
      49,54,10,32,32,50,46,56,48,53,51,49,101,45,49,54,32,51,46,54,51,57,48,50,101,
      45,49,54,32,52,46,54,57,52,56,55,101,45,49,54,32,54,46,50,52,50,56,54,101,45,
      49,54,32,56,46,53,50,53,55,55,101,45,49,54,32,49,46,49,57,48,52,101,45,49,53,
      32,49,46,53,56,55,57,51,101,45,49,53,10,32,32,50,46,49,53,54,50,54,101,45,49,
      53,32,50,46,56,48,53,50,55,101,45,49,53,32,51,46,54,48,55,50,53,101,45,49,53,
      32,52,46,55,49,48,56,50,101,45,49,53,32,54,46,49,56,57,50,101,45,49,53,32,55,
      46,53,55,53,55,51,101,45,49,53,32,57,46,52,57,50,51,51,101,45,49,53,10,32,32,
      49,46,49,52,57,53,55,101,45,49,52,32,49,46,52,48,49,55,49,101,45,49,52,32,49,
      46,54,57,56,56,54,101,45,49,52,32,50,46,48,52,54,57,56,101,45,49,52,32,50,46,
      52,53,50,54,53,101,45,49,52,32,50,46,57,50,51,50,54,101,45,49,52,32,51,46,52,
      54,54,49,49,101,45,49,52,10,32,32,52,46,48,56,56,57,49,101,45,49,52,32,52,46,
      55,57,57,49,55,101,45,49,52,32,53,46,54,48,52,50,49,101,45,49,52,32,54,46,53,
      49,49,53,56,101,45,49,52,32,55,46,53,50,56,53,52,101,45,49,52,32,56,46,54,54,
      49,50,57,101,45,49,52,32,57,46,57,49,54,51,57,101,45,49,52,10,32,32,49,46,49,
      51,48,48,50,101,45,49,51,32,49,46,50,56,49,55,53,101,45,49,51,32,49,46,52,52,
      55,51,54,101,45,49,51,32,49,46,54,50,55,50,52,101,45,49,51,32,49,46,56,50,49,
      55,101,45,49,51,32,50,46,48,51,48,57,51,101,45,49,51,32,50,46,50,53,53,48,52,
      101,45,49,51,10,32,32,50,46,52,57,51,56,52,101,45,49,51,32,50,46,55,52,55,50,
      51,101,45,49,51,32,51,46,48,49,53,101,45,49,51,32,51,46,50,57,54,55,101,45,
      49,51,32,51,46,53,57,49,55,52,101,45,49,51,32,51,46,56,57,57,51,52,101,45,49,
      51,32,52,46,50,49,56,52,54,101,45,49,51,10,32,32,52,46,53,52,55,56,54,101,45,
      49,51,32,52,46,56,56,54,51,101,45,49,51,32,53,46,50,51,50,49,101,45,49,51,32,
      53,46,53,56,51,55,52,101,45,49,51,32,53,46,57,51,57,50,54,101,45,49,51,32,54,
      46,50,49,55,48,56,101,45,49,51,32,54,46,52,57,53,48,49,101,45,49,51,10,32,32,
      54,46,55,55,50,49,101,45,49,51,32,55,46,48,52,55,50,57,101,45,49,51,32,55,46,
      51,49,57,54,51,101,45,49,51,32,55,46,54,50,50,50,49,101,45,49,51,32,55,46,57,
      57,53,56,53,101,45,49,51,32,56,46,51,53,53,57,50,101,45,49,51,32,56,46,54,57,
      57,54,51,101,45,49,51,10,32,32,57,46,48,50,52,51,52,101,45,49,51,32,57,46,51,
      50,55,52,53,101,45,49,51,32,57,46,54,48,54,54,101,45,49,51,32,57,46,56,53,57,
      55,51,101,45,49,51,32,49,46,48,48,56,52,57,101,45,49,50,32,49,46,48,50,56,48,
      55,101,45,49,50,32,49,46,48,52,52,53,54,101,45,49,50,10,32,32,49,46,48,53,55,
      57,49,101,45,49,50,32,49,46,48,54,56,48,56,101,45,49,50,32,49,46,48,55,53,48,
      55,101,45,49,50,32,49,46,48,55,56,56,54,101,45,49,50,32,49,46,48,55,57,53,49,
      101,45,49,50,32,49,46,48,55,55,48,56,101,45,49,50,32,49,46,48,55,49,54,55,101,
      45,49,50,10,32,32,49,46,48,54,51,51,56,101,45,49,50,32,49,46,48,53,50,51,54,
      101,45,49,50,32,49,46,48,51,56,55,49,101,45,49,50,32,49,46,48,50,50,54,55,101,
      45,49,50,32,49,46,48,48,52,52,51,101,45,49,50,32,57,46,56,52,49,54,56,101,45,
      49,51,32,57,46,54,50,48,57,52,101,45,49,51,10,32,32,57,46,51,56,52,101,45,49,
      51,32,57,46,49,51,50,54,55,101,45,49,51,32,56,46,56,54,56,56,101,45,49,51,32,
      56,46,53,57,52,54,101,45,49,51,32,56,46,51,49,49,57,50,101,45,49,51,32,56,46,
      48,50,50,54,55,101,45,49,51,32,55,46,55,50,56,53,52,101,45,49,51,10,32,32,55,
      46,52,51,49,49,56,101,45,49,51,32,55,46,49,51,50,48,55,101,45,49,51,32,54,46,
      56,51,50,55,49,101,45,49,51,32,54,46,53,51,52,53,56,101,45,49,51,32,54,46,50,
      51,56,56,101,45,49,51,32,53,46,54,53,56,56,55,101,45,49,51,32,53,46,49,48,48,
      56,50,101,45,49,51,10,32,32,52,46,53,55,48,54,50,101,45,49,51,32,52,46,48,55,
      50,53,54,101,45,49,51,32,51,46,54,48,57,51,56,101,45,49,51,32,51,46,49,56,50,
      53,57,101,45,49,51,32,50,46,55,57,50,54,101,45,49,51,32,50,46,52,51,57,48,51,
      101,45,49,51,32,50,46,49,50,48,56,53,101,45,49,51,10,32,32,49,46,56,51,54,52,
      55,101,45,49,51,32,49,46,53,56,51,56,52,101,45,49,51,32,49,46,51,54,48,55,101,
      45,49,51,32,49,46,49,54,52,55,101,45,49,51,32,57,46,57,51,52,54,55,101,45,49,
      52,32,56,46,52,52,53,57,56,101,45,49,52,32,55,46,49,53,55,54,53,101,45,49,52,
      10,32,32,54,46,48,52,55,52,54,101,45,49,52,32,53,46,48,57,52,53,51,101,45,49,
      52,32,52,46,50,55,57,55,50,101,45,49,52,32,51,46,53,56,53,54,52,101,45,49,52,
      32,50,46,57,57,54,52,52,101,45,49,52,32,50,46,52,57,55,57,50,101,45,49,52,32,
      50,46,48,55,55,52,49,101,45,49,52,10,32,32,49,46,55,50,51,55,51,101,45,49,52,
      32,49,46,52,50,55,49,51,101,45,49,52,32,49,46,49,55,57,49,101,45,49,52,32,57,
      46,55,50,50,49,54,101,45,49,53,32,56,46,48,48,48,54,50,101,45,49,53,32,54,46,
      53,55,49,54,54,101,45,49,53,32,48,114,50,50,49,32,55,46,49,50,49,52,50,101,
      45,51,49,10,32,32,51,46,49,54,50,49,56,101,45,51,48,32,49,46,51,48,53,48,55,
      101,45,50,57,32,53,46,53,51,57,49,51,101,45,50,57,32,50,46,53,55,55,101,45,
      50,56,32,55,46,53,49,54,50,50,101,45,50,56,32,49,46,52,49,54,51,50,101,45,50,
      55,32,49,46,56,54,50,56,49,101,45,50,55,10,32,32,52,46,54,56,53,49,55,101,45,
      50,55,32,49,46,48,53,56,55,52,101,45,50,54,32,50,46,54,54,54,51,52,101,45,50,
      54,32,53,46,51,54,53,51,57,101,45,50,54,32,49,46,52,52,49,56,54,101,45,50,53,
      32,51,46,54,52,53,48,50,101,45,50,53,32,53,46,48,51,50,52,53,101,45,50,53,10,
      32,32,49,46,48,48,48,50,54,101,45,50,52,32,50,46,52,50,50,55,56,101,45,50,52,
      32,52,46,50,53,52,54,52,101,45,50,52,32,55,46,52,53,52,54,53,101,45,50,52,32,
      55,46,48,49,51,57,56,101,45,50,50,32,49,46,48,56,50,54,53,101,45,50,48,32,49,
      46,52,54,52,54,54,101,45,50,48,10,32,32,50,46,49,56,48,56,56,101,45,50,48,32,
      50,46,54,50,50,49,57,101,45,50,48,32,51,46,50,51,52,49,51,101,45,50,48,32,50,
      46,51,48,49,53,101,45,50,48,32,51,46,49,56,50,50,51,101,45,50,48,32,51,46,54,
      50,52,49,101,45,50,48,32,52,46,54,50,52,57,51,101,45,50,48,10,32,32,54,46,48,
      48,48,48,53,101,45,50,48,32,55,46,52,48,48,57,49,101,45,50,48,32,57,46,48,55,
      51,49,56,101,45,50,48,32,49,46,48,57,50,101,45,49,57,32,49,46,51,48,52,50,54,
      101,45,49,57,32,49,46,53,55,57,53,54,101,45,49,57,32,49,46,56,54,51,56,49,101,
      45,49,57,10,32,32,50,46,50,50,54,49,51,101,45,49,57,32,50,46,53,50,57,48,55,
      101,45,49,57,32,51,46,48,57,55,50,56,101,45,49,57,32,51,46,54,50,55,53,55,101,
      45,49,57,32,52,46,50,48,53,55,101,45,49,57,32,53,46,56,53,53,49,52,101,45,49,
      57,32,56,46,57,55,50,55,51,101,45,49,57,10,32,32,49,46,51,50,50,48,53,101,45,
      49,56,32,50,46,48,55,49,48,56,101,45,49,56,32,51,46,49,51,50,49,53,101,45,49,
      56,32,52,46,57,52,49,55,57,101,45,49,56,32,55,46,48,49,52,48,50,101,45,49,56,
      32,49,46,49,51,50,51,101,45,49,55,32,49,46,55,55,54,54,53,101,45,49,55,10,32,
      32,50,46,51,55,50,48,50,101,45,49,55,32,51,46,53,50,48,56,54,101,45,49,55,32,
      53,46,48,52,50,53,101,45,49,55,32,54,46,55,56,53,53,52,101,45,49,55,32,57,46,
      48,50,50,51,51,101,45,49,55,32,49,46,50,51,54,50,52,101,45,49,54,32,49,46,54,
      56,48,48,49,101,45,49,54,10,32,32,50,46,49,56,53,53,55,101,45,49,54,32,50,46,
      56,51,51,54,51,101,45,49,54,32,51,46,54,53,51,54,101,45,49,54,32,52,46,56,53,
      54,53,50,101,45,49,54,32,54,46,54,51,51,56,49,101,45,49,54,32,57,46,50,55,49,
      54,101,45,49,54,32,49,46,50,51,56,54,51,101,45,49,53,10,32,32,49,46,54,56,53,
      53,53,101,45,49,53,32,50,46,49,57,55,54,49,101,45,49,53,32,50,46,56,51,50,50,
      53,101,45,49,53,32,51,46,55,48,56,48,56,101,45,49,53,32,52,46,56,56,52,52,53,
      101,45,49,53,32,53,46,57,56,57,53,49,101,45,49,53,32,55,46,53,49,57,48,55,101,
      45,49,53,10,32,32,57,46,49,49,57,55,55,101,45,49,53,32,49,46,49,49,51,54,55,
      101,45,49,52,32,49,46,51,53,49,53,54,101,45,49,52,32,49,46,54,51,48,53,101,
      45,49,52,32,49,46,57,53,53,57,52,101,45,49,52,32,50,46,51,51,51,57,52,101,45,
      49,52,32,50,46,55,55,48,54,55,101,45,49,52,10,32,32,51,46,50,55,50,52,101,45,
      49,52,32,51,46,56,52,53,52,55,101,45,49,52,32,52,46,52,57,54,50,52,101,45,49,
      52,32,53,46,50,51,48,57,50,101,45,49,52,32,54,46,48,53,53,55,54,101,45,49,52,
      32,54,46,57,55,54,49,56,101,45,49,52,32,55,46,57,57,56,101,45,49,52,10,32,32,
      57,46,49,50,54,54,54,101,45,49,52,32,49,46,48,51,54,54,54,101,45,49,51,32,49,
      46,49,55,50,50,50,101,45,49,51,32,49,46,51,49,57,55,101,45,49,51,32,49,46,52,
      55,57,51,55,101,45,49,51,32,49,46,54,53,49,52,50,101,45,49,51,32,49,46,56,51,
      53,57,56,101,45,49,51,10,32,32,50,46,48,51,51,48,54,101,45,49,51,32,50,46,50,
      52,50,54,51,101,45,49,51,32,50,46,52,54,52,52,55,101,45,49,51,32,50,46,54,57,
      56,51,101,45,49,51,32,50,46,57,52,51,54,56,101,45,49,51,32,51,46,49,57,57,57,
      53,101,45,49,51,32,51,46,52,54,54,51,49,101,45,49,51,10,32,32,51,46,55,52,49,
      55,56,101,45,49,51,32,52,46,48,50,53,52,101,45,49,51,32,52,46,51,49,53,56,50,
      101,45,49,51,32,52,46,54,49,49,56,55,101,45,49,51,32,52,46,57,49,49,57,54,101,
      45,49,51,32,53,46,49,52,55,49,49,101,45,49,51,32,53,46,51,56,50,55,57,101,45,
      49,51,10,32,32,53,46,54,49,56,51,49,101,45,49,51,32,53,46,56,53,50,56,54,101,
      45,49,51,32,54,46,48,56,53,54,50,101,45,49,51,32,54,46,51,52,52,56,56,101,45,
      49,51,32,54,46,54,54,54,48,51,101,45,49,51,32,54,46,57,55,54,56,51,101,45,49,
      51,32,55,46,50,55,52,57,101,45,49,51,10,32,32,55,46,53,53,55,56,56,101,45,49,
      51,32,55,46,56,50,51,53,53,101,45,49,51,32,56,46,48,54,57,56,52,101,45,49,51,
      32,56,46,50,57,52,56,54,101,45,49,51,32,56,46,52,57,55,48,55,101,45,49,51,32,
      56,46,54,55,53,49,49,101,45,49,51,32,56,46,56,50,55,56,53,101,45,49,51,10,32,
      32,56,46,57,53,52,52,53,101,45,49,51,32,57,46,48,53,52,51,101,45,49,51,32,57,
      46,49,50,54,57,57,101,45,49,51,32,57,46,49,55,50,53,53,101,45,49,51,32,57,46,
      49,57,49,52,101,45,49,51,32,57,46,49,56,51,57,50,101,45,49,51,32,57,46,49,53,
      48,56,49,101,45,49,51,10,32,32,57,46,48,57,50,57,50,101,45,49,51,32,57,46,48,
      49,49,51,54,101,45,49,51,32,56,46,57,48,55,51,57,101,45,49,51,32,56,46,55,56,
      50,51,52,101,45,49,51,32,56,46,54,51,55,55,51,101,45,49,51,32,56,46,52,55,52,
      57,52,101,45,49,51,32,56,46,50,57,53,54,56,101,45,49,51,10,32,32,56,46,49,48,
      49,51,55,101,45,49,51,32,55,46,56,57,52,48,49,101,45,49,51,32,55,46,54,55,53,
      50,51,101,45,49,51,32,55,46,52,52,54,56,53,101,45,49,51,32,55,46,50,49,48,52,
      56,101,45,49,51,32,54,46,57,54,55,55,101,45,49,51,32,54,46,55,49,57,57,57,101,
      45,49,51,10,32,32,54,46,52,54,56,56,51,101,45,49,51,32,54,46,50,49,53,54,101,
      45,49,51,32,53,46,57,54,49,53,52,101,45,49,51,32,53,46,55,48,55,56,52,101,45,
      49,51,32,53,46,52,53,53,53,56,101,45,49,51,32,52,46,57,53,57,49,57,101,45,49,
      51,32,52,46,52,55,57,53,52,101,45,49,51,10,32,32,52,46,48,50,49,57,101,45,49,
      51,32,51,46,53,57,48,52,101,45,49,51,32,51,46,49,56,55,57,52,101,45,49,51,32,
      50,46,56,49,54,48,56,101,45,49,51,32,50,46,52,55,53,51,50,101,45,49,51,32,50,
      46,49,54,53,54,51,101,45,49,51,32,49,46,56,56,54,50,55,101,45,49,51,10,32,32,
      49,46,54,51,53,57,57,101,45,49,51,32,49,46,52,49,51,49,54,101,45,49,51,32,49,
      46,50,49,53,57,57,101,45,49,51,32,49,46,48,52,50,53,101,45,49,51,32,56,46,57,
      48,54,49,52,101,45,49,52,32,55,46,53,56,50,56,54,101,45,49,52,32,54,46,52,51,
      52,57,50,101,45,49,52,10,32,32,53,46,52,52,51,56,49,101,45,49,52,32,52,46,53,
      57,49,55,54,101,45,49,52,32,51,46,56,54,50,49,51,101,45,49,52,32,51,46,50,51,
      57,54,55,101,45,49,52,32,50,46,55,49,48,52,55,101,45,49,52,32,50,46,50,54,50,
      48,55,101,45,49,52,32,49,46,56,56,51,51,51,101,45,49,52,10,32,32,49,46,53,54,
      52,52,50,101,45,49,52,32,49,46,50,57,54,54,52,101,45,49,52,32,49,46,48,55,50,
      52,50,101,45,49,52,32,56,46,56,53,49,54,56,101,45,49,53,32,55,46,50,57,49,55,
      57,101,45,49,53,32,53,46,57,57,53,51,56,101,45,49,53,32,48,114,50,50,50,32,
      51,46,54,48,55,56,52,101,45,51,49,10,32,32,49,46,53,52,57,53,56,101,45,51,48,
      32,54,46,56,49,55,57,57,101,45,51,48,32,51,46,51,50,57,49,51,101,45,50,57,32,
      49,46,48,48,50,50,53,101,45,50,56,32,49,46,57,50,50,48,56,101,45,50,56,32,50,
      46,53,52,53,50,50,101,45,50,56,32,54,46,53,52,54,57,53,101,45,50,56,10,32,32,
      49,46,53,48,57,48,52,101,45,50,55,32,51,46,56,56,54,56,50,101,45,50,55,32,55,
      46,57,53,54,49,54,101,45,50,55,32,50,46,49,57,49,49,55,101,45,50,54,32,53,46,
      54,56,49,52,101,45,50,54,32,55,46,57,51,50,52,53,101,45,50,54,32,49,46,54,49,
      54,50,52,101,45,50,53,10,32,32,52,46,48,52,53,56,55,101,45,50,53,32,55,46,50,
      53,56,52,55,101,45,50,53,32,49,46,50,57,57,53,53,101,45,50,52,32,49,46,52,50,
      56,56,50,101,45,50,50,32,50,46,52,53,55,101,45,50,49,32,51,46,51,57,49,56,54,
      101,45,50,49,32,53,46,49,56,55,51,54,101,45,50,49,10,32,32,54,46,51,49,52,53,
      51,101,45,50,49,32,55,46,56,57,51,55,55,101,45,50,49,32,53,46,52,54,52,55,56,
      101,45,50,49,32,55,46,55,50,49,54,50,101,45,50,49,32,56,46,56,55,49,55,101,
      45,50,49,32,49,46,49,53,49,50,54,101,45,50,48,32,49,46,53,50,48,56,50,101,45,
      50,48,10,32,32,49,46,57,48,51,56,49,101,45,50,48,32,50,46,51,54,56,48,53,101,
      45,50,48,32,50,46,56,56,56,51,57,101,45,50,48,32,51,46,52,57,52,56,53,101,45,
      50,48,32,52,46,50,57,50,56,53,101,45,50,48,32,53,46,49,50,56,53,51,101,45,50,
      48,32,54,46,50,48,56,53,101,45,50,48,10,32,32,55,46,49,50,50,54,50,101,45,50,
      48,32,56,46,56,54,48,53,56,101,45,50,48,32,49,46,48,52,55,52,51,101,45,49,57,
      32,49,46,50,50,56,52,56,101,45,49,57,32,49,46,55,53,53,54,54,101,45,49,57,32,
      50,46,55,56,52,55,55,101,45,49,57,32,52,46,50,51,54,53,50,101,45,49,57,10,32,
      32,54,46,56,57,48,56,55,101,45,49,57,32,49,46,48,55,57,51,57,101,45,49,56,32,
      49,46,55,55,48,49,57,101,45,49,56,32,50,46,53,56,56,50,51,101,45,49,56,32,52,
      46,50,50,48,51,54,101,45,49,56,32,54,46,57,53,49,50,53,101,45,49,56,32,57,46,
      53,53,57,53,56,101,45,49,56,10,32,32,49,46,53,50,52,51,101,45,49,55,32,50,46,
      50,51,50,52,55,101,45,49,55,32,51,46,48,52,57,48,51,101,45,49,55,32,52,46,48,
      57,55,48,56,101,45,49,55,32,53,46,54,53,53,52,52,101,45,49,55,32,55,46,55,49,
      48,56,51,101,45,49,55,32,49,46,48,48,51,53,55,101,45,49,54,10,32,32,49,46,51,
      48,49,50,51,101,45,49,54,32,49,46,54,55,53,50,54,101,45,49,54,32,50,46,50,50,
      51,57,55,101,45,49,54,32,51,46,48,51,54,53,54,101,45,49,54,32,52,46,50,52,57,
      57,51,101,45,49,54,32,53,46,54,57,53,54,57,101,45,49,54,32,55,46,55,57,50,50,
      49,101,45,49,54,10,32,32,49,46,48,50,50,48,53,101,45,49,53,32,49,46,51,50,53,
      54,56,101,45,49,53,32,49,46,55,52,56,52,57,101,45,49,53,32,50,46,51,50,49,53,
      55,101,45,49,53,32,50,46,56,54,51,48,56,101,45,49,53,32,51,46,54,49,54,52,101,
      45,49,53,32,52,46,52,48,56,48,55,101,45,49,53,10,32,32,53,46,52,48,56,55,54,
      101,45,49,53,32,54,46,53,57,50,54,57,101,45,49,53,32,55,46,57,56,53,52,55,101,
      45,49,53,32,57,46,54,49,54,53,49,101,45,49,53,32,49,46,49,53,49,55,52,101,45,
      49,52,32,49,46,51,55,50,50,101,45,49,52,32,49,46,54,50,54,53,55,101,45,49,52,
      10,32,32,49,46,57,49,56,52,55,101,45,49,52,32,50,46,50,53,49,53,53,101,45,49,
      52,32,50,46,54,50,57,53,52,101,45,49,52,32,51,46,48,53,54,49,57,101,45,49,52,
      32,51,46,53,51,53,48,55,101,45,49,52,32,52,46,48,54,57,55,49,101,45,49,52,32,
      52,46,54,54,51,51,56,101,45,49,52,10,32,32,53,46,51,49,57,51,52,101,45,49,52,
      32,54,46,48,52,48,52,49,101,45,49,52,32,54,46,56,50,56,57,53,101,45,49,52,32,
      55,46,54,56,55,48,50,101,45,49,52,32,56,46,54,49,54,53,57,101,45,49,52,32,57,
      46,54,49,57,49,55,101,45,49,52,32,49,46,48,54,57,53,56,101,45,49,51,10,32,32,
      49,46,49,56,52,55,49,101,45,49,51,32,49,46,51,48,55,50,55,101,45,49,51,32,49,
      46,52,51,55,49,52,101,45,49,51,32,49,46,53,55,52,49,53,101,45,49,51,32,49,46,
      55,49,56,48,51,101,45,49,51,32,49,46,56,54,56,53,101,45,49,51,32,50,46,48,50,
      53,49,51,101,45,49,51,10,32,32,50,46,49,56,55,52,51,101,45,49,51,32,50,46,51,
      53,52,55,52,101,45,49,51,32,50,46,53,50,54,52,101,45,49,51,32,50,46,55,48,49,
      55,51,101,45,49,51,32,50,46,56,52,48,48,52,101,45,49,51,32,50,46,57,55,57,54,
      53,101,45,49,51,32,51,46,49,50,48,49,50,101,45,49,51,10,32,32,51,46,50,54,48,
      57,50,101,45,49,51,32,51,46,52,48,49,53,57,101,45,49,51,32,51,46,53,53,57,53,
      54,101,45,49,51,32,51,46,55,53,55,50,57,101,45,49,51,32,51,46,57,53,49,50,49,
      101,45,49,51,32,52,46,49,51,57,54,56,101,45,49,51,32,52,46,51,50,49,50,55,101,
      45,49,51,10,32,32,52,46,52,57,52,51,50,101,45,49,51,32,52,46,54,53,55,55,56,
      101,45,49,51,32,52,46,56,49,48,51,54,101,45,49,51,32,52,46,57,53,48,57,50,101,
      45,49,51,32,53,46,48,55,56,52,55,101,45,49,51,32,53,46,49,57,50,49,101,45,49,
      51,32,53,46,50,57,49,49,57,101,45,49,51,10,32,32,53,46,51,55,53,49,53,101,45,
      49,51,32,53,46,52,52,51,51,51,101,45,49,51,32,53,46,52,57,53,53,54,101,45,49,
      51,32,53,46,53,51,49,56,51,101,45,49,51,32,53,46,53,53,50,49,49,101,45,49,51,
      32,53,46,53,53,54,55,50,101,45,49,51,32,53,46,53,52,53,57,52,101,45,49,51,10,
      32,32,53,46,53,50,48,49,56,101,45,49,51,32,53,46,52,55,57,57,55,101,45,49,51,
      32,53,46,52,50,54,49,101,45,49,51,32,53,46,51,53,57,50,53,101,45,49,51,32,53,
      46,50,56,48,49,52,101,45,49,51,32,53,46,49,56,57,55,101,45,49,51,32,53,46,48,
      56,56,57,101,45,49,51,10,32,32,52,46,57,55,56,52,55,101,45,49,51,32,52,46,56,
      53,57,52,57,101,45,49,51,32,52,46,55,51,51,49,51,101,45,49,51,32,52,46,54,48,
      48,51,51,101,45,49,51,32,52,46,52,54,50,48,55,101,45,49,51,32,52,46,51,49,57,
      51,53,101,45,49,51,32,52,46,49,55,51,48,57,101,45,49,51,10,32,32,52,46,48,50,
      52,49,53,101,45,49,51,32,51,46,56,55,51,51,57,101,45,49,51,32,51,46,55,50,49,
      53,54,101,45,49,51,32,51,46,53,54,57,52,49,101,45,49,51,32,51,46,50,54,54,54,
      52,101,45,49,51,32,50,46,57,55,48,48,56,101,45,49,51,32,50,46,54,56,51,55,53,
      101,45,49,51,10,32,32,50,46,52,49,48,54,56,101,45,49,51,32,50,46,49,53,51,51,
      49,101,45,49,51,32,49,46,57,49,51,49,55,101,45,49,51,32,49,46,54,57,49,49,50,
      101,45,49,51,32,49,46,52,56,55,54,51,101,45,49,51,32,49,46,51,48,50,54,52,101,
      45,49,51,32,49,46,49,51,53,54,50,101,45,49,51,10,32,32,57,46,56,53,56,55,56,
      101,45,49,52,32,56,46,53,50,52,55,53,101,45,49,52,32,55,46,51,52,50,57,54,101,
      45,49,52,32,54,46,51,48,49,56,51,101,45,49,52,32,53,46,51,56,56,57,101,45,49,
      52,32,52,46,53,57,50,55,52,101,45,49,52,32,51,46,57,48,49,55,51,101,45,49,52,
      10,32,32,51,46,51,48,52,53,54,101,45,49,52,32,50,46,55,57,48,54,49,101,45,49,
      52,32,50,46,51,52,57,57,57,101,45,49,52,32,49,46,57,55,51,53,56,101,45,49,52,
      32,49,46,54,53,51,49,56,101,45,49,52,32,49,46,51,56,49,51,55,101,45,49,52,32,
      49,46,49,53,49,52,56,101,45,49,52,10,32,32,57,46,53,55,54,53,52,101,45,49,53,
      32,55,46,57,52,54,57,101,45,49,53,32,54,46,53,56,48,53,54,101,45,49,53,32,53,
      46,52,51,56,48,51,101,45,49,53,32,52,46,52,56,53,48,55,101,45,49,53,32,48,114,
      50,50,52,32,54,46,57,51,54,49,53,101,45,51,49,32,51,46,53,50,54,49,52,101,45,
      51,48,10,32,32,49,46,49,48,48,56,57,101,45,50,57,32,50,46,49,54,48,51,51,101,
      45,50,57,32,50,46,56,56,49,56,54,101,45,50,57,32,55,46,53,56,54,50,53,101,45,
      50,57,32,49,46,55,56,52,53,54,101,45,50,56,32,52,46,55,48,52,48,57,101,45,50,
      56,32,57,46,55,57,57,57,101,45,50,56,10,32,32,50,46,55,54,55,56,57,101,45,50,
      55,32,55,46,51,54,56,57,101,45,50,55,32,49,46,48,52,49,50,54,101,45,50,54,32,
      50,46,49,55,56,53,51,101,45,50,54,32,53,46,54,52,56,52,54,101,45,50,54,32,49,
      46,48,51,54,56,49,101,45,50,53,32,49,46,56,57,57,55,52,101,45,50,53,10,32,32,
      50,46,52,52,56,54,51,101,45,50,51,32,52,46,55,48,51,48,51,101,45,50,50,32,54,
      46,54,51,50,50,55,101,45,50,50,32,49,46,48,52,51,51,54,101,45,50,49,32,49,46,
      50,56,54,55,49,101,45,50,49,32,49,46,54,51,49,53,50,101,45,50,49,32,49,46,48,
      57,55,49,54,101,45,50,49,10,32,32,49,46,53,56,54,48,56,101,45,50,49,32,49,46,
      56,51,57,51,53,101,45,50,49,32,50,46,52,50,57,52,52,101,45,50,49,32,51,46,50,
      55,49,52,53,101,45,50,49,32,52,46,49,54,48,50,54,101,45,50,49,32,53,46,50,53,
      53,54,56,101,45,50,49,32,54,46,53,48,50,55,57,101,45,50,49,10,32,32,55,46,57,
      55,55,52,52,101,45,50,49,32,57,46,57,52,55,54,49,101,45,50,49,32,49,46,50,48,
      52,49,54,101,45,50,48,32,49,46,52,55,56,55,52,101,45,50,48,32,49,46,55,49,52,
      50,101,45,50,48,32,50,46,49,54,56,51,55,101,45,50,48,32,50,46,53,56,56,53,51,
      101,45,50,48,10,32,32,51,46,48,55,51,55,55,101,45,50,48,32,52,46,53,49,56,51,
      50,101,45,50,48,32,55,46,52,51,55,57,52,101,45,50,48,32,49,46,49,55,49,51,57,
      101,45,49,57,32,49,46,57,56,53,49,49,101,45,49,57,32,51,46,50,51,49,55,56,101,
      45,49,57,32,53,46,53,51,52,48,53,101,45,49,57,10,32,32,56,46,51,54,52,57,54,
      101,45,49,57,32,49,46,51,52,54,51,53,101,45,49,56,32,50,46,51,53,54,54,53,101,
      45,49,56,32,51,46,51,54,52,49,55,101,45,49,56,32,53,46,57,51,54,51,55,101,45,
      49,56,32,56,46,57,52,55,51,55,101,45,49,56,32,49,46,50,52,55,56,57,101,45,49,
      55,10,32,32,49,46,55,48,53,51,50,101,45,49,55,32,50,46,51,56,55,52,53,101,45,
      49,55,32,51,46,50,56,53,55,50,101,45,49,55,32,52,46,50,57,55,57,49,101,45,49,
      55,32,53,46,53,57,57,53,57,101,45,49,55,32,55,46,50,49,51,53,49,101,45,49,55,
      32,57,46,53,55,49,54,51,101,45,49,55,10,32,32,49,46,51,48,54,48,53,101,45,49,
      54,32,49,46,56,50,56,52,55,101,45,49,54,32,50,46,52,53,52,52,53,101,45,49,54,
      32,51,46,51,54,57,54,55,101,45,49,54,32,52,46,52,52,49,53,101,45,49,54,32,53,
      46,55,57,51,56,101,45,49,54,32,55,46,54,57,54,49,50,101,45,49,54,10,32,32,49,
      46,48,51,48,49,49,101,45,49,53,32,49,46,50,55,56,49,54,101,45,49,53,32,49,46,
      54,50,53,50,56,101,45,49,53,32,49,46,57,57,50,49,54,101,45,49,53,32,50,46,52,
      53,56,49,55,101,45,49,53,32,51,46,48,49,50,48,50,101,45,49,53,32,51,46,54,54,
      54,52,49,101,45,49,53,10,32,32,52,46,52,51,53,52,49,101,45,49,53,32,53,46,51,
      51,53,48,55,101,45,49,53,32,54,46,51,56,50,53,51,101,45,49,53,32,55,46,53,57,
      53,57,51,101,45,49,53,32,56,46,57,57,52,52,51,101,45,49,53,32,49,46,48,53,57,
      56,49,101,45,49,52,32,49,46,50,52,50,55,50,101,45,49,52,10,32,32,49,46,52,53,
      48,51,52,101,45,49,52,32,49,46,54,56,52,54,52,101,45,49,52,32,49,46,57,52,55,
      55,101,45,49,52,32,50,46,50,52,49,53,101,45,49,52,32,50,46,53,54,55,57,101,
      45,49,52,32,50,46,57,50,56,56,101,45,49,52,32,51,46,51,50,53,56,57,101,45,49,
      52,10,32,32,51,46,55,54,48,55,49,101,45,49,52,32,52,46,50,51,52,54,54,101,45,
      49,52,32,52,46,55,52,56,56,50,101,45,49,52,32,53,46,51,48,51,57,52,101,45,49,
      52,32,53,46,57,48,48,54,50,101,45,49,52,32,54,46,53,51,57,50,51,101,45,49,52,
      32,55,46,50,49,57,57,52,101,45,49,52,10,32,32,55,46,57,52,50,51,55,101,45,49,
      52,32,56,46,55,48,53,55,52,101,45,49,52,32,57,46,53,48,56,56,50,101,45,49,52,
      32,49,46,48,51,52,57,57,101,45,49,51,32,49,46,49,50,50,55,49,101,45,49,51,32,
      49,46,50,49,51,55,56,101,45,49,51,32,49,46,51,48,55,56,55,101,45,49,51,10,32,
      32,49,46,52,48,52,54,56,101,45,49,51,32,49,46,52,56,49,53,56,101,45,49,51,32,
      49,46,53,53,57,54,52,101,45,49,51,32,49,46,54,51,56,54,56,101,45,49,51,32,49,
      46,55,49,56,52,51,101,45,49,51,32,49,46,55,57,56,54,55,101,45,49,51,32,49,46,
      56,56,57,52,57,101,45,49,51,10,32,32,50,46,48,48,52,51,101,45,49,51,32,50,46,
      49,49,56,49,55,101,45,49,51,32,50,46,50,51,48,50,101,45,49,51,32,50,46,51,51,
      57,54,55,101,45,49,51,32,50,46,52,52,53,54,56,101,45,49,51,32,50,46,53,52,55,
      52,50,101,45,49,51,32,50,46,54,52,52,49,52,101,45,49,51,10,32,32,50,46,55,51,
      53,49,54,101,45,49,51,32,50,46,56,49,57,55,51,101,45,49,51,32,50,46,56,57,55,
      49,57,101,45,49,51,32,50,46,57,54,55,49,53,101,45,49,51,32,51,46,48,50,57,49,
      53,101,45,49,51,32,51,46,48,56,50,54,51,101,45,49,51,32,51,46,49,50,55,51,56,
      101,45,49,51,10,32,32,51,46,49,54,51,50,57,101,45,49,51,32,51,46,49,57,48,50,
      49,101,45,49,51,32,51,46,50,48,56,48,55,101,45,49,51,32,51,46,50,49,54,57,54,
      101,45,49,51,32,51,46,50,49,55,48,53,101,45,49,51,32,51,46,50,48,56,53,101,
      45,49,51,32,51,46,49,57,49,53,56,101,45,49,51,10,32,32,51,46,49,54,54,54,50,
      101,45,49,51,32,51,46,49,51,51,57,56,101,45,49,51,32,51,46,48,57,52,49,51,101,
      45,49,51,32,51,46,48,52,55,53,49,101,45,49,51,32,50,46,57,57,52,53,101,45,49,
      51,32,50,46,57,51,53,54,52,101,45,49,51,32,50,46,56,55,49,53,53,101,45,49,51,
      10,32,32,50,46,56,48,50,55,101,45,49,51,32,50,46,55,50,57,55,51,101,45,49,51,
      32,50,46,54,53,51,49,54,101,45,49,51,32,50,46,53,55,51,53,52,101,45,49,51,32,
      50,46,52,57,49,52,50,101,45,49,51,32,50,46,52,48,55,51,50,101,45,49,51,32,50,
      46,51,50,49,55,52,101,45,49,51,10,32,32,50,46,50,51,53,49,56,101,45,49,51,32,
      50,46,48,54,48,55,51,101,45,49,51,32,49,46,56,56,55,48,56,101,45,49,51,32,49,
      46,55,49,55,48,51,101,45,49,51,32,49,46,53,53,50,55,52,101,45,49,51,32,49,46,
      51,57,54,48,51,101,45,49,51,32,49,46,50,52,56,50,54,101,45,49,51,10,32,32,49,
      46,49,49,48,50,54,101,45,49,51,32,57,46,56,50,53,52,52,101,45,49,52,32,56,46,
      54,53,51,56,50,101,45,49,52,32,55,46,53,56,55,50,101,45,49,52,32,54,46,54,50,
      51,49,55,101,45,49,52,32,53,46,55,53,55,55,49,101,45,49,52,32,52,46,57,56,53,
      52,55,101,45,49,52,10,32,32,52,46,51,48,48,50,55,101,45,49,52,32,51,46,54,57,
      53,50,57,101,45,49,52,32,51,46,49,54,52,52,101,45,49,52,32,50,46,55,48,48,56,
      50,101,45,49,52,32,50,46,50,57,55,56,54,101,45,49,52,32,49,46,57,52,57,48,53,
      101,45,49,52,32,49,46,54,52,56,51,54,101,45,49,52,10,32,32,49,46,51,57,48,49,
      51,101,45,49,52,32,49,46,49,54,57,50,49,101,45,49,52,32,57,46,56,48,56,53,57,
      101,45,49,53,32,56,46,50,48,56,48,49,101,45,49,53,32,54,46,56,53,49,57,54,101,
      45,49,53,32,53,46,55,48,54,55,57,101,45,49,53,32,52,46,55,52,50,53,52,101,45,
      49,53,10,32,32,51,46,57,51,50,55,55,101,45,49,53,32,51,46,50,53,52,54,101,45,
      49,53,32,48,114,50,50,52,32,50,46,50,50,54,48,55,101,45,51,49,32,49,46,49,53,
      56,52,54,101,45,51,48,32,51,46,54,53,56,55,50,101,45,51,48,32,55,46,50,53,51,
      56,50,101,45,51,48,32,57,46,55,52,56,101,45,51,48,10,32,32,50,46,53,57,51,53,
      51,101,45,50,57,32,54,46,49,53,55,54,57,101,45,50,57,32,49,46,54,52,48,51,52,
      101,45,50,56,32,51,46,52,52,52,55,50,101,45,50,56,32,57,46,56,52,49,53,56,101,
      45,50,56,32,50,46,54,53,50,53,57,101,45,50,55,32,51,46,55,55,48,50,51,101,45,
      50,55,10,32,32,55,46,57,57,48,55,51,101,45,50,55,32,50,46,49,48,55,55,51,101,
      45,50,54,32,51,46,57,49,50,51,101,45,50,54,32,55,46,50,52,57,56,50,101,45,50,
      54,32,49,46,48,48,56,48,52,101,45,50,51,32,50,46,48,52,49,50,52,101,45,50,50,
      32,50,46,57,48,56,54,55,101,45,50,50,10,32,32,52,46,54,51,57,48,50,101,45,50,
      50,32,53,46,55,53,55,50,49,101,45,50,50,32,55,46,51,53,48,52,54,101,45,50,50,
      32,52,46,56,55,51,56,56,101,45,50,50,32,55,46,49,50,52,50,55,101,45,50,50,32,
      56,46,50,57,57,51,52,101,45,50,50,32,49,46,49,48,53,54,52,101,45,50,49,10,32,
      32,49,46,53,48,50,55,57,101,45,50,49,32,49,46,57,50,53,54,54,101,45,50,49,32,
      50,46,52,53,48,57,53,101,45,50,49,32,51,46,48,53,51,53,55,101,45,50,49,32,51,
      46,55,55,49,53,57,101,45,50,49,32,52,46,55,51,55,57,53,101,45,50,49,32,53,46,
      55,55,50,52,50,101,45,50,49,10,32,32,55,46,49,51,56,48,54,101,45,50,49,32,56,
      46,51,49,54,52,49,101,45,50,49,32,49,46,48,54,48,53,53,101,45,50,48,32,49,46,
      50,55,50,49,51,101,45,50,48,32,49,46,53,49,57,55,53,101,45,50,48,32,50,46,50,
      54,52,57,51,101,45,50,48,32,51,46,55,57,55,50,50,101,45,50,48,10,32,32,54,46,
      48,56,50,54,49,101,45,50,48,32,49,46,48,53,49,57,49,101,45,49,57,32,49,46,55,
      52,53,54,53,101,45,49,57,32,51,46,48,53,52,51,52,101,45,49,57,32,52,46,54,57,
      52,54,49,101,45,49,57,32,55,46,52,50,54,51,55,101,45,49,57,32,49,46,51,52,51,
      52,49,101,45,49,56,10,32,32,49,46,57,53,55,49,53,101,45,49,56,32,51,46,54,55,
      48,52,57,101,45,49,56,32,53,46,54,49,55,50,50,101,45,49,56,32,55,46,57,50,53,
      55,57,101,45,49,56,32,49,46,48,57,51,56,51,101,45,49,55,32,49,46,53,52,53,53,
      101,45,49,55,32,50,46,49,52,49,55,101,45,49,55,10,32,32,50,46,56,49,50,57,55,
      101,45,49,55,32,51,46,54,56,49,48,50,101,45,49,55,32,52,46,55,52,56,57,56,101,
      45,49,55,32,54,46,51,48,55,50,53,101,45,49,55,32,56,46,54,49,48,49,51,101,45,
      49,55,32,49,46,50,48,53,55,52,101,45,49,54,32,49,46,54,49,57,51,54,101,45,49,
      54,10,32,32,50,46,50,50,53,56,56,101,45,49,54,32,50,46,57,51,57,54,57,101,45,
      49,54,32,51,46,56,52,51,53,57,101,45,49,54,32,53,46,49,50,49,51,55,101,45,49,
      54,32,54,46,56,55,57,55,55,101,45,49,54,32,56,46,53,54,48,54,57,101,45,49,54,
      32,49,46,48,57,50,49,56,101,45,49,53,10,32,32,49,46,51,52,50,53,56,101,45,49,
      53,32,49,46,54,54,49,53,51,101,45,49,53,32,50,46,48,52,49,53,49,101,45,49,53,
      32,50,46,52,57,49,50,57,101,45,49,53,32,51,46,48,50,48,54,53,101,45,49,53,32,
      51,46,54,52,49,48,57,101,45,49,53,32,52,46,51,54,52,55,57,101,45,49,53,10,32,
      32,53,46,50,48,52,56,57,101,45,49,53,32,54,46,49,55,53,48,49,101,45,49,53,32,
      55,46,50,56,57,55,57,101,45,49,53,32,56,46,53,54,52,50,51,101,45,49,53,32,49,
      46,48,48,49,52,52,101,45,49,52,32,49,46,49,54,53,52,56,101,45,49,52,32,49,46,
      51,53,48,49,55,101,45,49,52,10,32,32,49,46,53,53,55,48,53,101,45,49,52,32,49,
      46,55,56,55,53,51,101,45,49,52,32,50,46,48,52,51,49,51,101,45,49,52,32,50,46,
      51,50,53,49,55,101,45,49,52,32,50,46,54,51,52,57,101,45,49,52,32,50,46,57,55,
      51,52,101,45,49,52,32,51,46,51,52,49,53,56,101,45,49,52,10,32,32,51,46,55,52,
      48,49,52,101,45,49,52,32,52,46,49,54,57,55,101,45,49,52,32,52,46,54,51,48,55,
      53,101,45,49,52,32,53,46,49,50,51,53,101,45,49,52,32,53,46,54,52,56,48,50,101,
      45,49,52,32,54,46,50,48,52,101,45,49,52,32,54,46,55,57,48,54,57,101,45,49,52,
      10,32,32,55,46,52,48,55,101,45,49,52,32,56,46,48,53,49,55,53,101,45,49,52,32,
      56,46,55,50,51,51,51,101,45,49,52,32,57,46,52,49,57,54,51,101,45,49,52,32,49,
      46,48,49,51,56,51,101,45,49,51,32,49,46,48,55,49,48,57,101,45,49,51,32,49,46,
      49,50,57,52,101,45,49,51,10,32,32,49,46,49,56,56,54,101,45,49,51,32,49,46,50,
      52,56,53,50,101,45,49,51,32,49,46,51,48,57,48,49,101,45,49,51,32,49,46,51,55,
      55,55,50,101,45,49,51,32,49,46,52,54,52,57,54,101,45,49,51,32,49,46,53,53,49,
      57,50,101,45,49,51,32,49,46,54,51,55,57,57,101,45,49,51,10,32,32,49,46,55,50,
      50,53,53,101,45,49,51,32,49,46,56,48,52,57,53,101,45,49,51,32,49,46,56,56,52,
      53,57,101,45,49,51,32,49,46,57,54,48,57,52,101,45,49,51,32,50,46,48,51,51,52,
      101,45,49,51,32,50,46,49,48,49,52,49,101,45,49,51,32,50,46,49,54,52,52,56,101,
      45,49,51,10,32,32,50,46,50,50,50,50,51,101,45,49,51,32,50,46,50,55,52,49,57,
      101,45,49,51,32,50,46,51,50,101,45,49,51,32,50,46,51,53,57,52,51,101,45,49,
      51,32,50,46,51,57,50,50,55,101,45,49,51,32,50,46,52,49,56,51,54,101,45,49,51,
      32,50,46,52,51,55,54,52,101,45,49,51,10,32,32,50,46,52,53,48,49,53,101,45,49,
      51,32,50,46,52,53,53,57,49,101,45,49,51,32,50,46,52,53,52,57,57,101,45,49,51,
      32,50,46,52,52,55,53,51,101,45,49,51,32,50,46,52,51,51,55,53,101,45,49,51,32,
      50,46,52,49,51,57,51,101,45,49,51,32,50,46,51,56,56,50,56,101,45,49,51,10,32,
      32,50,46,51,53,55,49,56,101,45,49,51,32,50,46,51,50,49,48,51,101,45,49,51,32,
      50,46,50,56,48,49,55,101,45,49,51,32,50,46,50,51,53,48,49,101,45,49,51,32,50,
      46,49,56,53,57,54,101,45,49,51,32,50,46,49,51,51,52,49,101,45,49,51,32,50,46,
      48,55,55,55,57,101,45,49,51,10,32,32,50,46,48,49,57,52,57,101,45,49,51,32,49,
      46,57,53,56,57,51,101,45,49,51,32,49,46,56,57,54,53,51,101,45,49,51,32,49,46,
      56,51,50,54,53,101,45,49,51,32,49,46,55,54,55,54,56,101,45,49,51,32,49,46,54,
      51,53,55,53,101,45,49,51,32,49,46,53,48,51,51,49,101,45,49,51,10,32,32,49,46,
      51,55,50,54,50,101,45,49,51,32,49,46,50,52,53,53,55,101,45,49,51,32,49,46,49,
      50,51,54,52,101,45,49,51,32,49,46,48,48,55,56,57,101,45,49,51,32,56,46,57,57,
      50,51,50,101,45,49,52,32,55,46,57,56,49,57,49,101,45,49,52,32,55,46,48,53,48,
      50,54,101,45,49,52,10,32,32,54,46,49,57,56,52,49,101,45,49,52,32,53,46,52,50,
      53,51,53,101,45,49,52,32,52,46,55,50,56,54,55,101,45,49,52,32,52,46,49,48,52,
      56,51,101,45,49,52,32,51,46,53,52,57,52,54,101,45,49,52,32,51,46,48,53,55,55,
      52,101,45,49,52,32,50,46,54,50,52,56,55,101,45,49,52,10,32,32,50,46,50,52,53,
      54,56,101,45,49,52,32,49,46,57,49,53,48,52,101,45,49,52,32,49,46,54,50,56,101,
      45,49,52,32,49,46,51,55,57,56,53,101,45,49,52,32,49,46,49,54,54,49,52,101,45,
      49,52,32,57,46,56,50,55,57,55,101,45,49,53,32,56,46,50,54,48,56,50,101,45,49,
      53,10,32,32,54,46,57,50,53,57,55,101,45,49,53,32,53,46,55,57,50,54,54,101,45,
      49,53,32,52,46,56,51,51,52,101,45,49,53,32,52,46,48,50,51,57,54,101,45,49,53,
      32,51,46,51,52,50,55,51,101,45,49,53,32,50,46,55,55,49,48,54,101,45,49,53,32,
      48,114,50,50,53,32,52,46,48,51,54,49,57,101,45,51,49,10,32,32,49,46,50,57,52,
      52,101,45,51,48,32,50,46,53,55,53,48,54,101,45,51,48,32,51,46,52,53,56,54,57,
      101,45,51,48,32,57,46,51,49,51,54,49,101,45,51,48,32,50,46,50,51,53,49,51,101,
      45,50,57,32,54,46,48,50,55,49,54,101,45,50,57,32,49,46,50,55,55,52,56,101,45,
      50,56,10,32,32,51,46,54,57,56,54,49,101,45,50,56,32,49,46,48,49,48,50,50,101,
      45,50,55,32,49,46,52,52,51,55,57,101,45,50,55,32,51,46,48,57,55,52,53,101,45,
      50,55,32,56,46,51,48,51,52,101,45,50,55,32,49,46,53,53,55,53,50,101,45,50,54,
      32,50,46,57,49,55,48,50,101,45,50,54,10,32,32,52,46,51,51,52,56,101,45,50,52,
      32,57,46,49,57,57,48,53,101,45,50,51,32,49,46,51,50,51,52,54,101,45,50,50,32,
      50,46,49,51,55,56,50,101,45,50,50,32,50,46,54,54,56,55,57,101,45,50,50,32,51,
      46,52,50,57,51,50,101,45,50,50,32,50,46,50,52,52,49,57,101,45,50,50,10,32,32,
      51,46,51,49,52,52,56,101,45,50,50,32,51,46,56,55,55,52,54,101,45,50,50,32,53,
      46,50,48,54,55,56,101,45,50,50,32,55,46,49,51,56,50,57,101,45,50,50,32,57,46,
      50,49,50,50,57,101,45,50,50,32,49,46,49,56,48,55,55,101,45,50,49,32,49,46,52,
      56,48,54,52,101,45,50,49,10,32,32,49,46,56,52,48,50,57,101,45,50,49,32,50,46,
      51,50,55,55,51,101,45,50,49,32,50,46,56,53,51,48,57,101,45,50,49,32,51,46,53,
      53,49,51,50,101,45,50,49,32,52,46,49,53,55,52,49,101,45,50,49,32,53,46,51,52,
      50,53,53,101,45,50,49,32,54,46,52,51,55,52,49,101,45,50,49,10,32,32,55,46,55,
      51,51,54,56,101,45,50,49,32,49,46,49,54,55,51,57,101,45,50,48,32,49,46,57,57,
      48,55,56,101,45,50,48,32,51,46,50,52,48,52,52,101,45,50,48,32,53,46,55,49,49,
      52,51,101,45,50,48,32,57,46,54,53,49,51,50,101,45,50,48,32,49,46,55,50,51,53,
      52,101,45,49,57,10,32,32,50,46,54,57,49,54,50,101,45,49,57,32,52,46,49,53,55,
      52,53,101,45,49,57,32,55,46,55,55,49,52,54,101,45,49,57,32,49,46,49,53,53,54,
      51,101,45,49,56,32,50,46,51,49,50,54,57,101,45,49,56,32,51,46,53,57,50,49,50,
      101,45,49,56,32,53,46,49,50,55,51,52,101,45,49,56,10,32,32,55,46,49,52,57,49,
      55,101,45,49,56,32,49,46,48,50,48,49,101,45,49,55,32,49,46,52,50,52,53,53,101,
      45,49,55,32,49,46,56,56,49,48,55,101,45,49,55,32,50,46,52,55,54,49,57,101,45,
      49,55,32,51,46,50,48,49,53,53,101,45,49,55,32,52,46,50,53,56,54,57,101,45,49,
      55,10,32,32,53,46,56,49,56,56,53,101,45,49,55,32,56,46,49,53,51,53,52,101,45,
      49,55,32,49,46,48,57,53,54,49,101,45,49,54,32,49,46,53,48,55,50,51,101,45,49,
      54,32,49,46,57,57,51,50,57,101,45,49,54,32,50,46,54,49,48,52,51,101,45,49,54,
      32,51,46,52,56,54,51,51,101,45,49,54,10,32,32,52,46,54,57,55,57,53,101,45,49,
      54,32,53,46,56,54,48,52,56,101,45,49,54,32,55,46,52,57,57,54,51,101,45,49,54,
      32,57,46,50,52,51,54,50,101,45,49,54,32,49,46,49,52,55,49,50,101,45,49,53,32,
      49,46,52,49,51,49,50,101,45,49,53,32,49,46,55,50,56,52,57,101,45,49,53,10,32,
      32,50,46,49,48,48,52,51,101,45,49,53,32,50,46,53,51,55,50,54,101,45,49,53,32,
      51,46,48,52,55,55,55,101,45,49,53,32,51,46,54,52,49,51,55,101,45,49,53,32,52,
      46,51,50,56,48,57,101,45,49,53,32,53,46,49,49,56,56,101,45,49,53,32,54,46,48,
      50,52,55,56,101,45,49,53,10,32,32,55,46,48,53,56,48,52,101,45,49,53,32,56,46,
      50,50,57,53,49,101,45,49,53,32,57,46,53,53,49,54,49,101,45,49,53,32,49,46,49,
      48,51,54,52,101,45,49,52,32,49,46,50,54,57,53,49,101,45,49,52,32,49,46,52,53,
      51,57,52,101,45,49,52,32,49,46,54,53,55,57,56,101,45,49,52,10,32,32,49,46,56,
      56,50,54,51,101,45,49,52,32,50,46,49,50,56,55,101,45,49,52,32,50,46,51,57,54,
      57,54,101,45,49,52,32,50,46,54,56,56,49,52,101,45,49,52,32,51,46,48,48,50,56,
      56,101,45,49,52,32,51,46,51,52,49,54,54,101,45,49,52,32,51,46,55,48,52,53,51,
      101,45,49,52,10,32,32,52,46,48,57,49,55,55,101,45,49,52,32,52,46,53,48,51,51,
      49,101,45,49,52,32,52,46,57,51,56,55,53,101,45,49,52,32,53,46,51,57,55,52,52,
      101,45,49,52,32,53,46,56,55,56,55,49,101,45,49,52,32,54,46,51,56,49,50,57,101,
      45,49,52,32,54,46,57,48,51,57,51,101,45,49,52,10,32,32,55,46,52,52,53,49,101,
      45,49,52,32,55,46,56,55,55,54,56,101,45,49,52,32,56,46,51,49,57,51,101,45,49,
      52,32,56,46,55,54,56,57,56,101,45,49,52,32,57,46,50,50,53,52,52,101,45,49,52,
      32,57,46,54,56,55,51,56,101,45,49,52,32,49,46,48,50,49,51,56,101,45,49,51,10,
      32,32,49,46,48,56,56,52,55,101,45,49,51,32,49,46,49,53,53,54,51,101,45,49,51,
      32,49,46,50,50,50,52,52,101,45,49,51,32,49,46,50,56,56,52,50,101,45,49,51,32,
      49,46,51,53,51,49,101,45,49,51,32,49,46,52,49,54,48,51,101,45,49,51,32,49,46,
      52,55,54,55,55,101,45,49,51,10,32,32,49,46,53,51,52,56,52,101,45,49,51,32,49,
      46,53,56,57,55,57,101,45,49,51,32,49,46,54,52,49,50,52,101,45,49,51,32,49,46,
      54,56,56,56,51,101,45,49,51,32,49,46,55,51,50,50,49,101,45,49,51,32,49,46,55,
      55,49,48,57,101,45,49,51,32,49,46,56,48,53,49,55,101,45,49,51,10,32,32,49,46,
      56,51,52,51,52,101,45,49,51,32,49,46,56,53,56,52,53,101,45,49,51,32,49,46,56,
      55,55,51,56,101,45,49,51,32,49,46,56,57,49,49,49,101,45,49,51,32,49,46,56,57,
      57,53,57,101,45,49,51,32,49,46,57,48,50,57,51,101,45,49,51,32,49,46,57,48,49,
      50,101,45,49,51,10,32,32,49,46,56,57,52,53,53,101,45,49,51,32,49,46,56,56,51,
      48,56,101,45,49,51,32,49,46,56,54,55,48,51,101,45,49,51,32,49,46,56,52,54,54,
      101,45,49,51,32,49,46,56,50,50,48,54,101,45,49,51,32,49,46,55,57,51,54,55,101,
      45,49,51,32,49,46,55,54,49,55,101,45,49,51,10,32,32,49,46,55,50,54,52,53,101,
      45,49,51,32,49,46,54,56,56,50,49,101,45,49,51,32,49,46,54,52,55,51,101,45,49,
      51,32,49,46,54,48,52,48,56,101,45,49,51,32,49,46,53,53,56,56,54,101,45,49,51,
      32,49,46,53,49,49,57,51,101,45,49,51,32,49,46,52,54,51,53,57,101,45,49,51,10,
      32,32,49,46,52,49,52,49,53,101,45,49,51,32,49,46,51,49,51,49,49,101,45,49,51,
      32,49,46,50,49,48,56,54,101,45,49,51,32,49,46,49,48,57,50,101,45,49,51,32,49,
      46,48,48,57,55,101,45,49,51,32,57,46,49,51,54,51,49,101,45,49,52,32,56,46,50,
      50,48,48,50,101,45,49,52,10,32,32,55,46,51,53,53,53,50,101,45,49,52,32,54,46,
      53,52,55,53,54,101,45,49,52,32,53,46,55,57,57,54,53,101,45,49,52,32,53,46,49,
      49,50,57,57,101,45,49,52,32,52,46,52,56,55,51,50,101,45,49,52,32,51,46,57,50,
      49,51,51,101,45,49,52,32,51,46,52,49,50,53,55,101,45,49,52,10,32,32,50,46,57,
      53,55,56,57,101,45,49,52,32,50,46,53,53,52,48,49,101,45,49,52,32,50,46,49,57,
      55,51,56,101,45,49,52,32,49,46,56,56,52,48,52,101,45,49,52,32,49,46,54,49,48,
      48,54,101,45,49,52,32,49,46,51,55,49,53,56,101,45,49,52,32,49,46,49,54,52,56,
      55,101,45,49,52,10,32,32,57,46,56,54,52,50,51,101,45,49,53,32,56,46,51,50,57,
      54,56,101,45,49,53,32,55,46,48,49,52,56,54,101,45,49,53,32,53,46,56,57,50,51,
      50,101,45,49,53,32,52,46,57,51,55,49,51,101,45,49,53,32,52,46,49,50,54,56,55,
      101,45,49,53,32,51,46,52,52,49,53,57,101,45,49,53,10,32,32,50,46,56,54,51,55,
      53,101,45,49,53,32,50,46,51,55,55,56,53,101,45,49,53,32,48,114,50,50,54,32,
      50,46,52,51,54,51,50,101,45,51,49,32,52,46,57,49,52,55,55,101,45,51,49,32,54,
      46,54,51,55,48,51,101,45,51,49,32,49,46,56,49,53,55,53,101,45,51,48,32,52,46,
      52,49,56,54,54,101,45,51,48,10,32,32,49,46,50,49,48,53,52,101,45,50,57,32,50,
      46,53,57,54,56,54,101,45,50,57,32,55,46,54,52,57,52,50,101,45,50,57,32,50,46,
      49,50,56,50,52,101,45,50,56,32,51,46,48,54,56,51,55,101,45,50,56,32,54,46,55,
      49,48,56,52,101,45,50,56,32,49,46,56,52,53,52,51,101,45,50,55,10,32,32,51,46,
      53,49,57,52,51,101,45,50,55,32,54,46,55,48,50,52,56,101,45,50,55,32,49,46,49,
      48,54,52,54,101,45,50,52,32,50,46,53,50,56,55,55,101,45,50,51,32,51,46,54,57,
      51,54,56,101,45,50,51,32,54,46,48,56,55,52,52,101,45,50,51,32,55,46,54,55,48,
      48,56,101,45,50,51,10,32,32,57,46,57,53,53,56,53,101,45,50,51,32,54,46,51,56,
      50,48,52,101,45,50,51,32,57,46,53,56,48,50,52,101,45,50,51,32,49,46,49,50,56,
      49,55,101,45,50,50,32,49,46,53,51,52,49,51,101,45,50,50,32,50,46,49,51,50,50,
      49,101,45,50,50,32,50,46,55,56,50,54,57,101,45,50,50,10,32,32,51,46,54,48,54,
      49,56,101,45,50,50,32,52,46,53,54,56,48,56,101,45,50,50,32,53,46,55,51,51,57,
      50,101,45,50,50,32,55,46,51,51,49,52,101,45,50,50,32,57,46,48,55,49,52,52,101,
      45,50,50,32,49,46,49,52,48,56,53,101,45,50,49,32,49,46,51,52,53,53,55,101,45,
      50,49,10,32,32,49,46,55,53,48,49,49,101,45,50,49,32,50,46,49,50,51,57,49,101,
      45,50,49,32,50,46,53,55,52,55,50,101,45,50,49,32,51,46,57,54,54,56,55,101,45,
      50,49,32,54,46,57,52,57,55,51,101,45,50,49,32,49,46,49,54,48,49,55,101,45,50,
      48,32,50,46,49,48,55,55,49,101,45,50,48,10,32,32,51,46,54,54,53,54,101,45,50,
      48,32,54,46,55,54,51,52,52,101,45,50,48,32,49,46,48,56,51,52,49,101,45,49,57,
      32,49,46,53,56,55,55,51,101,45,49,57,32,51,46,49,51,54,52,55,101,45,49,57,32,
      52,46,56,50,54,49,51,101,45,49,57,32,49,46,48,56,56,49,52,101,45,49,56,10,32,
      32,49,46,55,51,48,54,52,101,45,49,56,32,50,46,53,49,56,48,57,101,45,49,56,32,
      51,46,53,55,49,52,55,101,45,49,56,32,53,46,49,56,51,55,101,45,49,56,32,55,46,
      51,52,50,54,101,45,49,56,32,57,46,55,57,49,57,54,101,45,49,56,32,49,46,51,48,
      52,57,54,101,45,49,55,10,32,32,49,46,54,57,53,56,53,101,45,49,55,32,50,46,50,
      54,52,54,50,101,45,49,55,32,51,46,49,48,50,48,53,101,45,49,55,32,52,46,51,53,
      50,57,101,45,49,55,32,53,46,56,53,52,56,55,101,45,49,55,32,56,46,48,54,53,53,
      53,101,45,49,55,32,49,46,48,54,56,56,57,101,45,49,54,10,32,32,49,46,52,48,50,
      56,55,101,45,49,54,32,49,46,56,55,57,54,54,101,45,49,54,32,50,46,53,52,52,52,
      49,101,45,49,54,32,51,46,49,56,53,56,56,101,45,49,54,32,52,46,48,57,53,55,52,
      101,45,49,54,32,53,46,48,54,56,55,52,101,45,49,54,32,54,46,51,49,55,52,49,101,
      45,49,54,10,32,32,55,46,56,49,52,57,55,101,45,49,54,32,57,46,53,57,56,50,101,
      45,49,54,32,49,46,49,55,48,57,50,101,45,49,53,32,49,46,52,49,57,54,54,101,45,
      49,53,32,49,46,55,49,49,50,49,101,45,49,53,32,50,46,48,53,49,50,52,101,45,49,
      53,32,50,46,52,52,53,57,50,101,45,49,53,10,32,32,50,46,57,48,49,56,101,45,49,
      53,32,51,46,52,50,53,55,57,101,45,49,53,32,52,46,48,50,53,51,55,101,45,49,53,
      32,52,46,55,48,55,55,49,101,45,49,53,32,53,46,52,56,48,55,101,45,49,53,32,54,
      46,51,53,50,48,57,101,45,49,53,32,55,46,51,50,57,50,53,101,45,49,53,10,32,32,
      56,46,52,50,48,48,53,101,45,49,53,32,57,46,54,51,49,53,51,101,45,49,53,32,49,
      46,48,57,55,48,55,101,45,49,52,32,49,46,50,52,52,51,55,101,45,49,52,32,49,46,
      52,48,53,54,55,101,45,49,52,32,49,46,53,56,49,53,52,101,45,49,52,32,49,46,55,
      55,50,52,51,101,45,49,52,10,32,32,49,46,57,55,56,54,54,101,45,49,52,32,50,46,
      50,48,48,53,53,101,45,49,52,32,50,46,52,51,56,51,101,45,49,52,32,50,46,54,57,
      49,57,49,101,45,49,52,32,50,46,57,54,49,51,50,101,45,49,52,32,51,46,50,52,54,
      52,50,101,45,49,52,32,51,46,53,52,54,56,54,101,45,49,52,10,32,32,51,46,56,54,
      50,48,56,101,45,49,52,32,52,46,49,57,49,51,55,101,45,49,52,32,52,46,53,51,51,
      56,55,101,45,49,52,32,52,46,56,48,56,56,52,101,45,49,52,32,53,46,48,57,48,54,
      52,101,45,49,52,32,53,46,51,55,56,55,54,101,45,49,52,32,53,46,54,55,50,52,101,
      45,49,52,10,32,32,53,46,57,55,48,56,55,101,45,49,52,32,54,46,51,49,50,52,49,
      101,45,49,52,32,54,46,55,53,48,50,57,101,45,49,52,32,55,46,49,57,49,56,56,101,
      45,49,52,32,55,46,54,51,52,52,57,101,45,49,52,32,56,46,48,55,53,49,55,101,45,
      49,52,32,56,46,53,49,48,56,56,101,45,49,52,10,32,32,56,46,57,51,56,53,52,101,
      45,49,52,32,57,46,51,53,53,50,56,101,45,49,52,32,57,46,55,53,55,56,56,101,45,
      49,52,32,49,46,48,49,52,51,52,101,45,49,51,32,49,46,48,53,48,56,57,101,45,49,
      51,32,49,46,48,56,53,50,49,101,45,49,51,32,49,46,49,49,55,48,53,101,45,49,51,
      10,32,32,49,46,49,52,54,49,55,101,45,49,51,32,49,46,49,55,50,52,49,101,45,49,
      51,32,49,46,49,57,53,53,57,101,45,49,51,32,49,46,50,49,53,53,54,101,45,49,51,
      32,49,46,50,51,50,50,53,101,45,49,51,32,49,46,50,52,53,53,57,101,45,49,51,32,
      49,46,50,53,53,53,50,101,45,49,51,10,32,32,49,46,50,54,50,48,54,101,45,49,51,
      32,49,46,50,54,53,50,50,101,45,49,51,32,49,46,50,54,53,48,52,101,45,49,51,32,
      49,46,50,54,49,54,49,101,45,49,51,32,49,46,50,53,53,48,49,101,45,49,51,32,49,
      46,50,52,53,51,54,101,45,49,51,32,49,46,50,51,50,56,49,101,45,49,51,10,32,32,
      49,46,50,49,55,52,52,101,45,49,51,32,49,46,49,57,57,53,101,45,49,51,32,49,46,
      49,55,57,49,52,101,45,49,51,32,49,46,49,53,54,53,56,101,45,49,51,32,49,46,49,
      51,49,57,56,101,45,49,51,32,49,46,49,48,53,53,55,101,45,49,51,32,49,46,48,55,
      55,53,53,101,45,49,51,10,32,32,49,46,48,52,56,49,54,101,45,49,51,32,49,46,48,
      49,55,54,101,45,49,51,32,57,46,56,54,48,52,55,101,45,49,52,32,57,46,50,48,55,
      51,53,101,45,49,52,32,56,46,53,51,54,55,101,45,49,52,32,55,46,56,54,49,52,49,
      101,45,49,52,32,55,46,49,57,51,49,52,101,45,49,52,10,32,32,54,46,53,52,49,53,
      50,101,45,49,52,32,53,46,57,49,52,49,50,101,45,49,52,32,53,46,51,49,55,50,51,
      101,45,49,52,32,52,46,55,53,53,50,53,101,45,49,52,32,52,46,50,51,49,48,52,101,
      45,49,52,32,51,46,55,52,54,49,55,101,45,49,52,32,51,46,51,48,49,52,52,101,45,
      49,52,10,32,32,50,46,56,57,54,53,54,101,45,49,52,32,50,46,53,51,48,54,51,101,
      45,49,52,32,50,46,50,48,50,48,52,101,45,49,52,32,49,46,57,48,56,55,51,101,45,
      49,52,32,49,46,54,52,56,51,52,101,45,49,52,32,49,46,52,49,56,51,57,101,45,49,
      52,32,49,46,50,49,54,51,52,101,45,49,52,10,32,32,49,46,48,51,57,54,57,101,45,
      49,52,32,56,46,56,53,57,49,50,101,45,49,53,32,55,46,53,50,54,49,54,101,45,49,
      53,32,54,46,51,55,53,51,55,101,45,49,53,32,53,46,51,56,53,52,55,101,45,49,53,
      32,52,46,53,51,55,49,55,101,45,49,53,32,51,46,56,49,50,54,57,101,45,49,53,10,
      32,32,51,46,49,57,53,57,56,101,45,49,53,32,50,46,54,55,50,54,57,101,45,49,53,
      32,50,46,50,50,57,57,52,101,45,49,53,32,49,46,56,53,54,52,55,101,45,49,53,32,
      48,114,50,50,54,32,51,46,56,52,55,53,53,101,45,51,50,32,55,46,56,56,48,54,57,
      101,45,51,50,32,49,46,48,55,48,53,51,101,45,51,49,10,32,32,50,46,57,55,56,49,
      101,45,51,49,32,55,46,51,53,52,54,50,101,45,51,49,32,50,46,48,52,56,56,52,101,
      45,51,48,32,52,46,52,53,49,51,53,101,45,51,48,32,49,46,51,51,53,51,50,101,45,
      50,57,32,51,46,55,56,57,49,53,101,45,50,57,32,53,46,53,49,52,55,101,45,50,57,
      10,32,32,49,46,50,51,49,53,54,101,45,50,56,32,51,46,52,56,50,52,52,101,45,50,
      56,32,54,46,55,54,50,49,55,101,45,50,56,32,49,46,51,49,49,52,51,101,45,50,55,
      32,50,46,52,49,56,52,53,101,45,50,53,32,53,46,57,55,55,54,53,101,45,50,52,32,
      56,46,56,55,53,54,57,101,45,50,52,10,32,32,49,46,52,57,52,56,53,101,45,50,51,
      32,49,46,57,48,50,52,50,101,45,50,51,32,50,46,52,57,54,52,56,101,45,50,51,32,
      49,46,53,54,52,57,57,101,45,50,51,32,50,46,51,57,48,56,55,101,45,50,51,32,50,
      46,56,51,53,55,51,101,45,50,51,32,51,46,57,48,56,56,57,101,45,50,51,10,32,32,
      53,46,53,49,51,53,101,45,50,51,32,55,46,50,56,51,49,55,101,45,50,51,32,57,46,
      53,53,49,53,53,101,45,50,51,32,49,46,50,50,51,51,49,101,45,50,50,32,49,46,53,
      53,50,48,50,101,45,50,50,32,50,46,48,48,55,55,52,101,45,50,50,32,50,46,53,48,
      57,55,52,101,45,50,50,10,32,32,51,46,49,57,49,53,55,101,45,50,50,32,51,46,55,
      57,52,56,53,101,45,50,50,32,53,46,48,48,48,51,52,101,45,50,50,32,54,46,49,49,
      52,56,57,101,45,50,50,32,55,46,52,56,52,57,56,101,45,50,50,32,49,46,49,55,56,
      57,56,101,45,50,49,32,50,46,49,50,55,49,101,45,50,49,10,32,32,51,46,54,53,48,
      51,56,101,45,50,49,32,54,46,56,53,52,57,49,101,45,50,49,32,49,46,50,51,48,50,
      54,101,45,50,48,32,50,46,51,53,50,52,57,101,45,50,48,32,51,46,56,55,53,54,54,
      101,45,50,48,32,53,46,50,52,55,56,52,101,45,50,48,32,49,46,49,48,53,50,49,101,
      45,49,57,10,32,32,49,46,55,55,48,49,56,101,45,49,57,32,52,46,54,53,52,56,56,
      101,45,49,57,32,55,46,53,57,55,50,54,101,45,49,57,32,49,46,49,50,57,51,56,101,
      45,49,56,32,49,46,54,51,52,51,54,101,45,49,56,32,50,46,52,50,49,48,49,101,45,
      49,56,32,51,46,52,57,48,54,56,101,45,49,56,10,32,32,52,46,55,49,55,52,54,101,
      45,49,56,32,54,46,52,48,53,53,54,101,45,49,56,32,56,46,51,56,53,53,49,101,45,
      49,56,32,49,46,49,50,54,57,50,101,45,49,55,32,49,46,53,53,49,52,55,101,45,49,
      55,32,50,46,49,56,52,56,49,101,45,49,55,32,50,46,57,52,52,52,101,45,49,55,10,
      32,32,52,46,48,54,51,49,50,101,45,49,55,32,53,46,51,57,54,56,50,101,45,49,55,
      32,55,46,48,57,55,54,49,101,45,49,55,32,57,46,53,51,54,54,57,101,45,49,55,32,
      49,46,50,57,54,50,51,101,45,49,54,32,49,46,54,50,56,55,55,101,45,49,54,32,50,
      46,49,48,51,50,56,101,45,49,54,10,32,32,50,46,54,49,51,54,49,101,45,49,54,32,
      51,46,50,55,49,57,101,45,49,54,32,52,46,48,54,53,52,53,101,45,49,54,32,53,46,
      48,49,53,52,51,101,45,49,54,32,54,46,49,52,52,57,50,101,45,49,54,32,55,46,52,
      56,48,54,51,101,45,49,54,32,57,46,48,53,49,53,51,101,45,49,54,10,32,32,49,46,
      48,56,56,57,51,101,45,49,53,32,49,46,51,48,50,57,52,101,45,49,53,32,49,46,53,
      53,48,57,54,101,45,49,53,32,49,46,56,51,54,57,57,101,45,49,53,32,50,46,49,54,
      53,52,56,101,45,49,53,32,50,46,53,52,48,54,51,101,45,49,53,32,50,46,57,54,55,
      50,56,101,45,49,53,10,32,32,51,46,52,53,48,50,51,101,45,49,53,32,51,46,57,57,
      52,48,53,101,45,49,53,32,52,46,54,48,51,53,50,101,45,49,53,32,53,46,50,56,51,
      50,54,101,45,49,53,32,54,46,48,51,55,57,51,101,45,49,53,32,54,46,56,55,49,57,
      54,101,45,49,53,32,55,46,55,56,57,52,55,101,45,49,53,10,32,32,56,46,55,57,52,
      49,57,101,45,49,53,32,57,46,56,56,57,54,101,45,49,53,32,49,46,49,48,55,56,54,
      101,45,49,52,32,49,46,50,51,54,51,55,101,45,49,52,32,49,46,51,55,52,54,56,101,
      45,49,52,32,49,46,53,50,50,57,101,45,49,52,32,49,46,54,56,49,48,57,101,45,49,
      52,10,32,32,49,46,56,52,57,50,49,101,45,49,52,32,50,46,48,50,55,49,49,101,45,
      49,52,32,50,46,50,49,52,54,53,101,45,49,52,32,50,46,52,49,49,53,52,101,45,49,
      52,32,50,46,54,49,55,51,55,101,45,49,52,32,50,46,55,56,51,51,52,101,45,49,52,
      32,50,46,57,53,52,49,101,45,49,52,10,32,32,51,46,49,50,57,52,101,45,49,52,32,
      51,46,51,48,56,56,57,101,45,49,52,32,51,46,52,57,50,50,49,101,45,49,52,32,51,
      46,55,48,51,48,56,101,45,49,52,32,51,46,57,55,53,48,54,101,45,49,52,32,52,46,
      50,53,49,51,53,101,45,49,52,32,52,46,53,51,48,50,52,101,45,49,52,10,32,32,52,
      46,56,49,48,48,54,101,45,49,52,32,53,46,48,56,57,101,45,49,52,32,53,46,51,54,
      53,50,101,45,49,52,32,53,46,54,51,54,56,56,101,45,49,52,32,53,46,57,48,50,50,
      49,101,45,49,52,32,54,46,49,53,57,51,52,101,45,49,52,32,54,46,52,48,54,50,57,
      101,45,49,52,10,32,32,54,46,54,52,49,52,49,101,45,49,52,32,54,46,56,54,50,57,
      55,101,45,49,52,32,55,46,48,54,57,52,101,45,49,52,32,55,46,50,53,57,48,57,101,
      45,49,52,32,55,46,52,51,49,48,49,101,45,49,52,32,55,46,53,56,52,49,54,101,45,
      49,52,32,55,46,55,49,55,54,55,101,45,49,52,10,32,32,55,46,56,51,48,56,53,101,
      45,49,52,32,55,46,57,50,51,49,53,101,45,49,52,32,55,46,57,57,52,51,49,101,45,
      49,52,32,56,46,48,52,52,50,50,101,45,49,52,32,56,46,48,55,50,56,101,45,49,52,
      32,56,46,48,56,48,51,56,101,45,49,52,32,56,46,48,54,55,51,53,101,45,49,52,10,
      32,32,56,46,48,51,52,50,51,101,45,49,52,32,55,46,57,56,49,53,49,101,45,49,52,
      32,55,46,57,48,57,56,101,45,49,52,32,55,46,56,50,48,51,52,101,45,49,52,32,55,
      46,55,49,51,56,52,101,45,49,52,32,55,46,53,57,49,55,49,101,45,49,52,32,55,46,
      52,53,53,48,56,101,45,49,52,10,32,32,55,46,51,48,53,50,50,101,45,49,52,32,55,
      46,49,52,51,53,101,45,49,52,32,54,46,57,55,49,50,50,101,45,49,52,32,54,46,55,
      56,57,54,101,45,49,52,32,54,46,53,57,57,56,54,101,45,49,52,32,54,46,50,48,48,
      56,49,101,45,49,52,32,53,46,55,56,51,56,56,101,45,49,52,10,32,32,53,46,51,53,
      55,56,52,101,45,49,52,32,52,46,57,51,48,53,50,101,45,49,52,32,52,46,53,48,56,
      55,57,101,45,49,52,32,52,46,48,57,56,53,54,101,45,49,52,32,51,46,55,48,52,51,
      55,101,45,49,52,32,51,46,51,50,57,53,55,101,45,49,52,32,50,46,57,55,55,48,56,
      101,45,49,52,10,32,32,50,46,54,52,56,53,55,101,45,49,52,32,50,46,51,52,53,49,
      50,101,45,49,52,32,50,46,48,54,55,101,45,49,52,32,49,46,56,49,51,57,51,101,
      45,49,52,32,49,46,53,56,53,50,52,101,45,49,52,32,49,46,51,55,57,56,101,45,49,
      52,32,49,46,49,57,54,52,49,101,45,49,52,10,32,32,49,46,48,51,51,54,51,101,45,
      49,52,32,56,46,56,57,56,55,55,101,45,49,53,32,55,46,54,51,53,53,49,101,45,49,
      53,32,54,46,53,51,48,51,101,45,49,53,32,53,46,53,54,55,54,49,101,45,49,53,32,
      52,46,55,51,50,55,101,45,49,53,32,52,46,48,49,49,52,57,101,45,49,53,10,32,32,
      51,46,51,57,48,56,49,101,45,49,53,32,50,46,56,53,56,53,55,101,45,49,53,32,50,
      46,52,48,51,55,55,101,45,49,53,32,50,46,48,49,54,52,49,101,45,49,53,32,49,46,
      54,56,55,53,101,45,49,53,32,49,46,52,48,57,48,51,101,45,49,53,32,48,114,50,
      50,55,32,50,46,54,54,50,51,101,45,51,50,10,32,32,51,46,54,50,57,48,56,101,45,
      51,50,32,49,46,48,49,57,49,101,45,51,49,32,50,46,53,51,55,53,57,101,45,51,49,
      32,55,46,49,51,53,56,52,101,45,51,49,32,49,46,53,54,49,52,52,101,45,51,48,32,
      52,46,55,51,50,49,56,101,45,51,48,32,49,46,51,53,56,48,49,101,45,50,57,10,32,
      32,49,46,57,56,55,52,53,101,45,50,57,32,52,46,52,57,51,49,52,101,45,50,57,32,
      49,46,50,57,49,49,54,101,45,50,56,32,50,46,53,51,52,48,53,101,45,50,56,32,52,
      46,57,54,55,49,56,101,45,50,56,32,57,46,55,51,53,55,53,101,45,50,54,32,50,46,
      53,49,51,51,57,101,45,50,52,10,32,32,51,46,55,54,55,51,56,101,45,50,52,32,54,
      46,52,50,52,57,54,101,45,50,52,32,56,46,50,50,52,49,55,101,45,50,52,32,49,46,
      48,56,54,48,55,101,45,50,51,32,54,46,55,50,48,57,57,101,45,50,52,32,49,46,48,
      51,55,50,54,101,45,50,51,32,49,46,50,51,53,51,54,101,45,50,51,10,32,32,49,46,
      55,49,54,51,50,101,45,50,51,32,50,46,52,52,49,54,53,101,45,50,51,32,51,46,50,
      52,56,101,45,50,51,32,52,46,50,56,57,49,52,101,45,50,51,32,53,46,53,50,56,51,
      53,101,45,50,51,32,55,46,48,53,55,51,52,101,45,50,51,32,57,46,49,57,49,53,51,
      101,45,50,51,10,32,32,49,46,49,53,53,56,50,101,45,50,50,32,49,46,52,55,57,51,
      53,101,45,50,50,32,49,46,55,54,55,50,53,101,45,50,50,32,50,46,51,52,54,50,57,
      101,45,50,50,32,50,46,56,56,50,52,49,101,45,50,50,32,51,46,53,52,56,48,55,101,
      45,50,50,32,53,46,54,54,48,55,53,101,45,50,50,10,32,32,49,46,48,51,56,57,53,
      101,45,50,49,32,49,46,56,49,49,57,51,101,45,50,49,32,51,46,52,54,56,57,52,101,
      45,50,49,32,54,46,51,52,50,50,54,101,45,50,49,32,49,46,50,51,56,53,54,101,45,
      50,48,32,50,46,48,55,52,49,51,101,45,50,48,32,50,46,54,51,54,54,49,101,45,50,
      48,10,32,32,53,46,55,56,48,56,54,101,45,50,48,32,57,46,52,57,54,52,50,101,45,
      50,48,32,50,46,55,55,57,54,56,101,45,49,57,32,52,46,54,48,53,50,50,101,45,49,
      57,32,54,46,57,51,51,51,51,101,45,49,57,32,49,46,48,49,53,52,53,101,45,49,56,
      32,49,46,53,50,51,53,54,101,45,49,56,10,32,32,50,46,50,50,50,48,57,101,45,49,
      56,32,51,46,48,50,57,54,55,101,45,49,56,32,52,46,49,55,50,53,51,101,45,49,56,
      32,53,46,52,57,48,57,53,101,45,49,56,32,55,46,52,49,54,48,55,101,45,49,56,32,
      49,46,48,50,53,52,51,101,45,49,55,32,49,46,52,52,57,48,54,101,45,49,55,10,32,
      32,49,46,57,53,55,49,56,101,45,49,55,32,50,46,55,48,53,54,52,101,45,49,55,32,
      51,46,54,48,48,51,57,101,45,49,55,32,52,46,55,52,49,55,53,101,45,49,55,32,54,
      46,51,56,50,53,101,45,49,55,32,56,46,54,57,54,52,51,101,45,49,55,32,49,46,48,
      57,52,57,101,45,49,54,10,32,32,49,46,52,49,55,52,49,101,45,49,54,32,49,46,55,
      54,53,53,52,101,45,49,54,32,50,46,50,49,54,49,51,101,45,49,54,32,50,46,55,54,
      49,48,57,101,45,49,54,32,51,46,52,49,53,50,54,101,45,49,54,32,52,46,49,57,52,
      56,53,101,45,49,54,32,53,46,49,49,56,56,57,101,45,49,54,10,32,32,54,46,50,48,
      56,49,49,101,45,49,54,32,55,46,52,56,53,49,52,101,45,49,54,32,56,46,57,55,53,
      50,54,101,45,49,54,32,49,46,48,55,48,53,53,101,45,49,53,32,49,46,50,55,48,52,
      55,101,45,49,53,32,49,46,53,48,48,53,54,101,45,49,53,32,49,46,55,54,51,56,55,
      101,45,49,53,10,32,32,50,46,48,54,51,56,57,101,45,49,53,32,50,46,52,48,52,50,
      49,101,45,49,53,32,50,46,55,56,56,51,49,101,45,49,53,32,51,46,50,49,57,56,52,
      101,45,49,53,32,51,46,55,48,50,53,50,101,45,49,53,32,52,46,50,51,57,55,55,101,
      45,49,53,32,52,46,56,51,53,48,52,101,45,49,53,10,32,32,53,46,52,57,49,54,101,
      45,49,53,32,54,46,50,49,50,51,101,45,49,53,32,54,46,57,57,57,57,49,101,45,49,
      53,32,55,46,56,53,54,57,57,101,45,49,53,32,56,46,55,56,53,56,50,101,45,49,53,
      32,57,46,55,56,55,56,55,101,45,49,53,32,49,46,48,56,54,52,53,101,45,49,52,10,
      32,32,49,46,50,48,49,54,54,101,45,49,52,32,49,46,51,50,52,52,50,101,45,49,52,
      32,49,46,52,53,52,55,50,101,45,49,52,32,49,46,53,57,50,52,52,101,45,49,52,32,
      49,46,55,51,55,52,51,101,45,49,52,32,49,46,56,56,57,52,52,101,45,49,52,32,50,
      46,48,49,50,51,54,101,45,49,52,10,32,32,50,46,49,51,57,49,51,101,45,49,52,32,
      50,46,50,54,57,54,101,45,49,52,32,50,46,52,48,51,52,53,101,45,49,52,32,50,46,
      53,52,48,52,54,101,45,49,52,32,50,46,54,57,56,52,57,101,45,49,52,32,50,46,57,
      48,51,48,53,101,45,49,52,32,51,46,49,49,49,54,54,101,45,49,52,10,32,32,51,46,
      51,50,51,49,50,101,45,49,52,32,51,46,53,51,54,50,49,101,45,49,52,32,51,46,55,
      52,57,54,53,101,45,49,52,32,51,46,57,54,50,48,53,101,45,49,52,32,52,46,49,55,
      50,48,55,101,45,49,52,32,52,46,51,55,56,50,57,101,45,49,52,32,52,46,53,55,57,
      50,52,101,45,49,52,10,32,32,52,46,55,55,51,53,49,101,45,49,52,32,52,46,57,53,
      57,57,101,45,49,52,32,53,46,49,51,54,57,49,101,45,49,52,32,53,46,51,48,51,51,
      54,101,45,49,52,32,53,46,52,53,56,49,49,101,45,49,52,32,53,46,54,48,48,49,49,
      101,45,49,52,32,53,46,55,50,56,52,55,101,45,49,52,10,32,32,53,46,56,52,50,53,
      51,101,45,49,52,32,53,46,57,52,49,54,50,101,45,49,52,32,54,46,48,50,53,48,53,
      101,45,49,52,32,54,46,48,57,50,53,53,101,45,49,52,32,54,46,49,52,51,56,56,101,
      45,49,52,32,54,46,49,55,56,56,55,101,45,49,52,32,54,46,49,57,55,52,54,101,45,
      49,52,10,32,32,54,46,50,48,48,48,57,101,45,49,52,32,54,46,49,56,55,48,50,101,
      45,49,52,32,54,46,49,53,56,55,56,101,45,49,52,32,54,46,49,49,53,56,52,101,45,
      49,52,32,54,46,48,53,56,56,56,101,45,49,52,32,53,46,57,56,56,53,56,101,45,49,
      52,32,53,46,57,48,53,54,54,101,45,49,52,10,32,32,53,46,56,49,49,48,54,101,45,
      49,52,32,53,46,55,48,53,55,50,101,45,49,52,32,53,46,53,57,48,52,56,101,45,49,
      52,32,53,46,52,54,54,51,101,45,49,52,32,53,46,51,51,52,49,49,101,45,49,52,32,
      53,46,49,57,52,56,57,101,45,49,52,32,52,46,56,57,57,101,45,49,52,10,32,32,52,
      46,53,56,54,48,54,101,45,49,52,32,52,46,50,54,50,57,56,101,45,49,52,32,51,46,
      57,51,54,49,53,101,45,49,52,32,51,46,54,49,49,48,57,101,45,49,52,32,51,46,50,
      57,50,55,54,101,45,49,52,32,50,46,57,56,53,48,57,101,45,49,52,32,50,46,54,57,
      49,50,52,101,45,49,52,10,32,32,50,46,52,49,51,52,55,101,45,49,52,32,50,46,49,
      53,51,52,50,101,45,49,52,32,49,46,57,49,50,49,52,101,45,49,52,32,49,46,54,57,
      48,48,55,101,45,49,52,32,49,46,52,56,55,50,101,45,49,52,32,49,46,51,48,51,49,
      49,101,45,49,52,32,49,46,49,51,55,48,51,101,45,49,52,10,32,32,57,46,56,56,50,
      56,52,101,45,49,53,32,56,46,53,53,56,50,50,101,45,49,53,32,55,46,51,56,52,56,
      57,101,45,49,53,32,54,46,51,53,48,54,54,101,45,49,53,32,53,46,52,52,51,50,57,
      101,45,49,53,32,52,46,54,53,48,55,51,101,45,49,53,32,51,46,57,54,49,53,56,101,
      45,49,53,10,32,32,51,46,51,54,52,55,52,101,45,49,53,32,50,46,56,52,57,56,49,
      101,45,49,53,32,50,46,52,48,55,49,56,101,45,49,53,32,50,46,48,50,56,48,51,101,
      45,49,53,32,49,46,55,48,52,51,53,101,45,49,53,32,49,46,52,50,56,56,55,101,45,
      49,53,32,49,46,49,57,53,49,53,101,45,49,53,10,32,32,48,114,50,51,52,32,52,46,
      57,53,48,49,53,101,45,51,48,32,55,46,50,56,51,57,51,101,45,51,48,32,49,46,54,
      54,54,53,52,101,45,50,57,32,52,46,56,54,53,53,55,101,45,50,57,32,57,46,54,52,
      54,56,53,101,45,50,57,32,49,46,57,49,49,48,50,101,45,50,56,32,51,46,57,56,48,
      54,50,101,45,50,54,10,32,32,49,46,48,55,51,48,56,101,45,50,52,32,49,46,54,50,
      51,52,51,101,45,50,52,32,50,46,56,48,50,55,53,101,45,50,52,32,51,46,54,48,55,
      57,57,101,45,50,52,32,52,46,55,57,52,49,57,101,45,50,52,32,50,46,57,50,57,53,
      54,101,45,50,52,32,52,46,53,54,54,51,57,101,45,50,52,10,32,32,53,46,52,54,48,
      54,49,101,45,50,52,32,55,46,54,52,53,50,51,101,45,50,52,32,49,46,48,57,54,55,
      52,101,45,50,51,32,49,46,52,54,56,57,56,101,45,50,51,32,49,46,57,53,51,48,50,
      101,45,50,51,32,50,46,53,51,51,48,49,101,45,50,51,32,51,46,50,53,51,50,101,
      45,50,51,10,32,32,52,46,50,54,53,49,50,101,45,50,51,32,53,46,51,57,52,54,53,
      101,45,50,51,32,54,46,57,52,56,52,57,101,45,50,51,32,56,46,51,51,56,57,53,101,
      45,50,51,32,49,46,49,49,53,51,52,101,45,50,50,32,49,46,51,55,54,49,101,45,50,
      50,32,49,46,55,48,51,50,49,101,45,50,50,10,32,32,50,46,55,53,49,54,54,101,45,
      50,50,32,53,46,49,51,53,54,56,101,45,50,50,32,57,46,48,57,56,56,56,101,45,50,
      50,32,49,46,55,55,53,50,52,101,45,50,49,32,51,46,51,48,53,48,57,101,45,50,49,
      32,54,46,53,56,57,48,52,101,45,50,49,32,49,46,49,50,49,51,57,101,45,50,48,10,
      32,32,49,46,51,51,55,48,55,101,45,50,48,32,51,46,48,53,48,53,51,101,45,50,48,
      32,53,46,49,51,56,51,55,101,45,50,48,32,49,46,54,55,54,55,55,101,45,49,57,32,
      50,46,56,49,57,56,53,101,45,49,57,32,52,46,50,57,56,54,53,101,45,49,57,32,54,
      46,51,55,48,52,53,101,45,49,57,10,32,32,57,46,54,55,57,55,50,101,45,49,57,32,
      49,46,52,50,56,48,56,101,45,49,56,32,49,46,57,54,52,53,54,101,45,49,56,32,50,
      46,55,52,56,55,53,101,45,49,56,32,51,46,54,51,54,49,54,101,45,49,56,32,52,46,
      57,51,53,55,54,101,45,49,56,32,54,46,56,53,53,49,55,101,45,49,56,10,32,32,57,
      46,55,50,49,52,52,101,45,49,56,32,49,46,51,49,53,57,49,101,45,49,55,32,49,46,
      56,50,50,48,54,101,45,49,55,32,50,46,52,50,56,50,101,45,49,55,32,51,46,50,48,
      48,56,53,101,45,49,55,32,52,46,51,49,51,53,51,101,45,49,55,32,53,46,56,56,56,
      48,52,101,45,49,55,10,32,32,55,46,52,50,52,48,53,101,45,49,55,32,57,46,54,51,
      48,50,54,101,45,49,55,32,49,46,50,48,49,57,52,101,45,49,54,32,49,46,53,49,50,
      49,53,101,45,49,54,32,49,46,56,56,56,52,57,101,45,49,54,32,50,46,51,52,49,50,
      54,101,45,49,54,32,50,46,56,56,50,51,51,101,45,49,54,10,32,32,51,46,53,50,53,
      52,50,101,45,49,54,32,52,46,50,56,53,49,57,101,45,49,54,32,53,46,49,55,56,49,
      101,45,49,54,32,54,46,50,50,49,56,54,101,45,49,54,32,55,46,52,51,54,48,50,101,
      45,49,54,32,56,46,56,52,49,57,54,101,45,49,54,32,49,46,48,52,54,51,101,45,49,
      53,10,32,32,49,46,50,51,50,49,55,101,45,49,53,32,49,46,52,52,52,51,53,101,45,
      49,53,32,49,46,54,56,53,53,52,101,45,49,53,32,49,46,57,53,56,52,50,101,45,49,
      53,32,50,46,50,54,53,55,52,101,45,49,53,32,50,46,54,49,48,50,55,101,45,49,53,
      32,50,46,57,57,52,54,57,101,45,49,53,10,32,32,51,46,52,50,49,54,54,101,45,49,
      53,32,51,46,56,57,51,54,54,101,45,49,53,32,52,46,52,49,50,57,52,101,45,49,53,
      32,52,46,57,56,49,56,51,101,45,49,53,32,53,46,54,48,50,52,49,101,45,49,53,32,
      54,46,50,55,54,53,52,101,45,49,53,32,55,46,48,48,53,55,54,101,45,49,53,10,32,
      32,55,46,55,57,49,51,53,101,45,49,53,32,56,46,54,51,52,49,55,101,45,49,53,32,
      57,46,53,51,52,52,57,101,45,49,53,32,49,46,48,52,57,50,56,101,45,49,52,32,49,
      46,49,53,48,56,50,101,45,49,52,32,49,46,50,53,56,48,52,101,45,49,52,32,49,46,
      51,55,48,55,53,101,45,49,52,10,32,32,49,46,52,54,50,48,57,101,45,49,52,32,49,
      46,53,53,54,52,57,101,45,49,52,32,49,46,54,53,51,56,52,101,45,49,52,32,49,46,
      55,53,51,57,54,101,45,49,52,32,49,46,56,53,54,54,56,101,45,49,52,32,49,46,57,
      55,53,52,56,101,45,49,52,32,50,46,49,50,57,55,54,101,45,49,52,10,32,32,50,46,
      50,56,55,54,52,101,45,49,52,32,50,46,52,52,56,51,52,101,45,49,52,32,50,46,54,
      49,48,57,57,101,45,49,52,32,50,46,55,55,52,54,49,101,45,49,52,32,50,46,57,51,
      56,49,54,101,45,49,52,32,51,46,49,48,48,55,101,45,49,52,32,51,46,50,54,49,49,
      101,45,49,52,10,32,32,51,46,52,49,56,50,53,101,45,49,52,32,51,46,53,55,49,49,
      51,101,45,49,52,32,51,46,55,49,56,55,52,101,45,49,52,32,51,46,56,53,57,57,53,
      101,45,49,52,32,51,46,57,57,51,54,57,101,45,49,52,32,52,46,49,49,57,49,52,101,
      45,49,52,32,52,46,50,51,53,52,57,101,45,49,52,10,32,32,52,46,51,52,49,57,57,
      101,45,49,52,32,52,46,52,51,55,57,52,101,45,49,52,32,52,46,53,50,50,55,53,101,
      45,49,52,32,52,46,53,57,53,57,54,101,45,49,52,32,52,46,54,53,55,49,57,101,45,
      49,52,32,52,46,55,48,54,50,54,101,45,49,52,32,52,46,55,52,51,48,54,101,45,49,
      52,10,32,32,52,46,55,54,55,53,53,101,45,49,52,32,52,46,55,55,57,55,53,101,45,
      49,52,32,52,46,55,55,57,56,50,101,45,49,52,32,52,46,55,54,56,48,51,101,45,49,
      52,32,52,46,55,52,52,54,57,101,45,49,52,32,52,46,55,49,48,50,50,101,45,49,52,
      32,52,46,54,54,53,48,51,101,45,49,52,10,32,32,52,46,54,48,57,54,53,101,45,49,
      52,32,52,46,53,52,52,55,56,101,45,49,52,32,52,46,52,55,48,57,49,101,45,49,52,
      32,52,46,51,56,56,55,54,101,45,49,52,32,52,46,50,57,57,48,57,101,45,49,52,32,
      52,46,50,48,50,55,50,101,45,49,52,32,52,46,49,48,48,51,53,101,45,49,52,10,32,
      32,51,46,56,56,48,52,52,101,45,49,52,32,51,46,54,52,53,48,53,101,45,49,52,32,
      51,46,51,57,57,55,50,101,45,49,52,32,51,46,49,52,57,53,56,101,45,49,52,32,50,
      46,56,57,57,48,52,101,45,49,52,32,50,46,54,53,50,48,55,101,45,49,52,32,50,46,
      52,49,49,56,55,101,45,49,52,10,32,32,50,46,49,56,48,57,51,101,45,49,52,32,49,
      46,57,54,49,53,101,45,49,52,32,49,46,55,53,53,48,55,101,45,49,52,32,49,46,53,
      54,50,54,54,101,45,49,52,32,49,46,51,56,52,56,49,101,45,49,52,32,49,46,50,50,
      49,54,55,101,45,49,52,32,49,46,48,55,51,48,57,101,45,49,52,10,32,32,57,46,51,
      56,54,57,51,101,45,49,53,32,56,46,49,55,56,57,56,101,45,49,53,32,55,46,48,57,
      57,53,57,101,45,49,53,32,54,46,49,52,48,51,54,101,45,49,53,32,53,46,50,57,50,
      50,54,101,45,49,53,32,52,46,53,52,53,57,56,101,45,49,53,32,51,46,56,57,50,51,
      53,101,45,49,53,10,32,32,51,46,51,50,50,51,54,101,45,49,53,32,50,46,56,50,55,
      52,54,101,45,49,53,32,50,46,51,57,57,52,53,101,45,49,53,32,50,46,48,51,48,54,
      54,101,45,49,53,32,49,46,55,49,52,48,51,101,45,49,53,32,49,46,52,52,51,49,50,
      101,45,49,53,32,49,46,50,49,50,48,54,101,45,49,53,10,32,32,49,46,48,49,53,54,
      49,101,45,49,53,32,48,114,50,51,52,32,49,46,48,49,56,50,52,101,45,51,48,32,
      49,46,53,49,54,53,51,101,45,51,48,32,51,46,53,52,57,53,52,101,45,51,48,32,49,
      46,48,54,49,56,52,101,45,50,57,32,50,46,49,51,56,56,101,45,50,57,32,52,46,51,
      48,52,50,56,101,45,50,57,10,32,32,57,46,56,49,48,48,56,101,45,50,55,32,50,46,
      56,49,57,56,56,101,45,50,53,32,52,46,51,50,54,53,101,45,50,53,32,55,46,54,49,
      48,51,54,101,45,50,53,32,57,46,56,56,49,56,51,101,45,50,53,32,49,46,51,50,53,
      52,57,101,45,50,52,32,55,46,57,52,53,48,52,101,45,50,53,10,32,32,49,46,50,53,
      55,51,52,101,45,50,52,32,49,46,53,49,50,56,54,101,45,50,52,32,50,46,49,52,51,
      48,50,101,45,50,52,32,51,46,49,49,51,53,55,101,45,50,52,32,52,46,50,49,51,57,
      53,101,45,50,52,32,53,46,54,54,48,50,55,101,45,50,52,32,55,46,52,49,49,50,56,
      101,45,50,52,10,32,32,57,46,54,48,54,56,52,101,45,50,52,32,49,46,50,55,50,51,
      101,45,50,51,32,49,46,54,50,51,53,52,101,45,50,51,32,50,46,49,49,49,52,55,101,
      45,50,51,32,50,46,53,53,49,56,52,101,45,50,51,32,51,46,52,53,49,56,51,101,45,
      50,51,32,52,46,50,56,55,52,56,101,45,50,51,10,32,32,53,46,51,53,49,50,54,101,
      45,50,51,32,56,46,56,49,50,51,49,101,45,50,51,32,49,46,54,56,55,50,56,101,45,
      50,50,32,51,46,48,54,49,57,49,101,45,50,50,32,54,46,49,52,56,55,57,101,45,50,
      50,32,49,46,49,55,54,55,52,101,45,50,49,32,50,46,52,50,49,55,57,101,45,50,49,
      10,32,32,52,46,50,50,55,48,56,101,45,50,49,32,52,46,52,53,57,52,53,101,45,50,
      49,32,49,46,48,56,53,49,50,101,45,50,48,32,49,46,57,48,51,55,56,101,45,50,48,
      32,55,46,53,50,48,49,57,101,45,50,48,32,49,46,50,57,51,57,56,101,45,49,57,32,
      50,46,48,49,49,49,57,101,45,49,57,10,32,32,51,46,48,51,54,52,101,45,49,57,32,
      52,46,55,48,54,53,55,101,45,49,57,32,55,46,48,55,50,56,51,101,45,49,57,32,57,
      46,56,55,51,54,56,101,45,49,57,32,49,46,52,50,51,54,101,45,49,56,32,49,46,56,
      57,57,50,55,101,45,49,56,32,50,46,54,48,48,54,56,101,45,49,56,10,32,32,51,46,
      54,52,49,53,54,101,45,49,56,32,53,46,50,48,48,49,54,101,45,49,56,32,55,46,48,
      55,49,57,57,101,45,49,56,32,57,46,56,50,57,55,56,101,45,49,56,32,49,46,51,49,
      52,51,101,45,49,55,32,49,46,55,51,54,49,50,101,45,49,55,32,50,46,51,52,52,56,
      55,101,45,49,55,10,32,32,51,46,50,49,48,52,54,101,45,49,55,32,52,46,48,53,54,
      54,56,101,45,49,55,32,53,46,50,55,55,54,49,101,45,49,55,32,54,46,54,48,53,57,
      55,101,45,49,55,32,56,46,51,51,56,57,101,45,49,55,32,49,46,48,52,53,49,101,
      45,49,54,32,49,46,51,48,48,52,51,101,45,49,54,10,32,32,49,46,54,48,54,57,54,
      101,45,49,54,32,49,46,57,55,50,55,51,101,45,49,54,32,50,46,52,48,54,52,53,101,
      45,49,54,32,50,46,57,49,56,101,45,49,54,32,51,46,53,49,55,57,57,101,45,49,54,
      32,52,46,50,49,56,50,56,101,45,49,54,32,53,46,48,51,49,52,52,101,45,49,54,10,
      32,32,53,46,57,55,49,57,101,45,49,54,32,55,46,48,53,51,54,51,101,45,49,54,32,
      56,46,50,57,50,53,54,101,45,49,54,32,57,46,55,48,53,51,49,101,45,49,54,32,49,
      46,49,51,48,57,49,101,45,49,53,32,49,46,51,49,50,49,51,101,45,49,53,32,49,46,
      53,49,53,57,54,101,45,49,53,10,32,32,49,46,55,52,52,49,54,101,45,49,53,32,49,
      46,57,57,56,53,51,101,45,49,53,32,50,46,50,56,48,55,56,101,45,49,53,32,50,46,
      53,57,50,53,49,101,45,49,53,32,50,46,57,51,53,51,54,101,45,49,53,32,51,46,51,
      49,48,55,54,101,45,49,53,32,51,46,55,50,48,49,101,45,49,53,10,32,32,52,46,49,
      54,52,54,50,101,45,49,53,32,52,46,54,52,53,51,51,101,45,49,53,32,53,46,49,54,
      51,49,55,101,45,49,53,32,53,46,55,49,56,54,53,101,45,49,53,32,54,46,51,49,50,
      48,50,101,45,49,53,32,54,46,57,52,51,51,53,101,45,49,53,32,55,46,54,49,50,50,
      54,101,45,49,53,10,32,32,56,46,51,49,56,53,50,101,45,49,53,32,56,46,56,57,50,
      56,101,45,49,53,32,57,46,52,56,56,51,56,101,45,49,53,32,49,46,48,49,48,52,56,
      101,45,49,52,32,49,46,48,55,52,49,49,101,45,49,52,32,49,46,49,51,57,54,49,101,
      45,49,52,32,49,46,50,49,53,54,52,101,45,49,52,10,32,32,49,46,51,49,52,56,52,
      101,45,49,52,32,49,46,52,49,54,57,50,101,45,49,52,32,49,46,53,50,49,52,52,101,
      45,49,52,32,49,46,54,50,55,56,54,101,45,49,52,32,49,46,55,51,53,53,54,101,45,
      49,52,32,49,46,56,52,51,57,55,101,45,49,52,32,49,46,57,53,50,52,49,101,45,49,
      52,10,32,32,50,46,48,54,48,49,57,101,45,49,52,32,50,46,49,54,54,54,54,101,45,
      49,52,32,50,46,50,55,49,49,53,101,45,49,52,32,50,46,51,55,50,57,54,101,45,49,
      52,32,50,46,52,55,49,51,54,101,45,49,52,32,50,46,53,54,53,54,51,101,45,49,52,
      32,50,46,54,53,53,49,53,101,45,49,52,10,32,32,50,46,55,51,57,51,50,101,45,49,
      52,32,50,46,56,49,55,53,55,101,45,49,52,32,50,46,56,56,57,52,53,101,45,49,52,
      32,50,46,57,53,52,53,49,101,45,49,52,32,51,46,48,49,50,51,52,101,45,49,52,32,
      51,46,48,54,50,54,52,101,45,49,52,32,51,46,49,48,53,50,101,45,49,52,10,32,32,
      51,46,49,51,57,55,57,101,45,49,52,32,51,46,49,54,54,50,51,101,45,49,52,32,51,
      46,49,56,52,53,54,101,45,49,52,32,51,46,49,57,52,56,101,45,49,52,32,51,46,49,
      57,55,101,45,49,52,32,51,46,49,57,49,49,54,101,45,49,52,32,51,46,49,55,55,54,
      52,101,45,49,52,10,32,32,51,46,49,53,54,54,52,101,45,49,52,32,51,46,49,50,56,
      52,57,101,45,49,52,32,51,46,48,57,51,53,52,101,45,49,52,32,51,46,48,53,50,50,
      52,101,45,49,52,32,51,46,48,48,53,48,49,101,45,49,52,32,50,46,57,53,50,50,53,
      101,45,49,52,32,50,46,56,57,52,52,101,45,49,52,10,32,32,50,46,56,51,49,57,53,
      101,45,49,52,32,50,46,54,57,53,49,52,101,45,49,52,32,50,46,53,52,53,54,52,101,
      45,49,52,32,50,46,51,56,55,49,101,45,49,52,32,50,46,50,50,51,48,49,101,45,49,
      52,32,50,46,48,53,54,53,57,101,45,49,52,32,49,46,56,57,48,53,54,101,45,49,52,
      10,32,32,49,46,55,50,55,52,56,101,45,49,52,32,49,46,53,54,57,51,54,101,45,49,
      52,32,49,46,52,49,55,56,49,101,45,49,52,32,49,46,50,55,52,49,57,101,45,49,52,
      32,49,46,49,51,57,51,57,101,45,49,52,32,49,46,48,49,51,57,53,101,45,49,52,32,
      56,46,57,56,49,56,50,101,45,49,53,10,32,32,55,46,57,50,49,52,50,101,45,49,53,
      32,54,46,57,53,54,55,51,101,45,49,53,32,54,46,48,56,52,54,54,101,45,49,53,32,
      53,46,51,48,48,57,55,101,45,49,53,32,52,46,54,48,48,56,55,101,45,49,53,32,51,
      46,57,55,57,48,55,101,45,49,53,32,51,46,52,50,57,53,101,45,49,53,10,32,32,50,
      46,57,52,54,49,49,101,45,49,53,32,50,46,53,50,50,56,56,101,45,49,53,32,50,46,
      49,53,51,56,56,101,45,49,53,32,49,46,56,51,51,52,51,101,45,49,53,32,49,46,53,
      53,54,51,101,45,49,53,32,49,46,51,49,55,52,54,101,45,49,53,32,49,46,49,49,50,
      51,53,101,45,49,53,10,32,32,57,46,51,54,56,51,51,101,45,49,54,32,55,46,56,55,
      49,49,54,101,45,49,54,32,48,114,50,51,52,32,50,46,48,53,48,52,55,101,45,51,
      49,32,51,46,48,54,55,48,51,101,45,51,49,32,55,46,50,55,53,52,51,101,45,51,49,
      32,50,46,50,52,57,52,55,101,45,51,48,32,52,46,54,48,51,51,50,101,45,51,48,10,
      32,32,57,46,52,49,51,50,52,101,45,51,48,32,50,46,51,52,50,54,53,101,45,50,55,
      32,55,46,49,55,51,50,54,101,45,50,54,32,49,46,49,49,54,49,53,101,45,50,53,32,
      50,46,48,48,48,49,54,101,45,50,53,32,50,46,54,49,57,53,51,101,45,50,53,32,51,
      46,53,52,54,55,52,101,45,50,53,10,32,32,50,46,48,56,53,54,49,101,45,50,53,32,
      51,46,51,53,48,54,54,101,45,50,53,32,52,46,48,53,54,51,57,101,45,50,53,32,53,
      46,56,49,51,50,54,101,45,50,53,32,56,46,53,53,51,54,101,45,50,53,32,49,46,49,
      54,57,55,51,101,45,50,52,32,49,46,53,56,55,51,52,101,45,50,52,10,32,32,50,46,
      48,57,56,48,57,101,45,50,52,32,50,46,55,52,52,54,54,101,45,50,52,32,51,46,54,
      55,49,53,51,101,45,50,52,32,52,46,55,50,54,52,52,101,45,50,52,32,54,46,50,48,
      53,57,52,101,45,50,52,32,55,46,53,53,50,55,56,101,45,50,52,32,49,46,48,51,51,
      50,49,101,45,50,51,10,32,32,49,46,50,57,49,57,54,101,45,50,51,32,49,46,54,50,
      54,49,49,101,45,50,51,32,50,46,55,50,57,54,56,101,45,50,51,32,53,46,51,54,49,
      49,55,101,45,50,51,32,57,46,57,54,53,52,55,101,45,50,51,32,50,46,48,53,57,57,
      56,101,45,50,50,32,52,46,48,53,51,51,55,101,45,50,50,10,32,32,56,46,54,49,49,
      57,49,101,45,50,50,32,49,46,53,52,49,51,51,101,45,50,49,32,49,46,52,48,51,52,
      55,101,45,50,49,32,51,46,54,53,54,51,101,45,50,49,32,54,46,54,57,55,51,51,101,
      45,50,49,32,51,46,50,56,53,48,54,101,45,50,48,32,53,46,55,56,56,51,53,101,45,
      50,48,10,32,32,57,46,49,55,51,54,57,101,45,50,48,32,49,46,52,49,49,49,54,101,
      45,49,57,32,50,46,50,51,50,57,51,101,45,49,57,32,51,46,52,50,48,56,49,101,45,
      49,57,32,52,46,56,53,48,56,49,101,45,49,57,32,55,46,50,54,53,51,55,101,45,49,
      57,32,57,46,55,55,50,54,55,101,45,49,57,10,32,32,49,46,51,53,48,49,53,101,45,
      49,56,32,49,46,57,48,55,53,51,101,45,49,56,32,50,46,55,52,54,57,52,101,45,49,
      56,32,51,46,55,53,56,50,101,45,49,56,32,53,46,50,53,48,49,55,101,45,49,56,32,
      55,46,48,53,48,54,54,101,45,49,56,32,57,46,51,51,56,56,53,101,45,49,56,10,32,
      32,49,46,50,54,52,53,53,101,45,49,55,32,49,46,55,51,54,56,51,101,45,49,55,32,
      50,46,49,57,57,50,53,101,45,49,55,32,50,46,56,54,56,54,54,101,45,49,55,32,51,
      46,53,57,57,57,52,101,45,49,55,32,52,46,53,53,56,48,50,101,45,49,55,32,53,46,
      55,51,48,57,54,101,45,49,55,10,32,32,55,46,49,53,54,48,52,101,45,49,55,32,56,
      46,56,55,52,55,51,101,45,49,55,32,49,46,48,57,51,52,101,45,49,54,32,49,46,51,
      51,56,53,55,101,45,49,54,32,49,46,54,50,56,55,54,101,45,49,54,32,49,46,57,55,
      48,51,52,101,45,49,54,32,50,46,51,55,48,51,50,101,45,49,54,10,32,32,50,46,56,
      51,54,50,52,101,45,49,54,32,51,46,51,55,54,54,56,101,45,49,54,32,52,46,48,48,
      48,50,51,101,45,49,54,32,52,46,55,49,54,55,101,45,49,54,32,53,46,53,51,54,49,
      101,45,49,54,32,54,46,52,54,57,49,50,101,45,49,54,32,55,46,53,50,54,57,53,101,
      45,49,54,10,32,32,56,46,55,50,48,55,57,101,45,49,54,32,49,46,48,48,54,49,57,
      101,45,49,53,32,49,46,49,53,54,50,49,101,45,49,53,32,49,46,51,50,51,51,49,101,
      45,49,53,32,49,46,53,48,56,54,50,101,45,49,53,32,49,46,55,49,51,50,50,101,45,
      49,53,32,49,46,57,51,56,49,52,101,45,49,53,10,32,32,50,46,49,56,52,51,55,101,
      45,49,53,32,50,46,52,53,50,55,52,101,45,49,53,32,50,46,55,52,51,57,56,101,45,
      49,53,32,51,46,48,53,56,56,51,101,45,49,53,32,51,46,51,57,55,56,101,45,49,53,
      32,51,46,55,54,49,51,55,101,45,49,53,32,52,46,49,52,57,55,101,45,49,53,10,32,
      32,52,46,53,54,50,56,56,101,45,49,53,32,53,46,48,48,48,56,56,101,45,49,53,32,
      53,46,51,53,56,51,56,101,45,49,53,32,53,46,55,51,48,51,56,101,45,49,53,32,54,
      46,49,49,54,54,101,45,49,53,32,54,46,53,49,54,53,55,101,45,49,53,32,54,46,57,
      50,57,55,52,101,45,49,53,10,32,32,55,46,52,49,49,49,56,101,45,49,53,32,56,46,
      48,52,50,50,57,101,45,49,53,32,56,46,54,57,53,52,54,101,45,49,53,32,57,46,51,
      54,55,53,54,101,45,49,53,32,49,46,48,48,53,53,57,101,45,49,52,32,49,46,48,55,
      53,54,55,101,45,49,52,32,49,46,49,52,54,54,51,101,45,49,52,10,32,32,49,46,50,
      49,56,49,101,45,49,52,32,49,46,50,56,57,54,53,101,45,49,52,32,49,46,51,54,48,
      56,53,101,45,49,52,32,49,46,52,51,49,50,53,101,45,49,52,32,49,46,53,48,48,52,
      101,45,49,52,32,49,46,53,54,55,56,50,101,45,49,52,32,49,46,54,51,51,48,53,101,
      45,49,52,10,32,32,49,46,54,57,53,54,57,101,45,49,52,32,49,46,55,53,53,51,51,
      101,45,49,52,32,49,46,56,49,49,53,53,101,45,49,52,32,49,46,56,54,52,101,45,
      49,52,32,49,46,57,49,50,51,51,101,45,49,52,32,49,46,57,53,54,50,53,101,45,49,
      52,32,49,46,57,57,53,53,51,101,45,49,52,10,32,32,50,46,48,50,57,57,54,101,45,
      49,52,32,50,46,48,53,57,51,50,101,45,49,52,32,50,46,48,56,51,53,101,45,49,52,
      32,50,46,49,48,50,51,57,101,45,49,52,32,50,46,49,49,53,57,49,101,45,49,52,32,
      50,46,49,50,52,48,53,101,45,49,52,32,50,46,49,50,54,56,56,101,45,49,52,10,32,
      32,50,46,49,50,52,52,52,101,45,49,52,32,50,46,49,49,54,56,56,101,45,49,52,32,
      50,46,49,48,52,52,49,101,45,49,52,32,50,46,48,56,55,50,52,101,45,49,52,32,50,
      46,48,54,53,53,55,101,45,49,52,32,50,46,48,51,57,54,54,101,45,49,52,32,50,46,
      48,48,57,55,55,101,45,49,52,10,32,32,49,46,57,55,54,49,55,101,45,49,52,32,49,
      46,57,51,57,49,54,101,45,49,52,32,49,46,56,53,54,48,54,101,45,49,52,32,49,46,
      55,54,50,56,55,101,45,49,52,32,49,46,54,54,50,48,54,101,45,49,52,32,49,46,53,
      53,53,57,53,101,45,49,52,32,49,46,52,52,54,56,51,101,45,49,52,10,32,32,49,46,
      51,51,54,54,52,101,45,49,52,32,49,46,50,50,55,50,54,101,45,49,52,32,49,46,49,
      50,48,50,52,101,45,49,52,32,49,46,48,49,54,56,52,101,45,49,52,32,57,46,49,56,
      48,49,55,101,45,49,53,32,56,46,50,52,53,54,51,101,45,49,53,32,55,46,51,54,57,
      56,49,101,45,49,53,10,32,32,54,46,53,53,53,56,57,101,45,49,53,32,53,46,56,48,
      53,48,51,101,45,49,53,32,53,46,49,49,55,54,51,101,45,49,53,32,52,46,52,57,51,
      48,49,101,45,49,53,32,51,46,57,50,57,48,51,101,45,49,53,32,51,46,52,50,50,55,
      53,101,45,49,53,32,50,46,57,55,48,55,101,45,49,53,10,32,32,50,46,53,54,57,51,
      101,45,49,53,32,50,46,50,49,52,54,51,101,45,49,53,32,49,46,57,48,50,55,54,101,
      45,49,53,32,49,46,54,50,57,54,56,101,45,49,53,32,49,46,51,57,49,54,101,45,49,
      53,32,49,46,49,56,52,56,55,101,45,49,53,32,49,46,48,48,54,48,51,101,45,49,53,
      10,32,32,56,46,53,49,57,48,56,101,45,49,54,32,55,46,49,57,53,52,101,45,49,54,
      32,54,46,48,54,50,49,57,101,45,49,54,32,48,114,50,51,52,32,52,46,56,49,48,48,
      55,101,45,51,50,32,55,46,50,52,56,55,101,45,51,50,32,49,46,55,52,56,48,57,101,
      45,51,49,32,53,46,53,49,52,56,53,101,45,51,49,10,32,32,49,46,49,52,53,57,57,
      101,45,51,48,32,50,46,51,55,55,49,101,45,51,48,32,54,46,51,56,51,50,56,101,
      45,50,56,32,50,46,48,54,52,54,52,101,45,50,54,32,51,46,50,53,50,56,49,101,45,
      50,54,32,53,46,57,50,54,48,54,101,45,50,54,32,55,46,56,50,48,51,51,101,45,50,
      54,10,32,32,49,46,48,54,55,54,54,101,45,50,53,32,54,46,49,55,50,54,52,101,45,
      50,54,32,49,46,48,48,52,57,57,101,45,50,53,32,49,46,50,50,51,51,101,45,50,53,
      32,49,46,55,55,49,51,55,101,45,50,53,32,50,46,54,51,53,56,56,101,45,50,53,32,
      51,46,54,51,56,48,50,101,45,50,53,10,32,32,52,46,57,56,49,57,54,101,45,50,53,
      32,54,46,54,52,48,52,54,101,45,50,53,32,56,46,55,53,56,49,50,101,45,50,53,32,
      49,46,49,56,50,48,53,101,45,50,52,32,49,46,53,51,51,53,56,101,45,50,52,32,50,
      46,48,51,48,55,53,101,45,50,52,32,50,46,52,56,54,55,53,101,45,50,52,10,32,32,
      51,46,52,51,53,56,101,45,50,52,32,52,46,51,50,49,56,51,101,45,50,52,32,53,46,
      52,56,48,49,52,101,45,50,52,32,57,46,51,53,55,48,49,101,45,50,52,32,49,46,56,
      55,57,57,56,101,45,50,51,32,51,46,53,55,48,49,56,101,45,50,51,32,55,46,53,55,
      50,48,49,101,45,50,51,10,32,32,49,46,53,50,55,49,53,101,45,50,50,32,51,46,51,
      51,55,53,50,101,45,50,50,32,54,46,49,49,48,53,50,101,45,50,50,32,52,46,55,55,
      49,50,55,101,45,50,50,32,49,46,51,50,52,55,50,101,45,50,49,32,50,46,53,50,53,
      55,56,101,45,50,49,32,49,46,53,51,49,49,52,101,45,50,48,10,32,32,50,46,55,54,
      48,48,52,101,45,50,48,32,52,46,52,53,54,51,49,101,45,50,48,32,54,46,57,55,53,
      54,101,45,50,48,32,49,46,49,50,52,55,101,45,49,57,32,49,46,55,53,51,56,101,
      45,49,57,32,50,46,53,50,51,50,51,101,45,49,57,32,51,46,57,52,53,52,49,101,45,
      49,57,10,32,32,53,46,51,52,51,54,57,101,45,49,57,32,55,46,52,52,48,55,55,101,
      45,49,57,32,49,46,48,54,48,49,55,101,45,49,56,32,49,46,53,51,57,52,53,101,45,
      49,56,32,50,46,49,49,57,52,52,101,45,49,56,32,50,46,57,55,55,56,101,45,49,56,
      32,52,46,48,49,57,50,53,101,45,49,56,10,32,32,53,46,51,52,49,50,53,101,45,49,
      56,32,55,46,50,53,52,51,101,45,49,56,32,57,46,57,57,55,53,50,101,45,49,56,32,
      49,46,50,54,56,51,57,101,45,49,55,32,49,46,54,53,56,50,50,101,45,49,55,32,50,
      46,48,56,53,52,55,101,45,49,55,32,50,46,54,52,55,51,54,101,45,49,55,10,32,32,
      51,46,51,51,56,48,50,101,45,49,55,32,52,46,49,56,48,52,53,101,45,49,55,32,53,
      46,50,48,48,49,55,101,45,49,55,32,54,46,52,50,54,55,56,101,45,49,55,32,55,46,
      56,57,50,55,52,101,45,49,55,32,57,46,54,51,51,55,54,101,45,49,55,32,49,46,49,
      54,56,57,54,101,45,49,54,10,32,32,49,46,52,49,48,52,50,101,45,49,54,32,49,46,
      54,57,50,53,51,101,45,49,54,32,50,46,48,50,48,55,49,101,45,49,54,32,50,46,52,
      48,48,51,51,101,45,49,54,32,50,46,56,51,55,54,56,101,45,49,54,32,51,46,51,51,
      57,50,56,101,45,49,54,32,51,46,57,49,49,56,52,101,45,49,54,10,32,32,52,46,53,
      54,50,56,101,45,49,54,32,53,46,50,57,57,53,57,101,45,49,54,32,54,46,49,51,101,
      45,49,54,32,55,46,48,54,49,57,51,101,45,49,54,32,56,46,49,48,51,50,49,101,45,
      49,54,32,57,46,50,54,49,53,57,101,45,49,54,32,49,46,48,53,52,52,52,101,45,49,
      53,10,32,32,49,46,49,57,53,56,57,101,45,49,53,32,49,46,51,53,49,50,52,101,45,
      49,53,32,49,46,53,50,49,49,54,101,45,49,53,32,49,46,55,48,54,50,50,101,45,49,
      53,32,49,46,57,48,54,57,54,101,45,49,53,32,50,46,49,50,51,56,49,101,45,49,53,
      32,50,46,51,53,55,50,49,101,45,49,53,10,32,32,50,46,54,48,55,52,49,101,45,49,
      53,32,50,46,56,55,52,53,49,101,45,49,53,32,51,46,49,53,56,54,51,101,45,49,53,
      32,51,46,51,57,49,51,101,45,49,53,32,51,46,54,51,52,48,52,101,45,49,53,32,51,
      46,56,56,54,55,54,101,45,49,53,32,52,46,49,52,57,50,53,101,45,49,53,10,32,32,
      52,46,52,50,49,50,49,101,45,49,53,32,52,46,55,51,57,49,52,101,45,49,53,32,53,
      46,49,53,55,54,101,45,49,53,32,53,46,53,57,50,53,50,101,45,49,53,32,54,46,48,
      52,50,50,49,101,45,49,53,32,54,46,53,48,53,48,53,101,45,49,53,32,54,46,57,55,
      56,56,49,101,45,49,53,10,32,32,55,46,52,54,49,48,56,101,45,49,53,32,55,46,57,
      52,57,51,52,101,45,49,53,32,56,46,52,52,49,49,51,101,45,49,53,32,56,46,57,51,
      51,53,49,101,45,49,53,32,57,46,52,50,51,50,101,45,49,53,32,57,46,57,48,55,54,
      52,101,45,49,53,32,49,46,48,51,56,51,54,101,45,49,52,10,32,32,49,46,48,56,52,
      55,56,101,45,49,52,32,49,46,49,50,57,55,51,101,45,49,52,32,49,46,49,55,50,57,
      51,101,45,49,52,32,49,46,50,49,52,48,56,101,45,49,52,32,49,46,50,53,50,57,51,
      101,45,49,52,32,49,46,50,56,57,50,53,101,45,49,52,32,49,46,51,50,50,55,57,101,
      45,49,52,10,32,32,49,46,51,53,51,51,51,101,45,49,52,32,49,46,51,56,48,55,49,
      101,45,49,52,32,49,46,52,48,52,55,55,101,45,49,52,32,49,46,52,50,53,51,52,101,
      45,49,52,32,49,46,52,52,50,51,53,101,45,49,52,32,49,46,52,53,53,55,52,101,45,
      49,52,32,49,46,52,54,53,52,53,101,45,49,52,10,32,32,49,46,52,55,49,52,56,101,
      45,49,52,32,49,46,52,55,51,57,49,101,45,49,52,32,49,46,52,55,50,55,57,101,45,
      49,52,32,49,46,52,54,56,50,49,101,45,49,52,32,49,46,52,54,48,50,53,101,45,49,
      52,32,49,46,52,52,57,48,53,101,45,49,52,32,49,46,52,51,52,55,53,101,45,49,52,
      10,32,32,49,46,52,49,55,53,49,101,45,49,52,32,49,46,51,57,55,53,101,45,49,52,
      32,49,46,51,55,52,57,49,101,45,49,52,32,49,46,51,50,50,55,53,101,45,49,52,32,
      49,46,50,54,50,54,50,101,45,49,52,32,49,46,49,57,54,49,52,101,45,49,52,32,49,
      46,49,50,53,48,54,101,45,49,52,10,32,32,49,46,48,53,49,101,45,49,52,32,57,46,
      55,53,52,50,52,101,45,49,53,32,56,46,57,57,54,49,53,101,45,49,53,32,56,46,50,
      52,55,48,51,101,45,49,53,32,55,46,53,49,55,49,57,101,45,49,53,32,54,46,56,49,
      52,51,53,101,45,49,53,32,54,46,49,52,52,53,52,101,45,49,53,10,32,32,53,46,53,
      49,50,55,49,101,45,49,53,32,52,46,57,50,50,49,55,101,45,49,53,32,52,46,51,55,
      52,54,51,101,45,49,53,32,51,46,56,55,48,53,54,101,45,49,53,32,51,46,52,49,48,
      48,49,101,45,49,53,32,50,46,57,57,50,49,101,45,49,53,32,50,46,54,49,53,49,57,
      101,45,49,53,10,32,32,50,46,50,55,55,50,51,101,45,49,53,32,49,46,57,55,53,56,
      50,101,45,49,53,32,49,46,55,48,56,51,54,101,45,49,53,32,49,46,52,55,50,49,56,
      101,45,49,53,32,49,46,50,54,52,53,56,101,45,49,53,32,49,46,48,56,50,57,52,101,
      45,49,53,32,57,46,50,52,54,51,51,101,45,49,54,10,32,32,55,46,56,55,50,51,49,
      101,45,49,54,32,54,46,54,56,52,49,56,101,45,49,54,32,53,46,54,54,48,51,54,101,
      45,49,54,32,52,46,55,56,49,48,55,101,45,49,54,32,48,114,50,51,52,32,50,46,49,
      52,52,55,50,101,45,51,50,32,51,46,50,52,53,52,53,101,45,51,50,32,55,46,56,57,
      56,52,49,101,45,51,50,10,32,32,50,46,53,48,50,52,56,101,45,51,49,32,53,46,50,
      55,55,52,53,101,45,51,49,32,49,46,49,48,52,48,49,101,45,51,48,32,51,46,48,56,
      53,57,54,101,45,50,56,32,49,46,48,50,55,54,52,101,45,50,54,32,49,46,54,51,48,
      49,54,101,45,50,54,32,50,46,57,57,54,57,50,101,45,50,54,10,32,32,51,46,57,55,
      49,52,54,101,45,50,54,32,53,46,52,52,54,55,57,101,45,50,54,32,51,46,49,49,57,
      55,57,101,45,50,54,32,53,46,49,49,54,56,54,101,45,50,54,32,54,46,50,52,55,48,
      50,101,45,50,54,32,57,46,48,57,55,51,56,101,45,50,54,32,49,46,51,54,50,49,101,
      45,50,53,10,32,32,49,46,56,56,57,53,101,45,50,53,32,50,46,54,48,48,52,53,101,
      45,50,53,32,51,46,52,56,50,49,52,101,45,50,53,32,52,46,54,49,51,50,50,101,45,
      50,53,32,54,46,50,53,54,56,56,101,45,50,53,32,56,46,49,53,50,52,57,101,45,50,
      53,32,49,46,48,56,52,54,101,45,50,52,10,32,32,49,46,51,51,50,54,55,101,45,50,
      52,32,49,46,56,53,49,51,56,101,45,50,52,32,50,46,51,51,54,50,57,101,45,50,52,
      32,50,46,57,55,52,53,54,101,45,50,52,32,53,46,49,50,54,50,57,101,45,50,52,32,
      49,46,48,52,50,56,54,101,45,50,51,32,50,46,48,48,51,56,53,101,45,50,51,10,32,
      32,52,46,51,49,48,53,52,101,45,50,51,32,56,46,56,49,50,55,54,101,45,50,51,32,
      49,46,57,53,54,51,53,101,45,50,50,32,51,46,54,50,54,55,51,101,45,50,50,32,50,
      46,53,55,52,53,52,101,45,50,50,32,55,46,52,49,50,56,101,45,50,50,32,49,46,52,
      52,54,49,57,101,45,50,49,10,32,32,57,46,57,54,49,51,101,45,50,49,32,49,46,56,
      49,57,48,50,101,45,50,48,32,50,46,57,54,55,52,50,101,45,50,48,32,52,46,54,57,
      48,50,54,101,45,50,48,32,55,46,54,52,50,48,54,101,45,50,48,32,49,46,50,48,51,
      53,50,101,45,49,57,32,49,46,55,52,53,53,54,101,45,49,57,10,32,32,50,46,56,48,
      54,52,51,101,45,49,57,32,51,46,56,49,51,52,52,101,45,49,57,32,53,46,51,51,49,
      54,57,101,45,49,57,32,55,46,54,51,49,56,54,101,45,49,57,32,49,46,49,49,51,52,
      57,101,45,49,56,32,49,46,53,51,56,55,53,101,45,49,56,32,50,46,49,54,57,53,57,
      101,45,49,56,10,32,32,50,46,57,51,55,54,55,101,45,49,56,32,51,46,57,49,50,49,
      57,101,45,49,56,32,53,46,51,50,51,55,101,45,49,56,32,55,46,51,53,50,51,51,101,
      45,49,56,32,57,46,51,51,56,51,55,101,45,49,56,32,49,46,50,50,50,52,52,101,45,
      49,55,32,49,46,53,51,57,50,54,101,45,49,55,10,32,32,49,46,57,53,54,55,50,101,
      45,49,55,32,50,46,52,55,48,56,49,101,45,49,55,32,51,46,48,57,57,101,45,49,55,
      32,51,46,56,54,49,48,50,101,45,49,55,32,52,46,55,55,57,54,50,101,45,49,55,32,
      53,46,56,55,57,54,53,101,45,49,55,32,55,46,49,56,56,57,101,45,49,55,10,32,32,
      56,46,55,51,55,53,57,101,45,49,55,32,49,46,48,53,53,57,54,101,45,49,54,32,49,
      46,50,54,57,50,101,45,49,54,32,49,46,53,49,55,54,57,101,45,49,54,32,49,46,56,
      48,53,53,54,101,45,49,54,32,50,46,49,51,55,54,55,101,45,49,54,32,50,46,53,49,
      57,49,55,101,45,49,54,10,32,32,50,46,57,53,53,52,101,45,49,54,32,51,46,52,53,
      50,49,50,101,45,49,54,32,52,46,48,49,53,50,57,101,45,49,54,32,52,46,54,53,49,
      49,53,101,45,49,54,32,53,46,51,54,53,57,101,45,49,54,32,54,46,49,54,53,55,52,
      101,45,49,54,32,55,46,48,53,54,57,56,101,45,49,54,10,32,32,56,46,48,52,53,54,
      101,45,49,54,32,57,46,49,51,55,54,101,45,49,54,32,49,46,48,51,51,57,49,101,
      45,49,53,32,49,46,49,54,53,53,55,101,45,49,53,32,49,46,51,48,57,50,54,101,45,
      49,53,32,49,46,52,54,53,52,53,101,45,49,53,32,49,46,54,51,52,52,57,101,45,49,
      53,10,32,32,49,46,56,49,54,55,56,101,45,49,53,32,50,46,48,49,50,53,55,101,45,
      49,53,32,50,46,50,50,49,57,54,101,45,49,53,32,50,46,52,52,53,48,56,101,45,49,
      53,32,50,46,54,50,56,49,51,101,45,49,53,32,50,46,56,49,57,52,101,45,49,53,32,
      51,46,48,49,56,56,50,101,45,49,53,10,32,32,51,46,50,50,54,50,55,101,45,49,53,
      32,51,46,52,52,49,54,101,45,49,53,32,51,46,54,57,51,55,54,101,45,49,53,32,52,
      46,48,50,54,51,51,101,45,49,53,32,52,46,51,55,50,56,53,101,45,49,53,32,52,46,
      55,51,50,48,51,101,45,49,53,32,53,46,49,48,50,53,51,101,45,49,53,10,32,32,53,
      46,52,56,50,55,54,101,45,49,53,32,53,46,56,55,48,57,51,101,45,49,53,32,54,46,
      50,54,53,50,50,101,45,49,53,32,54,46,54,54,51,53,56,101,45,49,53,32,55,46,48,
      54,51,54,53,101,45,49,53,32,55,46,52,54,51,48,55,101,45,49,53,32,55,46,56,53,
      57,54,53,101,45,49,53,10,32,32,56,46,50,53,48,56,101,45,49,53,32,56,46,54,51,
      51,57,53,101,45,49,53,32,57,46,48,48,54,53,54,101,45,49,53,32,57,46,51,54,54,
      51,52,101,45,49,53,32,57,46,55,49,48,55,54,101,45,49,53,32,49,46,48,48,51,55,
      55,101,45,49,52,32,49,46,48,51,52,53,49,101,45,49,52,10,32,32,49,46,48,54,51,
      48,56,101,45,49,52,32,49,46,48,56,57,51,51,101,45,49,52,32,49,46,49,49,51,49,
      101,45,49,52,32,49,46,49,51,52,50,54,101,45,49,52,32,49,46,49,53,50,55,101,
      45,49,52,32,49,46,49,54,56,51,49,101,45,49,52,32,49,46,49,56,49,48,53,101,45,
      49,52,10,32,32,49,46,49,57,48,56,54,101,45,49,52,32,49,46,49,57,55,55,52,101,
      45,49,52,32,49,46,50,48,49,54,55,101,45,49,52,32,49,46,50,48,50,54,55,101,45,
      49,52,32,49,46,50,48,48,56,101,45,49,52,32,49,46,49,57,54,48,57,101,45,49,52,
      32,49,46,49,56,56,54,53,101,45,49,52,10,32,32,49,46,49,55,56,54,50,101,45,49,
      52,32,49,46,49,54,54,49,51,101,45,49,52,32,49,46,49,53,49,51,101,45,49,52,32,
      49,46,49,51,52,50,54,101,45,49,52,32,49,46,48,57,52,50,51,101,45,49,52,32,49,
      46,48,52,55,51,52,101,45,49,52,32,57,46,57,52,57,52,56,101,45,49,53,10,32,32,
      57,46,51,56,51,55,52,101,45,49,53,32,56,46,55,56,56,57,56,101,45,49,53,32,56,
      46,49,55,55,52,55,101,45,49,53,32,55,46,53,54,48,49,51,101,45,49,53,32,54,46,
      57,52,54,57,49,101,45,49,53,32,54,46,51,52,54,54,50,101,45,49,53,32,53,46,55,
      54,54,50,101,45,49,53,10,32,32,53,46,50,49,49,49,55,101,45,49,53,32,52,46,54,
      56,53,55,56,101,45,49,53,32,52,46,49,57,50,57,49,101,45,49,53,32,51,46,55,51,
      52,49,54,101,45,49,53,32,51,46,51,49,48,52,101,45,49,53,32,50,46,57,50,50,50,
      101,45,49,53,32,50,46,53,54,56,57,56,101,45,49,53,10,32,32,50,46,50,52,57,53,
      55,101,45,49,53,32,49,46,57,54,50,51,56,101,45,49,53,32,49,46,55,48,53,54,101,
      45,49,53,32,49,46,52,55,55,50,101,45,49,53,32,49,46,50,55,53,49,101,45,49,53,
      32,49,46,48,57,55,48,57,101,45,49,53,32,57,46,52,48,57,57,56,101,45,49,54,10,
      32,32,56,46,48,52,54,57,55,101,45,49,54,32,54,46,56,54,49,53,56,101,45,49,54,
      32,53,46,56,51,52,53,50,101,45,49,54,32,52,46,57,52,55,56,53,101,45,49,54,32,
      52,46,49,56,53,50,101,45,49,54,32,48,114,50,51,54,32,54,46,48,57,54,55,101,
      45,51,51,32,50,46,48,48,54,57,55,101,45,51,50,10,32,32,52,46,51,48,49,49,53,
      101,45,51,50,32,57,46,50,49,52,52,57,101,45,51,50,32,50,46,57,52,54,56,101,
      45,50,57,32,49,46,48,56,49,49,54,101,45,50,55,32,49,46,55,53,50,53,55,101,45,
      50,55,32,51,46,51,49,53,53,57,101,45,50,55,32,52,46,52,53,50,50,53,101,45,50,
      55,10,32,32,54,46,49,57,52,57,52,101,45,50,55,32,51,46,52,52,53,49,50,101,45,
      50,55,32,53,46,55,56,51,49,56,101,45,50,55,32,55,46,49,50,55,53,54,101,45,50,
      55,32,49,46,48,53,54,55,56,101,45,50,54,32,49,46,54,49,51,51,56,101,45,50,54,
      32,50,46,50,55,52,48,56,101,45,50,54,10,32,32,51,46,49,55,57,51,51,101,45,50,
      54,32,52,46,51,49,57,54,101,45,50,54,32,53,46,56,48,52,48,57,101,45,50,54,32,
      55,46,57,57,52,56,53,101,45,50,54,32,49,46,48,53,53,57,53,101,45,50,53,32,49,
      46,52,50,53,55,52,101,45,50,53,32,49,46,55,55,48,55,56,101,45,50,53,10,32,32,
      50,46,53,48,50,57,55,101,45,50,53,32,51,46,49,57,49,50,53,101,45,50,53,32,52,
      46,49,49,53,55,57,101,45,50,53,32,55,46,51,48,52,54,49,101,45,50,53,32,49,46,
      53,52,53,54,52,101,45,50,52,32,51,46,48,56,50,51,54,101,45,50,52,32,54,46,57,
      51,53,48,49,101,45,50,52,10,32,32,49,46,52,56,48,52,51,101,45,50,51,32,51,46,
      52,53,51,55,57,101,45,50,51,32,54,46,54,53,54,53,55,101,45,50,51,32,51,46,51,
      54,53,57,49,101,45,50,51,32,49,46,48,57,50,53,49,101,45,50,50,32,50,46,50,57,
      57,57,57,101,45,50,50,32,50,46,52,50,48,50,55,101,45,50,49,10,32,32,52,46,54,
      51,51,55,49,101,45,50,49,32,55,46,56,52,49,50,50,101,45,50,49,32,49,46,50,56,
      49,53,52,101,45,50,48,32,50,46,49,54,51,54,49,101,45,50,48,32,51,46,53,50,50,
      49,51,101,45,50,48,32,53,46,50,52,57,57,51,101,45,50,48,32,57,46,52,52,49,51,
      55,101,45,50,48,10,32,32,49,46,50,57,51,49,57,101,45,49,57,32,49,46,56,50,55,
      55,101,45,49,57,32,50,46,54,53,48,57,56,101,45,49,57,32,51,46,57,50,53,48,49,
      101,45,49,57,32,53,46,52,57,49,54,101,45,49,57,32,55,46,56,51,55,55,52,101,
      45,49,57,32,49,46,48,55,51,49,101,45,49,56,10,32,32,49,46,52,51,57,57,51,101,
      45,49,56,32,49,46,57,55,51,48,50,101,45,49,56,32,50,46,55,52,54,54,101,45,49,
      56,32,51,46,53,48,50,49,51,101,45,49,56,32,52,46,54,48,52,49,52,101,45,49,56,
      32,53,46,56,49,56,57,49,101,45,49,56,32,55,46,52,50,56,48,50,101,45,49,56,10,
      32,32,57,46,52,49,57,49,50,101,45,49,56,32,49,46,49,56,54,54,52,101,45,49,55,
      32,49,46,52,56,53,52,51,101,45,49,55,32,49,46,56,52,56,48,49,101,45,49,55,32,
      50,46,50,56,53,48,55,101,45,49,55,32,50,46,56,48,56,53,53,101,45,49,55,32,51,
      46,52,51,49,55,53,101,45,49,55,10,32,32,52,46,49,54,57,51,49,101,45,49,55,32,
      53,46,48,51,55,51,56,101,45,49,55,32,54,46,48,53,52,50,54,101,45,49,55,32,55,
      46,50,51,56,54,51,101,45,49,55,32,56,46,54,49,50,48,51,101,45,49,55,32,49,46,
      48,49,57,55,52,101,45,49,54,32,49,46,50,48,49,57,101,45,49,54,10,32,32,49,46,
      52,49,48,51,53,101,45,49,54,32,49,46,54,52,55,55,57,101,45,49,54,32,49,46,57,
      49,55,49,54,101,45,49,54,32,50,46,50,50,49,52,53,101,45,49,54,32,50,46,53,54,
      51,55,49,101,45,49,54,32,50,46,57,52,55,50,101,45,49,54,32,51,46,51,55,53,48,
      54,101,45,49,54,10,32,32,51,46,56,53,48,52,49,101,45,49,54,32,52,46,51,55,54,
      50,50,101,45,49,54,32,52,46,57,53,53,54,56,101,45,49,54,32,53,46,53,57,49,54,
      51,101,45,49,54,32,54,46,50,56,54,55,56,101,45,49,54,32,55,46,48,52,51,55,101,
      45,49,54,32,55,46,56,54,52,54,57,101,45,49,54,10,32,32,56,46,55,53,49,53,52,
      101,45,49,54,32,57,46,55,48,53,56,49,101,45,49,54,32,49,46,48,55,50,56,56,101,
      45,49,53,32,49,46,49,53,55,50,54,101,45,49,53,32,49,46,50,52,53,56,54,101,45,
      49,53,32,49,46,51,51,56,55,101,45,49,53,32,49,46,52,51,53,55,51,101,45,49,53,
      10,32,32,49,46,53,51,54,57,52,101,45,49,53,32,49,46,54,53,54,48,55,101,45,49,
      53,32,49,46,56,49,52,49,54,101,45,49,53,32,49,46,57,56,48,49,49,101,45,49,53,
      32,50,46,49,53,51,53,49,101,45,49,53,32,50,46,51,51,51,56,51,101,45,49,53,32,
      50,46,53,50,48,52,51,101,45,49,53,10,32,32,50,46,55,49,50,54,49,101,45,49,53,
      32,50,46,57,48,57,53,57,101,45,49,53,32,51,46,49,49,48,50,51,101,45,49,53,32,
      51,46,51,49,51,54,53,101,45,49,53,32,51,46,53,49,56,56,51,101,45,49,53,32,51,
      46,55,50,52,54,53,101,45,49,53,32,51,46,57,50,57,57,101,45,49,53,10,32,32,52,
      46,49,51,51,51,53,101,45,49,53,32,52,46,51,51,51,56,101,45,49,53,32,52,46,53,
      51,48,48,51,101,45,49,53,32,52,46,55,50,48,55,54,101,45,49,53,32,52,46,57,48,
      52,56,57,101,45,49,53,32,53,46,48,56,49,49,57,101,45,49,53,32,53,46,50,52,56,
      53,50,101,45,49,53,10,32,32,53,46,52,48,53,57,49,101,45,49,53,32,53,46,53,53,
      50,51,51,101,45,49,53,32,53,46,54,56,54,55,54,101,45,49,53,32,53,46,56,48,56,
      53,101,45,49,53,32,53,46,57,49,54,56,101,45,49,53,32,54,46,48,49,49,49,52,101,
      45,49,53,32,54,46,48,57,49,49,49,101,45,49,53,10,32,32,54,46,49,53,54,50,57,
      101,45,49,53,32,54,46,50,48,54,54,53,101,45,49,53,32,54,46,50,52,50,48,54,101,
      45,49,53,32,54,46,50,54,50,53,53,101,45,49,53,32,54,46,50,54,56,50,50,101,45,
      49,53,32,54,46,50,53,57,51,54,101,45,49,53,32,54,46,50,51,54,51,50,101,45,49,
      53,10,32,32,54,46,49,57,57,53,50,101,45,49,53,32,54,46,49,52,57,53,50,101,45,
      49,53,32,54,46,48,56,54,54,55,101,45,49,53,32,53,46,57,50,53,52,50,101,45,49,
      53,32,53,46,55,50,50,48,52,101,45,49,53,32,53,46,52,56,50,57,57,101,45,49,53,
      32,53,46,50,49,52,56,57,101,45,49,53,10,32,32,52,46,57,50,52,57,101,45,49,53,
      32,52,46,54,49,57,53,50,101,45,49,53,32,52,46,51,48,52,55,56,101,45,49,53,32,
      51,46,57,56,54,52,55,101,45,49,53,32,51,46,54,54,57,54,51,101,45,49,53,32,51,
      46,51,53,56,52,52,101,45,49,53,32,51,46,48,53,54,55,56,101,45,49,53,10,32,32,
      50,46,55,54,55,54,101,45,49,53,32,50,46,52,57,51,50,49,101,45,49,53,32,50,46,
      50,51,53,50,51,101,45,49,53,32,49,46,57,57,52,54,57,101,45,49,53,32,49,46,55,
      55,50,48,52,101,45,49,53,32,49,46,53,54,55,52,53,101,45,49,53,32,49,46,51,56,
      48,55,55,101,45,49,53,10,32,32,49,46,50,49,49,53,54,101,45,49,53,32,49,46,48,
      53,57,48,53,101,45,49,53,32,57,46,50,50,51,53,101,45,49,54,32,56,46,48,48,52,
      57,50,101,45,49,54,32,54,46,57,50,52,101,45,49,54,32,53,46,57,54,57,54,52,101,
      45,49,54,32,53,46,49,51,48,55,55,101,45,49,54,10,32,32,52,46,51,57,54,53,50,
      101,45,49,54,32,51,46,55,53,54,52,57,101,45,49,54,32,51,46,50,48,48,54,54,101,
      45,49,54,32,50,46,55,49,57,55,51,101,45,49,54,32,48,114,50,51,56,32,50,46,55,
      51,48,56,55,101,45,51,51,32,54,46,48,49,48,54,55,101,45,51,51,32,50,46,49,57,
      49,55,54,101,45,51,48,10,32,32,56,46,56,53,48,51,56,101,45,50,57,32,49,46,52,
      54,56,50,52,101,45,50,56,32,50,46,56,54,52,48,56,101,45,50,56,32,51,46,57,48,
      48,54,57,101,45,50,56,32,53,46,53,49,49,56,101,45,50,56,32,50,46,57,55,48,48,
      56,101,45,50,56,32,53,46,49,49,48,57,56,101,45,50,56,10,32,32,54,46,51,54,51,
      101,45,50,56,32,57,46,54,49,54,54,55,101,45,50,56,32,49,46,52,57,57,48,54,101,
      45,50,55,32,50,46,49,52,57,51,101,45,50,55,32,51,46,48,53,53,56,101,45,50,55,
      32,52,46,50,49,54,54,54,101,45,50,55,32,53,46,55,53,49,57,49,101,45,50,55,10,
      32,32,56,46,48,53,52,57,53,101,45,50,55,32,49,46,48,55,57,52,49,101,45,50,54,
      32,49,46,52,56,48,53,57,101,45,50,54,32,49,46,56,54,48,48,57,101,45,50,54,32,
      50,46,54,55,56,50,101,45,50,54,32,51,46,52,53,50,50,57,101,45,50,54,32,52,46,
      53,49,52,48,56,101,45,50,54,10,32,32,56,46,50,54,56,50,57,101,45,50,54,32,49,
      46,56,50,52,56,49,101,45,50,53,32,51,46,55,56,54,54,52,101,45,50,53,32,56,46,
      57,51,56,55,57,101,45,50,53,32,49,46,57,57,56,50,50,101,45,50,52,32,52,46,57,
      49,54,51,52,101,45,50,52,32,57,46,56,54,54,48,56,101,45,50,52,10,32,32,51,46,
      49,56,52,48,51,101,45,50,52,32,49,46,49,56,55,48,49,101,45,50,51,32,50,46,55,
      50,56,55,51,101,45,50,51,32,52,46,55,53,53,49,51,101,45,50,50,32,57,46,54,56,
      48,54,101,45,50,50,32,49,46,55,49,54,50,56,101,45,50,49,32,50,46,57,50,52,53,
      51,101,45,50,49,10,32,32,53,46,49,53,51,52,52,101,45,50,49,32,56,46,55,50,52,
      49,51,101,45,50,49,32,49,46,51,52,50,54,56,101,45,50,48,32,50,46,56,54,56,51,
      53,101,45,50,48,32,51,46,57,52,51,55,49,101,45,50,48,32,53,46,54,49,50,57,51,
      101,45,50,48,32,56,46,50,50,55,48,51,101,45,50,48,10,32,32,49,46,50,51,52,57,
      53,101,45,49,57,32,49,46,55,53,48,53,101,45,49,57,32,50,46,53,51,51,56,57,101,
      45,49,57,32,51,46,53,49,56,51,49,101,45,49,57,32,52,46,55,55,49,49,57,101,45,
      49,57,32,54,46,54,48,51,53,54,101,45,49,57,32,57,46,51,48,52,51,101,45,49,57,
      10,32,32,49,46,49,57,51,48,55,101,45,49,56,32,49,46,53,55,55,52,101,45,49,56,
      32,50,46,48,48,50,52,55,101,45,49,56,32,50,46,53,54,56,50,53,101,45,49,56,32,
      51,46,50,55,49,48,53,101,45,49,56,32,52,46,49,52,48,48,57,101,45,49,56,32,53,
      46,50,48,55,53,55,101,45,49,56,10,32,32,54,46,53,49,49,48,49,101,45,49,56,32,
      56,46,48,57,50,49,50,101,45,49,56,32,57,46,57,57,56,50,52,101,45,49,56,32,49,
      46,50,50,56,50,55,101,45,49,55,32,49,46,53,48,48,51,56,101,45,49,55,32,49,46,
      56,50,50,54,52,101,45,49,55,32,50,46,50,48,50,53,57,101,45,49,55,10,32,32,50,
      46,54,52,55,54,51,101,45,49,55,32,51,46,49,54,54,54,50,101,45,49,55,32,51,46,
      55,54,57,49,50,101,45,49,55,32,52,46,52,54,53,49,53,101,45,49,55,32,53,46,50,
      54,53,56,53,101,45,49,55,32,54,46,49,56,51,48,50,101,45,49,55,32,55,46,50,50,
      57,49,49,101,45,49,55,10,32,32,56,46,52,49,55,50,55,101,45,49,55,32,57,46,55,
      54,49,51,49,101,45,49,55,32,49,46,49,50,55,53,50,101,45,49,54,32,49,46,50,57,
      55,51,53,101,45,49,54,32,49,46,52,56,55,49,49,101,45,49,54,32,49,46,54,57,56,
      51,51,101,45,49,54,32,49,46,57,51,50,52,54,101,45,49,54,10,32,32,50,46,49,57,
      49,101,45,49,54,32,50,46,52,55,53,51,51,101,45,49,54,32,50,46,55,56,54,55,57,
      101,45,49,54,32,51,46,49,50,54,54,101,45,49,54,32,51,46,52,57,53,57,57,101,
      45,49,54,32,51,46,56,57,53,57,57,101,45,49,54,32,52,46,51,50,55,53,54,101,45,
      49,54,10,32,32,52,46,54,56,53,54,49,101,45,49,54,32,53,46,48,54,51,52,50,101,
      45,49,54,32,53,46,52,54,49,51,54,101,45,49,54,32,53,46,56,55,57,51,55,101,45,
      49,54,32,54,46,51,49,55,53,55,101,45,49,54,32,54,46,56,51,54,51,49,101,45,49,
      54,32,55,46,53,50,57,52,52,101,45,49,54,10,32,32,56,46,50,54,50,54,51,101,45,
      49,54,32,57,46,48,51,52,54,52,101,45,49,54,32,57,46,56,52,51,54,50,101,45,49,
      54,32,49,46,48,54,56,55,54,101,45,49,53,32,49,46,49,53,54,52,101,45,49,53,32,
      49,46,50,52,55,101,45,49,53,32,49,46,51,52,48,50,49,101,45,49,53,10,32,32,49,
      46,52,51,53,54,52,101,45,49,53,32,49,46,53,51,50,56,50,101,45,49,53,32,49,46,
      54,51,49,51,53,101,45,49,53,32,49,46,55,51,48,54,56,101,45,49,53,32,49,46,56,
      51,48,50,56,101,45,49,53,32,49,46,57,50,57,53,56,101,45,49,53,32,50,46,48,50,
      56,48,51,101,45,49,53,10,32,32,50,46,49,50,53,48,53,101,45,49,53,32,50,46,50,
      50,48,48,55,101,45,49,53,32,50,46,51,49,50,52,56,101,45,49,53,32,50,46,52,48,
      49,54,56,101,45,49,53,32,50,46,52,56,55,49,56,101,45,49,53,32,50,46,53,54,56,
      52,54,101,45,49,53,32,50,46,54,52,53,48,49,101,45,49,53,10,32,32,50,46,55,49,
      54,51,53,101,45,49,53,32,50,46,55,56,50,48,57,101,45,49,53,32,50,46,56,52,49,
      56,54,101,45,49,53,32,50,46,56,57,53,51,51,101,45,49,53,32,50,46,57,52,50,49,
      54,101,45,49,53,32,50,46,57,56,50,49,53,101,45,49,53,32,51,46,48,49,53,48,57,
      101,45,49,53,10,32,32,51,46,48,52,48,56,50,101,45,49,53,32,51,46,48,53,57,51,
      57,101,45,49,53,32,51,46,48,55,48,55,56,101,45,49,53,32,51,46,48,55,53,48,55,
      101,45,49,53,32,51,46,48,55,50,52,101,45,49,53,32,51,46,48,54,50,57,50,101,
      45,49,53,32,51,46,48,52,54,56,50,101,45,49,53,10,32,32,50,46,57,57,53,54,51,
      101,45,49,53,32,50,46,57,50,49,48,55,101,45,49,53,32,50,46,56,50,53,56,52,101,
      45,49,53,32,50,46,55,49,50,56,56,101,45,49,53,32,50,46,53,56,53,52,101,45,49,
      53,32,50,46,52,52,54,55,54,101,45,49,53,32,50,46,51,48,48,48,53,101,45,49,53,
      10,32,32,50,46,49,52,56,48,56,101,45,49,53,32,49,46,57,57,51,56,49,101,45,49,
      53,32,49,46,56,51,57,54,54,101,45,49,53,32,49,46,54,56,55,55,51,101,45,49,53,
      32,49,46,53,51,57,57,53,101,45,49,53,32,49,46,51,57,55,55,54,101,45,49,53,32,
      49,46,50,54,50,50,57,101,45,49,53,10,32,32,49,46,49,51,52,52,49,101,45,49,53,
      32,49,46,48,49,52,56,101,45,49,53,32,57,46,48,51,55,57,52,101,45,49,54,32,56,
      46,48,49,53,49,50,101,45,49,54,32,55,46,48,55,56,56,53,101,45,49,54,32,54,46,
      50,50,55,50,51,101,45,49,54,32,53,46,52,53,55,50,56,101,45,49,54,10,32,32,52,
      46,55,54,53,48,51,101,45,49,54,32,52,46,49,52,53,57,57,101,45,49,54,32,51,46,
      53,57,53,49,52,101,45,49,54,32,51,46,49,48,55,50,56,101,45,49,54,32,50,46,54,
      55,55,50,49,101,45,49,54,32,50,46,50,57,57,55,51,101,45,49,54,32,49,46,57,54,
      57,55,50,101,45,49,54,10,32,32,49,46,54,56,50,51,53,101,45,49,54,32,48,114,
      50,52,48,32,49,46,53,55,55,48,53,101,45,51,49,32,54,46,57,56,53,50,50,101,45,
      51,48,32,49,46,49,56,53,51,50,101,45,50,57,32,50,46,51,56,50,53,51,101,45,50,
      57,32,51,46,50,56,57,57,56,101,45,50,57,32,52,46,55,49,57,53,49,101,45,50,57,
      10,32,32,50,46,52,54,53,57,50,101,45,50,57,32,52,46,51,52,55,53,55,101,45,50,
      57,32,53,46,52,54,54,51,57,101,45,50,57,32,56,46,52,49,56,49,54,101,45,50,57,
      32,49,46,51,51,57,50,54,101,45,50,56,32,49,46,57,53,50,53,51,101,45,50,56,32,
      50,46,56,50,50,49,101,45,50,56,10,32,32,51,46,57,53,51,56,50,101,45,50,56,32,
      53,46,52,55,51,54,101,45,50,56,32,55,46,55,56,57,57,56,101,45,50,56,32,49,46,
      48,53,56,55,56,101,45,50,55,32,49,46,52,55,52,56,54,101,45,50,55,32,49,46,56,
      55,51,56,52,101,45,50,55,32,50,46,55,52,55,50,57,101,45,50,55,10,32,32,51,46,
      53,55,57,56,57,101,45,50,55,32,52,46,55,52,52,52,57,101,45,50,55,32,56,46,57,
      54,49,54,57,101,45,50,55,32,50,46,48,54,48,57,49,101,45,50,54,32,52,46,52,52,
      54,49,53,101,45,50,54,32,49,46,48,57,57,57,57,101,45,50,53,32,50,46,53,55,51,
      48,54,101,45,50,53,10,32,32,54,46,54,55,48,57,57,101,45,50,53,32,49,46,51,57,
      51,49,55,101,45,50,52,32,50,46,54,52,51,55,54,101,45,50,53,32,49,46,49,51,57,
      56,49,101,45,50,52,32,50,46,56,55,52,54,52,101,45,50,52,32,56,46,54,50,53,56,
      54,101,45,50,51,32,49,46,56,56,54,54,56,101,45,50,50,10,32,32,51,46,53,51,48,
      55,101,45,50,50,32,54,46,51,48,56,53,101,45,50,50,32,49,46,49,54,54,50,50,101,
      45,50,49,32,50,46,48,54,48,53,54,101,45,50,49,32,51,46,50,56,49,48,51,101,45,
      50,49,32,56,46,55,57,53,56,57,101,45,50,49,32,49,46,50,49,48,51,54,101,45,50,
      48,10,32,32,49,46,55,50,55,56,57,101,45,50,48,32,50,46,53,52,55,57,50,101,45,
      50,48,32,51,46,56,54,48,54,57,101,45,50,48,32,53,46,53,50,56,56,54,101,45,50,
      48,32,56,46,49,48,51,48,50,101,45,50,48,32,49,46,49,52,48,51,50,101,45,49,57,
      32,49,46,53,54,51,52,50,101,45,49,57,10,32,32,50,46,49,56,56,52,53,101,45,49,
      57,32,51,46,49,51,49,51,55,101,45,49,57,32,52,46,48,52,50,48,52,101,45,49,57,
      32,53,46,51,56,49,48,55,101,45,49,57,32,54,46,56,54,56,50,55,101,45,49,57,32,
      56,46,56,53,57,57,57,101,45,49,57,32,49,46,49,51,51,56,56,101,45,49,56,10,32,
      32,49,46,52,52,49,53,53,101,45,49,56,32,49,46,56,50,49,51,53,101,45,49,56,32,
      50,46,50,56,55,54,49,101,45,49,56,32,50,46,56,53,54,54,53,101,45,49,56,32,51,
      46,53,52,55,48,49,101,45,49,56,32,52,46,51,55,57,52,49,101,45,49,56,32,53,46,
      51,55,55,51,49,101,45,49,56,10,32,32,54,46,53,54,54,54,101,45,49,56,32,55,46,
      57,55,55,50,56,101,45,49,56,32,57,46,54,51,57,56,57,101,45,49,56,32,49,46,49,
      53,57,48,50,101,45,49,55,32,49,46,51,56,54,55,49,101,45,49,55,32,49,46,54,53,
      49,50,55,101,45,49,55,32,49,46,57,53,55,50,53,101,45,49,55,10,32,32,50,46,51,
      48,57,52,54,101,45,49,55,32,50,46,55,49,51,50,49,101,45,49,55,32,51,46,49,55,
      52,49,53,101,45,49,55,32,51,46,54,57,56,50,54,101,45,49,55,32,52,46,50,57,49,
      56,52,101,45,49,55,32,52,46,57,54,49,52,101,45,49,55,32,53,46,55,49,51,53,52,
      101,45,49,55,10,32,32,54,46,53,53,53,49,53,101,45,49,55,32,55,46,52,57,51,51,
      57,101,45,49,55,32,56,46,53,51,53,49,54,101,45,49,55,32,57,46,54,56,55,54,53,
      101,45,49,55,32,49,46,48,57,53,55,54,101,45,49,54,32,49,46,50,51,53,49,53,101,
      45,49,54,32,49,46,51,56,55,53,56,101,45,49,54,10,32,32,49,46,53,53,51,54,50,
      101,45,49,54,32,49,46,55,51,51,56,56,101,45,49,54,32,49,46,56,56,52,49,55,101,
      45,49,54,32,50,46,48,52,51,53,51,101,45,49,54,32,50,46,50,49,50,50,49,101,45,
      49,54,32,50,46,51,57,48,50,56,101,45,49,54,32,50,46,53,55,55,56,56,101,45,49,
      54,10,32,32,50,46,56,48,49,48,56,101,45,49,54,32,51,46,49,48,49,50,55,101,45,
      49,54,32,51,46,52,50,49,49,50,101,45,49,54,32,51,46,55,54,48,51,57,101,45,49,
      54,32,52,46,49,49,56,55,49,101,45,49,54,32,52,46,52,57,53,51,53,101,45,49,54,
      32,52,46,56,56,57,54,49,101,45,49,54,10,32,32,53,46,51,48,48,52,49,101,45,49,
      54,32,53,46,55,50,54,53,54,101,45,49,54,32,54,46,49,54,54,54,56,101,45,49,54,
      32,54,46,54,49,57,48,50,101,45,49,54,32,55,46,48,56,49,56,53,101,45,49,54,32,
      55,46,53,53,51,48,56,101,45,49,54,32,56,46,48,51,48,50,52,101,45,49,54,10,32,
      32,56,46,53,49,49,48,51,101,45,49,54,32,56,46,57,57,50,57,56,101,45,49,54,32,
      57,46,52,55,51,53,50,101,45,49,54,32,57,46,57,53,48,49,49,101,45,49,54,32,49,
      46,48,52,50,101,45,49,53,32,49,46,48,56,56,48,51,101,45,49,53,32,49,46,49,51,
      50,56,51,101,45,49,53,10,32,32,49,46,49,55,54,49,51,101,45,49,53,32,49,46,50,
      49,55,54,55,101,45,49,53,32,49,46,50,53,55,49,57,101,45,49,53,32,49,46,50,57,
      52,52,55,101,45,49,53,32,49,46,51,50,57,50,53,101,45,49,53,32,49,46,51,54,49,
      51,53,101,45,49,53,32,49,46,51,57,48,53,56,101,45,49,53,10,32,32,49,46,52,49,
      54,56,49,101,45,49,53,32,49,46,52,51,57,57,101,45,49,53,32,49,46,52,53,57,55,
      53,101,45,49,53,32,49,46,52,55,54,50,56,101,45,49,53,32,49,46,52,56,57,52,54,
      101,45,49,53,32,49,46,52,57,57,50,52,101,45,49,53,32,49,46,53,48,53,54,101,
      45,49,53,10,32,32,49,46,53,48,56,53,56,101,45,49,53,32,49,46,53,48,56,49,54,
      101,45,49,53,32,49,46,52,57,55,53,49,101,45,49,53,32,49,46,52,55,52,52,50,101,
      45,49,53,32,49,46,52,51,57,56,55,101,45,49,53,32,49,46,51,57,53,50,50,101,45,
      49,53,32,49,46,51,52,49,56,57,101,45,49,53,10,32,32,49,46,50,56,49,50,57,101,
      45,49,53,32,49,46,50,49,52,57,57,101,45,49,53,32,49,46,49,52,52,52,54,101,45,
      49,53,32,49,46,48,55,49,49,56,101,45,49,53,32,57,46,57,54,52,57,55,101,45,49,
      54,32,57,46,50,49,53,56,50,101,45,49,54,32,56,46,52,55,52,52,53,101,45,49,54,
      10,32,32,55,46,55,53,48,51,52,101,45,49,54,32,55,46,48,53,49,52,53,101,45,49,
      54,32,54,46,51,56,51,54,54,101,45,49,54,32,53,46,55,53,49,50,54,101,45,49,54,
      32,53,46,49,53,55,53,50,101,45,49,54,32,52,46,54,48,52,54,101,45,49,54,32,52,
      46,48,57,51,52,53,101,45,49,54,10,32,32,51,46,54,50,52,49,52,101,45,49,54,32,
      51,46,49,57,54,101,45,49,54,32,50,46,56,48,55,55,53,101,45,49,54,32,50,46,52,
      53,55,54,53,101,45,49,54,32,50,46,49,52,51,54,55,101,45,49,54,32,49,46,56,54,
      51,52,55,101,45,49,54,32,49,46,54,49,52,53,53,101,45,49,54,10,32,32,49,46,51,
      57,52,52,56,101,45,49,54,32,49,46,50,48,48,55,54,101,45,49,54,32,49,46,48,51,
      48,57,52,101,45,49,54,32,48,114,50,52,49,32,54,46,50,56,57,54,52,101,45,51,
      49,32,49,46,48,56,57,55,50,101,45,51,48,32,50,46,50,53,49,52,56,101,45,51,48,
      32,51,46,49,52,56,55,54,101,45,51,48,10,32,32,52,46,53,55,57,56,55,101,45,51,
      48,32,50,46,51,50,54,49,51,101,45,51,48,32,52,46,49,57,51,53,56,101,45,51,48,
      32,53,46,51,50,48,55,51,101,45,51,48,32,56,46,51,51,53,56,55,101,45,51,48,32,
      49,46,51,53,49,49,54,101,45,50,57,32,50,46,48,48,48,50,57,101,45,50,57,10,32,
      32,50,46,57,51,53,48,57,101,45,50,57,32,52,46,49,54,57,55,56,101,45,50,57,32,
      53,46,56,53,49,50,51,101,45,50,57,32,56,46,52,53,49,54,51,101,45,50,57,32,49,
      46,49,54,51,55,51,101,45,50,56,32,49,46,54,52,52,49,52,101,45,50,56,32,50,46,
      49,49,48,52,56,101,45,50,56,10,32,32,51,46,49,52,53,56,56,101,45,50,56,32,52,
      46,49,51,57,55,53,101,45,50,56,32,53,46,53,53,52,54,101,45,50,56,32,49,46,48,
      55,57,50,53,101,45,50,55,32,50,46,53,55,55,51,53,101,45,50,55,32,53,46,55,54,
      50,51,51,101,45,50,55,32,49,46,52,56,56,53,54,101,45,50,54,10,32,32,51,46,54,
      50,57,54,49,101,45,50,54,32,57,46,56,55,50,53,57,101,45,50,54,32,50,46,49,51,
      53,53,51,101,45,50,53,32,50,46,50,56,53,53,101,45,50,54,32,49,46,49,51,54,51,
      56,101,45,50,53,32,51,46,49,51,55,53,57,101,45,50,53,32,49,46,53,56,54,55,54,
      101,45,50,51,10,32,32,51,46,55,53,49,50,49,101,45,50,51,32,55,46,52,52,52,51,
      52,101,45,50,51,32,49,46,52,48,48,52,51,101,45,50,50,32,50,46,55,50,54,57,54,
      101,45,50,50,32,53,46,48,52,51,57,53,101,45,50,50,32,56,46,51,50,53,55,56,101,
      45,50,50,32,50,46,57,48,54,52,53,101,45,50,49,10,32,32,52,46,48,48,54,50,101,
      45,50,49,32,53,46,55,51,48,52,101,45,50,49,32,56,46,52,55,56,50,54,101,45,50,
      49,32,49,46,50,57,50,49,57,101,45,50,48,32,49,46,56,54,51,55,56,101,45,50,48,
      32,50,46,55,53,55,56,49,101,45,50,48,32,51,46,57,50,53,52,54,101,45,50,48,10,
      32,32,53,46,52,51,55,49,50,101,45,50,48,32,55,46,54,57,53,57,101,45,50,48,32,
      49,46,49,50,48,52,57,101,45,49,57,32,49,46,52,53,54,55,56,101,45,49,57,32,49,
      46,57,53,51,55,52,101,45,49,57,32,50,46,53,48,56,51,54,101,45,49,57,32,51,46,
      50,53,54,57,52,101,45,49,57,10,32,32,52,46,49,56,57,48,52,101,45,49,57,32,53,
      46,51,53,49,50,54,101,45,49,57,32,54,46,55,57,49,55,50,101,45,49,57,32,56,46,
      53,54,55,53,53,101,45,49,57,32,49,46,48,55,52,52,55,101,45,49,56,32,49,46,51,
      51,57,56,53,101,45,49,56,32,49,46,54,54,49,53,50,101,45,49,56,10,32,32,50,46,
      48,52,57,50,51,101,45,49,56,32,50,46,53,49,51,56,56,101,45,49,56,32,51,46,48,
      54,56,48,54,101,45,49,56,32,51,46,55,50,52,56,50,101,45,49,56,32,52,46,52,57,
      57,53,50,101,45,49,56,32,53,46,52,48,56,54,56,101,45,49,56,32,54,46,52,55,48,
      51,51,101,45,49,56,10,32,32,55,46,55,48,52,54,50,101,45,49,56,32,57,46,49,51,
      51,49,50,101,45,49,56,32,49,46,48,55,55,57,49,101,45,49,55,32,49,46,50,54,54,
      55,55,101,45,49,55,32,49,46,52,56,50,53,57,101,45,49,55,32,49,46,55,50,56,50,
      50,101,45,49,55,32,50,46,48,48,54,54,49,101,45,49,55,10,32,32,50,46,51,50,48,
      56,57,101,45,49,55,32,50,46,54,55,52,51,55,101,45,49,55,32,51,46,48,55,48,51,
      57,101,45,49,55,32,51,46,53,49,50,51,53,101,45,49,55,32,52,46,48,48,51,55,50,
      101,45,49,55,32,52,46,53,52,55,57,49,101,45,49,55,32,53,46,49,52,56,53,101,
      45,49,55,10,32,32,53,46,56,48,56,56,50,101,45,49,55,32,54,46,53,51,50,48,51,
      101,45,49,55,32,55,46,51,50,49,51,56,101,45,49,55,32,55,46,57,56,50,56,57,101,
      45,49,55,32,56,46,54,56,55,51,51,101,45,49,55,32,57,46,52,51,54,48,55,101,45,
      49,55,32,49,46,48,50,50,57,57,101,45,49,54,10,32,32,49,46,49,48,54,57,56,101,
      45,49,54,32,49,46,50,48,55,52,50,101,45,49,54,32,49,46,51,52,51,50,57,101,45,
      49,54,32,49,46,52,56,57,48,51,101,45,49,54,32,49,46,54,52,52,54,101,45,49,54,
      32,49,46,56,49,48,48,52,101,45,49,54,32,49,46,57,56,53,49,54,101,45,49,54,10,
      32,32,50,46,49,54,57,55,50,101,45,49,54,32,50,46,51,54,51,52,49,101,45,49,54,
      32,50,46,53,54,53,56,53,101,45,49,54,32,50,46,55,55,54,52,53,101,45,49,54,32,
      50,46,57,57,52,53,49,101,45,49,54,32,51,46,50,49,57,51,56,101,45,49,54,32,51,
      46,52,53,48,50,52,101,45,49,54,10,32,32,51,46,54,56,53,57,54,101,45,49,54,32,
      51,46,57,50,53,53,50,101,45,49,54,32,52,46,49,54,55,57,56,101,45,49,54,32,52,
      46,52,49,50,48,57,101,45,49,54,32,52,46,54,53,54,54,51,101,45,49,54,32,52,46,
      57,48,48,51,51,101,45,49,54,32,53,46,49,52,49,56,101,45,49,54,10,32,32,53,46,
      51,55,57,55,49,101,45,49,54,32,53,46,54,49,50,54,56,101,45,49,54,32,53,46,56,
      51,57,52,52,101,45,49,54,32,54,46,48,53,56,53,57,101,45,49,54,32,54,46,50,54,
      56,57,101,45,49,54,32,54,46,52,54,57,49,50,101,45,49,54,32,54,46,54,53,55,57,
      50,101,45,49,54,10,32,32,54,46,56,51,52,49,55,101,45,49,54,32,54,46,57,57,54,
      57,56,101,45,49,54,32,55,46,49,52,53,49,57,101,45,49,54,32,55,46,50,55,56,51,
      55,101,45,49,54,32,55,46,51,57,53,56,49,101,45,49,54,32,55,46,52,57,54,57,55,
      101,45,49,54,32,55,46,53,56,49,53,101,45,49,54,10,32,32,55,46,54,52,57,49,52,
      101,45,49,54,32,55,46,54,57,57,55,51,101,45,49,54,32,55,46,55,51,51,50,51,101,
      45,49,54,32,55,46,55,52,57,50,54,101,45,49,54,32,55,46,54,57,56,57,55,101,45,
      49,54,32,55,46,53,56,53,56,52,101,45,49,54,32,55,46,52,49,53,48,50,101,45,49,
      54,10,32,32,55,46,49,57,50,53,56,101,45,49,54,32,54,46,57,50,53,53,57,101,45,
      49,54,32,54,46,54,50,49,51,57,101,45,49,54,32,54,46,50,56,55,51,52,101,45,49,
      54,32,53,46,57,51,49,50,49,101,45,49,54,32,53,46,53,54,48,48,51,101,45,49,54,
      32,53,46,49,56,48,53,56,101,45,49,54,10,32,32,52,46,55,57,57,49,52,101,45,49,
      54,32,52,46,52,50,49,49,51,101,45,49,54,32,52,46,48,53,48,57,53,101,45,49,54,
      32,51,46,54,57,50,50,55,101,45,49,54,32,51,46,51,52,56,55,49,101,45,49,54,32,
      51,46,48,50,50,55,101,45,49,54,32,50,46,55,49,53,57,55,101,45,49,54,10,32,32,
      50,46,52,50,57,53,52,101,45,49,54,32,50,46,49,54,52,49,51,101,45,49,54,32,49,
      46,57,49,57,56,55,101,45,49,54,32,49,46,54,57,54,53,101,45,49,54,32,49,46,52,
      57,51,52,51,101,45,49,54,32,49,46,51,48,57,56,57,101,45,49,54,32,49,46,49,52,
      52,56,53,101,45,49,54,10,32,32,57,46,57,55,50,50,52,101,45,49,55,32,56,46,54,
      53,55,56,57,101,45,49,55,32,55,46,52,57,51,48,55,101,45,49,55,32,54,46,52,54,
      53,50,51,101,45,49,55,32,48,114,50,52,49,32,53,46,55,49,53,57,54,101,45,51,
      50,32,49,46,48,49,48,52,101,45,51,49,32,50,46,49,52,53,49,54,101,45,51,49,10,
      32,32,51,46,48,51,55,48,57,101,45,51,49,32,52,46,52,55,55,48,49,101,45,51,49,
      32,50,46,50,49,50,52,55,101,45,51,49,32,52,46,48,55,53,53,101,45,51,49,32,53,
      46,50,49,54,53,49,101,45,51,49,32,56,46,51,49,48,49,101,45,51,49,32,49,46,51,
      55,49,53,55,101,45,51,48,10,32,32,50,46,48,54,48,56,50,101,45,51,48,32,51,46,
      48,54,56,51,101,45,51,48,32,52,46,52,49,56,49,52,101,45,51,48,32,54,46,50,56,
      49,52,56,101,45,51,48,32,57,46,50,48,52,101,45,51,48,32,49,46,50,56,51,51,53,
      101,45,50,57,32,49,46,56,51,56,48,57,101,45,50,57,10,32,32,50,46,51,56,51,48,
      50,101,45,50,57,32,51,46,54,48,57,53,52,101,45,50,57,32,52,46,55,57,53,54,51,
      101,45,50,57,32,54,46,53,49,50,48,49,101,45,50,57,32,49,46,51,48,48,50,57,101,
      45,50,56,32,51,46,50,50,48,54,49,101,45,50,56,32,55,46,52,53,51,48,50,101,45,
      50,56,10,32,32,50,46,48,48,55,48,53,101,45,50,55,32,53,46,48,57,53,50,52,101,
      45,50,55,32,49,46,52,53,49,56,54,101,45,50,54,32,51,46,49,55,56,57,52,101,45,
      50,54,32,49,46,56,52,50,53,56,101,45,50,55,32,49,46,48,53,56,55,55,101,45,50,
      54,32,51,46,50,48,55,53,101,45,50,54,10,32,32,50,46,55,53,52,49,53,101,45,50,
      52,32,55,46,48,56,50,55,54,101,45,50,52,32,49,46,52,57,57,51,53,101,45,50,51,
      32,50,46,57,56,55,49,49,101,45,50,51,32,54,46,49,54,48,54,54,101,45,50,51,32,
      49,46,49,57,56,51,54,101,45,50,50,32,50,46,48,53,55,51,55,101,45,50,50,10,32,
      32,57,46,54,57,57,57,51,101,45,50,50,32,49,46,51,52,52,56,50,101,45,50,49,32,
      49,46,57,51,50,56,50,101,45,50,49,32,50,46,56,55,50,48,49,101,45,50,49,32,52,
      46,51,57,56,56,50,101,45,50,49,32,54,46,51,55,55,55,54,101,45,50,49,32,57,46,
      53,48,52,51,49,101,45,50,49,10,32,32,49,46,51,54,52,55,57,101,45,50,48,32,49,
      46,57,48,54,56,51,101,45,50,48,32,50,46,55,50,54,52,55,101,45,50,48,32,52,46,
      48,52,53,54,50,101,45,50,48,32,53,46,50,57,55,50,56,101,45,50,48,32,55,46,49,
      54,48,56,54,101,45,50,48,32,57,46,50,53,51,57,54,101,45,50,48,10,32,32,49,46,
      50,49,49,50,55,101,45,49,57,32,49,46,53,54,54,55,101,45,49,57,32,50,46,48,49,
      49,52,49,101,45,49,57,32,50,46,53,54,52,54,56,101,45,49,57,32,51,46,50,52,57,
      55,101,45,49,57,32,52,46,48,57,51,49,52,101,45,49,57,32,53,46,49,50,53,56,52,
      101,45,49,57,10,32,32,54,46,51,56,51,50,51,101,45,49,57,32,55,46,57,48,54,48,
      55,101,45,49,57,32,57,46,55,52,48,53,50,101,45,49,57,32,49,46,49,57,52,48,49,
      101,45,49,56,32,49,46,52,53,54,48,49,101,45,49,56,32,49,46,55,54,54,55,101,
      45,49,56,32,50,46,49,51,51,51,51,101,45,49,56,10,32,32,50,46,53,54,51,55,56,
      101,45,49,56,32,51,46,48,54,54,56,54,101,45,49,56,32,51,46,54,53,50,48,50,101,
      45,49,56,32,52,46,51,50,57,55,57,101,45,49,56,32,53,46,49,49,48,57,55,101,45,
      49,56,32,54,46,48,48,55,53,51,101,45,49,56,32,55,46,48,51,50,55,51,101,45,49,
      56,10,32,32,56,46,50,48,48,49,54,101,45,49,56,32,57,46,53,50,52,54,50,101,45,
      49,56,32,49,46,49,48,50,48,54,101,45,49,55,32,49,46,50,55,48,52,56,101,45,49,
      55,32,49,46,52,53,57,51,57,101,45,49,55,32,49,46,54,55,48,52,54,101,45,49,55,
      32,49,46,57,48,53,51,57,101,45,49,55,10,32,32,50,46,49,54,53,57,54,101,45,49,
      55,32,50,46,52,53,51,56,49,101,45,49,55,32,50,46,55,55,48,55,51,101,45,49,55,
      32,51,46,49,49,56,51,56,101,45,49,55,32,51,46,52,49,49,49,49,101,45,49,55,32,
      51,46,55,50,52,49,51,101,45,49,55,32,52,46,48,53,56,50,53,101,45,49,55,10,32,
      32,52,46,52,49,51,57,54,101,45,49,55,32,52,46,55,57,49,56,56,101,45,49,55,32,
      53,46,50,52,53,56,50,101,45,49,55,32,53,46,56,54,51,49,54,101,45,49,55,32,54,
      46,53,50,57,49,52,101,45,49,55,32,55,46,50,52,52,54,52,101,45,49,55,32,56,46,
      48,49,48,49,50,101,45,49,55,10,32,32,56,46,56,50,53,53,55,101,45,49,55,32,57,
      46,54,57,48,55,51,101,45,49,55,32,49,46,48,54,48,53,49,101,45,49,54,32,49,46,
      49,53,54,54,55,101,45,49,54,32,49,46,50,53,55,51,57,101,45,49,54,32,49,46,51,
      54,50,52,52,101,45,49,54,32,49,46,52,55,49,53,53,101,45,49,54,10,32,32,49,46,
      53,56,52,51,56,101,45,49,54,32,49,46,55,48,48,53,52,101,45,49,54,32,49,46,56,
      49,57,53,52,101,45,49,54,32,49,46,57,52,48,57,53,101,45,49,54,32,50,46,48,54,
      52,50,52,101,45,49,54,32,50,46,49,56,56,56,54,101,45,49,54,32,50,46,51,49,52,
      49,57,101,45,49,54,10,32,32,50,46,52,51,57,53,56,101,45,49,54,32,50,46,53,54,
      52,52,101,45,49,54,32,50,46,54,56,55,57,55,101,45,49,54,32,50,46,56,48,57,54,
      50,101,45,49,54,32,50,46,57,50,56,54,54,101,45,49,54,32,51,46,48,52,52,52,50,
      101,45,49,54,32,51,46,49,53,54,50,53,101,45,49,54,10,32,32,51,46,50,54,51,53,
      50,101,45,49,54,32,51,46,51,54,53,54,101,45,49,54,32,51,46,52,54,49,57,50,101,
      45,49,54,32,51,46,53,53,49,57,53,101,45,49,54,32,51,46,54,51,53,49,55,101,45,
      49,54,32,51,46,55,49,49,49,50,101,45,49,54,32,51,46,55,55,57,52,54,101,45,49,
      54,10,32,32,51,46,56,51,57,56,49,101,45,49,54,32,51,46,56,57,49,57,101,45,49,
      54,32,51,46,57,51,53,53,101,45,49,54,32,51,46,57,55,48,51,53,101,45,49,54,32,
      52,46,48,49,51,57,49,101,45,49,54,32,52,46,48,50,50,57,49,101,45,49,54,32,51,
      46,57,57,56,50,101,45,49,54,10,32,32,51,46,57,52,49,54,52,101,45,49,54,32,51,
      46,56,53,53,54,54,101,45,49,54,32,51,46,55,52,51,52,49,101,45,49,54,32,51,46,
      54,48,56,48,49,101,45,49,54,32,51,46,52,53,51,50,54,101,45,49,54,32,51,46,50,
      56,51,48,50,101,45,49,54,32,51,46,49,48,49,48,55,101,45,49,54,10,32,32,50,46,
      57,49,49,101,45,49,54,32,50,46,55,49,54,51,101,45,49,54,32,50,46,53,50,48,49,
      54,101,45,49,54,32,50,46,51,50,53,51,101,45,49,54,32,50,46,49,51,52,48,55,101,
      45,49,54,32,49,46,57,52,56,53,53,101,45,49,54,32,49,46,55,55,48,51,52,101,45,
      49,54,10,32,32,49,46,54,48,48,56,49,101,45,49,54,32,49,46,52,52,48,57,50,101,
      45,49,54,32,49,46,50,57,49,51,49,101,45,49,54,32,49,46,49,53,50,51,53,101,45,
      49,54,32,49,46,48,50,52,49,56,101,45,49,54,32,57,46,48,54,55,49,101,45,49,55,
      32,55,46,57,57,54,56,50,101,45,49,55,10,32,32,55,46,48,50,55,50,49,101,45,49,
      55,32,54,46,49,53,51,53,49,101,45,49,55,32,53,46,51,55,48,50,51,101,45,49,55,
      32,52,46,54,55,49,51,50,101,45,49,55,32,52,46,48,53,48,53,51,101,45,49,55,32,
      48,114,50,52,49,32,51,46,56,56,53,56,54,101,45,51,51,32,55,46,48,50,49,52,53,
      101,45,51,51,10,32,32,49,46,53,51,51,54,54,101,45,51,50,32,50,46,50,48,48,53,
      51,101,45,51,50,32,51,46,50,57,49,52,50,101,45,51,50,32,49,46,53,55,56,56,50,
      101,45,51,50,32,50,46,57,55,55,50,56,101,45,51,50,32,51,46,56,52,55,51,49,101,
      45,51,50,32,54,46,50,52,48,53,57,101,45,51,50,10,32,32,49,46,48,53,49,50,51,
      101,45,51,49,32,49,46,54,48,53,49,57,101,45,51,49,32,50,46,52,50,56,49,57,101,
      45,51,49,32,51,46,53,52,56,48,56,101,45,51,49,32,53,46,49,49,54,56,53,101,45,
      51,49,32,55,46,54,49,53,50,55,101,45,51,49,32,49,46,48,55,54,52,50,101,45,51,
      48,10,32,32,49,46,53,54,52,56,49,101,45,51,48,32,50,46,48,53,48,56,101,45,51,
      48,32,51,46,49,54,48,56,55,101,45,51,48,32,52,46,50,52,51,52,54,101,45,51,48,
      32,53,46,56,51,55,52,54,101,45,51,48,32,49,46,50,48,48,55,50,101,45,50,57,32,
      51,46,48,57,52,52,55,101,45,50,57,10,32,32,55,46,52,51,52,56,51,101,45,50,57,
      32,50,46,48,57,53,51,49,101,45,50,56,32,53,46,53,53,55,48,50,101,45,50,56,32,
      49,46,54,54,53,52,56,101,45,50,55,32,51,46,49,53,48,55,49,101,45,50,55,32,57,
      46,57,51,51,48,49,101,45,50,57,32,54,46,55,52,51,52,55,101,45,50,56,10,32,32,
      50,46,50,55,51,53,54,101,45,50,55,32,51,46,53,50,49,54,52,101,45,50,53,32,49,
      46,48,48,52,51,54,101,45,50,52,32,50,46,51,48,50,50,56,101,45,50,52,32,52,46,
      57,50,50,57,52,101,45,50,52,32,49,46,48,57,48,55,101,45,50,51,32,50,46,50,53,
      57,56,56,101,45,50,51,10,32,32,52,46,48,55,54,53,53,101,45,50,51,32,50,46,55,
      56,57,101,45,50,50,32,51,46,57,50,49,54,49,101,45,50,50,32,53,46,55,48,50,57,
      54,101,45,50,50,32,56,46,53,53,52,57,56,101,45,50,50,32,49,46,51,50,48,55,51,
      101,45,50,49,32,49,46,57,50,55,50,52,101,45,50,49,10,32,32,50,46,56,57,51,53,
      52,101,45,50,49,32,52,46,49,56,56,52,101,45,50,49,32,53,46,57,48,50,52,53,101,
      45,50,49,32,56,46,53,50,54,50,56,101,45,50,49,32,49,46,50,57,53,48,55,101,45,
      50,48,32,49,46,55,48,57,49,54,101,45,50,48,32,50,46,51,51,49,51,55,101,45,50,
      48,10,32,32,51,46,48,51,53,53,55,101,45,50,48,32,52,46,48,49,53,55,57,101,45,
      50,48,32,53,46,50,50,56,49,51,101,45,50,48,32,54,46,55,53,52,56,49,101,45,50,
      48,32,56,46,54,54,52,53,49,101,45,50,48,32,49,46,49,48,52,48,49,101,45,49,57,
      32,49,46,51,57,55,56,50,101,45,49,57,10,32,32,49,46,55,53,57,49,56,101,45,49,
      57,32,50,46,50,48,49,51,51,101,45,49,57,32,50,46,55,51,57,53,101,45,49,57,32,
      51,46,51,57,49,49,101,45,49,57,32,52,46,49,55,54,52,51,101,45,49,57,32,53,46,
      49,49,55,49,55,101,45,49,57,32,54,46,50,51,57,48,51,101,45,49,57,10,32,32,55,
      46,53,55,48,51,53,101,45,49,57,32,57,46,49,52,50,49,54,101,45,49,57,32,49,46,
      48,57,56,56,57,101,45,49,56,32,49,46,51,49,52,55,56,101,45,49,56,32,49,46,53,
      54,54,49,56,101,45,49,56,32,49,46,56,53,55,53,54,101,45,49,56,32,50,46,49,57,
      51,56,56,101,45,49,56,10,32,32,50,46,53,56,48,53,55,101,45,49,56,32,51,46,48,
      50,51,49,53,101,45,49,56,32,51,46,53,50,55,56,52,101,45,49,56,32,52,46,49,48,
      49,48,52,101,45,49,56,32,52,46,55,52,57,54,50,101,45,49,56,32,53,46,52,56,48,
      55,52,101,45,49,56,32,54,46,51,48,49,56,53,101,45,49,56,10,32,32,55,46,50,50,
      48,54,54,101,45,49,56,32,56,46,50,52,52,57,101,45,49,56,32,57,46,51,56,50,55,
      101,45,49,56,32,49,46,48,54,52,50,51,101,45,49,55,32,49,46,50,48,51,49,52,101,
      45,49,55,32,49,46,51,50,48,54,55,101,45,49,55,32,49,46,52,52,54,56,54,101,45,
      49,55,10,32,32,49,46,53,56,50,49,53,101,45,49,55,32,49,46,55,50,54,56,51,101,
      45,49,55,32,49,46,56,56,49,50,54,101,45,49,55,32,50,46,48,54,55,54,49,101,45,
      49,55,32,50,46,51,50,50,52,56,101,45,49,55,32,50,46,53,57,57,50,57,101,45,49,
      55,32,50,46,56,57,56,54,53,101,45,49,55,10,32,32,51,46,50,50,49,48,54,101,45,
      49,55,32,51,46,53,54,54,56,50,101,45,49,55,32,51,46,57,51,54,49,53,101,45,49,
      55,32,52,46,51,50,57,48,55,101,45,49,55,32,52,46,55,52,53,51,56,101,45,49,55,
      32,53,46,49,56,52,55,49,101,45,49,55,32,53,46,54,52,54,50,54,101,45,49,55,10,
      32,32,54,46,49,50,57,50,57,101,45,49,55,32,54,46,54,51,50,54,52,101,45,49,55,
      32,55,46,49,53,52,57,54,101,45,49,55,32,55,46,54,57,52,52,54,101,45,49,55,32,
      56,46,50,52,57,52,57,101,45,49,55,32,56,46,56,49,56,48,51,101,45,49,55,32,57,
      46,51,57,55,55,55,101,45,49,55,10,32,32,57,46,57,56,54,50,56,101,45,49,55,32,
      49,46,48,53,56,48,57,101,45,49,54,32,49,46,49,49,55,57,49,101,45,49,54,32,49,
      46,49,55,55,55,57,101,45,49,54,32,49,46,50,51,55,52,49,101,45,49,54,32,49,46,
      50,57,54,52,56,101,45,49,54,32,49,46,51,53,52,54,57,101,45,49,54,10,32,32,49,
      46,52,49,49,55,51,101,45,49,54,32,49,46,52,54,55,50,54,101,45,49,54,32,49,46,
      53,50,48,57,101,45,49,54,32,49,46,53,55,50,52,49,101,45,49,54,32,49,46,54,50,
      49,52,50,101,45,49,54,32,49,46,54,54,55,55,51,101,45,49,54,32,49,46,55,49,49,
      48,56,101,45,49,54,10,32,32,49,46,55,53,49,50,53,101,45,49,54,32,49,46,55,56,
      56,48,54,101,45,49,54,32,49,46,56,50,49,51,50,101,45,49,54,32,49,46,56,53,48,
      56,55,101,45,49,54,32,49,46,56,55,54,53,54,101,45,49,54,32,49,46,57,49,53,57,
      55,101,45,49,54,32,49,46,57,51,57,49,49,101,45,49,54,10,32,32,49,46,57,52,53,
      56,52,101,45,49,54,32,49,46,57,51,54,52,51,101,45,49,54,32,49,46,57,49,49,56,
      101,45,49,54,32,49,46,56,55,51,49,101,45,49,54,32,49,46,56,50,49,54,51,101,
      45,49,54,32,49,46,55,53,56,57,51,101,45,49,54,32,49,46,54,56,54,55,49,101,45,
      49,54,10,32,32,49,46,54,48,54,55,52,101,45,49,54,32,49,46,53,50,48,55,55,101,
      45,49,54,32,49,46,52,51,48,54,50,101,45,49,54,32,49,46,51,51,55,56,55,101,45,
      49,54,32,49,46,50,52,52,48,52,101,45,49,54,32,49,46,49,53,48,52,101,45,49,54,
      32,49,46,48,53,56,50,49,101,45,49,54,10,32,32,57,46,54,56,52,56,56,101,45,49,
      55,32,56,46,56,50,48,53,56,101,45,49,55,32,55,46,57,57,53,52,55,101,45,49,55,
      32,55,46,50,49,52,52,57,101,45,49,55,32,54,46,52,56,49,50,56,101,45,49,55,32,
      53,46,55,57,56,48,53,101,45,49,55,32,53,46,49,54,53,56,53,101,45,49,55,10,32,
      32,52,46,53,56,52,52,56,101,45,49,55,32,52,46,48,53,51,48,57,101,45,49,55,32,
      51,46,53,55,48,50,56,101,45,49,55,32,51,46,49,51,51,57,57,101,45,49,55,32,50,
      46,55,52,49,55,49,101,45,49,55,32,50,46,51,57,48,55,50,101,45,49,55,32,48,114,
      50,52,49,32,51,46,52,56,51,57,52,101,45,51,52,10,32,32,54,46,52,49,55,49,50,
      101,45,51,52,32,49,46,52,51,55,54,56,101,45,51,51,32,50,46,48,56,55,48,57,101,
      45,51,51,32,51,46,49,54,49,56,51,101,45,51,51,32,49,46,52,55,55,53,57,101,45,
      51,51,32,50,46,56,52,52,49,55,101,45,51,51,32,51,46,55,48,54,49,56,101,45,51,
      51,10,32,32,54,46,49,48,55,57,57,101,45,51,51,32,49,46,48,52,53,57,54,101,45,
      51,50,32,49,46,54,49,57,55,52,101,45,51,50,32,50,46,52,56,52,51,101,45,51,50,
      32,51,46,54,55,54,55,101,45,51,50,32,53,46,51,55,51,51,56,101,45,51,50,32,56,
      46,49,48,54,55,49,101,45,51,50,10,32,32,49,46,49,53,57,54,52,101,45,51,49,32,
      49,46,55,48,55,56,51,101,45,51,49,32,50,46,50,53,57,52,57,101,45,51,49,32,51,
      46,53,51,53,57,55,101,45,51,49,32,52,46,55,57,48,51,56,101,45,51,49,32,54,46,
      54,54,53,48,53,101,45,51,49,32,49,46,52,48,54,57,55,101,45,51,48,10,32,32,51,
      46,55,53,51,57,50,101,45,51,48,32,57,46,51,49,57,52,57,101,45,51,48,32,50,46,
      55,51,50,50,56,101,45,50,57,32,55,46,53,50,57,51,53,101,45,50,57,32,50,46,51,
      53,56,53,56,101,45,50,56,32,51,46,48,55,53,49,56,101,45,50,56,32,54,46,54,56,
      49,53,55,101,45,51,48,10,32,32,53,46,50,56,49,52,50,101,45,50,57,32,49,46,57,
      54,51,54,50,101,45,50,56,32,53,46,49,56,53,56,50,101,45,50,54,32,49,46,54,51,
      49,48,50,101,45,50,53,32,52,46,48,51,54,48,53,101,45,50,53,32,57,46,50,52,48,
      57,53,101,45,50,53,32,50,46,49,57,52,56,56,101,45,50,52,10,32,32,52,46,56,51,
      54,52,56,101,45,50,52,32,57,46,49,53,52,55,49,101,45,50,52,32,56,46,56,57,50,
      53,56,101,45,50,51,32,49,46,50,55,53,50,53,101,45,50,50,32,49,46,56,56,56,48,
      53,101,45,50,50,32,50,46,56,55,54,49,54,101,45,50,50,32,52,46,52,57,54,54,56,
      101,45,50,50,10,32,32,54,46,54,49,56,56,55,101,45,50,50,32,49,46,48,48,49,54,
      57,101,45,50,49,32,49,46,52,53,57,50,57,101,45,50,49,32,50,46,48,55,49,51,54,
      101,45,50,49,32,51,46,48,49,55,51,49,101,45,50,49,32,52,46,54,56,53,51,55,101,
      45,50,49,32,54,46,50,50,52,51,53,101,45,50,49,10,32,32,56,46,53,53,53,54,56,
      101,45,50,49,32,49,46,49,50,49,53,53,101,45,50,48,32,49,46,53,48,49,48,54,101,
      45,50,48,32,49,46,57,54,53,57,53,101,45,50,48,32,50,46,53,53,52,50,57,101,45,
      50,48,32,51,46,50,57,51,56,51,101,45,50,48,32,52,46,50,49,56,49,57,101,45,50,
      48,10,32,32,53,46,51,54,54,53,101,45,50,48,32,54,46,55,56,53,49,54,101,45,50,
      48,32,56,46,53,50,56,48,49,101,45,50,48,32,49,46,48,54,53,56,101,45,49,57,32,
      49,46,51,50,52,56,101,45,49,57,32,49,46,54,51,56,51,51,101,45,49,57,32,50,46,
      48,49,53,53,55,101,45,49,57,10,32,32,50,46,52,54,55,51,53,101,45,49,57,32,51,
      46,48,48,53,57,54,101,45,49,57,32,51,46,54,52,53,48,50,101,45,49,57,32,52,46,
      51,57,57,53,50,101,45,49,57,32,53,46,50,56,54,51,55,101,45,49,57,32,54,46,51,
      50,52,50,56,101,45,49,57,32,55,46,53,51,50,55,56,101,45,49,57,10,32,32,56,46,
      57,51,52,49,57,101,45,49,57,32,49,46,48,53,53,50,57,101,45,49,56,32,49,46,50,
      52,49,51,52,101,45,49,56,32,49,46,52,53,52,52,51,101,45,49,56,32,49,46,54,57,
      55,53,53,101,45,49,56,32,49,46,57,55,51,57,101,45,49,56,32,50,46,50,56,54,56,
      53,101,45,49,56,10,32,32,50,46,54,51,57,57,50,101,45,49,56,32,51,46,48,51,54,
      55,49,101,45,49,56,32,51,46,52,56,49,49,56,101,45,49,56,32,51,46,57,55,55,49,
      53,101,45,49,56,32,52,46,53,50,56,57,54,101,45,49,56,32,53,46,49,52,48,51,54,
      101,45,49,56,32,53,46,54,53,57,55,55,101,45,49,56,10,32,32,54,46,50,49,57,54,
      50,101,45,49,56,32,54,46,56,50,50,48,49,101,45,49,56,32,55,46,52,54,56,53,101,
      45,49,56,32,56,46,49,54,49,49,51,101,45,49,56,32,57,46,48,48,48,51,52,101,45,
      49,56,32,49,46,48,49,53,52,101,45,49,55,32,49,46,49,52,49,51,54,101,45,49,55,
      10,32,32,49,46,50,55,56,51,55,101,45,49,55,32,49,46,52,50,54,55,56,101,45,49,
      55,32,49,46,53,56,54,56,56,101,45,49,55,32,49,46,55,53,56,56,55,101,45,49,55,
      32,49,46,57,52,50,57,52,101,45,49,55,32,50,46,49,51,57,49,52,101,45,49,55,32,
      50,46,51,52,55,51,57,101,45,49,55,10,32,32,50,46,53,54,55,53,56,101,45,49,55,
      32,50,46,55,57,57,52,57,101,45,49,55,32,51,46,48,52,50,54,57,101,45,49,55,32,
      51,46,50,57,54,54,51,101,45,49,55,32,51,46,53,54,48,55,56,101,45,49,55,32,51,
      46,56,51,52,52,53,101,45,49,55,32,52,46,49,49,54,56,101,45,49,55,10,32,32,52,
      46,52,48,54,56,54,101,45,49,55,32,52,46,55,48,51,53,53,101,45,49,55,32,53,46,
      48,48,53,55,101,45,49,55,32,53,46,51,49,50,48,52,101,45,49,55,32,53,46,54,50,
      49,49,56,101,45,49,55,32,53,46,57,51,49,55,52,101,45,49,55,32,54,46,50,52,50,
      50,57,101,45,49,55,10,32,32,54,46,53,53,49,50,51,101,45,49,55,32,54,46,56,53,
      54,57,52,101,45,49,55,32,55,46,49,53,55,56,51,101,45,49,55,32,55,46,52,53,50,
      50,51,101,45,49,55,32,55,46,55,51,56,54,55,101,45,49,55,32,56,46,48,49,53,53,
      101,45,49,55,32,56,46,50,56,49,50,49,101,45,49,55,10,32,32,56,46,53,51,52,52,
      55,101,45,49,55,32,56,46,55,55,51,54,54,101,45,49,55,32,56,46,57,57,55,52,54,
      101,45,49,55,32,57,46,50,48,52,55,55,101,45,49,55,32,57,46,51,57,52,54,55,101,
      45,49,55,32,57,46,53,54,54,50,57,101,45,49,55,32,57,46,56,53,49,49,55,101,45,
      49,55,10,32,32,49,46,48,48,53,52,54,101,45,49,54,32,49,46,48,49,55,52,101,45,
      49,54,32,49,46,48,50,48,57,53,101,45,49,54,32,49,46,48,49,54,50,56,101,45,49,
      54,32,49,46,48,48,51,55,57,101,45,49,54,32,57,46,56,51,57,57,49,101,45,49,55,
      32,57,46,53,55,53,53,101,45,49,55,10,32,32,57,46,50,53,50,57,52,101,45,49,55,
      32,56,46,56,56,49,48,57,101,45,49,55,32,56,46,52,54,56,53,56,101,45,49,55,32,
      56,46,48,50,52,50,54,101,45,49,55,32,55,46,53,53,55,49,55,101,45,49,55,32,55,
      46,48,55,53,57,101,45,49,55,32,54,46,53,56,56,48,53,101,45,49,55,10,32,32,54,
      46,49,48,48,54,101,45,49,55,32,53,46,54,49,57,55,50,101,45,49,55,32,53,46,49,
      53,48,56,50,101,45,49,55,32,52,46,54,57,56,50,51,101,45,49,55,32,52,46,50,54,
      53,52,101,45,49,55,32,51,46,56,53,52,57,53,101,45,49,55,32,51,46,52,54,56,56,
      53,101,45,49,55,10,32,32,51,46,49,48,56,51,51,101,45,49,55,32,50,46,55,55,52,
      48,52,101,45,49,55,32,50,46,52,54,54,48,50,101,45,49,55,32,50,46,49,56,51,57,
      49,101,45,49,55,32,49,46,57,50,55,48,54,101,45,49,55,32,49,46,54,57,52,52,57,
      101,45,49,55,32,49,46,52,56,52,57,52,101,45,49,55,10,32,32,48,114,50,52,49,
      32,50,46,51,55,54,54,49,101,45,51,53,32,52,46,52,54,57,56,49,101,45,51,53,32,
      49,46,48,50,57,52,49,101,45,51,52,32,49,46,53,49,51,52,55,101,45,51,52,32,50,
      46,51,50,52,55,56,101,45,51,52,32,49,46,48,53,54,49,101,45,51,52,32,50,46,48,
      55,56,54,50,101,45,51,52,10,32,32,50,46,55,51,51,50,57,101,45,51,52,32,52,46,
      53,56,50,56,54,101,45,51,52,32,55,46,57,57,53,57,55,101,45,51,52,32,49,46,50,
      53,55,51,52,101,45,51,51,32,49,46,57,53,55,55,51,101,45,51,51,32,50,46,57,51,
      55,57,54,101,45,51,51,32,52,46,51,52,56,50,51,101,45,51,51,10,32,32,54,46,54,
      53,55,52,51,101,45,51,51,32,57,46,54,52,54,55,55,101,45,51,51,32,49,46,52,52,
      48,55,55,101,45,51,50,32,49,46,57,50,55,54,51,101,45,51,50,32,51,46,48,54,54,
      55,53,101,45,51,50,32,52,46,49,57,53,56,101,45,51,50,32,53,46,57,48,57,57,52,
      101,45,51,50,10,32,32,49,46,50,56,51,49,54,101,45,51,49,32,51,46,53,53,52,53,
      52,101,45,51,49,32,57,46,49,52,51,52,53,101,45,51,49,32,50,46,55,57,56,49,55,
      101,45,51,48,32,56,46,48,51,55,49,49,101,45,51,48,32,50,46,54,52,49,48,49,101,
      45,50,57,32,49,46,51,49,51,49,52,101,45,50,57,10,32,32,51,46,48,49,56,57,53,
      101,45,51,49,32,50,46,56,51,54,51,51,101,45,51,48,32,49,46,49,55,56,55,56,101,
      45,50,57,32,53,46,53,57,48,56,49,101,45,50,55,32,49,46,57,55,52,55,49,101,45,
      50,54,32,53,46,51,52,57,50,52,101,45,50,54,32,49,46,51,50,56,56,52,101,45,50,
      53,10,32,32,51,46,52,51,48,55,52,101,45,50,53,32,56,46,49,52,50,57,51,101,45,
      50,53,32,49,46,54,51,51,57,101,45,50,52,32,50,46,51,56,56,52,51,101,45,50,51,
      32,51,46,53,50,53,57,49,101,45,50,51,32,53,46,51,54,54,57,55,101,45,50,51,32,
      56,46,51,56,49,53,101,45,50,51,10,32,32,49,46,51,51,56,53,101,45,50,50,32,49,
      46,57,57,57,52,101,45,50,50,32,51,46,48,54,53,49,56,101,45,50,50,32,52,46,53,
      48,51,54,52,101,45,50,50,32,54,46,52,53,48,57,57,101,45,50,50,32,57,46,52,56,
      56,50,52,101,45,50,50,32,49,46,53,49,50,54,57,101,45,50,49,10,32,32,50,46,48,
      50,52,49,51,101,45,50,49,32,50,46,56,48,53,54,53,101,45,50,49,32,51,46,55,48,
      52,57,55,101,45,50,49,32,53,46,48,51,55,51,50,101,45,50,49,32,54,46,54,51,56,
      48,51,101,45,50,49,32,56,46,54,55,56,56,49,101,45,50,49,32,49,46,49,50,54,49,
      53,101,45,50,48,10,32,32,49,46,52,53,48,55,57,101,45,50,48,32,49,46,56,53,54,
      50,49,101,45,50,48,32,50,46,51,53,57,54,50,101,45,50,48,32,50,46,57,56,49,49,
      101,45,50,48,32,51,46,55,52,52,50,56,101,45,50,48,32,52,46,54,55,54,51,57,101,
      45,50,48,32,53,46,56,48,57,55,53,101,45,50,48,10,32,32,55,46,49,56,48,48,54,
      101,45,50,48,32,56,46,56,50,57,51,56,101,45,50,48,32,49,46,48,56,48,52,57,101,
      45,49,57,32,49,46,51,49,54,48,57,101,45,49,57,32,49,46,53,57,53,54,101,45,49,
      57,32,49,46,57,50,53,55,54,101,45,49,57,32,50,46,51,49,52,49,51,101,45,49,57,
      10,32,32,50,46,55,54,56,53,49,101,45,49,57,32,51,46,50,57,56,49,55,101,45,49,
      57,32,51,46,57,49,51,53,51,101,45,49,57,32,52,46,54,50,52,51,101,45,49,57,32,
      53,46,52,52,50,53,52,101,45,49,57,32,54,46,51,56,48,56,54,101,45,49,57,32,55,
      46,52,53,50,54,101,45,49,57,10,32,32,56,46,54,55,49,57,55,101,45,49,57,32,49,
      46,48,48,53,52,52,101,45,49,56,32,49,46,49,54,49,53,57,101,45,49,56,32,49,46,
      51,51,55,51,52,101,45,49,56,32,49,46,53,51,52,52,52,101,45,49,56,32,49,46,55,
      53,52,55,53,101,45,49,56,32,50,46,48,48,48,49,101,45,49,56,10,32,32,50,46,50,
      48,57,52,53,101,45,49,56,32,50,46,52,51,54,48,50,101,45,49,56,32,50,46,54,56,
      48,56,49,101,45,49,56,32,50,46,57,52,52,54,101,45,49,56,32,51,46,50,50,56,51,
      50,101,45,49,56,32,51,46,53,55,51,53,56,101,45,49,56,32,52,46,48,53,48,55,56,
      101,45,49,56,10,32,32,52,46,53,55,53,48,56,101,45,49,56,32,53,46,49,52,56,53,
      57,101,45,49,56,32,53,46,55,55,51,54,54,101,45,49,56,32,54,46,52,53,50,48,52,
      101,45,49,56,32,55,46,49,56,53,51,53,101,45,49,56,32,55,46,57,55,53,48,53,101,
      45,49,56,32,56,46,56,50,50,48,54,101,45,49,56,10,32,32,57,46,55,50,55,49,101,
      45,49,56,32,49,46,48,54,57,48,51,101,45,49,55,32,49,46,49,55,49,49,52,101,45,
      49,55,32,49,46,50,55,56,57,53,101,45,49,55,32,49,46,51,57,50,51,49,101,45,49,
      55,32,49,46,53,49,49,48,53,101,45,49,55,32,49,46,54,51,52,57,55,101,45,49,55,
      10,32,32,49,46,55,54,51,55,53,101,45,49,55,32,49,46,56,57,55,48,54,101,45,49,
      55,32,50,46,48,51,52,52,57,101,45,49,55,32,50,46,49,55,53,53,54,101,45,49,55,
      32,50,46,51,49,57,55,56,101,45,49,55,32,50,46,52,54,54,54,50,101,45,49,55,32,
      50,46,54,49,53,52,55,101,45,49,55,10,32,32,50,46,55,54,53,55,101,45,49,55,32,
      50,46,57,49,54,54,50,101,45,49,55,32,51,46,48,54,55,52,57,101,45,49,55,32,51,
      46,50,49,55,53,101,45,49,55,32,51,46,51,54,53,56,56,101,45,49,55,32,51,46,53,
      49,49,56,52,101,45,49,55,32,51,46,54,53,52,54,52,101,45,49,55,10,32,32,51,46,
      55,57,51,54,49,101,45,49,55,32,51,46,57,50,56,48,55,101,45,49,55,32,52,46,48,
      53,55,51,49,101,45,49,55,32,52,46,49,56,48,54,101,45,49,55,32,52,46,50,57,55,
      51,52,101,45,49,55,32,52,46,52,48,54,57,51,101,45,49,55,32,52,46,53,48,56,55,
      55,101,45,49,55,10,32,32,52,46,54,56,55,48,55,101,45,49,55,32,52,46,56,50,56,
      55,54,101,45,49,55,32,52,46,57,51,49,52,55,101,45,49,55,32,52,46,57,57,51,55,
      54,101,45,49,55,32,53,46,48,49,53,54,55,101,45,49,55,32,52,46,57,57,55,56,53,
      101,45,49,55,32,52,46,57,52,50,49,101,45,49,55,10,32,32,52,46,56,53,48,55,54,
      101,45,49,55,32,52,46,55,50,55,50,101,45,49,55,32,52,46,53,55,53,48,50,101,
      45,49,55,32,52,46,51,57,56,51,52,101,45,49,55,32,52,46,50,48,49,50,52,101,45,
      49,55,32,51,46,57,56,56,48,56,101,45,49,55,32,51,46,55,54,51,48,56,101,45,49,
      55,10,32,32,51,46,53,50,57,57,54,101,45,49,55,32,51,46,50,57,50,57,101,45,49,
      55,32,51,46,48,53,53,51,53,101,45,49,55,32,50,46,56,50,48,51,49,101,45,49,55,
      32,50,46,53,57,48,51,51,101,45,49,55,32,50,46,51,54,55,54,49,101,45,49,55,32,
      50,46,49,53,52,48,52,101,45,49,55,10,32,32,49,46,57,53,48,57,57,101,45,49,55,
      32,49,46,55,53,57,52,54,101,45,49,55,32,49,46,53,56,48,48,54,101,45,49,55,32,
      49,46,52,49,51,50,49,101,45,49,55,32,49,46,50,53,57,48,55,101,45,49,55,32,49,
      46,49,49,55,53,53,101,45,49,55,32,57,46,56,56,51,50,53,101,45,49,56,10,32,32,
      56,46,55,48,57,54,56,101,45,49,56,32,48,114,50,52,51,32,51,46,57,57,48,53,56,
      101,45,51,53,32,53,46,56,57,51,53,56,101,45,51,53,32,57,46,48,57,55,52,50,101,
      45,51,53,32,52,46,48,57,49,52,55,101,45,51,53,32,56,46,49,49,54,56,51,101,45,
      51,53,32,49,46,48,55,48,55,53,101,45,51,52,10,32,32,49,46,56,48,54,50,54,101,
      45,51,52,32,51,46,49,55,50,51,55,101,45,51,52,32,53,46,48,49,53,53,54,101,45,
      51,52,32,55,46,56,53,49,49,53,101,45,51,52,32,49,46,49,56,52,48,51,101,45,51,
      51,32,49,46,55,54,48,55,56,101,45,51,51,32,50,46,55,48,57,57,57,101,45,51,51,
      10,32,32,51,46,57,52,52,56,56,101,45,51,51,32,53,46,57,50,49,50,101,45,51,51,
      32,55,46,57,52,50,56,49,101,45,51,51,32,49,46,50,55,48,57,56,101,45,51,50,32,
      49,46,55,52,54,56,54,101,45,51,50,32,50,46,52,55,49,50,51,101,45,51,50,32,53,
      46,52,49,56,57,52,101,45,51,50,10,32,32,49,46,53,50,49,49,56,101,45,51,49,32,
      51,46,57,54,50,49,56,101,45,51,49,32,49,46,50,51,49,49,57,101,45,51,48,32,51,
      46,53,56,56,52,101,45,51,48,32,49,46,49,57,57,50,56,101,45,50,57,32,52,46,49,
      51,50,56,101,45,51,48,32,57,46,55,50,49,50,55,101,45,51,50,10,32,32,57,46,55,
      50,54,54,54,101,45,51,49,32,52,46,50,49,48,50,52,101,45,51,48,32,50,46,52,54,
      54,57,57,101,45,50,55,32,57,46,48,57,52,52,101,45,50,55,32,50,46,53,52,55,48,
      56,101,45,50,54,32,54,46,53,50,51,49,50,101,45,50,54,32,49,46,55,51,55,52,52,
      101,45,50,53,10,32,32,52,46,50,52,48,53,49,101,45,50,53,32,56,46,54,57,55,56,
      56,101,45,50,53,32,49,46,52,55,48,51,53,101,45,50,51,32,50,46,49,57,55,49,54,
      101,45,50,51,32,51,46,51,56,52,51,56,101,45,50,51,32,53,46,51,52,52,53,101,
      45,50,51,32,56,46,54,49,57,57,56,101,45,50,51,10,32,32,49,46,50,57,54,55,101,
      45,50,50,32,50,46,48,48,48,49,57,101,45,50,50,32,50,46,57,53,48,53,49,101,45,
      50,50,32,52,46,50,52,50,57,56,101,45,50,50,32,54,46,50,54,53,49,53,101,45,50,
      50,32,49,46,48,48,56,54,49,101,45,50,49,32,49,46,51,53,51,51,56,101,45,50,49,
      10,32,32,49,46,56,56,49,54,101,45,50,49,32,50,46,52,57,49,50,53,101,45,50,49,
      32,51,46,52,48,57,54,55,101,45,50,49,32,52,46,53,48,50,55,57,101,45,50,49,32,
      53,46,56,57,57,57,53,101,45,50,49,32,55,46,54,55,49,54,50,101,45,50,49,32,57,
      46,57,48,51,52,56,101,45,50,49,10,32,32,49,46,50,54,57,55,101,45,50,48,32,49,
      46,54,49,55,49,54,101,45,50,48,32,50,46,48,52,54,57,50,101,45,50,48,32,50,46,
      53,55,53,53,54,101,45,50,48,32,51,46,50,50,50,51,51,101,45,50,48,32,52,46,48,
      48,57,57,56,101,45,50,48,32,52,46,57,54,51,56,53,101,45,50,48,10,32,32,54,46,
      49,49,51,57,53,101,45,50,48,32,55,46,52,57,51,57,101,45,50,48,32,57,46,49,52,
      50,49,56,101,45,50,48,32,49,46,49,49,48,49,101,45,49,57,32,49,46,51,52,49,56,
      55,101,45,49,57,32,49,46,54,49,53,48,54,101,45,49,57,32,49,46,57,51,53,50,53,
      101,45,49,57,10,32,32,50,46,51,48,57,49,57,101,45,49,57,32,50,46,55,52,52,53,
      49,101,45,49,57,32,51,46,50,52,56,49,53,101,45,49,57,32,51,46,56,50,56,57,53,
      101,45,49,57,32,52,46,52,57,54,49,49,101,45,49,57,32,53,46,50,53,57,52,56,101,
      45,49,57,32,54,46,49,50,57,53,49,101,45,49,57,10,32,32,55,46,49,49,55,53,49,
      101,45,49,57,32,56,46,50,51,53,50,55,101,45,49,57,32,57,46,52,57,53,54,54,101,
      45,49,57,32,49,46,48,57,49,49,54,101,45,49,56,32,49,46,50,52,57,55,51,101,45,
      49,56,32,49,46,52,50,54,54,49,101,45,49,56,32,49,46,53,55,55,55,57,101,45,49,
      56,10,32,32,49,46,55,52,49,54,49,101,45,49,56,32,49,46,57,49,56,56,53,101,45,
      49,56,32,50,46,49,49,48,49,101,45,49,56,32,50,46,51,49,54,48,56,101,45,49,56,
      32,50,46,53,54,55,49,53,101,45,49,56,32,50,46,57,49,52,55,57,101,45,49,56,32,
      51,46,50,57,55,53,50,101,45,49,56,10,32,32,51,46,55,49,55,48,53,101,45,49,56,
      32,52,46,49,55,53,50,55,101,45,49,56,32,52,46,54,55,51,54,54,101,45,49,56,32,
      53,46,50,49,51,53,52,101,45,49,56,32,53,46,55,57,54,49,52,101,45,49,56,32,54,
      46,52,50,50,52,57,101,45,49,56,32,55,46,48,57,51,49,56,101,45,49,56,10,32,32,
      55,46,56,48,56,52,55,101,45,49,56,32,56,46,53,54,56,53,50,101,45,49,56,32,57,
      46,51,55,50,56,57,101,45,49,56,32,49,46,48,50,50,48,55,101,45,49,55,32,49,46,
      49,49,49,48,55,101,45,49,55,32,49,46,50,48,52,49,57,101,45,49,55,32,49,46,51,
      48,49,50,101,45,49,55,10,32,32,49,46,52,48,49,56,57,101,45,49,55,32,49,46,53,
      48,53,57,56,101,45,49,55,32,49,46,54,49,51,49,52,101,45,49,55,32,49,46,55,50,
      51,48,49,101,45,49,55,32,49,46,56,51,53,49,56,101,45,49,55,32,49,46,57,52,57,
      50,51,101,45,49,55,32,50,46,48,54,52,54,52,101,45,49,55,10,32,32,50,46,49,56,
      48,57,51,101,45,49,55,32,50,46,50,57,55,53,54,101,45,49,55,32,50,46,52,49,51,
      57,54,101,45,49,55,32,50,46,53,50,57,53,52,101,45,49,55,32,50,46,54,52,51,55,
      50,101,45,49,55,32,50,46,55,53,53,56,57,101,45,49,55,32,50,46,56,54,53,53,55,
      101,45,49,55,10,32,32,50,46,57,55,50,49,56,101,45,49,55,32,51,46,48,55,53,49,
      55,101,45,49,55,32,51,46,49,55,51,57,54,101,45,49,55,32,51,46,50,54,56,48,53,
      101,45,49,55,32,51,46,51,53,54,57,52,101,45,49,55,32,51,46,52,52,48,50,101,
      45,49,55,32,51,46,53,56,56,101,45,49,55,10,32,32,51,46,55,48,56,53,55,101,45,
      49,55,32,51,46,55,57,57,55,53,101,45,49,55,32,51,46,56,54,48,50,56,101,45,49,
      55,32,51,46,56,56,57,54,56,101,45,49,55,32,51,46,56,56,56,48,56,101,45,49,55,
      32,51,46,56,53,54,54,55,101,45,49,55,32,51,46,55,57,55,48,52,101,45,49,55,10,
      32,32,51,46,55,49,49,51,55,101,45,49,55,32,51,46,54,48,50,52,49,101,45,49,55,
      32,51,46,52,55,51,50,101,45,49,55,32,51,46,51,50,55,48,53,101,45,49,55,32,51,
      46,49,54,55,49,101,45,49,55,32,50,46,57,57,54,53,57,101,45,49,55,32,50,46,56,
      49,56,54,101,45,49,55,10,32,32,50,46,54,51,54,51,57,101,45,49,55,32,50,46,52,
      53,50,54,54,101,45,49,55,32,50,46,50,54,57,56,101,45,49,55,32,50,46,48,56,57,
      56,54,101,45,49,55,32,49,46,57,49,52,56,53,101,45,49,55,32,49,46,55,52,54,50,
      49,101,45,49,55,32,49,46,53,56,53,50,52,101,45,49,55,10,32,32,49,46,52,51,50,
      56,52,101,45,49,55,32,49,46,50,56,57,54,50,101,45,49,55,32,49,46,49,53,54,101,
      45,49,55,32,49,46,48,51,50,49,52,101,45,49,55,32,57,46,49,56,48,53,52,101,45,
      49,56,32,56,46,49,51,53,56,49,101,45,49,56,32,55,46,49,56,52,52,56,101,45,49,
      56,10,32,32,48,114,50,52,51,32,49,46,52,53,54,55,54,101,45,51,53,32,50,46,49,
      54,49,55,101,45,51,53,32,51,46,51,53,52,49,55,101,45,51,53,32,49,46,52,57,50,
      54,101,45,51,53,32,50,46,57,56,53,56,55,101,45,51,53,32,51,46,57,53,50,50,55,
      101,45,51,53,32,54,46,55,49,48,49,54,101,45,51,53,10,32,32,49,46,49,56,54,55,
      53,101,45,51,52,32,49,46,56,56,55,101,45,51,52,32,50,46,57,55,48,52,55,101,
      45,51,52,32,52,46,53,48,51,48,54,101,45,51,52,32,54,46,55,51,48,51,55,101,45,
      51,52,32,49,46,48,52,49,53,56,101,45,51,51,32,49,46,53,50,51,53,53,101,45,51,
      51,10,32,32,50,46,50,57,56,56,56,101,45,51,51,32,51,46,48,57,53,54,101,45,51,
      51,32,52,46,57,56,52,48,52,101,45,51,51,32,54,46,56,54,56,49,49,101,45,51,51,
      32,57,46,55,54,48,50,50,101,45,51,51,32,50,46,49,54,53,48,49,101,45,51,50,32,
      54,46,49,54,51,49,52,101,45,51,50,10,32,32,49,46,54,50,54,55,101,45,51,49,32,
      53,46,49,51,54,49,51,101,45,51,49,32,49,46,53,50,48,51,50,101,45,51,48,32,53,
      46,49,55,50,49,56,101,45,51,48,32,49,46,49,52,51,49,50,101,45,51,48,32,50,46,
      56,56,48,49,51,101,45,51,50,32,51,46,48,56,49,54,101,45,51,49,10,32,32,49,46,
      51,57,50,54,101,45,51,48,32,49,46,48,49,54,49,53,101,45,50,55,32,51,46,57,50,
      50,53,50,101,45,50,55,32,49,46,49,51,57,52,51,101,45,50,54,32,51,46,48,49,53,
      56,50,101,45,50,54,32,56,46,51,49,49,52,52,101,45,50,54,32,50,46,48,57,49,53,
      53,101,45,50,53,10,32,32,52,46,51,57,53,49,51,101,45,50,53,32,56,46,55,51,51,
      52,57,101,45,50,52,32,49,46,51,50,50,56,57,101,45,50,51,32,50,46,48,54,53,49,
      50,101,45,50,51,32,51,46,51,48,50,55,101,45,50,51,32,53,46,51,56,55,52,51,101,
      45,50,51,32,56,46,49,54,57,55,49,101,45,50,51,10,32,32,49,46,50,54,57,49,57,
      101,45,50,50,32,49,46,56,56,48,56,49,101,45,50,50,32,50,46,55,49,54,56,50,101,
      45,50,50,32,52,46,48,50,57,49,54,101,45,50,50,32,54,46,53,53,53,48,55,101,45,
      50,50,32,56,46,56,50,49,56,56,101,45,50,50,32,49,46,50,51,48,53,51,101,45,50,
      49,10,32,32,49,46,54,51,51,56,52,101,45,50,49,32,50,46,50,53,51,53,56,101,45,
      50,49,32,50,46,57,56,50,53,57,101,45,50,49,32,51,46,57,49,54,53,53,101,45,50,
      49,32,53,46,49,48,51,56,101,45,50,49,32,54,46,54,48,51,50,101,45,50,49,32,56,
      46,52,56,52,49,52,101,45,50,49,10,32,32,49,46,48,56,50,56,57,101,45,50,48,32,
      49,46,51,55,51,52,50,101,45,50,48,32,49,46,55,51,49,52,51,101,45,50,48,32,50,
      46,49,55,48,50,50,101,45,50,48,32,50,46,55,48,53,53,54,101,45,50,48,32,51,46,
      51,53,52,57,53,101,45,50,48,32,52,46,49,51,57,49,50,101,45,50,48,10,32,32,53,
      46,48,56,49,54,53,101,45,50,48,32,54,46,50,48,57,53,57,101,45,50,48,32,55,46,
      53,53,50,50,49,101,45,50,48,32,57,46,49,52,51,56,50,101,45,50,48,32,49,46,49,
      48,50,52,50,101,45,49,57,32,49,46,51,50,51,50,101,45,49,57,32,49,46,53,56,49,
      53,49,101,45,49,57,10,32,32,49,46,56,56,50,55,55,101,45,49,57,32,50,46,50,51,
      49,56,50,101,45,49,57,32,50,46,54,51,53,48,54,101,45,49,57,32,51,46,48,57,57,
      48,57,101,45,49,57,32,51,46,54,51,49,48,54,101,45,49,57,32,52,46,50,51,56,54,
      52,101,45,49,57,32,52,46,57,50,57,57,51,101,45,49,57,10,32,32,53,46,55,49,51,
      53,49,101,45,49,57,32,54,46,53,57,56,54,57,101,45,49,57,32,55,46,53,57,53,48,
      52,101,45,49,57,32,56,46,55,49,50,55,51,101,45,49,57,32,57,46,57,54,49,54,56,
      101,45,49,57,32,49,46,49,48,51,48,57,101,45,49,56,32,49,46,50,49,57,49,50,101,
      45,49,56,10,32,32,49,46,51,52,52,56,51,101,45,49,56,32,49,46,52,56,48,54,55,
      101,45,49,56,32,49,46,54,50,55,50,49,101,45,49,56,32,49,46,56,48,54,49,101,
      45,49,56,32,50,46,48,53,52,50,55,101,45,49,56,32,50,46,51,50,56,48,53,101,45,
      49,56,32,50,46,54,50,56,56,53,101,45,49,56,10,32,32,50,46,57,53,56,48,55,101,
      45,49,56,32,51,46,51,49,54,57,53,101,45,49,56,32,51,46,55,48,54,53,57,101,45,
      49,56,32,52,46,49,50,56,48,49,101,45,49,56,32,52,46,53,56,50,49,52,101,45,49,
      56,32,53,46,48,54,57,53,51,101,45,49,56,32,53,46,53,57,48,52,56,101,45,49,56,
      10,32,32,54,46,49,52,53,51,57,101,45,49,56,32,54,46,55,51,52,49,53,101,45,49,
      56,32,55,46,51,53,54,50,56,101,45,49,56,32,56,46,48,49,49,48,53,101,45,49,56,
      32,56,46,54,57,55,55,52,101,45,49,56,32,57,46,52,49,52,57,56,101,45,49,56,32,
      49,46,48,49,54,49,52,101,45,49,55,10,32,32,49,46,48,57,51,52,57,101,45,49,55,
      32,49,46,49,55,51,51,52,101,45,49,55,32,49,46,50,53,53,52,50,101,45,49,55,32,
      49,46,51,51,57,52,54,101,45,49,55,32,49,46,52,50,53,49,53,101,45,49,55,32,49,
      46,53,49,50,49,53,101,45,49,55,32,49,46,54,48,48,49,101,45,49,55,10,32,32,49,
      46,54,56,56,54,50,101,45,49,55,32,49,46,55,55,55,51,49,101,45,49,55,32,49,46,
      56,54,53,55,52,101,45,49,55,32,49,46,57,53,51,52,56,101,45,49,55,32,50,46,48,
      52,48,48,52,101,45,49,55,32,50,46,49,50,53,101,45,49,55,32,50,46,50,48,55,57,
      53,101,45,49,55,10,32,32,50,46,50,56,56,52,53,101,45,49,55,32,50,46,51,54,54,
      49,51,101,45,49,55,32,50,46,52,52,48,53,54,101,45,49,55,32,50,46,53,49,49,51,
      52,101,45,49,55,32,50,46,53,55,56,49,49,101,45,49,55,32,50,46,54,57,56,50,57,
      101,45,49,55,32,50,46,55,57,56,54,50,101,45,49,55,10,32,32,50,46,56,55,55,50,
      52,101,45,49,55,32,50,46,57,51,51,101,45,49,55,32,50,46,57,54,53,50,53,101,
      45,49,55,32,50,46,57,55,51,57,55,101,45,49,55,32,50,46,57,53,57,54,53,101,45,
      49,55,32,50,46,57,50,51,50,50,101,45,49,55,32,50,46,56,54,54,51,57,101,45,49,
      55,10,32,32,50,46,55,57,49,48,51,101,45,49,55,32,50,46,54,57,57,50,57,101,45,
      49,55,32,50,46,53,57,51,53,49,101,45,49,55,32,50,46,52,55,54,50,51,101,45,49,
      55,32,50,46,51,52,57,55,57,101,45,49,55,32,50,46,50,49,54,53,55,101,45,49,55,
      32,50,46,48,55,57,49,49,101,45,49,55,10,32,32,49,46,57,51,57,53,50,101,45,49,
      55,32,49,46,55,57,57,55,49,101,45,49,55,32,49,46,54,54,49,52,51,101,45,49,55,
      32,49,46,53,50,54,50,53,101,45,49,55,32,49,46,51,57,53,52,53,101,45,49,55,32,
      49,46,50,55,48,48,49,101,45,49,55,32,49,46,49,53,48,55,50,101,45,49,55,10,32,
      32,49,46,48,51,56,49,57,101,45,49,55,32,57,46,51,50,56,48,57,101,45,49,56,32,
      56,46,51,52,55,54,57,101,45,49,56,32,55,46,52,52,49,51,54,101,45,49,56,32,54,
      46,54,48,56,55,57,101,45,49,56,32,53,46,56,52,56,51,53,101,45,49,56,32,48,114,
      50,52,56,32,55,46,54,50,57,52,54,101,45,51,54,10,32,32,49,46,51,48,56,57,56,
      101,45,51,53,32,50,46,51,52,49,53,52,101,45,51,53,32,51,46,55,53,55,57,52,101,
      45,51,53,32,53,46,57,54,57,57,50,101,45,51,53,32,57,46,49,50,54,55,50,101,45,
      51,53,32,49,46,51,55,53,51,50,101,45,51,52,32,50,46,49,52,55,53,52,101,45,51,
      52,10,32,32,51,46,49,54,54,101,45,51,52,32,52,46,56,49,56,49,49,101,45,51,52,
      32,54,46,53,50,56,52,50,101,45,51,52,32,49,46,48,54,49,55,101,45,51,51,32,49,
      46,52,55,49,56,51,101,45,51,51,32,50,46,49,48,55,50,56,101,45,51,51,32,52,46,
      55,52,57,51,51,101,45,51,51,10,32,32,49,46,51,56,52,54,51,101,45,51,50,32,51,
      46,55,51,52,48,53,101,45,51,50,32,49,46,50,49,48,48,53,101,45,51,49,32,51,46,
      54,55,51,48,49,101,45,51,49,32,49,46,50,56,54,50,55,101,45,51,48,32,49,46,49,
      57,56,56,101,45,51,49,32,51,46,55,53,49,57,53,101,45,51,51,10,32,32,52,46,52,
      56,55,50,56,101,45,51,50,32,50,46,49,55,57,55,52,101,45,51,49,32,50,46,50,57,
      52,52,52,101,45,50,56,32,57,46,53,55,56,50,50,101,45,50,56,32,50,46,57,53,56,
      54,50,101,45,50,55,32,56,46,50,55,55,56,54,101,45,50,55,32,50,46,52,49,53,54,
      54,101,45,50,54,10,32,32,54,46,51,57,57,53,53,101,45,50,54,32,49,46,52,48,48,
      55,56,101,45,50,53,32,51,46,54,49,57,49,56,101,45,50,52,32,53,46,54,49,54,51,
      53,101,45,50,52,32,56,46,57,56,52,52,101,45,50,52,32,49,46,52,55,49,48,49,101,
      45,50,51,32,50,46,52,53,49,57,53,101,45,50,51,10,32,32,51,46,55,55,55,52,101,
      45,50,51,32,53,46,57,53,50,53,55,101,45,50,51,32,56,46,57,48,50,50,54,101,45,
      50,51,32,49,46,50,57,55,48,56,101,45,50,50,32,49,46,57,51,57,52,56,101,45,50,
      50,32,51,46,50,49,51,55,57,101,45,50,50,32,52,46,51,52,56,56,52,101,45,50,50,
      10,32,32,54,46,49,48,50,49,55,101,45,50,50,32,56,46,49,52,50,54,50,101,45,50,
      50,32,49,46,49,51,57,55,55,101,45,50,49,32,49,46,53,49,51,55,51,101,45,50,49,
      32,49,46,57,57,52,54,55,101,45,50,49,32,50,46,54,48,56,53,49,101,45,50,49,32,
      51,46,51,56,54,56,57,101,45,50,49,10,32,32,52,46,51,54,55,49,49,101,45,50,49,
      32,53,46,53,57,51,52,50,101,45,50,49,32,55,46,49,49,56,50,49,101,45,50,49,32,
      57,46,48,48,51,50,49,101,45,50,49,32,49,46,49,51,50,48,57,101,45,50,48,32,49,
      46,52,49,53,54,56,101,45,50,48,32,49,46,55,54,48,54,56,101,45,50,48,10,32,32,
      50,46,49,55,56,53,50,101,45,50,48,32,50,46,54,56,50,50,53,101,45,50,48,32,51,
      46,50,56,55,48,55,101,45,50,48,32,52,46,48,48,56,57,52,101,45,50,48,32,52,46,
      56,54,55,50,55,101,45,50,48,32,53,46,56,56,52,54,56,101,45,50,48,32,55,46,48,
      56,50,48,57,101,45,50,48,10,32,32,56,46,52,56,54,56,101,45,50,48,32,49,46,48,
      49,51,48,52,101,45,49,57,32,49,46,50,48,52,48,51,101,45,49,57,32,49,46,52,50,
      53,51,57,101,45,49,57,32,49,46,54,56,48,55,57,101,45,49,57,32,49,46,57,55,52,
      52,55,101,45,49,57,32,50,46,51,49,48,57,49,101,45,49,57,10,32,32,50,46,54,57,
      52,56,55,101,45,49,57,32,51,46,49,51,49,51,56,101,45,49,57,32,51,46,54,50,53,
      57,52,101,45,49,57,32,52,46,49,56,52,49,50,101,45,49,57,32,52,46,56,49,50,49,
      52,101,45,49,57,32,53,46,53,49,53,56,57,101,45,49,57,32,54,46,49,50,48,48,51,
      101,45,49,57,10,32,32,54,46,55,55,55,49,52,101,45,49,57,32,55,46,52,57,48,55,
      56,101,45,49,57,32,56,46,50,54,51,55,52,101,45,49,57,32,57,46,48,57,57,53,53,
      101,45,49,57,32,49,46,48,49,50,50,52,101,45,49,56,32,49,46,49,53,52,53,54,101,
      45,49,56,32,49,46,51,49,50,48,57,101,45,49,56,10,32,32,49,46,52,56,53,55,54,
      101,45,49,56,32,49,46,54,55,54,53,101,45,49,56,32,49,46,56,56,53,49,55,101,
      45,49,56,32,50,46,49,49,50,53,57,101,45,49,56,32,50,46,51,53,57,53,51,101,45,
      49,56,32,50,46,54,50,54,52,56,101,45,49,56,32,50,46,57,49,52,48,51,101,45,49,
      56,10,32,32,51,46,50,50,50,54,101,45,49,56,32,51,46,53,53,50,53,49,101,45,49,
      56,32,51,46,57,48,51,56,56,101,45,49,56,32,52,46,50,55,54,55,101,45,49,56,32,
      52,46,54,55,48,54,54,101,45,49,56,32,53,46,48,56,53,53,49,101,45,49,56,32,53,
      46,53,50,48,54,52,101,45,49,56,10,32,32,53,46,57,55,53,51,56,101,45,49,56,32,
      54,46,52,52,56,55,49,101,45,49,56,32,54,46,57,51,57,51,56,101,45,49,56,32,55,
      46,52,52,54,49,56,101,45,49,56,32,55,46,57,54,55,53,50,101,45,49,56,32,56,46,
      53,48,49,53,51,101,45,49,56,32,57,46,48,52,54,52,49,101,45,49,56,10,32,32,57,
      46,54,48,48,48,57,101,45,49,56,32,49,46,48,49,54,48,52,101,45,49,55,32,49,46,
      48,55,50,52,57,101,45,49,55,32,49,46,49,50,57,49,50,101,45,49,55,32,49,46,49,
      56,53,54,51,101,45,49,55,32,49,46,50,52,49,55,54,101,45,49,55,32,49,46,50,57,
      55,50,52,101,45,49,55,10,32,32,49,46,51,53,49,55,57,101,45,49,55,32,49,46,52,
      48,53,49,54,101,45,49,55,32,49,46,52,53,55,48,55,101,45,49,55,32,49,46,53,48,
      55,50,53,101,45,49,55,32,49,46,53,53,53,52,52,101,45,49,55,32,49,46,54,48,49,
      51,54,101,45,49,55,32,49,46,54,56,53,52,57,101,45,49,55,10,32,32,49,46,55,53,
      56,48,54,101,45,49,55,32,49,46,56,49,55,54,52,101,45,49,55,32,49,46,56,54,51,
      50,101,45,49,55,32,49,46,56,57,52,49,49,101,45,49,55,32,49,46,57,49,48,48,56,
      101,45,49,55,32,49,46,57,49,49,49,49,101,45,49,55,32,49,46,56,57,55,55,49,101,
      45,49,55,10,32,32,49,46,56,55,48,54,53,101,45,49,55,32,49,46,56,51,48,56,55,
      101,45,49,55,32,49,46,55,55,57,54,51,101,45,49,55,32,49,46,55,49,56,52,51,101,
      45,49,55,32,49,46,54,52,56,55,101,45,49,55,32,49,46,53,55,50,48,52,101,45,49,
      55,32,49,46,52,57,101,45,49,55,10,32,32,49,46,52,48,52,49,50,101,45,49,55,32,
      49,46,51,49,53,56,101,45,49,55,32,49,46,50,50,54,52,51,101,45,49,55,32,49,46,
      49,51,55,49,55,101,45,49,55,32,49,46,48,52,57,49,51,101,45,49,55,32,57,46,54,
      51,50,50,50,101,45,49,56,32,56,46,56,48,50,51,101,45,49,56,10,32,32,56,46,48,
      48,55,54,54,101,45,49,56,32,55,46,50,53,50,56,101,45,49,56,32,54,46,53,52,49,
      53,57,101,45,49,56,32,53,46,56,55,54,50,55,101,45,49,56,32,53,46,50,53,55,57,
      56,101,45,49,56,32,52,46,54,56,54,56,53,101,45,49,56,32,52,46,49,54,50,52,52,
      101,45,49,56,10,32,32,48,114,50,53,48,32,53,46,49,50,53,49,53,101,45,51,54,
      32,56,46,50,57,54,52,52,101,45,51,54,32,49,46,51,50,57,49,57,101,45,51,53,32,
      50,46,48,52,55,57,56,101,45,51,53,32,51,46,49,48,57,54,52,101,45,51,53,32,52,
      46,56,57,54,48,50,101,45,51,53,32,55,46,50,55,48,51,53,101,45,51,53,10,32,32,
      49,46,49,49,53,49,56,101,45,51,52,32,49,46,53,49,57,55,50,101,45,51,52,32,50,
      46,52,57,52,52,101,45,51,52,32,51,46,52,55,55,48,52,101,45,51,52,32,53,46,48,
      49,50,54,52,101,45,51,52,32,49,46,49,52,55,54,55,101,45,51,51,32,51,46,52,49,
      50,55,49,101,45,51,51,10,32,32,57,46,51,57,57,50,53,101,45,51,51,32,51,46,49,
      49,57,56,53,101,45,51,50,32,57,46,54,57,49,54,56,101,45,51,50,32,51,46,52,56,
      54,48,52,101,45,51,49,32,49,46,50,54,52,57,55,101,45,51,50,32,53,46,52,49,50,
      50,50,101,45,51,52,32,55,46,49,57,52,54,52,101,45,51,51,10,32,32,51,46,55,52,
      50,51,54,101,45,51,50,32,53,46,52,57,57,48,57,101,45,50,57,32,50,46,52,55,51,
      55,55,101,45,50,56,32,56,46,49,48,53,52,54,101,45,50,56,32,50,46,51,57,50,55,
      57,101,45,50,55,32,55,46,51,56,51,48,54,101,45,50,55,32,50,46,48,53,54,53,57,
      101,45,50,54,10,32,32,52,46,54,56,51,57,52,101,45,50,54,32,49,46,53,53,51,50,
      51,101,45,50,52,32,50,46,52,55,48,55,56,101,45,50,52,32,52,46,48,53,50,48,49,
      101,45,50,52,32,54,46,55,57,54,54,56,101,45,50,52,32,49,46,49,53,56,56,51,101,
      45,50,51,32,49,46,56,49,54,48,51,101,45,50,51,10,32,32,50,46,57,48,54,56,51,
      101,45,50,51,32,52,46,51,57,50,55,55,101,45,50,51,32,54,46,52,54,50,48,52,101,
      45,50,51,32,57,46,55,52,57,56,53,101,45,50,51,32,49,46,54,52,52,57,55,101,45,
      50,50,32,50,46,50,51,57,49,54,101,45,50,50,32,51,46,49,54,49,53,49,101,45,50,
      50,10,32,32,52,46,50,51,57,56,54,101,45,50,50,32,54,46,48,51,48,57,57,101,45,
      50,50,32,56,46,48,51,52,54,53,101,45,50,50,32,49,46,48,54,50,49,51,101,45,50,
      49,32,49,46,51,57,51,54,51,101,45,50,49,32,49,46,56,49,53,53,51,101,45,50,49,
      32,50,46,51,52,56,55,52,101,45,50,49,10,32,32,51,46,48,49,56,50,50,101,45,50,
      49,32,51,46,56,53,51,52,55,101,45,50,49,32,52,46,56,56,57,50,53,101,45,50,49,
      32,54,46,49,54,54,52,49,101,45,50,49,32,55,46,55,51,51,51,54,101,45,50,49,32,
      57,46,54,52,53,51,101,45,50,49,32,49,46,49,57,54,55,101,45,50,48,10,32,32,49,
      46,52,55,55,51,101,45,50,48,32,49,46,56,49,53,49,57,101,45,50,48,32,50,46,50,
      49,57,51,53,101,45,50,48,32,50,46,55,48,49,48,55,101,45,50,48,32,51,46,50,55,
      51,55,54,101,45,50,48,32,51,46,57,52,57,51,55,101,45,50,48,32,52,46,55,52,52,
      50,50,101,45,50,48,10,32,32,53,46,54,55,55,51,57,101,45,50,48,32,54,46,55,54,
      52,53,56,101,45,50,48,32,56,46,48,50,56,50,101,45,50,48,32,57,46,52,57,48,51,
      49,101,45,50,48,32,49,46,49,49,55,54,49,101,45,49,57,32,49,46,51,49,49,50,52,
      101,45,49,57,32,49,46,53,51,50,55,57,101,45,49,57,10,32,32,49,46,55,56,53,51,
      56,101,45,49,57,32,50,46,48,55,50,51,55,101,45,49,57,32,50,46,51,57,55,49,57,
      101,45,49,57,32,50,46,55,54,51,55,51,101,45,49,57,32,51,46,49,55,53,53,54,101,
      45,49,57,32,51,46,53,50,57,57,51,101,45,49,57,32,51,46,57,49,54,50,51,101,45,
      49,57,10,32,32,52,46,51,51,54,54,57,101,45,49,57,32,52,46,55,57,51,48,49,101,
      45,49,57,32,53,46,50,56,55,53,49,101,45,49,57,32,53,46,56,57,51,57,55,101,45,
      49,57,32,54,46,55,52,48,48,54,101,45,49,57,32,55,46,54,55,57,54,51,101,45,49,
      57,32,56,46,55,49,56,57,56,101,45,49,57,10,32,32,57,46,56,54,52,49,55,101,45,
      49,57,32,49,46,49,49,50,49,49,101,45,49,56,32,49,46,50,52,57,53,53,101,45,49,
      56,32,49,46,51,57,57,50,56,101,45,49,56,32,49,46,53,54,49,54,53,101,45,49,56,
      32,49,46,55,51,55,49,54,101,45,49,56,32,49,46,57,50,54,49,53,101,45,49,56,10,
      32,32,50,46,49,50,56,56,57,101,45,49,56,32,50,46,51,52,53,53,55,101,45,49,56,
      32,50,46,53,55,54,50,55,101,45,49,56,32,50,46,56,50,48,57,56,101,45,49,56,32,
      51,46,48,55,57,53,57,101,45,49,56,32,51,46,51,53,49,56,52,101,45,49,56,32,51,
      46,54,51,55,52,53,101,45,49,56,10,32,32,51,46,57,51,53,56,57,101,45,49,56,32,
      52,46,50,52,54,53,50,101,45,49,56,32,52,46,53,54,56,54,57,101,45,49,56,32,52,
      46,57,48,49,52,57,101,45,49,56,32,53,46,50,52,51,56,51,101,45,49,56,32,53,46,
      53,57,52,54,57,101,45,49,56,32,53,46,57,53,50,56,50,101,45,49,56,10,32,32,54,
      46,51,49,54,57,49,101,45,49,56,32,54,46,54,56,53,52,54,101,45,49,56,32,55,46,
      48,53,54,54,57,101,45,49,56,32,55,46,52,50,57,50,51,101,45,49,56,32,55,46,56,
      48,49,51,49,101,45,49,56,32,56,46,49,55,49,51,50,101,45,49,56,32,56,46,53,51,
      55,52,54,101,45,49,56,10,32,32,56,46,56,57,55,57,54,101,45,49,56,32,57,46,50,
      53,49,48,57,101,45,49,56,32,57,46,53,57,52,57,52,101,45,49,56,32,57,46,57,50,
      55,55,52,101,45,49,56,32,49,46,48,50,52,55,55,101,45,49,55,32,49,46,48,56,52,
      50,57,101,45,49,55,32,49,46,49,51,54,57,49,101,45,49,55,10,32,32,49,46,49,56,
      49,53,54,101,45,49,55,32,49,46,50,49,55,51,54,101,45,49,55,32,49,46,50,52,51,
      56,50,101,45,49,55,32,49,46,50,54,48,54,51,101,45,49,55,32,49,46,50,54,55,54,
      50,101,45,49,55,32,49,46,50,54,52,57,50,101,45,49,55,32,49,46,50,53,50,57,50,
      101,45,49,55,10,32,32,49,46,50,51,50,49,53,101,45,49,55,32,49,46,50,48,51,50,
      56,101,45,49,55,32,49,46,49,54,55,50,53,101,45,49,55,32,49,46,49,50,53,48,50,
      101,45,49,55,32,49,46,48,55,55,53,52,101,45,49,55,32,49,46,48,50,53,56,101,
      45,49,55,32,57,46,55,48,56,52,49,101,45,49,56,10,32,32,57,46,49,51,54,53,56,
      101,45,49,56,32,56,46,53,53,49,53,51,101,45,49,56,32,55,46,57,54,49,53,50,101,
      45,49,56,32,55,46,51,55,52,52,53,101,45,49,56,32,54,46,55,57,55,48,57,101,45,
      49,56,32,54,46,50,51,53,50,57,101,45,49,56,32,53,46,54,57,51,56,50,101,45,49,
      56,10,32,32,53,46,49,55,54,50,57,101,45,49,56,32,52,46,54,56,53,54,101,45,49,
      56,32,52,46,50,50,51,57,55,101,45,49,56,32,51,46,55,57,50,54,101,45,49,56,32,
      51,46,51,57,50,49,51,101,45,49,56,32,51,46,48,50,50,54,53,101,45,49,56,32,48,
      114,50,53,50,32,53,46,51,50,57,48,57,101,45,51,54,10,32,32,56,46,50,52,57,51,
      49,101,45,51,54,32,49,46,50,53,56,50,54,101,45,51,53,32,49,46,57,57,48,57,53,
      101,45,51,53,32,50,46,57,54,57,51,57,101,45,51,53,32,52,46,53,55,54,51,51,101,
      45,51,53,32,54,46,50,53,56,48,50,101,45,51,53,32,49,46,48,51,50,56,56,101,45,
      51,52,10,32,32,49,46,52,52,52,54,49,101,45,51,52,32,50,46,48,57,49,50,101,45,
      51,52,32,52,46,56,51,51,51,51,101,45,51,52,32,49,46,52,53,53,53,51,101,45,51,
      51,32,52,46,48,53,54,55,49,101,45,51,51,32,49,46,51,54,54,48,49,101,45,51,50,
      32,52,46,51,48,50,54,55,101,45,51,50,10,32,32,49,46,53,55,50,54,52,101,45,51,
      49,32,51,46,51,53,48,53,49,101,45,51,51,32,49,46,54,51,55,49,54,101,45,51,52,
      32,50,46,51,50,49,55,52,101,45,51,51,32,49,46,50,53,57,49,49,101,45,51,50,32,
      50,46,50,56,54,52,52,101,45,50,57,32,49,46,48,55,54,55,54,101,45,50,56,10,32,
      32,51,46,54,53,56,57,54,101,45,50,56,32,49,46,49,49,54,53,50,101,45,50,55,32,
      51,46,53,54,52,56,54,101,45,50,55,32,49,46,48,50,52,50,53,101,45,50,54,32,50,
      46,51,57,48,56,49,101,45,50,54,32,57,46,49,57,51,49,57,101,45,50,53,32,49,46,
      52,56,53,54,52,101,45,50,52,10,32,32,50,46,52,55,53,55,51,101,45,50,52,32,52,
      46,50,49,56,49,49,101,45,50,52,32,55,46,51,48,48,55,51,101,45,50,52,32,49,46,
      49,53,55,52,49,101,45,50,51,32,49,46,56,55,50,53,53,101,45,50,51,32,50,46,56,
      53,48,54,101,45,50,51,32,52,46,50,50,49,54,50,101,45,50,51,10,32,32,54,46,52,
      48,57,51,50,101,45,50,51,32,49,46,48,57,51,51,57,101,45,50,50,32,49,46,52,57,
      52,51,51,101,45,50,50,32,50,46,49,49,56,53,51,101,45,50,50,32,50,46,56,53,48,
      50,54,101,45,50,50,32,52,46,48,57,57,51,51,101,45,50,50,32,53,46,52,55,49,51,
      54,101,45,50,50,10,32,32,55,46,50,52,54,57,56,101,45,50,50,32,57,46,53,50,55,
      55,53,101,45,50,50,32,49,46,50,52,51,55,101,45,50,49,32,49,46,54,49,50,49,52,
      101,45,50,49,32,50,46,48,55,53,54,54,101,45,50,49,32,50,46,54,53,53,49,51,101,
      45,50,49,32,51,46,51,55,53,49,54,101,45,50,49,10,32,32,52,46,50,54,52,55,101,
      45,50,49,32,53,46,51,53,56,49,51,101,45,50,49,32,54,46,54,57,52,53,57,101,45,
      50,49,32,56,46,51,50,48,51,51,101,45,50,49,32,49,46,48,50,56,56,54,101,45,50,
      48,32,49,46,50,54,54,51,54,101,45,50,48,32,49,46,53,53,48,56,50,101,45,50,48,
      10,32,32,49,46,56,57,48,51,52,101,45,50,48,32,50,46,50,57,52,55,55,101,45,50,
      48,32,50,46,55,55,50,53,49,101,45,50,48,32,51,46,51,51,53,53,54,101,45,50,48,
      32,51,46,57,57,55,55,55,101,45,50,48,32,52,46,55,55,48,51,56,101,45,50,48,32,
      53,46,54,55,48,48,54,101,45,50,48,10,32,32,54,46,55,49,50,57,51,101,45,50,48,
      32,55,46,57,49,55,51,101,45,50,48,32,57,46,51,48,50,57,53,101,45,50,48,32,49,
      46,48,56,57,49,101,45,49,57,32,49,46,50,55,48,52,52,101,45,49,57,32,49,46,52,
      55,54,55,55,101,45,49,57,32,49,46,55,49,48,54,55,101,45,49,57,10,32,32,49,46,
      57,55,53,48,57,101,45,49,57,32,50,46,50,55,50,54,51,101,45,49,57,32,50,46,53,
      50,57,101,45,49,57,32,50,46,56,48,56,56,51,101,45,49,57,32,51,46,49,49,51,55,
      57,101,45,49,57,32,51,46,52,52,53,49,54,101,45,49,57,32,51,46,56,48,52,55,51,
      101,45,49,57,10,32,32,52,46,50,52,54,51,50,101,45,49,57,32,52,46,56,54,51,51,
      53,101,45,49,57,32,53,46,53,52,57,56,52,101,45,49,57,32,54,46,51,49,48,54,53,
      101,45,49,57,32,55,46,49,53,48,53,101,45,49,57,32,56,46,48,55,51,57,52,101,
      45,49,57,32,57,46,48,56,53,52,57,101,45,49,57,10,32,32,49,46,48,49,56,57,53,
      101,45,49,56,32,49,46,49,51,56,57,54,101,45,49,56,32,49,46,50,54,56,57,53,101,
      45,49,56,32,49,46,52,48,57,49,57,101,45,49,56,32,49,46,53,53,57,57,54,101,45,
      49,56,32,49,46,55,50,49,52,51,101,45,49,56,32,49,46,56,57,51,55,49,101,45,49,
      56,10,32,32,50,46,48,55,54,56,51,101,45,49,56,32,50,46,50,55,48,55,56,101,45,
      49,56,32,50,46,52,55,53,52,50,101,45,49,56,32,50,46,54,57,48,53,53,101,45,49,
      56,32,50,46,57,49,53,56,54,101,45,49,56,32,51,46,49,53,48,57,51,101,45,49,56,
      32,51,46,51,57,53,51,50,101,45,49,56,10,32,32,51,46,54,52,56,52,101,45,49,56,
      32,51,46,57,48,57,52,52,101,45,49,56,32,52,46,49,55,55,55,101,45,49,56,32,52,
      46,52,53,50,50,54,101,45,49,56,32,52,46,55,51,50,49,57,101,45,49,56,32,53,46,
      48,49,54,51,55,101,45,49,56,32,53,46,51,48,51,53,50,101,45,49,56,10,32,32,53,
      46,53,57,50,53,49,101,45,49,56,32,53,46,56,56,49,57,52,101,45,49,56,32,54,46,
      49,55,48,54,52,101,45,49,56,32,54,46,52,53,55,51,101,45,49,56,32,54,46,55,52,
      48,53,53,101,45,49,56,32,55,46,48,49,56,57,56,101,45,49,56,32,55,46,50,57,49,
      51,49,101,45,49,56,10,32,32,55,46,53,53,54,49,49,101,45,49,56,32,55,46,56,49,
      50,101,45,49,56,32,56,46,50,57,49,57,53,101,45,49,56,32,56,46,55,50,49,56,49,
      101,45,49,56,32,57,46,48,57,50,56,57,101,45,49,56,32,57,46,51,57,55,54,51,101,
      45,49,56,32,57,46,54,51,49,52,52,101,45,49,56,10,32,32,57,46,55,57,49,49,55,
      101,45,49,56,32,57,46,56,55,53,48,56,101,45,49,56,32,57,46,56,56,51,54,101,
      45,49,56,32,57,46,56,49,56,52,49,101,45,49,56,32,57,46,54,56,51,53,55,101,45,
      49,56,32,57,46,52,56,51,56,55,101,45,49,56,32,57,46,50,50,54,48,54,101,45,49,
      56,10,32,32,56,46,57,49,54,55,51,101,45,49,56,32,56,46,53,54,51,53,50,101,45,
      49,56,32,56,46,49,55,51,57,101,45,49,56,32,55,46,55,53,54,50,52,101,45,49,56,
      32,55,46,51,49,56,48,56,101,45,49,56,32,54,46,56,54,54,53,56,101,45,49,56,32,
      54,46,52,48,56,55,49,101,45,49,56,10,32,32,53,46,57,53,48,55,52,101,45,49,56,
      32,53,46,52,57,56,48,55,101,45,49,56,32,53,46,48,53,53,52,57,101,45,49,56,32,
      52,46,54,50,55,48,57,101,45,49,56,32,52,46,50,49,53,57,50,101,45,49,56,32,51,
      46,56,50,52,53,55,101,45,49,56,32,51,46,52,53,53,48,54,101,45,49,56,10,32,32,
      51,46,49,48,56,54,57,101,45,49,56,32,50,46,55,56,54,49,54,101,45,49,56,32,50,
      46,52,56,55,55,101,45,49,56,32,48,114,50,53,51,32,51,46,48,50,50,51,51,101,
      45,51,54,32,52,46,54,51,50,57,55,101,45,51,54,32,55,46,51,55,48,57,53,101,45,
      51,54,32,49,46,49,48,52,54,50,101,45,51,53,10,32,32,49,46,55,49,49,51,49,101,
      45,51,53,32,50,46,51,52,57,48,54,101,45,51,53,32,51,46,57,48,48,56,52,101,45,
      51,53,32,53,46,50,57,52,49,54,101,45,51,53,32,55,46,54,57,51,54,52,101,45,51,
      53,32,49,46,56,53,57,53,101,45,51,52,32,53,46,54,55,55,57,51,101,45,51,52,10,
      32,32,49,46,54,48,49,49,56,101,45,51,51,32,53,46,52,56,52,53,55,101,45,51,51,
      32,49,46,55,53,52,48,55,101,45,51,50,32,54,46,53,50,53,48,51,101,45,51,50,32,
      55,46,56,49,48,57,51,101,45,51,52,32,52,46,49,52,52,51,57,101,45,51,53,32,54,
      46,54,49,50,50,50,101,45,51,52,10,32,32,51,46,55,53,53,50,53,101,45,51,51,32,
      56,46,53,50,49,53,101,45,51,48,32,52,46,50,50,52,49,56,101,45,50,57,32,49,46,
      52,57,53,48,49,101,45,50,56,32,52,46,55,51,54,50,51,101,45,50,56,32,49,46,53,
      55,49,54,56,101,45,50,55,32,52,46,54,55,54,53,49,101,45,50,55,10,32,32,49,46,
      49,50,50,53,55,101,45,50,54,32,53,46,49,49,52,50,101,45,50,53,32,56,46,52,49,
      51,56,55,101,45,50,53,32,49,46,52,50,56,48,54,101,45,50,52,32,50,46,52,55,55,
      55,57,101,45,50,52,32,52,46,51,54,52,49,101,45,50,52,32,55,46,48,49,49,50,101,
      45,50,52,10,32,32,49,46,49,52,56,54,101,45,50,51,32,49,46,55,54,51,55,54,101,
      45,50,51,32,50,46,54,51,50,57,51,101,45,50,51,32,52,46,48,50,54,56,101,45,50,
      51,32,54,46,57,53,55,48,49,101,45,50,51,32,57,46,53,53,51,56,51,101,45,50,51,
      32,49,46,51,54,49,101,45,50,50,10,32,32,49,46,56,51,56,101,45,50,50,32,50,46,
      54,55,56,56,52,101,45,50,50,32,51,46,53,56,51,48,53,101,45,50,50,32,52,46,55,
      53,54,49,51,101,45,50,50,32,54,46,50,54,54,51,53,101,45,50,50,32,56,46,49,57,
      55,49,56,101,45,50,50,32,49,46,48,54,52,56,101,45,50,49,10,32,32,49,46,51,55,
      51,55,57,101,45,50,49,32,49,46,55,54,48,57,54,101,45,50,49,32,50,46,50,52,51,
      48,52,101,45,50,49,32,50,46,56,51,57,55,57,101,45,50,49,32,51,46,53,55,52,56,
      50,101,45,50,49,32,52,46,52,55,52,55,57,101,45,50,49,32,53,46,53,55,49,52,55,
      101,45,50,49,10,32,32,54,46,57,48,49,54,49,101,45,50,49,32,56,46,53,48,57,56,
      49,101,45,50,49,32,49,46,48,52,51,56,52,101,45,50,48,32,49,46,50,55,52,53,50,
      101,45,50,48,32,49,46,53,52,57,56,57,101,45,50,48,32,49,46,56,55,53,54,51,101,
      45,50,48,32,50,46,50,54,48,50,54,101,45,50,48,10,32,32,50,46,55,49,51,53,55,
      101,45,50,48,32,51,46,50,52,51,49,55,101,45,50,48,32,51,46,56,54,48,57,50,101,
      45,50,48,32,52,46,53,55,56,51,51,101,45,50,48,32,53,46,52,48,56,52,101,45,50,
      48,32,54,46,51,54,53,50,101,45,50,48,32,55,46,52,54,51,56,49,101,45,50,48,10,
      32,32,56,46,55,50,48,53,53,101,45,50,48,32,49,46,48,49,53,50,56,101,45,49,57,
      32,49,46,49,55,55,57,54,101,45,49,57,32,49,46,51,54,50,49,56,101,45,49,57,32,
      49,46,53,54,57,56,55,101,45,49,57,32,49,46,55,52,57,49,53,101,45,49,57,32,49,
      46,57,52,53,48,56,101,45,49,57,10,32,32,50,46,49,53,56,57,50,101,45,49,57,32,
      50,46,51,57,49,54,52,101,45,49,57,32,50,46,54,52,52,53,101,45,49,57,32,50,46,
      57,53,53,53,53,101,45,49,57,32,51,46,51,57,49,48,52,101,45,49,57,32,51,46,56,
      55,54,53,51,101,45,49,57,32,52,46,52,49,53,54,54,101,45,49,57,10,32,32,53,46,
      48,49,50,48,50,101,45,49,57,32,53,46,54,54,57,49,50,101,45,49,57,32,54,46,51,
      57,48,51,54,101,45,49,57,32,55,46,49,55,57,50,50,101,45,49,57,32,56,46,48,51,
      56,55,101,45,49,57,32,56,46,57,55,49,55,50,101,45,49,57,32,57,46,57,56,48,52,
      55,101,45,49,57,10,32,32,49,46,49,48,54,55,53,101,45,49,56,32,49,46,50,50,51,
      52,51,101,45,49,56,32,49,46,51,52,56,50,49,101,45,49,56,32,49,46,52,56,49,49,
      53,101,45,49,56,32,49,46,54,50,50,50,56,101,45,49,56,32,49,46,55,55,49,53,54,
      101,45,49,56,32,49,46,57,50,56,56,56,101,45,49,56,10,32,32,50,46,48,57,52,48,
      51,101,45,49,56,32,50,46,50,54,54,55,53,101,45,49,56,32,50,46,52,52,54,55,56,
      101,45,49,56,32,50,46,54,51,51,54,55,101,45,49,56,32,50,46,56,50,54,57,55,101,
      45,49,56,32,51,46,48,50,54,49,51,101,45,49,56,32,51,46,50,51,48,53,54,101,45,
      49,56,10,32,32,51,46,52,51,57,53,57,101,45,49,56,32,51,46,54,53,50,52,54,101,
      45,49,56,32,51,46,56,54,56,50,56,101,45,49,56,32,52,46,48,56,54,49,57,101,45,
      49,56,32,52,46,51,48,53,48,57,101,45,49,56,32,52,46,53,50,52,49,50,101,45,49,
      56,32,52,46,55,52,50,51,56,101,45,49,56,10,32,32,52,46,57,53,56,56,51,101,45,
      49,56,32,53,46,49,55,50,53,101,45,49,56,32,53,46,51,56,50,51,55,101,45,49,56,
      32,53,46,53,56,55,52,53,101,45,49,56,32,53,46,55,56,54,53,55,101,45,49,56,32,
      54,46,49,54,51,49,51,101,45,49,56,32,54,46,53,48,52,55,52,101,45,49,56,10,32,
      32,54,46,56,48,52,52,55,101,45,49,56,32,55,46,48,53,54,52,53,101,45,49,56,32,
      55,46,50,53,54,51,56,101,45,49,56,32,55,46,52,48,49,52,55,101,45,49,56,32,55,
      46,52,56,57,55,51,101,45,49,56,32,55,46,53,50,48,49,57,101,45,49,56,32,55,46,
      52,57,52,53,50,101,45,49,56,10,32,32,55,46,52,49,53,48,52,101,45,49,56,32,55,
      46,50,56,52,55,49,101,45,49,56,32,55,46,49,48,56,52,101,45,49,56,32,54,46,56,
      57,48,57,54,101,45,49,56,32,54,46,54,51,55,55,50,101,45,49,56,32,54,46,51,53,
      52,50,101,45,49,56,32,54,46,48,52,54,56,56,101,45,49,56,10,32,32,53,46,55,50,
      49,53,101,45,49,56,32,53,46,51,56,51,53,55,101,45,49,56,32,53,46,48,51,56,52,
      52,101,45,49,56,32,52,46,54,57,48,56,101,45,49,56,32,52,46,51,52,53,51,51,101,
      45,49,56,32,52,46,48,48,53,56,53,101,45,49,56,32,51,46,54,55,53,53,57,101,45,
      49,56,10,32,32,51,46,51,53,55,51,101,45,49,56,32,51,46,48,53,51,48,53,101,45,
      49,56,32,50,46,55,54,52,54,57,101,45,49,56,32,50,46,52,57,51,51,55,101,45,49,
      56,32,50,46,50,51,57,55,55,101,45,49,56,32,50,46,48,48,52,51,51,101,45,49,56,
      32,48,114,50,53,53,32,50,46,54,49,57,56,55,101,45,51,54,10,32,32,51,46,57,52,
      53,54,50,101,45,51,54,32,54,46,49,52,53,53,56,101,45,51,54,32,56,46,52,54,56,
      56,53,101,45,51,54,32,49,46,52,49,53,50,49,101,45,51,53,32,49,46,57,50,56,48,
      53,101,45,51,53,32,50,46,56,49,53,48,57,101,45,51,53,32,54,46,56,55,54,55,55,
      101,45,51,53,10,32,32,50,46,49,50,57,56,57,101,45,51,52,32,54,46,48,56,55,54,
      49,101,45,51,52,32,50,46,49,49,57,53,101,45,51,51,32,54,46,56,56,54,50,54,101,
      45,51,51,32,50,46,54,48,56,53,50,101,45,51,50,32,49,46,55,51,57,55,53,101,45,
      51,52,32,49,46,48,50,54,56,49,101,45,51,53,10,32,32,49,46,55,54,54,49,55,101,
      45,51,52,32,49,46,48,53,50,54,54,101,45,51,51,32,51,46,48,49,56,52,57,101,45,
      51,48,32,49,46,53,56,48,50,57,101,45,50,57,32,53,46,56,51,56,49,101,45,50,57,
      32,49,46,57,50,51,49,56,101,45,50,56,32,54,46,54,52,54,56,101,45,50,56,10,32,
      32,50,46,48,53,49,53,55,101,45,50,55,32,53,46,48,55,50,48,53,101,45,50,55,32,
      50,46,55,52,48,50,56,101,45,50,53,32,52,46,53,57,54,56,54,101,45,50,53,32,55,
      46,57,54,48,52,56,101,45,50,53,32,49,46,52,48,57,51,56,101,45,50,52,32,50,46,
      53,51,49,50,101,45,50,52,10,32,32,52,46,49,50,56,49,101,45,50,52,32,54,46,56,
      53,57,49,56,101,45,50,52,32,49,46,48,54,52,101,45,50,51,32,49,46,54,48,51,48,
      55,101,45,50,51,32,50,46,52,55,51,49,57,101,45,50,51,32,52,46,51,51,50,52,49,
      101,45,50,51,32,53,46,57,56,50,55,56,101,45,50,51,10,32,32,56,46,53,55,49,53,
      49,101,45,50,51,32,49,46,49,54,50,55,53,101,45,50,50,32,49,46,55,50,49,53,55,
      101,45,50,50,32,50,46,51,48,56,51,52,101,45,50,50,32,51,46,48,55,48,57,49,101,
      45,50,50,32,52,46,48,53,52,54,57,101,45,50,50,32,53,46,51,49,53,53,56,101,45,
      50,50,10,32,32,54,46,57,49,57,57,55,101,45,50,50,32,56,46,57,52,56,50,54,101,
      45,50,50,32,49,46,49,52,57,53,55,101,45,50,49,32,49,46,52,54,55,52,54,101,45,
      50,49,32,49,46,56,54,49,56,56,101,45,50,49,32,50,46,51,52,56,54,57,101,45,50,
      49,32,50,46,57,52,53,57,51,101,45,50,49,10,32,32,51,46,54,55,53,48,53,101,45,
      50,49,32,52,46,53,54,48,57,57,101,45,50,49,32,53,46,54,51,52,56,50,101,45,50,
      49,32,54,46,57,50,52,52,101,45,50,49,32,56,46,52,54,57,56,53,101,45,50,49,32,
      49,46,48,51,49,57,50,101,45,50,48,32,49,46,50,53,49,48,49,101,45,50,48,10,32,
      32,49,46,53,49,48,49,54,101,45,50,48,32,49,46,56,49,54,49,56,101,45,50,48,32,
      50,46,49,55,52,49,57,101,45,50,48,32,50,46,53,57,50,53,55,101,45,50,48,32,51,
      46,48,55,57,50,54,101,45,50,48,32,51,46,54,52,51,52,49,101,45,50,48,32,52,46,
      50,57,52,57,51,101,45,50,48,10,32,32,53,46,48,52,52,52,54,101,45,50,48,32,53,
      46,57,48,51,52,51,101,45,50,48,32,54,46,56,56,52,51,54,101,45,50,48,32,56,46,
      48,48,48,53,101,45,50,48,32,57,46,50,54,55,48,50,101,45,50,48,32,49,46,48,54,
      57,55,52,101,45,49,57,32,49,46,49,57,51,51,55,101,45,49,57,10,32,32,49,46,51,
      50,56,54,57,101,45,49,57,32,49,46,52,55,54,53,56,101,45,49,57,32,49,46,54,51,
      55,55,52,101,45,49,57,32,49,46,56,49,51,48,57,101,45,49,57,32,50,46,48,50,57,
      49,51,101,45,49,57,32,50,46,51,51,50,49,57,101,45,49,57,32,50,46,54,55,48,55,
      50,101,45,49,57,10,32,32,51,46,48,52,55,52,51,101,45,49,57,32,51,46,52,54,53,
      48,51,101,45,49,57,32,51,46,57,50,54,49,55,101,45,49,57,32,52,46,52,51,51,52,
      49,101,45,49,57,32,52,46,57,56,57,52,101,45,49,57,32,53,46,53,57,54,53,49,101,
      45,49,57,32,54,46,50,53,54,57,56,101,45,49,57,10,32,32,54,46,57,55,50,54,101,
      45,49,57,32,55,46,55,52,53,52,57,101,45,49,57,32,56,46,53,55,55,48,51,101,45,
      49,57,32,57,46,52,54,56,51,49,101,45,49,57,32,49,46,48,52,50,48,50,101,45,49,
      56,32,49,46,49,52,51,51,49,101,45,49,56,32,49,46,50,53,48,55,50,101,45,49,56,
      10,32,32,49,46,51,54,52,49,55,101,45,49,56,32,49,46,52,56,51,53,56,101,45,49,
      56,32,49,46,54,48,56,55,55,101,45,49,56,32,49,46,55,51,57,53,56,101,45,49,56,
      32,49,46,56,55,53,55,52,101,45,49,56,32,50,46,48,49,54,57,54,101,45,49,56,32,
      50,46,49,54,50,56,55,101,45,49,56,10,32,32,50,46,51,49,51,48,54,101,45,49,56,
      32,50,46,52,54,55,48,54,101,45,49,56,32,50,46,54,50,52,51,52,101,45,49,56,32,
      50,46,55,56,52,51,49,101,45,49,56,32,50,46,57,52,54,51,57,101,45,49,56,32,51,
      46,49,48,57,56,55,101,45,49,56,32,51,46,50,55,52,48,51,101,45,49,56,10,32,32,
      51,46,52,51,56,50,49,101,45,49,56,32,51,46,54,48,49,54,53,101,45,49,56,32,51,
      46,55,54,51,53,55,101,45,49,56,32,51,46,57,50,51,50,53,101,45,49,56,32,52,46,
      48,55,57,57,52,101,45,49,56,32,52,46,50,51,50,57,101,45,49,56,32,52,46,53,50,
      52,51,51,101,45,49,56,10,32,32,52,46,55,57,49,56,57,101,45,49,56,32,53,46,48,
      51,48,50,52,101,45,49,56,32,53,46,50,51,52,57,50,101,45,49,56,32,53,46,52,48,
      50,49,49,101,45,49,56,32,53,46,53,50,56,56,53,101,45,49,56,32,53,46,54,49,51,
      53,50,101,45,49,56,32,53,46,54,53,53,52,52,101,45,49,56,10,32,32,53,46,54,53,
      53,48,55,101,45,49,56,32,53,46,54,49,51,54,101,45,49,56,32,53,46,53,51,51,49,
      54,101,45,49,56,32,53,46,52,49,54,54,53,101,45,49,56,32,53,46,50,54,55,51,55,
      101,45,49,56,32,53,46,48,56,57,53,101,45,49,56,32,52,46,56,56,54,57,50,101,
      45,49,56,10,32,32,52,46,54,54,52,52,49,101,45,49,56,32,52,46,52,50,54,51,50,
      101,45,49,56,32,52,46,49,55,54,56,56,101,45,49,56,32,51,46,57,50,48,50,49,101,
      45,49,56,32,51,46,54,54,48,49,101,45,49,56,32,51,46,51,57,57,56,49,101,45,49,
      56,32,51,46,49,52,50,53,56,101,45,49,56,10,32,32,50,46,56,57,49,48,56,101,45,
      49,56,32,50,46,54,52,55,53,51,101,45,49,56,32,50,46,52,49,51,55,101,45,49,56,
      32,50,46,49,57,49,49,52,101,45,49,56,32,49,46,57,56,48,57,50,101,45,49,56,32,
      49,46,55,56,51,55,52,101,45,49,56,32,49,46,53,57,57,57,55,101,45,49,56,10,32,
      32,48,114,50,53,55,32,49,46,54,51,55,53,53,101,45,51,54,32,50,46,50,54,55,57,
      101,45,51,54,32,51,46,56,50,48,51,52,101,45,51,54,32,53,46,50,51,48,49,51,101,
      45,51,54,32,55,46,54,56,50,49,49,101,45,51,54,32,49,46,56,51,53,52,54,101,45,
      51,53,32,54,46,48,48,48,51,50,101,45,51,53,10,32,32,49,46,55,52,52,56,52,101,
      45,51,52,32,54,46,49,57,51,53,56,101,45,51,52,32,50,46,48,53,54,48,54,101,45,
      51,51,32,55,46,57,55,48,52,51,101,45,51,51,32,49,46,54,52,52,48,55,101,45,51,
      53,32,49,46,54,54,48,49,55,101,45,51,54,32,51,46,49,52,56,57,101,45,51,53,10,
      32,32,49,46,57,57,57,54,55,101,45,51,52,32,55,46,55,50,51,52,50,101,45,51,49,
      32,52,46,51,52,49,51,52,101,45,51,48,32,49,46,54,57,54,51,52,101,45,50,57,32,
      53,46,56,56,50,52,55,101,45,50,57,32,50,46,49,52,53,52,55,101,45,50,56,32,54,
      46,57,53,49,52,57,101,45,50,56,10,32,32,49,46,55,56,54,49,55,101,45,50,55,32,
      49,46,50,49,49,52,54,101,45,50,53,32,50,46,48,56,53,56,51,101,45,50,53,32,51,
      46,55,49,48,55,54,101,45,50,53,32,54,46,55,52,57,54,54,101,45,50,53,32,49,46,
      50,52,52,50,55,101,45,50,52,32,50,46,48,55,48,57,51,101,45,50,52,10,32,32,51,
      46,53,48,56,53,52,101,45,50,52,32,53,46,53,49,56,50,54,101,45,50,52,32,56,46,
      52,49,57,57,53,101,45,50,52,32,49,46,51,49,52,55,50,101,45,50,51,32,50,46,51,
      52,53,48,51,101,45,50,51,32,51,46,50,54,51,53,51,101,45,50,51,32,52,46,55,49,
      50,51,56,101,45,50,51,10,32,32,54,46,52,51,49,51,52,101,45,50,51,32,57,46,55,
      51,56,53,54,101,45,50,51,32,49,46,51,48,57,56,52,101,45,50,50,32,49,46,55,52,
      55,54,101,45,50,50,32,50,46,51,49,51,57,57,101,45,50,50,32,51,46,48,52,50,48,
      49,101,45,50,50,32,51,46,57,55,49,52,101,45,50,50,10,32,32,53,46,49,52,57,55,
      56,101,45,50,50,32,54,46,54,51,52,48,49,101,45,50,50,32,56,46,52,57,49,56,57,
      101,45,50,50,32,49,46,48,56,48,51,51,101,45,50,49,32,49,46,51,54,54,51,53,101,
      45,50,49,32,49,46,55,49,56,49,57,101,45,50,49,32,50,46,49,52,56,56,52,101,45,
      50,49,10,32,32,50,46,54,55,51,52,49,101,45,50,49,32,51,46,51,49,49,51,56,101,
      45,50,49,32,52,46,48,55,56,53,54,101,45,50,49,32,52,46,57,57,57,57,49,101,45,
      50,49,32,54,46,49,48,53,54,54,101,45,50,49,32,55,46,52,49,55,51,55,101,45,50,
      49,32,56,46,57,55,50,51,56,101,45,50,49,10,32,32,49,46,48,56,49,52,49,101,45,
      50,48,32,49,46,50,57,55,51,49,101,45,50,48,32,49,46,53,53,48,50,101,45,50,48,
      32,49,46,56,52,53,48,53,101,45,50,48,32,50,46,49,56,55,54,55,101,45,50,48,32,
      50,46,53,56,52,50,54,101,45,50,48,32,51,46,48,52,49,54,101,45,50,48,10,32,32,
      51,46,53,54,54,57,55,101,45,50,48,32,52,46,49,54,56,51,52,101,45,50,48,32,52,
      46,56,53,52,50,49,101,45,50,48,32,53,46,54,51,52,52,52,101,45,50,48,32,54,46,
      53,49,55,54,52,101,45,50,48,32,55,46,50,56,50,54,52,101,45,50,48,32,56,46,49,
      50,49,51,57,101,45,50,48,10,32,32,57,46,48,51,57,56,49,101,45,50,48,32,49,46,
      48,48,52,50,54,101,45,49,57,32,49,46,49,49,51,53,56,101,45,49,57,32,49,46,50,
      52,56,53,49,101,45,49,57,32,49,46,52,51,56,50,52,101,45,49,57,32,49,46,54,53,
      48,55,51,101,45,49,57,32,49,46,56,56,55,56,51,101,45,49,57,10,32,32,50,46,49,
      53,49,51,56,101,45,49,57,32,50,46,52,52,51,49,57,101,45,49,57,32,50,46,55,54,
      53,48,56,101,45,49,57,32,51,46,49,49,56,56,53,101,45,49,57,32,51,46,53,48,54,
      50,49,101,45,49,57,32,51,46,57,50,56,56,50,101,45,49,57,32,52,46,51,56,56,49,
      51,101,45,49,57,10,32,32,52,46,56,56,53,54,50,101,45,49,57,32,53,46,52,50,50,
      52,54,101,45,49,57,32,53,46,57,57,57,53,50,101,45,49,57,32,54,46,54,49,55,54,
      51,101,45,49,57,32,55,46,50,55,55,51,54,101,45,49,57,32,55,46,57,55,57,48,50,
      101,45,49,57,32,56,46,55,50,50,54,50,101,45,49,57,10,32,32,57,46,53,48,55,55,
      55,101,45,49,57,32,49,46,48,51,51,51,56,101,45,49,56,32,49,46,49,49,57,57,54,
      101,45,49,56,32,49,46,50,49,48,51,56,101,45,49,56,32,49,46,51,48,52,52,55,101,
      45,49,56,32,49,46,52,48,50,48,49,101,45,49,56,32,49,46,53,48,50,55,56,101,45,
      49,56,10,32,32,49,46,54,48,54,52,54,101,45,49,56,32,49,46,55,49,50,55,51,101,
      45,49,56,32,49,46,56,50,49,50,101,45,49,56,32,49,46,57,51,49,53,50,101,45,49,
      56,32,50,46,48,52,51,50,54,101,45,49,56,32,50,46,49,53,53,57,57,101,45,49,56,
      32,50,46,50,54,57,50,54,101,45,49,56,10,32,32,50,46,51,56,50,53,56,101,45,49,
      56,32,50,46,52,57,53,52,51,101,45,49,56,32,50,46,54,48,55,50,56,101,45,49,56,
      32,50,46,55,49,55,54,51,101,45,49,56,32,50,46,56,50,53,57,49,101,45,49,56,32,
      51,46,48,51,52,50,52,101,45,49,56,32,51,46,50,50,56,50,52,101,45,49,56,10,32,
      32,51,46,52,48,51,57,55,101,45,49,56,32,51,46,53,53,56,50,49,101,45,49,56,32,
      51,46,54,56,56,49,55,101,45,49,56,32,51,46,55,57,49,53,50,101,45,49,56,32,51,
      46,56,54,54,52,55,101,45,49,56,32,51,46,57,49,50,49,52,101,45,49,56,32,51,46,
      57,50,56,54,101,45,49,56,10,32,32,51,46,57,49,54,51,101,45,49,56,32,51,46,56,
      55,54,50,56,101,45,49,56,32,51,46,56,49,48,49,54,101,45,49,56,32,51,46,55,50,
      48,49,50,101,45,49,56,32,51,46,54,48,56,55,53,101,45,49,56,32,51,46,52,55,56,
      56,52,101,45,49,56,32,51,46,51,51,51,51,49,101,45,49,56,10,32,32,51,46,49,55,
      53,49,49,101,45,49,56,32,51,46,48,48,55,51,51,101,45,49,56,32,50,46,56,51,50,
      56,49,101,45,49,56,32,50,46,54,53,52,50,51,101,45,49,56,32,50,46,52,55,52,49,
      52,101,45,49,56,32,50,46,50,57,52,56,54,101,45,49,56,32,50,46,49,49,56,51,56,
      101,45,49,56,10,32,32,49,46,57,52,54,51,56,101,45,49,56,32,49,46,55,56,48,51,
      49,101,45,49,56,32,49,46,54,50,49,51,51,101,45,49,56,32,49,46,52,55,48,51,54,
      101,45,49,56,32,49,46,51,50,56,48,53,101,45,49,56,32,49,46,49,57,52,55,55,101,
      45,49,56,32,48,114,50,53,57,32,49,46,55,57,52,53,54,101,45,51,54,10,32,32,50,
      46,52,54,51,54,51,101,45,51,54,32,51,46,54,51,49,48,57,101,45,51,54,32,56,46,
      55,52,52,48,50,101,45,51,54,32,50,46,55,56,49,50,52,101,45,51,53,32,56,46,52,
      56,50,48,53,101,45,51,53,32,51,46,48,52,54,57,55,101,45,51,52,32,49,46,48,50,
      51,49,50,101,45,51,51,10,32,32,52,46,48,49,56,57,57,101,45,51,51,32,52,46,52,
      50,51,52,49,101,45,51,54,32,48,32,49,46,48,57,56,56,53,101,45,51,53,32,55,46,
      54,48,54,51,54,101,45,51,53,32,51,46,52,55,50,55,57,101,45,51,49,32,50,46,48,
      51,53,48,51,101,45,51,48,32,56,46,50,49,56,54,55,101,45,51,48,10,32,32,50,46,
      57,51,55,52,55,101,45,50,57,32,49,46,49,48,53,53,56,101,45,50,56,32,51,46,54,
      56,53,54,57,101,45,50,56,32,57,46,54,56,57,55,53,101,45,50,56,32,55,46,52,56,
      57,54,50,101,45,50,54,32,49,46,51,48,57,55,50,101,45,50,53,32,50,46,51,54,55,
      56,56,101,45,50,53,10,32,32,52,46,51,55,54,53,101,45,50,53,32,56,46,49,57,52,
      54,101,45,50,53,32,49,46,51,56,48,57,57,101,45,50,52,32,50,46,51,54,56,50,56,
      101,45,50,52,32,51,46,55,53,56,51,49,101,45,50,52,32,53,46,55,56,49,49,55,101,
      45,50,52,32,57,46,48,57,54,50,49,101,45,50,52,10,32,32,49,46,54,52,48,51,54,
      101,45,50,51,32,50,46,50,57,52,49,54,101,45,50,51,32,51,46,51,50,57,52,52,101,
      45,50,51,32,52,46,53,54,49,55,49,101,45,50,51,32,55,46,48,48,55,53,50,101,45,
      50,51,32,57,46,52,52,51,56,49,101,45,50,51,32,49,46,50,54,50,51,101,45,50,50,
      10,32,32,49,46,54,55,52,51,57,101,45,50,50,32,50,46,50,48,52,57,50,101,45,50,
      50,32,50,46,56,56,51,51,50,101,45,50,50,32,51,46,55,52,53,48,52,101,45,50,50,
      32,52,46,56,51,50,50,52,101,45,50,50,32,54,46,49,57,53,52,55,101,45,50,50,32,
      55,46,56,57,52,50,56,101,45,50,50,10,32,32,57,46,57,57,57,56,55,101,45,50,50,
      32,49,46,50,53,57,52,52,101,45,50,49,32,49,46,53,55,55,52,56,101,45,50,49,32,
      49,46,57,54,53,52,50,101,45,50,49,32,50,46,52,51,56,50,49,101,45,50,49,32,51,
      46,48,48,55,49,52,101,45,50,49,32,51,46,54,57,49,49,52,101,45,50,49,10,32,32,
      52,46,53,49,51,53,101,45,50,49,32,53,46,52,56,57,56,52,101,45,50,49,32,54,46,
      54,52,56,56,56,101,45,50,49,32,56,46,48,50,52,48,56,101,45,50,49,32,57,46,54,
      51,55,56,56,101,45,50,49,32,49,46,49,53,51,49,101,45,50,48,32,49,46,51,55,52,
      48,56,101,45,50,48,10,32,32,49,46,54,51,49,50,49,101,45,50,48,32,49,46,57,50,
      57,50,49,101,45,50,48,32,50,46,50,55,51,51,53,101,45,50,48,32,50,46,54,54,57,
      50,55,101,45,50,48,32,51,46,49,50,51,48,54,101,45,50,48,32,51,46,54,52,49,51,
      51,101,45,50,48,32,52,46,50,51,49,54,50,101,45,50,48,10,32,32,52,46,57,48,48,
      55,49,101,45,50,48,32,53,46,52,56,48,57,101,45,50,48,32,54,46,49,49,55,55,56,
      101,45,50,48,32,54,46,56,49,53,57,54,101,45,50,48,32,55,46,53,55,57,48,53,101,
      45,50,48,32,56,46,52,49,49,55,54,101,45,50,48,32,57,46,52,52,48,55,56,101,45,
      50,48,10,32,32,49,46,48,56,56,57,55,101,45,49,57,32,49,46,50,53,49,53,49,101,
      45,49,57,32,49,46,52,51,51,49,53,101,45,49,57,32,49,46,54,51,53,51,54,101,45,
      49,57,32,49,46,56,53,57,53,56,101,45,49,57,32,50,46,49,48,55,51,50,101,45,49,
      57,32,50,46,51,56,48,48,50,101,45,49,57,10,32,32,50,46,54,55,57,48,56,101,45,
      49,57,32,51,46,48,48,53,56,57,101,45,49,57,32,51,46,51,54,49,54,54,101,45,49,
      57,32,51,46,55,52,55,54,51,101,45,49,57,32,52,46,49,54,52,56,51,101,45,49,57,
      32,52,46,54,49,52,48,52,101,45,49,57,32,53,46,48,57,54,101,45,49,57,10,32,32,
      53,46,54,49,49,50,53,101,45,49,57,32,54,46,49,54,48,49,57,101,45,49,57,32,54,
      46,55,52,51,101,45,49,57,32,55,46,51,53,57,53,52,101,45,49,57,32,56,46,48,48,
      57,51,50,101,45,49,57,32,56,46,54,57,49,54,49,101,45,49,57,32,57,46,52,48,53,
      52,56,101,45,49,57,10,32,32,49,46,48,49,52,57,56,101,45,49,56,32,49,46,48,57,
      50,50,57,101,45,49,56,32,49,46,49,55,50,51,49,101,45,49,56,32,49,46,50,53,52,
      56,49,101,45,49,56,32,49,46,51,51,57,53,53,101,45,49,56,32,49,46,52,50,54,49,
      57,101,45,49,56,32,49,46,53,49,52,53,49,101,45,49,56,10,32,32,49,46,54,48,52,
      49,54,101,45,49,56,32,49,46,54,57,52,56,50,101,45,49,56,32,49,46,55,56,54,49,
      53,101,45,49,56,32,49,46,56,55,55,55,56,101,45,49,56,32,49,46,57,54,57,50,52,
      101,45,49,56,32,50,46,48,54,48,49,55,101,45,49,56,32,50,46,49,53,48,49,53,101,
      45,49,56,10,32,32,50,46,50,51,56,55,51,101,45,49,56,32,50,46,52,49,48,48,49,
      101,45,49,56,32,50,46,53,55,48,55,49,101,45,49,56,32,50,46,55,49,55,54,52,101,
      45,49,56,32,50,46,56,52,56,101,45,49,56,32,50,46,57,53,57,52,49,101,45,49,56,
      32,51,46,48,52,57,56,49,101,45,49,56,10,32,32,51,46,49,49,55,56,101,45,49,56,
      32,51,46,49,54,50,52,101,45,49,56,32,51,46,49,56,51,52,54,101,45,49,56,32,51,
      46,49,56,49,49,55,101,45,49,56,32,51,46,49,53,54,49,56,101,45,49,56,32,51,46,
      49,48,57,54,55,101,45,49,56,32,51,46,48,52,51,50,51,101,45,49,56,10,32,32,50,
      46,57,53,56,57,51,101,45,49,56,32,50,46,56,53,56,56,101,45,49,56,32,50,46,55,
      52,53,50,49,101,45,49,56,32,50,46,54,50,48,54,53,101,45,49,56,32,50,46,52,56,
      55,51,57,101,45,49,56,32,50,46,51,52,55,57,49,101,45,49,56,32,50,46,50,48,52,
      52,55,101,45,49,56,10,32,32,50,46,48,53,57,48,57,101,45,49,56,32,49,46,57,49,
      51,55,50,101,45,49,56,32,49,46,55,55,101,45,49,56,32,49,46,54,50,57,51,56,101,
      45,49,56,32,49,46,52,57,51,49,50,101,45,49,56,32,49,46,51,54,50,50,57,101,45,
      49,56,32,49,46,50,51,55,54,57,101,45,49,56,10,32,32,49,46,49,49,57,56,57,101,
      45,49,56,32,49,46,48,48,57,50,56,101,45,49,56,32,48,114,50,54,49,32,49,46,48,
      56,50,49,52,101,45,51,54,32,50,46,54,51,56,54,54,101,45,51,54,32,56,46,53,51,
      52,54,101,45,51,54,32,50,46,54,52,52,48,49,101,45,51,53,32,57,46,54,56,48,48,
      54,101,45,51,53,10,32,32,51,46,51,48,53,52,52,101,45,51,52,32,49,46,51,50,56,
      49,54,101,45,51,51,32,48,114,50,32,50,46,49,51,55,52,57,101,45,51,54,32,49,
      46,52,56,57,57,54,101,45,51,53,32,57,46,52,50,53,50,53,101,45,51,50,32,53,46,
      57,48,56,48,55,101,45,51,49,32,50,46,53,49,56,49,101,45,51,48,10,32,32,57,46,
      52,53,53,50,52,101,45,51,48,32,51,46,55,52,53,56,55,101,45,50,57,32,49,46,51,
      48,56,53,52,101,45,50,56,32,51,46,53,55,49,50,54,101,45,50,56,32,51,46,52,48,
      48,52,49,101,45,50,54,32,54,46,49,48,48,55,53,101,45,50,54,32,49,46,49,51,50,
      56,53,101,45,50,53,10,32,32,50,46,49,53,48,56,56,101,45,50,53,32,52,46,49,51,
      53,49,57,101,45,50,53,32,55,46,49,49,55,50,57,101,45,50,53,32,49,46,50,52,53,
      57,50,101,45,50,52,32,50,46,48,48,55,55,51,101,45,50,52,32,51,46,49,51,49,56,
      56,101,45,50,52,32,52,46,57,57,52,49,51,101,45,50,52,10,32,32,57,46,49,54,57,
      54,53,101,45,50,52,32,49,46,50,57,51,54,57,101,45,50,51,32,49,46,56,57,51,57,
      52,101,45,50,51,32,50,46,54,49,50,52,49,101,45,50,51,32,52,46,49,49,54,52,53,
      101,45,50,51,32,53,46,53,54,54,55,49,101,45,50,51,32,55,46,52,54,53,48,56,101,
      45,50,51,10,32,32,57,46,57,51,50,51,50,101,45,50,51,32,49,46,51,49,49,54,55,
      101,45,50,50,32,49,46,55,49,57,57,49,101,45,50,50,32,50,46,50,51,57,56,55,101,
      45,50,50,32,50,46,56,57,55,55,57,101,45,50,50,32,51,46,55,50,52,57,55,101,45,
      50,50,32,52,46,55,53,56,53,54,101,45,50,50,10,32,32,54,46,48,52,50,56,51,101,
      45,50,50,32,55,46,54,50,57,51,101,45,50,50,32,57,46,53,55,56,57,101,45,50,50,
      32,49,46,49,57,54,50,51,101,45,50,49,32,49,46,52,56,55,55,53,101,45,50,49,32,
      49,46,56,51,56,56,55,101,45,50,49,32,50,46,50,54,50,48,53,101,45,50,49,10,32,
      32,50,46,55,55,50,52,101,45,50,49,32,51,46,51,55,56,57,53,101,45,50,49,32,52,
      46,49,48,48,53,52,101,45,50,49,32,52,46,57,53,57,49,54,101,45,50,49,32,53,46,
      57,54,56,52,49,101,45,50,49,32,55,46,49,53,53,50,50,101,45,50,49,32,56,46,53,
      52,51,53,101,45,50,49,10,32,32,49,46,48,49,54,50,50,101,45,50,48,32,49,46,50,
      48,52,49,57,101,45,50,48,32,49,46,52,50,49,55,101,45,50,48,32,49,46,54,55,50,
      52,54,101,45,50,48,32,49,46,57,54,48,53,51,101,45,50,48,32,50,46,50,57,48,50,
      49,101,45,50,48,32,50,46,54,54,54,53,50,101,45,50,48,10,32,32,51,46,48,57,51,
      57,52,101,45,50,48,32,51,46,52,54,53,51,101,45,50,48,32,51,46,56,55,51,54,53,
      101,45,50,48,32,52,46,51,50,49,57,57,101,45,50,48,32,52,46,56,49,50,56,51,101,
      45,50,48,32,53,46,51,52,57,51,51,101,45,50,48,32,54,46,48,49,51,53,54,101,45,
      50,48,10,32,32,54,46,57,53,48,56,56,101,45,50,48,32,56,46,48,48,53,49,49,101,
      45,50,48,32,57,46,49,56,53,55,53,101,45,50,48,32,49,46,48,53,48,51,52,101,45,
      49,57,32,49,46,49,57,54,56,101,45,49,57,32,49,46,51,53,57,48,49,101,45,49,57,
      32,49,46,53,51,56,48,50,101,45,49,57,10,32,32,49,46,55,51,52,56,53,101,45,49,
      57,32,49,46,57,53,48,52,57,101,45,49,57,32,50,46,49,56,53,56,52,101,45,49,57,
      32,50,46,52,52,49,56,49,101,45,49,57,32,50,46,55,49,57,49,56,101,45,49,57,32,
      51,46,48,49,56,54,49,101,45,49,57,32,51,46,51,52,48,54,57,101,45,49,57,10,32,
      32,51,46,54,56,54,48,50,101,45,49,57,32,52,46,48,53,52,57,52,101,45,49,57,32,
      52,46,52,52,55,55,101,45,49,57,32,52,46,56,54,52,51,51,101,45,49,57,32,53,46,
      51,48,52,54,52,101,45,49,57,32,53,46,55,54,56,52,50,101,45,49,57,32,54,46,50,
      53,53,49,52,101,45,49,57,10,32,32,54,46,55,54,52,50,49,101,45,49,57,32,55,46,
      50,57,52,54,55,101,45,49,57,32,55,46,56,52,53,52,52,101,45,49,57,32,56,46,52,
      49,53,49,52,101,45,49,57,32,57,46,48,48,50,49,50,101,45,49,57,32,57,46,54,48,
      52,55,50,101,45,49,57,32,49,46,48,50,50,48,57,101,45,49,56,10,32,32,49,46,48,
      56,52,56,52,101,45,49,56,32,49,46,49,52,56,53,51,101,45,49,56,32,49,46,50,49,
      50,57,51,101,45,49,56,32,49,46,50,55,55,55,54,101,45,49,56,32,49,46,51,52,50,
      55,55,101,45,49,56,32,49,46,52,48,55,54,57,101,45,49,56,32,49,46,52,55,50,50,
      50,101,45,49,56,10,32,32,49,46,53,51,54,48,52,101,45,49,56,32,49,46,54,54,48,
      52,50,101,45,49,56,32,49,46,55,55,56,52,57,101,45,49,56,32,49,46,56,56,55,57,
      52,101,45,49,56,32,49,46,57,56,54,54,51,101,45,49,56,32,50,46,48,55,50,55,51,
      101,45,49,56,32,50,46,49,52,52,55,101,45,49,56,10,32,32,50,46,50,48,49,51,56,
      101,45,49,56,32,50,46,50,52,49,56,101,45,49,56,32,50,46,50,54,53,54,52,101,
      45,49,56,32,50,46,50,55,50,56,50,101,45,49,56,32,50,46,50,54,51,53,55,101,45,
      49,56,32,50,46,50,51,56,54,55,101,45,49,56,32,50,46,49,57,57,48,57,101,45,49,
      56,10,32,32,50,46,49,52,54,48,51,101,45,49,56,32,50,46,48,56,48,57,49,101,45,
      49,56,32,50,46,48,48,53,51,56,101,45,49,56,32,49,46,57,50,49,48,55,101,45,49,
      56,32,49,46,56,50,57,55,52,101,45,49,56,32,49,46,55,51,51,48,50,101,45,49,56,
      32,49,46,54,51,50,53,53,101,45,49,56,10,32,32,49,46,53,50,57,56,54,101,45,49,
      56,32,49,46,52,50,54,51,56,101,45,49,56,32,49,46,51,50,51,52,50,101,45,49,56,
      32,49,46,50,50,50,48,53,101,45,49,56,32,49,46,49,50,51,50,55,101,45,49,56,32,
      49,46,48,50,55,57,101,45,49,56,32,57,46,51,54,54,48,51,101,45,49,57,10,32,32,
      56,46,52,57,56,54,56,101,45,49,57,32,55,46,54,56,48,56,52,101,45,49,57,32,48,
      114,50,54,50,32,54,46,50,49,50,50,49,101,45,51,55,32,50,46,48,52,57,54,54,101,
      45,51,54,32,54,46,50,49,56,49,52,101,45,51,54,32,50,46,52,50,51,51,101,45,51,
      53,32,56,46,52,53,56,49,101,45,51,53,10,32,32,51,46,52,55,57,51,55,101,45,51,
      52,32,48,114,51,32,50,46,49,54,55,53,53,101,45,51,54,32,49,46,57,49,55,51,57,
      101,45,51,50,32,49,46,51,48,53,48,53,101,45,51,49,32,53,46,57,51,57,50,49,101,
      45,51,49,32,50,46,51,54,56,50,52,101,45,51,48,32,57,46,57,56,56,49,56,101,45,
      51,48,10,32,32,51,46,54,57,52,48,55,101,45,50,57,32,49,46,48,53,53,53,49,101,
      45,50,56,32,49,46,50,56,57,55,50,101,45,50,54,32,50,46,51,56,56,54,50,101,45,
      50,54,32,52,46,53,56,53,52,53,101,45,50,54,32,57,46,48,48,53,56,57,101,45,50,
      54,32,49,46,55,57,48,53,54,101,45,50,53,10,32,32,51,46,49,54,53,48,56,101,45,
      50,53,32,53,46,54,56,54,53,51,101,45,50,53,32,57,46,51,52,54,56,51,101,45,50,
      53,32,49,46,52,56,52,54,57,101,45,50,52,32,50,46,52,48,57,51,57,101,45,50,52,
      32,52,46,53,50,51,49,53,101,45,50,52,32,54,46,52,53,52,56,49,101,45,50,52,10,
      32,32,57,46,53,53,57,51,53,101,45,50,52,32,49,46,51,51,48,52,55,101,45,50,51,
      32,50,46,49,54,57,51,50,101,45,50,51,32,50,46,57,52,55,51,57,101,45,50,51,32,
      51,46,57,54,56,57,53,101,45,50,51,32,53,46,51,48,48,52,49,101,45,50,51,32,55,
      46,48,50,52,52,57,101,45,50,51,10,32,32,57,46,50,52,49,57,54,101,45,50,51,32,
      49,46,50,48,55,53,101,45,50,50,32,49,46,53,54,55,48,55,101,45,50,50,32,50,46,
      48,50,48,53,57,101,45,50,50,32,50,46,53,56,57,48,57,101,45,50,50,32,51,46,50,
      57,55,54,57,101,45,50,50,32,52,46,49,55,53,54,56,101,45,50,50,10,32,32,53,46,
      50,53,55,55,54,101,45,50,50,32,54,46,53,56,52,52,50,101,45,50,50,32,56,46,50,
      49,52,54,101,45,50,50,32,49,46,48,49,55,57,53,101,45,50,49,32,49,46,50,53,53,
      52,101,45,50,49,32,49,46,53,52,51,48,53,101,45,50,49,32,49,46,56,56,53,52,101,
      45,50,49,10,32,32,50,46,50,57,51,55,52,101,45,50,49,32,50,46,55,56,49,49,53,
      101,45,50,49,32,51,46,51,53,52,57,52,101,45,50,49,32,52,46,48,51,49,52,52,101,
      45,50,49,32,52,46,56,50,52,52,57,101,45,50,49,32,53,46,55,53,49,53,55,101,45,
      50,49,32,54,46,56,51,49,50,50,101,45,50,49,10,32,32,56,46,48,56,51,55,51,101,
      45,50,49,32,57,46,53,51,49,51,49,101,45,50,49,32,49,46,49,49,57,56,54,101,45,
      50,48,32,49,46,51,49,49,50,101,45,50,48,32,49,46,53,51,48,49,56,101,45,50,48,
      32,49,46,55,55,57,53,101,45,50,48,32,49,46,57,57,54,54,52,101,45,50,48,10,32,
      32,50,46,50,51,53,56,52,101,45,50,48,32,50,46,52,57,56,57,55,101,45,50,48,32,
      50,46,55,56,55,54,101,45,50,48,32,51,46,49,48,51,55,49,101,45,50,48,32,51,46,
      52,57,53,57,50,101,45,50,48,32,52,46,48,53,48,56,51,101,45,50,48,32,52,46,54,
      55,54,54,51,101,45,50,48,10,32,32,53,46,51,55,57,53,52,101,45,50,48,32,54,46,
      49,54,54,51,52,101,45,50,48,32,55,46,48,52,51,54,101,45,50,48,32,56,46,48,49,
      55,57,54,101,45,50,48,32,57,46,48,57,54,50,54,101,45,50,48,32,49,46,48,50,56,
      53,53,101,45,49,57,32,49,46,49,53,57,50,50,101,45,49,57,10,32,32,49,46,51,48,
      50,50,52,101,45,49,57,32,49,46,52,53,56,50,54,101,45,49,57,32,49,46,54,50,55,
      56,55,101,45,49,57,32,49,46,56,49,49,53,51,101,45,49,57,32,50,46,48,48,57,54,
      56,101,45,49,57,32,50,46,50,50,50,56,51,101,45,49,57,32,50,46,52,53,49,50,53,
      101,45,49,57,10,32,32,50,46,54,57,53,50,50,101,45,49,57,32,50,46,57,53,52,56,
      57,101,45,49,57,32,51,46,50,51,48,50,52,101,45,49,57,32,51,46,53,50,49,50,52,
      101,45,49,57,32,51,46,56,50,55,54,52,101,45,49,57,32,52,46,49,52,57,50,101,
      45,49,57,32,52,46,52,56,53,52,53,101,45,49,57,10,32,32,52,46,56,51,53,56,54,
      101,45,49,57,32,53,46,49,57,57,55,52,101,45,49,57,32,53,46,53,55,54,50,101,
      45,49,57,32,53,46,57,54,52,50,49,101,45,49,57,32,54,46,51,54,50,53,57,101,45,
      49,57,32,54,46,55,54,57,57,52,101,45,49,57,32,55,46,49,56,53,48,56,101,45,49,
      57,10,32,32,55,46,54,48,54,53,51,101,45,49,57,32,56,46,48,51,50,55,55,101,45,
      49,57,32,56,46,52,54,50,49,55,101,45,49,57,32,56,46,56,57,50,57,56,101,45,49,
      57,32,57,46,51,50,51,51,51,101,45,49,57,32,57,46,55,53,49,51,49,101,45,49,57,
      32,49,46,48,53,57,50,54,101,45,49,56,10,32,32,49,46,49,52,48,49,51,101,45,49,
      56,32,49,46,50,49,54,49,56,101,45,49,56,32,49,46,50,56,54,48,50,101,45,49,56,
      32,49,46,51,52,56,51,49,101,45,49,56,32,49,46,52,48,49,56,52,101,45,49,56,32,
      49,46,52,52,53,55,51,101,45,49,56,32,49,46,52,55,57,50,52,101,45,49,56,10,32,
      32,49,46,53,48,49,57,52,101,45,49,56,32,49,46,53,49,51,54,53,101,45,49,56,32,
      49,46,53,49,52,51,56,101,45,49,56,32,49,46,53,48,52,53,101,45,49,56,32,49,46,
      52,56,52,53,49,101,45,49,56,32,49,46,52,53,53,48,53,101,45,49,56,32,49,46,52,
      49,55,48,50,101,45,49,56,10,32,32,49,46,51,55,49,52,53,101,45,49,56,32,49,46,
      51,49,57,51,53,101,45,49,56,32,49,46,50,54,49,56,49,101,45,49,56,32,49,46,49,
      57,57,57,54,101,45,49,56,32,49,46,49,51,52,56,57,101,45,49,56,32,49,46,48,54,
      55,54,57,101,45,49,56,32,57,46,57,57,51,51,50,101,45,49,57,10,32,32,57,46,51,
      48,55,50,54,101,45,49,57,32,56,46,54,50,54,52,51,101,45,49,57,32,55,46,57,53,
      56,51,56,101,45,49,57,32,55,46,51,48,57,48,53,101,45,49,57,32,54,46,54,56,51,
      51,51,101,45,49,57,32,54,46,48,56,53,51,57,101,45,49,57,32,53,46,53,49,56,51,
      56,101,45,49,57,10,32,32,48,114,50,54,51,32,52,46,56,56,50,56,51,101,45,51,
      55,32,49,46,53,48,57,49,56,101,45,51,54,32,53,46,55,54,54,56,56,101,45,51,54,
      32,50,46,49,52,53,54,54,101,45,51,53,32,57,46,48,52,57,57,54,101,45,51,53,32,
      48,114,52,32,51,46,55,53,51,53,49,101,45,51,51,10,32,32,50,46,55,55,56,56,56,
      101,45,51,50,32,49,46,51,53,49,55,53,101,45,51,49,32,53,46,55,51,48,50,52,101,
      45,51,49,32,50,46,53,55,55,54,57,101,45,51,48,32,49,46,48,49,48,54,55,101,45,
      50,57,32,51,46,48,50,54,50,101,45,50,57,32,52,46,55,55,50,55,53,101,45,50,55,
      10,32,32,57,46,49,51,52,56,101,45,50,55,32,49,46,56,49,53,51,51,101,45,50,54,
      32,51,46,54,57,51,57,49,101,45,50,54,32,55,46,54,48,55,50,49,101,45,50,54,32,
      49,46,51,56,50,56,53,101,45,50,53,32,50,46,53,53,51,54,56,101,45,50,53,32,52,
      46,50,56,54,56,51,101,45,50,53,10,32,32,54,46,57,52,50,49,50,101,45,50,53,32,
      49,46,49,52,56,48,51,101,45,50,52,32,50,46,50,48,53,53,101,45,50,52,32,51,46,
      49,56,54,56,55,101,45,50,52,32,52,46,55,56,48,53,52,101,45,50,52,32,54,46,55,
      50,48,51,54,101,45,50,52,32,49,46,49,51,56,52,50,101,45,50,51,10,32,32,49,46,
      53,53,52,57,53,101,45,50,51,32,50,46,49,48,51,52,54,101,45,50,51,32,50,46,56,
      50,48,53,55,101,45,50,51,32,51,46,55,53,50,49,51,101,45,50,51,32,52,46,57,53,
      51,57,56,101,45,50,51,32,54,46,52,57,52,50,55,101,45,50,51,32,56,46,52,53,53,
      50,57,101,45,50,51,10,32,32,49,46,48,57,51,54,52,101,45,50,50,32,49,46,52,48,
      53,54,51,101,45,50,50,32,49,46,55,57,53,55,53,101,45,50,50,32,50,46,50,56,48,
      53,54,101,45,50,50,32,50,46,56,55,57,56,57,101,45,50,50,32,51,46,54,49,54,57,
      52,101,45,50,50,32,52,46,53,50,55,56,54,101,45,50,50,10,32,32,53,46,54,50,53,
      56,57,101,45,50,50,32,54,46,57,53,54,52,55,101,45,50,50,32,56,46,53,55,53,53,
      55,101,45,50,50,32,49,46,48,53,48,51,56,101,45,50,49,32,49,46,50,56,48,56,56,
      101,45,50,49,32,49,46,53,53,54,57,50,101,45,50,49,32,49,46,56,56,50,52,53,101,
      45,50,49,10,32,32,50,46,50,54,55,52,49,101,45,50,49,32,50,46,55,49,57,53,53,
      101,45,50,49,32,51,46,50,52,57,52,51,101,45,50,49,32,51,46,56,54,56,48,57,101,
      45,50,49,32,52,46,53,56,55,54,54,101,45,50,49,32,53,46,52,50,49,52,101,45,50,
      49,32,54,46,51,56,52,48,52,101,45,50,49,10,32,32,55,46,52,57,49,51,53,101,45,
      50,49,32,56,46,55,54,50,50,101,45,50,49,32,49,46,48,50,49,50,52,101,45,50,48,
      32,49,46,49,52,55,56,51,101,45,50,48,32,49,46,50,56,55,53,56,101,45,50,48,32,
      49,46,52,52,49,54,49,101,45,50,48,32,49,46,54,49,48,57,101,45,50,48,10,32,32,
      49,46,55,57,54,54,56,101,45,50,48,32,50,46,48,50,55,54,54,101,45,50,48,32,50,
      46,51,53,53,50,52,101,45,50,48,32,50,46,55,50,53,54,57,101,45,50,48,32,51,46,
      49,52,51,48,49,101,45,50,48,32,51,46,54,49,49,51,54,101,45,50,48,32,52,46,49,
      51,52,57,57,101,45,50,48,10,32,32,52,46,55,49,56,51,101,45,50,48,32,53,46,51,
      54,53,57,49,101,45,50,48,32,54,46,48,56,50,48,52,101,45,50,48,32,54,46,56,55,
      49,48,57,101,45,50,48,32,55,46,55,51,55,52,52,101,45,50,48,32,56,46,54,56,53,
      52,49,101,45,50,48,32,57,46,55,49,56,57,54,101,45,50,48,10,32,32,49,46,48,56,
      52,49,56,101,45,49,57,32,49,46,50,48,53,55,50,101,45,49,57,32,49,46,51,51,54,
      56,52,101,45,49,57,32,49,46,52,55,55,55,57,101,45,49,57,32,49,46,54,50,56,56,
      51,101,45,49,57,32,49,46,55,57,48,48,57,101,45,49,57,32,49,46,57,54,49,54,51,
      101,45,49,57,10,32,32,50,46,49,52,51,53,50,101,45,49,57,32,50,46,51,51,53,54,
      55,101,45,49,57,32,50,46,53,51,55,57,55,101,45,49,57,32,50,46,55,53,48,50,55,
      101,45,49,57,32,50,46,57,55,50,50,55,101,45,49,57,32,51,46,50,48,51,54,51,101,
      45,49,57,32,51,46,52,52,51,57,49,101,45,49,57,10,32,32,51,46,54,57,50,53,50,
      101,45,49,57,32,51,46,57,52,56,55,57,101,45,49,57,32,52,46,50,49,49,57,53,101,
      45,49,57,32,52,46,52,56,49,51,101,45,49,57,32,52,46,55,53,53,57,51,101,45,49,
      57,32,53,46,48,51,52,57,101,45,49,57,32,53,46,51,49,55,49,53,101,45,49,57,10,
      32,32,53,46,54,48,49,54,101,45,49,57,32,53,46,56,56,55,48,54,101,45,49,57,32,
      54,46,49,55,50,50,56,101,45,49,57,32,54,46,55,51,55,50,55,101,45,49,57,32,55,
      46,50,56,54,55,101,45,49,57,32,55,46,56,49,48,53,49,101,45,49,57,32,56,46,50,
      57,56,57,56,101,45,49,57,10,32,32,56,46,55,52,50,56,56,101,45,49,57,32,57,46,
      49,51,52,49,51,101,45,49,57,32,57,46,52,54,52,55,56,101,45,49,57,32,57,46,55,
      50,57,56,54,101,45,49,57,32,57,46,57,50,53,51,56,101,45,49,57,32,49,46,48,48,
      52,56,57,101,45,49,56,32,49,46,48,48,57,57,57,101,45,49,56,10,32,32,49,46,48,
      48,55,57,52,101,45,49,56,32,57,46,57,56,57,57,56,101,45,49,57,32,57,46,56,51,
      53,50,53,101,45,49,57,32,57,46,54,50,48,49,52,101,45,49,57,32,57,46,51,53,48,
      55,101,45,49,57,32,57,46,48,51,51,52,51,101,45,49,57,32,56,46,54,55,53,52,49,
      101,45,49,57,10,32,32,56,46,50,56,51,55,54,101,45,49,57,32,55,46,56,54,54,49,
      57,101,45,49,57,32,55,46,52,50,57,54,54,101,45,49,57,32,54,46,57,56,48,57,56,
      101,45,49,57,32,54,46,53,50,54,51,57,101,45,49,57,32,54,46,48,55,49,51,56,101,
      45,49,57,32,53,46,54,50,49,53,55,101,45,49,57,10,32,32,53,46,49,56,49,52,53,
      101,45,49,57,32,52,46,55,53,52,55,49,101,45,49,57,32,52,46,51,52,52,52,101,
      45,49,57,32,51,46,57,53,50,57,56,101,45,49,57,32,48,114,50,54,52,32,51,46,54,
      52,52,57,57,101,45,51,55,32,49,46,52,50,52,52,55,101,45,51,54,32,53,46,49,55,
      56,56,57,101,45,51,54,10,32,32,50,46,51,52,49,52,55,101,45,51,53,32,48,114,
      52,32,55,46,48,56,53,54,56,101,45,51,52,32,53,46,55,49,49,56,54,101,45,51,51,
      32,50,46,57,55,53,49,101,45,51,50,32,49,46,51,52,51,50,101,45,51,49,32,54,46,
      52,53,48,51,49,101,45,51,49,32,50,46,54,56,52,56,51,101,45,51,48,10,32,32,56,
      46,52,51,54,57,54,101,45,51,48,32,49,46,55,49,51,49,53,101,45,50,55,32,51,46,
      51,57,52,51,50,101,45,50,55,32,54,46,57,57,49,56,54,101,45,50,55,32,49,46,52,
      55,53,53,52,101,45,50,54,32,51,46,49,53,48,54,51,101,45,50,54,32,53,46,56,57,
      57,54,50,101,45,50,54,10,32,32,49,46,49,50,50,53,52,101,45,50,53,32,49,46,57,
      50,56,52,101,45,50,53,32,51,46,49,56,57,49,101,45,50,53,32,53,46,51,56,51,56,
      56,101,45,50,53,32,49,46,48,53,57,54,49,101,45,50,52,32,49,46,53,53,50,53,101,
      45,50,52,32,50,46,51,54,50,52,54,101,45,50,52,10,32,32,51,46,51,53,56,50,51,
      101,45,50,52,32,53,46,57,52,48,57,50,101,45,50,52,32,56,46,49,54,51,53,52,101,
      45,50,52,32,49,46,49,49,48,50,57,101,45,50,51,32,49,46,52,57,54,48,51,101,45,
      50,51,32,49,46,57,57,56,56,54,101,45,50,51,32,50,46,54,52,57,55,101,45,50,51,
      10,32,32,51,46,52,56,54,52,51,101,45,50,51,32,52,46,53,53,53,51,101,45,50,51,
      32,53,46,57,49,49,56,56,101,45,50,51,32,55,46,54,50,51,51,101,45,50,51,32,57,
      46,55,54,57,55,50,101,45,50,51,32,49,46,50,52,52,53,56,101,45,50,50,32,49,46,
      53,55,54,52,101,45,50,50,10,32,32,49,46,57,56,53,53,56,101,45,50,50,32,50,46,
      52,57,52,54,49,101,45,50,50,32,51,46,49,48,55,53,56,101,45,50,50,32,51,46,56,
      53,50,50,50,101,45,50,50,32,52,46,55,54,50,53,57,101,45,50,50,32,53,46,56,52,
      55,52,52,101,45,50,50,32,55,46,49,52,55,54,49,101,45,50,50,10,32,32,56,46,55,
      49,48,51,54,101,45,50,50,32,49,46,48,53,53,54,49,101,45,50,49,32,49,46,50,55,
      52,53,49,101,45,50,49,32,49,46,53,51,50,49,51,101,45,50,49,32,49,46,56,51,52,
      55,56,101,45,50,49,32,50,46,49,56,56,57,53,101,45,50,49,32,50,46,54,48,49,56,
      54,101,45,50,49,10,32,32,51,46,48,56,49,53,49,101,45,50,49,32,51,46,54,51,54,
      54,55,101,45,50,49,32,52,46,50,55,54,56,54,101,45,50,49,32,53,46,48,49,51,52,
      57,101,45,50,49,32,53,46,56,53,54,101,45,50,49,32,54,46,53,57,51,48,54,101,
      45,50,49,32,55,46,52,48,56,51,50,101,45,50,49,10,32,32,56,46,51,48,56,55,55,
      101,45,50,49,32,57,46,51,48,48,51,56,101,45,50,49,32,49,46,48,51,57,48,55,101,
      45,50,48,32,49,46,49,55,52,56,56,101,45,50,48,32,49,46,51,54,55,57,54,101,45,
      50,48,32,49,46,53,56,54,57,49,101,45,50,48,32,49,46,56,51,52,50,54,101,45,50,
      48,10,32,32,50,46,49,49,50,54,52,101,45,50,48,32,50,46,52,50,52,56,101,45,50,
      48,32,50,46,55,55,51,53,51,101,45,50,48,32,51,46,49,54,49,55,57,101,45,50,48,
      32,51,46,53,57,50,50,53,101,45,50,48,32,52,46,48,54,55,56,57,101,45,50,48,32,
      52,46,53,57,49,54,49,101,45,50,48,10,32,32,53,46,49,54,54,51,49,101,45,50,48,
      32,53,46,55,57,52,55,52,101,45,50,48,32,54,46,52,55,57,53,101,45,50,48,32,55,
      46,50,50,51,48,50,101,45,50,48,32,56,46,48,50,55,53,52,101,45,50,48,32,56,46,
      56,57,53,48,52,101,45,50,48,32,57,46,56,50,55,52,52,101,45,50,48,10,32,32,49,
      46,48,56,50,54,101,45,49,57,32,49,46,49,56,57,49,56,101,45,49,57,32,49,46,51,
      48,50,53,55,101,45,49,57,32,49,46,52,50,50,55,53,101,45,49,57,32,49,46,53,52,
      57,55,101,45,49,57,32,49,46,54,56,51,51,55,101,45,49,57,32,49,46,56,50,51,54,
      51,101,45,49,57,10,32,32,49,46,57,55,48,51,49,101,45,49,57,32,50,46,49,50,51,
      49,54,101,45,49,57,32,50,46,50,56,49,55,57,101,45,49,57,32,50,46,52,52,53,57,
      54,101,45,49,57,32,50,46,54,49,53,50,49,101,45,49,57,32,50,46,55,56,57,49,51,
      101,45,49,57,32,50,46,57,54,55,49,56,101,45,49,57,10,32,32,51,46,49,52,56,55,
      55,101,45,49,57,32,51,46,51,51,51,51,101,45,49,57,32,51,46,53,50,48,48,57,101,
      45,49,57,32,51,46,55,48,56,52,49,101,45,49,57,32,51,46,56,57,55,52,52,101,45,
      49,57,32,52,46,50,55,52,55,51,101,45,49,57,32,52,46,54,52,53,56,49,101,45,49,
      57,10,32,32,53,46,48,48,51,55,101,45,49,57,32,53,46,51,52,49,57,49,101,45,49,
      57,32,53,46,54,53,52,50,57,101,45,49,57,32,53,46,57,51,53,49,57,101,45,49,57,
      32,54,46,49,55,57,50,51,101,45,49,57,32,54,46,51,56,49,57,54,101,45,49,57,32,
      54,46,53,52,48,52,57,101,45,49,57,10,32,32,54,46,54,53,50,52,57,101,45,49,57,
      32,54,46,55,49,54,55,52,101,45,49,57,32,54,46,55,51,51,52,101,45,49,57,32,54,
      46,55,48,51,52,101,45,49,57,32,54,46,54,50,56,53,50,101,45,49,57,32,54,46,53,
      49,49,55,50,101,45,49,57,32,54,46,51,53,54,52,56,101,45,49,57,10,32,32,54,46,
      49,54,54,56,50,101,45,49,57,32,53,46,57,52,55,48,49,101,45,49,57,32,53,46,55,
      48,49,56,101,45,49,57,32,53,46,52,51,54,48,55,101,45,49,57,32,53,46,49,53,52,
      54,54,101,45,49,57,32,52,46,56,54,50,50,101,45,49,57,32,52,46,53,54,50,56,54,
      101,45,49,57,10,32,32,52,46,50,54,48,56,49,101,45,49,57,32,51,46,57,53,57,54,
      57,101,45,49,57,32,51,46,54,54,50,55,57,101,45,49,57,32,51,46,51,55,51,101,
      45,49,57,32,51,46,48,57,50,54,53,101,45,49,57,32,50,46,56,50,51,55,50,101,45,
      49,57,32,48,114,50,54,53,32,51,46,52,56,53,57,53,101,45,51,55,10,32,32,49,46,
      50,57,52,57,101,45,51,54,32,53,46,57,57,57,55,54,101,45,51,54,32,48,114,52,
      32,49,46,50,56,57,50,52,101,45,51,52,32,49,46,49,51,52,50,54,101,45,51,51,32,
      54,46,51,51,49,53,57,101,45,51,51,32,51,46,48,52,54,56,54,101,45,51,50,32,49,
      46,53,54,52,56,51,101,45,51,49,10,32,32,54,46,57,50,49,57,101,45,51,49,32,50,
      46,50,56,52,56,49,101,45,51,48,32,53,46,57,57,54,49,101,45,50,56,32,49,46,50,
      51,48,54,101,45,50,55,32,50,46,54,51,48,56,57,101,45,50,55,32,53,46,55,54,55,
      48,56,101,45,50,55,32,49,46,50,55,57,51,56,101,45,50,54,10,32,32,50,46,52,55,
      48,56,55,101,45,50,54,32,52,46,56,52,55,53,57,101,45,50,54,32,56,46,53,51,49,
      57,55,101,45,50,54,32,49,46,52,52,50,57,101,45,50,53,32,50,46,52,57,48,49,54,
      101,45,50,53,32,53,46,48,50,52,52,49,101,45,50,53,32,55,46,52,55,50,51,51,101,
      45,50,53,10,32,32,49,46,49,53,52,56,101,45,50,52,32,49,46,54,54,49,51,55,101,
      45,50,52,32,51,46,48,56,49,50,55,101,45,50,52,32,52,46,50,54,50,51,55,101,45,
      50,52,32,53,46,56,51,50,49,54,101,45,50,52,32,55,46,57,48,48,57,49,101,45,50,
      52,32,49,46,48,54,48,55,52,101,45,50,51,10,32,32,49,46,52,49,50,50,49,101,45,
      50,51,32,49,46,56,54,53,53,52,101,45,50,51,32,50,46,52,52,54,52,54,101,45,50,
      51,32,51,46,49,56,54,49,54,101,45,50,51,32,52,46,49,50,50,50,52,101,45,50,51,
      32,53,46,50,57,57,56,54,101,45,50,51,32,54,46,55,55,50,54,50,101,45,50,51,10,
      32,32,56,46,54,48,52,52,54,101,45,50,51,32,49,46,48,56,55,48,55,101,45,50,50,
      32,49,46,51,55,49,50,51,101,45,50,50,32,49,46,55,49,50,55,53,101,45,50,50,32,
      50,46,49,50,56,53,56,101,45,50,50,32,50,46,54,51,57,54,52,101,45,50,50,32,51,
      46,50,52,56,55,55,101,45,50,50,10,32,32,51,46,57,56,48,54,57,101,45,50,50,32,
      52,46,56,54,51,53,101,45,50,50,32,53,46,57,48,55,57,56,101,45,50,50,32,55,46,
      49,53,48,55,54,101,45,50,50,32,56,46,54,49,53,57,53,101,45,50,50,32,49,46,48,
      51,52,49,50,101,45,50,49,32,49,46,50,51,54,53,101,45,50,49,10,32,32,49,46,52,
      55,51,48,51,101,45,50,49,32,49,46,55,52,56,52,53,101,45,50,49,32,50,46,48,54,
      55,57,55,101,45,50,49,32,50,46,52,51,55,51,52,101,45,50,49,32,50,46,56,54,51,
      53,51,101,45,50,49,32,51,46,51,53,50,49,50,101,45,50,49,32,51,46,55,56,48,52,
      53,101,45,50,49,10,32,32,52,46,50,53,53,48,52,101,45,50,49,32,52,46,55,56,48,
      49,57,101,45,50,49,32,53,46,51,53,57,54,50,101,45,50,49,32,53,46,57,57,55,57,
      57,101,45,50,49,32,54,46,55,57,52,56,54,101,45,50,49,32,55,46,57,51,48,52,57,
      101,45,50,49,32,57,46,50,50,49,56,56,101,45,50,49,10,32,32,49,46,48,54,56,52,
      56,101,45,50,48,32,49,46,50,51,51,53,55,101,45,50,48,32,49,46,52,49,57,49,56,
      101,45,50,48,32,49,46,54,50,55,49,49,101,45,50,48,32,49,46,56,53,57,50,50,101,
      45,50,48,32,50,46,49,49,55,51,55,101,45,50,48,32,50,46,52,48,51,52,57,101,45,
      50,48,10,32,32,50,46,55,49,57,52,50,101,45,50,48,32,51,46,48,54,55,49,52,101,
      45,50,48,32,51,46,52,52,56,52,53,101,45,50,48,32,51,46,56,54,53,49,55,101,45,
      50,48,32,52,46,51,49,56,57,51,101,45,50,48,32,52,46,56,49,49,51,57,101,45,50,
      48,32,53,46,51,52,52,48,52,101,45,50,48,10,32,32,53,46,57,49,56,49,54,101,45,
      50,48,32,54,46,53,51,52,57,49,101,45,50,48,32,55,46,49,57,53,50,55,101,45,50,
      48,32,55,46,57,48,48,49,101,45,50,48,32,56,46,54,52,57,54,51,101,45,50,48,32,
      57,46,52,52,52,48,57,101,45,50,48,32,49,46,48,50,56,51,53,101,45,49,57,10,32,
      32,49,46,49,49,54,55,52,101,45,49,57,32,49,46,50,48,57,52,57,101,45,49,57,32,
      49,46,51,48,54,52,56,101,45,49,57,32,49,46,52,48,55,53,50,101,45,49,57,32,49,
      46,53,49,50,52,51,101,45,49,57,32,49,46,54,50,48,57,51,101,45,49,57,32,49,46,
      55,51,50,56,101,45,49,57,10,32,32,49,46,56,52,55,55,51,101,45,49,57,32,49,46,
      57,54,53,52,50,101,45,49,57,32,50,46,48,56,53,53,101,45,49,57,32,50,46,50,48,
      55,53,56,101,45,49,57,32,50,46,51,51,49,50,101,45,49,57,32,50,46,52,53,53,57,
      101,45,49,57,32,50,46,55,48,54,54,49,101,45,49,57,10,32,32,50,46,57,53,53,55,
      50,101,45,49,57,32,51,46,49,57,56,55,50,101,45,49,57,32,51,46,52,51,49,48,57,
      101,45,49,57,32,51,46,54,52,56,56,55,101,45,49,57,32,51,46,56,52,56,48,55,101,
      45,49,57,32,52,46,48,50,53,48,55,101,45,49,57,32,52,46,49,55,54,55,101,45,49,
      57,10,32,32,52,46,51,48,48,50,50,101,45,49,57,32,52,46,51,57,51,55,56,101,45,
      49,57,32,52,46,52,53,54,50,50,101,45,49,57,32,52,46,52,56,55,50,55,101,45,49,
      57,32,52,46,52,56,55,48,51,101,45,49,57,32,52,46,52,53,54,51,50,101,45,49,57,
      32,52,46,51,57,54,54,51,101,45,49,57,10,32,32,52,46,51,48,57,57,51,101,45,49,
      57,32,52,46,49,57,56,56,101,45,49,57,32,52,46,48,54,53,57,50,101,45,49,57,32,
      51,46,57,49,52,50,50,101,45,49,57,32,51,46,55,52,54,56,52,101,45,49,57,32,51,
      46,53,54,54,56,56,101,45,49,57,32,51,46,51,55,55,53,50,101,45,49,57,10,32,32,
      51,46,49,56,49,55,53,101,45,49,57,32,50,46,57,56,50,51,55,101,45,49,57,32,50,
      46,55,56,49,56,52,101,45,49,57,32,50,46,53,56,50,54,55,101,45,49,57,32,50,46,
      51,56,54,56,56,101,45,49,57,32,50,46,49,57,54,49,57,101,45,49,57,32,50,46,48,
      49,50,49,101,45,49,57,10,32,32,48,114,50,54,54,32,51,46,50,49,51,52,101,45,
      51,55,32,49,46,52,53,52,51,57,101,45,51,54,32,48,114,52,32,50,46,50,54,57,57,
      56,101,45,51,53,32,50,46,49,56,49,56,51,101,45,51,52,32,49,46,51,48,55,48,55,
      101,45,51,51,32,54,46,55,49,48,51,57,101,45,51,51,10,32,32,51,46,54,56,56,57,
      49,101,45,51,50,32,49,46,55,51,54,57,52,101,45,51,49,32,54,46,48,50,55,48,54,
      101,45,51,49,32,50,46,48,52,51,48,51,101,45,50,56,32,52,46,51,52,55,55,50,101,
      45,50,56,32,57,46,54,53,55,54,50,101,45,50,56,32,50,46,50,48,50,49,53,101,45,
      50,55,10,32,32,53,46,48,56,51,51,56,101,45,50,55,32,49,46,48,49,51,55,49,101,
      45,50,54,32,50,46,48,53,51,52,52,101,45,50,54,32,51,46,55,48,56,50,49,101,45,
      50,54,32,54,46,52,50,48,57,49,101,45,50,54,32,49,46,49,51,52,51,49,101,45,50,
      53,32,50,46,51,52,57,48,51,101,45,50,53,10,32,32,51,46,53,52,57,52,49,101,45,
      50,53,32,53,46,53,55,54,52,55,101,45,50,53,32,56,46,49,50,56,57,101,45,50,53,
      32,49,46,53,56,56,57,50,101,45,50,52,32,50,46,50,49,52,55,101,45,50,52,32,51,
      46,48,53,48,54,56,101,45,50,52,32,52,46,49,53,55,48,52,101,45,50,52,10,32,32,
      53,46,54,49,48,49,54,101,45,50,52,32,55,46,53,48,52,51,55,101,45,50,52,32,57,
      46,57,53,54,48,56,101,45,50,52,32,49,46,51,49,48,56,54,101,45,50,51,32,49,46,
      55,49,51,53,53,101,45,50,51,32,50,46,50,50,52,55,52,101,45,50,51,32,50,46,56,
      54,57,57,55,101,45,50,51,10,32,32,51,46,54,55,57,51,50,101,45,50,51,32,52,46,
      54,56,56,56,56,101,45,50,51,32,53,46,57,52,49,52,55,101,45,50,51,32,55,46,53,
      50,54,52,57,101,45,50,51,32,57,46,52,50,53,52,57,101,45,50,51,32,49,46,49,55,
      52,53,53,101,45,50,50,32,49,46,52,54,49,51,55,101,45,50,50,10,32,32,49,46,56,
      48,51,49,56,101,45,50,50,32,50,46,50,49,52,57,57,101,45,50,50,32,50,46,55,49,
      51,53,101,45,50,50,32,51,46,51,48,52,48,49,101,45,50,50,32,52,46,48,48,56,57,
      49,101,45,50,50,32,52,46,56,52,49,51,50,101,45,50,50,32,53,46,56,50,51,55,56,
      101,45,50,50,10,32,32,54,46,57,55,57,48,55,101,45,50,50,32,56,46,51,51,50,53,
      50,101,45,50,50,32,57,46,57,49,50,50,51,101,45,50,50,32,49,46,49,55,52,57,52,
      101,45,50,49,32,49,46,51,56,55,56,52,101,45,50,49,32,49,46,54,51,52,49,101,
      45,50,49,32,49,46,57,49,55,48,57,101,45,50,49,10,32,32,50,46,49,54,53,55,55,
      101,45,50,49,32,50,46,52,52,49,56,51,101,45,50,49,32,50,46,55,52,55,56,56,101,
      45,50,49,32,51,46,48,56,54,49,53,101,45,50,49,32,51,46,52,53,57,53,101,45,50,
      49,32,51,46,57,50,54,52,57,101,45,50,49,32,52,46,53,57,51,54,55,101,45,50,49,
      10,32,32,53,46,51,53,52,51,53,101,45,50,49,32,54,46,50,49,56,51,53,101,45,50,
      49,32,55,46,49,57,54,48,50,101,45,50,49,32,56,46,50,57,56,50,49,101,45,50,49,
      32,57,46,53,51,54,49,56,101,45,50,49,32,49,46,48,57,50,49,56,101,45,50,48,32,
      49,46,50,52,54,55,52,101,45,50,48,10,32,32,49,46,52,49,56,52,57,101,45,50,48,
      32,49,46,54,48,56,54,52,101,45,50,48,32,49,46,56,49,56,53,52,101,45,50,48,32,
      50,46,48,52,57,51,52,101,45,50,48,32,50,46,51,48,50,51,101,45,50,48,32,50,46,
      53,55,56,53,56,101,45,50,48,32,50,46,56,55,57,51,50,101,45,50,48,10,32,32,51,
      46,50,48,53,53,55,101,45,50,48,32,51,46,53,53,56,50,56,101,45,50,48,32,51,46,
      57,51,56,51,52,101,45,50,48,32,52,46,51,52,54,52,52,101,45,50,48,32,52,46,55,
      56,51,51,51,101,45,50,48,32,53,46,50,52,57,51,49,101,45,50,48,32,53,46,55,52,
      52,55,50,101,45,50,48,10,32,32,54,46,50,54,57,54,54,101,45,50,48,32,54,46,56,
      50,52,48,57,101,45,50,48,32,55,46,52,48,55,55,55,101,45,50,48,32,56,46,48,50,
      48,50,101,45,50,48,32,56,46,54,54,48,52,57,101,45,50,48,32,57,46,51,50,55,55,
      55,101,45,50,48,32,49,46,48,48,50,48,53,101,45,49,57,10,32,32,49,46,48,55,51,
      55,51,101,45,49,57,32,49,46,49,52,55,54,55,101,45,49,57,32,49,46,50,50,51,54,
      54,101,45,49,57,32,49,46,51,48,49,52,57,101,45,49,57,32,49,46,51,56,48,57,49,
      101,45,49,57,32,49,46,52,54,49,54,56,101,45,49,57,32,49,46,53,52,51,53,101,
      45,49,57,10,32,32,49,46,55,48,57,48,54,101,45,49,57,32,49,46,56,55,53,48,55,
      101,45,49,57,32,50,46,48,51,56,55,52,101,45,49,57,32,50,46,49,57,55,50,49,101,
      45,49,57,32,50,46,51,52,55,54,54,101,45,49,57,32,50,46,52,56,55,52,51,101,45,
      49,57,32,50,46,54,49,51,56,56,101,45,49,57,10,32,32,50,46,55,50,52,56,101,45,
      49,57,32,50,46,56,49,56,50,57,101,45,49,57,32,50,46,56,57,50,56,49,101,45,49,
      57,32,50,46,57,52,55,50,51,101,45,49,57,32,50,46,57,56,49,48,51,101,45,49,57,
      32,50,46,57,57,52,101,45,49,57,32,50,46,57,56,54,52,57,101,45,49,57,10,32,32,
      50,46,57,53,57,49,56,101,45,49,57,32,50,46,57,49,51,50,53,101,45,49,57,32,50,
      46,56,53,48,48,56,101,45,49,57,32,50,46,55,55,49,51,54,101,45,49,57,32,50,46,
      54,55,56,57,55,101,45,49,57,32,50,46,53,55,52,55,53,101,45,49,57,32,50,46,52,
      54,48,56,52,101,45,49,57,10,32,32,50,46,51,51,57,51,49,101,45,49,57,32,50,46,
      50,49,50,50,101,45,49,57,32,50,46,48,56,49,51,56,101,45,49,57,32,49,46,57,52,
      56,53,56,101,45,49,57,32,49,46,56,49,53,53,57,101,45,49,57,32,49,46,54,56,51,
      57,50,101,45,49,57,32,49,46,53,53,52,56,49,101,45,49,57,10,32,32,49,46,52,50,
      57,51,54,101,45,49,57,32,48,114,50,54,55,32,51,46,48,55,56,53,55,101,45,51,
      55,32,48,114,52,32,51,46,48,57,54,49,53,101,45,51,54,32,51,46,50,56,57,48,50,
      101,45,51,53,32,50,46,49,51,55,48,49,101,45,51,52,32,49,46,49,56,50,49,49,101,
      45,51,51,10,32,32,55,46,48,50,52,50,51,101,45,51,51,32,51,46,53,53,50,51,50,
      101,45,51,50,32,49,46,51,48,53,55,56,101,45,51,49,32,53,46,56,56,50,53,49,101,
      45,50,57,32,49,46,51,48,54,48,54,101,45,50,56,32,51,46,48,51,51,55,101,45,50,
      56,32,55,46,50,52,49,57,52,101,45,50,56,10,32,32,49,46,55,52,57,57,101,45,50,
      55,32,51,46,54,50,51,52,49,101,45,50,55,32,55,46,54,50,54,48,54,101,45,50,55,
      32,49,46,52,49,57,52,101,45,50,54,32,50,46,53,50,54,56,55,101,45,50,54,32,52,
      46,53,57,48,54,49,101,45,50,54,32,57,46,55,57,57,51,50,101,45,50,54,10,32,32,
      49,46,53,48,57,52,49,101,45,50,53,32,50,46,52,49,57,56,51,101,45,50,53,32,51,
      46,53,56,52,51,53,101,45,50,53,32,55,46,52,55,57,54,56,101,45,50,53,32,49,46,
      48,53,50,51,101,45,50,52,32,49,46,52,54,49,52,53,101,45,50,52,32,50,46,48,48,
      54,49,53,101,45,50,52,10,32,32,50,46,55,50,53,52,51,101,45,50,52,32,51,46,54,
      54,55,52,57,101,45,50,52,32,52,46,56,57,50,49,55,101,45,50,52,32,54,46,52,55,
      50,57,52,101,45,50,52,32,56,46,52,57,57,57,53,101,45,50,52,32,49,46,49,48,56,
      50,52,101,45,50,51,32,49,46,52,51,53,51,49,101,45,50,51,10,32,32,49,46,56,52,
      55,101,45,50,51,32,50,46,51,54,50,50,55,101,45,50,51,32,51,46,48,48,51,55,56,
      101,45,50,51,32,51,46,56,50,53,57,101,45,50,51,32,52,46,56,48,53,52,54,101,
      45,50,51,32,54,46,48,48,53,55,52,101,45,50,51,32,55,46,53,48,48,50,49,101,45,
      50,51,10,32,32,57,46,50,55,57,55,52,101,45,50,51,32,49,46,49,52,50,57,53,101,
      45,50,50,32,49,46,52,48,52,50,53,101,45,50,50,32,49,46,55,49,52,50,56,101,45,
      50,50,32,50,46,48,56,53,56,52,101,45,50,50,32,50,46,53,50,53,49,56,101,45,50,
      50,32,51,46,48,52,53,49,56,101,45,50,50,10,32,32,51,46,54,53,56,50,57,101,45,
      50,50,32,52,46,51,55,56,53,51,101,45,50,50,32,53,46,50,50,49,51,55,101,45,50,
      50,32,54,46,50,48,52,50,51,101,45,50,50,32,55,46,51,52,54,50,49,101,45,50,50,
      32,56,46,54,55,49,50,50,101,45,50,50,32,49,46,48,49,57,55,56,101,45,50,49,10,
      32,32,49,46,49,53,52,50,49,101,45,50,49,32,49,46,51,48,51,55,53,101,45,50,49,
      32,49,46,52,54,57,56,57,101,45,50,49,32,49,46,54,53,51,57,49,101,45,50,49,32,
      49,46,56,53,55,52,54,101,45,50,49,32,50,46,49,49,50,54,50,101,45,50,49,32,50,
      46,52,55,56,49,55,101,45,50,49,10,32,32,50,46,56,57,54,49,55,101,45,50,49,32,
      51,46,51,55,50,52,49,101,45,50,49,32,51,46,57,49,51,48,49,101,45,50,49,32,52,
      46,53,50,52,51,53,101,45,50,49,32,53,46,50,49,51,49,51,101,45,50,49,32,53,46,
      57,56,54,52,54,101,45,50,49,32,54,46,56,53,49,53,55,101,45,50,49,10,32,32,55,
      46,56,49,53,57,51,101,45,50,49,32,56,46,56,56,55,49,51,101,45,50,49,32,49,46,
      48,48,55,51,50,101,45,50,48,32,49,46,49,51,56,49,54,101,45,50,48,32,49,46,50,
      56,49,57,57,101,45,50,48,32,49,46,52,51,57,53,56,101,45,50,48,32,49,46,54,49,
      49,54,54,101,45,50,48,10,32,32,49,46,55,57,56,57,54,101,45,50,48,32,50,46,48,
      48,50,49,51,101,45,50,48,32,50,46,50,50,49,55,55,101,45,50,48,32,50,46,52,53,
      56,52,53,101,45,50,48,32,50,46,55,49,50,54,55,101,45,50,48,32,50,46,57,56,52,
      55,52,101,45,50,48,32,51,46,50,55,53,48,49,101,45,50,48,10,32,32,51,46,53,56,
      51,55,51,101,45,50,48,32,51,46,57,49,48,57,55,101,45,50,48,32,52,46,50,53,54,
      54,55,101,45,50,48,32,52,46,54,50,48,54,56,101,45,50,48,32,53,46,48,48,50,53,
      56,101,45,50,48,32,53,46,52,48,50,48,53,101,45,50,48,32,53,46,56,49,56,52,53,
      101,45,50,48,10,32,32,54,46,50,53,49,49,50,101,45,50,48,32,54,46,54,57,57,50,
      55,101,45,50,48,32,55,46,49,54,49,56,101,45,50,48,32,55,46,54,51,55,52,50,101,
      45,50,48,32,56,46,49,50,52,56,54,101,45,50,48,32,56,46,54,50,50,55,53,101,45,
      50,48,32,57,46,49,50,57,52,51,101,45,50,48,10,32,32,49,46,48,49,54,49,57,101,
      45,49,57,32,49,46,49,50,48,55,52,101,45,49,57,32,49,46,50,50,52,57,52,101,45,
      49,57,32,49,46,51,50,55,48,55,101,45,49,57,32,49,46,52,50,53,52,50,101,45,49,
      57,32,49,46,53,49,56,49,57,101,45,49,57,32,49,46,54,48,51,54,51,101,45,49,57,
      10,32,32,49,46,54,56,48,50,56,101,45,49,57,32,49,46,55,52,54,56,51,101,45,49,
      57,32,49,46,56,48,50,49,52,101,45,49,57,32,49,46,56,52,53,51,51,101,45,49,57,
      32,49,46,56,55,53,55,55,101,45,49,57,32,49,46,56,57,51,50,52,101,45,49,57,32,
      49,46,56,57,55,55,56,101,45,49,57,10,32,32,49,46,56,56,57,53,57,101,45,49,57,
      32,49,46,56,54,57,50,49,101,45,49,57,32,49,46,56,51,55,51,52,101,45,49,57,32,
      49,46,55,57,52,57,51,101,45,49,57,32,49,46,55,52,51,48,52,101,45,49,57,32,49,
      46,54,56,50,56,52,101,45,49,57,32,49,46,54,49,53,53,51,101,45,49,57,10,32,32,
      49,46,53,52,50,52,54,101,45,49,57,32,49,46,52,54,52,57,49,101,45,49,57,32,49,
      46,51,56,52,49,52,101,45,49,57,32,49,46,51,48,49,50,55,101,45,49,57,32,49,46,
      50,49,55,52,52,101,45,49,57,32,49,46,49,51,51,54,57,101,45,49,57,32,49,46,48,
      53,48,57,101,45,49,57,10,32,32,57,46,54,57,56,55,49,101,45,50,48,32,48,114,
      50,54,55,32,54,46,50,55,57,50,54,101,45,51,56,32,48,114,52,32,52,46,48,51,50,
      57,51,101,45,51,55,32,52,46,55,52,56,54,101,45,51,54,32,51,46,51,52,55,56,53,
      101,45,51,53,32,49,46,57,57,56,52,50,101,45,51,52,10,32,32,49,46,50,56,54,48,
      56,101,45,51,51,32,54,46,57,57,51,51,52,101,45,51,51,32,50,46,55,50,54,48,57,
      101,45,51,50,32,49,46,54,51,54,56,101,45,50,57,32,51,46,55,57,53,53,54,101,
      45,50,57,32,57,46,50,50,55,48,49,101,45,50,57,32,50,46,51,48,57,52,57,101,45,
      50,56,10,32,32,53,46,56,53,53,55,54,101,45,50,56,32,49,46,50,54,48,54,55,101,
      45,50,55,32,50,46,55,53,57,49,55,101,45,50,55,32,53,46,51,48,51,48,56,101,45,
      50,55,32,57,46,55,50,52,52,50,101,45,50,55,32,49,46,56,49,57,52,56,101,45,50,
      54,32,52,46,48,48,54,49,49,101,45,50,54,10,32,32,54,46,50,57,55,54,55,101,45,
      50,54,32,49,46,48,51,49,54,101,45,50,53,32,49,46,53,53,52,52,56,101,45,50,53,
      32,51,46,52,56,48,55,52,101,45,50,53,32,52,46,57,52,55,49,56,101,45,50,53,32,
      54,46,57,51,53,49,52,101,45,50,53,32,57,46,54,48,49,53,56,101,45,50,53,10,32,
      32,49,46,51,49,52,51,50,101,45,50,52,32,49,46,55,56,48,53,55,101,45,50,52,32,
      50,46,51,56,57,54,51,101,45,50,52,32,51,46,49,55,57,50,51,101,45,50,52,32,52,
      46,49,57,53,57,49,101,45,50,52,32,53,46,52,57,54,49,49,101,45,50,52,32,55,46,
      49,52,56,55,56,101,45,50,52,10,32,32,57,46,50,51,54,56,101,45,50,52,32,49,46,
      49,56,53,57,54,101,45,50,51,32,49,46,53,49,51,53,54,101,45,50,51,32,49,46,57,
      51,57,57,51,101,45,50,51,32,50,46,52,52,51,56,55,101,45,50,51,32,51,46,48,54,
      51,50,50,101,45,50,51,32,51,46,56,52,48,51,52,101,45,50,51,10,32,32,52,46,55,
      54,52,53,49,101,45,50,51,32,53,46,56,56,52,50,54,101,45,50,51,32,55,46,50,53,
      49,54,56,101,45,50,51,32,56,46,56,55,54,56,50,101,45,50,51,32,49,46,48,56,51,
      51,55,101,45,50,50,32,49,46,51,49,53,101,45,50,50,32,49,46,53,56,57,56,54,101,
      45,50,50,10,32,32,49,46,57,49,52,55,55,101,45,50,50,32,50,46,50,57,55,52,51,
      101,45,50,50,32,50,46,55,52,54,52,55,101,45,50,50,32,51,46,50,55,49,53,101,
      45,50,50,32,51,46,56,56,51,49,54,101,45,50,50,32,52,46,53,57,52,55,49,101,45,
      50,50,32,53,46,52,49,54,53,57,101,45,50,50,10,32,32,54,46,49,52,50,49,101,45,
      50,50,32,54,46,57,53,48,56,49,101,45,50,50,32,55,46,56,53,49,49,53,101,45,50,
      50,32,56,46,56,53,48,54,49,101,45,50,50,32,57,46,57,53,56,50,55,101,45,50,50,
      32,49,46,49,51,53,101,45,50,49,32,49,46,51,51,52,57,51,101,45,50,49,10,32,32,
      49,46,53,54,52,50,57,101,45,50,49,32,49,46,56,50,54,51,51,101,45,50,49,32,50,
      46,49,50,52,54,57,101,45,50,49,32,50,46,52,54,51,48,56,101,45,50,49,32,50,46,
      56,52,53,53,101,45,50,49,32,51,46,50,55,54,49,53,101,45,50,49,32,51,46,55,53,
      57,51,54,101,45,50,49,10,32,32,52,46,50,57,57,55,101,45,50,49,32,52,46,57,48,
      49,55,56,101,45,50,49,32,53,46,53,55,48,51,57,101,45,50,49,32,54,46,51,49,48,
      50,52,101,45,50,49,32,55,46,49,50,54,49,101,45,50,49,32,56,46,48,50,50,55,54,
      101,45,50,49,32,57,46,48,48,53,48,52,101,45,50,49,10,32,32,49,46,48,48,55,55,
      53,101,45,50,48,32,49,46,49,50,52,52,55,101,45,50,48,32,49,46,50,53,49,48,54,
      101,45,50,48,32,49,46,51,56,55,57,101,45,50,48,32,49,46,53,51,53,51,54,101,
      45,50,48,32,49,46,54,57,51,55,51,101,45,50,48,32,49,46,56,54,51,50,57,101,45,
      50,48,10,32,32,50,46,48,52,52,50,53,101,45,50,48,32,50,46,50,51,54,55,52,101,
      45,50,48,32,50,46,52,52,48,56,50,101,45,50,48,32,50,46,54,53,54,52,51,101,45,
      50,48,32,50,46,56,56,51,52,53,101,45,50,48,32,51,46,49,50,49,55,50,101,45,50,
      48,32,51,46,51,55,48,57,54,101,45,50,48,10,32,32,51,46,54,51,48,56,57,101,45,
      50,48,32,51,46,57,48,49,49,53,101,45,50,48,32,52,46,49,56,49,50,101,45,50,48,
      32,52,46,52,55,48,52,49,101,45,50,48,32,52,46,55,54,56,49,101,45,50,48,32,53,
      46,48,55,51,52,56,101,45,50,48,32,53,46,51,56,53,54,101,45,50,48,10,32,32,54,
      46,48,50,54,48,51,101,45,50,48,32,54,46,54,56,48,56,101,45,50,48,32,55,46,51,
      52,101,45,50,48,32,55,46,57,57,51,48,57,101,45,50,48,32,56,46,54,50,57,52,52,
      101,45,50,48,32,57,46,50,51,56,48,56,101,45,50,48,32,57,46,56,48,56,53,52,101,
      45,50,48,10,32,32,49,46,48,51,50,57,57,101,45,49,57,32,49,46,48,55,57,51,54,
      101,45,49,57,32,49,46,49,49,57,49,53,101,45,49,57,32,49,46,49,53,49,55,49,101,
      45,49,57,32,49,46,49,55,54,53,55,101,45,49,57,32,49,46,49,57,51,52,51,101,45,
      49,57,32,49,46,50,48,50,49,52,101,45,49,57,10,32,32,49,46,50,48,50,55,101,45,
      49,57,32,49,46,49,57,53,51,53,101,45,49,57,32,49,46,49,56,48,52,55,101,45,49,
      57,32,49,46,49,53,56,53,55,101,45,49,57,32,49,46,49,51,48,50,101,45,49,57,32,
      49,46,48,57,54,48,53,101,45,49,57,32,49,46,48,53,54,57,101,45,49,57,10,32,32,
      49,46,48,49,51,53,52,101,45,49,57,32,57,46,54,54,55,52,53,101,45,50,48,32,57,
      46,49,55,50,57,50,101,45,50,48,32,56,46,54,53,57,55,51,101,45,50,48,32,56,46,
      49,51,53,51,53,101,45,50,48,32,55,46,54,48,54,53,51,101,45,50,48,32,55,46,48,
      55,57,51,57,101,45,50,48,10,32,32,54,46,53,53,57,51,55,101,45,50,48,32,48,114,
      50,55,50,32,53,46,48,50,57,49,50,101,45,51,56,32,54,46,53,56,48,49,55,101,45,
      51,55,32,53,46,48,52,49,53,53,101,45,51,54,32,51,46,50,52,55,54,50,101,45,51,
      53,32,50,46,50,54,55,54,49,101,45,51,52,32,49,46,51,50,56,52,57,101,45,51,51,
      10,32,32,53,46,52,57,57,49,52,101,45,51,51,32,52,46,52,48,54,49,57,101,45,51,
      48,32,49,46,48,54,56,51,52,101,45,50,57,32,50,46,55,50,51,50,55,101,45,50,57,
      32,55,46,49,53,54,52,50,101,45,50,57,32,49,46,57,48,54,50,53,101,45,50,56,32,
      52,46,50,55,51,51,51,101,45,50,56,10,32,32,57,46,55,52,50,53,54,101,45,50,56,
      32,49,46,57,51,53,53,52,101,45,50,55,32,51,46,54,53,57,54,52,101,45,50,55,32,
      55,46,48,54,51,101,45,50,55,32,49,46,54,48,54,49,57,101,45,50,54,32,50,46,53,
      56,48,48,54,101,45,50,54,32,52,46,51,50,51,52,54,101,45,50,54,10,32,32,54,46,
      54,51,53,50,55,101,45,50,54,32,49,46,54,48,52,54,53,101,45,50,53,32,50,46,51,
      48,54,53,57,101,45,50,53,32,51,46,50,54,54,54,50,101,45,50,53,32,52,46,53,54,
      51,54,53,101,45,50,53,32,54,46,50,57,56,52,54,101,45,50,53,32,56,46,53,57,54,
      57,52,101,45,50,53,10,32,32,49,46,49,54,49,53,52,101,45,50,52,32,49,46,53,53,
      52,56,49,101,45,50,52,32,50,46,48,54,51,52,50,101,45,50,52,32,50,46,55,49,54,
      54,50,101,45,50,52,32,51,46,53,53,48,49,50,101,45,50,52,32,52,46,54,48,55,48,
      55,101,45,50,52,32,53,46,57,51,57,54,49,101,45,50,52,10,32,32,55,46,54,48,57,
      57,55,101,45,50,52,32,57,46,56,50,52,48,49,101,45,50,52,32,49,46,50,52,49,50,
      54,101,45,50,51,32,49,46,53,54,48,52,101,45,50,51,32,49,46,57,54,52,52,49,101,
      45,50,51,32,50,46,52,52,52,48,50,101,45,50,51,32,51,46,48,50,54,56,55,101,45,
      50,51,10,32,32,51,46,55,52,49,56,52,101,45,50,51,32,52,46,53,57,50,55,57,101,
      45,50,51,32,53,46,54,50,50,54,51,101,45,50,51,32,54,46,56,52,49,57,56,101,45,
      50,51,32,56,46,50,57,50,56,53,101,45,50,51,32,49,46,48,48,49,50,53,101,45,50,
      50,32,49,46,50,48,52,51,50,101,45,50,50,10,32,32,49,46,52,52,51,50,49,101,45,
      50,50,32,49,46,55,50,51,51,101,45,50,50,32,50,46,48,53,48,52,55,101,45,50,50,
      32,50,46,52,51,50,49,53,101,45,50,50,32,50,46,56,55,52,48,57,101,45,50,50,32,
      51,46,50,54,53,50,51,101,45,50,50,32,51,46,55,48,50,48,50,101,45,50,50,10,32,
      32,52,46,49,56,57,50,52,101,45,50,50,32,52,46,55,51,49,50,50,101,45,50,50,32,
      53,46,51,51,51,48,57,101,45,50,50,32,54,46,48,57,49,48,52,101,45,50,50,32,55,
      46,49,56,50,55,57,101,45,50,50,32,56,46,52,51,56,56,101,45,50,50,32,57,46,56,
      55,56,49,50,101,45,50,50,10,32,32,49,46,49,53,50,49,57,101,45,50,49,32,49,46,
      51,51,57,49,57,101,45,50,49,32,49,46,53,53,49,49,51,101,45,50,49,32,49,46,55,
      57,48,52,56,101,45,50,49,32,50,46,48,53,57,56,56,101,45,50,49,32,50,46,51,54,
      50,48,51,101,45,50,49,32,50,46,54,57,57,54,51,101,45,50,49,10,32,32,51,46,48,
      55,53,54,54,101,45,50,49,32,51,46,52,57,51,48,55,101,45,50,49,32,51,46,57,53,
      52,55,51,101,45,50,49,32,52,46,52,54,51,53,57,101,45,50,49,32,53,46,48,50,50,
      56,101,45,50,49,32,53,46,54,51,53,50,53,101,45,50,49,32,54,46,51,48,51,57,49,
      101,45,50,49,10,32,32,55,46,48,51,49,53,52,101,45,50,49,32,55,46,56,50,48,54,
      50,101,45,50,49,32,56,46,54,55,51,55,51,101,45,50,49,32,57,46,53,57,50,56,51,
      101,45,50,49,32,49,46,48,53,56,48,49,101,45,50,48,32,49,46,49,54,51,54,57,101,
      45,50,48,32,49,46,50,55,54,52,55,101,45,50,48,10,32,32,49,46,51,57,54,52,54,
      101,45,50,48,32,49,46,53,50,51,54,57,101,45,50,48,32,49,46,54,53,56,49,55,101,
      45,50,48,32,49,46,55,57,57,56,50,101,45,50,48,32,49,46,57,52,56,53,50,101,45,
      50,48,32,50,46,49,48,52,49,54,101,45,50,48,32,50,46,50,54,54,53,55,101,45,50,
      48,10,32,32,50,46,52,51,53,53,49,101,45,50,48,32,50,46,54,49,48,54,53,101,45,
      50,48,32,50,46,55,57,49,54,50,101,45,50,48,32,50,46,57,55,55,57,56,101,45,50,
      48,32,51,46,49,54,57,50,51,101,45,50,48,32,51,46,53,54,52,50,50,101,45,50,48,
      32,51,46,57,55,49,54,53,101,45,50,48,10,32,32,52,46,51,56,53,56,50,101,45,50,
      48,32,52,46,56,48,48,54,53,101,45,50,48,32,53,46,50,48,57,52,51,101,45,50,48,
      32,53,46,54,48,53,50,101,45,50,48,32,53,46,57,56,49,51,52,101,45,50,48,32,54,
      46,51,51,49,49,53,101,45,50,48,32,54,46,54,52,56,52,55,101,45,50,48,10,32,32,
      54,46,57,50,55,57,53,101,45,50,48,32,55,46,49,54,52,57,53,101,45,50,48,32,55,
      46,51,53,53,56,52,101,45,50,48,32,55,46,52,57,55,55,57,101,45,50,48,32,55,46,
      53,56,56,56,101,45,50,48,32,55,46,54,50,56,55,56,101,45,50,48,32,55,46,54,49,
      56,52,101,45,50,48,10,32,32,55,46,53,53,56,57,55,101,45,50,48,32,55,46,52,53,
      51,48,49,101,45,50,48,32,55,46,51,48,51,55,51,101,45,50,48,32,55,46,49,49,53,
      101,45,50,48,32,54,46,56,57,49,50,55,101,45,50,48,32,54,46,54,51,55,51,57,101,
      45,50,48,32,54,46,51,53,56,51,101,45,50,48,10,32,32,54,46,48,53,56,57,101,45,
      50,48,32,53,46,55,52,52,49,49,101,45,50,48,32,53,46,52,49,56,54,55,101,45,50,
      48,32,53,46,48,56,55,48,49,101,45,50,48,32,52,46,55,53,51,50,53,101,45,50,48,
      32,52,46,52,50,49,50,51,101,45,50,48,32,48,114,50,55,51,32,56,46,55,50,53,50,
      55,101,45,51,56,10,32,32,55,46,50,56,49,51,56,101,45,51,55,32,53,46,48,55,51,
      52,50,101,45,51,54,32,51,46,56,52,53,50,56,101,45,51,53,32,50,46,52,50,57,57,
      101,45,51,52,32,49,46,48,54,57,52,52,101,45,51,51,32,49,46,49,52,53,53,54,101,
      45,51,48,32,50,46,57,48,56,50,56,101,45,51,48,10,32,32,55,46,55,56,50,55,52,
      101,45,51,48,32,50,46,49,53,48,53,56,101,45,50,57,32,54,46,48,50,51,57,57,101,
      45,50,57,32,49,46,52,48,56,48,56,101,45,50,56,32,51,46,51,53,48,49,55,101,45,
      50,56,32,54,46,56,56,55,55,52,101,45,50,56,32,49,46,51,52,52,51,52,101,45,50,
      55,10,32,32,50,46,54,56,48,49,54,101,45,50,55,32,54,46,51,48,50,51,54,101,45,
      50,55,32,49,46,48,51,53,53,50,101,45,50,54,32,49,46,55,55,55,52,57,101,45,50,
      54,32,50,46,55,56,49,51,56,101,45,50,54,32,55,46,51,49,54,53,50,101,45,50,54,
      32,49,46,48,54,52,52,51,101,45,50,53,10,32,32,49,46,53,50,51,56,50,101,45,50,
      53,32,50,46,49,53,48,48,51,101,45,50,53,32,50,46,57,57,52,51,51,101,45,50,53,
      32,52,46,49,50,48,54,54,101,45,50,53,32,53,46,54,48,57,49,49,101,45,50,53,32,
      55,46,53,53,57,48,53,101,45,50,53,32,49,46,48,48,57,51,52,101,45,50,52,10,32,
      32,49,46,51,51,54,51,50,101,45,50,52,32,49,46,55,53,53,51,56,101,45,50,52,32,
      50,46,50,56,56,56,55,101,45,50,52,32,50,46,57,54,52,101,45,50,52,32,51,46,56,
      49,51,52,56,101,45,50,52,32,52,46,57,54,53,49,51,101,45,50,52,32,54,46,50,57,
      50,55,53,101,45,50,52,10,32,32,55,46,57,51,52,56,101,45,50,52,32,49,46,48,48,
      51,51,52,101,45,50,51,32,49,46,50,53,49,56,50,101,45,50,51,32,49,46,53,53,52,
      53,55,101,45,50,51,32,49,46,57,50,55,52,57,101,45,50,51,32,50,46,51,55,50,48,
      50,101,45,50,51,32,50,46,57,49,51,50,51,101,45,50,51,10,32,32,51,46,53,53,51,
      54,55,101,45,50,51,32,52,46,51,49,55,55,54,101,45,50,51,32,53,46,50,50,53,57,
      50,101,45,50,51,32,54,46,51,48,49,49,55,101,45,50,51,32,55,46,53,54,57,51,56,
      101,45,50,51,32,57,46,48,54,48,48,52,101,45,50,51,32,49,46,48,56,48,53,54,101,
      45,50,50,10,32,32,49,46,50,56,52,55,53,101,45,50,50,32,49,46,53,50,49,55,49,
      101,45,50,50,32,49,46,55,51,49,57,54,101,45,50,50,32,49,46,57,54,55,49,57,101,
      45,50,50,32,50,46,50,51,48,49,101,45,50,50,32,50,46,53,50,51,49,53,101,45,50,
      50,32,50,46,56,52,57,50,56,101,45,50,50,10,32,32,51,46,50,54,48,56,53,101,45,
      50,50,32,51,46,56,53,53,49,53,101,45,50,50,32,52,46,53,52,48,56,51,101,45,50,
      50,32,53,46,51,50,56,57,101,45,50,50,32,54,46,50,51,49,50,57,101,45,50,50,32,
      55,46,50,54,48,56,49,101,45,50,50,32,56,46,52,51,49,49,55,101,45,50,50,10,32,
      32,57,46,55,53,55,48,57,101,45,50,50,32,49,46,49,50,53,51,54,101,45,50,49,32,
      49,46,50,57,51,54,55,101,45,50,49,32,49,46,52,56,50,51,50,101,45,50,49,32,49,
      46,54,57,51,48,55,101,45,50,49,32,49,46,57,50,55,55,101,45,50,49,32,50,46,49,
      56,56,48,53,101,45,50,49,10,32,32,50,46,52,55,53,57,49,101,45,50,49,32,50,46,
      55,57,51,50,101,45,50,49,32,51,46,49,52,49,55,52,101,45,50,49,32,51,46,53,50,
      51,52,51,101,45,50,49,32,51,46,57,52,48,48,50,101,45,50,49,32,52,46,51,57,51,
      49,52,101,45,50,49,32,52,46,56,56,52,53,57,101,45,50,49,10,32,32,53,46,52,49,
      53,55,50,101,45,50,49,32,53,46,57,56,55,57,53,101,45,50,49,32,54,46,54,48,50,
      54,50,101,45,50,49,32,55,46,50,54,48,56,49,101,45,50,49,32,55,46,57,54,51,52,
      51,101,45,50,49,32,56,46,55,49,49,49,54,101,45,50,49,32,57,46,53,48,52,50,57,
      101,45,50,49,10,32,32,49,46,48,51,52,50,54,101,45,50,48,32,49,46,49,50,50,53,
      56,101,45,50,48,32,49,46,50,49,53,51,53,101,45,50,48,32,49,46,51,49,50,53,49,
      101,45,50,48,32,49,46,52,49,51,57,51,101,45,50,48,32,49,46,53,49,57,52,55,101,
      45,50,48,32,49,46,54,50,56,57,52,101,45,50,48,10,32,32,49,46,55,52,50,49,101,
      45,50,48,32,49,46,56,53,56,55,101,45,50,48,32,50,46,49,48,48,57,54,101,45,50,
      48,32,50,46,51,53,51,48,49,101,45,50,48,32,50,46,54,49,49,54,101,45,50,48,32,
      50,46,56,55,51,49,50,101,45,50,48,32,51,46,49,51,51,54,51,101,45,50,48,10,32,
      32,51,46,51,56,56,57,53,101,45,50,48,32,51,46,54,51,52,53,55,101,45,50,48,32,
      51,46,56,54,54,52,56,101,45,50,48,32,52,46,48,56,48,55,50,101,45,50,48,32,52,
      46,50,55,51,53,51,101,45,50,48,32,52,46,52,52,49,54,53,101,45,50,48,32,52,46,
      53,56,50,50,55,101,45,50,48,10,32,32,52,46,54,57,51,51,55,101,45,50,48,32,52,
      46,55,55,51,52,50,101,45,50,48,32,52,46,56,50,49,53,54,101,45,50,48,32,52,46,
      56,51,55,55,51,101,45,50,48,32,52,46,56,50,50,52,50,101,45,50,48,32,52,46,55,
      55,54,55,57,101,45,50,48,32,52,46,55,48,50,52,55,101,45,50,48,10,32,32,52,46,
      54,48,49,55,51,101,45,50,48,32,52,46,52,55,55,48,55,101,45,50,48,32,52,46,51,
      51,49,50,54,101,45,50,48,32,52,46,49,54,55,50,49,101,45,50,48,32,51,46,57,56,
      55,56,57,101,45,50,48,32,51,46,55,57,54,53,49,101,45,50,48,32,51,46,53,57,54,
      49,51,101,45,50,48,10,32,32,51,46,51,56,57,55,50,101,45,50,48,32,51,46,49,55,
      57,57,55,101,45,50,48,32,50,46,57,54,57,52,55,101,45,50,48,32,48,114,50,55,
      52,32,49,46,48,50,48,50,55,101,45,51,55,32,55,46,54,57,54,51,54,101,45,51,55,
      32,54,46,51,51,55,50,49,101,45,51,54,32,52,46,51,50,54,52,50,101,45,51,53,10,
      32,32,50,46,48,50,53,56,53,101,45,51,52,32,50,46,56,55,54,55,49,101,45,51,49,
      32,55,46,54,53,52,54,49,101,45,51,49,32,50,46,49,53,51,50,57,101,45,51,48,32,
      54,46,50,54,55,56,49,101,45,51,48,32,49,46,56,52,57,56,52,101,45,50,57,32,52,
      46,53,49,50,51,55,101,45,50,57,10,32,32,49,46,49,50,49,57,54,101,45,50,56,32,
      50,46,51,57,49,50,101,45,50,56,32,52,46,56,50,51,54,51,101,45,50,56,32,57,46,
      57,52,53,50,50,101,45,50,56,32,50,46,52,50,48,55,57,101,45,50,55,32,52,46,48,
      55,51,48,54,101,45,50,55,32,55,46,49,55,49,49,49,101,45,50,55,10,32,32,49,46,
      49,52,53,51,56,101,45,50,54,32,51,46,50,57,49,52,50,101,45,50,54,32,52,46,56,
      53,48,55,55,101,45,50,54,32,55,46,48,50,56,48,51,101,45,50,54,32,49,46,48,48,
      50,54,49,101,45,50,53,32,49,46,52,49,48,51,55,101,45,50,53,32,49,46,57,53,56,
      54,57,101,45,50,53,10,32,32,50,46,54,56,56,51,57,101,45,50,53,32,51,46,54,53,
      48,52,53,101,45,50,53,32,52,46,57,48,55,57,101,45,50,53,32,54,46,53,51,56,54,
      55,101,45,50,53,32,56,46,54,51,56,50,50,101,45,50,53,32,49,46,49,51,50,51,49,
      101,45,50,52,32,49,46,52,55,51,52,54,101,45,50,52,10,32,32,49,46,57,48,52,51,
      50,101,45,50,52,32,50,46,53,48,52,52,54,101,45,50,52,32,51,46,49,56,51,57,52,
      101,45,50,52,32,52,46,48,50,54,55,50,101,45,50,52,32,53,46,49,49,52,53,51,101,
      45,50,52,32,54,46,51,57,56,55,57,101,45,50,52,32,55,46,57,54,55,57,56,101,45,
      50,52,10,32,32,57,46,57,48,57,55,57,101,45,50,52,32,49,46,50,50,50,56,52,101,
      45,50,51,32,49,46,53,48,55,48,57,101,45,50,51,32,49,46,56,52,51,49,101,45,50,
      51,32,50,46,50,52,53,48,51,101,45,50,51,32,50,46,55,50,51,57,49,101,45,50,51,
      32,51,46,50,57,50,51,54,101,45,50,51,10,32,32,51,46,57,54,52,54,52,101,45,50,
      51,32,52,46,55,53,54,56,57,101,45,50,51,32,53,46,54,56,55,48,55,101,45,50,51,
      32,54,46,55,55,56,50,49,101,45,50,51,32,56,46,48,52,55,52,57,101,45,50,51,32,
      57,46,49,55,54,52,49,101,45,50,51,32,49,46,48,52,52,49,56,101,45,50,50,10,32,
      32,49,46,49,56,53,57,101,45,50,50,32,49,46,51,52,52,49,56,101,45,50,50,32,49,
      46,53,50,48,54,56,101,45,50,50,32,49,46,55,52,51,56,53,101,45,50,50,32,50,46,
      48,54,54,57,101,45,50,50,32,50,46,52,52,48,55,101,45,50,50,32,50,46,56,55,49,
      53,57,101,45,50,50,10,32,32,51,46,51,54,54,52,50,101,45,50,50,32,51,46,57,51,
      50,54,53,101,45,50,50,32,52,46,53,55,56,50,51,101,45,50,50,32,53,46,51,49,49,
      55,55,101,45,50,50,32,54,46,49,52,49,55,54,101,45,50,50,32,55,46,48,55,55,57,
      53,101,45,50,50,32,56,46,49,51,48,51,50,101,45,50,50,10,32,32,57,46,51,48,57,
      50,55,101,45,50,50,32,49,46,48,54,50,53,55,101,45,50,49,32,49,46,50,48,57,48,
      53,101,45,50,49,32,49,46,51,55,49,53,50,101,45,50,49,32,49,46,53,53,49,49,49,
      101,45,50,49,32,49,46,55,52,56,57,56,101,45,50,49,32,49,46,57,54,54,51,50,101,
      45,50,49,10,32,32,50,46,50,48,52,50,53,101,45,50,49,32,50,46,52,54,51,56,54,
      101,45,50,49,32,50,46,55,52,54,51,52,101,45,50,49,32,51,46,48,53,50,53,56,101,
      45,50,49,32,51,46,51,56,51,53,50,101,45,50,49,32,51,46,55,52,48,49,53,101,45,
      50,49,32,52,46,49,50,51,50,53,101,45,50,49,10,32,32,52,46,53,51,51,53,101,45,
      50,49,32,52,46,57,55,49,52,51,101,45,50,49,32,53,46,52,51,55,50,51,101,45,50,
      49,32,53,46,57,51,49,51,52,101,45,50,49,32,54,46,52,53,51,56,101,45,50,49,32,
      55,46,48,48,52,54,52,101,45,50,49,32,55,46,53,56,51,53,55,101,45,50,49,10,32,
      32,56,46,49,57,48,49,101,45,50,49,32,56,46,56,50,51,54,49,101,45,50,49,32,57,
      46,52,56,51,48,54,101,45,50,49,32,49,46,48,49,54,55,50,101,45,50,48,32,49,46,
      48,56,55,52,56,101,45,50,48,32,49,46,50,51,53,51,56,101,45,50,48,32,49,46,51,
      57,48,54,101,45,50,48,10,32,32,49,46,53,53,49,49,56,101,45,50,48,32,49,46,55,
      49,53,101,45,50,48,32,49,46,56,55,57,55,57,101,45,50,48,32,50,46,48,52,51,48,
      54,101,45,50,48,32,50,46,50,48,50,49,53,101,45,50,48,32,50,46,51,53,52,51,51,
      101,45,50,48,32,50,46,52,57,55,49,51,101,45,50,48,10,32,32,50,46,54,50,56,48,
      53,101,45,50,48,32,50,46,55,52,52,55,55,101,45,50,48,32,50,46,56,52,53,53,50,
      101,45,50,48,32,50,46,57,50,56,54,51,101,45,50,48,32,50,46,57,57,50,56,54,101,
      45,50,48,32,51,46,48,51,55,52,50,101,45,50,48,32,51,46,48,54,49,57,53,101,45,
      50,48,10,32,32,51,46,48,54,54,53,54,101,45,50,48,32,51,46,48,53,49,54,49,101,
      45,50,48,32,51,46,48,49,55,57,49,101,45,50,48,32,50,46,57,54,54,53,54,101,45,
      50,48,32,50,46,56,57,57,101,45,50,48,32,50,46,56,49,54,56,54,101,45,50,48,32,
      50,46,55,50,49,56,101,45,50,48,10,32,32,50,46,54,49,53,54,56,101,45,50,48,32,
      50,46,53,48,48,53,54,101,45,50,48,32,50,46,51,55,56,51,53,101,45,50,48,32,50,
      46,50,53,48,57,52,101,45,50,48,32,50,46,49,50,48,49,53,101,45,50,48,32,49,46,
      57,56,55,54,56,101,45,50,48,32,48,114,50,55,53,32,49,46,49,49,54,54,50,101,
      45,51,55,10,32,32,49,46,48,48,49,49,52,101,45,51,54,32,55,46,51,56,49,53,55,
      101,45,51,54,32,51,46,54,56,53,53,51,101,45,51,53,32,54,46,57,56,49,54,54,101,
      45,51,50,32,49,46,57,52,57,53,56,101,45,51,49,32,53,46,55,55,50,56,55,101,45,
      51,49,32,49,46,55,55,49,54,52,101,45,51,48,10,32,32,53,46,53,49,53,56,52,101,
      45,51,48,32,49,46,52,48,54,52,101,45,50,57,32,51,46,54,53,55,55,53,101,45,50,
      57,32,56,46,48,56,57,49,55,101,45,50,57,32,49,46,54,56,56,57,57,101,45,50,56,
      32,51,46,54,48,54,56,52,101,45,50,56,32,57,46,48,57,51,53,52,101,45,50,56,10,
      32,32,49,46,53,54,56,50,55,101,45,50,55,32,50,46,56,51,52,55,55,101,45,50,55,
      32,52,46,54,50,53,52,57,101,45,50,55,32,49,46,52,54,50,50,52,101,45,50,54,32,
      50,46,49,56,52,54,54,101,45,50,54,32,51,46,50,48,53,57,101,45,50,54,32,52,46,
      54,50,55,53,101,45,50,54,10,32,32,54,46,53,55,57,57,101,45,50,54,32,57,46,50,
      50,55,56,101,45,50,54,32,49,46,50,55,55,57,101,45,50,53,32,49,46,55,52,57,52,
      49,101,45,50,53,32,50,46,51,54,57,53,56,101,45,50,53,32,51,46,49,55,56,52,57,
      101,45,50,53,32,52,46,50,50,53,52,56,101,45,50,53,10,32,32,53,46,53,55,48,54,
      57,101,45,50,53,32,55,46,50,56,55,53,53,101,45,50,53,32,57,46,52,54,53,48,54,
      101,45,50,53,32,49,46,50,53,57,54,51,101,45,50,52,32,49,46,54,48,54,53,52,101,
      45,50,52,32,50,46,48,51,56,49,101,45,50,52,32,50,46,54,48,49,49,49,101,45,50,
      52,10,32,32,51,46,50,54,51,53,49,101,45,50,52,32,52,46,48,55,53,51,49,101,45,
      50,52,32,53,46,48,56,52,50,50,101,45,50,52,32,54,46,50,57,48,57,51,101,45,50,
      52,32,55,46,55,56,50,50,49,101,45,50,52,32,57,46,53,52,49,52,53,101,45,50,52,
      32,49,46,49,54,53,49,51,101,45,50,51,10,32,32,49,46,52,49,55,49,56,101,45,50,
      51,32,49,46,55,49,55,49,51,101,45,50,51,32,50,46,48,55,50,55,52,101,45,50,51,
      32,50,46,52,57,50,55,55,101,45,50,51,32,50,46,57,56,55,49,57,101,45,50,51,32,
      51,46,53,54,56,56,101,45,50,51,32,52,46,50,52,55,48,49,101,45,50,51,10,32,32,
      52,46,56,53,49,55,53,101,45,50,51,32,53,46,53,51,48,54,51,101,45,50,51,32,54,
      46,50,57,50,51,57,101,45,50,51,32,55,46,49,52,52,56,51,101,45,50,51,32,56,46,
      48,57,55,50,56,101,45,50,51,32,57,46,51,48,52,50,53,101,45,50,51,32,49,46,49,
      48,53,53,56,101,45,50,50,10,32,32,49,46,51,48,56,56,50,101,45,50,50,32,49,46,
      53,52,51,55,53,101,45,50,50,32,49,46,56,49,52,51,50,101,45,50,50,32,50,46,49,
      50,52,55,54,101,45,50,50,32,50,46,52,55,57,54,54,101,45,50,50,32,50,46,56,56,
      52,48,49,101,45,50,50,32,51,46,51,52,51,48,49,101,45,50,50,10,32,32,51,46,56,
      54,50,51,49,101,45,50,50,32,52,46,52,52,55,54,57,101,45,50,50,32,53,46,49,48,
      53,52,54,101,45,50,50,32,53,46,56,52,50,48,49,101,45,50,50,32,54,46,54,54,52,
      48,49,101,45,50,50,32,55,46,53,55,56,51,101,45,50,50,32,56,46,53,57,49,57,54,
      101,45,50,50,10,32,32,57,46,55,49,50,49,54,101,45,50,50,32,49,46,48,57,52,54,
      49,101,45,50,49,32,49,46,50,51,48,48,57,101,45,50,49,32,49,46,51,55,56,51,55,
      101,45,50,49,32,49,46,53,52,48,50,51,101,45,50,49,32,49,46,55,49,54,50,50,101,
      45,50,49,32,49,46,57,48,55,48,53,101,45,50,49,10,32,32,50,46,49,49,51,51,52,
      101,45,50,49,32,50,46,51,51,53,54,52,101,45,50,49,32,50,46,53,55,52,52,56,101,
      45,50,49,32,50,46,56,51,48,50,55,101,45,50,49,32,51,46,49,48,51,50,57,101,45,
      50,49,32,51,46,51,57,51,56,51,101,45,50,49,32,51,46,55,48,49,57,49,101,45,50,
      49,10,32,32,52,46,48,50,55,55,52,101,45,50,49,32,52,46,51,55,49,51,101,45,50,
      49,32,52,46,55,51,50,52,57,101,45,50,49,32,53,46,49,49,49,48,49,101,45,50,49,
      32,53,46,53,48,54,53,51,101,45,50,49,32,53,46,57,49,56,52,54,101,45,50,49,32,
      54,46,51,52,54,48,57,101,45,50,49,10,32,32,55,46,50,52,53,49,57,101,45,50,49,
      32,56,46,49,57,54,48,57,101,45,50,49,32,57,46,49,56,56,50,57,101,45,50,49,32,
      49,46,48,50,48,57,51,101,45,50,48,32,49,46,49,50,52,54,101,45,50,48,32,49,46,
      50,50,56,51,52,101,45,50,48,32,49,46,51,51,48,53,52,101,45,50,48,10,32,32,49,
      46,52,50,57,53,53,101,45,50,48,32,49,46,53,50,51,54,57,101,45,50,48,32,49,46,
      54,49,49,51,57,101,45,50,48,32,49,46,54,57,49,49,50,101,45,50,48,32,49,46,55,
      54,49,54,53,101,45,50,48,32,49,46,56,50,49,56,49,101,45,50,48,32,49,46,56,55,
      48,54,49,101,45,50,48,10,32,32,49,46,57,48,55,52,50,101,45,50,48,32,49,46,57,
      51,49,56,55,101,45,50,48,32,49,46,57,52,51,56,101,45,50,48,32,49,46,57,52,51,
      50,55,101,45,50,48,32,49,46,57,51,48,53,56,101,45,50,48,32,49,46,57,48,54,50,
      52,101,45,50,48,32,49,46,56,55,49,48,53,101,45,50,48,10,32,32,49,46,56,50,53,
      57,52,101,45,50,48,32,49,46,55,55,49,57,55,101,45,50,48,32,49,46,55,49,48,50,
      49,101,45,50,48,32,49,46,54,52,49,56,101,45,50,48,32,49,46,53,54,56,48,51,101,
      45,50,48,32,49,46,52,57,48,48,57,101,45,50,48,32,49,46,52,48,57,49,54,101,45,
      50,48,10,32,32,49,46,51,50,54,51,50,101,45,50,48,32,48,114,50,55,54,32,49,46,
      53,50,54,53,57,101,45,51,55,32,49,46,50,49,56,57,50,101,45,51,54,32,54,46,52,
      56,57,56,52,101,45,51,54,32,49,46,54,52,48,50,51,101,45,51,50,32,52,46,56,49,
      49,51,53,101,45,51,50,32,49,46,53,48,49,50,55,101,45,51,49,10,32,32,52,46,56,
      54,50,56,55,101,45,51,49,32,49,46,53,57,57,55,49,101,45,51,48,32,52,46,50,54,
      57,50,49,101,45,51,48,32,49,46,49,54,50,56,57,101,45,50,57,32,50,46,54,55,49,
      54,49,101,45,50,57,32,53,46,55,55,56,56,55,101,45,50,57,32,49,46,50,55,57,52,
      53,101,45,50,56,10,32,32,51,46,51,52,52,54,53,101,45,50,56,32,53,46,57,49,54,
      55,101,45,50,56,32,49,46,48,57,57,51,53,101,45,50,55,32,49,46,56,51,52,53,101,
      45,50,55,32,54,46,52,50,49,51,56,101,45,50,55,32,57,46,55,51,52,53,53,101,45,
      50,55,32,49,46,52,52,55,53,52,101,45,50,54,10,32,32,50,46,49,49,53,48,50,101,
      45,50,54,32,51,46,48,52,49,54,51,101,45,50,54,32,52,46,51,49,48,52,54,101,45,
      50,54,32,54,46,48,50,55,51,52,101,45,50,54,32,56,46,51,50,52,55,51,101,45,50,
      54,32,49,46,49,51,54,55,54,101,45,50,53,32,49,46,53,51,54,49,57,101,45,50,53,
      10,32,32,50,46,48,53,54,49,56,101,45,50,53,32,50,46,55,50,55,55,50,101,45,50,
      53,32,51,46,53,56,56,56,49,101,45,50,53,32,52,46,54,56,53,55,55,101,45,50,53,
      32,54,46,51,50,51,51,51,101,45,50,53,32,56,46,48,57,49,54,55,101,45,50,53,32,
      49,46,48,50,57,57,101,45,50,52,10,32,32,49,46,51,50,49,49,57,101,45,50,52,32,
      49,46,54,54,50,54,53,101,45,50,52,32,50,46,48,56,50,51,51,101,45,50,52,32,50,
      46,54,48,53,57,55,101,45,50,52,32,51,46,50,51,51,50,55,101,45,50,52,32,52,46,
      48,49,53,54,51,101,45,50,52,32,52,46,57,51,53,53,101,45,50,52,10,32,32,54,46,
      48,52,49,53,53,101,45,50,52,32,55,46,51,54,54,51,56,101,45,50,52,32,56,46,57,
      52,55,48,57,101,45,50,52,32,49,46,48,56,50,53,56,101,45,50,51,32,49,46,51,48,
      53,48,57,101,45,50,51,32,49,46,53,54,55,54,53,101,45,50,51,32,49,46,56,55,55,
      51,54,101,45,50,51,10,32,32,50,46,50,51,57,51,56,101,45,50,51,32,50,46,53,54,
      50,57,57,101,45,50,51,32,50,46,57,50,54,56,52,101,45,50,51,32,51,46,51,51,53,
      56,54,101,45,50,51,32,51,46,55,57,52,52,53,101,45,50,51,32,52,46,51,48,55,55,
      57,101,45,50,51,32,52,46,57,53,57,54,54,101,45,50,51,10,32,32,53,46,57,48,56,
      49,52,101,45,50,51,32,55,46,48,49,49,53,57,101,45,50,51,32,56,46,50,57,48,55,
      51,101,45,50,51,32,57,46,55,54,56,48,49,101,45,50,51,32,49,46,49,52,54,55,56,
      101,45,50,50,32,49,46,51,52,49,54,51,101,45,50,50,32,49,46,53,54,52,50,53,101,
      45,50,50,10,32,32,49,46,56,49,55,55,101,45,50,50,32,50,46,49,48,53,50,51,101,
      45,50,50,32,50,46,52,51,48,50,50,101,45,50,50,32,50,46,55,57,54,52,52,101,45,
      50,50,32,51,46,50,48,55,54,56,101,45,50,50,32,51,46,54,54,55,57,49,101,45,50,
      50,32,52,46,49,56,49,51,56,101,45,50,50,10,32,32,52,46,55,53,50,50,55,101,45,
      50,50,32,53,46,51,56,53,48,49,101,45,50,50,32,54,46,48,56,52,48,49,101,45,50,
      50,32,54,46,56,53,51,55,52,101,45,50,50,32,55,46,54,57,56,54,53,101,45,50,50,
      32,56,46,54,50,51,53,50,101,45,50,50,32,57,46,54,51,50,49,57,101,45,50,50,10,
      32,32,49,46,48,55,50,57,50,101,45,50,49,32,49,46,49,57,49,56,54,101,45,50,49,
      32,49,46,51,50,48,52,49,101,45,50,49,32,49,46,52,53,56,57,51,101,45,50,49,32,
      49,46,54,48,55,55,52,101,45,50,49,32,49,46,55,54,55,49,49,101,45,50,49,32,49,
      46,57,51,55,50,55,101,45,50,49,10,32,32,50,46,49,49,56,51,56,101,45,50,49,32,
      50,46,51,49,48,53,51,101,45,50,49,32,50,46,53,49,51,56,51,101,45,50,49,32,50,
      46,55,50,56,50,55,101,45,50,49,32,50,46,57,53,51,55,50,101,45,50,49,32,51,46,
      49,57,48,48,53,101,45,50,49,32,51,46,52,51,55,48,55,101,45,50,49,10,32,32,51,
      46,54,57,52,52,55,101,45,50,49,32,52,46,50,51,56,53,101,45,50,49,32,52,46,56,
      49,56,49,49,101,45,50,49,32,53,46,52,50,55,55,50,101,45,50,49,32,54,46,48,54,
      48,55,101,45,50,49,32,54,46,55,48,57,49,49,101,45,50,49,32,55,46,51,54,51,56,
      52,101,45,50,49,10,32,32,56,46,48,49,53,50,54,101,45,50,49,32,56,46,54,53,51,
      53,51,101,45,50,49,32,57,46,50,54,56,51,56,101,45,50,49,32,57,46,56,52,57,52,
      54,101,45,50,49,32,49,46,48,51,56,55,50,101,45,50,48,32,49,46,48,56,55,50,51,
      101,45,50,48,32,49,46,49,50,57,54,56,101,45,50,48,10,32,32,49,46,49,54,53,52,
      55,101,45,50,48,32,49,46,49,57,52,48,49,101,45,50,48,32,49,46,50,49,52,57,56,
      101,45,50,48,32,49,46,50,50,56,49,101,45,50,48,32,49,46,50,51,51,51,54,101,
      45,50,48,32,49,46,50,51,48,56,52,101,45,50,48,32,49,46,50,50,48,55,57,101,45,
      50,48,10,32,32,49,46,50,48,51,53,56,101,45,50,48,32,49,46,49,55,57,55,101,45,
      50,48,32,49,46,49,52,57,55,53,101,45,50,48,32,49,46,49,49,52,51,57,101,45,50,
      48,32,49,46,48,55,52,51,50,101,45,50,48,32,49,46,48,51,48,51,50,101,45,50,48,
      32,57,46,56,51,49,51,55,101,45,50,49,10,32,32,57,46,51,51,52,55,53,101,45,50,
      49,32,56,46,56,50,48,55,51,101,45,50,49,32,48,114,50,55,54,32,50,46,50,52,55,
      48,57,101,45,51,56,32,49,46,57,52,52,52,57,101,45,51,55,32,49,46,49,48,52,48,
      52,101,45,51,54,32,51,46,55,50,49,53,57,101,45,51,51,32,49,46,49,52,55,57,101,
      45,51,50,10,32,32,51,46,55,55,55,52,50,101,45,51,50,32,49,46,50,57,51,54,53,
      101,45,51,49,32,52,46,53,48,53,53,101,45,51,49,32,49,46,50,53,57,52,53,101,
      45,51,48,32,51,46,53,57,55,54,101,45,51,48,32,56,46,53,57,54,49,55,101,45,51,
      48,32,49,46,57,50,56,50,101,45,50,57,10,32,32,52,46,52,51,48,57,57,101,45,50,
      57,32,49,46,50,48,50,52,56,101,45,50,56,32,50,46,49,56,52,50,53,101,45,50,56,
      32,52,46,49,55,53,55,49,101,45,50,56,32,55,46,49,51,49,56,56,101,45,50,56,32,
      50,46,55,55,53,53,57,101,45,50,55,32,52,46,50,55,50,50,56,101,45,50,55,10,32,
      32,54,46,52,52,51,56,53,101,45,50,55,32,57,46,53,52,49,48,52,101,45,50,55,32,
      49,46,51,56,56,57,57,101,45,50,54,32,49,46,57,57,48,56,57,101,45,50,54,32,50,
      46,56,49,51,48,57,101,45,50,54,32,51,46,57,50,50,55,50,101,45,50,54,32,53,46,
      52,48,52,50,57,101,45,50,54,10,32,32,55,46,51,54,50,55,51,101,45,50,54,32,57,
      46,57,50,56,53,55,101,45,50,54,32,49,46,51,50,54,50,49,101,45,50,53,32,49,46,
      55,53,53,57,52,101,45,50,53,32,50,46,51,48,54,48,57,101,45,50,53,32,51,46,49,
      54,51,56,49,101,45,50,53,32,52,46,48,54,50,54,50,101,45,50,53,10,32,32,53,46,
      49,56,55,56,49,101,45,50,53,32,54,46,54,56,57,57,57,101,45,50,53,32,56,46,52,
      52,51,56,57,101,45,50,53,32,49,46,48,54,48,53,55,101,45,50,52,32,49,46,51,51,
      49,52,54,101,45,50,52,32,49,46,54,53,54,54,53,101,45,50,52,32,50,46,48,54,54,
      53,55,101,45,50,52,10,32,32,50,46,53,52,54,51,52,101,45,50,52,32,51,46,49,50,
      52,55,54,101,45,50,52,32,51,46,56,49,57,51,54,101,45,50,52,32,52,46,54,53,48,
      51,52,101,45,50,52,32,53,46,54,52,48,54,52,101,45,50,52,32,54,46,56,49,54,52,
      101,45,50,52,32,56,46,50,48,55,51,57,101,45,50,52,10,32,32,57,46,56,53,50,52,
      101,45,50,52,32,49,46,49,55,56,48,49,101,45,50,51,32,49,46,51,53,48,56,49,101,
      45,50,51,32,49,46,53,52,53,51,52,101,45,50,51,32,49,46,55,54,52,52,57,101,45,
      50,51,32,50,46,48,49,48,54,56,101,45,50,51,32,50,46,50,56,54,56,101,45,50,51,
      10,32,32,50,46,54,51,56,49,53,101,45,50,51,32,51,46,49,53,48,54,49,101,45,50,
      51,32,51,46,55,52,56,53,49,101,45,50,51,32,52,46,52,52,51,52,56,101,45,50,51,
      32,53,46,50,52,56,51,49,101,45,50,51,32,54,46,49,55,54,57,49,101,45,50,51,32,
      55,46,50,52,52,52,57,101,45,50,51,10,32,32,56,46,52,54,55,52,54,101,45,50,51,
      32,57,46,56,54,51,52,56,101,45,50,51,32,49,46,49,52,53,49,55,101,45,50,50,32,
      49,46,51,50,53,50,49,101,45,50,50,32,49,46,53,50,56,54,54,101,45,50,50,32,49,
      46,55,53,55,55,56,101,45,50,50,32,50,46,48,49,52,57,50,101,45,50,50,10,32,32,
      50,46,51,48,50,53,57,101,45,50,50,32,50,46,54,50,51,50,57,101,45,50,50,32,50,
      46,57,55,57,55,54,101,45,50,50,32,51,46,51,55,52,55,51,101,45,50,50,32,51,46,
      56,49,48,57,54,101,45,50,50,32,52,46,50,57,49,50,50,101,45,50,50,32,52,46,56,
      49,56,52,49,101,45,50,50,10,32,32,53,46,51,57,53,48,50,101,45,50,50,32,54,46,
      48,50,51,57,50,101,45,50,50,32,54,46,55,48,55,56,101,45,50,50,32,55,46,52,52,
      57,50,57,101,45,50,50,32,56,46,50,53,48,54,51,101,45,50,50,32,57,46,49,49,52,
      48,53,101,45,50,50,32,49,46,48,48,52,49,49,101,45,50,49,10,32,32,49,46,49,48,
      51,52,101,45,50,49,32,49,46,50,48,57,52,101,45,50,49,32,49,46,51,50,50,50,54,
      101,45,50,49,32,49,46,52,52,50,48,55,101,45,50,49,32,49,46,53,54,56,56,57,101,
      45,50,49,32,49,46,55,48,50,54,54,101,45,50,49,32,49,46,56,52,51,51,55,101,45,
      50,49,10,32,32,49,46,57,57,48,57,53,101,45,50,49,32,50,46,49,52,53,50,52,101,
      45,50,49,32,50,46,52,55,51,49,53,101,45,50,49,32,50,46,56,50,53,48,52,101,45,
      50,49,32,51,46,49,57,55,57,50,101,45,50,49,32,51,46,53,56,56,49,49,101,45,50,
      49,32,51,46,57,57,49,50,50,101,45,50,49,10,32,32,52,46,52,48,50,48,51,101,45,
      50,49,32,52,46,56,49,52,55,54,101,45,50,49,32,53,46,50,50,51,49,57,101,45,50,
      49,32,53,46,54,50,49,49,56,101,45,50,49,32,54,46,48,48,50,51,52,101,45,50,49,
      32,54,46,51,54,48,50,52,101,45,50,49,32,54,46,54,56,57,48,50,101,45,50,49,10,
      32,32,54,46,57,56,51,52,101,45,50,49,32,55,46,50,51,56,55,56,101,45,50,49,32,
      55,46,52,53,48,56,56,101,45,50,49,32,55,46,54,49,54,55,54,101,45,50,49,32,55,
      46,55,51,52,53,49,101,45,50,49,32,55,46,56,48,50,57,54,101,45,50,49,32,55,46,
      56,50,50,49,56,101,45,50,49,10,32,32,55,46,55,57,50,56,101,45,50,49,32,55,46,
      55,49,54,55,51,101,45,50,49,32,55,46,53,57,54,55,51,101,45,50,49,32,55,46,52,
      51,53,57,55,101,45,50,49,32,55,46,50,51,56,101,45,50,49,32,55,46,48,48,55,49,
      49,101,45,50,49,32,54,46,55,52,55,57,49,101,45,50,49,10,32,32,54,46,52,54,53,
      48,50,101,45,50,49,32,54,46,49,54,51,48,51,101,45,50,49,32,53,46,56,52,54,55,
      49,101,45,50,49,32,48,114,50,55,55,32,50,46,57,56,56,57,51,101,45,51,56,32,
      49,46,56,49,51,53,55,101,45,51,55,32,56,46,49,55,55,52,101,45,51,52,32,50,46,
      54,53,53,53,101,45,51,51,10,32,32,57,46,50,51,49,54,49,101,45,51,51,32,51,46,
      51,52,53,53,52,101,45,51,50,32,49,46,50,51,51,55,49,101,45,51,49,32,51,46,54,
      49,55,57,49,101,45,51,49,32,49,46,48,56,52,57,53,101,45,51,48,32,50,46,54,57,
      56,56,56,101,45,51,48,32,54,46,50,56,54,50,50,101,45,51,48,10,32,32,49,46,53,
      48,49,51,50,101,45,50,57,32,52,46,50,51,49,53,51,101,45,50,57,32,55,46,56,57,
      55,54,55,101,45,50,57,32,49,46,53,53,52,52,52,101,45,50,56,32,50,46,55,49,56,
      56,55,101,45,50,56,32,49,46,49,56,50,55,56,101,45,50,55,32,49,46,56,53,48,48,
      54,101,45,50,55,10,32,32,50,46,56,51,50,57,57,101,45,50,55,32,52,46,50,53,52,
      101,45,50,55,32,54,46,50,55,51,54,50,101,45,50,55,32,57,46,49,48,48,49,54,101,
      45,50,55,32,49,46,51,48,48,49,55,101,45,50,54,32,49,46,56,51,49,56,101,45,50,
      54,32,50,46,53,52,55,54,56,101,45,50,54,10,32,32,51,46,53,48,49,52,101,45,50,
      54,32,52,46,55,53,57,53,57,101,45,50,54,32,54,46,52,48,52,55,49,101,45,50,54,
      32,56,46,53,51,56,50,50,101,45,50,54,32,49,46,49,50,56,52,101,45,50,53,32,49,
      46,53,55,55,57,54,101,45,50,53,32,50,46,48,51,51,53,54,101,45,50,53,10,32,32,
      50,46,54,48,53,56,55,101,45,50,53,32,51,46,51,55,57,49,56,101,45,50,53,32,52,
      46,50,55,56,52,54,101,45,50,53,32,53,46,51,57,48,49,56,101,45,50,53,32,54,46,
      55,56,57,49,101,45,50,53,32,56,46,52,55,50,49,55,101,45,50,53,32,49,46,48,54,
      50,48,55,101,45,50,52,10,32,32,49,46,51,49,50,48,49,101,45,50,52,32,49,46,54,
      49,52,49,50,101,45,50,52,32,49,46,57,55,55,55,56,101,45,50,52,32,50,46,52,49,
      51,56,57,101,45,50,52,32,50,46,57,51,52,57,49,101,45,50,52,32,51,46,53,53,53,
      49,53,101,45,50,52,32,52,46,50,57,48,55,101,45,50,52,10,32,32,53,46,49,54,50,
      55,50,101,45,50,52,32,54,46,49,56,55,48,50,101,45,50,52,32,55,46,49,48,56,48,
      54,101,45,50,52,32,56,46,49,52,54,49,52,101,45,50,52,32,57,46,51,49,55,54,49,
      101,45,50,52,32,49,46,48,54,51,54,51,101,45,50,51,32,49,46,50,49,49,56,101,
      45,50,51,10,32,32,49,46,52,48,48,55,52,101,45,50,51,32,49,46,54,55,55,48,50,
      101,45,50,51,32,50,46,48,48,48,50,57,101,45,50,51,32,50,46,51,55,54,57,57,101,
      45,50,51,32,50,46,56,49,52,52,54,101,45,50,51,32,51,46,51,50,48,53,54,101,45,
      50,51,32,51,46,57,48,51,57,54,101,45,50,51,10,32,32,52,46,53,55,52,49,54,101,
      45,50,51,32,53,46,51,52,49,52,101,45,50,51,32,54,46,50,49,54,55,101,45,50,51,
      32,55,46,50,49,49,55,52,101,45,50,51,32,56,46,51,51,57,49,57,101,45,50,51,32,
      57,46,54,49,50,51,101,45,50,51,32,49,46,49,48,52,53,101,45,50,50,10,32,32,49,
      46,50,54,53,50,50,101,45,50,50,32,49,46,52,52,52,57,49,101,45,50,50,32,49,46,
      54,52,53,50,49,101,45,50,50,32,49,46,56,54,55,55,55,101,45,50,50,32,50,46,49,
      49,52,50,55,101,45,50,50,32,50,46,51,56,54,52,49,101,45,50,50,32,50,46,54,56,
      54,48,53,101,45,50,50,10,32,32,51,46,48,49,52,55,53,101,45,50,50,32,51,46,51,
      55,52,51,54,101,45,50,50,32,51,46,55,54,54,53,55,101,45,50,50,32,52,46,49,57,
      51,48,50,101,45,50,50,32,52,46,54,53,53,50,56,101,45,50,50,32,53,46,49,53,52,
      56,52,101,45,50,50,32,53,46,54,57,51,48,57,101,45,50,50,10,32,32,54,46,50,55,
      49,50,101,45,50,50,32,54,46,56,57,48,50,50,101,45,50,50,32,55,46,53,53,49,50,
      52,101,45,50,50,32,56,46,50,53,53,49,56,101,45,50,50,32,57,46,48,48,50,52,53,
      101,45,50,50,32,57,46,55,57,51,52,53,101,45,50,50,32,49,46,48,54,50,56,51,101,
      45,50,49,10,32,32,49,46,49,53,48,54,56,101,45,50,49,32,49,46,50,52,50,56,50,
      101,45,50,49,32,49,46,52,51,57,54,57,101,45,50,49,32,49,46,54,53,50,52,55,101,
      45,50,49,32,49,46,56,55,57,54,50,101,45,50,49,32,50,46,49,49,57,49,49,101,45,
      50,49,32,50,46,51,54,56,52,54,101,45,50,49,10,32,32,50,46,54,50,52,55,52,101,
      45,50,49,32,50,46,56,56,52,54,55,101,45,50,49,32,51,46,49,52,52,52,50,101,45,
      50,49,32,51,46,52,48,48,49,57,101,45,50,49,32,51,46,54,52,56,101,45,50,49,32,
      51,46,56,56,51,56,50,101,45,50,49,32,52,46,49,48,51,57,57,101,45,50,49,10,32,
      32,52,46,51,48,52,56,56,101,45,50,49,32,52,46,52,56,51,48,50,101,45,50,49,32,
      52,46,54,51,53,55,53,101,45,50,49,32,52,46,55,54,48,56,101,45,50,49,32,52,46,
      56,53,54,52,50,101,45,50,49,32,52,46,57,50,49,54,101,45,50,49,32,52,46,57,53,
      53,55,55,101,45,50,49,10,32,32,52,46,57,53,57,49,52,101,45,50,49,32,52,46,57,
      51,50,52,51,101,45,50,49,32,52,46,56,55,54,57,51,101,45,50,49,32,52,46,55,57,
      52,51,49,101,45,50,49,32,52,46,54,56,54,53,51,101,45,50,49,32,52,46,53,53,54,
      101,45,50,49,32,52,46,52,48,53,53,53,101,45,50,49,10,32,32,52,46,50,51,56,48,
      56,101,45,50,49,32,52,46,48,53,54,52,55,101,45,50,49,32,51,46,56,54,51,54,50,
      101,45,50,49,32,48,114,50,55,56,32,50,46,56,56,49,52,49,101,45,51,56,32,49,
      46,55,51,53,53,53,101,45,51,52,32,53,46,57,51,56,57,55,101,45,51,52,32,50,46,
      49,56,50,53,55,101,45,51,51,10,32,32,56,46,51,56,50,52,55,101,45,51,51,32,51,
      46,50,55,57,54,49,101,45,51,50,32,49,46,48,48,57,55,57,101,45,51,49,32,51,46,
      49,56,51,48,57,101,45,51,49,32,56,46,50,53,51,48,52,101,45,51,49,32,49,46,57,
      57,55,55,54,101,45,51,48,32,52,46,57,54,52,49,53,101,45,51,48,10,32,32,49,46,
      52,53,52,51,54,101,45,50,57,32,50,46,55,57,49,55,53,101,45,50,57,32,53,46,54,
      54,51,56,101,45,50,57,32,49,46,48,49,53,55,52,101,45,50,56,32,52,46,57,55,55,
      51,53,101,45,50,56,32,55,46,57,49,55,53,51,101,45,50,56,32,49,46,50,51,49,49,
      53,101,45,50,55,10,32,32,49,46,56,55,53,51,101,45,50,55,32,50,46,56,48,51,49,
      56,101,45,50,55,32,52,46,49,49,55,56,54,101,45,50,55,32,53,46,57,53,50,54,56,
      101,45,50,55,32,56,46,52,55,56,48,54,101,45,50,55,32,49,46,49,57,49,48,50,101,
      45,50,54,32,49,46,54,53,50,49,57,101,45,50,54,10,32,32,50,46,50,54,53,51,54,
      101,45,50,54,32,51,46,48,55,50,55,54,101,45,50,54,32,52,46,49,50,54,53,101,
      45,50,54,32,53,46,52,57,48,54,49,101,45,50,54,32,55,46,56,53,48,50,57,101,45,
      50,54,32,49,46,48,49,53,52,55,101,45,50,53,32,49,46,51,48,53,57,54,101,45,50,
      53,10,32,32,49,46,55,48,51,53,53,101,45,50,53,32,50,46,49,54,52,50,54,101,45,
      50,53,32,50,46,55,51,53,53,49,101,45,50,53,32,51,46,52,53,54,57,49,101,45,50,
      53,32,52,46,51,50,54,54,50,101,45,50,53,32,53,46,52,53,50,57,101,45,50,53,32,
      54,46,55,53,50,56,54,101,45,50,53,10,32,32,56,46,51,50,56,50,56,101,45,50,53,
      32,49,46,48,50,51,101,45,50,52,32,49,46,50,53,49,54,54,101,45,50,52,32,49,46,
      53,50,53,53,50,101,45,50,52,32,49,46,56,53,50,51,53,101,45,50,52,32,50,46,50,
      52,48,57,55,101,45,50,52,32,50,46,55,48,50,56,56,101,45,50,52,10,32,32,51,46,
      50,52,54,55,50,101,45,50,52,32,51,46,55,51,55,51,57,101,45,50,52,32,52,46,50,
      57,48,56,49,101,45,50,52,32,52,46,57,49,54,52,50,101,45,50,52,32,53,46,54,50,
      49,57,54,101,45,50,52,32,54,46,52,49,54,51,101,45,50,52,32,55,46,52,51,49,50,
      49,101,45,50,52,10,32,32,56,46,57,49,56,56,52,101,45,50,52,32,49,46,48,54,54,
      52,101,45,50,51,32,49,46,50,55,48,51,51,101,45,50,51,32,49,46,53,48,55,55,56,
      101,45,50,51,32,49,46,55,56,51,50,52,101,45,50,51,32,50,46,49,48,49,54,101,
      45,50,51,32,50,46,52,54,56,51,49,101,45,50,51,10,32,32,50,46,56,56,57,50,55,
      101,45,50,51,32,51,46,51,55,48,55,55,101,45,50,51,32,51,46,57,49,57,53,54,101,
      45,50,51,32,52,46,53,52,51,48,56,101,45,50,51,32,53,46,50,52,57,49,52,101,45,
      50,51,32,54,46,48,52,53,57,101,45,50,51,32,54,46,57,52,50,49,55,101,45,50,51,
      10,32,32,55,46,57,52,54,57,55,101,45,50,51,32,57,46,48,54,57,57,55,101,45,50,
      51,32,49,46,48,51,50,49,50,101,45,50,50,32,49,46,49,55,49,49,101,45,50,50,32,
      49,46,51,50,52,57,53,101,45,50,50,32,49,46,52,57,52,56,50,101,45,50,50,32,49,
      46,54,56,49,54,53,101,45,50,50,10,32,32,49,46,56,56,54,54,50,101,45,50,50,32,
      50,46,49,49,48,56,101,45,50,50,32,50,46,51,53,53,51,101,45,50,50,32,50,46,54,
      50,49,49,52,101,45,50,50,32,50,46,57,48,57,51,52,101,45,50,50,32,51,46,50,50,
      48,56,50,101,45,50,50,32,51,46,53,53,54,51,54,101,45,50,50,10,32,32,51,46,57,
      49,54,55,49,101,45,50,50,32,52,46,51,48,50,54,53,101,45,50,50,32,52,46,55,49,
      52,56,49,101,45,50,50,32,53,46,49,53,51,55,52,101,45,50,50,32,53,46,54,49,57,
      56,52,101,45,50,50,32,54,46,49,49,51,51,49,101,45,50,50,32,54,46,54,51,52,50,
      101,45,50,50,10,32,32,55,46,49,56,50,51,54,101,45,50,50,32,56,46,51,53,57,53,
      54,101,45,50,50,32,57,46,54,52,48,52,57,101,45,50,50,32,49,46,49,48,49,55,55,
      101,45,50,49,32,49,46,50,52,56,48,57,101,45,50,49,32,49,46,52,48,49,54,53,101,
      45,50,49,32,49,46,53,54,48,55,101,45,50,49,10,32,32,49,46,55,50,51,51,50,101,
      45,50,49,32,49,46,56,56,55,51,56,101,45,50,49,32,50,46,48,53,48,53,52,101,45,
      50,49,32,50,46,50,49,48,51,55,101,45,50,49,32,50,46,51,54,52,51,57,101,45,50,
      49,32,50,46,53,49,48,49,53,101,45,50,49,32,50,46,54,52,53,50,54,101,45,50,49,
      10,32,32,50,46,55,54,55,53,49,101,45,50,49,32,50,46,56,55,53,48,49,101,45,50,
      49,32,50,46,57,54,54,49,50,101,45,50,49,32,51,46,48,51,57,52,54,101,45,50,49,
      32,51,46,48,57,52,49,53,101,45,50,49,32,51,46,49,50,57,54,101,45,50,49,32,51,
      46,49,52,53,54,52,101,45,50,49,10,32,32,51,46,49,52,50,52,56,101,45,50,49,32,
      51,46,49,50,48,53,57,101,45,50,49,32,51,46,48,56,48,56,50,101,45,50,49,32,51,
      46,48,50,52,51,51,101,45,50,49,32,50,46,57,53,50,53,50,101,45,50,49,32,50,46,
      56,54,54,57,54,101,45,50,49,32,50,46,55,54,57,50,54,101,45,50,49,10,32,32,50,
      46,54,54,49,50,50,101,45,50,49,32,50,46,53,52,52,55,52,101,45,50,49,32,48,114,
      50,55,57,32,50,46,57,55,54,48,52,101,45,51,53,32,49,46,48,56,49,48,49,101,45,
      51,52,32,52,46,50,51,51,48,56,101,45,51,52,32,49,46,55,51,53,52,56,101,45,51,
      51,32,55,46,50,54,52,49,52,101,45,51,51,10,32,32,50,46,51,54,51,57,54,101,45,
      51,50,32,55,46,56,56,57,50,55,101,45,51,50,32,50,46,49,52,52,52,50,101,45,51,
      49,32,53,46,52,50,49,56,50,101,45,51,49,32,49,46,52,48,57,52,50,101,45,51,48,
      32,52,46,51,50,49,56,51,101,45,51,48,32,56,46,53,54,55,50,56,101,45,51,48,10,
      32,32,49,46,55,57,57,54,56,101,45,50,57,32,51,46,51,50,48,55,53,101,45,50,57,
      32,49,46,56,54,52,54,49,101,45,50,56,32,51,46,48,50,52,56,53,101,45,50,56,32,
      52,46,55,57,48,56,50,101,45,50,56,32,55,46,52,50,51,49,55,101,45,50,56,32,49,
      46,49,50,55,52,54,101,45,50,55,10,32,32,49,46,54,56,49,48,52,101,45,50,55,32,
      50,46,52,54,51,57,55,101,45,50,55,32,51,46,53,53,52,57,52,101,45,50,55,32,53,
      46,48,53,52,54,49,101,45,50,55,32,55,46,48,57,48,54,49,101,45,50,55,32,57,46,
      56,50,51,55,49,101,45,50,55,32,49,46,51,52,53,51,56,101,45,50,54,10,32,32,49,
      46,56,50,50,57,54,101,45,50,54,32,50,46,52,52,53,56,52,101,45,50,54,32,51,46,
      53,57,57,54,51,101,45,50,54,32,52,46,54,55,55,50,53,101,45,50,54,32,54,46,48,
      52,49,101,45,50,54,32,55,46,57,51,51,52,50,101,45,50,54,32,49,46,48,49,49,55,
      54,101,45,50,53,10,32,32,49,46,50,56,51,52,50,101,45,50,53,32,49,46,54,50,55,
      56,57,101,45,50,53,32,50,46,48,52,52,53,101,45,50,53,32,50,46,53,57,52,50,50,
      101,45,50,53,32,51,46,50,50,49,55,57,101,45,50,53,32,51,46,57,56,52,52,55,101,
      45,50,53,32,52,46,57,48,55,55,50,101,45,50,53,10,32,32,54,46,48,50,48,57,51,
      101,45,50,53,32,55,46,51,53,55,57,53,101,45,50,53,32,56,46,57,53,55,57,54,101,
      45,50,53,32,49,46,48,56,54,53,50,101,45,50,52,32,49,46,51,49,51,56,54,101,45,
      50,52,32,49,46,53,56,50,50,53,101,45,50,52,32,49,46,56,50,53,52,52,101,45,50,
      52,10,32,32,50,46,48,57,57,56,52,101,45,50,52,32,50,46,52,49,48,55,50,101,45,
      50,52,32,50,46,55,54,50,48,53,101,45,50,52,32,51,46,49,53,56,52,49,101,45,50,
      52,32,51,46,54,54,53,57,51,101,45,50,52,32,52,46,52,49,49,55,52,101,45,50,52,
      32,53,46,50,56,57,49,56,101,45,50,52,10,32,32,54,46,51,49,55,54,50,101,45,50,
      52,32,55,46,53,49,56,53,57,101,45,50,52,32,56,46,57,49,53,56,55,101,45,50,52,
      32,49,46,48,53,51,53,56,101,45,50,51,32,49,46,50,52,48,55,55,101,45,50,51,32,
      49,46,52,53,54,50,49,101,45,50,51,32,49,46,55,48,51,51,51,101,45,50,51,10,32,
      32,49,46,57,56,53,56,55,101,45,50,51,32,50,46,51,48,55,56,51,101,45,50,51,32,
      50,46,54,55,51,52,57,101,45,50,51,32,51,46,48,56,55,52,51,101,45,50,51,32,51,
      46,53,53,52,53,53,101,45,50,51,32,52,46,48,55,57,55,52,101,45,50,51,32,52,46,
      54,54,56,53,49,101,45,50,51,10,32,32,53,46,51,50,54,53,52,101,45,50,51,32,54,
      46,48,53,57,54,50,101,45,50,51,32,54,46,56,55,51,54,54,101,45,50,51,32,55,46,
      55,55,53,51,50,101,45,50,51,32,56,46,55,55,48,48,52,101,45,50,51,32,57,46,56,
      54,52,53,49,101,45,50,51,32,49,46,49,48,54,53,52,101,45,50,50,10,32,32,49,46,
      50,51,55,57,50,101,45,50,50,32,49,46,51,56,49,50,49,101,45,50,50,32,49,46,53,
      51,55,48,51,101,45,50,50,32,49,46,55,48,53,57,54,101,45,50,50,32,49,46,56,56,
      56,53,53,101,45,50,50,32,50,46,48,56,53,51,51,101,45,50,50,32,50,46,50,57,54,
      56,53,101,45,50,50,10,32,32,50,46,53,50,51,53,51,101,45,50,50,32,50,46,55,54,
      53,55,52,101,45,50,50,32,51,46,48,50,51,56,101,45,50,50,32,51,46,50,57,55,57,
      52,101,45,50,50,32,51,46,53,56,56,51,101,45,50,50,32,51,46,56,57,52,57,101,
      45,50,50,32,52,46,53,53,54,56,49,101,45,50,50,10,32,32,53,46,50,56,50,52,57,
      101,45,50,50,32,54,46,48,54,56,54,49,101,45,50,50,32,54,46,57,49,48,51,52,101,
      45,50,50,32,55,46,56,48,48,57,52,101,45,50,50,32,56,46,55,51,49,57,101,45,50,
      50,32,57,46,54,57,50,50,50,101,45,50,50,32,49,46,48,54,55,48,50,101,45,50,49,
      10,32,32,49,46,49,54,53,51,49,101,45,50,49,32,49,46,50,54,50,54,56,101,45,50,
      49,32,49,46,51,53,55,54,55,101,45,50,49,32,49,46,52,52,56,56,101,45,50,49,32,
      49,46,53,51,52,54,52,101,45,50,49,32,49,46,54,49,51,56,101,45,50,49,32,49,46,
      54,56,53,48,50,101,45,50,49,10,32,32,49,46,55,52,55,50,49,101,45,50,49,32,49,
      46,55,57,57,52,53,101,45,50,49,32,49,46,56,52,49,101,45,50,49,32,49,46,56,55,
      49,51,51,101,45,50,49,32,49,46,56,57,48,50,101,45,50,49,32,49,46,56,57,55,52,
      52,101,45,50,49,32,49,46,56,57,51,50,56,101,45,50,49,10,32,32,49,46,56,55,56,
      48,54,101,45,50,49,32,49,46,56,53,50,50,57,101,45,50,49,32,49,46,56,49,54,54,
      54,101,45,50,49,32,49,46,55,55,50,48,52,101,45,50,49,32,49,46,55,49,57,52,50,
      101,45,50,49,32,49,46,54,53,57,55,55,101,45,50,49,32,49,46,53,57,52,49,55,101,
      45,50,49,10,32,32,48,114,50,55,57,32,52,46,57,49,50,53,54,101,45,51,54,32,49,
      46,56,57,53,55,56,101,45,51,53,32,55,46,57,49,53,53,52,101,45,51,53,32,51,46,
      52,55,50,50,53,101,45,51,52,32,49,46,53,53,54,54,54,101,45,51,51,32,53,46,51,
      54,49,57,50,101,45,51,51,32,49,46,56,57,54,49,49,101,45,51,50,10,32,32,53,46,
      52,49,48,51,55,101,45,51,50,32,49,46,52,51,49,49,50,101,45,51,49,32,51,46,56,
      57,52,57,57,101,45,51,49,32,49,46,50,52,57,55,50,101,45,51,48,32,50,46,53,54,
      49,53,53,101,45,51,48,32,53,46,53,55,54,53,54,101,45,51,48,32,49,46,48,53,57,
      54,56,101,45,50,57,10,32,32,54,46,56,52,55,57,51,101,45,50,57,32,49,46,49,51,
      51,57,49,101,45,50,56,32,49,46,56,51,48,57,101,45,50,56,32,50,46,56,56,56,55,
      57,101,45,50,56,32,52,46,52,54,50,48,56,101,45,50,56,32,54,46,55,53,56,51,50,
      101,45,50,56,32,49,46,48,48,53,50,57,101,45,50,55,10,32,32,49,46,52,55,48,52,
      56,101,45,50,55,32,50,46,49,49,55,55,53,101,45,50,55,32,51,46,48,48,54,53,49,
      101,45,50,55,32,52,46,50,49,49,56,54,101,45,50,55,32,53,46,56,50,56,52,101,
      45,50,55,32,55,46,57,55,51,57,101,45,50,55,32,49,46,48,55,57,52,53,101,45,50,
      54,10,32,32,49,46,54,52,50,53,52,101,45,50,54,32,50,46,49,52,52,49,57,101,45,
      50,54,32,50,46,55,56,49,52,55,101,45,50,54,32,51,46,54,55,55,55,57,101,45,50,
      54,32,52,46,55,48,57,50,57,101,45,50,54,32,53,46,57,57,55,49,101,45,50,54,32,
      55,46,54,51,54,53,101,45,50,54,10,32,32,57,46,54,50,53,56,51,101,45,50,54,32,
      49,46,50,51,48,55,54,101,45,50,53,32,49,46,53,51,51,48,56,101,45,50,53,32,49,
      46,57,48,49,53,51,101,45,50,53,32,50,46,51,52,56,55,53,101,45,50,53,32,50,46,
      56,56,57,52,55,101,45,50,53,32,51,46,53,52,48,55,54,101,45,50,53,10,32,32,52,
      46,51,50,50,50,54,101,45,50,53,32,53,46,50,53,54,53,53,101,45,50,53,32,54,46,
      51,55,51,50,55,101,45,50,53,32,55,46,54,57,53,49,51,101,45,50,53,32,56,46,56,
      57,56,54,49,101,45,50,53,32,49,46,48,50,53,54,101,45,50,52,32,49,46,49,55,57,
      54,57,101,45,50,52,10,32,32,49,46,51,53,52,50,101,45,50,52,32,49,46,53,53,49,
      52,57,101,45,50,52,32,49,46,56,48,52,54,52,101,45,50,52,32,50,46,49,55,55,54,
      101,45,50,52,32,50,46,54,49,55,54,56,101,45,50,52,32,51,46,49,51,53,48,49,101,
      45,50,52,32,51,46,55,52,48,56,56,101,45,50,52,10,32,32,52,46,52,52,55,56,54,
      101,45,50,52,32,53,46,50,54,57,56,56,101,45,50,52,32,54,46,50,50,50,51,55,101,
      45,50,52,32,55,46,51,50,49,57,53,101,45,50,52,32,56,46,53,56,55,49,54,101,45,
      50,52,32,49,46,48,48,51,55,56,101,45,50,51,32,49,46,49,54,57,53,57,101,45,50,
      51,10,32,32,49,46,51,53,56,52,53,101,45,50,51,32,49,46,53,55,50,56,55,101,45,
      50,51,32,49,46,56,49,53,54,101,45,50,51,32,50,46,48,56,57,50,56,101,45,50,51,
      32,50,46,51,57,54,57,57,101,45,50,51,32,50,46,55,52,49,56,55,101,45,50,51,32,
      51,46,49,50,55,50,51,101,45,50,51,10,32,32,51,46,53,53,54,53,101,45,50,51,32,
      52,46,48,51,51,53,49,101,45,50,51,32,52,46,53,54,49,51,55,101,45,50,51,32,53,
      46,49,52,52,48,52,101,45,50,51,32,53,46,55,56,53,52,49,101,45,50,51,32,54,46,
      52,56,57,51,51,101,45,50,51,32,55,46,50,53,57,52,50,101,45,50,51,10,32,32,56,
      46,48,57,57,53,101,45,50,51,32,57,46,48,49,50,57,51,101,45,50,51,32,49,46,48,
      48,48,51,53,101,45,50,50,32,49,46,49,48,55,52,52,101,45,50,50,32,49,46,50,50,
      50,57,101,45,50,50,32,49,46,51,52,55,48,50,101,45,50,50,32,49,46,52,56,48,48,
      57,101,45,50,50,10,32,32,49,46,54,50,50,51,52,101,45,50,50,32,49,46,55,55,51,
      57,56,101,45,50,50,32,49,46,57,51,53,49,52,101,45,50,50,32,50,46,49,48,53,57,
      52,101,45,50,50,32,50,46,52,55,54,54,57,101,45,50,50,32,50,46,56,56,54,49,54,
      101,45,50,50,32,51,46,51,51,50,57,55,101,45,50,50,10,32,32,51,46,56,49,52,56,
      50,101,45,50,50,32,52,46,51,50,56,54,55,101,45,50,50,32,52,46,56,55,48,49,50,
      101,45,50,50,32,53,46,52,51,51,56,49,101,45,50,50,32,54,46,48,49,51,51,51,101,
      45,50,50,32,54,46,54,48,49,50,51,101,45,50,50,32,55,46,49,56,57,53,57,101,45,
      50,50,10,32,32,55,46,55,55,48,48,51,101,45,50,50,32,56,46,51,51,52,48,52,101,
      45,50,50,32,56,46,56,55,50,57,101,45,50,50,32,57,46,51,55,55,55,56,101,45,50,
      50,32,57,46,56,52,49,48,57,101,45,50,50,32,49,46,48,50,53,53,53,101,45,50,49,
      32,49,46,48,54,49,52,57,101,45,50,49,10,32,32,49,46,48,57,49,52,101,45,50,49,
      32,49,46,49,49,52,56,54,101,45,50,49,32,49,46,49,51,49,53,54,101,45,50,49,32,
      49,46,49,52,49,51,56,101,45,50,49,32,49,46,49,52,52,51,53,101,45,50,49,32,49,
      46,49,52,48,53,51,101,45,50,49,32,49,46,49,51,48,49,53,101,45,50,49,10,32,32,
      49,46,49,49,51,53,53,101,45,50,49,32,49,46,48,57,49,50,49,101,45,50,49,32,49,
      46,48,54,51,54,50,101,45,50,49,32,49,46,48,51,49,51,50,101,45,50,49,32,57,46,
      57,52,57,50,55,101,45,50,50,32,48,114,50,55,57,32,55,46,55,55,53,56,51,101,
      45,51,55,32,51,46,49,57,50,53,53,101,45,51,54,10,32,32,49,46,52,50,52,51,54,
      101,45,51,53,32,54,46,54,56,55,55,53,101,45,51,53,32,51,46,50,49,53,57,57,101,
      45,51,52,32,49,46,49,55,52,52,54,101,45,51,51,32,52,46,52,48,55,55,56,101,45,
      51,51,32,49,46,51,50,49,49,56,101,45,51,50,32,51,46,54,54,48,48,53,101,45,51,
      50,10,32,32,49,46,48,52,52,56,101,45,51,49,32,51,46,53,49,50,54,50,101,45,51,
      49,32,55,46,52,52,56,49,50,101,45,51,49,32,49,46,54,56,50,51,57,101,45,51,48,
      32,51,46,50,57,53,52,51,101,45,51,48,32,50,46,52,54,55,52,52,101,45,50,57,32,
      52,46,49,55,52,57,51,101,45,50,57,10,32,32,54,46,56,55,55,56,101,45,50,57,32,
      49,46,49,48,53,54,56,101,45,50,56,32,49,46,55,51,56,49,57,101,45,50,56,32,50,
      46,54,55,54,51,56,101,45,50,56,32,52,46,48,52,50,56,55,101,45,50,56,32,53,46,
      57,57,57,56,52,101,45,50,56,32,56,46,55,53,56,51,57,101,45,50,56,10,32,32,49,
      46,50,53,57,50,49,101,45,50,55,32,49,46,55,56,53,49,101,45,50,55,32,50,46,52,
      57,55,54,101,45,50,55,32,51,46,52,53,50,49,54,101,45,50,55,32,52,46,55,49,56,
      48,52,101,45,50,55,32,55,46,52,54,48,55,53,101,45,50,55,32,57,46,55,56,54,52,
      49,101,45,50,55,10,32,32,49,46,50,55,53,53,50,101,45,50,54,32,49,46,54,57,56,
      54,56,101,45,50,54,32,50,46,49,56,52,55,52,101,45,50,54,32,50,46,55,57,51,57,
      56,101,45,50,54,32,51,46,53,55,50,51,57,101,45,50,54,32,52,46,53,50,48,51,49,
      101,45,50,54,32,53,46,56,50,57,52,53,101,45,50,54,10,32,32,55,46,50,56,51,54,
      55,101,45,50,54,32,57,46,48,54,48,57,55,101,45,50,54,32,49,46,49,50,50,52,54,
      101,45,50,53,32,49,46,51,56,52,55,57,101,45,50,53,32,49,46,55,48,49,54,52,101,
      45,50,53,32,50,46,48,56,50,56,56,101,45,50,53,32,50,46,53,51,57,56,57,101,45,
      50,53,10,32,32,51,46,48,56,55,54,101,45,50,53,32,51,46,55,51,55,55,57,101,45,
      50,53,32,52,46,51,51,51,50,52,101,45,50,53,32,53,46,48,48,52,48,49,101,45,50,
      53,32,53,46,55,54,55,48,52,101,45,50,53,32,54,46,54,51,50,57,101,45,50,53,32,
      55,46,54,49,51,55,50,101,45,50,53,10,32,32,56,46,56,55,53,48,55,101,45,50,53,
      32,49,46,48,55,51,56,52,101,45,50,52,32,49,46,50,57,52,51,51,101,45,50,52,32,
      49,46,53,53,52,50,54,101,45,50,52,32,49,46,56,53,57,53,53,101,45,50,52,32,50,
      46,50,49,54,56,101,45,50,52,32,50,46,54,51,51,51,51,101,45,50,52,10,32,32,51,
      46,49,49,55,51,51,101,45,50,52,32,51,46,54,55,55,56,101,45,50,52,32,52,46,51,
      50,52,53,50,101,45,50,52,32,53,46,48,54,56,48,57,101,45,50,52,32,53,46,57,50,
      48,52,53,101,45,50,52,32,54,46,56,57,52,49,101,45,50,52,32,56,46,48,48,50,54,
      57,101,45,50,52,10,32,32,57,46,50,54,49,53,55,101,45,50,52,32,49,46,48,54,56,
      53,101,45,50,51,32,49,46,50,50,57,48,49,101,45,50,51,32,49,46,52,48,57,52,53,
      101,45,50,51,32,49,46,54,49,49,54,54,101,45,50,51,32,49,46,56,51,55,53,53,101,
      45,50,51,32,50,46,48,56,57,51,52,101,45,50,51,10,32,32,50,46,51,54,56,55,55,
      101,45,50,51,32,50,46,54,55,56,49,51,101,45,50,51,32,51,46,48,49,57,54,49,101,
      45,50,51,32,51,46,51,57,53,52,55,101,45,50,51,32,51,46,56,48,55,57,50,101,45,
      50,51,32,52,46,50,53,57,50,55,101,45,50,51,32,52,46,55,53,49,54,56,101,45,50,
      51,10,32,32,53,46,50,56,55,51,54,101,45,50,51,32,53,46,56,54,56,50,49,101,45,
      50,51,32,54,46,52,57,54,51,57,101,45,50,51,32,55,46,49,55,51,57,49,101,45,50,
      51,32,55,46,57,48,50,54,51,101,45,50,51,32,56,46,54,56,52,48,57,101,45,50,51,
      32,57,46,53,49,57,56,49,101,45,50,51,10,32,32,49,46,48,52,49,49,49,101,45,50,
      50,32,49,46,49,51,53,56,57,101,45,50,50,32,49,46,51,52,50,54,53,101,45,50,50,
      32,49,46,53,55,50,53,52,101,45,50,50,32,49,46,56,50,53,50,53,101,45,50,50,32,
      50,46,48,57,57,56,55,101,45,50,50,32,50,46,51,57,52,57,51,101,45,50,50,10,32,
      32,50,46,55,48,56,51,51,101,45,50,50,32,51,46,48,51,55,50,49,101,45,50,50,32,
      51,46,51,55,56,50,50,101,45,50,50,32,51,46,55,50,55,52,50,101,45,50,50,32,52,
      46,48,56,48,51,55,101,45,50,50,32,52,46,52,51,50,49,57,101,45,50,50,32,52,46,
      55,55,55,57,50,101,45,50,50,10,32,32,53,46,49,49,50,51,57,101,45,50,50,32,53,
      46,52,51,48,52,57,101,45,50,50,32,53,46,55,50,55,51,55,101,45,50,50,32,53,46,
      57,57,56,52,55,101,45,50,50,32,54,46,50,51,57,53,101,45,50,50,32,54,46,52,52,
      54,57,52,101,45,50,50,32,54,46,54,49,55,54,55,101,45,50,50,10,32,32,54,46,55,
      52,57,52,50,101,45,50,50,32,54,46,56,52,48,56,57,101,45,50,50,32,54,46,56,57,
      49,50,52,101,45,50,50,32,54,46,57,48,48,54,52,101,45,50,50,32,54,46,56,54,57,
      57,53,101,45,50,50,32,54,46,56,48,48,52,56,101,45,50,50,32,54,46,54,57,52,52,
      52,101,45,50,50,10,32,32,54,46,53,53,52,54,52,101,45,50,50,32,54,46,51,56,51,
      57,52,101,45,50,50,32,54,46,49,56,53,55,53,101,45,50,50,32,48,114,50,55,57,
      32,49,46,49,56,48,54,101,45,51,55,32,53,46,49,54,52,54,57,101,45,51,55,32,50,
      46,52,54,52,50,52,101,45,51,54,32,49,46,50,52,49,53,51,101,45,51,53,10,32,32,
      54,46,52,48,57,51,52,101,45,51,53,32,50,46,52,56,50,57,49,101,45,51,52,32,57,
      46,57,48,56,51,53,101,45,51,52,32,51,46,49,50,52,53,55,101,45,51,51,32,57,46,
      48,55,51,54,56,101,45,51,51,32,50,46,55,50,48,48,55,101,45,51,50,32,57,46,53,
      57,50,49,56,101,45,51,50,10,32,32,50,46,49,48,53,56,101,45,51,49,32,52,46,57,
      52,48,50,54,101,45,51,49,32,57,46,57,56,51,51,53,101,45,51,49,32,56,46,55,49,
      54,50,57,101,45,51,48,32,49,46,53,48,56,48,52,101,45,50,57,32,50,46,53,51,54,
      54,51,101,45,50,57,32,52,46,49,53,56,54,51,101,45,50,57,10,32,32,54,46,54,53,
      56,52,56,101,45,50,57,32,49,46,48,52,51,49,50,101,45,50,56,32,49,46,54,48,49,
      51,54,101,45,50,56,32,50,46,52,49,50,54,53,101,45,50,56,32,51,46,53,55,50,51,
      52,101,45,50,56,32,53,46,50,48,52,56,50,101,45,50,56,32,55,46,52,55,48,56,50,
      101,45,50,56,10,32,32,49,46,48,53,55,53,49,101,45,50,55,32,49,46,52,55,55,54,
      57,101,45,50,55,32,50,46,48,52,48,50,54,101,45,50,55,32,51,46,51,55,48,52,57,
      101,45,50,55,32,52,46,52,52,51,57,52,101,45,50,55,32,53,46,56,50,48,52,57,101,
      45,50,55,32,55,46,56,48,55,51,50,101,45,50,55,10,32,32,49,46,48,48,56,55,50,
      101,45,50,54,32,49,46,50,57,53,54,49,101,45,50,54,32,49,46,54,54,51,52,52,101,
      45,50,54,32,50,46,49,49,51,50,53,101,45,50,54,32,50,46,55,53,49,54,51,101,45,
      50,54,32,51,46,52,52,56,55,56,101,45,50,54,32,52,46,51,48,51,52,51,101,45,50,
      54,10,32,32,53,46,51,52,54,56,101,45,50,54,32,54,46,54,49,53,53,55,101,45,50,
      54,32,56,46,49,53,50,49,57,101,45,50,54,32,49,46,48,48,48,54,50,101,45,50,53,
      32,49,46,50,50,51,52,57,101,45,50,53,32,49,46,52,57,49,51,52,101,45,50,53,32,
      49,46,56,49,48,50,49,101,45,50,53,10,32,32,50,46,49,48,52,50,101,45,50,53,32,
      50,46,52,51,52,53,56,101,45,50,53,32,50,46,56,49,49,49,56,101,45,50,53,32,51,
      46,50,51,57,52,50,101,45,50,53,32,51,46,55,50,53,53,50,101,45,50,53,32,52,46,
      51,53,49,57,57,101,45,50,53,32,53,46,50,55,57,56,55,101,45,50,53,10,32,32,54,
      46,51,56,48,57,54,101,45,50,53,32,55,46,54,56,50,56,101,45,50,53,32,57,46,50,
      49,54,51,52,101,45,50,53,32,49,46,49,48,49,54,49,101,45,50,52,32,49,46,51,49,
      50,48,55,101,45,50,52,32,49,46,53,53,55,51,50,101,45,50,52,32,49,46,56,52,50,
      49,49,101,45,50,52,10,32,32,50,46,49,55,49,54,53,101,45,50,52,32,50,46,53,53,
      49,54,56,101,45,50,52,32,50,46,57,56,56,53,54,101,45,50,52,32,51,46,52,56,57,
      48,55,101,45,50,52,32,52,46,48,54,48,53,51,101,45,50,52,32,52,46,55,49,49,52,
      53,101,45,50,52,32,53,46,52,52,57,51,54,101,45,50,52,10,32,32,54,46,50,56,51,
      57,54,101,45,50,52,32,55,46,50,50,52,57,54,101,45,50,52,32,56,46,50,56,50,53,
      55,101,45,50,52,32,57,46,52,54,55,54,54,101,45,50,52,32,49,46,48,55,57,50,52,
      101,45,50,51,32,49,46,50,50,54,54,56,101,45,50,51,32,49,46,51,57,48,51,57,101,
      45,50,51,10,32,32,49,46,53,55,49,54,54,101,45,50,51,32,49,46,55,55,49,55,57,
      101,45,50,51,32,49,46,57,57,50,48,53,101,45,50,51,32,50,46,50,51,51,55,56,101,
      45,50,51,32,50,46,52,57,56,50,51,101,45,50,51,32,50,46,55,56,54,55,57,101,45,
      50,51,32,51,46,49,48,48,55,49,101,45,50,51,10,32,32,51,46,52,52,49,51,51,101,
      45,50,51,32,51,46,56,48,57,57,49,101,45,50,51,32,52,46,50,48,55,54,49,101,45,
      50,51,32,52,46,54,51,53,52,49,101,45,50,51,32,53,46,48,57,52,51,57,101,45,50,
      51,32,53,46,53,56,53,52,55,101,45,50,51,32,54,46,49,48,57,51,57,101,45,50,51,
      10,32,32,55,46,50,53,55,57,57,101,45,50,51,32,56,46,53,52,51,53,56,101,45,50,
      51,32,57,46,57,54,54,52,49,101,45,50,51,32,49,46,49,53,50,51,57,101,45,50,50,
      32,49,46,51,50,49,48,50,101,45,50,50,32,49,46,53,48,49,52,56,101,45,50,50,32,
      49,46,54,57,50,51,101,45,50,50,10,32,32,49,46,56,57,49,55,55,101,45,50,50,32,
      50,46,48,57,55,56,51,101,45,50,50,32,50,46,51,48,56,48,51,101,45,50,50,32,50,
      46,53,49,57,54,53,101,45,50,50,32,50,46,55,50,57,55,57,101,45,50,50,32,50,46,
      57,51,53,53,49,101,45,50,50,32,51,46,49,51,51,56,54,101,45,50,50,10,32,32,51,
      46,51,50,49,54,55,101,45,50,50,32,51,46,52,57,54,49,51,101,45,50,50,32,51,46,
      54,53,52,53,52,101,45,50,50,32,51,46,55,57,52,52,54,101,45,50,50,32,51,46,57,
      49,51,57,49,101,45,50,50,32,52,46,48,49,49,49,50,101,45,50,50,32,52,46,48,56,
      52,56,53,101,45,50,50,10,32,32,52,46,49,51,52,52,52,101,45,50,50,32,52,46,49,
      53,57,53,56,101,45,50,50,32,52,46,49,54,48,51,57,101,45,50,50,32,52,46,49,51,
      55,51,55,101,45,50,50,32,52,46,48,57,49,53,52,101,45,50,50,32,52,46,48,50,52,
      49,52,101,45,50,50,32,51,46,57,51,54,55,101,45,50,50,10,32,32,51,46,56,51,49,
      50,56,101,45,50,50,32,48,114,50,56,48,32,56,46,48,49,49,53,52,101,45,51,56,
      32,52,46,48,57,53,54,57,101,45,51,55,32,50,46,50,49,53,49,55,101,45,51,54,32,
      49,46,50,51,48,54,56,101,45,51,53,32,53,46,48,54,54,49,49,101,45,51,53,32,50,
      46,49,53,49,51,55,101,45,51,52,10,32,32,55,46,49,52,55,57,101,45,51,52,32,50,
      46,49,55,56,49,56,101,45,51,51,32,54,46,56,54,51,56,52,101,45,51,51,32,50,46,
      53,52,50,54,55,101,45,51,50,32,53,46,55,56,53,52,55,101,45,51,50,32,49,46,52,
      49,49,48,53,101,45,51,49,32,50,46,57,52,52,49,50,101,45,51,49,10,32,32,51,46,
      48,49,49,57,56,101,45,51,48,32,53,46,51,51,52,54,56,101,45,51,48,32,57,46,49,
      55,51,57,56,101,45,51,48,32,49,46,53,51,53,51,50,101,45,50,57,32,50,46,53,48,
      53,55,53,101,45,50,57,32,51,46,57,57,54,52,101,45,50,57,32,54,46,50,51,57,56,
      57,101,45,50,57,10,32,32,57,46,53,53,50,48,54,101,45,50,57,32,49,46,52,51,53,
      54,50,101,45,50,56,32,50,46,49,50,49,50,50,101,45,50,56,32,51,46,48,56,53,48,
      49,101,45,50,56,32,52,46,52,50,49,49,49,101,45,50,56,32,54,46,50,52,57,56,52,
      101,45,50,56,32,56,46,55,50,51,51,50,101,45,50,56,10,32,32,49,46,53,49,51,53,
      53,101,45,50,55,32,50,46,48,48,54,52,49,101,45,50,55,32,50,46,54,52,49,52,56,
      101,45,50,55,32,51,46,53,54,56,55,56,101,45,50,55,32,52,46,54,51,51,51,50,101,
      45,50,55,32,53,46,57,55,56,55,57,101,45,50,55,32,55,46,55,49,48,53,57,101,45,
      50,55,10,32,32,57,46,56,51,56,51,53,101,45,50,55,32,49,46,50,57,53,48,56,101,
      45,50,54,32,49,46,54,50,56,55,57,101,45,50,54,32,50,46,48,51,57,48,56,101,45,
      50,54,32,50,46,53,52,49,51,56,101,45,50,54,32,51,46,49,53,51,57,101,45,50,54,
      32,51,46,56,57,55,56,56,101,45,50,54,10,32,32,52,46,55,57,56,49,50,101,45,50,
      54,32,53,46,56,56,51,49,56,101,45,50,54,32,55,46,49,57,48,52,57,101,45,50,54,
      32,56,46,55,53,49,50,50,101,45,50,54,32,49,46,48,50,48,50,52,101,45,50,53,32,
      49,46,49,56,50,55,49,101,45,50,53,32,49,46,51,54,56,50,57,101,45,50,53,10,32,
      32,49,46,53,55,57,55,54,101,45,50,53,32,49,46,56,50,48,50,56,101,45,50,53,32,
      50,46,49,51,48,57,52,101,45,50,53,32,50,46,53,57,50,51,49,101,45,50,53,32,51,
      46,49,52,49,52,56,101,45,50,53,32,51,46,55,57,50,52,57,101,45,50,53,32,52,46,
      53,54,49,54,50,101,45,50,53,10,32,32,53,46,52,54,54,56,53,101,45,50,53,32,54,
      46,53,50,56,52,101,45,50,53,32,55,46,55,54,56,57,101,45,50,53,32,57,46,50,49,
      51,52,55,101,45,50,53,32,49,46,48,56,57,101,45,50,52,32,49,46,50,56,50,57,49,
      101,45,50,52,32,49,46,53,48,54,52,52,101,45,50,52,10,32,32,49,46,55,54,51,50,
      50,101,45,50,52,32,50,46,48,53,55,50,54,101,45,50,52,32,50,46,51,57,51,49,57,
      101,45,50,52,32,50,46,55,55,53,48,52,101,45,50,52,32,51,46,50,48,56,49,53,101,
      45,50,52,32,51,46,54,57,55,56,55,101,45,50,52,32,52,46,50,52,57,56,53,101,45,
      50,52,10,32,32,52,46,56,55,48,48,53,101,45,50,52,32,53,46,53,54,53,52,51,101,
      45,50,52,32,54,46,51,52,49,54,51,101,45,50,52,32,55,46,50,48,54,49,51,101,45,
      50,52,32,56,46,49,54,54,49,53,101,45,50,52,32,57,46,50,50,57,49,55,101,45,50,
      52,32,49,46,48,52,48,50,54,101,45,50,51,10,32,32,49,46,49,54,57,52,101,45,50,
      51,32,49,46,51,49,49,49,51,101,45,50,51,32,49,46,52,54,54,50,101,45,50,51,32,
      49,46,54,51,53,51,57,101,45,50,51,32,49,46,56,49,57,53,101,45,50,51,32,50,46,
      48,49,57,51,51,101,45,50,51,32,50,46,50,51,53,53,57,101,45,50,51,10,32,32,50,
      46,52,54,56,57,57,101,45,50,51,32,50,46,55,50,48,50,49,101,45,50,51,32,50,46,
      57,56,57,56,55,101,45,50,51,32,51,46,50,55,56,52,51,101,45,50,51,32,51,46,57,
      49,52,50,52,101,45,50,51,32,52,46,54,51,48,54,51,101,45,50,51,32,53,46,52,50,
      56,56,51,101,45,50,51,10,32,32,54,46,51,48,56,52,50,101,45,50,51,32,55,46,50,
      54,55,49,56,101,45,50,51,32,56,46,51,48,48,56,101,45,50,51,32,57,46,52,48,50,
      55,56,101,45,50,51,32,49,46,48,53,54,51,54,101,45,50,50,32,49,46,49,55,55,50,
      52,101,45,50,50,32,49,46,51,48,49,54,50,101,45,50,50,10,32,32,49,46,52,50,56,
      48,50,101,45,50,50,32,49,46,53,53,52,56,54,101,45,50,50,32,49,46,54,56,48,51,
      57,101,45,50,50,32,49,46,56,48,50,55,54,101,45,50,50,32,49,46,57,50,48,49,56,
      101,45,50,50,32,50,46,48,51,48,56,57,101,45,50,50,32,50,46,49,51,51,49,57,101,
      45,50,50,10,32,32,50,46,50,50,53,53,57,101,45,50,50,32,50,46,51,48,54,54,53,
      101,45,50,50,32,50,46,51,55,53,50,52,101,45,50,50,32,50,46,52,51,48,52,52,101,
      45,50,50,32,50,46,52,55,49,54,49,101,45,50,50,32,50,46,52,57,56,51,50,101,45,
      50,50,32,50,46,53,49,48,51,56,101,45,50,50,10,32,32,50,46,53,48,55,57,51,101,
      45,50,50,32,50,46,52,57,49,51,56,101,45,50,50,32,50,46,52,54,49,51,57,101,45,
      50,50,32,50,46,52,49,56,55,54,101,45,50,50,32,50,46,51,54,52,52,50,101,45,50,
      50,32,48,114,50,56,49,32,54,46,53,54,51,56,101,45,51,56,32,51,46,56,50,49,50,
      54,101,45,51,55,10,32,32,50,46,50,56,54,51,101,45,51,54,32,49,46,48,48,49,48,
      54,101,45,51,53,32,52,46,53,50,57,53,55,101,45,51,53,32,49,46,53,56,54,53,52,
      101,45,51,52,32,53,46,48,56,48,53,51,101,45,51,52,32,49,46,54,56,52,55,50,101,
      45,51,51,32,54,46,53,54,50,51,50,101,45,51,51,10,32,32,49,46,53,52,56,54,55,
      101,45,51,50,32,51,46,57,51,48,48,50,101,45,51,50,32,56,46,52,55,51,52,57,101,
      45,51,50,32,49,46,48,49,56,54,57,101,45,51,48,32,49,46,56,52,57,49,49,101,45,
      51,48,32,51,46,50,53,50,52,50,101,45,51,48,32,53,46,53,53,57,56,49,101,45,51,
      48,10,32,32,57,46,50,53,56,55,54,101,45,51,48,32,49,46,53,48,52,57,55,101,45,
      50,57,32,50,46,51,57,49,56,54,101,45,50,57,32,51,46,55,50,50,57,55,101,45,50,
      57,32,53,46,54,56,51,55,54,101,45,50,57,32,56,46,53,50,50,56,49,101,45,50,57,
      32,49,46,50,53,54,56,50,101,45,50,56,10,32,32,49,46,56,50,52,56,50,101,45,50,
      56,32,50,46,54,49,49,53,49,101,45,50,56,32,51,46,54,56,55,51,49,101,45,50,56,
      32,54,46,55,54,48,57,52,101,45,50,56,32,57,46,48,49,51,50,49,101,45,50,56,32,
      49,46,49,57,51,48,54,101,45,50,55,32,49,46,54,50,51,54,57,101,45,50,55,10,32,
      32,50,46,49,49,57,49,53,101,45,50,55,32,50,46,55,52,56,50,53,101,45,50,55,32,
      51,46,53,54,48,55,53,101,45,50,55,32,52,46,53,54,51,56,56,101,45,50,55,32,54,
      46,48,56,48,54,101,45,50,55,32,55,46,54,55,51,57,50,101,45,50,55,32,57,46,54,
      51,57,49,50,101,45,50,55,10,32,32,49,46,50,48,53,50,56,101,45,50,54,32,49,46,
      53,48,48,52,55,101,45,50,54,32,49,46,56,54,48,48,52,101,45,50,54,32,50,46,50,
      57,54,51,57,101,45,50,54,32,50,46,56,50,51,56,52,101,45,50,54,32,51,46,52,54,
      48,57,54,101,45,50,54,32,52,46,50,50,51,55,49,101,45,50,54,10,32,32,52,46,57,
      52,48,51,101,45,50,54,32,53,46,55,51,56,49,51,101,45,50,54,32,54,46,54,53,49,
      49,49,101,45,50,54,32,55,46,54,57,51,54,50,101,45,50,54,32,56,46,56,56,49,55,
      53,101,45,50,54,32,49,46,48,52,49,57,55,101,45,50,53,32,49,46,50,55,48,57,53,
      101,45,50,53,10,32,32,49,46,53,52,52,50,53,101,45,50,53,32,49,46,56,54,57,50,
      101,45,50,53,32,50,46,50,53,52,49,54,101,45,50,53,32,50,46,55,48,56,53,101,
      45,50,53,32,51,46,50,52,50,55,54,101,45,50,53,32,51,46,56,54,56,56,101,45,50,
      53,32,52,46,53,57,57,57,55,101,45,50,53,10,32,32,53,46,52,53,48,56,53,101,45,
      50,53,32,54,46,52,51,55,52,57,101,45,50,53,32,55,46,53,55,56,48,49,101,45,50,
      53,32,56,46,56,57,50,48,55,101,45,50,53,32,49,46,48,52,48,48,57,101,45,50,52,
      32,49,46,50,49,51,101,45,50,52,32,49,46,52,49,48,48,52,101,45,50,52,10,32,32,
      49,46,54,51,52,49,51,101,45,50,52,32,49,46,56,56,56,50,53,101,45,50,52,32,50,
      46,49,55,53,52,57,101,45,50,52,32,50,46,52,57,57,49,51,101,45,50,52,32,50,46,
      56,54,51,48,54,101,45,50,52,32,51,46,50,55,48,51,54,101,45,50,52,32,51,46,55,
      50,53,50,50,101,45,50,52,10,32,32,52,46,50,51,49,55,50,101,45,50,52,32,52,46,
      55,57,52,50,51,101,45,50,52,32,53,46,52,49,54,57,56,101,45,50,52,32,54,46,49,
      48,52,53,54,101,45,50,52,32,54,46,56,54,49,53,50,101,45,50,52,32,55,46,54,57,
      50,50,49,101,45,50,52,32,56,46,54,48,49,49,52,101,45,50,52,10,32,32,57,46,53,
      57,51,48,56,101,45,50,52,32,49,46,48,54,55,50,56,101,45,50,51,32,49,46,49,56,
      52,52,56,101,45,50,51,32,49,46,51,49,49,51,55,101,45,50,51,32,49,46,52,52,56,
      51,54,101,45,50,51,32,49,46,53,57,53,56,51,101,45,50,51,32,49,46,55,53,52,49,
      51,101,45,50,51,10,32,32,50,46,49,48,52,54,52,101,45,50,51,32,50,46,53,48,50,
      48,53,101,45,50,51,32,50,46,57,52,55,55,56,101,45,50,51,32,51,46,52,52,50,52,
      49,101,45,50,51,32,51,46,57,56,53,51,50,101,45,50,51,32,52,46,53,55,52,54,51,
      101,45,50,51,32,53,46,50,48,55,50,57,101,45,50,51,10,32,32,53,46,56,55,56,57,
      56,101,45,50,51,32,54,46,53,56,52,48,53,101,45,50,51,32,55,46,51,49,53,54,55,
      101,45,50,51,32,56,46,48,54,53,57,51,101,45,50,51,32,56,46,56,50,53,53,57,101,
      45,50,51,32,57,46,53,56,52,56,56,101,45,50,51,32,49,46,48,51,51,51,49,101,45,
      50,50,10,32,32,49,46,49,48,53,57,57,101,45,50,50,32,49,46,49,55,53,52,53,101,
      45,50,50,32,49,46,50,52,48,54,53,101,45,50,50,32,49,46,51,48,48,54,50,101,45,
      50,50,32,49,46,51,53,52,52,55,101,45,50,50,32,49,46,52,48,49,52,101,45,50,50,
      32,49,46,52,52,48,55,55,101,45,50,50,10,32,32,49,46,52,55,50,48,55,101,45,50,
      50,32,49,46,52,57,52,57,50,101,45,50,50,32,49,46,53,48,57,49,101,45,50,50,32,
      49,46,53,49,52,53,54,101,45,50,50,32,49,46,53,49,49,52,51,101,45,50,50,32,49,
      46,52,57,57,57,53,101,45,50,50,32,49,46,52,56,48,52,56,101,45,50,50,10,32,32,
      49,46,52,53,51,53,54,101,45,50,50,32,48,114,50,56,50,32,54,46,51,56,50,49,52,
      101,45,51,56,32,52,46,49,49,55,53,53,101,45,51,55,32,49,46,57,50,48,48,49,101,
      45,51,54,32,57,46,50,54,54,57,57,101,45,51,54,32,51,46,52,50,53,53,51,101,45,
      51,53,32,49,46,49,53,51,53,50,101,45,51,52,10,32,32,52,46,48,50,56,53,53,101,
      45,51,52,32,49,46,54,53,49,53,53,101,45,51,51,32,52,46,48,52,53,57,55,101,45,
      51,51,32,49,46,48,54,57,51,49,101,45,51,50,32,50,46,51,56,52,49,54,101,45,51,
      50,32,51,46,51,55,50,49,54,101,45,51,49,32,54,46,50,55,56,56,57,101,45,51,49,
      10,32,32,49,46,49,51,49,48,57,101,45,51,48,32,49,46,57,55,55,50,52,101,45,51,
      48,32,51,46,51,54,50,51,49,101,45,51,48,32,53,46,53,55,51,50,55,101,45,51,48,
      32,57,46,48,50,50,55,101,45,51,48,32,49,46,52,50,56,57,57,101,45,50,57,32,50,
      46,50,49,55,54,101,45,50,57,10,32,32,51,46,51,55,54,56,53,101,45,50,57,32,53,
      46,48,53,50,55,53,101,45,50,57,32,55,46,52,51,55,52,54,101,45,50,57,32,49,46,
      48,55,56,49,57,101,45,50,56,32,49,46,53,52,49,48,49,101,45,50,56,32,51,46,48,
      48,50,52,54,101,45,50,56,32,52,46,48,50,55,101,45,50,56,10,32,32,53,46,51,54,
      49,50,56,101,45,50,56,32,55,46,51,52,57,55,49,101,45,50,56,32,57,46,54,52,52,
      55,51,101,45,50,56,32,49,46,50,53,55,49,56,101,45,50,55,32,49,46,54,51,54,53,
      52,101,45,50,55,32,50,46,49,48,55,53,52,101,45,50,55,32,50,46,56,52,53,51,52,
      101,45,50,55,10,32,32,51,46,54,48,52,48,55,101,45,50,55,32,52,46,53,52,50,56,
      54,101,45,50,55,32,53,46,54,57,57,52,51,101,45,50,55,32,55,46,49,49,56,50,53,
      101,45,50,55,32,56,46,56,53,49,53,49,101,45,50,55,32,49,46,48,57,54,48,56,101,
      45,50,54,32,49,46,51,53,49,55,50,101,45,50,54,10,32,32,49,46,54,54,49,51,101,
      45,50,54,32,50,46,48,51,50,57,55,101,45,50,54,32,50,46,51,56,54,53,56,101,45,
      50,54,32,50,46,55,55,55,50,57,101,45,50,54,32,51,46,50,50,53,51,49,101,45,50,
      54,32,51,46,55,51,55,57,49,101,45,50,54,32,52,46,51,50,51,51,101,45,50,54,10,
      32,32,53,46,48,56,50,54,101,45,50,54,32,54,46,50,49,53,56,56,101,45,50,54,32,
      55,46,53,55,50,51,49,101,45,50,54,32,57,46,49,56,57,54,101,45,50,54,32,49,46,
      49,49,49,48,55,101,45,50,53,32,49,46,51,51,56,52,53,101,45,50,53,32,49,46,54,
      48,54,53,57,101,45,50,53,10,32,32,49,46,57,50,49,55,53,101,45,50,53,32,50,46,
      50,57,48,55,101,45,50,53,32,50,46,55,50,49,50,52,101,45,50,53,32,51,46,50,50,
      49,57,50,101,45,50,53,32,51,46,56,48,50,50,54,101,45,50,53,32,52,46,52,55,50,
      55,54,101,45,50,53,32,53,46,50,52,52,57,49,101,45,50,53,10,32,32,54,46,49,51,
      50,55,50,101,45,50,53,32,55,46,49,52,54,55,51,101,45,50,53,32,56,46,51,48,51,
      50,50,101,45,50,53,32,57,46,54,49,56,51,50,101,45,50,53,32,49,46,49,49,48,57,
      101,45,50,52,32,49,46,50,55,57,51,51,101,45,50,52,32,49,46,52,54,57,51,101,
      45,50,52,10,32,32,49,46,54,56,50,52,56,101,45,50,52,32,49,46,57,50,49,49,56,
      101,45,50,52,32,50,46,49,56,55,55,54,101,45,50,52,32,50,46,52,56,52,54,55,101,
      45,50,52,32,50,46,56,49,52,50,57,101,45,50,52,32,51,46,49,55,57,50,55,101,45,
      50,52,32,51,46,53,56,50,49,54,101,45,50,52,10,32,32,52,46,48,50,53,54,101,45,
      50,52,32,52,46,53,49,50,50,57,101,45,50,52,32,53,46,48,52,53,49,101,45,50,52,
      32,53,46,54,50,54,56,101,45,50,52,32,54,46,50,54,48,49,52,101,45,50,52,32,54,
      46,57,52,55,56,101,45,50,52,32,55,46,54,57,50,51,55,101,45,50,52,10,32,32,56,
      46,52,57,54,51,50,101,45,50,52,32,57,46,51,54,49,57,57,101,45,50,52,32,49,46,
      49,50,56,55,52,101,45,50,51,32,49,46,51,52,56,52,53,101,45,50,51,32,49,46,53,
      57,54,52,51,101,45,50,51,32,49,46,56,55,51,51,55,101,45,50,51,32,50,46,49,55,
      57,52,50,101,45,50,51,10,32,32,50,46,53,49,52,48,49,101,45,50,51,32,50,46,56,
      55,53,55,49,101,45,50,51,32,51,46,50,54,50,53,51,101,45,50,51,32,51,46,54,55,
      49,55,55,101,45,50,51,32,52,46,48,57,57,56,49,101,45,50,51,32,52,46,53,52,50,
      51,101,45,50,51,32,52,46,57,57,52,50,54,101,45,50,51,10,32,32,53,46,52,53,48,
      50,52,101,45,50,51,32,53,46,57,48,52,50,55,101,45,50,51,32,54,46,51,53,48,48,
      55,101,45,50,51,32,54,46,55,56,49,51,56,101,45,50,51,32,55,46,49,57,49,57,54,
      101,45,50,51,32,55,46,53,55,53,55,55,101,45,50,51,32,55,46,57,50,55,49,49,101,
      45,50,51,10,32,32,56,46,50,52,48,56,50,101,45,50,51,32,56,46,53,49,50,49,53,
      101,45,50,51,32,56,46,55,51,55,55,53,101,45,50,51,32,56,46,57,49,52,53,50,101,
      45,50,51,32,57,46,48,52,48,52,49,101,45,50,51,32,57,46,49,49,52,52,49,101,45,
      50,51,32,57,46,49,51,54,53,55,101,45,50,51,10,32,32,57,46,49,48,55,54,49,101,
      45,50,51,32,57,46,48,50,57,51,101,45,50,51,32,56,46,57,48,52,49,57,101,45,50,
      51,32,48,114,50,56,51,32,55,46,49,51,50,53,53,101,45,51,56,32,51,46,53,52,53,
      56,54,101,45,51,55,32,49,46,56,50,56,50,57,101,45,51,54,32,55,46,49,52,48,52,
      101,45,51,54,10,32,32,50,46,53,51,49,49,56,101,45,51,53,32,57,46,51,50,51,49,
      54,101,45,51,53,32,52,46,48,50,55,52,57,101,45,51,52,32,49,46,48,50,53,49,101,
      45,51,51,32,50,46,56,50,52,50,49,101,45,51,51,32,54,46,53,49,54,56,57,101,45,
      51,51,32,49,46,48,57,48,55,52,101,45,51,49,10,32,32,50,46,48,56,53,48,53,101,
      45,51,49,32,51,46,56,53,48,56,101,45,51,49,32,54,46,56,56,56,57,49,101,45,51,
      49,32,49,46,49,57,55,48,54,101,45,51,48,32,50,46,48,50,53,48,55,101,45,51,48,
      32,51,46,51,52,49,57,57,101,45,51,48,32,53,46,51,56,57,54,51,101,45,51,48,10,
      32,32,56,46,53,48,55,56,52,101,45,51,48,32,49,46,51,49,54,54,50,101,45,50,57,
      32,50,46,48,48,48,49,52,101,45,50,57,32,50,46,57,56,54,55,49,101,45,50,57,32,
      52,46,51,56,56,55,56,101,45,50,57,32,54,46,51,53,51,49,54,101,45,50,57,32,49,
      46,51,50,51,49,54,101,45,50,56,10,32,32,49,46,55,56,54,101,45,50,56,32,50,46,
      51,57,50,48,49,101,45,50,56,32,51,46,51,48,50,53,52,101,45,50,56,32,52,46,51,
      53,56,54,101,45,50,56,32,53,46,55,49,50,55,54,101,45,50,56,32,55,46,52,55,52,
      52,101,45,50,56,32,57,46,54,55,52,52,56,101,45,50,56,10,32,32,49,46,51,50,53,
      49,57,101,45,50,55,32,49,46,54,56,53,51,57,101,45,50,55,32,50,46,49,51,50,53,
      55,101,45,50,55,32,50,46,54,56,53,50,54,101,45,50,55,32,51,46,51,54,53,51,55,
      101,45,50,55,32,52,46,49,57,56,55,54,101,45,50,55,32,53,46,50,49,53,57,50,101,
      45,50,55,10,32,32,54,46,52,53,50,52,50,101,45,50,55,32,55,46,57,53,51,57,49,
      101,45,50,55,32,57,46,55,54,49,56,50,101,45,50,55,32,49,46,49,53,48,56,51,101,
      45,50,54,32,49,46,51,52,49,56,51,101,45,50,54,32,49,46,53,54,49,51,101,45,50,
      54,32,49,46,56,49,50,56,57,101,45,50,54,10,32,32,50,46,49,48,48,55,55,101,45,
      50,54,32,50,46,52,55,52,57,52,101,45,50,54,32,51,46,48,51,52,55,54,101,45,50,
      54,32,51,46,55,48,54,55,49,101,45,50,54,32,52,46,53,49,48,49,55,101,45,50,54,
      32,53,46,52,54,55,50,53,101,45,50,54,32,54,46,54,48,51,49,51,101,45,50,54,10,
      32,32,55,46,57,52,54,51,55,101,45,50,54,32,57,46,53,50,57,51,50,101,45,50,54,
      32,49,46,49,51,56,55,55,101,45,50,53,32,49,46,51,53,54,50,52,101,45,50,53,32,
      49,46,54,48,57,56,51,101,45,50,53,32,49,46,57,48,52,53,56,101,45,50,53,32,50,
      46,50,52,54,48,53,101,45,50,53,10,32,32,50,46,54,52,48,51,52,101,45,50,53,32,
      51,46,48,57,53,50,50,101,45,50,53,32,51,46,54,49,53,56,55,101,45,50,53,32,52,
      46,50,49,49,51,101,45,50,53,32,52,46,56,57,48,49,53,101,45,50,53,32,53,46,54,
      54,49,55,51,101,45,50,53,32,54,46,53,51,54,48,53,101,45,50,53,10,32,32,55,46,
      53,50,53,49,55,101,45,50,53,32,56,46,54,51,56,49,101,45,50,53,32,57,46,56,56,
      55,57,49,101,45,50,53,32,49,46,49,50,56,55,55,101,45,50,52,32,49,46,50,56,53,
      49,50,101,45,50,52,32,49,46,52,53,57,49,56,101,45,50,52,32,49,46,54,53,50,52,
      51,101,45,50,52,10,32,32,49,46,56,54,54,51,50,101,45,50,52,32,50,46,49,48,50,
      52,51,101,45,50,52,32,50,46,51,54,50,51,51,101,45,50,52,32,50,46,54,52,55,54,
      54,101,45,50,52,32,50,46,57,54,48,48,53,101,45,50,52,32,51,46,51,48,49,49,55,
      101,45,50,52,32,51,46,54,55,50,54,50,101,45,50,52,10,32,32,52,46,48,55,54,48,
      50,101,45,50,52,32,52,46,53,49,50,56,53,101,45,50,52,32,52,46,57,56,52,54,56,
      101,45,50,52,32,54,46,48,51,57,48,53,101,45,50,52,32,55,46,50,52,57,55,57,101,
      45,50,52,32,56,46,54,50,52,56,51,101,45,50,52,32,49,46,48,49,54,57,56,101,45,
      50,51,10,32,32,49,46,49,56,56,56,49,101,45,50,51,32,49,46,51,55,55,57,101,45,
      50,51,32,49,46,53,56,51,56,50,101,45,50,51,32,49,46,56,48,53,54,52,101,45,50,
      51,32,50,46,48,52,49,57,56,101,45,50,51,32,50,46,50,57,49,48,50,101,45,50,51,
      32,50,46,53,53,48,52,57,101,45,50,51,10,32,32,50,46,56,49,55,55,57,101,45,50,
      51,32,51,46,48,56,57,56,56,101,45,50,51,32,51,46,51,54,51,50,57,101,45,50,51,
      32,51,46,54,51,52,53,54,101,45,50,51,32,51,46,56,57,57,57,57,101,45,50,51,32,
      52,46,49,53,53,56,56,101,45,50,51,32,52,46,51,57,56,53,49,101,45,50,51,10,32,
      32,52,46,54,50,52,50,55,101,45,50,51,32,52,46,56,50,57,55,57,101,45,50,51,32,
      53,46,48,49,50,49,54,101,45,50,51,32,53,46,49,54,56,56,49,101,45,50,51,32,53,
      46,50,57,55,54,50,101,45,50,51,32,53,46,51,57,54,57,53,101,45,50,51,32,53,46,
      52,54,53,56,50,101,45,50,51,10,32,32,53,46,53,48,51,55,55,101,45,50,51,32,53,
      46,53,49,48,57,52,101,45,50,51,32,53,46,52,56,55,55,55,101,45,50,51,32,53,46,
      52,51,53,51,49,101,45,50,51,32,48,114,50,56,52,32,54,46,51,51,57,56,54,101,
      45,51,56,32,51,46,52,57,54,49,57,101,45,51,55,32,49,46,52,52,51,57,57,101,45,
      51,54,10,32,32,53,46,51,57,51,56,56,101,45,51,54,32,50,46,48,57,55,53,50,101,
      45,51,53,32,57,46,53,53,55,101,45,51,53,32,50,46,53,50,57,49,49,101,45,51,52,
      32,55,46,50,54,57,52,50,101,45,51,52,32,49,46,55,51,55,52,51,101,45,51,51,32,
      51,46,52,53,48,48,55,101,45,51,50,10,32,32,54,46,55,55,55,55,57,101,45,51,50,
      32,49,46,50,56,51,56,56,101,45,51,49,32,50,46,51,53,50,53,101,45,51,49,32,52,
      46,49,56,49,51,54,101,45,51,49,32,55,46,50,50,53,55,55,101,45,51,49,32,49,46,
      50,49,54,53,52,101,45,51,48,32,49,46,57,57,57,50,53,101,45,51,48,10,32,32,51,
      46,50,49,50,53,51,101,45,51,48,32,53,46,48,53,53,53,57,101,45,51,48,32,55,46,
      56,48,51,50,56,101,45,51,48,32,49,46,49,56,50,55,54,101,45,50,57,32,49,46,55,
      54,50,54,52,101,45,50,57,32,50,46,53,56,53,54,54,101,45,50,57,32,53,46,55,56,
      57,50,51,101,45,50,57,10,32,32,55,46,56,54,55,52,53,101,45,50,57,32,49,46,48,
      54,48,53,56,101,45,50,56,32,49,46,52,55,52,57,101,45,50,56,32,49,46,57,53,56,
      54,55,101,45,50,56,32,50,46,53,56,50,53,50,101,45,50,56,32,51,46,51,57,55,49,
      54,101,45,50,56,32,52,46,52,50,48,55,53,101,45,50,56,10,32,32,54,46,49,53,49,
      49,50,101,45,50,56,32,55,46,56,53,54,54,101,45,50,56,32,57,46,57,56,49,54,52,
      101,45,50,56,32,49,46,50,54,49,55,52,101,45,50,55,32,49,46,53,56,55,49,56,101,
      45,50,55,32,49,46,57,56,55,50,53,101,45,50,55,32,50,46,52,55,55,48,50,101,45,
      50,55,10,32,32,51,46,48,55,52,49,56,101,45,50,55,32,51,46,56,48,49,50,53,101,
      45,50,55,32,52,46,54,55,57,52,51,101,45,50,55,32,53,46,53,52,51,54,56,101,45,
      50,55,32,54,46,52,55,54,54,53,101,45,50,55,32,55,46,53,53,48,55,53,101,45,50,
      55,32,56,46,55,56,52,52,56,101,45,50,55,10,32,32,49,46,48,49,57,56,57,101,45,
      50,54,32,49,46,50,48,52,49,50,101,45,50,54,32,49,46,52,56,48,52,56,101,45,50,
      54,32,49,46,56,49,51,49,101,45,50,54,32,50,46,50,49,49,57,101,45,50,54,32,50,
      46,54,56,56,50,54,101,45,50,54,32,51,46,50,53,53,49,101,45,50,54,10,32,32,51,
      46,57,50,55,49,52,101,45,50,54,32,52,46,55,50,49,50,50,101,45,50,54,32,53,46,
      54,53,54,50,101,45,50,54,32,54,46,55,53,51,50,101,45,50,54,32,56,46,48,51,53,
      54,54,101,45,50,54,32,57,46,53,51,48,52,52,101,45,50,54,32,49,46,49,50,54,54,
      55,101,45,50,53,10,32,32,49,46,51,50,55,54,56,101,45,50,53,32,49,46,53,54,48,
      51,56,101,45,50,53,32,49,46,56,50,55,50,56,101,45,50,53,32,50,46,49,51,51,51,
      52,101,45,50,53,32,50,46,52,56,51,50,49,101,45,50,53,32,50,46,56,56,49,57,52,
      101,45,50,53,32,51,46,51,51,52,57,55,101,45,50,53,10,32,32,51,46,56,52,56,57,
      54,101,45,50,53,32,52,46,52,50,56,55,56,101,45,50,53,32,53,46,48,56,49,54,57,
      101,45,50,53,32,53,46,56,49,52,55,56,101,45,50,53,32,54,46,54,51,53,56,101,
      45,50,53,32,55,46,53,53,50,50,57,101,45,50,53,32,56,46,53,55,50,55,53,101,45,
      50,53,10,32,32,57,46,55,48,53,54,54,101,45,50,53,32,49,46,48,57,53,57,56,101,
      45,50,52,32,49,46,50,51,52,52,101,45,50,52,32,49,46,51,56,54,55,54,101,45,50,
      52,32,49,46,53,53,52,48,52,101,45,50,52,32,49,46,55,51,55,50,52,101,45,50,52,
      32,49,46,57,51,55,50,56,101,45,50,52,10,32,32,50,46,49,53,53,49,53,101,45,50,
      52,32,50,46,51,57,49,56,50,101,45,50,52,32,50,46,54,52,56,49,56,101,45,50,52,
      32,51,46,50,50,51,53,55,101,45,50,52,32,51,46,56,56,56,49,54,101,45,50,52,32,
      52,46,54,52,55,54,52,101,45,50,52,32,53,46,53,48,54,53,53,101,45,50,52,10,32,
      32,54,46,52,54,55,56,56,101,45,50,52,32,55,46,53,51,50,55,49,101,45,50,52,32,
      56,46,54,57,57,55,54,101,45,50,52,32,57,46,57,54,53,52,56,101,45,50,52,32,49,
      46,49,51,50,51,56,101,45,50,51,32,49,46,50,55,54,53,54,101,45,50,51,32,49,46,
      52,50,55,57,50,101,45,50,51,10,32,32,49,46,53,56,53,48,56,101,45,50,51,32,49,
      46,55,52,54,51,55,101,45,50,51,32,49,46,57,48,57,57,54,101,45,50,51,32,50,46,
      48,55,51,56,51,101,45,50,51,32,50,46,50,51,53,56,57,101,45,50,51,32,50,46,51,
      57,51,56,55,101,45,50,51,32,50,46,53,52,53,53,54,101,45,50,51,10,32,32,50,46,
      54,56,56,55,51,101,45,50,51,32,50,46,56,50,49,51,101,45,50,51,32,50,46,57,52,
      49,52,50,101,45,50,51,32,51,46,48,52,55,51,51,101,45,50,51,32,51,46,49,51,55,
      53,54,101,45,50,51,32,51,46,50,49,48,57,54,101,45,50,51,32,51,46,50,54,54,54,
      53,101,45,50,51,10,32,32,51,46,51,48,52,49,101,45,50,51,32,51,46,51,50,51,48,
      56,101,45,50,51,32,51,46,51,50,51,54,56,101,45,50,51,32,51,46,51,48,54,51,50,
      101,45,50,51,32,48,114,50,56,53,32,54,46,52,55,53,48,56,101,45,51,56,32,50,
      46,56,51,49,55,53,101,45,51,55,32,49,46,49,49,53,52,56,101,45,51,54,10,32,32,
      52,46,53,56,52,48,55,101,45,51,54,32,50,46,50,48,52,50,49,101,45,51,53,32,54,
      46,48,55,48,55,54,101,45,51,53,32,49,46,56,50,50,49,57,101,45,51,52,32,52,46,
      53,49,50,53,54,101,45,51,52,32,49,46,48,54,53,52,55,101,45,51,50,32,50,46,49,
      53,51,48,50,101,45,51,50,10,32,32,52,46,49,56,56,53,55,101,45,51,50,32,55,46,
      56,54,56,49,53,101,45,51,50,32,49,46,52,51,49,52,57,101,45,51,49,32,50,46,53,
      50,56,54,49,101,45,51,49,32,52,46,51,52,54,50,51,101,45,51,49,32,55,46,50,56,
      51,53,54,101,45,51,49,32,49,46,49,57,50,49,55,101,45,51,48,10,32,32,49,46,57,
      48,57,48,52,101,45,51,48,32,50,46,57,57,53,52,56,101,45,51,48,32,52,46,54,49,
      49,51,101,45,51,48,32,54,46,57,55,51,55,54,101,45,51,48,32,49,46,48,51,55,51,
      55,101,45,50,57,32,50,46,53,49,51,55,53,101,45,50,57,32,51,46,52,52,48,56,53,
      101,45,50,57,10,32,32,52,46,54,55,48,49,101,45,50,57,32,54,46,53,52,48,50,54,
      101,45,50,57,32,56,46,55,52,49,50,52,101,45,50,57,32,49,46,49,53,57,53,55,101,
      45,50,56,32,49,46,53,51,51,55,56,101,45,50,56,32,50,46,48,48,55,48,54,101,45,
      50,56,32,50,46,56,51,57,57,52,101,45,50,56,10,32,32,51,46,54,52,51,54,56,101,
      45,50,56,32,52,46,54,52,57,49,49,101,45,50,56,32,53,46,57,48,48,54,51,101,45,
      50,56,32,55,46,52,53,49,51,51,101,45,50,56,32,57,46,51,54,51,56,56,101,45,50,
      56,32,49,46,49,55,49,50,56,101,45,50,55,32,49,46,52,53,56,53,53,101,45,50,55,
      10,32,32,49,46,56,48,57,51,55,101,45,50,55,32,50,46,50,51,52,52,50,101,45,50,
      55,32,50,46,54,54,50,48,53,101,45,50,55,32,51,46,49,49,54,49,53,101,45,50,55,
      32,51,46,54,51,57,57,55,101,45,50,55,32,52,46,50,52,50,56,56,101,45,50,55,32,
      52,46,57,51,53,52,55,101,45,50,55,10,32,32,53,46,56,51,57,52,51,101,45,50,55,
      32,55,46,49,57,56,56,53,101,45,50,55,32,56,46,56,51,57,52,56,101,45,50,55,32,
      49,46,48,56,49,50,101,45,50,54,32,49,46,51,49,55,52,54,101,45,50,54,32,49,46,
      53,57,57,52,101,45,50,54,32,49,46,57,51,52,54,101,45,50,54,10,32,32,50,46,51,
      51,49,55,51,101,45,50,54,32,50,46,56,48,48,53,54,101,45,50,54,32,51,46,51,53,
      50,49,51,101,45,50,54,32,51,46,57,57,56,55,55,101,45,50,54,32,52,46,55,53,52,
      52,57,101,45,50,54,32,53,46,54,51,52,55,101,45,50,54,32,54,46,54,53,54,52,52,
      101,45,50,54,10,32,32,55,46,56,52,51,53,52,101,45,50,54,32,57,46,50,48,55,51,
      56,101,45,50,54,32,49,46,48,55,55,53,55,101,45,50,53,32,49,46,50,53,55,51,53,
      101,45,50,53,32,49,46,52,54,50,55,56,101,45,50,53,32,49,46,54,57,54,56,52,101,
      45,50,53,32,49,46,57,54,51,49,53,101,45,50,53,10,32,32,50,46,50,54,52,51,51,
      101,45,50,53,32,50,46,54,48,52,51,52,101,45,50,53,32,50,46,57,56,55,50,101,
      45,50,53,32,51,46,52,49,55,50,50,101,45,50,53,32,51,46,56,57,56,52,56,101,45,
      50,53,32,52,46,52,51,53,55,55,101,45,50,53,32,53,46,48,51,51,55,53,101,45,50,
      53,10,32,32,53,46,54,57,55,53,53,101,45,50,53,32,54,46,52,51,50,51,101,45,50,
      53,32,55,46,50,52,51,53,50,101,45,50,53,32,56,46,49,51,54,56,53,101,45,50,53,
      32,57,46,49,49,55,56,57,101,45,50,53,32,49,46,48,49,57,50,50,101,45,50,52,32,
      49,46,49,51,54,53,52,101,45,50,52,10,32,32,49,46,50,54,52,51,54,101,45,50,52,
      32,49,46,52,48,51,50,101,45,50,52,32,49,46,55,49,54,50,49,101,45,50,52,32,50,
      46,48,55,57,56,52,101,45,50,52,32,50,46,52,57,55,56,52,101,45,50,52,32,50,46,
      57,55,51,52,56,101,45,50,52,32,51,46,53,48,57,50,55,101,45,50,52,10,32,32,52,
      46,49,48,54,52,57,101,45,50,52,32,52,46,55,54,53,49,56,101,45,50,52,32,53,46,
      52,56,52,50,53,101,45,50,52,32,54,46,50,54,49,49,54,101,45,50,52,32,55,46,48,
      57,49,55,57,101,45,50,52,32,55,46,57,55,48,50,51,101,45,50,52,32,56,46,56,56,
      57,50,52,101,45,50,52,10,32,32,57,46,56,52,48,49,56,101,45,50,52,32,49,46,48,
      56,49,51,50,101,45,50,51,32,49,46,49,55,57,54,53,101,45,50,51,32,49,46,50,55,
      55,56,101,45,50,51,32,49,46,51,55,52,52,56,101,45,50,51,32,49,46,52,54,56,51,
      56,101,45,50,51,32,49,46,53,53,56,50,101,45,50,51,10,32,32,49,46,54,52,50,53,
      57,101,45,50,51,32,49,46,55,50,48,51,56,101,45,50,51,32,49,46,55,57,48,53,101,
      45,50,51,32,49,46,56,53,49,57,52,101,45,50,51,32,49,46,57,48,51,56,53,101,45,
      50,51,32,49,46,57,52,53,54,101,45,50,51,32,49,46,57,55,54,55,101,45,50,51,10,
      32,32,49,46,57,57,54,56,55,101,45,50,51,32,50,46,48,48,53,57,51,101,45,50,51,
      32,50,46,48,48,52,48,56,101,45,50,51,32,48,114,50,56,54,32,53,46,51,55,53,57,
      55,101,45,51,56,32,50,46,50,51,54,51,101,45,51,55,32,57,46,55,50,50,54,56,101,
      45,51,55,32,52,46,57,52,48,57,101,45,51,54,10,32,32,49,46,52,49,55,48,53,101,
      45,51,53,32,52,46,52,52,52,55,53,101,45,51,53,32,49,46,49,52,49,55,51,101,45,
      51,52,32,51,46,50,49,49,52,56,101,45,51,51,32,54,46,54,56,49,53,56,101,45,51,
      51,32,49,46,51,51,53,56,57,101,45,51,50,32,50,46,53,55,52,55,57,101,45,51,50,
      10,32,32,52,46,55,57,57,51,56,101,45,51,50,32,56,46,54,55,52,49,54,101,45,51,
      50,32,49,46,53,50,51,53,49,101,45,51,49,32,50,46,54,48,53,51,55,101,45,51,49,
      32,52,46,51,52,55,48,57,101,45,51,49,32,55,46,48,56,56,51,51,101,45,51,49,32,
      49,46,49,51,49,52,49,101,45,51,48,10,32,32,49,46,55,55,48,49,55,101,45,51,48,
      32,50,46,55,49,56,53,55,101,45,51,48,32,52,46,49,48,51,49,56,101,45,51,48,32,
      49,46,48,56,49,52,56,101,45,50,57,32,49,46,52,57,49,56,53,101,45,50,57,32,50,
      46,48,51,57,53,57,101,45,50,57,32,50,46,56,55,54,53,57,101,45,50,57,10,32,32,
      51,46,56,55,48,56,51,101,45,50,57,32,53,46,49,54,56,51,52,101,45,50,57,32,54,
      46,56,55,55,49,49,101,45,50,57,32,57,46,48,53,51,52,49,101,45,50,57,32,49,46,
      51,48,52,51,56,101,45,50,56,32,49,46,54,56,49,56,56,101,45,50,56,32,50,46,49,
      53,54,48,52,101,45,50,56,10,32,32,50,46,55,52,56,53,101,45,50,56,32,51,46,52,
      56,53,50,57,101,45,50,56,32,52,46,51,57,55,51,49,101,45,50,56,32,53,46,53,50,
      49,51,49,101,45,50,56,32,54,46,57,48,48,52,49,101,45,50,56,32,56,46,53,56,57,
      48,53,101,45,50,56,32,49,46,48,54,52,49,54,101,45,50,55,10,32,32,49,46,50,55,
      54,49,55,101,45,50,55,32,49,46,52,57,54,57,101,45,50,55,32,49,46,55,53,50,48,
      51,101,45,50,55,32,50,46,48,52,54,50,56,101,45,50,55,32,50,46,51,56,52,57,53,
      101,45,50,55,32,50,46,56,50,55,57,52,101,45,50,55,32,51,46,52,57,53,56,53,101,
      45,50,55,10,32,32,52,46,51,48,52,51,49,101,45,50,55,32,53,46,50,55,56,56,49,
      101,45,50,55,32,54,46,52,52,57,51,50,101,45,50,55,32,55,46,56,52,57,56,54,101,
      45,50,55,32,57,46,53,49,57,53,52,101,45,50,55,32,49,46,49,53,48,51,101,45,50,
      54,32,49,46,51,56,53,49,101,45,50,54,10,32,32,49,46,54,54,50,49,101,45,50,54,
      32,49,46,57,56,55,55,52,101,45,50,54,32,50,46,51,54,57,51,101,45,50,54,32,50,
      46,56,49,52,56,54,101,45,50,54,32,51,46,51,51,51,52,53,101,45,50,54,32,51,46,
      57,51,56,50,101,45,50,54,32,52,46,54,51,52,49,101,45,50,54,10,32,32,53,46,52,
      51,54,52,53,101,45,50,54,32,54,46,51,53,56,54,50,101,45,50,54,32,55,46,52,49,
      53,50,49,101,45,50,54,32,56,46,54,50,50,48,57,101,45,50,54,32,57,46,57,57,57,
      50,51,101,45,50,54,32,49,46,49,53,54,48,56,101,45,50,53,32,49,46,51,51,50,56,
      54,101,45,50,53,10,32,32,49,46,53,51,50,52,51,101,45,50,53,32,49,46,55,53,55,
      49,56,101,45,50,53,32,50,46,48,48,57,51,57,101,45,50,53,32,50,46,50,57,49,54,
      56,101,45,50,53,32,50,46,54,48,54,55,54,101,45,50,53,32,50,46,57,53,55,52,51,
      101,45,50,53,32,51,46,51,52,54,54,50,101,45,50,53,10,32,32,51,46,55,55,55,52,
      52,101,45,50,53,32,52,46,50,53,51,49,54,101,45,50,53,32,52,46,55,55,54,57,55,
      101,45,50,53,32,53,46,51,53,50,50,49,101,45,50,53,32,53,46,57,56,50,50,55,101,
      45,50,53,32,54,46,54,55,48,53,57,101,45,50,53,32,55,46,52,50,48,51,57,101,45,
      50,53,10,32,32,57,46,49,49,56,49,51,101,45,50,53,32,49,46,49,49,48,49,57,101,
      45,50,52,32,49,46,51,51,57,53,56,101,45,50,52,32,49,46,54,48,50,49,49,101,45,
      50,52,32,49,46,56,57,57,53,52,101,45,50,52,32,50,46,50,51,51,49,53,101,45,50,
      52,32,50,46,54,48,51,53,53,101,45,50,52,10,32,32,51,46,48,49,48,52,56,101,45,
      50,52,32,51,46,52,53,51,48,49,101,45,50,52,32,51,46,57,50,57,51,53,101,45,50,
      52,32,52,46,52,51,54,55,51,101,45,50,52,32,52,46,57,55,49,54,49,101,45,50,52,
      32,53,46,53,50,57,51,57,101,45,50,52,32,54,46,49,48,52,51,57,101,45,50,52,10,
      32,32,54,46,54,57,48,52,52,101,45,50,52,32,55,46,50,56,48,55,49,101,45,50,52,
      32,55,46,56,54,55,55,54,101,45,50,52,32,56,46,52,52,52,48,53,101,45,50,52,32,
      57,46,48,48,49,54,49,101,45,50,52,32,57,46,53,51,50,55,52,101,45,50,52,32,49,
      46,48,48,51,101,45,50,51,10,32,32,49,46,48,52,56,54,53,101,45,50,51,32,49,46,
      48,56,57,53,54,101,45,50,51,32,49,46,49,50,53,49,53,101,45,50,51,32,49,46,49,
      53,52,57,52,101,45,50,51,32,49,46,49,55,56,53,57,101,45,50,51,32,49,46,49,57,
      53,56,53,101,45,50,51,32,49,46,50,48,54,53,56,101,45,50,51,10,32,32,49,46,50,
      49,48,55,101,45,50,51,32,48,114,50,56,55,32,52,46,51,53,56,56,55,101,45,51,
      56,32,50,46,48,48,54,54,55,101,45,51,55,32,49,46,48,55,56,57,54,101,45,51,54,
      32,51,46,50,50,52,53,54,101,45,51,54,32,49,46,48,53,55,57,56,101,45,51,53,32,
      50,46,56,50,48,56,57,101,45,51,53,10,32,32,57,46,52,54,52,52,51,101,45,51,52,
      32,50,46,48,50,57,50,56,101,45,51,51,32,52,46,49,55,51,49,53,101,45,51,51,32,
      56,46,50,53,57,53,50,101,45,51,51,32,49,46,53,55,56,54,50,101,45,51,50,32,50,
      46,57,50,49,50,57,101,45,51,50,32,53,46,50,52,53,57,55,101,45,51,50,10,32,32,
      57,46,49,54,49,51,56,101,45,51,50,32,49,46,53,53,57,49,53,101,45,51,49,32,50,
      46,53,57,48,51,54,101,45,51,49,32,52,46,50,48,56,51,54,101,45,51,49,32,54,46,
      54,57,53,56,50,101,45,51,49,32,49,46,48,52,52,56,53,101,45,51,48,32,49,46,54,
      48,48,57,57,101,45,51,48,10,32,32,52,46,54,49,51,51,53,101,45,51,48,32,54,46,
      52,49,54,55,55,101,45,51,48,32,56,46,56,52,49,53,51,101,45,51,48,32,49,46,50,
      53,54,48,57,101,45,50,57,32,49,46,55,48,50,55,49,101,45,50,57,32,50,46,50,56,
      57,51,55,101,45,50,57,32,51,46,48,54,53,52,57,101,45,50,57,10,32,32,52,46,48,
      54,48,55,56,101,45,50,57,32,53,46,57,54,48,57,51,101,45,50,57,32,55,46,55,50,
      54,48,55,101,45,50,57,32,57,46,57,53,51,49,101,45,50,57,32,49,46,50,55,52,56,
      49,101,45,50,56,32,49,46,54,50,51,55,56,101,45,50,56,32,50,46,48,53,55,51,54,
      101,45,50,56,10,32,32,50,46,53,57,51,54,54,101,45,50,56,32,51,46,50,53,52,48,
      51,101,45,50,56,32,52,46,48,54,53,48,57,101,45,50,56,32,53,46,48,53,52,50,49,
      101,45,50,56,32,54,46,49,48,56,49,52,101,45,50,56,32,55,46,49,55,57,53,50,101,
      45,50,56,32,56,46,52,50,48,50,101,45,50,56,10,32,32,57,46,56,53,51,57,52,101,
      45,50,56,32,49,46,49,53,48,55,53,101,45,50,55,32,49,46,51,54,55,52,57,101,45,
      50,55,32,49,46,54,57,53,49,101,45,50,55,32,50,46,48,57,50,55,49,101,45,50,55,
      32,50,46,53,55,51,51,51,101,45,50,55,32,51,46,49,53,50,49,57,101,45,50,55,10,
      32,32,51,46,56,52,54,54,57,101,45,50,55,32,52,46,54,55,54,56,51,101,45,50,55,
      32,53,46,54,54,53,54,50,101,45,50,55,32,54,46,56,51,57,51,54,101,45,50,55,32,
      56,46,50,50,55,54,49,101,45,50,55,32,57,46,56,54,51,55,101,45,50,55,32,49,46,
      49,55,56,53,56,101,45,50,54,10,32,32,49,46,52,48,51,54,51,101,45,50,54,32,49,
      46,54,54,54,50,54,101,45,50,54,32,49,46,57,55,51,55,54,101,45,50,54,32,50,46,
      51,50,56,48,54,101,45,50,54,32,50,46,55,51,55,53,56,101,45,50,54,32,51,46,50,
      48,57,52,57,101,45,50,54,32,51,46,55,53,49,54,52,101,45,50,54,10,32,32,52,46,
      51,55,50,52,55,101,45,50,54,32,53,46,48,56,50,57,53,101,45,50,54,32,53,46,56,
      57,48,53,101,45,50,54,32,54,46,56,48,54,56,51,101,45,50,54,32,55,46,56,52,52,
      48,51,101,45,50,54,32,57,46,48,49,53,51,51,101,45,50,54,32,49,46,48,51,51,51,
      51,101,45,50,53,10,32,32,49,46,49,56,49,50,55,101,45,50,53,32,49,46,51,52,54,
      56,54,101,45,50,53,32,49,46,53,51,49,54,51,101,45,50,53,32,49,46,55,51,55,50,
      51,101,45,50,53,32,49,46,57,54,53,52,51,101,45,50,53,32,50,46,50,49,56,48,52,
      101,45,50,53,32,50,46,52,57,54,57,54,101,45,50,53,10,32,32,50,46,56,48,52,49,
      51,101,45,50,53,32,51,46,49,52,49,52,55,101,45,50,53,32,51,46,53,49,48,57,57,
      101,45,50,53,32,51,46,57,49,52,54,51,101,45,50,53,32,52,46,56,51,50,53,52,101,
      45,50,53,32,53,46,57,49,49,48,57,101,45,50,53,32,55,46,49,54,53,52,50,101,45,
      50,53,10,32,32,56,46,54,48,57,54,57,101,45,50,53,32,49,46,48,50,53,53,57,101,
      45,50,52,32,49,46,50,49,49,50,56,101,45,50,52,32,49,46,52,49,56,54,55,101,45,
      50,52,32,49,46,54,52,55,57,57,101,45,50,52,32,49,46,56,57,57,101,45,50,52,32,
      50,46,49,55,49,48,49,101,45,50,52,10,32,32,50,46,52,54,50,55,56,101,45,50,52,
      32,50,46,55,55,50,52,57,101,45,50,52,32,51,46,48,57,55,55,54,101,45,50,52,32,
      51,46,52,51,53,54,56,101,45,50,52,32,51,46,55,56,50,57,52,101,45,50,52,32,52,
      46,49,51,53,54,55,101,45,50,52,32,52,46,52,56,57,54,57,101,45,50,52,10,32,32,
      52,46,56,52,48,54,52,101,45,50,52,32,53,46,49,56,51,57,49,101,45,50,52,32,53,
      46,53,49,52,57,101,45,50,52,32,53,46,56,50,56,57,56,101,45,50,52,32,54,46,49,
      50,49,55,53,101,45,50,52,32,54,46,51,56,57,49,49,101,45,50,52,32,54,46,54,50,
      55,51,51,101,45,50,52,10,32,32,54,46,56,51,51,49,55,101,45,50,52,32,55,46,48,
      48,52,48,53,101,45,50,52,32,55,46,49,51,55,55,55,101,45,50,52,32,55,46,50,51,
      50,57,52,101,45,50,52,32,55,46,50,56,57,48,57,101,45,50,52,32,48,114,50,56,
      56,32,52,46,48,49,53,56,57,101,45,51,56,32,50,46,50,56,54,52,55,101,45,51,55,
      10,32,32,55,46,49,50,54,56,53,101,45,51,55,32,50,46,52,52,55,55,101,45,51,54,
      32,54,46,55,55,57,49,57,101,45,51,54,32,50,46,55,51,48,55,54,101,45,51,52,32,
      54,46,48,51,55,56,51,101,45,51,52,32,49,46,50,55,56,51,56,101,45,51,51,32,50,
      46,54,48,48,56,57,101,45,51,51,10,32,32,53,46,48,57,57,57,50,101,45,51,51,32,
      57,46,54,54,53,56,49,101,45,51,51,32,49,46,55,55,53,52,54,101,45,51,50,32,51,
      46,49,54,55,57,51,101,45,51,50,32,53,46,53,48,49,55,52,101,45,51,50,32,57,46,
      51,49,55,56,50,101,45,51,50,32,49,46,53,52,49,54,57,101,45,51,49,10,32,32,50,
      46,52,57,53,56,53,101,45,51,49,32,51,46,57,53,57,48,49,101,45,51,49,32,54,46,
      49,54,49,54,54,101,45,51,49,32,49,46,57,52,56,56,55,101,45,51,48,32,50,46,55,
      51,53,49,101,45,51,48,32,51,46,56,48,48,51,54,101,45,51,48,32,53,46,52,51,57,
      49,54,101,45,51,48,10,32,32,55,46,52,50,57,57,57,101,45,51,48,32,49,46,48,48,
      54,49,57,101,45,50,57,32,49,46,51,53,54,48,57,101,45,50,57,32,49,46,56,48,56,
      50,53,101,45,50,57,32,50,46,55,48,55,51,56,101,45,50,57,32,51,46,53,50,56,55,
      49,101,45,50,57,32,52,46,53,54,57,56,50,101,45,50,57,10,32,32,53,46,56,56,50,
      50,50,101,45,50,57,32,55,46,53,50,55,56,50,101,45,50,57,32,57,46,53,56,48,54,
      52,101,45,50,57,32,49,46,50,49,50,57,52,101,45,50,56,32,49,46,53,50,55,56,53,
      101,45,50,56,32,49,46,57,49,53,57,49,101,45,50,56,32,50,46,51,57,48,56,50,101,
      45,50,56,10,32,32,50,46,57,49,53,51,101,45,50,56,32,51,46,52,51,51,57,53,101,
      45,50,56,32,52,46,48,51,53,56,52,101,45,50,56,32,52,46,55,51,50,55,56,101,45,
      50,56,32,53,46,53,51,56,49,54,101,45,50,56,32,54,46,53,57,54,48,53,101,45,50,
      56,32,56,46,49,57,56,57,54,101,45,50,56,10,32,32,49,46,48,49,52,57,55,101,45,
      50,55,32,49,46,50,53,49,52,51,101,45,50,55,32,49,46,53,51,54,57,56,101,45,50,
      55,32,49,46,56,56,48,52,57,101,45,50,55,32,50,46,50,57,50,50,52,101,45,50,55,
      32,50,46,55,56,52,48,56,101,45,50,55,32,51,46,51,54,57,50,55,101,45,50,55,10,
      32,32,52,46,48,54,51,49,57,101,45,50,55,32,52,46,56,56,51,50,53,101,45,50,55,
      32,53,46,56,52,57,49,55,101,45,50,55,32,54,46,57,56,51,49,52,101,45,50,55,32,
      56,46,51,49,48,48,53,101,45,50,55,32,57,46,56,55,48,55,49,101,45,50,55,32,49,
      46,49,54,55,48,52,101,45,50,54,10,32,32,49,46,51,55,53,53,57,101,45,50,54,32,
      49,46,54,49,54,53,53,101,45,50,54,32,49,46,56,57,52,48,56,101,45,50,54,32,50,
      46,50,49,50,55,51,101,45,50,54,32,50,46,53,55,56,52,52,101,45,50,54,32,50,46,
      57,57,53,49,54,101,45,50,54,32,51,46,52,54,57,48,55,101,45,50,54,10,32,32,52,
      46,48,48,54,57,50,101,45,50,54,32,52,46,54,49,53,57,52,101,45,50,54,32,53,46,
      51,48,50,57,50,101,45,50,54,32,54,46,48,55,54,48,51,101,45,50,54,32,54,46,57,
      52,51,53,49,101,45,50,54,32,55,46,57,49,52,49,49,101,45,50,54,32,56,46,57,57,
      55,49,54,101,45,50,54,10,32,32,49,46,48,50,48,50,55,101,45,50,53,32,49,46,49,
      53,52,48,57,101,45,50,53,32,49,46,51,48,50,50,52,101,45,50,53,32,49,46,52,54,
      53,56,50,101,45,50,53,32,49,46,54,52,53,57,53,101,45,50,53,32,49,46,56,52,51,
      55,55,101,45,50,53,32,50,46,48,54,48,52,53,101,45,50,53,10,32,32,50,46,53,53,
      53,50,49,101,45,50,53,32,51,46,49,51,57,56,51,101,45,50,53,32,51,46,56,50,51,
      53,52,101,45,50,53,32,52,46,54,49,53,49,56,101,45,50,53,32,53,46,53,50,50,55,
      55,101,45,50,53,32,54,46,53,53,50,57,52,101,45,50,53,32,55,46,55,49,48,49,57,
      101,45,50,53,10,32,32,56,46,57,57,55,53,54,101,45,50,53,32,49,46,48,52,49,53,
      56,101,45,50,52,32,49,46,49,57,54,50,54,101,45,50,52,32,49,46,51,54,51,50,55,
      101,45,50,52,32,49,46,53,52,49,55,52,101,45,50,52,32,49,46,55,51,48,53,50,101,
      45,50,52,32,49,46,57,50,56,49,101,45,50,52,10,32,32,50,46,49,51,50,54,55,101,
      45,50,52,32,50,46,51,52,50,49,54,101,45,50,52,32,50,46,53,53,52,50,57,101,45,
      50,52,32,50,46,55,54,54,53,51,101,45,50,52,32,50,46,57,55,54,50,50,101,45,50,
      52,32,51,46,49,56,48,54,52,101,45,50,52,32,51,46,51,55,54,56,57,101,45,50,52,
      10,32,32,51,46,53,54,50,52,101,45,50,52,32,51,46,55,51,52,54,101,45,50,52,32,
      51,46,56,57,49,48,54,101,45,50,52,32,52,46,48,50,57,54,101,45,50,52,32,52,46,
      49,52,56,52,51,101,45,50,52,32,52,46,50,52,54,48,56,101,45,50,52,32,52,46,51,
      50,49,51,56,101,45,50,52,10,32,32,52,46,51,55,51,54,56,101,45,50,52,32,48,114,
      50,56,57,32,51,46,52,49,57,51,52,101,45,51,56,32,49,46,49,50,49,55,55,101,45,
      51,55,32,52,46,48,55,53,49,53,101,45,51,55,32,49,46,49,56,50,53,101,45,51,54,
      32,53,46,57,52,48,49,51,101,45,51,53,32,49,46,51,54,52,55,51,101,45,51,52,10,
      32,32,50,46,57,57,53,53,54,101,45,51,52,32,54,46,51,48,50,53,50,101,45,51,52,
      32,49,46,50,55,53,53,50,101,45,51,51,32,50,46,52,57,49,49,53,101,45,51,51,32,
      52,46,55,48,55,53,51,101,45,51,51,32,56,46,54,50,55,55,57,101,45,51,51,32,49,
      46,53,51,54,57,57,101,45,51,50,10,32,32,50,46,54,54,54,53,52,101,45,51,50,32,
      52,46,53,49,51,55,51,101,45,51,50,32,55,46,52,54,54,57,52,101,45,51,50,32,49,
      46,50,48,56,57,50,101,45,51,49,32,49,46,57,49,56,51,49,101,45,51,49,32,54,46,
      56,51,56,49,57,101,45,51,49,32,57,46,55,48,55,51,56,101,45,51,49,10,32,32,49,
      46,51,54,51,49,53,101,45,51,48,32,49,46,57,54,56,50,54,101,45,51,48,32,50,46,
      55,49,52,55,57,101,45,51,48,32,51,46,55,49,48,53,53,101,45,51,48,32,53,46,48,
      52,51,48,56,101,45,51,48,32,54,46,55,56,48,56,54,101,45,51,48,32,49,46,48,52,
      48,51,51,101,45,50,57,10,32,32,49,46,51,54,53,57,51,101,45,50,57,32,49,46,55,
      56,49,49,56,101,45,50,57,32,50,46,51,48,55,54,55,101,45,50,57,32,50,46,57,55,
      49,52,52,101,45,50,57,32,51,46,56,48,51,56,49,101,45,50,57,32,52,46,56,52,50,
      50,53,101,45,50,57,32,54,46,49,51,49,53,51,101,45,50,57,10,32,32,55,46,55,50,
      55,48,52,101,45,50,57,32,57,46,54,56,56,49,56,101,45,50,57,32,49,46,49,57,54,
      51,55,101,45,50,56,32,49,46,52,49,50,57,101,45,50,56,32,49,46,54,54,52,55,57,
      101,45,50,56,32,49,46,57,53,55,50,101,45,50,56,32,50,46,50,57,53,57,52,101,
      45,50,56,10,32,32,50,46,55,52,50,101,45,50,56,32,51,46,52,49,57,56,56,101,45,
      50,56,32,52,46,50,52,55,54,52,101,45,50,56,32,53,46,50,53,52,51,56,101,45,50,
      56,32,54,46,52,55,52,48,53,101,45,50,56,32,55,46,57,52,54,49,50,101,45,50,56,
      32,57,46,55,49,54,50,54,101,45,50,56,10,32,32,49,46,49,56,51,55,50,101,45,50,
      55,32,49,46,52,51,54,57,49,101,45,50,55,32,49,46,55,51,56,49,51,101,45,50,55,
      32,50,46,48,57,53,50,51,101,45,50,55,32,50,46,53,49,55,49,57,101,45,50,55,32,
      51,46,48,49,52,49,101,45,50,55,32,51,46,53,57,55,51,53,101,45,50,55,10,32,32,
      52,46,50,56,55,51,57,101,45,50,55,32,53,46,48,56,51,53,49,101,45,50,55,32,54,
      46,48,48,56,56,57,101,45,50,55,32,55,46,48,56,49,49,55,101,45,50,55,32,56,46,
      51,49,57,57,52,101,45,50,55,32,57,46,55,52,54,56,50,101,45,50,55,32,49,46,49,
      51,57,48,52,101,45,50,54,10,32,32,49,46,51,50,54,57,101,45,50,54,32,49,46,53,
      52,49,49,56,101,45,50,54,32,49,46,55,56,53,49,51,101,45,50,54,32,50,46,48,54,
      50,50,54,101,45,50,54,32,50,46,51,55,53,55,56,101,45,50,54,32,50,46,55,50,57,
      55,101,45,50,54,32,51,46,49,50,56,48,50,101,45,50,54,10,32,32,51,46,53,55,53,
      49,51,101,45,50,54,32,52,46,48,55,53,53,55,101,45,50,54,32,52,46,54,51,52,50,
      52,101,45,50,54,32,53,46,50,53,54,50,52,101,45,50,54,32,53,46,57,52,55,48,54,
      101,45,50,54,32,54,46,55,49,50,50,52,101,45,50,54,32,55,46,53,53,55,54,101,
      45,50,54,10,32,32,56,46,52,56,56,57,55,101,45,50,54,32,57,46,53,49,50,53,52,
      101,45,50,54,32,49,46,49,56,54,49,53,101,45,50,53,32,49,46,52,54,53,53,54,101,
      45,50,53,32,49,46,55,57,52,52,55,101,45,50,53,32,50,46,49,55,55,55,52,101,45,
      50,53,32,50,46,54,50,48,49,50,101,45,50,53,10,32,32,51,46,49,50,53,54,52,101,
      45,50,53,32,51,46,54,57,55,55,54,101,45,50,53,32,52,46,51,51,56,57,50,101,45,
      50,53,32,53,46,48,53,48,50,52,101,45,50,53,32,53,46,56,51,49,55,101,45,50,53,
      32,54,46,54,56,49,56,51,101,45,50,53,32,55,46,53,57,55,54,101,45,50,53,10,32,
      32,56,46,53,55,52,50,56,101,45,50,53,32,57,46,54,48,52,57,101,45,50,53,32,49,
      46,48,54,56,49,54,101,45,50,52,32,49,46,49,55,57,52,54,101,45,50,52,32,49,46,
      50,57,51,50,54,101,45,50,52,32,49,46,52,48,56,51,49,101,45,50,52,32,49,46,53,
      50,51,50,51,101,45,50,52,10,32,32,49,46,54,51,54,53,53,101,45,50,52,32,49,46,
      55,52,54,56,52,101,45,50,52,32,49,46,56,53,50,54,52,101,45,50,52,32,49,46,57,
      53,50,53,49,101,45,50,52,32,50,46,48,52,53,48,53,101,45,50,52,32,50,46,49,50,
      57,48,49,101,45,50,52,32,50,46,50,48,51,50,57,101,45,50,52,10,32,32,50,46,50,
      54,54,57,51,101,45,50,52,32,50,46,51,49,57,48,55,101,45,50,52,32,50,46,51,53,
      57,49,54,101,45,50,52,32,48,114,50,57,49,32,54,46,53,53,52,57,53,101,45,51,
      56,32,49,46,57,57,52,50,52,101,45,51,55,32,49,46,50,52,56,49,51,101,45,51,53,
      32,50,46,57,56,49,53,52,101,45,51,53,10,32,32,54,46,55,56,57,56,51,101,45,51,
      53,32,49,46,52,55,57,54,49,101,45,51,52,32,51,46,48,57,54,51,101,45,51,52,32,
      54,46,50,51,57,49,53,101,45,51,52,32,49,46,50,49,52,49,55,101,45,51,51,32,50,
      46,50,56,55,56,51,101,45,51,51,32,52,46,49,56,52,48,54,101,45,51,51,10,32,32,
      55,46,52,52,50,50,51,101,45,51,51,32,49,46,50,56,57,57,50,101,45,51,50,32,50,
      46,49,56,50,50,49,101,45,51,50,32,51,46,54,48,57,50,51,101,45,51,50,32,53,46,
      56,52,52,50,50,101,45,51,50,32,50,46,51,53,56,56,55,101,45,51,49,32,51,46,51,
      57,48,54,55,101,45,51,49,10,32,32,52,46,56,49,55,56,56,101,45,51,49,32,55,46,
      48,50,52,49,52,101,45,51,49,32,57,46,55,57,49,53,53,101,45,51,49,32,49,46,51,
      53,49,55,57,101,45,51,48,32,49,46,56,53,52,48,50,101,45,51,48,32,50,46,53,49,
      53,51,49,101,45,51,48,32,51,46,57,53,55,52,55,101,45,51,48,10,32,32,53,46,50,
      51,55,54,101,45,51,48,32,54,46,56,56,49,50,51,101,45,51,48,32,56,46,57,55,56,
      52,49,101,45,51,48,32,49,46,49,54,51,56,51,101,45,50,57,32,49,46,52,57,57,50,
      49,101,45,50,57,32,49,46,57,49,57,57,50,101,45,50,57,32,50,46,52,52,52,57,49,
      101,45,50,57,10,32,32,51,46,48,57,55,54,54,101,45,50,57,32,51,46,57,48,51,56,
      55,101,45,50,57,32,52,46,56,57,51,57,53,101,45,50,57,32,53,46,55,57,53,54,56,
      101,45,50,57,32,54,46,56,52,55,51,50,101,45,50,57,32,56,46,48,55,49,48,53,101,
      45,50,57,32,57,46,52,57,50,48,56,101,45,50,57,10,32,32,49,46,49,51,54,56,50,
      101,45,50,56,32,49,46,52,50,50,56,52,101,45,50,56,32,49,46,55,55,51,50,50,101,
      45,50,56,32,50,46,50,48,48,56,101,45,50,56,32,50,46,55,50,48,53,55,101,45,50,
      56,32,51,46,51,52,57,57,50,101,45,50,56,32,52,46,49,48,57,48,53,101,45,50,56,
      10,32,32,53,46,48,50,49,53,54,101,45,50,56,32,54,46,49,49,52,52,57,101,45,50,
      56,32,55,46,52,49,56,55,50,101,45,50,56,32,56,46,57,54,57,52,56,101,45,50,56,
      32,49,46,48,56,48,55,54,101,45,50,55,32,49,46,50,57,55,56,57,101,45,50,55,32,
      49,46,53,53,51,53,101,45,50,55,10,32,32,49,46,56,53,55,57,101,45,50,55,32,50,
      46,50,48,57,48,55,101,45,50,55,32,50,46,54,49,56,53,52,101,45,50,55,32,51,46,
      48,57,52,52,54,101,45,50,55,32,51,46,54,52,53,57,52,101,45,50,55,32,52,46,50,
      56,51,48,54,101,45,50,55,32,53,46,48,49,57,53,101,45,50,55,10,32,32,53,46,56,
      54,51,56,51,101,45,50,55,32,54,46,56,50,57,50,54,101,45,50,55,32,55,46,57,51,
      49,54,52,101,45,50,55,32,57,46,49,56,55,53,51,101,45,50,55,32,49,46,48,54,49,
      50,54,101,45,50,54,32,49,46,50,50,50,54,51,101,45,50,54,32,49,46,52,48,52,56,
      50,101,45,50,54,10,32,32,49,46,54,48,57,57,56,101,45,50,54,32,49,46,56,52,48,
      51,49,101,45,50,54,32,50,46,48,57,56,50,53,101,45,50,54,32,50,46,51,56,54,51,
      56,101,45,50,54,32,50,46,55,48,55,51,54,101,45,50,54,32,51,46,48,54,51,57,53,
      101,45,50,54,32,51,46,52,53,57,48,57,101,45,50,54,10,32,32,51,46,56,57,53,56,
      56,101,45,50,54,32,52,46,51,55,55,52,49,101,45,50,54,32,53,46,52,56,55,54,50,
      101,45,50,54,32,54,46,56,49,54,52,51,101,45,50,54,32,56,46,51,57,48,57,55,101,
      45,50,54,32,49,46,48,50,51,56,52,101,45,50,53,32,49,46,50,51,56,53,101,45,50,
      53,10,32,32,49,46,52,56,53,52,55,101,45,50,53,32,49,46,55,54,54,56,101,45,50,
      53,32,50,46,48,56,52,50,56,101,45,50,53,32,50,46,52,51,57,48,54,101,45,50,53,
      32,50,46,56,51,49,54,57,101,45,50,53,32,51,46,50,54,49,57,57,101,45,50,53,32,
      51,46,55,50,56,57,57,101,45,50,53,10,32,32,52,46,50,51,48,56,56,101,45,50,53,
      32,52,46,55,54,53,48,54,101,45,50,53,32,53,46,51,50,55,56,51,101,45,50,53,32,
      53,46,57,49,52,55,49,101,45,50,53,32,54,46,53,50,48,50,52,101,45,50,53,32,55,
      46,49,51,56,50,54,101,45,50,53,32,55,46,55,54,49,57,49,101,45,50,53,10,32,32,
      56,46,51,56,51,56,53,101,45,50,53,32,56,46,57,57,54,52,56,101,45,50,53,32,57,
      46,53,57,49,57,101,45,50,53,32,49,46,48,49,54,50,50,101,45,50,52,32,49,46,48,
      54,57,57,56,101,45,50,52,32,49,46,49,49,57,55,53,101,45,50,52,32,49,46,49,54,
      52,56,53,101,45,50,52,10,32,32,49,46,50,48,52,55,101,45,50,52,32,49,46,50,51,
      56,55,51,101,45,50,52,32,49,46,50,54,54,53,55,101,45,50,52,32,48,114,50,57,
      50,32,51,46,50,51,51,57,55,101,45,51,56,32,50,46,53,50,54,50,52,101,45,51,54,
      32,54,46,50,56,55,49,101,45,51,54,32,49,46,52,56,55,53,56,101,45,51,53,10,32,
      32,51,46,51,53,57,56,52,101,45,51,53,32,55,46,50,55,50,53,51,101,45,51,53,32,
      49,46,53,49,51,53,50,101,45,51,52,32,51,46,48,51,55,48,54,101,45,51,52,32,53,
      46,56,57,48,55,53,101,45,51,52,32,49,46,49,48,55,49,54,101,45,51,51,32,50,46,
      48,50,48,55,53,101,45,51,51,10,32,32,51,46,53,56,57,53,101,45,51,51,32,54,46,
      50,49,53,52,56,101,45,51,51,32,49,46,48,53,49,48,52,101,45,51,50,32,49,46,55,
      51,56,49,56,101,45,51,50,32,55,46,57,57,51,53,101,45,51,50,32,49,46,49,54,52,
      53,55,101,45,51,49,32,49,46,54,55,53,55,101,45,51,49,10,32,32,50,46,52,54,55,
      54,51,101,45,51,49,32,51,46,52,55,56,56,53,101,45,51,49,32,52,46,56,53,52,51,
      49,101,45,51,49,32,54,46,55,50,50,57,57,101,45,51,49,32,57,46,50,48,56,51,51,
      101,45,51,49,32,49,46,52,56,54,52,56,101,45,51,48,32,49,46,57,56,52,52,50,101,
      45,51,48,10,32,32,50,46,54,50,56,53,56,101,45,51,48,32,51,46,52,53,54,50,50,
      101,45,51,48,32,52,46,53,49,50,57,101,45,51,48,32,53,46,56,53,51,56,50,101,
      45,51,48,32,55,46,53,52,53,52,55,101,45,51,48,32,57,46,54,54,56,49,53,101,45,
      51,48,32,49,46,50,51,50,48,50,101,45,50,57,10,32,32,49,46,53,54,49,50,55,101,
      45,50,57,32,49,46,57,57,50,49,55,101,45,50,57,32,50,46,51,54,54,48,56,101,45,
      50,57,32,50,46,56,48,51,51,55,101,45,50,57,32,51,46,51,49,51,53,54,101,45,50,
      57,32,51,46,57,48,55,52,57,101,45,50,57,32,52,46,54,57,51,55,52,101,45,50,57,
      10,32,32,53,46,56,57,54,50,53,101,45,50,57,32,55,46,51,55,52,54,51,101,45,50,
      57,32,57,46,49,56,52,53,56,101,45,50,57,32,49,46,49,51,57,50,49,101,45,50,56,
      32,49,46,52,48,55,51,56,101,45,50,56,32,49,46,55,51,49,57,53,101,45,50,56,32,
      50,46,49,50,51,51,101,45,50,56,10,32,32,50,46,53,57,51,52,53,101,45,50,56,32,
      51,46,49,53,54,51,49,101,45,50,56,32,51,46,56,50,55,55,52,101,45,50,56,32,52,
      46,54,50,54,48,57,101,45,50,56,32,53,46,53,55,50,48,53,101,45,50,56,32,54,46,
      54,56,57,49,55,101,45,50,56,32,56,46,48,50,57,48,49,101,45,50,56,10,32,32,57,
      46,53,55,51,52,53,101,45,50,56,32,49,46,49,51,55,57,55,101,45,50,55,32,49,46,
      51,52,56,53,53,101,45,50,55,32,49,46,53,57,51,51,101,45,50,55,32,49,46,56,55,
      54,57,101,45,50,55,32,50,46,50,48,53,56,52,101,45,50,55,32,50,46,53,56,52,50,
      49,101,45,50,55,10,32,32,51,46,48,49,55,56,53,101,45,50,55,32,51,46,53,49,52,
      53,50,101,45,50,55,32,52,46,48,56,50,49,54,101,45,50,55,32,52,46,55,50,56,49,
      56,101,45,50,55,32,53,46,52,54,49,56,50,101,45,50,55,32,54,46,50,57,50,52,54,
      101,45,50,55,32,55,46,50,51,48,52,53,101,45,50,55,10,32,32,56,46,50,56,54,55,
      56,101,45,50,55,32,57,46,52,55,51,51,54,101,45,50,55,32,49,46,48,56,48,50,57,
      101,45,50,54,32,49,46,50,50,56,56,56,101,45,50,54,32,49,46,51,57,52,52,53,101,
      45,50,54,32,49,46,53,55,56,53,50,101,45,50,54,32,49,46,55,56,50,54,49,101,45,
      50,54,10,32,32,50,46,48,48,56,51,50,101,45,50,54,32,50,46,53,51,49,49,56,101,
      45,50,54,32,51,46,49,54,48,57,56,101,45,50,54,32,51,46,57,49,49,57,51,101,45,
      50,54,32,52,46,55,57,56,54,51,101,45,50,54,32,53,46,56,51,53,53,56,101,45,50,
      54,32,55,46,48,51,54,52,55,101,45,50,54,10,32,32,56,46,52,49,51,57,54,101,45,
      50,54,32,57,46,57,55,56,54,54,101,45,50,54,32,49,46,49,55,51,57,49,101,45,50,
      53,32,49,46,51,55,48,49,51,101,45,50,53,32,49,46,53,56,54,55,51,101,45,50,53,
      32,49,46,56,50,51,54,101,45,50,53,32,50,46,48,56,48,49,52,101,45,50,53,10,32,
      32,50,46,51,53,53,51,101,45,50,53,32,50,46,54,52,55,52,55,101,45,50,53,32,50,
      46,57,53,52,54,55,101,45,50,53,32,51,46,50,55,52,52,101,45,50,53,32,51,46,54,
      48,51,55,50,101,45,50,53,32,51,46,57,51,57,50,56,101,45,50,53,32,52,46,50,55,
      55,51,52,101,45,50,53,10,32,32,52,46,54,49,52,48,52,101,45,50,53,32,52,46,57,
      52,53,50,55,101,45,50,53,32,53,46,50,54,54,55,57,101,45,50,53,32,53,46,53,55,
      52,51,53,101,45,50,53,32,53,46,56,54,51,56,55,101,45,50,53,32,54,46,49,51,49,
      53,49,101,45,50,53,32,54,46,51,55,51,55,52,101,45,50,53,10,32,32,54,46,53,56,
      55,51,51,101,45,50,53,32,54,46,55,54,57,53,56,101,45,50,53,32,48,114,50,57,
      51,32,52,46,57,53,48,50,50,101,45,51,55,32,49,46,50,56,52,51,56,101,45,51,54,
      32,51,46,49,54,48,51,52,101,45,51,54,32,55,46,52,48,55,51,56,101,45,51,54,32,
      49,46,54,54,48,53,57,101,45,51,53,10,32,32,51,46,53,55,50,54,56,101,45,51,53,
      32,55,46,51,57,55,49,50,101,45,51,53,32,49,46,52,55,55,57,52,101,45,51,52,32,
      50,46,56,53,54,57,101,45,51,52,32,53,46,51,53,53,52,51,101,45,51,52,32,57,46,
      55,53,54,49,53,101,45,51,52,32,49,46,55,51,48,52,54,101,45,51,51,10,32,32,50,
      46,57,57,51,55,49,101,45,51,51,32,53,46,48,53,57,57,51,101,45,51,51,32,50,46,
      54,53,57,51,50,101,45,51,50,32,51,46,57,51,48,57,55,101,45,51,50,32,53,46,55,
      51,51,52,49,101,45,51,50,32,56,46,53,51,52,55,101,45,51,50,32,49,46,50,49,55,
      57,101,45,51,49,10,32,32,49,46,55,49,57,48,53,101,45,51,49,32,50,46,52,48,54,
      50,50,101,45,51,49,32,51,46,51,50,57,57,51,101,45,51,49,32,53,46,53,49,55,55,
      56,101,45,51,49,32,55,46,52,51,53,50,53,101,45,51,49,32,57,46,57,51,53,57,55,
      101,45,51,49,32,49,46,51,49,55,51,55,101,45,51,48,10,32,32,49,46,55,51,51,54,
      57,101,45,51,48,32,50,46,50,54,53,53,50,101,45,51,48,32,50,46,57,52,48,57,101,
      45,51,48,32,51,46,55,57,51,52,51,101,45,51,48,32,52,46,56,54,52,52,49,101,45,
      51,48,32,54,46,50,48,49,51,53,101,45,51,48,32,56,46,48,55,56,50,54,101,45,51,
      48,10,32,32,57,46,54,50,52,51,51,101,45,51,48,32,49,46,49,52,51,55,51,101,45,
      50,57,32,49,46,51,53,53,56,52,101,45,50,57,32,49,46,54,48,51,52,50,101,45,50,
      57,32,49,46,57,51,50,49,101,45,50,57,32,50,46,52,51,54,52,54,101,45,50,57,32,
      51,46,48,53,56,55,51,101,45,50,57,10,32,32,51,46,56,50,51,50,49,101,45,50,57,
      32,52,46,55,53,56,56,54,101,45,50,57,32,53,46,56,57,57,51,54,101,45,50,57,32,
      55,46,50,56,52,49,101,45,50,57,32,56,46,57,53,57,49,51,101,45,50,57,32,49,46,
      48,57,55,56,51,101,45,50,56,32,49,46,51,52,48,51,50,101,45,50,56,10,32,32,49,
      46,54,51,48,52,56,101,45,50,56,32,49,46,57,55,54,53,51,101,45,50,56,32,50,46,
      51,56,55,56,53,101,45,50,56,32,50,46,56,55,53,48,53,101,45,50,56,32,51,46,52,
      54,52,49,50,101,45,50,56,32,52,46,49,52,50,48,54,101,45,50,56,32,52,46,57,51,
      55,50,51,101,45,50,56,10,32,32,53,46,56,54,55,49,101,45,50,56,32,54,46,57,53,
      49,49,52,101,45,50,56,32,56,46,50,49,48,57,101,45,50,56,32,57,46,54,55,55,51,
      52,101,45,50,56,32,49,46,49,51,54,57,56,101,45,50,55,32,49,46,51,51,49,51,51,
      101,45,50,55,32,49,46,53,53,52,53,54,101,45,50,55,10,32,32,49,46,56,49,48,52,
      53,101,45,50,55,32,50,46,49,48,50,53,51,101,45,50,55,32,50,46,52,51,53,50,54,
      101,45,50,55,32,50,46,56,49,51,50,101,45,50,55,32,51,46,50,52,49,50,50,101,
      45,50,55,32,51,46,55,50,52,54,50,101,45,50,55,32,52,46,50,54,57,50,49,101,45,
      50,55,10,32,32,52,46,56,56,49,49,56,101,45,50,55,32,53,46,53,54,55,49,101,45,
      50,55,32,54,46,51,51,51,57,49,101,45,50,55,32,55,46,49,56,56,56,56,101,45,50,
      55,32,56,46,49,51,57,54,56,101,45,50,55,32,57,46,49,57,52,49,55,101,45,50,55,
      32,49,46,49,54,52,56,54,101,45,50,54,10,32,32,49,46,52,54,50,51,101,45,50,54,
      32,49,46,56,49,57,50,49,101,45,50,54,32,50,46,50,52,51,51,51,101,45,50,54,32,
      50,46,55,52,50,52,51,101,45,50,54,32,51,46,51,50,52,48,53,101,45,50,54,32,51,
      46,57,57,53,52,56,101,45,50,54,32,52,46,55,54,51,51,53,101,45,50,54,10,32,32,
      53,46,54,51,51,48,57,101,45,50,54,32,54,46,54,48,57,49,51,101,45,50,54,32,55,
      46,54,57,52,51,56,101,45,50,54,32,56,46,56,56,57,54,51,101,45,50,54,32,49,46,
      48,49,57,51,52,101,45,50,53,32,49,46,49,54,48,50,101,45,50,53,32,49,46,51,49,
      48,57,55,101,45,50,53,10,32,32,49,46,52,55,48,55,54,101,45,50,53,32,49,46,54,
      51,56,52,51,101,45,50,53,32,49,46,56,49,50,54,51,101,45,50,53,32,49,46,57,57,
      49,55,54,101,45,50,53,32,50,46,49,55,51,57,56,101,45,50,53,32,50,46,51,53,55,
      51,50,101,45,50,53,32,50,46,53,51,57,54,53,101,45,50,53,10,32,32,50,46,55,49,
      56,55,55,101,45,50,53,32,50,46,56,57,50,51,57,101,45,50,53,32,51,46,48,53,56,
      50,52,101,45,50,53,32,51,46,50,49,52,50,49,101,45,50,53,32,51,46,51,53,56,49,
      57,101,45,50,53,32,51,46,52,56,56,50,56,101,45,50,53,32,51,46,54,48,50,56,56,
      101,45,50,53,10,32,32,48,114,50,57,51,32,57,46,51,52,48,57,54,101,45,51,56,
      32,50,46,53,50,57,51,50,101,45,51,55,32,54,46,52,55,57,52,53,101,45,51,55,32,
      49,46,53,55,56,48,53,101,45,51,54,32,51,46,54,54,55,56,57,101,45,51,54,32,56,
      46,49,54,52,56,51,101,45,51,54,32,49,46,55,52,53,56,50,101,45,51,53,10,32,32,
      51,46,53,57,54,51,56,101,45,51,53,32,55,46,49,53,54,53,53,101,45,51,53,32,49,
      46,51,55,56,57,56,101,45,51,52,32,50,46,53,55,56,55,49,101,45,51,52,32,52,46,
      54,56,57,51,57,101,45,51,52,32,56,46,51,48,54,56,53,101,45,51,52,32,49,46,52,
      51,53,57,57,101,45,51,51,10,32,32,56,46,54,56,55,57,51,101,45,51,51,32,49,46,
      51,48,52,48,56,101,45,51,50,32,49,46,57,50,57,55,101,45,51,50,32,50,46,57,48,
      53,52,57,101,45,51,50,32,52,46,49,57,57,56,55,101,45,51,50,32,53,46,57,57,57,
      55,49,101,45,51,50,32,56,46,52,57,49,48,55,101,45,51,50,10,32,32,49,46,49,56,
      55,55,51,101,45,51,49,32,50,46,48,50,49,51,51,101,45,51,49,32,50,46,55,53,48,
      57,54,101,45,51,49,32,51,46,55,49,48,56,49,101,45,51,49,32,52,46,57,54,51,55,
      56,101,45,51,49,32,54,46,53,56,55,52,54,101,45,51,49,32,56,46,54,55,54,56,51,
      101,45,51,49,10,32,32,49,46,49,51,52,56,49,101,45,51,48,32,49,46,52,55,52,49,
      54,101,45,51,48,32,49,46,57,48,51,48,50,101,45,51,48,32,50,46,52,52,49,53,49,
      101,45,51,48,32,51,46,50,53,55,51,101,45,51,48,32,51,46,56,57,51,51,57,101,
      45,51,48,32,52,46,54,52,49,52,56,101,45,51,48,10,32,32,53,46,53,49,57,49,53,
      101,45,51,48,32,54,46,53,52,54,53,50,101,45,51,48,32,55,46,57,49,52,50,57,101,
      45,51,48,32,49,46,48,48,50,101,45,50,57,32,49,46,50,54,50,55,54,101,45,50,57,
      32,49,46,53,56,52,50,54,101,45,50,57,32,49,46,57,55,57,48,54,101,45,50,57,10,
      32,32,50,46,52,54,49,57,49,101,45,50,57,32,51,46,48,53,48,49,57,101,45,50,57,
      32,51,46,55,54,52,50,57,101,45,50,57,32,52,46,54,50,55,54,52,101,45,50,57,32,
      53,46,54,54,55,55,55,101,45,50,57,32,54,46,57,49,54,51,57,101,45,50,57,32,56,
      46,52,49,48,49,56,101,45,50,57,10,32,32,49,46,48,49,57,49,51,101,45,50,56,32,
      49,46,50,51,48,55,56,101,45,50,56,32,49,46,52,56,57,49,49,101,45,50,56,32,49,
      46,55,56,53,54,51,101,45,50,56,32,50,46,49,51,52,52,52,101,45,50,56,32,50,46,
      53,52,51,53,53,101,45,50,56,32,51,46,48,50,49,56,54,101,45,50,56,10,32,32,51,
      46,53,55,57,51,49,101,45,50,56,32,52,46,50,51,48,53,52,101,45,50,56,32,52,46,
      57,56,52,57,57,101,45,50,56,32,53,46,56,53,50,53,51,101,45,50,56,32,54,46,56,
      53,49,57,56,101,45,50,56,32,56,46,48,48,49,50,50,101,45,50,56,32,57,46,51,49,
      54,55,52,101,45,50,56,10,32,32,49,46,48,56,49,57,55,101,45,50,55,32,49,46,50,
      53,51,49,56,101,45,50,55,32,49,46,52,52,55,54,52,101,45,50,55,32,49,46,54,54,
      55,57,51,101,45,50,55,32,49,46,57,49,54,56,55,101,45,50,55,32,50,46,49,57,55,
      52,53,101,45,50,55,32,50,46,53,49,50,56,54,101,45,50,55,10,32,32,50,46,56,54,
      54,53,101,45,50,55,32,51,46,50,54,49,57,54,101,45,50,55,32,51,46,55,48,51,48,
      51,101,45,50,55,32,52,46,49,57,51,55,52,101,45,50,55,32,53,46,51,52,49,48,56,
      101,45,50,55,32,54,46,55,52,48,48,49,101,45,50,55,32,56,46,52,50,56,55,49,101,
      45,50,55,10,32,32,49,46,48,52,52,55,55,101,45,50,54,32,49,46,50,56,51,56,57,
      101,45,50,54,32,49,46,53,54,52,51,55,101,45,50,54,32,49,46,56,57,48,49,54,101,
      45,50,54,32,50,46,50,54,53,49,53,101,45,50,54,32,50,46,54,57,50,55,56,101,45,
      50,54,32,51,46,49,55,53,57,52,101,45,50,54,10,32,32,51,46,55,49,54,55,53,101,
      45,50,54,32,52,46,51,49,54,52,49,101,45,50,54,32,52,46,57,55,53,50,53,101,45,
      50,54,32,53,46,54,57,50,51,54,101,45,50,54,32,54,46,52,54,53,52,54,101,45,50,
      54,32,55,46,50,57,49,49,51,101,45,50,54,32,56,46,49,54,52,53,56,101,45,50,54,
      10,32,32,57,46,48,55,57,54,55,101,45,50,54,32,49,46,48,48,50,56,56,101,45,50,
      53,32,49,46,49,48,48,51,51,101,45,50,53,32,49,46,49,57,57,50,56,101,45,50,53,
      32,49,46,50,57,56,55,101,45,50,53,32,49,46,51,57,55,52,51,101,45,50,53,32,49,
      46,52,57,52,50,56,101,45,50,53,10,32,32,49,46,53,56,56,48,50,101,45,50,53,32,
      49,46,54,55,55,52,55,101,45,50,53,32,49,46,55,54,49,52,54,101,45,50,53,32,49,
      46,56,51,56,57,101,45,50,53,32,49,46,57,48,56,56,52,101,45,50,53,32,48,114,
      50,57,52,32,52,46,56,49,51,49,57,101,45,51,56,32,49,46,50,56,53,53,56,101,45,
      51,55,10,32,32,51,46,50,53,53,56,49,101,45,51,55,32,55,46,56,53,49,56,57,101,
      45,51,55,32,49,46,56,49,48,48,49,101,45,51,54,32,52,46,48,48,48,57,52,101,45,
      51,54,32,56,46,53,48,54,51,49,101,45,51,54,32,49,46,55,52,52,49,53,101,45,51,
      53,32,51,46,52,53,56,48,51,101,45,51,53,10,32,32,54,46,54,52,52,49,56,101,45,
      51,53,32,49,46,50,51,57,54,53,101,45,51,52,32,50,46,50,53,48,52,55,101,45,51,
      52,32,51,46,57,56,49,56,54,101,45,51,52,32,50,46,55,56,49,49,49,101,45,51,51,
      32,52,46,50,52,51,54,57,101,45,51,51,32,54,46,51,55,54,55,52,101,45,51,51,10,
      32,32,57,46,55,49,57,49,56,101,45,51,51,32,49,46,52,50,52,48,53,101,45,51,50,
      32,50,46,48,54,48,53,57,101,45,51,50,32,50,46,57,53,49,49,52,101,45,51,50,32,
      52,46,49,55,53,55,101,45,51,50,32,55,46,50,57,53,51,55,101,45,51,50,32,49,46,
      48,48,51,55,101,45,51,49,10,32,32,49,46,51,54,55,56,101,45,51,49,32,49,46,56,
      52,55,51,55,101,45,51,49,32,50,46,52,55,52,48,51,101,45,51,49,32,51,46,50,56,
      54,56,52,101,45,51,49,32,52,46,51,51,51,55,51,101,45,51,49,32,53,46,54,55,51,
      50,56,101,45,51,49,32,55,46,51,55,55,52,49,101,45,51,49,10,32,32,57,46,53,51,
      48,57,50,101,45,51,49,32,49,46,51,48,54,56,51,101,45,51,48,32,49,46,53,54,55,
      52,57,101,45,51,48,32,49,46,56,55,52,57,57,101,45,51,48,32,50,46,50,51,54,56,
      49,101,45,51,48,32,50,46,54,54,49,53,56,101,45,51,48,32,51,46,50,50,56,55,52,
      101,45,51,48,10,32,32,52,46,49,48,52,57,52,101,45,51,48,32,53,46,49,57,52,48,
      54,101,45,51,48,32,54,46,53,52,49,57,52,101,45,51,48,32,56,46,50,48,51,48,51,
      101,45,51,48,32,49,46,48,50,52,49,55,101,45,50,57,32,49,46,50,55,51,52,49,101,
      45,50,57,32,49,46,53,55,54,57,52,101,45,50,57,10,32,32,49,46,57,52,53,49,52,
      101,45,50,57,32,50,46,51,57,48,50,50,101,45,50,57,32,50,46,57,50,54,50,49,101,
      45,50,57,32,51,46,53,54,57,53,51,101,45,50,57,32,52,46,51,51,56,57,51,101,45,
      50,57,32,53,46,50,53,54,48,51,101,45,50,57,32,54,46,51,56,55,49,56,101,45,50,
      57,10,32,32,55,46,54,56,48,55,57,101,45,50,57,32,57,46,50,48,54,57,56,101,45,
      50,57,32,49,46,49,48,48,49,57,101,45,50,56,32,49,46,51,49,48,54,54,101,45,50,
      56,32,49,46,53,53,54,55,101,45,50,56,32,49,46,56,52,53,50,101,45,50,56,32,50,
      46,49,56,48,56,52,101,45,50,56,10,32,32,50,46,53,54,55,50,53,101,45,50,56,32,
      51,46,48,49,51,55,51,101,45,50,56,32,51,46,53,50,56,54,54,101,45,50,56,32,52,
      46,49,49,57,55,50,101,45,50,56,32,52,46,55,57,54,56,57,101,45,50,56,32,53,46,
      53,55,48,52,51,101,45,50,56,32,54,46,52,53,49,55,51,101,45,50,56,10,32,32,55,
      46,52,53,50,57,55,101,45,50,56,32,56,46,53,56,55,53,57,101,45,50,56,32,57,46,
      56,54,57,57,56,101,45,50,56,32,49,46,49,51,49,53,56,101,45,50,55,32,49,46,50,
      57,52,49,54,101,45,50,55,32,49,46,52,55,54,53,49,101,45,50,55,32,49,46,54,56,
      48,52,55,101,45,50,55,10,32,32,49,46,57,48,56,48,56,101,45,50,55,32,50,46,52,
      52,50,55,49,101,45,50,55,32,51,46,48,57,56,53,50,101,45,50,55,32,51,46,56,57,
      52,56,57,101,45,50,55,32,52,46,56,53,50,53,54,101,45,50,55,32,53,46,57,57,51,
      54,51,101,45,50,55,32,55,46,51,52,48,50,54,101,45,50,55,10,32,32,56,46,57,49,
      52,55,55,101,45,50,55,32,49,46,48,55,51,56,56,101,45,50,54,32,49,46,50,56,51,
      49,56,101,45,50,54,32,49,46,53,50,49,49,53,101,45,50,54,32,49,46,55,56,57,50,
      53,101,45,50,54,32,50,46,48,56,56,53,57,101,45,50,54,32,50,46,52,49,57,55,52,
      101,45,50,54,10,32,32,50,46,55,56,50,54,53,101,45,50,54,32,51,46,49,55,54,56,
      101,45,50,54,32,51,46,54,48,48,57,49,101,45,50,54,32,52,46,48,53,51,48,52,101,
      45,50,54,32,52,46,53,51,48,52,55,101,45,50,54,32,53,46,48,50,57,54,56,101,45,
      50,54,32,53,46,53,52,54,53,49,101,45,50,54,10,32,32,54,46,48,55,54,50,49,101,
      45,50,54,32,54,46,54,49,51,51,57,101,45,50,54,32,55,46,49,53,50,50,55,101,45,
      50,54,32,55,46,54,56,54,54,52,101,45,50,54,32,56,46,50,49,48,49,50,101,45,50,
      54,32,56,46,55,49,54,50,51,101,45,50,54,32,57,46,49,57,56,55,53,101,45,50,54,
      10,32,32,57,46,54,53,49,50,53,101,45,50,54,32,49,46,48,48,54,55,57,101,45,50,
      53,32,48,114,50,57,53,32,50,46,52,55,49,55,52,101,45,51,56,32,54,46,53,49,53,
      53,50,101,45,51,56,32,49,46,54,51,50,53,101,45,51,55,32,51,46,57,48,49,52,101,
      45,51,55,32,56,46,57,50,50,52,52,101,45,51,55,10,32,32,49,46,57,53,57,48,53,
      101,45,51,54,32,52,46,49,52,50,50,52,101,45,51,54,32,56,46,52,53,53,55,54,101,
      45,51,54,32,49,46,54,55,48,52,57,101,45,51,53,32,51,46,50,48,48,50,55,101,45,
      51,53,32,53,46,57,53,55,50,57,101,45,51,53,32,49,46,48,55,57,54,50,101,45,51,
      52,10,32,32,56,46,55,50,48,50,50,101,45,51,52,32,49,46,51,53,51,57,54,101,45,
      51,51,32,50,46,48,54,56,48,55,101,45,51,51,32,51,46,49,57,51,57,51,101,45,51,
      51,32,52,46,55,52,56,50,51,101,45,51,51,32,54,46,57,54,53,57,54,101,45,51,51,
      32,49,46,48,49,48,52,54,101,45,51,50,10,32,32,49,46,52,52,55,51,54,101,45,51,
      50,32,50,46,53,57,53,57,101,45,51,50,32,51,46,54,49,50,55,53,101,45,51,50,32,
      52,46,57,55,55,49,57,101,45,51,50,32,54,46,55,57,49,55,55,101,45,51,50,32,57,
      46,49,56,52,53,56,101,45,51,50,32,49,46,50,51,49,52,53,101,45,51,49,10,32,32,
      49,46,54,51,55,56,56,101,45,51,49,32,50,46,49,54,49,56,57,101,45,51,49,32,50,
      46,56,51,51,51,53,101,45,51,49,32,51,46,54,56,55,55,52,101,45,51,49,32,53,46,
      50,49,51,56,53,101,45,51,49,32,54,46,50,55,55,52,51,101,45,51,49,32,55,46,53,
      51,54,49,49,101,45,51,49,10,32,32,57,46,48,50,49,56,101,45,51,49,32,49,46,48,
      55,55,49,50,101,45,51,48,32,49,46,51,49,49,52,52,101,45,51,48,32,49,46,54,55,
      52,56,50,101,45,51,48,32,50,46,49,50,56,50,51,101,45,51,48,32,50,46,54,57,49,
      53,50,101,45,51,48,32,51,46,51,56,56,51,49,101,45,51,48,10,32,32,52,46,50,52,
      54,53,55,101,45,51,48,32,53,46,50,57,57,51,52,101,45,51,48,32,54,46,53,56,53,
      56,55,101,45,51,48,32,56,46,49,53,50,48,50,101,45,51,48,32,49,46,48,48,53,49,
      51,101,45,50,57,32,49,46,50,51,52,53,53,101,45,50,57,32,49,46,53,49,48,55,57,
      101,45,50,57,10,32,32,49,46,56,52,50,50,101,45,50,57,32,50,46,50,51,56,52,50,
      101,45,50,57,32,50,46,55,51,50,57,49,101,45,50,57,32,51,46,50,57,53,55,57,101,
      45,50,57,32,51,46,57,54,49,56,54,101,45,50,57,32,52,46,55,52,55,53,50,101,45,
      50,57,32,53,46,54,55,49,51,56,101,45,50,57,10,32,32,54,46,55,53,52,52,56,101,
      45,50,57,32,56,46,48,50,56,57,56,101,45,50,57,32,57,46,53,49,57,49,52,101,45,
      50,57,32,49,46,49,50,51,53,50,101,45,50,56,32,49,46,51,50,50,51,51,101,45,50,
      56,32,49,46,53,53,50,50,54,101,45,50,56,32,49,46,56,49,54,57,49,101,45,50,56,
      10,32,32,50,46,49,50,49,101,45,50,56,32,50,46,52,54,57,52,49,101,45,50,56,32,
      50,46,56,54,55,53,50,101,45,50,56,32,51,46,51,50,49,49,50,101,45,50,56,32,51,
      46,56,51,54,54,49,101,45,50,56,32,52,46,52,50,48,57,55,101,45,50,56,32,53,46,
      48,56,49,55,101,45,50,56,10,32,32,53,46,56,50,54,55,101,45,50,56,32,54,46,54,
      54,52,54,101,45,50,56,32,55,46,54,48,52,55,51,101,45,50,56,32,56,46,54,53,54,
      57,49,101,45,50,56,32,49,46,49,49,51,57,101,45,50,55,32,49,46,52,50,48,49,101,
      45,50,55,32,49,46,55,57,52,49,52,101,45,50,55,10,32,32,50,46,50,52,54,55,55,
      101,45,50,55,32,50,46,55,56,57,51,50,101,45,50,55,32,51,46,52,51,51,53,101,
      45,50,55,32,52,46,49,57,49,49,52,101,45,50,55,32,53,46,48,55,52,51,49,101,45,
      50,55,32,54,46,48,57,52,49,50,101,45,50,55,32,55,46,50,54,49,49,101,45,50,55,
      10,32,32,56,46,53,56,52,51,56,101,45,50,55,32,49,46,48,48,55,49,51,101,45,50,
      54,32,49,46,49,55,50,55,101,45,50,54,32,49,46,51,53,53,52,56,101,45,50,54,32,
      49,46,53,53,53,51,54,101,45,50,54,32,49,46,55,55,50,48,49,101,45,50,54,32,50,
      46,48,48,52,54,52,101,45,50,54,10,32,32,50,46,50,53,50,49,50,101,45,50,54,32,
      50,46,53,49,50,57,51,101,45,50,54,32,50,46,55,56,53,49,54,101,45,50,54,32,51,
      46,48,54,54,53,54,101,45,50,54,32,51,46,51,53,52,53,51,101,45,50,54,32,51,46,
      54,52,54,48,57,101,45,50,54,32,51,46,57,51,56,49,57,101,45,50,54,10,32,32,52,
      46,50,50,55,52,57,101,45,50,54,32,52,46,53,49,48,53,55,101,45,50,54,32,52,46,
      55,56,51,57,54,101,45,50,54,32,53,46,48,52,52,49,101,45,50,54,32,53,46,50,56,
      55,56,57,101,45,50,54,32,48,114,50,57,55,32,51,46,50,56,48,57,53,101,45,51,
      56,32,56,46,49,51,52,54,50,101,45,51,56,10,32,32,49,46,57,50,54,57,49,101,45,
      51,55,32,52,46,51,55,52,56,53,101,45,51,55,32,57,46,53,52,55,53,55,101,45,51,
      55,32,50,46,48,48,56,51,55,101,45,51,54,32,52,46,48,56,50,54,54,101,45,51,54,
      32,56,46,48,51,55,51,55,101,45,51,54,32,49,46,53,51,53,55,54,101,45,51,53,10,
      32,32,50,46,56,53,51,49,55,101,45,51,53,32,50,46,54,55,48,54,57,101,45,51,52,
      32,52,46,50,50,51,53,56,101,45,51,52,32,54,46,53,54,51,57,55,101,45,51,52,32,
      49,46,48,50,56,49,51,101,45,51,51,32,49,46,53,53,50,49,49,101,45,51,51,32,50,
      46,51,49,48,51,52,101,45,51,51,10,32,32,51,46,51,57,55,48,49,101,45,51,51,32,
      52,46,57,50,57,51,49,101,45,51,51,32,57,46,48,55,53,48,55,101,45,51,51,32,49,
      46,50,55,56,54,55,101,45,51,50,32,49,46,55,56,50,51,50,101,45,51,50,32,50,46,
      52,53,57,49,101,45,51,50,32,51,46,51,54,48,52,54,101,45,51,50,10,32,32,52,46,
      53,53,48,55,49,101,45,51,50,32,54,46,49,48,57,56,50,101,45,51,50,32,56,46,49,
      51,54,55,52,101,45,51,50,32,49,46,48,55,53,51,56,101,45,51,49,32,49,46,52,49,
      48,56,57,101,45,51,49,32,50,46,48,54,52,55,50,101,45,51,49,32,50,46,52,57,54,
      48,53,101,45,51,49,10,32,32,51,46,48,48,56,51,52,101,45,51,49,32,51,46,54,49,
      53,49,101,45,51,49,32,52,46,51,51,49,56,53,101,45,51,49,32,53,46,50,57,53,50,
      101,45,51,49,32,54,46,55,57,52,57,53,101,45,51,49,32,56,46,54,55,52,51,56,101,
      45,51,49,32,49,46,49,48,49,56,52,101,45,51,48,10,32,32,49,46,51,57,50,57,49,
      101,45,51,48,32,49,46,55,53,50,55,57,101,45,51,48,32,50,46,49,57,53,57,101,
      45,51,48,32,50,46,55,51,57,50,50,101,45,51,48,32,51,46,52,48,50,56,54,101,45,
      51,48,32,52,46,50,49,48,52,49,101,45,51,48,32,53,46,49,56,57,50,52,101,45,51,
      48,10,32,32,54,46,51,55,49,54,51,101,45,51,48,32,55,46,55,57,52,55,55,101,45,
      51,48,32,57,46,53,48,49,54,51,101,45,51,48,32,49,46,49,54,53,57,53,101,45,50,
      57,32,49,46,52,49,48,49,55,101,45,50,57,32,49,46,55,48,48,48,50,101,45,50,57,
      32,50,46,48,52,50,57,51,101,45,50,57,10,32,32,50,46,52,52,55,51,53,101,45,50,
      57,32,50,46,57,50,50,56,52,101,45,50,57,32,51,46,52,56,52,50,57,101,45,50,57,
      32,52,46,49,52,52,53,55,101,45,50,57,32,52,46,57,48,52,52,51,101,45,50,57,32,
      53,46,55,56,55,51,52,101,45,50,57,32,54,46,56,49,49,52,54,101,45,50,57,10,32,
      32,55,46,57,57,51,53,54,101,45,50,57,32,57,46,51,53,53,53,52,101,45,50,57,32,
      49,46,48,57,50,101,45,50,56,32,49,46,50,55,49,50,52,101,45,50,56,32,49,46,52,
      55,54,48,52,101,45,50,56,32,49,46,55,48,57,52,54,101,45,50,56,32,49,46,57,55,
      52,56,53,101,45,50,56,10,32,32,50,46,50,55,53,55,55,101,45,50,56,32,50,46,54,
      49,54,48,53,101,45,50,56,32,50,46,57,57,57,56,57,101,45,50,56,32,51,46,52,51,
      49,55,57,101,45,50,56,32,51,46,57,49,54,53,55,101,45,50,56,32,53,46,48,54,53,
      49,55,101,45,50,56,32,54,46,52,57,48,51,56,101,45,50,56,10,32,32,56,46,50,52,
      49,52,57,101,45,50,56,32,49,46,48,51,55,50,55,101,45,50,55,32,49,46,50,57,52,
      50,50,101,45,50,55,32,49,46,54,48,49,49,52,101,45,50,55,32,49,46,57,54,52,51,
      53,101,45,50,55,32,50,46,51,57,48,50,50,101,45,50,55,32,50,46,56,56,52,57,56,
      101,45,50,55,10,32,32,51,46,52,53,52,55,51,101,45,50,55,32,52,46,49,48,52,56,
      51,101,45,50,55,32,52,46,56,52,48,49,56,101,45,50,55,32,53,46,54,54,52,53,53,
      101,45,50,55,32,54,46,53,56,48,52,56,101,45,50,55,32,55,46,53,56,56,56,56,101,
      45,50,55,32,56,46,54,56,57,50,53,101,45,50,55,10,32,32,57,46,56,55,57,50,56,
      101,45,50,55,32,49,46,49,49,53,52,54,101,45,50,54,32,49,46,50,53,48,56,57,101,
      45,50,54,32,49,46,51,57,51,51,52,101,45,50,54,32,49,46,53,52,49,55,57,101,45,
      50,54,32,49,46,54,57,53,48,49,101,45,50,54,32,49,46,56,53,49,53,55,101,45,50,
      54,10,32,32,50,46,48,48,57,56,55,101,45,50,54,32,50,46,49,54,56,50,51,101,45,
      50,54,32,50,46,51,50,52,56,53,101,45,50,54,32,50,46,52,55,55,57,101,45,50,54,
      32,50,46,54,50,53,53,50,101,45,50,54,32,50,46,55,54,53,56,55,101,45,50,54,32,
      48,114,50,57,57,32,52,46,48,52,54,51,56,101,45,51,56,10,32,32,57,46,53,48,51,
      51,51,101,45,51,56,32,50,46,49,52,50,49,50,101,45,51,55,32,52,46,54,52,55,51,
      55,101,45,51,55,32,57,46,55,50,56,48,50,101,45,51,55,32,49,46,57,54,57,51,51,
      101,45,51,54,32,51,46,56,54,52,48,57,101,45,51,54,32,55,46,51,54,51,56,101,
      45,51,54,10,32,32,56,46,48,49,50,54,50,101,45,51,53,32,49,46,50,57,49,54,54,
      101,45,51,52,32,50,46,48,52,52,49,56,101,45,51,52,32,51,46,50,53,48,53,55,101,
      45,51,52,32,52,46,57,56,55,49,101,45,51,52,32,55,46,53,51,55,57,54,101,45,51,
      52,32,49,46,49,50,52,51,57,101,45,51,51,10,32,32,49,46,54,53,52,49,53,101,45,
      51,51,32,51,46,49,50,52,55,53,101,45,51,51,32,52,46,52,53,57,56,52,101,45,51,
      51,32,54,46,50,57,51,49,49,101,45,51,51,32,56,46,55,56,52,54,50,101,45,51,51,
      32,49,46,50,49,51,55,57,101,45,51,50,32,49,46,54,54,49,48,51,101,45,51,50,10,
      32,32,50,46,50,53,50,53,49,101,45,51,50,32,51,46,48,50,56,51,51,101,45,51,50,
      32,52,46,48,51,56,51,101,45,51,50,32,53,46,51,52,51,53,50,101,45,51,50,32,56,
      46,49,50,50,56,101,45,51,50,32,57,46,56,54,51,49,101,45,51,50,32,49,46,49,57,
      51,55,55,101,45,51,49,10,32,32,49,46,52,52,48,51,57,101,45,51,49,32,49,46,55,
      51,50,55,50,101,45,51,49,32,50,46,49,50,55,48,57,101,45,51,49,32,50,46,55,52,
      51,54,51,101,45,51,49,32,51,46,53,49,57,54,55,101,45,51,49,32,52,46,52,57,49,
      54,52,101,45,51,49,32,53,46,55,48,51,54,54,101,45,51,49,10,32,32,55,46,50,48,
      56,49,52,101,45,51,49,32,57,46,48,54,55,52,50,101,45,51,49,32,49,46,49,51,53,
      53,55,101,45,51,48,32,49,46,52,49,54,49,49,101,45,51,48,32,49,46,55,53,56,54,
      54,101,45,51,48,32,50,46,49,55,53,50,55,101,45,51,48,32,50,46,54,56,48,49,53,
      101,45,51,48,10,32,32,51,46,50,56,57,55,57,101,45,51,48,32,52,46,48,50,51,50,
      54,101,45,51,48,32,52,46,57,54,51,57,55,101,45,51,48,32,54,46,48,50,49,52,57,
      101,45,51,48,32,55,46,50,56,48,49,57,101,45,51,48,32,56,46,55,55,51,54,55,101,
      45,51,48,32,49,46,48,53,52,48,50,101,45,50,57,10,32,32,49,46,50,54,50,50,57,
      101,45,50,57,32,49,46,53,48,57,49,49,101,45,50,57,32,49,46,56,48,49,52,50,101,
      45,50,57,32,50,46,49,51,55,50,101,45,50,57,32,50,46,53,50,56,52,101,45,50,57,
      32,50,46,57,56,51,52,53,101,45,50,57,32,51,46,53,49,48,49,53,101,45,50,57,10,
      32,32,52,46,49,49,56,55,53,101,45,50,57,32,52,46,56,50,101,45,50,57,32,53,46,
      54,50,53,53,57,101,45,50,57,32,54,46,53,52,56,53,51,101,45,50,57,32,55,46,54,
      48,51,51,101,45,50,57,32,56,46,56,48,53,54,55,101,45,50,57,32,49,46,48,49,55,
      50,56,101,45,50,56,10,32,32,49,46,49,55,50,51,51,101,45,50,56,32,49,46,51,52,
      55,55,50,101,45,50,56,32,49,46,53,52,53,54,101,45,50,56,32,49,46,55,54,56,51,
      50,101,45,50,56,32,50,46,50,57,56,51,51,101,45,50,56,32,50,46,57,53,57,54,54,
      101,45,50,56,32,51,46,55,55,54,57,50,101,45,50,56,10,32,32,52,46,55,55,55,52,
      101,45,50,56,32,53,46,57,57,48,54,51,101,45,50,56,32,55,46,52,52,55,57,57,101,
      45,50,56,32,57,46,49,56,50,54,101,45,50,56,32,49,46,49,50,50,56,57,101,45,50,
      55,32,49,46,51,54,50,48,53,101,45,50,55,32,49,46,54,51,57,49,52,101,45,50,55,
      10,32,32,49,46,57,53,55,51,51,101,45,50,55,32,50,46,51,49,57,52,57,101,45,50,
      55,32,50,46,55,50,56,48,50,101,45,50,55,32,51,46,49,56,52,55,57,101,45,50,55,
      32,51,46,54,57,49,48,56,101,45,50,55,32,52,46,50,52,55,50,55,101,45,50,55,32,
      52,46,56,53,50,56,55,101,45,50,55,10,32,32,53,46,53,48,54,52,57,101,45,50,55,
      32,54,46,50,48,53,54,50,101,45,50,55,32,54,46,57,52,54,54,52,101,45,50,55,32,
      55,46,55,50,52,56,52,101,45,50,55,32,56,46,53,51,52,52,56,101,45,50,55,32,57,
      46,51,54,56,55,57,101,45,50,55,32,49,46,48,50,49,57,57,101,45,50,54,10,32,32,
      49,46,49,48,55,57,51,101,45,50,54,32,49,46,49,57,51,55,57,101,45,50,54,32,49,
      46,50,55,56,54,101,45,50,54,32,49,46,51,54,49,51,54,101,45,50,54,32,49,46,52,
      52,49,49,49,101,45,50,54,32,48,114,51,48,49,32,52,46,54,53,50,52,101,45,51,
      56,32,49,46,48,52,49,56,101,45,51,55,10,32,32,50,46,50,52,55,50,56,101,45,51,
      55,32,52,46,54,56,49,57,55,101,45,51,55,32,57,46,52,52,49,55,54,101,45,51,55,
      32,49,46,56,52,54,56,53,101,45,51,54,32,50,46,51,52,57,54,52,101,45,51,53,32,
      51,46,56,54,52,51,53,101,45,51,53,32,54,46,50,51,50,55,101,45,51,53,10,32,32,
      49,46,48,48,54,57,49,101,45,51,52,32,49,46,53,55,49,50,52,101,45,51,52,32,50,
      46,52,49,50,57,49,101,45,51,52,32,51,46,54,53,51,49,55,101,45,51,52,32,53,46,
      52,53,49,56,49,101,45,51,52,32,49,46,48,53,54,50,55,101,45,51,51,32,49,46,53,
      50,56,51,55,101,45,51,51,10,32,32,50,46,49,56,52,55,51,101,45,51,51,32,51,46,
      48,56,55,51,55,101,45,51,51,32,52,46,51,49,53,57,57,101,45,51,51,32,53,46,57,
      55,50,48,57,101,45,51,51,32,56,46,49,56,52,49,49,101,45,51,51,32,49,46,49,49,
      49,50,56,101,45,51,50,32,49,46,52,57,54,48,54,101,45,51,50,10,32,32,49,46,57,
      57,55,53,57,101,45,51,50,32,51,46,49,54,55,57,56,101,45,51,50,32,51,46,56,54,
      52,57,53,101,45,51,50,32,52,46,54,57,57,50,50,101,45,51,50,32,53,46,54,57,52,
      55,55,101,45,51,50,32,54,46,56,55,57,52,51,101,45,51,50,32,56,46,52,56,51,54,
      49,101,45,51,50,10,32,32,49,46,49,48,48,50,53,101,45,51,49,32,49,46,52,49,56,
      56,50,101,45,51,49,32,49,46,56,49,57,54,52,101,45,51,49,32,50,46,51,50,49,53,
      54,101,45,51,49,32,50,46,57,52,55,49,51,101,45,51,49,32,51,46,55,50,51,51,55,
      101,45,51,49,32,52,46,54,56,50,53,56,101,45,51,49,10,32,32,53,46,56,54,50,54,
      101,45,51,49,32,55,46,51,48,56,53,55,101,45,51,49,32,57,46,48,55,51,53,51,101,
      45,51,49,32,49,46,49,50,49,57,56,101,45,51,48,32,49,46,51,56,50,48,50,101,45,
      51,48,32,49,46,54,57,53,57,54,101,45,51,48,32,50,46,49,48,53,49,52,101,45,51,
      48,10,32,32,50,46,53,54,49,53,49,101,45,51,48,32,51,46,49,48,54,50,57,101,45,
      51,48,32,51,46,55,53,52,54,101,45,51,48,32,52,46,53,50,51,54,101,45,51,48,32,
      53,46,52,51,50,56,52,101,45,51,48,32,54,46,53,49,52,50,101,45,51,48,32,55,46,
      56,48,53,56,101,45,51,48,10,32,32,57,46,50,56,52,53,101,45,51,48,32,49,46,49,
      48,49,50,50,101,45,50,57,32,49,46,51,48,50,55,54,101,45,50,57,32,49,46,53,51,
      54,54,56,101,45,50,57,32,49,46,56,48,55,55,101,45,50,57,32,50,46,49,50,48,56,
      50,101,45,50,57,32,50,46,52,56,49,53,50,101,45,50,57,10,32,32,50,46,56,57,53,
      57,54,101,45,50,57,32,51,46,51,55,48,57,55,101,45,50,57,32,51,46,57,49,51,57,
      56,101,45,50,57,32,52,46,53,51,51,49,101,45,50,57,32,53,46,50,51,55,49,54,101,
      45,50,57,32,54,46,48,51,53,55,53,101,45,50,57,32,54,46,57,51,57,50,50,101,45,
      50,57,10,32,32,55,46,57,53,57,48,54,101,45,50,57,32,49,46,48,51,57,54,50,101,
      45,50,56,32,49,46,51,52,53,52,49,101,45,50,56,32,49,46,55,50,53,52,51,101,45,
      50,56,32,50,46,49,57,51,50,54,101,45,50,56,32,50,46,55,54,51,56,55,101,45,50,
      56,32,51,46,52,53,51,52,49,101,45,50,56,10,32,32,52,46,50,55,56,55,52,101,45,
      50,56,32,53,46,50,53,56,101,45,50,56,32,54,46,52,48,57,52,54,101,45,50,56,32,
      55,46,55,53,49,54,51,101,45,50,56,32,57,46,51,48,50,49,57,101,45,50,56,32,49,
      46,49,48,55,55,53,101,45,50,55,32,49,46,51,48,57,50,57,101,45,50,55,10,32,32,
      49,46,53,51,54,48,55,101,45,50,55,32,49,46,55,56,57,48,49,101,45,50,55,32,50,
      46,48,54,56,55,101,45,50,55,32,50,46,51,55,53,51,49,101,45,50,55,32,50,46,55,
      48,56,53,52,101,45,50,55,32,51,46,48,54,55,52,56,101,45,50,55,32,51,46,52,53,
      48,55,49,101,45,50,55,10,32,32,51,46,56,53,54,48,56,101,45,50,55,32,52,46,50,
      56,49,48,57,101,45,50,55,32,52,46,55,50,50,53,56,101,45,50,55,32,53,46,49,55,
      54,55,56,101,45,50,55,32,53,46,54,51,57,52,52,101,45,50,55,32,54,46,49,48,53,
      57,57,101,45,50,55,32,54,46,53,55,49,52,55,101,45,50,55,10,32,32,55,46,48,51,
      48,54,52,101,45,50,55,32,55,46,52,55,56,51,57,101,45,50,55,32,48,114,51,48,
      51,32,51,46,52,55,54,55,54,101,45,51,56,32,55,46,53,49,53,56,57,101,45,51,56,
      32,49,46,53,54,57,56,57,101,45,51,55,32,51,46,49,55,53,55,50,101,45,51,55,32,
      52,46,57,48,48,48,57,101,45,51,54,10,32,32,56,46,50,55,50,56,50,101,45,51,54,
      32,49,46,51,54,55,56,50,101,45,51,53,32,50,46,50,53,54,57,57,101,45,51,53,32,
      51,46,54,48,49,49,52,101,45,51,53,32,53,46,54,52,56,56,50,101,45,51,53,32,56,
      46,55,50,52,57,51,101,45,51,53,32,49,46,51,50,55,48,57,101,45,51,52,10,32,32,
      50,46,54,53,52,50,101,45,51,52,32,51,46,57,49,48,51,55,101,45,51,52,32,53,46,
      54,56,54,54,57,101,45,51,52,32,56,46,49,54,57,48,49,101,45,51,52,32,49,46,49,
      53,57,57,52,101,45,51,51,32,49,46,54,50,57,48,53,101,45,51,51,32,50,46,50,54,
      52,48,55,101,45,51,51,10,32,32,51,46,49,49,53,57,49,101,45,51,51,32,52,46,50,
      52,56,55,52,101,45,51,51,32,53,46,55,52,50,52,50,101,45,51,51,32,57,46,54,52,
      55,53,57,101,45,51,51,32,49,46,49,56,52,53,56,101,45,51,50,32,49,46,52,52,57,
      49,54,101,45,51,50,32,49,46,55,54,54,53,57,101,45,51,50,10,32,32,50,46,49,52,
      54,50,54,101,45,51,50,32,50,46,54,54,51,48,57,101,45,51,50,32,51,46,52,55,57,
      53,50,101,45,51,50,32,52,46,53,49,56,54,53,101,45,51,50,32,53,46,56,51,52,48,
      54,101,45,51,50,32,55,46,52,57,48,55,55,101,45,51,50,32,57,46,53,54,55,49,49,
      101,45,51,50,10,32,32,49,46,50,49,53,55,50,101,45,51,49,32,49,46,53,51,55,51,
      56,101,45,51,49,32,49,46,57,51,53,48,55,101,45,51,49,32,50,46,52,50,52,55,55,
      101,45,51,49,32,51,46,48,50,53,50,50,101,45,51,49,32,51,46,55,53,56,55,52,101,
      45,51,49,32,52,46,54,53,49,50,56,101,45,51,49,10,32,32,53,46,55,51,51,51,49,
      101,45,51,49,32,55,46,49,55,52,56,54,101,45,51,49,32,56,46,55,54,53,101,45,
      51,49,32,49,46,48,54,55,48,51,101,45,51,48,32,49,46,50,57,52,53,55,101,45,51,
      48,32,49,46,53,54,53,52,51,101,45,51,48,32,49,46,56,56,54,57,49,101,45,51,48,
      10,32,32,50,46,50,55,48,57,55,101,45,51,48,32,50,46,55,51,53,57,49,101,45,51,
      48,32,51,46,50,54,52,56,52,101,45,51,48,32,51,46,56,56,52,57,54,101,45,51,48,
      32,52,46,54,49,48,56,56,101,45,51,48,32,53,46,52,53,54,49,56,101,45,51,48,32,
      54,46,52,51,56,57,49,101,45,51,48,10,32,32,55,46,53,55,56,49,51,101,45,51,48,
      32,56,46,56,57,53,49,52,101,45,51,48,32,49,46,48,52,49,51,50,101,45,50,57,32,
      49,46,50,49,53,56,56,101,45,50,57,32,49,46,52,49,54,48,55,101,45,50,57,32,49,
      46,54,52,53,49,49,101,45,50,57,32,49,46,57,48,54,52,55,101,45,50,57,10,32,32,
      50,46,50,48,51,57,53,101,45,50,57,32,50,46,53,52,49,54,55,101,45,50,57,32,50,
      46,57,50,52,50,54,101,45,50,57,32,51,46,56,52,51,51,49,101,45,50,57,32,53,46,
      48,48,52,52,50,101,45,50,57,32,54,46,52,53,55,50,54,101,45,50,57,32,56,46,50,
      53,55,57,49,101,45,50,57,10,32,32,49,46,48,52,54,57,53,101,45,50,56,32,49,46,
      51,49,54,48,57,101,45,50,56,32,49,46,54,52,48,53,57,101,45,50,56,32,50,46,48,
      50,56,52,49,101,45,50,56,32,50,46,52,56,55,54,52,101,45,50,56,32,51,46,48,50,
      54,55,54,101,45,50,56,32,51,46,54,53,52,48,54,101,45,50,56,10,32,32,52,46,51,
      55,55,55,54,101,45,50,56,32,53,46,50,48,53,53,54,101,45,50,56,32,54,46,49,52,
      52,49,101,45,50,56,32,55,46,49,57,57,50,54,101,45,50,56,32,56,46,51,55,53,52,
      54,101,45,50,56,32,57,46,54,55,53,52,50,101,45,50,56,32,49,46,49,48,57,57,56,
      101,45,50,55,10,32,32,49,46,50,54,52,54,57,101,45,50,55,32,49,46,52,51,49,50,
      57,101,45,50,55,32,49,46,54,48,57,49,50,101,45,50,55,32,49,46,55,57,55,50,56,
      101,45,50,55,32,49,46,57,57,52,53,56,101,45,50,55,32,50,46,49,57,57,53,57,101,
      45,50,55,32,50,46,52,49,48,54,49,101,45,50,55,10,32,32,50,46,54,50,53,55,51,
      101,45,50,55,32,50,46,56,52,50,56,57,101,45,50,55,32,51,46,48,53,57,55,55,101,
      45,50,55,32,51,46,50,55,52,48,50,101,45,50,55,32,48,114,51,48,53,32,50,46,53,
      48,56,48,52,101,45,51,56,32,53,46,50,53,50,50,54,101,45,51,56,32,57,46,56,53,
      49,48,56,101,45,51,55,10,32,32,49,46,55,48,57,53,101,45,51,54,32,50,46,57,48,
      49,52,57,101,45,51,54,32,52,46,56,57,55,55,52,101,45,51,54,32,55,46,57,57,57,
      50,54,101,45,51,54,32,49,46,50,56,50,57,54,101,45,51,53,32,50,46,48,50,51,53,
      49,101,45,51,53,32,51,46,49,51,57,57,53,101,45,51,53,10,32,32,54,46,52,55,53,
      57,52,101,45,51,53,32,57,46,55,50,53,53,51,101,45,51,53,32,49,46,52,52,48,51,
      51,101,45,51,52,32,50,46,49,48,53,50,54,101,45,51,52,32,51,46,48,51,57,49,53,
      101,45,51,52,32,52,46,51,51,53,55,101,45,51,52,32,54,46,49,49,54,56,53,101,
      45,51,52,10,32,32,56,46,53,51,57,54,49,101,45,51,52,32,49,46,49,56,48,52,53,
      101,45,51,51,32,49,46,54,49,54,52,101,45,51,51,32,50,46,56,57,52,53,55,101,
      45,51,51,32,51,46,53,55,57,49,50,101,45,51,51,32,52,46,52,48,56,49,52,101,45,
      51,51,32,53,46,52,48,56,53,51,101,45,51,51,10,32,32,54,46,54,49,49,55,54,101,
      45,51,51,32,56,46,50,53,56,57,56,101,45,51,51,32,49,46,48,56,55,56,53,101,45,
      51,50,32,49,46,52,50,51,53,53,101,45,51,50,32,49,46,56,53,49,51,51,101,45,51,
      50,32,50,46,51,57,51,53,51,101,45,51,50,32,51,46,48,55,55,49,54,101,45,51,50,
      10,32,32,51,46,57,51,52,56,50,101,45,51,50,32,53,46,48,48,53,55,57,101,45,51,
      50,32,54,46,51,51,54,57,57,101,45,51,50,32,55,46,57,56,52,50,53,101,45,51,50,
      32,49,46,48,48,49,51,57,101,45,51,49,32,49,46,50,53,48,53,101,45,51,49,32,49,
      46,53,53,53,48,49,101,45,51,49,10,32,32,49,46,57,50,53,55,56,101,45,51,49,32,
      50,46,52,51,49,55,57,101,45,51,49,32,50,46,57,56,51,49,55,101,45,51,49,32,51,
      46,54,52,54,52,52,101,45,51,49,32,52,46,52,52,49,54,53,101,45,51,49,32,53,46,
      51,57,49,56,49,101,45,51,49,32,54,46,53,50,51,54,51,101,45,51,49,10,32,32,55,
      46,56,56,49,53,54,101,45,51,49,32,57,46,53,53,52,49,49,101,45,51,49,32,49,46,
      49,52,51,55,57,101,45,51,48,32,49,46,51,54,53,51,57,101,45,51,48,32,49,46,54,
      50,53,54,55,101,45,51,48,32,49,46,57,50,57,55,56,101,45,51,48,32,50,46,50,56,
      52,53,51,101,45,51,48,10,32,32,50,46,54,57,55,49,50,101,45,51,48,32,51,46,49,
      55,53,55,101,45,51,48,32,51,46,55,50,57,50,57,101,45,51,48,32,52,46,51,54,56,
      48,55,101,45,51,48,32,53,46,49,48,51,50,57,101,45,51,48,32,53,46,57,52,55,50,
      56,101,45,51,48,32,54,46,57,49,51,52,57,101,45,51,48,10,32,32,56,46,48,49,54,
      56,57,101,45,51,48,32,57,46,50,55,51,56,54,101,45,51,48,32,49,46,48,55,48,51,
      101,45,50,57,32,49,46,52,49,53,51,101,45,50,57,32,49,46,56,53,52,48,51,101,
      45,50,57,32,50,46,52,48,54,55,51,101,45,50,57,32,51,46,48,57,54,54,101,45,50,
      57,10,32,32,51,46,57,52,57,56,49,101,45,50,57,32,52,46,57,57,53,51,54,101,45,
      50,57,32,54,46,50,54,52,53,50,101,45,50,57,32,55,46,55,57,49,57,52,101,45,50,
      57,32,57,46,54,49,51,53,101,45,50,57,32,49,46,49,55,54,55,53,101,45,50,56,32,
      49,46,52,50,57,49,55,101,45,50,56,10,32,32,49,46,55,50,50,53,49,101,45,50,56,
      32,50,46,48,54,48,52,56,101,45,50,56,32,50,46,52,52,54,54,55,101,45,50,56,32,
      50,46,56,56,52,49,49,101,45,50,56,32,51,46,51,55,53,52,52,101,45,50,56,32,51,
      46,57,50,50,55,52,101,45,50,56,32,52,46,53,50,55,49,55,101,45,50,56,10,32,32,
      53,46,49,56,57,49,50,101,45,50,56,32,53,46,57,48,55,56,49,101,45,50,56,32,54,
      46,54,56,49,53,51,101,45,50,56,32,55,46,53,48,55,52,56,101,45,50,56,32,56,46,
      51,56,49,51,55,101,45,50,56,32,57,46,50,57,55,57,52,101,45,50,56,32,49,46,48,
      50,53,48,54,101,45,50,55,10,32,32,49,46,49,50,51,49,56,101,45,50,55,32,49,46,
      50,50,51,50,56,101,45,50,55,32,49,46,51,50,52,51,54,101,45,50,55,32,49,46,52,
      50,53,52,52,101,45,50,55,32,48,114,51,48,55,32,49,46,57,48,56,51,50,101,45,
      51,55,32,51,46,52,48,55,53,101,45,51,55,32,53,46,57,52,50,56,56,101,45,51,55,
      10,32,32,49,46,48,50,55,52,51,101,45,51,54,32,49,46,55,49,57,55,101,45,51,54,
      32,50,46,56,50,51,52,56,101,45,51,54,32,52,46,53,53,51,55,54,101,45,51,54,32,
      55,46,50,49,55,52,52,101,45,51,54,32,49,46,53,51,52,52,52,101,45,51,53,32,50,
      46,51,53,49,49,55,101,45,51,53,10,32,32,51,46,53,52,57,55,51,101,45,51,53,32,
      53,46,50,56,52,52,51,101,45,51,53,32,55,46,55,54,50,57,50,101,45,51,53,32,49,
      46,49,50,54,49,56,101,45,51,52,32,49,46,54,49,52,53,50,101,45,51,52,32,50,46,
      50,56,56,52,53,101,45,51,52,32,51,46,50,48,57,52,51,101,45,51,52,10,32,32,52,
      46,52,53,53,56,50,101,45,51,52,32,56,46,53,52,55,54,101,45,51,52,32,49,46,48,
      54,53,101,45,51,51,32,49,46,51,50,49,51,52,101,45,51,51,32,49,46,54,51,50,55,
      50,101,45,51,51,32,50,46,48,48,57,53,54,101,45,51,51,32,50,46,53,50,56,55,57,
      101,45,51,51,10,32,32,51,46,51,54,48,54,51,101,45,51,51,32,52,46,52,51,52,57,
      56,101,45,51,51,32,53,46,56,49,51,55,53,101,45,51,51,32,55,46,53,55,51,52,50,
      101,45,51,51,32,57,46,56,48,54,53,52,101,45,51,51,32,49,46,50,54,50,53,53,101,
      45,51,50,32,49,46,54,49,54,54,50,101,45,51,50,10,32,32,50,46,48,53,57,50,49,
      101,45,51,50,32,50,46,54,48,57,57,50,101,45,51,50,32,51,46,50,57,50,48,54,101,
      45,51,50,32,52,46,49,51,51,51,57,101,45,51,50,32,53,46,49,54,54,55,50,101,45,
      51,50,32,54,46,52,51,48,55,53,101,45,51,50,32,56,46,50,48,48,53,54,101,45,51,
      50,10,32,32,49,46,48,49,48,52,51,101,45,51,49,32,49,46,50,52,48,51,51,101,45,
      51,49,32,49,46,53,49,55,48,53,101,45,51,49,32,49,46,56,52,56,57,55,101,45,51,
      49,32,50,46,50,52,53,56,101,45,51,49,32,50,46,55,50,51,57,53,101,45,51,49,32,
      51,46,51,50,53,57,53,101,45,51,49,10,32,32,51,46,57,57,52,54,52,101,45,51,49,
      32,52,46,55,56,51,56,101,45,51,49,32,53,46,55,49,51,55,49,101,45,51,49,32,54,
      46,56,48,51,56,57,101,45,51,49,32,56,46,48,55,57,55,57,101,45,51,49,32,57,46,
      53,54,56,56,56,101,45,51,49,32,49,46,49,51,48,49,54,101,45,51,48,10,32,32,49,
      46,51,51,49,50,53,101,45,51,48,32,49,46,53,54,52,48,51,101,45,51,48,32,49,46,
      56,51,50,56,51,101,45,51,48,32,50,46,49,52,50,52,101,45,51,48,32,50,46,52,57,
      56,48,49,101,45,51,48,32,50,46,57,48,53,52,54,101,45,51,48,32,51,46,51,55,49,
      49,51,101,45,51,48,10,32,32,51,46,57,48,50,52,56,101,45,51,48,32,53,46,49,57,
      49,52,55,101,45,51,48,32,54,46,56,52,49,52,55,101,45,51,48,32,56,46,57,51,52,
      49,55,101,45,51,48,32,49,46,49,53,54,51,55,101,45,50,57,32,49,46,52,56,51,55,
      101,45,50,57,32,49,46,56,56,55,53,53,101,45,50,57,10,32,32,50,46,51,56,49,49,
      54,101,45,50,57,32,50,46,57,55,57,50,57,101,45,50,57,32,51,46,54,57,55,53,49,
      101,45,50,57,32,52,46,53,53,50,55,53,101,45,50,57,32,53,46,53,54,50,50,56,101,
      45,50,57,32,54,46,55,52,51,57,49,101,45,50,57,32,56,46,49,49,53,49,56,101,45,
      50,57,10,32,32,57,46,54,57,51,49,49,101,45,50,57,32,49,46,49,52,57,51,56,101,
      45,50,56,32,49,46,51,53,51,49,53,101,45,50,56,32,49,46,53,56,49,56,51,101,45,
      50,56,32,49,46,56,51,54,51,54,101,45,50,56,32,50,46,49,49,55,51,101,45,50,56,
      32,50,46,52,50,52,56,52,101,45,50,56,10,32,32,50,46,55,53,56,54,55,101,45,50,
      56,32,51,46,49,49,56,48,52,101,45,50,56,32,51,46,53,48,49,54,53,101,45,50,56,
      32,51,46,57,48,55,53,55,101,45,50,56,32,52,46,51,51,51,51,56,101,45,50,56,32,
      52,46,55,55,54,49,50,101,45,50,56,32,53,46,50,51,50,51,101,45,50,56,10,32,32,
      53,46,54,57,55,57,57,101,45,50,56,32,54,46,49,54,56,56,51,101,45,50,56,32,48,
      114,51,48,55,32,51,46,53,52,54,55,57,101,45,51,56,32,54,46,53,50,52,56,54,101,
      45,51,56,32,49,46,49,55,48,56,49,101,45,51,55,32,50,46,48,55,54,51,52,101,45,
      51,55,32,51,46,53,54,54,51,54,101,45,51,55,10,32,32,53,46,57,57,57,57,56,101,
      45,51,55,32,57,46,57,48,51,50,49,101,45,51,55,32,49,46,54,48,52,57,51,101,45,
      51,54,32,51,46,53,49,55,48,55,101,45,51,54,32,53,46,53,48,51,56,54,101,45,51,
      54,32,56,46,52,55,56,52,101,45,51,54,32,49,46,50,56,54,55,49,101,45,51,53,10,
      32,32,49,46,57,50,53,51,52,101,45,51,53,32,50,46,56,52,50,55,49,101,45,51,53,
      32,52,46,49,52,52,52,53,101,45,51,53,32,53,46,57,55,48,51,50,101,45,51,53,32,
      56,46,53,48,51,52,53,101,45,51,53,32,49,46,49,57,56,49,54,101,45,51,52,32,50,
      46,52,55,56,55,56,101,45,51,52,10,32,32,51,46,49,49,52,49,54,101,45,51,52,32,
      51,46,56,57,52,54,49,101,45,51,52,32,52,46,56,52,57,50,54,101,45,51,52,32,54,
      46,48,49,50,53,54,101,45,51,52,32,55,46,54,50,54,53,52,101,45,51,52,32,49,46,
      48,50,51,50,55,101,45,51,51,32,49,46,51,54,50,55,49,101,45,51,51,10,32,32,49,
      46,56,48,49,56,52,101,45,51,51,32,50,46,51,54,54,52,52,101,45,51,51,32,51,46,
      48,56,56,48,50,101,45,51,51,32,52,46,48,48,53,49,50,101,45,51,51,32,53,46,49,
      54,52,54,101,45,51,51,32,54,46,54,50,50,54,54,101,45,51,51,32,56,46,52,52,55,
      51,57,101,45,51,51,10,32,32,49,46,48,55,50,48,49,101,45,51,50,32,49,46,51,53,
      51,56,51,101,45,51,50,32,49,46,55,48,49,55,57,101,45,51,50,32,50,46,49,50,57,
      54,50,101,45,51,50,32,50,46,55,52,53,51,101,45,51,50,32,51,46,51,57,56,56,55,
      101,45,51,50,32,52,46,49,57,49,52,53,101,45,51,50,10,32,32,53,46,49,52,57,51,
      52,101,45,51,50,32,54,46,51,48,50,57,50,101,45,51,50,32,55,46,54,56,55,50,56,
      101,45,51,50,32,57,46,51,54,50,51,55,101,45,51,50,32,49,46,49,53,51,48,51,101,
      45,51,49,32,49,46,51,56,57,51,51,101,45,51,49,32,49,46,54,54,57,49,54,101,45,
      51,49,10,32,32,50,46,48,48,48,48,52,101,45,51,49,32,50,46,51,56,57,50,54,101,
      45,51,49,32,50,46,56,52,54,51,50,101,45,51,49,32,51,46,51,56,49,52,57,101,45,
      51,49,32,52,46,48,48,54,51,101,45,51,49,32,52,46,55,51,51,55,57,101,45,51,49,
      32,53,46,53,55,56,55,57,101,45,51,49,10,32,32,54,46,53,53,55,55,51,101,45,51,
      49,32,55,46,54,56,56,56,57,101,45,51,49,32,56,46,57,57,50,53,53,101,45,51,49,
      32,49,46,48,52,57,49,49,101,45,51,48,32,49,46,50,50,48,57,52,101,45,51,48,32,
      49,46,52,49,55,55,55,101,45,51,48,32,49,46,56,57,55,52,57,101,45,51,48,10,32,
      32,50,46,53,49,53,52,56,101,45,51,48,32,51,46,51,48,52,52,49,101,45,51,48,32,
      52,46,51,48,50,50,53,101,45,51,48,32,53,46,53,53,50,56,55,101,45,51,48,32,55,
      46,49,48,54,52,50,101,45,51,48,32,57,46,48,49,55,52,54,101,45,51,48,32,49,46,
      49,51,52,56,56,101,45,50,57,10,32,32,49,46,52,49,54,55,54,101,45,50,57,32,49,
      46,55,53,52,55,55,101,45,50,57,32,50,46,49,53,54,53,101,45,50,57,32,50,46,54,
      50,57,57,50,101,45,50,57,32,51,46,49,56,51,50,50,101,45,50,57,32,51,46,56,50,
      52,53,101,45,50,57,32,52,46,53,54,49,52,53,101,45,50,57,10,32,32,53,46,52,48,
      49,53,49,101,45,50,57,32,54,46,51,53,49,51,101,45,50,57,32,55,46,52,49,54,52,
      57,101,45,50,57,32,56,46,54,48,49,50,57,101,45,50,57,32,57,46,57,48,56,51,54,
      101,45,50,57,32,49,46,49,51,51,56,50,101,45,50,56,32,49,46,50,56,57,101,45,
      50,56,10,32,32,49,46,52,53,54,48,49,101,45,50,56,32,49,46,54,51,52,50,54,101,
      45,50,56,32,49,46,56,50,50,56,57,101,45,50,56,32,50,46,48,50,48,56,49,101,45,
      50,56,32,50,46,50,50,54,54,56,101,45,50,56,32,50,46,52,51,56,57,49,101,45,50,
      56,32,50,46,54,53,53,55,54,101,45,50,56,10,32,32,48,114,51,48,57,32,50,46,50,
      50,55,50,56,101,45,51,56,32,52,46,48,53,53,55,49,101,45,51,56,32,55,46,49,53,
      52,48,57,101,45,51,56,32,49,46,50,51,52,54,52,101,45,51,55,32,50,46,48,56,55,
      55,56,101,45,51,55,32,51,46,52,54,50,54,54,101,45,51,55,32,55,46,56,49,57,56,
      101,45,51,55,10,32,32,49,46,50,53,48,56,51,101,45,51,54,32,49,46,57,54,55,55,
      54,101,45,51,54,32,51,46,48,52,55,48,55,101,45,51,54,32,52,46,54,52,56,51,101,
      45,51,54,32,54,46,57,57,48,57,53,101,45,51,54,32,49,46,48,51,55,52,49,101,45,
      51,53,32,49,46,53,49,57,57,54,101,45,51,53,10,32,32,50,46,50,48,48,50,57,101,
      45,51,53,32,51,46,49,52,56,55,57,101,45,51,53,32,55,46,48,53,55,54,51,101,45,
      51,53,32,56,46,57,52,53,49,49,101,45,51,53,32,49,46,49,50,56,50,50,101,45,51,
      52,32,49,46,52,49,54,51,50,101,45,51,52,32,49,46,55,55,48,48,50,101,45,51,52,
      10,32,32,50,46,50,54,52,52,56,101,45,51,52,32,51,46,48,54,57,57,50,101,45,51,
      52,32,52,46,49,50,56,53,53,101,45,51,52,32,53,46,53,49,48,48,52,101,45,51,52,
      32,55,46,51,48,48,57,52,101,45,51,52,32,57,46,54,48,55,55,49,101,45,51,52,32,
      49,46,50,53,54,49,49,101,45,51,51,10,32,32,49,46,54,51,50,48,56,101,45,51,51,
      32,50,46,49,48,56,48,52,101,45,51,51,32,50,46,55,48,55,53,49,101,45,51,51,32,
      51,46,52,53,56,54,55,101,45,51,51,32,52,46,51,57,53,54,101,45,51,51,32,53,46,
      53,53,56,55,53,101,45,51,51,32,54,46,57,57,54,51,56,101,45,51,51,10,32,32,57,
      46,49,50,53,50,51,101,45,51,51,32,49,46,49,51,53,53,52,101,45,51,50,32,49,46,
      52,48,55,50,49,101,45,51,50,32,49,46,55,51,54,57,49,101,45,51,50,32,50,46,49,
      51,53,54,101,45,51,50,32,50,46,54,49,54,49,101,45,51,50,32,51,46,50,101,45,
      51,50,32,51,46,57,56,49,55,53,101,45,51,50,10,32,32,52,46,56,49,51,57,101,45,
      51,50,32,53,46,56,48,50,55,101,45,51,50,32,54,46,57,55,53,55,49,101,45,51,50,
      32,56,46,51,54,48,48,56,101,45,51,50,32,57,46,57,57,49,48,54,101,45,51,50,32,
      49,46,49,57,48,55,101,45,51,49,32,49,46,52,49,53,49,52,101,45,51,49,10,32,32,
      49,46,54,55,55,51,101,45,51,49,32,49,46,57,56,50,55,54,101,45,51,49,32,50,46,
      51,51,55,55,52,101,45,51,49,32,50,46,55,52,57,50,54,101,45,51,49,32,51,46,50,
      50,53,48,55,101,45,51,49,32,51,46,55,55,51,56,51,101,45,51,49,32,52,46,52,48,
      53,48,55,101,45,51,49,10,32,32,53,46,49,51,49,49,54,101,45,51,49,32,54,46,57,
      48,56,54,51,101,45,51,49,32,57,46,50,49,50,54,56,101,45,51,49,32,49,46,50,49,
      55,51,101,45,51,48,32,49,46,53,57,52,49,101,45,51,48,32,50,46,48,54,57,52,49,
      101,45,51,48,32,50,46,54,54,51,55,56,101,45,51,48,10,32,32,51,46,51,57,57,56,
      54,101,45,51,48,32,52,46,51,48,51,55,55,101,45,51,48,32,53,46,52,48,51,56,51,
      101,45,51,48,32,54,46,55,51,49,53,54,101,45,51,48,32,56,46,51,49,57,57,53,101,
      45,51,48,32,49,46,48,50,48,52,56,101,45,50,57,32,49,46,50,52,50,50,57,101,45,
      50,57,10,32,32,49,46,53,48,49,49,50,101,45,50,57,32,49,46,56,48,48,55,49,101,
      45,50,57,32,50,46,49,52,52,54,55,101,45,50,57,32,50,46,53,51,54,51,57,101,45,
      50,57,32,50,46,57,55,56,56,56,101,45,50,57,32,51,46,52,55,52,54,52,101,45,50,
      57,32,52,46,48,50,53,54,57,101,45,50,57,10,32,32,52,46,54,51,51,50,51,101,45,
      50,57,32,53,46,50,57,55,54,54,101,45,50,57,32,54,46,48,49,56,52,51,101,45,50,
      57,32,54,46,55,57,52,48,49,101,45,50,57,32,55,46,54,50,49,55,50,101,45,50,57,
      32,56,46,52,57,55,55,49,101,45,50,57,32,57,46,52,49,55,50,49,101,45,50,57,10,
      32,32,49,46,48,51,55,51,57,101,45,50,56,32,49,46,49,51,54,48,55,101,45,50,56,
      32,48,114,51,49,50,32,50,46,52,53,55,48,55,101,45,51,56,32,52,46,50,54,49,48,
      51,101,45,51,56,32,55,46,50,51,56,56,54,101,45,51,56,32,49,46,54,56,52,52,49,
      101,45,51,55,32,50,46,55,53,54,52,51,101,45,51,55,10,32,32,52,46,52,51,49,57,
      54,101,45,51,55,32,55,46,48,48,56,50,101,45,51,55,32,49,46,48,57,48,56,49,101,
      45,51,54,32,49,46,54,55,50,52,54,101,45,51,54,32,50,46,53,50,56,49,101,45,51,
      54,32,51,46,55,55,48,51,101,45,51,54,32,53,46,53,53,49,53,50,101,45,51,54,10,
      32,32,56,46,48,55,53,48,56,101,45,51,54,32,49,46,57,54,57,53,101,45,51,53,32,
      50,46,53,50,48,48,50,101,45,51,53,32,51,46,50,48,55,54,50,101,45,51,53,32,52,
      46,48,54,50,51,49,101,45,51,53,32,53,46,49,49,57,57,52,101,45,51,53,32,54,46,
      54,49,48,54,54,101,45,51,53,10,32,32,57,46,48,54,50,50,52,101,45,51,53,32,49,
      46,50,51,49,54,54,101,45,51,52,32,49,46,54,54,48,51,57,101,45,51,52,32,50,46,
      50,50,49,49,54,101,45,51,52,32,50,46,57,52,57,54,49,101,45,51,52,32,51,46,56,
      56,57,55,52,101,45,51,52,32,53,46,48,57,53,55,101,45,51,52,10,32,32,54,46,54,
      51,51,54,50,101,45,51,52,32,56,46,53,56,51,55,54,101,45,51,52,32,49,46,49,48,
      52,51,51,101,45,51,51,32,49,46,52,49,51,48,51,101,45,51,51,32,49,46,55,57,56,
      53,56,101,45,51,51,32,50,46,50,55,55,56,49,101,45,51,51,32,51,46,48,48,56,52,
      55,101,45,51,51,10,32,32,51,46,55,54,52,52,51,101,45,51,51,32,52,46,54,56,57,
      56,49,101,45,51,51,32,53,46,56,49,56,49,55,101,45,51,51,32,55,46,49,56,56,54,
      55,101,45,51,51,32,56,46,56,52,55,52,53,101,45,51,51,32,49,46,48,56,55,49,54,
      101,45,51,50,32,49,46,51,54,57,53,55,101,45,51,50,10,32,32,49,46,54,54,49,52,
      49,101,45,51,50,32,50,46,48,48,57,51,53,101,45,51,50,32,50,46,52,50,51,52,52,
      101,45,51,50,32,50,46,57,49,51,56,49,101,45,51,50,32,51,46,52,57,51,52,53,101,
      45,51,50,32,52,46,49,55,54,53,53,101,45,51,50,32,52,46,57,55,57,51,55,101,45,
      51,50,10,32,32,53,46,57,50,48,50,55,101,45,51,50,32,55,46,48,50,48,50,52,101,
      45,51,50,32,56,46,51,48,50,57,49,101,45,51,50,32,57,46,55,57,52,54,55,101,45,
      51,50,32,49,46,49,53,50,52,57,101,45,51,49,32,49,46,51,53,50,54,54,101,45,51,
      49,32,49,46,53,56,51,54,56,101,45,51,49,10,32,32,49,46,56,53,48,53,57,101,45,
      51,49,32,50,46,53,48,54,54,49,101,45,51,49,32,51,46,51,54,50,48,53,101,45,51,
      49,32,52,46,52,54,56,49,54,101,45,51,49,32,53,46,56,56,53,51,51,101,45,51,49,
      32,55,46,54,56,52,54,54,101,45,51,49,32,57,46,57,52,57,53,53,101,45,51,49,10,
      32,32,49,46,50,55,55,50,101,45,51,48,32,49,46,54,50,54,48,51,101,45,51,48,32,
      50,46,48,53,51,51,52,101,45,51,48,32,50,46,53,55,50,53,55,101,45,51,48,32,51,
      46,49,57,55,55,55,101,45,51,48,32,51,46,57,52,52,53,56,101,45,51,48,32,52,46,
      56,50,57,50,56,101,45,51,48,10,32,32,53,46,56,54,56,57,56,101,45,51,48,32,55,
      46,48,56,48,53,53,101,45,51,48,32,56,46,52,56,49,49,101,45,51,48,32,49,46,48,
      48,56,55,51,101,45,50,57,32,49,46,49,57,49,52,52,101,45,50,57,32,49,46,51,57,
      55,54,52,101,45,50,57,32,49,46,54,50,56,53,101,45,50,57,10,32,32,49,46,56,56,
      52,57,49,101,45,50,57,32,50,46,49,54,55,53,101,45,50,57,32,50,46,52,55,54,52,
      101,45,50,57,32,50,46,56,49,49,52,50,101,45,50,57,32,51,46,49,55,49,56,50,101,
      45,50,57,32,51,46,53,53,54,52,51,101,45,50,57,32,51,46,57,54,51,53,52,101,45,
      50,57,10,32,32,52,46,51,57,48,55,54,101,45,50,57,32,52,46,56,51,53,53,51,101,
      45,50,57,32,48,114,51,49,53,32,51,46,53,49,53,55,54,101,45,51,56,32,53,46,56,
      57,48,56,54,101,45,51,56,32,57,46,54,56,57,49,56,101,45,51,56,32,49,46,53,54,
      53,57,101,45,51,55,32,50,46,52,56,56,55,52,101,45,51,55,10,32,32,51,46,56,57,
      51,50,51,101,45,51,55,32,53,46,57,57,57,55,57,101,45,51,55,32,57,46,49,49,52,
      57,55,101,45,51,55,32,49,46,51,54,54,48,53,101,45,51,54,32,50,46,48,50,49,49,
      101,45,51,54,32,53,46,51,56,56,49,101,45,51,54,32,54,46,57,54,51,55,50,101,
      45,51,54,10,32,32,56,46,57,53,48,49,55,101,45,51,54,32,49,46,49,52,52,50,50,
      101,45,51,53,32,49,46,52,53,53,50,57,101,45,51,53,32,49,46,56,57,55,54,56,101,
      45,51,53,32,50,46,54,51,50,55,54,101,45,51,53,32,51,46,54,49,57,49,56,101,45,
      51,53,32,52,46,57,51,49,56,49,101,45,51,53,10,32,32,54,46,54,54,53,52,53,101,
      45,51,53,32,56,46,57,51,56,49,54,101,45,51,53,32,49,46,49,56,57,54,56,101,45,
      51,52,32,49,46,53,55,50,51,51,101,45,51,52,32,50,46,48,54,52,49,50,101,45,51,
      52,32,50,46,54,57,50,52,53,101,45,51,52,32,51,46,52,57,48,54,51,101,45,51,52,
      10,32,32,52,46,52,57,57,48,57,101,45,51,52,32,53,46,55,54,54,53,53,101,45,51,
      52,32,55,46,51,53,49,55,50,101,45,51,52,32,57,46,56,51,57,55,57,101,45,51,52,
      32,49,46,50,51,56,53,50,101,45,51,51,32,49,46,53,53,49,55,50,101,45,51,51,32,
      49,46,57,51,53,52,56,101,45,51,51,10,32,32,50,46,52,48,51,56,54,101,45,51,51,
      32,50,46,57,55,51,51,101,45,51,51,32,51,46,54,55,49,49,56,101,45,51,51,32,52,
      46,54,57,51,49,53,101,45,51,51,32,53,46,55,49,51,48,55,101,45,51,51,32,54,46,
      57,51,51,48,51,101,45,51,51,32,56,46,51,56,57,53,53,101,45,51,51,10,32,32,49,
      46,48,49,50,48,51,101,45,51,50,32,49,46,50,49,55,50,55,101,45,51,50,32,49,46,
      52,53,57,57,56,101,45,51,50,32,49,46,55,52,54,49,51,101,45,51,50,32,50,46,48,
      56,50,53,54,101,45,51,50,32,50,46,52,55,55,49,49,101,45,51,50,32,50,46,57,51,
      56,54,53,101,45,51,50,10,32,32,51,46,52,55,55,48,56,101,45,51,50,32,52,46,49,
      48,51,54,50,101,45,51,50,32,52,46,56,51,48,56,101,45,51,50,32,53,46,54,55,50,
      54,53,101,45,51,50,32,54,46,54,53,48,48,50,101,45,51,50,32,57,46,48,54,49,48,
      51,101,45,51,50,32,49,46,50,50,50,51,52,101,45,51,49,10,32,32,49,46,54,51,51,
      56,54,101,45,51,49,32,50,46,49,54,52,52,50,101,45,51,49,32,50,46,56,52,50,49,
      56,101,45,51,49,32,51,46,55,48,48,56,54,101,45,51,49,32,52,46,55,55,55,55,101,
      45,51,49,32,54,46,49,49,55,48,50,101,45,51,49,32,55,46,55,54,56,49,53,101,45,
      51,49,10,32,32,57,46,55,56,55,52,57,101,45,51,49,32,49,46,50,50,51,53,50,101,
      45,51,48,32,49,46,53,49,55,56,52,101,45,51,48,32,49,46,56,54,56,56,49,101,45,
      51,48,32,50,46,50,56,51,57,50,101,45,51,48,32,50,46,55,55,48,57,51,101,45,51,
      48,32,51,46,51,51,55,55,53,101,45,51,48,10,32,32,51,46,57,57,50,49,54,101,45,
      51,48,32,52,46,55,52,49,56,51,101,45,51,48,32,53,46,53,57,51,56,50,101,45,51,
      48,32,54,46,53,53,52,53,53,101,45,51,48,32,55,46,54,50,57,52,50,101,45,51,48,
      32,56,46,56,50,50,54,52,101,45,51,48,32,49,46,48,49,51,55,101,45,50,57,10,32,
      32,49,46,49,53,55,51,51,101,45,50,57,32,49,46,51,49,51,48,53,101,45,50,57,32,
      49,46,52,56,48,53,54,101,45,50,57,32,49,46,54,53,57,51,101,45,50,57,32,49,46,
      56,52,56,53,101,45,50,57,32,50,46,48,52,55,49,52,101,45,50,57,32,48,114,51,
      49,55,32,50,46,48,53,49,50,50,101,45,51,56,10,32,32,51,46,51,57,48,54,55,101,
      45,51,56,32,53,46,53,48,55,48,57,101,45,51,56,32,56,46,55,57,54,57,54,101,45,
      51,56,32,49,46,51,56,50,57,56,101,45,51,55,32,50,46,49,52,49,54,57,101,45,51,
      55,32,51,46,50,54,57,53,53,101,45,51,55,32,52,46,57,50,52,48,51,101,45,51,55,
      10,32,32,49,46,52,51,57,57,55,101,45,51,54,32,49,46,56,56,49,49,53,101,45,51,
      54,32,50,46,52,52,50,57,56,101,45,51,54,32,51,46,49,53,52,53,51,101,45,51,54,
      32,52,46,48,53,49,49,50,101,45,51,54,32,53,46,51,51,56,52,52,101,45,51,54,32,
      55,46,53,48,49,49,50,101,45,51,54,10,32,32,49,46,48,52,51,55,54,101,45,51,53,
      32,49,46,52,51,56,56,57,101,45,51,53,32,49,46,57,54,54,50,50,101,45,51,53,32,
      50,46,54,54,52,51,57,101,45,51,53,32,51,46,53,56,49,57,49,101,45,51,53,32,52,
      46,55,55,57,51,54,101,45,51,53,32,54,46,51,51,49,50,56,101,45,51,53,10,32,32,
      56,46,51,51,101,45,51,53,32,49,46,48,56,56,56,53,101,45,51,52,32,49,46,52,49,
      52,52,55,101,45,51,52,32,49,46,56,50,54,54,53,101,45,51,52,32,50,46,51,52,53,
      54,52,101,45,51,52,32,51,46,49,56,52,51,101,45,51,52,32,52,46,48,51,52,50,53,
      101,45,51,52,10,32,32,53,46,48,56,53,56,50,101,45,51,52,32,54,46,51,56,49,51,
      51,101,45,51,52,32,55,46,57,55,48,53,56,101,45,51,52,32,57,46,57,49,50,48,57,
      101,45,51,52,32,49,46,50,51,48,50,101,45,51,51,32,49,46,54,48,48,52,55,101,
      45,51,51,32,49,46,57,53,53,50,54,101,45,51,51,10,32,32,50,46,51,56,49,49,54,
      101,45,51,51,32,50,46,56,57,49,52,49,101,45,51,51,32,51,46,52,57,57,56,49,101,
      45,51,51,32,52,46,50,50,51,55,52,101,45,51,51,32,53,46,48,56,50,53,57,101,45,
      51,51,32,54,46,48,57,56,52,53,101,45,51,51,32,55,46,50,57,54,55,54,101,45,51,
      51,10,32,32,56,46,55,48,54,55,50,101,45,51,51,32,49,46,48,51,54,49,52,101,45,
      51,50,32,49,46,50,50,57,55,57,101,45,51,50,32,49,46,52,53,53,56,53,101,45,51,
      50,32,49,46,55,49,57,48,53,101,45,51,50,32,50,46,48,50,52,54,57,101,45,51,50,
      32,50,46,51,56,49,54,101,45,51,50,10,32,32,51,46,50,54,52,54,56,101,45,51,50,
      32,52,46,52,50,57,52,53,101,45,51,50,32,53,46,57,53,52,53,57,101,45,51,50,32,
      55,46,57,51,51,49,57,101,45,51,50,32,49,46,48,52,55,54,57,101,45,51,49,32,49,
      46,51,55,50,48,56,101,45,51,49,32,49,46,55,56,49,51,50,101,45,51,49,10,32,32,
      50,46,50,57,51,52,51,101,45,51,49,32,50,46,57,50,56,56,54,101,45,51,49,32,51,
      46,55,49,49,48,55,101,45,51,49,32,52,46,54,54,53,50,52,101,45,51,49,32,53,46,
      56,49,57,55,57,101,45,51,49,32,55,46,50,48,53,53,50,101,45,51,49,32,56,46,56,
      53,53,51,52,101,45,51,49,10,32,32,49,46,48,56,48,51,52,101,45,51,48,32,49,46,
      51,48,56,53,55,101,45,51,48,32,49,46,53,55,51,56,53,101,45,51,48,32,49,46,56,
      55,57,56,50,101,45,51,48,32,50,46,50,50,57,57,54,101,45,51,48,32,50,46,54,50,
      55,53,52,101,45,51,48,32,51,46,48,55,53,52,49,101,45,51,48,10,32,32,51,46,53,
      55,54,49,51,101,45,51,48,32,52,46,49,51,49,54,54,101,45,51,48,32,52,46,55,52,
      51,50,52,101,45,51,48,32,53,46,52,49,49,51,49,101,45,51,48,32,54,46,49,51,53,
      52,56,101,45,51,48,32,54,46,57,49,52,51,55,101,45,51,48,32,55,46,55,52,53,52,
      56,101,45,51,48,10,32,32,56,46,54,50,53,53,56,101,45,51,48,32,48,114,51,50,
      49,32,51,46,48,57,53,51,53,101,45,51,56,32,52,46,56,57,48,49,56,101,45,51,56,
      32,55,46,54,49,48,51,52,101,45,51,56,32,49,46,49,54,55,53,56,101,45,51,55,32,
      51,46,55,54,52,54,57,101,45,51,55,32,52,46,57,55,51,52,55,101,45,51,55,10,32,
      32,54,46,53,50,57,50,55,101,45,51,55,32,56,46,53,50,48,48,56,101,45,51,55,32,
      49,46,49,48,53,51,52,101,45,51,54,32,49,46,52,55,50,56,49,101,45,51,54,32,50,
      46,48,57,55,53,101,45,51,54,32,50,46,57,53,54,50,57,101,45,51,54,32,52,46,49,
      50,53,55,101,45,51,54,10,32,32,53,46,55,48,51,57,53,101,45,51,54,32,55,46,56,
      49,54,49,52,101,45,51,54,32,49,46,48,54,50,48,51,101,45,51,53,32,49,46,52,51,
      49,53,50,101,45,51,53,32,49,46,57,49,52,56,50,101,45,51,53,32,50,46,53,52,50,
      55,53,101,45,51,53,32,51,46,51,53,51,50,53,101,45,51,53,10,32,32,52,46,51,57,
      51,49,50,101,45,51,53,32,53,46,55,49,57,50,52,101,45,51,53,32,55,46,52,48,48,
      57,101,45,51,53,32,49,46,48,49,57,55,56,101,45,51,52,32,49,46,51,48,49,48,49,
      101,45,51,52,32,49,46,54,53,49,48,56,101,45,51,52,32,50,46,48,56,52,55,57,101,
      45,51,52,10,32,32,50,46,54,49,57,55,53,101,45,51,52,32,51,46,50,55,54,56,55,
      101,45,51,52,32,52,46,48,56,57,53,53,101,45,51,52,32,53,46,52,51,49,52,52,101,
      45,51,52,32,54,46,54,54,48,57,52,101,45,51,52,32,56,46,49,52,50,49,49,101,45,
      51,52,32,57,46,57,50,50,54,54,101,45,51,52,10,32,32,49,46,50,48,53,51,101,45,
      51,51,32,49,46,52,53,57,54,52,101,45,51,51,32,49,46,55,54,50,51,57,101,45,51,
      51,32,50,46,49,50,49,55,49,101,45,51,51,32,50,46,53,52,54,57,49,101,45,51,51,
      32,51,46,48,52,56,55,54,101,45,51,51,32,51,46,54,51,57,53,101,45,51,51,10,32,
      32,52,46,51,51,51,49,51,101,45,51,51,32,53,46,49,52,53,51,57,101,45,51,51,32,
      54,46,48,57,52,49,51,101,45,51,51,32,55,46,49,57,57,51,55,101,45,51,51,32,56,
      46,52,57,56,54,54,101,45,51,51,32,49,46,49,55,50,48,54,101,45,51,50,32,49,46,
      53,57,57,51,51,101,45,51,50,10,32,32,50,46,49,54,50,49,57,101,45,51,50,32,50,
      46,56,57,54,55,56,101,45,51,50,32,51,46,56,52,54,57,52,101,45,51,50,32,53,46,
      48,54,54,53,49,101,45,51,50,32,54,46,54,49,52,55,54,101,45,51,50,32,56,46,53,
      54,51,57,52,101,45,51,50,32,49,46,48,57,57,55,49,101,45,51,49,10,32,32,49,46,
      52,48,49,48,55,101,45,51,49,32,49,46,55,55,48,57,49,101,45,51,49,32,50,46,50,
      50,49,50,56,101,45,51,49,32,50,46,55,54,53,51,101,45,51,49,32,51,46,52,49,55,
      48,55,101,45,51,49,32,52,46,49,57,49,55,49,101,45,51,49,32,53,46,49,48,53,50,
      50,101,45,51,49,10,32,32,54,46,49,55,52,48,56,101,45,51,49,32,55,46,52,49,52,
      57,54,101,45,51,49,32,56,46,56,52,52,51,49,101,45,51,49,32,49,46,48,52,55,56,
      51,101,45,51,48,32,49,46,50,51,51,49,55,101,45,51,48,32,49,46,52,52,49,56,51,
      101,45,51,48,32,49,46,54,55,52,57,51,101,45,51,48,10,32,32,49,46,57,51,51,51,
      56,101,45,51,48,32,50,46,50,49,55,55,56,101,45,51,48,32,50,46,53,50,56,51,50,
      101,45,51,48,32,50,46,56,54,52,57,49,101,45,51,48,32,51,46,50,50,54,56,52,101,
      45,51,48,32,51,46,54,49,51,48,55,101,45,51,48,32,48,114,51,50,52,32,50,46,54,
      57,48,53,54,101,45,51,56,10,32,32,57,46,54,49,50,52,49,101,45,51,56,32,49,46,
      50,56,52,56,53,101,45,51,55,32,49,46,55,48,54,48,52,101,45,51,55,32,50,46,50,
      53,48,56,52,101,45,51,55,32,50,46,57,53,49,51,57,101,45,51,55,32,51,46,57,55,
      56,52,56,101,45,51,55,32,53,46,55,52,54,54,101,45,51,55,10,32,32,56,46,50,48,
      57,56,56,101,45,51,55,32,49,46,49,54,48,54,55,101,45,51,54,32,49,46,54,50,52,
      54,57,101,45,51,54,32,50,46,50,53,50,56,51,101,45,51,54,32,51,46,48,57,53,57,
      54,101,45,51,54,32,52,46,50,49,56,53,101,45,51,54,32,53,46,55,48,49,54,57,101,
      45,51,54,10,32,32,55,46,54,52,54,54,57,101,45,51,54,32,49,46,48,49,55,57,52,
      101,45,51,53,32,49,46,51,52,53,54,54,101,45,51,53,32,49,46,55,54,55,48,52,101,
      45,51,53,32,50,46,51,48,53,53,50,101,45,51,53,32,51,46,50,50,54,54,56,101,45,
      51,53,32,52,46,49,52,55,54,49,101,45,51,53,10,32,32,53,46,51,48,49,55,101,45,
      51,53,32,54,46,55,52,48,55,57,101,45,51,53,32,56,46,53,50,54,52,55,101,45,51,
      53,32,49,46,48,55,51,50,53,101,45,51,52,32,49,46,51,52,55,52,49,101,45,51,52,
      32,49,46,56,51,51,49,57,101,45,51,52,32,50,46,50,53,55,49,50,101,45,51,52,10,
      32,32,50,46,55,54,57,55,49,101,45,51,52,32,51,46,51,56,56,101,45,51,52,32,52,
      46,49,51,48,52,56,101,45,51,52,32,53,46,48,50,48,48,50,101,45,51,52,32,54,46,
      48,56,50,52,49,101,45,51,52,32,55,46,51,52,55,53,52,101,45,51,52,32,56,46,56,
      52,57,55,51,101,45,51,52,10,32,32,49,46,48,54,50,56,56,101,45,51,51,32,49,46,
      50,55,51,48,49,101,45,51,51,32,49,46,53,50,48,53,51,101,45,51,51,32,49,46,56,
      49,49,50,57,101,45,51,51,32,50,46,49,53,49,57,54,101,45,51,51,32,50,46,53,53,
      48,49,49,101,45,51,51,32,51,46,48,50,49,57,53,101,45,51,51,10,32,32,52,46,49,
      57,51,50,54,101,45,51,51,32,53,46,55,53,52,52,51,101,45,51,51,32,55,46,56,50,
      51,53,52,101,45,51,51,32,49,46,48,53,52,48,56,101,45,51,50,32,49,46,52,48,55,
      55,49,101,45,51,50,32,49,46,56,54,52,53,52,101,45,51,50,32,50,46,52,52,55,57,
      101,45,51,50,10,32,32,51,46,49,56,54,54,55,101,45,51,50,32,52,46,49,49,52,53,
      51,101,45,51,50,32,53,46,50,55,49,48,52,101,45,51,50,32,54,46,54,57,56,56,51,
      101,45,51,50,32,56,46,52,52,56,50,54,101,45,51,50,32,49,46,48,53,55,52,52,101,
      45,51,49,32,49,46,51,49,51,56,50,101,45,51,49,10,32,32,49,46,54,50,48,52,53,
      101,45,51,49,32,49,46,57,56,52,51,50,101,45,51,49,32,50,46,52,49,50,56,49,101,
      45,51,49,32,50,46,57,49,51,52,53,101,45,51,49,32,51,46,52,57,51,57,54,101,45,
      51,49,32,52,46,49,54,49,57,50,101,45,51,49,32,52,46,57,50,52,54,54,101,45,51,
      49,10,32,32,53,46,55,56,57,50,49,101,45,51,49,32,54,46,55,54,49,54,55,101,45,
      51,49,32,55,46,56,52,55,51,54,101,45,51,49,32,57,46,48,53,48,52,101,45,51,49,
      32,49,46,48,51,55,51,54,101,45,51,48,32,49,46,49,56,49,55,57,101,45,51,48,32,
      49,46,51,51,56,50,53,101,45,51,48,10,32,32,49,46,53,48,54,53,101,45,51,48,32,
      48,114,51,50,53,32,50,46,51,57,57,48,50,101,45,51,56,32,51,46,50,52,54,49,54,
      101,45,51,56,32,52,46,51,54,49,56,50,101,45,51,56,32,53,46,56,50,49,54,55,101,
      45,51,56,32,55,46,55,49,57,56,50,101,45,51,56,32,49,46,48,53,51,53,50,101,45,
      51,55,10,32,32,49,46,53,52,52,54,55,101,45,51,55,32,50,46,50,51,56,53,57,101,
      45,51,55,32,51,46,50,48,56,50,53,101,45,51,55,32,52,46,53,52,57,56,49,101,45,
      51,55,32,54,46,51,56,55,57,52,101,45,51,55,32,56,46,56,56,51,55,56,101,45,51,
      55,32,49,46,50,50,52,51,53,101,45,51,54,10,32,32,49,46,54,55,50,57,50,101,45,
      51,54,32,50,46,50,54,55,49,54,101,45,51,54,32,51,46,48,52,56,53,52,101,45,51,
      54,32,52,46,48,54,56,56,49,101,45,51,54,32,53,46,51,57,49,57,56,101,45,51,54,
      32,55,46,48,57,55,48,49,101,45,51,54,32,49,46,48,48,57,51,54,101,45,51,53,10,
      32,32,49,46,51,48,55,56,54,101,45,51,53,32,49,46,54,56,52,54,101,45,51,53,32,
      50,46,49,53,55,53,54,101,45,51,53,32,50,46,55,52,56,51,49,101,45,51,53,32,51,
      46,52,56,50,53,56,101,45,51,53,32,52,46,51,57,57,57,101,45,51,53,32,54,46,49,
      53,53,49,53,101,45,51,53,10,32,32,55,46,54,49,48,53,54,101,45,51,53,32,57,46,
      51,55,54,56,53,101,45,51,53,32,49,46,49,53,49,52,57,101,45,51,52,32,49,46,52,
      48,57,50,101,45,51,52,32,49,46,55,49,57,48,53,101,45,51,52,32,50,46,48,57,48,
      52,52,101,45,51,52,32,50,46,53,51,52,49,55,101,45,51,52,10,32,32,51,46,48,54,
      50,56,50,101,45,51,52,32,51,46,54,57,48,57,52,101,45,51,52,32,52,46,52,51,53,
      50,54,101,45,51,52,32,53,46,51,49,52,56,50,101,45,51,52,32,54,46,51,53,49,52,
      50,101,45,51,52,32,55,46,53,54,57,56,52,101,45,51,52,32,56,46,57,57,56,50,51,
      101,45,51,52,10,32,32,49,46,48,55,48,55,51,101,45,51,51,32,49,46,52,57,52,57,
      55,101,45,51,51,32,50,46,48,54,51,50,101,45,51,51,32,50,46,56,50,48,57,101,
      45,51,51,32,51,46,56,50,49,57,101,45,51,51,32,53,46,49,51,50,49,57,101,45,51,
      51,32,54,46,56,51,53,55,56,101,45,51,51,10,32,32,57,46,48,50,52,51,51,101,45,
      51,51,32,49,46,49,56,49,49,53,101,45,51,50,32,49,46,53,51,51,51,51,101,45,51,
      50,32,49,46,57,55,53,48,49,101,45,51,50,32,50,46,53,50,51,54,54,101,45,51,50,
      32,51,46,50,48,48,48,49,101,45,51,50,32,52,46,48,50,55,49,101,45,51,50,10,32,
      32,53,46,48,51,48,52,101,45,51,50,32,54,46,50,51,55,56,49,101,45,51,50,32,55,
      46,54,55,57,54,52,101,45,51,50,32,57,46,51,56,56,48,49,101,45,51,50,32,49,46,
      49,51,57,54,57,101,45,51,49,32,49,46,51,55,52,49,49,101,45,51,49,32,49,46,54,
      52,53,54,49,101,45,51,49,10,32,32,49,46,57,53,55,54,56,101,45,51,49,32,50,46,
      51,49,51,55,51,101,45,51,49,32,50,46,55,49,54,57,53,101,45,51,49,32,51,46,49,
      55,48,50,49,101,45,51,49,32,51,46,54,55,53,57,53,101,45,51,49,32,52,46,50,51,
      54,48,54,101,45,51,49,32,52,46,56,53,49,55,53,101,45,51,49,10,32,32,53,46,53,
      50,51,53,53,101,45,51,49,32,54,46,50,53,49,50,51,101,45,51,49,32,48,114,51,
      51,48,32,50,46,55,50,56,48,49,101,45,51,56,32,52,46,48,54,50,53,54,101,45,51,
      56,32,53,46,57,55,54,48,50,101,45,51,56,32,56,46,54,56,55,56,50,101,45,51,56,
      32,49,46,50,52,57,49,101,45,51,55,10,32,32,49,46,55,55,54,57,49,101,45,51,55,
      32,50,46,53,48,50,52,49,101,45,51,55,32,51,46,52,57,48,54,54,101,45,51,55,32,
      52,46,56,50,52,57,50,101,45,51,55,32,54,46,54,49,49,52,56,101,45,51,55,32,56,
      46,57,56,52,52,57,101,45,51,55,32,49,46,50,49,49,51,50,101,45,51,54,10,32,32,
      49,46,54,50,48,57,101,45,51,54,32,50,46,49,53,51,52,54,101,45,51,54,32,51,46,
      49,49,51,54,54,101,45,51,54,32,52,46,48,54,57,54,49,101,45,51,54,32,53,46,50,
      56,53,52,49,101,45,51,54,32,54,46,56,50,51,49,52,101,45,51,54,32,56,46,55,53,
      55,51,57,101,45,51,54,10,32,32,49,46,49,49,55,55,53,101,45,51,53,32,49,46,52,
      50,49,56,101,45,51,53,32,50,46,48,53,50,57,51,101,45,51,53,32,50,46,53,52,57,
      55,50,101,45,51,53,32,51,46,49,53,53,49,49,101,45,51,53,32,51,46,56,57,48,56,
      50,101,45,51,53,32,52,46,55,56,49,48,55,101,45,51,53,10,32,32,53,46,56,53,53,
      52,49,101,45,51,53,32,55,46,49,52,55,56,101,45,51,53,32,56,46,54,57,55,52,101,
      45,51,53,32,49,46,48,53,53,101,45,51,52,32,49,46,50,55,53,56,56,101,45,51,52,
      32,49,46,53,51,56,53,101,45,51,52,32,49,46,56,52,57,56,57,101,45,51,52,32,50,
      46,50,49,56,48,54,101,45,51,52,10,32,32,50,46,54,53,50,50,50,101,45,51,52,32,
      51,46,49,54,50,55,57,101,45,51,52,32,51,46,55,56,49,48,55,101,45,51,52,32,53,
      46,51,49,51,48,55,101,45,51,52,32,55,46,51,55,52,51,56,101,45,51,52,32,49,46,
      48,49,51,57,52,101,45,51,51,32,49,46,51,56,49,52,49,101,45,51,51,10,32,32,49,
      46,56,54,53,51,54,101,45,51,51,32,50,46,52,57,56,54,56,101,45,51,51,32,51,46,
      51,49,54,57,57,101,45,51,51,32,52,46,51,54,52,56,101,45,51,51,32,53,46,54,57,
      54,56,51,101,45,51,51,32,55,46,51,55,55,54,53,101,45,51,51,32,57,46,52,55,55,
      56,57,101,45,51,51,10,32,32,49,46,50,48,56,50,51,101,45,51,50,32,49,46,53,50,
      56,54,54,101,45,51,50,32,49,46,57,49,57,55,50,101,45,51,50,32,50,46,51,57,51,
      49,53,101,45,51,50,32,50,46,57,54,49,57,53,101,45,51,50,32,51,46,54,52,48,49,
      49,101,45,51,50,32,52,46,52,52,50,53,53,101,45,51,50,10,32,32,53,46,51,56,52,
      56,53,101,45,51,50,32,54,46,52,56,51,49,52,101,45,51,50,32,55,46,55,53,51,52,
      50,101,45,51,50,32,57,46,50,49,50,48,49,101,45,51,50,32,49,46,48,56,55,52,54,
      101,45,51,49,32,49,46,50,55,53,53,56,101,45,51,49,32,49,46,52,56,54,56,57,101,
      45,51,49,10,32,32,49,46,55,50,50,53,51,101,45,51,49,32,49,46,57,56,51,51,55,
      101,45,51,49,32,50,46,50,55,48,48,49,101,45,51,49,32,50,46,53,56,50,56,101,
      45,51,49,32,48,114,51,51,52,32,50,46,49,53,52,56,53,101,45,51,56,32,51,46,49,
      50,51,49,55,101,45,51,56,32,52,46,52,55,55,56,54,101,45,51,56,10,32,32,54,46,
      51,53,52,52,51,101,45,51,56,32,56,46,57,50,57,52,53,101,45,51,56,32,49,46,50,
      52,51,48,54,101,45,51,55,32,49,46,55,49,53,48,53,101,45,51,55,32,50,46,51,52,
      54,50,52,101,45,51,55,32,51,46,49,56,51,55,50,101,45,51,55,32,52,46,50,56,54,
      54,101,45,51,55,10,32,32,54,46,51,52,48,56,56,101,45,51,55,32,56,46,51,57,49,
      49,55,101,45,51,55,32,49,46,49,48,50,56,54,101,45,51,54,32,49,46,52,52,101,
      45,51,54,32,49,46,56,54,56,52,52,101,45,51,54,32,50,46,52,48,57,57,49,101,45,
      51,54,32,51,46,48,57,53,57,53,101,45,51,54,10,32,32,52,46,54,57,53,56,55,101,
      45,51,54,32,53,46,56,55,48,53,52,101,45,51,54,32,55,46,51,49,48,49,55,101,45,
      51,54,32,57,46,48,54,57,48,56,101,45,51,54,32,49,46,49,50,48,57,50,101,45,51,
      53,32,49,46,51,56,48,53,52,101,45,51,53,32,49,46,54,57,52,52,54,101,45,51,53,
      10,32,32,50,46,48,55,50,55,55,101,45,51,53,32,50,46,53,50,55,49,56,101,45,51,
      53,32,51,46,48,55,49,52,57,101,45,51,53,32,51,46,55,50,49,54,51,101,45,51,53,
      32,52,46,52,57,54,48,49,101,45,51,53,32,53,46,52,49,53,55,101,45,51,53,32,54,
      46,53,48,52,57,55,101,45,51,53,10,32,32,55,46,55,57,49,55,101,45,51,53,32,57,
      46,51,56,49,51,53,101,45,51,53,32,49,46,51,50,57,56,55,101,45,51,52,32,49,46,
      56,53,57,57,51,101,45,51,52,32,50,46,53,55,54,53,53,101,45,51,52,32,51,46,53,
      51,54,51,56,101,45,51,52,32,52,46,56,49,48,51,101,45,51,52,10,32,32,54,46,52,
      57,50,49,52,101,45,51,52,32,56,46,54,56,51,48,54,101,45,51,52,32,49,46,49,53,
      48,55,57,101,45,51,51,32,49,46,53,49,50,54,52,101,45,51,51,32,49,46,57,55,50,
      56,52,101,45,51,51,32,50,46,53,53,50,49,55,101,45,51,51,32,51,46,50,55,54,50,
      55,101,45,51,51,10,32,32,52,46,49,55,52,50,51,101,45,51,51,32,53,46,50,55,56,
      55,51,101,45,51,51,32,54,46,54,50,54,54,55,101,45,51,51,32,56,46,50,53,57,50,
      50,101,45,51,51,32,49,46,48,50,50,49,52,101,45,51,50,32,49,46,50,53,54,49,55,
      101,45,51,50,32,49,46,53,51,51,50,49,101,45,51,50,10,32,32,49,46,56,53,56,56,
      101,45,51,50,32,50,46,50,51,56,53,51,101,45,51,50,32,50,46,54,55,56,50,101,
      45,51,50,32,51,46,49,56,51,53,52,101,45,51,50,32,51,46,55,54,48,50,50,101,45,
      51,50,32,52,46,52,49,51,53,53,101,45,51,50,32,53,46,49,52,56,52,53,101,45,51,
      50,10,32,32,53,46,57,54,57,50,49,101,45,51,50,32,54,46,56,55,57,50,55,101,45,
      51,50,32,55,46,56,56,49,51,101,45,51,50,32,48,114,51,51,57,32,50,46,50,54,55,
      50,51,101,45,51,56,32,51,46,49,55,56,56,54,101,45,51,56,32,52,46,52,49,54,54,
      50,101,45,51,56,32,54,46,48,56,50,56,52,101,45,51,56,10,32,32,56,46,51,48,56,
      49,101,45,51,56,32,49,46,50,53,56,49,50,101,45,51,55,32,49,46,54,56,55,51,49,
      101,45,51,55,32,50,46,50,52,54,50,54,101,45,51,55,32,50,46,57,54,57,50,53,101,
      45,51,55,32,51,46,56,57,56,51,57,101,45,51,55,32,53,46,48,56,53,50,50,101,45,
      51,55,10,32,32,54,46,54,48,50,54,53,101,45,51,55,32,49,46,48,53,57,52,57,101,
      45,51,54,32,49,46,51,51,52,101,45,51,54,32,49,46,54,55,50,53,56,101,45,51,54,
      32,50,46,48,56,56,55,101,45,51,54,32,50,46,53,57,56,101,45,51,54,32,51,46,50,
      49,57,51,50,101,45,51,54,32,51,46,57,55,52,54,101,45,51,54,10,32,32,52,46,56,
      56,57,54,51,101,45,51,54,32,53,46,57,57,52,53,53,101,45,51,54,32,55,46,51,50,
      52,55,51,101,45,51,54,32,56,46,57,50,49,52,55,101,45,51,54,32,49,46,48,56,51,
      50,51,101,45,51,53,32,49,46,51,49,49,50,50,101,45,51,53,32,49,46,53,56,50,52,
      57,101,45,51,53,10,32,32,49,46,57,48,52,51,54,101,45,51,53,32,50,46,51,49,50,
      52,54,101,45,51,53,32,51,46,51,48,56,50,57,101,45,51,53,32,52,46,54,54,50,56,
      51,101,45,51,53,32,54,46,53,48,56,53,49,101,45,51,53,32,56,46,57,57,57,57,54,
      101,45,51,53,32,49,46,50,51,51,50,50,101,45,51,52,10,32,32,49,46,54,55,55,101,
      45,51,52,32,50,46,50,53,57,57,50,101,45,51,52,32,51,46,48,49,54,50,54,101,45,
      51,52,32,51,46,57,57,50,53,55,101,45,51,52,32,53,46,50,52,52,49,101,45,51,52,
      32,54,46,56,51,49,53,53,101,45,51,52,32,56,46,56,51,48,57,57,101,45,51,52,10,
      32,32,49,46,49,51,51,48,49,101,45,51,51,32,49,46,52,52,50,55,52,101,45,51,51,
      32,49,46,56,50,51,54,55,101,45,51,51,32,50,46,50,56,56,54,53,101,45,51,51,32,
      50,46,56,53,49,56,54,101,45,51,51,32,51,46,53,50,56,57,57,101,45,51,51,32,52,
      46,51,51,55,48,50,101,45,51,51,10,32,32,53,46,50,57,52,50,101,45,51,51,32,54,
      46,52,49,57,54,52,101,45,51,51,32,55,46,55,51,51,52,53,101,45,51,51,32,57,46,
      50,53,54,49,55,101,45,51,51,32,49,46,49,48,48,56,51,101,45,51,50,32,49,46,51,
      48,49,48,50,101,45,51,50,32,49,46,53,50,56,49,49,101,45,51,50,10,32,32,49,46,
      55,56,51,56,55,101,45,51,50,32,50,46,48,54,57,57,50,101,45,51,50,32,50,46,51,
      56,55,54,49,101,45,51,50,32,48,114,51,52,52,32,50,46,52,50,51,54,55,101,45,
      51,56,32,51,46,50,57,55,52,101,45,51,56,32,52,46,52,53,48,52,55,101,45,51,56,
      32,53,46,57,54,49,51,49,101,45,51,56,10,32,32,55,46,57,50,55,49,54,101,45,51,
      56,32,49,46,48,52,54,55,54,101,45,51,55,32,49,46,51,55,52,57,53,101,45,51,55,
      32,50,46,51,53,51,53,53,101,45,51,55,32,50,46,57,56,54,52,57,101,45,51,55,32,
      51,46,55,55,50,53,55,101,45,51,55,32,52,46,55,52,53,49,53,101,45,51,55,10,32,
      32,53,46,57,52,51,50,49,101,45,51,55,32,55,46,52,49,51,56,49,101,45,51,55,32,
      57,46,50,49,50,50,50,101,45,51,55,32,49,46,49,52,48,51,50,101,45,51,54,32,49,
      46,52,48,54,51,53,101,45,51,54,32,49,46,55,50,56,51,54,101,45,51,54,32,50,46,
      49,49,54,56,57,101,45,51,54,10,32,32,50,46,53,56,52,50,50,101,45,51,54,32,51,
      46,49,52,52,53,56,101,45,51,54,32,51,46,56,49,52,53,49,101,45,51,54,32,52,46,
      54,49,51,48,55,101,45,51,54,32,53,46,54,53,57,53,50,101,45,51,54,32,56,46,49,
      55,53,50,49,101,45,51,54,32,49,46,49,54,49,51,51,101,45,51,53,10,32,32,49,46,
      54,51,51,53,52,101,45,51,53,32,50,46,50,55,54,101,45,51,53,32,51,46,49,52,50,
      48,54,101,45,51,53,32,52,46,51,48,53,54,51,101,45,51,53,32,53,46,56,52,55,48,
      50,101,45,51,53,32,55,46,56,53,56,53,49,101,45,51,53,32,49,46,48,52,55,52,57,
      101,45,51,52,10,32,32,49,46,51,56,53,53,53,101,45,51,52,32,49,46,56,49,55,53,
      55,101,45,51,52,32,50,46,51,54,53,56,50,101,45,51,52,32,51,46,48,53,54,52,101,
      45,51,52,32,51,46,57,49,56,54,54,101,45,51,52,32,52,46,57,56,55,50,51,101,45,
      51,52,32,54,46,51,48,49,53,51,101,45,51,52,10,32,32,55,46,57,48,53,57,49,101,
      45,51,52,32,57,46,56,52,57,57,50,101,45,51,52,32,49,46,50,49,56,56,101,45,51,
      51,32,49,46,52,57,55,57,55,101,45,51,51,32,49,46,56,50,56,55,54,101,45,51,51,
      32,50,46,50,49,55,57,55,101,45,51,51,32,50,46,54,55,50,55,49,101,45,51,51,10,
      32,32,51,46,50,48,48,50,51,101,45,51,51,32,51,46,56,48,55,57,101,45,51,51,32,
      52,46,53,48,51,48,50,101,45,51,51,32,53,46,50,57,50,53,57,101,45,51,51,32,54,
      46,49,56,51,50,55,101,45,51,51,32,55,46,49,56,49,50,55,101,45,51,51,32,48,114,
      51,52,57,32,50,46,48,57,57,50,49,101,45,51,56,10,32,32,50,46,55,57,50,101,45,
      51,56,32,53,46,49,51,51,51,52,101,45,51,56,32,54,46,53,55,48,55,51,101,45,51,
      56,32,56,46,51,54,57,52,55,101,45,51,56,32,49,46,48,54,49,48,57,101,45,51,55,
      32,49,46,51,51,57,49,55,101,45,51,55,32,49,46,54,56,50,56,50,101,45,51,55,10,
      32,32,50,46,49,48,53,56,50,101,45,51,55,32,50,46,54,50,52,52,55,101,45,51,55,
      32,51,46,50,53,55,57,53,101,45,51,55,32,52,46,48,50,57,49,51,101,45,51,55,32,
      52,46,57,54,52,56,101,45,51,55,32,54,46,48,57,54,52,101,45,51,55,32,55,46,52,
      54,48,52,53,101,45,51,55,10,32,32,57,46,48,57,57,53,56,101,45,51,55,32,49,46,
      49,48,54,51,52,101,45,51,54,32,49,46,51,55,52,53,50,101,45,51,54,32,50,46,48,
      48,53,57,54,101,45,51,54,32,50,46,56,55,50,56,51,101,45,51,54,32,52,46,48,55,
      50,56,57,101,45,51,54,32,53,46,55,49,56,51,50,101,45,51,54,10,32,32,55,46,57,
      53,51,52,52,101,45,51,54,32,49,46,48,57,56,52,101,45,51,53,32,49,46,53,48,51,
      55,50,101,45,51,53,32,50,46,48,51,53,50,55,101,45,51,53,32,50,46,55,51,49,55,
      52,101,45,51,53,32,51,46,54,51,56,51,56,101,45,51,53,32,52,46,56,48,53,50,49,
      101,45,51,53,10,32,32,54,46,50,57,55,48,52,101,45,51,53,32,56,46,49,57,48,56,
      49,101,45,51,53,32,49,46,48,53,55,50,51,101,45,51,52,32,49,46,51,53,52,53,57,
      101,45,51,52,32,49,46,55,50,51,49,101,45,51,52,32,50,46,49,55,54,51,54,101,
      45,51,52,32,50,46,55,50,57,54,54,101,45,51,52,10,32,32,51,46,52,48,48,49,56,
      101,45,51,52,32,52,46,50,48,54,57,51,101,45,51,52,32,53,46,49,55,48,50,54,101,
      45,51,52,32,54,46,51,49,50,53,57,101,45,51,52,32,55,46,54,53,55,52,55,101,45,
      51,52,32,57,46,50,50,57,56,51,101,45,51,52,32,49,46,49,48,53,53,52,101,45,51,
      51,10,32,32,49,46,51,49,54,48,50,101,45,51,51,32,49,46,53,53,55,48,52,101,45,
      51,51,32,49,46,56,51,49,49,50,101,45,51,51,32,50,46,49,52,48,55,50,101,45,51,
      51,32,48,114,51,53,52,32,50,46,51,51,51,57,55,101,45,51,56,32,50,46,57,55,48,
      50,49,101,45,51,56,32,51,46,55,54,50,50,57,101,45,51,56,10,32,32,52,46,55,52,
      52,49,52,101,45,51,56,32,53,46,57,53,54,50,101,45,51,56,32,55,46,52,52,54,53,
      55,101,45,51,56,32,57,46,50,55,50,51,55,101,45,51,56,32,49,46,49,53,48,49,52,
      101,45,51,55,32,49,46,52,50,49,50,57,101,45,51,55,32,49,46,55,52,57,57,57,101,
      45,51,55,10,32,32,50,46,49,52,55,49,55,101,45,51,55,32,50,46,54,50,53,53,52,
      101,45,51,55,32,51,46,51,49,50,48,57,101,45,51,55,32,52,46,56,56,54,54,56,101,
      45,51,55,32,55,46,48,53,56,48,55,101,45,51,55,32,49,46,48,48,56,56,52,101,45,
      51,54,32,49,46,52,50,55,54,52,101,45,51,54,10,32,32,50,46,48,48,48,57,52,101,
      45,51,54,32,50,46,55,56,53,51,54,101,45,51,54,32,51,46,56,52,53,53,49,101,45,
      51,54,32,53,46,50,52,49,51,52,101,45,51,54,32,55,46,48,56,51,56,50,101,45,51,
      54,32,57,46,53,48,48,55,53,101,45,51,54,32,49,46,50,54,51,51,54,101,45,51,53,
      10,32,32,49,46,54,54,54,56,51,101,45,51,53,32,50,46,49,56,51,48,53,101,45,51,
      53,32,50,46,56,51,54,54,50,101,45,51,53,32,51,46,54,53,56,54,57,101,45,51,53,
      32,52,46,54,56,52,57,56,101,45,51,53,32,53,46,57,53,54,53,101,45,51,53,32,55,
      46,53,50,48,51,51,101,45,51,53,10,32,32,57,46,52,50,57,56,53,101,45,51,53,32,
      49,46,49,55,52,52,51,101,45,51,52,32,49,46,52,53,50,56,57,101,45,51,52,32,49,
      46,55,56,53,54,49,101,45,51,52,32,50,46,49,56,48,51,56,101,45,51,52,32,50,46,
      54,52,53,52,56,101,45,51,52,32,51,46,49,56,57,55,52,101,45,51,52,10,32,32,51,
      46,56,50,50,49,50,101,45,51,52,32,52,46,53,53,49,55,56,101,45,51,52,32,53,46,
      51,56,56,48,54,101,45,51,52,32,54,46,51,52,48,50,49,101,45,51,52,32,48,114,
      51,54,48,32,50,46,49,48,50,51,50,101,45,51,56,32,50,46,54,50,54,52,56,101,45,
      51,56,32,51,46,50,54,56,50,101,45,51,56,10,32,32,52,46,48,53,49,48,49,101,45,
      51,56,32,53,46,48,48,50,53,54,101,45,51,56,32,54,46,49,53,53,49,56,101,45,51,
      56,32,55,46,57,49,48,49,52,101,45,51,56,32,49,46,49,56,48,55,101,45,51,55,32,
      49,46,55,50,48,53,53,101,45,51,55,32,50,46,52,56,48,51,51,101,45,51,55,10,32,
      32,51,46,53,51,56,57,57,101,45,51,55,32,52,46,57,57,57,57,51,101,45,51,55,32,
      55,46,48,49,55,50,49,101,45,51,55,32,57,46,55,55,53,52,54,101,45,51,55,32,49,
      46,51,52,49,55,56,101,45,51,54,32,49,46,56,50,54,49,51,101,45,51,54,32,50,46,
      52,54,54,51,53,101,45,51,54,10,32,32,51,46,51,48,50,50,51,101,45,51,54,32,52,
      46,51,56,54,53,49,101,45,51,54,32,53,46,55,56,52,57,52,101,45,51,54,32,55,46,
      53,54,54,57,49,101,45,51,54,32,57,46,56,50,52,53,101,45,51,54,32,49,46,50,54,
      54,51,51,101,45,51,53,32,49,46,54,50,48,54,51,101,45,51,53,10,32,32,50,46,48,
      53,57,53,57,101,45,51,53,32,50,46,53,57,57,54,49,101,45,51,53,32,51,46,50,53,
      56,57,51,101,45,51,53,32,52,46,48,53,55,57,55,101,45,51,53,32,53,46,48,49,57,
      55,54,101,45,51,53,32,54,46,49,54,57,52,53,101,45,51,53,32,55,46,53,51,52,50,
      50,101,45,51,53,10,32,32,57,46,49,52,51,53,53,101,45,51,53,32,49,46,49,48,50,
      55,57,101,45,51,52,32,49,46,51,50,49,57,52,101,45,51,52,32,49,46,53,55,53,49,
      49,101,45,51,52,32,49,46,56,54,53,55,101,45,51,52,32,48,114,51,54,55,32,50,
      46,56,50,55,50,52,101,45,51,56,32,52,46,49,53,57,48,50,101,45,51,56,10,32,32,
      54,46,48,52,57,54,101,45,51,56,32,56,46,55,48,53,56,54,101,45,51,56,32,49,46,
      50,52,48,49,101,45,51,55,32,49,46,55,53,53,50,53,101,45,51,55,32,50,46,52,54,
      57,51,51,101,45,51,55,32,51,46,52,49,51,57,51,101,45,51,55,32,52,46,54,55,57,
      48,52,101,45,51,55,10,32,32,54,46,51,54,51,52,52,101,45,51,55,32,56,46,53,55,
      55,55,50,101,45,51,55,32,49,46,49,52,55,48,56,101,45,51,54,32,49,46,53,50,51,
      51,52,101,45,51,54,32,50,46,48,48,53,54,54,101,45,51,54,32,50,46,54,50,49,48,
      57,101,45,51,54,32,51,46,52,48,48,52,57,101,45,51,54,10,32,32,52,46,51,56,48,
      50,50,101,45,51,54,32,53,46,54,48,50,54,49,101,45,51,54,32,55,46,49,49,55,51,
      57,101,45,51,54,32,56,46,57,56,48,48,54,101,45,51,54,32,49,46,49,50,53,51,56,
      101,45,51,53,32,49,46,52,48,49,48,54,101,45,51,53,32,49,46,55,51,50,57,55,101,
      45,51,53,10,32,32,50,46,49,50,57,56,53,101,45,51,53,32,50,46,54,48,49,51,49,
      101,45,51,53,32,51,46,49,53,55,51,55,101,45,51,53,32,51,46,56,48,56,56,52,101,
      45,51,53,32,52,46,53,54,55,48,57,101,45,51,53,32,53,46,52,52,51,57,49,101,45,
      51,53,32,48,114,51,55,48,32,50,46,49,50,53,48,52,101,45,51,56,10,32,32,51,46,
      48,53,51,50,57,101,45,51,56,32,52,46,51,53,57,55,51,101,45,51,56,32,54,46,49,
      57,57,51,56,101,45,51,56,32,56,46,54,51,52,48,53,101,45,51,56,32,49,46,49,57,
      49,56,57,101,45,51,55,32,49,46,54,51,50,53,51,101,45,51,55,32,50,46,50,49,53,
      56,56,101,45,51,55,10,32,32,50,46,57,56,51,52,54,101,45,51,55,32,51,46,57,57,
      48,54,53,101,45,51,55,32,53,46,50,56,56,54,101,45,51,55,32,54,46,57,53,54,51,
      57,101,45,51,55,32,57,46,48,56,51,52,101,45,51,55,32,49,46,49,55,55,53,55,101,
      45,51,54,32,49,46,53,49,53,56,54,101,45,51,54,10,32,32,49,46,57,51,56,49,54,
      101,45,51,54,32,50,46,52,54,48,57,53,101,45,51,54,32,51,46,49,48,51,54,56,101,
      45,51,54,32,51,46,56,56,56,53,54,101,45,51,54,32,52,46,56,52,48,52,51,101,45,
      51,54,32,53,46,57,56,54,56,56,101,45,51,54,32,55,46,51,53,56,57,51,101,45,51,
      54,10,32,32,56,46,57,56,56,55,57,101,45,51,54,32,49,46,48,57,49,49,56,101,45,
      51,53,32,49,46,51,49,54,54,49,101,45,51,53,32,49,46,53,55,57,50,49,101,45,51,
      53,32,48,114,51,55,52,32,50,46,49,54,57,50,55,101,45,51,56,32,51,46,48,49,54,
      55,56,101,45,51,56,32,52,46,49,54,50,50,53,101,45,51,56,10,32,32,53,46,54,56,
      57,55,57,101,45,51,56,32,55,46,55,49,52,48,50,101,45,51,56,32,49,46,48,51,57,
      54,101,45,51,55,32,49,46,51,56,54,55,57,101,45,51,55,32,49,46,56,51,54,101,
      45,51,55,32,50,46,52,49,50,56,55,101,45,51,55,32,51,46,49,52,56,49,54,101,45,
      51,55,10,32,32,52,46,48,55,56,53,55,101,45,51,55,32,53,46,50,52,56,54,52,101,
      45,51,55,32,54,46,55,48,54,55,51,101,45,51,55,32,56,46,53,49,49,54,56,101,45,
      51,55,32,49,46,48,55,51,49,50,101,45,51,54,32,49,46,51,52,52,49,56,101,45,51,
      54,32,49,46,54,55,50,57,54,101,45,51,54,10,32,32,50,46,48,54,57,51,53,101,45,
      51,54,32,50,46,53,52,51,54,101,45,51,54,32,51,46,49,48,55,50,53,101,45,51,54,
      32,51,46,55,55,50,57,55,101,45,51,54,32,52,46,53,53,52,51,49,101,45,51,54,32,
      48,114,51,55,57,32,50,46,54,57,49,50,52,101,45,51,56,32,51,46,54,49,51,53,50,
      101,45,51,56,10,32,32,52,46,56,49,53,48,56,101,45,51,56,32,54,46,51,54,56,55,
      50,101,45,51,56,32,56,46,51,54,50,54,49,101,45,51,56,32,49,46,48,57,48,50,54,
      101,45,51,55,32,49,46,52,49,50,48,53,101,45,51,55,32,49,46,56,49,53,54,49,101,
      45,51,55,32,50,46,51,49,56,54,49,101,45,51,55,10,32,32,50,46,57,52,49,52,101,
      45,51,55,32,51,46,55,48,55,49,55,101,45,51,55,32,52,46,54,52,50,52,101,45,51,
      55,32,53,46,55,55,56,48,54,101,45,51,55,32,55,46,49,52,53,55,56,101,45,51,55,
      32,56,46,55,56,50,53,52,101,45,51,55,32,49,46,48,55,50,57,50,101,45,51,54,10,
      32,32,49,46,51,48,50,57,56,101,45,51,54,32,48,114,51,56,51,32,50,46,50,49,48,
      48,54,101,45,51,56,32,50,46,56,57,57,53,55,101,45,51,56,32,51,46,55,55,57,56,
      101,45,51,56,32,52,46,56,57,48,49,51,101,45,51,56,32,54,46,50,56,51,52,54,101,
      45,51,56,32,56,46,48,50,48,52,101,45,51,56,10,32,32,49,46,48,49,55,48,57,101,
      45,51,55,32,49,46,50,56,49,53,51,101,45,51,55,32,49,46,54,48,53,48,51,101,45,
      51,55,32,49,46,57,57,55,49,53,101,45,51,55,32,50,46,52,54,57,52,56,101,45,51,
      55,32,51,46,48,51,53,48,49,101,45,51,55,32,51,46,55,48,55,57,55,101,45,51,55,
      10,32,32,48,114,51,56,56,32,50,46,49,55,53,51,57,101,45,51,56,32,50,46,55,55,
      53,52,55,101,45,51,56,32,51,46,53,49,56,51,50,101,45,51,56,32,52,46,52,51,51,
      57,49,101,45,51,56,32,53,46,53,53,48,56,50,101,45,51,56,32,54,46,57,48,53,52,
      49,101,45,51,56,32,56,46,53,51,56,56,49,101,45,51,56,10,32,32,49,46,48,52,57,
      54,52,101,45,51,55,32,48,114,51,57,52,32,50,46,51,56,52,57,101,45,51,56,32,
      50,46,57,52,56,56,52,101,45,51,56,32,48,114,52,55,53,50,48,10,0};
    const char * textdata = (const char*)(&rawdata[0]);
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("LiquidHeavyWaterD2O_T293.6K.ncmat",textdata);
  }
  {
    // File LiquidWaterH2O_T293.6K.ncmat (too large for string literals)
    static const std::array<std::uint8_t,528494> rawdata {
      78,67,77,65,84,32,118,53,10,35,10,35,32,87,97,116,101,114,32,40,72,50,79,41,
      32,98,97,115,101,100,32,111,110,32,69,78,68,70,47,66,45,86,73,73,73,46,48,32,
      115,99,97,116,116,101,114,105,110,103,32,107,101,114,110,101,108,115,32,98,
      121,32,74,46,73,46,32,77,97,114,113,117,101,122,32,68,97,109,105,97,110,44,
      10,35,32,101,116,46,32,97,108,46,32,40,115,101,101,32,98,101,108,111,119,32,
      102,111,114,32,114,101,102,101,114,101,110,99,101,115,41,46,32,80,108,101,97,
      115,101,32,99,104,101,99,107,32,116,104,101,32,64,68,69,78,83,73,84,89,32,99,
      97,114,101,102,117,108,108,121,32,98,101,108,111,119,44,32,97,115,10,35,32,
      116,104,101,32,100,101,110,115,105,116,121,32,111,102,32,108,105,113,117,105,
      100,32,119,97,116,101,114,32,100,101,112,101,110,100,115,32,111,110,32,116,
      104,101,32,109,97,116,101,114,105,97,108,32,112,114,101,115,115,117,114,101,
      46,10,35,10,35,32,78,111,116,105,99,101,58,32,84,104,105,115,32,78,67,77,65,
      84,32,102,105,108,101,32,105,115,32,118,97,108,105,100,32,97,116,32,84,61,50,
      57,51,46,54,75,32,111,110,108,121,46,32,79,116,104,101,114,32,102,105,108,101,
      115,32,97,108,116,101,114,110,97,116,105,118,101,108,121,32,112,114,111,118,
      105,100,101,10,35,32,116,104,101,32,115,97,109,101,32,109,97,116,101,114,105,
      97,108,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,58,10,35,
      10,35,32,32,32,32,32,32,32,50,56,51,46,54,75,32,51,48,48,46,48,75,32,51,50,
      51,46,54,75,32,51,53,48,46,48,75,32,51,55,51,46,54,75,32,52,48,48,46,48,75,
      32,52,50,51,46,54,75,10,35,32,32,32,32,32,32,32,52,53,48,46,48,75,32,52,55,
      51,46,54,75,32,53,48,48,46,48,75,32,53,50,51,46,54,75,32,53,53,48,46,48,75,
      32,53,55,51,46,54,75,32,54,48,48,46,48,75,10,35,32,32,32,32,32,32,32,54,50,
      51,46,54,75,10,35,10,35,32,73,110,32,99,97,115,101,32,121,111,117,114,32,108,
      111,99,97,108,32,105,110,115,116,97,108,108,97,116,105,111,110,32,100,111,101,
      115,32,110,111,116,32,112,114,111,118,105,100,101,32,97,108,108,32,116,104,
      101,115,101,32,102,105,108,101,115,44,32,116,104,101,121,32,99,97,110,32,98,
      101,10,35,32,100,111,119,110,108,111,97,100,101,100,32,102,114,111,109,58,32,
      104,116,116,112,115,58,47,47,103,105,116,104,117,98,46,99,111,109,47,109,99,
      116,111,111,108,115,47,110,99,114,121,115,116,97,108,45,101,120,116,114,97,
      47,116,114,101,101,47,109,97,115,116,101,114,47,100,97,116,97,10,35,10,64,83,
      84,65,84,69,79,70,77,65,84,84,69,82,10,32,32,108,105,113,117,105,100,10,64,
      68,69,78,83,73,84,89,10,32,32,35,78,66,58,32,68,101,110,115,105,116,121,32,
      100,101,112,101,110,100,115,32,111,110,32,112,114,101,115,115,117,114,101,32,
      40,118,97,108,117,101,32,104,101,114,101,32,112,114,111,118,105,100,101,100,
      32,98,121,32,104,116,116,112,115,58,47,47,119,119,119,46,116,104,101,114,109,
      101,120,99,101,108,46,99,111,109,47,101,110,103,108,105,115,104,47,116,97,98,
      108,101,115,47,101,97,117,95,97,116,109,46,104,116,109,41,58,10,32,32,48,46,
      57,57,56,50,48,32,103,95,112,101,114,95,99,109,51,32,35,40,97,116,32,49,97,
      116,109,32,112,114,101,115,115,117,114,101,41,10,64,68,89,78,73,78,70,79,10,
      32,32,101,108,101,109,101,110,116,32,32,79,10,32,32,102,114,97,99,116,105,111,
      110,32,49,47,51,10,32,32,116,121,112,101,32,32,32,32,32,102,114,101,101,103,
      97,115,10,64,68,89,78,73,78,70,79,10,32,32,35,32,83,99,97,116,116,101,114,105,
      110,103,32,107,101,114,110,101,108,32,102,111,114,32,72,32,64,32,50,57,51,46,
      54,75,32,101,120,116,114,97,99,116,101,100,32,102,114,111,109,32,116,115,108,
      45,72,105,110,72,50,79,46,101,110,100,102,10,32,32,35,10,32,32,35,32,70,111,
      114,32,114,101,102,101,114,101,110,99,101,32,116,104,101,32,100,101,115,99,
      114,105,112,116,105,111,110,32,101,109,98,101,100,100,101,100,32,105,110,32,
      105,110,112,117,116,32,69,78,68,70,32,102,105,108,101,32,40,115,101,99,116,
      105,111,110,32,77,70,49,44,77,84,52,53,49,41,32,105,115,32,114,101,112,101,
      97,116,101,100,32,104,101,114,101,58,10,32,32,35,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,32,36,82,101,118,58,58,32,32,32,32,32,32,32,32,32,32,36,32,32,
      36,68,97,116,101,58,58,32,32,32,32,32,32,32,32,32,32,32,35,36,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,32,49,46,48,48,49,48,48,48,43,51,32,57,46,57,57,
      49,54,55,51,45,49,32,32,32,32,32,32,32,32,32,45,49,32,32,32,32,32,32,32,32,
      32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,
      10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,48,46,48,48,48,48,48,48,43,48,
      32,48,46,48,48,48,48,48,48,43,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,
      32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,
      32,32,32,32,54,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,49,46,48,48,48,
      48,48,48,43,48,32,53,46,48,48,48,48,48,48,43,48,32,32,32,32,32,32,32,32,32,
      32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,49,50,32,
      32,32,32,32,32,32,32,32,32,56,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,
      48,46,48,48,48,48,48,48,43,48,32,48,46,48,48,48,48,48,48,43,48,32,32,32,32,
      32,32,32,32,32,32,48,32,32,32,32,32,32,32,32,32,32,48,32,32,32,32,32,32,32,
      32,32,53,52,32,32,32,32,32,32,32,32,32,32,50,10,32,32,35,32,32,32,32,32,45,
      45,45,62,32,32,72,40,72,50,79,41,32,32,32,32,32,65,82,67,65,66,32,32,32,32,
      32,69,86,65,76,45,74,85,78,49,55,32,77,97,114,113,117,101,122,32,68,97,109,
      105,97,110,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,78,68,83,32,49,52,56,
      44,32,49,32,40,50,48,49,56,41,32,32,32,32,68,73,83,84,45,70,69,66,49,56,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,45,45,45,45,69,78,68,70,47,66,45,86,
      73,73,73,46,48,32,32,32,32,32,77,65,84,69,82,73,65,76,32,49,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,45,45,45,45,45,84,72,69,82,77,65,76,32,78,69,85,
      84,82,79,78,32,83,67,65,84,84,69,82,73,78,71,32,68,65,84,65,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,45,45,45,45,45,45,69,78,68,70,45,54,32,70,79,82,
      77,65,84,10,32,32,35,32,32,32,32,32,45,45,45,62,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,101,109,112,101,114,97,
      116,117,114,101,115,32,61,32,50,56,51,46,54,44,32,50,57,51,46,54,44,32,51,48,
      48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,
      32,32,32,32,32,32,32,51,50,51,46,54,44,32,51,53,48,46,48,44,32,51,55,51,46,
      54,44,32,52,48,48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,32,32,32,32,32,32,32,32,52,50,51,46,54,44,32,52,53,48,46,48,44,
      32,52,55,51,46,54,44,32,53,48,48,46,48,44,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,53,50,51,46,54,44,32,53,
      53,48,46,48,44,32,53,55,51,46,54,44,32,54,48,48,46,48,32,75,44,32,54,50,51,
      46,54,32,75,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,69,120,116,114,97,
      112,111,108,97,116,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,
      32,61,32,54,53,48,46,48,44,32,56,48,48,46,48,32,75,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,
      32,32,32,45,45,45,62,32,42,32,84,104,105,115,32,101,118,97,108,117,97,116,105,
      111,110,32,105,115,32,98,97,115,101,100,32,111,110,32,116,104,101,32,67,65,
      66,32,77,111,100,101,108,32,102,111,114,32,108,105,103,104,116,32,119,97,116,
      101,114,91,49,93,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      105,110,32,97,32,108,105,113,117,105,100,32,115,116,97,116,101,44,32,84,32,
      60,32,84,45,99,114,105,116,40,72,50,79,41,32,61,32,54,52,55,46,49,32,75,46,
      32,84,119,111,32,101,120,116,114,97,112,111,108,97,116,101,100,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,116,101,109,112,101,114,97,116,117,
      114,101,32,112,111,105,110,116,115,32,97,116,32,54,53,48,32,75,32,97,110,100,
      32,56,48,48,32,75,32,119,101,114,101,32,97,100,100,101,100,32,102,111,114,32,
      98,97,99,107,119,97,114,100,115,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,99,111,109,112,97,116,105,98,105,108,105,116,121,32,119,105,116,104,
      32,69,78,68,70,47,66,45,86,73,73,46,49,32,115,99,114,105,112,116,115,46,32,
      84,104,101,32,102,105,108,101,32,40,77,70,55,41,32,119,97,115,32,32,32,32,42,
      10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,103,101,110,101,114,97,116,
      101,100,32,117,115,105,110,103,32,78,74,79,89,32,57,57,46,51,57,54,91,49,93,
      32,119,105,116,104,32,97,32,112,97,116,99,104,32,40,117,112,99,97,98,41,46,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,
      32,45,45,45,62,32,42,32,84,104,101,32,67,65,66,32,109,111,100,101,108,32,105,
      115,32,97,32,102,117,114,116,104,101,114,32,105,109,112,114,111,118,101,109,
      101,110,116,32,111,102,32,69,78,68,70,47,66,45,86,73,73,32,40,50,48,48,54,41,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,97,110,100,32,
      73,75,69,44,32,83,116,117,116,116,103,97,114,116,32,40,50,48,48,53,41,32,109,
      111,100,101,108,115,32,102,111,114,32,108,105,103,104,116,32,119,97,116,101,
      114,32,40,105,110,99,111,104,101,114,101,110,116,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,105,110,101,108,97,115,116,105,99,32,97,112,
      112,114,111,120,105,109,97,116,105,111,110,32,102,111,114,32,110,32,43,32,72,
      45,105,110,45,72,50,79,32,38,32,118,105,98,114,97,116,105,111,110,97,108,32,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      115,112,101,99,116,114,117,109,32,100,101,99,111,109,112,111,115,105,116,105,
      111,110,41,46,32,84,104,101,32,99,111,110,116,105,110,117,111,117,115,32,115,
      112,101,99,116,114,117,109,91,50,93,32,105,115,32,98,97,115,101,100,32,32,32,
      42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,111,110,32,77,68,32,71,82,
      79,77,65,67,83,32,67,97,108,99,117,108,97,116,105,111,110,115,91,50,93,32,97,
      110,100,32,100,105,102,102,117,115,105,111,110,32,99,111,101,102,102,105,99,
      105,101,110,116,115,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,109,101,97,115,117,114,101,100,32,98,121,32,89,111,115,104,105,
      100,97,91,51,93,32,97,110,100,32,77,105,108,108,115,91,52,93,46,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,70,111,114,32,111,
      120,121,103,101,110,32,105,110,32,72,50,79,44,32,102,114,101,101,32,103,97,
      115,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,105,115,32,97,99,
      99,101,112,116,97,98,108,101,46,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,
      32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,84,104,101,32,101,118,97,108,117,
      97,116,105,111,110,32,119,97,115,32,112,114,101,112,97,114,101,100,32,98,121,
      58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,42,32,74,46,73,46,32,77,97,114,113,117,101,122,32,68,97,109,105,97,
      110,44,32,70,46,32,67,97,110,116,97,114,103,105,44,32,97,110,100,32,74,46,82,
      46,32,71,114,97,110,97,100,97,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,
      32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,78,117,99,108,101,97,114,32,68,
      97,116,97,32,71,114,111,117,112,32,45,32,78,101,117,116,114,111,110,32,80,104,
      121,115,105,99,115,32,68,101,112,97,114,116,109,101,110,116,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,67,101,110,116,114,111,32,65,116,111,109,105,99,111,32,66,97,114,105,
      108,111,99,104,101,32,45,32,65,114,103,101,110,116,105,110,97,32,40,67,65,66,
      41,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,97,110,100,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,
      62,32,42,32,68,46,32,82,111,117,98,116,115,111,118,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,
      32,32,32,32,45,45,45,62,32,42,32,67,97,110,97,100,105,97,110,32,78,117,99,108,
      101,97,114,32,76,97,98,111,114,97,116,111,114,105,101,115,32,40,67,78,76,41,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,67,104,97,108,107,
      32,82,105,118,101,114,44,32,67,97,110,97,100,97,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,82,101,102,101,114,101,110,99,101,115,58,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,
      32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,49,93,32,65,110,110,46,32,78,
      117,99,108,46,32,69,110,101,114,103,121,44,32,54,53,44,32,50,56,48,32,40,50,
      48,49,52,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,
      32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,
      46,49,48,49,54,47,106,46,97,110,117,99,101,110,101,46,50,48,49,51,46,49,49,
      46,48,49,52,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,32,32,91,50,93,32,74,46,32,67,104,101,109,46,32,80,104,121,
      115,46,32,49,51,57,44,32,48,50,52,53,48,52,32,40,50,48,49,51,41,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,
      35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,116,116,112,58,47,
      47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,54,51,47,49,46,52,
      56,49,50,56,50,56,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,91,51,93,
      32,74,46,32,67,104,101,109,46,32,80,104,121,115,46,32,49,50,51,44,32,49,54,
      52,53,48,54,32,40,50,48,48,53,41,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,
      32,42,32,32,32,32,32,32,104,116,116,112,58,47,47,100,120,46,100,111,105,46,
      111,114,103,47,49,48,46,49,48,54,51,47,49,46,50,48,53,54,53,52,50,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,32,42,32,32,91,52,93,32,74,46,32,80,104,121,115,
      46,32,67,104,101,109,46,32,55,55,44,32,54,56,53,32,40,49,57,55,51,41,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,42,32,32,32,32,32,32,104,
      116,116,112,58,47,47,100,120,46,100,111,105,46,111,114,103,47,49,48,46,49,48,
      50,49,47,106,49,48,48,54,50,52,97,48,50,53,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,45,45,45,62,32,
      42,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,42,10,32,32,35,32,32,32,32,32,
      45,45,45,62,32,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,
      42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,10,32,32,35,
      32,32,32,32,32,45,45,45,62,10,32,32,35,32,32,32,32,32,45,45,45,62,32,32,32,
      32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,49,32,32,32,32,32,32,32,32,52,53,49,32,32,32,32,32,32,32,32,
      32,54,48,32,32,32,32,32,32,32,32,32,32,48,10,32,32,35,32,32,32,32,32,45,45,
      45,62,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
      32,32,32,32,32,32,32,32,32,32,55,32,32,32,32,32,32,32,32,32,32,52,32,32,32,
      32,32,50,50,56,56,55,57,32,32,32,32,32,32,32,32,32,32,48,10,32,32,101,108,101,
      109,101,110,116,32,32,72,10,32,32,102,114,97,99,116,105,111,110,32,50,47,51,
      10,32,32,116,121,112,101,32,32,32,32,32,115,99,97,116,107,110,108,10,32,32,
      101,103,114,105,100,32,32,32,32,52,46,48,50,32,35,32,86,97,108,117,101,32,116,
      117,110,101,100,32,109,97,110,117,97,108,108,121,32,98,121,32,84,46,32,75,105,
      116,116,101,108,109,97,110,110,10,32,32,116,101,109,112,101,114,97,116,117,
      114,101,32,50,57,51,46,54,32,35,78,66,58,32,69,78,68,70,32,102,105,108,101,
      32,115,112,101,99,105,102,105,101,100,32,34,101,102,102,101,99,116,105,118,
      101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,97,115,32,49,49,57,
      52,46,51,51,52,75,10,32,32,97,108,112,104,97,103,114,105,100,32,49,46,48,48,
      49,52,53,101,45,48,53,32,49,46,51,51,53,49,54,101,45,48,53,32,49,46,55,56,48,
      50,56,101,45,48,53,32,50,46,51,55,51,54,56,101,45,48,53,32,51,46,49,54,52,57,
      101,45,48,53,32,52,46,50,49,57,57,101,45,48,53,32,53,46,54,50,54,54,101,45,
      48,53,10,32,32,55,46,53,48,50,49,101,45,48,53,32,46,48,48,48,49,48,48,48,50,
      53,32,46,48,48,48,49,51,51,51,54,54,32,46,48,48,48,49,55,55,56,50,56,32,46,
      48,48,48,50,51,55,48,57,56,32,46,48,48,48,51,49,54,49,52,49,32,46,48,48,48,
      52,50,49,53,50,49,32,46,48,48,48,53,54,50,48,50,49,10,32,32,46,48,48,48,55,
      52,57,51,54,49,32,46,48,48,48,57,57,57,49,52,56,32,46,48,48,49,52,57,56,55,
      50,32,46,48,48,50,52,57,55,56,55,32,46,48,48,51,52,57,55,48,50,32,46,48,48,
      52,57,57,53,55,52,32,46,48,48,54,57,57,52,48,52,32,46,48,48,57,57,57,49,52,
      56,10,32,32,46,48,49,52,57,56,55,50,32,46,48,50,52,57,55,56,55,32,46,48,51,
      52,57,55,48,50,32,46,48,52,57,57,53,55,52,32,46,48,54,57,57,52,48,52,32,46,
      48,57,57,57,49,52,56,32,46,49,50,52,56,57,52,32,46,49,52,57,56,55,50,32,46,
      49,57,57,56,51,32,46,50,52,57,55,56,55,10,32,32,46,50,57,57,55,52,52,32,46,
      51,50,52,55,50,51,32,46,51,52,57,55,48,50,32,46,51,55,52,54,56,49,32,46,51,
      57,57,54,53,57,32,46,52,50,52,54,51,56,32,46,52,52,57,54,49,55,32,46,52,55,
      52,53,57,53,32,46,52,57,57,53,55,52,32,46,53,50,52,53,53,51,10,32,32,46,53,
      52,57,53,51,50,32,46,53,55,57,53,48,54,32,46,54,48,57,52,56,32,46,54,52,57,
      52,52,54,32,46,54,56,57,52,49,50,32,46,55,50,57,51,55,56,32,46,55,55,57,51,
      51,54,32,46,56,50,57,50,57,51,32,46,56,55,57,50,53,32,46,57,51,57,49,57,57,
      32,46,57,57,57,49,52,56,10,32,32,49,46,48,55,57,48,56,32,49,46,49,53,57,48,
      49,32,49,46,50,51,56,57,52,32,49,46,51,50,56,56,55,32,49,46,52,50,56,55,56,
      32,49,46,53,51,56,54,57,32,49,46,54,53,56,53,57,32,49,46,55,56,56,52,56,32,
      49,46,57,51,56,51,53,32,50,46,48,56,56,50,50,10,32,32,50,46,50,53,56,48,56,
      32,50,46,52,55,55,56,57,32,50,46,55,49,48,51,57,32,50,46,56,56,55,53,52,32,
      51,46,49,48,55,51,53,32,51,46,51,55,55,49,50,32,51,46,54,54,54,56,55,32,51,
      46,57,55,54,54,49,32,52,46,51,49,54,51,50,32,52,46,54,52,54,48,52,10,32,32,
      52,46,57,57,53,55,52,32,53,46,52,50,48,56,56,32,53,46,57,57,52,56,57,32,54,
      46,53,53,52,52,49,32,55,46,49,50,51,57,51,32,55,46,53,57,51,53,51,32,56,46,
      48,57,53,55,32,56,46,55,57,50,53,32,57,46,52,57,49,57,49,32,49,48,46,49,57,
      49,51,32,49,48,46,56,48,53,56,10,32,32,49,49,46,54,57,32,49,50,46,53,56,57,
      51,32,49,51,46,53,49,54,53,32,49,52,46,51,56,55,55,32,49,53,46,50,56,55,32,
      49,54,46,49,57,49,50,32,49,55,46,50,49,56,51,32,49,56,46,49,56,52,53,32,49,
      56,46,57,48,51,57,32,50,48,46,50,56,50,55,32,50,49,46,54,49,49,54,10,32,32,
      50,50,46,56,56,48,53,32,50,52,46,50,56,55,51,32,50,53,46,53,55,56,50,32,50,
      54,46,57,57,55,32,50,56,46,51,55,53,56,32,50,57,46,55,48,52,55,32,51,48,46,
      57,55,51,54,32,51,50,46,51,56,50,52,32,51,51,46,52,49,49,53,32,51,52,46,52,
      51,54,54,32,51,54,46,49,49,57,50,10,32,32,51,55,46,49,52,56,51,32,51,56,46,
      55,54,55,32,52,48,46,52,55,56,53,32,52,49,46,53,48,52,54,32,52,50,46,53,51,
      51,55,32,52,52,46,49,54,50,52,32,52,53,46,57,54,48,56,32,52,54,46,57,54,32,
      52,56,46,53,55,51,54,32,52,57,46,53,53,55,56,32,53,49,46,49,53,54,52,10,32,
      32,53,50,46,52,53,53,51,32,53,52,46,51,54,51,55,32,53,53,46,49,53,51,32,53,
      54,46,54,55,49,55,32,53,56,46,51,53,48,51,32,53,57,46,55,52,57,49,32,54,49,
      46,49,52,55,57,32,54,50,46,52,53,54,56,32,54,51,46,55,52,53,55,32,54,53,46,
      49,55,52,52,32,54,54,46,52,52,51,52,10,32,32,54,55,46,56,52,50,50,32,54,56,
      46,56,55,49,51,32,55,48,46,53,52,57,57,32,55,49,46,53,55,57,32,55,50,46,56,
      53,55,57,32,55,53,46,56,51,53,52,32,55,57,46,57,51,49,57,32,56,51,46,57,50,
      56,53,32,56,56,46,57,50,52,50,32,57,51,46,57,49,57,57,32,57,57,46,57,49,52,
      56,10,32,32,49,48,52,46,57,49,49,32,49,49,50,46,57,48,52,32,49,50,48,46,53,
      50,55,32,49,50,53,46,56,57,51,32,49,51,49,46,56,56,56,32,49,51,57,46,56,56,
      49,32,49,52,54,46,56,55,53,32,49,53,51,46,56,54,57,32,49,54,49,46,56,54,50,
      32,49,54,57,46,56,53,53,10,32,32,49,55,54,46,56,52,57,32,49,56,51,46,56,52,
      51,32,49,57,48,46,56,51,55,32,49,57,56,46,56,51,49,32,50,48,55,46,56,50,51,
      32,50,49,55,46,56,49,52,32,50,50,54,46,56,48,55,32,50,51,54,46,55,57,56,32,
      50,52,53,46,55,57,32,50,53,52,46,55,56,51,32,50,54,52,46,55,55,52,10,32,32,
      50,55,53,46,52,56,53,32,50,56,51,46,55,53,56,32,50,57,51,46,51,51,32,51,48,
      49,46,55,52,51,32,51,49,48,46,55,51,53,32,51,49,57,46,55,50,55,32,51,50,56,
      46,55,50,32,51,51,55,46,55,49,50,32,51,52,54,46,55,48,52,32,51,53,53,46,54,
      57,55,32,51,54,52,46,54,56,57,10,32,32,51,55,51,46,54,56,49,32,51,56,50,46,
      54,55,52,32,51,57,49,46,54,54,54,32,52,48,48,46,54,53,56,32,52,48,57,46,54,
      53,49,32,52,49,56,46,54,52,51,32,52,50,55,46,54,51,53,32,52,51,54,46,54,50,
      56,32,52,52,53,46,54,50,32,52,53,52,46,54,49,50,32,52,54,51,46,54,48,53,10,
      32,32,52,55,50,46,53,57,55,32,52,56,49,46,53,56,57,32,52,57,48,46,53,56,50,
      32,52,57,57,46,53,55,52,32,53,48,56,46,53,54,54,32,53,49,55,46,53,53,57,32,
      53,50,54,46,53,53,49,32,53,51,53,46,53,52,51,32,53,52,52,46,53,51,54,32,53,
      53,51,46,53,50,56,10,32,32,53,54,50,46,53,50,32,53,55,49,46,53,49,51,32,53,
      56,48,46,53,48,53,32,53,56,57,46,52,57,55,32,53,57,54,46,52,57,50,32,54,48,
      51,46,52,56,54,32,54,49,48,46,52,56,32,54,49,55,46,52,55,52,32,54,50,52,46,
      52,54,56,32,54,51,50,46,51,54,49,32,54,54,51,46,57,55,52,10,32,32,54,57,55,
      46,49,55,54,32,55,51,50,46,48,51,54,32,55,54,56,46,54,51,53,32,56,48,55,46,
      48,55,50,32,56,52,55,46,52,50,56,32,56,56,57,46,55,57,49,32,57,51,52,46,50,
      56,52,32,57,56,49,46,48,48,52,32,49,48,51,48,46,48,50,32,49,48,56,49,46,53,
      56,10,32,32,49,49,51,53,46,54,51,32,49,49,57,50,46,51,56,32,49,50,53,50,46,
      48,51,32,49,51,49,52,46,54,56,32,49,51,56,48,46,51,50,32,49,52,52,57,46,51,
      54,32,49,53,50,49,46,56,32,49,53,55,57,46,54,53,10,32,32,98,101,116,97,103,
      114,105,100,32,48,32,53,46,48,49,54,57,101,45,48,54,32,54,46,54,56,57,49,55,
      101,45,48,54,32,56,46,57,49,56,56,51,101,45,48,54,32,49,46,49,56,57,49,56,101,
      45,48,53,32,49,46,53,56,53,53,55,101,45,48,53,32,50,46,49,49,52,48,54,101,45,
      48,53,32,50,46,56,49,56,56,53,101,45,48,53,10,32,32,51,46,55,53,56,52,51,101,
      45,48,53,32,53,46,48,49,49,50,101,45,48,53,32,54,46,54,56,49,53,55,101,45,48,
      53,32,56,46,57,48,56,56,51,101,45,48,53,32,46,48,48,48,49,49,56,55,56,56,32,
      46,48,48,48,49,53,56,51,55,55,32,46,48,48,48,50,49,49,49,55,54,10,32,32,46,
      48,48,48,50,56,49,53,54,53,32,46,48,48,48,51,55,53,52,49,51,32,46,48,48,48,
      53,48,48,53,53,32,46,48,48,48,54,54,55,52,48,55,32,46,48,48,48,56,56,57,56,
      55,51,32,46,48,48,49,49,56,54,52,56,32,46,48,48,49,53,56,49,57,55,32,46,48,
      48,50,49,48,57,51,54,10,32,32,46,48,48,50,56,49,50,52,53,32,46,48,48,51,55,
      52,57,57,51,32,46,48,48,52,57,57,57,57,32,46,48,48,57,57,57,57,56,49,32,46,
      48,49,52,57,57,57,55,32,46,48,49,57,57,57,57,54,32,46,48,50,52,57,57,57,53,
      32,46,48,50,57,57,57,57,52,32,46,48,51,57,57,57,57,50,10,32,32,46,48,52,57,
      57,57,57,32,46,48,53,57,57,57,56,57,32,46,48,54,57,57,57,56,55,32,46,48,55,
      57,57,57,56,53,32,46,48,57,57,57,57,56,49,32,46,49,50,52,57,57,56,32,46,49,
      52,57,57,57,55,32,46,49,55,52,57,57,55,32,46,49,57,57,57,57,54,32,46,50,50,
      52,57,57,54,10,32,32,46,50,52,57,57,57,53,32,46,50,57,57,57,57,52,32,46,51,
      52,57,57,57,51,32,46,51,57,57,57,57,50,32,46,52,52,57,57,57,49,32,46,52,57,
      57,57,57,32,46,53,52,57,57,57,32,46,53,57,57,57,56,57,32,46,54,52,57,57,56,
      56,32,46,54,57,57,57,56,55,32,46,55,52,57,57,56,54,10,32,32,46,55,57,57,57,
      56,53,32,46,56,52,57,57,56,52,32,46,56,57,57,57,56,51,32,46,57,52,57,57,56,
      50,32,46,57,57,57,57,56,49,32,49,46,48,52,57,57,56,32,49,46,48,57,57,57,56,
      32,49,46,49,52,57,57,56,32,49,46,49,57,57,57,56,32,49,46,50,52,57,57,56,10,
      32,32,49,46,50,57,57,57,56,32,49,46,51,52,57,57,55,32,49,46,51,57,57,57,55,
      32,49,46,52,52,57,57,55,32,49,46,52,57,57,57,55,32,49,46,53,52,57,57,55,32,
      49,46,53,57,57,57,55,32,49,46,54,52,57,57,55,32,49,46,54,57,57,57,55,32,49,
      46,55,52,57,57,55,10,32,32,49,46,55,57,57,57,55,32,49,46,56,52,57,57,54,32,
      49,46,56,57,57,57,54,32,49,46,57,52,57,57,54,32,49,46,57,57,57,57,54,32,50,
      46,48,52,57,57,54,32,50,46,48,57,57,57,54,32,50,46,49,52,57,57,54,32,50,46,
      49,57,57,57,54,32,50,46,50,52,57,57,54,10,32,32,50,46,50,57,57,57,54,32,50,
      46,51,52,57,57,54,32,50,46,51,57,57,57,53,32,50,46,52,52,57,57,53,32,50,46,
      52,57,57,57,53,32,50,46,53,52,57,57,53,32,50,46,53,57,57,57,53,32,50,46,54,
      52,57,57,53,32,50,46,55,49,50,54,53,32,50,46,55,54,57,57,53,10,32,32,50,46,
      56,50,57,57,53,32,50,46,56,57,57,57,52,32,50,46,57,53,57,57,52,32,51,46,48,
      50,57,57,52,32,51,46,49,48,57,57,52,32,51,46,49,55,57,57,52,32,51,46,50,53,
      57,57,52,32,51,46,51,51,57,57,52,32,51,46,52,50,57,57,51,32,51,46,53,49,57,
      57,51,10,32,32,51,46,54,48,57,57,51,32,51,46,55,48,57,57,51,32,51,46,56,48,
      57,57,51,32,51,46,57,49,57,57,51,32,52,46,48,50,57,57,50,32,52,46,49,51,57,
      57,50,32,52,46,50,53,57,57,50,32,52,46,51,56,57,57,50,32,52,46,53,49,57,57,
      49,32,52,46,54,52,57,57,49,10,32,32,52,46,55,57,57,57,49,32,52,46,57,51,57,
      57,49,32,53,46,48,57,57,57,32,53,46,50,53,57,57,32,53,46,52,50,53,52,32,53,
      46,53,57,57,56,57,32,53,46,54,57,57,56,57,32,53,46,57,54,57,56,57,32,54,46,
      49,54,57,56,56,32,54,46,51,54,57,56,56,32,54,46,53,56,57,56,55,10,32,32,54,
      46,56,48,57,56,55,32,55,46,48,51,57,56,55,32,55,46,50,56,57,56,54,32,55,46,
      53,51,57,56,54,32,55,46,56,48,57,56,53,32,55,46,56,57,57,56,53,32,55,46,57,
      57,57,56,53,32,56,46,49,48,50,54,53,32,56,46,49,57,57,56,52,32,56,46,50,55,
      57,56,52,10,32,32,56,46,51,54,57,56,52,32,56,46,54,54,57,56,51,32,56,46,57,
      55,57,56,51,32,57,46,50,57,57,56,50,32,57,46,54,51,57,56,50,32,57,46,57,57,
      57,56,49,32,49,48,46,51,57,57,56,32,49,48,46,56,49,52,56,32,49,49,46,49,53,
      57,56,32,49,49,46,53,54,57,56,10,32,32,49,49,46,57,57,57,56,32,49,50,46,52,
      53,57,56,32,49,50,46,57,55,57,56,32,49,51,46,53,50,55,55,32,49,51,46,57,51,
      57,55,32,49,52,46,52,55,57,55,32,49,53,46,48,50,57,55,32,49,53,46,54,49,57,
      55,32,49,54,46,50,48,53,55,32,49,54,46,52,48,50,55,10,32,32,49,54,46,55,57,
      57,55,32,49,54,46,57,57,57,55,32,49,55,46,52,57,57,55,32,49,56,46,49,57,57,
      55,32,49,56,46,57,49,57,54,32,49,57,46,51,57,57,54,32,49,57,46,57,52,57,54,
      32,50,48,46,54,57,57,54,32,50,49,46,54,50,57,54,32,50,50,46,48,57,57,54,10,
      32,32,50,50,46,54,53,57,54,32,50,51,46,52,57,57,54,32,50,52,46,51,48,55,53,
      32,50,52,46,53,48,53,53,32,50,52,46,55,57,57,53,32,50,54,46,49,57,57,53,32,
      50,55,46,48,49,57,53,32,50,55,46,52,57,57,53,32,50,56,46,48,52,57,53,32,50,
      56,46,56,57,57,52,10,32,32,50,57,46,55,50,57,52,32,51,48,46,49,57,57,52,32,
      51,48,46,55,53,57,52,32,51,49,46,52,57,57,52,32,51,50,46,52,48,57,52,32,51,
      50,46,54,48,56,52,32,51,50,46,56,48,53,52,32,51,50,46,56,57,57,52,32,51,51,
      46,57,57,57,52,32,51,53,46,50,57,57,51,10,32,32,51,54,46,49,52,57,51,32,51,
      54,46,53,57,57,51,32,51,55,46,49,55,57,51,32,51,55,46,56,57,57,51,32,51,56,
      46,55,57,57,51,32,51,57,46,56,56,57,50,32,52,48,46,49,57,57,50,32,52,48,46,
      53,49,50,50,32,52,48,46,57,48,56,50,32,52,48,46,57,57,57,50,10,32,32,52,49,
      46,53,51,57,50,32,52,49,46,57,57,57,50,32,52,51,46,49,57,57,50,32,52,52,46,
      49,57,57,50,32,52,53,46,50,55,57,49,32,52,53,46,57,57,57,49,32,52,54,46,57,
      57,57,49,32,52,55,46,57,56,57,49,32,52,56,46,50,57,57,49,32,52,56,46,54,49,
      52,49,10,32,32,52,57,46,50,48,56,49,32,52,57,46,53,57,57,49,32,53,48,46,54,
      54,57,32,53,49,46,49,57,57,32,53,50,46,52,57,57,32,53,51,46,51,55,57,32,53,
      51,46,56,57,57,32,53,52,46,52,48,57,32,53,53,46,49,57,56,57,32,53,53,46,57,
      57,56,57,32,53,54,46,55,49,56,57,10,32,32,53,55,46,49,49,56,57,32,53,56,46,
      51,57,56,57,32,53,57,46,55,57,56,57,32,54,49,46,49,57,56,56,32,54,50,46,53,
      48,56,56,32,54,51,46,55,57,56,56,32,54,53,46,50,50,56,56,32,54,54,46,52,57,
      56,55,32,54,55,46,56,57,56,55,32,54,56,46,51,57,56,55,10,32,32,54,56,46,57,
      50,56,55,32,54,57,46,55,57,56,55,32,55,48,46,54,48,56,55,32,55,49,46,48,57,
      56,54,32,55,49,46,54,51,56,54,32,55,50,46,49,57,56,54,32,55,50,46,57,49,56,
      54,32,55,51,46,51,51,50,54,32,55,51,46,57,57,56,54,32,55,52,46,55,57,56,54,
      10,32,32,55,53,46,53,57,56,54,32,55,54,46,51,57,56,53,32,55,55,46,49,57,56,
      53,32,55,55,46,57,57,56,53,32,55,56,46,56,57,56,53,32,55,57,46,55,57,56,53,
      32,56,48,46,54,57,56,53,32,56,49,46,53,57,56,52,32,56,50,46,52,57,56,52,32,
      56,51,46,51,57,56,52,10,32,32,56,52,46,50,57,56,52,32,56,53,46,49,57,56,52,
      32,56,54,46,48,57,56,52,32,56,54,46,57,57,56,51,32,56,55,46,57,57,56,51,32,
      56,56,46,57,57,56,51,32,56,57,46,57,57,56,51,32,57,48,46,57,57,56,51,32,57,
      49,46,57,57,56,50,32,57,50,46,57,57,56,50,10,32,32,57,51,46,57,57,56,50,32,
      57,52,46,57,57,56,50,32,57,53,46,57,57,56,50,32,57,54,46,57,57,56,50,32,57,
      55,46,57,57,56,49,32,57,56,46,57,57,56,49,32,57,57,46,57,57,56,49,32,49,48,
      49,46,49,57,56,32,49,48,50,46,51,57,56,32,49,48,51,46,53,57,56,10,32,32,49,
      48,52,46,55,57,56,32,49,48,53,46,57,57,56,32,49,48,55,46,49,57,56,32,49,48,
      56,46,51,57,56,32,49,48,57,46,53,57,56,32,49,49,48,46,55,57,56,32,49,49,49,
      46,57,57,56,32,49,49,51,46,52,57,56,32,49,49,52,46,57,57,56,32,49,49,54,46,
      52,57,56,10,32,32,49,49,55,46,57,57,56,32,49,49,57,46,52,57,56,32,49,50,48,
      46,57,57,56,32,49,50,50,46,52,57,56,32,49,50,51,46,57,57,56,32,49,50,53,46,
      52,57,56,32,49,50,54,46,57,57,56,32,49,50,56,46,52,57,56,32,49,50,57,46,57,
      57,56,32,49,51,49,46,57,57,55,10,32,32,49,51,51,46,57,57,55,32,49,51,53,46,
      57,57,55,32,49,51,55,46,57,57,55,32,49,51,57,46,57,57,55,32,49,52,49,46,57,
      57,55,32,49,52,51,46,57,57,55,32,49,52,53,46,57,57,55,32,49,52,55,46,57,57,
      55,32,49,52,57,46,57,57,55,32,49,53,49,46,57,57,55,10,32,32,49,53,51,46,57,
      57,55,32,49,53,53,46,57,57,55,32,49,53,56,46,48,57,55,32,49,54,53,46,57,57,
      55,32,49,55,52,46,51,48,55,32,49,56,51,46,48,49,55,32,49,57,50,46,49,54,54,
      32,50,48,49,46,55,55,54,32,50,49,49,46,56,54,54,32,50,50,50,46,52,53,54,10,
      32,32,50,51,51,46,53,56,54,32,50,52,53,46,50,53,53,32,50,53,55,46,53,50,53,
      32,50,55,48,46,51,57,53,32,50,56,51,46,57,49,53,32,50,57,56,46,49,49,52,32,
      51,49,51,46,48,50,52,32,51,50,56,46,54,55,52,32,51,52,53,46,49,48,51,32,51,
      54,50,46,51,54,51,10,32,32,51,56,48,46,52,56,51,32,51,57,53,46,50,53,50,10,
      32,32,115,97,98,95,115,99,97,108,101,100,32,53,48,53,50,55,56,32,51,55,56,57,
      56,53,32,50,56,52,50,50,54,32,50,49,51,49,55,49,32,49,53,57,56,55,54,32,49,
      49,57,57,48,52,32,56,57,57,50,53,46,51,32,54,55,52,52,50,46,52,32,53,48,53,
      56,49,46,55,32,51,55,57,51,52,46,52,32,50,56,52,52,55,46,56,10,32,32,50,49,
      51,51,52,46,54,32,49,53,57,57,56,46,54,32,49,49,57,57,55,46,49,32,56,57,57,
      54,46,48,53,32,54,55,52,53,46,49,55,32,53,48,53,55,46,48,49,32,51,51,54,56,
      46,56,54,32,50,48,49,56,46,51,52,32,49,52,51,57,46,53,53,32,49,48,48,53,46,
      52,54,10,32,32,55,49,54,46,48,56,50,32,52,57,57,46,48,53,56,32,51,51,48,46,
      50,56,52,32,49,57,53,46,51,49,52,32,49,51,55,46,53,49,55,32,57,52,46,50,50,
      57,49,32,54,53,46,52,52,56,50,32,52,51,46,57,55,51,53,32,51,52,46,48,50,56,
      55,32,50,55,46,52,53,51,52,10,32,32,49,57,46,51,52,55,52,32,49,52,46,53,57,
      50,54,32,49,49,46,53,48,50,56,32,49,48,46,51,51,57,52,32,57,46,51,53,54,50,
      54,32,56,46,53,49,54,55,52,32,55,46,55,57,50,57,32,55,46,49,54,51,57,53,32,
      54,46,54,49,51,53,53,32,54,46,49,50,56,53,50,32,53,46,54,57,56,55,54,10,32,
      32,53,46,51,49,54,49,32,52,46,57,55,51,53,56,32,52,46,54,48,56,49,32,52,46,
      50,56,52,54,51,32,51,46,57,48,55,54,57,32,51,46,53,56,50,56,55,32,51,46,51,
      48,48,53,49,32,50,46,57,57,54,54,49,32,50,46,55,51,55,51,53,32,50,46,53,49,
      51,53,54,32,50,46,50,56,51,10,32,32,50,46,48,56,54,54,56,32,49,46,56,54,54,
      56,53,32,49,46,54,56,51,56,55,32,49,46,53,51,48,49,49,32,49,46,51,56,52,52,
      54,32,49,46,50,52,57,49,51,32,49,46,49,50,52,51,55,32,49,46,48,49,48,51,51,
      32,46,57,48,55,53,55,53,32,46,56,48,57,50,52,53,10,32,32,46,55,50,55,52,54,
      50,32,46,54,53,48,48,50,52,32,46,53,54,55,53,53,54,32,46,52,57,54,54,51,53,
      32,46,52,53,49,51,48,51,32,46,52,48,51,49,51,32,46,51,53,51,54,52,55,32,46,
      51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,49,32,46,50,48,
      54,53,49,55,10,32,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,51,32,46,49,
      50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,53,32,46,48,
      55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,54,52,50,51,55,32,46,
      48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,10,32,32,46,48,51,52,50,52,
      57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,46,48,49,56,
      55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,32,46,48,
      49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,50,57,
      50,10,32,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,
      48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,
      57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,53,32,46,
      48,48,49,50,48,50,53,52,10,32,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,
      48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,53,49,
      48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,
      49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,10,32,
      32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,
      48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,
      49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,46,49,56,50,
      50,53,101,45,48,53,10,32,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,
      48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,51,55,
      54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,
      101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,10,32,32,54,46,56,56,55,51,
      52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,
      101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,
      45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,55,50,101,45,
      48,54,10,32,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,
      45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,101,45,48,55,
      32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,32,49,
      46,52,55,55,54,56,101,45,48,55,10,32,32,54,46,55,50,54,56,52,101,45,48,56,32,
      51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,56,32,53,
      46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,48,56,32,49,46,
      49,55,57,101,45,48,56,32,54,46,48,51,52,55,53,101,45,48,57,10,32,32,50,46,56,
      53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,32,52,46,52,51,
      56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,54,46,57,51,49,
      48,53,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,32,49,46,48,56,55,55,
      55,101,45,49,49,10,32,32,52,46,53,57,48,52,53,101,45,49,50,32,49,46,57,48,55,
      56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,32,50,46,51,53,53,53,
      55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,50,56,52,51,55,
      101,45,49,52,32,54,46,55,48,49,52,50,101,45,49,53,10,32,32,50,46,50,50,52,52,
      57,101,45,49,53,32,55,46,51,56,57,57,51,101,45,49,54,32,50,46,49,55,51,57,55,
      101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,48,54,49,101,
      45,49,55,32,54,46,54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,52,101,45,49,
      56,10,32,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,50,50,57,101,45,49,
      57,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,56,51,101,45,50,48,
      32,48,114,53,51,32,55,56,52,51,46,57,55,32,49,48,51,51,51,46,52,32,49,51,52,
      57,54,32,49,55,51,53,52,46,51,10,32,32,50,49,55,55,50,46,55,32,50,54,50,53,
      56,46,55,32,50,57,56,57,53,46,53,32,51,49,54,55,49,46,52,32,51,48,57,49,57,
      46,53,32,50,55,57,51,55,46,51,32,50,51,53,57,54,46,51,32,49,57,48,52,50,46,
      49,32,49,52,57,53,48,46,52,32,49,49,53,54,48,46,49,10,32,32,56,55,52,57,46,
      49,55,32,54,54,48,53,46,56,54,32,52,57,55,56,46,52,56,32,51,51,51,51,46,56,
      57,32,50,48,48,53,46,55,52,32,49,52,51,51,46,49,51,32,49,48,48,50,46,51,50,
      32,55,49,52,46,52,56,51,32,52,57,56,46,50,55,56,32,51,50,57,46,57,52,32,49,
      57,53,46,49,57,50,10,32,32,49,51,55,46,52,53,54,32,57,52,46,49,57,57,56,32,
      54,53,46,52,51,51,55,32,52,51,46,57,54,54,55,32,51,52,46,48,50,52,53,32,50,
      55,46,52,53,48,54,32,49,57,46,51,52,53,57,32,49,52,46,53,57,49,56,32,49,49,
      46,53,48,50,51,32,49,48,46,51,51,56,57,10,32,32,57,46,51,53,53,56,56,32,56,
      46,53,49,54,52,51,32,55,46,55,57,50,54,51,32,55,46,49,54,51,55,50,32,54,46,
      54,49,51,51,53,32,54,46,49,50,56,51,53,32,53,46,54,57,56,54,49,32,53,46,51,
      49,53,57,55,32,52,46,57,55,51,52,55,32,52,46,54,48,56,48,49,10,32,32,52,46,
      50,56,52,53,53,32,51,46,57,48,55,54,50,32,51,46,53,56,50,56,49,32,51,46,51,
      48,48,52,54,32,50,46,57,57,54,53,55,32,50,46,55,51,55,51,50,32,50,46,53,49,
      51,53,51,32,50,46,50,56,50,57,56,32,50,46,48,56,54,54,55,32,49,46,56,54,54,
      56,52,10,32,32,49,46,54,56,51,56,54,32,49,46,53,51,48,49,49,32,49,46,51,56,
      52,52,53,32,49,46,50,52,57,49,51,32,49,46,49,50,52,51,55,32,49,46,48,49,48,
      51,50,32,46,57,48,55,53,55,51,32,46,56,48,57,50,52,52,32,46,55,50,55,52,54,
      49,32,46,54,53,48,48,50,52,10,32,32,46,53,54,55,53,53,54,32,46,52,57,54,54,
      51,53,32,46,52,53,49,51,48,51,32,46,52,48,51,49,51,32,46,51,53,51,54,52,55,
      32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,49,32,46,
      50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,51,10,32,32,
      46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,53,32,
      46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,54,52,50,51,55,
      32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,
      57,56,32,46,48,50,55,57,52,52,54,10,32,32,46,48,50,50,56,57,54,57,32,46,48,
      49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,32,
      46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,
      50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,10,32,
      32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,
      52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,53,
      32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,
      48,55,55,49,52,51,52,10,32,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,
      53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,
      52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,
      32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,10,32,32,
      46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,
      52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,46,49,
      56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,
      48,50,57,101,45,48,53,10,32,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,
      51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,
      57,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,55,51,
      52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,10,32,32,52,46,52,54,51,
      55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,
      49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,55,50,
      101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,
      45,48,54,10,32,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,101,45,
      48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,
      32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,
      51,46,48,54,55,52,52,101,45,48,56,10,32,32,49,46,49,57,55,51,56,101,45,48,56,
      32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,48,56,32,
      49,46,49,55,57,101,45,48,56,32,54,46,48,51,52,55,52,101,45,48,57,32,50,46,56,
      53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,10,32,32,52,46,
      52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,54,46,57,
      51,49,48,53,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,32,49,46,48,56,
      55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,49,46,57,48,55,
      56,57,101,45,49,50,10,32,32,55,46,49,50,53,52,56,101,45,49,51,32,50,46,51,53,
      53,53,55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,50,56,52,
      51,55,101,45,49,52,32,54,46,55,48,49,52,50,101,45,49,53,32,50,46,50,50,52,52,
      57,101,45,49,53,32,55,46,51,56,57,57,51,101,45,49,54,10,32,32,50,46,49,55,51,
      57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,48,54,
      49,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,52,101,
      45,49,56,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,50,50,57,101,45,49,
      57,10,32,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,56,51,101,45,
      50,48,32,48,114,53,51,32,52,52,52,50,46,49,55,32,53,56,56,50,46,53,55,32,55,
      55,53,48,46,51,53,32,49,48,49,50,49,46,57,32,49,51,48,49,53,46,55,32,49,54,
      51,50,57,46,53,32,49,57,54,57,51,46,57,10,32,32,50,50,52,50,49,46,49,32,50,
      51,55,53,50,46,55,32,50,51,49,56,56,46,54,32,50,48,57,53,49,46,51,32,49,55,
      54,57,54,46,49,32,49,52,50,55,57,46,53,32,49,49,50,49,49,46,49,32,56,54,54,
      56,46,51,57,32,54,53,54,48,46,48,54,32,52,57,53,50,46,53,55,10,32,32,51,51,
      50,50,46,51,49,32,50,48,48,49,46,53,54,32,49,52,51,48,46,57,57,32,49,48,48,
      49,46,50,56,32,55,49,51,46,57,53,49,32,52,57,56,46,48,49,56,32,51,50,57,46,
      56,50,53,32,49,57,53,46,49,53,50,32,49,51,55,46,52,51,53,32,57,52,46,49,57,
      32,54,53,46,52,50,56,56,10,32,32,52,51,46,57,54,52,52,32,51,52,46,48,50,51,
      49,32,50,55,46,52,52,57,54,32,49,57,46,51,52,53,52,32,49,52,46,53,57,49,53,
      32,49,49,46,53,48,50,49,32,49,48,46,51,51,56,56,32,57,46,51,53,53,55,54,32,
      56,46,53,49,54,51,50,32,55,46,55,57,50,53,52,10,32,32,55,46,49,54,51,54,53,
      32,54,46,54,49,51,50,57,32,54,46,49,50,56,51,32,53,46,54,57,56,53,55,32,53,
      46,51,49,53,57,51,32,52,46,57,55,51,52,52,32,52,46,54,48,55,57,56,32,52,46,
      50,56,52,53,50,32,51,46,57,48,55,54,32,51,46,53,56,50,55,57,32,51,46,51,48,
      48,52,53,10,32,32,50,46,57,57,54,53,54,32,50,46,55,51,55,51,49,32,50,46,53,
      49,51,53,50,32,50,46,50,56,50,57,55,32,50,46,48,56,54,54,54,32,49,46,56,54,
      54,56,51,32,49,46,54,56,51,56,53,32,49,46,53,51,48,49,32,49,46,51,56,52,52,
      53,32,49,46,50,52,57,49,51,32,49,46,49,50,52,51,55,10,32,32,49,46,48,49,48,
      51,50,32,46,57,48,55,53,55,51,32,46,56,48,57,50,52,51,32,46,55,50,55,52,54,
      49,32,46,54,53,48,48,50,52,32,46,53,54,55,53,53,54,32,46,52,57,54,54,51,52,
      32,46,52,53,49,51,48,51,32,46,52,48,51,49,51,32,46,51,53,51,54,52,55,32,46,
      51,48,57,53,53,51,10,32,32,46,50,55,48,53,49,53,32,46,50,51,53,49,49,32,46,
      50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,51,32,46,49,
      50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,53,32,46,48,
      55,56,51,55,55,54,32,46,48,54,56,48,54,54,10,32,32,46,48,53,54,52,50,51,55,
      32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,
      57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,46,48,49,56,
      55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,10,32,32,
      46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,
      50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,
      48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,
      57,56,49,32,46,48,48,49,57,53,50,57,49,10,32,32,46,48,48,49,53,50,53,54,53,
      32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,
      48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,53,49,
      48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,
      49,10,32,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,
      32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,
      48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,
      49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,10,32,32,52,46,49,
      56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,
      48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,51,55,
      54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,
      101,45,48,53,10,32,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,55,51,
      52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,
      101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,
      45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,10,32,32,49,46,56,56,57,55,50,
      101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,
      45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,101,45,48,55,
      32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,10,32,
      32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,
      51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,56,32,53,
      46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,48,56,32,49,46,
      49,55,57,101,45,48,56,10,32,32,54,46,48,51,52,55,52,101,45,48,57,32,50,46,56,
      53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,32,52,46,52,51,
      56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,54,46,57,51,49,
      48,53,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,10,32,32,49,46,48,56,
      55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,49,46,57,48,55,
      56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,32,50,46,51,53,53,53,
      55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,50,56,52,51,55,
      101,45,49,52,10,32,32,54,46,55,48,49,52,50,101,45,49,53,32,50,46,50,50,52,52,
      57,101,45,49,53,32,55,46,51,56,57,57,51,101,45,49,54,32,50,46,49,55,51,57,55,
      101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,48,54,49,101,
      45,49,55,32,54,46,54,49,50,57,101,45,49,56,10,32,32,50,46,51,54,54,49,52,101,
      45,49,56,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,50,50,57,101,45,49,
      57,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,56,51,101,45,50,48,
      32,48,114,53,51,32,50,53,48,56,46,52,50,32,51,51,51,49,46,52,50,10,32,32,52,
      52,49,50,46,49,51,32,53,56,49,50,46,55,50,32,55,53,57,49,46,52,53,32,57,55,
      54,49,46,56,51,32,49,50,50,52,55,46,49,32,49,52,55,55,48,46,50,32,49,54,56,
      49,53,46,50,32,49,55,56,49,51,46,56,32,49,55,51,57,48,46,50,32,49,53,55,49,
      50,46,52,10,32,32,49,51,50,55,48,46,51,32,49,48,55,48,56,32,56,52,48,54,46,
      54,54,32,54,52,57,57,46,53,32,52,57,49,56,46,50,52,32,51,51,48,54,46,57,52,
      32,49,57,57,54,32,49,52,50,56,46,49,53,32,57,57,57,46,56,56,54,32,55,49,51,
      46,50,52,51,32,52,57,55,46,54,55,50,10,32,32,51,50,57,46,54,55,50,32,49,57,
      53,46,48,57,55,32,49,51,55,46,52,48,56,32,57,52,46,49,55,55,32,54,53,46,52,
      50,50,52,32,52,51,46,57,54,49,52,32,51,52,46,48,50,49,51,32,50,55,46,52,52,
      56,52,32,49,57,46,51,52,52,56,32,49,52,46,53,57,49,49,32,49,49,46,53,48,49,
      56,10,32,32,49,48,46,51,51,56,54,32,57,46,51,53,53,53,57,32,56,46,53,49,54,
      49,57,32,55,46,55,57,50,52,51,32,55,46,49,54,51,53,53,32,54,46,54,49,51,50,
      32,54,46,49,50,56,50,50,32,53,46,54,57,56,53,32,53,46,51,49,53,56,55,32,52,
      46,57,55,51,51,57,32,52,46,54,48,55,57,52,10,32,32,52,46,50,56,52,52,56,32,
      51,46,57,48,55,53,55,32,51,46,53,56,50,55,55,32,51,46,51,48,48,52,51,32,50,
      46,57,57,54,53,52,32,50,46,55,51,55,51,32,50,46,53,49,51,53,49,32,50,46,50,
      56,50,57,54,32,50,46,48,56,54,54,53,32,49,46,56,54,54,56,51,32,49,46,54,56,
      51,56,53,10,32,32,49,46,53,51,48,49,32,49,46,51,56,52,52,53,32,49,46,50,52,
      57,49,51,32,49,46,49,50,52,51,55,32,49,46,48,49,48,51,50,32,46,57,48,55,53,
      55,50,32,46,56,48,57,50,52,51,32,46,55,50,55,52,54,32,46,54,53,48,48,50,51,
      32,46,53,54,55,53,53,53,32,46,52,57,54,54,51,52,10,32,32,46,52,53,49,51,48,
      51,32,46,52,48,51,49,51,32,46,51,53,51,54,52,55,32,46,51,48,57,53,53,51,32,
      46,50,55,48,53,49,53,32,46,50,51,53,49,48,57,32,46,50,48,54,53,49,55,32,46,
      49,56,49,48,56,55,32,46,49,53,53,53,50,51,32,46,49,50,55,57,53,54,32,46,49,
      48,54,57,49,50,10,32,32,46,48,56,57,56,56,50,53,32,46,48,55,56,51,55,55,54,
      32,46,48,54,56,48,54,54,32,46,48,53,54,52,50,51,55,32,46,48,52,55,49,51,48,
      54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,
      52,52,54,32,46,48,50,50,56,57,54,57,10,32,32,46,48,49,56,55,55,51,52,32,46,
      48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,
      32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,
      52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,
      10,32,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,
      48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,
      53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,
      46,48,48,48,54,48,55,54,51,49,10,32,32,46,48,48,48,53,49,48,56,49,56,32,46,
      48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,
      50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,
      52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,
      10,32,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,
      53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,46,49,56,50,50,53,101,45,48,53,
      32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,
      50,46,50,50,56,56,53,101,45,48,53,10,32,32,49,46,54,51,55,54,53,101,45,48,53,
      32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,101,45,48,53,32,56,
      46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,
      53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,10,32,32,51,
      46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,
      51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,
      48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,
      51,101,45,48,54,10,32,32,56,46,53,49,51,51,52,101,45,48,55,32,53,46,51,48,57,
      56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,32,49,46,52,55,55,54,56,
      101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,
      45,48,56,32,49,46,49,57,55,51,56,101,45,48,56,10,32,32,53,46,52,54,51,52,54,
      101,45,48,57,32,51,46,48,53,57,50,54,101,45,48,56,32,49,46,49,55,57,101,45,
      48,56,32,54,46,48,51,52,55,52,101,45,48,57,32,50,46,56,53,56,57,53,101,45,48,
      57,32,49,46,48,53,55,55,54,101,45,48,57,32,52,46,52,51,56,50,49,101,45,49,48,
      10,32,32,49,46,56,54,52,54,50,101,45,49,48,32,54,46,57,51,49,48,53,101,45,49,
      49,32,50,46,53,55,57,57,56,101,45,49,49,32,49,46,48,56,55,55,55,101,45,49,49,
      32,52,46,53,57,48,52,53,101,45,49,50,32,49,46,57,48,55,56,57,101,45,49,50,32,
      55,46,49,50,53,52,56,101,45,49,51,10,32,32,50,46,51,53,53,53,55,101,45,49,51,
      32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,50,56,52,51,55,101,45,49,52,32,
      54,46,55,48,49,52,50,101,45,49,53,32,50,46,50,50,52,52,57,101,45,49,53,32,55,
      46,51,56,57,57,51,101,45,49,54,32,50,46,49,55,51,57,55,101,45,49,54,10,32,32,
      53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,48,54,101,45,49,55,32,54,46,
      54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,52,101,45,49,56,32,55,46,56,57,
      49,55,101,45,49,57,32,50,46,53,53,50,50,57,101,45,49,57,32,56,46,53,49,49,54,
      49,101,45,50,48,10,32,32,50,46,56,51,57,56,51,101,45,50,48,32,48,114,53,51,
      32,49,52,49,52,46,48,53,32,49,56,56,49,46,49,54,32,50,52,57,56,46,54,52,32,
      51,51,48,57,46,48,50,32,52,51,53,57,46,52,57,32,53,54,57,51,46,53,52,32,55,
      51,50,49,46,51,32,57,49,56,53,46,48,53,10,32,32,49,49,48,55,55,32,49,50,54,
      49,48,46,56,32,49,51,51,53,57,46,53,32,49,51,48,52,49,46,54,32,49,49,55,56,
      50,46,55,32,57,57,53,49,46,49,53,32,56,48,50,57,46,52,51,32,54,51,48,51,46,
      50,53,32,52,56,55,50,46,56,51,32,51,50,56,54,46,53,54,32,49,57,56,56,46,54,
      49,10,32,32,49,52,50,52,46,51,55,32,57,57,56,46,48,51,52,32,55,49,50,46,50,
      57,57,32,52,57,55,46,50,49,49,32,51,50,57,46,52,54,57,32,49,57,53,46,48,50,
      53,32,49,51,55,46,51,55,50,32,57,52,46,49,53,57,54,32,54,53,46,52,49,51,56,
      32,52,51,46,57,53,55,52,10,32,32,51,52,46,48,49,56,56,32,50,55,46,52,52,54,
      56,32,49,57,46,51,52,51,57,32,49,52,46,53,57,48,54,32,49,49,46,53,48,49,53,
      32,49,48,46,51,51,56,51,32,57,46,51,53,53,51,55,32,56,46,53,49,54,32,55,46,
      55,57,50,50,55,32,55,46,49,54,51,52,49,32,54,46,54,49,51,48,57,10,32,32,54,
      46,49,50,56,49,50,32,53,46,54,57,56,52,49,32,53,46,51,49,53,56,32,52,46,57,
      55,51,51,50,32,52,46,54,48,55,56,56,32,52,46,50,56,52,52,52,32,51,46,57,48,
      55,53,51,32,51,46,53,56,50,55,51,32,51,46,51,48,48,52,32,50,46,57,57,54,53,
      50,32,50,46,55,51,55,50,56,10,32,32,50,46,53,49,51,53,32,50,46,50,56,50,57,
      53,32,50,46,48,56,54,54,52,32,49,46,56,54,54,56,50,32,49,46,54,56,51,56,52,
      32,49,46,53,51,48,48,57,32,49,46,51,56,52,52,52,32,49,46,50,52,57,49,50,32,
      49,46,49,50,52,51,55,32,49,46,48,49,48,51,50,32,46,57,48,55,53,55,49,10,32,
      32,46,56,48,57,50,52,50,32,46,55,50,55,52,54,32,46,54,53,48,48,50,51,32,46,
      53,54,55,53,53,53,32,46,52,57,54,54,51,52,32,46,52,53,49,51,48,50,32,46,52,
      48,51,49,51,32,46,51,53,51,54,52,55,32,46,51,48,57,53,53,51,32,46,50,55,48,
      53,49,53,32,46,50,51,53,49,48,57,10,32,32,46,50,48,54,53,49,55,32,46,49,56,
      49,48,56,55,32,46,49,53,53,53,50,51,32,46,49,50,55,57,53,54,32,46,49,48,54,
      57,49,50,32,46,48,56,57,56,56,50,53,32,46,48,55,56,51,55,55,54,32,46,48,54,
      56,48,54,54,32,46,48,53,54,52,50,51,55,32,46,48,52,55,49,51,48,54,10,32,32,
      46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,
      54,32,46,48,50,50,56,57,54,57,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,
      54,50,49,32,46,48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,
      56,57,51,53,55,57,10,32,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,
      50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,32,46,
      48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,
      50,57,49,32,46,48,48,49,53,50,53,54,53,10,32,32,46,48,48,49,50,48,50,53,52,
      32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,
      48,48,54,48,55,54,51,49,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,
      50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,
      52,50,10,32,32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,
      55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,
      46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,
      52,51,56,55,49,101,45,48,53,10,32,32,52,46,49,56,50,50,53,101,45,48,53,32,51,
      46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,
      50,50,56,56,53,101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,
      52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,
      50,48,56,52,101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,
      52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,
      52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,
      56,101,45,48,54,10,32,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,
      49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,
      45,48,54,32,56,46,53,49,51,51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,
      55,32,50,46,55,55,55,49,51,101,45,48,55,10,32,32,49,46,52,55,55,54,56,101,45,
      48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,
      56,32,49,46,49,57,55,51,56,101,45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,
      32,51,46,48,53,57,50,54,101,45,48,56,32,49,46,49,55,57,101,45,48,56,10,32,32,
      54,46,48,51,52,55,52,101,45,48,57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,
      46,48,53,55,55,54,101,45,48,57,32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,
      56,54,52,54,50,101,45,49,48,32,54,46,57,51,49,48,53,101,45,49,49,32,50,46,53,
      55,57,57,56,101,45,49,49,10,32,32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,
      53,57,48,52,53,101,45,49,50,32,49,46,57,48,55,56,57,101,45,49,50,32,55,46,49,
      50,53,52,56,101,45,49,51,32,50,46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,
      52,56,49,101,45,49,52,32,50,46,50,56,52,51,55,101,45,49,52,10,32,32,54,46,55,
      48,49,52,50,101,45,49,53,32,50,46,50,50,52,52,57,101,45,49,53,32,55,46,51,56,
      57,57,51,101,45,49,54,32,50,46,49,55,51,57,55,101,45,49,54,32,53,46,56,54,49,
      50,56,101,45,49,55,32,50,46,49,51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,
      45,49,56,10,32,32,50,46,51,54,54,49,52,101,45,49,56,32,55,46,56,57,49,55,101,
      45,49,57,32,50,46,53,53,50,50,57,101,45,49,57,32,56,46,53,49,49,54,49,101,45,
      50,48,32,50,46,56,51,57,56,51,101,45,50,48,32,48,114,53,51,32,55,57,54,46,51,
      54,50,32,49,48,54,48,46,52,53,10,32,32,49,52,49,48,46,57,50,32,49,56,55,51,
      46,57,52,32,50,52,56,49,46,55,52,32,51,50,54,57,46,53,57,32,52,50,55,48,46,
      49,49,32,53,52,57,48,46,56,32,54,56,56,56,46,51,55,32,56,51,48,55,46,51,52,
      32,57,52,53,55,46,53,55,32,49,48,48,49,56,46,56,32,57,55,56,48,46,48,49,10,
      32,32,56,56,51,53,46,54,54,32,55,52,54,49,46,56,55,32,54,48,50,48,46,52,49,
      32,52,55,50,53,46,54,57,32,51,50,53,57,46,53,56,32,49,57,55,56,46,56,32,49,
      52,49,57,46,51,53,32,57,57,53,46,53,54,57,32,55,49,49,46,48,52,50,32,52,57,
      54,46,53,57,55,32,51,50,57,46,49,57,56,10,32,32,49,57,52,46,57,50,57,32,49,
      51,55,46,51,50,51,32,57,52,46,49,51,54,53,32,54,53,46,52,48,50,52,32,52,51,
      46,57,53,50,32,51,52,46,48,49,53,53,32,50,55,46,52,52,52,54,32,49,57,46,51,
      52,50,56,32,49,52,46,53,56,57,57,32,49,49,46,53,48,49,49,32,49,48,46,51,51,
      55,57,10,32,32,57,46,51,53,53,48,55,32,56,46,53,49,53,55,53,32,55,46,55,57,
      50,48,54,32,55,46,49,54,51,50,52,32,54,46,54,49,50,57,51,32,54,46,49,50,55,
      57,57,32,53,46,54,57,56,51,32,53,46,51,49,53,55,32,52,46,57,55,51,50,51,32,
      52,46,54,48,55,56,32,52,46,50,56,52,51,55,10,32,32,51,46,57,48,55,52,55,32,
      51,46,53,56,50,54,57,32,51,46,51,48,48,51,54,32,50,46,57,57,54,52,57,32,50,
      46,55,51,55,50,53,32,50,46,53,49,51,52,56,32,50,46,50,56,50,57,52,32,50,46,
      48,56,54,54,51,32,49,46,56,54,54,56,49,32,49,46,54,56,51,56,51,10,32,32,49,
      46,53,51,48,48,57,32,49,46,51,56,52,52,52,32,49,46,50,52,57,49,50,32,49,46,
      49,50,52,51,54,32,49,46,48,49,48,51,50,32,46,57,48,55,53,55,32,46,56,48,57,
      50,52,49,32,46,55,50,55,52,53,57,32,46,54,53,48,48,50,51,32,46,53,54,55,53,
      53,53,32,46,52,57,54,54,51,52,10,32,32,46,52,53,49,51,48,50,32,46,52,48,51,
      49,51,32,46,51,53,51,54,52,55,32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,
      53,32,46,50,51,53,49,48,57,32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,
      32,46,49,53,53,53,50,51,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,10,
      32,32,46,48,56,57,56,56,50,53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,
      54,54,32,46,48,53,54,52,50,51,55,32,46,48,52,55,49,51,48,54,32,46,48,51,57,
      54,53,52,53,32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,
      50,50,56,57,54,57,10,32,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,
      49,32,46,48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,
      51,53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,
      46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,10,32,32,46,48,48,
      51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,
      49,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,
      48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,
      55,54,51,49,10,32,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,
      57,56,52,32,46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,
      32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,
      48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,10,32,32,56,46,53,
      57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,
      56,55,49,101,45,48,53,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,
      50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,
      53,101,45,48,53,10,32,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,
      57,51,101,45,48,53,32,49,46,49,50,57,49,101,45,48,53,32,56,46,54,50,48,56,52,
      101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,
      45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,10,32,32,51,46,54,51,50,52,56,
      101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,
      45,48,54,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,
      48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,10,
      32,32,56,46,53,49,51,51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,
      50,46,55,55,55,49,51,101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,
      46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,
      49,57,55,51,56,101,45,48,56,10,32,32,53,46,52,54,51,52,54,101,45,48,57,32,51,
      46,48,53,57,50,54,101,45,48,56,32,49,46,49,55,57,101,45,48,56,32,54,46,48,51,
      52,55,52,101,45,48,57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,
      55,54,101,45,48,57,32,52,46,52,51,56,50,49,101,45,49,48,10,32,32,49,46,56,54,
      52,54,50,101,45,49,48,32,54,46,57,51,49,48,53,101,45,49,49,32,50,46,53,55,57,
      57,56,101,45,49,49,32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,
      53,101,45,49,50,32,49,46,57,48,55,56,57,101,45,49,50,32,55,46,49,50,53,52,56,
      101,45,49,51,10,32,32,50,46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,
      49,101,45,49,52,32,50,46,50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,50,
      101,45,49,53,32,50,46,50,50,52,52,57,101,45,49,53,32,55,46,51,56,57,57,51,101,
      45,49,54,32,50,46,49,55,51,57,55,101,45,49,54,10,32,32,53,46,56,54,49,50,56,
      101,45,49,55,32,50,46,49,51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,
      49,56,32,50,46,51,54,54,49,52,101,45,49,56,32,55,46,56,57,49,55,101,45,49,57,
      32,50,46,53,53,50,50,57,101,45,49,57,32,56,46,53,49,49,54,49,101,45,50,48,10,
      32,32,50,46,56,51,57,56,51,101,45,50,48,32,48,114,53,51,32,52,52,56,46,50,55,
      54,32,53,57,55,46,50,52,50,32,55,57,53,46,51,56,55,32,49,48,53,56,46,50,32,
      49,52,48,53,46,52,56,32,49,56,54,49,46,51,53,32,50,52,53,50,46,50,53,32,51,
      50,48,50,46,53,56,10,32,32,52,49,49,55,46,57,53,32,53,49,54,54,46,49,54,32,
      54,50,51,48,46,51,56,32,55,48,57,50,46,54,52,32,55,53,49,51,46,51,50,32,55,
      51,51,51,46,57,54,32,54,54,50,53,46,52,55,32,53,53,57,52,46,56,56,32,52,53,
      49,51,46,54,54,32,51,49,57,54,46,54,57,10,32,32,49,57,54,53,46,55,57,32,49,
      52,49,50,46,54,56,32,57,57,50,46,50,57,51,32,55,48,57,46,51,55,32,52,57,53,
      46,55,56,32,51,50,56,46,56,51,55,32,49,57,52,46,56,48,49,32,49,51,55,46,50,
      53,57,32,57,52,46,49,48,53,54,32,54,53,46,51,56,55,49,32,52,51,46,57,52,52,
      57,10,32,32,51,52,46,48,49,49,49,32,50,55,46,52,52,49,54,32,49,57,46,51,52,
      49,51,32,49,52,46,53,56,57,32,49,49,46,53,48,48,53,32,49,48,46,51,51,55,53,
      32,57,46,51,53,52,54,56,32,56,46,53,49,53,52,50,32,55,46,55,57,49,55,56,32,
      55,46,49,54,51,32,54,46,54,49,50,55,51,10,32,32,54,46,49,50,55,56,49,32,53,
      46,54,57,56,49,53,32,53,46,51,49,53,53,54,32,52,46,57,55,51,49,50,32,52,46,
      54,48,55,55,32,52,46,50,56,52,50,56,32,51,46,57,48,55,52,32,51,46,53,56,50,
      54,51,32,51,46,51,48,48,51,49,32,50,46,57,57,54,52,53,32,50,46,55,51,55,50,
      50,10,32,32,50,46,53,49,51,52,53,32,50,46,50,56,50,57,49,32,50,46,48,56,54,
      54,50,32,49,46,56,54,54,56,32,49,46,54,56,51,56,50,32,49,46,53,51,48,48,56,
      32,49,46,51,56,52,52,51,32,49,46,50,52,57,49,50,32,49,46,49,50,52,51,54,32,
      49,46,48,49,48,51,50,32,46,57,48,55,53,54,56,10,32,32,46,56,48,57,50,52,32,
      46,55,50,55,52,53,57,32,46,54,53,48,48,50,50,32,46,53,54,55,53,53,53,32,46,
      52,57,54,54,51,52,32,46,52,53,49,51,48,50,32,46,52,48,51,49,51,32,46,51,53,
      51,54,52,55,32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,
      49,48,57,10,32,32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,
      53,53,50,51,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,
      56,56,50,53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,
      54,52,50,51,55,32,46,48,52,55,49,51,48,54,10,32,32,46,48,51,57,54,53,52,53,
      32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,
      54,57,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,
      48,53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,10,32,
      32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,
      48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,
      32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,
      53,50,53,54,53,10,32,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,
      54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,
      32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,
      48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,10,32,32,46,48,48,
      48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,
      50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,
      48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,
      53,10,32,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,
      48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,
      53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,
      32,49,46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,56,52,101,45,48,54,
      32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,
      52,46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,
      46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,10,32,32,
      49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,
      46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,
      51,51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,
      51,101,45,48,55,10,32,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,
      56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,
      56,101,45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,
      101,45,48,56,32,49,46,49,55,57,101,45,48,56,10,32,32,54,46,48,51,52,55,52,101,
      45,48,57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,
      48,57,32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,
      48,32,54,46,57,51,49,48,53,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,
      10,32,32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,
      50,32,49,46,57,48,55,56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,
      32,50,46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,
      50,46,50,56,52,51,55,101,45,49,52,10,32,32,54,46,55,48,49,52,50,101,45,49,53,
      32,50,46,50,50,52,52,57,101,45,49,53,32,55,46,51,56,57,57,51,101,45,49,54,32,
      50,46,49,55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,
      46,49,51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,10,32,32,50,46,
      51,54,54,49,52,101,45,49,56,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,
      50,50,57,101,45,49,57,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,
      56,51,101,45,50,48,32,48,114,53,51,32,50,53,50,46,50,51,53,32,51,51,54,46,49,
      53,54,10,32,32,52,52,55,46,57,49,52,32,53,57,54,46,52,56,53,32,55,57,51,46,
      53,56,50,32,49,48,53,52,46,48,51,32,49,51,57,53,46,57,32,49,56,51,57,32,50,
      52,48,49,46,54,49,32,51,48,56,56,46,49,49,32,51,56,55,52,46,50,52,32,52,54,
      55,50,46,48,53,32,53,51,49,56,46,54,55,10,32,32,53,54,51,51,46,57,32,53,52,
      57,57,46,50,32,52,57,54,55,46,54,53,32,52,49,57,52,46,53,54,32,51,48,54,56,
      46,56,54,32,49,57,52,56,46,53,56,32,49,52,48,51,46,56,52,32,57,56,55,46,57,
      52,32,55,48,55,46,49,52,54,32,52,57,52,46,54,57,50,32,51,50,56,46,51,53,54,
      10,32,32,49,57,52,46,54,51,32,49,51,55,46,49,55,51,32,57,52,46,48,54,52,53,
      32,54,53,46,51,54,54,55,32,52,51,46,57,51,53,52,32,51,52,46,48,48,53,50,32,
      50,55,46,52,51,55,55,32,49,57,46,51,51,57,50,32,49,52,46,53,56,55,56,32,49,
      49,46,52,57,57,55,32,49,48,46,51,51,54,56,10,32,32,57,46,51,53,52,49,53,32,
      56,46,53,49,52,57,56,32,55,46,55,57,49,52,49,32,55,46,49,54,50,54,56,32,54,
      46,54,49,50,52,54,32,54,46,49,50,55,53,56,32,53,46,54,57,55,57,52,32,53,46,
      51,49,53,51,57,32,52,46,57,55,50,57,54,32,52,46,54,48,55,53,55,10,32,32,52,
      46,50,56,52,49,55,32,51,46,57,48,55,51,49,32,51,46,53,56,50,53,53,32,51,46,
      51,48,48,50,52,32,50,46,57,57,54,51,57,32,50,46,55,51,55,49,56,32,50,46,53,
      49,51,52,49,32,50,46,50,56,50,56,56,32,50,46,48,56,54,53,57,32,49,46,56,54,
      54,55,56,10,32,32,49,46,54,56,51,56,49,32,49,46,53,51,48,48,55,32,49,46,51,
      56,52,52,51,32,49,46,50,52,57,49,49,32,49,46,49,50,52,51,54,32,49,46,48,49,
      48,51,49,32,46,57,48,55,53,54,54,32,46,56,48,57,50,51,57,32,46,55,50,55,52,
      53,55,32,46,54,53,48,48,50,50,10,32,32,46,53,54,55,53,53,52,32,46,52,57,54,
      54,51,52,32,46,52,53,49,51,48,50,32,46,52,48,51,49,51,32,46,51,53,51,54,52,
      55,32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,48,57,
      32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,51,10,
      32,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,
      53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,54,52,50,
      51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,
      50,52,57,56,32,46,48,50,55,57,52,52,54,10,32,32,46,48,50,50,56,57,54,57,32,
      46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,
      53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,
      52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,
      10,32,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,
      48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,
      54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,
      48,48,48,55,55,49,52,51,52,10,32,32,46,48,48,48,54,48,55,54,51,49,32,46,48,
      48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,
      50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,
      49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,10,
      32,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,
      54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,
      46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,
      55,53,48,50,57,101,45,48,53,10,32,32,50,46,50,50,56,56,53,101,45,48,53,32,49,
      46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,
      49,50,57,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,
      55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,10,32,32,52,46,52,
      54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,
      49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,
      55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,
      57,101,45,48,54,10,32,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,
      101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,
      45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,
      48,56,32,51,46,48,54,55,52,52,101,45,48,56,10,32,32,49,46,49,57,55,51,56,101,
      45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,
      48,56,32,49,46,49,55,57,101,45,48,56,32,54,46,48,51,52,55,52,101,45,48,57,32,
      50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,10,32,
      32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,
      54,46,57,51,49,48,52,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,32,49,
      46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,49,46,
      57,48,55,56,57,101,45,49,50,10,32,32,55,46,49,50,53,52,56,101,45,49,51,32,50,
      46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,
      50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,50,101,45,49,53,32,50,46,50,
      50,52,52,57,101,45,49,53,32,55,46,51,56,57,57,51,101,45,49,54,10,32,32,50,46,
      49,55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,
      51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,
      52,101,45,49,56,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,50,50,57,101,
      45,49,57,10,32,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,56,51,
      101,45,50,48,32,48,114,53,51,32,49,52,49,46,57,49,53,32,49,56,57,46,49,54,52,
      32,50,53,50,46,49,50,57,32,51,51,53,46,57,51,52,32,52,52,55,46,51,54,54,32,
      53,57,53,46,49,57,50,32,55,57,48,46,53,50,56,10,32,32,49,48,52,54,46,57,49,
      32,49,51,55,57,46,49,56,32,49,56,48,49,46,49,53,32,50,51,49,54,46,48,52,32,
      50,57,48,53,46,52,49,32,51,53,48,51,46,55,52,32,51,57,56,56,46,52,51,32,52,
      50,50,52,46,53,57,32,52,49,50,51,46,50,57,32,51,55,50,52,46,51,56,10,32,32,
      50,57,48,54,46,51,52,32,49,56,57,57,46,54,50,32,49,51,57,50,46,49,51,32,57,
      56,50,46,49,54,55,32,55,48,52,46,49,57,51,32,52,57,51,46,50,52,53,32,51,50,
      55,46,55,49,53,32,49,57,52,46,52,48,51,32,49,51,55,46,48,53,57,32,57,52,46,
      48,48,57,54,10,32,32,54,53,46,51,51,57,54,32,52,51,46,57,50,50,55,32,51,51,
      46,57,57,55,52,32,50,55,46,52,51,50,53,32,49,57,46,51,51,54,53,32,49,52,46,
      53,56,54,50,32,49,49,46,52,57,56,55,32,49,48,46,51,51,54,32,57,46,51,53,51,
      52,53,32,56,46,53,49,52,51,57,32,55,46,55,57,48,57,49,10,32,32,55,46,49,54,
      50,50,54,32,54,46,54,49,50,49,32,54,46,49,50,55,50,55,32,53,46,54,57,55,54,
      55,32,53,46,51,49,53,49,53,32,52,46,57,55,50,55,53,32,52,46,54,48,55,51,57,
      32,52,46,50,56,52,48,50,32,51,46,57,48,55,49,56,32,51,46,53,56,50,52,52,32,
      51,46,51,48,48,49,54,10,32,32,50,46,57,57,54,51,50,32,50,46,55,51,55,49,50,
      32,50,46,53,49,51,51,54,32,50,46,50,56,50,56,53,32,50,46,48,56,54,53,54,32,
      49,46,56,54,54,55,53,32,49,46,54,56,51,55,57,32,49,46,53,51,48,48,54,32,49,
      46,51,56,52,52,49,32,49,46,50,52,57,49,32,49,46,49,50,52,51,53,10,32,32,49,
      46,48,49,48,51,49,32,46,57,48,55,53,54,51,32,46,56,48,57,50,51,55,32,46,55,
      50,55,52,53,54,32,46,54,53,48,48,50,49,32,46,53,54,55,53,53,52,32,46,52,57,
      54,54,51,51,32,46,52,53,49,51,48,50,32,46,52,48,51,49,51,32,46,51,53,51,54,
      52,55,32,46,51,48,57,53,53,51,10,32,32,46,50,55,48,53,49,53,32,46,50,51,53,
      49,48,57,32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,
      50,51,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,
      50,53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,10,32,32,46,48,53,
      54,52,50,51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,
      48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,
      32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,
      49,53,10,32,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,
      48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,
      48,49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,
      48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,10,32,32,46,48,48,49,
      53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,
      57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,
      48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,
      51,50,52,52,56,49,10,32,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,
      48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,
      49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,
      32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,10,
      32,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,
      32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,
      49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,
      46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,56,52,101,45,48,54,32,54,
      46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,
      52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,
      57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,10,32,32,49,46,
      56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,
      50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,
      52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,
      45,48,55,10,32,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,
      101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,
      45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,
      48,56,32,49,46,49,55,57,101,45,48,56,10,32,32,54,46,48,51,52,55,52,101,45,48,
      57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,
      32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,
      54,46,57,51,49,48,52,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,10,32,
      32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,
      49,46,57,48,55,56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,32,50,
      46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,49,101,45,49,52,32,50,46,
      50,56,52,51,55,101,45,49,52,10,32,32,54,46,55,48,49,52,50,101,45,49,53,32,50,
      46,50,50,52,52,57,101,45,49,53,32,55,46,51,56,57,57,50,101,45,49,54,32,50,46,
      49,55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,
      51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,10,32,32,50,46,51,54,
      54,49,52,101,45,49,56,32,55,46,56,57,49,55,101,45,49,57,32,50,46,53,53,50,50,
      57,101,45,49,57,32,56,46,53,49,49,54,49,101,45,50,48,32,50,46,56,51,57,56,51,
      101,45,50,48,32,48,114,53,51,32,55,57,46,56,51,56,49,32,49,48,54,46,52,50,57,
      10,32,32,49,52,49,46,56,55,57,32,49,56,57,46,48,57,53,32,50,53,49,46,57,53,
      49,32,51,51,53,46,53,50,55,32,52,52,54,46,51,57,54,32,53,57,50,46,56,56,53,
      32,55,56,53,46,49,51,55,32,49,48,51,52,46,51,53,32,49,51,53,48,46,56,52,32,
      49,55,51,54,46,56,54,10,32,32,50,49,55,56,46,56,56,32,50,54,50,55,46,52,50,
      32,50,57,57,48,46,55,50,32,51,49,54,55,46,53,57,32,51,48,57,49,46,51,53,32,
      50,54,49,53,46,55,51,32,49,56,49,56,46,55,49,32,49,51,54,51,46,51,50,32,57,
      55,52,46,53,50,50,32,55,48,48,46,50,55,52,10,32,32,52,57,49,46,51,50,50,32,
      51,50,54,46,56,54,52,32,49,57,52,46,49,32,49,51,54,46,57,48,54,32,57,51,46,
      57,51,54,54,32,54,53,46,51,48,51,53,32,52,51,46,57,48,53,56,32,51,51,46,57,
      56,55,32,50,55,46,52,50,53,53,32,49,57,46,51,51,50,57,32,49,52,46,53,56,52,
      49,10,32,32,49,49,46,52,57,55,51,32,49,48,46,51,51,52,56,32,57,46,51,53,50,
      53,50,32,56,46,53,49,51,54,49,32,55,46,55,57,48,50,53,32,55,46,49,54,49,54,
      57,32,54,46,54,49,49,54,49,32,54,46,49,50,54,56,53,32,53,46,54,57,55,51,49,
      32,53,46,51,49,52,56,51,10,32,32,52,46,57,55,50,52,56,32,52,46,54,48,55,49,
      53,32,52,46,50,56,51,56,49,32,51,46,57,48,55,48,49,32,51,46,53,56,50,51,32,
      51,46,51,48,48,48,52,32,50,46,57,57,54,50,50,32,50,46,55,51,55,48,52,32,50,
      46,53,49,51,51,32,50,46,50,56,50,56,32,50,46,48,56,54,53,50,10,32,32,49,46,
      56,54,54,55,50,32,49,46,54,56,51,55,55,32,49,46,53,51,48,48,52,32,49,46,51,
      56,52,52,32,49,46,50,52,57,48,57,32,49,46,49,50,52,51,52,32,49,46,48,49,48,
      51,49,32,46,57,48,55,53,53,57,32,46,56,48,57,50,51,52,32,46,55,50,55,52,53,
      52,32,46,54,53,48,48,49,57,10,32,32,46,53,54,55,53,53,51,32,46,52,57,54,54,
      51,51,32,46,52,53,49,51,48,50,32,46,52,48,51,49,50,57,32,46,51,53,51,54,52,
      55,32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,48,57,
      32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,10,32,32,46,49,53,53,53,50,
      51,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,
      53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,54,52,50,
      51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,
      50,52,57,56,10,32,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,
      46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,
      53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,
      52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,10,32,32,46,48,48,53,48,51,48,
      49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,
      48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,
      54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,10,32,
      32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,
      48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,
      50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,
      49,56,32,46,48,48,48,49,53,55,52,49,55,10,32,32,46,48,48,48,49,51,50,57,49,
      56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,
      54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,
      46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,10,32,32,
      50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,
      46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,
      49,50,57,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,
      55,51,52,101,45,48,54,10,32,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,
      54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,
      49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,
      55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,10,32,32,49,46,50,50,
      56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,
      101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,
      45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,
      48,56,10,32,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,
      45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,
      48,56,32,49,46,49,55,57,101,45,48,56,32,54,46,48,51,52,55,52,101,45,48,57,32,
      50,46,56,53,56,57,53,101,45,48,57,10,32,32,49,46,48,53,55,55,54,101,45,48,57,
      32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,
      54,46,57,51,49,48,52,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,32,49,
      46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,10,32,32,
      49,46,57,48,55,56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,32,50,
      46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,101,45,49,52,32,50,46,50,
      56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,49,101,45,49,53,32,50,46,50,50,
      52,52,57,101,45,49,53,10,32,32,55,46,51,56,57,57,50,101,45,49,54,32,50,46,49,
      55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,
      48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,52,
      101,45,49,56,32,55,46,56,57,49,55,101,45,49,57,10,32,32,50,46,53,53,50,50,56,
      101,45,49,57,32,56,46,53,49,49,54,101,45,50,48,32,50,46,56,51,57,56,51,101,
      45,50,48,32,48,114,53,51,32,52,52,46,57,49,50,53,32,53,57,46,56,55,52,52,32,
      55,57,46,56,50,53,51,32,49,48,54,46,52,48,56,32,49,52,49,46,56,50,49,10,32,
      32,49,56,56,46,57,54,52,32,50,53,49,46,54,52,53,32,51,51,52,46,55,57,32,52,
      52,52,46,54,51,55,32,53,56,56,46,56,51,32,55,55,53,46,55,52,52,32,49,48,49,
      51,46,48,50,32,49,51,48,50,46,53,52,32,49,54,51,51,46,57,50,32,49,57,55,48,
      46,49,54,32,50,50,52,50,46,52,51,10,32,32,50,51,55,52,46,56,51,32,50,50,51,
      55,46,52,51,32,49,55,48,53,46,51,56,32,49,51,48,55,46,57,55,32,57,54,48,46,
      49,52,54,32,54,57,53,46,48,56,51,32,52,56,56,46,55,55,49,32,51,50,53,46,55,
      51,49,32,49,57,51,46,54,57,54,32,49,51,54,46,55,48,51,10,32,32,57,51,46,56,
      51,57,51,32,54,53,46,50,53,53,51,32,52,51,46,56,56,51,50,32,51,51,46,57,55,
      51,49,32,50,55,46,52,49,54,51,32,49,57,46,51,50,56,49,32,49,52,46,53,56,49,
      50,32,49,49,46,52,57,53,53,32,49,48,46,51,51,51,51,32,57,46,51,53,49,50,55,
      10,32,32,56,46,53,49,50,53,55,32,55,46,55,56,57,51,55,32,55,46,49,54,48,57,
      52,32,54,46,54,49,48,57,55,32,54,46,49,50,54,50,57,32,53,46,54,57,54,56,51,
      32,53,46,51,49,52,52,49,32,52,46,57,55,50,49,49,32,52,46,54,48,54,56,52,32,
      52,46,50,56,51,53,52,10,32,32,51,46,57,48,54,55,57,32,51,46,53,56,50,49,49,
      32,51,46,50,57,57,56,56,32,50,46,57,57,54,49,32,50,46,55,51,54,57,51,32,50,
      46,53,49,51,50,49,32,50,46,50,56,50,55,51,32,50,46,48,56,54,52,54,32,49,46,
      56,54,54,54,56,32,49,46,54,56,51,55,52,32,49,46,53,51,48,48,49,10,32,32,49,
      46,51,56,52,51,56,32,49,46,50,52,57,48,56,32,49,46,49,50,52,51,51,32,49,46,
      48,49,48,51,32,46,57,48,55,53,53,52,32,46,56,48,57,50,51,49,32,46,55,50,55,
      52,53,50,32,46,54,53,48,48,49,56,32,46,53,54,55,53,53,50,32,46,52,57,54,54,
      51,50,32,46,52,53,49,51,48,49,10,32,32,46,52,48,51,49,50,57,32,46,51,53,51,
      54,52,54,32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,
      48,57,32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,
      51,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,10,32,32,46,48,56,57,56,
      56,50,53,32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,54,32,46,48,53,54,
      52,50,51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,
      51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,10,
      32,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,
      53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,
      48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,
      49,50,32,46,48,48,51,57,52,57,50,52,10,32,32,46,48,48,51,49,52,52,52,54,32,
      46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,
      50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,
      32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,10,32,32,
      46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,
      48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,
      56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,
      56,32,46,48,48,48,49,49,50,50,49,56,10,32,32,56,46,53,57,48,53,55,101,45,48,
      53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,
      32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,
      50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,10,32,
      32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,
      49,46,49,50,57,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,
      56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,
      54,51,55,52,101,45,48,54,10,32,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,
      56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,
      56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,
      56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,10,32,32,56,46,53,49,51,
      51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,
      101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,
      45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,
      48,56,10,32,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,
      45,48,56,32,49,46,49,55,57,101,45,48,56,32,54,46,48,51,52,55,52,101,45,48,57,
      32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,32,
      52,46,52,51,56,50,49,101,45,49,48,10,32,32,49,46,56,54,52,54,50,101,45,49,48,
      32,54,46,57,51,49,48,52,101,45,49,49,32,50,46,53,55,57,57,56,101,45,49,49,32,
      49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,49,
      46,57,48,55,56,57,101,45,49,50,32,55,46,49,50,53,52,56,101,45,49,51,10,32,32,
      50,46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,101,45,49,52,32,50,46,
      50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,49,101,45,49,53,32,50,46,50,
      50,52,52,57,101,45,49,53,32,55,46,51,56,57,57,50,101,45,49,54,32,50,46,49,55,
      51,57,55,101,45,49,54,10,32,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,
      51,48,54,101,45,49,55,32,54,46,54,49,50,57,101,45,49,56,32,50,46,51,54,54,49,
      52,101,45,49,56,32,55,46,56,57,49,54,57,101,45,49,57,32,50,46,53,53,50,50,56,
      101,45,49,57,32,56,46,53,49,49,54,101,45,50,48,10,32,32,50,46,56,51,57,56,51,
      101,45,50,48,32,48,114,53,51,32,50,53,46,50,54,51,57,32,51,51,46,54,56,49,50,
      32,52,52,46,57,48,54,54,32,53,57,46,56,54,54,56,32,55,57,46,56,48,52,49,32,
      49,48,54,46,51,54,52,32,49,52,49,46,55,49,57,32,49,56,56,46,55,50,53,10,32,
      32,50,53,49,46,48,55,49,32,51,51,51,46,52,53,55,32,52,52,49,46,54,48,51,32,
      53,56,49,46,55,51,51,32,55,53,57,46,54,57,32,57,55,54,46,55,51,57,32,49,50,
      50,53,46,49,54,32,49,52,55,55,46,49,57,32,49,54,56,49,46,49,57,32,49,55,55,
      56,46,57,57,32,49,53,50,51,46,53,57,10,32,32,49,50,51,54,46,48,55,32,57,50,
      51,46,55,49,53,32,54,56,55,46,53,57,50,32,52,56,53,46,51,56,57,32,51,50,52,
      46,50,50,56,32,49,57,51,46,49,54,32,49,51,54,46,52,51,51,32,57,51,46,55,48,
      57,55,32,54,53,46,49,57,49,49,32,52,51,46,56,53,51,50,32,51,51,46,57,53,52,
      54,10,32,32,50,55,46,52,48,51,57,32,49,57,46,51,50,49,54,32,49,52,46,53,55,
      55,52,32,49,49,46,52,57,51,49,32,49,48,46,51,51,49,51,32,57,46,51,52,57,54,
      49,32,56,46,53,49,49,49,55,32,55,46,55,56,56,49,57,32,55,46,49,53,57,57,52,
      32,54,46,54,49,48,49,49,10,32,32,54,46,49,50,53,53,53,32,53,46,54,57,54,49,
      56,32,53,46,51,49,51,56,53,32,52,46,57,55,49,54,50,32,52,46,54,48,54,52,50,
      32,52,46,50,56,51,49,55,32,51,46,57,48,54,52,56,32,51,46,53,56,49,56,54,32,
      51,46,50,57,57,54,55,32,50,46,57,57,53,57,51,10,32,32,50,46,55,51,54,55,57,
      32,50,46,53,49,51,49,32,50,46,50,56,50,54,51,32,50,46,48,56,54,51,57,32,49,
      46,56,54,54,54,51,32,49,46,54,56,51,54,57,32,49,46,53,50,57,57,56,32,49,46,
      51,56,52,51,54,32,49,46,50,52,57,48,54,32,49,46,49,50,52,51,50,32,49,46,48,
      49,48,50,57,10,32,32,46,57,48,55,53,52,55,32,46,56,48,57,50,50,54,32,46,55,
      50,55,52,52,57,32,46,54,53,48,48,49,53,32,46,53,54,55,53,53,32,46,52,57,54,
      54,51,49,32,46,52,53,49,51,32,46,52,48,51,49,50,57,32,46,51,53,51,54,52,54,
      32,46,51,48,57,53,53,51,32,46,50,55,48,53,49,53,10,32,32,46,50,51,53,49,48,
      57,32,46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,50,
      32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,53,
      32,46,48,55,56,51,55,55,54,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,50,
      51,54,10,32,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,
      51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,
      46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,
      53,32,46,48,49,48,57,48,56,53,10,32,32,46,48,48,56,57,51,53,55,57,32,46,48,
      48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,
      49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,
      48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,10,32,32,46,48,48,49,53,
      50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,
      32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,
      48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,
      50,52,52,56,49,10,32,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,
      56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,
      56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,
      54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,10,32,
      32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,
      50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,
      46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,
      49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,
      56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,
      54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,
      49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,10,32,32,49,46,56,
      56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,
      56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,
      101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,
      45,48,55,10,32,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,
      101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,
      45,48,56,32,53,46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,
      48,56,32,49,46,49,55,57,101,45,48,56,10,32,32,54,46,48,51,52,55,52,101,45,48,
      57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,
      32,52,46,52,51,56,50,49,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,
      54,46,57,51,49,48,52,101,45,49,49,32,50,46,53,55,57,57,55,101,45,49,49,10,32,
      32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,53,101,45,49,50,32,
      49,46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,55,101,45,49,51,32,50,
      46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,101,45,49,52,32,50,46,50,
      56,52,51,55,101,45,49,52,10,32,32,54,46,55,48,49,52,49,101,45,49,53,32,50,46,
      50,50,52,52,56,101,45,49,53,32,55,46,51,56,57,57,50,101,45,49,54,32,50,46,49,
      55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,
      48,54,101,45,49,55,32,54,46,54,49,50,56,57,101,45,49,56,10,32,32,50,46,51,54,
      54,49,52,101,45,49,56,32,55,46,56,57,49,54,57,101,45,49,57,32,50,46,53,53,50,
      50,56,101,45,49,57,32,56,46,53,49,49,54,101,45,50,48,32,50,46,56,51,57,56,51,
      101,45,50,48,32,48,114,53,51,32,49,52,46,50,49,48,52,32,49,56,46,57,52,53,52,
      10,32,32,50,53,46,50,54,48,51,32,51,51,46,54,55,55,51,32,52,52,46,56,57,55,
      49,32,53,57,46,56,52,57,51,32,55,57,46,55,54,55,53,32,49,48,54,46,50,56,32,
      49,52,49,46,53,50,54,32,49,56,56,46,50,56,52,32,50,53,48,46,48,55,50,32,51,
      51,49,46,49,52,54,32,52,51,54,46,50,51,56,10,32,32,53,54,57,46,54,52,57,32,
      55,51,50,46,51,53,55,32,57,49,56,46,53,55,32,49,49,48,55,46,52,52,32,49,51,
      48,50,46,57,55,32,49,50,56,50,46,52,55,32,49,49,49,48,46,50,53,32,56,55,55,
      46,50,55,55,32,54,54,50,46,55,50,52,32,52,56,48,46,57,49,54,32,51,50,50,46,
      50,51,52,10,32,32,49,57,50,46,52,52,55,32,49,51,54,46,48,55,52,32,57,51,46,
      53,51,55,50,32,54,53,46,49,48,53,55,32,52,51,46,56,49,51,50,32,51,51,46,57,
      51,32,50,55,46,51,56,55,52,32,49,57,46,51,49,51,49,32,49,52,46,53,55,50,51,
      32,49,49,46,52,56,57,56,32,49,48,46,51,50,56,55,10,32,32,57,46,51,52,55,52,
      32,56,46,53,48,57,51,50,32,55,46,55,56,54,54,50,32,55,46,49,53,56,54,32,54,
      46,54,48,56,57,54,32,54,46,49,50,52,53,54,32,53,46,54,57,53,51,51,32,53,46,
      51,49,51,49,32,52,46,57,55,48,57,54,32,52,46,54,48,53,56,53,32,52,46,50,56,
      50,54,57,10,32,32,51,46,57,48,54,48,56,32,51,46,53,56,49,53,51,32,51,46,50,
      57,57,51,57,32,50,46,57,57,53,55,32,50,46,55,51,54,54,49,32,50,46,53,49,50,
      57,53,32,50,46,50,56,50,53,49,32,50,46,48,56,54,50,57,32,49,46,56,54,54,53,
      53,32,49,46,54,56,51,54,52,32,49,46,53,50,57,57,52,10,32,32,49,46,51,56,52,
      51,50,32,49,46,50,52,57,48,52,32,49,46,49,50,52,51,32,49,46,48,49,48,50,56,
      32,46,57,48,55,53,51,56,32,46,56,48,57,50,50,32,46,55,50,55,52,52,52,32,46,
      54,53,48,48,49,51,32,46,53,54,55,53,52,57,32,46,52,57,54,54,51,32,46,52,53,
      49,51,10,32,32,46,52,48,51,49,50,56,32,46,51,53,51,54,52,54,32,46,51,48,57,
      53,53,51,32,46,50,55,48,53,49,53,32,46,50,51,53,49,48,57,32,46,50,48,54,53,
      49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,50,32,46,49,50,55,57,53,
      54,32,46,49,48,54,57,49,50,10,32,32,46,48,56,57,56,56,50,53,32,46,48,55,56,
      51,55,55,54,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,50,51,54,32,46,48,
      52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,57,56,32,
      46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,10,32,32,46,48,49,56,55,
      55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,32,46,48,49,
      48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,50,57,50,
      32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,
      57,52,57,50,52,10,32,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,
      56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,53,32,46,48,
      48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,
      49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,10,32,32,46,48,48,48,53,49,48,
      56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,
      32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,32,46,48,
      48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,48,48,49,
      49,50,50,49,56,10,32,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,
      53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,46,49,56,50,50,
      53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,
      101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,10,32,32,49,46,54,51,55,54,
      53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,49,
      101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,55,51,52,101,
      45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,101,45,
      48,54,10,32,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,
      45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,55,50,101,45,
      48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,
      54,32,49,46,48,52,51,101,45,48,54,10,32,32,56,46,53,49,51,51,52,101,45,48,55,
      32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,32,49,
      46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,
      48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,56,10,32,32,53,
      46,52,54,51,52,54,101,45,48,57,32,51,46,48,53,57,50,54,101,45,48,56,32,49,46,
      49,55,57,101,45,48,56,32,54,46,48,51,52,55,51,101,45,48,57,32,50,46,56,53,56,
      57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,32,52,46,52,51,56,50,
      101,45,49,48,10,32,32,49,46,56,54,52,54,50,101,45,49,48,32,54,46,57,51,49,48,
      52,101,45,49,49,32,50,46,53,55,57,57,55,101,45,49,49,32,49,46,48,56,55,55,55,
      101,45,49,49,32,52,46,53,57,48,52,52,101,45,49,50,32,49,46,57,48,55,56,56,101,
      45,49,50,32,55,46,49,50,53,52,55,101,45,49,51,10,32,32,50,46,51,53,53,53,55,
      101,45,49,51,32,54,46,56,57,52,56,101,45,49,52,32,50,46,50,56,52,51,55,101,
      45,49,52,32,54,46,55,48,49,52,49,101,45,49,53,32,50,46,50,50,52,52,56,101,45,
      49,53,32,55,46,51,56,57,57,50,101,45,49,54,32,50,46,49,55,51,57,55,101,45,49,
      54,10,32,32,53,46,56,54,49,50,56,101,45,49,55,32,50,46,49,51,48,54,101,45,49,
      55,32,54,46,54,49,50,56,57,101,45,49,56,32,50,46,51,54,54,49,51,101,45,49,56,
      32,55,46,56,57,49,54,57,101,45,49,57,32,50,46,53,53,50,50,56,101,45,49,57,32,
      56,46,53,49,49,53,57,101,45,50,48,10,32,32,50,46,56,51,57,56,51,101,45,50,48,
      32,48,114,53,51,32,55,46,57,57,52,49,54,32,49,48,46,54,53,55,57,32,49,52,46,
      50,49,48,55,32,49,56,46,57,52,54,52,32,50,53,46,50,53,57,56,32,51,51,46,54,
      55,53,52,32,52,52,46,56,57,48,52,32,53,57,46,56,50,56,56,10,32,32,55,57,46,
      55,49,49,52,32,49,48,54,46,49,52,56,32,49,52,49,46,50,50,49,32,49,56,55,46,
      53,52,56,32,50,52,56,46,51,53,57,32,51,50,55,46,49,53,53,32,52,50,55,46,49,
      55,57,32,53,52,57,46,49,53,57,32,54,56,56,46,55,50,53,32,56,56,50,46,52,56,
      53,10,32,32,49,48,48,49,46,50,52,32,57,52,54,46,48,55,52,32,55,57,55,46,57,
      57,53,32,54,51,48,46,57,54,56,32,52,54,54,46,52,51,51,32,51,49,57,46,53,57,
      53,32,49,57,49,46,53,48,49,32,49,51,53,46,53,57,54,32,57,51,46,51,48,55,56,
      32,54,52,46,57,57,49,57,10,32,32,52,51,46,55,53,57,57,32,51,51,46,56,57,55,
      50,32,50,55,46,51,54,53,53,32,49,57,46,51,48,49,54,32,49,52,46,53,54,53,54,
      32,49,49,46,52,56,53,52,32,49,48,46,51,50,53,49,32,57,46,51,52,52,52,52,32,
      56,46,53,48,54,56,53,32,55,46,55,56,52,53,51,10,32,32,55,46,49,53,54,56,50,
      32,54,46,54,48,55,52,51,32,54,46,49,50,51,50,52,32,53,46,54,57,52,49,56,32,
      53,46,51,49,50,49,32,52,46,57,55,48,48,57,32,52,46,54,48,53,49,32,52,46,50,
      56,50,48,52,32,51,46,57,48,53,53,53,32,51,46,53,56,49,48,56,32,51,46,50,57,
      57,48,49,10,32,32,50,46,57,57,53,51,57,32,50,46,55,51,54,51,54,32,50,46,53,
      49,50,55,52,32,50,46,50,56,50,51,53,32,50,46,48,56,54,49,54,32,49,46,56,54,
      54,52,53,32,49,46,54,56,51,53,54,32,49,46,53,50,57,56,56,32,49,46,51,56,52,
      50,56,32,49,46,50,52,57,32,49,46,49,50,52,50,56,10,32,32,49,46,48,49,48,50,
      54,32,46,57,48,55,53,50,54,32,46,56,48,57,50,49,49,32,46,55,50,55,52,51,56,
      32,46,54,53,48,48,48,57,32,46,53,54,55,53,52,54,32,46,52,57,54,54,50,57,32,
      46,52,53,49,50,57,56,32,46,52,48,51,49,50,55,32,46,51,53,51,54,52,53,10,32,
      32,46,51,48,57,53,53,50,32,46,50,55,48,53,49,52,32,46,50,51,53,49,48,57,32,
      46,50,48,54,53,49,55,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,50,32,46,
      49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,53,32,46,
      48,55,56,51,55,55,53,10,32,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,50,
      51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,
      50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,46,48,
      49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,10,32,32,46,48,49,51,48,53,49,
      53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,
      52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,
      32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,
      52,52,57,56,49,10,32,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,
      54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,
      48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,
      53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,10,32,32,46,48,48,48,51,
      50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,
      49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,
      46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,
      52,48,49,53,57,101,45,48,53,10,32,32,53,46,52,51,56,55,49,101,45,48,53,32,52,
      46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,
      55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,
      51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,10,32,32,49,46,
      49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,
      56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,
      51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,
      52,49,101,45,48,54,10,32,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,
      57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,
      50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,101,
      45,48,55,32,53,46,51,48,57,56,101,45,48,55,10,32,32,50,46,55,55,55,49,51,101,
      45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,
      48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,
      56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,50,53,101,45,48,56,
      10,32,32,49,46,49,55,56,57,57,101,45,48,56,32,54,46,48,51,52,55,51,101,45,48,
      57,32,50,46,56,53,56,57,53,101,45,48,57,32,49,46,48,53,55,55,54,101,45,48,57,
      32,52,46,52,51,56,50,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,54,
      46,57,51,49,48,51,101,45,49,49,10,32,32,50,46,53,55,57,57,55,101,45,49,49,32,
      49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,52,101,45,49,50,32,49,
      46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,55,101,45,49,51,32,50,46,
      51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,56,101,45,49,52,10,32,32,50,46,
      50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,49,101,45,49,53,32,50,46,50,
      50,52,52,56,101,45,49,53,32,55,46,51,56,57,57,49,101,45,49,54,32,50,46,49,55,
      51,57,55,101,45,49,54,32,53,46,56,54,49,50,55,101,45,49,55,32,50,46,49,51,48,
      54,101,45,49,55,10,32,32,54,46,54,49,50,56,57,101,45,49,56,32,50,46,51,54,54,
      49,51,101,45,49,56,32,55,46,56,57,49,54,57,101,45,49,57,32,50,46,53,53,50,50,
      56,101,45,49,57,32,56,46,53,49,49,53,57,101,45,50,48,32,50,46,56,51,57,56,50,
      101,45,50,48,32,48,114,53,51,32,52,46,52,57,54,52,56,10,32,32,53,46,57,57,52,
      55,56,32,55,46,57,57,51,49,57,32,49,48,46,54,53,55,49,32,49,52,46,50,48,56,
      56,32,49,56,46,57,52,51,54,32,50,53,46,50,53,52,56,32,51,51,46,54,54,52,55,
      32,52,52,46,56,54,53,56,32,53,57,46,55,55,55,32,55,57,46,54,48,52,51,32,49,
      48,53,46,56,57,55,10,32,32,49,52,48,46,54,52,49,32,49,56,54,46,50,50,57,32,
      50,52,53,46,50,57,56,32,51,50,48,46,50,55,55,32,52,49,49,46,54,57,52,32,53,
      54,48,46,50,53,57,32,55,49,57,46,56,48,50,32,55,52,56,46,57,52,52,32,54,57,
      49,46,49,52,49,32,53,55,57,46,50,54,55,10,32,32,52,52,53,46,53,51,56,32,51,
      49,51,46,52,52,49,32,49,57,48,46,50,52,54,32,49,51,52,46,57,54,50,32,57,51,
      46,48,48,50,54,32,54,52,46,56,52,48,53,32,52,51,46,54,56,56,57,32,51,51,46,
      56,53,51,52,32,50,55,46,51,51,54,51,32,49,57,46,50,56,54,52,10,32,32,49,52,
      46,53,53,54,53,32,49,49,46,52,55,57,54,32,49,48,46,51,50,48,52,32,57,46,51,
      52,48,53,49,32,56,46,53,48,51,53,53,32,55,46,55,56,49,55,53,32,55,46,49,53,
      52,52,53,32,54,46,54,48,53,52,32,54,46,49,50,49,52,57,32,53,46,54,57,50,54,
      54,32,53,46,51,49,48,55,55,10,32,32,52,46,57,54,56,57,50,32,52,46,54,48,52,
      49,32,52,46,50,56,49,49,56,32,51,46,57,48,52,56,51,32,51,46,53,56,48,52,57,
      32,51,46,50,57,56,53,49,32,50,46,57,57,52,57,57,32,50,46,55,51,54,48,51,32,
      50,46,53,49,50,52,55,32,50,46,50,56,50,49,51,32,50,46,48,56,53,57,57,10,32,
      32,49,46,56,54,54,51,50,32,49,46,54,56,51,52,54,32,49,46,53,50,57,56,32,49,
      46,51,56,52,50,50,32,49,46,50,52,56,57,54,32,49,46,49,50,52,50,53,32,49,46,
      48,49,48,50,51,32,46,57,48,55,53,49,32,46,56,48,57,50,32,46,55,50,55,52,51,
      49,32,46,54,53,48,48,48,51,10,32,32,46,53,54,55,53,52,51,32,46,52,57,54,54,
      50,55,32,46,52,53,49,50,57,55,32,46,52,48,51,49,50,54,32,46,51,53,51,54,52,
      53,32,46,51,48,57,53,53,50,32,46,50,55,48,53,49,52,32,46,50,51,53,49,48,57,
      32,46,50,48,54,53,49,54,32,46,49,56,49,48,56,55,10,32,32,46,49,53,53,53,50,
      50,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,
      53,32,46,48,55,56,51,55,55,53,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,
      50,51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,
      52,50,52,57,56,10,32,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,
      32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,
      49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,
      55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,10,32,32,46,48,48,53,48,51,
      48,49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,
      48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,
      53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,10,
      32,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,
      48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,
      51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,
      57,49,56,32,46,48,48,48,49,53,55,52,49,55,10,32,32,46,48,48,48,49,51,50,57,
      49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,
      32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,
      52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,10,32,
      32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,
      49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,
      46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,
      56,56,55,51,52,101,45,48,54,10,32,32,53,46,53,48,52,49,50,101,45,48,54,32,52,
      46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,
      56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,
      56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,10,32,32,49,46,
      50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,
      51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,
      101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,
      45,48,56,10,32,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,
      101,45,48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,50,53,101,
      45,48,56,32,49,46,49,55,56,57,57,101,45,48,56,32,54,46,48,51,52,55,51,101,45,
      48,57,32,50,46,56,53,56,57,52,101,45,48,57,10,32,32,49,46,48,53,55,55,53,101,
      45,48,57,32,52,46,52,51,56,50,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,
      48,32,54,46,57,51,49,48,51,101,45,49,49,32,50,46,53,55,57,57,55,101,45,49,49,
      32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,52,101,45,49,50,10,
      32,32,49,46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,54,101,45,49,51,
      32,50,46,51,53,53,53,55,101,45,49,51,32,54,46,56,57,52,55,57,101,45,49,52,32,
      50,46,50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,101,45,49,53,32,50,46,
      50,50,52,52,56,101,45,49,53,10,32,32,55,46,51,56,57,57,49,101,45,49,54,32,50,
      46,49,55,51,57,55,101,45,49,54,32,53,46,56,54,49,50,55,101,45,49,55,32,50,46,
      49,51,48,54,101,45,49,55,32,54,46,54,49,50,56,57,101,45,49,56,32,50,46,51,54,
      54,49,51,101,45,49,56,32,55,46,56,57,49,54,56,101,45,49,57,10,32,32,50,46,53,
      53,50,50,56,101,45,49,57,32,56,46,53,49,49,53,56,101,45,50,48,32,50,46,56,51,
      57,56,50,101,45,50,48,32,48,114,53,51,32,50,46,53,50,57,51,53,32,51,46,51,55,
      50,49,56,32,52,46,52,57,54,51,53,32,53,46,57,57,52,57,51,32,55,46,57,57,50,
      57,55,10,32,32,49,48,46,54,53,54,56,32,49,52,46,50,48,56,32,49,56,46,57,52,
      49,32,50,53,46,50,52,55,53,32,51,51,46,54,52,56,54,32,52,52,46,56,51,50,55,
      32,53,57,46,54,57,56,32,55,57,46,52,49,56,50,32,49,48,53,46,52,54,55,32,49,
      51,57,46,54,52,53,32,49,56,51,46,57,50,56,10,32,32,50,52,48,46,49,50,54,32,
      51,51,57,46,54,57,52,32,52,55,57,46,51,57,54,32,53,52,54,46,49,51,57,32,53,
      53,55,46,52,48,57,32,53,48,55,46,49,57,51,32,52,49,52,46,49,49,50,32,51,48,
      48,46,57,51,53,32,49,56,56,46,53,56,55,32,49,51,52,46,49,50,49,10,32,32,57,
      50,46,53,57,55,52,32,54,52,46,54,51,57,50,32,52,51,46,53,57,52,53,32,51,51,
      46,55,57,53,50,32,50,55,46,50,57,55,52,32,49,57,46,50,54,54,50,32,49,52,46,
      53,52,52,53,32,49,49,46,52,55,49,57,32,49,48,46,51,49,52,32,57,46,51,51,53,
      50,55,32,56,46,52,57,57,49,53,10,32,32,55,46,55,55,56,48,52,32,55,46,49,53,
      49,50,57,32,54,46,54,48,50,54,57,32,54,46,49,49,57,49,53,32,53,46,54,57,48,
      54,50,32,53,46,51,48,57,32,52,46,57,54,55,51,55,32,52,46,54,48,50,55,55,32,
      52,46,50,56,48,48,51,32,51,46,57,48,51,56,56,32,51,46,53,55,57,55,10,32,32,
      51,46,50,57,55,56,53,32,50,46,57,57,52,52,53,32,50,46,55,51,53,53,57,32,50,
      46,53,49,50,49,49,32,50,46,50,56,49,56,53,32,50,46,48,56,53,55,53,32,49,46,
      56,54,54,49,52,32,49,46,54,56,51,51,51,32,49,46,53,50,57,55,32,49,46,51,56,
      52,49,52,32,49,46,50,52,56,57,10,32,32,49,46,49,50,52,50,32,49,46,48,49,48,
      50,32,46,57,48,55,52,56,56,32,46,56,48,57,49,56,54,32,46,55,50,55,52,50,32,
      46,54,52,57,57,57,54,32,46,53,54,55,53,51,57,32,46,52,57,54,54,50,52,32,46,
      52,53,49,50,57,53,32,46,52,48,51,49,50,53,32,46,51,53,51,54,52,52,10,32,32,
      46,51,48,57,53,53,49,32,46,50,55,48,53,49,52,32,46,50,51,53,49,48,56,32,46,
      50,48,54,53,49,54,32,46,49,56,49,48,56,55,32,46,49,53,53,53,50,50,32,46,49,
      50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,52,32,46,48,
      55,56,51,55,55,53,10,32,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,50,51,
      54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,
      52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,46,48,49,
      56,55,55,51,52,32,46,48,49,53,54,54,50,49,10,32,32,46,48,49,51,48,53,49,53,
      32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,
      51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,
      46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,
      52,57,56,49,10,32,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,
      53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,
      48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,53,
      49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,10,32,32,46,48,48,48,51,50,
      52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,
      56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,
      48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,
      48,49,53,57,101,45,48,53,10,32,32,53,46,52,51,56,55,49,101,45,48,53,32,52,46,
      49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,
      53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,51,
      55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,10,32,32,49,46,49,
      50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,32,54,46,56,56,
      55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,
      55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,
      49,101,45,48,54,10,32,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,
      55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,
      57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,52,101,
      45,48,55,32,53,46,51,48,57,56,101,45,48,55,10,32,32,50,46,55,55,55,49,51,101,
      45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,
      48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,
      56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,50,53,101,45,48,56,
      10,32,32,49,46,49,55,56,57,57,101,45,48,56,32,54,46,48,51,52,55,50,101,45,48,
      57,32,50,46,56,53,56,57,52,101,45,48,57,32,49,46,48,53,55,55,53,101,45,48,57,
      32,52,46,52,51,56,49,57,101,45,49,48,32,49,46,56,54,52,54,50,101,45,49,48,32,
      54,46,57,51,49,48,50,101,45,49,49,10,32,32,50,46,53,55,57,57,55,101,45,49,49,
      32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,51,101,45,49,50,32,
      49,46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,54,101,45,49,51,32,50,
      46,51,53,53,53,54,101,45,49,51,32,54,46,56,57,52,55,57,101,45,49,52,10,32,32,
      50,46,50,56,52,51,55,101,45,49,52,32,54,46,55,48,49,52,101,45,49,53,32,50,46,
      50,50,52,52,56,101,45,49,53,32,55,46,51,56,57,57,101,45,49,54,32,50,46,49,55,
      51,57,54,101,45,49,54,32,53,46,56,54,49,50,55,101,45,49,55,32,50,46,49,51,48,
      54,101,45,49,55,10,32,32,54,46,54,49,50,56,56,101,45,49,56,32,50,46,51,54,54,
      49,51,101,45,49,56,32,55,46,56,57,49,54,56,101,45,49,57,32,50,46,53,53,50,50,
      55,101,45,49,57,32,56,46,53,49,49,53,55,101,45,50,48,32,50,46,56,51,57,56,50,
      101,45,50,48,32,48,114,53,51,32,49,46,52,50,50,56,51,10,32,32,49,46,56,57,54,
      57,52,32,50,46,53,50,57,51,51,32,51,46,51,55,50,51,52,32,52,46,52,57,54,51,
      52,32,53,46,57,57,52,57,52,32,55,46,57,57,50,56,56,32,49,48,46,54,53,54,49,
      32,49,52,46,50,48,53,52,32,49,56,46,57,51,53,53,32,50,53,46,50,51,54,57,10,
      32,32,51,51,46,54,50,50,49,32,52,52,46,55,55,49,55,32,53,57,46,53,53,55,32,
      55,57,46,48,56,54,52,32,49,48,52,46,55,49,32,49,51,55,46,57,48,49,32,49,57,
      57,46,56,57,55,32,51,48,48,46,57,52,52,32,51,54,56,46,52,49,51,32,52,49,52,
      46,51,48,50,32,52,49,52,46,49,53,54,10,32,32,51,54,55,46,55,54,56,32,50,56,
      53,46,48,51,53,32,49,56,51,46,56,53,50,32,49,51,51,46,48,48,55,32,57,50,46,
      48,53,57,56,32,54,52,46,51,55,49,56,32,52,51,46,52,54,56,57,32,51,51,46,55,
      49,55,56,32,50,55,46,50,52,53,54,32,49,57,46,50,51,57,50,10,32,32,49,52,46,
      53,50,56,54,32,49,49,46,52,54,49,55,32,49,48,46,51,48,53,54,32,57,46,51,50,
      56,50,56,32,56,46,52,57,51,50,57,32,55,46,55,55,51,48,57,32,55,46,49,52,55,
      48,55,32,54,46,53,57,57,48,55,32,54,46,49,49,54,48,50,32,53,46,54,56,55,57,
      50,10,32,32,53,46,51,48,54,54,52,32,52,46,57,54,53,51,32,52,46,54,48,48,57,
      57,32,52,46,50,55,56,53,32,51,46,57,48,50,54,50,32,51,46,53,55,56,54,52,32,
      51,46,50,57,54,57,54,32,50,46,57,57,51,55,51,32,50,46,55,51,53,32,50,46,53,
      49,49,54,51,32,50,46,50,56,49,52,54,10,32,32,50,46,48,56,53,52,52,32,49,46,
      56,54,53,56,57,32,49,46,54,56,51,49,53,32,49,46,53,50,57,53,54,32,49,46,51,
      56,52,48,52,32,49,46,50,52,56,56,50,32,49,46,49,50,52,49,53,32,49,46,48,49,
      48,49,54,32,46,57,48,55,52,53,57,32,46,56,48,57,49,54,54,10,32,32,46,55,50,
      55,52,48,55,32,46,54,52,57,57,56,55,32,46,53,54,55,53,51,51,32,46,52,57,54,
      54,50,32,46,52,53,49,50,57,50,32,46,52,48,51,49,50,51,32,46,51,53,51,54,52,
      51,32,46,51,48,57,53,53,32,46,50,55,48,53,49,51,32,46,50,51,53,49,48,56,32,
      46,50,48,54,53,49,54,10,32,32,46,49,56,49,48,56,54,32,46,49,53,53,53,50,50,
      32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,56,57,56,56,50,52,
      32,46,48,55,56,51,55,55,53,32,46,48,54,56,48,54,53,57,32,46,48,53,54,52,50,
      51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,10,32,32,46,48,
      51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,
      46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,
      53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,
      52,51,50,57,50,10,32,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,
      49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,
      48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,
      54,53,32,46,48,48,49,50,48,50,53,52,10,32,32,46,48,48,48,57,53,55,54,48,57,
      32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,
      48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,
      50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,
      49,56,10,32,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,
      56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,
      54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,32,52,
      46,49,56,50,50,53,101,45,48,53,10,32,32,51,46,53,54,52,50,53,101,45,48,53,32,
      50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,
      46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,
      49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,54,10,32,32,54,
      46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,
      52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,
      57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,
      57,55,50,101,45,48,54,10,32,32,49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,
      50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,
      52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,
      45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,10,32,32,54,46,55,50,54,56,52,
      101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,
      45,48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,50,52,101,45,
      48,56,32,49,46,49,55,56,57,57,101,45,48,56,32,54,46,48,51,52,55,49,101,45,48,
      57,10,32,32,50,46,56,53,56,57,52,101,45,48,57,32,49,46,48,53,55,55,53,101,45,
      48,57,32,52,46,52,51,56,49,57,101,45,49,48,32,49,46,56,54,52,54,49,101,45,49,
      48,32,54,46,57,51,49,48,49,101,45,49,49,32,50,46,53,55,57,57,54,101,45,49,49,
      32,49,46,48,56,55,55,55,101,45,49,49,10,32,32,52,46,53,57,48,52,51,101,45,49,
      50,32,49,46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,53,101,45,49,51,
      32,50,46,51,53,53,53,54,101,45,49,51,32,54,46,56,57,52,55,56,101,45,49,52,32,
      50,46,50,56,52,51,54,101,45,49,52,32,54,46,55,48,49,51,57,101,45,49,53,10,32,
      32,50,46,50,50,52,52,56,101,45,49,53,32,55,46,51,56,57,57,101,45,49,54,32,50,
      46,49,55,51,57,54,101,45,49,54,32,53,46,56,54,49,50,54,101,45,49,55,32,50,46,
      49,51,48,54,101,45,49,55,32,54,46,54,49,50,56,55,101,45,49,56,32,50,46,51,54,
      54,49,51,101,45,49,56,10,32,32,55,46,56,57,49,54,55,101,45,49,57,32,50,46,53,
      53,50,50,55,101,45,49,57,32,56,46,53,49,49,53,54,101,45,50,48,32,50,46,56,51,
      57,56,49,101,45,50,48,32,48,114,53,51,32,46,56,48,48,51,53,50,32,49,46,48,54,
      55,48,53,32,49,46,52,50,50,55,55,32,49,46,56,57,54,57,56,10,32,32,50,46,53,
      50,57,50,54,32,51,46,51,55,50,50,56,32,52,46,52,57,54,50,52,32,53,46,57,57,
      52,53,54,32,55,46,57,57,49,54,52,32,49,48,46,54,53,51,55,32,49,52,46,50,48,
      49,52,32,49,56,46,57,50,53,56,32,50,53,46,50,49,52,57,32,51,51,46,53,55,52,
      32,52,52,46,54,53,56,55,10,32,32,53,57,46,50,57,57,51,32,55,56,46,53,48,52,
      53,32,49,49,53,46,52,53,55,32,49,56,49,46,48,57,49,32,50,51,51,46,50,55,55,
      32,50,56,52,46,51,50,52,32,51,49,50,46,50,51,54,32,51,48,53,46,51,53,49,32,
      50,53,54,46,53,56,54,32,49,55,54,46,48,52,54,10,32,32,49,51,48,46,50,53,50,
      32,57,49,46,51,52,55,57,32,54,52,46,48,49,55,32,52,51,46,51,48,50,49,32,51,
      51,46,54,49,52,56,32,50,55,46,49,55,54,55,32,49,57,46,50,48,51,50,32,49,52,
      46,53,48,55,51,32,49,49,46,52,52,56,32,49,48,46,50,57,52,52,32,57,46,51,49,
      56,57,56,10,32,32,56,46,52,56,53,52,57,32,55,46,55,54,54,53,32,55,46,49,52,
      49,52,54,32,54,46,53,57,52,50,53,32,54,46,49,49,49,56,55,32,53,46,54,56,52,
      51,49,32,53,46,51,48,51,52,57,32,52,46,57,54,50,53,52,32,52,46,53,57,56,54,
      51,32,52,46,50,55,54,52,53,32,51,46,57,48,48,57,51,10,32,32,51,46,53,55,55,
      50,51,32,51,46,50,57,53,55,56,32,50,46,57,57,50,55,56,32,50,46,55,51,52,50,
      50,32,50,46,53,49,48,57,56,32,50,46,50,56,48,57,53,32,50,46,48,56,53,48,51,
      32,49,46,56,54,53,53,54,32,49,46,54,56,50,57,49,32,49,46,53,50,57,51,55,10,
      32,32,49,46,51,56,51,57,32,49,46,50,52,56,55,50,32,49,46,49,50,52,48,55,32,
      49,46,48,49,48,49,49,32,46,57,48,55,52,50,49,32,46,56,48,57,49,52,32,46,55,
      50,55,51,56,56,32,46,54,52,57,57,55,53,32,46,53,54,55,53,50,53,32,46,52,57,
      54,54,49,53,32,46,52,53,49,50,56,57,10,32,32,46,52,48,51,49,50,49,32,46,51,
      53,51,54,52,49,32,46,51,48,57,53,52,57,32,46,50,55,48,53,49,50,32,46,50,51,
      53,49,48,56,32,46,50,48,54,53,49,54,32,46,49,56,49,48,56,54,32,46,49,53,53,
      53,50,50,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,10,32,32,46,48,56,
      57,56,56,50,51,32,46,48,55,56,51,55,55,52,32,46,48,54,56,48,54,53,57,32,46,
      48,53,54,52,50,51,54,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,53,52,53,
      32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,
      54,57,10,32,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,
      49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,
      32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,
      48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,10,32,32,46,48,48,51,49,52,52,
      52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,
      48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,
      54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,
      10,32,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,32,
      46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,
      48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,
      50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,10,32,32,56,46,53,57,48,53,55,
      101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,50,101,
      45,48,53,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,53,101,45,
      48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,
      53,10,32,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,
      48,53,32,49,46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,52,101,45,48,
      54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,
      32,52,46,52,54,51,55,52,101,45,48,54,10,32,32,51,46,54,51,50,52,56,101,45,48,
      54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,
      32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,48,54,32,
      49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,10,32,32,56,
      46,53,49,51,51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,
      55,55,49,51,101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,
      54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,
      51,56,101,45,48,56,10,32,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,
      57,50,52,101,45,48,56,32,49,46,49,55,56,57,57,101,45,48,56,32,54,46,48,51,52,
      55,101,45,48,57,32,50,46,56,53,56,57,51,101,45,48,57,32,49,46,48,53,55,55,53,
      101,45,48,57,32,52,46,52,51,56,49,56,101,45,49,48,10,32,32,49,46,56,54,52,54,
      49,101,45,49,48,32,54,46,57,51,49,101,45,49,49,32,50,46,53,55,57,57,54,101,
      45,49,49,32,49,46,48,56,55,55,55,101,45,49,49,32,52,46,53,57,48,52,50,101,45,
      49,50,32,49,46,57,48,55,56,56,101,45,49,50,32,55,46,49,50,53,52,52,101,45,49,
      51,10,32,32,50,46,51,53,53,53,54,101,45,49,51,32,54,46,56,57,52,55,55,101,45,
      49,52,32,50,46,50,56,52,51,54,101,45,49,52,32,54,46,55,48,49,51,56,101,45,49,
      53,32,50,46,50,50,52,52,55,101,45,49,53,32,55,46,51,56,57,56,57,101,45,49,54,
      32,50,46,49,55,51,57,54,101,45,49,54,10,32,32,53,46,56,54,49,50,53,101,45,49,
      55,32,50,46,49,51,48,53,57,101,45,49,55,32,54,46,54,49,50,56,55,101,45,49,56,
      32,50,46,51,54,54,49,51,101,45,49,56,32,55,46,56,57,49,54,54,101,45,49,57,32,
      50,46,53,53,50,50,55,101,45,49,57,32,56,46,53,49,49,53,52,101,45,50,48,10,32,
      32,50,46,56,51,57,56,49,101,45,50,48,32,48,114,53,51,32,46,52,53,48,50,48,50,
      32,46,54,48,48,50,50,49,32,46,56,48,48,51,49,57,32,49,46,48,54,55,48,54,32,
      49,46,52,50,50,55,51,32,49,46,56,57,54,57,53,32,50,46,53,50,57,50,49,32,51,
      46,51,55,50,49,10,32,32,52,46,52,57,53,54,52,32,53,46,57,57,51,52,56,32,55,
      46,57,57,48,49,49,32,49,48,46,54,52,57,57,32,49,52,46,49,57,51,50,32,49,56,
      46,57,48,56,51,32,50,53,46,49,55,53,50,32,51,51,46,52,56,53,32,52,52,46,52,
      53,56,53,32,54,53,46,57,50,52,50,32,49,48,54,46,48,52,49,10,32,32,49,52,49,
      46,49,51,57,32,49,56,50,46,54,56,49,32,50,49,55,46,49,56,32,50,51,52,46,54,
      53,54,32,50,49,57,46,53,51,55,32,49,54,53,46,48,57,51,32,49,50,52,46,57,56,
      53,32,56,57,46,57,57,48,57,32,54,51,46,53,52,55,32,52,51,46,48,56,48,54,32,
      51,51,46,52,55,56,10,32,32,50,55,46,48,56,53,49,32,49,57,46,49,53,53,52,32,
      49,52,46,52,55,56,57,32,49,49,46,52,50,57,56,32,49,48,46,50,55,57,53,32,57,
      46,51,48,54,53,57,32,56,46,52,55,53,48,57,32,55,46,55,53,55,55,50,32,55,46,
      49,51,51,57,56,32,54,46,53,56,55,56,52,10,32,32,54,46,49,48,54,51,51,32,53,
      46,54,55,57,53,32,53,46,50,57,57,50,57,32,52,46,57,53,56,56,54,32,52,46,53,
      57,53,52,55,32,52,46,50,55,51,55,51,32,51,46,56,57,56,54,56,32,51,46,53,55,
      53,51,54,32,51,46,50,57,52,50,49,32,50,46,57,57,49,53,32,50,46,55,51,51,49,
      56,10,32,32,50,46,53,49,48,49,51,32,50,46,50,56,48,50,54,32,50,46,48,56,52,
      52,56,32,49,46,56,54,53,49,51,32,49,46,54,56,50,53,57,32,49,46,53,50,57,49,
      51,32,49,46,51,56,51,55,49,32,49,46,50,52,56,53,56,32,49,46,49,50,51,57,55,
      32,49,46,48,49,48,48,52,10,32,32,46,57,48,55,51,55,32,46,56,48,57,49,48,53,
      32,46,55,50,55,51,54,52,32,46,54,52,57,57,53,57,32,46,53,54,55,53,49,53,32,
      46,52,57,54,54,48,57,32,46,52,53,49,50,56,52,32,46,52,48,51,49,49,56,32,46,
      51,53,51,54,51,57,32,46,51,48,57,53,52,56,32,46,50,55,48,53,49,50,10,32,32,
      46,50,51,53,49,48,55,32,46,50,48,54,53,49,53,32,46,49,56,49,48,56,54,32,46,
      49,53,53,53,50,50,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,32,46,48,
      56,57,56,56,50,51,32,46,48,55,56,51,55,55,51,32,46,48,54,56,48,54,53,56,32,
      46,48,53,54,52,50,51,54,10,32,32,46,48,52,55,49,51,48,54,32,46,48,51,57,54,
      53,52,53,32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,48,50,
      50,56,57,54,57,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,
      48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,10,32,32,46,48,48,56,57,51,
      53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,
      48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,
      52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,10,32,
      32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,
      57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,
      54,51,49,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,
      32,46,48,48,48,51,50,52,52,56,49,10,32,32,46,48,48,48,50,55,51,51,52,50,32,
      46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,
      48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,
      55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,50,
      101,45,48,53,10,32,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,
      53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,
      101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,
      45,48,53,32,49,46,49,50,57,49,49,101,45,48,53,10,32,32,56,46,54,50,48,56,52,
      101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,50,101,
      45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,
      48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,
      54,10,32,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,45,
      48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,
      56,46,53,49,51,51,52,101,45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,
      55,55,55,49,51,101,45,48,55,10,32,32,49,46,52,55,55,54,56,101,45,48,55,32,54,
      46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,
      49,57,55,51,56,101,45,48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,
      53,57,50,51,101,45,48,56,32,49,46,49,55,56,57,57,101,45,48,56,10,32,32,54,46,
      48,51,52,54,57,101,45,48,57,32,50,46,56,53,56,57,50,101,45,48,57,32,49,46,48,
      53,55,55,53,101,45,48,57,32,52,46,52,51,56,49,55,101,45,49,48,32,49,46,56,54,
      52,54,49,101,45,49,48,32,54,46,57,51,48,57,56,101,45,49,49,32,50,46,53,55,57,
      57,53,101,45,49,49,10,32,32,49,46,48,56,55,55,54,101,45,49,49,32,52,46,53,57,
      48,52,49,101,45,49,50,32,49,46,57,48,55,56,55,101,45,49,50,32,55,46,49,50,53,
      52,51,101,45,49,51,32,50,46,51,53,53,53,53,101,45,49,51,32,54,46,56,57,52,55,
      54,101,45,49,52,32,50,46,50,56,52,51,54,101,45,49,52,10,32,32,54,46,55,48,49,
      51,55,101,45,49,53,32,50,46,50,50,52,52,55,101,45,49,53,32,55,46,51,56,57,56,
      55,101,45,49,54,32,50,46,49,55,51,57,54,101,45,49,54,32,53,46,56,54,49,50,52,
      101,45,49,55,32,50,46,49,51,48,53,57,101,45,49,55,32,54,46,54,49,50,56,53,101,
      45,49,56,10,32,32,50,46,51,54,54,49,50,101,45,49,56,32,55,46,56,57,49,54,53,
      101,45,49,57,32,50,46,53,53,50,50,54,101,45,49,57,32,56,46,53,49,49,53,49,101,
      45,50,48,32,50,46,56,51,57,56,101,45,50,48,32,48,114,53,51,32,46,50,53,51,50,
      53,52,32,46,51,51,55,54,52,52,10,32,32,46,52,53,48,50,48,54,32,46,54,48,48,
      50,54,32,46,56,48,48,51,51,54,32,49,46,48,54,55,49,32,49,46,52,50,50,55,56,
      32,49,46,56,57,54,57,54,32,50,46,53,50,57,48,52,32,51,46,51,55,49,55,54,32,
      52,46,52,57,53,50,53,32,53,46,57,57,50,50,52,32,55,46,57,56,55,50,52,10,32,
      32,49,48,46,54,52,51,57,32,49,52,46,49,55,57,32,49,56,46,56,55,55,51,32,50,
      53,46,49,48,53,57,32,51,55,46,52,48,48,53,32,54,49,46,48,52,56,56,32,56,50,
      46,57,52,52,53,32,49,49,49,46,53,53,55,32,49,52,48,46,55,52,52,32,49,54,54,
      46,49,55,57,32,49,55,52,46,54,49,57,10,32,32,49,52,55,46,53,52,49,32,49,49,
      56,46,49,50,52,32,56,54,46,53,57,54,54,32,54,50,46,56,52,57,53,32,52,50,46,
      55,56,55,32,51,51,46,50,57,54,52,32,50,54,46,57,54,51,52,32,49,57,46,48,57,
      49,57,32,49,52,46,52,52,49,50,32,49,49,46,52,48,53,53,32,49,48,46,50,53,57,
      54,10,32,32,57,46,50,57,48,48,57,32,56,46,52,54,49,50,54,32,55,46,55,52,54,
      48,52,32,55,46,49,50,52,48,50,32,54,46,53,55,57,50,57,32,54,46,48,57,56,57,
      53,32,53,46,54,55,51,49,32,53,46,50,57,51,54,56,32,52,46,57,53,51,57,55,32,
      52,46,53,57,49,50,55,32,52,46,50,55,48,49,49,10,32,32,51,46,56,57,53,54,56,
      32,51,46,53,55,50,56,54,32,51,46,50,57,50,49,49,32,50,46,57,56,57,56,32,50,
      46,55,51,49,55,57,32,50,46,53,48,56,57,57,32,50,46,50,55,57,51,53,32,50,46,
      48,56,51,55,53,32,49,46,56,54,52,53,52,32,49,46,54,56,50,49,54,32,49,46,53,
      50,56,56,10,32,32,49,46,51,56,51,52,54,32,49,46,50,52,56,51,57,32,49,46,49,
      50,51,56,52,32,49,46,48,48,57,57,52,32,46,57,48,55,51,48,50,32,46,56,48,57,
      48,53,57,32,46,55,50,55,51,51,50,32,46,54,52,57,57,51,55,32,46,53,54,55,53,
      48,50,32,46,52,57,54,54,48,49,10,32,32,46,52,53,49,50,55,57,32,46,52,48,51,
      49,49,51,32,46,51,53,51,54,51,53,32,46,51,48,57,53,52,54,32,46,50,55,48,53,
      49,32,46,50,51,53,49,48,54,32,46,50,48,54,53,49,53,32,46,49,56,49,48,56,53,
      32,46,49,53,53,53,50,49,32,46,49,50,55,57,53,54,32,46,49,48,54,57,49,50,10,
      32,32,46,48,56,57,56,56,50,50,32,46,48,55,56,51,55,55,50,32,46,48,54,56,48,
      54,53,56,32,46,48,53,54,52,50,51,53,32,46,48,52,55,49,51,48,54,32,46,48,51,
      57,54,53,52,53,32,46,48,51,52,50,52,57,56,32,46,48,50,55,57,52,52,54,32,46,
      48,50,50,56,57,54,57,10,32,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,
      50,49,32,46,48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,32,46,48,48,56,
      57,51,53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,
      32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,52,10,32,32,46,48,
      48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,
      57,49,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,
      48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,
      48,55,54,51,49,10,32,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,
      57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,
      50,32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,
      48,48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,10,32,32,56,46,
      53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,
      51,56,55,50,101,45,48,53,32,52,46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,
      52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,
      56,53,101,45,48,53,10,32,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,
      49,57,51,101,45,48,53,32,49,46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,
      56,53,101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,32,53,46,53,48,52,49,
      50,101,45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,10,32,32,51,46,54,51,50,
      52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,
      56,101,45,48,54,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,
      101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,
      48,54,10,32,32,56,46,53,49,51,51,53,101,45,48,55,32,53,46,51,48,57,56,101,45,
      48,55,32,50,46,55,55,55,49,51,101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,
      55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,
      32,49,46,49,57,55,51,56,101,45,48,56,10,32,32,53,46,52,54,51,52,55,101,45,48,
      57,32,51,46,48,53,57,50,50,101,45,48,56,32,49,46,49,55,56,57,56,101,45,48,56,
      32,54,46,48,51,52,54,55,101,45,48,57,32,50,46,56,53,56,57,49,101,45,48,57,32,
      49,46,48,53,55,55,53,101,45,48,57,32,52,46,52,51,56,49,53,101,45,49,48,10,32,
      32,49,46,56,54,52,54,101,45,49,48,32,54,46,57,51,48,57,53,101,45,49,49,32,50,
      46,53,55,57,57,52,101,45,49,49,32,49,46,48,56,55,55,54,101,45,49,49,32,52,46,
      53,57,48,51,57,101,45,49,50,32,49,46,57,48,55,56,55,101,45,49,50,32,55,46,49,
      50,53,52,49,101,45,49,51,10,32,32,50,46,51,53,53,53,53,101,45,49,51,32,54,46,
      56,57,52,55,52,101,45,49,52,32,50,46,50,56,52,51,53,101,45,49,52,32,54,46,55,
      48,49,51,53,101,45,49,53,32,50,46,50,50,52,52,54,101,45,49,53,32,55,46,51,56,
      57,56,53,101,45,49,54,32,50,46,49,55,51,57,53,101,45,49,54,10,32,32,53,46,56,
      54,49,50,51,101,45,49,55,32,50,46,49,51,48,53,57,101,45,49,55,32,54,46,54,49,
      50,56,52,101,45,49,56,32,50,46,51,54,54,49,50,101,45,49,56,32,55,46,56,57,49,
      54,51,101,45,49,57,32,50,46,53,53,50,50,53,101,45,49,57,32,56,46,53,49,49,52,
      56,101,45,50,48,10,32,32,50,46,56,51,57,55,57,101,45,50,48,32,48,114,53,51,
      32,46,49,52,50,52,55,51,32,46,49,56,57,57,52,57,32,46,50,53,51,50,55,51,32,
      46,51,51,55,54,56,57,32,46,52,53,48,50,52,54,32,46,54,48,48,51,50,50,32,46,
      56,48,48,52,50,32,49,46,48,54,55,49,56,10,32,32,49,46,52,50,50,56,32,49,46,
      56,57,54,57,51,32,50,46,53,50,57,48,55,32,51,46,51,55,49,52,55,32,52,46,52,
      57,52,51,54,32,53,46,57,57,48,50,53,32,55,46,57,56,50,49,54,32,49,48,46,54,
      51,50,54,32,49,52,46,49,53,52,53,32,50,49,46,49,52,50,32,51,52,46,56,48,48,
      51,10,32,32,52,55,46,56,53,50,53,32,54,53,46,57,52,51,49,32,56,54,46,54,53,
      56,53,32,49,48,57,46,53,49,51,32,49,50,55,46,57,53,52,32,49,50,52,46,50,51,
      56,32,49,48,54,46,49,52,52,32,56,50,46,50,54,57,57,32,54,48,46,53,57,54,54,
      32,52,50,46,51,57,56,55,10,32,32,51,51,46,48,53,53,57,32,50,54,46,56,48,50,
      49,32,49,57,46,48,48,55,53,32,49,52,46,51,57,49,49,32,49,49,46,51,55,51,51,
      32,49,48,46,50,51,51,50,32,57,46,50,54,56,49,54,32,56,46,52,52,50,56,53,32,
      55,46,55,51,48,52,57,32,55,46,49,49,48,55,55,10,32,32,54,46,53,54,55,57,32,
      54,46,48,56,57,49,52,32,53,46,54,54,52,53,56,32,53,46,50,56,54,50,51,32,52,
      46,57,52,55,52,53,32,52,46,53,56,53,54,56,32,52,46,50,54,53,50,53,32,51,46,
      56,57,49,54,57,32,51,46,53,54,57,53,32,51,46,50,56,57,51,49,32,50,46,57,56,
      55,53,52,10,32,32,50,46,55,50,57,57,53,32,50,46,53,48,55,52,55,32,50,46,50,
      55,56,49,52,32,50,46,48,56,50,55,55,32,49,46,56,54,51,55,54,32,49,46,54,56,
      49,54,32,49,46,53,50,56,51,54,32,49,46,51,56,51,49,51,32,49,46,50,52,56,49,
      53,32,49,46,49,50,51,54,54,32,49,46,48,48,57,56,49,10,32,32,46,57,48,55,50,
      49,50,32,46,56,48,56,57,57,56,32,46,55,50,55,50,56,57,32,46,54,52,57,57,48,
      56,32,46,53,54,55,52,56,52,32,46,52,57,54,53,57,32,46,52,53,49,50,55,49,32,
      46,52,48,51,49,48,56,32,46,51,53,51,54,50,57,32,46,51,48,57,53,52,52,32,46,
      50,55,48,53,48,57,10,32,32,46,50,51,53,49,48,53,32,46,50,48,54,53,49,52,32,
      46,49,56,49,48,56,53,32,46,49,53,53,53,50,49,32,46,49,50,55,57,53,53,32,46,
      49,48,54,57,49,50,32,46,48,56,57,56,56,50,49,32,46,48,55,56,51,55,55,49,32,
      46,48,54,56,48,54,53,55,32,46,48,53,54,52,50,51,53,10,32,32,46,48,52,55,49,
      51,48,53,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,57,55,32,46,48,50,
      55,57,52,52,54,32,46,48,50,50,56,57,54,57,32,46,48,49,56,55,55,51,52,32,46,
      48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,53,32,46,48,49,48,57,48,56,53,
      10,32,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,
      48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,
      50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,
      48,49,57,53,50,57,49,10,32,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,
      48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,51,
      52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,53,49,48,56,49,56,32,46,
      48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,10,32,32,46,48,
      48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,
      53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,
      49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,
      53,32,53,46,52,51,56,55,50,101,45,48,53,10,32,32,52,46,49,56,50,50,53,101,45,
      48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,48,
      53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,
      32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,49,101,45,48,53,10,
      32,32,56,46,54,50,48,56,53,101,45,48,54,32,54,46,56,56,55,51,52,101,45,48,54,
      32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,32,
      51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,
      46,51,54,49,53,56,101,45,48,54,10,32,32,49,46,56,56,57,55,50,101,45,48,54,32,
      49,46,54,48,52,49,52,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,
      46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,53,101,45,48,55,32,53,46,51,48,
      57,56,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,10,32,32,49,46,52,55,
      55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,48,54,55,
      52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,56,32,53,46,52,54,51,52,
      55,101,45,48,57,32,51,46,48,53,57,50,49,101,45,48,56,32,49,46,49,55,56,57,56,
      101,45,48,56,10,32,32,54,46,48,51,52,54,52,101,45,48,57,32,50,46,56,53,56,57,
      101,45,48,57,32,49,46,48,53,55,55,52,101,45,48,57,32,52,46,52,51,56,49,51,101,
      45,49,48,32,49,46,56,54,52,53,57,101,45,49,48,32,54,46,57,51,48,57,50,101,45,
      49,49,32,50,46,53,55,57,57,51,101,45,49,49,10,32,32,49,46,48,56,55,55,53,101,
      45,49,49,32,52,46,53,57,48,51,55,101,45,49,50,32,49,46,57,48,55,56,54,101,45,
      49,50,32,55,46,49,50,53,51,56,101,45,49,51,32,50,46,51,53,53,53,52,101,45,49,
      51,32,54,46,56,57,52,55,49,101,45,49,52,32,50,46,50,56,52,51,52,101,45,49,52,
      10,32,32,54,46,55,48,49,51,51,101,45,49,53,32,50,46,50,50,52,52,54,101,45,49,
      53,32,55,46,51,56,57,56,51,101,45,49,54,32,50,46,49,55,51,57,52,101,45,49,54,
      32,53,46,56,54,49,50,49,101,45,49,55,32,50,46,49,51,48,53,56,101,45,49,55,32,
      54,46,54,49,50,56,50,101,45,49,56,10,32,32,50,46,51,54,54,49,49,101,45,49,56,
      32,55,46,56,57,49,54,101,45,49,57,32,50,46,53,53,50,50,52,101,45,49,57,32,56,
      46,53,49,49,52,52,101,45,50,48,32,50,46,56,51,57,55,55,101,45,50,48,32,48,114,
      53,51,32,46,48,56,48,49,53,52,51,32,46,49,48,54,56,54,52,10,32,32,46,49,52,
      50,52,56,57,32,46,49,56,57,57,56,50,32,46,50,53,51,51,48,54,32,46,51,51,55,
      55,51,56,32,46,52,53,48,51,49,50,32,46,54,48,48,51,57,53,32,46,56,48,48,52,
      54,52,32,49,46,48,54,55,50,50,32,49,46,52,50,50,56,57,32,49,46,56,57,54,56,
      57,10,32,32,50,46,53,50,56,56,32,51,46,51,55,48,56,32,52,46,52,57,50,52,52,
      32,53,46,57,56,53,57,53,32,55,46,57,55,50,56,53,32,49,49,46,57,50,55,32,49,
      57,46,55,50,54,53,32,50,55,46,51,49,56,53,32,51,56,46,49,57,51,52,32,53,49,
      46,52,51,48,49,32,54,56,46,49,50,54,57,10,32,32,56,54,46,54,57,54,55,32,57,
      55,46,48,51,56,50,32,57,48,46,52,56,50,50,32,55,52,46,56,53,49,56,32,53,55,
      46,55,49,56,52,32,52,49,46,49,50,48,55,32,51,50,46,54,57,56,50,32,50,54,46,
      53,56,56,53,32,49,56,46,56,57,53,54,32,49,52,46,51,50,52,54,10,32,32,49,49,
      46,51,51,48,52,32,49,48,46,49,57,56,32,57,46,50,51,56,57,56,32,56,46,52,49,
      56,51,55,32,55,46,55,48,57,56,32,55,46,48,57,51,49,53,32,54,46,53,53,50,55,
      51,32,54,46,48,55,54,48,56,32,53,46,54,53,51,50,52,32,53,46,50,55,54,51,49,
      32,52,46,57,51,56,55,56,10,32,32,52,46,53,55,56,50,49,32,52,46,50,53,56,55,
      54,32,51,46,56,56,54,51,56,32,51,46,53,54,53,48,51,32,51,46,50,56,53,53,57,
      32,50,46,57,56,52,53,51,32,50,46,55,50,55,52,50,32,50,46,53,48,53,52,49,32,
      50,46,50,55,54,53,51,32,50,46,48,56,49,52,55,10,32,32,49,46,56,54,50,55,51,
      32,49,46,54,56,48,56,53,32,49,46,53,50,55,55,56,32,49,46,51,56,50,54,57,32,
      49,46,50,52,55,56,50,32,49,46,49,50,51,52,32,49,46,48,48,57,54,53,32,46,57,
      48,55,48,57,49,32,46,56,48,56,57,49,54,32,46,55,50,55,50,51,51,32,46,54,52,
      57,56,55,49,10,32,32,46,53,54,55,52,54,49,32,46,52,57,54,53,55,53,32,46,52,
      53,49,50,54,32,46,52,48,51,49,32,46,51,53,51,54,49,57,32,46,51,48,57,53,52,
      49,32,46,50,55,48,53,48,55,32,46,50,51,53,49,48,52,32,46,50,48,54,53,49,51,
      32,46,49,56,49,48,56,52,32,46,49,53,53,53,49,57,10,32,32,46,49,50,55,57,53,
      53,32,46,49,48,54,57,49,49,32,46,48,56,57,56,56,49,57,32,46,48,55,56,51,55,
      54,57,32,46,48,54,56,48,54,53,54,32,46,48,53,54,52,50,51,52,32,46,48,52,55,
      49,51,48,53,32,46,48,51,57,54,53,52,53,32,46,48,51,52,50,52,57,55,32,46,48,
      50,55,57,52,52,54,10,32,32,46,48,50,50,56,57,54,56,32,46,48,49,56,55,55,51,
      52,32,46,48,49,53,54,54,50,49,32,46,48,49,51,48,53,49,52,32,46,48,49,48,57,
      48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,
      48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,50,10,32,32,46,48,48,51,
      57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,
      32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,
      50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,57,32,46,48,48,48,55,55,49,52,
      51,52,10,32,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,53,49,48,56,49,
      56,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,56,49,32,46,
      48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,49,56,32,46,48,48,48,
      49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,10,32,32,46,48,48,48,49,
      49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,53,57,
      101,45,48,53,32,53,46,52,51,56,55,50,101,45,48,53,32,52,46,49,56,50,50,53,101,
      45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,32,50,46,55,53,48,50,57,101,45,
      48,53,10,32,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,51,55,54,53,101,
      45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,46,49,50,57,49,49,101,45,
      48,53,32,56,46,54,50,48,56,53,101,45,48,54,32,54,46,56,56,55,51,53,101,45,48,
      54,32,53,46,53,48,52,49,50,101,45,48,54,10,32,32,52,46,52,54,51,55,52,101,45,
      48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,52,49,101,45,48,
      54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,57,55,50,101,45,48,54,
      32,49,46,54,48,52,49,53,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,10,
      32,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,53,101,45,48,55,32,53,
      46,51,48,57,56,49,101,45,48,55,32,50,46,55,55,55,49,51,101,45,48,55,32,49,46,
      52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,45,48,56,32,51,46,48,
      54,55,52,52,101,45,48,56,10,32,32,49,46,49,57,55,51,56,101,45,48,56,32,53,46,
      52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,49,57,101,45,48,56,32,49,46,49,
      55,56,57,55,101,45,48,56,32,54,46,48,51,52,54,101,45,48,57,32,50,46,56,53,56,
      56,57,101,45,48,57,32,49,46,48,53,55,55,51,101,45,48,57,10,32,32,52,46,52,51,
      56,49,49,101,45,49,48,32,49,46,56,54,52,53,56,101,45,49,48,32,54,46,57,51,48,
      56,56,101,45,49,49,32,50,46,53,55,57,57,50,101,45,49,49,32,49,46,48,56,55,55,
      53,101,45,49,49,32,52,46,53,57,48,51,52,101,45,49,50,32,49,46,57,48,55,56,53,
      101,45,49,50,10,32,32,55,46,49,50,53,51,53,101,45,49,51,32,50,46,51,53,53,53,
      51,101,45,49,51,32,54,46,56,57,52,54,56,101,45,49,52,32,50,46,50,56,52,51,51,
      101,45,49,52,32,54,46,55,48,49,51,101,45,49,53,32,50,46,50,50,52,52,53,101,
      45,49,53,32,55,46,51,56,57,56,101,45,49,54,10,32,32,50,46,49,55,51,57,51,101,
      45,49,54,32,53,46,56,54,49,49,57,101,45,49,55,32,50,46,49,51,48,53,55,101,45,
      49,55,32,54,46,54,49,50,55,57,101,45,49,56,32,50,46,51,54,54,49,101,45,49,56,
      32,55,46,56,57,49,53,55,101,45,49,57,32,50,46,53,53,50,50,50,101,45,49,57,10,
      32,32,56,46,53,49,49,51,56,101,45,50,48,32,50,46,56,51,57,55,54,101,45,50,48,
      32,48,114,53,51,32,51,46,56,55,55,50,57,101,45,48,53,32,46,48,54,48,49,50,53,
      32,46,48,56,48,49,54,57,50,32,46,49,48,54,56,57,32,46,49,52,50,53,49,56,32,
      46,49,57,48,48,50,50,10,32,32,46,50,53,51,51,54,49,32,46,51,51,55,56,48,51,
      32,46,52,53,48,51,55,32,46,54,48,48,52,54,32,46,56,48,48,53,56,49,32,49,46,
      48,54,55,50,57,32,49,46,52,50,50,56,56,32,49,46,56,57,54,55,53,32,50,46,53,
      50,56,49,52,32,51,46,51,54,57,49,57,32,52,46,52,56,56,56,54,10,32,32,54,46,
      55,50,48,57,32,49,49,46,49,52,53,55,32,49,53,46,52,57,56,56,32,50,49,46,56,
      53,49,56,32,50,57,46,56,55,52,53,32,52,48,46,55,52,49,49,32,53,53,46,48,54,
      57,50,32,54,57,46,56,48,51,52,32,55,49,46,54,55,50,53,32,54,52,46,56,54,49,
      50,32,53,51,46,48,48,51,56,10,32,32,51,57,46,51,48,52,57,32,51,49,46,53,52,
      52,49,32,50,54,46,48,55,49,32,49,56,46,55,52,55,52,32,49,52,46,50,51,54,52,
      32,49,49,46,50,55,51,54,32,49,48,46,49,53,49,51,32,57,46,50,48,48,50,51,32,
      56,46,51,56,53,56,53,32,55,46,54,56,50,51,49,32,55,46,48,54,57,55,10,32,32,
      54,46,53,51,50,53,54,32,54,46,48,53,56,54,54,32,53,46,54,51,56,49,52,32,53,
      46,50,54,51,49,50,32,52,46,57,50,55,50,53,32,52,46,53,54,56,50,50,32,52,46,
      50,53,48,49,51,32,51,46,56,55,57,51,49,32,51,46,53,53,57,48,57,32,51,46,50,
      56,48,54,50,10,32,32,50,46,57,56,48,53,51,32,50,46,55,50,52,48,49,32,50,46,
      53,48,50,53,57,32,50,46,50,55,52,51,56,32,50,46,48,55,57,55,52,32,49,46,56,
      54,49,51,53,32,49,46,54,55,57,56,53,32,49,46,53,50,55,32,49,46,51,56,50,49,
      49,32,49,46,50,52,55,51,49,32,49,46,49,50,50,57,55,10,32,32,49,46,48,48,57,
      52,50,32,46,57,48,54,57,50,55,32,46,56,48,56,56,48,56,32,46,55,50,55,49,53,
      56,32,46,54,52,57,56,49,51,32,46,53,54,55,52,50,52,32,46,52,57,54,53,53,54,
      32,46,52,53,49,50,52,55,32,46,52,48,51,48,57,49,32,46,51,53,51,54,48,55,10,
      32,32,46,51,48,57,53,51,54,32,46,50,55,48,53,48,52,32,46,50,51,53,49,48,50,
      32,46,50,48,54,53,49,50,32,46,49,56,49,48,56,51,32,46,49,53,53,53,49,53,32,
      46,49,50,55,57,53,53,32,46,49,48,54,57,49,49,32,46,48,56,57,56,56,49,55,32,
      46,48,55,56,51,55,54,54,10,32,32,46,48,54,56,48,54,53,54,32,46,48,53,54,52,
      50,51,52,32,46,48,52,55,49,51,48,52,32,46,48,51,57,54,53,52,52,32,46,48,51,
      52,50,52,57,55,32,46,48,50,55,57,52,52,54,32,46,48,50,50,56,57,54,56,32,46,
      48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,10,32,32,46,48,49,51,48,53,
      49,52,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,48,48,
      55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,48,49,
      50,32,46,48,48,51,57,52,57,50,52,32,46,48,48,51,49,52,52,52,54,32,46,48,48,
      50,52,52,57,56,49,10,32,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,53,50,
      53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,49,32,46,
      48,48,48,55,55,49,52,51,52,32,46,48,48,48,54,48,55,54,51,49,32,46,48,48,48,
      53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,52,10,32,32,46,48,48,48,51,
      50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,50,48,56,57,
      49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,49,56,32,
      46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,
      52,48,49,53,57,101,45,48,53,10,32,32,53,46,52,51,56,55,50,101,45,48,53,32,52,
      46,49,56,50,50,53,101,45,48,53,32,51,46,53,54,52,50,54,101,45,48,53,32,50,46,
      55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,46,54,
      51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,10,32,32,49,46,
      49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,53,101,45,48,54,32,54,46,56,
      56,55,51,53,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,32,52,46,52,54,
      51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,50,46,56,57,49,
      52,49,101,45,48,54,10,32,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,56,56,
      57,55,50,101,45,48,54,32,49,46,54,48,52,49,53,101,45,48,54,32,49,46,50,50,56,
      50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,53,101,
      45,48,55,32,53,46,51,48,57,56,49,101,45,48,55,10,32,32,50,46,55,55,55,49,51,
      101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,52,101,
      45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,101,45,
      48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,49,55,101,45,48,
      56,10,32,32,49,46,49,55,56,57,54,101,45,48,56,32,54,46,48,51,52,53,54,101,45,
      48,57,32,50,46,56,53,56,56,54,101,45,48,57,32,49,46,48,53,55,55,51,101,45,48,
      57,32,52,46,52,51,56,48,55,101,45,49,48,32,49,46,56,54,52,53,55,101,45,49,48,
      32,54,46,57,51,48,56,51,101,45,49,49,10,32,32,50,46,53,55,57,57,101,45,49,49,
      32,49,46,48,56,55,55,52,101,45,49,49,32,52,46,53,57,48,51,49,101,45,49,50,32,
      49,46,57,48,55,56,52,101,45,49,50,32,55,46,49,50,53,51,101,45,49,51,32,50,46,
      51,53,53,53,49,101,45,49,51,32,54,46,56,57,52,54,52,101,45,49,52,10,32,32,50,
      46,50,56,52,51,50,101,45,49,52,32,54,46,55,48,49,50,54,101,45,49,53,32,50,46,
      50,50,52,52,51,101,45,49,53,32,55,46,51,56,57,55,54,101,45,49,54,32,50,46,49,
      55,51,57,50,101,45,49,54,32,53,46,56,54,49,49,53,101,45,49,55,32,50,46,49,51,
      48,53,54,101,45,49,55,10,32,32,54,46,54,49,50,55,53,101,45,49,56,32,50,46,51,
      54,54,48,57,101,45,49,56,32,55,46,56,57,49,53,51,101,45,49,57,32,50,46,53,53,
      50,50,101,45,49,57,32,56,46,53,49,49,51,49,101,45,50,48,32,50,46,56,51,57,55,
      51,101,45,50,48,32,48,114,53,51,32,51,46,56,55,55,51,101,45,48,53,10,32,32,
      53,46,49,54,57,51,51,101,45,48,53,32,46,48,52,53,49,50,48,53,32,46,48,54,48,
      49,53,57,51,32,46,48,56,48,50,49,49,52,32,46,49,48,54,57,52,56,32,46,49,52,
      50,53,57,53,32,46,49,57,48,49,50,49,32,46,50,53,51,52,55,54,32,46,51,51,55,
      57,53,49,32,46,52,53,48,53,56,53,10,32,32,46,54,48,48,55,48,51,32,46,56,48,
      48,56,53,50,32,49,46,48,54,55,54,32,49,46,52,50,51,48,53,32,49,46,56,57,54,
      54,53,32,50,46,53,50,55,51,56,32,51,46,55,56,53,57,51,32,54,46,50,56,56,50,
      32,56,46,55,54,52,49,57,32,49,50,46,52,49,53,32,49,55,46,49,50,54,49,10,32,
      32,50,51,46,55,55,55,32,51,51,46,52,49,50,49,32,52,54,46,53,50,54,53,32,53,
      50,46,51,48,57,50,32,53,50,46,51,53,54,32,52,54,46,52,52,49,55,32,51,54,46,
      53,52,53,54,32,51,48,46,48,54,57,51,32,50,53,46,48,53,55,54,32,49,56,46,51,
      56,51,49,32,49,52,46,49,49,57,55,10,32,32,49,49,46,49,57,56,50,32,49,48,46,
      48,56,57,52,32,57,46,49,52,56,56,53,32,56,46,51,52,50,55,49,32,55,46,54,52,
      53,56,50,32,55,46,48,51,56,53,57,32,54,46,53,48,53,55,57,32,54,46,48,51,53,
      53,51,32,53,46,54,49,56,48,55,32,53,46,50,52,53,54,32,52,46,57,49,49,57,51,
      10,32,32,52,46,53,53,52,57,54,32,52,46,50,51,56,54,54,32,51,46,56,54,57,57,
      50,32,51,46,53,53,49,49,56,32,51,46,50,55,51,57,55,32,50,46,57,55,53,50,49,
      32,50,46,55,49,57,52,56,32,50,46,52,57,56,56,52,32,50,46,50,55,49,53,52,32,
      50,46,48,55,55,52,51,10,32,32,49,46,56,53,57,53,50,32,49,46,54,55,56,53,50,
      32,49,46,53,50,53,57,55,32,49,46,51,56,49,51,51,32,49,46,50,52,54,53,54,32,
      49,46,49,50,50,51,57,32,49,46,48,48,57,49,51,32,46,57,48,54,55,48,54,32,46,
      56,48,56,54,54,54,32,46,55,50,55,48,54,49,10,32,32,46,54,52,57,55,32,46,53,
      54,55,51,52,54,32,46,52,57,54,53,51,49,32,46,52,53,49,50,50,54,32,46,52,48,
      51,48,55,56,32,46,51,53,51,53,57,49,32,46,51,48,57,53,51,32,46,50,55,48,53,
      48,49,32,46,50,51,53,49,32,46,50,48,54,53,49,32,46,49,56,49,48,56,50,10,32,
      32,46,49,53,53,53,48,57,32,46,49,50,55,57,53,51,32,46,49,48,54,57,49,49,32,
      46,48,56,57,56,56,49,50,32,46,48,55,56,51,55,54,50,32,46,48,54,56,48,54,53,
      52,32,46,48,53,54,52,50,51,51,32,46,48,52,55,49,51,48,52,32,46,48,51,57,54,
      53,52,52,32,46,48,51,52,50,52,57,54,10,32,32,46,48,50,55,57,52,52,53,32,46,
      48,50,50,56,57,54,56,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,
      32,46,48,49,51,48,53,49,52,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,
      53,55,57,32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,10,32,
      32,46,48,48,53,48,51,48,49,50,32,46,48,48,51,57,52,57,50,51,32,46,48,48,51,
      49,52,52,52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,
      32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,
      57,53,55,54,49,10,32,32,46,48,48,48,55,55,49,52,51,53,32,46,48,48,48,54,48,
      55,54,51,49,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,
      52,32,46,48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,
      48,48,48,50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,10,32,32,46,48,
      48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,
      53,56,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,
      50,101,45,48,53,32,52,46,49,56,50,50,54,101,45,48,53,32,51,46,53,54,52,50,54,
      101,45,48,53,10,32,32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,
      53,101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,
      101,45,48,53,32,49,46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,53,101,
      45,48,54,32,54,46,56,56,55,51,53,101,45,48,54,10,32,32,53,46,53,48,52,49,50,
      101,45,48,54,32,52,46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,
      45,48,54,32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,
      48,54,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,53,101,45,48,
      54,10,32,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,
      32,56,46,53,49,51,51,53,101,45,48,55,32,53,46,51,48,57,56,49,101,45,48,55,32,
      50,46,55,55,55,49,51,101,45,48,55,32,49,46,52,55,55,54,56,101,45,48,55,32,54,
      46,55,50,54,56,52,101,45,48,56,10,32,32,51,46,48,54,55,52,52,101,45,48,56,32,
      49,46,49,57,55,51,56,101,45,48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,
      46,48,53,57,49,52,101,45,48,56,32,49,46,49,55,56,57,53,101,45,48,56,32,54,46,
      48,51,52,53,101,45,48,57,32,50,46,56,53,56,56,51,101,45,48,57,10,32,32,49,46,
      48,53,55,55,50,101,45,48,57,32,52,46,52,51,56,48,51,101,45,49,48,32,49,46,56,
      54,52,53,53,101,45,49,48,32,54,46,57,51,48,55,54,101,45,49,49,32,50,46,53,55,
      57,56,55,101,45,49,49,32,49,46,48,56,55,55,51,101,45,49,49,32,52,46,53,57,48,
      50,54,101,45,49,50,10,32,32,49,46,57,48,55,56,50,101,45,49,50,32,55,46,49,50,
      53,50,53,101,45,49,51,32,50,46,51,53,53,52,57,101,45,49,51,32,54,46,56,57,52,
      53,57,101,45,49,52,32,50,46,50,56,52,51,101,45,49,52,32,54,46,55,48,49,50,49,
      101,45,49,53,32,50,46,50,50,52,52,50,101,45,49,53,10,32,32,55,46,51,56,57,55,
      101,45,49,54,32,50,46,49,55,51,57,101,45,49,54,32,53,46,56,54,49,49,49,101,
      45,49,55,32,50,46,49,51,48,53,52,101,45,49,55,32,54,46,54,49,50,55,49,101,45,
      49,56,32,50,46,51,54,54,48,55,101,45,49,56,32,55,46,56,57,49,52,55,101,45,49,
      57,10,32,32,50,46,53,53,50,49,55,101,45,49,57,32,56,46,53,49,49,50,49,101,45,
      50,48,32,50,46,56,51,57,55,101,45,50,48,32,48,114,53,51,32,51,46,56,55,55,51,
      49,101,45,48,53,32,53,46,49,54,57,51,52,101,45,48,53,32,54,46,56,57,50,54,57,
      101,45,48,53,32,46,48,51,51,56,55,50,52,10,32,32,46,48,52,53,49,54,50,55,32,
      46,48,54,48,50,49,54,52,32,46,48,56,48,50,56,55,56,32,46,49,48,55,48,52,55,
      32,46,49,52,50,55,49,57,32,46,49,57,48,50,56,50,32,46,50,53,51,55,48,50,32,
      46,51,51,56,50,50,55,32,46,52,53,48,57,50,54,32,46,54,48,49,49,50,56,10,32,
      32,46,56,48,49,50,57,56,32,49,46,48,54,56,48,51,32,49,46,52,50,51,51,52,32,
      50,46,49,51,50,54,57,32,51,46,53,52,53,51,49,32,52,46,57,52,55,56,55,32,55,
      46,48,50,55,57,54,32,57,46,55,52,53,54,55,32,49,51,46,54,54,56,51,32,49,57,
      46,54,56,49,57,10,32,32,50,57,46,50,52,48,52,32,51,53,46,51,50,57,51,32,51,
      56,46,57,54,51,52,32,51,55,46,57,55,50,52,32,51,50,46,53,48,48,57,32,50,55,
      46,54,52,57,56,32,50,51,46,55,53,49,50,32,49,55,46,54,55,57,55,32,49,51,46,
      55,54,57,52,32,49,49,46,48,56,52,51,10,32,32,49,48,46,48,48,55,54,32,57,46,
      48,56,48,55,57,32,56,46,50,56,53,53,56,32,55,46,53,57,55,52,53,32,54,46,57,
      57,55,51,51,32,54,46,52,55,48,51,32,54,46,48,48,52,56,54,32,53,46,53,57,49,
      52,53,32,53,46,50,50,50,51,53,32,52,46,56,57,49,53,51,32,52,46,53,51,55,51,
      52,10,32,32,52,46,50,50,51,52,51,32,51,46,56,53,55,52,51,32,51,46,53,52,48,
      54,56,32,51,46,50,54,53,49,51,32,50,46,57,54,56,49,52,32,50,46,55,49,51,52,
      54,32,50,46,52,57,51,56,53,32,50,46,50,54,55,55,53,32,50,46,48,55,52,51,53,
      32,49,46,56,53,55,48,57,10,32,32,49,46,54,55,54,54,56,32,49,46,53,50,52,54,
      32,49,46,51,56,48,51,49,32,49,46,50,52,53,53,54,32,49,46,49,50,49,54,51,32,
      49,46,48,48,56,55,52,32,46,57,48,54,52,49,54,32,46,56,48,56,52,55,54,32,46,
      55,50,54,57,51,49,32,46,54,52,57,53,53,51,32,46,53,54,55,50,52,53,10,32,32,
      46,52,57,54,52,57,57,32,46,52,53,49,49,57,56,32,46,52,48,51,48,54,51,32,46,
      51,53,51,53,54,57,32,46,51,48,57,53,50,51,32,46,50,55,48,52,57,54,32,46,50,
      51,53,48,57,55,32,46,50,48,54,53,48,55,32,46,49,56,49,48,56,49,32,46,49,53,
      53,53,48,49,10,32,32,46,49,50,55,57,52,57,32,46,49,48,54,57,49,32,46,48,56,
      57,56,56,48,53,32,46,48,55,56,51,55,53,56,32,46,48,54,56,48,54,53,51,32,46,
      48,53,54,52,50,51,50,32,46,48,52,55,49,51,48,51,32,46,48,51,57,54,53,52,51,
      32,46,48,51,52,50,52,57,53,32,46,48,50,55,57,52,52,52,10,32,32,46,48,50,50,
      56,57,54,56,32,46,48,49,56,55,55,51,52,32,46,48,49,53,54,54,50,49,32,46,48,
      49,51,48,53,49,51,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,
      32,46,48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,
      48,51,48,49,50,10,32,32,46,48,48,51,57,52,57,50,51,32,46,48,48,51,49,52,52,
      52,54,32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,
      48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,
      54,49,32,46,48,48,48,55,55,49,52,51,53,10,32,32,46,48,48,48,54,48,55,54,51,
      49,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,53,32,46,
      48,48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,50,32,46,48,48,48,
      50,48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,
      57,49,56,10,32,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,56,101,
      45,48,53,32,54,46,52,48,49,54,101,45,48,53,32,53,46,52,51,56,55,50,101,45,48,
      53,32,52,46,49,56,50,50,54,101,45,48,53,32,51,46,53,54,52,50,54,101,45,48,53,
      32,50,46,55,53,48,50,57,101,45,48,53,10,32,32,50,46,50,50,56,56,53,101,45,48,
      53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,
      32,49,46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,53,101,45,48,54,32,
      54,46,56,56,55,51,53,101,45,48,54,32,53,46,53,48,52,49,50,101,45,48,54,10,32,
      32,52,46,52,54,51,55,52,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,32,
      50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,
      46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,53,101,45,48,54,32,49,46,
      50,50,56,50,57,101,45,48,54,10,32,32,49,46,48,52,51,101,45,48,54,32,56,46,53,
      49,51,51,53,101,45,48,55,32,53,46,51,48,57,56,49,101,45,48,55,32,50,46,55,55,
      55,49,51,101,45,48,55,32,49,46,52,55,55,54,57,101,45,48,55,32,54,46,55,50,54,
      56,53,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,10,32,32,49,46,49,57,
      55,51,56,101,45,48,56,32,53,46,52,54,51,52,55,101,45,48,57,32,51,46,48,53,57,
      48,57,101,45,48,56,32,49,46,49,55,56,57,51,101,45,48,56,32,54,46,48,51,52,52,
      49,101,45,48,57,32,50,46,56,53,56,56,101,45,48,57,32,49,46,48,53,55,55,101,
      45,48,57,10,32,32,52,46,52,51,55,57,54,101,45,49,48,32,49,46,56,54,52,53,50,
      101,45,49,48,32,54,46,57,51,48,54,54,101,45,49,49,32,50,46,53,55,57,56,51,101,
      45,49,49,32,49,46,48,56,55,55,49,101,45,49,49,32,52,46,53,57,48,49,57,101,45,
      49,50,32,49,46,57,48,55,56,101,45,49,50,10,32,32,55,46,49,50,53,49,55,101,45,
      49,51,32,50,46,51,53,53,52,55,101,45,49,51,32,54,46,56,57,52,53,49,101,45,49,
      52,32,50,46,50,56,52,50,56,101,45,49,52,32,54,46,55,48,49,49,52,101,45,49,53,
      32,50,46,50,50,52,51,57,101,45,49,53,32,55,46,51,56,57,54,50,101,45,49,54,10,
      32,32,50,46,49,55,51,56,56,101,45,49,54,32,53,46,56,54,49,48,53,101,45,49,55,
      32,50,46,49,51,48,53,50,101,45,49,55,32,54,46,54,49,50,54,52,101,45,49,56,32,
      50,46,51,54,54,48,53,101,45,49,56,32,55,46,56,57,49,52,101,45,49,57,32,50,46,
      53,53,50,49,51,101,45,49,57,10,32,32,56,46,53,49,49,48,55,101,45,50,48,32,50,
      46,56,51,57,54,53,101,45,50,48,32,48,114,53,51,32,51,46,56,55,55,51,51,101,
      45,48,53,32,53,46,49,54,57,51,54,101,45,48,53,32,54,46,56,57,50,55,49,101,45,
      48,53,32,57,46,49,57,48,49,101,45,48,53,32,46,48,50,53,52,52,56,52,10,32,32,
      46,48,51,51,57,51,48,57,32,46,48,52,53,50,52,48,56,32,46,48,54,48,51,49,57,
      49,32,46,48,56,48,52,49,57,56,32,46,49,48,55,50,50,49,32,46,49,52,50,57,53,
      55,32,46,49,57,48,53,56,55,32,46,50,53,52,48,57,50,32,46,51,51,56,55,51,51,
      32,46,52,53,49,53,51,53,10,32,32,46,54,48,49,56,53,55,32,46,56,48,50,49,50,
      53,32,49,46,50,48,50,48,55,32,49,46,57,57,57,50,52,32,50,46,55,57,50,50,32,
      51,46,57,55,50,49,55,32,53,46,53,50,51,56,55,32,55,46,55,57,52,55,54,32,49,
      49,46,51,56,56,51,32,49,55,46,54,50,56,51,32,50,50,46,52,49,52,54,10,32,32,
      50,54,46,55,57,50,50,32,50,56,46,54,56,55,50,32,50,55,46,48,52,32,50,52,46,
      50,55,55,55,32,50,49,46,52,51,49,57,32,49,54,46,55,54,54,49,32,49,51,46,50,
      49,57,49,32,49,48,46,55,50,49,56,32,57,46,55,52,50,51,56,32,56,46,56,57,55,
      53,57,32,56,46,49,54,51,50,51,10,32,32,55,46,53,50,48,53,53,32,54,46,57,52,
      50,54,50,32,54,46,52,50,51,51,49,32,53,46,57,54,52,49,56,32,53,46,53,53,54,
      49,32,53,46,49,57,49,53,52,32,52,46,56,54,52,51,49,32,52,46,53,49,52,32,52,
      46,50,48,51,50,53,32,51,46,56,52,48,54,50,32,51,46,53,50,54,55,53,10,32,32,
      51,46,50,53,51,52,50,32,50,46,57,53,56,53,49,32,50,46,55,48,53,52,56,32,50,
      46,52,56,55,50,52,32,50,46,50,54,50,54,54,32,50,46,48,55,48,49,50,32,49,46,
      56,53,51,56,55,32,49,46,54,55,52,49,57,32,49,46,53,50,50,55,57,32,49,46,51,
      55,56,57,50,10,32,32,49,46,50,52,52,50,51,32,49,46,49,50,48,54,50,32,49,46,
      48,48,56,50,51,32,46,57,48,54,48,51,55,32,46,56,48,56,50,50,54,32,46,55,50,
      54,55,54,52,32,46,54,52,57,51,53,52,32,46,53,54,55,49,48,54,32,46,52,57,54,
      52,53,54,32,46,52,53,49,49,54,51,10,32,32,46,52,48,51,48,52,51,32,46,51,53,
      51,53,52,50,32,46,51,48,57,53,49,53,32,46,50,55,48,52,56,56,32,46,50,51,53,
      48,57,50,32,46,50,48,54,53,48,52,32,46,49,56,49,48,55,50,32,46,49,53,53,52,
      56,54,32,46,49,50,55,57,52,51,32,46,49,48,54,57,49,32,46,48,56,57,56,55,57,
      55,10,32,32,46,48,55,56,51,55,53,50,32,46,48,54,56,48,54,52,55,32,46,48,53,
      54,52,50,50,57,32,46,48,52,55,49,51,48,49,32,46,48,51,57,54,53,52,49,32,46,
      48,51,52,50,52,57,52,32,46,48,50,55,57,52,52,51,32,46,48,50,50,56,57,54,55,
      32,46,48,49,56,55,55,51,51,10,32,32,46,48,49,53,54,54,50,49,32,46,48,49,51,
      48,53,49,50,32,46,48,49,48,57,48,56,53,32,46,48,48,56,57,51,53,55,57,32,46,
      48,48,55,52,51,50,57,50,32,46,48,48,54,52,57,50,57,49,32,46,48,48,53,48,51,
      48,49,50,32,46,48,48,51,57,52,57,50,51,32,46,48,48,51,49,52,52,52,54,10,32,
      32,46,48,48,50,52,52,57,56,49,32,46,48,48,49,57,53,50,57,49,32,46,48,48,49,
      53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,48,57,53,55,54,48,
      57,32,46,48,48,48,55,55,49,52,51,54,32,46,48,48,48,54,48,55,54,51,50,32,46,
      48,48,48,53,49,48,56,49,56,10,32,32,46,48,48,48,52,50,57,57,56,53,32,46,48,
      48,48,51,50,52,52,56,49,32,46,48,48,48,50,55,51,51,52,51,32,46,48,48,48,50,
      48,56,57,49,56,32,46,48,48,48,49,53,55,52,49,55,32,46,48,48,48,49,51,50,57,
      49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,53,56,101,45,48,53,
      10,32,32,54,46,52,48,49,54,101,45,48,53,32,53,46,52,51,56,55,50,101,45,48,53,
      32,52,46,49,56,50,50,54,101,45,48,53,32,51,46,53,54,52,50,54,101,45,48,53,32,
      50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,49,
      46,54,51,55,54,53,101,45,48,53,10,32,32,49,46,52,52,49,57,52,101,45,48,53,32,
      49,46,49,50,57,49,49,101,45,48,53,32,56,46,54,50,48,56,53,101,45,48,54,32,54,
      46,56,56,55,51,53,101,45,48,54,32,53,46,53,48,52,49,49,101,45,48,54,32,52,46,
      52,54,51,55,51,101,45,48,54,32,51,46,54,51,50,52,56,101,45,48,54,10,32,32,50,
      46,56,57,49,52,50,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,32,49,46,
      56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,53,101,45,48,54,32,49,46,50,
      50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,
      54,101,45,48,55,10,32,32,53,46,51,48,57,56,49,101,45,48,55,32,50,46,55,55,55,
      49,51,101,45,48,55,32,49,46,52,55,55,54,57,101,45,48,55,32,54,46,55,50,54,56,
      53,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,57,55,51,56,
      101,45,48,56,32,53,46,52,54,51,52,56,101,45,48,57,10,32,32,51,46,48,53,57,48,
      52,101,45,48,56,32,49,46,49,55,56,57,49,101,45,48,56,32,54,46,48,51,52,51,101,
      45,48,57,32,50,46,56,53,56,55,52,101,45,48,57,32,49,46,48,53,55,54,56,101,45,
      48,57,32,52,46,52,51,55,56,56,101,45,49,48,32,49,46,56,54,52,52,56,101,45,49,
      48,10,32,32,54,46,57,51,48,53,51,101,45,49,49,32,50,46,53,55,57,55,56,101,45,
      49,49,32,49,46,48,56,55,54,57,101,45,49,49,32,52,46,53,57,48,49,49,101,45,49,
      50,32,49,46,57,48,55,55,55,101,45,49,50,32,55,46,49,50,53,48,54,101,45,49,51,
      32,50,46,51,53,53,52,51,101,45,49,51,10,32,32,54,46,56,57,52,52,49,101,45,49,
      52,32,50,46,50,56,52,50,52,101,45,49,52,32,54,46,55,48,49,48,52,101,45,49,53,
      32,50,46,50,50,52,51,54,101,45,49,53,32,55,46,51,56,57,53,50,101,45,49,54,32,
      50,46,49,55,51,56,53,101,45,49,54,32,53,46,56,54,48,57,55,101,45,49,55,10,32,
      32,50,46,49,51,48,52,57,101,45,49,55,32,54,46,54,49,50,53,54,101,45,49,56,32,
      50,46,51,54,54,48,50,101,45,49,56,32,55,46,56,57,49,51,101,45,49,57,32,50,46,
      53,53,50,48,55,101,45,49,57,32,56,46,53,49,48,56,57,101,45,50,48,32,50,46,56,
      51,57,53,57,101,45,50,48,10,32,32,48,114,53,51,32,51,46,56,55,55,51,55,101,
      45,48,53,32,53,46,49,54,57,52,50,101,45,48,53,32,54,46,56,57,50,55,57,101,45,
      48,53,32,57,46,49,57,48,50,101,45,48,53,32,46,48,48,48,49,50,50,53,51,53,32,
      46,48,48,48,49,54,51,51,56,32,46,48,49,49,52,52,57,50,10,32,32,46,48,49,53,
      50,54,53,49,32,46,48,50,48,51,53,50,49,32,46,48,50,55,49,51,52,56,32,46,48,
      51,54,49,55,56,55,32,46,48,52,56,50,51,50,54,32,46,48,54,52,51,48,52,54,32,
      46,48,56,53,55,50,53,57,32,46,49,49,52,50,55,54,32,46,49,53,50,51,50,52,32,
      46,50,48,51,48,50,10,32,32,46,51,48,52,50,57,50,32,46,53,48,54,51,50,55,32,
      46,55,48,55,54,53,32,49,46,48,48,56,50,32,49,46,52,48,54,48,50,32,49,46,57,
      57,53,56,51,32,50,46,57,53,55,52,51,32,52,46,55,56,51,53,49,32,54,46,52,53,
      51,51,52,32,56,46,54,48,57,51,51,32,49,48,46,56,48,48,53,10,32,32,49,50,46,
      54,54,48,50,32,49,51,46,50,49,52,56,32,49,51,46,49,51,55,57,32,49,50,46,48,
      52,52,53,32,49,48,46,53,51,57,49,32,57,46,48,57,52,51,50,32,56,46,52,52,48,
      48,54,32,55,46,56,52,56,51,53,32,55,46,51,49,51,50,56,32,54,46,56,50,56,56,
      54,10,32,32,54,46,51,55,51,57,56,32,53,46,57,53,48,57,54,32,53,46,53,55,48,
      49,32,53,46,50,50,53,57,57,32,52,46,57,49,52,50,51,32,52,46,54,51,49,48,51,
      32,52,46,51,50,51,55,55,32,52,46,48,52,55,56,54,32,51,46,55,50,49,55,56,32,
      51,46,52,51,54,48,49,32,51,46,49,56,52,49,49,10,32,32,50,46,57,48,56,57,51,
      32,50,46,54,55,49,48,54,32,50,46,52,54,49,48,49,32,50,46,50,52,49,48,54,32,
      50,46,48,53,51,48,49,32,49,46,56,52,49,49,54,32,49,46,54,54,52,51,51,32,49,
      46,53,49,52,54,32,49,46,51,55,50,50,51,32,49,46,50,51,57,48,53,32,49,46,49,
      49,54,54,50,10,32,32,49,46,48,48,53,49,57,32,46,57,48,52,51,56,55,32,46,56,
      48,55,48,51,56,32,46,55,50,53,55,53,51,32,46,54,52,56,53,53,54,32,46,53,54,
      54,53,52,55,32,46,52,57,54,49,52,50,32,46,52,53,49,48,48,54,32,46,52,48,50,
      57,48,57,32,46,51,53,51,52,52,50,10,32,32,46,51,48,57,52,53,52,32,46,50,55,
      48,52,53,55,32,46,50,51,53,48,53,51,32,46,50,48,54,52,53,51,32,46,49,56,49,
      48,49,56,32,46,49,53,53,52,49,57,32,46,49,50,55,57,49,49,32,46,49,48,54,56,
      57,56,32,46,48,56,57,56,55,53,56,32,46,48,55,56,51,55,51,10,32,32,46,48,54,
      56,48,54,49,32,46,48,53,54,52,50,48,56,32,46,48,52,55,49,50,56,56,32,46,48,
      51,57,54,53,51,32,46,48,51,52,50,52,56,56,32,46,48,50,55,57,52,51,54,32,46,
      48,50,50,56,57,54,53,32,46,48,49,56,55,55,51,49,32,46,48,49,53,54,54,49,57,
      32,46,48,49,51,48,53,48,57,10,32,32,46,48,49,48,57,48,56,53,32,46,48,48,56,
      57,51,53,55,54,32,46,48,48,55,52,51,50,56,56,32,46,48,48,54,52,57,50,56,56,
      32,46,48,48,53,48,51,48,48,57,32,46,48,48,51,57,52,57,50,49,32,46,48,48,51,
      49,52,52,52,53,32,46,48,48,50,52,52,57,56,32,46,48,48,49,57,53,50,57,49,10,
      32,32,46,48,48,49,53,50,53,54,53,32,46,48,48,49,50,48,50,53,52,32,46,48,48,
      48,57,53,55,54,48,56,32,46,48,48,48,55,55,49,52,51,55,32,46,48,48,48,54,48,
      55,54,51,51,32,46,48,48,48,53,49,48,56,49,56,32,46,48,48,48,52,50,57,57,56,
      53,32,46,48,48,48,51,50,52,52,56,49,10,32,32,46,48,48,48,50,55,51,51,52,50,
      32,46,48,48,48,50,48,56,57,49,55,32,46,48,48,48,49,53,55,52,49,54,32,46,48,
      48,48,49,51,50,57,49,56,32,46,48,48,48,49,49,50,50,49,56,32,56,46,53,57,48,
      53,57,101,45,48,53,32,54,46,52,48,49,54,101,45,48,53,32,53,46,52,51,56,55,51,
      101,45,48,53,10,32,32,52,46,49,56,50,50,56,101,45,48,53,32,51,46,53,54,52,50,
      55,101,45,48,53,32,50,46,55,53,48,51,101,45,48,53,32,50,46,50,50,56,56,54,101,
      45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,52,101,45,
      48,53,32,49,46,49,50,57,49,49,101,45,48,53,10,32,32,56,46,54,50,48,56,52,101,
      45,48,54,32,54,46,56,56,55,51,51,101,45,48,54,32,53,46,53,48,52,49,101,45,48,
      54,32,52,46,52,54,51,55,50,101,45,48,54,32,51,46,54,51,50,52,55,101,45,48,54,
      32,50,46,56,57,49,52,49,101,45,48,54,32,50,46,51,54,49,53,56,101,45,48,54,10,
      32,32,49,46,56,56,57,55,51,101,45,48,54,32,49,46,54,48,52,49,53,101,45,48,54,
      32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,
      53,49,51,51,56,101,45,48,55,32,53,46,51,48,57,56,50,101,45,48,55,32,50,46,55,
      55,55,49,52,101,45,48,55,10,32,32,49,46,52,55,55,54,57,101,45,48,55,32,54,46,
      55,50,54,56,54,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,46,49,
      57,55,51,57,101,45,48,56,32,53,46,52,54,51,52,57,101,45,48,57,32,51,46,48,53,
      56,56,50,101,45,48,56,32,49,46,49,55,56,56,51,101,45,48,56,10,32,32,54,46,48,
      51,51,56,55,101,45,48,57,32,50,46,56,53,56,53,51,101,45,48,57,32,49,46,48,53,
      55,54,101,45,48,57,32,52,46,52,51,55,53,54,101,45,49,48,32,49,46,56,54,52,51,
      53,101,45,49,48,32,54,46,57,51,48,48,50,101,45,49,49,32,50,46,53,55,57,53,57,
      101,45,49,49,10,32,32,49,46,48,56,55,54,49,101,45,49,49,32,52,46,53,56,57,55,
      54,101,45,49,50,32,49,46,57,48,55,54,54,101,45,49,50,32,55,46,49,50,52,54,53,
      101,45,49,51,32,50,46,51,53,53,51,101,45,49,51,32,54,46,56,57,52,48,50,101,
      45,49,52,32,50,46,50,56,52,49,50,101,45,49,52,10,32,32,54,46,55,48,48,54,55,
      101,45,49,53,32,50,46,50,50,52,50,52,101,45,49,53,32,55,46,51,56,57,49,51,101,
      45,49,54,32,50,46,49,55,51,55,52,101,45,49,54,32,53,46,56,54,48,54,55,101,45,
      49,55,32,50,46,49,51,48,51,56,101,45,49,55,32,54,46,54,49,50,50,50,101,45,49,
      56,10,32,32,50,46,51,54,53,57,101,45,49,56,32,55,46,56,57,48,57,49,101,45,49,
      57,32,50,46,53,53,49,56,54,101,45,49,57,32,56,46,53,49,48,49,56,101,45,50,48,
      32,50,46,56,51,57,51,53,101,45,50,48,32,48,114,53,51,32,51,46,56,55,55,51,57,
      101,45,48,53,32,53,46,49,54,57,52,53,101,45,48,53,10,32,32,54,46,56,57,50,56,
      51,101,45,48,53,32,57,46,49,57,48,50,53,101,45,48,53,32,46,48,48,48,49,50,50,
      53,51,54,32,46,48,48,48,49,54,51,51,56,32,46,48,48,48,50,49,55,56,52,32,46,
      48,48,48,50,57,48,52,52,54,32,46,48,48,57,50,51,50,56,52,32,46,48,49,50,51,
      48,57,57,10,32,32,46,48,49,54,52,49,50,55,32,46,48,50,49,56,56,49,49,32,46,
      48,50,57,49,55,50,51,32,46,48,51,56,56,57,48,51,32,46,48,53,49,56,52,50,51,
      32,46,48,54,57,49,48,51,55,32,46,48,57,50,49,48,51,55,32,46,49,51,56,48,53,
      49,32,46,50,50,57,55,51,49,32,46,51,50,49,49,49,54,10,32,32,46,52,53,55,54,
      50,55,32,46,54,51,56,53,51,54,32,46,57,48,55,51,57,52,32,49,46,51,52,56,50,
      55,32,50,46,49,57,57,52,56,32,51,46,48,48,52,50,55,32,52,46,49,49,49,48,49,
      32,53,46,51,56,49,50,51,32,54,46,56,49,54,48,50,32,55,46,54,48,57,56,52,10,
      32,32,56,46,48,54,57,54,51,32,56,46,50,56,52,48,57,32,55,46,57,49,56,55,56,
      32,55,46,51,48,51,53,53,32,54,46,57,53,52,53,49,32,54,46,54,48,53,54,49,32,
      54,46,50,54,57,50,54,32,53,46,57,52,56,54,55,32,53,46,54,51,50,57,55,32,53,
      46,51,50,55,55,50,10,32,32,53,46,48,52,52,53,50,32,52,46,55,56,49,55,55,32,
      52,46,53,51,55,57,54,32,52,46,51,49,49,55,54,32,52,46,48,54,49,53,53,32,51,
      46,56,51,50,48,56,32,51,46,53,52,55,51,53,32,51,46,50,56,56,55,51,32,51,46,
      48,53,57,49,51,32,50,46,56,48,54,55,51,10,32,32,50,46,53,56,54,50,57,32,50,
      46,51,57,51,48,53,32,50,46,49,57,49,49,51,32,50,46,48,49,54,48,51,32,49,46,
      56,49,54,49,55,32,49,46,54,52,55,52,54,32,49,46,53,48,51,51,51,32,49,46,51,
      54,53,49,54,32,49,46,50,51,51,57,53,32,49,46,49,49,50,55,53,10,32,32,49,46,
      48,48,50,48,49,32,46,57,48,49,54,55,54,32,46,56,48,53,51,57,57,32,46,55,50,
      52,55,50,51,32,46,54,52,55,56,48,54,32,46,53,54,54,48,50,57,32,46,52,57,53,
      55,56,32,46,52,53,48,54,56,52,32,46,52,48,50,55,49,56,32,46,51,53,51,51,53,
      54,32,46,51,48,57,51,52,53,10,32,32,46,50,55,48,51,52,55,32,46,50,51,52,57,
      52,56,32,46,50,48,54,51,55,55,32,46,49,56,48,57,53,50,32,46,49,53,53,51,53,
      32,46,49,50,55,56,54,57,32,46,49,48,54,56,56,50,32,46,48,56,57,56,54,51,56,
      32,46,48,55,56,51,54,53,55,32,46,48,54,56,48,53,54,55,10,32,32,46,48,53,54,
      52,49,55,32,46,48,52,55,49,50,55,49,32,46,48,51,57,54,53,49,56,32,46,48,51,
      52,50,52,55,52,32,46,48,50,55,57,52,51,32,46,48,50,50,56,57,53,57,32,46,48,
      49,56,55,55,50,56,32,46,48,49,53,54,54,49,54,32,46,48,49,51,48,53,48,53,32,
      46,48,49,48,57,48,56,51,10,32,32,46,48,48,56,57,51,53,54,56,32,46,48,48,55,
      52,51,50,56,50,32,46,48,48,54,52,57,50,56,32,46,48,48,53,48,51,48,48,52,32,
      46,48,48,51,57,52,57,49,57,32,46,48,48,51,49,52,52,52,51,32,46,48,48,50,52,
      52,57,55,57,32,46,48,48,49,57,53,50,57,32,46,48,48,49,53,50,53,54,53,10,32,
      32,46,48,48,49,50,48,50,53,53,32,46,48,48,48,57,53,55,54,48,53,32,46,48,48,
      48,55,55,49,52,51,55,32,46,48,48,48,54,48,55,54,51,51,32,46,48,48,48,53,49,
      48,56,49,57,32,46,48,48,48,52,50,57,57,56,52,32,46,48,48,48,51,50,52,52,55,
      57,32,46,48,48,48,50,55,51,51,52,10,32,32,46,48,48,48,50,48,56,57,49,54,32,
      46,48,48,48,49,53,55,52,49,54,32,46,48,48,48,49,51,50,57,49,55,32,46,48,48,
      48,49,49,50,50,49,55,32,56,46,53,57,48,53,55,101,45,48,53,32,54,46,52,48,49,
      54,50,101,45,48,53,32,53,46,52,51,56,55,53,101,45,48,53,10,32,32,52,46,49,56,
      50,50,57,101,45,48,53,32,51,46,53,54,52,50,55,101,45,48,53,32,50,46,55,53,48,
      51,49,101,45,48,53,32,50,46,50,50,56,56,55,101,45,48,53,32,49,46,54,51,55,54,
      54,101,45,48,53,32,49,46,52,52,49,57,52,101,45,48,53,32,49,46,49,50,57,49,101,
      45,48,53,10,32,32,56,46,54,50,48,56,101,45,48,54,32,54,46,56,56,55,51,101,45,
      48,54,32,53,46,53,48,52,48,56,101,45,48,54,32,52,46,52,54,51,55,101,45,48,54,
      32,51,46,54,51,50,52,53,101,45,48,54,32,50,46,56,57,49,52,101,45,48,54,32,50,
      46,51,54,49,53,55,101,45,48,54,10,32,32,49,46,56,56,57,55,50,101,45,48,54,32,
      49,46,54,48,52,49,53,101,45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,
      46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,57,101,45,48,55,32,53,46,51,48,
      57,56,50,101,45,48,55,32,50,46,55,55,55,49,52,101,45,48,55,10,32,32,49,46,52,
      55,55,54,57,101,45,48,55,32,54,46,55,50,54,56,54,101,45,48,56,32,51,46,48,54,
      55,52,52,101,45,48,56,32,49,46,49,57,55,51,57,101,45,48,56,32,53,46,52,54,51,
      52,57,101,45,48,57,32,51,46,48,53,56,54,101,45,48,56,32,49,46,49,55,56,55,52,
      101,45,48,56,10,32,32,54,46,48,51,51,52,52,101,45,48,57,32,50,46,56,53,56,51,
      51,101,45,48,57,32,49,46,48,53,55,53,51,101,45,48,57,32,52,46,52,51,55,50,52,
      101,45,49,48,32,49,46,56,54,52,50,49,101,45,49,48,32,54,46,57,50,57,53,49,101,
      45,49,49,32,50,46,53,55,57,52,101,45,49,49,10,32,32,49,46,48,56,55,53,51,101,
      45,49,49,32,52,46,53,56,57,52,50,101,45,49,50,32,49,46,57,48,55,53,53,101,45,
      49,50,32,55,46,49,50,52,50,52,101,45,49,51,32,50,46,51,53,53,49,55,101,45,49,
      51,32,54,46,56,57,51,54,52,101,45,49,52,32,50,46,50,56,51,57,57,101,45,49,52,
      10,32,32,54,46,55,48,48,51,49,101,45,49,53,32,50,46,50,50,52,49,50,101,45,49,
      53,32,55,46,51,56,56,55,52,101,45,49,54,32,50,46,49,55,51,54,51,101,45,49,54,
      32,53,46,56,54,48,51,55,101,45,49,55,32,50,46,49,51,48,50,55,101,45,49,55,32,
      54,46,54,49,49,56,57,101,45,49,56,10,32,32,50,46,51,54,53,55,56,101,45,49,56,
      32,55,46,56,57,48,53,51,101,45,49,57,32,50,46,53,53,49,54,53,101,45,49,57,32,
      56,46,53,48,57,52,56,101,45,50,48,32,50,46,56,51,57,49,50,101,45,50,48,32,48,
      114,53,51,32,51,46,56,55,55,51,57,101,45,48,53,32,53,46,49,54,57,52,52,101,
      45,48,53,10,32,32,54,46,56,57,50,56,50,101,45,48,53,32,57,46,49,57,48,50,52,
      101,45,48,53,32,46,48,48,48,49,50,50,53,51,54,32,46,48,48,48,49,54,51,51,56,
      32,46,48,48,48,50,49,55,56,52,32,46,48,48,48,50,57,48,52,52,54,32,46,48,48,
      48,51,56,55,50,51,56,32,46,48,48,55,49,50,52,50,51,10,32,32,46,48,48,57,52,
      57,56,55,49,32,46,48,49,50,54,54,51,53,32,46,48,49,54,56,56,51,50,32,46,48,
      50,50,53,48,55,53,32,46,48,51,48,48,48,51,53,32,46,48,51,57,57,57,51,53,32,
      46,48,53,51,51,48,52,57,32,46,48,55,57,56,57,55,53,32,46,49,51,50,57,54,50,
      10,32,32,46,49,56,53,56,54,50,32,46,50,54,52,57,32,46,51,54,57,54,56,54,32,
      46,53,50,53,53,52,55,32,46,55,56,49,54,51,53,32,49,46,50,55,56,57,56,32,49,
      46,55,53,52,56,51,32,50,46,52,50,51,55,53,32,51,46,50,50,53,54,32,52,46,50,
      50,48,49,32,52,46,56,53,56,52,49,10,32,32,53,46,51,51,50,51,52,32,53,46,56,
      52,56,57,51,32,53,46,57,52,53,48,52,32,53,46,55,55,48,54,49,32,53,46,54,50,
      52,49,49,32,53,46,52,53,49,55,50,32,53,46,50,54,54,48,57,32,53,46,48,55,52,
      54,53,32,52,46,56,55,53,57,54,32,52,46,54,55,53,53,52,10,32,32,52,46,52,56,
      49,52,54,32,52,46,50,57,52,56,55,32,52,46,49,49,54,49,32,51,46,57,52,53,53,
      54,32,51,46,55,52,50,50,56,32,51,46,53,53,48,57,51,32,51,46,51,49,54,55,56,
      32,51,46,49,48,52,49,49,32,50,46,57,49,49,49,52,32,50,46,54,57,52,51,54,32,
      50,46,53,48,49,53,56,10,32,32,50,46,51,50,53,52,32,50,46,49,51,53,52,57,32,
      49,46,57,55,48,49,32,49,46,55,56,48,51,52,32,49,46,54,49,57,53,49,32,49,46,
      52,56,49,55,56,32,49,46,51,52,56,52,55,32,49,46,50,50,50,51,55,32,49,46,49,
      48,53,49,56,32,46,57,57,55,50,48,54,32,46,56,57,56,55,53,52,10,32,32,46,56,
      48,51,51,49,50,32,46,55,50,51,51,53,57,32,46,54,52,55,49,49,49,32,46,53,54,
      53,53,53,57,32,46,52,57,53,51,54,55,32,46,52,53,48,51,54,50,32,46,52,48,50,
      51,56,53,32,46,51,53,51,48,52,51,32,46,51,48,57,49,49,49,32,46,50,55,48,49,
      54,51,10,32,32,46,50,51,52,56,51,52,32,46,50,48,54,50,56,57,32,46,49,56,48,
      56,55,53,32,46,49,53,53,50,56,53,32,46,49,50,55,56,50,54,32,46,49,48,54,56,
      54,49,32,46,48,56,57,56,53,49,32,46,48,55,56,51,53,51,50,32,46,48,54,56,48,
      52,56,50,32,46,48,53,54,52,49,50,50,10,32,32,46,48,52,55,49,50,52,52,32,46,
      48,51,57,54,53,48,51,32,46,48,51,52,50,52,53,56,32,46,48,50,55,57,52,49,54,
      32,46,48,50,50,56,57,53,32,46,48,49,56,55,55,50,50,32,46,48,49,53,54,54,49,
      50,32,46,48,49,51,48,53,48,50,32,46,48,49,48,57,48,56,49,10,32,32,46,48,48,
      56,57,51,53,53,54,32,46,48,48,55,52,51,50,55,49,32,46,48,48,54,52,57,50,55,
      50,32,46,48,48,53,48,50,57,57,56,32,46,48,48,51,57,52,57,49,54,32,46,48,48,
      51,49,52,52,52,32,46,48,48,50,52,52,57,55,55,32,46,48,48,49,57,53,50,56,57,
      32,46,48,48,49,53,50,53,54,52,10,32,32,46,48,48,49,50,48,50,53,52,32,46,48,
      48,48,57,53,55,54,48,50,32,46,48,48,48,55,55,49,52,51,54,32,46,48,48,48,54,
      48,55,54,51,51,32,46,48,48,48,53,49,48,56,49,55,32,46,48,48,48,52,50,57,57,
      56,50,32,46,48,48,48,51,50,52,52,55,56,32,46,48,48,48,50,55,51,51,51,56,10,
      32,32,46,48,48,48,50,48,56,57,49,53,32,46,48,48,48,49,53,55,52,49,53,32,46,
      48,48,48,49,51,50,57,49,54,32,46,48,48,48,49,49,50,50,49,55,32,56,46,53,57,
      48,53,52,101,45,48,53,32,54,46,52,48,49,54,49,101,45,48,53,32,53,46,52,51,56,
      55,53,101,45,48,53,10,32,32,52,46,49,56,50,50,57,101,45,48,53,32,51,46,53,54,
      52,50,55,101,45,48,53,32,50,46,55,53,48,51,49,101,45,48,53,32,50,46,50,50,56,
      56,55,101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,
      51,101,45,48,53,32,49,46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,55,
      55,101,45,48,54,32,54,46,56,56,55,50,54,101,45,48,54,32,53,46,53,48,52,48,53,
      101,45,48,54,32,52,46,52,54,51,54,56,101,45,48,54,32,51,46,54,51,50,52,52,101,
      45,48,54,32,50,46,56,57,49,51,57,101,45,48,54,32,50,46,51,54,49,53,54,101,45,
      48,54,10,32,32,49,46,56,56,57,55,50,101,45,48,54,32,49,46,54,48,52,49,52,101,
      45,48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,
      32,56,46,53,49,51,52,101,45,48,55,32,53,46,51,48,57,56,50,101,45,48,55,32,50,
      46,55,55,55,49,52,101,45,48,55,10,32,32,49,46,52,55,55,54,57,101,45,48,55,32,
      54,46,55,50,54,56,53,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,
      46,49,57,55,51,57,101,45,48,56,32,53,46,52,54,51,52,57,101,45,48,57,32,51,46,
      48,53,56,51,57,101,45,48,56,32,49,46,49,55,56,54,54,101,45,48,56,10,32,32,54,
      46,48,51,51,48,49,101,45,48,57,32,50,46,56,53,56,49,51,101,45,48,57,32,49,46,
      48,53,55,52,53,101,45,48,57,32,52,46,52,51,54,57,50,101,45,49,48,32,49,46,56,
      54,52,48,56,101,45,49,48,32,54,46,57,50,57,48,49,101,45,49,49,32,50,46,53,55,
      57,50,50,101,45,49,49,10,32,32,49,46,48,56,55,52,53,101,45,49,49,32,52,46,53,
      56,57,48,57,101,45,49,50,32,49,46,57,48,55,52,52,101,45,49,50,32,55,46,49,50,
      51,56,52,101,45,49,51,32,50,46,51,53,53,48,52,101,45,49,51,32,54,46,56,57,51,
      50,54,101,45,49,52,32,50,46,50,56,51,56,55,101,45,49,52,10,32,32,54,46,54,57,
      57,57,53,101,45,49,53,32,50,46,50,50,52,48,49,101,45,49,53,32,55,46,51,56,56,
      51,53,101,45,49,54,32,50,46,49,55,51,53,49,101,45,49,54,32,53,46,56,54,48,48,
      55,101,45,49,55,32,50,46,49,51,48,49,55,101,45,49,55,32,54,46,54,49,49,53,55,
      101,45,49,56,10,32,32,50,46,51,54,53,54,55,101,45,49,56,32,55,46,56,57,48,49,
      54,101,45,49,57,32,50,46,53,53,49,52,52,101,45,49,57,32,56,46,53,48,56,55,56,
      101,45,50,48,32,50,46,56,51,56,56,56,101,45,50,48,32,48,114,53,51,32,51,46,
      56,55,55,51,54,101,45,48,53,32,53,46,49,54,57,52,101,45,48,53,10,32,32,54,46,
      56,57,50,55,55,101,45,48,53,32,57,46,49,57,48,49,55,101,45,48,53,32,46,48,48,
      48,49,50,50,53,51,53,32,46,48,48,48,49,54,51,51,55,57,32,46,48,48,48,50,49,
      55,56,51,56,32,46,48,48,48,50,57,48,52,52,52,32,46,48,48,48,51,56,55,50,51,
      53,32,46,48,48,52,55,50,53,57,50,10,32,32,46,48,48,54,51,48,49,48,54,32,46,
      48,48,56,52,48,48,52,53,32,46,48,49,49,49,57,57,55,32,46,48,49,52,57,51,48,
      54,32,46,48,49,57,57,48,51,49,32,46,48,50,54,53,51,48,50,32,46,48,51,53,51,
      54,48,53,32,46,48,53,51,48,48,49,52,32,46,48,56,56,50,48,51,53,10,32,32,46,
      49,50,51,50,57,57,32,46,49,55,53,55,51,57,32,46,50,52,53,50,55,55,32,46,51,
      52,56,55,52,55,32,46,53,49,56,57,49,49,32,46,56,53,48,50,55,49,32,49,46,49,
      54,56,57,52,32,49,46,54,50,49,55,53,32,50,46,49,55,53,55,53,32,50,46,56,57,
      50,51,51,10,32,32,51,46,51,56,51,57,52,32,51,46,55,56,51,50,49,32,52,46,51,
      49,55,49,54,32,52,46,53,54,53,49,49,32,52,46,54,48,50,49,49,32,52,46,53,54,
      52,51,32,52,46,52,57,54,56,55,32,52,46,52,49,48,51,53,32,52,46,51,48,55,54,
      50,32,52,46,49,57,50,56,57,32,52,46,48,55,48,53,56,10,32,32,51,46,57,52,53,
      49,57,32,51,46,56,49,56,56,54,32,51,46,54,57,49,56,53,32,51,46,53,54,50,48,
      57,32,51,46,52,49,49,53,51,32,51,46,50,54,55,49,52,32,51,46,48,56,53,48,50,
      32,50,46,57,49,52,57,49,32,50,46,55,53,48,54,49,32,50,46,53,54,32,50,46,51,
      56,56,49,57,10,32,32,50,46,50,51,51,50,50,32,50,46,48,54,54,55,49,32,49,46,
      57,49,56,52,52,32,49,46,55,52,53,53,49,32,49,46,53,57,50,48,49,32,49,46,52,
      53,57,54,50,32,49,46,51,51,49,53,32,49,46,50,48,57,49,56,32,49,46,48,57,53,
      48,54,32,46,57,56,57,56,48,53,32,46,56,57,51,50,52,51,10,32,32,46,55,57,57,
      54,54,56,32,46,55,50,49,48,48,52,32,46,54,52,53,56,55,55,32,46,53,54,52,57,
      51,57,32,46,52,57,52,54,57,57,32,46,52,52,57,55,48,52,32,46,52,48,49,56,53,
      50,32,46,51,53,50,54,50,52,32,46,51,48,56,56,50,57,32,46,50,54,57,57,55,52,
      10,32,32,46,50,51,52,54,57,54,32,46,50,48,54,49,56,32,46,49,56,48,55,57,52,
      32,46,49,53,53,50,50,50,32,46,49,50,55,55,56,50,32,46,49,48,54,56,51,52,32,
      46,48,56,57,56,51,50,52,32,46,48,55,56,51,52,48,57,32,46,48,54,56,48,51,55,
      57,32,46,48,53,54,52,48,53,49,10,32,32,46,48,52,55,49,50,48,50,32,46,48,51,
      57,54,52,55,54,32,46,48,51,52,50,52,51,49,32,46,48,50,55,57,51,57,57,32,46,
      48,50,50,56,57,51,57,32,46,48,49,56,55,55,49,53,32,46,48,49,53,54,54,48,54,
      32,46,48,49,51,48,52,57,56,32,46,48,49,48,57,48,55,56,10,32,32,46,48,48,56,
      57,51,53,51,57,32,46,48,48,55,52,51,50,53,56,32,46,48,48,54,52,57,50,54,49,
      32,46,48,48,53,48,50,57,57,49,32,46,48,48,51,57,52,57,49,49,32,46,48,48,51,
      49,52,52,51,55,32,46,48,48,50,52,52,57,55,53,32,46,48,48,49,57,53,50,56,55,
      10,32,32,46,48,48,49,53,50,53,54,51,32,46,48,48,49,50,48,50,53,52,32,46,48,
      48,48,57,53,55,53,57,56,32,46,48,48,48,55,55,49,52,51,50,32,46,48,48,48,54,
      48,55,54,50,57,32,46,48,48,48,53,49,48,56,49,53,32,46,48,48,48,52,50,57,57,
      56,32,46,48,48,48,51,50,52,52,55,54,10,32,32,46,48,48,48,50,55,51,51,51,55,
      32,46,48,48,48,50,48,56,57,49,52,32,46,48,48,48,49,53,55,52,49,52,32,46,48,
      48,48,49,51,50,57,49,54,32,46,48,48,48,49,49,50,50,49,54,32,56,46,53,57,48,
      53,49,101,45,48,53,32,54,46,52,48,49,53,57,101,45,48,53,32,53,46,52,51,56,55,
      51,101,45,48,53,10,32,32,52,46,49,56,50,50,56,101,45,48,53,32,51,46,53,54,52,
      50,55,101,45,48,53,32,50,46,55,53,48,51,49,101,45,48,53,32,50,46,50,50,56,56,
      54,101,45,48,53,32,49,46,54,51,55,54,53,101,45,48,53,32,49,46,52,52,49,57,51,
      101,45,48,53,32,49,46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,55,53,
      101,45,48,54,32,54,46,56,56,55,50,52,101,45,48,54,32,53,46,53,48,52,48,51,101,
      45,48,54,32,52,46,52,54,51,54,54,101,45,48,54,32,51,46,54,51,50,52,50,101,45,
      48,54,32,50,46,56,57,49,51,55,101,45,48,54,32,50,46,51,54,49,53,53,101,45,48,
      54,10,32,32,49,46,56,56,57,55,49,101,45,48,54,32,49,46,54,48,52,49,52,101,45,
      48,54,32,49,46,50,50,56,50,57,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,
      56,46,53,49,51,51,55,101,45,48,55,32,53,46,51,48,57,56,50,101,45,48,55,32,50,
      46,55,55,55,49,52,101,45,48,55,10,32,32,49,46,52,55,55,54,57,101,45,48,55,32,
      54,46,55,50,54,56,53,101,45,48,56,32,51,46,48,54,55,52,52,101,45,48,56,32,49,
      46,49,57,55,51,56,101,45,48,56,32,53,46,52,54,51,52,57,101,45,48,57,32,51,46,
      48,53,56,49,56,101,45,48,56,32,49,46,49,55,56,53,56,101,45,48,56,10,32,32,54,
      46,48,51,50,53,57,101,45,48,57,32,50,46,56,53,55,57,51,101,45,48,57,32,49,46,
      48,53,55,51,56,101,45,48,57,32,52,46,52,51,54,54,101,45,49,48,32,49,46,56,54,
      51,57,53,101,45,49,48,32,54,46,57,50,56,53,50,101,45,49,49,32,50,46,53,55,57,
      48,51,101,45,49,49,10,32,32,49,46,48,56,55,51,55,101,45,49,49,32,52,46,53,56,
      56,55,54,101,45,49,50,32,49,46,57,48,55,51,52,101,45,49,50,32,55,46,49,50,51,
      52,53,101,45,49,51,32,50,46,51,53,52,57,49,101,45,49,51,32,54,46,56,57,50,56,
      57,101,45,49,52,32,50,46,50,56,51,55,52,101,45,49,52,10,32,32,54,46,54,57,57,
      54,101,45,49,53,32,50,46,50,50,51,56,57,101,45,49,53,32,55,46,51,56,55,57,56,
      101,45,49,54,32,50,46,49,55,51,52,49,101,45,49,54,32,53,46,56,53,57,55,56,101,
      45,49,55,32,50,46,49,51,48,48,54,101,45,49,55,32,54,46,54,49,49,50,53,101,45,
      49,56,10,32,32,50,46,51,54,53,53,53,101,45,49,56,32,55,46,56,56,57,55,57,101,
      45,49,57,32,50,46,53,53,49,50,52,101,45,49,57,32,56,46,53,48,56,49,101,45,50,
      48,32,50,46,56,51,56,54,53,101,45,50,48,32,48,114,53,51,32,51,46,56,55,55,51,
      101,45,48,53,32,53,46,49,54,57,51,51,101,45,48,53,10,32,32,54,46,56,57,50,54,
      55,101,45,48,53,32,57,46,49,57,48,48,52,101,45,48,53,32,46,48,48,48,49,50,50,
      53,51,51,32,46,48,48,48,49,54,51,51,55,55,32,46,48,48,48,50,49,55,56,51,53,
      32,46,48,48,48,50,57,48,52,52,32,46,48,48,48,51,56,55,50,51,32,46,48,48,48,
      53,49,54,50,56,55,10,32,32,46,48,48,52,53,54,53,55,55,32,46,48,48,54,48,56,
      55,32,46,48,48,56,49,49,53,51,51,32,46,48,49,48,56,49,56,56,32,46,48,49,52,
      52,50,49,57,32,46,48,49,57,50,50,51,57,32,46,48,50,53,54,50,50,53,32,46,48,
      51,56,52,48,53,50,32,46,48,54,51,57,49,51,50,10,32,32,46,48,56,57,51,52,52,
      52,32,46,49,50,55,51,52,54,32,46,49,55,55,55,52,50,32,46,50,53,50,55,52,54,
      32,46,51,55,54,49,53,51,32,46,54,49,54,56,48,49,32,46,56,52,56,57,53,52,32,
      49,46,49,56,48,53,51,32,49,46,53,57,48,53,54,32,50,46,49,51,51,53,55,10,32,
      32,50,46,53,50,48,49,54,32,50,46,56,52,53,57,50,32,51,46,51,50,57,53,49,32,
      51,46,54,49,53,53,54,32,51,46,55,52,49,50,54,32,51,46,55,53,57,48,51,32,51,
      46,55,52,55,56,55,32,51,46,55,50,48,56,52,32,51,46,54,55,52,51,56,32,51,46,
      54,49,52,57,53,10,32,32,51,46,53,52,53,57,52,32,51,46,52,54,56,57,49,32,51,
      46,51,56,54,51,50,32,51,46,50,57,56,56,50,32,51,46,50,48,57,54,51,32,51,46,
      49,48,49,55,53,32,50,46,57,57,52,54,56,32,50,46,56,53,49,52,57,32,50,46,55,
      49,49,54,49,32,50,46,53,55,56,57,53,10,32,32,50,46,52,50,51,52,56,32,50,46,
      50,55,57,53,50,32,50,46,49,52,51,53,55,32,49,46,57,57,50,52,56,32,49,46,56,
      53,54,56,57,32,49,46,54,57,54,54,51,32,49,46,53,53,55,48,57,32,49,46,52,51,
      52,54,50,32,49,46,51,49,52,50,32,49,46,49,57,54,52,54,32,49,46,48,56,53,50,
      54,10,32,32,46,57,56,50,50,57,54,32,46,56,56,55,55,56,53,32,46,55,57,53,52,
      56,56,32,46,55,49,55,54,49,51,32,46,54,52,51,48,53,55,32,46,53,54,51,49,53,
      57,32,46,52,57,51,55,48,55,32,46,52,52,57,32,46,52,48,49,51,48,56,32,46,51,
      53,50,50,49,57,32,46,51,48,56,53,49,55,10,32,32,46,50,54,57,55,52,52,32,46,
      50,51,52,53,51,52,32,46,50,48,54,48,54,54,32,46,49,56,48,55,48,56,32,46,49,
      53,53,49,54,51,32,46,49,50,55,55,52,49,32,46,49,48,54,56,48,52,32,46,48,56,
      57,56,49,49,57,32,46,48,55,56,51,50,51,55,32,46,48,54,56,48,50,54,50,10,32,
      32,46,48,53,54,51,57,55,51,32,46,48,52,55,49,49,52,32,46,48,51,57,54,52,51,
      49,32,46,48,51,52,50,52,48,51,32,46,48,50,55,57,51,56,32,46,48,50,50,56,57,
      50,54,32,46,48,49,56,55,55,48,54,32,46,48,49,53,54,54,32,46,48,49,51,48,52,
      57,52,32,46,48,49,48,57,48,55,53,10,32,32,46,48,48,56,57,51,53,49,55,32,46,
      48,48,55,52,51,50,52,51,32,46,48,48,54,52,57,50,52,57,32,46,48,48,53,48,50,
      57,56,51,32,46,48,48,51,57,52,57,48,53,32,46,48,48,51,49,52,52,51,51,32,46,
      48,48,50,52,52,57,55,50,32,46,48,48,49,57,53,50,56,53,10,32,32,46,48,48,49,
      53,50,53,54,50,32,46,48,48,49,50,48,50,53,51,32,46,48,48,48,57,53,55,53,56,
      57,32,46,48,48,48,55,55,49,52,50,54,32,46,48,48,48,54,48,55,54,50,53,32,46,
      48,48,48,53,49,48,56,49,49,32,46,48,48,48,52,50,57,57,55,55,32,46,48,48,48,
      51,50,52,52,55,52,10,32,32,46,48,48,48,50,55,51,51,51,54,32,46,48,48,48,50,
      48,56,57,49,51,32,46,48,48,48,49,53,55,52,49,51,32,46,48,48,48,49,51,50,57,
      49,53,32,46,48,48,48,49,49,50,50,49,54,32,56,46,53,57,48,52,55,101,45,48,53,
      32,54,46,52,48,49,53,54,101,45,48,53,32,53,46,52,51,56,55,49,101,45,48,53,10,
      32,32,52,46,49,56,50,50,54,101,45,48,53,32,51,46,53,54,52,50,53,101,45,48,53,
      32,50,46,55,53,48,50,57,101,45,48,53,32,50,46,50,50,56,56,53,101,45,48,53,32,
      49,46,54,51,55,54,52,101,45,48,53,32,49,46,52,52,49,57,51,101,45,48,53,32,49,
      46,49,50,57,49,101,45,48,53,10,32,32,56,46,54,50,48,55,50,101,45,48,54,32,54,
      46,56,56,55,50,50,101,45,48,54,32,53,46,53,48,52,48,50,101,45,48,54,32,52,46,
      52,54,51,54,53,101,45,48,54,32,51,46,54,51,50,52,101,45,48,54,32,50,46,56,57,
      49,51,54,101,45,48,54,32,50,46,51,54,49,53,52,101,45,48,54,10,32,32,49,46,56,
      56,57,55,101,45,48,54,32,49,46,54,48,52,49,51,101,45,48,54,32,49,46,50,50,56,
      50,56,101,45,48,54,32,49,46,48,52,51,101,45,48,54,32,56,46,53,49,51,51,51,101,
      45,48,55,32,53,46,51,48,57,56,101,45,48,55,32,50,46,55,55,55,49,52,101,45,48,
      55,10,32,32,49,46,52,55,55,54,57,101,45,48,55,32,54,46,55,50,54,56,53,101,45,
      48,56,32,51,46,48,54,55,52,51,101,45,48,56,32,49,46,49,57,55,51,56,101,45,48,
      56,32,53,46,52,54,51,52,57,101,45,48,57,32,51,46,48,53,55,57,55,101,45,48,56,
      32,49,46,49,55,56,53,101,45,48,56,10,32,32,54,46,48,51,50,49,55,101,45,48,57,
      32,50,46,56,53,55,55,51,101,45,48,57,32,49,46,48,53,55,51,101,45,48,57,32,52,
      46,52,51,54,51,101,45,49,48,32,49,46,56,54,51,56,50,101,45,49,48,32,54,46,57,
      50,56,48,51,101,45,49,49,32,50,46,53,55,56,56,53,101,45,49,49,10,32,32,49,46,
      48,56,55,51,101,45,49,49,32,52,46,53,56,56,52,51,101,45,49,50,32,49,46,57,48,
      55,50,51,101,45,49,50,32,55,46,49,50,51,48,54,101,45,49,51,32,50,46,51,53,52,
      55,56,101,45,49,51,32,54,46,56,57,50,53,51,101,45,49,52,32,50,46,50,56,51,54,
      51,101,45,49,52,10,32,32,54,46,54,57,57,50,53,101,45,49,53,32,50,46,50,50,51,
      55,56,101,45,49,53,32,55,46,51,56,55,54,101,45,49,54,32,50,46,49,55,51,51,101,
      45,49,54,32,53,46,56,53,57,53,101,45,49,55,32,50,46,49,50,57,57,54,101,45,49,
      55,32,54,46,54,49,48,57,52,101,45,49,56,10,32,32,50,46,51,54,53,52,52,101,45,
      49,56,32,55,46,56,56,57,52,51,101,45,49,57,32,50,46,53,53,49,48,51,101,45,49,
      57,32,56,46,53,48,55,52,50,101,45,50,48,32,50,46,56,51,56,52,51,101,45,50,48,
      32,48,114,53,51,32,51,46,56,55,55,49,51,101,45,48,53,32,53,46,49,54,57,49,101,
      45,48,53,10,32,32,54,46,56,57,50,51,54,101,45,48,53,32,57,46,49,56,57,54,50,
      101,45,48,53,32,46,48,48,48,49,50,50,53,50,55,32,46,48,48,48,49,54,51,51,54,
      57,32,46,48,48,48,50,49,55,56,50,53,32,46,48,48,48,50,57,48,52,50,54,32,46,
      48,48,48,51,56,55,50,49,49,32,46,48,48,48,53,49,54,50,54,49,10,32,32,46,48,
      48,48,54,56,56,51,51,54,32,46,48,48,51,55,57,48,54,49,32,46,48,48,53,48,53,
      51,55,51,32,46,48,48,54,55,51,55,50,56,32,46,48,48,56,57,56,49,48,56,32,46,
      48,49,49,57,55,49,53,32,46,48,49,53,57,53,54,32,46,48,50,51,57,49,54,50,32,
      46,48,51,57,56,48,48,52,10,32,32,46,48,53,53,54,51,54,55,32,46,48,55,57,51,
      48,49,49,32,46,49,49,48,54,56,53,32,46,49,53,55,51,57,56,32,46,50,51,52,50,
      56,52,32,46,51,56,52,51,56,55,32,46,53,50,57,53,53,50,32,46,55,51,55,57,52,
      49,32,46,57,57,56,50,50,50,32,49,46,51,53,48,54,53,10,32,32,49,46,54,49,48,
      48,51,32,49,46,56,51,56,55,53,32,50,46,50,48,55,55,32,50,46,52,54,56,54,54,
      32,50,46,54,51,56,50,50,32,50,46,54,57,50,52,51,32,50,46,55,51,49,50,52,32,
      50,46,55,53,50,56,51,32,50,46,55,54,49,52,53,32,50,46,55,53,56,51,32,50,46,
      55,52,53,52,53,10,32,32,50,46,55,50,50,51,52,32,50,46,54,57,52,53,53,32,50,
      46,54,53,57,53,55,32,50,46,54,49,57,49,55,32,50,46,53,54,54,52,54,32,50,46,
      53,48,57,52,51,32,50,46,52,50,57,48,53,32,50,46,51,52,53,52,52,32,50,46,50,
      54,48,49,54,32,50,46,49,53,53,32,50,46,48,53,50,57,49,10,32,32,49,46,57,53,
      50,57,55,32,49,46,56,51,56,48,51,32,49,46,55,51,49,49,54,32,49,46,54,48,48,
      57,32,49,46,52,56,51,52,32,49,46,51,55,52,57,53,32,49,46,50,54,54,55,32,49,
      46,49,54,48,56,50,32,49,46,48,53,57,54,50,32,46,57,54,51,57,53,54,32,46,56,
      55,52,51,51,51,10,32,32,46,55,56,53,53,53,52,32,46,55,49,48,48,56,57,32,46,
      54,51,55,50,50,50,32,46,53,53,56,56,52,32,46,52,57,48,56,53,56,32,46,52,52,
      54,57,51,51,32,46,51,57,57,56,48,50,32,46,51,53,49,49,51,56,32,46,51,48,55,
      55,52,56,32,46,50,54,57,49,57,57,32,46,50,51,52,49,51,51,10,32,32,46,50,48,
      53,55,54,56,32,46,49,56,48,53,49,32,46,49,53,53,48,53,50,32,46,49,50,55,54,
      53,56,32,46,49,48,54,55,50,56,32,46,48,56,57,55,53,56,50,32,46,48,55,56,50,
      56,52,56,32,46,48,54,55,57,57,53,49,32,46,48,53,54,51,55,53,57,32,46,48,52,
      55,48,57,55,55,10,32,32,46,48,51,57,54,51,49,50,32,46,48,51,52,50,51,50,55,
      32,46,48,50,55,57,51,51,32,46,48,50,50,56,56,57,52,32,46,48,49,56,55,54,56,
      51,32,46,48,49,53,54,53,56,53,32,46,48,49,51,48,52,56,53,32,46,48,49,48,57,
      48,54,55,32,46,48,48,56,57,51,52,53,56,10,32,32,46,48,48,55,52,51,50,48,50,
      32,46,48,48,54,52,57,50,49,56,32,46,48,48,53,48,50,57,54,52,32,46,48,48,51,
      57,52,56,57,49,32,46,48,48,51,49,52,52,50,52,32,46,48,48,50,52,52,57,54,55,
      32,46,48,48,49,57,53,50,56,49,32,46,48,48,49,53,50,53,53,56,10,32,32,46,48,
      48,49,50,48,50,52,57,32,46,48,48,48,57,53,55,53,54,55,32,46,48,48,48,55,55,
      49,52,48,55,32,46,48,48,48,54,48,55,54,49,32,46,48,48,48,53,49,48,56,32,46,
      48,48,48,52,50,57,57,55,32,46,48,48,48,51,50,52,52,55,32,46,48,48,48,50,55,
      51,51,51,51,10,32,32,46,48,48,48,50,48,56,57,49,49,32,46,48,48,48,49,53,55,
      52,49,50,32,46,48,48,48,49,51,50,57,49,52,32,46,48,48,48,49,49,50,50,49,53,
      32,56,46,53,57,48,51,55,101,45,48,53,32,54,46,52,48,49,52,53,101,45,48,53,32,
      53,46,52,51,56,54,49,101,45,48,53,10,32,32,52,46,49,56,50,49,56,101,45,48,53,
      32,51,46,53,54,52,49,57,101,45,48,53,32,50,46,55,53,48,50,52,101,45,48,53,32,
      50,46,50,50,56,56,49,101,45,48,53,32,49,46,54,51,55,54,50,101,45,48,53,32,49,
      46,52,52,49,57,49,101,45,48,53,32,49,46,49,50,57,48,57,101,45,48,53,10,32,32,
      56,46,54,50,48,54,54,101,45,48,54,32,54,46,56,56,55,49,56,101,45,48,54,32,53,
      46,53,48,51,57,56,101,45,48,54,32,52,46,52,54,51,54,50,101,45,48,54,32,51,46,
      54,51,50,51,56,101,45,48,54,32,50,46,56,57,49,51,52,101,45,48,54,32,50,46,51,
      54,49,53,50,101,45,48,54,10,32,32,49,46,56,56,57,54,56,101,45,48,54,32,49,46,
      54,48,52,49,49,101,45,48,54,32,49,46,50,50,56,50,55,101,45,48,54,32,49,46,48,
      52,50,57,56,101,45,48,54,32,56,46,53,49,51,50,51,101,45,48,55,32,53,46,51,48,
      57,55,53,101,45,48,55,32,50,46,55,55,55,49,50,101,45,48,55,10,32,32,49,46,52,
      55,55,54,56,101,45,48,55,32,54,46,55,50,54,56,50,101,45,48,56,32,51,46,48,54,
      55,52,50,101,45,48,56,32,49,46,49,57,55,51,55,101,45,48,56,32,53,46,52,54,51,
      52,56,101,45,48,57,32,51,46,48,53,55,53,54,101,45,48,56,32,49,46,49,55,56,51,
      52,101,45,48,56,10,32,32,54,46,48,51,49,51,54,101,45,48,57,32,50,46,56,53,55,
      51,52,101,45,48,57,32,49,46,48,53,55,49,54,101,45,48,57,32,52,46,52,51,53,54,
      57,101,45,49,48,32,49,46,56,54,51,53,54,101,45,49,48,32,54,46,57,50,55,48,56,
      101,45,49,49,32,50,46,53,55,56,52,57,101,45,49,49,10,32,32,49,46,48,56,55,49,
      53,101,45,49,49,32,52,46,53,56,55,55,57,101,45,49,50,32,49,46,57,48,55,48,51,
      101,45,49,50,32,55,46,49,50,50,51,49,101,45,49,51,32,50,46,51,53,52,53,51,101,
      45,49,51,32,54,46,56,57,49,56,49,101,45,49,52,32,50,46,50,56,51,51,57,101,45,
      49,52,10,32,32,54,46,54,57,56,53,56,101,45,49,53,32,50,46,50,50,51,53,54,101,
      45,49,53,32,55,46,51,56,54,56,56,101,45,49,54,32,50,46,49,55,51,48,57,101,45,
      49,54,32,53,46,56,53,56,57,53,101,45,49,55,32,50,46,49,50,57,55,54,101,45,49,
      55,32,54,46,54,49,48,51,51,101,45,49,56,10,32,32,50,46,51,54,53,50,51,101,45,
      49,56,32,55,46,56,56,56,55,51,101,45,49,57,32,50,46,53,53,48,54,52,101,45,49,
      57,32,56,46,53,48,54,48,56,101,45,50,48,32,50,46,56,51,55,57,56,101,45,50,48,
      32,48,114,53,51,32,51,46,56,55,54,56,50,101,45,48,53,32,53,46,49,54,56,54,55,
      101,45,48,53,10,32,32,54,46,56,57,49,55,53,101,45,48,53,32,57,46,49,56,56,55,
      54,101,45,48,53,32,46,48,48,48,49,50,50,53,49,53,32,46,48,48,48,49,54,51,51,
      53,49,32,46,48,48,48,50,49,55,55,57,55,32,46,48,48,48,50,57,48,51,56,52,32,
      46,48,48,48,51,56,55,49,52,54,32,46,48,48,48,53,49,54,49,53,57,10,32,32,46,
      48,48,48,54,56,56,49,55,53,32,46,48,48,48,57,49,55,52,50,55,32,46,48,48,51,
      54,52,48,54,55,32,46,48,48,52,56,53,51,51,55,32,46,48,48,54,52,54,57,53,53,
      32,46,48,48,56,54,50,51,51,50,32,46,48,49,49,52,57,50,57,32,46,48,49,55,50,
      50,52,56,10,32,32,46,48,50,56,54,53,57,56,32,46,48,52,48,48,53,54,57,32,46,
      48,53,55,48,56,50,51,32,46,48,55,57,54,53,50,57,32,46,49,49,51,50,51,51,32,
      46,49,54,56,52,55,50,32,46,50,55,54,50,54,49,32,46,51,56,48,53,48,56,32,46,
      53,51,48,51,53,49,32,46,55,49,56,49,53,57,10,32,32,46,57,55,52,55,56,32,49,
      46,49,54,54,51,52,32,49,46,51,51,56,51,50,32,49,46,54,50,54,56,53,32,49,46,
      56,52,55,49,52,32,50,46,48,48,55,49,57,32,50,46,48,54,55,48,53,32,50,46,49,
      49,52,54,55,32,50,46,49,53,48,53,55,32,50,46,49,55,56,50,56,32,50,46,49,57,
      54,49,10,32,32,50,46,50,48,53,52,55,32,50,46,50,48,56,50,57,32,50,46,50,48,
      52,52,56,32,50,46,49,57,52,50,56,32,50,46,49,56,48,56,49,32,50,46,49,53,55,
      55,32,50,46,49,50,57,55,32,50,46,48,56,54,56,57,32,50,46,48,51,55,56,32,49,
      46,57,56,53,49,53,32,49,46,57,49,54,48,57,10,32,32,49,46,56,52,52,57,55,32,
      49,46,55,55,51,49,51,32,49,46,54,56,55,56,55,32,49,46,54,48,53,50,52,32,49,
      46,53,48,48,57,32,49,46,52,48,49,55,51,32,49,46,51,49,48,54,56,32,49,46,50,
      49,54,57,54,32,49,46,49,50,51,51,51,32,49,46,48,51,48,57,57,32,46,57,52,49,
      54,56,51,10,32,32,46,56,53,55,54,51,52,32,46,55,55,51,54,48,50,32,46,55,48,
      49,51,52,55,32,46,54,51,49,49,57,57,32,46,53,53,52,54,57,49,32,46,52,56,55,
      54,55,53,32,46,52,52,52,51,55,49,32,46,51,57,55,57,55,49,32,46,51,52,57,57,
      52,50,32,46,51,48,54,55,57,57,10,32,32,46,50,54,56,52,54,56,32,46,50,51,51,
      53,57,57,32,46,50,48,53,51,55,51,32,46,49,56,48,50,50,52,32,46,49,53,52,57,
      32,46,49,50,55,53,52,54,32,46,49,48,54,54,51,50,32,46,48,56,57,54,56,55,53,
      32,46,48,55,56,50,51,48,55,32,46,48,54,55,57,53,54,50,10,32,32,46,48,53,54,
      51,52,57,32,46,48,52,55,48,55,57,32,46,48,51,57,54,49,56,51,32,46,48,51,52,
      50,50,50,56,32,46,48,50,55,57,50,54,56,32,46,48,50,50,56,56,53,32,46,48,49,
      56,55,54,53,52,32,46,48,49,53,54,53,54,53,32,46,48,49,51,48,52,55,53,32,46,
      48,49,48,57,48,53,55,10,32,32,46,48,48,56,57,51,51,56,32,46,48,48,55,52,51,
      49,52,56,32,46,48,48,54,52,57,49,55,55,32,46,48,48,53,48,50,57,51,56,32,46,
      48,48,51,57,52,56,55,51,32,46,48,48,51,49,52,52,49,49,32,46,48,48,50,52,52,
      57,53,56,32,46,48,48,49,57,53,50,55,52,32,46,48,48,49,53,50,53,53,51,10,32,
      32,46,48,48,49,50,48,50,52,53,32,46,48,48,48,57,53,55,53,52,50,32,46,48,48,
      48,55,55,49,51,56,51,32,46,48,48,48,54,48,55,53,57,51,32,46,48,48,48,53,49,
      48,55,56,56,32,46,48,48,48,52,50,57,57,54,32,46,48,48,48,51,50,52,52,54,52,
      32,46,48,48,48,50,55,51,51,50,56,10,32,32,46,48,48,48,50,48,56,57,48,56,32,
      46,48,48,48,49,53,55,52,49,32,46,48,48,48,49,51,50,57,49,50,32,46,48,48,48,
      49,49,50,50,49,51,32,56,46,53,57,48,50,49,101,45,48,53,32,54,46,52,48,49,51,
      51,101,45,48,53,32,53,46,52,51,56,53,101,45,48,53,32,52,46,49,56,50,49,101,
      45,48,53,10,32,32,51,46,53,54,52,49,50,101,45,48,53,32,50,46,55,53,48,49,57,
      101,45,48,53,32,50,46,50,50,56,55,55,101,45,48,53,32,49,46,54,51,55,53,57,101,
      45,48,53,32,49,46,52,52,49,56,56,101,45,48,53,32,49,46,49,50,57,48,55,101,45,
      48,53,32,56,46,54,50,48,53,51,101,45,48,54,10,32,32,54,46,56,56,55,48,57,101,
      45,48,54,32,53,46,53,48,51,57,50,101,45,48,54,32,52,46,52,54,51,53,56,101,45,
      48,54,32,51,46,54,51,50,51,53,101,45,48,54,32,50,46,56,57,49,51,50,101,45,48,
      54,32,50,46,51,54,49,53,101,45,48,54,32,49,46,56,56,57,54,55,101,45,48,54,10,
      32,32,49,46,54,48,52,49,101,45,48,54,32,49,46,50,50,56,50,54,101,45,48,54,32,
      49,46,48,52,50,57,55,101,45,48,54,32,56,46,53,49,51,49,51,101,45,48,55,32,53,
      46,51,48,57,54,57,101,45,48,55,32,50,46,55,55,55,48,56,101,45,48,55,32,49,46,
      52,55,55,54,54,101,45,48,55,10,32,32,54,46,55,50,54,55,55,101,45,48,56,32,51,
      46,48,54,55,52,49,101,45,48,56,32,49,46,49,57,55,51,55,101,45,48,56,32,53,46,
      52,54,51,52,53,101,45,48,57,32,51,46,48,53,55,49,54,101,45,48,56,32,49,46,49,
      55,56,49,56,101,45,48,56,32,54,46,48,51,48,53,54,101,45,48,57,10,32,32,50,46,
      56,53,54,57,54,101,45,48,57,32,49,46,48,53,55,48,50,101,45,48,57,32,52,46,52,
      51,53,49,101,45,49,48,32,49,46,56,54,51,51,49,101,45,49,48,32,54,46,57,50,54,
      49,53,101,45,49,49,32,50,46,53,55,56,49,53,101,45,49,49,32,49,46,48,56,55,101,
      45,49,49,10,32,32,52,46,53,56,55,49,55,101,45,49,50,32,49,46,57,48,54,56,51,
      101,45,49,50,32,55,46,49,50,49,53,56,101,45,49,51,32,50,46,51,53,52,51,101,
      45,49,51,32,54,46,56,57,49,49,51,101,45,49,52,32,50,46,50,56,51,49,55,101,45,
      49,52,32,54,46,54,57,55,57,52,101,45,49,53,10,32,32,50,46,50,50,51,51,53,101,
      45,49,53,32,55,46,51,56,54,49,57,101,45,49,54,32,50,46,49,55,50,56,57,101,45,
      49,54,32,53,46,56,53,56,52,50,101,45,49,55,32,50,46,49,50,57,53,55,101,45,49,
      55,32,54,46,54,48,57,55,53,101,45,49,56,32,50,46,51,54,53,48,51,101,45,49,56,
      10,32,32,55,46,56,56,56,48,54,101,45,49,57,32,50,46,53,53,48,50,53,101,45,49,
      57,32,56,46,53,48,52,55,56,101,45,50,48,32,50,46,56,51,55,53,52,101,45,50,48,
      32,48,114,53,51,32,51,46,54,52,52,57,57,101,45,48,53,32,52,46,56,53,57,54,101,
      45,48,53,32,54,46,52,55,57,54,56,101,45,48,53,10,32,32,56,46,54,51,57,52,101,
      45,48,53,32,46,48,48,48,49,49,53,49,57,49,32,46,48,48,48,49,53,51,53,56,56,
      32,46,48,48,48,50,48,52,55,56,51,32,46,48,48,48,50,55,51,48,51,55,32,46,48,
      48,48,51,54,52,48,50,54,32,46,48,48,48,52,56,53,51,52,57,32,46,48,48,48,54,
      52,55,49,50,10,32,32,46,48,48,48,56,54,50,55,51,54,32,46,48,48,50,56,48,51,
      52,51,32,46,48,48,51,55,51,55,51,52,32,46,48,48,52,57,56,50,48,52,32,46,48,
      48,54,54,52,48,57,32,46,48,48,56,56,53,49,50,53,32,46,48,49,51,50,54,54,57,
      32,46,48,50,50,48,55,56,51,32,46,48,51,48,56,54,51,49,10,32,32,46,48,52,51,
      57,57,48,53,32,46,48,54,49,52,48,49,32,46,48,56,55,51,49,56,55,32,46,49,50,
      57,57,56,57,32,46,50,49,51,51,54,56,32,46,50,57,52,49,53,56,32,46,52,49,48,
      53,53,32,46,53,53,54,57,55,32,46,55,53,56,51,48,52,32,46,57,48,57,57,55,54,
      10,32,32,49,46,48,52,55,53,54,32,49,46,50,56,51,48,54,32,49,46,52,54,57,57,
      56,32,49,46,54,49,51,51,49,32,49,46,54,54,57,57,55,32,49,46,55,49,55,57,54,
      32,49,46,55,53,56,49,50,32,49,46,55,57,48,56,55,32,49,46,56,49,54,50,53,32,
      49,46,56,51,52,51,51,10,32,32,49,46,56,52,56,51,53,32,49,46,56,53,53,51,49,
      32,49,46,56,53,57,50,52,32,49,46,56,53,55,51,54,32,49,46,56,53,49,52,52,32,
      49,46,56,52,48,48,52,32,49,46,56,49,56,54,54,32,49,46,55,57,49,53,57,32,49,
      46,55,53,57,51,50,32,49,46,55,49,52,57,51,10,32,32,49,46,54,54,54,49,54,32,
      49,46,54,49,52,56,32,49,46,53,53,49,53,32,49,46,52,56,55,56,55,32,49,46,52,
      48,52,49,32,49,46,51,50,50,57,55,32,49,46,50,52,54,50,57,32,49,46,49,54,53,
      55,32,49,46,48,56,50,48,57,32,46,57,57,56,54,54,32,46,57,49,55,53,53,55,10,
      32,32,46,56,51,57,53,49,54,32,46,55,54,48,50,55,54,32,46,54,57,49,50,53,51,
      32,46,54,50,51,50,56,49,32,46,53,52,57,49,49,53,32,46,52,56,51,57,49,50,32,
      46,52,52,49,52,49,32,46,51,57,53,54,54,54,32,46,51,52,56,49,55,55,32,46,51,
      48,53,54,50,49,32,46,50,54,55,54,49,49,10,32,32,46,50,51,50,57,53,51,32,46,
      50,48,52,56,54,55,32,46,49,55,57,56,50,49,32,46,49,53,52,53,53,54,32,46,49,
      50,55,51,52,57,32,46,49,48,54,53,48,56,32,46,48,56,57,54,48,51,32,46,48,55,
      56,49,54,55,53,32,46,48,54,55,57,48,55,52,32,46,48,53,54,51,49,54,51,10,32,
      32,46,48,52,55,48,53,54,54,32,46,48,51,57,54,48,50,50,32,46,48,51,52,50,49,
      49,49,32,46,48,50,55,57,49,56,55,32,46,48,50,50,56,55,57,56,32,46,48,49,56,
      55,54,49,57,32,46,48,49,53,54,53,52,32,46,48,49,51,48,52,53,51,32,46,48,49,
      48,57,48,52,52,10,32,32,46,48,48,56,57,51,50,57,53,32,46,48,48,55,52,51,48,
      56,54,32,46,48,48,54,52,57,49,50,56,32,46,48,48,53,48,50,57,48,55,32,46,48,
      48,51,57,52,56,53,49,32,46,48,48,51,49,52,51,57,54,32,46,48,48,50,52,52,57,
      52,55,32,46,48,48,49,57,53,50,54,55,10,32,32,46,48,48,49,53,50,53,52,56,32,
      46,48,48,49,50,48,50,52,50,32,46,48,48,48,57,53,55,53,49,54,32,46,48,48,48,
      55,55,49,51,54,55,32,46,48,48,48,54,48,55,53,56,32,46,48,48,48,53,49,48,55,
      55,54,32,46,48,48,48,52,50,57,57,53,49,32,46,48,48,48,51,50,52,52,53,55,10,
      32,32,46,48,48,48,50,55,51,51,50,50,32,46,48,48,48,50,48,56,57,48,51,32,46,
      48,48,48,49,53,55,52,48,54,32,46,48,48,48,49,51,50,57,48,57,32,46,48,48,48,
      49,49,50,50,49,49,32,56,46,53,57,48,48,57,101,45,48,53,32,54,46,52,48,49,50,
      53,101,45,48,53,32,53,46,52,51,56,52,52,101,45,48,53,10,32,32,52,46,49,56,50,
      48,53,101,45,48,53,32,51,46,53,54,52,48,56,101,45,48,53,32,50,46,55,53,48,49,
      54,101,45,48,53,32,50,46,50,50,56,55,52,101,45,48,53,32,49,46,54,51,55,53,54,
      101,45,48,53,32,49,46,52,52,49,56,54,101,45,48,53,32,49,46,49,50,57,48,53,101,
      45,48,53,10,32,32,56,46,54,50,48,52,49,101,45,48,54,32,54,46,56,56,55,101,45,
      48,54,32,53,46,53,48,51,56,53,101,45,48,54,32,52,46,52,54,51,53,51,101,45,48,
      54,32,51,46,54,51,50,51,50,101,45,48,54,32,50,46,56,57,49,51,101,45,48,54,32,
      50,46,51,54,49,52,57,101,45,48,54,10,32,32,49,46,56,56,57,54,54,101,45,48,54,
      32,49,46,54,48,52,48,57,101,45,48,54,32,49,46,50,50,56,50,53,101,45,48,54,32,
      49,46,48,52,50,57,55,101,45,48,54,32,56,46,53,49,51,49,101,45,48,55,32,53,46,
      51,48,57,54,54,101,45,48,55,32,50,46,55,55,55,48,54,101,45,48,55,10,32,32,49,
      46,52,55,55,54,53,101,45,48,55,32,54,46,55,50,54,55,49,101,45,48,56,32,51,46,
      48,54,55,51,57,101,45,48,56,32,49,46,49,57,55,51,55,101,45,48,56,32,53,46,52,
      54,51,52,54,101,45,48,57,32,51,46,48,53,54,55,55,101,45,48,56,32,49,46,49,55,
      56,48,51,101,45,48,56,10,32,32,54,46,48,50,57,55,57,101,45,48,57,32,50,46,56,
      53,54,54,101,45,48,57,32,49,46,48,53,54,56,56,101,45,48,57,32,52,46,52,51,52,
      53,50,101,45,49,48,32,49,46,56,54,51,48,55,101,45,49,48,32,54,46,57,50,53,50,
      52,101,45,49,49,32,50,46,53,55,55,56,49,101,45,49,49,10,32,32,49,46,48,56,54,
      56,54,101,45,49,49,32,52,46,53,56,54,53,55,101,45,49,50,32,49,46,57,48,54,54,
      52,101,45,49,50,32,55,46,49,50,48,56,56,101,45,49,51,32,50,46,51,53,52,48,55,
      101,45,49,51,32,54,46,56,57,48,52,55,101,45,49,52,32,50,46,50,56,50,57,53,101,
      45,49,52,10,32,32,54,46,54,57,55,51,49,101,45,49,53,32,50,46,50,50,51,49,52,
      101,45,49,53,32,55,46,51,56,53,53,51,101,45,49,54,32,50,46,49,55,50,55,101,
      45,49,54,32,53,46,56,53,55,57,49,101,45,49,55,32,50,46,49,50,57,51,57,101,45,
      49,55,32,54,46,54,48,57,49,57,101,45,49,56,10,32,32,50,46,51,54,52,56,51,101,
      45,49,56,32,55,46,56,56,55,52,50,101,45,49,57,32,50,46,53,52,57,56,55,101,45,
      49,57,32,56,46,53,48,51,53,49,101,45,50,48,32,50,46,56,51,55,49,50,101,45,50,
      48,32,48,114,53,51,32,51,46,52,49,53,51,52,101,45,48,53,32,52,46,53,53,51,52,
      51,101,45,48,53,10,32,32,54,46,48,55,49,52,52,101,45,48,53,32,56,46,48,57,53,
      48,57,101,45,48,53,32,46,48,48,48,49,48,55,57,51,52,32,46,48,48,48,49,52,51,
      57,49,49,32,46,48,48,48,49,57,49,56,56,49,32,46,48,48,48,50,53,53,56,51,53,
      32,46,48,48,48,51,52,49,48,57,51,32,46,48,48,48,52,53,52,55,55,51,10,32,32,
      46,48,48,48,54,48,54,51,53,54,32,46,48,48,48,56,48,56,51,57,53,32,46,48,48,
      49,48,55,55,55,57,32,46,48,48,51,48,50,57,49,52,32,46,48,48,52,48,51,56,48,
      49,32,46,48,48,53,51,56,50,53,56,32,46,48,48,55,49,55,52,50,49,32,46,48,49,
      48,55,53,51,53,10,32,32,46,48,49,55,56,57,54,52,32,46,48,50,53,48,49,56,52,
      32,46,48,51,53,54,54,50,50,32,46,48,52,57,55,56,49,51,32,46,48,55,48,56,48,
      52,55,32,46,49,48,53,52,51,50,32,46,49,55,51,49,53,52,32,46,50,51,56,56,53,
      57,32,46,51,51,51,54,57,51,32,46,52,53,51,51,52,50,10,32,32,46,54,49,56,55,
      51,55,32,46,55,52,52,49,52,53,32,46,56,53,56,56,52,54,32,49,46,48,53,55,55,
      57,32,49,46,50,49,57,52,53,32,49,46,51,52,55,53,54,32,49,46,52,48,48,55,55,
      32,49,46,52,52,54,53,57,32,49,46,52,56,53,57,53,32,49,46,53,49,57,52,50,10,
      32,32,49,46,53,52,55,50,52,32,49,46,53,54,57,53,49,32,49,46,53,56,55,52,54,
      32,49,46,54,48,49,49,53,32,49,46,54,49,48,50,50,32,49,46,54,49,54,53,32,49,
      46,54,49,56,51,56,32,49,46,54,49,54,56,54,32,49,46,54,48,55,57,51,32,49,46,
      53,57,52,52,51,32,49,46,53,55,53,51,49,10,32,32,49,46,53,52,55,48,49,32,49,
      46,53,49,51,53,55,32,49,46,52,55,54,56,55,32,49,46,52,50,57,57,54,32,49,46,
      51,56,48,54,54,32,49,46,51,49,52,48,49,32,49,46,50,52,56,48,54,32,49,46,49,
      56,51,52,57,32,49,46,49,49,51,54,52,32,49,46,48,52,48,55,51,10,32,32,46,57,
      54,54,57,52,57,32,46,56,57,50,52,52,32,46,56,49,57,57,56,56,32,46,55,52,53,
      55,49,52,32,46,54,56,48,52,52,32,46,54,49,53,55,48,50,32,46,53,52,51,52,55,
      50,32,46,52,55,57,55,48,50,32,46,52,51,56,48,55,56,32,46,51,57,51,49,50,50,
      32,46,51,52,54,51,49,55,10,32,32,46,51,48,52,50,48,52,32,46,50,54,54,53,55,
      57,32,46,50,51,50,50,49,51,32,46,50,48,52,51,48,49,32,46,49,55,57,51,55,49,
      32,46,49,53,52,49,57,52,32,46,49,50,55,49,48,52,32,46,49,48,54,51,54,50,32,
      46,48,56,57,53,48,49,52,32,46,48,55,56,48,56,57,52,10,32,32,46,48,54,55,56,
      53,48,56,32,46,48,53,54,50,55,56,32,46,48,52,55,48,51,49,55,32,46,48,51,57,
      53,56,53,32,46,48,51,52,49,57,55,52,32,46,48,50,55,57,48,57,54,32,46,48,50,
      50,56,55,51,53,32,46,48,49,56,55,53,55,56,32,46,48,49,53,54,53,49,32,46,48,
      49,51,48,52,51,49,10,32,32,46,48,49,48,57,48,51,32,46,48,48,56,57,51,49,57,
      57,32,46,48,48,55,52,51,48,49,51,32,46,48,48,54,52,57,48,54,56,32,46,48,48,
      53,48,50,56,54,53,32,46,48,48,51,57,52,56,50,54,32,46,48,48,51,49,52,51,55,
      55,32,46,48,48,50,52,52,57,51,51,32,46,48,48,49,57,53,50,53,55,10,32,32,46,
      48,48,49,53,50,53,52,50,32,46,48,48,49,50,48,50,51,56,32,46,48,48,48,57,53,
      55,52,56,53,32,46,48,48,48,55,55,49,51,52,55,32,46,48,48,48,54,48,55,53,54,
      54,32,46,48,48,48,53,49,48,55,54,51,32,46,48,48,48,52,50,57,57,51,56,32,46,
      48,48,48,51,50,52,52,52,55,10,32,32,46,48,48,48,50,55,51,51,49,51,32,46,48,
      48,48,50,48,56,56,57,55,32,46,48,48,48,49,53,55,52,48,50,32,46,48,48,48,49,
      51,50,57,48,54,32,46,48,48,48,49,49,50,50,48,56,32,56,46,53,56,57,56,57,101,
      45,48,53,32,54,46,52,48,49,49,51,101,45,48,53,32,53,46,52,51,56,51,53,101,45,
      48,53,10,32,32,52,46,49,56,49,57,57,101,45,48,53,32,51,46,53,54,52,48,50,101,
      45,48,53,32,50,46,55,53,48,49,50,101,45,48,53,32,50,46,50,50,56,55,49,101,45,
      48,53,32,49,46,54,51,55,53,53,101,45,48,53,32,49,46,52,52,49,56,52,101,45,48,
      53,32,49,46,49,50,57,48,51,101,45,48,53,10,32,32,56,46,54,50,48,50,55,101,45,
      48,54,32,54,46,56,56,54,56,56,101,45,48,54,32,53,46,53,48,51,55,54,101,45,48,
      54,32,52,46,52,54,51,52,54,101,45,48,54,32,51,46,54,51,50,50,54,101,45,48,54,
      32,50,46,56,57,49,50,53,101,45,48,54,32,50,46,51,54,49,52,53,101,45,48,54,10,
      32,32,49,46,56,56,57,54,51,101,45,48,54,32,49,46,54,48,52,48,55,101,45,48,54,
      32,49,46,50,50,56,50,52,101,45,48,54,32,49,46,48,52,50,57,54,101,45,48,54,32,
      56,46,53,49,51,48,53,101,45,48,55,32,53,46,51,48,57,54,49,101,45,48,55,32,50,
      46,55,55,55,48,52,101,45,48,55,10,32,32,49,46,52,55,55,54,52,101,45,48,55,32,
      54,46,55,50,54,54,52,101,45,48,56,32,51,46,48,54,55,51,54,101,45,48,56,32,49,
      46,49,57,55,51,54,101,45,48,56,32,53,46,52,54,51,52,53,101,45,48,57,32,51,46,
      48,53,54,51,57,101,45,48,56,32,49,46,49,55,55,56,57,101,45,48,56,10,32,32,54,
      46,48,50,57,48,52,101,45,48,57,32,50,46,56,53,54,50,52,101,45,48,57,32,49,46,
      48,53,54,55,53,101,45,48,57,32,52,46,52,51,51,57,54,101,45,49,48,32,49,46,56,
      54,50,56,51,101,45,49,48,32,54,46,57,50,52,51,54,101,45,49,49,32,50,46,53,55,
      55,52,56,101,45,49,49,10,32,32,49,46,48,56,54,55,50,101,45,49,49,32,52,46,53,
      56,53,57,56,101,45,49,50,32,49,46,57,48,54,52,54,101,45,49,50,32,55,46,49,50,
      48,50,49,101,45,49,51,32,50,46,51,53,51,56,53,101,45,49,51,32,54,46,56,56,57,
      56,51,101,45,49,52,32,50,46,50,56,50,55,53,101,45,49,52,10,32,32,54,46,54,57,
      54,55,50,101,45,49,53,32,50,46,50,50,50,57,53,101,45,49,53,32,55,46,51,56,52,
      56,57,101,45,49,54,32,50,46,49,55,50,53,49,101,45,49,54,32,53,46,56,53,55,52,
      50,101,45,49,55,32,50,46,49,50,57,50,49,101,45,49,55,32,54,46,54,48,56,54,54,
      101,45,49,56,10,32,32,50,46,51,54,52,54,52,101,45,49,56,32,55,46,56,56,54,56,
      49,101,45,49,57,32,50,46,53,52,57,53,101,45,49,57,32,56,46,53,48,50,50,55,101,
      45,50,48,32,50,46,56,51,54,55,101,45,50,48,32,48,114,53,51,32,51,46,49,56,55,
      56,57,101,45,48,53,32,52,46,50,53,48,49,57,101,45,48,53,10,32,32,53,46,54,54,
      55,49,101,45,48,53,32,55,46,53,53,53,57,57,101,45,48,53,32,46,48,48,48,49,48,
      48,55,52,54,32,46,48,48,48,49,51,52,51,50,55,32,46,48,48,48,49,55,57,49,48,
      50,32,46,48,48,48,50,51,56,55,57,55,32,46,48,48,48,51,49,56,51,55,55,32,46,
      48,48,48,52,50,52,52,56,55,10,32,32,46,48,48,48,53,54,53,57,55,54,32,46,48,
      48,48,55,53,52,53,54,50,32,46,48,48,49,48,48,54,48,50,32,46,48,48,50,53,51,
      56,53,56,32,46,48,48,51,51,56,52,48,56,32,46,48,48,52,53,49,48,57,53,32,46,
      48,48,54,48,49,50,53,32,46,48,48,57,48,49,50,51,55,10,32,32,46,48,49,52,57,
      57,57,50,32,46,48,50,48,57,54,57,32,46,48,50,57,56,57,49,57,32,46,48,52,49,
      55,50,57,55,32,46,48,53,57,51,54,48,50,32,46,48,56,56,52,48,57,54,32,46,49,
      52,53,50,54,55,32,46,50,48,48,52,57,51,32,46,50,56,48,51,50,57,32,46,51,56,
      49,51,49,51,10,32,32,46,53,50,49,52,56,49,32,46,54,50,56,51,54,57,32,46,55,
      50,54,54,48,51,32,46,56,57,56,57,49,32,49,46,48,52,49,50,51,32,49,46,49,53,
      54,57,54,32,49,46,50,48,53,53,54,32,49,46,50,52,56,55,56,32,49,46,50,56,54,
      53,51,32,49,46,51,49,57,51,53,32,49,46,51,52,55,53,53,10,32,32,49,46,51,55,
      49,51,55,32,49,46,51,57,49,48,49,32,49,46,52,48,55,53,53,32,49,46,52,50,48,
      49,54,32,49,46,52,50,57,51,52,32,49,46,52,51,55,49,56,32,49,46,52,52,48,52,
      54,32,49,46,52,52,48,54,52,32,49,46,52,51,52,57,56,32,49,46,52,50,53,49,52,
      10,32,32,49,46,52,48,55,53,49,32,49,46,51,56,53,49,57,32,49,46,51,53,56,57,
      56,32,49,46,51,50,51,55,49,32,49,46,50,56,53,53,55,32,49,46,50,51,50,51,52,
      32,49,46,49,55,55,56,55,32,49,46,49,50,51,53,57,32,49,46,48,54,51,55,54,32,
      46,57,57,57,55,54,53,10,32,32,46,57,51,50,56,57,57,32,46,56,54,53,55,52,50,
      32,46,55,57,56,57,57,49,32,46,55,50,57,52,56,54,32,46,54,54,55,54,55,54,32,
      46,54,48,53,57,51,53,32,46,53,51,55,50,56,53,32,46,52,55,53,50,49,50,32,46,
      52,51,52,52,55,50,32,46,51,57,48,51,52,54,10,32,32,46,51,52,52,50,50,51,32,
      46,51,48,50,54,52,32,46,50,54,53,52,48,54,32,46,50,51,49,51,53,57,32,46,50,
      48,51,54,56,52,32,46,49,55,56,57,32,46,49,53,51,56,52,53,32,46,49,50,54,56,
      53,55,32,46,49,48,54,49,57,53,32,46,48,56,57,51,56,54,32,46,48,55,56,48,48,
      50,50,10,32,32,46,48,54,55,55,56,53,54,32,46,48,53,54,50,51,51,52,32,46,48,
      52,55,48,48,48,53,32,46,48,51,57,53,54,51,54,32,46,48,51,52,49,56,49,50,32,
      46,48,50,55,56,57,56,57,32,46,48,50,50,56,54,54,52,32,46,48,49,56,55,53,50,
      57,32,46,48,49,53,54,52,55,54,10,32,32,46,48,49,51,48,52,48,55,32,46,48,49,
      48,57,48,49,51,32,46,48,48,56,57,51,48,56,50,32,46,48,48,55,52,50,57,50,56,
      32,46,48,48,54,52,57,32,46,48,48,53,48,50,56,50,49,32,46,48,48,51,57,52,55,
      57,53,32,46,48,48,51,49,52,51,53,54,32,46,48,48,50,52,52,57,49,57,10,32,32,
      46,48,48,49,57,53,50,52,55,32,46,48,48,49,53,50,53,51,53,32,46,48,48,49,50,
      48,50,51,51,32,46,48,48,48,57,53,55,52,52,53,32,46,48,48,48,55,55,49,51,49,
      55,32,46,48,48,48,54,48,55,53,52,52,32,46,48,48,48,53,49,48,55,52,55,32,46,
      48,48,48,52,50,57,57,50,53,10,32,32,46,48,48,48,51,50,52,52,51,55,32,46,48,
      48,48,50,55,51,51,48,53,32,46,48,48,48,50,48,56,56,57,49,32,46,48,48,48,49,
      53,55,51,57,55,32,46,48,48,48,49,51,50,57,48,50,32,46,48,48,48,49,49,50,50,
      48,53,32,56,46,53,56,57,54,52,101,45,48,53,32,54,46,52,48,48,57,54,101,45,48,
      53,10,32,32,53,46,52,51,56,50,49,101,45,48,53,32,52,46,49,56,49,56,57,101,45,
      48,53,32,51,46,53,54,51,57,52,101,45,48,53,32,50,46,55,53,48,48,55,101,45,48,
      53,32,50,46,50,50,56,54,56,101,45,48,53,32,49,46,54,51,55,53,50,101,45,48,53,
      32,49,46,52,52,49,56,50,101,45,48,53,10,32,32,49,46,49,50,57,48,50,101,45,48,
      53,32,56,46,54,50,48,49,53,101,45,48,54,32,54,46,56,56,54,55,57,101,45,48,54,
      32,53,46,53,48,51,54,56,101,45,48,54,32,52,46,52,54,51,51,56,101,45,48,54,32,
      51,46,54,51,50,49,57,101,45,48,54,32,50,46,56,57,49,50,101,45,48,54,10,32,32,
      50,46,51,54,49,52,49,101,45,48,54,32,49,46,56,56,57,54,101,45,48,54,32,49,46,
      54,48,52,48,52,101,45,48,54,32,49,46,50,50,56,50,50,101,45,48,54,32,49,46,48,
      52,50,57,52,101,45,48,54,32,56,46,53,49,50,57,101,45,48,55,32,53,46,51,48,57,
      53,53,101,45,48,55,10,32,32,50,46,55,55,55,48,50,101,45,48,55,32,49,46,52,55,
      55,54,51,101,45,48,55,32,54,46,55,50,54,53,55,101,45,48,56,32,51,46,48,54,55,
      51,50,101,45,48,56,32,49,46,49,57,55,51,53,101,45,48,56,32,53,46,52,54,51,52,
      49,101,45,48,57,32,51,46,48,53,54,48,51,101,45,48,56,10,32,32,49,46,49,55,55,
      55,52,101,45,48,56,32,54,46,48,50,56,51,49,101,45,48,57,32,50,46,56,53,53,56,
      57,101,45,48,57,32,49,46,48,53,54,54,50,101,45,48,57,32,52,46,52,51,51,52,50,
      101,45,49,48,32,49,46,56,54,50,54,101,45,49,48,32,54,46,57,50,51,53,49,101,
      45,49,49,10,32,32,50,46,53,55,55,49,54,101,45,49,49,32,49,46,48,56,54,53,56,
      101,45,49,49,32,52,46,53,56,53,52,101,45,49,50,32,49,46,57,48,54,50,56,101,
      45,49,50,32,55,46,49,49,57,53,54,101,45,49,51,32,50,46,51,53,51,54,52,101,45,
      49,51,32,54,46,56,56,57,50,50,101,45,49,52,10,32,32,50,46,50,56,50,53,53,101,
      45,49,52,32,54,46,54,57,54,49,52,101,45,49,53,32,50,46,50,50,50,55,54,101,45,
      49,53,32,55,46,51,56,52,50,56,101,45,49,54,32,50,46,49,55,50,51,52,101,45,49,
      54,32,53,46,56,53,54,57,54,101,45,49,55,32,50,46,49,50,57,48,53,101,45,49,55,
      10,32,32,54,46,54,48,56,49,53,101,45,49,56,32,50,46,51,54,52,52,55,101,45,49,
      56,32,55,46,56,56,54,50,51,101,45,49,57,32,50,46,53,52,57,49,52,101,45,49,57,
      32,56,46,53,48,49,48,54,101,45,50,48,32,50,46,56,51,54,51,101,45,50,48,32,48,
      114,53,51,32,50,46,55,51,57,53,52,101,45,48,53,10,32,32,51,46,54,53,50,52,52,
      101,45,48,53,32,52,46,56,55,48,48,56,101,45,48,53,32,54,46,52,57,51,51,50,101,
      45,48,53,32,56,46,54,53,55,55,101,45,48,53,32,46,48,48,48,49,49,53,52,51,54,
      32,46,48,48,48,49,53,51,57,49,53,32,46,48,48,48,50,48,53,50,49,54,10,32,32,
      46,48,48,48,50,55,51,54,48,54,32,46,48,48,48,51,54,52,55,57,56,32,46,48,48,
      48,52,56,54,51,57,56,32,46,48,48,48,54,52,56,52,56,32,46,48,48,48,56,54,52,
      54,48,57,32,46,48,48,49,49,53,50,55,32,46,48,48,50,53,49,57,50,32,46,48,48,
      51,51,53,56,49,57,10,32,32,46,48,48,52,52,55,54,50,53,32,46,48,48,54,55,49,
      48,50,52,32,46,48,49,49,49,54,57,55,32,46,48,49,53,54,49,55,57,32,46,48,50,
      50,50,54,57,32,46,48,51,49,48,57,55,54,32,46,48,52,52,50,53,53,56,32,46,48,
      54,53,57,54,49,49,32,46,49,48,56,53,51,50,10,32,32,46,49,52,57,57,57,53,32,
      46,50,49,48,49,52,51,32,46,50,56,54,54,32,46,51,57,51,53,50,32,46,52,55,53,
      55,56,52,32,46,53,53,50,48,57,56,32,46,54,56,55,57,32,46,56,48,50,57,50,57,
      32,46,56,57,57,49,48,55,32,46,57,52,48,55,50,54,32,46,57,55,56,51,56,57,10,
      32,32,49,46,48,49,50,49,54,32,49,46,48,52,50,52,55,32,49,46,48,54,57,51,52,
      32,49,46,48,57,51,48,54,32,49,46,49,49,51,55,56,32,49,46,49,51,49,54,55,32,
      49,46,49,52,54,56,55,32,49,46,49,53,57,55,32,49,46,49,55,50,50,57,32,49,46,
      49,56,49,54,53,32,49,46,49,56,57,54,50,10,32,32,49,46,49,57,51,54,53,32,49,
      46,49,57,51,55,51,32,49,46,49,56,56,56,57,32,49,46,49,56,48,48,57,32,49,46,
      49,54,55,50,55,32,49,46,49,52,55,54,51,32,49,46,49,50,53,48,51,32,49,46,48,
      57,48,55,56,32,49,46,48,53,51,55,49,32,49,46,48,49,52,56,51,10,32,32,46,57,
      55,48,52,57,56,32,46,57,50,49,52,50,55,32,46,56,54,56,52,55,54,32,46,56,49,
      50,55,57,55,32,46,55,53,54,51,48,55,32,46,54,57,54,49,55,54,32,46,54,52,49,
      50,52,50,32,46,53,56,53,51,54,50,32,46,53,50,49,55,54,49,32,46,52,54,51,57,
      48,50,10,32,32,46,52,50,53,53,51,52,32,46,51,56,51,52,54,57,32,46,51,51,57,
      49,55,51,32,46,50,57,56,56,55,54,32,46,50,54,50,54,50,32,46,50,50,57,50,57,
      56,32,46,50,48,50,49,49,56,32,46,49,55,55,55,54,51,32,46,49,53,51,49,49,51,
      32,46,49,50,54,51,53,49,32,46,49,48,53,56,48,54,10,32,32,46,48,56,57,49,48,
      57,57,32,46,48,55,55,55,57,52,54,32,46,48,54,55,54,50,57,52,32,46,48,53,54,
      49,50,54,53,32,46,48,52,54,57,50,53,32,46,48,51,57,53,49,32,46,48,51,52,49,
      52,50,53,32,46,48,50,55,56,55,51,54,32,46,48,50,50,56,52,57,50,32,46,48,49,
      56,55,52,49,51,10,32,32,46,48,49,53,54,51,57,53,32,46,48,49,51,48,51,53,54,
      32,46,48,49,48,56,57,55,50,32,46,48,48,56,57,50,55,57,50,32,46,48,48,55,52,
      50,55,50,51,32,46,48,48,54,52,56,56,51,57,32,46,48,48,53,48,50,55,49,55,32,
      46,48,48,51,57,52,55,50,51,32,46,48,48,51,49,52,51,48,54,10,32,32,46,48,48,
      50,52,52,56,56,53,32,46,48,48,49,57,53,50,50,49,32,46,48,48,49,53,50,53,49,
      54,32,46,48,48,49,50,48,50,49,56,32,46,48,48,48,57,53,55,51,52,32,46,48,48,
      48,55,55,49,50,51,49,32,46,48,48,48,54,48,55,52,56,50,32,46,48,48,48,53,49,
      48,54,57,56,10,32,32,46,48,48,48,52,50,57,56,56,56,32,46,48,48,48,51,50,52,
      52,49,50,32,46,48,48,48,50,55,51,50,56,53,32,46,48,48,48,50,48,56,56,55,54,
      32,46,48,48,48,49,53,55,51,56,55,32,46,48,48,48,49,51,50,56,57,52,32,46,48,
      48,48,49,49,50,49,57,56,32,56,46,53,56,57,49,50,101,45,48,53,10,32,32,54,46,
      52,48,48,53,55,101,45,48,53,32,53,46,52,51,55,56,55,101,45,48,53,32,52,46,49,
      56,49,54,52,101,45,48,53,32,51,46,53,54,51,55,52,101,45,48,53,32,50,46,55,52,
      57,57,101,45,48,53,32,50,46,50,50,56,53,53,101,45,48,53,32,49,46,54,51,55,52,
      51,101,45,48,53,10,32,32,49,46,52,52,49,55,53,101,45,48,53,32,49,46,49,50,56,
      57,54,101,45,48,53,32,56,46,54,49,57,55,55,101,45,48,54,32,54,46,56,56,54,53,
      101,45,48,54,32,53,46,53,48,51,52,54,101,45,48,54,32,52,46,52,54,51,50,50,101,
      45,48,54,32,51,46,54,51,50,48,54,101,45,48,54,10,32,32,50,46,56,57,49,48,57,
      101,45,48,54,32,50,46,51,54,49,51,50,101,45,48,54,32,49,46,56,56,57,53,51,101,
      45,48,54,32,49,46,54,48,51,57,56,101,45,48,54,32,49,46,50,50,56,49,55,101,45,
      48,54,32,49,46,48,52,50,57,101,45,48,54,32,56,46,53,49,50,53,53,101,45,48,55,
      10,32,32,53,46,51,48,57,51,52,101,45,48,55,32,50,46,55,55,54,57,49,101,45,48,
      55,32,49,46,52,55,55,53,56,101,45,48,55,32,54,46,55,50,54,52,101,45,48,56,32,
      51,46,48,54,55,50,53,101,45,48,56,32,49,46,49,57,55,51,49,101,45,48,56,32,53,
      46,52,54,51,50,55,101,45,48,57,10,32,32,51,46,48,53,53,51,50,101,45,48,56,32,
      49,46,49,55,55,52,55,101,45,48,56,32,54,46,48,50,54,57,50,101,45,48,57,32,50,
      46,56,53,53,50,51,101,45,48,57,32,49,46,48,53,54,51,56,101,45,48,57,32,52,46,
      52,51,50,51,56,101,45,49,48,32,49,46,56,54,50,49,55,101,45,49,48,10,32,32,54,
      46,57,50,49,56,55,101,45,49,49,32,50,46,53,55,54,53,53,101,45,49,49,32,49,46,
      48,56,54,51,50,101,45,49,49,32,52,46,53,56,52,51,49,101,45,49,50,32,49,46,57,
      48,53,57,53,101,45,49,50,32,55,46,49,49,56,51,51,101,45,49,51,32,50,46,51,53,
      51,50,52,101,45,49,51,10,32,32,54,46,56,56,56,48,56,101,45,49,52,32,50,46,50,
      56,50,49,56,101,45,49,52,32,54,46,54,57,53,48,55,101,45,49,53,32,50,46,50,50,
      50,52,49,101,45,49,53,32,55,46,51,56,51,49,52,101,45,49,54,32,50,46,49,55,50,
      48,49,101,45,49,54,32,53,46,56,53,54,48,57,101,45,49,55,10,32,32,50,46,49,50,
      56,55,52,101,45,49,55,32,54,46,54,48,55,50,49,101,45,49,56,32,50,46,51,54,52,
      49,52,101,45,49,56,32,55,46,56,56,53,49,53,101,45,49,57,32,50,46,53,52,56,52,
      52,101,45,49,57,32,56,46,52,57,56,55,52,101,45,50,48,32,50,46,56,51,53,53,50,
      101,45,50,48,10,32,32,48,114,53,51,32,50,46,51,48,49,53,51,101,45,48,53,32,
      51,46,48,54,56,52,55,101,45,48,53,32,52,46,48,57,49,52,50,101,45,48,53,32,53,
      46,52,53,53,49,50,101,45,48,53,32,55,46,50,55,51,52,51,101,45,48,53,32,57,46,
      54,57,55,56,56,101,45,48,53,32,46,48,48,48,49,50,57,51,48,53,10,32,32,46,48,
      48,48,49,55,50,52,48,50,32,46,48,48,48,50,50,57,56,53,54,32,46,48,48,48,51,
      48,54,52,54,52,32,46,48,48,48,52,48,56,54,49,52,32,46,48,48,48,53,52,52,55,
      55,49,32,46,48,48,48,55,50,54,51,50,53,32,46,48,48,48,57,54,56,51,51,32,46,
      48,48,49,50,57,48,57,10,32,32,46,48,48,50,53,49,53,51,53,32,46,48,48,51,51,
      53,50,55,56,32,46,48,48,53,48,50,54,48,54,32,46,48,48,56,51,54,54,50,54,32,
      46,48,49,49,54,57,56,49,32,46,48,49,54,54,56,48,50,32,46,48,50,51,50,57,52,
      49,32,46,48,51,51,49,53,51,53,32,46,48,52,57,52,50,51,55,10,32,32,46,48,56,
      49,51,54,53,54,32,46,49,49,50,53,50,52,32,46,49,53,55,56,50,53,32,46,50,49,
      53,54,49,56,32,46,50,57,54,57,50,56,32,46,51,53,57,57,54,50,32,46,52,49,56,
      56,57,50,32,46,53,50,53,49,51,57,32,46,54,49,54,57,56,57,32,46,54,57,53,54,
      54,52,10,32,32,46,55,51,48,53,49,56,32,46,55,54,50,52,53,57,32,46,55,57,49,
      55,49,57,32,46,56,49,56,51,56,54,32,46,56,52,50,54,50,50,32,46,56,54,52,53,
      48,52,32,46,56,56,52,51,50,51,32,46,57,48,49,57,53,57,32,46,57,49,55,54,52,
      52,32,46,57,51,49,52,53,53,10,32,32,46,57,52,53,55,55,53,32,46,57,53,55,55,
      55,54,32,46,57,55,48,51,55,57,32,46,57,55,57,54,50,50,32,46,57,56,53,53,57,
      55,32,46,57,56,57,49,56,51,32,46,57,56,56,55,56,54,32,46,57,56,53,50,56,49,
      32,46,57,55,55,51,53,54,32,46,57,54,53,55,50,55,10,32,32,46,57,52,54,50,54,
      53,32,46,57,50,51,51,50,50,32,46,56,57,55,55,52,32,46,56,54,55,50,49,51,32,
      46,56,51,49,50,53,55,32,46,55,57,49,49,57,55,32,46,55,52,56,49,48,57,32,46,
      55,48,50,55,54,55,32,46,54,53,50,55,57,49,32,46,54,48,54,50,54,56,32,46,53,
      53,55,56,55,49,10,32,32,46,53,48,49,49,56,54,32,46,52,52,56,50,55,53,32,46,
      52,49,50,55,49,55,32,46,51,55,51,52,55,50,32,46,51,51,49,54,53,49,32,46,50,
      57,51,50,56,54,32,46,50,53,56,52,49,32,46,50,50,54,49,54,57,32,46,49,57,57,
      55,50,55,32,46,49,55,53,57,48,52,32,46,49,53,49,54,54,53,10,32,32,46,49,50,
      53,52,48,57,32,46,49,48,53,49,57,50,32,46,48,56,56,54,56,49,49,32,46,48,55,
      55,52,55,48,57,32,46,48,54,55,51,56,54,50,32,46,48,53,53,57,54,49,32,46,48,
      52,54,56,49,50,54,32,46,48,51,57,52,51,49,51,32,46,48,51,52,48,56,50,54,32,
      46,48,50,55,56,51,51,53,10,32,32,46,48,50,50,56,50,50,54,32,46,48,49,56,55,
      50,51,52,32,46,48,49,53,54,50,54,56,32,46,48,49,51,48,50,54,32,46,48,49,48,
      56,57,48,56,32,46,48,48,56,57,50,51,53,50,32,46,48,48,55,52,50,52,48,51,32,
      46,48,48,54,52,56,53,56,54,32,46,48,48,53,48,50,53,53,49,10,32,32,46,48,48,
      51,57,52,54,49,32,46,48,48,51,49,52,50,50,53,32,46,48,48,50,52,52,56,50,56,
      32,46,48,48,49,57,53,49,56,49,32,46,48,48,49,53,50,52,56,56,32,46,48,48,49,
      50,48,49,57,57,32,46,48,48,48,57,53,55,49,57,49,32,46,48,48,48,55,55,49,49,
      50,53,10,32,32,46,48,48,48,54,48,55,52,48,50,32,46,48,48,48,53,49,48,54,51,
      50,32,46,48,48,48,52,50,57,56,51,51,32,46,48,48,48,51,50,52,51,55,51,32,46,
      48,48,48,50,55,51,50,53,52,32,46,48,48,48,50,48,56,56,53,52,32,46,48,48,48,
      49,53,55,51,55,49,32,46,48,48,48,49,51,50,56,56,10,32,32,46,48,48,48,49,49,
      50,49,56,55,32,56,46,53,56,56,51,55,101,45,48,53,32,54,46,52,48,48,48,54,101,
      45,48,53,32,53,46,52,51,55,52,54,101,45,48,53,32,52,46,49,56,49,51,51,101,45,
      48,53,32,51,46,53,54,51,52,55,101,45,48,53,32,50,46,55,52,57,55,50,101,45,48,
      53,10,32,32,50,46,50,50,56,52,101,45,48,53,32,49,46,54,51,55,51,51,101,45,48,
      53,32,49,46,52,52,49,54,53,101,45,48,53,32,49,46,49,50,56,56,57,101,45,48,53,
      32,56,46,54,49,57,50,101,45,48,54,32,54,46,56,56,54,48,53,101,45,48,54,32,53,
      46,53,48,51,49,101,45,48,54,10,32,32,52,46,52,54,50,57,51,101,45,48,54,32,51,
      46,54,51,49,56,52,101,45,48,54,32,50,46,56,57,48,57,50,101,45,48,54,32,50,46,
      51,54,49,49,57,101,45,48,54,32,49,46,56,56,57,52,51,101,45,48,54,32,49,46,54,
      48,51,57,101,45,48,54,32,49,46,50,50,56,49,49,101,45,48,54,10,32,32,49,46,48,
      52,50,56,54,101,45,48,54,32,56,46,53,49,50,50,101,45,48,55,32,53,46,51,48,57,
      49,50,101,45,48,55,32,50,46,55,55,54,56,101,45,48,55,32,49,46,52,55,55,53,50,
      101,45,48,55,32,54,46,55,50,54,49,49,101,45,48,56,32,51,46,48,54,55,49,51,101,
      45,48,56,10,32,32,49,46,49,57,55,50,56,101,45,48,56,32,53,46,52,54,51,50,49,
      101,45,48,57,32,51,46,48,53,52,53,49,101,45,48,56,32,49,46,49,55,55,49,54,101,
      45,48,56,32,54,46,48,50,53,50,57,101,45,48,57,32,50,46,56,53,52,52,54,101,45,
      48,57,32,49,46,48,53,54,48,57,101,45,48,57,10,32,32,52,46,52,51,49,49,55,101,
      45,49,48,32,49,46,56,54,49,54,54,101,45,49,48,32,54,46,57,49,57,57,55,101,45,
      49,49,32,50,46,53,55,53,56,52,101,45,49,49,32,49,46,48,56,54,48,50,101,45,49,
      49,32,52,46,53,56,51,48,52,101,45,49,50,32,49,46,57,48,53,53,56,101,45,49,50,
      10,32,32,55,46,49,49,54,57,53,101,45,49,51,32,50,46,51,53,50,55,57,101,45,49,
      51,32,54,46,56,56,54,56,101,45,49,52,32,50,46,50,56,49,55,54,101,45,49,52,32,
      54,46,54,57,51,56,55,101,45,49,53,32,50,46,50,50,50,48,50,101,45,49,53,32,55,
      46,51,56,49,56,55,101,45,49,54,10,32,32,50,46,49,55,49,54,53,101,45,49,54,32,
      53,46,56,53,53,49,52,101,45,49,55,32,50,46,49,50,56,51,57,101,45,49,55,32,54,
      46,54,48,54,49,55,101,45,49,56,32,50,46,51,54,51,55,55,101,45,49,56,32,55,46,
      56,56,51,57,55,101,45,49,57,32,50,46,53,52,55,54,51,101,45,49,57,10,32,32,56,
      46,52,57,54,48,49,101,45,50,48,32,50,46,56,51,52,54,101,45,50,48,32,57,46,52,
      54,49,52,54,101,45,50,49,32,48,114,53,50,32,49,46,56,55,52,101,45,48,53,32,
      50,46,52,57,56,52,55,101,45,48,53,32,51,46,51,51,49,52,49,101,45,48,53,32,52,
      46,52,52,49,56,101,45,48,53,10,32,32,53,46,57,50,50,51,54,101,45,48,53,32,55,
      46,56,57,54,53,101,45,48,53,32,46,48,48,48,49,48,53,50,56,55,32,46,48,48,48,
      49,52,48,51,56,32,46,48,48,48,49,56,55,49,54,53,32,46,48,48,48,50,52,57,53,
      52,55,32,46,48,48,48,51,51,50,55,51,51,32,46,48,48,48,52,52,51,54,49,52,10,
      32,32,46,48,48,48,53,57,49,52,55,52,32,46,48,48,48,55,56,56,53,55,57,32,46,
      48,48,49,48,53,49,51,51,32,46,48,48,49,52,48,49,54,32,46,48,48,50,53,54,50,
      53,51,32,46,48,48,51,56,52,49,57,56,32,46,48,48,54,51,57,54,57,55,32,46,48,
      48,56,57,52,54,55,54,10,32,32,46,48,49,50,55,54,49,55,32,46,48,49,55,56,51,
      32,46,48,50,53,51,57,51,52,32,46,48,51,55,56,57,52,54,32,46,48,54,50,53,48,
      54,32,46,48,56,54,53,57,56,53,32,46,49,50,49,55,55,51,32,46,49,54,54,57,32,
      46,50,51,48,56,55,57,32,46,50,56,48,56,57,55,10,32,32,46,51,50,56,48,49,56,
      32,46,52,49,51,57,54,57,32,46,52,56,57,53,50,54,32,46,53,53,53,52,56,55,32,
      46,53,56,53,48,57,57,32,46,54,49,50,53,57,53,32,46,54,51,56,48,54,56,32,46,
      54,54,49,54,51,54,32,46,54,56,51,51,51,51,32,46,55,48,51,50,54,53,10,32,32,
      46,55,50,49,53,48,52,32,46,55,51,56,49,54,32,46,55,53,51,51,49,53,32,46,55,
      54,55,48,50,50,32,46,55,56,49,54,49,57,32,46,55,57,52,51,56,32,46,56,48,56,
      56,32,46,56,50,48,50,53,51,32,46,56,50,57,49,52,52,32,46,56,51,54,57,54,56,
      32,46,56,52,49,51,57,53,10,32,32,46,56,52,51,48,51,50,32,46,56,52,49,55,54,
      52,32,46,56,51,55,49,53,49,32,46,56,50,55,49,50,56,32,46,56,49,51,52,56,52,
      32,46,55,57,55,48,55,53,32,46,55,55,53,54,57,55,32,46,55,52,57,57,53,57,32,
      46,55,50,48,49,48,57,32,46,54,56,54,55,53,55,10,32,32,46,54,53,48,54,49,52,
      32,46,54,48,57,53,51,55,32,46,53,55,48,49,54,54,32,46,53,50,56,48,56,53,32,
      46,52,55,56,49,55,49,32,46,52,51,48,57,51,51,32,46,51,57,56,53,50,55,32,46,
      51,54,50,50,50,53,32,46,51,50,51,49,53,49,32,46,50,56,54,55,53,51,10,32,32,
      46,50,53,51,52,56,54,32,46,50,50,50,52,56,52,32,46,49,57,54,56,57,57,32,46,
      49,55,51,55,55,56,32,46,49,53,48,50,48,49,32,46,49,50,52,52,48,49,32,46,49,
      48,52,52,53,56,32,46,48,56,56,49,54,52,54,32,46,48,55,55,48,55,57,54,32,46,
      48,54,55,48,57,50,57,10,32,32,46,48,53,53,55,54,48,51,32,46,48,52,54,54,55,
      49,49,32,46,48,51,57,51,51,49,51,32,46,48,51,52,48,48,57,55,32,46,48,50,55,
      55,56,53,52,32,46,48,50,50,55,57,48,49,32,46,48,49,56,55,48,49,52,32,46,48,
      49,53,54,49,49,53,32,46,48,49,51,48,49,53,55,10,32,32,46,48,49,48,56,56,51,
      32,46,48,48,56,57,49,56,48,52,32,46,48,48,55,52,50,48,48,57,32,46,48,48,54,
      52,56,50,55,50,32,46,48,48,53,48,50,51,52,54,32,46,48,48,51,57,52,52,55,50,
      32,46,48,48,51,49,52,49,50,56,32,46,48,48,50,52,52,55,54,49,32,46,48,48,49,
      57,53,49,51,50,10,32,32,46,48,48,49,53,50,52,53,51,32,46,48,48,49,50,48,49,
      55,51,32,46,48,48,48,57,53,55,48,48,52,32,46,48,48,48,55,55,48,57,55,55,32,
      46,48,48,48,54,48,55,50,57,52,32,46,48,48,48,53,49,48,53,52,55,32,46,48,48,
      48,52,50,57,55,54,54,32,46,48,48,48,51,50,52,51,50,54,10,32,32,46,48,48,48,
      50,55,51,50,49,53,32,46,48,48,48,50,48,56,56,50,54,32,46,48,48,48,49,53,55,
      51,53,49,32,46,48,48,48,49,51,50,56,54,52,32,46,48,48,48,49,49,50,49,55,52,
      32,56,46,53,56,55,51,57,101,45,48,53,32,54,46,51,57,57,51,52,101,45,48,53,32,
      53,46,52,51,54,56,53,101,45,48,53,10,32,32,52,46,49,56,48,56,55,101,45,48,53,
      32,51,46,53,54,51,49,101,45,48,53,32,50,46,55,52,57,52,51,101,45,48,53,32,50,
      46,50,50,56,49,55,101,45,48,53,32,49,46,54,51,55,49,55,101,45,48,53,32,49,46,
      52,52,49,53,50,101,45,48,53,32,49,46,49,50,56,55,57,101,45,48,53,10,32,32,56,
      46,54,49,56,53,101,45,48,54,32,54,46,56,56,53,53,49,101,45,48,54,32,53,46,53,
      48,50,54,57,101,45,48,54,32,52,46,52,54,50,54,101,45,48,54,32,51,46,54,51,49,
      53,56,101,45,48,54,32,50,46,56,57,48,55,50,101,45,48,54,32,50,46,51,54,49,48,
      51,101,45,48,54,10,32,32,49,46,56,56,57,50,57,101,45,48,54,32,49,46,54,48,51,
      55,57,101,45,48,54,32,49,46,50,50,56,48,50,101,45,48,54,32,49,46,48,52,50,55,
      56,101,45,48,54,32,56,46,53,49,49,53,55,101,45,48,55,32,53,46,51,48,56,55,54,
      101,45,48,55,32,50,46,55,55,54,54,50,101,45,48,55,10,32,32,49,46,52,55,55,52,
      51,101,45,48,55,32,54,46,55,50,53,55,57,101,45,48,56,32,51,46,48,54,54,57,56,
      101,45,48,56,32,49,46,49,57,55,50,50,101,45,48,56,32,53,46,52,54,50,57,56,101,
      45,48,57,32,51,46,48,53,51,55,54,101,45,48,56,32,49,46,49,55,54,56,55,101,45,
      48,56,10,32,32,54,46,48,50,51,56,101,45,48,57,32,50,46,56,53,51,55,53,101,45,
      48,57,32,49,46,48,53,53,56,50,101,45,48,57,32,52,46,52,51,48,48,54,101,45,49,
      48,32,49,46,56,54,49,49,57,101,45,49,48,32,54,46,57,49,56,50,50,101,45,49,49,
      32,50,46,53,55,53,49,57,101,45,49,49,10,32,32,49,46,48,56,53,55,53,101,45,49,
      49,32,52,46,53,56,49,56,55,101,45,49,50,32,49,46,57,48,53,50,52,101,45,49,50,
      32,55,46,49,49,53,55,52,101,45,49,51,32,50,46,51,53,50,52,101,45,49,51,32,54,
      46,56,56,53,54,55,101,45,49,52,32,50,46,50,56,49,51,57,101,45,49,52,10,32,32,
      54,46,54,57,50,56,50,101,45,49,53,32,50,46,50,50,49,54,56,101,45,49,53,32,55,
      46,51,56,48,55,55,101,45,49,54,32,50,46,49,55,49,51,51,101,45,49,54,32,53,46,
      56,53,52,51,49,101,45,49,55,32,50,46,49,50,56,49,101,45,49,55,32,54,46,54,48,
      53,50,57,101,45,49,56,10,32,32,50,46,51,54,51,52,55,101,45,49,56,32,55,46,56,
      56,50,57,56,101,45,49,57,32,50,46,53,52,54,56,56,101,45,49,57,32,56,46,52,57,
      51,52,57,101,45,50,48,32,50,46,56,51,51,55,54,101,45,50,48,32,57,46,52,53,56,
      54,50,101,45,50,49,32,48,114,53,50,32,49,46,53,53,56,52,50,101,45,48,53,10,
      32,32,50,46,48,55,55,55,51,101,45,48,53,32,50,46,55,55,48,52,101,45,48,53,32,
      51,46,54,57,51,55,57,101,45,48,53,32,52,46,57,50,53,48,50,101,45,48,53,32,54,
      46,53,54,54,54,56,101,45,48,53,32,56,46,55,53,53,53,54,101,45,48,53,32,46,48,
      48,48,49,49,54,55,51,56,10,32,32,46,48,48,48,49,53,53,54,52,50,32,46,48,48,
      48,50,48,55,53,49,54,32,46,48,48,48,50,55,54,54,56,56,32,46,48,48,48,51,54,
      56,56,56,55,32,46,48,48,48,52,57,49,56,51,32,46,48,48,48,54,53,53,55,49,52,
      32,46,48,48,48,56,55,52,49,55,50,32,46,48,48,49,49,54,53,51,56,10,32,32,46,
      48,48,50,48,51,51,49,32,46,48,48,51,48,52,56,49,50,32,46,48,48,53,48,55,52,
      57,52,32,46,48,48,55,48,57,55,52,57,32,46,48,49,48,49,50,51,52,32,46,48,49,
      52,49,52,51,53,32,46,48,50,48,49,52,50,55,32,46,48,51,48,48,54,48,49,32,46,
      48,52,57,53,57,52,57,10,32,32,46,48,54,56,55,51,55,50,32,46,48,57,54,55,51,
      48,51,32,46,49,51,50,55,52,50,32,46,49,56,52,48,51,53,32,46,50,50,52,51,54,
      56,32,46,50,54,50,53,56,54,32,46,51,51,50,57,54,50,32,46,51,57,53,55,48,49,
      32,46,52,53,49,51,50,57,32,46,52,55,54,54,50,56,10,32,32,46,53,48,48,51,51,
      55,32,46,53,50,50,53,51,54,32,46,53,52,51,50,48,53,32,46,53,54,50,52,57,56,
      32,46,53,56,48,52,55,54,32,46,53,57,55,49,48,51,32,46,54,49,50,52,54,55,32,
      46,54,50,54,54,54,53,32,46,54,51,57,55,52,32,46,54,53,51,57,52,32,46,54,54,
      54,54,55,49,10,32,32,46,54,56,49,52,51,49,32,46,54,57,51,56,56,55,32,46,55,
      48,52,49,56,57,32,46,55,49,52,51,48,55,32,46,55,50,49,55,54,52,32,46,55,50,
      54,53,52,53,32,46,55,50,57,51,55,56,32,46,55,50,57,52,57,57,32,46,55,50,53,
      56,48,50,32,46,55,49,56,54,54,56,10,32,32,46,55,48,56,54,56,32,46,54,57,52,
      54,50,50,32,46,54,55,54,53,51,49,32,46,54,53,52,54,49,57,32,46,54,50,56,57,
      51,51,32,46,54,48,48,48,53,50,32,46,53,54,54,55,50,51,32,46,53,51,51,56,55,
      51,32,46,52,57,56,50,52,32,46,52,53,52,54,55,50,32,46,52,49,50,51,51,50,10,
      32,32,46,51,56,50,57,54,32,46,51,52,57,56,48,50,32,46,51,49,51,52,53,32,46,
      50,55,57,52,48,51,32,46,50,52,55,57,48,55,32,46,50,49,56,51,48,55,32,46,49,
      57,51,54,57,55,32,46,49,55,49,50,57,52,32,46,49,52,56,50,55,54,32,46,49,50,
      51,49,50,52,32,46,49,48,51,54,48,49,10,32,32,46,48,56,55,53,54,49,50,32,46,
      48,55,54,54,50,50,54,32,46,48,54,54,55,52,57,49,32,46,48,53,53,53,50,53,53,
      32,46,48,52,54,53,49,48,50,32,46,48,51,57,50,49,56,50,32,46,48,51,51,57,50,
      52,51,32,46,48,50,55,55,50,56,51,32,46,48,50,50,55,53,49,57,10,32,32,46,48,
      49,56,54,55,53,53,32,46,48,49,53,53,57,51,50,32,46,48,49,51,48,48,50,50,32,
      46,48,49,48,56,55,51,56,32,46,48,48,56,57,49,49,54,55,32,46,48,48,55,52,49,
      53,52,54,32,46,48,48,54,52,55,57,48,56,32,46,48,48,53,48,50,49,48,56,32,46,
      48,48,51,57,52,51,49,10,32,32,46,48,48,51,49,52,48,49,52,32,46,48,48,50,52,
      52,54,56,51,32,46,48,48,49,57,53,48,55,54,32,46,48,48,49,53,50,52,49,51,32,
      46,48,48,49,50,48,49,52,52,32,46,48,48,48,57,53,54,55,56,56,32,46,48,48,48,
      55,55,48,56,50,32,46,48,48,48,54,48,55,49,55,55,10,32,32,46,48,48,48,53,49,
      48,52,53,49,32,46,48,48,48,52,50,57,54,56,55,32,46,48,48,48,51,50,52,50,54,
      57,32,46,48,48,48,50,55,51,49,55,32,46,48,48,48,50,48,56,55,57,51,32,46,48,
      48,48,49,53,55,51,50,56,32,46,48,48,48,49,51,50,56,52,53,32,46,48,48,48,49,
      49,50,49,53,56,10,32,32,56,46,53,56,54,50,53,101,45,48,53,32,54,46,51,57,56,
      53,54,101,45,48,53,32,53,46,52,51,54,50,50,101,45,48,53,32,52,46,49,56,48,52,
      50,101,45,48,53,32,51,46,53,54,50,55,50,101,45,48,53,32,50,46,55,52,57,49,54,
      101,45,48,53,32,50,46,50,50,55,57,54,101,45,48,53,10,32,32,49,46,54,51,55,48,
      49,101,45,48,53,32,49,46,52,52,49,51,56,101,45,48,53,32,49,46,49,50,56,54,56,
      101,45,48,53,32,56,46,54,49,55,54,56,101,45,48,54,32,54,46,56,56,52,56,54,101,
      45,48,54,32,53,46,53,48,50,49,55,101,45,48,54,32,52,46,52,54,50,50,101,45,48,
      54,10,32,32,51,46,54,51,49,50,54,101,45,48,54,32,50,46,56,57,48,52,55,101,45,
      48,54,32,50,46,51,54,48,56,51,101,45,48,54,32,49,46,56,56,57,49,53,101,45,48,
      54,32,49,46,54,48,51,54,55,101,45,48,54,32,49,46,50,50,55,57,52,101,45,48,54,
      32,49,46,48,52,50,55,49,101,45,48,54,10,32,32,56,46,53,49,49,48,52,101,45,48,
      55,32,53,46,51,48,56,52,51,101,45,48,55,32,50,46,55,55,54,52,54,101,45,48,55,
      32,49,46,52,55,55,51,52,101,45,48,55,32,54,46,55,50,53,51,55,101,45,48,56,32,
      51,46,48,54,54,56,49,101,45,48,56,32,49,46,49,57,55,49,54,101,45,48,56,10,32,
      32,53,46,52,54,50,56,51,101,45,48,57,32,51,46,48,53,51,48,55,101,45,48,56,32,
      49,46,49,55,54,54,101,45,48,56,32,54,46,48,50,50,52,52,101,45,48,57,32,50,46,
      56,53,51,49,101,45,48,57,32,49,46,48,53,53,53,56,101,45,48,57,32,52,46,52,50,
      57,48,53,101,45,49,48,10,32,32,49,46,56,54,48,55,54,101,45,49,48,32,54,46,57,
      49,54,54,52,101,45,49,49,32,50,46,53,55,52,53,57,101,45,49,49,32,49,46,48,56,
      53,53,101,45,49,49,32,52,46,53,56,48,56,101,45,49,50,32,49,46,57,48,52,57,54,
      101,45,49,50,32,55,46,49,49,52,54,56,101,45,49,51,10,32,32,50,46,51,53,50,48,
      54,101,45,49,51,32,54,46,56,56,52,55,101,45,49,52,32,50,46,50,56,49,48,56,101,
      45,49,52,32,54,46,54,57,49,57,51,101,45,49,53,32,50,46,50,50,49,51,57,101,45,
      49,53,32,55,46,51,55,57,56,52,101,45,49,54,32,50,46,49,55,49,48,55,101,45,49,
      54,10,32,32,53,46,56,53,51,54,51,101,45,49,55,32,50,46,49,50,55,56,53,101,45,
      49,55,32,54,46,54,48,52,53,54,101,45,49,56,32,50,46,51,54,51,50,49,101,45,49,
      56,32,55,46,56,56,50,49,55,101,45,49,57,32,50,46,53,52,54,49,56,101,45,49,57,
      32,56,46,52,57,49,49,54,101,45,50,48,10,32,32,50,46,56,51,50,57,55,101,45,50,
      48,32,57,46,52,53,54,101,45,50,49,32,48,114,53,50,32,49,46,50,53,48,52,101,
      45,48,53,32,49,46,54,54,55,48,56,101,45,48,53,32,50,46,50,50,50,56,53,101,45,
      48,53,32,50,46,57,54,51,55,53,101,45,48,53,32,51,46,57,53,49,54,54,101,45,48,
      53,10,32,32,53,46,50,54,56,57,101,45,48,53,32,55,46,48,50,53,50,52,101,45,48,
      53,32,57,46,51,54,54,56,54,101,45,48,53,32,46,48,48,48,49,50,52,56,56,54,32,
      46,48,48,48,49,54,54,53,49,50,32,46,48,48,48,50,50,50,48,50,32,46,48,48,48,
      50,57,54,48,49,49,32,46,48,48,48,51,57,52,54,56,10,32,32,46,48,48,48,53,50,
      54,50,49,54,32,46,48,48,48,55,48,49,53,55,50,32,46,48,48,48,57,51,53,51,53,
      57,32,46,48,48,49,50,52,55,48,50,32,46,48,48,50,51,56,54,50,50,32,46,48,48,
      51,57,55,52,50,32,46,48,48,53,53,53,57,55,51,32,46,48,48,55,57,51,51,52,51,
      10,32,32,46,48,49,49,48,56,57,56,32,46,48,49,53,56,48,53,55,32,46,48,50,51,
      54,49,53,57,32,46,48,51,57,48,52,56,50,32,46,48,53,52,50,50,56,57,32,46,48,
      55,54,53,50,55,50,32,46,49,48,53,51,55,57,32,46,49,52,54,55,56,55,32,46,49,
      55,57,54,48,55,32,46,50,49,48,57,50,51,10,32,32,46,50,54,57,49,54,56,32,46,
      51,50,49,56,32,46,51,54,57,49,50,55,32,46,51,57,48,56,56,51,32,46,52,49,49,
      52,51,52,32,46,52,51,48,56,49,32,46,52,52,57,48,55,32,46,52,54,54,50,49,55,
      32,46,52,56,50,50,56,49,32,46,52,57,55,51,52,52,32,46,53,49,49,52,51,56,10,
      32,32,46,53,50,52,53,55,50,32,46,53,51,54,55,57,50,32,46,53,53,48,50,57,51,
      32,46,53,54,50,54,49,32,46,53,55,55,50,54,57,32,46,53,57,48,48,52,57,32,46,
      54,48,48,57,57,57,32,46,54,49,50,51,51,32,46,54,50,49,51,49,55,32,46,54,50,
      56,49,54,55,32,46,54,51,51,56,53,53,10,32,32,46,54,51,55,48,55,53,32,46,54,
      51,55,56,52,55,32,46,54,51,53,52,50,32,46,54,51,48,49,55,49,32,46,54,50,49,
      54,55,51,32,46,54,48,57,53,49,50,32,46,53,57,51,55,55,52,32,46,53,55,52,52,
      56,55,32,46,53,53,50,49,53,53,32,46,53,50,53,52,54,52,32,46,52,57,56,51,51,
      55,10,32,32,46,52,54,55,57,52,32,46,52,51,48,51,48,53,32,46,51,57,51,50,49,
      49,32,46,51,54,54,56,57,49,32,46,51,51,54,54,50,56,32,46,51,48,51,49,57,54,
      32,46,50,55,49,52,54,52,32,46,50,52,49,55,54,57,32,46,50,49,51,54,50,56,32,
      46,49,57,48,48,55,53,32,46,49,54,56,53,51,51,10,32,32,46,49,52,54,51,51,53,
      32,46,49,50,49,55,56,52,32,46,49,48,50,54,51,53,32,46,48,56,54,56,55,56,52,
      32,46,48,55,54,49,48,51,51,32,46,48,54,54,51,53,56,51,32,46,48,53,53,50,53,
      55,52,32,46,48,52,54,51,50,49,54,32,46,48,51,57,48,56,52,55,32,46,48,51,51,
      56,50,54,50,10,32,32,46,48,50,55,54,54,51,53,32,46,48,50,50,55,48,56,49,32,
      46,48,49,56,54,52,53,57,32,46,48,49,53,53,55,50,52,32,46,48,49,50,57,56,56,
      50,32,46,48,49,48,56,54,51,50,32,46,48,48,56,57,48,52,51,49,32,46,48,48,55,
      52,49,48,49,53,32,46,48,48,54,52,55,52,56,53,10,32,32,46,48,48,53,48,49,56,
      51,49,32,46,48,48,51,57,52,49,50,50,32,46,48,48,51,49,51,56,56,50,32,46,48,
      48,50,52,52,53,57,49,32,46,48,48,49,57,53,48,49,32,46,48,48,49,53,50,51,54,
      54,32,46,48,48,49,50,48,49,48,57,32,46,48,48,48,57,53,54,53,51,52,10,32,32,
      46,48,48,48,55,55,48,54,50,50,32,46,48,48,48,54,48,55,48,51,50,32,46,48,48,
      48,53,49,48,51,51,54,32,46,48,48,48,52,50,57,53,57,54,32,46,48,48,48,51,50,
      52,50,48,53,32,46,48,48,48,50,55,51,49,49,55,32,46,48,48,48,50,48,56,55,53,
      53,32,46,48,48,48,49,53,55,51,48,49,10,32,32,46,48,48,48,49,51,50,56,50,51,
      32,46,48,48,48,49,49,50,49,52,32,56,46,53,56,52,57,50,101,45,48,53,32,54,46,
      51,57,55,53,56,101,45,48,53,32,53,46,52,51,53,52,101,45,48,53,32,52,46,49,55,
      57,56,101,45,48,53,32,51,46,53,54,50,50,49,101,45,48,53,32,50,46,55,52,56,55,
      55,101,45,48,53,10,32,32,50,46,50,50,55,54,54,101,45,48,53,32,49,46,54,51,54,
      56,49,101,45,48,53,32,49,46,52,52,49,50,49,101,45,48,53,32,49,46,49,50,56,53,
      53,101,45,48,53,32,56,46,54,49,54,55,52,101,45,48,54,32,54,46,56,56,52,49,51,
      101,45,48,54,32,53,46,53,48,49,54,49,101,45,48,54,10,32,32,52,46,52,54,49,55,
      53,101,45,48,54,32,51,46,54,51,48,57,101,45,48,54,32,50,46,56,57,48,49,57,101,
      45,48,54,32,50,46,51,54,48,54,101,45,48,54,32,49,46,56,56,56,57,54,101,45,48,
      54,32,49,46,54,48,51,53,49,101,45,48,54,32,49,46,50,50,55,56,50,101,45,48,54,
      10,32,32,49,46,48,52,50,54,49,101,45,48,54,32,56,46,53,49,48,50,49,101,45,48,
      55,32,53,46,51,48,55,57,52,101,45,48,55,32,50,46,55,55,54,50,50,101,45,48,55,
      32,49,46,52,55,55,50,51,101,45,48,55,32,54,46,55,50,52,57,50,101,45,48,56,32,
      51,46,48,54,54,54,50,101,45,48,56,10,32,32,49,46,49,57,55,48,56,101,45,48,56,
      32,53,46,52,54,50,52,54,101,45,48,57,32,51,46,48,53,50,52,53,101,45,48,56,32,
      49,46,49,55,54,51,54,101,45,48,56,32,54,46,48,50,49,50,49,101,45,48,57,32,50,
      46,56,53,50,53,50,101,45,48,57,32,49,46,48,53,53,51,55,101,45,48,57,10,32,32,
      52,46,52,50,56,49,52,101,45,49,48,32,49,46,56,54,48,51,56,101,45,49,48,32,54,
      46,57,49,53,50,101,45,49,49,32,50,46,53,55,52,48,54,101,45,49,49,32,49,46,48,
      56,53,50,55,101,45,49,49,32,52,46,53,55,57,56,53,101,45,49,50,32,49,46,57,48,
      52,55,49,101,45,49,50,10,32,32,55,46,49,49,51,55,57,101,45,49,51,32,50,46,51,
      53,49,55,55,101,45,49,51,32,54,46,56,56,51,56,56,101,45,49,52,32,50,46,50,56,
      48,56,50,101,45,49,52,32,54,46,54,57,49,49,57,101,45,49,53,32,50,46,50,50,49,
      49,54,101,45,49,53,32,55,46,51,55,57,48,56,101,45,49,54,10,32,32,50,46,49,55,
      48,56,53,101,45,49,54,32,53,46,56,53,51,48,56,101,45,49,55,32,50,46,49,50,55,
      54,54,101,45,49,55,32,54,46,54,48,51,57,56,101,45,49,56,32,50,46,51,54,51,48,
      50,101,45,49,56,32,55,46,56,56,49,53,52,101,45,49,57,32,50,46,53,52,53,53,53,
      101,45,49,57,10,32,32,56,46,52,56,57,48,51,101,45,50,48,32,50,46,56,51,50,50,
      54,101,45,50,48,32,57,46,52,53,51,53,57,101,45,50,49,32,48,114,53,50,32,49,
      46,48,51,49,54,55,101,45,48,53,32,49,46,51,55,53,52,54,101,45,48,53,32,49,46,
      56,51,52,101,45,48,53,32,50,46,52,52,53,50,57,101,45,48,53,10,32,32,51,46,50,
      54,48,51,55,101,45,48,53,32,52,46,51,52,55,49,54,101,45,48,53,32,53,46,55,57,
      54,50,49,101,45,48,53,32,55,46,55,50,56,49,51,101,45,48,53,32,46,48,48,48,49,
      48,51,48,51,54,32,46,48,48,48,49,51,55,51,55,56,32,46,48,48,48,49,56,51,49,
      55,49,10,32,32,46,48,48,48,50,52,52,50,49,32,46,48,48,48,51,50,53,54,48,53,
      32,46,48,48,48,52,51,52,49,48,55,32,46,48,48,48,53,55,56,55,52,56,32,46,48,
      48,48,55,55,49,53,55,49,32,46,48,48,49,48,50,56,54,49,32,46,48,48,49,57,50,
      51,56,56,32,46,48,48,51,50,48,51,57,10,32,32,46,48,48,52,52,56,49,55,54,32,
      46,48,48,54,51,57,52,53,55,32,46,48,48,56,57,51,55,55,49,32,46,48,49,50,55,
      51,55,32,46,48,49,57,48,50,56,55,32,46,48,51,49,52,54,51,49,32,46,48,52,51,
      55,48,50,49,32,46,48,54,49,55,48,49,50,32,46,48,56,53,48,52,49,52,10,32,32,
      46,49,49,56,54,55,50,32,46,49,52,53,52,54,50,32,46,49,55,49,49,53,51,32,46,
      50,49,57,51,51,53,32,46,50,54,51,52,48,49,32,46,51,48,51,53,51,32,46,51,50,
      50,49,56,50,32,46,51,51,57,57,49,56,32,46,51,53,54,55,54,52,32,46,51,55,50,
      55,51,52,32,46,51,56,55,56,55,51,10,32,32,46,52,48,50,50,48,50,32,46,52,49,
      53,55,50,57,32,46,52,50,56,52,57,50,32,46,52,52,48,52,57,52,32,46,52,53,49,
      55,56,32,46,52,54,52,52,50,54,32,46,52,55,54,48,55,54,32,46,52,57,48,49,55,
      51,32,46,53,48,50,55,49,57,32,46,53,49,51,55,57,53,32,46,53,50,53,55,57,56,
      10,32,32,46,53,51,53,55,49,51,32,46,53,52,51,56,53,56,32,46,53,53,49,51,50,
      57,32,46,53,53,54,54,51,57,32,46,53,54,48,54,51,51,32,46,53,54,49,55,49,51,
      32,46,53,54,48,49,50,50,32,46,53,53,53,56,32,46,53,52,56,53,48,57,32,46,53,
      51,55,55,48,51,32,46,53,50,51,55,55,53,10,32,32,46,53,48,54,56,51,55,32,46,
      52,56,53,53,53,32,46,52,54,51,52,51,49,32,46,52,51,56,50,55,55,32,46,52,48,
      54,48,56,56,32,46,51,55,51,52,52,57,32,46,51,53,48,48,55,32,46,51,50,50,56,
      54,54,32,46,50,57,50,51,52,57,32,46,50,54,50,57,56,54,32,46,50,51,53,50,48,
      49,10,32,32,46,50,48,56,54,48,53,32,46,49,56,54,49,54,57,32,46,49,54,53,52,
      57,52,32,46,49,52,51,57,56,57,32,46,49,50,48,50,49,52,32,46,49,48,49,53,54,
      50,32,46,48,56,54,49,49,55,53,32,46,48,55,53,53,50,52,53,32,46,48,54,53,57,
      50,49,53,32,46,48,53,52,57,53,55,55,10,32,32,46,48,52,54,49,49,52,57,32,46,
      48,51,56,57,51,57,32,46,48,51,51,55,49,54,52,32,46,48,50,55,53,57,32,46,48,
      50,50,54,53,56,56,32,46,48,49,56,54,49,50,53,32,46,48,49,53,53,52,56,56,32,
      46,48,49,50,57,55,48,57,32,46,48,49,48,56,53,49,51,32,46,48,48,56,56,57,54,
      10,32,32,46,48,48,55,52,48,52,49,52,32,46,48,48,54,52,55,48,49,32,46,48,48,
      53,48,49,53,50,49,32,46,48,48,51,57,51,57,49,49,32,46,48,48,51,49,51,55,51,
      50,32,46,48,48,50,52,52,52,56,57,32,46,48,48,49,57,52,57,51,53,32,46,48,48,
      49,53,50,51,49,51,32,46,48,48,49,50,48,48,55,50,10,32,32,46,48,48,48,57,53,
      54,50,53,54,32,46,48,48,48,55,55,48,52,49,55,32,46,48,48,48,54,48,54,56,55,
      56,32,46,48,48,48,53,49,48,50,49,32,46,48,48,48,52,50,57,52,57,50,32,46,48,
      48,48,51,50,52,49,51,50,32,46,48,48,48,50,55,51,48,53,56,32,46,48,48,48,50,
      48,56,55,49,50,10,32,32,46,48,48,48,49,53,55,50,55,32,46,48,48,48,49,51,50,
      55,57,56,32,46,48,48,48,49,49,50,49,50,32,56,46,53,56,51,52,50,101,45,48,53,
      32,54,46,51,57,54,53,53,101,45,48,53,32,53,46,52,51,52,53,54,101,45,48,53,32,
      52,46,49,55,57,49,57,101,45,48,53,32,51,46,53,54,49,55,101,45,48,53,10,32,32,
      50,46,55,52,56,52,101,45,48,53,32,50,46,50,50,55,51,54,101,45,48,53,32,49,46,
      54,51,54,53,57,101,45,48,53,32,49,46,52,52,49,48,49,101,45,48,53,32,49,46,49,
      50,56,52,49,101,45,48,53,32,56,46,54,49,53,54,53,101,45,48,54,32,54,46,56,56,
      51,50,57,101,45,48,54,10,32,32,53,46,53,48,48,57,54,101,45,48,54,32,52,46,52,
      54,49,50,51,101,45,48,54,32,51,46,54,51,48,52,57,101,45,48,54,32,50,46,56,56,
      57,56,56,101,45,48,54,32,50,46,51,54,48,51,54,101,45,48,54,32,49,46,56,56,56,
      55,55,101,45,48,54,32,49,46,54,48,51,51,53,101,45,48,54,10,32,32,49,46,50,50,
      55,55,101,45,48,54,32,49,46,48,52,50,53,49,101,45,48,54,32,56,46,53,48,57,52,
      54,101,45,48,55,32,53,46,51,48,55,52,57,101,45,48,55,32,50,46,55,55,54,101,
      45,48,55,32,49,46,52,55,55,49,49,101,45,48,55,32,54,46,55,50,52,51,56,101,45,
      48,56,10,32,32,51,46,48,54,54,51,57,101,45,48,56,32,49,46,49,57,55,48,49,101,
      45,48,56,32,53,46,52,54,50,49,57,101,45,48,57,32,51,46,48,53,49,57,101,45,48,
      56,32,49,46,49,55,54,49,53,101,45,48,56,32,54,46,48,50,48,49,50,101,45,48,57,
      32,50,46,56,53,50,101,45,48,57,10,32,32,49,46,48,53,53,49,55,101,45,48,57,32,
      52,46,52,50,55,51,51,101,45,49,48,32,49,46,56,54,48,48,52,101,45,49,48,32,54,
      46,57,49,51,57,50,101,45,49,49,32,50,46,53,55,51,53,56,101,45,49,49,32,49,46,
      48,56,53,48,55,101,45,49,49,32,52,46,53,55,56,57,57,101,45,49,50,10,32,32,49,
      46,57,48,52,53,49,101,45,49,50,32,55,46,49,49,51,48,54,101,45,49,51,32,50,46,
      51,53,49,53,52,101,45,49,51,32,54,46,56,56,51,50,51,101,45,49,52,32,50,46,50,
      56,48,54,49,101,45,49,52,32,54,46,54,57,48,54,49,101,45,49,53,32,50,46,50,50,
      48,57,55,101,45,49,53,10,32,32,55,46,51,55,56,52,57,101,45,49,54,32,50,46,49,
      55,48,54,57,101,45,49,54,32,53,46,56,53,50,54,54,101,45,49,55,32,50,46,49,50,
      55,53,49,101,45,49,55,32,54,46,54,48,51,53,53,101,45,49,56,32,50,46,51,54,50,
      56,55,101,45,49,56,32,55,46,56,56,49,49,101,45,49,57,10,32,32,50,46,53,52,52,
      57,55,101,45,49,57,32,56,46,52,56,55,48,57,101,45,50,48,32,50,46,56,51,49,54,
      49,101,45,50,48,32,57,46,52,53,49,52,49,101,45,50,49,32,48,114,53,50,32,56,
      46,49,56,49,56,55,101,45,48,54,32,49,46,48,57,48,56,51,101,45,48,53,32,49,46,
      52,53,52,53,101,45,48,53,10,32,32,49,46,57,51,57,50,57,101,45,48,53,32,50,46,
      53,56,53,55,50,101,45,48,53,32,51,46,52,52,55,54,52,101,45,48,53,32,52,46,53,
      57,54,56,56,101,45,48,53,32,54,46,49,50,57,49,101,45,48,53,32,56,46,49,55,49,
      55,56,101,45,48,53,32,46,48,48,48,49,48,56,57,53,54,10,32,32,46,48,48,48,49,
      52,53,50,55,55,32,46,48,48,48,49,57,51,54,57,51,32,46,48,48,48,50,53,56,50,
      53,56,32,46,48,48,48,51,52,52,51,51,49,32,46,48,48,48,52,53,57,48,56,49,32,
      46,48,48,48,54,49,50,48,55,52,32,46,48,48,48,56,49,54,48,52,56,32,46,48,48,
      49,50,50,51,57,51,10,32,32,46,48,48,50,53,49,57,50,50,32,46,48,48,51,53,50,
      52,57,54,32,46,48,48,53,48,51,49,51,54,32,46,48,48,55,48,51,53,56,32,46,48,
      49,48,48,51,51,55,32,46,48,49,53,48,48,54,56,32,46,48,50,52,56,54,52,55,32,
      46,48,51,52,54,48,52,50,32,46,48,52,56,57,57,48,50,10,32,32,46,48,54,55,55,
      53,50,52,32,46,48,57,52,57,57,51,50,32,46,49,49,54,56,54,53,32,46,49,51,55,
      57,56,53,32,46,49,55,55,57,56,51,32,46,50,49,53,48,51,52,32,46,50,52,57,50,
      49,32,46,50,54,53,50,52,51,32,46,50,56,48,53,57,54,32,46,50,57,53,50,54,57,
      10,32,32,46,51,48,57,51,32,46,51,50,50,54,55,51,32,46,51,51,53,52,48,53,32,
      46,51,52,55,53,51,51,32,46,51,53,57,48,53,53,32,46,51,54,57,57,56,57,32,46,
      51,56,48,51,52,55,32,46,51,57,50,48,53,50,32,46,52,48,50,57,56,49,32,46,52,
      49,54,51,57,56,32,46,52,50,56,53,54,53,10,32,32,46,52,51,57,52,57,53,32,46,
      52,53,49,53,50,32,46,52,54,49,57,48,49,32,46,52,55,48,55,50,53,32,46,52,55,
      57,51,57,53,32,46,52,56,54,49,56,32,46,52,57,50,52,57,56,32,46,52,57,54,49,
      54,55,32,46,52,57,55,51,55,32,46,52,57,54,51,55,52,32,46,52,57,50,54,49,51,
      10,32,32,46,52,56,54,48,49,32,46,52,55,54,53,50,49,32,46,52,54,51,57,53,49,
      32,46,52,52,55,54,49,56,32,46,52,51,48,49,48,54,32,46,52,48,57,49,56,52,32,
      46,51,56,49,57,55,32,46,51,53,51,56,55,56,32,46,51,51,51,49,54,57,32,46,51,
      48,56,55,57,50,32,46,50,56,49,49,52,55,10,32,32,46,50,53,52,48,57,57,32,46,
      50,50,56,50,55,50,32,46,50,48,51,50,55,55,32,46,49,56,49,57,56,56,32,46,49,
      54,50,50,51,54,32,46,49,52,49,54,52,49,32,46,49,49,56,53,56,32,46,49,48,48,
      51,56,57,32,46,48,56,53,50,56,53,52,32,46,48,55,52,56,56,57,52,10,32,32,46,
      48,54,53,52,52,49,56,32,46,48,53,52,54,50,55,53,32,46,48,52,53,56,56,50,52,
      32,46,48,51,56,55,55,52,32,46,48,51,51,53,57,52,54,32,46,48,50,55,53,48,57,
      49,32,46,48,50,50,54,48,52,49,32,46,48,49,56,53,55,53,53,32,46,48,49,53,53,
      50,50,56,10,32,32,46,48,49,50,57,53,51,32,46,48,49,48,56,51,56,49,32,46,48,
      48,56,56,56,54,55,54,32,46,48,48,55,51,57,55,52,54,32,46,48,48,54,52,54,52,
      55,56,32,46,48,48,53,48,49,49,55,51,32,46,48,48,51,57,51,54,55,52,32,46,48,
      48,51,49,51,53,54,53,32,46,48,48,50,52,52,51,55,50,10,32,32,46,48,48,49,57,
      52,56,53,49,32,46,48,48,49,53,50,50,53,51,32,46,48,48,49,50,48,48,50,56,32,
      46,48,48,48,57,53,53,57,51,32,46,48,48,48,55,55,48,49,54,55,32,46,48,48,48,
      54,48,54,54,57,56,32,46,48,48,48,53,49,48,48,54,56,32,46,48,48,48,52,50,57,
      51,55,56,10,32,32,46,48,48,48,51,50,52,48,53,32,46,48,48,48,50,55,50,57,57,
      50,32,46,48,48,48,50,48,56,54,54,52,32,46,48,48,48,49,53,55,50,51,54,32,46,
      48,48,48,49,51,50,55,55,32,46,48,48,48,49,49,50,48,57,55,32,56,46,53,56,49,
      55,52,101,45,48,53,32,54,46,51,57,53,51,50,101,45,48,53,10,32,32,53,46,52,51,
      51,53,50,101,45,48,53,32,52,46,49,55,56,52,50,101,45,48,53,32,51,46,53,54,49,
      48,54,101,45,48,53,32,50,46,55,52,55,57,49,101,45,48,53,32,50,46,50,50,54,57,
      56,101,45,48,53,32,49,46,54,51,54,51,51,101,45,48,53,32,49,46,52,52,48,56,101,
      45,48,53,10,32,32,49,46,49,50,56,50,52,101,45,48,53,32,56,46,54,49,52,52,51,
      101,45,48,54,32,54,46,56,56,50,51,52,101,45,48,54,32,53,46,53,48,48,50,49,101,
      45,48,54,32,52,46,52,54,48,54,53,101,45,48,54,32,51,46,54,51,48,48,51,101,45,
      48,54,32,50,46,56,56,57,53,50,101,45,48,54,10,32,32,50,46,51,54,48,48,55,101,
      45,48,54,32,49,46,56,56,56,53,53,101,45,48,54,32,49,46,54,48,51,49,55,101,45,
      48,54,32,49,46,50,50,55,53,54,101,45,48,54,32,49,46,48,52,50,51,57,101,45,48,
      54,32,56,46,53,48,56,52,54,101,45,48,55,32,53,46,51,48,54,56,57,101,45,48,55,
      10,32,32,50,46,55,55,53,55,101,45,48,55,32,49,46,52,55,54,57,55,101,45,48,55,
      32,54,46,55,50,51,56,49,101,45,48,56,32,51,46,48,54,54,49,52,101,45,48,56,32,
      49,46,49,57,54,57,49,101,45,48,56,32,53,46,52,54,49,55,54,101,45,48,57,32,51,
      46,48,53,49,52,50,101,45,48,56,10,32,32,49,46,49,55,53,57,54,101,45,48,56,32,
      54,46,48,49,57,49,54,101,45,48,57,32,50,46,56,53,49,53,52,101,45,48,57,32,49,
      46,48,53,53,48,49,101,45,48,57,32,52,46,52,50,54,54,50,101,45,49,48,32,49,46,
      56,53,57,55,51,101,45,49,48,32,54,46,57,49,50,56,101,45,49,49,10,32,32,50,46,
      53,55,51,49,54,101,45,49,49,32,49,46,48,56,52,56,57,101,45,49,49,32,52,46,53,
      55,56,50,52,101,45,49,50,32,49,46,57,48,52,51,53,101,45,49,50,32,55,46,49,49,
      50,52,57,101,45,49,51,32,50,46,51,53,49,51,54,101,45,49,51,32,54,46,56,56,50,
      55,51,101,45,49,52,10,32,32,50,46,50,56,48,52,53,101,45,49,52,32,54,46,54,57,
      48,49,55,101,45,49,53,32,50,46,50,50,48,56,52,101,45,49,53,32,55,46,51,55,56,
      48,56,101,45,49,54,32,50,46,49,55,48,53,56,101,45,49,54,32,53,46,56,53,50,51,
      56,101,45,49,55,32,50,46,49,50,55,52,50,101,45,49,55,10,32,32,54,46,54,48,51,
      50,56,101,45,49,56,32,50,46,51,54,50,55,56,101,45,49,56,32,55,46,56,56,48,56,
      52,101,45,49,57,32,50,46,53,52,52,52,53,101,45,49,57,32,56,46,52,56,53,51,53,
      101,45,50,48,32,50,46,56,51,49,48,50,101,45,50,48,32,57,46,52,52,57,52,53,101,
      45,50,49,10,32,32,48,114,53,50,32,53,46,50,48,50,57,55,101,45,48,54,32,54,46,
      57,51,54,55,55,101,45,48,54,32,57,46,50,52,57,51,54,101,45,48,54,32,49,46,50,
      51,51,50,51,101,45,48,53,32,49,46,54,52,52,51,101,45,48,53,32,50,46,49,57,50,
      52,49,101,45,48,53,32,50,46,57,50,51,50,52,101,45,48,53,10,32,32,51,46,56,57,
      55,54,49,101,45,48,53,32,53,46,49,57,54,54,101,45,48,53,32,54,46,57,50,56,55,
      51,101,45,48,53,32,57,46,50,51,56,53,51,101,45,48,53,32,46,48,48,48,49,50,51,
      49,55,53,32,46,48,48,48,49,54,52,50,51,53,32,46,48,48,48,50,49,56,57,55,53,
      10,32,32,46,48,48,48,50,57,49,57,53,55,32,46,48,48,48,51,56,57,50,54,54,32,
      46,48,48,48,53,49,57,48,49,51,32,46,48,48,48,55,55,56,53,50,51,32,46,48,48,
      49,53,56,54,51,49,32,46,48,48,50,50,50,48,49,52,32,46,48,48,51,49,55,48,48,
      50,32,46,48,48,52,52,51,52,57,55,10,32,32,46,48,48,54,51,50,57,48,57,32,46,
      48,48,57,52,55,55,50,49,32,46,48,49,53,55,52,48,53,32,46,48,50,49,57,53,57,
      52,32,46,48,51,49,50,48,50,57,32,46,48,52,51,51,54,52,57,32,46,48,54,49,50,
      52,54,57,32,46,48,55,53,56,48,52,55,32,46,48,57,48,48,51,56,57,10,32,32,46,
      49,49,55,53,48,49,32,46,49,52,51,53,55,54,32,46,49,54,56,50,50,52,32,46,49,
      56,48,48,48,54,32,46,49,57,49,52,50,51,32,46,50,48,50,52,55,54,32,46,50,49,
      51,49,54,55,32,46,50,50,51,52,57,51,32,46,50,51,51,52,54,32,46,50,52,51,48,
      55,49,32,46,50,53,50,51,50,49,10,32,32,46,50,54,49,50,50,50,32,46,50,54,57,
      55,55,55,32,46,50,55,57,53,56,54,32,46,50,56,56,57,48,52,32,46,51,48,48,53,
      57,51,32,46,51,49,49,52,55,32,46,51,50,49,53,51,52,32,46,51,51,51,48,49,53,
      32,46,51,52,51,51,51,51,32,46,51,53,50,53,54,32,46,51,54,50,50,53,56,10,32,
      32,46,51,55,48,52,57,51,32,46,51,55,57,52,52,56,32,46,51,56,54,50,56,51,32,
      46,51,57,49,49,52,51,32,46,51,57,52,53,56,50,32,46,51,57,54,48,57,57,32,46,
      51,57,53,52,51,57,32,46,51,57,50,52,49,51,32,46,51,56,54,56,52,32,46,51,55,
      56,49,52,53,32,46,51,54,55,55,52,50,10,32,32,46,51,53,52,51,50,54,32,46,51,
      51,53,54,50,53,32,46,51,49,53,49,55,32,46,50,57,57,52,54,49,32,46,50,56,48,
      52,55,49,32,46,50,53,56,49,50,52,32,46,50,51,53,55,48,57,32,46,50,49,51,54,
      55,32,46,49,57,49,56,55,57,32,46,49,55,50,57,56,52,32,46,49,53,53,49,55,49,
      10,32,32,46,49,51,54,51,50,50,32,46,49,49,52,57,48,51,32,46,48,57,55,55,56,
      53,49,32,46,48,56,51,52,50,52,53,32,46,48,55,51,52,54,53,49,32,46,48,54,52,
      51,54,49,56,32,46,48,53,51,56,56,49,53,32,46,48,52,53,51,54,48,50,32,46,48,
      51,56,52,48,51,52,32,46,48,51,51,51,49,55,53,10,32,32,46,48,50,55,51,50,52,
      32,46,48,50,50,52,55,57,49,32,46,48,49,56,52,57,48,53,32,46,48,49,53,52,54,
      50,57,32,46,48,49,50,57,49,48,53,32,46,48,49,48,56,48,55,54,32,46,48,48,56,
      56,54,53,52,57,32,46,48,48,55,51,56,50,48,53,32,46,48,48,54,52,53,50,53,53,
      10,32,32,46,48,48,53,48,48,51,55,50,32,46,48,48,51,57,51,49,50,56,32,46,48,
      48,51,49,51,49,56,49,32,46,48,48,50,52,52,49,48,54,32,46,48,48,49,57,52,54,
      53,56,32,46,48,48,49,53,50,49,49,54,32,46,48,48,49,49,57,57,50,56,32,46,48,
      48,48,57,53,53,49,57,51,10,32,32,46,48,48,48,55,54,57,54,48,57,32,46,48,48,
      48,54,48,54,50,56,54,32,46,48,48,48,53,48,57,55,51,54,32,46,48,48,48,52,50,
      57,49,49,32,46,48,48,48,51,50,51,56,54,49,32,46,48,48,48,50,55,50,56,51,57,
      32,46,48,48,48,50,48,56,53,53,52,32,46,48,48,48,49,53,55,49,53,55,10,32,32,
      46,48,48,48,49,51,50,55,48,53,32,46,48,48,48,49,49,50,48,52,52,32,56,46,53,
      55,55,56,51,101,45,48,53,32,54,46,51,57,50,53,53,101,45,48,53,32,53,46,52,51,
      49,50,51,101,45,48,53,32,52,46,49,55,54,55,50,101,45,48,53,32,51,46,53,53,57,
      54,53,101,45,48,53,10,32,32,50,46,55,52,54,56,55,101,45,48,53,32,50,46,50,50,
      54,49,54,101,45,48,53,32,49,46,54,51,53,55,53,101,45,48,53,32,49,46,52,52,48,
      50,57,101,45,48,53,32,49,46,49,50,55,56,54,101,45,48,53,32,56,46,54,49,49,54,
      49,101,45,48,54,32,54,46,56,56,48,49,53,101,45,48,54,10,32,32,53,46,52,57,56,
      53,49,101,45,48,54,32,52,46,52,53,57,50,57,101,45,48,54,32,51,46,54,50,56,57,
      53,101,45,48,54,32,50,46,56,56,56,54,56,101,45,48,54,32,50,46,51,53,57,52,101,
      45,48,54,32,49,46,56,56,56,48,51,101,45,48,54,32,49,46,54,48,50,55,51,101,45,
      48,54,10,32,32,49,46,50,50,55,50,51,101,45,48,54,32,49,46,48,52,50,49,50,101,
      45,48,54,32,56,46,53,48,54,50,57,101,45,48,55,32,53,46,51,48,53,54,101,45,48,
      55,32,50,46,55,55,53,48,55,101,45,48,55,32,49,46,52,55,54,54,54,101,45,48,55,
      32,54,46,55,50,50,52,53,101,45,48,56,10,32,32,51,46,48,54,53,53,53,101,45,48,
      56,32,49,46,49,57,54,54,57,101,45,48,56,32,53,46,52,54,48,57,56,101,45,48,57,
      32,51,46,48,53,48,54,53,101,45,48,56,32,49,46,49,55,53,54,54,101,45,48,56,32,
      54,46,48,49,55,54,52,101,45,48,57,32,50,46,56,53,48,56,50,101,45,48,57,10,32,
      32,49,46,48,53,52,55,52,101,45,48,57,32,52,46,52,50,53,52,57,101,45,49,48,32,
      49,46,56,53,57,50,54,101,45,49,48,32,54,46,57,49,49,48,51,101,45,49,49,32,50,
      46,53,55,50,53,101,45,49,49,32,49,46,48,56,52,54,49,101,45,49,49,32,52,46,53,
      55,55,48,53,101,45,49,50,10,32,32,49,46,57,48,52,49,55,101,45,49,50,32,55,46,
      49,49,49,56,52,101,45,49,51,32,50,46,51,53,49,49,54,101,45,49,51,32,54,46,56,
      56,50,50,49,101,45,49,52,32,50,46,50,56,48,51,101,45,49,52,32,54,46,54,56,57,
      55,56,101,45,49,53,32,50,46,50,50,48,55,50,101,45,49,53,10,32,32,55,46,51,55,
      55,55,53,101,45,49,54,32,50,46,49,55,48,53,101,45,49,54,32,53,46,56,53,50,50,
      51,101,45,49,55,32,50,46,49,50,55,51,55,101,45,49,55,32,54,46,54,48,51,50,101,
      45,49,56,32,50,46,51,54,50,55,55,101,45,49,56,32,55,46,56,56,48,56,54,101,45,
      49,57,10,32,32,50,46,54,50,57,57,54,101,45,49,57,32,56,46,52,56,50,52,55,101,
      45,50,48,32,50,46,56,51,48,48,53,101,45,50,48,32,57,46,52,52,54,49,56,101,45,
      50,49,32,48,114,53,50,32,51,46,50,50,55,49,53,101,45,48,54,32,52,46,51,48,50,
      53,53,101,45,48,54,32,53,46,55,51,54,57,53,101,45,48,54,10,32,32,55,46,54,52,
      57,49,55,101,45,48,54,32,49,46,48,49,57,56,57,101,45,48,53,32,49,46,51,53,57,
      56,55,101,45,48,53,32,49,46,56,49,51,49,56,101,45,48,53,32,50,46,52,49,55,53,
      56,101,45,48,53,32,51,46,50,50,51,51,52,101,45,48,53,32,52,46,50,57,55,56,50,
      101,45,48,53,10,32,32,53,46,55,51,48,55,101,45,48,53,32,55,46,54,52,48,56,50,
      101,45,48,53,32,46,48,48,48,49,48,49,56,56,51,32,46,48,48,48,49,51,53,56,52,
      56,32,46,48,48,48,49,56,49,49,51,55,32,46,48,48,48,50,52,49,53,51,51,32,46,
      48,48,48,51,50,50,48,55,57,32,46,48,48,48,52,56,51,50,52,51,10,32,32,46,48,
      48,48,57,56,56,53,57,55,32,46,48,48,49,51,56,52,50,54,32,46,48,48,49,57,55,
      55,56,32,46,48,48,50,55,54,57,51,32,46,48,48,51,57,53,54,56,32,46,48,48,53,
      57,51,54,52,54,32,46,48,48,57,56,57,54,53,56,32,46,48,49,51,56,53,54,49,32,
      46,48,49,57,55,57,48,50,10,32,32,46,48,50,55,54,56,52,55,32,46,48,51,57,52,
      54,53,52,32,46,48,52,57,50,48,53,52,32,46,48,53,56,56,53,54,53,32,46,48,55,
      55,56,51,49,55,32,46,48,57,54,50,56,52,52,32,46,49,49,52,49,50,57,32,46,49,
      50,50,56,48,50,32,46,49,51,49,50,57,57,32,46,49,51,57,54,49,51,10,32,32,46,
      49,52,55,55,52,32,46,49,53,53,54,55,53,32,46,49,54,51,52,49,56,32,46,49,55,
      48,57,53,54,32,46,49,55,56,50,57,55,32,46,49,56,53,52,51,52,32,46,49,57,50,
      51,54,54,32,46,50,48,48,52,49,52,32,46,50,48,56,49,54,55,32,46,50,49,56,48,
      51,56,32,46,50,50,55,51,56,57,10,32,32,46,50,51,54,50,49,52,32,46,50,52,54,
      53,50,56,32,46,50,53,54,48,54,52,32,46,50,54,52,56,50,55,32,46,50,55,52,51,
      53,49,32,46,50,56,50,56,54,49,32,46,50,57,50,54,55,32,46,51,48,48,56,53,54,
      32,46,51,48,55,53,49,54,32,46,51,49,51,51,50,50,32,46,51,49,55,57,49,10,32,
      32,46,51,50,48,56,57,49,32,46,51,50,50,48,51,32,46,51,50,49,49,53,49,32,46,
      51,49,55,56,53,52,32,46,51,49,50,54,49,49,32,46,51,48,52,56,55,32,46,50,57,
      50,56,53,55,32,46,50,55,56,54,50,53,32,46,50,54,55,49,56,57,32,46,50,53,50,
      55,57,54,32,46,50,51,53,50,54,52,10,32,32,46,50,49,55,48,50,32,46,49,57,56,
      54,49,53,32,46,49,55,57,57,54,32,46,49,54,51,52,52,53,32,46,49,52,55,53,56,
      55,32,46,49,51,48,53,51,55,32,46,49,49,48,56,53,54,32,46,48,57,52,56,57,51,
      49,32,46,48,56,49,51,52,49,49,32,46,48,55,49,56,54,49,51,10,32,32,46,48,54,
      51,49,51,57,54,32,46,48,53,51,48,51,50,52,32,46,48,52,52,55,54,51,32,46,48,
      51,55,57,55,56,32,46,48,51,50,57,57,56,54,32,46,48,50,55,49,49,48,49,32,46,
      48,50,50,51,51,52,49,32,46,48,49,56,51,57,49,56,32,46,48,49,53,51,57,51,32,
      46,48,49,50,56,54,48,57,10,32,32,46,48,49,48,55,55,50,32,46,48,48,56,56,52,
      48,53,55,32,46,48,48,55,51,54,51,57,56,32,46,48,48,54,52,51,56,50,50,32,46,
      48,48,52,57,57,52,51,32,46,48,48,51,57,50,52,56,54,32,46,48,48,51,49,50,55,
      50,55,32,46,48,48,50,52,51,55,57,50,32,46,48,48,49,57,52,52,51,49,10,32,32,
      46,48,48,49,53,49,57,53,53,32,46,48,48,49,49,57,56,49,49,32,46,48,48,48,57,
      53,52,51,50,50,32,46,48,48,48,55,54,56,57,53,32,46,48,48,48,54,48,53,56,32,
      46,48,48,48,53,48,57,51,52,53,32,46,48,48,48,52,50,56,55,57,52,32,46,48,48,
      48,51,50,51,54,51,55,10,32,32,46,48,48,48,50,55,50,54,53,55,32,46,48,48,48,
      50,48,56,52,50,50,32,46,48,48,48,49,53,55,48,54,51,32,46,48,48,48,49,51,50,
      54,50,56,32,46,48,48,48,49,49,49,57,56,49,32,56,46,53,55,51,50,54,101,45,48,
      53,32,54,46,51,56,57,51,50,101,45,48,53,32,53,46,52,50,56,53,53,101,45,48,53,
      10,32,32,52,46,49,55,52,55,51,101,45,48,53,32,51,46,53,53,55,57,57,101,45,48,
      53,32,50,46,55,52,53,54,51,101,45,48,53,32,50,46,50,50,53,49,56,101,45,48,53,
      32,49,46,54,51,53,48,54,101,45,48,53,32,49,46,52,51,57,54,57,101,45,48,53,32,
      49,46,49,50,55,52,101,45,48,53,10,32,32,56,46,54,48,56,50,55,101,45,48,54,32,
      54,46,56,55,55,53,53,101,45,48,54,32,53,46,52,57,54,52,57,101,45,48,54,32,52,
      46,52,53,55,54,57,101,45,48,54,32,51,46,54,50,55,54,55,101,45,48,54,32,50,46,
      56,56,55,54,57,101,45,48,54,32,50,46,51,53,56,54,49,101,45,48,54,10,32,32,49,
      46,56,56,55,52,101,45,48,54,32,49,46,54,48,50,50,49,101,45,48,54,32,49,46,50,
      50,54,56,53,101,45,48,54,32,49,46,48,52,49,56,101,45,48,54,32,56,46,53,48,51,
      55,49,101,45,48,55,32,53,46,51,48,52,48,54,101,45,48,55,32,50,46,55,55,52,51,
      49,101,45,48,55,10,32,32,49,46,52,55,54,50,55,101,45,48,55,32,54,46,55,50,48,
      56,49,101,45,48,56,32,51,46,48,54,52,56,54,101,45,48,56,32,49,46,49,57,54,52,
      52,101,45,48,56,32,53,46,52,54,48,48,54,101,45,48,57,32,51,46,48,52,51,49,55,
      101,45,48,56,32,49,46,49,55,51,52,57,101,45,48,56,10,32,32,54,46,48,48,57,48,
      52,101,45,48,57,32,50,46,56,52,56,48,54,101,45,48,57,32,49,46,48,53,52,51,53,
      101,45,48,57,32,52,46,52,50,52,55,54,101,45,49,48,32,49,46,56,53,56,57,53,101,
      45,49,48,32,54,46,57,48,57,56,55,101,45,49,49,32,50,46,53,55,50,48,54,101,45,
      49,49,10,32,32,49,46,48,56,52,52,51,101,45,49,49,32,52,46,53,55,54,50,55,101,
      45,49,50,32,49,46,57,48,52,49,53,101,45,49,50,32,55,46,49,49,49,56,52,101,45,
      49,51,32,50,46,51,53,49,49,56,101,45,49,51,32,54,46,56,56,50,51,50,101,45,49,
      52,32,50,46,50,56,48,51,53,101,45,49,52,10,32,32,54,46,54,56,57,57,57,101,45,
      49,53,32,50,46,50,50,48,56,49,101,45,49,53,32,55,46,51,55,56,49,49,101,45,49,
      54,32,50,46,49,55,48,54,50,101,45,49,54,32,53,46,56,53,50,54,50,101,45,49,55,
      32,50,46,49,50,55,53,51,101,45,49,55,32,54,46,54,48,51,55,51,101,45,49,56,10,
      32,32,50,46,51,54,50,57,56,101,45,49,56,32,55,46,56,56,49,54,50,101,45,49,57,
      32,50,46,54,51,48,50,52,101,45,49,57,32,56,46,52,56,48,51,56,101,45,50,48,32,
      50,46,56,50,57,51,53,101,45,50,48,32,57,46,52,52,51,55,57,101,45,50,49,32,48,
      114,53,50,32,50,46,49,48,57,52,57,101,45,48,54,10,32,32,50,46,56,49,50,52,52,
      101,45,48,54,32,51,46,55,53,48,48,55,101,45,48,54,32,53,46,48,48,48,48,53,101,
      45,48,54,32,54,46,54,54,54,55,54,101,45,48,54,32,56,46,56,56,57,49,52,101,45,
      48,54,32,49,46,49,56,53,50,52,101,45,48,53,32,49,46,53,56,48,51,51,101,45,48,
      53,10,32,32,50,46,49,48,55,48,55,101,45,48,53,32,50,46,56,48,57,52,57,101,45,
      48,53,32,51,46,55,52,54,50,50,101,45,48,53,32,52,46,57,57,53,101,45,48,53,32,
      54,46,54,54,48,53,51,101,45,48,53,32,56,46,56,56,49,51,49,101,45,48,53,32,46,
      48,48,48,49,49,56,52,50,55,10,32,32,46,48,48,48,49,53,55,57,50,52,32,46,48,
      48,48,50,49,48,54,48,55,32,46,48,48,48,51,49,54,48,52,56,32,46,48,48,48,53,
      50,55,50,54,52,32,46,48,48,48,57,48,54,53,49,52,32,46,48,48,49,50,57,53,56,
      55,32,46,48,48,49,56,49,53,54,49,32,46,48,48,50,53,57,54,52,55,10,32,32,46,
      48,48,51,57,48,49,49,52,32,46,48,48,54,53,50,49,52,55,32,46,48,48,57,49,53,
      52,56,32,46,48,49,51,49,50,53,53,32,46,48,49,56,52,53,48,55,32,46,48,50,54,
      52,56,52,57,32,46,48,51,51,50,48,51,55,32,46,48,51,57,57,50,55,53,32,46,48,
      53,51,51,51,54,56,10,32,32,46,48,54,54,54,49,53,57,32,46,48,55,57,54,56,51,
      57,32,46,48,56,54,49,49,54,56,32,46,48,57,50,52,55,50,52,32,46,48,57,56,55,
      52,50,32,46,49,48,52,57,50,52,32,46,49,49,49,48,48,56,32,46,49,49,54,57,57,
      32,46,49,50,50,56,54,57,32,46,49,50,56,54,51,56,10,32,32,46,49,51,52,50,57,
      49,32,46,49,51,57,56,51,49,32,46,49,52,54,51,49,52,32,46,49,53,50,54,50,52,
      32,46,49,54,48,55,54,53,32,46,49,54,56,53,55,53,32,46,49,55,54,48,53,50,32,
      46,49,56,52,57,52,49,32,46,49,57,51,50,57,53,32,46,50,48,49,49,52,51,10,32,
      32,46,50,48,57,56,56,57,32,46,50,49,55,56,57,55,32,46,50,50,55,52,54,55,32,
      46,50,51,53,56,51,57,32,46,50,52,51,48,53,50,32,46,50,52,57,56,53,55,32,46,
      50,53,53,56,57,57,32,46,50,54,48,56,54,50,32,46,50,54,52,53,49,50,32,46,50,
      54,54,53,53,52,10,32,32,46,50,54,54,56,49,32,46,50,54,53,49,56,52,32,46,50,
      54,49,53,50,53,32,46,50,53,52,53,53,49,32,46,50,52,53,50,50,57,32,46,50,51,
      55,50,52,52,32,46,50,50,54,54,57,49,32,46,50,49,51,50,51,53,32,46,49,57,56,
      55,52,32,46,49,56,51,54,52,52,32,46,49,54,55,57,48,54,10,32,32,46,49,53,51,
      54,53,49,32,46,49,51,57,55,50,50,32,46,49,50,52,52,55,49,32,46,49,48,54,53,
      53,49,32,46,48,57,49,55,56,49,32,46,48,55,57,48,55,57,52,32,46,48,55,48,49,
      49,32,46,48,54,49,55,57,55,55,32,46,48,53,50,48,57,52,51,32,46,48,52,52,48,
      57,57,55,10,32,32,46,48,51,55,53,48,51,52,32,46,48,51,50,54,52,49,54,32,46,
      48,50,54,56,54,57,56,32,46,48,50,50,49,55,48,55,32,46,48,49,56,50,56,48,50,
      32,46,48,49,53,51,49,51,56,32,46,48,49,50,56,48,52,53,32,46,48,49,48,55,51,
      49,51,32,46,48,48,56,56,49,50,49,50,10,32,32,46,48,48,55,51,52,51,51,49,32,
      46,48,48,54,52,50,49,55,55,32,46,48,48,52,57,56,51,52,55,32,46,48,48,51,57,
      49,55,52,55,32,46,48,48,51,49,50,50,48,52,32,46,48,48,50,52,51,52,50,57,32,
      46,48,48,49,57,52,49,54,56,32,46,48,48,49,53,49,55,54,56,10,32,32,46,48,48,
      49,49,57,54,55,54,32,46,48,48,48,57,53,51,51,50,32,46,48,48,48,55,54,56,49,
      57,52,32,46,48,48,48,54,48,53,50,52,50,32,46,48,48,48,53,48,56,56,57,53,32,
      46,48,48,48,52,50,56,52,51,32,46,48,48,48,51,50,51,51,55,57,32,46,48,48,48,
      50,55,50,52,52,56,10,32,32,46,48,48,48,50,48,56,50,55,49,32,46,48,48,48,49,
      53,54,57,53,53,32,46,48,48,48,49,51,50,53,52,32,46,48,48,48,49,49,49,57,48,
      56,32,56,46,53,54,55,57,54,101,45,48,53,32,54,46,51,56,53,53,54,101,45,48,53,
      32,53,46,52,50,53,52,52,101,45,48,53,32,52,46,49,55,50,52,51,101,45,48,53,10,
      32,32,51,46,53,53,54,48,55,101,45,48,53,32,50,46,55,52,52,50,49,101,45,48,53,
      32,50,46,50,50,52,48,55,101,45,48,53,32,49,46,54,51,52,50,56,101,45,48,53,32,
      49,46,52,51,57,48,50,101,45,48,53,32,49,46,49,50,54,56,57,101,45,48,53,32,56,
      46,54,48,52,52,51,101,45,48,54,10,32,32,54,46,56,55,52,53,55,101,45,48,54,32,
      53,46,52,57,52,49,54,101,45,48,54,32,52,46,52,53,53,56,53,101,45,48,54,32,51,
      46,54,50,54,50,49,101,45,48,54,32,50,46,56,56,54,53,53,101,45,48,54,32,50,46,
      51,53,55,55,101,45,48,54,32,49,46,56,56,54,54,57,101,45,48,54,10,32,32,49,46,
      54,48,49,54,50,101,45,48,54,32,49,46,50,50,54,52,49,101,45,48,54,32,49,46,48,
      52,49,52,51,101,45,48,54,32,56,46,53,48,48,55,53,101,45,48,55,32,53,46,51,48,
      50,51,101,45,48,55,32,50,46,55,55,51,52,52,101,45,48,55,32,49,46,52,55,53,56,
      51,101,45,48,55,10,32,32,54,46,55,49,56,57,51,101,45,48,56,32,51,46,48,54,52,
      48,52,101,45,48,56,32,49,46,49,57,54,49,52,101,45,48,56,32,53,46,52,53,56,57,
      55,101,45,48,57,32,51,46,48,51,52,50,51,101,45,48,56,32,49,46,49,55,48,48,51,
      101,45,48,56,32,53,46,57,57,49,50,55,101,45,48,57,10,32,32,50,46,56,51,57,54,
      49,101,45,48,57,32,49,46,48,53,49,50,49,101,45,48,57,32,52,46,52,49,50,57,50,
      101,45,49,48,32,49,46,56,53,52,57,101,45,49,48,32,54,46,56,57,56,54,56,101,
      45,49,49,32,50,46,53,54,57,51,49,101,45,49,49,32,49,46,48,56,51,55,56,101,45,
      49,49,10,32,32,52,46,53,55,53,54,55,101,45,49,50,32,49,46,57,48,52,51,49,101,
      45,49,50,32,55,46,49,49,50,52,57,101,45,49,51,32,50,46,51,53,49,52,49,101,45,
      49,51,32,54,46,56,56,51,48,54,101,45,49,52,32,50,46,50,56,48,54,50,101,45,49,
      52,32,54,46,54,57,48,56,50,101,45,49,53,10,32,32,50,46,50,50,49,49,49,101,45,
      49,53,32,55,46,51,55,57,49,53,101,45,49,54,32,50,46,49,55,48,57,53,101,45,49,
      54,32,53,46,56,53,51,53,53,101,45,49,55,32,50,46,49,50,55,56,56,101,45,49,55,
      32,54,46,54,48,52,56,55,101,45,49,56,32,50,46,51,54,51,52,49,101,45,49,56,10,
      32,32,55,46,56,56,51,49,49,101,45,49,57,32,50,46,54,51,48,55,54,101,45,49,57,
      32,56,46,52,55,57,48,55,101,45,50,48,32,50,46,56,50,56,57,101,45,50,48,32,57,
      46,52,52,50,50,56,101,45,50,49,32,48,114,53,50,32,49,46,53,52,51,50,51,101,
      45,48,54,32,50,46,48,53,55,52,57,101,45,48,54,10,32,32,50,46,55,52,51,52,51,
      101,45,48,54,32,51,46,54,53,55,56,54,101,45,48,54,32,52,46,56,55,55,49,55,101,
      45,48,54,32,54,46,53,48,50,57,56,101,45,48,54,32,56,46,54,55,48,56,49,101,45,
      48,54,32,49,46,49,53,54,49,50,101,45,48,53,32,49,46,53,52,49,52,54,101,45,48,
      53,10,32,32,50,46,48,53,53,51,49,101,45,48,53,32,50,46,55,52,48,53,56,101,45,
      48,53,32,51,46,54,53,52,49,49,101,45,48,53,32,52,46,56,55,50,53,101,45,48,53,
      32,54,46,52,57,55,48,51,101,45,48,53,32,56,46,54,54,51,50,56,101,45,48,53,32,
      46,48,48,48,49,49,53,53,50,51,10,32,32,46,48,48,48,49,53,52,48,53,54,32,46,
      48,48,48,50,51,49,49,54,57,32,46,48,48,48,51,56,53,54,49,53,32,46,48,48,48,
      53,52,48,51,55,53,32,46,48,48,48,57,51,52,49,54,53,32,46,48,48,49,51,48,56,
      56,54,32,46,48,48,49,56,55,49,56,50,32,46,48,48,50,56,49,50,53,10,32,32,46,
      48,48,52,55,48,50,52,51,32,46,48,48,54,54,48,50,57,32,46,48,48,57,52,55,49,
      51,51,32,46,48,49,51,51,50,52,56,32,46,48,49,57,49,53,53,53,32,46,48,50,52,
      48,52,57,53,32,46,48,50,56,57,54,53,54,32,46,48,51,56,56,51,48,51,32,46,48,
      52,56,54,56,55,49,10,32,32,46,48,53,56,52,56,48,55,32,46,48,54,51,51,51,56,
      49,32,46,48,54,56,49,54,50,52,32,46,48,55,50,57,52,54,50,32,46,48,55,55,54,
      56,57,52,32,46,48,56,50,51,56,50,56,32,46,48,56,55,48,50,49,57,32,46,48,57,
      49,54,48,55,52,32,46,48,57,54,49,51,51,52,10,32,32,46,49,48,48,53,57,52,32,
      46,49,48,52,57,56,56,32,46,49,49,48,49,54,56,32,46,49,49,53,50,52,56,32,46,
      49,50,49,56,53,49,32,46,49,50,56,50,53,53,32,46,49,51,52,52,52,56,32,46,49,
      52,49,56,56,57,32,46,49,52,56,57,57,54,32,46,49,53,53,55,53,52,10,32,32,46,
      49,54,51,52,48,55,32,46,49,55,48,53,54,50,32,46,49,55,57,51,48,54,32,46,49,
      56,55,49,56,57,32,46,49,57,52,50,48,49,32,46,50,48,49,49,49,53,32,46,50,48,
      55,54,50,54,32,46,50,49,51,52,52,49,32,46,50,49,56,51,49,54,32,46,50,50,50,
      48,48,53,10,32,32,46,50,50,52,52,57,32,46,50,50,53,50,50,50,32,46,50,50,52,
      51,54,53,32,46,50,50,49,48,51,49,32,46,50,49,53,52,50,57,32,46,50,49,48,49,
      51,53,32,46,50,48,50,54,54,32,46,49,57,50,54,50,57,32,46,49,56,49,51,51,54,
      32,46,49,54,57,49,52,32,46,49,53,54,48,52,56,10,32,32,46,49,52,51,57,48,51,
      32,46,49,51,49,55,57,50,32,46,49,49,56,50,54,57,32,46,49,48,50,48,56,57,32,
      46,48,56,56,53,49,56,57,32,46,48,55,54,54,56,53,54,32,46,48,54,56,50,52,52,
      32,46,48,54,48,51,53,57,50,32,46,48,53,49,48,56,49,54,32,46,48,52,51,51,55,
      57,52,10,32,32,46,48,51,54,57,56,53,52,32,46,48,51,50,50,53,48,53,32,46,48,
      50,54,54,48,53,50,32,46,48,50,49,57,57,48,49,32,46,48,49,56,49,53,54,52,32,
      46,48,49,53,50,50,53,56,32,46,48,49,50,55,52,49,55,32,46,48,49,48,54,56,54,
      32,46,48,48,56,55,56,48,50,57,10,32,32,46,48,48,55,51,50,48,49,53,32,46,48,
      48,54,52,48,51,51,51,32,46,48,48,52,57,55,49,51,51,32,46,48,48,51,57,48,57,
      49,55,32,46,48,48,51,49,49,54,49,55,32,46,48,48,50,52,51,48,50,50,32,46,48,
      48,49,57,51,56,55,51,32,46,48,48,49,53,49,53,53,56,10,32,32,46,48,48,49,49,
      57,53,50,51,32,46,48,48,48,57,53,50,49,56,55,32,46,48,48,48,55,54,55,51,51,
      54,32,46,48,48,48,54,48,52,54,48,54,32,46,48,48,48,53,48,56,51,56,52,32,46,
      48,48,48,52,50,56,48,49,55,32,46,48,48,48,51,50,51,48,56,54,32,46,48,48,48,
      50,55,50,50,49,10,32,32,46,48,48,48,50,48,56,48,57,56,32,46,48,48,48,49,53,
      54,56,51,50,32,46,48,48,48,49,51,50,52,51,57,32,46,48,48,48,49,49,49,56,50,
      53,32,56,46,53,54,49,57,50,101,45,48,53,32,54,46,51,56,49,50,56,101,45,48,53,
      32,53,46,52,50,49,57,101,45,48,53,32,52,46,49,54,57,56,50,101,45,48,53,10,32,
      32,51,46,53,53,51,57,101,45,48,53,32,50,46,55,52,50,54,101,45,48,53,32,50,46,
      50,50,50,56,101,45,48,53,32,49,46,54,51,51,51,57,101,45,48,53,32,49,46,52,51,
      56,50,52,101,45,48,53,32,49,46,49,50,54,51,101,45,48,53,32,56,46,54,48,48,49,
      101,45,48,54,32,54,46,56,55,49,50,49,101,45,48,54,10,32,32,53,46,52,57,49,53,
      55,101,45,48,54,32,52,46,52,53,51,56,101,45,48,54,32,51,46,54,50,52,53,55,101,
      45,48,54,32,50,46,56,56,53,50,56,101,45,48,54,32,50,46,51,53,54,54,55,101,45,
      48,54,32,49,46,56,56,53,56,57,101,45,48,54,32,49,46,54,48,48,57,53,101,45,48,
      54,10,32,32,49,46,50,50,53,57,49,101,45,48,54,32,49,46,48,52,49,48,49,101,45,
      48,54,32,56,46,52,57,55,52,50,101,45,48,55,32,53,46,51,48,48,51,49,101,45,48,
      55,32,50,46,55,55,50,52,54,101,45,48,55,32,49,46,52,55,53,51,52,101,45,48,55,
      32,54,46,55,49,54,56,49,101,45,48,56,10,32,32,51,46,48,54,51,49,52,101,45,48,
      56,32,49,46,49,57,53,56,49,101,45,48,56,32,53,46,52,53,55,55,50,101,45,48,57,
      32,51,46,48,50,53,53,54,101,45,48,56,32,49,46,49,54,54,54,56,101,45,48,56,32,
      53,46,57,55,52,48,51,101,45,48,57,32,50,46,56,51,49,52,49,101,45,48,57,10,32,
      32,49,46,48,52,56,49,54,101,45,48,57,32,52,46,52,48,48,48,56,101,45,49,48,32,
      49,46,56,52,57,52,57,101,45,49,48,32,54,46,56,55,56,52,55,101,45,49,49,32,50,
      46,53,54,49,55,54,101,45,49,49,32,49,46,48,56,48,53,56,101,45,49,49,32,52,46,
      53,54,50,49,53,101,45,49,50,10,32,32,49,46,56,57,57,54,56,101,45,49,50,32,55,
      46,48,57,56,56,57,101,45,49,51,32,50,46,51,52,56,50,56,101,45,49,51,32,54,46,
      56,55,56,50,57,101,45,49,52,32,50,46,50,56,48,51,50,101,45,49,52,32,54,46,54,
      57,50,50,56,101,45,49,53,32,50,46,50,50,49,54,49,101,45,49,53,10,32,32,55,46,
      51,56,48,56,55,101,45,49,54,32,50,46,49,55,49,52,56,101,45,49,54,32,53,46,56,
      53,53,48,50,101,45,49,55,32,50,46,49,50,56,52,50,101,45,49,55,32,54,46,54,48,
      54,54,51,101,45,49,56,32,50,46,51,54,52,48,54,101,45,49,56,32,55,46,56,56,53,
      51,52,101,45,49,57,10,32,32,50,46,54,51,49,53,51,101,45,49,57,32,56,46,52,55,
      56,53,53,101,45,50,48,32,50,46,56,50,56,55,50,101,45,50,48,32,57,46,52,52,49,
      54,53,101,45,50,49,32,48,114,53,50,32,49,46,50,49,57,48,49,101,45,48,54,32,
      49,46,54,50,53,50,51,101,45,48,54,32,50,46,49,54,55,48,54,101,45,48,54,10,32,
      32,50,46,56,56,57,51,56,101,45,48,54,32,51,46,56,53,50,53,50,101,45,48,54,32,
      53,46,49,51,54,55,54,101,45,48,54,32,54,46,56,52,57,49,52,101,45,48,54,32,57,
      46,49,51,50,50,50,101,45,48,54,32,49,46,50,49,55,54,101,45,48,53,32,49,46,54,
      50,51,52,57,101,45,48,53,10,32,32,50,46,49,54,52,55,56,101,45,48,53,32,50,46,
      56,56,54,51,54,101,45,48,53,32,51,46,56,52,56,55,51,101,45,48,53,32,53,46,49,
      51,49,56,54,101,45,48,53,32,54,46,56,52,50,56,101,45,48,53,32,57,46,49,50,52,
      52,55,101,45,48,53,32,46,48,48,48,49,50,49,54,55,52,10,32,32,46,48,48,48,49,
      56,50,53,54,32,46,48,48,48,51,48,52,52,54,56,32,46,48,48,48,52,50,54,53,56,
      54,32,46,48,48,48,55,50,49,50,50,32,46,48,48,49,48,49,48,52,50,32,46,48,48,
      49,52,52,52,55,54,32,46,48,48,50,49,55,48,49,57,32,46,48,48,51,54,50,54,53,
      53,10,32,32,46,48,48,53,48,56,57,55,54,32,46,48,48,55,50,57,54,50,56,32,46,
      48,49,48,50,53,55,56,32,46,48,49,52,55,51,53,53,32,46,48,49,56,52,57,51,32,
      46,48,50,50,50,54,56,52,32,46,48,50,57,56,53,51,53,32,46,48,51,55,52,53,51,
      50,32,46,48,52,53,48,51,51,50,10,32,32,46,48,52,56,56,48,54,32,46,48,53,50,
      53,54,50,54,32,46,48,53,54,50,57,56,50,32,46,48,54,48,48,49,50,54,32,46,48,
      54,51,54,57,57,54,32,46,48,54,55,51,53,54,54,32,46,48,55,48,57,56,50,50,32,
      46,48,55,52,53,55,51,53,32,46,48,55,56,49,50,55,32,46,48,56,49,54,51,57,55,
      10,32,32,46,48,56,53,56,48,48,50,32,46,48,56,57,56,57,53,53,32,46,48,57,53,
      50,53,52,54,32,46,49,48,48,52,56,56,32,46,49,48,53,53,56,52,32,46,49,49,49,
      55,54,50,32,46,49,49,55,55,48,57,32,46,49,50,51,52,51,32,46,49,50,57,57,56,
      55,32,46,49,51,54,49,57,50,10,32,32,46,49,52,51,57,48,56,32,46,49,53,49,48,
      48,53,32,46,49,53,55,52,54,55,32,46,49,54,52,48,48,50,32,46,49,55,48,51,55,
      50,32,46,49,55,54,51,51,57,32,46,49,56,49,54,57,49,32,46,49,56,54,49,57,32,
      46,49,56,57,56,53,32,46,49,57,50,48,53,54,32,46,49,57,51,48,50,52,10,32,32,
      46,49,57,50,50,49,50,32,46,49,56,57,51,50,56,32,46,49,56,54,48,54,50,32,46,
      49,56,48,57,57,57,32,46,49,55,51,55,51,32,46,49,54,53,49,48,51,32,46,49,53,
      53,52,48,52,32,46,49,52,52,54,53,50,32,46,49,51,52,51,57,55,32,46,49,50,51,
      57,54,49,32,46,49,49,50,48,55,52,10,32,32,46,48,57,55,53,54,50,53,32,46,48,
      56,53,49,54,56,54,32,46,48,55,52,50,48,51,32,46,48,54,54,50,57,53,51,32,46,
      48,53,56,56,52,55,49,32,46,48,53,48,48,48,56,56,32,46,48,52,50,54,49,49,54,
      32,46,48,51,54,52,51,48,51,32,46,48,51,49,56,50,57,55,10,32,32,46,48,50,54,
      51,49,57,50,32,46,48,50,49,55,57,52,32,46,48,49,56,48,50,49,53,32,46,48,49,
      53,49,50,57,53,32,46,48,49,50,54,55,50,56,32,46,48,49,48,54,51,54,50,32,46,
      48,48,56,55,52,53,50,32,46,48,48,55,50,57,52,53,54,32,46,48,48,54,51,56,50,
      57,52,10,32,32,46,48,48,52,57,53,55,56,55,32,46,48,48,51,56,57,57,57,54,32,
      46,48,48,51,49,48,57,54,52,32,46,48,48,50,52,50,53,54,56,32,46,48,48,49,57,
      51,53,52,52,32,46,48,48,49,53,49,51,50,52,32,46,48,48,49,49,57,51,53,51,32,
      46,48,48,48,57,53,48,57,50,51,10,32,32,46,48,48,48,55,54,54,51,55,57,32,46,
      48,48,48,54,48,51,57,32,46,48,48,48,53,48,55,56,49,53,32,46,48,48,48,52,50,
      55,53,53,56,32,46,48,48,48,51,50,50,55,54,49,32,46,48,48,48,50,55,49,57,52,
      54,32,46,48,48,48,50,48,55,57,48,55,32,46,48,48,48,49,53,54,54,57,53,10,32,
      32,46,48,48,48,49,51,50,51,50,55,32,46,48,48,48,49,49,49,55,51,52,32,56,46,
      53,53,53,50,53,101,45,48,53,32,54,46,51,55,54,53,51,101,45,48,53,32,53,46,52,
      49,55,57,55,101,45,48,53,32,52,46,49,54,54,57,49,101,45,48,53,32,51,46,53,53,
      49,52,56,101,45,48,53,10,32,32,50,46,55,52,48,55,57,101,45,48,53,32,50,46,50,
      50,49,51,56,101,45,48,53,32,49,46,54,51,50,51,56,101,45,48,53,32,49,46,52,51,
      55,51,55,101,45,48,53,32,49,46,49,50,53,54,52,101,45,48,53,32,56,46,53,57,53,
      50,101,45,48,54,32,54,46,56,54,55,52,101,45,48,54,10,32,32,53,46,52,56,56,53,
      57,101,45,48,54,32,52,46,52,53,49,52,52,101,45,48,54,32,51,46,54,50,50,55,101,
      45,48,54,32,50,46,56,56,51,56,50,101,45,48,54,32,50,46,51,53,53,53,50,101,45,
      48,54,32,49,46,56,56,52,57,57,101,45,48,54,32,49,46,54,48,48,50,101,45,48,54,
      10,32,32,49,46,50,50,53,51,54,101,45,48,54,32,49,46,48,52,48,53,53,101,45,48,
      54,32,56,46,52,57,51,55,50,101,45,48,55,32,53,46,50,57,56,48,57,101,45,48,55,
      32,50,46,55,55,49,51,55,101,45,48,55,32,49,46,52,55,52,55,56,101,45,48,55,32,
      54,46,55,49,52,52,54,101,45,48,56,10,32,32,51,46,48,54,50,49,51,101,45,48,56,
      32,49,46,49,57,53,52,53,101,45,48,56,32,53,46,52,53,54,51,101,45,48,57,32,51,
      46,48,49,55,49,54,101,45,48,56,32,49,46,49,54,51,52,50,101,45,48,56,32,53,46,
      57,53,55,51,50,101,45,48,57,32,50,46,56,50,51,52,55,101,45,48,57,10,32,32,49,
      46,48,52,53,50,49,101,45,48,57,32,52,46,51,56,55,54,53,101,45,49,48,32,49,46,
      56,52,52,50,52,101,45,49,48,32,54,46,56,53,56,57,101,45,49,49,32,50,46,53,53,
      52,52,52,101,45,49,49,32,49,46,48,55,55,52,57,101,45,49,49,32,52,46,53,52,57,
      48,52,101,45,49,50,10,32,32,49,46,56,57,52,52,51,101,45,49,50,32,55,46,48,55,
      57,50,53,101,45,49,51,32,50,46,51,52,49,55,55,101,45,49,51,32,54,46,56,53,57,
      50,49,101,45,49,52,32,50,46,50,55,51,57,57,101,45,49,52,32,54,46,54,55,53,53,
      49,101,45,49,53,32,50,46,50,49,55,50,52,101,45,49,53,10,32,32,55,46,51,55,48,
      51,49,101,45,49,54,32,50,46,49,54,57,54,53,101,45,49,54,32,53,46,56,53,51,55,
      51,101,45,49,55,32,50,46,49,50,56,57,54,101,45,49,55,32,54,46,54,48,57,48,49,
      101,45,49,56,32,50,46,51,54,52,57,50,101,45,49,56,32,55,46,56,56,56,51,101,
      45,49,57,10,32,32,50,46,54,51,50,53,52,101,45,49,57,32,56,46,52,55,56,56,50,
      101,45,50,48,32,50,46,56,50,56,56,49,101,45,50,48,32,57,46,52,52,49,57,101,
      45,50,49,32,48,114,53,50,32,49,46,48,50,50,53,56,101,45,48,54,32,49,46,51,54,
      51,51,51,101,45,48,54,32,49,46,56,49,55,56,53,101,45,48,54,10,32,32,50,46,52,
      50,51,55,55,101,45,48,54,32,51,46,50,51,49,55,101,45,48,54,32,52,46,51,48,56,
      57,57,101,45,48,54,32,53,46,55,52,53,52,49,101,45,48,54,32,55,46,54,54,48,53,
      55,101,45,48,54,32,49,46,48,50,49,51,56,101,45,48,53,32,49,46,51,54,49,56,54,
      101,45,48,53,10,32,32,49,46,56,49,53,57,49,101,45,48,53,32,50,46,52,50,49,49,
      56,101,45,48,53,32,51,46,50,50,56,52,50,101,45,48,53,32,52,46,51,48,52,54,56,
      101,45,48,53,32,53,46,55,51,57,55,51,101,45,48,53,32,55,46,54,53,51,51,54,101,
      45,48,53,32,46,48,48,48,49,48,50,48,53,50,10,32,32,46,48,48,48,49,53,51,49,
      48,51,32,46,48,48,48,50,53,53,50,56,32,46,48,48,48,51,53,55,53,56,49,32,46,
      48,48,48,53,56,57,50,32,46,48,48,48,56,50,53,51,51,49,32,46,48,48,49,49,55,
      57,55,56,32,46,48,48,49,55,55,49,50,56,32,46,48,48,50,57,53,55,48,57,10,32,
      32,46,48,48,52,49,52,54,52,49,32,46,48,48,53,57,51,54,51,52,32,46,48,48,56,
      51,51,50,55,53,32,46,48,49,49,57,52,53,32,46,48,49,52,57,54,56,32,46,48,49,
      55,57,57,57,54,32,46,48,50,52,48,55,55,54,32,46,48,51,48,49,53,56,51,32,46,
      48,51,54,50,50,50,10,32,32,46,48,51,57,50,52,49,57,32,46,48,52,50,50,53,48,
      54,32,46,48,52,53,50,52,53,54,32,46,48,52,56,50,50,54,55,32,46,48,53,49,49,
      56,57,57,32,46,48,53,52,49,51,51,50,32,46,48,53,55,48,53,54,54,32,46,48,53,
      57,57,53,55,54,32,46,48,54,50,56,51,51,55,10,32,32,46,48,54,53,54,56,51,32,
      46,48,54,57,48,54,53,57,32,46,48,55,50,52,48,54,52,32,46,48,55,54,55,57,50,
      54,32,46,48,56,49,48,57,53,32,46,48,56,53,51,48,53,52,32,46,48,57,48,52,51,
      54,52,32,46,48,57,53,52,49,50,55,32,46,49,48,48,50,51,49,32,46,49,48,53,55,
      57,55,10,32,32,46,49,49,49,49,49,54,32,46,49,49,55,56,49,50,32,46,49,50,52,
      48,53,56,32,46,49,50,57,56,51,57,32,46,49,51,53,55,57,56,32,46,49,52,49,55,
      52,32,46,49,52,55,52,56,51,32,46,49,53,50,56,49,57,32,46,49,53,55,53,54,53,
      32,46,49,54,49,55,57,51,32,46,49,54,52,56,48,54,10,32,32,46,49,54,54,56,57,
      53,32,46,49,54,55,55,53,50,32,46,49,54,54,55,56,49,32,46,49,54,53,48,48,57,
      32,46,49,54,49,55,57,53,32,46,49,53,54,54,57,56,32,46,49,53,48,50,51,53,32,
      46,49,52,50,54,50,56,32,46,49,51,51,56,55,54,32,46,49,50,53,51,48,52,10,32,
      32,46,49,49,54,51,55,56,32,46,49,48,53,57,57,32,46,48,57,51,48,53,49,57,32,
      46,48,56,49,55,56,56,56,32,46,48,55,49,54,55,49,56,32,46,48,54,52,50,57,51,
      55,32,46,48,53,55,50,56,51,51,32,46,48,52,56,56,57,48,51,32,46,48,52,49,56,
      48,53,54,32,46,48,51,53,56,52,52,50,10,32,32,46,48,51,49,51,56,51,53,32,46,
      48,50,54,48,49,52,49,32,46,48,50,49,53,56,51,57,32,46,48,49,55,56,55,54,51,
      32,46,48,49,53,48,50,53,54,32,46,48,49,50,53,57,56,50,32,46,48,49,48,53,56,
      50,32,46,48,48,56,55,48,55,48,49,32,46,48,48,55,50,54,54,54,56,10,32,32,46,
      48,48,54,51,54,48,54,55,32,46,48,48,52,57,52,51,49,52,32,46,48,48,51,56,56,
      57,56,54,32,46,48,48,51,49,48,50,52,55,32,46,48,48,50,52,50,48,54,57,32,46,
      48,48,49,57,51,49,56,49,32,46,48,48,49,53,49,48,54,53,32,46,48,48,49,49,57,
      49,54,53,10,32,32,46,48,48,48,57,52,57,53,51,32,46,48,48,48,55,54,53,51,50,
      54,32,46,48,48,48,54,48,51,49,50,50,32,46,48,48,48,53,48,55,49,56,56,32,46,
      48,48,48,52,50,55,48,53,49,32,46,48,48,48,51,50,50,52,48,50,32,46,48,48,48,
      50,55,49,54,53,52,32,46,48,48,48,50,48,55,54,57,54,10,32,32,46,48,48,48,49,
      53,54,53,52,53,32,46,48,48,48,49,51,50,50,48,52,32,46,48,48,48,49,49,49,54,
      51,51,32,56,46,53,52,55,56,54,101,45,48,53,32,54,46,51,55,49,51,101,45,48,53,
      32,53,46,52,49,51,54,52,101,45,48,53,32,52,46,49,54,51,55,50,101,45,48,53,10,
      32,32,51,46,53,52,56,56,49,101,45,48,53,32,50,46,55,51,56,56,49,101,45,48,53,
      32,50,46,50,49,57,56,50,101,45,48,53,32,49,46,54,51,49,50,56,101,45,48,53,32,
      49,46,52,51,54,52,50,101,45,48,53,32,49,46,49,50,52,57,49,101,45,48,53,32,56,
      46,53,56,57,56,53,101,45,48,54,10,32,32,54,46,56,54,51,50,52,101,45,48,54,32,
      53,46,52,56,53,51,54,101,45,48,54,32,52,46,52,52,56,56,56,101,45,48,54,32,51,
      46,54,50,48,54,54,101,45,48,54,32,50,46,56,56,50,50,52,101,45,48,54,32,50,46,
      51,53,52,50,53,101,45,48,54,32,49,46,56,56,52,48,49,101,45,48,54,10,32,32,49,
      46,53,57,57,51,56,101,45,48,54,32,49,46,50,50,52,55,52,101,45,48,54,32,49,46,
      48,52,48,48,52,101,45,48,54,32,56,46,52,56,57,54,50,101,45,48,55,32,53,46,50,
      57,53,54,52,101,45,48,55,32,50,46,55,55,48,49,55,101,45,48,55,32,49,46,52,55,
      52,49,55,101,45,48,55,10,32,32,54,46,55,49,49,56,49,101,45,48,56,32,51,46,48,
      54,48,57,57,101,45,48,56,32,49,46,49,57,53,48,51,101,45,48,56,32,53,46,52,53,
      52,55,50,101,45,48,57,32,51,46,48,48,57,48,50,101,45,48,56,32,49,46,49,54,48,
      50,55,101,45,48,56,32,53,46,57,52,49,49,52,101,45,48,57,10,32,32,50,46,56,49,
      53,55,56,101,45,48,57,32,49,46,48,52,50,51,53,101,45,48,57,32,52,46,51,55,53,
      54,101,45,49,48,32,49,46,56,51,57,49,54,101,45,49,48,32,54,46,56,51,57,57,52,
      101,45,49,49,32,50,46,53,52,55,51,54,101,45,49,49,32,49,46,48,55,52,52,57,101,
      45,49,49,10,32,32,52,46,53,51,54,51,53,101,45,49,50,32,49,46,56,56,57,51,53,
      101,45,49,50,32,55,46,48,54,48,50,54,101,45,49,51,32,50,46,51,51,53,52,56,101,
      45,49,51,32,54,46,56,52,48,55,54,101,45,49,52,32,50,46,50,54,55,56,55,101,45,
      49,52,32,54,46,54,53,55,53,50,101,45,49,53,10,32,32,50,46,50,49,49,50,54,101,
      45,49,53,32,55,46,51,53,48,52,50,101,45,49,54,32,50,46,49,54,51,55,57,101,45,
      49,54,32,53,46,56,51,55,57,49,101,45,49,55,32,50,46,49,50,51,50,101,45,49,55,
      32,54,46,53,57,52,48,49,101,45,49,56,32,50,46,51,54,48,54,54,101,45,49,56,10,
      32,32,55,46,56,55,55,57,56,101,45,49,57,32,50,46,54,51,48,51,56,101,45,49,57,
      32,56,46,52,55,50,54,57,101,45,50,48,32,50,46,56,50,56,49,52,101,45,50,48,32,
      57,46,52,52,51,48,51,101,45,50,49,32,48,114,53,50,32,57,46,48,48,53,53,49,101,
      45,48,55,32,49,46,50,48,48,54,52,101,45,48,54,10,32,32,49,46,54,48,48,57,50,
      101,45,48,54,32,50,46,49,51,52,53,51,101,45,48,54,32,50,46,56,52,54,48,53,101,
      45,48,54,32,51,46,55,57,52,55,55,101,45,48,54,32,53,46,48,53,57,55,54,101,45,
      48,54,32,54,46,55,52,54,51,52,101,45,48,54,32,56,46,57,57,52,56,53,101,45,48,
      54,10,32,32,49,46,49,57,57,51,50,101,45,48,53,32,49,46,53,57,57,49,54,101,45,
      48,53,32,50,46,49,51,50,49,54,101,45,48,53,32,50,46,56,52,50,57,57,101,45,48,
      53,32,51,46,55,57,48,54,56,101,45,48,53,32,53,46,48,53,52,50,50,101,45,48,53,
      32,54,46,55,51,57,48,50,101,45,48,53,10,32,32,56,46,57,56,53,52,56,101,45,48,
      53,32,46,48,48,48,49,51,52,55,56,55,32,46,48,48,48,50,50,52,54,55,55,32,46,
      48,48,48,51,49,52,54,50,32,46,48,48,48,52,52,57,54,54,57,32,46,48,48,48,55,
      48,55,51,48,49,32,46,48,48,49,48,49,48,54,50,32,46,48,48,49,53,49,54,49,56,
      10,32,32,46,48,48,50,53,50,55,53,57,32,46,48,48,51,53,51,57,51,56,32,46,48,
      48,53,48,53,55,54,53,32,46,48,48,55,48,56,50,55,53,32,46,48,49,48,49,50,49,
      32,46,48,49,50,54,53,50,51,32,46,48,49,53,49,56,49,57,32,46,48,50,48,50,51,
      50,49,32,46,48,50,53,50,54,50,56,10,32,32,46,48,51,48,50,54,52,56,32,46,48,
      51,50,55,53,50,51,32,46,48,51,53,50,50,57,51,32,46,48,51,55,54,57,52,49,32,
      46,48,52,48,49,52,54,57,32,46,48,52,50,53,56,53,52,32,46,48,52,53,48,48,56,
      55,32,46,48,52,55,52,49,53,57,32,46,48,52,57,56,48,54,51,10,32,32,46,48,53,
      50,49,55,56,56,32,46,48,53,52,53,51,49,32,46,48,53,55,51,50,55,52,32,46,48,
      54,48,48,57,51,49,32,46,48,54,51,55,51,50,50,32,46,48,54,55,51,48,57,53,32,
      46,48,55,48,56,50,50,49,32,46,48,55,53,49,49,55,55,32,46,48,55,57,51,48,50,
      52,10,32,32,46,48,56,51,51,55,52,49,32,46,48,56,56,49,48,50,51,32,46,48,57,
      50,54,53,50,52,32,46,48,57,56,52,50,57,55,32,46,49,48,51,56,55,53,32,46,49,
      48,56,57,55,54,32,46,49,49,52,50,57,56,32,46,49,49,57,54,57,52,32,46,49,50,
      53,48,49,57,32,46,49,51,48,49,48,56,10,32,32,46,49,51,52,55,57,51,32,46,49,
      51,57,49,56,51,32,46,49,52,50,53,54,52,32,46,49,52,53,50,55,52,32,46,49,52,
      55,49,56,32,46,49,52,55,53,49,32,46,49,52,54,55,57,55,32,46,49,52,52,57,53,
      53,32,46,49,52,49,53,50,56,32,46,49,51,54,55,57,51,32,46,49,51,48,57,48,51,
      10,32,32,46,49,50,51,56,53,32,46,49,49,54,55,51,49,32,46,49,48,57,49,51,54,
      32,46,49,48,48,49,49,32,46,48,56,56,54,50,51,55,32,46,48,55,56,52,50,56,52,
      32,46,48,54,57,49,50,56,53,32,46,48,54,50,50,54,55,49,32,46,48,53,53,54,56,
      56,54,32,46,48,52,55,55,52,10,32,32,46,48,52,48,57,55,48,55,32,46,48,51,53,
      50,51,51,51,32,46,48,51,48,57,49,54,50,32,46,48,50,53,54,57,50,56,32,46,48,
      50,49,51,54,49,53,32,46,48,49,55,55,50,49,57,32,46,48,49,52,57,49,52,54,32,
      46,48,49,50,53,49,56,51,32,46,48,49,48,53,50,51,57,10,32,32,46,48,48,56,54,
      54,53,56,51,32,46,48,48,55,50,51,54,53,51,32,46,48,48,54,51,51,54,53,55,32,
      46,48,48,52,57,50,55,49,55,32,46,48,48,51,56,55,56,56,56,32,46,48,48,51,48,
      57,52,54,55,32,46,48,48,50,52,49,53,50,54,32,46,48,48,49,57,50,55,56,54,10,
      32,32,46,48,48,49,53,48,55,56,51,32,46,48,48,49,49,56,57,54,32,46,48,48,48,
      57,52,56,48,48,56,32,46,48,48,48,55,54,52,49,55,50,32,46,48,48,48,54,48,50,
      50,54,55,32,46,48,48,48,53,48,54,52,57,57,32,46,48,48,48,52,50,54,52,57,53,
      32,46,48,48,48,51,50,50,48,48,57,10,32,32,46,48,48,48,50,55,49,51,51,52,32,
      46,48,48,48,50,48,55,52,54,53,32,46,48,48,48,49,53,54,51,56,32,46,48,48,48,
      49,51,50,48,54,57,32,46,48,48,48,49,49,49,53,50,51,32,56,46,53,51,57,55,55,
      101,45,48,53,32,54,46,51,54,53,53,52,101,45,48,53,32,53,46,52,48,56,56,56,101,
      45,48,53,10,32,32,52,46,49,54,48,50,101,45,48,53,32,51,46,53,52,53,56,56,101,
      45,48,53,32,50,46,55,51,54,54,52,101,45,48,53,32,50,46,50,49,56,49,49,101,45,
      48,53,32,49,46,54,51,48,48,56,101,45,48,53,32,49,46,52,51,53,51,55,101,45,48,
      53,32,49,46,49,50,52,49,50,101,45,48,53,10,32,32,56,46,53,56,51,57,56,101,45,
      48,54,32,54,46,56,53,56,54,56,101,45,48,54,32,53,46,52,56,49,56,49,101,45,48,
      54,32,52,46,52,52,54,48,55,101,45,48,54,32,51,46,54,49,56,52,51,101,45,48,54,
      32,50,46,56,56,48,53,101,45,48,54,32,50,46,51,53,50,56,54,101,45,48,54,10,32,
      32,49,46,56,56,50,57,50,101,45,48,54,32,49,46,53,57,56,52,55,101,45,48,54,32,
      49,46,50,50,52,48,55,101,45,48,54,32,49,46,48,51,57,52,55,101,45,48,54,32,56,
      46,52,56,53,48,57,101,45,48,55,32,53,46,50,57,50,57,52,101,45,48,55,32,50,46,
      55,54,56,56,52,101,45,48,55,10,32,32,49,46,52,55,51,53,101,45,48,55,32,54,46,
      55,48,56,57,55,101,45,48,56,32,51,46,48,53,57,55,54,101,45,48,56,32,49,46,49,
      57,52,53,56,101,45,48,56,32,53,46,52,53,51,48,53,101,45,48,57,32,51,46,48,48,
      49,49,53,101,45,48,56,32,49,46,49,53,55,50,50,101,45,48,56,10,32,32,53,46,57,
      50,53,52,57,101,45,48,57,32,50,46,56,48,56,51,52,101,45,48,57,32,49,46,48,51,
      57,53,56,101,45,48,57,32,52,46,51,54,51,57,53,101,45,49,48,32,49,46,56,51,52,
      50,53,101,45,49,48,32,54,46,56,50,49,54,101,45,49,49,32,50,46,53,52,48,53,101,
      45,49,49,10,32,32,49,46,48,55,49,53,57,101,45,49,49,32,52,46,53,50,52,48,54,
      101,45,49,50,32,49,46,56,56,52,52,53,101,45,49,50,32,55,46,48,52,49,57,49,101,
      45,49,51,32,50,46,51,50,57,52,49,101,45,49,51,32,54,46,56,50,50,57,52,101,45,
      49,52,32,50,46,50,54,49,57,54,101,45,49,52,10,32,32,54,46,54,52,48,49,52,101,
      45,49,53,32,50,46,50,48,53,52,56,101,45,49,53,32,55,46,51,51,49,50,49,101,45,
      49,54,32,50,46,49,53,56,49,51,101,45,49,54,32,53,46,56,50,50,54,52,101,45,49,
      55,32,50,46,49,49,55,54,52,101,45,49,55,32,54,46,53,55,54,55,51,101,45,49,56,
      10,32,32,50,46,51,53,52,52,55,101,45,49,56,32,55,46,56,53,55,51,52,101,45,49,
      57,32,50,46,54,50,51,52,57,101,45,49,57,32,56,46,52,52,54,52,51,101,45,50,48,
      32,50,46,56,49,57,51,51,101,45,50,48,32,57,46,52,49,52,55,49,101,45,50,49,32,
      48,114,53,50,32,56,46,48,51,49,57,53,101,45,48,55,10,32,32,49,46,48,55,48,56,
      53,101,45,48,54,32,49,46,52,50,55,56,53,101,45,48,54,32,49,46,57,48,51,55,56,
      101,45,48,54,32,50,46,53,51,56,51,55,101,45,48,54,32,51,46,51,56,52,53,50,101,
      45,48,54,32,52,46,53,49,50,55,53,101,45,48,54,32,54,46,48,49,54,57,57,101,45,
      48,54,10,32,32,56,46,48,50,50,52,101,45,48,54,32,49,46,48,54,57,54,54,101,45,
      48,53,32,49,46,52,50,54,50,54,101,45,48,53,32,49,46,57,48,49,54,51,101,45,48,
      53,32,50,46,53,51,53,53,57,101,45,48,53,32,51,46,51,56,48,55,57,101,45,48,53,
      32,52,46,53,48,55,54,53,101,45,48,53,10,32,32,54,46,48,49,48,49,55,101,45,48,
      53,32,56,46,48,49,51,52,57,101,45,48,53,32,46,48,48,48,49,50,48,50,32,46,48,
      48,48,50,48,48,51,51,53,32,46,48,48,48,50,56,48,52,56,56,32,46,48,48,48,52,
      48,48,55,56,51,32,46,48,48,48,54,49,54,57,57,51,32,46,48,48,48,56,56,49,52,
      50,54,10,32,32,46,48,48,49,51,50,49,56,56,32,46,48,48,50,50,48,50,48,50,32,
      46,48,48,51,48,56,49,50,51,32,46,48,48,52,51,57,56,50,51,32,46,48,48,54,49,
      53,48,55,55,32,46,48,48,56,55,55,49,56,50,32,46,48,49,48,57,52,56,53,32,46,
      48,49,51,49,49,56,49,32,46,48,49,55,52,51,52,10,32,32,46,48,50,49,55,49,53,
      55,32,46,48,50,53,57,53,57,52,32,46,48,50,56,48,54,53,55,32,46,48,51,48,49,
      54,48,55,32,46,48,51,50,50,52,51,56,32,46,48,51,52,51,49,52,57,32,46,48,51,
      54,51,55,50,56,32,46,48,51,56,52,49,55,49,32,46,48,52,48,52,52,55,54,10,32,
      32,46,48,52,50,52,54,51,51,32,46,48,52,52,52,54,52,49,32,46,48,52,54,52,52,
      56,51,32,46,48,52,56,56,48,55,51,32,46,48,53,49,49,52,50,49,32,46,48,53,52,
      50,49,53,55,32,46,48,53,55,50,52,49,56,32,46,48,54,48,50,49,55,55,32,46,48,
      54,51,56,54,51,51,10,32,32,46,48,54,55,52,50,52,50,32,46,48,55,48,56,57,56,
      55,32,46,48,55,52,57,52,56,55,32,46,48,55,56,56,54,49,50,32,46,48,56,51,56,
      53,57,51,32,46,48,56,56,54,48,52,49,32,46,48,57,51,48,56,49,50,32,46,48,57,
      55,56,48,51,54,32,46,49,48,50,54,52,57,10,32,32,46,49,48,55,53,48,49,32,46,
      49,49,50,50,49,57,32,46,49,49,54,54,54,54,32,46,49,50,48,57,56,49,32,46,49,
      50,52,52,54,49,32,46,49,50,55,52,54,51,32,46,49,50,57,57,55,55,32,46,49,51,
      49,49,53,55,32,46,49,51,49,49,56,32,46,49,51,48,51,51,49,32,46,49,50,56,49,
      54,10,32,32,46,49,50,52,55,55,53,32,46,49,50,48,50,54,57,32,46,49,49,52,54,
      50,55,32,46,49,48,56,55,52,52,32,46,49,48,50,51,49,51,32,46,48,57,52,52,57,
      52,51,32,46,48,56,52,51,51,49,52,32,46,48,55,53,49,50,57,56,32,46,48,54,54,
      54,48,52,50,32,46,48,54,48,50,51,57,56,10,32,32,46,48,53,52,48,56,49,54,32,
      46,48,52,54,53,55,48,53,32,46,48,52,48,49,49,53,52,32,46,48,51,52,54,48,51,
      53,32,46,48,51,48,52,51,50,32,46,48,50,53,51,53,55,56,32,46,48,50,49,49,50,
      56,51,32,46,48,49,55,53,53,57,51,32,46,48,49,52,55,57,55,51,10,32,32,46,48,
      49,50,52,51,51,53,32,46,48,49,48,52,54,50,32,46,48,48,56,54,50,49,57,32,46,
      48,48,55,50,48,52,50,57,32,46,48,48,54,51,49,48,55,53,32,46,48,48,52,57,48,
      57,57,57,32,46,48,48,51,56,54,55,48,52,32,46,48,48,51,48,56,54,50,52,32,46,
      48,48,50,52,48,57,51,57,10,32,32,46,48,48,49,57,50,51,53,57,32,46,48,48,49,
      53,48,52,55,56,32,46,48,48,49,49,56,55,51,56,32,46,48,48,48,57,52,54,51,53,
      56,32,46,48,48,48,55,54,50,57,50,50,32,46,48,48,48,54,48,49,51,52,50,32,46,
      48,48,48,53,48,53,55,53,53,32,46,48,48,48,52,50,53,56,57,51,10,32,32,46,48,
      48,48,51,50,49,53,56,51,32,46,48,48,48,50,55,48,57,56,56,32,46,48,48,48,50,
      48,55,50,49,53,32,46,48,48,48,49,53,54,50,48,49,32,46,48,48,48,49,51,49,57,
      50,50,32,46,48,48,48,49,49,49,52,48,50,32,56,46,53,51,48,57,52,101,45,48,53,
      32,54,46,51,53,57,50,56,101,45,48,53,10,32,32,53,46,52,48,51,54,57,101,45,48,
      53,32,52,46,49,53,54,51,55,101,45,48,53,32,51,46,53,52,50,55,101,45,48,53,32,
      50,46,55,51,52,50,55,101,45,48,53,32,50,46,50,49,54,50,53,101,45,48,53,32,49,
      46,54,50,56,55,54,101,45,48,53,32,49,46,52,51,52,50,52,101,45,48,53,10,32,32,
      49,46,49,50,51,50,54,101,45,48,53,32,56,46,53,55,55,54,51,101,45,48,54,32,54,
      46,56,53,51,55,51,101,45,48,54,32,53,46,52,55,55,57,53,101,45,48,54,32,52,46,
      52,52,51,48,49,101,45,48,54,32,51,46,54,49,54,101,45,48,54,32,50,46,56,55,56,
      54,50,101,45,48,54,10,32,32,50,46,51,53,49,51,53,101,45,48,54,32,49,46,56,56,
      49,55,52,101,45,48,54,32,49,46,53,57,55,52,57,101,45,48,54,32,49,46,50,50,51,
      51,51,101,45,48,54,32,49,46,48,51,56,56,54,101,45,48,54,32,56,46,52,56,48,49,
      55,101,45,48,55,32,53,46,50,57,48,48,49,101,45,48,55,10,32,32,50,46,55,54,55,
      51,57,101,45,48,55,32,49,46,52,55,50,55,55,101,45,48,55,32,54,46,55,48,53,56,
      52,101,45,48,56,32,51,46,48,53,56,52,50,101,45,48,56,32,49,46,49,57,52,49,101,
      45,48,56,32,53,46,52,53,49,50,56,101,45,48,57,32,50,46,57,57,49,49,49,101,45,
      48,56,10,32,32,49,46,49,53,52,48,49,101,45,48,56,32,53,46,57,49,48,51,54,101,
      45,48,57,32,50,46,56,48,49,49,52,101,45,48,57,32,49,46,48,51,54,57,49,101,45,
      48,57,32,52,46,51,53,50,54,57,101,45,49,48,32,49,46,56,50,57,53,101,45,49,48,
      32,54,46,56,48,51,56,55,101,45,49,49,10,32,32,50,46,53,51,51,56,56,101,45,49,
      49,32,49,46,48,54,56,55,57,101,45,49,49,32,52,46,53,49,50,50,101,45,49,50,32,
      49,46,56,55,57,55,49,101,45,49,50,32,55,46,48,50,52,50,101,45,49,51,32,50,46,
      51,50,51,53,52,101,45,49,51,32,54,46,56,48,53,55,52,101,45,49,52,10,32,32,50,
      46,50,53,54,50,53,101,45,49,52,32,54,46,54,50,51,51,55,101,45,49,53,32,50,46,
      49,57,57,57,49,101,45,49,53,32,55,46,51,49,50,54,56,101,45,49,54,32,50,46,49,
      53,50,54,55,101,45,49,54,32,53,46,56,48,55,57,101,45,49,55,32,50,46,49,49,50,
      50,55,101,45,49,55,10,32,32,54,46,53,54,48,48,54,101,45,49,56,32,50,46,51,52,
      56,53,49,101,45,49,56,32,55,46,56,51,55,52,51,101,45,49,57,32,50,46,54,49,54,
      56,53,101,45,49,57,32,56,46,52,50,48,57,54,101,45,50,48,32,50,46,56,49,48,55,
      57,101,45,50,48,32,57,46,51,56,54,48,53,101,45,50,49,10,32,32,48,114,53,50,
      32,55,46,50,51,49,54,50,101,45,48,55,32,57,46,54,52,49,52,52,101,45,48,55,32,
      49,46,50,56,53,53,55,101,45,48,54,32,49,46,55,49,52,48,56,101,45,48,54,32,50,
      46,50,56,53,52,52,101,45,48,54,32,51,46,48,52,55,50,56,101,45,48,54,32,52,46,
      48,54,51,48,57,101,45,48,54,10,32,32,53,46,52,49,55,52,52,101,45,48,54,32,55,
      46,50,50,51,48,50,101,45,48,54,32,57,46,54,51,48,55,50,101,45,48,54,32,49,46,
      50,56,52,49,53,101,45,48,53,32,49,46,55,49,50,49,53,101,45,48,53,32,50,46,50,
      56,50,57,52,101,45,48,53,32,51,46,48,52,51,57,51,101,45,48,53,10,32,32,52,46,
      48,53,56,53,49,101,45,48,53,32,53,46,52,49,49,51,50,101,45,48,53,32,55,46,50,
      49,53,48,50,101,45,48,53,32,46,48,48,48,49,48,56,50,50,50,32,46,48,48,48,49,
      56,48,51,54,51,32,46,48,48,48,50,53,50,53,48,56,32,46,48,48,48,51,54,48,55,
      53,53,10,32,32,46,48,48,48,53,48,53,49,55,51,32,46,48,48,48,55,55,57,52,55,
      57,32,46,48,48,49,49,54,56,56,55,32,46,48,48,49,57,52,54,53,56,32,46,48,48,
      50,55,50,50,57,53,32,46,48,48,51,56,56,52,57,50,32,46,48,48,53,52,50,57,50,
      52,32,46,48,48,55,55,51,52,55,10,32,32,46,48,48,57,54,52,53,53,50,32,46,48,
      49,49,53,52,54,54,32,46,48,49,53,51,49,56,55,32,46,48,49,57,48,52,57,49,32,
      46,48,50,50,55,51,53,55,32,46,48,50,52,53,54,49,56,32,46,48,50,54,51,55,54,
      50,32,46,48,50,56,49,55,56,52,32,46,48,50,57,57,54,56,52,10,32,32,46,48,51,
      49,55,52,53,54,32,46,48,51,51,53,48,57,55,32,46,48,51,53,50,54,48,55,32,46,
      48,51,54,57,57,56,49,32,46,48,51,56,55,50,49,55,32,46,48,52,48,52,51,48,52,
      32,46,48,52,50,52,54,49,56,32,46,48,52,52,52,55,50,49,32,46,48,52,55,49,49,
      55,57,10,32,32,46,48,52,57,55,50,51,32,46,48,53,50,50,56,54,54,32,46,48,53,
      53,52,50,57,54,32,46,48,53,56,53,48,51,54,32,46,48,54,49,53,48,54,53,32,46,
      48,54,53,48,49,50,53,32,46,48,54,56,52,49,48,52,32,46,48,55,50,55,54,53,52,
      32,46,48,55,54,57,49,57,49,10,32,32,46,48,56,48,56,54,49,52,32,46,48,56,53,
      48,52,53,51,32,46,48,56,57,51,55,51,54,32,46,48,57,51,55,53,48,50,32,46,48,
      57,56,48,54,57,53,32,46,49,48,50,50,49,32,46,49,48,54,51,49,56,32,46,49,48,
      57,55,51,51,32,46,49,49,50,56,49,53,32,46,49,49,53,54,52,10,32,32,46,49,49,
      55,51,52,32,46,49,49,55,56,54,32,46,49,49,55,55,48,50,32,46,49,49,54,52,54,
      51,32,46,49,49,52,49,49,54,32,46,49,49,48,55,49,50,32,46,49,48,54,50,50,51,
      32,46,49,48,49,51,56,32,46,48,57,53,57,52,53,51,32,46,48,56,57,49,57,48,49,
      32,46,48,56,48,50,49,52,57,10,32,32,46,48,55,49,57,50,54,49,32,46,48,54,52,
      49,50,53,54,32,46,48,53,56,50,51,51,51,32,46,48,53,50,52,55,57,32,46,48,52,
      53,51,57,51,54,32,46,48,51,57,50,52,56,32,46,48,51,51,57,54,48,53,32,46,48,
      50,57,57,51,53,32,46,48,50,53,48,49,49,55,32,46,48,50,48,56,56,54,49,10,32,
      32,46,48,49,55,51,56,57,53,32,46,48,49,52,54,55,52,51,32,46,48,49,50,51,52,
      52,51,32,46,48,49,48,51,57,54,54,32,46,48,48,56,53,55,53,51,52,32,46,48,48,
      55,49,55,48,48,50,32,46,48,48,54,50,56,51,50,55,32,46,48,48,52,56,57,49,54,
      54,32,46,48,48,51,56,53,52,51,57,10,32,32,46,48,48,51,48,55,55,50,49,32,46,
      48,48,50,52,48,51,48,57,32,46,48,48,49,57,49,56,57,57,32,46,48,48,49,53,48,
      49,52,57,32,46,48,48,49,49,56,52,57,57,32,46,48,48,48,57,52,52,53,56,49,32,
      46,48,48,48,55,54,49,53,55,54,32,46,48,48,48,54,48,48,51,52,55,10,32,32,46,
      48,48,48,53,48,52,57,53,50,32,46,48,48,48,52,50,53,50,52,52,32,46,48,48,48,
      51,50,49,49,50,51,32,46,48,48,48,50,55,48,54,49,52,32,46,48,48,48,50,48,54,
      57,52,52,32,46,48,48,48,49,53,54,48,48,56,32,46,48,48,48,49,51,49,55,54,52,
      32,46,48,48,48,49,49,49,50,55,51,10,32,32,56,46,53,50,49,52,56,101,45,48,53,
      32,54,46,51,53,50,53,53,101,45,48,53,32,53,46,51,57,56,49,49,101,45,48,53,32,
      52,46,49,53,50,50,52,101,45,48,53,32,51,46,53,51,57,50,55,101,45,48,53,32,50,
      46,55,51,49,55,49,101,45,48,53,32,50,46,50,49,52,50,52,101,45,48,53,10,32,32,
      49,46,54,50,55,51,52,101,45,48,53,32,49,46,52,51,51,101,45,48,53,32,49,46,49,
      50,50,51,50,101,45,48,53,32,56,46,53,55,48,55,50,101,45,48,54,32,54,46,56,52,
      56,51,56,101,45,48,54,32,53,46,52,55,51,55,56,101,45,48,54,32,52,46,52,51,57,
      55,50,101,45,48,54,10,32,32,51,46,54,49,51,51,56,101,45,48,54,32,50,46,56,55,
      54,53,57,101,45,48,54,32,50,46,51,52,57,55,51,101,45,48,54,32,49,46,56,56,48,
      52,55,101,45,48,54,32,49,46,53,57,54,52,51,101,45,48,54,32,49,46,50,50,50,53,
      52,101,45,48,54,32,49,46,48,51,56,49,57,101,45,48,54,10,32,32,56,46,52,55,52,
      56,56,101,45,48,55,32,53,46,50,56,54,56,53,101,45,48,55,32,50,46,55,54,53,56,
      51,101,45,48,55,32,49,46,52,55,49,57,56,101,45,48,55,32,54,46,55,48,50,52,56,
      101,45,48,56,32,51,46,48,53,54,57,55,101,45,48,56,32,49,46,49,57,51,53,55,101,
      45,48,56,10,32,32,53,46,52,52,57,51,50,101,45,48,57,32,50,46,57,55,57,55,55,
      101,45,48,56,32,49,46,49,52,57,54,49,101,45,48,56,32,53,46,56,56,56,55,54,101,
      45,48,57,32,50,46,55,57,50,48,57,101,45,48,57,32,49,46,48,51,52,49,52,101,45,
      48,57,32,52,46,51,52,49,56,51,101,45,49,48,10,32,32,49,46,56,50,52,57,50,101,
      45,49,48,32,54,46,55,56,54,55,55,101,45,49,49,32,50,46,53,50,55,52,56,101,45,
      49,49,32,49,46,48,54,54,48,56,101,45,49,49,32,52,46,53,48,48,55,52,101,45,49,
      50,32,49,46,56,55,53,49,53,101,45,49,50,32,55,46,48,48,55,49,52,101,45,49,51,
      10,32,32,50,46,51,49,55,56,57,101,45,49,51,32,54,46,55,56,57,49,55,101,45,49,
      52,32,50,46,50,53,48,55,53,101,45,49,52,32,54,46,54,48,55,50,49,101,45,49,53,
      32,50,46,49,57,52,53,52,101,45,49,53,32,55,46,50,57,52,56,50,101,45,49,54,32,
      50,46,49,52,55,52,50,101,45,49,54,10,32,32,53,46,55,57,51,55,49,101,45,49,55,
      32,50,46,49,48,55,49,101,45,49,55,32,54,46,53,52,52,101,45,49,56,32,50,46,51,
      52,50,55,54,101,45,49,56,32,55,46,56,49,56,50,53,101,45,49,57,32,50,46,54,49,
      48,52,52,101,45,49,57,32,56,46,51,57,54,50,56,101,45,50,48,10,32,32,50,46,56,
      48,50,53,49,101,45,50,48,32,57,46,51,53,56,50,54,101,45,50,49,32,48,114,53,
      50,32,54,46,54,53,51,55,49,101,45,48,55,32,56,46,56,55,48,57,53,101,45,48,55,
      32,49,46,49,56,50,56,52,101,45,48,54,32,49,46,53,55,55,49,101,45,48,54,32,50,
      46,49,48,50,56,101,45,48,54,10,32,32,50,46,56,48,51,55,53,101,45,48,54,32,51,
      46,55,51,56,51,56,101,45,48,54,32,52,46,57,56,52,52,57,101,45,48,54,32,54,46,
      54,52,53,55,54,101,45,48,54,32,56,46,56,54,49,48,49,101,45,48,54,32,49,46,49,
      56,49,53,49,101,45,48,53,32,49,46,53,55,53,51,101,45,48,53,10,32,32,50,46,49,
      48,48,52,54,101,45,48,53,32,50,46,56,48,48,53,57,101,45,48,53,32,51,46,55,51,
      52,48,52,101,45,48,53,32,52,46,57,55,56,54,50,101,45,48,53,32,54,46,54,51,55,
      57,56,101,45,48,53,32,57,46,57,53,54,51,53,101,45,48,53,32,46,48,48,48,49,54,
      53,57,49,56,10,32,32,46,48,48,48,50,51,50,50,54,50,32,46,48,48,48,51,51,49,
      55,55,49,32,46,48,48,48,52,54,52,52,54,55,32,46,48,48,48,55,48,53,55,55,51,
      32,46,48,48,49,48,53,56,48,55,32,46,48,48,49,55,54,49,48,55,32,46,48,48,50,
      52,54,50,48,57,32,46,48,48,51,53,48,57,57,51,10,32,32,46,48,48,52,57,48,48,
      49,55,32,46,48,48,54,57,55,48,56,50,32,46,48,48,56,54,56,50,57,50,32,46,48,
      49,48,51,56,50,56,32,46,48,49,51,55,52,54,49,32,46,48,49,55,48,54,48,53,32,
      46,48,50,48,51,50,53,57,32,46,48,50,49,57,52,32,46,48,50,51,53,52,49,55,10,
      32,32,46,48,50,53,49,51,48,55,32,46,48,50,54,55,48,55,50,32,46,48,50,56,50,
      55,48,56,32,46,48,50,57,56,50,49,53,32,46,48,51,49,51,53,57,50,32,46,48,51,
      50,56,56,51,57,32,46,48,51,52,51,57,53,51,32,46,48,51,53,56,57,51,32,46,48,
      51,55,54,55,50,52,10,32,32,46,48,51,57,52,51,49,56,32,46,48,52,49,55,52,55,
      32,46,48,52,52,48,50,53,56,32,46,48,52,54,50,54,55,56,32,46,48,52,57,48,49,
      54,54,32,46,48,53,49,55,48,53,32,46,48,53,52,51,51,51,52,32,46,48,53,55,52,
      48,53,56,32,46,48,54,48,51,56,54,51,32,46,48,54,52,50,49,52,52,10,32,32,46,
      48,54,55,56,55,53,50,32,46,48,55,49,51,54,51,32,46,48,55,53,48,56,49,32,46,
      48,55,56,57,52,57,55,32,46,48,56,50,56,57,49,49,32,46,48,56,54,56,49,52,50,
      32,46,48,57,48,54,50,51,57,32,46,48,57,52,52,54,52,49,32,46,48,57,55,55,50,
      54,54,32,46,49,48,48,55,54,50,10,32,32,46,49,48,51,54,57,57,32,46,49,48,53,
      54,57,50,32,46,49,48,54,53,51,32,46,49,48,54,56,52,53,32,46,49,48,54,50,56,
      49,32,46,49,48,52,55,49,55,32,46,49,48,50,49,55,55,32,46,48,57,56,54,50,51,
      53,32,46,48,57,52,54,52,48,56,32,46,48,57,48,48,53,53,56,10,32,32,46,48,56,
      52,50,50,50,52,32,46,48,55,54,51,48,51,32,46,48,54,56,56,52,51,50,32,46,48,
      54,49,55,49,52,49,32,46,48,53,54,50,54,53,53,32,46,48,53,48,56,57,53,51,32,
      46,48,52,52,50,49,57,55,32,46,48,51,56,51,55,53,56,32,46,48,51,51,51,48,57,
      52,10,32,32,46,48,50,57,52,50,57,49,32,46,48,50,52,54,53,55,32,46,48,50,48,
      54,51,54,51,32,46,48,49,55,50,49,51,53,32,46,48,49,52,53,52,54,51,32,46,48,
      49,50,50,53,49,32,46,48,49,48,51,50,56,32,46,48,48,56,53,50,54,51,54,32,46,
      48,48,55,49,51,51,56,54,10,32,32,46,48,48,54,50,53,52,49,57,32,46,48,48,52,
      56,55,50,50,49,32,46,48,48,51,56,52,48,57,51,32,46,48,48,51,48,54,55,54,32,
      46,48,48,50,51,57,54,51,55,32,46,48,48,49,57,49,52,48,57,32,46,48,48,49,52,
      57,55,57,57,32,46,48,48,49,49,56,50,52,51,32,46,48,48,48,57,52,50,54,56,10,
      32,32,46,48,48,48,55,54,48,49,51,51,32,46,48,48,48,53,57,57,50,55,55,32,46,
      48,48,48,53,48,52,48,57,32,46,48,48,48,52,50,52,53,52,57,32,46,48,48,48,51,
      50,48,54,51,49,32,46,48,48,48,50,55,48,50,49,52,32,46,48,48,48,50,48,54,54,
      53,52,32,46,48,48,48,49,53,53,56,48,49,10,32,32,46,48,48,48,49,51,49,53,57,
      53,32,46,48,48,48,49,49,49,49,51,52,32,56,46,53,49,49,51,50,101,45,48,53,32,
      54,46,51,52,53,51,52,101,45,48,53,32,53,46,51,57,50,49,53,101,45,48,53,32,52,
      46,49,52,55,56,52,101,45,48,53,32,51,46,53,51,53,53,57,101,45,48,53,10,32,32,
      50,46,55,50,56,57,56,101,45,48,53,32,50,46,50,49,50,48,56,101,45,48,53,32,49,
      46,54,50,53,56,50,101,45,48,53,32,49,46,52,51,49,54,57,101,45,48,53,32,49,46,
      49,50,49,51,50,101,45,48,53,32,56,46,53,54,51,51,53,101,45,48,54,32,54,46,56,
      52,50,54,52,101,45,48,54,10,32,32,53,46,52,54,57,51,50,101,45,48,54,32,52,46,
      52,51,54,49,56,101,45,48,54,32,51,46,54,49,48,53,54,101,45,48,54,32,50,46,56,
      55,52,52,101,45,48,54,32,50,46,51,52,55,57,56,101,45,48,54,32,49,46,56,55,57,
      49,101,45,48,54,32,49,46,53,57,53,50,56,101,45,48,54,10,32,32,49,46,50,50,49,
      54,57,101,45,48,54,32,49,46,48,51,55,52,57,101,45,48,54,32,56,46,52,54,57,50,
      49,101,45,48,55,32,53,46,50,56,51,52,54,101,45,48,55,32,50,46,55,54,52,49,53,
      101,45,48,55,32,49,46,52,55,49,49,52,101,45,48,55,32,54,46,54,57,56,56,56,101,
      45,48,56,10,32,32,51,46,48,53,53,52,51,101,45,48,56,32,49,46,49,57,51,48,49,
      101,45,48,56,32,53,46,52,52,55,50,101,45,48,57,32,50,46,57,54,56,54,57,101,
      45,48,56,32,49,46,49,52,53,51,50,101,45,48,56,32,53,46,56,54,54,55,51,101,45,
      48,57,32,50,46,55,56,49,54,50,101,45,48,57,10,32,32,49,46,48,51,48,50,52,101,
      45,48,57,32,52,46,51,50,54,55,49,101,45,49,48,32,49,46,56,49,57,52,49,101,45,
      49,48,32,54,46,55,54,57,56,101,45,49,49,32,50,46,53,50,49,51,50,101,45,49,49,
      32,49,46,48,54,51,52,55,101,45,49,49,32,52,46,52,56,57,55,101,45,49,50,10,32,
      32,49,46,56,55,48,55,54,101,45,49,50,32,54,46,57,57,48,55,50,101,45,49,51,32,
      50,46,51,49,50,52,53,101,45,49,51,32,54,46,55,55,51,50,50,101,45,49,52,32,50,
      46,50,52,53,52,54,101,45,49,52,32,54,46,53,57,49,54,55,101,45,49,53,32,50,46,
      49,56,57,51,55,101,45,49,53,10,32,32,55,46,50,55,55,54,52,101,45,49,54,32,50,
      46,49,52,50,51,54,101,45,49,54,32,53,46,55,56,48,48,53,101,45,49,55,32,50,46,
      49,48,50,49,50,101,45,49,55,32,54,46,53,50,56,53,53,101,45,49,56,32,50,46,51,
      51,55,50,51,101,45,49,56,32,55,46,55,57,57,56,101,45,49,57,10,32,32,50,46,54,
      48,52,50,56,101,45,49,57,32,56,46,51,55,50,51,55,101,45,50,48,32,50,46,55,57,
      52,52,57,101,45,50,48,32,57,46,51,51,49,51,53,101,45,50,49,32,48,114,53,50,
      32,54,46,49,56,48,48,54,101,45,48,55,32,56,46,50,51,57,52,54,101,45,48,55,32,
      49,46,48,57,56,54,52,101,45,48,54,10,32,32,49,46,52,54,52,56,51,101,45,48,54,
      32,49,46,57,53,51,49,101,45,48,54,32,50,46,54,48,52,49,54,101,45,48,54,32,51,
      46,52,55,50,50,53,101,45,48,54,32,52,46,54,50,57,54,52,101,45,48,54,32,54,46,
      49,55,50,54,52,101,45,48,54,32,56,46,50,51,48,49,55,101,45,48,54,10,32,32,49,
      46,48,57,55,51,57,101,45,48,53,32,49,46,52,54,51,49,52,101,45,48,53,32,49,46,
      57,53,48,57,101,45,48,53,32,50,46,54,48,49,49,55,101,45,48,53,32,51,46,52,54,
      56,49,50,101,45,48,53,32,52,46,54,50,52,48,50,101,45,48,53,32,54,46,49,54,53,
      49,101,45,48,53,10,32,32,57,46,50,52,54,56,50,101,45,48,53,32,46,48,48,48,49,
      53,52,48,56,53,32,46,48,48,48,50,49,53,54,56,32,46,48,48,48,51,48,56,48,52,
      53,32,46,48,48,48,52,51,49,49,54,55,32,46,48,48,48,54,49,53,56,50,55,32,46,
      48,48,48,57,54,57,55,56,50,32,46,48,48,49,54,49,51,52,10,32,32,46,48,48,50,
      50,53,52,54,53,32,46,48,48,51,50,49,50,49,54,32,46,48,48,52,52,56,48,56,52,
      32,46,48,48,54,51,54,54,57,54,32,46,48,48,55,57,50,51,52,57,32,46,48,48,57,
      52,54,54,51,54,32,46,48,49,50,53,49,49,56,32,46,48,49,53,53,48,52,49,32,46,
      48,49,56,52,52,52,51,10,32,32,46,48,49,57,56,57,52,57,32,46,48,50,49,51,51,
      50,54,32,46,48,50,50,55,53,55,51,32,46,48,50,52,49,54,57,51,32,46,48,50,53,
      53,54,56,52,32,46,48,50,54,57,53,52,53,32,46,48,50,56,51,50,55,57,32,46,48,
      50,57,54,56,56,51,32,46,48,51,49,48,51,53,57,10,32,32,46,48,51,50,51,55,48,
      50,32,46,48,51,51,57,53,52,52,32,46,48,51,53,53,49,57,57,32,46,48,51,55,53,
      55,56,32,46,48,51,57,54,48,50,32,46,48,52,49,53,57,50,51,32,46,48,52,52,48,
      51,49,50,32,46,48,52,54,52,49,54,57,32,46,48,52,56,55,52,55,55,32,46,48,53,
      49,52,55,50,51,10,32,32,46,48,53,52,49,49,55,55,32,46,48,53,55,53,49,55,56,
      32,46,48,54,48,55,55,52,32,46,48,54,51,56,56,51,49,32,46,48,54,55,50,48,53,
      32,46,48,55,48,54,55,55,32,46,48,55,52,50,50,56,51,32,46,48,55,55,55,57,48,
      54,32,46,48,56,49,50,55,53,52,32,46,48,56,52,56,51,48,55,10,32,32,46,48,56,
      55,57,48,48,50,32,46,48,57,48,56,49,54,50,32,46,48,57,51,55,52,49,51,32,46,
      48,57,53,56,55,49,56,32,46,48,57,54,57,48,48,54,32,46,48,57,55,53,51,48,54,
      32,46,48,57,55,52,52,49,56,32,46,48,57,54,52,54,52,53,32,46,48,57,52,53,57,
      51,53,10,32,32,46,48,57,49,55,56,55,50,32,46,48,56,56,53,49,53,51,32,46,48,
      56,52,54,52,51,51,32,46,48,55,57,54,48,51,56,32,46,48,55,50,54,49,51,49,32,
      46,48,54,53,56,57,57,57,32,46,48,53,57,51,56,54,52,32,46,48,53,52,51,53,48,
      57,32,46,48,52,57,51,52,50,54,10,32,32,46,48,52,51,48,53,56,32,46,48,51,55,
      53,48,53,53,32,46,48,51,50,54,53,53,32,46,48,50,56,57,49,55,57,32,46,48,50,
      52,50,57,54,49,32,46,48,50,48,51,56,48,54,32,46,48,49,55,48,51,50,51,32,46,
      48,49,52,52,49,51,56,32,46,48,49,50,49,53,52,49,32,46,48,49,48,50,53,54,53,
      10,32,32,46,48,48,56,52,55,53,48,55,32,46,48,48,55,48,57,53,56,57,32,46,48,
      48,54,50,50,51,54,51,32,46,48,48,52,56,53,49,54,57,32,46,48,48,51,56,50,54,
      55,49,32,46,48,48,51,48,53,55,52,50,32,46,48,48,50,51,56,57,50,51,32,46,48,
      48,49,57,48,56,56,56,10,32,32,46,48,48,49,52,57,52,50,54,32,46,48,48,49,49,
      55,57,55,49,32,46,48,48,48,57,52,48,54,53,54,32,46,48,48,48,55,53,56,53,57,
      55,32,46,48,48,48,53,57,56,49,52,32,46,48,48,48,53,48,51,49,55,52,32,46,48,
      48,48,52,50,51,56,48,57,32,46,48,48,48,51,50,48,49,48,54,10,32,32,46,48,48,
      48,50,54,57,55,56,55,32,46,48,48,48,50,48,54,51,52,52,32,46,48,48,48,49,53,
      53,53,55,57,32,46,48,48,48,49,51,49,52,49,52,32,46,48,48,48,49,49,48,57,56,
      54,32,56,46,53,48,48,52,56,101,45,48,53,32,54,46,51,51,55,54,51,101,45,48,53,
      32,53,46,51,56,53,55,55,101,45,48,53,10,32,32,52,46,49,52,51,49,51,101,45,48,
      53,32,51,46,53,51,49,54,55,101,45,48,53,32,50,46,55,50,54,48,55,101,45,48,53,
      32,50,46,50,48,57,55,57,101,45,48,53,32,49,46,54,50,52,50,101,45,48,53,32,49,
      46,52,51,48,50,56,101,45,48,53,32,49,46,49,50,48,50,54,101,45,48,53,10,32,32,
      56,46,53,53,53,52,57,101,45,48,54,32,54,46,56,51,54,53,50,101,45,48,54,32,53,
      46,52,54,52,53,53,101,45,48,54,32,52,46,52,51,50,52,101,45,48,54,32,51,46,54,
      48,55,53,54,101,45,48,54,32,50,46,56,55,50,48,55,101,45,48,54,32,50,46,51,52,
      54,49,49,101,45,48,54,10,32,32,49,46,56,55,55,54,52,101,45,48,54,32,49,46,53,
      57,52,48,55,101,45,48,54,32,49,46,50,50,48,55,56,101,45,48,54,32,49,46,48,51,
      54,55,51,101,45,48,54,32,56,46,52,54,51,49,54,101,45,48,55,32,53,46,50,55,57,
      56,53,101,45,48,55,32,50,46,55,54,50,51,55,101,45,48,55,10,32,32,49,46,52,55,
      48,50,51,101,45,48,55,32,54,46,54,57,53,48,52,101,45,48,56,32,51,46,48,53,51,
      55,56,101,45,48,56,32,49,46,49,57,50,52,49,101,45,48,56,32,53,46,52,52,52,57,
      49,101,45,48,57,32,50,46,57,53,55,56,55,101,45,48,56,32,49,46,49,52,49,49,51,
      101,45,48,56,10,32,32,53,46,56,52,53,50,51,101,45,48,57,32,50,46,55,55,49,52,
      101,45,48,57,32,49,46,48,50,54,52,52,101,45,48,57,32,52,46,51,49,48,55,101,
      45,49,48,32,49,46,56,49,50,54,54,101,45,49,48,32,54,46,55,52,52,54,49,101,45,
      49,49,32,50,46,53,49,51,48,52,101,45,49,49,10,32,32,49,46,48,54,48,52,52,101,
      45,49,49,32,52,46,52,55,56,56,52,101,45,49,50,32,49,46,56,54,54,53,53,101,45,
      49,50,32,54,46,57,55,52,57,52,101,45,49,51,32,50,46,51,48,55,50,51,101,45,49,
      51,32,54,46,55,53,55,57,101,45,49,52,32,50,46,50,52,48,51,56,101,45,49,52,10,
      32,32,54,46,53,55,54,55,51,101,45,49,53,32,50,46,49,56,52,52,49,101,45,49,53,
      32,55,46,50,54,49,49,51,101,45,49,54,32,50,46,49,51,55,53,101,45,49,54,32,53,
      46,55,54,54,57,51,101,45,49,55,32,50,46,48,57,55,51,53,101,45,49,55,32,54,46,
      53,49,51,55,49,101,45,49,56,10,32,32,50,46,51,51,49,57,50,101,45,49,56,32,55,
      46,55,56,50,48,56,101,45,49,57,32,50,46,53,57,56,51,55,101,45,49,57,32,56,46,
      51,52,57,50,53,101,45,50,48,32,50,46,55,56,54,55,51,101,45,50,48,32,57,46,51,
      48,53,51,101,45,50,49,32,48,114,53,50,32,53,46,55,50,55,50,53,101,45,48,55,
      10,32,32,55,46,54,51,53,55,54,101,45,48,55,32,49,46,48,49,56,49,52,101,45,48,
      54,32,49,46,51,53,55,53,101,45,48,54,32,49,46,56,49,101,45,48,54,32,50,46,52,
      49,51,51,53,101,45,48,54,32,51,46,50,49,55,56,52,101,45,48,54,32,52,46,50,57,
      48,52,52,101,45,48,54,10,32,32,53,46,55,50,48,52,101,45,48,54,32,55,46,54,50,
      55,49,57,101,45,48,54,32,49,46,48,49,55,101,45,48,53,32,49,46,51,53,53,57,53,
      101,45,48,53,32,49,46,56,48,55,57,56,101,45,48,53,32,50,46,52,49,48,54,50,101,
      45,48,53,32,51,46,50,49,52,48,56,101,45,48,53,10,32,32,52,46,50,56,53,51,52,
      101,45,48,53,32,53,46,55,49,51,54,101,45,48,53,32,56,46,53,54,57,55,53,101,
      45,48,53,32,46,48,48,48,49,52,50,56,48,54,32,46,48,48,48,49,57,57,56,57,52,
      32,46,48,48,48,50,56,53,52,57,55,32,46,48,48,48,51,57,57,53,57,53,32,46,48,
      48,48,53,55,48,54,57,52,10,32,32,46,48,48,48,56,57,48,50,49,32,46,48,48,49,
      52,56,49,49,53,32,46,48,48,50,48,54,57,57,49,32,46,48,48,50,57,52,57,48,51,
      32,46,48,48,52,49,49,51,54,54,32,46,48,48,53,56,52,52,53,32,46,48,48,55,50,
      55,50,49,50,32,46,48,48,56,54,56,54,51,57,32,46,48,49,49,52,55,53,49,10,32,
      32,46,48,49,52,50,49,49,49,32,46,48,49,54,56,57,52,56,32,46,48,49,56,50,49,
      55,50,32,46,48,49,57,53,50,54,55,32,46,48,50,48,56,50,51,51,32,46,48,50,50,
      49,48,55,49,32,46,48,50,51,51,55,56,49,32,46,48,50,52,54,51,54,52,32,46,48,
      50,53,56,56,49,57,10,32,32,46,48,50,55,49,49,52,56,32,46,48,50,56,51,51,53,
      32,46,48,50,57,53,52,50,53,32,46,48,51,48,57,55,52,56,32,46,48,51,50,51,56,
      56,56,32,46,48,51,52,50,52,54,52,32,46,48,51,54,48,55,49,54,32,46,48,51,55,
      56,54,52,54,32,46,48,52,48,48,54,48,54,10,32,32,46,48,52,50,50,48,53,54,32,
      46,48,52,52,51,48,49,32,46,48,52,54,55,52,57,53,32,46,48,52,57,49,50,53,50,
      32,46,48,53,50,49,55,57,49,32,46,48,53,53,49,48,52,53,32,46,48,53,55,57,48,
      48,51,32,46,48,54,48,56,57,50,51,32,46,48,54,52,48,50,52,54,10,32,32,46,48,
      54,55,50,52,48,52,32,46,48,55,48,52,55,56,50,32,46,48,55,51,54,54,55,32,46,
      48,55,54,57,52,53,56,32,46,48,55,57,56,48,55,52,32,46,48,56,50,53,54,56,49,
      32,46,48,56,53,52,48,57,49,32,46,48,56,55,53,55,55,51,32,46,48,56,56,55,48,
      56,52,10,32,32,46,48,56,57,53,51,54,52,32,46,48,56,57,55,55,56,54,32,46,48,
      56,57,50,51,49,57,32,46,48,56,55,56,55,54,32,46,48,56,53,54,54,52,50,32,46,
      48,56,50,57,55,49,56,32,46,48,55,57,54,57,54,49,32,46,48,55,53,51,51,52,50,
      32,46,48,54,57,49,53,52,57,10,32,32,46,48,54,51,49,48,56,49,32,46,48,53,55,
      49,53,53,32,46,48,53,50,53,48,48,56,32,46,48,52,55,56,51,48,55,32,46,48,52,
      49,57,49,54,49,32,46,48,51,54,54,52,51,49,32,46,48,51,50,48,48,49,57,32,46,
      48,50,56,52,48,52,54,32,46,48,50,51,57,51,49,32,46,48,50,48,49,50,48,50,10,
      32,32,46,48,49,54,56,52,54,56,32,46,48,49,52,50,55,55,53,32,46,48,49,50,48,
      53,52,32,46,48,49,48,49,56,50,52,32,46,48,48,56,52,50,49,54,56,32,46,48,48,
      55,48,53,54,50,51,32,46,48,48,54,49,57,49,54,49,32,46,48,48,52,56,51,48,49,
      53,32,46,48,48,51,56,49,49,55,51,10,32,32,46,48,48,51,48,52,54,54,55,32,46,
      48,48,50,51,56,49,54,57,32,46,48,48,49,57,48,51,51,55,32,46,48,48,49,52,57,
      48,51,32,46,48,48,49,49,55,54,56,50,32,46,48,48,48,57,51,56,53,48,56,32,46,
      48,48,48,55,53,54,57,54,57,32,46,48,48,48,53,57,54,57,51,51,10,32,32,46,48,
      48,48,53,48,50,50,48,49,32,46,48,48,48,52,50,51,48,50,50,32,46,48,48,48,51,
      49,57,53,52,56,32,46,48,48,48,50,54,57,51,51,52,32,46,48,48,48,50,48,54,48,
      49,54,32,46,48,48,48,49,53,53,51,52,53,32,46,48,48,48,49,51,49,50,50,50,32,
      46,48,48,48,49,49,48,56,50,56,10,32,32,56,46,52,56,56,57,51,101,45,48,53,32,
      54,46,51,50,57,52,101,45,48,53,32,53,46,51,55,56,57,53,101,45,48,53,32,52,46,
      49,51,56,49,101,45,48,53,32,51,46,53,50,55,52,57,101,45,48,53,32,50,46,55,50,
      50,57,54,101,45,48,53,32,50,46,50,48,55,51,53,101,45,48,53,10,32,32,49,46,54,
      50,50,52,56,101,45,48,53,32,49,46,52,50,56,55,57,101,45,48,53,32,49,46,49,49,
      57,49,51,101,45,48,53,32,56,46,53,52,55,49,51,101,45,48,54,32,54,46,56,51,101,
      45,48,54,32,53,46,52,53,57,52,55,101,45,48,54,32,52,46,52,50,56,51,57,101,45,
      48,54,10,32,32,51,46,54,48,52,51,54,101,45,48,54,32,50,46,56,54,57,53,57,101,
      45,48,54,32,50,46,51,52,52,49,51,101,45,48,54,32,49,46,56,55,54,48,57,101,45,
      48,54,32,49,46,53,57,50,55,55,101,45,48,54,32,49,46,50,49,57,56,50,101,45,48,
      54,32,49,46,48,51,53,57,50,101,45,48,54,10,32,32,56,46,52,53,54,54,57,101,45,
      48,55,32,53,46,50,55,53,57,57,101,45,48,55,32,50,46,55,54,48,52,55,101,45,48,
      55,32,49,46,52,54,57,50,56,101,45,48,55,32,54,46,54,57,48,57,53,101,45,48,56,
      32,51,46,48,53,50,48,49,101,45,48,56,32,49,46,49,57,49,55,54,101,45,48,56,10,
      32,32,53,46,52,52,50,52,55,101,45,48,57,32,50,46,57,52,55,51,49,101,45,48,56,
      32,49,46,49,51,55,48,53,101,45,48,56,32,53,46,56,50,52,50,52,101,45,48,57,32,
      50,46,55,54,49,52,50,101,45,48,57,32,49,46,48,50,50,55,52,101,45,48,57,32,52,
      46,50,57,53,48,57,101,45,49,48,10,32,32,49,46,56,48,54,48,55,101,45,49,48,32,
      54,46,55,50,48,48,50,101,45,49,49,32,50,46,53,48,51,56,53,101,45,49,49,32,49,
      46,48,53,54,53,54,101,45,49,49,32,52,46,52,54,50,51,56,101,45,49,50,32,49,46,
      56,54,48,53,56,101,45,49,50,32,54,46,57,53,54,48,51,101,45,49,51,10,32,32,50,
      46,51,48,50,50,49,101,45,49,51,32,54,46,55,52,51,50,101,45,49,52,32,50,46,50,
      51,53,53,101,45,49,52,32,54,46,53,54,50,52,101,45,49,53,32,50,46,49,55,57,54,
      53,101,45,49,53,32,55,46,50,52,53,51,101,45,49,54,32,50,46,49,51,50,56,51,101,
      45,49,54,10,32,32,53,46,55,53,52,51,53,101,45,49,55,32,50,46,48,57,50,55,54,
      101,45,49,55,32,54,46,52,57,57,52,56,101,45,49,56,32,50,46,51,50,54,56,50,101,
      45,49,56,32,55,46,55,54,53,48,55,101,45,49,57,32,50,46,53,57,50,55,101,45,49,
      57,32,56,46,51,50,54,57,101,45,50,48,10,32,32,50,46,55,55,57,50,51,101,45,50,
      48,32,57,46,50,56,48,49,51,101,45,50,49,32,48,114,53,50,32,53,46,51,54,53,52,
      101,45,48,55,32,55,46,49,53,51,51,51,101,45,48,55,32,57,46,53,51,56,49,52,101,
      45,48,55,32,49,46,50,55,49,55,51,101,45,48,54,32,49,46,54,57,53,54,53,101,45,
      48,54,10,32,32,50,46,50,54,48,56,56,101,45,48,54,32,51,46,48,49,52,53,52,101,
      45,48,54,32,52,46,48,49,57,51,55,101,45,48,54,32,53,46,51,53,56,57,57,101,45,
      48,54,32,55,46,49,52,53,51,50,101,45,48,54,32,57,46,53,50,55,52,52,101,45,48,
      54,32,49,46,50,55,48,50,57,101,45,48,53,10,32,32,49,46,54,57,51,55,54,101,45,
      48,53,32,50,46,50,53,56,51,51,101,45,48,53,32,51,46,48,49,49,48,52,101,45,48,
      53,32,52,46,48,49,52,54,51,101,45,48,53,32,53,46,51,53,50,54,55,101,45,48,53,
      32,56,46,48,50,56,52,50,101,45,48,53,32,46,48,48,48,49,51,51,55,56,53,10,32,
      32,46,48,48,48,49,56,55,50,54,56,32,46,48,48,48,50,54,55,52,53,56,32,46,48,
      48,48,51,55,52,51,50,57,32,46,48,48,48,53,51,52,53,53,56,32,46,48,48,48,56,
      50,55,50,52,55,32,46,48,48,49,51,55,54,51,55,32,46,48,48,49,57,50,51,51,54,
      32,46,48,48,50,55,51,57,57,50,10,32,32,46,48,48,51,56,50,49,50,57,32,46,48,
      48,53,52,50,55,52,54,32,46,48,48,54,55,53,49,51,52,32,46,48,48,56,48,54,49,
      57,53,32,46,48,49,48,54,52,51,52,32,46,48,49,51,49,55,50,50,32,46,48,49,53,
      54,52,56,55,32,46,48,49,54,56,54,55,53,32,46,48,49,56,48,55,51,52,10,32,32,
      46,48,49,57,50,54,54,52,32,46,48,50,48,52,52,54,56,32,46,48,50,49,54,49,52,
      52,32,46,48,50,50,55,54,57,51,32,46,48,50,51,57,49,49,55,32,46,48,50,53,48,
      52,49,55,32,46,48,50,54,49,53,57,49,32,46,48,50,55,50,54,52,50,32,46,48,50,
      56,53,55,51,57,10,32,32,46,48,50,57,56,54,53,57,32,46,48,51,49,53,54,49,53,
      32,46,48,51,51,50,50,53,56,32,46,48,51,52,56,53,57,51,32,46,48,51,54,56,53,
      55,57,32,46,48,51,56,56,48,56,55,32,46,48,52,48,55,49,50,51,32,46,48,52,50,
      57,51,53,49,32,46,48,52,53,48,57,48,51,10,32,32,46,48,52,55,56,53,57,56,32,
      46,48,53,48,53,49,49,57,32,46,48,53,51,48,52,54,57,32,46,48,53,53,55,54,48,
      57,32,46,48,53,56,54,48,54,53,32,46,48,54,49,53,51,49,57,32,46,48,54,52,52,
      56,53,51,32,46,48,54,55,52,48,55,52,32,46,48,55,48,52,50,57,53,10,32,32,46,
      48,55,51,48,56,55,57,32,46,48,55,53,54,56,48,55,32,46,48,55,56,51,57,57,53,
      32,46,48,56,48,53,52,51,55,32,46,48,56,49,55,49,55,50,32,46,48,56,50,54,54,
      52,57,32,46,48,56,51,49,51,48,57,32,46,48,56,50,56,57,55,52,32,46,48,56,49,
      57,51,52,53,10,32,32,46,48,56,48,49,57,51,53,32,46,48,55,55,57,55,49,57,32,
      46,48,55,53,49,57,49,54,32,46,48,55,49,52,48,53,51,32,46,48,54,53,57,51,48,
      51,32,46,48,54,48,52,55,53,49,32,46,48,53,53,48,50,56,50,32,46,48,53,48,55,
      50,51,57,32,46,48,52,54,51,54,55,53,10,32,32,46,48,52,48,56,48,48,53,32,46,
      48,51,53,55,57,51,52,32,46,48,51,49,51,53,51,54,32,46,48,50,55,56,57,50,50,
      32,46,48,50,51,53,54,51,57,32,46,48,49,57,56,53,54,54,32,46,48,49,54,54,53,
      55,56,32,46,48,49,52,49,51,56,32,46,48,49,49,57,53,49,49,10,32,32,46,48,49,
      48,49,48,53,56,32,46,48,48,56,51,54,54,51,52,32,46,48,48,55,48,49,53,32,46,
      48,48,54,49,53,56,50,54,32,46,48,48,52,56,48,55,54,50,32,46,48,48,51,55,57,
      54,48,49,32,46,48,48,51,48,51,53,51,56,32,46,48,48,50,51,55,51,55,54,32,46,
      48,48,49,56,57,55,53,54,10,32,32,46,48,48,49,52,56,54,49,52,32,46,48,48,49,
      49,55,51,55,56,32,46,48,48,48,57,51,54,50,51,57,32,46,48,48,48,55,53,53,50,
      52,52,32,46,48,48,48,53,57,53,54,53,52,32,46,48,48,48,53,48,49,49,55,51,32,
      46,48,48,48,52,50,50,49,57,32,46,48,48,48,51,49,56,57,53,55,10,32,32,46,48,
      48,48,50,54,56,56,53,52,32,46,48,48,48,50,48,53,54,54,56,32,46,48,48,48,49,
      53,53,48,57,55,32,46,48,48,48,49,51,49,48,49,56,32,46,48,48,48,49,49,48,54,
      54,50,32,56,46,52,55,54,55,52,101,45,48,53,32,54,46,51,50,48,55,50,101,45,48,
      53,32,53,46,51,55,49,55,55,101,45,48,53,10,32,32,52,46,49,51,50,55,56,101,45,
      48,53,32,51,46,53,50,51,48,54,101,45,48,53,32,50,46,55,49,57,54,54,101,45,48,
      53,32,50,46,50,48,52,55,53,101,45,48,53,32,49,46,54,50,48,54,52,101,45,48,53,
      32,49,46,52,50,55,50,101,45,48,53,32,49,46,49,49,55,57,50,101,45,48,53,10,32,
      32,56,46,53,51,56,50,53,101,45,48,54,32,54,46,56,50,51,49,101,45,48,54,32,53,
      46,52,53,52,49,50,101,45,48,54,32,52,46,52,50,52,49,53,101,45,48,54,32,51,46,
      54,48,48,57,56,101,45,48,54,32,50,46,56,54,54,57,54,101,45,48,54,32,50,46,51,
      52,50,48,51,101,45,48,54,10,32,32,49,46,56,55,52,52,53,101,45,48,54,32,49,46,
      53,57,49,52,101,45,48,54,32,49,46,50,49,56,55,57,101,45,48,54,32,49,46,48,51,
      53,48,55,101,45,48,54,32,56,46,52,52,57,56,52,101,45,48,55,32,53,46,50,55,49,
      57,101,45,48,55,32,50,46,55,53,56,52,53,101,45,48,55,10,32,32,49,46,52,54,56,
      50,54,101,45,48,55,32,54,46,54,56,54,53,57,101,45,48,56,32,51,46,48,53,48,49,
      53,101,45,48,56,32,49,46,49,57,49,48,55,101,45,48,56,32,53,46,52,51,57,57,52,
      101,45,48,57,32,50,46,57,51,55,48,49,101,45,48,56,32,49,46,49,51,51,48,54,101,
      45,48,56,10,32,32,53,46,56,48,51,55,55,101,45,48,57,32,50,46,55,53,49,54,57,
      101,45,48,57,32,49,46,48,49,57,49,50,101,45,48,57,32,52,46,50,55,57,56,54,101,
      45,49,48,32,49,46,55,57,57,54,53,101,45,49,48,32,54,46,54,57,54,48,53,101,45,
      49,49,32,50,46,52,57,52,56,57,101,45,49,49,10,32,32,49,46,48,53,50,55,55,101,
      45,49,49,32,52,46,52,52,54,51,51,101,45,49,50,32,49,46,56,53,52,48,54,101,45,
      49,50,32,54,46,57,51,49,54,49,101,45,49,51,32,50,46,50,57,52,49,50,101,45,49,
      51,32,54,46,55,50,51,52,55,101,45,49,52,32,50,46,50,51,48,49,50,101,45,49,52,
      10,32,32,54,46,53,52,56,54,56,101,45,49,53,32,50,46,49,55,53,48,57,101,45,49,
      53,32,55,46,50,51,48,49,52,101,45,49,54,32,50,46,49,50,56,51,55,101,45,49,54,
      32,53,46,55,52,50,50,57,101,45,49,55,32,50,46,48,56,56,51,55,101,45,49,55,32,
      54,46,52,56,53,56,52,101,45,49,56,10,32,32,50,46,51,50,49,57,52,101,45,49,56,
      32,55,46,55,52,56,55,57,101,45,49,57,32,50,46,53,56,55,50,54,101,45,49,57,32,
      56,46,51,48,53,51,51,101,45,50,48,32,50,46,55,55,49,57,57,101,45,50,48,32,57,
      46,50,53,53,56,49,101,45,50,49,32,48,114,53,50,32,53,46,49,48,56,48,52,101,
      45,48,55,10,32,32,54,46,56,49,48,50,101,45,48,55,32,57,46,48,56,48,54,49,101,
      45,48,55,32,49,46,50,49,48,55,51,101,45,48,54,32,49,46,54,49,52,51,49,101,45,
      48,54,32,50,46,49,53,50,52,51,101,45,48,54,32,50,46,56,54,57,57,52,101,45,48,
      54,32,51,46,56,50,54,53,54,101,45,48,54,10,32,32,53,46,49,48,49,57,101,45,48,
      54,32,54,46,56,48,50,53,50,101,45,48,54,32,57,46,48,55,48,51,52,101,45,48,54,
      32,49,46,50,48,57,51,52,101,45,48,53,32,49,46,54,49,50,52,57,101,45,48,53,32,
      50,46,49,52,57,57,53,101,45,48,53,32,50,46,56,54,54,53,49,101,45,48,53,10,32,
      32,51,46,56,50,49,56,57,101,45,48,53,32,53,46,48,57,53,54,50,101,45,48,53,32,
      55,46,54,52,50,54,54,101,45,48,53,32,46,48,48,48,49,50,55,51,53,32,46,48,48,
      48,49,55,56,50,53,32,46,48,48,48,50,53,52,53,53,55,32,46,48,48,48,51,53,54,
      50,50,55,32,46,48,48,48,53,48,56,54,10,32,32,46,48,48,48,55,54,50,50,54,49,
      32,46,48,48,49,51,48,48,48,51,32,46,48,48,49,56,49,53,57,53,32,46,48,48,50,
      53,56,53,52,50,32,46,48,48,51,54,48,51,50,51,32,46,48,48,53,49,49,50,54,50,
      32,46,48,48,54,51,53,52,55,52,32,46,48,48,55,53,56,50,55,51,10,32,32,46,48,
      48,57,57,57,54,56,57,32,46,48,49,50,51,53,54,50,32,46,48,49,52,54,54,49,56,
      32,46,48,49,53,55,57,52,56,32,46,48,49,54,57,49,52,55,32,46,48,49,56,48,50,
      49,54,32,46,48,49,57,49,49,53,56,32,46,48,50,48,49,57,55,50,32,46,48,50,49,
      50,54,53,57,10,32,32,46,48,50,50,51,50,50,51,32,46,48,50,51,51,54,54,51,32,
      46,48,50,52,51,57,55,57,32,46,48,50,53,52,49,55,51,32,46,48,50,54,54,50,52,
      54,32,46,48,50,55,56,49,52,54,32,46,48,50,57,51,55,52,57,32,46,48,51,48,57,
      48,52,57,32,46,48,51,50,52,48,53,50,10,32,32,46,48,51,52,50,51,57,50,32,46,
      48,51,54,48,50,55,53,32,46,48,51,55,55,55,49,51,32,46,48,51,57,56,48,53,51,
      32,46,48,52,49,55,55,54,52,32,46,48,52,52,51,48,55,53,32,46,48,52,54,55,51,
      48,49,32,46,48,52,57,48,52,53,51,32,46,48,53,49,53,50,52,10,32,32,46,48,53,
      52,49,50,52,50,32,46,48,53,54,56,48,49,49,32,46,48,53,57,53,48,56,56,32,46,
      48,54,50,49,57,52,50,32,46,48,54,52,57,56,51,55,32,46,48,54,55,52,53,50,51,
      32,46,48,54,57,56,55,57,51,32,46,48,55,50,52,54,48,51,32,46,48,55,52,53,52,
      53,52,10,32,32,46,48,55,53,55,50,53,49,32,46,48,55,54,55,51,54,32,46,48,55,
      55,51,53,49,54,32,46,48,55,55,51,52,53,52,32,46,48,55,54,54,56,49,51,32,46,
      48,55,53,51,49,49,32,46,48,55,51,52,55,49,56,32,46,48,55,49,49,48,49,54,32,
      46,48,54,55,56,48,50,51,32,46,48,54,50,57,51,54,51,10,32,32,46,48,53,56,48,
      48,51,50,32,46,48,53,51,48,49,49,52,32,46,48,52,57,48,50,53,56,32,46,48,52,
      52,57,53,56,56,32,46,48,51,57,55,49,54,51,32,46,48,51,52,57,54,48,55,32,46,
      48,51,48,55,49,51,53,32,46,48,50,55,51,56,51,51,32,46,48,50,51,49,57,54,52,
      10,32,32,46,48,49,57,53,57,49,32,46,48,49,54,52,54,54,50,32,46,48,49,51,57,
      57,53,56,32,46,48,49,49,56,52,53,55,32,46,48,49,48,48,50,55,49,32,46,48,48,
      56,51,48,57,50,50,32,46,48,48,54,57,55,50,50,56,32,46,48,48,54,49,50,51,54,
      53,32,46,48,48,52,55,56,52,49,53,10,32,32,46,48,48,51,55,55,57,54,32,46,48,
      48,51,48,50,51,53,55,32,46,48,48,50,51,54,53,52,51,32,46,48,48,49,56,57,49,
      52,54,32,46,48,48,49,52,56,49,55,54,32,46,48,48,49,49,55,48,53,55,32,46,48,
      48,48,57,51,51,56,53,32,46,48,48,48,55,53,51,52,51,32,46,48,48,48,53,57,52,
      51,48,57,10,32,32,46,48,48,48,53,48,48,48,56,56,32,46,48,48,48,52,50,49,51,
      49,50,32,46,48,48,48,51,49,56,51,51,52,32,46,48,48,48,50,54,56,51,52,55,32,
      46,48,48,48,50,48,53,51,48,49,32,46,48,48,48,49,53,52,56,51,52,32,46,48,48,
      48,49,51,48,56,48,51,32,46,48,48,48,49,49,48,52,56,54,10,32,32,56,46,52,54,
      51,56,53,101,45,48,53,32,54,46,51,49,49,53,54,101,45,48,53,32,53,46,51,54,52,
      49,56,101,45,48,53,32,52,46,49,50,55,49,56,101,45,48,53,32,51,46,53,49,56,52,
      101,45,48,53,32,50,46,55,49,54,49,57,101,45,48,53,32,50,46,50,48,50,48,49,101,
      45,48,53,10,32,32,49,46,54,49,56,55,49,101,45,48,53,32,49,46,52,50,53,53,51,
      101,45,48,53,32,49,46,49,49,54,54,53,101,45,48,53,32,56,46,53,50,56,56,53,101,
      45,48,54,32,54,46,56,49,53,55,56,101,45,48,54,32,53,46,52,52,56,52,101,45,48,
      54,32,52,46,52,49,57,54,50,101,45,48,54,10,32,32,51,46,53,57,55,51,57,101,45,
      48,54,32,50,46,56,54,52,49,55,101,45,48,54,32,50,46,51,51,57,56,50,101,45,48,
      54,32,49,46,56,55,50,55,49,101,45,48,54,32,49,46,53,56,57,57,53,101,45,48,54,
      32,49,46,50,49,55,55,49,101,45,48,54,32,49,46,48,51,52,49,54,101,45,48,54,10,
      32,32,56,46,52,52,50,54,101,45,48,55,32,53,46,50,54,55,53,57,101,45,48,55,32,
      50,46,55,53,54,51,50,101,45,48,55,32,49,46,52,54,55,49,56,101,45,48,55,32,54,
      46,54,56,49,57,56,101,45,48,56,32,51,46,48,52,56,49,54,101,45,48,56,32,49,46,
      49,57,48,51,54,101,45,48,56,10,32,32,53,46,52,51,55,51,51,101,45,48,57,32,50,
      46,57,50,52,49,52,101,45,48,56,32,49,46,49,50,57,49,55,101,45,48,56,32,53,46,
      55,56,51,56,50,101,45,48,57,32,50,46,55,52,50,50,49,101,45,48,57,32,49,46,48,
      49,53,53,57,101,45,48,57,32,52,46,50,54,53,48,49,101,45,49,48,10,32,32,49,46,
      55,57,51,51,57,101,45,49,48,32,54,46,54,55,50,54,56,101,45,49,49,32,50,46,52,
      56,54,49,53,101,45,49,49,32,49,46,48,52,57,48,55,101,45,49,49,32,52,46,52,51,
      48,54,56,101,45,49,50,32,49,46,56,52,55,55,49,101,45,49,50,32,54,46,57,48,55,
      56,51,101,45,49,51,10,32,32,50,46,50,56,54,50,52,101,45,49,51,32,54,46,55,48,
      48,51,50,101,45,49,52,32,50,46,50,50,50,52,52,101,45,49,52,32,54,46,53,50,55,
      55,53,101,45,49,53,32,50,46,49,54,57,50,52,101,45,49,53,32,55,46,50,49,52,50,
      57,101,45,49,54,32,50,46,49,50,52,49,101,45,49,54,10,32,32,53,46,55,51,48,55,
      55,101,45,49,55,32,50,46,48,56,52,49,55,101,45,49,55,32,54,46,52,55,50,56,50,
      101,45,49,56,32,50,46,51,49,55,50,56,101,45,49,56,32,55,46,55,51,51,50,52,101,
      45,49,57,32,50,46,53,56,50,48,55,101,45,49,57,32,56,46,50,56,52,53,51,101,45,
      50,48,10,32,32,50,46,55,54,53,48,49,101,45,50,48,32,57,46,50,51,50,51,55,101,
      45,50,49,32,48,114,53,50,32,52,46,56,55,55,53,55,101,45,48,55,32,54,46,53,48,
      50,57,52,101,45,48,55,32,56,46,54,55,48,57,49,101,45,48,55,32,49,46,49,53,54,
      49,101,45,48,54,32,49,46,53,52,49,52,55,101,45,48,54,10,32,32,50,46,48,53,53,
      51,49,101,45,48,54,32,50,46,55,52,48,52,52,101,45,48,54,32,51,46,54,53,51,57,
      101,45,48,54,32,52,46,56,55,49,55,101,45,48,54,32,54,46,52,57,53,53,56,101,
      45,48,54,32,56,46,54,54,49,48,53,101,45,48,54,32,49,46,49,53,52,55,54,101,45,
      48,53,10,32,32,49,46,53,51,57,55,50,101,45,48,53,32,50,46,48,53,50,57,50,101,
      45,48,53,32,50,46,55,51,55,49,50,101,45,48,53,32,51,46,54,52,57,51,53,101,45,
      48,53,32,52,46,56,54,53,53,50,101,45,48,53,32,55,46,50,57,55,52,49,101,45,48,
      53,32,46,48,48,48,49,50,49,53,57,50,10,32,32,46,48,48,48,49,55,48,49,56,52,
      32,46,48,48,48,50,52,51,48,50,53,32,46,48,48,48,51,52,48,48,53,56,32,46,48,
      48,48,52,56,53,52,52,49,32,46,48,48,48,55,50,55,51,53,55,32,46,48,48,49,50,
      51,51,54,57,32,46,48,48,49,55,50,50,55,55,32,46,48,48,50,52,53,49,54,53,10,
      32,32,46,48,48,51,52,49,52,56,51,32,46,48,48,52,56,52,49,51,51,32,46,48,48,
      54,48,49,51,54,51,32,46,48,48,55,49,55,49,50,51,32,46,48,48,57,52,52,51,50,
      32,46,48,49,49,54,53,56,57,32,46,48,49,51,56,50,32,46,48,49,52,56,56,48,52,
      32,46,48,49,53,57,50,55,55,10,32,32,46,48,49,54,57,54,50,32,46,48,49,55,57,
      56,51,53,32,46,48,49,56,57,57,50,51,32,46,48,49,57,57,56,56,54,32,46,48,50,
      48,57,55,50,53,32,46,48,50,49,57,52,52,49,32,46,48,50,50,57,48,51,54,32,46,
      48,50,51,56,53,49,49,32,46,48,50,52,57,55,50,53,10,32,32,46,48,50,54,48,55,
      54,57,32,46,48,50,55,53,50,51,54,32,46,48,50,56,57,52,49,49,32,46,48,51,48,
      51,50,57,57,32,46,48,51,50,48,50,53,57,32,46,48,51,51,54,55,56,52,32,46,48,
      51,53,50,56,56,49,32,46,48,51,55,49,54,52,52,32,46,48,51,56,57,56,49,10,32,
      32,46,48,52,49,51,49,50,52,32,46,48,52,51,53,52,50,51,32,46,48,52,53,54,55,
      50,53,32,46,48,52,55,57,53,51,50,32,46,48,53,48,51,52,53,57,32,46,48,53,50,
      56,49,48,56,32,46,48,53,53,51,48,53,57,32,46,48,53,55,55,56,53,57,32,46,48,
      54,48,51,55,48,57,10,32,32,46,48,54,50,54,54,56,53,32,46,48,54,52,57,52,48,
      57,32,46,48,54,55,51,56,51,53,32,46,48,54,57,51,57,51,50,32,46,48,55,48,53,
      53,56,51,32,46,48,55,49,53,57,55,55,32,46,48,55,50,51,49,48,50,32,46,48,55,
      50,52,54,55,55,32,46,48,55,50,48,51,49,57,10,32,32,46,48,55,48,57,53,52,55,
      32,46,48,54,57,52,50,52,56,32,46,48,54,55,51,57,52,57,32,46,48,54,52,53,48,
      54,55,32,46,48,54,48,49,54,53,51,32,46,48,53,53,54,57,49,53,32,46,48,53,49,
      49,48,54,56,32,46,48,52,55,52,49,48,51,32,46,48,52,51,54,48,56,54,10,32,32,
      46,48,51,56,54,54,55,54,32,46,48,51,52,49,52,56,53,32,46,48,51,48,48,56,52,
      53,32,46,48,50,54,56,56,48,50,32,46,48,50,50,56,51,48,51,32,46,48,49,57,51,
      50,52,54,32,46,48,49,54,50,55,50,55,32,46,48,49,51,56,53,49,53,32,46,48,49,
      49,55,51,56,50,10,32,32,46,48,48,57,57,52,54,52,54,32,46,48,48,56,50,53,48,
      52,55,32,46,48,48,54,57,50,56,50,49,32,46,48,48,54,48,56,55,56,53,32,46,48,
      48,52,55,53,57,55,56,32,46,48,48,51,55,54,50,53,51,32,46,48,48,51,48,49,49,
      50,53,32,46,48,48,50,51,53,54,55,52,10,32,32,46,48,48,49,56,56,53,48,56,32,
      46,48,48,49,52,55,55,49,55,32,46,48,48,49,49,54,55,50,49,32,46,48,48,48,57,
      51,49,51,52,51,32,46,48,48,48,55,53,49,53,50,54,32,46,48,48,48,53,57,50,56,
      57,55,32,46,48,48,48,52,57,56,57,52,57,32,46,48,48,48,52,50,48,51,57,49,10,
      32,32,46,48,48,48,51,49,55,54,56,32,46,48,48,48,50,54,55,56,49,53,32,46,48,
      48,48,50,48,52,57,49,53,32,46,48,48,48,49,53,52,53,53,56,32,46,48,48,48,49,
      51,48,53,55,55,32,46,48,48,48,49,49,48,51,32,56,46,52,53,48,50,57,101,45,48,
      53,32,54,46,51,48,49,57,51,101,45,48,53,10,32,32,53,46,51,53,54,50,101,45,48,
      53,32,52,46,49,50,49,50,56,101,45,48,53,32,51,46,53,49,51,52,56,101,45,48,53,
      32,50,46,55,49,50,53,52,101,45,48,53,32,50,46,49,57,57,49,51,101,45,48,53,32,
      49,46,54,49,54,54,56,101,45,48,53,32,49,46,52,50,51,55,55,101,45,48,53,10,32,
      32,49,46,49,49,53,51,50,101,45,48,53,32,56,46,53,49,57,101,45,48,54,32,54,46,
      56,48,56,49,101,45,48,54,32,53,46,52,52,50,52,50,101,45,48,54,32,52,46,52,49,
      52,56,56,101,45,48,54,32,51,46,53,57,51,54,50,101,45,48,54,32,50,46,56,54,49,
      50,53,101,45,48,54,10,32,32,50,46,51,51,55,52,56,101,45,48,54,32,49,46,56,55,
      48,56,56,101,45,48,54,32,49,46,53,56,56,52,49,101,45,48,54,32,49,46,50,49,54,
      53,55,101,45,48,54,32,49,46,48,51,51,50,49,101,45,48,54,32,56,46,52,51,53,101,
      45,48,55,32,53,46,50,54,51,48,53,101,45,48,55,10,32,32,50,46,55,53,52,48,55,
      101,45,48,55,32,49,46,52,54,54,48,53,101,45,48,55,32,54,46,54,55,55,49,51,101,
      45,48,56,32,51,46,48,52,54,48,56,101,45,48,56,32,49,46,49,56,57,54,101,45,48,
      56,32,53,46,52,51,52,53,52,101,45,48,57,32,50,46,57,48,55,52,51,101,45,48,56,
      10,32,32,49,46,49,50,51,51,52,101,45,48,56,32,53,46,55,53,57,57,56,101,45,48,
      57,32,50,46,55,51,50,57,55,101,45,48,57,32,49,46,48,49,50,49,54,101,45,48,57,
      32,52,46,50,53,48,53,53,101,45,49,48,32,49,46,55,56,55,50,57,101,45,49,48,32,
      54,46,54,52,57,57,50,101,45,49,49,10,32,32,50,46,52,55,55,54,53,101,45,49,49,
      32,49,46,48,52,53,52,55,101,45,49,49,32,52,46,52,49,53,52,53,101,45,49,50,32,
      49,46,56,52,49,53,50,101,45,49,50,32,54,46,56,56,52,54,56,101,45,49,51,32,50,
      46,50,55,56,53,55,101,45,49,51,32,54,46,54,55,55,56,101,45,49,52,10,32,32,50,
      46,50,49,52,57,53,101,45,49,52,32,54,46,53,48,53,55,53,101,45,49,53,32,50,46,
      49,54,49,57,49,101,45,49,53,32,55,46,49,56,57,57,49,101,45,49,54,32,50,46,49,
      49,55,54,56,101,45,49,54,32,53,46,55,49,54,55,52,101,45,49,55,32,50,46,48,55,
      57,57,56,101,45,49,55,10,32,32,54,46,52,54,48,51,57,101,45,49,56,32,50,46,51,
      49,50,56,51,101,45,49,56,32,55,46,55,49,56,52,49,101,45,49,57,32,50,46,53,55,
      55,49,50,101,45,49,57,32,56,46,50,54,52,53,49,101,45,50,48,32,50,46,55,53,56,
      50,56,101,45,50,48,32,57,46,50,48,57,55,56,101,45,50,49,10,32,32,48,114,53,
      50,32,52,46,54,51,55,52,54,101,45,48,55,32,54,46,49,56,50,56,50,101,45,48,55,
      32,56,46,50,52,52,48,55,101,45,48,55,32,49,46,48,57,57,49,57,101,45,48,54,32,
      49,46,52,54,53,53,57,101,45,48,54,32,49,46,57,53,52,49,51,101,45,48,54,32,50,
      46,54,48,53,53,52,101,45,48,54,10,32,32,51,46,52,55,52,48,52,101,45,48,54,32,
      52,46,54,51,49,56,56,101,45,48,54,32,54,46,49,55,53,56,50,101,45,48,54,32,56,
      46,50,51,52,55,101,45,48,54,32,49,46,48,57,55,57,50,101,45,48,53,32,49,46,52,
      54,51,57,50,101,45,48,53,32,49,46,57,53,49,56,54,101,45,48,53,10,32,32,50,46,
      54,48,50,51,56,101,45,48,53,32,51,46,52,54,57,55,49,101,45,48,53,32,52,46,54,
      50,54,48,50,101,45,48,53,32,54,46,57,51,56,49,56,101,45,48,53,32,46,48,48,48,
      49,49,53,54,48,54,32,46,48,48,48,49,54,49,56,48,54,32,46,48,48,48,50,51,49,
      48,53,55,10,32,32,46,48,48,48,51,50,51,51,48,55,32,46,48,48,48,52,54,49,53,
      48,55,32,46,48,48,48,54,57,49,52,50,32,46,48,48,49,49,54,55,57,54,32,46,48,
      48,49,54,51,48,56,54,32,46,48,48,50,51,50,48,53,52,32,46,48,48,51,50,51,49,
      54,32,46,48,48,52,53,56,48,49,56,10,32,32,46,48,48,53,54,56,55,55,54,32,46,
      48,48,54,55,56,48,56,49,32,46,48,48,56,57,50,52,50,32,46,48,49,49,48,49,50,
      32,46,48,49,51,48,52,53,56,32,46,48,49,52,48,52,50,57,32,46,48,49,53,48,50,
      55,32,46,48,49,53,57,57,56,52,32,46,48,49,54,57,53,55,50,10,32,32,46,48,49,
      55,57,48,51,53,32,46,48,49,56,56,51,55,53,32,46,48,49,57,55,53,57,51,32,46,
      48,50,48,54,54,57,50,32,46,48,50,49,53,54,55,51,32,46,48,50,50,52,53,51,54,
      32,46,48,50,51,53,48,50,32,46,48,50,52,53,51,52,32,46,48,50,53,56,56,52,56,
      32,46,48,50,55,50,48,55,51,10,32,32,46,48,50,56,53,48,50,49,32,46,48,51,48,
      48,56,50,51,32,46,48,51,49,54,50,48,55,32,46,48,51,51,49,49,56,49,32,46,48,
      51,52,56,54,50,32,46,48,51,54,53,52,57,53,32,46,48,51,56,55,49,51,56,32,46,
      48,52,48,55,56,50,52,32,46,48,52,50,55,53,55,57,10,32,32,46,48,52,52,56,55,
      50,49,32,46,48,52,55,48,57,48,51,32,46,48,52,57,51,55,54,51,32,46,48,53,49,
      54,57,50,49,32,46,48,53,51,57,57,55,56,32,46,48,53,54,52,48,52,55,32,46,48,
      53,56,53,53,51,49,32,46,48,54,48,54,56,55,51,32,46,48,54,51,48,48,48,54,10,
      32,32,46,48,54,52,57,51,49,32,46,48,54,54,48,55,49,52,32,46,48,54,55,49,49,
      57,50,32,46,48,54,55,56,57,51,54,32,46,48,54,56,49,55,48,52,32,46,48,54,55,
      57,48,57,53,32,46,48,54,55,48,54,52,57,32,46,48,54,53,55,56,54,57,32,46,48,
      54,52,48,51,56,52,10,32,32,46,48,54,49,52,57,55,54,32,46,48,53,55,54,48,55,
      54,32,46,48,53,51,53,51,54,52,32,46,48,52,57,51,49,52,53,32,46,48,52,53,56,
      55,57,32,46,48,52,50,51,49,57,55,32,46,48,51,55,54,53,55,50,32,46,48,51,51,
      51,53,57,52,32,46,48,50,57,52,54,56,56,10,32,32,46,48,50,54,51,56,52,55,32,
      46,48,50,50,52,54,55,32,46,48,49,57,48,53,56,51,32,46,48,49,54,48,55,56,49,
      32,46,48,49,51,55,48,53,54,32,46,48,49,49,54,50,57,32,46,48,48,57,56,54,52,
      49,56,32,46,48,48,56,49,57,48,50,52,32,46,48,48,54,56,56,50,56,54,10,32,32,
      46,48,48,54,48,53,48,57,52,32,46,48,48,52,55,51,52,53,55,32,46,48,48,51,55,
      52,52,56,32,46,48,48,50,57,57,56,52,51,32,46,48,48,50,51,52,55,54,55,32,46,
      48,48,49,56,55,56,52,50,32,46,48,48,49,52,55,50,51,56,32,46,48,48,49,49,54,
      51,54,57,32,46,48,48,48,57,50,56,55,50,49,10,32,32,46,48,48,48,55,52,57,53,
      50,57,32,46,48,48,48,53,57,49,52,49,53,32,46,48,48,48,52,57,55,55,53,54,32,
      46,48,48,48,52,49,57,52,50,53,32,46,48,48,48,51,49,54,57,57,52,32,46,48,48,
      48,50,54,55,50,53,55,32,46,48,48,48,50,48,52,53,49,49,32,46,48,48,48,49,53,
      52,50,54,57,10,32,32,46,48,48,48,49,51,48,51,52,49,32,46,48,48,48,49,49,48,
      49,48,54,32,56,46,52,51,54,48,55,101,45,48,53,32,54,46,50,57,49,56,49,101,45,
      48,53,32,53,46,51,52,55,56,49,101,45,48,53,32,52,46,49,49,53,48,56,101,45,48,
      53,32,51,46,53,48,56,51,50,101,45,48,53,10,32,32,50,46,55,48,56,55,101,45,48,
      53,32,50,46,49,57,54,49,49,101,45,48,53,32,49,46,54,49,52,53,53,101,45,48,53,
      32,49,46,52,50,49,57,51,101,45,48,53,32,49,46,49,49,51,57,50,101,45,48,53,32,
      56,46,53,48,56,54,53,101,45,48,54,32,54,46,56,48,48,48,53,101,45,48,54,10,32,
      32,53,46,52,51,54,49,54,101,45,48,54,32,52,46,52,48,57,57,50,101,45,48,54,32,
      51,46,53,56,57,54,55,101,45,48,54,32,50,46,56,53,56,49,56,101,45,48,54,32,50,
      46,51,51,53,48,50,101,45,48,54,32,49,46,56,54,56,57,54,101,45,48,54,32,49,46,
      53,56,54,56,49,101,45,48,54,10,32,32,49,46,50,49,53,51,55,101,45,48,54,32,49,
      46,48,51,50,50,49,101,45,48,54,32,56,46,52,50,55,48,50,101,45,48,55,32,53,46,
      50,53,56,50,56,101,45,48,55,32,50,46,55,53,49,55,101,45,48,55,32,49,46,52,54,
      52,56,54,101,45,48,55,32,54,46,54,55,50,48,55,101,45,48,56,10,32,32,51,46,48,
      52,51,57,101,45,48,56,32,49,46,49,56,56,56,101,45,48,56,32,53,46,52,51,49,54,
      101,45,48,57,32,50,46,56,57,48,57,55,101,45,48,56,32,49,46,49,49,54,57,55,101,
      45,48,56,32,53,46,55,50,55,50,54,101,45,48,57,32,50,46,55,49,56,52,57,101,45,
      48,57,10,32,32,49,46,48,48,56,51,49,101,45,48,57,32,52,46,50,51,54,52,56,101,
      45,49,48,32,49,46,55,56,49,51,54,101,45,49,48,32,54,46,54,50,55,55,55,101,45,
      49,49,32,50,46,52,54,57,51,55,101,45,49,49,32,49,46,48,52,49,57,55,101,45,49,
      49,32,52,46,52,48,48,54,49,101,45,49,50,10,32,32,49,46,56,51,53,53,49,101,45,
      49,50,32,54,46,56,54,50,49,55,101,45,49,51,32,50,46,50,55,49,49,101,45,49,51,
      32,54,46,54,53,53,56,57,101,45,49,52,32,50,46,50,48,55,54,56,101,45,49,52,32,
      54,46,52,56,52,51,52,101,45,49,53,32,50,46,49,53,52,55,57,101,45,49,53,10,32,
      32,55,46,49,54,54,50,49,101,45,49,54,32,50,46,49,49,48,54,57,101,45,49,54,32,
      53,46,54,57,55,56,53,101,45,49,55,32,50,46,48,55,51,49,101,45,49,55,32,54,46,
      52,52,49,54,52,101,45,49,56,32,50,46,51,48,55,49,51,101,45,49,56,32,55,46,55,
      48,50,57,51,101,45,49,57,10,32,32,50,46,53,55,50,52,50,101,45,49,57,32,56,46,
      50,52,53,50,53,101,45,50,48,32,50,46,55,53,49,56,50,101,45,50,48,32,57,46,49,
      56,56,48,53,101,45,50,49,32,48,114,53,50,32,52,46,52,48,50,53,50,101,45,48,
      55,32,53,46,56,54,57,53,57,101,45,48,55,32,55,46,56,50,54,52,49,101,45,48,55,
      10,32,32,49,46,48,52,51,53,49,101,45,48,54,32,49,46,51,57,49,51,52,101,45,48,
      54,32,49,46,56,53,53,49,52,101,45,48,54,32,50,46,52,55,51,53,52,101,45,48,54,
      32,51,46,50,57,56,48,52,101,45,48,54,32,52,46,51,57,55,50,51,101,45,48,54,32,
      53,46,56,54,50,57,53,101,45,48,54,10,32,32,55,46,56,49,55,53,50,101,45,48,54,
      32,49,46,48,52,50,51,101,45,48,53,32,49,46,51,56,57,55,54,101,45,48,53,32,49,
      46,56,53,50,57,56,101,45,48,53,32,50,46,52,55,48,53,52,101,45,48,53,32,51,46,
      50,57,51,57,51,101,45,48,53,32,52,46,51,57,49,54,54,101,45,48,53,10,32,32,54,
      46,53,56,54,54,55,101,45,48,53,32,46,48,48,48,49,48,57,55,52,57,32,46,48,48,
      48,49,53,51,54,48,55,32,46,48,48,48,50,49,57,51,52,56,32,46,48,48,48,51,48,
      54,57,49,57,32,46,48,48,48,52,51,56,49,32,46,48,48,48,54,53,54,51,48,50,32,
      46,48,48,49,49,48,53,48,54,10,32,32,46,48,48,49,53,52,50,57,56,32,46,48,48,
      50,49,57,53,51,51,32,46,48,48,51,48,53,54,56,54,32,46,48,48,52,51,51,49,55,
      49,32,46,48,48,53,51,55,56,51,54,32,46,48,48,54,52,49,48,57,50,32,46,48,48,
      56,52,51,52,54,52,32,46,48,49,48,52,48,52,53,32,46,48,49,50,51,50,50,10,32,
      32,46,48,49,51,50,54,49,53,32,46,48,49,52,49,56,56,54,32,46,48,49,53,49,48,
      51,50,32,46,48,49,54,48,48,53,55,32,46,48,49,54,56,57,54,49,32,46,48,49,55,
      55,55,52,55,32,46,48,49,56,54,52,49,53,32,46,48,49,57,52,57,54,56,32,46,48,
      50,48,51,52,48,54,10,32,32,46,48,50,49,49,55,51,50,32,46,48,50,50,49,53,55,
      55,32,46,48,50,51,49,50,54,51,32,46,48,50,52,51,57,51,55,32,46,48,50,53,54,
      51,51,57,32,46,48,50,54,56,52,55,54,32,46,48,50,56,51,50,56,49,32,46,48,50,
      57,55,54,56,54,32,46,48,51,49,49,55,48,50,10,32,32,46,48,51,50,56,48,49,56,
      32,46,48,51,52,51,55,57,55,32,46,48,51,54,52,48,50,54,32,46,48,51,56,51,51,
      53,51,32,46,48,52,48,49,56,48,54,32,46,48,52,50,49,53,53,50,32,46,48,52,52,
      50,50,55,50,32,46,48,52,54,51,54,51,52,32,46,48,52,56,53,50,56,49,10,32,32,
      46,48,53,48,54,56,54,32,46,48,53,50,57,52,51,54,32,46,48,53,52,57,54,51,55,
      32,46,48,53,54,57,55,56,55,32,46,48,53,57,49,55,55,49,32,46,48,54,49,48,51,
      50,54,32,46,48,54,50,49,52,53,51,32,46,48,54,51,49,57,48,51,32,46,48,54,52,
      48,48,53,54,10,32,32,46,48,54,52,51,55,48,53,32,46,48,54,52,50,52,53,55,32,
      46,48,54,51,53,56,55,49,32,46,48,54,50,53,49,52,55,32,46,48,54,49,48,48,48,
      54,32,46,48,53,56,55,53,51,32,46,48,53,53,50,53,49,32,46,48,53,49,53,51,50,
      52,32,46,48,52,55,54,51,50,56,32,46,48,52,52,52,51,50,50,10,32,32,46,48,52,
      49,48,57,51,50,32,46,48,51,54,54,56,55,49,32,46,48,51,50,53,57,53,54,32,46,
      48,50,56,56,54,56,50,32,46,48,50,53,56,57,56,53,32,46,48,50,50,49,48,55,54,
      32,46,48,49,56,55,57,51,32,46,48,49,53,56,56,51,32,46,48,49,51,53,53,56,53,
      32,46,48,49,49,53,49,56,51,10,32,32,46,48,48,57,55,56,48,52,52,32,46,48,48,
      56,49,50,56,54,55,32,46,48,48,54,56,51,54,51,52,32,46,48,48,54,48,49,50,57,
      56,32,46,48,48,52,55,48,56,53,52,32,46,48,48,51,55,50,54,52,54,32,46,48,48,
      50,57,56,53,49,51,32,46,48,48,50,51,51,56,50,53,10,32,32,46,48,48,49,56,55,
      49,52,56,32,46,48,48,49,52,54,55,51,56,32,46,48,48,49,49,54,48,48,51,32,46,
      48,48,48,57,50,53,57,56,51,32,46,48,48,48,55,52,55,52,52,54,32,46,48,48,48,
      53,56,57,56,54,57,32,46,48,48,48,52,57,54,53,48,56,32,46,48,48,48,52,49,56,
      52,49,52,10,32,32,46,48,48,48,51,49,54,50,55,53,32,46,48,48,48,50,54,54,54,
      55,51,32,46,48,48,48,50,48,52,48,56,56,32,46,48,48,48,49,53,51,57,54,55,32,
      46,48,48,48,49,51,48,48,57,51,32,46,48,48,48,49,48,57,57,48,51,32,56,46,52,
      50,49,50,101,45,48,53,32,54,46,50,56,49,50,51,101,45,48,53,10,32,32,53,46,51,
      51,57,48,52,101,45,48,53,32,52,46,49,48,56,53,57,101,45,48,53,32,51,46,53,48,
      50,57,50,101,45,48,53,32,50,46,55,48,52,54,56,101,45,48,53,32,50,46,49,57,50,
      57,52,101,45,48,53,32,49,46,54,49,50,51,50,101,45,48,53,32,49,46,52,49,57,57,
      57,101,45,48,53,10,32,32,49,46,49,49,50,52,53,101,45,48,53,32,56,46,52,57,55,
      56,101,45,48,54,32,54,46,55,57,49,54,50,101,45,48,54,32,53,46,52,50,57,53,57,
      101,45,48,54,32,52,46,52,48,52,55,49,101,45,48,54,32,51,46,53,56,53,53,51,101,
      45,48,54,32,50,46,56,53,52,57,55,101,45,48,54,10,32,32,50,46,51,51,50,52,53,
      101,45,48,54,32,49,46,56,54,54,57,53,101,45,48,54,32,49,46,53,56,53,49,52,101,
      45,48,54,32,49,46,50,49,52,49,50,101,45,48,54,32,49,46,48,51,49,49,55,101,45,
      48,54,32,56,46,52,49,56,54,51,101,45,48,55,32,53,46,50,53,51,50,55,101,45,48,
      55,10,32,32,50,46,55,52,57,50,51,101,45,48,55,32,49,46,52,54,51,54,50,101,45,
      48,55,32,54,46,54,54,54,55,101,45,48,56,32,51,46,48,52,49,54,49,101,45,48,56,
      32,49,46,49,56,55,57,54,101,45,48,56,32,53,46,52,50,56,52,56,101,45,48,57,32,
      50,46,56,55,52,55,55,101,45,48,56,10,32,32,49,46,49,49,48,55,101,45,48,56,32,
      53,46,54,57,53,48,53,101,45,48,57,32,50,46,55,48,51,49,56,101,45,48,57,32,49,
      46,48,48,50,54,50,101,45,48,57,32,52,46,50,49,53,56,51,101,45,49,48,32,49,46,
      55,55,52,57,49,101,45,49,48,32,54,46,54,48,54,50,51,101,45,49,49,10,32,32,50,
      46,52,54,49,51,50,101,45,49,49,32,49,46,48,51,56,53,54,101,45,49,49,32,52,46,
      51,56,54,49,56,101,45,49,50,32,49,46,56,50,57,54,55,101,45,49,50,32,54,46,56,
      52,48,50,56,101,45,49,51,32,50,46,50,54,51,56,53,101,45,49,51,32,54,46,54,51,
      52,53,57,101,45,49,52,10,32,32,50,46,50,48,48,54,101,45,49,52,32,54,46,52,54,
      51,53,51,101,45,49,53,32,50,46,49,52,55,56,55,101,45,49,53,32,55,46,49,52,51,
      49,54,101,45,49,54,32,50,46,49,48,51,57,101,45,49,54,32,53,46,54,55,57,52,57,
      101,45,49,55,32,50,46,48,54,54,57,57,101,45,49,55,10,32,32,54,46,52,50,48,56,
      51,101,45,49,56,32,50,46,50,57,57,54,55,101,45,49,56,32,55,46,54,55,56,48,51,
      101,45,49,57,32,50,46,53,54,52,56,49,101,45,49,57,32,56,46,50,50,48,49,53,101,
      45,50,48,32,50,46,55,52,52,54,55,101,45,50,48,32,57,46,49,54,55,49,56,101,45,
      50,49,10,32,32,48,114,53,50,32,52,46,49,55,53,49,54,101,45,48,55,32,53,46,53,
      54,54,52,55,101,45,48,55,32,55,46,52,50,50,50,51,101,45,48,55,32,57,46,56,57,
      54,49,54,101,45,48,55,32,49,46,51,49,57,52,57,101,45,48,54,32,49,46,55,53,57,
      51,51,101,45,48,54,32,50,46,51,52,53,56,101,45,48,54,10,32,32,51,46,49,50,55,
      55,49,101,45,48,54,32,52,46,49,55,48,49,51,101,45,48,54,32,53,46,53,54,48,49,
      54,101,45,48,54,32,55,46,52,49,51,55,56,101,45,48,54,32,57,46,56,56,52,54,56,
      101,45,48,54,32,49,46,51,49,55,57,56,101,45,48,53,32,49,46,55,53,55,50,56,101,
      45,48,53,10,32,32,50,46,51,52,50,57,52,101,45,48,53,32,51,46,49,50,51,55,57,
      101,45,48,53,32,52,46,49,54,52,56,49,101,45,48,53,32,54,46,50,52,54,52,50,101,
      45,48,53,32,46,48,48,48,49,48,52,48,55,56,32,46,48,48,48,49,52,53,54,54,57,
      32,46,48,48,48,50,48,56,48,49,10,32,32,46,48,48,48,50,57,49,48,52,56,32,46,
      48,48,48,52,49,53,52,51,50,32,46,48,48,48,54,50,50,50,57,52,32,46,48,48,49,
      48,51,52,52,56,32,46,48,48,49,52,53,57,49,52,32,46,48,48,50,48,55,53,56,51,
      32,46,48,48,50,56,57,48,48,56,32,46,48,48,52,48,57,52,54,49,10,32,32,46,48,
      48,53,48,56,51,50,51,32,46,48,48,54,48,53,56,51,32,46,48,48,55,57,54,56,54,
      57,32,46,48,48,57,56,50,55,52,50,32,46,48,49,49,54,51,54,49,32,46,48,49,50,
      53,50,50,32,46,48,49,51,51,57,54,49,32,46,48,49,52,50,53,56,51,32,46,48,49,
      53,49,48,56,56,10,32,32,46,48,49,53,57,52,55,57,32,46,48,49,54,55,55,53,55,
      32,46,48,49,55,53,57,50,51,32,46,48,49,56,51,57,55,57,32,46,48,49,57,49,57,
      50,55,32,46,48,49,57,57,55,54,55,32,46,48,50,48,57,48,51,54,32,46,48,50,49,
      56,49,53,54,32,46,48,50,51,48,48,56,53,10,32,32,46,48,50,52,49,55,53,55,32,
      46,48,50,53,51,49,55,55,32,46,48,50,54,55,49,48,53,32,46,48,50,56,48,54,53,
      55,32,46,48,50,57,51,56,51,57,32,46,48,51,48,57,49,56,49,32,46,48,51,50,52,
      48,50,32,46,48,51,52,51,48,52,32,46,48,51,54,49,50,49,49,32,46,48,51,55,56,
      53,54,52,10,32,32,46,48,51,57,55,49,51,52,32,46,48,52,49,54,54,50,55,32,46,
      48,52,51,54,55,51,49,32,46,48,52,53,55,49,50,51,32,46,48,52,55,55,52,55,52,
      32,46,48,52,57,56,56,48,52,32,46,48,53,49,55,57,51,50,32,46,48,53,51,55,48,
      55,57,32,46,48,53,53,56,48,56,53,10,32,32,46,48,53,55,53,57,55,56,32,46,48,
      53,56,54,56,51,57,32,46,48,53,57,55,50,50,53,32,46,48,54,48,53,54,53,51,32,
      46,48,54,48,57,57,55,54,32,46,48,54,48,57,56,48,53,32,46,48,54,48,52,55,50,
      54,32,46,48,53,57,53,54,57,52,32,46,48,53,56,50,53,48,53,10,32,32,46,48,53,
      54,50,53,49,53,32,46,48,53,51,48,56,51,32,46,48,52,57,54,55,50,52,32,46,48,
      52,54,48,53,56,53,32,46,48,52,51,48,54,56,56,32,46,48,51,57,57,50,57,54,32,
      46,48,51,53,55,53,56,53,32,46,48,51,49,56,53,56,51,32,46,48,50,56,50,56,52,
      51,10,32,32,46,48,50,53,52,50,50,57,32,46,48,50,49,55,53,51,51,32,46,48,49,
      56,53,50,57,53,32,46,48,49,53,54,56,55,57,32,46,48,49,51,52,49,48,54,32,46,
      48,49,49,52,48,54,52,32,46,48,48,57,54,57,53,52,53,32,46,48,48,56,48,54,53,
      57,32,46,48,48,54,55,56,56,55,53,10,32,32,46,48,48,53,57,55,52,48,54,32,46,
      48,48,52,54,56,49,55,53,32,46,48,48,51,55,48,55,53,49,32,46,48,48,50,57,55,
      49,51,55,32,46,48,48,50,51,50,56,52,57,32,46,48,48,49,56,54,52,50,56,32,46,
      48,48,49,52,54,50,49,56,32,46,48,48,49,49,53,54,50,49,10,32,32,46,48,48,48,
      57,50,51,49,51,50,32,46,48,48,48,55,52,53,50,55,55,32,46,48,48,48,53,56,56,
      50,53,55,32,46,48,48,48,52,57,53,50,48,55,32,46,48,48,48,52,49,55,51,54,32,
      46,48,48,48,51,49,53,53,50,55,32,46,48,48,48,50,54,54,48,54,53,32,46,48,48,
      48,50,48,51,54,52,53,10,32,32,46,48,48,48,49,53,51,54,53,32,46,48,48,48,49,
      50,57,56,51,52,32,46,48,48,48,49,48,57,54,57,49,32,56,46,52,48,53,54,53,101,
      45,48,53,32,54,46,50,55,48,49,55,101,45,48,53,32,53,46,51,50,57,56,56,101,45,
      48,53,32,52,46,49,48,49,56,51,101,45,48,53,10,32,32,51,46,52,57,55,50,56,101,
      45,48,53,32,50,46,55,48,48,52,56,101,45,48,53,32,50,46,49,56,57,54,52,101,45,
      48,53,32,49,46,54,48,57,57,56,101,45,48,53,32,49,46,52,49,55,57,55,101,45,48,
      53,32,49,46,49,49,48,57,50,101,45,48,53,32,56,46,52,56,54,52,52,101,45,48,54,
      10,32,32,54,46,55,56,50,55,57,101,45,48,54,32,53,46,52,50,50,55,50,101,45,48,
      54,32,52,46,51,57,57,50,56,101,45,48,54,32,51,46,53,56,49,50,49,101,45,48,54,
      32,50,46,56,53,49,54,49,101,45,48,54,32,50,46,51,50,57,55,55,101,45,48,54,32,
      49,46,56,54,52,56,53,101,45,48,54,10,32,32,49,46,53,56,51,51,56,101,45,48,54,
      32,49,46,50,49,50,56,49,101,45,48,54,32,49,46,48,51,48,48,55,101,45,48,54,32,
      56,46,52,48,57,56,55,101,45,48,55,32,53,46,50,52,56,48,53,101,45,48,55,32,50,
      46,55,52,54,54,53,101,45,48,55,32,49,46,52,54,50,51,50,101,45,48,55,10,32,32,
      54,46,54,54,49,49,53,101,45,48,56,32,51,46,48,51,57,50,49,101,45,48,56,32,49,
      46,49,56,55,48,56,101,45,48,56,32,53,46,52,50,53,49,57,101,45,48,57,32,50,46,
      56,53,56,56,50,101,45,48,56,32,49,46,49,48,52,53,50,101,45,48,56,32,53,46,54,
      54,51,51,53,101,45,48,57,10,32,32,50,46,54,56,56,49,49,101,45,48,57,32,57,46,
      57,55,48,49,56,101,45,49,48,32,52,46,49,57,50,50,53,101,45,49,48,32,49,46,55,
      54,52,57,54,101,45,49,48,32,54,46,53,55,53,57,53,101,45,49,49,32,50,46,52,53,
      51,52,50,101,45,49,49,32,49,46,48,51,53,50,53,101,45,49,49,10,32,32,52,46,51,
      55,50,49,54,101,45,49,50,32,49,46,56,50,51,57,57,101,45,49,50,32,54,46,56,49,
      57,48,50,101,45,49,51,32,50,46,50,53,54,56,101,45,49,51,32,54,46,54,49,51,57,
      49,101,45,49,52,32,50,46,49,57,51,55,51,101,45,49,52,32,54,46,52,52,51,51,50,
      101,45,49,53,10,32,32,50,46,49,52,49,49,53,101,45,49,53,32,55,46,49,50,48,55,
      56,101,45,49,54,32,50,46,48,57,55,51,101,45,49,54,32,53,46,54,54,49,54,53,101,
      45,49,55,32,50,46,48,54,48,53,101,45,49,55,32,54,46,52,48,48,54,50,101,45,49,
      56,32,50,46,50,57,50,52,51,101,45,49,56,10,32,32,55,46,54,53,51,56,52,101,45,
      49,57,32,50,46,53,53,54,55,51,101,45,49,57,32,56,46,49,56,57,53,51,101,45,50,
      48,32,50,46,55,51,52,52,101,45,50,48,32,57,46,49,51,51,56,101,45,50,49,32,48,
      114,53,50,32,51,46,57,52,51,54,101,45,48,55,32,53,46,50,53,55,55,52,101,45,
      48,55,10,32,32,55,46,48,49,48,53,57,101,45,48,55,32,57,46,51,52,55,51,49,101,
      45,48,55,32,49,46,50,52,54,51,49,101,45,48,54,32,49,46,54,54,49,55,54,101,45,
      48,54,32,50,46,50,49,53,55,101,45,48,54,32,50,46,57,53,52,50,53,101,45,48,54,
      32,51,46,57,51,56,56,53,101,45,48,54,10,32,32,53,46,50,53,49,55,57,101,45,48,
      54,32,55,46,48,48,50,54,101,45,48,54,32,57,46,51,51,54,52,54,101,45,48,54,32,
      49,46,50,52,52,56,57,101,45,48,53,32,49,46,54,53,57,56,49,101,45,48,53,32,50,
      46,50,49,51,101,45,48,53,32,50,46,57,53,48,53,52,101,45,48,53,10,32,32,51,46,
      57,51,51,56,50,101,45,48,53,32,53,46,56,57,57,57,54,101,45,48,53,32,57,46,56,
      51,48,53,54,101,45,48,53,32,46,48,48,48,49,51,55,53,56,57,32,46,48,48,48,49,
      57,54,52,55,49,32,46,48,48,48,50,55,52,57,48,50,32,46,48,48,48,51,57,50,51,
      56,49,10,32,32,46,48,48,48,53,56,55,55,52,56,32,46,48,48,48,57,55,54,57,54,
      50,32,46,48,48,49,51,55,53,51,55,32,46,48,48,49,57,53,54,54,52,32,46,48,48,
      50,55,50,52,48,57,32,46,48,48,51,56,53,57,51,54,32,46,48,48,52,55,57,49,49,
      50,32,46,48,48,53,55,49,48,49,51,10,32,32,46,48,48,55,53,49,48,55,49,32,46,
      48,48,57,50,54,50,55,49,32,46,48,49,48,57,54,55,55,32,46,48,49,49,56,48,50,
      57,32,46,48,49,50,54,50,54,57,32,46,48,49,51,52,51,57,57,32,46,48,49,52,50,
      52,49,57,32,46,48,49,53,48,51,51,50,32,46,48,49,53,56,49,51,57,10,32,32,46,
      48,49,54,53,56,52,49,32,46,48,49,55,51,52,52,32,46,48,49,56,48,57,51,55,32,
      46,48,49,56,56,51,51,51,32,46,48,49,57,55,48,55,57,32,46,48,50,48,53,54,56,
      52,32,46,48,50,49,54,57,52,50,32,46,48,50,50,55,57,53,57,32,46,48,50,51,56,
      55,52,32,46,48,50,53,49,56,57,50,10,32,32,46,48,50,54,52,54,57,32,46,48,50,
      55,55,49,52,50,32,46,48,50,57,49,54,51,57,32,46,48,51,48,53,54,54,50,32,46,
      48,51,50,51,54,52,54,32,46,48,51,52,48,56,51,52,32,46,48,51,53,55,50,53,52,
      32,46,48,51,55,52,56,51,55,32,46,48,51,57,51,51,48,54,10,32,32,46,48,52,49,
      50,51,55,32,46,48,52,51,49,55,50,50,32,46,48,52,53,49,48,54,51,32,46,48,52,
      55,49,51,54,57,32,46,48,52,56,57,54,49,57,32,46,48,53,48,55,57,52,54,32,46,
      48,53,50,56,49,52,55,32,46,48,53,52,53,52,56,57,32,46,48,53,53,54,49,50,50,
      10,32,32,46,48,53,54,54,52,51,54,32,46,48,53,55,53,48,55,53,32,46,48,53,55,
      57,57,51,50,32,46,48,53,56,48,54,50,57,32,46,48,53,55,54,55,56,52,32,46,48,
      53,54,57,49,53,54,32,46,48,53,53,55,54,48,53,32,46,48,53,51,57,55,50,49,32,
      46,48,53,49,48,57,48,53,10,32,32,46,48,52,55,57,52,56,57,32,46,48,52,52,53,
      56,55,56,32,46,48,52,49,55,56,54,55,32,46,48,51,56,56,50,56,32,46,48,51,52,
      56,55,49,55,32,46,48,51,49,49,52,56,54,32,46,48,50,55,55,49,55,57,32,46,48,
      50,52,57,53,56,56,32,46,48,50,49,52,48,52,56,10,32,32,46,48,49,56,50,54,56,
      53,32,46,48,49,53,52,57,51,52,32,46,48,49,51,50,54,50,51,32,46,48,49,49,50,
      57,51,55,32,46,48,48,57,54,48,57,51,57,32,46,48,48,56,48,48,50,48,54,32,46,
      48,48,54,55,52,48,49,56,32,46,48,48,53,57,51,52,50,51,32,46,48,48,52,54,53,
      52,50,52,10,32,32,46,48,48,51,54,56,55,57,57,32,46,48,48,50,57,53,55,49,54,
      32,46,48,48,50,51,49,56,51,56,32,46,48,48,49,56,53,54,56,50,32,46,48,48,49,
      52,53,54,55,57,32,46,48,48,49,49,53,50,50,53,32,46,48,48,48,57,50,48,49,55,
      32,46,48,48,48,55,52,51,48,49,57,10,32,32,46,48,48,48,53,56,54,53,56,49,32,
      46,48,48,48,52,57,51,56,53,52,32,46,48,48,48,52,49,54,50,54,52,32,46,48,48,
      48,51,49,52,55,52,56,32,46,48,48,48,50,54,53,52,51,32,46,48,48,48,50,48,51,
      49,56,53,32,46,48,48,48,49,53,51,51,50,49,32,46,48,48,48,49,50,57,53,54,52,
      10,32,32,46,48,48,48,49,48,57,52,54,57,32,56,46,51,56,57,52,51,101,45,48,53,
      32,54,46,50,53,56,54,53,101,45,48,53,32,53,46,51,50,48,51,52,101,45,48,53,32,
      52,46,48,57,52,55,55,101,45,48,53,32,51,46,52,57,49,52,49,101,45,48,53,32,50,
      46,54,57,54,49,49,101,45,48,53,10,32,32,50,46,49,56,54,49,57,101,45,48,53,32,
      49,46,54,48,55,53,53,101,45,48,53,32,49,46,52,49,53,56,55,101,45,48,53,32,49,
      46,49,48,57,51,50,101,45,48,53,32,56,46,52,55,52,54,51,101,45,48,54,32,54,46,
      55,55,51,54,101,45,48,54,32,53,46,52,49,53,53,54,101,45,48,54,10,32,32,52,46,
      51,57,51,54,101,45,48,54,32,51,46,53,55,54,54,57,101,45,48,54,32,50,46,56,52,
      56,49,101,45,48,54,32,50,46,51,50,54,57,54,101,45,48,54,32,49,46,56,54,50,54,
      54,101,45,48,54,32,49,46,53,56,49,53,53,101,45,48,54,32,49,46,50,49,49,52,53,
      101,45,48,54,10,32,32,49,46,48,50,56,57,51,101,45,48,54,32,56,46,52,48,48,55,
      53,101,45,48,55,32,53,46,50,52,50,54,49,101,45,48,55,32,50,46,55,52,51,57,54,
      101,45,48,55,32,49,46,52,54,48,57,54,101,45,48,55,32,54,46,54,53,53,51,51,101,
      45,48,56,32,51,46,48,51,54,55,49,101,45,48,56,10,32,32,49,46,49,56,54,49,55,
      101,45,48,56,32,53,46,52,50,49,55,54,101,45,48,57,32,50,46,56,52,51,49,51,101,
      45,48,56,32,49,46,48,57,56,52,53,101,45,48,56,32,53,46,54,51,50,49,55,101,45,
      48,57,32,50,46,54,55,51,50,56,101,45,48,57,32,57,46,57,49,53,48,56,101,45,49,
      48,10,32,32,52,46,49,54,57,48,52,101,45,49,48,32,49,46,55,53,53,49,56,101,45,
      49,48,32,54,46,53,51,57,52,50,101,45,49,49,32,50,46,52,51,57,55,55,101,45,49,
      49,32,49,46,48,51,48,54,56,101,45,49,49,32,52,46,51,53,55,57,52,101,45,49,50,
      32,49,46,56,49,56,52,56,101,45,49,50,10,32,32,54,46,55,57,56,51,57,101,45,49,
      51,32,50,46,50,52,57,57,54,101,45,49,51,32,54,46,53,57,51,56,51,101,45,49,52,
      32,50,46,49,56,55,48,55,101,45,49,52,32,54,46,52,50,51,55,49,101,45,49,53,32,
      50,46,49,51,52,54,50,101,45,49,53,32,55,46,48,57,57,48,54,101,45,49,54,10,32,
      32,50,46,48,57,48,57,101,45,49,54,32,53,46,54,52,52,51,53,101,45,49,55,32,50,
      46,48,53,52,50,101,45,49,55,32,54,46,51,56,49,101,45,49,56,32,50,46,50,56,53,
      52,101,45,49,56,32,55,46,54,51,48,51,54,101,45,49,57,32,50,46,53,52,56,56,56,
      101,45,49,57,32,56,46,49,53,57,54,55,101,45,50,48,10,32,32,50,46,55,50,52,51,
      56,101,45,50,48,32,57,46,49,48,48,49,53,101,45,50,49,32,48,114,53,50,32,51,
      46,55,48,52,53,56,101,45,48,55,32,52,46,57,51,57,48,56,101,45,48,55,32,54,46,
      53,56,53,54,56,101,45,48,55,32,56,46,55,56,48,55,56,101,45,48,55,32,49,46,49,
      55,48,55,55,101,45,48,54,10,32,32,49,46,53,54,49,48,52,101,45,48,54,32,50,46,
      48,56,49,52,49,101,45,48,54,32,50,46,55,55,53,49,57,101,45,48,54,32,51,46,55,
      48,48,49,50,101,45,48,54,32,52,46,57,51,51,52,56,101,45,48,54,32,54,46,53,55,
      56,49,56,101,45,48,54,32,56,46,55,55,48,53,56,101,45,48,54,10,32,32,49,46,49,
      54,57,52,51,101,45,48,53,32,49,46,53,53,57,50,49,101,45,48,53,32,50,46,48,55,
      56,56,55,101,45,48,53,32,50,46,55,55,49,55,49,101,45,48,53,32,51,46,54,57,53,
      51,57,101,45,48,53,32,53,46,53,52,50,51,54,101,45,48,53,32,57,46,50,51,52,55,
      53,101,45,48,53,10,32,32,46,48,48,48,49,50,57,50,53,32,46,48,48,48,49,56,52,
      53,54,53,32,46,48,48,48,50,53,56,50,52,52,32,46,48,48,48,51,54,56,54,48,55,
      32,46,48,48,48,53,53,50,49,51,55,32,46,48,48,48,57,49,55,55,52,57,32,46,48,
      48,49,50,57,48,49,49,32,46,48,48,49,56,51,53,53,10,32,32,46,48,48,50,53,53,
      53,54,56,32,46,48,48,51,54,50,49,51,53,32,46,48,48,52,52,57,54,50,55,32,46,
      48,48,53,51,53,57,53,32,46,48,48,55,48,53,49,54,55,32,46,48,48,56,54,57,57,
      51,53,32,46,48,49,48,51,48,51,57,32,46,48,49,49,48,57,48,53,32,46,48,49,49,
      56,54,54,55,10,32,32,46,48,49,50,54,51,50,56,32,46,48,49,51,51,56,56,57,32,
      46,48,49,52,49,51,53,49,32,46,48,49,52,56,55,49,54,32,46,48,49,53,53,57,56,
      53,32,46,48,49,54,51,49,53,57,32,46,48,49,55,48,50,51,57,32,46,48,49,55,55,
      50,50,55,32,46,48,49,56,53,52,57,51,10,32,32,46,48,49,57,51,54,50,57,32,46,
      48,50,48,52,50,55,57,32,46,48,50,49,52,55,48,54,32,46,48,50,50,52,57,49,54,
      32,46,48,50,51,55,51,55,55,32,46,48,50,52,57,53,49,49,32,46,48,50,54,49,51,
      50,52,32,46,48,50,55,53,48,56,54,32,46,48,50,56,56,52,48,56,10,32,32,46,48,
      51,48,53,53,48,53,32,46,48,51,50,49,56,53,57,32,46,48,51,51,55,52,57,55,32,
      46,48,51,53,52,50,53,54,32,46,48,51,55,49,56,55,55,32,46,48,51,57,48,48,56,
      51,32,46,48,52,48,56,53,57,49,32,46,48,52,50,55,49,49,52,32,46,48,52,52,54,
      53,57,53,10,32,32,46,48,52,54,52,49,52,49,32,46,48,52,56,49,56,49,50,32,46,
      48,53,48,49,51,55,50,32,46,48,53,49,56,50,55,51,32,46,48,53,50,56,55,50,52,
      32,46,48,53,51,56,57,56,54,32,46,48,53,52,55,55,57,54,32,46,48,53,53,51,48,
      57,32,46,48,53,53,52,53,48,50,10,32,32,46,48,53,53,49,54,55,56,32,46,48,53,
      52,53,50,50,49,32,46,48,53,51,53,48,52,56,32,46,48,53,49,56,57,53,53,32,46,
      48,52,57,50,54,48,54,32,46,48,52,54,51,53,51,54,32,46,48,52,51,50,49,53,56,
      32,46,48,52,48,53,56,51,49,32,46,48,51,55,55,56,55,50,10,32,32,46,48,51,52,
      48,50,54,55,32,46,48,51,48,52,54,55,32,46,48,50,55,49,54,57,57,32,46,48,50,
      52,53,48,55,32,46,48,50,49,48,54,50,56,32,46,48,49,56,48,49,48,53,32,46,48,
      49,53,50,57,57,56,32,46,48,49,51,49,49,52,32,46,48,49,49,49,56,48,52,32,46,
      48,48,57,53,50,50,52,53,10,32,32,46,48,48,55,57,51,55,50,55,32,46,48,48,54,
      54,57,48,54,57,32,46,48,48,53,56,57,51,53,55,32,46,48,48,52,54,50,54,48,51,
      32,46,48,48,51,54,54,55,57,51,32,46,48,48,50,57,52,50,53,50,32,46,48,48,50,
      51,48,55,57,52,32,46,48,48,49,56,52,57,49,49,10,32,32,46,48,48,49,52,53,49,
      50,49,32,46,48,48,49,49,52,56,49,52,32,46,48,48,48,57,49,55,48,57,56,32,46,
      48,48,48,55,52,48,54,55,56,32,46,48,48,48,53,56,52,56,52,32,46,48,48,48,52,
      57,50,52,52,55,32,46,48,48,48,52,49,53,49,50,52,32,46,48,48,48,51,49,51,57,
      51,56,10,32,32,46,48,48,48,50,54,52,55,55,49,32,46,48,48,48,50,48,50,55,48,
      55,32,46,48,48,48,49,53,50,57,55,57,32,46,48,48,48,49,50,57,50,56,52,32,46,
      48,48,48,49,48,57,50,51,57,32,56,46,51,55,50,53,56,101,45,48,53,32,54,46,50,
      52,54,54,54,101,45,48,53,32,53,46,51,49,48,51,56,101,45,48,53,10,32,32,52,46,
      48,56,55,52,49,101,45,48,53,32,51,46,52,56,53,50,56,101,45,48,53,32,50,46,54,
      57,49,53,54,101,45,48,53,32,50,46,49,56,50,54,49,101,45,48,53,32,49,46,54,48,
      53,48,50,101,45,48,53,32,49,46,52,49,51,54,56,101,45,48,53,32,49,46,49,48,55,
      54,53,101,45,48,53,10,32,32,56,46,52,54,50,51,50,101,45,48,54,32,54,46,55,54,
      52,48,50,101,45,48,54,32,53,46,52,48,56,48,57,101,45,48,54,32,52,46,51,56,55,
      54,57,101,45,48,54,32,51,46,53,55,49,57,56,101,45,48,54,32,50,46,56,52,52,52,
      52,101,45,48,54,32,50,46,51,50,52,48,52,101,45,48,54,10,32,32,49,46,56,54,48,
      51,55,101,45,48,54,32,49,46,53,55,57,54,53,101,45,48,54,32,49,46,50,49,48,48,
      51,101,45,48,54,32,49,46,48,50,55,55,52,101,45,48,54,32,56,46,51,57,49,50,52,
      101,45,48,55,32,53,46,50,51,54,57,51,101,45,48,55,32,50,46,55,52,49,49,54,101,
      45,48,55,10,32,32,49,46,52,53,57,53,52,101,45,48,55,32,54,46,54,52,57,50,55,
      101,45,48,56,32,51,46,48,51,52,49,49,101,45,48,56,32,49,46,49,56,53,50,50,101,
      45,48,56,32,53,46,52,49,56,51,54,101,45,48,57,32,50,46,56,50,55,48,57,101,45,
      48,56,32,49,46,48,57,50,52,55,101,45,48,56,10,32,32,53,46,54,48,49,52,56,101,
      45,48,57,32,50,46,54,53,56,55,101,45,48,57,32,57,46,56,54,48,56,56,101,45,49,
      48,32,52,46,49,52,54,50,49,101,45,49,48,32,49,46,55,52,53,53,53,101,45,49,48,
      32,54,46,53,48,51,52,57,101,45,49,49,32,50,46,52,50,54,51,52,101,45,49,49,10,
      32,32,49,46,48,50,53,101,45,49,49,32,52,46,51,51,51,56,57,101,45,49,50,32,49,
      46,56,49,48,52,51,101,45,49,50,32,54,46,55,55,55,49,57,101,45,49,51,32,50,46,
      50,52,51,51,51,101,45,49,51,32,54,46,53,55,52,51,54,101,45,49,52,32,50,46,49,
      56,48,54,101,45,49,52,10,32,32,54,46,52,48,52,55,101,45,49,53,32,50,46,49,50,
      56,51,101,45,49,53,32,55,46,48,55,56,101,45,49,54,32,50,46,48,56,52,54,57,101,
      45,49,54,32,53,46,54,50,55,53,55,101,45,49,55,32,50,46,48,52,56,48,57,101,45,
      49,55,32,54,46,51,54,49,57,56,101,45,49,56,10,32,32,50,46,50,55,56,53,56,101,
      45,49,56,32,55,46,54,48,55,54,101,45,49,57,32,50,46,53,52,49,50,56,101,45,49,
      57,32,56,46,49,51,48,53,55,101,45,50,48,32,50,46,55,49,52,54,49,101,45,50,48,
      32,57,46,48,54,55,51,53,101,45,50,49,32,48,114,53,50,32,51,46,52,53,49,55,101,
      45,48,55,10,32,32,52,46,54,48,49,57,51,101,45,48,55,32,54,46,49,51,54,49,51,
      101,45,48,55,32,56,46,49,56,49,51,57,101,45,48,55,32,49,46,48,57,48,56,53,101,
      45,48,54,32,49,46,52,53,52,52,56,101,45,48,54,32,49,46,57,51,57,51,51,101,45,
      48,54,32,50,46,53,56,53,55,53,101,45,48,54,10,32,32,51,46,52,52,55,53,53,101,
      45,48,54,32,52,46,53,57,54,55,50,101,45,48,54,32,54,46,49,50,57,49,53,101,45,
      48,54,32,56,46,49,55,49,57,49,101,45,48,54,32,49,46,48,56,57,54,49,101,45,48,
      53,32,49,46,52,53,50,55,57,101,45,48,53,32,49,46,57,51,54,57,55,101,45,48,53,
      10,32,32,50,46,53,56,50,53,51,101,45,48,53,32,51,46,52,52,51,49,56,101,45,48,
      53,32,53,46,49,54,52,49,52,101,45,48,53,32,56,46,54,48,52,54,55,101,45,48,53,
      32,46,48,48,48,49,50,48,52,51,51,32,46,48,48,48,49,55,49,57,55,57,32,46,48,
      48,48,50,52,48,54,52,49,10,32,32,46,48,48,48,51,52,51,52,57,56,32,46,48,48,
      48,53,49,52,53,54,53,32,46,48,48,48,56,53,53,52,48,52,32,46,48,48,49,49,57,
      52,54,32,46,48,48,49,55,48,57,53,49,32,46,48,48,50,51,56,49,48,56,32,46,48,
      48,51,51,55,53,54,53,32,46,48,48,52,49,57,51,10,32,32,46,48,48,53,48,48,48,
      49,50,32,46,48,48,54,53,56,52,51,49,32,46,48,48,56,49,50,57,52,54,32,46,48,
      48,57,54,51,54,54,52,32,46,48,49,48,51,55,54,51,32,46,48,49,49,49,48,54,57,
      32,46,48,49,49,56,50,56,52,32,46,48,49,50,53,52,49,32,46,48,49,51,50,52,52,
      57,10,32,32,46,48,49,51,57,52,48,49,32,46,48,49,52,54,50,54,54,32,46,48,49,
      53,51,48,52,55,32,46,48,49,53,57,55,52,52,32,46,48,49,54,54,51,53,56,32,46,
      48,49,55,52,49,56,54,32,46,48,49,56,49,56,57,55,32,46,48,49,57,49,57,57,57,
      32,46,48,50,48,49,57,32,46,48,50,49,49,54,48,50,10,32,32,46,48,50,50,51,52,
      53,53,32,46,48,50,51,53,48,48,56,32,46,48,50,52,54,50,54,55,32,46,48,50,53,
      57,51,57,54,32,46,48,50,55,50,49,49,56,32,46,48,50,56,56,52,54,53,32,46,48,
      51,48,52,49,50,32,46,48,51,49,57,49,48,53,32,46,48,51,51,53,49,56,53,10,32,
      32,46,48,51,53,50,49,49,49,32,46,48,51,54,57,54,50,51,32,46,48,51,56,55,52,
      52,57,32,46,48,52,48,53,51,49,54,32,46,48,52,50,52,49,52,49,32,46,48,52,52,
      49,49,51,50,32,46,48,52,53,56,50,56,55,32,46,48,52,55,55,51,52,52,32,46,48,
      52,57,51,57,48,52,10,32,32,46,48,53,48,52,50,49,57,32,46,48,53,49,52,52,52,
      55,32,46,48,53,50,51,52,48,54,32,46,48,53,50,57,48,54,52,32,46,48,53,51,49,
      48,55,32,46,48,53,50,57,48,57,54,32,46,48,53,50,51,54,50,49,32,46,48,53,49,
      52,54,48,56,32,46,48,53,48,48,48,51,55,10,32,32,46,48,52,55,53,56,49,32,46,
      48,52,52,56,55,56,52,32,46,48,52,49,57,51,55,52,32,46,48,51,57,52,53,52,55,
      32,46,48,51,54,56,48,53,50,32,46,48,51,51,50,50,50,56,32,46,48,50,57,56,49,
      51,51,32,46,48,50,54,54,52,48,53,32,46,48,50,52,48,54,56,32,46,48,50,48,55,
      50,55,56,10,32,32,46,48,49,55,55,53,53,57,32,46,48,49,53,49,48,55,53,32,46,
      48,49,50,57,54,53,55,32,46,48,49,49,48,54,54,53,32,46,48,48,57,52,51,52,55,
      54,32,46,48,48,55,56,55,49,54,51,32,46,48,48,54,54,52,48,51,56,32,46,48,48,
      53,56,53,50,49,50,32,46,48,48,52,53,57,55,49,56,10,32,32,46,48,48,51,54,52,
      55,51,52,32,46,48,48,50,57,50,55,52,54,32,46,48,48,50,50,57,55,49,57,32,46,
      48,48,49,56,52,49,49,53,32,46,48,48,49,52,52,53,52,53,32,46,48,48,49,49,52,
      51,57,32,46,48,48,48,57,49,51,57,49,55,32,46,48,48,48,55,51,56,50,53,51,10,
      32,32,46,48,48,48,53,56,51,48,51,55,32,46,48,48,48,52,57,48,57,57,32,46,48,
      48,48,52,49,51,57,52,51,32,46,48,48,48,51,49,51,48,57,56,32,46,48,48,48,50,
      54,52,48,56,55,32,46,48,48,48,50,48,50,50,49,49,32,46,48,48,48,49,53,50,54,
      50,52,32,46,48,48,48,49,50,56,57,57,51,10,32,32,46,48,48,48,49,48,57,32,56,
      46,51,53,53,48,57,101,45,48,53,32,54,46,50,51,52,50,50,101,45,48,53,32,53,46,
      51,48,48,48,55,101,45,48,53,32,52,46,48,55,57,55,56,101,45,48,53,32,51,46,52,
      55,56,57,51,101,45,48,53,32,50,46,54,56,54,56,50,101,45,48,53,10,32,32,50,46,
      49,55,56,56,55,101,45,48,53,32,49,46,54,48,50,52,101,45,48,53,32,49,46,52,49,
      49,52,101,45,48,53,32,49,46,49,48,53,57,50,101,45,48,53,32,56,46,52,52,57,53,
      53,101,45,48,54,32,54,46,55,53,52,48,55,101,45,48,54,32,53,46,52,48,48,51,52,
      101,45,48,54,10,32,32,52,46,51,56,49,53,53,101,45,48,54,32,51,46,53,54,55,49,
      101,45,48,54,32,50,46,56,52,48,54,53,101,45,48,54,32,50,46,51,50,49,101,45,
      48,54,32,49,46,56,53,56,101,45,48,54,32,49,46,53,55,55,54,55,101,45,48,54,32,
      49,46,50,48,56,53,53,101,45,48,54,32,49,46,48,50,54,53,49,101,45,48,54,10,32,
      32,56,46,51,56,49,51,54,101,45,48,55,32,53,46,50,51,49,48,50,101,45,48,55,32,
      50,46,55,51,56,50,51,101,45,48,55,32,49,46,52,53,56,48,55,101,45,48,55,32,54,
      46,54,52,50,57,56,101,45,48,56,32,51,46,48,51,49,52,49,101,45,48,56,32,49,46,
      49,56,52,50,51,101,45,48,56,10,32,32,53,46,52,49,52,55,56,101,45,48,57,32,50,
      46,56,48,57,48,54,101,45,48,56,32,49,46,48,56,54,50,49,101,45,48,56,32,53,46,
      53,55,49,51,101,45,48,57,32,50,46,54,52,52,51,53,101,45,48,57,32,57,46,56,48,
      55,53,55,101,45,49,48,32,52,46,49,50,51,55,54,101,45,49,48,10,32,32,49,46,55,
      51,54,48,56,101,45,49,48,32,54,46,52,54,56,49,53,101,45,49,49,32,50,46,52,49,
      51,49,51,101,45,49,49,32,49,46,48,49,57,52,49,101,45,49,49,32,52,46,51,49,48,
      50,51,101,45,49,50,32,49,46,56,48,48,54,54,101,45,49,50,32,54,46,55,52,48,54,
      101,45,49,51,10,32,32,50,46,50,51,52,48,55,101,45,49,51,32,54,46,53,53,53,53,
      49,101,45,49,52,32,50,46,49,55,52,51,52,101,45,49,52,32,54,46,51,56,54,50,56,
      101,45,49,53,32,50,46,49,50,50,49,55,101,45,49,53,32,55,46,48,53,55,53,57,101,
      45,49,54,32,50,46,48,55,56,54,55,101,45,49,54,10,32,32,53,46,54,49,49,51,49,
      101,45,49,55,32,50,46,48,52,50,49,55,101,45,49,55,32,54,46,51,52,51,53,54,101,
      45,49,56,32,50,46,50,55,49,57,56,101,45,49,56,32,55,46,53,56,53,53,53,101,45,
      49,57,32,50,46,53,51,51,57,49,101,45,49,57,32,56,46,49,48,50,50,51,101,45,50,
      48,10,32,32,50,46,55,48,53,48,57,101,45,50,48,32,57,46,48,51,53,52,101,45,50,
      49,32,48,114,53,50,32,51,46,49,56,51,53,101,45,48,55,32,52,46,50,52,52,51,53,
      101,45,48,55,32,53,46,54,53,57,51,53,101,45,48,55,32,55,46,53,52,53,54,57,101,
      45,48,55,32,49,46,48,48,54,48,57,101,45,48,54,10,32,32,49,46,51,52,49,52,55,
      101,45,48,54,32,49,46,55,56,56,54,52,101,45,48,54,32,50,46,51,56,52,56,52,101,
      45,48,54,32,51,46,49,55,57,54,56,101,45,48,54,32,52,46,50,51,57,53,55,101,45,
      48,54,32,53,46,54,53,50,57,53,101,45,48,54,32,55,46,53,51,55,48,50,101,45,48,
      54,10,32,32,49,46,48,48,52,57,54,101,45,48,53,32,49,46,51,51,57,57,51,101,45,
      48,53,32,49,46,55,56,54,53,49,101,45,48,53,32,50,46,51,56,49,57,52,101,45,48,
      53,32,51,46,49,55,53,55,56,101,45,48,53,32,52,46,55,54,51,50,49,101,45,48,53,
      32,55,46,57,51,55,101,45,48,53,10,32,32,46,48,48,48,49,49,49,48,57,52,32,46,
      48,48,48,49,53,56,54,53,51,32,46,48,48,48,50,50,50,48,49,52,32,46,48,48,48,
      51,49,54,57,53,49,32,46,48,48,48,52,55,52,56,57,55,32,46,48,48,48,55,56,57,
      55,54,56,32,46,48,48,49,49,48,51,51,52,32,46,48,48,49,53,55,56,52,50,10,32,
      32,46,48,48,50,50,48,48,49,57,32,46,48,48,51,49,50,50,54,52,32,46,48,48,51,
      56,56,50,49,52,32,46,48,48,52,54,51,51,51,54,32,46,48,48,54,49,49,49,50,56,
      32,46,48,48,55,53,53,54,57,55,32,46,48,48,56,57,55,48,57,55,32,46,48,48,57,
      54,54,54,50,52,10,32,32,46,48,49,48,51,53,51,56,32,46,48,49,49,48,51,51,54,
      32,46,48,49,49,55,48,53,56,32,46,48,49,50,51,55,48,53,32,46,48,49,51,48,50,
      55,54,32,46,48,49,51,54,55,55,51,32,46,48,49,52,51,49,57,53,32,46,48,49,52,
      57,53,52,53,32,46,48,49,53,53,56,50,49,10,32,32,46,48,49,54,51,50,53,54,32,
      46,48,49,55,48,53,56,56,32,46,48,49,56,48,50,48,53,32,46,48,49,56,57,54,52,
      49,32,46,48,49,57,56,56,57,56,32,46,48,50,49,48,50,50,49,32,46,48,50,50,49,
      50,55,50,32,46,48,50,51,50,48,53,53,32,46,48,50,52,52,54,52,53,10,32,32,46,
      48,50,53,54,56,54,32,46,48,50,55,50,53,55,52,32,46,48,50,56,55,54,52,55,32,
      46,48,51,48,50,48,57,50,32,46,48,51,49,55,54,49,50,32,46,48,51,51,51,57,55,
      32,46,48,51,53,48,57,49,54,32,46,48,51,54,56,49,57,53,32,46,48,51,56,53,53,
      51,53,32,46,48,52,48,51,56,51,54,10,32,32,46,48,52,50,48,51,56,55,32,46,48,
      52,51,55,49,51,32,46,48,52,53,53,55,57,50,32,46,48,52,55,50,48,56,54,32,46,
      48,52,56,50,50,57,52,32,46,48,52,57,50,53,32,46,48,53,48,49,53,56,52,32,46,
      48,53,48,55,53,52,53,32,46,48,53,49,48,48,52,50,32,46,48,53,48,56,55,55,52,
      10,32,32,46,48,53,48,52,49,49,56,32,46,48,52,57,54,48,56,51,32,46,48,52,56,
      50,56,48,53,32,46,48,52,54,48,51,57,57,32,46,48,52,51,53,49,52,57,32,46,48,
      52,48,55,52,55,49,32,46,48,51,56,51,57,55,57,32,46,48,51,53,56,55,57,56,32,
      46,48,51,50,52,53,57,10,32,32,46,48,50,57,49,56,55,51,32,46,48,50,54,49,50,
      57,56,32,46,48,50,51,54,52,50,32,46,48,50,48,52,48,48,50,32,46,48,49,55,53,
      48,53,49,32,46,48,49,52,57,49,54,57,32,46,48,49,50,56,49,55,57,32,46,48,49,
      48,57,53,50,53,32,46,48,48,57,51,52,54,52,56,10,32,32,46,48,48,55,56,48,53,
      50,52,32,46,48,48,54,53,56,57,51,49,32,46,48,48,53,56,48,57,57,53,32,46,48,
      48,52,53,54,55,55,32,46,48,48,51,54,50,54,50,53,32,46,48,48,50,57,49,49,57,
      57,32,46,48,48,50,50,56,54,49,50,32,46,48,48,49,56,51,50,57,53,32,46,48,48,
      49,52,51,57,53,10,32,32,46,48,48,49,49,51,57,53,49,32,46,48,48,48,57,49,48,
      54,51,32,46,48,48,48,55,51,53,55,52,52,32,46,48,48,48,53,56,49,49,55,49,32,
      46,48,48,48,52,56,57,52,56,50,32,46,48,48,48,52,49,50,55,50,49,32,46,48,48,
      48,51,49,50,50,50,55,32,46,48,48,48,50,54,51,51,55,57,10,32,32,46,48,48,48,
      50,48,49,54,57,54,32,46,48,48,48,49,53,50,50,53,54,32,46,48,48,48,49,50,56,
      54,57,32,46,48,48,48,49,48,56,55,53,51,32,56,46,51,51,54,57,53,101,45,48,53,
      32,54,46,50,50,49,51,49,101,45,48,53,32,53,46,50,56,57,51,55,101,45,48,53,32,
      52,46,48,55,49,56,55,101,45,48,53,10,32,32,51,46,52,55,50,51,51,101,45,48,53,
      32,50,46,54,56,49,57,50,101,45,48,53,32,50,46,49,55,53,48,49,101,45,48,53,32,
      49,46,53,57,57,54,54,101,45,48,53,32,49,46,52,48,57,48,51,101,45,48,53,32,49,
      46,49,48,52,49,50,101,45,48,53,32,56,46,52,51,54,50,52,101,45,48,54,10,32,32,
      54,46,55,52,51,55,51,101,45,48,54,32,53,46,51,57,50,51,101,45,48,54,32,52,46,
      51,55,53,49,56,101,45,48,54,32,51,46,53,54,50,48,51,101,45,48,54,32,50,46,56,
      51,54,55,49,101,45,48,54,32,50,46,51,49,55,56,53,101,45,48,54,32,49,46,56,53,
      53,53,52,101,45,48,54,10,32,32,49,46,53,55,53,54,49,101,45,48,54,32,49,46,50,
      48,55,48,49,101,45,48,54,32,49,46,48,50,53,50,50,101,45,48,54,32,56,46,51,55,
      49,48,55,101,45,48,55,32,53,46,50,50,52,56,56,101,45,48,55,32,50,46,55,51,53,
      50,101,45,48,55,32,49,46,52,53,54,53,52,101,45,48,55,10,32,32,54,46,54,51,54,
      52,52,101,45,48,56,32,51,46,48,50,56,53,57,101,45,48,56,32,49,46,49,56,51,50,
      101,45,48,56,32,53,46,52,49,49,48,50,101,45,48,57,32,50,46,55,57,49,50,55,101,
      45,48,56,32,49,46,48,55,57,51,51,101,45,48,56,32,53,46,53,51,55,51,50,101,45,
      48,57,10,32,32,50,46,54,50,57,57,51,101,45,48,57,32,57,46,55,53,53,49,53,101,
      45,49,48,32,52,46,49,48,49,54,56,101,45,49,48,32,49,46,55,50,54,55,55,101,45,
      49,48,32,54,46,52,51,51,52,101,45,49,49,32,50,46,52,48,48,49,52,101,45,49,49,
      32,49,46,48,49,51,57,50,101,45,49,49,10,32,32,52,46,50,56,54,57,55,101,45,49,
      50,32,49,46,55,57,49,48,54,101,45,49,50,32,54,46,55,48,52,54,51,101,45,49,51,
      32,50,46,50,50,50,49,51,101,45,49,51,32,54,46,53,50,50,53,53,101,45,49,52,32,
      50,46,49,54,54,52,52,101,45,49,52,32,54,46,51,54,56,52,52,101,45,49,53,10,32,
      32,50,46,49,49,54,50,51,101,45,49,53,32,55,46,48,51,55,56,53,101,45,49,54,32,
      50,46,48,55,50,56,53,101,45,49,54,32,53,46,53,57,54,48,57,101,45,49,55,32,50,
      46,48,51,54,52,52,101,45,49,55,32,54,46,51,50,53,55,50,101,45,49,56,32,50,46,
      50,54,53,53,57,101,45,49,56,10,32,32,55,46,53,54,52,49,57,101,45,49,57,32,50,
      46,53,50,54,55,55,101,45,49,57,32,56,46,48,55,52,54,52,101,45,50,48,32,50,46,
      54,57,53,56,51,101,45,50,48,32,57,46,48,48,52,50,57,101,45,50,49,32,48,114,
      53,50,32,50,46,57,49,56,54,55,101,45,48,55,32,51,46,56,57,49,50,55,101,45,48,
      55,10,32,32,53,46,49,56,56,53,54,101,45,48,55,32,54,46,57,49,55,57,57,101,45,
      48,55,32,57,46,50,50,51,57,56,101,45,48,55,32,49,46,50,50,57,56,56,101,45,48,
      54,32,49,46,54,51,57,56,53,101,45,48,54,32,50,46,49,56,54,52,54,101,45,48,54,
      32,50,46,57,49,53,49,57,101,45,48,54,10,32,32,51,46,56,56,54,57,50,101,45,48,
      54,32,53,46,49,56,50,55,54,101,45,48,54,32,54,46,57,49,48,49,52,101,45,48,54,
      32,57,46,50,49,51,56,101,45,48,54,32,49,46,50,50,56,53,101,45,48,53,32,49,46,
      54,51,55,57,55,101,45,48,53,32,50,46,49,56,51,57,50,101,45,48,53,10,32,32,50,
      46,57,49,49,56,50,101,45,48,53,32,52,46,51,54,55,52,56,101,45,48,53,32,55,46,
      50,55,56,49,53,101,45,48,53,32,46,48,48,48,49,48,49,56,55,57,32,46,48,48,48,
      49,52,53,53,49,32,46,48,48,48,50,48,51,54,53,49,32,46,48,48,48,50,57,48,55,
      57,53,32,46,48,48,48,52,51,53,56,53,49,10,32,32,46,48,48,48,55,50,53,50,56,
      50,32,46,48,48,49,48,49,51,56,52,32,46,48,48,49,52,53,48,53,56,32,46,48,48,
      50,48,50,52,50,56,32,46,48,48,50,56,55,55,53,51,32,46,48,48,51,53,56,49,56,
      56,32,46,48,48,52,50,56,48,48,57,32,46,48,48,53,54,53,55,57,56,10,32,32,46,
      48,48,55,48,49,48,57,52,32,46,48,48,56,51,51,56,56,32,46,48,48,56,57,57,51,
      50,55,32,46,48,48,57,54,52,49,52,50,32,46,48,49,48,50,56,51,50,32,46,48,49,
      48,57,49,56,55,32,46,48,49,49,53,52,55,57,32,46,48,49,50,49,55,48,55,32,46,
      48,49,50,55,56,55,50,10,32,32,46,48,49,51,51,57,55,51,32,46,48,49,52,48,48,
      49,49,32,46,48,49,52,53,57,56,54,32,46,48,49,53,51,48,55,51,32,46,48,49,54,
      48,48,54,57,32,46,48,49,54,57,50,53,55,32,46,48,49,55,56,50,56,52,32,46,48,
      49,56,55,49,53,50,32,46,48,49,57,56,48,49,51,10,32,32,46,48,50,48,56,54,50,
      56,32,46,48,50,49,56,57,57,57,32,46,48,50,51,49,49,50,52,32,46,48,50,52,50,
      57,48,53,32,46,48,50,53,56,48,55,57,32,46,48,50,55,50,54,53,54,32,46,48,50,
      56,54,54,52,51,32,46,48,51,48,49,54,57,49,32,46,48,51,49,55,53,54,57,10,32,
      32,46,48,51,51,52,48,52,51,32,46,48,51,53,48,56,54,51,32,46,48,51,54,55,55,
      54,53,32,46,48,51,56,53,54,51,49,32,46,48,52,48,49,56,49,52,32,46,48,52,49,
      56,50,49,53,32,46,48,52,51,54,53,52,54,32,46,48,52,53,50,54,49,52,32,46,48,
      52,54,50,55,50,57,10,32,32,46,48,52,55,50,57,48,57,32,46,48,52,56,50,48,56,
      54,32,46,48,52,56,56,50,56,55,32,46,48,52,57,49,49,56,49,32,46,48,52,57,48,
      52,57,51,32,46,48,52,56,54,53,49,52,32,46,48,52,55,57,50,57,54,32,46,48,52,
      54,55,49,49,32,46,48,52,52,54,50,54,50,10,32,32,46,48,52,50,50,53,53,51,32,
      46,48,51,57,54,51,57,53,32,46,48,51,55,52,48,56,55,32,46,48,51,53,48,48,56,
      51,32,46,48,51,49,55,51,51,55,32,46,48,50,56,53,56,56,52,32,46,48,50,53,54,
      51,55,56,32,46,48,50,51,50,50,57,32,46,48,50,48,48,56,48,49,10,32,32,46,48,
      49,55,50,53,56,52,32,46,48,49,52,55,50,56,32,46,48,49,50,54,55,48,55,32,46,
      48,49,48,56,51,56,51,32,46,48,48,57,50,53,55,55,49,32,46,48,48,55,55,51,56,
      50,32,46,48,48,54,53,51,55,53,53,32,46,48,48,53,55,54,55,49,32,46,48,48,52,
      53,51,55,54,52,10,32,32,46,48,48,51,54,48,52,54,55,32,46,48,48,50,56,57,54,
      49,52,32,46,48,48,50,50,55,52,55,54,32,46,48,48,49,56,50,52,53,49,32,46,48,
      48,49,52,51,51,51,55,32,46,48,48,49,49,51,52,57,57,32,46,48,48,48,57,48,55,
      50,51,57,32,46,48,48,48,55,51,51,49,53,53,10,32,32,46,48,48,48,53,55,57,50,
      52,51,32,46,48,48,48,52,56,55,57,50,51,32,46,48,48,48,52,49,49,52,53,55,32,
      46,48,48,48,51,49,49,51,50,56,32,46,48,48,48,50,54,50,54,52,55,32,46,48,48,
      48,50,48,49,49,54,52,32,46,48,48,48,49,53,49,56,55,53,32,46,48,48,48,49,50,
      56,51,55,56,10,32,32,46,48,48,48,49,48,56,52,57,55,32,56,46,51,49,56,49,54,
      101,45,48,53,32,54,46,50,48,55,57,53,101,45,48,53,32,53,46,50,55,56,51,101,
      45,48,53,32,52,46,48,54,51,54,56,101,45,48,53,32,51,46,52,54,53,53,49,101,45,
      48,53,32,50,46,54,55,54,56,52,101,45,48,53,10,32,32,50,46,49,55,49,101,45,48,
      53,32,49,46,53,57,54,56,52,101,45,48,53,32,49,46,52,48,54,53,56,101,45,48,53,
      32,49,46,49,48,50,50,54,101,45,48,53,32,56,46,52,50,50,53,101,45,48,54,32,54,
      46,55,51,51,48,51,101,45,48,54,32,53,46,51,56,51,57,53,101,45,48,54,10,32,32,
      52,46,51,54,56,53,54,101,45,48,54,32,51,46,53,53,54,55,55,101,45,48,54,32,50,
      46,56,51,50,54,51,101,45,48,54,32,50,46,51,49,52,53,57,101,45,48,54,32,49,46,
      56,53,50,57,57,101,45,48,54,32,49,46,53,55,51,52,55,101,45,48,54,32,49,46,50,
      48,53,52,50,101,45,48,54,10,32,32,49,46,48,50,51,56,57,101,45,48,54,32,56,46,
      51,54,48,52,50,101,45,48,55,32,53,46,50,49,56,53,50,101,45,48,55,32,50,46,55,
      51,50,48,54,101,45,48,55,32,49,46,52,53,52,57,53,101,45,48,55,32,54,46,54,50,
      57,54,55,101,45,48,56,32,51,46,48,50,53,54,55,101,45,48,56,10,32,32,49,46,49,
      56,50,49,51,101,45,48,56,32,53,46,52,48,55,49,101,45,48,57,32,50,46,55,55,51,
      55,52,101,45,48,56,32,49,46,48,55,50,53,52,101,45,48,56,32,53,46,53,48,50,52,
      56,101,45,48,57,32,50,46,54,49,51,51,55,101,45,48,57,32,57,46,55,48,48,56,49,
      101,45,49,48,10,32,32,52,46,48,55,57,57,56,101,45,49,48,32,49,46,55,49,55,54,
      50,101,45,49,48,32,54,46,51,57,57,50,52,101,45,49,49,32,50,46,51,56,55,51,56,
      101,45,49,49,32,49,46,48,48,56,53,50,101,45,49,49,32,52,46,50,54,52,49,101,
      45,49,50,32,49,46,55,56,49,54,51,101,45,49,50,10,32,32,54,46,54,54,57,50,56,
      101,45,49,51,32,50,46,50,49,48,52,49,101,45,49,51,32,54,46,52,56,56,48,57,101,
      45,49,52,32,50,46,49,53,52,57,57,101,45,49,52,32,54,46,51,51,57,49,50,101,45,
      49,53,32,50,46,49,48,57,51,54,101,45,49,53,32,55,46,48,49,56,55,53,101,45,49,
      54,10,32,32,50,46,48,54,55,50,50,101,45,49,54,32,53,46,53,56,48,56,56,101,45,
      49,55,32,50,46,48,51,48,57,101,45,49,55,32,54,46,51,48,56,52,55,101,45,49,56,
      32,50,46,50,53,57,52,49,101,45,49,56,32,55,46,53,52,51,53,52,101,45,49,57,32,
      50,46,53,49,57,56,55,101,45,49,57,10,32,32,56,46,48,52,55,56,49,101,45,50,48,
      32,50,46,54,56,54,56,50,101,45,50,48,32,56,46,57,55,52,48,51,101,45,50,49,32,
      48,114,53,50,32,50,46,54,57,48,48,57,101,45,48,55,32,51,46,53,56,54,53,50,101,
      45,48,55,32,52,46,55,56,50,50,49,101,45,48,55,32,54,46,51,55,54,50,101,45,48,
      55,10,32,32,56,46,53,48,49,54,49,101,45,48,55,32,49,46,49,51,51,53,54,101,45,
      48,54,32,49,46,53,49,49,52,51,101,45,48,54,32,50,46,48,49,53,50,52,101,45,48,
      54,32,50,46,54,56,54,57,101,45,48,54,32,51,46,53,56,50,53,53,101,45,48,54,32,
      52,46,55,55,54,57,50,101,45,48,54,10,32,32,54,46,51,54,57,48,56,101,45,48,54,
      32,56,46,52,57,50,52,101,45,48,54,32,49,46,49,51,50,51,50,101,45,48,53,32,49,
      46,53,48,57,55,53,101,45,48,53,32,50,46,48,49,51,101,45,48,53,32,50,46,54,56,
      51,57,56,101,45,48,53,32,52,46,48,50,53,56,57,101,45,48,53,10,32,32,54,46,55,
      48,57,52,50,101,45,48,53,32,57,46,51,57,50,53,50,101,45,48,53,32,46,48,48,48,
      49,51,52,49,54,51,32,46,48,48,48,49,56,55,55,57,54,32,46,48,48,48,50,54,56,
      50,48,57,32,46,48,48,48,52,48,50,49,50,56,32,46,48,48,48,54,54,57,53,54,57,
      32,46,48,48,48,57,51,54,52,56,56,10,32,32,46,48,48,49,51,51,53,56,57,32,46,
      48,48,49,56,55,50,50,52,32,46,48,48,50,54,54,53,52,55,32,46,48,48,51,51,50,
      49,56,56,32,46,48,48,51,57,55,51,57,53,32,46,48,48,53,50,54,52,53,53,32,46,
      48,48,54,53,51,54,51,54,32,46,48,48,55,55,56,56,54,51,10,32,32,46,48,48,56,
      52,48,55,50,52,32,46,48,48,57,48,50,48,55,52,32,46,48,48,57,54,50,57,48,51,
      32,46,48,49,48,50,51,50,50,32,46,48,49,48,56,51,32,46,48,49,49,52,50,50,52,
      32,46,48,49,50,48,48,57,54,32,46,48,49,50,53,57,49,51,32,46,48,49,51,49,54,
      55,54,10,32,32,46,48,49,51,55,51,56,52,32,46,48,49,52,52,49,54,49,32,46,48,
      49,53,48,56,53,56,32,46,48,49,53,57,54,54,54,32,46,48,49,54,56,51,51,32,46,
      48,49,55,54,56,53,49,32,46,48,49,56,55,51,48,49,32,46,48,49,57,55,53,50,54,
      32,46,48,50,48,55,53,50,57,10,32,32,46,48,50,49,57,50,52,49,32,46,48,50,51,
      48,54,51,50,32,46,48,50,52,53,51,50,52,32,46,48,50,53,57,52,53,56,32,46,48,
      50,55,51,48,51,53,32,46,48,50,56,55,54,53,57,32,46,48,51,48,51,49,48,56,32,
      46,48,51,49,57,49,53,54,32,46,48,51,51,53,53,54,54,10,32,32,46,48,51,53,50,
      48,55,51,32,46,48,51,54,57,53,52,54,32,46,48,51,56,53,51,57,53,32,46,48,52,
      48,49,52,56,50,32,46,48,52,49,57,53,48,49,32,46,48,52,51,53,51,52,57,32,46,
      48,52,52,53,51,54,51,32,46,48,52,53,53,52,57,52,32,46,48,52,54,52,55,49,56,
      10,32,32,46,48,52,55,49,48,57,49,32,46,48,52,55,52,50,57,32,46,48,52,55,52,
      48,54,49,32,46,48,52,55,48,54,51,52,32,46,48,52,54,52,48,57,32,46,48,52,53,
      50,56,49,56,32,46,48,52,51,51,50,57,54,32,46,48,52,49,48,57,49,56,32,46,48,
      51,56,54,48,57,32,46,48,51,54,52,56,51,10,32,32,46,48,51,52,49,56,55,57,32,
      46,48,51,49,48,52,53,53,32,46,48,50,56,48,49,53,56,32,46,48,50,53,49,54,51,
      57,32,46,48,50,50,56,50,57,49,32,46,48,49,57,55,54,55,56,32,46,48,49,55,48,
      49,53,56,32,46,48,49,52,53,52,49,50,32,46,48,49,50,53,50,52,51,10,32,32,46,
      48,49,48,55,50,52,50,32,46,48,48,57,49,54,56,53,55,32,46,48,48,55,54,55,48,
      53,56,32,46,48,48,54,52,56,53,49,54,32,46,48,48,53,55,50,51,54,52,32,46,48,
      48,52,53,48,55,48,51,32,46,48,48,51,53,56,50,54,51,32,46,48,48,50,56,55,57,
      57,50,32,46,48,48,50,50,54,51,49,49,10,32,32,46,48,48,49,56,49,53,56,52,32,
      46,48,48,49,52,50,55,48,55,32,46,48,48,49,49,51,48,51,52,32,46,48,48,48,57,
      48,51,55,52,53,32,46,48,48,48,55,51,48,52,56,55,32,46,48,48,48,53,55,55,50,
      53,53,32,46,48,48,48,52,56,54,51,49,53,32,46,48,48,48,52,49,48,49,53,51,10,
      32,32,46,48,48,48,51,49,48,51,57,57,32,46,48,48,48,50,54,49,56,57,32,46,48,
      48,48,50,48,48,54,49,53,32,46,48,48,48,49,53,49,52,56,50,32,46,48,48,48,49,
      50,56,48,53,54,32,46,48,48,48,49,48,56,50,51,50,32,56,46,50,57,56,55,55,101,
      45,48,53,32,54,46,49,57,52,49,52,101,45,48,53,10,32,32,53,46,50,54,54,56,53,
      101,45,48,53,32,52,46,48,53,53,50,101,45,48,53,32,51,46,52,53,56,52,53,101,
      45,48,53,32,50,46,54,55,49,53,56,101,45,48,53,32,50,46,49,54,54,56,54,101,45,
      48,53,32,49,46,53,57,51,57,50,101,45,48,53,32,49,46,52,48,52,48,53,101,45,48,
      53,10,32,32,49,46,49,48,48,51,52,101,45,48,53,32,56,46,52,48,56,50,57,101,45,
      48,54,32,54,46,55,50,49,57,55,101,45,48,54,32,53,46,51,55,53,51,51,101,45,48,
      54,32,52,46,51,54,49,55,52,101,45,48,54,32,51,46,53,53,49,51,52,101,45,48,54,
      32,50,46,56,50,56,52,49,101,45,48,54,10,32,32,50,46,51,49,49,50,49,101,45,48,
      54,32,49,46,56,53,48,51,52,101,45,48,54,32,49,46,53,55,49,50,55,101,45,48,54,
      32,49,46,50,48,51,55,56,101,45,48,54,32,49,46,48,50,50,53,50,101,45,48,54,32,
      56,46,51,52,57,52,51,101,45,48,55,32,53,46,50,49,49,57,54,101,45,48,55,10,32,
      32,50,46,55,50,56,56,50,101,45,48,55,32,49,46,52,53,51,51,50,101,45,48,55,32,
      54,46,54,50,50,54,53,101,45,48,56,32,51,46,48,50,50,54,53,101,45,48,56,32,49,
      46,49,56,49,48,50,101,45,48,56,32,53,46,52,48,51,48,50,101,45,48,57,32,50,46,
      55,53,54,52,53,101,45,48,56,10,32,32,49,46,48,54,53,56,53,101,45,48,56,32,53,
      46,52,54,56,49,51,101,45,48,57,32,50,46,53,57,55,48,52,101,45,48,57,32,57,46,
      54,52,48,49,53,101,45,49,48,32,52,46,48,53,54,50,53,101,45,49,48,32,49,46,55,
      48,56,54,51,101,45,49,48,32,54,46,51,54,53,54,55,101,45,49,49,10,32,32,50,46,
      51,55,52,56,51,101,45,49,49,32,49,46,48,48,51,50,49,101,45,49,49,32,52,46,50,
      52,49,54,51,101,45,49,50,32,49,46,55,55,50,51,54,101,45,49,50,32,54,46,54,51,
      52,53,52,101,45,49,51,32,50,46,49,57,56,56,56,101,45,49,51,32,54,46,52,53,52,
      50,51,101,45,49,52,10,32,32,50,46,49,52,51,55,51,101,45,49,52,32,54,46,51,48,
      54,101,45,49,53,32,50,46,48,57,56,51,50,101,45,49,53,32,54,46,57,56,55,54,50,
      101,45,49,54,32,50,46,48,54,49,48,55,101,45,49,54,32,53,46,53,54,54,49,57,101,
      45,49,55,32,50,46,48,50,53,53,53,101,45,49,55,10,32,32,54,46,50,57,49,56,50,
      101,45,49,56,32,50,46,50,53,51,52,52,101,45,49,56,32,55,46,53,50,51,53,57,101,
      45,49,57,32,50,46,53,49,51,50,101,45,49,57,32,56,46,48,50,49,55,51,101,45,50,
      48,32,50,46,54,55,56,48,54,101,45,50,48,32,56,46,57,52,52,54,101,45,50,49,10,
      32,32,48,114,53,50,32,50,46,53,50,48,56,57,101,45,48,55,32,51,46,51,54,48,57,
      52,101,45,48,55,32,52,46,52,56,49,52,51,101,45,48,55,32,53,46,57,55,53,49,54,
      101,45,48,55,32,55,46,57,54,54,56,57,101,45,48,55,32,49,46,48,54,50,50,54,101,
      45,48,54,32,49,46,52,49,54,51,55,101,45,48,54,10,32,32,49,46,56,56,56,52,57,
      101,45,48,54,32,50,46,53,49,55,57,49,101,45,48,54,32,51,46,51,53,55,50,52,101,
      45,48,54,32,52,46,52,55,54,53,49,101,45,48,54,32,53,46,57,54,56,53,53,101,45,
      48,54,32,55,46,57,53,56,51,55,101,45,48,54,32,49,46,48,54,49,49,50,101,45,48,
      53,10,32,32,49,46,52,49,52,56,51,101,45,48,53,32,49,46,56,56,54,52,53,101,45,
      48,53,32,50,46,53,49,53,50,56,101,45,48,53,32,51,46,55,55,50,57,52,101,45,48,
      53,32,54,46,50,56,56,49,52,101,45,48,53,32,56,46,56,48,51,49,54,101,45,48,53,
      32,46,48,48,48,49,50,53,55,53,51,10,32,32,46,48,48,48,49,55,54,48,51,57,32,
      46,48,48,48,50,53,49,52,52,55,32,46,48,48,48,51,55,55,48,55,32,46,48,48,48,
      54,50,56,48,55,55,32,46,48,48,48,56,55,56,55,53,52,32,46,48,48,49,50,53,52,
      49,52,32,46,48,48,49,55,53,55,56,54,32,46,48,48,50,53,48,52,57,55,10,32,32,
      46,48,48,51,49,50,52,49,55,32,46,48,48,51,55,52,48,48,56,32,46,48,48,52,57,
      54,49,51,57,32,46,48,48,54,49,54,55,55,32,46,48,48,55,51,53,56,48,49,32,46,
      48,48,55,57,52,54,57,32,46,48,48,56,53,51,49,52,56,32,46,48,48,57,49,49,49,
      54,49,32,46,48,48,57,54,56,55,51,55,10,32,32,46,48,49,48,50,53,56,53,32,46,
      48,49,48,56,50,53,32,46,48,49,49,51,56,54,57,32,46,48,49,49,57,52,52,32,46,
      48,49,50,52,57,54,51,32,46,48,49,51,48,52,51,56,32,46,48,49,51,54,57,52,50,
      32,46,48,49,52,51,51,55,54,32,46,48,49,53,49,56,52,52,32,46,48,49,54,48,49,
      56,51,10,32,32,46,48,49,54,56,51,57,50,32,46,48,49,55,56,52,54,56,32,46,48,
      49,56,56,51,51,55,32,46,48,49,57,56,48,48,50,32,46,48,50,48,57,51,51,32,46,
      48,50,50,48,51,53,57,32,46,48,50,51,52,53,57,56,32,46,48,50,52,56,51,49,52,
      32,46,48,50,54,49,53,48,50,10,32,32,46,48,50,55,53,55,50,50,32,46,48,50,57,
      48,55,53,57,32,46,48,51,48,54,51,57,55,32,46,48,51,50,50,52,48,54,32,46,48,
      51,51,56,53,50,53,32,46,48,51,53,53,54,48,56,32,46,48,51,55,49,49,50,51,32,
      46,48,51,56,54,56,57,32,46,48,52,48,52,53,56,51,10,32,32,46,48,52,50,48,49,
      56,51,32,46,48,52,51,48,48,54,56,32,46,48,52,52,48,49,48,57,32,46,48,52,52,
      57,51,50,49,32,46,48,52,53,53,55,56,56,32,46,48,52,53,57,49,57,56,32,46,48,
      52,53,57,51,49,53,32,46,48,52,53,54,51,50,50,32,46,48,52,53,48,51,50,51,10,
      32,32,46,48,52,51,57,56,48,55,32,46,48,52,50,49,52,48,50,32,46,48,52,48,48,
      49,54,55,32,46,48,51,55,54,53,32,46,48,51,53,54,49,54,54,32,46,48,51,51,52,
      49,53,52,32,46,48,51,48,51,57,50,51,32,46,48,50,55,52,54,56,51,32,46,48,50,
      52,55,48,55,55,32,46,48,50,50,52,52,49,56,10,32,32,46,48,49,57,52,54,51,32,
      46,48,49,54,55,55,55,54,32,46,48,49,52,51,53,54,52,32,46,48,49,50,51,55,56,
      56,32,46,48,49,48,54,49,48,49,32,46,48,48,57,48,55,57,49,54,32,46,48,48,55,
      54,48,50,52,54,32,46,48,48,54,52,51,50,49,56,32,46,48,48,53,54,55,57,54,10,
      32,32,46,48,48,52,52,55,53,56,57,32,46,48,48,51,53,54,48,49,54,32,46,48,48,
      50,56,54,51,51,51,32,46,48,48,50,50,53,49,49,55,32,46,48,48,49,56,48,54,57,
      53,32,46,48,48,49,52,50,48,53,57,32,46,48,48,49,49,50,53,53,53,32,46,48,48,
      48,57,48,48,49,53,49,10,32,32,46,48,48,48,55,50,55,55,51,57,32,46,48,48,48,
      53,55,53,50,48,56,32,46,48,48,48,52,56,52,54,53,57,32,46,48,48,48,52,48,56,
      56,48,57,32,46,48,48,48,51,48,57,52,52,50,32,46,48,48,48,50,54,49,49,49,32,
      46,48,48,48,50,48,48,48,52,56,32,46,48,48,48,49,53,49,48,55,54,10,32,32,46,
      48,48,48,49,50,55,55,50,51,32,46,48,48,48,49,48,55,57,53,57,32,56,46,50,55,
      56,55,54,101,45,48,53,32,54,46,49,55,57,57,101,45,48,53,32,53,46,50,53,53,48,
      51,101,45,48,53,32,52,46,48,52,54,52,53,101,45,48,53,32,51,46,52,53,49,49,55,
      101,45,48,53,10,32,32,50,46,54,54,54,49,54,101,45,48,53,32,50,46,49,54,50,53,
      57,101,45,48,53,32,49,46,53,57,48,57,101,45,48,53,32,49,46,52,48,49,52,52,101,
      45,48,53,32,49,46,48,57,56,51,53,101,45,48,53,32,56,46,51,57,51,54,50,101,45,
      48,54,32,54,46,55,49,48,53,53,101,45,48,54,10,32,32,53,46,51,54,54,52,52,101,
      45,48,54,32,52,46,51,53,52,54,56,101,45,48,54,32,51,46,53,52,53,55,51,101,45,
      48,54,32,50,46,56,50,52,48,53,101,45,48,54,32,50,46,51,48,55,55,50,101,45,48,
      54,32,49,46,56,52,55,54,50,101,45,48,54,32,49,46,53,54,57,101,45,48,54,10,32,
      32,49,46,50,48,50,48,56,101,45,48,54,32,49,46,48,50,49,49,101,45,48,54,32,56,
      46,51,51,56,48,54,101,45,48,55,32,53,46,50,48,53,49,56,101,45,48,55,32,50,46,
      55,50,53,52,55,101,45,48,55,32,49,46,52,53,49,54,50,101,45,48,55,32,54,46,54,
      49,53,51,57,101,45,48,56,10,32,32,51,46,48,49,57,53,51,101,45,48,56,32,49,46,
      49,55,57,56,57,101,45,48,56,32,53,46,51,57,56,56,101,45,48,57,32,50,46,55,51,
      57,52,50,101,45,48,56,32,49,46,48,53,57,50,54,101,45,48,56,32,53,46,52,51,52,
      50,56,101,45,48,57,32,50,46,53,56,48,57,54,101,45,48,57,10,32,32,57,46,53,56,
      48,51,54,101,45,49,48,32,52,46,48,51,49,48,55,101,45,49,48,32,49,46,54,57,56,
      50,51,101,45,49,48,32,54,46,51,51,50,48,49,101,45,49,49,32,50,46,51,54,50,53,
      49,101,45,49,49,32,57,46,57,55,57,57,54,101,45,49,50,32,52,46,50,49,57,53,54,
      101,45,49,50,10,32,32,49,46,55,54,51,50,53,101,45,49,50,32,54,46,54,48,48,52,
      50,101,45,49,51,32,50,46,49,56,55,53,54,101,45,49,51,32,54,46,52,50,48,57,56,
      101,45,49,52,32,50,46,49,51,50,54,56,101,45,49,52,32,54,46,50,55,51,52,53,101,
      45,49,53,32,50,46,48,56,55,52,57,101,45,49,53,10,32,32,54,46,57,53,49,53,50,
      101,45,49,54,32,50,46,48,53,48,52,50,101,45,49,54,32,53,46,53,52,52,48,57,101,
      45,49,55,32,50,46,48,49,57,56,57,101,45,49,55,32,54,46,50,55,53,55,53,101,45,
      49,56,32,50,46,50,52,55,54,56,101,45,49,56,32,55,46,53,48,52,51,52,101,45,49,
      57,10,32,32,50,46,53,48,54,55,55,101,45,49,57,32,55,46,57,57,54,52,101,45,50,
      48,32,50,46,54,54,57,53,53,101,45,50,48,32,56,46,57,49,54,48,50,101,45,50,49,
      32,48,114,53,50,32,50,46,52,49,57,49,55,101,45,48,55,32,51,46,50,50,53,51,51,
      101,45,48,55,32,52,46,51,48,48,54,101,45,48,55,10,32,32,53,46,55,51,52,48,54,
      101,45,48,55,32,55,46,54,52,53,52,50,101,45,48,55,32,49,46,48,49,57,52,101,
      45,48,54,32,49,46,51,53,57,50,50,101,45,48,54,32,49,46,56,49,50,50,57,101,45,
      48,54,32,50,46,52,49,54,51,49,101,45,48,54,32,51,46,50,50,49,55,54,101,45,48,
      54,10,32,32,52,46,50,57,53,56,54,101,45,48,54,32,53,46,55,50,55,54,57,101,45,
      48,54,32,55,46,54,51,55,50,49,101,45,48,54,32,49,46,48,49,56,51,101,45,48,53,
      32,49,46,51,53,55,55,51,101,45,48,53,32,49,46,56,49,48,51,49,101,45,48,53,32,
      50,46,52,49,51,55,53,101,45,48,53,10,32,32,51,46,54,50,48,54,49,101,45,48,53,
      32,54,46,48,51,52,50,49,101,45,48,53,32,56,46,52,52,55,53,56,101,45,48,53,32,
      46,48,48,48,49,50,48,54,55,50,32,46,48,48,48,49,54,56,57,50,51,32,46,48,48,
      48,50,52,49,50,55,55,32,46,48,48,48,51,54,49,56,48,54,10,32,32,46,48,48,48,
      54,48,50,54,49,52,32,46,48,48,48,56,52,51,48,55,57,32,46,48,48,49,50,48,51,
      49,50,32,46,48,48,49,54,56,53,52,50,32,46,48,48,50,52,48,49,55,49,32,46,48,
      48,50,57,57,53,52,32,46,48,48,51,53,56,54,48,51,32,46,48,48,52,55,53,55,53,
      50,10,32,32,46,48,48,53,57,49,53,49,56,32,46,48,48,55,48,53,56,49,52,32,46,
      48,48,55,54,50,51,56,54,32,46,48,48,56,49,56,53,54,51,32,46,48,48,56,55,52,
      51,51,49,32,46,48,48,57,50,57,54,57,56,32,46,48,48,57,56,52,54,52,32,46,48,
      49,48,51,57,49,53,32,46,48,49,48,57,51,50,52,10,32,32,46,48,49,49,52,54,56,
      57,32,46,48,49,50,48,48,49,32,46,48,49,50,53,50,56,53,32,46,48,49,51,49,53,
      53,54,32,46,48,49,51,55,55,54,49,32,46,48,49,52,53,57,51,50,32,46,48,49,53,
      51,57,56,50,32,46,48,49,54,49,57,49,50,32,46,48,49,55,49,54,53,32,46,48,49,
      56,49,49,57,53,10,32,32,46,48,49,57,48,53,52,57,32,46,48,50,48,49,53,49,56,
      32,46,48,50,49,50,50,48,53,32,46,48,50,50,54,48,49,52,32,46,48,50,51,57,51,
      50,54,32,46,48,50,53,50,49,51,53,32,46,48,50,54,53,57,53,56,32,46,48,50,56,
      48,53,56,54,32,46,48,50,57,53,56,49,49,10,32,32,46,48,51,49,49,52,49,32,46,
      48,51,50,55,49,51,32,46,48,51,52,51,56,48,51,32,46,48,51,53,56,57,54,50,32,
      46,48,51,55,52,51,56,50,32,46,48,51,57,49,55,48,55,32,46,48,52,48,55,48,48,
      57,32,46,48,52,49,54,55,50,54,32,46,48,52,50,54,54,50,52,32,46,48,52,51,53,
      55,53,10,32,32,46,48,52,52,50,50,50,56,32,46,48,52,52,53,55,53,52,32,46,48,
      52,52,54,49,48,57,32,46,48,52,52,51,52,51,57,32,46,48,52,51,55,56,54,55,32,
      46,48,52,50,55,57,54,51,32,46,48,52,49,48,52,57,32,46,48,51,57,48,50,51,32,
      46,48,51,54,55,53,55,50,32,46,48,51,52,56,48,53,51,10,32,32,46,48,51,50,54,
      56,55,55,32,46,48,50,57,55,55,50,51,32,46,48,50,54,57,52,52,55,32,46,48,50,
      52,50,54,56,52,32,46,48,50,50,48,54,54,56,32,46,48,49,57,49,54,53,55,32,46,
      48,49,54,53,52,51,54,32,46,48,49,52,49,55,51,57,32,46,48,49,50,50,51,52,50,
      10,32,32,46,48,49,48,52,57,54,51,32,46,48,48,56,57,56,57,53,51,32,46,48,48,
      55,53,51,51,56,56,32,46,48,48,54,51,55,56,54,57,32,46,48,48,53,54,51,53,48,
      50,32,46,48,48,52,52,52,52,50,54,32,46,48,48,51,53,51,55,50,54,32,46,48,48,
      50,56,52,54,51,57,32,46,48,48,50,50,51,56,57,53,10,32,32,46,48,48,49,55,57,
      55,56,53,32,46,48,48,49,52,49,51,57,53,32,46,48,48,49,49,50,48,54,52,32,46,
      48,48,48,56,57,54,52,53,56,32,46,48,48,48,55,50,52,57,49,52,32,46,48,48,48,
      53,55,51,49,48,50,32,46,48,48,48,52,56,50,57,53,52,32,46,48,48,48,52,48,55,
      52,50,54,10,32,32,46,48,48,48,51,48,56,52,53,54,32,46,48,48,48,50,54,48,51,
      48,55,32,46,48,48,48,49,57,57,52,54,53,32,46,48,48,48,49,53,48,54,53,56,32,
      46,48,48,48,49,50,55,51,56,32,46,48,48,48,49,48,55,54,55,55,32,56,46,50,53,
      56,49,101,45,48,53,32,54,46,49,54,53,49,57,101,45,48,53,10,32,32,53,46,50,52,
      50,56,52,101,45,48,53,32,52,46,48,51,55,52,52,101,45,48,53,32,51,46,52,52,51,
      54,53,101,45,48,53,32,50,46,54,54,48,53,54,101,45,48,53,32,50,46,49,53,56,49,
      56,101,45,48,53,32,49,46,53,56,55,55,57,101,45,48,53,32,49,46,51,57,56,55,52,
      101,45,48,53,10,32,32,49,46,48,57,54,51,101,45,48,53,32,56,46,51,55,56,52,53,
      101,45,48,54,32,54,46,54,57,56,55,53,101,45,48,54,32,53,46,51,53,55,50,52,101,
      45,48,54,32,52,46,51,52,55,52,101,45,48,54,32,51,46,53,51,57,57,52,101,45,48,
      54,32,50,46,56,49,57,53,53,101,45,48,54,10,32,32,50,46,51,48,52,49,51,101,45,
      48,54,32,49,46,56,52,52,56,101,45,48,54,32,49,46,53,54,54,54,52,101,45,48,54,
      32,49,46,50,48,48,51,51,101,45,48,54,32,49,46,48,49,57,54,51,101,45,48,54,32,
      56,46,51,50,54,51,50,101,45,48,55,32,53,46,49,57,56,49,54,101,45,48,55,10,32,
      32,50,46,55,50,49,57,57,101,45,48,55,32,49,46,52,52,57,56,55,101,45,48,55,32,
      54,46,54,48,55,56,57,101,45,48,56,32,51,46,48,49,54,51,49,101,45,48,56,32,49,
      46,49,55,56,55,49,101,45,48,56,32,53,46,51,57,52,53,52,101,45,48,57,32,50,46,
      55,50,50,53,55,101,45,48,56,10,32,32,49,46,48,53,50,55,54,101,45,48,56,32,53,
      46,52,48,48,57,50,101,45,48,57,32,50,46,53,54,53,49,101,45,48,57,32,57,46,53,
      50,49,52,53,101,45,49,48,32,52,46,48,48,54,50,54,101,45,49,48,32,49,46,54,56,
      55,55,55,101,45,49,48,32,54,46,50,57,50,57,55,101,45,49,49,10,32,32,50,46,51,
      52,57,53,51,101,45,49,49,32,57,46,57,50,56,55,51,101,45,49,50,32,52,46,49,57,
      55,56,55,101,45,49,50,32,49,46,55,53,52,51,49,101,45,49,50,32,54,46,53,54,54,
      57,49,101,45,49,51,32,50,46,49,55,54,52,53,101,45,49,51,32,54,46,51,56,56,51,
      49,101,45,49,52,10,32,32,50,46,49,50,49,56,50,101,45,49,52,32,54,46,50,52,49,
      52,56,101,45,49,53,32,50,46,48,55,54,56,53,101,45,49,53,32,54,46,57,49,54,48,
      54,101,45,49,54,32,50,46,48,51,57,57,54,101,45,49,54,32,53,46,53,49,53,55,57,
      101,45,49,55,32,50,46,48,48,57,53,55,101,45,49,55,10,32,32,54,46,50,53,48,53,
      53,101,45,49,56,32,50,46,50,52,49,50,55,101,45,49,56,32,55,46,52,56,53,56,101,
      45,49,57,32,50,46,53,48,48,53,56,101,45,49,57,32,55,46,57,55,49,56,49,101,45,
      50,48,32,50,46,54,54,49,51,101,45,50,48,32,56,46,56,56,56,50,54,101,45,50,49,
      10,32,32,48,114,53,50,32,50,46,51,54,52,51,51,101,45,48,55,32,51,46,49,53,50,
      50,49,101,45,48,55,32,52,46,50,48,51,49,101,45,48,55,32,53,46,54,48,52,48,55,
      101,45,48,55,32,55,46,52,55,50,48,57,101,45,48,55,32,57,46,57,54,50,56,57,101,
      45,48,55,32,49,46,51,50,56,52,101,45,48,54,10,32,32,49,46,55,55,49,50,101,45,
      48,54,32,50,46,51,54,49,53,51,101,45,48,54,32,51,46,49,52,56,55,49,101,45,48,
      54,32,52,46,49,57,56,52,54,101,45,48,54,32,53,46,53,57,55,56,49,101,45,48,54,
      32,55,46,52,54,52,101,45,48,54,32,57,46,57,53,50,48,51,101,45,48,54,10,32,32,
      49,46,51,50,54,57,50,101,45,48,53,32,49,46,55,54,57,50,51,101,45,48,53,32,50,
      46,51,53,56,57,54,101,45,48,53,32,51,46,53,51,56,51,55,101,45,48,53,32,53,46,
      56,57,54,57,55,101,45,48,53,32,56,46,50,53,53,50,51,101,45,48,53,32,46,48,48,
      48,49,49,55,57,49,57,10,32,32,46,48,48,48,49,54,53,48,54,49,32,46,48,48,48,
      50,51,53,55,52,53,32,46,48,48,48,51,53,51,52,54,57,32,46,48,48,48,53,56,56,
      54,32,46,48,48,48,56,50,51,50,57,57,32,46,48,48,49,49,55,52,53,52,32,46,48,
      48,49,54,52,49,51,51,32,46,48,48,50,51,52,49,55,50,10,32,32,46,48,48,50,57,
      49,57,53,55,32,46,48,48,51,52,57,52,49,50,32,46,48,48,52,54,51,50,57,57,32,
      46,48,48,53,55,53,55,54,32,46,48,48,54,56,54,55,51,50,32,46,48,48,55,52,49,
      54,52,49,32,46,48,48,55,57,54,49,53,56,32,46,48,48,56,53,48,50,55,32,46,48,
      48,57,48,51,57,56,53,10,32,32,46,48,48,57,53,55,50,56,52,32,46,48,49,48,49,
      48,49,54,32,46,48,49,48,54,50,54,51,32,46,48,49,49,49,52,54,54,32,46,48,49,
      49,54,54,50,54,32,46,48,49,50,49,55,52,51,32,46,48,49,50,55,56,50,53,32,46,
      48,49,51,51,56,52,51,32,46,48,49,52,49,55,54,55,10,32,32,46,48,49,52,57,53,
      55,54,32,46,48,49,53,55,50,54,56,32,46,48,49,54,54,55,49,54,32,46,48,49,55,
      53,57,55,56,32,46,48,49,56,53,48,53,53,32,46,48,49,57,53,55,48,50,32,46,48,
      50,48,54,48,55,55,32,46,48,50,49,57,52,56,55,32,46,48,50,51,50,52,49,56,10,
      32,32,46,48,50,52,52,56,54,52,32,46,48,50,53,56,51,48,49,32,46,48,50,55,50,
      53,50,53,32,46,48,50,56,55,51,51,52,32,46,48,51,48,50,53,49,52,32,46,48,51,
      49,55,56,49,55,32,46,48,51,51,52,48,53,55,32,46,48,51,52,56,56,50,57,32,46,
      48,51,54,51,56,54,51,10,32,32,46,48,51,56,48,55,54,55,32,46,48,51,57,53,55,
      49,49,32,46,48,52,48,53,50,49,50,32,46,48,52,49,52,57,48,53,32,46,48,52,50,
      51,56,54,57,32,46,48,52,51,48,50,55,32,46,48,52,51,51,56,49,56,32,46,48,52,
      51,52,51,48,51,32,46,48,52,51,49,56,53,52,10,32,32,46,48,52,50,54,54,32,46,
      48,52,49,55,49,55,56,32,46,48,52,48,48,52,55,32,46,48,51,56,49,48,51,54,32,
      46,48,51,53,57,50,53,32,46,48,51,52,48,52,52,56,32,46,48,51,50,48,48,49,54,
      32,46,48,50,57,49,56,51,51,32,46,48,50,54,52,52,51,55,32,46,48,50,51,56,52,
      53,52,10,32,32,46,48,50,49,55,48,51,55,32,46,48,49,56,56,55,53,56,32,46,48,
      49,54,51,49,51,57,32,46,48,49,51,57,57,51,54,32,46,48,49,50,48,57,48,55,32,
      46,48,49,48,51,56,50,56,32,46,48,48,56,56,57,57,55,54,32,46,48,48,55,52,54,
      52,57,50,32,46,48,48,54,51,50,52,55,49,10,32,32,46,48,48,53,53,56,57,57,51,
      32,46,48,48,52,52,49,50,49,54,32,46,48,48,51,53,49,51,57,54,32,46,48,48,50,
      56,50,57,49,50,32,46,48,48,50,50,50,54,52,55,32,46,48,48,49,55,56,56,53,51,
      32,46,48,48,49,52,48,55,49,53,32,46,48,48,49,49,49,53,54,32,46,48,48,48,56,
      57,50,54,54,54,10,32,32,46,48,48,48,55,50,50,48,49,52,32,46,48,48,48,53,55,
      48,57,51,55,32,46,48,48,48,52,56,49,50,48,50,32,46,48,48,48,52,48,54,48,48,
      51,32,46,48,48,48,51,48,55,52,52,50,32,46,48,48,48,50,53,57,52,56,32,46,48,
      48,48,49,57,56,56,54,52,32,46,48,48,48,49,53,48,50,50,55,10,32,32,46,48,48,
      48,49,50,55,48,50,54,32,46,48,48,48,49,48,55,51,56,55,32,56,46,50,51,54,56,
      51,101,45,48,53,32,54,46,49,53,48,48,52,101,45,48,53,32,53,46,50,51,48,50,57,
      101,45,48,53,32,52,46,48,50,56,49,52,101,45,48,53,32,51,46,52,51,53,57,101,
      45,48,53,10,32,32,50,46,54,53,52,55,57,101,45,48,53,32,50,46,49,53,51,54,51,
      101,45,48,53,32,49,46,53,56,52,53,55,101,45,48,53,32,49,46,51,57,53,57,54,101,
      45,48,53,32,49,46,48,57,52,49,56,101,45,48,53,32,56,46,51,54,50,56,50,101,45,
      48,54,32,54,46,54,56,54,53,56,101,45,48,54,10,32,32,53,46,51,52,55,55,55,101,
      45,48,54,32,52,46,51,51,57,57,101,45,48,54,32,51,46,53,51,51,57,54,101,45,48,
      54,32,50,46,56,49,52,57,49,101,45,48,54,32,50,46,51,48,48,52,49,101,45,48,54,
      32,49,46,56,52,49,56,57,101,45,48,54,32,49,46,53,54,52,50,50,101,45,48,54,10,
      32,32,49,46,49,57,56,53,50,101,45,48,54,32,49,46,48,49,56,49,50,101,45,48,54,
      32,56,46,51,49,52,49,56,101,45,48,55,32,53,46,49,57,48,57,101,45,48,55,32,50,
      46,55,49,56,52,49,101,45,48,55,32,49,46,52,52,56,48,53,101,45,48,55,32,54,46,
      54,48,48,49,55,101,45,48,56,10,32,32,51,46,48,49,50,57,56,101,45,48,56,32,49,
      46,49,55,55,53,101,45,48,56,32,53,46,51,57,48,52,56,101,45,48,57,32,50,46,55,
      48,49,53,57,101,45,48,56,32,49,46,48,52,54,51,54,101,45,48,56,32,53,46,51,54,
      56,48,53,101,45,48,57,32,50,46,53,52,57,52,56,101,45,48,57,10,32,32,57,46,52,
      54,51,52,101,45,49,48,32,51,46,57,56,49,56,49,101,45,49,48,32,49,46,54,55,55,
      52,54,101,45,49,48,32,54,46,50,53,52,53,101,45,49,49,32,50,46,51,51,53,49,54,
      101,45,49,49,32,57,46,56,55,49,48,50,101,45,49,50,32,52,46,49,55,54,50,52,101,
      45,49,50,10,32,32,49,46,55,52,53,53,50,101,45,49,50,32,54,46,53,51,52,101,45,
      49,51,32,50,46,49,54,53,53,51,101,45,49,51,32,54,46,51,53,54,50,51,101,45,49,
      52,32,50,46,49,49,49,49,54,101,45,49,52,32,54,46,50,49,48,49,101,45,49,53,32,
      50,46,48,54,54,52,101,45,49,53,10,32,32,54,46,56,56,49,50,52,101,45,49,54,32,
      50,46,48,50,57,54,56,101,45,49,54,32,53,46,52,56,56,48,49,101,45,49,55,32,49,
      46,57,57,57,52,52,101,45,49,55,32,54,46,50,49,56,57,57,101,45,49,56,32,50,46,
      50,50,57,57,54,101,45,49,56,32,55,46,52,53,52,52,49,101,45,49,57,10,32,32,50,
      46,52,57,51,49,53,101,45,49,57,32,55,46,57,52,55,57,55,101,45,50,48,32,50,46,
      54,53,51,50,56,101,45,50,48,32,56,46,56,54,49,51,52,101,45,50,49,32,48,114,
      53,50,32,50,46,51,51,56,53,49,101,45,48,55,32,51,46,49,49,55,55,57,101,45,48,
      55,32,52,46,49,53,55,50,49,101,45,48,55,10,32,32,53,46,53,52,50,56,55,101,45,
      48,55,32,55,46,51,57,48,53,101,45,48,55,32,57,46,56,53,52,48,57,101,45,48,55,
      32,49,46,51,49,51,57,101,45,48,54,32,49,46,55,53,49,56,54,101,45,48,54,32,50,
      46,51,51,53,55,52,101,45,48,54,32,51,46,49,49,52,51,51,101,45,48,54,10,32,32,
      52,46,49,53,50,54,101,45,48,54,32,53,46,53,51,54,54,54,101,45,48,54,32,55,46,
      51,56,50,52,55,101,45,48,54,32,57,46,56,52,51,51,49,101,45,48,54,32,49,46,51,
      49,50,52,51,101,45,48,53,32,49,46,55,52,57,56,57,101,45,48,53,32,50,46,51,51,
      51,49,55,101,45,48,53,10,32,32,51,46,52,57,57,54,54,101,45,48,53,32,53,46,56,
      51,50,51,54,101,45,48,53,32,56,46,49,54,52,54,54,101,45,48,53,32,46,48,48,48,
      49,49,54,54,50,51,32,46,48,48,48,49,54,51,50,52,50,32,46,48,48,48,50,51,51,
      49,51,53,32,46,48,48,48,51,52,57,53,50,56,10,32,32,46,48,48,48,53,56,49,57,
      52,53,32,46,48,48,48,56,49,51,56,53,57,32,46,48,48,49,49,54,48,55,56,32,46,
      48,48,49,54,50,49,53,53,32,46,48,48,50,51,49,49,54,54,32,46,48,48,50,56,56,
      49,48,52,32,46,48,48,51,52,52,54,55,56,32,46,48,48,52,53,54,55,48,54,10,32,
      32,46,48,48,53,54,55,49,57,55,32,46,48,48,54,55,54,49,48,51,32,46,48,48,55,
      50,57,57,52,56,32,46,48,48,55,56,51,51,56,50,32,46,48,48,56,51,54,51,57,53,
      32,46,48,48,56,56,56,57,57,53,32,46,48,48,57,52,49,49,54,54,32,46,48,48,57,
      57,50,57,48,54,10,32,32,46,48,49,48,52,52,50,50,32,46,48,49,48,57,53,48,57,
      32,46,48,49,49,52,53,53,51,32,46,48,49,49,57,53,53,50,32,46,48,49,50,53,52,
      57,50,32,46,48,49,51,49,51,54,57,32,46,48,49,51,57,49,48,51,32,46,48,49,52,
      54,55,50,50,32,46,48,49,53,52,50,50,51,10,32,32,46,48,49,54,51,52,51,53,32,
      46,48,49,55,50,52,54,49,32,46,48,49,56,49,51,48,52,32,46,48,49,57,49,54,55,
      51,32,46,48,50,48,49,55,55,53,32,46,48,50,49,52,56,50,55,32,46,48,50,50,55,
      52,48,57,32,46,48,50,51,57,53,49,56,32,46,48,50,53,50,53,56,54,10,32,32,46,
      48,50,54,54,52,49,56,32,46,48,50,56,48,56,49,55,32,46,48,50,57,53,53,55,51,
      32,46,48,51,49,48,52,52,56,32,46,48,51,50,54,50,51,50,32,46,48,51,52,48,53,
      56,55,32,46,48,51,53,53,49,57,57,32,46,48,51,55,49,54,50,54,32,46,48,51,56,
      54,49,53,10,32,32,46,48,51,57,53,51,56,53,32,46,48,52,48,52,56,49,49,32,46,
      48,52,49,51,53,51,51,32,46,48,52,49,57,55,55,51,32,46,48,52,50,51,50,53,49,
      32,46,48,52,50,51,55,54,56,32,46,48,52,50,49,52,52,51,32,46,48,52,49,54,52,
      48,56,32,46,48,52,48,55,51,53,49,10,32,32,46,48,51,57,49,50,53,56,32,46,48,
      51,55,50,53,49,55,32,46,48,51,53,49,52,56,51,32,46,48,51,51,51,51,48,57,32,
      46,48,51,49,51,53,51,57,32,46,48,50,56,54,50,50,57,32,46,48,50,53,57,54,51,
      57,32,46,48,50,51,52,51,55,53,32,46,48,50,49,51,53,49,56,10,32,32,46,48,49,
      56,53,57,50,56,32,46,48,49,54,48,56,56,51,32,46,48,49,51,56,49,53,53,32,46,
      48,49,49,57,52,56,50,32,46,48,49,48,50,54,57,55,32,46,48,48,56,56,48,57,57,
      32,46,48,48,55,51,57,53,54,50,32,46,48,48,54,50,55,48,50,56,32,46,48,48,53,
      53,52,52,51,56,10,32,32,46,48,48,52,51,55,57,54,50,32,46,48,48,51,52,57,48,
      50,55,32,46,48,48,50,56,49,49,53,50,32,46,48,48,50,50,49,51,55,51,32,46,48,
      48,49,55,55,57,32,46,48,48,49,52,48,48,49,57,32,46,48,48,49,49,49,48,52,52,
      32,46,48,48,48,56,56,56,55,56,32,46,48,48,48,55,49,57,48,51,56,10,32,32,46,
      48,48,48,53,54,56,55,49,54,32,46,48,48,48,52,55,57,52,48,51,32,46,48,48,48,
      52,48,52,53,52,51,32,46,48,48,48,51,48,54,52,32,46,48,48,48,50,53,56,54,51,
      49,32,46,48,48,48,49,57,56,50,52,54,32,46,48,48,48,49,52,57,55,56,52,32,46,
      48,48,48,49,50,54,54,54,51,10,32,32,46,48,48,48,49,48,55,48,56,57,32,56,46,
      50,49,52,57,55,101,45,48,53,32,54,46,49,51,52,52,54,101,45,48,53,32,53,46,50,
      49,55,51,55,101,45,48,53,32,52,46,48,49,56,53,55,101,45,48,53,32,51,46,52,50,
      55,57,51,101,45,48,53,32,50,46,54,52,56,56,53,101,45,48,53,10,32,32,50,46,49,
      52,56,57,53,101,45,48,53,32,49,46,53,56,49,50,55,101,45,48,53,32,49,46,51,57,
      51,48,57,101,45,48,53,32,49,46,48,57,50,48,49,101,45,48,53,32,56,46,51,52,54,
      55,53,101,45,48,54,32,54,46,54,55,52,48,54,101,45,48,54,32,53,46,51,51,56,48,
      49,101,45,48,54,10,32,32,52,46,51,51,50,49,54,101,45,48,54,32,51,46,53,50,55,
      56,101,45,48,54,32,50,46,56,49,48,49,50,101,45,48,54,32,50,46,50,57,54,53,57,
      101,45,48,54,32,49,46,56,51,56,57,101,45,48,54,32,49,46,53,54,49,55,50,101,
      45,48,54,32,49,46,49,57,54,54,53,101,45,48,54,10,32,32,49,46,48,49,54,53,54,
      101,45,48,54,32,56,46,51,48,49,54,56,101,45,48,55,32,53,46,49,56,51,52,52,101,
      45,48,55,32,50,46,55,49,52,55,50,101,45,48,55,32,49,46,52,52,54,49,57,101,45,
      48,55,32,54,46,53,57,50,49,56,101,45,48,56,32,51,46,48,48,57,53,54,101,45,48,
      56,10,32,32,49,46,49,55,54,50,52,101,45,48,56,32,53,46,51,56,54,50,56,101,45,
      48,57,32,50,46,54,56,48,56,54,101,45,48,56,32,49,46,48,51,56,52,52,101,45,48,
      56,32,53,46,51,51,51,57,50,101,45,48,57,32,50,46,53,51,52,48,57,101,45,48,57,
      32,57,46,52,48,54,50,49,101,45,49,48,10,32,32,51,46,57,53,55,55,51,101,45,49,
      48,32,49,46,54,54,55,51,49,101,45,49,48,32,54,46,50,49,54,54,49,101,45,49,49,
      32,50,46,51,50,49,101,45,49,49,32,57,46,56,49,49,49,51,101,45,49,50,32,52,46,
      49,53,48,56,56,101,45,49,50,32,49,46,55,51,54,48,53,101,45,49,50,10,32,32,54,
      46,53,48,49,55,101,45,49,51,32,50,46,49,53,52,56,49,101,45,49,51,32,54,46,51,
      50,52,55,53,101,45,49,52,32,50,46,49,48,48,54,57,101,45,49,52,32,54,46,49,55,
      57,50,57,101,45,49,53,32,50,46,48,53,54,49,52,101,45,49,53,32,54,46,56,52,55,
      48,55,101,45,49,54,10,32,32,50,46,48,49,57,54,101,45,49,54,32,53,46,52,54,48,
      55,52,101,45,49,55,32,49,46,57,56,57,53,101,45,49,55,32,54,46,49,56,56,48,50,
      101,45,49,56,32,50,46,50,49,56,56,53,101,45,49,56,32,55,46,52,49,55,50,57,101,
      45,49,57,32,50,46,52,56,48,55,51,101,45,49,57,10,32,32,55,46,57,48,55,54,55,
      101,45,50,48,32,50,46,54,52,51,49,101,45,50,48,32,56,46,56,51,53,50,52,101,
      45,50,49,32,48,114,53,50,32,50,46,51,52,50,51,50,101,45,48,55,32,51,46,49,50,
      50,56,55,101,45,48,55,32,52,46,49,54,51,57,56,101,45,48,55,32,53,46,53,53,49,
      57,101,45,48,55,10,32,32,55,46,52,48,50,53,52,101,45,48,55,32,57,46,56,55,48,
      49,52,101,45,48,55,32,49,46,51,49,54,48,52,101,45,48,54,32,49,46,55,53,52,55,
      49,101,45,48,54,32,50,46,51,51,57,53,52,101,45,48,54,32,51,46,49,49,57,52,101,
      45,48,54,32,52,46,49,53,57,51,54,101,45,48,54,10,32,32,53,46,53,52,53,54,55,
      101,45,48,54,32,55,46,51,57,52,52,55,101,45,48,54,32,57,46,56,53,57,51,101,
      45,48,54,32,49,46,51,49,52,53,53,101,45,48,53,32,49,46,55,53,50,55,51,101,45,
      48,53,32,50,46,51,51,54,57,52,101,45,48,53,32,51,46,53,48,53,50,55,101,45,48,
      53,10,32,32,53,46,56,52,49,54,101,45,48,53,32,56,46,49,55,55,52,49,101,45,48,
      53,32,46,48,48,48,49,49,54,56,48,49,32,46,48,48,48,49,54,51,52,56,53,32,46,
      48,48,48,50,51,51,52,54,56,32,46,48,48,48,51,52,57,57,57,49,32,46,48,48,48,
      53,56,50,53,57,52,32,46,48,48,48,56,49,52,53,57,53,10,32,32,46,48,48,49,49,
      54,49,52,53,32,46,48,48,49,54,50,49,55,56,32,46,48,48,50,51,48,57,56,56,32,
      46,48,48,50,56,55,55,51,57,32,46,48,48,51,52,52,48,55,32,46,48,48,52,53,53,
      52,54,49,32,46,48,48,53,54,53,49,50,54,32,46,48,48,54,55,51,48,51,52,32,46,
      48,48,55,50,54,51,50,50,10,32,32,46,48,48,55,55,57,49,54,49,32,46,48,48,56,
      51,49,53,52,55,32,46,48,48,56,56,51,52,56,54,32,46,48,48,57,51,52,57,54,54,
      32,46,48,48,57,56,53,57,56,55,32,46,48,49,48,51,54,53,53,32,46,48,49,48,56,
      54,54,54,32,46,48,49,49,51,54,51,32,46,48,49,49,56,53,52,56,10,32,32,46,48,
      49,50,52,51,56,55,32,46,48,49,51,48,49,54,32,46,48,49,51,55,55,53,52,32,46,
      48,49,52,53,50,50,56,32,46,48,49,53,50,53,56,49,32,46,48,49,54,49,54,48,52,
      32,46,48,49,55,48,52,51,56,32,46,48,49,55,57,48,56,55,32,46,48,49,56,57,50,
      50,32,46,48,49,57,57,48,56,53,10,32,32,46,48,50,49,49,56,50,32,46,48,50,50,
      52,48,56,54,32,46,48,50,51,53,56,56,52,32,46,48,50,52,56,54,48,53,32,46,48,
      50,54,50,48,54,49,32,46,48,50,55,54,48,53,57,32,46,48,50,57,48,51,57,50,32,
      46,48,51,48,52,56,51,51,32,46,48,51,50,48,49,52,53,10,32,32,46,48,51,51,52,
      48,54,32,46,48,51,52,56,50,49,55,32,46,48,51,54,52,49,49,57,32,46,48,51,55,
      56,49,54,52,32,46,48,51,56,55,48,56,56,32,46,48,51,57,54,49,56,54,32,46,48,
      52,48,52,53,57,51,32,46,48,52,49,48,53,57,50,32,46,48,52,49,51,57,49,53,10,
      32,32,46,48,52,49,52,51,55,50,32,46,48,52,49,50,48,56,53,32,46,48,52,48,55,
      49,55,56,32,46,48,51,57,56,51,56,50,32,46,48,51,56,50,55,55,51,32,46,48,51,
      54,52,54,48,54,32,46,48,51,52,52,50,49,55,32,46,48,51,50,54,53,57,52,32,46,
      48,51,48,55,52,49,49,10,32,32,46,48,50,56,48,56,57,49,32,46,48,50,53,53,48,
      51,55,32,46,48,50,51,48,52,51,57,32,46,48,50,49,48,49,48,53,32,46,48,49,56,
      51,49,54,54,32,46,48,49,53,56,54,54,55,32,46,48,49,51,54,51,57,54,32,46,48,
      49,49,56,48,54,56,32,46,48,49,48,49,53,54,57,10,32,32,46,48,48,56,55,49,57,
      57,57,32,46,48,48,55,51,50,54,48,49,32,46,48,48,54,50,49,53,52,52,32,46,48,
      48,53,52,57,56,51,57,32,46,48,48,52,51,52,54,54,53,32,46,48,48,51,52,54,54,
      50,49,32,46,48,48,50,55,57,51,54,49,32,46,48,48,50,50,48,48,55,52,10,32,32,
      46,48,48,49,55,54,57,50,56,32,46,48,48,49,51,57,51,48,55,32,46,48,48,49,49,
      48,53,49,54,32,46,48,48,48,56,56,52,56,48,50,32,46,48,48,48,55,49,53,57,56,
      57,32,46,48,48,48,53,54,54,52,51,57,32,46,48,48,48,52,55,55,53,53,57,32,46,
      48,48,48,52,48,51,48,52,53,10,32,32,46,48,48,48,51,48,53,51,51,32,46,48,48,
      48,50,53,55,55,53,57,32,46,48,48,48,49,57,55,54,49,50,32,46,48,48,48,49,52,
      57,51,51,32,46,48,48,48,49,50,54,50,57,32,46,48,48,48,49,48,54,55,56,51,32,
      56,46,49,57,50,53,101,45,48,53,32,54,46,49,49,56,52,54,101,45,48,53,10,32,32,
      53,46,50,48,52,48,57,101,45,48,53,32,52,46,48,48,56,55,52,101,45,48,53,32,51,
      46,52,49,57,55,52,101,45,48,53,32,50,46,54,52,50,55,53,101,45,48,53,32,50,46,
      49,52,52,49,52,101,45,48,53,32,49,46,53,55,55,56,56,101,45,48,53,32,49,46,51,
      57,48,49,53,101,45,48,53,10,32,32,49,46,48,56,57,55,56,101,45,48,53,32,56,46,
      51,51,48,50,101,45,48,54,32,54,46,54,54,49,49,56,101,45,48,54,32,53,46,51,50,
      55,57,56,101,45,48,54,32,52,46,51,50,52,50,49,101,45,48,54,32,51,46,53,50,49,
      52,55,101,45,48,54,32,50,46,56,48,53,50,101,45,48,54,10,32,32,50,46,50,57,50,
      54,53,101,45,48,54,32,49,46,56,51,53,56,50,101,45,48,54,32,49,46,53,53,57,49,
      52,101,45,48,54,32,49,46,49,57,52,55,51,101,45,48,54,32,49,46,48,49,52,57,53,
      101,45,48,54,32,56,46,50,56,56,56,54,101,45,48,55,32,53,46,49,55,53,55,57,101,
      45,48,55,10,32,32,50,46,55,49,48,57,52,101,45,48,55,32,49,46,52,52,52,50,56,
      101,45,48,55,32,54,46,53,56,51,57,57,101,45,48,56,32,51,46,48,48,54,48,50,101,
      45,48,56,32,49,46,49,55,52,57,53,101,45,48,56,32,53,46,51,56,49,57,50,101,45,
      48,57,32,50,46,54,54,48,51,55,101,45,48,56,10,32,32,49,46,48,51,48,53,49,101,
      45,48,56,32,53,46,50,57,51,50,50,101,45,48,57,32,50,46,53,49,55,50,56,101,45,
      48,57,32,57,46,51,52,57,57,101,45,49,48,32,51,46,57,51,52,48,49,101,45,49,48,
      32,49,46,54,53,55,51,49,101,45,49,48,32,54,46,49,55,57,50,57,101,45,49,49,10,
      32,32,50,46,51,48,55,48,53,101,45,49,49,32,57,46,55,53,50,49,51,101,45,49,50,
      32,52,46,49,50,53,57,101,45,49,50,32,49,46,55,50,53,55,101,45,49,50,32,54,46,
      52,54,52,54,51,101,45,49,51,32,50,46,49,52,52,51,101,45,49,51,32,54,46,50,57,
      51,56,53,101,45,49,52,10,32,32,50,46,48,57,48,52,51,101,45,49,52,32,54,46,49,
      52,57,48,53,101,45,49,53,32,50,46,48,52,54,48,55,101,45,49,53,32,54,46,56,49,
      51,53,52,101,45,49,54,32,50,46,48,48,57,55,49,101,45,49,54,32,53,46,52,51,51,
      57,56,101,45,49,55,32,49,46,57,55,57,55,52,101,45,49,55,10,32,32,54,46,49,53,
      55,54,50,101,45,49,56,32,50,46,50,48,55,57,53,101,45,49,56,32,55,46,51,56,48,
      56,54,101,45,49,57,32,50,46,52,54,56,53,53,101,45,49,57,32,55,46,56,54,50,57,
      50,101,45,50,48,32,50,46,54,50,56,48,56,101,45,50,48,32,56,46,55,56,55,55,53,
      101,45,50,49,10,32,32,48,114,53,50,32,50,46,51,55,56,49,57,101,45,48,55,32,
      51,46,49,55,48,54,57,101,45,48,55,32,52,46,50,50,55,55,52,101,45,48,55,32,53,
      46,54,51,54,57,50,101,45,48,55,32,55,46,53,49,53,56,57,101,45,48,55,32,49,46,
      48,48,50,49,51,101,45,48,54,32,49,46,51,51,54,49,57,101,45,48,54,10,32,32,49,
      46,55,56,49,53,56,101,45,48,54,32,50,46,51,55,53,51,54,101,45,48,54,32,51,46,
      49,54,55,49,52,101,45,48,54,32,52,46,50,50,51,48,50,101,45,48,54,32,53,46,54,
      51,48,53,51,101,45,48,54,32,55,46,53,48,55,53,57,101,45,48,54,32,49,46,48,48,
      49,48,49,101,45,48,53,10,32,32,49,46,51,51,52,54,53,101,45,48,53,32,49,46,55,
      55,57,53,101,45,48,53,32,50,46,51,55,50,54,101,45,48,53,32,51,46,53,53,56,54,
      56,101,45,48,53,32,53,46,57,51,48,51,101,45,48,53,32,56,46,51,48,49,49,55,101,
      45,48,53,32,46,48,48,48,49,49,56,53,54,32,46,48,48,48,49,54,53,57,51,50,10,
      32,32,46,48,48,48,50,51,54,57,51,32,46,48,48,48,51,53,53,49,48,52,32,46,48,
      48,48,53,57,48,56,53,57,32,46,48,48,48,56,50,53,56,50,49,32,46,48,48,49,49,
      55,54,55,56,32,46,48,48,49,54,52,49,57,54,32,46,48,48,50,51,51,51,56,52,32,
      46,48,48,50,57,48,55,49,49,10,32,32,46,48,48,51,52,55,51,53,52,32,46,48,48,
      52,53,57,49,51,51,32,46,48,48,53,54,56,57,48,52,32,46,48,48,54,55,54,54,54,
      56,32,46,48,48,55,50,57,55,57,57,32,46,48,48,55,56,50,52,50,57,32,46,48,48,
      56,51,52,53,53,55,32,46,48,48,56,56,54,49,56,57,10,32,32,46,48,48,57,51,55,
      51,50,49,32,46,48,48,57,56,55,57,53,49,32,46,48,49,48,51,56,48,57,32,46,48,
      49,48,56,55,55,51,32,46,48,49,49,51,54,56,55,32,46,48,49,49,56,53,53,49,32,
      46,48,49,50,52,51,50,51,32,46,48,49,51,48,48,50,52,32,46,48,49,51,55,53,49,
      53,10,32,32,46,48,49,52,52,56,56,49,32,46,48,49,53,50,49,50,49,32,46,48,49,
      54,48,57,57,54,32,46,48,49,54,57,54,55,54,32,46,48,49,55,56,49,54,52,32,46,
      48,49,56,56,48,57,56,32,46,48,49,57,55,55,53,56,32,46,48,50,49,48,50,49,53,
      32,46,48,50,50,50,49,57,56,10,32,32,46,48,50,51,51,55,48,57,32,46,48,50,52,
      54,49,48,56,32,46,48,50,53,57,50,48,56,32,46,48,50,55,50,56,49,57,32,46,48,
      50,56,54,55,51,55,32,46,48,51,48,48,55,52,52,32,46,48,51,49,53,53,55,53,32,
      46,48,51,50,57,48,51,55,32,46,48,51,52,50,55,49,52,10,32,32,46,48,51,53,56,
      48,53,49,32,46,48,51,55,49,53,55,32,46,48,51,56,48,49,52,51,32,46,48,51,56,
      56,56,54,50,32,46,48,51,57,54,56,56,57,32,46,48,52,48,50,53,55,54,32,46,48,
      52,48,53,54,54,57,32,46,48,52,48,53,57,56,53,32,46,48,52,48,51,54,53,57,10,
      32,32,46,48,51,57,56,56,48,51,32,46,48,51,57,48,49,55,54,32,46,48,51,55,52,
      57,51,52,32,46,48,51,53,55,50,52,32,46,48,51,51,55,52,48,50,32,46,48,51,50,
      48,50,54,32,46,48,51,48,49,54,48,50,32,46,48,50,55,53,55,57,52,32,46,48,50,
      53,48,54,49,52,32,46,48,50,50,54,54,51,53,10,32,32,46,48,50,48,54,55,57,49,
      32,46,48,49,56,48,52,54,54,32,46,48,49,53,54,52,56,57,32,46,48,49,51,52,54,
      53,55,32,46,48,49,49,54,54,54,53,32,46,48,49,48,48,52,52,53,32,46,48,48,56,
      54,51,48,48,53,32,46,48,48,55,50,53,54,49,51,32,46,48,48,54,49,54,48,50,50,
      10,32,32,46,48,48,53,52,53,49,57,57,32,46,48,48,52,51,49,51,50,56,32,46,48,
      48,51,52,52,49,55,57,32,46,48,48,50,55,55,53,52,32,46,48,48,50,49,56,55,53,
      49,32,46,48,48,49,55,53,57,51,54,32,46,48,48,49,51,56,53,56,49,32,46,48,48,
      49,48,57,57,55,54,32,46,48,48,48,56,56,48,55,51,49,10,32,32,46,48,48,48,55,
      49,50,56,54,57,32,46,48,48,48,53,54,52,49,48,55,32,46,48,48,48,52,55,53,54,
      54,57,32,46,48,48,48,52,48,49,53,48,57,32,46,48,48,48,51,48,52,50,51,52,32,
      46,48,48,48,50,53,54,56,54,54,32,46,48,48,48,49,57,54,57,54,49,32,46,48,48,
      48,49,52,56,56,54,51,10,32,32,46,48,48,48,49,50,53,57,48,56,32,46,48,48,48,
      49,48,54,52,54,56,32,56,46,49,54,57,52,51,101,45,48,53,32,54,46,49,48,50,48,
      51,101,45,48,53,32,53,46,49,57,48,52,55,101,45,48,53,32,51,46,57,57,56,54,53,
      101,45,48,53,32,51,46,52,49,49,51,52,101,45,48,53,10,32,32,50,46,54,51,54,52,
      57,101,45,48,53,32,50,46,49,51,57,50,49,101,45,48,53,32,49,46,53,55,52,51,57,
      101,45,48,53,32,49,46,51,56,55,49,51,101,45,48,53,32,49,46,48,56,55,52,56,101,
      45,48,53,32,56,46,51,49,51,50,49,101,45,48,54,32,54,46,54,52,55,57,52,101,45,
      48,54,10,32,32,53,46,51,49,55,54,53,101,45,48,54,32,52,46,51,49,54,48,50,101,
      45,48,54,32,51,46,53,49,52,57,54,101,45,48,54,32,50,46,56,48,48,49,52,101,45,
      48,54,32,50,46,50,56,56,54,101,45,48,54,32,49,46,56,51,50,54,53,101,45,48,54,
      32,49,46,53,53,54,53,101,45,48,54,10,32,32,49,46,49,57,50,55,54,101,45,48,54,
      32,49,46,48,49,51,51,49,101,45,48,54,32,56,46,50,55,53,54,54,101,45,48,55,32,
      53,46,49,54,55,57,49,101,45,48,55,32,50,46,55,48,55,48,52,101,45,48,55,32,49,
      46,52,52,50,51,49,101,45,48,55,32,54,46,53,55,53,53,53,101,45,48,56,10,32,32,
      51,46,48,48,50,52,101,45,48,56,32,49,46,49,55,51,54,50,101,45,48,56,32,53,46,
      51,55,55,52,101,45,48,57,32,50,46,54,52,48,49,51,101,45,48,56,32,49,46,48,50,
      50,54,56,101,45,48,56,32,53,46,50,53,50,57,57,101,45,48,57,32,50,46,52,57,56,
      49,54,101,45,48,57,10,32,32,57,46,50,56,56,57,57,101,45,49,48,32,51,46,57,49,
      48,54,54,101,45,49,48,32,49,46,54,52,55,52,54,101,45,49,48,32,54,46,49,52,50,
      53,52,101,45,49,49,32,50,46,50,57,51,51,50,101,45,49,49,32,57,46,54,57,52,48,
      53,101,45,49,50,32,52,46,49,48,49,51,49,101,45,49,50,10,32,32,49,46,55,49,53,
      53,50,101,45,49,50,32,54,46,52,50,54,52,55,101,45,49,51,32,50,46,49,51,49,54,
      53,101,45,49,51,32,54,46,50,54,50,51,57,101,45,49,52,32,50,46,48,56,48,51,53,
      101,45,49,52,32,54,46,49,49,57,52,101,45,49,53,32,50,46,48,51,54,50,101,45,
      49,53,10,32,32,54,46,55,56,48,54,52,101,45,49,54,32,50,101,45,49,54,32,53,46,
      52,48,55,55,50,101,45,49,55,32,49,46,57,55,48,49,55,101,45,49,55,32,54,46,49,
      50,55,56,101,45,49,56,32,50,46,49,57,55,50,54,101,45,49,56,32,55,46,51,52,53,
      49,49,101,45,49,57,32,50,46,52,53,54,53,57,101,45,49,57,10,32,32,55,46,56,49,
      56,57,101,45,50,48,32,50,46,54,49,51,51,49,101,45,50,48,32,56,46,55,51,56,49,
      54,101,45,50,49,32,48,114,53,50,32,50,46,52,50,55,53,57,101,45,48,55,32,51,
      46,50,51,54,53,53,101,45,48,55,32,52,46,51,49,53,53,54,101,45,48,55,32,53,46,
      55,53,52,101,45,48,55,10,32,32,55,46,54,55,50,101,45,48,55,32,49,46,48,50,50,
      57,52,101,45,48,54,32,49,46,51,54,51,57,52,101,45,48,54,32,49,46,56,49,56,53,
      56,101,45,48,54,32,50,46,52,50,52,54,57,101,45,48,54,32,51,46,50,51,50,57,49,
      101,45,48,54,32,52,46,51,49,48,55,101,45,48,54,10,32,32,53,46,55,52,55,52,50,
      101,45,48,54,32,55,46,54,54,51,52,51,101,45,48,54,32,49,46,48,50,49,55,56,101,
      45,48,53,32,49,46,51,54,50,51,52,101,45,48,53,32,49,46,56,49,54,52,101,45,48,
      53,32,50,46,52,50,49,55,56,101,45,48,53,32,51,46,54,51,50,51,54,101,45,48,53,
      10,32,32,54,46,48,53,50,56,50,101,45,48,53,32,56,46,52,55,50,51,51,101,45,48,
      53,32,46,48,48,48,49,50,48,57,57,56,32,46,48,48,48,49,54,57,51,50,57,32,46,
      48,48,48,50,52,49,55,53,51,32,46,48,48,48,51,54,50,50,54,50,32,46,48,48,48,
      54,48,50,53,52,55,32,46,48,48,48,56,52,49,56,53,55,10,32,32,46,48,48,49,49,
      57,57,32,46,48,48,49,54,55,49,56,52,32,46,48,48,50,51,55,51,57,57,32,46,48,
      48,50,57,53,52,51,52,32,46,48,48,51,53,50,55,51,57,32,46,48,48,52,54,53,53,
      57,53,32,46,48,48,53,55,54,49,52,51,32,46,48,48,54,56,52,52,49,53,32,46,48,
      48,55,51,55,55,48,54,10,32,32,46,48,48,55,57,48,52,51,56,32,46,48,48,56,52,
      50,54,49,51,32,46,48,48,56,57,52,50,51,56,32,46,48,48,57,52,53,51,49,50,32,
      46,48,48,57,57,53,56,51,57,32,46,48,49,48,52,53,56,50,32,46,48,49,48,57,53,
      50,55,32,46,48,49,49,52,52,49,55,32,46,48,49,49,57,50,53,52,10,32,32,46,48,
      49,50,52,57,56,57,32,46,48,49,51,48,54,52,55,32,46,48,49,51,56,48,55,51,32,
      46,48,49,52,53,51,54,55,32,46,48,49,53,50,53,50,55,32,46,48,49,54,49,50,57,
      51,32,46,48,49,54,57,56,53,55,32,46,48,49,55,56,50,49,57,32,46,48,49,56,55,
      57,57,51,10,32,32,46,48,49,57,55,52,56,52,32,46,48,50,48,57,55,48,54,32,46,
      48,50,50,49,52,52,50,32,46,48,50,51,50,54,57,56,32,46,48,50,52,52,56,48,53,
      32,46,48,50,53,55,53,55,54,32,46,48,50,55,48,56,50,32,46,48,50,56,52,51,52,
      32,46,48,50,57,55,57,50,50,32,46,48,51,49,50,50,55,55,10,32,32,46,48,51,50,
      53,50,55,57,32,46,48,51,51,56,52,54,51,32,46,48,51,53,51,50,49,32,46,48,51,
      54,54,49,54,56,32,46,48,51,55,52,51,54,32,46,48,51,56,50,54,53,57,32,46,48,
      51,57,48,50,53,52,32,46,48,51,57,53,53,54,57,32,46,48,51,57,56,51,55,32,46,
      48,51,57,56,52,55,54,10,32,32,46,48,51,57,54,48,52,53,32,46,48,51,57,49,49,
      55,51,32,46,48,51,56,50,54,51,55,32,46,48,51,54,55,54,54,53,32,46,48,51,53,
      48,51,53,52,32,46,48,51,51,48,57,56,55,32,46,48,51,49,52,50,54,56,32,46,48,
      50,57,54,48,55,55,32,46,48,50,55,48,57,49,53,10,32,32,46,48,50,52,54,51,53,
      54,32,46,48,50,50,50,57,53,49,32,46,48,50,48,51,53,54,55,32,46,48,49,55,55,
      56,50,53,32,46,48,49,53,52,51,52,54,32,46,48,49,51,50,57,51,57,32,46,48,49,
      49,53,50,55,50,32,46,48,48,57,57,51,50,52,51,32,46,48,48,56,53,52,48,49,10,
      32,32,46,48,48,55,49,56,53,57,57,32,46,48,48,54,49,48,52,54,53,32,46,48,48,
      53,52,48,53,50,32,46,48,48,52,50,55,57,53,50,32,46,48,48,51,52,49,55,48,51,
      32,46,48,48,50,55,53,54,57,32,46,48,48,50,49,55,52,48,53,32,46,48,48,49,55,
      52,57,50,53,32,46,48,48,49,51,55,56,51,57,10,32,32,46,48,48,49,48,57,52,50,
      53,32,46,48,48,48,56,55,54,53,55,32,46,48,48,48,55,48,57,54,55,56,32,46,48,
      48,48,53,54,49,55,50,32,46,48,48,48,52,55,51,55,51,52,32,46,48,48,48,51,57,
      57,57,51,55,32,46,48,48,48,51,48,51,49,49,49,32,46,48,48,48,50,53,53,57,53,
      10,32,32,46,48,48,48,49,57,54,50,57,53,32,46,48,48,48,49,52,56,51,56,53,32,
      46,48,48,48,49,50,53,53,49,53,32,46,48,48,48,49,48,54,49,52,54,32,56,46,49,
      52,53,55,56,101,45,48,53,32,54,46,48,56,53,49,55,101,45,48,53,32,53,46,49,55,
      54,52,57,101,45,48,53,10,32,32,51,46,57,56,56,51,101,45,48,53,32,51,46,52,48,
      50,55,101,45,48,53,32,50,46,54,51,48,48,54,101,45,48,53,32,50,46,49,51,52,49,
      51,101,45,48,53,32,49,46,53,55,48,56,101,45,48,53,32,49,46,51,56,52,48,50,101,
      45,48,53,32,49,46,48,56,53,49,49,101,45,48,53,10,32,32,56,46,50,57,53,55,49,
      101,45,48,54,32,54,46,54,51,52,51,52,101,45,48,54,32,53,46,51,48,55,48,54,101,
      45,48,54,32,52,46,51,48,55,54,52,101,45,48,54,32,51,46,53,48,56,50,56,101,45,
      48,54,32,50,46,55,57,52,57,53,101,45,48,54,32,50,46,50,56,52,52,54,101,45,48,
      54,10,32,32,49,46,56,50,57,52,49,101,45,48,54,32,49,46,53,53,51,55,57,101,45,
      48,54,32,49,46,49,57,48,55,52,101,45,48,54,32,49,46,48,49,49,54,49,101,45,48,
      54,32,56,46,50,54,50,49,49,101,45,48,55,32,53,46,49,53,57,55,57,101,45,48,55,
      32,50,46,55,48,51,48,51,101,45,48,55,10,32,32,49,46,52,52,48,50,56,101,45,48,
      55,32,54,46,53,54,54,56,56,101,45,48,56,32,50,46,57,57,56,54,54,101,45,48,56,
      32,49,46,49,55,50,50,54,101,45,48,56,32,53,46,51,55,50,55,51,101,45,48,57,32,
      50,46,54,50,48,49,50,101,45,48,56,32,49,46,48,49,52,57,51,101,45,48,56,10,32,
      32,53,46,50,49,51,50,53,101,45,48,57,32,50,46,52,55,57,50,55,101,45,48,57,32,
      57,46,50,49,56,56,49,101,45,49,48,32,51,46,56,56,52,54,52,101,45,49,48,32,49,
      46,54,51,55,55,55,101,45,49,48,32,54,46,49,48,54,51,54,101,45,49,49,32,50,46,
      50,55,57,56,101,45,49,49,10,32,32,57,46,54,51,54,56,54,101,45,49,50,32,52,46,
      48,55,55,49,101,45,49,50,32,49,46,55,48,53,52,57,101,45,49,50,32,54,46,51,56,
      56,57,101,45,49,51,32,50,46,49,49,57,49,56,101,45,49,51,32,54,46,50,50,53,55,
      55,101,45,49,52,32,50,46,48,54,57,52,54,101,45,49,52,10,32,32,54,46,48,57,48,
      51,101,45,49,53,32,50,46,48,50,54,53,49,101,45,49,53,32,54,46,55,52,56,51,55,
      101,45,49,54,32,49,46,57,57,48,52,56,101,45,49,54,32,53,46,51,56,49,57,53,101,
      45,49,55,32,49,46,57,54,48,55,56,101,45,49,55,32,54,46,48,57,56,53,54,101,45,
      49,56,10,32,32,50,46,49,56,54,55,56,101,45,49,56,32,55,46,51,49,48,48,53,101,
      45,49,57,32,50,46,52,52,52,56,55,101,45,49,57,32,55,46,55,55,53,54,49,101,45,
      50,48,32,50,46,53,57,56,55,56,101,45,50,48,32,56,46,54,56,57,52,101,45,50,49,
      32,48,114,53,50,32,50,46,52,55,55,51,51,101,45,48,55,10,32,32,51,46,51,48,50,
      56,53,101,45,48,55,32,52,46,52,48,51,57,55,101,45,48,55,32,53,46,56,55,49,56,
      56,101,45,48,55,32,55,46,56,50,57,49,55,101,45,48,55,32,49,46,48,52,51,57,101,
      45,48,54,32,49,46,51,57,49,56,56,101,45,48,54,32,49,46,56,53,53,56,51,101,45,
      48,54,10,32,32,50,46,52,55,52,51,54,101,45,48,54,32,51,46,50,57,57,49,52,101,
      45,48,54,32,52,46,51,57,57,48,49,101,45,48,54,32,53,46,56,54,53,49,53,101,45,
      48,54,32,55,46,56,50,48,51,57,101,45,48,54,32,49,46,48,52,50,55,49,101,45,48,
      53,32,49,46,51,57,48,50,51,101,45,48,53,10,32,32,49,46,56,53,51,53,57,101,45,
      48,53,32,50,46,52,55,49,51,53,101,45,48,53,32,51,46,55,48,54,54,55,101,45,48,
      53,32,54,46,49,55,54,53,50,101,45,48,53,32,56,46,54,52,53,50,55,101,45,48,53,
      32,46,48,48,48,49,50,51,52,54,51,32,46,48,48,48,49,55,50,55,55,50,10,32,32,
      46,48,48,48,50,52,54,54,53,51,32,46,48,48,48,51,54,57,53,54,53,32,46,48,48,
      48,54,49,52,53,54,49,32,46,48,48,48,56,53,56,52,53,57,32,46,48,48,49,50,50,
      50,50,54,32,46,48,48,49,55,48,51,53,51,32,46,48,48,50,52,49,55,52,50,32,46,
      48,48,51,48,48,53,48,55,10,32,32,46,48,48,51,53,56,55,54,56,32,46,48,48,52,
      55,51,48,54,57,32,46,48,48,53,56,52,56,48,52,32,46,48,48,54,57,52,48,49,56,
      32,46,48,48,55,52,55,54,57,52,32,46,48,48,56,48,48,55,53,53,32,46,48,48,56,
      53,51,50,48,55,32,46,48,48,57,48,53,48,53,54,10,32,32,46,48,48,57,53,54,51,
      48,52,32,46,48,49,48,48,54,57,54,32,46,48,49,48,53,55,48,50,32,46,48,49,49,
      48,54,53,32,46,48,49,49,53,53,52,32,46,48,49,50,48,51,55,50,32,46,48,49,50,
      54,48,57,53,32,46,48,49,51,49,55,51,54,32,46,48,49,51,57,49,51,50,10,32,32,
      46,48,49,52,54,51,56,54,32,46,48,49,53,51,52,57,57,32,46,48,49,54,50,49,57,
      53,32,46,48,49,55,48,54,55,55,32,46,48,49,55,56,57,52,57,32,46,48,49,56,56,
      54,48,49,32,46,48,49,57,55,57,53,57,32,46,48,50,48,57,57,56,57,32,46,48,50,
      50,49,53,49,54,10,32,32,46,48,50,51,50,53,53,52,32,46,48,50,52,52,52,48,49,
      32,46,48,50,53,54,56,55,51,32,46,48,50,54,57,55,56,49,32,46,48,50,56,50,57,
      50,54,32,46,48,50,57,54,49,48,50,32,46,48,51,48,57,57,57,49,32,46,48,51,50,
      50,53,52,32,46,48,51,51,53,50,50,56,10,32,32,46,48,51,52,57,51,55,52,32,46,
      48,51,54,49,55,53,49,32,46,48,51,54,57,53,52,49,32,46,48,51,55,55,51,57,49,
      32,46,48,51,56,52,53,49,52,32,46,48,51,56,57,52,49,51,32,46,48,51,57,49,56,
      55,49,32,46,48,51,57,49,55,49,50,32,46,48,51,56,57,49,50,53,10,32,32,46,48,
      51,56,52,49,56,50,32,46,48,51,55,53,54,55,51,32,46,48,51,54,48,56,56,56,32,
      46,48,51,52,51,56,56,55,32,46,48,51,50,52,57,50,51,32,46,48,51,48,56,53,55,
      55,32,46,48,50,57,48,56,48,52,32,46,48,50,54,54,50,51,49,32,46,48,50,52,50,
      50,52,54,10,32,32,46,48,50,49,57,51,55,56,32,46,48,50,48,48,52,50,55,32,46,
      48,49,55,53,50,51,56,32,46,48,49,53,50,50,51,55,32,46,48,49,51,49,50,51,57,
      32,46,48,49,49,51,56,56,56,32,46,48,48,57,56,50,48,55,55,32,46,48,48,56,52,
      53,48,49,53,32,46,48,48,55,49,49,53,54,50,10,32,32,46,48,48,54,48,52,56,55,
      52,32,46,48,48,53,51,53,56,48,53,32,46,48,48,52,50,52,53,52,32,46,48,48,51,
      51,57,49,57,53,32,46,48,48,50,55,51,56,49,50,32,46,48,48,50,49,54,48,51,53,
      32,46,48,48,49,55,51,56,57,53,32,46,48,48,49,51,55,48,56,51,32,46,48,48,49,
      48,56,56,54,51,10,32,32,46,48,48,48,56,55,50,51,50,51,32,46,48,48,48,55,48,
      54,52,49,56,32,46,48,48,48,53,53,57,50,56,49,32,46,48,48,48,52,55,49,55,53,
      55,32,46,48,48,48,51,57,56,51,50,57,32,46,48,48,48,51,48,49,57,54,51,32,46,
      48,48,48,50,53,53,48,49,50,32,46,48,48,48,49,57,53,54,49,50,10,32,32,46,48,
      48,48,49,52,55,56,57,53,32,46,48,48,48,49,50,53,49,49,51,32,46,48,48,48,49,
      48,53,56,49,54,32,56,46,49,50,49,53,53,101,45,48,53,32,54,46,48,54,55,56,57,
      101,45,48,53,32,53,46,49,54,50,49,53,101,45,48,53,32,51,46,57,55,55,54,56,101,
      45,48,53,10,32,32,51,46,51,57,51,56,53,101,45,48,53,32,50,46,54,50,51,52,54,
      101,45,48,53,32,50,46,49,50,56,57,51,101,45,48,53,32,49,46,53,54,55,49,51,101,
      45,48,53,32,49,46,51,56,48,56,51,101,45,48,53,32,49,46,48,56,50,54,57,101,45,
      48,53,32,56,46,50,55,55,56,51,101,45,48,54,10,32,32,54,46,54,50,48,52,50,101,
      45,48,54,32,53,46,50,57,54,50,101,45,48,54,32,52,46,50,57,57,48,51,101,45,48,
      54,32,51,46,53,48,49,52,51,101,45,48,54,32,50,46,55,56,57,54,51,101,45,48,54,
      32,50,46,50,56,48,49,57,101,45,48,54,32,49,46,56,50,54,48,55,101,45,48,54,10,
      32,32,49,46,53,53,49,101,45,48,54,32,49,46,49,56,56,54,54,101,45,48,54,32,49,
      46,48,48,57,56,56,101,45,48,54,32,56,46,50,52,56,49,55,101,45,48,55,32,53,46,
      49,53,49,52,55,101,45,48,55,32,50,46,54,57,56,57,49,101,45,48,55,32,49,46,52,
      51,56,50,49,101,45,48,55,10,32,32,54,46,53,53,55,57,57,101,45,48,56,32,50,46,
      57,57,52,56,53,101,45,48,56,32,49,46,49,55,48,56,54,101,45,48,56,32,53,46,51,
      54,55,57,50,101,45,48,57,32,50,46,54,48,48,51,53,101,45,48,56,32,49,46,48,48,
      55,50,57,101,45,48,56,32,53,46,49,55,51,57,56,101,45,48,57,10,32,32,50,46,52,
      54,48,54,49,101,45,48,57,32,57,46,49,52,57,52,56,101,45,49,48,32,51,46,56,53,
      53,52,52,101,45,49,48,32,49,46,54,50,54,53,56,101,45,49,48,32,54,46,48,55,48,
      55,53,101,45,49,49,32,50,46,50,54,54,52,57,101,45,49,49,32,57,46,53,56,48,53,
      54,101,45,49,50,10,32,32,52,46,48,53,51,50,55,101,45,49,50,32,49,46,54,57,53,
      54,51,101,45,49,50,32,54,46,51,53,49,57,51,101,45,49,51,32,50,46,49,48,54,57,
      49,101,45,49,51,32,54,46,49,56,57,55,50,101,45,49,52,32,50,46,48,53,55,52,56,
      101,45,49,52,32,54,46,48,53,55,52,51,101,45,49,53,10,32,32,50,46,48,49,55,48,
      50,101,45,49,53,32,54,46,55,49,54,55,52,101,45,49,54,32,49,46,57,56,49,49,52,
      101,45,49,54,32,53,46,51,53,54,54,57,101,45,49,55,32,49,46,57,53,49,53,55,101,
      45,49,55,32,54,46,48,54,57,56,57,101,45,49,56,32,50,46,49,55,54,52,57,101,45,
      49,56,10,32,32,55,46,50,55,53,54,56,101,45,49,57,32,50,46,52,51,51,51,55,101,
      45,49,57,32,56,46,49,52,50,51,50,101,45,50,48,32,50,46,53,56,52,53,101,45,50,
      48,32,56,46,54,52,49,52,52,101,45,50,49,32,48,114,53,50,32,50,46,53,50,54,55,
      55,101,45,48,55,32,51,46,51,54,56,55,56,101,45,48,55,10,32,32,52,46,52,57,49,
      56,55,101,45,48,55,32,53,46,57,56,57,48,56,101,45,48,55,32,55,46,57,56,53,52,
      52,101,45,48,55,32,49,46,48,54,52,55,51,101,45,48,54,32,49,46,52,49,57,54,54,
      101,45,48,54,32,49,46,56,57,50,56,55,101,45,48,54,32,50,46,53,50,51,55,52,101,
      45,48,54,10,32,32,51,46,51,54,52,57,57,101,45,48,54,32,52,46,52,56,54,56,49,
      101,45,48,54,32,53,46,57,56,50,50,49,101,45,48,54,32,55,46,57,55,54,52,56,101,
      45,48,54,32,49,46,48,54,51,53,50,101,45,48,53,32,49,46,52,49,55,57,56,101,45,
      48,53,32,49,46,56,57,48,53,56,101,45,48,53,10,32,32,50,46,53,50,48,54,54,101,
      45,48,53,32,51,46,55,56,48,54,50,101,45,48,53,32,54,46,50,57,57,54,56,101,45,
      48,53,32,56,46,56,49,55,53,55,101,45,48,53,32,46,48,48,48,49,50,53,57,50,50,
      32,46,48,48,48,49,55,54,50,48,57,32,46,48,48,48,50,53,49,53,53,10,32,32,46,
      48,48,48,51,55,54,56,56,49,32,46,48,48,48,54,50,54,54,53,32,46,48,48,48,56,
      55,53,50,51,51,32,46,48,48,49,50,52,53,56,57,32,46,48,48,49,55,51,53,57,57,
      32,46,48,48,50,52,54,50,52,32,46,48,48,51,48,53,57,56,51,32,46,48,48,51,54,
      53,49,51,51,10,32,32,46,48,48,52,56,49,48,57,56,32,46,48,48,53,57,52,50,55,
      32,46,48,48,55,48,52,55,48,50,32,46,48,48,55,53,56,57,48,54,32,46,48,48,56,
      49,50,52,52,52,32,46,48,48,56,54,53,51,50,51,32,46,48,48,57,49,55,53,52,56,
      32,46,48,48,57,54,57,49,50,53,32,46,48,49,48,50,48,48,54,10,32,32,46,48,49,
      48,55,48,51,54,32,46,48,49,49,50,48,48,51,32,46,48,49,49,54,57,48,55,32,46,
      48,49,50,49,55,53,32,46,48,49,50,55,52,56,32,46,48,49,51,51,49,50,51,32,46,
      48,49,52,48,53,49,51,32,46,48,49,52,55,55,53,49,32,46,48,49,53,52,56,52,32,
      46,48,49,54,51,52,57,53,10,32,32,46,48,49,55,49,57,50,52,32,46,48,49,56,48,
      49,51,49,32,46,48,49,56,57,54,57,51,32,46,48,49,57,56,57,52,55,32,46,48,50,
      49,48,56,49,57,32,46,48,50,50,50,49,55,50,32,46,48,50,51,51,48,50,32,46,48,
      50,52,52,54,51,56,32,46,48,50,53,54,56,52,49,10,32,32,46,48,50,54,57,52,51,
      57,32,46,48,50,56,50,50,51,52,32,46,48,50,57,53,48,50,52,32,46,48,51,48,56,
      52,54,55,32,46,48,51,50,48,53,55,51,32,46,48,51,51,50,55,55,50,32,46,48,51,
      52,54,51,49,54,32,46,48,51,53,56,49,48,52,32,46,48,51,54,53,52,56,50,10,32,
      32,46,48,51,55,50,56,54,56,32,46,48,51,55,57,52,57,51,32,46,48,51,56,51,57,
      52,54,32,46,48,51,56,54,48,50,55,32,46,48,51,56,53,53,54,51,32,46,48,51,56,
      50,55,56,32,46,48,51,55,55,55,50,52,32,46,48,51,54,57,49,57,51,32,46,48,51,
      53,52,53,51,32,46,48,51,51,55,55,56,10,32,32,46,48,51,49,57,49,54,50,32,46,
      48,51,48,51,49,52,55,32,46,48,50,56,53,55,53,50,32,46,48,50,54,49,55,49,57,
      32,46,48,50,51,56,50,54,55,32,46,48,50,49,53,57,48,51,32,46,48,49,57,55,51,
      54,50,32,46,48,49,55,50,55,48,49,32,46,48,49,53,48,49,53,57,10,32,32,46,48,
      49,50,57,53,53,55,32,46,48,49,49,50,53,49,52,32,46,48,48,57,55,48,57,52,55,
      32,46,48,48,56,51,54,48,50,50,32,46,48,48,55,48,52,53,48,51,32,46,48,48,53,
      57,57,50,53,49,32,46,48,48,53,51,49,48,53,52,32,46,48,48,52,50,49,48,57,51,
      32,46,48,48,51,51,54,54,53,52,10,32,32,46,48,48,50,55,49,57,48,55,32,46,48,
      48,50,49,52,54,52,52,32,46,48,48,49,55,50,56,52,56,32,46,48,48,49,51,54,51,
      49,52,32,46,48,48,49,48,56,50,56,57,32,46,48,48,48,56,54,55,57,57,32,46,48,
      48,48,55,48,51,48,57,49,32,46,48,48,48,53,53,54,55,57,10,32,32,46,48,48,48,
      52,54,57,55,51,55,32,46,48,48,48,51,57,54,54,56,54,32,46,48,48,48,51,48,48,
      55,56,56,32,46,48,48,48,50,53,52,48,53,52,32,46,48,48,48,49,57,52,57,49,52,
      32,46,48,48,48,49,52,55,51,57,52,32,46,48,48,48,49,50,52,55,48,50,32,46,48,
      48,48,49,48,53,52,55,56,10,32,32,56,46,48,57,54,55,52,101,45,48,53,32,54,46,
      48,53,48,50,101,45,48,53,32,53,46,49,52,55,52,56,101,45,48,53,32,51,46,57,54,
      54,56,101,45,48,53,32,51,46,51,56,52,55,56,101,45,48,53,32,50,46,54,49,54,55,
      101,45,48,53,32,50,46,49,50,51,54,49,101,45,48,53,10,32,32,49,46,53,54,51,51,
      55,101,45,48,53,32,49,46,51,55,55,53,56,101,45,48,53,32,49,46,48,56,48,50,50,
      101,45,48,53,32,56,46,50,53,57,53,101,45,48,54,32,54,46,54,48,54,49,52,101,
      45,48,54,32,53,46,50,56,53,48,56,101,45,48,54,32,52,46,50,57,48,50,49,101,45,
      48,54,10,32,32,51,46,52,57,52,52,49,101,45,48,54,32,50,46,55,56,52,49,55,101,
      45,48,54,32,50,46,50,55,53,56,50,101,45,48,54,32,49,46,56,50,50,54,54,101,45,
      48,54,32,49,46,53,52,56,49,53,101,45,48,54,32,49,46,49,56,54,53,51,101,45,48,
      54,32,49,46,48,48,56,48,57,101,45,48,54,10,32,32,56,46,50,51,51,56,57,101,45,
      48,55,32,53,46,49,52,50,57,52,101,45,48,55,32,50,46,54,57,52,55,101,45,48,55,
      32,49,46,52,51,54,48,56,101,45,48,55,32,54,46,53,52,56,57,101,45,48,56,32,50,
      46,57,57,48,57,51,101,45,48,56,32,49,46,49,54,57,52,51,101,45,48,56,10,32,32,
      53,46,51,54,50,57,52,101,45,48,57,32,50,46,53,55,57,52,57,101,45,48,56,32,57,
      46,57,57,55,50,56,101,45,48,57,32,53,46,49,51,53,49,57,101,45,48,57,32,50,46,
      52,52,50,49,56,101,45,48,57,32,57,46,48,56,48,57,57,101,45,49,48,32,51,46,56,
      50,54,54,49,101,45,49,48,10,32,32,49,46,54,49,52,52,50,101,45,49,48,32,54,46,
      48,50,57,50,50,101,45,49,49,32,50,46,50,53,51,52,101,45,49,49,32,57,46,53,50,
      53,49,54,101,45,49,50,32,52,46,48,50,57,56,49,101,45,49,50,32,49,46,54,56,53,
      57,50,101,45,49,50,32,54,46,51,49,53,53,53,101,45,49,51,10,32,32,50,46,48,57,
      52,56,52,101,45,49,51,32,54,46,49,53,52,50,53,101,45,49,52,32,50,46,48,52,53,
      54,57,101,45,49,52,32,54,46,48,50,50,55,49,101,45,49,53,32,50,46,48,48,53,53,
      56,101,45,49,53,32,54,46,54,56,51,56,101,45,49,54,32,49,46,57,55,49,57,57,101,
      45,49,54,10,32,32,53,46,51,51,49,57,52,101,45,49,55,32,49,46,57,52,50,53,53,
      101,45,49,55,32,54,46,48,52,49,55,57,101,45,49,56,32,50,46,49,54,54,52,50,101,
      45,49,56,32,55,46,50,52,49,57,56,101,45,49,57,32,50,46,52,50,50,49,101,45,49,
      57,32,56,46,49,48,52,54,49,101,45,50,48,10,32,32,50,46,53,55,48,52,54,101,45,
      50,48,32,56,46,53,57,52,51,101,45,50,49,32,48,114,53,50,32,50,46,53,56,50,48,
      49,101,45,48,55,32,51,46,52,52,50,52,51,101,45,48,55,32,52,46,53,57,48,48,56,
      101,45,48,55,32,54,46,49,50,48,48,49,101,45,48,55,32,56,46,49,54,48,48,50,101,
      45,48,55,10,32,32,49,46,48,56,56,48,49,101,45,48,54,32,49,46,52,53,48,55,101,
      45,48,54,32,49,46,57,51,52,50,53,101,45,48,54,32,50,46,53,55,56,57,50,101,45,
      48,54,32,51,46,52,51,56,53,53,101,45,48,54,32,52,46,53,56,52,56,56,101,45,48,
      54,32,54,46,49,49,50,57,55,101,45,48,54,10,32,32,56,46,49,53,48,56,49,101,45,
      48,54,32,49,46,48,56,54,55,54,101,45,48,53,32,49,46,52,52,56,57,54,101,45,48,
      53,32,49,46,57,51,49,56,57,101,45,48,53,32,50,46,53,55,53,55,51,101,45,48,53,
      32,51,46,56,54,51,49,55,101,45,48,53,32,54,46,52,51,55,49,50,101,45,48,53,10,
      32,32,57,46,48,48,57,55,55,101,45,48,53,32,46,48,48,48,49,50,56,54,54,51,32,
      46,48,48,48,49,56,48,48,51,56,32,46,48,48,48,50,53,55,48,48,50,32,46,48,48,
      48,51,56,53,48,49,53,32,46,48,48,48,54,52,48,48,54,51,32,46,48,48,48,56,57,
      51,56,49,49,32,46,48,48,49,50,55,50,48,49,10,32,32,46,48,48,49,55,55,49,55,
      55,32,46,48,48,50,53,49,49,56,57,32,46,48,48,51,49,50,48,48,49,32,46,48,48,
      51,55,50,48,51,55,32,46,48,48,52,56,57,57,50,50,32,46,48,48,54,48,52,54,56,
      52,32,46,48,48,55,49,54,52,56,51,32,46,48,48,55,55,49,50,57,49,10,32,32,46,
      48,48,56,50,53,51,56,49,32,46,48,48,56,55,56,55,54,49,32,46,48,48,57,51,49,
      52,51,56,32,46,48,48,57,56,51,52,49,57,32,46,48,49,48,51,52,55,49,32,46,48,
      49,48,56,53,51,50,32,46,48,49,49,51,53,50,54,32,46,48,49,49,56,52,53,51,32,
      46,48,49,50,51,51,49,52,10,32,32,46,48,49,50,57,48,54,49,32,46,48,49,51,52,
      55,49,53,32,46,48,49,52,50,49,49,49,32,46,48,49,52,57,51,52,54,32,46,48,49,
      53,54,52,50,52,32,46,48,49,54,53,48,53,51,32,46,48,49,55,51,52,52,52,32,46,
      48,49,56,49,54,48,50,32,46,48,49,57,49,48,57,49,10,32,32,46,48,50,48,48,50,
      53,57,32,46,48,50,49,49,57,57,56,32,46,48,50,50,51,49,57,56,32,46,48,50,51,
      51,56,55,55,32,46,48,50,52,53,50,56,55,32,46,48,50,53,55,50,52,52,32,46,48,
      50,54,57,53,53,52,32,46,48,50,56,50,48,50,49,32,46,48,50,57,52,52,52,54,10,
      32,32,46,48,51,48,55,52,54,49,32,46,48,51,49,57,49,52,32,46,48,51,51,48,56,
      54,50,32,46,48,51,52,51,56,49,53,32,46,48,51,53,53,48,49,56,32,46,48,51,54,
      49,57,56,50,32,46,48,51,54,56,56,57,56,32,46,48,51,55,53,48,49,55,32,46,48,
      51,55,57,48,48,57,10,32,32,46,48,51,56,48,54,57,50,32,46,48,51,55,57,57,32,
      46,48,51,55,54,56,57,53,32,46,48,51,55,49,54,57,55,32,46,48,51,54,51,49,48,
      55,32,46,48,51,52,56,53,49,56,32,46,48,51,51,49,57,55,51,32,46,48,51,49,51,
      54,53,57,32,46,48,50,57,55,57,52,32,46,48,50,56,48,56,57,49,10,32,32,46,48,
      50,53,55,51,53,56,32,46,48,50,51,52,52,48,52,32,46,48,50,49,50,53,49,54,32,
      46,48,49,57,52,51,54,52,32,46,48,49,55,48,50,48,55,32,46,48,49,52,56,49,48,
      56,32,46,48,49,50,55,56,57,32,46,48,49,49,49,49,52,56,32,46,48,48,57,53,57,
      56,52,56,10,32,32,46,48,48,56,50,55,48,50,55,32,46,48,48,54,57,55,52,50,52,
      32,46,48,48,53,57,51,53,57,56,32,46,48,48,53,50,54,50,55,49,32,46,48,48,52,
      49,55,54,49,50,32,46,48,48,51,51,52,48,56,51,32,46,48,48,50,54,57,57,55,53,
      32,46,48,48,50,49,51,50,51,49,10,32,32,46,48,48,49,55,49,55,56,52,32,46,48,
      48,49,51,53,53,51,32,46,48,48,49,48,55,55,48,53,32,46,48,48,48,56,54,51,53,
      55,50,32,46,48,48,48,54,57,57,54,57,55,32,46,48,48,48,53,53,52,50,52,56,32,
      46,48,48,48,52,54,55,54,55,51,32,46,48,48,48,51,57,53,48,48,56,10,32,32,46,
      48,48,48,50,57,57,53,56,56,32,46,48,48,48,50,53,51,48,55,53,32,46,48,48,48,
      49,57,52,50,48,49,32,46,48,48,48,49,52,54,56,56,50,32,46,48,48,48,49,50,52,
      50,56,49,32,46,48,48,48,49,48,53,49,51,50,32,56,46,48,55,49,51,51,101,45,48,
      53,32,54,46,48,51,50,48,57,101,45,48,53,10,32,32,53,46,49,51,50,52,54,101,45,
      48,53,32,51,46,57,53,53,54,56,101,45,48,53,32,51,46,51,55,53,53,49,101,45,48,
      53,32,50,46,54,48,57,55,57,101,45,48,53,32,50,46,49,49,56,49,54,101,45,48,53,
      32,49,46,53,53,57,53,49,101,45,48,53,32,49,46,51,55,52,50,52,101,45,48,53,10,
      32,32,49,46,48,55,55,54,56,101,45,48,53,32,56,46,50,52,48,55,101,45,48,54,32,
      54,46,53,57,49,53,101,45,48,54,32,53,46,50,55,51,54,54,101,45,48,54,32,52,46,
      50,56,49,49,53,101,45,48,54,32,51,46,52,56,55,50,101,45,48,54,32,50,46,55,55,
      56,53,54,101,45,48,54,10,32,32,50,46,50,55,49,51,52,101,45,48,54,32,49,46,56,
      49,57,49,53,101,45,48,54,32,49,46,53,52,53,50,49,101,45,48,54,32,49,46,49,56,
      52,51,52,101,45,48,54,32,49,46,48,48,54,50,55,101,45,48,54,32,56,46,50,49,57,
      50,57,101,45,48,55,32,53,46,49,51,52,50,50,101,45,48,55,10,32,32,50,46,54,57,
      48,51,56,101,45,48,55,32,49,46,52,51,51,57,101,45,48,55,32,54,46,53,51,57,53,
      52,101,45,48,56,32,50,46,57,56,54,56,57,101,45,48,56,32,49,46,49,54,55,57,53,
      101,45,48,56,32,53,46,51,53,55,57,52,101,45,48,57,32,50,46,53,53,56,53,54,101,
      45,48,56,10,32,32,57,46,57,49,57,51,49,101,45,48,57,32,53,46,48,57,54,56,55,
      101,45,48,57,32,50,46,52,50,51,57,54,101,45,48,57,32,57,46,48,49,51,51,52,101,
      45,49,48,32,51,46,55,57,56,49,50,101,45,49,48,32,49,46,54,48,50,52,49,101,45,
      49,48,32,53,46,57,56,52,52,101,45,49,49,10,32,32,50,46,50,51,55,56,54,101,45,
      49,49,32,57,46,52,55,48,54,51,101,45,49,50,32,52,46,48,48,54,55,51,101,45,49,
      50,32,49,46,54,55,54,51,54,101,45,49,50,32,54,46,50,55,57,55,53,101,45,49,51,
      32,50,46,48,56,50,57,54,101,45,49,51,32,54,46,49,49,57,51,53,101,45,49,52,10,
      32,32,50,46,48,51,52,48,57,101,45,49,52,32,53,46,57,56,56,53,53,101,45,49,53,
      32,49,46,57,57,52,50,49,101,45,49,53,32,54,46,54,52,53,57,101,45,49,54,32,49,
      46,57,54,49,56,57,101,45,49,54,32,53,46,51,48,55,54,56,101,45,49,55,32,49,46,
      57,51,51,55,101,45,49,55,10,32,32,54,46,48,49,52,50,53,101,45,49,56,32,50,46,
      49,53,54,53,52,101,45,49,56,32,55,46,50,48,56,57,55,101,45,49,57,32,50,46,52,
      49,49,48,53,101,45,49,57,32,56,46,48,54,55,54,55,101,45,50,48,32,50,46,53,53,
      54,54,54,101,45,50,48,32,56,46,53,52,55,57,54,101,45,50,49,10,32,32,48,114,
      53,50,32,50,46,54,51,57,54,57,101,45,48,55,32,51,46,53,49,57,51,50,101,45,48,
      55,32,52,46,54,57,50,54,101,45,48,55,32,54,46,50,53,54,55,49,101,45,48,55,32,
      56,46,51,52,50,50,56,101,45,48,55,32,49,46,49,49,50,51,49,101,45,48,54,32,49,
      46,52,56,51,49,101,45,48,54,10,32,32,49,46,57,55,55,52,53,101,45,48,54,32,50,
      46,54,51,54,53,49,101,45,48,54,32,51,46,53,49,53,51,52,101,45,48,54,32,52,46,
      54,56,55,50,56,101,45,48,54,32,54,46,50,52,57,52,57,101,45,48,54,32,56,46,51,
      51,50,56,50,101,45,48,54,32,49,46,49,49,49,48,50,101,45,48,53,10,32,32,49,46,
      52,56,49,51,49,101,45,48,53,32,49,46,57,55,53,48,49,101,45,48,53,32,50,46,54,
      51,51,50,49,101,45,48,53,32,51,46,57,52,57,51,52,101,45,48,53,32,54,46,53,56,
      48,53,55,101,45,48,53,32,57,46,50,49,48,51,55,101,45,48,53,32,46,48,48,48,49,
      51,49,53,50,52,10,32,32,46,48,48,48,49,56,52,48,51,51,32,46,48,48,48,50,54,
      50,54,57,32,46,48,48,48,51,57,51,52,57,56,32,46,48,48,48,54,53,52,48,52,49,
      32,46,48,48,48,57,49,51,49,54,50,32,46,48,48,49,50,57,57,49,57,32,46,48,48,
      49,56,48,57,32,46,48,48,50,53,54,51,51,10,32,32,46,48,48,51,49,56,50,52,57,
      32,46,48,48,51,55,57,51,50,53,32,46,48,48,52,57,57,48,55,54,32,46,48,48,54,
      49,53,52,56,54,32,46,48,48,55,50,56,55,48,54,32,46,48,48,55,56,52,49,52,51,
      32,46,48,48,56,51,56,56,49,32,46,48,48,56,57,50,55,49,54,32,46,48,48,57,52,
      53,56,55,10,32,32,46,48,48,57,57,56,50,56,50,32,46,48,49,48,52,57,57,54,32,
      46,48,49,49,48,48,57,49,32,46,48,49,49,53,49,49,52,32,46,48,49,50,48,48,54,
      55,32,46,48,49,50,52,57,52,57,32,46,48,49,51,48,55,49,54,32,46,48,49,51,54,
      51,56,53,32,46,48,49,52,51,55,57,50,10,32,32,46,48,49,53,49,48,51,32,46,48,
      49,53,56,49,48,50,32,46,48,49,54,54,55,49,51,32,46,48,49,55,53,48,55,52,32,
      46,48,49,56,51,49,57,49,32,46,48,49,57,50,54,49,55,32,46,48,50,48,49,55,48,
      57,32,46,48,50,49,51,51,50,56,32,46,48,50,50,52,51,56,57,10,32,32,46,48,50,
      51,52,57,49,51,32,46,48,50,52,54,49,51,50,32,46,48,50,53,55,56,53,57,32,46,
      48,50,54,57,57,32,46,48,50,56,50,48,53,56,32,46,48,50,57,52,49,51,54,32,46,
      48,51,48,54,55,52,51,32,46,48,51,49,56,48,49,50,32,46,48,51,50,57,50,55,54,
      32,46,48,51,52,49,54,53,53,10,32,32,46,48,51,53,50,50,56,56,32,46,48,51,53,
      56,56,52,55,32,46,48,51,54,53,51,32,46,48,51,55,48,57,49,53,32,46,48,51,55,
      52,52,52,53,32,46,48,51,55,53,55,50,54,32,46,48,51,55,52,53,57,53,32,46,48,
      51,55,49,51,53,54,32,46,48,51,54,54,48,48,49,32,46,48,51,53,55,51,51,49,10,
      32,32,46,48,51,52,50,55,56,53,32,46,48,51,50,54,52,49,50,32,46,48,51,48,56,
      51,54,57,32,46,48,50,57,50,57,50,49,32,46,48,50,55,54,49,57,49,32,46,48,50,
      53,51,49,50,53,32,46,48,50,51,48,54,52,32,46,48,50,48,57,50,48,52,32,46,48,
      49,57,49,52,50,53,10,32,32,46,48,49,54,55,55,53,52,32,46,48,49,52,54,48,56,
      50,32,46,48,49,50,54,50,51,56,32,46,48,49,48,57,55,56,57,32,46,48,48,57,52,
      56,55,55,57,32,46,48,48,56,49,56,48,51,51,32,46,48,48,54,57,48,51,50,53,32,
      46,48,48,53,56,55,57,49,55,32,46,48,48,53,50,49,52,53,53,10,32,32,46,48,48,
      52,49,52,48,57,57,32,46,48,48,51,51,49,52,56,51,32,46,48,48,50,54,56,48,49,
      57,32,46,48,48,50,49,49,55,57,56,32,46,48,48,49,55,48,55,48,50,32,46,48,48,
      49,51,52,55,51,51,32,46,48,48,49,48,55,49,49,49,32,46,48,48,48,56,53,57,48,
      55,51,10,32,32,46,48,48,48,54,57,54,50,51,54,32,46,48,48,48,53,53,49,54,53,
      54,32,46,48,48,48,52,54,53,53,54,57,32,46,48,48,48,51,57,51,50,57,53,32,46,
      48,48,48,50,57,56,51,54,51,32,46,48,48,48,50,53,50,48,55,52,32,46,48,48,48,
      49,57,51,52,55,49,32,46,48,48,48,49,52,54,51,53,56,10,32,32,46,48,48,48,49,
      50,51,56,53,49,32,46,48,48,48,49,48,52,55,55,57,32,56,46,48,52,53,51,55,101,
      45,48,53,32,54,46,48,49,51,53,57,101,45,48,53,32,53,46,49,49,55,49,101,45,48,
      53,32,51,46,57,52,52,50,57,101,45,48,53,32,51,46,51,54,54,48,49,101,45,48,53,
      10,32,32,50,46,54,48,50,55,50,101,45,48,53,32,50,46,49,49,50,53,56,101,45,48,
      53,32,49,46,53,53,53,53,55,101,45,48,53,32,49,46,51,55,48,56,49,101,45,48,53,
      32,49,46,48,55,53,48,55,101,45,48,53,32,56,46,50,50,49,52,52,101,45,48,54,32,
      54,46,53,55,54,53,101,45,48,54,10,32,32,53,46,50,54,49,57,55,101,45,48,54,32,
      52,46,50,55,49,56,57,101,45,48,54,32,51,46,52,55,57,56,51,101,45,48,54,32,50,
      46,55,55,50,56,51,101,45,48,54,32,50,46,50,54,54,55,54,101,45,48,54,32,49,46,
      56,49,53,53,55,101,45,48,54,32,49,46,53,52,50,50,50,101,45,48,54,10,32,32,49,
      46,49,56,50,49,49,101,45,48,54,32,49,46,48,48,52,52,101,45,48,54,32,56,46,50,
      48,52,50,57,101,45,48,55,32,53,46,49,50,53,50,54,101,45,48,55,32,50,46,54,56,
      53,57,53,101,45,48,55,32,49,46,52,51,49,54,53,101,45,48,55,32,54,46,53,50,57,
      57,51,101,45,48,56,10,32,32,50,46,57,56,50,55,54,101,45,48,56,32,49,46,49,54,
      54,52,52,101,45,48,56,32,53,46,51,53,50,55,53,101,45,48,57,32,50,46,53,51,55,
      56,54,101,45,48,56,32,57,46,56,51,57,50,52,101,45,48,57,32,53,46,48,53,54,57,
      52,101,45,48,57,32,50,46,52,48,53,57,56,101,45,48,57,10,32,32,56,46,57,52,54,
      53,49,101,45,49,48,32,51,46,55,54,57,57,56,101,45,49,48,32,49,46,53,57,48,53,
      53,101,45,49,48,32,53,46,57,52,48,49,52,101,45,49,49,32,50,46,50,50,49,51,50,
      101,45,49,49,32,57,46,52,48,50,54,51,101,45,49,50,32,51,46,57,56,51,51,57,101,
      45,49,50,10,32,32,49,46,54,54,54,57,55,101,45,49,50,32,54,46,50,52,52,53,51,
      101,45,49,51,32,50,46,48,55,49,50,56,101,45,49,51,32,54,46,48,56,53,48,50,101,
      45,49,52,32,50,46,48,50,50,54,56,101,45,49,52,32,53,46,57,53,52,57,53,101,45,
      49,53,32,49,46,57,56,51,48,50,101,45,49,53,10,32,32,54,46,54,48,56,54,49,101,
      45,49,54,32,49,46,57,53,48,56,57,101,45,49,54,32,53,46,50,55,57,53,56,101,45,
      49,55,32,49,46,57,50,52,55,55,101,45,49,55,32,53,46,57,56,55,50,54,101,45,49,
      56,32,50,46,49,52,54,56,54,101,45,49,56,32,55,46,49,55,54,54,50,101,45,49,57,
      10,32,32,50,46,52,48,48,50,52,101,45,49,57,32,56,46,48,51,49,52,57,101,45,50,
      48,32,50,46,53,52,51,49,101,45,50,48,32,56,46,53,48,50,52,50,101,45,50,49,32,
      48,114,53,50,32,50,46,54,57,52,54,57,101,45,48,55,32,51,46,53,57,50,54,53,101,
      45,48,55,32,52,46,55,57,48,51,56,101,45,48,55,10,32,32,54,46,51,56,55,48,57,
      101,45,48,55,32,56,46,53,49,54,49,49,101,45,48,55,32,49,46,49,51,53,52,57,101,
      45,48,54,32,49,46,53,49,52,101,45,48,54,32,50,46,48,49,56,54,54,101,45,48,54,
      32,50,46,54,57,49,52,53,101,45,48,54,32,51,46,53,56,56,53,57,101,45,48,54,10,
      32,32,52,46,55,56,52,57,52,101,45,48,54,32,54,46,51,55,57,54,57,101,45,48,54,
      32,56,46,53,48,54,52,49,101,45,48,54,32,49,46,49,51,52,49,55,101,45,48,53,32,
      49,46,53,49,50,49,54,101,45,48,53,32,50,46,48,49,54,49,52,101,45,48,53,32,50,
      46,54,56,56,48,51,101,45,48,53,10,32,32,52,46,48,51,49,53,51,101,45,48,53,32,
      54,46,55,49,55,51,56,101,45,48,53,32,57,46,52,48,49,54,56,101,45,48,53,32,46,
      48,48,48,49,51,52,50,53,50,32,46,48,48,48,49,56,55,56,52,52,32,46,48,48,48,
      50,54,56,49,49,52,32,46,48,48,48,52,48,49,53,56,55,10,32,32,46,48,48,48,54,
      54,55,51,55,49,32,46,48,48,48,57,51,49,54,49,52,32,46,48,48,49,51,50,53,49,
      49,32,46,48,48,49,56,52,52,52,56,32,46,48,48,50,54,49,50,51,49,32,46,48,48,
      51,50,52,50,48,52,32,46,48,48,51,56,54,50,55,49,32,46,48,48,53,48,55,56,48,
      52,10,32,32,46,48,48,54,50,53,55,56,52,32,46,48,48,55,52,48,51,53,56,32,46,
      48,48,55,57,54,51,57,53,32,46,48,48,56,53,49,54,49,51,32,46,48,48,57,48,54,
      48,50,51,32,46,48,48,57,53,57,54,51,51,32,46,48,49,48,49,50,52,54,32,46,48,
      49,48,54,52,53,32,46,48,49,49,49,53,55,56,10,32,32,46,48,49,49,54,54,50,57,
      32,46,48,49,50,49,54,48,54,32,46,48,49,50,54,53,48,57,32,46,48,49,51,50,50,
      57,54,32,46,48,49,51,55,57,55,57,32,46,48,49,52,53,51,57,57,32,46,48,49,53,
      50,54,52,32,46,48,49,53,57,55,48,55,32,46,48,49,54,56,51,48,49,10,32,32,46,
      48,49,55,54,54,51,52,32,46,48,49,56,52,55,49,51,32,46,48,49,57,52,48,56,49,
      32,46,48,50,48,51,49,48,50,32,46,48,50,49,52,54,48,57,32,46,48,50,50,53,53,
      52,49,32,46,48,50,51,53,57,49,57,32,46,48,50,52,54,57,53,57,32,46,48,50,53,
      56,52,55,10,32,32,46,48,50,55,48,50,53,55,32,46,48,50,56,50,49,50,50,32,46,
      48,50,57,51,56,55,51,32,46,48,51,48,54,48,57,52,32,46,48,51,49,54,57,55,52,
      32,46,48,51,50,55,56,32,46,48,51,51,57,54,51,50,32,46,48,51,52,57,55,49,57,
      32,46,48,51,53,53,56,56,57,32,46,48,51,54,49,56,57,54,10,32,32,46,48,51,54,
      55,48,50,53,32,46,48,51,55,48,49,48,54,32,46,48,51,55,48,57,57,52,32,46,48,
      51,54,57,53,51,32,46,48,51,54,54,48,53,54,32,46,48,51,54,48,53,52,49,32,46,
      48,51,53,49,55,56,51,32,46,48,51,51,55,50,54,51,32,46,48,51,50,49,48,52,51,
      10,32,32,46,48,51,48,51,50,52,57,32,46,48,50,56,56,48,53,52,32,46,48,50,55,
      49,54,50,52,32,46,48,50,52,56,57,57,57,32,46,48,50,50,54,57,54,51,32,46,48,
      50,48,53,57,53,57,32,46,48,49,56,56,53,51,55,32,46,48,49,54,53,51,51,52,32,
      46,48,49,52,52,48,55,56,10,32,32,46,48,49,50,52,53,57,57,32,46,48,49,48,56,
      52,51,56,32,46,48,48,57,51,55,55,51,52,32,46,48,48,56,48,57,48,51,55,32,46,
      48,48,54,56,51,50,48,55,32,46,48,48,53,56,50,50,48,56,32,46,48,48,53,49,54,
      54,49,32,46,48,48,52,49,48,53,53,54,32,46,48,48,51,50,56,56,53,54,10,32,32,
      46,48,48,50,54,54,48,51,56,32,46,48,48,50,49,48,51,52,53,32,46,48,48,49,54,
      57,54,48,52,32,46,48,48,49,51,51,57,50,52,32,46,48,48,49,48,54,53,48,54,32,
      46,48,48,48,56,53,52,52,57,51,32,46,48,48,48,54,57,50,55,49,53,32,46,48,48,
      48,53,52,57,48,49,52,10,32,32,46,48,48,48,52,54,51,52,50,52,32,46,48,48,48,
      51,57,49,53,52,57,32,46,48,48,48,50,57,55,49,49,51,32,46,48,48,48,50,53,49,
      48,53,52,32,46,48,48,48,49,57,50,55,50,55,32,46,48,48,48,49,52,53,56,50,51,
      32,46,48,48,48,49,50,51,52,49,50,32,46,48,48,48,49,48,52,52,49,56,10,32,32,
      56,46,48,49,56,56,55,101,45,48,53,32,53,46,57,57,52,54,55,101,45,48,53,32,53,
      46,49,48,49,52,101,45,48,53,32,51,46,57,51,50,54,54,101,45,48,53,32,51,46,51,
      53,54,51,49,101,45,48,53,32,50,46,53,57,53,52,56,101,45,48,53,32,50,46,49,48,
      54,56,55,101,45,48,53,10,32,32,49,46,53,53,49,53,51,101,45,48,53,32,49,46,51,
      54,55,51,50,101,45,48,53,32,49,46,48,55,50,52,49,101,45,48,53,32,56,46,50,48,
      49,55,56,101,45,48,54,32,54,46,53,54,49,50,101,45,48,54,32,53,46,50,53,48,48,
      53,101,45,48,54,32,52,46,50,54,50,52,52,101,45,48,54,10,32,32,51,46,52,55,50,
      51,101,45,48,54,32,50,46,55,54,54,57,56,101,45,48,54,32,50,46,50,54,50,48,55,
      101,45,48,54,32,49,46,56,49,49,56,57,101,45,48,54,32,49,46,53,51,57,49,54,101,
      45,48,54,32,49,46,49,55,57,56,50,101,45,48,54,32,49,46,48,48,50,52,57,101,45,
      48,54,10,32,32,56,46,49,56,56,57,55,101,45,48,55,32,53,46,49,49,54,48,57,101,
      45,48,55,32,50,46,54,56,49,52,50,101,45,48,55,32,49,46,52,50,57,51,54,101,45,
      48,55,32,54,46,53,50,48,48,57,101,45,48,56,32,50,46,57,55,56,53,50,101,45,48,
      56,32,49,46,49,54,52,56,57,101,45,48,56,10,32,32,53,46,51,52,55,52,53,101,45,
      48,57,32,50,46,53,49,55,52,101,45,48,56,32,57,46,55,54,48,48,55,101,45,48,57,
      32,53,46,48,49,54,51,49,101,45,48,57,32,50,46,51,56,55,49,55,101,45,48,57,32,
      56,46,56,56,48,53,50,101,45,49,48,32,51,46,55,52,50,50,101,45,49,48,10,32,32,
      49,46,53,55,56,56,52,101,45,49,48,32,53,46,56,57,54,52,51,101,45,49,49,32,50,
      46,50,48,52,57,57,101,45,49,49,32,57,46,51,51,51,53,54,101,45,49,50,32,51,46,
      57,53,52,49,53,101,45,49,50,32,49,46,54,53,54,56,101,45,49,50,32,54,46,50,48,
      57,57,101,45,49,51,10,32,32,50,46,48,53,57,55,57,101,45,49,51,32,54,46,48,53,
      49,50,55,101,45,49,52,32,50,46,48,49,49,52,54,101,45,49,52,32,53,46,57,50,49,
      57,49,101,45,49,53,32,49,46,57,55,50,48,50,101,45,49,53,32,54,46,53,55,49,57,
      52,101,45,49,54,32,49,46,57,52,48,48,55,101,45,49,54,10,32,32,53,46,50,53,48,
      51,49,101,45,49,55,32,49,46,57,49,52,49,101,45,49,55,32,53,46,57,53,55,56,49,
      101,45,49,56,32,50,46,49,51,55,51,57,101,45,49,56,32,55,46,49,52,52,57,52,101,
      45,49,57,32,50,46,51,56,57,54,53,101,45,49,57,32,55,46,57,57,54,48,54,101,45,
      50,48,10,32,32,50,46,53,50,57,55,56,101,45,50,48,32,56,46,52,53,55,54,57,101,
      45,50,49,32,48,114,53,50,32,50,46,55,52,49,57,57,101,45,48,55,32,51,46,54,53,
      53,55,49,101,45,48,55,32,52,46,56,55,52,52,53,101,45,48,55,32,54,46,52,57,57,
      49,56,101,45,48,55,32,56,46,54,54,53,53,55,101,45,48,55,10,32,32,49,46,49,53,
      53,52,50,101,45,48,54,32,49,46,53,52,48,53,55,101,45,48,54,32,50,46,48,53,52,
      48,57,101,45,48,54,32,50,46,55,51,56,54,56,101,45,48,54,32,51,46,54,53,49,53,
      54,101,45,48,54,32,52,46,56,54,56,57,101,45,48,54,32,54,46,52,57,49,54,51,101,
      45,48,54,10,32,32,56,46,54,53,53,54,55,101,45,48,54,32,49,46,49,53,52,48,55,
      101,45,48,53,32,49,46,53,51,56,54,57,101,45,48,53,32,50,46,48,53,49,53,101,
      45,48,53,32,50,46,55,51,53,49,55,101,45,48,53,32,52,46,49,48,50,50,101,45,48,
      53,32,54,46,56,51,53,48,53,101,45,48,53,10,32,32,57,46,53,54,54,50,52,101,45,
      48,53,32,46,48,48,48,49,51,54,53,57,57,32,46,48,48,48,49,57,49,49,50,51,32,
      46,48,48,48,50,55,50,55,56,51,32,46,48,48,48,52,48,56,53,53,52,32,46,48,48,
      48,54,55,56,56,54,32,46,48,48,48,57,52,55,53,50,57,32,46,48,48,49,51,52,55,
      52,57,10,32,32,46,48,48,49,56,55,53,49,52,32,46,48,48,50,54,53,52,55,51,32,
      46,48,48,51,50,57,51,54,51,32,46,48,48,51,57,50,50,57,51,32,46,48,48,53,49,
      53,51,50,50,32,46,48,48,54,51,52,55,50,55,32,46,48,48,55,53,48,52,55,56,32,
      46,48,48,56,48,55,48,51,53,10,32,32,46,48,48,56,54,50,55,51,32,46,48,48,57,
      49,55,53,55,51,32,46,48,48,57,55,49,53,55,53,32,46,48,49,48,50,52,55,53,32,
      46,48,49,48,55,55,49,49,32,46,48,49,49,50,56,54,53,32,46,48,49,49,55,57,52,
      49,32,46,48,49,50,50,57,51,56,32,46,48,49,50,55,56,53,55,10,32,32,46,48,49,
      51,51,54,53,57,32,46,48,49,51,57,51,53,52,32,46,48,49,52,54,55,56,32,46,48,
      49,53,52,48,50,32,46,48,49,54,49,48,56,32,46,48,49,54,57,54,53,52,32,46,48,
      49,55,55,57,53,56,32,46,48,49,56,53,57,57,56,32,46,48,49,57,53,51,48,55,32,
      46,48,50,48,52,50,53,57,10,32,32,46,48,50,49,53,54,53,55,32,46,48,50,50,54,
      52,54,50,32,46,48,50,51,54,55,48,49,32,46,48,50,52,55,53,54,57,32,46,48,50,
      53,56,56,55,53,32,46,48,50,55,48,52,50,49,32,46,48,50,56,50,48,49,32,46,48,
      50,57,51,52,53,50,32,46,48,51,48,53,51,48,57,10,32,32,46,48,51,49,53,56,50,
      51,32,46,48,51,50,54,50,51,57,32,46,48,51,51,55,53,53,54,32,46,48,51,52,55,
      49,51,32,46,48,51,53,50,57,51,53,32,46,48,51,53,56,53,50,50,32,46,48,51,54,
      51,49,57,51,32,46,48,51,54,53,56,53,50,32,46,48,51,54,54,51,54,57,10,32,32,
      46,48,51,54,52,53,57,49,32,46,48,51,54,48,56,57,54,32,46,48,51,53,53,50,50,
      56,32,46,48,51,52,54,51,56,56,32,46,48,51,51,49,56,57,50,32,46,48,51,49,53,
      56,49,56,32,46,48,50,57,56,50,54,32,46,48,50,56,51,51,48,54,32,46,48,50,54,
      55,49,54,51,10,32,32,46,48,50,52,52,57,54,50,32,46,48,50,50,51,51,53,54,32,
      46,48,50,48,50,55,54,57,32,46,48,49,56,53,54,57,52,32,46,48,49,54,50,57,52,
      53,32,46,48,49,52,50,48,57,52,32,46,48,49,50,50,57,55,49,32,46,48,49,48,55,
      48,57,50,32,46,48,48,57,50,54,55,49,10,32,32,46,48,48,56,48,48,48,51,57,32,
      46,48,48,54,55,54,48,55,32,46,48,48,53,55,54,52,55,50,32,46,48,48,53,49,49,
      55,51,53,32,46,48,48,52,48,54,57,56,50,32,46,48,48,51,50,54,50,48,50,32,46,
      48,48,50,54,52,48,51,52,32,46,48,48,50,48,56,56,55,50,32,46,48,48,49,54,56,
      52,57,49,10,32,32,46,48,48,49,51,51,49,48,50,32,46,48,48,49,48,53,56,57,50,
      32,46,48,48,48,56,52,57,56,51,54,32,46,48,48,48,54,56,57,49,50,57,32,46,48,
      48,48,53,52,54,51,50,53,32,46,48,48,48,52,54,49,50,51,57,32,46,48,48,48,51,
      56,57,55,55,32,46,48,48,48,50,57,53,56,52,10,32,32,46,48,48,48,50,53,48,48,
      49,52,32,46,48,48,48,49,57,49,57,54,56,32,46,48,48,48,49,52,53,50,55,56,32,
      46,48,48,48,49,50,50,57,54,52,32,46,48,48,48,49,48,52,48,53,32,55,46,57,57,
      49,56,50,101,45,48,53,32,53,46,57,55,53,51,55,101,45,48,53,32,53,46,48,56,53,
      51,56,101,45,48,53,10,32,32,51,46,57,50,48,55,55,101,45,48,53,32,51,46,51,52,
      54,52,49,101,45,48,53,32,50,46,53,56,56,49,101,45,48,53,32,50,46,49,48,49,48,
      53,101,45,48,53,32,49,46,53,52,55,52,50,101,45,48,53,32,49,46,51,54,51,55,53,
      101,45,48,53,32,49,46,48,54,57,55,101,45,48,53,10,32,32,56,46,49,56,49,55,101,
      45,48,54,32,54,46,53,52,53,53,53,101,45,48,54,32,53,46,50,51,55,56,52,101,45,
      48,54,32,52,46,50,53,50,55,54,101,45,48,54,32,51,46,52,54,52,53,57,101,45,48,
      54,32,50,46,55,54,48,57,57,101,45,48,54,32,50,46,50,53,55,50,56,101,45,48,54,
      10,32,32,49,46,56,48,56,49,52,101,45,48,54,32,49,46,53,51,54,48,50,101,45,48,
      54,32,49,46,49,55,55,52,56,101,45,48,54,32,49,46,48,48,48,53,51,101,45,48,54,
      32,56,46,49,55,51,50,56,101,45,48,55,32,53,46,49,48,54,55,101,45,48,55,32,50,
      46,54,55,54,55,55,101,45,48,55,10,32,32,49,46,52,50,55,48,49,101,45,48,55,32,
      54,46,53,49,48,48,53,101,45,48,56,32,50,46,57,55,52,50,101,45,48,56,32,49,46,
      49,54,51,51,49,101,45,48,56,32,53,46,51,52,50,101,45,48,57,32,50,46,52,57,55,
      49,55,101,45,48,56,32,57,46,54,56,49,56,101,45,48,57,10,32,32,52,46,57,55,54,
      49,52,101,45,48,57,32,50,46,51,54,56,48,56,101,45,48,57,32,56,46,56,49,50,57,
      52,101,45,49,48,32,51,46,55,49,52,55,54,101,45,49,48,32,49,46,53,54,55,50,55,
      101,45,49,48,32,53,46,56,53,51,50,55,101,45,49,49,32,50,46,49,56,56,56,55,101,
      45,49,49,10,32,32,57,46,50,54,53,51,54,101,45,49,50,32,51,46,57,50,53,50,56,
      101,45,49,50,32,49,46,54,52,52,55,57,101,45,49,50,32,54,46,49,55,48,57,50,101,
      45,49,51,32,50,46,48,52,56,52,57,101,45,49,51,32,54,46,48,49,56,48,55,101,45,
      49,52,32,50,46,48,48,48,52,50,101,45,49,52,10,32,32,53,46,56,56,57,52,51,101,
      45,49,53,32,49,46,57,54,49,50,101,45,49,53,32,54,46,53,51,53,56,57,101,45,49,
      54,32,49,46,57,50,57,52,51,101,45,49,54,32,53,46,50,50,49,53,51,101,45,49,55,
      32,49,46,57,48,51,54,49,101,45,49,55,32,53,46,57,50,53,49,50,101,45,49,56,10,
      32,32,50,46,49,50,54,48,49,101,45,49,56,32,55,46,49,49,50,101,45,49,57,32,50,
      46,51,55,57,50,56,101,45,49,57,32,55,46,57,54,49,51,56,101,45,50,48,32,50,46,
      53,49,54,54,57,101,45,50,48,32,56,46,52,49,51,55,52,101,45,50,49,32,48,114,
      53,50,32,50,46,55,55,57,53,56,101,45,48,55,10,32,32,51,46,55,48,53,56,50,101,
      45,48,55,32,52,46,57,52,49,50,56,101,45,48,55,32,54,46,53,56,56,50,56,101,45,
      48,55,32,56,46,55,56,52,51,55,101,45,48,55,32,49,46,49,55,49,50,54,101,45,48,
      54,32,49,46,53,54,49,54,57,101,45,48,54,32,50,46,48,56,50,50,52,101,45,48,54,
      10,32,32,50,46,55,55,54,50,51,101,45,48,54,32,51,46,55,48,49,54,50,101,45,48,
      54,32,52,46,57,51,53,54,53,101,45,48,54,32,54,46,53,56,48,54,51,101,45,48,54,
      32,56,46,55,55,52,51,51,101,45,48,54,32,49,46,49,54,57,56,57,101,45,48,53,32,
      49,46,53,53,57,55,56,101,45,48,53,10,32,32,50,46,48,55,57,54,50,101,45,48,53,
      32,50,46,55,55,50,54,53,101,45,48,53,32,52,46,49,53,56,52,49,101,45,48,53,32,
      54,46,57,50,56,54,53,101,45,48,53,32,57,46,54,57,55,49,55,101,45,48,53,32,46,
      48,48,48,49,51,56,52,54,55,32,46,48,48,48,49,57,51,55,51,51,10,32,32,46,48,
      48,48,50,55,54,53,48,50,32,46,48,48,48,52,49,52,49,48,55,32,46,48,48,48,54,
      56,56,48,50,55,32,46,48,48,48,57,54,48,50,51,57,32,46,48,48,49,51,54,53,51,
      56,32,46,48,48,49,56,57,57,54,56,32,46,48,48,50,54,56,56,55,32,46,48,48,51,
      51,51,52,57,54,10,32,32,46,48,48,51,57,55,49,49,54,32,46,48,48,53,50,49,51,
      57,51,32,46,48,48,54,52,49,56,54,50,32,46,48,48,55,53,56,53,50,54,32,46,48,
      48,56,49,53,52,56,32,46,48,48,56,55,49,53,51,51,32,46,48,48,57,50,54,54,57,
      55,32,46,48,48,57,56,48,57,56,51,32,46,48,49,48,51,52,52,49,10,32,32,46,48,
      49,48,56,54,57,56,32,46,48,49,49,51,56,55,49,32,46,48,49,49,56,57,54,49,32,
      46,48,49,50,51,57,54,57,32,46,48,49,50,56,56,57,55,32,46,48,49,51,52,55,48,
      54,32,46,48,49,52,48,52,48,50,32,46,48,49,52,55,56,50,53,32,46,48,49,53,53,
      48,53,54,10,32,32,46,48,49,54,50,48,57,57,32,46,48,49,55,48,54,52,52,32,46,
      48,49,55,56,57,49,49,32,46,48,49,56,54,57,48,53,32,46,48,49,57,54,49,53,32,
      46,48,50,48,53,48,50,54,32,46,48,50,49,54,51,49,49,32,46,48,50,50,54,57,56,
      57,32,46,48,50,51,55,48,56,57,10,32,32,46,48,50,52,55,55,56,57,32,46,48,50,
      53,56,56,57,54,32,46,48,50,55,48,50,49,49,32,46,48,50,56,49,53,51,56,32,46,
      48,50,57,50,54,56,57,32,46,48,51,48,52,50,48,52,32,46,48,51,49,52,51,55,55,
      32,46,48,51,50,52,52,49,50,32,46,48,51,51,53,50,53,52,10,32,32,46,48,51,52,
      52,51,53,54,32,46,48,51,52,57,56,50,54,32,46,48,51,53,53,48,50,57,32,46,48,
      51,53,57,50,56,50,32,46,48,51,54,49,53,53,54,32,46,48,51,54,49,55,51,55,32,
      46,48,51,53,57,54,55,52,32,46,48,51,53,53,55,56,51,32,46,48,51,52,57,57,56,
      50,10,32,32,46,48,51,52,49,48,55,52,32,46,48,51,50,54,54,49,53,32,46,48,51,
      49,48,54,56,57,32,46,48,50,57,51,51,54,53,32,46,48,50,55,56,54,52,57,32,46,
      48,50,54,50,55,56,52,32,46,48,50,52,48,57,57,53,32,46,48,50,49,57,56,48,54,
      32,46,48,49,57,57,54,50,53,10,32,32,46,48,49,56,50,56,56,55,32,46,48,49,54,
      48,53,56,49,32,46,48,49,52,48,49,50,54,32,46,48,49,50,49,51,53,50,32,46,48,
      49,48,53,55,53,49,32,46,48,48,57,49,53,55,48,52,32,46,48,48,55,57,49,48,51,
      51,32,46,48,48,54,54,56,57,49,52,32,46,48,48,53,55,48,55,49,10,32,32,46,48,
      48,53,48,54,56,51,51,32,46,48,48,52,48,51,51,56,32,46,48,48,51,50,51,53,50,
      49,32,46,48,48,50,54,50,48,48,55,32,46,48,48,50,48,55,51,56,49,32,46,48,48,
      49,54,55,51,54,50,32,46,48,48,49,51,50,50,54,55,32,46,48,48,49,48,53,50,54,
      56,32,46,48,48,48,56,52,53,49,48,51,10,32,32,46,48,48,48,54,56,53,52,56,51,
      32,46,48,48,48,53,52,51,53,56,56,32,46,48,48,48,52,53,57,48,49,54,32,46,48,
      48,48,51,56,55,57,54,32,46,48,48,48,50,57,52,53,52,50,32,46,48,48,48,50,52,
      56,57,53,52,32,46,48,48,48,49,57,49,49,57,53,32,46,48,48,48,49,52,52,55,50,
      50,10,32,32,46,48,48,48,49,50,50,53,48,55,32,46,48,48,48,49,48,51,54,55,52,
      32,55,46,57,54,52,50,51,101,45,48,53,32,53,46,57,53,53,54,56,101,45,48,53,32,
      53,46,48,54,57,48,52,101,45,48,53,32,51,46,57,48,56,54,54,101,45,48,53,32,51,
      46,51,51,54,51,101,45,48,53,10,32,32,50,46,53,56,48,53,54,101,45,48,53,32,50,
      46,48,57,53,49,49,101,45,48,53,32,49,46,53,52,51,50,50,101,45,48,53,32,49,46,
      51,54,48,49,49,101,45,48,53,32,49,46,48,54,54,57,51,101,45,48,53,32,56,46,49,
      54,49,49,55,101,45,48,54,32,54,46,53,50,57,53,55,101,45,48,54,10,32,32,53,46,
      50,50,53,51,55,101,45,48,54,32,52,46,50,52,50,56,55,101,45,48,54,32,51,46,52,
      53,54,55,50,101,45,48,54,32,50,46,55,53,52,56,54,101,45,48,54,32,50,46,50,53,
      50,51,55,101,45,48,54,32,49,46,56,48,52,51,101,45,48,54,32,49,46,53,51,50,56,
      49,101,45,48,54,10,32,32,49,46,49,55,53,48,56,101,45,48,54,32,57,46,57,56,53,
      50,53,101,45,48,55,32,56,46,49,53,55,50,51,101,45,48,55,32,53,46,48,57,55,49,
      50,101,45,48,55,32,50,46,54,55,50,48,51,101,45,48,55,32,49,46,52,50,52,54,50,
      101,45,48,55,32,54,46,52,57,57,56,49,101,45,48,56,10,32,32,50,46,57,54,57,55,
      57,101,45,48,56,32,49,46,49,54,49,55,101,45,48,56,32,53,46,51,51,54,52,101,
      45,48,57,32,50,46,52,55,55,49,55,101,45,48,56,32,57,46,54,48,52,52,52,101,45,
      48,57,32,52,46,57,51,54,52,51,101,45,48,57,32,50,46,51,52,57,50,50,101,45,48,
      57,10,32,32,56,46,55,52,50,56,54,101,45,49,48,32,51,46,54,56,54,56,49,101,45,
      49,48,32,49,46,53,53,53,56,53,101,45,49,48,32,53,46,56,49,48,54,54,101,45,49,
      49,32,50,46,49,55,50,57,53,101,45,49,49,32,57,46,49,57,56,48,51,101,45,49,50,
      32,51,46,56,57,54,55,56,101,45,49,50,10,32,32,49,46,54,51,50,57,51,101,45,49,
      50,32,54,46,49,50,54,52,56,101,45,49,51,32,50,46,48,51,53,53,57,101,45,49,51,
      32,53,46,57,56,53,52,52,101,45,49,52,32,49,46,57,56,57,53,56,101,45,49,52,32,
      53,46,56,53,55,52,57,101,45,49,53,32,49,46,57,53,48,53,55,101,45,49,53,10,32,
      32,54,46,53,48,48,52,53,101,45,49,54,32,49,46,57,49,56,57,55,101,45,49,54,32,
      53,46,49,57,51,50,52,101,45,49,55,32,49,46,56,57,51,50,57,101,45,49,55,32,53,
      46,56,57,50,57,57,101,45,49,56,32,50,46,49,49,52,52,57,101,45,49,56,32,55,46,
      48,55,51,52,55,101,45,49,57,10,32,32,50,46,51,54,55,52,49,101,45,49,57,32,55,
      46,57,50,55,50,101,45,50,48,32,50,46,53,48,51,56,53,101,45,50,48,32,56,46,51,
      55,48,53,57,101,45,50,49,32,48,114,53,50,32,50,46,56,49,48,53,49,101,45,48,
      55,32,51,46,55,52,55,48,55,101,45,48,55,32,52,46,57,57,54,50,56,101,45,48,55,
      10,32,32,54,46,54,54,49,54,49,101,45,48,55,32,56,46,56,56,50,49,52,101,45,48,
      55,32,49,46,49,56,52,50,57,101,45,48,54,32,49,46,53,55,57,48,55,101,45,48,54,
      32,50,46,49,48,53,52,50,101,45,48,54,32,50,46,56,48,55,49,50,101,45,48,54,32,
      51,46,55,52,50,56,50,101,45,48,54,10,32,32,52,46,57,57,48,53,56,101,45,48,54,
      32,54,46,54,53,51,56,54,101,45,48,54,32,56,46,56,55,49,57,54,101,45,48,54,32,
      49,46,49,56,50,57,101,45,48,53,32,49,46,53,55,55,49,52,101,45,48,53,32,50,46,
      49,48,50,55,53,101,45,48,53,32,50,46,56,48,51,52,57,101,45,48,53,10,32,32,52,
      46,50,48,52,54,51,101,45,48,53,32,55,46,48,48,53,53,57,101,45,48,53,32,57,46,
      56,48,52,55,52,101,45,48,53,32,46,48,48,48,49,52,32,46,48,48,48,49,57,53,56,
      55,52,32,46,48,48,48,50,55,57,53,52,57,32,46,48,48,48,52,49,56,54,52,54,32,
      46,48,48,48,54,57,53,52,57,49,10,32,32,46,48,48,48,57,55,48,53,52,56,32,46,
      48,48,49,51,55,57,56,49,32,46,48,48,49,57,49,57,51,50,32,46,48,48,50,55,49,
      53,53,56,32,46,48,48,51,51,54,55,51,55,32,46,48,48,52,48,48,56,54,52,32,46,
      48,48,53,50,54,48,50,51,32,46,48,48,54,52,55,49,53,54,10,32,32,46,48,48,55,
      54,52,52,50,52,32,46,48,48,56,50,49,54,48,53,32,46,48,48,56,55,55,56,52,57,
      32,46,48,48,57,51,51,49,55,51,32,46,48,48,57,56,55,53,56,52,32,46,48,49,48,
      52,49,49,32,46,48,49,48,57,51,55,52,32,46,48,49,49,52,53,53,32,46,48,49,49,
      57,54,52,49,10,32,32,46,48,49,50,52,54,52,56,32,46,48,49,50,57,53,55,49,32,
      46,48,49,51,53,51,55,49,32,46,48,49,52,49,48,53,53,32,46,48,49,52,56,52,53,
      55,32,46,48,49,53,53,54,54,49,32,46,48,49,54,50,54,55,50,32,46,48,49,55,49,
      49,55,50,32,46,48,49,55,57,51,56,53,10,32,32,46,48,49,56,55,51,50,32,46,48,
      49,57,54,52,56,53,32,46,48,50,48,53,50,55,53,32,46,48,50,49,54,52,51,53,32,
      46,48,50,50,54,57,55,55,32,46,48,50,51,54,57,51,52,32,46,48,50,52,55,52,54,
      52,32,46,48,50,53,56,51,55,52,32,46,48,50,54,57,52,54,54,10,32,32,46,48,50,
      56,48,53,52,49,32,46,48,50,57,49,52,49,56,32,46,48,51,48,50,54,49,54,32,46,
      48,51,49,50,52,55,52,32,46,48,51,50,50,49,54,50,32,46,48,51,51,50,53,55,52,
      32,46,48,51,52,49,50,53,49,32,46,48,51,52,54,52,50,49,32,46,48,51,53,49,50,
      56,51,10,32,32,46,48,51,53,53,49,54,55,32,46,48,51,53,55,49,48,52,32,46,48,
      51,53,54,57,57,51,32,46,48,51,53,52,54,56,57,32,46,48,51,53,48,54,51,52,32,
      46,48,51,52,52,55,50,56,32,46,48,51,51,53,55,55,57,32,46,48,51,50,49,51,56,
      32,46,48,51,48,53,54,49,54,10,32,32,46,48,50,56,56,53,51,50,32,46,48,50,55,
      52,48,53,49,32,46,48,50,53,56,52,54,53,32,46,48,50,51,55,48,56,32,46,48,50,
      49,54,51,48,50,32,46,48,49,57,54,53,49,56,32,46,48,49,56,48,49,48,57,32,46,
      48,49,53,56,50,51,56,32,46,48,49,51,56,49,55,49,10,32,32,46,48,49,49,57,55,
      52,49,32,46,48,49,48,52,52,49,52,32,46,48,48,57,48,52,55,48,57,32,46,48,48,
      55,56,50,48,50,52,32,46,48,48,54,54,49,55,51,57,32,46,48,48,53,54,52,57,50,
      51,32,46,48,48,53,48,49,57,48,50,32,46,48,48,51,57,57,55,53,49,32,46,48,48,
      51,50,48,56,49,53,10,32,32,46,48,48,50,53,57,57,53,57,32,46,48,48,50,48,53,
      56,55,49,32,46,48,48,49,54,54,50,49,56,32,46,48,48,49,51,49,52,50,49,32,46,
      48,48,49,48,52,54,51,52,32,46,48,48,48,56,52,48,50,57,52,32,46,48,48,48,54,
      56,49,55,55,57,32,46,48,48,48,53,52,48,56,48,54,10,32,32,46,48,48,48,52,53,
      54,55,53,52,32,46,48,48,48,51,56,54,49,49,55,32,46,48,48,48,50,57,51,50,50,
      49,32,46,48,48,48,50,52,55,56,55,52,32,46,48,48,48,49,57,48,52,48,56,32,46,
      48,48,48,49,52,52,49,53,54,32,46,48,48,48,49,50,50,48,52,49,32,46,48,48,48,
      49,48,51,50,57,50,10,32,32,55,46,57,51,54,49,101,45,48,53,32,53,46,57,51,53,
      54,49,101,45,48,53,32,53,46,48,53,50,51,55,101,45,48,53,32,51,46,56,57,54,51,
      101,45,48,53,32,51,46,51,50,53,57,57,101,45,48,53,32,50,46,53,55,50,56,55,101,
      45,48,53,32,50,46,48,56,57,48,51,101,45,48,53,10,32,32,49,46,53,51,56,57,50,
      101,45,48,53,32,49,46,51,53,54,51,56,101,45,48,53,32,49,46,48,54,52,49,101,
      45,48,53,32,56,46,49,52,48,49,57,101,45,48,54,32,54,46,53,49,51,50,49,101,45,
      48,54,32,53,46,50,49,50,54,49,101,45,48,54,32,52,46,50,51,50,55,54,101,45,48,
      54,10,32,32,51,46,52,52,56,54,55,101,45,48,54,32,50,46,55,52,56,54,101,45,48,
      54,32,50,46,50,52,55,51,54,101,45,48,54,32,49,46,56,48,48,51,56,101,45,48,54,
      32,49,46,53,50,57,53,52,101,45,48,54,32,49,46,49,55,50,54,52,101,45,48,54,32,
      57,46,57,54,52,56,53,101,45,48,55,10,32,32,56,46,49,52,48,57,49,101,45,48,55,
      32,53,46,48,56,55,51,54,101,45,48,55,32,50,46,54,54,55,50,101,45,48,55,32,49,
      46,52,50,50,49,56,101,45,48,55,32,54,46,52,56,57,51,49,101,45,48,56,32,50,46,
      57,54,53,50,55,101,45,48,56,32,49,46,49,54,48,48,52,101,45,48,56,10,32,32,53,
      46,51,51,48,54,49,101,45,48,57,32,50,46,52,53,53,57,56,101,45,48,56,32,57,46,
      53,50,55,57,53,101,45,48,57,32,52,46,56,57,55,49,56,101,45,48,57,32,50,46,51,
      51,48,53,54,101,45,48,57,32,56,46,54,55,51,53,56,101,45,49,48,32,51,46,54,53,
      55,54,53,101,45,49,48,10,32,32,49,46,53,52,52,50,53,101,45,49,48,32,53,46,55,
      54,56,53,57,101,45,49,49,32,50,46,49,53,55,50,51,101,45,49,49,32,57,46,49,51,
      49,53,52,101,45,49,50,32,51,46,56,54,56,54,51,101,45,49,50,32,49,46,54,50,49,
      50,50,101,45,49,50,32,54,46,48,56,50,54,49,101,45,49,51,10,32,32,50,46,48,50,
      49,48,51,101,45,49,51,32,53,46,57,52,56,52,54,101,45,49,52,32,49,46,57,55,56,
      57,49,101,45,49,52,32,53,46,56,50,54,48,57,101,45,49,53,32,49,46,57,52,48,49,
      49,101,45,49,53,32,54,46,52,54,53,54,49,101,45,49,54,32,49,46,57,48,56,54,57,
      101,45,49,54,10,32,32,53,46,49,54,53,52,51,101,45,49,55,32,49,46,56,56,51,49,
      53,101,45,49,55,32,53,46,56,54,49,52,49,101,45,49,56,32,50,46,49,48,51,49,54,
      101,45,49,56,32,55,46,48,51,53,53,57,101,45,49,57,32,50,46,51,53,52,55,52,101,
      45,49,57,32,55,46,56,56,52,55,54,101,45,50,48,10,32,32,50,46,52,56,57,57,49,
      101,45,50,48,32,56,46,51,50,56,50,50,101,45,50,49,32,48,114,53,50,32,50,46,
      56,51,53,48,57,101,45,48,55,32,51,46,55,55,57,56,52,101,45,48,55,32,53,46,48,
      51,57,57,55,101,45,48,55,32,54,46,55,49,57,56,54,101,45,48,55,32,56,46,57,53,
      57,56,49,101,45,48,55,10,32,32,49,46,49,57,52,54,53,101,45,48,54,32,49,46,53,
      57,50,56,56,101,45,48,54,32,50,46,49,50,51,56,51,101,45,48,54,32,50,46,56,51,
      49,54,55,101,45,48,54,32,51,46,55,55,53,53,52,101,45,48,54,32,53,46,48,51,52,
      50,101,45,48,54,32,54,46,55,49,50,101,45,48,54,10,32,32,56,46,57,52,57,52,55,
      101,45,48,54,32,49,46,49,57,51,50,51,101,45,48,53,32,49,46,53,57,48,57,49,101,
      45,48,53,32,50,46,49,50,49,49,101,45,48,53,32,50,46,56,50,55,57,51,101,45,48,
      53,32,52,46,50,52,49,50,52,101,45,48,53,32,55,46,48,54,54,52,50,101,45,48,53,
      10,32,32,57,46,56,56,57,54,53,101,45,48,53,32,46,48,48,48,49,52,49,50,48,56,
      32,46,48,48,48,49,57,55,53,53,54,32,46,48,48,48,50,56,49,57,51,49,32,46,48,
      48,48,52,50,50,49,55,32,46,48,48,48,55,48,49,50,48,57,32,46,48,48,48,57,55,
      56,51,52,53,32,46,48,48,49,51,57,48,53,50,10,32,32,46,48,48,49,57,51,51,53,
      56,32,46,48,48,50,55,51,52,52,52,32,46,48,48,51,51,56,57,52,55,32,46,48,48,
      52,48,51,51,52,55,32,46,48,48,53,50,56,57,49,55,32,46,48,48,54,53,48,50,57,
      54,32,46,48,48,55,54,55,54,53,56,32,46,48,48,56,50,52,56,52,50,10,32,32,46,
      48,48,56,56,49,48,53,57,32,46,48,48,57,51,54,51,50,56,32,46,48,48,57,57,48,
      54,53,55,32,46,48,49,48,52,52,48,55,32,46,48,49,48,57,54,53,55,32,46,48,49,
      49,52,56,49,56,32,46,48,49,49,57,56,57,50,32,46,48,49,50,52,56,55,57,32,46,
      48,49,50,57,55,56,49,10,32,32,46,48,49,51,53,53,53,51,32,46,48,49,52,49,50,
      48,55,32,46,48,49,52,56,53,54,52,32,46,48,49,53,53,55,50,32,46,48,49,54,50,
      54,55,57,32,46,48,49,55,49,49,49,32,46,48,49,55,57,50,53,49,32,46,48,49,56,
      55,49,48,57,32,46,48,49,57,54,49,55,56,32,46,48,50,48,52,56,54,55,10,32,32,
      46,48,50,49,53,56,56,54,32,46,48,50,50,54,50,56,51,32,46,48,50,51,54,48,57,
      32,46,48,50,52,54,52,52,55,32,46,48,50,53,55,49,54,51,32,46,48,50,54,56,48,
      51,56,32,46,48,50,55,56,56,55,53,32,46,48,50,56,57,52,57,53,32,46,48,51,48,
      48,52,48,50,10,32,32,46,48,51,48,57,57,55,54,32,46,48,51,49,57,51,53,50,32,
      46,48,51,50,57,51,56,52,32,46,48,51,51,55,54,57,50,32,46,48,51,52,50,54,48,
      50,32,46,48,51,52,55,49,55,50,32,46,48,51,53,48,55,52,51,32,46,48,51,53,50,
      51,57,57,32,46,48,51,53,50,48,53,10,32,32,46,48,51,52,57,53,53,52,32,46,48,
      51,52,53,51,55,55,32,46,48,51,51,57,52,48,51,32,46,48,51,51,48,52,52,55,32,
      46,48,51,49,54,49,52,52,32,46,48,51,48,48,53,54,32,46,48,50,56,51,55,51,49,
      32,46,48,50,54,57,52,57,32,46,48,50,53,52,49,56,53,32,46,48,50,51,51,50,48,
      51,10,32,32,46,48,50,49,50,56,51,50,32,46,48,49,57,51,52,52,32,46,48,49,55,
      55,51,53,54,32,46,48,49,53,53,57,49,50,32,46,48,49,51,54,50,50,55,32,46,48,
      49,49,56,49,51,55,32,46,48,49,48,51,48,56,32,46,48,48,56,57,51,55,50,51,32,
      46,48,48,55,55,51,48,48,54,10,32,32,46,48,48,54,53,52,53,52,52,32,46,48,48,
      53,53,57,49,49,50,32,46,48,48,52,57,54,57,52,53,32,46,48,48,51,57,54,48,57,
      54,32,46,48,48,51,49,56,48,56,53,32,46,48,48,50,53,55,56,56,57,32,46,48,48,
      50,48,52,51,52,53,32,46,48,48,49,54,53,48,54,32,46,48,48,49,51,48,53,54,52,
      10,32,32,46,48,48,49,48,51,57,57,50,32,46,48,48,48,56,51,53,52,49,51,32,46,
      48,48,48,54,55,56,48,49,55,32,46,48,48,48,53,51,55,57,56,32,46,48,48,48,52,
      53,52,52,53,53,32,46,48,48,48,51,56,52,50,52,51,32,46,48,48,48,50,57,49,56,
      55,56,32,46,48,48,48,50,52,54,55,55,55,10,32,32,46,48,48,48,49,56,57,54,48,
      54,32,46,48,48,48,49,52,51,53,55,57,32,46,48,48,48,49,50,49,53,54,56,32,46,
      48,48,48,49,48,50,57,48,50,32,55,46,57,48,55,52,52,101,45,48,53,32,53,46,57,
      49,53,49,51,101,45,48,53,32,53,46,48,51,53,51,56,101,45,48,53,10,32,32,51,46,
      56,56,51,54,57,101,45,48,53,32,51,46,51,49,53,52,55,101,45,48,53,32,50,46,53,
      54,53,48,50,101,45,48,53,32,50,46,48,56,50,56,52,101,45,48,53,32,49,46,53,51,
      52,53,52,101,45,48,53,32,49,46,51,53,50,53,56,101,45,48,53,32,49,46,48,54,49,
      50,101,45,48,53,10,32,32,56,46,49,49,56,56,49,101,45,48,54,32,54,46,52,57,54,
      53,54,101,45,48,54,32,53,46,49,57,57,54,52,101,45,48,54,32,52,46,50,50,50,52,
      55,101,45,48,54,32,51,46,52,52,48,52,55,101,45,48,54,32,50,46,55,52,50,50,52,
      101,45,48,54,32,50,46,50,52,50,50,55,101,45,48,54,10,32,32,49,46,55,57,54,52,
      101,45,48,54,32,49,46,53,50,54,50,49,101,45,48,54,32,49,46,49,55,48,49,53,101,
      45,48,54,32,57,46,57,52,52,48,51,101,45,48,55,32,56,46,49,50,52,50,101,45,48,
      55,32,53,46,48,55,55,51,56,101,45,48,55,32,50,46,54,54,50,50,54,101,45,48,55,
      10,32,32,49,46,52,49,57,54,56,101,45,48,55,32,54,46,52,55,56,53,57,101,45,48,
      56,32,50,46,57,54,48,54,52,101,45,48,56,32,49,46,49,53,56,51,53,101,45,48,56,
      32,53,46,51,50,52,54,57,101,45,48,57,32,50,46,52,51,52,49,53,101,45,48,56,32,
      57,46,52,53,49,51,56,101,45,48,57,10,32,32,52,46,56,53,56,51,56,101,45,48,57,
      32,50,46,51,49,50,49,51,101,45,48,57,32,56,46,54,48,53,49,50,101,45,49,48,32,
      51,46,54,50,56,56,50,101,45,49,48,32,49,46,53,51,50,49,49,101,45,49,48,32,53,
      46,55,50,54,52,55,101,45,49,49,32,50,46,49,52,49,55,49,101,45,49,49,10,32,32,
      57,46,48,54,53,57,50,101,45,49,50,32,51,46,56,52,48,56,53,101,45,49,50,32,49,
      46,54,48,57,54,54,101,45,49,50,32,54,46,48,51,57,51,101,45,49,51,32,50,46,48,
      48,54,54,54,101,45,49,51,32,53,46,57,48,54,50,52,101,45,49,52,32,49,46,57,54,
      54,52,57,101,45,49,52,10,32,32,53,46,55,57,53,50,52,101,45,49,53,32,49,46,57,
      50,57,56,52,101,45,49,53,32,54,46,52,51,49,51,57,101,45,49,54,32,49,46,56,57,
      56,53,57,101,45,49,54,32,53,46,49,51,56,49,101,45,49,55,32,49,46,56,55,51,49,
      57,101,45,49,55,32,53,46,56,51,48,51,55,101,45,49,56,10,32,32,50,46,48,57,50,
      48,51,101,45,49,56,32,54,46,57,57,56,51,55,101,45,49,57,32,50,46,51,52,50,50,
      56,101,45,49,57,32,55,46,56,52,51,48,53,101,45,50,48,32,50,46,52,55,52,52,53,
      101,45,50,48,32,56,46,50,55,55,57,50,101,45,50,49,32,48,114,53,50,32,50,46,
      56,52,49,50,53,101,45,48,55,10,32,32,51,46,55,56,56,48,53,101,45,48,55,32,53,
      46,48,53,48,57,50,101,45,48,55,32,54,46,55,51,52,52,54,101,45,48,55,32,56,46,
      57,55,57,50,55,101,45,48,55,32,49,46,49,57,55,50,52,101,45,48,54,32,49,46,53,
      57,54,51,52,101,45,48,54,32,50,46,49,50,56,52,52,101,45,48,54,10,32,32,50,46,
      56,51,55,56,49,101,45,48,54,32,51,46,55,56,51,55,51,101,45,48,54,32,53,46,48,
      52,53,49,49,101,45,48,54,32,54,46,55,50,54,53,52,101,45,48,54,32,56,46,57,54,
      56,56,53,101,45,48,54,32,49,46,49,57,53,56,49,101,45,48,53,32,49,46,53,57,52,
      51,52,101,45,48,53,10,32,32,50,46,49,50,53,54,55,101,45,48,53,32,50,46,56,51,
      52,101,45,48,53,32,52,46,50,53,48,51,101,45,48,53,32,55,46,48,56,49,51,52,101,
      45,48,53,32,57,46,57,49,48,51,49,101,45,48,53,32,46,48,48,48,49,52,49,52,57,
      57,32,46,48,48,48,49,57,55,57,53,52,32,46,48,48,48,50,56,50,52,56,50,10,32,
      32,46,48,48,48,52,50,50,57,53,53,32,46,48,48,48,55,48,50,51,57,32,46,48,48,
      48,57,55,57,56,51,50,32,46,48,48,49,51,57,50,51,49,32,46,48,48,49,57,51,53,
      53,49,32,46,48,48,50,55,51,54,48,55,32,46,48,48,51,51,57,48,52,52,32,46,48,
      48,52,48,51,51,52,53,10,32,32,46,48,48,53,50,56,54,50,55,32,46,48,48,54,52,
      57,54,49,54,32,46,48,48,55,54,54,52,54,54,32,46,48,48,56,50,51,52,49,52,32,
      46,48,48,56,55,57,51,52,57,32,46,48,48,57,51,52,51,50,49,32,46,48,48,57,56,
      56,51,51,56,32,46,48,49,48,52,49,52,50,32,46,48,49,48,57,51,53,57,10,32,32,
      46,48,49,49,52,52,56,54,32,46,48,49,49,57,53,50,51,32,46,48,49,50,52,52,55,
      51,32,46,48,49,50,57,51,51,55,32,46,48,49,51,53,48,54,51,32,46,48,49,52,48,
      54,54,57,32,46,48,49,52,55,57,54,49,32,46,48,49,53,53,48,53,32,46,48,49,54,
      49,57,52,49,10,32,32,46,48,49,55,48,50,56,53,32,46,48,49,55,56,51,51,55,32,
      46,48,49,56,54,49,48,53,32,46,48,49,57,53,48,54,52,32,46,48,50,48,51,54,52,
      49,32,46,48,50,49,52,53,49,49,32,46,48,50,50,52,55,53,55,32,46,48,50,51,52,
      52,49,50,32,46,48,50,52,52,53,57,57,10,32,32,46,48,50,53,53,49,50,54,32,46,
      48,50,54,53,55,57,54,32,46,48,50,55,54,52,49,50,32,46,48,50,56,54,55,57,57,
      32,46,48,50,57,55,52,52,52,32,46,48,51,48,54,55,54,56,32,46,48,51,49,53,56,
      55,52,32,46,48,51,50,53,53,56,49,32,46,48,51,51,51,53,55,56,10,32,32,46,48,
      51,51,56,50,55,51,32,46,48,51,52,50,54,48,53,32,46,48,51,52,53,57,50,53,32,
      46,48,51,52,55,51,54,50,32,46,48,51,52,54,56,51,53,32,46,48,51,52,52,50,48,
      51,32,46,48,51,51,57,57,53,49,32,46,48,51,51,51,57,53,51,32,46,48,51,50,53,
      48,51,50,10,32,32,46,48,51,49,48,56,54,53,32,46,48,50,57,53,52,57,49,32,46,
      48,50,55,56,57,51,53,32,46,48,50,54,52,57,52,53,32,46,48,50,52,57,57,50,52,
      32,46,48,50,50,57,51,53,49,32,46,48,50,48,57,51,56,53,32,46,48,49,57,48,51,
      56,50,32,46,48,49,55,52,54,50,10,32,32,46,48,49,53,51,54,32,46,48,49,51,52,
      50,57,51,32,46,48,49,49,54,53,51,56,32,46,48,49,48,49,55,52,57,32,46,48,48,
      56,56,50,55,52,49,32,46,48,48,55,54,51,57,55,56,32,46,48,48,54,52,55,51,51,
      49,32,46,48,48,53,53,51,50,55,54,32,46,48,48,52,57,49,57,54,51,10,32,32,46,
      48,48,51,57,50,52,49,54,32,46,48,48,51,49,53,51,51,51,32,46,48,48,50,53,53,
      55,57,57,32,46,48,48,50,48,50,56,48,50,32,46,48,48,49,54,51,56,56,57,32,46,
      48,48,49,50,57,54,57,53,32,46,48,48,49,48,51,51,52,32,46,48,48,48,56,51,48,
      52,54,53,10,32,32,46,48,48,48,54,55,52,49,57,55,32,46,48,48,48,53,51,53,49,
      48,56,32,46,48,48,48,52,53,50,49,50,49,32,46,48,48,48,51,56,50,51,52,32,46,
      48,48,48,50,57,48,53,49,50,32,46,48,48,48,50,52,53,54,54,32,46,48,48,48,49,
      56,56,55,57,49,32,46,48,48,48,49,52,50,57,57,51,10,32,32,46,48,48,48,49,50,
      49,48,56,53,32,46,48,48,48,49,48,50,53,48,53,32,55,46,56,55,56,50,52,101,45,
      48,53,32,53,46,56,57,52,50,56,101,45,48,53,32,53,46,48,49,56,48,54,101,45,48,
      53,32,51,46,56,55,48,56,52,101,45,48,53,32,51,46,51,48,52,55,54,101,45,48,53,
      10,32,32,50,46,53,53,55,48,51,101,45,48,53,32,50,46,48,55,54,53,52,101,45,48,
      53,32,49,46,53,51,48,48,56,101,45,48,53,32,49,46,51,52,56,55,50,101,45,48,53,
      32,49,46,48,53,56,50,55,101,45,48,53,32,56,46,48,57,55,48,54,101,45,48,54,32,
      54,46,52,55,57,54,49,101,45,48,54,10,32,32,53,46,49,56,54,52,50,101,45,48,54,
      32,52,46,50,49,49,57,56,101,45,48,54,32,51,46,52,51,50,49,50,101,45,48,54,32,
      50,46,55,51,53,55,52,101,45,48,54,32,50,46,50,51,55,48,55,101,45,48,54,32,49,
      46,55,57,50,51,51,101,45,48,54,32,49,46,53,50,50,56,49,101,45,48,54,10,32,32,
      49,46,49,54,55,54,50,101,45,48,54,32,57,46,57,50,50,56,101,45,48,55,32,56,46,
      49,48,55,50,101,45,48,55,32,53,46,48,54,55,49,56,101,45,48,55,32,50,46,54,53,
      55,50,49,101,45,48,55,32,49,46,52,49,55,49,51,101,45,48,55,32,54,46,52,54,55,
      54,54,101,45,48,56,10,32,32,50,46,57,53,53,57,52,101,45,48,56,32,49,46,49,53,
      54,54,51,101,45,48,56,32,53,46,51,49,56,54,51,101,45,48,57,32,50,46,52,49,50,
      53,52,101,45,48,56,32,57,46,51,54,55,56,49,101,45,48,57,32,52,46,56,49,57,54,
      57,101,45,48,57,32,50,46,50,57,51,57,49,101,45,48,57,10,32,32,56,46,53,51,55,
      52,54,101,45,49,48,32,51,46,54,48,48,51,52,101,45,49,48,32,49,46,53,50,48,49,
      101,45,49,48,32,53,46,54,56,49,54,56,101,45,49,49,32,50,46,49,50,54,51,54,101,
      45,49,49,32,57,46,48,48,49,49,52,101,45,49,50,32,51,46,56,49,51,52,51,101,45,
      49,50,10,32,32,49,46,53,57,56,50,54,101,45,49,50,32,53,46,57,57,54,53,55,101,
      45,49,51,32,49,46,57,57,50,52,56,101,45,49,51,32,53,46,56,54,52,53,55,101,45,
      49,52,32,49,46,57,53,50,54,52,101,45,49,52,32,53,46,55,53,57,49,49,101,45,49,
      53,32,49,46,57,49,57,55,53,101,45,49,53,10,32,32,54,46,51,57,55,55,55,101,45,
      49,54,32,49,46,56,56,56,54,54,101,45,49,54,32,53,46,49,49,49,50,53,101,45,49,
      55,32,49,46,56,54,51,52,101,45,49,55,32,53,46,55,57,57,56,57,101,45,49,56,32,
      50,46,48,56,49,49,101,45,49,56,32,54,46,57,54,49,56,50,101,45,49,57,10,32,32,
      50,46,51,51,48,48,53,101,45,49,57,32,55,46,56,48,50,48,57,101,45,50,48,32,50,
      46,52,53,57,50,51,101,45,50,48,32,56,46,50,50,54,56,49,101,45,50,49,32,48,114,
      53,50,32,50,46,56,49,50,57,56,101,45,48,55,32,51,46,55,53,48,51,54,101,45,48,
      55,32,53,46,48,48,48,54,55,101,45,48,55,10,32,32,54,46,54,54,55,52,54,101,45,
      48,55,32,56,46,56,56,57,57,52,101,45,48,55,32,49,46,49,56,53,51,51,101,45,48,
      54,32,49,46,53,56,48,52,54,101,45,48,54,32,50,46,49,48,55,50,54,101,45,48,54,
      32,50,46,56,48,57,53,56,101,45,48,54,32,51,46,55,52,54,48,57,101,45,48,54,10,
      32,32,52,46,57,57,52,57,51,101,45,48,54,32,54,46,54,53,57,54,52,101,45,48,54,
      32,56,46,56,55,57,54,53,101,45,48,54,32,49,46,49,56,51,57,50,101,45,48,53,32,
      49,46,53,55,56,52,57,101,45,48,53,32,50,46,49,48,52,53,52,101,45,48,53,32,50,
      46,56,48,53,56,52,101,45,48,53,10,32,32,52,46,50,48,56,48,55,101,45,48,53,32,
      55,46,48,49,49,48,53,101,45,48,53,32,57,46,56,49,50,48,49,101,45,48,53,32,46,
      48,48,48,49,52,48,48,57,55,32,46,48,48,48,49,57,53,57,57,53,32,46,48,48,48,
      50,55,57,54,57,50,32,46,48,48,48,52,49,56,55,57,32,46,48,48,48,54,57,53,53,
      48,56,10,32,32,46,48,48,48,57,55,48,50,55,52,32,46,48,48,49,51,55,56,56,49,
      32,46,48,48,49,57,49,54,56,54,32,46,48,48,50,55,48,57,57,49,32,46,48,48,51,
      51,53,56,49,56,32,46,48,48,51,57,57,53,50,50,32,46,48,48,53,50,51,54,52,32,
      46,48,48,54,52,51,53,32,46,48,48,55,53,57,50,52,52,10,32,32,46,48,48,56,49,
      53,54,49,55,32,46,48,48,56,55,49,48,49,49,32,46,48,48,57,50,53,52,55,49,32,
      46,48,48,57,55,56,57,53,54,32,46,48,49,48,51,49,53,49,32,46,48,49,48,56,51,
      49,53,32,46,48,49,49,51,51,56,57,32,46,48,49,49,56,51,55,52,32,46,48,49,50,
      51,50,55,50,10,32,32,46,48,49,50,56,48,56,53,32,46,48,49,51,51,55,52,57,32,
      46,48,49,51,57,50,57,51,32,46,48,49,52,54,53,48,51,32,46,48,49,53,51,53,49,
      49,32,46,48,49,54,48,51,50,50,32,46,48,49,54,56,53,54,53,32,46,48,49,55,54,
      53,49,56,32,46,48,49,56,52,49,56,54,10,32,32,46,48,49,57,51,48,50,55,32,46,
      48,50,48,49,52,56,55,32,46,48,50,49,50,50,48,51,32,46,48,50,50,50,50,57,55,
      32,46,48,50,51,49,56,48,51,32,46,48,50,52,49,56,50,53,32,46,48,50,53,50,49,
      55,52,32,46,48,50,54,50,54,53,51,32,46,48,50,55,51,48,54,57,10,32,32,46,48,
      50,56,51,50,52,55,32,46,48,50,57,51,54,54,51,32,46,48,51,48,50,55,55,50,32,
      46,48,51,49,49,54,53,49,32,46,48,51,50,49,48,57,32,46,48,51,50,56,56,51,55,
      32,46,48,51,51,51,51,54,52,32,46,48,51,51,55,53,49,50,32,46,48,51,52,48,54,
      53,32,46,48,51,52,49,57,51,50,10,32,32,46,48,51,52,49,50,56,57,32,46,48,51,
      51,56,53,56,53,32,46,48,51,51,52,51,48,57,32,46,48,51,50,56,51,51,51,32,46,
      48,51,49,57,52,57,50,32,46,48,51,48,53,53,49,50,32,46,48,50,57,48,51,56,51,
      32,46,48,50,55,52,49,50,49,32,46,48,50,54,48,51,57,54,10,32,32,46,48,50,52,
      53,54,54,55,32,46,48,50,50,53,53,49,32,46,48,50,48,53,57,53,51,32,46,48,49,
      56,55,51,52,32,46,48,49,55,49,56,57,55,32,46,48,49,53,49,50,57,56,32,46,48,
      49,51,50,51,54,53,32,46,48,49,49,52,57,52,51,32,46,48,49,48,48,52,50,32,46,
      48,48,56,55,49,55,54,49,10,32,32,46,48,48,55,53,52,57,51,56,32,46,48,48,54,
      52,48,48,57,57,32,46,48,48,53,52,55,52,49,57,32,46,48,48,52,56,54,57,53,55,
      32,46,48,48,51,56,56,55,49,50,32,46,48,48,51,49,50,53,53,57,32,46,48,48,50,
      53,51,54,57,32,46,48,48,50,48,49,50,52,50,32,46,48,48,49,54,50,55,48,51,10,
      32,32,46,48,48,49,50,56,56,49,54,32,46,48,48,49,48,50,54,56,32,46,48,48,48,
      56,50,53,52,52,53,32,46,48,48,48,54,55,48,51,50,53,32,46,48,48,48,53,51,50,
      49,57,52,32,46,48,48,48,52,52,57,55,53,32,46,48,48,48,51,56,48,52,48,54,32,
      46,48,48,48,50,56,57,49,50,53,10,32,32,46,48,48,48,50,52,52,53,50,53,32,46,
      48,48,48,49,56,55,57,54,49,32,46,48,48,48,49,52,50,51,57,54,32,46,48,48,48,
      49,50,48,53,57,52,32,46,48,48,48,49,48,50,49,48,49,32,55,46,56,52,56,53,52,
      101,45,48,53,32,53,46,56,55,51,48,55,101,45,48,53,32,53,46,48,48,48,52,53,101,
      45,48,53,10,32,32,51,46,56,53,55,55,57,101,45,48,53,32,51,46,50,57,51,56,54,
      101,45,48,53,32,50,46,53,52,56,57,101,45,48,53,32,50,46,48,55,48,49,50,101,
      45,48,53,32,49,46,53,50,53,53,52,101,45,48,53,32,49,46,51,52,52,55,56,101,45,
      48,53,32,49,46,48,53,53,50,55,101,45,48,53,10,32,32,56,46,48,55,52,56,53,101,
      45,48,54,32,54,46,52,54,50,51,49,101,45,48,54,32,53,46,49,55,50,57,51,101,45,
      48,54,32,52,46,50,48,49,50,56,101,45,48,54,32,51,46,52,50,51,54,101,45,48,54,
      32,50,46,55,50,57,49,49,101,45,48,54,32,50,46,50,51,49,55,54,101,45,48,54,10,
      32,32,49,46,55,56,56,49,55,101,45,48,54,32,49,46,53,49,57,51,51,101,45,48,54,
      32,49,46,49,54,53,48,50,101,45,48,54,32,57,46,57,48,49,48,56,101,45,48,55,32,
      56,46,48,56,57,55,56,101,45,48,55,32,53,46,48,53,54,55,56,101,45,48,55,32,50,
      46,54,53,50,48,54,101,45,48,55,10,32,32,49,46,52,49,52,53,50,101,45,48,55,32,
      54,46,52,53,54,53,49,101,45,48,56,32,50,46,57,53,49,49,51,101,45,48,56,32,49,
      46,49,53,52,56,55,101,45,48,56,32,53,46,51,49,50,54,55,101,45,48,57,32,50,46,
      51,57,49,49,54,101,45,48,56,32,57,46,50,56,53,49,101,45,48,57,10,32,32,52,46,
      55,55,55,50,52,101,45,48,57,32,50,46,50,55,53,57,49,101,45,48,57,32,56,46,52,
      55,48,53,57,101,45,49,48,32,51,46,53,55,50,49,57,101,45,49,48,32,49,46,53,48,
      56,50,52,101,45,49,48,32,53,46,54,51,55,52,50,101,45,49,49,32,50,46,49,48,57,
      56,51,101,45,49,49,10,32,32,56,46,57,51,54,56,56,101,45,49,50,32,51,46,55,56,
      54,51,55,101,45,49,50,32,49,46,53,56,55,101,45,49,50,32,53,46,57,53,52,51,57,
      101,45,49,51,32,49,46,57,55,56,52,57,101,45,49,51,32,53,46,56,50,51,52,53,101,
      45,49,52,32,49,46,57,51,56,57,55,101,45,49,52,10,32,32,53,46,55,49,56,56,53,
      101,45,49,53,32,49,46,57,48,55,52,54,101,45,49,53,32,54,46,51,54,52,55,53,101,
      45,49,54,32,49,46,56,55,56,57,50,101,45,49,54,32,53,46,48,56,52,56,57,101,45,
      49,55,32,49,46,56,53,51,55,57,101,45,49,55,32,53,46,55,54,57,57,53,101,45,49,
      56,10,32,32,50,46,48,55,48,51,55,101,45,49,56,32,54,46,57,50,53,57,50,101,45,
      49,57,32,50,46,51,49,56,48,51,101,45,49,57,32,55,46,55,54,49,56,53,101,45,50,
      48,32,50,46,52,52,52,50,52,101,45,50,48,32,56,46,49,55,54,52,55,101,45,50,49,
      32,48,114,53,50,32,50,46,55,53,57,55,55,101,45,48,55,10,32,32,51,46,54,55,57,
      52,50,101,45,48,55,32,52,46,57,48,54,48,56,101,45,48,55,32,54,46,53,52,49,51,
      52,101,45,48,55,32,56,46,55,50,49,55,57,101,45,48,55,32,49,46,49,54,50,57,49,
      101,45,48,54,32,49,46,53,53,48,53,55,101,45,48,54,32,50,46,48,54,55,52,49,101,
      45,48,54,10,32,32,50,46,55,53,54,52,52,101,45,48,54,32,51,46,54,55,53,50,52,
      101,45,48,54,32,52,46,57,48,48,52,55,101,45,48,54,32,54,46,53,51,51,55,49,101,
      45,48,54,32,56,46,55,49,49,55,53,101,45,48,54,32,49,46,49,54,49,53,52,101,45,
      48,53,32,49,46,53,52,56,54,53,101,45,48,53,10,32,32,50,46,48,54,52,55,55,101,
      45,48,53,32,50,46,55,53,50,56,51,101,45,48,53,32,52,46,49,50,56,54,50,101,45,
      48,53,32,54,46,56,55,56,56,50,101,45,48,53,32,57,46,54,50,55,49,53,101,45,48,
      53,32,46,48,48,48,49,51,55,52,54,49,32,46,48,48,48,49,57,50,51,49,53,10,32,
      32,46,48,48,48,50,55,52,52,53,53,32,46,48,48,48,52,49,48,57,56,50,32,46,48,
      48,48,54,56,50,54,52,51,32,46,48,48,48,57,53,50,52,53,55,32,46,48,48,49,51,
      53,51,55,52,32,46,48,48,49,56,56,50,52,52,32,46,48,48,50,54,54,50,48,55,32,
      46,48,48,51,50,57,57,54,53,10,32,32,46,48,48,51,57,50,54,51,57,32,46,48,48,
      53,49,52,56,48,50,32,46,48,48,54,51,50,56,50,56,32,46,48,48,55,52,54,56,52,
      32,46,48,48,56,48,50,51,56,49,32,46,48,48,56,53,54,57,54,51,32,46,48,48,57,
      49,48,54,48,53,32,46,48,48,57,54,51,51,51,53,32,46,48,49,48,49,53,49,51,10,
      32,32,46,48,49,48,54,54,48,51,32,46,48,49,49,49,54,48,52,32,46,48,49,49,54,
      53,49,56,32,46,48,49,50,49,51,52,54,32,46,48,49,50,54,48,57,32,46,48,49,51,
      49,54,55,50,32,46,48,49,51,55,49,51,55,32,46,48,49,52,52,50,52,52,32,46,48,
      49,53,49,49,53,49,10,32,32,46,48,49,53,55,56,54,51,32,46,48,49,54,53,57,56,
      54,32,46,48,49,55,51,56,50,49,32,46,48,49,56,49,51,55,53,32,46,48,49,57,48,
      48,56,52,32,46,48,49,57,56,52,49,54,32,46,48,50,48,56,57,54,53,32,46,48,50,
      49,56,57,48,49,32,46,48,50,50,56,50,53,52,10,32,32,46,48,50,51,56,49,49,50,
      32,46,48,50,52,56,50,56,55,32,46,48,50,53,56,53,56,53,32,46,48,50,54,56,56,
      49,53,32,46,48,50,55,56,56,48,55,32,46,48,50,56,57,48,50,52,32,46,48,50,57,
      55,57,53,32,46,48,51,48,54,54,52,50,32,46,48,51,49,53,56,54,57,10,32,32,46,
      48,51,50,51,52,50,55,32,46,48,51,50,55,56,51,50,32,46,48,51,51,49,56,53,52,
      32,46,48,51,51,52,56,55,51,32,46,48,51,51,54,48,54,56,32,46,48,51,51,53,51,
      55,52,32,46,48,51,51,50,54,54,49,32,46,48,51,50,56,52,49,53,32,46,48,51,50,
      50,53,49,49,10,32,32,46,48,51,49,51,56,48,50,32,46,48,51,48,48,48,53,57,32,
      46,48,50,56,53,50,49,50,32,46,48,50,54,57,50,54,57,32,46,48,50,53,53,56,50,
      57,32,46,48,50,52,49,52,48,53,32,46,48,50,50,49,54,55,49,32,46,48,50,48,50,
      53,50,55,32,46,48,49,56,52,51,48,53,10,32,32,46,48,49,54,57,49,56,52,32,46,
      48,49,52,57,48,48,51,32,46,48,49,51,48,52,52,51,32,46,48,49,49,51,51,53,32,
      46,48,48,57,57,48,57,49,32,46,48,48,56,54,48,55,55,57,32,46,48,48,55,52,53,
      56,57,32,46,48,48,54,51,50,56,52,57,32,46,48,48,53,52,49,53,51,57,10,32,32,
      46,48,48,52,56,49,57,50,56,32,46,48,48,51,56,52,57,56,51,32,46,48,48,51,48,
      57,55,54,52,32,46,48,48,50,53,49,53,54,52,32,46,48,48,49,57,57,54,54,54,32,
      46,48,48,49,54,49,53,48,53,32,46,48,48,49,50,55,57,50,54,32,46,48,48,49,48,
      50,48,49,50,10,32,32,46,48,48,48,56,50,48,51,54,32,46,48,48,48,54,54,54,51,
      57,55,32,46,48,48,48,53,50,57,50,51,57,32,46,48,48,48,52,52,55,51,52,52,32,
      46,48,48,48,51,55,56,52,52,51,32,46,48,48,48,50,56,55,55,49,53,32,46,48,48,
      48,50,52,51,51,55,50,32,46,48,48,48,49,56,55,49,49,57,10,32,32,46,48,48,48,
      49,52,49,55,56,57,32,46,48,48,48,49,50,48,48,57,54,32,46,48,48,48,49,48,49,
      54,57,49,32,55,46,56,49,56,51,57,101,45,48,53,32,53,46,56,53,49,53,49,101,45,
      48,53,32,52,46,57,56,50,53,52,101,45,48,53,32,51,46,56,52,52,52,57,101,45,48,
      53,10,32,32,51,46,50,56,50,55,55,101,45,48,53,32,50,46,53,52,48,54,50,101,45,
      48,53,32,50,46,48,54,51,53,57,101,45,48,53,32,49,46,53,50,48,57,50,101,45,48,
      53,32,49,46,51,52,48,55,55,101,45,48,53,32,49,46,48,53,50,50,50,101,45,48,53,
      32,56,46,48,53,50,50,54,101,45,48,54,10,32,32,54,46,52,52,52,54,57,101,45,48,
      54,32,53,46,49,53,57,49,55,101,45,48,54,32,52,46,49,57,48,51,55,101,45,48,54,
      32,51,46,52,49,52,57,101,45,48,54,32,50,46,55,50,50,51,53,101,45,48,54,32,50,
      46,50,50,54,51,53,101,45,48,54,32,49,46,55,56,51,57,51,101,45,48,54,10,32,32,
      49,46,53,49,53,55,57,101,45,48,54,32,49,46,49,54,50,51,56,101,45,48,54,32,57,
      46,56,55,56,57,54,101,45,48,55,32,56,46,48,55,50,48,55,101,45,48,55,32,53,46,
      48,52,54,49,56,101,45,48,55,32,50,46,54,52,54,56,50,101,45,48,55,32,49,46,52,
      49,49,56,55,101,45,48,55,10,32,32,54,46,52,52,53,49,52,101,45,48,56,32,50,46,
      57,52,54,50,52,101,45,48,56,32,49,46,49,53,51,48,55,101,45,48,56,32,53,46,51,
      48,54,54,49,101,45,48,57,32,50,46,51,55,101,45,48,56,32,57,46,50,48,51,50,55,
      101,45,48,57,32,52,46,55,51,53,50,53,101,45,48,57,10,32,32,50,46,50,53,54,48,
      55,101,45,48,57,32,56,46,52,48,52,53,50,101,45,49,48,32,51,46,53,52,52,51,56,
      101,45,49,48,32,49,46,52,57,54,53,49,101,45,49,48,32,53,46,53,57,51,54,57,101,
      45,49,49,32,50,46,48,57,51,52,57,101,45,49,49,32,56,46,56,54,55,55,57,101,45,
      49,50,10,32,32,51,46,55,53,57,51,57,101,45,49,50,32,49,46,53,55,53,57,101,45,
      49,50,32,53,46,57,49,50,55,56,101,45,49,51,32,49,46,57,54,52,54,56,101,45,49,
      51,32,53,46,55,56,50,56,56,101,45,49,52,32,49,46,57,50,53,52,56,101,45,49,52,
      32,53,46,54,55,57,49,51,101,45,49,53,10,32,32,49,46,56,57,52,50,51,101,45,49,
      53,32,54,46,51,50,50,55,53,101,45,49,54,32,49,46,56,54,57,51,53,101,45,49,54,
      32,53,46,48,53,57,48,49,101,45,49,55,32,49,46,56,52,52,51,53,101,45,49,55,32,
      53,46,55,52,48,53,55,101,45,49,56,32,50,46,48,53,57,56,51,101,45,49,56,10,32,
      32,54,46,56,57,48,54,56,101,45,49,57,32,50,46,51,48,54,50,51,101,45,49,57,32,
      55,46,55,50,50,51,53,101,45,50,48,32,50,46,52,50,57,52,56,101,45,50,48,32,56,
      46,49,50,54,56,57,101,45,50,49,32,48,114,53,50,32,50,46,54,57,57,48,51,101,
      45,48,55,32,51,46,53,57,56,52,51,101,45,48,55,10,32,32,52,46,55,57,56,48,57,
      101,45,48,55,32,54,46,51,57,55,51,54,101,45,48,55,32,56,46,53,50,57,56,101,
      45,48,55,32,49,46,49,51,55,51,50,101,45,48,54,32,49,46,53,49,54,52,52,101,45,
      48,54,32,50,46,48,50,49,57,101,45,48,54,32,50,46,54,57,53,55,55,101,45,48,54,
      10,32,32,51,46,53,57,52,51,52,101,45,48,54,32,52,46,55,57,50,54,49,101,45,48,
      54,32,54,46,51,56,57,57,101,45,48,54,32,56,46,53,50,48,48,49,101,45,48,54,32,
      49,46,49,51,53,57,56,101,45,48,53,32,49,46,53,49,52,53,55,101,45,48,53,32,50,
      46,48,49,57,51,51,101,45,48,53,10,32,32,50,46,54,57,50,50,54,101,45,48,53,32,
      52,46,48,51,55,55,57,101,45,48,53,32,54,46,55,50,55,53,51,101,45,48,53,32,57,
      46,52,49,53,52,56,101,45,48,53,32,46,48,48,48,49,51,52,52,52,32,46,48,48,48,
      49,56,56,48,57,49,32,46,48,48,48,50,54,56,52,51,50,10,32,32,46,48,48,48,52,
      48,49,57,55,52,32,46,48,48,48,54,54,55,55,49,54,32,46,48,48,48,57,51,49,54,
      55,56,32,46,48,48,49,51,50,52,51,49,32,46,48,48,49,56,52,49,54,56,32,46,48,
      48,50,54,48,52,55,52,32,46,48,48,51,50,50,56,57,32,46,48,48,51,56,52,50,53,
      54,10,32,32,46,48,48,53,48,51,56,57,54,32,46,48,48,54,49,57,53,49,54,32,46,
      48,48,55,51,49,50,51,51,32,46,48,48,55,56,53,54,54,53,32,46,48,48,56,51,57,
      49,54,51,32,46,48,48,56,57,49,55,52,53,32,46,48,48,57,52,51,52,49,57,32,46,
      48,48,57,57,52,50,48,52,10,32,32,46,48,49,48,52,52,49,51,32,46,48,49,48,57,
      51,49,55,32,46,48,49,49,52,49,51,54,32,46,48,49,49,56,56,55,50,32,46,48,49,
      50,51,53,50,52,32,46,48,49,50,57,48,48,49,32,46,48,49,51,52,51,54,50,32,46,
      48,49,52,49,51,51,53,32,46,48,49,52,56,49,49,50,10,32,32,46,48,49,53,52,54,
      57,57,32,46,48,49,54,50,54,55,50,32,46,48,49,55,48,51,54,51,32,46,48,49,55,
      55,55,55,57,32,46,48,49,56,54,51,50,57,32,46,48,49,57,52,53,49,49,32,46,48,
      50,48,52,56,55,49,32,46,48,50,49,52,54,50,57,32,46,48,50,50,51,56,49,55,10,
      32,32,46,48,50,51,51,53,48,49,32,46,48,50,52,51,52,57,55,32,46,48,50,53,51,
      54,49,54,32,46,48,50,54,51,54,54,57,32,46,48,50,55,51,52,56,55,32,46,48,50,
      56,51,53,50,56,32,46,48,50,57,50,50,57,57,32,46,48,51,48,48,56,52,49,32,46,
      48,51,48,57,57,48,56,10,32,32,46,48,51,49,55,51,51,50,32,46,48,51,50,49,54,
      54,50,32,46,48,51,50,53,54,49,32,46,48,51,50,56,53,55,52,32,46,48,51,50,57,
      55,52,55,32,46,48,51,50,57,48,55,32,46,48,51,50,54,52,48,57,32,46,48,51,50,
      50,50,52,56,32,46,48,51,49,54,52,54,53,32,46,48,51,48,55,57,51,54,10,32,32,
      46,48,50,57,52,52,56,56,32,46,48,50,55,57,57,54,51,32,46,48,50,54,52,51,54,
      56,32,46,48,50,53,49,50,50,53,32,46,48,50,51,55,49,50,54,32,46,48,50,49,55,
      56,50,53,32,46,48,49,57,57,49,48,51,32,46,48,49,56,49,50,55,52,32,46,48,49,
      54,54,52,55,52,10,32,32,46,48,49,52,54,55,49,49,32,46,48,49,50,56,53,50,53,
      32,46,48,49,49,49,55,54,49,32,46,48,48,57,55,55,54,51,55,32,46,48,48,56,52,
      57,55,57,32,46,48,48,55,51,54,56,50,53,32,46,48,48,54,50,53,53,55,56,32,46,
      48,48,53,51,53,54,51,54,32,46,48,48,52,55,54,56,55,54,10,32,32,46,48,48,51,
      56,49,50,51,51,32,46,48,48,51,48,54,57,52,55,32,46,48,48,50,52,57,52,49,57,
      32,46,48,48,49,57,56,48,55,55,32,46,48,48,49,54,48,50,57,52,32,46,48,48,49,
      50,55,48,50,54,32,46,48,48,49,48,49,51,51,54,32,46,48,48,48,56,49,53,50,49,
      49,10,32,32,46,48,48,48,54,54,50,52,49,55,32,46,48,48,48,53,50,54,50,52,49,
      32,46,48,48,48,52,52,52,57,48,51,32,46,48,48,48,51,55,54,52,53,50,32,46,48,
      48,48,50,56,54,50,56,53,32,46,48,48,48,50,52,50,50,48,50,32,46,48,48,48,49,
      56,54,50,54,51,32,46,48,48,48,49,52,49,49,55,51,10,32,32,46,48,48,48,49,49,
      57,53,56,57,32,46,48,48,48,49,48,49,50,55,52,32,55,46,55,56,55,54,55,101,45,
      48,53,32,53,46,56,50,57,53,56,101,45,48,53,32,52,46,57,54,52,51,51,101,45,48,
      53,32,51,46,56,51,48,57,55,101,45,48,53,32,51,46,50,55,49,52,56,101,45,48,53,
      10,32,32,50,46,53,51,50,49,57,101,45,48,53,32,50,46,48,53,54,57,51,101,45,48,
      53,32,49,46,53,49,54,50,101,45,48,53,32,49,46,51,51,54,54,56,101,45,48,53,32,
      49,46,48,52,57,49,49,101,45,48,53,32,56,46,48,50,57,50,49,101,45,48,54,32,54,
      46,52,50,54,55,52,101,45,48,54,10,32,32,53,46,49,52,53,49,56,101,45,48,54,32,
      52,46,49,55,57,50,55,101,45,48,54,32,51,46,52,48,54,48,54,101,45,48,54,32,50,
      46,55,49,53,52,55,101,45,48,54,32,50,46,50,50,48,56,53,101,45,48,54,32,49,46,
      55,55,57,54,50,101,45,48,54,32,49,46,53,49,50,49,57,101,45,48,54,10,32,32,49,
      46,49,53,57,54,57,101,45,48,54,32,57,46,56,53,54,53,49,101,45,48,55,32,56,46,
      48,53,52,48,55,101,45,48,55,32,53,46,48,51,53,52,49,101,45,48,55,32,50,46,54,
      52,49,52,56,101,45,48,55,32,49,46,52,48,57,49,55,101,45,48,55,32,54,46,52,51,
      51,53,55,101,45,48,56,10,32,32,50,46,57,52,49,50,52,101,45,48,56,32,49,46,49,
      53,49,50,53,101,45,48,56,32,53,46,51,48,48,51,57,101,45,48,57,32,50,46,51,52,
      57,48,54,101,45,48,56,32,57,46,49,50,50,51,101,45,48,57,32,52,46,54,57,51,55,
      101,45,48,57,32,50,46,50,51,54,51,51,101,45,48,57,10,32,32,56,46,51,51,53,51,
      49,101,45,49,48,32,51,46,53,49,54,57,101,45,49,48,32,49,46,52,56,52,57,51,101,
      45,49,48,32,53,46,53,53,48,52,56,101,45,49,49,32,50,46,48,55,55,51,53,101,45,
      49,49,32,56,46,55,57,57,53,51,101,45,49,50,32,51,46,55,51,48,53,101,45,49,50,
      10,32,32,49,46,53,54,52,55,52,101,45,49,50,32,53,46,56,55,49,55,49,101,45,49,
      51,32,49,46,57,53,49,48,54,101,45,49,51,32,53,46,55,52,50,56,53,101,45,49,52,
      32,49,46,57,49,50,49,55,101,45,49,52,32,53,46,54,51,57,57,51,101,45,49,53,32,
      49,46,56,56,49,49,56,101,45,49,53,10,32,32,54,46,50,55,57,50,53,101,45,49,54,
      32,49,46,56,53,54,57,101,45,49,54,32,53,46,48,51,51,54,101,45,49,55,32,49,46,
      56,51,53,48,57,101,45,49,55,32,53,46,55,49,49,55,49,101,45,49,56,32,50,46,48,
      52,57,52,55,101,45,49,56,32,54,46,56,53,54,48,49,101,45,49,57,10,32,32,50,46,
      50,57,52,54,52,101,45,49,57,32,55,46,54,56,51,53,54,101,45,50,48,32,50,46,52,
      49,52,57,52,101,45,50,48,32,56,46,48,55,56,48,56,101,45,50,49,32,48,114,53,
      50,32,50,46,54,51,53,51,57,101,45,48,55,32,51,46,53,49,51,53,57,101,45,48,55,
      32,52,46,54,56,52,57,54,101,45,48,55,10,32,32,54,46,50,52,54,53,50,101,45,48,
      55,32,56,46,51,50,56,54,57,101,45,48,55,32,49,46,49,49,48,53,101,45,48,54,32,
      49,46,52,56,48,54,56,101,45,48,54,32,49,46,57,55,52,50,51,101,45,48,54,32,50,
      46,54,51,50,50,49,101,45,48,54,32,51,46,53,48,57,53,57,101,45,48,54,10,32,32,
      52,46,54,55,57,53,57,101,45,48,54,32,54,46,50,51,57,50,49,101,45,48,54,32,56,
      46,51,49,57,48,56,101,45,48,54,32,49,46,49,48,57,49,56,101,45,48,53,32,49,46,
      52,55,56,56,52,101,45,48,53,32,49,46,57,55,49,54,57,101,45,48,53,32,50,46,54,
      50,56,55,51,101,45,48,53,10,32,32,51,46,57,52,50,52,56,101,45,48,53,32,54,46,
      53,54,56,54,50,101,45,48,53,32,57,46,49,57,50,57,52,101,45,48,53,32,46,48,48,
      48,49,51,49,50,54,32,46,48,48,48,49,56,51,54,51,54,32,46,48,48,48,50,54,50,
      48,54,53,32,46,48,48,48,51,57,50,52,49,55,32,46,48,48,48,54,53,49,55,55,53,
      10,32,32,46,48,48,48,57,48,57,51,53,51,32,46,48,48,49,50,57,50,52,50,32,46,
      48,48,49,55,57,55,48,56,32,46,48,48,50,53,52,49,50,51,32,46,48,48,51,49,52,
      57,55,57,32,46,48,48,51,55,52,56,48,52,32,46,48,48,52,57,49,52,50,53,32,46,
      48,48,54,48,52,49,50,10,32,32,46,48,48,55,49,51,48,49,51,32,46,48,48,55,54,
      54,48,55,51,32,46,48,48,56,49,56,50,50,54,32,46,48,48,56,54,57,52,57,49,32,
      46,48,48,57,49,57,56,55,52,32,46,48,48,57,54,57,51,57,53,32,46,48,49,48,49,
      56,48,55,32,46,48,49,48,54,53,57,32,46,48,49,49,49,50,57,51,10,32,32,46,48,
      49,49,53,57,49,51,32,46,48,49,50,48,52,53,51,32,46,48,49,50,53,55,57,56,32,
      46,48,49,51,49,48,51,49,32,46,48,49,51,55,56,51,57,32,46,48,49,52,52,52,53,
      56,32,46,48,49,53,48,56,57,50,32,46,48,49,53,56,54,56,51,32,46,48,49,54,54,
      50,48,49,10,32,32,46,48,49,55,51,52,53,52,32,46,48,49,56,49,56,49,56,32,46,
      48,49,56,57,56,50,53,32,46,48,49,57,57,57,55,32,46,48,50,48,57,53,51,32,46,
      48,50,49,56,53,51,55,32,46,48,50,50,56,48,51,53,32,46,48,50,51,55,56,52,55,
      32,46,48,50,52,55,55,56,52,32,46,48,50,53,55,54,54,51,10,32,32,46,48,50,54,
      55,51,50,32,46,48,50,55,55,50,48,52,32,46,48,50,56,53,56,52,52,32,46,48,50,
      57,52,50,54,57,32,46,48,51,48,51,50,50,49,32,46,48,51,49,48,53,54,51,32,46,
      48,51,49,52,56,53,56,32,46,48,51,49,56,55,56,54,32,46,48,51,50,49,55,53,51,
      10,32,32,46,48,51,50,50,57,54,56,32,46,48,51,50,50,51,54,52,32,46,48,51,49,
      57,56,49,56,32,46,48,51,49,53,55,57,55,32,46,48,51,49,48,49,56,51,32,46,48,
      51,48,49,56,56,55,32,46,48,50,56,56,55,56,52,32,46,48,50,55,52,54,50,52,32,
      46,48,50,53,57,52,48,56,10,32,32,46,48,50,52,54,53,55,56,32,46,48,50,51,50,
      56,49,53,32,46,48,50,49,51,57,54,56,32,46,48,49,57,53,54,55,50,32,46,48,49,
      55,56,50,52,52,32,46,48,49,54,51,55,54,55,32,46,48,49,52,52,52,50,51,32,46,
      48,49,50,54,54,48,56,32,46,48,49,49,48,49,55,50,10,32,32,46,48,48,57,54,52,
      51,53,57,32,46,48,48,56,51,56,55,57,53,32,46,48,48,55,50,55,55,52,56,32,46,
      48,48,54,49,56,50,57,49,32,46,48,48,53,50,57,55,49,52,32,46,48,48,52,55,49,
      56,48,51,32,46,48,48,51,55,55,52,54,50,32,46,48,48,51,48,52,49,49,49,10,32,
      32,46,48,48,50,52,55,50,53,54,32,46,48,48,49,57,54,52,55,51,32,46,48,48,49,
      53,57,48,55,49,32,46,48,48,49,50,54,49,49,54,32,46,48,48,49,48,48,54,53,49,
      32,46,48,48,48,56,48,57,57,57,55,32,46,48,48,48,54,53,56,51,57,32,46,48,48,
      48,53,50,51,50,48,54,10,32,32,46,48,48,48,52,52,50,52,51,32,46,48,48,48,51,
      55,52,52,51,51,32,46,48,48,48,50,56,52,56,51,52,32,46,48,48,48,50,52,49,48,
      49,53,32,46,48,48,48,49,56,53,51,57,53,32,46,48,48,48,49,52,48,53,52,55,32,
      46,48,48,48,49,49,57,48,55,52,32,46,48,48,48,49,48,48,56,53,10,32,32,55,46,
      55,53,54,52,57,101,45,48,53,32,53,46,56,48,55,50,55,101,45,48,53,32,52,46,57,
      52,53,55,57,101,45,48,53,32,51,46,56,49,55,50,49,101,45,48,53,32,51,46,50,54,
      101,45,48,53,32,50,46,53,50,51,54,51,101,45,48,53,32,50,46,48,53,48,49,56,101,
      45,48,53,10,32,32,49,46,53,49,49,52,50,101,45,48,53,32,49,46,51,51,50,53,51,
      101,45,48,53,32,49,46,48,52,53,57,53,101,45,48,53,32,56,46,48,48,53,56,52,101,
      45,48,54,32,54,46,52,48,56,53,50,101,45,48,54,32,53,46,49,51,48,57,54,101,45,
      48,54,32,52,46,49,54,55,57,57,101,45,48,54,10,32,32,51,46,51,57,55,48,56,101,
      45,48,54,32,50,46,55,48,56,52,56,101,45,48,54,32,50,46,50,49,53,50,53,101,45,
      48,54,32,49,46,55,55,53,50,52,101,45,48,54,32,49,46,53,48,56,53,51,101,45,48,
      54,32,49,46,49,53,54,57,53,101,45,48,54,32,57,46,56,51,51,53,57,101,45,48,55,
      10,32,32,56,46,48,51,53,55,49,101,45,48,55,32,53,46,48,50,52,52,52,101,45,48,
      55,32,50,46,54,51,54,48,52,101,45,48,55,32,49,46,52,48,54,52,50,101,45,48,55,
      32,54,46,52,50,49,55,54,101,45,48,56,32,50,46,57,51,54,49,54,101,45,48,56,32,
      49,46,49,52,57,51,56,101,45,48,56,10,32,32,53,46,50,57,51,57,57,101,45,48,57,
      32,50,46,51,50,56,48,51,101,45,48,56,32,57,46,48,52,50,49,56,101,45,48,57,32,
      52,46,54,53,50,53,57,101,45,48,57,32,50,46,50,49,54,56,101,45,48,57,32,56,46,
      50,54,50,56,101,45,49,48,32,51,46,52,56,56,57,50,101,45,49,48,10,32,32,49,46,
      52,55,51,52,57,101,45,49,48,32,53,46,53,48,55,56,101,45,49,49,32,50,46,48,54,
      49,52,49,101,45,49,49,32,56,46,55,51,50,49,101,45,49,50,32,51,46,55,48,49,57,
      55,101,45,49,50,32,49,46,53,53,50,56,54,101,45,49,50,32,53,46,56,51,48,54,52,
      101,45,49,51,10,32,32,49,46,57,51,55,54,50,101,45,49,51,32,53,46,55,48,51,51,
      53,101,45,49,52,32,49,46,56,57,57,48,52,101,45,49,52,32,53,46,54,48,49,50,55,
      101,45,49,53,32,49,46,56,54,56,51,49,101,45,49,53,32,54,46,50,51,54,51,53,101,
      45,49,54,32,49,46,56,52,52,50,52,101,45,49,54,10,32,32,53,46,48,48,48,50,53,
      101,45,49,55,32,49,46,56,50,53,52,55,101,45,49,55,32,53,46,54,56,51,52,101,
      45,49,56,32,50,46,48,51,57,51,101,45,49,56,32,54,46,56,50,49,57,56,101,45,49,
      57,32,50,46,50,56,51,50,54,101,45,49,57,32,55,46,54,52,53,52,57,101,45,50,48,
      10,32,32,50,46,52,48,48,54,52,101,45,50,48,32,56,46,48,51,48,48,52,101,45,50,
      49,32,48,114,53,50,32,50,46,53,53,52,54,49,101,45,48,55,32,51,46,52,48,53,56,
      57,101,45,48,55,32,52,46,53,52,49,51,53,101,45,48,55,32,54,46,48,53,53,48,52,
      101,45,48,55,32,56,46,48,55,51,51,56,101,45,48,55,10,32,32,49,46,48,55,54,52,
      54,101,45,48,54,32,49,46,52,51,53,50,57,101,45,48,54,32,49,46,57,49,51,55,49,
      101,45,48,54,32,50,46,53,53,49,53,50,101,45,48,54,32,51,46,52,48,50,101,45,
      48,54,32,52,46,53,51,54,49,52,101,45,48,54,32,54,46,48,52,55,57,52,101,45,48,
      54,10,32,32,56,46,48,54,52,48,51,101,45,48,54,32,49,46,48,55,53,49,56,101,45,
      48,53,32,49,46,52,51,51,53,101,45,48,53,32,49,46,57,49,49,50,51,101,45,48,53,
      32,50,46,53,52,56,49,49,101,45,48,53,32,51,46,56,50,49,53,53,101,45,48,53,32,
      54,46,51,54,55,48,55,101,45,48,53,10,32,32,56,46,57,49,48,55,55,101,45,48,53,
      32,46,48,48,48,49,50,55,50,50,57,32,46,48,48,48,49,55,55,57,57,52,32,46,48,
      48,48,50,53,52,48,48,54,32,46,48,48,48,51,56,48,51,51,54,32,46,48,48,48,54,
      51,49,54,54,56,32,46,48,48,48,56,56,49,50,53,50,32,46,48,48,49,50,53,50,51,
      57,10,32,32,46,48,48,49,55,52,49,51,32,46,48,48,50,52,54,50,49,55,32,46,48,
      48,51,48,53,49,54,55,32,46,48,48,51,54,51,49,49,56,32,46,48,48,52,55,54,48,
      57,56,32,46,48,48,53,56,53,50,57,55,32,46,48,48,54,57,48,56,52,50,32,46,48,
      48,55,52,50,50,56,52,32,46,48,48,55,57,50,56,53,55,10,32,32,46,48,48,56,52,
      50,53,55,57,32,46,48,48,56,57,49,52,53,53,32,46,48,48,57,51,57,53,48,55,32,
      46,48,48,57,56,54,55,52,57,32,46,48,49,48,51,51,49,57,32,46,48,49,48,55,56,
      56,51,32,46,48,49,49,50,51,55,49,32,46,48,49,49,54,55,56,51,32,46,48,49,50,
      49,57,55,56,10,32,32,46,48,49,50,55,48,54,54,32,46,48,49,51,51,54,56,54,32,
      46,48,49,52,48,49,50,55,32,46,48,49,52,54,51,57,49,32,46,48,49,53,51,57,55,
      57,32,46,48,49,54,49,51,48,54,32,46,48,49,54,56,51,55,56,32,46,48,49,55,54,
      53,51,57,32,46,48,49,56,52,51,53,56,10,32,32,46,48,49,57,52,50,55,50,32,46,
      48,50,48,51,54,50,51,32,46,48,50,49,50,52,52,49,32,46,48,50,50,49,55,52,57,
      32,46,48,50,51,49,51,55,52,32,46,48,50,52,49,49,51,51,32,46,48,50,53,48,56,
      52,55,32,46,48,50,54,48,51,53,52,32,46,48,50,55,48,48,57,55,10,32,32,46,48,
      50,55,56,54,51,51,32,46,48,50,56,54,57,54,57,32,46,48,50,57,53,56,52,56,32,
      46,48,51,48,51,49,53,54,32,46,48,51,48,55,52,52,54,32,46,48,51,49,49,52,48,
      54,32,46,48,51,49,52,52,51,51,32,46,48,51,49,53,55,52,32,46,48,51,49,53,50,
      54,55,10,32,32,46,48,51,49,50,56,57,52,32,46,48,51,48,57,48,54,32,46,48,51,
      48,51,54,54,32,46,48,50,57,53,54,52,52,32,46,48,50,56,50,57,52,52,32,46,48,
      50,54,57,49,56,57,32,46,48,50,53,52,51,56,52,32,46,48,50,52,49,56,56,54,32,
      46,48,50,50,56,52,55,49,32,46,48,50,49,48,48,57,51,10,32,32,46,48,49,57,50,
      50,51,52,32,46,48,49,55,53,50,48,57,32,46,48,49,54,49,48,53,57,32,46,48,49,
      52,50,49,51,54,32,46,48,49,50,52,54,57,50,32,46,48,49,48,56,53,56,51,32,46,
      48,48,57,53,49,48,56,56,32,46,48,48,56,50,55,55,57,50,32,46,48,48,55,49,56,
      54,53,53,10,32,32,46,48,48,54,49,48,57,56,50,32,46,48,48,53,50,51,55,55,50,
      32,46,48,48,52,54,54,55,49,32,46,48,48,51,55,51,54,55,50,32,46,48,48,51,48,
      49,50,53,55,32,46,48,48,50,52,53,48,55,55,32,46,48,48,49,57,52,56,53,52,32,
      46,48,48,49,53,55,56,51,55,32,46,48,48,49,50,53,49,57,56,10,32,32,46,48,48,
      48,57,57,57,53,57,54,32,46,48,48,48,56,48,52,55,50,50,32,46,48,48,48,54,53,
      52,51,48,56,32,46,48,48,48,53,50,48,49,51,50,32,46,48,48,48,52,51,57,57,50,
      54,32,46,48,48,48,51,55,50,51,56,56,32,46,48,48,48,50,56,51,51,54,51,32,46,
      48,48,48,50,51,57,56,49,10,32,32,46,48,48,48,49,56,52,53,49,52,32,46,48,48,
      48,49,51,57,57,49,51,32,46,48,48,48,49,49,56,53,53,50,32,46,48,48,48,49,48,
      48,52,50,32,55,46,55,50,52,56,50,101,45,48,53,32,53,46,55,56,52,54,52,101,45,
      48,53,32,52,46,57,50,54,57,57,101,45,48,53,32,51,46,56,48,51,50,53,101,45,48,
      53,10,32,32,51,46,50,52,56,51,53,101,45,48,53,32,50,46,53,49,52,57,50,101,45,
      48,53,32,50,46,48,52,51,51,101,45,48,53,32,49,46,53,48,54,53,54,101,45,48,53,
      32,49,46,51,50,56,51,50,101,45,48,53,32,49,46,48,52,50,55,52,101,45,48,53,32,
      55,46,57,56,50,48,51,101,45,48,54,10,32,32,54,46,51,56,57,57,53,101,45,48,54,
      32,53,46,49,49,54,52,55,101,45,48,54,32,52,46,49,53,54,53,101,45,48,54,32,51,
      46,51,56,55,57,50,101,45,48,54,32,50,46,55,48,49,51,54,101,45,48,54,32,50,46,
      50,48,57,53,53,101,45,48,54,32,49,46,55,55,48,55,55,101,45,48,54,10,32,32,49,
      46,53,48,52,56,101,45,48,54,32,49,46,49,53,52,49,54,101,45,48,54,32,57,46,56,
      49,48,50,56,101,45,48,55,32,56,46,48,49,55,48,50,101,45,48,55,32,53,46,48,49,
      51,50,52,101,45,48,55,32,50,46,54,51,48,53,101,45,48,55,32,49,46,52,48,51,54,
      49,101,45,48,55,10,32,32,54,46,52,48,57,55,51,101,45,48,56,32,50,46,57,51,48,
      57,56,101,45,48,56,32,49,46,49,52,55,52,56,101,45,48,56,32,53,46,50,56,55,52,
      53,101,45,48,57,32,50,46,51,48,54,55,54,101,45,48,56,32,56,46,57,54,50,57,49,
      101,45,48,57,32,52,46,54,49,49,57,50,101,45,48,57,10,32,32,50,46,49,57,55,52,
      56,101,45,48,57,32,56,46,49,57,49,48,54,101,45,49,48,32,51,46,52,53,56,55,50,
      101,45,49,48,32,49,46,52,54,50,49,52,101,45,49,48,32,53,46,52,54,53,54,51,101,
      45,49,49,32,50,46,48,52,53,54,54,101,45,49,49,32,56,46,54,54,53,53,101,45,49,
      50,10,32,32,51,46,54,55,51,55,55,101,45,49,50,32,49,46,53,52,49,49,49,101,45,
      49,50,32,53,46,55,56,54,54,53,101,45,49,51,32,49,46,57,50,52,51,54,101,45,49,
      51,32,53,46,54,54,52,51,56,101,45,49,52,32,49,46,56,56,54,48,56,101,45,49,52,
      32,53,46,53,54,51,49,51,101,45,49,53,10,32,32,49,46,56,53,53,54,101,45,49,53,
      32,54,46,49,57,52,48,50,101,45,49,54,32,49,46,56,51,49,55,53,101,45,49,54,32,
      52,46,57,54,54,52,54,101,45,49,55,32,49,46,56,49,51,49,53,101,45,49,55,32,53,
      46,54,53,50,51,51,101,45,49,56,32,50,46,48,50,57,51,50,101,45,49,56,10,32,32,
      54,46,55,56,56,54,101,45,49,57,32,50,46,50,55,50,49,101,45,49,57,32,55,46,54,
      48,56,49,53,101,45,50,48,32,50,46,51,56,54,53,54,101,45,50,48,32,55,46,57,56,
      50,55,53,101,45,50,49,32,48,114,53,50,32,50,46,52,52,54,51,57,101,45,48,55,
      32,51,46,50,54,49,54,49,101,45,48,55,10,32,32,52,46,51,52,56,57,55,101,45,48,
      55,32,53,46,55,57,56,53,52,101,45,48,55,32,55,46,55,51,49,51,56,101,45,48,55,
      32,49,46,48,51,48,56,54,101,45,48,54,32,49,46,51,55,52,52,57,101,45,48,54,32,
      49,46,56,51,50,54,52,101,45,48,54,32,50,46,52,52,51,52,51,101,45,48,54,10,32,
      32,51,46,50,53,55,56,57,101,45,48,54,32,52,46,51,52,51,57,56,101,45,48,54,32,
      53,46,55,57,49,55,53,101,45,48,54,32,55,46,55,50,50,52,52,101,45,48,54,32,49,
      46,48,50,57,54,51,101,45,48,53,32,49,46,51,55,50,55,56,101,45,48,53,32,49,46,
      56,51,48,50,56,101,45,48,53,10,32,32,50,46,52,52,48,49,57,101,45,48,53,32,51,
      46,54,53,57,55,49,101,45,48,53,32,54,46,48,57,55,53,101,45,48,53,32,56,46,53,
      51,51,53,57,101,45,48,53,32,46,48,48,48,49,50,49,56,52,54,32,46,48,48,48,49,
      55,48,52,54,54,32,46,48,48,48,50,52,51,50,55,50,10,32,32,46,48,48,48,51,54,
      52,50,56,51,32,46,48,48,48,54,48,53,48,55,51,32,46,48,48,48,56,52,52,50,52,
      50,32,46,48,48,49,49,57,57,57,57,32,46,48,48,49,54,54,56,56,49,32,46,48,48,
      50,51,54,48,52,53,32,46,48,48,50,57,50,54,51,57,32,46,48,48,51,52,56,51,48,
      52,10,32,32,46,48,48,52,53,54,57,49,54,32,46,48,48,53,54,50,48,48,53,32,46,
      48,48,54,54,51,54,56,52,32,46,48,48,55,49,51,50,56,32,46,48,48,55,54,50,48,
      54,50,32,46,48,48,56,49,48,48,52,55,32,46,48,48,56,53,55,50,52,32,46,48,48,
      57,48,51,54,54,32,46,48,48,57,52,57,51,49,56,10,32,32,46,48,48,57,57,52,50,
      50,32,46,48,49,48,51,56,51,56,32,46,48,49,48,56,49,56,49,32,46,48,49,49,50,
      52,53,50,32,46,48,49,49,55,52,56,53,32,46,48,49,50,50,52,49,55,32,46,48,49,
      50,56,56,51,57,32,46,48,49,51,53,48,57,32,46,48,49,52,49,49,55,51,10,32,32,
      46,48,49,52,56,53,52,56,32,46,48,49,53,53,54,55,54,32,46,48,49,54,50,53,54,
      49,32,46,48,49,55,48,53,49,51,32,46,48,49,55,56,49,51,56,32,46,48,49,56,55,
      56,49,55,32,46,48,49,57,54,57,53,55,32,46,48,50,48,53,53,56,53,32,46,48,50,
      49,52,55,48,53,10,32,32,46,48,50,50,52,49,52,56,32,46,48,50,51,51,55,51,53,
      32,46,48,50,52,51,50,57,52,32,46,48,50,53,50,54,54,51,32,46,48,50,54,50,50,
      56,56,32,46,48,50,55,48,55,51,56,32,46,48,50,55,57,48,48,57,32,46,48,50,56,
      55,56,53,49,32,46,48,50,57,53,49,54,54,10,32,32,46,48,50,57,57,52,56,51,32,
      46,48,51,48,51,53,32,46,48,51,48,54,54,52,49,32,46,48,51,48,56,48,57,55,32,
      46,48,51,48,55,56,48,55,32,46,48,51,48,53,54,53,50,32,46,48,51,48,50,48,53,
      49,32,46,48,50,57,54,57,49,32,46,48,50,56,57,50,49,55,32,46,48,50,55,54,57,
      54,53,10,32,32,46,48,50,54,51,54,53,51,32,46,48,50,52,57,50,57,50,32,46,48,
      50,51,55,49,52,55,32,46,48,50,50,52,48,57,51,32,46,48,50,48,54,49,57,50,32,
      46,48,49,56,56,55,56,53,32,46,48,49,55,50,49,54,57,32,46,48,49,53,56,51,52,
      55,32,46,48,49,51,57,56,52,56,10,32,32,46,48,49,50,50,55,55,53,32,46,48,49,
      48,54,57,57,52,32,46,48,48,57,51,55,56,32,46,48,48,56,49,54,55,56,49,32,46,
      48,48,55,48,57,53,53,51,32,46,48,48,54,48,51,54,54,49,32,46,48,48,53,49,55,
      56,49,32,46,48,48,52,54,49,53,57,55,32,46,48,48,51,54,57,56,54,51,10,32,32,
      46,48,48,50,57,56,51,56,55,32,46,48,48,50,52,50,56,56,51,32,46,48,48,49,57,
      51,50,50,51,32,46,48,48,49,53,54,53,57,49,32,46,48,48,49,50,52,50,54,57,32,
      46,48,48,48,57,57,50,54,49,32,46,48,48,48,55,57,57,51,57,50,32,46,48,48,48,
      54,53,48,49,56,49,10,32,32,46,48,48,48,53,49,55,48,49,55,32,46,48,48,48,52,
      51,55,51,56,56,32,46,48,48,48,51,55,48,51,49,53,32,46,48,48,48,50,56,49,56,
      55,51,32,46,48,48,48,50,51,56,53,57,49,32,46,48,48,48,49,56,51,54,50,49,32,
      46,48,48,48,49,51,57,50,54,57,32,46,48,48,48,49,49,56,48,50,50,10,32,32,57,
      46,57,57,56,52,49,101,45,48,53,32,55,46,54,57,50,55,101,45,48,53,32,53,46,55,
      54,49,54,54,101,45,48,53,32,52,46,57,48,55,56,57,101,45,48,53,32,51,46,55,56,
      57,48,54,101,45,48,53,32,51,46,50,51,54,53,49,101,45,48,53,32,50,46,53,48,54,
      48,56,101,45,48,53,10,32,32,50,46,48,51,54,51,50,101,45,48,53,32,49,46,53,48,
      49,54,49,101,45,48,53,32,49,46,51,50,52,48,50,101,45,48,53,32,49,46,48,51,57,
      52,55,101,45,48,53,32,55,46,57,53,55,56,52,101,45,48,54,32,54,46,51,55,49,49,
      101,45,48,54,32,53,46,49,48,49,55,54,101,45,48,54,10,32,32,52,46,49,52,52,56,
      49,101,45,48,54,32,51,46,51,55,56,54,49,101,45,48,54,32,50,46,54,57,52,49,49,
      101,45,48,54,32,50,46,50,48,51,55,53,101,45,48,54,32,49,46,55,54,54,50,51,101,
      45,48,54,32,49,46,53,48,49,101,45,48,54,32,49,46,49,53,49,51,51,101,45,48,54,
      10,32,32,57,46,55,56,54,53,52,101,45,48,55,32,55,46,57,57,55,57,57,101,45,48,
      55,32,53,46,48,48,49,56,53,101,45,48,55,32,50,46,54,50,52,56,53,101,45,48,55,
      32,49,46,52,48,48,55,53,101,45,48,55,32,54,46,51,57,55,52,55,101,45,48,56,32,
      50,46,57,50,53,54,57,101,45,48,56,10,32,32,49,46,49,52,53,53,53,101,45,48,56,
      32,53,46,50,56,48,55,53,101,45,48,57,32,50,46,50,56,53,55,50,101,45,48,56,32,
      56,46,56,56,50,52,50,101,45,48,57,32,52,46,53,55,49,54,56,101,45,48,57,32,50,
      46,49,55,56,51,54,101,45,48,57,32,56,46,49,50,48,48,56,101,45,49,48,10,32,32,
      51,46,52,50,56,56,53,101,45,49,48,32,49,46,52,52,57,53,53,101,45,49,48,32,53,
      46,52,50,51,57,55,101,45,49,49,32,50,46,48,51,48,49,101,45,49,49,32,56,46,53,
      57,57,55,101,45,49,50,32,51,46,54,52,53,57,51,101,45,49,50,32,49,46,53,50,57,
      53,50,101,45,49,50,10,32,32,53,46,55,52,51,50,101,45,49,51,32,49,46,57,48,57,
      57,53,101,45,49,51,32,53,46,54,50,53,57,53,101,45,49,52,32,49,46,56,55,51,51,
      49,101,45,49,52,32,53,46,53,50,53,53,50,101,45,49,53,32,49,46,56,52,51,48,56,
      101,45,49,53,32,54,46,49,53,50,50,57,101,45,49,54,10,32,32,49,46,56,49,57,52,
      51,101,45,49,54,32,52,46,57,51,51,49,52,101,45,49,55,32,49,46,56,48,48,57,57,
      101,45,49,55,32,53,46,54,49,55,50,49,101,45,49,56,32,50,46,48,49,55,51,53,101,
      45,49,56,32,54,46,55,53,53,56,54,101,45,49,57,32,50,46,50,54,49,49,53,101,45,
      49,57,10,32,32,55,46,53,55,49,53,50,101,45,50,48,32,50,46,51,55,50,55,49,101,
      45,50,48,32,55,46,57,51,54,50,50,101,45,50,49,32,48,114,53,50,32,50,46,51,49,
      51,51,51,101,45,48,55,32,51,46,48,56,52,50,101,45,48,55,32,52,46,49,49,50,52,
      50,101,45,48,55,32,53,46,52,56,51,49,53,101,45,48,55,10,32,32,55,46,51,49,48,
      56,54,101,45,48,55,32,57,46,55,52,55,56,56,101,45,48,55,32,49,46,50,57,57,55,
      51,101,45,48,54,32,49,46,55,51,50,57,55,101,45,48,54,32,50,46,51,49,48,53,52,
      101,45,48,54,32,51,46,48,56,48,55,101,45,48,54,32,52,46,49,48,55,55,51,101,
      45,48,54,10,32,32,53,46,52,55,54,55,55,101,45,48,54,32,55,46,51,48,50,53,101,
      45,48,54,32,57,46,55,51,54,52,55,101,45,48,54,32,49,46,50,57,56,49,52,101,45,
      48,53,32,49,46,55,51,48,55,56,101,45,48,53,32,50,46,51,48,55,53,54,101,45,48,
      53,32,51,46,52,54,48,56,55,101,45,48,53,10,32,32,53,46,55,54,54,52,53,101,45,
      48,53,32,56,46,48,55,48,54,49,101,45,48,53,32,46,48,48,48,49,49,53,50,52,50,
      32,46,48,48,48,49,54,49,50,51,57,32,46,48,48,48,50,51,48,49,51,32,46,48,48,
      48,51,52,52,54,54,52,32,46,48,48,48,53,55,50,54,55,56,32,46,48,48,48,55,57,
      57,50,57,55,10,32,32,46,48,48,49,49,51,54,54,51,32,46,48,48,49,53,56,49,54,
      49,32,46,48,48,50,50,51,56,57,51,32,46,48,48,50,55,55,55,53,49,32,46,48,48,
      51,51,48,55,56,56,32,46,48,48,52,51,52,52,51,53,32,46,48,48,53,51,52,57,50,
      32,46,48,48,54,51,50,51,50,50,32,46,48,48,54,55,57,56,57,49,10,32,32,46,48,
      48,55,50,54,55,49,57,32,46,48,48,55,55,50,56,49,56,32,46,48,48,56,49,56,49,
      57,32,46,48,48,56,54,50,56,53,50,32,46,48,48,57,48,54,56,49,32,46,48,48,57,
      53,48,48,55,50,32,46,48,48,57,57,50,54,52,56,32,46,48,49,48,51,52,53,53,32,
      46,48,49,48,55,53,55,56,10,32,32,46,48,49,49,50,52,51,57,32,46,48,49,49,55,
      50,48,54,32,46,48,49,50,51,52,49,57,32,46,48,49,50,57,52,55,51,32,46,48,49,
      51,53,51,54,57,32,46,48,49,52,50,53,50,52,32,46,48,49,52,57,52,52,52,32,46,
      48,49,53,54,49,51,54,32,46,48,49,54,51,56,55,52,10,32,32,46,48,49,55,49,51,
      48,50,32,46,48,49,56,48,55,52,49,32,46,48,49,56,57,54,54,56,32,46,48,49,57,
      56,49,48,53,32,46,48,50,48,55,48,51,54,32,46,48,50,49,54,50,57,54,32,46,48,
      50,50,53,55,49,53,32,46,48,50,51,53,49,50,52,32,46,48,50,52,52,51,54,56,10,
      32,32,46,48,50,53,51,56,56,52,32,46,48,50,54,50,50,53,57,32,46,48,50,55,48,
      52,56,52,32,46,48,50,55,57,51,49,52,32,46,48,50,56,54,54,54,52,32,46,48,50,
      57,49,48,51,56,32,46,48,50,57,53,49,52,55,32,46,48,50,57,56,52,50,55,32,46,
      48,51,48,48,48,55,52,10,32,32,46,48,51,48,48,48,48,51,32,46,48,50,57,56,49,
      49,53,32,46,48,50,57,52,55,56,50,32,46,48,50,56,57,57,51,53,32,46,48,50,56,
      50,54,49,32,46,48,50,55,48,56,53,52,32,46,48,50,53,56,48,49,54,32,46,48,50,
      52,52,49,50,56,32,46,48,50,51,50,51,53,56,10,32,32,46,48,50,49,57,54,56,51,
      32,46,48,50,48,50,50,55,52,32,46,48,49,56,53,51,50,32,46,48,49,54,57,49,50,
      52,32,46,48,49,53,53,54,51,51,32,46,48,49,51,55,53,54,32,46,48,49,50,48,56,
      54,32,46,48,49,48,53,52,48,54,32,46,48,48,57,50,52,53,49,56,32,46,48,48,56,
      48,53,55,53,56,10,32,32,46,48,48,55,48,48,52,51,52,32,46,48,48,53,57,54,51,
      50,32,46,48,48,53,49,49,56,51,32,46,48,48,52,53,54,52,54,52,32,46,48,48,51,
      54,54,48,51,53,32,46,48,48,50,57,53,53,48,49,32,46,48,48,50,52,48,54,55,54,
      32,46,48,48,49,57,49,53,55,57,32,46,48,48,49,53,53,51,51,53,10,32,32,46,48,
      48,49,50,51,51,51,50,32,46,48,48,48,57,56,53,53,52,54,32,46,48,48,48,55,57,
      52,48,48,50,32,46,48,48,48,54,52,54,48,49,49,32,46,48,48,48,53,49,51,56,55,
      32,46,48,48,48,52,51,52,56,50,49,32,46,48,48,48,51,54,56,50,49,55,32,46,48,
      48,48,50,56,48,51,54,51,10,32,32,46,48,48,48,50,51,55,51,53,52,32,46,48,48,
      48,49,56,50,55,49,54,32,46,48,48,48,49,51,56,54,49,54,32,46,48,48,48,49,49,
      55,52,56,53,32,57,46,57,53,52,49,52,101,45,48,53,32,55,46,54,54,48,48,56,101,
      45,48,53,32,53,46,55,51,56,51,52,101,45,48,53,10,32,32,52,46,56,56,56,53,49,
      101,45,48,53,32,51,46,55,55,52,54,54,101,45,48,53,32,51,46,50,50,52,52,56,101,
      45,48,53,32,50,46,52,57,55,48,57,101,45,48,53,32,50,46,48,50,57,50,50,101,45,
      48,53,32,49,46,52,57,54,53,56,101,45,48,53,32,49,46,51,49,57,54,54,101,45,48,
      53,10,32,32,49,46,48,51,54,49,53,101,45,48,53,32,55,46,57,51,51,50,101,45,48,
      54,32,54,46,51,53,49,56,56,101,45,48,54,32,53,46,48,56,54,55,55,101,45,48,54,
      32,52,46,49,51,50,57,50,101,45,48,54,32,51,46,51,54,57,49,52,101,45,48,54,32,
      50,46,54,56,54,55,53,101,45,48,54,10,32,32,50,46,49,57,55,56,53,101,45,48,54,
      32,49,46,55,54,49,54,49,101,45,48,54,32,49,46,52,57,55,49,51,101,45,48,54,32,
      49,46,49,52,56,52,52,101,45,48,54,32,57,46,55,54,50,51,56,101,45,48,55,32,55,
      46,57,55,56,54,52,101,45,48,55,32,52,46,57,57,48,50,56,101,45,48,55,10,32,32,
      50,46,54,49,57,49,50,101,45,48,55,32,49,46,51,57,55,56,54,101,45,48,55,32,54,
      46,51,56,53,48,51,101,45,48,56,32,50,46,57,50,48,51,50,101,45,48,56,32,49,46,
      49,52,51,53,56,101,45,48,56,32,53,46,50,55,51,57,53,101,45,48,57,32,50,46,50,
      54,52,56,57,101,45,48,56,10,32,32,56,46,56,48,49,57,101,45,48,57,32,52,46,53,
      51,49,48,57,101,45,48,57,32,50,46,49,53,57,52,53,101,45,48,57,32,56,46,48,52,
      57,56,57,101,45,49,48,32,51,46,51,57,57,51,49,101,45,49,48,32,49,46,52,51,55,
      49,101,45,49,48,32,53,46,51,55,57,50,52,101,45,49,49,10,32,32,50,46,48,49,52,
      55,52,101,45,49,49,32,56,46,53,51,52,55,51,101,45,49,50,32,51,46,54,49,56,52,
      51,101,45,49,50,32,49,46,53,49,56,48,55,101,45,49,50,32,53,46,55,48,48,50,57,
      101,45,49,51,32,49,46,56,57,53,55,49,101,45,49,51,32,53,46,53,56,53,49,101,
      45,49,52,10,32,32,49,46,56,54,48,55,49,101,45,49,52,32,53,46,52,56,56,52,51,
      101,45,49,53,32,49,46,56,51,48,55,51,101,45,49,53,32,54,46,49,49,49,49,51,101,
      45,49,54,32,49,46,56,48,55,50,57,101,45,49,54,32,52,46,57,48,48,50,57,101,45,
      49,55,32,49,46,55,56,57,48,49,101,45,49,55,10,32,32,53,46,53,55,57,56,55,101,
      45,49,56,32,50,46,48,48,51,57,53,101,45,49,56,32,54,46,55,49,51,54,51,101,45,
      49,57,32,50,46,50,53,48,50,55,101,45,49,57,32,55,46,53,51,53,54,49,101,45,50,
      48,32,50,46,51,53,57,48,56,101,45,50,48,32,55,46,56,57,48,52,51,101,45,50,49,
      10,32,32,48,114,53,50,32,50,46,49,52,49,57,52,101,45,48,55,32,50,46,56,53,53,
      55,49,101,45,48,55,32,51,46,56,48,55,55,53,101,45,48,55,32,53,46,48,55,54,57,
      51,101,45,48,55,32,54,46,55,54,57,50,52,101,45,48,55,32,57,46,48,50,53,55,50,
      101,45,48,55,32,49,46,50,48,51,52,52,101,45,48,54,10,32,32,49,46,54,48,52,53,
      56,101,45,48,54,32,50,46,49,51,57,51,55,101,45,48,54,32,50,46,56,53,50,52,57,
      101,45,48,54,32,51,46,56,48,51,52,53,101,45,48,54,32,53,46,48,55,49,48,57,101,
      45,48,54,32,54,46,55,54,49,54,49,101,45,48,54,32,57,46,48,49,53,51,53,101,45,
      48,54,10,32,32,49,46,50,48,50,48,49,101,45,48,53,32,49,46,54,48,50,54,50,101,
      45,48,53,32,50,46,49,51,54,55,51,101,45,48,53,32,51,46,50,48,52,55,53,101,45,
      48,53,32,53,46,51,52,101,45,48,53,32,55,46,52,55,52,49,55,101,45,48,53,32,46,
      48,48,48,49,48,54,55,51,51,10,32,32,46,48,48,48,49,52,57,51,53,32,46,48,48,
      48,50,49,51,49,57,50,32,46,48,48,48,51,49,57,51,55,49,32,46,48,48,48,53,51,
      48,56,57,32,46,48,48,48,55,52,49,50,56,55,32,46,48,48,49,48,53,52,55,56,32,
      46,48,48,49,52,54,56,56,52,32,46,48,48,50,48,56,49,53,51,10,32,32,46,48,48,
      50,53,56,52,52,53,32,46,48,48,51,48,56,48,52,51,32,46,48,48,52,48,53,49,55,
      55,32,46,48,48,52,57,57,53,57,52,32,46,48,48,53,57,49,51,51,55,32,46,48,48,
      54,51,54,50,49,57,32,46,48,48,54,56,48,52,53,32,46,48,48,55,50,52,48,51,54,
      32,46,48,48,55,54,54,57,56,51,10,32,32,46,48,48,56,48,57,50,57,54,32,46,48,
      48,56,53,48,57,56,50,32,46,48,48,56,57,50,48,52,57,32,46,48,48,57,51,50,53,
      32,46,48,48,57,55,50,51,52,51,32,46,48,49,48,49,49,53,57,32,46,48,49,48,53,
      55,56,57,32,46,48,49,49,48,51,51,53,32,46,48,49,49,54,50,54,55,10,32,32,46,
      48,49,50,50,48,53,51,32,46,48,49,50,55,54,57,53,32,46,48,49,51,52,53,53,49,
      32,46,48,49,52,49,49,57,50,32,46,48,49,52,55,54,50,51,32,46,48,49,53,53,48,
      55,32,46,48,49,54,50,50,51,49,32,46,48,49,55,49,51,52,56,32,46,48,49,55,57,
      57,56,51,10,32,32,46,48,49,56,56,49,54,50,32,46,48,49,57,54,56,51,56,32,46,
      48,50,48,53,56,53,52,32,46,48,50,49,53,48,52,54,32,46,48,50,50,52,50,54,32,
      46,48,50,51,51,51,51,53,32,46,48,50,52,50,55,49,51,32,46,48,50,53,48,57,57,
      57,32,46,48,50,53,57,49,55,51,10,32,32,46,48,50,54,55,57,57,56,32,46,48,50,
      55,53,52,49,56,32,46,48,50,55,57,56,55,57,32,46,48,50,56,52,49,51,52,32,46,
      48,50,56,55,54,51,49,32,46,48,50,56,57,53,53,53,32,46,48,50,56,57,56,49,52,
      32,46,48,50,56,56,51,48,50,32,46,48,50,56,53,51,53,50,10,32,32,46,48,50,56,
      48,57,50,32,46,48,50,55,52,48,57,50,32,46,48,50,54,51,48,50,54,32,46,48,50,
      53,48,56,50,56,32,46,48,50,51,55,53,53,57,32,46,48,50,50,54,50,55,56,32,46,
      48,50,49,52,48,57,56,32,46,48,49,57,55,51,50,56,32,46,48,49,56,48,57,53,57,
      10,32,32,46,48,49,54,53,50,57,49,32,46,48,49,53,50,50,50,53,32,46,48,49,51,
      52,54,56,55,32,46,48,49,49,56,52,53,55,32,46,48,49,48,51,52,49,51,32,46,48,
      48,57,48,55,56,52,53,32,46,48,48,55,57,49,57,50,49,32,46,48,48,54,56,56,57,
      56,55,32,46,48,48,53,56,55,48,57,57,10,32,32,46,48,48,53,48,52,51,49,50,32,
      46,48,48,52,53,48,48,48,55,32,46,48,48,51,54,49,50,49,50,32,46,48,48,50,57,
      49,56,53,56,32,46,48,48,50,51,55,56,56,54,32,46,48,48,49,56,57,53,48,49,32,
      46,48,48,49,53,51,55,52,54,32,46,48,48,49,50,50,49,52,54,10,32,32,46,48,48,
      48,57,55,54,53,57,56,32,46,48,48,48,55,56,55,49,54,51,32,46,48,48,48,54,52,
      48,55,49,52,32,46,48,48,48,53,48,57,56,55,51,32,46,48,48,48,52,51,49,53,54,
      32,46,48,48,48,51,54,53,53,53,50,32,46,48,48,48,50,55,56,52,52,51,32,46,48,
      48,48,50,51,53,55,56,10,32,32,46,48,48,48,49,56,49,53,54,51,32,46,48,48,48,
      49,51,55,55,56,52,32,46,48,48,48,49,49,54,56,32,57,46,56,57,55,55,54,101,45,
      48,53,32,55,46,54,49,56,53,51,101,45,48,53,32,53,46,55,48,56,53,57,101,45,48,
      53,32,52,46,56,54,51,55,56,101,45,48,53,32,51,46,55,53,54,51,101,45,48,53,10,
      32,32,51,46,50,48,57,49,53,101,45,48,53,32,50,46,52,56,53,54,53,101,45,48,53,
      32,50,46,48,50,48,49,56,101,45,48,53,32,49,46,52,57,48,49,56,101,45,48,53,32,
      49,46,51,49,52,49,49,101,45,48,53,32,49,46,48,51,49,57,49,101,45,48,53,32,55,
      46,57,48,49,56,54,101,45,48,54,10,32,32,54,46,51,50,55,52,54,101,45,48,54,32,
      53,46,48,54,55,55,101,45,48,54,32,52,46,49,49,55,55,57,101,45,48,54,32,51,46,
      51,53,55,48,55,101,45,48,54,32,50,46,54,55,55,51,54,101,45,48,54,32,50,46,49,
      57,48,51,51,101,45,48,54,32,49,46,55,53,53,55,51,101,45,48,54,10,32,32,49,46,
      52,57,50,50,50,101,45,48,54,32,49,46,49,52,52,55,55,101,45,48,54,32,57,46,55,
      51,49,54,57,101,45,48,55,32,55,46,57,53,52,48,51,101,45,48,55,32,52,46,57,55,
      53,53,51,101,45,48,55,32,50,46,54,49,49,56,50,101,45,48,55,32,49,46,51,57,52,
      49,54,101,45,48,55,10,32,32,54,46,51,54,57,49,54,101,45,48,56,32,50,46,57,49,
      51,52,56,101,45,48,56,32,49,46,49,52,49,48,55,101,45,48,56,32,53,46,50,54,53,
      50,51,101,45,48,57,32,50,46,50,51,57,48,56,101,45,48,56,32,56,46,55,48,50,48,
      57,101,45,48,57,32,52,46,52,55,57,56,57,101,45,48,57,10,32,32,50,46,49,51,53,
      54,57,101,45,48,57,32,55,46,57,54,50,57,51,101,45,49,48,32,51,46,51,54,50,55,
      49,101,45,49,48,32,49,46,52,50,49,54,56,101,45,49,48,32,53,46,51,50,49,55,50,
      101,45,49,49,32,49,46,57,57,52,53,50,101,45,49,49,32,56,46,52,53,52,52,101,
      45,49,50,10,32,32,51,46,53,56,52,52,51,101,45,49,50,32,49,46,53,48,51,57,49,
      101,45,49,50,32,53,46,54,52,55,50,52,101,45,49,51,32,49,46,56,55,56,49,49,101,
      45,49,51,32,53,46,53,51,51,51,57,101,45,49,52,32,49,46,56,52,51,57,55,101,45,
      49,52,32,53,46,52,52,50,54,53,101,45,49,53,10,32,32,49,46,56,49,53,52,56,101,
      45,49,53,32,54,46,48,54,48,51,51,101,45,49,54,32,49,46,55,57,50,50,57,101,45,
      49,54,32,52,46,56,53,57,55,49,101,45,49,55,32,49,46,55,55,52,52,56,101,45,49,
      55,32,53,46,53,51,51,55,57,101,45,49,56,32,49,46,57,56,55,52,49,101,45,49,56,
      10,32,32,54,46,54,53,56,51,51,101,45,49,57,32,50,46,50,51,49,55,55,101,45,49,
      57,32,55,46,52,56,51,57,50,101,45,50,48,32,50,46,51,52,50,51,101,45,50,48,32,
      55,46,56,51,52,48,54,101,45,50,49,32,50,46,54,50,49,50,52,101,45,50,49,32,48,
      114,53,49,32,50,46,48,48,55,56,55,101,45,48,55,10,32,32,50,46,54,55,54,57,54,
      101,45,48,55,32,51,46,53,54,57,52,50,101,45,48,55,32,52,46,55,53,57,49,54,101,
      45,48,55,32,54,46,51,52,53,53,52,101,45,48,55,32,56,46,52,54,48,55,56,101,45,
      48,55,32,49,46,49,50,56,49,50,101,45,48,54,32,49,46,53,48,52,49,53,101,45,48,
      54,10,32,32,50,46,48,48,53,52,54,101,45,48,54,32,50,46,54,55,51,57,52,101,45,
      48,54,32,51,46,53,54,53,51,56,101,45,48,54,32,52,46,55,53,51,54,56,101,45,48,
      54,32,54,46,51,51,56,51,56,101,45,48,54,32,56,46,52,53,49,48,53,101,45,48,54,
      32,49,46,49,50,54,55,55,101,45,48,53,10,32,32,49,46,53,48,50,51,49,101,45,48,
      53,32,50,46,48,48,50,57,56,101,45,48,53,32,51,46,48,48,52,49,53,101,45,48,53,
      32,53,46,48,48,53,55,53,101,45,48,53,32,55,46,48,48,54,51,52,101,45,48,53,32,
      46,48,48,48,49,48,48,48,53,51,32,46,48,48,48,49,52,48,48,48,51,10,32,32,46,
      48,48,48,49,57,57,56,53,50,32,46,48,48,48,50,57,57,51,57,52,32,46,48,48,48,
      52,57,55,55,49,32,46,48,48,48,54,57,53,48,48,50,32,46,48,48,48,57,56,57,48,
      50,55,32,46,48,48,49,51,55,55,53,32,46,48,48,49,57,53,50,54,50,32,46,48,48,
      50,52,50,52,57,56,10,32,32,46,48,48,50,56,57,49,49,32,46,48,48,51,56,48,52,
      56,32,46,48,48,52,54,57,52,48,57,32,46,48,48,53,53,53,57,51,54,32,46,48,48,
      53,57,56,51,49,49,32,46,48,48,54,52,48,49,32,46,48,48,54,56,49,51,48,57,32,
      46,48,48,55,50,49,57,52,50,32,46,48,48,55,54,50,48,48,53,10,32,32,46,48,48,
      56,48,49,53,48,51,32,46,48,48,56,52,48,52,51,57,32,46,48,48,56,55,56,56,50,
      50,32,46,48,48,57,49,54,54,53,53,32,46,48,48,57,53,51,57,52,52,32,46,48,48,
      57,57,55,57,55,55,32,46,48,49,48,52,49,50,52,32,46,48,49,48,57,55,55,54,32,
      46,48,49,49,53,50,57,52,10,32,32,46,48,49,50,48,54,56,50,32,46,48,49,50,55,
      50,51,54,32,46,48,49,51,51,53,57,52,32,46,48,49,51,57,55,54,32,46,48,49,52,
      54,57,49,49,32,46,48,49,53,51,55,57,55,32,46,48,49,54,50,53,55,56,32,46,48,
      49,55,48,57,49,56,32,46,48,49,55,56,56,51,49,10,32,32,46,48,49,56,55,50,52,
      52,32,46,48,49,57,54,48,48,54,32,46,48,50,48,52,57,54,56,32,46,48,50,49,51,
      57,55,51,32,46,48,50,50,50,56,55,51,32,46,48,50,51,50,49,32,46,48,50,52,48,
      50,56,56,32,46,48,50,52,56,52,49,52,32,46,48,50,53,55,50,51,56,32,46,48,50,
      54,52,55,50,50,10,32,32,46,48,50,54,57,50,55,49,32,46,48,50,55,51,54,55,49,
      32,46,48,50,55,55,51,57,49,32,46,48,50,55,57,53,56,55,32,46,48,50,56,48,49,
      55,53,32,46,48,50,55,57,48,52,56,32,46,48,50,55,54,52,56,53,32,46,48,50,55,
      50,52,54,51,32,46,48,50,54,54,49,51,49,10,32,32,46,48,50,53,53,55,50,51,32,
      46,48,50,52,52,49,52,54,32,46,48,50,51,49,52,55,51,32,46,48,50,50,48,54,53,
      53,32,46,48,50,48,56,57,52,54,32,46,48,49,57,50,55,55,57,32,46,48,49,55,54,
      57,53,54,32,46,48,49,54,49,55,55,56,32,46,48,49,52,57,49,32,46,48,49,51,50,
      48,54,10,32,32,46,48,49,49,54,50,53,57,32,46,48,49,48,49,53,57,49,32,46,48,
      48,56,57,50,54,48,55,32,46,48,48,55,55,57,50,54,50,32,46,48,48,54,55,56,53,
      48,52,32,46,48,48,53,55,56,54,52,57,32,46,48,48,52,57,55,52,49,55,32,46,48,
      48,52,52,52,48,56,53,32,46,48,48,51,53,54,55,56,51,10,32,32,46,48,48,50,56,
      56,53,48,57,32,46,48,48,50,51,53,51,49,57,32,46,48,48,49,56,55,53,56,55,32,
      46,48,48,49,53,50,50,56,49,32,46,48,48,49,50,49,48,53,50,32,46,48,48,48,57,
      54,56,51,51,49,32,46,48,48,48,55,56,48,56,52,51,32,46,48,48,48,54,51,53,56,
      49,51,10,32,32,46,48,48,48,53,48,54,49,54,56,32,46,48,48,48,52,50,56,53,51,
      56,32,46,48,48,48,51,54,51,48,56,50,32,46,48,48,48,50,55,54,54,54,52,32,46,
      48,48,48,50,51,52,51,50,51,32,46,48,48,48,49,56,48,52,57,53,32,46,48,48,48,
      49,51,55,48,49,51,32,46,48,48,48,49,49,54,49,54,53,10,32,32,57,46,56,52,53,
      52,51,101,45,48,53,32,55,46,53,55,57,57,57,101,45,48,53,32,53,46,54,56,49,48,
      49,101,45,48,53,32,52,46,56,52,48,56,53,101,45,48,53,32,51,46,55,51,57,50,52,
      101,45,48,53,32,51,46,49,57,52,57,101,45,48,53,32,50,46,52,55,53,48,49,101,
      45,48,53,10,32,32,50,46,48,49,49,55,55,101,45,48,53,32,49,46,52,56,52,50,51,
      101,45,48,53,32,49,46,51,48,56,57,52,101,45,48,53,32,49,46,48,50,55,57,56,101,
      45,48,53,32,55,46,56,55,50,54,57,101,45,48,54,32,54,46,51,48,52,54,57,101,45,
      48,54,32,53,46,48,52,57,57,52,101,45,48,54,10,32,32,52,46,49,48,51,55,101,45,
      48,54,32,51,46,51,52,53,56,52,101,45,48,54,32,50,46,54,54,56,54,50,101,45,48,
      54,32,50,46,49,56,51,51,51,101,45,48,54,32,49,46,55,53,48,50,52,101,45,48,54,
      32,49,46,52,56,55,54,51,101,45,48,54,32,49,46,49,52,49,51,52,101,45,48,54,10,
      32,32,57,46,55,48,50,57,57,101,45,48,55,32,55,46,57,51,49,48,52,101,45,48,55,
      32,52,46,57,54,49,55,56,101,45,48,55,32,50,46,54,48,52,57,57,101,45,48,55,32,
      49,46,51,57,48,55,101,45,48,55,32,54,46,51,53,52,51,50,101,45,48,56,32,50,46,
      57,48,55,48,56,101,45,48,56,10,32,32,49,46,49,51,56,55,51,101,45,48,56,32,53,
      46,50,53,55,50,54,101,45,48,57,32,50,46,50,49,53,55,55,101,45,48,56,32,56,46,
      54,49,50,101,45,48,57,32,52,46,52,51,51,54,55,101,45,48,57,32,50,46,49,49,51,
      55,52,101,45,48,57,32,55,46,56,56,52,53,101,45,49,48,10,32,32,51,46,51,50,57,
      55,49,101,45,49,48,32,49,46,52,48,55,55,55,101,45,49,48,32,53,46,50,54,57,56,
      53,101,45,49,49,32,49,46,57,55,53,49,53,101,45,49,49,32,56,46,51,55,54,55,56,
      101,45,49,50,32,51,46,53,53,51,56,50,101,45,49,50,32,49,46,52,57,49,49,54,101,
      45,49,50,10,32,32,53,46,53,57,57,52,56,101,45,49,51,32,49,46,56,54,50,50,55,
      101,45,49,51,32,53,46,52,56,54,56,52,101,45,49,52,32,49,46,56,50,56,53,101,
      45,49,52,32,53,46,51,57,56,49,55,101,45,49,53,32,49,46,56,48,49,55,57,101,45,
      49,53,32,54,46,48,49,52,55,101,45,49,54,10,32,32,49,46,55,55,56,56,50,101,45,
      49,54,32,52,46,56,50,51,50,51,101,45,49,55,32,49,46,55,54,49,49,56,101,45,49,
      55,32,53,46,52,57,50,52,101,45,49,56,32,49,46,57,55,50,53,53,101,45,49,56,32,
      54,46,54,48,56,54,54,101,45,49,57,32,50,46,50,49,53,49,53,101,45,49,57,10,32,
      32,55,46,52,50,56,50,54,101,45,50,48,32,50,46,51,50,50,55,57,101,45,50,48,32,
      55,46,55,56,48,50,55,101,45,50,49,32,50,46,54,48,52,50,55,101,45,50,49,32,48,
      114,53,49,32,49,46,56,55,55,51,101,45,48,55,32,50,46,53,48,50,56,55,101,45,
      48,55,32,51,46,51,51,55,50,57,101,45,48,55,10,32,32,52,46,52,52,57,54,54,101,
      45,48,55,32,53,46,57,51,50,56,55,101,45,48,55,32,55,46,57,49,48,53,54,101,45,
      48,55,32,49,46,48,53,52,55,53,101,45,48,54,32,49,46,52,48,54,51,51,101,45,48,
      54,32,49,46,56,55,53,48,52,101,45,48,54,32,50,46,53,48,48,48,52,101,45,48,54,
      10,32,32,51,46,51,51,51,53,101,45,48,54,32,52,46,52,52,52,53,49,101,45,48,54,
      32,53,46,57,50,54,49,51,101,45,48,54,32,55,46,57,48,49,51,55,101,45,48,54,32,
      49,46,48,53,51,52,56,101,45,48,53,32,49,46,52,48,52,53,56,101,45,48,53,32,49,
      46,56,55,50,54,56,101,45,48,53,10,32,32,50,46,56,48,56,54,57,101,45,48,53,32,
      52,46,54,55,57,57,55,101,45,48,53,32,54,46,53,53,48,50,54,101,45,48,53,32,57,
      46,51,53,51,56,49,101,45,48,53,32,46,48,48,48,49,51,48,56,56,52,32,46,48,48,
      48,49,56,54,56,50,56,32,46,48,48,48,50,55,57,56,55,10,32,32,46,48,48,48,52,
      54,53,50,50,49,32,46,48,48,48,54,52,57,54,48,50,32,46,48,48,48,57,50,52,51,
      55,53,32,46,48,48,49,50,56,55,52,50,32,46,48,48,49,56,50,52,57,55,32,46,48,
      48,50,50,54,54,53,55,32,46,48,48,50,55,48,50,52,56,32,46,48,48,51,53,53,55,
      52,54,10,32,32,46,48,48,52,51,57,48,51,56,32,46,48,48,53,50,48,49,54,53,32,
      46,48,48,53,53,57,57,51,32,46,48,48,53,57,57,49,54,57,32,46,48,48,54,51,55,
      56,56,55,32,46,48,48,54,55,54,48,56,56,32,46,48,48,55,49,51,55,55,56,32,46,
      48,48,55,53,48,57,54,49,32,46,48,48,55,56,55,54,52,49,10,32,32,46,48,48,56,
      50,51,56,50,51,32,46,48,48,56,53,57,53,49,49,32,46,48,48,56,57,52,55,49,49,
      32,46,48,48,57,51,54,51,49,49,32,46,48,48,57,55,55,50,50,49,32,46,48,49,48,
      51,48,55,49,32,46,48,49,48,56,51,32,46,48,49,49,51,52,49,49,32,46,48,49,49,
      57,54,51,55,10,32,32,46,48,49,50,53,54,56,53,32,46,48,49,51,49,53,53,56,32,
      46,48,49,51,56,51,56,49,32,46,48,49,52,52,57,54,51,32,46,48,49,53,51,51,55,
      51,32,46,48,49,54,49,51,55,57,32,46,48,49,54,56,57,57,51,32,46,48,49,55,55,
      49,48,53,32,46,48,49,56,53,53,55,57,10,32,32,46,48,49,57,52,50,54,57,32,46,
      48,50,48,51,48,51,50,32,46,48,50,49,49,55,50,53,32,46,48,50,50,48,55,55,55,
      32,46,48,50,50,56,56,52,57,32,46,48,50,51,54,56,57,52,32,46,48,50,52,53,55,
      48,56,32,46,48,50,53,51,50,52,55,32,46,48,50,53,55,56,56,55,10,32,32,46,48,
      50,54,50,52,52,32,46,48,50,54,54,51,57,56,32,46,48,50,54,56,56,57,57,32,46,
      48,50,54,57,56,52,49,32,46,48,50,54,57,49,51,49,32,46,48,50,54,54,57,56,53,
      32,46,48,50,54,51,52,50,32,46,48,50,53,55,54,52,32,46,48,50,52,55,57,53,32,
      46,48,50,51,55,48,53,53,10,32,32,46,48,50,50,53,48,51,50,32,46,48,50,49,52,
      55,49,54,32,46,48,50,48,51,53,49,52,32,46,48,49,56,55,57,57,50,32,46,48,49,
      55,50,55,53,50,32,46,48,49,53,56,48,57,54,32,46,48,49,52,53,56,50,55,32,46,
      48,49,50,57,51,48,55,32,46,48,49,49,51,57,53,57,10,32,32,46,48,48,57,57,54,
      56,52,50,32,46,48,48,56,55,54,54,53,53,32,46,48,48,55,54,54,48,49,54,32,46,
      48,48,54,54,55,53,50,51,32,46,48,48,53,54,57,55,57,32,46,48,48,52,57,48,49,
      56,51,32,46,48,48,52,51,55,56,54,51,32,46,48,48,51,53,50,49,50,55,32,46,48,
      48,50,56,52,57,56,52,10,32,32,46,48,48,50,51,50,54,49,53,32,46,48,48,49,56,
      53,53,54,55,32,46,48,48,49,53,48,55,51,52,32,46,48,48,49,49,57,56,57,53,32,
      46,48,48,48,57,53,57,53,57,52,32,46,48,48,48,55,55,52,49,53,55,32,46,48,48,
      48,54,51,48,54,50,54,32,46,48,48,48,53,48,50,50,52,55,10,32,32,46,48,48,48,
      52,50,53,51,51,54,32,46,48,48,48,51,54,48,52,54,50,32,46,48,48,48,50,55,52,
      55,55,54,32,46,48,48,48,50,51,50,55,55,53,32,46,48,48,48,49,55,57,51,54,49,
      32,46,48,48,48,49,51,54,49,57,52,32,46,48,48,48,49,49,53,52,57,32,57,46,55,
      56,57,56,50,101,45,48,53,10,32,32,55,46,53,51,56,57,54,101,45,48,53,32,53,46,
      54,53,49,54,52,101,45,48,53,32,52,46,56,49,54,52,52,101,45,48,53,32,51,46,55,
      50,49,49,49,101,45,48,53,32,51,46,49,55,57,55,54,101,45,48,53,32,50,46,52,54,
      51,54,56,101,45,48,53,32,50,46,48,48,50,56,50,101,45,48,53,10,32,32,49,46,52,
      55,55,56,56,101,45,48,53,32,49,46,51,48,51,52,51,101,45,48,53,32,49,46,48,50,
      51,55,57,101,45,48,53,32,55,46,56,52,49,54,50,101,45,48,54,32,54,46,50,56,48,
      52,54,101,45,48,54,32,53,46,48,51,49,48,49,101,45,48,54,32,52,46,48,56,56,54,
      55,101,45,48,54,10,32,32,51,46,51,51,51,56,54,101,45,48,54,32,50,46,54,53,57,
      50,57,101,45,48,54,32,50,46,49,55,53,56,54,101,45,48,54,32,49,46,55,52,52,51,
      57,101,45,48,54,32,49,46,52,56,50,55,52,101,45,48,54,32,49,46,49,51,55,54,57,
      101,45,48,54,32,57,46,54,55,50,52,49,101,45,48,55,10,32,32,55,46,57,48,54,53,
      101,45,48,55,32,52,46,57,52,55,48,54,101,45,48,55,32,50,46,53,57,55,55,101,
      45,48,55,32,49,46,51,56,55,48,49,101,45,48,55,32,54,46,51,51,56,52,56,101,45,
      48,56,32,50,46,57,48,48,50,53,101,45,48,56,32,49,46,49,51,54,50,51,101,45,48,
      56,10,32,32,53,46,50,52,56,55,53,101,45,48,57,32,50,46,49,57,48,56,55,101,45,
      48,56,32,56,46,53,49,56,56,51,101,45,48,57,32,52,46,51,56,53,56,56,101,45,48,
      57,32,50,46,48,57,49,48,52,101,45,48,57,32,55,46,56,48,48,51,53,101,45,49,48,
      32,51,46,50,57,53,53,57,101,45,49,48,10,32,32,49,46,51,57,51,52,101,45,49,48,
      32,53,46,50,49,54,50,51,101,45,49,49,32,49,46,57,53,53,49,51,101,45,49,49,32,
      56,46,50,57,50,49,52,101,45,49,50,32,51,46,53,49,57,54,56,101,45,49,50,32,49,
      46,52,55,56,48,50,101,45,49,50,32,53,46,53,53,48,50,50,101,45,49,51,10,32,32,
      49,46,56,52,53,57,51,101,45,49,51,32,53,46,52,51,56,56,52,101,45,49,52,32,49,
      46,56,49,50,53,52,101,45,49,52,32,53,46,51,53,49,49,56,101,45,49,53,32,49,46,
      55,56,54,51,56,101,45,49,53,32,53,46,57,54,55,55,50,101,45,49,54,32,49,46,55,
      54,52,57,54,101,45,49,54,10,32,32,52,46,55,56,53,54,56,101,45,49,55,32,49,46,
      55,52,55,52,57,101,45,49,55,32,53,46,52,52,57,55,57,101,45,49,56,32,49,46,57,
      53,55,50,53,101,45,49,56,32,54,46,53,53,55,53,50,101,45,49,57,32,50,46,49,57,
      56,48,52,101,45,49,57,32,55,46,51,55,48,57,54,101,45,50,48,10,32,32,50,46,51,
      48,49,54,51,101,45,50,48,32,55,46,55,48,57,50,52,101,45,50,49,32,50,46,53,56,
      51,49,56,101,45,50,49,32,48,114,53,49,32,49,46,55,49,50,48,54,101,45,48,55,
      32,50,46,50,56,50,53,56,101,45,48,55,32,51,46,48,52,51,53,53,101,45,48,55,32,
      52,46,48,53,56,48,50,101,45,48,55,10,32,32,53,46,52,49,48,54,57,101,45,48,55,
      32,55,46,50,49,52,51,49,101,45,48,55,32,57,46,54,49,57,49,57,101,45,48,55,32,
      49,46,50,56,50,53,53,101,45,48,54,32,49,46,55,49,48,48,49,101,45,48,54,32,50,
      46,50,56,48,48,49,101,45,48,54,32,51,46,48,52,48,49,50,101,45,48,54,10,32,32,
      52,46,48,53,51,51,55,101,45,48,54,32,53,46,52,48,52,54,50,101,45,48,54,32,55,
      46,50,48,54,48,56,101,45,48,54,32,57,46,54,48,55,56,49,101,45,48,54,32,49,46,
      50,56,49,101,45,48,53,32,49,46,55,48,55,57,52,101,45,48,53,32,50,46,53,54,49,
      54,54,101,45,48,53,10,32,32,52,46,50,54,56,53,54,101,45,48,53,32,53,46,57,55,
      52,55,101,45,48,53,32,56,46,53,51,50,52,53,101,45,48,53,32,46,48,48,48,49,49,
      57,52,48,49,32,46,48,48,48,49,55,48,52,53,55,32,46,48,48,48,50,53,53,51,57,
      52,32,46,48,48,48,52,50,52,54,56,54,32,46,48,48,48,53,57,51,50,10,32,32,46,
      48,48,48,56,52,52,53,49,57,32,46,48,48,49,49,55,54,57,49,32,46,48,48,49,54,
      54,57,55,49,32,46,48,48,50,48,55,53,49,49,32,46,48,48,50,52,55,53,55,52,32,
      46,48,48,51,50,54,50,56,51,32,46,48,48,52,48,51,49,49,56,32,46,48,48,52,55,
      56,49,48,49,10,32,32,46,48,48,53,49,52,57,48,54,32,46,48,48,53,53,49,50,53,
      55,32,46,48,48,53,56,55,49,53,55,32,46,48,48,54,50,50,54,48,57,32,46,48,48,
      54,53,55,54,49,55,32,46,48,48,54,57,50,49,56,51,32,46,48,48,55,50,54,51,49,
      32,46,48,48,55,54,48,48,48,49,32,46,48,48,55,57,51,50,54,51,10,32,32,46,48,
      48,56,50,54,48,57,51,32,46,48,48,56,54,52,57,50,57,32,46,48,48,57,48,51,49,
      53,56,32,46,48,48,57,53,51,49,57,55,32,46,48,49,48,48,50,49,55,32,46,48,49,
      48,53,48,49,50,32,46,48,49,49,48,56,53,57,32,46,48,49,49,54,53,52,57,32,46,
      48,49,50,50,48,56,51,10,32,32,46,48,49,50,56,53,50,50,32,46,48,49,51,52,55,
      52,55,32,46,48,49,52,50,55,49,56,32,46,48,49,53,48,51,50,53,32,46,48,49,53,
      55,53,55,57,32,46,48,49,54,53,51,50,56,32,46,48,49,55,51,52,52,54,32,46,48,
      49,56,49,56,48,50,32,46,48,49,57,48,50,54,49,10,32,32,46,48,49,57,56,54,56,
      54,32,46,48,50,48,55,53,48,53,32,46,48,50,49,53,52,49,51,32,46,48,50,50,51,
      51,52,54,32,46,48,50,51,50,49,49,51,32,46,48,50,51,57,55,32,46,48,50,52,52,
      52,50,56,32,46,48,50,52,57,49,53,49,32,46,48,50,53,51,51,55,56,32,46,48,50,
      53,54,50,50,55,10,32,32,46,48,50,53,55,53,56,55,32,46,48,50,53,55,51,55,56,
      32,46,48,50,53,53,55,52,50,32,46,48,50,53,50,55,49,53,32,46,48,50,52,55,54,
      32,46,48,50,51,56,55,55,57,32,46,48,50,50,56,54,57,50,32,46,48,50,49,55,52,
      53,32,46,48,50,48,55,55,51,57,32,46,48,49,57,55,49,51,55,10,32,32,46,48,49,
      56,50,51,56,49,32,46,48,49,54,55,56,51,49,32,46,48,49,53,51,55,57,32,46,48,
      49,52,50,48,48,53,32,46,48,49,50,54,48,57,53,32,46,48,49,49,49,50,55,54,32,
      46,48,48,57,55,52,53,57,54,32,46,48,48,56,53,56,48,51,50,32,46,48,48,55,53,
      48,53,53,10,32,32,46,48,48,54,53,52,55,48,49,32,46,48,48,53,53,57,52,51,53,
      32,46,48,48,52,56,49,55,50,49,32,46,48,48,52,51,48,53,56,52,32,46,48,48,51,
      52,54,54,55,49,32,46,48,48,50,56,48,56,53,49,32,46,48,48,50,50,57,52,52,32,
      46,48,48,49,56,51,49,57,52,32,46,48,48,49,52,56,57,49,52,10,32,32,46,48,48,
      49,49,56,53,51,51,32,46,48,48,48,57,52,57,50,56,57,32,46,48,48,48,55,54,54,
      50,55,50,32,46,48,48,48,54,50,52,53,48,49,32,46,48,48,48,52,57,55,54,49,51,
      32,46,48,48,48,52,50,49,53,53,50,32,46,48,48,48,51,53,55,51,54,53,32,46,48,
      48,48,50,55,50,53,52,50,10,32,32,46,48,48,48,50,51,48,57,52,51,32,46,48,48,
      48,49,55,56,48,49,55,32,46,48,48,48,49,51,53,50,50,52,32,46,48,48,48,49,49,
      52,54,57,32,57,46,55,50,51,57,50,101,45,48,53,32,55,46,52,57,48,51,51,101,45,
      48,53,32,53,46,54,49,54,55,57,101,45,48,53,32,52,46,55,56,55,52,53,101,45,48,
      53,10,32,32,51,46,54,57,57,53,54,101,45,48,53,32,51,46,49,54,49,55,54,101,45,
      48,53,32,50,46,52,53,48,50,51,101,45,48,53,32,49,46,57,57,50,50,101,45,48,53,
      32,49,46,52,55,48,51,52,101,45,48,53,32,49,46,50,57,54,56,57,101,45,48,53,32,
      49,46,48,49,56,56,101,45,48,53,10,32,32,55,46,56,48,52,54,52,101,45,48,54,32,
      54,46,50,53,49,54,49,101,45,48,54,32,53,46,48,48,56,53,101,45,48,54,32,52,46,
      48,55,48,56,49,101,45,48,54,32,51,46,51,49,57,54,50,101,45,48,54,32,50,46,54,
      52,56,50,101,45,48,54,32,50,46,49,54,54,57,56,101,45,48,54,10,32,32,49,46,55,
      51,55,52,50,101,45,48,54,32,49,46,52,55,54,57,49,101,45,48,54,32,49,46,49,51,
      51,51,51,101,45,48,54,32,57,46,54,51,53,57,57,101,45,48,55,32,55,46,56,55,55,
      51,49,101,45,48,55,32,52,46,57,50,57,53,57,101,45,48,55,32,50,46,53,56,57,48,
      51,101,45,48,55,10,32,32,49,46,51,56,50,54,50,101,45,48,55,32,54,46,51,49,57,
      54,53,101,45,48,56,32,50,46,56,57,50,49,50,101,45,48,56,32,49,46,49,51,51,50,
      52,101,45,48,56,32,53,46,50,51,56,53,53,101,45,48,57,32,50,46,49,54,49,55,56,
      101,45,48,56,32,56,46,52,49,48,53,52,101,45,48,57,10,32,32,52,46,51,51,48,56,
      56,101,45,48,57,32,50,46,48,54,52,57,50,101,45,48,57,32,55,46,55,48,51,51,56,
      101,45,49,48,32,51,46,50,53,53,48,56,101,45,49,48,32,49,46,51,55,54,56,54,101,
      45,49,48,32,53,46,49,53,52,53,57,101,45,49,49,32,49,46,57,51,50,49,49,101,45,
      49,49,10,32,32,56,46,49,57,52,56,49,101,45,49,50,32,51,46,52,55,56,52,57,101,
      45,49,50,32,49,46,52,54,49,51,55,101,45,49,50,32,53,46,52,57,51,55,49,101,45,
      49,51,32,49,46,56,50,55,49,56,101,45,49,51,32,53,46,51,56,51,55,54,101,45,49,
      52,32,49,46,55,57,52,50,51,101,45,49,52,10,32,32,53,46,50,57,55,50,56,101,45,
      49,53,32,49,46,55,54,56,52,52,101,45,49,53,32,53,46,57,48,55,57,53,101,45,49,
      54,32,49,46,55,52,56,55,51,101,45,49,54,32,52,46,55,52,50,54,56,101,45,49,55,
      32,49,46,55,51,49,56,50,101,45,49,55,32,53,46,52,48,49,48,49,101,45,49,56,10,
      32,32,49,46,57,51,57,55,52,101,45,49,56,32,54,46,52,57,56,57,51,101,45,49,57,
      32,50,46,49,55,56,52,52,101,45,49,57,32,55,46,51,48,53,51,53,101,45,50,48,32,
      50,46,50,55,55,51,53,101,45,50,48,32,55,46,54,50,55,55,101,45,50,49,32,50,46,
      53,53,53,55,57,101,45,50,49,10,32,32,48,114,53,49,32,49,46,53,56,50,49,53,101,
      45,48,55,32,50,46,49,48,57,51,55,101,45,48,55,32,50,46,56,49,50,54,101,45,48,
      55,32,51,46,55,53,48,48,56,101,45,48,55,32,53,46,48,48,48,49,49,101,45,48,55,
      32,54,46,54,54,54,56,54,101,45,48,55,32,56,46,56,56,57,50,54,101,45,48,55,10,
      32,32,49,46,49,56,53,50,51,101,45,48,54,32,49,46,53,56,48,50,53,101,45,48,54,
      32,50,46,49,48,55,101,45,48,54,32,50,46,56,48,57,52,52,101,45,48,54,32,51,46,
      55,52,53,56,101,45,48,54,32,52,46,57,57,52,53,51,101,45,48,54,32,54,46,54,53,
      57,51,49,101,45,48,54,10,32,32,56,46,56,55,56,56,53,101,45,48,54,32,49,46,49,
      56,51,56,50,101,45,48,53,32,49,46,53,55,56,51,55,101,45,48,53,32,50,46,51,54,
      55,51,53,101,45,48,53,32,51,46,57,52,52,56,55,101,45,48,53,32,53,46,53,50,49,
      55,52,101,45,48,53,32,55,46,56,56,53,56,52,101,45,48,53,10,32,32,46,48,48,48,
      49,49,48,51,53,55,32,46,48,48,48,49,53,55,53,53,53,32,46,48,48,48,50,51,54,
      48,56,56,32,46,48,48,48,51,57,50,54,53,55,32,46,48,48,48,53,52,56,53,54,52,
      32,46,48,48,48,55,56,49,49,56,50,32,46,48,48,49,48,56,57,48,50,32,46,48,48,
      49,53,52,53,55,57,10,32,32,46,48,48,49,57,50,49,56,56,32,46,48,48,50,50,57,
      51,56,52,32,46,48,48,51,48,50,53,52,32,46,48,48,51,55,52,48,54,32,46,48,48,
      52,52,51,57,53,56,32,46,48,48,52,55,56,51,48,51,32,46,48,48,53,49,50,50,52,
      56,32,46,48,48,53,52,53,55,57,53,32,46,48,48,53,55,56,57,52,55,10,32,32,46,
      48,48,54,49,49,55,48,54,32,46,48,48,54,52,52,48,55,52,32,46,48,48,54,55,54,
      48,53,51,32,46,48,48,55,48,55,54,52,54,32,46,48,48,55,51,56,56,53,54,32,46,
      48,48,55,54,57,54,56,51,32,46,48,48,56,48,54,49,55,55,32,46,48,48,56,52,50,
      49,50,56,10,32,32,46,48,48,56,56,57,50,51,50,32,46,48,48,57,51,53,51,56,56,
      32,46,48,48,57,56,48,54,49,52,32,46,48,49,48,51,53,56,52,32,46,48,49,48,56,
      57,54,54,32,46,48,49,49,52,50,48,55,32,46,48,49,50,48,51,49,53,32,46,48,49,
      50,54,50,50,57,32,46,48,49,51,51,56,49,54,10,32,32,46,48,49,52,49,48,55,50,
      32,46,48,49,52,56,48,48,55,32,46,48,49,53,53,52,51,51,32,46,48,49,54,51,50,
      51,52,32,46,48,49,55,49,50,56,55,32,46,48,49,55,57,52,54,54,32,46,48,49,56,
      55,54,52,50,32,46,48,49,57,54,50,51,56,32,46,48,50,48,51,57,56,50,10,32,32,
      46,48,50,49,49,55,57,53,32,46,48,50,50,48,52,57,32,46,48,50,50,56,48,57,54,
      32,46,48,50,51,50,56,56,53,32,46,48,50,51,55,55,51,51,32,46,48,50,52,50,49,
      55,52,32,46,48,50,52,53,51,48,55,32,46,48,50,52,55,48,49,57,32,46,48,50,52,
      55,50,51,32,46,48,50,52,54,48,50,54,10,32,32,46,48,50,52,51,52,55,50,32,46,
      48,50,51,56,57,50,57,32,46,48,50,51,48,56,54,56,32,46,48,50,50,49,52,56,52,
      32,46,48,50,49,48,57,50,49,32,46,48,50,48,49,55,51,51,32,46,48,49,57,49,54,
      53,51,32,46,48,49,55,55,53,54,32,46,48,49,54,51,54,48,57,10,32,32,46,48,49,
      53,48,48,57,57,32,46,48,49,51,56,55,51,49,32,46,48,49,50,51,51,52,51,32,46,
      48,49,48,56,57,55,54,32,46,48,48,57,53,53,53,52,52,32,46,48,48,56,52,50,48,
      57,49,32,46,48,48,55,51,55,50,57,52,32,46,48,48,54,52,51,55,48,56,32,46,48,
      48,53,53,48,53,53,52,10,32,32,46,48,48,52,55,52,52,53,54,32,46,48,48,52,50,
      52,51,50,57,32,46,48,48,51,52,49,57,55,56,32,46,48,48,50,55,55,50,57,32,46,
      48,48,50,50,54,55,48,50,32,46,48,48,49,56,49,49,52,53,32,46,48,48,49,52,55,
      51,52,49,32,46,48,48,49,49,55,51,53,52,32,46,48,48,48,57,52,48,51,54,57,10,
      32,32,46,48,48,48,55,53,57,52,52,32,46,48,48,48,54,49,57,50,32,46,48,48,48,
      52,57,51,53,57,56,32,46,48,48,48,52,49,56,50,55,32,46,48,48,48,51,53,52,54,
      55,57,32,46,48,48,48,50,55,48,54,48,50,32,46,48,48,48,50,50,57,51,53,50,32,
      46,48,48,48,49,55,54,56,52,57,10,32,32,46,48,48,48,49,51,52,51,55,57,32,46,
      48,48,48,49,49,51,57,57,53,32,57,46,54,54,54,53,57,101,45,48,53,32,55,46,52,
      52,56,48,55,101,45,48,53,32,53,46,53,56,54,53,49,101,45,48,53,32,52,46,55,54,
      50,50,54,101,45,48,53,32,51,46,54,56,48,56,49,101,45,48,53,10,32,32,51,46,49,
      52,54,48,57,101,45,48,53,32,50,46,52,51,56,53,50,101,45,48,53,32,49,46,57,56,
      50,57,51,101,45,48,53,32,49,46,52,54,51,55,56,101,45,48,53,32,49,46,50,57,49,
      50,101,45,48,53,32,49,46,48,49,52,52,54,101,45,48,53,32,55,46,55,55,50,52,57,
      101,45,48,54,10,32,32,54,46,50,50,54,53,50,101,45,48,54,32,52,46,57,56,56,57,
      101,45,48,54,32,52,46,48,53,53,50,51,101,45,48,54,32,51,46,51,48,55,50,49,101,
      45,48,54,32,50,46,54,51,56,53,52,101,45,48,54,32,50,46,49,53,57,50,52,101,45,
      48,54,32,49,46,55,51,49,51,55,101,45,48,54,10,32,32,49,46,52,55,49,56,53,101,
      45,48,54,32,49,46,49,50,57,53,53,101,45,48,54,32,57,46,54,48,52,51,49,101,45,
      48,55,32,55,46,56,53,49,57,49,101,45,48,55,32,52,46,57,49,52,51,55,101,45,48,
      55,32,50,46,53,56,49,52,56,101,45,48,55,32,49,46,51,55,56,56,101,45,48,55,10,
      32,32,54,46,51,48,51,50,49,101,45,48,56,32,50,46,56,56,53,48,51,101,45,48,56,
      32,49,46,49,51,48,54,52,101,45,48,56,32,53,46,50,50,57,54,101,45,48,57,32,50,
      46,49,51,55,49,54,101,45,48,56,32,56,46,51,49,53,52,49,101,45,48,57,32,52,46,
      50,56,52,48,56,101,45,48,57,10,32,32,50,46,48,52,50,56,52,101,45,48,57,32,55,
      46,54,50,49,52,50,101,45,49,48,32,51,46,50,50,48,54,101,45,49,48,32,49,46,51,
      54,50,52,53,101,45,49,48,32,53,46,49,48,50,53,50,101,45,49,49,32,49,46,57,49,
      50,54,54,101,45,49,49,32,56,46,49,49,50,54,49,101,45,49,50,10,32,32,51,46,52,
      52,51,55,49,101,45,49,50,32,49,46,52,52,54,56,53,101,45,49,50,32,53,46,52,52,
      48,51,101,45,49,51,32,49,46,56,49,49,51,57,101,45,49,51,32,53,46,51,51,55,51,
      53,101,45,49,52,32,49,46,55,55,56,56,49,101,45,49,52,32,53,46,50,53,49,56,55,
      101,45,49,53,10,32,32,49,46,55,53,51,51,50,101,45,49,53,32,53,46,56,53,55,53,
      52,101,45,49,54,32,49,46,55,51,51,56,52,101,45,49,54,32,52,46,55,48,53,53,53,
      101,45,49,55,32,49,46,55,49,56,54,52,101,45,49,55,32,53,46,51,54,101,45,49,
      56,32,49,46,57,50,53,48,49,101,45,49,56,10,32,32,54,46,52,52,57,54,53,101,45,
      49,57,32,50,46,49,54,49,57,53,101,45,49,57,32,55,46,50,53,48,49,57,101,45,50,
      48,32,50,46,50,53,54,56,55,101,45,50,48,32,55,46,53,53,56,57,51,101,45,50,49,
      32,50,46,53,51,50,54,57,101,45,50,49,32,48,114,53,49,32,49,46,52,52,57,55,55,
      101,45,48,55,10,32,32,49,46,57,51,50,56,56,101,45,48,55,32,50,46,53,55,55,50,
      55,101,45,48,55,32,51,46,52,51,54,51,49,101,45,48,55,32,52,46,53,56,49,55,52,
      101,45,48,55,32,54,46,49,48,57,48,52,101,45,48,55,32,56,46,49,52,53,52,56,101,
      45,48,55,32,49,46,48,56,54,48,54,101,45,48,54,10,32,32,49,46,52,52,56,48,51,
      101,45,48,54,32,49,46,57,51,48,55,101,45,48,54,32,50,46,53,55,52,51,54,101,
      45,48,54,32,51,46,52,51,50,51,54,101,45,48,54,32,52,46,53,55,54,53,57,101,45,
      48,54,32,54,46,49,48,50,48,53,101,45,48,54,32,56,46,49,51,53,56,49,101,45,48,
      54,10,32,32,49,46,48,56,52,55,52,101,45,48,53,32,49,46,52,52,54,50,54,101,45,
      48,53,32,50,46,49,54,57,49,57,101,45,48,53,32,51,46,54,49,52,53,56,101,45,48,
      53,32,53,46,48,53,57,51,52,101,45,48,53,32,55,46,50,50,53,50,57,101,45,48,53,
      32,46,48,48,48,49,48,49,49,49,10,32,32,46,48,48,48,49,52,52,51,52,56,32,46,
      48,48,48,50,49,54,50,56,54,32,46,48,48,48,51,53,57,54,57,52,32,46,48,48,48,
      53,48,50,52,56,50,32,46,48,48,48,55,49,53,53,49,54,32,46,48,48,48,57,57,55,
      52,51,55,32,46,48,48,49,52,49,53,56,50,32,46,48,48,49,55,54,48,51,56,10,32,
      32,46,48,48,50,49,48,49,50,55,32,46,48,48,50,55,55,50,49,53,32,46,48,48,51,
      52,50,56,54,55,32,46,48,48,52,48,55,49,48,50,32,46,48,48,52,51,56,54,57,52,
      32,46,48,48,52,54,57,57,51,56,32,46,48,48,53,48,48,56,51,55,32,46,48,48,53,
      51,49,51,57,51,10,32,32,46,48,48,53,54,49,54,48,55,32,46,48,48,53,57,49,52,
      56,50,32,46,48,48,54,50,49,48,50,32,46,48,48,54,53,48,50,50,50,32,46,48,48,
      54,55,57,48,57,49,32,46,48,48,55,48,55,54,50,57,32,46,48,48,55,52,49,52,52,
      32,46,48,48,55,55,52,55,56,32,46,48,48,56,49,56,53,48,54,10,32,32,46,48,48,
      56,54,49,52,49,32,46,48,48,57,48,51,52,57,57,32,46,48,48,57,53,52,57,55,53,
      32,46,48,49,48,48,53,50,49,32,46,48,49,48,53,52,50,49,32,46,48,49,49,49,49,
      52,49,32,46,48,49,49,54,54,57,32,46,48,49,50,51,56,50,54,32,46,48,49,51,48,
      54,54,56,10,32,32,46,48,49,51,55,50,50,52,32,46,48,49,52,52,50,54,52,32,46,
      48,49,53,49,54,56,50,32,46,48,49,53,57,51,54,54,32,46,48,49,54,55,50,32,46,
      48,49,55,53,48,54,53,32,46,48,49,56,51,51,55,54,32,46,48,49,57,48,57,48,55,
      32,46,48,49,57,56,53,53,49,32,46,48,50,48,55,49,51,49,10,32,32,46,48,50,49,
      52,55,50,32,46,48,50,49,57,53,53,56,32,46,48,50,50,52,53,50,49,32,46,48,50,
      50,57,49,56,53,32,46,48,50,51,50,54,50,53,32,46,48,50,51,52,55,50,55,32,46,
      48,50,51,53,52,49,51,32,46,48,50,51,52,54,57,56,32,46,48,50,51,50,54,56,32,
      46,48,50,50,56,55,57,57,10,32,32,46,48,50,50,49,54,50,50,32,46,48,50,49,51,
      48,54,32,46,48,50,48,51,50,56,55,32,46,48,49,57,52,55,49,53,32,46,48,49,56,
      53,50,53,51,32,46,48,49,55,49,57,51,56,32,46,48,49,53,56,54,56,52,32,46,48,
      49,52,53,55,57,57,32,46,48,49,51,52,57,49,55,10,32,32,46,48,49,50,48,49,52,
      49,32,46,48,49,48,54,51,48,49,32,46,48,48,57,51,51,51,53,54,32,46,48,48,56,
      50,51,53,50,50,32,46,48,48,55,50,49,56,53,52,32,46,48,48,54,51,48,56,57,51,
      32,46,48,48,53,52,48,49,57,32,46,48,48,52,54,53,57,55,53,32,46,48,48,52,49,
      55,48,50,52,10,32,32,46,48,48,51,51,54,52,56,55,32,46,48,48,50,55,51,49,50,
      32,46,48,48,50,50,51,52,57,51,32,46,48,48,49,55,56,55,52,49,32,46,48,48,49,
      52,53,52,57,52,32,46,48,48,49,49,53,57,54,56,32,46,48,48,48,57,50,57,56,55,
      50,32,46,48,48,48,55,53,49,51,56,57,10,32,32,46,48,48,48,54,49,50,57,52,32,
      46,48,48,48,52,56,56,56,53,57,32,46,48,48,48,52,49,52,51,57,54,32,46,48,48,
      48,51,53,49,53,48,53,32,46,48,48,48,50,54,56,51,49,32,46,48,48,48,50,50,55,
      52,55,49,32,46,48,48,48,49,55,53,52,54,56,32,46,48,48,48,49,51,51,51,56,10,
      32,32,46,48,48,48,49,49,51,49,55,49,32,57,46,53,57,56,54,53,101,45,48,53,32,
      55,46,51,57,55,57,101,45,48,53,32,53,46,53,53,48,53,55,101,45,48,53,32,52,46,
      55,51,50,51,56,101,45,48,53,32,51,46,54,53,56,53,57,101,45,48,53,32,51,46,49,
      50,55,53,50,101,45,48,53,10,32,32,50,46,52,50,52,54,51,101,45,48,53,32,49,46,
      57,55,49,57,53,101,45,48,53,32,49,46,52,53,53,57,57,101,45,48,53,32,49,46,50,
      56,52,52,52,101,45,48,53,32,49,46,48,48,57,51,49,101,45,48,53,32,55,46,55,51,
      52,50,52,101,45,48,54,32,54,46,49,57,54,54,57,101,45,48,54,10,32,32,52,46,57,
      54,53,54,49,101,45,48,54,32,52,46,48,51,54,55,53,101,45,48,54,32,51,46,50,57,
      50,52,55,101,45,48,54,32,50,46,54,50,55,48,55,101,45,48,54,32,50,46,49,53,48,
      48,52,101,45,48,54,32,49,46,55,50,52,49,53,101,45,48,54,32,49,46,52,54,53,56,
      50,101,45,48,54,10,32,32,49,46,49,50,53,48,52,101,45,48,54,32,57,46,53,54,54,
      54,49,101,45,48,55,32,55,46,56,50,49,54,57,101,45,48,55,32,52,46,56,57,54,50,
      54,101,45,48,55,32,50,46,53,55,50,53,101,45,48,55,32,49,46,51,55,52,50,52,101,
      45,48,55,32,54,46,50,56,51,54,56,101,45,48,56,10,32,32,50,46,56,55,54,53,57,
      101,45,48,56,32,49,46,49,50,55,53,53,101,45,48,56,32,53,46,50,49,56,57,57,101,
      45,48,57,32,50,46,49,48,56,56,49,101,45,48,56,32,56,46,50,48,53,56,54,101,45,
      48,57,32,52,46,50,50,55,57,101,45,48,57,32,50,46,48,49,55,51,51,101,45,48,57,
      10,32,32,55,46,53,50,55,49,51,101,45,49,48,32,51,46,49,56,48,57,50,101,45,49,
      48,32,49,46,51,52,53,55,52,101,45,49,48,32,53,46,48,52,49,50,52,101,45,49,49,
      32,49,46,56,57,48,51,49,101,45,49,49,32,56,46,48,49,56,49,49,101,45,49,50,32,
      51,46,52,48,51,55,50,101,45,49,50,10,32,32,49,46,52,51,48,49,55,101,45,49,50,
      32,53,46,51,55,55,56,49,101,45,49,51,32,49,46,55,57,49,50,51,101,45,49,51,32,
      53,46,50,56,52,49,50,101,45,49,52,32,49,46,55,54,49,49,50,101,45,49,52,32,53,
      46,49,57,57,55,56,101,45,49,53,32,49,46,55,51,53,57,55,101,45,49,53,10,32,32,
      53,46,55,57,57,55,51,101,45,49,54,32,49,46,55,49,54,55,56,101,45,49,54,32,52,
      46,54,53,57,51,57,101,45,49,55,32,49,46,55,48,50,53,56,101,45,49,55,32,53,46,
      51,49,51,48,54,101,45,49,56,32,49,46,57,48,56,49,53,101,45,49,56,32,54,46,51,
      57,51,50,55,101,45,49,57,10,32,32,50,46,49,52,51,48,57,101,45,49,57,32,55,46,
      49,56,55,48,56,101,45,50,48,32,50,46,50,51,51,51,54,101,45,50,48,32,55,46,52,
      55,57,57,57,101,45,50,49,32,50,46,53,48,54,49,56,101,45,50,49,32,48,114,53,
      49,32,49,46,50,57,53,49,50,101,45,48,55,32,49,46,55,50,54,55,101,45,48,55,10,
      32,32,50,46,51,48,50,51,54,101,45,48,55,32,51,46,48,54,57,55,55,101,45,48,55,
      32,52,46,48,57,51,48,51,101,45,48,55,32,53,46,52,53,55,52,49,101,45,48,55,32,
      55,46,50,55,54,54,52,101,45,48,55,32,57,46,55,48,50,49,53,101,45,48,55,32,49,
      46,50,57,51,53,56,101,45,48,54,10,32,32,49,46,55,50,52,55,55,101,45,48,54,32,
      50,46,50,57,57,55,56,101,45,48,54,32,51,46,48,54,54,50,56,101,45,48,54,32,52,
      46,48,56,56,52,57,101,45,48,54,32,53,46,52,53,49,50,56,101,45,48,54,32,55,46,
      50,54,56,50,101,45,48,54,32,57,46,54,57,48,55,52,101,45,48,54,10,32,32,49,46,
      50,57,50,48,54,101,45,48,53,32,49,46,57,51,55,57,53,101,45,48,53,32,51,46,50,
      50,57,52,49,101,45,48,53,32,52,46,53,50,48,52,49,101,45,48,53,32,54,46,52,53,
      54,48,53,101,45,48,53,32,57,46,48,51,53,50,55,101,45,48,53,32,46,48,48,48,49,
      50,57,48,48,54,10,32,32,46,48,48,48,49,57,51,51,51,53,32,46,48,48,48,51,50,
      49,54,52,32,46,48,48,48,52,52,57,52,55,53,32,46,48,48,48,54,52,48,51,52,55,
      32,46,48,48,48,56,57,51,49,57,53,32,46,48,48,49,50,54,56,57,52,32,46,48,48,
      49,53,55,56,56,50,32,46,48,48,49,56,56,53,55,55,10,32,32,46,48,48,50,52,57,
      48,56,55,32,46,48,48,51,48,56,52,50,56,32,46,48,48,51,54,54,54,48,53,32,46,
      48,48,51,57,53,50,53,57,32,46,48,48,52,50,51,54,50,52,32,46,48,48,52,53,49,
      55,48,50,32,46,48,48,52,55,57,52,57,51,32,46,48,48,53,48,54,57,57,56,10,32,
      32,46,48,48,53,51,52,50,49,57,32,46,48,48,53,54,49,49,53,54,32,46,48,48,53,
      56,55,56,49,32,46,48,48,54,49,52,49,56,51,32,46,48,48,54,52,48,50,55,54,32,
      46,48,48,54,55,49,50,49,56,32,46,48,48,55,48,49,55,54,51,32,46,48,48,55,52,
      49,56,54,55,32,46,48,48,55,56,49,50,55,49,10,32,32,46,48,48,56,49,57,57,55,
      57,32,46,48,48,56,54,55,51,57,50,32,46,48,48,57,49,51,55,51,53,32,46,48,48,
      57,53,57,48,50,50,32,46,48,49,48,49,49,57,57,32,46,48,49,48,54,51,52,54,32,
      46,48,49,49,50,57,56,50,32,46,48,49,49,57,51,54,50,32,46,48,49,50,53,52,57,
      49,10,32,32,46,48,49,51,50,48,57,51,32,46,48,49,51,57,48,55,52,32,46,48,49,
      52,54,51,51,32,46,48,49,53,51,55,54,32,46,48,49,54,49,50,53,53,32,46,48,49,
      54,57,50,49,55,32,46,48,49,55,54,52,55,53,32,46,48,49,56,51,56,57,52,32,46,
      48,49,57,50,50,57,57,32,46,48,49,57,57,56,50,49,10,32,32,46,48,50,48,52,54,
      56,50,32,46,48,50,48,57,55,52,51,32,46,48,50,49,52,54,48,57,32,46,48,50,49,
      56,51,53,56,32,46,48,50,50,48,56,54,51,32,46,48,50,50,50,48,53,51,32,46,48,
      50,50,49,56,54,55,32,46,48,50,50,48,52,52,52,32,46,48,50,49,55,50,57,56,10,
      32,32,46,48,50,49,49,49,48,54,32,46,48,50,48,51,52,56,50,32,46,48,49,57,52,
      54,48,49,32,46,48,49,56,54,55,50,51,32,46,48,49,55,55,57,54,49,32,46,48,49,
      54,53,53,51,54,32,46,48,49,53,51,48,55,57,32,46,48,49,52,48,56,57,57,32,46,
      48,49,51,48,53,55,50,10,32,32,46,48,49,49,54,52,57,50,32,46,48,49,48,51,50,
      53,51,32,46,48,48,57,48,56,48,56,32,46,48,48,56,48,50,51,52,32,46,48,48,55,
      48,52,50,51,54,32,46,48,48,54,49,54,50,53,57,32,46,48,48,53,50,56,51,52,56,
      32,46,48,48,52,53,54,50,55,51,32,46,48,48,52,48,56,54,54,51,10,32,32,46,48,
      48,51,51,48,49,57,55,32,46,48,48,50,54,56,51,51,53,32,46,48,48,50,49,57,56,
      48,53,32,46,48,48,49,55,53,57,55,53,32,46,48,48,49,52,51,51,54,54,32,46,48,
      48,49,49,52,51,55,50,32,46,48,48,48,57,49,55,55,54,32,46,48,48,48,55,52,50,
      48,57,54,10,32,32,46,48,48,48,54,48,53,55,49,32,46,48,48,48,52,56,51,51,55,
      53,32,46,48,48,48,52,48,57,57,49,50,32,46,48,48,48,51,52,55,56,51,50,32,46,
      48,48,48,50,54,53,54,53,53,32,46,48,48,48,50,50,53,50,57,49,32,46,48,48,48,
      49,55,51,56,54,54,32,46,48,48,48,49,51,50,50,50,49,10,32,32,46,48,48,48,49,
      49,50,50,49,53,32,57,46,53,49,57,56,101,45,48,53,32,55,46,51,51,57,54,53,101,
      45,48,53,32,53,46,53,48,56,55,56,101,45,48,53,32,52,46,54,57,55,53,57,101,45,
      48,53,32,51,46,54,51,50,55,49,101,45,48,53,32,51,46,49,48,53,57,101,45,48,53,
      10,32,32,50,46,52,48,56,52,54,101,45,48,53,32,49,46,57,53,57,49,54,101,45,48,
      53,32,49,46,52,52,54,57,49,101,45,48,53,32,49,46,50,55,54,53,53,101,45,48,53,
      32,49,46,48,48,51,51,101,45,48,53,32,55,46,54,56,57,54,53,101,45,48,54,32,54,
      46,49,54,49,56,57,101,45,48,54,10,32,32,52,46,57,51,56,52,50,101,45,48,54,32,
      52,46,48,49,53,49,54,101,45,48,54,32,51,46,50,55,53,50,54,101,45,48,54,32,50,
      46,54,49,51,54,55,101,45,48,54,32,50,46,49,51,57,51,49,101,45,48,54,32,49,46,
      55,49,53,55,52,101,45,48,54,32,49,46,52,53,56,55,56,101,45,48,54,10,32,32,49,
      46,49,49,57,55,56,101,45,48,54,32,57,46,53,50,50,53,52,101,45,48,55,32,55,46,
      55,56,54,51,51,101,45,48,55,32,52,46,56,55,53,48,57,101,45,48,55,32,50,46,53,
      54,50,101,45,48,55,32,49,46,51,54,56,57,50,101,45,48,55,32,54,46,50,54,48,56,
      49,101,45,48,56,10,32,32,50,46,56,54,54,55,52,101,45,48,56,32,49,46,49,50,51,
      57,51,101,45,48,56,32,53,46,50,48,54,51,51,101,45,48,57,32,50,46,48,55,54,56,
      52,101,45,48,56,32,56,46,48,56,50,53,54,101,45,48,57,32,52,46,49,54,52,54,54,
      101,45,48,57,32,49,46,57,56,55,51,49,101,45,48,57,10,32,32,55,46,52,50,49,49,
      101,45,49,48,32,51,46,49,51,54,51,49,101,45,49,48,32,49,46,51,50,54,57,53,101,
      45,49,48,32,52,46,57,55,49,49,55,101,45,49,49,32,49,46,56,54,52,54,49,101,45,
      49,49,32,55,46,57,49,49,57,51,101,45,49,50,32,51,46,51,53,56,55,57,101,45,49,
      50,10,32,32,49,46,52,49,49,52,51,101,45,49,50,32,53,46,51,48,55,54,49,101,45,
      49,51,32,49,46,55,54,55,57,53,101,45,49,51,32,53,46,50,49,55,54,56,101,45,49,
      52,32,49,46,55,52,49,51,101,45,49,52,32,53,46,49,52,49,52,50,101,45,49,53,32,
      49,46,55,49,54,53,51,101,45,49,53,10,32,32,53,46,55,51,52,57,52,101,45,49,54,
      32,49,46,54,57,55,54,54,101,45,49,54,32,52,46,54,48,55,55,101,45,49,55,32,49,
      46,54,56,51,55,52,101,45,49,55,32,53,46,50,53,53,50,54,101,45,49,56,32,49,46,
      56,56,56,54,51,101,45,49,56,32,54,46,51,51,48,50,54,101,45,49,57,10,32,32,50,
      46,49,50,50,48,50,101,45,49,57,32,55,46,49,49,54,53,57,101,45,50,48,32,50,46,
      50,48,55,48,49,101,45,50,48,32,55,46,51,57,49,52,57,101,45,50,49,32,50,46,52,
      55,54,52,52,101,45,50,49,32,48,114,53,49,32,49,46,49,55,53,51,57,101,45,48,
      55,32,49,46,53,54,55,48,54,101,45,48,55,10,32,32,50,46,48,56,57,53,101,45,48,
      55,32,50,46,55,56,53,57,54,101,45,48,55,32,51,46,55,49,52,54,50,101,45,48,55,
      32,52,46,57,53,50,56,54,101,45,48,55,32,54,46,54,48,51,57,101,45,48,55,32,56,
      46,56,48,53,49,55,101,45,48,55,32,49,46,49,55,51,57,56,101,45,48,54,10,32,32,
      49,46,53,54,53,51,49,101,45,48,54,32,50,46,48,56,55,49,54,101,45,48,54,32,50,
      46,55,56,50,56,101,45,48,54,32,51,46,55,49,48,53,49,101,45,48,54,32,52,46,57,
      52,55,51,50,101,45,48,54,32,54,46,53,57,54,50,56,101,45,48,54,32,56,46,55,57,
      52,57,101,45,48,54,10,32,32,49,46,49,55,50,54,50,101,45,48,53,32,49,46,55,53,
      56,56,50,101,45,48,53,32,50,46,57,51,48,57,53,101,45,48,53,32,52,46,49,48,50,
      55,101,45,48,53,32,53,46,56,53,57,54,50,101,45,48,53,32,56,46,50,48,48,56,50,
      101,45,48,53,32,46,48,48,48,49,49,55,48,57,55,10,32,32,46,48,48,48,49,55,53,
      53,48,49,32,46,48,48,48,50,57,50,48,49,55,32,46,48,48,48,52,48,56,49,52,50,
      32,46,48,48,48,53,56,49,53,57,54,32,46,48,48,48,56,49,49,52,57,54,32,46,48,
      48,49,49,53,51,52,32,46,48,48,49,52,51,53,54,50,32,46,48,48,49,55,49,53,51,
      55,10,32,32,46,48,48,50,50,54,55,53,32,46,48,48,50,56,48,57,55,56,32,46,48,
      48,51,51,52,50,50,51,32,46,48,48,51,54,48,52,55,56,32,46,48,48,51,56,54,52,
      56,55,32,46,48,48,52,49,50,50,53,50,32,46,48,48,52,51,55,55,55,51,32,46,48,
      48,52,54,51,48,53,32,46,48,48,52,56,56,48,56,52,10,32,32,46,48,48,53,49,50,
      56,55,53,32,46,48,48,53,51,55,52,50,52,32,46,48,48,53,54,49,55,51,50,32,46,
      48,48,53,56,53,55,57,57,32,46,48,48,54,49,52,51,54,51,32,46,48,48,54,52,50,
      53,56,50,32,46,48,48,54,55,57,54,55,52,32,46,48,48,55,49,54,49,53,57,10,32,
      32,46,48,48,55,53,50,48,52,50,32,46,48,48,55,57,54,48,53,49,32,46,48,48,56,
      51,57,49,51,32,46,48,48,56,56,49,50,56,54,32,46,48,48,57,51,48,54,54,56,32,
      46,48,48,57,55,56,55,52,56,32,46,48,49,48,52,48,56,53,32,46,48,49,49,48,48,
      55,32,46,48,49,49,53,56,51,51,10,32,32,46,48,49,50,50,48,53,54,32,46,48,49,
      50,56,54,53,52,32,46,48,49,51,53,53,51,53,32,46,48,49,52,50,54,48,53,32,46,
      48,49,52,57,55,54,54,32,46,48,49,53,55,52,48,55,32,46,48,49,54,52,52,48,57,
      32,46,48,49,55,49,54,48,55,32,46,48,49,55,57,56,50,49,10,32,32,46,48,49,56,
      55,50,52,56,32,46,48,49,57,50,48,57,53,32,46,48,49,57,55,50,48,55,32,46,48,
      50,48,50,50,49,49,32,46,48,50,48,54,49,56,54,32,46,48,50,48,57,48,48,50,32,
      46,48,50,49,48,53,57,52,32,46,48,50,49,48,56,51,57,32,46,48,50,48,57,57,48,
      50,10,32,32,46,48,50,48,55,51,55,32,46,48,50,48,50,48,49,50,32,46,48,49,57,
      53,49,55,56,32,46,48,49,56,55,48,54,57,32,46,48,49,55,57,55,56,56,32,46,48,
      49,55,49,54,50,55,32,46,48,49,53,57,57,55,32,46,48,49,52,56,50,48,51,32,46,
      48,49,51,54,54,51,55,32,46,48,49,50,54,55,57,49,10,32,32,46,48,49,49,51,51,
      49,56,32,46,48,49,48,48,54,32,46,48,48,56,56,54,48,54,49,32,46,48,48,55,56,
      51,56,55,57,32,46,48,48,54,56,56,56,53,54,32,46,48,48,54,48,51,52,56,50,32,
      46,48,48,53,49,56,48,48,49,32,46,48,48,52,52,55,55,56,56,32,46,48,48,52,48,
      49,51,52,52,10,32,32,46,48,48,51,50,52,54,56,53,32,46,48,48,50,54,52,49,51,
      55,32,46,48,48,50,49,54,53,54,53,32,46,48,48,49,55,51,53,52,50,32,46,48,48,
      49,52,49,52,57,51,32,46,48,48,49,49,50,57,54,51,32,46,48,48,48,57,48,55,48,
      55,50,32,46,48,48,48,55,51,51,56,56,54,10,32,32,46,48,48,48,53,57,57,51,49,
      56,32,46,48,48,48,52,55,56,53,50,54,32,46,48,48,48,52,48,53,57,52,50,32,46,
      48,48,48,51,52,52,53,55,54,32,46,48,48,48,50,54,51,51,48,49,32,46,48,48,48,
      50,50,51,51,53,56,32,46,48,48,48,49,55,50,52,52,54,32,46,48,48,48,49,51,49,
      49,57,51,10,32,32,46,48,48,48,49,49,49,51,54,55,32,57,46,52,52,57,56,101,45,
      48,53,32,55,46,50,56,55,57,51,101,45,48,53,32,53,46,52,55,49,54,56,101,45,48,
      53,32,52,46,54,54,54,55,49,101,45,48,53,32,51,46,54,48,57,55,49,101,45,48,53,
      32,51,46,48,56,54,54,54,101,45,48,53,10,32,32,50,46,51,57,52,48,54,101,45,48,
      53,32,49,46,57,52,55,55,56,101,45,48,53,32,49,46,52,51,56,56,53,101,45,48,53,
      32,49,46,50,54,57,53,53,101,45,48,53,32,57,46,57,55,57,54,101,45,48,54,32,55,
      46,54,53,48,48,51,101,45,48,54,32,54,46,49,51,48,57,53,101,45,48,54,10,32,32,
      52,46,57,49,52,50,53,101,45,48,54,32,51,46,57,57,53,57,54,101,45,48,54,32,51,
      46,50,53,57,57,52,101,45,48,54,32,50,46,54,48,49,55,52,101,45,48,54,32,50,46,
      49,50,57,55,53,101,45,48,54,32,49,46,55,48,56,50,52,101,45,48,54,32,49,46,52,
      53,50,53,50,101,45,48,54,10,32,32,49,46,49,49,53,49,101,45,48,54,32,57,46,52,
      56,51,51,55,101,45,48,55,32,55,46,55,53,52,57,51,101,45,48,55,32,52,46,56,53,
      54,50,52,101,45,48,55,32,50,46,53,53,50,54,51,101,45,48,55,32,49,46,51,54,52,
      49,56,101,45,48,55,32,54,46,50,52,48,52,101,45,48,56,10,32,32,50,46,56,53,55,
      57,49,101,45,48,56,32,49,46,49,50,48,54,57,101,45,48,56,32,53,46,49,57,52,57,
      49,101,45,48,57,32,50,46,48,52,56,57,51,101,45,48,56,32,55,46,57,55,54,51,50,
      101,45,48,57,32,52,46,49,49,48,49,55,101,45,48,57,32,49,46,57,54,49,52,52,101,
      45,48,57,10,32,32,55,46,51,50,53,54,56,101,45,49,48,32,51,46,48,57,55,57,49,
      101,45,49,48,32,49,46,51,49,48,55,55,101,45,49,48,32,52,46,57,49,48,56,54,101,
      45,49,49,32,49,46,56,52,50,48,57,101,45,49,49,32,55,46,56,49,55,56,50,101,45,
      49,50,32,51,46,51,50,48,49,54,101,45,49,50,10,32,32,49,46,51,57,53,51,50,101,
      45,49,50,32,53,46,50,52,55,50,53,101,45,49,51,32,49,46,55,52,55,57,50,101,45,
      49,51,32,53,46,49,53,56,56,56,101,45,49,52,32,49,46,55,50,49,56,50,101,45,49,
      52,32,53,46,48,57,49,51,55,101,45,49,53,32,49,46,54,57,57,56,53,101,45,49,53,
      10,32,32,53,46,54,55,57,52,101,45,49,54,32,49,46,54,56,49,50,56,101,45,49,54,
      32,52,46,53,54,51,51,56,101,45,49,55,32,49,46,54,54,55,53,56,101,45,49,55,32,
      53,46,50,48,52,57,51,101,45,49,56,32,49,46,56,55,48,53,54,101,45,49,56,32,54,
      46,50,55,49,57,52,101,45,49,57,10,32,32,50,46,49,48,51,57,52,101,45,49,57,32,
      55,46,48,53,54,51,50,101,45,50,48,32,50,46,49,56,52,51,57,101,45,50,48,32,55,
      46,51,49,53,53,51,101,45,50,49,32,50,46,52,53,48,57,50,101,45,50,49,32,48,114,
      53,49,32,49,46,48,53,52,50,51,101,45,48,55,32,49,46,52,48,53,53,51,101,45,48,
      55,10,32,32,49,46,56,55,52,49,49,101,45,48,55,32,50,46,52,57,56,55,57,101,45,
      48,55,32,51,46,51,51,49,55,49,101,45,48,55,32,52,46,52,52,50,51,50,101,45,48,
      55,32,53,46,57,50,51,49,55,101,45,48,55,32,55,46,56,57,55,53,51,101,45,48,55,
      32,49,46,48,53,50,57,55,101,45,48,54,10,32,32,49,46,52,48,51,57,54,101,45,48,
      54,32,49,46,56,55,50,48,50,101,45,48,54,32,50,46,52,57,53,57,53,101,45,48,54,
      32,51,46,51,50,56,48,51,101,45,48,54,32,52,46,52,51,55,51,52,101,45,48,54,32,
      53,46,57,49,54,51,50,101,45,48,54,32,55,46,56,56,56,50,57,101,45,48,54,10,32,
      32,49,46,48,53,49,55,52,101,45,48,53,32,49,46,53,55,55,53,49,101,45,48,53,32,
      50,46,54,50,56,56,49,101,45,48,53,32,51,46,54,55,57,55,55,101,45,48,53,32,53,
      46,50,53,53,53,55,101,45,48,53,32,55,46,51,53,53,52,54,101,45,48,53,32,46,48,
      48,48,49,48,53,48,50,55,10,32,32,46,48,48,48,49,53,55,52,49,52,32,46,48,48,
      48,50,54,49,57,51,53,32,46,48,48,48,51,54,54,49,49,57,32,46,48,48,48,53,50,
      49,55,54,57,32,46,48,48,48,55,50,56,49,51,54,32,46,48,48,49,48,51,53,50,32,
      46,48,48,49,50,56,56,56,50,32,46,48,48,49,53,52,48,51,56,10,32,32,46,48,48,
      50,48,51,55,51,51,32,46,48,48,50,53,50,54,49,32,46,48,48,51,48,48,54,54,56,
      32,46,48,48,51,50,52,51,57,50,32,46,48,48,51,52,55,57,49,49,32,46,48,48,51,
      55,49,50,50,56,32,46,48,48,51,57,52,51,52,32,46,48,48,52,49,55,50,53,32,46,
      48,48,52,51,57,57,53,55,10,32,32,46,48,48,52,54,50,52,54,49,32,46,48,48,52,
      56,52,55,54,51,32,46,48,48,53,48,54,56,54,51,32,46,48,48,53,50,56,55,54,49,
      32,46,48,48,53,53,52,55,55,51,32,46,48,48,53,56,48,52,57,54,32,46,48,48,54,
      49,52,51,52,53,32,46,48,48,54,52,55,54,56,50,10,32,32,46,48,48,54,56,48,53,
      48,56,32,46,48,48,55,50,48,56,50,57,32,46,48,48,55,54,48,51,54,32,46,48,48,
      55,57,57,49,48,54,32,46,48,48,56,52,52,53,55,50,32,46,48,48,56,56,56,57,50,
      51,32,46,48,48,57,52,54,51,52,32,46,48,49,48,48,49,56,49,32,46,48,49,48,53,
      53,51,55,10,32,32,46,48,49,49,49,51,51,55,32,46,48,49,49,55,53,48,52,32,46,
      48,49,50,51,57,54,32,46,48,49,51,48,54,49,56,32,46,48,49,51,55,51,57,32,46,
      48,49,52,52,54,53,52,32,46,48,49,53,49,51,52,53,32,46,48,49,53,56,50,54,56,
      32,46,48,49,54,54,50,51,52,32,46,48,49,55,51,53,49,49,10,32,32,46,48,49,55,
      56,51,49,51,32,46,48,49,56,51,52,51,54,32,46,48,49,56,56,53,53,51,32,46,48,
      49,57,50,55,51,53,32,46,48,49,57,53,56,53,54,32,46,48,49,57,55,56,53,54,32,
      46,48,49,57,56,53,53,49,32,46,48,49,57,56,49,50,56,32,46,48,49,57,54,50,53,
      10,32,32,46,48,49,57,49,55,57,52,32,46,48,49,56,53,56,51,32,46,48,49,55,56,
      53,55,55,32,46,48,49,55,49,57,54,51,32,46,48,49,54,52,52,55,32,46,48,49,53,
      51,54,55,51,32,46,48,49,52,50,54,56,51,32,46,48,49,51,49,56,48,57,32,46,48,
      49,50,50,53,48,53,32,46,48,49,48,57,55,49,53,10,32,32,46,48,48,57,55,53,56,
      54,55,32,46,48,48,56,54,49,48,51,55,32,46,48,48,55,54,50,56,57,50,32,46,48,
      48,54,55,49,51,55,32,46,48,48,53,56,56,57,50,57,32,46,48,48,53,48,54,50,48,
      51,32,46,48,48,52,51,56,49,48,55,32,46,48,48,51,57,50,57,56,54,32,46,48,48,
      51,49,56,51,55,57,10,32,32,46,48,48,50,53,57,51,50,57,32,46,48,48,50,49,50,
      56,53,49,32,46,48,48,49,55,48,55,52,56,32,46,48,48,49,51,57,51,51,57,32,46,
      48,48,49,49,49,51,52,50,32,46,48,48,48,56,57,52,55,53,54,32,46,48,48,48,55,
      50,52,52,49,57,32,46,48,48,48,53,57,49,57,52,50,10,32,32,46,48,48,48,52,55,
      50,57,50,52,32,46,48,48,48,52,48,49,51,53,54,32,46,48,48,48,51,52,48,56,49,
      53,32,46,48,48,48,50,54,48,53,55,56,32,46,48,48,48,50,50,49,49,50,32,46,48,
      48,48,49,55,48,55,57,57,32,46,48,48,48,49,51,32,46,48,48,48,49,49,48,51,56,
      51,10,32,32,57,46,51,54,56,54,51,101,45,48,53,32,55,46,50,50,55,57,50,101,45,
      48,53,32,53,46,52,50,56,53,57,101,45,48,53,32,52,46,54,51,48,56,52,101,45,48,
      53,32,51,46,53,56,51,101,45,48,53,32,51,46,48,54,52,51,52,101,45,48,53,32,50,
      46,51,55,55,51,52,101,45,48,53,10,32,32,49,46,57,51,52,53,53,101,45,48,53,32,
      49,46,52,50,57,52,53,101,45,48,53,32,49,46,50,54,49,51,57,101,45,48,53,32,57,
      46,57,49,55,52,101,45,48,54,32,55,46,54,48,51,57,49,101,45,48,54,32,54,46,48,
      57,52,57,55,101,45,48,54,32,52,46,56,56,54,49,52,101,45,48,54,10,32,32,51,46,
      57,55,51,54,50,101,45,48,54,32,51,46,50,52,50,49,50,101,45,48,54,32,50,46,53,
      56,55,56,53,101,45,48,54,32,50,46,49,49,56,54,50,101,45,48,54,32,49,46,54,57,
      57,53,50,101,45,48,54,32,49,46,52,52,53,50,50,101,45,48,54,32,49,46,49,48,57,
      54,52,101,45,48,54,10,32,32,57,46,52,51,55,54,55,101,45,48,55,32,55,46,55,49,
      56,50,55,101,45,48,55,32,52,46,56,51,52,50,57,101,45,48,55,32,50,46,53,52,49,
      55,51,101,45,48,55,32,49,46,51,53,56,54,53,101,45,48,55,32,54,46,50,49,54,54,
      51,101,45,48,56,32,50,46,56,52,55,54,53,101,45,48,56,10,32,32,49,46,49,49,54,
      57,50,101,45,48,56,32,53,46,49,56,49,53,56,101,45,48,57,32,50,46,48,49,55,53,
      49,101,45,48,56,32,55,46,56,53,53,53,51,101,45,48,57,32,52,46,48,52,56,56,54,
      101,45,48,57,32,49,46,57,51,50,51,51,101,45,48,57,32,55,46,50,49,55,54,54,101,
      45,49,48,10,32,32,51,46,48,53,51,101,45,49,48,32,49,46,50,57,50,53,56,101,45,
      49,48,32,52,46,56,52,51,48,54,101,45,49,49,32,49,46,56,49,54,55,56,101,45,49,
      49,32,55,46,55,49,48,56,51,101,45,49,50,32,51,46,50,55,53,50,101,45,49,50,32,
      49,46,51,55,55,49,55,101,45,49,50,10,32,32,53,46,49,55,57,52,54,101,45,49,51,
      32,49,46,55,50,53,52,52,101,45,49,51,32,53,46,48,57,50,56,53,101,45,49,52,32,
      49,46,54,57,57,56,54,101,45,49,52,32,53,46,48,50,54,56,52,101,45,49,53,32,49,
      46,54,56,48,53,54,101,45,49,53,32,53,46,54,49,55,50,51,101,45,49,54,10,32,32,
      49,46,54,54,50,57,51,101,45,49,54,32,52,46,53,49,51,55,49,101,45,49,55,32,49,
      46,54,52,57,52,56,101,45,49,55,32,53,46,49,52,56,53,57,101,45,49,56,32,49,46,
      56,53,48,51,52,101,45,49,56,32,54,46,50,48,52,51,53,101,45,49,57,32,50,46,48,
      56,49,51,52,101,45,49,57,10,32,32,54,46,57,56,53,48,57,101,45,50,48,32,50,46,
      49,53,57,48,52,101,45,50,48,32,55,46,50,51,48,51,56,101,45,50,49,32,50,46,52,
      50,50,51,50,101,45,50,49,32,48,114,53,49,32,57,46,51,56,57,48,50,101,45,48,
      56,32,49,46,50,53,49,55,56,101,45,48,55,32,49,46,54,54,57,49,101,45,48,55,10,
      32,32,50,46,50,50,53,52,51,101,45,48,55,32,50,46,57,54,55,50,53,101,45,48,55,
      32,51,46,57,53,54,51,55,101,45,48,55,32,53,46,50,55,53,50,51,101,45,48,55,32,
      55,46,48,51,51,54,50,101,45,48,55,32,57,46,51,55,55,56,54,101,45,48,55,32,49,
      46,50,53,48,51,56,101,45,48,54,10,32,32,49,46,54,54,55,50,53,101,45,48,54,32,
      50,46,50,50,50,57,51,101,45,48,54,32,50,46,57,54,52,48,49,101,45,48,54,32,51,
      46,57,53,50,48,49,101,45,48,54,32,53,46,50,54,57,50,55,101,45,48,54,32,55,46,
      48,50,53,54,51,101,45,48,54,32,57,46,51,54,55,51,54,101,45,48,54,10,32,32,49,
      46,52,48,53,48,53,101,45,48,53,32,50,46,51,52,49,53,49,101,45,48,53,32,51,46,
      50,55,55,55,54,101,45,48,53,32,52,46,54,56,49,55,101,45,48,53,32,54,46,53,53,
      50,56,50,101,45,48,53,32,57,46,51,53,55,55,54,101,45,48,53,32,46,48,48,48,49,
      52,48,50,55,57,10,32,32,46,48,48,48,50,51,51,53,48,53,32,46,48,48,48,51,50,
      54,52,56,57,32,46,48,48,48,52,54,53,53,48,55,32,46,48,48,48,54,53,48,48,48,
      50,32,46,48,48,48,57,50,52,56,55,49,32,46,48,48,49,49,53,50,49,57,32,46,48,
      48,49,51,55,55,57,49,32,46,48,48,49,56,50,52,53,50,10,32,32,46,48,48,50,50,
      54,52,54,32,46,48,48,50,54,57,56,48,57,32,46,48,48,50,57,49,50,51,53,32,46,
      48,48,51,49,50,52,57,52,32,46,48,48,51,51,51,53,56,55,32,46,48,48,51,53,52,
      53,49,50,32,46,48,48,51,55,53,50,55,32,46,48,48,51,57,53,56,54,32,46,48,48,
      52,49,54,50,56,49,10,32,32,46,48,48,52,51,54,53,51,53,32,46,48,48,52,53,54,
      54,50,32,46,48,48,52,55,54,53,51,55,32,46,48,48,53,48,48,50,49,52,32,46,48,
      48,53,50,51,54,53,32,46,48,48,53,53,52,53,49,56,32,46,48,48,53,56,52,57,53,
      55,32,46,48,48,54,49,52,57,54,53,32,46,48,48,54,53,49,56,55,10,32,32,46,48,
      48,54,56,56,49,48,54,32,46,48,48,55,50,51,54,55,52,32,46,48,48,55,54,53,52,
      55,55,32,46,48,48,56,48,54,51,50,56,32,46,48,48,56,53,57,51,50,49,32,46,48,
      48,57,49,48,54,52,53,32,46,48,48,57,54,48,51,49,50,32,46,48,49,48,49,52,50,
      51,32,46,48,49,48,55,49,55,53,10,32,32,46,48,49,49,51,50,49,52,32,46,48,49,
      49,57,52,54,54,32,46,48,49,50,53,56,53,49,32,46,48,49,51,50,55,51,49,32,46,
      48,49,51,57,49,48,52,32,46,48,49,52,53,55,51,52,32,46,48,49,53,51,52,50,51,
      32,46,48,49,54,48,53,49,53,32,46,48,49,54,53,50,52,50,10,32,32,46,48,49,55,
      48,51,52,50,32,46,48,49,55,53,53,49,57,32,46,48,49,55,57,56,53,54,32,46,48,
      49,56,51,50,50,56,32,46,48,49,56,53,53,56,32,46,48,49,56,54,54,55,52,32,46,
      48,49,56,54,55,49,55,32,46,48,49,56,53,52,52,32,46,48,49,56,49,56,51,49,32,
      46,48,49,55,54,54,57,49,10,32,32,46,48,49,55,48,50,52,56,32,46,48,49,54,52,
      50,55,57,32,46,48,49,53,55,52,51,53,32,46,48,49,52,55,52,54,56,32,46,48,49,
      51,55,50,51,53,32,46,48,49,50,55,48,51,57,32,46,48,49,49,56,50,54,55,32,46,
      48,49,48,54,49,52,56,32,46,48,48,57,52,53,57,57,56,10,32,32,46,48,48,56,51,
      54,50,49,32,46,48,48,55,52,50,48,52,55,32,46,48,48,54,53,51,57,56,49,32,46,
      48,48,53,55,52,52,53,32,46,48,48,52,57,52,52,52,50,32,46,48,48,52,50,56,52,
      52,51,32,46,48,48,51,56,52,54,52,49,32,46,48,48,51,49,50,48,55,52,32,46,48,
      48,50,53,52,53,49,53,10,32,32,46,48,48,50,48,57,49,50,55,32,46,48,48,49,54,
      55,57,52,52,32,46,48,48,49,51,55,49,55,52,32,46,48,48,49,48,57,55,49,49,32,
      46,48,48,48,56,56,50,51,52,55,32,46,48,48,48,55,49,52,56,55,49,32,46,48,48,
      48,53,56,52,52,57,53,32,46,48,48,48,52,54,55,50,54,55,10,32,32,46,48,48,48,
      51,57,54,55,50,49,32,46,48,48,48,51,51,55,48,49,49,32,46,48,48,48,50,53,55,
      56,50,50,32,46,48,48,48,50,49,56,56,53,53,32,46,48,48,48,49,54,57,49,51,50,
      32,46,48,48,48,49,50,56,55,57,50,32,46,48,48,48,49,48,57,51,56,53,32,57,46,
      50,56,54,50,56,101,45,48,53,10,32,32,55,46,49,54,55,48,53,101,45,48,53,32,53,
      46,51,56,52,56,57,101,45,48,53,32,52,46,53,57,52,52,53,101,45,48,53,32,51,46,
      53,53,53,56,56,101,45,48,53,32,51,46,48,52,49,54,54,101,45,48,53,32,50,46,51,
      54,48,51,54,101,45,48,53,32,49,46,57,50,49,49,49,101,45,48,53,10,32,32,49,46,
      52,49,57,57,49,101,45,48,53,32,49,46,50,53,51,49,101,45,48,53,32,57,46,56,53,
      52,49,50,101,45,48,54,32,55,46,53,53,54,57,101,45,48,54,32,54,46,48,53,56,50,
      52,101,45,48,54,32,52,46,56,53,55,52,52,101,45,48,54,32,51,46,57,53,48,56,51,
      101,45,48,54,10,32,32,51,46,50,50,51,57,52,101,45,48,54,32,50,46,53,55,51,55,
      101,45,48,54,32,50,46,49,48,55,50,55,101,45,48,54,32,49,46,54,57,48,54,50,101,
      45,48,54,32,49,46,52,51,55,55,55,101,45,48,54,32,49,46,49,48,52,48,55,101,45,
      48,54,32,57,46,51,57,49,48,50,101,45,48,55,10,32,32,55,46,54,56,48,56,52,101,
      45,48,55,32,52,46,56,49,49,56,51,101,45,48,55,32,50,46,53,51,48,53,57,101,45,
      48,55,32,49,46,51,53,51,101,45,48,55,32,54,46,49,57,50,51,52,101,45,48,56,32,
      50,46,56,51,55,49,53,101,45,48,56,32,49,46,49,49,51,48,56,101,45,48,56,10,32,
      32,53,46,49,54,55,57,53,101,45,48,57,32,49,46,57,56,54,54,101,45,48,56,32,55,
      46,55,51,54,49,49,101,45,48,57,32,51,46,57,56,55,56,53,101,45,48,57,32,49,46,
      57,48,51,55,101,45,48,57,32,55,46,49,49,49,52,52,101,45,49,48,32,51,46,48,48,
      56,51,50,101,45,49,48,10,32,32,49,46,50,55,51,57,54,101,45,49,48,32,52,46,55,
      55,54,52,54,101,45,49,49,32,49,46,55,57,49,57,49,101,45,49,49,32,55,46,54,48,
      53,55,52,101,45,49,50,32,51,46,50,51,48,55,52,101,45,49,50,32,49,46,51,53,56,
      54,50,101,45,49,50,32,53,46,49,49,50,51,52,101,45,49,51,10,32,32,49,46,55,48,
      51,51,56,101,45,49,51,32,53,46,48,50,56,48,52,101,45,49,52,32,49,46,54,55,56,
      51,49,101,45,49,52,32,52,46,57,54,51,52,101,45,49,53,32,49,46,54,53,57,52,53,
      101,45,49,53,32,53,46,53,53,49,57,52,101,45,49,54,32,49,46,54,52,52,57,56,101,
      45,49,54,10,32,32,52,46,52,54,53,49,52,101,45,49,55,32,49,46,54,51,49,55,56,
      101,45,49,55,32,53,46,48,57,51,53,101,45,49,56,32,49,46,56,51,48,53,55,101,
      45,49,56,32,54,46,49,51,56,50,49,101,45,49,57,32,50,46,48,53,57,49,57,101,45,
      49,57,32,54,46,57,49,48,56,55,101,45,50,48,10,32,32,50,46,51,50,48,50,56,101,
      45,50,48,32,55,46,49,52,51,54,53,101,45,50,49,32,50,46,51,57,52,51,101,45,50,
      49,32,48,114,53,49,32,56,46,51,50,52,50,50,101,45,48,56,32,49,46,49,48,57,56,
      49,101,45,48,55,32,49,46,52,55,57,56,49,101,45,48,55,32,49,46,57,55,51,48,53,
      101,45,48,55,10,32,32,50,46,54,51,48,55,52,101,45,48,55,32,51,46,53,48,55,54,
      56,101,45,48,55,32,52,46,54,55,54,57,54,101,45,48,55,32,54,46,50,51,53,57,51,
      101,45,48,55,32,56,46,51,49,52,51,49,101,45,48,55,32,49,46,49,48,56,53,56,101,
      45,48,54,32,49,46,52,55,56,49,54,101,45,48,54,10,32,32,49,46,57,55,48,56,51,
      101,45,48,54,32,50,46,54,50,55,56,53,101,45,48,54,32,51,46,53,48,51,55,57,101,
      45,48,54,32,52,46,54,55,49,54,52,101,45,48,54,32,54,46,50,50,56,55,56,101,45,
      48,54,32,56,46,51,48,52,56,56,101,45,48,54,32,49,46,50,52,53,54,55,101,45,48,
      53,10,32,32,50,46,48,55,53,56,57,101,45,48,53,32,50,46,57,48,53,57,101,45,48,
      53,32,52,46,49,53,48,53,49,101,45,48,53,32,53,46,56,48,57,50,52,101,45,48,53,
      32,56,46,50,57,53,55,49,101,45,48,53,32,46,48,48,48,49,50,52,51,53,53,32,46,
      48,48,48,50,48,54,57,57,49,10,32,32,46,48,48,48,50,56,57,52,49,50,32,46,48,
      48,48,52,49,50,54,52,49,32,46,48,48,48,53,55,54,49,57,55,32,46,48,48,48,56,
      49,57,57,50,53,32,46,48,48,49,48,50,49,53,54,32,46,48,48,49,50,50,49,56,53,
      32,46,48,48,49,54,49,56,52,49,32,46,48,48,50,48,48,57,53,56,10,32,32,46,48,
      48,50,51,57,53,51,52,32,46,48,48,50,53,56,54,49,56,32,46,48,48,50,55,55,53,
      54,55,32,46,48,48,50,57,54,51,55,57,32,46,48,48,51,49,53,48,53,53,32,46,48,
      48,51,51,51,53,57,53,32,46,48,48,51,53,49,57,57,55,32,46,48,48,51,55,48,50,
      54,51,10,32,32,46,48,48,51,56,56,51,57,50,32,46,48,48,52,48,54,51,56,51,32,
      46,48,48,52,50,52,50,51,55,32,46,48,48,52,52,53,52,56,32,46,48,48,52,54,54,
      53,50,53,32,46,48,48,52,57,52,50,55,54,32,46,48,48,53,50,49,54,55,52,32,46,
      48,48,53,52,56,55,49,57,32,46,48,48,53,56,50,48,50,56,10,32,32,46,48,48,54,
      49,52,55,56,55,32,46,48,48,54,52,54,57,57,52,32,46,48,48,54,56,52,57,49,53,
      32,46,48,48,55,50,50,48,52,53,32,46,48,48,55,55,48,51,50,52,32,46,48,48,56,
      49,55,50,48,54,32,46,48,48,56,54,50,54,57,56,32,46,48,48,57,49,50,50,50,55,
      10,32,32,46,48,48,57,54,53,50,50,56,32,46,48,49,48,50,49,48,57,32,46,48,49,
      48,55,57,49,52,32,46,48,49,49,51,56,55,32,46,48,49,50,48,51,50,32,46,48,49,
      50,54,51,50,56,32,46,48,49,51,50,54,49,56,32,46,48,49,51,57,57,55,32,46,48,
      49,52,54,56,50,51,32,46,48,49,53,49,52,51,55,10,32,32,46,48,49,53,54,52,55,
      49,32,46,48,49,54,49,54,54,52,32,46,48,49,54,54,49,50,51,32,46,48,49,54,57,
      55,49,50,32,46,48,49,55,50,51,57,53,32,46,48,49,55,51,56,55,55,32,46,48,49,
      55,52,51,56,51,32,46,48,49,55,51,55,50,32,46,48,49,55,48,57,56,50,10,32,32,
      46,48,49,54,54,55,48,53,32,46,48,49,54,49,49,50,54,32,46,48,49,53,53,56,51,
      55,32,46,48,49,52,57,54,57,52,32,46,48,49,52,48,54,50,55,32,46,48,49,51,49,
      50,49,52,32,46,48,49,50,49,55,53,55,32,46,48,49,49,51,53,54,57,32,46,48,49,
      48,50,49,56,56,10,32,32,46,48,48,57,49,50,55,56,52,32,46,48,48,56,48,56,53,
      54,50,32,46,48,48,55,49,56,56,48,52,32,46,48,48,54,51,52,53,54,57,32,46,48,
      48,53,53,56,50,54,52,32,46,48,48,52,56,49,50,56,52,32,46,48,48,52,49,55,54,
      49,53,32,46,48,48,51,55,53,50,55,53,10,32,32,46,48,48,51,48,52,57,57,32,46,
      48,48,50,52,57,48,57,55,32,46,48,48,50,48,52,57,51,32,46,48,48,49,54,52,55,
      55,57,32,46,48,48,49,51,52,55,50,56,32,46,48,48,49,48,55,56,54,54,32,46,48,
      48,48,56,54,56,50,56,57,32,46,48,48,48,55,48,52,48,52,50,10,32,32,46,48,48,
      48,53,55,54,48,52,54,32,46,48,48,48,52,54,48,56,51,56,32,46,48,48,48,51,57,
      49,52,53,49,32,46,48,48,48,51,51,50,54,56,52,32,46,48,48,48,50,53,52,54,56,
      53,32,46,48,48,48,50,49,54,50,55,52,32,46,48,48,48,49,54,55,50,51,49,32,46,
      48,48,48,49,50,55,52,49,51,10,32,32,46,48,48,48,49,48,56,50,52,55,32,57,46,
      49,57,50,50,101,45,48,53,32,55,46,48,57,55,52,50,101,45,48,53,32,53,46,51,51,
      52,56,57,101,45,48,53,32,52,46,53,53,50,56,101,45,48,53,32,51,46,53,50,52,56,
      54,101,45,48,53,32,51,46,48,49,53,55,49,101,45,48,53,10,32,32,50,46,51,52,48,
      57,51,101,45,48,53,32,49,46,57,48,53,55,51,101,45,48,53,32,49,46,52,48,56,57,
      56,101,45,48,53,32,49,46,50,52,51,54,49,101,45,48,53,32,57,46,55,56,49,55,101,
      45,48,54,32,55,46,53,48,51,49,52,101,45,48,54,32,54,46,48,49,54,50,53,101,45,
      48,54,10,32,32,52,46,56,50,52,54,49,101,45,48,54,32,51,46,57,50,52,55,52,101,
      45,48,54,32,51,46,50,48,51,49,50,101,45,48,54,32,50,46,53,53,55,52,55,101,45,
      48,54,32,50,46,48,57,52,50,55,101,45,48,54,32,49,46,54,56,48,52,51,101,45,48,
      54,32,49,46,52,50,57,50,53,101,45,48,54,10,32,32,49,46,48,57,55,54,57,101,45,
      48,54,32,57,46,51,51,55,54,53,101,45,48,55,32,55,46,54,51,56,48,49,101,45,48,
      55,32,52,46,55,56,54,49,50,101,45,48,55,32,50,46,53,49,55,56,101,45,48,55,32,
      49,46,51,52,54,53,49,101,45,48,55,32,54,46,49,54,52,52,56,101,45,48,56,10,32,
      32,50,46,56,50,53,49,50,101,45,48,56,32,49,46,49,48,56,54,53,101,45,48,56,32,
      53,46,49,53,50,49,55,101,45,48,57,32,49,46,57,53,50,50,56,101,45,48,56,32,55,
      46,54,48,52,48,55,101,45,48,57,32,51,46,57,50,48,49,53,101,45,48,57,32,49,46,
      56,55,49,54,55,101,45,48,57,10,32,32,54,46,57,57,52,48,53,101,45,49,48,32,50,
      46,57,53,56,57,53,101,45,49,48,32,49,46,50,53,51,49,55,101,45,49,48,32,52,46,
      54,57,57,57,57,101,45,49,49,32,49,46,55,54,52,52,55,101,45,49,49,32,55,46,52,
      56,57,55,52,101,45,49,50,32,51,46,49,56,49,54,55,101,45,49,50,10,32,32,49,46,
      51,51,56,49,52,101,45,49,50,32,53,46,48,51,53,54,55,101,45,49,51,32,49,46,54,
      55,56,55,101,45,49,51,32,52,46,57,53,54,53,52,101,45,49,52,32,49,46,54,53,52,
      53,53,101,45,49,52,32,52,46,56,57,51,52,57,101,45,49,53,32,49,46,54,51,54,49,
      55,101,45,49,53,10,32,32,53,46,52,55,52,51,56,101,45,49,54,32,49,46,54,50,51,
      48,55,101,45,49,54,32,52,46,52,49,49,56,101,45,49,55,32,49,46,54,49,50,51,52,
      101,45,49,55,32,53,46,48,51,51,48,50,101,45,49,56,32,49,46,56,48,56,56,54,101,
      45,49,56,32,54,46,48,54,53,52,57,101,45,49,57,10,32,32,50,46,48,51,52,56,101,
      45,49,57,32,54,46,56,50,57,49,52,101,45,50,48,32,50,46,50,57,50,57,50,101,45,
      50,48,32,55,46,48,52,49,51,53,101,45,50,49,32,50,46,51,54,48,53,50,101,45,50,
      49,32,48,114,53,49,32,55,46,51,52,56,56,51,101,45,48,56,32,57,46,55,57,55,55,
      49,101,45,48,56,10,32,32,49,46,51,48,54,52,49,101,45,48,55,32,49,46,55,52,49,
      56,54,101,45,48,55,32,50,46,51,50,50,52,56,101,45,48,55,32,51,46,48,57,54,54,
      54,101,45,48,55,32,52,46,49,50,56,57,52,101,45,48,55,32,53,46,53,48,53,50,51,
      101,45,48,55,32,55,46,51,52,48,48,55,101,45,48,55,10,32,32,57,46,55,56,54,55,
      55,101,45,48,55,32,49,46,51,48,52,57,53,101,45,48,54,32,49,46,55,51,57,56,57,
      101,45,48,54,32,50,46,51,49,57,57,50,101,45,48,54,32,51,46,48,57,51,50,50,101,
      45,48,54,32,52,46,49,50,52,50,49,101,45,48,54,32,53,46,52,57,56,56,56,101,45,
      48,54,10,32,32,55,46,51,51,49,54,57,101,45,48,54,32,49,46,48,57,57,55,101,45,
      48,53,32,49,46,56,51,50,54,50,101,45,48,53,32,50,46,53,54,53,51,53,101,45,48,
      53,32,51,46,54,54,52,48,57,101,45,48,53,32,53,46,49,50,56,52,49,101,45,48,53,
      32,55,46,51,50,51,53,101,45,48,53,10,32,32,46,48,48,48,49,48,57,55,56,50,32,
      46,48,48,48,49,56,50,55,52,32,46,48,48,48,50,53,53,53,49,54,32,46,48,48,48,
      51,54,52,51,52,53,32,46,48,48,48,53,48,56,56,51,49,32,46,48,48,48,55,50,52,
      50,52,55,32,46,48,48,48,57,48,50,53,54,56,32,46,48,48,49,48,55,57,56,49,10,
      32,32,46,48,48,49,52,51,49,48,54,32,46,48,48,49,55,55,56,48,50,32,46,48,48,
      50,49,50,48,54,56,32,46,48,48,50,50,57,48,51,57,32,46,48,48,50,52,53,57,48,
      50,32,46,48,48,50,54,50,54,53,55,32,46,48,48,50,55,57,51,48,51,32,46,48,48,
      50,57,53,56,52,49,10,32,32,46,48,48,51,49,50,50,54,57,32,46,48,48,51,50,56,
      53,56,56,32,46,48,48,51,52,52,55,57,55,32,46,48,48,51,54,48,56,57,55,32,46,
      48,48,51,55,54,56,56,54,32,46,48,48,51,57,53,57,50,55,32,46,48,48,52,49,52,
      56,48,57,32,46,48,48,52,51,57,55,51,53,10,32,32,46,48,48,52,54,52,51,55,55,
      32,46,48,48,52,56,56,55,51,50,32,46,48,48,53,49,56,55,55,50,32,46,48,48,53,
      52,56,51,54,50,32,46,48,48,53,55,55,53,48,49,32,46,48,48,54,49,49,56,55,50,
      32,46,48,48,54,52,53,53,57,32,46,48,48,54,56,57,53,51,50,32,46,48,48,55,51,
      50,51,49,50,10,32,32,46,48,48,55,55,51,57,51,49,32,46,48,48,56,49,57,51,54,
      57,32,46,48,48,56,54,56,49,52,50,32,46,48,48,57,49,57,55,50,49,32,46,48,48,
      57,55,51,53,51,51,32,46,48,49,48,50,56,57,55,32,46,48,49,48,56,57,50,57,32,
      46,48,49,49,52,53,55,56,32,46,48,49,50,48,53,50,55,10,32,32,46,48,49,50,55,
      53,51,50,32,46,48,49,51,52,49,50,50,32,46,48,49,51,56,54,48,49,32,46,48,49,
      52,51,53,51,54,32,46,48,49,52,56,55,32,46,48,49,53,51,50,50,52,32,46,48,49,
      53,54,57,55,55,32,46,48,49,53,57,57,50,52,32,46,48,49,54,49,55,51,50,32,46,
      48,49,54,50,54,51,57,10,32,32,46,48,49,54,50,53,49,56,32,46,48,49,54,48,53,
      54,55,32,46,48,49,53,55,48,56,32,46,48,49,53,50,51,32,46,48,49,52,55,54,53,
      53,32,46,48,49,52,50,49,54,57,32,46,48,49,51,51,57,54,50,32,46,48,49,50,53,
      51,51,50,32,46,48,49,49,54,53,56,52,32,46,48,49,48,56,57,53,57,10,32,32,46,
      48,48,57,56,50,57,51,54,32,46,48,48,56,56,48,48,54,32,46,48,48,55,56,49,50,
      54,50,32,46,48,48,54,57,53,56,49,57,32,46,48,48,54,49,53,51,52,50,32,46,48,
      48,53,52,50,50,49,32,46,48,48,52,54,56,50,49,50,32,46,48,48,52,48,54,56,52,
      55,32,46,48,48,51,54,53,57,53,54,10,32,32,46,48,48,50,57,55,57,50,32,46,48,
      48,50,52,51,54,56,52,32,46,48,48,50,48,48,55,51,32,46,48,48,49,54,49,54,48,
      53,32,46,48,48,49,51,50,50,55,50,32,46,48,48,49,48,54,48,49,49,32,46,48,48,
      48,56,53,52,49,52,57,32,46,48,48,48,54,57,51,49,51,52,10,32,32,46,48,48,48,
      53,54,55,53,50,49,32,46,48,48,48,52,53,52,51,52,55,32,46,48,48,48,51,56,54,
      49,50,54,32,46,48,48,48,51,50,56,51,48,57,32,46,48,48,48,50,53,49,53,48,57,
      32,46,48,48,48,50,49,51,54,54,50,32,46,48,48,48,49,54,53,51,48,54,32,46,48,
      48,48,49,50,54,48,49,53,10,32,32,46,48,48,48,49,48,55,48,57,50,32,57,46,48,
      57,54,56,52,101,45,48,53,32,55,46,48,50,54,56,51,101,45,48,53,32,53,46,50,56,
      52,49,50,101,45,48,53,32,52,46,53,49,48,53,101,45,48,53,32,51,46,52,57,51,51,
      49,101,45,48,53,32,50,46,57,56,57,51,50,101,45,48,53,10,32,32,50,46,51,50,49,
      49,53,101,45,48,53,32,49,46,56,57,48,48,55,101,45,48,53,32,49,46,51,57,55,56,
      53,101,45,48,53,32,49,46,50,51,51,57,52,101,45,48,53,32,57,46,55,48,55,56,56,
      101,45,48,54,32,55,46,52,52,56,50,57,101,45,48,54,32,53,46,57,55,51,52,101,
      45,48,54,10,32,32,52,46,55,57,49,49,51,101,45,48,54,32,51,46,56,57,56,49,51,
      101,45,48,54,32,51,46,49,56,49,56,56,101,45,48,54,32,50,46,53,52,48,57,50,101,
      45,48,54,32,50,46,48,56,49,101,45,48,54,32,49,46,54,55,48,48,50,101,45,48,54,
      32,49,46,52,50,48,53,52,101,45,48,54,10,32,32,49,46,48,57,49,49,56,101,45,48,
      54,32,57,46,50,56,51,49,101,45,48,55,32,55,46,53,57,52,50,54,101,45,48,55,32,
      52,46,55,53,57,56,57,101,45,48,55,32,50,46,53,48,52,55,55,101,45,48,55,32,49,
      46,51,51,57,57,101,45,48,55,32,54,46,49,51,54,101,45,48,56,10,32,32,50,46,56,
      49,50,56,101,45,48,56,32,49,46,49,48,52,49,51,101,45,48,56,32,53,46,49,51,53,
      52,51,101,45,48,57,32,49,46,57,49,56,49,101,45,48,56,32,55,46,52,55,52,52,52,
      101,45,48,57,32,51,46,56,53,51,54,57,101,45,48,57,32,49,46,56,52,48,49,51,101,
      45,48,57,10,32,32,54,46,56,55,55,55,53,101,45,49,48,32,50,46,57,49,48,53,101,
      45,49,48,32,49,46,50,51,50,55,55,101,45,49,48,32,52,46,54,50,51,57,53,101,45,
      49,49,32,49,46,55,51,54,51,57,101,45,49,49,32,55,46,51,55,54,48,56,101,45,49,
      50,32,51,46,49,51,51,53,57,101,45,49,50,10,32,32,49,46,51,49,56,48,56,101,45,
      49,50,32,52,46,57,54,48,53,51,101,45,49,51,32,49,46,54,53,51,55,55,101,45,49,
      51,32,52,46,56,56,53,50,54,101,45,49,52,32,49,46,54,51,49,51,49,101,45,49,52,
      32,52,46,56,50,53,48,55,101,45,49,53,32,49,46,54,49,51,51,57,101,45,49,53,10,
      32,32,53,46,51,57,56,52,56,101,45,49,54,32,49,46,54,48,48,54,56,101,45,49,54,
      32,52,46,51,53,49,57,101,45,49,55,32,49,46,53,57,50,51,51,101,45,49,55,32,52,
      46,57,55,52,101,45,49,56,32,49,46,55,56,55,54,50,101,45,49,56,32,53,46,57,57,
      52,52,49,101,45,49,57,10,32,32,50,46,48,49,49,48,49,101,45,49,57,32,54,46,55,
      52,57,53,51,101,45,50,48,32,50,46,50,54,54,50,56,101,45,50,48,32,54,46,57,52,
      49,50,50,101,45,50,49,32,50,46,51,50,54,56,56,101,45,50,49,32,48,114,53,49,
      32,54,46,51,55,54,52,50,101,45,48,56,32,56,46,53,48,49,50,55,101,45,48,56,10,
      32,32,49,46,49,51,51,53,53,101,45,48,55,32,49,46,53,49,49,51,55,101,45,48,55,
      32,50,46,48,49,53,49,55,101,45,48,55,32,50,46,54,56,54,57,50,101,45,48,55,32,
      51,46,53,56,50,54,49,101,45,48,55,32,52,46,55,55,54,56,101,45,48,55,32,54,46,
      51,54,56,56,56,101,45,48,55,10,32,32,56,46,52,57,49,56,56,101,45,48,55,32,49,
      46,49,51,50,51,101,45,48,54,32,49,46,53,48,57,55,101,45,48,54,32,50,46,48,49,
      51,48,49,101,45,48,54,32,50,46,54,56,52,48,51,101,45,48,54,32,51,46,53,55,56,
      54,57,101,45,48,54,32,52,46,55,55,49,54,49,101,45,48,54,10,32,32,54,46,51,54,
      50,49,54,101,45,48,54,32,57,46,53,52,51,49,57,101,45,48,54,32,49,46,53,57,48,
      52,56,101,45,48,53,32,50,46,50,50,54,53,56,101,45,48,53,32,51,46,49,56,48,54,
      101,45,48,53,32,52,46,52,53,50,51,56,101,45,48,53,32,54,46,51,53,57,52,57,101,
      45,48,53,10,32,32,57,46,53,51,54,52,54,101,45,48,53,32,46,48,48,48,49,53,56,
      56,52,51,32,46,48,48,48,50,50,50,50,51,55,32,46,48,48,48,51,49,55,49,54,49,
      32,46,48,48,48,52,52,51,52,48,50,32,46,48,48,48,54,51,50,48,51,51,32,46,48,
      48,48,55,56,56,53,50,54,32,46,48,48,48,57,52,52,51,53,54,10,32,32,46,48,48,
      49,50,53,51,57,53,32,46,48,48,49,53,54,48,54,55,32,46,48,48,49,56,54,52,51,
      57,32,46,48,48,50,48,49,53,48,57,32,46,48,48,50,49,54,53,32,46,48,48,50,51,
      49,52,49,50,32,46,48,48,50,52,54,50,52,51,32,46,48,48,50,54,48,57,57,50,32,
      46,48,48,50,55,53,54,53,56,10,32,32,46,48,48,50,57,48,50,52,49,32,46,48,48,
      51,48,52,55,52,32,46,48,48,51,49,57,49,53,51,32,46,48,48,51,51,51,52,56,49,
      32,46,48,48,51,53,48,53,54,32,46,48,48,51,54,55,53,49,51,32,46,48,48,51,56,
      57,57,50,49,32,46,48,48,52,49,50,49,48,51,32,46,48,48,52,51,52,48,53,51,10,
      32,32,46,48,48,52,54,49,49,54,56,32,46,48,48,52,56,55,57,49,56,32,46,48,48,
      53,49,52,51,48,49,32,46,48,48,53,52,53,52,55,51,32,46,48,48,53,55,54,49,48,
      57,32,46,48,48,54,49,54,49,50,32,46,48,48,54,53,53,49,54,54,32,46,48,48,54,
      57,51,50,52,52,32,46,48,48,55,51,52,57,50,50,10,32,32,46,48,48,55,55,57,55,
      56,55,32,46,48,48,56,50,55,51,56,55,32,46,48,48,56,55,55,50,50,52,32,46,48,
      48,57,50,56,55,54,52,32,46,48,48,57,56,53,48,57,54,32,46,48,49,48,51,56,49,
      49,32,46,48,49,48,57,52,50,52,32,46,48,49,49,54,48,55,57,32,46,48,49,50,50,
      51,57,51,10,32,32,46,48,49,50,54,55,50,50,32,46,48,49,51,49,53,51,52,32,46,
      48,49,51,54,54,51,51,32,46,48,49,52,49,49,55,55,32,46,48,49,52,53,48,52,50,
      32,46,48,49,52,56,49,57,53,32,46,48,49,53,48,50,55,49,32,46,48,49,53,49,53,
      50,32,46,48,49,53,49,56,55,49,10,32,32,46,48,49,53,48,54,50,50,32,46,48,49,
      52,55,56,53,51,32,46,48,49,52,51,56,48,57,32,46,48,49,51,57,55,53,56,32,46,
      48,49,51,52,56,56,57,32,46,48,49,50,55,52,56,56,32,46,48,49,49,57,54,48,55,
      32,46,48,49,49,49,53,51,53,32,46,48,49,48,52,52,53,10,32,32,46,48,48,57,52,
      52,55,52,51,32,46,48,48,56,52,55,56,57,51,32,46,48,48,55,53,52,51,55,56,32,
      46,48,48,54,55,51,49,51,56,32,46,48,48,53,57,54,51,52,32,46,48,48,53,50,54,
      51,49,56,32,46,48,48,52,53,53,50,53,51,32,46,48,48,51,57,54,49,53,52,32,46,
      48,48,51,53,54,54,57,10,32,32,46,48,48,50,57,48,56,56,32,46,48,48,50,51,56,
      50,55,55,32,46,48,48,49,57,54,53,51,50,32,46,48,48,49,53,56,52,50,57,32,46,
      48,48,49,50,57,56,49,49,32,46,48,48,49,48,52,49,52,57,32,46,48,48,48,56,51,
      57,57,51,49,32,46,48,48,48,54,56,50,49,54,49,10,32,32,46,48,48,48,53,53,56,
      57,51,57,32,46,48,48,48,52,52,55,56,48,53,32,46,48,48,48,51,56,48,55,53,53,
      32,46,48,48,48,51,50,51,56,57,50,32,46,48,48,48,50,52,56,51,48,49,32,46,48,
      48,48,50,49,49,48,50,32,46,48,48,48,49,54,51,51,53,55,32,46,48,48,48,49,50,
      52,54,10,32,32,46,48,48,48,49,48,53,57,50,51,32,57,46,48,48,48,49,52,101,45,
      48,53,32,54,46,57,53,53,49,57,101,45,48,53,32,53,46,50,51,50,54,101,45,48,53,
      32,52,46,52,54,55,53,55,101,45,48,53,32,51,46,52,54,49,50,56,101,45,48,53,32,
      50,46,57,54,50,53,49,101,45,48,53,10,32,32,50,46,51,48,49,48,54,101,45,48,53,
      32,49,46,56,55,52,49,54,101,45,48,53,32,49,46,51,56,54,53,52,101,45,48,53,32,
      49,46,50,50,52,49,50,101,45,48,53,32,57,46,54,51,50,57,101,45,48,54,32,55,46,
      51,57,50,53,55,101,45,48,54,32,53,46,57,50,57,56,54,101,45,48,54,10,32,32,52,
      46,55,53,55,48,54,101,45,48,54,32,51,46,56,55,49,48,52,101,45,48,54,32,51,46,
      49,54,48,50,53,101,45,48,54,32,50,46,53,50,52,48,54,101,45,48,54,32,50,46,48,
      54,55,52,55,101,45,48,54,32,49,46,54,53,57,52,101,45,48,54,32,49,46,52,49,49,
      54,53,101,45,48,54,10,32,32,49,46,48,56,52,53,51,101,45,48,54,32,57,46,50,50,
      55,51,57,101,45,48,55,32,55,46,53,52,57,53,53,101,45,48,55,32,52,46,55,51,51,
      48,55,101,45,48,55,32,50,46,52,57,49,52,54,101,45,48,55,32,49,46,51,51,51,49,
      52,101,45,48,55,32,54,46,49,48,54,57,101,45,48,56,10,32,32,50,46,56,48,48,50,
      50,101,45,48,56,32,49,46,48,57,57,53,49,101,45,48,56,32,53,46,49,49,55,57,52,
      101,45,48,57,32,49,46,56,56,52,53,51,101,45,48,56,32,55,46,51,52,53,48,49,101,
      45,48,57,32,51,46,55,56,56,52,51,101,45,48,57,32,49,46,56,48,57,49,55,101,45,
      48,57,10,32,32,54,46,55,54,50,57,49,101,45,49,48,32,50,46,56,54,50,52,57,101,
      45,49,48,32,49,46,50,49,50,55,53,101,45,49,48,32,52,46,53,52,57,51,53,101,45,
      49,49,32,49,46,55,48,56,53,53,101,45,49,49,32,55,46,50,53,56,53,101,45,49,50,
      32,51,46,48,56,53,57,54,101,45,49,50,10,32,32,49,46,50,57,56,52,51,101,45,49,
      50,32,52,46,56,56,54,57,50,101,45,49,51,32,49,46,54,50,57,51,53,101,45,49,51,
      32,52,46,56,49,51,53,54,101,45,49,52,32,49,46,54,48,55,57,50,101,45,49,52,32,
      52,46,55,53,56,49,52,101,45,49,53,32,49,46,53,57,49,49,101,45,49,53,10,32,32,
      53,46,51,50,52,50,52,101,45,49,54,32,49,46,53,55,56,55,56,101,45,49,54,32,52,
      46,50,57,50,54,56,101,45,49,55,32,49,46,53,55,48,55,52,101,45,49,55,32,52,46,
      57,48,57,55,55,101,45,49,56,32,49,46,55,54,54,53,50,101,45,49,56,32,53,46,57,
      50,53,49,101,45,49,57,10,32,32,49,46,57,56,55,56,51,101,45,49,57,32,54,46,54,
      55,50,101,45,50,48,32,50,46,50,52,48,51,52,101,45,50,48,32,54,46,56,52,51,50,
      52,101,45,50,49,32,50,46,50,57,51,57,54,101,45,50,49,32,48,114,53,49,32,53,
      46,53,53,56,54,54,101,45,48,56,32,55,46,52,49,49,101,45,48,56,10,32,32,57,46,
      56,56,49,55,49,101,45,48,56,32,49,46,51,49,55,53,52,101,45,48,55,32,49,46,55,
      53,54,55,51,101,45,48,55,32,50,46,51,52,50,51,50,101,45,48,55,32,51,46,49,50,
      51,49,52,101,45,48,55,32,52,46,49,54,52,49,56,101,45,48,55,32,53,46,53,53,50,
      48,54,101,45,48,55,10,32,32,55,46,52,48,50,55,56,101,45,48,55,32,57,46,56,55,
      48,55,55,101,45,48,55,32,49,46,51,49,54,48,55,101,45,48,54,32,49,46,55,53,52,
      56,50,101,45,48,54,32,50,46,51,51,57,55,55,101,45,48,54,32,51,46,49,49,57,54,
      53,101,45,48,54,32,52,46,49,53,57,53,50,101,45,48,54,10,32,32,53,46,53,52,53,
      57,56,101,45,48,54,32,56,46,51,49,56,55,55,101,45,48,54,32,49,46,51,56,54,51,
      55,101,45,48,53,32,49,46,57,52,48,55,56,101,45,48,53,32,50,46,55,55,50,50,50,
      101,45,48,53,32,51,46,56,56,48,53,49,101,45,48,53,32,53,46,53,52,50,50,55,101,
      45,48,53,10,32,32,56,46,51,49,48,49,51,101,45,48,53,32,46,48,48,48,49,51,56,
      51,57,52,32,46,48,48,48,49,57,51,54,48,49,32,46,48,48,48,50,55,54,50,53,50,
      32,46,48,48,48,51,56,54,49,53,56,32,46,48,48,48,53,53,48,51,56,52,32,46,48,
      48,48,54,56,54,54,53,55,32,46,48,48,48,56,50,50,51,57,54,10,32,32,46,48,48,
      49,48,57,50,50,53,32,46,48,48,49,51,53,57,57,49,32,46,48,48,49,54,50,53,51,
      49,32,46,48,48,49,55,53,55,49,53,32,46,48,48,49,56,56,56,52,49,32,46,48,48,
      50,48,49,57,48,55,32,46,48,48,50,49,52,57,49,52,32,46,48,48,50,50,55,56,54,
      32,46,48,48,50,52,48,55,52,53,10,32,32,46,48,48,50,53,51,53,54,56,32,46,48,
      48,50,54,54,51,50,56,32,46,48,48,50,55,57,48,50,53,32,46,48,48,50,57,49,54,
      53,56,32,46,48,48,51,48,54,55,51,51,32,46,48,48,51,50,49,55,49,51,32,46,48,
      48,51,52,49,53,51,57,32,46,48,48,51,54,49,49,57,51,10,32,32,46,48,48,51,56,
      48,54,55,52,32,46,48,48,52,48,52,55,55,54,32,46,48,48,52,50,56,54,32,46,48,
      48,52,53,50,49,52,49,32,46,48,48,52,56,48,48,49,49,32,46,48,48,53,48,55,52,
      54,51,32,46,48,48,53,52,51,52,48,54,32,46,48,48,53,55,56,53,56,52,32,46,48,
      48,54,49,50,57,56,56,10,32,32,46,48,48,54,53,48,55,53,57,32,46,48,48,54,57,
      49,53,53,53,32,46,48,48,55,51,52,57,57,54,32,46,48,48,55,56,48,54,53,57,32,
      46,48,48,56,50,56,48,57,49,32,46,48,48,56,56,48,49,56,57,32,46,48,48,57,50,
      57,52,55,51,32,46,48,48,57,56,49,57,54,49,10,32,32,46,48,49,48,52,52,54,52,
      32,46,48,49,49,48,52,54,52,32,46,48,49,49,52,54,49,50,32,46,48,49,49,57,50,
      54,54,32,46,48,49,50,52,50,53,57,32,46,48,49,50,56,55,56,51,32,46,48,49,51,
      50,55,49,56,32,46,48,49,51,54,48,52,49,32,46,48,49,51,56,51,53,52,10,32,32,
      46,48,49,51,57,57,49,56,32,46,48,49,52,48,55,49,57,32,46,48,49,52,48,49,53,
      51,32,46,48,49,51,56,48,57,54,32,46,48,49,51,52,55,57,50,32,46,48,49,51,49,
      51,52,57,32,46,48,49,50,55,49,49,50,32,46,48,49,50,48,53,52,54,32,46,48,49,
      49,51,52,52,53,10,32,32,46,48,49,48,54,48,56,56,32,46,48,48,57,57,53,55,51,
      32,46,48,48,57,48,51,50,57,53,32,46,48,48,56,49,50,56,56,57,32,46,48,48,55,
      50,53,48,53,49,32,46,48,48,54,52,56,51,52,55,32,46,48,48,53,55,53,53,50,51,
      32,46,48,48,53,48,56,56,55,55,32,46,48,48,52,52,49,48,48,50,10,32,32,46,48,
      48,51,56,52,51,55,53,32,46,48,48,51,52,54,52,55,49,32,46,48,48,50,56,51,49,
      32,46,48,48,50,51,50,50,57,53,32,46,48,48,49,57,49,56,55,51,32,46,48,48,49,
      53,52,56,57,57,32,46,48,48,49,50,55,48,55,50,32,46,48,48,49,48,50,48,55,51,
      32,46,48,48,48,56,50,52,48,54,50,10,32,32,46,48,48,48,54,54,57,56,57,53,32,
      46,48,48,48,53,52,57,51,51,56,32,46,48,48,48,52,52,48,52,55,56,32,46,48,48,
      48,51,55,52,55,51,53,32,46,48,48,48,51,49,56,57,51,57,32,46,48,48,48,50,52,
      52,54,57,57,32,46,48,48,48,50,48,56,48,53,51,32,46,48,48,48,49,54,49,49,54,
      55,10,32,32,46,48,48,48,49,50,51,48,48,55,32,46,48,48,48,49,48,52,54,48,54,
      32,56,46,56,57,49,51,49,101,45,48,53,32,54,46,56,55,52,53,52,101,45,48,53,32,
      53,46,49,55,52,53,52,101,45,48,53,32,52,46,52,49,57,49,54,101,45,48,53,32,51,
      46,52,50,53,49,53,101,45,48,53,10,32,32,50,46,57,51,50,50,55,101,45,48,53,32,
      50,46,50,55,56,51,55,101,45,48,53,32,49,46,56,53,54,49,57,101,45,48,53,32,49,
      46,51,55,51,55,54,101,45,48,53,32,49,46,50,49,51,48,49,101,45,48,53,32,57,46,
      53,52,56,48,54,101,45,48,54,32,55,46,51,50,57,53,53,101,45,48,54,10,32,32,53,
      46,56,56,48,54,50,101,45,48,54,32,52,46,55,49,56,53,54,101,45,48,54,32,51,46,
      56,52,48,52,51,101,45,48,54,32,51,46,49,51,53,56,49,101,45,48,54,32,50,46,53,
      48,53,101,45,48,54,32,50,46,48,53,50,49,57,101,45,48,54,32,49,46,54,52,55,52,
      49,101,45,48,54,10,32,32,49,46,52,48,49,54,50,101,45,48,54,32,49,46,48,55,55,
      48,50,101,45,48,54,32,57,46,49,54,52,53,49,101,45,48,55,32,55,46,52,57,57,48,
      56,101,45,48,55,32,52,46,55,48,50,55,53,101,45,48,55,32,50,46,52,55,54,51,53,
      101,45,48,55,32,49,46,51,50,53,52,55,101,45,48,55,10,32,32,54,46,48,55,51,57,
      50,101,45,48,56,32,50,46,55,56,53,57,54,101,45,48,56,32,49,46,48,57,52,50,54,
      101,45,48,56,32,53,46,48,57,55,57,53,101,45,48,57,32,49,46,56,52,55,57,54,101,
      45,48,56,32,55,46,50,48,51,55,54,101,45,48,57,32,51,46,55,49,54,48,51,101,45,
      48,57,10,32,32,49,46,55,55,53,51,54,101,45,48,57,32,54,46,54,51,55,56,50,101,
      45,49,48,32,50,46,56,48,57,56,57,101,45,49,48,32,49,46,49,57,48,55,50,101,45,
      49,48,32,52,46,52,54,56,49,54,101,45,49,49,32,49,46,54,55,56,50,53,101,45,49,
      49,32,55,46,49,51,48,52,56,101,45,49,50,10,32,32,51,46,48,51,49,56,50,101,45,
      49,50,32,49,46,50,55,54,52,54,101,45,49,50,32,52,46,56,48,54,56,55,101,45,49,
      51,32,49,46,54,48,50,56,49,101,45,49,51,32,52,46,55,51,53,54,54,101,45,49,52,
      32,49,46,53,56,50,48,51,101,45,49,52,32,52,46,54,56,50,56,50,101,45,49,53,10,
      32,32,49,46,53,54,54,56,54,101,45,49,53,32,53,46,50,52,51,55,101,45,49,54,32,
      49,46,53,53,53,48,50,101,45,49,54,32,52,46,50,50,56,51,56,101,45,49,55,32,49,
      46,53,52,55,50,52,101,45,49,55,32,52,46,56,51,54,53,53,101,45,49,56,32,49,46,
      55,52,48,50,51,101,45,49,56,10,32,32,53,46,56,52,51,101,45,49,57,32,49,46,57,
      54,50,55,101,45,49,57,32,54,46,53,56,56,50,56,101,45,50,48,32,50,46,50,49,50,
      51,51,101,45,50,48,32,54,46,55,51,54,56,53,101,45,50,49,32,50,46,50,53,56,50,
      50,101,45,50,49,32,48,114,53,49,32,52,46,55,55,57,57,56,101,45,48,56,10,32,
      32,54,46,51,55,50,56,51,101,45,48,56,32,56,46,52,57,55,52,51,101,45,48,56,32,
      49,46,49,51,50,57,56,101,45,48,55,32,49,46,53,49,48,54,52,101,45,48,55,32,50,
      46,48,49,52,50,101,45,48,55,32,50,46,54,56,53,54,52,101,45,48,55,32,51,46,53,
      56,48,56,53,101,45,48,55,10,32,32,52,46,55,55,52,51,50,101,45,48,55,32,54,46,
      51,54,53,55,57,101,45,48,55,32,56,46,52,56,56,48,56,101,45,48,55,32,49,46,49,
      51,49,55,50,101,45,48,54,32,49,46,53,48,57,48,50,101,45,48,54,32,50,46,48,49,
      50,48,51,101,45,48,54,32,50,46,54,56,50,55,101,45,48,54,10,32,32,51,46,53,55,
      54,57,53,101,45,48,54,32,52,46,55,54,57,50,55,101,45,48,54,32,55,46,49,53,51,
      56,54,101,45,48,54,32,49,46,49,57,50,50,56,101,45,48,53,32,49,46,54,54,57,49,
      51,101,45,48,53,32,50,46,51,56,52,51,51,101,45,48,53,32,51,46,51,51,55,55,56,
      101,45,48,53,10,32,32,52,46,55,54,55,54,52,101,45,48,53,32,55,46,49,52,57,56,
      55,101,45,48,53,32,46,48,48,48,49,49,57,49,49,49,32,46,48,48,48,49,54,54,54,
      56,32,46,48,48,48,50,51,55,57,53,32,46,48,48,48,51,51,50,56,49,57,32,46,48,
      48,48,52,55,52,55,55,54,32,46,48,48,48,53,57,50,55,52,52,10,32,32,46,48,48,
      48,55,49,48,52,48,50,32,46,48,48,48,57,52,52,55,53,32,46,48,48,49,49,55,55,
      55,52,32,46,48,48,49,52,48,57,51,32,46,48,48,49,53,50,52,53,49,32,46,48,48,
      49,54,51,57,51,52,32,46,48,48,49,55,53,51,55,55,32,46,48,48,49,56,54,55,56,
      32,46,48,48,49,57,56,49,52,50,10,32,32,46,48,48,50,48,57,52,54,50,32,46,48,
      48,50,50,48,55,51,56,32,46,48,48,50,51,49,57,55,49,32,46,48,48,50,52,51,49,
      53,57,32,46,48,48,50,53,52,51,48,50,32,46,48,48,50,54,55,54,49,50,32,46,48,
      48,50,56,48,56,53,53,32,46,48,48,50,57,56,52,48,52,10,32,32,46,48,48,51,49,
      53,56,50,56,32,46,48,48,51,51,51,49,50,51,32,46,48,48,51,53,52,53,53,56,32,
      46,48,48,51,55,53,55,56,52,32,46,48,48,51,57,54,55,57,53,32,46,48,48,52,50,
      49,55,50,32,46,48,48,52,52,54,51,50,51,32,46,48,48,52,55,56,54,49,52,32,46,
      48,48,53,49,48,51,48,54,10,32,32,46,48,48,53,52,49,51,56,56,32,46,48,48,53,
      55,53,54,48,55,32,46,48,48,54,49,50,54,56,54,32,46,48,48,54,53,50,51,48,56,
      32,46,48,48,54,57,52,49,49,55,32,46,48,48,55,51,55,55,50,55,32,46,48,48,55,
      56,53,56,52,54,32,46,48,48,56,51,49,53,57,57,10,32,32,46,48,48,56,56,48,53,
      56,55,32,46,48,48,57,51,57,52,56,55,32,46,48,48,57,57,54,51,50,54,32,46,48,
      49,48,51,53,57,51,32,46,48,49,48,56,48,55,51,32,46,48,49,49,50,57,51,50,32,
      46,48,49,49,55,52,32,46,48,49,50,49,51,54,32,46,48,49,50,52,55,57,55,10,32,
      32,46,48,49,50,55,50,57,49,32,46,48,49,50,57,49,48,57,32,46,48,49,51,48,50,
      56,53,32,46,48,49,51,48,51,48,55,32,46,48,49,50,56,56,55,54,32,46,48,49,50,
      54,50,51,54,32,46,48,49,50,51,51,52,32,46,48,49,49,57,54,56,49,32,46,48,49,
      49,51,56,56,55,10,32,32,46,48,49,48,55,53,49,49,32,46,48,49,48,48,56,50,52,
      32,46,48,48,57,52,56,52,56,51,32,46,48,48,56,54,50,57,57,53,32,46,48,48,55,
      55,56,55,52,49,32,46,48,48,54,57,54,51,53,53,32,46,48,48,54,50,52,48,51,49,
      32,46,48,48,53,53,53,48,53,57,32,46,48,48,52,57,49,54,57,49,10,32,32,46,48,
      48,52,50,54,57,50,55,32,46,48,48,51,55,50,55,50,50,32,46,48,48,51,51,54,51,
      52,56,32,46,48,48,50,55,53,51,55,52,32,46,48,48,50,50,54,51,52,50,32,46,48,
      48,49,56,55,50,51,49,32,46,48,48,49,53,49,51,55,50,32,46,48,48,49,50,52,51,
      51,32,46,48,48,48,57,57,57,57,52,50,10,32,32,46,48,48,48,56,48,56,49,52,52,
      32,46,48,48,48,54,53,55,53,55,51,32,46,48,48,48,53,51,57,54,55,57,32,46,48,
      48,48,52,51,51,49,48,49,32,46,48,48,48,51,54,56,54,55,49,32,46,48,48,48,51,
      49,51,57,52,54,32,46,48,48,48,50,52,49,48,54,51,32,46,48,48,48,50,48,53,48,
      53,53,10,32,32,46,48,48,48,49,53,56,57,53,32,46,48,48,48,49,50,49,51,57,53,
      32,46,48,48,48,49,48,51,50,55,50,32,56,46,55,56,48,57,56,101,45,48,53,32,54,
      46,55,57,50,55,101,45,48,53,32,53,46,49,49,53,54,50,101,45,48,53,32,52,46,51,
      55,48,48,52,101,45,48,53,32,51,46,51,56,56,52,57,101,45,48,53,10,32,32,50,46,
      57,48,49,53,54,101,45,48,53,32,50,46,50,53,53,51,52,101,45,48,53,32,49,46,56,
      51,55,57,51,101,45,48,53,32,49,46,51,54,48,55,55,101,45,48,53,32,49,46,50,48,
      49,55,50,101,45,48,53,32,57,46,52,54,49,55,57,101,45,48,54,32,55,46,50,54,53,
      51,56,101,45,48,54,10,32,32,53,46,56,51,48,52,52,101,45,48,54,32,52,46,54,55,
      57,51,101,45,48,54,32,51,46,56,48,57,50,49,101,45,48,54,32,51,46,49,49,48,56,
      57,101,45,48,54,32,50,46,52,56,53,53,55,101,45,48,54,32,50,46,48,51,54,54,101,
      45,48,54,32,49,46,54,51,53,49,56,101,45,48,54,10,32,32,49,46,51,57,49,51,56,
      101,45,48,54,32,49,46,48,54,57,51,53,101,45,48,54,32,57,46,49,48,48,50,55,101,
      45,48,55,32,55,46,52,52,55,53,101,45,48,55,32,52,46,54,55,49,55,55,101,45,48,
      55,32,50,46,52,54,48,57,53,101,45,48,55,32,49,46,51,49,55,54,53,101,45,48,55,
      10,32,32,54,46,48,52,48,50,101,45,48,56,32,50,46,55,55,49,51,55,101,45,48,56,
      32,49,46,48,56,56,56,57,101,45,48,56,32,53,46,48,55,55,52,50,101,45,48,57,32,
      49,46,56,49,49,57,52,101,45,48,56,32,55,46,48,54,53,51,56,101,45,48,57,32,51,
      46,54,52,53,49,101,45,48,57,10,32,32,49,46,55,52,49,55,101,45,48,57,32,54,46,
      53,49,53,51,52,101,45,49,48,32,50,46,55,53,56,52,101,45,49,48,32,49,46,49,54,
      57,48,52,101,45,49,48,32,52,46,51,56,55,55,52,101,45,49,49,32,49,46,54,52,56,
      54,49,101,45,49,49,32,55,46,48,48,53,49,57,101,45,49,50,10,32,32,50,46,57,55,
      56,56,101,45,49,50,32,49,46,50,53,52,51,50,101,45,49,50,32,52,46,55,50,53,51,
      57,101,45,49,51,32,49,46,53,55,54,57,101,45,49,51,32,52,46,54,53,57,53,51,101,
      45,49,52,32,49,46,53,53,54,55,52,101,45,49,52,32,52,46,54,48,56,51,57,101,45,
      49,53,10,32,32,49,46,53,52,50,49,101,45,49,53,32,53,46,49,54,51,55,55,101,45,
      49,54,32,49,46,53,51,49,56,101,45,49,54,32,52,46,49,54,53,52,51,101,45,49,55,
      32,49,46,53,50,52,51,49,101,45,49,55,32,52,46,55,54,53,49,56,101,45,49,56,32,
      49,46,55,49,52,54,50,101,45,49,56,10,32,32,53,46,55,53,55,52,101,45,49,57,32,
      49,46,57,51,52,48,57,101,45,49,57,32,54,46,52,57,57,55,52,101,45,50,48,32,50,
      46,49,56,53,48,51,101,45,50,48,32,54,46,54,51,51,48,51,101,45,50,49,32,50,46,
      50,50,51,51,52,101,45,50,49,32,48,114,53,49,32,52,46,48,50,57,57,49,101,45,
      48,56,10,32,32,53,46,51,55,50,56,49,101,45,48,56,32,55,46,49,54,52,48,50,101,
      45,48,56,32,57,46,53,53,49,57,49,101,45,48,56,32,49,46,50,55,51,53,57,101,45,
      48,55,32,49,46,54,57,56,49,52,101,45,48,55,32,50,46,50,54,52,50,50,101,45,48,
      55,32,51,46,48,49,56,57,53,101,45,48,55,10,32,32,52,46,48,50,53,49,53,101,45,
      48,55,32,53,46,51,54,54,57,101,45,48,55,32,55,46,49,53,54,49,57,101,45,48,55,
      32,57,46,53,52,49,51,57,101,45,48,55,32,49,46,50,55,50,50,52,101,45,48,54,32,
      49,46,54,57,54,51,52,101,45,48,54,32,50,46,50,54,49,55,56,101,45,48,54,10,32,
      32,51,46,48,49,53,55,52,101,45,48,54,32,52,46,48,50,49,48,52,101,45,48,54,32,
      54,46,48,51,49,54,54,101,45,48,54,32,49,46,48,48,53,50,57,101,45,48,53,32,49,
      46,52,48,55,52,49,101,45,48,53,32,50,46,48,49,48,53,57,101,45,48,53,32,50,46,
      56,49,52,56,49,101,45,48,53,10,32,32,52,46,48,50,49,49,49,101,45,48,53,32,54,
      46,48,51,49,52,57,101,45,48,53,32,46,48,48,48,49,48,48,53,49,56,32,46,48,48,
      48,49,52,48,55,49,52,32,46,48,48,48,50,48,48,57,57,50,32,46,48,48,48,50,56,
      49,51,51,32,46,48,48,48,52,48,49,55,52,57,32,46,48,48,48,53,48,50,48,48,52,
      10,32,32,46,48,48,48,54,48,50,49,53,55,32,46,48,48,48,56,48,50,49,48,56,32,
      46,48,48,49,48,48,49,53,32,46,48,48,49,50,48,48,50,52,32,46,48,48,49,50,57,
      57,51,52,32,46,48,48,49,51,57,56,50,52,32,46,48,48,49,52,57,54,57,50,32,46,
      48,48,49,53,57,53,51,57,10,32,32,46,48,48,49,54,57,51,54,51,32,46,48,48,49,
      55,57,49,54,51,32,46,48,48,49,56,56,57,51,56,32,46,48,48,49,57,56,54,56,55,
      32,46,48,48,50,48,56,52,48,57,32,46,48,48,50,49,56,49,48,52,32,46,48,48,50,
      50,57,54,57,57,32,46,48,48,50,52,49,50,53,49,10,32,32,46,48,48,50,53,54,53,
      56,53,32,46,48,48,50,55,49,56,51,54,32,46,48,48,50,56,55,48,48,50,32,46,48,
      48,51,48,53,56,51,52,32,46,48,48,51,50,52,53,50,50,32,46,48,48,51,52,51,48,
      53,57,32,46,48,48,51,54,53,48,57,56,32,46,48,48,51,56,54,57,48,53,10,32,32,
      46,48,48,52,49,53,54,48,53,32,46,48,48,52,52,51,56,53,57,32,46,48,48,52,55,
      49,54,53,50,32,46,48,48,53,48,50,51,52,55,32,46,48,48,53,51,53,55,50,51,32,
      46,48,48,53,55,49,53,50,32,46,48,48,54,48,57,52,52,56,32,46,48,48,54,52,57,
      49,56,50,32,46,48,48,54,57,51,50,52,10,32,32,46,48,48,55,51,53,51,52,57,32,
      46,48,48,55,56,48,54,56,56,32,46,48,48,56,51,53,53,55,56,32,46,48,48,56,56,
      56,57,57,32,46,48,48,57,50,54,53,48,50,32,46,48,48,57,54,57,50,55,52,32,46,
      48,49,48,49,54,49,55,32,46,48,49,48,53,57,57,32,46,48,49,48,57,57,51,53,10,
      32,32,46,48,49,49,51,52,52,50,32,46,48,49,49,54,48,56,49,32,46,48,49,49,56,
      49,49,54,32,46,48,49,49,57,54,50,56,32,46,48,49,50,48,49,57,54,32,46,48,49,
      49,57,51,54,51,32,46,48,49,49,55,51,54,52,32,46,48,49,49,53,48,48,56,32,46,
      48,49,49,49,57,50,49,10,32,32,46,48,49,48,54,57,32,46,48,49,48,49,50,54,32,
      46,48,48,57,53,50,53,53,57,32,46,48,48,56,57,56,51,54,51,32,46,48,48,56,50,
      48,48,57,49,32,46,48,48,55,52,50,50,52,56,32,46,48,48,54,54,53,53,56,51,32,
      46,48,48,53,57,55,56,56,49,32,46,48,48,53,51,50,57,57,54,10,32,32,46,48,48,
      52,55,51,49,50,53,32,46,48,48,52,49,49,54,56,49,32,46,48,48,51,54,48,48,54,
      57,32,46,48,48,51,50,53,51,52,49,32,46,48,48,50,54,54,57,53,50,32,46,48,48,
      50,49,57,56,51,55,32,46,48,48,49,56,50,49,52,56,32,46,48,48,49,52,55,53,48,
      53,10,32,32,46,48,48,49,50,49,51,49,56,32,46,48,48,48,57,55,55,48,51,53,32,
      46,48,48,48,55,57,48,53,56,57,32,46,48,48,48,54,52,51,57,55,50,32,46,48,48,
      48,53,50,57,48,48,54,32,46,48,48,48,52,50,52,57,51,54,32,46,48,48,48,51,54,
      49,57,53,51,32,46,48,48,48,51,48,56,52,49,49,10,32,32,46,48,48,48,50,51,55,
      48,50,57,32,46,48,48,48,50,48,49,55,50,56,32,46,48,48,48,49,53,54,52,56,57,
      32,46,48,48,48,49,49,57,54,48,50,32,46,48,48,48,49,48,49,55,56,56,32,56,46,
      54,53,56,49,54,101,45,48,53,32,54,46,55,48,49,53,54,101,45,48,53,32,53,46,48,
      52,57,57,52,101,45,48,53,10,32,32,52,46,51,49,53,50,52,101,45,48,53,32,51,46,
      51,52,55,53,52,101,45,48,53,32,50,46,56,54,55,50,55,101,45,48,53,32,50,46,50,
      50,57,54,101,45,48,53,32,49,46,56,49,55,53,50,101,45,48,53,32,49,46,51,52,54,
      50,51,101,45,48,53,32,49,46,49,56,57,48,57,101,45,48,53,10,32,32,57,46,51,54,
      53,50,52,101,45,48,54,32,55,46,49,57,51,54,101,45,48,54,32,53,46,55,55,52,51,
      49,101,45,48,54,32,52,46,54,51,53,51,55,101,45,48,54,32,51,46,55,55,52,50,53,
      101,45,48,54,32,51,46,48,56,50,57,55,101,45,48,54,32,50,46,52,54,51,55,57,101,
      45,48,54,10,32,32,50,46,48,49,57,49,51,101,45,48,54,32,49,46,54,50,49,52,54,
      101,45,48,54,32,49,46,51,55,57,57,101,45,48,54,32,49,46,48,54,48,55,54,101,
      45,48,54,32,57,46,48,50,56,50,55,101,45,48,55,32,55,46,51,56,57,54,57,101,45,
      48,55,32,52,46,54,51,55,48,51,101,45,48,55,10,32,32,50,46,52,52,51,54,52,101,
      45,48,55,32,49,46,51,48,56,56,53,101,45,48,55,32,54,46,48,48,50,51,101,45,48,
      56,32,50,46,55,53,52,57,55,101,45,48,56,32,49,46,48,56,50,56,55,101,45,48,56,
      32,53,46,48,53,52,50,51,101,45,48,57,32,49,46,55,55,51,49,52,101,45,48,56,10,
      32,32,54,46,57,49,53,56,55,101,45,48,57,32,51,46,53,54,56,55,52,101,45,48,57,
      32,49,46,55,48,53,52,55,101,45,48,57,32,54,46,51,56,49,48,54,101,45,49,48,32,
      50,46,55,48,50,57,101,45,49,48,32,49,46,49,52,53,55,50,101,45,49,48,32,52,46,
      51,48,48,56,54,101,45,49,49,10,32,32,49,46,54,49,54,50,57,101,45,49,49,32,54,
      46,56,55,48,51,49,101,45,49,50,32,50,46,57,50,49,56,51,101,45,49,50,32,49,46,
      50,51,48,53,53,101,45,49,50,32,52,46,54,51,54,51,55,101,45,49,51,32,49,46,53,
      52,55,54,49,101,45,49,51,32,52,46,53,55,55,55,56,101,45,49,52,10,32,32,49,46,
      53,50,57,54,101,45,49,52,32,52,46,53,50,56,53,55,101,45,49,53,32,49,46,53,49,
      53,53,50,101,45,49,53,32,53,46,48,55,53,48,55,101,45,49,54,32,49,46,53,48,54,
      48,54,101,45,49,54,32,52,46,48,57,56,48,52,101,45,49,55,32,49,46,52,57,57,55,
      54,101,45,49,55,10,32,32,52,46,54,56,56,56,101,45,49,56,32,49,46,54,56,56,54,
      51,101,45,49,56,32,53,46,54,54,53,55,101,45,49,57,32,49,46,57,48,51,51,55,101,
      45,49,57,32,54,46,51,57,54,56,54,101,45,50,48,32,50,46,49,53,48,54,57,101,45,
      50,48,32,54,46,53,49,50,53,54,101,45,50,49,10,32,32,50,46,49,56,53,54,51,101,
      45,50,49,32,48,114,53,49,32,51,46,51,57,56,52,57,101,45,48,56,32,52,46,53,51,
      48,57,57,101,45,48,56,32,54,46,48,52,49,53,53,101,45,48,56,32,56,46,48,53,53,
      51,101,45,48,56,32,49,46,48,55,52,48,52,101,45,48,55,32,49,46,52,51,50,48,55,
      101,45,48,55,10,32,32,49,46,57,48,57,52,54,101,45,48,55,32,50,46,53,52,53,57,
      52,101,45,48,55,32,51,46,51,57,52,52,57,101,45,48,55,32,52,46,53,50,54,48,50,
      101,45,48,55,32,54,46,48,51,52,57,55,101,45,48,55,32,56,46,48,52,54,52,56,101,
      45,48,55,32,49,46,48,55,50,57,49,101,45,48,54,10,32,32,49,46,52,51,48,53,55,
      101,45,48,54,32,49,46,57,48,55,52,51,101,45,48,54,32,50,46,53,52,51,50,56,101,
      45,48,54,32,51,46,51,57,49,49,101,45,48,54,32,53,46,48,56,54,56,101,45,48,54,
      32,56,46,52,55,56,51,54,101,45,48,54,32,49,46,49,56,55,48,49,101,45,48,53,10,
      32,32,49,46,54,57,53,56,101,45,48,53,32,50,46,51,55,52,50,52,101,45,48,53,32,
      51,46,51,57,50,48,50,101,45,48,53,32,53,46,48,56,56,54,51,101,45,48,53,32,56,
      46,52,56,50,57,55,101,45,48,53,32,46,48,48,48,49,49,56,55,56,55,32,46,48,48,
      48,49,54,57,55,53,10,32,32,46,48,48,48,50,51,55,55,52,51,32,46,48,48,48,51,
      51,57,56,49,51,32,46,48,48,48,52,50,52,57,51,50,32,46,48,48,48,53,49,48,48,
      57,51,32,46,48,48,48,54,56,48,52,56,56,32,46,48,48,48,56,53,48,57,48,49,32,
      46,48,48,49,48,50,49,50,52,32,46,48,48,49,49,48,54,51,52,10,32,32,46,48,48,
      49,49,57,49,52,32,46,48,48,49,50,55,54,51,57,32,46,48,48,49,51,54,49,51,32,
      46,48,48,49,52,52,54,49,50,32,46,48,48,49,53,51,48,56,53,32,46,48,48,49,54,
      49,53,52,55,32,46,48,48,49,54,57,57,57,55,32,46,48,48,49,55,56,52,51,52,32,
      46,48,48,49,56,54,56,53,55,10,32,32,46,48,48,49,57,54,57,52,54,32,46,48,48,
      50,48,55,48,49,49,32,46,48,48,50,50,48,51,57,51,32,46,48,48,50,51,51,55,50,
      56,32,46,48,48,50,52,55,48,49,49,32,46,48,48,50,54,51,53,52,32,46,48,48,50,
      55,57,57,55,54,32,46,48,48,50,57,54,51,49,54,32,46,48,48,51,49,53,55,56,55,
      10,32,32,46,48,48,51,51,53,48,57,57,32,46,48,48,51,54,48,53,56,55,32,46,48,
      48,51,56,53,55,53,55,32,46,48,48,52,49,48,53,57,49,32,46,48,48,52,51,56,49,
      48,54,32,46,48,48,52,54,56,49,50,53,32,46,48,48,53,48,48,52,52,51,32,46,48,
      48,53,51,52,56,50,49,10,32,32,46,48,48,53,55,48,57,57,32,46,48,48,54,49,49,
      50,56,53,32,46,48,48,54,52,57,57,57,49,32,46,48,48,54,57,49,56,57,32,46,48,
      48,55,52,50,57,52,54,32,46,48,48,55,57,51,48,49,51,32,46,48,48,56,50,56,52,
      51,51,32,46,48,48,56,54,57,49,49,55,32,46,48,48,57,49,52,49,53,56,10,32,32,
      46,48,48,57,53,54,54,54,55,32,46,48,48,57,57,53,54,48,55,32,46,48,49,48,51,
      48,57,52,32,46,48,49,48,53,56,50,54,32,46,48,49,48,56,48,50,52,32,46,48,49,
      48,57,56,48,51,32,46,48,49,49,48,56,50,49,32,46,48,49,49,48,52,57,55,32,46,
      48,49,48,57,48,53,55,10,32,32,46,48,49,48,55,49,55,54,32,46,48,49,48,52,54,
      32,46,48,49,48,48,50,55,54,32,46,48,48,57,53,51,48,53,56,32,46,48,48,56,57,
      57,51,50,54,32,46,48,48,56,53,48,50,54,55,32,46,48,48,55,55,56,55,52,56,32,
      46,48,48,55,48,54,57,53,50,32,46,48,48,54,51,53,55,48,53,10,32,32,46,48,48,
      53,55,50,52,49,32,46,48,48,53,49,49,52,52,51,32,46,48,48,52,53,52,57,51,53,
      32,46,48,48,51,57,54,55,48,54,32,46,48,48,51,52,55,54,49,49,32,46,48,48,51,
      49,52,52,56,51,32,46,48,48,50,53,56,54,50,50,32,46,48,48,50,49,51,51,56,55,
      32,46,48,48,49,55,55,48,57,56,10,32,32,46,48,48,49,52,51,54,53,51,32,46,48,
      48,49,49,56,51,49,52,32,46,48,48,48,57,53,52,49,53,50,32,46,48,48,48,55,55,
      51,48,48,52,32,46,48,48,48,54,51,48,51,50,56,32,46,48,48,48,53,49,56,50,57,
      51,32,46,48,48,48,52,49,54,55,51,32,46,48,48,48,51,53,53,49,57,51,10,32,32,
      46,48,48,48,51,48,50,56,51,54,32,46,48,48,48,50,51,50,57,54,49,32,46,48,48,
      48,49,57,56,51,55,49,32,46,48,48,48,49,53,52,48,48,52,32,46,48,48,48,49,49,
      55,55,57,49,32,46,48,48,48,49,48,48,50,56,56,32,56,46,53,51,51,57,49,101,45,
      48,53,32,54,46,54,48,57,50,52,101,45,48,53,10,32,32,52,46,57,56,51,51,51,101,
      45,48,53,32,52,46,50,53,57,54,53,101,45,48,53,32,51,46,51,48,53,57,57,101,45,
      48,53,32,50,46,56,51,50,52,54,101,45,48,53,32,50,46,50,48,51,52,53,101,45,48,
      53,32,49,46,55,57,54,55,57,101,45,48,53,32,49,46,51,51,49,52,55,101,45,48,53,
      10,32,32,49,46,49,55,54,50,53,101,45,48,53,32,57,46,50,54,55,48,57,101,45,48,
      54,32,55,46,49,50,48,53,50,101,45,48,54,32,53,46,55,49,55,49,51,101,45,48,54,
      32,52,46,53,57,48,54,49,101,45,48,54,32,51,46,55,51,56,54,53,101,45,48,54,32,
      51,46,48,53,52,53,51,101,45,48,54,10,32,32,50,46,52,52,49,54,49,101,45,48,54,
      32,50,46,48,48,49,51,50,101,45,48,54,32,49,46,54,48,55,52,56,101,45,48,54,32,
      49,46,51,54,56,49,57,101,45,48,54,32,49,46,48,53,49,57,57,101,45,48,54,32,56,
      46,57,53,52,56,101,45,48,55,32,55,46,51,51,48,55,101,45,48,55,10,32,32,52,46,
      54,48,49,53,57,101,45,48,55,32,50,46,52,50,54,101,45,48,55,32,49,46,50,57,57,
      56,56,101,45,48,55,32,53,46,57,54,51,54,50,101,45,48,56,32,50,46,55,51,56,50,
      50,101,45,48,56,32,49,46,48,55,54,54,57,101,45,48,56,32,53,46,48,50,57,57,50,
      101,45,48,57,10,32,32,49,46,55,51,53,50,49,101,45,48,56,32,54,46,55,54,57,52,
      52,101,45,48,57,32,51,46,52,57,51,55,53,101,45,48,57,32,49,46,54,55,48,48,54,
      101,45,48,57,32,54,46,50,52,57,55,55,101,45,49,48,32,50,46,54,52,55,55,50,101,
      45,49,48,32,49,46,49,50,50,56,52,101,45,49,48,10,32,32,52,46,50,49,54,101,45,
      49,49,32,49,46,53,56,52,54,50,101,45,49,49,32,54,46,55,51,54,53,50,101,45,49,
      50,32,50,46,56,54,53,57,101,45,49,50,32,49,46,50,48,55,51,52,101,45,49,50,32,
      52,46,53,52,57,52,55,101,45,49,51,32,49,46,53,49,56,56,49,101,45,49,51,10,32,
      32,52,46,52,57,51,50,50,101,45,49,52,32,49,46,53,48,50,55,52,101,45,49,52,32,
      52,46,52,53,48,55,52,101,45,49,53,32,49,46,52,56,57,53,56,101,45,49,53,32,52,
      46,57,56,56,54,50,101,45,49,54,32,49,46,52,56,48,53,54,101,45,49,54,32,52,46,
      48,50,57,51,52,101,45,49,55,10,32,32,49,46,52,55,53,52,50,101,45,49,55,32,52,
      46,54,49,52,53,52,101,45,49,56,32,49,46,54,54,49,57,55,101,45,49,56,32,53,46,
      53,55,54,51,55,101,45,49,57,32,49,46,56,55,51,52,55,101,45,49,57,32,54,46,50,
      57,54,56,51,101,45,50,48,32,50,46,49,49,55,50,51,101,45,50,48,10,32,32,54,46,
      51,56,54,51,56,101,45,50,49,32,50,46,49,52,51,50,52,101,45,50,49,32,48,114,
      53,49,32,50,46,56,53,50,56,49,101,45,48,56,32,51,46,56,48,51,52,55,101,45,48,
      56,32,53,46,48,55,49,52,57,101,45,48,56,32,54,46,55,54,49,57,101,45,48,56,32,
      57,46,48,49,53,56,57,101,45,48,56,10,32,32,49,46,50,48,50,49,51,101,45,48,55,
      32,49,46,54,48,50,56,55,101,45,48,55,32,50,46,49,51,55,49,54,101,45,48,55,32,
      50,46,56,52,57,52,55,101,45,48,55,32,51,46,55,57,57,51,50,101,45,48,55,32,53,
      46,48,54,54,101,45,48,55,32,54,46,55,53,52,53,55,101,45,48,55,10,32,32,57,46,
      48,48,54,53,50,101,45,48,55,32,49,46,50,48,48,56,57,101,45,48,54,32,49,46,54,
      48,49,50,49,101,45,48,54,32,50,46,49,51,53,101,45,48,54,32,50,46,56,52,54,55,
      53,101,45,48,54,32,52,46,50,55,48,51,54,101,45,48,54,32,55,46,49,49,55,57,101,
      45,48,54,10,32,32,57,46,57,54,53,56,55,101,45,48,54,32,49,46,52,50,51,56,54,
      101,45,48,53,32,49,46,57,57,51,54,57,101,45,48,53,32,50,46,56,52,56,55,51,101,
      45,48,53,32,52,46,50,55,52,53,54,101,45,48,53,32,55,46,49,50,57,48,51,101,45,
      48,53,32,57,46,57,56,55,49,52,101,45,48,53,10,32,32,46,48,48,48,49,52,50,56,
      48,57,32,46,48,48,48,50,48,48,49,55,54,32,46,48,48,48,50,56,54,52,54,49,32,
      46,48,48,48,51,53,56,53,54,51,32,46,48,48,48,52,51,48,56,50,57,32,46,48,48,
      48,53,55,53,55,57,53,32,46,48,48,48,55,50,49,50,52,57,32,46,48,48,48,56,54,
      55,48,56,54,10,32,32,46,48,48,48,57,52,48,49,49,55,32,46,48,48,49,48,49,51,
      50,49,32,46,48,48,49,48,56,54,51,52,32,46,48,48,49,49,53,57,53,49,32,46,48,
      48,49,50,51,50,55,49,32,46,48,48,49,51,48,53,57,49,32,46,48,48,49,51,55,57,
      49,50,32,46,48,48,49,52,53,50,51,50,10,32,32,46,48,48,49,53,50,53,53,32,46,
      48,48,49,53,57,56,54,54,32,46,48,48,49,54,56,54,51,56,32,46,48,48,49,55,55,
      52,48,52,32,46,48,48,49,56,57,48,55,55,32,46,48,48,50,48,48,55,51,32,46,48,
      48,50,49,50,51,54,32,46,48,48,50,50,54,56,53,57,32,46,48,48,50,52,49,51,48,
      57,10,32,32,46,48,48,50,53,53,55,48,52,32,46,48,48,50,55,50,56,57,54,32,46,
      48,48,50,56,57,57,57,32,46,48,48,51,49,50,54,49,50,32,46,48,48,51,51,53,48,
      50,50,32,46,48,48,51,53,55,49,57,55,32,46,48,48,51,56,49,56,52,52,32,46,48,
      48,52,48,56,56,50,54,32,46,48,48,52,51,55,57,56,49,10,32,32,46,48,48,52,54,
      57,49,49,54,32,46,48,48,53,48,50,48,49,49,32,46,48,48,53,51,56,56,50,56,32,
      46,48,48,53,55,52,51,54,55,32,46,48,48,54,49,51,48,51,54,32,46,48,48,54,54,
      48,52,53,32,46,48,48,55,48,55,50,56,57,32,46,48,48,55,52,48,54,53,49,32,46,
      48,48,55,55,57,50,51,10,32,32,46,48,48,56,50,50,51,50,49,32,46,48,48,56,54,
      51,52,51,53,32,46,48,48,57,48,49,53,57,57,32,46,48,48,57,51,54,56,50,51,32,
      46,48,48,57,54,52,54,56,49,32,46,48,48,57,56,55,56,49,49,32,46,48,49,48,48,
      55,54,55,32,46,48,49,48,50,49,53,52,32,46,48,49,48,50,50,54,10,32,32,46,48,
      49,48,49,51,48,50,32,46,48,48,57,57,56,51,54,54,32,46,48,48,57,55,55,49,52,
      49,32,46,48,48,57,52,48,49,52,57,32,46,48,48,56,57,54,53,50,52,32,46,48,48,
      56,52,56,53,53,53,32,46,48,48,56,48,52,50,53,54,32,46,48,48,55,51,57,48,48,
      50,32,46,48,48,54,55,50,56,57,49,10,32,32,46,48,48,54,48,54,55,54,54,32,46,
      48,48,53,52,55,54,53,54,32,46,48,48,52,57,48,52,50,57,32,46,48,48,52,51,55,
      49,53,51,32,46,48,48,51,56,50,48,50,52,32,46,48,48,51,51,53,51,54,54,32,46,
      48,48,51,48,51,55,57,54,32,46,48,48,50,53,48,51,57,52,10,32,32,46,48,48,50,
      48,55,48,48,50,32,46,48,48,49,55,50,48,56,56,32,46,48,48,49,51,57,56,50,53,
      32,46,48,48,49,49,53,51,50,49,32,46,48,48,48,57,51,49,51,49,57,32,46,48,48,
      48,55,53,53,52,51,55,32,46,48,48,48,54,49,54,54,54,56,32,46,48,48,48,53,48,
      55,53,52,50,10,32,32,46,48,48,48,52,48,56,52,57,32,46,48,48,48,51,52,56,52,
      48,54,32,46,48,48,48,50,57,55,50,51,51,32,46,48,48,48,50,50,56,56,54,55,32,
      46,48,48,48,49,57,52,57,56,56,32,46,48,48,48,49,53,49,52,57,54,32,46,48,48,
      48,49,49,53,57,54,49,32,57,46,56,55,55,50,101,45,48,53,10,32,32,56,46,52,48,
      56,51,49,101,45,48,53,32,54,46,53,49,53,57,101,45,48,53,32,52,46,57,49,53,57,
      54,101,45,48,53,32,52,46,50,48,51,51,57,101,45,48,53,32,51,46,50,54,51,57,101,
      45,48,53,32,50,46,55,57,55,49,55,101,45,48,53,32,50,46,49,55,54,57,52,101,45,
      48,53,10,32,32,49,46,55,55,53,55,54,101,45,48,53,32,49,46,51,49,54,52,55,101,
      45,48,53,32,49,46,49,54,51,50,49,101,45,48,53,32,57,46,49,54,55,51,54,101,45,
      48,54,32,55,46,48,52,54,51,52,101,45,48,54,32,53,46,54,53,57,49,50,101,45,48,
      54,32,52,46,53,52,53,49,57,101,45,48,54,10,32,32,51,46,55,48,50,52,56,101,45,
      48,54,32,51,46,48,50,53,54,49,101,45,48,54,32,50,46,52,49,57,48,51,101,45,48,
      54,32,49,46,57,56,51,50,101,45,48,54,32,49,46,53,57,51,50,53,101,45,48,54,32,
      49,46,51,53,54,50,55,101,45,48,54,32,49,46,48,52,51,48,54,101,45,48,54,10,32,
      32,56,46,56,55,57,57,53,101,45,48,55,32,55,46,50,55,48,53,56,101,45,48,55,32,
      52,46,53,54,53,52,53,101,45,48,55,32,50,46,52,48,56,48,49,101,45,48,55,32,49,
      46,50,57,48,55,52,101,45,48,55,32,53,46,57,50,52,49,52,101,45,48,56,32,50,46,
      55,50,49,49,49,101,45,48,56,10,32,32,49,46,48,55,48,52,101,45,48,56,32,53,46,
      48,48,53,48,51,101,45,48,57,32,49,46,54,57,55,56,57,101,45,48,56,32,54,46,54,
      50,54,51,49,101,45,48,57,32,51,46,52,50,48,52,101,45,48,57,32,49,46,54,51,53,
      50,54,101,45,48,57,32,54,46,49,50,49,52,57,101,45,49,48,10,32,32,50,46,53,57,
      51,56,49,101,45,49,48,32,49,46,49,48,48,49,52,101,45,49,48,32,52,46,49,51,50,
      54,56,101,45,49,49,32,49,46,53,53,51,55,101,45,49,49,32,54,46,54,48,53,57,52,
      101,45,49,50,32,50,46,56,49,48,54,55,101,45,49,50,32,49,46,49,56,52,52,51,101,
      45,49,50,10,32,32,52,46,52,54,52,54,56,101,45,49,51,32,49,46,52,57,48,55,49,
      101,45,49,51,32,52,46,52,49,48,55,57,101,45,49,52,32,49,46,52,55,53,51,50,101,
      45,49,52,32,52,46,51,55,50,54,101,45,49,53,32,49,46,52,54,52,51,101,45,49,53,
      32,52,46,57,48,52,52,54,101,45,49,54,10,32,32,49,46,52,53,53,55,52,101,45,49,
      54,32,51,46,57,54,50,50,55,101,45,49,55,32,49,46,52,53,48,57,54,101,45,49,55,
      32,52,46,53,51,57,50,49,101,45,49,56,32,49,46,54,51,53,54,57,101,45,49,56,32,
      53,46,52,56,57,53,49,101,45,49,57,32,49,46,56,52,52,52,52,101,45,49,57,10,32,
      32,54,46,49,57,57,55,51,101,45,50,48,32,50,46,48,56,52,55,52,101,45,50,48,32,
      54,46,50,54,51,49,54,101,45,50,49,32,50,46,49,48,49,56,53,101,45,50,49,32,48,
      114,53,49,32,50,46,51,54,53,51,55,101,45,48,56,32,51,46,49,53,51,53,57,101,
      45,48,56,32,52,46,50,48,52,57,53,101,45,48,56,10,32,32,53,46,54,48,54,53,51,
      101,45,48,56,32,55,46,52,55,53,52,101,45,48,56,32,57,46,57,54,55,51,49,101,
      45,48,56,32,49,46,51,50,57,101,45,48,55,32,49,46,55,55,50,101,45,48,55,32,50,
      46,51,54,50,54,101,45,48,55,32,51,46,49,53,48,49,54,101,45,48,55,32,52,46,50,
      48,48,52,50,101,45,48,55,10,32,32,53,46,54,48,48,52,56,101,45,48,55,32,55,46,
      52,54,55,54,55,101,45,48,55,32,57,46,57,53,55,49,49,101,45,48,55,32,49,46,51,
      50,55,54,51,101,45,48,54,32,49,46,55,55,48,50,51,101,45,48,54,32,50,46,51,54,
      48,51,57,101,45,48,54,32,51,46,53,52,48,56,50,101,45,48,54,10,32,32,53,46,57,
      48,50,48,51,101,45,48,54,32,56,46,50,54,51,55,101,45,48,54,32,49,46,49,56,48,
      55,49,101,45,48,53,32,49,46,54,53,51,51,49,101,45,48,53,32,50,46,51,54,50,53,
      53,101,45,48,53,32,51,46,53,52,53,53,49,101,45,48,53,32,53,46,57,49,52,55,54,
      101,45,48,53,10,32,32,56,46,50,56,56,51,56,101,45,48,53,32,46,48,48,48,49,49,
      56,53,54,57,32,46,48,48,48,49,54,54,50,57,53,32,46,48,48,48,50,51,56,49,56,
      55,32,46,48,48,48,50,57,56,51,54,49,32,46,48,48,48,51,53,56,55,54,51,32,46,
      48,48,48,52,56,48,50,48,52,32,46,48,48,48,54,48,50,52,49,55,10,32,32,46,48,
      48,48,55,50,53,51,49,51,32,46,48,48,48,55,56,54,57,57,49,32,46,48,48,48,56,
      52,56,56,48,54,32,46,48,48,48,57,49,48,55,53,32,46,48,48,48,57,55,50,56,49,
      49,32,46,48,48,49,48,51,52,57,56,32,46,48,48,49,48,57,55,50,52,32,46,48,48,
      49,49,53,57,54,10,32,32,46,48,48,49,50,50,50,48,51,32,46,48,48,49,50,56,52,
      53,51,32,46,48,48,49,51,52,55,48,57,32,46,48,48,49,52,50,50,50,50,32,46,48,
      48,49,52,57,55,52,49,32,46,48,48,49,53,57,55,55,51,32,46,48,48,49,54,57,56,
      48,56,32,46,48,48,49,55,57,56,52,51,10,32,32,46,48,48,49,57,50,51,56,49,32,
      46,48,48,50,48,52,57,48,56,32,46,48,48,50,49,55,52,49,55,32,46,48,48,50,51,
      50,51,57,54,32,46,48,48,50,52,55,51,51,49,32,46,48,48,50,54,55,49,53,55,32,
      46,48,48,50,56,54,56,54,54,32,46,48,48,51,48,54,52,51,56,10,32,32,46,48,48,
      51,50,56,50,54,54,32,46,48,48,51,53,50,50,53,53,32,46,48,48,51,55,56,50,56,
      52,32,46,48,48,52,48,54,50,48,55,32,46,48,48,52,51,53,56,52,50,32,46,48,48,
      52,54,57,49,56,32,46,48,48,53,48,49,53,51,50,32,46,48,48,53,51,54,57,51,32,
      46,48,48,53,56,48,54,50,55,10,32,32,46,48,48,54,50,52,49,49,57,32,46,48,48,
      54,53,53,51,49,55,32,46,48,48,54,57,49,54,52,51,32,46,48,48,55,51,50,53,55,
      51,32,46,48,48,55,55,50,48,52,54,32,46,48,48,56,48,57,49,53,51,32,46,48,48,
      56,52,51,57,53,32,46,48,48,56,55,50,48,51,52,32,46,48,48,56,57,53,57,56,56,
      10,32,32,46,48,48,57,49,55,53,51,57,32,46,48,48,57,51,52,54,50,54,32,46,48,
      48,57,51,57,53,55,51,32,46,48,48,57,51,52,52,54,56,32,46,48,48,57,50,51,55,
      53,32,46,48,48,57,48,54,56,53,52,32,46,48,48,56,55,53,57,49,52,32,46,48,48,
      56,51,56,50,52,54,32,46,48,48,55,57,53,57,57,54,10,32,32,46,48,48,55,53,54,
      52,52,50,32,46,48,48,54,57,55,53,49,32,46,48,48,54,51,55,49,54,52,32,46,48,
      48,53,55,54,51,32,46,48,48,53,50,49,53,48,51,32,46,48,48,52,54,56,49,53,51,
      32,46,48,48,52,49,56,50,52,51,32,46,48,48,51,54,54,51,54,50,32,46,48,48,51,
      50,50,50,55,51,10,32,32,46,48,48,50,57,50,51,52,54,32,46,48,48,50,52,49,53,
      53,51,32,46,48,48,50,48,48,49,50,32,46,48,48,49,54,54,54,55,52,32,46,48,48,
      49,51,53,54,55,56,32,46,48,48,49,49,50,48,55,52,32,46,48,48,48,57,48,54,52,
      57,51,32,46,48,48,48,55,51,54,51,48,53,10,32,32,46,48,48,48,54,48,49,55,55,
      55,32,46,48,48,48,52,57,53,56,49,32,46,48,48,48,51,57,57,52,55,55,32,46,48,
      48,48,51,52,48,57,54,56,32,46,48,48,48,50,57,49,48,57,32,46,48,48,48,50,50,
      52,51,55,53,32,46,48,48,48,49,57,49,50,55,53,32,46,48,48,48,49,52,56,55,52,
      10,32,32,46,48,48,48,49,49,51,57,52,56,32,57,46,55,49,48,51,54,101,45,48,53,
      32,56,46,50,55,48,48,49,101,45,48,53,32,54,46,52,49,50,57,57,101,45,48,53,32,
      52,46,56,52,49,54,50,101,45,48,53,32,52,46,49,52,49,50,57,101,45,48,53,32,51,
      46,50,49,55,52,50,101,45,48,53,10,32,32,50,46,55,53,56,50,101,45,48,53,32,50,
      46,49,52,55,54,52,101,45,48,53,32,49,46,55,53,50,52,57,101,45,48,53,32,49,46,
      50,57,57,56,57,101,45,48,53,32,49,46,49,52,56,55,57,101,45,48,53,32,57,46,48,
      53,54,57,53,101,45,48,54,32,54,46,57,54,52,48,57,101,45,48,54,10,32,32,53,46,
      53,57,52,55,49,101,45,48,54,32,52,46,52,57,52,55,52,101,45,48,54,32,51,46,54,
      54,50,51,51,101,45,48,54,32,50,46,57,57,51,53,51,101,45,48,54,32,50,46,51,57,
      52,101,45,48,54,32,49,46,57,54,51,49,101,45,48,54,32,49,46,53,55,55,52,54,101,
      45,48,54,10,32,32,49,46,51,52,51,48,53,101,45,48,54,32,49,46,48,51,51,49,53,
      101,45,48,54,32,56,46,55,57,54,57,49,101,45,48,55,32,55,46,50,48,51,56,56,101,
      45,48,55,32,52,46,53,50,53,51,49,101,45,48,55,32,50,46,51,56,55,57,56,101,45,
      48,55,32,49,46,50,56,48,53,53,101,45,48,55,10,32,32,53,46,56,56,48,50,50,101,
      45,48,56,32,50,46,55,48,50,48,56,101,45,48,56,32,49,46,48,54,51,51,56,101,45,
      48,56,32,52,46,57,55,55,50,54,101,45,48,57,32,49,46,54,53,56,49,52,101,45,48,
      56,32,54,46,52,55,51,49,51,101,45,48,57,32,51,46,51,52,50,50,57,101,45,48,57,
      10,32,32,49,46,53,57,56,50,49,101,45,48,57,32,53,46,57,56,52,51,101,45,49,48,
      32,50,46,53,51,54,52,101,45,49,48,32,49,46,48,55,53,57,56,101,45,49,48,32,52,
      46,48,52,50,54,55,101,45,49,49,32,49,46,53,50,48,53,54,101,45,49,49,32,54,46,
      52,54,55,101,45,49,50,10,32,32,50,46,55,53,49,57,51,101,45,49,50,32,49,46,49,
      53,57,57,101,45,49,50,32,52,46,51,55,51,49,51,101,45,49,51,32,49,46,52,54,48,
      56,49,101,45,49,51,32,52,46,51,50,50,57,57,101,45,49,52,32,49,46,52,52,54,49,
      50,101,45,49,52,32,52,46,50,56,54,55,49,101,45,49,53,10,32,32,49,46,52,51,54,
      49,54,101,45,49,53,32,52,46,56,49,52,53,57,101,45,49,54,32,49,46,52,50,57,52,
      50,101,45,49,54,32,51,46,56,57,49,101,45,49,55,32,49,46,52,50,52,57,55,101,
      45,49,55,32,52,46,52,53,57,53,53,101,45,49,56,32,49,46,54,48,54,55,101,45,49,
      56,10,32,32,53,46,51,57,52,48,57,101,45,49,57,32,49,46,56,49,51,52,49,101,45,
      49,57,32,54,46,48,57,55,48,57,101,45,50,48,32,50,46,48,53,48,52,101,45,50,48,
      32,54,46,49,51,50,48,55,101,45,50,49,32,50,46,48,53,55,56,49,101,45,50,49,32,
      48,114,53,49,32,49,46,57,49,52,57,50,101,45,48,56,10,32,32,50,46,53,53,51,48,
      52,101,45,48,56,32,51,46,52,48,52,49,57,101,45,48,56,32,52,46,53,51,56,56,54,
      101,45,48,56,32,54,46,48,53,49,56,51,101,45,48,56,32,56,46,48,54,57,50,101,
      45,48,56,32,49,46,48,55,53,57,49,101,45,48,55,32,49,46,52,51,52,53,53,101,45,
      48,55,10,32,32,49,46,57,49,50,54,56,101,45,48,55,32,50,46,53,53,48,50,54,101,
      45,48,55,32,51,46,52,48,48,53,101,45,48,55,32,52,46,53,51,51,57,52,101,45,48,
      55,32,54,46,48,52,53,53,51,101,45,48,55,32,56,46,48,54,48,56,54,101,45,48,55,
      32,49,46,48,55,52,55,57,101,45,48,54,10,32,32,49,46,52,51,51,49,101,45,48,54,
      32,49,46,57,49,48,56,54,101,45,48,54,32,50,46,56,54,54,52,53,101,45,48,54,32,
      52,46,55,55,55,57,49,101,45,48,54,32,54,46,54,56,57,55,50,101,45,48,54,32,57,
      46,53,53,56,49,52,101,45,48,54,32,49,46,51,51,56,52,101,45,48,53,10,32,32,49,
      46,57,49,50,53,55,101,45,48,53,32,50,46,56,55,48,51,50,101,45,48,53,32,52,46,
      55,56,56,57,49,101,45,48,53,32,54,46,55,49,49,55,51,101,45,48,53,32,57,46,54,
      48,52,48,53,101,45,48,53,32,46,48,48,48,49,51,52,55,53,55,32,46,48,48,48,49,
      57,51,49,54,10,32,32,46,48,48,48,50,52,50,49,50,56,32,46,48,48,48,50,57,49,
      51,54,49,32,46,48,48,48,51,57,48,54,48,54,32,46,48,48,48,52,57,48,56,52,51,
      32,46,48,48,48,53,57,50,48,49,52,32,46,48,48,48,54,52,50,57,50,57,32,46,48,
      48,48,54,57,52,48,53,52,32,46,48,48,48,55,52,53,51,55,57,10,32,32,46,48,48,
      48,55,57,54,56,57,56,32,46,48,48,48,56,52,56,54,32,46,48,48,48,57,48,48,52,
      55,56,32,46,48,48,48,57,53,50,53,50,51,32,46,48,48,49,48,48,52,55,51,32,46,
      48,48,49,48,53,55,48,56,32,46,48,48,49,49,48,57,53,56,32,46,48,48,49,49,55,
      50,55,53,10,32,32,46,48,48,49,50,51,54,48,57,32,46,48,48,49,51,50,48,56,49,
      32,46,48,48,49,52,48,53,55,56,32,46,48,48,49,52,57,48,57,56,32,46,48,48,49,
      53,57,55,55,51,32,46,48,48,49,55,48,52,55,50,32,46,48,48,49,56,49,49,56,57,
      32,46,48,48,49,57,52,48,54,51,10,32,32,46,48,48,50,48,54,57,52,51,32,46,48,
      48,50,50,52,49,48,57,32,46,48,48,50,52,49,50,52,55,32,46,48,48,50,53,56,51,
      51,54,32,46,48,48,50,55,55,52,55,54,32,46,48,48,50,57,56,54,48,53,32,46,48,
      48,51,50,49,54,52,49,32,46,48,48,51,52,54,52,55,56,10,32,32,46,48,48,51,55,
      50,57,55,52,32,46,48,48,52,48,50,57,53,32,46,48,48,52,51,50,50,48,54,32,46,
      48,48,52,54,52,52,48,53,32,46,48,48,53,48,52,52,51,49,32,46,48,48,53,52,52,
      53,56,50,32,46,48,48,53,55,51,53,56,54,32,46,48,48,54,48,55,53,57,32,46,48,
      48,54,52,54,50,51,51,10,32,32,46,48,48,54,56,51,56,56,50,32,46,48,48,55,49,
      57,55,48,49,32,46,48,48,55,53,51,55,56,49,32,46,48,48,55,56,49,55,56,53,32,
      46,48,48,56,48,54,50,51,51,32,46,48,48,56,50,57,48,54,50,32,46,48,48,56,52,
      56,56,51,51,32,46,48,48,56,53,55,49,57,51,10,32,32,46,48,48,56,53,54,49,51,
      49,32,46,48,48,56,52,57,48,51,50,32,46,48,48,56,51,54,49,55,56,32,46,48,48,
      56,49,48,57,55,32,46,48,48,55,55,57,48,50,53,32,46,48,48,55,52,50,51,50,51,
      32,46,48,48,55,48,55,52,51,51,32,46,48,48,54,53,52,55,53,57,32,46,48,48,54,
      48,48,49,55,56,10,32,32,46,48,48,53,52,52,54,48,53,32,46,48,48,52,57,52,50,
      48,52,32,46,48,48,52,52,52,56,49,56,32,46,48,48,51,57,56,51,54,53,32,46,48,
      48,51,52,57,56,51,57,32,46,48,48,51,48,56,52,49,55,32,46,48,48,50,56,48,50,
      48,53,32,46,48,48,50,51,50,49,52,55,10,32,32,46,48,48,49,57,50,55,55,54,32,
      46,48,48,49,54,48,56,56,49,32,46,48,48,49,51,49,50,50,56,32,46,48,48,49,48,
      56,53,56,51,32,46,48,48,48,56,55,57,55,52,50,32,46,48,48,48,55,49,53,54,53,
      32,46,48,48,48,53,56,53,54,55,32,46,48,48,48,52,56,51,49,48,50,10,32,32,46,
      48,48,48,51,56,57,55,48,52,32,46,48,48,48,51,51,50,56,57,52,32,46,48,48,48,
      50,56,52,52,49,51,32,46,48,48,48,50,49,57,52,56,49,32,46,48,48,48,49,56,55,
      50,50,56,32,46,48,48,48,49,52,53,55,51,54,32,46,48,48,48,49,49,49,55,53,32,
      57,46,53,50,56,48,49,101,45,48,53,10,32,32,56,46,49,49,56,55,52,101,45,48,53,
      32,54,46,51,48,48,51,54,101,45,48,53,32,52,46,55,54,48,49,54,101,45,48,53,32,
      52,46,48,55,51,50,51,101,45,48,53,32,51,46,49,54,54,52,52,101,45,48,53,32,50,
      46,55,49,53,52,50,101,45,48,53,32,50,46,49,49,53,52,53,101,45,48,53,10,32,32,
      49,46,55,50,54,57,51,101,45,48,53,32,49,46,50,56,49,54,53,101,45,48,53,32,49,
      46,49,51,50,57,49,101,45,48,53,32,56,46,57,51,53,52,50,101,45,48,54,32,54,46,
      56,55,51,53,55,101,45,48,54,32,53,46,53,50,51,56,52,101,45,48,54,32,52,46,52,
      51,57,50,49,101,45,48,54,10,32,32,51,46,54,49,56,49,49,101,45,48,54,32,50,46,
      57,53,56,49,54,101,45,48,54,32,50,46,51,54,54,51,56,101,45,48,54,32,49,46,57,
      52,48,57,49,101,45,48,54,32,49,46,53,54,48,48,51,101,45,48,54,32,49,46,51,50,
      56,52,53,101,45,48,54,32,49,46,48,50,50,50,49,101,45,48,54,10,32,32,56,46,55,
      48,53,49,53,101,45,48,55,32,55,46,49,51,48,49,52,101,45,48,55,32,52,46,52,56,
      48,57,52,101,45,48,55,32,50,46,51,54,53,56,54,101,45,48,55,32,49,46,50,54,57,
      50,57,101,45,48,55,32,53,46,56,51,49,53,54,101,45,48,56,32,50,46,54,56,48,57,
      56,101,45,48,56,10,32,32,49,46,48,53,53,54,49,101,45,48,56,32,52,46,57,52,53,
      53,49,101,45,48,57,32,49,46,54,49,54,49,54,101,45,48,56,32,54,46,51,49,49,50,
      53,101,45,48,57,32,51,46,50,53,57,51,54,101,45,48,57,32,49,46,53,53,57,48,56,
      101,45,48,57,32,53,46,56,51,57,51,53,101,45,49,48,10,32,32,50,46,52,55,53,52,
      57,101,45,49,48,32,49,46,48,53,48,52,55,101,45,49,48,32,51,46,57,52,55,55,55,
      101,45,49,49,32,49,46,52,56,53,49,53,101,45,49,49,32,54,46,51,49,56,53,49,101,
      45,49,50,32,50,46,54,57,48,48,53,101,45,49,50,32,49,46,49,51,52,48,56,101,45,
      49,50,10,32,32,52,46,50,55,54,52,51,101,45,49,51,32,49,46,52,50,56,55,101,45,
      49,51,32,52,46,50,50,57,57,55,101,45,49,52,32,49,46,52,49,53,52,101,45,49,52,
      32,52,46,49,57,54,51,56,101,45,49,53,32,49,46,52,48,54,49,49,101,45,49,53,32,
      52,46,55,49,52,51,57,101,45,49,54,10,32,32,49,46,52,48,48,56,54,101,45,49,54,
      32,51,46,56,49,54,49,49,101,45,49,55,32,49,46,51,57,55,55,101,45,49,55,32,52,
      46,51,55,52,55,54,101,45,49,56,32,49,46,53,55,54,51,49,101,45,49,56,32,53,46,
      50,57,50,52,51,101,45,49,57,32,49,46,55,55,57,52,52,101,45,49,57,10,32,32,53,
      46,57,56,52,53,49,101,45,50,48,32,50,46,48,49,51,52,50,101,45,50,48,32,53,46,
      57,57,51,56,57,101,45,50,49,32,50,46,48,49,49,51,57,101,45,50,49,32,48,114,
      53,49,32,49,46,52,53,55,57,54,101,45,48,56,32,49,46,57,52,51,56,49,101,45,48,
      56,32,50,46,53,57,49,56,53,101,45,48,56,10,32,32,51,46,52,53,53,55,54,101,45,
      48,56,32,52,46,54,48,55,54,57,101,45,48,56,32,54,46,49,52,51,54,54,101,45,48,
      56,32,56,46,49,57,49,55,101,45,48,56,32,49,46,48,57,50,50,51,101,45,48,55,32,
      49,46,52,53,54,50,55,101,45,48,55,32,49,46,57,52,49,55,50,101,45,48,55,10,32,
      32,50,46,53,56,57,49,101,45,48,55,32,51,46,52,53,50,49,49,101,45,48,55,32,52,
      46,54,48,51,48,55,101,45,48,55,32,54,46,49,51,55,54,51,101,45,48,55,32,56,46,
      49,56,51,55,54,101,45,48,55,32,49,46,48,57,49,50,51,101,45,48,54,32,49,46,52,
      53,53,48,54,101,45,48,54,10,32,32,50,46,49,56,50,56,55,101,45,48,54,32,51,46,
      54,51,56,57,57,101,45,48,54,32,53,46,48,57,53,55,55,101,45,48,54,32,55,46,50,
      56,50,50,101,45,48,54,32,49,46,48,49,57,57,56,101,45,48,53,32,49,46,52,53,56,
      49,52,101,45,48,53,32,50,46,49,56,57,55,55,101,45,48,53,10,32,32,51,46,54,53,
      56,50,52,101,45,48,53,32,53,46,49,51,51,54,54,101,45,48,53,32,55,46,51,53,57,
      56,52,101,45,48,53,32,46,48,48,48,49,48,51,53,50,51,32,46,48,48,48,49,52,56,
      57,50,32,46,48,48,48,49,56,55,50,48,57,32,46,48,48,48,50,50,53,57,48,53,32,
      46,48,48,48,51,48,52,52,55,54,10,32,32,46,48,48,48,51,56,52,53,52,52,32,46,
      48,48,48,52,54,54,48,50,52,32,46,48,48,48,53,48,55,50,54,54,32,46,48,48,48,
      53,52,56,56,50,55,32,46,48,48,48,53,57,48,54,57,56,32,46,48,48,48,54,51,50,
      56,54,56,32,46,48,48,48,54,55,53,51,50,53,32,46,48,48,48,55,49,56,48,53,57,
      10,32,32,46,48,48,48,55,54,49,48,54,49,32,46,48,48,48,56,48,52,51,49,57,32,
      46,48,48,48,56,52,55,56,50,52,32,46,48,48,48,56,57,49,53,54,53,32,46,48,48,
      48,57,52,52,51,53,52,32,46,48,48,48,57,57,55,52,53,49,32,46,48,48,49,48,54,
      56,55,32,46,48,48,49,49,52,48,52,51,10,32,32,46,48,48,49,50,49,50,54,49,32,
      46,48,48,49,51,48,51,51,57,32,46,48,48,49,51,57,52,55,53,32,46,48,48,49,52,
      56,54,54,32,46,48,48,49,53,57,55,51,56,32,46,48,48,49,55,48,56,54,56,32,46,
      48,48,49,56,53,55,54,56,32,46,48,48,50,48,48,55,49,54,32,46,48,48,50,49,53,
      54,56,57,10,32,32,46,48,48,50,51,50,53,51,52,32,46,48,48,50,53,49,50,50,32,
      46,48,48,50,55,49,54,57,51,32,46,48,48,50,57,51,56,55,56,32,46,48,48,51,49,
      55,54,54,55,32,46,48,48,51,52,52,55,50,54,32,46,48,48,51,55,49,50,56,32,46,
      48,48,52,48,48,54,54,56,32,46,48,48,52,51,55,52,51,50,10,32,32,46,48,48,52,
      55,52,53,55,53,32,46,48,48,53,48,49,53,55,55,32,46,48,48,53,51,51,52,50,51,
      32,46,48,48,53,54,57,56,56,57,32,46,48,48,54,48,53,55,51,52,32,46,48,48,54,
      52,48,49,56,50,32,46,48,48,54,55,51,51,54,53,32,46,48,48,55,48,49,48,51,57,
      10,32,32,46,48,48,55,50,53,54,53,32,46,48,48,55,52,57,50,57,52,32,46,48,48,
      55,55,49,48,52,57,32,46,48,48,55,56,50,49,48,56,32,46,48,48,55,56,52,51,53,
      56,32,46,48,48,55,56,48,50,57,51,32,46,48,48,55,55,48,56,56,49,32,46,48,48,
      55,53,48,54,51,54,32,46,48,48,55,50,51,55,49,57,10,32,32,46,48,48,54,57,49,
      57,53,53,32,46,48,48,54,54,49,50,52,57,32,46,48,48,54,49,52,50,53,57,32,46,
      48,48,53,54,52,57,54,53,32,46,48,48,53,49,52,50,57,51,32,46,48,48,52,54,55,
      57,56,50,32,46,48,48,52,50,50,51,50,54,32,46,48,48,51,55,57,49,52,49,10,32,
      32,46,48,48,51,51,51,56,48,49,32,46,48,48,50,57,52,57,50,51,32,46,48,48,50,
      54,56,51,53,54,32,46,48,48,50,50,50,57,51,49,32,46,48,48,49,56,53,53,53,55,
      32,46,48,48,49,53,53,49,55,50,32,46,48,48,49,50,54,56,51,32,46,48,48,49,48,
      53,49,50,50,32,46,48,48,48,56,53,51,49,55,51,10,32,32,46,48,48,48,54,57,53,
      48,57,51,32,46,48,48,48,53,54,57,54,49,52,32,46,48,48,48,52,55,48,52,49,53,
      32,46,48,48,48,51,55,57,57,50,57,32,46,48,48,48,51,50,52,56,49,51,32,46,48,
      48,48,50,55,55,55,50,52,32,46,48,48,48,50,49,52,53,55,49,32,46,48,48,48,49,
      56,51,49,54,49,10,32,32,46,48,48,48,49,52,50,55,48,57,32,46,48,48,48,49,48,
      57,53,51,52,32,57,46,51,52,52,49,57,101,45,48,53,32,55,46,57,54,54,49,55,101,
      45,48,53,32,54,46,49,56,54,54,52,101,45,48,53,32,52,46,54,55,55,56,55,101,45,
      48,53,32,52,46,48,48,52,52,50,101,45,48,53,10,32,32,51,46,49,49,52,56,54,101,
      45,48,53,32,50,46,54,55,50,49,53,101,45,48,53,32,50,46,48,56,50,56,55,101,45,
      48,53,32,49,46,55,48,49,48,53,101,45,48,53,32,49,46,50,54,51,49,54,101,45,48,
      53,32,49,46,49,49,54,56,50,101,45,48,53,32,56,46,56,49,50,49,54,101,45,48,54,
      10,32,32,54,46,55,56,49,54,54,101,45,48,54,32,53,46,52,53,49,56,51,101,45,48,
      54,32,52,46,51,56,50,55,54,101,45,48,54,32,51,46,53,55,51,49,52,101,45,48,54,
      32,50,46,57,50,50,50,101,45,48,54,32,50,46,51,51,56,50,57,101,45,48,54,32,49,
      46,57,49,56,51,53,101,45,48,54,10,32,32,49,46,53,52,50,51,101,45,48,54,32,49,
      46,51,49,51,53,57,101,45,48,54,32,49,46,48,49,49,48,54,101,45,48,54,32,56,46,
      54,49,49,55,49,101,45,48,55,32,55,46,48,53,53,48,52,101,45,48,55,32,52,46,52,
      51,53,55,51,101,45,48,55,32,50,46,51,52,51,50,56,101,45,48,55,10,32,32,49,46,
      50,53,55,55,56,101,45,48,55,32,53,46,55,56,49,57,101,45,48,56,32,50,46,54,53,
      57,52,52,101,45,48,56,32,49,46,48,52,55,54,55,101,45,48,56,32,52,46,57,49,48,
      52,53,101,45,48,57,32,49,46,53,55,53,50,54,101,45,48,56,32,54,46,49,53,51,54,
      52,101,45,48,57,10,32,32,51,46,49,55,56,54,53,101,45,48,57,32,49,46,53,50,48,
      55,57,101,45,48,57,32,53,46,54,57,56,50,52,101,45,49,48,32,50,46,52,49,54,50,
      54,101,45,49,48,32,49,46,48,50,53,53,52,101,45,49,48,32,51,46,56,53,53,51,51,
      101,45,49,49,32,49,46,52,53,48,55,52,101,45,49,49,10,32,32,54,46,49,55,51,50,
      52,101,45,49,50,32,50,46,54,50,56,54,50,101,45,49,50,32,49,46,49,48,56,55,54,
      101,45,49,50,32,52,46,49,56,50,50,55,101,45,49,51,32,49,46,51,57,55,53,49,101,
      45,49,51,32,52,46,49,51,56,52,54,101,45,49,52,32,49,46,51,56,53,50,55,101,45,
      49,52,10,32,32,52,46,49,48,56,54,55,101,45,49,53,32,49,46,51,55,54,56,56,101,
      45,49,53,32,52,46,54,49,55,48,57,101,45,49,54,32,49,46,51,55,50,49,56,101,45,
      49,54,32,51,46,55,51,57,55,54,101,45,49,55,32,49,46,51,55,48,56,55,101,45,49,
      55,32,52,46,50,57,50,55,54,101,45,49,56,10,32,32,49,46,53,52,54,56,54,101,45,
      49,56,32,53,46,49,57,51,50,54,101,45,49,57,32,49,46,55,52,54,48,53,101,45,49,
      57,32,53,46,56,55,50,55,56,101,45,50,48,32,49,46,57,55,54,48,51,101,45,50,48,
      32,53,46,56,53,52,48,49,101,45,50,49,32,49,46,57,54,53,52,52,101,45,50,49,10,
      32,32,48,114,53,49,32,49,46,48,53,50,56,49,101,45,48,56,32,49,46,52,48,51,54,
      52,101,45,48,56,32,49,46,56,55,49,54,101,45,48,56,32,50,46,52,57,53,52,51,101,
      45,48,56,32,51,46,51,50,55,50,54,101,45,48,56,32,52,46,52,51,54,52,49,101,45,
      48,56,32,53,46,57,49,53,51,51,101,45,48,56,10,32,32,55,46,56,56,55,49,54,101,
      45,48,56,32,49,46,48,53,49,54,101,45,48,55,32,49,46,52,48,50,49,54,101,45,48,
      55,32,49,46,56,54,57,54,54,101,45,48,55,32,50,46,52,57,50,56,57,101,45,48,55,
      32,51,46,51,50,52,49,101,45,48,55,32,52,46,52,51,50,51,55,101,45,48,55,10,32,
      32,53,46,57,49,48,49,54,101,45,48,55,32,55,46,56,56,48,57,49,101,45,48,55,32,
      49,46,48,53,48,57,49,101,45,48,54,32,49,46,53,55,54,55,50,101,45,48,54,32,50,
      46,54,50,57,48,49,101,45,48,54,32,51,46,54,56,50,50,50,101,45,48,54,32,53,46,
      50,54,51,55,50,101,45,48,54,10,32,32,55,46,51,55,53,53,56,101,45,48,54,32,49,
      46,48,53,53,48,50,101,45,48,53,32,49,46,53,56,53,57,55,101,45,48,53,32,50,46,
      54,53,52,55,55,101,45,48,53,32,51,46,55,51,50,55,56,101,45,48,53,32,53,46,51,
      54,55,101,45,48,53,32,55,46,53,55,55,56,50,101,45,48,53,10,32,32,46,48,48,48,
      49,48,57,54,49,50,32,46,48,48,48,49,51,56,52,48,57,32,46,48,48,48,49,54,55,
      55,52,49,32,46,48,48,48,50,50,55,57,53,51,32,46,48,48,48,50,57,48,49,52,49,
      32,46,48,48,48,51,53,52,49,57,54,32,46,48,48,48,51,56,54,56,57,49,32,46,48,
      48,48,52,50,48,48,49,50,10,32,32,46,48,48,48,52,53,51,53,52,56,32,46,48,48,
      48,52,56,55,52,56,52,32,46,48,48,48,53,50,49,56,48,56,32,46,48,48,48,53,53,
      54,53,48,57,32,46,48,48,48,53,57,49,53,55,51,32,46,48,48,48,54,50,54,57,56,
      56,32,46,48,48,48,54,54,50,55,52,51,32,46,48,48,48,54,57,56,56,50,53,10,32,
      32,46,48,48,48,55,52,50,53,52,32,46,48,48,48,55,56,54,54,56,57,32,46,48,48,
      48,56,52,54,50,32,46,48,48,48,57,48,54,52,48,53,32,46,48,48,48,57,54,55,50,
      54,52,32,46,48,48,49,48,52,52,49,56,32,46,48,48,49,49,50,49,57,56,32,46,48,
      48,49,50,48,48,53,55,10,32,32,46,48,48,49,50,57,53,56,50,32,46,48,48,49,51,
      57,49,57,56,32,46,48,48,49,53,50,49,52,32,46,48,48,49,54,53,49,57,54,32,46,
      48,48,49,55,56,51,52,50,32,46,48,48,49,57,51,50,48,53,32,46,48,48,50,48,57,
      55,55,55,32,46,48,48,50,50,56,48,50,56,32,46,48,48,50,52,55,57,48,56,10,32,
      32,46,48,48,50,54,57,51,51,55,32,46,48,48,50,57,51,56,52,32,46,48,48,51,49,
      56,48,49,51,32,46,48,48,51,52,52,57,48,54,32,46,48,48,51,55,56,55,52,53,32,
      46,48,48,52,49,51,49,53,55,32,46,48,48,52,51,56,51,49,51,32,46,48,48,52,54,
      56,49,52,51,32,46,48,48,53,48,50,53,50,53,10,32,32,46,48,48,53,51,54,53,56,
      52,32,46,48,48,53,54,57,54,48,50,32,46,48,48,54,48,49,55,51,57,32,46,48,48,
      54,50,56,56,55,52,32,46,48,48,54,53,51,51,55,50,32,46,48,48,54,55,55,52,51,
      55,32,46,48,48,55,48,48,53,56,54,32,46,48,48,55,49,51,55,51,32,46,48,48,55,
      49,56,54,54,10,32,32,46,48,48,55,49,55,49,49,55,32,46,48,48,55,49,48,54,50,
      32,46,48,48,54,57,52,54,53,32,46,48,48,54,55,50,49,51,55,32,46,48,48,54,52,
      52,55,53,53,32,46,48,48,54,49,55,56,32,46,48,48,53,55,53,57,53,32,46,48,48,
      53,51,49,52,57,57,32,46,48,48,52,56,53,51,52,57,10,32,32,46,48,48,52,52,50,
      56,52,53,32,46,48,48,52,48,48,54,55,54,32,46,48,48,51,54,48,53,55,55,32,46,
      48,48,51,49,56,50,53,56,32,46,48,48,50,56,49,56,48,54,32,46,48,48,50,53,54,
      56,49,49,32,46,48,48,50,49,51,57,49,55,32,46,48,48,49,55,56,52,55,52,10,32,
      32,46,48,48,49,52,57,53,53,51,32,46,48,48,49,50,50,52,56,57,32,46,48,48,49,
      48,49,55,32,46,48,48,48,56,50,54,56,50,56,32,46,48,48,48,54,55,52,54,55,53,
      32,46,48,48,48,53,53,51,54,51,57,32,46,48,48,48,52,53,55,55,55,51,32,46,48,
      48,48,51,55,48,49,55,52,10,32,32,46,48,48,48,51,49,54,55,51,55,32,46,48,48,
      48,50,55,49,48,51,50,32,46,48,48,48,50,48,57,54,53,51,32,46,48,48,48,49,55,
      57,48,56,53,32,46,48,48,48,49,51,57,54,55,51,32,46,48,48,48,49,48,55,51,48,
      56,32,57,46,49,53,57,49,56,101,45,48,53,32,55,46,56,49,50,53,51,101,45,48,53,
      10,32,32,54,46,48,55,50,48,55,101,45,48,53,32,52,46,53,57,52,56,55,101,45,48,
      53,32,51,46,57,51,52,57,56,101,45,48,53,32,51,46,48,54,50,55,55,101,45,48,53,
      32,50,46,54,50,56,52,49,101,45,48,53,32,50,46,48,52,57,57,51,101,45,48,53,32,
      49,46,54,55,52,56,54,101,45,48,53,10,32,32,49,46,50,52,52,52,53,101,45,48,53,
      32,49,46,49,48,48,53,51,101,45,48,53,32,56,46,54,56,55,51,51,101,45,48,54,32,
      54,46,54,56,56,53,53,101,45,48,54,32,53,46,51,55,56,56,52,101,45,48,54,32,52,
      46,51,50,53,53,49,101,45,48,54,32,51,46,53,50,55,53,101,45,48,54,10,32,32,50,
      46,56,56,53,54,56,101,45,48,54,32,50,46,51,48,57,55,53,101,45,48,54,32,49,46,
      56,57,53,52,50,101,45,48,54,32,49,46,53,50,52,50,55,101,45,48,54,32,49,46,50,
      57,56,52,56,101,45,48,54,32,57,46,57,57,55,51,101,45,48,55,32,56,46,53,49,54,
      55,101,45,48,55,10,32,32,54,46,57,55,56,54,55,101,45,48,55,32,52,46,51,56,57,
      55,50,101,45,48,55,32,50,46,51,50,48,51,50,101,45,48,55,32,49,46,50,52,54,48,
      57,101,45,48,55,32,53,46,55,51,49,50,56,101,45,48,56,32,50,46,54,51,55,52,54,
      101,45,48,56,32,49,46,48,51,57,53,53,101,45,48,56,10,32,32,52,46,56,55,52,53,
      53,101,45,48,57,32,49,46,53,51,53,52,54,101,45,48,56,32,54,46,48,48,48,48,57,
      101,45,48,57,32,51,46,49,48,48,48,52,101,45,48,57,32,49,46,52,56,51,53,52,101,
      45,48,57,32,53,46,53,54,48,50,54,101,45,49,48,32,50,46,51,53,56,53,53,101,45,
      49,48,10,32,32,49,46,48,48,49,51,101,45,49,48,32,51,46,55,54,53,48,57,101,45,
      49,49,32,49,46,52,49,55,50,50,101,45,49,49,32,54,46,48,51,49,56,52,101,45,49,
      50,32,50,46,53,54,56,55,57,101,45,49,50,32,49,46,48,56,51,55,56,101,45,49,50,
      32,52,46,48,56,57,54,51,101,45,49,51,10,32,32,49,46,51,54,55,50,53,101,45,49,
      51,32,52,46,48,52,57,54,50,101,45,49,52,32,49,46,51,53,53,55,52,101,45,49,52,
      32,52,46,48,50,50,48,55,101,45,49,53,32,49,46,51,52,56,52,55,101,45,49,53,32,
      52,46,53,50,50,56,50,101,45,49,54,32,49,46,51,52,52,52,101,45,49,54,10,32,32,
      51,46,54,54,52,54,57,101,45,49,55,32,49,46,51,52,51,52,49,101,45,49,55,32,52,
      46,50,48,56,56,52,101,45,49,56,32,49,46,53,49,55,54,57,101,45,49,56,32,53,46,
      48,57,54,55,101,45,49,57,32,49,46,55,49,51,55,55,101,45,49,57,32,53,46,55,54,
      52,56,53,101,45,50,48,10,32,32,49,46,57,51,57,57,51,101,45,50,48,32,53,46,55,
      49,54,53,56,101,45,50,49,32,49,46,57,49,57,50,55,101,45,50,49,32,48,114,53,
      49,32,54,46,55,52,51,54,49,101,45,48,57,32,56,46,57,57,48,56,51,101,45,48,57,
      32,49,46,49,57,56,56,51,101,45,48,56,32,49,46,53,57,56,52,50,101,45,48,56,10,
      32,32,50,46,49,51,49,50,53,101,45,48,56,32,50,46,56,52,49,55,50,101,45,48,56,
      32,51,46,55,56,57,48,54,101,45,48,56,32,53,46,48,53,50,49,54,101,45,48,56,32,
      54,46,55,51,54,49,54,101,45,48,56,32,56,46,57,56,49,56,53,101,45,48,56,32,49,
      46,49,57,55,54,56,101,45,48,55,10,32,32,49,46,53,57,54,57,53,101,45,48,55,32,
      50,46,49,50,57,53,101,45,48,55,32,50,46,56,51,57,54,50,101,45,48,55,32,51,46,
      55,56,54,54,50,101,45,48,55,32,53,46,48,52,57,55,101,45,48,55,32,54,46,55,51,
      52,52,56,101,45,48,55,32,49,46,48,49,48,54,51,101,45,48,54,10,32,32,49,46,54,
      56,53,56,56,101,45,48,54,32,50,46,51,54,50,51,50,101,45,48,54,32,51,46,51,55,
      57,49,56,101,45,48,54,32,52,46,55,51,57,48,57,101,45,48,54,32,54,46,55,56,55,
      55,51,101,45,48,54,32,49,46,48,50,50,53,52,101,45,48,53,32,49,46,55,49,56,55,
      55,101,45,48,53,10,32,32,50,46,52,50,54,52,54,101,45,48,53,32,51,46,53,48,57,
      50,56,101,45,48,53,32,52,46,57,57,50,49,50,101,45,48,53,32,55,46,50,57,56,50,
      55,101,45,48,53,32,57,46,50,57,51,49,51,101,45,48,53,32,46,48,48,48,49,49,51,
      53,50,53,32,46,48,48,48,49,53,54,53,56,10,32,32,46,48,48,48,50,48,50,48,49,
      32,46,48,48,48,50,52,57,54,56,52,32,46,48,48,48,50,55,52,51,50,51,32,46,48,
      48,48,50,57,57,52,55,54,32,46,48,48,48,51,50,53,49,50,55,32,46,48,48,48,51,
      53,49,50,54,50,32,46,48,48,48,51,55,55,56,54,55,32,46,48,48,48,52,48,52,57,
      50,55,10,32,32,46,48,48,48,52,51,50,52,50,57,32,46,48,48,48,52,54,48,51,53,
      56,32,46,48,48,48,52,56,56,55,48,50,32,46,48,48,48,53,49,55,52,52,55,32,46,
      48,48,48,53,53,50,52,53,50,32,46,48,48,48,53,56,55,57,57,52,32,46,48,48,48,
      54,51,54,49,56,52,32,46,48,48,48,54,56,53,50,52,10,32,32,46,48,48,48,55,51,
      53,49,50,32,46,48,48,48,55,57,56,53,53,50,32,46,48,48,48,56,54,51,49,49,32,
      46,48,48,48,57,50,56,55,48,54,32,46,48,48,49,48,48,56,54,56,32,46,48,48,49,
      48,56,57,57,49,32,46,48,48,49,49,57,57,57,50,32,46,48,48,49,51,49,49,54,53,
      10,32,32,46,48,48,49,52,50,52,56,49,32,46,48,48,49,53,53,51,53,50,32,46,48,
      48,49,54,57,55,56,55,32,46,48,48,49,56,53,55,55,57,32,46,48,48,50,48,51,51,
      32,46,48,48,50,50,50,50,57,56,32,46,48,48,50,52,52,49,53,49,32,46,48,48,50,
      54,53,56,51,52,32,46,48,48,50,57,48,48,57,50,10,32,32,46,48,48,51,50,48,56,
      49,49,32,46,48,48,51,53,50,50,54,54,32,46,48,48,51,55,53,52,48,50,32,46,48,
      48,52,48,50,57,56,56,32,46,48,48,52,51,52,57,57,53,32,46,48,48,52,54,54,57,
      53,54,32,46,48,48,52,57,56,50,49,54,32,46,48,48,53,50,56,57,53,54,10,32,32,
      46,48,48,53,53,53,50,50,52,32,46,48,48,53,55,57,50,56,52,32,46,48,48,54,48,
      51,52,49,51,32,46,48,48,54,50,55,53,51,50,32,46,48,48,54,52,50,52,50,52,32,
      46,48,48,54,52,57,55,54,56,32,46,48,48,54,53,48,53,56,51,32,46,48,48,54,52,
      54,56,55,55,10,32,32,46,48,48,54,51,53,48,57,32,46,48,48,54,49,54,57,54,54,
      32,46,48,48,53,57,52,48,49,56,32,46,48,48,53,55,48,57,48,53,32,46,48,48,53,
      51,52,51,55,55,32,46,48,48,52,57,52,57,56,56,32,46,48,48,52,53,51,54,50,51,
      32,46,48,48,52,49,53,49,55,55,32,46,48,48,51,55,54,55,53,52,10,32,32,46,48,
      48,51,51,57,57,56,49,32,46,48,48,51,48,48,57,53,51,32,46,48,48,50,54,55,49,
      53,53,32,46,48,48,50,52,51,56,56,54,32,46,48,48,50,48,51,55,56,49,32,46,48,
      48,49,55,48,52,56,32,46,48,48,49,52,51,49,57,53,32,46,48,48,49,49,55,53,54,
      51,32,46,48,48,48,57,55,56,48,54,52,10,32,32,46,48,48,48,55,57,54,55,55,57,
      32,46,48,48,48,54,53,49,51,49,56,32,46,48,48,48,53,51,53,51,50,53,32,46,48,
      48,48,52,52,51,50,53,54,32,46,48,48,48,51,53,56,57,53,51,32,46,48,48,48,51,
      48,55,52,51,57,32,46,48,48,48,50,54,51,51,50,32,46,48,48,48,50,48,51,57,55,
      53,10,32,32,46,48,48,48,49,55,52,51,55,52,32,46,48,48,48,49,51,54,49,53,57,
      32,46,48,48,48,49,48,52,55,50,56,32,56,46,57,52,52,55,55,101,45,48,53,32,55,
      46,54,51,52,50,56,101,45,48,53,32,53,46,57,51,56,56,55,101,45,48,53,32,52,46,
      52,57,56,50,54,101,45,48,53,10,32,32,51,46,56,53,52,49,51,101,45,48,53,32,51,
      46,48,48,50,48,56,101,45,48,53,32,50,46,53,55,55,52,51,101,45,48,53,32,50,46,
      48,49,49,52,56,101,45,48,53,32,49,46,54,52,52,50,55,101,45,48,53,32,49,46,50,
      50,50,53,55,101,45,48,53,32,49,46,48,56,49,52,56,101,45,48,53,10,32,32,56,46,
      53,52,49,51,101,45,48,54,32,54,46,53,55,57,54,50,101,45,48,54,32,53,46,50,57,
      51,52,54,101,45,48,54,32,52,46,50,53,56,53,52,101,45,48,54,32,51,46,52,55,52,
      49,49,101,45,48,54,32,50,46,56,52,50,57,53,101,45,48,54,32,50,46,50,55,54,51,
      53,101,45,48,54,10,32,32,49,46,56,54,56,53,54,101,45,48,54,32,49,46,53,48,51,
      49,51,101,45,48,54,32,49,46,50,56,48,55,54,101,45,48,54,32,57,46,56,54,52,50,
      55,101,45,48,55,32,56,46,52,48,53,49,101,45,48,55,32,54,46,56,56,56,57,52,101,
      45,48,55,32,52,46,51,51,53,54,54,101,45,48,55,10,32,32,50,46,50,57,51,50,57,
      101,45,48,55,32,49,46,50,51,50,51,101,45,48,55,32,53,46,54,55,49,55,49,101,
      45,48,56,32,50,46,54,49,49,53,57,101,45,48,56,32,49,46,48,51,101,45,48,56,32,
      52,46,56,51,50,51,49,101,45,48,57,32,49,46,52,57,48,55,57,101,45,48,56,10,32,
      32,53,46,56,50,56,48,53,101,45,48,57,32,51,46,48,49,49,57,51,101,45,48,57,32,
      49,46,52,52,49,55,56,101,45,48,57,32,53,46,52,48,53,55,101,45,49,48,32,50,46,
      50,57,51,54,52,101,45,49,48,32,57,46,55,52,48,57,53,101,45,49,49,32,51,46,54,
      54,52,48,50,101,45,49,49,10,32,32,49,46,51,55,57,52,57,101,45,49,49,32,53,46,
      56,55,50,55,57,101,45,49,50,32,50,46,53,48,49,56,54,101,45,49,50,32,49,46,48,
      53,53,56,55,101,45,49,50,32,51,46,57,56,53,49,52,101,45,49,51,32,49,46,51,51,
      50,55,51,101,45,49,51,32,51,46,57,53,48,48,52,101,45,49,52,10,32,32,49,46,51,
      50,50,55,52,101,45,49,52,32,51,46,57,50,53,48,57,101,45,49,53,32,49,46,51,49,
      54,50,51,101,45,49,53,32,52,46,52,49,54,51,54,101,45,49,54,32,49,46,51,49,51,
      50,53,101,45,49,54,32,51,46,53,55,57,57,57,101,45,49,55,32,49,46,51,49,50,53,
      50,101,45,49,55,10,32,32,52,46,49,49,50,55,51,101,45,49,56,32,49,46,52,56,51,
      50,52,101,45,49,56,32,52,46,57,56,52,48,49,101,45,49,57,32,49,46,54,55,55,51,
      51,101,45,49,57,32,53,46,54,52,53,101,45,50,48,32,49,46,56,57,57,56,51,101,
      45,50,48,32,53,46,53,54,50,54,55,101,45,50,49,10,32,32,49,46,56,54,55,53,54,
      101,45,50,49,32,48,114,53,49,32,52,46,52,53,54,53,51,101,45,48,57,32,53,46,
      57,52,49,54,51,101,45,48,57,32,55,46,57,50,50,53,51,101,45,48,57,32,49,46,48,
      53,54,51,51,101,45,48,56,32,49,46,52,48,56,52,54,101,45,48,56,32,49,46,56,55,
      55,57,57,101,45,48,56,10,32,32,50,46,53,48,52,48,55,101,45,48,56,32,51,46,51,
      51,56,56,53,101,45,48,56,32,52,46,52,53,49,56,50,101,45,48,56,32,53,46,57,51,
      54,48,55,101,45,48,56,32,55,46,57,49,53,53,57,101,45,48,56,32,49,46,48,53,53,
      52,56,101,45,48,55,32,49,46,52,48,55,53,49,101,45,48,55,10,32,32,49,46,56,55,
      54,57,56,101,45,48,55,32,50,46,53,48,51,49,50,101,45,48,55,32,51,46,51,51,56,
      52,101,45,48,55,32,52,46,52,53,50,55,56,101,45,48,55,32,54,46,54,56,51,57,101,
      45,48,55,32,49,46,49,49,53,53,52,101,45,48,54,32,49,46,53,54,51,57,50,101,45,
      48,54,10,32,32,50,46,50,51,56,55,56,101,45,48,54,32,51,46,49,52,50,56,52,101,
      45,48,54,32,52,46,53,48,55,57,57,101,45,48,54,32,54,46,56,48,55,50,49,101,45,
      48,54,32,49,46,49,52,57,52,55,101,45,48,53,32,49,46,54,50,57,57,54,101,45,48,
      53,32,50,46,51,55,50,51,57,101,45,48,53,10,32,32,51,46,52,48,50,48,57,101,45,
      48,53,32,53,46,48,50,57,56,57,101,45,48,53,32,54,46,52,54,48,54,54,101,45,48,
      53,32,55,46,57,53,55,48,51,101,45,48,53,32,46,48,48,48,49,49,49,51,57,55,32,
      46,48,48,48,49,52,53,54,52,54,32,46,48,48,48,49,56,50,49,56,57,10,32,32,46,
      48,48,48,50,48,49,50,56,52,32,46,48,48,48,50,50,48,57,48,55,32,46,48,48,48,
      50,52,49,48,52,52,32,46,48,48,48,50,54,49,54,56,50,32,46,48,48,48,50,56,50,
      56,48,54,32,46,48,48,48,51,48,52,52,48,51,32,46,48,48,48,51,50,54,52,53,57,
      32,46,48,48,48,51,52,56,57,54,50,10,32,32,46,48,48,48,51,55,49,57,32,46,48,
      48,48,51,57,53,50,53,56,32,46,48,48,48,52,50,51,56,50,55,32,46,48,48,48,52,
      53,50,57,54,52,32,46,48,48,48,52,57,50,54,54,51,32,46,48,48,48,53,51,51,50,
      56,57,32,46,48,48,48,53,55,52,55,57,56,32,46,48,48,48,54,50,55,56,53,53,10,
      32,32,46,48,48,48,54,56,50,49,51,57,32,46,48,48,48,55,51,55,53,54,55,32,46,
      48,48,48,56,48,53,52,56,50,32,46,48,48,48,56,55,52,56,48,55,32,46,48,48,48,
      57,54,57,50,49,53,32,46,48,48,49,48,54,53,54,51,32,46,48,48,49,49,54,51,55,
      57,32,46,48,48,49,50,55,54,10,32,32,46,48,48,49,52,48,50,52,57,32,46,48,48,
      49,53,52,51,51,54,32,46,48,48,49,54,57,56,53,32,46,48,48,49,56,54,55,53,56,
      32,46,48,48,50,48,54,51,49,32,46,48,48,50,50,53,56,48,57,32,46,48,48,50,52,
      55,55,51,54,32,46,48,48,50,55,53,54,54,51,32,46,48,48,51,48,52,52,51,55,10,
      32,32,46,48,48,51,50,53,55,49,49,32,46,48,48,51,53,49,50,48,51,32,46,48,48,
      51,56,48,57,54,51,32,46,48,48,52,49,48,56,56,32,46,48,48,52,52,48,51,54,50,
      32,46,48,48,52,54,57,54,48,53,32,46,48,48,52,57,52,56,52,50,32,46,48,48,53,
      49,56,50,50,50,32,46,48,48,53,52,50,48,52,51,10,32,32,46,48,48,53,54,54,53,
      51,50,32,46,48,48,53,56,50,53,49,32,46,48,48,53,57,49,53,52,51,32,46,48,48,
      53,57,52,48,57,56,32,46,48,48,53,57,50,53,50,32,46,48,48,53,56,52,48,48,52,
      32,46,48,48,53,54,57,51,57,32,46,48,48,53,53,48,48,52,54,32,46,48,48,53,51,
      48,48,57,54,10,32,32,46,48,48,52,57,56,48,48,49,32,46,48,48,52,54,50,56,55,
      53,32,46,48,48,52,50,53,53,55,56,32,46,48,48,51,57,48,54,49,56,32,46,48,48,
      51,53,53,52,51,52,32,46,48,48,51,50,49,53,54,49,32,46,48,48,50,56,53,52,49,
      49,32,46,48,48,50,53,51,57,53,50,10,32,32,46,48,48,50,51,50,50,49,50,32,46,
      48,48,49,57,52,53,56,57,32,46,48,48,49,54,51,50,48,51,32,46,48,48,49,51,55,
      51,56,55,32,46,48,48,49,49,51,48,52,57,32,46,48,48,48,57,52,50,50,57,51,32,
      46,48,48,48,55,54,57,49,32,46,48,48,48,54,50,57,55,54,10,32,32,46,48,48,48,
      53,49,56,51,56,51,32,46,48,48,48,52,50,57,55,57,56,32,46,48,48,48,51,52,56,
      53,51,51,32,46,48,48,48,50,57,56,55,57,54,32,46,48,48,48,50,53,54,49,52,49,
      32,46,48,48,48,49,57,56,54,55,57,32,46,48,48,48,49,54,57,57,55,55,32,46,48,
      48,48,49,51,50,56,55,52,10,32,32,46,48,48,48,49,48,50,51,49,51,32,56,46,55,
      52,51,56,101,45,48,53,32,55,46,52,54,55,49,52,101,45,48,53,32,53,46,56,49,51,
      57,101,45,48,53,32,52,46,52,48,55,53,101,45,48,53,32,51,46,55,55,56,49,49,101,
      45,48,53,32,50,46,57,52,52,57,53,101,45,48,53,10,32,32,50,46,53,50,57,52,50,
      101,45,48,53,32,49,46,57,55,53,50,56,101,45,48,53,32,49,46,54,49,53,52,54,101,
      45,48,53,32,49,46,50,48,49,57,53,101,45,48,53,32,49,46,48,54,51,53,49,101,45,
      48,53,32,56,46,52,48,51,52,101,45,48,54,32,54,46,52,55,54,54,49,101,45,48,54,
      10,32,32,53,46,50,49,50,54,52,101,45,48,54,32,52,46,49,57,53,49,49,101,45,48,
      54,32,51,46,52,50,51,53,51,101,45,48,54,32,50,46,56,48,50,52,53,101,45,48,54,
      32,50,46,50,52,52,54,56,101,45,48,54,32,49,46,56,52,51,49,101,45,48,54,32,49,
      46,52,56,51,49,49,101,45,48,54,10,32,32,49,46,50,54,51,57,55,101,45,48,54,32,
      57,46,55,51,56,50,54,101,45,48,55,32,56,46,50,57,57,51,55,101,45,48,55,32,54,
      46,56,48,51,57,101,45,48,55,32,52,46,50,56,52,51,52,101,45,48,55,32,50,46,50,
      54,55,54,49,101,45,48,55,32,49,46,50,49,57,50,101,45,48,55,10,32,32,53,46,54,
      49,52,57,52,101,45,48,56,32,50,46,53,56,54,57,50,101,45,48,56,32,49,46,48,50,
      48,56,56,101,45,48,56,32,52,46,55,57,49,51,56,101,45,48,57,32,49,46,52,53,48,
      51,53,101,45,48,56,32,53,46,54,55,50,49,52,101,45,48,57,32,50,46,57,51,50,49,
      56,101,45,48,57,10,32,32,49,46,52,48,51,57,56,101,45,48,57,32,53,46,50,54,53,
      56,49,101,45,49,48,32,50,46,50,51,52,57,49,101,45,49,48,32,57,46,52,57,51,53,
      57,101,45,49,49,32,51,46,53,55,50,49,54,101,45,49,49,32,49,46,51,52,53,51,56,
      101,45,49,49,32,53,46,55,50,56,56,52,101,45,49,50,10,32,32,50,46,52,52,49,48,
      50,101,45,49,50,32,49,46,48,51,48,53,52,101,45,49,50,32,51,46,56,57,48,53,57,
      101,45,49,51,32,49,46,51,48,49,52,50,101,45,49,51,32,51,46,56,53,56,50,52,101,
      45,49,52,32,49,46,50,57,50,55,52,101,45,49,52,32,51,46,56,51,55,53,53,101,45,
      49,53,10,32,32,49,46,50,56,54,57,54,101,45,49,53,32,52,46,51,49,56,53,54,101,
      45,49,54,32,49,46,50,56,52,52,49,101,45,49,54,32,51,46,53,48,51,50,52,101,45,
      49,55,32,49,46,50,56,52,55,49,101,45,49,55,32,52,46,48,50,54,50,57,101,45,49,
      56,32,49,46,52,53,50,50,53,101,45,49,56,10,32,32,52,46,56,56,48,51,101,45,49,
      57,32,49,46,54,52,50,54,53,101,45,49,57,32,53,46,53,51,48,54,50,101,45,50,48,
      32,49,46,56,54,50,55,53,101,45,50,48,32,54,46,50,55,52,48,57,101,45,50,49,32,
      49,46,56,50,48,55,55,101,45,50,49,32,48,114,53,49,32,51,46,48,52,48,51,51,101,
      45,48,57,10,32,32,52,46,48,53,51,53,101,45,48,57,32,53,46,52,48,52,57,50,101,
      45,48,57,32,55,46,50,48,54,53,52,101,45,48,57,32,57,46,54,48,56,56,55,101,45,
      48,57,32,49,46,50,56,49,50,50,101,45,48,56,32,49,46,55,48,56,51,54,101,45,48,
      56,32,50,46,50,55,55,56,57,101,45,48,56,10,32,32,51,46,48,51,55,50,51,101,45,
      48,56,32,52,46,48,52,57,57,101,45,48,56,32,53,46,52,48,48,53,50,101,45,48,56,
      32,55,46,50,48,49,51,101,45,48,56,32,57,46,54,48,51,52,54,101,45,48,56,32,49,
      46,50,56,48,55,49,101,45,48,55,32,49,46,55,48,56,48,52,101,45,48,55,10,32,32,
      50,46,50,55,56,49,54,101,45,48,55,32,51,46,48,51,56,57,49,101,45,48,55,32,52,
      46,53,54,50,52,52,101,45,48,55,32,55,46,54,49,55,53,52,101,45,48,55,32,49,46,
      48,54,56,51,51,101,45,48,54,32,49,46,53,51,48,50,101,45,48,54,32,50,46,49,52,
      57,55,50,101,45,48,54,10,32,32,51,46,48,56,54,57,50,101,45,48,54,32,52,46,54,
      54,57,56,57,101,45,48,54,32,55,46,57,49,51,57,52,101,45,48,54,32,49,46,49,50,
      54,49,50,101,45,48,53,32,49,46,54,52,55,51,50,101,45,48,53,32,50,46,51,55,55,
      52,52,101,45,48,53,32,51,46,53,52,54,53,49,101,45,48,53,10,32,32,52,46,53,56,
      54,57,51,101,45,48,53,32,53,46,54,56,54,48,57,101,45,48,53,32,56,46,48,53,53,
      51,51,101,45,48,53,32,46,48,48,48,49,48,54,52,51,57,32,46,48,48,48,49,51,52,
      52,50,32,46,48,48,48,49,52,57,49,54,53,32,46,48,48,48,49,54,52,51,57,57,32,
      46,48,48,48,49,56,48,49,48,56,10,32,32,46,48,48,48,49,57,54,50,56,50,32,46,
      48,48,48,50,49,50,57,49,32,46,48,48,48,50,50,57,57,56,49,32,46,48,48,48,50,
      52,55,52,56,51,32,46,48,48,48,50,54,53,52,48,54,32,46,48,48,48,50,56,51,55,
      51,57,32,46,48,48,48,51,48,50,52,55,51,32,46,48,48,48,51,50,53,52,54,54,10,
      32,32,46,48,48,48,51,52,57,48,48,52,32,46,48,48,48,51,56,49,50,48,52,32,46,
      48,48,48,52,49,52,51,48,50,32,46,48,48,48,52,52,56,50,53,55,32,46,48,48,48,
      52,57,49,56,53,32,46,48,48,48,53,51,54,54,53,52,32,46,48,48,48,53,56,50,53,
      57,56,32,46,48,48,48,54,51,57,49,52,50,10,32,32,46,48,48,48,54,57,55,49,49,
      57,32,46,48,48,48,55,55,54,52,53,57,32,46,48,48,48,56,53,55,57,49,50,32,46,
      48,48,48,57,52,49,50,51,53,32,46,48,48,49,48,51,54,57,52,32,46,48,48,49,49,
      52,53,51,54,32,46,48,48,49,50,54,54,55,50,32,46,48,48,49,52,48,49,48,54,10,
      32,32,46,48,48,49,53,52,56,50,53,32,46,48,48,49,55,49,57,51,54,32,46,48,48,
      49,56,57,48,57,51,32,46,48,48,50,48,56,52,57,50,32,46,48,48,50,51,51,51,53,
      49,32,46,48,48,50,53,57,49,51,55,32,46,48,48,50,55,56,51,49,49,32,46,48,48,
      51,48,49,52,48,57,10,32,32,46,48,48,51,50,56,53,53,51,32,46,48,48,51,53,54,
      48,52,54,32,46,48,48,51,56,51,51,53,53,32,46,48,48,52,49,48,54,57,50,32,46,
      48,48,52,51,52,53,50,53,32,46,48,48,52,53,54,56,54,50,32,46,48,48,52,55,57,
      57,55,50,32,46,48,48,53,48,52,51,53,57,10,32,32,46,48,48,53,50,49,48,51,57,
      32,46,48,48,53,51,49,52,52,53,32,46,48,48,53,51,53,53,51,50,32,46,48,48,53,
      51,53,57,48,52,32,46,48,48,53,51,48,52,56,54,32,46,48,48,53,49,57,50,56,52,
      32,46,48,48,53,48,51,53,48,56,32,46,48,48,52,56,54,55,51,32,46,48,48,52,53,
      57,49,51,53,10,32,32,46,48,48,52,50,56,51,57,51,32,46,48,48,51,57,53,51,49,
      56,32,46,48,48,51,54,52,48,48,53,32,46,48,48,51,51,50,50,51,57,32,46,48,48,
      51,48,49,52,52,49,32,46,48,48,50,54,56,51,54,56,32,46,48,48,50,51,57,52,50,
      50,32,46,48,48,50,49,57,51,51,53,10,32,32,46,48,48,49,56,52,52,49,50,32,46,
      48,48,49,53,53,49,49,54,32,46,48,48,49,51,48,57,48,57,32,46,48,48,49,48,55,
      57,57,54,32,46,48,48,48,57,48,50,49,51,53,32,46,48,48,48,55,51,55,57,52,56,
      32,46,48,48,48,54,48,53,52,52,32,46,48,48,48,52,57,57,50,51,53,10,32,32,46,
      48,48,48,52,49,52,53,54,49,32,46,48,48,48,51,51,54,55,49,32,46,48,48,48,50,
      56,56,57,55,50,32,46,48,48,48,50,52,55,57,55,51,32,46,48,48,48,49,57,50,54,
      52,53,32,46,48,48,48,49,54,52,57,54,49,32,46,48,48,48,49,50,57,49,50,50,32,
      57,46,57,53,53,101,45,48,53,10,32,32,56,46,53,49,51,55,51,101,45,48,53,32,55,
      46,50,55,53,54,101,45,48,53,32,53,46,54,55,48,53,51,101,45,48,53,32,52,46,51,
      48,51,50,56,101,45,48,53,32,51,46,54,57,48,55,56,101,45,48,53,32,50,46,56,55,
      57,50,52,101,45,48,53,32,50,46,52,55,52,49,54,101,45,48,53,10,32,32,49,46,57,
      51,51,53,51,101,45,48,53,32,49,46,53,56,50,50,49,101,45,48,53,32,49,46,49,55,
      56,49,52,101,45,48,53,32,49,46,48,52,50,55,55,101,45,48,53,32,56,46,50,52,52,
      49,56,101,45,48,54,32,54,46,51,53,55,54,101,45,48,54,32,53,46,49,49,57,50,49,
      101,45,48,54,10,32,32,52,46,49,50,49,55,50,101,45,48,54,32,51,46,51,54,52,57,
      53,101,45,48,54,32,50,46,55,53,53,53,50,101,45,48,54,32,50,46,50,48,55,57,55,
      101,45,48,54,32,49,46,56,49,51,53,54,101,45,48,54,32,49,46,52,53,57,56,54,101,
      45,48,54,32,49,46,50,52,52,52,56,101,45,48,54,10,32,32,57,46,53,57,49,56,51,
      101,45,48,55,32,56,46,49,55,54,52,57,101,45,48,55,32,54,46,55,48,53,48,50,101,
      45,48,55,32,52,46,50,50,52,54,55,101,45,48,55,32,50,46,50,51,55,55,52,101,45,
      48,55,32,49,46,50,48,51,57,53,101,45,48,55,32,53,46,53,52,56,57,49,101,45,48,
      56,10,32,32,50,46,53,53,56,50,49,101,45,48,56,32,49,46,48,49,48,50,55,101,45,
      48,56,32,52,46,55,52,51,48,51,101,45,48,57,32,49,46,52,48,53,53,56,101,45,48,
      56,32,53,46,52,57,57,53,52,101,45,48,57,32,50,46,56,52,51,56,101,45,48,57,32,
      49,46,51,54,50,49,50,101,45,48,57,10,32,32,53,46,49,49,48,54,56,101,45,49,48,
      32,50,46,49,54,57,55,52,101,45,49,48,32,57,46,50,49,57,57,51,101,45,49,49,32,
      51,46,52,55,48,51,50,101,45,49,49,32,49,46,51,48,55,52,56,101,45,49,49,32,53,
      46,53,54,57,52,49,101,45,49,50,32,50,46,51,55,51,54,54,101,45,49,50,10,32,32,
      49,46,48,48,50,52,52,101,45,49,50,32,51,46,55,56,53,55,51,101,45,49,51,32,49,
      46,50,54,54,56,54,101,45,49,51,32,51,46,55,53,54,54,53,101,45,49,52,32,49,46,
      50,53,56,56,54,101,45,49,52,32,51,46,55,51,56,52,52,101,45,49,53,32,49,46,50,
      53,52,52,57,101,45,49,53,10,32,32,52,46,50,49,48,54,50,101,45,49,54,32,49,46,
      50,53,50,54,49,101,45,49,54,32,51,46,52,49,55,51,55,101,45,49,55,32,49,46,50,
      53,51,54,50,101,45,49,55,32,51,46,57,51,48,53,55,101,45,49,56,32,49,46,52,49,
      55,57,55,101,45,49,56,32,52,46,55,54,53,50,101,45,49,57,10,32,32,49,46,54,48,
      52,48,55,101,45,49,57,32,53,46,52,48,49,54,51,101,45,50,48,32,49,46,56,49,57,
      54,101,45,50,48,32,54,46,49,51,49,53,56,101,45,50,49,32,49,46,55,54,55,52,56,
      101,45,50,49,32,48,114,53,49,32,50,46,50,52,52,50,49,101,45,48,57,32,50,46,
      57,57,50,48,56,101,45,48,57,10,32,32,51,46,57,56,57,54,51,101,45,48,57,32,53,
      46,51,49,57,53,101,45,48,57,32,55,46,48,57,50,56,101,45,48,57,32,57,46,52,53,
      55,51,54,101,45,48,57,32,49,46,50,54,49,48,52,101,45,48,56,32,49,46,54,56,49,
      52,52,101,45,48,56,32,50,46,50,52,49,57,55,101,45,48,56,10,32,32,50,46,57,56,
      57,53,50,101,45,48,56,32,51,46,57,56,54,53,54,101,45,48,56,32,53,46,51,49,53,
      57,53,101,45,48,56,32,55,46,48,56,57,51,54,101,45,48,56,32,57,46,52,53,52,53,
      57,101,45,48,56,32,49,46,50,54,48,57,55,101,45,48,55,32,49,46,54,56,49,57,53,
      101,45,48,55,10,32,32,50,46,50,52,51,55,54,101,45,48,55,32,51,46,51,54,57,49,
      101,45,48,55,32,53,46,54,50,54,54,101,45,48,55,32,55,46,56,57,51,49,55,101,
      45,48,55,32,49,46,49,51,49,101,45,48,54,32,49,46,53,56,57,55,51,101,45,48,54,
      32,50,46,50,56,52,53,57,101,45,48,54,10,32,32,51,46,52,54,48,54,49,101,45,48,
      54,32,53,46,56,55,57,52,57,101,45,48,54,32,56,46,51,56,54,56,49,101,45,48,54,
      32,49,46,50,51,49,49,57,101,45,48,53,32,49,46,55,56,52,56,101,45,48,53,32,50,
      46,54,55,56,57,49,101,45,48,53,32,51,46,52,56,49,50,49,101,45,48,53,10,32,32,
      52,46,51,51,52,52,49,101,45,48,53,32,54,46,49,56,57,51,55,101,45,48,53,32,56,
      46,50,51,53,55,50,101,45,48,53,32,46,48,48,48,49,48,52,54,53,54,32,46,48,48,
      48,49,49,54,52,55,32,46,48,48,48,49,50,56,55,49,53,32,46,48,48,48,49,52,49,
      51,56,32,46,48,48,48,49,53,52,52,53,56,10,32,32,46,48,48,48,49,54,55,57,51,
      57,32,46,48,48,48,49,56,49,56,49,52,32,46,48,48,48,49,57,54,48,55,52,32,46,
      48,48,48,50,49,48,55,49,49,32,46,48,48,48,50,50,53,55,49,55,32,46,48,48,48,
      50,52,49,48,56,50,32,46,48,48,48,50,53,57,57,56,51,32,46,48,48,48,50,55,57,
      51,55,54,10,32,32,46,48,48,48,51,48,53,57,55,53,32,46,48,48,48,51,51,51,51,
      57,32,46,48,48,48,51,54,49,53,57,49,32,46,48,48,48,51,57,55,56,57,57,32,46,
      48,48,48,52,51,53,51,50,54,32,46,48,48,48,52,55,51,56,49,51,32,46,48,48,48,
      53,50,49,51,49,57,32,46,48,48,48,53,55,48,49,55,56,10,32,32,46,48,48,48,54,
      51,55,50,54,53,32,46,48,48,48,55,48,54,51,56,57,32,46,48,48,48,55,55,55,51,
      52,51,32,46,48,48,48,56,53,57,49,50,32,46,48,48,48,57,53,50,49,48,57,32,46,
      48,48,49,48,53,54,53,57,32,46,48,48,49,49,55,50,55,50,32,46,48,48,49,51,48,
      48,52,57,10,32,32,46,48,48,49,52,52,57,54,55,32,46,48,48,49,53,57,57,57,52,
      32,46,48,48,49,55,55,48,54,51,32,46,48,48,49,57,57,48,53,54,32,46,48,48,50,
      50,50,48,48,53,32,46,48,48,50,51,57,49,54,32,46,48,48,50,53,57,57,51,49,32,
      46,48,48,50,56,52,52,56,57,32,46,48,48,51,48,57,53,51,52,10,32,32,46,48,48,
      51,51,52,54,48,51,32,46,48,48,51,53,57,57,49,49,32,46,48,48,51,56,50,49,56,
      49,32,46,48,48,52,48,51,50,54,57,32,46,48,48,52,50,53,51,56,56,32,46,48,48,
      52,52,57,50,52,51,32,46,48,48,52,54,54,49,55,50,32,46,48,48,52,55,55,52,54,
      57,10,32,32,46,48,48,52,56,50,54,56,54,32,46,48,48,52,56,52,53,56,49,32,46,
      48,48,52,56,49,54,56,57,32,46,48,48,52,55,51,51,53,49,32,46,48,48,52,54,48,
      54,51,50,32,46,48,48,52,52,54,54,49,51,32,46,48,48,52,50,50,57,56,52,32,46,
      48,48,51,57,54,49,53,53,10,32,32,46,48,48,51,54,54,56,56,56,32,46,48,48,51,
      51,56,56,57,32,46,48,48,51,49,48,50,53,54,32,46,48,48,50,56,50,51,48,51,32,
      46,48,48,50,53,50,48,57,32,46,48,48,50,50,53,52,57,54,32,46,48,48,50,48,54,
      57,54,32,46,48,48,49,55,52,53,56,51,32,46,48,48,49,52,55,50,55,57,10,32,32,
      46,48,48,49,50,52,54,49,50,32,46,48,48,49,48,51,48,54,57,32,46,48,48,48,56,
      54,50,56,53,54,32,46,48,48,48,55,48,55,51,56,53,32,46,48,48,48,53,56,49,53,
      49,53,32,46,48,48,48,52,56,48,51,53,49,32,46,48,48,48,51,57,57,53,48,50,32,
      46,48,48,48,51,50,53,10,32,32,46,48,48,48,50,55,57,50,50,56,32,46,48,48,48,
      50,51,57,56,53,57,32,46,48,48,48,49,56,54,54,51,53,32,46,48,48,48,49,53,57,
      57,53,57,32,46,48,48,48,49,50,53,51,55,52,32,57,46,54,55,56,53,54,101,45,48,
      53,32,56,46,50,56,51,51,53,101,45,48,53,32,55,46,48,56,51,54,55,101,45,48,53,
      10,32,32,53,46,53,50,54,54,54,101,45,48,53,32,52,46,49,57,56,53,52,101,45,48,
      53,32,51,46,54,48,50,57,52,101,45,48,53,32,50,46,56,49,51,49,101,45,48,53,32,
      50,46,52,49,56,53,49,101,45,48,53,32,49,46,56,57,49,52,56,101,45,48,53,32,49,
      46,53,52,56,54,57,101,45,48,53,10,32,32,49,46,49,53,52,48,57,101,45,48,53,32,
      49,46,48,50,49,56,49,101,45,48,53,32,56,46,48,56,51,49,54,101,45,48,54,32,54,
      46,50,51,55,50,57,101,45,48,54,32,53,46,48,50,52,55,57,101,45,48,54,32,52,46,
      48,52,55,53,54,101,45,48,54,32,51,46,51,48,53,55,53,101,45,48,54,10,32,32,50,
      46,55,48,56,48,55,101,45,48,54,32,50,46,49,55,48,56,50,101,45,48,54,32,49,46,
      55,56,51,54,54,101,45,48,54,32,49,46,52,51,54,51,50,101,45,48,54,32,49,46,50,
      50,52,55,50,101,45,48,54,32,57,46,52,52,51,51,57,101,45,48,55,32,56,46,48,53,
      49,56,54,101,45,48,55,10,32,32,54,46,54,48,52,55,52,101,45,48,55,32,52,46,49,
      54,52,49,101,45,48,55,32,50,46,50,48,55,51,56,101,45,48,55,32,49,46,49,56,56,
      52,51,101,45,48,55,32,53,46,52,56,49,53,56,101,45,48,56,32,50,46,53,50,56,57,
      101,45,48,56,32,57,46,57,57,52,50,53,101,45,48,57,10,32,32,52,46,54,57,51,54,
      52,101,45,48,57,32,49,46,51,54,50,51,50,101,45,48,56,32,53,46,51,51,50,55,101,
      45,48,57,32,50,46,55,53,56,51,50,101,45,48,57,32,49,46,51,50,49,53,56,101,45,
      48,57,32,52,46,57,54,48,55,52,101,45,49,48,32,50,46,49,48,54,56,51,101,45,49,
      48,10,32,32,56,46,57,53,53,50,49,101,45,49,49,32,51,46,51,55,49,56,56,101,45,
      49,49,32,49,46,50,55,48,56,101,45,49,49,32,53,46,52,49,52,54,53,101,45,49,50,
      32,50,46,51,48,56,53,55,101,45,49,50,32,57,46,55,53,51,52,55,101,45,49,51,32,
      51,46,54,56,52,48,54,101,45,49,51,10,32,32,49,46,50,51,51,48,53,101,45,49,51,
      32,51,46,54,53,55,56,50,101,45,49,52,32,49,46,50,50,54,49,50,101,45,49,52,32,
      51,46,54,52,50,50,52,101,45,49,53,32,49,46,50,50,50,53,50,101,45,49,53,32,52,
      46,49,48,53,55,53,101,45,49,54,32,49,46,50,50,49,57,55,101,45,49,54,10,32,32,
      51,46,51,51,52,50,55,101,45,49,55,32,49,46,50,50,51,50,57,101,45,49,55,32,51,
      46,56,51,54,49,52,101,45,49,56,32,49,46,51,56,52,51,51,101,45,49,56,32,52,46,
      54,53,51,56,56,101,45,49,57,32,49,46,53,54,55,48,56,101,45,49,57,32,53,46,50,
      55,56,48,49,101,45,50,48,10,32,32,49,46,55,55,56,50,55,101,45,50,48,32,53,46,
      57,57,51,51,50,101,45,50,49,32,49,46,55,49,51,56,55,101,45,50,49,32,48,114,
      53,49,32,49,46,55,50,57,55,50,101,45,48,57,32,50,46,51,48,54,49,52,101,45,48,
      57,32,51,46,48,55,53,48,49,101,45,48,57,32,52,46,49,48,48,48,49,101,45,48,57,
      10,32,32,53,46,52,54,54,55,57,101,45,48,57,32,55,46,50,56,57,50,57,101,45,48,
      57,32,57,46,55,49,57,53,49,101,45,48,57,32,49,46,50,57,53,57,57,101,45,48,56,
      32,49,46,55,50,56,48,51,101,45,48,56,32,50,46,51,48,52,50,51,101,45,48,56,32,
      51,46,48,55,50,55,53,101,45,48,56,10,32,32,52,46,48,57,55,52,54,101,45,48,56,
      32,53,46,52,54,52,52,56,101,45,48,56,32,55,46,50,56,55,55,56,101,45,48,56,32,
      57,46,55,50,48,49,49,101,45,48,56,32,49,46,50,57,54,53,56,101,45,48,55,32,49,
      46,55,50,57,55,54,101,45,48,55,32,50,46,53,57,55,53,56,101,45,48,55,10,32,32,
      52,46,51,51,57,48,51,101,45,48,55,32,54,46,48,56,56,49,54,101,45,48,55,32,56,
      46,55,50,54,50,56,101,45,48,55,32,49,46,50,50,55,48,55,101,45,48,54,32,49,46,
      55,54,52,52,56,101,45,48,54,32,50,46,54,55,53,52,54,101,45,48,54,32,52,46,53,
      53,52,52,50,101,45,48,54,10,32,32,54,46,53,48,56,56,51,101,45,48,54,32,57,46,
      53,56,48,54,101,45,48,54,32,49,46,51,57,51,52,56,101,45,48,53,32,50,46,49,48,
      49,48,56,101,45,48,53,32,50,46,55,51,57,55,51,101,45,48,53,32,51,46,52,50,49,
      57,56,101,45,48,53,32,52,46,57,49,51,57,56,101,45,48,53,10,32,32,54,46,53,55,
      48,53,52,101,45,48,53,32,56,46,51,56,53,50,57,101,45,48,53,32,57,46,51,53,48,
      48,53,101,45,48,53,32,46,48,48,48,49,48,51,53,50,32,46,48,48,48,49,49,51,57,
      48,53,32,46,48,48,48,49,50,52,54,52,55,32,46,48,48,48,49,51,53,55,52,32,46,
      48,48,48,49,52,55,49,55,53,10,32,32,46,48,48,48,49,53,56,57,52,54,32,46,48,
      48,48,49,55,49,48,52,54,32,46,48,48,48,49,56,51,52,54,56,32,46,48,48,48,49,
      57,54,50,48,53,32,46,48,48,48,50,49,49,56,57,53,32,46,48,48,48,50,50,56,48,
      49,56,32,46,48,48,48,50,53,48,49,54,55,32,46,48,48,48,50,55,51,48,51,57,10,
      32,32,46,48,48,48,50,57,54,54,48,54,32,46,48,48,48,51,50,55,48,48,52,32,46,
      48,48,48,51,53,56,52,48,49,32,46,48,48,48,51,57,48,55,52,57,32,46,48,48,48,
      52,51,48,55,53,56,32,46,48,48,48,52,55,49,57,57,50,32,46,48,48,48,53,50,56,
      55,52,53,32,46,48,48,48,53,56,55,51,55,50,10,32,32,46,48,48,48,54,52,55,55,
      48,51,32,46,48,48,48,55,49,55,52,49,55,32,46,48,48,48,55,57,54,57,49,55,32,
      46,48,48,48,56,56,54,53,48,55,32,46,48,48,48,57,56,54,52,48,54,32,46,48,48,
      49,48,57,54,54,57,32,46,48,48,49,50,50,53,57,53,32,46,48,48,49,51,53,54,54,
      54,10,32,32,46,48,48,49,53,48,53,55,51,32,46,48,48,49,54,57,56,55,52,32,46,
      48,48,49,57,48,49,50,55,32,46,48,48,50,48,53,51,52,51,32,46,48,48,50,50,51,
      56,53,52,32,46,48,48,50,52,53,56,54,53,32,46,48,48,50,54,56,52,54,53,32,46,
      48,48,50,57,49,50,53,51,10,32,32,46,48,48,51,49,52,52,52,54,32,46,48,48,51,
      51,53,48,51,56,32,46,48,48,51,53,52,55,50,57,32,46,48,48,51,55,53,54,52,49,
      32,46,48,48,51,57,56,54,52,51,32,46,48,48,52,49,53,52,56,32,46,48,48,52,50,
      55,51,49,51,32,46,48,48,52,51,51,51,54,53,32,46,48,48,52,51,54,52,55,53,10,
      32,32,46,48,48,52,51,53,54,57,55,32,46,48,48,52,50,57,56,51,55,32,46,48,48,
      52,49,57,56,50,51,32,46,48,48,52,48,56,50,56,32,46,48,48,51,56,56,50,53,57,
      32,46,48,48,51,54,53,48,51,52,32,46,48,48,51,51,57,51,49,53,32,46,48,48,51,
      49,52,52,51,52,32,46,48,48,50,56,56,55,54,51,10,32,32,46,48,48,50,54,51,53,
      49,55,32,46,48,48,50,51,54,48,52,55,32,46,48,48,50,49,49,55,50,32,46,48,48,
      49,57,52,54,56,56,32,46,48,48,49,54,52,55,57,50,32,46,48,48,49,51,57,52,51,
      57,32,46,48,48,49,49,56,50,57,51,32,46,48,48,48,57,56,49,48,53,54,10,32,32,
      46,48,48,48,56,50,51,49,55,51,32,46,48,48,48,54,55,54,52,48,49,32,46,48,48,
      48,53,53,55,49,57,51,32,46,48,48,48,52,54,49,49,49,49,32,46,48,48,48,51,56,
      52,49,51,32,46,48,48,48,51,49,51,48,50,53,32,46,48,48,48,50,54,57,50,53,32,
      46,48,48,48,50,51,49,53,52,49,10,32,32,46,48,48,48,49,56,48,52,54,52,32,46,
      48,48,48,49,53,52,56,49,55,32,46,48,48,48,49,50,49,53,49,51,32,57,46,51,57,
      51,52,50,101,45,48,53,32,56,46,48,52,53,53,52,101,45,48,53,32,54,46,56,56,53,
      51,53,101,45,48,53,32,53,46,51,55,55,56,50,101,45,48,53,10,32,32,52,46,48,57,
      48,48,53,101,45,48,53,32,51,46,53,49,49,56,57,101,45,48,53,32,50,46,55,52,52,
      52,55,101,45,48,53,32,50,46,51,54,48,55,50,101,45,48,53,32,49,46,56,52,55,55,
      53,101,45,48,53,32,49,46,53,49,51,56,50,101,45,48,53,32,49,46,49,50,57,48,54,
      101,45,48,53,10,32,32,57,46,57,57,57,55,53,101,45,48,54,32,55,46,57,49,53,50,
      54,101,45,48,54,32,54,46,49,49,49,53,57,101,45,48,54,32,52,46,57,50,53,57,57,
      101,45,48,54,32,51,46,57,54,57,57,101,45,48,54,32,51,46,50,52,51,55,52,101,
      45,48,54,32,50,46,54,53,56,51,56,101,45,48,54,10,32,32,50,46,49,51,49,57,51,
      101,45,48,54,32,49,46,55,53,50,51,53,101,45,48,54,32,49,46,52,49,49,54,53,101,
      45,48,54,32,49,46,50,48,52,48,49,101,45,48,54,32,57,46,50,56,55,55,51,101,45,
      48,55,32,55,46,57,50,49,49,53,101,45,48,55,32,54,46,52,57,57,52,57,101,45,48,
      55,10,32,32,52,46,49,48,48,52,57,101,45,48,55,32,50,46,49,55,53,53,101,45,48,
      55,32,49,46,49,55,50,49,51,101,45,48,55,32,53,46,52,49,48,56,53,101,45,48,56,
      32,50,46,52,57,56,48,55,101,45,48,56,32,57,46,56,56,48,48,51,101,45,48,57,32,
      52,46,54,52,49,54,57,101,45,48,57,10,32,32,49,46,51,49,57,48,54,101,45,48,56,
      32,53,46,49,54,53,57,101,45,48,57,32,50,46,54,55,50,57,50,101,45,48,57,32,49,
      46,50,56,49,49,49,101,45,48,57,32,52,46,56,49,48,56,49,101,45,49,48,32,50,46,
      48,52,51,56,56,101,45,49,48,32,56,46,54,57,48,56,52,101,45,49,49,10,32,32,51,
      46,50,55,51,53,54,101,45,49,49,32,49,46,50,51,52,49,56,101,45,49,49,32,53,46,
      50,53,57,57,101,45,49,50,32,50,46,50,52,50,57,56,101,45,49,50,32,57,46,52,55,
      57,52,52,101,45,49,51,32,51,46,53,56,50,48,53,101,45,49,51,32,49,46,49,57,57,
      51,51,101,45,49,51,10,32,32,51,46,53,53,56,57,55,101,45,49,52,32,49,46,49,57,
      51,52,50,101,45,49,52,32,51,46,53,52,54,51,50,101,45,49,53,32,49,46,49,57,48,
      53,51,101,45,49,53,32,51,46,57,57,57,48,50,101,45,49,54,32,49,46,49,57,48,54,
      54,101,45,49,54,32,51,46,50,53,49,49,54,101,45,49,55,10,32,32,49,46,49,57,51,
      49,54,101,45,49,55,32,51,46,55,52,50,53,51,101,45,49,56,32,49,46,51,53,48,55,
      57,101,45,49,56,32,52,46,53,52,56,54,52,101,45,49,57,32,49,46,53,50,57,56,101,
      45,49,57,32,53,46,49,53,52,49,50,101,45,50,48,32,49,46,55,51,54,56,57,101,45,
      50,48,10,32,32,53,46,56,53,51,53,53,101,45,50,49,32,49,46,54,54,48,50,51,101,
      45,50,49,32,48,114,53,49,32,49,46,51,55,57,52,57,101,45,48,57,32,49,46,56,51,
      57,50,101,45,48,57,32,50,46,52,53,50,51,56,101,45,48,57,32,51,46,50,54,57,56,
      53,101,45,48,57,32,52,46,51,53,57,56,57,101,45,48,57,10,32,32,53,46,56,49,51,
      51,56,101,45,48,57,32,55,46,55,53,49,53,53,101,45,48,57,32,49,46,48,51,51,53,
      56,101,45,48,56,32,49,46,51,55,56,49,54,101,45,48,56,32,49,46,56,51,55,55,101,
      45,48,56,32,50,46,52,53,48,54,51,101,45,48,56,32,51,46,50,54,55,57,101,45,48,
      56,10,32,32,52,46,51,53,56,49,57,101,45,48,56,32,53,46,56,49,50,52,51,101,45,
      48,56,32,55,46,55,53,50,52,56,101,45,48,56,32,49,46,48,51,52,49,51,101,45,48,
      55,32,49,46,51,55,57,54,52,101,45,48,55,32,50,46,48,55,49,56,53,101,45,48,55,
      32,51,46,52,54,49,48,51,101,45,48,55,10,32,32,52,46,56,53,54,53,53,101,45,48,
      55,32,54,46,57,54,49,54,57,101,45,48,55,32,57,46,55,57,48,54,55,101,45,48,55,
      32,49,46,52,48,56,49,53,101,45,48,54,32,50,46,49,51,53,56,56,101,45,48,54,32,
      51,46,54,51,56,52,101,45,48,54,32,53,46,50,48,51,50,53,101,45,48,54,10,32,32,
      55,46,54,54,54,52,53,101,45,48,54,32,49,46,49,49,54,52,56,101,45,48,53,32,49,
      46,54,56,54,51,56,101,45,48,53,32,50,46,50,48,49,57,55,101,45,48,53,32,50,46,
      55,53,51,56,50,101,45,48,53,32,51,46,57,54,51,55,53,101,45,48,53,32,53,46,51,
      49,49,49,52,101,45,48,53,10,32,32,54,46,55,57,49,48,57,101,45,48,53,32,55,46,
      53,55,57,50,57,101,45,48,53,32,56,46,51,57,56,56,51,101,45,48,53,32,57,46,50,
      52,57,49,55,101,45,48,53,32,46,48,48,48,49,48,49,50,57,55,32,46,48,48,48,49,
      49,48,52,32,46,48,48,48,49,49,57,55,57,51,32,46,48,48,48,49,50,57,52,55,50,
      10,32,32,46,48,48,48,49,51,57,52,51,32,46,48,48,48,49,52,57,54,54,52,32,46,
      48,48,48,49,54,48,49,54,56,32,46,48,48,48,49,55,51,49,49,57,32,46,48,48,48,
      49,56,54,52,52,50,32,46,48,48,48,50,48,52,55,55,49,32,46,48,48,48,50,50,51,
      55,50,49,32,46,48,48,48,50,52,51,50,55,54,10,32,32,46,48,48,48,50,54,56,53,
      52,49,32,46,48,48,48,50,57,52,54,55,52,32,46,48,48,48,51,50,49,54,52,56,32,
      46,48,48,48,51,53,53,48,55,51,32,46,48,48,48,51,56,57,53,56,32,46,48,48,48,
      52,51,55,49,56,56,32,46,48,48,48,52,56,54,52,56,54,32,46,48,48,48,53,51,55,
      51,53,51,10,32,32,46,48,48,48,53,57,54,50,54,51,32,46,48,48,48,54,54,51,54,
      50,57,32,46,48,48,48,55,51,57,55,56,56,32,46,48,48,48,56,50,52,57,56,49,32,
      46,48,48,48,57,49,57,51,54,52,32,46,48,48,49,48,51,48,51,56,32,46,48,48,49,
      49,52,51,48,57,32,46,48,48,49,50,55,50,49,54,10,32,32,46,48,48,49,52,52,48,
      48,56,32,46,48,48,49,54,49,55,50,56,32,46,48,48,49,55,53,49,48,53,32,46,48,
      48,49,57,49,52,53,56,32,46,48,48,50,49,49,48,49,54,32,46,48,48,50,51,49,50,
      50,54,32,46,48,48,50,53,49,55,53,32,46,48,48,50,55,50,56,49,32,46,48,48,50,
      57,49,54,54,56,10,32,32,46,48,48,51,48,57,56,55,51,32,46,48,48,51,50,57,52,
      51,54,32,46,48,48,51,53,49,51,52,55,32,46,48,48,51,54,55,56,50,57,32,46,48,
      48,51,55,57,57,49,57,32,46,48,48,51,56,54,53,55,52,32,46,48,48,51,57,48,54,
      53,50,32,46,48,48,51,57,49,54,53,56,10,32,32,46,48,48,51,56,55,57,55,32,46,
      48,48,51,56,48,51,55,53,32,46,48,48,51,55,49,48,56,51,32,46,48,48,51,53,52,
      51,57,32,46,48,48,51,51,52,53,51,32,46,48,48,51,49,50,49,53,57,32,46,48,48,
      50,57,48,50,52,56,32,46,48,48,50,54,55,52,50,51,32,46,48,48,50,52,52,55,57,
      50,10,32,32,46,48,48,50,49,57,57,57,32,46,48,48,49,57,55,56,56,54,32,46,48,
      48,49,56,50,51,51,53,32,46,48,48,49,53,52,56,57,50,32,46,48,48,49,51,49,52,
      55,56,32,46,48,48,49,49,49,56,53,49,32,46,48,48,48,57,51,48,50,57,51,32,46,
      48,48,48,55,56,50,52,54,49,10,32,32,46,48,48,48,54,52,52,53,50,49,32,46,48,
      48,48,53,51,50,48,57,52,32,46,48,48,48,52,52,49,50,48,50,32,46,48,48,48,51,
      54,56,49,56,55,32,46,48,48,48,51,48,48,53,55,52,32,46,48,48,48,50,53,56,56,
      53,57,32,46,48,48,48,50,50,50,56,54,53,32,46,48,48,48,49,55,52,48,49,50,10,
      32,32,46,48,48,48,49,52,57,52,51,52,32,46,48,48,48,49,49,55,52,54,53,32,57,
      46,48,57,51,55,50,101,45,48,53,32,55,46,55,57,53,50,53,101,45,48,53,32,54,46,
      54,55,54,52,51,101,45,48,53,32,53,46,50,50,48,56,51,101,45,48,53,32,51,46,57,
      55,53,52,55,101,45,48,53,10,32,32,51,46,52,49,53,54,54,101,45,48,53,32,50,46,
      54,55,49,56,53,101,45,48,53,32,50,46,50,57,57,53,53,101,45,48,53,32,49,46,56,
      48,49,52,50,101,45,48,53,32,49,46,52,55,54,56,52,101,45,48,53,32,49,46,49,48,
      50,52,56,101,45,48,53,32,57,46,55,54,55,57,49,101,45,48,54,10,32,32,55,46,55,
      51,54,56,56,101,45,48,54,32,53,46,57,55,56,48,49,101,45,48,54,32,52,46,56,50,
      48,57,54,101,45,48,54,32,51,46,56,56,55,50,54,101,45,48,54,32,51,46,49,55,55,
      54,56,101,45,48,54,32,50,46,54,48,53,51,56,101,45,48,54,32,50,46,48,57,48,51,
      57,101,45,48,54,10,32,32,49,46,55,49,56,57,101,45,48,54,32,49,46,51,56,53,50,
      57,101,45,48,54,32,49,46,49,56,49,56,57,101,45,48,54,32,57,46,49,50,49,52,50,
      101,45,48,55,32,55,46,55,56,49,52,52,101,45,48,55,32,54,46,51,56,54,57,53,101,
      45,48,55,32,52,46,48,51,50,52,101,45,48,55,10,32,32,50,46,49,52,49,51,49,101,
      45,48,55,32,49,46,49,53,52,54,51,101,45,48,55,32,53,46,51,51,52,55,57,101,45,
      48,56,32,50,46,52,54,52,57,51,101,45,48,56,32,57,46,55,53,55,49,51,101,45,48,
      57,32,52,46,53,56,52,54,54,101,45,48,57,32,49,46,50,55,53,49,101,45,48,56,10,
      32,32,52,46,57,57,54,51,53,101,45,48,57,32,50,46,53,56,54,48,57,101,45,48,57,
      32,49,46,50,51,57,57,53,101,45,48,57,32,52,46,54,53,56,53,50,101,45,49,48,32,
      49,46,57,55,57,57,56,101,45,49,48,32,56,46,52,50,49,55,56,101,45,49,49,32,51,
      46,49,55,51,50,55,101,45,49,49,10,32,32,49,46,49,57,54,55,50,101,45,49,49,32,
      53,46,49,48,49,56,50,101,45,49,50,32,50,46,49,55,54,51,49,101,45,49,50,32,57,
      46,50,48,49,51,55,101,45,49,51,32,51,46,52,55,56,49,49,101,45,49,51,32,49,46,
      49,54,53,101,45,49,51,32,51,46,52,53,56,51,53,101,45,49,52,10,32,32,49,46,49,
      53,57,57,54,101,45,49,52,32,51,46,52,52,56,48,51,101,45,49,53,32,49,46,49,53,
      56,48,49,101,45,49,53,32,51,46,56,57,49,48,55,101,45,49,54,32,49,46,49,53,56,
      56,57,101,45,49,54,32,51,46,49,54,53,51,55,101,45,49,55,32,49,46,49,54,50,50,
      51,101,45,49,55,10,32,32,51,46,54,52,55,49,53,101,45,49,56,32,49,46,51,49,54,
      52,54,101,45,49,56,32,52,46,52,51,51,48,50,101,45,49,57,32,49,46,52,57,48,55,
      51,101,45,49,57,32,53,46,48,50,50,57,50,101,45,50,48,32,49,46,54,57,51,101,
      45,50,48,32,53,46,55,48,56,48,55,101,45,50,49,10,32,32,49,46,54,48,53,53,52,
      101,45,50,49,32,48,114,53,49,32,49,46,50,52,52,54,57,101,45,48,57,32,49,46,
      54,53,57,52,52,101,45,48,57,32,50,46,50,49,50,54,52,101,45,48,57,32,50,46,57,
      53,48,49,101,45,48,57,32,51,46,57,51,51,51,57,101,45,48,57,32,53,46,50,52,52,
      52,53,101,45,48,57,10,32,32,54,46,57,57,50,52,56,101,45,48,57,32,57,46,51,50,
      50,57,53,101,45,48,57,32,49,46,50,52,50,57,55,101,45,48,56,32,49,46,54,53,55,
      50,50,101,45,48,56,32,50,46,50,48,57,53,57,101,45,48,56,32,50,46,57,52,53,56,
      55,101,45,48,56,32,51,46,57,50,55,55,52,101,45,48,56,10,32,32,53,46,50,51,54,
      55,49,101,45,48,56,32,54,46,57,56,49,57,53,101,45,48,56,32,57,46,51,48,57,50,
      101,45,48,56,32,49,46,50,52,49,50,56,101,45,48,55,32,49,46,56,54,50,51,49,101,
      45,48,55,32,51,46,49,48,54,48,54,101,45,48,55,32,52,46,51,53,50,54,53,101,45,
      48,55,10,32,32,54,46,50,50,56,55,50,101,45,48,55,32,56,46,55,52,51,48,49,101,
      45,48,55,32,49,46,50,53,52,52,53,101,45,48,54,32,49,46,56,57,54,54,57,101,45,
      48,54,32,51,46,50,49,53,56,52,101,45,48,54,32,52,46,53,56,51,51,57,101,45,48,
      54,32,54,46,55,50,56,50,53,101,45,48,54,10,32,32,57,46,55,54,53,53,55,101,45,
      48,54,32,49,46,52,55,48,52,56,101,45,48,53,32,49,46,57,49,55,49,54,101,45,48,
      53,32,50,46,51,57,53,53,51,101,45,48,53,32,51,46,52,52,54,48,57,101,45,48,53,
      32,52,46,54,49,57,51,50,101,45,48,53,32,53,46,57,49,50,48,49,101,45,48,53,10,
      32,32,54,46,54,48,50,48,57,101,45,48,53,32,55,46,51,50,48,55,53,101,45,48,53,
      32,56,46,48,54,55,53,54,101,45,48,53,32,56,46,56,52,50,48,55,101,45,48,53,32,
      57,46,54,52,51,56,50,101,45,48,53,32,46,48,48,48,49,48,52,55,50,52,32,46,48,
      48,48,49,49,51,50,55,51,10,32,32,46,48,48,48,49,50,50,48,56,50,32,46,48,48,
      48,49,51,49,49,52,53,32,46,48,48,48,49,52,48,52,53,56,32,46,48,48,48,49,53,
      49,57,53,56,32,46,48,48,48,49,54,51,56,48,53,32,46,48,48,48,49,56,48,49,50,
      54,32,46,48,48,48,49,57,55,48,51,50,32,46,48,48,48,50,49,52,53,48,52,10,32,
      32,46,48,48,48,50,51,55,49,49,53,32,46,48,48,48,50,54,48,53,53,32,46,48,48,
      48,50,56,52,55,55,54,32,46,48,48,48,51,49,52,56,52,53,32,46,48,48,48,51,52,
      53,57,53,49,32,46,48,48,48,51,56,56,57,52,52,32,46,48,48,48,52,51,51,53,53,
      55,32,46,48,48,48,52,55,57,54,54,57,10,32,32,46,48,48,48,53,51,51,49,56,56,
      32,46,48,48,48,53,57,52,53,48,54,32,46,48,48,48,54,54,51,57,54,49,32,46,48,
      48,48,55,52,49,56,49,56,32,46,48,48,48,56,50,56,50,52,54,32,46,48,48,48,57,
      51,48,49,52,53,32,46,48,48,49,48,51,51,56,51,32,46,48,48,49,49,53,50,56,51,
      10,32,32,46,48,48,49,51,48,56,48,54,32,46,48,48,49,52,55,50,51,53,32,46,48,
      48,49,53,57,54,55,32,46,48,48,49,55,52,57,48,57,32,46,48,48,49,57,51,49,56,
      57,32,46,48,48,50,49,50,49,52,54,32,46,48,48,50,51,49,52,55,50,32,46,48,48,
      50,53,49,51,56,51,32,46,48,48,50,54,57,50,57,53,10,32,32,46,48,48,50,56,54,
      54,55,50,32,46,48,48,51,48,53,52,54,50,32,46,48,48,51,50,54,55,48,53,32,46,
      48,48,51,52,50,57,48,57,32,46,48,48,51,53,53,48,51,56,32,46,48,48,51,54,49,
      57,51,55,32,46,48,48,51,54,54,52,53,51,32,46,48,48,51,54,56,51,48,56,10,32,
      32,46,48,48,51,54,53,54,56,52,32,46,48,48,51,53,57,51,48,54,32,46,48,48,51,
      53,49,49,54,32,46,48,48,51,51,54,49,55,57,32,46,48,48,51,49,56,48,55,32,46,
      48,48,50,57,55,52,53,49,32,46,48,48,50,55,55,49,48,51,32,46,48,48,50,53,53,
      55,56,52,32,46,48,48,50,51,52,53,52,55,10,32,32,46,48,48,50,49,49,49,55,52,
      32,46,48,48,49,57,48,50,54,54,32,46,48,48,49,55,53,53,49,53,32,46,48,48,49,
      52,57,52,48,56,32,46,48,48,49,50,55,48,53,53,32,46,48,48,49,48,56,50,54,51,
      32,46,48,48,48,57,48,49,57,50,53,32,46,48,48,48,55,53,57,54,54,49,10,32,32,
      46,48,48,48,54,50,54,54,51,32,46,48,48,48,53,49,55,57,56,54,32,46,48,48,48,
      52,50,57,57,57,50,32,46,48,48,48,51,53,57,49,56,56,32,46,48,48,48,50,57,51,
      53,51,32,46,48,48,48,50,53,50,57,55,49,32,46,48,48,48,50,49,55,57,52,49,32,
      46,48,48,48,49,55,48,51,52,51,10,32,32,46,48,48,48,49,52,54,51,55,32,46,48,
      48,48,49,49,53,49,53,54,32,56,46,57,50,50,55,50,101,45,48,53,32,55,46,54,53,
      50,51,50,101,45,48,53,32,54,46,53,53,55,48,50,101,45,48,53,32,53,46,49,51,48,
      57,53,101,45,48,53,32,51,46,57,48,57,55,55,101,45,48,53,10,32,32,51,46,51,54,
      48,52,54,101,45,48,53,32,50,46,54,51,48,49,55,101,45,48,53,32,50,46,50,54,52,
      52,49,101,45,48,53,32,49,46,55,55,52,56,101,45,48,53,32,49,46,52,53,53,53,56,
      101,45,48,53,32,49,46,48,56,55,50,49,101,45,48,53,32,57,46,54,51,52,54,49,101,
      45,48,54,10,32,32,55,46,54,51,52,51,101,45,48,54,32,53,46,57,48,49,49,57,101,
      45,48,54,32,52,46,55,54,48,53,54,101,45,48,54,32,51,46,56,51,57,55,53,101,45,
      48,54,32,51,46,49,51,57,55,101,45,48,54,32,50,46,53,55,52,57,101,45,48,54,32,
      50,46,48,54,54,52,57,101,45,48,54,10,32,32,49,46,54,57,57,54,51,101,45,48,54,
      32,49,46,51,55,48,49,101,45,48,54,32,49,46,49,54,57,49,51,101,45,48,54,32,57,
      46,48,50,53,50,56,101,45,48,55,32,55,46,55,48,48,54,55,101,45,48,55,32,54,46,
      51,50,49,56,57,101,45,48,55,32,51,46,57,57,51,48,53,101,45,48,55,10,32,32,50,
      46,49,50,49,53,53,101,45,48,55,32,49,46,49,52,52,53,49,101,45,48,55,32,53,46,
      50,57,48,56,49,101,45,48,56,32,50,46,52,52,53,55,51,101,45,48,56,32,57,46,54,
      56,53,57,51,101,45,48,57,32,52,46,53,53,49,55,49,101,45,48,57,32,49,46,50,53,
      48,54,51,101,45,48,56,10,32,32,52,46,57,48,50,101,45,48,57,32,50,46,53,51,55,
      56,101,45,48,57,32,49,46,50,49,55,48,57,101,45,48,57,32,52,46,53,55,51,55,52,
      101,45,49,48,32,49,46,57,52,52,50,50,101,45,49,48,32,56,46,50,55,49,50,54,101,
      45,49,49,32,51,46,49,49,55,51,101,45,49,49,10,32,32,49,46,49,55,53,57,50,101,
      45,49,49,32,53,46,48,49,52,48,53,101,45,49,50,32,50,46,49,51,57,50,54,101,45,
      49,50,32,57,46,48,52,54,54,101,45,49,51,32,51,46,52,50,48,48,49,101,45,49,51,
      32,49,46,49,52,53,55,53,101,45,49,51,32,51,46,52,48,50,50,51,101,45,49,52,10,
      32,32,49,46,49,52,49,52,49,101,45,49,52,32,51,46,51,57,51,53,52,101,45,49,53,
      32,49,46,49,51,57,57,49,101,45,49,53,32,51,46,56,51,49,49,55,101,45,49,54,32,
      49,46,49,52,49,50,55,101,45,49,54,32,51,46,49,49,55,48,51,101,45,49,55,32,49,
      46,49,52,52,51,57,101,45,49,55,10,32,32,51,46,53,57,49,53,49,101,45,49,56,32,
      49,46,50,57,55,52,50,101,45,49,56,32,52,46,51,54,56,49,52,101,45,49,57,32,49,
      46,52,54,56,57,57,101,45,49,57,32,52,46,57,53,48,50,52,101,45,50,48,32,49,46,
      54,54,56,54,56,101,45,50,48,32,53,46,54,50,54,55,49,101,45,50,49,10,32,32,49,
      46,53,55,52,52,52,101,45,50,49,32,48,114,53,49,32,51,46,48,52,54,55,49,101,
      45,49,52,32,53,46,52,49,53,54,54,101,45,49,52,32,57,46,54,50,56,55,55,101,45,
      49,52,32,49,46,55,49,49,55,56,101,45,49,51,32,51,46,48,52,51,50,56,101,45,49,
      51,32,53,46,52,49,48,54,51,101,45,49,51,10,32,32,57,46,54,49,57,55,52,101,45,
      49,51,32,49,46,55,49,48,51,101,45,49,50,32,51,46,48,52,48,54,54,101,45,49,50,
      32,53,46,52,48,54,51,54,101,45,49,50,32,57,46,54,49,51,55,57,101,45,49,50,32,
      49,46,55,48,57,52,52,101,45,49,49,32,51,46,48,52,48,49,56,101,45,49,49,10,32,
      32,53,46,52,48,55,49,55,101,45,49,49,32,57,46,54,49,56,53,54,101,45,49,49,32,
      49,46,55,49,49,53,53,101,45,49,48,32,51,46,48,52,55,49,101,45,49,48,32,54,46,
      56,56,49,55,56,101,45,49,48,32,49,46,57,50,53,55,51,101,45,48,57,32,51,46,55,
      56,56,48,50,101,45,48,57,10,32,32,55,46,55,53,53,48,53,101,45,48,57,32,49,46,
      53,50,51,57,54,101,45,48,56,32,51,46,49,49,55,56,54,101,45,48,56,32,55,46,48,
      51,50,48,53,101,45,48,56,32,49,46,57,53,55,48,52,101,45,48,55,32,51,46,56,51,
      53,55,54,101,45,48,55,32,55,46,56,49,51,56,57,101,45,48,55,10,32,32,49,46,53,
      50,53,48,55,101,45,48,54,32,51,46,48,56,54,56,101,45,48,54,32,52,46,55,56,53,
      56,49,101,45,48,54,32,54,46,56,51,53,52,49,101,45,48,54,32,49,46,49,57,52,55,
      57,101,45,48,53,32,49,46,56,51,53,49,54,101,45,48,53,32,50,46,53,57,55,57,57,
      101,45,48,53,10,32,32,51,46,48,50,51,51,57,101,45,48,53,32,51,46,52,55,55,49,
      55,101,45,48,53,32,51,46,57,53,56,54,49,101,45,48,53,32,52,46,52,54,55,48,54,
      101,45,48,53,32,53,46,48,48,49,56,56,101,45,48,53,32,53,46,53,54,50,52,53,101,
      45,48,53,32,54,46,49,52,56,49,56,101,45,48,53,10,32,32,54,46,55,53,56,52,54,
      101,45,48,53,32,55,46,51,57,50,55,54,101,45,48,53,32,56,46,48,53,48,53,50,101,
      45,48,53,32,56,46,56,55,48,48,53,101,45,48,53,32,57,46,55,50,49,55,51,101,45,
      48,53,32,46,48,48,48,49,48,57,48,53,56,32,46,48,48,48,49,50,49,52,51,53,10,
      32,32,46,48,48,48,49,51,52,51,50,57,32,46,48,48,48,49,53,49,49,52,56,32,46,
      48,48,48,49,54,56,55,49,50,32,46,48,48,48,49,56,54,57,57,32,46,48,48,48,50,
      48,57,56,50,49,32,46,48,48,48,50,51,51,53,56,51,32,46,48,48,48,50,54,54,54,
      50,54,32,46,48,48,48,51,48,49,49,50,51,10,32,32,46,48,48,48,51,51,54,57,55,
      32,46,48,48,48,51,55,56,55,55,56,32,46,48,48,48,52,50,54,57,49,55,32,46,48,
      48,48,52,56,49,55,48,56,32,46,48,48,48,53,52,51,52,50,53,32,46,48,48,48,54,
      49,50,50,54,53,32,46,48,48,48,54,57,51,56,52,50,32,46,48,48,48,55,55,55,50,
      54,52,10,32,32,46,48,48,48,56,55,51,53,48,53,32,46,48,48,48,57,57,57,56,48,
      49,32,46,48,48,49,49,51,52,51,56,32,46,48,48,49,50,51,54,56,55,32,46,48,48,
      49,51,54,51,49,57,32,46,48,48,49,53,49,53,56,51,32,46,48,48,49,54,55,53,52,
      54,32,46,48,48,49,56,51,57,54,57,10,32,32,46,48,48,50,48,49,48,54,51,32,46,
      48,48,50,49,54,54,49,50,32,46,48,48,50,51,49,56,56,32,46,48,48,50,52,56,54,
      52,49,32,46,48,48,50,54,56,48,49,57,32,46,48,48,50,56,51,50,56,53,32,46,48,
      48,50,57,53,50,52,52,32,46,48,48,51,48,50,53,49,56,32,46,48,48,51,48,55,56,
      55,51,10,32,32,46,48,48,51,49,49,53,48,53,32,46,48,48,51,49,49,50,50,51,32,
      46,48,48,51,48,55,53,56,53,32,46,48,48,51,48,50,48,54,53,32,46,48,48,50,57,
      49,48,53,57,32,46,48,48,50,55,55,48,55,53,32,46,48,48,50,54,48,54,52,51,32,
      46,48,48,50,52,52,48,55,49,10,32,32,46,48,48,50,50,54,52,50,52,32,46,48,48,
      50,48,56,54,48,56,32,46,48,48,49,56,56,55,54,51,32,46,48,48,49,55,48,56,50,
      52,32,46,48,48,49,53,56,48,55,49,32,46,48,48,49,51,53,51,49,49,32,46,48,48,
      49,49,53,54,51,54,32,46,48,48,48,57,56,57,54,49,51,10,32,32,46,48,48,48,56,
      50,56,49,49,51,32,46,48,48,48,55,48,48,49,50,56,32,46,48,48,48,53,55,57,55,
      52,51,32,46,48,48,48,52,56,48,56,56,32,46,48,48,48,52,48,48,52,49,56,32,46,
      48,48,48,51,51,53,52,48,55,32,46,48,48,48,50,55,52,56,55,56,32,46,48,48,48,
      50,51,55,51,54,49,10,32,32,46,48,48,48,50,48,52,56,55,50,32,46,48,48,48,49,
      54,48,53,56,53,32,46,48,48,48,49,51,56,50,49,32,46,48,48,48,49,48,56,57,57,
      56,32,56,46,52,54,53,51,52,101,45,48,53,32,55,46,50,54,57,54,55,101,45,48,53,
      32,54,46,50,51,55,48,51,101,45,48,53,32,52,46,56,56,57,55,55,101,45,48,53,10,
      32,32,51,46,55,51,51,50,50,101,45,48,53,32,51,46,50,49,49,57,56,101,45,48,53,
      32,50,46,53,49,55,56,55,101,45,48,53,32,50,46,49,54,57,54,56,101,45,48,53,32,
      49,46,55,48,50,57,50,101,45,48,53,32,49,46,51,57,56,49,51,101,45,48,53,32,49,
      46,48,52,53,56,51,101,45,48,53,10,32,32,57,46,50,55,51,51,52,101,45,48,54,32,
      55,46,51,53,53,57,101,45,48,54,32,53,46,54,57,50,51,101,45,48,54,32,52,46,53,
      57,54,48,56,101,45,48,54,32,51,46,55,49,48,50,101,45,48,54,32,51,46,48,51,54,
      48,55,101,45,48,54,32,50,46,52,57,49,54,56,101,45,48,54,10,32,32,50,46,48,48,
      49,50,50,101,45,48,54,32,49,46,54,52,55,48,49,101,45,48,54,32,49,46,51,50,56,
      53,57,101,45,48,54,32,49,46,49,51,52,50,53,101,45,48,54,32,56,46,55,54,50,55,
      54,101,45,48,55,32,55,46,52,56,48,48,51,101,45,48,55,32,54,46,49,52,52,48,54,
      101,45,48,55,10,32,32,51,46,56,56,53,51,49,101,45,48,55,32,50,46,48,54,55,51,
      54,101,45,48,55,32,49,46,49,49,54,55,51,101,45,48,55,32,53,46,49,54,57,56,55,
      101,45,48,56,32,50,46,51,57,50,57,50,101,45,48,56,32,57,46,52,56,57,55,57,101,
      45,48,57,32,52,46,52,54,48,51,52,101,45,48,57,10,32,32,49,46,49,56,55,49,54,
      101,45,48,56,32,52,46,54,53,54,57,56,101,45,48,57,32,50,46,52,49,50,50,49,101,
      45,48,57,32,49,46,49,53,55,52,56,101,45,48,57,32,52,46,51,53,50,57,49,101,45,
      49,48,32,49,46,56,53,49,53,50,101,45,49,48,32,55,46,56,56,49,52,50,101,45,49,
      49,10,32,32,50,46,57,55,50,49,53,101,45,49,49,32,49,46,49,50,49,56,101,45,49,
      49,32,52,46,55,56,53,54,54,101,45,49,50,32,50,46,48,52,50,55,54,101,45,49,50,
      32,56,46,54,52,52,48,50,101,45,49,51,32,51,46,50,54,57,54,57,101,45,49,51,32,
      49,46,48,57,54,48,51,101,45,49,51,10,32,32,51,46,50,53,54,48,56,101,45,49,52,
      32,49,46,48,57,50,56,50,101,45,49,52,32,51,46,50,53,48,53,53,101,45,49,53,32,
      49,46,48,57,50,50,51,101,45,49,53,32,51,46,54,55,49,55,52,101,45,49,54,32,49,
      46,48,57,52,49,53,101,45,49,54,32,50,46,57,57,48,49,52,101,45,49,55,10,32,32,
      49,46,48,57,56,51,101,45,49,55,32,51,46,52,52,56,50,54,101,45,49,56,32,49,46,
      50,52,54,49,49,101,45,49,56,32,52,46,49,57,55,52,51,101,45,49,57,32,49,46,52,
      49,50,50,55,101,45,49,57,32,52,46,55,54,50,48,56,101,45,50,48,32,49,46,54,48,
      53,57,54,101,45,50,48,10,32,32,53,46,52,49,54,49,55,101,45,50,49,32,49,46,52,
      57,51,53,51,101,45,50,49,32,48,114,53,49,32,50,46,49,50,56,54,53,101,45,49,
      52,32,51,46,55,56,51,55,49,101,45,49,52,32,54,46,55,50,55,49,101,45,49,52,32,
      49,46,49,57,53,57,101,45,49,51,32,50,46,49,50,54,48,52,101,45,49,51,10,32,32,
      51,46,55,55,57,54,57,101,45,49,51,32,54,46,55,49,57,54,51,101,45,49,51,32,49,
      46,49,57,52,53,57,101,45,49,50,32,50,46,49,50,51,53,56,101,45,49,50,32,51,46,
      55,55,53,50,55,101,45,49,50,32,54,46,55,49,50,49,50,101,45,49,50,32,49,46,49,
      57,51,50,101,45,49,49,10,32,32,50,46,49,50,49,51,57,101,45,49,49,32,51,46,55,
      55,49,51,55,101,45,49,49,32,54,46,55,48,52,53,101,45,49,49,32,49,46,49,57,49,
      57,49,101,45,49,48,32,50,46,49,49,56,57,50,101,45,49,48,32,52,46,55,54,55,53,
      50,101,45,49,48,32,49,46,51,50,52,53,56,101,45,48,57,10,32,32,50,46,53,57,56,
      48,51,101,45,48,57,32,53,46,51,48,57,51,101,45,48,57,32,49,46,48,52,49,51,55,
      101,45,48,56,32,50,46,49,50,53,57,101,45,48,56,32,52,46,55,56,50,56,57,101,
      45,48,56,32,49,46,51,50,55,53,52,101,45,48,55,32,50,46,53,57,57,50,51,101,45,
      48,55,10,32,32,53,46,50,57,52,57,57,101,45,48,55,32,49,46,48,51,53,48,57,101,
      45,48,54,32,50,46,49,48,51,52,53,101,45,48,54,32,51,46,50,55,52,52,49,101,45,
      48,54,32,52,46,54,57,55,48,52,101,45,48,54,32,56,46,50,56,51,56,57,101,45,48,
      54,32,49,46,50,56,51,54,56,101,45,48,53,10,32,32,49,46,56,51,50,56,53,101,45,
      48,53,32,50,46,49,52,49,55,55,101,45,48,53,32,50,46,52,55,51,49,50,101,45,48,
      53,32,50,46,56,50,54,53,54,101,45,48,53,32,51,46,50,48,49,55,53,101,45,48,53,
      32,51,46,53,57,56,51,52,101,45,48,53,32,52,46,48,49,54,101,45,48,53,10,32,32,
      52,46,52,53,52,51,55,101,45,48,53,32,52,46,57,49,51,49,52,101,45,48,53,32,53,
      46,51,57,49,57,55,101,45,48,53,32,53,46,56,57,48,53,50,101,45,48,53,32,54,46,
      53,49,52,51,51,101,45,48,53,32,55,46,49,54,53,53,49,101,45,48,53,32,56,46,48,
      55,53,51,52,101,45,48,53,10,32,32,57,46,48,51,49,52,56,101,45,48,53,32,46,48,
      48,48,49,48,48,51,50,54,32,46,48,48,48,49,49,51,52,53,53,32,46,48,48,48,49,
      50,55,50,52,50,32,46,48,48,48,49,52,49,54,54,53,32,46,48,48,48,49,53,57,55,
      55,55,32,46,48,48,48,49,55,56,55,50,56,32,46,48,48,48,50,48,53,50,51,56,10,
      32,32,46,48,48,48,50,51,51,48,56,50,32,46,48,48,48,50,54,50,49,55,54,32,46,
      48,48,48,50,57,54,50,57,52,32,46,48,48,48,51,51,53,55,57,51,32,46,48,48,48,
      51,56,49,48,48,49,32,46,48,48,48,52,51,50,50,32,46,48,48,48,52,56,57,54,49,
      57,32,46,48,48,48,53,53,56,48,51,49,10,32,32,46,48,48,48,54,50,56,51,54,57,
      32,46,48,48,48,55,48,57,57,51,50,32,46,48,48,48,56,49,55,53,57,53,32,46,48,
      48,48,57,51,51,48,51,50,32,46,48,48,49,48,50,49,52,32,46,48,48,49,49,51,48,
      56,54,32,46,48,48,49,50,54,51,56,56,32,46,48,48,49,52,48,51,57,10,32,32,46,
      48,48,49,53,52,56,57,52,32,46,48,48,49,55,48,49,48,52,32,46,48,48,49,56,52,
      48,52,57,32,46,48,48,49,57,55,56,53,53,32,46,48,48,50,49,51,49,54,54,32,46,
      48,48,50,51,49,49,51,32,46,48,48,50,52,53,53,55,52,32,46,48,48,50,53,55,50,
      48,50,32,46,48,48,50,54,52,53,51,55,10,32,32,46,48,48,50,55,48,50,52,55,32,
      46,48,48,50,55,52,55,56,56,32,46,48,48,50,55,53,56,48,51,32,46,48,48,50,55,
      51,55,52,57,32,46,48,48,50,54,57,55,57,49,32,46,48,48,50,54,49,50,49,32,46,
      48,48,50,52,57,55,56,32,46,48,48,50,51,53,57,56,55,32,46,48,48,50,50,49,56,
      50,53,10,32,32,46,48,48,50,48,54,53,52,51,32,46,48,48,49,57,48,57,53,51,32,
      46,48,48,49,55,51,52,50,54,32,46,48,48,49,53,55,52,53,54,32,46,48,48,49,52,
      54,48,51,53,32,46,48,48,49,50,53,53,50,50,32,46,48,48,49,48,55,54,54,51,32,
      46,48,48,48,57,50,52,51,54,49,10,32,32,46,48,48,48,55,55,54,48,55,49,32,46,
      48,48,48,54,53,55,57,56,52,32,46,48,48,48,53,52,54,52,49,49,32,46,48,48,48,
      52,53,52,52,48,53,32,46,48,48,48,51,55,57,50,53,55,32,46,48,48,48,51,49,56,
      51,52,32,46,48,48,48,50,54,49,52,52,57,32,46,48,48,48,50,50,54,48,57,54,10,
      32,32,46,48,48,48,49,57,53,52,49,57,32,46,48,48,48,49,53,51,53,48,49,32,46,
      48,48,48,49,51,50,50,55,53,32,46,48,48,48,49,48,52,53,48,54,32,56,46,49,51,
      48,57,52,101,45,48,53,32,54,46,57,56,57,53,101,45,48,53,32,54,46,48,48,50,52,
      51,101,45,48,53,32,52,46,55,49,50,54,101,45,48,53,10,32,32,51,46,54,48,51,50,
      54,101,45,48,53,32,51,46,49,48,50,53,53,101,45,48,53,32,50,46,52,51,52,57,54,
      101,45,48,53,32,50,46,48,57,57,54,56,101,45,48,53,32,49,46,54,52,57,55,49,101,
      45,48,53,32,49,46,51,53,53,53,52,101,45,48,53,32,49,46,48,49,53,49,50,101,45,
      48,53,10,32,32,57,46,48,48,53,48,52,101,45,48,54,32,55,46,49,52,56,57,53,101,
      45,48,54,32,53,46,53,51,54,57,49,101,45,48,54,32,52,46,52,55,51,54,52,101,45,
      48,54,32,51,46,54,49,51,55,101,45,48,54,32,50,46,57,53,56,56,49,101,45,48,54,
      32,50,46,52,50,57,54,101,45,48,54,10,32,32,49,46,57,53,50,52,57,101,45,48,54,
      32,49,46,54,48,55,55,101,45,48,54,32,49,46,50,57,55,53,53,101,45,48,54,32,49,
      46,49,48,56,49,55,101,45,48,54,32,56,46,53,54,54,50,101,45,48,55,32,55,46,51,
      49,52,55,53,101,45,48,55,32,54,46,48,49,48,55,56,101,45,48,55,10,32,32,51,46,
      56,48,52,52,52,101,45,48,55,32,50,46,48,50,54,53,57,101,45,48,55,32,49,46,48,
      57,53,55,57,101,45,48,55,32,53,46,48,55,56,54,54,101,45,48,56,32,50,46,51,53,
      51,48,51,101,45,48,56,32,57,46,51,52,49,52,49,101,45,48,57,32,52,46,51,57,49,
      101,45,48,57,10,32,32,49,46,49,52,50,51,50,101,45,48,56,32,52,46,52,56,52,49,
      56,101,45,48,57,32,50,46,51,50,51,55,101,45,48,57,32,49,46,49,49,53,52,57,101,
      45,48,57,32,52,46,49,57,55,50,51,101,45,49,48,32,49,46,55,56,54,49,49,101,45,
      49,48,32,55,46,54,48,54,53,50,101,45,49,49,10,32,32,50,46,56,54,57,57,53,101,
      45,49,49,32,49,46,48,56,51,55,52,101,45,49,49,32,52,46,54,50,52,56,54,101,45,
      49,50,32,49,46,57,55,52,53,55,101,45,49,50,32,56,46,51,53,56,53,49,101,45,49,
      51,32,51,46,49,54,50,52,50,101,45,49,51,32,49,46,48,54,48,51,52,101,45,49,51,
      10,32,32,51,46,49,53,49,51,51,101,45,49,52,32,49,46,48,53,56,49,101,45,49,52,
      32,51,46,49,52,56,53,52,101,45,49,53,32,49,46,48,53,56,52,49,101,45,49,53,32,
      51,46,53,53,57,55,53,101,45,49,54,32,49,46,48,54,49,49,56,101,45,49,54,32,50,
      46,57,48,48,57,49,101,45,49,55,10,32,32,49,46,48,54,53,55,50,101,45,49,55,32,
      51,46,51,52,54,57,55,101,45,49,56,32,49,46,50,48,57,56,49,101,45,49,56,32,52,
      46,48,55,53,53,55,101,45,49,57,32,49,46,51,55,49,50,57,101,45,49,57,32,52,46,
      54,50,52,54,55,101,45,50,48,32,49,46,53,54,48,49,51,101,45,50,48,10,32,32,53,
      46,50,54,52,53,55,101,45,50,49,32,49,46,52,51,54,50,51,101,45,50,49,32,52,46,
      56,50,57,52,51,101,45,50,50,32,48,114,53,48,32,49,46,54,52,57,49,101,45,49,
      52,32,50,46,57,51,49,50,57,101,45,49,52,32,53,46,50,49,49,53,56,101,45,49,52,
      32,57,46,50,54,52,55,56,101,45,49,52,10,32,32,49,46,54,52,55,48,55,101,45,49,
      51,32,50,46,57,50,56,49,56,101,45,49,51,32,53,46,50,48,53,55,56,101,45,49,51,
      32,57,46,50,53,52,54,53,101,45,49,51,32,49,46,54,52,53,49,54,101,45,49,50,32,
      50,46,57,50,52,55,52,101,45,49,50,32,53,46,49,57,57,57,52,101,45,49,50,10,32,
      32,57,46,50,52,51,56,50,101,45,49,50,32,49,46,54,52,51,52,53,101,45,49,49,32,
      50,46,57,50,49,54,56,101,45,49,49,32,53,46,49,57,51,57,53,101,45,49,49,32,57,
      46,50,51,51,53,56,101,45,49,49,32,49,46,54,52,49,52,57,101,45,49,48,32,51,46,
      54,57,51,49,56,101,45,49,48,10,32,32,49,46,48,50,53,55,55,101,45,48,57,32,50,
      46,48,49,48,50,56,101,45,48,57,32,52,46,49,48,50,50,49,101,45,48,57,32,56,46,
      48,52,49,49,51,101,45,48,57,32,49,46,54,52,49,51,101,45,48,56,32,51,46,54,57,
      49,56,49,101,45,48,56,32,49,46,48,50,52,51,57,101,45,48,55,10,32,32,50,46,48,
      48,53,51,49,101,45,48,55,32,52,46,48,56,52,52,51,101,45,48,55,32,55,46,57,56,
      51,57,49,101,45,48,55,32,49,46,54,50,50,54,56,101,45,48,54,32,50,46,53,50,54,
      54,51,101,45,48,54,32,51,46,54,50,53,53,101,45,48,54,32,54,46,51,57,57,51,51,
      101,45,48,54,10,32,32,57,46,57,50,54,54,101,45,48,54,32,49,46,52,49,56,57,55,
      101,45,48,53,32,49,46,54,53,57,49,54,101,45,48,53,32,49,46,57,49,55,48,56,101,
      45,48,53,32,50,46,49,57,50,53,49,101,45,48,53,32,50,46,52,56,53,50,51,101,45,
      48,53,32,50,46,55,57,53,48,50,101,45,48,53,10,32,32,51,46,49,50,49,54,54,101,
      45,48,53,32,51,46,52,54,52,57,50,101,45,48,53,32,51,46,56,50,52,54,101,45,48,
      53,32,52,46,50,48,48,52,54,101,45,48,53,32,52,46,53,57,50,50,57,101,45,48,53,
      32,53,46,48,56,51,50,53,101,45,48,53,32,53,46,53,57,54,53,50,101,45,48,53,10,
      32,32,54,46,51,49,52,57,51,101,45,48,53,32,55,46,48,55,49,52,52,101,45,48,53,
      32,55,46,56,54,53,49,55,101,45,48,53,32,56,46,57,48,56,51,52,101,45,48,53,32,
      46,48,48,48,49,48,48,48,54,54,32,46,48,48,48,49,49,49,53,56,51,32,46,48,48,
      48,49,50,54,48,56,52,10,32,32,46,48,48,48,49,52,49,51,48,50,32,46,48,48,48,
      49,54,50,54,54,32,46,48,48,48,49,56,53,49,55,53,32,46,48,48,48,50,48,56,55,
      56,53,32,46,48,48,48,50,51,54,53,55,53,32,46,48,48,48,50,54,56,56,55,54,32,
      46,48,48,48,51,48,54,48,48,53,32,46,48,48,48,51,52,56,50,52,51,10,32,32,46,
      48,48,48,51,57,53,56,51,53,32,46,48,48,48,52,53,50,56,50,32,46,48,48,48,53,
      49,49,55,48,54,32,46,48,48,48,53,56,48,51,52,53,32,46,48,48,48,54,55,49,52,
      56,49,32,46,48,48,48,55,54,57,56,51,32,46,48,48,48,56,52,53,53,52,52,32,46,
      48,48,48,57,51,57,56,48,55,10,32,32,46,48,48,49,48,53,53,48,55,32,46,48,48,
      49,49,55,55,50,49,32,46,48,48,49,51,48,52,54,50,32,46,48,48,49,52,51,57,50,
      54,32,46,48,48,49,53,54,51,54,55,32,46,48,48,49,54,56,55,56,52,32,46,48,48,
      49,56,50,54,56,56,32,46,48,48,49,57,57,50,50,52,10,32,32,46,48,48,50,49,50,
      55,54,53,32,46,48,48,50,50,51,57,49,54,32,46,48,48,50,51,49,49,54,32,46,48,
      48,50,51,55,48,51,54,32,46,48,48,50,52,50,49,57,52,32,46,48,48,50,52,52,49,
      57,54,32,46,48,48,50,52,51,52,48,53,32,46,48,48,50,52,48,55,50,54,32,46,48,
      48,50,51,52,49,54,57,10,32,32,46,48,48,50,50,52,57,50,49,32,46,48,48,50,49,
      51,52,48,57,32,46,48,48,50,48,49,51,53,56,32,46,48,48,49,56,56,49,55,32,46,
      48,48,49,55,52,53,54,53,32,46,48,48,49,53,57,49,50,53,32,46,48,48,49,52,52,
      57,52,32,46,48,48,49,51,52,55,51,52,32,46,48,48,49,49,54,50,56,52,10,32,32,
      46,48,48,49,48,48,49,48,52,32,46,48,48,48,56,54,50,50,53,52,32,46,48,48,48,
      55,50,54,51,52,55,32,46,48,48,48,54,49,55,53,53,57,32,46,48,48,48,53,49,52,
      51,49,53,32,46,48,48,48,52,50,56,56,50,49,32,46,48,48,48,51,53,56,55,51,52,
      32,46,48,48,48,51,48,49,55,52,49,10,32,32,46,48,48,48,50,52,56,51,53,53,32,
      46,48,48,48,50,49,53,48,57,50,32,46,48,48,48,49,56,54,49,55,32,46,48,48,48,
      49,52,54,53,53,51,32,46,48,48,48,49,50,54,52,52,52,32,46,48,48,48,49,48,48,
      48,56,51,32,55,46,56,48,48,56,53,101,45,48,53,32,54,46,55,49,50,54,101,45,48,
      53,10,32,32,53,46,55,55,48,50,55,101,45,48,53,32,52,46,53,51,54,57,54,101,45,
      48,53,32,51,46,52,55,52,49,57,101,45,48,53,32,50,46,57,57,51,55,56,101,45,48,
      53,32,50,46,51,53,50,52,51,101,45,48,53,32,50,46,48,50,57,57,52,101,45,48,53,
      32,49,46,53,57,54,54,53,101,45,48,53,10,32,32,49,46,51,49,51,48,52,101,45,48,
      53,32,57,46,56,52,52,50,57,101,45,48,54,32,56,46,55,51,54,55,50,101,45,48,54,
      32,54,46,57,52,49,55,56,101,45,48,54,32,53,46,51,56,49,50,50,101,45,48,54,32,
      52,46,51,53,48,57,101,45,48,54,32,51,46,53,49,54,56,57,101,45,48,54,10,32,32,
      50,46,56,56,49,50,53,101,45,48,54,32,50,46,51,54,55,50,52,101,45,48,54,32,49,
      46,57,48,51,53,49,101,45,48,54,32,49,46,53,54,56,49,54,101,45,48,54,32,49,46,
      50,54,54,51,50,101,45,48,54,32,49,46,48,56,49,57,101,45,48,54,32,56,46,51,54,
      56,49,51,101,45,48,55,10,32,32,55,46,49,52,56,49,50,101,45,48,55,32,53,46,56,
      55,54,51,51,101,45,48,55,32,51,46,55,50,50,56,101,45,48,55,32,49,46,57,56,53,
      52,50,101,45,48,55,32,49,46,48,55,52,54,50,101,45,48,55,32,52,46,57,56,54,50,
      49,101,45,48,56,32,50,46,51,49,50,53,56,101,45,48,56,10,32,32,57,46,49,57,48,
      57,49,101,45,48,57,32,52,46,51,50,48,57,54,101,45,48,57,32,49,46,48,57,57,51,
      56,101,45,48,56,32,52,46,51,49,56,52,52,101,45,48,57,32,50,46,50,51,56,56,51,
      101,45,48,57,32,49,46,48,55,53,50,57,101,45,48,57,32,52,46,48,52,56,51,53,101,
      45,49,48,10,32,32,49,46,55,50,51,52,52,101,45,49,48,32,55,46,51,52,49,57,55,
      101,45,49,49,32,50,46,55,55,49,48,56,101,45,49,49,32,49,46,48,52,54,55,52,101,
      45,49,49,32,52,46,52,54,56,51,52,101,45,49,50,32,49,46,57,48,56,52,57,101,45,
      49,50,32,56,46,48,56,50,54,57,101,45,49,51,10,32,32,51,46,48,53,57,51,56,101,
      45,49,51,32,49,46,48,50,54,50,57,101,45,49,51,32,51,46,48,53,49,52,50,101,45,
      49,52,32,49,46,48,50,52,56,56,101,45,49,52,32,51,46,48,53,48,54,56,101,45,49,
      53,32,49,46,48,50,53,55,54,101,45,49,53,32,51,46,52,53,48,55,52,101,45,49,54,
      10,32,32,49,46,48,50,57,48,55,101,45,49,54,32,50,46,56,49,52,52,50,101,45,49,
      55,32,49,46,48,51,52,50,51,101,45,49,55,32,51,46,50,52,57,49,50,101,45,49,56,
      32,49,46,49,55,52,55,54,101,45,49,56,32,51,46,57,53,56,56,57,101,45,49,57,32,
      49,46,51,51,50,51,51,101,45,49,57,10,32,32,52,46,52,57,52,53,49,101,45,50,48,
      32,49,46,53,49,54,54,101,45,50,48,32,53,46,49,49,56,57,55,101,45,50,49,32,49,
      46,51,55,57,56,54,101,45,50,49,32,52,46,54,52,49,52,55,101,45,50,50,32,48,114,
      53,48,32,49,46,50,55,53,55,55,101,45,49,52,32,50,46,50,54,55,55,101,45,49,52,
      10,32,32,52,46,48,51,49,55,54,101,45,49,52,32,55,46,49,54,55,51,56,101,45,49,
      52,32,49,46,50,55,52,50,101,45,49,51,32,50,46,50,54,53,50,57,101,45,49,51,32,
      52,46,48,50,55,50,56,101,45,49,51,32,55,46,49,53,57,53,53,101,45,49,51,32,49,
      46,50,55,50,55,51,101,45,49,50,10,32,32,50,46,50,54,50,54,51,101,45,49,50,32,
      52,46,48,50,50,55,54,101,45,49,50,32,55,46,49,53,49,49,56,101,45,49,50,32,49,
      46,50,55,49,52,101,45,49,49,32,50,46,50,54,48,50,55,101,45,49,49,32,52,46,48,
      49,56,49,52,101,45,49,49,32,55,46,49,52,51,50,57,101,45,49,49,10,32,32,49,46,
      50,54,57,57,101,45,49,48,32,50,46,56,53,55,49,53,101,45,49,48,32,55,46,57,51,
      53,55,101,45,49,48,32,49,46,53,53,53,50,51,101,45,48,57,32,51,46,49,55,51,51,
      56,101,45,48,57,32,54,46,50,49,56,51,56,101,45,48,57,32,49,46,50,54,56,54,55,
      101,45,48,56,10,32,32,50,46,56,53,51,52,50,101,45,48,56,32,55,46,57,49,56,51,
      101,45,48,56,32,49,46,53,53,48,50,52,101,45,48,55,32,51,46,49,53,56,50,101,
      45,48,55,32,54,46,49,55,54,51,50,101,45,48,55,32,49,46,50,53,53,57,101,45,48,
      54,32,49,46,57,53,54,51,53,101,45,48,54,10,32,32,50,46,56,48,56,52,57,101,45,
      48,54,32,52,46,57,54,49,57,54,101,45,48,54,32,55,46,55,48,52,53,53,101,45,48,
      54,32,49,46,49,48,50,52,52,101,45,48,53,32,49,46,50,56,57,55,49,101,45,48,53,
      32,49,46,52,57,48,57,54,101,45,48,53,32,49,46,55,48,54,48,53,101,45,48,53,10,
      32,32,49,46,57,51,52,56,50,101,45,48,53,32,50,46,49,55,55,49,51,101,45,48,53,
      32,50,46,52,51,50,56,50,101,45,48,53,32,50,46,55,48,49,55,54,101,45,48,53,32,
      50,46,57,56,51,55,55,101,45,48,53,32,51,46,50,55,56,55,50,101,45,48,53,32,51,
      46,53,56,54,52,53,101,45,48,53,10,32,32,51,46,57,55,50,51,57,101,45,48,53,32,
      52,46,51,55,54,50,55,101,45,48,53,32,52,46,57,52,50,50,50,101,45,48,53,32,53,
      46,53,51,56,57,55,101,45,48,53,32,54,46,49,54,53,57,101,45,48,53,32,54,46,57,
      57,49,48,57,101,45,48,53,32,55,46,56,54,49,50,57,101,45,48,53,10,32,32,56,46,
      55,55,53,51,50,101,45,48,53,32,57,46,57,50,56,51,54,101,45,48,53,32,46,48,48,
      48,49,49,49,52,48,56,32,46,48,48,48,49,50,56,52,54,49,32,46,48,48,48,49,52,
      54,52,56,55,32,46,48,48,48,49,54,53,52,51,56,32,46,48,48,48,49,56,55,56,48,
      54,32,46,48,48,48,50,49,51,56,56,52,10,32,32,46,48,48,48,50,52,51,57,53,57,
      32,46,48,48,48,50,55,56,50,57,54,32,46,48,48,48,51,49,55,49,51,51,32,46,48,
      48,48,51,54,51,56,51,53,32,46,48,48,48,52,49,50,51,49,32,46,48,48,48,52,54,
      57,48,55,52,32,46,48,48,48,53,52,52,56,54,52,32,46,48,48,48,54,50,55,49,54,
      51,10,32,32,46,48,48,48,54,57,48,56,55,32,46,48,48,48,55,55,48,53,57,54,32,
      46,48,48,48,56,54,56,54,57,50,32,46,48,48,48,57,55,51,51,55,54,32,46,48,48,
      49,48,56,51,51,56,32,46,48,48,49,50,48,48,53,51,32,46,48,48,49,51,48,57,54,
      55,32,46,48,48,49,52,49,57,53,49,10,32,32,46,48,48,49,53,52,51,55,32,46,48,
      48,49,54,57,51,52,49,32,46,48,48,49,56,49,56,49,55,32,46,48,48,49,57,50,51,
      49,49,32,46,48,48,49,57,57,51,48,55,32,46,48,48,50,48,53,49,55,57,32,46,48,
      48,50,49,48,55,50,50,32,46,48,48,50,49,51,52,56,52,32,46,48,48,50,49,51,55,
      53,10,32,32,46,48,48,50,49,50,49,56,52,32,46,48,48,50,48,55,52,52,54,32,46,
      48,48,50,48,48,50,48,56,32,46,48,48,49,57,48,56,51,51,32,46,48,48,49,56,48,
      55,56,54,32,46,48,48,49,54,57,54,49,51,32,46,48,48,49,53,55,57,51,57,32,46,
      48,48,49,52,52,53,52,52,10,32,32,46,48,48,49,51,50,49,50,52,32,46,48,48,49,
      50,51,49,50,55,32,46,48,48,49,48,54,55,52,53,32,46,48,48,48,57,50,50,54,48,
      57,32,46,48,48,48,55,57,55,53,49,32,46,48,48,48,54,55,52,50,53,52,32,46,48,
      48,48,53,55,53,48,54,52,32,46,48,48,48,52,56,48,52,53,55,10,32,32,46,48,48,
      48,52,48,49,55,52,55,32,46,48,48,48,51,51,54,57,53,54,32,46,48,48,48,50,56,
      52,48,55,54,32,46,48,48,48,50,51,52,51,55,54,32,46,48,48,48,50,48,51,51,50,
      49,32,46,48,48,48,49,55,54,50,53,57,32,46,48,48,48,49,51,57,48,56,55,32,46,
      48,48,48,49,50,48,49,54,57,10,32,32,57,46,53,51,49,50,50,101,45,48,53,32,55,
      46,52,52,52,48,49,101,45,48,53,32,54,46,52,49,50,56,101,45,48,53,32,53,46,53,
      49,56,53,57,101,45,48,53,32,52,46,51,52,54,50,101,45,48,53,32,51,46,51,51,51,
      55,51,101,45,48,53,32,50,46,56,55,53,50,56,101,45,48,53,10,32,32,50,46,50,54,
      50,51,57,101,45,48,53,32,49,46,57,53,51,55,56,101,45,48,53,32,49,46,53,51,56,
      54,50,101,45,48,53,32,49,46,50,54,54,53,101,45,48,53,32,57,46,53,48,55,55,50,
      101,45,48,54,32,56,46,52,52,50,51,51,101,45,48,54,32,54,46,55,49,52,49,57,101,
      45,48,54,10,32,32,53,46,50,48,57,57,51,101,45,48,54,32,52,46,50,49,53,54,57,
      101,45,48,54,32,51,46,52,49,48,49,52,101,45,48,54,32,50,46,55,57,53,54,55,101,
      45,48,54,32,50,46,50,57,56,51,57,101,45,48,54,32,49,46,56,52,57,52,101,45,48,
      54,32,49,46,53,50,52,52,54,101,45,48,54,10,32,32,49,46,50,51,49,55,55,101,45,
      48,54,32,49,46,48,53,50,56,53,101,45,48,54,32,56,46,49,52,56,56,56,101,45,48,
      55,32,54,46,57,54,51,54,49,101,45,48,55,32,53,46,55,50,55,51,56,101,45,48,55,
      32,51,46,54,51,50,50,52,101,45,48,55,32,49,46,57,51,57,54,55,101,45,48,55,10,
      32,32,49,46,48,53,49,48,56,101,45,48,55,32,52,46,56,56,51,51,101,45,48,56,32,
      50,46,50,54,55,52,55,101,45,48,56,32,57,46,48,50,50,55,53,101,45,48,57,32,52,
      46,50,52,50,53,54,101,45,48,57,32,49,46,48,53,52,49,57,101,45,48,56,32,52,46,
      49,52,51,53,57,101,45,48,57,10,32,32,50,46,49,52,57,48,54,101,45,48,57,32,49,
      46,48,51,50,54,49,101,45,48,57,32,51,46,56,56,57,55,54,101,45,49,48,32,49,46,
      54,53,54,55,56,101,45,49,48,32,55,46,48,54,49,55,56,101,45,49,49,32,50,46,54,
      54,54,56,55,101,45,49,49,32,49,46,48,48,55,56,55,101,45,49,49,10,32,32,52,46,
      51,48,52,48,55,101,45,49,50,32,49,46,56,51,56,57,54,101,45,49,50,32,55,46,55,
      57,49,57,101,45,49,51,32,50,46,57,53,48,51,55,101,45,49,51,32,57,46,57,48,48,
      57,49,101,45,49,52,32,50,46,57,52,53,50,49,101,45,49,52,32,57,46,56,57,54,52,
      53,101,45,49,53,10,32,32,50,46,57,52,55,49,55,101,45,49,53,32,57,46,57,49,52,
      48,49,101,45,49,54,32,51,46,51,51,54,53,57,101,45,49,54,32,57,46,57,53,52,53,
      51,101,45,49,55,32,50,46,55,50,51,55,50,101,45,49,55,32,49,46,48,48,49,51,54,
      101,45,49,55,32,51,46,49,52,54,57,53,101,45,49,56,10,32,32,49,46,49,51,55,57,
      55,101,45,49,56,32,51,46,56,51,53,48,55,101,45,49,57,32,49,46,50,57,48,53,101,
      45,49,57,32,52,46,51,53,51,57,49,101,45,50,48,32,49,46,52,54,57,51,52,101,45,
      50,48,32,52,46,57,53,57,55,56,101,45,50,49,32,49,46,51,50,48,51,57,101,45,50,
      49,10,32,32,52,46,52,52,49,54,101,45,50,50,32,48,114,53,48,32,49,46,48,49,48,
      54,54,101,45,49,52,32,49,46,55,57,54,52,54,101,45,49,52,32,51,46,49,57,51,57,
      52,101,45,49,52,32,53,46,54,55,55,57,54,101,45,49,52,32,49,46,48,48,57,52,50,
      101,45,49,51,32,49,46,55,57,52,53,53,101,45,49,51,10,32,32,51,46,49,57,48,51,
      56,101,45,49,51,32,53,46,54,55,49,55,53,101,45,49,51,32,49,46,48,48,56,50,53,
      101,45,49,50,32,49,46,55,57,50,52,52,101,45,49,50,32,51,46,49,56,54,56,49,101,
      45,49,50,32,53,46,54,54,53,49,50,101,45,49,50,32,49,46,48,48,55,50,101,45,49,
      49,10,32,32,49,46,55,57,48,53,55,101,45,49,49,32,51,46,49,56,51,49,53,101,45,
      49,49,32,53,46,54,53,56,56,56,101,45,49,49,32,49,46,48,48,54,48,49,101,45,49,
      48,32,50,46,50,54,51,52,50,101,45,49,48,32,54,46,50,56,54,54,52,101,45,49,48,
      32,49,46,50,51,50,48,53,101,45,48,57,10,32,32,50,46,53,49,51,57,54,101,45,48,
      57,32,52,46,57,50,54,50,51,101,45,48,57,32,49,46,48,48,53,48,49,101,45,48,56,
      32,50,46,50,53,57,57,56,101,45,48,56,32,54,46,50,55,49,49,50,101,45,48,56,32,
      49,46,50,50,55,57,55,101,45,48,55,32,50,46,53,48,51,50,55,101,45,48,55,10,32,
      32,52,46,56,57,53,51,56,101,45,48,55,32,57,46,57,53,54,54,56,101,45,48,55,32,
      49,46,53,53,49,51,50,101,45,48,54,32,50,46,50,50,55,53,54,101,45,48,54,32,51,
      46,57,51,55,53,55,101,45,48,54,32,54,46,49,49,55,50,53,101,45,48,54,32,56,46,
      55,53,56,49,51,101,45,48,54,10,32,32,49,46,48,50,52,56,57,101,45,48,53,32,49,
      46,49,56,53,49,55,101,45,48,53,32,49,46,51,53,54,53,54,101,45,48,53,32,49,46,
      53,51,56,57,53,101,45,48,53,32,49,46,55,51,50,50,51,101,45,48,53,32,49,46,57,
      51,54,51,101,45,48,53,32,50,46,49,53,49,48,52,101,45,48,53,10,32,32,50,46,51,
      55,54,51,53,101,45,48,53,32,50,46,54,49,50,49,50,101,45,48,53,32,50,46,56,53,
      56,50,53,101,45,48,53,32,51,46,49,54,55,49,51,101,45,48,53,32,51,46,52,57,48,
      53,55,101,45,48,53,32,51,46,57,52,52,49,55,101,45,48,53,32,52,46,52,50,50,57,
      101,45,48,53,10,32,32,52,46,57,50,54,51,49,101,45,48,53,32,53,46,53,56,57,54,
      50,101,45,48,53,32,54,46,50,56,57,57,53,101,45,48,53,32,55,46,48,50,54,52,51,
      101,45,48,53,32,55,46,57,53,54,55,49,101,45,48,53,32,56,46,57,51,54,51,51,101,
      45,48,53,32,46,48,48,48,49,48,51,49,54,55,10,32,32,46,48,48,48,49,49,55,55,
      56,53,32,46,48,48,48,49,51,51,49,56,53,32,46,48,48,48,49,53,49,51,57,57,32,
      46,48,48,48,49,55,50,54,56,53,32,46,48,48,48,49,57,55,50,57,55,32,46,48,48,
      48,50,50,53,52,55,55,32,46,48,48,48,50,53,55,52,52,55,32,46,48,48,48,50,57,
      54,48,50,51,10,32,32,46,48,48,48,51,51,54,50,48,56,32,46,48,48,48,51,56,51,
      52,52,52,32,46,48,48,48,52,52,54,56,48,49,32,46,48,48,48,53,49,53,57,53,53,
      32,46,48,48,48,53,54,57,55,51,49,32,46,48,48,48,54,51,55,51,50,53,32,46,48,
      48,48,55,50,48,57,51,49,32,46,48,48,48,56,49,48,54,55,54,10,32,32,46,48,48,
      48,57,48,53,53,54,53,32,46,48,48,49,48,48,55,51,32,46,48,48,49,49,48,50,55,
      49,32,46,48,48,49,49,57,57,52,50,32,46,48,48,49,51,48,57,54,54,32,46,48,48,
      49,52,52,52,48,54,32,46,48,48,49,53,53,55,54,56,32,46,48,48,49,54,53,52,57,
      51,10,32,32,46,48,48,49,55,50,49,48,56,32,46,48,48,49,55,55,56,48,54,32,46,
      48,48,49,56,51,52,53,56,32,46,48,48,49,56,54,54,56,49,32,46,48,48,49,56,55,
      54,57,50,32,46,48,48,49,56,54,57,54,54,32,46,48,48,49,56,51,54,53,57,32,46,
      48,48,49,55,56,48,53,56,10,32,32,46,48,48,49,55,48,52,55,52,32,46,48,48,49,
      54,50,49,51,50,32,46,48,48,49,53,50,54,57,53,32,46,48,48,49,52,50,55,48,53,
      32,46,48,48,49,51,49,49,49,53,32,46,48,48,49,50,48,50,54,54,32,46,48,48,49,
      49,50,51,53,51,32,46,48,48,48,57,55,56,52,48,51,10,32,32,46,48,48,48,56,52,
      57,48,48,56,32,46,48,48,48,55,51,54,52,56,56,32,46,48,48,48,54,50,52,57,51,
      57,32,46,48,48,48,53,51,52,54,54,55,32,46,48,48,48,52,52,56,49,51,57,32,46,
      48,48,48,51,55,53,56,49,49,32,46,48,48,48,51,49,54,48,50,53,32,46,48,48,48,
      50,54,55,48,53,52,10,32,32,46,48,48,48,50,50,48,56,54,57,32,46,48,48,48,49,
      57,49,57,50,53,32,46,48,48,48,49,54,54,54,52,51,32,46,48,48,48,49,51,49,56,
      50,49,32,46,48,48,48,49,49,52,48,53,50,32,57,46,48,54,52,56,101,45,48,53,32,
      55,46,48,57,52,49,53,101,45,48,53,32,54,46,49,49,56,53,101,45,48,53,10,32,32,
      53,46,50,55,49,49,55,101,45,48,53,32,52,46,49,53,56,50,53,101,45,48,53,32,51,
      46,49,57,53,48,52,101,45,48,53,32,50,46,55,53,56,49,54,101,45,48,53,32,50,46,
      49,55,51,50,54,101,45,48,53,32,49,46,56,55,56,51,49,101,45,48,53,32,49,46,52,
      56,49,48,51,101,45,48,53,10,32,32,49,46,50,50,48,50,55,101,45,48,53,32,57,46,
      49,55,50,57,49,101,45,48,54,32,56,46,49,52,57,51,49,101,45,48,54,32,54,46,52,
      56,55,52,54,101,45,48,54,32,53,46,48,51,57,49,49,101,45,48,54,32,52,46,48,56,
      48,55,52,101,45,48,54,32,51,46,51,48,51,53,49,101,45,48,54,10,32,32,50,46,55,
      49,48,49,49,101,45,48,54,32,50,46,50,50,57,52,57,101,45,48,54,32,49,46,55,57,
      53,49,57,101,45,48,54,32,49,46,52,56,48,54,53,101,45,48,54,32,49,46,49,57,55,
      49,50,101,45,48,54,32,49,46,48,50,51,54,56,101,45,48,54,32,55,46,57,50,56,55,
      49,101,45,48,55,10,32,32,54,46,55,55,56,50,52,101,45,48,55,32,53,46,53,55,55,
      54,54,101,45,48,55,32,51,46,53,52,49,49,51,101,45,48,55,32,49,46,56,57,51,53,
      56,101,45,48,55,32,49,46,48,50,55,51,51,101,45,48,55,32,52,46,55,55,57,51,56,
      101,45,48,56,32,50,46,50,50,49,56,53,101,45,48,56,10,32,32,56,46,56,53,50,50,
      57,101,45,48,57,32,52,46,49,54,51,53,56,101,45,48,57,32,49,46,48,49,48,55,101,
      45,48,56,32,51,46,57,55,53,56,54,101,45,48,57,32,50,46,48,54,51,49,101,45,48,
      57,32,57,46,57,49,55,57,53,101,45,49,48,32,51,46,55,51,56,51,49,101,45,49,48,
      10,32,32,49,46,53,57,51,48,54,101,45,49,48,32,54,46,55,57,51,50,56,101,45,49,
      49,32,50,46,53,54,54,55,50,101,45,49,49,32,57,46,55,48,53,49,54,101,45,49,50,
      32,52,46,49,52,54,52,50,101,45,49,50,32,49,46,55,55,50,52,101,45,49,50,32,55,
      46,53,49,52,49,50,101,45,49,51,10,32,32,50,46,56,52,54,53,53,101,45,49,51,32,
      57,46,53,53,55,50,101,45,49,52,32,50,46,56,52,52,50,55,101,45,49,52,32,57,46,
      53,53,57,54,52,101,45,49,53,32,50,46,56,52,55,53,57,101,45,49,53,32,57,46,53,
      56,48,54,51,101,45,49,54,32,51,46,50,50,52,56,55,101,45,49,54,10,32,32,57,46,
      54,50,50,57,55,101,45,49,55,32,50,46,54,51,51,51,56,101,45,49,55,32,57,46,54,
      56,50,50,49,101,45,49,56,32,51,46,48,52,51,53,101,45,49,56,32,49,46,49,48,48,
      57,53,101,45,49,56,32,51,46,55,49,49,53,56,101,45,49,57,32,49,46,50,53,50,52,
      101,45,49,57,10,32,32,52,46,50,49,53,50,54,101,45,50,48,32,49,46,52,50,50,57,
      49,101,45,50,48,32,52,46,56,48,52,52,52,101,45,50,49,32,49,46,54,50,50,54,49,
      101,45,50,49,32,52,46,50,53,48,50,101,45,50,50,32,48,114,53,48,32,56,46,48,
      49,57,56,50,101,45,49,53,32,49,46,52,50,53,53,51,101,45,49,52,10,32,32,50,46,
      53,51,52,52,55,101,45,49,52,32,52,46,53,48,53,54,101,45,49,52,32,56,46,48,48,
      57,57,55,101,45,49,52,32,49,46,52,50,52,48,50,101,45,49,51,32,50,46,53,51,49,
      54,53,101,45,49,51,32,52,46,53,48,48,54,56,101,45,49,51,32,56,46,48,48,48,55,
      101,45,49,51,10,32,32,49,46,52,50,50,51,53,101,45,49,50,32,50,46,53,50,56,56,
      50,101,45,49,50,32,52,46,52,57,53,52,52,101,45,49,50,32,55,46,57,57,50,52,50,
      101,45,49,50,32,49,46,52,50,48,56,56,101,45,49,49,32,50,46,53,50,53,57,52,101,
      45,49,49,32,52,46,52,57,48,53,52,101,45,49,49,10,32,32,55,46,57,56,51,48,56,
      101,45,49,49,32,49,46,55,57,54,49,52,101,45,49,48,32,52,46,57,56,56,56,57,101,
      45,49,48,32,57,46,55,55,55,51,55,101,45,49,48,32,49,46,57,57,53,49,49,101,45,
      48,57,32,51,46,57,48,57,55,49,101,45,48,57,32,55,46,57,55,54,56,50,101,45,48,
      57,10,32,32,49,46,55,57,51,57,57,101,45,48,56,32,52,46,57,57,51,52,52,101,45,
      48,56,32,57,46,55,55,56,51,50,101,45,48,56,32,49,46,57,57,50,56,56,101,45,48,
      55,32,51,46,56,57,56,57,49,101,45,48,55,32,55,46,57,51,53,48,50,101,45,48,55,
      32,49,46,50,51,54,57,56,101,45,48,54,10,32,32,49,46,55,55,55,49,50,101,45,48,
      54,32,51,46,49,52,52,54,101,45,48,54,32,52,46,56,57,48,51,101,45,48,54,32,55,
      46,48,48,56,53,55,101,45,48,54,32,56,46,50,48,53,54,50,101,45,48,54,32,57,46,
      52,57,51,54,54,101,45,48,54,32,49,46,48,56,55,49,57,101,45,48,53,10,32,32,49,
      46,50,51,51,57,55,101,45,48,53,32,49,46,51,56,57,54,51,101,45,48,53,32,49,46,
      53,53,52,49,101,45,48,53,32,49,46,55,50,55,50,57,101,45,48,53,32,49,46,57,48,
      57,49,52,101,45,48,53,32,50,46,48,57,57,53,55,101,45,48,53,32,50,46,50,57,56,
      53,101,45,48,53,10,32,32,50,46,53,52,56,51,52,101,45,48,53,32,50,46,56,49,48,
      49,56,101,45,48,53,32,51,46,49,55,55,55,53,101,45,48,53,32,51,46,53,54,54,49,
      50,101,45,48,53,32,51,46,57,55,52,57,53,101,45,48,53,32,52,46,53,49,52,51,49,
      101,45,48,53,32,53,46,48,56,52,53,50,101,45,48,53,10,32,32,53,46,54,56,52,57,
      55,101,45,48,53,32,54,46,52,52,52,53,50,101,45,48,53,32,55,46,50,52,53,53,57,
      101,45,48,53,32,56,46,51,55,54,51,51,101,45,48,53,32,57,46,53,55,54,50,56,101,
      45,48,53,32,46,48,48,48,49,48,56,52,50,56,32,46,48,48,48,49,50,51,52,51,56,
      10,32,32,46,48,48,48,49,52,49,48,49,56,32,46,48,48,48,49,54,49,51,57,51,32,
      46,48,48,48,49,56,52,55,56,32,46,48,48,48,50,49,49,51,56,51,32,46,48,48,48,
      50,52,51,53,55,50,32,46,48,48,48,50,55,55,50,48,49,32,46,48,48,48,51,49,54,
      56,52,53,32,46,48,48,48,51,55,48,49,57,55,10,32,32,46,48,48,48,52,50,56,54,
      52,53,32,46,48,48,48,52,55,52,50,51,55,32,46,48,48,48,53,51,49,55,48,56,32,
      46,48,48,48,54,48,51,48,51,54,32,46,48,48,48,54,55,57,56,56,57,32,46,48,48,
      48,55,54,49,52,54,51,32,46,48,48,48,56,52,57,50,56,53,32,46,48,48,48,57,51,
      50,48,50,50,10,32,32,46,48,48,49,48,49,54,50,56,32,46,48,48,49,49,49,50,56,
      54,32,46,48,48,49,50,51,49,54,32,46,48,48,49,51,51,51,48,57,32,46,48,48,49,
      52,50,49,49,51,32,46,48,48,49,52,56,50,32,46,48,48,49,53,51,53,52,55,32,46,
      48,48,49,53,57,48,52,56,32,46,48,48,49,54,50,52,54,53,10,32,32,46,48,48,49,
      54,51,57,53,56,32,46,48,48,49,54,51,56,52,57,32,46,48,48,49,54,49,54,55,53,
      32,46,48,48,49,53,55,52,51,51,32,46,48,48,49,53,49,51,56,50,32,46,48,48,49,
      52,52,53,51,57,32,46,48,48,49,51,54,54,53,32,46,48,48,49,50,56,49,56,50,32,
      46,48,48,49,49,56,50,52,51,10,32,32,46,48,48,49,48,56,56,52,55,32,46,48,48,
      49,48,49,57,52,52,32,46,48,48,48,56,57,49,56,52,57,32,46,48,48,48,55,55,55,
      49,48,55,32,46,48,48,48,54,55,54,54,48,53,32,46,48,48,48,53,55,54,51,50,50,
      32,46,48,48,48,52,57,52,54,56,50,32,46,48,48,48,52,49,54,48,49,50,10,32,32,
      46,48,48,48,51,52,57,57,51,50,32,46,48,48,48,50,57,53,48,55,51,32,46,48,48,
      48,50,52,57,57,54,49,32,46,48,48,48,50,48,55,50,53,57,32,46,48,48,48,49,56,
      48,52,49,55,32,46,48,48,48,49,53,54,57,49,52,32,46,48,48,48,49,50,52,52,52,
      55,32,46,48,48,48,49,48,55,56,51,50,10,32,32,56,46,53,56,57,53,49,101,45,48,
      53,32,54,46,55,51,54,56,55,101,45,48,53,32,53,46,56,49,55,52,57,101,45,48,53,
      32,53,46,48,49,55,55,54,101,45,48,53,32,51,46,57,54,53,51,53,101,45,48,53,32,
      51,46,48,53,50,52,49,101,45,48,53,32,50,46,54,51,55,53,54,101,45,48,53,10,32,
      32,50,46,48,56,49,50,56,101,45,48,53,32,49,46,56,48,48,51,54,101,45,48,53,32,
      49,46,52,50,49,52,54,101,45,48,53,32,49,46,49,55,50,51,56,101,45,48,53,32,56,
      46,56,50,53,52,53,101,45,48,54,32,55,46,56,52,53,48,52,101,45,48,54,32,54,46,
      50,53,49,55,51,101,45,48,54,10,32,32,52,46,56,54,49,50,55,101,45,48,54,32,51,
      46,57,52,48,49,49,101,45,48,54,32,51,46,49,57,50,51,101,45,48,54,32,50,46,54,
      50,48,56,49,101,45,48,54,32,50,46,49,53,55,53,51,101,45,48,54,32,49,46,55,51,
      56,53,52,101,45,48,54,32,49,46,52,51,52,56,50,101,45,48,54,10,32,32,49,46,49,
      54,48,56,52,101,45,48,54,32,57,46,57,51,49,51,50,101,45,48,55,32,55,46,54,57,
      55,56,49,101,45,48,55,32,54,46,53,56,51,55,52,101,45,48,55,32,53,46,52,50,48,
      53,49,101,45,48,55,32,51,46,52,52,53,51,57,101,45,48,55,32,49,46,56,52,53,48,
      56,101,45,48,55,10,32,32,49,46,48,48,50,51,49,101,45,48,55,32,52,46,54,54,57,
      54,53,101,45,48,56,32,50,46,49,55,51,54,50,101,45,48,56,32,56,46,54,55,50,48,
      49,101,45,48,57,32,52,46,48,56,48,55,56,101,45,48,57,32,57,46,54,55,50,52,50,
      101,45,48,57,32,51,46,56,48,55,57,51,101,45,48,57,10,32,32,49,46,57,55,55,48,
      51,101,45,48,57,32,57,46,53,48,57,56,55,101,45,49,48,32,51,46,53,56,55,50,101,
      45,49,48,32,49,46,53,50,57,52,57,101,45,49,48,32,54,46,53,50,53,49,55,101,45,
      49,49,32,50,46,52,54,54,53,101,45,49,49,32,57,46,51,50,57,55,57,101,45,49,50,
      10,32,32,51,46,57,56,55,50,54,101,45,49,50,32,49,46,55,48,52,56,51,101,45,49,
      50,32,55,46,50,51,48,53,54,101,45,49,51,32,50,46,55,51,57,56,56,101,45,49,51,
      32,57,46,50,48,49,55,55,101,45,49,52,32,50,46,55,51,57,52,54,101,45,49,52,32,
      57,46,50,49,49,53,53,101,45,49,53,10,32,32,50,46,55,52,53,49,55,101,45,49,53,
      32,57,46,50,52,48,50,52,101,45,49,54,32,51,46,49,49,49,54,50,101,45,49,54,32,
      57,46,50,56,56,57,54,101,45,49,55,32,50,46,53,52,51,49,51,101,45,49,55,32,57,
      46,51,53,51,55,54,101,45,49,56,32,50,46,57,52,49,51,57,101,45,49,56,10,32,32,
      49,46,48,54,52,51,52,101,45,49,56,32,51,46,53,56,57,49,49,101,45,49,57,32,49,
      46,50,49,49,53,50,101,45,49,57,32,52,46,48,55,56,49,52,101,45,50,48,32,49,46,
      51,55,55,101,45,50,48,32,52,46,54,53,48,50,57,101,45,50,49,32,49,46,53,55,48,
      55,57,101,45,50,49,10,32,32,52,46,48,53,55,52,52,101,45,50,50,32,48,114,53,
      48,32,54,46,53,49,49,52,50,101,45,49,53,32,49,46,49,53,55,52,49,101,45,49,52,
      32,50,46,48,53,55,55,56,101,45,49,52,32,51,46,54,53,56,49,55,101,45,49,52,32,
      54,46,53,48,51,52,51,101,45,49,52,32,49,46,49,53,54,49,56,101,45,49,51,10,32,
      32,50,46,48,53,53,52,57,101,45,49,51,32,51,46,54,53,52,49,57,101,45,49,51,32,
      54,46,52,57,53,57,50,101,45,49,51,32,49,46,49,53,52,56,51,101,45,49,50,32,50,
      46,48,53,51,50,101,45,49,50,32,51,46,54,52,57,57,53,101,45,49,50,32,54,46,52,
      56,57,50,52,101,45,49,50,10,32,32,49,46,49,53,51,54,53,101,45,49,49,32,50,46,
      48,53,48,56,57,101,45,49,49,32,51,46,54,52,54,48,51,101,45,49,49,32,54,46,52,
      56,49,56,51,101,45,49,49,32,49,46,52,53,56,51,57,101,45,49,48,32,52,46,48,53,
      48,57,53,101,45,49,48,32,55,46,57,51,57,53,54,101,45,49,48,10,32,32,49,46,54,
      50,48,50,51,101,45,48,57,32,51,46,49,55,53,53,101,45,48,57,32,54,46,52,56,48,
      51,54,101,45,48,57,32,49,46,52,55,57,55,56,101,45,48,56,32,52,46,49,48,56,53,
      51,101,45,48,56,32,56,46,48,52,56,55,51,101,45,48,56,32,49,46,54,52,49,51,55,
      101,45,48,55,10,32,32,51,46,50,49,51,56,56,101,45,48,55,32,54,46,53,52,57,48,
      51,101,45,48,55,32,49,46,48,50,49,57,55,101,45,48,54,32,49,46,52,54,57,55,50,
      101,45,48,54,32,50,46,54,48,53,56,57,101,45,48,54,32,52,46,48,54,48,53,49,101,
      45,48,54,32,53,46,56,51,48,53,51,101,45,48,54,10,32,32,54,46,56,51,50,56,50,
      101,45,48,54,32,55,46,57,49,50,55,51,101,45,48,54,32,57,46,48,54,57,56,49,101,
      45,48,54,32,49,46,48,51,48,51,55,101,45,48,53,32,49,46,49,54,49,51,56,101,45,
      48,53,32,49,46,50,57,57,57,55,101,45,48,53,32,49,46,52,52,54,49,101,45,48,53,
      10,32,32,49,46,53,57,57,55,49,101,45,48,53,32,49,46,55,54,48,55,53,101,45,48,
      53,32,49,46,57,50,57,49,56,101,45,48,53,32,50,46,49,52,48,57,53,101,45,48,53,
      32,50,46,51,54,51,49,57,101,45,48,53,32,50,46,54,55,53,54,50,101,45,48,53,32,
      51,46,48,48,54,50,52,101,45,48,53,10,32,32,51,46,51,53,52,56,49,101,45,48,53,
      32,51,46,56,49,53,51,56,101,45,48,53,32,52,46,51,48,51,49,51,101,45,48,53,32,
      52,46,56,49,55,53,51,101,45,48,53,32,53,46,52,54,57,50,55,101,45,48,53,32,54,
      46,49,53,55,55,52,101,45,48,53,32,55,46,49,51,49,48,57,101,45,48,53,10,32,32,
      56,46,49,54,53,55,49,101,45,48,53,32,57,46,50,53,57,49,54,101,45,48,53,32,46,
      48,48,48,49,48,53,53,54,55,32,46,48,48,48,49,50,48,55,55,56,32,46,48,48,48,
      49,51,56,52,50,49,32,46,48,48,48,49,53,56,54,56,52,32,46,48,48,48,49,56,49,
      55,51,51,32,46,48,48,48,50,48,57,54,49,52,10,32,32,46,48,48,48,50,51,56,55,
      50,32,46,48,48,48,50,55,50,57,57,50,32,46,48,48,48,51,49,57,48,50,52,32,46,
      48,48,48,51,54,57,51,49,57,32,46,48,48,48,52,48,56,52,53,54,32,46,48,48,48,
      52,53,55,54,55,51,32,46,48,48,48,53,49,56,53,56,49,32,46,48,48,48,53,56,52,
      48,50,54,10,32,32,46,48,48,48,54,53,51,51,49,49,32,46,48,48,48,55,50,55,55,
      54,53,32,46,48,48,48,55,57,55,56,52,51,32,46,48,48,48,56,54,57,50,49,32,46,
      48,48,48,57,53,49,49,53,50,32,46,48,48,49,48,53,50,51,32,46,48,48,49,49,51,
      57,51,56,32,46,48,48,49,50,49,53,55,50,10,32,32,46,48,48,49,50,54,57,50,32,
      46,48,48,49,51,49,54,57,52,32,46,48,48,49,51,54,55,52,57,32,46,48,48,49,52,
      48,48,55,56,32,46,48,48,49,52,49,55,57,54,32,46,48,48,49,52,50,48,57,57,32,
      46,48,48,49,52,48,55,57,50,32,46,48,48,49,51,55,54,55,54,32,46,48,48,49,51,
      50,57,53,52,10,32,32,46,48,48,49,50,55,52,52,55,32,46,48,48,49,50,48,57,55,
      50,32,46,48,48,49,49,51,57,49,52,32,46,48,48,49,48,53,53,50,51,32,46,48,48,
      48,57,55,53,48,53,50,32,46,48,48,48,57,49,53,54,57,53,32,46,48,48,48,56,48,
      53,48,53,53,32,46,48,48,48,55,48,52,54,48,53,10,32,32,46,48,48,48,54,49,53,
      57,50,56,32,46,48,48,48,53,50,54,56,48,57,32,46,48,48,48,52,53,51,55,56,57,
      32,46,48,48,48,51,56,51,48,49,57,32,46,48,48,48,51,50,51,50,52,52,32,46,48,
      48,48,50,55,51,51,56,51,32,46,48,48,48,50,51,50,50,49,50,32,46,48,48,48,49,
      57,51,48,56,52,10,32,32,46,48,48,48,49,54,56,52,48,52,32,46,48,48,48,49,52,
      54,55,51,54,32,46,48,48,48,49,49,54,55,48,53,32,46,48,48,48,49,48,49,50,57,
      32,56,46,48,56,56,49,49,101,45,48,53,32,54,46,51,53,56,57,101,45,48,53,32,53,
      46,52,57,56,54,101,45,48,53,32,52,46,55,52,56,57,53,101,45,48,53,10,32,32,51,
      46,55,54,48,51,101,45,48,53,32,50,46,57,48,48,51,57,101,45,48,53,32,50,46,53,
      48,56,56,55,101,45,48,53,32,49,46,57,56,50,57,56,101,45,48,53,32,49,46,55,49,
      54,57,54,101,45,48,53,32,49,46,51,53,55,54,101,45,48,53,32,49,46,49,50,48,57,
      57,101,45,48,53,10,32,32,56,46,52,53,49,56,52,101,45,48,54,32,55,46,53,49,55,
      54,49,101,45,48,54,32,53,46,57,57,55,55,101,45,48,54,32,52,46,54,54,57,52,101,
      45,48,54,32,51,46,55,56,56,50,52,101,45,48,54,32,51,46,48,55,50,48,55,101,45,
      48,54,32,50,46,53,50,52,49,57,101,45,48,54,10,32,32,50,46,48,55,57,54,49,101,
      45,48,54,32,49,46,54,55,55,49,51,101,45,48,54,32,49,46,51,56,53,49,50,101,45,
      48,54,32,49,46,49,50,49,52,55,101,45,48,54,32,57,46,53,57,57,53,56,101,45,48,
      55,32,55,46,52,52,54,56,55,101,45,48,55,32,54,46,51,55,50,50,52,101,45,48,55,
      10,32,32,53,46,50,52,57,52,54,101,45,48,55,32,51,46,51,52,48,57,57,101,45,48,
      55,32,49,46,55,57,50,48,57,101,45,48,55,32,57,46,55,52,57,49,55,101,45,48,56,
      32,52,46,53,52,57,51,56,101,45,48,56,32,50,46,49,50,48,54,57,101,45,48,56,32,
      56,46,52,55,51,55,54,101,45,48,57,10,32,32,51,46,57,56,57,57,50,101,45,48,57,
      32,57,46,50,49,57,51,57,101,45,48,57,32,51,46,54,51,50,51,51,101,45,48,57,32,
      49,46,56,56,54,55,56,101,45,48,57,32,57,46,48,56,48,51,51,101,45,49,48,32,51,
      46,52,50,55,50,50,101,45,49,48,32,49,46,52,54,50,48,56,101,45,49,48,10,32,32,
      54,46,50,52,49,48,57,101,45,49,49,32,50,46,51,54,48,54,51,101,45,49,49,32,56,
      46,57,51,52,56,54,101,45,49,50,32,51,46,56,50,48,52,53,101,45,49,50,32,49,46,
      54,51,52,51,49,101,45,49,50,32,54,46,57,51,53,52,55,101,45,49,51,32,50,46,54,
      50,57,50,54,101,45,49,51,10,32,32,56,46,56,51,52,54,52,101,45,49,52,32,50,46,
      54,51,49,52,52,101,45,49,52,32,56,46,56,53,49,57,50,101,45,49,53,32,50,46,54,
      51,57,49,101,45,49,53,32,56,46,56,56,54,51,57,101,45,49,54,32,50,46,57,57,51,
      53,101,45,49,54,32,56,46,57,51,57,56,55,101,45,49,55,10,32,32,50,46,52,52,56,
      53,51,101,45,49,55,32,57,46,48,48,55,57,101,45,49,56,32,50,46,56,51,51,52,56,
      101,45,49,56,32,49,46,48,50,53,53,55,101,45,49,56,32,51,46,52,54,50,48,49,101,
      45,49,57,32,49,46,49,54,55,57,51,101,45,49,57,32,51,46,57,51,49,52,50,101,45,
      50,48,10,32,32,49,46,51,50,55,56,57,101,45,50,48,32,52,46,52,56,54,49,55,101,
      45,50,49,32,49,46,53,49,53,57,54,101,45,50,49,32,51,46,56,53,55,54,56,101,45,
      50,50,32,48,114,53,48,32,54,46,51,55,49,55,50,101,45,49,53,32,49,46,49,51,50,
      53,56,101,45,49,52,32,50,46,48,49,51,54,51,101,45,49,52,10,32,32,51,46,53,55,
      57,55,101,45,49,52,32,54,46,51,54,51,57,50,101,45,49,52,32,49,46,49,51,49,51,
      56,101,45,49,51,32,50,46,48,49,49,52,49,101,45,49,51,32,51,46,53,55,53,56,50,
      101,45,49,51,32,54,46,51,53,54,54,52,101,45,49,51,32,49,46,49,51,48,48,56,101,
      45,49,50,10,32,32,50,46,48,48,57,50,101,45,49,50,32,51,46,53,55,49,55,54,101,
      45,49,50,32,54,46,51,53,48,51,50,101,45,49,50,32,49,46,49,50,56,57,55,101,45,
      49,49,32,50,46,48,48,55,48,54,101,45,49,49,32,51,46,53,54,56,50,52,101,45,49,
      49,32,54,46,51,52,51,56,51,101,45,49,49,10,32,32,49,46,52,50,55,53,101,45,49,
      48,32,51,46,57,54,54,50,49,101,45,49,48,32,55,46,55,55,53,57,55,101,45,49,48,
      32,49,46,54,56,48,52,52,101,45,48,57,32,51,46,51,52,57,52,52,101,45,48,57,32,
      54,46,56,51,56,51,51,101,45,48,57,32,49,46,53,51,57,53,52,101,45,48,56,10,32,
      32,52,46,50,56,49,50,55,101,45,48,56,32,56,46,52,48,48,49,56,101,45,48,56,32,
      49,46,55,49,54,57,101,45,48,55,32,51,46,51,55,49,52,101,45,48,55,32,54,46,56,
      57,55,56,57,101,45,48,55,32,49,46,48,55,57,56,52,101,45,48,54,32,49,46,53,53,
      55,54,49,101,45,48,54,10,32,32,50,46,55,55,55,48,49,101,45,48,54,32,52,46,51,
      52,56,52,53,101,45,48,54,32,54,46,50,55,49,49,50,101,45,48,54,32,55,46,51,54,
      51,53,55,101,45,48,54,32,56,46,53,52,50,57,56,101,45,48,54,32,57,46,56,48,56,
      56,52,101,45,48,54,32,49,46,49,49,54,48,57,101,45,48,53,10,32,32,49,46,50,53,
      57,56,50,101,45,48,53,32,49,46,52,49,50,48,52,101,45,48,53,32,49,46,53,55,50,
      54,56,101,45,48,53,32,49,46,55,52,49,54,54,101,45,48,53,32,49,46,57,49,56,57,
      101,45,48,53,32,50,46,49,48,52,51,101,45,48,53,32,50,46,51,51,55,52,54,101,
      45,48,53,10,32,32,50,46,53,56,50,48,57,101,45,48,53,32,50,46,57,50,53,56,56,
      101,45,48,53,32,51,46,50,56,57,51,54,101,45,48,53,32,51,46,54,55,50,48,51,101,
      45,48,53,32,52,46,49,55,54,55,101,45,48,53,32,52,46,55,48,57,55,50,101,45,48,
      53,32,53,46,50,55,48,50,101,45,48,53,10,32,32,53,46,57,55,55,54,49,101,45,48,
      53,32,54,46,55,50,49,50,52,101,45,48,53,32,55,46,55,54,53,56,55,101,45,48,53,
      32,56,46,56,54,55,54,53,101,45,48,53,32,46,48,48,48,49,48,48,50,50,32,46,48,
      48,48,49,49,51,55,56,53,32,46,48,48,48,49,50,57,53,48,52,10,32,32,46,48,48,
      48,49,52,55,53,48,49,32,46,48,48,48,49,54,55,56,54,50,32,46,48,48,48,49,57,
      48,54,52,54,32,46,48,48,48,50,49,55,55,48,49,32,46,48,48,48,50,52,53,52,48,
      55,32,46,48,48,48,50,55,55,51,56,52,32,46,48,48,48,51,49,57,51,51,54,32,46,
      48,48,48,51,54,52,48,52,55,10,32,32,46,48,48,48,51,57,56,49,53,32,46,48,48,
      48,52,52,48,50,56,57,32,46,48,48,48,52,57,49,52,57,49,32,46,48,48,48,53,52,
      53,53,54,54,32,46,48,48,48,54,48,50,48,49,50,32,46,48,48,48,54,54,50,48,48,
      54,32,46,48,48,48,55,49,56,48,55,57,32,46,48,48,48,55,55,52,57,56,56,10,32,
      32,46,48,48,48,56,52,48,51,48,55,32,46,48,48,48,57,50,49,50,50,54,32,46,48,
      48,48,57,57,49,53,50,50,32,46,48,48,49,48,53,51,57,32,46,48,48,49,48,57,56,
      50,32,46,48,48,49,49,51,56,51,56,32,46,48,48,49,49,56,49,57,56,32,46,48,48,
      49,50,49,49,57,55,10,32,32,46,48,48,49,50,50,56,57,54,32,46,48,48,49,50,51,
      51,57,56,32,46,48,48,49,50,50,54,53,56,32,46,48,48,49,50,48,51,55,53,32,46,
      48,48,49,49,54,54,57,54,32,46,48,48,49,49,50,50,55,49,32,46,48,48,49,48,54,
      57,54,55,32,46,48,48,49,48,49,48,57,57,10,32,32,46,48,48,48,57,52,48,51,51,
      52,32,46,48,48,48,56,55,50,48,56,56,32,46,48,48,48,56,50,49,49,55,32,46,48,
      48,48,55,50,53,52,54,51,32,46,48,48,48,54,51,55,55,52,52,32,46,48,48,48,53,
      53,57,54,56,57,32,46,48,48,48,52,56,48,54,56,49,32,46,48,48,48,52,49,53,53,
      50,53,10,32,32,46,48,48,48,51,53,50,48,48,51,32,46,48,48,48,50,57,56,48,53,
      56,32,46,48,48,48,50,53,50,56,52,32,46,48,48,48,50,49,53,51,52,51,32,46,48,
      48,48,49,55,57,53,54,53,32,46,48,48,48,49,53,54,57,49,57,32,46,48,48,48,49,
      51,54,57,56,51,32,46,48,48,48,49,48,57,50,54,51,10,32,32,57,46,52,57,56,56,
      49,101,45,48,53,32,55,46,54,48,51,53,54,101,45,48,53,32,53,46,57,57,50,52,56,
      101,45,48,53,32,53,46,49,56,56,57,101,45,48,53,32,52,46,52,56,55,52,50,101,
      45,48,53,32,51,46,53,54,48,51,51,101,45,48,53,32,50,46,55,53,49,56,53,101,45,
      48,53,10,32,32,50,46,51,56,50,57,55,101,45,48,53,32,49,46,56,56,54,54,49,101,
      45,48,53,32,49,46,54,51,53,49,101,45,48,53,32,49,46,50,57,52,56,50,101,45,48,
      53,32,49,46,48,55,48,51,57,101,45,48,53,32,56,46,48,56,51,51,54,101,45,48,54,
      32,55,46,49,57,52,52,51,101,45,48,54,10,32,32,53,46,55,52,54,54,50,101,45,48,
      54,32,52,46,52,55,57,52,54,101,45,48,54,32,51,46,54,51,55,55,49,101,45,48,54,
      32,50,46,57,53,50,55,55,101,45,48,54,32,50,46,52,50,56,50,49,101,45,48,54,32,
      50,46,48,48,50,49,51,101,45,48,54,32,49,46,54,49,54,48,50,101,45,48,54,10,32,
      32,49,46,51,51,53,54,50,101,45,48,54,32,49,46,48,56,50,50,51,101,45,48,54,32,
      57,46,50,54,56,54,55,101,45,48,55,32,55,46,49,57,54,51,49,101,45,48,55,32,54,
      46,49,54,48,57,54,101,45,48,55,32,53,46,48,55,56,52,57,101,45,48,55,32,51,46,
      50,51,54,53,101,45,48,55,10,32,32,49,46,55,51,56,57,53,101,45,48,55,32,57,46,
      52,55,52,48,53,101,45,48,56,32,52,46,52,50,56,51,55,101,45,48,56,32,50,46,48,
      54,55,51,53,101,45,48,56,32,56,46,50,55,51,55,52,101,45,48,57,32,51,46,57,48,
      49,49,55,101,45,48,57,32,56,46,55,56,52,51,55,101,45,48,57,10,32,32,51,46,52,
      54,51,57,53,101,45,48,57,32,49,46,56,48,48,51,50,101,45,48,57,32,56,46,54,54,
      57,51,50,101,45,49,48,32,51,46,50,55,52,52,55,101,45,49,48,32,49,46,51,57,55,
      55,52,101,45,49,48,32,53,46,57,54,57,54,57,101,45,49,49,32,50,46,50,53,57,50,
      56,101,45,49,49,10,32,32,56,46,53,53,53,56,49,101,45,49,50,32,51,46,54,53,57,
      57,55,101,45,49,50,32,49,46,53,54,54,51,49,101,45,49,50,32,54,46,54,53,48,55,
      56,101,45,49,51,32,50,46,53,50,50,53,56,101,45,49,51,32,56,46,52,56,48,54,49,
      101,45,49,52,32,50,46,53,50,55,52,55,101,45,49,52,10,32,32,56,46,53,48,54,52,
      57,101,45,49,53,32,50,46,53,51,55,52,51,101,45,49,53,32,56,46,53,52,56,48,49,
      101,45,49,54,32,50,46,56,56,48,56,49,101,45,49,54,32,56,46,54,48,55,51,55,101,
      45,49,55,32,50,46,51,53,56,54,54,101,45,49,55,32,56,46,54,56,48,54,57,101,45,
      49,56,10,32,32,50,46,55,51,49,55,49,101,45,49,56,32,57,46,56,57,48,55,101,45,
      49,57,32,51,46,51,52,48,48,49,101,45,49,57,32,49,46,49,50,55,49,49,101,45,49,
      57,32,51,46,55,57,52,50,55,101,45,50,48,32,49,46,50,56,49,57,55,101,45,50,48,
      32,52,46,51,51,50,50,52,101,45,50,49,10,32,32,49,46,52,54,52,50,52,101,45,50,
      49,32,51,46,54,54,54,52,50,101,45,50,50,32,48,114,53,48,32,50,46,48,55,48,49,
      56,101,45,49,52,32,51,46,54,55,57,55,54,101,45,49,52,32,54,46,53,52,50,50,56,
      101,45,49,52,32,49,46,49,54,51,48,52,101,45,49,51,32,50,46,48,54,55,54,50,101,
      45,49,51,10,32,32,51,46,54,55,53,56,49,101,45,49,51,32,54,46,53,51,52,57,49,
      101,45,49,51,32,49,46,49,54,49,55,53,101,45,49,50,32,50,46,48,54,53,49,55,101,
      45,49,50,32,51,46,54,55,49,51,57,101,45,49,50,32,54,46,53,50,55,51,51,101,45,
      49,50,32,49,46,49,54,48,51,51,101,45,49,49,10,32,32,50,46,48,54,50,57,49,101,
      45,49,49,32,51,46,54,54,55,51,51,101,45,49,49,32,54,46,53,49,57,52,101,45,49,
      49,32,49,46,49,53,56,57,56,101,45,49,48,32,50,46,48,54,48,51,56,101,45,49,48,
      32,52,46,54,51,53,56,52,101,45,49,48,32,49,46,53,52,57,50,51,101,45,48,57,10,
      32,32,51,46,48,51,53,53,56,101,45,48,57,32,54,46,49,57,50,48,49,101,45,48,57,
      32,49,46,50,49,50,56,50,101,45,48,56,32,50,46,52,55,50,54,54,101,45,48,56,32,
      53,46,53,53,52,49,53,101,45,48,56,32,49,46,53,51,55,54,50,101,45,48,55,32,51,
      46,48,48,51,52,54,101,45,48,55,10,32,32,54,46,48,57,55,55,49,101,45,48,55,32,
      49,46,49,56,54,54,57,101,45,48,54,32,50,46,51,57,53,50,54,101,45,48,54,32,51,
      46,55,48,55,49,51,101,45,48,54,32,53,46,50,56,54,49,50,101,45,48,54,32,57,46,
      50,48,55,48,51,101,45,48,54,32,49,46,52,48,55,57,53,101,45,48,53,10,32,32,49,
      46,57,56,50,51,55,101,45,48,53,32,50,46,50,57,57,55,55,101,45,48,53,32,50,46,
      54,51,53,57,52,101,45,48,53,32,50,46,57,56,57,57,50,101,45,48,53,32,51,46,51,
      54,48,55,57,101,45,48,53,32,51,46,55,52,55,53,101,45,48,53,32,52,46,49,52,57,
      49,54,101,45,48,53,10,32,32,52,46,53,54,52,57,49,101,45,48,53,32,52,46,57,57,
      51,55,101,45,48,53,32,53,46,52,51,52,55,55,101,45,48,53,32,53,46,56,56,55,50,
      57,101,45,48,53,32,54,46,52,52,52,49,50,101,45,48,53,32,55,46,48,49,52,55,49,
      101,45,48,53,32,55,46,55,57,52,56,49,101,45,48,53,10,32,32,56,46,53,57,52,52,
      56,101,45,48,53,32,57,46,52,49,48,50,50,101,45,48,53,32,46,48,48,48,49,48,52,
      52,56,54,32,46,48,48,48,49,49,53,48,51,53,32,46,48,48,48,49,50,53,55,49,49,
      32,46,48,48,48,49,51,56,54,51,49,32,46,48,48,48,49,53,49,53,57,54,32,46,48,
      48,48,49,54,56,56,56,54,10,32,32,46,48,48,48,49,56,54,48,56,52,32,46,48,48,
      48,50,48,51,48,55,53,32,46,48,48,48,50,50,49,56,57,54,32,46,48,48,48,50,52,
      50,51,48,57,32,46,48,48,48,50,54,52,49,50,32,46,48,48,48,50,56,55,49,32,46,
      48,48,48,51,49,48,57,51,55,32,46,48,48,48,51,51,55,49,51,53,10,32,32,46,48,
      48,48,51,54,50,48,54,51,32,46,48,48,48,51,56,56,55,51,50,32,46,48,48,48,52,
      50,49,50,53,32,46,48,48,48,52,53,51,54,48,52,32,46,48,48,48,52,55,54,57,55,
      32,46,48,48,48,53,48,52,57,50,56,32,46,48,48,48,53,51,55,56,56,55,32,46,48,
      48,48,53,55,50,48,55,56,10,32,32,46,48,48,48,54,48,55,53,52,32,46,48,48,48,
      54,52,53,52,55,50,32,46,48,48,48,54,56,49,52,48,57,32,46,48,48,48,55,49,56,
      53,53,55,32,46,48,48,48,55,54,50,51,48,49,32,46,48,48,48,56,49,56,48,55,51,
      32,46,48,48,48,56,54,56,50,49,55,32,46,48,48,48,57,49,52,49,56,53,10,32,32,
      46,48,48,48,57,52,55,55,52,57,32,46,48,48,48,57,55,56,57,55,57,32,46,48,48,
      49,48,49,51,57,53,32,46,48,48,49,48,51,57,49,49,32,46,48,48,49,48,53,52,52,
      56,32,46,48,48,49,48,54,48,50,53,32,46,48,48,49,48,53,54,56,32,46,48,48,49,
      48,52,48,54,52,10,32,32,46,48,48,49,48,49,50,54,55,32,46,48,48,48,57,55,55,
      56,56,56,32,46,48,48,48,57,51,53,50,55,49,32,46,48,48,48,56,56,55,51,54,32,
      46,48,48,48,56,50,56,56,56,32,46,48,48,48,55,55,49,55,50,54,32,46,48,48,48,
      55,50,56,55,48,54,32,46,48,48,48,54,52,55,49,48,51,10,32,32,46,48,48,48,53,
      55,49,53,52,49,32,46,48,48,48,53,48,51,55,50,52,32,46,48,48,48,52,51,52,53,
      51,52,32,46,48,48,48,51,55,55,48,54,56,32,46,48,48,48,51,50,48,54,56,55,32,
      46,48,48,48,50,55,50,53,49,57,32,46,48,48,48,50,51,49,57,51,32,46,48,48,48,
      49,57,56,49,49,53,10,32,32,46,48,48,48,49,54,53,55,48,55,32,46,48,48,48,49,
      52,53,49,49,54,32,46,48,48,48,49,50,54,57,51,55,32,46,48,48,48,49,48,49,53,
      54,57,32,56,46,56,52,53,57,56,101,45,48,53,32,55,46,49,48,48,49,54,101,45,48,
      53,32,53,46,54,49,48,54,53,101,45,48,53,10,32,32,52,46,56,54,53,54,51,101,45,
      48,53,32,52,46,50,49,51,57,55,101,45,48,53,32,51,46,51,53,48,54,56,101,45,48,
      53,32,50,46,53,57,53,54,55,101,45,48,53,32,50,46,50,53,48,52,49,101,45,48,53,
      32,49,46,55,56,52,57,53,101,45,48,53,32,49,46,53,52,56,54,53,101,45,48,53,10,
      32,32,49,46,50,50,56,52,101,45,48,53,32,49,46,48,49,54,55,56,101,45,48,53,32,
      55,46,54,57,50,49,53,101,45,48,54,32,54,46,56,53,49,48,52,101,45,48,54,32,53,
      46,52,55,57,52,52,101,45,48,54,32,52,46,50,55,54,57,57,101,45,48,54,32,51,46,
      52,55,55,48,51,101,45,48,54,10,32,32,50,46,56,50,53,50,54,101,45,48,54,32,50,
      46,51,50,53,53,49,101,45,48,54,32,49,46,57,49,57,49,53,101,45,48,54,32,49,46,
      53,53,48,53,101,45,48,54,32,49,46,50,56,50,53,101,45,48,54,32,49,46,48,52,48,
      48,55,101,45,48,54,32,56,46,57,49,51,101,45,48,55,10,32,32,54,46,57,50,54,55,
      52,101,45,48,55,32,53,46,57,51,51,53,49,101,45,48,55,32,52,46,56,57,52,51,49,
      101,45,48,55,32,51,46,49,50,51,55,53,101,45,48,55,32,49,46,54,56,49,53,49,101,
      45,48,55,32,57,46,49,55,54,49,57,101,45,48,56,32,52,46,50,57,55,48,53,101,45,
      48,56,10,32,32,50,46,48,48,57,51,54,101,45,48,56,32,56,46,48,53,53,56,54,101,
      45,48,57,32,51,46,56,48,54,51,51,101,45,48,57,32,56,46,51,51,53,57,52,101,45,
      48,57,32,51,46,50,57,48,50,49,101,45,48,57,32,49,46,55,49,49,48,54,101,45,48,
      57,32,56,46,50,52,52,55,101,45,49,48,10,32,32,51,46,49,49,54,52,57,101,45,49,
      48,32,49,46,51,51,49,49,51,101,45,49,48,32,53,46,54,56,56,53,49,101,45,49,49,
      32,50,46,49,53,52,49,56,101,45,49,49,32,56,46,49,54,50,52,101,45,49,50,32,51,
      46,52,57,51,50,56,101,45,49,50,32,49,46,52,57,53,54,50,101,45,49,50,10,32,32,
      54,46,51,53,52,50,51,101,45,49,51,32,50,46,52,49,49,49,54,101,45,49,51,32,56,
      46,49,48,57,56,51,101,45,49,52,32,50,46,52,49,56,49,50,101,45,49,52,32,56,46,
      49,52,49,55,49,101,45,49,53,32,50,46,52,50,57,54,101,45,49,53,32,56,46,49,56,
      55,54,51,101,45,49,54,10,32,32,50,46,55,54,48,50,52,101,45,49,54,32,56,46,50,
      52,57,57,56,101,45,49,55,32,50,46,50,54,49,52,57,101,45,49,55,32,56,46,51,50,
      53,48,52,101,45,49,56,32,50,46,54,50,48,53,50,101,45,49,56,32,57,46,52,57,48,
      53,49,101,45,49,57,32,51,46,50,48,53,54,53,101,45,49,57,10,32,32,49,46,48,56,
      49,56,56,101,45,49,57,32,51,46,54,52,49,51,50,101,45,50,48,32,49,46,50,51,48,
      53,50,101,45,50,48,32,52,46,49,53,57,50,49,101,45,50,49,32,49,46,52,48,54,49,
      49,101,45,50,49,32,51,46,52,54,57,55,51,101,45,50,50,32,48,114,53,48,32,52,
      46,50,57,56,48,53,101,45,49,52,10,32,32,55,46,54,51,57,56,51,101,45,49,52,32,
      49,46,51,53,56,50,57,101,45,49,51,32,50,46,52,49,52,54,54,101,45,49,51,32,52,
      46,50,57,50,55,50,101,45,49,51,32,55,46,54,51,49,53,57,101,45,49,51,32,49,46,
      51,53,54,55,53,101,45,49,50,32,50,46,52,49,49,57,54,101,45,49,50,10,32,32,52,
      46,50,56,55,54,101,45,49,50,32,55,46,54,50,50,50,57,101,45,49,50,32,49,46,51,
      53,53,49,53,101,45,49,49,32,50,46,52,48,56,57,53,101,45,49,49,32,52,46,50,56,
      50,55,101,45,49,49,32,55,46,54,49,51,51,53,101,45,49,49,32,49,46,51,53,51,51,
      55,101,45,49,48,10,32,32,50,46,52,48,53,56,50,101,45,49,48,32,52,46,50,55,54,
      53,57,101,45,49,48,32,49,46,50,49,52,49,101,45,48,57,32,51,46,51,55,48,49,54,
      101,45,48,57,32,54,46,54,48,48,55,51,101,45,48,57,32,49,46,51,52,53,54,101,
      45,48,56,32,50,46,54,51,51,52,55,101,45,48,56,10,32,32,53,46,51,54,50,51,55,
      101,45,48,56,32,49,46,50,48,49,57,57,101,45,48,55,32,51,46,51,49,51,53,101,
      45,48,55,32,54,46,52,52,52,53,56,101,45,48,55,32,49,46,50,57,57,57,51,101,45,
      48,54,32,50,46,53,48,56,101,45,48,54,32,52,46,57,57,55,48,51,101,45,48,54,10,
      32,32,55,46,54,53,49,51,52,101,45,48,54,32,49,46,48,55,57,52,57,101,45,48,53,
      32,49,46,56,52,49,50,52,101,45,48,53,32,50,46,55,53,56,54,54,101,45,48,53,32,
      51,46,56,48,55,53,101,45,48,53,32,52,46,51,55,52,48,50,101,45,48,53,32,52,46,
      57,54,53,50,50,101,45,48,53,10,32,32,53,46,53,55,56,53,51,101,45,48,53,32,54,
      46,50,49,49,56,50,101,45,48,53,32,54,46,56,54,50,52,57,101,45,48,53,32,55,46,
      53,50,56,50,52,101,45,48,53,32,56,46,50,48,55,54,51,101,45,48,53,32,56,46,56,
      57,56,55,53,101,45,48,53,32,57,46,53,57,57,51,55,101,45,48,53,10,32,32,46,48,
      48,48,49,48,51,48,56,32,46,48,48,48,49,49,49,54,54,54,32,46,48,48,48,49,50,
      48,51,50,50,32,46,48,48,48,49,51,49,57,51,32,46,48,48,48,49,52,51,53,55,50,
      32,46,48,48,48,49,53,53,49,56,54,32,46,48,48,48,49,54,57,54,49,51,32,46,48,
      48,48,49,56,51,56,56,52,10,32,32,46,48,48,48,49,57,55,57,52,57,32,46,48,48,
      48,50,49,52,52,56,56,32,46,48,48,48,50,51,48,54,48,50,32,46,48,48,48,50,53,
      49,50,56,51,32,46,48,48,48,50,55,49,48,54,52,32,46,48,48,48,50,56,57,56,51,
      56,32,46,48,48,48,51,48,57,56,49,51,32,46,48,48,48,51,51,48,53,51,56,10,32,
      32,46,48,48,48,51,53,49,54,53,55,32,46,48,48,48,51,55,50,55,56,52,32,46,48,
      48,48,51,57,51,55,48,56,32,46,48,48,48,52,49,53,54,49,53,32,46,48,48,48,52,
      51,53,51,54,54,32,46,48,48,48,52,53,53,54,54,56,32,46,48,48,48,52,55,57,53,
      52,52,32,46,48,48,48,53,48,50,55,49,55,10,32,32,46,48,48,48,53,49,57,51,49,
      57,32,46,48,48,48,53,51,57,48,54,51,32,46,48,48,48,53,54,50,54,55,54,32,46,
      48,48,48,53,56,55,55,49,52,32,46,48,48,48,54,49,52,51,56,55,32,46,48,48,48,
      54,52,51,55,57,51,32,46,48,48,48,54,55,50,52,52,32,46,48,48,48,55,48,50,56,
      50,10,32,32,46,48,48,48,55,51,57,52,52,51,32,46,48,48,48,55,56,55,50,54,52,
      32,46,48,48,48,56,51,49,50,48,55,32,46,48,48,48,56,55,50,50,48,51,32,46,48,
      48,48,57,48,50,53,51,54,32,46,48,48,48,57,51,49,48,54,55,32,46,48,48,48,57,
      54,51,52,50,32,46,48,48,48,57,56,55,48,55,51,10,32,32,46,48,48,49,48,48,49,
      56,54,32,46,48,48,49,48,48,55,55,54,32,46,48,48,49,48,48,53,51,54,32,46,48,
      48,48,57,57,49,48,54,54,32,46,48,48,48,57,54,53,54,49,55,32,46,48,48,48,57,
      51,51,53,55,54,32,46,48,48,48,56,57,52,48,49,56,32,46,48,48,48,56,52,57,50,
      56,54,10,32,32,46,48,48,48,55,57,52,52,51,49,32,46,48,48,48,55,52,48,54,48,
      51,32,46,48,48,48,54,57,57,57,55,56,32,46,48,48,48,54,50,50,54,55,50,32,46,
      48,48,48,53,53,48,56,49,55,32,46,48,48,48,52,56,54,49,51,51,32,46,48,48,48,
      52,49,57,57,55,49,32,46,48,48,48,51,54,52,56,57,51,10,32,32,46,48,48,48,51,
      49,48,55,52,32,46,48,48,48,50,54,52,51,56,52,32,46,48,48,48,50,50,53,50,53,
      51,32,46,48,48,48,49,57,50,54,48,49,32,46,48,48,48,49,54,49,50,54,32,46,48,
      48,48,49,52,49,51,50,50,32,46,48,48,48,49,50,51,55,48,49,32,57,46,57,48,56,
      50,53,101,45,48,53,10,32,32,56,46,54,51,52,54,56,101,45,48,53,32,54,46,57,51,
      54,56,53,101,45,48,53,32,53,46,52,56,54,53,53,101,45,48,53,32,52,46,55,54,48,
      52,52,101,45,48,53,32,52,46,49,50,52,57,101,45,48,53,32,51,46,50,56,50,50,57,
      101,45,48,53,32,50,46,53,52,52,54,52,101,45,48,53,10,32,32,50,46,50,48,55,48,
      54,101,45,48,53,32,49,46,55,53,49,54,52,101,45,48,53,32,49,46,53,50,48,51,101,
      45,48,53,32,49,46,50,48,54,53,57,101,45,48,53,32,57,46,57,57,49,54,50,101,45,
      48,54,32,55,46,53,54,51,53,101,45,48,54,32,54,46,55,51,56,48,57,101,45,48,54,
      10,32,32,53,46,51,57,49,53,51,101,45,48,54,32,52,46,50,49,48,51,52,101,45,48,
      54,32,51,46,52,50,52,48,55,101,45,48,54,32,50,46,55,56,51,49,56,101,45,48,54,
      32,50,46,50,57,49,53,56,101,45,48,54,32,49,46,56,57,49,54,57,101,45,48,54,32,
      49,46,53,50,56,55,57,101,45,48,54,10,32,32,49,46,50,54,52,56,56,101,45,48,54,
      32,49,46,48,50,54,48,55,101,45,48,54,32,56,46,55,57,52,56,52,101,45,48,55,32,
      54,46,56,51,55,49,49,101,45,48,55,32,53,46,56,53,55,56,52,101,45,48,55,32,52,
      46,56,51,51,48,49,101,45,48,55,32,51,46,48,56,54,49,57,101,45,48,55,10,32,32,
      49,46,54,54,50,51,53,101,45,48,55,32,57,46,48,55,54,54,57,101,45,48,56,32,52,
      46,50,53,51,49,55,101,45,48,56,32,49,46,57,56,57,57,53,101,45,48,56,32,55,46,
      57,56,50,55,55,101,45,48,57,32,51,46,55,55,52,54,50,101,45,48,57,32,56,46,49,
      56,55,51,49,101,45,48,57,10,32,32,51,46,50,51,50,53,57,101,45,48,57,32,49,46,
      54,56,49,52,53,101,45,48,57,32,56,46,49,48,51,55,57,101,45,49,48,32,51,46,48,
      54,52,48,55,101,45,49,48,32,49,46,51,48,57,48,51,101,45,49,48,32,53,46,53,57,
      53,49,56,101,45,49,49,32,50,46,49,49,57,50,57,101,45,49,49,10,32,32,56,46,48,
      51,49,56,56,101,45,49,50,32,51,46,52,51,56,101,45,49,50,32,49,46,52,55,50,49,
      57,101,45,49,50,32,54,46,50,53,53,57,52,101,45,49,51,32,50,46,51,55,52,50,55,
      101,45,49,51,32,55,46,57,56,55,49,57,101,45,49,52,32,50,46,51,56,50,48,49,101,
      45,49,52,10,32,32,56,46,48,50,49,52,50,101,45,49,53,32,50,46,51,57,52,49,101,
      45,49,53,32,56,46,48,54,57,50,50,101,45,49,54,32,50,46,55,50,48,55,101,45,49,
      54,32,56,46,49,51,51,48,49,101,45,49,55,32,50,46,50,50,57,55,56,101,45,49,55,
      32,56,46,50,48,57,50,53,101,45,49,56,10,32,32,50,46,53,56,52,52,101,45,49,56,
      32,57,46,51,54,48,55,101,45,49,57,32,51,46,49,54,50,49,55,101,45,49,57,32,49,
      46,48,54,55,51,49,101,45,49,57,32,51,46,53,57,50,49,56,101,45,50,48,32,49,46,
      50,49,52,48,51,101,45,50,48,32,52,46,49,48,51,56,52,101,45,50,49,10,32,32,49,
      46,51,56,55,53,50,101,45,50,49,32,51,46,52,48,54,52,55,101,45,50,50,32,48,114,
      53,48,32,57,46,50,48,55,49,49,101,45,49,52,32,49,46,54,51,54,53,55,101,45,49,
      51,32,50,46,57,48,57,54,55,101,45,49,51,32,53,46,49,55,50,53,55,101,45,49,51,
      32,57,46,49,57,53,54,50,101,45,49,51,10,32,32,49,46,54,51,52,55,57,101,45,49,
      50,32,50,46,57,48,54,51,51,101,45,49,50,32,53,46,49,54,54,54,56,101,45,49,50,
      32,57,46,49,56,52,52,101,45,49,50,32,49,46,54,51,50,55,52,101,45,49,49,32,50,
      46,57,48,50,55,54,101,45,49,49,32,53,46,49,53,57,57,49,101,45,49,49,10,32,32,
      57,46,49,55,51,49,51,101,45,49,49,32,49,46,54,51,48,54,50,101,45,49,48,32,52,
      46,52,55,51,55,54,101,45,49,48,32,56,46,50,56,57,51,54,101,45,49,48,32,49,46,
      52,55,51,50,51,101,45,48,57,32,51,46,51,49,50,55,53,101,45,48,57,32,57,46,49,
      57,48,54,57,101,45,48,57,10,32,32,49,46,55,57,57,49,51,101,45,48,56,32,51,46,
      54,54,52,56,50,101,45,48,56,32,55,46,49,54,53,49,101,45,48,56,32,49,46,52,53,
      54,55,55,101,45,48,55,32,51,46,50,53,55,49,57,101,45,48,55,32,56,46,57,51,52,
      50,101,45,48,55,32,49,46,55,50,57,48,50,101,45,48,54,10,32,32,51,46,52,54,49,
      55,56,101,45,48,54,32,54,46,54,49,51,50,49,101,45,48,54,32,49,46,50,57,56,50,
      57,101,45,48,53,32,49,46,57,54,51,53,54,101,45,48,53,32,50,46,55,51,54,51,53,
      101,45,48,53,32,52,46,53,53,51,53,101,45,48,53,32,54,46,54,53,53,54,49,101,
      45,48,53,10,32,32,56,46,57,54,48,54,50,101,45,48,53,32,46,48,48,48,49,48,49,
      54,55,32,46,48,48,48,49,49,51,57,57,50,32,46,48,48,48,49,50,54,52,56,54,32,
      46,48,48,48,49,51,57,49,49,32,46,48,48,48,49,53,49,55,56,54,32,46,48,48,48,
      49,54,52,52,54,57,32,46,48,48,48,49,55,55,49,48,57,10,32,32,46,48,48,48,49,
      56,57,54,53,55,32,46,48,48,48,50,48,50,48,55,32,46,48,48,48,50,49,52,51,51,
      53,32,46,48,48,48,50,50,56,56,51,56,32,46,48,48,48,50,52,50,57,57,52,32,46,
      48,48,48,50,54,49,50,54,57,32,46,48,48,48,50,55,56,57,51,51,32,46,48,48,48,
      50,57,53,56,51,56,10,32,32,46,48,48,48,51,49,53,56,49,57,32,46,48,48,48,51,
      51,52,54,54,50,32,46,48,48,48,51,53,50,49,56,32,46,48,48,48,51,55,49,52,56,
      52,32,46,48,48,48,51,56,57,49,53,57,32,46,48,48,48,52,49,48,49,49,55,32,46,
      48,48,48,52,50,56,52,52,49,32,46,48,48,48,52,52,52,51,48,49,10,32,32,46,48,
      48,48,52,53,57,55,48,57,32,46,48,48,48,52,55,52,49,49,52,32,46,48,48,48,52,
      56,55,49,51,32,46,48,48,48,52,57,56,53,54,49,32,46,48,48,48,53,48,56,55,49,
      52,32,46,48,48,48,53,49,56,50,52,56,32,46,48,48,48,53,50,54,49,32,46,48,48,
      48,53,51,51,57,53,52,10,32,32,46,48,48,48,53,52,51,48,55,50,32,46,48,48,48,
      53,53,50,52,48,54,32,46,48,48,48,53,53,57,56,53,56,32,46,48,48,48,53,54,57,
      52,57,53,32,46,48,48,48,53,56,50,51,56,32,46,48,48,48,53,57,55,53,49,49,32,
      46,48,48,48,54,49,53,50,50,52,32,46,48,48,48,54,51,54,50,50,52,10,32,32,46,
      48,48,48,54,53,55,56,55,50,32,46,48,48,48,54,56,49,56,51,32,46,48,48,48,55,
      49,49,55,54,53,32,46,48,48,48,55,53,50,49,51,57,32,46,48,48,48,55,57,48,50,
      54,51,32,46,48,48,48,56,50,54,53,54,52,32,46,48,48,48,56,53,51,56,51,49,32,
      46,48,48,48,56,55,57,55,56,55,10,32,32,46,48,48,48,57,48,57,54,50,51,32,46,
      48,48,48,57,51,49,56,51,32,46,48,48,48,57,52,54,48,57,32,46,48,48,48,57,53,
      50,49,54,51,32,46,48,48,48,57,53,48,56,54,52,32,46,48,48,48,57,51,56,53,48,
      49,32,46,48,48,48,57,49,53,54,55,54,32,46,48,48,48,56,56,54,52,56,50,10,32,
      32,46,48,48,48,56,53,48,49,49,32,46,48,48,48,56,48,56,55,48,53,32,46,48,48,
      48,55,53,55,54,53,32,46,48,48,48,55,48,55,51,49,53,32,46,48,48,48,54,54,57,
      50,48,50,32,46,48,48,48,53,57,54,52,49,54,32,46,48,48,48,53,50,56,53,48,53,
      32,46,48,48,48,52,54,55,49,55,56,10,32,32,46,48,48,48,52,48,52,50,54,52,32,
      46,48,48,48,51,53,49,55,52,55,32,46,48,48,48,50,57,57,57,56,51,32,46,48,48,
      48,50,53,53,53,54,57,32,46,48,48,48,50,49,56,48,48,52,32,46,48,48,48,49,56,
      54,54,48,53,32,46,48,48,48,49,53,54,52,49,56,32,46,48,48,48,49,51,55,49,56,
      56,10,32,32,46,48,48,48,49,50,48,49,55,52,32,57,46,54,51,55,48,57,101,45,48,
      53,32,56,46,52,48,52,48,54,101,45,48,53,32,54,46,55,53,56,51,57,101,45,48,53,
      32,53,46,51,53,48,55,57,101,45,48,53,32,52,46,54,52,53,51,101,45,48,53,32,52,
      46,48,50,55,51,53,101,45,48,53,10,32,32,51,46,50,48,55,51,101,45,48,53,32,50,
      46,52,56,56,54,50,101,45,48,53,32,50,46,49,53,57,52,52,101,45,48,53,32,49,46,
      55,49,53,48,53,101,45,48,53,32,49,46,52,56,57,49,52,101,45,48,53,32,49,46,49,
      56,50,53,57,101,45,48,53,32,57,46,55,57,55,53,56,101,45,48,54,10,32,32,55,46,
      52,50,49,53,54,101,45,48,54,32,54,46,54,49,51,51,56,101,45,48,54,32,53,46,50,
      57,52,51,51,101,45,48,54,32,52,46,49,51,54,54,101,45,48,54,32,51,46,51,54,53,
      53,51,101,45,48,54,32,50,46,55,51,54,55,49,101,45,48,54,32,50,46,50,53,52,49,
      51,101,45,48,54,10,32,32,49,46,56,54,49,52,49,101,45,48,54,32,49,46,53,48,52,
      56,55,101,45,48,54,32,49,46,50,52,53,52,55,101,45,48,54,32,49,46,48,49,48,54,
      53,101,45,48,54,32,56,46,54,54,52,54,49,101,45,48,55,32,54,46,55,51,56,50,51,
      101,45,48,55,32,53,46,55,55,52,51,49,101,45,48,55,10,32,32,52,46,55,54,53,50,
      57,101,45,48,55,32,51,46,48,52,52,54,51,101,45,48,55,32,49,46,54,52,49,49,49,
      101,45,48,55,32,56,46,57,54,54,50,56,101,45,48,56,32,52,46,50,48,52,51,54,101,
      45,48,56,32,49,46,57,54,56,51,55,101,45,48,56,32,55,46,57,48,49,53,49,101,45,
      48,57,10,32,32,51,46,55,52,50,57,55,101,45,48,57,32,56,46,48,50,53,56,55,101,
      45,48,57,32,51,46,49,55,48,48,50,101,45,48,57,32,49,46,54,52,57,51,101,45,48,
      57,32,55,46,57,53,48,55,54,101,45,49,48,32,51,46,48,48,55,49,49,101,45,49,48,
      32,49,46,50,56,53,48,49,101,45,49,48,10,32,32,53,46,52,57,51,55,55,101,45,49,
      49,32,50,46,48,56,49,52,101,45,49,49,32,55,46,56,57,48,49,50,101,45,49,50,32,
      51,46,51,55,55,57,57,101,45,49,50,32,49,46,52,52,54,55,54,101,45,49,50,32,54,
      46,49,52,57,50,55,101,45,49,51,32,50,46,51,51,52,50,51,101,45,49,51,10,32,32,
      55,46,56,53,52,48,56,101,45,49,52,32,50,46,51,52,50,56,49,101,45,49,52,32,55,
      46,56,57,48,57,101,45,49,53,32,50,46,51,53,53,54,101,45,49,53,32,55,46,57,52,
      48,55,55,101,45,49,54,32,50,46,54,55,55,56,52,101,45,49,54,32,56,46,48,48,54,
      50,53,101,45,49,55,10,32,32,50,46,49,57,53,52,101,45,49,55,32,56,46,48,56,51,
      55,54,101,45,49,56,32,50,46,53,52,53,50,55,101,45,49,56,32,57,46,50,50,48,48,
      55,101,45,49,57,32,51,46,49,49,53,48,54,101,45,49,57,32,49,46,48,53,49,53,49,
      101,45,49,57,32,51,46,53,51,56,57,54,101,45,50,48,10,32,32,49,46,49,57,54,49,
      55,101,45,50,48,32,52,46,48,52,51,56,57,101,45,50,49,32,49,46,51,54,55,51,57,
      101,45,50,49,32,51,46,51,51,55,51,56,101,45,50,50,32,48,114,53,48,32,54,46,
      50,54,48,49,57,101,45,48,55,32,49,46,49,49,50,52,50,101,45,48,54,32,49,46,57,
      55,54,55,51,101,45,48,54,10,32,32,51,46,53,49,48,55,57,101,45,48,54,32,54,46,
      50,51,49,48,50,101,45,48,54,32,49,46,49,48,52,52,55,101,45,48,53,32,49,46,57,
      53,51,51,101,45,48,53,32,51,46,52,52,48,54,54,101,45,48,53,32,54,46,48,49,56,
      55,57,101,45,48,53,32,46,48,48,48,49,48,52,48,52,56,10,32,32,46,48,48,48,49,
      55,54,51,53,55,32,46,48,48,48,50,56,57,53,57,32,46,48,48,48,52,53,51,50,57,
      56,32,46,48,48,48,54,54,53,50,56,52,32,46,48,48,48,57,48,52,52,49,49,32,46,
      48,48,49,49,51,53,50,51,32,46,48,48,49,51,50,52,56,56,32,46,48,48,49,53,48,
      52,56,54,10,32,32,46,48,48,49,54,49,55,51,51,32,46,48,48,49,54,52,54,49,57,
      32,46,48,48,49,54,53,55,50,49,32,46,48,48,49,54,54,50,49,54,32,46,48,48,49,
      54,54,50,50,51,32,46,48,48,49,54,53,53,56,52,32,46,48,48,49,54,51,54,53,32,
      46,48,48,49,54,49,53,48,52,32,46,48,48,49,53,56,50,51,53,10,32,32,46,48,48,
      49,53,51,57,54,49,32,46,48,48,49,52,55,56,52,57,32,46,48,48,49,52,51,48,53,
      51,32,46,48,48,49,51,56,53,50,50,32,46,48,48,49,51,48,50,48,57,32,46,48,48,
      49,50,50,56,48,55,32,46,48,48,49,49,54,50,49,52,32,46,48,48,49,49,51,49,57,
      50,10,32,32,46,48,48,49,49,48,51,51,55,32,46,48,48,49,48,55,54,52,50,32,46,
      48,48,49,48,53,48,57,51,32,46,48,48,49,48,50,54,56,52,32,46,48,48,49,48,48,
      52,48,57,32,46,48,48,48,57,56,50,53,51,55,32,46,48,48,48,57,54,50,49,52,52,
      32,46,48,48,48,57,52,50,56,53,57,10,32,32,46,48,48,48,57,50,52,53,56,53,32,
      46,48,48,48,57,48,51,57,54,50,32,46,48,48,48,56,56,52,54,49,32,46,48,48,48,
      56,54,48,53,56,51,32,46,48,48,48,56,51,56,53,54,49,32,46,48,48,48,56,49,56,
      50,55,56,32,46,48,48,48,55,57,53,49,56,51,32,46,48,48,48,55,55,52,52,49,54,
      10,32,32,46,48,48,48,55,53,53,53,49,32,46,48,48,48,55,51,53,48,49,52,32,46,
      48,48,48,55,49,54,56,53,53,32,46,48,48,48,54,57,53,55,52,32,46,48,48,48,54,
      55,55,51,57,54,32,46,48,48,48,54,54,49,54,50,32,46,48,48,48,54,52,54,52,54,
      57,32,46,48,48,48,54,51,50,51,55,55,10,32,32,46,48,48,48,54,49,57,50,51,56,
      32,46,48,48,48,54,48,55,49,53,56,32,46,48,48,48,53,57,54,55,52,55,32,46,48,
      48,48,53,56,55,52,52,54,32,46,48,48,48,53,56,48,53,54,51,32,46,48,48,48,53,
      55,53,49,57,54,32,46,48,48,48,53,55,49,49,50,51,32,46,48,48,48,53,54,57,55,
      57,56,10,32,32,46,48,48,48,53,55,48,54,54,54,32,46,48,48,48,53,55,51,54,49,
      56,32,46,48,48,48,53,55,57,55,49,49,32,46,48,48,48,53,56,56,55,49,52,32,46,
      48,48,48,54,48,48,56,50,57,32,46,48,48,48,54,49,54,53,49,49,32,46,48,48,48,
      54,51,51,54,48,54,32,46,48,48,48,54,53,51,50,52,56,10,32,32,46,48,48,48,54,
      55,56,53,52,55,32,46,48,48,48,55,49,51,53,51,32,46,48,48,48,55,52,55,50,55,
      52,32,46,48,48,48,55,55,57,57,52,49,32,46,48,48,48,56,48,52,55,56,51,32,46,
      48,48,48,56,50,56,54,55,50,32,46,48,48,48,56,53,54,52,56,55,32,46,48,48,48,
      56,55,55,53,52,57,10,32,32,46,48,48,48,56,57,49,52,52,52,32,46,48,48,48,56,
      57,55,55,54,32,46,48,48,48,56,57,55,53,55,50,32,46,48,48,48,56,56,55,48,55,
      56,32,46,48,48,48,56,54,54,55,54,50,32,46,48,48,48,56,52,48,51,48,57,32,46,
      48,48,48,56,48,55,48,48,51,32,46,48,48,48,55,54,56,56,48,53,10,32,32,46,48,
      48,48,55,50,49,52,50,52,32,46,48,48,48,54,55,52,52,56,57,32,46,48,48,48,54,
      51,56,56,50,50,32,46,48,48,48,53,55,48,52,52,50,32,46,48,48,48,53,48,54,51,
      56,32,46,48,48,48,52,52,56,51,51,54,32,46,48,48,48,51,56,56,54,48,56,32,46,
      48,48,48,51,51,56,54,49,51,10,32,32,46,48,48,48,50,56,57,50,49,54,32,46,48,
      48,48,50,52,54,55,51,54,32,46,48,48,48,50,49,48,55,51,51,32,46,48,48,48,49,
      56,48,53,56,52,32,46,48,48,48,49,53,49,53,53,32,46,48,48,48,49,51,51,48,50,
      56,32,46,48,48,48,49,49,54,54,50,50,32,57,46,51,54,51,53,54,101,45,48,53,10,
      32,32,56,46,49,55,49,50,55,101,45,48,53,32,54,46,53,55,56,49,101,45,48,53,32,
      53,46,50,49,51,52,50,101,45,48,53,32,52,46,53,50,56,54,56,101,45,48,53,32,51,
      46,57,50,56,52,54,101,45,48,53,32,51,46,49,51,49,50,51,101,45,48,53,32,50,46,
      52,51,49,55,51,101,45,48,53,10,32,32,50,46,49,49,49,48,53,101,45,48,53,32,49,
      46,54,55,55,56,101,45,48,53,32,49,46,52,53,55,52,101,45,48,53,32,49,46,49,53,
      56,49,53,101,45,48,53,32,57,46,53,57,57,57,49,101,45,48,54,32,55,46,50,55,54,
      57,55,101,45,48,54,32,54,46,52,56,54,51,52,101,45,48,54,10,32,32,53,46,49,57,
      53,50,56,101,45,48,54,32,52,46,48,54,49,51,53,101,45,48,54,32,51,46,51,48,53,
      54,56,101,45,48,54,32,50,46,54,56,57,49,101,45,48,54,32,50,46,50,49,53,55,50,
      101,45,48,54,32,49,46,56,51,48,51,50,101,45,48,54,32,49,46,52,56,48,50,55,101,
      45,48,54,10,32,32,49,46,50,50,53,53,101,45,48,54,32,57,46,57,52,55,55,57,101,
      45,48,55,32,56,46,53,51,48,54,52,101,45,48,55,32,54,46,54,51,54,54,101,45,48,
      55,32,53,46,54,56,56,53,49,101,45,48,55,32,52,46,54,57,53,55,53,101,45,48,55,
      32,51,46,48,48,50,101,45,48,55,10,32,32,49,46,54,49,57,51,52,101,45,48,55,32,
      56,46,56,53,51,50,50,101,45,48,56,32,52,46,49,53,52,52,49,101,45,48,56,32,49,
      46,57,52,54,50,52,101,45,48,56,32,55,46,56,49,56,49,53,101,45,48,57,32,51,46,
      55,48,57,50,57,101,45,48,57,32,55,46,56,54,51,57,51,101,45,48,57,10,32,32,51,
      46,49,48,55,50,101,45,48,57,32,49,46,54,49,55,48,49,101,45,48,57,32,55,46,55,
      57,55,49,51,101,45,49,48,32,50,46,57,52,57,57,54,101,45,49,48,32,49,46,50,54,
      48,57,50,101,45,49,48,32,53,46,51,57,50,48,56,101,45,49,49,32,50,46,48,52,51,
      52,49,101,45,49,49,10,32,32,55,46,55,52,56,48,50,101,45,49,50,32,51,46,51,49,
      55,56,49,101,45,49,50,32,49,46,52,50,49,50,53,101,45,49,50,32,54,46,48,52,50,
      51,49,101,45,49,51,32,50,46,50,57,52,48,57,101,45,49,51,32,55,46,55,50,48,55,
      49,101,45,49,52,32,50,46,51,48,51,53,53,101,45,49,52,10,32,32,55,46,55,54,48,
      49,52,101,45,49,53,32,50,46,51,49,55,48,51,101,45,49,53,32,55,46,56,49,50,48,
      57,101,45,49,54,32,50,46,54,51,52,57,101,45,49,54,32,55,46,56,55,57,51,101,
      45,49,55,32,50,46,49,54,48,57,57,101,45,49,55,32,55,46,57,53,56,49,51,101,45,
      49,56,10,32,32,50,46,53,48,54,49,49,101,45,49,56,32,57,46,48,55,57,51,57,101,
      45,49,57,32,51,46,48,54,55,57,52,101,45,49,57,32,49,46,48,51,53,54,57,101,45,
      49,57,32,51,46,52,56,53,54,55,101,45,50,48,32,49,46,49,55,56,51,49,101,45,50,
      48,32,51,46,57,56,51,57,52,101,45,50,49,10,32,32,49,46,51,52,55,50,54,101,45,
      50,49,32,51,46,50,54,55,55,52,101,45,50,50,32,48,114,53,48,32,57,46,53,51,55,
      49,52,101,45,49,52,32,49,46,54,57,53,50,51,101,45,49,51,32,51,46,48,49,51,57,
      54,101,45,49,51,32,53,46,51,53,55,57,56,101,45,49,51,32,57,46,53,50,53,50,51,
      101,45,49,51,10,32,32,49,46,54,57,51,51,57,101,45,49,50,32,51,46,48,49,48,53,
      101,45,49,50,32,53,46,51,53,49,56,55,101,45,49,50,32,57,46,53,49,51,54,101,
      45,49,50,32,49,46,54,57,49,50,54,101,45,49,49,32,51,46,48,48,54,56,101,45,49,
      49,32,53,46,51,52,52,56,52,101,45,49,49,10,32,32,57,46,53,48,49,56,55,101,45,
      49,49,32,49,46,56,52,51,50,56,101,45,49,48,32,52,46,57,57,57,51,51,101,45,49,
      48,32,56,46,56,56,53,55,49,101,45,49,48,32,49,46,53,55,57,50,101,45,48,57,32,
      51,46,53,53,48,57,57,101,45,48,57,32,57,46,56,53,49,51,57,101,45,48,57,10,32,
      32,49,46,57,50,56,52,50,101,45,48,56,32,51,46,57,50,56,48,49,101,45,48,56,32,
      55,46,54,55,57,50,51,101,45,48,56,32,49,46,53,54,49,49,55,101,45,48,55,32,51,
      46,52,57,48,49,49,101,45,48,55,32,57,46,53,55,48,50,52,101,45,48,55,32,49,46,
      56,53,49,53,54,101,45,48,54,10,32,32,51,46,55,48,53,51,54,101,45,48,54,32,55,
      46,48,55,51,57,53,101,45,48,54,32,49,46,51,56,55,51,50,101,45,48,53,32,50,46,
      48,57,54,51,54,101,45,48,53,32,50,46,57,49,56,54,57,101,45,48,53,32,52,46,56,
      52,55,53,51,101,45,48,53,32,55,46,48,55,48,55,101,45,48,53,10,32,32,57,46,52,
      57,57,48,57,101,45,48,53,32,46,48,48,48,49,48,55,54,53,56,32,46,48,48,48,49,
      50,48,53,55,32,46,48,48,48,49,51,51,54,51,49,32,46,48,48,48,49,52,54,55,57,
      53,32,46,48,48,48,49,53,57,57,56,32,46,48,48,48,49,55,51,49,51,56,32,46,48,
      48,48,49,56,54,50,49,10,32,32,46,48,48,48,49,57,57,49,54,54,32,46,48,48,48,
      50,49,49,57,51,54,32,46,48,48,48,50,50,52,53,49,49,32,46,48,48,48,50,51,57,
      51,52,53,32,46,48,48,48,50,53,51,55,53,49,32,46,48,48,48,50,55,50,50,57,49,
      32,46,48,48,48,50,57,48,48,57,54,32,46,48,48,48,51,48,55,48,53,10,32,32,46,
      48,48,48,51,50,54,57,53,50,32,46,48,48,48,51,52,53,53,56,53,32,46,48,48,48,
      51,54,50,55,53,49,32,46,48,48,48,51,56,49,52,55,54,32,46,48,48,48,51,57,56,
      52,52,53,32,46,48,48,48,52,49,56,50,56,32,46,48,48,48,52,51,53,51,49,55,32,
      46,48,48,48,52,52,57,55,56,50,10,32,32,46,48,48,48,52,54,51,53,48,55,32,46,
      48,48,48,52,55,53,57,57,49,32,46,48,48,48,52,56,54,56,49,53,32,46,48,48,48,
      52,57,53,56,53,57,32,46,48,48,48,53,48,51,52,49,55,32,46,48,48,48,53,48,57,
      57,56,32,46,48,48,48,53,49,52,56,57,51,32,46,48,48,48,53,49,57,52,53,51,10,
      32,32,46,48,48,48,53,50,52,52,50,55,32,46,48,48,48,53,50,57,51,55,50,32,46,
      48,48,48,53,51,51,52,57,32,46,48,48,48,53,51,57,48,49,50,32,46,48,48,48,53,
      52,54,56,55,56,32,46,48,48,48,53,53,54,54,56,32,46,48,48,48,53,54,56,55,57,
      52,32,46,48,48,48,53,56,51,56,10,32,32,46,48,48,48,53,57,57,56,50,52,32,46,
      48,48,48,54,49,56,48,54,32,46,48,48,48,54,52,49,52,53,51,32,46,48,48,48,54,
      55,51,56,50,54,32,46,48,48,48,55,48,53,49,54,51,32,46,48,48,48,55,51,53,54,
      51,56,32,46,48,48,48,55,53,56,57,51,54,32,46,48,48,48,55,56,49,52,56,49,10,
      32,32,46,48,48,48,56,48,55,57,54,49,32,46,48,48,48,56,50,56,51,32,46,48,48,
      48,56,52,50,48,53,50,32,46,48,48,48,56,52,56,54,55,49,32,46,48,48,48,56,52,
      57,53,52,50,32,46,48,48,48,56,52,48,55,51,55,32,46,48,48,48,56,50,50,54,54,
      49,32,46,48,48,48,55,57,56,54,51,54,10,32,32,46,48,48,48,55,54,56,48,52,54,
      32,46,48,48,48,55,51,50,54,57,54,32,46,48,48,48,54,56,56,53,56,52,32,46,48,
      48,48,54,52,52,54,55,50,32,46,48,48,48,54,49,49,49,57,32,46,48,48,48,53,52,
      54,55,55,55,32,46,48,48,48,52,56,54,49,57,55,32,46,48,48,48,52,51,49,49,50,
      54,10,32,32,46,48,48,48,51,55,52,50,56,50,32,46,48,48,48,51,50,54,53,55,51,
      32,46,48,48,48,50,55,57,51,50,54,32,46,48,48,48,50,51,56,54,48,57,32,46,48,
      48,48,50,48,52,48,51,51,32,46,48,48,48,49,55,53,48,51,49,32,46,48,48,48,49,
      52,55,48,53,53,32,46,48,48,48,49,50,57,49,56,49,10,32,32,46,48,48,48,49,49,
      51,51,51,50,32,57,46,49,48,57,56,50,101,45,48,53,32,55,46,57,53,53,48,53,101,
      45,48,53,32,54,46,52,49,48,51,50,101,45,48,53,32,53,46,48,56,53,52,51,101,45,
      48,53,32,52,46,52,49,57,57,55,101,45,48,53,32,51,46,56,51,54,50,50,101,45,48,
      53,10,32,32,51,46,48,54,48,49,53,101,45,48,53,32,50,46,51,55,56,53,51,101,45,
      48,53,32,50,46,48,54,53,55,57,101,45,48,53,32,49,46,54,52,50,57,55,101,45,48,
      53,32,49,46,52,50,55,55,50,101,45,48,53,32,49,46,49,51,53,50,54,101,45,48,53,
      32,57,46,52,49,52,54,55,101,45,48,54,10,32,32,55,46,49,52,49,50,52,101,45,48,
      54,32,54,46,51,54,55,48,50,101,45,48,54,32,53,46,49,48,50,50,101,45,48,54,32,
      51,46,57,57,48,54,55,101,45,48,54,32,51,46,50,52,57,53,49,101,45,48,54,32,50,
      46,54,52,52,52,54,101,45,48,54,32,50,46,49,55,57,55,49,101,45,48,54,10,32,32,
      49,46,56,48,49,49,55,101,45,48,54,32,49,46,52,53,55,50,49,101,45,48,54,32,49,
      46,50,48,54,55,54,101,45,48,54,32,57,46,55,57,56,55,53,101,45,48,55,32,56,46,
      52,48,52,54,57,101,45,48,55,32,54,46,53,52,48,57,101,45,48,55,32,53,46,54,48,
      55,54,53,101,45,48,55,10,32,32,52,46,54,51,48,49,55,101,45,48,55,32,50,46,57,
      54,49,55,49,101,45,48,55,32,49,46,53,57,56,55,51,101,45,48,55,32,56,46,55,52,
      53,56,55,101,45,48,56,32,52,46,49,48,54,57,101,45,48,56,32,49,46,57,50,53,50,
      101,45,48,56,32,55,46,55,51,56,55,57,101,45,48,57,10,32,32,51,46,54,55,57,51,
      55,101,45,48,57,32,55,46,55,49,49,49,101,45,48,57,32,51,46,48,52,55,56,56,101,
      45,48,57,32,49,46,53,56,54,52,57,101,45,48,57,32,55,46,54,53,49,55,54,101,45,
      49,48,32,50,46,56,57,53,56,101,45,49,48,32,49,46,50,51,56,48,54,101,45,49,48,
      10,32,32,53,46,50,57,53,53,101,45,49,49,32,50,46,48,48,55,50,55,101,45,49,49,
      32,55,46,54,49,50,54,101,45,49,50,32,51,46,50,54,48,52,101,45,49,50,32,49,46,
      51,57,54,57,101,45,49,50,32,53,46,57,52,48,48,50,101,45,49,51,32,50,46,50,53,
      53,54,53,101,45,49,51,10,32,32,55,46,53,57,50,55,55,101,45,49,52,32,50,46,50,
      54,53,56,51,101,45,49,52,32,55,46,54,51,52,51,53,101,45,49,53,32,50,46,50,55,
      57,56,54,101,45,49,53,32,55,46,54,56,55,57,52,101,45,49,54,32,50,46,53,57,51,
      51,57,101,45,49,54,32,55,46,55,53,54,52,101,45,49,55,10,32,32,50,46,49,50,55,
      54,50,101,45,49,55,32,55,46,56,51,54,49,101,45,49,56,32,50,46,52,54,56,101,
      45,49,56,32,56,46,57,52,50,51,53,101,45,49,57,32,51,46,48,50,49,57,55,101,45,
      49,57,32,49,46,48,50,48,50,52,101,45,49,57,32,51,46,52,51,51,52,57,101,45,50,
      48,10,32,32,49,46,49,54,48,56,101,45,50,48,32,51,46,57,50,53,49,51,101,45,50,
      49,32,49,46,51,50,55,52,56,101,45,50,49,32,51,46,50,48,51,49,54,101,45,50,50,
      32,48,114,53,48,32,53,46,50,52,49,50,55,101,45,49,52,32,57,46,51,49,54,51,57,
      101,45,49,52,32,49,46,54,53,54,51,54,101,45,49,51,10,32,32,50,46,57,52,52,53,
      53,101,45,49,51,32,53,46,50,51,52,55,50,101,45,49,51,32,57,46,51,48,54,50,51,
      101,45,49,51,32,49,46,54,53,52,52,54,101,45,49,50,32,50,46,57,52,49,49,57,101,
      45,49,50,32,53,46,50,50,56,51,50,101,45,49,50,32,57,46,50,57,52,53,50,101,45,
      49,50,10,32,32,49,46,54,53,50,52,50,101,45,49,49,32,50,46,57,51,55,51,51,101,
      45,49,49,32,53,46,50,50,49,57,101,45,49,49,32,57,46,50,56,50,54,101,45,49,49,
      32,49,46,54,53,48,48,50,101,45,49,48,32,50,46,57,51,50,57,53,101,45,49,48,32,
      54,46,54,51,54,52,49,101,45,49,48,10,32,32,49,46,53,50,52,57,49,101,45,48,57,
      32,52,46,50,51,49,54,56,101,45,48,57,32,56,46,50,56,53,56,101,45,48,57,32,49,
      46,54,56,56,52,53,101,45,48,56,32,51,46,51,48,50,55,57,101,45,48,56,32,54,46,
      55,50,48,52,52,101,45,48,56,32,49,46,53,48,52,54,57,101,45,48,55,10,32,32,52,
      46,49,51,57,49,51,101,45,48,55,32,56,46,48,51,52,51,54,101,45,48,55,32,49,46,
      54,49,54,48,53,101,45,48,54,32,51,46,49,48,54,57,101,45,48,54,32,54,46,49,53,
      57,55,51,101,45,48,54,32,57,46,51,57,52,57,51,101,45,48,54,32,49,46,51,50,48,
      53,50,101,45,48,53,10,32,32,50,46,50,51,54,51,101,45,48,53,32,51,46,51,50,55,
      55,53,101,45,48,53,32,52,46,53,54,50,53,57,101,45,48,53,32,53,46,50,50,52,53,
      101,45,48,53,32,53,46,57,49,49,54,101,45,48,53,32,54,46,54,50,48,57,50,101,
      45,48,53,32,55,46,51,52,56,54,49,101,45,48,53,10,32,32,56,46,48,57,50,57,101,
      45,48,53,32,56,46,56,53,49,50,57,101,45,48,53,32,57,46,54,50,48,49,53,101,45,
      48,53,32,46,48,48,48,49,48,51,57,55,54,32,46,48,48,48,49,49,49,56,50,32,46,
      48,48,48,49,49,57,55,49,52,32,46,48,48,48,49,50,57,50,49,49,32,46,48,48,48,
      49,51,56,55,50,51,10,32,32,46,48,48,48,49,53,49,51,54,54,32,46,48,48,48,49,
      54,51,57,50,53,32,46,48,48,48,49,55,54,51,52,50,32,46,48,48,48,49,57,49,54,
      48,53,32,46,48,48,48,50,48,54,53,52,55,32,46,48,48,48,50,50,49,48,52,32,46,
      48,48,48,50,51,55,56,51,57,32,46,48,48,48,50,53,51,57,54,54,10,32,32,46,48,
      48,48,50,55,52,50,54,51,32,46,48,48,48,50,57,51,50,51,56,32,46,48,48,48,51,
      49,48,56,53,50,32,46,48,48,48,51,50,57,48,50,54,32,46,48,48,48,51,52,55,51,
      51,55,32,46,48,48,48,51,54,53,51,57,53,32,46,48,48,48,51,56,50,54,56,32,46,
      48,48,48,51,57,56,57,51,10,32,32,46,48,48,48,52,49,53,49,51,50,32,46,48,48,
      48,52,50,56,57,50,57,32,46,48,48,48,52,52,50,52,54,56,32,46,48,48,48,52,53,
      55,49,54,32,46,48,48,48,52,55,48,51,52,55,32,46,48,48,48,52,55,57,53,48,53,
      32,46,48,48,48,52,57,48,50,54,57,32,46,48,48,48,53,48,50,56,55,10,32,32,46,
      48,48,48,53,49,54,52,50,32,46,48,48,48,53,51,49,50,51,51,32,46,48,48,48,53,
      52,56,49,49,53,32,46,48,48,48,53,54,53,49,51,52,32,46,48,48,48,53,56,51,55,
      57,51,32,46,48,48,48,54,48,55,48,54,32,46,48,48,48,54,51,56,57,52,51,32,46,
      48,48,48,54,54,57,52,56,53,10,32,32,46,48,48,48,54,57,56,57,56,56,32,46,48,
      48,48,55,50,49,53,51,51,32,46,48,48,48,55,52,51,51,56,52,32,46,48,48,48,55,
      54,57,49,55,49,32,46,48,48,48,55,56,57,49,55,54,32,46,48,48,48,56,48,50,57,
      53,57,32,46,48,48,48,56,48,57,56,57,49,32,46,48,48,48,56,49,49,54,52,55,10,
      32,32,46,48,48,48,56,48,52,49,56,57,32,46,48,48,48,55,56,55,56,54,52,32,46,
      48,48,48,55,54,53,55,50,54,32,46,48,48,48,55,51,55,50,52,56,32,46,48,48,48,
      55,48,52,49,50,50,32,46,48,48,48,54,54,50,53,54,50,32,46,48,48,48,54,50,49,
      48,49,56,32,46,48,48,48,53,56,57,50,52,57,10,32,32,46,48,48,48,53,50,55,57,
      52,54,32,46,48,48,48,52,55,48,49,32,46,48,48,48,52,49,55,51,54,55,32,46,48,
      48,48,51,54,50,56,49,32,46,48,48,48,51,49,54,57,50,54,32,46,48,48,48,50,55,
      49,51,57,53,32,46,48,48,48,50,51,50,48,56,32,46,48,48,48,49,57,56,54,52,49,
      10,32,32,46,48,48,48,49,55,48,53,53,50,32,46,48,48,48,49,52,51,52,50,50,32,
      46,48,48,48,49,50,54,48,55,32,46,48,48,48,49,49,48,54,55,32,56,46,57,48,52,
      51,50,101,45,48,53,32,55,46,55,55,57,57,49,101,45,48,53,32,54,46,50,55,52,51,
      54,101,45,48,53,32,52,46,57,56,49,54,49,101,45,48,53,10,32,32,52,46,51,51,49,
      55,50,101,45,48,53,32,51,46,55,54,49,51,101,45,48,53,32,51,46,48,48,50,52,50,
      101,45,48,53,32,50,46,51,51,53,50,57,101,45,48,53,32,50,46,48,50,56,57,56,101,
      45,48,53,32,49,46,54,49,52,54,101,45,48,53,32,49,46,52,48,51,53,50,101,45,48,
      53,10,32,32,49,46,49,49,54,53,57,101,45,48,53,32,57,46,50,54,51,53,50,101,45,
      48,54,32,55,46,48,51,48,52,57,101,45,48,54,32,54,46,50,54,57,54,51,101,45,48,
      54,32,53,46,48,50,54,49,52,101,45,48,54,32,51,46,57,51,50,56,101,45,48,54,32,
      51,46,50,48,51,52,53,101,45,48,54,10,32,32,50,46,54,48,55,56,50,101,45,48,54,
      32,50,46,49,53,48,49,51,101,45,48,54,32,49,46,55,55,55,50,51,101,45,48,54,32,
      49,46,52,51,56,50,55,101,45,48,54,32,49,46,49,57,49,51,57,101,45,48,54,32,57,
      46,54,55,54,53,56,101,45,48,55,32,56,46,51,48,49,53,49,101,45,48,55,10,32,32,
      54,46,52,54,50,53,55,101,45,48,55,32,53,46,53,52,49,52,56,101,45,48,55,32,52,
      46,53,55,54,53,50,101,45,48,55,32,50,46,57,50,56,55,50,101,45,48,55,32,49,46,
      53,56,49,56,50,101,45,48,55,32,56,46,54,53,55,55,57,101,45,48,56,32,52,46,48,
      54,55,56,57,101,45,48,56,10,32,32,49,46,57,48,55,56,57,101,45,48,56,32,55,46,
      54,55,51,52,55,101,45,48,57,32,51,46,54,53,56,51,57,101,45,48,57,32,55,46,53,
      56,55,57,53,101,45,48,57,32,51,46,48,48,48,48,56,101,45,48,57,32,49,46,53,54,
      49,57,49,101,45,48,57,32,55,46,53,51,52,55,101,45,49,48,10,32,32,50,46,56,53,
      50,49,55,101,45,49,48,32,49,46,50,49,57,54,52,101,45,49,48,32,53,46,50,49,55,
      54,52,101,45,49,49,32,49,46,57,55,56,49,53,101,45,49,49,32,55,46,53,48,51,53,
      49,101,45,49,50,32,51,46,50,49,52,49,53,101,45,49,50,32,49,46,51,55,55,50,56,
      101,45,49,50,10,32,32,53,46,56,53,55,54,52,101,45,49,51,32,50,46,50,50,52,55,
      49,101,45,49,51,32,55,46,52,56,57,55,54,101,45,49,52,32,50,46,50,51,53,52,53,
      101,45,49,52,32,55,46,53,51,51,48,52,101,45,49,53,32,50,46,50,52,57,57,51,101,
      45,49,53,32,55,46,53,56,55,57,56,101,45,49,54,10,32,32,50,46,53,53,57,57,56,
      101,45,49,54,32,55,46,54,53,55,52,54,101,45,49,55,32,50,46,49,48,48,55,54,101,
      45,49,55,32,55,46,55,51,55,57,52,101,45,49,56,32,50,46,52,51,55,51,52,101,45,
      49,56,32,56,46,56,51,50,49,49,101,45,49,57,32,50,46,57,56,53,48,49,101,45,49,
      57,10,32,32,49,46,48,48,55,56,50,101,45,49,57,32,51,46,52,48,55,53,57,101,45,
      50,48,32,49,46,49,52,54,55,101,45,50,48,32,51,46,56,55,55,56,53,101,45,50,49,
      32,49,46,51,49,49,53,57,101,45,50,49,32,51,46,49,53,48,57,54,101,45,50,50,32,
      48,114,53,48,32,50,46,52,51,52,54,54,101,45,49,52,10,32,32,52,46,51,50,55,54,
      51,101,45,49,52,32,55,46,54,57,52,49,51,101,45,49,52,32,49,46,51,54,55,56,101,
      45,49,51,32,50,46,52,51,49,54,52,101,45,49,51,32,52,46,51,50,50,57,56,101,45,
      49,51,32,55,46,54,56,53,52,51,101,45,49,51,32,49,46,51,54,54,50,56,101,45,49,
      50,10,32,32,50,46,52,50,56,55,54,101,45,49,50,32,52,46,51,49,55,55,52,101,45,
      49,50,32,55,46,54,55,54,52,53,101,45,49,50,32,49,46,51,54,52,54,101,45,49,49,
      32,50,46,52,50,54,48,53,101,45,49,49,32,52,46,51,49,50,56,53,101,45,49,49,32,
      55,46,54,54,54,56,52,101,45,49,49,10,32,32,49,46,51,54,50,57,52,101,45,49,48,
      32,50,46,52,50,50,57,101,45,49,48,32,53,46,52,53,49,49,57,101,45,49,48,32,49,
      46,56,53,50,57,57,101,45,48,57,32,51,46,54,51,48,50,52,101,45,48,57,32,55,46,
      52,48,51,52,56,101,45,48,57,32,49,46,52,52,57,55,49,101,45,48,56,10,32,32,50,
      46,57,53,52,51,57,101,45,48,56,32,54,46,54,51,49,53,54,101,45,48,56,32,49,46,
      56,51,51,50,55,101,45,48,55,32,51,46,53,55,53,55,57,101,45,48,55,32,55,46,50,
      52,51,56,52,101,45,48,55,32,49,46,52,48,53,54,50,101,45,48,54,32,50,46,56,50,
      52,55,52,101,45,48,54,10,32,32,52,46,51,53,53,57,50,101,45,48,54,32,54,46,49,
      56,56,55,52,101,45,48,54,32,49,46,48,55,48,50,101,45,48,53,32,49,46,54,50,53,
      48,49,101,45,48,53,32,50,46,50,55,50,48,57,101,45,48,53,32,50,46,54,50,54,56,
      101,45,48,53,32,51,46,48,48,48,53,52,101,45,48,53,10,32,32,51,46,51,57,49,57,
      53,101,45,48,53,32,51,46,55,57,57,57,53,101,45,48,53,32,52,46,50,50,51,48,57,
      101,45,48,53,32,52,46,54,54,48,49,56,101,45,48,53,32,53,46,49,49,48,51,101,
      45,48,53,32,53,46,53,55,50,49,101,45,48,53,32,54,46,48,52,52,54,101,45,48,53,
      10,32,32,54,46,53,50,54,55,51,101,45,48,53,32,55,46,49,49,54,54,55,101,45,48,
      53,32,55,46,55,49,55,51,55,101,45,48,53,32,56,46,53,51,50,53,52,101,45,48,53,
      32,57,46,51,54,49,48,52,101,45,48,53,32,46,48,48,48,49,48,49,57,56,55,32,46,
      48,48,48,49,49,50,53,52,51,10,32,32,46,48,48,48,49,50,51,49,53,53,32,46,48,
      48,48,49,51,51,55,55,50,32,46,48,48,48,49,52,54,52,53,57,32,46,48,48,48,49,
      53,57,48,51,32,46,48,48,48,49,55,53,53,48,53,32,46,48,48,48,49,57,49,53,57,
      49,32,46,48,48,48,50,48,55,49,54,32,46,48,48,48,50,50,52,48,53,10,32,32,46,
      48,48,48,50,52,49,57,48,53,32,46,48,48,48,50,54,48,52,54,53,32,46,48,48,48,
      50,55,57,52,50,55,32,46,48,48,48,50,57,56,51,54,57,32,46,48,48,48,51,49,56,
      51,55,55,32,46,48,48,48,51,51,54,54,50,53,32,46,48,48,48,51,53,53,49,56,32,
      46,48,48,48,51,55,54,54,50,52,10,32,32,46,48,48,48,51,57,54,55,54,52,32,46,
      48,48,48,52,49,48,53,55,50,32,46,48,48,48,52,50,54,52,54,54,32,46,48,48,48,
      52,52,52,53,57,57,32,46,48,48,48,52,54,50,56,53,56,32,46,48,48,48,52,56,49,
      53,57,56,32,46,48,48,48,53,48,49,54,54,53,32,46,48,48,48,53,50,48,56,56,57,
      10,32,32,46,48,48,48,53,52,49,49,52,56,32,46,48,48,48,53,54,53,54,57,50,32,
      46,48,48,48,53,57,56,49,48,51,32,46,48,48,48,54,50,56,53,52,32,46,48,48,48,
      54,53,55,54,56,57,32,46,48,48,48,54,55,57,56,53,53,32,46,48,48,48,55,48,49,
      51,49,53,32,46,48,48,48,55,50,54,55,49,10,32,32,46,48,48,48,55,52,54,53,55,
      57,32,46,48,48,48,55,54,48,53,52,51,32,46,48,48,48,55,54,55,57,48,51,32,46,
      48,48,48,55,55,48,54,56,51,32,46,48,48,48,55,54,52,54,57,52,32,46,48,48,48,
      55,53,48,50,53,49,32,46,48,48,48,55,51,48,49,51,51,32,46,48,48,48,55,48,51,
      57,49,56,10,32,32,46,48,48,48,54,55,51,49,54,32,46,48,48,48,54,51,52,51,50,
      56,32,46,48,48,48,53,57,53,51,50,50,32,46,48,48,48,53,54,53,51,57,51,32,46,
      48,48,48,53,48,55,52,52,49,32,46,48,48,48,52,53,50,53,51,53,32,46,48,48,48,
      52,48,50,51,51,49,32,46,48,48,48,51,53,48,50,53,50,10,32,32,46,48,48,48,51,
      48,54,51,52,51,32,46,48,48,48,50,54,50,54,55,53,32,46,48,48,48,50,50,52,56,
      57,53,32,46,48,48,48,49,57,50,55,48,52,32,46,48,48,48,49,54,53,54,50,32,46,
      48,48,48,49,51,57,52,50,32,46,48,48,48,49,50,50,54,52,49,32,46,48,48,48,49,
      48,55,55,51,52,10,32,32,56,46,54,55,55,51,56,101,45,48,53,32,55,46,53,56,54,
      51,101,45,48,53,32,54,46,49,50,51,56,54,101,45,48,53,32,52,46,56,54,54,53,57,
      101,45,48,53,32,52,46,50,51,51,57,52,101,45,48,53,32,51,46,54,55,56,50,52,101,
      45,48,53,32,50,46,57,51,56,51,52,101,45,48,53,10,32,32,50,46,50,56,55,50,49,
      101,45,48,53,32,49,46,57,56,56,48,50,101,45,48,53,32,49,46,53,56,51,48,50,101,
      45,48,53,32,49,46,51,55,54,53,56,101,45,48,53,32,49,46,48,57,53,55,57,101,45,
      48,53,32,57,46,48,57,53,48,51,101,45,48,54,32,54,46,57,48,54,57,101,45,48,54,
      10,32,32,54,46,49,54,48,57,53,101,45,48,54,32,52,46,57,52,49,51,49,101,45,48,
      54,32,51,46,56,54,56,51,101,45,48,54,32,51,46,49,53,50,49,50,101,45,48,54,32,
      50,46,53,54,54,57,54,101,45,48,54,32,50,46,49,49,55,49,50,101,45,48,54,32,49,
      46,55,53,48,52,55,101,45,48,54,10,32,32,49,46,52,49,55,48,55,101,45,48,54,32,
      49,46,49,55,52,49,53,101,45,48,54,32,57,46,53,51,57,52,101,45,48,55,32,56,46,
      49,56,53,53,53,101,45,48,55,32,54,46,51,55,52,52,50,101,45,48,55,32,53,46,52,
      54,54,57,56,101,45,48,55,32,52,46,53,49,54,48,55,101,45,48,55,10,32,32,50,46,
      56,57,49,54,50,101,45,48,55,32,49,46,53,54,50,56,52,101,45,48,55,32,56,46,53,
      53,57,48,54,101,45,48,56,32,52,46,48,50,52,49,54,101,45,48,56,32,49,46,56,56,
      56,53,101,45,48,56,32,55,46,54,48,48,50,50,101,45,48,57,32,51,46,54,50,56,51,
      53,101,45,48,57,10,32,32,55,46,52,53,50,50,56,101,45,48,57,32,50,46,57,52,55,
      51,57,101,45,48,57,32,49,46,53,51,52,56,101,45,48,57,32,55,46,52,48,53,53,52,
      101,45,49,48,32,50,46,56,48,52,48,53,101,45,49,48,32,49,46,49,57,57,51,51,101,
      45,49,48,32,53,46,49,51,49,56,50,101,45,49,49,10,32,32,49,46,57,52,54,48,52,
      101,45,49,49,32,55,46,51,56,51,50,54,101,45,49,50,32,51,46,49,54,51,50,101,
      45,49,50,32,49,46,51,53,53,54,55,101,45,49,50,32,53,46,55,54,54,56,56,101,45,
      49,51,32,50,46,49,57,48,54,101,45,49,51,32,55,46,51,55,54,50,54,101,45,49,52,
      10,32,32,50,46,50,48,49,57,57,101,45,49,52,32,55,46,52,50,49,53,49,101,45,49,
      53,32,50,46,50,49,54,57,56,101,45,49,53,32,55,46,52,55,55,57,52,101,45,49,54,
      32,50,46,53,50,51,50,101,45,49,54,32,55,46,53,52,56,53,54,101,45,49,55,32,50,
      46,48,55,49,50,49,101,45,49,55,10,32,32,55,46,54,51,48,48,56,101,45,49,56,32,
      50,46,52,48,51,54,50,101,45,49,56,32,56,46,55,49,48,56,49,101,45,49,57,32,50,
      46,57,52,52,51,53,101,45,49,57,32,57,46,57,52,49,53,51,101,45,50,48,32,51,46,
      51,54,49,55,51,101,45,50,48,32,49,46,49,51,49,49,57,101,45,50,48,10,32,32,51,
      46,56,50,53,55,52,101,45,50,49,32,49,46,50,57,52,49,49,101,45,50,49,32,51,46,
      48,57,51,50,49,101,45,50,50,32,48,114,53,48,32,51,46,55,49,48,55,55,101,45,
      49,53,32,54,46,53,57,53,57,53,101,45,49,53,32,49,46,49,55,50,55,101,45,49,52,
      32,50,46,48,56,52,55,53,101,45,49,52,10,32,32,51,46,55,48,54,50,52,101,45,49,
      52,32,54,46,53,56,56,57,57,101,45,49,52,32,49,46,49,55,49,52,49,101,45,49,51,
      32,50,46,48,56,50,53,101,45,49,51,32,51,46,55,48,50,48,49,101,45,49,51,32,54,
      46,53,56,49,52,50,101,45,49,51,32,49,46,49,55,48,49,51,101,45,49,50,10,32,32,
      50,46,48,56,48,49,54,101,45,49,50,32,51,46,54,57,56,51,56,101,45,49,50,32,54,
      46,53,55,53,48,57,101,45,49,50,32,49,46,49,54,56,57,50,101,45,49,49,32,50,46,
      48,55,56,49,56,101,45,49,49,32,51,46,54,57,52,56,101,45,49,49,32,56,46,51,49,
      52,53,52,101,45,49,49,10,32,32,50,46,51,49,48,52,54,101,45,49,48,32,52,46,53,
      51,48,53,57,101,45,49,48,32,49,46,48,48,53,53,50,101,45,48,57,32,50,46,48,52,
      52,50,57,101,45,48,57,32,52,46,49,55,52,55,49,101,45,48,57,32,57,46,52,48,50,
      48,54,101,45,48,57,32,50,46,54,49,54,51,56,101,45,48,56,10,32,32,53,46,49,51,
      54,57,101,45,48,56,32,49,46,48,53,48,57,49,101,45,48,55,32,50,46,48,54,54,49,
      49,101,45,48,55,32,52,46,50,51,52,51,55,101,45,48,55,32,54,46,54,51,55,52,101,
      45,48,55,32,57,46,53,56,53,56,53,101,45,48,55,32,49,46,55,49,50,56,51,101,45,
      48,54,10,32,32,50,46,54,56,55,50,57,101,45,48,54,32,51,46,56,56,49,57,53,101,
      45,48,54,32,52,46,53,54,49,53,54,101,45,48,54,32,53,46,50,57,53,55,53,101,45,
      48,54,32,54,46,48,56,52,49,54,101,45,48,54,32,54,46,57,50,54,54,52,101,45,48,
      54,32,55,46,56,50,50,53,56,101,45,48,54,10,32,32,56,46,55,55,49,53,50,101,45,
      48,54,32,57,46,55,55,51,49,49,101,45,48,54,32,49,46,48,56,50,54,56,101,45,48,
      53,32,49,46,49,57,51,49,56,101,45,48,53,32,49,46,51,48,56,55,53,101,45,48,53,
      32,49,46,52,53,52,48,52,101,45,48,53,32,49,46,54,48,54,52,101,45,48,53,10,32,
      32,49,46,56,50,48,51,57,101,45,48,53,32,50,46,48,52,54,52,49,101,45,48,53,32,
      50,46,50,56,52,48,53,101,45,48,53,32,50,46,53,57,54,57,53,101,45,48,53,32,50,
      46,57,50,54,55,50,101,45,48,53,32,51,46,50,55,50,54,57,101,45,48,53,32,51,46,
      55,48,56,48,55,101,45,48,53,10,32,32,52,46,49,54,52,49,53,101,45,48,53,32,52,
      46,56,48,49,55,56,101,45,48,53,32,53,46,52,55,48,52,53,101,45,48,53,32,54,46,
      49,54,54,52,56,101,45,48,53,32,54,46,57,55,56,52,52,101,45,48,53,32,55,46,57,
      49,49,48,49,101,45,48,53,32,56,46,57,54,55,55,50,101,45,48,53,10,32,32,46,48,
      48,48,49,48,49,52,56,56,32,46,48,48,48,49,49,52,53,50,49,32,46,48,48,48,49,
      50,57,55,52,51,32,46,48,48,48,49,52,53,48,53,54,32,46,48,48,48,49,54,50,51,
      56,52,32,46,48,48,48,49,56,52,53,54,50,32,46,48,48,48,50,48,55,53,52,50,32,
      46,48,48,48,50,50,52,54,52,55,10,32,32,46,48,48,48,50,52,53,51,48,57,32,46,
      48,48,48,50,54,57,55,56,50,32,46,48,48,48,50,57,52,57,56,51,32,46,48,48,48,
      51,50,48,55,49,51,32,46,48,48,48,51,52,55,53,56,50,32,46,48,48,48,51,55,50,
      52,50,50,32,46,48,48,48,51,57,55,53,51,32,46,48,48,48,52,50,54,52,53,49,10,
      32,32,46,48,48,48,52,54,50,56,53,52,32,46,48,48,48,52,57,53,52,55,51,32,46,
      48,48,48,53,50,53,54,55,56,32,46,48,48,48,53,52,56,50,50,51,32,46,48,48,48,
      53,54,57,56,55,52,32,46,48,48,48,53,57,53,53,52,51,32,46,48,48,48,54,49,54,
      48,52,57,32,46,48,48,48,54,51,49,50,51,53,10,32,32,46,48,48,48,54,52,48,50,
      52,49,32,46,48,48,48,54,52,54,51,53,51,32,46,48,48,48,54,52,52,56,52,56,32,
      46,48,48,48,54,51,54,48,48,51,32,46,48,48,48,54,50,49,56,53,52,32,46,48,48,
      48,54,48,50,50,57,49,32,46,48,48,48,53,55,56,53,51,50,32,46,48,48,48,53,52,
      55,55,56,55,10,32,32,46,48,48,48,53,49,54,51,50,57,32,46,48,48,48,52,57,49,
      56,57,52,32,46,48,48,48,52,52,51,57,56,56,32,46,48,48,48,51,57,56,48,48,53,
      32,46,48,48,48,51,53,53,53,48,55,32,46,48,48,48,51,49,49,32,46,48,48,48,50,
      55,51,49,54,50,32,46,48,48,48,50,51,53,50,53,51,10,32,32,46,48,48,48,50,48,
      50,50,50,54,32,46,48,48,48,49,55,51,57,49,51,32,46,48,48,48,49,52,57,57,54,
      52,32,46,48,48,48,49,50,54,54,55,57,32,46,48,48,48,49,49,49,55,48,51,32,57,
      46,56,51,53,49,51,101,45,48,53,32,55,46,57,53,101,45,48,53,32,54,46,57,54,52,
      56,50,101,45,48,53,10,32,32,53,46,54,51,57,54,49,101,45,48,53,32,52,46,52,57,
      53,53,50,101,45,48,53,32,51,46,57,49,55,57,53,101,45,48,53,32,51,46,52,48,57,
      52,55,101,45,48,53,32,50,46,55,51,48,53,57,101,45,48,53,32,50,46,49,51,49,49,
      53,101,45,48,53,32,49,46,56,53,52,57,55,101,45,48,53,10,32,32,49,46,52,56,48,
      50,53,101,45,48,53,32,49,46,50,56,56,56,51,101,45,48,53,32,49,46,48,50,55,57,
      52,101,45,48,53,32,56,46,53,52,52,55,53,101,45,48,54,32,54,46,53,48,50,55,101,
      45,48,54,32,53,46,56,48,53,50,50,101,45,48,54,32,52,46,54,54,51,49,57,101,45,
      48,54,10,32,32,51,46,54,53,54,53,101,45,48,54,32,50,46,57,56,51,51,56,101,45,
      48,54,32,50,46,52,51,50,53,54,101,45,48,54,32,50,46,48,48,56,53,50,101,45,48,
      54,32,49,46,54,54,50,52,52,101,45,48,54,32,49,46,51,52,55,51,50,101,45,48,54,
      32,49,46,49,49,55,52,50,101,45,48,54,10,32,32,57,46,48,56,55,55,50,101,45,48,
      55,32,55,46,56,48,51,54,50,101,45,48,55,32,54,46,48,56,51,56,57,101,45,48,55,
      32,53,46,50,50,49,51,49,101,45,48,55,32,52,46,51,49,54,54,50,101,45,48,55,32,
      50,46,55,54,56,56,51,101,45,48,55,32,49,46,52,57,57,56,52,101,45,48,55,10,32,
      32,56,46,50,51,48,52,101,45,48,56,32,51,46,56,55,56,51,49,101,45,48,56,32,49,
      46,56,50,51,55,49,101,45,48,56,32,55,46,51,53,53,49,57,101,45,48,57,32,51,46,
      53,52,56,55,50,101,45,48,57,32,55,46,48,48,51,53,101,45,48,57,32,50,46,55,55,
      51,48,52,101,45,48,57,10,32,32,49,46,52,52,53,48,56,101,45,48,57,32,54,46,57,
      55,56,48,52,101,45,49,48,32,50,46,54,52,52,55,51,101,45,49,48,32,49,46,49,51,
      50,48,56,101,45,49,48,32,52,46,56,52,55,54,54,101,45,49,49,32,49,46,56,51,57,
      55,54,101,45,49,49,32,54,46,57,56,53,51,101,45,49,50,10,32,32,50,46,57,57,52,
      53,55,101,45,49,50,32,49,46,50,56,52,49,55,101,45,49,50,32,53,46,52,54,54,55,
      53,101,45,49,51,32,50,46,48,55,55,57,52,101,45,49,51,32,55,46,48,48,49,55,56,
      101,45,49,52,32,50,46,48,57,49,55,53,101,45,49,52,32,55,46,48,53,52,52,56,101,
      45,49,53,10,32,32,50,46,49,48,56,55,55,101,45,49,53,32,55,46,49,49,55,49,57,
      101,45,49,54,32,50,46,52,48,50,56,56,101,45,49,54,32,55,46,49,57,51,49,101,
      45,49,55,32,49,46,57,55,52,57,54,101,45,49,55,32,55,46,50,55,57,50,57,101,45,
      49,56,32,50,46,50,57,52,51,53,101,45,49,56,10,32,32,56,46,51,49,56,56,49,101,
      45,49,57,32,50,46,56,49,51,50,53,101,45,49,57,32,57,46,53,49,53,57,54,101,45,
      50,48,32,51,46,50,49,52,55,53,101,45,50,48,32,49,46,48,56,49,54,51,101,45,50,
      48,32,51,46,54,53,57,54,52,101,45,50,49,32,49,46,50,51,56,51,53,101,45,50,49,
      10,32,32,50,46,57,48,55,55,54,101,45,50,50,32,48,114,53,48,32,50,46,48,55,57,
      56,49,101,45,49,53,32,51,46,54,57,54,56,56,101,45,49,53,32,54,46,53,55,50,55,
      52,101,45,49,53,32,49,46,49,54,56,52,53,101,45,49,52,32,50,46,48,55,55,50,54,
      101,45,49,52,32,51,46,54,57,50,57,54,101,45,49,52,10,32,32,54,46,53,54,53,52,
      52,101,45,49,52,32,49,46,49,54,55,49,56,101,45,49,51,32,50,46,48,55,52,56,54,
      101,45,49,51,32,51,46,54,56,56,54,53,101,45,49,51,32,54,46,53,53,56,49,51,101,
      45,49,51,32,49,46,49,54,53,56,51,101,45,49,50,32,50,46,48,55,50,55,51,101,45,
      49,50,10,32,32,51,46,54,56,52,56,56,101,45,49,50,32,54,46,53,53,48,55,56,101,
      45,49,50,32,49,46,49,54,52,53,57,101,45,49,49,32,50,46,48,55,48,51,56,101,45,
      49,49,32,52,46,54,53,56,51,51,101,45,49,49,32,49,46,50,57,51,57,53,101,45,49,
      48,32,50,46,53,51,54,48,53,101,45,49,48,10,32,32,53,46,49,55,53,52,50,101,45,
      49,48,32,49,46,48,49,52,51,55,101,45,48,57,32,50,46,48,55,48,50,55,101,45,48,
      57,32,52,46,56,48,56,54,101,45,48,57,32,49,46,51,51,53,49,57,101,45,48,56,32,
      50,46,54,49,53,54,57,101,45,48,56,32,53,46,51,51,52,48,49,101,45,48,56,10,32,
      32,49,46,48,52,52,51,53,101,45,48,55,32,50,46,49,50,55,55,55,101,45,48,55,32,
      51,46,51,49,57,56,57,101,45,48,55,32,52,46,55,55,51,54,53,101,45,48,55,32,56,
      46,52,54,49,101,45,48,55,32,49,46,51,49,55,57,52,101,45,48,54,32,49,46,56,57,
      49,56,101,45,48,54,10,32,32,50,46,50,49,54,54,52,101,45,48,54,32,50,46,53,54,
      54,53,54,101,45,48,54,32,50,46,57,52,49,52,50,101,45,48,54,32,51,46,51,52,49,
      48,55,101,45,48,54,32,51,46,55,54,53,51,54,101,45,48,54,32,52,46,50,49,52,49,
      50,101,45,48,54,32,52,46,54,56,55,50,51,101,45,48,54,10,32,32,53,46,49,56,52,
      53,49,101,45,48,54,32,53,46,55,48,53,55,57,101,45,48,54,32,54,46,50,53,48,57,
      49,101,45,48,54,32,54,46,57,51,54,50,57,101,45,48,54,32,55,46,54,53,53,52,55,
      101,45,48,54,32,56,46,54,54,54,52,57,101,45,48,54,32,57,46,55,51,54,51,49,101,
      45,48,54,10,32,32,49,46,48,56,54,52,50,101,45,48,53,32,49,46,50,51,53,52,54,
      101,45,48,53,32,49,46,51,57,51,50,57,101,45,48,53,32,49,46,53,53,57,55,56,101,
      45,48,53,32,49,46,55,55,48,55,53,101,45,48,53,32,49,46,57,57,51,54,53,101,45,
      48,53,32,50,46,51,48,56,56,53,101,45,48,53,10,32,32,50,46,54,52,51,57,57,101,
      45,48,53,32,50,46,57,57,56,50,56,101,45,48,53,32,51,46,52,49,56,56,53,101,45,
      48,53,32,51,46,57,49,50,48,52,101,45,48,53,32,52,46,52,56,52,50,55,101,45,48,
      53,32,53,46,49,52,49,55,51,101,45,48,53,32,53,46,56,56,57,55,56,101,45,48,53,
      10,32,32,54,46,55,57,52,55,49,101,45,48,53,32,55,46,55,51,57,53,49,101,45,48,
      53,32,56,46,56,53,50,49,54,101,45,48,53,32,46,48,48,48,49,48,51,52,54,51,32,
      46,48,48,48,49,49,57,55,56,52,32,46,48,48,48,49,51,50,52,56,56,32,46,48,48,
      48,49,52,56,52,54,55,10,32,32,46,48,48,48,49,54,56,50,53,56,32,46,48,48,48,
      49,56,57,53,55,51,32,46,48,48,48,50,49,50,50,50,54,32,46,48,48,48,50,51,54,
      55,50,49,32,46,48,48,48,50,53,57,57,57,49,32,46,48,48,48,50,56,51,57,56,57,
      32,46,48,48,48,51,49,50,48,52,57,32,46,48,48,48,51,52,55,55,57,52,10,32,32,
      46,48,48,48,51,56,48,48,48,51,32,46,48,48,48,52,48,57,57,49,52,32,46,48,48,
      48,52,51,50,51,48,49,32,46,48,48,48,52,53,51,56,56,56,32,46,48,48,48,52,55,
      57,55,51,52,32,46,48,48,48,53,48,48,56,51,51,32,46,48,48,48,53,49,55,49,49,
      54,32,46,48,48,48,53,50,55,53,52,50,10,32,32,46,48,48,48,53,51,54,52,54,32,
      46,48,48,48,53,51,56,54,56,52,32,46,48,48,48,53,51,52,52,56,53,32,46,48,48,
      48,53,50,53,51,48,51,32,46,48,48,48,53,49,49,51,50,50,32,46,48,48,48,52,57,
      51,52,55,55,32,46,48,48,48,52,54,57,54,50,54,32,46,48,48,48,52,52,52,54,54,
      50,10,32,32,46,48,48,48,52,50,52,57,56,55,32,46,48,48,48,51,56,53,56,54,32,
      46,48,48,48,51,52,55,55,52,52,32,46,48,48,48,51,49,50,49,49,32,46,48,48,48,
      50,55,52,52,49,52,32,46,48,48,48,50,52,50,48,55,56,32,46,48,48,48,50,48,57,
      52,50,55,32,46,48,48,48,49,56,48,55,55,52,10,32,32,46,48,48,48,49,53,54,48,
      53,50,32,46,48,48,48,49,51,53,48,50,52,32,46,48,48,48,49,49,52,52,55,32,46,
      48,48,48,49,48,49,49,56,57,32,56,46,57,51,48,56,49,101,45,48,53,32,55,46,50,
      52,53,57,56,101,45,48,53,32,54,46,51,54,49,55,54,101,45,48,53,32,53,46,49,54,
      55,57,55,101,45,48,53,10,32,32,52,46,49,51,50,56,49,101,45,48,53,32,51,46,54,
      48,56,52,49,101,45,48,53,32,51,46,49,52,53,54,54,101,45,48,53,32,50,46,53,50,
      54,48,49,101,45,48,53,32,49,46,57,55,54,57,52,101,45,48,53,32,49,46,55,50,51,
      50,56,101,45,48,53,32,49,46,51,55,56,50,57,101,45,48,53,10,32,32,49,46,50,48,
      49,54,53,101,45,48,53,32,57,46,54,48,51,56,49,101,45,48,54,32,55,46,57,57,53,
      56,55,101,45,48,54,32,54,46,48,57,56,52,52,101,45,48,54,32,53,46,52,52,57,49,
      49,101,45,48,54,32,52,46,51,56,52,50,55,101,45,48,54,32,51,46,52,52,51,54,56,
      101,45,48,54,10,32,32,50,46,56,49,51,53,53,101,45,48,54,32,50,46,50,57,55,48,
      55,101,45,48,54,32,49,46,56,57,56,56,55,101,45,48,54,32,49,46,53,55,51,52,51,
      101,45,48,54,32,49,46,50,55,54,55,101,45,48,54,32,49,46,48,53,57,57,51,101,
      45,48,54,32,56,46,54,50,57,53,51,101,45,48,55,10,32,32,55,46,52,49,53,56,54,
      101,45,48,55,32,53,46,55,56,56,53,55,101,45,48,55,32,52,46,57,55,49,51,57,101,
      45,48,55,32,52,46,49,49,51,53,49,101,45,48,55,32,50,46,54,52,51,53,52,101,45,
      48,55,32,49,46,52,51,53,51,57,101,45,48,55,32,55,46,56,57,51,50,57,101,45,48,
      56,10,32,32,51,46,55,50,56,51,52,101,45,48,56,32,49,46,55,53,54,57,52,101,45,
      48,56,32,55,46,49,48,50,48,57,101,45,48,57,32,51,46,52,57,48,49,101,45,48,57,
      32,54,46,53,54,49,50,55,101,45,48,57,32,50,46,54,48,48,57,51,101,45,48,57,32,
      49,46,51,53,54,52,101,45,48,57,10,32,32,54,46,53,53,52,57,55,101,45,49,48,32,
      50,46,52,56,54,55,57,101,45,49,48,32,49,46,48,54,53,51,49,101,45,49,48,32,52,
      46,53,54,53,49,54,101,45,49,49,32,49,46,55,51,51,57,50,101,45,49,49,32,54,46,
      53,56,56,51,57,101,45,49,50,32,50,46,56,50,54,49,56,101,45,49,50,10,32,32,49,
      46,50,49,50,54,56,101,45,49,50,32,53,46,49,54,54,48,55,101,45,49,51,32,49,46,
      57,54,52,56,56,101,45,49,51,32,54,46,54,50,53,51,51,101,45,49,52,32,49,46,57,
      56,48,53,57,101,45,49,52,32,54,46,54,56,51,50,57,101,45,49,53,32,49,46,57,57,
      56,56,57,101,45,49,53,10,32,32,54,46,55,52,57,51,49,101,45,49,54,32,50,46,50,
      55,57,54,51,101,45,49,54,32,54,46,56,50,55,49,50,101,45,49,55,32,49,46,56,55,
      53,51,49,101,45,49,55,32,54,46,57,49,52,50,52,101,45,49,56,32,50,46,49,56,48,
      48,55,101,45,49,56,32,55,46,57,48,54,56,55,101,45,49,57,10,32,32,50,46,54,55,
      52,56,101,45,49,57,32,57,46,48,53,48,52,101,45,50,48,32,51,46,48,53,55,56,49,
      101,45,50,48,32,49,46,48,50,56,52,49,101,45,50,48,32,51,46,52,56,48,53,101,
      45,50,49,32,49,46,49,55,56,49,50,101,45,50,49,32,51,46,57,56,56,52,52,101,45,
      50,50,10,32,32,48,114,53,48,32,49,46,52,52,49,51,52,101,45,49,53,32,50,46,53,
      54,50,101,45,49,53,32,52,46,53,53,53,48,49,101,45,49,53,32,56,46,48,57,55,53,
      56,101,45,49,53,32,49,46,52,51,57,53,55,101,45,49,52,32,50,46,53,53,57,50,56,
      101,45,49,52,32,52,46,53,52,57,57,52,101,45,49,52,10,32,32,56,46,48,56,56,55,
      50,101,45,49,52,32,49,46,52,51,55,57,101,45,49,51,32,50,46,53,53,54,50,55,101,
      45,49,51,32,52,46,53,52,52,56,51,101,45,49,51,32,56,46,48,55,57,50,52,101,45,
      49,51,32,49,46,52,51,54,52,101,45,49,50,32,50,46,53,53,51,53,57,101,45,49,50,
      10,32,32,52,46,53,51,57,53,55,101,45,49,50,32,56,46,48,55,48,50,52,101,45,49,
      50,32,49,46,52,51,52,54,56,101,45,49,49,32,51,46,50,50,55,56,52,101,45,49,49,
      32,56,46,57,54,53,49,49,101,45,49,49,32,49,46,55,53,54,57,51,101,45,49,48,32,
      51,46,53,56,52,56,52,101,45,49,48,10,32,32,55,46,48,50,52,51,55,101,45,49,48,
      32,49,46,52,51,50,57,54,101,45,48,57,32,51,46,50,50,50,48,55,101,45,48,57,32,
      56,46,57,51,57,54,49,101,45,48,57,32,49,46,55,54,51,53,56,101,45,48,56,32,51,
      46,53,57,50,50,101,45,48,56,32,55,46,48,50,50,53,52,101,45,48,56,10,32,32,49,
      46,52,50,55,55,101,45,48,55,32,50,46,50,50,51,55,57,101,45,48,55,32,51,46,49,
      57,50,51,52,101,45,48,55,32,53,46,54,52,48,55,55,101,45,48,55,32,56,46,55,54,
      49,50,51,101,45,48,55,32,49,46,50,53,52,50,53,101,45,48,54,32,49,46,52,54,55,
      55,53,101,45,48,54,10,32,32,49,46,54,57,55,51,55,101,45,48,54,32,49,46,57,52,
      50,57,57,101,45,48,54,32,50,46,50,48,52,52,55,101,45,48,54,32,50,46,52,56,49,
      54,57,101,45,48,54,32,50,46,55,55,52,53,50,101,45,48,54,32,51,46,48,56,50,56,
      54,101,45,48,54,32,51,46,52,48,54,53,55,101,45,48,54,10,32,32,51,46,55,52,53,
      53,53,101,45,48,54,32,52,46,48,57,57,54,55,101,45,48,54,32,52,46,53,52,52,52,
      54,101,45,48,54,32,53,46,48,49,48,55,101,45,48,54,32,53,46,54,54,53,51,56,101,
      45,48,54,32,54,46,51,53,55,52,49,101,45,48,54,32,55,46,48,56,54,51,52,101,45,
      48,54,10,32,32,56,46,48,52,56,55,51,101,45,48,54,32,57,46,48,54,55,50,52,101,
      45,48,54,32,49,46,48,49,52,49,101,45,48,53,32,49,46,49,53,48,49,51,101,45,48,
      53,32,49,46,50,57,51,56,54,101,45,48,53,32,49,46,52,57,55,50,51,101,45,48,53,
      32,49,46,55,49,51,54,55,101,45,48,53,10,32,32,49,46,57,52,50,56,55,101,45,48,
      53,32,50,46,50,49,53,53,51,101,45,48,53,32,50,46,53,51,54,51,50,101,45,48,53,
      32,50,46,57,49,48,48,57,101,45,48,53,32,51,46,51,52,49,55,54,101,45,48,53,32,
      51,46,56,51,54,50,56,101,45,48,53,32,52,46,52,51,57,54,50,101,45,48,53,10,32,
      32,53,46,48,55,53,56,55,101,45,48,53,32,53,46,56,51,51,55,55,101,45,48,53,32,
      54,46,56,54,55,49,51,101,45,48,53,32,56,46,48,49,55,50,101,45,48,53,32,56,46,
      57,50,55,53,53,101,45,48,53,32,46,48,48,48,49,48,48,57,50,32,46,48,48,48,49,
      49,53,54,52,53,10,32,32,46,48,48,48,49,51,49,56,54,52,32,46,48,48,48,49,52,
      57,53,48,57,32,46,48,48,48,49,54,57,48,52,51,32,46,48,48,48,49,56,56,48,49,
      52,32,46,48,48,48,50,48,55,57,55,54,32,46,48,48,48,50,51,49,55,57,53,32,46,
      48,48,48,50,54,50,56,48,54,32,46,48,48,48,50,57,49,51,51,49,10,32,32,46,48,
      48,48,51,49,56,50,57,49,32,46,48,48,48,51,51,56,55,54,54,32,46,48,48,48,51,
      53,56,55,55,51,32,46,48,48,48,51,56,51,49,52,55,32,46,48,48,48,52,48,51,53,
      52,53,32,46,48,48,48,52,49,57,56,53,49,32,46,48,48,48,52,51,48,56,53,54,32,
      46,48,48,48,52,52,49,52,53,49,10,32,32,46,48,48,48,52,52,54,50,56,54,32,46,
      48,48,48,52,52,53,53,57,50,32,46,48,48,48,52,52,48,51,48,55,32,46,48,48,48,
      52,51,48,56,49,56,32,46,48,48,48,52,49,55,56,50,50,32,46,48,48,48,51,57,57,
      55,49,55,32,46,48,48,48,51,56,48,50,51,55,32,46,48,48,48,51,54,52,54,50,51,
      10,32,32,46,48,48,48,51,51,51,48,54,50,32,46,48,48,48,51,48,49,56,49,32,46,
      48,48,48,50,55,50,50,50,51,32,46,48,48,48,50,52,48,53,56,52,32,46,48,48,48,
      50,49,51,49,56,56,32,46,48,48,48,49,56,53,50,57,52,32,46,48,48,48,49,54,48,
      54,50,54,32,46,48,48,48,49,51,57,50,48,49,10,32,32,46,48,48,48,49,50,48,56,
      55,32,46,48,48,48,49,48,50,56,53,51,32,57,46,49,49,53,54,53,101,45,48,53,32,
      56,46,48,54,53,51,49,101,45,48,53,32,54,46,53,54,57,49,50,101,45,48,53,32,53,
      46,55,56,48,53,101,45,48,53,32,52,46,55,49,49,54,49,101,45,48,53,10,32,32,51,
      46,55,56,48,52,57,101,45,48,53,32,51,46,51,48,55,49,49,101,45,48,53,32,50,46,
      56,56,56,51,51,101,45,48,53,32,50,46,51,50,53,56,51,101,45,48,53,32,49,46,56,
      50,53,53,52,101,45,48,53,32,49,46,53,57,51,55,51,101,45,48,53,32,49,46,50,55,
      55,54,57,101,45,48,53,10,32,32,49,46,49,49,53,52,56,101,45,48,53,32,56,46,57,
      51,52,51,54,101,45,48,54,32,55,46,52,53,48,57,55,101,45,48,54,32,53,46,54,57,
      54,49,55,101,45,48,54,32,53,46,48,57,52,51,56,101,45,48,54,32,52,46,49,48,53,
      57,101,45,48,54,32,51,46,50,51,48,56,54,101,45,48,54,10,32,32,50,46,54,52,51,
      52,56,101,45,48,54,32,50,46,49,54,49,49,57,101,45,48,54,32,49,46,55,56,56,55,
      53,101,45,48,54,32,49,46,52,56,51,57,50,101,45,48,54,32,49,46,50,48,53,53,56,
      101,45,48,54,32,49,46,48,48,49,57,54,101,45,48,54,32,56,46,49,54,54,55,54,101,
      45,48,55,10,32,32,55,46,48,50,51,56,54,101,45,48,55,32,53,46,52,56,57,53,56,
      101,45,48,55,32,52,46,55,49,56,49,56,101,45,48,55,32,51,46,57,48,55,53,56,101,
      45,48,55,32,50,46,53,49,54,50,54,101,45,48,55,32,49,46,51,54,57,55,50,101,45,
      48,55,32,55,46,53,52,57,48,53,101,45,48,56,10,32,32,51,46,53,55,52,55,51,101,
      45,48,56,32,49,46,54,56,56,51,55,101,45,48,56,32,54,46,56,52,49,52,55,101,45,
      48,57,32,51,46,52,53,56,55,56,101,45,48,57,32,54,46,49,50,49,53,51,101,45,48,
      57,32,50,46,52,50,57,56,50,101,45,48,57,32,49,46,50,54,56,50,55,101,45,48,57,
      10,32,32,54,46,49,51,52,54,56,101,45,49,48,32,50,46,51,51,48,48,52,101,45,49,
      48,32,57,46,57,57,49,50,101,45,49,49,32,52,46,50,56,53,52,49,101,45,49,49,32,
      49,46,54,50,57,50,57,101,45,49,49,32,54,46,49,57,54,55,50,101,45,49,50,32,50,
      46,54,54,48,50,54,101,45,49,50,10,32,32,49,46,49,52,50,51,54,101,45,49,50,32,
      52,46,56,54,57,54,56,101,45,49,51,32,49,46,56,53,51,49,49,101,45,49,51,32,54,
      46,50,53,49,56,57,101,45,49,52,32,49,46,56,55,48,49,52,101,45,49,52,32,54,46,
      51,49,52,48,52,101,45,49,53,32,49,46,56,56,57,53,57,101,45,49,53,10,32,32,54,
      46,51,56,51,56,51,101,45,49,54,32,50,46,49,53,55,51,53,101,45,49,54,32,54,46,
      52,54,52,55,51,101,45,49,55,32,49,46,55,55,54,56,53,101,45,49,55,32,54,46,53,
      53,52,50,52,101,45,49,56,32,50,46,48,54,55,54,49,101,45,49,56,32,55,46,53,48,
      50,51,51,101,45,49,57,10,32,32,50,46,53,51,57,49,50,101,45,49,57,32,56,46,53,
      57,53,50,50,101,45,50,48,32,50,46,57,48,52,55,51,101,45,50,48,32,57,46,55,54,
      53,56,53,101,45,50,49,32,51,46,51,48,54,52,101,45,50,49,32,49,46,49,49,57,54,
      50,101,45,50,49,32,51,46,55,57,49,56,51,101,45,50,50,10,32,32,48,114,53,48,
      32,56,46,55,51,55,56,101,45,49,54,32,49,46,53,53,51,49,54,101,45,49,53,32,50,
      46,55,54,49,51,56,101,45,49,53,32,52,46,57,48,56,57,57,101,45,49,53,32,56,46,
      55,50,55,49,49,101,45,49,53,32,49,46,53,53,49,53,50,101,45,49,52,32,50,46,55,
      53,56,51,51,101,45,49,52,10,32,32,52,46,57,48,51,54,56,101,45,49,52,32,56,46,
      55,49,55,49,51,101,45,49,52,32,49,46,53,52,57,55,51,101,45,49,51,32,50,46,55,
      53,53,51,49,101,45,49,51,32,52,46,56,57,56,49,50,101,45,49,51,32,56,46,55,48,
      56,52,56,101,45,49,51,32,49,46,53,52,56,50,49,101,45,49,50,10,32,32,50,46,55,
      53,50,51,56,101,45,49,50,32,52,46,56,57,51,50,56,101,45,49,50,32,56,46,54,57,
      57,53,50,101,45,49,50,32,49,46,57,53,55,53,52,101,45,49,49,32,53,46,52,51,56,
      51,101,45,49,49,32,49,46,48,54,54,48,51,101,45,49,48,32,50,46,49,55,53,57,50,
      101,45,49,48,10,32,32,52,46,50,54,53,54,55,101,45,49,48,32,56,46,55,48,55,57,
      55,101,45,49,48,32,49,46,57,54,48,50,101,45,48,57,32,53,46,52,52,57,55,51,101,
      45,48,57,32,49,46,48,54,57,48,52,101,45,48,56,32,50,46,49,56,52,51,56,101,45,
      48,56,32,52,46,50,57,54,57,50,101,45,48,56,10,32,32,56,46,55,56,54,54,53,101,
      45,48,56,32,49,46,51,55,52,57,53,101,45,48,55,32,49,46,57,56,50,54,49,101,45,
      48,55,32,51,46,53,51,51,48,49,101,45,48,55,32,53,46,53,51,49,49,55,101,45,48,
      55,32,55,46,57,55,55,53,57,101,45,48,55,32,57,46,51,54,56,56,53,101,45,48,55,
      10,32,32,49,46,48,56,55,50,101,45,48,54,32,49,46,50,52,56,55,101,45,48,54,32,
      49,46,52,50,49,51,54,101,45,48,54,32,49,46,54,48,53,49,54,101,45,48,54,32,49,
      46,56,48,48,48,55,101,45,48,54,32,50,46,48,48,54,48,57,101,45,48,54,32,50,46,
      50,50,51,49,55,101,45,48,54,10,32,32,50,46,52,53,49,50,54,101,45,48,54,32,50,
      46,54,57,48,51,54,101,45,48,54,32,50,46,57,57,49,55,50,101,45,48,54,32,51,46,
      51,48,56,55,57,101,45,48,54,32,51,46,55,53,53,56,57,101,45,48,54,32,52,46,50,
      51,48,53,56,101,45,48,54,32,52,46,55,51,50,54,56,101,45,48,54,10,32,32,53,46,
      51,57,56,52,55,101,45,48,54,32,54,46,49,48,54,50,55,101,45,48,54,32,54,46,56,
      53,53,55,51,101,45,48,54,32,55,46,56,48,57,51,52,101,45,48,54,32,56,46,56,50,
      49,51,50,101,45,48,54,32,49,46,48,50,53,57,54,101,45,48,53,32,49,46,49,55,57,
      56,101,45,48,53,10,32,32,49,46,51,52,51,51,55,101,45,48,53,32,49,46,53,51,56,
      55,57,101,45,48,53,32,49,46,55,54,57,54,50,101,45,48,53,32,50,46,48,51,57,55,
      49,101,45,48,53,32,50,46,51,53,50,57,54,101,45,48,53,32,50,46,55,49,51,49,56,
      101,45,48,53,32,51,46,49,53,52,53,101,45,48,53,10,32,32,51,46,54,50,49,55,56,
      101,45,48,53,32,52,46,49,56,48,54,52,101,45,48,53,32,52,46,57,52,54,51,52,101,
      45,48,53,32,53,46,56,48,51,50,55,101,45,48,53,32,54,46,52,56,53,48,51,101,45,
      48,53,32,55,46,51,54,49,54,52,101,45,48,53,32,56,46,52,55,55,50,57,101,45,48,
      53,10,32,32,57,46,55,49,53,56,50,101,45,48,53,32,46,48,48,48,49,49,48,55,52,
      55,32,46,48,48,48,49,50,53,57,51,54,32,46,48,48,48,49,52,48,56,51,52,32,46,
      48,48,48,49,53,54,54,55,50,32,46,48,48,48,49,55,53,55,57,49,32,46,48,48,48,
      50,48,49,48,52,52,32,46,48,48,48,50,50,52,54,53,53,10,32,32,46,48,48,48,50,
      52,55,51,50,54,32,46,48,48,48,50,54,52,55,57,50,32,46,48,48,48,50,56,50,48,
      57,56,32,46,48,48,48,51,48,51,53,54,54,32,46,48,48,48,51,50,49,57,55,32,46,
      48,48,48,51,51,55,49,51,50,32,46,48,48,48,51,52,55,55,55,57,32,46,48,48,48,
      51,53,56,56,49,53,10,32,32,46,48,48,48,51,54,53,49,48,53,32,46,48,48,48,51,
      54,54,56,48,49,32,46,48,48,48,51,54,52,52,50,56,32,46,48,48,48,51,53,56,52,
      54,51,32,46,48,48,48,51,52,57,52,48,54,32,46,48,48,48,51,51,54,48,56,57,32,
      46,48,48,48,51,50,49,50,54,55,32,46,48,48,48,51,48,57,49,52,54,10,32,32,46,
      48,48,48,50,56,52,49,56,51,32,46,48,48,48,50,53,57,48,48,50,32,46,48,48,48,
      50,51,52,56,50,57,32,46,48,48,48,50,48,56,54,55,50,32,46,48,48,48,49,56,53,
      55,56,55,32,46,48,48,48,49,54,50,50,55,53,32,46,48,48,48,49,52,49,51,49,32,
      46,48,48,48,49,50,50,57,54,57,10,32,32,46,48,48,48,49,48,55,49,55,55,32,57,
      46,49,53,54,50,53,101,45,48,53,32,56,46,49,51,55,52,53,101,45,48,53,32,55,46,
      50,49,56,57,53,101,45,48,53,32,53,46,57,48,52,49,50,101,45,48,53,32,53,46,50,
      48,55,56,51,101,45,48,53,32,52,46,50,54,48,49,52,101,45,48,53,10,32,32,51,46,
      52,51,48,53,50,101,45,48,53,32,51,46,48,48,55,49,50,101,45,48,53,32,50,46,54,
      51,49,53,50,101,45,48,53,32,50,46,49,50,53,51,57,101,45,48,53,32,49,46,54,55,
      51,52,52,101,45,48,53,32,49,46,52,54,51,51,54,101,45,48,53,32,49,46,49,55,54,
      49,54,101,45,48,53,10,32,32,49,46,48,50,56,51,55,101,45,48,53,32,56,46,50,53,
      53,55,51,101,45,48,54,32,54,46,56,57,55,52,101,45,48,54,32,53,46,50,56,54,50,
      53,101,45,48,54,32,52,46,55,51,50,53,101,45,48,54,32,51,46,56,50,49,51,51,101,
      45,48,54,32,51,46,48,49,50,56,51,101,45,48,54,10,32,32,50,46,52,54,56,57,50,
      101,45,48,54,32,50,46,48,50,49,53,101,45,48,54,32,49,46,54,55,53,51,57,101,
      45,48,54,32,49,46,51,57,49,54,54,101,45,48,54,32,49,46,49,51,50,49,55,101,45,
      48,54,32,57,46,52,50,48,52,55,101,45,48,55,32,55,46,54,56,56,101,45,48,55,10,
      32,32,54,46,54,49,55,57,51,101,45,48,55,32,53,46,49,55,57,53,49,101,45,48,55,
      32,52,46,52,53,53,51,52,101,45,48,55,32,51,46,54,57,51,53,53,101,45,48,55,32,
      50,46,51,56,51,54,52,101,45,48,55,32,49,46,51,48,49,49,51,101,45,48,55,32,55,
      46,49,56,56,52,57,101,45,48,56,10,32,32,51,46,52,49,51,51,55,101,45,48,56,32,
      49,46,54,49,54,49,52,101,45,48,56,32,54,46,53,54,54,49,50,101,45,48,57,32,51,
      46,52,54,50,53,51,101,45,48,57,32,53,46,54,55,57,49,49,101,45,48,57,32,50,46,
      50,53,55,48,55,101,45,48,57,32,49,46,49,55,57,48,55,101,45,48,57,10,32,32,53,
      46,55,48,56,49,53,101,45,49,48,32,50,46,49,55,48,51,52,101,45,49,48,32,57,46,
      51,49,52,52,54,101,45,49,49,32,51,46,57,57,56,52,101,45,49,49,32,49,46,53,50,
      49,53,101,45,49,49,32,53,46,55,57,49,51,50,101,45,49,50,32,50,46,52,56,55,55,
      51,101,45,49,50,10,32,32,49,46,48,54,56,56,49,101,45,49,50,32,52,46,53,53,57,
      57,55,101,45,49,51,32,49,46,55,51,54,54,57,101,45,49,51,32,53,46,56,54,52,51,
      56,101,45,49,52,32,49,46,55,53,53,57,51,101,45,49,52,32,53,46,57,51,51,52,55,
      101,45,49,53,32,49,46,55,55,55,51,50,101,45,49,53,10,32,32,54,46,48,48,57,52,
      53,101,45,49,54,32,50,46,48,51,50,52,55,101,45,49,54,32,54,46,48,57,53,56,52,
      101,45,49,55,32,49,46,54,55,55,48,49,101,45,49,55,32,54,46,49,57,48,51,50,101,
      45,49,56,32,49,46,57,53,52,50,101,45,49,56,32,55,46,48,57,53,48,57,101,45,49,
      57,10,32,32,50,46,52,48,50,51,51,101,45,49,57,32,56,46,49,51,52,56,101,45,50,
      48,32,50,46,55,52,57,51,50,101,45,50,48,32,57,46,50,51,55,51,52,101,45,50,49,
      32,51,46,49,50,56,50,54,101,45,50,49,32,49,46,48,53,57,53,53,101,45,50,49,32,
      51,46,53,56,57,50,52,101,45,50,50,10,32,32,48,114,53,48,32,56,46,55,49,57,51,
      56,101,45,49,54,32,49,46,53,52,57,56,56,101,45,49,53,32,50,46,55,53,53,53,53,
      101,45,49,53,32,52,46,56,57,56,54,50,101,45,49,53,32,56,46,55,48,56,54,55,101,
      45,49,53,32,49,46,53,52,56,50,51,101,45,49,52,32,50,46,55,53,50,52,57,101,45,
      49,52,10,32,32,52,46,56,57,51,50,55,101,45,49,52,32,56,46,54,57,56,53,56,101,
      45,49,52,32,49,46,53,52,54,52,50,101,45,49,51,32,50,46,55,52,57,52,101,45,49,
      51,32,52,46,56,56,55,53,53,101,45,49,51,32,56,46,54,56,57,53,51,101,45,49,51,
      32,49,46,53,52,52,56,101,45,49,50,10,32,32,50,46,55,52,54,50,52,101,45,49,50,
      32,52,46,56,56,50,49,53,101,45,49,50,32,56,46,54,55,57,50,49,101,45,49,50,32,
      49,46,57,53,50,55,51,101,45,49,49,32,53,46,52,50,51,54,52,101,45,49,49,32,49,
      46,48,54,50,57,101,45,49,48,32,50,46,49,54,56,55,56,101,45,49,48,10,32,32,52,
      46,50,52,57,55,49,101,45,49,48,32,56,46,54,54,57,52,54,101,45,49,48,32,49,46,
      57,52,57,51,52,101,45,48,57,32,53,46,52,48,55,54,52,101,45,48,57,32,49,46,48,
      53,56,52,57,101,45,48,56,32,50,46,49,53,53,56,56,101,45,48,56,32,52,46,50,49,
      52,51,52,101,45,48,56,10,32,32,56,46,53,54,54,55,55,101,45,48,56,32,49,46,51,
      51,52,49,57,101,45,48,55,32,49,46,57,49,53,54,101,45,48,55,32,51,46,51,56,51,
      51,56,101,45,48,55,32,53,46,50,53,50,51,55,101,45,48,55,32,55,46,53,49,52,56,
      55,101,45,48,55,32,56,46,55,57,49,51,51,101,45,48,55,10,32,32,49,46,48,49,54,
      51,52,101,45,48,54,32,49,46,49,54,51,48,49,101,45,48,54,32,49,46,51,49,57,48,
      54,101,45,48,54,32,49,46,52,56,52,51,57,101,45,48,54,32,49,46,54,53,56,57,51,
      101,45,48,54,32,49,46,56,52,50,53,56,101,45,48,54,32,50,46,48,51,53,50,54,101,
      45,48,54,10,32,32,50,46,50,51,54,56,56,101,45,48,54,32,50,46,52,52,55,51,55,
      101,45,48,54,32,50,46,55,49,49,53,50,101,45,48,54,32,50,46,57,56,56,49,55,101,
      45,48,54,32,51,46,51,55,54,50,53,101,45,48,54,32,51,46,55,56,53,57,54,101,45,
      48,54,32,52,46,50,49,55,101,45,48,54,10,32,32,52,46,55,56,53,50,57,101,45,48,
      54,32,53,46,51,56,53,55,57,101,45,48,54,32,54,46,48,49,55,57,50,101,45,48,54,
      32,54,46,56,49,55,51,55,101,45,48,54,32,55,46,54,54,48,53,52,101,45,48,54,32,
      56,46,56,53,48,57,57,101,45,48,54,32,49,46,48,49,49,53,49,101,45,48,53,10,32,
      32,49,46,49,52,53,48,54,101,45,48,53,32,49,46,51,48,51,53,56,101,45,48,53,32,
      49,46,52,56,57,54,51,101,45,48,53,32,49,46,55,48,53,56,56,101,45,48,53,32,49,
      46,57,53,53,48,53,101,45,48,53,32,50,46,50,51,57,56,52,101,45,48,53,32,50,46,
      53,56,54,54,49,101,45,48,53,10,32,32,50,46,57,53,49,55,50,101,45,48,53,32,51,
      46,51,56,54,50,101,45,48,53,32,51,46,57,55,56,52,52,101,45,48,53,32,52,46,54,
      51,56,50,101,45,48,53,32,53,46,49,54,49,53,101,45,48,53,32,53,46,56,51,50,56,
      57,101,45,48,53,32,54,46,54,56,54,48,51,101,45,48,53,10,32,32,55,46,54,51,50,
      52,53,101,45,48,53,32,56,46,54,55,49,52,53,101,45,48,53,32,57,46,56,51,52,56,
      54,101,45,48,53,32,46,48,48,48,49,48,57,55,57,53,32,46,48,48,48,49,50,50,48,
      49,49,32,46,48,48,48,49,51,54,56,52,50,32,46,48,48,48,49,53,54,53,57,52,10,
      32,32,46,48,48,48,49,55,53,50,54,51,32,46,48,48,48,49,57,51,52,48,53,32,46,
      48,48,48,50,48,55,53,53,49,32,46,48,48,48,50,50,49,55,51,53,32,46,48,48,48,
      50,51,57,54,49,54,32,46,48,48,48,50,53,53,50,55,55,32,46,48,48,48,50,54,56,
      53,49,57,32,46,48,48,48,50,55,56,49,49,51,10,32,32,46,48,48,48,50,56,56,53,
      56,51,32,46,48,48,48,50,57,53,51,50,32,46,48,48,48,50,57,56,51,57,32,46,48,
      48,48,50,57,56,48,48,49,32,46,48,48,48,50,57,52,54,52,54,32,46,48,48,48,50,
      56,56,54,52,52,32,46,48,48,48,50,55,57,49,54,53,32,46,48,48,48,50,54,56,49,
      56,10,32,32,46,48,48,48,50,53,56,57,56,52,32,46,48,48,48,50,51,57,54,51,56,
      32,46,48,48,48,50,49,57,55,49,52,32,46,48,48,48,50,48,48,50,57,50,32,46,48,
      48,48,49,55,57,48,48,49,32,46,48,48,48,49,54,48,49,54,53,32,46,48,48,48,49,
      52,48,54,50,51,32,46,48,48,48,49,50,51,48,52,50,10,32,32,46,48,48,48,49,48,
      55,53,52,32,57,46,52,49,48,49,57,101,45,48,53,32,56,46,48,55,51,48,50,101,45,
      48,53,32,55,46,49,57,53,55,57,101,45,48,53,32,54,46,52,48,49,53,54,101,45,48,
      53,32,53,46,50,53,56,54,53,101,45,48,53,32,52,46,54,53,48,51,54,101,45,48,53,
      10,32,32,51,46,56,49,56,55,53,101,45,48,53,32,51,46,48,56,54,56,55,101,45,48,
      53,32,50,46,55,49,49,56,101,45,48,53,32,50,46,51,55,56,49,50,101,45,48,53,32,
      49,46,57,50,54,56,57,101,45,48,53,32,49,46,53,50,50,50,50,101,45,48,53,32,49,
      46,51,51,51,52,56,101,45,48,53,10,32,32,49,46,48,55,52,55,50,101,45,48,53,32,
      57,46,52,49,49,57,49,101,45,48,54,32,55,46,53,55,52,56,49,101,45,48,54,32,54,
      46,51,52,48,56,101,45,48,54,32,52,46,56,55,50,56,52,101,45,48,54,32,52,46,51,
      54,55,48,56,101,45,48,54,32,51,46,53,51,51,51,49,101,45,48,54,10,32,32,50,46,
      55,57,49,54,52,101,45,48,54,32,50,46,50,57,49,53,50,101,45,48,54,32,49,46,56,
      55,57,50,57,101,45,48,54,32,49,46,53,53,57,56,101,45,48,54,32,49,46,50,57,55,
      52,51,101,45,48,54,32,49,46,48,53,55,48,55,101,45,48,54,32,56,46,56,48,54,54,
      52,101,45,48,55,10,32,32,55,46,49,57,54,54,54,101,45,48,55,32,54,46,50,48,48,
      57,101,45,48,55,32,52,46,56,54,48,52,51,101,45,48,55,32,52,46,49,56,52,54,101,
      45,48,55,32,51,46,52,55,50,56,51,101,45,48,55,32,50,46,50,52,54,53,50,101,45,
      48,55,32,49,46,50,50,57,57,54,101,45,48,55,10,32,32,54,46,56,49,51,53,101,45,
      48,56,32,51,46,50,52,53,48,55,101,45,48,56,32,49,46,53,52,48,53,57,101,45,48,
      56,32,54,46,50,55,55,50,49,101,45,48,57,32,51,46,53,55,53,50,53,101,45,48,57,
      32,53,46,50,51,51,54,101,45,48,57,32,50,46,48,56,51,51,101,45,48,57,10,32,32,
      49,46,48,56,57,51,54,101,45,48,57,32,53,46,50,55,57,51,101,45,49,48,32,50,46,
      48,48,57,57,101,45,49,48,32,56,46,54,51,53,48,56,101,45,49,49,32,51,46,55,49,
      48,53,50,101,45,49,49,32,49,46,52,49,51,53,49,101,45,49,49,32,53,46,51,56,53,
      52,49,101,45,49,50,10,32,32,50,46,51,49,52,56,54,101,45,49,50,32,57,46,57,53,
      50,49,52,101,45,49,51,32,52,46,50,52,57,51,49,101,45,49,51,32,49,46,54,49,57,
      53,51,101,45,49,51,32,53,46,52,55,50,57,57,101,45,49,52,32,49,46,54,52,48,48,
      55,101,45,49,52,32,53,46,53,52,53,57,50,101,45,49,53,10,32,32,49,46,54,54,50,
      52,55,101,45,49,53,32,53,46,54,50,52,56,101,45,49,54,32,49,46,57,48,51,53,55,
      101,45,49,54,32,53,46,55,49,50,49,57,101,45,49,55,32,49,46,53,55,50,49,53,101,
      45,49,55,32,53,46,56,48,53,49,49,101,45,49,56,32,49,46,56,51,51,53,50,101,45,
      49,56,10,32,32,54,46,54,53,57,48,51,101,45,49,57,32,50,46,50,53,54,48,55,101,
      45,49,57,32,55,46,54,52,52,56,56,101,45,50,48,32,50,46,53,56,52,55,53,101,45,
      50,48,32,56,46,55,54,49,49,56,101,45,50,49,32,50,46,57,52,49,52,55,101,45,50,
      49,32,57,46,57,54,57,49,50,101,45,50,50,10,32,32,51,46,51,55,57,49,54,101,45,
      50,50,32,55,46,52,51,51,53,50,101,45,50,51,32,48,114,52,57,32,57,46,54,53,48,
      52,52,101,45,49,54,32,49,46,55,49,53,51,56,101,45,49,53,32,51,46,48,52,57,55,
      56,101,45,49,53,32,53,46,52,50,49,54,56,101,45,49,53,32,57,46,54,51,56,53,53,
      101,45,49,53,10,32,32,49,46,55,49,51,53,52,101,45,49,52,32,51,46,48,52,54,51,
      55,101,45,49,52,32,53,46,52,49,53,55,49,101,45,49,52,32,57,46,54,50,55,50,54,
      101,45,49,52,32,49,46,55,49,49,53,49,101,45,49,51,32,51,46,48,52,50,56,57,101,
      45,49,51,32,53,46,52,48,57,50,50,101,45,49,51,10,32,32,57,46,54,49,54,56,55,
      101,45,49,51,32,49,46,55,48,57,54,51,101,45,49,50,32,51,46,48,51,57,49,56,101,
      45,49,50,32,53,46,52,48,50,55,53,101,45,49,50,32,57,46,54,48,52,50,54,101,45,
      49,50,32,50,46,49,54,48,54,54,101,45,49,49,32,54,46,48,48,48,48,55,101,45,49,
      49,10,32,32,49,46,49,55,53,54,54,101,45,49,48,32,50,46,51,57,56,50,101,45,49,
      48,32,52,46,54,57,55,53,55,101,45,49,48,32,57,46,53,55,56,48,53,101,45,49,48,
      32,50,46,49,53,49,55,55,101,45,48,57,32,53,46,57,53,57,48,52,101,45,48,57,32,
      49,46,49,54,52,52,55,101,45,48,56,10,32,32,50,46,51,54,53,56,55,101,45,48,56,
      32,52,46,54,48,57,56,49,101,45,48,56,32,57,46,51,50,53,56,50,101,45,48,56,32,
      49,46,52,52,54,54,57,101,45,48,55,32,50,46,48,54,56,52,101,45,48,55,32,51,46,
      54,50,53,54,49,101,45,48,55,32,53,46,53,56,54,56,52,101,45,48,55,10,32,32,55,
      46,57,51,53,54,53,101,45,48,55,32,57,46,50,53,48,55,56,101,45,48,55,32,49,46,
      48,54,53,54,55,101,45,48,54,32,49,46,50,49,53,50,101,45,48,54,32,49,46,51,55,
      51,52,55,101,45,48,54,32,49,46,53,52,48,51,49,101,45,48,54,32,49,46,55,49,53,
      53,55,101,45,48,54,10,32,32,49,46,56,57,57,48,55,101,45,48,54,32,50,46,48,57,
      48,54,52,101,45,48,54,32,50,46,50,57,48,49,53,101,45,48,54,32,50,46,52,57,55,
      52,50,101,45,48,54,32,50,46,55,53,54,50,50,101,45,48,54,32,51,46,48,50,53,55,
      51,101,45,48,54,32,51,46,52,48,49,51,52,101,45,48,54,10,32,32,51,46,55,57,53,
      48,53,101,45,48,54,32,52,46,50,48,54,51,49,101,45,48,54,32,52,46,55,52,52,51,
      49,101,45,48,54,32,53,46,51,48,56,48,49,101,45,48,54,32,53,46,56,57,54,52,51,
      101,45,48,54,32,54,46,54,51,51,57,54,101,45,48,54,32,55,46,52,48,52,53,49,101,
      45,48,54,10,32,32,56,46,52,56,48,57,50,101,45,48,54,32,57,46,54,49,48,53,50,
      101,45,48,54,32,49,46,48,55,57,48,55,101,45,48,53,32,49,46,50,49,55,53,53,101,
      45,48,53,32,49,46,51,55,56,49,50,101,45,48,53,32,49,46,53,54,50,52,101,45,48,
      53,32,49,46,55,55,49,57,53,101,45,48,53,10,32,32,50,46,48,48,56,51,54,101,45,
      48,53,32,50,46,50,57,50,51,51,101,45,48,53,32,50,46,53,56,55,52,101,45,48,53,
      32,50,46,57,51,52,49,101,45,48,53,32,51,46,52,48,48,52,49,101,45,48,53,32,51,
      46,57,49,51,48,55,101,45,48,53,32,52,46,51,49,53,53,53,101,45,48,53,10,32,32,
      52,46,56,50,55,55,50,101,45,48,53,32,53,46,52,55,51,50,57,101,45,48,53,32,54,
      46,49,56,52,51,49,101,45,48,53,32,54,46,57,54,48,57,49,101,45,48,53,32,55,46,
      56,50,55,54,55,101,45,48,53,32,56,46,54,55,57,51,101,45,48,53,32,57,46,53,56,
      56,54,56,101,45,48,53,10,32,32,46,48,48,48,49,48,54,57,53,53,32,46,48,48,48,
      49,50,49,55,54,54,32,46,48,48,48,49,51,53,56,56,32,46,48,48,48,49,52,57,55,
      51,54,32,46,48,48,48,49,54,48,54,53,52,32,46,48,48,48,49,55,49,55,50,52,32,
      46,48,48,48,49,56,53,56,57,49,32,46,48,48,48,49,57,56,53,52,56,10,32,32,46,
      48,48,48,50,48,57,53,48,55,32,46,48,48,48,50,49,55,54,55,32,46,48,48,48,50,
      50,54,57,53,57,32,46,48,48,48,50,51,51,52,53,55,32,46,48,48,48,50,51,55,49,
      54,57,32,46,48,48,48,50,51,56,48,55,56,32,46,48,48,48,50,51,54,54,51,53,32,
      46,48,48,48,50,51,51,48,50,50,10,32,32,46,48,48,48,50,50,54,54,55,49,32,46,
      48,48,48,50,49,56,56,57,56,32,46,48,48,48,50,49,50,49,57,56,32,46,48,48,48,
      49,57,55,55,51,56,32,46,48,48,48,49,56,50,52,56,50,32,46,48,48,48,49,54,55,
      51,52,49,32,46,48,48,48,49,53,48,52,57,49,32,46,48,48,48,49,51,53,51,57,50,
      10,32,32,46,48,48,48,49,49,57,53,53,51,32,46,48,48,48,49,48,53,49,54,32,57,
      46,50,51,53,55,56,101,45,48,53,32,56,46,49,49,55,52,53,101,45,48,53,32,54,46,
      57,57,54,53,49,101,45,48,53,32,54,46,50,53,54,53,50,101,45,48,53,32,53,46,53,
      56,51,51,50,101,45,48,53,10,32,32,52,46,54,48,56,57,53,101,45,48,53,32,52,46,
      48,56,55,52,52,101,45,48,53,32,51,46,51,55,48,57,50,101,45,48,53,32,50,46,55,
      51,54,53,56,101,45,48,53,32,50,46,52,48,57,57,55,101,45,48,53,32,50,46,49,49,
      56,52,54,101,45,48,53,32,49,46,55,50,50,54,57,101,45,48,53,10,32,32,49,46,51,
      54,54,48,50,101,45,48,53,32,49,46,49,57,57,48,52,101,45,48,53,32,57,46,54,57,
      51,53,56,101,45,48,54,32,56,46,53,48,52,53,50,101,45,48,54,32,54,46,56,54,51,
      56,54,101,45,48,54,32,53,46,55,53,56,50,55,101,45,48,54,32,52,46,52,51,56,55,
      55,101,45,48,54,10,32,32,51,46,57,56,50,57,50,101,45,48,54,32,51,46,50,50,57,
      56,49,101,45,48,54,32,50,46,53,53,55,57,54,101,45,48,54,32,50,46,49,48,51,55,
      101,45,48,54,32,49,46,55,50,56,52,50,101,45,48,54,32,49,46,52,51,54,57,52,101,
      45,48,54,32,49,46,49,57,55,49,50,101,45,48,54,10,32,32,57,46,55,54,57,55,101,
      45,48,55,32,56,46,49,53,49,48,54,101,45,48,55,32,54,46,54,55,49,49,52,101,45,
      48,55,32,53,46,55,53,52,51,53,101,45,48,55,32,52,46,53,49,56,49,53,101,45,48,
      55,32,51,46,56,57,51,56,54,101,45,48,55,32,51,46,50,51,53,53,49,101,45,48,55,
      10,32,32,50,46,48,57,56,54,56,101,45,48,55,32,49,46,49,53,50,57,53,101,45,48,
      55,32,54,46,52,48,54,49,57,101,45,48,56,32,51,46,48,54,49,53,54,101,45,48,56,
      32,49,46,52,53,55,57,56,101,45,48,56,32,53,46,57,54,48,51,51,101,45,48,57,32,
      51,46,55,51,57,54,51,101,45,48,57,10,32,32,52,46,55,55,50,49,51,101,45,48,57,
      32,49,46,57,48,50,55,52,101,45,48,57,32,57,46,57,54,48,54,57,101,45,49,48,32,
      52,46,56,51,50,48,51,101,45,49,48,32,49,46,56,52,49,56,53,101,45,49,48,32,55,
      46,57,50,48,56,56,101,45,49,49,32,51,46,52,48,54,55,53,101,45,49,49,10,32,32,
      49,46,50,57,57,48,54,101,45,49,49,32,52,46,57,53,52,53,51,101,45,49,50,32,50,
      46,49,51,49,54,52,101,45,49,50,32,57,46,49,55,50,54,56,101,45,49,51,32,51,46,
      57,50,48,52,51,101,45,49,51,32,49,46,52,57,53,54,52,101,45,49,51,32,53,46,48,
      53,57,54,53,101,45,49,52,10,32,32,49,46,53,49,55,57,52,101,45,49,52,32,53,46,
      49,51,56,48,53,101,45,49,53,32,49,46,53,52,49,56,51,101,45,49,53,32,53,46,50,
      50,48,54,50,101,45,49,54,32,49,46,55,54,55,54,101,45,49,54,32,53,46,51,48,55,
      53,56,101,45,49,55,32,49,46,52,54,49,56,57,101,45,49,55,10,32,32,53,46,52,48,
      49,48,52,101,45,49,56,32,49,46,55,48,55,101,45,49,56,32,54,46,50,48,50,56,53,
      101,45,49,57,32,50,46,49,48,50,55,51,101,45,49,57,32,55,46,49,50,57,50,56,101,
      45,50,48,32,50,46,52,49,55,53,55,101,45,50,48,32,56,46,49,55,54,48,57,101,45,
      50,49,10,32,32,50,46,55,52,50,50,52,101,45,50,49,32,57,46,50,57,56,50,53,101,
      45,50,50,32,51,46,49,53,51,49,57,101,45,50,50,32,54,46,56,51,56,49,50,101,45,
      50,51,32,48,114,52,57,32,55,46,50,52,55,56,56,101,45,49,54,32,49,46,50,56,56,
      51,50,101,45,49,53,32,50,46,50,57,48,53,50,101,45,49,53,10,32,32,52,46,48,55,
      49,57,50,101,45,49,53,32,55,46,50,51,56,57,55,101,45,49,53,32,49,46,50,56,54,
      57,53,101,45,49,52,32,50,46,50,56,55,57,54,101,45,49,52,32,52,46,48,54,55,52,
      53,101,45,49,52,32,55,46,50,51,48,53,52,101,45,49,52,32,49,46,50,56,53,52,51,
      101,45,49,51,10,32,32,50,46,50,56,53,51,55,101,45,49,51,32,52,46,48,54,50,54,
      53,101,45,49,51,32,55,46,50,50,50,57,101,45,49,51,32,49,46,50,56,52,48,54,101,
      45,49,50,32,50,46,50,56,50,54,56,101,45,49,50,32,52,46,48,53,56,101,45,49,50,
      32,55,46,50,49,51,57,52,101,45,49,50,10,32,32,49,46,54,50,51,101,45,49,49,32,
      52,46,53,48,55,57,49,101,45,49,49,32,56,46,56,51,51,54,56,101,45,49,49,32,49,
      46,56,48,50,50,50,101,45,49,48,32,51,46,53,51,48,56,50,101,45,49,48,32,55,46,
      50,48,49,48,51,101,45,49,48,32,49,46,54,49,56,52,53,101,45,48,57,10,32,32,52,
      46,52,56,53,55,50,101,45,48,57,32,56,46,55,55,50,52,51,101,45,48,57,32,49,46,
      55,56,52,50,56,101,45,48,56,32,51,46,52,56,49,52,57,101,45,48,56,32,55,46,48,
      53,55,48,56,101,45,48,56,32,49,46,48,57,54,52,51,101,45,48,55,32,49,46,53,54,
      57,57,50,101,45,48,55,10,32,32,50,46,55,53,57,51,54,101,45,48,55,32,52,46,50,
      54,50,54,49,101,45,48,55,32,54,46,48,54,56,53,52,101,45,48,55,32,55,46,48,56,
      49,54,49,101,45,48,55,32,56,46,49,54,54,51,52,101,45,48,55,32,57,46,51,50,49,
      52,101,45,48,55,32,49,46,48,53,52,53,53,101,45,48,54,10,32,32,49,46,49,56,51,
      55,53,101,45,48,54,32,49,46,51,49,57,54,101,45,48,54,32,49,46,52,54,49,57,57,
      101,45,48,54,32,49,46,54,49,48,55,57,101,45,48,54,32,49,46,55,54,53,56,57,101,
      45,48,54,32,49,46,57,50,55,49,56,101,45,48,54,32,50,46,49,50,56,55,51,101,45,
      48,54,10,32,32,50,46,51,51,56,56,51,101,45,48,54,32,50,46,54,51,49,57,52,101,
      45,48,54,32,50,46,57,51,57,52,57,101,45,48,54,32,51,46,50,54,49,48,54,101,45,
      48,54,32,51,46,54,56,50,49,50,101,45,48,54,32,52,46,49,50,51,54,53,101,45,48,
      54,32,52,46,53,56,52,57,54,101,45,48,54,10,32,32,53,46,49,54,51,53,57,101,45,
      48,54,32,53,46,55,54,56,53,50,101,45,48,54,32,54,46,54,49,52,48,51,101,45,48,
      54,32,55,46,53,48,49,53,52,101,45,48,54,32,56,46,52,50,56,57,53,101,45,48,54,
      32,57,46,53,49,55,49,50,101,45,48,54,32,49,46,48,55,55,56,53,101,45,48,53,10,
      32,32,49,46,50,50,50,53,50,101,45,48,53,32,49,46,51,56,54,57,101,45,48,53,32,
      49,46,53,55,50,49,49,101,45,48,53,32,49,46,55,57,52,49,56,101,45,48,53,32,50,
      46,48,50,52,52,53,101,45,48,53,32,50,46,50,57,52,51,52,101,45,48,53,32,50,46,
      54,53,54,49,101,45,48,53,10,32,32,51,46,48,53,50,51,55,101,45,48,53,32,51,46,
      51,54,50,52,50,101,45,48,53,32,51,46,55,53,53,55,50,101,45,48,53,32,52,46,50,
      52,57,54,51,101,45,48,53,32,52,46,55,57,49,55,54,101,45,48,53,32,53,46,51,56,
      49,57,50,101,45,48,53,32,54,46,48,51,56,56,101,45,48,53,10,32,32,54,46,54,56,
      51,49,49,101,45,48,53,32,55,46,51,55,48,54,49,101,45,48,53,32,56,46,50,48,55,
      53,56,101,45,48,53,32,57,46,51,51,48,53,54,101,45,48,53,32,46,48,48,48,49,48,
      52,48,53,52,32,46,48,48,48,49,49,52,54,55,51,32,46,48,48,48,49,50,51,49,48,
      52,10,32,32,46,48,48,48,49,51,49,55,50,49,32,46,48,48,48,49,52,50,56,56,32,
      46,48,48,48,49,53,51,48,49,49,32,46,48,48,48,49,54,49,57,53,55,32,46,48,48,
      48,49,54,56,55,55,49,32,46,48,48,48,49,55,54,55,57,32,46,48,48,48,49,56,50,
      55,53,56,32,46,48,48,48,49,56,54,54,52,53,10,32,32,46,48,48,48,49,56,56,50,
      57,56,32,46,48,48,48,49,56,56,49,50,52,32,46,48,48,48,49,56,54,50,48,55,32,
      46,48,48,48,49,56,50,49,55,52,32,46,48,48,48,49,55,54,56,53,55,32,46,48,48,
      48,49,55,50,49,48,53,32,46,48,48,48,49,54,49,53,50,54,32,46,48,48,48,49,53,
      48,48,52,56,10,32,32,46,48,48,48,49,51,56,52,51,32,46,48,48,48,49,50,53,50,
      56,57,32,46,48,48,48,49,49,51,51,53,51,32,46,48,48,48,49,48,48,54,56,49,32,
      56,46,57,48,52,49,54,101,45,48,53,32,55,46,56,53,57,50,57,101,45,48,53,32,54,
      46,57,51,57,49,51,101,45,48,53,32,54,46,48,48,57,56,52,101,45,48,53,10,32,32,
      53,46,51,57,50,52,56,101,45,48,53,32,52,46,56,50,55,57,57,101,45,48,53,32,52,
      46,48,48,53,56,50,101,45,48,53,32,51,46,53,54,51,49,51,101,45,48,53,32,50,46,
      57,53,49,54,53,101,45,48,53,32,50,46,52,48,54,57,50,101,45,48,53,32,50,46,49,
      50,53,48,57,101,45,48,53,10,32,32,49,46,56,55,50,54,56,101,45,48,53,32,49,46,
      53,50,56,53,54,101,45,48,53,32,49,46,50,49,54,56,55,101,45,48,53,32,49,46,48,
      55,48,51,54,101,45,48,53,32,56,46,54,56,49,51,56,101,45,48,54,32,55,46,54,51,
      48,57,55,101,45,48,54,32,54,46,49,55,55,49,53,101,45,48,54,10,32,32,53,46,49,
      57,52,49,55,101,45,48,54,32,52,46,48,49,54,57,101,45,48,54,32,51,46,54,48,57,
      48,49,101,45,48,54,32,50,46,57,51,51,54,50,101,45,48,54,32,50,46,51,50,57,50,
      52,101,45,48,54,32,49,46,57,49,57,52,54,101,45,48,54,32,49,46,53,56,48,49,49,
      101,45,48,54,10,32,32,49,46,51,49,53,57,53,101,45,48,54,32,49,46,48,57,56,49,
      52,101,45,48,54,32,56,46,57,55,55,57,53,101,45,48,55,32,55,46,53,48,49,57,51,
      101,45,48,55,32,54,46,49,52,57,56,54,101,45,48,55,32,53,46,51,49,48,56,53,101,
      45,48,55,32,52,46,49,55,55,53,49,101,45,48,55,10,32,32,51,46,54,48,52,49,55,
      101,45,48,55,32,50,46,57,57,56,55,101,45,48,55,32,49,46,57,53,48,54,56,101,
      45,48,55,32,49,46,48,55,53,53,53,101,45,48,55,32,53,46,57,57,53,54,51,101,45,
      48,56,32,50,46,56,55,53,56,57,101,45,48,56,32,49,46,51,55,52,48,55,101,45,48,
      56,10,32,32,53,46,54,51,55,50,49,101,45,48,57,32,51,46,57,56,53,57,57,101,45,
      48,57,32,52,46,51,50,57,50,49,101,45,48,57,32,49,46,55,50,56,55,50,101,45,48,
      57,32,57,46,48,53,56,53,101,45,49,48,32,52,46,51,57,57,54,53,101,45,49,48,32,
      49,46,54,55,57,52,52,101,45,49,48,10,32,32,55,46,50,51,48,54,56,101,45,49,49,
      32,51,46,49,49,51,50,52,101,45,49,49,32,49,46,49,56,56,53,49,101,45,49,49,32,
      52,46,53,51,55,56,57,101,45,49,50,32,49,46,57,53,52,50,49,101,45,49,50,32,56,
      46,52,49,53,52,52,101,45,49,51,32,51,46,53,57,57,55,57,101,45,49,51,10,32,32,
      49,46,51,55,52,51,57,101,45,49,51,32,52,46,54,53,51,51,54,101,45,49,52,32,49,
      46,51,57,55,50,56,101,45,49,52,32,52,46,55,51,51,50,49,101,45,49,53,32,49,46,
      52,50,49,52,50,101,45,49,53,32,52,46,56,49,54,48,54,101,45,49,54,32,49,46,54,
      51,50,49,51,101,45,49,54,10,32,32,52,46,57,48,53,55,55,101,45,49,55,32,49,46,
      51,53,50,54,54,101,45,49,55,32,53,46,48,48,49,53,53,101,45,49,56,32,49,46,53,
      56,50,50,49,101,45,49,56,32,53,46,55,53,51,57,101,45,49,57,32,49,46,57,53,50,
      50,101,45,49,57,32,54,46,54,50,52,53,53,101,45,50,48,10,32,32,50,46,50,52,56,
      50,57,101,45,50,48,32,55,46,54,48,53,50,50,101,45,50,49,32,50,46,53,52,54,55,
      53,101,45,50,49,32,56,46,54,51,55,50,51,101,45,50,50,32,50,46,57,50,57,54,51,
      101,45,50,50,32,54,46,50,54,57,48,51,101,45,50,51,32,48,114,52,57,32,52,46,
      55,49,51,48,51,101,45,49,54,10,32,32,56,46,51,55,55,52,55,101,45,49,54,32,49,
      46,52,56,57,52,52,101,45,49,53,32,50,46,54,52,55,56,50,101,45,49,53,32,52,46,
      55,48,55,50,51,101,45,49,53,32,56,46,51,54,56,53,53,101,45,49,53,32,49,46,52,
      56,55,55,56,101,45,49,52,32,50,46,54,52,52,57,50,101,45,49,52,10,32,32,52,46,
      55,48,49,55,54,101,45,49,52,32,56,46,51,53,56,54,57,101,45,49,52,32,49,46,52,
      56,54,49,101,45,49,51,32,50,46,54,52,49,56,101,45,49,51,32,52,46,54,57,54,56,
      50,101,45,49,51,32,56,46,51,52,57,56,53,101,45,49,51,32,49,46,52,56,52,51,54,
      101,45,49,50,10,32,32,50,46,54,51,56,56,50,101,45,49,50,32,52,46,54,57,49,49,
      101,45,49,50,32,49,46,48,53,53,52,50,101,45,49,49,32,50,46,57,51,50,48,53,101,
      45,49,49,32,53,46,55,52,53,57,101,45,49,49,32,49,46,49,55,50,51,52,101,45,49,
      48,32,50,46,50,57,55,48,50,101,45,49,48,10,32,32,52,46,54,56,53,52,52,101,45,
      49,48,32,49,46,48,53,51,51,52,101,45,48,57,32,50,46,57,50,49,48,49,101,45,48,
      57,32,53,46,55,49,53,54,101,45,48,57,32,49,46,49,54,51,53,52,101,45,48,56,32,
      50,46,50,55,50,57,55,101,45,48,56,32,52,46,54,49,53,55,56,101,45,48,56,10,32,
      32,55,46,49,56,50,53,54,101,45,48,56,32,49,46,48,51,48,48,54,101,45,48,55,32,
      49,46,56,49,54,51,50,101,45,48,55,32,50,46,56,49,53,101,45,48,55,32,52,46,48,
      50,48,56,54,101,45,48,55,32,52,46,54,57,57,56,54,101,45,48,55,32,53,46,52,50,
      56,55,53,101,45,48,55,10,32,32,54,46,50,48,54,56,56,101,45,48,55,32,55,46,48,
      51,51,54,51,101,45,48,55,32,55,46,57,48,56,52,101,45,48,55,32,56,46,56,51,48,
      53,54,101,45,48,55,32,57,46,55,57,57,53,51,101,45,48,55,32,49,46,48,56,49,52,
      55,101,45,48,54,32,49,46,49,56,55,53,53,101,45,48,54,10,32,32,49,46,50,57,56,
      49,51,101,45,48,54,32,49,46,52,51,54,54,56,101,45,48,54,32,49,46,53,56,49,53,
      52,101,45,48,54,32,49,46,55,56,52,51,50,101,45,48,54,32,49,46,57,57,55,57,101,
      45,48,54,32,50,46,50,50,50,48,53,101,45,48,54,32,50,46,53,49,54,55,56,101,45,
      48,54,10,32,32,50,46,56,50,55,50,54,101,45,48,54,32,51,46,49,53,51,48,56,101,
      45,48,54,32,51,46,53,54,51,55,53,101,45,48,54,32,51,46,57,57,53,50,56,101,45,
      48,54,32,52,46,54,48,49,56,54,101,45,48,54,32,53,46,50,52,50,55,56,101,45,48,
      54,32,53,46,57,49,54,53,53,101,45,48,54,10,32,32,54,46,55,49,50,48,55,101,45,
      48,54,32,55,46,54,52,48,51,51,101,45,48,54,32,56,46,55,49,50,52,49,101,45,48,
      54,32,57,46,57,51,57,51,101,45,48,54,32,49,46,49,51,51,49,53,101,45,48,53,32,
      49,46,51,48,49,51,54,101,45,48,53,32,49,46,52,55,55,48,53,101,45,48,53,10,32,
      32,49,46,54,56,52,52,52,101,45,48,53,32,49,46,57,54,52,54,49,101,45,48,53,32,
      50,46,50,55,51,55,56,101,45,48,53,32,50,46,53,49,55,49,52,101,45,48,53,32,50,
      46,56,50,55,51,55,101,45,48,53,32,51,46,50,49,57,48,50,101,45,48,53,32,51,46,
      54,53,49,101,45,48,53,10,32,32,52,46,49,50,51,51,101,45,48,53,32,52,46,54,53,
      49,101,45,48,53,32,53,46,49,55,48,50,54,101,45,48,53,32,53,46,55,50,53,55,54,
      101,45,48,53,32,54,46,52,48,51,57,53,101,45,48,53,32,55,46,51,49,54,56,49,101,
      45,48,53,32,56,46,49,57,52,49,53,101,45,48,53,10,32,32,57,46,48,54,52,56,57,
      101,45,48,53,32,57,46,55,53,57,53,57,101,45,48,53,32,46,48,48,48,49,48,52,55,
      51,52,32,46,48,48,48,49,49,52,48,52,53,32,46,48,48,48,49,50,50,53,56,55,32,
      46,48,48,48,49,51,48,50,50,54,32,46,48,48,48,49,51,54,49,51,51,32,46,48,48,
      48,49,52,51,50,52,50,10,32,32,46,48,48,48,49,52,56,55,52,54,32,46,48,48,48,
      49,53,50,54,48,57,32,46,48,48,48,49,53,52,54,49,56,32,46,48,48,48,49,53,53,
      49,52,52,32,46,48,48,48,49,53,52,50,49,56,32,46,48,48,48,49,53,49,53,57,52,
      32,46,48,48,48,49,52,55,56,48,57,32,46,48,48,48,49,52,52,50,57,49,10,32,32,
      46,48,48,48,49,51,54,50,49,55,32,46,48,48,48,49,50,55,50,50,52,32,46,48,48,
      48,49,49,55,57,53,54,32,46,48,48,48,49,48,55,51,50,49,32,57,46,55,53,52,52,
      50,101,45,48,53,32,56,46,55,48,54,48,54,101,45,48,53,32,55,46,55,51,52,50,101,
      45,48,53,32,54,46,56,53,52,56,53,101,45,48,53,10,32,32,54,46,48,55,53,49,55,
      101,45,48,53,32,53,46,50,56,50,54,54,101,45,48,53,32,52,46,55,53,51,51,101,
      45,48,53,32,52,46,50,54,55,50,101,45,48,53,32,51,46,53,53,53,53,55,101,45,48,
      53,32,51,46,49,55,48,52,57,101,45,48,53,32,50,46,54,51,54,50,49,101,45,48,53,
      10,32,32,50,46,49,53,55,55,52,101,45,48,53,32,49,46,57,48,57,49,55,101,45,48,
      53,32,49,46,54,56,53,57,49,101,45,48,53,32,49,46,51,56,48,52,55,101,45,48,53,
      32,49,46,49,48,50,54,49,101,45,48,53,32,57,46,55,49,53,53,55,101,45,48,54,32,
      55,46,57,48,49,53,50,101,45,48,54,10,32,32,54,46,57,53,54,53,55,101,45,48,54,
      32,53,46,54,52,53,51,50,101,45,48,54,32,52,46,55,53,54,50,50,101,45,48,54,32,
      51,46,54,56,56,50,56,101,45,48,54,32,51,46,51,49,55,51,53,101,45,48,54,32,50,
      46,55,48,49,57,57,101,45,48,54,32,50,46,49,52,57,57,50,101,45,48,54,10,32,32,
      49,46,55,55,52,55,49,101,45,48,54,32,49,46,52,54,51,51,52,101,45,48,54,32,49,
      46,50,50,48,53,49,101,45,48,54,32,49,46,48,49,57,57,51,101,45,48,54,32,56,46,
      51,53,49,48,52,101,45,48,55,32,54,46,57,56,55,48,53,101,45,48,55,32,53,46,55,
      51,53,54,51,101,45,48,55,10,32,32,52,46,57,53,56,101,45,48,55,32,51,46,57,48,
      54,48,50,101,45,48,55,32,51,46,51,55,51,48,52,101,45,48,55,32,50,46,56,48,57,
      53,50,101,45,48,55,32,49,46,56,51,50,49,50,101,45,48,55,32,49,46,48,49,51,51,
      51,101,45,48,55,32,53,46,54,54,52,51,55,101,45,48,56,10,32,32,50,46,55,50,53,
      52,56,101,45,48,56,32,49,46,51,48,53,56,56,101,45,48,56,32,53,46,51,55,51,54,
      53,101,45,48,57,32,52,46,50,52,53,54,53,101,45,48,57,32,51,46,57,56,56,51,49,
      101,45,48,57,32,49,46,53,57,52,55,56,101,45,48,57,32,56,46,51,54,52,101,45,
      49,48,10,32,32,52,46,48,54,54,48,55,101,45,49,48,32,49,46,53,53,51,56,49,101,
      45,49,48,32,54,46,54,57,53,52,56,101,45,49,49,32,50,46,56,56,53,48,57,101,45,
      49,49,32,49,46,49,48,50,51,52,101,45,49,49,32,52,46,50,49,50,101,45,49,50,32,
      49,46,56,49,53,49,49,101,45,49,50,10,32,32,55,46,56,50,50,53,49,101,45,49,51,
      32,51,46,51,52,57,101,45,49,51,32,49,46,50,55,57,55,49,101,45,49,51,32,52,46,
      51,51,54,55,51,101,45,49,52,32,49,46,51,48,51,51,57,101,45,49,52,32,52,46,52,
      49,55,55,52,101,45,49,53,32,49,46,51,50,55,51,56,101,45,49,53,10,32,32,52,46,
      53,48,48,50,54,101,45,49,54,32,49,46,53,50,54,48,51,101,45,49,54,32,52,46,53,
      56,57,56,54,101,45,49,55,32,49,46,50,54,54,52,49,101,45,49,55,32,52,46,54,56,
      53,48,52,101,45,49,56,32,49,46,52,56,50,56,56,101,45,49,56,32,53,46,51,57,52,
      56,55,101,45,49,57,10,32,32,49,46,56,51,48,56,52,101,45,49,57,32,54,46,50,49,
      52,51,52,101,45,50,48,32,50,46,49,48,57,54,49,101,45,50,48,32,55,46,49,51,53,
      54,51,101,45,50,49,32,50,46,51,56,54,57,54,101,45,50,49,32,56,46,49,48,48,57,
      49,101,45,50,50,32,50,46,55,52,57,54,50,101,45,50,50,10,32,32,53,46,56,51,48,
      57,53,101,45,50,51,32,48,114,52,57,32,50,46,54,54,56,52,101,45,49,54,32,52,
      46,55,52,51,49,49,101,45,49,54,32,56,46,52,51,50,56,51,101,45,49,54,32,49,46,
      52,57,57,49,51,101,45,49,53,32,50,46,54,54,53,49,50,101,45,49,53,32,52,46,55,
      51,56,48,55,101,45,49,53,10,32,32,56,46,52,50,51,52,53,101,45,49,53,32,49,46,
      52,57,55,52,57,101,45,49,52,32,50,46,54,54,50,48,52,101,45,49,52,32,52,46,55,
      51,50,53,50,101,45,49,52,32,56,46,52,49,52,48,50,101,45,49,52,32,49,46,52,57,
      53,55,53,101,45,49,51,32,50,46,54,53,57,50,56,101,45,49,51,10,32,32,52,46,55,
      50,55,54,101,45,49,51,32,56,46,52,48,52,52,50,101,45,49,51,32,49,46,52,57,52,
      49,49,101,45,49,50,32,50,46,54,53,54,49,54,101,45,49,50,32,53,46,57,55,54,49,
      55,101,45,49,50,32,49,46,54,54,49,57,50,101,45,49,49,32,51,46,50,53,55,48,55,
      101,45,49,49,10,32,32,54,46,54,52,54,49,56,101,45,49,49,32,49,46,51,48,50,52,
      49,101,45,49,48,32,50,46,54,53,55,50,51,101,45,49,48,32,53,46,57,55,53,57,54,
      101,45,49,48,32,49,46,54,53,56,52,52,101,45,48,57,32,51,46,50,52,55,53,50,101,
      45,48,57,32,54,46,54,49,56,52,50,101,45,48,57,10,32,32,49,46,50,57,52,56,52,
      101,45,48,56,32,50,46,54,51,53,51,51,101,45,48,56,32,52,46,49,48,56,52,51,101,
      45,48,56,32,53,46,57,48,50,56,53,101,45,48,56,32,49,46,48,52,52,55,49,101,45,
      48,55,32,49,46,54,50,53,48,57,101,45,48,55,32,50,46,51,50,57,55,50,101,45,48,
      55,10,32,32,50,46,55,50,56,49,101,45,48,55,32,51,46,49,53,54,57,49,101,45,48,
      55,32,51,46,54,49,53,57,51,101,45,48,55,32,52,46,49,48,52,57,54,101,45,48,55,
      32,52,46,54,50,51,55,56,101,45,48,55,32,53,46,49,55,50,49,56,101,45,48,55,32,
      53,46,55,52,57,57,54,101,45,48,55,10,32,32,54,46,51,53,54,56,57,101,45,48,55,
      32,54,46,57,57,50,55,56,101,45,48,55,32,55,46,54,53,55,52,101,45,48,55,32,56,
      46,52,57,50,53,57,101,45,48,55,32,57,46,51,54,56,53,101,45,48,55,32,49,46,48,
      53,57,57,49,101,45,48,54,32,49,46,49,57,48,48,54,101,45,48,54,10,32,32,49,46,
      51,50,55,50,49,101,45,48,54,32,49,46,53,48,56,51,55,101,45,48,54,32,49,46,55,
      48,48,49,55,101,45,48,54,32,49,46,57,48,50,52,53,101,45,48,54,32,50,46,49,53,
      56,55,56,101,45,48,54,32,50,46,52,50,57,54,57,101,45,48,54,32,50,46,56,49,51,
      48,55,101,45,48,54,10,32,32,51,46,50,50,49,49,55,101,45,48,54,32,51,46,54,53,
      51,51,52,101,45,48,54,32,52,46,49,54,55,53,49,101,45,48,54,32,52,46,55,55,50,
      52,54,101,45,48,54,32,53,46,52,55,55,52,49,101,45,48,54,32,54,46,50,57,49,56,
      101,45,48,54,32,55,46,50,50,53,49,52,101,45,48,54,10,32,32,56,46,51,54,52,55,
      56,101,45,48,54,32,57,46,53,54,56,49,54,101,45,48,54,32,49,46,49,48,48,52,51,
      101,45,48,53,32,49,46,50,57,54,56,57,101,45,48,53,32,49,46,53,49,54,54,51,101,
      45,48,53,32,49,46,54,57,49,53,53,101,45,48,53,32,49,46,57,49,54,55,56,101,45,
      48,53,10,32,32,50,46,50,48,52,51,52,101,45,48,53,32,50,46,53,50,53,49,57,101,
      45,48,53,32,50,46,56,55,57,55,57,101,45,48,53,32,51,46,50,56,48,49,52,101,45,
      48,53,32,51,46,54,55,55,55,51,101,45,48,53,32,52,46,49,48,54,54,49,101,45,48,
      53,32,52,46,54,51,52,52,49,101,45,48,53,10,32,32,53,46,51,53,49,50,53,101,45,
      48,53,32,54,46,48,52,54,51,54,101,45,48,53,32,54,46,55,52,49,55,54,101,45,48,
      53,32,55,46,51,48,48,52,52,101,45,48,53,32,55,46,56,55,56,51,54,101,45,48,53,
      32,56,46,54,51,56,57,101,45,48,53,32,57,46,51,52,52,54,57,101,45,48,53,10,32,
      32,57,46,57,56,52,52,56,101,45,48,53,32,46,48,48,48,49,48,52,56,54,56,32,46,
      48,48,48,49,49,49,48,53,49,32,46,48,48,48,49,49,54,48,50,50,32,46,48,48,48,
      49,49,57,55,52,54,32,46,48,48,48,49,50,49,57,55,52,32,46,48,48,48,49,50,51,
      48,52,50,32,46,48,48,48,49,50,50,57,52,50,10,32,32,46,48,48,48,49,50,49,53,
      51,56,32,46,48,48,48,49,49,57,49,49,55,32,46,48,48,48,49,49,54,55,49,55,32,
      46,48,48,48,49,49,48,57,53,49,32,46,48,48,48,49,48,52,50,57,32,57,46,55,50,
      53,57,51,101,45,48,53,32,56,46,57,48,52,48,49,101,45,48,53,32,56,46,49,51,54,
      57,57,101,45,48,53,10,32,32,55,46,51,48,52,48,54,101,45,48,53,32,54,46,53,50,
      51,49,54,101,45,48,53,32,53,46,56,48,57,55,54,101,45,48,53,32,53,46,49,55,49,
      57,52,101,45,48,53,32,52,46,53,49,56,54,49,101,45,48,53,32,52,46,48,55,57,51,
      51,101,45,48,53,32,51,46,54,55,51,56,57,101,45,48,53,10,32,32,51,46,48,55,54,
      54,52,101,45,48,53,32,50,46,55,53,49,53,51,101,45,48,53,32,50,46,50,57,56,48,
      55,101,45,48,53,32,49,46,56,56,57,51,56,101,45,48,53,32,49,46,54,55,54,101,
      45,48,53,32,49,46,52,56,51,54,56,101,45,48,53,32,49,46,50,49,57,52,55,101,45,
      48,53,10,32,32,57,46,55,55,56,55,51,101,45,48,54,32,56,46,54,51,52,54,55,101,
      45,48,54,32,55,46,48,52,53,52,55,101,45,48,54,32,54,46,50,49,52,56,50,101,45,
      48,54,32,53,46,48,53,56,53,51,101,45,48,54,32,52,46,50,55,49,56,50,101,45,48,
      54,32,51,46,51,50,51,53,51,101,45,48,54,10,32,32,50,46,57,57,51,50,101,45,48,
      54,32,50,46,52,52,51,57,50,101,45,48,54,32,49,46,57,52,57,53,57,101,45,48,54,
      32,49,46,54,49,50,54,54,101,45,48,54,32,49,46,51,51,50,51,55,101,45,48,54,32,
      49,46,49,49,51,50,53,101,45,48,54,32,57,46,51,49,56,56,101,45,48,55,10,32,32,
      55,46,54,52,51,57,57,101,45,48,55,32,54,46,52,48,53,53,101,45,48,55,32,53,46,
      50,54,54,57,56,101,45,48,55,32,52,46,53,53,56,50,57,101,45,48,55,32,51,46,53,
      57,55,56,52,101,45,48,55,32,51,46,49,49,48,51,54,101,45,48,55,32,50,46,53,57,
      52,49,57,101,45,48,55,10,32,32,49,46,54,57,54,55,50,101,45,48,55,32,57,46,52,
      49,57,56,101,45,48,56,32,53,46,50,56,51,50,52,101,45,48,56,32,50,46,53,53,49,
      56,50,101,45,48,56,32,49,46,50,50,54,56,57,101,45,48,56,32,53,46,48,54,55,50,
      56,101,45,48,57,32,52,46,53,52,54,50,49,101,45,48,57,10,32,32,51,46,54,49,52,
      54,49,101,45,48,57,32,49,46,52,52,55,54,51,101,45,48,57,32,55,46,53,57,57,54,
      57,101,45,49,48,32,51,46,54,57,56,50,50,101,45,49,48,32,49,46,52,49,53,49,50,
      101,45,49,48,32,54,46,49,48,52,53,53,101,45,49,49,32,50,46,54,51,51,49,49,101,
      45,49,49,10,32,32,49,46,48,48,55,49,53,101,45,49,49,32,51,46,56,53,50,50,50,
      101,45,49,50,32,49,46,54,54,49,52,49,101,45,49,50,32,55,46,49,54,53,51,101,
      45,49,51,32,51,46,48,55,48,48,55,101,45,49,51,32,49,46,49,55,52,101,45,49,51,
      32,51,46,57,56,49,54,53,101,45,49,52,10,32,32,49,46,49,57,55,54,54,101,45,49,
      52,32,52,46,48,54,50,56,52,101,45,49,53,32,49,46,50,50,49,57,56,101,45,49,53,
      32,52,46,49,52,54,54,49,101,45,49,54,32,49,46,52,48,55,51,51,101,45,49,54,32,
      52,46,50,51,54,56,52,101,45,49,55,32,49,46,49,55,48,49,52,101,45,49,55,10,32,
      32,52,46,51,51,49,49,101,45,49,56,32,49,46,51,55,49,53,56,101,45,49,56,32,52,
      46,57,57,50,54,57,101,45,49,57,32,49,46,54,57,53,49,101,45,49,57,32,53,46,55,
      53,54,56,56,101,45,50,48,32,49,46,57,53,53,52,101,45,50,48,32,54,46,54,49,51,
      52,50,101,45,50,49,10,32,32,50,46,50,52,54,55,53,101,45,50,49,32,55,46,52,57,
      54,57,51,101,45,50,50,32,50,46,53,52,53,55,50,101,45,50,50,32,56,46,54,52,53,
      48,52,101,45,50,51,32,48,114,52,57,32,49,46,52,48,56,50,50,101,45,49,54,32,
      50,46,53,48,51,49,51,101,45,49,54,32,52,46,52,53,48,51,53,101,45,49,54,10,32,
      32,55,46,57,49,49,53,50,101,45,49,54,32,49,46,52,48,54,53,101,45,49,53,32,50,
      46,53,48,48,52,56,101,45,49,53,32,52,46,52,52,53,52,50,101,45,49,53,32,55,46,
      57,48,50,57,51,101,45,49,53,32,49,46,52,48,52,56,56,101,45,49,52,32,50,46,52,
      57,55,53,56,101,45,49,52,10,32,32,52,46,52,52,48,53,49,101,45,49,52,32,55,46,
      56,57,51,56,55,101,45,49,52,32,49,46,52,48,51,52,54,101,45,49,51,32,50,46,52,
      57,53,48,55,101,45,49,51,32,52,46,52,51,53,54,52,101,45,49,51,32,55,46,56,56,
      53,55,49,101,45,49,51,32,49,46,52,48,49,57,51,101,45,49,50,10,32,32,51,46,49,
      53,52,52,50,101,45,49,50,32,56,46,56,50,51,52,55,101,45,49,50,32,49,46,55,50,
      57,52,53,101,45,49,49,32,51,46,53,50,57,54,101,45,49,49,32,54,46,57,49,56,51,
      101,45,49,49,32,49,46,52,49,49,57,56,101,45,49,48,32,51,46,49,55,55,50,50,101,
      45,49,48,10,32,32,56,46,56,50,55,48,54,101,45,49,48,32,49,46,55,51,48,51,56,
      101,45,48,57,32,51,46,53,51,50,49,55,101,45,48,57,32,54,46,57,50,53,48,49,101,
      45,48,57,32,49,46,52,49,51,56,50,101,45,48,56,32,50,46,50,48,57,55,51,101,45,
      48,56,32,51,46,49,56,50,56,54,101,45,48,56,10,32,32,53,46,54,54,48,57,53,101,
      45,48,56,32,56,46,56,52,56,50,52,101,45,48,56,32,49,46,50,55,52,52,53,101,45,
      48,55,32,49,46,52,57,53,56,51,101,45,48,55,32,49,46,55,51,52,57,101,45,48,55,
      32,49,46,57,57,49,54,54,101,45,48,55,32,50,46,50,54,54,48,57,101,45,48,55,10,
      32,32,50,46,53,53,56,49,54,101,45,48,55,32,50,46,56,54,55,56,54,101,45,48,55,
      32,51,46,49,57,53,49,54,101,45,48,55,32,51,46,53,52,48,48,52,101,45,48,55,32,
      51,46,57,48,50,52,56,101,45,48,55,32,52,46,50,56,50,52,52,101,45,48,55,32,52,
      46,55,54,49,52,57,101,45,48,55,10,32,32,53,46,50,54,53,54,55,101,45,48,55,32,
      53,46,57,55,54,57,101,45,48,55,32,54,46,55,51,50,53,54,101,45,48,55,32,55,46,
      53,51,50,52,56,101,45,48,55,32,56,46,53,57,52,51,55,101,45,48,55,32,57,46,55,
      50,52,55,56,101,45,48,55,32,49,46,48,57,50,51,51,101,45,48,54,10,32,32,49,46,
      50,52,53,49,101,45,48,54,32,49,46,52,48,55,53,53,101,45,48,54,32,49,46,54,51,
      57,48,55,101,45,48,54,32,49,46,56,56,55,52,53,101,45,48,54,32,50,46,49,53,50,
      53,49,101,45,48,54,32,50,46,52,55,48,51,53,101,45,48,54,32,50,46,56,52,55,53,
      50,101,45,48,54,10,32,32,51,46,50,57,49,48,54,101,45,48,54,32,51,46,56,48,56,
      52,53,101,45,48,54,32,52,46,52,48,55,52,52,101,45,48,54,32,53,46,49,52,54,56,
      101,45,48,54,32,53,46,57,51,54,50,50,101,45,48,54,32,54,46,56,56,57,48,50,101,
      45,48,54,32,56,46,50,48,57,52,52,101,45,48,54,10,32,32,57,46,55,48,55,51,49,
      101,45,48,54,32,49,46,48,57,49,51,57,101,45,48,53,32,49,46,50,52,56,52,53,101,
      45,48,53,32,49,46,52,53,49,52,57,101,45,48,53,32,49,46,54,56,48,57,57,101,45,
      48,53,32,49,46,57,51,55,57,49,101,45,48,53,32,50,46,50,51,49,53,57,101,45,48,
      53,10,32,32,50,46,53,50,54,54,53,101,45,48,53,32,50,46,56,52,56,50,57,101,45,
      48,53,32,51,46,50,52,56,52,52,101,45,48,53,32,51,46,55,57,56,54,50,101,45,48,
      53,32,52,46,51,51,56,54,56,101,45,48,53,32,52,46,56,56,52,56,56,101,45,48,53,
      32,53,46,51,50,55,56,50,101,45,48,53,10,32,32,53,46,55,56,57,56,52,101,45,48,
      53,32,54,46,52,48,52,48,56,101,45,48,53,32,54,46,57,56,49,50,50,101,45,48,53,
      32,55,46,53,49,49,52,55,101,45,48,53,32,55,46,57,51,51,57,54,101,45,48,53,32,
      56,46,52,54,52,53,52,101,45,48,53,32,56,46,57,48,53,50,51,101,45,48,53,10,32,
      32,57,46,50,53,50,53,53,101,45,48,53,32,57,46,52,56,48,51,54,101,45,48,53,32,
      57,46,54,49,56,55,52,101,45,48,53,32,57,46,54,54,52,51,51,101,45,48,53,32,57,
      46,54,49,49,55,101,45,48,53,32,57,46,52,55,49,53,55,101,45,48,53,32,57,46,51,
      49,55,49,55,101,45,48,53,10,32,32,56,46,57,50,49,49,49,101,45,48,53,32,56,46,
      52,52,49,51,50,101,45,48,53,32,55,46,57,50,48,48,53,101,45,48,53,32,55,46,50,
      57,55,53,51,101,45,48,53,32,54,46,55,48,54,54,51,101,45,48,53,32,54,46,48,53,
      53,57,56,101,45,48,53,32,53,46,52,51,56,52,101,45,48,53,10,32,32,52,46,56,54,
      56,51,49,101,45,48,53,32,52,46,51,53,52,48,56,101,45,48,53,32,51,46,56,50,50,
      57,54,101,45,48,53,32,51,46,52,54,51,51,53,101,45,48,53,32,51,46,49,50,57,54,
      50,101,45,48,53,32,50,46,54,51,52,55,50,101,45,48,53,32,50,46,51,54,51,54,101,
      45,48,53,10,32,32,49,46,57,56,51,50,55,101,45,48,53,32,49,46,54,51,56,50,50,
      101,45,48,53,32,49,46,52,53,55,49,51,101,45,48,53,32,49,46,50,57,51,51,101,
      45,48,53,32,49,46,48,54,55,50,51,101,45,48,53,32,56,46,53,57,51,55,56,101,45,
      48,54,32,55,46,54,48,53,50,55,101,45,48,54,10,32,32,54,46,50,50,55,48,56,101,
      45,48,54,32,53,46,53,48,52,48,57,101,45,48,54,32,52,46,52,57,52,51,101,45,48,
      54,32,51,46,56,48,52,55,55,101,45,48,54,32,50,46,57,55,48,53,101,45,48,54,32,
      50,46,54,55,56,57,56,101,45,48,54,32,50,46,49,57,51,48,51,101,45,48,54,10,32,
      32,49,46,55,53,52,50,53,101,45,48,54,32,49,46,52,53,52,50,54,101,45,48,54,32,
      49,46,50,48,52,48,51,101,45,48,54,32,49,46,48,48,55,57,52,101,45,48,54,32,56,
      46,52,53,50,54,53,101,45,48,55,32,54,46,57,52,54,57,56,101,45,48,55,32,53,46,
      56,51,49,49,50,101,45,48,55,10,32,32,52,46,56,48,51,50,53,101,45,48,55,32,52,
      46,49,54,50,50,52,101,45,48,55,32,51,46,50,57,49,56,51,101,45,48,55,32,50,46,
      56,52,57,50,101,45,48,55,32,50,46,51,55,57,55,57,101,45,48,55,32,49,46,53,54,
      49,52,53,101,45,48,55,32,56,46,55,48,51,57,51,101,45,48,56,10,32,32,52,46,56,
      57,57,51,56,101,45,48,56,32,50,46,51,55,54,49,52,101,45,48,56,32,49,46,49,52,
      54,54,53,101,45,48,56,32,52,46,55,53,52,55,50,101,45,48,57,32,52,46,55,53,48,
      49,55,101,45,48,57,32,51,46,50,53,55,50,101,45,48,57,32,49,46,51,48,54,54,56,
      101,45,48,57,10,32,32,54,46,56,54,55,50,55,101,45,49,48,32,51,46,51,52,53,53,
      52,101,45,49,48,32,49,46,50,56,49,57,49,101,45,49,48,32,53,46,53,51,54,48,54,
      101,45,49,49,32,50,46,51,57,48,50,53,101,45,49,49,32,57,46,49,53,49,57,56,101,
      45,49,50,32,51,46,53,48,51,57,49,101,45,49,50,10,32,32,49,46,53,49,50,53,101,
      45,49,50,32,54,46,53,50,56,54,52,101,45,49,51,32,50,46,55,57,57,56,51,101,45,
      49,51,32,49,46,48,55,49,53,57,101,45,49,51,32,51,46,54,51,55,55,50,101,45,49,
      52,32,49,46,48,57,53,51,49,101,45,49,52,32,51,46,55,49,56,51,52,101,45,49,53,
      10,32,32,49,46,49,49,57,50,54,101,45,49,53,32,51,46,56,48,48,54,55,101,45,49,
      54,32,49,46,50,57,48,55,56,101,45,49,54,32,51,46,56,56,56,54,50,101,45,49,55,
      32,49,46,48,55,52,55,49,101,45,49,55,32,51,46,57,56,48,51,50,101,45,49,56,32,
      49,46,50,54,49,52,56,101,45,49,56,10,32,32,52,46,53,57,53,51,56,101,45,49,57,
      32,49,46,53,54,49,52,50,101,45,49,57,32,53,46,51,48,55,48,54,101,45,50,48,32,
      49,46,56,48,52,48,50,101,45,50,48,32,54,46,49,51,51,49,101,45,50,49,32,50,46,
      48,55,52,50,51,101,45,50,49,32,54,46,57,48,52,52,57,101,45,50,50,10,32,32,50,
      46,51,52,53,48,54,101,45,50,50,32,55,46,57,54,53,50,49,101,45,50,51,32,48,114,
      52,57,32,54,46,56,49,50,53,53,101,45,49,55,32,49,46,50,49,48,57,52,101,45,49,
      54,32,50,46,49,53,50,57,53,101,45,49,54,32,51,46,56,50,55,51,54,101,45,49,54,
      32,54,46,56,48,52,50,49,101,45,49,54,10,32,32,49,46,50,48,57,54,54,101,45,49,
      53,32,50,46,49,53,48,53,55,101,45,49,53,32,51,46,56,50,51,50,50,101,45,49,53,
      32,54,46,55,57,54,52,51,101,45,49,53,32,49,46,50,48,56,50,55,101,45,49,52,32,
      50,46,49,52,56,50,49,101,45,49,52,32,51,46,56,49,56,56,57,101,45,49,52,10,32,
      32,54,46,55,56,57,54,56,101,45,49,52,32,49,46,50,48,55,48,56,101,45,49,51,32,
      50,46,49,52,53,57,51,101,45,49,51,32,51,46,56,49,53,49,49,101,45,49,51,32,54,
      46,55,56,50,54,57,101,45,49,51,32,49,46,53,50,54,50,50,101,45,49,50,32,52,46,
      51,54,55,48,56,101,45,49,50,10,32,32,56,46,53,54,48,53,49,101,45,49,50,32,49,
      46,55,52,55,51,54,101,45,49,49,32,51,46,52,50,53,54,53,101,45,49,49,32,54,46,
      57,57,51,54,57,101,45,49,49,32,49,46,53,55,52,53,53,101,45,49,48,32,52,46,51,
      55,57,50,53,101,45,49,48,32,56,46,53,57,52,51,101,45,49,48,10,32,32,49,46,55,
      53,55,51,52,101,45,48,57,32,51,46,52,53,51,51,55,101,45,48,57,32,55,46,48,55,
      53,51,57,101,45,48,57,32,49,46,49,48,57,49,52,101,45,48,56,32,49,46,54,48,50,
      51,53,101,45,48,56,32,50,46,56,54,54,57,51,101,45,48,56,32,52,46,53,48,55,55,
      54,101,45,48,56,10,32,32,54,46,53,51,49,48,51,101,45,48,56,32,55,46,54,56,55,
      57,49,101,45,48,56,32,56,46,57,52,50,53,53,101,45,48,56,32,49,46,48,50,57,53,
      54,101,45,48,55,32,49,46,49,55,52,55,56,101,45,48,55,32,49,46,51,50,57,57,55,
      101,45,48,55,32,49,46,52,57,53,49,57,101,45,48,55,10,32,32,49,46,54,55,48,53,
      49,101,45,48,55,32,49,46,56,53,53,57,55,101,45,48,55,32,50,46,48,53,49,54,51,
      101,45,48,55,32,50,46,50,53,55,53,53,101,45,48,55,32,50,46,53,49,56,50,53,101,
      45,48,55,32,50,46,55,57,51,56,55,101,45,48,55,32,51,46,49,56,52,55,49,101,45,
      48,55,10,32,32,51,46,54,48,50,51,55,101,45,48,55,32,52,46,48,52,55,48,50,101,
      45,48,55,32,52,46,54,52,48,57,57,101,45,48,55,32,53,46,50,55,55,54,49,101,45,
      48,55,32,53,46,57,53,55,48,57,101,45,48,55,32,54,46,56,50,57,51,49,101,45,48,
      55,32,55,46,55,54,51,56,54,101,45,48,55,10,32,32,57,46,49,48,55,48,56,101,45,
      48,55,32,49,46,48,53,54,49,56,101,45,48,54,32,49,46,50,49,50,56,49,101,45,48,
      54,32,49,46,52,48,50,51,54,101,45,48,54,32,49,46,54,50,57,53,51,101,45,48,54,
      32,49,46,56,57,57,52,54,101,45,48,54,32,50,46,50,49,55,55,54,101,45,48,54,10,
      32,32,50,46,53,57,48,51,54,101,45,48,54,32,51,46,48,53,53,55,51,101,45,48,54,
      32,51,46,53,53,56,53,101,45,48,54,32,52,46,49,55,50,53,52,101,45,48,54,32,53,
      46,48,51,52,57,54,101,45,48,54,32,54,46,48,50,55,50,56,101,45,48,54,32,54,46,
      56,51,54,49,57,101,45,48,54,10,32,32,55,46,57,48,48,52,53,101,45,48,54,32,57,
      46,50,57,51,48,53,101,45,48,54,32,49,46,48,56,56,55,50,101,45,48,53,32,49,46,
      50,54,57,52,101,45,48,53,32,49,46,52,55,56,52,53,101,45,48,53,32,49,46,54,57,
      48,56,53,101,45,48,53,32,49,46,57,50,52,56,50,101,45,48,53,10,32,32,50,46,50,
      49,57,48,53,101,45,48,53,32,50,46,54,50,56,54,55,101,45,48,53,32,51,46,48,51,
      53,57,51,101,45,48,53,32,51,46,52,53,50,54,49,101,45,48,53,32,51,46,55,57,51,
      57,49,101,45,48,53,32,52,46,49,53,51,49,52,101,45,48,53,32,52,46,54,51,53,57,
      55,101,45,48,53,10,32,32,53,46,48,57,53,53,55,101,45,48,53,32,53,46,53,50,51,
      55,50,101,45,48,53,32,53,46,56,54,57,55,55,101,45,48,53,32,54,46,51,49,50,54,
      54,101,45,48,53,32,54,46,54,57,49,49,56,101,45,48,53,32,55,46,48,48,50,48,54,
      101,45,48,53,32,55,46,50,49,57,56,55,101,45,48,53,10,32,32,55,46,51,55,48,53,
      53,101,45,48,53,32,55,46,52,52,57,51,50,101,45,48,53,32,55,46,52,53,54,50,57,
      101,45,48,53,32,55,46,51,57,48,48,57,101,45,48,53,32,55,46,50,57,57,56,52,101,
      45,48,53,32,55,46,48,52,51,49,50,101,45,48,53,32,54,46,55,49,49,50,54,101,45,
      48,53,10,32,32,54,46,51,51,55,51,50,101,45,48,53,32,53,46,56,55,56,57,53,101,
      45,48,53,32,53,46,52,51,53,50,50,101,45,48,53,32,52,46,57,51,56,56,101,45,48,
      53,32,52,46,52,54,49,49,52,101,45,48,53,32,52,46,48,49,53,49,50,101,45,48,53,
      32,51,46,54,48,56,56,50,101,45,48,53,10,32,32,51,46,49,56,53,51,51,101,45,48,
      53,32,50,46,56,57,54,52,49,101,45,48,53,32,50,46,54,50,54,54,56,101,45,48,53,
      32,50,46,50,50,51,55,56,101,45,48,53,32,50,46,48,48,49,53,53,101,45,48,53,32,
      49,46,54,56,55,57,51,101,45,48,53,32,49,46,52,48,49,50,57,101,45,48,53,10,32,
      32,49,46,50,53,101,45,48,53,32,49,46,49,49,50,53,57,101,45,48,53,32,57,46,50,
      50,48,51,57,101,45,48,54,32,55,46,52,53,55,57,54,101,45,48,54,32,54,46,54,49,
      53,56,57,101,45,48,54,32,53,46,52,51,55,49,57,101,45,48,54,32,52,46,56,49,54,
      52,54,101,45,48,54,10,32,32,51,46,57,52,54,51,57,101,45,48,54,32,51,46,51,52,
      57,57,49,101,45,48,54,32,50,46,54,50,53,50,55,101,45,48,54,32,50,46,51,55,49,
      49,57,101,45,48,54,32,49,46,57,52,54,53,51,101,45,48,54,32,49,46,53,54,49,55,
      101,45,48,54,32,49,46,50,57,55,55,50,101,45,48,54,10,32,32,49,46,48,55,54,57,
      101,45,48,54,32,57,46,48,51,51,56,52,101,45,48,55,32,55,46,53,57,48,56,49,101,
      45,48,55,32,54,46,50,53,49,56,56,101,45,48,55,32,53,46,50,53,55,50,50,101,45,
      48,55,32,52,46,51,51,56,57,49,101,45,48,55,32,51,46,55,54,53,48,56,101,45,48,
      55,10,32,32,50,46,57,56,52,50,53,101,45,48,55,32,50,46,53,56,54,51,52,101,45,
      48,55,32,50,46,49,54,51,54,52,101,45,48,55,32,49,46,52,50,52,53,57,101,45,48,
      55,32,55,46,57,55,54,51,54,101,45,48,56,32,52,46,53,48,55,53,56,101,45,48,56,
      32,50,46,49,57,53,57,52,101,45,48,56,10,32,32,49,46,48,54,52,101,45,48,56,32,
      52,46,52,51,49,51,51,101,45,48,57,32,52,46,57,49,53,54,54,101,45,48,57,32,50,
      46,57,49,49,52,55,101,45,48,57,32,49,46,49,55,48,49,50,101,45,48,57,32,54,46,
      49,53,54,56,101,45,49,48,32,51,46,48,48,51,48,54,101,45,49,48,10,32,32,49,46,
      49,53,50,51,54,101,45,49,48,32,52,46,57,56,50,51,56,101,45,49,49,32,50,46,49,
      53,51,54,101,45,49,49,32,56,46,50,53,53,53,52,101,45,49,50,32,51,46,49,54,52,
      49,50,101,45,49,50,32,49,46,51,54,55,48,52,101,45,49,50,32,53,46,57,48,53,57,
      101,45,49,51,10,32,32,50,46,53,51,53,101,45,49,51,32,57,46,55,49,48,51,52,101,
      45,49,52,32,51,46,50,57,57,50,52,101,45,49,52,32,57,46,57,52,51,50,49,101,45,
      49,53,32,51,46,51,55,56,54,57,101,45,49,53,32,49,46,48,49,56,48,49,101,45,49,
      53,32,51,46,52,53,57,55,56,101,45,49,54,10,32,32,49,46,49,55,53,57,55,101,45,
      49,54,32,51,46,53,52,53,54,57,101,45,49,55,32,57,46,56,48,55,50,56,101,45,49,
      56,32,51,46,54,51,52,52,101,45,49,56,32,49,46,49,53,50,54,49,101,45,49,56,32,
      52,46,50,48,49,49,57,101,45,49,57,32,49,46,52,50,56,50,55,101,45,49,57,10,32,
      32,52,46,56,53,55,51,50,101,45,50,48,32,49,46,54,53,50,48,49,101,45,50,48,32,
      53,46,54,49,57,48,56,101,45,50,49,32,49,46,56,57,57,53,50,101,45,50,49,32,54,
      46,51,48,49,49,53,101,45,50,50,32,50,46,49,52,49,52,54,101,45,50,50,32,55,46,
      50,55,56,52,54,101,45,50,51,10,32,32,48,114,52,57,32,49,46,56,49,48,48,50,101,
      45,49,55,32,51,46,50,49,55,51,53,101,45,49,55,32,53,46,55,50,48,49,57,101,45,
      49,55,32,49,46,48,49,54,57,101,45,49,54,32,49,46,56,48,55,56,53,101,45,49,54,
      32,51,46,50,49,52,48,53,101,45,49,54,32,53,46,55,49,52,49,101,45,49,54,10,32,
      32,49,46,48,49,53,56,54,101,45,49,53,32,49,46,56,48,53,57,49,101,45,49,53,32,
      51,46,50,49,48,54,53,101,45,49,53,32,53,46,55,48,56,53,56,101,45,49,53,32,49,
      46,48,49,52,56,56,101,45,49,52,32,49,46,56,48,52,53,51,101,45,49,52,32,51,46,
      50,48,56,52,56,101,45,49,52,10,32,32,53,46,55,48,52,56,52,101,45,49,52,32,49,
      46,48,49,52,52,51,101,45,49,51,32,49,46,56,48,51,57,57,101,45,49,51,32,52,46,
      48,54,49,52,51,101,45,49,51,32,49,46,52,48,51,57,51,101,45,49,50,32,50,46,55,
      53,52,50,55,101,45,49,50,32,53,46,54,50,56,55,54,101,45,49,50,10,32,32,49,46,
      49,48,53,50,55,101,45,49,49,32,50,46,50,54,49,56,56,101,45,49,49,32,53,46,49,
      49,50,51,51,101,45,49,49,32,49,46,52,51,50,56,50,101,45,49,48,32,50,46,56,51,
      51,48,54,101,45,49,48,32,53,46,56,53,54,55,52,101,45,49,48,32,49,46,49,54,55,
      50,55,101,45,48,57,10,32,32,50,46,52,52,48,51,57,101,45,48,57,32,51,46,56,56,
      55,53,49,101,45,48,57,32,53,46,55,48,51,52,101,45,48,57,32,49,46,48,53,48,53,
      101,45,48,56,32,49,46,54,57,54,55,51,101,45,48,56,32,50,46,53,50,48,52,54,101,
      45,48,56,32,51,46,48,48,50,50,53,101,45,48,56,10,32,32,51,46,53,51,50,51,56,
      101,45,48,56,32,52,46,49,49,50,48,54,101,45,48,56,32,52,46,55,52,50,53,101,
      45,48,56,32,53,46,52,50,52,56,52,101,45,48,56,32,54,46,49,54,48,49,57,101,45,
      48,56,32,54,46,57,52,57,54,51,101,45,48,56,32,55,46,55,57,52,49,57,101,45,48,
      56,10,32,32,56,46,54,57,52,56,55,101,45,48,56,32,57,46,54,53,50,54,53,101,45,
      48,56,32,49,46,48,56,55,56,55,101,45,48,55,32,49,46,50,49,56,57,56,101,45,48,
      55,32,49,46,52,48,55,50,57,101,45,48,55,32,49,46,54,49,49,51,50,101,45,48,55,
      32,49,46,56,51,49,52,101,45,48,55,10,32,32,50,46,49,50,57,53,49,101,45,48,55,
      32,50,46,52,53,51,54,56,101,45,48,55,32,50,46,56,48,52,52,49,101,45,48,55,32,
      51,46,50,54,48,57,57,101,45,48,55,32,51,46,55,53,55,50,49,101,45,48,55,32,52,
      46,52,56,49,53,50,101,45,48,55,32,53,46,50,55,56,55,52,101,45,48,55,10,32,32,
      54,46,49,52,57,57,52,101,45,48,55,32,55,46,50,49,57,54,53,101,45,48,55,32,56,
      46,53,50,48,54,57,101,45,48,55,32,49,46,48,48,56,57,56,101,45,48,54,32,49,46,
      49,57,54,55,51,101,45,48,54,32,49,46,52,49,57,55,101,45,48,54,32,49,46,55,48,
      50,50,52,101,45,48,54,10,32,32,50,46,48,49,49,55,49,101,45,48,54,32,50,46,51,
      57,52,54,54,101,45,48,54,32,50,46,57,52,48,49,55,101,45,48,54,32,51,46,53,55,
      54,57,51,101,45,48,54,32,52,46,49,48,49,57,56,101,45,48,54,32,52,46,55,57,57,
      54,54,101,45,48,54,32,53,46,55,50,50,54,51,101,45,48,54,10,32,32,54,46,55,57,
      49,48,53,101,45,48,54,32,56,46,48,49,52,56,52,101,45,48,54,32,57,46,52,52,53,
      51,51,101,45,48,54,32,49,46,48,57,49,50,55,101,45,48,53,32,49,46,50,53,52,51,
      52,101,45,48,53,32,49,46,52,54,49,51,50,101,45,48,53,32,49,46,55,53,50,54,55,
      101,45,48,53,10,32,32,50,46,48,52,53,54,57,101,45,48,53,32,50,46,51,52,56,55,
      53,101,45,48,53,32,50,46,53,57,57,52,101,45,48,53,32,50,46,56,54,53,53,56,101,
      45,48,53,32,51,46,50,50,55,51,50,101,45,48,53,32,51,46,53,55,54,50,53,101,45,
      48,53,32,51,46,57,48,53,57,49,101,45,48,53,10,32,32,52,46,49,55,54,50,52,101,
      45,48,53,32,52,46,53,50,56,54,54,101,45,48,53,32,52,46,56,51,56,101,45,48,53,
      32,53,46,49,48,49,51,56,101,45,48,53,32,53,46,50,57,53,55,57,101,45,48,53,32,
      53,46,52,52,50,52,57,101,45,48,53,32,53,46,53,51,54,49,50,101,45,48,53,10,32,
      32,53,46,53,56,48,50,101,45,48,53,32,53,46,53,54,53,54,57,101,45,48,53,32,53,
      46,53,50,50,56,49,101,45,48,53,32,53,46,51,55,51,54,49,101,45,48,53,32,53,46,
      49,54,48,50,56,101,45,48,53,32,52,46,57,48,55,52,55,101,45,48,53,32,52,46,53,
      56,55,48,49,101,45,48,53,10,32,32,52,46,50,54,57,48,53,101,45,48,53,32,51,46,
      57,48,54,51,54,101,45,48,53,32,51,46,53,53,49,53,54,101,45,48,53,32,51,46,50,
      49,53,55,56,101,45,48,53,32,50,46,57,48,54,52,49,101,45,48,53,32,50,46,53,56,
      48,53,54,101,45,48,53,32,50,46,51,53,54,50,57,101,45,48,53,10,32,32,50,46,49,
      52,53,52,55,101,45,48,53,32,49,46,56,50,55,57,51,101,45,48,53,32,49,46,54,53,
      49,52,101,45,48,53,32,49,46,52,48,48,53,49,101,45,48,53,32,49,46,49,54,57,50,
      57,101,45,48,53,32,49,46,48,52,54,52,55,101,45,48,53,32,57,46,51,52,52,49,51,
      101,45,48,54,10,32,32,55,46,55,56,49,53,51,101,45,48,54,32,54,46,51,50,54,52,
      56,101,45,48,54,32,53,46,54,50,55,53,52,101,45,48,54,32,52,46,54,52,52,54,54,
      101,45,48,54,32,52,46,49,50,52,55,101,45,48,54,32,51,46,51,57,50,56,52,101,
      45,48,54,32,50,46,56,56,56,56,50,101,45,48,54,10,32,32,50,46,50,55,51,54,55,
      101,45,48,54,32,50,46,48,53,55,49,53,101,45,48,54,32,49,46,54,57,52,49,53,101,
      45,48,54,32,49,46,51,54,51,56,53,101,45,48,54,32,49,46,49,51,54,52,49,101,45,
      48,54,32,57,46,52,53,53,50,101,45,48,55,32,55,46,57,53,48,54,55,101,45,48,55,
      10,32,32,54,46,54,57,53,56,54,101,45,48,55,32,53,46,53,50,56,50,54,101,45,48,
      55,32,52,46,54,53,56,52,57,101,45,48,55,32,51,46,56,53,51,51,56,101,45,48,55,
      32,51,46,51,52,57,49,50,101,45,48,55,32,50,46,54,54,49,50,56,101,45,48,55,32,
      50,46,51,48,57,56,57,101,45,48,55,10,32,32,49,46,57,51,53,56,56,101,45,48,55,
      32,49,46,50,55,57,55,54,101,45,48,55,32,55,46,50,48,50,49,56,101,45,48,56,32,
      52,46,48,56,56,55,52,101,45,48,56,32,50,46,48,48,50,51,101,45,48,56,32,57,46,
      55,52,55,53,56,101,45,48,57,32,52,46,48,56,48,51,101,45,48,57,10,32,32,52,46,
      55,49,52,51,53,101,45,48,57,32,50,46,53,54,50,51,56,101,45,48,57,32,49,46,48,
      51,50,48,51,101,45,48,57,32,53,46,52,51,55,53,54,101,45,49,48,32,50,46,54,53,
      53,57,53,101,45,49,48,32,49,46,48,50,48,57,50,101,45,49,48,32,52,46,52,50,48,
      49,50,101,45,49,49,10,32,32,49,46,57,49,50,57,57,101,45,49,49,32,55,46,51,52,
      50,57,54,101,45,49,50,32,50,46,56,49,55,55,54,101,45,49,50,32,49,46,50,49,56,
      53,57,101,45,49,50,32,53,46,50,54,57,52,53,101,45,49,51,32,50,46,50,54,52,50,
      50,101,45,49,51,32,56,46,54,56,49,56,101,45,49,52,10,32,32,50,46,57,53,50,56,
      57,101,45,49,52,32,56,46,57,48,57,51,53,101,45,49,53,32,51,46,48,51,48,50,53,
      101,45,49,53,32,57,46,49,51,57,49,55,101,45,49,54,32,51,46,49,48,56,52,57,101,
      45,49,54,32,49,46,48,53,55,51,54,101,45,49,54,32,51,46,49,57,48,55,56,101,45,
      49,55,10,32,32,56,46,56,51,51,54,57,101,45,49,56,32,51,46,50,55,54,49,52,101,
      45,49,56,32,49,46,48,51,57,56,56,101,45,49,56,32,51,46,55,57,51,48,52,101,45,
      49,57,32,49,46,50,57,48,56,49,101,45,49,57,32,52,46,51,57,49,55,50,101,45,50,
      48,32,49,46,52,57,52,54,57,101,45,50,48,10,32,32,53,46,48,56,55,49,55,101,45,
      50,49,32,49,46,55,49,56,54,51,101,45,50,49,32,53,46,56,52,56,57,101,45,50,50,
      32,49,46,57,50,57,55,53,101,45,50,50,32,54,46,53,54,49,53,54,101,45,50,51,32,
      48,114,52,57,32,53,46,56,51,55,48,50,101,45,49,56,32,49,46,48,51,55,53,53,101,
      45,49,55,10,32,32,49,46,56,52,52,54,56,101,45,49,55,32,51,46,50,55,57,52,101,
      45,49,55,32,53,46,56,51,48,49,53,101,45,49,55,32,49,46,48,51,54,53,49,101,45,
      49,54,32,49,46,56,52,50,56,101,45,49,54,32,51,46,50,55,54,50,49,101,45,49,54,
      32,53,46,56,50,52,51,52,101,45,49,54,10,32,32,49,46,48,51,53,53,50,101,45,49,
      53,32,49,46,56,52,49,50,54,101,45,49,53,32,51,46,50,55,51,54,51,101,45,49,53,
      32,53,46,56,50,49,50,52,101,45,49,53,32,49,46,48,51,53,49,52,101,45,49,52,32,
      49,46,56,52,48,56,49,101,45,49,52,32,51,46,50,55,51,57,55,101,45,49,52,10,32,
      32,53,46,56,50,51,55,49,101,45,49,52,32,49,46,51,49,49,56,50,101,45,49,51,32,
      57,46,52,50,56,53,57,101,45,49,51,32,49,46,56,52,57,51,51,101,45,49,50,32,51,
      46,55,55,56,49,56,101,45,49,50,32,55,46,52,49,53,55,50,101,45,49,50,32,49,46,
      53,49,54,55,52,101,45,49,49,10,32,32,51,46,52,50,52,55,57,101,45,49,49,32,57,
      46,53,56,48,50,56,101,45,49,49,32,49,46,56,57,48,55,57,101,45,49,48,32,51,46,
      56,57,56,52,54,101,45,49,48,32,55,46,55,52,51,56,51,101,45,49,48,32,49,46,54,
      49,49,52,55,101,45,48,57,32,50,46,53,53,55,56,56,101,45,48,57,10,32,32,51,46,
      55,52,48,50,101,45,48,57,32,54,46,56,52,55,55,53,101,45,48,57,32,49,46,49,48,
      48,50,52,101,45,48,56,32,49,46,54,50,54,57,50,101,45,48,56,32,49,46,57,51,51,
      57,101,45,48,56,32,50,46,50,55,48,57,56,101,45,48,56,32,50,46,54,51,56,56,56,
      101,45,48,56,10,32,32,51,46,48,51,56,51,101,45,48,56,32,51,46,52,54,57,57,51,
      101,45,48,56,32,51,46,57,51,52,52,53,101,45,48,56,32,52,46,52,51,50,53,49,101,
      45,48,56,32,52,46,57,54,52,55,51,101,45,48,56,32,53,46,53,51,49,55,52,101,45,
      48,56,32,54,46,49,51,52,49,52,101,45,48,56,10,32,32,54,46,57,48,52,53,54,101,
      45,48,56,32,55,46,55,50,55,55,54,101,45,48,56,32,56,46,57,48,57,49,49,101,45,
      48,56,32,49,46,48,49,56,56,49,101,45,48,55,32,49,46,49,53,54,54,57,101,45,48,
      55,32,49,46,51,52,51,51,54,101,45,48,55,32,49,46,53,52,54,50,56,101,45,48,55,
      10,32,32,49,46,55,54,53,56,101,45,48,55,32,50,46,48,53,49,53,56,101,45,48,55,
      32,50,46,51,54,50,50,52,101,45,48,55,32,50,46,56,49,53,57,52,101,45,48,55,32,
      51,46,51,49,53,55,51,101,45,48,55,32,51,46,56,54,50,52,56,101,45,48,55,32,52,
      46,53,51,52,54,56,101,45,48,55,10,32,32,53,46,51,53,51,54,55,101,45,48,55,32,
      54,46,51,52,51,51,57,101,45,48,55,32,55,46,53,51,48,53,54,101,45,48,55,32,56,
      46,57,52,52,52,50,101,45,48,55,32,49,46,48,55,52,49,56,101,45,48,54,32,49,46,
      50,55,49,55,55,101,45,48,54,32,49,46,53,49,55,50,51,101,45,48,54,10,32,32,49,
      46,56,54,56,53,57,101,45,48,54,32,50,46,50,56,49,101,45,48,54,32,50,46,54,50,
      50,55,53,101,45,48,54,32,51,46,48,55,57,48,52,101,45,48,54,32,51,46,54,56,54,
      49,53,101,45,48,54,32,52,46,51,57,51,52,50,101,45,48,54,32,53,46,50,48,56,57,
      50,101,45,48,54,10,32,32,54,46,49,54,56,55,50,101,45,48,54,32,55,46,49,54,48,
      48,53,101,45,48,54,32,56,46,50,54,57,49,50,101,45,48,54,32,57,46,54,56,55,50,
      55,101,45,48,54,32,49,46,49,55,48,49,57,101,45,48,53,32,49,46,51,55,52,56,56,
      101,45,48,53,32,49,46,53,56,56,54,55,101,45,48,53,10,32,32,49,46,55,54,55,48,
      56,101,45,48,53,32,49,46,57,53,56,49,52,101,45,48,53,32,50,46,50,50,48,53,52,
      101,45,48,53,32,50,46,52,55,54,56,54,101,45,48,53,32,50,46,55,50,50,50,57,101,
      45,48,53,32,50,46,57,50,54,50,55,101,45,48,53,32,51,46,49,57,54,55,52,101,45,
      48,53,10,32,32,51,46,52,51,57,55,55,101,45,48,53,32,51,46,54,53,51,48,51,101,
      45,48,53,32,51,46,56,49,54,56,56,101,45,48,53,32,51,46,57,52,56,48,54,101,45,
      48,53,32,52,46,48,52,49,51,56,101,45,48,53,32,52,46,49,48,49,57,52,101,45,48,
      53,32,52,46,49,49,55,50,52,101,45,48,53,10,32,32,52,46,49,48,52,51,50,101,45,
      48,53,32,52,46,48,50,55,54,51,101,45,48,53,32,51,46,56,57,56,51,53,101,45,48,
      53,32,51,46,55,51,52,51,53,101,45,48,53,32,51,46,53,49,55,54,51,101,45,48,53,
      32,51,46,50,57,54,50,53,101,45,48,53,32,51,46,48,51,56,48,53,101,45,48,53,10,
      32,32,50,46,55,56,48,56,50,101,45,48,53,32,50,46,53,51,51,55,50,101,45,48,53,
      32,50,46,51,48,51,49,57,101,45,48,53,32,50,46,48,53,55,53,54,101,45,48,53,32,
      49,46,56,56,54,57,101,45,48,53,32,49,46,55,50,53,51,101,45,48,53,32,49,46,52,
      55,57,55,51,101,45,48,53,10,32,32,49,46,51,52,50,48,54,101,45,48,53,32,49,46,
      49,52,52,57,49,101,45,48,53,32,57,46,54,49,54,50,56,101,45,48,54,32,56,46,54,
      51,53,57,50,101,45,48,54,32,55,46,55,51,55,49,49,101,45,48,54,32,54,46,52,55,
      54,51,51,101,45,48,54,32,53,46,50,57,51,56,51,101,45,48,54,10,32,32,52,46,55,
      50,50,53,55,101,45,48,54,32,51,46,57,49,53,51,50,101,45,48,54,32,51,46,52,56,
      54,50,54,101,45,48,54,32,50,46,56,55,57,54,56,101,45,48,54,32,50,46,52,53,57,
      57,51,101,45,48,54,32,49,46,57,52,53,48,54,101,45,48,54,32,49,46,55,54,51,48,
      55,101,45,48,54,10,32,32,49,46,52,53,54,57,54,101,45,48,54,32,49,46,49,55,55,
      49,56,101,45,48,54,32,57,46,56,51,55,50,51,101,45,48,55,32,56,46,50,48,55,56,
      53,101,45,48,55,32,54,46,57,49,57,51,55,101,45,48,55,32,53,46,56,52,49,52,56,
      101,45,48,55,32,52,46,56,51,53,52,53,101,45,48,55,10,32,32,52,46,48,56,51,56,
      50,101,45,48,55,32,51,46,51,56,54,49,51,101,45,48,55,32,50,46,57,52,56,48,55,
      101,45,48,55,32,50,46,51,52,56,57,52,101,45,48,55,32,50,46,48,52,50,48,57,101,
      45,48,55,32,49,46,55,49,52,55,56,101,45,48,55,32,49,46,49,51,56,53,50,101,45,
      48,55,10,32,32,54,46,52,52,50,55,54,101,45,48,56,32,51,46,54,55,53,55,53,101,
      45,48,56,32,49,46,56,49,48,50,50,101,45,48,56,32,56,46,56,53,55,53,51,101,45,
      48,57,32,51,46,55,50,56,50,49,101,45,48,57,32,52,46,51,56,48,48,55,101,45,48,
      57,32,50,46,50,51,55,55,52,101,45,48,57,10,32,32,57,46,48,51,51,57,53,101,45,
      49,48,32,52,46,55,54,54,57,51,101,45,49,48,32,50,46,51,51,49,57,57,101,45,49,
      48,32,56,46,57,56,48,54,55,101,45,49,49,32,51,46,56,57,52,48,49,101,45,49,49,
      32,49,46,54,56,55,53,57,101,45,49,49,32,54,46,52,56,55,49,55,101,45,49,50,10,
      32,32,50,46,52,57,50,55,49,101,45,49,50,32,49,46,48,55,57,50,101,45,49,50,32,
      52,46,54,55,49,51,57,101,45,49,51,32,50,46,48,48,57,52,51,101,45,49,51,32,55,
      46,55,49,50,57,50,101,45,49,52,32,50,46,54,50,54,49,53,101,45,49,52,32,55,46,
      57,51,50,50,55,101,45,49,53,10,32,32,50,46,55,48,48,53,54,101,45,49,53,32,56,
      46,49,53,51,52,101,45,49,54,32,50,46,55,55,53,55,49,101,45,49,54,32,57,46,52,
      52,57,56,51,101,45,49,55,32,50,46,56,53,52,51,51,101,45,49,55,32,55,46,57,49,
      48,49,101,45,49,56,32,50,46,57,51,53,54,52,101,45,49,56,10,32,32,57,46,51,50,
      52,57,55,101,45,49,57,32,51,46,52,48,51,53,50,101,45,49,57,32,49,46,49,53,57,
      48,50,101,45,49,57,32,51,46,57,52,53,53,49,101,45,50,48,32,49,46,51,52,51,55,
      50,101,45,50,48,32,52,46,53,55,54,52,51,101,45,50,49,32,49,46,53,53,56,54,49,
      101,45,50,49,10,32,32,53,46,50,54,48,55,50,101,45,50,50,32,49,46,55,50,53,57,
      54,101,45,50,50,32,53,46,56,55,49,56,50,101,45,50,51,32,49,46,49,57,49,49,51,
      101,45,50,51,32,48,114,52,56,32,49,46,56,55,50,55,49,101,45,50,48,32,51,46,
      56,53,50,55,54,101,45,50,48,32,55,46,57,50,56,53,55,101,45,50,48,10,32,32,49,
      46,54,51,49,53,50,101,45,49,57,32,51,46,51,53,55,50,52,101,45,49,57,32,54,46,
      57,48,56,52,56,101,45,49,57,32,49,46,52,50,49,54,52,101,45,49,56,32,50,46,57,
      50,53,51,57,101,45,49,56,32,54,46,48,49,57,51,54,101,45,49,56,32,49,46,50,51,
      56,54,57,101,45,49,55,10,32,32,50,46,53,52,57,51,49,101,45,49,55,32,53,46,50,
      52,53,57,57,101,45,49,55,32,49,46,48,55,57,55,51,101,45,49,54,32,50,46,50,50,
      50,51,101,45,49,54,32,52,46,53,55,52,50,55,101,45,49,54,32,57,46,52,49,55,51,
      55,101,45,49,54,32,49,46,57,51,57,51,57,101,45,49,53,10,32,32,53,46,51,55,51,
      56,51,101,45,49,53,32,56,46,57,53,48,55,57,101,45,49,51,32,49,46,55,54,49,101,
      45,49,50,32,51,46,54,49,48,56,101,45,49,50,32,55,46,49,49,51,56,57,101,45,49,
      50,32,49,46,52,54,49,51,101,45,49,49,32,51,46,51,49,54,53,101,45,49,49,32,57,
      46,51,51,53,57,51,101,45,49,49,10,32,32,49,46,56,52,57,49,54,101,45,49,48,32,
      51,46,56,50,50,56,51,101,45,49,48,32,55,46,53,57,57,53,101,45,49,48,32,49,46,
      53,55,56,50,56,101,45,48,57,32,50,46,52,57,55,48,54,101,45,48,57,32,51,46,54,
      51,54,52,101,45,48,57,32,54,46,53,57,52,55,53,101,45,48,57,10,32,32,49,46,48,
      52,56,55,49,101,45,48,56,32,49,46,53,51,52,52,54,101,45,48,56,32,49,46,56,49,
      52,52,52,101,45,48,56,32,50,46,49,49,57,54,51,101,45,48,56,32,50,46,52,53,48,
      51,54,101,45,48,56,32,50,46,56,48,54,57,54,101,45,48,56,32,51,46,49,56,57,55,
      53,101,45,48,56,10,32,32,51,46,53,57,57,48,57,101,45,48,56,32,52,46,48,51,53,
      50,101,45,48,56,32,52,46,52,57,56,52,51,101,45,48,56,32,52,46,57,56,57,48,53,
      101,45,48,56,32,53,46,53,48,55,51,54,101,45,48,56,32,54,46,49,54,54,50,55,101,
      45,48,56,32,54,46,56,54,53,57,49,101,45,48,56,10,32,32,55,46,56,54,50,56,57,
      101,45,48,56,32,56,46,57,51,52,49,51,101,45,48,56,32,49,46,48,48,56,48,54,101,
      45,48,55,32,49,46,49,54,50,49,49,101,45,48,55,32,49,46,51,50,56,50,53,101,45,
      48,55,32,49,46,53,48,54,54,53,101,45,48,55,32,49,46,55,51,55,49,52,101,45,48,
      55,10,32,32,49,46,57,56,53,56,101,45,48,55,32,50,46,51,52,54,48,49,101,45,48,
      55,32,50,46,55,51,57,52,57,101,45,48,55,32,51,46,49,54,54,55,54,101,45,48,55,
      32,51,46,54,56,56,51,51,101,45,48,55,32,52,46,51,49,57,51,53,101,45,48,55,32,
      53,46,48,55,54,55,57,101,45,48,55,10,32,32,53,46,57,55,57,53,56,101,45,48,55,
      32,55,46,48,52,56,53,56,101,45,48,55,32,56,46,52,48,48,51,52,101,45,48,55,32,
      57,46,56,55,57,53,49,101,45,48,55,32,49,46,49,55,49,48,50,101,45,48,54,32,49,
      46,52,51,50,49,55,101,45,48,54,32,49,46,55,51,55,57,52,101,45,48,54,10,32,32,
      49,46,57,57,48,57,56,101,45,48,54,32,50,46,51,50,56,54,51,101,45,48,54,32,50,
      46,55,55,55,57,51,101,45,48,54,32,51,46,51,48,49,55,56,101,45,48,54,32,51,46,
      57,48,54,55,57,101,45,48,54,32,52,46,54,50,48,53,52,101,45,48,54,32,53,46,51,
      53,57,56,52,101,45,48,54,10,32,32,54,46,49,56,57,54,52,101,45,48,54,32,55,46,
      50,53,52,57,101,45,48,54,32,56,46,55,55,54,51,101,45,48,54,32,49,46,48,51,51,
      49,54,101,45,48,53,32,49,46,49,57,54,54,54,101,45,48,53,32,49,46,51,51,51,57,
      49,101,45,48,53,32,49,46,52,56,49,55,52,101,45,48,53,10,32,32,49,46,54,56,54,
      50,49,101,45,48,53,32,49,46,56,56,55,54,54,101,45,48,53,32,50,46,48,56,50,51,
      101,45,48,53,32,50,46,50,52,53,53,52,101,45,48,53,32,50,46,52,54,52,52,53,101,
      45,48,53,32,50,46,54,54,52,49,57,101,45,48,53,32,50,46,56,52,50,55,56,101,45,
      48,53,10,32,32,50,46,57,56,51,51,50,101,45,48,53,32,51,46,48,57,57,54,101,45,
      48,53,32,51,46,49,56,54,56,101,45,48,53,32,51,46,50,53,48,51,56,101,45,48,53,
      32,51,46,50,55,55,49,56,101,45,48,53,32,51,46,50,55,55,54,51,101,45,48,53,32,
      51,46,50,51,54,49,57,101,45,48,53,10,32,32,51,46,49,53,48,51,101,45,48,53,32,
      51,46,48,51,51,55,54,101,45,48,53,32,50,46,56,55,51,57,52,101,45,48,53,32,50,
      46,55,48,54,54,51,101,45,48,53,32,50,46,53,48,55,57,50,101,45,48,53,32,50,46,
      51,48,55,48,52,101,45,48,53,32,50,46,49,49,49,55,57,101,45,48,53,10,32,32,49,
      46,57,50,55,56,53,101,45,48,53,32,49,46,55,51,48,49,53,101,45,48,53,32,49,46,
      53,57,49,55,57,101,45,48,53,32,49,46,52,54,48,48,50,101,45,48,53,32,49,46,50,
      53,56,52,50,101,45,48,53,32,49,46,49,52,52,54,55,101,45,48,53,32,57,46,56,48,
      56,53,57,101,45,48,54,10,32,32,56,46,50,55,53,51,54,101,45,48,54,32,55,46,52,
      53,48,57,56,101,45,48,54,32,54,46,54,57,50,51,55,101,45,48,54,32,53,46,54,50,
      51,53,49,101,45,48,54,32,52,46,54,49,53,52,57,101,45,48,54,32,52,46,49,50,54,
      52,51,101,45,48,54,32,51,46,52,51,50,55,51,101,45,48,54,10,32,32,51,46,48,54,
      50,54,57,101,45,48,54,32,50,46,53,51,55,55,57,101,45,48,54,32,50,46,49,55,51,
      50,51,101,45,48,54,32,49,46,55,50,52,51,53,101,45,48,54,32,49,46,53,54,53,49,
      57,101,45,48,54,32,49,46,50,57,54,56,101,45,48,54,32,49,46,48,53,48,54,55,101,
      45,48,54,10,32,32,56,46,55,57,57,53,54,101,45,48,55,32,55,46,51,53,55,56,51,
      101,45,48,55,32,54,46,50,49,52,56,54,101,45,48,55,32,53,46,50,53,54,52,55,101,
      45,48,55,32,52,46,51,53,57,56,55,101,45,48,55,32,51,46,54,56,56,52,57,101,45,
      48,55,32,51,46,48,54,51,57,54,101,45,48,55,10,32,32,50,46,54,55,49,48,55,101,
      45,48,55,32,50,46,49,51,50,54,54,101,45,48,55,32,49,46,56,53,54,51,52,101,45,
      48,55,32,49,46,53,54,49,49,51,101,45,48,55,32,49,46,48,51,57,57,53,101,45,48,
      55,32,53,46,57,48,57,56,53,101,45,48,56,32,51,46,51,56,52,53,50,101,45,48,56,
      10,32,32,49,46,54,55,52,48,51,101,45,48,56,32,56,46,50,50,51,51,51,101,45,48,
      57,32,51,46,52,55,53,57,53,101,45,48,57,32,52,46,48,54,52,57,51,101,45,48,57,
      32,50,46,48,49,57,57,57,101,45,48,57,32,56,46,49,54,57,56,54,101,45,49,48,32,
      52,46,51,49,54,48,49,101,45,49,48,10,32,32,50,46,49,49,51,57,51,101,45,49,48,
      32,56,46,49,53,50,55,51,101,45,49,49,32,51,46,53,51,57,48,57,101,45,49,49,32,
      49,46,53,51,53,52,101,45,49,49,32,53,46,57,48,56,55,49,101,45,49,50,32,50,46,
      50,55,50,55,53,101,45,49,50,32,57,46,56,52,55,56,55,101,45,49,51,10,32,32,52,
      46,50,54,54,48,57,101,45,49,51,32,49,46,56,51,54,54,50,101,45,49,51,32,55,46,
      48,53,53,49,53,101,45,49,52,32,50,46,52,48,52,50,55,101,45,49,52,32,55,46,50,
      54,56,54,52,101,45,49,53,32,50,46,52,55,54,52,56,101,45,49,53,32,55,46,52,56,
      50,54,54,101,45,49,54,10,32,32,50,46,53,52,57,48,54,101,45,49,54,32,56,46,54,
      56,51,53,101,45,49,55,32,50,46,54,50,52,53,101,45,49,55,32,55,46,50,55,55,55,
      52,101,45,49,56,32,50,46,55,48,50,51,57,101,45,49,56,32,56,46,53,56,57,51,54,
      101,45,49,57,32,51,46,49,51,54,54,54,101,45,49,57,10,32,32,49,46,48,54,56,54,
      56,101,45,49,57,32,51,46,54,52,48,51,49,101,45,50,48,32,49,46,50,52,48,48,49,
      101,45,50,48,32,52,46,50,50,53,49,54,101,45,50,49,32,49,46,52,51,57,54,55,101,
      45,50,49,32,52,46,56,53,53,52,53,101,45,50,50,32,49,46,53,56,53,51,54,101,45,
      50,50,10,32,32,53,46,51,57,52,57,51,101,45,50,51,32,49,46,48,57,48,55,51,101,
      45,50,51,32,48,114,52,56,32,53,46,50,52,53,55,53,101,45,50,51,32,49,46,50,52,
      51,49,54,101,45,50,50,32,50,46,57,52,55,48,56,101,45,50,50,32,54,46,57,56,53,
      51,56,101,45,50,50,32,49,46,54,54,51,49,53,101,45,50,49,10,32,32,51,46,57,52,
      50,51,56,101,45,50,49,32,57,46,51,52,53,50,53,101,45,50,49,32,50,46,50,49,53,
      49,53,101,45,50,48,32,53,46,50,53,48,50,101,45,50,48,32,49,46,50,52,52,53,101,
      45,49,57,32,50,46,57,53,48,50,53,101,45,49,57,32,54,46,57,57,50,54,50,101,45,
      49,57,10,32,32,49,46,54,53,55,54,55,101,45,49,56,32,51,46,57,50,57,50,57,101,
      45,49,56,32,57,46,51,49,51,53,50,101,45,49,56,32,50,46,50,48,55,54,51,101,45,
      49,55,32,53,46,50,51,50,56,51,101,45,49,55,32,49,46,55,54,54,48,50,101,45,49,
      54,32,56,46,51,52,50,51,56,101,45,49,51,10,32,32,49,46,54,51,53,51,55,101,45,
      49,50,32,51,46,51,51,56,50,53,101,45,49,50,32,54,46,53,52,52,57,54,101,45,49,
      50,32,49,46,51,51,54,52,52,101,45,49,49,32,51,46,48,48,57,51,55,101,45,49,49,
      32,56,46,51,55,50,53,50,101,45,49,49,32,49,46,54,52,51,53,56,101,45,49,48,10,
      32,32,51,46,51,54,50,48,56,101,45,49,48,32,54,46,54,49,48,48,54,101,45,49,48,
      32,49,46,51,53,53,50,49,101,45,48,57,32,50,46,49,50,53,53,56,101,45,48,57,32,
      51,46,48,55,50,57,101,45,48,57,32,53,46,53,48,52,48,56,101,45,48,57,32,56,46,
      54,54,50,54,54,101,45,48,57,10,32,32,49,46,50,53,54,51,49,101,45,48,56,32,49,
      46,52,55,57,53,57,101,45,48,56,32,49,46,55,50,49,57,51,101,45,48,56,32,49,46,
      57,56,51,52,57,101,45,48,56,32,50,46,50,54,52,52,53,101,45,48,56,32,50,46,53,
      54,52,57,54,101,45,48,56,32,50,46,56,56,53,49,55,101,45,48,56,10,32,32,51,46,
      50,50,53,50,53,101,45,48,56,32,51,46,53,56,53,51,52,101,45,48,56,32,51,46,57,
      54,53,54,101,45,48,56,32,52,46,51,54,54,49,55,101,45,48,56,32,52,46,56,55,51,
      56,55,101,45,48,56,32,53,46,52,49,49,50,55,101,45,48,56,32,54,46,49,55,52,52,
      49,101,45,48,56,10,32,32,54,46,57,57,49,51,50,101,45,48,56,32,55,46,56,54,50,
      53,50,101,45,48,56,32,57,46,48,50,56,54,52,101,45,48,56,32,49,46,48,50,56,49,
      51,101,45,48,55,32,49,46,49,54,50,49,53,101,45,48,55,32,49,46,51,51,52,54,52,
      101,45,48,55,32,49,46,53,50,101,45,48,55,10,32,32,49,46,55,56,55,51,54,101,
      45,48,55,32,50,46,48,55,56,49,101,45,48,55,32,50,46,51,57,50,52,55,101,45,48,
      55,32,50,46,55,55,52,54,54,101,45,48,55,32,51,46,50,51,53,48,54,101,45,48,55,
      32,51,46,55,56,53,51,52,101,45,48,55,32,52,46,52,51,56,51,57,101,45,48,55,10,
      32,32,53,46,50,48,56,51,53,101,45,48,55,32,54,46,49,55,55,55,56,101,45,48,55,
      32,55,46,50,51,52,49,57,101,45,48,55,32,56,46,53,51,54,52,57,101,45,48,55,32,
      49,46,48,51,56,54,53,101,45,48,54,32,49,46,50,53,52,51,52,101,45,48,54,32,49,
      46,52,51,50,50,56,101,45,48,54,10,32,32,49,46,54,54,57,49,51,101,45,48,54,32,
      49,46,57,56,51,52,56,101,45,48,54,32,50,46,51,52,57,50,52,101,45,48,54,32,50,
      46,55,55,48,57,55,101,45,48,54,32,51,46,50,54,56,48,55,101,45,48,54,32,51,46,
      55,56,50,56,50,101,45,48,54,32,52,46,51,54,48,56,49,101,45,48,54,10,32,32,53,
      46,49,48,51,54,49,101,45,48,54,32,54,46,49,54,55,48,55,101,45,48,54,32,55,46,
      50,53,56,51,101,45,48,54,32,56,46,52,49,48,54,101,45,48,54,32,57,46,51,56,50,
      54,49,101,45,48,54,32,49,46,48,52,51,52,56,101,45,48,53,32,49,46,49,57,48,48,
      49,101,45,48,53,10,32,32,49,46,51,51,53,54,53,101,45,48,53,32,49,46,52,55,55,
      55,50,101,45,48,53,32,49,46,53,57,56,48,55,101,45,48,53,32,49,46,55,54,49,53,
      101,45,48,53,32,49,46,57,49,51,49,56,101,45,48,53,32,50,46,48,53,49,54,56,101,
      45,48,53,32,50,46,49,54,51,53,50,101,45,48,53,10,32,32,50,46,50,53,57,49,57,
      101,45,48,53,32,50,46,51,51,52,54,49,101,45,48,53,32,50,46,51,57,52,57,56,101,
      45,48,53,32,50,46,52,50,55,56,50,101,45,48,53,32,50,46,52,51,55,56,53,101,45,
      48,53,32,50,46,52,50,53,50,52,101,45,48,53,32,50,46,51,55,55,55,49,101,45,48,
      53,10,32,32,50,46,51,48,52,57,57,101,45,48,53,32,50,46,49,57,57,50,52,101,45,
      48,53,32,50,46,48,56,52,52,51,101,45,48,53,32,49,46,57,52,52,53,53,101,45,48,
      53,32,49,46,56,48,48,50,53,101,45,48,53,32,49,46,54,53,55,55,50,101,45,48,53,
      32,49,46,53,50,49,54,56,101,45,48,53,10,32,32,49,46,51,55,51,55,50,101,45,48,
      53,32,49,46,50,54,57,49,54,101,45,48,53,32,49,46,49,54,56,56,51,101,45,48,53,
      32,49,46,48,49,51,57,52,101,45,48,53,32,57,46,50,53,55,57,56,101,45,48,54,32,
      55,46,57,55,56,57,54,101,45,48,54,32,54,46,55,55,49,49,55,101,45,48,54,10,32,
      32,54,46,49,49,55,50,57,101,45,48,54,32,53,46,53,49,50,54,52,101,45,48,54,32,
      52,46,54,53,53,54,51,101,45,48,54,32,51,46,56,52,49,53,49,101,45,48,54,32,51,
      46,52,52,52,50,55,101,45,48,54,32,50,46,56,55,56,48,54,101,45,48,54,32,50,46,
      53,55,52,53,56,101,45,48,54,10,32,32,50,46,49,52,50,49,57,101,45,48,54,32,49,
      46,56,52,48,52,50,101,45,48,54,32,49,46,52,54,54,57,57,101,45,48,54,32,49,46,
      51,51,52,48,51,101,45,48,54,32,49,46,49,48,57,48,56,101,45,48,54,32,57,46,48,
      49,56,55,50,101,45,48,55,32,55,46,53,55,53,54,49,101,45,48,55,10,32,32,54,46,
      51,53,50,52,55,101,45,48,55,32,53,46,51,55,57,53,101,45,48,55,32,52,46,53,54,
      49,49,50,101,45,48,55,32,51,46,55,57,51,49,49,101,45,48,55,32,51,46,50,49,54,
      51,101,45,48,55,32,50,46,54,55,56,50,49,101,45,48,55,32,50,46,51,51,56,56,53,
      101,45,48,55,10,32,32,49,46,56,55,50,53,53,101,45,48,55,32,49,46,54,51,50,54,
      49,101,45,48,55,32,49,46,51,55,53,55,49,101,45,48,55,32,57,46,50,48,52,56,57,
      101,45,48,56,32,53,46,50,54,48,53,52,101,45,48,56,32,51,46,48,50,55,57,52,101,
      45,48,56,32,49,46,53,48,54,51,53,101,45,48,56,10,32,32,55,46,52,51,56,54,50,
      101,45,48,57,32,51,46,49,54,50,49,57,101,45,48,57,32,51,46,54,48,50,54,101,
      45,48,57,32,49,46,55,54,53,50,56,101,45,48,57,32,55,46,49,53,55,51,50,101,45,
      49,48,32,51,46,55,56,55,48,55,101,45,49,48,32,49,46,56,53,55,56,56,101,45,49,
      48,10,32,32,55,46,49,55,57,51,56,101,45,49,49,32,51,46,49,50,49,52,51,101,45,
      49,49,32,49,46,51,53,54,49,53,101,45,49,49,32,53,46,50,50,54,55,55,101,45,49,
      50,32,50,46,48,49,51,50,51,101,45,49,50,32,56,46,55,51,51,49,49,101,45,49,51,
      32,51,46,55,56,55,49,53,101,45,49,51,10,32,32,49,46,54,51,50,50,54,101,45,49,
      51,32,54,46,50,55,54,56,101,45,49,52,32,50,46,49,52,49,52,49,101,45,49,52,32,
      54,46,52,56,49,50,53,101,45,49,53,32,50,46,50,49,48,51,50,101,45,49,53,32,54,
      46,54,56,53,50,51,101,45,49,54,32,50,46,50,55,57,51,57,101,45,49,54,10,32,32,
      55,46,55,55,49,52,56,101,45,49,55,32,50,46,51,53,48,57,57,101,45,49,55,32,54,
      46,53,50,53,51,50,101,45,49,56,32,50,46,52,50,52,53,55,101,45,49,56,32,55,46,
      55,49,50,48,51,101,45,49,57,32,50,46,56,49,56,48,52,101,45,49,57,32,57,46,54,
      48,55,55,52,101,45,50,48,10,32,32,51,46,50,55,53,55,52,101,45,50,48,32,49,46,
      49,49,54,49,52,101,45,50,48,32,51,46,56,48,53,52,51,101,45,50,49,32,49,46,50,
      57,55,53,101,45,50,49,32,52,46,51,55,48,54,55,101,45,50,50,32,49,46,52,57,48,
      50,52,101,45,50,50,32,52,46,56,50,52,48,53,101,45,50,51,10,32,32,57,46,55,49,
      52,53,54,101,45,50,52,32,48,114,52,56,32,50,46,53,53,55,50,51,101,45,50,51,
      32,54,46,48,54,48,50,51,101,45,50,51,32,49,46,52,51,54,54,54,101,45,50,50,32,
      51,46,52,48,53,50,56,101,45,50,50,32,56,46,48,55,49,55,56,101,45,50,50,32,49,
      46,57,49,51,51,54,101,45,50,49,10,32,32,52,46,53,52,53,53,51,101,45,50,49,32,
      49,46,48,55,55,52,53,101,45,50,48,32,50,46,53,53,51,55,49,101,45,50,48,32,54,
      46,48,53,51,50,53,101,45,50,48,32,49,46,52,51,53,48,49,101,45,49,57,32,51,46,
      52,48,49,50,52,101,45,49,57,32,56,46,48,54,51,48,49,101,45,49,57,10,32,32,49,
      46,57,49,49,50,52,101,45,49,56,32,52,46,53,51,48,50,49,101,45,49,56,32,49,46,
      48,55,51,56,51,101,45,49,55,32,50,46,53,52,53,51,55,101,45,49,55,32,56,46,53,
      57,48,53,53,101,45,49,55,32,57,46,57,57,48,55,55,101,45,49,51,32,49,46,57,53,
      56,49,52,101,45,49,50,10,32,32,51,46,57,57,54,48,51,101,45,49,50,32,55,46,56,
      51,49,55,52,101,45,49,50,32,49,46,53,57,56,51,57,101,45,49,49,32,51,46,53,57,
      54,48,52,101,45,49,49,32,57,46,57,56,55,52,49,101,45,49,49,32,49,46,57,53,55,
      51,51,101,45,49,48,32,52,46,48,49,48,55,54,101,45,49,48,10,32,32,55,46,56,53,
      56,50,57,101,45,49,48,32,49,46,54,48,50,55,57,101,45,48,57,32,50,46,53,48,51,
      49,49,101,45,48,57,32,51,46,54,48,50,54,53,101,45,48,57,32,54,46,51,57,56,48,
      57,101,45,48,57,32,57,46,57,56,54,52,50,101,45,48,57,32,49,46,52,51,54,52,56,
      101,45,48,56,10,32,32,49,46,54,56,52,57,52,101,45,48,56,32,49,46,57,53,51,48,
      52,101,45,48,56,32,50,46,50,52,48,55,53,101,45,48,56,32,50,46,53,52,56,48,50,
      101,45,48,56,32,50,46,56,55,52,56,50,101,45,48,56,32,51,46,50,50,49,49,49,101,
      45,48,56,32,51,46,53,56,54,56,53,101,45,48,56,10,32,32,51,46,57,55,50,101,45,
      48,56,32,52,46,51,55,54,53,50,101,45,48,56,32,52,46,56,48,48,51,54,101,45,48,
      56,32,53,46,51,51,52,52,51,101,45,48,56,32,53,46,56,57,54,50,49,101,45,48,56,
      32,54,46,54,56,56,50,50,101,45,48,56,32,55,46,53,50,57,49,56,101,45,48,56,10,
      32,32,56,46,52,49,56,57,101,45,48,56,32,57,46,53,57,57,51,56,101,45,48,56,32,
      49,46,48,56,53,53,52,101,45,48,55,32,49,46,50,49,56,54,55,101,45,48,55,32,49,
      46,51,56,56,51,49,101,45,48,55,32,49,46,53,54,56,54,55,101,45,48,55,32,49,46,
      56,50,53,55,50,101,45,48,55,10,32,32,50,46,49,48,49,53,54,101,45,48,55,32,50,
      46,51,57,54,48,52,101,45,48,55,32,50,46,55,52,57,52,51,101,45,48,55,32,51,46,
      49,54,57,50,51,101,45,48,55,32,51,46,54,54,51,54,56,101,45,48,55,32,52,46,50,
      52,49,54,53,101,45,48,55,32,52,46,57,49,50,52,57,101,45,48,55,10,32,32,53,46,
      55,52,51,51,57,101,45,48,55,32,54,46,54,51,52,49,50,101,45,48,55,32,55,46,55,
      49,52,52,101,45,48,55,32,57,46,50,50,49,49,50,101,45,48,55,32,49,46,48,57,52,
      52,50,101,45,48,54,32,49,46,50,51,52,51,51,101,45,48,54,32,49,46,52,49,55,57,
      54,101,45,48,54,10,32,32,49,46,54,53,55,56,53,101,45,48,54,32,49,46,57,51,50,
      53,50,101,45,48,54,32,50,46,50,52,52,52,55,101,45,48,54,32,50,46,54,48,54,57,
      54,101,45,48,54,32,50,46,57,55,55,54,53,101,45,48,54,32,51,46,51,56,57,52,53,
      101,45,48,54,32,51,46,57,49,51,51,54,101,45,48,54,10,32,32,52,46,54,53,54,52,
      52,101,45,48,54,32,53,46,52,49,51,52,53,101,45,48,54,32,54,46,50,48,57,56,53,
      101,45,48,54,32,54,46,56,56,49,48,54,101,45,48,54,32,55,46,54,48,56,51,56,101,
      45,48,54,32,56,46,54,50,52,55,57,101,45,48,54,32,57,46,54,52,49,51,56,101,45,
      48,54,10,32,32,49,46,48,54,52,49,51,101,45,48,53,32,49,46,49,52,57,54,50,101,
      45,48,53,32,49,46,50,54,55,49,51,101,45,48,53,32,49,46,51,55,56,48,49,101,45,
      48,53,32,49,46,52,56,49,50,54,101,45,48,53,32,49,46,53,54,54,53,54,101,45,48,
      53,32,49,46,54,52,49,54,49,101,45,48,53,10,32,32,49,46,55,48,51,48,55,101,45,
      48,53,32,49,46,55,53,53,52,55,101,45,48,53,32,49,46,55,56,55,56,57,101,45,48,
      53,32,49,46,56,48,49,54,57,101,45,48,53,32,49,46,56,48,52,56,50,101,45,48,53,
      32,49,46,55,56,49,51,49,101,45,48,53,32,49,46,55,51,55,55,57,101,45,48,53,10,
      32,32,49,46,54,54,57,53,54,101,45,48,53,32,49,46,53,57,50,50,56,101,45,48,53,
      32,49,46,52,57,53,51,57,101,45,48,53,32,49,46,51,57,51,49,57,101,45,48,53,32,
      49,46,50,57,48,52,57,101,45,48,53,32,49,46,49,57,49,49,101,45,48,53,32,49,46,
      48,56,49,54,53,101,45,48,53,10,32,32,49,46,48,48,51,53,49,101,45,48,53,32,57,
      46,50,55,57,52,55,101,45,48,54,32,56,46,49,48,49,57,57,101,45,48,54,32,55,46,
      52,50,54,48,51,101,45,48,54,32,54,46,52,51,55,52,54,101,45,48,54,32,53,46,52,
      57,53,51,55,101,45,48,54,32,52,46,57,56,49,55,50,101,45,48,54,10,32,32,52,46,
      53,48,52,51,56,101,45,48,54,32,51,46,56,50,51,54,56,101,45,48,54,32,51,46,49,
      55,50,50,50,101,45,48,54,32,50,46,56,53,50,53,49,101,45,48,54,32,50,46,51,57,
      52,53,101,45,48,54,32,50,46,49,52,55,55,57,101,45,48,54,32,49,46,55,57,52,54,
      55,101,45,48,54,10,32,32,49,46,53,52,54,57,57,101,45,48,54,32,49,46,50,51,56,
      57,49,101,45,48,54,32,49,46,49,50,56,55,53,101,45,48,54,32,57,46,52,49,55,51,
      53,101,45,48,55,32,55,46,54,56,54,55,49,101,45,48,55,32,54,46,52,55,54,50,49,
      101,45,48,55,32,53,46,52,52,54,52,50,101,45,48,55,10,32,32,52,46,54,50,52,52,
      54,101,45,48,55,32,51,46,57,51,48,56,56,101,45,48,55,32,51,46,50,55,55,57,49,
      101,45,48,55,32,50,46,55,56,53,57,55,101,45,48,55,32,50,46,51,50,53,55,101,
      45,48,55,32,50,46,48,51,52,54,53,101,45,48,55,32,49,46,54,51,51,54,53,101,45,
      48,55,10,32,32,49,46,52,50,54,55,51,101,45,48,55,32,49,46,50,48,52,55,101,45,
      48,55,32,56,46,48,57,55,54,56,101,45,48,56,32,52,46,54,53,52,57,53,101,45,48,
      56,32,50,46,54,57,51,52,57,101,45,48,56,32,49,46,51,52,56,48,54,101,45,48,56,
      32,54,46,54,57,51,52,51,101,45,48,57,10,32,32,50,46,56,54,50,51,49,101,45,48,
      57,32,51,46,49,52,51,55,101,45,48,57,32,49,46,53,51,55,54,52,101,45,48,57,32,
      54,46,50,53,48,53,51,101,45,49,48,32,51,46,51,49,50,55,53,101,45,49,48,32,49,
      46,54,50,55,57,54,101,45,49,48,32,54,46,51,48,51,57,52,101,45,49,49,10,32,32,
      50,46,55,52,53,51,52,101,45,49,49,32,49,46,49,57,52,53,54,101,45,49,49,32,52,
      46,54,49,49,51,51,101,45,49,50,32,49,46,55,55,56,55,57,101,45,49,50,32,55,46,
      55,50,53,50,57,101,45,49,51,32,51,46,51,53,51,56,51,101,45,49,51,32,49,46,52,
      52,55,49,57,101,45,49,51,10,32,32,53,46,53,55,49,50,56,101,45,49,52,32,49,46,
      57,48,50,57,49,101,45,49,52,32,53,46,55,54,54,52,101,45,49,53,32,49,46,57,54,
      56,53,52,101,45,49,53,32,53,46,57,54,48,50,52,101,45,49,54,32,50,46,48,51,52,
      48,49,101,45,49,54,32,54,46,57,52,48,54,55,101,45,49,55,10,32,32,50,46,49,48,
      49,52,56,101,45,49,55,32,53,46,56,51,55,57,55,101,45,49,56,32,50,46,49,55,48,
      54,55,101,45,49,56,32,54,46,57,48,57,54,56,101,45,49,57,32,50,46,53,50,54,52,
      54,101,45,49,57,32,56,46,54,49,57,50,50,101,45,50,48,32,50,46,57,52,48,52,56,
      101,45,50,48,10,32,32,49,46,48,48,50,51,53,101,45,50,48,32,51,46,52,49,57,52,
      52,101,45,50,49,32,49,46,49,54,54,53,50,101,45,50,49,32,51,46,57,55,57,53,55,
      101,45,50,50,32,49,46,51,51,56,52,54,101,45,50,50,32,52,46,50,57,57,48,53,101,
      45,50,51,32,49,46,52,54,52,48,55,101,45,50,51,10,32,32,48,114,52,56,32,49,46,
      48,53,57,54,52,101,45,50,51,32,50,46,53,49,49,49,56,101,45,50,51,32,53,46,57,
      53,51,49,49,101,45,50,51,32,49,46,52,49,49,48,53,101,45,50,50,32,51,46,51,52,
      52,55,50,101,45,50,50,32,55,46,57,50,56,52,52,101,45,50,50,32,49,46,56,55,57,
      52,49,101,45,50,49,10,32,32,52,46,52,53,57,52,101,45,50,49,32,49,46,48,53,54,
      57,52,101,45,50,48,32,50,46,53,48,53,51,55,101,45,50,48,32,53,46,57,51,57,52,
      101,45,50,48,32,49,46,52,48,55,55,54,101,45,49,57,32,51,46,51,51,55,50,56,101,
      45,49,57,32,55,46,57,49,48,55,54,101,45,49,57,10,32,32,49,46,56,55,53,49,51,
      101,45,49,56,32,52,46,52,52,52,56,56,101,45,49,56,32,49,46,48,53,51,54,52,101,
      45,49,55,32,51,46,53,53,54,50,55,101,45,49,55,32,50,46,48,54,57,50,56,101,45,
      49,50,32,52,46,48,53,53,51,101,45,49,50,32,56,46,50,55,53,101,45,49,50,10,32,
      32,49,46,54,50,49,55,53,101,45,49,49,32,51,46,51,55,57,54,54,101,45,49,49,32,
      55,46,56,53,51,56,49,101,45,49,49,32,50,46,49,55,57,48,55,101,45,49,48,32,52,
      46,50,54,53,56,54,101,45,49,48,32,56,46,54,57,48,50,57,101,45,49,48,32,49,46,
      54,57,57,50,56,101,45,48,57,10,32,32,51,46,52,53,53,55,55,101,45,48,57,32,53,
      46,51,56,52,48,56,101,45,48,57,32,55,46,55,51,48,57,51,101,45,48,57,32,49,46,
      51,54,54,54,51,101,45,48,56,32,50,46,49,50,51,52,53,101,45,48,56,32,51,46,48,
      52,48,56,51,101,45,48,56,32,51,46,53,53,56,56,57,101,45,48,56,10,32,32,52,46,
      49,49,54,48,54,101,45,48,56,32,52,46,55,49,49,57,56,101,45,48,56,32,53,46,51,
      52,54,51,54,101,45,48,56,32,54,46,48,49,56,55,57,101,45,48,56,32,54,46,55,50,
      56,57,101,45,48,56,32,55,46,52,55,54,52,101,45,48,56,32,56,46,50,54,48,56,57,
      101,45,48,56,10,32,32,57,46,48,56,49,57,56,101,45,48,56,32,57,46,57,51,57,50,
      51,101,45,48,56,32,49,46,49,48,49,53,50,101,45,48,55,32,49,46,50,49,52,50,49,
      101,45,48,55,32,49,46,51,55,50,50,56,101,45,48,55,32,49,46,53,51,57,49,101,
      45,48,55,32,49,46,55,49,52,53,49,101,45,48,55,10,32,32,49,46,57,52,53,53,53,
      101,45,48,55,32,50,46,49,56,57,51,56,101,45,48,55,32,50,46,52,52,53,54,50,101,
      45,48,55,32,50,46,55,54,56,57,57,101,45,48,55,32,51,46,49,48,57,48,51,101,45,
      48,55,32,51,46,53,56,55,48,57,101,45,48,55,32,52,46,48,57,49,57,54,101,45,48,
      55,10,32,32,52,46,54,50,49,56,49,101,45,48,55,32,53,46,50,52,53,55,52,101,45,
      48,55,32,53,46,57,55,48,54,49,101,45,48,55,32,54,46,56,48,50,54,49,101,45,48,
      55,32,55,46,55,52,54,57,54,101,45,48,55,32,56,46,56,48,54,51,52,101,45,48,55,
      32,49,46,48,48,54,55,54,101,45,48,54,10,32,32,49,46,49,51,54,49,53,101,45,48,
      54,32,49,46,50,56,53,54,51,101,45,48,54,32,49,46,52,56,49,54,55,101,45,48,54,
      32,49,46,54,57,48,48,54,101,45,48,54,32,49,46,56,52,56,53,49,101,45,48,54,32,
      50,46,48,52,51,54,50,101,45,48,54,32,50,46,50,55,57,54,49,101,45,48,54,10,32,
      32,50,46,53,50,56,48,54,101,45,48,54,32,50,46,55,56,55,51,49,101,45,48,54,32,
      51,46,48,54,52,53,54,101,45,48,54,32,51,46,51,50,55,54,56,101,45,48,54,32,51,
      46,54,48,49,57,49,101,45,48,54,32,51,46,57,51,49,49,53,101,45,48,54,32,52,46,
      51,55,52,54,54,101,45,48,54,10,32,32,52,46,56,49,49,51,49,101,45,48,54,32,53,
      46,50,54,52,51,54,101,45,48,54,32,53,46,54,52,54,51,49,101,45,48,54,32,54,46,
      48,54,51,52,54,101,45,48,54,32,54,46,54,53,53,55,54,101,45,48,54,32,55,46,50,
      54,49,55,57,101,45,48,54,32,55,46,56,55,50,55,57,101,45,48,54,10,32,32,56,46,
      52,48,55,54,101,45,48,54,32,57,46,49,54,50,48,53,101,45,48,54,32,57,46,56,57,
      53,52,57,101,45,48,54,32,49,46,48,53,57,57,49,101,45,48,53,32,49,46,49,49,57,
      56,101,45,48,53,32,49,46,49,55,52,49,55,101,45,48,53,32,49,46,50,50,48,51,53,
      101,45,48,53,10,32,32,49,46,50,54,49,55,57,101,45,48,53,32,49,46,50,56,57,55,
      51,101,45,48,53,32,49,46,51,48,51,53,55,101,45,48,53,32,49,46,51,49,51,57,51,
      101,45,48,53,32,49,46,51,48,53,48,51,101,45,48,53,32,49,46,50,56,49,48,50,101,
      45,48,53,32,49,46,50,51,57,50,49,101,45,48,53,10,32,32,49,46,49,56,57,50,57,
      101,45,48,53,32,49,46,49,50,52,53,55,101,45,48,53,32,49,46,48,53,52,53,53,101,
      45,48,53,32,57,46,56,50,56,49,101,45,48,54,32,57,46,49,50,51,48,56,101,45,48,
      54,32,56,46,51,51,54,48,50,101,45,48,54,32,55,46,55,54,55,56,54,101,45,48,54,
      10,32,32,55,46,50,49,51,56,51,101,45,48,54,32,54,46,51,52,49,52,57,101,45,48,
      54,32,53,46,56,51,53,57,53,101,45,48,54,32,53,46,48,57,48,51,53,101,45,48,54,
      32,52,46,51,55,50,55,53,101,45,48,54,32,51,46,57,55,56,52,57,101,45,48,54,32,
      51,46,54,49,48,49,51,101,45,48,54,10,32,32,51,46,48,56,49,52,50,101,45,48,54,
      32,50,46,53,55,49,51,50,101,45,48,54,32,50,46,51,49,57,52,101,45,48,54,32,49,
      46,57,53,54,53,50,101,45,48,54,32,49,46,55,54,48,48,49,101,45,48,54,32,49,46,
      52,55,55,51,53,101,45,48,54,32,49,46,50,55,56,48,50,101,45,48,54,10,32,32,49,
      46,48,50,56,55,101,45,48,54,32,57,46,51,57,49,50,52,101,45,48,55,32,55,46,56,
      54,53,48,53,101,45,48,55,32,54,46,52,52,53,55,52,101,45,48,55,32,53,46,52,52,
      56,52,54,101,45,48,55,32,52,46,53,57,54,54,52,101,45,48,55,32,51,46,57,49,52,
      49,55,101,45,48,55,10,32,32,51,46,51,51,54,50,57,101,45,48,55,32,50,46,55,57,
      48,51,51,101,45,48,55,32,50,46,51,55,55,54,49,101,45,48,55,32,49,46,57,57,48,
      50,51,101,45,48,55,32,49,46,55,52,52,53,56,101,45,48,55,32,49,46,52,48,53,48,
      56,101,45,48,55,32,49,46,50,50,57,51,56,101,45,48,55,10,32,32,49,46,48,52,48,
      51,56,101,45,48,55,32,55,46,48,50,56,48,52,101,45,48,56,32,52,46,48,54,53,57,
      52,101,45,48,56,32,50,46,51,54,54,50,51,101,45,48,56,32,49,46,49,57,50,48,56,
      101,45,48,56,32,53,46,57,53,52,54,101,45,48,57,32,50,46,53,54,50,57,56,101,
      45,48,57,10,32,32,50,46,54,57,51,57,54,101,45,48,57,32,49,46,51,50,52,53,57,
      101,45,48,57,32,53,46,51,57,57,57,53,101,45,49,48,32,50,46,56,54,55,49,56,101,
      45,49,48,32,49,46,52,49,49,54,52,101,45,49,48,32,53,46,52,55,56,55,49,101,45,
      49,49,32,50,46,51,57,48,50,54,101,45,49,49,10,32,32,49,46,48,52,49,55,57,101,
      45,49,49,32,52,46,48,50,56,53,57,101,45,49,50,32,49,46,53,53,54,52,55,101,45,
      49,50,32,54,46,55,54,56,53,50,101,45,49,51,32,50,46,57,52,50,48,50,101,45,49,
      51,32,49,46,50,55,49,49,52,101,45,49,51,32,52,46,56,57,57,53,52,101,45,49,52,
      10,32,32,49,46,54,55,53,54,52,101,45,49,52,32,53,46,48,56,52,52,57,101,45,49,
      53,32,49,46,55,51,55,55,101,45,49,53,32,53,46,50,54,55,52,57,101,45,49,54,32,
      49,46,55,57,57,52,49,101,45,49,54,32,54,46,49,52,53,57,57,101,45,49,55,32,49,
      46,56,54,50,55,54,101,45,49,55,10,32,32,53,46,49,56,48,49,49,101,45,49,56,32,
      49,46,57,50,55,53,52,101,45,49,56,32,54,46,49,52,48,56,55,101,45,49,57,32,50,
      46,50,52,54,57,52,101,45,49,57,32,55,46,54,55,49,49,57,101,45,50,48,32,50,46,
      54,49,56,57,51,101,45,50,48,32,56,46,57,52,48,56,53,101,45,50,49,10,32,32,51,
      46,48,52,56,57,57,101,45,50,49,32,49,46,48,52,48,56,50,101,45,50,49,32,51,46,
      53,53,50,57,54,101,45,50,50,32,49,46,49,57,50,57,55,101,45,50,50,32,51,46,55,
      57,54,53,52,101,45,50,51,32,49,46,50,57,51,52,50,101,45,50,51,32,48,114,52,
      56,32,52,46,48,50,54,57,54,101,45,50,52,10,32,32,57,46,53,52,51,50,55,101,45,
      50,52,32,50,46,50,54,50,51,55,101,45,50,51,32,53,46,51,54,50,52,52,101,45,50,
      51,32,49,46,50,55,49,49,101,45,50,50,32,51,46,48,49,51,48,55,101,45,50,50,32,
      55,46,49,52,50,52,101,45,50,50,32,49,46,54,57,51,48,49,101,45,50,49,10,32,32,
      52,46,48,49,50,55,101,45,50,49,32,57,46,53,49,53,55,49,101,45,50,49,32,50,46,
      50,53,53,56,56,101,45,50,48,32,53,46,51,52,54,57,55,101,45,50,48,32,49,46,50,
      54,55,53,57,101,45,49,57,32,51,46,48,48,52,56,49,101,45,49,57,32,55,46,49,50,
      50,54,55,101,45,49,57,10,32,32,49,46,54,56,56,52,54,101,45,49,56,32,52,46,48,
      48,50,54,55,101,45,49,56,32,49,46,51,53,49,49,53,101,45,49,55,32,53,46,51,53,
      49,56,57,101,45,49,49,32,49,46,48,52,56,49,53,101,45,49,48,32,50,46,49,51,54,
      53,53,101,45,49,48,32,52,46,49,56,48,57,54,101,45,49,48,10,32,32,50,46,54,55,
      48,52,51,101,45,48,57,32,53,46,50,55,49,57,54,101,45,48,57,32,49,46,49,53,54,
      48,51,101,45,48,56,32,49,46,57,51,48,50,57,101,45,48,56,32,51,46,51,53,52,55,
      54,101,45,48,56,32,53,46,55,52,54,52,56,101,45,48,56,32,49,46,48,51,52,53,54,
      101,45,48,55,10,32,32,49,46,53,48,52,49,101,45,48,55,32,50,46,48,52,53,57,57,
      101,45,48,55,32,51,46,51,50,52,57,49,101,45,48,55,32,52,46,56,50,57,51,53,101,
      45,48,55,32,54,46,53,50,48,53,52,101,45,48,55,32,55,46,52,50,52,55,101,45,48,
      55,32,56,46,51,54,50,52,57,101,45,48,55,10,32,32,57,46,51,50,57,56,55,101,45,
      48,55,32,49,46,48,51,50,51,51,101,45,48,54,32,49,46,49,51,51,56,55,101,45,48,
      54,32,49,46,50,51,55,50,54,101,45,48,54,32,49,46,51,52,50,50,52,101,45,48,54,
      32,49,46,52,52,56,53,50,101,45,48,54,32,49,46,53,53,53,55,54,101,45,48,54,10,
      32,32,49,46,54,54,51,55,101,45,48,54,32,49,46,55,57,51,56,101,45,48,54,32,49,
      46,57,50,52,50,49,101,45,48,54,32,50,46,48,57,55,56,57,101,45,48,54,32,50,46,
      50,55,48,54,57,101,45,48,54,32,50,46,52,52,49,54,52,101,45,48,54,32,50,46,54,
      53,49,56,57,101,45,48,54,10,32,32,50,46,56,53,55,54,52,101,45,48,54,32,51,46,
      48,53,55,56,55,101,45,48,54,32,51,46,50,57,48,48,53,101,45,48,54,32,51,46,53,
      49,50,53,57,101,45,48,54,32,51,46,55,57,50,48,57,101,45,48,54,32,52,46,48,53,
      50,51,53,101,45,48,54,32,52,46,50,57,49,57,54,101,45,48,54,10,32,32,52,46,53,
      51,55,55,54,101,45,48,54,32,52,46,55,56,49,101,45,48,54,32,53,46,48,49,52,54,
      55,101,45,48,54,32,53,46,50,51,48,51,54,101,45,48,54,32,53,46,52,50,51,51,53,
      101,45,48,54,32,53,46,53,57,57,54,53,101,45,48,54,32,53,46,55,51,48,51,57,101,
      45,48,54,10,32,32,53,46,56,51,51,49,52,101,45,48,54,32,53,46,57,49,48,49,54,
      101,45,48,54,32,53,46,57,51,57,51,52,101,45,48,54,32,53,46,57,51,51,54,51,101,
      45,48,54,32,53,46,57,48,49,56,54,101,45,48,54,32,53,46,56,51,57,48,55,101,45,
      48,54,32,53,46,55,53,52,54,49,101,45,48,54,10,32,32,53,46,54,53,53,52,51,101,
      45,48,54,32,53,46,53,52,55,53,52,101,45,48,54,32,53,46,52,53,48,51,49,101,45,
      48,54,32,53,46,51,54,48,57,57,101,45,48,54,32,53,46,50,55,54,57,51,101,45,48,
      54,32,53,46,50,48,55,48,57,101,45,48,54,32,53,46,49,57,50,52,50,101,45,48,54,
      10,32,32,53,46,50,51,48,54,101,45,48,54,32,53,46,50,57,57,51,52,101,45,48,54,
      32,53,46,52,48,54,56,101,45,48,54,32,53,46,54,48,54,56,52,101,45,48,54,32,53,
      46,56,53,55,49,49,101,45,48,54,32,54,46,49,52,53,55,51,101,45,48,54,32,54,46,
      52,50,50,50,51,101,45,48,54,10,32,32,54,46,56,52,50,57,55,101,45,48,54,32,55,
      46,50,56,48,55,49,101,45,48,54,32,55,46,55,50,51,55,55,101,45,48,54,32,56,46,
      49,49,55,55,50,101,45,48,54,32,56,46,52,56,57,51,56,101,45,48,54,32,56,46,56,
      49,55,52,57,101,45,48,54,32,57,46,49,50,53,55,52,101,45,48,54,10,32,32,57,46,
      51,52,55,49,51,101,45,48,54,32,57,46,52,54,54,56,57,101,45,48,54,32,57,46,53,
      56,55,56,54,101,45,48,54,32,57,46,53,55,51,51,52,101,45,48,54,32,57,46,52,52,
      56,50,57,101,45,48,54,32,57,46,49,57,55,48,55,101,45,48,54,32,56,46,56,55,55,
      56,57,101,45,48,54,10,32,32,56,46,52,52,56,52,53,101,45,48,54,32,55,46,57,55,
      49,50,49,101,45,48,54,32,55,46,52,55,50,52,53,101,45,48,54,32,54,46,57,55,52,
      52,54,101,45,48,54,32,54,46,52,49,48,55,57,101,45,48,54,32,53,46,57,57,57,51,
      101,45,48,54,32,53,46,53,57,52,53,56,101,45,48,54,10,32,32,52,46,57,53,48,56,
      52,101,45,48,54,32,52,46,53,55,52,50,101,45,48,54,32,52,46,48,49,51,57,55,101,
      45,48,54,32,51,46,52,54,57,52,101,45,48,54,32,51,46,49,54,55,57,49,101,45,48,
      54,32,50,46,56,56,52,55,49,101,45,48,54,32,50,46,52,55,53,53,52,101,45,48,54,
      10,32,32,50,46,48,55,55,54,50,101,45,48,54,32,49,46,56,55,57,56,54,101,45,48,
      54,32,49,46,53,57,51,52,51,101,45,48,54,32,49,46,52,51,55,53,101,45,48,54,32,
      49,46,50,49,50,49,101,45,48,54,32,49,46,48,53,50,50,57,101,45,48,54,32,56,46,
      53,49,50,55,57,101,45,48,55,10,32,32,55,46,55,56,55,50,57,101,45,48,55,32,54,
      46,53,52,54,53,52,101,45,48,55,32,53,46,51,56,54,57,101,45,48,55,32,52,46,53,
      54,56,50,56,101,45,48,55,32,51,46,56,54,54,50,52,101,45,48,55,32,51,46,51,48,
      49,54,54,101,45,48,55,32,50,46,56,50,49,57,54,101,45,48,55,10,32,32,50,46,51,
      54,55,49,54,101,45,48,55,32,50,46,48,50,50,50,49,101,45,48,55,32,49,46,54,57,
      55,51,56,101,45,48,55,32,49,46,52,57,48,56,101,45,48,55,32,49,46,50,48,52,52,
      53,101,45,48,55,32,49,46,48,53,53,56,101,45,48,55,32,56,46,57,53,53,48,57,101,
      45,48,56,10,32,32,54,46,48,55,57,56,56,101,45,48,56,32,51,46,53,52,48,49,49,
      101,45,48,56,32,50,46,48,55,50,50,101,45,48,56,32,49,46,48,53,48,57,50,101,
      45,48,56,32,53,46,50,56,49,53,101,45,48,57,32,50,46,50,56,56,51,52,101,45,48,
      57,32,50,46,51,48,49,56,49,101,45,48,57,10,32,32,49,46,49,52,48,53,50,101,45,
      48,57,32,52,46,54,54,51,50,50,101,45,49,48,32,50,46,52,56,48,54,51,101,45,49,
      48,32,49,46,50,50,51,54,56,101,45,49,48,32,52,46,55,54,48,51,101,45,49,49,32,
      50,46,48,56,48,54,56,101,45,49,49,32,57,46,48,56,52,48,49,101,45,49,50,10,32,
      32,51,46,53,49,57,48,54,101,45,49,50,32,49,46,51,54,49,56,53,101,45,49,50,32,
      53,46,57,51,48,48,54,101,45,49,51,32,50,46,53,56,48,55,55,101,45,49,51,32,49,
      46,49,49,54,53,49,101,45,49,51,32,52,46,51,48,56,57,53,101,45,49,52,32,49,46,
      52,55,53,54,101,45,49,52,10,32,32,52,46,52,56,51,53,53,101,45,49,53,32,49,46,
      53,51,52,48,54,101,45,49,53,32,52,46,54,53,53,54,57,101,45,49,54,32,49,46,53,
      57,50,101,45,49,54,32,53,46,52,52,50,54,55,101,45,49,55,32,49,46,54,53,49,50,
      50,101,45,49,55,32,52,46,53,57,54,52,101,45,49,56,10,32,32,49,46,55,49,49,53,
      57,101,45,49,56,32,53,46,52,53,55,50,57,101,45,49,57,32,49,46,57,57,56,49,56,
      101,45,49,57,32,54,46,56,50,54,55,50,101,45,50,48,32,50,46,51,51,50,50,49,101,
      45,50,48,32,55,46,57,54,55,49,56,101,45,50,49,32,50,46,55,49,55,56,53,101,45,
      50,49,10,32,32,57,46,50,56,51,49,57,101,45,50,50,32,51,46,49,55,48,55,51,101,
      45,50,50,32,49,46,48,54,50,56,101,45,50,50,32,51,46,51,53,50,56,49,101,45,50,
      51,32,49,46,49,52,50,54,49,101,45,50,51,32,48,114,52,56,32,50,46,56,50,51,51,
      101,45,50,52,32,54,46,54,57,48,55,57,101,45,50,52,10,32,32,49,46,53,56,54,49,
      53,101,45,50,51,32,51,46,55,53,57,54,49,101,45,50,51,32,56,46,57,49,49,55,50,
      101,45,50,51,32,50,46,49,49,50,52,55,101,45,50,50,32,53,46,48,48,55,53,54,101,
      45,50,50,32,49,46,49,56,54,57,56,101,45,50,49,32,50,46,56,49,51,51,51,101,45,
      50,49,10,32,32,54,46,54,54,56,55,56,101,45,50,49,32,49,46,53,56,49,52,52,101,
      45,50,48,32,51,46,55,52,56,52,50,101,45,50,48,32,56,46,56,56,54,51,56,101,45,
      50,48,32,50,46,49,48,54,53,51,101,45,49,57,32,52,46,57,57,51,52,52,101,45,49,
      57,32,49,46,49,56,51,55,53,101,45,49,56,10,32,32,50,46,56,48,54,50,55,101,45,
      49,56,32,57,46,52,55,51,52,53,101,45,49,56,32,49,46,50,56,49,54,52,101,45,48,
      53,32,49,46,55,48,54,56,52,101,45,48,53,32,50,46,48,54,57,54,49,101,45,48,53,
      32,50,46,51,48,48,51,101,45,48,53,32,50,46,52,51,53,57,52,101,45,48,53,10,32,
      32,50,46,53,48,56,50,51,101,45,48,53,32,50,46,53,48,55,49,50,101,45,48,53,32,
      50,46,52,56,53,54,51,101,45,48,53,32,50,46,52,52,51,55,51,101,45,48,53,32,50,
      46,51,56,51,49,53,101,45,48,53,32,50,46,50,57,50,52,49,101,45,48,53,32,50,46,
      50,49,57,55,51,101,45,48,53,10,32,32,50,46,49,53,48,52,54,101,45,48,53,32,50,
      46,48,50,50,52,53,101,45,48,53,32,49,46,57,48,55,56,51,101,45,48,53,32,49,46,
      56,48,53,51,55,101,45,48,53,32,49,46,55,53,56,50,57,101,45,48,53,32,49,46,55,
      49,51,55,54,101,45,48,53,32,49,46,54,55,49,54,54,101,45,48,53,10,32,32,49,46,
      54,51,49,55,56,101,45,48,53,32,49,46,53,57,52,48,53,101,45,48,53,32,49,46,53,
      53,56,51,53,101,45,48,53,32,49,46,53,50,52,52,57,101,45,48,53,32,49,46,52,57,
      50,51,57,101,45,48,53,32,49,46,52,54,49,57,57,101,45,48,53,32,49,46,52,51,51,
      49,50,101,45,48,53,10,32,32,49,46,52,48,48,52,56,101,45,48,53,32,49,46,51,54,
      57,55,54,101,45,48,53,32,49,46,51,51,49,53,49,101,45,48,53,32,49,46,50,57,54,
      50,57,101,45,48,53,32,49,46,50,54,51,55,49,101,45,48,53,32,49,46,50,50,54,51,
      57,101,45,48,53,32,49,46,49,57,50,53,55,101,45,48,53,10,32,32,49,46,49,54,49,
      53,52,101,45,48,53,32,49,46,49,50,55,53,52,101,45,48,53,32,49,46,48,57,55,48,
      49,101,45,48,53,32,49,46,48,54,48,56,53,101,45,48,53,32,49,46,48,50,56,54,57,
      101,45,48,53,32,49,46,48,48,48,50,49,101,45,48,53,32,57,46,55,49,56,50,53,101,
      45,48,54,10,32,32,57,46,52,52,48,56,52,101,45,48,54,32,57,46,49,54,54,55,53,
      101,45,48,54,32,56,46,56,57,54,101,45,48,54,32,56,46,54,51,54,52,53,101,45,
      48,54,32,56,46,51,54,57,51,55,101,45,48,54,32,56,46,49,50,57,54,52,101,45,48,
      54,32,55,46,56,56,52,48,55,101,45,48,54,10,32,32,55,46,53,57,51,55,55,101,45,
      48,54,32,55,46,51,49,51,57,57,101,45,48,54,32,55,46,49,49,56,51,55,101,45,48,
      54,32,54,46,56,57,50,53,55,101,45,48,54,32,54,46,54,51,56,53,101,45,48,54,32,
      54,46,51,56,57,51,54,101,45,48,54,32,54,46,49,53,48,54,52,101,45,48,54,10,32,
      32,53,46,57,49,57,53,57,101,45,48,54,32,53,46,55,50,52,54,51,101,45,48,54,32,
      53,46,53,52,56,52,101,45,48,54,32,53,46,51,55,53,50,56,101,45,48,54,32,53,46,
      50,48,52,50,54,101,45,48,54,32,53,46,49,48,53,48,54,101,45,48,54,32,53,46,48,
      54,54,56,55,101,45,48,54,10,32,32,53,46,48,55,55,53,49,101,45,48,54,32,53,46,
      49,50,54,51,53,101,45,48,54,32,53,46,50,52,57,53,56,101,45,48,54,32,53,46,52,
      50,55,48,54,101,45,48,54,32,53,46,54,52,54,55,57,101,45,48,54,32,53,46,56,54,
      53,57,52,101,45,48,54,32,54,46,50,48,57,54,50,101,45,48,54,10,32,32,54,46,53,
      55,54,50,101,45,48,54,32,54,46,57,53,52,49,55,101,45,48,54,32,55,46,50,57,53,
      49,53,101,45,48,54,32,55,46,54,50,48,56,56,101,45,48,54,32,55,46,57,49,49,57,
      49,101,45,48,54,32,56,46,49,56,57,49,50,101,45,48,54,32,56,46,51,57,49,56,50,
      101,45,48,54,10,32,32,56,46,53,48,51,57,54,101,45,48,54,32,56,46,54,50,52,52,
      53,101,45,48,54,32,56,46,54,50,53,50,51,101,45,48,54,32,56,46,53,50,54,56,54,
      101,45,48,54,32,56,46,51,49,54,52,49,101,45,48,54,32,56,46,48,52,50,54,57,101,
      45,48,54,32,55,46,54,54,57,51,55,101,45,48,54,10,32,32,55,46,50,53,48,53,54,
      101,45,48,54,32,54,46,56,48,57,56,57,101,45,48,54,32,54,46,51,54,55,53,101,
      45,48,54,32,53,46,56,54,52,51,52,101,45,48,54,32,53,46,52,57,53,53,55,101,45,
      48,54,32,53,46,49,51,49,56,51,101,45,48,54,32,52,46,53,53,49,50,56,101,45,48,
      54,10,32,32,52,46,50,49,48,53,52,101,45,48,54,32,51,46,55,48,50,50,55,101,45,
      48,54,32,51,46,50,48,54,53,53,101,45,48,54,32,50,46,57,51,49,52,101,45,48,54,
      32,50,46,54,55,50,52,55,101,45,48,54,32,50,46,50,57,55,53,52,101,45,48,54,32,
      49,46,57,51,49,57,51,101,45,48,54,10,32,32,49,46,55,52,57,56,53,101,45,48,54,
      32,49,46,52,56,53,54,53,101,45,48,54,32,49,46,51,52,49,53,54,101,45,48,54,32,
      49,46,49,51,50,57,50,101,45,48,54,32,57,46,56,52,55,50,55,101,45,48,55,32,55,
      46,57,55,57,55,52,101,45,48,55,32,55,46,51,48,52,54,53,101,45,48,55,10,32,32,
      54,46,49,52,56,54,53,101,45,48,55,32,53,46,48,54,54,52,101,45,48,55,32,52,46,
      51,48,49,50,50,101,45,48,55,32,51,46,54,52,52,49,49,101,45,48,55,32,51,46,49,
      49,52,57,56,101,45,48,55,32,50,46,54,54,52,56,55,101,45,48,55,32,50,46,50,51,
      55,54,50,101,45,48,55,10,32,32,49,46,57,49,51,49,56,101,45,48,55,32,49,46,54,
      48,55,51,54,101,45,48,55,32,49,46,52,49,50,54,55,101,45,48,55,32,49,46,49,52,
      50,53,51,101,45,48,55,32,49,46,48,48,50,49,53,101,45,48,55,32,56,46,53,48,54,
      53,56,101,45,48,56,32,53,46,55,56,53,50,56,101,45,48,56,10,32,32,51,46,51,55,
      54,48,51,101,45,48,56,32,49,46,57,56,48,48,56,101,45,48,56,32,49,46,48,48,54,
      53,49,101,45,48,56,32,53,46,48,54,56,54,49,101,45,48,57,32,50,46,50,48,48,57,
      57,101,45,48,57,32,50,46,49,56,50,51,55,101,45,48,57,32,49,46,48,56,52,49,101,
      45,48,57,10,32,32,52,46,52,51,55,48,50,101,45,49,48,32,50,46,51,54,49,56,50,
      101,45,49,48,32,49,46,49,54,53,56,52,101,45,49,48,32,52,46,53,51,56,57,52,101,
      45,49,49,32,49,46,57,56,53,50,101,45,49,49,32,56,46,54,55,50,50,101,45,49,50,
      32,51,46,51,54,49,53,54,101,45,49,50,10,32,32,49,46,51,48,49,54,50,101,45,49,
      50,32,53,46,54,55,48,51,57,101,45,49,51,32,50,46,52,54,56,56,49,101,45,49,51,
      32,49,46,48,54,56,53,53,101,45,49,51,32,52,46,49,50,53,54,50,101,45,49,52,32,
      49,46,52,49,51,52,53,101,45,49,52,32,52,46,50,57,54,55,101,45,49,53,10,32,32,
      49,46,52,55,48,55,101,45,49,53,32,52,46,52,54,53,49,57,101,45,49,54,32,49,46,
      53,50,55,51,56,101,45,49,54,32,53,46,50,50,51,52,56,101,45,49,55,32,49,46,53,
      56,53,50,54,101,45,49,55,32,52,46,52,49,52,51,52,101,45,49,56,32,49,46,54,52,
      52,50,101,45,49,56,10,32,32,53,46,50,52,51,56,53,101,45,49,57,32,49,46,57,50,
      48,52,56,101,45,49,57,32,54,46,53,54,50,56,49,101,45,50,48,32,50,46,50,52,50,
      53,53,101,45,50,48,32,55,46,54,54,50,53,56,101,45,50,49,32,50,46,54,49,52,50,
      52,101,45,50,49,32,56,46,57,51,49,50,52,101,45,50,50,10,32,32,51,46,48,53,49,
      49,50,101,45,50,50,32,49,46,48,50,50,48,57,101,45,50,50,32,51,46,52,57,49,51,
      54,101,45,50,51,32,49,46,48,57,53,56,49,101,45,50,51,32,48,114,52,57,32,51,
      46,48,57,50,52,55,101,45,50,52,32,55,46,51,51,49,49,54,101,45,50,52,32,49,46,
      55,51,55,54,57,101,45,50,51,10,32,32,52,46,49,49,57,48,49,101,45,50,51,32,57,
      46,55,54,51,57,101,45,50,51,32,50,46,51,49,52,53,50,101,45,50,50,32,53,46,52,
      56,54,51,101,45,50,50,32,49,46,51,48,48,51,54,101,45,50,49,32,51,46,48,56,50,
      52,50,101,45,50,49,32,55,46,51,48,55,54,49,101,45,50,49,10,32,32,49,46,55,51,
      50,52,101,45,50,48,32,52,46,49,48,55,49,50,101,45,50,48,32,57,46,55,51,54,51,
      51,101,45,50,48,32,50,46,51,48,56,48,55,101,45,49,57,32,53,46,52,55,49,56,55,
      101,45,49,57,32,49,46,50,57,55,51,49,101,45,49,56,32,52,46,51,56,48,50,51,101,
      45,49,56,10,32,32,55,46,49,56,54,49,54,101,45,49,50,32,49,46,55,48,55,52,101,
      45,49,49,32,51,46,52,56,54,54,55,101,45,49,49,32,54,46,56,51,56,56,50,101,45,
      49,49,32,49,46,51,57,55,49,52,101,45,49,48,32,51,46,49,52,56,53,53,101,45,49,
      48,32,56,46,55,55,49,50,50,101,45,49,48,10,32,32,49,46,55,50,51,54,50,101,45,
      48,57,32,51,46,53,50,57,54,57,101,45,48,57,32,54,46,57,52,53,48,51,101,45,48,
      57,32,49,46,52,50,51,55,54,101,45,48,56,32,50,46,50,51,48,54,57,101,45,48,56,
      32,51,46,50,49,56,50,51,101,45,48,56,32,53,46,55,50,57,56,55,101,45,48,56,10,
      32,32,56,46,57,52,50,53,101,45,48,56,32,49,46,50,56,51,50,50,101,45,48,55,32,
      49,46,53,48,50,49,55,101,45,48,55,32,49,46,55,51,54,56,57,101,45,48,55,32,49,
      46,57,56,54,56,56,101,45,48,55,32,50,46,50,53,49,55,54,101,45,48,55,32,50,46,
      53,51,48,57,54,101,45,48,55,10,32,32,50,46,56,50,51,57,54,101,45,48,55,32,51,
      46,49,51,48,51,52,101,45,48,55,32,51,46,52,52,57,52,57,101,45,48,55,32,51,46,
      55,56,48,56,51,101,45,48,55,32,52,46,49,50,51,57,53,101,45,48,55,32,52,46,53,
      53,48,49,54,101,45,48,55,32,52,46,57,57,49,53,54,101,45,48,55,10,32,32,53,46,
      54,48,50,48,57,101,45,48,55,32,54,46,50,51,53,51,53,101,45,48,55,32,54,46,56,
      56,57,48,55,101,45,48,55,32,55,46,55,51,50,50,53,101,45,48,55,32,56,46,53,57,
      57,52,55,101,45,48,55,32,57,46,52,56,55,56,101,45,48,55,32,49,46,48,53,55,53,
      55,101,45,48,54,10,32,32,49,46,49,54,56,49,101,45,48,54,32,49,46,51,49,55,49,
      55,101,45,48,54,32,49,46,52,54,55,49,51,101,45,48,54,32,49,46,54,49,54,55,52,
      101,45,48,54,32,49,46,55,56,51,51,52,101,45,48,54,32,49,46,57,54,52,56,55,101,
      45,48,54,32,50,46,49,53,56,54,101,45,48,54,10,32,32,50,46,51,54,49,53,49,101,
      45,48,54,32,50,46,53,54,57,49,53,101,45,48,54,32,50,46,55,57,49,54,101,45,48,
      54,32,50,46,57,57,52,55,50,101,45,48,54,32,51,46,50,48,49,52,57,101,45,48,54,
      32,51,46,52,51,50,50,56,101,45,48,54,32,51,46,54,51,51,57,49,101,45,48,54,10,
      32,32,51,46,55,54,48,56,50,101,45,48,54,32,51,46,56,56,57,54,53,101,45,48,54,
      32,52,46,48,48,57,52,57,101,45,48,54,32,52,46,48,57,57,57,101,45,48,54,32,52,
      46,49,54,50,48,55,101,45,48,54,32,52,46,49,57,57,54,51,101,45,48,54,32,52,46,
      50,49,52,55,51,101,45,48,54,10,32,32,52,46,50,49,54,48,53,101,45,48,54,32,52,
      46,50,48,55,57,52,101,45,48,54,32,52,46,49,57,50,52,49,101,45,48,54,32,52,46,
      49,56,54,57,50,101,45,48,54,32,52,46,49,57,57,51,52,101,45,48,54,32,52,46,50,
      50,54,51,53,101,45,48,54,32,52,46,50,55,51,50,55,101,45,48,54,10,32,32,52,46,
      51,54,56,57,53,101,45,48,54,32,52,46,52,57,56,49,49,101,45,48,54,32,52,46,54,
      53,53,57,51,101,45,48,54,32,52,46,56,49,51,56,101,45,48,54,32,53,46,48,54,51,
      57,101,45,48,54,32,53,46,51,51,52,55,50,101,45,48,54,32,53,46,54,49,56,54,49,
      101,45,48,54,10,32,32,53,46,56,55,57,48,49,101,45,48,54,32,54,46,49,51,49,57,
      55,101,45,48,54,32,54,46,51,54,50,49,56,101,45,48,54,32,54,46,53,56,54,52,53,
      101,45,48,54,32,54,46,55,53,53,52,53,101,45,48,54,32,54,46,56,53,50,54,50,101,
      45,48,54,32,54,46,57,54,55,52,49,101,45,48,54,10,32,32,54,46,57,56,56,57,101,
      45,48,54,32,54,46,57,51,49,50,50,101,45,48,54,32,54,46,55,56,53,54,51,101,45,
      48,54,32,54,46,53,56,53,56,101,45,48,54,32,54,46,51,48,53,50,54,101,45,48,54,
      32,53,46,57,56,52,50,53,101,45,48,54,32,53,46,54,52,49,53,57,101,45,48,54,10,
      32,32,53,46,50,57,51,55,55,101,45,48,54,32,52,46,56,57,52,51,53,101,45,48,54,
      32,52,46,53,57,57,51,57,101,45,48,54,32,52,46,51,48,54,55,49,101,45,48,54,32,
      51,46,56,51,54,50,56,101,45,48,54,32,51,46,53,53,56,51,54,101,45,48,54,32,51,
      46,49,52,49,51,55,101,45,48,54,10,32,32,50,46,55,51,49,57,51,101,45,48,54,32,
      50,46,53,48,51,52,56,101,45,48,54,32,50,46,50,56,55,55,49,101,45,48,54,32,49,
      46,57,55,51,56,55,101,45,48,54,32,49,46,54,54,54,49,56,101,45,48,54,32,49,46,
      53,49,50,50,56,101,45,48,54,32,49,46,50,56,56,49,53,101,45,48,54,10,32,32,49,
      46,49,54,53,52,54,101,45,48,54,32,57,46,56,55,50,50,51,101,45,48,55,32,56,46,
      54,48,49,53,54,101,45,48,55,32,54,46,57,57,52,49,52,101,45,48,55,32,54,46,52,
      49,49,50,50,101,45,48,55,32,53,46,52,49,48,53,51,101,45,48,55,32,52,46,52,55,
      48,53,101,45,48,55,10,32,32,51,46,56,48,51,55,54,101,45,48,55,32,51,46,50,50,
      57,54,50,101,45,48,55,32,50,46,55,54,54,49,49,101,45,48,55,32,50,46,51,55,48,
      56,55,101,45,48,55,32,49,46,57,57,52,56,49,101,45,48,55,32,49,46,55,48,56,53,
      55,101,45,48,55,32,49,46,52,51,56,49,53,101,45,48,55,10,32,32,49,46,50,54,53,
      54,54,101,45,48,55,32,49,46,48,50,53,56,49,101,45,48,55,32,57,46,48,48,57,49,
      51,101,45,48,56,32,55,46,54,53,57,48,52,101,45,48,56,32,53,46,50,50,54,56,56,
      101,45,48,56,32,51,46,48,54,51,54,56,101,45,48,56,32,49,46,56,48,52,48,55,101,
      45,48,56,10,32,32,57,46,50,49,50,54,50,101,45,48,57,32,52,46,54,53,57,48,54,
      101,45,48,57,32,50,46,48,51,50,53,101,45,48,57,32,49,46,57,53,57,52,52,101,
      45,48,57,32,57,46,55,56,48,49,52,101,45,49,48,32,52,46,48,49,49,48,57,101,45,
      49,48,32,50,46,49,51,55,57,49,101,45,49,48,10,32,32,49,46,48,53,54,55,53,101,
      45,49,48,32,52,46,49,50,48,57,57,101,45,49,49,32,49,46,56,48,52,55,54,101,45,
      49,49,32,55,46,56,57,51,52,51,101,45,49,50,32,51,46,48,54,51,53,55,101,45,49,
      50,32,49,46,49,56,55,54,49,101,45,49,50,32,53,46,49,55,56,54,51,101,45,49,51,
      10,32,32,50,46,50,53,54,55,49,101,45,49,51,32,57,46,55,55,54,52,57,101,45,49,
      52,32,51,46,55,55,55,57,57,101,45,49,52,32,49,46,50,57,53,53,54,101,45,49,52,
      32,51,46,57,52,50,49,50,101,45,49,53,32,49,46,51,53,48,52,51,101,45,49,53,32,
      52,46,49,48,51,53,49,101,45,49,54,10,32,32,49,46,52,48,52,54,56,101,45,49,54,
      32,52,46,56,48,55,49,49,101,45,49,55,32,49,46,52,53,57,57,52,101,45,49,55,32,
      52,46,48,54,56,51,52,101,45,49,56,32,49,46,53,49,54,49,53,101,45,49,56,32,52,
      46,56,51,56,52,51,101,45,49,57,32,49,46,55,55,50,57,101,45,49,57,10,32,32,54,
      46,48,54,49,54,57,101,45,50,48,32,50,46,48,55,50,51,56,101,45,50,48,32,55,46,
      48,56,52,54,51,101,45,50,49,32,50,46,52,49,57,57,53,101,45,50,49,32,56,46,50,
      54,51,49,50,101,45,50,50,32,50,46,56,50,52,49,51,101,45,50,50,32,57,46,52,53,
      48,52,53,101,45,50,51,10,32,32,51,46,50,50,57,53,57,101,45,50,51,32,49,46,48,
      48,55,48,55,101,45,50,51,32,48,114,52,57,32,50,46,48,52,51,55,56,101,45,50,
      52,32,52,46,56,52,53,48,56,101,45,50,52,32,49,46,49,52,56,52,50,101,45,50,51,
      32,50,46,55,50,50,50,50,101,45,50,51,32,54,46,52,53,50,57,101,45,50,51,10,32,
      32,49,46,53,50,57,54,54,101,45,50,50,32,51,46,54,50,53,56,57,101,45,50,50,32,
      56,46,53,57,52,49,101,45,50,50,32,50,46,48,51,55,50,101,45,50,49,32,52,46,56,
      50,57,55,50,101,45,50,49,32,49,46,49,52,52,56,101,45,50,48,32,50,46,55,49,52,
      52,51,101,45,50,48,10,32,32,54,46,52,51,52,57,57,101,45,50,48,32,49,46,53,50,
      53,53,50,101,45,49,57,32,51,46,54,49,54,56,101,45,49,57,32,56,46,53,55,53,53,
      101,45,49,57,32,50,46,56,57,53,56,101,45,49,56,32,50,46,57,54,54,54,56,101,
      45,49,50,32,53,46,56,49,54,49,53,101,45,49,50,10,32,32,49,46,49,57,56,50,55,
      101,45,49,49,32,50,46,54,49,57,52,53,101,45,49,49,32,53,46,51,52,55,51,52,101,
      45,49,49,32,49,46,50,48,51,52,54,101,45,49,48,32,51,46,51,52,52,51,54,101,45,
      49,48,32,54,46,53,53,55,52,55,101,45,49,48,32,49,46,51,51,56,57,54,101,45,48,
      57,10,32,32,50,46,54,50,53,57,53,101,45,48,57,32,53,46,51,54,51,48,49,101,45,
      48,57,32,56,46,51,56,51,52,54,101,45,48,57,32,49,46,50,48,55,53,56,101,45,48,
      56,32,50,46,49,52,55,49,52,101,45,48,56,32,51,46,51,53,51,52,101,45,48,56,32,
      52,46,56,50,51,55,54,101,45,48,56,10,32,32,53,46,54,53,54,56,57,101,45,48,56,
      32,54,46,53,53,52,54,51,101,45,48,56,32,55,46,53,49,54,50,55,101,45,48,56,32,
      56,46,53,52,49,52,101,45,48,56,32,57,46,54,50,57,48,52,101,45,48,56,32,49,46,
      48,55,55,56,53,101,45,48,55,32,49,46,49,57,56,56,57,101,45,48,55,10,32,32,49,
      46,51,50,53,57,54,101,45,48,55,32,49,46,52,53,56,57,52,101,45,48,55,32,49,46,
      53,57,55,55,50,101,45,48,55,32,49,46,55,55,49,56,101,45,48,55,32,49,46,57,53,
      51,57,51,101,45,48,55,32,50,46,50,48,57,101,45,48,55,32,50,46,52,55,55,53,51,
      101,45,48,55,10,32,32,50,46,55,53,57,48,49,101,45,48,55,32,51,46,49,50,56,50,
      57,101,45,48,55,32,51,46,53,49,53,57,54,101,45,48,55,32,51,46,57,50,49,48,54,
      101,45,48,55,32,52,46,52,50,56,53,50,101,45,48,55,32,52,46,57,53,55,52,52,101,
      45,48,55,32,53,46,54,57,50,52,53,101,45,48,55,10,32,32,54,46,52,53,55,54,57,
      101,45,48,55,32,55,46,50,52,56,49,55,101,45,48,55,32,56,46,49,54,50,48,55,101,
      45,48,55,32,57,46,50,48,48,55,54,101,45,48,55,32,49,46,48,51,54,51,50,101,45,
      48,54,32,49,46,49,54,52,51,54,101,45,48,54,32,49,46,51,48,51,49,49,101,45,48,
      54,10,32,32,49,46,52,54,49,54,49,101,45,48,54,32,49,46,54,49,54,56,54,101,45,
      48,54,32,49,46,55,56,55,48,57,101,45,48,54,32,49,46,57,57,53,54,49,101,45,48,
      54,32,50,46,49,57,57,52,51,101,45,48,54,32,50,46,51,52,50,52,51,101,45,48,54,
      32,50,46,53,48,52,54,51,101,45,48,54,10,32,32,50,46,54,56,48,55,49,101,45,48,
      54,32,50,46,56,52,51,50,51,101,45,48,54,32,50,46,57,56,57,48,51,101,45,48,54,
      32,51,46,49,49,57,57,54,101,45,48,54,32,51,46,50,50,50,57,51,101,45,48,54,32,
      51,46,51,49,49,50,53,101,45,48,54,32,51,46,51,57,54,57,51,101,45,48,54,10,32,
      32,51,46,52,56,56,48,49,101,45,48,54,32,51,46,53,54,51,49,101,45,48,54,32,51,
      46,54,51,54,48,53,101,45,48,54,32,51,46,54,57,57,48,50,101,45,48,54,32,51,46,
      55,55,50,53,49,101,45,48,54,32,51,46,56,56,56,52,54,101,45,48,54,32,52,46,48,
      50,50,56,101,45,48,54,10,32,32,52,46,49,55,52,53,56,101,45,48,54,32,52,46,51,
      50,48,52,56,101,45,48,54,32,52,46,53,52,54,49,55,101,45,48,54,32,52,46,55,56,
      55,50,56,101,45,48,54,32,53,46,48,51,56,56,101,45,48,54,32,53,46,50,54,57,53,
      56,101,45,48,54,32,53,46,52,57,52,53,49,101,45,48,54,10,32,32,53,46,55,48,48,
      51,50,101,45,48,54,32,53,46,57,48,50,52,55,101,45,48,54,32,54,46,48,53,54,55,
      101,45,48,54,32,54,46,49,52,54,55,56,101,45,48,54,32,54,46,50,53,55,49,57,101,
      45,48,54,32,54,46,50,56,53,51,53,101,45,48,54,32,54,46,50,52,50,56,57,101,45,
      48,54,10,32,32,54,46,49,50,50,55,56,101,45,48,54,32,53,46,57,53,50,55,53,101,
      45,48,54,32,53,46,55,49,48,50,57,101,45,48,54,32,53,46,52,50,57,57,54,101,45,
      48,54,32,53,46,49,50,56,53,49,101,45,48,54,32,52,46,56,50,48,55,55,101,45,48,
      54,32,52,46,52,54,53,53,57,101,45,48,54,10,32,32,52,46,50,48,50,50,53,101,45,
      48,54,32,51,46,57,52,48,49,56,101,45,48,54,32,51,46,53,49,55,52,51,101,45,48,
      54,32,51,46,50,54,54,56,52,101,45,48,54,32,50,46,56,56,57,55,56,101,45,48,54,
      32,50,46,53,49,56,50,57,101,45,48,54,32,50,46,51,49,48,52,54,101,45,48,54,10,
      32,32,50,46,49,49,51,56,49,101,45,48,54,32,49,46,56,50,55,49,51,101,45,48,54,
      32,49,46,53,52,53,50,57,101,45,48,54,32,49,46,52,48,52,48,50,101,45,48,54,32,
      49,46,49,57,55,57,101,45,48,54,32,49,46,48,56,52,56,54,101,45,48,54,32,57,46,
      50,48,51,54,52,101,45,48,55,10,32,32,56,46,48,50,56,55,53,101,45,48,55,32,54,
      46,53,51,57,54,101,45,48,55,32,53,46,57,57,56,55,101,45,48,55,32,53,46,48,54,
      56,57,57,101,45,48,55,32,52,46,49,57,52,49,50,101,45,48,55,32,51,46,53,55,50,
      53,57,101,45,48,55,32,51,46,48,51,54,54,52,101,45,48,55,10,32,32,50,46,54,48,
      51,51,57,101,45,48,55,32,50,46,50,51,51,53,50,101,45,48,55,32,49,46,56,56,49,
      49,54,101,45,48,55,32,49,46,54,49,50,54,54,101,45,48,55,32,49,46,51,53,56,55,
      101,45,48,55,32,49,46,49,57,54,53,54,101,45,48,55,32,57,46,55,48,56,54,53,101,
      45,48,56,10,32,32,56,46,53,51,50,49,53,101,45,48,56,32,55,46,50,53,57,50,54,
      101,45,48,56,32,52,46,57,54,50,55,52,101,45,48,56,32,50,46,57,49,53,52,52,101,
      45,48,56,32,49,46,55,50,48,51,50,101,45,48,56,32,56,46,56,48,53,54,55,101,45,
      48,57,32,52,46,52,54,50,55,56,101,45,48,57,10,32,32,49,46,57,53,49,51,53,101,
      45,48,57,32,49,46,56,53,54,48,53,101,45,48,57,32,57,46,50,56,49,54,57,101,45,
      49,48,32,51,46,56,49,48,54,52,101,45,49,48,32,50,46,48,51,50,52,51,101,45,49,
      48,32,49,46,48,48,53,51,101,45,49,48,32,51,46,57,50,51,54,49,101,45,49,49,10,
      32,32,49,46,55,49,57,52,54,101,45,49,49,32,55,46,53,50,52,57,57,101,45,49,50,
      32,50,46,57,50,50,52,53,101,45,49,50,32,49,46,49,51,51,53,56,101,45,49,50,32,
      52,46,57,52,53,51,57,101,45,49,51,32,50,46,49,53,54,48,51,101,45,49,51,32,57,
      46,51,52,52,54,51,101,45,49,52,10,32,32,51,46,54,49,50,55,49,101,45,49,52,32,
      49,46,50,51,57,52,53,101,45,49,52,32,51,46,55,55,51,50,49,101,45,49,53,32,49,
      46,50,57,51,48,56,101,45,49,53,32,51,46,57,51,48,57,101,45,49,54,32,49,46,51,
      52,54,48,54,101,45,49,54,32,52,46,54,48,56,48,51,101,45,49,55,10,32,32,49,46,
      51,57,57,57,56,101,45,49,55,32,51,46,57,48,50,54,51,101,45,49,56,32,49,46,52,
      53,52,55,55,101,45,49,56,32,52,46,54,52,51,56,54,101,45,49,57,32,49,46,55,48,
      50,101,45,49,57,32,53,46,56,50,48,54,57,101,45,50,48,32,49,46,57,57,48,52,53,
      101,45,50,48,10,32,32,54,46,56,48,54,48,52,101,45,50,49,32,50,46,51,50,53,49,
      51,101,45,50,49,32,55,46,57,52,48,51,52,101,45,50,50,32,50,46,55,49,52,51,54,
      101,45,50,50,32,57,46,48,55,55,52,50,101,45,50,51,32,51,46,49,48,50,54,54,101,
      45,50,51,32,57,46,54,53,48,48,51,101,45,50,52,10,32,32,48,114,53,48,32,49,46,
      54,50,50,48,57,101,45,50,52,32,51,46,56,52,52,56,51,101,45,50,52,32,57,46,49,
      49,51,56,52,101,45,50,52,32,50,46,49,54,48,52,50,101,45,50,51,32,53,46,49,50,
      49,51,51,101,45,50,51,32,49,46,50,49,51,57,56,101,45,50,50,32,50,46,56,55,55,
      52,52,101,45,50,50,10,32,32,54,46,56,50,49,48,57,101,45,50,50,32,49,46,54,49,
      55,49,57,101,45,50,49,32,51,46,56,51,51,52,57,101,45,50,49,32,57,46,48,56,57,
      49,53,101,45,50,49,32,50,46,49,53,52,57,52,101,45,50,48,32,53,46,49,48,57,50,
      57,101,45,50,48,32,49,46,50,49,49,53,57,101,45,49,57,10,32,32,50,46,56,55,51,
      51,57,101,45,49,57,32,57,46,55,48,55,53,52,101,45,49,57,32,49,46,52,52,50,50,
      51,101,45,49,50,32,50,46,56,50,54,101,45,49,50,32,53,46,55,54,52,57,57,101,
      45,49,50,32,49,46,49,50,57,51,50,101,45,49,49,32,50,46,51,48,51,48,56,101,45,
      49,49,10,32,32,53,46,49,55,53,53,50,101,45,49,49,32,49,46,52,53,50,56,52,101,
      45,49,48,32,50,46,56,52,48,50,56,101,45,49,48,32,53,46,55,55,51,57,49,101,45,
      49,48,32,49,46,49,50,53,56,49,101,45,48,57,32,50,46,50,55,57,55,53,101,45,48,
      57,32,51,46,53,51,57,49,57,101,45,48,57,10,32,32,53,46,48,54,51,55,56,101,45,
      48,57,32,56,46,56,56,55,57,51,101,45,48,57,32,49,46,51,55,49,50,52,101,45,48,
      56,32,49,46,57,52,57,56,56,101,45,48,56,32,50,46,50,55,52,49,51,101,45,48,56,
      32,50,46,54,50,49,48,53,101,45,48,56,32,50,46,57,57,48,50,50,101,45,48,56,10,
      32,32,51,46,51,56,49,50,49,101,45,48,56,32,51,46,55,57,51,53,57,101,45,48,56,
      32,52,46,50,50,54,57,54,101,45,48,56,32,52,46,54,56,48,56,57,101,45,48,56,32,
      53,46,49,53,53,101,45,48,56,32,53,46,54,52,56,56,57,101,45,48,56,32,54,46,49,
      54,50,49,56,101,45,48,56,10,32,32,54,46,56,48,51,50,49,101,45,48,56,32,55,46,
      52,55,48,57,56,101,45,48,56,32,56,46,52,48,49,56,54,101,45,48,56,32,57,46,51,
      55,55,55,49,101,45,48,56,32,49,46,48,51,57,55,49,101,45,48,55,32,49,46,49,55,
      51,48,54,101,45,48,55,32,49,46,51,49,50,55,50,101,45,48,55,10,32,32,49,46,52,
      53,56,52,54,101,45,48,55,32,49,46,54,52,49,48,49,101,45,48,55,32,49,46,56,51,
      49,53,50,101,45,48,55,32,50,46,48,57,55,50,52,101,45,48,55,32,50,46,51,55,53,
      52,55,101,45,48,55,32,50,46,54,54,53,51,51,101,45,48,55,32,51,46,48,48,52,50,
      55,101,45,48,55,10,32,32,51,46,51,57,53,52,51,101,45,48,55,32,51,46,56,52,49,
      54,54,101,45,48,55,32,52,46,51,52,53,50,101,45,48,55,32,52,46,57,48,55,55,53,
      101,45,48,55,32,53,46,53,55,53,49,101,45,48,55,32,54,46,50,53,56,48,51,101,
      45,48,55,32,55,46,48,52,53,55,56,101,45,48,55,10,32,32,56,46,48,55,56,53,55,
      101,45,48,55,32,57,46,49,55,54,55,49,101,45,48,55,32,49,46,48,48,49,48,57,101,
      45,48,54,32,49,46,49,48,51,54,49,101,45,48,54,32,49,46,50,50,54,57,57,101,45,
      48,54,32,49,46,51,53,53,53,50,101,45,48,54,32,49,46,52,56,55,51,49,101,45,48,
      54,10,32,32,49,46,54,50,52,51,55,101,45,48,54,32,49,46,55,52,57,53,50,101,45,
      48,54,32,49,46,56,55,51,55,50,101,45,48,54,32,50,46,48,49,51,49,55,101,45,48,
      54,32,50,46,49,56,51,57,101,45,48,54,32,50,46,51,51,51,54,49,101,45,48,54,32,
      50,46,52,55,50,57,49,101,45,48,54,10,32,32,50,46,53,56,48,53,51,101,45,48,54,
      32,50,46,54,57,48,54,52,101,45,48,54,32,50,46,56,51,56,51,54,101,45,48,54,32,
      50,46,57,56,52,49,54,101,45,48,54,32,51,46,49,50,57,56,54,101,45,48,54,32,51,
      46,50,53,56,55,53,101,45,48,54,32,51,46,52,52,53,55,50,101,45,48,54,10,32,32,
      51,46,54,51,54,50,101,45,48,54,32,51,46,56,50,57,56,101,45,48,54,32,52,46,48,
      48,53,52,53,101,45,48,54,32,52,46,49,55,54,52,54,101,45,48,54,32,52,46,51,51,
      51,57,49,101,45,48,54,32,52,46,52,57,48,55,52,101,45,48,54,32,52,46,54,49,51,
      50,52,101,45,48,54,10,32,32,52,46,54,56,55,48,54,101,45,48,54,32,52,46,55,56,
      52,50,57,101,45,48,54,32,52,46,56,50,49,51,56,101,45,48,54,32,52,46,56,48,53,
      54,51,101,45,48,54,32,52,46,55,51,51,49,53,101,45,48,54,32,52,46,54,50,48,54,
      101,45,48,54,32,52,46,52,53,51,48,51,101,45,48,54,10,32,32,52,46,50,53,51,56,
      54,101,45,48,54,32,52,46,48,51,53,53,54,101,45,48,54,32,51,46,56,48,57,52,56,
      101,45,48,54,32,51,46,53,52,53,51,50,101,45,48,54,32,51,46,51,52,55,53,101,
      45,48,54,32,51,46,49,52,57,49,54,101,45,48,54,32,50,46,56,50,54,51,53,101,45,
      48,54,10,32,32,50,46,54,51,51,52,50,101,45,48,54,32,50,46,51,52,49,101,45,48,
      54,32,50,46,48,53,48,52,49,101,45,48,54,32,49,46,56,56,54,55,56,101,45,48,54,
      32,49,46,55,51,49,50,51,101,45,48,54,32,49,46,53,48,51,49,55,101,45,48,54,32,
      49,46,50,55,55,52,101,45,48,54,10,32,32,49,46,49,54,51,54,51,101,45,48,54,32,
      57,46,57,54,56,51,57,101,45,48,55,32,57,46,48,52,57,55,49,101,45,48,55,32,55,
      46,55,48,55,48,57,101,45,48,55,32,54,46,55,52,51,54,54,101,45,48,55,32,53,46,
      53,49,54,54,49,101,45,48,55,32,53,46,48,54,57,49,101,45,48,55,10,32,32,52,46,
      50,57,55,52,50,101,45,48,55,32,51,46,53,54,56,49,49,101,45,48,55,32,51,46,48,
      52,55,57,101,45,48,55,32,50,46,53,57,55,55,52,101,45,48,55,32,50,46,50,51,50,
      54,53,101,45,48,55,32,49,46,57,50,48,48,50,101,45,48,55,32,49,46,54,50,49,50,
      56,101,45,48,55,10,32,32,49,46,51,57,50,57,55,101,45,48,55,32,49,46,49,55,54,
      52,49,101,45,48,55,32,49,46,48,51,55,55,57,101,45,48,55,32,56,46,52,52,51,50,
      56,101,45,48,56,32,55,46,52,51,50,49,55,101,45,48,56,32,54,46,51,51,53,56,54,
      101,45,48,56,32,52,46,51,53,48,54,101,45,48,56,10,32,32,50,46,53,55,48,51,55,
      101,45,48,56,32,49,46,53,50,52,52,57,101,45,48,56,32,55,46,56,52,57,52,56,101,
      45,48,57,32,51,46,57,57,57,54,56,101,45,48,57,32,49,46,55,53,57,50,51,101,45,
      48,57,32,49,46,54,50,49,57,50,101,45,48,57,32,56,46,49,51,52,49,53,101,45,49,
      48,10,32,32,51,46,51,52,56,53,56,101,45,49,48,32,49,46,55,56,57,48,54,101,45,
      49,48,32,56,46,56,54,52,56,57,101,45,49,49,32,51,46,52,54,55,51,54,101,45,49,
      49,32,49,46,53,50,50,49,49,101,45,49,49,32,54,46,54,55,49,56,101,45,49,50,32,
      50,46,53,57,53,51,51,101,45,49,50,10,32,32,49,46,48,48,56,49,57,101,45,49,50,
      32,52,46,52,48,51,55,101,45,49,51,32,49,46,57,50,50,48,54,101,45,49,51,32,56,
      46,51,52,48,53,51,101,45,49,52,32,51,46,50,50,56,51,101,45,49,52,32,49,46,49,
      48,56,57,52,101,45,49,52,32,51,46,51,56,48,49,55,101,45,49,53,10,32,32,49,46,
      49,53,57,53,54,101,45,49,53,32,51,46,53,50,56,55,52,101,45,49,54,32,49,46,50,
      48,57,52,51,101,45,49,54,32,52,46,49,52,51,56,49,101,45,49,55,32,49,46,50,54,
      48,48,54,101,45,49,55,32,51,46,53,49,53,55,53,101,45,49,56,32,49,46,51,49,49,
      52,50,101,45,49,56,10,32,32,52,46,49,56,57,51,52,101,45,49,57,32,49,46,53,51,
      54,51,54,101,45,49,57,32,53,46,50,53,55,53,53,101,45,50,48,32,49,46,55,57,56,
      57,56,101,45,50,48,32,54,46,49,53,52,57,55,101,45,50,49,32,50,46,49,48,53,54,
      55,101,45,50,49,32,55,46,49,56,53,54,52,101,45,50,50,10,32,32,50,46,52,53,55,
      54,49,101,45,50,50,32,56,46,52,48,52,57,50,101,45,50,51,32,50,46,56,48,55,50,
      54,101,45,50,51,32,56,46,54,55,49,52,54,101,45,50,52,32,49,46,55,48,53,56,49,
      101,45,50,52,32,48,114,53,49,32,49,46,54,55,48,56,56,101,45,50,52,32,51,46,
      57,54,48,57,49,101,45,50,52,10,32,32,57,46,51,56,57,56,52,101,45,50,52,32,50,
      46,50,50,53,57,50,101,45,50,51,32,53,46,50,55,54,52,101,45,50,51,32,49,46,50,
      53,48,57,49,101,45,50,50,32,50,46,57,54,54,49,51,101,45,50,50,32,55,46,48,51,
      50,51,50,101,45,50,50,32,49,46,54,54,55,55,52,101,45,50,49,10,32,32,51,46,57,
      53,53,50,51,101,45,50,49,32,57,46,51,56,49,53,56,101,45,50,49,32,50,46,50,50,
      53,56,53,101,45,50,48,32,53,46,50,56,50,55,49,101,45,50,48,32,49,46,55,56,55,
      51,50,101,45,49,57,32,55,46,57,49,55,55,50,101,45,49,51,32,49,46,53,53,49,53,
      56,101,45,49,50,10,32,32,51,46,49,54,53,53,55,101,45,49,50,32,54,46,50,48,50,
      48,56,101,45,49,50,32,49,46,50,54,53,49,51,101,45,49,49,32,50,46,56,52,51,56,
      54,101,45,49,49,32,55,46,56,56,52,55,54,101,45,49,49,32,49,46,53,52,50,53,49,
      101,45,49,48,32,51,46,49,51,57,49,101,45,49,48,10,32,32,54,46,49,50,57,54,50,
      101,45,49,48,32,49,46,50,52,51,57,54,101,45,48,57,32,49,46,57,51,53,56,101,
      45,48,57,32,50,46,55,55,52,53,51,101,45,48,57,32,52,46,56,56,54,52,55,101,45,
      48,57,32,55,46,53,54,51,56,50,101,45,48,57,32,49,46,48,55,57,48,49,101,45,48,
      56,10,32,32,49,46,50,54,48,52,101,45,48,56,32,49,46,52,53,52,57,49,101,45,48,
      56,32,49,46,54,54,50,51,52,101,45,48,56,32,49,46,56,56,50,52,57,101,45,48,56,
      32,50,46,49,49,53,49,54,101,45,48,56,32,50,46,51,54,48,49,54,101,45,48,56,32,
      50,46,54,49,55,50,57,101,45,48,56,10,32,32,50,46,56,56,54,51,55,101,45,48,56,
      32,51,46,49,54,55,50,101,45,48,56,32,51,46,52,53,57,53,56,101,45,48,56,32,51,
      46,56,50,53,52,52,101,45,48,56,32,52,46,50,48,55,51,53,101,45,48,56,32,52,46,
      55,52,48,57,56,101,45,48,56,32,53,46,51,48,49,56,51,101,45,48,56,10,32,32,53,
      46,56,56,57,49,52,101,45,48,56,32,54,46,54,53,57,51,53,101,45,48,56,32,55,46,
      52,54,56,51,51,101,45,48,56,32,56,46,51,49,52,55,50,101,45,48,56,32,57,46,51,
      55,55,56,49,101,45,48,56,32,49,46,48,52,57,48,52,101,45,48,55,32,49,46,50,48,
      52,54,57,101,45,48,55,10,32,32,49,46,51,54,56,50,101,45,48,55,32,49,46,53,51,
      57,48,53,101,45,48,55,32,49,46,55,51,57,52,51,101,45,48,55,32,49,46,57,55,49,
      51,56,101,45,48,55,32,50,46,50,51,54,56,51,101,45,48,55,32,50,46,53,51,55,52,
      52,101,45,48,55,32,50,46,56,55,52,52,49,101,45,48,55,10,32,32,51,46,50,55,53,
      55,53,101,45,48,55,32,51,46,54,56,56,50,101,45,48,55,32,52,46,49,54,54,50,56,
      101,45,48,55,32,52,46,55,57,55,48,53,101,45,48,55,32,53,46,52,55,51,51,50,101,
      45,48,55,32,53,46,57,57,49,52,101,45,48,55,32,54,46,54,51,52,48,50,101,45,48,
      55,10,32,32,55,46,52,49,55,51,51,101,45,48,55,32,56,46,50,52,54,54,52,101,45,
      48,55,32,57,46,49,49,51,52,56,101,45,48,55,32,49,46,48,48,51,53,54,101,45,48,
      54,32,49,46,48,56,57,56,54,101,45,48,54,32,49,46,49,55,55,55,50,101,45,48,54,
      32,49,46,50,55,57,51,50,101,45,48,54,10,32,32,49,46,52,48,55,55,57,101,45,48,
      54,32,49,46,53,50,52,48,55,101,45,48,54,32,49,46,54,51,52,52,52,101,45,48,54,
      32,49,46,55,50,48,51,51,101,45,48,54,32,49,46,56,48,55,57,53,101,45,48,54,32,
      49,46,57,50,51,56,49,101,45,48,54,32,50,46,48,51,53,49,56,101,45,48,54,10,32,
      32,50,46,49,52,51,49,50,101,45,48,54,32,50,46,50,51,53,57,50,101,45,48,54,32,
      50,46,51,54,54,57,49,101,45,48,54,32,50,46,52,57,55,49,53,101,45,48,54,32,50,
      46,54,50,55,53,55,101,45,48,54,32,50,46,55,52,53,50,50,101,45,48,54,32,50,46,
      56,53,57,57,53,101,45,48,54,10,32,32,50,46,57,54,54,52,55,101,45,48,54,32,51,
      46,48,55,52,51,101,45,48,54,32,51,46,49,54,48,55,55,101,45,48,54,32,51,46,50,
      49,52,54,51,101,45,48,54,32,51,46,50,57,48,54,52,101,45,48,54,32,51,46,51,50,
      56,50,57,101,45,48,54,32,51,46,51,51,49,50,53,101,45,48,54,10,32,32,51,46,50,
      57,56,48,55,101,45,48,54,32,51,46,50,51,54,50,52,101,45,48,54,32,51,46,49,51,
      55,52,54,101,45,48,54,32,51,46,48,49,53,48,52,101,45,48,54,32,50,46,56,55,55,
      48,55,101,45,48,54,32,50,46,55,51,49,49,54,101,45,48,54,32,50,46,53,53,55,54,
      50,101,45,48,54,10,32,32,50,46,52,50,53,56,54,101,45,48,54,32,50,46,50,57,50,
      51,54,101,45,48,54,32,50,46,48,55,50,51,51,101,45,48,54,32,49,46,57,51,57,51,
      49,101,45,48,54,32,49,46,55,51,53,54,49,101,45,48,54,32,49,46,53,51,48,55,53,
      101,45,48,54,32,49,46,52,49,52,51,52,101,45,48,54,10,32,32,49,46,51,48,50,57,
      52,101,45,48,54,32,49,46,49,51,56,51,52,101,45,48,54,32,57,46,55,51,56,49,54,
      101,45,48,55,32,56,46,57,48,50,55,56,101,45,48,55,32,55,46,54,55,48,48,53,101,
      45,48,55,32,54,46,57,56,54,55,101,45,48,55,32,53,46,57,56,49,57,50,101,45,48,
      55,10,32,32,53,46,50,53,54,50,49,101,45,48,55,32,52,46,51,50,53,54,53,101,45,
      48,55,32,51,46,57,56,52,51,55,101,45,48,55,32,51,46,51,57,51,50,49,101,45,48,
      55,32,50,46,56,51,49,49,49,101,45,48,55,32,50,46,52,50,55,57,101,45,48,55,32,
      50,46,48,55,55,50,54,101,45,48,55,10,32,32,49,46,55,57,49,53,54,101,45,48,55,
      32,49,46,53,52,53,56,55,101,45,48,55,32,49,46,51,49,48,48,56,101,45,48,55,32,
      49,46,49,50,57,49,50,101,45,48,55,32,57,46,53,54,55,56,55,101,45,48,56,32,56,
      46,52,54,48,57,51,101,45,48,56,32,54,46,57,49,48,49,52,101,45,48,56,10,32,32,
      54,46,48,57,54,53,55,101,45,48,56,32,53,46,50,49,49,55,54,101,45,48,56,32,51,
      46,54,48,49,48,55,101,45,48,56,32,50,46,49,52,52,54,54,101,45,48,56,32,49,46,
      50,56,49,50,56,101,45,48,56,32,54,46,54,53,50,56,49,101,45,48,57,32,51,46,52,
      49,54,50,101,45,48,57,10,32,32,49,46,53,49,53,50,56,101,45,48,57,32,49,46,51,
      53,48,52,53,101,45,48,57,32,54,46,55,52,50,49,52,101,45,49,48,32,50,46,55,56,
      54,50,51,101,45,49,48,32,49,46,52,57,50,50,56,101,45,49,48,32,55,46,52,49,51,
      48,57,101,45,49,49,32,50,46,57,48,56,52,49,101,45,49,49,10,32,32,49,46,50,55,
      57,56,54,101,45,49,49,32,53,46,54,50,50,52,52,101,45,49,50,32,50,46,49,57,50,
      50,53,101,45,49,50,32,56,46,53,51,52,53,52,101,45,49,51,32,51,46,55,51,52,51,
      55,101,45,49,51,32,49,46,54,51,50,54,101,45,49,51,32,55,46,48,57,54,101,45,
      49,52,10,32,32,50,46,55,53,48,57,53,101,45,49,52,32,57,46,52,54,53,52,50,101,
      45,49,53,32,50,46,56,57,48,49,56,101,45,49,53,32,57,46,57,50,57,55,49,101,45,
      49,54,32,51,46,48,50,54,53,50,101,45,49,54,32,49,46,48,51,56,54,56,101,45,49,
      54,32,51,46,53,54,51,50,56,101,45,49,55,10,32,32,49,46,48,56,52,57,56,101,45,
      49,55,32,51,46,48,51,49,51,57,101,45,49,56,32,49,46,49,51,49,56,57,101,45,49,
      56,32,51,46,54,49,57,55,54,101,45,49,57,32,49,46,51,50,56,55,101,45,49,57,32,
      52,46,53,53,49,49,50,101,45,50,48,32,49,46,53,53,56,54,55,101,45,50,48,10,32,
      32,53,46,51,51,55,52,51,101,45,50,49,32,49,46,56,50,55,53,51,101,45,50,49,32,
      54,46,50,52,56,48,53,101,45,50,50,32,50,46,49,51,52,55,49,101,45,50,50,32,55,
      46,51,48,54,49,54,101,45,50,51,32,50,46,52,51,54,53,55,101,45,50,51,32,55,46,
      52,54,49,48,49,101,45,50,52,10,32,32,49,46,52,54,51,48,49,101,45,50,52,32,48,
      114,53,51,32,49,46,49,49,50,53,55,101,45,50,52,32,50,46,54,51,55,57,53,101,
      45,50,52,32,54,46,50,53,52,55,101,45,50,52,32,49,46,52,56,51,51,54,101,45,50,
      51,32,51,46,53,49,56,57,51,101,45,50,51,32,56,46,51,52,56,48,56,101,45,50,51,
      10,32,32,49,46,57,56,49,52,101,45,50,50,32,52,46,55,48,52,50,54,101,45,50,50,
      32,49,46,49,49,55,52,53,101,45,50,49,32,50,46,54,53,54,51,52,101,45,50,49,32,
      54,46,51,50,48,52,54,101,45,50,49,32,50,46,49,52,57,52,51,101,45,50,48,32,56,
      46,53,49,51,55,51,101,45,49,51,10,32,32,49,46,54,54,56,49,50,101,45,49,50,32,
      51,46,52,48,50,53,53,101,45,49,50,32,54,46,54,54,52,51,51,101,45,49,50,32,49,
      46,51,53,56,55,54,101,45,49,49,32,51,46,48,53,50,48,50,101,45,49,49,32,56,46,
      52,52,57,50,101,45,49,49,32,49,46,54,53,48,52,56,101,45,49,48,10,32,32,51,46,
      51,53,49,52,51,101,45,49,48,32,54,46,53,50,53,49,54,101,45,49,48,32,49,46,51,
      49,56,52,57,101,45,48,57,32,50,46,48,52,51,50,52,101,45,48,57,32,50,46,57,49,
      56,50,51,101,45,48,57,32,53,46,49,48,52,48,52,101,45,48,57,32,55,46,56,52,54,
      57,54,101,45,48,57,10,32,32,49,46,49,49,49,57,51,101,45,48,56,32,49,46,50,57,
      52,53,54,101,45,48,56,32,49,46,52,56,57,52,53,101,45,48,56,32,49,46,54,57,54,
      50,55,101,45,48,56,32,49,46,57,49,52,55,49,101,45,48,56,32,50,46,49,52,52,52,
      57,101,45,48,56,32,50,46,51,56,53,51,101,45,48,56,10,32,32,50,46,54,51,54,56,
      53,101,45,48,56,32,50,46,56,57,56,56,57,101,45,48,56,32,51,46,49,55,49,48,57,
      101,45,48,56,32,51,46,52,53,51,50,50,101,45,48,56,32,51,46,56,48,52,52,57,101,
      45,48,56,32,52,46,49,54,57,50,101,45,48,56,32,52,46,54,55,53,54,51,101,45,48,
      56,10,32,32,53,46,50,48,52,50,49,101,45,48,56,32,53,46,55,53,51,57,53,101,45,
      48,56,32,54,46,52,54,57,52,56,101,45,48,56,32,55,46,50,49,52,56,55,101,45,48,
      56,32,55,46,57,56,56,51,55,101,45,48,56,32,56,46,57,53,49,52,101,45,48,56,32,
      57,46,57,52,57,57,55,101,45,48,56,10,32,32,49,46,49,51,51,50,51,101,45,48,55,
      32,49,46,50,55,54,55,54,101,45,48,55,32,49,46,52,50,53,48,54,101,45,48,55,32,
      49,46,53,57,54,57,54,101,45,48,55,32,49,46,55,57,51,53,49,101,45,48,55,32,50,
      46,48,49,53,52,55,101,45,48,55,32,50,46,50,54,51,51,49,101,45,48,55,10,32,32,
      50,46,53,51,55,50,54,101,45,48,55,32,50,46,56,53,56,54,101,45,48,55,32,51,46,
      49,56,51,56,50,101,45,48,55,32,51,46,53,53,53,49,101,45,48,55,32,52,46,48,51,
      54,54,55,101,45,48,55,32,52,46,53,52,51,55,53,101,45,48,55,32,52,46,57,50,54,
      52,51,101,45,48,55,10,32,32,53,46,51,57,52,54,57,101,45,48,55,32,53,46,57,53,
      54,57,57,101,45,48,55,32,54,46,53,52,50,57,51,101,45,48,55,32,55,46,49,52,54,
      53,50,101,45,48,55,32,55,46,55,55,57,55,54,101,45,48,55,32,56,46,51,54,52,56,
      56,101,45,48,55,32,56,46,57,53,51,57,49,101,45,48,55,10,32,32,57,46,54,50,55,
      57,101,45,48,55,32,49,46,48,52,54,56,57,101,45,48,54,32,49,46,49,50,50,48,56,
      101,45,48,54,32,49,46,49,57,50,55,55,101,45,48,54,32,49,46,50,52,55,51,52,101,
      45,48,54,32,49,46,51,48,50,54,53,101,45,48,54,32,49,46,51,55,53,50,55,101,45,
      48,54,10,32,32,49,46,52,52,52,53,54,101,45,48,54,32,49,46,53,49,49,51,57,101,
      45,48,54,32,49,46,53,54,56,54,55,101,45,48,54,32,49,46,54,52,57,52,50,101,45,
      48,54,32,49,46,55,50,57,56,52,101,45,48,54,32,49,46,56,49,48,55,57,101,45,48,
      54,32,49,46,56,56,52,52,49,101,45,48,54,10,32,32,49,46,57,53,54,57,57,101,45,
      48,54,32,50,46,48,50,53,51,52,101,45,48,54,32,50,46,48,57,53,56,53,101,45,48,
      54,32,50,46,49,53,51,56,101,45,48,54,32,50,46,49,57,48,57,51,101,45,48,54,32,
      50,46,50,52,54,48,52,101,45,48,54,32,50,46,50,55,55,53,56,101,45,48,54,10,32,
      32,50,46,50,56,55,49,50,101,45,48,54,32,50,46,50,55,52,50,56,101,45,48,54,32,
      50,46,50,52,49,55,57,101,45,48,54,32,50,46,49,56,53,49,50,101,45,48,54,32,50,
      46,49,49,49,53,49,101,45,48,54,32,50,46,48,50,54,48,50,101,45,48,54,32,49,46,
      57,51,51,54,101,45,48,54,10,32,32,49,46,56,50,49,54,53,101,45,48,54,32,49,46,
      55,51,53,52,50,101,45,48,54,32,49,46,54,52,55,48,57,101,45,48,54,32,49,46,52,
      57,57,54,50,101,45,48,54,32,49,46,52,48,57,52,49,101,45,48,54,32,49,46,50,54,
      57,56,50,101,45,48,54,32,49,46,49,50,55,55,50,101,45,48,54,10,32,32,49,46,48,
      52,54,50,49,101,45,48,54,32,57,46,54,55,54,57,56,101,45,48,55,32,56,46,53,48,
      55,52,50,101,45,48,55,32,55,46,51,50,54,55,53,101,45,48,55,32,54,46,55,50,50,
      54,51,101,45,48,55,32,53,46,56,50,53,49,101,45,48,55,32,53,46,51,50,52,50,57,
      101,45,48,55,10,32,32,52,46,53,56,51,52,53,101,45,48,55,32,52,46,48,52,52,55,
      52,101,45,48,55,32,51,46,51,52,57,49,49,101,45,48,55,32,51,46,48,57,50,53,101,
      45,48,55,32,50,46,54,52,53,57,51,101,45,48,55,32,50,46,50,49,56,54,53,101,45,
      48,55,32,49,46,57,49,48,51,54,101,45,48,55,10,32,32,49,46,54,52,48,57,101,45,
      48,55,32,49,46,52,50,48,51,101,45,48,55,32,49,46,50,50,57,55,54,101,45,48,55,
      32,49,46,48,52,54,48,55,101,45,48,55,32,57,46,48,52,52,57,49,101,45,48,56,32,
      55,46,54,57,49,49,53,101,45,48,56,32,54,46,56,49,56,51,53,101,45,48,56,10,32,
      32,53,46,53,57,48,55,57,101,45,48,56,32,52,46,57,52,52,50,56,101,45,48,56,32,
      52,46,50,51,56,57,52,101,45,48,56,32,50,46,57,52,55,57,50,101,45,48,56,32,49,
      46,55,55,48,52,49,101,45,48,56,32,49,46,48,54,53,55,53,101,45,48,56,32,53,46,
      53,56,50,52,53,101,45,48,57,10,32,32,50,46,56,56,57,55,51,101,45,48,57,32,49,
      46,50,57,51,49,101,45,48,57,32,49,46,49,50,57,50,51,101,45,48,57,32,53,46,53,
      52,48,55,101,45,49,48,32,50,46,50,57,57,48,49,101,45,49,48,32,49,46,50,51,52,
      53,101,45,49,48,32,54,46,49,52,56,56,50,101,45,49,49,10,32,32,50,46,52,50,48,
      49,54,101,45,49,49,32,49,46,48,54,55,55,50,101,45,49,49,32,52,46,55,48,49,52,
      55,101,45,49,50,32,49,46,56,51,55,54,54,101,45,49,50,32,55,46,49,55,48,50,52,
      101,45,49,51,32,51,46,49,52,51,48,54,101,45,49,51,32,49,46,51,55,54,51,54,101,
      45,49,51,10,32,32,53,46,57,57,50,55,51,101,45,49,52,32,50,46,51,50,55,50,55,
      101,45,49,52,32,56,46,48,50,50,49,50,101,45,49,53,32,50,46,52,53,52,48,53,101,
      45,49,53,32,56,46,52,52,52,54,101,45,49,54,32,50,46,53,55,56,48,57,101,45,49,
      54,32,56,46,56,53,57,57,51,101,45,49,55,10,32,32,51,46,48,52,51,52,50,101,45,
      49,55,32,57,46,50,55,57,53,53,101,45,49,56,32,50,46,53,57,54,50,55,101,45,49,
      56,32,57,46,55,48,52,50,49,101,45,49,57,32,51,46,49,48,54,57,57,101,45,49,57,
      32,49,46,49,52,49,54,49,101,45,49,57,32,51,46,57,49,52,50,50,101,45,50,48,10,
      32,32,49,46,51,52,49,56,55,101,45,50,48,32,52,46,53,57,57,52,57,101,45,50,49,
      32,49,46,53,55,54,50,56,101,45,50,49,32,53,46,52,48,48,56,50,101,45,50,50,32,
      49,46,56,52,49,57,54,101,45,50,50,32,54,46,51,48,56,52,52,101,45,50,51,32,50,
      46,49,48,49,52,52,101,45,50,51,10,32,32,55,46,49,57,53,52,53,101,45,50,52,32,
      50,46,49,56,101,45,50,52,32,48,114,53,53,32,49,46,52,52,56,52,51,101,45,50,
      52,32,51,46,52,51,55,49,54,101,45,50,52,32,56,46,49,54,48,52,49,101,45,50,52,
      32,49,46,57,51,56,101,45,50,51,32,52,46,54,48,54,51,54,101,45,50,51,10,32,32,
      49,46,48,57,53,55,50,101,45,50,50,32,50,46,54,48,57,51,49,101,45,50,50,32,54,
      46,50,50,51,52,49,101,45,50,50,32,49,46,52,56,55,51,101,45,50,49,32,53,46,49,
      48,49,52,101,45,50,49,32,52,46,57,51,52,54,101,45,49,51,32,57,46,54,54,57,56,
      52,101,45,49,51,10,32,32,49,46,57,55,50,56,50,101,45,49,50,32,51,46,56,54,53,
      49,101,45,49,50,32,55,46,56,56,51,53,56,101,45,49,50,32,49,46,55,55,49,57,57,
      101,45,49,49,32,52,46,57,49,50,48,57,101,45,49,49,32,57,46,54,48,55,57,54,101,
      45,49,49,32,49,46,57,53,52,55,56,101,45,49,48,10,32,32,51,46,56,49,53,54,57,
      101,45,49,48,32,55,46,55,51,57,51,52,101,45,49,48,32,49,46,50,48,51,48,56,101,
      45,48,57,32,49,46,55,50,51,53,54,101,45,48,57,32,51,46,48,51,50,55,49,101,45,
      48,57,32,52,46,54,56,57,57,53,101,45,48,57,32,54,46,54,56,51,57,54,101,45,48,
      57,10,32,32,55,46,56,48,51,55,56,101,45,48,57,32,57,46,48,48,51,54,51,101,45,
      48,57,32,49,46,48,50,56,50,50,101,45,48,56,32,49,46,49,54,51,56,101,45,48,56,
      32,49,46,51,48,54,57,56,101,45,48,56,32,49,46,52,53,55,54,51,101,45,48,56,32,
      49,46,54,49,53,54,49,101,45,48,56,10,32,32,49,46,55,56,48,55,57,101,45,48,56,
      32,49,46,57,53,51,48,52,101,45,48,56,32,50,46,49,51,50,50,51,101,45,48,56,32,
      50,46,51,53,54,50,53,101,45,48,56,32,50,46,53,56,57,56,55,101,45,48,56,32,50,
      46,57,49,53,57,49,101,45,48,56,32,51,46,50,53,56,49,50,101,45,48,56,10,32,32,
      51,46,54,49,54,101,45,48,56,32,52,46,48,56,52,54,53,101,45,48,56,32,52,46,53,
      55,54,48,57,101,45,48,56,32,53,46,48,56,57,51,57,101,45,48,56,32,53,46,55,51,
      50,57,53,101,45,48,56,32,54,46,52,48,53,49,57,101,45,48,56,32,55,46,51,52,51,
      53,52,101,45,48,56,10,32,32,56,46,51,50,54,56,52,101,45,48,56,32,57,46,51,53,
      49,56,53,101,45,48,56,32,49,46,48,53,53,48,56,101,45,48,55,32,49,46,49,57,51,
      53,101,45,48,55,32,49,46,51,53,49,52,52,101,45,48,55,32,49,46,53,50,57,55,50,
      101,45,48,55,32,49,46,55,50,56,57,49,101,45,48,55,10,32,32,49,46,57,54,53,51,
      51,101,45,48,55,32,50,46,50,48,55,52,101,45,48,55,32,50,46,52,56,54,57,52,101,
      45,48,55,32,50,46,56,53,52,50,54,101,45,48,55,32,51,46,50,52,54,50,56,101,45,
      48,55,32,51,46,53,52,53,51,57,101,45,48,55,32,51,46,57,49,53,48,52,101,45,48,
      55,10,32,32,52,46,51,54,51,55,53,101,45,48,55,32,52,46,56,51,54,52,57,101,45,
      48,55,32,53,46,51,50,56,50,53,101,45,48,55,32,53,46,56,52,56,54,54,101,45,48,
      55,32,54,46,51,51,51,48,53,101,45,48,55,32,54,46,56,50,51,50,51,101,45,48,55,
      32,55,46,51,56,54,50,57,101,45,48,55,10,32,32,56,46,48,57,48,56,50,101,45,48,
      55,32,56,46,55,49,57,57,53,101,45,48,55,32,57,46,51,48,56,53,49,101,45,48,55,
      32,57,46,55,53,57,52,49,101,45,48,55,32,49,46,48,50,49,50,101,45,48,54,32,49,
      46,48,55,57,56,52,101,45,48,54,32,49,46,49,51,52,56,57,101,45,48,54,10,32,32,
      49,46,49,56,55,48,57,101,45,48,54,32,49,46,50,51,49,50,101,45,48,54,32,49,46,
      50,57,50,53,53,101,45,48,54,32,49,46,51,53,50,57,52,101,45,48,54,32,49,46,52,
      49,51,51,101,45,48,54,32,49,46,52,54,56,48,52,101,45,48,54,32,49,46,53,50,50,
      48,54,101,45,48,54,10,32,32,49,46,53,55,51,49,54,101,45,48,54,32,49,46,54,50,
      54,50,57,101,45,48,54,32,49,46,54,55,48,52,57,101,45,48,54,32,49,46,54,57,57,
      50,101,45,48,54,32,49,46,55,52,50,57,51,101,45,48,54,32,49,46,55,54,57,54,55,
      101,45,48,54,32,49,46,55,56,48,50,53,101,45,48,54,10,32,32,49,46,55,55,52,54,
      53,101,45,48,54,32,49,46,55,53,51,57,52,101,45,48,54,32,49,46,55,49,53,49,51,
      101,45,48,54,32,49,46,54,54,50,57,54,101,45,48,54,32,49,46,54,48,49,48,55,101,
      45,48,54,32,49,46,53,51,51,49,55,101,45,48,54,32,49,46,52,52,57,56,56,101,45,
      48,54,10,32,32,49,46,51,56,53,49,101,45,48,54,32,49,46,51,49,56,50,55,101,45,
      48,54,32,49,46,50,48,53,55,52,101,45,48,54,32,49,46,49,51,54,51,55,101,45,48,
      54,32,49,46,48,50,56,50,53,101,45,48,54,32,57,46,49,55,51,48,50,101,45,48,55,
      32,56,46,53,51,50,54,49,101,45,48,55,10,32,32,55,46,57,49,51,48,56,101,45,48,
      55,32,54,46,57,56,53,49,56,101,45,48,55,32,54,46,48,52,50,50,53,101,45,48,55,
      32,53,46,53,53,55,50,57,101,45,48,55,32,52,46,56,51,51,53,54,101,45,48,55,32,
      52,46,52,50,55,57,56,101,45,48,55,32,51,46,56,50,53,53,50,101,45,48,55,10,32,
      32,51,46,51,56,53,53,101,45,48,55,32,50,46,56,49,52,54,55,101,45,48,55,32,50,
      46,54,48,51,50,56,101,45,48,55,32,50,46,50,51,52,50,54,101,45,48,55,32,49,46,
      56,55,57,54,56,101,45,48,55,32,49,46,54,50,50,56,53,101,45,48,55,32,49,46,51,
      57,55,54,101,45,48,55,10,32,32,49,46,50,49,50,54,50,101,45,48,55,32,49,46,48,
      53,50,51,53,101,45,48,55,32,56,46,57,55,51,57,57,101,45,48,56,32,55,46,55,55,
      54,49,54,101,45,48,56,32,54,46,54,50,55,54,55,101,45,48,56,32,53,46,56,56,53,
      52,101,45,48,56,32,52,46,56,51,56,54,55,101,45,48,56,10,32,32,52,46,50,56,53,
      57,54,101,45,48,56,32,51,46,54,56,49,54,54,101,45,48,56,32,50,46,53,55,49,53,
      50,101,45,48,56,32,49,46,53,53,51,48,55,101,45,48,56,32,57,46,51,57,55,48,53,
      101,45,48,57,32,52,46,57,53,49,52,101,45,48,57,32,50,46,53,55,55,48,50,101,
      45,48,57,10,32,32,49,46,49,54,48,48,54,101,45,48,57,32,49,46,48,48,57,54,57,
      101,45,48,57,32,52,46,56,53,51,50,51,101,45,49,48,32,50,46,48,49,57,51,52,101,
      45,49,48,32,49,46,48,56,54,50,51,101,45,49,48,32,53,46,52,49,57,57,57,101,45,
      49,49,32,50,46,49,51,55,57,49,101,45,49,49,10,32,32,57,46,52,52,56,49,53,101,
      45,49,50,32,52,46,49,54,54,56,54,101,45,49,50,32,49,46,54,51,49,52,101,45,49,
      50,32,54,46,51,55,52,57,56,101,45,49,51,32,50,46,55,57,55,57,101,45,49,51,32,
      49,46,50,50,54,54,54,101,45,49,51,32,53,46,51,52,55,49,55,101,45,49,52,10,32,
      32,50,46,48,55,56,57,55,101,45,49,52,32,55,46,49,55,53,48,51,101,45,49,53,32,
      50,46,49,57,55,54,55,101,45,49,53,32,55,46,53,55,48,50,51,101,45,49,54,32,50,
      46,51,49,51,54,56,101,45,49,54,32,55,46,57,53,56,51,52,101,45,49,55,32,50,46,
      55,51,53,57,57,101,45,49,55,10,32,32,56,46,51,52,57,52,52,101,45,49,56,32,50,
      46,51,51,56,48,57,101,45,49,56,32,56,46,55,52,52,55,52,101,45,49,57,32,50,46,
      56,48,49,56,51,101,45,49,57,32,49,46,48,51,48,49,49,101,45,49,57,32,51,46,53,
      51,52,50,52,101,45,50,48,32,49,46,50,49,50,51,50,101,45,50,48,10,32,32,52,46,
      49,53,55,54,56,101,45,50,49,32,49,46,52,50,53,54,53,101,45,50,49,32,52,46,56,
      56,55,55,54,101,45,50,50,32,49,46,54,54,54,52,50,101,45,50,50,32,53,46,55,49,
      48,52,54,101,45,50,51,32,49,46,57,48,49,49,57,101,45,50,51,32,54,46,53,49,51,
      49,57,101,45,50,52,10,32,32,49,46,57,54,53,49,52,101,45,50,52,32,48,114,53,
      57,32,55,46,56,53,50,51,49,101,45,50,53,32,50,46,50,52,53,50,52,101,45,50,52,
      32,54,46,52,50,51,56,57,101,45,50,52,32,49,46,56,51,57,54,52,101,45,50,51,32,
      53,46,50,55,52,50,54,101,45,50,51,32,50,46,51,51,51,52,55,101,45,50,50,10,32,
      32,50,46,51,48,49,48,51,101,45,49,51,32,52,46,53,48,57,53,56,101,45,49,51,32,
      57,46,50,48,49,56,49,101,45,49,51,32,49,46,56,48,51,49,55,101,45,49,50,32,51,
      46,54,55,57,48,56,101,45,49,50,32,56,46,50,55,51,56,52,101,45,49,50,32,50,46,
      50,57,54,48,50,101,45,49,49,10,32,32,52,46,52,57,53,55,53,101,45,49,49,32,57,
      46,49,54,49,51,57,101,45,49,49,32,49,46,55,57,50,48,56,101,45,49,48,32,51,46,
      54,52,54,52,51,101,45,49,48,32,53,46,54,56,51,51,54,101,45,49,48,32,56,46,49,
      54,51,53,53,101,45,49,48,32,49,46,52,52,51,57,56,101,45,48,57,10,32,32,50,46,
      50,52,52,54,57,101,45,48,57,32,51,46,50,49,53,54,52,101,45,48,57,32,51,46,55,
      54,52,48,53,101,45,48,57,32,52,46,51,53,51,57,50,101,45,48,57,32,52,46,57,56,
      52,56,56,101,45,48,57,32,53,46,54,53,54,53,54,101,45,48,57,32,54,46,51,54,56,
      54,101,45,48,57,10,32,32,55,46,49,50,48,54,101,45,48,57,32,55,46,57,49,50,49,
      57,101,45,48,57,32,56,46,55,52,50,57,57,101,45,48,57,32,57,46,54,49,50,54,50,
      101,45,48,57,32,49,46,48,53,50,48,55,101,45,48,56,32,49,46,49,54,54,48,54,101,
      45,48,56,32,49,46,50,56,53,52,54,101,45,48,56,10,32,32,49,46,52,53,50,57,54,
      101,45,48,56,32,49,46,54,50,57,56,49,101,45,48,56,32,49,46,56,49,53,56,52,101,
      45,48,56,32,50,46,48,54,49,48,52,101,45,48,56,32,50,46,51,50,48,48,50,101,45,
      48,56,32,50,46,53,57,50,52,54,101,45,48,56,32,50,46,57,51,54,55,101,45,48,56,
      10,32,32,51,46,50,57,57,51,49,101,45,48,56,32,51,46,56,49,48,52,50,101,45,48,
      56,32,52,46,51,53,49,57,49,101,45,48,56,32,52,46,57,50,50,52,56,101,45,48,56,
      32,53,46,53,57,55,53,51,101,45,48,56,32,54,46,51,56,54,54,52,101,45,48,56,32,
      55,46,50,57,57,51,101,45,48,56,10,32,32,56,46,51,52,52,53,56,101,45,48,56,32,
      57,46,53,51,48,56,49,101,45,48,56,32,49,46,48,57,54,50,55,101,45,48,55,32,49,
      46,50,52,53,53,101,45,48,55,32,49,46,52,50,49,48,51,101,45,48,55,32,49,46,54,
      53,54,55,49,101,45,48,55,32,49,46,57,49,52,51,56,101,45,48,55,10,32,32,50,46,
      49,49,53,49,53,101,45,48,55,32,50,46,51,54,56,49,51,101,45,48,55,32,50,46,54,
      56,50,51,49,101,45,48,55,32,51,46,48,50,49,53,57,101,45,48,55,32,51,46,51,56,
      51,51,52,101,45,48,55,32,51,46,55,55,53,55,54,101,45,48,55,32,52,46,49,52,57,
      54,54,101,45,48,55,10,32,32,52,46,53,51,54,51,54,101,45,48,55,32,52,46,57,57,
      48,50,53,101,45,48,55,32,53,46,53,55,49,54,49,101,45,48,55,32,54,46,49,48,49,
      54,57,101,45,48,55,32,54,46,54,48,52,51,53,101,45,48,55,32,54,46,57,57,50,49,
      56,101,45,48,55,32,55,46,51,56,50,49,56,101,45,48,55,10,32,32,55,46,56,56,53,
      53,52,101,45,48,55,32,56,46,51,53,50,53,53,101,45,48,55,32,56,46,55,56,56,48,
      50,101,45,48,55,32,57,46,49,52,57,50,50,101,45,48,55,32,57,46,54,52,48,53,51,
      101,45,48,55,32,49,46,48,49,49,50,50,101,45,48,54,32,49,46,48,53,55,51,53,101,
      45,48,54,10,32,32,49,46,48,57,56,53,53,101,45,48,54,32,49,46,49,51,56,56,101,
      45,48,54,32,49,46,49,55,54,54,57,101,45,48,54,32,49,46,50,49,54,49,101,45,48,
      54,32,49,46,50,52,57,48,56,101,45,48,54,32,49,46,50,55,48,55,51,101,45,48,54,
      32,49,46,51,48,52,52,49,101,45,48,54,10,32,32,49,46,51,50,54,50,49,101,45,48,
      54,32,49,46,51,51,54,53,53,101,45,48,54,32,49,46,51,51,53,55,52,101,45,48,54,
      32,49,46,51,50,51,55,57,101,45,48,54,32,49,46,50,57,56,56,57,101,45,48,54,32,
      49,46,50,54,51,56,57,101,45,48,54,32,49,46,50,50,49,50,56,101,45,48,54,10,32,
      32,49,46,49,55,51,55,49,101,45,48,54,32,49,46,49,49,52,53,101,45,48,54,32,49,
      46,48,54,55,57,54,101,45,48,54,32,49,46,48,49,57,53,52,101,45,48,54,32,57,46,
      51,55,50,48,55,101,45,48,55,32,56,46,56,54,101,45,48,55,32,56,46,48,53,53,54,
      57,101,45,48,55,10,32,32,55,46,50,50,50,54,56,101,45,48,55,32,54,46,55,51,56,
      52,52,101,45,48,55,32,54,46,50,54,55,54,53,101,45,48,55,32,53,46,53,53,56,49,
      55,101,45,48,55,32,52,46,56,51,49,55,57,101,45,48,55,32,52,46,52,53,54,48,49,
      101,45,48,55,32,51,46,56,57,50,51,50,101,45,48,55,10,32,32,51,46,53,55,52,56,
      51,101,45,48,55,32,51,46,49,48,49,48,53,101,45,48,55,32,50,46,55,53,51,50,53,
      101,45,48,55,32,50,46,50,57,57,54,101,45,48,55,32,50,46,49,51,48,56,54,101,
      45,48,55,32,49,46,56,51,53,50,54,101,45,48,55,32,49,46,53,52,57,56,54,101,45,
      48,55,10,32,32,49,46,51,52,50,50,49,101,45,48,55,32,49,46,49,53,57,51,57,101,
      45,48,55,32,49,46,48,48,56,54,57,101,45,48,55,32,56,46,55,55,54,56,52,101,45,
      48,56,32,55,46,53,48,53,56,53,101,45,48,56,32,54,46,53,50,48,48,56,101,45,48,
      56,32,53,46,53,55,49,57,50,101,45,48,56,10,32,32,52,46,57,53,55,51,56,101,45,
      48,56,32,52,46,48,56,56,50,49,101,45,48,56,32,51,46,54,50,55,56,55,101,45,48,
      56,32,51,46,49,50,51,51,52,101,45,48,56,32,50,46,49,57,50,53,49,101,45,48,56,
      32,49,46,51,51,50,55,53,101,45,48,56,32,56,46,49,49,49,54,101,45,48,57,10,32,
      32,52,46,51,48,51,52,101,45,48,57,32,50,46,50,53,51,57,50,101,45,48,57,32,49,
      46,48,50,49,54,52,101,45,48,57,32,56,46,57,48,53,101,45,49,48,32,52,46,49,54,
      52,49,49,101,45,49,48,32,49,46,55,51,56,49,55,101,45,49,48,32,57,46,51,54,56,
      57,101,45,49,49,10,32,32,52,46,54,56,52,54,52,101,45,49,49,32,49,46,56,53,50,
      53,51,101,45,49,49,32,56,46,50,48,51,50,101,45,49,50,32,51,46,54,50,52,52,50,
      101,45,49,50,32,49,46,52,50,49,55,52,101,45,49,50,32,53,46,53,54,53,52,54,101,
      45,49,51,32,50,46,52,52,54,48,56,101,45,49,51,10,32,32,49,46,48,55,51,56,50,
      101,45,49,51,32,52,46,54,56,55,49,55,101,45,49,52,32,49,46,56,50,52,55,55,101,
      45,49,52,32,54,46,51,48,54,50,51,101,45,49,53,32,49,46,57,51,52,50,54,101,45,
      49,53,32,54,46,54,55,48,54,56,101,45,49,54,32,50,46,48,52,49,50,49,101,45,49,
      54,10,32,32,55,46,48,50,56,55,53,101,45,49,55,32,50,46,52,49,56,56,56,101,45,
      49,55,32,55,46,51,56,57,54,52,101,45,49,56,32,50,46,48,55,49,53,54,101,45,49,
      56,32,55,46,55,53,52,49,50,101,45,49,57,32,50,46,52,56,54,54,51,101,45,49,57,
      32,57,46,49,52,57,101,45,50,48,10,32,32,51,46,49,52,49,51,50,101,45,50,48,32,
      49,46,48,55,56,51,50,101,45,50,48,32,51,46,55,48,48,54,52,101,45,50,49,32,49,
      46,50,54,57,55,55,101,45,50,49,32,52,46,51,53,53,57,54,101,45,50,50,32,49,46,
      52,56,57,55,55,101,45,50,50,32,53,46,48,56,56,49,101,45,50,51,10,32,32,49,46,
      55,52,52,50,55,101,45,50,51,32,53,46,56,48,51,52,53,101,45,50,52,32,49,46,55,
      52,52,49,54,101,45,50,52,32,48,114,54,49,32,52,46,54,56,49,49,49,101,45,50,
      53,32,49,46,52,55,57,55,101,45,50,52,32,52,46,54,55,55,53,54,101,45,50,52,32,
      50,46,51,54,56,57,57,101,45,50,51,10,32,32,55,46,50,56,49,49,55,101,45,49,52,
      32,49,46,52,50,55,50,53,101,45,49,51,32,50,46,57,49,51,49,57,101,45,49,51,32,
      53,46,55,49,48,57,54,101,45,49,51,32,49,46,49,54,53,57,51,101,45,49,50,32,50,
      46,54,50,52,55,51,101,45,49,50,32,55,46,50,57,56,53,53,101,45,49,50,10,32,32,
      49,46,52,51,50,48,50,101,45,49,49,32,50,46,57,50,55,48,56,101,45,49,49,32,53,
      46,55,52,56,57,56,101,45,49,49,32,49,46,49,55,54,56,54,101,45,49,48,32,49,46,
      56,52,51,52,52,101,45,49,48,32,50,46,54,54,49,48,52,101,45,49,48,32,52,46,55,
      53,51,48,54,101,45,49,48,10,32,32,55,46,52,53,57,57,55,101,45,49,48,32,49,46,
      48,55,56,56,101,45,48,57,32,49,46,50,54,56,54,54,101,45,48,57,32,49,46,52,55,
      52,50,53,101,45,48,57,32,49,46,54,57,53,54,49,101,45,48,57,32,49,46,57,51,50,
      56,101,45,48,57,32,50,46,49,56,53,56,55,101,45,48,57,10,32,32,50,46,52,53,52,
      56,54,101,45,48,57,32,50,46,55,51,57,56,101,45,48,57,32,51,46,48,52,48,55,50,
      101,45,48,57,32,51,46,51,53,55,54,53,101,45,48,57,32,51,46,54,57,48,54,50,101,
      45,48,57,32,52,46,49,49,49,51,56,101,45,48,57,32,52,46,53,53,53,50,55,101,45,
      48,57,10,32,32,53,46,49,56,51,49,54,101,45,48,57,32,53,46,56,53,50,50,51,101,
      45,48,57,32,54,46,53,54,50,52,55,101,45,48,57,32,55,46,53,48,56,48,56,101,45,
      48,57,32,56,46,53,49,55,56,53,101,45,48,57,32,57,46,53,57,49,53,56,101,45,48,
      57,32,49,46,48,57,54,52,49,101,45,48,56,10,32,32,49,46,50,52,50,56,101,45,48,
      56,32,49,46,52,53,50,48,54,101,45,48,56,32,49,46,54,55,55,50,54,101,45,48,56,
      32,49,46,57,49,56,50,50,101,45,48,56,32,50,46,50,48,55,56,50,101,45,48,56,32,
      50,46,53,53,50,50,101,45,48,56,32,50,46,57,53,55,56,56,101,45,48,56,10,32,32,
      51,46,52,51,49,54,51,101,45,48,56,32,51,46,57,56,48,51,51,101,45,48,56,32,52,
      46,54,53,55,52,101,45,48,56,32,53,46,51,55,57,50,53,101,45,48,56,32,54,46,50,
      52,56,50,57,101,45,48,56,32,55,46,52,52,55,51,49,101,45,48,56,32,56,46,55,57,
      56,49,101,45,48,56,10,32,32,57,46,56,55,56,50,52,101,45,48,56,32,49,46,49,50,
      55,50,53,101,45,48,55,32,49,46,51,48,53,51,57,101,45,48,55,32,49,46,53,48,51,
      55,55,101,45,48,55,32,49,46,55,50,49,57,57,101,45,48,55,32,49,46,57,54,54,51,
      57,101,45,48,55,32,50,46,50,48,54,53,49,101,45,48,55,10,32,32,50,46,52,54,50,
      49,57,101,45,48,55,32,50,46,55,55,49,54,57,101,45,48,55,32,51,46,49,56,50,53,
      50,101,45,48,55,32,51,46,53,55,48,53,56,101,45,48,55,32,51,46,57,52,57,53,55,
      101,45,48,55,32,52,46,50,52,56,52,51,101,45,48,55,32,52,46,53,53,51,55,51,101,
      45,48,55,10,32,32,52,46,57,53,50,55,53,101,45,48,55,32,53,46,51,50,53,52,57,
      101,45,48,55,32,53,46,54,55,50,51,56,101,45,48,55,32,53,46,57,53,55,54,56,101,
      45,48,55,32,54,46,51,51,57,57,51,101,45,48,55,32,54,46,54,57,56,54,53,101,45,
      48,55,32,55,46,48,52,49,48,51,101,45,48,55,10,32,32,55,46,51,51,57,56,51,101,
      45,48,55,32,55,46,54,50,54,52,50,101,45,48,55,32,55,46,56,57,50,53,49,101,45,
      48,55,32,56,46,49,54,55,48,49,101,45,48,55,32,56,46,51,57,54,53,101,45,48,55,
      32,56,46,53,52,55,57,53,101,45,48,55,32,56,46,55,56,56,48,56,101,45,48,55,10,
      32,32,56,46,57,53,50,49,52,101,45,48,55,32,57,46,48,52,50,57,56,101,45,48,55,
      32,57,46,48,54,53,57,50,101,45,48,55,32,57,46,48,49,53,48,52,101,45,48,55,32,
      56,46,56,56,50,51,50,101,45,48,55,32,56,46,54,56,49,51,53,101,45,48,55,32,56,
      46,52,50,55,48,57,101,45,48,55,10,32,32,56,46,49,51,53,56,101,45,48,55,32,55,
      46,55,54,53,57,54,101,45,48,55,32,55,46,52,55,48,55,51,101,45,48,55,32,55,46,
      49,54,48,49,54,101,45,48,55,32,54,46,54,50,53,48,50,101,45,48,55,32,54,46,50,
      56,56,49,55,101,45,48,55,32,53,46,55,53,51,52,51,101,45,48,55,10,32,32,53,46,
      49,57,50,55,51,101,45,48,55,32,52,46,56,54,51,54,54,101,45,48,55,32,52,46,53,
      52,49,53,53,101,45,48,55,32,52,46,48,53,50,49,49,101,45,48,55,32,51,46,53,52,
      53,56,57,101,45,48,55,32,51,46,50,56,49,57,51,101,45,48,55,32,50,46,56,56,51,
      50,50,101,45,48,55,10,32,32,50,46,54,53,55,49,53,101,45,48,55,32,50,46,51,49,
      55,54,50,101,45,48,55,32,50,46,48,54,54,54,53,101,45,48,55,32,49,46,55,51,54,
      57,51,101,45,48,55,32,49,46,54,49,51,53,53,101,45,48,55,32,49,46,51,57,54,51,
      54,101,45,48,55,32,49,46,49,56,53,50,57,101,45,48,55,10,32,32,49,46,48,51,48,
      55,56,101,45,48,55,32,56,46,57,52,48,49,51,101,45,48,56,32,55,46,56,48,55,49,
      52,101,45,48,56,32,54,46,56,49,55,54,51,101,45,48,56,32,53,46,56,53,51,48,56,
      101,45,48,56,32,53,46,49,48,49,53,55,101,45,48,56,32,52,46,51,55,53,53,55,101,
      45,48,56,10,32,32,51,46,57,48,51,50,101,45,48,56,32,51,46,50,51,50,51,52,101,
      45,48,56,32,50,46,56,55,53,53,55,101,45,48,56,32,50,46,52,56,51,50,51,101,45,
      48,56,32,49,46,55,53,53,49,56,101,45,48,56,32,49,46,48,55,54,52,53,101,45,48,
      56,32,54,46,54,48,52,57,53,101,45,48,57,10,32,32,51,46,53,51,55,50,51,101,45,
      48,57,32,49,46,56,54,56,56,49,101,45,48,57,32,56,46,53,53,50,48,50,101,45,49,
      48,32,55,46,52,56,53,56,49,101,45,49,48,32,51,46,51,55,49,57,49,101,45,49,48,
      32,49,46,52,49,51,56,101,45,49,48,32,55,46,54,52,50,49,57,101,45,49,49,10,32,
      32,51,46,56,51,50,51,56,101,45,49,49,32,49,46,53,50,48,56,53,101,45,49,49,32,
      54,46,55,53,51,51,54,101,45,49,50,32,50,46,57,57,49,52,52,101,45,49,50,32,49,
      46,49,55,54,53,54,101,45,49,50,32,52,46,54,49,54,56,56,101,45,49,51,32,50,46,
      48,51,51,49,51,101,45,49,51,10,32,32,56,46,57,52,49,54,52,101,45,49,52,32,51,
      46,57,49,48,49,52,101,45,49,52,32,49,46,53,50,53,48,50,101,45,49,52,32,53,46,
      50,56,48,51,56,101,45,49,53,32,49,46,54,50,50,55,56,101,45,49,53,32,53,46,54,
      48,53,54,54,101,45,49,54,32,49,46,55,49,56,50,50,101,45,49,54,10,32,32,53,46,
      57,50,52,57,54,101,45,49,55,32,50,46,48,52,49,55,56,101,45,49,55,32,54,46,50,
      52,54,52,50,101,45,49,56,32,49,46,55,53,51,53,55,101,45,49,56,32,54,46,53,55,
      48,54,54,101,45,49,57,32,50,46,49,48,57,52,55,101,45,49,57,32,55,46,55,54,56,
      54,49,101,45,50,48,10,32,32,50,46,54,54,57,57,51,101,45,50,48,32,57,46,49,55,
      51,53,52,101,45,50,49,32,51,46,49,53,49,48,57,101,45,50,49,32,49,46,48,56,50,
      50,101,45,50,49,32,51,46,55,49,53,57,51,101,45,50,50,32,49,46,50,55,53,55,49,
      101,45,50,50,32,52,46,51,51,56,48,49,101,45,50,51,10,32,32,49,46,52,56,56,50,
      49,101,45,50,51,32,52,46,57,52,57,52,52,101,45,50,52,32,49,46,52,56,49,50,53,
      101,45,50,52,32,48,114,54,50,32,50,46,50,52,49,55,52,101,45,50,53,32,55,46,
      48,56,56,52,52,101,45,50,53,32,51,46,53,57,50,101,45,50,52,32,55,46,56,52,54,
      55,56,101,45,49,53,10,32,32,49,46,53,52,48,57,54,101,45,49,52,32,51,46,49,53,
      51,57,50,101,45,49,52,32,54,46,50,48,53,52,53,101,45,49,52,32,49,46,50,55,52,
      48,56,101,45,49,51,32,50,46,56,57,52,50,50,101,45,49,51,32,56,46,49,57,49,54,
      54,101,45,49,51,32,49,46,54,51,53,49,57,101,45,49,50,10,32,32,51,46,52,50,55,
      49,52,101,45,49,50,32,54,46,57,53,48,48,57,101,45,49,50,32,49,46,52,56,56,55,
      49,101,45,49,49,32,50,46,52,49,54,51,49,101,45,49,49,32,51,46,54,48,55,54,55,
      101,45,49,49,32,54,46,56,54,48,51,53,101,45,49,49,32,49,46,49,51,57,57,101,
      45,49,48,10,32,32,49,46,55,51,54,55,53,101,45,49,48,32,50,46,48,57,51,48,56,
      101,45,49,48,32,50,46,52,57,48,49,57,101,45,49,48,32,50,46,57,50,57,54,55,101,
      45,49,48,32,51,46,52,49,51,48,53,101,45,49,48,32,51,46,57,52,49,56,50,101,45,
      49,48,32,52,46,53,49,55,52,50,101,45,49,48,10,32,32,53,46,49,52,49,50,52,101,
      45,49,48,32,53,46,56,49,52,54,53,101,45,49,48,32,54,46,53,51,56,57,53,101,45,
      49,48,32,55,46,51,49,53,52,49,101,45,49,48,32,56,46,51,49,55,55,53,101,45,49,
      48,32,57,46,51,57,57,48,50,101,45,49,48,32,49,46,48,57,54,54,57,101,45,48,57,
      10,32,32,49,46,50,54,56,51,50,101,45,48,57,32,49,46,52,53,53,49,56,101,45,48,
      57,32,49,46,55,49,48,55,56,101,45,48,57,32,49,46,57,57,49,53,50,101,45,48,57,
      32,50,46,50,57,56,48,56,101,45,48,57,32,50,46,55,48,48,56,54,101,45,48,57,32,
      51,46,49,52,50,54,53,101,45,48,57,10,32,32,51,46,55,57,51,55,57,101,45,48,57,
      32,52,46,53,49,55,53,52,101,45,48,57,32,53,46,51,49,53,51,101,45,48,57,32,54,
      46,51,48,50,55,54,101,45,48,57,32,55,46,53,49,51,49,54,101,45,48,57,32,56,46,
      57,56,51,54,51,101,45,48,57,32,49,46,48,55,53,52,57,101,45,48,56,10,32,32,49,
      46,50,56,55,48,56,101,45,48,56,32,49,46,53,53,54,53,53,101,45,48,56,32,49,46,
      56,53,50,56,49,101,45,48,56,32,50,46,50,50,48,51,56,101,45,48,56,32,50,46,55,
      52,52,54,53,101,45,48,56,32,51,46,51,53,54,49,56,101,45,48,56,32,51,46,56,53,
      57,51,49,101,45,48,56,10,32,32,52,46,53,50,53,52,57,101,45,48,56,32,53,46,52,
      48,49,54,55,101,45,48,56,32,54,46,52,48,55,51,49,101,45,48,56,32,55,46,53,52,
      54,56,101,45,48,56,32,56,46,56,54,48,57,57,101,45,48,56,32,49,46,48,49,56,56,
      55,101,45,48,55,32,49,46,49,54,52,101,45,48,55,10,32,32,49,46,51,52,52,53,57,
      101,45,48,55,32,49,46,53,57,50,49,55,101,45,48,55,32,49,46,56,51,51,56,54,101,
      45,48,55,32,50,46,48,55,54,56,50,101,45,48,55,32,50,46,50,55,50,57,55,101,45,
      48,55,32,50,46,52,55,55,49,55,101,45,48,55,32,50,46,55,52,57,51,49,101,45,48,
      55,10,32,32,51,46,48,48,55,57,56,101,45,48,55,32,51,46,50,53,49,53,51,101,45,
      48,55,32,51,46,52,53,51,48,52,101,45,48,55,32,51,46,55,50,51,50,53,101,45,48,
      55,32,51,46,57,55,53,53,51,101,45,48,55,32,52,46,50,49,51,55,57,101,45,48,55,
      32,52,46,52,49,57,48,52,101,45,48,55,10,32,32,52,46,54,49,51,50,57,101,45,48,
      55,32,52,46,55,57,49,52,56,101,45,48,55,32,52,46,57,55,51,54,49,101,45,48,55,
      32,53,46,49,50,53,50,56,101,45,48,55,32,53,46,50,50,53,54,51,101,45,48,55,32,
      53,46,51,56,55,101,45,48,55,32,53,46,53,48,50,51,49,101,45,48,55,10,32,32,53,
      46,53,55,51,57,55,101,45,48,55,32,53,46,54,48,56,51,101,45,48,55,32,53,46,53,
      57,55,55,57,101,45,48,55,32,53,46,53,52,48,55,56,101,45,48,55,32,53,46,52,52,
      50,48,49,101,45,48,55,32,53,46,51,48,57,53,101,45,48,55,32,53,46,49,53,50,50,
      56,101,45,48,55,10,32,32,52,46,57,52,55,50,55,101,45,48,55,32,52,46,55,56,48,
      52,50,101,45,48,55,32,52,46,54,48,50,52,49,101,45,48,55,32,52,46,50,57,48,54,
      56,101,45,48,55,32,52,46,48,57,49,53,53,101,45,48,55,32,51,46,55,55,49,50,55,
      101,45,48,55,32,51,46,52,51,48,51,53,101,45,48,55,10,32,32,51,46,50,50,55,57,
      53,101,45,48,55,32,51,46,48,50,56,49,57,101,45,48,55,32,50,46,55,50,49,53,56,
      101,45,48,55,32,50,46,52,48,48,53,49,101,45,48,55,32,50,46,50,51,49,52,56,101,
      45,48,55,32,49,46,57,55,51,57,55,101,45,48,55,32,49,46,56,50,54,55,54,101,45,
      48,55,10,32,32,49,46,54,48,51,57,53,101,45,48,55,32,49,46,52,51,55,56,52,101,
      45,48,55,32,49,46,50,49,55,54,54,101,45,48,55,32,49,46,49,51,52,54,54,101,45,
      48,55,32,57,46,56,55,54,54,49,101,45,48,56,32,56,46,52,51,54,53,52,101,45,48,
      56,32,55,46,51,55,52,51,57,101,45,48,56,10,32,32,54,46,52,50,56,48,51,101,45,
      48,56,32,53,46,54,51,57,50,101,45,48,56,32,52,46,57,52,54,51,101,45,48,56,32,
      52,46,50,54,54,57,53,101,45,48,56,32,51,46,55,51,52,54,52,101,45,48,56,32,51,
      46,50,49,55,54,50,101,45,48,56,32,50,46,56,55,57,53,57,101,45,48,56,10,32,32,
      50,46,51,57,55,48,51,101,45,48,56,32,50,46,49,51,57,48,57,101,45,48,56,32,49,
      46,56,53,52,50,52,101,45,48,56,32,49,46,51,50,49,55,57,101,45,48,56,32,56,46,
      49,57,54,56,101,45,48,57,32,53,46,48,56,48,55,52,101,45,48,57,32,50,46,55,53,
      51,50,54,101,45,48,57,10,32,32,49,46,52,55,48,53,56,101,45,48,57,32,54,46,56,
      49,49,48,54,101,45,49,48,32,53,46,56,55,48,57,54,101,45,49,48,32,50,46,53,56,
      55,51,50,101,45,49,48,32,49,46,48,57,49,48,56,101,45,49,48,32,53,46,57,49,57,
      50,54,101,45,49,49,32,50,46,57,55,57,53,101,45,49,49,10,32,32,49,46,49,56,55,
      55,51,101,45,49,49,32,53,46,50,57,50,57,101,45,49,50,32,50,46,51,53,50,49,57,
      101,45,49,50,32,57,46,50,56,50,57,101,45,49,51,32,51,46,54,53,51,57,53,101,
      45,49,51,32,49,46,54,49,51,48,57,101,45,49,51,32,55,46,49,49,48,55,52,101,45,
      49,52,10,32,32,51,46,49,49,54,55,49,101,45,49,52,32,49,46,50,49,56,51,56,101,
      45,49,52,32,52,46,50,50,56,55,54,101,45,49,53,32,49,46,51,48,50,56,101,45,49,
      53,32,52,46,53,48,57,53,53,101,45,49,54,32,49,46,51,56,53,49,55,101,45,49,54,
      32,52,46,55,56,52,57,57,101,45,49,55,10,32,32,49,46,54,53,49,54,57,101,45,49,
      55,32,53,46,48,54,49,56,56,101,45,49,56,32,49,46,52,50,51,53,52,101,45,49,56,
      32,53,46,51,52,48,56,49,101,45,49,57,32,49,46,55,49,55,48,56,101,45,49,57,32,
      54,46,51,51,49,50,52,101,45,50,48,32,50,46,49,55,56,54,54,101,45,50,48,10,32,
      32,55,46,52,57,52,55,101,45,50,49,32,50,46,53,55,55,50,52,101,45,50,49,32,56,
      46,56,54,48,57,50,101,45,50,50,32,51,46,48,52,53,55,52,101,45,50,50,32,49,46,
      48,52,54,54,57,101,45,50,50,32,51,46,53,55,54,50,57,101,45,50,51,32,49,46,50,
      49,56,55,50,101,45,50,51,10,32,32,52,46,48,53,50,52,51,101,45,50,52,32,49,46,
      50,48,56,50,55,101,45,50,52,32,50,46,51,49,52,52,56,101,45,50,53,32,48,114,
      54,50,32,50,46,52,55,48,50,51,101,45,50,53,32,49,46,50,53,50,52,55,101,45,50,
      52,32,52,46,48,56,49,53,101,45,49,53,32,56,46,48,48,55,49,52,101,45,49,53,10,
      32,32,49,46,54,51,54,56,50,101,45,49,52,32,51,46,50,49,54,50,55,101,45,49,52,
      32,54,46,53,57,54,52,51,101,45,49,52,32,49,46,52,57,54,50,101,45,49,51,32,52,
      46,50,50,56,55,50,101,45,49,51,32,56,46,52,51,56,57,51,101,45,49,51,32,49,46,
      55,55,48,48,49,101,45,49,50,10,32,32,51,46,53,57,55,51,52,101,45,49,50,32,55,
      46,55,52,48,50,101,45,49,50,32,49,46,50,54,49,54,55,101,45,49,49,32,49,46,56,
      57,50,49,51,101,45,49,49,32,51,46,54,51,48,53,54,101,45,49,49,32,54,46,48,56,
      53,52,55,101,45,49,49,32,57,46,51,52,57,54,52,101,45,49,49,10,32,32,49,46,49,
      51,49,51,50,101,45,49,48,32,49,46,51,53,49,50,51,101,45,49,48,32,49,46,53,57,
      53,55,52,101,45,49,48,32,49,46,56,54,53,57,101,45,49,48,32,50,46,49,54,50,55,
      49,101,45,49,48,32,50,46,52,56,55,49,55,101,45,49,48,32,50,46,56,52,48,50,52,
      101,45,49,48,10,32,32,51,46,50,50,50,56,55,101,45,49,48,32,51,46,54,51,53,57,
      57,101,45,49,48,32,52,46,48,56,48,52,57,101,45,49,48,32,52,46,54,53,54,53,53,
      101,45,49,48,32,53,46,50,56,48,53,53,101,45,49,48,32,54,46,49,56,57,53,55,101,
      45,49,48,32,55,46,49,56,57,57,52,101,45,49,48,10,32,32,56,46,50,56,52,50,51,
      101,45,49,48,32,57,46,55,56,57,48,55,101,45,49,48,32,49,46,49,52,53,49,51,101,
      45,48,57,32,49,46,51,50,55,54,49,101,45,48,57,32,49,46,53,54,56,55,52,101,45,
      48,57,32,49,46,56,51,52,55,57,101,45,48,57,32,50,46,50,50,57,53,53,101,45,48,
      57,10,32,32,50,46,54,55,49,52,54,101,45,48,57,32,51,46,49,54,49,57,51,101,45,
      48,57,32,51,46,55,55,51,50,53,101,45,48,57,32,52,46,53,50,56,49,55,101,45,48,
      57,32,53,46,52,53,50,53,49,101,45,48,57,32,54,46,53,55,53,48,52,101,45,48,57,
      32,55,46,57,50,55,51,52,101,45,48,57,10,32,32,57,46,54,54,53,48,55,101,45,48,
      57,32,49,46,49,53,57,51,51,101,45,48,56,32,49,46,52,48,48,55,57,101,45,48,56,
      32,49,46,55,52,56,57,51,101,45,48,56,32,50,46,49,53,57,56,53,101,45,48,56,32,
      50,46,53,48,49,51,55,101,45,48,56,32,50,46,57,53,55,56,52,101,45,48,56,10,32,
      32,51,46,53,54,52,56,50,101,45,48,56,32,52,46,50,54,57,56,101,45,48,56,32,53,
      46,48,55,56,50,57,101,45,48,56,32,54,46,48,50,50,50,53,101,45,48,56,32,54,46,
      57,56,55,51,57,101,45,48,56,32,56,46,48,53,52,52,52,101,45,48,56,32,57,46,51,
      57,56,53,101,45,48,56,10,32,32,49,46,49,50,54,56,51,101,45,48,55,32,49,46,51,
      49,50,49,53,101,45,48,55,32,49,46,53,48,49,101,45,48,55,32,49,46,54,53,53,50,
      49,101,45,48,55,32,49,46,56,49,55,51,50,101,45,48,55,32,50,46,48,51,53,54,49,
      101,45,48,55,32,50,46,50,52,53,50,54,101,45,48,55,10,32,32,50,46,52,52,52,50,
      56,101,45,48,55,32,50,46,54,48,57,57,52,101,45,48,55,32,50,46,56,51,51,48,57,
      101,45,48,55,32,51,46,48,52,50,48,50,101,45,48,55,32,51,46,50,51,57,51,55,101,
      45,48,55,32,51,46,52,48,57,48,57,101,45,48,55,32,51,46,53,54,57,50,54,101,45,
      48,55,10,32,32,51,46,55,49,53,55,52,101,45,48,55,32,51,46,56,54,53,48,55,101,
      45,48,55,32,51,46,57,56,57,50,54,101,45,48,55,32,52,46,48,55,49,53,49,101,45,
      48,55,32,52,46,50,48,52,52,55,101,45,48,55,32,52,46,51,48,49,49,101,45,48,55,
      32,52,46,51,54,51,54,53,101,45,48,55,10,32,32,52,46,51,57,56,51,51,101,45,48,
      55,32,52,46,51,57,55,57,53,101,45,48,55,32,52,46,51,54,50,53,54,101,45,48,55,
      32,52,46,50,57,52,54,101,45,48,55,32,52,46,49,57,57,57,54,101,45,48,55,32,52,
      46,48,56,53,51,53,101,45,48,55,32,51,46,57,51,51,55,54,101,45,48,55,10,32,32,
      51,46,56,48,57,48,57,101,45,48,55,32,51,46,54,55,53,49,50,101,45,48,55,32,51,
      46,52,51,56,53,50,101,45,48,55,32,51,46,50,56,54,50,55,101,45,48,55,32,51,46,
      48,51,57,55,57,101,45,48,55,32,50,46,55,55,53,52,51,101,45,48,55,32,50,46,54,
      49,55,53,56,101,45,48,55,10,32,32,50,46,52,54,49,49,52,101,45,48,55,32,50,46,
      50,49,57,56,52,101,45,48,55,32,49,46,57,54,53,54,49,101,45,48,55,32,49,46,56,
      51,49,49,50,101,45,48,55,32,49,46,54,50,53,51,54,101,45,48,55,32,49,46,53,48,
      55,50,52,101,45,48,55,32,49,46,51,50,55,55,53,101,45,48,55,10,32,32,49,46,49,
      57,51,51,55,101,45,48,55,32,49,46,48,49,52,52,53,101,45,48,55,32,57,46,52,54,
      55,53,53,101,45,48,56,32,56,46,50,54,53,48,51,101,45,48,56,32,55,46,48,56,50,
      49,56,101,45,48,56,32,54,46,50,48,54,52,52,101,45,48,56,32,53,46,52,50,51,53,
      55,101,45,48,56,10,32,32,52,46,55,54,56,57,57,101,45,48,56,32,52,46,49,57,50,
      51,52,101,45,48,56,32,51,46,54,50,53,50,57,101,45,48,56,32,51,46,49,55,57,55,
      49,101,45,48,56,32,50,46,55,52,53,55,51,101,45,48,56,32,50,46,52,54,49,51,49,
      101,45,48,56,32,50,46,48,53,52,50,49,101,45,48,56,10,32,32,49,46,56,51,54,48,
      52,101,45,48,56,32,49,46,53,57,52,54,101,45,48,56,32,49,46,49,52,49,54,51,101,
      45,48,56,32,55,46,49,49,57,53,51,101,45,48,57,32,52,46,52,51,53,56,51,101,45,
      48,57,32,50,46,52,49,56,51,101,45,48,57,32,49,46,50,57,56,56,57,101,45,48,57,
      10,32,32,54,46,48,53,50,55,56,101,45,49,48,32,53,46,49,52,56,49,50,101,45,49,
      48,32,50,46,50,54,48,48,55,101,45,49,48,32,57,46,53,53,57,51,51,101,45,49,49,
      32,53,46,49,57,53,57,51,101,45,49,49,32,50,46,54,50,48,53,49,101,45,49,49,32,
      49,46,48,52,55,48,57,101,45,49,49,10,32,32,52,46,54,55,52,56,55,101,45,49,50,
      32,50,46,48,56,49,48,53,101,45,49,50,32,56,46,50,50,55,51,56,101,45,49,51,32,
      51,46,50,52,51,55,101,45,49,51,32,49,46,52,51,51,56,53,101,45,49,51,32,54,46,
      51,50,56,50,53,101,45,49,52,32,50,46,55,55,55,48,55,101,45,49,52,10,32,32,49,
      46,48,56,54,57,101,45,49,52,32,51,46,55,55,55,49,55,101,45,49,53,32,49,46,49,
      54,53,49,55,101,45,49,53,32,52,46,48,51,55,52,49,101,45,49,54,32,49,46,50,52,
      49,53,101,45,49,54,32,52,46,50,57,50,54,101,45,49,55,32,49,46,52,56,51,101,
      45,49,55,32,52,46,53,52,56,56,57,101,45,49,56,10,32,32,49,46,50,56,48,52,101,
      45,49,56,32,52,46,56,48,54,57,57,101,45,49,57,32,49,46,53,52,54,53,57,101,45,
      49,57,32,53,46,55,48,54,49,50,101,45,50,48,32,49,46,57,54,52,55,55,101,45,50,
      48,32,54,46,55,54,50,55,57,101,45,50,49,32,50,46,51,50,54,57,56,101,45,50,49,
      10,32,32,56,46,48,48,52,50,54,101,45,50,50,32,50,46,55,53,50,55,49,101,45,50,
      50,32,57,46,52,54,52,53,57,101,45,50,51,32,51,46,50,53,51,53,49,101,45,50,51,
      32,49,46,49,48,48,53,49,101,45,50,51,32,51,46,54,53,57,51,101,45,50,52,32,49,
      46,50,53,54,52,101,45,50,52,10,32,32,51,46,55,50,53,55,55,101,45,50,53,32,48,
      114,54,51,32,51,46,50,53,55,101,45,50,53,32,49,46,52,56,52,51,55,101,45,49,
      55,32,52,46,48,55,52,54,52,101,45,49,55,32,49,46,49,56,56,56,53,101,45,49,54,
      32,51,46,50,54,51,56,101,45,49,54,32,57,46,57,53,51,49,49,101,45,49,54,10,32,
      32,51,46,51,53,56,55,101,45,49,53,32,49,46,53,53,51,54,52,101,45,49,52,32,52,
      46,50,53,56,54,53,101,45,49,52,32,49,46,50,51,57,52,101,45,49,51,32,51,46,51,
      57,50,51,54,101,45,49,51,32,57,46,56,53,48,57,57,101,45,49,51,32,49,46,57,49,
      55,52,50,101,45,49,50,10,32,32,51,46,51,48,49,54,57,101,45,49,50,32,55,46,55,
      54,57,55,49,101,45,49,50,32,49,46,53,48,54,50,54,101,45,49,49,32,50,46,53,56,
      51,48,57,101,45,49,49,32,51,46,50,55,49,53,52,101,45,49,49,32,52,46,48,55,48,
      50,50,101,45,49,49,32,52,46,57,56,54,54,52,101,45,49,49,10,32,32,54,46,48,50,
      56,49,52,101,45,49,49,32,55,46,50,48,49,57,49,101,45,49,49,32,56,46,53,49,53,
      48,51,101,45,49,49,32,57,46,57,55,52,52,50,101,45,49,49,32,49,46,49,53,56,54,
      57,101,45,49,48,32,49,46,51,51,53,57,101,45,49,48,32,49,46,53,50,57,55,52,101,
      45,49,48,10,32,32,49,46,55,56,53,49,56,101,45,49,48,32,50,46,48,54,54,53,53,
      101,45,49,48,32,50,46,52,56,51,56,53,101,45,49,48,32,50,46,57,53,49,56,51,101,
      45,49,48,32,51,46,52,55,50,50,54,101,45,49,48,32,52,46,50,48,48,51,51,101,45,
      49,48,32,53,46,48,49,56,52,52,101,45,49,48,10,32,32,53,46,57,51,48,53,57,101,
      45,49,48,32,55,46,49,53,52,54,55,101,45,49,48,32,56,46,53,50,53,56,53,101,45,
      49,48,32,49,46,48,53,57,51,101,45,48,57,32,49,46,50,57,52,52,56,101,45,48,57,
      32,49,46,53,53,57,51,50,101,45,48,57,32,49,46,56,57,51,57,57,101,45,48,57,10,
      32,32,50,46,51,49,51,48,55,101,45,48,57,32,50,46,56,51,51,51,49,101,45,48,57,
      32,51,46,52,55,51,55,50,101,45,48,57,32,52,46,50,53,53,53,52,101,45,48,57,32,
      53,46,50,55,51,55,57,101,45,48,57,32,54,46,52,49,56,52,53,101,45,48,57,32,55,
      46,56,55,48,48,53,101,45,48,57,10,32,32,57,46,57,57,50,53,50,101,45,48,57,32,
      49,46,50,53,51,52,57,101,45,48,56,32,49,46,52,54,55,51,57,101,45,48,56,32,49,
      46,55,53,54,52,56,101,45,48,56,32,50,46,49,52,53,56,50,101,45,48,56,32,50,46,
      54,48,52,50,51,101,45,48,56,32,51,46,49,51,55,49,52,101,45,48,56,10,32,32,51,
      46,55,54,56,48,50,101,45,48,56,32,52,46,52,50,49,55,49,101,45,48,56,32,53,46,
      49,53,51,55,50,101,45,48,56,32,54,46,48,56,56,53,52,101,45,48,56,32,55,46,52,
      49,48,54,56,101,45,48,56,32,56,46,55,52,51,57,51,101,45,48,56,32,49,46,48,49,
      50,52,51,101,45,48,55,10,32,32,49,46,49,50,54,54,53,101,45,48,55,32,49,46,50,
      52,56,48,57,101,45,48,55,32,49,46,52,49,51,55,49,101,45,48,55,32,49,46,53,55,
      52,56,49,101,45,48,55,32,49,46,55,50,57,52,50,101,45,48,55,32,49,46,56,53,57,
      49,57,101,45,48,55,32,50,46,48,51,53,50,55,101,45,48,55,10,32,32,50,46,50,48,
      49,49,50,101,45,48,55,32,50,46,51,53,56,51,51,101,45,48,55,32,50,46,52,57,51,
      54,57,101,45,48,55,32,50,46,54,50,49,51,55,101,45,48,55,32,50,46,55,51,55,57,
      56,101,45,48,55,32,50,46,56,53,54,54,56,101,45,48,55,32,50,46,57,53,53,51,54,
      101,45,48,55,10,32,32,51,46,48,50,48,55,57,101,45,48,55,32,51,46,49,50,55,49,
      49,101,45,48,55,32,51,46,50,48,53,55,49,101,45,48,55,32,51,46,50,53,56,54,101,
      45,48,55,32,51,46,50,57,49,54,54,101,45,48,55,32,51,46,50,57,56,51,50,101,45,
      48,55,32,51,46,50,55,57,57,52,101,45,48,55,10,32,32,51,46,50,51,55,50,56,101,
      45,48,55,32,51,46,49,55,52,52,53,101,45,48,55,32,51,46,48,57,54,49,57,101,45,
      48,55,32,50,46,57,57,48,55,50,101,45,48,55,32,50,46,57,48,50,56,56,101,45,48,
      55,32,50,46,56,48,55,54,51,101,45,48,55,32,50,46,54,51,55,55,101,45,48,55,10,
      32,32,50,46,53,50,55,51,55,101,45,48,55,32,50,46,51,52,55,51,54,101,45,48,55,
      32,50,46,49,53,50,53,54,101,45,48,55,32,50,46,48,51,53,52,53,101,45,48,55,32,
      49,46,57,49,56,56,51,101,45,48,55,32,49,46,55,51,55,56,54,101,45,48,55,32,49,
      46,53,52,53,56,49,101,45,48,55,10,32,32,49,46,52,52,51,54,51,101,45,48,55,32,
      49,46,50,56,54,53,51,101,45,48,55,32,49,46,49,57,53,57,101,45,48,55,32,49,46,
      48,53,55,53,55,101,45,48,55,32,57,46,53,51,52,55,55,101,45,48,56,32,56,46,49,
      52,49,51,56,101,45,48,56,32,55,46,54,49,49,56,50,101,45,48,56,10,32,32,54,46,
      54,54,55,56,54,101,45,48,56,32,53,46,55,51,52,56,53,101,45,48,56,32,53,46,48,
      52,48,57,52,101,45,48,56,32,52,46,52,49,56,49,56,101,45,48,56,32,51,46,56,57,
      53,53,52,101,45,48,56,32,51,46,52,51,51,53,51,101,45,48,56,32,50,46,57,55,55,
      54,49,101,45,48,56,10,32,32,50,46,54,49,56,49,53,101,45,48,56,32,50,46,50,54,
      54,57,50,101,45,48,56,32,50,46,48,51,54,48,54,101,45,48,56,32,49,46,55,48,52,
      54,101,45,48,56,32,49,46,53,50,54,52,50,101,45,48,56,32,49,46,51,50,56,55,51,
      101,45,48,56,32,57,46,53,54,49,57,56,101,45,48,57,10,32,32,54,46,48,48,51,50,
      57,101,45,48,57,32,51,46,55,54,51,52,52,101,45,48,57,32,50,46,48,54,54,53,50,
      101,45,48,57,32,49,46,49,49,55,51,56,101,45,48,57,32,53,46,50,52,53,52,52,101,
      45,49,48,32,52,46,51,55,50,53,51,101,45,49,48,32,49,46,57,50,49,55,49,101,45,
      49,48,10,32,32,56,46,49,53,55,55,56,101,45,49,49,32,52,46,52,52,52,51,57,101,
      45,49,49,32,50,46,50,52,54,55,57,101,45,49,49,32,57,46,48,48,51,50,53,101,45,
      49,50,32,52,46,48,50,56,55,101,45,49,50,32,49,46,55,57,55,49,50,101,45,49,50,
      32,55,46,49,50,48,49,57,101,45,49,51,10,32,32,50,46,56,49,50,54,56,101,45,49,
      51,32,49,46,50,52,53,50,56,101,45,49,51,32,53,46,53,48,52,48,53,101,45,49,52,
      32,50,46,52,49,56,57,101,45,49,52,32,57,46,52,56,48,57,50,101,45,49,53,32,51,
      46,50,57,57,55,49,101,45,49,53,32,49,46,48,49,57,52,52,101,45,49,53,10,32,32,
      51,46,53,51,54,57,55,101,45,49,54,32,49,46,48,56,57,48,53,101,45,49,54,32,51,
      46,55,54,57,54,57,101,45,49,55,32,49,46,51,48,51,55,101,45,49,55,32,52,46,48,
      48,51,50,56,101,45,49,56,32,49,46,49,50,56,48,55,101,45,49,56,32,52,46,50,51,
      56,52,52,101,45,49,57,10,32,32,49,46,51,54,52,56,54,101,45,49,57,32,53,46,48,
      51,57,50,54,101,45,50,48,32,49,46,55,51,54,52,53,101,45,50,48,32,53,46,57,56,
      49,50,51,101,45,50,49,32,50,46,48,53,57,52,52,101,45,50,49,32,55,46,48,56,56,
      53,51,101,45,50,50,32,50,46,52,51,57,51,56,101,45,50,50,10,32,32,56,46,51,57,
      50,52,53,101,45,50,51,32,50,46,56,56,54,54,56,101,45,50,51,32,57,46,55,51,57,
      51,54,101,45,50,52,32,51,46,50,51,56,53,57,101,45,50,52,32,49,46,49,49,50,52,
      51,101,45,50,52,32,51,46,50,57,51,54,54,101,45,50,53,32,48,114,54,52,32,52,
      46,56,53,48,48,57,101,45,49,56,10,32,32,49,46,51,51,48,56,51,101,45,49,55,32,
      51,46,56,55,57,55,56,101,45,49,55,32,49,46,48,54,52,53,52,101,45,49,54,32,51,
      46,57,53,52,51,52,101,45,49,54,32,49,46,51,51,52,49,50,101,45,49,53,32,54,46,
      49,57,55,57,56,101,45,49,53,32,49,46,54,57,57,52,51,101,45,49,52,10,32,32,52,
      46,57,52,56,57,52,101,45,49,52,32,49,46,51,53,53,57,101,45,49,51,32,51,46,57,
      52,51,56,57,101,45,49,51,32,55,46,54,56,55,57,50,101,45,49,51,32,49,46,51,50,
      53,56,56,101,45,49,50,32,51,46,49,51,48,52,53,101,45,49,50,32,54,46,48,56,57,
      56,52,101,45,49,50,10,32,32,49,46,48,52,56,48,57,101,45,49,49,32,49,46,51,50,
      57,56,52,101,45,49,49,32,49,46,54,53,55,53,52,101,45,49,49,32,50,46,48,51,52,
      53,49,101,45,49,49,32,50,46,52,54,52,48,50,101,45,49,49,32,50,46,57,52,57,51,
      52,101,45,49,49,32,51,46,52,57,51,54,55,101,45,49,49,10,32,32,52,46,49,48,48,
      50,49,101,45,49,49,32,52,46,55,55,50,49,49,101,45,49,49,32,53,46,53,49,50,52,
      57,101,45,49,49,32,54,46,51,50,52,52,50,101,45,49,49,32,55,46,51,57,55,52,57,
      101,45,49,49,32,56,46,53,56,51,49,56,101,45,49,49,32,49,46,48,51,52,56,49,101,
      45,49,48,10,32,32,49,46,50,51,52,50,53,101,45,49,48,32,49,46,52,53,54,51,56,
      101,45,49,48,32,49,46,55,54,56,53,56,101,45,49,48,32,50,46,49,50,49,50,51,101,
      45,49,48,32,50,46,53,49,54,52,53,101,45,49,48,32,51,46,48,52,57,56,50,101,45,
      49,48,32,51,46,54,53,48,57,53,101,45,49,48,10,32,32,52,46,53,54,51,54,101,45,
      49,48,32,53,46,54,49,48,49,57,101,45,49,48,32,54,46,55,57,55,56,55,101,45,49,
      48,32,56,46,51,49,49,48,54,101,45,49,48,32,49,46,48,50,50,50,55,101,45,48,57,
      32,49,46,50,54,49,56,55,101,45,48,57,32,49,46,53,53,57,56,53,101,45,48,57,10,
      32,32,49,46,57,50,55,53,51,101,45,48,57,32,50,46,52,49,50,101,45,48,57,32,50,
      46,57,54,51,49,52,101,45,48,57,32,51,46,54,55,48,54,53,101,45,48,57,32,52,46,
      55,49,57,57,49,101,45,48,57,32,53,46,57,57,54,51,53,101,45,48,57,32,55,46,48,
      56,52,53,101,45,48,57,10,32,32,56,46,53,55,51,49,56,101,45,48,57,32,49,46,48,
      54,48,54,57,101,45,48,56,32,49,46,51,48,51,56,51,101,45,48,56,32,49,46,53,57,
      48,56,54,101,45,48,56,32,49,46,57,51,54,48,50,101,45,48,56,32,50,46,50,57,57,
      49,55,101,45,48,56,32,50,46,55,49,49,56,54,101,45,48,56,10,32,32,51,46,50,52,
      55,51,49,101,45,48,56,32,52,46,48,49,57,53,52,101,45,48,56,32,52,46,56,49,52,
      54,50,101,45,48,56,32,53,46,54,53,51,57,54,101,45,48,56,32,54,46,51,54,48,52,
      55,101,45,48,56,32,55,46,49,50,50,57,57,101,45,48,56,32,56,46,49,56,49,49,54,
      101,45,48,56,10,32,32,57,46,50,51,48,48,53,101,45,48,56,32,49,46,48,50,53,51,
      55,101,45,48,55,32,49,46,49,49,50,53,49,101,45,48,55,32,49,46,50,51,50,51,55,
      101,45,48,55,32,49,46,51,52,54,55,57,101,45,48,55,32,49,46,52,53,54,51,56,101,
      45,48,55,32,49,46,53,53,49,52,53,101,45,48,55,10,32,32,49,46,54,52,49,53,53,
      101,45,48,55,32,49,46,55,50,52,49,101,45,48,55,32,49,46,56,48,56,51,53,101,
      45,48,55,32,49,46,56,55,56,54,101,45,48,55,32,49,46,57,50,53,51,54,101,45,48,
      55,32,50,46,48,48,49,57,56,101,45,48,55,32,50,46,48,53,57,56,52,101,45,48,55,
      10,32,32,50,46,49,48,48,53,52,101,45,48,55,32,50,46,49,50,57,49,54,101,45,48,
      55,32,50,46,49,52,48,50,56,101,45,48,55,32,50,46,49,51,54,49,52,101,45,48,55,
      32,50,46,49,49,54,50,54,101,45,48,55,32,50,46,48,56,51,49,101,45,48,55,32,50,
      46,48,51,57,53,51,101,45,48,55,10,32,32,49,46,57,55,56,56,51,101,45,48,55,32,
      49,46,57,50,55,49,56,101,45,48,55,32,49,46,56,55,48,51,55,101,45,48,55,32,49,
      46,55,54,55,52,101,45,48,55,32,49,46,54,57,57,54,52,101,45,48,55,32,49,46,53,
      56,55,55,54,101,45,48,55,32,49,46,52,54,53,48,56,101,45,48,55,10,32,32,49,46,
      51,57,48,53,56,101,45,48,55,32,49,46,51,49,53,56,55,101,45,48,55,32,49,46,49,
      57,56,57,49,101,45,48,55,32,49,46,48,55,51,52,53,101,45,48,55,32,49,46,48,48,
      54,49,53,101,45,48,55,32,57,46,48,49,56,57,50,101,45,48,56,32,56,46,52,49,51,
      49,52,101,45,48,56,10,32,32,55,46,52,56,50,48,56,101,45,48,56,32,54,46,55,55,
      54,50,54,101,45,48,56,32,53,46,56,50,52,48,51,101,45,48,56,32,53,46,52,53,57,
      55,54,101,45,48,56,32,52,46,56,48,54,57,55,101,45,48,56,32,52,46,49,53,55,49,
      51,101,45,48,56,32,51,46,54,55,48,53,57,101,45,48,56,10,32,32,51,46,50,51,49,
      51,54,101,45,48,56,32,50,46,56,54,48,54,57,101,45,48,56,32,50,46,53,51,49,51,
      52,101,45,48,56,32,50,46,50,48,52,54,50,101,45,48,56,32,49,46,57,52,53,55,49,
      101,45,48,56,32,49,46,54,57,49,52,56,101,45,48,56,32,49,46,53,50,51,54,52,101,
      45,48,56,10,32,32,49,46,50,56,49,53,53,101,45,48,56,32,49,46,49,53,48,56,49,
      101,45,48,56,32,49,46,48,48,53,49,57,101,45,48,56,32,55,46,50,56,57,56,51,101,
      45,48,57,32,52,46,54,50,51,50,101,45,48,57,32,50,46,57,50,53,50,55,101,45,48,
      57,32,49,46,54,50,51,55,57,101,45,48,57,10,32,32,56,46,56,54,56,55,52,101,45,
      49,48,32,52,46,50,49,48,48,49,101,45,49,48,32,51,46,51,57,52,57,54,101,45,49,
      48,32,49,46,53,48,51,50,55,101,45,49,48,32,54,46,52,49,55,50,55,101,45,49,49,
      32,51,46,53,48,56,53,57,101,45,49,49,32,49,46,55,56,48,50,101,45,49,49,10,32,
      32,55,46,49,54,53,48,51,101,45,49,50,32,51,46,50,49,55,51,52,101,45,49,50,32,
      49,46,52,51,57,55,54,101,45,49,50,32,53,46,55,50,51,51,101,45,49,51,32,50,46,
      50,54,55,55,49,101,45,49,51,32,49,46,48,48,54,52,53,101,45,49,51,32,52,46,52,
      53,56,53,50,101,45,49,52,10,32,32,49,46,57,54,51,56,49,101,45,49,52,32,55,46,
      55,49,52,52,54,101,45,49,53,32,50,46,54,57,49,49,57,101,45,49,53,32,56,46,51,
      51,52,49,56,101,45,49,54,32,50,46,56,57,55,50,57,101,45,49,54,32,56,46,57,51,
      57,48,50,101,45,49,55,32,51,46,48,57,57,52,55,101,45,49,55,10,32,32,49,46,48,
      55,51,54,50,101,45,49,55,32,51,46,51,48,50,50,53,101,45,49,56,32,57,46,51,50,
      48,55,49,101,45,49,57,32,51,46,53,48,54,50,56,101,45,49,57,32,49,46,49,51,48,
      53,57,101,45,49,57,32,52,46,49,55,56,57,52,101,45,50,48,32,49,46,52,52,49,54,
      50,101,45,50,48,10,32,32,52,46,57,55,49,48,53,101,45,50,49,32,49,46,55,49,51,
      52,52,101,45,50,49,32,53,46,57,48,51,52,57,101,45,50,50,32,50,46,48,51,51,50,
      49,101,45,50,50,32,55,46,48,48,49,52,54,101,45,50,51,32,50,46,52,49,48,51,50,
      101,45,50,51,32,56,46,50,57,53,55,50,101,45,50,52,10,32,32,50,46,55,56,52,49,
      54,101,45,50,52,32,57,46,50,53,54,51,50,101,45,50,53,32,50,46,55,51,53,51,51,
      101,45,50,53,32,48,114,54,52,32,49,46,51,54,55,53,49,101,45,49,56,32,51,46,
      55,53,51,51,49,101,45,49,56,32,49,46,48,57,52,54,51,101,45,49,55,32,51,46,48,
      48,53,48,51,101,45,49,55,10,32,32,50,46,57,51,49,48,55,101,45,49,53,32,57,46,
      56,53,52,50,51,101,45,49,53,32,52,46,53,50,54,54,51,101,45,49,52,32,49,46,50,
      51,50,51,51,101,45,49,51,32,51,46,53,53,101,45,49,51,32,57,46,53,56,52,57,49,
      101,45,49,51,32,50,46,55,50,54,53,50,101,45,49,50,10,32,32,53,46,50,49,53,56,
      49,101,45,49,50,32,56,46,56,50,53,57,52,101,45,49,50,32,50,46,48,48,53,49,52,
      101,45,49,49,32,51,46,55,53,49,52,52,101,45,49,49,32,54,46,50,48,55,101,45,
      49,49,32,55,46,55,50,48,56,55,101,45,49,49,32,57,46,52,51,51,57,49,101,45,49,
      49,10,32,32,49,46,49,51,53,48,55,101,45,49,48,32,49,46,51,52,55,53,51,101,45,
      49,48,32,49,46,53,56,48,57,53,101,45,49,48,32,49,46,56,51,53,52,54,101,45,49,
      48,32,50,46,49,49,49,50,54,101,45,49,48,32,50,46,52,48,56,51,54,101,45,49,48,
      32,50,46,55,50,54,54,49,101,45,49,48,10,32,32,51,46,48,54,53,56,57,101,45,49,
      48,32,51,46,53,48,48,52,56,101,45,49,48,32,51,46,57,54,52,55,56,101,45,49,48,
      32,52,46,54,50,57,48,51,101,45,49,48,32,53,46,52,49,56,52,53,101,45,49,48,32,
      54,46,49,56,56,49,52,101,45,49,48,32,55,46,50,49,53,54,101,45,49,48,10,32,32,
      56,46,51,49,50,55,54,101,45,49,48,32,57,46,52,55,53,51,51,101,45,49,48,32,49,
      46,48,57,53,49,52,101,45,48,57,32,49,46,50,53,48,57,52,101,45,48,57,32,49,46,
      52,54,57,56,51,101,45,48,57,32,49,46,55,48,48,53,50,101,45,48,57,32,49,46,57,
      52,49,49,56,101,45,48,57,10,32,32,50,46,50,50,50,53,57,101,45,48,57,32,50,46,
      53,52,54,49,51,101,45,48,57,32,50,46,57,49,51,53,52,101,45,48,57,32,51,46,51,
      50,53,49,56,101,45,48,57,32,51,46,55,56,50,53,56,101,45,48,57,32,52,46,51,50,
      51,52,50,101,45,48,57,32,52,46,56,55,53,52,101,45,48,57,10,32,32,53,46,53,49,
      52,54,56,101,45,48,57,32,54,46,51,54,54,53,53,101,45,48,57,32,55,46,51,48,49,
      51,53,101,45,48,57,32,56,46,48,51,56,54,101,45,48,57,32,56,46,57,56,54,57,54,
      101,45,48,57,32,49,46,48,50,49,101,45,48,56,32,49,46,49,54,48,51,55,101,45,
      48,56,10,32,32,49,46,51,49,57,49,54,101,45,48,56,32,49,46,53,48,53,56,50,101,
      45,48,56,32,49,46,54,57,57,55,55,101,45,48,56,32,49,46,57,49,57,51,57,101,45,
      48,56,32,50,46,50,48,53,51,55,101,45,48,56,32,50,46,54,50,49,57,49,101,45,48,
      56,32,51,46,48,53,56,54,53,101,45,48,56,10,32,32,51,46,53,50,57,54,53,101,45,
      48,56,32,51,46,57,51,52,50,51,101,45,48,56,32,52,46,51,55,57,51,51,101,45,48,
      56,32,53,46,48,49,49,50,57,101,45,48,56,32,53,46,54,53,51,54,57,101,45,48,56,
      32,54,46,50,57,53,52,57,101,45,48,56,32,54,46,56,53,50,56,56,101,45,48,56,10,
      32,32,55,46,54,51,53,52,56,101,45,48,56,32,56,46,51,57,56,54,54,101,45,48,56,
      32,57,46,49,52,51,49,101,45,48,56,32,57,46,55,57,56,53,54,101,45,48,56,32,49,
      46,48,52,50,55,52,101,45,48,55,32,49,46,49,48,48,57,51,101,45,48,55,32,49,46,
      49,54,48,56,52,101,45,48,55,10,32,32,49,46,50,49,49,50,50,101,45,48,55,32,49,
      46,50,52,52,57,57,101,45,48,55,32,49,46,51,48,48,57,50,101,45,48,55,32,49,46,
      51,52,51,57,56,101,45,48,55,32,49,46,51,55,53,51,53,101,45,48,55,32,49,46,51,
      57,57,49,53,101,45,48,55,32,49,46,52,49,48,57,57,101,45,48,55,10,32,32,49,46,
      52,49,51,50,54,101,45,48,55,32,49,46,52,48,53,48,52,101,45,48,55,32,49,46,51,
      56,55,56,56,101,45,48,55,32,49,46,51,54,51,53,56,101,45,48,55,32,49,46,51,50,
      56,51,49,101,45,48,55,32,49,46,50,57,55,53,54,101,45,48,55,32,49,46,50,54,51,
      50,49,101,45,48,55,10,32,32,49,46,49,57,57,57,50,101,45,48,55,32,49,46,49,53,
      55,54,57,101,45,48,55,32,49,46,48,56,55,49,56,101,45,48,55,32,49,46,48,48,56,
      56,54,101,45,48,55,32,57,46,54,48,56,51,57,101,45,48,56,32,57,46,49,50,51,53,
      52,101,45,48,56,32,56,46,51,53,56,50,49,101,45,48,56,10,32,32,55,46,53,50,57,
      48,49,101,45,48,56,32,55,46,48,56,48,54,50,101,45,48,56,32,54,46,51,56,49,49,
      55,101,45,48,56,32,53,46,57,55,50,48,49,101,45,48,56,32,53,46,51,51,57,49,101,
      45,48,56,32,52,46,56,53,53,57,49,101,45,48,56,32,52,46,49,57,57,49,54,101,45,
      48,56,10,32,32,51,46,57,52,54,51,57,101,45,48,56,32,51,46,52,57,49,49,51,101,
      45,48,56,32,51,46,48,51,52,56,52,101,45,48,56,32,50,46,54,57,49,48,52,101,45,
      48,56,32,50,46,51,55,56,57,51,101,45,48,56,32,50,46,49,49,52,49,53,101,45,48,
      56,32,49,46,56,55,55,55,50,101,45,48,56,10,32,32,49,46,54,52,50,48,49,101,45,
      48,56,32,49,46,52,53,52,51,49,101,45,48,56,32,49,46,50,54,57,49,53,101,45,48,
      56,32,49,46,49,52,54,52,101,45,48,56,32,57,46,54,56,53,52,54,101,45,48,57,32,
      56,46,55,50,48,54,51,101,45,48,57,32,55,46,54,52,50,49,52,101,45,48,57,10,32,
      32,53,46,53,56,51,50,53,101,45,48,57,32,51,46,53,55,53,50,56,101,45,48,57,32,
      50,46,50,56,50,52,55,101,45,48,57,32,49,46,50,56,48,51,101,45,48,57,32,55,46,
      48,54,49,49,54,101,45,49,48,32,51,46,51,56,56,52,53,101,45,49,48,32,50,46,54,
      52,55,56,49,101,45,49,48,10,32,32,49,46,49,56,51,56,55,101,45,49,48,32,53,46,
      48,56,49,56,55,101,45,49,49,32,50,46,55,56,56,50,55,101,45,49,49,32,49,46,52,
      49,57,56,51,101,45,49,49,32,53,46,55,51,57,53,55,101,45,49,50,32,50,46,53,56,
      54,49,54,101,45,49,50,32,49,46,49,54,48,57,55,101,45,49,50,10,32,32,52,46,54,
      51,48,50,56,101,45,49,51,32,49,46,56,52,48,49,53,101,45,49,51,32,56,46,49,56,
      54,54,54,101,45,49,52,32,51,46,54,51,52,55,56,101,45,49,52,32,49,46,54,48,52,
      53,52,101,45,49,52,32,54,46,51,49,55,49,55,101,45,49,53,32,50,46,50,48,56,56,
      52,101,45,49,53,10,32,32,54,46,56,53,54,54,50,101,45,49,54,32,50,46,51,56,56,
      51,50,101,45,49,54,32,55,46,51,56,51,53,53,101,45,49,55,32,50,46,53,54,52,52,
      54,101,45,49,55,32,56,46,56,57,55,48,55,101,45,49,56,32,50,46,55,52,49,48,54,
      101,45,49,56,32,55,46,55,52,57,52,57,101,45,49,57,10,32,32,50,46,57,49,56,55,
      49,101,45,49,57,32,57,46,52,50,51,54,55,101,45,50,48,32,51,46,52,56,55,48,52,
      101,45,50,48,32,49,46,50,48,52,50,56,101,45,50,48,32,52,46,49,53,55,48,57,101,
      45,50,49,32,49,46,52,51,52,51,51,101,45,50,49,32,52,46,57,52,55,48,52,101,45,
      50,50,10,32,32,49,46,55,48,53,48,55,101,45,50,50,32,53,46,56,55,54,54,52,101,
      45,50,51,32,50,46,48,50,52,56,50,101,45,50,51,32,54,46,57,55,52,55,51,101,45,
      50,52,32,50,46,51,51,48,48,54,101,45,50,52,32,55,46,55,52,55,54,56,101,45,50,
      53,32,50,46,50,56,53,55,49,101,45,50,53,10,32,32,48,114,54,52,32,57,46,55,52,
      51,57,57,101,45,49,57,32,50,46,54,55,52,54,50,101,45,49,56,32,55,46,56,48,49,
      52,56,101,45,49,56,32,50,46,49,52,50,48,57,101,45,49,55,32,56,46,54,48,54,51,
      52,101,45,49,49,32,49,46,50,57,49,48,55,101,45,49,48,32,50,46,49,51,51,51,56,
      101,45,49,48,10,32,32,50,46,57,53,49,53,53,101,45,49,48,32,52,46,49,51,53,51,
      56,101,45,49,48,32,53,46,54,51,54,57,53,101,45,49,48,32,55,46,55,51,55,48,53,
      101,45,49,48,32,57,46,51,53,57,56,49,101,45,49,48,32,49,46,48,56,55,55,56,101,
      45,48,57,32,49,46,51,54,51,54,101,45,48,57,10,32,32,49,46,54,48,55,56,101,45,
      48,57,32,49,46,56,50,53,57,52,101,45,48,57,32,49,46,57,50,54,55,50,101,45,48,
      57,32,50,46,48,50,50,54,54,101,45,48,57,32,50,46,49,49,52,50,54,101,45,48,57,
      32,50,46,50,48,49,56,53,101,45,48,57,32,50,46,50,56,53,57,101,45,48,57,10,32,
      32,50,46,51,54,54,55,55,101,45,48,57,32,50,46,52,52,52,54,56,101,45,48,57,32,
      50,46,53,49,57,57,55,101,45,48,57,32,50,46,53,57,50,57,56,101,45,48,57,32,50,
      46,54,54,51,56,52,101,45,48,57,32,50,46,55,52,54,53,51,101,45,48,57,32,50,46,
      56,50,54,56,101,45,48,57,10,32,32,50,46,57,51,48,52,49,101,45,48,57,32,51,46,
      48,51,50,52,53,101,45,48,57,32,51,46,49,51,48,57,51,101,45,48,57,32,51,46,50,
      53,49,51,53,101,45,48,57,32,51,46,51,54,57,56,54,101,45,48,57,32,51,46,52,56,
      54,49,51,101,45,48,57,32,51,46,54,50,51,52,55,101,45,48,57,10,32,32,51,46,55,
      54,48,50,54,101,45,48,57,32,51,46,57,52,50,53,56,101,45,48,57,32,52,46,49,50,
      52,50,53,101,45,48,57,32,52,46,51,48,55,52,52,101,45,48,57,32,52,46,53,49,54,
      48,57,101,45,48,57,32,52,46,55,53,50,48,52,101,45,48,57,32,53,46,48,49,52,48,
      54,101,45,48,57,10,32,32,53,46,51,48,50,55,56,101,45,48,57,32,53,46,54,50,52,
      50,49,101,45,48,57,32,54,46,48,48,54,48,55,101,45,48,57,32,54,46,52,48,48,57,
      49,101,45,48,57,32,54,46,56,54,53,54,55,101,45,48,57,32,55,46,52,57,50,57,55,
      101,45,48,57,32,56,46,49,57,50,52,54,101,45,48,57,10,32,32,56,46,55,53,52,55,
      51,101,45,48,57,32,57,46,52,56,57,51,53,101,45,48,57,32,49,46,48,52,53,49,49,
      101,45,48,56,32,49,46,49,53,54,48,56,101,45,48,56,32,49,46,50,56,52,50,55,101,
      45,48,56,32,49,46,52,51,54,54,55,101,45,48,56,32,49,46,53,57,54,54,51,101,45,
      48,56,10,32,32,49,46,55,55,57,51,51,101,45,48,56,32,50,46,48,49,57,51,101,45,
      48,56,32,50,46,51,55,50,48,50,101,45,48,56,32,50,46,55,52,53,51,101,45,48,56,
      32,51,46,49,53,49,50,52,101,45,48,56,32,51,46,53,48,50,51,101,45,48,56,32,51,
      46,56,57,48,54,57,101,45,48,56,10,32,32,52,46,52,52,53,54,55,101,45,48,56,32,
      53,46,48,49,51,53,54,101,45,48,56,32,53,46,53,56,52,51,49,101,45,48,56,32,54,
      46,48,56,50,53,50,101,45,48,56,32,54,46,55,56,53,53,49,101,45,48,56,32,55,46,
      52,55,52,55,101,45,48,56,32,56,46,49,53,48,49,51,101,45,48,56,10,32,32,56,46,
      55,52,55,49,52,101,45,48,56,32,57,46,51,50,49,55,51,101,45,48,56,32,57,46,56,
      53,52,57,52,101,45,48,56,32,49,46,48,52,48,53,52,101,45,48,55,32,49,46,48,56,
      54,57,52,101,45,48,55,32,49,46,49,49,56,49,101,45,48,55,32,49,46,49,54,57,56,
      51,101,45,48,55,10,32,32,49,46,50,48,57,56,56,101,45,48,55,32,49,46,50,51,57,
      50,56,101,45,48,55,32,49,46,50,54,49,57,50,101,45,48,55,32,49,46,50,55,51,54,
      53,101,45,48,55,32,49,46,50,55,54,56,50,101,45,48,55,32,49,46,50,55,48,52,57,
      101,45,48,55,32,49,46,50,53,54,48,52,101,45,48,55,10,32,32,49,46,50,51,53,48,
      55,101,45,48,55,32,49,46,50,48,52,50,55,101,45,48,55,32,49,46,49,55,55,50,51,
      101,45,48,55,32,49,46,49,52,54,57,101,45,48,55,32,49,46,48,57,48,55,56,101,
      45,48,55,32,49,46,48,53,51,50,50,101,45,48,55,32,57,46,57,48,51,48,49,101,45,
      48,56,10,32,32,57,46,50,48,49,57,51,101,45,48,56,32,56,46,55,55,49,48,55,101,
      45,48,56,32,56,46,51,51,53,51,50,101,45,48,56,32,55,46,54,52,54,49,51,101,45,
      48,56,32,54,46,56,57,55,53,54,101,45,48,56,32,54,46,52,57,50,48,49,101,45,48,
      56,32,53,46,56,53,56,51,49,101,45,48,56,10,32,32,53,46,52,56,54,57,57,101,45,
      48,56,32,52,46,57,49,49,55,101,45,48,56,32,52,46,52,55,49,55,52,101,45,48,56,
      32,51,46,56,55,50,54,55,101,45,48,56,32,51,46,54,52,49,55,53,101,45,48,56,32,
      51,46,50,50,53,51,53,101,45,48,56,32,50,46,56,48,55,51,50,101,45,48,56,10,32,
      32,50,46,52,57,49,56,53,101,45,48,56,32,50,46,50,48,53,48,55,101,45,48,56,32,
      49,46,57,54,49,52,55,101,45,48,56,32,49,46,55,52,51,54,57,101,45,48,56,32,49,
      46,53,50,54,51,101,45,48,56,32,49,46,51,53,50,57,57,101,45,48,56,32,49,46,49,
      56,49,56,51,101,45,48,56,10,32,32,49,46,48,54,56,50,52,101,45,48,56,32,57,46,
      48,51,52,57,56,101,45,48,57,32,56,46,49,52,48,50,53,101,45,48,57,32,55,46,49,
      51,57,50,53,101,45,48,57,32,53,46,50,50,53,51,55,101,45,48,57,32,51,46,51,53,
      52,48,57,101,45,48,57,32,50,46,49,52,53,57,53,101,45,48,57,10,32,32,49,46,50,
      48,54,56,49,101,45,48,57,32,54,46,54,55,49,56,56,101,45,49,48,32,51,46,50,49,
      48,50,49,101,45,49,48,32,50,46,52,56,57,57,53,101,45,49,48,32,49,46,49,49,54,
      48,56,101,45,49,48,32,52,46,55,57,55,53,101,45,49,49,32,50,46,54,51,52,53,54,
      101,45,49,49,10,32,32,49,46,51,52,50,55,56,101,45,49,49,32,53,46,52,51,52,48,
      51,101,45,49,50,32,50,46,52,53,48,53,57,101,45,49,50,32,49,46,49,48,48,57,55,
      101,45,49,50,32,52,46,51,57,52,53,53,101,45,49,51,32,49,46,55,52,55,55,54,101,
      45,49,51,32,55,46,55,56,48,50,57,101,45,49,52,10,32,32,51,46,52,53,54,51,101,
      45,49,52,32,49,46,53,50,54,54,101,45,49,52,32,54,46,48,49,51,54,53,101,45,49,
      53,32,50,46,49,48,51,57,51,101,45,49,53,32,54,46,53,51,52,55,54,101,45,49,54,
      32,50,46,50,55,55,51,49,101,45,49,54,32,55,46,48,52,51,57,52,101,45,49,55,10,
      32,32,50,46,52,52,55,53,53,101,45,49,55,32,56,46,52,57,52,56,53,101,45,49,56,
      32,50,46,54,49,56,50,51,101,45,49,56,32,55,46,52,48,53,50,54,101,45,49,57,32,
      50,46,55,56,57,56,56,101,45,49,57,32,57,46,48,49,48,54,53,101,45,50,48,32,51,
      46,51,51,53,49,101,45,50,48,10,32,32,49,46,49,53,50,49,50,101,45,50,48,32,51,
      46,57,55,56,48,55,101,45,50,49,32,49,46,51,55,50,57,49,101,45,50,49,32,52,46,
      55,51,54,51,53,101,45,50,50,32,49,46,54,51,50,55,57,101,45,50,50,32,53,46,54,
      50,56,55,57,101,45,50,51,32,49,46,57,51,57,56,52,101,45,50,51,10,32,32,54,46,
      54,56,51,51,53,101,45,50,52,32,50,46,50,51,48,49,57,101,45,50,52,32,55,46,52,
      49,53,57,50,101,45,50,53,32,50,46,49,56,54,57,56,101,45,50,53,32,48,114,54,
      52,32,53,46,54,57,49,57,50,101,45,49,57,32,49,46,53,54,50,54,55,101,45,49,56,
      32,52,46,53,53,57,51,55,101,45,49,56,10,32,32,49,46,50,53,50,51,54,101,45,49,
      55,32,49,46,50,49,53,49,56,101,45,49,53,32,52,46,48,57,52,49,49,101,45,49,53,
      32,49,46,56,56,56,56,49,101,45,49,52,32,53,46,49,54,52,54,49,101,45,49,52,32,
      49,46,52,57,55,54,51,101,45,49,51,32,52,46,48,55,57,51,55,101,45,49,51,10,32,
      32,49,46,49,55,53,56,49,101,45,49,50,32,50,46,50,55,51,57,50,101,45,49,50,32,
      51,46,56,56,57,52,54,101,45,49,50,32,57,46,48,50,53,49,50,101,45,49,50,32,49,
      46,55,50,51,54,101,45,49,49,32,50,46,57,48,57,50,54,101,45,49,49,32,51,46,54,
      53,52,52,101,45,49,49,10,32,32,52,46,53,48,56,51,51,101,45,49,49,32,53,46,52,
      55,53,57,50,101,45,49,49,32,54,46,53,54,49,54,51,101,45,49,49,32,55,46,55,54,
      57,50,52,101,45,49,49,32,57,46,49,48,50,50,53,101,45,49,49,32,49,46,48,53,54,
      51,57,101,45,49,48,32,49,46,50,49,53,54,51,101,45,49,48,10,32,32,49,46,51,56,
      56,50,49,101,45,49,48,32,49,46,53,55,52,51,101,45,49,48,32,49,46,56,49,53,54,
      50,101,45,49,48,32,50,46,48,55,54,55,54,101,45,49,48,32,50,46,52,53,54,48,51,
      101,45,49,48,32,50,46,56,55,51,49,55,101,45,49,48,32,51,46,51,50,52,48,54,101,
      45,49,48,10,32,32,51,46,57,51,55,50,49,101,45,49,48,32,52,46,54,48,52,55,54,
      101,45,49,48,32,53,46,51,50,53,56,54,101,45,49,48,32,54,46,50,53,57,57,49,101,
      45,49,48,32,55,46,50,54,53,54,53,101,45,49,48,32,56,46,55,49,52,48,53,101,45,
      49,48,32,49,46,48,50,55,56,53,101,45,48,57,10,32,32,49,46,49,57,52,57,101,45,
      48,57,32,49,46,51,57,52,55,51,101,45,48,57,32,49,46,54,50,57,56,53,101,45,48,
      57,32,49,46,57,48,50,57,51,101,45,48,57,32,50,46,50,49,54,49,49,101,45,48,57,
      32,50,46,53,55,48,51,54,101,45,48,57,32,50,46,57,57,53,56,53,101,45,48,57,10,
      32,32,51,46,52,51,55,49,57,101,45,48,57,32,51,46,57,53,49,57,49,101,45,48,57,
      32,52,46,54,52,48,48,52,101,45,48,57,32,53,46,51,57,50,53,57,101,45,48,57,32,
      53,46,57,56,48,53,101,45,48,57,32,54,46,55,51,49,50,53,101,45,48,57,32,55,46,
      54,56,52,52,101,45,48,57,10,32,32,56,46,55,53,49,57,101,45,48,57,32,57,46,57,
      52,55,50,53,101,45,48,57,32,49,46,49,51,51,48,55,101,45,48,56,32,49,46,50,55,
      53,48,55,101,45,48,56,32,49,46,52,51,52,52,50,101,45,48,56,32,49,46,54,52,48,
      55,56,101,45,48,56,32,49,46,57,52,48,52,55,101,45,48,56,10,32,32,50,46,50,53,
      53,50,51,101,45,48,56,32,50,46,53,57,54,50,56,101,45,48,56,32,50,46,56,57,49,
      48,54,101,45,48,56,32,51,46,50,49,55,53,50,101,45,48,56,32,51,46,54,56,53,49,
      56,101,45,48,56,32,52,46,49,54,53,54,52,101,45,48,56,32,52,46,54,53,48,55,49,
      101,45,48,56,10,32,32,53,46,48,55,54,48,50,101,45,48,56,32,53,46,54,55,57,50,
      101,45,48,56,32,54,46,50,55,51,57,50,101,45,48,56,32,54,46,56,53,57,57,54,101,
      45,48,56,32,55,46,51,56,48,52,101,45,48,56,32,55,46,56,56,51,52,53,101,45,48,
      56,32,56,46,51,53,50,48,51,101,45,48,56,10,32,32,56,46,56,51,55,52,57,101,45,
      48,56,32,57,46,50,52,56,48,54,101,45,48,56,32,57,46,53,50,52,54,54,101,45,48,
      56,32,57,46,57,56,53,56,49,101,45,48,56,32,49,46,48,51,52,53,50,101,45,48,55,
      32,49,46,48,54,49,49,56,101,45,48,55,32,49,46,48,56,50,49,51,101,45,48,55,10,
      32,32,49,46,48,57,51,53,54,101,45,48,55,32,49,46,48,57,55,55,53,101,45,48,55,
      32,49,46,48,57,51,55,49,101,45,48,55,32,49,46,48,56,50,54,51,101,45,48,55,32,
      49,46,48,54,53,56,56,101,45,48,55,32,49,46,48,52,48,55,53,101,45,48,55,32,49,
      46,48,49,56,52,54,101,45,48,55,10,32,32,57,46,57,51,50,57,50,101,45,48,56,32,
      57,46,52,54,52,48,50,101,45,48,56,32,57,46,49,52,56,52,52,101,45,48,56,32,56,
      46,54,49,55,54,51,101,45,48,56,32,56,46,48,50,51,51,101,45,48,56,32,55,46,54,
      53,54,55,53,101,45,48,56,32,55,46,50,56,53,49,50,101,45,48,56,10,32,32,54,46,
      54,57,53,53,55,101,45,48,56,32,54,46,48,53,50,56,56,101,45,48,56,32,53,46,55,
      48,51,55,101,45,48,56,32,53,46,49,53,54,55,50,101,45,48,56,32,52,46,56,51,53,
      52,51,101,45,48,56,32,52,46,51,51,54,53,49,101,45,48,56,32,51,46,57,53,52,48,
      50,101,45,48,56,10,32,32,51,46,52,51,49,56,50,101,45,48,56,32,51,46,50,51,48,
      48,56,101,45,48,56,32,50,46,56,54,53,54,52,101,45,48,56,32,50,46,52,57,56,56,
      54,101,45,48,56,32,50,46,50,50,49,52,52,101,45,48,56,32,49,46,57,54,56,55,51,
      101,45,48,56,32,49,46,55,53,51,54,54,101,45,48,56,10,32,32,49,46,53,54,49,48,
      53,101,45,48,56,32,49,46,51,54,56,52,52,101,45,48,56,32,49,46,50,49,52,54,49,
      101,45,48,56,32,49,46,48,54,50,52,51,101,45,48,56,32,57,46,54,49,50,56,51,101,
      45,48,57,32,56,46,49,52,51,52,101,45,48,57,32,55,46,51,52,52,48,56,101,45,48,
      57,10,32,32,54,46,52,52,56,54,52,101,45,48,57,32,52,46,55,51,50,53,55,101,45,
      48,57,32,51,46,48,52,56,53,101,45,48,57,32,49,46,57,53,54,55,56,101,45,48,57,
      32,49,46,49,48,52,54,53,101,45,48,57,32,54,46,49,50,56,57,57,101,45,49,48,32,
      50,46,57,54,48,55,50,101,45,49,48,10,32,32,50,46,50,55,49,57,51,101,45,49,48,
      32,49,46,48,50,50,49,52,101,45,49,48,32,52,46,52,48,50,55,51,101,45,49,49,32,
      50,46,52,50,48,57,52,101,45,49,49,32,49,46,50,51,53,53,54,101,45,49,49,32,53,
      46,48,48,56,51,51,101,45,49,50,32,50,46,50,54,49,53,53,101,45,49,50,10,32,32,
      49,46,48,49,55,50,52,101,45,49,50,32,52,46,48,54,53,51,55,101,45,49,51,32,49,
      46,54,49,56,54,55,101,45,49,51,32,55,46,50,49,50,50,101,45,49,52,32,51,46,50,
      48,54,54,51,101,45,49,52,32,49,46,52,49,55,53,101,45,49,52,32,53,46,53,56,56,
      53,56,101,45,49,53,10,32,32,49,46,57,53,54,57,51,101,45,49,53,32,54,46,48,56,
      51,54,50,101,45,49,54,32,50,46,49,50,49,54,54,101,45,49,54,32,54,46,53,54,55,
      52,55,101,45,49,55,32,50,46,50,56,51,52,50,101,45,49,55,32,55,46,57,50,57,56,
      56,101,45,49,56,32,50,46,52,52,53,53,57,101,45,49,56,10,32,32,54,46,57,50,49,
      50,54,101,45,49,57,32,50,46,54,48,56,55,50,101,45,49,57,32,56,46,52,50,57,54,
      56,101,45,50,48,32,51,46,49,50,49,51,54,101,45,50,48,32,49,46,48,55,56,55,52,
      101,45,50,48,32,51,46,55,50,54,49,55,101,45,50,49,32,49,46,50,56,54,52,53,101,
      45,50,49,10,32,32,52,46,52,51,57,54,57,101,45,50,50,32,49,46,53,51,48,57,55,
      101,45,50,50,32,53,46,50,55,57,53,52,101,45,50,51,32,49,46,56,50,48,48,53,101,
      45,50,51,32,54,46,50,55,50,53,54,101,45,50,52,32,50,46,49,51,48,57,55,101,45,
      50,52,32,54,46,57,52,56,53,49,101,45,50,53,10,32,32,50,46,48,52,55,57,55,101,
      45,50,53,32,48,114,54,52,32,50,46,55,54,49,54,50,101,45,50,48,32,55,46,54,48,
      50,52,57,101,45,50,48,32,50,46,50,50,55,50,50,101,45,49,57,32,54,46,49,53,48,
      55,57,101,45,49,57,32,52,46,50,57,54,56,52,101,45,49,55,32,49,46,52,53,48,51,
      51,101,45,49,54,10,32,32,54,46,55,49,53,54,49,101,45,49,54,32,49,46,56,52,51,
      48,50,101,45,49,53,32,53,46,51,55,52,49,55,101,45,49,53,32,49,46,52,55,52,57,
      54,101,45,49,52,32,52,46,51,48,53,50,51,101,45,49,52,32,56,46,52,48,56,57,52,
      101,45,49,52,32,49,46,52,53,51,101,45,49,51,10,32,32,51,46,52,52,51,50,50,101,
      45,49,51,32,54,46,55,50,49,55,56,101,45,49,51,32,49,46,49,54,48,55,52,101,45,
      49,50,32,49,46,52,55,53,49,56,101,45,49,50,32,49,46,56,52,49,54,53,101,45,49,
      50,32,50,46,50,54,52,48,51,101,45,49,50,32,50,46,55,52,54,50,54,101,45,49,50,
      10,32,32,51,46,50,57,50,49,56,101,45,49,50,32,51,46,57,48,53,54,52,101,45,49,
      50,32,52,46,53,57,48,53,101,45,49,50,32,53,46,51,53,48,53,52,101,45,49,50,32,
      54,46,49,56,57,53,53,101,45,49,50,32,55,46,49,49,49,50,56,101,45,49,50,32,56,
      46,51,51,49,55,57,101,45,49,50,10,32,32,57,46,54,56,51,50,49,101,45,49,50,32,
      49,46,49,54,57,57,56,101,45,49,49,32,49,46,52,48,48,54,101,45,49,49,32,49,46,
      54,53,54,50,52,101,45,49,49,32,50,46,48,49,54,54,51,101,45,49,49,32,50,46,52,
      50,53,48,51,101,45,49,49,32,50,46,56,56,52,50,51,101,45,49,49,10,32,32,51,46,
      53,48,54,49,52,101,45,49,49,32,52,46,50,48,57,54,54,101,45,49,49,32,53,46,50,
      56,50,51,57,101,45,49,49,32,54,46,53,49,56,53,55,101,45,49,49,32,55,46,57,50,
      56,49,49,101,45,49,49,32,57,46,55,51,51,49,53,101,45,49,49,32,49,46,50,48,50,
      54,52,101,45,49,48,10,32,32,49,46,52,57,49,56,55,101,45,49,48,32,49,46,56,53,
      52,48,57,101,45,49,48,32,50,46,51,48,52,52,101,45,49,48,32,50,46,57,48,50,56,
      56,101,45,49,48,32,51,46,53,57,48,49,50,101,45,49,48,32,52,46,52,56,49,52,49,
      101,45,49,48,32,53,46,56,50,48,50,52,101,45,49,48,10,32,32,55,46,52,55,52,48,
      53,101,45,49,48,32,56,46,57,48,52,48,56,101,45,49,48,32,49,46,48,56,56,56,55,
      101,45,48,57,32,49,46,51,54,52,57,54,101,45,48,57,32,49,46,55,48,50,49,53,101,
      45,48,57,32,50,46,49,48,57,54,52,101,45,48,57,32,50,46,54,49,50,53,51,101,45,
      48,57,10,32,32,51,46,49,53,54,49,56,101,45,48,57,32,51,46,55,57,49,52,56,101,
      45,48,57,32,52,46,54,52,50,54,56,101,45,48,57,32,53,46,57,50,50,53,54,101,45,
      48,57,32,55,46,51,48,51,52,54,101,45,48,57,32,56,46,56,50,57,56,55,101,45,48,
      57,32,49,46,48,49,54,57,51,101,45,48,56,10,32,32,49,46,49,54,55,49,52,101,45,
      48,56,32,49,46,51,56,53,51,55,101,45,48,56,32,49,46,54,49,51,48,57,101,45,48,
      56,32,49,46,56,52,54,53,101,45,48,56,32,50,46,48,53,52,48,55,101,45,48,56,32,
      50,46,51,53,51,49,54,101,45,48,56,32,50,46,54,53,51,53,57,101,45,48,56,10,32,
      32,50,46,57,53,53,49,49,101,45,48,56,32,51,46,50,50,55,53,54,101,45,48,56,32,
      51,46,52,57,53,49,55,101,45,48,56,32,51,46,55,52,56,51,55,101,45,48,56,32,52,
      46,48,49,52,57,101,45,48,56,32,52,46,50,52,51,57,51,101,45,48,56,32,52,46,52,
      48,48,52,101,45,48,56,10,32,32,52,46,54,54,54,49,55,101,45,48,56,32,52,46,56,
      55,57,55,52,101,45,48,56,32,53,46,48,52,53,48,53,101,45,48,56,32,53,46,49,56,
      53,101,45,48,56,32,53,46,50,55,52,50,57,101,45,48,56,32,53,46,51,51,48,54,101,
      45,48,56,32,53,46,51,52,52,57,56,101,45,48,56,10,32,32,53,46,51,50,51,48,51,
      101,45,48,56,32,53,46,50,55,49,49,52,101,45,48,56,32,53,46,49,56,48,54,50,101,
      45,48,56,32,53,46,48,57,52,51,101,45,48,56,32,52,46,57,57,50,56,53,101,45,48,
      56,32,52,46,55,57,54,52,57,101,45,48,56,32,52,46,54,54,48,52,54,101,45,48,56,
      10,32,32,52,46,52,50,54,51,57,101,45,48,56,32,52,46,49,53,55,57,101,45,48,56,
      32,51,46,57,56,57,52,51,101,45,48,56,32,51,46,56,49,54,53,55,101,45,48,56,32,
      51,46,53,51,56,52,101,45,48,56,32,51,46,50,50,57,56,56,101,45,48,56,32,51,46,
      48,54,48,48,49,101,45,48,56,10,32,32,50,46,55,57,48,55,55,101,45,48,56,32,50,
      46,54,51,48,56,49,101,45,48,56,32,50,46,51,55,57,55,49,101,45,48,56,32,50,46,
      49,56,52,57,49,101,45,48,56,32,49,46,57,49,53,53,57,101,45,48,56,32,49,46,56,
      49,48,52,54,101,45,48,56,32,49,46,54,49,56,57,51,101,45,48,56,10,32,32,49,46,
      52,50,51,57,53,101,45,48,56,32,49,46,50,55,52,56,55,101,45,48,56,32,49,46,49,
      51,55,55,56,101,45,48,56,32,49,46,48,50,48,48,54,101,45,48,56,32,57,46,49,51,
      55,52,49,101,45,48,57,32,56,46,48,54,53,49,52,101,45,48,57,32,55,46,50,48,49,
      53,57,101,45,48,57,10,32,32,54,46,51,52,48,52,54,101,45,48,57,32,53,46,55,54,
      52,48,50,101,45,48,57,32,52,46,57,50,48,49,101,45,48,57,32,52,46,52,53,55,53,
      49,101,45,48,57,32,51,46,57,51,54,48,49,101,45,48,57,32,50,46,57,50,53,53,50,
      101,45,48,57,32,49,46,57,49,54,50,52,101,45,48,57,10,32,32,49,46,50,52,57,50,
      101,45,48,57,32,55,46,49,56,49,57,50,101,45,49,48,32,52,46,48,53,51,51,57,101,
      45,49,48,32,49,46,57,57,53,54,101,45,49,48,32,49,46,52,54,53,54,56,101,45,49,
      48,32,54,46,54,56,55,50,101,45,49,49,32,50,46,57,48,57,55,49,101,45,49,49,10,
      32,32,49,46,54,49,48,51,49,101,45,49,49,32,56,46,50,55,51,101,45,49,50,32,51,
      46,51,56,48,51,51,101,45,49,50,32,49,46,53,51,54,48,57,101,45,49,50,32,54,46,
      57,52,57,51,52,101,45,49,51,32,50,46,55,57,52,48,56,101,45,49,51,32,49,46,49,
      49,56,54,50,101,45,49,51,10,32,32,53,46,48,48,54,50,53,101,45,49,52,32,50,46,
      50,51,52,57,57,101,45,49,52,32,57,46,57,49,57,56,101,45,49,53,32,51,46,57,50,
      54,56,56,101,45,49,53,32,49,46,51,56,48,56,56,101,45,49,53,32,52,46,51,49,49,
      52,49,101,45,49,54,32,49,46,53,48,57,48,49,101,45,49,54,10,32,32,52,46,54,56,
      56,51,53,101,45,49,55,32,49,46,54,51,53,49,52,101,45,49,55,32,53,46,54,57,53,
      48,51,101,45,49,56,32,49,46,55,54,49,54,54,101,45,49,56,32,53,46,48,48,48,55,
      49,101,45,49,57,32,49,46,56,56,56,57,55,101,45,49,57,32,54,46,49,49,56,54,52,
      101,45,50,48,10,32,32,50,46,50,55,48,49,55,101,45,50,48,32,55,46,56,54,49,54,
      56,101,45,50,49,32,50,46,55,50,48,56,55,101,45,50,49,32,57,46,52,49,49,53,50,
      101,45,50,50,32,51,46,50,53,51,54,51,101,45,50,50,32,49,46,49,50,52,51,53,101,
      45,50,50,32,51,46,56,56,48,55,52,101,45,50,51,10,32,32,49,46,51,51,57,57,51,
      101,45,50,51,32,52,46,54,50,52,55,50,101,45,50,52,32,49,46,53,57,53,54,57,101,
      45,50,52,32,53,46,48,56,55,55,49,101,45,50,53,32,49,46,55,53,50,48,52,101,45,
      50,53,32,53,46,49,50,56,49,52,101,45,50,54,32,48,114,54,51,32,50,46,56,57,55,
      55,55,101,45,50,49,10,32,32,56,46,48,52,48,55,52,101,45,50,49,32,50,46,51,56,
      51,50,50,101,45,50,48,32,54,46,54,56,49,57,50,101,45,50,48,32,52,46,54,48,48,
      51,55,101,45,49,55,32,49,46,53,53,48,50,56,101,45,49,54,32,55,46,49,53,53,54,
      57,101,45,49,54,32,49,46,57,53,55,54,57,101,45,49,53,10,32,32,53,46,54,56,50,
      49,57,101,45,49,53,32,49,46,53,53,48,48,49,101,45,49,52,32,52,46,52,55,57,52,
      53,101,45,49,52,32,56,46,54,56,53,53,56,101,45,49,52,32,49,46,52,57,48,48,55,
      101,45,49,51,32,51,46,52,56,49,56,56,101,45,49,51,32,54,46,55,48,53,49,50,101,
      45,49,51,10,32,32,49,46,49,52,50,53,56,101,45,49,50,32,49,46,52,52,50,54,54,
      101,45,49,50,32,49,46,55,56,57,52,56,101,45,49,50,32,50,46,49,56,53,57,55,101,
      45,49,50,32,50,46,54,51,52,57,53,101,45,49,50,32,51,46,49,51,57,49,57,101,45,
      49,50,32,51,46,55,48,49,51,56,101,45,49,50,10,32,32,52,46,51,50,52,49,49,101,
      45,49,50,32,53,46,48,48,57,57,55,101,45,49,50,32,53,46,55,54,49,51,53,101,45,
      49,50,32,54,46,53,56,48,55,101,45,49,50,32,55,46,54,53,54,57,101,45,49,50,32,
      56,46,56,51,56,50,49,101,45,49,50,32,49,46,48,53,56,51,51,101,45,49,49,10,32,
      32,49,46,50,53,53,54,49,101,45,49,49,32,49,46,52,55,50,101,45,49,49,32,49,46,
      55,55,51,52,53,101,45,49,49,32,50,46,49,49,48,54,55,101,45,49,49,32,50,46,52,
      56,53,48,54,101,45,49,49,32,50,46,57,56,53,51,49,101,45,49,49,32,51,46,53,52,
      51,50,52,101,45,49,49,10,32,32,52,46,51,56,48,52,55,101,45,49,49,32,53,46,51,
      50,56,52,55,101,45,49,49,32,54,46,51,57,49,53,57,101,45,49,49,32,55,46,55,50,
      57,57,55,101,45,49,49,32,57,46,52,48,48,48,55,101,45,49,49,32,49,46,49,52,54,
      55,49,101,45,49,48,32,49,46,52,48,48,53,53,101,45,49,48,10,32,32,49,46,55,49,
      48,48,52,101,45,49,48,32,50,46,49,49,51,48,53,101,45,49,48,32,50,46,53,54,54,
      54,57,101,45,49,48,32,51,46,49,52,51,55,51,101,45,49,48,32,51,46,57,57,50,52,
      56,101,45,49,48,32,53,46,48,49,56,57,101,45,49,48,32,53,46,56,57,49,57,101,
      45,49,48,10,32,32,55,46,48,56,54,53,55,101,45,49,48,32,56,46,55,50,52,53,57,
      101,45,49,48,32,49,46,48,54,57,56,51,101,45,48,57,32,49,46,51,48,53,55,52,101,
      45,48,57,32,49,46,53,57,52,52,49,101,45,48,57,32,49,46,57,48,52,54,54,101,45,
      48,57,32,50,46,50,54,54,48,54,101,45,48,57,10,32,32,50,46,55,52,57,57,101,45,
      48,57,32,51,46,52,55,56,55,55,101,45,48,57,32,52,46,50,54,57,54,55,101,45,48,
      57,32,53,46,49,53,49,49,56,101,45,48,57,32,53,46,57,51,49,55,56,101,45,48,57,
      32,54,46,56,49,53,51,55,101,45,48,57,32,56,46,49,49,52,57,51,101,45,48,57,10,
      32,32,57,46,52,57,48,56,49,101,45,48,57,32,49,46,48,57,50,50,101,45,48,56,32,
      49,46,50,50,49,49,57,101,45,48,56,32,49,46,52,48,57,56,51,101,45,48,56,32,49,
      46,54,48,50,53,101,45,48,56,32,49,46,55,57,57,48,49,101,45,48,56,32,49,46,57,
      55,57,50,49,101,45,48,56,10,32,32,50,46,49,53,56,54,49,101,45,48,56,32,50,46,
      51,51,48,53,53,101,45,48,56,32,50,46,53,49,51,56,53,101,45,48,56,32,50,46,54,
      55,51,51,54,101,45,48,56,32,50,46,55,56,51,52,56,101,45,48,56,32,50,46,57,55,
      50,57,57,101,45,48,56,32,51,46,49,50,56,49,55,101,45,48,56,10,32,32,51,46,50,
      53,49,48,50,101,45,48,56,32,51,46,51,53,56,53,101,45,48,56,32,51,46,52,51,49,
      48,56,101,45,48,56,32,51,46,52,56,50,57,51,101,45,48,56,32,51,46,53,48,54,51,
      53,101,45,48,56,32,51,46,53,48,52,57,53,101,45,48,56,32,51,46,52,56,50,56,52,
      101,45,48,56,10,32,32,51,46,52,51,54,49,49,101,45,48,56,32,51,46,51,56,56,50,
      56,101,45,48,56,32,51,46,51,51,48,48,54,101,45,48,56,32,51,46,50,49,51,56,57,
      101,45,48,56,32,51,46,49,51,49,54,57,101,45,48,56,32,50,46,57,56,55,57,56,101,
      45,48,56,32,50,46,56,50,48,53,53,101,45,48,56,10,32,32,50,46,55,49,52,51,52,
      101,45,48,56,32,50,46,54,48,52,53,54,101,45,48,56,32,50,46,52,50,54,51,55,101,
      45,48,56,32,50,46,50,50,54,55,49,101,45,48,56,32,50,46,49,49,53,57,50,101,45,
      48,56,32,49,46,57,51,57,49,101,45,48,56,32,49,46,56,51,51,51,54,101,45,48,56,
      10,32,32,49,46,54,54,54,51,53,101,45,48,56,32,49,46,53,51,53,57,101,45,48,56,
      32,49,46,51,53,52,50,51,101,45,48,56,32,49,46,50,56,50,57,101,45,48,56,32,49,
      46,49,53,50,51,101,45,48,56,32,49,46,48,49,56,52,55,101,45,48,56,32,57,46,49,
      53,53,50,50,101,45,48,57,10,32,32,56,46,50,48,51,51,101,45,48,57,32,55,46,51,
      56,49,54,53,101,45,48,57,32,54,46,54,51,54,101,45,48,57,32,53,46,56,56,48,50,
      55,101,45,48,57,32,53,46,50,54,56,55,52,101,45,48,57,32,52,46,54,53,54,49,50,
      101,45,48,57,32,52,46,50,52,52,51,51,101,45,48,57,10,32,32,51,46,54,51,56,55,
      56,101,45,48,57,32,51,46,51,48,53,51,55,101,45,48,57,32,50,46,57,50,56,49,51,
      101,45,48,57,32,50,46,49,57,50,52,54,101,45,48,57,32,49,46,52,53,48,48,56,101,
      45,48,57,32,57,46,53,51,56,53,57,101,45,49,48,32,53,46,53,52,50,55,49,101,45,
      49,48,10,32,32,51,46,49,53,57,54,55,101,45,49,48,32,49,46,53,55,51,48,56,101,
      45,49,48,32,49,46,49,51,54,51,52,101,45,49,48,32,53,46,49,57,52,48,50,101,45,
      49,49,32,50,46,50,55,51,56,51,101,45,49,49,32,49,46,50,54,51,50,56,101,45,49,
      49,32,54,46,53,49,54,48,53,101,45,49,50,10,32,32,50,46,54,55,53,51,51,101,45,
      49,50,32,49,46,50,50,48,51,56,101,45,49,50,32,53,46,53,52,48,51,57,101,45,49,
      51,32,50,46,50,51,53,55,49,101,45,49,51,32,56,46,57,56,48,53,53,101,45,49,52,
      32,52,46,48,50,57,57,49,101,45,49,52,32,49,46,56,48,51,53,56,101,45,49,52,10,
      32,32,56,46,48,50,52,53,51,101,45,49,53,32,51,46,49,56,52,52,53,101,45,49,53,
      32,49,46,49,50,50,54,55,101,45,49,53,32,51,46,53,49,52,52,101,45,49,54,32,49,
      46,50,51,50,55,51,101,45,49,54,32,51,46,56,51,56,53,51,101,45,49,55,32,49,46,
      51,52,49,50,53,101,45,49,55,10,32,32,52,46,54,55,57,54,50,101,45,49,56,32,49,
      46,52,53,48,50,49,101,45,49,56,32,52,46,49,50,52,49,53,101,45,49,57,32,49,46,
      53,53,57,57,52,101,45,49,57,32,53,46,48,54,48,49,53,101,45,50,48,32,49,46,56,
      55,57,55,101,45,50,48,32,54,46,53,49,55,52,51,101,45,50,49,10,32,32,50,46,50,
      53,56,50,54,101,45,50,49,32,55,46,56,50,48,48,52,101,45,50,50,32,50,46,55,48,
      54,52,54,101,45,50,50,32,57,46,51,54,49,49,50,101,45,50,51,32,51,46,50,51,54,
      54,101,45,50,51,32,49,46,49,49,55,50,56,101,45,50,51,32,51,46,56,53,57,54,51,
      101,45,50,52,10,32,32,49,46,51,51,50,56,50,101,45,50,52,32,52,46,51,56,53,56,
      49,101,45,50,53,32,49,46,52,53,56,55,54,101,45,50,53,32,52,46,50,54,51,48,57,
      101,45,50,54,32,48,114,54,51,32,55,46,50,48,52,56,52,101,45,50,50,32,50,46,
      48,49,57,48,53,101,45,50,49,32,54,46,48,55,48,51,49,101,45,50,49,10,32,32,49,
      46,55,51,50,57,55,101,45,50,48,32,50,46,54,54,55,52,53,101,45,49,55,32,56,46,
      57,57,52,55,53,101,45,49,55,32,52,46,49,53,54,57,50,101,45,49,54,32,49,46,49,
      51,56,55,57,101,45,49,53,32,51,46,51,49,49,51,53,101,45,49,53,32,57,46,48,53,
      52,53,57,101,45,49,53,10,32,32,50,46,54,50,54,48,50,101,45,49,52,32,53,46,49,
      48,54,54,50,101,45,49,52,32,56,46,55,56,53,56,57,101,45,49,52,32,50,46,48,54,
      52,53,53,101,45,49,51,32,51,46,57,57,55,52,55,101,45,49,51,32,54,46,56,52,56,
      48,54,101,45,49,51,32,56,46,54,54,57,49,51,101,45,49,51,10,32,32,49,46,48,55,
      56,48,56,101,45,49,50,32,49,46,51,50,48,50,57,101,45,49,50,32,49,46,53,57,53,
      52,52,101,45,49,50,32,49,46,57,48,53,52,53,101,45,49,50,32,50,46,50,53,50,49,
      53,101,45,49,50,32,50,46,54,51,55,51,57,101,45,49,50,32,51,46,48,54,50,57,51,
      101,45,49,50,10,32,32,51,46,53,51,48,53,53,101,45,49,50,32,52,46,48,52,49,57,
      53,101,45,49,50,32,52,46,55,49,53,56,101,45,49,50,32,53,46,52,53,55,57,57,101,
      45,49,50,32,54,46,53,53,56,54,57,101,45,49,50,32,55,46,56,48,54,57,57,101,45,
      49,50,32,57,46,49,56,51,50,56,101,45,49,50,10,32,32,49,46,49,49,48,57,51,101,
      45,49,49,32,49,46,51,50,55,52,53,101,45,49,49,32,49,46,53,54,57,48,49,101,45,
      49,49,32,49,46,56,57,51,52,50,101,45,49,49,32,50,46,50,53,55,49,55,101,45,49,
      49,32,50,46,56,48,54,50,53,101,45,49,49,32,51,46,52,51,50,48,50,101,45,49,49,
      10,32,32,52,46,49,51,56,48,50,101,45,49,49,32,53,46,48,51,50,50,56,101,45,49,
      49,32,54,46,49,53,53,50,54,101,45,49,49,32,55,46,53,53,52,51,49,101,45,49,49,
      32,57,46,50,56,52,48,51,101,45,49,49,32,49,46,49,52,48,54,54,101,45,49,48,32,
      49,46,52,49,56,57,49,101,45,49,48,10,32,32,49,46,55,51,52,48,57,101,45,49,48,
      32,50,46,49,51,55,52,101,45,49,48,32,50,46,55,51,52,51,49,101,45,49,48,32,51,
      46,52,54,48,53,49,101,45,49,48,32,52,46,48,56,48,57,101,45,49,48,32,52,46,57,
      51,51,48,56,101,45,49,48,32,54,46,49,48,53,56,54,101,45,49,48,10,32,32,55,46,
      53,50,51,56,57,101,45,49,48,32,57,46,50,50,51,54,101,45,49,48,32,49,46,49,51,
      48,56,52,101,45,48,57,32,49,46,51,53,53,51,56,101,45,48,57,32,49,46,54,49,55,
      51,57,101,45,48,57,32,49,46,57,54,56,56,51,101,45,48,57,32,50,46,52,57,57,54,
      55,101,45,48,57,10,32,32,51,46,48,55,55,53,101,45,48,57,32,51,46,55,50,51,56,
      51,101,45,48,57,32,52,46,50,57,56,50,53,101,45,48,57,32,52,46,57,53,48,56,101,
      45,48,57,32,53,46,57,49,53,51,51,101,45,48,57,32,54,46,57,52,50,55,56,101,45,
      48,57,32,56,46,48,49,56,51,52,101,45,48,57,10,32,32,56,46,57,57,51,55,51,101,
      45,48,57,32,49,46,48,52,51,48,51,101,45,48,56,32,49,46,49,57,49,101,45,48,56,
      32,49,46,51,52,51,49,55,101,45,48,56,32,49,46,52,56,51,56,51,101,45,48,56,32,
      49,46,54,50,52,57,50,101,45,48,56,32,49,46,55,54,49,49,51,101,45,48,56,10,32,
      32,49,46,57,48,55,52,53,101,45,48,56,32,50,46,48,51,53,55,51,101,45,48,56,32,
      50,46,49,50,52,56,52,101,45,48,56,32,50,46,50,55,57,51,56,101,45,48,56,32,50,
      46,52,48,55,51,101,45,48,56,32,50,46,53,48,57,56,50,101,45,48,56,32,50,46,54,
      48,49,48,51,101,45,48,56,10,32,32,50,46,54,54,52,50,56,101,45,48,56,32,50,46,
      55,49,49,55,56,101,45,48,56,32,50,46,55,51,54,54,53,101,45,48,56,32,50,46,55,
      52,49,54,53,101,45,48,56,32,50,46,55,50,57,57,55,101,45,48,56,32,50,46,54,57,
      57,51,55,101,45,48,56,32,50,46,54,54,54,49,51,101,45,48,56,10,32,32,50,46,54,
      50,52,53,52,101,45,48,56,32,50,46,53,51,57,55,51,101,45,48,56,32,50,46,52,55,
      56,56,51,101,45,48,56,32,50,46,51,55,49,50,52,101,45,48,56,32,50,46,50,52,52,
      54,49,101,45,48,56,32,50,46,49,54,51,55,53,101,45,48,56,32,50,46,48,55,57,56,
      101,45,48,56,10,32,32,49,46,57,52,50,55,57,101,45,48,56,32,49,46,55,56,56,51,
      52,101,45,48,56,32,49,46,55,48,50,50,52,101,45,48,56,32,49,46,53,54,52,50,56,
      101,45,48,56,32,49,46,52,56,49,52,54,101,45,48,56,32,49,46,51,53,48,49,56,101,
      45,48,56,32,49,46,50,52,55,50,51,101,45,48,56,10,32,32,49,46,49,48,51,50,57,
      101,45,48,56,32,49,46,48,52,54,53,56,101,45,48,56,32,57,46,52,50,52,52,54,101,
      45,48,57,32,56,46,51,53,51,51,49,101,45,48,57,32,55,46,53,50,54,50,56,101,45,
      48,57,32,54,46,55,53,57,49,57,101,45,48,57,32,54,46,48,57,53,49,101,45,48,57,
      10,32,32,53,46,52,57,48,55,54,101,45,48,57,32,52,46,56,55,54,52,57,101,45,48,
      57,32,52,46,51,55,56,48,53,101,45,48,57,32,51,46,56,55,55,51,56,101,45,48,57,
      32,51,46,53,52,48,48,51,101,45,48,57,32,51,46,48,52,50,54,54,101,45,48,57,32,
      50,46,55,54,56,49,101,45,48,57,10,32,32,50,46,52,53,54,56,101,45,48,57,32,49,
      46,56,52,55,52,51,101,45,48,57,32,49,46,50,50,56,56,49,101,45,48,57,32,56,46,
      49,50,53,54,57,101,45,49,48,32,52,46,55,53,49,49,49,101,45,49,48,32,50,46,55,
      50,52,51,52,101,45,49,48,32,49,46,51,54,53,50,56,101,45,49,48,10,32,32,57,46,
      56,49,48,51,53,101,45,49,49,32,52,46,52,55,51,52,53,101,45,49,49,32,49,46,57,
      54,53,53,49,101,45,49,49,32,49,46,48,57,52,53,50,101,45,49,49,32,53,46,54,53,
      57,48,50,101,45,49,50,32,50,46,51,51,48,49,51,101,45,49,50,32,49,46,48,54,53,
      51,51,101,45,49,50,10,32,32,52,46,56,52,54,53,52,101,45,49,51,32,49,46,57,53,
      57,57,57,101,45,49,51,32,55,46,56,56,56,54,50,101,45,49,52,32,51,46,53,52,53,
      53,54,101,45,49,52,32,49,46,53,56,57,49,56,101,45,49,52,32,55,46,48,56,48,56,
      54,101,45,49,53,32,50,46,56,49,52,48,57,101,45,49,53,10,32,32,57,46,57,51,54,
      50,57,101,45,49,54,32,51,46,49,49,53,51,101,45,49,54,32,49,46,48,57,52,49,52,
      101,45,49,54,32,51,46,52,49,49,52,57,101,45,49,55,32,49,46,49,57,51,51,52,101,
      45,49,55,32,52,46,49,54,55,56,52,101,45,49,56,32,49,46,50,57,50,57,56,101,45,
      49,56,10,32,32,51,46,54,56,48,57,49,101,45,49,57,32,49,46,51,57,51,51,53,101,
      45,49,57,32,52,46,53,50,51,54,51,101,45,50,48,32,49,46,54,56,49,54,101,45,50,
      48,32,53,46,56,51,52,56,101,45,50,49,32,50,46,48,50,51,49,51,101,45,50,49,32,
      55,46,48,49,48,51,57,101,45,50,50,10,32,32,50,46,52,50,55,55,54,101,45,50,50,
      32,56,46,52,48,50,50,49,101,45,50,51,32,50,46,57,48,54,56,101,45,50,51,32,49,
      46,48,48,51,55,54,101,45,50,51,32,51,46,52,54,57,51,53,101,45,50,52,32,49,46,
      49,57,56,54,56,101,45,50,52,32,52,46,48,53,52,52,56,101,45,50,53,10,32,32,49,
      46,51,48,57,56,54,101,45,50,53,32,51,46,56,50,52,52,54,101,45,50,54,32,48,114,
      54,51,32,57,46,48,51,48,54,56,101,45,50,51,32,50,46,55,51,51,56,53,101,45,50,
      50,32,56,46,57,54,55,52,50,101,45,50,50,32,50,46,55,57,52,53,56,101,45,50,49,
      32,49,46,50,52,52,51,57,101,45,49,55,10,32,32,52,46,49,57,56,50,53,101,45,49,
      55,32,49,46,57,52,50,49,56,101,45,49,54,32,53,46,51,50,57,57,52,101,45,49,54,
      32,49,46,53,53,50,49,56,101,45,49,53,32,52,46,50,53,50,56,54,101,45,49,53,32,
      49,46,50,51,55,49,53,101,45,49,52,32,50,46,52,49,49,56,53,101,45,49,52,10,32,
      32,52,46,49,54,101,45,49,52,32,57,46,56,50,52,53,101,45,49,52,32,49,46,57,49,
      49,55,55,101,45,49,51,32,51,46,50,57,49,51,50,101,45,49,51,32,52,46,49,55,54,
      56,54,101,45,49,51,32,53,46,50,48,55,48,57,101,45,49,51,32,54,46,51,57,50,53,
      52,101,45,49,51,10,32,32,55,46,55,52,51,54,55,101,45,49,51,32,57,46,50,55,48,
      56,52,101,45,49,51,32,49,46,48,57,56,52,51,101,45,49,50,32,49,46,50,56,57,52,
      51,101,45,49,50,32,49,46,53,48,49,48,56,101,45,49,50,32,49,46,55,51,52,52,101,
      45,49,50,32,49,46,57,57,48,51,55,101,45,49,50,10,32,32,50,46,51,50,56,56,49,
      101,45,49,50,32,50,46,55,48,50,57,56,101,45,49,50,32,51,46,50,54,48,51,101,
      45,49,50,32,51,46,56,57,53,50,101,45,49,50,32,52,46,53,57,56,56,54,101,45,49,
      50,32,53,46,53,56,56,57,54,101,45,49,50,32,54,46,55,48,56,55,101,45,49,50,10,
      32,32,55,46,57,54,53,50,53,101,45,49,50,32,57,46,54,54,51,54,51,101,45,49,50,
      32,49,46,49,53,56,49,49,101,45,49,49,32,49,46,52,52,57,56,54,101,45,49,49,32,
      49,46,55,56,53,51,49,101,45,49,49,32,50,46,49,54,55,48,52,101,45,49,49,32,50,
      46,54,53,52,57,53,101,45,49,49,10,32,32,51,46,50,55,51,55,101,45,49,49,32,52,
      46,48,53,50,55,101,45,49,49,32,53,46,48,50,54,53,57,101,45,49,49,32,54,46,50,
      51,53,55,50,101,45,49,49,32,55,46,56,52,48,55,53,101,45,49,49,32,57,46,54,56,
      50,50,52,101,45,49,49,32,49,46,50,48,54,57,51,101,45,49,48,10,32,32,49,46,53,
      54,53,53,49,101,45,49,48,32,50,46,48,48,56,55,54,101,45,49,48,32,50,46,51,57,
      50,52,57,101,45,49,48,32,50,46,57,50,53,56,56,101,45,49,48,32,51,46,54,54,57,
      56,55,101,45,49,48,32,52,46,53,56,49,57,54,101,45,49,48,32,53,46,54,56,57,54,
      51,101,45,49,48,10,32,32,55,46,48,54,53,50,56,101,45,49,48,32,56,46,53,54,51,
      53,56,101,45,49,48,32,49,46,48,51,50,57,52,101,45,48,57,32,49,46,50,55,50,49,
      49,101,45,48,57,32,49,46,54,51,55,50,51,101,45,48,57,32,50,46,48,51,56,55,101,
      45,48,57,32,50,46,52,57,49,53,52,101,45,48,57,10,32,32,50,46,56,57,54,55,53,
      101,45,48,57,32,51,46,51,53,57,55,55,101,45,48,57,32,52,46,48,52,56,55,51,101,
      45,48,57,32,52,46,55,56,55,57,52,101,45,48,57,32,53,46,53,54,55,49,56,101,45,
      48,57,32,54,46,50,55,56,51,57,101,45,48,57,32,55,46,51,51,51,51,53,101,45,48,
      57,10,32,32,56,46,52,50,56,57,49,101,45,48,57,32,57,46,53,54,53,101,45,48,57,
      32,49,46,48,54,50,51,54,101,45,48,56,32,49,46,49,54,57,51,54,101,45,48,56,32,
      49,46,50,55,51,52,54,101,45,48,56,32,49,46,51,56,54,49,56,101,45,48,56,32,49,
      46,52,56,53,56,101,45,48,56,10,32,32,49,46,53,53,53,52,56,101,45,48,56,32,49,
      46,54,55,55,51,55,101,45,48,56,32,49,46,55,55,57,52,56,101,45,48,56,32,49,46,
      56,54,50,52,50,101,45,48,56,32,49,46,57,51,55,53,50,101,45,48,56,32,49,46,57,
      57,48,57,55,101,45,48,56,32,50,46,48,51,50,57,57,101,45,48,56,10,32,32,50,46,
      48,53,55,53,57,101,45,48,56,32,50,46,48,54,54,55,56,101,45,48,56,32,50,46,48,
      54,50,57,52,101,45,48,56,32,50,46,48,52,53,49,50,101,45,48,56,32,50,46,48,50,
      51,55,101,45,48,56,32,49,46,57,57,53,56,51,101,45,48,56,32,49,46,57,51,55,49,
      57,101,45,48,56,10,32,32,49,46,56,57,52,50,53,101,45,48,56,32,49,46,56,49,55,
      51,56,101,45,48,56,32,49,46,55,50,53,55,52,101,45,48,56,32,49,46,54,54,54,55,
      51,101,45,48,56,32,49,46,54,48,53,49,51,101,45,48,56,32,49,46,53,48,52,101,
      45,48,56,32,49,46,51,56,57,49,54,101,45,48,56,10,32,32,49,46,51,50,52,56,101,
      45,48,56,32,49,46,50,50,49,50,101,45,48,56,32,49,46,49,53,56,55,52,101,45,48,
      56,32,49,46,48,53,57,51,49,101,45,48,56,32,57,46,56,48,57,56,55,101,45,48,57,
      32,56,46,55,48,57,51,56,101,45,48,57,32,56,46,50,55,52,48,55,101,45,48,57,10,
      32,32,55,46,52,55,50,51,101,45,48,57,32,54,46,54,52,51,57,56,101,45,48,57,32,
      54,46,48,48,49,56,53,101,45,48,57,32,53,46,52,48,52,49,49,101,45,48,57,32,52,
      46,56,56,52,56,55,101,45,48,57,32,52,46,52,49,48,56,52,101,45,48,57,32,51,46,
      57,50,55,52,54,101,45,48,57,10,32,32,51,46,53,51,51,57,55,101,45,48,57,32,51,
      46,49,51,55,53,50,101,45,48,57,32,50,46,56,54,57,54,55,101,45,48,57,32,50,46,
      52,55,51,53,57,101,45,48,57,32,50,46,50,53,52,51,49,101,45,48,57,32,50,46,48,
      48,53,48,56,101,45,48,57,32,49,46,53,49,53,49,50,101,45,48,57,10,32,32,49,46,
      48,49,52,51,101,45,48,57,32,54,46,55,52,55,55,49,101,45,49,48,32,51,46,57,55,
      51,54,53,101,45,49,48,32,50,46,50,57,51,57,50,101,45,49,48,32,49,46,49,53,56,
      50,55,101,45,49,48,32,56,46,50,57,57,53,101,45,49,49,32,51,46,55,54,53,51,49,
      101,45,49,49,10,32,32,49,46,54,54,49,51,55,101,45,49,49,32,57,46,50,55,54,52,
      52,101,45,49,50,32,52,46,56,48,57,53,49,101,45,49,50,32,49,46,57,56,54,57,55,
      101,45,49,50,32,57,46,49,48,56,51,53,101,45,49,51,32,52,46,49,53,51,55,49,101,
      45,49,51,32,49,46,54,56,52,48,51,101,45,49,51,10,32,32,54,46,55,57,51,52,52,
      101,45,49,52,32,51,46,48,53,56,57,56,101,45,49,52,32,49,46,51,55,51,52,51,101,
      45,49,52,32,54,46,49,50,57,55,54,101,45,49,53,32,50,46,52,52,48,50,51,101,45,
      49,53,32,56,46,54,51,49,50,57,101,45,49,54,32,50,46,55,49,49,101,45,49,54,10,
      32,32,57,46,53,51,53,55,101,45,49,55,32,50,46,57,55,55,55,54,101,45,49,55,32,
      49,46,48,52,50,57,56,101,45,49,55,32,51,46,54,52,55,48,57,101,45,49,56,32,49,
      46,49,51,50,56,53,101,45,49,56,32,51,46,50,50,57,49,50,101,45,49,57,32,49,46,
      50,50,51,52,53,101,45,49,57,10,32,32,51,46,57,55,54,48,50,101,45,50,48,32,49,
      46,52,55,57,50,53,101,45,50,48,32,53,46,49,51,55,48,50,101,45,50,49,32,49,46,
      55,56,50,54,49,101,45,50,49,32,54,46,49,56,49,53,54,101,45,50,50,32,50,46,49,
      52,50,50,55,101,45,50,50,32,55,46,52,49,57,57,55,101,45,50,51,10,32,32,50,46,
      53,54,56,51,52,101,45,50,51,32,56,46,56,56,48,53,57,101,45,50,52,32,51,46,48,
      54,56,101,45,50,52,32,49,46,48,54,48,54,49,101,45,50,52,32,51,46,53,56,54,50,
      55,101,45,50,53,32,49,46,49,53,55,51,56,101,45,50,53,32,51,46,51,55,53,55,52,
      101,45,50,54,10,32,32,48,114,54,51,32,51,46,52,54,49,56,53,101,45,50,52,32,
      49,46,51,51,48,56,53,101,45,50,51,32,53,46,53,52,56,56,54,101,45,50,51,32,50,
      46,49,51,52,55,101,45,50,50,32,51,46,51,52,52,53,54,101,45,49,56,32,49,46,49,
      50,57,53,51,101,45,49,55,32,53,46,50,51,54,52,50,101,45,49,55,10,32,32,49,46,
      52,54,51,48,51,101,45,49,54,32,52,46,50,55,52,50,53,101,45,49,54,32,49,46,49,
      55,54,49,53,101,45,49,53,32,51,46,52,52,51,53,57,101,45,49,53,32,54,46,55,52,
      57,54,54,101,45,49,53,32,49,46,49,55,48,52,56,101,45,49,52,32,50,46,55,57,52,
      50,54,101,45,49,52,10,32,32,53,46,52,57,53,52,53,101,45,49,52,32,57,46,53,54,
      48,55,54,101,45,49,52,32,49,46,50,49,57,54,50,101,45,49,51,32,49,46,53,50,56,
      51,101,45,49,51,32,49,46,56,56,53,56,54,101,45,49,51,32,50,46,50,57,54,48,55,
      101,45,49,51,32,50,46,55,54,50,55,55,101,45,49,51,10,32,32,51,46,50,56,57,55,
      57,101,45,49,51,32,51,46,56,56,49,101,45,49,51,32,52,46,53,52,48,51,50,101,
      45,49,51,32,53,46,50,55,49,54,54,101,45,49,51,32,54,46,48,55,56,57,55,101,45,
      49,51,32,55,46,49,53,51,54,53,101,45,49,51,32,56,46,51,53,48,51,55,101,45,49,
      51,10,32,32,49,46,48,49,52,55,57,101,45,49,50,32,49,46,50,50,49,50,51,101,45,
      49,50,32,49,46,52,53,50,51,56,101,45,49,50,32,49,46,55,56,48,57,55,101,45,49,
      50,32,50,46,49,53,54,55,101,45,49,50,32,50,46,53,56,50,57,50,101,45,49,50,32,
      51,46,49,54,53,55,54,101,45,49,50,10,32,32,51,46,56,51,49,57,55,101,45,49,50,
      32,52,46,56,54,48,48,49,101,45,49,50,32,54,46,48,54,48,53,49,101,45,49,50,32,
      55,46,52,52,55,51,52,101,45,49,50,32,57,46,50,52,55,52,101,45,49,50,32,49,46,
      49,53,54,56,52,101,45,49,49,32,49,46,52,53,52,50,52,101,45,49,49,10,32,32,49,
      46,56,51,50,57,55,101,45,49,49,32,50,46,51,49,50,50,52,101,45,49,49,32,50,46,
      57,54,49,53,49,101,45,49,49,32,51,46,55,50,49,57,101,45,49,49,32,52,46,55,50,
      56,50,101,45,49,49,32,54,46,50,55,54,49,101,45,49,49,32,56,46,50,51,56,53,49,
      101,45,49,49,10,32,32,57,46,57,55,51,54,54,101,45,49,49,32,49,46,50,52,51,50,
      52,101,45,49,48,32,49,46,53,57,51,56,49,101,45,49,48,32,50,46,48,51,51,53,101,
      45,49,48,32,50,46,53,55,57,52,55,101,45,49,48,32,51,46,50,55,50,52,49,101,45,
      49,48,32,52,46,48,52,50,52,101,45,49,48,10,32,32,52,46,57,54,54,54,51,101,45,
      49,48,32,54,46,50,52,50,48,50,101,45,49,48,32,56,46,50,51,48,54,51,101,45,49,
      48,32,49,46,48,52,54,50,53,101,45,48,57,32,49,46,51,48,50,52,53,101,45,48,57,
      32,49,46,53,51,52,57,56,101,45,48,57,32,49,46,56,48,51,56,55,101,45,48,57,10,
      32,32,50,46,50,48,57,50,53,101,45,48,57,32,50,46,54,53,48,50,54,101,45,48,57,
      32,51,46,49,50,48,57,54,101,45,48,57,32,51,46,53,53,53,50,51,101,45,48,57,32,
      52,46,50,48,54,57,50,101,45,48,57,32,52,46,56,57,50,54,49,101,45,48,57,32,53,
      46,54,49,50,55,50,101,45,48,57,10,32,32,54,46,50,57,49,55,55,101,45,48,57,32,
      54,46,57,56,53,57,56,101,45,48,57,32,55,46,54,54,56,57,54,101,45,48,57,32,56,
      46,52,49,55,50,49,101,45,48,57,32,57,46,48,56,54,53,57,101,45,48,57,32,57,46,
      53,53,57,53,50,101,45,48,57,32,49,46,48,51,57,55,52,101,45,48,56,10,32,32,49,
      46,49,49,49,49,54,101,45,48,56,32,49,46,49,55,48,50,56,101,45,48,56,32,49,46,
      50,50,53,49,50,101,45,48,56,32,49,46,50,54,53,52,56,101,45,48,56,32,49,46,50,
      57,56,57,54,101,45,48,56,32,49,46,51,50,48,56,53,101,45,48,56,32,49,46,51,51,
      50,51,56,101,45,48,56,10,32,32,49,46,51,51,53,48,51,101,45,48,56,32,49,46,51,
      50,56,57,53,101,45,48,56,32,49,46,51,49,56,56,56,101,45,48,56,32,49,46,51,48,
      52,52,52,101,45,48,56,32,49,46,50,55,50,48,50,101,45,48,56,32,49,46,50,52,55,
      51,54,101,45,48,56,32,49,46,50,48,50,48,56,101,45,48,56,10,32,32,49,46,49,52,
      54,56,57,101,45,48,56,32,49,46,49,49,48,56,52,101,45,48,56,32,49,46,48,55,50,
      56,55,101,45,48,56,32,49,46,48,48,57,56,57,101,45,48,56,32,57,46,51,55,53,53,
      55,101,45,48,57,32,56,46,57,54,54,55,55,101,45,48,57,32,56,46,51,48,51,57,49,
      101,45,48,57,10,32,32,55,46,57,48,49,53,49,101,45,48,57,32,55,46,50,53,54,56,
      101,45,48,57,32,54,46,55,52,53,52,55,101,45,48,57,32,54,46,48,50,49,56,49,101,
      45,48,57,32,53,46,55,51,51,56,52,101,45,48,57,32,53,46,50,48,48,56,50,101,45,
      48,57,32,52,46,54,52,54,52,55,101,45,48,57,10,32,32,52,46,50,49,52,48,53,101,
      45,48,57,32,51,46,56,48,57,51,49,101,45,48,57,32,51,46,52,53,53,56,57,101,45,
      48,57,32,51,46,49,51,49,54,54,101,45,48,57,32,50,46,55,57,57,51,57,101,45,48,
      57,32,50,46,53,50,55,54,101,45,48,57,32,50,46,50,53,50,52,56,101,45,48,57,10,
      32,32,50,46,48,54,53,56,49,101,45,48,57,32,49,46,55,56,56,53,52,101,45,48,57,
      32,49,46,54,51,52,51,52,101,45,48,57,32,49,46,52,53,56,52,50,101,45,48,57,32,
      49,46,49,49,48,51,49,101,45,48,57,32,55,46,53,48,55,48,49,101,45,49,48,32,53,
      46,48,52,48,53,55,101,45,49,48,10,32,32,51,46,48,48,49,50,51,101,45,49,48,32,
      49,46,55,53,48,54,55,101,45,49,48,32,56,46,57,52,51,50,54,101,45,49,49,32,54,
      46,52,48,49,55,55,101,45,49,49,32,50,46,56,55,55,53,101,45,49,49,32,49,46,50,
      55,56,49,101,45,49,49,32,55,46,49,54,54,54,54,101,45,49,50,10,32,32,51,46,55,
      51,49,56,54,101,45,49,50,32,49,46,53,52,57,56,57,101,45,49,50,32,55,46,49,51,
      52,52,51,101,45,49,51,32,51,46,50,54,53,57,54,101,45,49,51,32,49,46,51,50,57,
      51,57,101,45,49,51,32,53,46,51,56,50,50,56,101,45,49,52,32,50,46,52,51,48,54,
      50,101,45,49,52,10,32,32,49,46,48,57,52,50,54,101,45,49,52,32,52,46,56,57,54,
      54,52,101,45,49,53,32,49,46,57,53,52,53,53,101,45,49,53,32,54,46,57,51,50,54,
      50,101,45,49,54,32,50,46,49,56,51,54,52,101,45,49,54,32,55,46,54,57,56,56,101,
      45,49,55,32,50,46,52,48,57,57,52,101,45,49,55,10,32,32,56,46,52,53,55,57,54,
      101,45,49,56,32,50,46,57,54,51,49,53,101,45,49,56,32,57,46,50,50,50,48,52,101,
      45,49,57,32,50,46,54,51,51,56,49,101,45,49,57,32,57,46,57,57,51,48,50,101,45,
      50,48,32,51,46,50,53,50,53,54,101,45,50,48,32,49,46,50,49,49,54,53,101,45,50,
      48,10,32,32,52,46,50,49,51,49,57,101,45,50,49,32,49,46,52,54,51,56,51,101,45,
      50,49,32,53,46,48,56,50,49,53,101,45,50,50,32,49,46,55,54,51,50,55,101,45,50,
      50,32,54,46,49,49,51,57,52,101,45,50,51,32,50,46,49,49,56,51,55,101,45,50,51,
      32,55,46,51,51,55,51,50,101,45,50,52,10,32,32,50,46,53,51,51,53,56,101,45,50,
      52,32,56,46,55,54,54,51,54,101,45,50,53,32,51,46,48,51,49,57,56,101,45,50,53,
      32,57,46,53,53,48,55,55,101,45,50,54,32,50,46,55,56,49,49,54,101,45,50,54,32,
      48,114,54,51,32,54,46,53,54,53,52,52,101,45,50,53,32,50,46,53,50,54,50,56,101,
      45,50,52,10,32,32,49,46,48,53,52,55,52,101,45,50,51,32,52,46,48,54,52,57,56,
      101,45,50,51,32,52,46,51,49,48,52,54,101,45,49,57,32,49,46,52,54,56,55,57,101,
      45,49,56,32,54,46,57,50,56,57,51,101,45,49,56,32,50,46,55,50,56,52,55,101,45,
      49,55,32,56,46,49,48,48,55,49,101,45,49,55,10,32,32,50,46,50,55,53,55,54,101,
      45,49,54,32,54,46,56,54,51,51,57,101,45,49,54,32,49,46,51,55,55,50,101,45,49,
      53,32,50,46,52,52,50,52,50,101,45,49,53,32,54,46,48,56,56,57,49,101,45,49,53,
      32,49,46,50,52,53,49,56,101,45,49,52,32,50,46,50,52,54,48,49,101,45,49,52,10,
      32,32,50,46,57,49,52,53,49,101,45,49,52,32,51,46,55,49,50,56,50,101,45,49,52,
      32,52,46,54,53,52,57,50,101,45,49,52,32,53,46,55,53,53,50,51,101,45,49,52,32,
      55,46,48,50,56,54,52,101,45,49,52,32,56,46,52,57,48,53,50,101,45,49,52,32,49,
      46,48,49,53,54,54,101,45,49,51,10,32,32,49,46,50,48,52,51,50,101,45,49,51,32,
      49,46,52,49,54,54,55,101,45,49,51,32,49,46,54,53,52,52,50,101,45,49,51,32,49,
      46,57,55,53,55,101,45,49,51,32,50,46,51,51,57,49,50,101,45,49,51,32,50,46,56,
      57,52,54,55,101,45,49,51,32,51,46,53,52,52,101,45,49,51,10,32,32,52,46,50,56,
      53,50,53,101,45,49,51,32,53,46,51,53,57,52,52,101,45,49,51,32,54,46,54,49,50,
      55,52,101,45,49,51,32,56,46,48,54,49,54,54,101,45,49,51,32,49,46,48,48,56,50,
      52,101,45,49,50,32,49,46,50,52,51,57,101,45,49,50,32,49,46,54,49,53,54,49,101,
      45,49,50,10,32,32,50,46,48,53,57,56,101,45,49,50,32,50,46,53,56,51,57,54,101,
      45,49,50,32,51,46,50,55,56,54,56,101,45,49,50,32,52,46,49,57,51,57,50,101,45,
      49,50,32,53,46,51,57,50,52,53,101,45,49,50,32,54,46,57,53,50,50,51,101,45,49,
      50,32,56,46,57,54,56,56,57,101,45,49,50,10,32,32,49,46,49,55,54,48,56,101,45,
      49,49,32,49,46,53,48,57,57,53,101,45,49,49,32,49,46,57,54,48,55,56,101,45,49,
      49,32,50,46,54,54,57,54,49,101,45,49,49,32,51,46,53,56,56,53,56,101,45,49,49,
      32,52,46,52,49,53,55,53,101,45,49,49,32,53,46,54,48,54,52,49,101,45,49,49,10,
      32,32,55,46,51,51,52,48,55,101,45,49,49,32,57,46,53,51,57,51,51,101,45,49,49,
      32,49,46,50,51,50,52,101,45,49,48,32,49,46,53,57,49,53,56,101,45,49,48,32,49,
      46,57,57,54,54,54,101,45,49,48,32,50,46,52,56,57,53,52,101,45,49,48,32,51,46,
      49,55,57,51,101,45,49,48,10,32,32,52,46,50,55,50,50,56,101,45,49,48,32,53,46,
      53,49,56,57,57,101,45,49,48,32,54,46,57,55,49,48,50,101,45,49,48,32,56,46,51,
      48,52,57,51,101,45,49,48,32,57,46,56,54,51,55,54,101,45,49,48,32,49,46,50,50,
      52,50,54,101,45,48,57,32,49,46,52,56,54,52,53,101,45,48,57,10,32,32,49,46,55,
      54,57,55,53,101,45,48,57,32,50,46,48,51,51,57,55,101,45,48,57,32,50,46,52,51,
      53,49,53,101,45,48,57,32,50,46,56,54,50,56,56,101,45,48,57,32,51,46,51,49,55,
      57,101,45,48,57,32,51,46,55,53,50,50,51,101,45,48,57,32,52,46,50,48,49,52,101,
      45,48,57,10,32,32,52,46,54,52,56,51,57,101,45,48,57,32,53,46,49,52,51,57,101,
      45,48,57,32,53,46,53,57,50,52,57,101,45,48,57,32,53,46,57,49,50,54,52,101,45,
      48,57,32,54,46,52,56,54,57,55,101,45,48,57,32,54,46,57,56,52,57,49,101,45,48,
      57,32,55,46,52,48,52,52,50,101,45,48,57,10,32,32,55,46,56,48,50,48,54,101,45,
      48,57,32,56,46,49,48,50,57,53,101,45,48,57,32,56,46,51,54,50,54,57,101,45,48,
      57,32,56,46,53,52,53,48,54,101,45,48,57,32,56,46,54,53,55,52,49,101,45,48,57,
      32,56,46,55,48,56,57,49,101,45,48,57,32,56,46,55,48,53,52,54,101,45,48,57,10,
      32,32,56,46,54,54,52,57,53,101,45,48,57,32,56,46,53,57,52,55,101,45,48,57,32,
      56,46,52,49,57,55,50,101,45,48,57,32,56,46,50,55,57,51,54,101,45,48,57,32,56,
      46,48,49,51,51,57,101,45,48,57,32,55,46,54,56,48,51,55,101,45,48,57,32,55,46,
      52,53,57,51,50,101,45,48,57,10,32,32,55,46,50,50,52,49,57,101,45,48,57,32,54,
      46,56,50,57,56,52,101,45,48,57,32,54,46,51,55,49,51,55,101,45,48,57,32,54,46,
      49,49,48,48,50,101,45,48,57,32,53,46,54,56,51,49,50,101,45,48,57,32,53,46,52,
      50,50,50,101,45,48,57,32,53,46,48,48,49,53,50,101,45,48,57,10,32,32,52,46,54,
      54,53,53,56,101,45,48,57,32,52,46,49,56,54,55,53,101,45,48,57,32,51,46,57,57,
      53,48,57,101,45,48,57,32,51,46,54,51,56,54,54,101,45,48,57,32,51,46,50,54,53,
      53,57,101,45,48,57,32,50,46,57,55,50,56,51,101,45,48,57,32,50,46,54,57,55,51,
      54,101,45,48,57,10,32,32,50,46,52,53,53,54,49,101,45,48,57,32,50,46,50,51,50,
      55,57,101,45,48,57,32,50,46,48,48,51,51,54,101,45,48,57,32,49,46,56,49,52,56,
      101,45,48,57,32,49,46,54,50,51,48,56,101,45,48,57,32,49,46,52,57,50,52,56,101,
      45,48,57,32,49,46,50,57,55,54,50,101,45,48,57,10,32,32,49,46,49,56,56,55,56,
      101,45,48,57,32,49,46,48,54,52,49,54,101,45,48,57,32,56,46,49,53,57,56,53,101,
      45,49,48,32,53,46,53,54,57,57,56,101,45,49,48,32,51,46,55,55,51,53,54,101,45,
      49,48,32,50,46,50,55,48,57,54,101,45,49,48,32,49,46,51,51,56,49,52,101,45,49,
      48,10,32,32,54,46,57,49,52,49,101,45,49,49,32,52,46,57,49,57,51,52,101,45,49,
      49,32,50,46,50,48,54,57,55,101,45,49,49,32,57,46,56,54,55,57,56,101,45,49,50,
      32,53,46,53,53,54,54,55,101,45,49,50,32,50,46,57,48,54,49,101,45,49,50,32,49,
      46,50,49,51,50,57,101,45,49,50,10,32,32,53,46,54,48,56,50,51,101,45,49,51,32,
      50,46,53,55,55,48,56,101,45,49,51,32,49,46,48,53,51,49,53,101,45,49,51,32,52,
      46,50,55,57,51,51,101,45,49,52,32,49,46,57,51,56,49,54,101,45,49,52,32,56,46,
      55,52,57,49,51,101,45,49,53,32,51,46,57,50,53,51,55,101,45,49,53,10,32,32,49,
      46,53,55,49,48,52,101,45,49,53,32,53,46,53,56,55,55,57,101,45,49,54,32,49,46,
      55,54,53,48,50,101,45,49,54,32,54,46,50,51,55,52,54,101,45,49,55,32,49,46,57,
      53,55,49,56,101,45,49,55,32,54,46,56,56,50,55,49,101,45,49,56,32,50,46,52,49,
      53,56,101,45,49,56,10,32,32,55,46,53,51,51,49,51,101,45,49,57,32,50,46,49,53,
      53,54,49,101,45,49,57,32,56,46,49,57,48,49,55,101,45,50,48,32,50,46,54,54,57,
      56,53,101,45,50,48,32,57,46,57,53,56,52,56,101,45,50,49,32,51,46,52,54,55,51,
      101,45,50,49,32,49,46,50,48,54,49,55,101,45,50,49,10,32,32,52,46,49,57,50,53,
      52,101,45,50,50,32,49,46,52,53,54,50,50,101,45,50,50,32,53,46,48,53,52,54,55,
      101,45,50,51,32,49,46,55,53,51,52,54,101,45,50,51,32,54,46,48,55,55,56,51,101,
      45,50,52,32,50,46,49,48,51,48,57,101,45,50,52,32,55,46,50,54,55,55,56,101,45,
      50,53,10,32,32,50,46,53,49,53,55,54,101,45,50,53,32,55,46,57,48,57,57,55,101,
      45,50,54,32,50,46,55,51,48,57,57,101,45,50,54,32,55,46,57,48,53,49,50,101,45,
      50,55,32,48,114,54,50,32,50,46,51,55,53,56,51,101,45,50,53,32,57,46,49,52,57,
      56,55,101,45,50,53,32,51,46,56,50,53,49,51,101,45,50,52,10,32,32,49,46,52,55,
      54,55,55,101,45,50,51,32,50,46,50,50,54,48,52,101,45,49,57,32,55,46,53,55,50,
      54,53,101,45,49,57,32,51,46,53,54,54,48,55,101,45,49,56,32,50,46,52,48,53,54,
      49,101,45,49,55,32,55,46,48,55,50,50,54,101,45,49,55,32,49,46,57,54,51,48,49,
      101,45,49,54,10,32,32,53,46,56,50,51,55,101,45,49,54,32,49,46,49,53,52,48,56,
      101,45,49,53,32,50,46,48,50,51,49,56,101,45,49,53,32,52,46,57,52,53,52,53,101,
      45,49,53,32,57,46,57,51,50,54,49,101,45,49,53,32,49,46,55,54,51,50,56,101,45,
      49,52,32,50,46,50,55,49,52,55,101,45,49,52,10,32,32,50,46,56,55,51,55,57,101,
      45,49,52,32,51,46,53,55,57,54,51,101,45,49,52,32,52,46,51,57,56,53,57,101,45,
      49,52,32,53,46,51,52,48,54,101,45,49,52,32,54,46,52,49,53,56,51,101,45,49,52,
      32,55,46,54,51,52,54,56,101,45,49,52,32,57,46,48,48,55,56,51,101,45,49,52,10,
      32,32,49,46,48,53,52,54,50,101,45,49,51,32,49,46,50,50,54,48,57,101,45,49,51,
      32,49,46,52,53,54,55,51,101,45,49,51,32,49,46,55,49,54,52,50,101,45,49,51,32,
      50,46,49,49,49,51,57,101,45,49,51,32,50,46,53,54,57,52,54,101,45,49,51,32,51,
      46,48,57,48,57,51,101,45,49,51,10,32,32,51,46,56,52,50,57,53,101,45,49,51,32,
      52,46,55,49,54,49,53,101,45,49,51,32,53,46,55,50,49,51,50,101,45,49,51,32,55,
      46,49,49,55,51,51,101,45,49,51,32,56,46,55,51,56,57,51,101,45,49,51,32,49,46,
      49,50,56,54,55,101,45,49,50,32,49,46,52,51,49,57,55,101,45,49,50,10,32,32,49,
      46,55,56,56,56,101,45,49,50,32,50,46,50,54,48,53,49,101,45,49,50,32,50,46,56,
      56,48,53,55,101,45,49,50,32,51,46,54,57,49,49,49,101,45,49,50,32,52,46,55,52,
      52,54,51,101,45,49,50,32,54,46,49,48,53,55,57,101,45,49,50,32,55,46,57,57,101,
      45,49,50,10,32,32,49,46,48,50,52,52,52,101,45,49,49,32,49,46,51,50,57,49,55,
      101,45,49,49,32,49,46,56,48,57,50,101,45,49,49,32,50,46,52,51,51,51,101,45,
      49,49,32,50,46,57,57,54,54,52,101,45,49,49,32,51,46,56,49,101,45,49,49,32,52,
      46,57,57,52,57,49,101,45,49,49,32,54,46,53,49,52,49,57,101,45,49,49,10,32,32,
      56,46,52,52,50,49,57,101,45,49,49,32,49,46,48,57,52,50,51,101,45,49,48,32,49,
      46,51,55,55,55,50,101,45,49,48,32,49,46,55,50,52,52,56,101,45,49,48,32,50,46,
      50,49,50,53,57,101,45,49,48,32,50,46,57,57,49,54,49,101,45,49,48,32,51,46,56,
      56,54,57,49,101,45,49,48,10,32,32,52,46,57,51,55,48,55,101,45,49,48,32,53,46,
      57,48,55,54,57,101,45,49,48,32,55,46,48,52,56,49,56,101,45,49,48,32,56,46,55,
      57,57,55,56,101,45,49,48,32,49,46,48,55,52,51,57,101,45,48,57,32,49,46,50,56,
      53,56,53,101,45,48,57,32,49,46,52,56,52,50,53,101,45,48,57,10,32,32,49,46,55,
      56,55,52,54,101,45,48,57,32,50,46,49,49,51,49,51,101,45,48,57,32,50,46,52,54,
      50,48,57,101,45,48,57,32,50,46,55,57,55,52,54,101,45,48,57,32,51,46,49,52,54,
      53,54,101,45,48,57,32,51,46,52,57,54,49,57,101,45,48,57,32,51,46,56,56,54,52,
      101,45,48,57,10,32,32,52,46,50,52,50,48,54,101,45,48,57,32,52,46,52,57,55,51,
      52,101,45,48,57,32,52,46,57,53,56,53,50,101,45,48,57,32,53,46,51,54,50,49,51,
      101,45,48,57,32,53,46,55,48,53,52,53,101,45,48,57,32,54,46,48,51,52,53,51,101,
      45,48,57,32,54,46,50,56,55,48,51,101,45,48,57,10,32,32,54,46,53,48,57,49,54,
      101,45,48,57,32,54,46,54,54,57,57,57,101,45,48,57,32,54,46,55,55,52,56,56,101,
      45,48,57,32,54,46,56,51,48,55,52,101,45,48,57,32,54,46,56,52,52,52,57,101,45,
      48,57,32,54,46,56,50,52,49,52,101,45,48,57,32,54,46,55,55,57,56,55,101,45,48,
      57,10,32,32,54,46,54,53,57,49,54,101,45,48,57,32,54,46,53,53,56,51,55,101,45,
      48,57,32,54,46,51,54,51,49,49,101,45,48,57,32,54,46,49,49,52,49,57,101,45,48,
      57,32,53,46,57,52,55,50,52,101,45,48,57,32,53,46,55,54,56,53,51,101,45,48,57,
      32,53,46,52,54,54,56,49,101,45,48,57,10,32,32,53,46,49,49,51,53,101,45,48,57,
      32,52,46,57,49,49,48,54,101,45,48,57,32,52,46,53,55,56,57,54,101,45,48,57,32,
      52,46,51,55,53,49,56,101,45,48,57,32,52,46,48,52,53,52,101,45,48,57,32,51,46,
      55,56,49,48,53,101,45,48,57,32,51,46,52,48,50,55,52,101,45,48,57,10,32,32,51,
      46,50,53,48,56,51,101,45,48,57,32,50,46,57,54,55,53,54,101,45,48,57,32,50,46,
      54,55,101,45,48,57,32,50,46,52,51,53,55,101,45,48,57,32,50,46,50,49,52,53,56,
      101,45,48,57,32,50,46,48,49,57,57,57,101,45,48,57,32,49,46,56,52,48,49,55,101,
      45,48,57,10,32,32,49,46,54,53,52,53,49,101,45,48,57,32,49,46,53,48,49,53,52,
      101,45,48,57,32,49,46,51,52,53,54,101,45,48,57,32,49,46,50,51,57,49,50,101,
      45,48,57,32,49,46,48,55,57,56,56,101,45,48,57,32,57,46,57,48,55,50,101,45,49,
      48,32,56,46,56,56,52,50,53,101,45,49,48,10,32,32,54,46,56,51,57,56,54,101,45,
      49,48,32,52,46,54,57,52,49,50,101,45,49,48,32,51,46,49,57,54,50,53,101,45,49,
      48,32,49,46,57,51,53,49,49,101,45,49,48,32,49,46,49,52,54,55,55,101,45,49,48,
      32,53,46,57,54,51,53,49,101,45,49,49,32,52,46,50,50,51,50,101,45,49,49,10,32,
      32,49,46,56,57,54,55,49,101,45,49,49,32,56,46,53,49,51,48,52,101,45,49,50,32,
      52,46,56,48,53,51,56,101,45,49,50,32,50,46,53,49,57,52,55,101,45,49,50,32,49,
      46,48,53,53,48,55,101,45,49,50,32,52,46,56,56,56,54,54,101,45,49,51,32,50,46,
      50,53,49,51,55,101,45,49,51,10,32,32,57,46,50,50,49,53,50,101,45,49,52,32,51,
      46,55,53,52,56,55,101,45,49,52,32,49,46,55,48,51,52,57,101,45,49,52,32,55,46,
      55,48,49,56,53,101,45,49,53,32,51,46,52,54,48,55,51,101,45,49,53,32,49,46,51,
      56,55,50,50,101,45,49,53,32,52,46,57,52,49,57,50,101,45,49,54,10,32,32,49,46,
      53,54,51,53,54,101,45,49,54,32,53,46,53,51,50,57,54,101,45,49,55,32,49,46,55,
      51,56,53,50,101,45,49,55,32,54,46,49,50,48,56,101,45,49,56,32,50,46,49,53,48,
      54,56,101,45,49,56,32,54,46,55,49,51,56,54,101,45,49,57,32,49,46,57,50,51,51,
      49,101,45,49,57,10,32,32,55,46,51,49,51,52,51,101,45,50,48,32,50,46,51,56,54,
      49,53,101,45,50,48,32,56,46,57,48,54,56,51,101,45,50,49,32,51,46,49,48,51,52,
      52,101,45,50,49,32,49,46,48,56,48,51,53,101,45,50,49,32,51,46,55,53,55,54,57,
      101,45,50,50,32,49,46,51,48,54,101,45,50,50,10,32,32,52,46,53,51,53,57,56,101,
      45,50,51,32,49,46,53,55,52,52,51,101,45,50,51,32,53,46,52,54,48,48,53,101,45,
      50,52,32,49,46,56,57,51,48,53,101,45,50,52,32,54,46,53,51,49,52,57,101,45,50,
      53,32,50,46,50,54,49,57,51,101,45,50,53,32,55,46,49,48,54,48,50,101,45,50,54,
      10,32,32,50,46,52,53,52,52,50,101,45,50,54,32,55,46,48,57,56,49,101,45,50,55,
      32,48,114,54,50,32,54,46,52,50,52,48,53,101,45,50,54,32,50,46,52,55,56,54,49,
      101,45,50,53,32,49,46,48,51,57,48,51,101,45,50,52,32,52,46,48,50,53,57,50,101,
      45,50,52,32,51,46,50,51,50,48,53,101,45,50,49,10,32,32,49,46,54,51,54,49,57,
      101,45,50,48,32,49,46,50,54,49,54,57,101,45,49,57,32,49,46,54,49,50,52,101,
      45,49,55,32,52,46,55,52,49,52,51,101,45,49,55,32,49,46,51,49,53,56,53,101,45,
      49,54,32,51,46,57,48,48,55,52,101,45,49,54,32,55,46,55,50,50,57,57,101,45,49,
      54,10,32,32,49,46,51,53,50,52,56,101,45,49,53,32,51,46,51,48,49,56,54,101,45,
      49,53,32,54,46,54,49,54,56,51,101,45,49,53,32,49,46,49,55,50,48,50,101,45,49,
      52,32,49,46,53,48,56,49,52,101,45,49,52,32,49,46,57,48,53,57,55,101,45,49,52,
      32,50,46,51,55,49,53,54,101,45,49,52,10,32,32,50,46,57,49,49,48,56,101,45,49,
      52,32,51,46,53,51,48,57,101,45,49,52,32,52,46,50,51,55,53,50,101,45,49,52,32,
      53,46,48,51,55,54,50,101,45,49,52,32,53,46,57,51,56,101,45,49,52,32,54,46,57,
      52,53,54,53,101,45,49,52,32,56,46,48,54,55,54,53,101,45,49,52,10,32,32,57,46,
      53,55,53,50,52,101,45,49,52,32,49,46,49,50,55,48,56,101,45,49,51,32,49,46,51,
      56,52,54,51,101,45,49,51,32,49,46,54,56,50,51,55,101,45,49,51,32,50,46,48,50,
      49,51,57,101,45,49,51,32,50,46,53,48,57,54,54,101,45,49,51,32,51,46,48,55,53,
      56,53,101,45,49,51,10,32,32,51,46,55,50,54,56,50,101,45,49,51,32,52,46,54,50,
      57,56,49,101,45,49,51,32,53,46,54,55,55,52,55,101,45,49,51,32,55,46,51,50,49,
      53,101,45,49,51,32,57,46,50,55,54,52,49,101,45,49,51,32,49,46,49,53,55,52,101,
      45,49,50,32,49,46,52,54,48,56,57,101,45,49,50,10,32,32,49,46,56,53,57,53,52,
      101,45,49,50,32,50,46,51,56,48,51,55,101,45,49,50,32,51,46,48,53,55,49,101,
      45,49,50,32,51,46,57,51,49,51,54,101,45,49,50,32,53,46,49,52,49,55,54,101,45,
      49,50,32,54,46,53,57,48,54,50,101,45,49,50,32,56,46,53,53,48,53,57,101,45,49,
      50,10,32,32,49,46,49,54,52,50,101,45,49,49,32,49,46,53,54,54,56,52,101,45,49,
      49,32,49,46,57,51,48,57,55,101,45,49,49,32,50,46,52,53,55,55,57,101,45,49,49,
      32,51,46,50,50,55,52,54,101,45,49,49,32,52,46,50,49,55,53,53,101,45,49,49,32,
      53,46,52,55,56,54,56,101,45,49,49,10,32,32,55,46,49,50,48,57,50,101,45,49,49,
      32,56,46,57,57,49,49,54,101,45,49,49,32,49,46,49,50,56,57,49,101,45,49,48,32,
      49,46,52,53,52,48,51,101,45,49,48,32,49,46,57,55,54,51,51,101,45,49,48,32,50,
      46,53,56,48,57,51,101,45,49,48,32,51,46,50,57,53,48,56,101,45,49,48,10,32,32,
      51,46,57,53,57,50,52,101,45,49,48,32,52,46,55,52,52,48,54,101,45,49,48,32,53,
      46,57,53,55,53,56,101,45,49,48,32,55,46,51,49,52,55,51,101,45,49,48,32,56,46,
      56,48,49,54,57,101,45,49,48,32,49,46,48,50,48,54,49,101,45,48,57,32,49,46,50,
      51,54,56,51,101,45,48,57,10,32,32,49,46,52,55,49,48,52,101,45,48,57,32,49,46,
      55,50,52,49,49,101,45,48,57,32,49,46,57,54,57,50,57,101,45,48,57,32,50,46,50,
      50,54,52,53,101,45,48,57,32,50,46,52,56,53,57,55,101,45,48,57,32,50,46,55,55,
      55,57,49,101,45,48,57,32,51,46,48,52,54,49,53,101,45,48,57,10,32,32,51,46,50,
      51,57,57,57,101,45,48,57,32,51,46,53,57,51,48,57,101,45,48,57,32,51,46,57,48,
      53,53,52,101,45,48,57,32,52,46,49,55,52,51,50,101,45,48,57,32,52,46,52,51,53,
      50,56,101,45,48,57,32,52,46,54,51,56,54,51,101,45,48,57,32,52,46,56,50,49,49,
      56,101,45,48,57,10,32,32,52,46,57,53,55,53,101,45,48,57,32,53,46,48,53,49,49,
      56,101,45,48,57,32,53,46,49,48,55,48,57,101,45,48,57,32,53,46,49,51,50,52,51,
      101,45,48,57,32,53,46,49,50,55,55,50,101,45,48,57,32,53,46,49,48,52,54,49,101,
      45,48,57,32,53,46,48,50,57,54,101,45,48,57,10,32,32,52,46,57,54,50,56,50,101,
      45,48,57,32,52,46,56,50,57,48,57,101,45,48,57,32,52,46,54,53,52,50,55,101,45,
      48,57,32,52,46,53,51,53,51,53,101,45,48,57,32,52,46,52,48,55,48,50,101,45,48,
      57,32,52,46,49,56,56,52,50,101,45,48,57,32,51,46,57,51,48,48,56,101,45,48,57,
      10,32,32,51,46,55,56,49,49,101,45,48,57,32,51,46,53,51,53,52,49,101,45,48,57,
      32,51,46,51,56,51,57,51,101,45,48,57,32,51,46,49,51,55,55,49,101,45,48,57,32,
      50,46,57,51,57,52,50,101,45,48,57,32,50,46,54,53,52,50,51,101,45,48,57,32,50,
      46,53,51,57,50,54,101,45,48,57,10,32,32,50,46,51,50,52,50,101,45,48,57,32,50,
      46,48,57,55,51,49,101,45,48,57,32,49,46,57,49,55,57,52,101,45,48,57,32,49,46,
      55,52,56,48,56,101,45,48,57,32,49,46,53,57,56,49,101,45,48,57,32,49,46,52,53,
      57,48,54,101,45,48,57,32,49,46,51,49,53,48,54,101,45,48,57,10,32,32,49,46,49,
      57,54,48,52,101,45,48,57,32,49,46,48,55,52,51,53,101,45,48,57,32,57,46,57,49,
      48,52,54,101,45,49,48,32,56,46,54,54,48,57,49,101,45,49,48,32,55,46,57,53,57,
      50,53,101,45,49,48,32,55,46,49,53,50,51,49,101,45,49,48,32,53,46,53,51,50,55,
      53,101,45,49,48,10,32,32,51,46,56,50,49,50,52,101,45,49,48,32,50,46,54,49,55,
      52,57,101,45,49,48,32,49,46,53,57,54,48,55,101,45,49,48,32,57,46,53,50,50,57,
      49,101,45,49,49,32,52,46,57,57,48,50,51,101,45,49,49,32,51,46,53,48,56,52,52,
      101,45,49,49,32,49,46,53,56,49,54,55,101,45,49,49,10,32,32,55,46,49,51,49,56,
      50,101,45,49,50,32,52,46,48,51,55,53,56,101,45,49,50,32,50,46,49,50,51,51,51,
      101,45,49,50,32,56,46,57,50,52,52,101,45,49,51,32,52,46,49,52,55,48,57,101,
      45,49,51,32,49,46,57,49,52,57,51,101,45,49,51,32,55,46,56,54,53,50,53,101,45,
      49,52,10,32,32,51,46,50,49,48,54,56,101,45,49,52,32,49,46,52,53,57,53,54,101,
      45,49,52,32,54,46,54,49,49,51,55,101,45,49,53,32,50,46,57,55,54,49,53,101,45,
      49,53,32,49,46,49,57,53,49,57,101,45,49,53,32,52,46,50,54,54,101,45,49,54,32,
      49,46,51,53,50,51,53,101,45,49,54,10,32,32,52,46,55,57,51,51,55,101,45,49,55,
      32,49,46,53,48,56,54,55,101,45,49,55,32,53,46,51,49,57,48,50,101,45,49,56,32,
      49,46,56,55,49,52,101,45,49,56,32,53,46,56,52,57,57,51,101,45,49,57,32,49,46,
      54,55,56,48,57,101,45,49,57,32,54,46,51,56,55,49,57,101,45,50,48,10,32,32,50,
      46,48,56,54,49,55,101,45,50,48,32,55,46,55,57,51,57,53,101,45,50,49,32,50,46,
      55,49,56,49,49,101,45,50,49,32,57,46,52,55,48,50,49,101,45,50,50,32,51,46,50,
      57,54,54,53,101,45,50,50,32,49,46,49,52,54,54,53,101,45,50,50,32,51,46,57,56,
      53,51,56,101,45,50,51,10,32,32,49,46,51,56,52,50,57,101,45,50,51,32,52,46,56,
      48,51,53,55,101,45,50,52,32,49,46,54,54,54,53,50,101,45,50,52,32,53,46,55,52,
      56,51,49,101,45,50,53,32,49,46,57,57,49,56,101,45,50,53,32,54,46,55,50,55,52,
      56,101,45,50,54,32,50,46,49,54,48,51,57,101,45,50,54,10,32,32,54,46,50,52,49,
      101,45,50,55,32,48,114,54,50,32,57,46,55,50,55,49,53,101,45,50,55,32,51,46,
      55,55,50,51,54,101,45,50,54,32,49,46,53,57,51,51,57,101,45,50,53,32,54,46,50,
      51,52,57,55,101,45,50,53,32,49,46,50,49,52,48,56,101,45,50,49,32,54,46,49,52,
      53,48,57,101,45,50,49,10,32,32,52,46,55,51,57,56,49,101,45,50,48,32,50,46,48,
      48,54,53,52,101,45,49,55,32,53,46,56,56,50,52,49,101,45,49,55,32,49,46,54,49,
      52,52,52,101,45,49,54,32,52,46,55,48,56,52,56,101,45,49,54,32,57,46,49,57,57,
      54,49,101,45,49,54,32,49,46,53,57,48,51,55,101,45,49,53,10,32,32,51,46,55,57,
      51,51,53,101,45,49,53,32,55,46,52,50,54,54,50,101,45,49,53,32,49,46,50,56,54,
      53,52,101,45,49,52,32,49,46,54,51,55,56,52,101,45,49,52,32,50,46,48,52,56,51,
      50,101,45,49,52,32,50,46,53,50,50,55,50,101,45,49,52,32,51,46,48,54,53,56,101,
      45,49,52,10,32,32,51,46,54,56,50,51,56,101,45,49,52,32,52,46,51,55,55,50,56,
      101,45,49,52,32,53,46,49,53,53,51,54,101,45,49,52,32,54,46,48,50,49,53,49,101,
      45,49,52,32,54,46,57,56,48,54,55,101,45,49,52,32,56,46,48,51,55,55,54,101,45,
      49,52,32,57,46,52,52,50,54,49,101,45,49,52,10,32,32,49,46,49,48,48,52,51,101,
      45,49,51,32,49,46,51,51,52,53,56,101,45,49,51,32,49,46,54,48,48,55,54,101,45,
      49,51,32,49,46,57,48,48,50,51,101,45,49,51,32,50,46,51,50,53,49,55,101,45,49,
      51,32,50,46,56,49,48,50,54,101,45,49,51,32,51,46,51,53,57,55,51,101,45,49,51,
      10,32,32,52,46,49,49,48,49,50,101,45,49,51,32,52,46,57,54,54,57,49,101,45,49,
      51,32,54,46,50,56,55,57,52,101,45,49,51,32,55,46,56,50,57,55,52,101,45,49,51,
      32,57,46,54,49,48,55,56,101,45,49,51,32,49,46,49,57,50,51,54,101,45,49,50,32,
      49,46,52,57,48,56,55,101,45,49,50,10,32,32,49,46,56,55,52,48,50,101,45,49,50,
      32,50,46,51,54,51,49,53,101,45,49,50,32,50,46,57,56,52,50,101,45,49,50,32,51,
      46,56,50,57,50,50,101,45,49,50,32,52,46,56,50,52,49,53,101,45,49,50,32,54,46,
      49,52,57,50,50,101,45,49,50,32,56,46,50,48,52,54,56,101,45,49,50,10,32,32,49,
      46,48,56,51,56,49,101,45,49,49,32,49,46,51,49,56,57,55,101,45,49,49,32,49,46,
      54,53,53,54,101,45,49,49,32,50,46,49,52,50,51,101,45,49,49,32,50,46,55,54,49,
      52,52,101,45,49,49,32,51,46,53,52,50,56,52,101,45,49,49,32,52,46,53,53,50,52,
      50,101,45,49,49,10,32,32,53,46,54,57,53,48,56,101,45,49,49,32,55,46,48,57,50,
      54,49,101,45,49,49,32,57,46,48,54,50,55,49,101,45,49,49,32,49,46,50,50,50,48,
      56,101,45,49,48,32,49,46,53,56,55,53,55,101,45,49,48,32,50,46,48,50,48,48,54,
      101,45,49,48,32,50,46,52,50,51,53,49,101,45,49,48,10,32,32,50,46,57,48,50,48,
      51,101,45,49,48,32,51,46,54,52,54,49,50,101,45,49,48,32,52,46,52,56,52,52,50,
      101,45,49,48,32,53,46,52,49,48,50,54,101,45,49,48,32,54,46,50,57,49,53,51,101,
      45,49,48,32,55,46,54,54,48,55,57,101,45,49,48,32,57,46,49,54,48,49,54,101,45,
      49,48,10,32,32,49,46,48,55,57,56,51,101,45,48,57,32,49,46,50,52,48,50,51,101,
      45,48,57,32,49,46,52,49,48,50,101,45,48,57,32,49,46,53,56,51,52,57,101,45,48,
      57,32,49,46,55,56,48,53,51,101,45,48,57,32,49,46,57,54,51,53,52,101,45,48,57,
      32,50,46,48,57,54,57,56,101,45,48,57,10,32,32,50,46,51,52,50,55,55,101,45,48,
      57,32,50,46,53,54,51,52,49,101,45,48,57,32,50,46,55,53,53,57,53,101,45,48,57,
      32,50,46,57,52,53,57,50,101,45,48,57,32,51,46,48,57,54,55,54,101,45,48,57,32,
      51,46,50,51,53,52,50,101,45,48,57,32,51,46,51,52,50,53,49,101,45,48,57,10,32,
      32,51,46,52,50,48,48,49,101,45,48,57,32,51,46,52,55,48,57,52,101,45,48,57,32,
      51,46,53,48,49,57,56,101,45,48,57,32,51,46,53,48,56,52,51,101,45,48,57,32,51,
      46,53,48,49,57,50,101,45,48,57,32,51,46,52,54,53,48,49,101,45,48,57,32,51,46,
      52,50,55,53,53,101,45,48,57,10,32,32,51,46,51,52,56,48,50,101,45,48,57,32,51,
      46,50,51,57,54,56,101,45,48,57,32,51,46,49,54,52,51,55,101,45,48,57,32,51,46,
      48,56,50,48,56,101,45,48,57,32,50,46,57,52,48,48,57,101,45,48,57,32,50,46,55,
      55,48,48,53,101,45,48,57,32,50,46,54,55,49,49,101,45,48,57,10,32,32,50,46,53,
      48,54,55,51,101,45,48,57,32,50,46,52,48,52,55,101,45,48,57,32,50,46,50,51,55,
      56,53,101,45,48,57,32,50,46,49,48,50,54,51,101,45,48,57,32,49,46,57,48,54,57,
      50,101,45,48,57,32,49,46,56,50,55,54,49,101,45,48,57,32,49,46,54,55,56,54,50,
      101,45,48,57,10,32,32,49,46,53,50,48,53,53,101,45,48,57,32,49,46,51,57,52,57,
      51,101,45,48,57,32,49,46,50,55,53,52,101,45,48,57,32,49,46,49,54,57,52,49,101,
      45,48,57,32,49,46,48,55,48,55,54,101,45,48,57,32,57,46,54,56,49,53,52,101,45,
      49,48,32,56,46,56,51,48,48,53,101,45,49,48,10,32,32,55,46,57,53,54,48,50,101,
      45,49,48,32,55,46,51,53,53,53,54,101,45,49,48,32,54,46,52,53,49,52,57,101,45,
      49,48,32,53,46,57,52,49,57,101,45,49,48,32,53,46,51,53,52,101,45,49,48,32,52,
      46,49,54,55,53,51,101,45,49,48,32,50,46,57,48,50,52,101,45,49,48,10,32,32,50,
      46,48,48,51,55,51,101,45,49,48,32,49,46,50,51,51,51,52,101,45,49,48,32,55,46,
      52,50,52,55,57,101,45,49,49,32,51,46,57,51,48,50,56,101,45,49,49,32,50,46,55,
      51,52,52,51,101,45,49,49,32,49,46,50,52,49,55,52,101,45,49,49,32,53,46,54,51,
      51,55,51,101,45,49,50,10,32,32,51,46,50,48,50,48,53,101,45,49,50,32,49,46,54,
      57,48,55,56,101,45,49,50,32,55,46,49,52,49,52,53,101,45,49,51,32,51,46,51,51,
      49,53,53,101,45,49,51,32,49,46,53,52,51,56,53,101,45,49,51,32,54,46,51,54,52,
      55,53,101,45,49,52,32,50,46,54,48,55,101,45,49,52,10,32,32,49,46,49,56,56,51,
      55,101,45,49,52,32,53,46,51,57,54,54,54,101,45,49,53,32,50,46,52,51,53,51,101,
      45,49,53,32,57,46,56,48,52,53,49,101,45,49,54,32,51,46,53,48,56,54,55,101,45,
      49,54,32,49,46,49,49,53,50,51,101,45,49,54,32,51,46,57,54,49,54,101,45,49,55,
      10,32,32,49,46,50,52,57,54,56,101,45,49,55,32,52,46,52,49,52,50,101,45,49,56,
      32,49,46,53,53,53,55,56,101,45,49,56,32,52,46,56,55,50,49,56,101,45,49,57,32,
      49,46,52,48,48,49,52,101,45,49,57,32,53,46,51,51,54,50,55,101,45,50,48,32,49,
      46,55,52,53,52,49,101,45,50,48,10,32,32,54,46,53,50,56,53,56,101,45,50,49,32,
      50,46,50,55,57,53,53,101,45,50,49,32,55,46,57,53,49,50,52,101,45,50,50,32,50,
      46,55,55,48,56,55,101,45,50,50,32,57,46,54,52,55,53,57,101,45,50,51,32,51,46,
      51,53,54,52,52,101,45,50,51,32,49,46,49,54,54,57,51,101,45,50,51,10,32,32,52,
      46,48,53,52,51,55,101,45,50,52,32,49,46,52,48,55,49,54,101,45,50,52,32,52,46,
      56,55,48,50,55,101,45,50,53,32,49,46,54,56,50,50,57,101,45,50,53,32,53,46,56,
      51,48,54,57,101,45,50,54,32,49,46,56,50,51,57,51,101,45,50,54,32,53,46,50,54,
      49,52,101,45,50,55,10,32,32,48,114,54,51,32,50,46,55,51,55,50,101,45,50,55,
      32,49,46,49,56,57,57,56,101,45,50,54,32,52,46,56,50,54,55,51,101,45,50,54,32,
      50,46,57,53,54,52,101,45,50,50,32,49,46,52,57,56,52,55,101,45,50,49,32,49,46,
      49,53,56,57,56,101,45,50,48,32,49,46,53,56,55,50,50,101,45,49,54,10,32,32,52,
      46,54,52,51,52,49,101,45,49,54,32,49,46,50,55,57,49,49,101,45,49,53,32,51,46,
      55,52,54,49,49,101,45,49,53,32,55,46,51,51,54,55,101,45,49,53,32,49,46,50,55,
      48,49,57,101,45,49,52,32,51,46,48,56,48,49,49,101,45,49,52,32,54,46,48,51,52,
      48,50,101,45,49,52,10,32,32,49,46,48,52,51,48,51,101,45,49,51,32,49,46,51,50,
      53,49,52,101,45,49,51,32,49,46,54,53,50,57,50,101,45,49,51,32,50,46,48,50,57,
      50,55,101,45,49,51,32,50,46,52,53,55,48,55,101,45,49,51,32,50,46,57,51,56,56,
      56,101,45,49,51,32,51,46,52,55,55,49,56,101,45,49,51,10,32,32,52,46,48,55,52,
      52,52,101,45,49,51,32,52,46,55,51,50,55,53,101,45,49,51,32,53,46,52,53,52,48,
      56,101,45,49,51,32,54,46,50,52,48,52,55,101,45,49,51,32,55,46,50,55,50,48,49,
      101,45,49,51,32,56,46,52,48,50,51,51,101,45,49,51,32,49,46,48,48,54,55,50,101,
      45,49,50,10,32,32,49,46,49,57,49,54,50,101,45,49,50,32,49,46,51,57,53,50,54,
      101,45,49,50,32,49,46,54,55,54,55,49,101,45,49,50,32,49,46,57,56,56,49,56,101,
      45,49,50,32,50,46,51,51,48,48,53,101,45,49,50,32,50,46,55,56,48,50,56,101,45,
      49,50,32,51,46,50,55,51,54,50,101,45,49,50,10,32,32,51,46,57,57,55,50,49,101,
      45,49,50,32,52,46,55,57,52,50,54,101,45,49,50,32,53,46,54,54,49,52,49,101,45,
      49,50,32,54,46,55,49,54,51,101,45,49,50,32,55,46,57,56,48,49,51,101,45,49,50,
      32,57,46,52,55,50,52,55,101,45,49,50,32,49,46,49,50,49,49,101,45,49,49,10,32,
      32,49,46,51,50,48,53,54,101,45,49,49,32,49,46,53,54,50,56,55,101,45,49,49,32,
      49,46,56,49,53,55,53,101,45,49,49,32,50,46,49,49,50,53,53,101,45,49,49,32,50,
      46,53,48,56,52,51,101,45,49,49,32,50,46,57,51,55,51,54,101,45,49,49,32,51,46,
      50,54,57,50,52,101,45,49,49,10,32,32,51,46,54,56,53,57,49,101,45,49,49,32,52,
      46,50,48,54,51,53,101,45,49,49,32,52,46,55,55,51,51,52,101,45,49,49,32,53,46,
      51,57,53,50,49,101,45,49,49,32,54,46,49,48,51,51,52,101,45,49,49,32,54,46,56,
      50,53,57,54,101,45,49,49,32,55,46,54,52,49,52,54,101,45,49,49,10,32,32,56,46,
      55,49,57,50,57,101,45,49,49,32,49,46,48,51,53,53,101,45,49,48,32,49,46,50,49,
      57,50,101,45,49,48,32,49,46,52,51,52,53,49,101,45,49,48,32,49,46,54,51,53,54,
      57,101,45,49,48,32,49,46,56,55,54,48,56,101,45,49,48,32,50,46,50,53,52,55,57,
      101,45,49,48,10,32,32,50,46,54,56,56,57,57,101,45,49,48,32,51,46,49,55,55,51,
      56,101,45,49,48,32,51,46,54,53,48,49,51,101,45,49,48,32,52,46,51,57,56,50,50,
      101,45,49,48,32,53,46,50,51,52,48,55,101,45,49,48,32,54,46,49,54,52,55,51,101,
      45,49,48,32,55,46,48,57,49,55,56,101,45,49,48,10,32,32,56,46,48,56,57,55,50,
      101,45,49,48,32,57,46,49,50,50,51,52,101,45,49,48,32,49,46,48,51,49,52,51,101,
      45,48,57,32,49,46,49,52,51,55,56,101,45,48,57,32,49,46,50,50,54,54,56,101,45,
      48,57,32,49,46,51,56,49,54,49,101,45,48,57,32,49,46,53,50,51,50,52,101,45,48,
      57,10,32,32,49,46,54,52,57,48,54,101,45,48,57,32,49,46,55,55,53,54,101,45,48,
      57,32,49,46,56,55,56,50,53,101,45,48,57,32,49,46,57,55,53,48,55,101,45,48,57,
      32,50,46,48,53,50,52,53,101,45,48,57,32,50,46,49,49,49,49,57,101,45,48,57,32,
      50,46,49,53,50,56,55,101,45,48,57,10,32,32,50,46,49,56,51,48,51,101,45,48,57,
      32,50,46,49,57,52,55,101,45,48,57,32,50,46,49,57,55,57,57,101,45,48,57,32,50,
      46,49,56,54,51,53,101,45,48,57,32,50,46,49,54,57,52,56,101,45,48,57,32,50,46,
      49,50,57,50,57,101,45,48,57,32,50,46,48,55,48,53,53,101,45,48,57,10,32,32,50,
      46,48,50,56,50,57,101,45,48,57,32,49,46,57,56,49,50,53,101,45,48,57,32,49,46,
      56,57,56,53,51,101,45,48,57,32,49,46,55,57,55,54,49,101,45,48,57,32,49,46,55,
      51,56,49,54,101,45,48,57,32,49,46,54,51,56,52,50,101,45,48,57,32,49,46,53,55,
      53,57,54,101,45,48,57,10,32,32,49,46,52,55,51,48,52,101,45,48,57,32,49,46,51,
      56,56,57,53,101,45,48,57,32,49,46,50,54,54,50,52,101,45,48,57,32,49,46,50,49,
      54,49,57,101,45,48,57,32,49,46,49,50,49,54,56,101,45,48,57,32,49,46,48,50,48,
      55,101,45,48,57,32,57,46,51,57,57,52,50,101,45,49,48,10,32,32,56,46,54,50,54,
      54,54,101,45,49,48,32,55,46,57,51,55,55,51,101,45,49,48,32,55,46,50,57,51,50,
      56,101,45,49,48,32,54,46,54,49,57,54,101,45,49,48,32,54,46,48,53,55,55,57,101,
      45,49,48,32,53,46,52,55,56,51,53,101,45,49,48,32,53,46,48,55,56,53,54,101,45,
      49,48,10,32,32,52,46,52,55,51,56,52,101,45,49,48,32,52,46,49,51,49,52,50,101,
      45,49,48,32,51,46,55,51,52,56,53,101,45,49,48,32,50,46,57,50,57,48,57,101,45,
      49,48,32,50,46,48,54,48,53,54,101,45,49,48,32,49,46,52,51,54,49,54,101,45,49,
      48,32,56,46,57,52,49,54,57,101,45,49,49,10,32,32,53,46,52,52,50,101,45,49,49,
      32,50,46,57,49,54,53,57,101,45,49,49,32,50,46,48,48,51,54,101,45,49,49,32,57,
      46,49,57,53,56,53,101,45,49,50,32,52,46,50,48,52,53,49,101,45,49,50,32,50,46,
      52,48,49,53,52,101,45,49,50,32,49,46,50,55,52,53,53,101,45,49,50,10,32,32,53,
      46,52,49,54,53,57,101,45,49,51,32,50,46,53,51,57,50,53,101,45,49,51,32,49,46,
      49,56,49,57,56,101,45,49,51,32,52,46,56,57,53,55,52,101,45,49,52,32,50,46,48,
      49,51,56,56,101,45,49,52,32,57,46,50,49,49,54,54,101,45,49,53,32,52,46,49,57,
      54,53,57,101,45,49,53,10,32,32,49,46,56,57,57,53,57,101,45,49,53,32,55,46,54,
      55,49,57,101,45,49,54,32,50,46,55,53,52,52,56,101,45,49,54,32,56,46,55,56,52,
      52,101,45,49,55,32,51,46,49,50,57,49,101,45,49,55,32,57,46,56,57,56,55,50,101,
      45,49,56,32,51,46,53,48,52,55,55,101,45,49,56,10,32,32,49,46,50,51,55,57,56,
      101,45,49,56,32,51,46,56,56,53,56,51,101,45,49,57,32,49,46,49,49,57,50,52,101,
      45,49,57,32,52,46,50,55,50,55,101,45,50,48,32,49,46,52,48,48,48,53,101,45,50,
      48,32,53,46,50,52,52,54,50,101,45,50,49,32,49,46,56,51,52,48,49,101,45,50,49,
      10,32,32,54,46,52,48,54,51,54,101,45,50,50,32,50,46,50,51,53,53,53,101,45,50,
      50,32,55,46,55,57,51,57,53,101,45,50,51,32,50,46,55,49,52,56,55,101,45,50,51,
      32,57,46,52,52,57,51,50,101,45,50,52,32,51,46,50,56,54,55,53,101,45,50,52,32,
      49,46,49,52,49,56,49,101,45,50,52,10,32,32,51,46,57,54,54,53,56,101,45,50,53,
      32,49,46,51,54,53,51,50,101,45,50,53,32,52,46,55,51,54,51,49,101,45,50,54,32,
      49,46,52,55,57,55,51,101,45,50,54,32,52,46,50,54,48,56,57,101,45,50,55,32,48,
      114,54,51,32,49,46,52,56,57,48,55,101,45,50,55,32,54,46,53,51,53,48,56,101,
      45,50,55,10,32,32,50,46,54,56,49,53,55,101,45,50,54,32,50,46,49,48,52,48,57,
      101,45,50,50,32,49,46,48,54,54,57,54,101,45,50,49,32,56,46,50,53,57,57,101,
      45,50,49,32,57,46,51,53,49,56,56,101,45,49,54,32,50,46,54,57,50,53,54,101,45,
      49,53,32,55,46,50,54,52,53,50,101,45,49,53,10,32,32,50,46,48,54,52,49,54,101,
      45,49,52,32,51,46,57,52,52,57,55,101,45,49,52,32,54,46,54,54,56,57,57,101,45,
      49,52,32,49,46,57,54,57,49,57,101,45,49,51,32,51,46,52,57,55,48,54,101,45,49,
      51,32,53,46,53,55,57,51,101,45,49,51,32,54,46,56,52,48,56,54,101,45,49,51,10,
      32,32,56,46,50,53,52,52,101,45,49,51,32,57,46,56,50,50,52,49,101,45,49,51,32,
      49,46,49,53,52,54,57,101,45,49,50,32,49,46,51,52,50,56,51,101,45,49,50,32,49,
      46,53,52,54,54,56,101,45,49,50,32,49,46,55,54,54,50,55,101,45,49,50,32,50,46,
      48,48,49,53,50,101,45,49,50,10,32,32,50,46,50,53,50,50,51,101,45,49,50,32,50,
      46,53,49,56,50,51,101,45,49,50,32,50,46,56,53,55,50,50,101,45,49,50,32,51,46,
      50,49,55,52,55,101,45,49,50,32,51,46,55,50,57,56,49,101,45,49,50,32,52,46,50,
      55,55,53,53,101,45,49,50,32,52,46,56,53,56,53,53,101,45,49,50,10,32,32,53,46,
      54,50,56,57,55,101,45,49,50,32,54,46,52,52,53,54,56,101,45,49,50,32,55,46,51,
      48,52,53,53,101,45,49,50,32,56,46,51,56,53,56,52,101,45,49,50,32,57,46,53,49,
      54,52,56,101,45,49,50,32,49,46,49,48,56,54,56,101,45,49,49,32,49,46,50,55,49,
      56,57,101,45,49,49,10,32,32,49,46,52,51,57,54,52,101,45,49,49,32,49,46,54,51,
      50,53,51,101,45,49,49,32,49,46,56,52,57,56,52,101,45,49,49,32,50,46,48,57,48,
      54,53,101,45,49,49,32,50,46,51,53,50,53,57,101,45,49,49,32,50,46,54,51,51,56,
      50,101,45,49,49,32,50,46,57,53,50,56,50,101,45,49,49,10,32,32,51,46,50,54,50,
      55,55,101,45,49,49,32,51,46,54,48,50,51,49,101,45,49,49,32,52,46,48,50,51,55,
      54,101,45,49,49,32,52,46,52,52,56,55,50,101,45,49,49,32,52,46,55,53,57,101,
      45,49,49,32,53,46,49,51,48,50,49,101,45,49,49,32,53,46,53,55,51,56,57,101,45,
      49,49,10,32,32,54,46,48,51,57,49,50,101,45,49,49,32,54,46,53,51,52,56,54,101,
      45,49,49,32,55,46,48,57,48,53,54,101,45,49,49,32,55,46,54,53,51,56,51,101,45,
      49,49,32,56,46,50,57,48,55,54,101,45,49,49,32,57,46,49,51,57,49,55,101,45,49,
      49,32,49,46,48,52,52,49,57,101,45,49,48,10,32,32,49,46,49,57,50,56,56,101,45,
      49,48,32,49,46,51,54,57,56,55,101,45,49,48,32,49,46,53,51,55,50,49,101,45,49,
      48,32,49,46,55,51,57,48,51,101,45,49,48,32,50,46,48,54,48,48,55,101,45,49,48,
      32,50,46,52,51,49,53,49,101,45,49,48,32,50,46,56,53,50,52,49,101,45,49,48,10,
      32,32,51,46,50,54,50,50,50,101,45,49,48,32,51,46,57,49,52,51,49,101,45,49,48,
      32,52,46,54,52,55,48,49,101,45,49,48,32,53,46,52,54,54,56,53,101,45,49,48,32,
      54,46,50,56,54,57,57,101,45,49,48,32,55,46,49,55,51,49,51,101,45,49,48,32,56,
      46,48,57,51,50,53,101,45,49,48,10,32,32,57,46,49,53,56,57,56,101,45,49,48,32,
      49,46,48,49,54,54,57,101,45,48,57,32,49,46,48,57,49,50,54,101,45,48,57,32,49,
      46,50,51,49,48,53,101,45,48,57,32,49,46,51,53,57,51,54,101,45,48,57,32,49,46,
      52,55,51,55,57,101,45,48,57,32,49,46,53,56,57,51,53,101,45,48,57,10,32,32,49,
      46,54,56,51,53,101,45,48,57,32,49,46,55,55,50,55,54,101,45,48,57,32,49,46,56,
      52,52,53,54,101,45,48,57,32,49,46,56,57,57,53,52,101,45,48,57,32,49,46,57,51,
      57,48,54,101,45,48,57,32,49,46,57,54,56,51,55,101,45,48,57,32,49,46,57,56,48,
      51,57,101,45,48,57,10,32,32,49,46,57,56,52,56,49,101,45,48,57,32,49,46,57,55,
      54,53,56,101,45,48,57,32,49,46,57,54,50,54,53,101,45,48,57,32,49,46,57,50,56,
      50,57,101,45,48,57,32,49,46,56,55,55,48,56,101,45,48,57,32,49,46,56,51,57,57,
      50,101,45,48,57,32,49,46,55,57,56,51,54,101,45,48,57,10,32,32,49,46,55,50,52,
      57,53,101,45,48,57,32,49,46,54,51,53,101,45,48,57,32,49,46,53,56,49,56,54,101,
      45,48,57,32,49,46,52,57,50,52,57,101,45,48,57,32,49,46,52,51,54,52,51,101,45,
      48,57,32,49,46,51,52,51,56,55,101,45,48,57,32,49,46,50,54,56,49,49,101,45,48,
      57,10,32,32,49,46,49,53,55,51,54,101,45,48,57,32,49,46,49,49,50,49,51,101,45,
      48,57,32,49,46,48,50,54,54,49,101,45,48,57,32,57,46,51,53,49,48,52,101,45,49,
      48,32,56,46,54,49,56,49,52,101,45,49,48,32,55,46,57,49,53,57,56,101,45,49,48,
      32,55,46,50,56,57,50,54,101,45,49,48,10,32,32,54,46,55,48,50,52,49,101,45,49,
      48,32,54,46,48,56,56,50,55,101,45,49,48,32,53,46,53,55,53,53,53,101,45,49,48,
      32,53,46,48,52,54,50,51,101,45,49,48,32,52,46,54,56,48,54,57,101,45,49,48,32,
      52,46,49,50,55,50,51,101,45,49,48,32,51,46,56,49,51,53,49,101,45,49,48,10,32,
      32,51,46,52,52,57,57,101,45,49,48,32,50,46,55,49,48,48,52,101,45,49,48,32,49,
      46,57,49,48,54,52,101,45,49,48,32,49,46,51,51,52,52,51,101,45,49,48,32,56,46,
      51,50,56,56,52,101,45,49,49,32,53,46,48,56,49,48,55,101,45,49,49,32,50,46,55,
      51,48,52,55,101,45,49,49,10,32,32,49,46,56,55,48,56,54,101,45,49,49,32,56,46,
      54,48,55,51,56,101,45,49,50,32,51,46,57,52,50,49,56,101,45,49,50,32,50,46,50,
      53,52,49,55,101,45,49,50,32,49,46,49,57,55,55,101,45,49,50,32,53,46,48,57,55,
      48,50,101,45,49,51,32,50,46,51,57,50,48,51,101,45,49,51,10,32,32,49,46,49,49,
      52,53,54,101,45,49,51,32,52,46,54,50,49,50,52,101,45,49,52,32,49,46,57,48,50,
      55,52,101,45,49,52,32,56,46,55,48,57,57,101,45,49,53,32,51,46,57,55,48,56,49,
      101,45,49,53,32,49,46,55,57,56,54,50,101,45,49,53,32,55,46,50,54,57,50,101,
      45,49,54,10,32,32,50,46,54,49,49,55,57,101,45,49,54,32,56,46,51,51,53,52,52,
      101,45,49,55,32,50,46,57,55,48,57,57,101,45,49,55,32,57,46,52,48,52,53,50,101,
      45,49,56,32,51,46,51,51,49,53,54,101,45,49,56,32,49,46,49,55,55,51,56,101,45,
      49,56,32,51,46,54,57,55,52,55,101,45,49,57,10,32,32,49,46,48,54,53,53,50,101,
      45,49,57,32,52,46,48,54,57,49,50,101,45,50,48,32,49,46,51,51,51,56,55,101,45,
      50,48,32,52,46,57,57,56,51,53,101,45,50,49,32,49,46,55,52,56,52,55,101,45,50,
      49,32,54,46,49,48,57,53,101,45,50,50,32,50,46,49,51,50,54,101,45,50,50,10,32,
      32,55,46,52,51,55,49,57,101,45,50,51,32,50,46,53,57,49,51,49,101,45,50,51,32,
      57,46,48,50,49,54,49,101,45,50,52,32,51,46,49,51,56,55,55,101,45,50,52,32,49,
      46,48,57,48,54,51,101,45,50,52,32,51,46,55,56,57,54,54,101,45,50,53,32,49,46,
      51,48,52,49,56,101,45,50,53,10,32,32,52,46,53,50,53,48,55,101,45,50,54,32,49,
      46,52,49,51,51,54,101,45,50,54,32,52,46,48,54,56,49,56,101,45,50,55,32,48,114,
      54,51,32,55,46,56,54,53,54,55,101,45,50,56,32,51,46,53,48,56,56,51,101,45,50,
      55,32,49,46,52,54,55,53,49,101,45,50,54,32,49,46,52,55,54,55,55,101,45,50,50,
      10,32,32,55,46,52,57,51,101,45,50,50,32,53,46,56,48,55,53,49,101,45,50,49,32,
      50,46,50,52,54,52,49,101,45,49,50,32,51,46,49,54,56,55,54,101,45,49,50,32,52,
      46,51,51,56,56,52,101,45,49,50,32,53,46,57,55,53,51,50,101,45,49,50,32,55,46,
      50,51,57,55,49,101,45,49,50,10,32,32,56,46,52,50,50,50,51,101,45,49,50,32,49,
      46,48,53,55,48,55,101,45,49,49,32,49,46,50,52,55,49,52,101,45,49,49,32,49,46,
      52,49,54,55,54,101,45,49,49,32,49,46,52,57,53,48,53,101,45,49,49,32,49,46,53,
      54,57,53,50,101,45,49,49,32,49,46,54,52,48,53,53,101,45,49,49,10,32,32,49,46,
      55,48,56,52,50,101,45,49,49,32,49,46,55,55,51,52,54,101,45,49,49,32,49,46,56,
      51,53,57,55,101,45,49,49,32,49,46,56,57,54,49,49,101,45,49,49,32,49,46,57,53,
      52,49,53,101,45,49,49,32,50,46,48,49,48,51,50,101,45,49,49,32,50,46,48,54,52,
      55,54,101,45,49,49,10,32,32,50,46,49,50,56,49,52,101,45,49,49,32,50,46,49,56,
      57,53,50,101,45,49,49,32,50,46,50,54,56,52,57,101,45,49,49,32,50,46,51,52,53,
      48,50,101,45,49,49,32,50,46,52,49,57,50,56,101,45,49,49,32,50,46,53,48,57,53,
      54,101,45,49,49,32,50,46,53,57,55,56,51,101,45,49,49,10,32,32,50,46,54,56,51,
      55,55,101,45,49,49,32,50,46,55,56,52,51,56,101,45,49,49,32,50,46,56,56,51,53,
      56,101,45,49,49,32,51,46,48,49,52,49,51,101,45,49,49,32,51,46,49,52,50,49,50,
      101,45,49,49,32,51,46,50,54,57,101,45,49,49,32,51,46,52,49,48,55,54,101,45,
      49,49,10,32,32,51,46,53,54,55,52,54,101,45,49,49,32,51,46,55,51,54,52,49,101,
      45,49,49,32,51,46,57,49,54,48,52,101,45,49,49,32,52,46,49,48,56,53,51,101,45,
      49,49,32,52,46,51,50,54,56,54,101,45,49,49,32,52,46,53,52,49,48,57,101,45,49,
      49,32,52,46,55,55,57,48,54,101,45,49,49,10,32,32,53,46,48,55,54,55,49,101,45,
      49,49,32,53,46,51,56,48,51,54,101,45,49,49,32,53,46,54,48,54,53,56,101,45,49,
      49,32,53,46,56,56,49,56,101,45,49,49,32,54,46,50,49,54,48,55,101,45,49,49,32,
      54,46,53,55,48,57,49,101,45,49,49,32,54,46,57,53,53,54,51,101,45,49,49,10,32,
      32,55,46,51,57,50,56,55,101,45,49,49,32,55,46,56,52,49,55,56,101,45,49,49,32,
      56,46,51,53,53,49,101,45,49,49,32,57,46,48,52,54,53,57,101,45,49,49,32,49,46,
      48,49,49,57,54,101,45,49,48,32,49,46,49,51,53,56,50,101,45,49,48,32,49,46,50,
      56,52,55,101,45,49,48,10,32,32,49,46,52,50,54,52,55,101,45,49,48,32,49,46,53,
      57,56,52,53,101,45,49,48,32,49,46,56,55,51,54,56,101,45,49,48,32,50,46,49,57,
      52,48,53,101,45,49,48,32,50,46,53,53,56,57,56,101,45,49,48,32,50,46,57,49,53,
      56,49,101,45,49,48,32,51,46,52,56,54,48,57,101,45,49,48,10,32,32,52,46,49,50,
      57,56,49,101,45,49,48,32,52,46,56,53,51,49,52,101,45,49,48,32,53,46,53,55,57,
      52,51,101,45,49,48,32,54,46,51,54,54,56,55,101,45,49,48,32,55,46,49,56,55,49,
      52,101,45,49,48,32,56,46,49,52,48,50,56,101,45,49,48,32,57,46,48,52,52,53,57,
      101,45,49,48,10,32,32,57,46,55,49,53,51,56,101,45,49,48,32,49,46,48,57,55,54,
      55,101,45,48,57,32,49,46,50,49,51,57,50,101,45,48,57,32,49,46,51,49,55,57,54,
      101,45,48,57,32,49,46,52,50,51,52,54,101,45,48,57,32,49,46,53,48,57,55,57,101,
      45,48,57,32,49,46,53,57,50,48,51,101,45,48,57,10,32,32,49,46,54,53,56,54,101,
      45,48,57,32,49,46,55,49,48,48,49,101,45,48,57,32,49,46,55,52,55,52,101,45,48,
      57,32,49,46,55,55,53,55,54,101,45,48,57,32,49,46,55,56,55,57,55,101,45,48,57,
      32,49,46,55,57,51,50,55,101,45,48,57,32,49,46,55,56,55,56,57,101,45,48,57,10,
      32,32,49,46,55,55,54,53,101,45,48,57,32,49,46,55,52,55,50,50,101,45,48,57,32,
      49,46,55,48,50,54,52,101,45,48,57,32,49,46,54,54,57,57,55,101,45,48,57,32,49,
      46,54,51,51,50,54,101,45,48,57,32,49,46,53,54,56,49,50,101,45,48,57,32,49,46,
      52,56,55,57,49,101,45,48,57,10,32,32,49,46,52,52,48,51,57,101,45,48,57,32,49,
      46,51,54,48,51,101,45,48,57,32,49,46,51,48,57,57,52,101,45,48,57,32,49,46,50,
      50,54,54,55,101,45,48,57,32,49,46,49,53,56,51,57,101,45,48,57,32,49,46,48,53,
      56,51,57,101,45,48,57,32,49,46,48,49,55,52,57,101,45,48,57,10,32,32,57,46,52,
      48,48,55,55,101,45,49,48,32,56,46,53,55,49,49,53,101,45,49,48,32,55,46,57,48,
      53,55,50,101,45,49,48,32,55,46,50,54,55,52,53,101,45,49,48,32,54,46,54,57,55,
      49,50,101,45,49,48,32,54,46,49,54,50,52,55,101,45,49,48,32,53,46,54,48,50,51,
      53,101,45,49,48,10,32,32,53,46,49,51,52,50,53,101,45,49,48,32,52,46,54,53,48,
      52,57,101,45,49,48,32,52,46,51,49,54,49,49,101,45,49,48,32,51,46,56,48,57,51,
      101,45,49,48,32,51,46,53,50,49,55,52,101,45,49,48,32,51,46,49,56,56,49,57,101,
      45,49,48,32,50,46,53,48,56,52,56,101,45,49,48,10,32,32,49,46,55,55,50,51,55,
      101,45,49,48,32,49,46,50,52,48,51,55,101,45,49,48,32,55,46,55,54,48,56,55,101,
      45,49,49,32,52,46,55,52,53,55,52,101,45,49,49,32,50,46,53,53,55,49,50,101,45,
      49,49,32,49,46,55,52,55,55,52,101,45,49,49,32,56,46,48,54,48,51,52,101,45,49,
      50,10,32,32,51,46,54,57,55,57,50,101,45,49,50,32,50,46,49,49,54,56,49,101,45,
      49,50,32,49,46,49,50,53,57,55,101,45,49,50,32,52,46,55,57,56,50,57,101,45,49,
      51,32,50,46,50,53,52,50,56,101,45,49,51,32,49,46,48,53,49,52,49,101,45,49,51,
      32,52,46,51,54,51,57,53,101,45,49,52,10,32,32,49,46,55,57,56,53,49,101,45,49,
      52,32,56,46,50,51,57,49,49,101,45,49,53,32,51,46,55,53,56,56,52,101,45,49,53,
      32,49,46,55,48,51,55,55,101,45,49,53,32,54,46,56,57,48,54,55,101,45,49,54,32,
      50,46,52,55,55,54,101,45,49,54,32,55,46,57,49,51,48,54,101,45,49,55,10,32,32,
      50,46,56,50,50,49,53,101,45,49,55,32,56,46,57,51,56,56,57,101,45,49,56,32,51,
      46,49,54,56,50,52,101,45,49,56,32,49,46,49,50,48,50,49,101,45,49,56,32,51,46,
      53,49,57,55,101,45,49,57,32,49,46,48,49,52,56,101,45,49,57,32,51,46,56,55,54,
      56,52,101,45,50,48,10,32,32,49,46,50,55,49,51,53,101,45,50,48,32,52,46,55,54,
      53,54,53,101,45,50,49,32,49,46,54,54,55,54,51,101,45,50,49,32,53,46,56,50,56,
      56,53,101,45,50,50,32,50,46,48,51,53,50,52,101,45,50,50,32,55,46,48,57,57,54,
      57,101,45,50,51,32,50,46,52,55,52,51,56,101,45,50,51,10,32,32,56,46,54,49,54,
      54,57,101,45,50,52,32,50,46,57,57,56,54,51,101,45,50,52,32,49,46,48,52,50,49,
      53,101,45,50,52,32,51,46,54,50,50,48,50,101,45,50,53,32,49,46,50,52,54,50,54,
      101,45,50,53,32,52,46,51,50,52,57,54,101,45,50,54,32,49,46,51,53,48,53,49,101,
      45,50,54,10,32,32,52,46,54,55,51,52,52,101,45,50,55,32,48,114,54,52,32,50,46,
      54,51,49,49,53,101,45,50,55,32,49,46,49,49,50,56,57,101,45,50,54,32,49,46,50,
      51,55,55,57,101,45,50,50,32,54,46,50,56,50,53,54,101,45,50,50,32,52,46,56,55,
      50,54,51,101,45,50,49,32,50,46,55,54,52,49,53,101,45,49,53,10,32,32,55,46,56,
      57,56,50,53,101,45,49,53,32,50,46,49,48,57,53,51,101,45,49,52,32,53,46,57,48,
      51,56,55,101,45,49,52,32,49,46,49,49,52,49,52,101,45,49,51,32,49,46,56,53,57,
      54,52,101,45,49,51,32,52,46,49,49,51,48,51,101,45,49,51,32,55,46,52,56,52,57,
      56,101,45,49,51,10,32,32,49,46,50,48,52,51,49,101,45,49,50,32,49,46,52,55,55,
      49,50,101,45,49,50,32,49,46,55,55,57,54,56,101,45,49,50,32,50,46,49,49,49,48,
      56,101,45,49,50,32,50,46,52,55,48,56,57,101,45,49,50,32,50,46,56,53,55,56,57,
      101,45,49,50,32,51,46,50,55,49,48,56,101,45,49,50,10,32,32,51,46,55,48,57,48,
      51,101,45,49,50,32,52,46,49,55,49,49,49,101,45,49,50,32,52,46,54,53,52,56,51,
      101,45,49,50,32,53,46,49,53,57,50,52,101,45,49,50,32,53,46,55,57,49,52,52,101,
      45,49,50,32,54,46,52,52,55,51,55,101,45,49,50,32,55,46,51,53,55,52,51,101,45,
      49,50,10,32,32,56,46,51,48,50,57,52,101,45,49,50,32,57,46,50,55,55,54,54,101,
      45,49,50,32,49,46,48,53,50,55,101,45,49,49,32,49,46,49,56,48,54,56,101,45,49,
      49,32,49,46,51,49,48,50,51,101,45,49,49,32,49,46,52,54,54,55,49,101,45,49,49,
      32,49,46,54,50,51,56,52,101,45,49,49,10,32,32,49,46,56,51,50,49,101,45,49,49,
      32,50,46,48,51,55,54,57,101,45,49,49,32,50,46,50,51,57,48,53,101,45,49,49,32,
      50,46,52,53,57,57,56,101,45,49,49,32,50,46,54,57,55,50,52,101,45,49,49,32,50,
      46,57,52,54,55,57,101,45,49,49,32,51,46,50,48,53,57,51,101,45,49,49,10,32,32,
      51,46,52,55,50,53,55,101,45,49,49,32,51,46,55,54,50,55,53,101,45,49,49,32,52,
      46,48,51,53,53,49,101,45,49,49,32,52,46,51,50,55,54,55,101,45,49,49,32,52,46,
      54,56,49,52,55,101,45,49,49,32,53,46,48,50,56,57,50,101,45,49,49,32,53,46,50,
      56,49,49,52,101,45,49,49,10,32,32,53,46,53,56,48,49,51,101,45,49,49,32,53,46,
      57,51,52,55,56,101,45,49,49,32,54,46,51,48,52,51,51,101,45,49,49,32,54,46,54,
      57,55,49,55,101,45,49,49,32,55,46,49,51,53,52,50,101,45,49,49,32,55,46,53,55,
      56,50,55,101,45,49,49,32,56,46,48,55,55,53,49,101,45,49,49,10,32,32,56,46,55,
      52,49,54,53,101,45,49,49,32,57,46,55,54,50,55,57,101,45,49,49,32,49,46,48,57,
      51,50,52,101,45,49,48,32,49,46,50,51,51,48,56,101,45,49,48,32,49,46,51,54,53,
      57,52,101,45,49,48,32,49,46,53,50,54,57,52,101,45,49,48,32,49,46,55,56,52,53,
      52,101,45,49,48,10,32,32,50,46,48,56,52,53,50,101,45,49,48,32,50,46,52,50,54,
      53,50,101,45,49,48,32,50,46,55,54,49,50,56,101,45,49,48,32,51,46,50,57,54,57,
      57,101,45,49,48,32,51,46,57,48,50,54,53,101,45,49,48,32,52,46,53,56,52,51,49,
      101,45,49,48,32,53,46,50,54,57,56,49,101,45,49,48,10,32,32,54,46,48,49,52,49,
      50,101,45,49,48,32,54,46,55,57,48,53,57,101,45,49,48,32,55,46,54,57,52,49,52,
      101,45,49,48,32,56,46,53,53,50,54,53,101,45,49,48,32,57,46,49,57,48,50,53,101,
      45,49,48,32,49,46,48,51,57,48,57,101,45,48,57,32,49,46,49,52,57,57,53,101,45,
      48,57,10,32,32,49,46,50,52,57,51,53,101,45,48,57,32,49,46,51,53,48,51,51,101,
      45,48,57,32,49,46,52,51,51,49,51,101,45,48,57,32,49,46,53,49,50,50,101,45,48,
      57,32,49,46,53,55,54,52,101,45,48,57,32,49,46,54,50,54,49,55,101,45,48,57,32,
      49,46,54,54,50,53,55,101,45,48,57,10,32,32,49,46,54,57,48,52,53,101,45,48,57,
      32,49,46,55,48,50,55,49,101,45,48,57,32,49,46,55,48,56,51,55,101,45,48,57,32,
      49,46,55,48,52,50,101,45,48,57,32,49,46,54,57,51,57,49,101,45,48,57,32,49,46,
      54,54,54,56,51,101,45,48,57,32,49,46,54,50,53,49,52,101,45,48,57,10,32,32,49,
      46,53,57,52,52,52,101,45,48,57,32,49,46,53,53,57,56,54,101,45,48,57,32,49,46,
      52,57,56,51,52,101,45,48,57,32,49,46,52,50,50,52,51,101,45,48,57,32,49,46,51,
      55,55,51,57,101,45,48,57,32,49,46,51,48,49,51,57,101,45,48,57,32,49,46,50,53,
      51,53,54,101,45,48,57,10,32,32,49,46,49,55,52,51,57,101,45,48,57,32,49,46,49,
      48,57,52,50,101,45,48,57,32,49,46,48,49,52,49,57,101,45,48,57,32,57,46,55,53,
      50,49,101,45,49,48,32,57,46,48,49,51,56,57,101,45,49,48,32,56,46,50,50,50,50,
      101,45,49,48,32,55,46,53,56,54,55,56,101,45,49,48,10,32,32,54,46,57,55,54,57,
      51,101,45,49,48,32,54,46,52,51,49,54,57,101,45,49,48,32,53,46,57,50,48,51,49,
      101,45,49,48,32,53,46,51,56,52,50,57,101,45,49,48,32,52,46,57,51,54,49,101,
      45,49,48,32,52,46,52,55,50,54,56,101,45,49,48,32,52,46,49,53,50,50,49,101,45,
      49,48,10,32,32,51,46,54,54,54,50,55,101,45,49,48,32,51,46,51,57,48,52,51,101,
      45,49,48,32,51,46,48,55,48,51,51,101,45,49,48,32,50,46,52,49,55,53,57,101,45,
      49,48,32,49,46,55,48,57,57,101,45,49,48,32,49,46,49,57,55,56,50,101,45,49,48,
      32,55,46,53,48,51,53,50,101,45,49,49,10,32,32,52,46,53,57,51,53,51,101,45,49,
      49,32,50,46,52,55,56,50,52,101,45,49,49,32,49,46,54,57,49,56,51,101,45,49,49,
      32,55,46,56,49,49,53,51,101,45,49,50,32,51,46,53,56,54,54,55,101,45,49,50,32,
      50,46,48,53,52,49,57,101,45,49,50,32,49,46,48,57,51,50,53,101,45,49,50,10,32,
      32,52,46,54,54,49,57,101,45,49,51,32,50,46,49,57,49,51,52,101,45,49,51,32,49,
      46,48,50,50,53,51,101,45,49,51,32,52,46,50,52,54,49,55,101,45,49,52,32,49,46,
      55,53,48,55,54,101,45,49,52,32,56,46,48,50,51,50,52,101,45,49,53,32,51,46,54,
      54,49,53,56,101,45,49,53,10,32,32,49,46,54,54,48,50,51,101,45,49,53,32,54,46,
      55,49,54,56,49,101,45,49,54,32,50,46,52,49,53,57,51,101,45,49,54,32,55,46,55,
      49,56,56,55,101,45,49,55,32,50,46,55,53,51,55,50,101,45,49,55,32,56,46,55,50,
      52,56,52,101,45,49,56,32,51,46,48,57,51,49,53,101,45,49,56,10,32,32,49,46,48,
      57,51,57,49,101,45,49,56,32,51,46,52,51,55,57,101,45,49,57,32,57,46,57,49,52,
      53,52,101,45,50,48,32,51,46,55,56,56,51,49,101,45,50,48,32,49,46,50,52,50,53,
      53,101,45,50,48,32,52,46,54,53,56,52,51,101,45,50,49,32,49,46,54,51,48,51,56,
      101,45,50,49,10,32,32,53,46,54,57,57,53,50,101,45,50,50,32,49,46,57,57,48,51,
      56,101,45,50,50,32,54,46,57,52,52,49,49,101,45,50,51,32,50,46,52,50,48,52,54,
      101,45,50,51,32,56,46,52,50,57,57,53,101,45,50,52,32,50,46,57,51,51,57,57,101,
      45,50,52,32,49,46,48,49,57,55,57,101,45,50,52,10,32,32,51,46,53,52,52,54,56,
      101,45,50,53,32,49,46,50,49,57,53,51,101,45,50,53,32,52,46,50,51,50,53,56,101,
      45,50,54,32,49,46,51,50,49,53,101,45,50,54,32,52,46,53,55,51,52,53,101,45,50,
      55,32,48,114,54,53,32,52,46,52,51,50,53,51,101,45,50,56,32,49,46,50,51,49,50,
      57,101,45,50,51,10,32,32,54,46,51,48,50,50,54,101,45,50,51,32,52,46,57,54,56,
      57,101,45,50,50,32,50,46,51,50,57,56,57,101,45,49,55,32,54,46,55,54,52,55,50,
      101,45,49,55,32,49,46,56,52,54,48,52,101,45,49,54,32,53,46,51,51,56,48,53,101,
      45,49,54,32,49,46,48,51,53,53,51,101,45,49,53,10,32,32,49,46,55,55,55,51,54,
      101,45,49,53,32,52,46,49,55,48,54,101,45,49,53,32,56,46,48,52,53,50,57,101,
      45,49,53,32,49,46,51,55,51,50,56,101,45,49,52,32,49,46,55,51,53,52,50,101,45,
      49,52,32,50,46,49,53,52,52,51,101,45,49,52,32,50,46,54,51,51,57,55,101,45,49,
      52,10,32,32,51,46,49,55,55,53,56,101,45,49,52,32,51,46,55,56,56,55,55,101,45,
      49,52,32,52,46,52,55,48,57,49,101,45,49,52,32,53,46,50,50,55,51,50,101,45,49,
      52,32,54,46,48,54,49,50,50,101,45,49,52,32,54,46,57,55,53,55,55,101,45,49,52,
      32,55,46,57,55,52,48,53,101,45,49,52,10,32,32,57,46,50,56,54,55,50,101,45,49,
      52,32,49,46,48,55,50,57,51,101,45,49,51,32,49,46,50,56,54,51,50,101,45,49,51,
      32,49,46,53,50,52,56,50,101,45,49,51,32,49,46,55,56,57,52,54,101,45,49,51,32,
      50,46,49,53,56,54,52,101,45,49,51,32,50,46,53,55,50,50,51,101,45,49,51,10,32,
      32,51,46,48,51,50,48,55,101,45,49,51,32,51,46,54,52,55,51,56,101,45,49,51,32,
      52,46,51,51,52,54,50,101,45,49,51,32,53,46,51,54,55,52,52,101,45,49,51,32,54,
      46,53,51,56,54,55,101,45,49,51,32,55,46,56,53,51,54,57,101,45,49,51,32,57,46,
      53,49,48,57,49,101,45,49,51,10,32,32,49,46,49,53,56,48,51,101,45,49,50,32,49,
      46,52,49,52,50,54,101,45,49,50,32,49,46,55,50,56,56,57,101,45,49,50,32,50,46,
      49,49,50,49,51,101,45,49,50,32,50,46,54,49,48,51,50,101,45,49,50,32,51,46,49,
      54,57,52,55,101,45,49,50,32,51,46,56,55,55,56,50,101,45,49,50,10,32,32,52,46,
      57,49,50,56,56,101,45,49,50,32,54,46,49,53,51,48,52,101,45,49,50,32,55,46,49,
      57,55,54,49,101,45,49,50,32,56,46,54,49,50,49,50,101,45,49,50,32,49,46,48,53,
      50,55,101,45,49,49,32,49,46,50,55,57,51,49,101,45,49,49,32,49,46,53,52,53,49,
      101,45,49,49,10,32,32,49,46,56,54,51,56,50,101,45,49,49,32,50,46,49,57,57,55,
      53,101,45,49,49,32,50,46,53,56,52,50,51,101,45,49,49,32,51,46,48,57,48,51,57,
      101,45,49,49,32,51,46,56,52,51,48,53,101,45,49,49,32,52,46,54,53,53,57,49,101,
      45,49,49,32,53,46,53,54,56,56,101,45,49,49,10,32,32,54,46,51,57,49,49,57,101,
      45,49,49,32,55,46,51,52,53,48,56,101,45,49,49,32,56,46,56,48,53,49,50,101,45,
      49,49,32,49,46,48,52,52,48,55,101,45,49,48,32,49,46,50,50,53,54,101,45,49,48,
      32,49,46,52,48,48,52,101,45,49,48,32,49,46,54,55,55,50,57,101,45,49,48,10,32,
      32,49,46,57,56,57,48,54,101,45,49,48,32,50,46,51,52,48,54,57,101,45,49,48,32,
      50,46,54,57,54,53,52,101,45,49,48,32,51,46,48,56,54,51,51,101,45,49,48,32,51,
      46,52,57,55,50,57,101,45,49,48,32,51,46,57,56,49,53,53,101,45,49,48,32,52,46,
      52,52,55,57,55,101,45,49,48,10,32,32,52,46,55,57,56,53,49,101,45,49,48,32,53,
      46,52,54,56,53,57,101,45,49,48,32,54,46,48,57,57,54,49,101,45,49,48,32,54,46,
      54,55,54,53,49,101,45,49,48,32,55,46,50,55,52,56,50,101,45,49,48,32,55,46,55,
      55,54,54,53,101,45,49,48,32,56,46,50,54,56,48,57,101,45,49,48,10,32,32,56,46,
      54,55,57,54,50,101,45,49,48,32,57,46,48,49,49,50,51,101,45,49,48,32,57,46,50,
      54,54,56,50,101,45,49,48,32,57,46,52,56,48,52,56,101,45,49,48,32,57,46,53,57,
      48,52,56,101,45,49,48,32,57,46,54,54,50,51,53,101,45,49,48,32,57,46,55,48,49,
      57,101,45,49,48,10,32,32,57,46,54,56,48,52,53,101,45,49,48,32,57,46,53,56,49,
      53,55,101,45,49,48,32,57,46,51,57,55,56,56,101,45,49,48,32,57,46,50,53,50,54,
      57,101,45,49,48,32,57,46,48,56,51,51,53,101,45,49,48,32,56,46,55,55,50,50,55,
      101,45,49,48,32,56,46,51,55,54,56,50,101,45,49,48,10,32,32,56,46,49,51,55,55,
      56,101,45,49,48,32,55,46,55,50,56,55,101,45,49,48,32,55,46,52,54,56,49,54,101,
      45,49,48,32,55,46,48,51,50,50,57,101,45,49,48,32,54,46,54,55,48,55,53,101,45,
      49,48,32,54,46,49,51,53,50,49,101,45,49,48,32,53,46,57,49,52,49,55,101,45,49,
      48,10,32,32,53,46,52,57,50,56,49,101,45,49,48,32,53,46,48,51,55,48,49,101,45,
      49,48,32,52,46,54,54,56,50,56,101,45,49,48,32,52,46,51,49,49,57,52,101,45,49,
      48,32,51,46,57,57,49,51,49,101,45,49,48,32,51,46,54,56,56,55,56,101,45,49,48,
      32,51,46,51,54,57,55,52,101,45,49,48,10,32,32,51,46,49,48,49,52,101,45,49,48,
      32,50,46,56,50,50,51,54,101,45,49,48,32,50,46,54,50,56,52,50,101,45,49,48,32,
      50,46,51,51,50,55,49,101,45,49,48,32,50,46,49,54,51,57,51,101,45,49,48,32,49,
      46,57,54,55,49,57,101,45,49,48,32,49,46,53,54,50,55,54,101,45,49,48,10,32,32,
      49,46,49,49,56,53,53,101,45,49,48,32,55,46,57,50,52,55,56,101,45,49,49,32,53,
      46,48,51,50,52,57,101,45,49,49,32,51,46,49,50,49,51,50,101,45,49,49,32,49,46,
      55,48,57,49,57,101,45,49,49,32,49,46,49,53,51,50,49,101,45,49,49,32,53,46,51,
      57,53,50,55,101,45,49,50,10,32,32,50,46,53,48,49,51,101,45,49,50,32,49,46,52,
      52,49,52,53,101,45,49,50,32,55,46,55,50,48,53,49,101,45,49,51,32,51,46,51,49,
      55,55,57,101,45,49,51,32,49,46,53,54,57,49,52,101,45,49,51,32,55,46,51,54,51,
      51,53,101,45,49,52,32,51,46,48,55,53,55,52,101,45,49,52,10,32,32,49,46,50,55,
      53,101,45,49,52,32,53,46,56,54,56,50,54,101,45,49,53,32,50,46,54,56,56,56,56,
      101,45,49,53,32,49,46,50,50,51,57,49,101,45,49,53,32,52,46,57,55,49,51,101,
      45,49,54,32,49,46,55,57,53,52,56,101,45,49,54,32,53,46,55,54,48,55,101,45,49,
      55,10,32,32,50,46,48,54,50,51,49,101,45,49,55,32,54,46,53,53,55,54,52,101,45,
      49,56,32,50,46,51,51,49,56,101,45,49,56,32,56,46,50,54,57,53,55,101,45,49,57,
      32,50,46,54,48,54,52,51,101,45,49,57,32,55,46,53,51,56,51,50,101,45,50,48,32,
      50,46,56,56,54,51,55,101,45,50,48,10,32,32,57,46,52,56,56,54,56,101,45,50,49,
      32,51,46,53,54,52,48,57,101,45,50,49,32,49,46,50,52,57,55,53,101,45,50,49,32,
      52,46,51,55,54,56,49,101,45,50,50,32,49,46,53,51,49,48,56,101,45,50,50,32,53,
      46,51,53,48,52,101,45,50,51,32,49,46,56,54,55,57,52,101,45,50,51,10,32,32,54,
      46,53,49,53,49,53,101,45,50,52,32,50,46,50,55,48,53,49,101,45,50,52,32,55,46,
      57,48,55,54,53,101,45,50,53,32,50,46,55,52,57,56,56,101,45,50,53,32,57,46,53,
      54,52,53,55,101,45,50,54,32,51,46,50,56,52,49,52,101,45,50,54,32,49,46,48,54,
      56,48,56,101,45,50,54,10,32,32,51,46,53,52,55,49,51,101,45,50,55,32,53,46,50,
      49,48,52,56,101,45,50,56,32,48,114,54,53,32,52,46,48,50,52,50,55,101,45,50,
      53,32,50,46,49,55,48,52,51,101,45,50,52,32,49,46,56,55,57,49,50,101,45,50,51,
      32,49,46,53,51,51,53,54,101,45,49,55,32,52,46,52,52,56,49,56,101,45,49,55,10,
      32,32,49,46,50,49,50,51,49,101,45,49,54,32,51,46,52,57,56,55,49,101,45,49,54,
      32,54,46,55,55,54,48,54,101,45,49,54,32,49,46,49,54,49,49,49,101,45,49,53,32,
      50,46,55,49,54,52,54,101,45,49,53,32,53,46,50,50,50,57,101,45,49,53,32,56,46,
      56,56,53,51,54,101,45,49,53,10,32,32,49,46,49,50,48,57,53,101,45,49,52,32,49,
      46,51,56,57,50,51,101,45,49,52,32,49,46,54,57,53,53,52,101,45,49,52,32,50,46,
      48,52,49,57,53,101,45,49,52,32,50,46,52,51,48,52,57,101,45,49,52,32,50,46,56,
      54,51,49,49,101,45,49,52,32,51,46,51,52,49,54,54,101,45,49,52,10,32,32,51,46,
      56,54,55,57,56,101,45,49,52,32,52,46,52,52,51,55,54,101,45,49,52,32,53,46,48,
      55,48,55,101,45,49,52,32,53,46,56,57,50,56,53,101,45,49,52,32,54,46,55,57,51,
      54,54,101,45,49,52,32,56,46,49,50,49,53,101,45,49,52,32,57,46,53,57,57,53,51,
      101,45,49,52,10,32,32,49,46,49,50,51,51,49,101,45,49,51,32,49,46,51,53,48,49,
      53,101,45,49,51,32,49,46,54,48,50,57,57,101,45,49,51,32,49,46,56,56,50,54,57,
      101,45,49,51,32,50,46,50,53,52,56,52,101,45,49,51,32,50,46,54,54,55,57,55,101,
      45,49,51,32,51,46,50,56,52,52,52,101,45,49,51,10,32,32,51,46,57,55,55,56,57,
      101,45,49,51,32,52,46,55,53,48,50,56,101,45,49,51,32,53,46,55,49,53,52,53,101,
      45,49,51,32,54,46,57,48,57,53,56,101,45,49,51,32,56,46,51,55,51,49,50,101,45,
      49,51,32,49,46,48,49,53,48,56,101,45,49,50,32,49,46,50,50,57,49,55,101,45,49,
      50,10,32,32,49,46,53,48,52,48,52,101,45,49,50,32,49,46,56,48,56,54,54,101,45,
      49,50,32,50,46,49,56,57,54,51,101,45,49,50,32,50,46,55,51,56,50,56,101,45,49,
      50,32,51,46,51,56,53,53,57,101,45,49,50,32,51,46,57,50,52,101,45,49,50,32,52,
      46,54,52,52,56,56,101,45,49,50,10,32,32,53,46,54,48,57,51,51,101,45,49,50,32,
      54,46,55,51,54,53,52,101,45,49,50,32,56,46,48,52,52,51,55,101,45,49,50,32,57,
      46,53,57,55,52,49,101,45,49,50,32,49,46,49,50,50,48,56,101,45,49,49,32,49,46,
      51,48,54,53,55,101,45,49,49,32,49,46,53,52,55,57,50,101,45,49,49,10,32,32,49,
      46,57,48,51,55,54,101,45,49,49,32,50,46,50,56,53,48,50,101,45,49,49,32,50,46,
      55,48,57,57,56,101,45,49,49,32,51,46,48,57,48,49,55,101,45,49,49,32,51,46,53,
      50,56,52,52,101,45,49,49,32,52,46,49,57,52,52,57,101,45,49,49,32,52,46,57,51,
      53,53,51,101,45,49,49,10,32,32,53,46,55,53,52,48,50,101,45,49,49,32,54,46,53,
      52,48,49,101,45,49,49,32,55,46,55,56,52,54,52,101,45,49,49,32,57,46,49,56,57,
      50,101,45,49,49,32,49,46,48,55,56,50,49,101,45,49,48,32,49,46,50,52,48,54,54,
      101,45,49,48,32,49,46,52,50,48,50,57,101,45,49,48,10,32,32,49,46,54,49,49,56,
      49,101,45,49,48,32,49,46,56,52,48,52,51,101,45,49,48,32,50,46,48,54,51,55,57,
      101,45,49,48,32,50,46,50,51,51,55,56,101,45,49,48,32,50,46,53,54,52,48,52,101,
      45,49,48,32,50,46,56,56,49,55,55,101,45,49,48,32,51,46,49,55,56,52,57,101,45,
      49,48,10,32,32,51,46,52,57,51,50,57,101,45,49,48,32,51,46,55,54,51,56,49,101,
      45,49,48,32,52,46,48,51,53,56,53,101,45,49,48,32,52,46,50,55,48,57,50,101,45,
      49,48,32,52,46,52,54,55,51,55,101,45,49,48,32,52,46,54,50,53,55,56,101,45,49,
      48,32,52,46,55,54,55,50,54,101,45,49,48,10,32,32,52,46,56,52,55,53,52,101,45,
      49,48,32,52,46,57,48,56,50,55,101,45,49,48,32,52,46,57,54,55,50,52,101,45,49,
      48,32,52,46,57,55,57,50,53,101,45,49,48,32,52,46,57,54,51,50,49,101,45,49,48,
      32,52,46,57,48,51,49,101,45,49,48,32,52,46,56,52,55,53,57,101,45,49,48,10,32,
      32,52,46,55,55,56,53,50,101,45,49,48,32,52,46,54,52,52,52,55,101,45,49,48,32,
      52,46,52,54,53,56,53,101,45,49,48,32,52,46,51,53,52,56,54,101,45,49,48,32,52,
      46,49,54,49,48,51,101,45,49,48,32,52,46,48,51,53,52,56,101,45,49,48,32,51,46,
      56,50,50,52,53,101,45,49,48,10,32,32,51,46,54,52,51,50,52,101,45,49,48,32,51,
      46,51,55,52,49,51,101,45,49,48,32,51,46,50,54,49,57,49,101,45,49,48,32,51,46,
      48,52,54,50,50,101,45,49,48,32,50,46,56,49,48,52,49,101,45,49,48,32,50,46,54,
      49,55,56,101,45,49,48,32,50,46,52,51,48,49,52,101,45,49,48,10,32,32,50,46,50,
      53,57,57,56,101,45,49,48,32,50,46,48,57,56,51,101,45,49,48,32,49,46,57,50,54,
      53,55,101,45,49,48,32,49,46,55,56,49,49,51,101,45,49,48,32,49,46,54,50,56,56,
      57,101,45,49,48,32,49,46,53,50,50,52,53,101,45,49,48,32,49,46,51,53,57,49,101,
      45,49,48,10,32,32,49,46,50,54,53,50,56,101,45,49,48,32,49,46,49,53,53,51,51,
      101,45,49,48,32,57,46,50,55,49,56,53,101,45,49,49,32,54,46,55,50,56,48,49,101,
      45,49,49,32,52,46,56,50,57,50,50,101,45,49,49,32,51,46,49,49,53,52,55,101,45,
      49,49,32,49,46,57,54,49,56,55,101,45,49,49,10,32,32,49,46,48,57,51,48,55,101,
      45,49,49,32,55,46,51,49,52,55,50,101,45,49,50,32,51,46,52,54,52,51,57,101,45,
      49,50,32,49,46,54,50,52,57,49,101,45,49,50,32,57,46,52,51,52,48,52,101,45,49,
      51,32,53,46,48,57,49,57,54,101,45,49,51,32,50,46,50,48,56,55,52,101,45,49,51,
      10,32,32,49,46,48,53,50,51,57,101,45,49,51,32,52,46,57,55,50,50,101,45,49,52,
      32,50,46,48,57,49,55,56,101,45,49,52,32,56,46,55,50,55,55,49,101,45,49,53,32,
      52,46,48,51,56,49,101,45,49,53,32,49,46,56,53,57,51,50,101,45,49,53,32,56,46,
      53,48,50,56,49,101,45,49,54,10,32,32,51,46,52,55,48,51,57,101,45,49,54,32,49,
      46,50,53,57,54,57,101,45,49,54,32,52,46,48,54,50,51,101,45,49,55,32,49,46,52,
      54,48,52,53,101,45,49,55,32,52,46,54,54,52,48,50,101,45,49,56,32,49,46,54,54,
      52,52,54,101,45,49,56,32,53,46,57,50,50,57,49,101,45,49,57,10,32,32,49,46,56,
      55,51,51,54,101,45,49,57,32,53,46,52,51,55,48,53,101,45,50,48,32,50,46,48,56,
      55,48,54,101,45,50,48,32,54,46,56,55,57,57,53,101,45,50,49,32,50,46,53,57,48,
      49,50,101,45,50,49,32,57,46,49,48,51,51,51,101,45,50,50,32,51,46,49,57,53,49,
      50,101,45,50,50,10,32,32,49,46,49,50,48,48,52,101,45,50,50,32,51,46,57,50,49,
      55,55,101,45,50,51,32,49,46,51,55,49,55,53,101,45,50,51,32,52,46,55,57,51,52,
      57,101,45,50,52,32,49,46,54,55,51,51,51,101,45,50,52,32,53,46,56,51,54,49,54,
      101,45,50,53,32,50,46,48,51,50,51,53,101,45,50,53,10,32,32,55,46,48,55,57,52,
      101,45,50,54,32,50,46,52,50,56,55,50,101,45,50,54,32,56,46,52,52,52,55,54,101,
      45,50,55,32,50,46,54,50,50,48,53,101,45,50,55,32,51,46,56,49,52,54,50,101,45,
      50,56,32,48,114,54,53,32,51,46,50,51,57,52,51,101,45,50,54,32,50,46,48,49,49,
      54,50,101,45,50,53,10,32,32,50,46,49,48,57,54,101,45,50,52,32,53,46,52,54,50,
      49,52,101,45,49,56,32,49,46,53,56,57,51,55,101,45,49,55,32,52,46,51,52,57,56,
      51,101,45,49,55,32,49,46,50,54,51,49,50,101,45,49,54,32,50,46,52,53,56,55,52,
      101,45,49,54,32,52,46,50,51,52,50,55,101,45,49,54,10,32,32,49,46,48,48,48,48,
      55,101,45,49,53,32,49,46,57,52,49,50,101,45,49,53,32,51,46,51,51,51,51,53,101,
      45,49,53,32,52,46,50,50,52,54,101,45,49,53,32,53,46,50,53,57,53,52,101,45,49,
      53,32,54,46,52,52,56,49,55,101,45,49,53,32,55,46,56,48,48,51,51,101,45,49,53,
      10,32,32,57,46,51,50,53,55,101,45,49,53,32,49,46,49,48,51,51,56,101,45,49,52,
      32,49,46,50,57,51,52,101,45,49,52,32,49,46,53,48,51,53,54,101,45,49,52,32,49,
      46,55,51,52,55,53,101,45,49,52,32,49,46,57,56,55,56,55,101,45,49,52,32,50,46,
      51,50,49,56,101,45,49,52,10,32,32,50,46,54,57,48,48,54,101,45,49,52,32,51,46,
      50,51,54,57,54,101,45,49,52,32,51,46,56,53,48,57,52,101,45,49,52,32,52,46,53,
      51,53,48,52,101,45,49,52,32,53,46,52,57,51,55,50,101,45,49,52,32,54,46,53,55,
      51,101,45,49,52,32,55,46,55,55,56,54,49,101,45,49,52,10,32,32,57,46,51,57,57,
      56,50,101,45,49,52,32,49,46,49,50,49,57,57,101,45,49,51,32,49,46,51,57,55,48,
      56,101,45,49,51,32,49,46,55,49,48,57,53,101,45,49,51,32,50,46,48,54,53,51,56,
      101,45,49,51,32,50,46,53,49,52,54,50,101,45,49,51,32,51,46,48,55,56,57,56,101,
      45,49,51,10,32,32,51,46,55,56,50,48,53,101,45,49,51,32,52,46,54,53,48,56,52,
      101,45,49,51,32,53,46,55,49,53,55,55,101,45,49,51,32,55,46,49,48,57,48,56,101,
      45,49,51,32,56,46,54,56,50,57,52,101,45,49,51,32,49,46,48,54,56,57,50,101,45,
      49,50,32,49,46,51,54,52,49,54,101,45,49,50,10,32,32,49,46,55,50,48,53,50,101,
      45,49,50,32,50,46,48,50,50,53,50,101,45,49,50,32,50,46,52,51,51,55,49,101,45,
      49,50,32,50,46,57,57,51,56,51,101,45,49,50,32,51,46,54,54,48,56,101,45,49,50,
      32,52,46,52,52,55,55,50,101,45,49,50,32,53,46,51,57,54,50,51,101,45,49,50,10,
      32,32,54,46,51,57,57,57,52,101,45,49,50,32,55,46,53,53,49,52,53,101,45,49,50,
      32,57,46,48,54,56,56,55,101,45,49,50,32,49,46,49,51,49,56,52,101,45,49,49,32,
      49,46,51,55,51,49,52,101,45,49,49,32,49,46,54,52,49,51,51,101,45,49,49,32,49,
      46,56,56,48,49,49,101,45,49,49,10,32,32,50,46,49,53,51,55,49,101,45,49,49,32,
      50,46,53,54,54,51,101,45,49,49,32,51,46,48,50,49,50,54,101,45,49,49,32,51,46,
      53,49,57,55,49,101,45,49,49,32,51,46,57,57,53,52,55,101,45,49,49,32,52,46,55,
      52,52,57,52,101,45,49,49,32,53,46,53,56,55,57,56,101,45,49,49,10,32,32,54,46,
      53,52,51,51,54,101,45,49,49,32,55,46,53,49,57,50,50,101,45,49,49,32,56,46,54,
      48,49,57,101,45,49,49,32,57,46,55,54,49,55,51,101,45,49,49,32,49,46,49,49,53,
      53,49,101,45,49,48,32,49,46,50,53,50,54,54,101,45,49,48,32,49,46,51,53,55,55,
      53,101,45,49,48,10,32,32,49,46,53,54,51,56,49,101,45,49,48,32,49,46,55,54,52,
      53,53,101,45,49,48,32,49,46,57,53,52,51,56,101,45,49,48,32,50,46,49,53,56,53,
      101,45,49,48,32,50,46,51,51,54,52,54,101,45,49,48,32,50,46,53,49,56,50,52,101,
      45,49,48,32,50,46,54,55,56,49,52,101,45,49,48,10,32,32,50,46,56,49,52,52,57,
      101,45,49,48,32,50,46,57,50,55,48,52,101,45,49,48,32,51,46,48,51,48,55,56,101,
      45,49,48,32,51,46,48,57,50,49,50,101,45,49,48,32,51,46,49,52,49,48,49,101,45,
      49,48,32,51,46,49,57,53,49,53,101,45,49,48,32,51,46,50,49,50,54,52,101,45,49,
      48,10,32,32,51,46,50,49,55,49,54,101,45,49,48,32,51,46,49,57,51,50,50,101,45,
      49,48,32,51,46,49,54,53,55,55,101,45,49,48,32,51,46,49,50,57,49,51,101,45,49,
      48,32,51,46,48,53,52,49,50,101,45,49,48,32,50,46,57,52,57,57,54,101,45,49,48,
      32,50,46,56,56,51,55,53,101,45,49,48,10,32,32,50,46,55,54,54,50,53,101,45,49,
      48,32,50,46,54,56,57,49,53,101,45,49,48,32,50,46,53,53,54,57,49,101,45,49,48,
      32,50,46,52,52,52,53,53,101,45,49,48,32,50,46,50,55,52,49,51,101,45,49,48,32,
      50,46,50,48,50,53,53,101,45,49,48,32,50,46,48,54,52,49,55,101,45,49,48,10,32,
      32,49,46,57,49,49,55,56,101,45,49,48,32,49,46,55,56,54,53,101,45,49,48,32,49,
      46,54,54,51,55,54,101,45,49,48,32,49,46,53,53,49,57,101,45,49,48,32,49,46,52,
      52,53,49,49,101,45,49,48,32,49,46,51,51,49,49,53,101,45,49,48,32,49,46,50,51,
      52,49,57,101,45,49,48,10,32,32,49,46,49,51,50,50,53,101,45,49,48,32,49,46,48,
      54,48,55,49,101,45,49,48,32,57,46,53,48,52,53,54,101,45,49,49,32,56,46,56,54,
      56,54,51,101,45,49,49,32,56,46,49,50,48,56,54,101,45,49,49,32,54,46,53,53,57,
      56,101,45,49,49,32,52,46,56,48,50,48,57,101,45,49,49,10,32,32,51,46,52,55,53,
      56,57,101,45,49,49,32,50,46,50,54,53,51,54,101,45,49,49,32,49,46,52,52,48,54,
      51,101,45,49,49,32,56,46,49,49,55,52,50,101,45,49,50,32,53,46,52,50,57,55,57,
      101,45,49,50,32,50,46,53,56,51,55,57,101,45,49,50,32,49,46,50,50,49,50,57,101,
      45,49,50,10,32,32,55,46,49,50,53,57,57,101,45,49,51,32,51,46,56,54,54,48,50,
      101,45,49,51,32,49,46,54,56,55,52,54,101,45,49,51,32,56,46,48,56,48,50,51,101,
      45,49,52,32,51,46,56,51,53,48,52,101,45,49,52,32,49,46,54,50,49,48,56,101,45,
      49,52,32,54,46,55,57,51,49,57,101,45,49,53,10,32,32,51,46,49,53,52,48,57,101,
      45,49,53,32,49,46,52,53,55,48,50,101,45,49,53,32,54,46,54,56,51,57,53,101,45,
      49,54,32,50,46,55,51,54,56,53,101,45,49,54,32,57,46,57,54,55,54,49,101,45,49,
      55,32,51,46,50,50,53,52,101,45,49,55,32,49,46,49,54,50,56,54,101,45,49,55,10,
      32,32,51,46,55,50,52,52,57,101,45,49,56,32,49,46,51,51,50,52,49,101,45,49,56,
      32,52,46,55,53,50,48,52,101,45,49,57,32,49,46,53,48,54,53,53,101,45,49,57,32,
      52,46,51,56,50,55,49,101,45,50,48,32,49,46,54,56,53,49,57,101,45,50,48,32,53,
      46,53,54,53,52,53,101,45,50,49,10,32,32,50,46,48,57,56,52,53,101,45,50,49,32,
      55,46,51,56,54,55,101,45,50,50,32,50,46,53,57,54,52,49,101,45,50,50,32,57,46,
      49,49,52,50,51,101,45,50,51,32,51,46,49,57,53,53,49,101,45,50,51,32,49,46,49,
      49,57,49,51,101,45,50,51,32,51,46,57,49,53,52,101,45,50,52,10,32,32,49,46,51,
      54,56,52,51,101,45,50,52,32,52,46,55,55,56,52,50,101,45,50,53,32,49,46,54,54,
      54,57,49,101,45,50,53,32,53,46,56,48,53,57,52,101,45,50,54,32,50,46,48,49,48,
      48,50,101,45,50,54,32,54,46,57,51,48,49,101,45,50,55,32,50,46,49,52,57,51,49,
      101,45,50,55,10,32,32,51,46,49,48,55,49,56,101,45,50,56,32,48,114,54,53,32,
      54,46,50,55,55,55,55,101,45,50,55,32,52,46,55,55,57,50,101,45,50,54,32,54,46,
      49,56,49,49,50,101,45,50,53,32,50,46,56,55,49,54,51,101,45,49,56,32,56,46,51,
      54,53,54,57,101,45,49,56,32,50,46,50,57,51,49,56,101,45,49,55,10,32,32,54,46,
      54,55,53,49,51,101,45,49,55,32,49,46,51,48,49,57,57,101,45,49,54,32,50,46,50,
      52,54,55,57,101,45,49,54,32,53,46,51,50,55,57,54,101,45,49,54,32,49,46,48,51,
      56,52,53,101,45,49,53,32,49,46,55,57,48,53,50,101,45,49,53,32,50,46,50,55,51,
      57,49,101,45,49,53,10,32,32,50,46,56,51,54,55,56,101,45,49,53,32,51,46,52,56,
      52,57,57,101,45,49,53,32,52,46,50,50,52,51,57,101,45,49,53,32,53,46,48,54,48,
      55,55,101,45,49,53,32,53,46,57,57,57,56,55,101,45,49,53,32,55,46,48,52,55,52,
      101,45,49,53,32,56,46,50,48,57,48,50,101,45,49,53,10,32,32,57,46,52,57,48,51,
      52,101,45,49,53,32,49,46,48,56,57,54,57,101,45,49,52,32,49,46,50,55,53,56,101,
      45,49,52,32,49,46,52,56,49,54,56,101,45,49,52,32,49,46,55,56,56,53,54,101,45,
      49,52,32,50,46,49,51,52,54,57,101,45,49,52,32,50,46,53,50,49,55,56,101,45,49,
      52,10,32,32,51,46,48,54,54,55,53,101,45,49,52,32,51,46,54,56,51,51,56,101,45,
      49,52,32,52,46,51,55,53,54,51,101,45,49,52,32,53,46,51,49,49,54,49,101,45,49,
      52,32,54,46,51,54,56,53,54,101,45,49,52,32,55,46,57,55,54,57,101,45,49,52,32,
      57,46,56,50,53,57,52,101,45,49,52,10,32,32,49,46,49,57,50,57,53,101,45,49,51,
      32,49,46,52,54,49,54,53,101,45,49,51,32,49,46,56,48,50,48,57,101,45,49,51,32,
      50,46,50,51,48,49,52,101,45,49,51,32,50,46,55,54,52,51,101,45,49,51,32,51,46,
      52,50,53,57,50,101,45,49,51,32,52,46,51,48,49,52,101,45,49,51,10,32,32,53,46,
      51,48,50,48,49,101,45,49,51,32,54,46,53,57,51,48,51,101,45,49,51,32,56,46,53,
      50,48,49,56,101,45,49,51,32,49,46,48,56,56,51,101,45,49,50,32,49,46,50,57,49,
      50,52,101,45,49,50,32,49,46,53,55,49,48,50,101,45,49,50,32,49,46,57,53,55,54,
      56,101,45,49,50,10,32,32,50,46,52,50,53,51,52,101,45,49,50,32,50,46,57,56,53,
      53,55,101,45,49,50,32,51,46,54,55,49,49,50,101,45,49,50,32,52,46,52,48,54,54,
      57,101,45,49,50,32,53,46,50,54,49,50,50,101,45,49,50,32,54,46,52,48,49,51,56,
      101,45,49,50,32,56,46,49,49,51,55,101,45,49,50,10,32,32,57,46,57,55,48,57,55,
      101,45,49,50,32,49,46,50,48,53,49,101,45,49,49,32,49,46,51,57,49,49,101,45,
      49,49,32,49,46,54,48,52,55,50,101,45,49,49,32,49,46,57,50,55,48,53,101,45,49,
      49,32,50,46,50,56,50,48,54,101,45,49,49,32,50,46,54,55,48,49,50,101,45,49,49,
      10,32,32,51,46,48,51,57,53,50,101,45,49,49,32,51,46,54,49,57,54,54,101,45,49,
      49,32,52,46,50,55,48,50,51,101,45,49,49,32,53,46,48,48,53,57,49,101,45,49,49,
      32,53,46,55,53,54,53,50,101,45,49,49,32,54,46,53,56,57,50,54,101,45,49,49,32,
      55,46,52,56,50,49,49,101,45,49,49,10,32,32,56,46,53,53,54,54,57,101,45,49,49,
      32,57,46,54,49,55,49,56,101,45,49,49,32,49,46,48,52,51,50,101,45,49,48,32,49,
      46,50,48,51,53,56,101,45,49,48,32,49,46,51,54,48,54,56,101,45,49,48,32,49,46,
      53,49,48,49,49,101,45,49,48,32,49,46,54,55,49,56,51,101,45,49,48,10,32,32,49,
      46,56,49,51,56,49,101,45,49,48,32,49,46,57,53,57,57,52,101,45,49,48,32,50,46,
      48,56,57,54,101,45,49,48,32,50,46,50,48,49,50,50,101,45,49,48,32,50,46,50,57,
      52,51,55,101,45,49,48,32,50,46,51,56,49,52,53,101,45,49,48,32,50,46,52,51,51,
      56,53,101,45,49,48,10,32,32,50,46,52,55,54,53,101,45,49,48,32,50,46,53,50,53,
      57,53,101,45,49,48,32,50,46,53,52,51,56,49,101,45,49,48,32,50,46,53,53,51,53,
      56,101,45,49,48,32,50,46,53,52,48,56,56,101,45,49,48,32,50,46,53,50,50,54,57,
      101,45,49,48,32,50,46,52,57,55,48,53,101,45,49,48,10,32,32,50,46,52,52,50,53,
      55,101,45,49,48,32,50,46,51,54,52,56,55,101,45,49,48,32,50,46,51,49,52,55,57,
      101,45,49,48,32,50,46,50,50,53,48,55,101,45,49,48,32,50,46,49,54,53,55,52,101,
      45,49,48,32,50,46,48,54,51,51,55,101,45,49,48,32,49,46,57,55,53,56,55,101,45,
      49,48,10,32,32,49,46,56,52,50,52,53,101,45,49,48,32,49,46,55,56,54,49,55,101,
      45,49,48,32,49,46,54,55,55,48,54,101,45,49,48,32,49,46,53,53,54,52,49,101,45,
      49,48,32,49,46,52,53,54,56,55,101,45,49,48,32,49,46,51,53,57,48,54,101,45,49,
      48,32,49,46,50,54,57,54,55,101,45,49,48,10,32,32,49,46,49,56,52,49,50,101,45,
      49,48,32,49,46,48,57,50,53,57,101,45,49,48,32,49,46,48,49,52,53,51,101,45,49,
      48,32,57,46,51,50,50,55,51,101,45,49,49,32,56,46,55,52,52,49,56,101,45,49,49,
      32,55,46,56,53,48,55,101,45,49,49,32,55,46,51,51,52,50,50,101,45,49,49,10,32,
      32,54,46,55,50,53,55,57,101,45,49,49,32,53,46,52,53,49,53,50,101,45,49,49,32,
      52,46,48,48,57,51,101,45,49,49,32,50,46,57,49,52,56,55,101,45,49,49,32,49,46,
      57,48,57,57,51,101,45,49,49,32,49,46,50,50,48,57,49,101,45,49,49,32,54,46,57,
      50,48,51,50,101,45,49,50,10,32,32,52,46,54,51,51,57,55,101,45,49,50,32,50,46,
      50,48,57,50,50,101,45,49,50,32,49,46,48,52,56,54,101,45,49,50,32,54,46,49,51,
      52,55,51,101,45,49,51,32,51,46,51,51,55,52,51,101,45,49,51,32,49,46,52,54,49,
      54,51,101,45,49,51,32,55,46,48,49,55,53,56,101,45,49,52,10,32,32,51,46,51,51,
      56,56,56,101,45,49,52,32,49,46,52,49,52,57,56,101,45,49,52,32,53,46,57,52,51,
      52,52,101,45,49,53,32,50,46,55,54,52,55,54,101,45,49,53,32,49,46,50,55,57,52,
      49,101,45,49,53,32,53,46,56,55,57,48,55,101,45,49,54,32,50,46,52,49,49,52,54,
      101,45,49,54,10,32,32,56,46,55,57,56,52,54,101,45,49,55,32,50,46,56,53,50,51,
      52,101,45,49,55,32,49,46,48,50,57,57,51,101,45,49,55,32,51,46,51,48,51,56,57,
      101,45,49,56,32,49,46,49,56,51,52,56,101,45,49,56,32,52,46,50,50,54,48,52,101,
      45,49,57,32,49,46,51,52,49,52,56,101,45,49,57,10,32,32,51,46,57,48,55,51,57,
      101,45,50,48,32,49,46,53,48,51,55,57,101,45,50,48,32,52,46,57,55,49,50,56,101,
      45,50,49,32,49,46,56,55,53,57,54,101,45,50,49,32,54,46,54,48,57,48,52,101,45,
      50,50,32,50,46,51,50,52,56,57,101,45,50,50,32,56,46,49,54,55,50,50,101,45,50,
      51,10,32,32,50,46,56,54,53,53,51,101,45,50,51,32,49,46,48,48,52,50,52,101,45,
      50,51,32,51,46,53,49,53,55,54,101,45,50,52,32,49,46,50,50,57,54,52,101,45,50,
      52,32,52,46,50,57,53,54,55,101,45,50,53,32,49,46,52,57,57,50,53,101,45,50,53,
      32,53,46,50,50,52,53,50,101,45,50,54,10,32,32,49,46,56,50,49,51,56,101,45,50,
      54,32,54,46,50,51,56,54,57,101,45,50,55,32,49,46,57,51,51,55,101,45,50,55,32,
      52,46,48,48,49,50,49,101,45,50,56,32,48,114,54,53,32,50,46,49,50,54,57,53,101,
      45,50,55,32,49,46,54,50,50,49,101,45,50,54,32,50,46,49,48,53,50,52,101,45,50,
      53,10,32,32,49,46,49,53,56,54,55,101,45,49,56,32,51,46,51,56,51,52,56,101,45,
      49,56,32,57,46,51,48,52,51,56,101,45,49,56,32,50,46,55,50,49,52,56,101,45,49,
      55,32,53,46,51,50,57,55,53,101,45,49,55,32,57,46,50,51,52,52,50,101,45,49,55,
      32,50,46,50,48,54,56,49,101,45,49,54,10,32,32,52,46,51,51,53,50,57,101,45,49,
      54,32,55,46,53,51,51,54,101,45,49,54,32,57,46,54,48,52,53,51,101,45,49,54,32,
      49,46,50,48,50,56,101,45,49,53,32,49,46,52,56,51,50,57,101,45,49,53,32,49,46,
      56,48,52,56,49,101,45,49,53,32,50,46,49,55,48,50,55,101,45,49,53,10,32,32,50,
      46,53,56,50,53,57,101,45,49,53,32,51,46,48,52,52,55,49,101,45,49,53,32,51,46,
      53,53,57,53,57,101,45,49,53,32,52,46,49,51,48,49,56,101,45,49,53,32,52,46,55,
      53,57,52,53,101,45,49,53,32,53,46,53,57,54,50,50,101,45,49,53,32,54,46,53,50,
      54,57,50,101,45,49,53,10,32,32,55,46,57,50,50,57,50,101,45,49,53,32,57,46,53,
      49,50,55,101,45,49,53,32,49,46,49,50,57,57,50,101,45,49,52,32,49,46,51,56,51,
      51,54,101,45,49,52,32,49,46,54,55,50,53,49,101,45,49,52,32,49,46,57,57,57,55,
      54,101,45,49,52,32,50,46,52,52,54,49,51,101,45,49,52,10,32,32,50,46,57,53,52,
      56,57,101,45,49,52,32,51,46,55,51,55,51,50,101,45,49,52,32,52,46,54,52,55,52,
      50,101,45,49,52,32,53,46,54,57,52,53,56,101,45,49,52,32,55,46,48,52,55,56,56,
      101,45,49,52,32,56,46,55,56,52,50,50,101,45,49,52,32,49,46,48,57,57,54,56,101,
      45,49,51,10,32,32,49,46,51,55,57,55,101,45,49,51,32,49,46,55,51,49,54,52,101,
      45,49,51,32,50,46,50,48,52,55,101,45,49,51,32,50,46,55,53,52,48,52,101,45,49,
      51,32,51,46,52,55,52,51,56,101,45,49,51,32,52,46,53,55,48,48,49,101,45,49,51,
      32,53,46,57,52,48,53,52,101,45,49,51,10,32,32,55,46,49,51,55,56,52,101,45,49,
      51,32,56,46,56,49,52,53,101,45,49,51,32,49,46,49,49,55,51,54,101,45,49,50,32,
      49,46,52,48,56,49,57,101,45,49,50,32,49,46,55,54,51,49,55,101,45,49,50,32,50,
      46,50,48,53,54,51,101,45,49,50,32,50,46,54,56,56,54,101,45,49,50,10,32,32,51,
      46,50,53,56,53,52,101,45,49,50,32,52,46,48,51,49,48,53,101,45,49,50,32,53,46,
      50,49,49,52,55,101,45,49,50,32,54,46,53,49,50,49,55,101,45,49,50,32,55,46,57,
      56,54,53,101,45,49,50,32,57,46,51,49,53,54,56,101,45,49,50,32,49,46,48,56,53,
      48,54,101,45,49,49,10,32,32,49,46,51,49,55,54,52,101,45,49,49,32,49,46,53,55,
      52,51,55,101,45,49,49,32,49,46,56,53,53,48,50,101,45,49,49,32,50,46,49,50,49,
      56,56,101,45,49,49,32,50,46,53,52,48,49,49,101,45,49,49,32,51,46,48,48,55,56,
      51,101,45,49,49,32,51,46,53,51,53,53,49,101,45,49,49,10,32,32,52,46,48,55,51,
      49,51,101,45,49,49,32,52,46,54,54,57,50,56,101,45,49,49,32,53,46,51,48,56,55,
      55,101,45,49,49,32,54,46,48,55,57,54,101,45,49,49,32,54,46,56,52,50,50,57,101,
      45,49,49,32,55,46,52,50,57,57,54,101,45,49,49,32,56,46,53,57,49,53,55,101,45,
      49,49,10,32,32,57,46,55,51,54,54,54,101,45,49,49,32,49,46,48,56,51,51,51,101,
      45,49,48,32,49,46,50,48,50,57,51,101,45,49,48,32,49,46,51,48,56,56,50,101,45,
      49,48,32,49,46,52,49,56,56,49,101,45,49,48,32,49,46,53,49,55,52,51,101,45,49,
      48,32,49,46,54,48,51,51,51,101,45,49,48,10,32,32,49,46,54,55,53,57,53,101,45,
      49,48,32,49,46,55,52,52,57,55,101,45,49,48,32,49,46,55,56,55,51,51,101,45,49,
      48,32,49,46,56,50,50,54,101,45,49,48,32,49,46,56,54,53,52,51,101,45,49,48,32,
      49,46,56,56,50,52,57,101,45,49,48,32,49,46,56,57,53,54,55,101,45,49,48,10,32,
      32,49,46,56,57,50,51,49,101,45,49,48,32,49,46,56,56,50,50,56,101,45,49,48,32,
      49,46,56,54,54,53,57,101,45,49,48,32,49,46,56,51,49,48,56,101,45,49,48,32,49,
      46,55,55,56,50,55,101,45,49,48,32,49,46,55,52,51,53,51,101,45,49,48,32,49,46,
      54,56,48,52,101,45,49,48,10,32,32,49,46,54,51,56,50,49,101,45,49,48,32,49,46,
      53,54,52,55,57,101,45,49,48,32,49,46,53,48,49,53,50,101,45,49,48,32,49,46,52,
      48,52,51,52,101,45,49,48,32,49,46,51,54,51,49,51,101,45,49,48,32,49,46,50,56,
      50,56,55,101,45,49,48,32,49,46,49,57,51,54,54,101,45,49,48,10,32,32,49,46,49,
      49,57,55,50,101,45,49,48,32,49,46,48,52,54,55,56,101,45,49,48,32,57,46,55,57,
      56,55,54,101,45,49,49,32,57,46,49,53,54,51,54,101,45,49,49,32,56,46,52,54,54,
      56,50,101,45,49,49,32,55,46,56,55,54,57,50,101,45,49,49,32,55,46,50,53,51,52,
      50,101,45,49,49,10,32,32,54,46,56,49,51,55,51,101,45,49,49,32,54,46,49,51,50,
      55,52,101,45,49,49,32,53,46,55,51,55,57,57,101,45,49,49,32,53,46,50,55,49,56,
      55,101,45,49,49,32,52,46,50,57,49,54,50,101,45,49,49,32,51,46,49,55,52,56,52,
      101,45,49,49,32,50,46,51,50,49,49,57,101,45,49,49,10,32,32,49,46,53,51,49,51,
      55,101,45,49,49,32,57,46,56,53,52,48,54,101,45,49,50,32,53,46,54,50,55,57,52,
      101,45,49,50,32,51,46,55,55,51,56,53,101,45,49,50,32,49,46,56,48,51,57,49,101,
      45,49,50,32,56,46,54,48,56,52,50,101,45,49,51,32,53,46,48,53,51,55,51,101,45,
      49,51,10,32,32,50,46,55,53,57,50,101,45,49,51,32,49,46,50,49,51,54,55,101,45,
      49,51,32,53,46,56,52,55,50,55,101,45,49,52,32,50,46,55,57,48,57,49,101,45,49,
      52,32,49,46,49,56,54,55,101,45,49,52,32,52,46,57,57,57,55,54,101,45,49,53,32,
      50,46,51,51,49,52,57,101,45,49,53,10,32,32,49,46,48,56,49,51,55,101,45,49,53,
      32,52,46,57,55,57,56,55,101,45,49,54,32,50,46,48,52,55,50,52,101,45,49,54,32,
      55,46,52,56,55,48,55,101,45,49,55,32,50,46,52,51,51,48,50,101,45,49,55,32,56,
      46,56,48,50,55,50,101,45,49,56,32,50,46,56,50,57,53,55,101,45,49,56,10,32,32,
      49,46,48,49,53,51,101,45,49,56,32,51,46,54,51,49,50,52,101,45,49,57,32,49,46,
      49,53,52,53,55,101,45,49,57,32,51,46,51,54,56,52,53,101,45,50,48,32,49,46,50,
      57,55,57,49,101,45,50,48,32,52,46,50,57,54,50,101,45,50,49,32,49,46,54,50,50,
      57,53,101,45,50,49,10,32,32,53,46,55,50,51,56,51,101,45,50,50,32,50,46,48,49,
      53,53,54,101,45,50,50,32,55,46,48,56,55,52,52,101,45,50,51,32,50,46,52,56,56,
      57,54,101,45,50,51,32,56,46,55,51,48,51,54,101,45,50,52,32,51,46,48,53,56,57,
      54,101,45,50,52,32,49,46,48,55,48,55,51,101,45,50,52,10,32,32,51,46,55,52,51,
      48,57,101,45,50,53,32,49,46,51,48,55,50,49,101,45,50,53,32,52,46,53,53,56,50,
      53,101,45,50,54,32,49,46,53,57,48,49,54,101,45,50,54,32,53,46,52,52,54,55,49,
      101,45,50,55,32,49,46,54,56,54,57,101,45,50,55,32,51,46,52,56,56,57,56,101,
      45,50,56,10,32,32,48,114,54,53,32,52,46,57,55,57,56,51,101,45,50,56,32,51,46,
      56,49,51,53,56,101,45,50,55,32,52,46,57,56,54,53,56,101,45,50,54,32,49,46,57,
      50,48,49,52,101,45,49,57,32,53,46,55,51,48,48,49,101,45,49,57,32,49,46,54,50,
      48,48,50,101,45,49,56,32,52,46,57,50,56,52,50,101,45,49,56,10,32,32,57,46,57,
      53,52,51,53,101,45,49,56,32,49,46,55,55,54,48,50,101,45,49,55,32,52,46,52,56,
      50,57,101,45,49,55,32,57,46,50,53,53,54,53,101,45,49,55,32,49,46,54,56,51,51,
      57,101,45,49,54,32,50,46,49,57,50,53,55,101,45,49,54,32,50,46,56,48,50,56,55,
      101,45,49,54,10,32,32,51,46,53,50,53,53,49,101,45,49,54,32,52,46,51,55,50,49,
      51,101,45,49,54,32,53,46,51,53,52,55,52,101,45,49,54,32,54,46,52,56,53,55,53,
      101,45,49,54,32,55,46,55,55,55,56,56,101,45,49,54,32,57,46,50,52,52,50,51,101,
      45,49,54,32,49,46,48,56,57,56,50,101,45,49,53,10,32,32,49,46,50,55,53,51,53,
      101,45,49,53,32,49,46,53,50,54,53,53,101,45,49,53,32,49,46,56,49,49,50,51,101,
      45,49,53,32,50,46,50,52,55,50,57,101,45,49,53,32,50,46,55,54,54,57,51,101,45,
      49,53,32,51,46,51,53,50,56,57,101,45,49,53,32,52,46,50,48,51,52,52,101,45,49,
      53,10,32,32,53,46,49,57,55,51,51,101,45,49,53,32,54,46,51,52,55,55,51,101,45,
      49,53,32,55,46,57,53,51,55,55,101,45,49,53,32,57,46,56,50,56,49,57,101,45,49,
      53,32,49,46,50,55,56,54,51,101,45,49,52,32,49,46,54,51,50,49,56,101,45,49,52,
      32,50,46,48,52,57,50,55,101,45,49,52,10,32,32,50,46,54,48,49,55,51,101,45,49,
      52,32,51,46,51,50,56,55,49,101,45,49,52,32,52,46,50,55,57,48,57,101,45,49,52,
      32,53,46,53,49,51,48,57,101,45,49,52,32,55,46,49,48,51,56,51,101,45,49,52,32,
      57,46,50,57,55,55,52,101,45,49,52,32,49,46,49,57,48,57,52,101,45,49,51,10,32,
      32,49,46,53,52,49,55,53,101,45,49,51,32,50,46,48,56,57,55,56,101,45,49,51,32,
      50,46,55,57,51,57,50,101,45,49,51,32,51,46,52,50,50,53,56,101,45,49,51,32,52,
      46,51,50,101,45,49,51,32,53,46,54,48,57,57,57,101,45,49,51,32,55,46,50,51,53,
      53,54,101,45,49,51,10,32,32,57,46,50,54,49,51,49,101,45,49,51,32,49,46,49,56,
      51,55,52,101,45,49,50,32,49,46,52,55,48,49,50,101,45,49,50,32,49,46,56,49,51,
      54,57,101,45,49,50,32,50,46,50,56,55,49,54,101,45,49,50,32,51,46,48,50,52,48,
      49,101,45,49,50,32,51,46,56,52,57,57,51,101,45,49,50,10,32,32,52,46,55,57,56,
      57,54,101,45,49,50,32,53,46,54,54,51,48,57,101,45,49,50,32,54,46,54,54,56,50,
      55,101,45,49,50,32,56,46,50,48,49,51,57,101,45,49,50,32,57,46,57,48,50,49,56,
      101,45,49,50,32,49,46,49,55,54,54,52,101,45,49,49,32,49,46,51,53,52,48,55,101,
      45,49,49,10,32,32,49,46,54,51,50,48,56,101,45,49,49,32,49,46,57,52,50,54,54,
      101,45,49,49,32,50,46,50,57,50,53,55,101,45,49,49,32,50,46,54,52,56,55,101,
      45,49,49,32,51,46,48,52,51,52,53,101,45,49,49,32,51,46,52,54,55,48,55,101,45,
      49,49,32,51,46,57,55,56,52,51,101,45,49,49,10,32,32,52,46,52,56,53,54,50,101,
      45,49,49,32,52,46,56,55,55,53,51,101,45,49,49,32,53,46,54,53,53,54,101,45,49,
      49,32,54,46,52,50,55,55,55,101,45,49,49,32,55,46,49,55,50,56,52,101,45,49,49,
      32,55,46,57,57,50,53,54,101,45,49,49,32,56,46,55,50,53,50,50,101,45,49,49,10,
      32,32,57,46,52,57,52,50,49,101,45,49,49,32,49,46,48,49,57,50,49,101,45,49,48,
      32,49,46,48,56,48,55,57,101,45,49,48,32,49,46,49,51,51,54,50,101,45,49,48,32,
      49,46,49,56,52,55,53,101,45,49,48,32,49,46,50,49,54,55,56,101,45,49,48,32,49,
      46,50,52,52,48,56,101,45,49,48,10,32,32,49,46,50,55,56,55,50,101,45,49,48,32,
      49,46,50,57,51,54,56,101,45,49,48,32,49,46,51,48,55,56,101,45,49,48,32,49,46,
      51,49,48,54,55,101,45,49,48,32,49,46,51,48,54,55,54,101,45,49,48,32,49,46,50,
      57,56,56,50,101,45,49,48,32,49,46,50,55,56,54,50,101,45,49,48,10,32,32,49,46,
      50,52,54,52,55,101,45,49,48,32,49,46,50,50,52,54,52,101,45,49,48,32,49,46,49,
      56,52,49,56,101,45,49,48,32,49,46,49,53,54,55,51,101,45,49,48,32,49,46,49,48,
      56,51,57,101,45,49,48,32,49,46,48,54,54,50,57,101,45,49,48,32,49,46,48,48,48,
      57,54,101,45,49,48,10,32,32,57,46,55,51,48,53,54,101,45,49,49,32,57,46,49,56,
      52,50,101,45,49,49,32,56,46,53,55,50,55,51,101,45,49,49,32,56,46,48,54,50,56,
      55,101,45,49,49,32,55,46,53,53,55,51,53,101,45,49,49,32,55,46,48,57,49,54,101,
      45,49,49,32,54,46,54,52,50,53,50,101,45,49,49,10,32,32,54,46,49,53,56,53,50,
      101,45,49,49,32,53,46,55,52,50,56,50,101,45,49,49,32,53,46,51,48,49,56,49,101,
      45,49,49,32,52,46,57,56,57,55,56,101,45,49,49,32,52,46,53,48,52,55,57,101,45,
      49,49,32,52,46,50,50,50,54,54,101,45,49,49,32,51,46,56,56,56,53,55,101,45,49,
      49,10,32,32,51,46,49,56,50,51,57,101,45,49,49,32,50,46,51,55,49,50,52,101,45,
      49,49,32,49,46,55,52,53,54,51,101,45,49,49,32,49,46,49,54,49,51,54,101,45,49,
      49,32,55,46,53,51,52,49,56,101,45,49,50,32,52,46,51,52,51,52,53,101,45,49,50,
      32,50,46,57,49,52,54,50,101,45,49,50,10,32,32,49,46,52,48,48,50,49,101,45,49,
      50,32,54,46,55,50,55,49,56,101,45,49,51,32,51,46,57,54,54,52,57,101,45,49,51,
      32,50,46,49,55,53,51,53,101,45,49,51,32,57,46,54,50,48,57,55,101,45,49,52,32,
      52,46,54,53,53,52,53,101,45,49,52,32,50,46,50,51,48,57,53,101,45,49,52,10,32,
      32,57,46,53,50,53,56,50,101,45,49,53,32,52,46,48,50,56,55,55,101,45,49,53,32,
      49,46,56,56,52,53,49,101,45,49,53,32,56,46,55,54,53,55,52,101,45,49,54,32,52,
      46,48,52,55,56,54,101,45,49,54,32,49,46,54,54,56,56,52,101,45,49,54,32,54,46,
      49,50,49,50,55,101,45,49,55,10,32,32,49,46,57,57,53,50,101,45,49,55,32,55,46,
      50,51,54,54,55,101,45,49,56,32,50,46,51,51,50,49,50,101,45,49,56,32,56,46,51,
      56,53,57,54,101,45,49,57,32,51,46,48,48,53,50,53,101,45,49,57,32,57,46,53,55,
      53,48,55,101,45,50,48,32,50,46,55,57,57,50,57,101,45,50,48,10,32,32,49,46,48,
      56,48,50,49,101,45,50,48,32,51,46,53,56,49,51,56,101,45,50,49,32,49,46,51,53,
      52,55,51,101,45,50,49,32,52,46,55,56,52,52,101,45,50,50,32,49,46,54,56,54,57,
      50,101,45,50,50,32,53,46,57,51,57,48,56,101,45,50,51,32,50,46,48,56,56,49,49,
      101,45,50,51,10,32,32,55,46,51,51,50,52,50,101,45,50,52,32,50,46,53,55,49,56,
      53,101,45,50,52,32,57,46,48,49,49,50,53,101,45,50,53,32,51,46,49,53,52,51,101,
      45,50,53,32,49,46,49,48,50,54,49,101,45,50,53,32,51,46,56,52,53,53,49,101,45,
      50,54,32,49,46,51,52,50,54,50,101,45,50,54,10,32,32,52,46,53,57,57,50,50,101,
      45,50,55,32,49,46,52,57,51,51,54,101,45,50,55,32,50,46,57,52,49,54,51,101,45,
      50,56,32,54,46,57,56,48,54,56,101,45,50,57,32,48,114,54,52,32,54,46,54,50,50,
      56,101,45,50,57,32,53,46,49,50,57,54,55,101,45,50,56,32,54,46,56,53,53,50,50,
      101,45,50,55,10,32,32,53,46,57,54,57,56,54,101,45,50,49,32,50,46,52,56,50,49,
      50,101,45,50,48,32,57,46,52,57,55,53,54,101,45,50,48,32,51,46,57,50,53,50,101,
      45,49,57,32,57,46,53,49,51,53,54,101,45,49,57,32,49,46,57,53,55,54,55,101,45,
      49,56,32,54,46,49,48,56,49,55,101,45,49,56,10,32,32,49,46,52,54,56,54,101,45,
      49,55,32,50,46,57,57,57,50,51,101,45,49,55,32,52,46,48,57,57,57,53,101,45,49,
      55,32,53,46,52,55,51,52,53,101,45,49,55,32,55,46,49,53,57,53,50,101,45,49,55,
      32,57,46,50,48,48,49,56,101,45,49,55,32,49,46,49,54,51,57,54,101,45,49,54,10,
      32,32,49,46,52,53,50,52,101,45,49,54,32,49,46,55,57,48,49,55,101,45,49,54,32,
      50,46,49,56,50,50,57,101,45,49,54,32,50,46,54,51,51,57,53,101,45,49,54,32,51,
      46,49,53,48,53,55,101,45,49,54,32,51,46,56,54,52,48,56,101,45,49,54,32,52,46,
      54,56,57,48,55,101,45,49,54,10,32,32,53,46,57,56,48,50,57,101,45,49,54,32,55,
      46,55,52,55,50,55,101,45,49,54,32,57,46,54,48,52,101,45,49,54,32,49,46,50,51,
      53,54,101,45,49,53,32,49,46,53,54,51,57,56,101,45,49,53,32,49,46,57,53,49,52,
      49,101,45,49,53,32,50,46,53,48,50,55,55,101,45,49,53,10,32,32,51,46,49,53,56,
      54,51,101,45,49,53,32,52,46,50,49,52,56,54,101,45,49,53,32,53,46,53,48,51,55,
      49,101,45,49,53,32,55,46,48,53,51,49,50,101,45,49,53,32,57,46,49,52,51,49,55,
      101,45,49,53,32,49,46,49,57,52,53,50,101,45,49,52,32,49,46,53,54,55,55,55,101,
      45,49,52,10,32,32,50,46,48,54,49,53,56,101,45,49,52,32,50,46,55,49,48,49,53,
      101,45,49,52,32,51,46,54,50,49,57,57,101,45,49,52,32,52,46,55,50,56,49,53,101,
      45,49,52,32,54,46,50,52,49,55,57,101,45,49,52,32,56,46,54,53,57,51,50,101,45,
      49,52,32,49,46,49,56,51,50,53,101,45,49,51,10,32,32,49,46,52,55,49,56,50,101,
      45,49,51,32,49,46,56,57,48,55,51,101,45,49,51,32,50,46,53,48,52,53,51,101,45,
      49,51,32,51,46,50,57,51,56,57,101,45,49,51,32,52,46,50,57,55,53,51,101,45,49,
      51,32,53,46,53,57,57,52,55,101,45,49,51,32,55,46,48,55,52,50,56,101,45,49,51,
      10,32,32,56,46,56,55,52,55,55,101,45,49,51,32,49,46,49,52,48,49,53,101,45,49,
      50,32,49,46,53,52,49,54,52,101,45,49,50,32,50,46,48,48,48,56,53,101,45,49,50,
      32,50,46,53,51,55,53,57,101,45,49,50,32,51,46,48,51,50,55,57,101,45,49,50,32,
      51,46,54,49,52,55,56,101,45,49,50,10,32,32,52,46,53,49,49,54,49,101,45,49,50,
      32,53,46,53,49,53,52,57,101,45,49,50,32,54,46,54,50,50,56,49,101,45,49,50,32,
      55,46,54,56,48,56,54,101,45,49,50,32,57,46,51,52,51,48,54,101,45,49,50,32,49,
      46,49,50,48,50,55,101,45,49,49,32,49,46,51,50,57,56,54,101,45,49,49,10,32,32,
      49,46,53,52,51,49,55,101,45,49,49,32,49,46,55,55,57,54,53,101,45,49,49,32,50,
      46,48,51,51,53,56,101,45,49,49,32,50,46,51,52,48,53,52,101,45,49,49,32,50,46,
      54,52,53,55,50,101,45,49,49,32,50,46,56,56,50,49,56,101,45,49,49,32,51,46,51,
      53,51,55,50,101,45,49,49,10,32,32,51,46,56,50,52,57,57,101,45,49,49,32,52,46,
      50,56,51,51,54,101,45,49,49,32,52,46,55,57,50,52,49,101,45,49,49,32,53,46,50,
      53,50,50,53,101,45,49,49,32,53,46,55,52,48,53,57,101,45,49,49,32,54,46,49,56,
      57,55,55,101,45,49,49,32,54,46,53,57,49,57,55,101,45,49,49,10,32,32,54,46,57,
      52,50,53,56,101,45,49,49,32,55,46,50,56,56,54,101,45,49,49,32,55,46,53,49,48,
      50,49,101,45,49,49,32,55,46,55,48,51,52,54,101,45,49,49,32,55,46,57,53,57,49,
      52,101,45,49,49,32,56,46,48,55,55,50,56,101,45,49,49,32,56,46,50,48,52,53,49,
      101,45,49,49,10,32,32,56,46,50,54,50,57,51,101,45,49,49,32,56,46,50,54,49,57,
      101,45,49,49,32,56,46,50,51,52,57,55,101,45,49,49,32,56,46,49,52,50,52,54,101,
      45,49,49,32,55,46,57,55,53,49,57,101,45,49,49,32,55,46,56,53,53,54,55,101,45,
      49,49,32,55,46,54,50,55,49,55,101,45,49,49,10,32,32,55,46,52,54,56,54,53,101,
      45,49,49,32,55,46,49,56,52,54,53,101,45,49,49,32,54,46,57,51,51,52,55,101,45,
      49,49,32,54,46,53,51,56,52,51,101,45,49,49,32,54,46,51,54,56,48,50,101,45,49,
      49,32,54,46,48,51,49,57,51,101,45,49,49,32,53,46,54,53,50,51,56,101,45,49,49,
      10,32,32,53,46,51,51,51,52,50,101,45,49,49,32,53,46,48,49,53,49,50,101,45,49,
      49,32,52,46,55,50,48,49,52,101,45,49,49,32,52,46,52,51,52,50,50,101,45,49,49,
      32,52,46,49,50,52,52,53,101,45,49,49,32,51,46,56,53,55,48,55,101,45,49,49,32,
      51,46,53,55,50,48,55,101,45,49,49,10,32,32,51,46,51,54,57,53,57,101,45,49,49,
      32,51,46,48,53,51,52,55,101,45,49,49,32,50,46,56,54,56,55,56,101,45,49,49,32,
      50,46,54,52,57,50,57,101,45,49,49,32,50,46,49,56,50,51,55,101,45,49,49,32,49,
      46,54,52,48,53,57,101,45,49,49,32,49,46,50,49,56,48,54,101,45,49,49,10,32,32,
      56,46,49,56,56,49,49,101,45,49,50,32,53,46,51,54,53,54,51,101,45,49,50,32,51,
      46,49,50,57,51,51,101,45,49,50,32,50,46,48,57,57,57,55,101,45,49,50,32,49,46,
      48,49,55,50,55,101,45,49,50,32,52,46,57,50,57,51,50,101,45,49,51,32,50,46,57,
      50,50,52,54,101,45,49,51,10,32,32,49,46,54,49,49,57,50,101,45,49,51,32,55,46,
      49,55,56,55,49,101,45,49,52,32,51,46,52,57,50,57,51,101,45,49,52,32,49,46,54,
      56,50,51,57,101,45,49,52,32,55,46,50,50,49,57,50,101,45,49,53,32,51,46,48,54,
      57,50,57,101,45,49,53,32,49,46,52,52,49,51,53,101,45,49,53,10,32,32,54,46,55,
      50,56,57,53,101,45,49,54,32,51,46,49,49,56,49,56,101,45,49,54,32,49,46,50,57,
      48,50,49,101,45,49,54,32,52,46,55,53,48,51,101,45,49,55,32,49,46,53,53,52,50,
      56,101,45,49,55,32,53,46,54,53,53,52,52,101,45,49,56,32,49,46,56,50,56,53,49,
      101,45,49,56,10,32,32,54,46,53,57,51,48,49,101,45,49,57,32,50,46,51,54,56,55,
      51,101,45,49,57,32,55,46,53,54,54,57,101,45,50,48,32,50,46,50,49,56,101,45,
      50,48,32,56,46,53,55,53,49,55,101,45,50,49,32,50,46,56,52,56,57,51,101,45,50,
      49,32,49,46,48,55,57,53,50,101,45,50,49,10,32,32,51,46,56,49,57,48,52,101,45,
      50,50,32,49,46,51,52,56,55,54,101,45,50,50,32,52,46,55,53,53,57,50,101,45,50,
      51,32,49,46,54,55,52,53,57,101,45,50,51,32,53,46,56,56,56,53,50,101,45,50,52,
      32,50,46,48,54,56,49,53,101,45,50,52,32,55,46,50,53,53,54,50,101,45,50,53,10,
      32,32,50,46,53,52,50,56,52,101,45,50,53,32,56,46,56,57,55,51,56,101,45,50,54,
      32,51,46,49,48,57,54,49,101,45,50,54,32,49,46,48,56,53,52,50,101,45,50,54,32,
      51,46,55,54,49,48,51,101,45,50,55,32,49,46,50,52,55,55,51,101,45,50,55,32,50,
      46,51,55,52,51,54,101,45,50,56,10,32,32,53,46,54,48,53,51,50,101,45,50,57,32,
      48,114,54,53,32,51,46,51,54,48,49,57,101,45,50,57,32,52,46,56,49,57,51,51,101,
      45,50,56,32,49,46,50,52,50,55,54,101,45,50,49,32,53,46,49,55,51,49,51,101,45,
      50,49,32,49,46,57,56,53,55,55,101,45,50,48,32,56,46,50,54,48,55,101,45,50,48,
      10,32,32,50,46,48,49,52,55,101,45,49,57,32,52,46,49,55,51,50,55,101,45,49,57,
      32,49,46,51,50,48,51,54,101,45,49,56,32,51,46,50,49,56,56,50,101,45,49,56,32,
      54,46,54,54,52,48,56,101,45,49,56,32,57,46,49,55,49,51,51,101,45,49,56,32,49,
      46,50,51,50,53,53,101,45,49,55,10,32,32,49,46,54,50,50,56,53,101,45,49,55,32,
      50,46,48,57,56,57,54,101,45,49,55,32,50,46,54,55,50,53,50,101,45,49,55,32,51,
      46,51,53,53,56,55,101,45,49,55,32,52,46,49,54,50,48,54,101,45,49,55,32,53,46,
      49,48,52,56,53,101,45,49,55,32,54,46,49,57,56,54,55,101,45,49,55,10,32,32,55,
      46,52,53,56,54,53,101,45,49,55,32,57,46,50,49,50,50,54,101,45,49,55,32,49,46,
      49,50,53,54,53,101,45,49,54,32,49,46,52,52,56,54,50,101,45,49,54,32,50,46,50,
      54,52,57,55,101,45,49,54,32,50,46,56,50,56,48,57,101,45,49,54,32,51,46,54,55,
      48,53,52,101,45,49,54,10,32,32,52,46,54,56,53,56,55,101,45,49,54,32,53,46,56,
      57,53,51,57,101,45,49,54,32,55,46,54,51,52,54,53,101,45,49,54,32,57,46,55,50,
      54,49,52,101,45,49,54,32,49,46,51,49,51,54,50,101,45,49,53,32,49,46,55,51,53,
      51,52,101,45,49,53,32,50,46,50,52,56,56,53,101,45,49,53,10,32,32,50,46,57,53,
      48,55,49,101,45,49,53,32,51,46,57,48,52,57,49,101,45,49,53,32,53,46,49,57,52,
      56,56,101,45,49,53,32,54,46,57,50,55,57,54,101,45,49,53,32,57,46,50,52,48,52,
      52,101,45,49,53,32,49,46,50,53,52,54,55,101,45,49,52,32,49,46,54,54,50,53,57,
      101,45,49,52,10,32,32,50,46,50,51,48,51,52,101,45,49,52,32,51,46,49,54,52,54,
      56,101,45,49,52,32,52,46,52,48,56,52,50,101,45,49,52,32,53,46,53,53,57,52,53,
      101,45,49,52,32,55,46,50,53,55,54,51,101,45,49,52,32,57,46,55,57,49,56,56,101,
      45,49,52,32,49,46,51,49,49,54,49,101,45,49,51,10,32,32,49,46,55,52,50,53,50,
      101,45,49,51,32,50,46,51,49,50,52,53,101,45,49,51,32,50,46,57,55,48,48,51,101,
      45,49,51,32,51,46,55,56,54,55,57,101,45,49,51,32,52,46,57,53,51,57,53,101,45,
      49,51,32,54,46,56,52,56,53,53,101,45,49,51,32,57,46,48,54,50,51,56,101,45,49,
      51,10,32,32,49,46,49,54,57,57,53,101,45,49,50,32,49,46,52,49,54,57,54,101,45,
      49,50,32,49,46,55,49,48,57,52,101,45,49,50,32,50,46,49,55,48,49,53,101,45,49,
      50,32,50,46,54,57,48,57,50,101,45,49,50,32,51,46,50,55,49,51,54,101,45,49,50,
      32,51,46,56,51,48,50,51,101,45,49,50,10,32,32,52,46,55,49,52,48,54,101,45,49,
      50,32,53,46,55,48,56,50,53,101,45,49,50,32,54,46,56,51,50,56,55,101,45,49,50,
      32,55,46,57,56,48,50,50,101,45,49,50,32,57,46,50,53,52,50,57,101,45,49,50,32,
      49,46,48,54,50,52,53,101,45,49,49,32,49,46,50,50,56,52,49,101,45,49,49,10,32,
      32,49,46,51,57,51,56,51,101,45,49,49,32,49,46,53,50,50,51,52,101,45,49,49,32,
      49,46,55,55,57,55,49,101,45,49,49,32,50,46,48,51,56,54,55,101,45,49,49,32,50,
      46,50,57,50,53,52,101,45,49,49,32,50,46,53,55,55,49,56,101,45,49,49,32,50,46,
      56,51,55,49,52,101,45,49,49,10,32,32,51,46,49,49,54,54,54,101,45,49,49,32,51,
      46,51,55,55,52,53,101,45,49,49,32,51,46,54,49,52,54,101,45,49,49,32,51,46,56,
      50,52,56,53,101,45,49,49,32,52,46,48,51,54,53,53,101,45,49,49,32,52,46,49,55,
      53,49,52,101,45,49,49,32,52,46,50,57,56,55,51,101,45,49,49,10,32,32,52,46,52,
      54,56,53,54,101,45,49,49,32,52,46,53,53,49,53,53,101,45,49,49,32,52,46,54,52,
      57,53,101,45,49,49,32,52,46,55,49,48,48,53,101,45,49,49,32,52,46,55,50,53,54,
      53,101,45,49,49,32,52,46,55,50,54,50,53,101,45,49,49,32,52,46,54,57,55,55,56,
      101,45,49,49,10,32,32,52,46,54,50,55,52,101,45,49,49,32,52,46,53,55,50,49,51,
      101,45,49,49,32,52,46,52,54,48,57,52,101,45,49,49,32,52,46,51,56,49,48,57,101,
      45,49,49,32,52,46,50,51,52,51,56,101,45,49,49,32,52,46,49,48,49,55,55,101,45,
      49,49,32,51,46,56,56,57,50,54,101,45,49,49,10,32,32,51,46,55,57,54,51,55,101,
      45,49,49,32,51,46,54,49,49,51,57,101,45,49,49,32,51,46,51,57,57,57,57,101,45,
      49,49,32,51,46,50,50,48,53,51,101,45,49,49,32,51,46,48,51,57,57,53,101,45,49,
      49,32,50,46,56,55,49,51,54,101,45,49,49,32,50,46,55,48,54,56,54,101,45,49,49,
      10,32,32,50,46,53,50,55,52,55,101,45,49,49,32,50,46,51,55,49,54,55,101,45,49,
      49,32,50,46,50,48,52,54,53,101,45,49,49,32,50,46,48,56,53,51,55,101,45,49,49,
      32,49,46,56,57,56,49,53,101,45,49,49,32,49,46,55,56,56,49,56,101,45,49,49,32,
      49,46,54,53,54,57,50,101,45,49,49,10,32,32,49,46,51,55,53,53,52,101,45,49,49,
      32,49,46,48,52,53,48,49,101,45,49,49,32,55,46,56,51,55,52,52,101,45,49,50,32,
      53,46,51,51,52,48,55,101,45,49,50,32,51,46,53,51,55,54,55,101,45,49,50,32,50,
      46,48,57,50,48,52,101,45,49,50,32,49,46,52,48,50,55,56,101,45,49,50,10,32,32,
      54,46,56,56,48,52,56,101,45,49,51,32,51,46,51,54,57,49,56,101,45,49,51,32,50,
      46,48,49,49,48,53,101,45,49,51,32,49,46,49,49,55,48,51,101,45,49,51,32,53,46,
      48,49,55,52,52,101,45,49,52,32,50,46,52,53,56,48,52,101,45,49,52,32,49,46,49,
      57,49,51,56,101,45,49,52,10,32,32,53,46,49,52,55,57,49,101,45,49,53,32,50,46,
      50,48,49,48,53,101,45,49,53,32,49,46,48,51,56,54,54,101,45,49,53,32,52,46,56,
      55,48,57,51,101,45,49,54,32,50,46,50,54,54,57,52,101,45,49,54,32,57,46,52,50,
      50,48,53,101,45,49,55,32,51,46,52,56,53,49,57,101,45,49,55,10,32,32,49,46,49,
      52,53,55,55,101,45,49,55,32,52,46,49,56,53,52,56,101,45,49,56,32,49,46,51,53,
      56,55,51,101,45,49,56,32,52,46,57,49,53,55,49,101,45,49,57,32,49,46,55,55,49,
      54,56,101,45,49,57,32,53,46,54,55,56,49,51,101,45,50,48,32,49,46,54,54,57,55,
      55,101,45,50,48,10,32,32,54,46,52,55,48,56,49,101,45,50,49,32,50,46,49,53,53,
      51,101,45,50,49,32,56,46,49,56,52,49,56,101,45,50,50,32,50,46,57,48,49,53,54,
      101,45,50,50,32,49,46,48,50,54,56,49,101,45,50,50,32,51,46,54,50,55,54,53,101,
      45,50,51,32,49,46,50,55,57,54,54,101,45,50,51,10,32,32,52,46,53,48,55,54,52,
      101,45,50,52,32,49,46,53,56,53,55,54,101,45,50,52,32,53,46,53,55,50,48,51,101,
      45,50,53,32,49,46,57,53,53,55,52,101,45,50,53,32,54,46,56,53,55,53,51,101,45,
      50,54,32,50,46,51,57,57,56,56,101,45,50,54,32,56,46,51,55,54,55,101,45,50,55,
      10,32,32,50,46,57,50,57,49,101,45,50,55,32,57,46,54,51,57,54,101,45,50,56,32,
      49,46,56,50,57,50,53,101,45,50,56,32,52,46,50,57,49,49,51,101,45,50,57,32,48,
      114,54,54,32,50,46,49,57,52,49,53,101,45,50,56,32,55,46,56,49,50,48,52,101,
      45,50,50,32,51,46,50,53,53,55,52,101,45,50,49,10,32,32,49,46,50,53,49,55,55,
      101,45,50,48,32,53,46,50,49,57,55,51,101,45,50,48,32,49,46,50,55,53,53,52,101,
      45,49,57,32,50,46,54,52,55,51,49,101,45,49,57,32,56,46,52,48,55,50,57,101,45,
      49,57,32,50,46,48,53,55,49,54,101,45,49,56,32,52,46,50,55,52,52,54,101,45,49,
      56,10,32,32,53,46,56,57,51,49,101,45,49,56,32,55,46,57,51,51,55,49,101,45,49,
      56,32,49,46,48,52,54,52,50,101,45,49,55,32,49,46,51,53,53,55,51,101,45,49,55,
      32,49,46,55,50,57,49,50,101,45,49,55,32,50,46,49,55,52,56,57,101,45,49,55,32,
      50,46,55,48,49,56,52,101,45,49,55,10,32,32,51,46,51,49,57,50,57,101,45,49,55,
      32,52,46,48,51,55,48,53,101,45,49,55,32,52,46,56,54,53,52,50,101,45,49,55,32,
      54,46,48,50,48,55,53,101,45,49,55,32,55,46,51,55,48,53,55,101,45,49,55,32,57,
      46,53,48,56,55,49,101,45,49,55,32,49,46,57,52,54,48,54,101,45,49,54,10,32,32,
      50,46,52,51,51,49,101,45,49,54,32,51,46,49,54,50,55,101,45,49,54,32,52,46,48,
      52,51,50,51,101,45,49,54,32,53,46,48,57,51,52,50,101,45,49,54,32,54,46,54,48,
      53,50,101,45,49,54,32,56,46,52,50,52,57,53,101,45,49,54,32,49,46,49,51,57,52,
      52,101,45,49,53,10,32,32,49,46,53,48,54,56,57,101,45,49,53,32,49,46,57,53,52,
      52,50,101,45,49,53,32,50,46,53,54,54,48,51,101,45,49,53,32,51,46,51,57,55,48,
      55,101,45,49,53,32,52,46,53,49,57,52,101,45,49,53,32,54,46,48,50,52,57,50,101,
      45,49,53,32,56,46,48,50,57,51,49,101,45,49,53,10,32,32,49,46,48,56,56,54,54,
      101,45,49,52,32,49,46,52,51,57,57,53,101,45,49,52,32,49,46,57,50,54,56,54,101,
      45,49,52,32,50,46,55,51,55,54,101,45,49,52,32,51,46,55,57,54,57,50,101,45,49,
      52,32,52,46,55,55,49,54,51,101,45,49,52,32,54,46,50,48,49,56,56,101,45,49,52,
      10,32,32,56,46,51,50,50,53,49,101,45,49,52,32,49,46,49,48,56,54,54,101,45,49,
      51,32,49,46,52,54,52,56,49,101,45,49,51,32,49,46,57,51,51,51,54,101,45,49,51,
      32,50,46,52,55,49,55,101,45,49,51,32,51,46,49,51,56,50,52,101,45,49,51,32,52,
      46,48,56,56,54,51,101,45,49,51,10,32,32,53,46,54,50,57,52,53,101,45,49,51,32,
      55,46,52,51,48,53,49,101,45,49,51,32,57,46,53,55,57,52,52,101,45,49,51,32,49,
      46,49,53,57,54,53,101,45,49,50,32,49,46,52,48,48,50,56,101,45,49,50,32,49,46,
      55,55,55,51,51,101,45,49,50,32,50,46,50,48,54,52,55,101,45,49,50,10,32,32,50,
      46,54,56,54,51,57,101,45,49,50,32,51,46,49,52,57,56,49,101,45,49,50,32,51,46,
      56,56,52,55,50,101,45,49,50,32,52,46,55,49,51,54,101,45,49,50,32,53,46,54,53,
      51,50,101,45,49,50,32,54,46,54,49,51,50,55,101,45,49,50,32,55,46,54,56,48,54,
      56,101,45,49,50,10,32,32,56,46,56,50,57,55,54,101,45,49,50,32,49,46,48,50,50,
      50,55,101,45,49,49,32,49,46,49,54,49,50,52,101,45,49,49,32,49,46,50,54,57,51,
      101,45,49,49,32,49,46,52,56,53,57,52,101,45,49,49,32,49,46,55,48,52,51,49,101,
      45,49,49,32,49,46,57,49,56,56,101,45,49,49,10,32,32,50,46,49,53,57,56,55,101,
      45,49,49,32,50,46,51,56,48,54,51,101,45,49,49,32,50,46,54,49,56,55,55,101,45,
      49,49,32,50,46,56,52,49,55,53,101,45,49,49,32,51,46,48,52,53,51,51,101,45,49,
      49,32,51,46,50,50,54,53,56,101,45,49,49,32,51,46,52,49,48,48,51,101,45,49,49,
      10,32,32,51,46,53,51,48,56,101,45,49,49,32,51,46,54,51,57,48,55,101,45,49,49,
      32,51,46,55,56,57,50,101,45,49,49,32,51,46,56,54,51,53,101,45,49,49,32,51,46,
      57,53,50,56,56,101,45,49,49,32,52,46,48,49,48,57,50,101,45,49,49,32,52,46,48,
      50,56,48,57,101,45,49,49,10,32,32,52,46,48,51,50,52,52,101,45,49,49,32,52,46,
      48,49,52,49,49,101,45,49,49,32,51,46,57,54,48,51,49,101,45,49,49,32,51,46,57,
      49,54,52,51,101,45,49,49,32,51,46,56,50,54,53,101,45,49,49,32,51,46,55,54,49,
      49,52,101,45,49,49,32,51,46,54,52,48,48,53,101,45,49,49,10,32,32,51,46,53,50,
      57,56,51,101,45,49,49,32,51,46,51,53,50,49,52,101,45,49,49,32,51,46,50,55,52,
      49,54,101,45,49,49,32,51,46,49,49,56,51,57,101,45,49,49,32,50,46,57,51,57,55,
      51,101,45,49,49,32,50,46,55,56,55,54,50,101,45,49,49,32,50,46,54,51,52,49,56,
      101,45,49,49,10,32,32,50,46,52,57,48,54,49,101,45,49,49,32,50,46,51,53,48,50,
      53,101,45,49,49,32,50,46,49,57,54,56,57,101,45,49,49,32,50,46,48,54,51,52,54,
      101,45,49,49,32,49,46,57,50,48,49,55,101,45,49,49,32,49,46,56,49,55,54,57,101,
      45,49,49,32,49,46,54,53,54,53,56,101,45,49,49,10,32,32,49,46,53,54,49,56,101,
      45,49,49,32,49,46,52,52,56,53,51,101,45,49,49,32,49,46,50,48,53,49,55,101,45,
      49,49,32,57,46,49,56,51,48,57,101,45,49,50,32,54,46,57,48,54,56,56,101,45,49,
      50,32,52,46,55,49,55,49,56,101,45,49,50,32,51,46,49,51,57,49,57,101,45,49,50,
      10,32,32,49,46,56,54,51,55,101,45,49,50,32,49,46,50,52,57,52,54,101,45,49,50,
      32,54,46,49,53,49,53,55,101,45,49,51,32,51,46,48,50,49,51,52,101,45,49,51,32,
      49,46,56,48,54,57,51,101,45,49,51,32,49,46,48,48,53,54,55,101,45,49,51,32,52,
      46,53,50,56,51,52,101,45,49,52,10,32,32,50,46,50,50,50,55,56,101,45,49,52,32,
      49,46,48,55,57,50,57,101,45,49,52,32,52,46,54,55,50,52,52,101,45,49,53,32,50,
      46,48,48,49,50,51,101,45,49,53,32,57,46,52,53,54,56,54,101,45,49,54,32,52,46,
      52,52,48,55,50,101,45,49,54,32,50,46,48,54,57,51,101,45,49,54,10,32,32,56,46,
      54,49,49,55,54,101,45,49,55,32,51,46,49,56,57,55,56,101,45,49,55,32,49,46,48,
      53,48,49,101,45,49,55,32,51,46,56,52,48,51,57,101,45,49,56,32,49,46,50,52,56,
      49,54,101,45,49,56,32,52,46,53,50,48,48,56,101,45,49,57,32,49,46,54,51,48,53,
      55,101,45,49,57,10,32,32,53,46,50,51,48,55,56,101,45,50,48,32,49,46,53,51,57,
      54,54,101,45,50,48,32,53,46,57,55,48,54,50,101,45,50,49,32,49,46,57,57,48,49,
      55,101,45,50,49,32,55,46,53,54,49,55,52,101,45,50,50,32,50,46,54,56,50,53,52,
      101,45,50,50,32,57,46,52,57,56,54,51,101,45,50,51,10,32,32,51,46,51,53,55,54,
      54,101,45,50,51,32,49,46,49,56,53,48,52,101,45,50,51,32,52,46,49,55,54,52,53,
      101,45,50,52,32,49,46,52,54,57,57,53,101,45,50,52,32,53,46,49,54,55,52,53,101,
      45,50,53,32,49,46,56,49,52,53,51,101,45,50,53,32,54,46,51,54,53,48,50,101,45,
      50,54,10,32,32,50,46,50,50,56,50,49,101,45,50,54,32,55,46,55,55,57,51,56,101,
      45,50,55,32,50,46,55,50,49,50,101,45,50,55,32,56,46,57,53,53,49,51,101,45,50,
      56,32,49,46,54,57,56,101,45,50,56,32,53,46,57,48,50,51,50,101,45,50,57,32,48,
      114,54,54,32,57,46,55,50,55,53,57,101,45,50,57,10,32,32,52,46,55,55,56,57,54,
      101,45,50,50,32,49,46,57,57,52,54,51,101,45,50,49,32,55,46,54,56,51,57,51,101,
      45,50,49,32,51,46,50,49,51,51,55,101,45,50,48,32,55,46,56,55,49,49,101,45,50,
      48,32,49,46,54,51,55,52,49,101,45,49,57,32,53,46,50,50,51,54,57,101,45,49,57,
      10,32,32,49,46,50,56,51,56,52,101,45,49,56,32,50,46,54,55,57,49,52,101,45,49,
      56,32,51,46,55,48,49,52,54,101,45,49,56,32,52,46,57,57,51,53,52,101,45,49,56,
      32,54,46,53,57,57,55,51,101,45,49,56,32,56,46,53,54,55,57,101,45,49,56,32,49,
      46,48,57,52,57,53,101,45,49,55,10,32,32,49,46,51,55,57,57,52,101,45,49,55,32,
      49,46,55,49,55,54,50,101,45,49,55,32,50,46,49,49,52,49,57,101,45,49,55,32,50,
      46,53,55,54,50,51,101,45,49,55,32,51,46,49,49,48,54,55,101,45,49,55,32,51,46,
      56,53,55,56,52,101,45,49,55,32,52,46,55,51,51,48,53,101,45,49,55,10,32,32,54,
      46,49,50,51,53,49,101,45,49,55,32,51,46,51,57,56,53,57,101,45,49,54,32,52,46,
      50,49,55,52,53,101,45,49,54,32,53,46,52,50,56,56,49,101,45,49,54,32,54,46,56,
      54,57,50,52,101,45,49,54,32,56,46,53,54,49,57,51,101,45,49,54,32,49,46,48,57,
      53,55,55,101,45,49,53,10,32,32,49,46,51,55,56,55,51,101,45,49,53,32,49,46,56,
      51,48,49,51,101,45,49,53,32,50,46,51,55,52,53,52,101,45,49,53,32,51,46,48,50,
      48,53,57,101,45,49,53,32,51,46,56,55,57,51,51,101,45,49,53,32,53,46,48,49,48,
      56,54,101,45,49,53,32,54,46,52,56,56,55,50,101,45,49,53,10,32,32,56,46,52,48,
      50,52,52,101,45,49,53,32,49,46,48,56,53,54,50,101,45,49,52,32,49,46,52,50,49,
      54,50,101,45,49,52,32,49,46,56,49,56,51,50,101,45,49,52,32,50,46,51,52,54,54,
      101,45,49,52,32,51,46,50,49,55,55,55,101,45,49,52,32,52,46,50,55,52,57,49,101,
      45,49,52,10,32,32,53,46,50,49,50,57,57,101,45,49,52,32,54,46,53,52,55,55,51,
      101,45,49,52,32,56,46,52,54,51,51,52,101,45,49,52,32,49,46,48,56,56,54,57,101,
      45,49,51,32,49,46,51,57,51,51,49,101,45,49,51,32,49,46,55,56,54,48,49,101,45,
      49,51,32,50,46,50,51,48,52,54,101,45,49,51,10,32,32,50,46,55,55,52,57,57,101,
      45,49,51,32,51,46,53,52,53,55,54,101,45,49,51,32,52,46,55,56,56,56,101,45,49,
      51,32,54,46,50,51,57,56,54,101,45,49,51,32,55,46,57,55,51,55,53,101,45,49,51,
      32,57,46,54,48,53,49,54,101,45,49,51,32,49,46,49,53,53,55,51,101,45,49,50,10,
      32,32,49,46,52,54,50,56,51,101,45,49,50,32,49,46,56,49,51,57,54,101,45,49,50,
      32,50,46,50,48,56,51,50,101,45,49,50,32,50,46,53,57,48,52,55,101,45,49,50,32,
      51,46,49,57,56,54,54,101,45,49,50,32,51,46,56,56,54,57,55,101,45,49,50,32,52,
      46,54,54,57,51,52,101,45,49,50,10,32,32,53,46,52,55,48,51,57,101,45,49,50,32,
      54,46,51,54,50,52,101,45,49,50,32,55,46,51,50,51,56,57,101,45,49,50,32,56,46,
      52,57,48,56,50,101,45,49,50,32,57,46,54,53,54,51,49,101,45,49,50,32,49,46,48,
      53,54,51,51,101,45,49,49,32,49,46,50,51,56,52,50,101,45,49,49,10,32,32,49,46,
      52,50,50,50,56,101,45,49,49,32,49,46,54,48,51,50,52,101,45,49,49,32,49,46,56,
      48,55,49,50,101,45,49,49,32,49,46,57,57,52,51,52,101,45,49,49,32,50,46,49,57,
      54,57,49,101,45,49,49,32,50,46,51,56,55,51,101,45,49,49,32,50,46,53,54,49,55,
      57,101,45,49,49,10,32,32,50,46,55,49,55,56,50,101,45,49,49,32,50,46,56,55,54,
      53,52,101,45,49,49,32,50,46,57,56,49,53,56,101,45,49,49,32,51,46,48,55,54,50,
      54,101,45,49,49,32,51,46,50,48,56,54,56,101,45,49,49,32,51,46,50,55,53,101,
      45,49,49,32,51,46,51,53,54,49,56,101,45,49,49,10,32,32,51,46,52,49,49,49,55,
      101,45,49,49,32,51,46,52,50,57,49,53,101,45,49,49,32,51,46,52,51,54,50,101,
      45,49,49,32,51,46,52,50,53,55,53,101,45,49,49,32,51,46,51,56,53,51,54,101,45,
      49,49,32,51,46,51,53,48,56,51,101,45,49,49,32,51,46,50,55,56,53,49,101,45,49,
      49,10,32,32,51,46,50,50,53,50,52,101,45,49,49,32,51,46,49,50,53,54,52,101,45,
      49,49,32,51,46,48,51,52,50,57,101,45,49,49,32,50,46,56,56,54,48,54,101,45,49,
      49,32,50,46,56,50,48,55,51,101,45,49,49,32,50,46,54,56,57,56,49,101,45,49,49,
      32,50,46,53,51,57,48,57,101,45,49,49,10,32,32,50,46,52,49,48,51,54,101,45,49,
      49,32,50,46,50,56,48,49,54,101,45,49,49,32,50,46,49,53,56,48,55,101,45,49,49,
      32,50,46,48,51,56,52,55,101,45,49,49,32,49,46,57,48,55,53,51,101,45,49,49,32,
      49,46,55,57,51,52,101,45,49,49,32,49,46,54,55,48,54,50,101,45,49,49,10,32,32,
      49,46,53,56,50,54,56,101,45,49,49,32,49,46,52,52,52,50,49,101,45,49,49,32,49,
      46,51,54,50,54,50,101,45,49,49,32,49,46,50,54,52,57,57,101,45,49,49,32,49,46,
      48,53,52,55,54,101,45,49,49,32,56,46,48,54,48,55,53,101,45,49,50,32,54,46,48,
      55,57,57,54,101,45,49,50,10,32,32,52,46,49,54,54,56,56,101,45,49,50,32,50,46,
      55,56,50,51,56,101,45,49,50,32,49,46,54,53,56,51,55,101,45,49,50,32,49,46,49,
      49,49,53,49,101,45,49,50,32,53,46,52,57,51,51,55,101,45,49,51,32,50,46,55,48,
      54,50,53,101,45,49,51,32,49,46,54,50,49,54,54,101,45,49,51,10,32,32,57,46,48,
      52,51,57,53,101,45,49,52,32,52,46,48,56,50,52,52,101,45,49,52,32,50,46,48,48,
      55,56,55,101,45,49,52,32,57,46,55,54,55,50,55,101,45,49,53,32,52,46,50,51,54,
      53,50,101,45,49,53,32,49,46,56,49,55,55,101,45,49,53,32,56,46,54,48,49,55,55,
      101,45,49,54,10,32,32,52,46,48,52,52,53,49,101,45,49,54,32,49,46,56,56,55,48,
      52,101,45,49,54,32,55,46,56,54,51,53,53,101,45,49,55,32,50,46,57,49,54,54,101,
      45,49,55,32,57,46,54,49,53,48,51,101,45,49,56,32,51,46,53,50,48,52,101,45,49,
      56,32,49,46,49,52,53,53,50,101,45,49,56,10,32,32,52,46,49,53,50,52,55,101,45,
      49,57,32,49,46,52,57,57,51,53,101,45,49,57,32,52,46,56,49,52,52,52,101,45,50,
      48,32,49,46,52,49,56,52,54,101,45,50,48,32,53,46,53,48,52,52,101,45,50,49,32,
      49,46,56,51,54,49,52,101,45,50,49,32,54,46,57,56,48,56,53,101,45,50,50,10,32,
      32,50,46,52,55,56,48,51,101,45,50,50,32,56,46,55,55,57,55,50,101,45,50,51,32,
      51,46,49,48,53,50,56,101,45,50,51,32,49,46,48,57,54,53,53,101,45,50,51,32,51,
      46,56,54,54,53,52,101,45,50,52,32,49,46,51,54,49,53,50,101,45,50,52,32,52,46,
      55,56,56,52,56,101,45,50,53,10,32,32,49,46,54,56,50,49,57,101,45,50,53,32,53,
      46,57,48,51,50,55,101,45,50,54,32,50,46,48,54,55,50,49,101,45,50,54,32,55,46,
      50,49,57,48,56,101,45,50,55,32,50,46,53,50,54,49,50,101,45,50,55,32,56,46,51,
      49,50,57,50,101,45,50,56,32,49,46,53,55,52,57,50,101,45,50,56,10,32,32,53,46,
      52,55,54,51,56,101,45,50,57,32,48,114,54,54,32,51,46,52,57,57,56,53,101,45,
      50,57,32,50,46,52,55,55,50,51,101,45,50,50,32,49,46,48,51,54,53,101,45,50,49,
      32,52,46,48,48,53,56,55,101,45,50,49,32,49,46,54,56,51,50,51,101,45,50,48,32,
      52,46,49,51,57,48,55,101,45,50,48,10,32,32,56,46,54,52,51,50,54,101,45,50,48,
      32,50,46,55,55,55,54,101,45,49,57,32,54,46,56,55,53,49,57,101,45,49,57,32,49,
      46,52,52,52,53,54,101,45,49,56,32,50,46,48,48,50,52,52,101,45,49,56,32,50,46,
      55,49,48,50,56,101,45,49,56,32,51,46,53,57,51,53,54,101,45,49,56,10,32,32,52,
      46,54,55,57,57,55,101,45,49,56,32,53,46,57,57,57,52,101,45,49,56,32,55,46,53,
      56,51,57,57,101,45,49,56,32,57,46,52,54,56,49,54,101,45,49,56,32,49,46,49,54,
      56,56,54,101,45,49,55,32,49,46,52,50,56,52,53,101,45,49,55,32,49,46,55,50,57,
      55,101,45,49,55,10,32,32,50,46,49,53,50,51,57,101,45,49,55,32,50,46,54,52,57,
      52,50,101,45,49,55,32,51,46,52,52,50,53,52,101,45,49,55,32,53,46,52,55,56,56,
      56,101,45,49,53,32,53,46,57,56,52,52,49,101,45,49,53,32,54,46,54,51,57,55,54,
      101,45,49,53,32,55,46,51,50,50,51,50,101,45,49,53,10,32,32,56,46,48,51,48,54,
      101,45,49,53,32,56,46,57,49,53,49,101,45,49,53,32,57,46,56,52,49,48,53,101,
      45,49,53,32,49,46,49,49,52,49,57,101,45,49,52,32,49,46,50,53,49,54,54,101,45,
      49,52,32,49,46,51,57,55,49,57,101,45,49,52,32,49,46,53,55,48,57,49,101,45,49,
      52,10,32,32,49,46,55,55,54,57,53,101,45,49,52,32,50,46,48,49,56,55,57,101,45,
      49,52,32,50,46,51,48,49,48,53,101,45,49,52,32,50,46,54,51,49,51,54,101,45,49,
      52,32,51,46,48,52,53,51,54,101,45,49,52,32,51,46,52,57,54,55,50,101,45,49,52,
      32,52,46,48,53,54,53,52,101,45,49,52,10,32,32,52,46,57,49,53,48,57,101,45,49,
      52,32,53,46,56,56,57,49,50,101,45,49,52,32,54,46,55,49,52,56,51,101,45,49,52,
      32,55,46,56,52,56,48,54,101,45,49,52,32,57,46,52,49,57,54,53,101,45,49,52,32,
      49,46,49,51,52,57,50,101,45,49,51,32,49,46,51,55,50,49,57,101,45,49,51,10,32,
      32,49,46,54,55,51,50,56,101,45,49,51,32,50,46,48,49,48,53,54,101,45,49,51,32,
      50,46,52,50,49,52,101,45,49,51,32,51,46,48,48,49,50,57,101,45,49,51,32,51,46,
      57,51,53,57,51,101,45,49,51,32,53,46,48,51,48,49,53,101,45,49,51,32,54,46,51,
      52,52,50,101,45,49,51,10,32,32,55,46,53,56,54,55,101,45,49,51,32,57,46,48,56,
      48,54,49,101,45,49,51,32,49,46,49,52,52,52,53,101,45,49,50,32,49,46,52,49,54,
      52,53,101,45,49,50,32,49,46,55,50,51,55,101,45,49,50,32,50,46,48,50,50,56,53,
      101,45,49,50,32,50,46,53,48,49,49,52,101,45,49,50,10,32,32,51,46,48,52,52,57,
      50,101,45,49,50,32,51,46,54,54,53,50,57,101,45,49,50,32,52,46,51,48,50,50,56,
      101,45,49,50,32,53,46,48,49,51,49,53,101,45,49,50,32,53,46,55,56,48,55,54,101,
      45,49,50,32,54,46,55,49,51,57,49,101,45,49,50,32,55,46,54,52,55,51,49,101,45,
      49,50,10,32,32,56,46,51,55,52,53,55,101,45,49,50,32,57,46,56,51,54,55,50,101,
      45,49,50,32,49,46,49,51,49,54,52,101,45,49,49,32,49,46,50,55,55,54,51,101,45,
      49,49,32,49,46,52,52,50,53,55,101,45,49,49,32,49,46,53,57,52,53,51,101,45,49,
      49,32,49,46,55,53,57,53,53,101,45,49,49,10,32,32,49,46,57,49,53,51,101,45,49,
      49,32,50,46,48,53,56,55,49,101,45,49,49,32,50,46,49,56,55,53,57,101,45,49,49,
      32,50,46,51,49,57,52,54,101,45,49,49,32,50,46,52,48,55,50,55,101,45,49,49,32,
      50,46,52,56,54,57,50,101,45,49,49,32,50,46,53,57,57,52,52,101,45,49,49,10,32,
      32,50,46,54,53,54,53,54,101,45,49,49,32,50,46,55,50,55,56,49,101,45,49,49,32,
      50,46,55,55,56,50,101,45,49,49,32,50,46,55,57,54,50,52,101,45,49,49,32,50,46,
      56,48,53,51,53,101,45,49,49,32,50,46,56,48,50,48,54,101,45,49,49,32,50,46,55,
      55,52,54,49,101,45,49,49,10,32,32,50,46,55,52,57,51,52,101,45,49,49,32,50,46,
      54,57,52,55,49,101,45,49,49,32,50,46,54,53,51,55,49,101,45,49,49,32,50,46,53,
      55,54,48,56,101,45,49,49,32,50,46,53,48,52,49,53,101,45,49,49,32,50,46,51,56,
      54,52,53,101,45,49,49,32,50,46,51,51,52,50,57,101,45,49,49,10,32,32,50,46,50,
      50,57,51,50,101,45,49,49,32,50,46,49,48,55,57,101,45,49,49,32,50,46,48,48,51,
      55,54,101,45,49,49,32,49,46,56,57,56,48,57,101,45,49,49,32,49,46,55,57,56,55,
      50,101,45,49,49,32,49,46,55,48,49,49,51,101,45,49,49,32,49,46,53,57,52,48,50,
      101,45,49,49,10,32,32,49,46,53,48,48,52,52,101,45,49,49,32,49,46,51,57,57,53,
      54,101,45,49,49,32,49,46,51,50,55,49,56,101,45,49,49,32,49,46,50,49,50,57,53,
      101,45,49,49,32,49,46,49,52,53,53,50,101,45,49,49,32,49,46,48,54,52,55,49,101,
      45,49,49,32,56,46,57,48,50,101,45,49,50,10,32,32,54,46,56,50,56,53,54,101,45,
      49,50,32,53,46,49,54,56,57,55,101,45,49,50,32,51,46,53,53,56,48,53,101,45,49,
      50,32,50,46,51,56,54,101,45,49,50,32,49,46,52,50,57,49,54,101,45,49,50,32,57,
      46,53,55,56,48,55,101,45,49,51,32,52,46,55,53,54,57,57,101,45,49,51,10,32,32,
      50,46,51,53,50,53,54,101,45,49,51,32,49,46,52,49,51,50,53,101,45,49,51,32,55,
      46,57,48,50,49,53,101,45,49,52,32,51,46,53,55,56,51,55,101,45,49,52,32,49,46,
      55,54,52,52,50,101,45,49,52,32,56,46,54,48,50,57,56,101,45,49,53,32,51,46,55,
      52,48,54,52,101,45,49,53,10,32,32,49,46,54,48,56,53,52,101,45,49,53,32,55,46,
      54,50,53,56,101,45,49,54,32,51,46,53,57,49,54,56,101,45,49,54,32,49,46,54,55,
      56,52,55,101,45,49,54,32,55,46,48,48,54,49,50,101,45,49,55,32,50,46,54,48,51,
      49,49,101,45,49,55,32,56,46,53,57,54,55,51,101,45,49,56,10,32,32,51,46,49,53,
      50,49,56,101,45,49,56,32,49,46,48,50,55,50,53,101,45,49,56,32,51,46,55,50,56,
      52,52,101,45,49,57,32,49,46,51,52,55,56,50,101,45,49,57,32,52,46,51,51,51,49,
      53,101,45,50,48,32,49,46,50,55,56,50,49,101,45,50,48,32,52,46,57,54,52,53,101,
      45,50,49,10,32,32,49,46,54,53,55,54,51,101,45,50,49,32,54,46,51,48,55,49,54,
      101,45,50,50,32,50,46,50,52,48,54,56,101,45,50,50,32,55,46,57,52,52,56,101,
      45,50,51,32,50,46,56,49,49,57,57,101,45,50,51,32,57,46,57,51,54,54,50,101,45,
      50,52,32,51,46,53,48,54,48,50,101,45,50,52,10,32,32,49,46,50,51,53,51,53,101,
      45,50,52,32,52,46,51,52,55,50,53,101,45,50,53,32,49,46,53,50,56,48,52,101,45,
      50,53,32,53,46,51,54,53,50,51,101,45,50,54,32,49,46,56,55,57,53,54,101,45,50,
      54,32,54,46,53,54,53,56,51,101,45,50,55,32,50,46,50,57,56,54,101,45,50,55,10,
      32,32,55,46,53,54,51,57,53,101,45,50,56,32,49,46,53,54,52,55,50,101,45,50,56,
      32,52,46,57,56,48,49,49,101,45,50,57,32,48,114,54,54,32,50,46,56,48,53,57,56,
      101,45,50,57,32,50,46,49,49,48,56,54,101,45,50,50,32,56,46,56,51,56,54,56,101,
      45,50,50,32,51,46,52,49,57,51,53,101,45,50,49,10,32,32,49,46,52,51,56,56,52,
      101,45,50,48,32,51,46,53,52,50,50,52,101,45,50,48,32,55,46,52,48,53,51,51,101,
      45,50,48,32,50,46,51,56,52,57,51,101,45,49,57,32,53,46,57,49,53,53,51,101,45,
      49,57,32,49,46,50,52,53,51,57,101,45,49,56,32,49,46,55,50,56,101,45,49,56,10,
      32,32,50,46,51,52,49,48,50,101,45,49,56,32,51,46,49,48,54,56,50,101,45,49,56,
      32,52,46,48,52,57,55,49,101,45,49,56,32,53,46,49,57,54,101,45,49,56,32,54,46,
      53,55,52,48,53,101,45,49,56,32,56,46,50,49,52,50,50,101,45,49,56,32,49,46,48,
      49,52,57,101,45,49,55,10,32,32,49,46,50,52,49,50,57,101,45,49,55,32,49,46,53,
      48,52,50,55,101,45,49,55,32,49,46,56,55,51,54,50,101,45,49,55,32,50,46,51,48,
      56,51,55,101,45,49,55,32,51,46,48,48,50,57,52,101,45,49,55,32,50,46,48,48,55,
      55,52,101,45,49,53,32,50,46,51,55,51,52,101,45,49,53,10,32,32,50,46,56,55,55,
      55,101,45,49,53,32,51,46,52,51,52,57,52,101,45,49,53,32,52,46,48,52,50,55,49,
      101,45,49,53,32,52,46,56,51,54,56,54,101,45,49,53,32,53,46,55,48,49,48,52,101,
      45,49,53,32,54,46,57,53,54,52,52,101,45,49,53,32,56,46,51,50,53,49,57,101,45,
      49,53,10,32,32,57,46,56,48,49,49,49,101,45,49,53,32,49,46,49,53,56,53,51,101,
      45,49,52,32,49,46,51,55,49,51,56,101,45,49,52,32,49,46,54,50,50,49,53,101,45,
      49,52,32,49,46,57,49,53,54,55,101,45,49,52,32,50,46,50,53,55,48,54,101,45,49,
      52,32,50,46,54,56,49,51,50,101,45,49,52,10,32,32,51,46,49,51,57,48,53,101,45,
      49,52,32,51,46,55,48,49,52,50,101,45,49,52,32,52,46,53,52,53,54,49,101,45,49,
      52,32,53,46,53,48,49,56,54,101,45,49,52,32,54,46,51,48,54,52,56,101,45,49,52,
      32,55,46,52,48,50,55,101,45,49,52,32,56,46,57,49,51,51,49,101,45,49,52,10,32,
      32,49,46,48,55,53,56,56,101,45,49,51,32,49,46,51,48,49,55,57,101,45,49,51,32,
      49,46,53,56,55,52,101,45,49,51,32,49,46,57,48,54,52,54,101,45,49,51,32,50,46,
      50,57,52,50,52,101,45,49,51,32,50,46,56,52,48,54,52,101,45,49,51,32,51,46,55,
      50,48,57,101,45,49,51,10,32,32,52,46,55,53,49,49,55,101,45,49,51,32,53,46,57,
      56,56,51,50,101,45,49,51,32,55,46,49,53,56,53,50,101,45,49,51,32,56,46,53,54,
      54,51,54,101,45,49,51,32,49,46,48,55,57,53,56,101,45,49,50,32,49,46,51,51,54,
      51,54,101,45,49,50,32,49,46,54,50,54,54,56,101,45,49,50,10,32,32,49,46,57,48,
      57,53,57,101,45,49,50,32,50,46,51,54,50,51,101,45,49,50,32,50,46,56,55,55,52,
      52,101,45,49,50,32,51,46,52,54,53,53,56,101,45,49,50,32,52,46,48,54,57,56,50,
      101,45,49,50,32,52,46,55,52,52,52,54,101,45,49,50,32,53,46,52,55,51,50,50,101,
      45,49,50,10,32,32,54,46,51,53,57,52,52,101,45,49,50,32,55,46,50,52,54,49,56,
      101,45,49,50,32,55,46,57,51,55,50,55,101,45,49,50,32,57,46,51,50,55,50,54,101,
      45,49,50,32,49,46,48,55,51,52,54,101,45,49,49,32,49,46,50,49,50,51,56,101,45,
      49,49,32,49,46,51,54,57,52,52,101,45,49,49,10,32,32,49,46,53,49,52,50,50,101,
      45,49,49,32,49,46,54,55,49,54,101,45,49,49,32,49,46,56,50,48,50,55,101,45,49,
      49,32,49,46,57,53,55,51,49,101,45,49,49,32,50,46,48,56,48,54,49,101,45,49,49,
      32,50,46,50,48,54,57,52,101,45,49,49,32,50,46,50,57,49,49,56,101,45,49,49,10,
      32,32,50,46,51,54,55,54,57,101,45,49,49,32,50,46,52,55,54,48,51,101,45,49,49,
      32,50,46,53,51,49,49,56,101,45,49,49,32,50,46,54,48,48,50,54,101,45,49,49,32,
      50,46,54,52,57,53,55,101,45,49,49,32,50,46,54,54,55,53,50,101,45,49,49,32,50,
      46,54,55,54,57,54,101,45,49,49,10,32,32,50,46,54,55,52,57,56,101,45,49,49,32,
      50,46,54,53,48,48,51,101,45,49,49,32,50,46,54,50,54,53,55,101,45,49,49,32,50,
      46,53,55,53,52,51,101,45,49,49,32,50,46,53,51,54,56,55,101,45,49,49,32,50,46,
      52,54,51,54,50,101,45,49,49,32,50,46,51,57,53,53,56,101,45,49,49,10,32,32,50,
      46,50,56,52,48,51,101,45,49,49,32,50,46,50,51,52,53,49,101,45,49,49,32,50,46,
      49,51,52,56,101,45,49,49,32,50,46,48,49,57,51,101,45,49,49,32,49,46,57,50,48,
      49,53,101,45,49,49,32,49,46,56,49,57,52,55,101,45,49,49,32,49,46,55,50,52,55,
      50,101,45,49,49,10,32,32,49,46,54,51,49,54,49,101,45,49,49,32,49,46,53,50,57,
      51,54,101,45,49,49,32,49,46,52,51,57,57,56,101,45,49,49,32,49,46,51,52,51,53,
      56,101,45,49,49,32,49,46,50,55,52,51,55,101,45,49,49,32,49,46,49,54,53,49,50,
      101,45,49,49,32,49,46,49,48,48,53,57,101,45,49,49,10,32,32,49,46,48,50,51,50,
      51,101,45,49,49,32,56,46,53,54,48,53,53,101,45,49,50,32,54,46,53,55,50,50,54,
      101,45,49,50,32,52,46,57,55,57,48,56,101,45,49,50,32,51,46,52,51,48,56,51,101,
      45,49,50,32,50,46,51,48,50,57,53,101,45,49,50,32,49,46,51,56,48,57,55,101,45,
      49,50,10,32,32,57,46,50,53,53,49,52,101,45,49,51,32,52,46,54,48,49,56,52,101,
      45,49,51,32,50,46,50,55,55,56,54,101,45,49,51,32,49,46,51,54,57,49,54,101,45,
      49,51,32,55,46,54,54,48,49,55,101,45,49,52,32,51,46,52,55,49,51,53,101,45,49,
      52,32,49,46,55,49,50,54,53,101,45,49,52,10,32,32,56,46,51,53,53,49,101,45,49,
      53,32,51,46,54,51,52,57,101,45,49,53,32,49,46,53,54,51,56,56,101,45,49,53,32,
      55,46,52,49,55,49,52,101,45,49,54,32,51,46,52,57,52,55,53,101,45,49,54,32,49,
      46,54,51,51,55,55,101,45,49,54,32,54,46,56,50,50,50,101,45,49,55,10,32,32,50,
      46,53,51,53,56,101,45,49,55,32,56,46,51,55,55,57,56,101,45,49,56,32,51,46,48,
      55,51,48,53,101,45,49,56,32,49,46,48,48,49,56,49,101,45,49,56,32,51,46,54,51,
      55,49,54,101,45,49,57,32,49,46,51,49,53,49,56,101,45,49,57,32,52,46,50,50,57,
      52,101,45,50,48,10,32,32,49,46,50,52,55,57,53,101,45,50,48,32,52,46,56,52,55,
      57,53,101,45,50,49,32,49,46,54,49,57,48,55,101,45,50,49,32,54,46,49,54,49,53,
      55,101,45,50,50,32,50,46,49,56,57,51,55,101,45,50,50,32,55,46,55,54,52,50,52,
      101,45,50,51,32,50,46,55,52,56,53,53,101,45,50,51,10,32,32,57,46,55,49,52,101,
      45,50,52,32,51,46,52,50,55,57,56,101,45,50,52,32,49,46,50,48,56,48,50,101,45,
      50,52,32,52,46,50,53,49,54,52,101,45,50,53,32,49,46,52,57,52,54,51,101,45,50,
      53,32,53,46,50,52,56,53,53,101,45,50,54,32,49,46,56,52,48,49,52,101,45,50,54,
      10,32,32,54,46,52,50,52,48,56,101,45,50,55,32,50,46,50,52,57,50,49,101,45,50,
      55,32,55,46,52,48,49,51,57,101,45,50,56,32,49,46,53,51,49,48,53,101,45,50,56,
      32,52,46,56,55,50,52,54,101,45,50,57,32,48,114,54,55,32,55,46,53,54,56,52,51,
      101,45,50,51,32,51,46,49,56,57,56,56,101,45,50,50,10,32,32,49,46,50,52,52,53,
      57,101,45,50,49,32,53,46,51,48,50,48,55,101,45,50,49,32,49,46,51,49,56,50,54,
      101,45,50,48,32,50,46,55,56,50,51,52,101,45,50,48,32,57,46,49,50,52,48,53,101,
      45,50,48,32,50,46,51,48,49,56,56,101,45,49,57,32,52,46,57,50,52,48,53,101,45,
      49,57,10,32,32,54,46,56,56,52,52,52,101,45,49,57,32,57,46,51,57,53,57,53,101,
      45,49,57,32,49,46,50,53,53,57,52,101,45,49,56,32,49,46,54,52,56,53,55,101,45,
      49,56,32,50,46,49,50,57,54,101,45,49,56,32,50,46,55,49,50,50,51,101,45,49,56,
      32,51,46,52,49,48,55,52,101,45,49,56,10,32,32,52,46,50,52,48,53,50,101,45,49,
      56,32,53,46,50,49,56,49,51,101,45,49,56,32,54,46,51,54,49,50,53,101,45,49,56,
      32,55,46,57,55,56,49,56,101,45,49,56,32,57,46,56,57,53,54,57,101,45,49,56,32,
      49,46,50,57,56,53,49,101,45,49,55,32,49,46,48,57,49,54,57,101,45,49,54,10,32,
      32,49,46,51,54,52,55,52,101,45,49,54,32,49,46,55,55,51,50,57,101,45,49,54,32,
      50,46,50,54,53,53,53,101,45,49,54,32,50,46,56,53,49,53,55,101,45,49,54,32,51,
      46,54,57,51,49,49,101,45,49,54,32,52,46,55,48,50,56,57,101,45,49,54,32,54,46,
      51,52,51,55,52,101,45,49,54,10,32,32,56,46,51,54,51,54,56,101,45,49,54,32,49,
      46,48,56,48,57,49,101,45,49,53,32,49,46,52,49,50,56,53,101,45,49,53,32,49,46,
      56,54,48,49,54,101,45,49,53,32,50,46,52,53,56,53,101,45,49,53,32,51,46,50,53,
      50,49,51,101,45,49,53,32,52,46,50,57,53,50,51,101,45,49,53,10,32,32,53,46,55,
      54,48,51,56,101,45,49,53,32,55,46,53,51,50,56,56,101,45,49,53,32,57,46,57,52,
      55,51,56,101,45,49,53,32,49,46,51,56,56,48,54,101,45,49,52,32,49,46,56,57,48,
      54,57,101,45,49,52,32,50,46,51,52,52,49,101,45,49,52,32,50,46,57,57,55,53,101,
      45,49,52,10,32,32,51,46,57,52,53,57,53,101,45,49,52,32,53,46,49,53,54,57,54,
      101,45,49,52,32,54,46,54,56,55,56,101,45,49,52,32,56,46,54,54,56,48,51,101,
      45,49,52,32,49,46,48,57,49,51,101,45,49,51,32,49,46,51,54,54,53,55,101,45,49,
      51,32,49,46,55,53,54,51,54,101,45,49,51,10,32,32,50,46,51,56,54,50,55,101,45,
      49,51,32,51,46,49,50,52,48,54,101,45,49,51,32,52,46,48,48,57,57,54,101,45,49,
      51,32,52,46,56,52,56,50,55,101,45,49,51,32,53,46,56,53,55,53,50,101,45,49,51,
      32,55,46,52,53,56,50,52,101,45,49,51,32,57,46,51,48,54,50,55,101,45,49,51,10,
      32,32,49,46,49,52,48,49,53,101,45,49,50,32,49,46,51,52,52,56,57,101,45,49,50,
      32,49,46,54,55,51,53,53,101,45,49,50,32,50,46,48,52,56,56,51,101,45,49,50,32,
      50,46,52,55,56,54,52,101,45,49,50,32,50,46,57,50,49,52,49,101,45,49,50,32,51,
      46,52,49,54,56,54,101,45,49,50,10,32,32,51,46,57,53,51,49,101,45,49,50,32,52,
      46,54,48,54,51,54,101,45,49,50,32,53,46,50,54,49,49,49,101,45,49,50,32,53,46,
      55,55,50,49,52,101,45,49,50,32,54,46,56,48,49,56,54,101,45,49,50,32,55,46,56,
      52,55,49,52,101,45,49,50,32,56,46,56,56,49,57,49,101,45,49,50,10,32,32,49,46,
      48,48,53,53,55,101,45,49,49,32,49,46,49,49,52,50,49,101,45,49,49,32,49,46,50,
      51,50,56,51,101,45,49,49,32,49,46,51,52,53,52,57,101,45,49,49,32,49,46,52,52,
      57,57,51,101,45,49,49,32,49,46,53,52,52,52,57,101,45,49,49,32,49,46,54,52,50,
      48,57,101,45,49,49,10,32,32,49,46,55,48,55,54,57,101,45,49,49,32,49,46,55,54,
      55,55,50,101,45,49,49,32,49,46,56,53,51,55,53,101,45,49,49,32,49,46,56,57,56,
      50,52,101,45,49,49,32,49,46,57,53,53,50,101,45,49,49,32,49,46,57,57,55,55,54,
      101,45,49,49,32,50,46,48,49,52,53,54,101,45,49,49,10,32,32,50,46,48,50,52,57,
      54,101,45,49,49,32,50,46,48,50,56,53,54,101,45,49,49,32,50,46,48,49,53,49,50,
      101,45,49,49,32,50,46,48,48,48,50,54,101,45,49,49,32,49,46,57,54,53,57,56,101,
      45,49,49,32,49,46,57,51,57,51,49,101,45,49,49,32,49,46,56,56,55,54,52,101,45,
      49,49,10,32,32,49,46,56,51,56,56,57,101,45,49,49,32,49,46,55,53,55,57,52,101,
      45,49,49,32,49,46,55,50,49,55,49,101,45,49,49,32,49,46,54,52,56,51,101,45,49,
      49,32,49,46,53,54,50,54,55,101,45,49,49,32,49,46,52,56,56,55,51,101,45,49,49,
      32,49,46,52,49,51,51,101,45,49,49,10,32,32,49,46,51,52,50,48,50,101,45,49,49,
      32,49,46,50,55,49,55,50,101,45,49,49,32,49,46,49,57,52,50,53,101,45,49,49,32,
      49,46,49,50,54,51,49,101,45,49,49,32,49,46,48,53,50,56,49,101,45,49,49,32,57,
      46,57,57,57,48,49,101,45,49,50,32,57,46,49,54,49,52,51,101,45,49,50,10,32,32,
      56,46,54,54,53,52,49,101,45,49,50,32,56,46,48,54,57,51,53,101,45,49,50,32,54,
      46,55,55,54,51,55,101,45,49,50,32,53,46,50,50,57,48,53,101,45,49,50,32,51,46,
      57,56,48,57,50,101,45,49,50,32,50,46,55,53,57,53,53,101,45,49,50,32,49,46,56,
      54,51,50,50,101,45,49,50,10,32,32,49,46,49,50,52,56,55,101,45,49,50,32,55,46,
      53,52,50,53,51,101,45,49,51,32,51,46,55,55,53,56,101,45,49,51,32,49,46,56,55,
      57,48,49,101,45,49,51,32,49,46,49,51,51,51,52,101,45,49,51,32,54,46,51,54,51,
      53,57,101,45,49,52,32,50,46,56,57,54,52,52,101,45,49,52,10,32,32,49,46,52,51,
      52,48,50,101,45,49,52,32,55,46,48,49,56,52,101,45,49,53,32,51,46,48,54,51,55,
      51,101,45,49,53,32,49,46,51,50,50,50,52,101,45,49,53,32,54,46,50,56,54,56,55,
      101,45,49,54,32,50,46,57,54,57,49,50,101,45,49,54,32,49,46,51,57,49,49,51,101,
      45,49,54,10,32,32,53,46,56,50,50,52,54,101,45,49,55,32,50,46,49,54,57,52,49,
      101,45,49,55,32,55,46,49,56,53,48,54,101,45,49,56,32,50,46,54,52,48,56,55,101,
      45,49,56,32,56,46,54,50,55,51,51,101,45,49,57,32,51,46,49,51,55,55,50,101,45,
      49,57,32,49,46,49,51,54,52,52,101,45,49,57,10,32,32,51,46,54,54,48,55,57,101,
      45,50,48,32,49,46,48,56,49,57,57,101,45,50,48,32,52,46,50,48,56,51,57,101,45,
      50,49,32,49,46,52,48,55,51,52,101,45,50,49,32,53,46,51,54,49,55,49,101,45,50,
      50,32,49,46,57,48,55,50,56,101,45,50,50,32,54,46,55,55,48,57,55,101,45,50,51,
      10,32,32,50,46,51,57,57,51,51,101,45,50,51,32,56,46,52,56,55,55,56,101,45,50,
      52,32,50,46,57,57,55,57,54,101,45,50,52,32,49,46,48,53,55,52,101,45,50,52,32,
      51,46,55,50,52,52,57,101,45,50,53,32,49,46,51,49,48,51,51,101,45,50,53,32,52,
      46,54,48,52,55,57,101,45,50,54,10,32,32,49,46,54,49,54,53,52,101,45,50,54,32,
      53,46,54,53,50,55,50,101,45,50,55,32,49,46,57,55,54,53,52,101,45,50,55,32,54,
      46,53,48,51,57,101,45,50,56,32,49,46,51,52,53,50,101,45,50,56,32,52,46,50,55,
      56,52,54,101,45,50,57,32,57,46,56,52,55,51,49,101,45,51,48,10,32,32,48,114,
      54,54,32,50,46,57,49,52,52,54,101,45,50,51,32,49,46,50,52,48,48,54,101,45,50,
      50,32,52,46,56,57,55,50,53,101,45,50,50,32,50,46,49,50,50,50,54,101,45,50,49,
      32,53,46,51,52,55,54,101,45,50,49,32,49,46,49,52,51,48,52,101,45,50,48,32,51,
      46,56,51,54,55,49,101,45,50,48,10,32,32,57,46,56,56,53,55,54,101,45,50,48,32,
      50,46,49,53,53,54,50,101,45,49,57,32,51,46,48,52,48,57,50,101,45,49,57,32,52,
      46,49,56,53,57,55,101,45,49,57,32,53,46,54,52,49,52,51,101,45,49,57,32,55,46,
      52,54,51,53,56,101,45,49,57,32,57,46,55,49,52,53,56,101,45,49,57,10,32,32,49,
      46,50,52,54,50,55,101,45,49,56,32,49,46,53,55,56,50,52,101,45,49,56,32,49,46,
      57,55,53,52,56,101,45,49,56,32,50,46,52,52,54,55,54,101,45,49,56,32,51,46,48,
      48,49,53,52,101,45,49,56,32,51,46,55,57,49,56,55,101,45,49,56,32,52,46,55,51,
      54,48,56,101,45,49,56,10,32,32,54,46,50,55,48,48,52,101,45,49,56,32,52,46,55,
      52,56,53,56,101,45,49,55,32,53,46,57,50,53,50,57,101,45,49,55,32,55,46,54,56,
      52,55,101,45,49,55,32,57,46,56,48,52,49,49,101,45,49,55,32,49,46,50,51,50,55,
      57,101,45,49,54,32,49,46,53,57,53,54,101,45,49,54,10,32,32,50,46,48,51,49,56,
      50,101,45,49,54,32,50,46,55,52,51,48,52,101,45,49,54,32,51,46,54,50,50,55,54,
      101,45,49,54,32,52,46,54,57,52,51,57,101,45,49,54,32,54,46,49,54,48,48,51,101,
      45,49,54,32,56,46,49,53,52,52,57,101,45,49,54,32,49,46,48,56,53,52,51,101,45,
      49,53,10,32,32,49,46,52,52,56,55,53,101,45,49,53,32,49,46,57,51,52,53,52,101,
      45,49,53,32,50,46,54,51,48,57,101,45,49,53,32,51,46,52,57,50,54,55,101,45,49,
      53,32,52,46,54,57,54,50,55,101,45,49,53,32,54,46,55,50,50,54,49,101,45,49,53,
      32,57,46,52,48,51,55,49,101,45,49,53,10,32,32,49,46,49,56,57,56,54,101,45,49,
      52,32,49,46,53,53,57,57,56,101,45,49,52,32,50,46,49,49,53,57,51,101,45,49,52,
      32,50,46,56,53,49,52,49,101,45,49,52,32,51,46,56,49,51,52,50,101,45,49,52,32,
      53,46,48,57,56,54,56,101,45,49,52,32,54,46,53,57,55,53,52,101,45,49,52,10,32,
      32,56,46,52,56,48,50,53,101,45,49,52,32,49,46,49,50,48,54,52,101,45,49,51,32,
      49,46,53,55,49,49,53,101,45,49,51,32,50,46,49,48,56,52,51,101,45,49,51,32,50,
      46,55,54,49,57,49,101,45,49,51,32,51,46,51,56,53,53,55,101,45,49,51,32,52,46,
      49,52,48,56,55,101,45,49,51,10,32,32,53,46,51,52,53,52,50,101,45,49,51,32,54,
      46,55,52,50,55,50,101,45,49,51,32,56,46,51,51,50,55,55,101,45,49,51,32,57,46,
      56,57,48,56,51,101,45,49,51,32,49,46,50,51,57,56,55,101,45,49,50,32,49,46,53,
      50,55,48,49,101,45,49,50,32,49,46,56,53,54,54,52,101,45,49,50,10,32,32,50,46,
      49,57,54,56,54,101,45,49,50,32,50,46,53,55,56,50,50,101,45,49,50,32,50,46,57,
      57,49,54,101,45,49,50,32,51,46,52,57,53,57,49,101,45,49,50,32,52,46,48,48,50,
      48,55,101,45,49,50,32,52,46,51,57,55,54,101,45,49,50,32,53,46,49,57,53,55,56,
      101,45,49,50,10,32,32,54,46,48,48,55,55,54,101,45,49,50,32,54,46,56,49,51,52,
      56,101,45,49,50,32,55,46,55,50,57,57,57,101,45,49,50,32,56,46,53,56,49,48,52,
      101,45,49,50,32,57,46,53,49,51,54,53,101,45,49,50,32,49,46,48,52,48,51,49,101,
      45,49,49,32,49,46,49,50,51,49,55,101,45,49,49,10,32,32,49,46,49,57,56,53,55,
      101,45,49,49,32,49,46,50,55,54,56,55,101,45,49,49,32,49,46,51,50,57,56,50,101,
      45,49,49,32,49,46,51,55,56,53,55,101,45,49,49,32,49,46,52,52,57,49,50,101,45,
      49,49,32,49,46,52,56,54,48,54,101,45,49,49,32,49,46,53,51,52,49,50,101,45,49,
      49,10,32,32,49,46,53,55,49,50,49,101,45,49,49,32,49,46,53,56,54,54,53,101,45,
      49,49,32,49,46,53,57,55,48,53,101,45,49,49,32,49,46,54,48,51,51,54,101,45,49,
      49,32,49,46,53,57,54,52,55,101,45,49,49,32,49,46,53,56,54,55,51,101,45,49,49,
      32,49,46,53,54,50,55,50,101,45,49,49,10,32,32,49,46,53,52,51,52,50,101,45,49,
      49,32,49,46,53,48,53,50,53,101,45,49,49,32,49,46,52,54,56,54,56,101,45,49,49,
      32,49,46,52,48,55,50,51,101,45,49,49,32,49,46,51,55,57,53,49,101,45,49,49,32,
      49,46,51,50,51,48,51,101,45,49,49,32,49,46,50,53,54,55,50,101,45,49,49,10,32,
      32,49,46,49,57,57,49,55,101,45,49,49,32,49,46,49,52,48,50,49,101,45,49,49,32,
      49,46,48,56,52,50,57,101,45,49,49,32,49,46,48,50,56,57,54,101,45,49,49,32,57,
      46,54,55,56,48,54,101,45,49,50,32,57,46,49,52,48,49,55,101,45,49,50,32,56,46,
      53,53,54,54,57,101,45,49,50,10,32,32,56,46,49,51,53,55,51,101,45,49,50,32,55,
      46,52,54,55,55,101,45,49,50,32,55,46,48,55,49,49,56,101,45,49,50,32,54,46,53,
      57,51,55,53,101,45,49,50,32,53,46,53,53,52,54,56,101,45,49,50,32,52,46,51,48,
      52,54,55,101,45,49,50,32,51,46,50,57,48,54,52,101,45,49,50,10,32,32,50,46,50,
      57,50,53,51,101,45,49,50,32,49,46,53,53,53,53,101,45,49,50,32,57,46,52,52,52,
      53,56,101,45,49,51,32,54,46,51,51,52,57,54,101,45,49,51,32,51,46,49,56,57,51,
      51,101,45,49,51,32,49,46,53,57,52,51,56,101,45,49,51,32,57,46,54,52,52,56,50,
      101,45,49,52,10,32,32,53,46,52,51,50,48,54,101,45,49,52,32,50,46,52,56,49,55,
      50,101,45,49,52,32,49,46,50,51,50,51,56,101,45,49,52,32,54,46,48,52,56,49,52,
      101,45,49,53,32,50,46,54,52,55,56,50,101,45,49,53,32,49,46,49,52,53,55,55,101,
      45,49,53,32,53,46,52,53,57,52,52,101,45,49,54,10,32,32,50,46,53,56,51,53,101,
      45,49,54,32,49,46,50,49,50,55,54,101,45,49,54,32,53,46,48,56,53,57,55,101,45,
      49,55,32,49,46,56,57,56,57,49,101,45,49,55,32,54,46,51,48,50,52,50,101,45,49,
      56,32,50,46,51,50,48,53,101,45,49,56,32,55,46,53,57,52,51,50,101,45,49,57,10,
      32,32,50,46,55,54,54,49,54,101,45,49,57,32,49,46,48,48,51,50,54,101,45,49,57,
      32,51,46,50,51,54,52,53,101,45,50,48,32,57,46,53,55,57,53,51,101,45,50,49,32,
      51,46,55,50,57,56,50,101,45,50,49,32,49,46,50,52,56,55,50,101,45,50,49,32,52,
      46,55,54,49,56,53,101,45,50,50,10,32,32,49,46,54,57,53,53,101,45,50,50,32,54,
      46,48,50,52,53,57,101,45,50,51,32,50,46,49,51,54,54,54,101,45,50,51,32,55,46,
      53,54,52,55,50,101,45,50,52,32,50,46,54,55,51,57,57,101,45,50,52,32,57,46,52,
      51,56,50,101,45,50,53,32,51,46,51,50,54,56,50,101,45,50,53,10,32,32,49,46,49,
      55,49,49,56,101,45,50,53,32,52,46,49,49,56,52,50,101,45,50,54,32,49,46,52,52,
      54,54,56,101,45,50,54,32,53,46,48,54,48,57,50,101,45,50,55,32,49,46,55,55,48,
      50,55,101,45,50,55,32,53,46,57,48,52,49,51,101,45,50,56,32,49,46,50,48,52,53,
      54,101,45,50,56,10,32,32,51,46,56,50,57,50,53,101,45,50,57,32,56,46,55,56,56,
      56,50,101,45,51,48,32,48,114,54,54,32,49,46,55,56,49,51,56,101,45,50,52,32,
      56,46,48,55,56,49,53,101,45,50,52,32,51,46,52,52,48,51,53,101,45,50,51,32,49,
      46,54,52,51,101,45,50,50,32,52,46,52,51,55,54,51,101,45,50,50,10,32,32,49,46,
      48,48,56,51,56,101,45,50,49,32,51,46,55,53,51,51,54,101,45,50,49,32,49,46,48,
      53,50,52,50,101,45,50,48,32,50,46,52,54,51,51,49,101,45,50,48,32,51,46,53,56,
      53,56,101,45,50,48,32,53,46,48,56,50,48,49,101,45,50,48,32,55,46,48,51,55,53,
      56,101,45,50,48,10,32,32,57,46,53,53,48,49,51,101,45,50,48,32,49,46,50,55,51,
      101,45,49,57,32,49,46,54,55,48,49,50,101,45,49,57,32,50,46,49,54,48,49,53,101,
      45,49,57,32,50,46,55,53,56,52,49,101,45,49,57,32,51,46,52,56,49,55,54,101,45,
      49,57,32,52,46,51,52,56,54,57,101,45,49,57,10,32,32,53,46,54,48,55,49,49,101,
      45,49,57,32,55,46,49,51,57,55,54,101,45,49,57,32,57,46,54,56,51,50,55,101,45,
      49,57,32,50,46,52,56,51,52,54,101,45,49,55,32,51,46,48,56,49,51,51,101,45,49,
      55,32,51,46,57,54,56,52,50,101,45,49,55,32,53,46,48,50,56,49,54,101,45,49,55,
      10,32,32,54,46,50,55,57,55,57,101,45,49,55,32,56,46,48,54,51,49,57,101,45,49,
      55,32,49,46,48,49,56,55,57,101,45,49,54,32,49,46,51,54,49,52,56,101,45,49,54,
      32,49,46,55,56,48,52,50,101,45,49,54,32,50,46,50,56,53,48,55,101,45,49,54,32,
      50,46,57,54,55,51,55,101,45,49,54,10,32,32,51,46,56,56,52,54,53,101,45,49,54,
      32,53,46,49,49,48,54,50,101,45,49,54,32,54,46,55,51,57,48,55,101,45,49,54,32,
      56,46,56,56,56,51,54,101,45,49,54,32,49,46,49,57,50,56,54,101,45,49,53,32,49,
      46,53,54,52,51,52,101,45,49,53,32,50,46,48,55,55,48,51,101,45,49,53,10,32,32,
      50,46,57,52,50,52,50,101,45,49,53,32,52,46,48,54,51,52,56,101,45,49,53,32,53,
      46,48,57,56,54,51,101,45,49,53,32,54,46,54,50,53,55,53,101,45,49,53,32,56,46,
      57,48,57,48,55,101,45,49,53,32,49,46,49,57,50,50,53,101,45,49,52,32,49,46,53,
      56,54,52,55,101,45,49,52,10,32,32,50,46,49,49,52,54,50,101,45,49,52,32,50,46,
      55,51,51,54,51,101,45,49,52,32,51,46,53,49,54,52,53,101,45,49,52,32,52,46,54,
      54,48,54,57,101,45,49,52,32,54,46,53,55,54,52,55,101,45,49,52,32,56,46,56,57,
      55,53,52,101,45,49,52,32,49,46,49,55,54,54,51,101,45,49,51,10,32,32,49,46,52,
      53,52,50,51,101,45,49,51,32,49,46,55,57,52,55,50,101,45,49,51,32,50,46,51,52,
      53,55,51,101,45,49,51,32,50,46,57,57,52,56,55,101,45,49,51,32,51,46,55,52,51,
      57,52,101,45,49,51,32,52,46,52,56,54,53,56,101,45,49,51,32,53,46,54,57,54,49,
      53,101,45,49,51,10,32,32,55,46,48,57,55,56,55,101,45,49,51,32,56,46,55,50,51,
      57,52,101,45,49,51,32,49,46,48,52,49,54,57,101,45,49,50,32,49,46,50,51,50,56,
      51,101,45,49,50,32,49,46,52,52,49,51,101,45,49,50,32,49,46,54,57,55,49,49,101,
      45,49,50,32,49,46,57,53,53,49,56,101,45,49,50,10,32,32,50,46,49,53,55,54,54,
      101,45,49,50,32,50,46,53,54,56,50,50,101,45,49,50,32,50,46,57,56,56,52,52,101,
      45,49,50,32,51,46,52,48,56,48,50,101,45,49,50,32,51,46,56,56,56,54,52,101,45,
      49,50,32,52,46,51,51,56,52,50,101,45,49,50,32,52,46,56,51,53,54,57,101,45,49,
      50,10,32,32,53,46,51,49,52,56,54,101,45,49,50,32,53,46,55,54,54,50,51,101,45,
      49,50,32,54,46,49,56,49,57,53,101,45,49,50,32,54,46,54,49,57,55,52,101,45,49,
      50,32,54,46,57,50,48,49,55,101,45,49,50,32,55,46,50,48,48,54,56,101,45,49,50,
      32,55,46,54,49,53,52,51,101,45,49,50,10,32,32,55,46,56,51,56,53,52,101,45,49,
      50,32,56,46,49,51,56,57,52,101,45,49,50,32,56,46,51,56,54,50,51,101,45,49,50,
      32,56,46,52,57,56,57,52,101,45,49,50,32,56,46,53,56,53,48,56,101,45,49,50,32,
      56,46,54,54,54,56,54,101,45,49,50,32,56,46,54,56,49,54,51,101,45,49,50,10,32,
      32,56,46,54,53,55,48,52,101,45,49,50,32,56,46,53,55,48,55,50,101,45,49,50,32,
      56,46,52,57,49,52,56,101,45,49,50,32,56,46,51,50,51,50,57,101,45,49,50,32,56,
      46,49,53,51,56,49,101,45,49,50,32,55,46,56,53,56,49,55,101,45,49,50,32,55,46,
      55,50,49,54,54,101,45,49,50,10,32,32,55,46,52,51,57,48,55,101,45,49,50,32,55,
      46,49,48,49,49,55,101,45,49,50,32,54,46,56,48,51,53,51,101,45,49,50,32,54,46,
      52,57,53,48,55,101,45,49,50,32,54,46,49,57,57,54,50,101,45,49,50,32,53,46,57,
      48,52,55,54,101,45,49,50,32,53,46,53,55,54,49,51,101,45,49,50,10,32,32,53,46,
      50,56,52,56,57,101,45,49,50,32,52,46,57,54,54,55,52,101,45,49,50,32,52,46,55,
      51,53,56,50,101,45,49,50,32,52,46,51,54,55,48,49,101,45,49,50,32,52,46,49,52,
      54,55,52,101,45,49,50,32,51,46,56,56,48,50,49,101,45,49,50,32,51,46,50,57,53,
      48,54,101,45,49,50,10,32,32,50,46,53,56,49,53,101,45,49,50,32,49,46,57,57,52,
      49,52,101,45,49,50,32,49,46,52,48,55,50,53,101,45,49,50,32,57,46,54,54,57,101,
      45,49,51,32,53,46,57,53,54,57,56,101,45,49,51,32,52,46,48,48,54,52,50,101,45,
      49,51,32,50,46,48,52,53,52,57,101,45,49,51,10,32,32,49,46,48,51,52,56,54,101,
      45,49,51,32,54,46,51,48,56,56,49,101,45,49,52,32,51,46,53,56,49,57,51,101,45,
      49,52,32,49,46,54,53,50,54,54,101,45,49,52,32,56,46,50,55,49,56,101,45,49,53,
      32,52,46,48,56,57,50,50,101,45,49,53,32,49,46,56,48,51,57,56,101,45,49,53,10,
      32,32,55,46,56,54,49,50,101,45,49,54,32,51,46,55,54,55,48,57,101,45,49,54,32,
      49,46,55,57,50,49,101,45,49,54,32,56,46,52,53,53,48,54,101,45,49,55,32,51,46,
      53,54,52,53,101,45,49,55,32,49,46,51,51,56,49,52,101,45,49,55,32,52,46,52,54,
      54,49,49,101,45,49,56,10,32,32,49,46,54,53,50,48,50,101,45,49,56,32,53,46,52,
      51,50,51,56,101,45,49,57,32,49,46,57,56,54,53,56,101,45,49,57,32,55,46,50,51,
      50,101,45,50,48,32,50,46,51,52,49,57,57,101,45,50,48,32,54,46,57,53,56,54,49,
      101,45,50,49,32,50,46,55,49,54,56,54,101,45,50,49,10,32,32,57,46,49,50,51,51,
      52,101,45,50,50,32,51,46,52,56,55,56,101,45,50,50,32,49,46,50,52,53,48,50,101,
      45,50,50,32,52,46,52,51,52,52,57,101,45,50,51,32,49,46,53,55,54,51,101,45,50,
      51,32,53,46,53,57,50,56,54,101,45,50,52,32,49,46,57,56,49,48,51,101,45,50,52,
      10,32,32,55,46,48,48,54,48,49,101,45,50,53,32,50,46,52,55,52,49,50,101,45,50,
      53,32,56,46,55,50,53,48,49,101,45,50,54,32,51,46,48,55,51,51,49,101,45,50,54,
      32,49,46,48,56,49,51,49,101,45,50,54,32,51,46,55,57,50,57,51,101,45,50,55,32,
      49,46,51,50,54,48,56,101,45,50,55,10,32,32,52,46,52,54,57,52,51,101,45,50,56,
      32,57,46,53,55,49,54,52,101,45,50,57,32,50,46,56,54,51,55,53,101,45,50,57,32,
      54,46,53,50,52,49,56,101,45,51,48,32,48,114,54,54,32,49,46,52,57,49,56,55,101,
      45,50,53,32,55,46,55,52,51,55,56,101,45,50,53,32,51,46,55,54,48,49,51,101,45,
      50,52,10,32,32,50,46,48,53,57,51,51,101,45,50,51,32,54,46,48,51,56,53,51,101,
      45,50,51,32,49,46,52,54,51,50,52,101,45,50,50,32,53,46,57,57,49,49,53,101,45,
      50,50,32,49,46,55,57,56,56,57,101,45,50,49,32,52,46,52,51,55,53,53,101,45,50,
      49,32,54,46,54,48,52,51,56,101,45,50,49,10,32,32,57,46,53,52,57,55,56,101,45,
      50,49,32,49,46,51,52,54,56,57,101,45,50,48,32,49,46,56,53,56,55,55,101,45,50,
      48,32,50,46,53,49,54,53,53,101,45,50,48,32,51,46,51,52,57,55,50,101,45,50,48,
      32,52,46,51,57,49,53,56,101,45,50,48,32,53,46,54,55,57,53,101,45,50,48,10,32,
      32,55,46,50,53,53,49,54,101,45,50,48,32,57,46,49,54,52,55,57,101,45,50,48,32,
      49,46,49,57,54,57,52,101,45,49,57,32,49,46,53,52,50,54,54,101,45,49,57,32,50,
      46,49,50,52,49,51,101,45,49,57,32,57,46,55,51,52,57,57,101,45,49,56,32,49,46,
      50,49,51,57,51,101,45,49,55,10,32,32,49,46,53,55,51,48,49,101,45,49,55,32,50,
      46,48,48,52,57,57,101,45,49,55,32,50,46,53,49,56,55,49,101,45,49,55,32,51,46,
      50,53,54,48,54,101,45,49,55,32,52,46,49,52,50,57,54,101,45,49,55,32,53,46,53,
      56,51,55,101,45,49,55,32,55,46,51,54,49,54,53,101,45,49,55,10,32,32,57,46,53,
      50,50,52,49,101,45,49,55,32,49,46,50,52,55,48,51,101,45,49,54,32,49,46,54,52,
      55,49,50,101,45,49,54,32,50,46,49,56,55,49,51,101,45,49,54,32,50,46,57,49,49,
      54,56,101,45,49,54,32,51,46,56,55,55,53,57,101,45,49,54,32,53,46,50,53,56,51,
      101,45,49,54,10,32,32,54,46,57,54,50,48,53,101,45,49,54,32,57,46,51,51,54,48,
      55,101,45,49,54,32,49,46,51,51,55,49,49,101,45,49,53,32,49,46,56,54,54,56,57,
      101,45,49,53,32,50,46,51,54,48,48,57,101,45,49,53,32,51,46,48,57,50,56,49,101,
      45,49,53,32,52,46,49,57,54,52,52,101,45,49,53,10,32,32,53,46,54,54,51,53,54,
      101,45,49,53,32,55,46,53,57,53,52,56,101,45,49,53,32,49,46,48,49,57,57,50,101,
      45,49,52,32,49,46,51,50,54,55,101,45,49,52,32,49,46,55,49,54,53,52,101,45,49,
      52,32,50,46,50,56,57,49,57,101,45,49,52,32,51,46,50,53,51,57,53,101,45,49,52,
      10,32,32,52,46,52,51,48,54,57,101,45,49,52,32,53,46,56,57,52,57,56,101,45,49,
      52,32,55,46,51,50,48,57,50,101,45,49,52,32,57,46,48,56,48,51,57,101,45,49,52,
      32,49,46,49,57,52,57,56,101,45,49,51,32,49,46,53,51,54,48,53,101,45,49,51,32,
      49,46,57,51,51,49,101,45,49,51,10,32,32,50,46,51,50,57,57,50,101,45,49,51,32,
      50,46,57,56,50,48,52,101,45,49,51,32,51,46,55,52,53,50,53,101,45,49,51,32,52,
      46,54,51,56,55,57,101,45,49,51,32,53,46,53,55,54,55,101,45,49,51,32,54,46,54,
      52,51,49,57,101,45,49,51,32,55,46,56,49,52,48,51,101,45,49,51,10,32,32,57,46,
      50,53,57,52,54,101,45,49,51,32,49,46,48,55,50,53,56,101,45,49,50,32,49,46,49,
      56,56,49,101,45,49,50,32,49,46,52,50,51,52,56,101,45,49,50,32,49,46,54,54,53,
      56,101,45,49,50,32,49,46,57,48,57,48,53,101,45,49,50,32,50,46,49,56,57,50,56,
      101,45,49,50,10,32,32,50,46,52,53,51,49,52,101,45,49,50,32,50,46,55,52,54,55,
      57,101,45,49,50,32,51,46,48,51,49,57,51,101,45,49,50,32,51,46,51,48,50,55,50,
      101,45,49,50,32,51,46,53,53,52,51,101,45,49,50,32,51,46,56,50,49,57,53,101,
      45,49,50,32,52,46,48,48,55,53,54,101,45,49,50,10,32,32,52,46,49,56,50,54,101,
      45,49,50,32,52,46,52,52,53,51,53,101,45,49,50,32,52,46,53,56,57,51,49,101,45,
      49,50,32,52,46,55,56,55,53,51,101,45,49,50,32,52,46,57,53,55,49,57,101,45,49,
      50,32,53,46,48,51,56,52,53,101,45,49,50,32,53,46,49,48,52,50,55,101,45,49,50,
      10,32,32,53,46,49,55,54,50,53,101,45,49,50,32,53,46,50,49,48,54,50,101,45,49,
      50,32,53,46,50,48,57,56,56,101,45,49,50,32,53,46,49,56,48,49,51,101,45,49,50,
      32,53,46,49,52,53,53,50,101,45,49,50,32,53,46,48,54,52,53,54,101,45,49,50,32,
      52,46,57,55,55,57,54,101,45,49,50,10,32,32,52,46,56,50,48,53,57,101,45,49,50,
      32,52,46,55,52,54,49,54,101,45,49,50,32,52,46,53,56,57,53,57,101,45,49,50,32,
      52,46,51,57,57,48,50,101,45,49,50,32,52,46,50,50,56,56,49,101,45,49,50,32,52,
      46,48,53,48,53,50,101,45,49,50,32,51,46,56,55,56,49,57,101,45,49,50,10,32,32,
      51,46,55,48,52,56,56,101,45,49,50,32,51,46,53,49,48,50,56,101,45,49,50,32,51,
      46,51,51,54,54,53,101,45,49,50,32,51,46,49,52,53,56,50,101,45,49,50,32,51,46,
      48,48,54,53,55,101,45,49,50,32,50,46,55,56,50,57,53,101,45,49,50,32,50,46,54,
      52,56,54,56,101,45,49,50,10,32,32,50,46,52,56,53,53,50,101,45,49,50,32,50,46,
      49,50,52,54,52,101,45,49,50,32,49,46,54,55,57,52,56,101,45,49,50,32,49,46,51,
      48,56,53,53,101,45,49,50,32,57,46,51,51,50,50,51,101,45,49,51,32,54,46,52,55,
      56,54,49,101,45,49,51,32,52,46,48,51,57,50,50,101,45,49,51,10,32,32,50,46,55,
      50,57,53,56,101,45,49,51,32,49,46,52,48,55,53,56,101,45,49,51,32,55,46,49,57,
      51,49,51,101,45,49,52,32,52,46,52,49,51,56,51,101,45,49,52,32,50,46,53,50,51,
      49,49,101,45,49,52,32,49,46,49,55,51,56,55,101,45,49,52,32,53,46,57,49,52,55,
      51,101,45,49,53,10,32,32,50,46,57,52,50,48,53,101,45,49,53,32,49,46,51,48,54,
      51,50,101,45,49,53,32,53,46,55,50,54,52,53,101,45,49,54,32,50,46,55,53,55,51,
      53,101,45,49,54,32,49,46,51,49,55,54,51,101,45,49,54,32,54,46,50,52,51,49,51,
      101,45,49,55,32,50,46,54,52,51,55,54,101,45,49,55,10,32,32,57,46,57,55,49,49,
      49,101,45,49,56,32,51,46,51,52,51,55,53,101,45,49,56,32,49,46,50,52,49,55,52,
      101,45,49,56,32,52,46,48,57,57,56,101,45,49,57,32,49,46,53,48,52,51,52,101,
      45,49,57,32,53,46,52,57,51,55,52,101,45,50,48,32,49,46,55,56,52,57,101,45,50,
      48,10,32,32,53,46,51,50,48,54,54,101,45,50,49,32,50,46,48,56,50,50,54,101,45,
      50,49,32,55,46,48,49,48,51,101,45,50,50,32,50,46,54,56,53,55,50,101,45,50,50,
      32,57,46,54,48,55,55,101,45,50,51,32,51,46,52,50,57,48,54,101,45,50,51,32,49,
      46,50,50,49,50,54,101,45,50,51,10,32,32,52,46,51,52,49,48,57,101,45,50,52,32,
      49,46,53,52,48,51,51,101,45,50,52,32,53,46,52,53,54,52,55,101,45,50,53,32,49,
      46,57,50,57,57,56,101,45,50,53,32,54,46,56,49,54,55,55,101,45,50,54,32,50,46,
      52,48,52,51,52,101,45,50,54,32,56,46,52,55,49,48,53,101,45,50,55,10,32,32,50,
      46,57,56,49,50,101,45,50,55,32,49,46,48,52,52,48,49,101,45,50,55,32,51,46,53,
      49,49,101,45,50,56,32,55,46,53,50,49,53,57,101,45,50,57,32,50,46,50,52,52,55,
      56,101,45,50,57,32,55,46,56,51,50,54,50,101,45,51,48,32,48,114,54,54,32,49,
      46,51,48,52,49,50,101,45,50,54,10,32,32,55,46,56,51,55,50,51,101,45,50,54,32,
      52,46,50,55,48,53,55,101,45,50,53,32,50,46,53,57,48,49,50,101,45,50,52,32,56,
      46,48,50,56,51,56,101,45,50,52,32,50,46,48,50,56,51,49,101,45,50,51,32,56,46,
      56,50,56,53,56,101,45,50,51,32,50,46,55,55,51,48,51,101,45,50,50,10,32,32,55,
      46,48,57,51,49,56,101,45,50,50,32,49,46,48,55,50,54,52,101,45,50,49,32,49,46,
      53,55,52,49,56,101,45,50,49,32,50,46,50,53,49,50,57,101,45,50,49,32,51,46,49,
      52,55,57,50,101,45,50,49,32,52,46,51,49,53,50,51,101,45,50,49,32,53,46,56,49,
      50,51,53,101,45,50,49,10,32,32,55,46,55,48,54,57,53,101,45,50,49,32,49,46,48,
      48,55,54,101,45,50,48,32,49,46,51,48,48,54,53,101,45,50,48,32,49,46,54,53,57,
      54,50,101,45,50,48,32,50,46,49,57,50,56,52,101,45,50,48,32,50,46,56,53,55,57,
      57,101,45,50,48,32,51,46,57,57,49,56,55,101,45,50,48,10,32,32,50,46,50,52,54,
      52,55,101,45,49,56,32,50,46,56,50,53,55,53,101,45,49,56,32,51,46,55,48,49,48,
      54,101,45,49,56,32,52,46,55,54,55,53,51,101,45,49,56,32,54,46,48,53,49,54,52,
      101,45,49,56,32,55,46,57,49,57,56,101,45,49,56,32,49,46,48,50,56,54,101,45,
      49,55,10,32,32,49,46,52,48,56,48,57,101,45,49,55,32,49,46,56,56,52,57,101,45,
      49,55,32,50,46,52,55,52,54,49,101,45,49,55,32,51,46,50,57,51,56,50,101,45,49,
      55,32,52,46,52,50,55,53,57,101,45,49,55,32,53,46,57,57,48,49,52,101,45,49,55,
      32,56,46,49,51,51,50,49,101,45,49,55,10,32,32,49,46,49,48,53,54,49,101,45,49,
      54,32,49,46,53,51,52,54,50,101,45,49,54,32,50,46,48,55,54,53,53,101,45,49,54,
      32,50,46,56,53,48,57,50,101,45,49,54,32,52,46,50,48,50,49,101,45,49,54,32,54,
      46,48,51,54,56,51,101,45,49,54,32,55,46,55,56,57,55,101,45,49,54,10,32,32,49,
      46,48,52,53,54,52,101,45,49,53,32,49,46,52,53,56,51,51,101,45,49,53,32,50,46,
      48,50,50,55,101,45,49,53,32,50,46,55,56,54,53,50,101,45,49,53,32,51,46,56,52,
      51,56,54,101,45,49,53,32,53,46,49,50,48,55,51,101,45,49,53,32,54,46,55,55,57,
      57,57,101,45,49,53,10,32,32,57,46,50,55,51,52,51,101,45,49,53,32,49,46,51,53,
      56,50,56,101,45,49,52,32,49,46,56,57,54,55,57,101,45,49,52,32,50,46,53,56,48,
      55,51,101,45,49,52,32,51,46,50,53,55,53,57,101,45,49,52,32,52,46,49,48,51,57,
      51,101,45,49,52,32,53,46,53,48,52,48,55,101,45,49,52,10,32,32,55,46,49,57,50,
      52,56,101,45,49,52,32,57,46,49,56,50,55,57,101,45,49,52,32,49,46,49,49,57,50,
      55,101,45,49,51,32,49,46,52,53,51,48,57,101,45,49,51,32,49,46,56,52,56,49,52,
      101,45,49,51,32,50,46,51,49,53,51,101,45,49,51,32,50,46,56,48,57,57,52,101,
      45,49,51,10,32,32,51,46,51,55,54,54,57,101,45,49,51,32,52,46,48,48,51,50,49,
      101,45,49,51,32,52,46,55,56,49,55,57,101,45,49,51,32,53,46,53,55,54,53,101,
      45,49,51,32,54,46,50,48,53,53,52,101,45,49,51,32,55,46,52,57,52,49,49,101,45,
      49,51,32,56,46,56,50,57,49,50,101,45,49,51,10,32,32,49,46,48,49,55,55,49,101,
      45,49,50,32,49,46,49,55,51,57,51,101,45,49,50,32,49,46,51,50,49,57,52,101,45,
      49,50,32,49,46,52,56,55,55,54,101,45,49,50,32,49,46,54,52,57,57,55,101,45,49,
      50,32,49,46,56,48,53,50,54,101,45,49,50,32,49,46,57,53,48,55,52,101,45,49,50,
      10,32,32,50,46,49,48,55,48,50,101,45,49,50,32,50,46,50,49,54,52,56,101,45,49,
      50,32,50,46,51,50,48,54,55,101,45,49,50,32,50,46,52,55,57,50,55,101,45,49,50,
      32,50,46,53,54,55,54,52,101,45,49,50,32,50,46,54,57,49,55,53,101,45,49,50,32,
      50,46,56,48,49,53,54,101,45,49,50,10,32,32,50,46,56,53,54,50,49,101,45,49,50,
      32,50,46,57,48,50,51,55,101,45,49,50,32,50,46,57,53,55,52,50,101,45,49,50,32,
      50,46,57,57,50,54,50,101,45,49,50,32,51,46,48,48,48,55,55,101,45,49,50,32,50,
      46,57,57,55,51,49,101,45,49,50,32,50,46,57,56,53,53,101,45,49,50,10,32,32,50,
      46,57,53,49,53,53,101,45,49,50,32,50,46,57,49,49,51,57,101,45,49,50,32,50,46,
      56,51,51,56,56,101,45,49,50,32,50,46,55,57,53,57,57,101,45,49,50,32,50,46,55,
      49,52,54,101,45,49,50,32,50,46,54,49,51,50,54,101,45,49,50,32,50,46,53,50,49,
      49,57,101,45,49,50,10,32,32,50,46,52,50,51,53,101,45,49,50,32,50,46,51,50,56,
      48,54,101,45,49,50,32,50,46,50,51,49,49,57,101,45,49,50,32,50,46,49,50,49,52,
      57,101,45,49,50,32,50,46,48,50,50,56,53,101,45,49,50,32,49,46,57,49,51,54,55,
      101,45,49,50,32,49,46,56,51,51,53,51,101,45,49,50,10,32,32,49,46,55,48,52,48,
      50,101,45,49,50,32,49,46,54,50,53,56,101,45,49,50,32,49,46,53,51,48,51,101,
      45,49,50,32,49,46,51,49,55,51,50,101,45,49,50,32,49,46,48,53,49,50,56,101,45,
      49,50,32,56,46,50,54,54,49,54,101,45,49,51,32,53,46,57,54,49,55,57,101,45,49,
      51,10,32,32,52,46,49,56,52,53,51,101,45,49,51,32,50,46,54,52,48,57,54,101,45,
      49,51,32,49,46,55,57,56,52,50,101,45,49,51,32,57,46,51,54,51,54,55,101,45,49,
      52,32,52,46,56,51,55,55,57,101,45,49,52,32,50,46,57,56,57,55,54,101,45,49,52,
      32,49,46,55,50,49,56,101,45,49,52,10,32,32,56,46,48,56,52,48,50,101,45,49,53,
      32,52,46,49,48,51,49,51,101,45,49,53,32,50,46,48,53,52,55,55,101,45,49,53,32,
      57,46,49,56,56,54,54,101,45,49,54,32,52,46,48,53,52,51,53,101,45,49,54,32,49,
      46,57,54,50,53,54,101,45,49,54,32,57,46,52,50,52,54,51,101,45,49,55,10,32,32,
      52,46,52,56,54,53,49,101,45,49,55,32,49,46,57,48,57,50,51,101,45,49,55,32,55,
      46,50,51,55,54,51,101,45,49,56,32,50,46,52,51,57,55,57,101,45,49,56,32,57,46,
      48,57,57,56,51,101,45,49,57,32,51,46,48,49,55,57,101,45,49,57,32,49,46,49,49,
      49,52,57,101,45,49,57,10,32,32,52,46,48,55,51,50,50,101,45,50,48,32,49,46,51,
      50,56,49,53,101,45,50,48,32,51,46,57,55,51,51,53,101,45,50,49,32,49,46,53,53,
      57,48,50,101,45,50,49,32,53,46,50,54,51,54,49,101,45,50,50,32,50,46,48,50,49,
      50,56,101,45,50,50,32,55,46,50,52,56,101,45,50,51,10,32,32,50,46,53,57,50,54,
      56,101,45,50,51,32,57,46,50,53,51,53,53,101,45,50,52,32,51,46,50,57,53,57,49,
      101,45,50,52,32,49,46,49,55,49,55,50,101,45,50,52,32,52,46,49,53,56,51,51,101,
      45,50,53,32,49,46,52,55,51,51,56,101,45,50,53,32,53,46,50,49,50,54,53,101,45,
      50,54,10,32,32,49,46,56,52,49,53,53,101,45,50,54,32,54,46,52,57,55,51,51,101,
      45,50,55,32,50,46,50,56,57,57,49,101,45,50,55,32,56,46,48,50,56,49,56,101,45,
      50,56,32,50,46,55,48,49,52,54,101,45,50,56,32,53,46,55,56,57,56,56,101,45,50,
      57,32,49,46,57,48,56,48,56,101,45,50,57,10,32,32,54,46,48,50,48,52,49,101,45,
      51,48,32,48,114,54,54,32,51,46,49,57,52,53,49,101,45,50,55,32,49,46,57,51,57,
      52,57,101,45,50,54,32,49,46,48,55,48,56,49,101,45,50,53,32,54,46,54,49,55,101,
      45,50,53,32,50,46,48,56,49,52,53,101,45,50,52,32,53,46,51,51,50,56,56,101,45,
      50,52,10,32,32,50,46,51,56,50,54,49,101,45,50,51,32,55,46,54,54,52,56,101,45,
      50,51,32,50,46,48,48,52,49,55,101,45,50,50,32,51,46,48,54,50,50,53,101,45,50,
      50,32,52,46,53,51,57,48,57,101,45,50,50,32,54,46,53,53,52,49,101,45,50,50,32,
      57,46,50,52,57,53,55,101,45,50,50,10,32,32,49,46,50,55,57,51,50,101,45,50,49,
      32,49,46,55,51,56,48,57,101,45,50,49,32,50,46,51,50,51,57,52,101,45,50,49,32,
      51,46,48,54,50,57,49,101,45,50,49,32,51,46,57,56,52,55,51,101,45,50,49,32,53,
      46,49,50,51,49,50,101,45,50,49,32,54,46,56,50,56,56,57,101,45,50,49,10,32,32,
      56,46,57,55,54,48,53,101,45,50,49,32,49,46,50,54,55,52,101,45,50,48,32,54,46,
      53,50,49,52,50,101,45,49,57,32,56,46,51,54,54,53,50,101,45,49,57,32,49,46,49,
      50,49,55,54,101,45,49,56,32,49,46,52,55,55,50,56,101,45,49,56,32,49,46,57,49,
      52,56,101,45,49,56,10,32,32,50,46,53,54,53,56,57,101,45,49,56,32,51,46,54,48,
      51,52,56,101,45,49,56,32,53,46,48,53,54,51,56,101,45,49,56,32,54,46,57,50,53,
      54,51,101,45,49,56,32,57,46,50,56,56,52,101,45,49,56,32,49,46,50,54,52,49,57,
      101,45,49,55,32,49,46,55,51,56,54,53,101,45,49,55,10,32,32,50,46,52,48,55,50,
      51,101,45,49,55,32,51,46,51,52,52,55,50,101,45,49,55,32,52,46,54,53,49,53,54,
      101,45,49,55,32,54,46,54,50,56,54,55,101,45,49,55,32,57,46,49,54,52,56,54,101,
      45,49,55,32,49,46,50,56,54,51,49,101,45,49,54,32,49,46,57,52,52,54,56,101,45,
      49,54,10,32,32,50,46,56,54,48,53,53,101,45,49,54,32,51,46,55,53,49,49,50,101,
      45,49,54,32,53,46,49,50,55,49,54,101,45,49,54,32,55,46,50,57,51,51,57,101,45,
      49,54,32,49,46,48,51,48,55,50,101,45,49,53,32,49,46,52,52,53,50,51,101,45,49,
      53,32,50,46,48,50,55,57,53,101,45,49,53,10,32,32,50,46,55,52,49,53,54,101,45,
      49,53,32,51,46,54,56,48,54,54,101,45,49,53,32,53,46,49,49,48,49,50,101,45,49,
      53,32,55,46,54,49,55,50,50,101,45,49,53,32,49,46,48,55,57,52,54,101,45,49,52,
      32,49,46,52,56,56,48,50,101,45,49,52,32,49,46,56,57,54,52,49,101,45,49,52,10,
      32,32,50,46,52,49,49,52,51,101,45,49,52,32,51,46,50,55,49,53,56,101,45,49,52,
      32,52,46,51,49,57,48,53,101,45,49,52,32,53,46,53,54,52,54,56,101,45,49,52,32,
      54,46,56,51,49,57,52,101,45,49,52,32,56,46,57,53,50,57,50,101,45,49,52,32,49,
      46,49,52,56,51,52,101,45,49,51,10,32,32,49,46,52,52,57,56,49,101,45,49,51,32,
      49,46,55,55,49,48,55,101,45,49,51,32,50,46,49,52,49,50,56,101,45,49,51,32,50,
      46,53,53,50,54,55,101,45,49,51,32,51,46,48,54,54,52,54,101,45,49,51,32,51,46,
      53,57,51,50,54,101,45,49,51,32,52,46,48,49,49,55,101,45,49,51,10,32,32,52,46,
      56,55,50,51,50,101,45,49,51,32,53,46,55,54,56,49,101,45,49,51,32,54,46,54,55,
      54,51,56,101,45,49,51,32,55,46,55,51,51,51,55,101,45,49,51,32,56,46,55,51,56,
      57,51,101,45,49,51,32,57,46,56,55,48,51,49,101,45,49,51,32,49,46,48,57,56,50,
      51,101,45,49,50,10,32,32,49,46,50,48,53,50,101,45,49,50,32,49,46,51,48,53,57,
      53,101,45,49,50,32,49,46,52,49,52,56,49,101,45,49,50,32,49,46,52,57,49,53,49,
      101,45,49,50,32,49,46,53,54,52,57,51,101,45,49,50,32,49,46,54,55,55,54,51,101,
      45,49,50,32,49,46,55,52,49,48,50,101,45,49,50,10,32,32,49,46,56,51,49,48,57,
      101,45,49,50,32,49,46,57,49,50,50,52,101,45,49,50,32,49,46,57,53,51,52,55,101,
      45,49,50,32,49,46,57,56,57,48,50,101,45,49,50,32,50,46,48,51,51,49,51,101,45,
      49,50,32,50,46,48,54,52,51,55,101,45,49,50,32,50,46,48,55,51,56,57,101,45,49,
      50,10,32,32,50,46,48,55,55,55,51,101,45,49,50,32,50,46,48,55,51,51,101,45,49,
      50,32,50,46,48,53,53,55,49,101,45,49,50,32,50,46,48,51,50,52,57,101,45,49,50,
      32,49,46,57,56,53,48,57,101,45,49,50,32,49,46,57,54,49,50,55,101,45,49,50,32,
      49,46,57,48,57,50,49,101,45,49,50,10,32,32,49,46,56,52,51,50,53,101,45,49,50,
      32,49,46,55,56,50,53,51,101,45,49,50,32,49,46,55,49,55,53,101,45,49,50,32,49,
      46,54,53,51,52,54,101,45,49,50,32,49,46,53,56,56,48,51,101,45,49,50,32,49,46,
      53,49,51,52,56,101,45,49,50,32,49,46,52,52,54,48,57,101,45,49,50,10,32,32,49,
      46,51,55,49,49,51,101,45,49,50,32,49,46,51,49,53,56,55,101,45,49,50,32,49,46,
      50,50,54,49,57,101,45,49,50,32,49,46,49,55,49,56,101,45,49,50,32,49,46,49,48,
      53,49,56,101,45,49,50,32,57,46,53,53,55,56,49,101,45,49,51,32,55,46,54,55,53,
      52,54,101,45,49,51,10,32,32,54,46,48,55,49,53,53,101,45,49,51,32,52,46,52,49,
      49,52,54,101,45,49,51,32,51,46,49,49,56,56,57,101,45,49,51,32,49,46,57,56,51,
      49,101,45,49,51,32,49,46,51,53,55,55,54,101,45,49,51,32,55,46,49,50,48,50,53,
      101,45,49,52,32,51,46,55,48,53,56,54,101,45,49,52,10,32,32,50,46,51,48,49,50,
      49,101,45,49,52,32,49,46,51,51,49,57,101,45,49,52,32,54,46,50,57,49,56,56,101,
      45,49,53,32,51,46,50,48,57,50,57,101,45,49,53,32,49,46,54,49,52,52,57,101,45,
      49,53,32,55,46,50,53,52,53,49,101,45,49,54,32,51,46,50,49,53,48,57,101,45,49,
      54,10,32,32,49,46,53,54,49,56,56,101,45,49,54,32,55,46,53,50,53,53,52,101,45,
      49,55,32,51,46,53,57,51,56,51,101,45,49,55,32,49,46,53,51,52,52,52,101,45,49,
      55,32,53,46,56,51,55,48,51,101,45,49,56,32,49,46,57,55,52,54,52,101,45,49,56,
      32,55,46,51,56,54,53,56,101,45,49,57,10,32,32,50,46,52,53,55,49,49,101,45,49,
      57,32,57,46,48,55,50,51,53,101,45,50,48,32,51,46,51,51,50,53,52,101,45,50,48,
      32,49,46,48,56,57,50,57,101,45,50,48,32,51,46,50,54,54,55,50,101,45,50,49,32,
      49,46,50,56,52,48,50,101,45,50,49,32,52,46,51,52,51,52,56,101,45,50,50,10,32,
      32,49,46,54,55,48,54,101,45,50,50,32,54,46,48,48,48,49,51,101,45,50,51,32,50,
      46,49,52,57,53,55,101,45,50,51,32,55,46,54,56,51,49,53,101,45,50,52,32,50,46,
      55,52,48,51,52,101,45,50,52,32,57,46,55,53,52,56,54,101,45,50,53,32,51,46,52,
      54,54,50,50,101,45,50,53,10,32,32,49,46,50,50,57,54,101,45,50,53,32,52,46,51,
      53,53,49,57,101,45,50,54,32,49,46,53,52,48,51,51,101,45,50,54,32,53,46,52,51,
      57,52,101,45,50,55,32,49,46,57,49,56,57,51,101,45,50,55,32,54,46,55,52,52,49,
      51,101,45,50,56,32,50,46,50,54,54,53,52,101,45,50,56,10,32,32,52,46,57,56,51,
      48,56,101,45,50,57,32,49,46,55,48,54,52,55,101,45,50,57,32,53,46,48,52,55,57,
      55,101,45,51,48,32,49,46,49,49,57,52,53,101,45,51,48,32,48,114,54,53,32,51,
      46,55,51,57,52,49,101,45,50,56,32,50,46,51,51,54,49,51,101,45,50,55,32,49,46,
      51,51,54,48,54,101,45,50,54,10,32,32,56,46,54,53,56,57,51,101,45,50,54,32,50,
      46,56,50,50,54,53,101,45,50,53,32,55,46,52,55,49,51,54,101,45,50,53,32,51,46,
      53,51,53,53,53,101,45,50,52,32,49,46,49,57,53,101,45,50,51,32,51,46,50,54,50,
      51,49,101,45,50,51,32,53,46,48,56,51,51,101,45,50,51,10,32,32,55,46,54,55,53,
      51,54,101,45,50,51,32,49,46,49,50,55,55,57,101,45,50,50,32,49,46,54,49,56,49,
      53,101,45,50,50,32,50,46,50,55,51,53,101,45,50,50,32,51,46,49,51,53,50,54,101,
      45,50,50,32,52,46,50,53,50,49,50,101,45,50,50,32,53,46,54,56,48,56,57,101,45,
      50,50,10,32,32,55,46,52,56,55,50,57,101,45,50,50,32,57,46,55,52,54,56,54,101,
      45,50,50,32,49,46,51,49,55,56,56,101,45,50,49,32,49,46,55,53,53,57,55,101,45,
      50,49,32,50,46,53,50,50,51,56,101,45,50,49,32,49,46,53,50,50,52,49,101,45,49,
      57,32,50,46,48,48,49,56,52,101,45,49,57,10,32,32,50,46,55,54,48,52,53,101,45,
      49,57,32,51,46,55,50,57,50,55,101,45,49,57,32,52,46,57,52,55,55,49,101,45,49,
      57,32,54,46,56,48,49,49,54,101,45,49,57,32,49,46,52,48,55,57,50,101,45,49,56,
      32,49,46,57,55,56,56,57,101,45,49,56,32,50,46,55,49,53,52,50,101,45,49,56,10,
      32,32,51,46,54,52,57,48,55,101,45,49,56,32,52,46,57,55,56,52,52,101,45,49,56,
      32,54,46,56,54,54,50,54,101,45,49,56,32,57,46,53,51,55,56,57,101,45,49,56,32,
      49,46,51,51,48,50,50,101,45,49,55,32,49,46,56,53,55,56,49,101,45,49,55,32,50,
      46,54,56,54,51,57,101,45,49,55,10,32,32,51,46,55,51,51,54,53,101,45,49,55,32,
      53,46,50,55,49,55,51,101,45,49,55,32,56,46,48,50,48,55,53,101,45,49,55,32,49,
      46,49,56,57,55,52,101,45,49,54,32,49,46,53,55,48,48,57,101,45,49,54,32,50,46,
      49,54,50,57,101,45,49,54,32,51,46,49,48,53,56,56,101,45,49,54,10,32,32,52,46,
      52,51,50,57,53,101,45,49,54,32,54,46,50,55,57,57,52,101,45,49,54,32,56,46,57,
      48,56,51,50,101,45,49,54,32,49,46,50,49,54,53,54,101,45,49,53,32,49,46,54,53,
      48,49,54,101,45,49,53,32,50,46,51,49,56,52,51,101,45,49,53,32,51,46,53,48,56,
      54,53,101,45,49,53,10,32,32,53,46,48,51,57,57,56,101,45,49,53,32,55,46,48,51,
      54,56,55,101,45,49,53,32,57,46,48,53,54,55,54,101,45,49,53,32,49,46,49,54,51,
      48,54,101,45,49,52,32,49,46,53,57,56,48,57,101,45,49,52,32,50,46,49,51,52,53,
      56,101,45,49,52,32,50,46,55,56,48,48,50,101,45,49,52,10,32,32,51,46,52,52,51,
      50,55,101,45,49,52,32,52,46,53,54,53,49,56,101,45,49,52,32,53,46,57,49,57,48,
      55,101,45,49,52,32,55,46,53,52,57,49,101,45,49,52,32,57,46,51,48,50,54,50,101,
      45,49,52,32,49,46,49,51,52,48,51,101,45,49,51,32,49,46,51,54,50,50,51,101,45,
      49,51,10,32,32,49,46,54,52,57,51,55,101,45,49,51,32,49,46,57,52,53,56,53,101,
      45,49,51,32,50,46,49,56,50,54,50,101,45,49,51,32,50,46,54,55,50,53,52,101,45,
      49,51,32,51,46,49,56,54,49,52,101,45,49,51,32,51,46,55,49,48,49,51,101,45,49,
      51,32,52,46,51,50,51,54,49,101,45,49,51,10,32,32,52,46,57,49,48,55,101,45,49,
      51,32,53,46,53,55,53,49,53,101,45,49,51,32,54,46,50,51,50,51,53,101,45,49,51,
      32,54,46,56,54,56,55,101,45,49,51,32,55,46,52,55,50,48,53,101,45,49,51,32,56,
      46,49,50,56,57,52,101,45,49,51,32,56,46,53,57,53,50,56,101,45,49,51,10,32,32,
      57,46,48,52,52,55,57,101,45,49,51,32,57,46,55,52,49,57,51,101,45,49,51,32,49,
      46,48,49,51,56,56,101,45,49,50,32,49,46,48,55,49,48,53,101,45,49,50,32,49,46,
      49,50,51,54,56,101,45,49,50,32,49,46,49,53,49,48,54,101,45,49,50,32,49,46,49,
      55,53,50,101,45,49,50,10,32,32,49,46,50,48,54,51,57,101,45,49,50,32,49,46,50,
      51,48,54,53,101,45,49,50,32,49,46,50,51,57,53,101,45,49,50,32,49,46,50,52,54,
      56,56,101,45,49,50,32,49,46,50,52,55,51,49,101,45,49,50,32,49,46,50,52,49,54,
      53,101,45,49,50,32,49,46,50,51,49,53,52,101,45,49,50,10,32,32,49,46,50,48,56,
      52,101,45,49,50,32,49,46,49,57,54,49,54,101,45,49,50,32,49,46,49,54,56,54,50,
      101,45,49,50,32,49,46,49,51,50,54,57,101,45,49,50,32,49,46,48,57,56,57,52,101,
      45,49,50,32,49,46,48,54,50,50,53,101,45,49,50,32,49,46,48,50,53,54,57,101,45,
      49,50,10,32,32,57,46,56,55,57,55,50,101,45,49,51,32,57,46,52,52,54,48,52,101,
      45,49,51,32,57,46,48,53,48,56,51,101,45,49,51,32,56,46,54,48,56,48,54,101,45,
      49,51,32,56,46,50,55,57,55,52,101,45,49,51,32,55,46,55,52,51,54,49,101,45,49,
      51,32,55,46,52,49,54,54,49,101,45,49,51,10,32,32,55,46,48,49,52,49,55,101,45,
      49,51,32,54,46,49,48,52,52,51,101,45,49,51,32,52,46,57,52,52,52,49,101,45,49,
      51,32,51,46,57,52,51,53,55,101,45,49,51,32,50,46,56,57,52,52,54,101,45,49,51,
      32,50,46,48,54,54,55,55,101,45,49,51,32,49,46,51,50,54,53,55,101,45,49,51,10,
      32,32,57,46,49,53,52,51,101,45,49,52,32,52,46,56,53,51,50,51,101,45,49,52,32,
      50,46,53,53,50,48,50,101,45,49,52,32,49,46,53,57,53,51,54,101,45,49,52,32,57,
      46,50,57,56,52,57,101,45,49,53,32,52,46,52,51,48,53,54,101,45,49,53,32,50,46,
      50,55,53,53,54,101,45,49,53,10,32,32,49,46,49,53,50,49,49,101,45,49,53,32,53,
      46,50,49,49,57,51,101,45,49,54,32,50,46,51,50,52,50,52,101,45,49,54,32,49,46,
      49,51,52,56,101,45,49,54,32,53,46,52,57,51,52,56,101,45,49,55,32,50,46,54,51,
      53,49,54,101,45,49,55,32,49,46,49,51,48,52,101,45,49,55,10,32,32,52,46,51,50,
      49,48,55,101,45,49,56,32,49,46,52,54,57,49,101,45,49,56,32,53,46,53,49,56,51,
      101,45,49,57,32,49,46,56,52,51,52,56,101,45,49,57,32,54,46,56,51,48,57,51,101,
      45,50,48,32,50,46,53,49,55,53,54,101,45,50,48,32,56,46,50,53,55,52,53,101,45,
      50,49,10,32,32,50,46,52,56,52,56,55,101,45,50,49,32,57,46,55,57,49,51,56,101,
      45,50,50,32,51,46,51,50,49,49,50,101,45,50,50,32,49,46,50,56,48,50,53,101,45,
      50,50,32,52,46,54,48,56,54,50,101,45,50,51,32,49,46,54,53,52,54,50,101,45,50,
      51,32,53,46,57,50,54,49,50,101,45,50,52,10,32,32,50,46,49,49,55,55,53,101,45,
      50,52,32,55,46,53,53,50,52,52,101,45,50,53,32,50,46,54,56,56,51,49,101,45,50,
      53,32,57,46,53,53,50,52,101,45,50,54,32,51,46,51,56,56,55,54,101,45,50,54,32,
      49,46,50,48,48,52,101,45,50,54,32,52,46,50,52,53,57,56,101,45,50,55,10,32,32,
      49,46,52,57,57,52,51,101,45,50,55,32,53,46,50,57,48,55,101,45,50,56,32,49,46,
      55,56,49,49,49,101,45,50,56,32,51,46,57,55,57,55,55,101,45,50,57,32,49,46,51,
      51,56,50,101,45,50,57,32,51,46,57,52,56,49,53,101,45,51,48,32,56,46,54,57,57,
      50,56,101,45,51,49,10,32,32,48,114,54,53,32,51,46,54,50,57,55,55,101,45,50,
      57,32,50,46,52,49,54,50,50,101,45,50,56,32,49,46,52,56,51,57,53,101,45,50,55,
      32,49,46,48,52,56,53,50,101,45,50,54,32,51,46,54,50,52,50,49,101,45,50,54,32,
      49,46,48,48,56,50,52,101,45,50,53,32,53,46,49,55,49,54,51,101,45,50,53,10,32,
      32,49,46,56,54,49,57,56,101,45,50,52,32,53,46,51,53,49,51,51,101,45,50,52,32,
      56,46,53,50,55,52,101,45,50,52,32,49,46,51,49,52,52,49,101,45,50,51,32,49,46,
      57,54,56,53,57,101,45,50,51,32,50,46,56,55,53,49,53,101,45,50,51,32,52,46,49,
      48,55,49,54,101,45,50,51,10,32,32,53,46,55,53,50,55,51,101,45,50,51,32,55,46,
      57,49,54,57,56,101,45,50,51,32,49,46,48,55,50,52,50,101,45,50,50,32,49,46,52,
      51,50,48,50,101,45,50,50,32,49,46,56,56,55,52,53,101,45,50,50,32,50,46,53,56,
      56,50,53,101,45,50,50,32,51,46,52,57,52,56,54,101,45,50,50,10,32,32,53,46,49,
      48,52,55,101,45,50,50,32,52,46,51,48,50,50,56,101,45,50,48,32,53,46,54,57,51,
      49,56,101,45,50,48,32,55,46,57,49,50,49,53,101,45,50,48,32,49,46,48,55,55,49,
      50,101,45,49,57,32,49,46,52,51,57,56,49,101,45,49,57,32,49,46,57,57,54,55,50,
      101,45,49,57,10,32,32,57,46,56,55,53,48,49,101,45,49,57,32,49,46,51,53,50,52,
      56,101,45,49,56,32,49,46,56,49,50,49,51,101,45,49,56,32,50,46,51,56,50,50,52,
      101,45,49,56,32,51,46,49,55,55,48,50,101,45,49,56,32,52,46,50,56,49,56,57,101,
      45,49,56,32,53,46,56,49,50,57,53,101,45,49,56,10,32,32,55,46,57,50,54,54,101,
      45,49,56,32,49,46,48,56,51,49,55,101,45,49,55,32,49,46,53,55,55,48,56,101,45,
      49,55,32,50,46,49,53,49,54,51,101,45,49,55,32,50,46,57,56,50,53,55,101,45,49,
      55,32,52,46,52,50,56,52,51,101,45,49,55,32,54,46,52,53,48,48,57,101,45,49,55,
      10,32,32,56,46,52,49,49,53,54,101,45,49,55,32,49,46,49,52,52,49,101,45,49,54,
      32,49,46,54,50,49,53,57,101,45,49,54,32,50,46,50,56,56,49,55,101,45,49,54,32,
      51,46,50,48,57,57,50,101,45,49,54,32,52,46,53,49,53,50,51,101,45,49,54,32,54,
      46,49,50,55,54,57,101,45,49,54,10,32,32,56,46,50,55,48,53,56,101,45,49,54,32,
      49,46,49,53,55,49,55,101,45,49,53,32,49,46,55,52,55,50,50,101,45,49,53,32,50,
      46,53,48,56,49,101,45,49,53,32,51,46,53,48,53,51,50,101,45,49,53,32,52,46,53,
      49,57,55,51,101,45,49,53,32,53,46,56,49,57,56,55,101,45,49,53,10,32,32,56,46,
      48,51,52,52,55,101,45,49,53,32,49,46,48,55,57,49,101,45,49,52,32,49,46,52,49,
      51,56,52,101,45,49,52,32,49,46,55,54,48,55,55,101,45,49,52,32,50,46,51,53,51,
      51,51,101,45,49,52,32,51,46,48,55,54,50,49,101,45,49,52,32,51,46,57,53,53,54,
      53,101,45,49,52,10,32,32,52,46,57,49,48,55,56,101,45,49,52,32,54,46,48,51,48,
      51,53,101,45,49,52,32,55,46,50,57,52,52,51,101,45,49,52,32,56,46,56,57,55,56,
      50,101,45,49,52,32,49,46,48,53,54,53,57,101,45,49,51,32,49,46,49,57,48,53,56,
      101,45,49,51,32,49,46,52,54,57,54,57,101,45,49,51,10,32,32,49,46,55,54,52,53,
      53,101,45,49,51,32,50,46,48,54,55,52,101,45,49,51,32,50,46,52,50,52,50,55,101,
      45,49,51,32,50,46,55,54,55,56,56,101,45,49,51,32,51,46,49,53,57,49,54,101,45,
      49,51,32,51,46,53,52,56,54,101,45,49,51,32,51,46,57,50,56,48,52,101,45,49,51,
      10,32,32,52,46,50,57,48,48,56,101,45,49,51,32,52,46,54,56,55,48,49,101,45,49,
      51,32,52,46,57,55,48,55,52,101,45,49,51,32,53,46,50,52,53,57,54,101,45,49,51,
      32,53,46,54,55,54,55,53,101,45,49,51,32,53,46,57,50,52,53,57,101,45,49,51,32,
      54,46,50,56,53,56,49,101,45,49,51,10,32,32,54,46,54,50,52,53,101,45,49,51,32,
      54,46,56,48,52,48,51,101,45,49,51,32,54,46,57,54,53,50,50,101,45,49,51,32,55,
      46,49,55,57,57,55,101,45,49,51,32,55,46,51,53,55,55,50,101,45,49,51,32,55,46,
      52,50,57,49,53,101,45,49,51,32,55,46,53,48,51,52,101,45,49,51,10,32,32,55,46,
      53,50,52,48,56,101,45,49,51,32,55,46,53,49,57,48,55,101,45,49,51,32,55,46,52,
      56,49,49,57,101,45,49,51,32,55,46,51,55,51,57,56,101,45,49,51,32,55,46,51,49,
      50,56,53,101,45,49,51,32,55,46,49,54,57,56,51,101,45,49,51,32,54,46,57,55,54,
      51,54,101,45,49,51,10,32,32,54,46,55,57,48,49,101,45,49,51,32,54,46,53,56,52,
      49,51,101,45,49,51,32,54,46,51,55,54,49,50,101,45,49,51,32,54,46,49,53,57,49,
      57,101,45,49,51,32,53,46,57,48,55,51,49,101,45,49,51,32,53,46,54,55,53,56,50,
      101,45,49,51,32,53,46,52,49,52,52,56,101,45,49,51,10,32,32,53,46,50,49,57,52,
      55,101,45,49,51,32,52,46,56,57,56,57,55,101,45,49,51,32,52,46,55,48,50,51,49,
      101,45,49,51,32,52,46,52,53,57,49,51,101,45,49,51,32,51,46,57,48,52,57,49,101,
      45,49,51,32,51,46,49,56,57,53,50,101,45,49,51,32,50,46,53,54,52,52,54,101,45,
      49,51,10,32,32,49,46,57,48,48,57,54,101,45,49,51,32,49,46,51,55,48,54,101,45,
      49,51,32,56,46,56,56,51,49,55,101,45,49,52,32,54,46,49,55,49,51,50,101,45,49,
      52,32,51,46,51,49,48,53,52,101,45,49,52,32,49,46,55,53,56,54,57,101,45,49,52,
      32,49,46,49,48,54,55,56,101,45,49,52,10,32,32,54,46,52,57,54,48,50,101,45,49,
      53,32,51,46,49,50,49,57,55,101,45,49,53,32,49,46,54,49,52,54,101,45,49,53,32,
      56,46,50,50,55,51,49,101,45,49,54,32,51,46,55,52,55,49,53,101,45,49,54,32,49,
      46,54,56,49,52,54,101,45,49,54,32,56,46,50,53,49,50,53,101,45,49,55,10,32,32,
      52,46,48,49,51,50,52,101,45,49,55,32,49,46,57,51,51,55,52,101,45,49,55,32,56,
      46,51,51,52,50,49,101,45,49,56,32,51,46,50,48,49,52,57,101,45,49,56,32,49,46,
      48,57,51,57,51,101,45,49,56,32,52,46,49,50,54,50,51,101,45,49,57,32,49,46,51,
      56,52,51,54,101,45,49,57,10,32,32,53,46,49,52,56,49,50,101,45,50,48,32,49,46,
      57,48,51,55,50,101,45,50,48,32,54,46,50,54,53,56,49,101,45,50,49,32,49,46,56,
      57,50,48,55,101,45,50,49,32,55,46,52,55,52,49,56,101,45,50,50,32,50,46,53,52,
      50,48,56,101,45,50,50,32,57,46,56,50,49,53,56,101,45,50,51,10,32,32,51,46,53,
      52,51,54,54,101,45,50,51,32,49,46,50,55,53,48,51,101,45,50,51,32,52,46,53,55,
      53,57,56,101,45,50,52,32,49,46,54,51,56,52,53,101,45,50,52,32,53,46,56,53,51,
      57,55,101,45,50,53,32,50,46,48,56,55,52,49,101,45,50,53,32,55,46,52,50,57,54,
      56,101,45,50,54,10,32,32,50,46,54,51,57,57,56,101,45,50,54,32,57,46,51,54,53,
      55,52,101,45,50,55,32,51,46,51,49,55,53,56,101,45,50,55,32,49,46,49,55,51,48,
      53,101,45,50,55,32,52,46,49,52,52,53,57,101,45,50,56,32,49,46,51,57,54,50,51,
      101,45,50,56,32,51,46,49,50,53,51,56,101,45,50,57,10,32,32,49,46,48,53,48,55,
      50,101,45,50,57,32,51,46,48,57,49,55,57,101,45,51,48,32,49,46,48,56,50,55,101,
      45,51,48,32,48,114,54,53,32,49,46,55,48,51,55,53,101,45,50,57,32,49,46,49,54,
      56,55,53,101,45,50,56,32,55,46,52,48,53,50,51,101,45,50,56,32,53,46,52,49,54,
      49,57,101,45,50,55,10,32,32,49,46,57,49,51,49,101,45,50,54,32,53,46,52,49,53,
      54,56,101,45,50,54,32,50,46,56,53,50,55,54,101,45,50,53,32,49,46,48,52,55,53,
      50,101,45,50,52,32,51,46,48,53,55,52,49,101,45,50,52,32,52,46,57,48,52,50,56,
      101,45,50,52,32,55,46,54,48,53,49,52,101,45,50,52,10,32,32,49,46,49,52,53,51,
      52,101,45,50,51,32,49,46,54,56,49,51,55,101,45,50,51,32,50,46,52,49,51,51,49,
      101,45,50,51,32,51,46,51,57,53,51,101,45,50,51,32,52,46,54,57,50,50,51,101,
      45,50,51,32,54,46,51,56,49,49,50,101,45,50,51,32,56,46,53,53,50,54,51,101,45,
      50,51,10,32,32,49,46,49,51,49,50,54,101,45,50,50,32,49,46,53,53,55,53,53,101,
      45,50,50,32,50,46,49,49,49,49,53,101,45,50,50,32,51,46,48,57,56,51,57,101,45,
      50,50,32,50,46,56,50,56,48,52,101,45,50,48,32,51,46,55,53,49,49,101,45,50,48,
      32,53,46,50,50,56,49,101,45,50,48,10,32,32,55,46,49,51,55,50,52,101,45,50,48,
      32,57,46,53,54,54,56,49,101,45,50,48,32,49,46,51,51,49,101,45,49,57,32,49,46,
      50,52,54,54,49,101,45,49,56,32,49,46,54,57,48,54,50,101,45,49,56,32,50,46,50,
      52,51,48,51,101,45,49,56,32,50,46,57,49,57,56,53,101,45,49,56,10,32,32,51,46,
      56,53,49,51,50,101,45,49,56,32,53,46,49,50,55,56,49,101,45,49,56,32,54,46,56,
      54,57,49,57,101,45,49,56,32,57,46,50,51,51,50,49,101,45,49,56,32,49,46,50,52,
      50,52,52,101,45,49,55,32,49,46,56,49,56,55,49,101,45,49,55,32,50,46,52,52,50,
      51,56,101,45,49,55,10,32,32,51,46,51,50,54,52,50,101,45,49,55,32,52,46,56,49,
      56,48,54,101,45,49,55,32,54,46,56,53,55,49,55,101,45,49,55,32,56,46,55,57,49,
      55,52,101,45,49,55,32,49,46,49,55,49,56,50,101,45,49,54,32,49,46,54,50,50,49,
      54,101,45,49,54,32,50,46,50,51,53,54,56,101,45,49,54,10,32,32,51,46,48,54,52,
      53,51,101,45,49,54,32,52,46,50,49,51,101,45,49,54,32,53,46,54,48,53,50,54,101,
      45,49,54,32,55,46,52,50,54,52,51,101,45,49,54,32,49,46,48,49,57,49,55,101,45,
      49,53,32,49,46,53,48,55,53,51,101,45,49,53,32,50,46,49,51,48,48,51,101,45,49,
      53,10,32,32,50,46,57,52,48,55,54,101,45,49,53,32,51,46,55,54,50,56,55,101,45,
      49,53,32,52,46,56,49,53,49,53,101,45,49,53,32,54,46,54,48,55,52,50,101,45,49,
      53,32,56,46,56,52,48,57,50,101,45,49,53,32,49,46,49,53,53,56,55,101,45,49,52,
      32,49,46,52,51,56,50,51,101,45,49,52,10,32,32,49,46,57,50,49,57,50,101,45,49,
      52,32,50,46,53,49,52,48,53,101,45,49,52,32,51,46,50,51,54,57,53,101,45,49,52,
      32,52,46,48,50,52,54,50,101,45,49,52,32,52,46,57,53,48,54,54,101,45,49,52,32,
      53,46,57,57,57,49,52,101,45,49,52,32,55,46,51,51,50,54,52,101,45,49,52,10,32,
      32,56,46,55,50,51,53,49,101,45,49,52,32,57,46,56,52,50,57,51,101,45,49,52,32,
      49,46,50,49,56,48,49,101,45,49,51,32,49,46,52,54,53,53,52,101,45,49,51,32,49,
      46,55,50,48,51,54,101,45,49,51,32,50,46,48,50,49,50,52,101,45,49,51,32,50,46,
      51,49,49,53,50,101,45,49,51,10,32,32,50,46,54,52,50,55,49,101,45,49,51,32,50,
      46,57,55,50,57,55,101,45,49,51,32,51,46,50,57,53,51,54,101,45,49,51,32,51,46,
      54,48,51,53,54,101,45,49,51,32,51,46,57,52,50,49,53,101,45,49,51,32,52,46,49,
      56,52,54,57,101,45,49,51,32,52,46,52,50,48,51,57,101,45,49,51,10,32,32,52,46,
      55,57,48,50,56,101,45,49,51,32,53,46,48,48,51,55,52,101,45,49,51,32,53,46,51,
      49,53,57,49,101,45,49,51,32,53,46,54,49,48,49,52,101,45,49,51,32,53,46,55,54,
      54,57,51,101,45,49,51,32,53,46,57,48,56,51,57,101,45,49,51,32,54,46,48,57,56,
      51,57,101,45,49,51,10,32,32,54,46,50,53,56,49,54,101,45,49,51,32,54,46,51,50,
      51,56,49,101,45,49,51,32,54,46,51,57,52,57,50,101,45,49,51,32,54,46,52,49,55,
      51,53,101,45,49,51,32,54,46,52,50,48,56,51,101,45,49,51,32,54,46,51,57,52,54,
      57,101,45,49,51,32,54,46,51,49,49,57,53,101,45,49,51,10,32,32,54,46,50,54,51,
      50,52,101,45,49,51,32,54,46,49,52,55,53,51,101,45,49,51,32,53,46,57,56,56,56,
      55,101,45,49,51,32,53,46,56,51,52,55,57,101,45,49,51,32,53,46,54,54,51,52,49,
      101,45,49,51,32,53,46,52,56,57,53,51,101,45,49,51,32,53,46,51,48,55,53,50,101,
      45,49,51,10,32,32,53,46,48,57,53,52,57,101,45,49,51,32,52,46,57,48,48,48,53,
      101,45,49,51,32,52,46,54,55,56,56,55,101,45,49,51,32,52,46,53,49,51,52,55,101,
      45,49,51,32,52,46,50,52,49,48,55,101,45,49,51,32,52,46,48,55,51,54,101,45,49,
      51,32,51,46,56,54,54,49,56,101,45,49,51,10,32,32,51,46,51,57,50,50,52,101,45,
      49,51,32,50,46,55,55,56,48,56,101,45,49,51,32,50,46,50,51,57,51,101,45,49,51,
      32,49,46,54,54,53,48,55,101,45,49,51,32,49,46,50,48,52,49,54,101,45,49,51,32,
      55,46,56,51,48,55,53,101,45,49,52,32,53,46,52,53,48,48,55,101,45,49,52,10,32,
      32,50,46,57,51,52,55,55,101,45,49,52,32,49,46,53,54,52,48,57,101,45,49,52,32,
      57,46,56,54,51,56,55,101,45,49,53,32,53,46,56,48,50,49,52,101,45,49,53,32,50,
      46,55,57,54,48,53,101,45,49,53,32,49,46,52,52,57,50,101,45,49,53,32,55,46,51,
      57,57,52,54,101,45,49,54,10,32,32,51,46,51,55,55,51,50,101,45,49,54,32,49,46,
      53,49,56,53,101,45,49,54,32,55,46,52,54,51,52,51,101,45,49,55,32,51,46,54,51,
      53,52,57,101,45,49,55,32,49,46,55,53,52,50,50,101,45,49,55,32,55,46,53,55,49,
      56,51,101,45,49,56,32,50,46,57,49,51,49,57,101,45,49,56,10,32,32,57,46,57,55,
      48,48,57,101,45,49,57,32,51,46,55,54,53,54,53,101,45,49,57,32,49,46,50,54,53,
      49,101,45,49,57,32,52,46,55,48,57,57,54,101,45,50,48,32,49,46,55,52,51,53,51,
      101,45,50,48,32,53,46,55,52,52,56,51,101,45,50,49,32,49,46,55,51,54,54,53,101,
      45,50,49,10,32,32,54,46,56,54,53,54,52,101,45,50,50,32,50,46,51,51,55,49,50,
      101,45,50,50,32,57,46,48,51,54,49,52,101,45,50,51,32,51,46,50,54,50,54,50,101,
      45,50,51,32,49,46,49,55,52,55,49,101,45,50,51,32,52,46,50,49,56,54,57,101,45,
      50,52,32,49,46,53,49,49,52,54,101,45,50,52,10,32,32,53,46,52,48,51,52,53,101,
      45,50,53,32,49,46,57,50,55,56,54,101,45,50,53,32,54,46,56,54,53,52,56,101,45,
      50,54,32,50,46,52,52,48,55,53,101,45,50,54,32,56,46,54,54,51,49,53,101,45,50,
      55,32,51,46,48,55,48,49,49,101,45,50,55,32,49,46,48,56,54,51,53,101,45,50,55,
      10,32,32,51,46,56,51,56,53,53,101,45,50,56,32,49,46,50,57,51,52,49,101,45,50,
      56,32,50,46,56,57,54,57,52,101,45,50,57,32,57,46,55,51,56,53,54,101,45,51,48,
      32,51,46,50,48,51,53,55,101,45,51,48,32,49,46,48,48,51,48,51,101,45,51,48,32,
      48,114,54,53,32,55,46,56,52,53,49,54,101,45,51,48,10,32,32,53,46,53,56,53,57,
      101,45,50,57,32,51,46,54,54,55,57,54,101,45,50,56,32,50,46,55,56,51,54,50,101,
      45,50,55,32,49,46,48,48,53,49,52,101,45,50,54,32,50,46,56,57,52,56,54,101,45,
      50,54,32,49,46,53,54,52,54,54,101,45,50,53,32,53,46,56,53,52,49,55,101,45,50,
      53,10,32,32,49,46,55,51,51,57,101,45,50,52,32,50,46,55,57,56,55,57,101,45,50,
      52,32,52,46,51,54,53,49,101,45,50,52,32,54,46,54,48,56,55,101,45,50,52,32,57,
      46,55,52,57,51,101,45,50,52,32,49,46,52,48,53,55,53,101,45,50,51,32,49,46,57,
      56,54,50,53,101,45,50,51,10,32,32,50,46,55,53,54,48,54,101,45,50,51,32,51,46,
      55,54,50,52,101,45,50,51,32,53,46,48,54,49,48,53,101,45,50,51,32,54,46,55,49,
      55,52,101,45,50,51,32,57,46,50,56,53,49,53,101,45,50,51,32,49,46,50,54,51,50,
      53,101,45,50,50,32,49,46,56,54,50,55,51,101,45,50,50,10,32,32,49,46,56,49,57,
      55,54,101,45,50,48,32,50,46,52,50,48,51,101,45,50,48,32,51,46,51,56,52,53,55,
      101,45,50,48,32,52,46,54,51,53,53,56,101,45,50,48,32,54,46,50,51,51,51,53,101,
      45,50,48,32,56,46,55,48,52,53,54,101,45,50,48,32,50,46,51,56,52,55,53,101,45,
      49,56,10,32,32,51,46,50,48,55,49,57,101,45,49,56,32,52,46,50,49,53,51,57,101,
      45,49,56,32,53,46,52,51,48,55,56,101,45,49,56,32,55,46,48,55,50,55,101,45,49,
      56,32,57,46,50,55,51,55,57,101,45,49,56,32,49,46,50,50,48,49,53,101,45,49,55,
      32,49,46,54,48,54,50,101,45,49,55,10,32,32,50,46,49,49,48,52,52,101,45,49,55,
      32,51,46,49,49,49,48,49,101,45,49,55,32,52,46,48,53,55,51,52,101,45,49,55,32,
      53,46,51,52,49,50,57,101,45,49,55,32,55,46,51,56,48,49,57,101,45,49,55,32,49,
      46,48,48,49,54,101,45,49,54,32,49,46,50,51,57,49,51,101,45,49,54,10,32,32,49,
      46,53,56,49,54,56,101,45,49,54,32,50,46,48,56,48,55,54,101,45,49,54,32,50,46,
      55,50,51,54,51,101,45,49,54,32,51,46,53,52,55,56,101,45,49,54,32,52,46,54,51,
      54,49,52,101,45,49,54,32,53,46,57,48,51,48,56,101,45,49,54,32,55,46,53,48,54,
      52,57,101,45,49,54,10,32,32,57,46,56,55,50,48,54,101,45,49,54,32,49,46,51,57,
      52,57,54,101,45,49,53,32,49,46,57,48,52,50,51,101,45,49,53,32,50,46,53,54,48,
      52,52,101,45,49,53,32,51,46,50,50,50,52,53,101,45,49,53,32,52,46,48,54,56,48,
      50,101,45,49,53,32,53,46,53,48,55,55,51,101,45,49,53,10,32,32,55,46,51,48,52,
      52,56,101,45,49,53,32,57,46,52,57,54,51,50,101,45,49,53,32,49,46,49,55,55,57,
      57,101,45,49,52,32,49,46,53,55,48,53,101,45,49,52,32,50,46,48,53,50,57,54,101,
      45,49,52,32,50,46,54,52,52,50,54,101,45,49,52,32,51,46,50,57,48,56,51,101,45,
      49,52,10,32,32,52,46,48,53,51,52,53,101,45,49,52,32,52,46,57,49,57,53,50,101,
      45,49,52,32,54,46,48,50,52,50,55,101,45,49,52,32,55,46,49,55,57,55,101,45,49,
      52,32,56,46,49,49,49,53,57,101,45,49,52,32,49,46,48,48,54,49,57,101,45,49,51,
      32,49,46,50,49,51,51,52,101,45,49,51,10,32,32,49,46,52,50,55,48,57,101,45,49,
      51,32,49,46,54,56,48,48,55,101,45,49,51,32,49,46,57,50,52,54,52,101,45,49,51,
      32,50,46,50,48,52,50,53,101,45,49,51,32,50,46,52,56,51,54,54,101,45,49,51,32,
      50,46,55,53,54,57,54,101,45,49,51,32,51,46,48,49,56,55,52,101,45,49,51,10,32,
      32,51,46,51,48,54,57,55,101,45,49,51,32,51,46,53,49,51,56,54,101,45,49,51,32,
      51,46,55,49,53,51,101,45,49,51,32,52,46,48,51,50,50,56,101,45,49,51,32,52,46,
      50,49,53,55,54,101,45,49,51,32,52,46,52,56,53,48,49,101,45,49,51,32,52,46,55,
      52,48,48,54,101,45,49,51,10,32,32,52,46,56,55,54,54,57,101,45,49,51,32,53,46,
      48,48,48,53,52,101,45,49,51,32,53,46,49,54,56,49,54,101,45,49,51,32,53,46,51,
      49,49,50,101,45,49,51,32,53,46,51,55,49,49,53,101,45,49,51,32,53,46,52,51,56,
      52,49,101,45,49,51,32,53,46,52,54,49,54,53,101,45,49,51,10,32,32,53,46,52,55,
      49,51,51,101,45,49,51,32,53,46,52,53,52,52,51,101,45,49,51,32,53,46,51,57,49,
      53,53,101,45,49,51,32,53,46,51,53,51,48,55,101,45,49,51,32,53,46,50,54,48,48,
      52,101,45,49,51,32,53,46,49,51,48,53,51,101,45,49,51,32,53,46,48,48,51,53,54,
      101,45,49,51,10,32,32,52,46,56,54,49,52,49,101,45,49,51,32,52,46,55,49,54,52,
      57,101,45,49,51,32,52,46,53,54,52,50,101,45,49,51,32,52,46,51,56,54,49,57,101,
      45,49,51,32,52,46,50,50,49,54,50,101,45,49,51,32,52,46,48,51,52,56,57,101,45,
      49,51,32,51,46,56,57,52,57,53,101,45,49,51,10,32,32,51,46,54,54,51,57,56,101,
      45,49,51,32,51,46,53,50,49,55,101,45,49,51,32,51,46,51,52,53,49,57,101,45,49,
      51,32,50,46,57,52,48,55,56,101,45,49,51,32,50,46,52,49,52,54,54,101,45,49,51,
      32,49,46,57,53,49,50,54,101,45,49,51,32,49,46,52,53,53,51,56,101,45,49,51,10,
      32,32,49,46,48,53,53,55,49,101,45,49,51,32,54,46,56,57,48,48,56,101,45,49,52,
      32,52,46,56,48,50,55,51,101,45,49,52,32,50,46,53,57,54,50,49,101,45,49,52,32,
      49,46,51,56,56,49,55,101,45,49,52,32,56,46,55,55,51,48,53,101,45,49,53,32,53,
      46,49,55,50,48,51,101,45,49,53,10,32,32,50,46,52,57,57,50,56,101,45,49,53,32,
      49,46,50,57,56,50,55,101,45,49,53,32,54,46,54,52,50,52,56,101,45,49,54,32,51,
      46,48,51,56,52,50,101,45,49,54,32,49,46,51,54,56,56,53,101,45,49,54,32,54,46,
      55,51,56,56,53,101,45,49,55,32,51,46,50,56,55,53,51,101,45,49,55,10,32,32,49,
      46,53,56,56,54,49,101,45,49,55,32,54,46,56,54,55,51,54,101,45,49,56,32,50,46,
      54,52,54,51,49,101,45,49,56,32,57,46,48,55,49,52,101,45,49,57,32,51,46,52,51,
      48,56,50,101,45,49,57,32,49,46,49,53,52,50,49,101,45,49,57,32,52,46,51,48,50,
      49,51,101,45,50,48,10,32,32,49,46,53,57,52,51,49,101,45,50,48,32,53,46,50,53,
      57,49,49,101,45,50,49,32,49,46,53,57,49,54,101,45,50,49,32,54,46,50,57,55,51,
      51,101,45,50,50,32,50,46,49,52,53,53,54,101,45,50,50,32,56,46,51,48,49,54,49,
      101,45,50,51,32,50,46,57,57,57,54,53,101,45,50,51,10,32,32,49,46,48,56,48,55,
      57,101,45,50,51,32,51,46,56,56,51,57,55,101,45,50,52,32,49,46,51,57,50,52,49,
      101,45,50,52,32,52,46,57,56,48,56,51,101,45,50,53,32,49,46,55,55,56,48,56,101,
      45,50,53,32,54,46,51,51,53,52,57,101,45,50,54,32,50,46,50,53,51,52,57,101,45,
      50,54,10,32,32,56,46,48,48,50,52,51,101,45,50,55,32,50,46,56,51,55,53,54,101,
      45,50,55,32,49,46,48,48,52,51,57,101,45,50,55,32,51,46,53,53,48,52,101,45,50,
      56,32,49,46,49,57,54,53,57,101,45,50,56,32,50,46,54,56,49,55,56,101,45,50,57,
      32,57,46,48,49,52,55,52,101,45,51,48,10,32,32,50,46,57,54,53,51,49,101,45,51,
      48,32,57,46,50,56,48,51,54,101,45,51,49,32,48,114,54,53,32,49,46,56,50,48,53,
      52,101,45,51,48,32,49,46,52,48,52,50,101,45,50,57,32,57,46,57,48,53,53,54,101,
      45,50,57,32,56,46,48,53,57,51,52,101,45,50,56,32,51,46,48,50,56,51,55,101,45,
      50,55,10,32,32,56,46,57,57,49,54,49,101,45,50,55,32,53,46,48,56,50,49,52,101,
      45,50,54,32,49,46,57,54,52,48,50,101,45,50,53,32,53,46,57,54,54,52,55,101,45,
      50,53,32,57,46,55,51,54,53,54,101,45,50,53,32,49,46,53,51,51,56,52,101,45,50,
      52,32,50,46,51,52,51,56,53,101,45,50,52,10,32,32,51,46,52,56,55,55,49,101,45,
      50,52,32,53,46,48,54,57,56,50,101,45,50,52,32,55,46,50,49,56,50,54,101,45,50,
      52,32,49,46,48,48,56,56,52,101,45,50,51,32,49,46,51,56,54,54,55,101,45,50,51,
      32,49,46,56,55,55,53,51,101,45,50,51,32,50,46,53,48,55,54,101,45,50,51,10,32,
      32,51,46,52,57,49,48,49,101,45,50,51,32,52,46,55,56,50,101,45,50,51,32,55,46,
      49,49,50,52,101,45,50,51,32,55,46,54,50,57,52,52,101,45,50,49,32,49,46,48,50,
      49,52,101,45,50,48,32,49,46,52,51,57,55,51,101,45,50,48,32,49,46,57,56,55,49,
      50,101,45,50,48,10,32,32,50,46,54,57,50,48,49,101,45,50,48,32,51,46,55,57,49,
      56,57,101,45,50,48,32,53,46,48,48,50,56,51,101,45,49,55,32,53,46,54,52,48,54,
      55,101,45,49,55,32,54,46,51,48,55,53,53,101,45,49,55,32,55,46,48,48,53,49,53,
      101,45,49,55,32,55,46,56,50,54,56,101,45,49,55,10,32,32,56,46,55,56,53,56,101,
      45,49,55,32,57,46,56,56,57,53,51,101,45,49,55,32,49,46,49,49,52,55,56,101,45,
      49,54,32,49,46,50,53,56,50,49,101,45,49,54,32,49,46,52,57,48,55,55,101,45,49,
      54,32,49,46,54,57,48,50,52,101,45,49,54,32,49,46,57,50,57,57,56,101,45,49,54,
      10,32,32,50,46,50,54,49,49,56,101,45,49,54,32,50,46,54,51,54,49,54,101,45,49,
      54,32,50,46,57,52,48,51,52,101,45,49,54,32,51,46,51,52,48,54,53,101,45,49,54,
      32,51,46,56,54,57,51,54,101,45,49,54,32,52,46,52,56,55,50,50,101,45,49,54,32,
      53,46,50,49,52,56,50,101,45,49,54,10,32,32,54,46,49,48,54,54,51,101,45,49,54,
      32,55,46,48,56,51,53,55,101,45,49,54,32,56,46,50,54,51,48,55,101,45,49,54,32,
      57,46,57,51,54,52,53,101,45,49,54,32,49,46,50,55,50,51,52,101,45,49,53,32,49,
      46,54,49,50,49,56,101,45,49,53,32,50,46,48,52,53,51,54,101,45,49,53,10,32,32,
      50,46,52,56,48,53,50,101,45,49,53,32,51,46,48,51,54,48,53,101,45,49,53,32,51,
      46,57,56,51,56,57,101,45,49,53,32,53,46,49,55,50,49,50,101,45,49,53,32,54,46,
      54,50,57,57,49,101,45,49,53,32,56,46,49,53,55,51,56,101,45,49,53,32,49,46,48,
      56,48,48,52,101,45,49,52,10,32,32,49,46,52,48,55,52,101,45,49,52,32,49,46,56,
      49,49,53,56,101,45,49,52,32,50,46,50,53,54,53,50,101,45,49,52,32,50,46,55,56,
      52,53,52,101,45,49,52,32,51,46,51,56,55,54,51,101,45,49,52,32,52,46,49,54,49,
      50,54,101,45,49,52,32,52,46,57,55,52,54,54,101,45,49,52,10,32,32,53,46,54,51,
      51,51,54,101,45,49,52,32,55,46,48,49,56,51,57,101,45,49,52,32,56,46,52,57,55,
      52,55,101,45,49,52,32,49,46,48,48,51,48,56,101,45,49,51,32,49,46,49,56,53,51,
      53,101,45,49,51,32,49,46,51,54,50,50,56,101,45,49,51,32,49,46,53,54,53,51,51,
      101,45,49,51,10,32,32,49,46,55,54,57,48,51,101,45,49,51,32,49,46,57,54,57,48,
      49,101,45,49,51,32,50,46,49,54,49,50,55,101,45,49,51,32,50,46,51,55,51,55,55,
      101,45,49,51,32,50,46,53,50,54,56,55,101,45,49,51,32,50,46,54,55,54,52,52,101,
      45,49,51,32,50,46,57,49,50,57,54,101,45,49,51,10,32,32,51,46,48,53,48,54,49,
      101,45,49,51,32,51,46,50,53,51,56,50,101,45,49,51,32,51,46,52,52,56,48,50,101,
      45,49,51,32,51,46,53,53,50,57,56,101,45,49,51,32,51,46,54,52,56,57,101,45,49,
      51,32,51,46,55,56,48,52,51,101,45,49,51,32,51,46,56,57,53,51,57,101,45,49,51,
      10,32,32,51,46,57,52,53,49,50,101,45,49,51,32,52,46,48,48,51,56,54,101,45,49,
      51,32,52,46,48,50,54,54,52,101,45,49,51,32,52,46,48,52,50,57,50,101,45,49,51,
      32,52,46,48,51,55,55,57,101,45,49,51,32,52,46,48,48,49,56,51,101,45,49,51,32,
      51,46,57,55,55,53,57,101,45,49,51,10,32,32,51,46,57,49,54,53,55,101,45,49,51,
      32,51,46,56,50,56,56,101,45,49,51,32,51,46,55,52,49,48,49,101,45,49,51,32,51,
      46,54,52,49,52,52,101,45,49,51,32,51,46,53,51,56,57,53,101,45,49,51,32,51,46,
      52,51,48,52,49,101,45,49,51,32,51,46,51,48,50,54,56,101,45,49,51,10,32,32,51,
      46,49,56,51,57,49,101,45,49,51,32,51,46,48,52,56,52,56,101,45,49,51,32,50,46,
      57,52,54,53,55,101,45,49,51,32,50,46,55,55,55,54,53,101,45,49,51,32,50,46,54,
      55,51,49,57,101,45,49,51,32,50,46,53,52,51,50,50,101,45,49,51,32,50,46,50,52,
      51,57,49,101,45,49,51,10,32,32,49,46,56,53,49,53,54,101,45,49,51,32,49,46,53,
      48,51,51,101,45,49,51,32,49,46,49,50,55,55,56,101,45,49,51,32,56,46,50,50,55,
      52,101,45,49,52,32,53,46,52,48,55,57,57,101,45,49,52,32,51,46,55,55,57,54,55,
      101,45,49,52,32,50,46,48,53,56,50,51,101,45,49,52,10,32,32,49,46,49,48,55,51,
      50,101,45,49,52,32,55,46,48,50,54,51,57,101,45,49,53,32,52,46,49,53,57,57,101,
      45,49,53,32,50,46,48,50,48,55,52,101,45,49,53,32,49,46,48,53,52,49,51,101,45,
      49,53,32,53,46,52,49,52,52,54,101,45,49,54,32,50,46,52,56,54,57,51,101,45,49,
      54,10,32,32,49,46,49,50,52,54,55,101,45,49,54,32,53,46,53,53,51,57,52,101,45,
      49,55,32,50,46,55,49,55,51,49,101,45,49,55,32,49,46,51,49,54,54,55,101,45,49,
      55,32,53,46,55,48,56,50,56,101,45,49,56,32,50,46,50,48,54,51,101,45,49,56,32,
      55,46,53,56,54,52,51,101,45,49,57,10,32,32,50,46,56,55,54,53,55,101,45,49,57,
      32,57,46,55,48,51,101,45,50,48,32,51,46,54,50,52,53,55,101,45,50,48,32,49,46,
      51,52,53,57,55,101,45,50,48,32,52,46,52,52,57,51,55,101,45,50,49,32,49,46,51,
      52,57,52,49,101,45,50,49,32,53,46,51,52,55,50,56,101,45,50,50,10,32,32,49,46,
      56,50,52,57,51,101,45,50,50,32,55,46,48,55,48,56,55,101,45,50,51,32,50,46,53,
      53,56,53,53,101,45,50,51,32,57,46,50,51,48,56,57,101,45,50,52,32,51,46,51,50,
      49,52,54,101,45,50,52,32,49,46,49,57,50,49,57,101,45,50,52,32,52,46,50,54,57,
      52,56,101,45,50,53,10,32,32,49,46,53,50,53,55,57,101,45,50,53,32,53,46,52,52,
      50,49,57,101,45,50,54,32,49,46,57,51,55,54,54,101,45,50,54,32,54,46,56,56,55,
      51,54,101,45,50,55,32,50,46,52,52,52,51,56,101,45,50,55,32,56,46,54,54,49,55,
      56,101,45,50,56,32,51,46,48,54,51,50,52,101,45,50,56,10,32,32,49,46,48,51,50,
      56,52,101,45,50,56,32,50,46,51,49,55,53,53,101,45,50,57,32,56,46,48,49,51,54,
      50,101,45,51,48,32,50,46,53,54,49,57,55,101,45,51,48,32,56,46,48,49,49,55,53,
      101,45,51,49,32,48,114,54,53,32,55,46,51,57,48,56,53,101,45,51,49,32,53,46,
      57,54,50,52,57,101,45,51,48,10,32,32,52,46,51,54,50,56,56,101,45,50,57,32,51,
      46,54,55,48,54,55,101,45,50,56,32,49,46,52,48,53,53,101,45,50,55,32,52,46,50,
      51,52,49,54,101,45,50,55,32,50,46,52,52,54,50,57,101,45,50,54,32,57,46,54,49,
      51,49,53,101,45,50,54,32,50,46,57,54,48,56,49,101,45,50,53,10,32,32,52,46,56,
      54,49,51,49,101,45,50,53,32,55,46,55,48,50,49,53,101,45,50,53,32,49,46,49,56,
      51,51,49,101,45,50,52,32,49,46,55,54,57,55,57,101,45,50,52,32,50,46,53,56,53,
      48,57,101,45,50,52,32,51,46,54,57,55,53,57,101,45,50,52,32,53,46,49,57,48,54,
      57,101,45,50,52,10,32,32,55,46,49,54,53,48,49,101,45,50,52,32,57,46,55,52,48,
      56,52,101,45,50,52,32,49,46,51,48,54,48,56,101,45,50,51,32,49,46,56,50,54,53,
      51,101,45,50,51,32,50,46,53,49,50,56,55,101,45,50,51,32,51,46,55,53,56,50,49,
      101,45,50,51,32,52,46,49,55,50,55,56,101,45,50,49,10,32,32,53,46,54,49,57,50,
      56,101,45,50,49,32,55,46,57,55,54,55,53,101,45,50,49,32,49,46,49,48,56,51,57,
      101,45,50,48,32,49,46,53,49,49,50,56,101,45,50,48,32,50,46,49,52,52,53,50,101,
      45,50,48,32,53,46,53,49,55,52,57,101,45,49,56,32,55,46,50,52,57,50,50,101,45,
      49,56,10,32,32,57,46,51,48,53,57,56,101,45,49,56,32,49,46,49,55,48,55,55,101,
      45,49,55,32,49,46,52,56,52,51,49,101,45,49,55,32,49,46,56,56,56,57,49,101,45,
      49,55,32,50,46,52,48,52,55,49,101,45,49,55,32,51,46,48,53,52,53,52,101,45,49,
      55,32,51,46,56,54,50,48,51,101,45,49,55,10,32,32,53,46,48,56,54,55,57,101,45,
      49,55,32,54,46,51,53,53,51,57,101,45,49,55,32,55,46,57,56,48,52,101,45,49,55,
      32,49,46,48,51,55,56,50,101,45,49,54,32,49,46,51,50,54,49,49,101,45,49,54,32,
      49,46,53,54,57,52,53,101,45,49,54,32,49,46,56,57,57,53,57,101,45,49,54,10,32,
      32,50,46,51,52,55,49,56,101,45,49,54,32,50,46,56,56,49,50,49,101,45,49,54,32,
      51,46,53,49,54,50,56,101,45,49,54,32,52,46,50,57,53,53,51,101,45,49,54,32,53,
      46,49,52,52,50,54,101,45,49,54,32,54,46,49,53,55,54,53,101,45,49,54,32,55,46,
      53,55,51,54,49,101,45,49,54,10,32,32,57,46,56,56,51,49,55,101,45,49,54,32,49,
      46,50,54,52,54,50,101,45,49,53,32,49,46,54,49,48,56,55,101,45,49,53,32,49,46,
      57,53,52,55,53,101,45,49,53,32,50,46,51,57,48,51,51,101,45,49,53,32,51,46,49,
      50,56,56,50,101,45,49,53,32,52,46,48,53,48,55,57,101,45,49,53,10,32,32,53,46,
      49,56,48,48,57,101,45,49,53,32,54,46,51,54,51,51,56,101,45,49,53,32,56,46,52,
      49,51,52,101,45,49,53,32,49,46,48,57,53,56,53,101,45,49,52,32,49,46,52,49,49,
      48,53,101,45,49,52,32,49,46,55,53,57,49,54,101,45,49,52,32,50,46,49,55,51,54,
      49,101,45,49,52,10,32,32,50,46,54,52,56,53,49,101,45,49,52,32,51,46,50,53,57,
      55,49,101,45,49,52,32,51,46,57,48,52,51,56,101,45,49,52,32,52,46,52,50,55,55,
      57,101,45,49,52,32,53,46,53,51,49,54,52,101,45,49,52,32,54,46,55,49,52,53,52,
      101,45,49,52,32,55,46,57,52,52,53,55,101,45,49,52,10,32,32,57,46,52,49,48,56,
      52,101,45,49,52,32,49,46,48,56,51,56,101,45,49,51,32,49,46,50,52,56,101,45,
      49,51,32,49,46,52,49,51,49,51,101,45,49,51,32,49,46,53,55,53,54,52,101,45,49,
      51,32,49,46,55,51,50,50,52,101,45,49,51,32,49,46,57,48,53,55,54,101,45,49,51,
      10,32,32,50,46,48,51,49,48,56,101,45,49,51,32,50,46,49,53,51,55,54,101,45,49,
      51,32,50,46,51,52,56,51,54,101,45,49,51,32,50,46,52,54,50,101,45,49,51,32,50,
      46,54,51,48,51,56,101,45,49,51,32,50,46,55,57,50,49,56,101,45,49,51,32,50,46,
      56,56,48,49,49,101,45,49,51,10,32,32,50,46,57,54,48,56,54,101,45,49,51,32,51,
      46,48,55,50,52,53,101,45,49,51,32,51,46,49,55,49,51,56,101,45,49,51,32,51,46,
      50,49,52,57,51,101,45,49,51,32,51,46,50,54,55,56,101,45,49,51,32,51,46,50,56,
      57,52,52,101,45,49,51,32,51,46,51,48,55,54,55,101,45,49,51,10,32,32,51,46,51,
      48,55,52,53,101,45,49,51,32,51,46,50,56,51,55,53,101,45,49,51,32,51,46,50,54,
      54,50,49,101,45,49,51,32,51,46,50,50,48,53,51,101,45,49,51,32,51,46,49,53,51,
      49,101,45,49,51,32,51,46,48,56,52,54,51,101,45,49,51,32,51,46,48,48,54,50,52,
      101,45,49,51,10,32,32,50,46,57,50,52,57,55,101,45,49,51,32,50,46,56,51,56,52,
      51,101,45,49,51,32,50,46,55,51,54,49,49,101,45,49,51,32,50,46,54,52,48,53,55,
      101,45,49,51,32,50,46,53,51,49,50,53,101,45,49,51,32,50,46,52,52,56,55,52,101,
      45,49,51,32,50,46,51,49,49,54,101,45,49,51,10,32,32,50,46,50,50,54,53,55,101,
      45,49,51,32,50,46,49,50,48,53,52,101,45,49,51,32,49,46,56,55,53,53,51,101,45,
      49,51,32,49,46,53,53,50,54,57,101,45,49,51,32,49,46,50,54,52,54,51,101,45,49,
      51,32,57,46,53,50,52,48,56,101,45,49,52,32,54,46,57,55,52,51,54,101,45,49,52,
      10,32,32,52,46,54,48,55,49,101,45,49,52,32,51,46,50,50,53,53,54,101,45,49,52,
      32,49,46,55,54,53,49,101,45,49,52,32,57,46,53,51,53,49,54,101,45,49,53,32,54,
      46,48,54,54,55,52,101,45,49,53,32,51,46,54,48,49,56,54,101,45,49,53,32,49,46,
      55,53,53,55,52,101,45,49,53,10,32,32,57,46,49,56,52,52,56,101,45,49,54,32,52,
      46,55,50,57,56,50,101,45,49,54,32,50,46,49,55,56,52,51,101,45,49,54,32,57,46,
      56,55,54,53,52,101,45,49,55,32,52,46,56,56,55,51,50,101,45,49,55,32,50,46,51,
      57,53,55,53,101,45,49,55,32,49,46,49,54,50,57,55,101,45,49,55,10,32,32,53,46,
      48,53,49,54,101,45,49,56,32,49,46,57,53,54,51,57,101,45,49,56,32,54,46,55,52,
      48,56,52,101,45,49,57,32,50,46,53,54,48,51,101,45,49,57,32,56,46,54,53,49,51,
      55,101,45,50,48,32,51,46,50,51,54,52,57,101,45,50,48,32,49,46,50,48,51,53,49,
      101,45,50,48,10,32,32,51,46,57,56,52,49,50,101,45,50,49,32,49,46,50,49,48,48,
      50,101,45,50,49,32,52,46,55,57,57,56,54,101,45,50,50,32,49,46,54,51,57,57,52,
      101,45,50,50,32,54,46,51,54,48,48,50,101,45,50,51,32,50,46,51,48,51,52,57,101,
      45,50,51,32,56,46,51,49,56,48,52,101,45,50,52,10,32,32,50,46,57,57,53,53,50,
      101,45,50,52,32,49,46,48,55,54,48,53,101,45,50,52,32,51,46,56,53,54,52,55,101,
      45,50,53,32,49,46,51,55,57,49,57,101,45,50,53,32,52,46,57,50,50,54,56,101,45,
      50,54,32,49,46,55,53,51,56,52,101,45,50,54,32,54,46,50,51,55,56,54,101,45,50,
      55,10,32,32,50,46,50,49,53,49,57,101,45,50,55,32,55,46,56,53,52,48,55,101,45,
      50,56,32,50,46,55,55,56,57,50,101,45,50,56,32,57,46,52,48,56,56,56,101,45,50,
      57,32,50,46,49,48,52,54,55,101,45,50,57,32,55,46,50,55,57,51,56,101,45,51,48,
      32,50,46,51,50,54,50,56,101,45,51,48,10,32,32,55,46,50,55,48,57,53,101,45,51,
      49,32,48,114,54,54,32,54,46,48,51,51,52,51,101,45,51,49,32,52,46,55,49,50,50,
      53,101,45,51,48,32,52,46,50,50,56,48,55,101,45,50,57,32,49,46,54,56,52,54,53,
      101,45,50,56,32,53,46,50,52,53,57,51,101,45,50,56,32,51,46,50,48,48,51,53,101,
      45,50,55,10,32,32,49,46,51,49,53,51,49,101,45,50,54,32,52,46,50,49,48,53,57,
      101,45,50,54,32,55,46,48,51,53,55,49,101,45,50,54,32,49,46,49,51,51,51,53,101,
      45,50,53,32,49,46,55,54,56,55,56,101,45,50,53,32,50,46,54,56,53,50,53,101,45,
      50,53,32,51,46,57,55,56,53,52,101,45,50,53,10,32,32,53,46,55,54,56,55,101,45,
      50,53,32,56,46,50,48,52,51,53,101,45,50,53,32,49,46,49,52,54,55,52,101,45,50,
      52,32,49,46,53,55,55,56,52,101,45,50,52,32,50,46,49,52,48,50,50,101,45,50,52,
      32,51,46,48,51,51,50,101,45,50,52,32,52,46,50,50,54,54,49,101,45,50,52,10,32,
      32,54,46,52,50,52,55,50,101,45,50,52,32,55,46,56,57,53,51,56,101,45,50,50,32,
      49,46,48,56,51,51,52,101,45,50,49,32,49,46,53,55,50,49,54,101,45,50,49,32,50,
      46,50,51,48,51,49,101,45,50,49,32,51,46,49,48,48,57,53,101,45,50,49,32,52,46,
      52,57,56,49,49,101,45,50,49,10,32,32,53,46,53,51,56,57,53,101,45,49,57,32,55,
      46,52,51,54,51,49,101,45,49,57,32,57,46,55,54,53,49,55,101,45,49,57,32,49,46,
      50,53,55,57,54,101,45,49,56,32,49,46,54,51,57,54,51,101,45,49,56,32,50,46,49,
      53,52,48,54,101,45,49,56,32,50,46,56,52,51,49,49,101,45,49,56,10,32,32,51,46,
      55,53,57,57,51,101,45,49,56,32,52,46,57,55,48,56,52,101,45,49,56,32,55,46,48,
      52,49,54,55,101,45,49,56,32,57,46,50,55,55,56,53,101,45,49,56,32,49,46,50,51,
      55,49,56,101,45,49,55,32,49,46,55,51,56,53,52,101,45,49,55,32,50,46,52,48,54,
      57,49,101,45,49,55,10,32,32,51,46,48,50,51,53,53,101,45,49,55,32,51,46,57,51,
      50,48,52,101,45,49,55,32,53,46,50,56,54,57,55,101,45,49,55,32,55,46,48,55,48,
      56,57,101,45,49,55,32,57,46,51,57,56,52,57,101,45,49,55,32,49,46,50,53,49,48,
      53,101,45,49,54,32,49,46,54,49,53,53,53,101,45,49,54,10,32,32,50,46,48,55,55,
      48,53,101,45,49,54,32,50,46,55,53,52,51,50,101,45,49,54,32,51,46,57,48,56,49,
      101,45,49,54,32,53,46,51,50,53,50,57,101,45,49,54,32,55,46,49,49,57,57,49,101,
      45,49,54,32,56,46,57,48,53,52,51,101,45,49,54,32,49,46,49,49,54,49,56,101,45,
      49,53,10,32,32,49,46,52,57,54,55,57,101,45,49,53,32,49,46,57,54,57,49,101,45,
      49,53,32,50,46,53,52,52,56,51,101,45,49,53,32,51,46,49,52,54,52,52,101,45,49,
      53,32,52,46,49,56,55,56,53,101,45,49,53,32,53,46,52,56,50,55,54,101,45,49,53,
      32,55,46,48,57,50,53,52,101,45,49,53,10,32,32,56,46,56,55,57,56,50,101,45,49,
      53,32,49,46,49,48,50,49,101,45,49,52,32,49,46,51,52,57,49,52,101,45,49,52,32,
      49,46,54,54,57,53,51,101,45,49,52,32,50,46,48,49,48,49,52,101,45,49,52,32,50,
      46,50,56,56,52,56,101,45,49,52,32,50,46,56,56,48,49,56,101,45,49,52,10,32,32,
      51,46,53,50,48,51,56,101,45,49,52,32,52,46,49,57,49,56,54,101,45,49,52,32,52,
      46,57,57,57,101,45,49,52,32,53,46,55,57,48,55,54,101,45,49,52,32,54,46,55,48,
      56,53,53,101,45,49,52,32,55,46,54,51,56,51,50,101,45,49,52,32,56,46,53,53,57,
      55,54,101,45,49,52,10,32,32,57,46,52,53,51,54,52,101,45,49,52,32,49,46,48,52,
      53,49,49,101,45,49,51,32,49,46,49,49,55,54,50,101,45,49,51,32,49,46,49,56,57,
      48,51,101,45,49,51,32,49,46,51,48,51,50,50,101,45,49,51,32,49,46,51,55,48,52,
      57,101,45,49,51,32,49,46,52,55,49,49,53,101,45,49,51,10,32,32,49,46,53,54,57,
      50,50,101,45,49,51,32,49,46,54,50,51,50,53,101,45,49,51,32,49,46,54,55,51,52,
      54,101,45,49,51,32,49,46,55,52,52,49,55,101,45,49,51,32,49,46,56,48,56,57,49,
      101,45,49,51,32,49,46,56,51,56,53,52,101,45,49,51,32,49,46,56,55,54,53,55,101,
      45,49,51,10,32,32,49,46,56,57,51,55,53,101,45,49,51,32,49,46,57,49,49,57,54,
      101,45,49,51,32,49,46,57,49,56,48,53,101,45,49,51,32,49,46,57,49,51,51,101,
      45,49,51,32,49,46,57,48,54,55,53,101,45,49,51,32,49,46,56,56,55,48,49,101,45,
      49,51,32,49,46,56,53,52,57,52,101,45,49,51,10,32,32,49,46,56,50,48,54,56,101,
      45,49,51,32,49,46,55,56,48,50,52,101,45,49,51,32,49,46,55,51,55,51,57,101,45,
      49,51,32,49,46,54,57,49,101,45,49,51,32,49,46,54,51,53,51,54,101,45,49,51,32,
      49,46,53,56,50,56,101,45,49,51,32,49,46,53,50,50,48,52,101,45,49,51,10,32,32,
      49,46,52,55,53,56,50,101,45,49,51,32,49,46,51,57,56,51,53,101,45,49,51,32,49,
      46,51,52,57,57,54,101,45,49,51,32,49,46,50,56,57,50,55,101,45,49,51,32,49,46,
      49,52,55,54,55,101,45,49,51,32,57,46,53,56,52,50,57,101,45,49,52,32,55,46,56,
      55,49,54,54,101,45,49,52,10,32,32,53,46,57,56,57,51,55,101,45,49,52,32,52,46,
      52,51,48,51,50,101,45,49,52,32,50,46,57,54,54,57,55,101,45,49,52,32,50,46,48,
      56,54,50,54,101,45,49,52,32,49,46,49,53,54,55,56,101,45,49,52,32,54,46,51,49,
      57,49,53,101,45,49,53,32,52,46,48,53,48,49,51,101,45,49,53,10,32,32,50,46,52,
      50,51,50,101,45,49,53,32,49,46,49,57,50,53,101,45,49,53,32,54,46,50,56,54,51,
      50,101,45,49,54,32,51,46,50,54,48,53,51,101,45,49,54,32,49,46,53,49,51,49,101,
      45,49,54,32,54,46,57,48,56,48,53,101,45,49,55,32,51,46,52,51,55,55,57,101,45,
      49,55,10,32,32,49,46,54,57,52,49,52,101,45,49,55,32,56,46,50,54,53,51,56,101,
      45,49,56,32,51,46,54,48,57,50,57,101,45,49,56,32,49,46,52,48,53,53,53,101,45,
      49,56,32,52,46,56,55,48,52,101,45,49,57,32,49,46,56,53,56,54,101,45,49,57,32,
      54,46,51,49,48,56,53,101,45,50,48,10,32,32,50,46,51,55,48,52,57,101,45,50,48,
      32,56,46,56,52,56,51,101,45,50,49,32,50,46,57,52,48,54,56,101,45,50,49,32,56,
      46,57,54,54,50,52,101,45,50,50,32,51,46,53,54,54,55,57,101,45,50,50,32,49,46,
      50,50,50,52,50,101,45,50,50,32,52,46,55,53,50,57,55,101,45,50,51,10,32,32,49,
      46,55,50,53,57,50,101,45,50,51,32,54,46,50,52,55,55,56,101,45,50,52,32,50,46,
      50,53,53,50,50,101,45,50,52,32,56,46,49,49,57,49,53,101,45,50,53,32,50,46,57,
      49,53,57,55,101,45,50,53,32,49,46,48,52,52,57,51,101,45,50,53,32,51,46,55,51,
      54,55,56,101,45,50,54,10,32,32,49,46,51,51,51,55,53,101,45,50,54,32,52,46,55,
      53,50,49,101,45,50,55,32,49,46,54,57,48,51,51,101,45,50,55,32,54,46,48,48,50,
      53,49,101,45,50,56,32,50,46,49,50,55,57,51,101,45,50,56,32,55,46,50,49,56,55,
      53,101,45,50,57,32,49,46,54,50,55,56,55,101,45,50,57,10,32,32,53,46,55,49,53,
      51,53,101,45,51,48,32,49,46,57,49,53,53,57,101,45,51,48,32,53,46,53,55,49,49,
      52,101,45,51,49,32,49,46,49,56,55,48,50,101,45,51,49,32,48,114,54,53,32,49,
      46,57,52,55,51,57,101,45,51,49,32,49,46,53,53,48,57,55,101,45,51,48,32,49,46,
      52,50,54,54,101,45,50,57,10,32,32,53,46,55,56,55,54,53,101,45,50,57,32,49,46,
      56,51,49,55,53,101,45,50,56,32,49,46,49,52,57,53,57,101,45,50,55,32,52,46,56,
      52,48,49,57,101,45,50,55,32,49,46,53,56,50,51,53,101,45,50,54,32,50,46,54,54,
      57,51,54,101,45,50,54,32,52,46,51,51,56,55,53,101,45,50,54,10,32,32,54,46,56,
      50,57,48,54,101,45,50,54,32,49,46,48,52,53,49,49,101,45,50,53,32,49,46,53,54,
      48,51,51,101,45,50,53,32,50,46,50,55,56,57,101,45,50,53,32,51,46,50,54,51,54,
      50,101,45,50,53,32,52,46,53,57,49,57,50,101,45,50,53,32,54,46,51,53,56,51,49,
      101,45,50,53,10,32,32,56,46,54,55,55,48,54,101,45,50,53,32,49,46,50,51,56,51,
      52,101,45,50,52,32,49,46,55,51,55,48,55,101,45,50,52,32,50,46,54,54,50,55,53,
      101,45,50,52,32,51,46,53,48,54,51,54,101,45,50,50,32,52,46,56,53,53,52,53,101,
      45,50,50,32,55,46,49,50,49,54,56,101,45,50,50,10,32,32,49,46,48,50,48,51,101,
      45,50,49,32,49,46,52,51,49,54,54,101,45,50,49,32,50,46,48,57,56,48,51,101,45,
      50,49,32,52,46,56,53,56,48,53,101,45,49,57,32,54,46,52,56,48,51,51,101,45,49,
      57,32,56,46,52,53,55,52,101,45,49,57,32,49,46,48,56,51,48,55,101,45,49,56,10,
      32,32,49,46,52,48,50,55,101,45,49,56,32,49,46,56,51,48,51,54,101,45,49,56,32,
      50,46,51,57,56,55,57,101,45,49,56,32,51,46,49,52,56,57,56,101,45,49,56,32,52,
      46,49,51,49,55,53,101,45,49,56,32,53,46,56,52,51,50,55,101,45,49,56,32,55,46,
      54,52,49,49,101,45,49,56,10,32,32,49,46,48,49,48,55,55,101,45,49,55,32,49,46,
      52,48,54,51,101,45,49,55,32,49,46,57,50,56,52,55,101,45,49,55,32,50,46,52,48,
      54,49,55,101,45,49,55,32,51,46,49,48,52,53,53,101,45,49,55,32,52,46,49,51,55,
      49,53,101,45,49,55,32,53,46,52,56,52,53,49,101,45,49,55,10,32,32,55,46,50,50,
      55,55,53,101,45,49,55,32,57,46,53,51,57,56,50,101,45,49,55,32,49,46,50,50,50,
      56,53,101,45,49,54,32,49,46,53,54,49,49,53,101,45,49,54,32,50,46,48,53,52,54,
      55,101,45,49,54,32,50,46,56,57,48,55,57,101,45,49,54,32,51,46,57,49,49,52,51,
      101,45,49,54,10,32,32,53,46,49,57,56,52,55,101,45,49,54,32,54,46,52,55,53,50,
      55,101,45,49,54,32,56,46,48,56,53,52,55,101,45,49,54,32,49,46,48,55,57,54,55,
      101,45,49,53,32,49,46,52,49,53,55,49,101,45,49,53,32,49,46,56,50,53,50,101,
      45,49,53,32,50,46,50,53,51,50,50,101,45,49,53,10,32,32,50,46,57,57,52,56,53,
      101,45,49,53,32,51,46,57,49,56,55,50,101,45,49,53,32,53,46,48,55,48,49,54,101,
      45,49,53,32,54,46,51,53,50,51,50,101,45,49,53,32,55,46,56,57,51,50,49,101,45,
      49,53,32,57,46,54,55,55,50,52,101,45,49,53,32,49,46,49,57,57,57,53,101,45,49,
      52,10,32,32,49,46,52,52,55,55,55,101,45,49,52,32,49,46,54,53,48,57,52,101,45,
      49,52,32,50,46,48,56,52,53,52,101,45,49,52,32,50,46,53,53,53,57,50,101,45,49,
      52,32,51,46,48,53,50,52,55,101,45,49,52,32,51,46,54,53,49,56,49,101,45,49,52,
      32,52,46,50,52,50,48,55,101,45,49,52,10,32,32,52,46,57,50,56,56,51,101,45,49,
      52,32,53,46,54,50,55,49,52,101,45,49,52,32,54,46,51,50,49,54,101,45,49,52,32,
      54,46,57,57,55,53,101,45,49,52,32,55,46,55,53,52,50,56,101,45,49,52,32,56,46,
      51,48,54,50,101,45,49,52,32,56,46,56,53,49,50,101,45,49,52,10,32,32,57,46,55,
      50,54,48,57,101,45,49,52,32,49,46,48,50,52,51,55,101,45,49,51,32,49,46,49,48,
      50,49,54,101,45,49,51,32,49,46,49,55,56,52,52,101,45,49,51,32,49,46,50,50,48,
      55,50,101,45,49,51,32,49,46,50,54,48,50,50,101,45,49,51,32,49,46,51,49,54,51,
      101,45,49,51,10,32,32,49,46,51,54,56,51,53,101,45,49,51,32,49,46,51,57,50,53,
      53,101,45,49,51,32,49,46,52,50,52,50,55,101,45,49,51,32,49,46,52,51,57,48,57,
      101,45,49,51,32,49,46,52,53,53,56,50,101,45,49,51,32,49,46,52,54,50,56,101,
      45,49,51,32,49,46,52,54,50,53,55,101,45,49,51,10,32,32,49,46,52,53,56,57,53,
      101,45,49,51,32,49,46,52,52,54,52,56,101,45,49,51,32,49,46,52,50,52,55,50,101,
      45,49,51,32,49,46,52,48,48,55,49,101,45,49,51,32,49,46,51,55,49,56,51,101,45,
      49,51,32,49,46,51,52,48,56,51,101,45,49,51,32,49,46,51,48,54,57,54,101,45,49,
      51,10,32,32,49,46,50,54,54,48,49,101,45,49,51,32,49,46,50,50,55,48,55,101,45,
      49,51,32,49,46,49,56,49,56,50,101,45,49,51,32,49,46,49,52,55,50,52,101,45,49,
      51,32,49,46,48,56,57,48,51,101,45,49,51,32,49,46,48,53,50,53,51,101,45,49,51,
      32,49,46,48,48,54,54,49,101,45,49,51,10,32,32,56,46,57,56,57,50,52,101,45,49,
      52,32,55,46,53,51,57,53,53,101,45,49,52,32,54,46,50,49,55,57,57,101,45,49,52,
      32,52,46,55,53,53,50,51,101,45,49,52,32,51,46,53,51,52,57,55,101,45,49,52,32,
      50,46,51,56,51,52,55,101,45,49,52,32,49,46,54,55,57,56,57,101,45,49,52,10,32,
      32,57,46,51,55,51,57,50,101,45,49,53,32,53,46,49,52,57,49,57,101,45,49,53,32,
      51,46,51,49,50,50,57,101,45,49,53,32,49,46,57,56,57,51,51,101,45,49,53,32,57,
      46,56,51,54,50,56,101,45,49,54,32,53,46,50,48,53,48,57,101,45,49,54,32,50,46,
      55,48,57,51,53,101,45,49,54,10,32,32,49,46,50,54,50,48,55,101,45,49,54,32,53,
      46,55,56,50,48,49,101,45,49,55,32,50,46,56,56,53,53,54,101,45,49,55,32,49,46,
      52,50,53,55,55,101,45,49,55,32,54,46,57,55,51,53,50,101,45,49,56,32,51,46,48,
      53,51,50,52,101,45,49,56,32,49,46,49,57,50,51,101,45,49,56,10,32,32,52,46,49,
      52,51,49,55,101,45,49,57,32,49,46,53,56,52,56,49,101,45,49,57,32,53,46,51,57,
      52,50,52,101,45,50,48,32,50,46,48,51,48,51,49,101,45,50,48,32,55,46,53,57,50,
      57,101,45,50,49,32,50,46,53,50,56,52,50,101,45,50,49,32,55,46,55,50,52,51,54,
      101,45,50,50,10,32,32,51,46,48,55,55,49,52,101,45,50,50,32,49,46,48,53,54,50,
      52,101,45,50,50,32,52,46,49,49,50,49,49,101,45,50,51,32,49,46,52,57,53,49,53,
      101,45,50,51,32,53,46,52,49,57,48,55,101,45,50,52,32,49,46,57,53,56,51,55,101,
      45,50,52,32,55,46,48,53,56,51,101,45,50,53,10,32,32,50,46,53,51,55,54,53,101,
      45,50,53,32,57,46,49,48,50,55,52,101,45,50,54,32,51,46,50,53,56,51,52,101,45,
      50,54,32,49,46,49,54,52,48,54,101,45,50,54,32,52,46,49,53,49,48,52,101,45,50,
      55,32,49,46,52,55,55,55,53,101,45,50,55,32,53,46,50,53,50,54,56,101,45,50,56,
      10,32,32,49,46,56,54,51,57,57,101,45,50,56,32,54,46,51,50,51,52,56,101,45,50,
      57,32,49,46,52,50,55,54,51,101,45,50,57,32,53,46,48,49,53,48,50,101,45,51,48,
      32,49,46,54,56,48,54,49,101,45,51,48,32,52,46,56,56,48,52,55,101,45,51,49,32,
      49,46,48,51,54,49,51,101,45,51,49,10,32,32,48,114,54,54,32,56,46,57,55,49,53,
      49,101,45,51,50,32,57,46,48,51,48,55,55,101,45,51,49,32,51,46,57,48,48,48,56,
      101,45,51,48,32,49,46,51,48,50,55,57,101,45,50,57,32,56,46,57,51,57,49,51,101,
      45,50,57,32,52,46,48,52,50,56,53,101,45,50,56,32,49,46,52,48,50,52,53,101,45,
      50,55,10,32,32,50,46,52,50,56,55,101,45,50,55,32,52,46,48,52,52,54,51,101,45,
      50,55,32,54,46,53,49,49,56,50,101,45,50,55,32,49,46,48,49,55,56,57,101,45,50,
      54,32,49,46,53,53,48,50,49,101,45,50,54,32,50,46,51,48,54,57,54,101,45,50,54,
      32,51,46,51,54,50,56,55,101,45,50,54,10,32,32,52,46,56,49,49,55,52,101,45,50,
      54,32,54,46,55,54,57,57,53,101,45,50,54,32,57,46,51,56,48,53,50,101,45,50,54,
      32,49,46,51,54,50,49,56,101,45,50,53,32,49,46,57,52,50,53,52,101,45,50,53,32,
      51,46,48,52,48,49,52,101,45,50,53,32,52,46,57,51,56,51,53,101,45,50,51,10,32,
      32,54,46,57,53,56,50,55,101,45,50,51,32,49,46,48,52,49,54,101,45,50,50,32,49,
      46,53,50,49,101,45,50,50,32,50,46,49,55,50,56,53,101,45,50,50,32,51,46,50,52,
      57,51,51,101,45,50,50,32,50,46,48,53,55,52,55,101,45,49,57,32,50,46,55,54,49,
      53,53,101,45,49,57,10,32,32,51,46,54,50,53,54,101,45,49,57,32,52,46,54,54,57,
      55,52,101,45,49,57,32,54,46,48,56,53,52,53,101,45,49,57,32,55,46,57,57,51,50,
      57,101,45,49,57,32,49,46,48,53,52,55,57,101,45,49,56,32,49,46,51,57,52,53,49,
      101,45,49,56,32,49,46,56,52,50,57,53,101,45,49,56,10,32,32,50,46,54,48,48,56,
      50,101,45,49,56,32,51,46,52,50,52,57,56,101,45,49,56,32,52,46,53,54,52,101,
      45,49,56,32,54,46,52,48,51,101,45,49,56,32,56,46,56,53,50,49,52,101,45,49,56,
      32,49,46,49,49,48,52,55,101,45,49,55,32,49,46,52,52,49,50,55,101,45,49,55,10,
      32,32,49,46,57,51,50,53,49,101,45,49,55,32,50,46,53,55,53,53,53,101,45,49,55,
      32,51,46,52,48,57,48,54,101,45,49,55,32,52,46,53,49,52,53,57,101,45,49,55,32,
      53,46,55,57,56,49,50,101,45,49,55,32,55,46,52,48,56,48,51,101,45,49,55,32,57,
      46,55,52,52,53,54,101,45,49,55,10,32,32,49,46,51,54,55,48,50,101,45,49,54,32,
      49,46,56,52,49,50,56,101,45,49,54,32,50,46,52,51,50,55,57,101,45,49,54,32,51,
      46,48,49,51,57,55,101,45,49,54,32,51,46,55,52,48,55,52,101,45,49,54,32,52,46,
      57,53,51,53,53,101,45,49,54,32,54,46,52,52,52,51,54,101,45,49,54,10,32,32,56,
      46,50,53,48,52,55,101,45,49,54,32,49,46,48,49,51,50,101,45,49,53,32,49,46,51,
      51,56,55,55,101,45,49,53,32,49,46,55,52,52,55,50,101,45,49,53,32,50,46,50,53,
      50,51,53,101,45,49,53,32,50,46,56,50,48,52,54,101,45,49,53,32,51,46,53,48,55,
      52,51,101,45,49,53,10,32,32,52,46,51,48,56,53,53,101,45,49,53,32,53,46,51,53,
      57,56,57,101,45,49,53,32,54,46,52,57,49,54,54,101,45,49,53,32,55,46,52,50,54,
      52,49,101,45,49,53,32,57,46,52,51,57,57,49,101,45,49,53,32,49,46,49,54,53,52,
      51,101,45,49,52,32,49,46,52,48,49,49,56,101,45,49,52,10,32,32,49,46,54,56,56,
      55,49,101,45,49,52,32,49,46,57,55,52,55,49,101,45,49,52,32,50,46,51,49,48,54,
      53,101,45,49,52,32,50,46,54,53,53,52,56,101,45,49,52,32,51,46,48,48,49,52,49,
      101,45,49,52,32,51,46,51,52,48,56,56,101,45,49,52,32,51,46,55,50,52,50,49,101,
      45,49,52,10,32,32,52,46,48,48,53,57,55,101,45,49,52,32,52,46,50,56,54,48,55,
      101,45,49,52,32,52,46,55,51,57,57,101,45,49,52,32,53,46,48,49,49,48,52,101,
      45,49,52,32,53,46,52,50,50,55,49,101,45,49,52,32,53,46,56,51,50,51,101,45,49,
      52,32,54,46,48,54,50,52,50,101,45,49,52,10,32,32,54,46,50,55,57,57,55,101,45,
      49,52,32,54,46,53,57,52,50,101,45,49,52,32,54,46,56,57,52,50,55,101,45,49,52,
      32,55,46,48,51,56,49,54,101,45,49,52,32,55,46,50,51,52,52,51,101,45,49,52,32,
      55,46,51,51,49,54,55,101,45,49,52,32,55,46,52,53,50,56,101,45,49,52,10,32,32,
      55,46,53,49,55,53,56,101,45,49,52,32,55,46,53,53,56,55,50,101,45,49,52,32,55,
      46,53,53,55,51,56,101,45,49,52,32,55,46,53,50,53,55,101,45,49,52,32,55,46,52,
      52,56,49,50,101,45,49,52,32,55,46,51,53,49,53,53,101,45,49,52,32,55,46,50,50,
      56,50,101,45,49,52,10,32,32,55,46,48,57,48,53,52,101,45,49,52,32,54,46,57,51,
      53,57,52,101,45,49,52,32,54,46,55,52,52,56,53,101,45,49,52,32,54,46,53,53,57,
      56,54,101,45,49,52,32,54,46,51,52,49,54,53,101,45,49,52,32,54,46,49,55,50,57,
      55,101,45,49,52,32,53,46,56,56,53,56,101,45,49,52,10,32,32,53,46,55,48,51,56,
      56,101,45,49,52,32,53,46,52,55,51,50,52,101,45,49,52,32,52,46,57,50,53,51,51,
      101,45,49,52,32,52,46,49,55,52,48,54,101,45,49,52,32,51,46,52,55,54,55,55,101,
      45,49,52,32,50,46,54,57,49,52,54,101,45,49,52,32,50,46,48,50,52,56,52,101,45,
      49,52,10,32,32,49,46,51,56,55,49,56,101,45,49,52,32,57,46,56,52,55,57,52,101,
      45,49,53,32,53,46,53,55,53,57,54,101,45,49,53,32,51,46,49,48,52,55,57,101,45,
      49,53,32,50,46,48,49,53,49,52,101,45,49,53,32,49,46,50,50,49,55,50,101,45,49,
      53,32,54,46,49,49,49,56,101,45,49,54,10,32,32,51,46,50,54,52,57,49,101,45,49,
      54,32,49,46,55,49,52,52,54,101,45,49,54,32,56,46,48,54,48,57,57,101,45,49,55,
      32,51,46,55,50,52,57,53,101,45,49,55,32,49,46,56,55,50,48,51,101,45,49,55,32,
      57,46,51,49,48,54,50,101,45,49,56,32,52,46,53,56,50,51,52,101,45,49,56,10,32,
      32,50,46,48,49,57,53,52,101,45,49,56,32,55,46,57,52,48,55,101,45,49,57,32,50,
      46,55,55,56,56,51,101,45,49,57,32,49,46,48,54,57,49,56,101,45,49,57,32,51,46,
      54,54,49,50,49,101,45,50,48,32,49,46,51,56,53,101,45,50,48,32,53,46,50,48,52,
      49,101,45,50,49,10,32,32,49,46,55,52,49,52,55,101,45,50,49,32,53,46,51,52,54,
      50,55,101,45,50,50,32,50,46,49,51,55,51,51,101,45,50,50,32,55,46,51,54,52,56,
      56,101,45,50,51,32,50,46,56,55,54,52,54,101,45,50,51,32,49,46,48,52,57,50,55,
      101,45,50,51,32,51,46,56,49,52,55,49,101,45,50,52,10,32,32,49,46,51,56,50,54,
      101,45,50,52,32,52,46,57,57,54,57,52,101,45,50,53,32,49,46,56,48,49,50,54,101,
      45,50,53,32,54,46,52,55,55,52,55,101,45,50,54,32,50,46,51,50,52,49,54,101,45,
      50,54,32,56,46,51,50,50,48,53,101,45,50,55,32,50,46,57,55,52,49,55,101,45,50,
      55,10,32,32,49,46,48,54,48,57,57,101,45,50,55,32,51,46,55,55,56,54,53,101,45,
      50,56,32,49,46,51,52,51,52,50,101,45,50,56,32,52,46,53,54,50,54,101,45,50,57,
      32,49,46,48,51,51,51,101,45,50,57,32,51,46,54,51,52,54,50,101,45,51,48,32,49,
      46,50,49,55,53,51,101,45,51,48,10,32,32,51,46,57,57,54,56,56,101,45,51,49,32,
      55,46,52,49,49,55,49,101,45,51,50,32,48,114,54,55,32,49,46,51,54,53,53,52,101,
      45,51,49,32,54,46,50,50,48,51,52,101,45,51,49,32,50,46,49,54,56,57,55,101,45,
      51,48,32,49,46,53,56,57,55,56,101,45,50,57,32,55,46,53,53,53,53,57,101,45,50,
      57,10,32,32,50,46,55,50,54,55,55,101,45,50,56,32,52,46,56,48,51,54,49,101,45,
      50,56,32,56,46,49,50,54,55,50,101,45,50,56,32,49,46,51,50,55,54,54,101,45,50,
      55,32,50,46,49,48,51,55,50,101,45,50,55,32,51,46,50,52,52,57,51,101,45,50,55,
      32,52,46,56,56,55,49,52,101,45,50,55,10,32,32,55,46,50,48,53,48,50,101,45,50,
      55,32,49,46,48,52,50,48,51,101,45,50,54,32,49,46,52,56,49,49,49,101,45,50,54,
      32,50,46,48,55,50,50,56,101,45,50,54,32,51,46,48,52,50,56,50,101,45,50,54,32,
      52,46,51,56,53,50,101,45,50,54,32,54,46,57,53,52,56,55,101,45,50,54,10,32,32,
      49,46,50,55,50,48,51,101,45,50,51,32,49,46,56,49,49,52,53,101,45,50,51,32,50,
      46,55,52,54,50,55,101,45,50,51,32,52,46,48,53,57,50,101,45,50,51,32,53,46,56,
      54,54,54,49,101,45,50,51,32,56,46,56,57,48,55,101,45,50,51,32,54,46,54,56,53,
      48,49,101,45,50,48,10,32,32,57,46,48,56,53,57,51,101,45,50,48,32,49,46,50,48,
      55,54,49,101,45,49,57,32,49,46,53,55,52,49,56,101,45,49,57,32,50,46,48,55,56,
      54,57,101,45,49,57,32,50,46,55,54,57,55,52,101,45,49,57,32,51,46,55,49,49,52,
      51,101,45,49,57,32,52,46,57,56,55,49,56,101,45,49,57,10,32,32,54,46,55,48,52,
      51,57,101,45,49,57,32,57,46,54,51,55,50,57,101,45,49,57,32,49,46,50,57,50,54,
      54,101,45,49,56,32,49,46,55,53,55,52,54,101,45,49,56,32,50,46,53,50,55,52,53,
      101,45,49,56,32,51,46,53,56,53,53,101,45,49,56,32,52,46,53,56,48,49,53,101,
      45,49,56,10,32,32,54,46,48,55,51,54,55,101,45,49,56,32,56,46,51,52,57,49,50,
      101,45,49,56,32,49,46,49,52,48,57,54,101,45,49,55,32,49,46,53,52,56,51,56,101,
      45,49,55,32,50,46,49,48,50,57,101,45,49,55,32,50,46,55,54,50,50,50,101,45,49,
      55,32,51,46,54,48,55,48,54,101,45,49,55,10,32,32,52,46,56,53,57,52,49,101,45,
      49,55,32,55,46,48,49,48,52,49,101,45,49,55,32,57,46,54,54,49,51,55,101,45,49,
      55,32,49,46,51,48,49,52,55,101,45,49,54,32,49,46,54,51,52,48,49,101,45,49,54,
      32,50,46,48,53,50,51,52,101,45,49,54,32,50,46,55,53,51,53,101,45,49,54,10,32,
      32,51,46,54,49,55,53,55,101,45,49,54,32,52,46,54,54,53,49,51,101,45,49,54,32,
      53,46,55,53,54,50,56,101,45,49,54,32,55,46,54,52,51,52,101,45,49,54,32,57,46,
      57,57,53,55,51,101,45,49,54,32,49,46,50,57,51,56,53,101,45,49,53,32,49,46,54,
      50,51,53,57,101,45,49,53,10,32,32,50,46,48,50,51,49,54,101,45,49,53,32,50,46,
      52,57,48,52,56,101,45,49,53,32,51,46,49,48,54,48,50,101,45,49,53,32,51,46,55,
      55,49,53,57,101,45,49,53,32,52,46,51,50,51,52,57,101,45,49,53,32,53,46,53,49,
      56,54,101,45,49,53,32,54,46,56,52,50,48,52,101,45,49,53,10,32,32,56,46,50,54,
      48,51,53,101,45,49,53,32,49,46,48,48,48,49,56,101,45,49,52,32,49,46,49,55,52,
      53,52,101,45,49,52,32,49,46,51,56,48,54,54,101,45,49,52,32,49,46,53,57,51,53,
      56,101,45,49,52,32,49,46,56,48,56,52,56,101,45,49,52,32,50,46,48,50,48,53,51,
      101,45,49,52,10,32,32,50,46,50,54,49,51,54,101,45,49,52,32,50,46,52,51,57,51,
      101,45,49,52,32,50,46,54,49,54,57,57,101,45,49,52,32,50,46,57,48,54,54,51,101,
      45,49,52,32,51,46,48,56,48,55,54,101,45,49,52,32,51,46,51,52,54,57,49,101,45,
      49,52,32,51,46,54,49,52,49,50,101,45,49,52,10,32,32,51,46,55,54,53,53,49,101,
      45,49,52,32,51,46,57,48,57,54,50,101,45,49,52,32,52,46,49,49,57,57,54,101,45,
      49,52,32,52,46,51,50,52,48,55,101,45,49,52,32,52,46,52,50,51,54,50,101,45,49,
      52,32,52,46,53,54,50,50,54,101,45,49,52,32,52,46,54,51,50,57,53,101,45,49,52,
      10,32,32,52,46,55,50,52,55,56,101,45,49,52,32,52,46,55,55,56,50,56,101,45,49,
      52,32,52,46,56,50,50,54,51,101,45,49,52,32,52,46,56,50,57,50,52,101,45,49,52,
      32,52,46,56,50,51,50,49,101,45,49,52,32,52,46,55,56,56,57,49,101,45,49,52,32,
      52,46,55,51,57,52,49,101,45,49,52,10,32,32,52,46,54,55,50,49,57,101,45,49,52,
      32,52,46,53,57,52,52,51,101,45,49,52,32,52,46,53,48,53,101,45,49,52,32,52,46,
      51,57,50,51,57,101,45,49,52,32,52,46,50,56,49,56,101,45,49,52,32,52,46,49,52,
      57,56,52,101,45,49,52,32,52,46,48,52,54,57,49,101,45,49,52,10,32,32,51,46,56,
      55,48,49,56,101,45,49,52,32,51,46,55,53,55,51,56,101,45,49,52,32,51,46,54,49,
      51,53,53,101,45,49,52,32,51,46,50,54,56,54,52,101,45,49,52,32,50,46,55,56,57,
      52,55,101,45,49,52,32,50,46,51,51,57,48,55,101,45,49,52,32,49,46,56,50,53,54,
      52,101,45,49,52,10,32,32,49,46,51,56,52,53,50,101,45,49,52,32,57,46,53,56,49,
      57,51,101,45,49,53,32,54,46,56,52,53,53,49,101,45,49,53,32,51,46,57,49,50,49,
      49,101,45,49,53,32,50,46,49,57,56,53,101,45,49,53,32,49,46,52,51,53,54,50,101,
      45,49,53,32,56,46,55,53,57,55,53,101,45,49,54,10,32,32,52,46,52,49,55,49,56,
      101,45,49,54,32,50,46,51,55,52,57,49,101,45,49,54,32,49,46,50,53,52,54,50,101,
      45,49,54,32,53,46,57,51,54,54,55,101,45,49,55,32,50,46,55,53,57,53,51,101,45,
      49,55,32,49,46,51,57,51,53,50,101,45,49,55,32,54,46,57,54,49,57,49,101,45,49,
      56,10,32,32,51,46,52,52,49,48,51,101,45,49,56,32,49,46,53,50,51,51,57,101,45,
      49,56,32,54,46,48,49,56,49,55,101,45,49,57,32,50,46,49,49,54,50,52,101,45,49,
      57,32,56,46,49,55,53,50,53,101,45,50,48,32,50,46,56,49,49,49,51,101,45,50,48,
      32,49,46,48,54,55,49,50,101,45,50,48,10,32,32,52,46,48,50,50,55,51,101,45,50,
      49,32,49,46,51,53,48,54,56,101,45,50,49,32,52,46,49,54,48,53,53,101,45,50,50,
      32,49,46,54,54,55,51,54,101,45,50,50,32,53,46,55,54,48,55,52,101,45,50,51,32,
      50,46,50,53,52,57,50,101,45,50,51,32,56,46,50,52,51,56,56,101,45,50,52,10,32,
      32,51,46,48,48,51,52,56,101,45,50,52,32,49,46,48,57,48,55,55,101,45,50,52,32,
      51,46,57,52,57,55,101,45,50,53,32,49,46,52,50,54,51,52,101,45,50,53,32,53,46,
      49,51,56,48,53,101,45,50,54,32,49,46,56,52,54,54,101,45,50,54,32,54,46,54,50,
      50,52,54,101,45,50,55,10,32,32,50,46,51,55,48,50,56,101,45,50,55,32,56,46,52,
      54,55,54,52,101,45,50,56,32,51,46,48,49,57,56,49,101,45,50,56,32,49,46,48,55,
      53,48,50,101,45,50,56,32,51,46,54,53,55,51,53,101,45,50,57,32,56,46,51,53,50,
      50,50,101,45,51,48,32,50,46,57,49,57,54,57,101,45,51,48,10,32,32,49,46,48,49,
      48,51,50,101,45,51,48,32,51,46,50,48,57,50,54,101,45,51,49,32,53,46,57,48,48,
      54,56,101,45,51,50,32,48,114,54,55,32,52,46,53,52,48,50,53,101,45,51,50,32,
      50,46,49,50,56,57,56,101,45,51,49,32,55,46,53,57,52,51,56,101,45,51,49,32,53,
      46,55,52,53,52,55,101,45,51,48,10,32,32,50,46,56,49,49,48,52,101,45,50,57,32,
      49,46,48,51,54,49,52,101,45,50,56,32,49,46,56,52,50,51,101,45,50,56,32,51,46,
      49,52,51,54,55,101,45,50,56,32,53,46,49,55,54,57,55,101,45,50,56,32,56,46,50,
      54,53,49,57,101,45,50,56,32,49,46,50,56,51,57,53,101,45,50,55,10,32,32,49,46,
      57,52,54,55,54,101,45,50,55,32,50,46,56,56,56,52,50,101,45,50,55,32,52,46,50,
      48,50,56,52,101,45,50,55,32,54,46,48,48,56,53,56,101,45,50,55,32,56,46,52,53,
      51,54,54,101,45,50,55,32,49,46,50,52,57,50,50,101,45,50,54,32,49,46,56,49,49,
      51,50,101,45,50,54,10,32,32,50,46,56,57,52,57,54,101,45,50,54,32,53,46,54,49,
      48,55,101,45,50,52,32,56,46,48,52,53,54,50,101,45,50,52,32,49,46,50,50,57,57,
      50,101,45,50,51,32,49,46,56,51,50,51,53,101,45,50,51,32,50,46,54,54,56,51,49,
      101,45,50,51,32,52,46,48,55,56,56,50,101,45,50,51,10,32,32,51,46,49,50,51,48,
      52,101,45,50,48,32,52,46,51,48,57,53,51,101,45,50,48,32,53,46,56,49,48,52,56,
      101,45,50,48,32,55,46,54,55,55,56,101,45,50,48,32,49,46,48,50,56,54,101,45,
      49,57,32,49,46,51,57,49,52,50,101,45,49,57,32,49,46,56,57,51,55,56,101,45,49,
      57,10,32,32,50,46,53,56,53,53,49,101,45,49,57,32,51,46,53,51,49,57,53,101,45,
      49,57,32,53,46,49,54,49,57,56,101,45,49,57,32,55,46,48,51,53,51,57,101,45,49,
      57,32,57,46,55,50,54,54,49,101,45,49,57,32,49,46,52,50,54,55,51,101,45,49,56,
      32,50,46,48,54,54,57,55,101,45,49,56,10,32,32,50,46,54,55,53,53,56,101,45,49,
      56,32,51,46,54,48,50,51,49,101,45,49,56,32,53,46,48,51,54,53,51,101,45,49,56,
      32,54,46,57,57,54,54,56,101,45,49,56,32,57,46,54,52,55,51,55,101,45,49,56,32,
      49,46,51,51,48,55,54,101,45,49,55,32,49,46,55,55,49,56,101,45,49,55,10,32,32,
      50,46,51,52,51,55,50,101,45,49,55,32,51,46,50,48,49,54,52,101,45,49,55,32,52,
      46,54,57,52,48,53,101,45,49,55,32,54,46,53,53,53,50,101,45,49,55,32,56,46,57,
      51,48,56,50,101,45,49,55,32,49,46,49,51,48,49,56,101,45,49,54,32,49,46,52,50,
      57,56,51,101,45,49,54,10,32,32,49,46,57,51,52,49,56,101,45,49,54,32,50,46,53,
      53,55,55,51,101,45,49,54,32,51,46,51,49,53,49,57,101,45,49,54,32,52,46,49,48,
      53,48,52,101,45,49,54,32,53,46,52,55,50,48,57,101,45,49,54,32,55,46,49,55,55,
      48,57,101,45,49,54,32,57,46,51,49,49,50,54,101,45,49,54,10,32,32,49,46,49,55,
      48,52,54,101,45,49,53,32,49,46,52,54,48,55,56,101,45,49,53,32,49,46,56,48,48,
      56,50,101,45,49,53,32,50,46,50,52,57,53,51,101,45,49,53,32,50,46,55,51,53,55,
      54,101,45,49,53,32,51,46,49,51,57,55,56,101,45,49,53,32,52,46,48,49,55,49,51,
      101,45,49,53,10,32,32,52,46,57,57,50,50,57,101,45,49,53,32,54,46,48,52,49,49,
      57,101,45,49,53,32,55,46,51,51,51,57,56,101,45,49,53,32,56,46,54,51,51,49,54,
      101,45,49,53,32,49,46,48,49,55,52,54,101,45,49,52,32,49,46,49,55,55,50,56,101,
      45,49,52,32,49,46,51,51,57,49,53,101,45,49,52,10,32,32,49,46,52,57,57,52,49,
      101,45,49,52,32,49,46,54,56,50,48,52,101,45,49,52,32,49,46,56,49,55,51,57,101,
      45,49,52,32,49,46,57,53,50,57,101,45,49,52,32,50,46,49,55,52,53,54,101,45,49,
      52,32,50,46,51,48,56,51,49,101,45,49,52,32,50,46,53,49,51,53,49,101,45,49,52,
      10,32,32,50,46,55,50,48,53,57,101,45,49,52,32,50,46,56,51,56,52,54,101,45,49,
      52,32,50,46,57,53,49,49,101,45,49,52,32,51,46,49,49,54,52,50,101,45,49,52,32,
      51,46,50,55,56,50,53,101,45,49,52,32,51,46,51,53,55,56,57,101,45,49,52,32,51,
      46,52,54,57,57,56,101,45,49,52,10,32,32,51,46,53,50,55,57,51,101,45,49,52,32,
      51,46,54,48,52,55,52,101,45,49,52,32,51,46,54,53,49,49,51,101,45,49,52,32,51,
      46,54,57,51,50,49,101,45,49,52,32,51,46,55,48,49,54,52,101,45,49,52,32,51,46,
      55,48,51,52,51,101,45,49,52,32,51,46,54,56,52,48,56,101,45,49,52,10,32,32,51,
      46,54,53,49,55,49,101,45,49,52,32,51,46,54,48,53,53,101,45,49,52,32,51,46,53,
      53,48,54,101,45,49,52,32,51,46,52,56,54,51,55,101,45,49,52,32,51,46,52,48,52,
      52,56,101,45,49,52,32,51,46,51,50,51,50,56,101,45,49,52,32,51,46,50,50,53,54,
      53,101,45,49,52,10,32,32,51,46,49,52,57,48,55,101,45,49,52,32,51,46,48,49,54,
      56,53,101,45,49,52,32,50,46,57,51,50,48,53,101,45,49,52,32,50,46,56,50,51,53,
      51,101,45,49,52,32,50,46,53,54,49,56,49,101,45,49,52,32,50,46,49,57,53,50,52,
      101,45,49,52,32,49,46,56,52,56,48,51,101,45,49,52,10,32,32,49,46,52,52,57,51,
      52,101,45,49,52,32,49,46,49,48,52,51,53,101,45,49,52,32,55,46,54,56,52,54,53,
      101,45,49,53,32,53,46,53,49,51,49,57,101,45,49,53,32,51,46,49,54,56,56,50,101,
      45,49,53,32,49,46,55,57,48,53,54,101,45,49,53,32,49,46,49,55,51,52,54,101,45,
      49,53,10,32,32,55,46,49,56,55,53,50,101,45,49,54,32,51,46,54,52,49,53,55,101,
      45,49,54,32,49,46,57,54,53,52,52,101,45,49,54,32,49,46,48,52,50,48,51,101,45,
      49,54,32,52,46,57,52,57,52,56,101,45,49,55,32,50,46,51,48,56,55,55,101,45,49,
      55,32,49,46,49,54,57,50,52,101,45,49,55,10,32,32,53,46,56,53,55,49,51,101,45,
      49,56,32,50,46,57,48,50,51,53,101,45,49,56,32,49,46,50,56,56,51,55,101,45,49,
      56,32,53,46,49,48,52,48,57,101,45,49,57,32,49,46,56,48,48,48,49,101,45,49,57,
      32,54,46,57,55,48,52,49,101,45,50,48,32,50,46,52,48,50,55,57,101,45,50,48,10,
      32,32,57,46,49,52,48,49,51,101,45,50,49,32,51,46,52,53,50,50,54,101,45,50,49,
      32,49,46,49,54,49,52,56,101,45,50,49,32,51,46,53,56,52,57,52,101,45,50,50,32,
      49,46,52,51,56,55,56,101,45,50,50,32,52,46,57,55,56,57,101,45,50,51,32,49,46,
      57,53,49,52,53,101,45,50,51,10,32,32,55,46,49,52,51,57,55,101,45,50,52,32,50,
      46,54,48,54,48,52,101,45,50,52,32,57,46,52,55,53,54,55,101,45,50,53,32,51,46,
      52,51,53,48,57,101,45,50,53,32,49,46,50,52,49,56,53,101,45,50,53,32,52,46,52,
      55,56,49,101,45,50,54,32,49,46,54,49,49,101,45,50,54,10,32,32,53,46,55,56,50,
      57,52,101,45,50,55,32,50,46,48,55,49,54,53,101,45,50,55,32,55,46,52,48,55,53,
      50,101,45,50,56,32,50,46,54,52,51,55,51,101,45,50,56,32,57,46,52,50,49,48,51,
      101,45,50,57,32,51,46,50,48,56,49,55,101,45,50,57,32,55,46,51,53,51,48,55,101,
      45,51,48,10,32,32,50,46,53,56,54,55,57,101,45,51,48,32,57,46,48,57,56,51,53,
      101,45,51,49,32,51,46,48,51,56,52,56,101,45,51,49,32,53,46,49,53,52,55,53,101,
      45,51,50,32,48,114,54,55,32,49,46,53,52,56,54,101,45,51,50,32,55,46,52,54,51,
      55,101,45,51,50,32,50,46,55,50,48,49,56,101,45,51,49,10,32,32,50,46,49,50,54,
      49,57,101,45,51,48,32,49,46,48,54,54,51,50,101,45,50,57,32,52,46,48,49,48,51,
      55,101,45,50,57,32,55,46,49,57,52,49,51,101,45,50,57,32,49,46,50,51,55,55,54,
      101,45,50,56,32,50,46,48,53,52,49,51,101,45,50,56,32,51,46,51,48,51,50,56,101,
      45,50,56,10,32,32,53,46,49,54,54,57,50,101,45,50,56,32,55,46,56,56,53,51,50,
      101,45,50,56,32,49,46,49,55,55,50,49,101,45,50,55,32,49,46,55,50,51,48,55,101,
      45,50,55,32,50,46,52,55,55,51,51,101,45,50,55,32,51,46,53,48,52,51,54,101,45,
      50,55,32,53,46,50,49,48,56,50,101,45,50,55,10,32,32,55,46,54,48,48,53,49,101,
      45,50,55,32,49,46,50,50,51,57,53,101,45,50,54,32,50,46,52,56,56,53,49,101,45,
      50,52,32,51,46,53,57,53,53,55,101,45,50,52,32,53,46,53,52,53,57,56,101,45,50,
      52,32,56,46,51,51,50,55,49,101,45,50,52,32,49,46,50,50,51,50,101,45,50,51,10,
      32,32,49,46,56,56,54,56,55,101,45,50,51,32,49,46,52,54,52,53,49,101,45,50,48,
      32,50,46,48,53,57,54,51,101,45,50,48,32,50,46,56,50,54,49,51,101,45,50,48,32,
      51,46,55,57,53,54,101,45,50,48,32,53,46,49,55,49,57,52,101,45,50,48,32,55,46,
      49,49,56,56,52,101,45,50,48,10,32,32,57,46,56,54,48,52,52,101,45,50,48,32,49,
      46,51,54,57,57,57,101,45,49,57,32,49,46,57,48,52,50,101,45,49,57,32,50,46,56,
      51,56,56,53,101,45,49,57,32,51,46,57,51,51,48,56,101,45,49,57,32,53,46,53,50,
      57,57,56,101,45,49,57,32,56,46,50,55,49,49,55,101,45,49,57,10,32,32,49,46,50,
      50,54,57,55,101,45,49,56,32,49,46,54,48,56,50,50,101,45,49,56,32,50,46,49,57,
      54,101,45,49,56,32,51,46,49,49,56,51,54,101,45,49,56,32,52,46,51,57,54,54,57,
      101,45,49,56,32,54,46,49,52,57,56,101,45,49,56,32,56,46,54,48,48,49,54,101,
      45,49,56,10,32,32,49,46,49,53,56,54,55,101,45,49,55,32,49,46,53,52,57,57,51,
      101,45,49,55,32,50,46,49,52,50,56,56,101,45,49,55,32,51,46,49,56,53,56,101,
      45,49,55,32,52,46,53,101,45,49,55,32,54,46,49,57,49,49,56,101,45,49,55,32,55,
      46,56,56,57,50,49,101,45,49,55,32,49,46,48,48,52,52,56,101,45,49,54,10,32,32,
      49,46,51,54,56,56,52,101,45,49,54,32,49,46,56,50,48,57,49,101,45,49,54,32,50,
      46,51,55,49,52,50,101,45,49,54,32,50,46,57,52,54,51,55,101,45,49,54,32,51,46,
      57,52,50,55,50,101,45,49,54,32,53,46,49,56,54,54,52,101,45,49,54,32,54,46,55,
      52,53,49,51,101,45,49,54,10,32,32,56,46,52,57,52,53,55,101,45,49,54,32,49,46,
      48,54,49,57,50,101,45,49,53,32,49,46,51,49,49,49,50,101,45,49,53,32,49,46,54,
      52,48,53,53,101,45,49,53,32,49,46,57,57,56,50,56,101,45,49,53,32,50,46,50,57,
      54,49,101,45,49,53,32,50,46,57,52,52,53,50,101,45,49,53,10,32,32,51,46,54,54,
      55,55,56,101,45,49,53,32,52,46,52,52,56,52,54,101,45,49,53,32,53,46,52,49,52,
      50,49,101,45,49,53,32,54,46,51,56,56,50,53,101,45,49,53,32,55,46,53,52,56,48,
      54,101,45,49,53,32,56,46,55,53,52,57,52,101,45,49,53,32,57,46,57,56,49,52,56,
      101,45,49,53,10,32,32,49,46,49,49,57,57,56,101,45,49,52,32,49,46,50,53,57,50,
      54,101,45,49,52,32,49,46,51,54,50,56,101,45,49,52,32,49,46,52,54,54,55,49,101,
      45,49,52,32,49,46,54,51,55,50,54,101,45,49,52,32,49,46,55,52,48,53,51,101,45,
      49,52,32,49,46,56,57,57,53,50,101,45,49,52,10,32,32,50,46,48,54,48,55,52,101,
      45,49,52,32,50,46,49,53,50,57,101,45,49,52,32,50,46,50,52,49,50,57,101,45,49,
      52,32,50,46,51,55,49,54,56,101,45,49,52,32,50,46,53,48,48,51,49,101,45,49,52,
      32,50,46,53,54,52,49,49,101,45,49,52,32,50,46,54,53,52,55,52,101,45,49,52,10,
      32,32,50,46,55,48,50,49,53,101,45,49,52,32,50,46,55,54,54,48,52,101,45,49,52,
      32,50,46,56,48,53,55,53,101,45,49,52,32,50,46,56,52,52,49,50,101,45,49,52,32,
      50,46,56,53,51,48,57,101,45,49,52,32,50,46,56,53,57,50,49,101,45,49,52,32,50,
      46,56,52,57,52,52,101,45,49,52,10,32,32,50,46,56,50,56,54,50,101,45,49,52,32,
      50,46,55,57,54,57,55,101,45,49,52,32,50,46,55,53,56,49,54,101,45,49,52,32,50,
      46,55,49,49,57,101,45,49,52,32,50,46,54,53,50,49,49,101,45,49,52,32,50,46,53,
      57,50,50,50,101,45,49,52,32,50,46,53,49,57,54,53,101,45,49,52,10,32,32,50,46,
      52,54,50,51,57,101,45,49,52,32,50,46,51,54,50,57,55,101,45,49,52,32,50,46,50,
      57,56,57,101,45,49,52,32,50,46,50,49,54,54,50,101,45,49,52,32,50,46,48,49,55,
      48,50,101,45,49,52,32,49,46,55,51,53,50,51,101,45,49,52,32,49,46,52,54,54,51,
      101,45,49,52,10,32,32,49,46,49,53,53,51,49,101,45,49,52,32,56,46,56,52,51,50,
      53,101,45,49,53,32,54,46,49,56,52,48,54,101,45,49,53,32,52,46,52,53,53,56,50,
      101,45,49,53,32,50,46,53,55,53,54,51,101,45,49,53,32,49,46,52,54,51,49,57,101,
      45,49,53,32,57,46,54,50,51,49,101,45,49,54,10,32,32,53,46,57,49,54,50,52,101,
      45,49,54,32,51,46,48,49,49,52,51,101,45,49,54,32,49,46,54,51,49,52,56,101,45,
      49,54,32,56,46,54,56,48,49,56,101,45,49,55,32,52,46,49,51,56,52,101,45,49,55,
      32,49,46,57,51,55,49,50,101,45,49,55,32,57,46,56,51,55,56,57,101,45,49,56,10,
      32,32,52,46,57,52,49,50,49,101,45,49,56,32,50,46,52,53,52,54,52,101,45,49,56,
      32,49,46,48,57,50,53,50,101,45,49,56,32,52,46,51,52,48,50,52,101,45,49,57,32,
      49,46,53,51,53,101,45,49,57,32,53,46,57,53,56,51,101,45,50,48,32,50,46,48,53,
      56,57,52,101,45,50,48,10,32,32,55,46,56,52,56,49,57,101,45,50,49,32,50,46,57,
      54,57,57,56,101,45,50,49,32,49,46,48,48,49,50,50,101,45,50,49,32,51,46,48,57,
      54,52,52,101,45,50,50,32,49,46,50,52,52,53,50,101,45,50,50,32,52,46,51,49,51,
      52,51,101,45,50,51,32,49,46,54,57,50,56,51,101,45,50,51,10,32,32,54,46,50,48,
      53,52,101,45,50,52,32,50,46,50,54,54,53,101,45,50,52,32,56,46,50,53,48,56,54,
      101,45,50,53,32,50,46,57,57,52,52,53,101,45,50,53,32,49,46,48,56,51,55,49,101,
      45,50,53,32,51,46,57,49,49,56,53,101,45,50,54,32,49,46,52,48,56,54,54,101,45,
      50,54,10,32,32,53,46,48,54,49,51,101,45,50,55,32,49,46,56,49,52,55,53,101,45,
      50,55,32,54,46,52,57,52,51,54,101,45,50,56,32,50,46,51,49,57,54,54,101,45,50,
      56,32,56,46,50,55,50,54,51,101,45,50,57,32,50,46,56,49,56,54,51,101,45,50,57,
      32,54,46,52,54,57,55,57,101,45,51,48,10,32,32,50,46,50,55,55,50,52,101,45,51,
      48,32,56,46,48,49,51,54,101,45,51,49,32,50,46,54,55,53,54,55,101,45,51,49,32,
      52,46,53,49,51,51,51,101,45,51,50,32,49,46,53,55,54,54,101,45,51,50,32,48,114,
      54,55,32,49,46,52,55,53,50,57,101,45,51,50,32,53,46,53,50,56,49,51,101,45,51,
      50,10,32,32,52,46,53,49,56,54,101,45,51,49,32,50,46,51,52,48,52,49,101,45,51,
      48,32,57,46,49,48,55,49,52,101,45,51,48,32,49,46,54,53,54,49,52,101,45,50,57,
      32,50,46,56,56,54,49,49,101,45,50,57,32,52,46,56,52,55,55,51,101,45,50,57,32,
      55,46,56,56,53,48,52,101,45,50,57,10,32,32,49,46,50,52,54,55,51,101,45,50,56,
      32,49,46,57,50,50,51,49,101,45,50,56,32,50,46,56,57,56,50,51,101,45,50,56,32,
      52,46,50,56,50,48,51,101,45,50,56,32,54,46,50,49,49,57,53,101,45,50,56,32,56,
      46,56,54,51,50,52,101,45,50,56,32,49,46,51,51,49,48,50,101,45,50,55,10,32,32,
      49,46,57,53,57,56,54,101,45,50,55,32,51,46,49,57,52,48,56,101,45,50,55,32,55,
      46,48,50,53,55,56,101,45,50,53,32,49,46,48,50,55,54,51,101,45,50,52,32,49,46,
      54,48,55,57,57,101,45,50,52,32,50,46,52,52,56,54,55,101,45,50,52,32,51,46,54,
      52,48,50,50,101,45,50,52,10,32,32,53,46,54,57,53,55,101,45,50,52,32,53,46,50,
      57,48,52,49,101,45,50,49,32,55,46,54,49,52,52,53,101,45,50,49,32,49,46,48,54,
      54,53,56,101,45,50,48,32,49,46,52,53,57,50,56,101,45,50,48,32,50,46,48,50,54,
      49,57,101,45,50,48,32,50,46,56,52,49,56,53,101,45,50,48,10,32,32,52,46,48,49,
      48,49,53,101,45,50,48,32,53,46,54,55,52,50,101,45,50,48,32,56,46,48,50,56,53,
      101,45,50,48,32,49,46,50,49,56,53,49,101,45,49,57,32,49,46,55,49,54,55,56,101,
      45,49,57,32,50,46,52,53,53,57,54,101,45,49,57,32,51,46,55,52,56,49,52,101,45,
      49,57,10,32,32,53,46,55,55,48,57,49,101,45,49,57,32,55,46,54,54,51,49,55,101,
      45,49,57,32,49,46,48,54,50,49,53,101,45,49,56,32,49,46,53,51,51,56,51,101,45,
      49,56,32,50,46,49,57,56,52,57,101,45,49,56,32,51,46,49,50,54,57,55,101,45,49,
      56,32,52,46,52,52,51,56,54,101,45,49,56,10,32,32,54,46,48,55,51,48,56,101,45,
      49,56,32,56,46,50,51,55,50,54,101,45,49,56,32,49,46,49,53,54,51,57,101,45,49,
      55,32,49,46,55,53,48,56,49,101,45,49,55,32,50,46,53,49,49,53,57,101,45,49,55,
      32,51,46,53,48,51,49,101,45,49,55,32,52,46,53,48,56,50,56,101,45,49,55,10,32,
      32,53,46,55,57,51,57,55,101,45,49,55,32,55,46,57,56,51,54,54,101,45,49,55,32,
      49,46,48,55,49,56,54,101,45,49,54,32,49,46,52,48,54,53,52,101,45,49,54,32,49,
      46,55,53,55,50,53,101,45,49,54,32,50,46,51,54,54,55,54,101,45,49,54,32,51,46,
      49,50,57,53,50,101,45,49,54,10,32,32,52,46,48,56,55,48,50,101,45,49,54,32,53,
      46,49,54,51,54,55,101,45,49,54,32,54,46,52,55,51,53,50,101,45,49,54,32,56,46,
      48,49,51,48,55,101,45,49,54,32,49,46,48,48,53,51,51,101,45,49,53,32,49,46,50,
      50,55,53,50,101,45,49,53,32,49,46,52,49,51,101,45,49,53,10,32,32,49,46,56,49,
      56,51,50,101,45,49,53,32,50,46,50,55,50,55,49,101,45,49,53,32,50,46,55,54,53,
      54,54,101,45,49,53,32,51,46,51,55,56,55,52,101,45,49,53,32,52,46,48,48,48,52,
      55,101,45,49,53,32,52,46,55,52,52,55,57,101,45,49,53,32,53,46,53,50,51,53,57,
      101,45,49,53,10,32,32,54,46,51,49,57,50,53,101,45,49,53,32,55,46,49,49,51,53,
      50,101,45,49,53,32,56,46,48,50,54,50,49,101,45,49,53,32,56,46,55,48,55,55,55,
      101,45,49,53,32,57,46,51,57,52,53,50,101,45,49,53,32,49,46,48,53,50,55,54,101,
      45,49,52,32,49,46,49,50,49,55,51,101,45,49,52,10,32,32,49,46,50,50,56,53,101,
      45,49,52,32,49,46,51,51,55,53,54,101,45,49,52,32,49,46,52,48,48,51,49,101,45,
      49,52,32,49,46,52,54,48,56,101,45,49,52,32,49,46,53,53,48,55,51,101,45,49,52,
      32,49,46,54,52,48,52,55,101,45,49,52,32,49,46,54,56,53,52,57,101,45,49,52,10,
      32,32,49,46,55,53,48,50,55,101,45,49,52,32,49,46,55,56,52,55,50,101,45,49,52,
      32,49,46,56,51,50,49,55,101,45,49,52,32,49,46,56,54,50,55,53,101,45,49,52,32,
      49,46,56,57,52,53,49,101,45,49,52,32,49,46,57,48,51,48,55,101,45,49,52,32,49,
      46,57,49,50,49,101,45,49,52,10,32,32,49,46,57,49,48,57,55,101,45,49,52,32,49,
      46,57,48,49,52,52,101,45,49,52,32,49,46,56,56,52,53,49,101,45,49,52,32,49,46,
      56,54,50,51,53,101,45,49,52,32,49,46,56,51,52,57,54,101,45,49,52,32,49,46,55,
      57,56,54,51,101,45,49,52,32,49,46,55,54,49,53,56,101,45,49,52,10,32,32,49,46,
      55,49,54,48,55,101,45,49,52,32,49,46,54,55,57,55,56,101,45,49,52,32,49,46,54,
      49,54,50,101,45,49,52,32,49,46,53,55,52,56,57,101,45,49,52,32,49,46,53,50,49,
      53,50,101,45,49,52,32,49,46,51,57,48,56,101,45,49,52,32,49,46,50,48,51,56,55,
      101,45,49,52,10,32,32,49,46,48,50,51,50,57,101,45,49,52,32,56,46,49,50,48,56,
      52,101,45,49,53,32,54,46,50,53,57,57,56,101,45,49,53,32,52,46,52,48,57,56,53,
      101,45,49,53,32,51,46,49,57,56,57,57,101,45,49,53,32,49,46,56,54,54,101,45,
      49,53,32,49,46,48,54,56,56,55,101,45,49,53,10,32,32,55,46,48,54,56,52,50,101,
      45,49,54,32,52,46,51,55,48,56,56,101,45,49,54,32,50,46,50,52,48,57,51,101,45,
      49,54,32,49,46,50,50,49,49,56,101,45,49,54,32,54,46,53,51,50,57,101,45,49,55,
      32,51,46,49,51,50,56,51,101,45,49,55,32,49,46,52,55,52,51,53,101,45,49,55,10,
      32,32,55,46,53,50,48,54,52,101,45,49,56,32,51,46,55,57,50,57,51,101,45,49,56,
      32,49,46,56,57,49,53,57,101,45,49,56,32,56,46,52,53,52,49,54,101,45,49,57,32,
      51,46,51,55,51,49,52,101,45,49,57,32,49,46,49,57,56,50,56,101,45,49,57,32,52,
      46,54,54,56,53,54,101,45,50,48,10,32,32,49,46,54,49,57,52,52,101,45,50,48,32,
      54,46,49,57,50,55,101,45,50,49,32,50,46,51,53,48,53,51,101,45,50,49,32,55,46,
      57,52,56,54,49,101,45,50,50,32,50,46,52,54,53,56,57,101,45,50,50,32,57,46,57,
      51,51,50,51,101,45,50,51,32,51,46,52,53,49,50,55,101,45,50,51,10,32,32,49,46,
      51,53,55,50,52,101,45,50,51,32,52,46,57,56,53,52,56,101,45,50,52,32,49,46,56,
      50,52,52,57,101,45,50,52,32,54,46,54,53,52,49,52,101,45,50,53,32,50,46,52,49,
      57,50,50,101,45,50,53,32,56,46,55,54,57,57,55,101,45,50,54,32,51,46,49,55,48,
      55,50,101,45,50,54,10,32,32,49,46,49,52,51,53,49,101,45,50,54,32,52,46,49,49,
      52,53,57,101,45,50,55,32,49,46,52,55,55,51,54,101,45,50,55,32,53,46,50,57,51,
      56,55,101,45,50,56,32,49,46,56,57,51,51,50,101,45,50,56,32,54,46,55,53,57,57,
      54,101,45,50,57,32,50,46,51,48,53,50,50,101,45,50,57,10,32,32,53,46,51,48,51,
      52,101,45,51,48,32,49,46,56,54,56,50,101,45,51,48,32,54,46,53,55,57,51,49,101,
      45,51,49,32,50,46,49,57,54,48,54,101,45,51,49,32,51,46,54,55,49,50,52,101,45,
      51,50,32,49,46,50,56,51,55,54,101,45,51,50,32,48,114,54,56,32,49,46,48,56,50,
      51,51,101,45,51,50,10,32,32,57,46,50,54,57,49,101,45,51,50,32,52,46,57,56,56,
      52,49,101,45,51,49,32,50,46,48,48,53,50,53,101,45,51,48,32,51,46,55,48,48,49,
      49,101,45,51,48,32,54,46,53,51,54,54,101,45,51,48,32,49,46,49,49,50,48,57,101,
      45,50,57,32,49,46,56,51,48,56,53,101,45,50,57,10,32,32,50,46,57,50,56,48,54,
      101,45,50,57,32,52,46,53,54,51,56,55,101,45,50,57,32,54,46,57,53,49,55,55,101,
      45,50,57,32,49,46,48,51,55,50,50,101,45,50,56,32,49,46,53,49,56,56,52,101,45,
      50,56,32,50,46,49,56,54,54,56,101,45,50,56,32,51,46,51,49,55,54,55,101,45,50,
      56,10,32,32,52,46,57,51,51,48,56,101,45,50,56,32,56,46,49,51,57,53,57,101,45,
      50,56,32,49,46,57,53,53,54,55,101,45,50,53,32,50,46,56,57,52,53,56,101,45,50,
      53,32,52,46,53,57,50,54,101,45,50,53,32,55,46,48,56,52,56,55,101,45,50,53,32,
      49,46,48,54,54,49,50,101,45,50,52,10,32,32,49,46,54,57,49,48,55,101,45,50,52,
      32,49,46,57,54,56,49,51,101,45,50,49,32,50,46,56,54,53,49,56,101,45,50,49,32,
      52,46,48,53,55,52,55,101,45,50,49,32,53,46,54,48,57,57,53,101,45,50,49,32,55,
      46,56,55,56,49,56,101,45,50,49,32,49,46,49,49,56,51,54,101,45,50,48,10,32,32,
      49,46,53,57,56,50,49,101,45,50,48,32,50,46,50,57,49,51,49,101,45,50,48,32,51,
      46,50,56,54,49,51,101,45,50,48,32,53,46,48,54,50,52,101,45,50,48,32,55,46,50,
      51,50,51,49,101,45,50,48,32,49,46,48,53,48,49,52,101,45,49,57,32,49,46,54,51,
      49,56,51,101,45,49,57,10,32,32,50,46,55,48,51,56,56,101,45,49,57,32,51,46,54,
      51,49,53,101,45,49,57,32,53,46,49,48,48,56,50,101,45,49,57,32,55,46,52,55,56,
      55,54,101,45,49,57,32,49,46,48,56,56,50,57,101,45,49,56,32,49,46,53,55,53,48,
      50,101,45,49,56,32,50,46,50,55,50,53,101,45,49,56,10,32,32,51,46,49,52,56,48,
      49,101,45,49,56,32,52,46,51,50,54,54,57,101,45,49,56,32,54,46,49,54,51,56,50,
      101,45,49,56,32,57,46,52,57,55,54,55,101,45,49,56,32,49,46,51,56,51,50,52,101,
      45,49,55,32,49,46,57,53,53,54,101,45,49,55,32,50,46,53,52,49,56,49,101,45,49,
      55,10,32,32,51,46,50,57,55,55,57,101,45,49,55,32,52,46,53,57,54,52,101,45,49,
      55,32,54,46,50,51,49,51,53,101,45,49,55,32,56,46,50,52,52,52,55,101,45,49,55,
      32,49,46,48,51,54,51,54,101,45,49,54,32,49,46,52,48,54,50,49,101,45,49,54,32,
      49,46,56,55,48,54,52,101,45,49,54,10,32,32,50,46,52,53,53,50,56,101,45,49,54,
      32,51,46,49,49,52,49,55,101,45,49,54,32,51,46,57,49,55,52,51,101,45,49,54,32,
      52,46,56,54,51,53,55,101,45,49,54,32,54,46,49,50,48,52,101,45,49,54,32,55,46,
      52,57,50,56,55,101,45,49,54,32,56,46,54,52,49,51,54,101,45,49,54,10,32,32,49,
      46,49,49,53,57,55,101,45,49,53,32,49,46,51,57,57,53,56,101,45,49,53,32,49,46,
      55,48,56,55,49,101,45,49,53,32,50,46,48,57,53,49,49,101,45,49,53,32,50,46,52,
      56,57,101,45,49,53,32,50,46,57,54,51,48,53,101,45,49,53,32,51,46,52,54,49,55,
      53,101,45,49,53,10,32,32,51,46,57,55,51,56,57,101,45,49,53,32,52,46,52,56,55,
      54,54,101,45,49,53,32,53,46,48,56,49,48,51,101,45,49,53,32,53,46,53,50,54,49,
      55,101,45,49,53,32,53,46,57,55,54,52,52,101,45,49,53,32,54,46,55,50,51,49,56,
      101,45,49,53,32,55,46,49,56,48,49,53,101,45,49,53,10,32,32,55,46,56,57,49,51,
      50,101,45,49,53,32,56,46,54,50,50,56,56,101,45,49,53,32,57,46,48,52,54,52,56,
      101,45,49,53,32,57,46,52,53,54,57,53,101,45,49,53,32,49,46,48,48,55,49,53,101,
      45,49,52,32,49,46,48,54,57,49,51,101,45,49,52,32,49,46,49,48,48,53,52,101,45,
      49,52,10,32,32,49,46,49,52,54,50,55,101,45,49,52,32,49,46,49,55,48,57,52,101,
      45,49,52,32,49,46,50,48,53,53,51,101,45,49,52,32,49,46,50,50,56,52,56,101,45,
      49,52,32,49,46,50,53,51,54,50,101,45,49,52,32,49,46,50,54,49,48,49,101,45,49,
      52,32,49,46,50,55,48,51,101,45,49,52,10,32,32,49,46,50,55,51,49,54,101,45,49,
      52,32,49,46,50,54,57,55,57,101,45,49,52,32,49,46,50,54,49,52,49,101,45,49,52,
      32,49,46,50,52,57,50,54,101,45,49,52,32,49,46,50,51,51,52,55,101,45,49,52,32,
      49,46,50,49,49,56,53,101,45,49,52,32,49,46,49,56,57,51,101,45,49,52,10,32,32,
      49,46,49,54,49,49,53,101,45,49,52,32,49,46,49,51,56,52,53,101,45,49,52,32,49,
      46,48,57,56,50,52,101,45,49,52,32,49,46,48,55,49,56,57,101,45,49,52,32,49,46,
      48,51,55,54,50,101,45,49,52,32,57,46,53,50,56,48,55,101,45,49,53,32,56,46,50,
      57,56,51,52,101,45,49,53,10,32,32,55,46,48,57,53,50,55,101,45,49,53,32,53,46,
      54,55,49,54,57,101,45,49,53,32,52,46,52,48,51,49,101,45,49,53,32,51,46,49,50,
      53,49,53,101,45,49,53,32,50,46,50,56,49,57,54,101,45,49,53,32,49,46,51,52,51,
      55,55,101,45,49,53,32,55,46,55,54,50,50,57,101,45,49,54,10,32,32,53,46,49,54,
      49,56,53,101,45,49,54,32,51,46,50,49,48,55,56,101,45,49,54,32,49,46,54,53,56,
      50,56,101,45,49,54,32,57,46,48,57,48,56,55,101,45,49,55,32,52,46,56,57,48,53,
      51,101,45,49,55,32,50,46,51,53,57,50,49,101,45,49,55,32,49,46,49,49,54,52,101,
      45,49,55,10,32,32,53,46,55,50,48,52,101,45,49,56,32,50,46,56,57,55,49,56,101,
      45,49,56,32,49,46,52,53,48,54,54,101,45,49,56,32,54,46,53,49,48,57,57,101,45,
      49,57,32,50,46,54,48,57,51,55,101,45,49,57,32,57,46,51,49,49,56,55,101,45,50,
      48,32,51,46,54,52,49,55,51,101,45,50,48,10,32,32,49,46,50,54,56,50,49,101,45,
      50,48,32,52,46,56,54,53,53,53,101,45,50,49,32,49,46,56,53,50,52,56,101,45,50,
      49,32,54,46,50,56,52,52,50,101,45,50,50,32,49,46,57,53,53,56,51,101,45,50,50,
      32,55,46,56,57,54,55,55,101,45,50,51,32,50,46,55,53,48,54,51,101,45,50,51,10,
      32,32,49,46,48,56,51,57,55,101,45,50,51,32,51,46,57,57,48,49,52,101,45,50,52,
      32,49,46,52,54,51,49,55,101,45,50,52,32,53,46,51,52,54,52,57,101,45,50,53,32,
      49,46,57,52,55,51,49,101,45,50,53,32,55,46,48,55,49,51,52,101,45,50,54,32,50,
      46,53,54,48,55,55,101,45,50,54,10,32,32,57,46,50,52,57,55,54,101,45,50,55,32,
      51,46,51,51,51,50,49,101,45,50,55,32,49,46,49,57,56,53,49,101,45,50,55,32,52,
      46,51,48,48,53,53,101,45,50,56,32,49,46,53,52,48,50,101,45,50,56,32,53,46,53,
      48,53,50,54,101,45,50,57,32,49,46,56,55,57,48,52,101,45,50,57,10,32,32,52,46,
      51,52,48,57,56,101,45,51,48,32,49,46,53,50,55,55,51,101,45,51,48,32,53,46,51,
      56,52,53,52,101,45,51,49,32,49,46,55,57,54,54,54,101,45,51,49,32,51,46,55,52,
      48,51,56,101,45,51,50,32,49,46,48,52,49,55,56,101,45,51,50,32,48,114,54,57,
      32,50,46,50,48,53,49,51,101,45,51,50,10,32,32,49,46,50,51,49,53,51,101,45,51,
      49,32,53,46,48,56,50,57,56,101,45,51,49,32,57,46,53,48,52,53,53,101,45,51,49,
      32,49,46,55,48,56,55,56,101,45,51,48,32,50,46,57,52,49,57,49,101,45,51,48,32,
      52,46,56,57,55,53,101,45,51,48,32,55,46,57,49,53,48,50,101,45,51,48,10,32,32,
      49,46,50,52,53,57,54,101,45,50,57,32,49,46,57,49,53,55,52,101,45,50,57,32,50,
      46,56,56,51,56,57,101,45,50,57,32,52,46,50,53,56,57,56,101,45,50,57,32,54,46,
      49,56,49,50,50,101,45,50,57,32,57,46,52,54,53,51,57,101,45,50,57,32,49,46,52,
      49,57,57,51,101,45,50,56,10,32,32,50,46,51,54,57,48,51,101,45,50,56,32,54,46,
      49,56,52,51,56,101,45,50,54,32,57,46,50,52,50,54,50,101,45,50,54,32,49,46,52,
      56,51,50,56,101,45,50,53,32,50,46,51,49,50,56,55,101,45,50,53,32,51,46,53,49,
      53,55,56,101,45,50,53,32,53,46,54,52,48,57,49,101,45,50,53,10,32,32,55,46,56,
      54,49,49,56,101,45,50,50,32,49,46,49,53,52,56,57,101,45,50,49,32,49,46,54,53,
      48,48,50,101,45,50,49,32,50,46,51,48,49,48,54,101,45,50,49,32,51,46,50,54,49,
      57,52,101,45,50,49,32,52,46,54,55,55,53,57,101,45,50,49,32,54,46,55,53,54,56,
      51,101,45,50,49,10,32,32,57,46,55,57,55,48,57,101,45,50,49,32,49,46,52,50,49,
      55,101,45,50,48,32,50,46,50,49,55,52,51,101,45,50,48,32,51,46,50,48,55,53,55,
      101,45,50,48,32,52,46,55,50,48,53,57,101,45,50,48,32,55,46,52,53,55,53,56,101,
      45,50,48,32,49,46,56,49,51,55,55,101,45,49,57,10,32,32,50,46,52,49,54,53,50,
      101,45,49,57,32,51,46,51,54,49,53,55,101,45,49,57,32,52,46,56,55,51,55,55,101,
      45,49,57,32,55,46,48,49,52,54,101,45,49,57,32,49,46,48,49,55,50,52,101,45,49,
      56,32,49,46,52,53,50,51,101,45,49,56,32,49,46,57,57,52,53,101,45,49,56,10,32,
      32,50,46,55,50,48,54,56,101,45,49,56,32,51,46,56,52,56,52,56,101,45,49,56,32,
      53,46,56,56,57,57,50,101,45,49,56,32,56,46,53,52,55,53,56,101,45,49,56,32,49,
      46,50,48,54,54,50,101,45,49,55,32,49,46,53,54,56,50,57,101,45,49,55,32,50,46,
      48,51,54,52,56,101,45,49,55,10,32,32,50,46,56,52,52,55,54,101,45,49,55,32,51,
      46,56,54,56,49,50,101,45,49,55,32,53,46,49,51,52,55,56,101,45,49,55,32,54,46,
      52,55,52,48,52,101,45,49,55,32,56,46,56,50,50,49,54,101,45,49,55,32,49,46,49,
      55,56,50,55,101,45,49,54,32,49,46,53,53,50,50,57,101,45,49,54,10,32,32,49,46,
      57,55,53,48,53,101,45,49,54,32,50,46,52,57,49,55,53,101,45,49,54,32,51,46,49,
      48,49,56,49,101,45,49,54,32,51,46,57,49,52,49,53,101,45,49,54,32,52,46,56,48,
      51,53,50,101,45,49,54,32,53,46,53,52,57,52,49,101,45,49,54,32,55,46,49,56,57,
      55,54,101,45,49,54,10,32,32,57,46,48,52,52,52,54,101,45,49,54,32,49,46,49,48,
      55,52,49,101,45,49,53,32,49,46,51,54,50,50,101,45,49,53,32,49,46,54,50,51,48,
      56,101,45,49,53,32,49,46,57,51,56,52,57,101,45,49,53,32,50,46,50,55,49,56,55,
      101,45,49,53,32,50,46,54,49,53,55,57,101,45,49,53,10,32,32,50,46,57,54,50,51,
      49,101,45,49,53,32,51,46,51,54,52,51,50,101,45,49,53,32,51,46,54,54,55,49,52,
      101,45,49,53,32,51,46,57,55,52,53,49,101,45,49,53,32,52,46,52,56,54,53,54,101,
      45,49,53,32,52,46,56,48,49,51,57,101,45,49,53,32,53,46,50,57,51,54,53,101,45,
      49,53,10,32,32,53,46,56,48,51,49,57,101,45,49,53,32,54,46,48,57,57,56,52,101,
      45,49,53,32,54,46,51,56,56,53,54,101,45,49,53,32,54,46,56,50,51,52,50,101,45,
      49,53,32,55,46,50,54,53,57,55,101,45,49,53,32,55,46,52,57,50,49,56,101,45,49,
      53,32,55,46,56,50,52,53,54,101,45,49,53,10,32,32,56,46,48,48,53,57,50,101,45,
      49,53,32,56,46,50,54,51,56,53,101,45,49,53,32,56,46,52,51,56,54,55,101,45,49,
      53,32,56,46,54,51,55,50,49,101,45,49,53,32,56,46,54,57,56,55,55,101,45,49,53,
      32,56,46,55,56,51,52,101,45,49,53,32,56,46,56,50,53,54,57,101,45,49,53,10,32,
      32,56,46,56,50,48,56,54,101,45,49,53,32,56,46,55,56,48,57,51,101,45,49,53,32,
      56,46,55,49,51,50,101,45,49,53,32,56,46,54,49,57,51,52,101,45,49,53,32,56,46,
      52,56,53,56,51,101,45,49,53,32,56,46,51,52,51,49,57,101,45,49,53,32,56,46,49,
      54,49,57,57,101,45,49,53,10,32,32,56,46,48,49,52,48,57,101,45,49,53,32,55,46,
      55,52,57,50,57,101,45,49,53,32,55,46,53,55,52,50,101,45,49,53,32,55,46,51,52,
      53,101,45,49,53,32,54,46,55,55,50,49,56,101,45,49,53,32,53,46,57,51,48,55,50,
      101,45,49,53,32,53,46,48,57,55,55,49,101,45,49,53,10,32,32,52,46,49,48,49,51,
      49,101,45,49,53,32,51,46,50,48,52,49,53,101,45,49,53,32,50,46,50,57,49,49,55,
      101,45,49,53,32,49,46,54,56,49,52,52,101,45,49,53,32,57,46,57,56,55,49,55,101,
      45,49,54,32,53,46,56,49,50,55,57,101,45,49,54,32,51,46,56,56,52,56,51,101,45,
      49,54,10,32,32,50,46,52,50,57,50,57,101,45,49,54,32,49,46,50,54,50,57,56,101,
      45,49,54,32,54,46,57,54,49,49,57,101,45,49,55,32,51,46,55,54,51,55,55,101,45,
      49,55,32,49,46,56,50,53,52,50,101,45,49,55,32,56,46,54,56,49,49,53,101,45,49,
      56,32,52,46,52,54,54,50,57,101,45,49,56,10,32,32,50,46,50,55,48,54,55,101,45,
      49,56,32,49,46,49,52,49,48,56,101,45,49,56,32,53,46,49,52,49,50,54,101,45,49,
      57,32,50,46,48,54,56,55,52,101,45,49,57,32,55,46,52,49,51,49,54,101,45,50,48,
      32,50,46,57,48,57,49,57,101,45,50,48,32,49,46,48,49,54,55,50,101,45,50,48,10,
      32,32,51,46,57,49,50,51,56,101,45,50,49,32,49,46,52,57,51,55,52,101,45,50,49,
      32,53,46,48,56,50,49,51,101,45,50,50,32,49,46,53,56,54,50,52,101,45,50,50,32,
      54,46,52,49,55,57,51,101,45,50,51,32,50,46,50,52,48,54,52,101,45,50,51,32,56,
      46,56,52,54,55,101,45,50,52,10,32,32,51,46,50,54,50,55,57,101,45,50,52,32,49,
      46,49,57,56,54,51,101,45,50,52,32,52,46,51,56,55,52,53,101,45,50,53,32,49,46,
      54,48,48,54,52,101,45,50,53,32,53,46,56,50,49,54,101,45,50,54,32,50,46,49,49,
      49,51,53,101,45,50,54,32,55,46,54,51,55,50,50,101,45,50,55,10,32,32,50,46,55,
      53,53,56,53,101,45,50,55,32,57,46,57,50,49,56,57,101,45,50,56,32,51,46,53,54,
      52,54,56,101,45,50,56,32,49,46,50,55,56,49,52,101,45,50,56,32,52,46,53,55,51,
      53,57,101,45,50,57,32,49,46,53,54,50,56,50,101,45,50,57,32,51,46,54,49,55,52,
      57,101,45,51,48,10,32,32,49,46,50,55,57,54,101,45,51,48,32,52,46,52,57,51,51,
      52,101,45,51,49,32,49,46,53,53,52,54,57,101,45,51,49,32,51,46,49,48,56,52,101,
      45,51,50,32,56,46,54,50,54,56,50,101,45,51,51,32,48,114,54,57,32,57,46,57,48,
      57,50,51,101,45,51,51,32,53,46,54,53,51,48,49,101,45,51,50,10,32,32,50,46,51,
      55,52,52,52,101,45,51,49,32,52,46,52,55,52,50,55,101,45,51,49,32,56,46,49,48,
      49,55,49,101,45,51,49,32,49,46,52,48,52,49,51,101,45,51,48,32,50,46,51,53,50,
      48,57,101,45,51,48,32,51,46,56,50,51,53,56,101,45,51,48,32,54,46,48,53,50,50,
      49,101,45,51,48,10,32,32,57,46,51,53,52,50,57,101,45,51,48,32,49,46,52,49,53,
      49,52,101,45,50,57,32,50,46,48,57,57,55,54,101,45,50,57,32,51,46,48,54,49,49,
      54,101,45,50,57,32,52,46,55,49,49,54,56,101,45,50,57,32,55,46,49,48,50,50,101,
      45,50,57,32,49,46,49,57,50,51,101,45,50,56,10,32,32,51,46,50,53,51,57,56,101,
      45,50,54,32,52,46,56,56,56,54,101,45,50,54,32,55,46,56,57,51,57,55,101,45,50,
      54,32,49,46,50,51,56,49,49,101,45,50,53,32,49,46,56,57,50,52,56,101,45,50,53,
      32,51,46,48,53,53,53,50,101,45,50,53,32,52,46,53,56,51,48,52,101,45,50,50,10,
      32,32,54,46,55,55,53,57,54,101,45,50,50,32,57,46,55,52,48,52,52,101,45,50,50,
      32,49,46,51,54,54,52,50,101,45,50,49,32,49,46,57,52,57,52,55,101,45,50,49,32,
      50,46,56,49,52,54,56,101,45,50,49,32,52,46,48,57,53,50,49,101,45,50,49,32,53,
      46,57,56,50,53,53,101,45,50,49,10,32,32,56,46,55,52,56,57,56,101,45,50,49,32,
      49,46,51,55,53,57,51,101,45,50,48,32,50,46,48,48,54,51,55,101,45,50,48,32,50,
      46,57,55,56,51,50,101,45,50,48,32,52,46,55,53,52,53,52,101,45,50,48,32,50,46,
      52,56,56,51,49,101,45,49,57,32,51,46,49,49,52,51,51,101,45,49,57,10,32,32,52,
      46,48,52,50,53,57,101,45,49,57,32,53,46,52,52,54,50,50,101,45,49,57,32,55,46,
      51,51,53,48,49,101,45,49,57,32,49,46,48,49,48,54,101,45,49,56,32,49,46,51,54,
      56,57,56,101,45,49,56,32,49,46,56,48,52,51,57,101,45,49,56,32,50,46,51,55,55,
      48,50,101,45,49,56,10,32,32,51,46,50,53,51,57,55,101,45,49,56,32,52,46,56,50,
      50,56,57,101,45,49,56,32,54,46,56,53,51,54,101,45,49,56,32,57,46,53,51,55,50,
      52,101,45,49,56,32,49,46,50,50,57,54,52,101,45,49,55,32,49,46,53,56,55,51,50,
      101,45,49,55,32,50,46,50,48,54,51,51,101,45,49,55,10,32,32,50,46,57,57,50,53,
      55,101,45,49,55,32,51,46,57,54,56,57,49,101,45,49,55,32,53,46,48,48,52,49,51,
      101,45,49,55,32,54,46,56,50,52,56,51,101,45,49,55,32,57,46,49,50,55,48,50,101,
      45,49,55,32,49,46,50,48,52,50,56,101,45,49,54,32,49,46,53,51,52,53,53,101,45,
      49,54,10,32,32,49,46,57,51,56,57,49,101,45,49,54,32,50,46,52,49,55,48,56,101,
      45,49,54,32,51,46,48,53,52,56,52,101,45,49,54,32,51,46,55,53,52,49,50,101,45,
      49,54,32,52,46,51,52,49,51,54,101,45,49,54,32,53,46,54,51,52,57,49,101,45,49,
      54,32,55,46,49,48,48,54,53,101,45,49,54,10,32,32,56,46,55,48,56,49,50,101,45,
      49,54,32,49,46,48,55,51,48,56,101,45,49,53,32,49,46,50,56,48,54,55,101,45,49,
      53,32,49,46,53,51,50,50,54,101,45,49,53,32,49,46,55,57,56,56,54,101,45,49,53,
      32,50,46,48,55,52,53,55,101,45,49,53,32,50,46,51,53,51,48,50,101,45,49,53,10,
      32,32,50,46,54,55,54,56,52,101,45,49,53,32,50,46,57,50,49,51,101,45,49,53,32,
      51,46,49,54,57,56,57,101,45,49,53,32,51,46,53,56,53,48,55,101,45,49,53,32,51,
      46,56,52,48,57,55,101,45,49,53,32,52,46,50,52,50,49,50,101,45,49,53,32,52,46,
      54,53,56,55,49,101,45,49,53,10,32,32,52,46,57,48,49,57,52,101,45,49,53,32,53,
      46,49,51,57,50,50,101,45,49,53,32,53,46,52,57,55,55,54,101,45,49,53,32,53,46,
      56,54,52,51,49,101,45,49,53,32,54,46,48,53,50,53,101,45,49,53,32,54,46,51,51,
      48,51,50,101,45,49,53,32,54,46,52,56,50,55,54,101,45,49,53,10,32,32,54,46,55,
      48,49,48,54,101,45,49,53,32,54,46,56,53,48,53,52,101,45,49,53,32,55,46,48,50,
      51,49,51,101,45,49,53,32,55,46,48,55,55,57,49,101,45,49,53,32,55,46,49,53,53,
      56,51,101,45,49,53,32,55,46,50,48,48,50,51,101,45,49,53,32,55,46,50,48,52,52,
      56,101,45,49,53,10,32,32,55,46,49,55,57,57,52,101,45,49,53,32,55,46,49,51,49,
      57,56,101,45,49,53,32,55,46,48,54,50,51,52,101,45,49,53,32,54,46,57,54,48,55,
      52,101,45,49,53,32,54,46,56,53,48,52,56,101,45,49,53,32,54,46,55,48,56,57,52,
      101,45,49,53,32,54,46,53,57,50,53,54,101,45,49,53,10,32,32,54,46,51,56,50,56,
      56,101,45,49,53,32,54,46,50,52,51,53,50,101,45,49,53,32,54,46,48,54,48,52,101,
      45,49,53,32,53,46,54,48,48,49,54,101,45,49,53,32,52,46,57,49,57,48,52,101,45,
      49,53,32,52,46,50,52,48,50,55,101,45,49,53,32,51,46,52,50,51,52,56,101,45,49,
      53,10,32,32,50,46,54,56,51,56,50,101,45,49,53,32,49,46,57,50,55,55,55,101,45,
      49,53,32,49,46,52,49,56,48,55,101,45,49,53,32,56,46,52,54,51,51,101,45,49,54,
      32,52,46,57,52,54,53,49,101,45,49,54,32,51,46,51,49,53,48,56,101,45,49,54,32,
      50,46,48,55,57,49,52,101,45,49,54,10,32,32,49,46,48,56,52,57,51,101,45,49,54,
      32,53,46,57,57,55,56,56,101,45,49,55,32,51,46,50,53,50,48,54,101,45,49,55,32,
      49,46,53,56,49,57,56,101,45,49,55,32,55,46,53,52,52,51,55,101,45,49,56,32,51,
      46,56,57,48,50,55,101,45,49,56,32,49,46,57,56,50,48,52,101,45,49,56,10,32,32,
      57,46,57,56,48,54,101,45,49,57,32,52,46,53,48,54,53,52,101,45,49,57,32,49,46,
      56,49,55,52,51,101,45,49,57,32,54,46,53,50,55,54,55,101,45,50,48,32,50,46,53,
      54,54,54,52,101,45,50,48,32,56,46,57,56,55,57,49,101,45,50,49,32,51,46,52,54,
      52,51,52,101,45,50,49,10,32,32,49,46,51,50,52,55,52,101,45,50,49,32,52,46,53,
      49,52,52,53,101,45,50,50,32,49,46,52,49,49,51,52,101,45,50,50,32,53,46,55,49,
      55,48,49,101,45,50,51,32,49,46,57,57,56,53,101,45,50,51,32,55,46,56,57,57,48,
      57,101,45,50,52,32,50,46,57,49,54,52,52,101,45,50,52,10,32,32,49,46,48,55,50,
      53,101,45,50,52,32,51,46,57,50,57,53,55,101,45,50,53,32,49,46,52,51,52,57,50,
      101,45,50,53,32,53,46,50,50,51,52,51,101,45,50,54,32,49,46,56,57,53,57,57,101,
      45,50,54,32,54,46,56,54,51,54,57,101,45,50,55,32,50,46,52,55,56,54,49,101,45,
      50,55,10,32,32,56,46,57,51,48,50,49,101,45,50,56,32,51,46,50,49,48,54,51,101,
      45,50,56,32,49,46,49,53,49,57,54,101,45,50,56,32,52,46,49,50,53,48,51,101,45,
      50,57,32,49,46,52,49,48,48,53,101,45,50,57,32,51,46,50,55,50,51,49,101,45,51,
      48,32,49,46,49,54,48,57,54,101,45,51,48,10,32,32,52,46,49,48,52,53,53,101,45,
      51,49,32,49,46,52,52,53,57,51,101,45,51,49,32,50,46,56,48,51,57,57,101,45,51,
      50,32,55,46,55,54,54,52,55,101,45,51,51,32,48,114,55,48,32,52,46,54,54,52,57,
      52,101,45,51,51,32,50,46,48,54,56,51,51,101,45,51,50,32,51,46,57,57,48,56,53,
      101,45,51,50,10,32,32,55,46,51,52,56,48,50,101,45,51,50,32,49,46,50,57,57,50,
      53,101,45,51,49,32,50,46,50,49,55,53,101,45,51,49,32,51,46,54,57,50,49,54,101,
      45,51,49,32,53,46,57,52,52,49,52,101,45,51,49,32,57,46,51,51,54,48,57,101,45,
      51,49,32,49,46,52,51,52,49,51,101,45,51,48,10,32,32,50,46,49,53,57,49,53,101,
      45,51,48,32,51,46,49,57,49,56,53,101,45,51,48,32,52,46,57,57,49,55,50,101,45,
      51,48,32,55,46,54,51,57,51,51,101,45,51,48,32,49,46,51,48,55,50,49,101,45,50,
      57,32,52,46,48,54,51,54,56,101,45,50,55,32,54,46,50,48,57,49,52,101,45,50,55,
      10,32,32,49,46,48,50,50,57,56,101,45,50,54,32,49,46,54,51,53,51,49,101,45,50,
      54,32,50,46,53,52,53,50,56,101,45,50,54,32,52,46,49,57,53,48,56,101,45,50,54,
      32,55,46,51,53,56,49,49,101,45,50,51,32,49,46,49,49,57,53,54,101,45,50,50,32,
      49,46,54,53,51,51,55,101,45,50,50,10,32,32,50,46,51,55,57,49,53,101,45,50,50,
      32,51,46,52,56,55,48,50,101,45,50,50,32,53,46,49,55,56,49,101,45,50,50,32,55,
      46,55,53,52,56,52,101,45,50,50,32,49,46,49,54,54,55,50,101,45,50,49,32,49,46,
      55,53,55,54,57,101,45,50,49,32,50,46,56,53,51,49,53,101,45,50,49,10,32,32,52,
      46,50,56,53,49,101,45,50,49,32,54,46,53,54,49,53,51,101,45,50,49,32,49,46,48,
      56,54,56,50,101,45,50,48,32,52,46,52,55,50,48,57,101,45,50,48,32,54,46,48,51,
      50,55,56,101,45,50,48,32,56,46,53,50,48,49,50,101,45,50,48,32,49,46,50,53,55,
      54,51,101,45,49,57,10,32,32,49,46,56,52,51,51,53,101,45,49,57,32,50,46,55,50,
      53,57,53,101,45,49,57,32,51,46,57,54,56,51,56,101,45,49,57,32,53,46,53,52,52,
      57,52,101,45,49,57,32,55,46,54,57,49,50,55,101,45,49,57,32,49,46,49,48,55,57,
      57,101,45,49,56,32,49,46,55,51,50,49,57,101,45,49,56,10,32,32,50,46,53,54,48,
      52,53,101,45,49,56,32,51,46,54,55,52,56,49,101,45,49,56,32,52,46,56,51,53,54,
      101,45,49,56,32,54,46,51,53,53,55,52,101,45,49,56,32,57,46,48,49,52,57,101,
      45,49,56,32,49,46,50,52,50,56,50,101,45,49,55,32,49,46,54,55,48,53,51,101,45,
      49,55,10,32,32,50,46,49,50,55,52,51,101,45,49,55,32,50,46,57,51,55,51,57,101,
      45,49,55,32,51,46,57,54,57,49,49,101,45,49,55,32,53,46,50,56,52,53,53,101,45,
      49,55,32,54,46,55,56,51,48,49,101,45,49,55,32,56,46,54,50,54,55,53,101,45,49,
      55,32,49,46,48,56,49,55,101,45,49,54,10,32,32,49,46,51,55,53,49,51,101,45,49,
      54,32,49,46,54,57,56,51,50,101,45,49,54,32,49,46,57,55,48,55,52,101,45,49,54,
      32,50,46,53,55,51,55,50,101,45,49,54,32,51,46,50,54,49,51,50,101,45,49,54,32,
      52,46,48,50,48,49,57,101,45,49,54,32,52,46,57,56,49,53,55,101,45,49,54,10,32,
      32,53,46,57,55,53,50,56,101,45,49,54,32,55,46,49,56,56,53,49,101,45,49,54,32,
      56,46,52,56,52,101,45,49,54,32,57,46,56,51,51,57,101,45,49,54,32,49,46,49,50,
      48,55,51,101,45,49,53,32,49,46,50,56,49,54,54,101,45,49,53,32,49,46,52,48,52,
      101,45,49,53,32,49,46,53,50,57,49,52,101,45,49,53,10,32,32,49,46,55,51,57,56,
      101,45,49,53,32,49,46,56,55,48,54,57,101,45,49,53,32,50,46,48,55,55,53,50,101,
      45,49,53,32,50,46,50,57,52,53,55,101,45,49,53,32,50,46,52,50,50,52,52,101,45,
      49,53,32,50,46,53,52,56,48,57,101,45,49,53,32,50,46,55,51,57,56,52,101,45,49,
      53,10,32,32,50,46,57,51,56,54,54,101,45,49,53,32,51,46,48,52,50,48,57,101,45,
      49,53,32,51,46,49,57,54,57,52,101,45,49,53,32,51,46,50,56,51,51,50,101,45,49,
      53,32,51,46,52,48,57,52,57,101,45,49,53,32,51,46,52,57,56,51,54,101,45,49,53,
      32,51,46,54,48,53,53,57,101,45,49,53,10,32,32,51,46,54,52,49,54,101,45,49,53,
      32,51,46,54,57,54,57,50,101,45,49,53,32,51,46,55,51,54,54,52,101,45,49,53,32,
      51,46,55,53,50,55,50,101,45,49,53,32,51,46,55,53,51,54,56,101,45,49,53,32,51,
      46,55,52,49,51,101,45,49,53,32,51,46,55,49,55,48,56,101,45,49,53,10,32,32,51,
      46,54,55,54,57,55,101,45,49,53,32,51,46,54,51,48,51,53,101,45,49,53,32,51,46,
      53,54,55,56,51,101,45,49,53,32,51,46,53,49,52,57,51,101,45,49,53,32,51,46,52,
      49,55,50,54,101,45,49,53,32,51,46,51,53,49,48,56,101,45,49,53,32,51,46,50,54,
      50,57,52,101,45,49,53,10,32,32,51,46,48,51,54,56,49,101,45,49,53,32,50,46,54,
      57,51,51,56,101,45,49,53,32,50,46,51,52,51,51,101,45,49,53,32,49,46,57,49,51,
      52,55,101,45,49,53,32,49,46,53,49,54,55,55,101,45,49,53,32,49,46,49,48,54,50,
      53,101,45,49,53,32,56,46,49,57,52,56,51,101,45,49,54,10,32,32,52,46,57,54,54,
      55,54,101,45,49,54,32,50,46,57,52,50,49,54,101,45,49,54,32,49,46,57,56,57,52,
      56,101,45,49,54,32,49,46,50,53,57,54,52,101,45,49,54,32,54,46,54,53,49,52,54,
      101,45,49,55,32,51,46,55,49,50,56,57,101,45,49,55,32,50,46,48,51,49,52,53,101,
      45,49,55,10,32,32,57,46,57,55,55,56,55,101,45,49,56,32,52,46,56,48,49,50,57,
      101,45,49,56,32,50,46,52,57,52,48,51,101,45,49,56,32,49,46,50,55,57,52,55,101,
      45,49,56,32,54,46,52,56,53,48,54,101,45,49,57,32,50,46,57,52,56,54,50,101,45,
      49,57,32,49,46,49,57,55,56,51,101,45,49,57,10,32,32,52,46,51,51,52,53,57,101,
      45,50,48,32,49,46,55,49,53,48,50,101,45,50,48,32,54,46,48,52,52,54,101,45,50,
      49,32,50,46,51,52,50,52,57,101,45,50,49,32,57,46,48,48,51,48,50,101,45,50,50,
      32,51,46,48,56,52,50,52,101,45,50,50,32,57,46,54,57,50,57,54,101,45,50,51,10,
      32,32,51,46,57,52,49,51,57,101,45,50,51,32,49,46,51,56,51,53,52,101,45,50,51,
      32,53,46,52,56,55,51,56,101,45,50,52,32,50,46,48,51,51,49,50,101,45,50,52,32,
      55,46,53,48,49,52,53,101,45,50,53,32,50,46,55,53,55,49,53,101,45,50,53,32,49,
      46,48,48,57,56,49,101,45,50,53,10,32,32,51,46,54,56,54,52,49,101,45,50,54,32,
      49,46,51,52,49,55,49,101,45,50,54,32,52,46,56,54,57,55,50,101,45,50,55,32,49,
      46,55,54,50,56,56,101,45,50,55,32,54,46,51,54,54,52,57,101,45,50,56,32,50,46,
      50,57,52,48,54,101,45,50,56,32,56,46,50,52,56,56,56,101,45,50,57,10,32,32,50,
      46,57,54,48,49,101,45,50,57,32,49,46,48,49,51,50,50,101,45,50,57,32,50,46,51,
      54,49,54,101,45,51,48,32,56,46,52,49,57,57,51,101,45,51,49,32,50,46,57,55,48,
      56,56,101,45,51,49,32,49,46,48,52,55,56,52,101,45,51,49,32,50,46,50,56,56,53,
      51,101,45,51,50,10,32,32,53,46,53,52,49,52,101,45,51,51,32,48,114,55,49,32,
      49,46,52,50,49,54,51,101,45,51,51,32,50,46,56,49,50,51,50,101,45,51,51,32,53,
      46,50,57,57,55,51,101,45,51,51,32,57,46,53,55,54,54,55,101,45,51,51,32,49,46,
      54,54,56,50,53,101,45,51,50,32,50,46,56,49,51,55,52,101,45,51,50,10,32,32,52,
      46,54,49,49,55,49,101,45,51,50,32,55,46,51,54,55,51,54,101,45,51,50,32,49,46,
      49,53,48,49,53,101,45,51,49,32,49,46,55,55,50,52,57,101,45,51,49,32,50,46,54,
      54,48,50,51,101,45,51,49,32,52,46,50,51,51,49,52,101,45,51,49,32,54,46,53,56,
      54,53,49,101,45,51,49,10,32,32,49,46,49,53,48,57,49,101,45,51,48,32,52,46,48,
      52,52,55,50,101,45,50,56,32,54,46,51,48,52,51,50,101,45,50,56,32,49,46,48,54,
      51,51,49,101,45,50,55,32,49,46,55,51,55,54,57,101,45,50,55,32,50,46,55,54,49,
      53,51,101,45,50,55,32,52,46,54,53,57,56,54,101,45,50,55,10,32,32,49,46,48,48,
      51,53,54,101,45,50,51,32,49,46,53,55,53,55,49,101,45,50,51,32,50,46,51,57,53,
      51,51,101,45,50,51,32,51,46,53,52,48,52,55,101,45,50,51,32,53,46,51,51,54,52,
      49,101,45,50,51,32,56,46,49,53,53,56,49,101,45,50,51,32,49,46,50,53,55,55,50,
      101,45,50,50,10,32,32,49,46,57,52,56,57,51,101,45,50,50,32,51,46,48,50,52,49,
      56,101,45,50,50,32,53,46,48,54,53,53,53,101,45,50,50,32,55,46,56,51,50,50,53,
      101,45,50,50,32,49,46,50,51,54,52,55,101,45,50,49,32,50,46,49,50,51,54,57,101,
      45,50,49,32,49,46,55,50,48,57,54,101,45,50,48,10,32,32,50,46,50,57,54,48,54,
      101,45,50,48,32,51,46,50,48,52,101,45,50,48,32,52,46,54,55,49,51,56,101,45,
      50,48,32,54,46,55,55,52,56,55,101,45,50,48,32,49,46,48,48,50,48,49,101,45,49,
      57,32,49,46,52,52,57,55,101,45,49,57,32,50,46,48,49,56,50,52,101,45,49,57,10,
      32,32,50,46,55,57,52,53,101,45,49,57,32,52,46,48,50,54,55,50,101,45,49,57,32,
      54,46,51,49,52,51,54,101,45,49,57,32,57,46,51,56,54,55,55,101,45,49,57,32,49,
      46,51,53,55,50,49,101,45,49,56,32,49,46,55,57,56,49,55,101,45,49,56,32,50,46,
      51,56,49,56,101,45,49,56,10,32,32,51,46,52,49,53,54,52,101,45,49,56,32,52,46,
      55,54,48,54,50,101,45,49,56,32,54,46,52,54,54,56,51,101,45,49,56,32,56,46,51,
      48,56,52,101,45,49,56,32,49,46,49,54,49,48,51,101,45,49,55,32,49,46,53,56,54,
      48,53,101,45,49,55,32,50,46,49,51,51,49,57,101,45,49,55,10,32,32,50,46,55,54,
      49,53,51,101,45,49,55,32,51,46,53,52,48,48,53,101,45,49,55,32,52,46,52,55,48,
      55,52,101,45,49,55,32,53,46,55,50,53,49,55,101,45,49,55,32,55,46,49,49,52,55,
      49,101,45,49,55,32,56,46,50,57,49,51,101,45,49,55,32,49,46,48,57,49,48,50,101,
      45,49,54,10,32,32,49,46,51,57,49,55,54,101,45,49,54,32,49,46,55,50,53,57,51,
      101,45,49,54,32,50,46,49,53,50,51,101,45,49,54,32,50,46,53,57,54,50,55,101,
      45,49,54,32,51,46,49,52,50,52,53,101,45,49,54,32,51,46,55,51,48,51,52,101,45,
      49,54,32,52,46,51,52,55,55,52,101,45,49,54,10,32,32,52,46,57,56,48,54,54,101,
      45,49,54,32,53,46,55,50,56,50,52,101,45,49,54,32,54,46,51,48,48,54,55,101,45,
      49,54,32,54,46,56,56,57,56,52,101,45,49,54,32,55,46,56,56,57,55,56,101,45,49,
      54,32,56,46,53,49,54,50,53,101,45,49,54,32,57,46,53,49,52,52,52,101,45,49,54,
      10,32,32,49,46,48,53,55,51,51,101,45,49,53,32,49,46,49,50,48,50,56,101,45,49,
      53,32,49,46,49,56,50,53,57,101,45,49,53,32,49,46,50,55,56,54,49,101,45,49,53,
      32,49,46,51,55,57,53,53,101,45,49,53,32,49,46,52,51,50,55,50,101,45,49,53,32,
      49,46,53,49,51,51,56,101,45,49,53,10,32,32,49,46,53,53,57,48,52,101,45,49,53,
      32,49,46,54,50,54,57,49,101,45,49,53,32,49,46,54,55,53,56,54,101,45,49,53,32,
      49,46,55,51,55,48,49,101,45,49,53,32,49,46,55,53,56,52,49,101,45,49,53,32,49,
      46,55,57,50,57,54,101,45,49,53,32,49,46,56,50,48,57,101,45,49,53,10,32,32,49,
      46,56,51,53,57,51,101,45,49,53,32,49,46,56,52,51,53,53,101,45,49,53,32,49,46,
      56,52,52,49,101,45,49,53,32,49,46,56,51,56,54,49,101,45,49,53,32,49,46,56,50,
      53,56,101,45,49,53,32,49,46,56,48,56,55,57,101,45,49,53,32,49,46,55,56,52,50,
      54,101,45,49,53,10,32,32,49,46,55,54,50,53,57,101,45,49,53,32,49,46,55,50,49,
      49,54,101,45,49,53,32,49,46,54,57,50,51,53,101,45,49,53,32,49,46,54,53,51,50,
      57,101,45,49,53,32,49,46,53,53,48,52,54,101,45,49,53,32,49,46,51,56,57,51,52,
      101,45,49,53,32,49,46,50,50,48,55,50,101,45,49,53,10,32,32,49,46,48,48,56,57,
      49,101,45,49,53,32,56,46,48,57,50,53,56,101,45,49,54,32,54,46,48,48,48,54,53,
      101,45,49,54,32,52,46,52,55,57,55,52,101,45,49,54,32,50,46,55,54,48,48,56,101,
      45,49,54,32,49,46,54,53,57,48,56,101,45,49,54,32,49,46,49,51,50,56,54,101,45,
      49,54,10,32,32,55,46,50,52,55,52,101,45,49,55,32,51,46,56,55,54,57,54,101,45,
      49,55,32,50,46,49,56,55,50,52,101,45,49,55,32,49,46,50,48,56,55,49,101,45,49,
      55,32,54,46,48,48,48,51,56,101,45,49,56,32,50,46,57,49,54,49,101,45,49,56,32,
      49,46,53,50,55,48,57,101,45,49,56,10,32,32,55,46,56,57,52,49,101,45,49,57,32,
      52,46,48,51,48,50,52,101,45,49,57,32,49,46,56,52,54,54,51,101,45,49,57,32,55,
      46,53,54,50,52,54,101,45,50,48,32,50,46,55,53,57,52,55,101,45,50,48,32,49,46,
      48,57,57,52,49,101,45,50,48,32,51,46,57,48,50,55,54,101,45,50,49,10,32,32,49,
      46,53,50,49,53,56,101,45,50,49,32,53,46,56,56,49,101,45,50,50,32,50,46,48,50,
      54,53,51,101,45,50,50,32,54,46,52,48,54,50,50,101,45,50,51,32,50,46,54,49,54,
      101,45,50,51,32,57,46,50,50,53,53,52,101,45,50,52,32,51,46,54,55,51,49,52,101,
      45,50,52,10,32,32,49,46,51,54,54,50,53,101,45,50,52,32,53,46,48,53,57,54,51,
      101,45,50,53,32,49,46,56,54,54,50,101,45,50,53,32,54,46,56,53,55,56,51,101,
      45,50,54,32,50,46,53,49,49,52,55,101,45,50,54,32,57,46,49,54,56,52,51,101,45,
      50,55,32,51,46,51,51,55,50,54,101,45,50,55,10,32,32,49,46,50,49,49,52,53,101,
      45,50,55,32,52,46,51,56,54,53,51,101,45,50,56,32,49,46,53,56,52,53,56,101,45,
      50,56,32,53,46,55,49,49,54,49,101,45,50,57,32,50,46,48,53,52,51,56,101,45,50,
      57,32,55,46,48,52,53,56,50,101,45,51,48,32,49,46,54,53,48,56,101,45,51,48,10,
      32,32,53,46,57,48,53,57,50,101,45,51,49,32,50,46,48,57,50,57,50,101,45,51,49,
      32,55,46,51,53,51,52,51,101,45,51,50,32,49,46,53,57,54,53,57,101,45,51,50,32,
      52,46,57,53,54,50,52,101,45,51,51,32,49,46,51,52,50,57,56,101,45,51,51,32,48,
      114,55,51,32,54,46,56,57,52,49,101,45,51,52,10,32,32,49,46,50,50,54,51,53,101,
      45,51,51,32,50,46,49,48,57,54,56,101,45,51,51,32,51,46,53,50,50,57,57,101,45,
      51,51,32,53,46,55,50,56,56,51,101,45,51,51,32,57,46,48,57,53,55,53,101,45,51,
      51,32,49,46,52,49,51,50,54,101,45,51,50,32,50,46,49,53,51,49,51,101,45,51,50,
      10,32,32,51,46,52,56,53,52,54,101,45,51,50,32,53,46,53,49,50,50,56,101,45,51,
      50,32,57,46,57,50,57,55,101,45,51,50,32,51,46,57,54,54,55,53,101,45,50,57,32,
      54,46,51,48,51,51,101,45,50,57,32,49,46,48,56,55,53,54,101,45,50,56,32,49,46,
      56,49,53,54,54,101,45,50,56,10,32,32,50,46,57,52,52,48,56,101,45,50,56,32,53,
      46,48,56,50,49,56,101,45,50,56,32,49,46,51,53,57,52,54,101,45,50,52,32,50,46,
      49,56,56,57,55,101,45,50,52,32,51,46,52,48,55,50,53,101,45,50,52,32,53,46,49,
      52,57,56,53,101,45,50,52,32,55,46,57,52,56,53,53,101,45,50,52,10,32,32,49,46,
      50,52,53,51,56,101,45,50,51,32,49,46,57,55,48,54,101,45,50,51,32,51,46,49,51,
      53,51,50,101,45,50,51,32,52,46,57,57,55,55,55,101,45,50,51,32,56,46,54,49,53,
      48,56,101,45,50,51,32,49,46,51,54,56,56,57,101,45,50,50,32,50,46,50,50,52,54,
      57,101,45,50,50,10,32,32,51,46,57,53,54,56,51,101,45,50,50,32,52,46,55,48,49,
      51,52,101,45,50,49,32,54,46,52,48,48,56,53,101,45,50,49,32,57,46,49,52,51,53,
      57,101,45,50,49,32,49,46,51,54,56,54,50,101,45,50,48,32,50,46,48,51,54,50,101,
      45,50,48,32,51,46,48,57,52,54,55,101,45,50,48,10,32,32,52,46,53,56,56,48,55,
      101,45,50,48,32,54,46,53,50,51,57,55,101,45,50,48,32,57,46,50,49,54,49,54,101,
      45,50,48,32,49,46,51,53,54,56,57,101,45,49,57,32,50,46,49,56,49,56,54,101,45,
      49,57,32,51,46,51,49,49,49,50,101,45,49,57,32,52,46,56,55,52,54,55,101,45,49,
      57,10,32,32,54,46,53,52,51,54,101,45,49,57,32,56,46,55,55,54,55,57,101,45,49,
      57,32,49,46,50,55,56,49,53,101,45,49,56,32,49,46,56,48,53,55,56,101,45,49,56,
      32,50,46,52,56,50,56,50,101,45,49,56,32,51,46,50,50,48,54,50,101,45,49,56,32,
      52,46,53,53,55,56,55,101,45,49,56,10,32,32,54,46,50,57,55,49,52,101,45,49,56,
      32,56,46,53,53,56,50,50,101,45,49,56,32,49,46,49,49,55,55,49,101,45,49,55,32,
      49,46,52,52,52,54,54,101,45,49,55,32,49,46,56,51,56,50,49,101,45,49,55,32,50,
      46,51,55,50,50,51,101,45,49,55,32,50,46,57,54,55,52,56,101,45,49,55,10,32,32,
      51,46,52,55,51,57,54,101,45,49,55,32,52,46,54,48,55,57,51,101,45,49,55,32,53,
      46,57,49,57,51,51,101,45,49,55,32,55,46,51,56,54,49,54,101,45,49,55,32,57,46,
      50,55,48,52,56,101,45,49,55,32,49,46,49,50,52,54,49,101,45,49,54,32,49,46,51,
      54,57,51,56,101,45,49,54,10,32,32,49,46,54,51,52,56,101,45,49,54,32,49,46,57,
      49,53,53,57,101,45,49,54,32,50,46,50,48,53,53,101,45,49,54,32,50,46,53,53,48,
      52,57,101,45,49,54,32,50,46,56,49,54,52,56,101,45,49,54,32,51,46,48,57,49,56,
      55,101,45,49,54,32,51,46,53,54,51,48,49,101,45,49,54,10,32,32,51,46,56,54,48,
      53,53,101,45,49,54,32,52,46,51,51,56,52,52,101,45,49,54,32,52,46,56,53,48,54,
      50,101,45,49,54,32,53,46,49,53,55,56,54,101,45,49,54,32,53,46,52,54,52,48,49,
      101,45,49,54,32,53,46,57,52,48,50,51,101,45,49,54,32,54,46,52,52,55,51,101,
      45,49,54,10,32,32,54,46,55,49,55,52,55,101,45,49,54,32,55,46,49,51,50,49,53,
      101,45,49,54,32,55,46,51,55,48,48,50,101,45,49,54,32,55,46,55,50,56,56,49,101,
      45,49,54,32,55,46,57,57,50,55,55,101,45,49,54,32,56,46,51,51,49,54,50,101,45,
      49,54,32,56,46,52,53,51,55,57,101,45,49,54,10,32,32,56,46,54,53,55,57,56,101,
      45,49,54,32,56,46,56,51,53,49,56,101,45,49,54,32,56,46,57,52,51,51,51,101,45,
      49,54,32,57,46,48,49,53,53,49,101,45,49,54,32,57,46,48,53,48,55,57,101,45,49,
      54,32,57,46,48,53,53,54,53,101,45,49,54,32,57,46,48,50,55,51,56,101,45,49,54,
      10,32,32,56,46,57,55,51,55,50,101,45,49,54,32,56,46,56,56,52,57,54,101,45,49,
      54,32,56,46,56,48,48,56,52,101,45,49,54,32,56,46,54,51,49,55,55,101,45,49,54,
      32,56,46,53,48,57,57,53,101,45,49,54,32,56,46,51,52,48,57,53,101,45,49,54,32,
      55,46,56,56,49,54,57,101,45,49,54,10,32,32,55,46,49,51,53,51,51,101,45,49,54,
      32,54,46,51,51,49,48,51,101,45,49,54,32,53,46,50,57,53,54,57,101,45,49,54,32,
      52,46,50,57,55,57,101,45,49,54,32,51,46,50,51,54,54,101,45,49,54,32,50,46,52,
      51,57,53,57,101,45,49,54,32,49,46,53,50,54,54,57,101,45,49,54,10,32,32,57,46,
      51,49,49,54,56,101,45,49,55,32,54,46,52,50,48,52,49,101,45,49,55,32,52,46,49,
      53,48,50,54,101,45,49,55,32,50,46,50,52,57,50,55,101,45,49,55,32,49,46,50,56,
      50,53,55,101,45,49,55,32,55,46,49,53,57,49,53,101,45,49,56,32,51,46,53,57,50,
      51,49,101,45,49,56,10,32,32,49,46,55,54,51,51,51,101,45,49,56,32,57,46,51,49,
      48,48,51,101,45,49,57,32,52,46,56,52,57,57,50,101,45,49,57,32,50,46,52,57,52,
      50,54,101,45,49,57,32,49,46,49,53,49,56,101,45,49,57,32,52,46,55,53,53,54,55,
      101,45,50,48,32,49,46,55,52,57,57,56,101,45,50,48,10,32,32,55,46,48,50,49,51,
      57,101,45,50,49,32,50,46,53,49,48,55,50,101,45,50,49,32,57,46,56,52,56,53,55,
      101,45,50,50,32,51,46,56,50,56,52,101,45,50,50,32,49,46,51,50,55,49,101,45,
      50,50,32,52,46,50,50,48,50,52,101,45,50,51,32,49,46,55,51,48,56,101,45,50,51,
      10,32,32,54,46,49,51,50,55,101,45,50,52,32,50,46,52,53,49,51,50,101,45,50,52,
      32,57,46,49,53,52,49,53,101,45,50,53,32,51,46,52,48,50,56,53,101,45,50,53,32,
      49,46,50,53,57,54,49,101,45,50,53,32,52,46,54,52,52,53,101,45,50,54,32,49,46,
      55,48,54,52,49,101,45,50,54,10,32,32,54,46,50,52,56,55,101,45,50,55,32,50,46,
      50,56,49,49,56,101,45,50,55,32,56,46,51,48,52,48,54,101,45,50,56,32,51,46,48,
      49,52,56,56,101,45,50,56,32,49,46,48,57,49,56,56,101,45,50,56,32,51,46,57,52,
      53,51,101,45,50,57,32,49,46,52,50,50,53,49,101,45,50,57,10,32,32,52,46,56,56,
      55,101,45,51,48,32,49,46,49,53,48,55,57,101,45,51,48,32,52,46,49,51,49,55,49,
      101,45,51,49,32,49,46,52,55,53,57,50,101,45,51,49,32,53,46,50,49,51,48,55,101,
      45,51,50,32,49,46,50,52,50,57,50,101,45,51,50,32,51,46,52,52,51,51,52,101,45,
      51,51,10,32,32,57,46,50,53,56,48,56,101,45,51,52,32,48,114,55,54,32,51,46,49,
      52,52,49,49,101,45,51,52,32,53,46,49,57,55,57,50,101,45,51,52,32,56,46,51,56,
      51,52,52,101,45,51,52,32,49,46,51,50,50,50,50,101,45,51,51,32,50,46,48,52,51,
      52,49,101,45,51,51,32,51,46,51,54,50,51,53,101,45,51,51,10,32,32,53,46,52,48,
      48,57,51,101,45,51,51,32,57,46,56,50,52,52,50,101,45,51,51,32,52,46,52,52,51,
      52,49,101,45,51,48,32,55,46,49,56,53,50,49,101,45,51,48,32,49,46,50,54,53,53,
      54,101,45,50,57,32,50,46,49,53,52,51,55,101,45,50,57,32,51,46,53,53,56,51,51,
      101,45,50,57,10,32,32,54,46,50,55,50,52,53,101,45,50,57,32,49,46,57,54,51,51,
      53,101,45,50,53,32,51,46,50,52,51,54,51,101,45,50,53,32,53,46,49,55,50,53,101,
      45,50,53,32,55,46,57,57,56,53,49,101,45,50,53,32,49,46,50,54,52,56,51,101,45,
      50,52,32,50,46,48,51,50,53,55,101,45,50,52,10,32,32,51,46,51,48,49,51,53,101,
      45,50,52,32,53,46,51,57,52,54,56,101,45,50,52,32,56,46,56,51,52,56,49,101,45,
      50,52,32,49,46,53,54,55,53,57,101,45,50,51,32,50,46,53,53,57,49,52,101,45,50,
      51,32,52,46,50,55,57,54,52,101,45,50,51,32,55,46,56,55,54,50,52,101,45,50,51,
      10,32,32,49,46,49,54,50,48,50,101,45,50,49,32,49,46,54,50,56,53,101,45,50,49,
      32,50,46,52,48,52,101,45,50,49,32,51,46,55,51,49,54,51,101,45,50,49,32,53,46,
      55,52,57,50,50,101,45,50,49,32,57,46,50,48,57,49,49,101,45,50,49,32,49,46,52,
      48,56,53,56,101,45,50,48,10,32,32,50,46,48,53,55,57,55,101,45,50,48,32,50,46,
      57,56,51,51,54,101,45,50,48,32,52,46,53,49,55,50,49,101,45,50,48,32,55,46,53,
      50,54,57,101,45,50,48,32,49,46,49,55,52,48,52,101,45,49,57,32,49,46,55,55,48,
      56,57,101,45,49,57,32,50,46,52,49,57,54,55,101,45,49,57,10,32,32,51,46,51,48,
      49,48,54,101,45,49,57,32,52,46,57,48,56,49,56,101,45,49,57,32,55,46,48,54,49,
      49,55,101,45,49,57,32,57,46,56,54,53,50,49,101,45,49,57,32,49,46,50,57,53,54,
      54,101,45,49,56,32,49,46,56,54,51,48,55,101,45,49,56,32,50,46,54,49,48,49,101,
      45,49,56,10,32,32,51,46,53,57,49,57,55,101,45,49,56,32,52,46,55,52,48,48,52,
      101,45,49,56,32,54,46,49,56,53,48,54,101,45,49,56,32,55,46,57,51,55,51,52,101,
      45,49,56,32,49,46,48,51,51,50,101,45,49,55,32,49,46,51,48,49,56,56,101,45,49,
      55,32,49,46,53,51,49,54,52,101,45,49,55,10,32,32,50,46,48,52,57,49,49,101,45,
      49,55,32,50,46,54,53,49,55,53,101,45,49,55,32,51,46,51,51,48,48,57,101,45,49,
      55,32,52,46,50,48,55,48,53,101,45,49,55,32,53,46,49,51,50,50,57,101,45,49,55,
      32,54,46,50,56,53,56,54,101,45,49,55,32,55,46,53,52,53,101,45,49,55,10,32,32,
      56,46,56,56,53,55,50,101,45,49,55,32,49,46,48,50,55,56,56,101,45,49,54,32,49,
      46,49,57,52,55,52,101,45,49,54,32,49,46,51,50,52,49,55,101,45,49,54,32,49,46,
      52,53,56,56,56,101,45,49,54,32,49,46,54,57,48,57,53,101,45,49,54,32,49,46,56,
      51,56,53,53,101,45,49,54,10,32,32,50,46,48,55,55,51,101,45,49,54,32,50,46,51,
      51,53,53,51,101,45,49,54,32,50,46,52,57,49,54,51,101,45,49,54,32,50,46,54,52,
      56,49,50,101,45,49,54,32,50,46,56,57,51,53,49,101,45,49,54,32,51,46,49,53,55,
      54,57,101,45,49,54,32,51,46,50,57,57,56,50,101,45,49,54,10,32,32,51,46,53,50,
      48,49,51,101,45,49,54,32,51,46,54,52,55,56,56,101,45,49,54,32,51,46,56,52,50,
      56,57,101,45,49,54,32,51,46,57,56,56,53,57,101,45,49,54,32,52,46,49,55,57,53,
      53,101,45,49,54,32,52,46,50,52,57,57,49,101,45,49,54,32,52,46,51,55,48,51,101,
      45,49,54,10,32,32,52,46,52,55,57,53,52,101,45,49,54,32,52,46,53,53,48,57,49,
      101,45,49,54,32,52,46,54,48,52,49,55,101,45,49,54,32,52,46,54,51,55,54,101,
      45,49,54,32,52,46,54,53,53,49,56,101,45,49,54,32,52,46,54,53,55,50,49,101,45,
      49,54,32,52,46,54,52,52,48,54,101,45,49,54,10,32,32,52,46,54,49,51,56,57,101,
      45,49,54,32,52,46,53,56,49,54,54,101,45,49,54,32,52,46,53,49,49,56,52,101,45,
      49,54,32,52,46,52,53,57,49,101,45,49,54,32,52,46,51,56,51,56,50,101,45,49,54,
      32,52,46,49,55,49,52,53,101,45,49,54,32,51,46,56,49,50,49,56,101,45,49,54,10,
      32,32,51,46,52,49,51,49,101,45,49,54,32,50,46,56,56,54,54,54,101,45,49,54,32,
      50,46,51,54,56,50,51,101,45,49,54,32,49,46,56,48,53,52,57,101,45,49,54,32,49,
      46,51,55,53,57,55,101,45,49,54,32,56,46,55,51,53,56,55,101,45,49,55,32,53,46,
      52,48,49,48,57,101,45,49,55,10,32,32,51,46,55,53,56,48,51,101,45,49,55,32,50,
      46,52,53,50,57,50,101,45,49,55,32,49,46,51,52,53,54,57,101,45,49,55,32,55,46,
      55,53,48,53,50,101,45,49,56,32,52,46,51,54,55,49,57,101,45,49,56,32,50,46,50,
      49,51,54,101,45,49,56,32,49,46,48,57,54,56,54,101,45,49,56,10,32,32,53,46,56,
      51,54,49,101,45,49,57,32,51,46,48,54,50,52,51,101,45,49,57,32,49,46,53,56,53,
      57,101,45,49,57,32,55,46,51,55,55,53,57,101,45,50,48,32,51,46,48,54,57,56,51,
      101,45,50,48,32,49,46,49,51,56,54,57,101,45,50,48,32,52,46,53,57,57,51,54,101,
      45,50,49,10,32,32,49,46,54,53,54,48,54,101,45,50,49,32,54,46,53,51,51,56,53,
      101,45,50,50,32,50,46,53,53,51,55,52,101,45,50,50,32,56,46,57,48,50,55,50,101,
      45,50,51,32,50,46,56,52,55,49,56,101,45,50,51,32,49,46,49,55,50,52,57,101,45,
      50,51,32,52,46,49,55,51,49,54,101,45,50,52,10,32,32,49,46,54,55,52,51,49,101,
      45,50,52,32,54,46,50,55,54,50,101,45,50,53,32,50,46,51,52,49,52,50,101,45,50,
      53,32,56,46,54,57,54,54,52,101,45,50,54,32,51,46,50,49,55,48,55,101,45,50,54,
      32,49,46,49,56,53,54,50,101,45,50,54,32,52,46,51,53,52,51,53,101,45,50,55,10,
      32,32,49,46,53,57,52,48,55,101,45,50,55,32,53,46,56,49,56,51,52,101,45,50,56,
      32,50,46,49,49,55,56,49,101,45,50,56,32,55,46,54,56,56,55,53,101,45,50,57,32,
      50,46,55,56,52,54,55,101,45,50,57,32,49,46,48,48,54,50,55,101,45,50,57,32,51,
      46,52,54,51,50,101,45,51,48,10,32,32,56,46,50,48,49,49,49,101,45,51,49,32,50,
      46,57,52,55,57,51,101,45,51,49,32,49,46,48,53,55,54,49,101,45,51,49,32,51,46,
      55,51,48,51,54,101,45,51,50,32,56,46,56,55,56,55,57,101,45,51,51,32,50,46,56,
      49,50,55,101,45,51,51,32,54,46,53,50,50,56,50,101,45,51,52,10,32,32,48,114,
      56,48,32,49,46,57,56,51,51,51,101,45,51,52,32,51,46,51,49,53,56,55,101,45,51,
      52,32,53,46,52,48,55,54,56,101,45,51,52,32,49,46,48,48,50,55,50,101,45,51,51,
      32,53,46,48,50,57,50,49,101,45,51,49,32,56,46,50,55,54,54,53,101,45,51,49,32,
      49,46,52,56,56,52,54,101,45,51,48,10,32,32,50,46,53,56,52,49,49,101,45,51,48,
      32,52,46,51,52,56,48,52,101,45,51,48,32,55,46,56,50,55,50,101,45,51,48,32,50,
      46,56,52,50,57,101,45,50,54,32,52,46,56,50,52,57,101,45,50,54,32,55,46,56,56,
      56,54,55,101,45,50,54,32,49,46,50,52,56,54,49,101,45,50,53,10,32,32,50,46,48,
      50,51,51,53,101,45,50,53,32,51,46,51,51,52,56,50,101,45,50,53,32,53,46,53,53,
      56,52,55,101,45,50,53,32,57,46,51,50,52,50,55,101,45,50,53,32,49,46,53,54,55,
      56,52,101,45,50,52,32,50,46,56,54,49,101,45,50,52,32,52,46,55,57,52,52,54,101,
      45,50,52,10,32,32,56,46,50,52,49,55,49,101,45,50,52,32,49,46,53,54,55,52,54,
      101,45,50,51,32,51,46,49,52,52,52,53,101,45,50,50,32,52,46,52,57,54,48,52,101,
      45,50,50,32,54,46,55,57,49,54,54,101,45,50,50,32,49,46,48,56,49,56,50,101,45,
      50,49,32,49,46,55,48,57,51,51,101,45,50,49,10,32,32,51,46,48,54,56,53,55,101,
      45,50,49,32,52,46,55,54,50,52,49,101,45,50,49,32,55,46,48,53,50,56,101,45,50,
      49,32,49,46,48,51,54,53,51,101,45,50,48,32,49,46,53,57,52,52,51,101,45,50,48,
      32,50,46,55,52,50,53,56,101,45,50,48,32,52,46,51,53,49,50,56,101,45,50,48,10,
      32,32,54,46,54,54,56,57,49,101,45,50,48,32,57,46,50,50,52,48,50,101,45,50,48,
      32,49,46,50,55,51,56,52,101,45,49,57,32,49,46,57,50,51,55,54,101,45,49,57,32,
      50,46,56,48,55,51,52,101,45,49,57,32,51,46,57,55,53,48,52,101,45,49,57,32,53,
      46,50,55,53,55,55,101,45,49,57,10,32,32,55,46,54,57,50,53,56,101,45,49,57,32,
      49,46,48,57,49,51,57,101,45,49,56,32,49,46,53,49,57,54,52,101,45,49,56,32,50,
      46,48,50,53,51,57,101,45,49,56,32,50,46,54,54,55,53,55,101,45,49,56,32,51,46,
      52,53,50,53,51,101,45,49,56,32,52,46,53,51,51,54,51,101,45,49,56,10,32,32,53,
      46,55,53,53,51,101,45,49,56,32,54,46,56,48,53,55,51,101,45,49,56,32,57,46,49,
      56,54,54,49,101,45,49,56,32,49,46,49,57,55,57,57,101,45,49,55,32,49,46,53,49,
      52,52,54,101,45,49,55,32,49,46,57,50,54,50,101,45,49,55,32,50,46,51,54,51,51,
      101,45,49,55,10,32,32,50,46,57,49,49,54,50,101,45,49,55,32,51,46,53,49,51,56,
      54,101,45,49,55,32,52,46,49,53,57,48,49,101,45,49,55,32,52,46,56,51,51,50,55,
      101,45,49,55,32,53,46,54,52,53,57,53,101,45,49,55,32,54,46,50,55,57,57,51,101,
      45,49,55,32,54,46,57,52,50,57,53,101,45,49,55,10,32,32,56,46,48,57,50,54,52,
      101,45,49,55,32,56,46,56,50,56,55,101,45,49,55,32,49,46,48,48,50,55,51,101,
      45,49,54,32,49,46,49,51,51,52,56,101,45,49,54,32,49,46,50,49,51,48,57,101,45,
      49,54,32,49,46,50,57,51,51,53,101,45,49,54,32,49,46,52,50,48,49,53,101,45,49,
      54,10,32,32,49,46,53,53,56,48,54,101,45,49,54,32,49,46,54,51,50,57,51,101,45,
      49,54,32,49,46,55,53,48,48,50,101,45,49,54,32,49,46,56,49,56,53,54,101,45,49,
      54,32,49,46,57,50,52,51,49,101,45,49,54,32,50,46,48,48,52,51,55,101,45,49,54,
      32,50,46,49,49,49,49,50,101,45,49,54,10,32,32,50,46,49,53,49,49,53,101,45,49,
      54,32,50,46,50,50,48,57,101,45,49,54,32,50,46,50,56,54,51,101,45,49,54,32,50,
      46,51,51,49,101,45,49,54,32,50,46,51,54,54,53,56,101,45,49,54,32,50,46,51,57,
      49,53,51,101,45,49,54,32,50,46,52,48,56,50,49,101,45,49,54,10,32,32,50,46,52,
      49,55,54,53,101,45,49,54,32,50,46,52,49,56,50,49,101,45,49,54,32,50,46,52,49,
      48,53,52,101,45,49,54,32,50,46,51,57,57,53,52,101,45,49,54,32,50,46,51,55,50,
      51,50,101,45,49,54,32,50,46,51,53,48,50,50,101,45,49,54,32,50,46,51,49,55,52,
      101,45,49,54,10,32,32,50,46,50,50,48,50,49,101,45,49,54,32,50,46,48,52,55,55,
      51,101,45,49,54,32,49,46,56,52,57,53,55,101,45,49,54,32,49,46,53,56,49,50,52,
      101,45,49,54,32,49,46,51,49,49,101,45,49,54,32,49,46,48,48,57,55,54,101,45,
      49,54,32,55,46,55,57,48,55,52,101,45,49,55,10,32,32,53,46,48,49,57,49,52,101,
      45,49,55,32,51,46,49,52,52,56,55,101,45,49,55,32,50,46,50,48,55,56,53,101,45,
      49,55,32,49,46,52,53,52,57,51,101,45,49,55,32,56,46,48,55,56,54,101,45,49,56,
      32,52,46,54,57,57,50,49,101,45,49,56,32,50,46,54,55,50,55,50,101,45,49,56,10,
      32,32,49,46,51,54,56,51,55,101,45,49,56,32,54,46,56,52,52,49,51,101,45,49,57,
      32,51,46,54,54,57,55,101,45,49,57,32,49,46,57,51,57,54,53,101,45,49,57,32,49,
      46,48,49,49,52,49,101,45,49,57,32,52,46,55,51,57,56,49,101,45,50,48,32,49,46,
      57,56,55,53,54,101,45,50,48,10,32,32,55,46,52,51,49,52,55,101,45,50,49,32,51,
      46,48,50,49,56,101,45,50,49,32,49,46,48,57,53,53,56,101,45,50,49,32,52,46,51,
      52,55,55,49,101,45,50,50,32,49,46,55,48,56,53,56,101,45,50,50,32,53,46,57,57,
      48,50,52,101,45,50,51,32,49,46,57,50,54,54,52,101,45,50,51,10,32,32,55,46,57,
      54,54,56,51,101,45,50,52,32,50,46,56,52,56,51,53,101,45,50,52,32,49,46,49,52,
      55,48,54,101,45,50,52,32,52,46,51,49,54,49,53,101,45,50,53,32,49,46,54,49,54,
      101,45,50,53,32,54,46,48,50,50,55,53,101,45,50,54,32,50,46,50,51,53,49,56,101,
      45,50,54,10,32,32,56,46,50,54,50,57,56,101,45,50,55,32,51,46,48,52,51,54,52,
      101,45,50,55,32,49,46,49,49,55,51,55,101,45,50,55,32,52,46,48,56,57,51,51,101,
      45,50,56,32,49,46,52,57,50,50,57,101,45,50,56,32,53,46,52,51,49,48,54,101,45,
      50,57,32,49,46,57,55,49,54,52,101,45,50,57,10,32,32,55,46,49,52,48,55,51,101,
      45,51,48,32,50,46,52,54,49,57,54,101,45,51,48,32,53,46,56,53,57,56,57,101,45,
      51,49,32,50,46,49,49,50,48,54,101,45,51,49,32,55,46,53,56,52,57,51,101,45,51,
      50,32,50,46,54,57,53,48,52,101,45,51,50,32,54,46,51,54,52,55,55,101,45,51,51,
      10,32,32,50,46,49,53,54,51,57,101,45,51,51,32,54,46,49,57,53,50,101,45,51,52,
      32,49,46,54,50,55,48,51,101,45,51,52,32,48,114,56,50,32,55,46,56,56,51,53,101,
      45,51,53,32,52,46,52,50,51,51,51,101,45,51,50,32,55,46,52,50,51,54,55,101,45,
      51,50,32,49,46,51,54,54,50,53,101,45,51,49,10,32,32,50,46,52,50,51,56,54,101,
      45,51,49,32,52,46,49,54,50,55,53,101,45,51,49,32,55,46,54,54,57,49,50,101,45,
      51,49,32,51,46,50,57,50,50,101,45,50,55,32,53,46,55,52,50,48,52,101,45,50,55,
      32,57,46,54,51,48,51,52,101,45,50,55,32,49,46,53,54,49,49,51,101,45,50,54,10,
      32,32,50,46,53,57,52,52,54,101,45,50,54,32,52,46,51,57,48,48,49,101,45,50,54,
      32,55,46,53,49,55,57,56,101,45,50,54,32,49,46,50,57,54,52,51,101,45,50,53,32,
      50,46,50,52,49,55,50,101,45,50,53,32,52,46,50,49,52,57,49,101,45,50,53,32,55,
      46,50,54,52,52,50,101,45,50,53,10,32,32,49,46,50,56,54,52,51,101,45,50,52,32,
      50,46,53,51,53,51,51,101,45,50,52,32,54,46,55,51,49,53,49,101,45,50,51,32,57,
      46,56,52,51,48,51,101,45,50,51,32,49,46,53,50,54,53,56,101,45,50,50,32,50,46,
      53,48,54,53,50,101,45,50,50,32,52,46,48,56,50,52,52,101,45,50,50,10,32,32,50,
      46,49,54,53,51,50,101,45,50,49,32,50,46,57,56,48,48,55,101,45,50,49,32,51,46,
      57,57,52,55,54,101,45,50,49,32,53,46,51,55,48,55,52,101,45,50,49,32,55,46,53,
      54,55,50,54,101,45,50,49,32,49,46,51,48,49,54,56,101,45,50,48,32,49,46,57,50,
      50,49,53,101,45,50,48,10,32,32,50,46,55,57,53,51,101,45,50,48,32,51,46,55,52,
      55,51,50,101,45,50,48,32,53,46,48,53,49,52,55,101,45,50,48,32,55,46,52,54,52,
      56,101,45,50,48,32,49,46,48,55,54,51,52,101,45,49,57,32,49,46,53,49,56,51,53,
      101,45,49,57,32,50,46,48,49,50,57,101,45,49,57,10,32,32,50,46,57,52,50,49,49,
      101,45,49,57,32,52,46,49,57,54,54,50,101,45,49,57,32,53,46,56,56,53,54,50,101,
      45,49,57,32,55,46,57,48,51,53,49,101,45,49,57,32,49,46,48,52,57,50,57,101,45,
      49,56,32,49,46,51,54,56,57,50,101,45,49,56,32,49,46,56,49,51,52,101,45,49,56,
      10,32,32,50,46,51,50,48,50,51,101,45,49,56,32,50,46,55,53,57,48,50,101,45,49,
      56,32,51,46,55,54,49,53,50,101,45,49,56,32,52,46,57,52,56,52,51,101,45,49,56,
      32,54,46,51,48,51,57,51,101,45,49,56,32,56,46,48,56,48,57,101,45,49,56,32,57,
      46,57,56,48,57,49,101,45,49,56,10,32,32,49,46,50,51,56,49,50,101,45,49,55,32,
      49,46,53,48,51,53,56,101,45,49,55,32,49,46,55,56,57,56,54,101,45,49,55,32,50,
      46,48,57,48,57,54,101,45,49,55,32,50,46,52,53,54,50,57,101,45,49,55,32,50,46,
      55,52,51,101,45,49,55,32,51,46,48,52,52,52,101,45,49,55,10,32,32,51,46,53,55,
      48,54,52,101,45,49,55,32,51,46,57,48,57,57,50,101,45,49,55,32,52,46,52,54,54,
      50,55,101,45,49,55,32,53,46,48,55,56,54,55,101,45,49,55,32,53,46,52,53,52,52,
      49,101,45,49,55,32,53,46,56,51,53,52,52,101,45,49,55,32,54,46,52,52,50,49,56,
      101,45,49,55,10,32,32,55,46,49,48,57,49,55,101,45,49,55,32,55,46,52,55,52,53,
      53,101,45,49,55,32,56,46,48,53,49,50,52,101,45,49,55,32,56,46,51,57,50,49,51,
      101,45,49,55,32,56,46,57,50,51,53,51,101,45,49,55,32,57,46,51,51,49,49,50,101,
      45,49,55,32,57,46,56,56,51,54,50,101,45,49,55,10,32,32,49,46,48,48,57,52,50,
      101,45,49,54,32,49,46,48,52,54,55,50,101,45,49,54,32,49,46,48,56,50,54,56,101,
      45,49,54,32,49,46,49,48,56,49,56,101,45,49,54,32,49,46,49,50,57,52,53,101,45,
      49,54,32,49,46,49,52,53,52,52,101,45,49,54,32,49,46,49,53,55,52,53,101,45,49,
      54,10,32,32,49,46,49,54,54,52,51,101,45,49,54,32,49,46,49,55,48,54,50,101,45,
      49,54,32,49,46,49,55,49,49,57,101,45,49,54,32,49,46,49,54,56,57,54,101,45,49,
      54,32,49,46,49,54,48,55,101,45,49,54,32,49,46,49,53,50,57,49,101,45,49,54,32,
      49,46,49,52,48,52,57,101,45,49,54,10,32,32,49,46,49,48,48,56,50,101,45,49,54,
      32,49,46,48,50,53,53,53,101,45,49,54,32,57,46,51,53,50,51,57,101,45,49,55,32,
      56,46,48,57,48,48,51,101,45,49,55,32,54,46,55,56,52,56,53,101,45,49,55,32,53,
      46,50,57,51,51,55,101,45,49,55,32,52,46,49,51,48,55,50,101,45,49,55,10,32,32,
      50,46,55,48,53,49,50,101,45,49,55,32,49,46,55,50,101,45,49,55,32,49,46,50,49,
      57,52,55,101,45,49,55,32,56,46,49,50,49,50,54,101,45,49,56,32,52,46,53,54,57,
      56,51,101,45,49,56,32,50,46,54,56,55,53,53,101,45,49,56,32,49,46,53,52,52,53,
      101,45,49,56,10,32,32,55,46,57,57,53,57,57,101,45,49,57,32,52,46,48,52,49,50,
      53,101,45,49,57,32,50,46,49,56,53,53,101,45,49,57,32,49,46,49,54,52,53,53,101,
      45,49,57,32,54,46,49,49,57,51,101,45,50,48,32,50,46,56,57,49,52,51,101,45,50,
      48,32,49,46,50,50,51,48,50,101,45,50,48,10,32,32,52,46,54,49,51,57,101,45,50,
      49,32,49,46,56,57,48,50,50,101,45,50,49,32,54,46,57,48,54,54,50,101,45,50,50,
      32,50,46,55,53,56,55,53,101,45,50,50,32,49,46,48,57,48,56,101,45,50,50,32,51,
      46,56,52,56,55,52,101,45,50,51,32,49,46,50,52,53,55,56,101,45,50,51,10,32,32,
      53,46,49,55,53,51,49,101,45,50,52,32,49,46,56,53,57,55,49,101,45,50,52,32,55,
      46,53,50,48,56,53,101,45,50,53,32,50,46,56,52,50,48,52,101,45,50,53,32,49,46,
      48,54,56,52,101,45,50,53,32,51,46,57,57,55,50,52,101,45,50,54,32,49,46,52,56,
      56,57,49,101,45,50,54,10,32,32,53,46,53,50,51,51,54,101,45,50,55,32,50,46,48,
      52,49,50,55,101,45,50,55,32,55,46,53,49,55,54,101,45,50,56,32,50,46,55,53,57,
      54,101,45,50,56,32,49,46,48,48,57,57,54,101,45,50,56,32,51,46,54,56,53,56,50,
      101,45,50,57,32,49,46,51,52,49,54,49,101,45,50,57,10,32,32,52,46,56,55,49,51,
      49,101,45,51,48,32,49,46,54,56,50,57,101,45,51,48,32,52,46,48,50,57,48,50,101,
      45,51,49,32,49,46,52,53,54,48,55,101,45,51,49,32,53,46,50,52,55,48,53,101,45,
      51,50,32,49,46,56,55,49,56,56,101,45,51,50,32,52,46,52,56,56,49,56,101,45,51,
      51,10,32,32,49,46,53,55,50,55,56,101,45,51,51,32,52,46,50,53,51,57,50,101,45,
      51,52,32,49,46,49,48,55,51,52,101,45,51,52,32,48,114,56,51,32,53,46,48,48,55,
      51,56,101,45,51,51,32,56,46,53,52,54,53,53,101,45,51,51,32,49,46,54,48,57,56,
      56,101,45,51,50,32,50,46,57,49,48,54,101,45,51,50,10,32,32,53,46,48,56,56,56,
      54,101,45,51,50,32,57,46,53,54,55,49,101,45,51,50,32,52,46,55,48,56,48,50,101,
      45,50,56,32,56,46,52,49,50,53,56,101,45,50,56,32,49,46,52,52,51,51,50,101,45,
      50,55,32,50,46,51,57,48,50,56,101,45,50,55,32,52,46,48,54,51,52,52,101,45,50,
      55,10,32,32,55,46,48,52,48,49,101,45,50,55,32,49,46,50,51,53,51,55,101,45,50,
      54,32,50,46,49,56,51,57,54,101,45,50,54,32,51,46,56,55,50,54,54,101,45,50,54,
      32,55,46,52,55,57,57,57,101,45,50,54,32,49,46,51,50,50,49,50,101,45,50,53,32,
      50,46,52,48,52,53,54,101,45,50,53,10,32,32,52,46,56,57,50,54,51,101,45,50,53,
      32,49,46,53,57,53,54,101,45,50,51,32,50,46,51,56,57,55,52,101,45,50,51,32,51,
      46,56,49,48,49,57,101,45,50,51,32,54,46,52,53,52,49,50,101,45,50,51,32,49,46,
      48,56,51,56,53,101,45,50,50,32,56,46,52,50,55,50,56,101,45,50,50,10,32,32,49,
      46,50,48,49,54,55,101,45,50,49,32,49,46,54,53,50,50,56,101,45,50,49,32,50,46,
      50,54,51,50,55,101,45,50,49,32,51,46,50,51,49,51,55,101,45,50,49,32,53,46,54,
      50,56,52,52,101,45,50,49,32,56,46,51,55,53,54,49,101,45,50,49,32,49,46,50,49,
      57,54,51,101,45,50,48,10,32,32,49,46,54,51,50,50,56,101,45,50,48,32,50,46,49,
      57,51,54,49,101,45,50,48,32,51,46,50,50,54,50,57,101,45,50,48,32,52,46,54,51,
      51,52,101,45,50,48,32,54,46,53,50,55,51,101,45,50,48,32,56,46,54,52,53,48,53,
      101,45,50,48,32,49,46,50,54,52,50,49,101,45,49,57,10,32,32,49,46,56,48,55,54,
      52,101,45,49,57,32,50,46,53,52,53,50,50,101,45,49,57,32,51,46,52,51,51,55,54,
      101,45,49,57,32,52,46,53,56,51,51,53,101,45,49,57,32,54,46,48,49,51,55,52,101,
      45,49,57,32,56,46,48,49,57,52,101,45,49,57,32,49,46,48,51,50,52,56,101,45,49,
      56,10,32,32,49,46,50,51,51,50,57,101,45,49,56,32,49,46,54,57,53,52,57,101,45,
      49,56,32,50,46,50,52,55,52,49,101,45,49,56,32,50,46,56,56,50,52,49,101,45,49,
      56,32,51,46,55,50,48,55,53,101,45,49,56,32,52,46,54,50,51,48,56,101,45,49,56,
      32,53,46,55,55,48,49,54,101,45,49,56,10,32,32,55,46,48,52,54,54,52,101,45,49,
      56,32,56,46,52,51,49,50,55,101,45,49,56,32,57,46,56,57,53,55,51,101,45,49,56,
      32,49,46,49,54,56,50,54,101,45,49,55,32,49,46,51,48,57,50,51,101,45,49,55,32,
      49,46,52,53,56,48,54,101,45,49,55,32,49,46,55,49,57,52,56,101,45,49,55,10,32,
      32,49,46,56,56,57,48,50,101,45,49,55,32,50,46,49,54,56,55,101,45,49,55,32,50,
      46,52,55,56,57,50,101,45,49,55,32,50,46,54,55,48,52,57,101,45,49,55,32,50,46,
      56,54,53,55,50,101,45,49,55,32,51,46,49,55,56,54,57,101,45,49,55,32,51,46,53,
      50,53,56,51,101,45,49,55,10,32,32,51,46,55,49,55,52,55,101,45,49,55,32,52,46,
      48,50,50,50,52,101,45,49,55,32,52,46,50,48,51,56,53,101,45,49,55,32,52,46,52,
      56,57,51,55,101,45,49,55,32,52,46,55,49,48,54,55,101,45,49,55,32,53,46,48,49,
      52,54,50,101,45,49,55,32,53,46,49,51,49,57,52,101,45,49,55,10,32,32,53,46,51,
      52,50,50,55,101,45,49,55,32,53,46,53,52,57,50,50,101,45,49,55,32,53,46,54,57,
      57,54,54,101,45,49,55,32,53,46,56,50,57,48,51,101,45,49,55,32,53,46,57,51,48,
      51,54,101,45,49,55,32,54,46,48,49,49,49,101,45,49,55,32,54,46,48,55,56,51,50,
      101,45,49,55,10,32,32,54,46,49,49,56,51,54,101,45,49,55,32,54,46,49,52,49,50,
      56,101,45,49,55,32,54,46,49,52,52,49,54,101,45,49,55,32,54,46,49,50,52,49,53,
      101,45,49,55,32,54,46,48,57,55,50,51,101,45,49,55,32,54,46,48,52,56,57,50,101,
      45,49,55,32,53,46,56,55,55,49,55,101,45,49,55,10,32,32,53,46,53,50,52,50,53,
      101,45,49,55,32,53,46,48,56,48,55,53,101,45,49,55,32,52,46,52,52,48,56,49,101,
      45,49,55,32,51,46,55,54,50,51,50,101,45,49,55,32,50,46,57,55,54,55,56,101,45,
      49,55,32,50,46,51,52,48,53,49,101,45,49,55,32,49,46,53,53,53,50,57,101,45,49,
      55,10,32,32,49,46,48,48,49,56,54,101,45,49,55,32,55,46,49,54,53,54,51,101,45,
      49,56,32,52,46,56,49,55,49,101,45,49,56,32,50,46,55,52,50,57,53,101,45,49,56,
      32,49,46,54,50,57,48,50,101,45,49,56,32,57,46,52,52,56,56,53,101,45,49,57,32,
      52,46,57,52,48,55,50,101,45,49,57,10,32,32,50,46,53,50,48,53,49,101,45,49,57,
      32,49,46,51,55,51,54,49,101,45,49,57,32,55,46,51,55,50,55,53,101,45,50,48,32,
      51,46,57,48,49,48,49,101,45,50,48,32,49,46,56,53,54,57,54,101,45,50,48,32,55,
      46,57,49,54,48,51,101,45,50,49,32,51,46,48,49,48,53,49,101,45,50,49,10,32,32,
      49,46,50,52,49,55,101,45,50,49,32,52,46,53,54,56,56,54,101,45,50,50,32,49,46,
      56,51,53,55,50,101,45,50,50,32,55,46,50,57,56,53,55,101,45,50,51,32,50,46,53,
      57,48,48,54,101,45,50,51,32,56,46,52,51,50,48,57,101,45,50,52,32,51,46,53,49,
      55,54,101,45,50,52,10,32,32,49,46,50,54,57,56,50,101,45,50,52,32,53,46,49,53,
      52,56,53,101,45,50,53,32,49,46,57,53,53,52,57,101,45,50,53,32,55,46,51,55,56,
      50,101,45,50,54,32,50,46,55,55,48,48,52,101,45,50,54,32,49,46,48,51,53,50,49,
      101,45,50,54,32,51,46,56,53,50,52,51,101,45,50,55,10,32,32,49,46,52,50,56,48,
      51,101,45,50,55,32,53,46,50,55,52,50,51,101,45,50,56,32,49,46,57,52,49,52,101,
      45,50,56,32,55,46,49,50,51,54,57,101,45,50,57,32,50,46,54,48,54,51,101,45,50,
      57,32,57,46,53,48,57,52,51,101,45,51,48,32,51,46,52,54,48,56,49,101,45,51,48,
      10,32,32,49,46,49,57,55,56,49,101,45,51,48,32,50,46,56,56,51,52,52,101,45,51,
      49,32,49,46,48,52,52,53,49,101,45,51,49,32,51,46,55,55,50,55,56,101,45,51,50,
      32,49,46,51,53,49,48,51,101,45,51,50,32,51,46,50,50,54,52,55,101,45,51,51,32,
      49,46,49,51,49,54,49,101,45,51,51,10,32,32,51,46,53,52,50,49,52,101,45,51,52,
      32,55,46,56,53,50,50,56,101,45,51,53,32,48,114,56,51,32,52,46,52,57,55,48,50,
      101,45,51,52,32,55,46,56,50,48,56,53,101,45,51,52,32,49,46,53,48,49,49,51,101,
      45,51,51,32,50,46,55,55,48,55,49,101,45,51,51,32,52,46,57,51,57,57,54,101,45,
      51,51,10,32,32,57,46,53,51,48,50,52,101,45,51,51,32,53,46,51,54,53,49,52,101,
      45,50,57,32,57,46,56,53,53,52,101,45,50,57,32,49,46,55,51,52,57,55,101,45,50,
      56,32,50,46,57,52,51,52,101,45,50,56,32,53,46,49,51,50,53,52,101,45,50,56,32,
      57,46,49,51,48,49,54,101,45,50,56,10,32,32,49,46,54,52,54,48,57,101,45,50,55,
      32,50,46,57,57,49,50,53,101,45,50,55,32,53,46,52,53,51,53,50,101,45,50,55,32,
      49,46,48,56,53,48,51,101,45,50,54,32,49,46,57,55,49,54,51,101,45,50,54,32,51,
      46,54,57,50,48,57,101,45,50,54,32,55,46,55,55,57,48,51,101,45,50,54,10,32,32,
      51,46,49,57,56,51,101,45,50,52,32,52,46,57,48,55,48,57,101,45,50,52,32,56,46,
      48,52,53,55,56,101,45,50,52,32,49,46,52,48,54,56,55,101,45,50,51,32,50,46,52,
      51,56,101,45,50,51,32,51,46,49,55,51,52,53,101,45,50,50,32,52,46,53,50,48,53,
      56,101,45,50,50,10,32,32,54,46,50,49,53,54,56,101,45,50,50,32,56,46,53,49,57,
      49,57,101,45,50,50,32,49,46,50,49,55,54,57,101,45,50,49,32,50,46,50,48,55,50,
      54,101,45,50,49,32,51,46,50,57,51,52,56,101,45,50,49,32,52,46,56,48,52,51,51,
      101,45,50,49,32,54,46,52,51,53,48,56,101,45,50,49,10,32,32,56,46,54,53,49,53,
      101,45,50,49,32,49,46,50,55,50,53,52,101,45,50,48,32,49,46,56,50,55,52,55,101,
      45,50,48,32,50,46,53,55,57,57,55,101,45,50,48,32,51,46,52,49,57,101,45,50,48,
      32,53,46,48,48,55,52,49,101,45,50,48,32,55,46,49,55,56,54,49,101,45,50,48,10,
      32,32,49,46,48,49,52,52,55,101,45,49,57,32,49,46,51,55,52,51,51,101,45,49,57,
      32,49,46,56,52,51,51,57,101,45,49,57,32,50,46,52,51,49,53,53,101,45,49,57,32,
      51,46,50,54,51,49,53,101,45,49,57,32,52,46,50,50,55,49,53,101,45,49,57,32,53,
      46,48,55,50,52,57,101,45,49,57,10,32,32,55,46,48,51,52,49,54,101,45,49,57,32,
      57,46,51,57,57,54,51,101,45,49,57,32,49,46,50,49,52,53,101,45,49,56,32,49,46,
      53,55,57,57,57,101,45,49,56,32,49,46,57,55,54,52,53,101,45,49,56,32,50,46,52,
      56,52,50,49,101,45,49,56,32,51,46,48,53,51,51,52,101,45,49,56,10,32,32,51,46,
      54,55,52,56,51,101,45,49,56,32,52,46,51,51,54,50,52,101,45,49,56,32,53,46,49,
      52,56,52,49,101,45,49,56,32,53,46,55,57,50,55,52,101,45,49,56,32,54,46,52,55,
      54,50,57,101,45,49,56,32,55,46,54,56,52,52,51,101,45,49,56,32,56,46,52,55,50,
      57,49,101,45,49,56,10,32,32,57,46,55,56,49,55,54,101,45,49,56,32,49,46,49,50,
      52,53,49,101,45,49,55,32,49,46,50,49,53,52,57,101,45,49,55,32,49,46,51,48,56,
      54,55,101,45,49,55,32,49,46,52,53,57,48,56,101,45,49,55,32,49,46,54,50,55,52,
      51,101,45,49,55,32,49,46,55,50,49,48,57,101,45,49,55,10,32,32,49,46,56,55,49,
      49,55,101,45,49,55,32,49,46,57,54,49,51,50,101,45,49,55,32,50,46,49,48,52,50,
      54,101,45,49,55,32,50,46,50,49,54,49,56,101,45,49,55,32,50,46,51,55,49,56,50,
      101,45,49,55,32,50,46,52,51,50,54,49,101,45,49,55,32,50,46,53,52,50,56,52,101,
      45,49,55,10,32,32,50,46,54,53,51,51,101,45,49,55,32,50,46,55,51,53,51,55,101,
      45,49,55,32,50,46,56,48,55,55,52,101,45,49,55,32,50,46,56,54,54,50,53,101,45,
      49,55,32,50,46,57,49,52,57,101,45,49,55,32,50,46,57,53,56,50,49,101,45,49,55,
      32,50,46,57,56,55,50,49,101,45,49,55,10,32,32,51,46,48,48,56,56,54,101,45,49,
      55,32,51,46,48,49,55,57,52,101,45,49,55,32,51,46,48,50,48,53,101,45,49,55,32,
      51,46,48,49,52,55,51,101,45,49,55,32,51,46,48,48,48,48,55,101,45,49,55,32,50,
      46,57,51,53,54,49,101,45,49,55,32,50,46,55,56,53,56,50,101,45,49,55,10,32,32,
      50,46,53,56,53,54,55,101,45,49,55,32,50,46,50,56,53,52,49,101,45,49,55,32,49,
      46,57,53,55,53,51,101,45,49,55,32,49,46,53,55,51,51,55,101,45,49,55,32,49,46,
      50,52,54,55,52,101,45,49,55,32,56,46,52,49,54,54,57,101,45,49,56,32,53,46,52,
      57,57,53,52,101,45,49,56,10,32,32,51,46,57,55,49,51,55,101,45,49,56,32,50,46,
      54,57,55,52,101,45,49,56,32,49,46,53,53,54,49,51,101,45,49,56,32,57,46,51,52,
      50,48,56,101,45,49,57,32,53,46,52,55,52,52,50,101,45,49,57,32,50,46,56,57,52,
      50,54,101,45,49,57,32,49,46,52,57,49,56,54,101,45,49,57,10,32,32,56,46,49,57,
      57,56,51,101,45,50,48,32,52,46,52,51,54,56,50,101,45,50,48,32,50,46,51,54,53,
      54,55,101,45,50,48,32,49,46,49,51,53,52,50,101,45,50,48,32,52,46,56,56,50,51,
      52,101,45,50,49,32,49,46,56,55,51,53,50,101,45,50,49,32,55,46,55,56,53,55,55,
      101,45,50,50,10,32,32,50,46,56,56,55,50,55,101,45,50,50,32,49,46,49,54,55,55,
      50,101,45,50,50,32,52,46,54,55,49,52,51,101,45,50,51,32,49,46,54,54,56,52,53,
      101,45,50,51,32,53,46,52,54,54,56,49,101,45,50,52,32,50,46,50,57,49,50,55,101,
      45,50,52,32,56,46,51,49,51,55,51,101,45,50,53,10,32,32,51,46,51,56,57,51,57,
      101,45,50,53,32,49,46,50,57,49,51,51,101,45,50,53,32,52,46,56,57,50,51,49,101,
      45,50,54,32,49,46,56,52,51,57,50,101,45,50,54,32,54,46,57,49,54,54,53,101,45,
      50,55,32,50,46,53,56,51,48,52,101,45,50,55,32,57,46,54,48,55,49,50,101,45,50,
      56,10,32,32,51,46,53,53,57,54,55,101,45,50,56,32,49,46,51,49,52,51,49,101,45,
      50,56,32,52,46,56,51,54,56,51,101,45,50,57,32,49,46,55,55,52,53,57,101,45,50,
      57,32,54,46,52,57,50,50,55,101,45,51,48,32,50,46,51,54,56,56,53,101,45,51,48,
      32,56,46,50,49,54,49,53,101,45,51,49,10,32,32,49,46,57,57,48,53,52,101,45,51,
      49,32,55,46,50,50,52,53,54,101,45,51,50,32,50,46,54,49,53,48,49,101,45,51,50,
      32,57,46,52,48,49,55,52,101,45,51,51,32,50,46,50,54,51,53,101,45,51,51,32,56,
      46,48,53,48,49,56,101,45,51,52,32,50,46,54,53,51,55,55,101,45,51,52,10,32,32,
      55,46,52,57,51,51,54,101,45,51,53,32,49,46,57,48,48,55,57,101,45,51,53,32,48,
      114,56,50,32,49,46,56,57,49,51,52,101,45,51,52,32,51,46,51,49,49,54,49,101,
      45,51,52,32,54,46,52,48,55,50,53,101,45,51,52,32,49,46,49,57,49,53,53,101,45,
      51,51,32,50,46,49,51,57,53,56,101,45,51,51,10,32,32,52,46,49,54,48,54,101,45,
      51,51,32,50,46,52,53,57,56,57,101,45,50,57,32,52,46,53,54,50,57,55,101,45,50,
      57,32,56,46,49,48,54,48,56,101,45,50,57,32,49,46,51,56,54,57,52,101,45,50,56,
      32,50,46,52,52,48,50,50,101,45,50,56,32,52,46,51,56,49,51,55,101,45,50,56,10,
      32,32,55,46,57,55,52,57,51,101,45,50,56,32,49,46,52,54,51,51,50,101,45,50,55,
      32,50,46,54,57,52,49,49,101,45,50,55,32,53,46,52,49,54,52,54,101,45,50,55,32,
      57,46,57,51,57,48,56,101,45,50,55,32,49,46,56,56,48,53,50,101,45,50,54,32,52,
      46,48,49,49,51,56,101,45,50,54,10,32,32,49,46,55,56,51,56,101,45,50,52,32,50,
      46,55,53,57,56,50,101,45,50,52,32,52,46,53,54,57,52,57,101,45,50,52,32,56,46,
      48,55,57,57,51,101,45,50,52,32,49,46,52,49,53,56,56,101,45,50,51,32,50,46,52,
      51,54,48,54,101,45,50,50,32,51,46,52,53,57,57,101,45,50,50,10,32,32,52,46,55,
      52,48,51,54,101,45,50,50,32,54,46,52,54,56,56,55,101,45,50,50,32,57,46,49,57,
      50,49,54,101,45,50,50,32,49,46,54,54,50,57,50,101,45,50,49,32,50,46,52,54,55,
      53,53,101,45,50,49,32,51,46,53,55,57,48,51,101,45,50,49,32,52,46,55,55,50,52,
      50,101,45,50,49,10,32,32,54,46,51,56,55,53,51,101,45,50,49,32,57,46,51,52,51,
      56,101,45,50,49,32,49,46,51,51,53,55,101,45,50,48,32,49,46,56,56,101,45,50,
      48,32,50,46,52,56,53,50,57,101,45,50,48,32,51,46,54,51,48,55,56,101,45,50,48,
      32,53,46,49,57,55,55,54,101,45,50,48,32,55,46,51,52,49,53,54,101,45,50,48,10,
      32,32,57,46,57,52,55,54,53,101,45,50,48,32,49,46,51,51,53,50,49,101,45,49,57,
      32,49,46,55,54,51,49,55,101,45,49,57,32,50,46,51,54,57,57,50,101,45,49,57,32,
      51,46,48,55,53,51,50,101,45,49,57,32,51,46,54,57,53,50,57,101,45,49,57,32,53,
      46,49,51,56,49,51,101,45,49,57,10,32,32,54,46,56,56,52,101,45,49,57,32,56,46,
      57,49,54,54,49,101,45,49,57,32,49,46,49,54,51,48,55,101,45,49,56,32,49,46,52,
      53,56,51,50,101,45,49,56,32,49,46,56,51,55,52,54,101,45,49,56,32,50,46,50,54,
      51,53,51,101,45,49,56,32,50,46,55,50,57,57,51,101,45,49,56,10,32,32,51,46,50,
      50,55,52,101,45,49,56,32,51,46,56,51,57,54,49,101,45,49,56,32,52,46,51,50,54,
      50,57,101,45,49,56,32,52,46,56,52,51,52,53,101,45,49,56,32,53,46,55,53,57,53,
      52,101,45,49,56,32,54,46,51,53,56,55,52,101,45,49,56,32,55,46,51,53,53,53,51,
      101,45,49,56,10,32,32,56,46,52,55,51,48,57,101,45,49,56,32,57,46,49,54,57,52,
      53,101,45,49,56,32,57,46,56,56,52,48,52,101,45,49,56,32,49,46,49,48,52,48,49,
      101,45,49,55,32,49,46,50,51,51,56,49,101,45,49,55,32,49,46,51,48,54,50,49,101,
      45,49,55,32,49,46,52,50,50,53,51,101,45,49,55,10,32,32,49,46,52,57,50,53,57,
      101,45,49,55,32,49,46,54,48,52,101,45,49,55,32,49,46,54,57,49,53,51,101,45,
      49,55,32,49,46,56,49,51,55,55,101,45,49,55,32,49,46,56,54,49,55,101,45,49,55,
      32,49,46,57,52,56,57,51,101,45,49,55,32,50,46,48,51,54,56,54,101,45,49,55,10,
      32,32,50,46,49,48,50,54,51,101,45,49,55,32,50,46,49,54,49,48,55,101,45,49,55,
      32,50,46,50,48,56,55,55,101,45,49,55,32,50,46,50,52,56,57,101,45,49,55,32,50,
      46,50,56,53,50,54,101,45,49,55,32,50,46,51,49,48,50,56,101,45,49,55,32,50,46,
      51,50,57,57,49,101,45,49,55,10,32,32,50,46,51,51,57,48,53,101,45,49,55,32,50,
      46,51,52,52,52,53,101,45,49,55,32,50,46,51,52,50,48,53,101,45,49,55,32,50,46,
      51,51,51,50,49,101,45,49,55,32,50,46,50,56,56,56,50,101,45,49,55,32,50,46,49,
      55,57,52,49,101,45,49,55,32,50,46,48,50,57,51,57,101,45,49,55,10,32,32,49,46,
      56,48,48,56,53,101,45,49,55,32,49,46,53,52,56,52,56,101,45,49,55,32,49,46,50,
      53,49,51,56,101,45,49,55,32,57,46,57,52,53,53,56,101,45,49,56,32,54,46,55,53,
      49,51,51,101,45,49,56,32,52,46,52,51,51,55,53,101,45,49,56,32,51,46,50,49,50,
      54,56,101,45,49,56,10,32,32,50,46,49,57,48,49,49,101,45,49,56,32,49,46,50,54,
      57,51,56,101,45,49,56,32,55,46,54,53,48,48,52,101,45,49,57,32,52,46,52,57,57,
      51,50,101,45,49,57,32,50,46,51,56,56,49,52,101,45,49,57,32,49,46,50,51,53,53,
      53,101,45,49,57,32,54,46,56,49,49,57,101,45,50,48,10,32,32,51,46,54,57,54,53,
      51,101,45,50,48,32,49,46,57,55,54,52,101,45,50,48,32,57,46,53,49,51,57,56,101,
      45,50,49,32,52,46,49,48,51,56,54,101,45,50,49,32,49,46,53,55,57,56,57,101,45,
      50,49,32,54,46,53,56,51,51,55,101,45,50,50,32,50,46,52,52,56,50,54,101,45,50,
      50,10,32,32,57,46,57,50,53,50,50,101,45,50,51,32,51,46,57,55,57,52,101,45,50,
      51,32,49,46,52,50,52,53,57,101,45,50,51,32,52,46,54,55,56,54,54,101,45,50,52,
      32,49,46,57,54,52,50,54,101,45,50,52,32,55,46,49,52,48,51,57,101,45,50,53,32,
      50,46,57,49,53,53,50,101,45,50,53,10,32,32,49,46,49,49,50,53,51,101,45,50,53,
      32,52,46,50,50,49,49,54,101,45,50,54,32,49,46,53,57,51,50,49,101,45,50,54,32,
      53,46,57,56,52,50,52,101,45,50,55,32,50,46,50,51,55,55,101,45,50,55,32,56,46,
      51,51,50,56,51,101,45,50,56,32,51,46,48,57,49,49,49,101,45,50,56,10,32,32,49,
      46,49,52,50,53,55,101,45,50,56,32,52,46,50,48,57,50,57,101,45,50,57,32,49,46,
      53,52,53,57,50,101,45,50,57,32,53,46,54,54,49,50,101,45,51,48,32,50,46,48,54,
      55,53,52,101,45,51,48,32,55,46,49,55,54,53,50,101,45,51,49,32,49,46,55,52,50,
      55,56,101,45,51,49,10,32,32,54,46,51,51,48,52,53,101,45,51,50,32,50,46,50,57,
      52,53,54,101,45,51,50,32,56,46,50,53,48,48,53,101,45,51,51,32,50,46,48,48,48,
      55,101,45,51,51,32,55,46,48,54,55,50,49,101,45,51,52,32,50,46,52,55,54,53,51,
      101,45,51,52,32,54,46,53,54,51,50,56,101,45,51,53,10,32,32,49,46,54,53,57,50,
      51,101,45,51,53,32,48,114,56,50,32,55,46,53,51,54,57,54,101,45,51,53,32,49,
      46,51,50,57,49,54,101,45,51,52,32,50,46,53,57,51,52,53,101,45,51,52,32,52,46,
      56,54,49,52,56,101,45,51,52,32,56,46,55,57,53,49,56,101,45,51,52,32,49,46,55,
      49,56,54,57,101,45,51,51,10,32,32,49,46,48,55,51,49,56,101,45,50,57,32,50,46,
      48,49,49,48,49,101,45,50,57,32,51,46,54,48,54,53,50,101,45,50,57,32,54,46,50,
      50,53,54,56,101,45,50,57,32,49,46,49,48,53,54,55,101,45,50,56,32,50,46,48,48,
      52,54,50,101,45,50,56,32,51,46,54,56,53,52,56,101,45,50,56,10,32,32,54,46,56,
      51,49,55,55,101,45,50,56,32,49,46,50,55,48,56,50,101,45,50,55,32,50,46,53,56,
      51,50,55,101,45,50,55,32,52,46,55,56,57,51,55,101,45,50,55,32,57,46,49,54,49,
      48,51,101,45,50,55,32,49,46,57,55,57,56,51,101,45,50,54,32,57,46,53,50,57,55,
      55,101,45,50,53,10,32,32,49,46,52,56,55,56,101,45,50,52,32,50,46,52,56,57,53,
      49,101,45,50,52,32,52,46,52,53,53,53,51,101,45,50,52,32,55,46,57,48,50,49,49,
      101,45,50,52,32,49,46,54,49,51,51,51,101,45,50,50,32,50,46,51,49,55,54,101,
      45,50,50,32,51,46,50,48,53,51,50,101,45,50,50,10,32,32,52,46,52,49,48,56,53,
      101,45,50,50,32,54,46,51,49,57,48,50,101,45,50,50,32,49,46,49,53,53,56,101,
      45,50,49,32,49,46,55,50,55,53,52,101,45,50,49,32,50,46,53,49,56,50,52,101,45,
      50,49,32,51,46,51,54,55,52,53,101,45,50,49,32,52,46,53,49,54,49,55,101,45,50,
      49,10,32,32,54,46,54,49,54,54,51,101,45,50,49,32,57,46,52,54,52,54,49,101,45,
      50,49,32,49,46,51,51,50,57,57,101,45,50,48,32,49,46,55,54,50,48,54,101,45,50,
      48,32,50,46,53,55,51,55,50,101,45,50,48,32,51,46,54,56,52,54,50,101,45,50,48,
      32,53,46,50,48,54,49,49,101,45,50,48,10,32,32,55,46,48,53,56,54,52,101,45,50,
      48,32,57,46,52,56,51,53,49,101,45,50,48,32,49,46,50,53,51,56,52,101,45,49,57,
      32,49,46,54,56,56,49,49,101,45,49,57,32,50,46,49,57,52,52,49,101,45,49,57,32,
      50,46,54,52,48,52,101,45,49,57,32,51,46,54,56,49,52,49,101,45,49,57,10,32,32,
      52,46,57,52,53,54,50,101,45,49,57,32,54,46,52,50,50,50,56,101,45,49,57,32,56,
      46,52,48,48,51,52,101,45,49,57,32,49,46,48,53,53,56,55,101,45,49,56,32,49,46,
      51,51,51,56,51,101,45,49,56,32,49,46,54,52,55,48,57,101,45,49,56,32,49,46,57,
      57,48,56,56,101,45,49,56,10,32,32,50,46,51,53,56,52,52,101,45,49,56,32,50,46,
      56,49,49,56,57,101,45,49,56,32,51,46,49,55,51,49,51,101,45,49,56,32,51,46,53,
      53,55,55,101,45,49,56,32,52,46,50,52,48,53,55,101,45,49,56,32,52,46,54,56,56,
      50,55,101,45,49,56,32,53,46,52,51,52,55,55,101,45,49,56,10,32,32,54,46,50,55,
      52,49,57,101,45,49,56,32,54,46,55,57,56,53,50,101,45,49,56,32,55,46,51,51,55,
      53,57,101,45,49,56,32,56,46,50,49,49,56,57,101,45,49,56,32,57,46,49,57,54,56,
      49,101,45,49,56,32,57,46,55,52,55,55,54,101,45,49,56,32,49,46,48,54,51,53,52,
      101,45,49,55,10,32,32,49,46,49,49,55,49,53,101,45,49,55,32,49,46,50,48,50,54,
      53,101,45,49,55,32,49,46,50,55,48,48,56,101,45,49,55,32,49,46,51,54,52,54,51,
      101,45,49,55,32,49,46,52,48,49,56,53,101,45,49,55,32,49,46,52,54,57,56,54,101,
      45,49,55,32,49,46,53,51,56,56,50,101,45,49,55,10,32,32,49,46,53,57,48,55,53,
      101,45,49,55,32,49,46,54,51,55,50,53,101,45,49,55,32,49,46,54,55,53,53,52,101,
      45,49,55,32,49,46,55,48,56,49,51,101,45,49,55,32,49,46,55,51,56,49,52,101,45,
      49,55,32,49,46,55,53,57,50,57,101,45,49,55,32,49,46,55,55,54,53,56,101,45,49,
      55,10,32,32,49,46,55,56,53,50,55,101,45,49,55,32,49,46,55,57,50,49,55,101,45,
      49,55,32,49,46,55,57,50,48,51,101,45,49,55,32,49,46,55,56,55,51,52,101,45,49,
      55,32,49,46,55,53,56,48,51,101,45,49,55,32,49,46,54,56,48,48,51,101,45,49,55,
      32,49,46,53,54,57,55,56,101,45,49,55,10,32,32,49,46,51,57,56,56,54,101,45,49,
      55,32,49,46,50,48,55,55,55,101,45,49,55,32,57,46,56,49,53,48,55,101,45,49,56,
      32,55,46,56,50,55,50,101,45,49,56,32,53,46,51,52,51,57,50,101,45,49,56,32,51,
      46,53,50,56,50,52,101,45,49,56,32,50,46,53,54,53,55,55,101,45,49,56,10,32,32,
      49,46,55,53,53,57,101,45,49,56,32,49,46,48,50,50,55,50,101,45,49,56,32,54,46,
      49,56,56,54,56,101,45,49,57,32,51,46,54,53,51,57,50,101,45,49,57,32,49,46,57,
      52,55,53,50,101,45,49,57,32,49,46,48,49,49,53,53,101,45,49,57,32,53,46,53,57,
      52,57,56,101,45,50,48,10,32,32,51,46,48,52,53,53,101,45,50,48,32,49,46,54,51,
      51,48,56,101,45,50,48,32,55,46,56,56,54,48,49,101,45,50,49,32,51,46,52,49,50,
      57,101,45,50,49,32,49,46,51,49,56,52,101,45,50,49,32,53,46,53,48,57,53,52,101,
      45,50,50,32,50,46,48,53,53,48,53,101,45,50,50,10,32,32,56,46,51,53,50,49,52,
      101,45,50,51,32,51,46,51,53,54,54,51,101,45,50,51,32,49,46,50,48,52,54,49,101,
      45,50,51,32,51,46,57,54,53,57,56,101,45,50,52,32,49,46,54,54,56,48,52,101,45,
      50,52,32,54,46,48,55,53,53,51,101,45,50,53,32,50,46,52,56,52,55,57,101,45,50,
      53,10,32,32,57,46,52,57,55,52,51,101,45,50,54,32,51,46,54,48,57,50,101,45,50,
      54,32,49,46,51,54,52,50,56,101,45,50,54,32,53,46,49,51,49,54,54,101,45,50,55,
      32,49,46,57,50,49,53,101,45,50,55,32,55,46,49,54,52,54,51,101,45,50,56,32,50,
      46,54,54,49,48,52,101,45,50,56,10,32,32,57,46,56,52,55,54,55,101,45,50,57,32,
      51,46,54,51,50,48,50,101,45,50,57,32,49,46,51,51,53,51,53,101,45,50,57,32,52,
      46,56,57,53,49,51,101,45,51,48,32,49,46,55,56,57,53,51,101,45,51,48,32,54,46,
      50,49,54,52,56,101,45,51,49,32,49,46,53,49,51,50,55,101,45,51,49,10,32,32,53,
      46,53,48,49,52,53,101,45,51,50,32,49,46,57,57,54,57,49,101,45,51,50,32,55,46,
      49,56,48,53,56,101,45,51,51,32,49,46,55,52,49,51,56,101,45,51,51,32,54,46,49,
      53,51,57,53,101,45,51,52,32,50,46,49,53,55,49,56,101,45,51,52,32,53,46,55,48,
      48,56,49,101,45,51,53,10,32,32,49,46,52,51,54,48,51,101,45,51,53,32,48,114,
      56,50,32,49,46,54,53,55,55,101,45,51,53,32,50,46,57,53,55,56,101,45,51,53,32,
      53,46,56,53,49,52,49,101,45,51,53,32,49,46,49,49,49,49,57,101,45,51,52,32,50,
      46,48,51,53,48,57,101,45,51,52,32,52,46,48,51,50,51,54,101,45,51,52,10,32,32,
      50,46,55,51,50,50,51,101,45,51,48,32,53,46,50,48,52,55,54,101,45,51,48,32,57,
      46,52,55,56,54,56,101,45,51,48,32,49,46,54,54,48,48,50,101,45,50,57,32,50,46,
      57,57,51,52,55,101,45,50,57,32,53,46,53,49,52,50,50,101,45,50,57,32,49,46,48,
      51,48,53,101,45,50,56,10,32,32,49,46,57,52,50,51,54,101,45,50,56,32,51,46,54,
      55,52,54,49,101,45,50,56,32,55,46,54,48,53,53,49,101,45,50,56,32,49,46,52,51,
      52,49,101,45,50,55,32,50,46,55,57,50,53,57,101,45,50,55,32,54,46,49,54,53,55,
      49,101,45,50,55,32,51,46,51,53,53,52,49,101,45,50,53,10,32,32,53,46,51,49,57,
      50,49,101,45,50,53,32,57,46,48,54,48,52,49,101,45,50,53,32,49,46,54,53,52,55,
      57,101,45,50,52,32,50,46,57,57,52,53,49,101,45,50,52,32,55,46,51,52,54,54,51,
      101,45,50,51,32,49,46,48,56,48,54,53,101,45,50,50,32,49,46,53,50,54,48,49,101,
      45,50,50,10,32,32,50,46,49,52,50,48,56,101,45,50,50,32,51,46,49,51,52,55,101,
      45,50,50,32,53,46,57,48,53,57,51,101,45,50,50,32,57,46,48,50,53,49,57,101,45,
      50,50,32,49,46,51,51,56,55,52,101,45,50,49,32,49,46,56,49,49,52,53,101,45,50,
      49,32,50,46,52,53,52,56,51,101,45,50,49,10,32,32,51,46,54,51,55,51,54,101,45,
      50,49,32,53,46,50,52,55,54,101,45,50,49,32,55,46,52,52,50,54,101,45,50,49,32,
      57,46,56,55,57,54,54,101,45,50,49,32,49,46,52,52,57,52,56,101,45,50,48,32,50,
      46,48,56,50,51,101,45,50,48,32,50,46,57,53,48,55,52,101,45,50,48,10,32,32,52,
      46,48,49,48,54,52,101,45,50,48,32,53,46,52,48,49,56,53,101,45,50,48,32,55,46,
      49,54,48,48,57,101,45,50,48,32,57,46,54,54,56,56,57,101,45,50,48,32,49,46,50,
      54,48,54,50,101,45,49,57,32,49,46,53,50,48,50,51,101,45,49,57,32,50,46,49,50,
      56,57,52,101,45,49,57,10,32,32,50,46,56,55,50,51,101,45,49,57,32,51,46,55,52,
      53,49,50,101,45,49,57,32,52,46,57,50,48,51,52,101,45,49,57,32,54,46,50,48,57,
      101,45,49,57,32,55,46,56,55,54,53,52,101,45,49,57,32,57,46,55,54,52,53,101,
      45,49,57,32,49,46,49,56,52,53,52,101,45,49,56,10,32,32,49,46,52,48,55,57,49,
      101,45,49,56,32,49,46,54,56,52,53,54,101,45,49,56,32,49,46,57,48,53,55,51,101,
      45,49,56,32,50,46,49,52,49,56,56,101,45,49,56,32,50,46,53,54,50,56,50,101,45,
      49,56,32,50,46,56,51,57,56,53,101,45,49,56,32,51,46,51,48,51,53,51,101,45,49,
      56,10,32,32,51,46,56,50,55,52,50,101,45,49,56,32,52,46,49,53,53,57,54,101,45,
      49,56,32,52,46,52,57,52,55,54,101,45,49,56,32,53,46,48,52,54,52,54,101,45,49,
      56,32,53,46,54,55,49,50,54,101,45,49,56,32,54,46,48,50,50,51,52,101,45,49,56,
      32,54,46,53,57,48,52,50,101,45,49,56,10,32,32,54,46,57,51,53,49,101,45,49,56,
      32,55,46,52,56,55,52,50,101,45,49,56,32,55,46,57,50,53,52,51,101,45,49,56,32,
      56,46,53,52,51,57,49,101,45,49,56,32,56,46,55,56,56,57,101,45,49,56,32,57,46,
      50,51,57,49,50,101,45,49,56,32,57,46,54,57,57,56,51,101,45,49,56,10,32,32,49,
      46,48,48,53,48,52,101,45,49,55,32,49,46,48,51,54,55,56,101,45,49,55,32,49,46,
      48,54,51,50,56,101,45,49,55,32,49,46,48,56,54,49,57,101,45,49,55,32,49,46,49,
      48,55,55,55,101,45,49,55,32,49,46,49,50,51,52,55,101,45,49,55,32,49,46,49,51,
      54,57,55,101,45,49,55,10,32,32,49,46,49,52,52,51,50,101,45,49,55,32,49,46,49,
      53,49,54,55,101,45,49,55,32,49,46,49,53,51,51,54,101,45,49,55,32,49,46,49,53,
      50,53,52,101,45,49,55,32,49,46,49,51,56,54,49,101,45,49,55,32,49,46,48,57,52,
      53,50,101,45,49,55,32,49,46,48,50,56,52,53,101,45,49,55,10,32,32,57,46,50,50,
      55,56,52,101,45,49,56,32,56,46,48,50,48,55,56,101,45,49,56,32,54,46,53,55,53,
      48,51,101,45,49,56,32,53,46,50,55,53,51,57,101,45,49,56,32,51,46,54,51,53,51,
      54,101,45,49,56,32,50,46,52,50,49,50,54,101,45,49,56,32,49,46,55,55,49,49,56,
      101,45,49,56,10,32,32,49,46,50,49,57,56,52,101,45,49,56,32,55,46,49,54,50,53,
      51,101,45,49,57,32,52,46,51,54,51,50,57,101,45,49,57,32,50,46,53,57,50,54,101,
      45,49,57,32,49,46,51,57,49,51,55,101,45,49,57,32,55,46,50,55,51,54,54,101,45,
      50,48,32,52,46,48,52,52,54,55,101,45,50,48,10,32,32,50,46,50,49,50,55,56,101,
      45,50,48,32,49,46,49,57,50,50,56,101,45,50,48,32,53,46,55,56,55,51,52,101,45,
      50,49,32,50,46,53,49,56,51,55,101,45,50,49,32,57,46,55,56,51,54,51,101,45,50,
      50,32,52,46,49,48,56,48,52,101,45,50,50,32,49,46,53,51,57,56,56,101,45,50,50,
      10,32,32,54,46,50,56,52,52,54,101,45,50,51,32,50,46,53,51,53,53,53,101,45,50,
      51,32,57,46,49,51,54,53,56,101,45,50,52,32,51,46,48,50,48,51,57,101,45,50,52,
      32,49,46,50,55,52,49,50,101,45,50,52,32,52,46,54,53,53,56,57,101,45,50,53,32,
      49,46,57,48,57,51,52,101,45,50,53,10,32,32,55,46,51,49,56,48,53,101,45,50,54,
      32,50,46,55,56,56,50,55,101,45,50,54,32,49,46,48,53,54,53,56,101,45,50,54,32,
      51,46,57,56,51,54,57,101,45,50,55,32,49,46,52,57,53,48,49,101,45,50,55,32,53,
      46,53,56,54,51,53,101,45,50,56,32,50,46,48,55,57,48,57,101,45,50,56,10,32,32,
      55,46,55,48,57,49,50,101,45,50,57,32,50,46,56,52,56,54,101,45,50,57,32,49,46,
      48,52,57,50,101,45,50,57,32,51,46,56,53,50,55,53,101,45,51,48,32,49,46,52,49,
      48,55,56,101,45,51,48,32,52,46,57,48,55,51,54,101,45,51,49,32,49,46,49,57,57,
      53,101,45,51,49,10,32,32,52,46,51,54,55,52,51,101,45,51,50,32,49,46,53,56,55,
      50,49,101,45,51,50,32,53,46,55,49,51,56,54,101,45,51,51,32,49,46,51,57,52,48,
      52,101,45,51,51,32,52,46,57,48,49,51,56,101,45,51,52,32,49,46,55,49,57,48,49,
      101,45,51,52,32,52,46,53,50,49,56,50,101,45,51,53,10,32,32,49,46,49,51,50,49,
      56,101,45,51,53,32,48,114,56,51,32,55,46,50,54,55,53,50,101,45,51,54,32,49,
      46,52,53,54,49,54,101,45,51,53,32,50,46,55,57,56,54,51,101,45,51,53,32,53,46,
      49,56,52,48,49,101,45,51,53,32,49,46,48,52,48,52,51,101,45,51,52,32,55,46,53,
      55,55,51,55,101,45,51,49,10,32,32,49,46,52,54,53,55,55,101,45,51,48,32,50,46,
      55,48,56,101,45,51,48,32,52,46,56,48,54,57,57,101,45,51,48,32,56,46,55,57,50,
      56,55,101,45,51,48,32,49,46,54,52,51,57,54,101,45,50,57,32,51,46,49,49,57,53,
      56,101,45,50,57,32,53,46,57,55,50,51,49,101,45,50,57,10,32,32,49,46,49,52,55,
      56,101,45,50,56,32,50,46,52,49,54,48,57,101,45,50,56,32,52,46,54,50,56,49,54,
      101,45,50,56,32,57,46,49,54,51,54,50,101,45,50,56,32,50,46,48,54,51,57,49,101,
      45,50,55,32,49,46,50,53,52,49,51,101,45,50,53,32,50,46,48,49,54,55,56,101,45,
      50,53,10,32,32,51,46,52,57,50,55,56,101,45,50,53,32,54,46,53,48,48,55,54,101,
      45,50,53,32,49,46,49,57,56,53,56,101,45,50,52,32,51,46,53,48,50,54,51,101,45,
      50,51,32,53,46,50,55,49,52,54,101,45,50,51,32,55,46,53,57,49,49,56,101,45,50,
      51,32,49,46,48,56,53,50,56,101,45,50,50,10,32,32,49,46,54,49,57,49,52,101,45,
      50,50,32,51,46,49,51,54,50,101,45,50,50,32,52,46,57,48,48,55,55,101,45,50,50,
      32,55,46,51,56,51,50,57,101,45,50,50,32,49,46,48,48,57,56,101,45,50,49,32,49,
      46,51,56,49,55,56,101,45,50,49,32,50,46,48,54,57,56,50,101,45,50,49,10,32,32,
      51,46,48,49,50,56,101,45,50,49,32,52,46,51,48,52,52,57,101,45,50,49,32,53,46,
      55,52,49,48,49,101,45,50,49,32,56,46,52,54,55,49,50,101,45,50,49,32,49,46,50,
      50,49,52,53,101,45,50,48,32,49,46,55,51,54,56,57,101,45,50,48,32,50,46,51,54,
      55,52,52,101,45,50,48,10,32,32,51,46,49,57,55,49,53,101,45,50,48,32,52,46,50,
      52,56,54,53,101,45,50,48,32,53,46,55,53,51,56,51,101,45,50,48,32,55,46,53,50,
      50,53,52,101,45,50,48,32,57,46,48,57,48,51,50,101,45,50,48,32,49,46,50,55,56,
      48,56,101,45,49,57,32,49,46,55,51,49,48,49,101,45,49,57,10,32,32,50,46,50,54,
      53,51,51,101,45,49,57,32,50,46,57,56,56,50,101,45,49,57,32,51,46,55,56,52,52,
      55,101,45,49,57,32,52,46,56,49,57,51,54,101,45,49,57,32,53,46,57,57,54,49,50,
      101,45,49,57,32,55,46,50,57,56,51,57,101,45,49,57,32,56,46,55,48,49,53,49,101,
      45,49,57,10,32,32,49,46,48,52,52,53,56,101,45,49,56,32,49,46,49,56,52,52,56,
      101,45,49,56,32,49,46,51,51,52,50,55,101,45,49,56,32,49,46,54,48,50,50,51,101,
      45,49,56,32,49,46,55,55,57,49,57,101,45,49,56,32,50,46,48,55,54,52,50,101,45,
      49,56,32,50,46,52,49,51,55,101,45,49,56,10,32,32,50,46,54,50,53,57,56,101,45,
      49,56,32,50,46,56,52,53,52,57,101,45,49,56,32,51,46,50,48,52,50,51,101,45,49,
      56,32,51,46,54,49,50,52,50,101,45,49,56,32,51,46,56,52,50,55,49,101,45,49,56,
      32,52,46,50,49,54,56,101,45,49,56,32,52,46,52,52,52,55,101,45,49,56,10,32,32,
      52,46,56,49,49,52,50,101,45,49,56,32,53,46,49,48,51,54,57,101,45,49,56,32,53,
      46,53,49,56,56,51,101,45,49,56,32,53,46,54,56,52,49,57,101,45,49,56,32,53,46,
      57,56,57,54,101,45,49,56,32,54,46,51,48,52,53,57,101,45,49,56,32,54,46,53,52,
      54,51,57,101,45,49,56,10,32,32,54,46,55,54,55,51,54,101,45,49,56,32,54,46,57,
      53,51,56,49,101,45,49,56,32,55,46,49,49,55,49,51,101,45,49,56,32,55,46,50,55,
      51,54,101,45,49,56,32,55,46,51,57,48,50,50,101,45,49,56,32,55,46,52,57,51,57,
      50,101,45,49,56,32,55,46,53,53,51,52,101,45,49,56,10,32,32,55,46,54,49,57,56,
      101,45,49,56,32,55,46,54,52,49,56,54,101,45,49,56,32,55,46,54,52,57,56,54,101,
      45,49,56,32,55,46,53,56,55,57,56,101,45,49,56,32,55,46,51,51,51,57,53,101,45,
      49,56,32,54,46,57,50,55,49,101,45,49,56,32,54,46,50,53,53,48,50,101,45,49,56,
      10,32,32,53,46,52,55,48,54,57,101,45,49,56,32,52,46,53,49,54,51,101,45,49,56,
      32,51,46,54,52,55,56,56,101,45,49,56,32,50,46,53,51,53,57,55,101,45,49,56,32,
      49,46,55,48,50,56,54,101,45,49,56,32,49,46,50,53,50,53,52,101,45,49,56,32,56,
      46,54,55,55,54,54,101,45,49,57,10,32,32,53,46,49,51,51,55,51,101,45,49,57,32,
      51,46,49,52,54,57,54,101,45,49,57,32,49,46,56,56,49,101,45,49,57,32,49,46,48,
      49,53,57,55,101,45,49,57,32,53,46,51,52,51,51,55,101,45,50,48,32,50,46,57,56,
      54,49,53,101,45,50,48,32,49,46,54,52,49,52,50,101,45,50,48,10,32,32,56,46,56,
      56,52,49,56,101,45,50,49,32,52,46,51,51,51,51,50,101,45,50,49,32,49,46,56,57,
      53,51,50,101,45,50,49,32,55,46,52,48,50,51,50,101,45,50,50,32,51,46,49,50,50,
      48,51,101,45,50,50,32,49,46,49,55,53,55,49,101,45,50,50,32,52,46,56,49,54,57,
      53,101,45,50,51,10,32,32,49,46,57,53,48,53,57,101,45,50,51,32,55,46,48,53,53,
      55,51,101,45,50,52,32,50,46,51,52,49,52,55,101,45,50,52,32,57,46,57,48,52,56,
      56,101,45,50,53,32,51,46,54,51,48,53,101,45,50,53,32,49,46,52,57,50,54,52,101,
      45,50,53,32,53,46,55,51,53,55,50,101,45,50,54,10,32,32,50,46,49,57,48,55,53,
      101,45,50,54,32,56,46,51,50,48,57,55,101,45,50,55,32,51,46,49,52,52,50,54,101,
      45,50,55,32,49,46,49,56,50,52,56,101,45,50,55,32,52,46,52,50,55,52,51,101,45,
      50,56,32,49,46,54,53,48,57,52,101,45,50,56,32,54,46,49,51,50,56,51,101,45,50,
      57,10,32,32,50,46,50,55,48,49,51,101,45,50,57,32,56,46,51,55,53,51,57,101,45,
      51,48,32,51,46,48,56,48,52,56,101,45,51,48,32,49,46,49,50,57,55,52,101,45,51,
      48,32,51,46,57,51,52,55,53,101,45,51,49,32,57,46,54,53,52,48,52,101,45,51,50,
      32,51,46,53,50,48,53,53,101,45,51,50,10,32,32,49,46,50,56,48,55,51,101,45,51,
      50,32,52,46,54,50,49,49,52,101,45,51,51,32,49,46,49,50,54,53,101,45,51,51,32,
      52,46,48,49,51,48,53,101,45,51,52,32,49,46,51,57,48,52,49,101,45,51,52,32,51,
      46,54,52,49,52,57,101,45,51,53,32,57,46,48,54,53,56,54,101,45,51,54,10,32,32,
      48,114,56,52,32,54,46,50,53,57,55,56,101,45,51,54,32,49,46,50,49,49,56,52,101,
      45,51,53,32,50,46,50,54,48,50,49,101,45,51,53,32,52,46,53,55,49,54,53,101,45,
      51,53,32,51,46,52,55,55,52,52,101,45,51,49,32,54,46,55,57,48,48,50,101,45,51,
      49,32,49,46,50,54,53,52,55,101,45,51,48,10,32,32,50,46,50,54,52,56,53,101,45,
      51,48,32,52,46,49,55,56,57,50,101,45,51,48,32,55,46,56,56,51,57,54,101,45,51,
      48,32,49,46,53,49,101,45,50,57,32,50,46,57,49,56,50,56,101,45,50,57,32,53,46,
      54,54,50,51,54,101,45,50,57,32,49,46,50,48,52,49,49,101,45,50,56,10,32,32,50,
      46,51,50,56,54,53,101,45,50,56,32,52,46,54,53,55,51,50,101,45,50,56,32,49,46,
      48,54,49,54,55,101,45,50,55,32,54,46,56,56,54,55,56,101,45,50,54,32,49,46,49,
      49,54,57,57,101,45,50,53,32,49,46,57,53,51,56,49,101,45,50,53,32,51,46,54,55,
      55,55,56,101,45,50,53,10,32,32,54,46,56,53,55,52,50,101,45,50,53,32,50,46,50,
      55,54,56,54,101,45,50,51,32,51,46,52,54,50,55,54,101,45,50,51,32,53,46,48,51,
      50,51,54,101,45,50,51,32,55,46,50,53,55,52,56,101,45,50,51,32,49,46,48,57,50,
      57,52,101,45,50,50,32,50,46,49,52,54,52,57,101,45,50,50,10,32,32,51,46,52,48,
      49,56,57,101,45,50,50,32,53,46,49,54,53,56,55,101,45,50,50,32,55,46,49,48,52,
      56,53,101,45,50,50,32,57,46,55,55,50,51,101,45,50,50,32,49,46,52,55,50,53,56,
      101,45,50,49,32,50,46,49,53,52,55,101,45,50,49,32,51,46,48,57,49,52,57,101,
      45,50,49,10,32,32,52,46,49,51,52,56,54,101,45,50,49,32,54,46,49,49,56,101,45,
      50,49,32,56,46,56,52,56,57,54,101,45,50,49,32,49,46,50,54,49,49,101,45,50,48,
      32,49,46,55,50,50,101,45,50,48,32,50,46,51,50,57,51,56,101,45,50,48,32,51,46,
      49,48,48,51,53,101,45,50,48,32,52,46,50,48,54,48,50,101,45,50,48,10,32,32,53,
      46,53,48,56,48,49,101,45,50,48,32,54,46,54,54,51,57,55,101,45,50,48,32,57,46,
      51,57,49,49,55,101,45,50,48,32,49,46,50,55,52,55,57,101,45,49,57,32,49,46,54,
      55,49,56,55,101,45,49,57,32,50,46,50,49,48,53,53,101,45,49,57,32,50,46,56,48,
      53,53,51,101,45,49,57,10,32,32,51,46,53,56,48,56,52,101,45,49,57,32,52,46,52,
      54,52,54,57,101,45,49,57,32,53,46,52,52,53,49,54,101,45,49,57,32,54,46,53,48,
      51,56,57,101,45,49,57,32,55,46,56,50,50,57,56,101,45,49,57,32,56,46,56,56,51,
      48,51,101,45,49,57,32,49,46,48,48,49,57,56,101,45,49,56,10,32,32,49,46,50,48,
      53,55,54,101,45,49,56,32,49,46,51,52,48,54,51,101,45,49,56,32,49,46,53,54,55,
      54,49,101,45,49,56,32,49,46,56,50,53,56,52,101,45,49,56,32,49,46,57,56,56,55,
      101,45,49,56,32,50,46,49,53,55,51,56,101,45,49,56,32,50,46,52,51,51,54,52,101,
      45,49,56,10,32,32,50,46,55,52,56,56,55,101,45,49,56,32,50,46,57,50,55,49,50,
      101,45,49,56,32,51,46,50,49,55,51,52,101,45,49,56,32,51,46,51,57,52,53,54,101,
      45,49,56,32,51,46,54,56,48,52,49,101,45,49,56,32,51,46,57,48,56,56,57,101,45,
      49,56,32,52,46,50,51,52,53,53,101,45,49,56,10,32,32,52,46,51,54,52,54,55,101,
      45,49,56,32,52,46,54,48,53,55,49,101,45,49,56,32,52,46,56,53,53,52,101,45,49,
      56,32,53,46,48,52,56,48,49,101,45,49,56,32,53,46,50,50,52,57,52,101,45,49,56,
      32,53,46,51,55,53,49,51,101,45,49,56,32,53,46,53,48,55,53,57,101,45,49,56,10,
      32,32,53,46,54,51,53,54,54,101,45,49,56,32,53,46,55,51,50,50,54,101,45,49,56,
      32,53,46,56,49,57,54,49,101,45,49,56,32,53,46,56,55,48,56,57,101,45,49,56,32,
      53,46,57,51,48,56,49,101,45,49,56,32,53,46,57,53,51,48,54,101,45,49,56,32,53,
      46,57,54,53,53,55,101,45,49,56,10,32,32,53,46,57,51,49,54,50,101,45,49,56,32,
      53,46,55,53,49,55,55,101,45,49,56,32,53,46,52,52,57,54,51,101,45,49,56,32,52,
      46,57,51,57,54,53,101,45,49,56,32,52,46,51,51,54,51,51,101,45,49,56,32,51,46,
      53,57,51,48,54,101,45,49,56,32,50,46,57,49,53,50,52,101,45,49,56,10,32,32,50,
      46,48,51,55,52,51,101,45,49,56,32,49,46,51,55,52,56,51,101,45,49,56,32,49,46,
      48,49,52,54,50,101,45,49,56,32,55,46,48,53,52,52,56,101,45,49,57,32,52,46,49,
      57,50,52,56,101,45,49,57,32,50,46,53,55,57,55,49,101,45,49,57,32,49,46,53,52,
      55,53,101,45,49,57,10,32,32,56,46,51,57,48,57,56,101,45,50,48,32,52,46,52,50,
      57,51,52,101,45,50,48,32,50,46,52,56,50,56,55,101,45,50,48,32,49,46,51,54,56,
      55,49,101,45,50,48,32,55,46,52,50,56,53,50,101,45,50,49,32,51,46,54,51,52,48,
      51,101,45,50,49,32,49,46,53,57,52,52,52,101,45,50,49,10,32,32,54,46,50,52,55,
      51,54,101,45,50,50,32,50,46,54,52,50,48,56,101,45,50,50,32,57,46,57,55,55,56,
      52,101,45,50,51,32,52,46,48,57,55,55,49,101,45,50,51,32,49,46,54,54,51,48,55,
      101,45,50,51,32,54,46,48,50,57,55,53,101,45,50,52,32,50,46,48,48,53,54,57,101,
      45,50,52,10,32,32,56,46,52,57,56,57,55,101,45,50,53,32,51,46,49,50,49,48,49,
      101,45,50,53,32,49,46,50,56,53,49,54,101,45,50,53,32,52,46,57,52,54,50,53,101,
      45,50,54,32,49,46,56,57,50,48,53,101,45,50,54,32,55,46,49,57,54,54,55,101,45,
      50,55,32,50,46,55,50,51,49,101,45,50,55,10,32,32,49,46,48,50,53,52,50,101,45,
      50,55,32,51,46,56,52,52,48,57,101,45,50,56,32,49,46,52,51,53,49,49,101,45,50,
      56,32,53,46,51,51,55,48,54,101,45,50,57,32,49,46,57,55,55,54,57,101,45,50,57,
      32,55,46,51,48,51,57,55,101,45,51,48,32,50,46,54,56,57,48,55,101,45,51,48,10,
      32,32,57,46,56,55,49,50,51,101,45,51,49,32,51,46,52,52,48,55,50,101,45,51,49,
      32,56,46,52,54,50,51,49,101,45,51,50,32,51,46,48,56,56,57,49,101,45,51,50,32,
      49,46,49,50,52,52,52,101,45,51,50,32,52,46,48,53,57,57,51,101,45,51,51,32,57,
      46,57,51,56,50,55,101,45,51,52,10,32,32,51,46,53,50,56,53,49,101,45,51,52,32,
      49,46,50,50,50,54,52,101,45,51,52,32,51,46,49,57,51,54,50,101,45,51,53,32,55,
      46,57,50,51,48,51,101,45,51,54,32,48,114,56,53,32,52,46,56,48,57,49,50,101,
      45,51,54,32,57,46,48,51,55,52,49,101,45,51,54,32,49,46,56,52,51,54,53,101,45,
      51,53,10,32,32,49,46,52,54,56,51,52,101,45,51,49,32,50,46,56,57,54,57,55,101,
      45,51,49,32,53,46,52,53,49,54,51,101,45,51,49,32,57,46,56,52,53,56,56,101,45,
      51,49,32,49,46,56,51,52,49,54,101,45,51,48,32,51,46,52,57,52,57,51,101,45,51,
      48,32,54,46,55,54,50,53,51,101,45,51,48,10,32,32,49,46,51,50,48,54,49,101,45,
      50,57,32,50,46,53,56,57,52,51,101,45,50,57,32,53,46,53,54,56,54,101,45,50,57,
      32,49,46,48,56,56,50,54,101,45,50,56,32,50,46,50,48,48,55,53,101,45,50,56,32,
      53,46,48,56,51,53,52,101,45,50,56,32,51,46,53,52,49,48,49,101,45,50,54,10,32,
      32,53,46,55,57,54,57,54,101,45,50,54,32,49,46,48,50,53,48,49,101,45,50,53,32,
      49,46,57,53,51,51,55,101,45,50,53,32,51,46,54,56,55,48,50,101,45,50,53,32,49,
      46,52,49,49,51,101,45,50,51,32,50,46,49,55,48,48,54,101,45,50,51,32,51,46,49,
      56,52,49,52,101,45,50,51,10,32,32,52,46,54,51,52,52,57,101,45,50,51,32,55,46,
      48,52,57,51,52,101,45,50,51,32,49,46,52,48,51,56,54,101,45,50,50,32,50,46,50,
      54,55,49,49,101,45,50,50,32,51,46,52,55,50,53,57,101,45,50,50,32,52,46,56,48,
      53,55,52,101,45,50,50,32,54,46,54,52,56,53,52,101,45,50,50,10,32,32,49,46,48,
      48,56,55,50,101,45,50,49,32,49,46,52,56,53,52,50,101,45,50,49,32,50,46,49,52,
      49,55,49,101,45,50,49,32,50,46,56,55,52,50,56,101,45,50,49,32,52,46,50,54,57,
      53,57,101,45,50,49,32,54,46,49,57,53,52,49,101,45,50,49,32,56,46,56,53,51,50,
      57,101,45,50,49,10,32,32,49,46,50,49,49,53,101,45,50,48,32,49,46,54,52,50,48,
      55,101,45,50,48,32,50,46,49,56,57,53,51,101,45,50,48,32,50,46,57,55,54,50,101,
      45,50,48,32,51,46,57,48,52,54,53,101,45,50,48,32,52,46,55,51,48,51,55,101,45,
      50,48,32,54,46,54,56,51,49,49,101,45,50,48,10,32,32,57,46,48,57,52,48,50,101,
      45,50,48,32,49,46,49,57,53,52,52,101,45,49,57,32,49,46,53,56,52,54,53,101,45,
      49,57,32,50,46,48,49,53,56,50,101,45,49,57,32,50,46,53,55,57,50,57,101,45,49,
      57,32,51,46,50,50,51,53,101,45,49,57,32,51,46,57,52,48,48,51,101,45,49,57,10,
      32,32,52,46,55,49,53,54,54,101,45,49,57,32,53,46,54,56,52,52,54,101,45,49,57,
      32,54,46,52,54,52,55,52,101,45,49,57,32,55,46,51,48,51,48,51,101,45,49,57,32,
      56,46,56,48,57,51,56,101,45,49,57,32,57,46,56,48,56,54,50,101,45,49,57,32,49,
      46,49,52,57,52,49,101,45,49,56,10,32,32,49,46,51,52,49,55,50,101,45,49,56,32,
      49,46,52,54,51,50,57,101,45,49,56,32,49,46,53,56,57,52,51,101,45,49,56,32,49,
      46,55,57,54,53,101,45,49,56,32,50,46,48,51,51,53,49,101,45,49,56,32,50,46,49,
      54,55,56,57,101,45,49,56,32,50,46,51,56,55,50,49,101,45,49,56,10,32,32,50,46,
      53,50,49,52,56,101,45,49,56,32,50,46,55,51,56,54,53,101,45,49,56,32,50,46,57,
      49,50,55,56,101,45,49,56,32,51,46,49,54,49,56,56,101,45,49,56,32,51,46,50,54,
      49,55,52,101,45,49,56,32,51,46,52,52,55,51,101,45,49,56,32,51,46,54,52,48,52,
      52,101,45,49,56,10,32,32,51,46,55,57,48,50,101,45,49,56,32,51,46,57,50,56,53,
      50,101,45,49,56,32,52,46,48,52,54,54,54,101,45,49,56,32,52,46,49,53,49,54,101,
      45,49,56,32,52,46,50,53,51,57,57,101,45,49,56,32,52,46,51,51,50,49,53,101,45,
      49,56,32,52,46,52,48,51,57,55,101,45,49,56,10,32,32,52,46,52,52,55,48,54,101,
      45,49,56,32,52,46,52,57,57,52,52,101,45,49,56,32,52,46,53,50,48,54,101,45,49,
      56,32,52,46,53,51,53,51,57,101,45,49,56,32,52,46,53,50,49,54,54,101,45,49,56,
      32,52,46,52,48,48,51,56,101,45,49,56,32,52,46,49,56,51,53,57,101,45,49,56,10,
      32,32,51,46,56,48,56,48,52,101,45,49,56,32,51,46,51,53,54,54,54,101,45,49,56,
      32,50,46,55,57,50,54,51,101,45,49,56,32,50,46,50,55,54,56,56,101,45,49,56,32,
      49,46,54,48,48,54,54,101,45,49,56,32,49,46,48,56,53,57,51,101,45,49,56,32,56,
      46,48,52,51,51,53,101,45,49,57,10,32,32,53,46,54,49,52,51,56,101,45,49,57,32,
      51,46,51,53,51,51,50,101,45,49,57,32,50,46,48,55,49,57,52,101,45,49,57,32,49,
      46,50,52,55,56,50,101,45,49,57,32,54,46,55,57,53,48,50,101,45,50,48,32,51,46,
      54,48,49,51,54,101,45,50,48,32,50,46,48,50,53,52,57,101,45,50,48,10,32,32,49,
      46,49,50,48,49,49,101,45,50,48,32,54,46,48,57,55,54,53,101,45,50,49,32,50,46,
      57,57,50,54,56,101,45,50,49,32,49,46,51,49,55,53,54,101,45,50,49,32,53,46,49,
      56,48,57,101,45,50,50,32,50,46,49,57,55,54,52,101,45,50,50,32,56,46,51,50,53,
      50,57,101,45,50,51,10,32,32,51,46,52,50,56,48,52,101,45,50,51,32,49,46,51,57,
      52,55,50,101,45,50,51,32,53,46,48,54,57,56,56,101,45,50,52,32,49,46,54,57,48,
      55,56,101,45,50,52,32,55,46,49,55,56,48,52,101,45,50,53,32,50,46,54,52,49,51,
      56,101,45,50,53,32,49,46,48,56,57,53,51,101,45,50,53,10,32,32,52,46,50,48,48,
      54,50,101,45,50,54,32,49,46,54,48,57,52,57,101,45,50,54,32,54,46,49,51,49,53,
      54,101,45,50,55,32,50,46,51,50,51,53,54,101,45,50,55,32,56,46,55,54,50,49,51,
      101,45,50,56,32,51,46,50,56,57,50,51,101,45,50,56,32,49,46,50,50,57,53,54,101,
      45,50,56,10,32,32,52,46,53,55,56,51,50,101,45,50,57,32,49,46,54,57,56,53,52,
      101,45,50,57,32,54,46,50,56,48,49,55,101,45,51,48,32,50,46,51,49,52,54,54,101,
      45,51,48,32,56,46,53,48,53,55,50,101,45,51,49,32,50,46,57,54,55,51,49,101,45,
      51,49,32,55,46,51,49,54,55,56,101,45,51,50,10,32,32,50,46,54,55,51,50,101,45,
      51,50,32,57,46,55,51,57,52,53,101,45,51,51,32,51,46,53,49,57,49,54,101,45,51,
      51,32,56,46,54,49,56,49,51,101,45,51,52,32,51,46,48,54,49,49,55,101,45,51,52,
      32,49,46,48,57,48,55,57,101,45,51,52,32,51,46,48,54,50,56,101,45,51,53,10,32,
      32,54,46,56,50,55,49,53,101,45,51,54,32,48,114,56,54,32,51,46,52,56,50,55,49,
      101,45,51,54,32,55,46,49,54,56,49,57,101,45,51,54,32,53,46,57,56,53,56,101,
      45,51,50,32,49,46,49,57,51,55,50,101,45,51,49,32,50,46,50,54,56,57,57,101,45,
      51,49,32,52,46,49,51,54,53,101,45,51,49,10,32,32,55,46,55,56,50,51,50,101,45,
      51,49,32,49,46,52,57,56,50,49,101,45,51,48,32,50,46,57,50,57,55,50,101,45,51,
      48,32,53,46,55,56,50,57,57,101,45,51,48,32,49,46,49,52,54,50,55,101,45,50,57,
      32,50,46,52,57,51,55,53,101,45,50,57,32,52,46,57,50,54,53,49,101,45,50,57,10,
      32,32,49,46,48,48,55,55,49,101,45,50,56,32,50,46,51,53,57,55,52,101,45,50,56,
      32,49,46,55,54,55,57,51,101,45,50,54,32,50,46,57,50,50,48,55,101,45,50,54,32,
      53,46,50,50,52,54,52,101,45,50,54,32,49,46,48,48,56,52,49,101,45,50,53,32,49,
      46,57,50,55,54,51,101,45,50,53,10,32,32,56,46,52,52,56,54,101,45,50,52,32,49,
      46,51,49,52,53,54,101,45,50,51,32,49,46,57,52,57,50,55,101,45,50,51,32,50,46,
      56,54,54,50,54,101,45,50,51,32,52,46,52,48,56,57,55,101,45,50,51,32,56,46,57,
      49,51,52,54,101,45,50,51,32,49,46,52,56,49,53,50,101,45,50,50,10,32,32,50,46,
      50,57,48,50,50,101,45,50,50,32,51,46,49,57,48,53,54,101,45,50,50,32,52,46,52,
      52,49,55,57,101,45,50,50,32,54,46,55,56,57,54,56,101,45,50,50,32,49,46,48,48,
      55,54,101,45,50,49,32,49,46,52,54,48,53,53,101,45,50,49,32,49,46,57,54,55,54,
      51,101,45,50,49,10,32,32,50,46,57,51,53,57,55,101,45,50,49,32,52,46,50,55,54,
      48,56,101,45,50,49,32,54,46,49,50,57,54,49,101,45,50,49,32,56,46,52,48,56,53,
      55,101,45,50,49,32,49,46,49,52,50,50,50,101,45,50,48,32,49,46,53,50,54,48,56,
      101,45,50,48,32,50,46,48,55,56,55,53,101,45,50,48,10,32,32,50,46,55,51,50,53,
      50,101,45,50,48,32,51,46,51,49,52,56,57,101,45,50,48,32,52,46,54,57,53,51,57,
      101,45,50,48,32,54,46,52,48,52,57,53,101,45,50,48,32,56,46,52,51,57,49,54,101,
      45,50,48,32,49,46,49,50,49,53,53,101,45,49,57,32,49,46,52,51,48,48,51,101,45,
      49,57,10,32,32,49,46,56,51,52,51,54,101,45,49,57,32,50,46,50,57,55,57,56,101,
      45,49,57,32,50,46,56,49,53,48,54,101,45,49,57,32,51,46,51,55,54,50,51,101,45,
      49,57,32,52,46,48,55,56,57,54,101,45,49,57,32,52,46,54,52,54,50,51,101,45,49,
      57,32,53,46,50,53,54,56,50,101,45,49,57,10,32,32,54,46,51,53,54,55,49,101,45,
      49,57,32,55,46,48,56,56,48,55,101,45,49,57,32,56,46,51,50,52,54,52,101,45,49,
      57,32,57,46,55,51,57,54,52,101,45,49,57,32,49,46,48,54,51,54,51,101,45,49,56,
      32,49,46,49,53,54,56,52,101,45,49,56,32,49,46,51,49,48,50,50,101,45,49,56,10,
      32,32,49,46,52,56,54,51,52,101,45,49,56,32,49,46,53,56,54,52,54,101,45,49,56,
      32,49,46,55,53,48,50,56,101,45,49,56,32,49,46,56,53,48,56,52,101,45,49,56,32,
      50,46,48,49,51,57,49,101,45,49,56,32,50,46,49,52,53,48,57,101,45,49,56,32,50,
      46,51,51,51,52,53,101,45,49,56,10,32,32,50,46,52,48,57,50,50,101,45,49,56,32,
      50,46,53,53,48,52,54,101,45,49,56,32,50,46,54,57,56,49,55,101,45,49,56,32,50,
      46,56,49,51,50,56,101,45,49,56,32,50,46,57,50,48,49,55,101,45,49,56,32,51,46,
      48,49,50,48,49,101,45,49,56,32,51,46,48,57,52,49,52,101,45,49,56,10,32,32,51,
      46,49,55,52,57,57,101,45,49,56,32,51,46,50,51,55,51,57,101,45,49,56,32,51,46,
      50,57,53,53,55,101,45,49,56,32,51,46,51,51,49,49,52,101,45,49,56,32,51,46,51,
      55,53,56,51,101,45,49,56,32,51,46,51,57,53,48,51,101,45,49,56,32,51,46,52,49,
      48,50,54,101,45,49,56,10,32,32,51,46,52,48,57,51,57,101,45,49,56,32,51,46,51,
      51,48,51,54,101,45,49,56,32,51,46,49,55,55,53,57,101,45,49,56,32,50,46,57,48,
      52,57,55,101,45,49,56,32,50,46,53,55,49,53,51,101,45,49,56,32,50,46,49,52,56,
      52,54,101,45,49,56,32,49,46,55,54,48,53,52,101,45,49,56,10,32,32,49,46,50,52,
      53,51,101,45,49,56,32,56,46,52,57,53,55,56,101,45,49,57,32,54,46,51,49,54,53,
      50,101,45,49,57,32,52,46,52,50,55,48,49,101,45,49,57,32,50,46,54,53,55,56,57,
      101,45,49,57,32,49,46,54,52,57,51,52,101,45,49,57,32,57,46,57,55,52,48,50,101,
      45,50,48,10,32,32,53,46,52,53,53,53,54,101,45,50,48,32,50,46,57,48,51,53,57,
      101,45,50,48,32,49,46,54,51,56,55,51,101,45,50,48,32,57,46,48,57,50,50,54,101,
      45,50,49,32,52,46,57,54,53,50,101,45,50,49,32,50,46,52,52,53,49,52,101,45,50,
      49,32,49,46,48,56,48,51,54,101,45,50,49,10,32,32,52,46,50,54,51,57,57,101,45,
      50,50,32,49,46,56,49,52,51,54,101,45,50,50,32,54,46,56,57,53,54,57,101,45,50,
      51,32,50,46,56,52,55,49,56,101,45,50,51,32,49,46,49,54,49,51,57,101,45,50,51,
      32,52,46,50,51,51,49,49,101,45,50,52,32,49,46,52,49,53,53,51,101,45,50,52,10,
      32,32,54,46,48,50,49,51,51,101,45,50,53,32,50,46,50,50,48,53,101,45,50,53,32,
      57,46,49,55,53,54,51,101,45,50,54,32,51,46,53,52,52,48,56,101,45,50,54,32,49,
      46,51,54,48,50,56,101,45,50,54,32,53,46,49,57,48,54,55,101,45,50,55,32,49,46,
      57,55,48,48,56,101,45,50,55,10,32,32,55,46,52,52,48,50,51,101,45,50,56,32,50,
      46,55,57,54,57,55,101,45,50,56,32,49,46,48,52,54,57,55,101,45,50,56,32,51,46,
      57,48,51,52,57,101,45,50,57,32,49,46,52,52,57,57,56,101,45,50,57,32,53,46,51,
      54,55,53,50,101,45,51,48,32,49,46,57,56,48,53,52,101,45,51,48,10,32,32,55,46,
      50,56,53,56,56,101,45,51,49,32,50,46,53,52,52,48,57,101,45,51,49,32,54,46,50,
      57,48,52,53,101,45,51,50,32,50,46,51,48,48,52,49,101,45,51,50,32,56,46,51,56,
      56,55,55,101,45,51,51,32,51,46,48,51,56,49,56,101,45,51,51,32,55,46,52,51,50,
      49,54,101,45,51,52,10,32,32,50,46,54,54,51,51,101,45,51,52,32,57,46,52,49,54,
      55,51,101,45,51,53,32,50,46,56,53,57,53,56,101,45,51,53,32,53,46,56,52,56,53,
      51,101,45,51,54,32,48,114,56,55,32,50,46,49,50,49,54,57,101,45,51,54,32,49,
      46,56,56,50,101,45,51,50,32,51,46,56,48,53,49,53,101,45,51,50,10,32,32,55,46,
      51,50,53,57,57,101,45,51,50,32,49,46,51,53,49,55,101,45,51,49,32,50,46,53,55,
      53,52,54,101,45,51,49,32,53,46,48,50,51,55,57,101,45,51,49,32,57,46,57,53,55,
      53,55,101,45,51,49,32,49,46,57,57,50,55,52,101,45,51,48,32,52,46,48,48,53,49,
      53,101,45,51,48,10,32,32,56,46,56,52,51,54,101,45,51,48,32,49,46,55,55,49,53,
      101,45,50,57,32,51,46,54,55,55,48,55,101,45,50,57,32,56,46,55,54,50,55,101,
      45,50,57,32,55,46,49,56,53,52,54,101,45,50,55,32,49,46,50,48,50,51,49,101,45,
      50,54,32,50,46,49,56,48,55,52,101,45,50,54,10,32,32,52,46,50,55,56,53,50,101,
      45,50,54,32,56,46,51,49,50,57,53,101,45,50,54,32,52,46,50,54,50,48,53,101,45,
      50,52,32,54,46,55,51,54,48,55,101,45,50,52,32,49,46,48,49,51,48,49,101,45,50,
      51,32,49,46,53,49,48,51,54,101,45,50,51,32,50,46,51,53,57,52,57,101,45,50,51,
      10,32,32,52,46,56,54,56,50,49,101,45,50,51,32,56,46,55,57,52,57,49,101,45,50,
      51,32,49,46,51,54,54,53,54,101,45,50,50,32,49,46,57,49,49,55,50,101,45,50,50,
      32,50,46,54,55,50,57,51,101,45,50,50,32,52,46,49,48,57,49,101,45,50,50,32,54,
      46,49,53,54,48,53,101,45,50,50,10,32,32,56,46,57,54,51,48,50,101,45,50,50,32,
      49,46,50,49,49,56,49,101,45,50,49,32,49,46,56,49,54,52,49,101,45,50,49,32,50,
      46,54,53,54,50,57,101,45,50,49,32,51,46,56,50,49,55,101,45,50,49,32,53,46,50,
      53,56,54,50,101,45,50,49,32,55,46,49,54,51,53,55,101,45,50,49,10,32,32,57,46,
      53,57,53,57,51,101,45,50,49,32,49,46,51,49,48,55,49,101,45,50,48,32,49,46,55,
      50,55,51,52,101,45,50,48,32,50,46,48,57,57,50,50,101,45,50,48,32,50,46,57,56,
      51,52,101,45,50,48,32,52,46,48,56,50,53,101,45,50,48,32,53,46,51,57,53,49,53,
      101,45,50,48,10,32,32,55,46,49,57,51,52,55,101,45,50,48,32,57,46,49,57,57,49,
      101,45,50,48,32,49,46,49,56,51,55,56,101,45,49,57,32,49,46,52,56,55,52,55,101,
      45,49,57,32,49,46,56,50,55,51,56,101,45,49,57,32,50,46,49,57,55,52,56,101,45,
      49,57,32,50,46,54,54,50,52,55,101,45,49,57,10,32,32,51,46,48,51,56,57,49,101,
      45,49,57,32,51,46,52,52,53,48,57,101,45,49,57,32,52,46,49,55,57,48,52,101,45,
      49,57,32,52,46,54,54,56,53,55,101,45,49,57,32,53,46,52,57,56,55,54,101,45,49,
      57,32,54,46,52,53,50,51,49,101,45,49,57,32,55,46,48,53,56,52,53,101,45,49,57,
      10,32,32,55,46,54,56,57,57,56,101,45,49,57,32,56,46,55,51,50,52,101,45,49,57,
      32,57,46,57,51,52,49,54,101,45,49,57,32,49,46,48,54,49,57,54,101,45,49,56,32,
      49,46,49,55,52,52,56,101,45,49,56,32,49,46,50,52,51,55,55,101,45,49,56,32,49,
      46,51,53,54,53,51,101,45,49,56,10,32,32,49,46,52,52,55,53,56,101,45,49,56,32,
      49,46,53,55,56,57,54,101,45,49,56,32,49,46,54,51,50,48,51,101,45,49,56,32,49,
      46,55,51,49,51,50,101,45,49,56,32,49,46,56,51,53,55,55,101,45,49,56,32,49,46,
      57,49,55,54,57,101,45,49,56,32,49,46,57,57,52,50,53,101,45,49,56,10,32,32,50,
      46,48,54,48,53,101,45,49,56,32,50,46,49,50,48,50,51,101,45,49,56,32,50,46,49,
      55,57,54,49,101,45,49,56,32,50,46,50,50,54,48,50,101,45,49,56,32,50,46,50,55,
      48,48,49,101,45,49,56,32,50,46,50,57,55,52,52,101,45,49,56,32,50,46,51,51,51,
      48,54,101,45,49,56,10,32,32,50,46,51,52,57,50,55,101,45,49,56,32,50,46,51,54,
      51,52,53,101,45,49,56,32,50,46,51,55,49,50,51,101,45,49,56,32,50,46,51,50,55,
      51,52,101,45,49,56,32,50,46,50,51,48,54,55,101,45,49,56,32,50,46,48,53,48,54,
      101,45,49,56,32,49,46,56,50,53,48,52,101,45,49,56,10,32,32,49,46,53,51,51,54,
      56,101,45,49,56,32,49,46,50,54,52,49,49,101,45,49,56,32,57,46,48,49,49,57,52,
      101,45,49,57,32,54,46,49,57,50,48,57,101,45,49,57,32,52,46,54,50,53,57,57,101,
      45,49,57,32,51,46,50,53,57,48,55,101,45,49,57,32,49,46,57,54,57,54,56,101,45,
      49,57,10,32,32,49,46,50,50,57,48,52,101,45,49,57,32,55,46,52,55,49,53,54,101,
      45,50,48,32,52,46,49,49,48,49,52,101,45,50,48,32,50,46,49,57,57,51,52,101,45,
      50,48,32,49,46,50,52,54,56,50,101,45,50,48,32,54,46,57,52,55,49,57,101,45,50,
      49,32,51,46,56,48,57,49,57,101,45,50,49,10,32,32,49,46,56,56,52,48,54,101,45,
      50,49,32,56,46,51,54,51,48,53,101,45,50,50,32,51,46,51,49,54,54,101,45,50,50,
      32,49,46,52,49,54,57,52,101,45,50,50,32,53,46,52,48,55,57,52,101,45,50,51,32,
      50,46,50,52,48,56,49,101,45,50,51,32,57,46,49,55,48,57,51,101,45,50,52,10,32,
      32,51,46,51,53,52,51,101,45,50,52,32,49,46,49,50,53,53,56,101,45,50,52,32,52,
      46,56,48,48,49,50,101,45,50,53,32,49,46,55,55,53,48,56,101,45,50,53,32,55,46,
      51,53,50,48,55,101,45,50,54,32,50,46,56,52,54,52,49,101,45,50,54,32,49,46,48,
      57,52,57,53,101,45,50,54,10,32,32,52,46,49,56,55,49,49,101,45,50,55,32,49,46,
      53,57,50,52,50,101,45,50,55,32,54,46,48,50,53,53,55,101,45,50,56,32,50,46,50,
      54,57,51,53,101,45,50,56,32,56,46,53,48,57,54,49,101,45,50,57,32,51,46,49,55,
      56,48,51,101,45,50,57,32,49,46,49,56,50,52,101,45,50,57,10,32,32,52,46,51,56,
      51,55,52,101,45,51,48,32,49,46,54,49,57,57,50,101,45,51,48,32,53,46,57,54,55,
      55,50,101,45,51,49,32,50,46,48,56,54,50,57,101,45,51,49,32,53,46,49,55,54,57,
      49,101,45,51,50,32,49,46,56,57,53,54,57,101,45,51,50,32,54,46,57,50,48,50,57,
      101,45,51,51,10,32,32,50,46,53,48,56,57,56,101,45,51,51,32,54,46,49,52,49,52,
      51,101,45,51,52,32,50,46,50,49,55,55,51,101,45,51,52,32,55,46,55,57,49,56,55,
      101,45,51,53,32,50,46,51,54,51,54,49,101,45,51,53,32,52,46,55,57,49,101,45,
      51,54,32,49,46,55,48,55,53,101,45,51,54,10,32,32,48,114,56,55,32,57,46,54,53,
      55,51,57,101,45,51,51,32,49,46,57,54,55,57,54,101,45,51,50,32,51,46,56,49,54,
      55,101,45,51,50,32,55,46,48,57,48,53,51,101,45,51,50,32,49,46,51,54,48,56,101,
      45,51,49,32,50,46,54,55,52,52,56,101,45,51,49,32,53,46,51,52,50,49,55,101,45,
      51,49,10,32,32,49,46,48,55,55,53,52,101,45,51,48,32,50,46,49,56,51,48,50,101,
      45,51,48,32,52,46,56,54,49,53,57,101,45,51,48,32,57,46,56,49,54,50,51,101,45,
      51,48,32,50,46,48,53,52,55,52,101,45,50,57,32,52,46,57,52,54,48,57,101,45,50,
      57,32,52,46,50,54,49,57,50,101,45,50,55,10,32,32,55,46,49,56,50,49,51,101,45,
      50,55,32,49,46,51,49,51,53,51,101,45,50,54,32,50,46,54,48,49,53,55,101,45,50,
      54,32,53,46,49,48,50,52,57,101,45,50,54,32,50,46,56,51,57,52,56,101,45,50,52,
      32,52,46,53,51,50,51,56,101,45,50,52,32,54,46,56,55,54,55,101,45,50,52,10,32,
      32,49,46,48,51,52,50,101,45,50,51,32,49,46,54,51,49,50,49,101,45,50,51,32,51,
      46,52,48,55,57,51,101,45,50,51,32,54,46,56,49,50,53,53,101,45,50,51,32,49,46,
      48,52,56,51,51,101,45,50,50,32,49,46,52,53,56,55,55,101,45,50,50,32,50,46,48,
      51,50,101,45,50,50,10,32,32,51,46,49,49,52,56,101,45,50,50,32,52,46,54,55,56,
      53,50,101,45,50,50,32,54,46,56,48,55,55,56,101,45,50,50,32,57,46,50,48,54,51,
      50,101,45,50,50,32,49,46,51,56,49,49,55,101,45,50,49,32,50,46,48,50,50,52,52,
      101,45,50,49,32,50,46,57,49,52,48,57,101,45,50,49,10,32,32,52,46,48,49,53,52,
      52,101,45,50,49,32,53,46,52,55,55,57,101,45,50,49,32,55,46,51,52,56,49,56,101,
      45,50,49,32,49,46,48,48,53,50,52,101,45,50,48,32,49,46,51,50,54,55,101,45,50,
      48,32,49,46,54,49,51,57,56,101,45,50,48,32,50,46,50,57,56,49,57,101,45,50,48,
      10,32,32,51,46,49,53,48,53,57,101,45,50,48,32,52,46,49,55,48,55,57,101,45,50,
      48,32,53,46,53,55,49,53,52,101,45,50,48,32,55,46,49,51,55,49,54,101,45,50,48,
      32,57,46,50,48,49,52,51,101,45,50,48,32,49,46,49,53,56,50,52,101,45,49,57,32,
      49,46,52,50,53,50,56,101,45,49,57,10,32,32,49,46,55,49,54,54,101,45,49,57,32,
      50,46,48,56,51,51,101,45,49,57,32,50,46,51,56,48,54,56,101,45,49,57,32,50,46,
      55,48,50,101,45,49,57,32,51,46,50,56,51,54,55,101,45,49,57,32,51,46,54,55,50,
      51,50,101,45,49,57,32,52,46,51,51,50,53,54,101,45,49,57,10,32,32,53,46,48,57,
      50,53,51,101,45,49,57,32,53,46,53,55,54,52,54,101,45,49,57,32,54,46,48,56,49,
      51,51,101,45,49,57,32,54,46,57,49,54,48,57,101,45,49,57,32,55,46,56,56,48,54,
      50,101,45,49,57,32,56,46,52,51,49,55,52,101,45,49,57,32,57,46,51,51,56,49,49,
      101,45,49,57,10,32,32,57,46,56,57,55,50,54,101,45,49,57,32,49,46,48,56,48,56,
      57,101,45,49,56,32,49,46,49,53,52,54,55,101,45,49,56,32,49,46,50,54,49,51,56,
      101,45,49,56,32,49,46,51,48,52,53,57,101,45,49,56,32,49,46,51,56,53,54,101,
      45,49,56,32,49,46,52,55,49,48,56,101,45,49,56,10,32,32,49,46,53,51,56,51,53,
      101,45,49,56,32,49,46,54,48,49,52,50,101,45,49,56,32,49,46,54,53,54,50,50,101,
      45,49,56,32,49,46,55,48,53,56,50,101,45,49,56,32,49,46,55,53,53,52,101,45,49,
      56,32,49,46,55,57,52,51,57,101,45,49,56,32,49,46,56,51,49,54,54,101,45,49,56,
      10,32,32,49,46,56,53,53,49,50,101,45,49,56,32,49,46,56,56,54,48,55,101,45,49,
      56,32,49,46,57,48,48,53,49,101,45,49,56,32,49,46,57,49,51,54,52,101,45,49,56,
      32,49,46,57,50,51,55,55,101,45,49,56,32,49,46,56,57,51,50,52,101,45,49,56,32,
      49,46,56,49,57,50,55,101,45,49,56,10,32,32,49,46,54,55,55,54,57,101,45,49,56,
      32,49,46,52,57,55,55,53,101,45,49,56,32,49,46,50,54,51,53,52,101,45,49,56,32,
      49,46,48,52,52,52,101,45,49,56,32,55,46,52,55,57,52,57,101,45,49,57,32,53,46,
      49,54,48,50,56,101,45,49,57,32,51,46,56,54,53,56,55,101,45,49,57,10,32,32,50,
      46,55,51,49,55,53,101,45,49,57,32,49,46,54,53,55,51,50,101,45,49,57,32,49,46,
      48,51,55,52,51,101,45,49,57,32,54,46,51,50,53,56,57,101,45,50,48,32,51,46,52,
      57,49,51,56,101,45,50,48,32,49,46,56,55,52,48,54,101,45,50,48,32,49,46,48,54,
      53,49,53,101,45,50,48,10,32,32,53,46,57,52,57,52,54,101,45,50,49,32,51,46,50,
      54,57,55,52,101,45,50,49,32,49,46,54,50,49,51,49,101,45,50,49,32,55,46,50,49,
      53,57,101,45,50,50,32,50,46,56,54,57,53,55,101,45,50,50,32,49,46,50,50,56,56,
      49,101,45,50,50,32,52,46,55,48,49,50,56,101,45,50,51,10,32,32,49,46,57,53,49,
      57,55,101,45,50,51,32,56,46,48,48,52,49,55,101,45,50,52,32,50,46,57,51,51,52,
      52,101,45,50,52,32,57,46,56,54,51,52,51,101,45,50,53,32,52,46,50,49,50,52,57,
      101,45,50,53,32,49,46,53,54,48,50,56,101,45,50,53,32,54,46,52,55,49,48,54,101,
      45,50,54,10,32,32,50,46,53,48,56,55,51,101,45,50,54,32,57,46,54,54,50,57,57,
      101,45,50,55,32,51,46,54,57,57,55,101,45,50,55,32,49,46,52,48,56,54,57,101,
      45,50,55,32,53,46,51,51,54,51,101,45,50,56,32,50,46,48,49,49,56,56,101,45,50,
      56,32,55,46,53,53,49,56,49,101,45,50,57,10,32,32,50,46,56,50,51,48,54,101,45,
      50,57,32,49,46,48,53,49,51,49,101,45,50,57,32,51,46,57,48,49,49,55,101,45,51,
      48,32,49,46,52,52,50,56,51,101,45,51,48,32,53,46,51,49,57,54,52,101,45,51,49,
      32,49,46,56,54,49,48,49,101,45,51,49,32,52,46,54,50,54,57,53,101,45,51,50,10,
      32,32,49,46,54,57,53,54,52,101,45,51,50,32,54,46,49,57,52,57,55,101,45,51,51,
      32,50,46,50,52,54,57,51,101,45,51,51,32,53,46,53,48,50,48,54,101,45,51,52,32,
      49,46,57,56,55,57,56,101,45,51,52,32,54,46,57,56,54,48,56,101,45,51,53,32,50,
      46,49,49,55,56,56,101,45,51,53,10,32,32,52,46,50,55,48,54,56,101,45,51,54,32,
      49,46,53,50,51,48,49,101,45,51,54,32,48,114,56,55,32,51,46,50,57,48,52,51,101,
      45,51,51,32,54,46,55,57,49,51,55,101,45,51,51,32,49,46,51,51,50,54,55,101,45,
      51,50,32,50,46,53,48,51,49,54,101,45,51,50,32,52,46,56,54,48,49,53,101,45,51,
      50,10,32,32,57,46,54,54,56,49,101,45,51,50,32,49,46,57,53,53,51,101,45,51,49,
      32,51,46,57,57,52,49,55,101,45,51,49,32,56,46,49,57,54,48,54,101,45,51,49,32,
      49,46,56,53,48,50,54,101,45,51,48,32,51,46,55,56,52,101,45,51,48,32,56,46,48,
      50,56,52,50,101,45,51,48,10,32,32,49,46,57,54,52,48,52,101,45,50,57,32,49,46,
      56,51,49,52,56,101,45,50,55,32,51,46,49,50,49,57,55,101,45,50,55,32,53,46,55,
      56,54,52,52,101,45,50,55,32,49,46,49,54,51,54,53,101,45,50,54,32,50,46,51,49,
      55,49,101,45,50,54,32,49,46,52,54,49,53,53,101,45,50,52,10,32,32,50,46,51,55,
      49,53,53,101,45,50,52,32,51,46,54,53,49,50,49,101,45,50,52,32,53,46,53,54,57,
      57,52,101,45,50,52,32,56,46,57,50,53,49,52,101,45,50,52,32,49,46,57,48,50,55,
      55,101,45,50,51,32,52,46,52,53,54,51,51,101,45,50,51,32,54,46,55,56,50,52,57,
      101,45,50,51,10,32,32,57,46,51,56,49,48,56,101,45,50,51,32,49,46,51,48,49,50,
      54,101,45,50,50,32,49,46,57,56,56,54,49,101,45,50,50,32,50,46,57,57,57,50,53,
      101,45,50,50,32,52,46,51,54,52,50,57,101,45,50,50,32,53,46,57,48,55,54,101,
      45,50,50,32,56,46,56,56,48,50,56,101,45,50,50,10,32,32,49,46,51,48,51,53,101,
      45,50,49,32,49,46,56,56,51,49,49,101,45,50,49,32,50,46,54,48,49,49,52,101,45,
      50,49,32,51,46,53,53,55,49,51,101,45,50,49,32,52,46,55,56,50,55,50,101,45,50,
      49,32,54,46,53,53,57,50,57,101,45,50,49,32,56,46,54,55,55,53,49,101,45,50,49,
      10,32,32,49,46,48,53,55,51,55,101,45,50,48,32,49,46,53,49,48,50,49,101,45,50,
      48,32,50,46,48,55,54,50,54,101,45,50,48,32,50,46,55,53,53,57,49,101,45,50,48,
      32,51,46,54,57,50,50,101,45,50,48,32,52,46,55,52,50,49,53,101,45,50,48,32,54,
      46,49,51,49,48,55,101,45,50,48,10,32,32,55,46,55,51,56,52,51,101,45,50,48,32,
      57,46,53,52,54,56,101,45,50,48,32,49,46,49,53,50,53,52,101,45,49,57,32,49,46,
      52,48,50,51,53,101,45,49,57,32,49,46,54,48,53,52,54,101,45,49,57,32,49,46,56,
      50,53,52,49,101,45,49,57,32,50,46,50,50,52,55,50,101,45,49,57,10,32,32,50,46,
      52,57,50,50,55,101,45,49,57,32,50,46,57,52,56,48,52,101,45,49,57,32,51,46,52,
      55,52,52,51,101,45,49,57,32,51,46,56,49,48,53,53,101,45,49,57,32,52,46,49,54,
      49,57,53,101,45,49,57,32,52,46,55,52,52,53,57,101,45,49,57,32,53,46,52,50,48,
      50,49,101,45,49,57,10,32,32,53,46,56,48,55,52,49,101,45,49,57,32,54,46,52,52,
      54,48,50,101,45,49,57,32,54,46,56,52,49,49,52,101,45,49,57,32,55,46,52,56,55,
      50,52,101,45,49,57,32,56,46,48,49,49,57,56,101,45,49,57,32,56,46,55,55,52,49,
      51,101,45,49,57,32,57,46,48,56,51,56,52,101,45,49,57,10,32,32,57,46,54,54,54,
      52,57,101,45,49,57,32,49,46,48,50,56,52,51,101,45,49,56,32,49,46,48,55,55,51,
      49,101,45,49,56,32,49,46,49,50,51,51,57,101,45,49,56,32,49,46,49,54,51,54,53,
      101,45,49,56,32,49,46,50,48,48,51,52,101,45,49,56,32,49,46,50,51,55,51,101,
      45,49,56,10,32,32,49,46,50,54,54,54,54,101,45,49,56,32,49,46,50,57,53,48,53,
      101,45,49,56,32,49,46,51,49,51,49,56,101,45,49,56,32,49,46,51,51,55,54,50,101,
      45,49,56,32,49,46,51,52,57,52,49,101,45,49,56,32,49,46,51,54,48,54,55,101,45,
      49,56,32,49,46,51,55,50,51,51,101,45,49,56,10,32,32,49,46,51,53,54,52,56,101,
      45,49,56,32,49,46,51,48,56,57,52,101,45,49,56,32,49,46,50,49,51,50,50,101,45,
      49,56,32,49,46,48,56,56,52,55,101,45,49,56,32,57,46,50,52,50,54,49,101,45,49,
      57,32,55,46,54,55,49,57,56,101,45,49,57,32,53,46,53,51,52,51,57,101,45,49,57,
      10,32,32,51,46,56,52,51,53,49,101,45,49,57,32,50,46,56,57,50,50,54,101,45,49,
      57,32,50,46,48,53,51,54,50,101,45,49,57,32,49,46,50,53,51,53,56,101,45,49,57,
      32,55,46,56,56,55,51,52,101,45,50,48,32,52,46,56,51,50,57,54,101,45,50,48,32,
      50,46,54,56,49,53,55,101,45,50,48,10,32,32,49,46,52,52,54,54,49,101,45,50,48,
      32,56,46,50,53,54,51,50,101,45,50,49,32,52,46,54,50,57,57,49,101,45,50,49,32,
      50,46,53,53,52,49,53,101,45,50,49,32,49,46,50,55,49,54,54,101,45,50,49,32,53,
      46,54,56,52,49,54,101,45,50,50,32,50,46,50,55,48,53,56,101,45,50,50,10,32,32,
      57,46,55,53,57,56,54,101,45,50,51,32,51,46,55,52,56,54,57,101,45,50,51,32,49,
      46,53,54,49,54,51,101,45,50,51,32,54,46,52,50,51,53,53,101,45,50,52,32,50,46,
      51,54,49,56,52,101,45,50,52,32,55,46,57,54,55,52,56,101,45,50,53,32,51,46,52,
      49,48,56,56,101,45,50,53,10,32,32,49,46,50,54,54,54,55,101,45,50,53,32,53,46,
      50,54,52,55,57,101,45,50,54,32,50,46,48,52,53,54,101,45,50,54,32,55,46,56,57,
      53,54,55,101,45,50,55,32,51,46,48,50,57,48,56,101,45,50,55,32,49,46,49,53,53,
      53,52,101,45,50,55,32,52,46,51,56,53,50,55,101,45,50,56,10,32,32,49,46,54,53,
      54,49,57,101,45,50,56,32,54,46,50,50,54,57,54,101,45,50,57,32,50,46,51,51,49,
      52,55,101,45,50,57,32,56,46,54,57,53,53,51,101,45,51,48,32,51,46,50,51,49,51,
      56,101,45,51,48,32,49,46,49,57,54,55,54,101,45,51,48,32,52,46,52,49,56,50,56,
      101,45,51,49,10,32,32,49,46,53,52,55,52,50,101,45,51,49,32,51,46,56,54,48,51,
      57,101,45,51,50,32,49,46,52,49,54,51,53,101,45,51,50,32,53,46,49,56,50,57,56,
      101,45,51,51,32,49,46,56,56,48,55,51,101,45,51,51,32,52,46,54,49,56,57,55,101,
      45,51,52,32,49,46,54,54,54,55,52,101,45,51,52,10,32,32,53,46,57,52,53,51,53,
      101,45,51,53,32,49,46,55,55,52,52,56,101,45,51,53,32,51,46,53,52,56,49,53,101,
      45,51,54,32,49,46,50,54,54,54,50,101,45,51,54,32,48,114,56,55,32,56,46,57,53,
      52,52,57,101,45,51,52,32,49,46,56,55,53,55,53,101,45,51,51,32,51,46,55,51,51,
      55,49,101,45,51,51,10,32,32,55,46,49,48,54,49,55,101,45,51,51,32,49,46,51,57,
      57,48,57,101,45,51,50,32,50,46,56,50,51,55,57,101,45,51,50,32,53,46,55,57,54,
      54,51,101,45,51,50,32,49,46,50,48,50,50,101,45,51,49,32,50,46,53,48,53,48,53,
      101,45,51,49,32,53,46,55,52,57,48,50,101,45,51,49,10,32,32,49,46,49,57,51,57,
      49,101,45,51,48,32,50,46,53,55,52,52,51,101,45,51,48,32,54,46,52,50,49,49,101,
      45,51,48,32,54,46,53,56,50,54,57,101,45,50,56,32,49,46,49,51,55,54,51,101,45,
      50,55,32,50,46,49,52,50,53,55,101,45,50,55,32,52,46,51,56,56,48,50,101,45,50,
      55,10,32,32,56,46,56,57,55,52,50,101,45,50,55,32,54,46,52,57,56,53,56,101,45,
      50,53,32,49,46,48,55,53,51,55,101,45,50,52,32,49,46,54,56,52,55,51,101,45,50,
      52,32,50,46,54,49,52,49,49,101,45,50,52,32,52,46,50,54,56,52,52,101,45,50,52,
      32,57,46,51,50,49,54,54,101,45,50,52,10,32,32,50,46,50,54,52,51,52,101,45,50,
      51,32,51,46,53,53,56,48,49,101,45,50,51,32,53,46,48,50,50,54,55,101,45,50,51,
      32,55,46,48,56,57,50,56,101,45,50,51,32,49,46,49,48,51,55,101,45,50,50,32,49,
      46,54,57,52,55,51,101,45,50,50,32,50,46,52,57,51,49,50,101,45,50,50,10,32,32,
      51,46,52,48,49,49,51,101,45,50,50,32,53,46,49,53,55,56,57,101,45,50,50,32,55,
      46,54,50,52,55,50,101,45,50,50,32,49,46,49,48,55,57,56,101,45,50,49,32,49,46,
      53,51,55,52,54,101,45,50,49,32,50,46,49,49,49,48,51,101,45,50,49,32,50,46,56,
      52,56,52,52,101,45,50,49,10,32,32,51,46,57,50,48,53,49,101,45,50,49,32,53,46,
      50,48,51,50,53,101,45,50,49,32,54,46,51,53,51,55,54,101,45,50,49,32,57,46,49,
      48,57,54,57,101,45,50,49,32,49,46,50,53,54,56,49,101,45,50,48,32,49,46,54,55,
      51,54,49,101,45,50,48,32,50,46,50,53,48,48,50,101,45,50,48,10,32,32,50,46,56,
      57,56,57,52,101,45,50,48,32,51,46,55,54,48,55,51,101,45,50,48,32,52,46,55,54,
      50,48,49,101,45,50,48,32,53,46,56,57,50,55,57,101,45,50,48,32,55,46,49,51,52,
      52,53,101,45,50,48,32,56,46,55,48,55,56,49,101,45,50,48,32,57,46,57,57,49,50,
      49,101,45,50,48,10,32,32,49,46,49,51,56,52,55,101,45,49,57,32,49,46,51,57,50,
      51,53,101,45,49,57,32,49,46,53,54,51,48,52,101,45,49,57,32,49,46,56,53,52,55,
      55,101,45,49,57,32,50,46,49,57,51,49,49,101,45,49,57,32,50,46,52,48,57,56,56,
      101,45,49,57,32,50,46,54,51,55,48,57,101,45,49,57,10,32,32,51,46,48,49,53,48,
      53,101,45,49,57,32,51,46,52,53,53,50,50,101,45,49,57,32,51,46,55,48,56,51,56,
      101,45,49,57,32,52,46,49,50,55,51,53,101,45,49,57,32,52,46,51,56,55,52,55,101,
      45,49,57,32,52,46,56,49,52,51,51,101,45,49,57,32,53,46,49,54,50,52,52,101,45,
      49,57,10,32,32,53,46,54,55,48,52,54,101,45,49,57,32,53,46,56,55,55,55,56,101,
      45,49,57,32,54,46,50,54,57,50,57,101,45,49,57,32,54,46,54,56,54,56,49,101,45,
      49,57,32,55,46,48,49,57,48,57,101,45,49,57,32,55,46,51,51,52,50,54,101,45,49,
      57,32,55,46,54,49,49,52,55,101,45,49,57,10,32,32,55,46,56,54,53,56,54,101,45,
      49,57,32,56,46,49,50,52,51,56,101,45,49,57,32,56,46,51,51,49,56,50,101,45,49,
      57,32,56,46,53,51,52,57,53,101,45,49,57,32,56,46,54,54,54,54,49,101,45,49,57,
      32,56,46,56,52,55,57,53,101,45,49,57,32,56,46,57,51,56,50,53,101,45,49,57,10,
      32,32,57,46,48,50,56,48,56,101,45,49,57,32,57,46,49,52,49,48,50,101,45,49,57,
      32,57,46,48,56,50,56,57,101,45,49,57,32,56,46,56,48,56,51,56,101,45,49,57,32,
      56,46,50,49,52,49,51,101,45,49,57,32,55,46,52,49,51,52,51,101,45,49,57,32,54,
      46,51,52,56,57,54,101,45,49,57,10,32,32,53,46,50,57,51,53,52,101,45,49,57,32,
      51,46,56,53,50,49,50,101,45,49,57,32,50,46,54,57,54,52,101,45,49,57,32,50,46,
      48,51,57,57,51,101,45,49,57,32,49,46,52,53,54,56,50,101,45,49,57,32,56,46,57,
      53,56,53,57,101,45,50,48,32,53,46,54,55,49,51,50,101,45,50,48,10,32,32,51,46,
      52,57,53,53,49,101,45,50,48,32,49,46,57,53,49,56,54,101,45,50,48,32,49,46,48,
      53,57,51,49,101,45,50,48,32,54,46,48,55,54,49,49,101,45,50,49,32,51,46,52,50,
      51,53,51,101,45,50,49,32,49,46,56,57,55,50,50,101,45,50,49,32,57,46,52,57,50,
      49,57,101,45,50,50,10,32,32,52,46,50,54,52,57,53,101,45,50,50,32,49,46,55,49,
      50,56,55,101,45,50,50,32,55,46,51,57,54,48,54,101,45,50,51,32,50,46,56,53,52,
      50,52,101,45,50,51,32,49,46,49,57,51,55,54,101,45,50,51,32,52,46,57,50,56,56,
      55,101,45,50,52,32,49,46,56,49,57,51,57,101,45,50,52,10,32,32,54,46,49,54,49,
      56,50,101,45,50,53,32,50,46,54,52,53,52,54,101,45,50,53,32,57,46,56,53,53,49,
      56,101,45,50,54,32,52,46,49,48,54,57,54,101,45,50,54,32,49,46,53,57,57,57,57,
      101,45,50,54,32,54,46,49,57,49,51,52,101,45,50,55,32,50,46,51,56,48,57,53,101,
      45,50,55,10,32,32,57,46,49,48,51,55,52,101,45,50,56,32,51,46,52,54,50,52,50,
      101,45,50,56,32,49,46,51,49,48,51,57,101,45,50,56,32,52,46,57,51,54,54,50,101,
      45,50,57,32,49,46,56,53,49,56,55,101,45,50,57,32,54,46,57,49,57,51,55,101,45,
      51,48,32,50,46,53,55,53,56,50,101,45,51,48,10,32,32,57,46,53,53,53,54,57,101,
      45,51,49,32,51,46,53,51,51,52,56,101,45,51,49,32,49,46,50,51,57,50,50,101,45,
      51,49,32,51,46,49,48,52,48,51,101,45,51,50,32,49,46,49,52,48,52,50,101,45,51,
      50,32,52,46,49,55,56,56,52,101,45,51,51,32,49,46,53,49,56,49,51,101,45,51,51,
      10,32,32,51,46,55,51,49,55,55,101,45,51,52,32,49,46,51,53,52,49,52,101,45,51,
      52,32,52,46,56,49,49,57,51,101,45,51,53,32,49,46,52,51,51,57,57,101,45,51,53,
      32,50,46,56,51,55,57,56,101,45,51,54,32,49,46,48,49,52,51,51,101,45,51,54,32,
      48,114,56,55,32,50,46,52,51,50,51,55,101,45,51,52,10,32,32,53,46,49,55,50,53,
      50,101,45,51,52,32,49,46,48,52,51,57,101,45,51,51,32,50,46,48,49,51,55,101,
      45,51,51,32,52,46,48,50,48,50,56,101,45,51,51,32,56,46,50,51,50,53,57,101,45,
      51,51,32,49,46,55,49,53,51,52,101,45,51,50,32,51,46,54,49,49,57,50,101,45,51,
      50,10,32,32,55,46,54,52,50,52,55,101,45,51,50,32,49,46,55,56,50,57,101,45,51,
      49,32,51,46,55,53,57,55,101,45,51,49,32,56,46,50,51,57,50,52,101,45,51,49,32,
      50,46,48,57,53,49,53,101,45,51,48,32,50,46,51,52,53,55,52,101,45,50,56,32,52,
      46,49,48,57,55,49,101,45,50,56,10,32,32,55,46,56,54,52,49,49,101,45,50,56,32,
      49,46,54,52,48,48,55,101,45,50,55,32,51,46,51,56,54,48,50,101,45,50,55,32,50,
      46,56,53,57,54,53,101,45,50,53,32,52,46,56,50,49,48,53,101,45,50,53,32,55,46,
      54,56,48,48,50,101,45,50,53,32,49,46,50,49,49,51,53,101,45,50,52,10,32,32,50,
      46,48,49,52,53,52,101,45,50,52,32,52,46,53,48,50,55,51,101,45,50,52,32,49,46,
      50,50,49,57,49,101,45,50,51,32,49,46,57,52,48,48,54,101,45,50,51,32,50,46,55,
      54,48,55,52,101,45,50,51,32,51,46,57,50,55,57,53,101,45,50,51,32,54,46,49,55,
      55,50,50,101,45,50,51,10,32,32,57,46,54,51,50,52,51,101,45,50,51,32,49,46,52,
      50,55,53,54,101,45,50,50,32,49,46,57,53,57,51,52,101,45,50,50,32,50,46,57,57,
      51,56,49,101,45,50,50,32,52,46,52,53,52,55,51,101,45,50,50,32,54,46,53,49,48,
      56,49,101,45,50,50,32,57,46,48,55,55,48,49,101,45,50,50,10,32,32,49,46,50,53,
      49,54,50,101,45,50,49,32,49,46,54,57,53,50,50,101,45,50,49,32,50,46,51,52,50,
      50,50,101,45,50,49,32,51,46,49,49,57,51,56,101,45,50,49,32,51,46,56,49,55,55,
      57,101,45,50,49,32,53,46,52,57,54,48,52,101,45,50,49,32,55,46,54,49,48,51,49,
      101,45,50,49,10,32,32,49,46,48,49,54,56,101,45,50,48,32,49,46,51,55,49,56,56,
      101,45,50,48,32,49,46,55,55,51,49,55,101,45,50,48,32,50,46,51,48,56,49,51,101,
      45,50,48,32,50,46,57,51,50,49,51,101,45,50,48,32,51,46,54,51,57,52,52,101,45,
      50,48,32,52,46,52,49,56,56,50,101,45,50,48,10,32,32,53,46,52,48,57,56,57,101,
      45,50,48,32,54,46,50,50,48,56,54,101,45,50,48,32,55,46,49,48,51,54,55,101,45,
      50,48,32,56,46,55,49,55,53,54,101,45,50,48,32,57,46,56,48,54,50,101,45,50,48,
      32,49,46,49,54,55,50,56,101,45,49,57,32,49,46,51,56,52,54,50,101,45,49,57,10,
      32,32,49,46,53,50,52,51,50,101,45,49,57,32,49,46,54,55,49,49,101,45,49,57,32,
      49,46,57,49,54,48,52,101,45,49,57,32,50,46,50,48,50,52,54,101,45,49,57,32,50,
      46,51,54,55,55,54,101,45,49,57,32,50,46,54,52,50,49,57,101,45,49,57,32,50,46,
      56,49,51,49,52,101,45,49,57,10,32,32,51,46,48,57,52,54,50,101,45,49,57,32,51,
      46,51,50,53,48,53,101,45,49,57,32,51,46,54,54,50,56,54,101,45,49,57,32,51,46,
      56,48,49,50,55,101,45,49,57,32,52,46,48,54,51,54,101,45,49,57,32,52,46,51,52,
      52,56,55,101,45,49,57,32,52,46,53,54,57,57,56,101,45,49,57,10,32,32,52,46,55,
      56,52,55,49,101,45,49,57,32,52,46,57,55,52,55,50,101,45,49,57,32,53,46,49,53,
      48,50,52,101,45,49,57,32,53,46,51,51,48,48,51,101,45,49,57,32,53,46,52,55,53,
      54,50,101,45,49,57,32,53,46,54,49,57,55,55,101,45,49,57,32,53,46,55,49,52,51,
      54,101,45,49,57,10,32,32,53,46,56,52,55,101,45,49,57,32,53,46,57,49,52,55,101,
      45,49,57,32,53,46,57,56,52,49,54,101,45,49,57,32,54,46,48,56,50,52,101,45,49,
      57,32,54,46,48,55,53,49,53,101,45,49,57,32,53,46,57,50,48,55,55,101,45,49,57,
      32,53,46,53,53,52,56,101,45,49,57,32,53,46,48,52,50,57,53,101,45,49,57,10,32,
      32,52,46,51,53,53,50,55,101,45,49,57,32,51,46,54,52,55,52,56,101,45,49,57,32,
      50,46,54,55,55,51,51,101,45,49,57,32,49,46,56,56,56,56,51,101,45,49,57,32,49,
      46,52,51,54,54,101,45,49,57,32,49,46,48,51,49,56,54,101,45,49,57,32,54,46,51,
      57,50,49,50,101,45,50,48,10,32,32,52,46,48,55,49,52,55,101,45,50,48,32,50,46,
      53,50,52,49,57,101,45,50,48,32,49,46,52,49,56,53,101,45,50,48,32,55,46,55,52,
      53,48,49,101,45,50,49,32,52,46,52,54,52,55,52,101,45,50,49,32,50,46,53,50,55,
      54,51,101,45,50,49,32,49,46,52,48,55,49,51,101,45,50,49,10,32,32,55,46,48,55,
      52,56,56,101,45,50,50,32,51,46,49,57,53,52,51,101,45,50,50,32,49,46,50,57,48,
      51,49,101,45,50,50,32,53,46,53,57,55,101,45,50,51,32,50,46,49,55,48,50,55,101,
      45,50,51,32,57,46,49,49,51,53,52,101,45,50,52,32,51,46,55,55,55,49,51,101,45,
      50,52,10,32,32,49,46,51,57,57,55,56,101,45,50,52,32,52,46,55,53,57,53,57,101,
      45,50,53,32,50,46,48,52,57,51,54,101,45,50,53,32,55,46,54,53,56,56,51,101,45,
      50,54,32,51,46,50,48,48,49,51,101,45,50,54,32,49,46,50,53,48,48,54,101,45,50,
      54,32,52,46,56,52,57,54,52,101,45,50,55,10,32,32,49,46,56,54,57,53,51,101,45,
      50,55,32,55,46,49,54,52,56,53,101,45,50,56,32,50,46,55,51,49,48,50,101,45,50,
      56,32,49,46,48,51,53,55,54,101,45,50,56,32,51,46,57,48,57,56,56,101,45,50,57,
      32,49,46,52,54,57,53,51,101,45,50,57,32,53,46,53,48,48,57,49,101,45,51,48,10,
      32,32,50,46,48,53,49,51,57,101,45,51,48,32,55,46,54,50,51,48,52,101,45,51,49,
      32,50,46,56,50,51,52,101,45,51,49,32,57,46,57,49,53,55,51,101,45,51,50,32,50,
      46,52,57,52,49,52,101,45,51,50,32,57,46,49,55,54,48,54,101,45,51,51,32,51,46,
      51,54,55,51,101,45,51,51,10,32,32,49,46,50,50,52,54,101,45,51,51,32,51,46,48,
      50,50,101,45,51,52,32,49,46,48,57,52,55,56,101,45,51,52,32,51,46,56,57,50,54,
      49,101,45,51,53,32,49,46,50,48,50,49,54,101,45,51,53,32,50,46,54,56,55,52,53,
      101,45,51,54,32,56,46,49,49,55,49,53,101,45,51,55,10,32,32,48,114,56,55,32,
      54,46,53,54,50,54,54,101,45,51,53,32,49,46,52,49,54,56,49,101,45,51,52,32,50,
      46,56,57,57,57,54,101,45,51,52,32,53,46,54,54,54,56,49,101,45,51,52,32,49,46,
      49,52,55,53,54,101,45,51,51,32,50,46,51,56,52,50,53,101,45,51,51,32,53,46,48,
      52,50,51,52,101,45,51,51,10,32,32,49,46,48,55,55,57,54,101,45,51,50,32,50,46,
      51,49,54,48,51,101,45,51,50,32,53,46,52,57,50,50,101,45,51,50,32,49,46,49,55,
      54,48,50,101,45,51,49,32,50,46,54,49,57,49,53,101,45,51,49,32,54,46,55,57,101,
      45,51,49,32,56,46,50,57,53,54,55,101,45,50,57,10,32,32,49,46,52,55,51,50,55,
      101,45,50,56,32,50,46,56,54,52,49,50,101,45,50,56,32,54,46,48,56,49,57,57,101,
      45,50,56,32,49,46,50,55,56,52,51,101,45,50,55,32,49,46,50,51,56,56,57,101,45,
      50,53,32,50,46,49,50,55,51,54,101,45,50,53,32,51,46,52,52,53,52,56,101,45,50,
      53,10,32,32,53,46,53,50,51,57,57,101,45,50,53,32,57,46,51,53,54,56,52,101,45,
      50,53,32,50,46,49,52,48,52,55,101,45,50,52,32,55,46,48,55,49,57,56,101,45,50,
      52,32,49,46,49,49,56,48,53,101,45,50,51,32,49,46,53,56,55,55,53,101,45,50,51,
      32,50,46,50,53,54,54,57,101,45,50,51,10,32,32,51,46,53,52,57,50,56,101,45,50,
      51,32,53,46,53,56,55,50,57,101,45,50,51,32,56,46,50,57,50,56,49,101,45,50,51,
      32,49,46,49,52,48,56,52,101,45,50,50,32,49,46,55,52,57,52,50,101,45,50,50,32,
      50,46,54,49,51,50,51,101,45,50,50,32,51,46,56,51,52,54,51,101,45,50,50,10,32,
      32,53,46,51,54,53,52,54,101,45,50,50,32,55,46,52,50,52,55,54,101,45,50,50,32,
      49,46,48,48,57,48,51,101,45,50,49,32,49,46,51,57,57,49,54,101,45,50,49,32,49,
      46,56,54,57,55,54,101,45,50,49,32,50,46,50,57,51,53,101,45,50,49,32,51,46,51,
      49,53,48,53,101,45,50,49,10,32,32,52,46,54,48,55,49,51,101,45,50,49,32,54,46,
      49,55,54,48,52,101,45,50,49,32,56,46,51,54,50,53,101,45,50,49,32,49,46,48,56,
      52,50,57,101,45,50,48,32,49,46,52,49,54,50,49,101,45,50,48,32,49,46,56,48,52,
      56,57,101,45,50,48,32,50,46,50,52,55,48,56,101,45,50,48,10,32,32,50,46,55,51,
      54,48,51,101,45,50,48,32,51,46,51,53,57,57,57,101,45,50,48,32,51,46,56,55,50,
      49,57,101,45,50,48,32,52,46,52,51,49,50,49,101,45,50,48,32,53,46,52,53,54,54,
      56,101,45,50,48,32,54,46,49,53,48,55,101,45,50,48,32,55,46,51,52,52,53,55,101,
      45,50,48,10,32,32,56,46,55,52,48,50,51,101,45,50,48,32,57,46,54,52,48,50,54,
      101,45,50,48,32,49,46,48,53,56,56,50,101,45,49,57,32,49,46,50,49,55,53,49,101,
      45,49,57,32,49,46,52,48,51,56,50,101,45,49,57,32,49,46,53,49,49,55,101,45,49,
      57,32,49,46,54,57,49,51,57,101,45,49,57,10,32,32,49,46,56,48,51,54,56,101,45,
      49,57,32,49,46,57,56,57,49,55,101,45,49,57,32,50,46,49,52,49,54,49,101,45,49,
      57,32,50,46,51,54,54,48,53,101,45,49,57,32,50,46,52,53,56,51,54,101,45,49,57,
      32,50,46,54,51,51,57,50,101,45,49,57,32,50,46,56,50,51,49,49,101,45,49,57,10,
      32,32,50,46,57,55,53,51,50,101,45,49,57,32,51,46,49,50,49,50,55,101,45,49,57,
      32,51,46,50,53,49,49,53,101,45,49,57,32,51,46,51,55,49,56,52,101,45,49,57,32,
      51,46,52,57,54,51,52,101,45,49,57,32,51,46,53,57,56,101,45,49,57,32,51,46,54,
      57,57,54,49,101,45,49,57,10,32,32,51,46,55,54,55,48,49,101,45,49,57,32,51,46,
      56,54,50,57,50,101,45,49,57,32,51,46,57,49,50,56,55,101,45,49,57,32,51,46,57,
      54,53,51,52,101,45,49,57,32,52,46,48,52,53,54,57,101,45,49,57,32,52,46,48,54,
      49,52,56,101,45,49,57,32,51,46,57,55,55,53,50,101,45,49,57,10,32,32,51,46,55,
      53,51,56,55,101,45,49,57,32,51,46,52,50,55,55,53,101,45,49,57,32,50,46,57,56,
      52,57,53,101,45,49,57,32,50,46,53,49,49,48,56,101,45,49,57,32,49,46,56,53,57,
      48,50,101,45,49,57,32,49,46,51,50,49,56,50,101,45,49,57,32,49,46,48,49,48,54,
      57,101,45,49,57,10,32,32,55,46,51,48,49,50,54,101,45,50,48,32,52,46,53,53,54,
      50,55,101,45,50,48,32,50,46,57,49,57,57,54,101,45,50,48,32,49,46,56,50,48,57,
      50,101,45,50,48,32,49,46,48,50,57,56,50,101,45,50,48,32,53,46,54,53,54,56,55,
      101,45,50,49,32,51,46,50,55,55,51,56,101,45,50,49,10,32,32,49,46,56,54,52,51,
      49,101,45,50,49,32,49,46,48,52,50,54,101,45,50,49,32,53,46,50,54,55,57,56,101,
      45,50,50,32,50,46,51,57,49,56,101,45,50,50,32,57,46,55,49,48,55,49,101,45,50,
      51,32,52,46,50,51,49,53,55,101,45,50,51,32,49,46,54,52,56,54,56,101,45,50,51,
      10,32,32,54,46,57,53,49,50,55,101,45,50,52,32,50,46,56,57,49,57,53,101,45,50,
      52,32,49,46,48,55,54,48,49,101,45,50,52,32,51,46,54,55,51,51,52,101,45,50,53,
      32,49,46,53,56,54,50,54,101,45,50,53,32,53,46,57,52,55,49,101,45,50,54,32,50,
      46,52,57,49,53,51,101,45,50,54,10,32,32,57,46,55,53,56,57,56,101,45,50,55,32,
      51,46,55,57,53,55,54,101,45,50,55,32,49,46,52,54,54,56,52,101,45,50,55,32,53,
      46,54,51,52,54,56,101,45,50,56,32,50,46,49,53,50,53,53,101,45,50,56,32,56,46,
      49,56,49,48,49,101,45,50,57,32,51,46,48,57,52,53,101,45,50,57,10,32,32,49,46,
      49,54,53,51,51,101,45,50,57,32,52,46,51,55,48,50,55,101,45,51,48,32,49,46,54,
      51,50,54,53,101,45,51,48,32,54,46,48,55,55,51,51,101,45,51,49,32,50,46,50,53,
      52,53,56,101,45,51,49,32,55,46,57,50,57,49,54,101,45,51,50,32,50,46,48,48,50,
      54,49,101,45,51,50,10,32,32,55,46,51,55,56,48,57,101,45,51,51,32,50,46,55,49,
      49,50,101,45,51,51,32,57,46,56,55,49,53,101,45,51,52,32,50,46,52,51,56,57,52,
      101,45,51,52,32,56,46,56,52,53,48,50,101,45,51,53,32,51,46,50,48,50,56,56,101,
      45,51,53,32,57,46,55,49,50,56,54,101,45,51,54,10,32,32,50,46,52,53,49,54,56,
      101,45,51,54,32,54,46,52,57,48,57,49,101,45,51,55,32,48,114,56,55,32,49,46,
      55,54,48,50,56,101,45,51,53,32,51,46,56,53,56,48,51,101,45,51,53,32,56,46,48,
      48,56,53,51,101,45,51,53,32,49,46,53,56,53,55,49,101,45,51,52,32,51,46,50,53,
      53,48,55,101,45,51,52,10,32,32,54,46,56,54,51,52,56,101,45,51,52,32,49,46,52,
      55,51,50,52,101,45,51,51,32,51,46,49,57,55,52,52,101,45,51,51,32,54,46,57,55,
      53,52,55,101,45,51,51,32,49,46,54,56,49,51,52,101,45,51,50,32,51,46,54,53,53,
      52,52,101,45,51,50,32,56,46,50,55,51,50,54,101,45,51,50,10,32,32,50,46,49,56,
      54,52,55,101,45,51,49,32,50,46,57,48,57,53,101,45,50,57,32,53,46,50,51,55,54,
      50,101,45,50,57,32,49,46,48,51,52,52,51,101,45,50,56,32,50,46,50,51,54,53,57,
      101,45,50,56,32,52,46,55,56,54,52,52,101,45,50,56,32,53,46,50,55,56,52,55,101,
      45,50,54,10,32,32,57,46,50,51,52,53,51,101,45,50,54,32,49,46,53,50,48,57,57,
      101,45,50,53,32,50,46,52,55,57,51,54,101,45,50,53,32,52,46,50,55,56,56,55,101,
      45,50,53,32,49,46,48,48,50,48,49,101,45,50,52,32,51,46,56,56,51,54,50,101,45,
      50,52,32,54,46,49,57,51,57,50,101,45,50,52,10,32,32,56,46,56,53,48,56,101,45,
      50,52,32,49,46,50,54,53,51,55,101,45,50,51,32,50,46,48,48,52,51,50,101,45,50,
      51,32,51,46,49,57,55,48,51,101,45,50,51,32,52,46,55,54,57,56,50,101,45,50,51,
      32,54,46,53,57,50,57,101,45,50,51,32,49,46,48,49,54,57,50,101,45,50,50,10,32,
      32,49,46,53,50,55,50,101,45,50,50,32,50,46,50,53,50,49,101,45,50,50,32,51,46,
      49,54,52,52,54,101,45,50,50,32,52,46,51,57,54,52,51,101,45,50,50,32,53,46,57,
      57,54,55,49,101,45,50,50,32,56,46,51,52,55,49,49,101,45,50,50,32,49,46,49,49,
      57,52,54,101,45,50,49,10,32,32,49,46,51,55,54,51,52,101,45,50,49,32,49,46,57,
      57,55,54,53,101,45,50,49,32,50,46,55,56,54,54,50,101,45,50,49,32,51,46,55,52,
      56,49,50,101,45,50,49,32,53,46,48,57,51,48,57,101,45,50,49,32,54,46,54,50,52,
      52,57,101,45,50,49,32,56,46,54,56,49,51,56,101,45,50,49,10,32,32,49,46,49,48,
      57,57,49,101,45,50,48,32,49,46,51,56,53,57,54,101,45,50,48,32,49,46,54,57,50,
      50,52,101,45,50,48,32,50,46,48,56,52,52,52,101,45,50,48,32,50,46,52,48,55,52,
      101,45,50,48,32,50,46,55,54,48,56,101,45,50,48,32,51,46,52,49,49,51,50,101,
      45,50,48,10,32,32,51,46,56,53,51,48,53,101,45,50,48,32,52,46,54,49,53,51,55,
      101,45,50,48,32,53,46,53,49,48,49,49,101,45,50,48,32,54,46,48,56,56,57,56,101,
      45,50,48,32,54,46,55,48,48,49,52,101,45,50,48,32,55,46,55,50,54,53,50,101,45,
      50,48,32,56,46,57,51,54,53,52,101,45,50,48,10,32,32,57,46,54,51,57,53,50,101,
      45,50,48,32,49,46,48,56,49,52,49,101,45,49,57,32,49,46,49,53,53,48,53,101,45,
      49,57,32,49,46,50,55,55,48,57,101,45,49,57,32,49,46,51,55,55,55,54,101,45,49,
      57,32,49,46,53,50,54,54,49,101,45,49,57,32,49,46,53,56,56,48,55,101,45,49,57,
      10,32,32,49,46,55,48,53,51,52,101,45,49,57,32,49,46,56,51,50,51,51,101,45,49,
      57,32,49,46,57,51,53,48,51,101,45,49,57,32,50,46,48,51,52,48,49,101,45,49,57,
      32,50,46,49,50,50,53,53,101,45,49,57,32,50,46,50,48,53,51,49,101,45,49,57,32,
      50,46,50,57,49,50,52,101,45,49,57,10,32,32,50,46,51,54,49,57,51,101,45,49,57,
      32,50,46,52,51,51,50,50,101,45,49,57,32,50,46,52,56,48,57,53,101,45,49,57,32,
      50,46,53,52,57,55,55,101,45,49,57,32,50,46,53,56,54,50,49,101,45,49,57,32,50,
      46,54,50,53,50,53,101,45,49,57,32,50,46,54,56,56,54,55,101,45,49,57,10,32,32,
      50,46,55,49,51,48,52,101,45,49,57,32,50,46,54,54,57,57,54,101,45,49,57,32,50,
      46,53,51,52,56,55,101,45,49,57,32,50,46,51,50,56,48,54,101,45,49,57,32,50,46,
      48,52,51,52,49,101,45,49,57,32,49,46,55,50,55,52,56,101,45,49,57,32,49,46,50,
      56,57,54,52,101,45,49,57,10,32,32,57,46,50,52,49,48,53,101,45,50,48,32,55,46,
      49,48,51,49,56,101,45,50,48,32,53,46,49,54,48,54,54,101,45,50,48,32,51,46,50,
      52,52,101,45,50,48,32,50,46,48,57,49,54,55,101,45,50,48,32,49,46,51,49,50,48,
      50,101,45,50,48,32,55,46,52,54,55,51,49,101,45,50,49,10,32,32,52,46,49,50,54,
      53,55,101,45,50,49,32,50,46,52,48,50,55,57,101,45,50,49,32,49,46,51,55,51,51,
      53,101,45,50,49,32,55,46,55,49,53,52,56,101,45,50,50,32,51,46,57,49,55,55,49,
      101,45,50,50,32,49,46,55,56,56,48,56,101,45,50,50,32,55,46,50,57,57,51,101,
      45,50,51,10,32,32,51,46,49,57,53,52,51,101,45,50,51,32,49,46,50,53,48,57,56,
      101,45,50,51,32,53,46,50,57,53,57,50,101,45,50,52,32,50,46,50,49,49,55,50,101,
      45,50,52,32,56,46,50,54,50,49,54,101,45,50,53,32,50,46,56,51,49,57,53,101,45,
      50,53,32,49,46,50,50,54,53,49,101,45,50,53,10,32,32,52,46,54,49,51,49,55,101,
      45,50,54,32,49,46,57,51,55,56,55,101,45,50,54,32,55,46,54,49,49,48,57,101,45,
      50,55,32,50,46,57,54,56,48,50,101,45,50,55,32,49,46,49,52,57,56,101,45,50,55,
      32,52,46,52,50,55,50,50,101,45,50,56,32,49,46,54,57,53,48,55,101,45,50,56,10,
      32,32,54,46,52,53,54,49,49,101,45,50,57,32,50,46,52,52,55,48,52,101,45,50,57,
      32,57,46,50,51,51,48,54,101,45,51,48,32,51,46,52,54,57,49,49,101,45,51,48,32,
      49,46,50,57,56,51,49,101,45,51,48,32,52,46,56,52,49,48,57,101,45,51,49,32,49,
      46,55,57,56,57,50,101,45,51,49,10,32,32,54,46,51,51,53,54,57,101,45,51,50,32,
      49,46,54,48,55,48,51,101,45,51,50,32,53,46,57,50,57,50,53,101,45,51,51,32,50,
      46,49,56,49,57,50,101,45,51,51,32,55,46,57,54,48,50,53,101,45,51,52,32,49,46,
      57,54,55,52,55,101,45,51,52,32,55,46,49,54,49,55,54,101,45,51,53,10,32,32,50,
      46,53,56,57,50,56,101,45,51,53,32,55,46,56,52,51,54,53,101,45,51,54,32,49,46,
      57,55,50,50,50,101,45,51,54,32,53,46,49,56,54,55,49,101,45,51,55,32,49,46,56,
      53,55,49,50,101,45,51,55,32,48,114,56,54,32,52,46,54,57,55,55,55,101,45,51,
      54,32,49,46,48,52,53,49,55,101,45,51,53,10,32,32,50,46,50,48,48,49,50,101,45,
      51,53,32,52,46,52,49,51,55,56,101,45,51,53,32,57,46,49,56,54,54,53,101,45,51,
      53,32,49,46,57,54,52,52,51,101,45,51,52,32,52,46,50,56,48,56,53,101,45,51,52,
      32,57,46,52,51,49,56,101,45,51,52,32,50,46,48,56,57,49,52,101,45,51,51,10,32,
      32,53,46,49,49,56,50,54,101,45,51,51,32,49,46,49,50,57,56,49,101,45,51,50,32,
      50,46,53,57,56,52,101,45,51,50,32,55,46,48,48,48,49,54,101,45,51,50,32,49,46,
      48,49,50,51,53,101,45,50,57,32,49,46,56,52,55,50,52,101,45,50,57,32,51,46,55,
      48,54,50,55,101,45,50,57,10,32,32,56,46,49,53,57,48,57,101,45,50,57,32,49,46,
      55,55,55,54,53,101,45,50,56,32,50,46,50,49,53,51,55,101,45,50,54,32,51,46,57,
      52,57,56,54,101,45,50,54,32,54,46,54,49,55,52,55,101,45,50,54,32,49,46,48,57,
      54,57,57,101,45,50,53,32,49,46,57,50,57,50,54,101,45,50,53,10,32,32,52,46,54,
      50,53,56,54,101,45,50,53,32,50,46,48,52,48,49,57,101,45,50,52,32,51,46,51,48,
      52,52,56,101,45,50,52,32,52,46,55,55,52,53,54,101,45,50,52,32,54,46,56,57,55,
      55,52,101,45,50,52,32,49,46,49,48,54,51,49,101,45,50,51,32,49,46,55,57,53,54,
      54,101,45,50,51,10,32,32,50,46,55,48,50,55,53,101,45,50,51,32,51,46,55,54,52,
      48,53,101,45,50,51,32,53,46,56,53,54,54,54,101,45,50,51,32,56,46,56,54,50,48,
      55,101,45,50,51,32,49,46,51,49,53,53,50,101,45,50,50,32,49,46,56,53,56,52,101,
      45,50,50,32,50,46,53,57,52,52,56,101,45,50,50,10,32,32,51,46,53,53,52,50,49,
      101,45,50,50,32,52,46,57,54,56,57,55,101,45,50,50,32,54,46,54,57,48,55,55,101,
      45,50,50,32,56,46,50,52,55,48,53,101,45,50,50,32,49,46,50,48,50,51,54,101,45,
      50,49,32,49,46,54,56,51,56,101,45,50,49,32,50,46,50,55,50,54,54,101,45,50,49,
      10,32,32,51,46,48,57,57,51,57,101,45,50,49,32,52,46,48,52,52,49,52,101,45,50,
      49,32,53,46,51,49,55,54,54,101,45,50,49,32,54,46,56,50,48,49,57,101,45,50,49,
      32,56,46,53,52,49,55,57,101,45,50,49,32,49,46,48,52,53,56,51,101,45,50,48,32,
      49,46,50,57,50,49,101,45,50,48,10,32,32,49,46,52,57,53,53,49,101,45,50,48,32,
      49,46,55,49,56,54,54,101,45,50,48,32,50,46,49,51,48,56,49,101,45,50,48,32,50,
      46,52,49,49,54,101,45,50,48,32,50,46,56,57,55,55,53,101,45,50,48,32,51,46,52,
      55,48,54,50,101,45,50,48,32,51,46,56,52,50,52,53,101,45,50,48,10,32,32,52,46,
      50,51,53,57,54,101,45,50,48,32,52,46,56,57,56,57,51,101,45,50,48,32,53,46,54,
      56,51,54,55,101,45,50,48,32,54,46,49,52,49,48,56,101,45,50,48,32,54,46,57,48,
      55,55,56,101,45,50,48,32,55,46,51,56,57,57,52,101,45,50,48,32,56,46,49,57,49,
      54,51,101,45,50,48,10,32,32,56,46,56,53,53,51,54,101,45,50,48,32,57,46,56,52,
      48,57,54,101,45,50,48,32,49,46,48,50,52,57,51,101,45,49,57,32,49,46,49,48,51,
      49,50,101,45,49,57,32,49,46,49,56,56,50,101,45,49,57,32,49,46,50,53,55,51,52,
      101,45,49,57,32,49,46,51,50,52,50,57,101,45,49,57,10,32,32,49,46,51,56,52,52,
      57,101,45,49,57,32,49,46,52,52,49,48,53,101,45,49,57,32,49,46,53,48,48,49,53,
      101,45,49,57,32,49,46,53,52,57,49,49,101,45,49,57,32,49,46,53,57,56,56,55,101,
      45,49,57,32,49,46,54,51,50,52,55,101,45,49,57,32,49,46,54,56,49,52,55,101,45,
      49,57,10,32,32,49,46,55,48,55,56,101,45,49,57,32,49,46,55,51,54,52,53,101,45,
      49,57,32,49,46,55,56,53,49,54,101,45,49,57,32,49,46,56,49,48,53,54,101,45,49,
      57,32,49,46,55,57,48,52,57,101,45,49,57,32,49,46,55,49,48,48,49,101,45,49,57,
      32,49,46,53,55,57,52,52,101,45,49,57,10,32,32,49,46,51,57,54,55,101,45,49,57,
      32,49,46,49,56,55,49,53,101,45,49,57,32,56,46,57,51,54,49,53,101,45,50,48,32,
      54,46,52,53,50,56,50,101,45,50,48,32,52,46,57,56,54,48,53,101,45,50,48,32,51,
      46,54,52,51,49,49,101,45,50,48,32,50,46,51,48,54,55,54,101,45,50,48,10,32,32,
      49,46,52,57,54,52,51,101,45,50,48,32,57,46,52,52,49,51,51,101,45,50,49,32,53,
      46,52,48,55,55,52,101,45,50,49,32,51,46,48,48,54,52,55,101,45,50,49,32,49,46,
      55,53,57,51,56,101,45,50,49,32,49,46,48,49,48,52,49,101,45,50,49,32,53,46,55,
      48,50,53,51,101,45,50,50,10,32,32,50,46,57,48,57,57,55,101,45,50,50,32,49,46,
      51,51,53,49,52,101,45,50,50,32,53,46,52,56,48,50,53,101,45,50,51,32,50,46,52,
      49,48,50,51,101,45,50,51,32,57,46,52,56,49,52,57,101,45,50,52,32,52,46,48,51,
      48,51,101,45,50,52,32,49,46,54,56,57,54,54,101,45,50,52,10,32,32,54,46,51,51,
      55,51,54,101,45,50,53,32,50,46,49,56,49,48,49,101,45,50,53,32,57,46,52,55,51,
      56,54,101,45,50,54,32,51,46,53,55,52,56,55,101,45,50,54,32,49,46,53,48,53,55,
      55,101,45,50,54,32,53,46,57,51,48,50,55,101,45,50,55,32,50,46,51,49,56,54,49,
      101,45,50,55,10,32,32,57,46,48,48,52,53,57,101,45,50,56,32,51,46,52,55,53,51,
      55,101,45,50,56,32,49,46,51,51,51,54,52,101,45,50,56,32,53,46,48,57,48,52,55,
      101,45,50,57,32,49,46,57,51,51,52,101,45,50,57,32,55,46,51,48,57,52,49,101,
      45,51,48,32,50,46,55,53,49,53,51,101,45,51,48,10,32,32,49,46,48,51,49,54,50,
      101,45,51,48,32,51,46,56,53,51,51,50,101,45,51,49,32,49,46,52,51,52,50,53,101,
      45,51,49,32,53,46,48,53,56,54,54,101,45,51,50,32,49,46,50,56,56,54,49,101,45,
      51,50,32,52,46,55,54,49,50,52,101,45,51,51,32,49,46,55,53,52,53,51,101,45,51,
      51,10,32,32,54,46,52,48,56,56,54,101,45,51,52,32,49,46,53,56,54,50,52,101,45,
      51,52,32,53,46,55,56,48,55,50,101,45,51,53,32,50,46,48,57,50,48,53,101,45,51,
      53,32,54,46,52,53,54,57,54,101,45,51,54,32,49,46,53,56,53,55,101,45,51,54,32,
      52,46,49,52,49,53,54,101,45,51,55,10,32,32,49,46,52,56,52,55,50,101,45,51,55,
      32,48,114,56,54,32,49,46,48,53,55,52,55,101,45,51,54,32,50,46,51,57,50,53,51,
      101,45,51,54,32,53,46,49,49,53,57,54,101,45,51,54,32,49,46,48,52,49,53,52,101,
      45,51,53,32,50,46,50,48,49,55,52,101,45,51,53,32,52,46,55,56,52,55,51,101,45,
      51,53,10,32,32,49,46,48,53,57,55,49,101,45,51,52,32,50,46,51,55,53,52,55,101,
      45,51,52,32,53,46,51,53,50,50,54,101,45,51,52,32,49,46,51,51,53,52,50,101,45,
      51,51,32,50,46,57,57,56,53,51,101,45,51,51,32,55,46,48,50,49,53,54,101,45,51,
      51,32,49,46,57,51,50,56,49,101,45,51,50,10,32,32,51,46,48,53,57,55,53,101,45,
      51,48,32,53,46,54,54,56,54,57,101,45,51,48,32,49,46,49,53,55,54,56,101,45,50,
      57,32,50,46,54,48,48,53,56,101,45,50,57,32,53,46,55,56,49,48,53,101,45,50,57,
      32,56,46,50,50,52,50,51,101,45,50,55,32,49,46,52,57,55,55,49,101,45,50,54,10,
      32,32,50,46,53,53,55,52,55,101,45,50,54,32,52,46,51,49,57,57,55,101,45,50,54,
      32,55,46,55,53,57,56,101,45,50,54,32,49,46,57,49,48,52,56,101,45,50,53,32,57,
      46,56,55,48,52,57,101,45,50,53,32,49,46,54,50,52,53,51,101,45,50,52,32,50,46,
      51,55,52,54,101,45,50,52,10,32,32,51,46,52,54,56,54,50,101,45,50,52,32,53,46,
      54,51,56,50,57,101,45,50,52,32,57,46,51,52,55,49,49,101,45,50,52,32,49,46,52,
      50,48,51,56,101,45,50,51,32,49,46,57,57,54,51,55,101,45,50,51,32,51,46,49,51,
      54,55,52,101,45,50,51,32,52,46,55,56,55,56,53,101,45,50,51,10,32,32,55,46,49,
      54,50,49,101,45,50,51,32,49,46,48,49,56,50,101,45,50,50,32,49,46,52,50,57,55,
      54,101,45,50,50,32,49,46,57,54,56,56,53,101,45,50,50,32,50,46,55,54,55,48,55,
      101,45,50,50,32,51,46,55,52,51,56,51,101,45,50,50,32,52,46,54,50,56,55,50,101,
      45,50,50,10,32,32,54,46,55,56,52,51,52,101,45,50,50,32,57,46,53,52,52,56,54,
      101,45,50,50,32,49,46,50,57,51,53,52,101,45,50,49,32,49,46,55,55,49,53,51,101,
      45,50,49,32,50,46,51,49,57,57,53,101,45,50,49,32,51,46,48,54,50,49,54,101,45,
      50,49,32,51,46,57,52,49,52,52,101,45,50,49,10,32,32,52,46,57,53,50,56,50,101,
      45,50,49,32,54,46,48,56,50,57,50,101,45,50,49,32,55,46,53,52,48,53,52,101,45,
      50,49,32,56,46,55,52,56,53,101,45,50,49,32,49,46,48,48,55,55,53,101,45,50,48,
      32,49,46,50,53,52,49,51,101,45,50,48,32,49,46,52,50,50,53,57,101,45,50,48,10,
      32,32,49,46,55,49,53,50,57,101,45,50,48,32,50,46,48,54,49,55,50,101,45,50,48,
      32,50,46,50,56,55,51,57,101,45,50,48,32,50,46,53,50,54,56,53,101,45,50,48,32,
      50,46,57,51,49,54,56,101,45,50,48,32,51,46,52,49,50,57,57,101,45,50,48,32,51,
      46,54,57,52,53,54,101,45,50,48,10,32,32,52,46,49,54,56,49,52,101,45,50,48,32,
      52,46,52,54,55,101,45,50,48,32,52,46,57,54,53,54,53,101,45,50,48,32,53,46,51,
      56,48,49,53,101,45,50,48,32,53,46,57,57,56,52,55,101,45,50,48,32,54,46,50,53,
      53,55,49,101,45,50,48,32,54,46,55,52,57,57,52,101,45,50,48,10,32,32,55,46,50,
      57,48,53,101,45,50,48,32,55,46,55,51,50,49,49,101,45,50,48,32,56,46,49,54,49,
      57,55,101,45,50,48,32,56,46,53,53,48,53,52,101,45,50,48,32,56,46,57,49,55,54,
      55,101,45,50,48,32,57,46,51,48,51,55,55,101,45,50,48,32,57,46,54,50,53,57,49,
      101,45,50,48,10,32,32,57,46,57,53,54,48,49,101,45,50,48,32,49,46,48,49,56,48,
      56,101,45,49,57,32,49,46,48,53,49,50,51,101,45,49,57,32,49,46,48,54,57,51,101,
      45,49,57,32,49,46,48,56,57,50,53,101,45,49,57,32,49,46,49,50,52,53,55,101,45,
      49,57,32,49,46,49,52,55,49,101,45,49,57,10,32,32,49,46,49,52,48,53,55,101,45,
      49,57,32,49,46,48,57,54,53,54,101,45,49,57,32,49,46,48,49,57,50,52,101,45,49,
      57,32,57,46,48,55,57,51,101,45,50,48,32,55,46,55,55,51,49,51,101,45,50,48,32,
      53,46,57,48,54,50,101,45,50,48,32,52,46,51,48,50,48,56,101,45,50,48,10,32,32,
      51,46,51,52,51,56,52,101,45,50,48,32,50,46,52,53,56,56,53,101,45,50,48,32,49,
      46,53,54,57,54,55,101,45,50,48,32,49,46,48,50,53,50,54,101,45,50,48,32,54,46,
      53,49,49,48,56,101,45,50,49,32,51,46,55,53,54,49,101,45,50,49,32,50,46,49,48,
      50,52,52,101,45,50,49,10,32,32,49,46,50,51,55,51,49,101,45,50,49,32,55,46,49,
      52,52,50,54,101,45,50,50,32,52,46,48,53,50,56,57,101,45,50,50,32,50,46,48,55,
      57,55,53,101,45,50,50,32,57,46,53,57,57,48,53,101,45,50,51,32,51,46,57,54,52,
      53,101,45,50,51,32,49,46,55,53,50,55,51,101,45,50,51,10,32,32,54,46,57,51,50,
      55,50,101,45,50,52,32,50,46,57,54,48,53,101,45,50,52,32,49,46,50,52,54,53,55,
      101,45,50,52,32,52,46,54,57,54,56,53,101,45,50,53,32,49,46,54,50,51,56,54,101,
      45,50,53,32,55,46,48,55,55,51,53,101,45,50,54,32,50,46,54,56,48,51,57,101,45,
      50,54,10,32,32,49,46,49,51,50,52,55,101,45,50,54,32,52,46,52,55,51,57,55,101,
      45,50,55,32,49,46,55,53,52,52,50,101,45,50,55,32,54,46,56,51,50,55,49,101,45,
      50,56,32,50,46,54,52,52,50,49,101,45,50,56,32,49,46,48,49,55,50,57,101,45,50,
      56,32,51,46,56,57,50,52,54,101,45,50,57,10,32,32,49,46,52,56,49,56,53,101,45,
      50,57,32,53,46,54,49,52,55,56,101,45,51,48,32,50,46,49,49,56,49,51,101,45,51,
      48,32,55,46,57,53,55,55,51,101,45,51,49,32,50,46,57,55,56,50,50,101,45,51,49,
      32,49,46,49,49,48,54,50,101,45,51,49,32,51,46,57,50,51,54,49,101,45,51,50,10,
      32,32,49,46,48,48,52,51,56,101,45,51,50,32,51,46,55,49,55,50,56,101,45,51,51,
      32,49,46,51,55,49,57,49,101,45,51,51,32,53,46,48,49,56,57,56,101,45,51,52,32,
      49,46,50,52,51,57,56,101,45,51,52,32,52,46,53,53,53,48,51,101,45,51,53,32,49,
      46,54,53,51,53,53,101,45,51,53,10,32,32,53,46,48,55,50,56,50,101,45,51,54,32,
      49,46,51,49,52,48,49,101,45,51,54,32,51,46,50,49,50,52,56,101,45,51,55,32,49,
      46,49,53,51,50,54,101,45,51,55,32,48,114,56,54,32,50,46,51,54,51,53,52,101,
      45,51,55,32,53,46,52,51,56,49,49,101,45,51,55,32,49,46,49,56,49,50,49,101,45,
      51,54,10,32,32,50,46,52,52,48,52,50,101,45,51,54,32,53,46,50,51,57,53,57,101,
      45,51,54,32,49,46,49,53,55,49,56,101,45,51,53,32,50,46,54,48,53,55,55,101,45,
      51,53,32,53,46,57,51,56,48,56,101,45,51,53,32,49,46,51,54,49,53,50,101,45,51,
      52,32,51,46,52,53,57,54,57,101,45,51,52,10,32,32,55,46,57,48,49,56,50,101,45,
      51,52,32,49,46,56,56,51,57,53,101,45,51,51,32,53,46,50,57,56,54,54,101,45,51,
      51,32,57,46,49,54,53,48,56,101,45,51,49,32,49,46,55,50,51,57,51,101,45,51,48,
      32,51,46,53,56,51,52,49,101,45,51,48,32,56,46,50,49,51,54,50,101,45,51,48,10,
      32,32,49,46,56,54,50,56,55,101,45,50,57,32,51,46,48,49,49,56,53,101,45,50,55,
      32,53,46,54,48,48,56,56,101,45,50,55,32,57,46,55,52,54,48,50,101,45,50,55,32,
      49,46,54,55,55,50,50,101,45,50,54,32,51,46,48,55,54,55,101,45,50,54,32,55,46,
      55,55,53,48,50,101,45,50,54,10,32,32,52,46,55,54,57,52,101,45,50,53,32,55,46,
      57,54,51,48,57,101,45,50,53,32,49,46,49,55,54,52,101,45,50,52,32,49,46,55,51,
      54,50,101,45,50,52,32,50,46,56,53,56,53,49,101,45,50,52,32,52,46,56,53,55,51,
      57,101,45,50,52,32,55,46,52,52,54,49,52,101,45,50,52,10,32,32,49,46,48,53,55,
      54,56,101,45,50,51,32,49,46,54,55,55,49,57,101,45,50,51,32,50,46,53,56,49,56,
      54,101,45,50,51,32,51,46,56,57,49,51,57,101,45,50,51,32,53,46,53,54,55,50,51,
      101,45,50,51,32,55,46,56,54,51,51,50,101,45,50,51,32,49,46,48,56,56,53,54,101,
      45,50,50,10,32,32,49,46,53,51,56,49,56,101,45,50,50,32,50,46,48,57,49,53,51,
      101,45,50,50,32,50,46,53,57,52,48,55,101,45,50,50,32,51,46,56,50,51,50,101,
      45,50,50,32,53,46,52,48,52,54,55,101,45,50,50,32,55,46,51,53,53,50,52,101,45,
      50,50,32,49,46,48,49,49,54,54,101,45,50,49,10,32,32,49,46,51,50,57,55,54,101,
      45,50,49,32,49,46,55,54,49,57,55,101,45,50,49,32,50,46,50,55,54,48,55,101,45,
      50,49,32,50,46,56,54,57,54,52,101,45,50,49,32,51,46,53,51,53,50,56,101,45,50,
      49,32,52,46,51,57,55,48,53,101,45,50,49,32,53,46,49,49,51,53,57,101,45,50,49,
      10,32,32,53,46,57,48,52,49,52,101,45,50,49,32,55,46,51,55,53,48,54,101,45,50,
      49,32,56,46,51,56,52,52,101,45,50,49,32,49,46,48,49,52,52,51,101,45,50,48,32,
      49,46,50,50,51,54,52,101,45,50,48,32,49,46,51,54,48,52,101,45,50,48,32,49,46,
      53,48,53,57,101,45,50,48,10,32,32,49,46,55,53,50,55,51,101,45,50,48,32,50,46,
      48,52,55,52,57,101,45,50,48,32,50,46,50,50,48,53,52,101,45,50,48,32,50,46,53,
      49,50,54,49,101,45,50,48,32,50,46,54,57,55,53,52,101,45,50,48,32,51,46,48,48,
      55,49,55,101,45,50,48,32,51,46,50,54,53,53,54,101,45,50,48,10,32,32,51,46,54,
      53,50,55,50,101,45,50,48,32,51,46,56,49,52,52,49,101,45,50,48,32,52,46,49,50,
      54,49,52,101,45,50,48,32,52,46,52,54,56,55,55,101,45,50,48,32,52,46,55,53,48,
      49,49,101,45,50,48,32,53,46,48,50,53,50,57,101,45,50,48,32,53,46,50,55,53,51,
      49,101,45,50,48,10,32,32,53,46,53,49,50,55,55,101,45,50,48,32,53,46,55,54,52,
      101,45,50,48,32,53,46,57,55,53,101,45,50,48,32,54,46,49,57,50,56,101,45,50,
      48,32,54,46,51,52,50,50,55,101,45,50,48,32,54,46,53,54,52,57,50,101,45,50,48,
      32,54,46,54,56,55,55,49,101,45,50,48,32,54,46,56,50,53,48,52,101,45,50,48,10,
      32,32,55,46,48,55,54,49,52,101,45,50,48,32,55,46,50,53,56,57,55,101,45,50,48,
      32,55,46,50,53,54,55,56,101,45,50,48,32,55,46,48,50,50,56,54,101,45,50,48,32,
      54,46,53,54,56,51,57,101,45,50,48,32,53,46,56,56,56,50,53,101,45,50,48,32,53,
      46,48,56,49,53,101,45,50,48,10,32,32,51,46,56,57,55,51,53,101,45,50,48,32,50,
      46,56,54,51,52,50,101,45,50,48,32,50,46,50,51,56,55,50,101,45,50,48,32,49,46,
      54,53,54,55,101,45,50,48,32,49,46,48,54,54,50,54,101,45,50,48,32,55,46,48,49,
      50,49,52,101,45,50,49,32,52,46,52,56,50,52,54,101,45,50,49,10,32,32,50,46,54,
      48,52,51,56,101,45,50,49,32,49,46,52,54,55,55,49,101,45,50,49,32,56,46,54,56,
      54,54,50,101,45,50,50,32,53,46,48,52,50,56,55,101,45,50,50,32,50,46,56,55,53,
      54,50,101,45,50,50,32,49,46,52,56,51,57,52,101,45,50,50,32,54,46,56,57,48,48,
      56,101,45,50,51,10,32,32,50,46,56,54,51,52,51,101,45,50,51,32,49,46,50,55,50,
      54,49,101,45,50,51,32,53,46,48,54,49,51,57,101,45,50,52,32,50,46,49,55,49,52,
      54,101,45,50,52,32,57,46,49,56,51,53,50,101,45,50,53,32,51,46,52,55,54,49,50,
      101,45,50,53,32,49,46,50,48,55,51,56,101,45,50,53,10,32,32,53,46,50,55,57,57,
      54,101,45,50,54,32,50,46,48,48,55,48,56,101,45,50,54,32,56,46,53,48,54,49,53,
      101,45,50,55,32,51,46,51,55,49,48,53,101,45,50,55,32,49,46,51,50,53,56,55,101,
      45,50,55,32,53,46,49,55,56,51,57,101,45,50,56,32,50,46,48,48,57,52,51,101,45,
      50,56,10,32,32,55,46,55,53,48,55,55,101,45,50,57,32,50,46,57,55,51,48,50,101,
      45,50,57,32,49,46,49,51,52,52,57,101,45,50,57,32,52,46,51,48,56,51,52,101,45,
      51,48,32,49,46,54,50,56,56,101,45,51,48,32,54,46,49,51,49,57,57,101,45,51,49,
      32,50,46,50,57,57,52,57,101,45,51,49,10,32,32,56,46,53,57,49,52,52,101,45,51,
      50,32,51,46,48,52,48,51,51,101,45,51,50,32,55,46,56,50,49,52,49,101,45,51,51,
      32,50,46,56,57,57,53,52,101,45,51,51,32,49,46,48,55,49,55,57,101,45,51,51,32,
      51,46,57,50,54,53,51,101,45,51,52,32,57,46,55,52,56,55,49,101,45,51,53,10,32,
      32,51,46,53,55,52,56,55,101,45,51,53,32,49,46,50,57,57,50,51,101,45,51,53,32,
      52,46,48,51,49,50,52,101,45,51,54,32,49,46,48,50,56,53,53,101,45,51,54,32,51,
      46,53,48,56,50,56,101,45,51,55,32,56,46,57,52,57,56,56,101,45,51,56,32,48,114,
      56,54,32,53,46,50,53,50,48,53,101,45,51,56,10,32,32,49,46,50,50,56,56,56,101,
      45,51,55,32,50,46,55,49,49,52,49,101,45,51,55,32,53,46,54,56,52,55,56,101,45,
      51,55,32,49,46,50,51,57,54,101,45,51,54,32,50,46,55,56,50,49,56,101,45,51,54,
      32,54,46,51,54,57,54,52,101,45,51,54,32,49,46,52,55,54,50,101,45,51,53,10,32,
      32,51,46,52,52,49,49,56,101,45,51,53,32,56,46,57,48,56,55,56,101,45,51,53,32,
      50,46,48,54,57,54,50,101,45,51,52,32,53,46,48,50,51,55,51,101,45,51,52,32,49,
      46,52,52,51,53,54,101,45,51,51,32,50,46,55,50,49,50,56,101,45,51,49,32,53,46,
      49,57,54,53,51,101,45,51,49,10,32,32,49,46,48,57,57,51,51,101,45,51,48,32,50,
      46,53,55,48,57,49,101,45,51,48,32,53,46,57,52,56,53,54,101,45,51,48,32,49,46,
      48,56,55,55,51,101,45,50,55,32,50,46,48,54,53,50,54,101,45,50,55,32,51,46,54,
      54,49,56,50,101,45,50,55,32,54,46,52,49,57,56,57,101,45,50,55,10,32,32,49,46,
      50,48,50,54,51,101,45,50,54,32,51,46,49,49,56,57,49,101,45,50,54,32,50,46,50,
      53,49,49,55,101,45,50,53,32,51,46,56,50,48,57,101,45,50,53,32,53,46,55,49,52,
      49,56,101,45,50,53,32,56,46,53,51,52,53,52,101,45,50,53,32,49,46,52,50,54,49,
      49,101,45,50,52,10,32,32,50,46,53,49,54,49,101,45,50,52,32,51,46,56,56,56,49,
      56,101,45,50,52,32,53,46,54,48,54,56,101,45,50,52,32,56,46,57,54,50,55,57,101,
      45,50,52,32,49,46,51,57,48,57,51,101,45,50,51,32,50,46,49,49,49,50,55,101,45,
      50,51,32,51,46,48,51,56,56,57,101,45,50,51,10,32,32,52,46,51,49,54,56,55,101,
      45,50,51,32,54,46,48,48,55,54,101,45,50,51,32,56,46,53,51,53,52,50,101,45,50,
      51,32,49,46,49,54,54,52,57,101,45,50,50,32,49,46,52,53,49,52,56,101,45,50,50,
      32,50,46,49,53,49,52,52,101,45,50,50,32,51,46,48,53,54,52,51,101,45,50,50,10,
      32,32,52,46,49,55,55,52,54,101,45,50,50,32,53,46,55,55,49,49,52,101,45,50,50,
      32,55,46,54,49,52,53,55,101,45,50,50,32,49,46,48,49,50,57,49,101,45,50,49,32,
      49,46,51,49,51,50,49,101,45,50,49,32,49,46,54,54,49,50,51,101,45,50,49,32,50,
      46,48,53,50,57,101,45,50,49,10,32,32,50,46,53,54,49,56,51,101,45,50,49,32,50,
      46,57,56,54,51,55,101,45,50,49,32,51,46,52,53,54,48,53,101,45,50,49,32,52,46,
      51,51,51,49,50,101,45,50,49,32,52,46,57,51,55,48,55,101,45,50,49,32,53,46,57,
      57,51,56,101,45,50,49,32,55,46,50,53,53,52,49,101,45,50,49,10,32,32,56,46,48,
      56,51,48,49,101,45,50,49,32,56,46,57,54,53,56,50,101,45,50,49,32,49,46,48,52,
      54,56,53,101,45,50,48,32,49,46,50,50,55,48,57,101,45,50,48,32,49,46,51,51,51,
      50,57,101,45,50,48,32,49,46,53,49,51,49,49,101,45,50,48,32,49,46,54,50,55,51,
      54,101,45,50,48,10,32,32,49,46,56,49,57,50,57,101,45,50,48,32,49,46,57,56,48,
      48,55,101,45,50,48,32,50,46,50,50,50,48,53,101,45,50,48,32,50,46,51,50,51,52,
      57,101,45,50,48,32,50,46,53,49,57,55,50,101,45,50,48,32,50,46,55,51,54,52,52,
      101,45,50,48,32,50,46,57,49,53,50,53,101,45,50,48,10,32,32,51,46,48,57,48,57,
      55,101,45,50,48,32,51,46,50,53,49,51,57,101,45,50,48,32,51,46,52,48,52,53,49,
      101,45,50,48,32,51,46,53,54,55,52,50,101,45,50,48,32,51,46,55,48,53,48,57,101,
      45,50,48,32,51,46,56,52,56,49,54,101,45,50,48,32,51,46,57,52,55,48,51,101,45,
      50,48,10,32,32,52,46,48,57,53,54,50,101,45,50,48,32,52,46,49,55,56,52,52,101,
      45,50,48,32,52,46,50,55,50,48,55,101,45,50,48,32,52,46,52,52,55,57,50,101,45,
      50,48,32,52,46,53,56,56,55,101,45,50,48,32,52,46,54,49,50,48,53,101,45,50,48,
      32,52,46,52,57,50,55,51,101,45,50,48,10,32,32,52,46,50,50,56,51,55,101,45,50,
      48,32,51,46,56,49,52,49,50,101,45,50,48,32,51,46,51,49,55,52,53,101,45,50,48,
      32,50,46,53,54,56,51,49,101,45,50,48,32,49,46,57,48,51,50,101,45,50,48,32,49,
      46,52,57,54,54,57,101,45,50,48,32,49,46,49,49,52,54,101,45,50,48,10,32,32,55,
      46,50,51,49,57,56,101,45,50,49,32,52,46,55,56,56,53,49,101,45,50,49,32,51,46,
      48,56,49,48,55,101,45,50,49,32,49,46,56,48,50,57,54,101,45,50,49,32,49,46,48,
      50,50,57,57,101,45,50,49,32,54,46,48,56,56,57,51,101,45,50,50,32,51,46,53,53,
      52,101,45,50,50,10,32,32,50,46,48,51,55,49,53,101,45,50,50,32,49,46,48,53,55,
      49,56,101,45,50,50,32,52,46,57,51,56,48,54,101,45,50,51,32,50,46,48,54,53,48,
      53,101,45,50,51,32,57,46,50,50,54,52,56,101,45,50,52,32,51,46,54,56,57,56,53,
      101,45,50,52,32,49,46,53,57,48,52,53,101,45,50,52,10,32,32,54,46,55,53,54,49,
      101,45,50,53,32,50,46,53,54,57,49,53,101,45,50,53,32,56,46,57,54,53,50,49,101,
      45,50,54,32,51,46,57,51,51,56,55,101,45,50,54,32,49,46,53,48,48,57,55,101,45,
      50,54,32,54,46,51,56,49,48,51,101,45,50,55,32,50,46,53,51,54,56,54,101,45,50,
      55,10,32,32,49,46,48,48,48,55,57,101,45,50,55,32,51,46,57,49,57,57,53,101,45,
      50,56,32,49,46,53,50,53,50,55,101,45,50,56,32,53,46,56,57,56,54,49,101,45,50,
      57,32,50,46,50,54,56,50,49,101,45,50,57,32,56,46,54,55,54,48,51,101,45,51,48,
      32,51,46,51,48,50,51,50,101,45,51,48,10,32,32,49,46,50,53,49,49,57,101,45,51,
      48,32,52,46,55,50,48,50,53,101,45,51,49,32,49,46,55,55,51,54,52,101,45,51,49,
      32,54,46,54,51,57,52,57,101,45,51,50,32,50,46,51,53,51,53,57,101,45,51,50,32,
      54,46,48,56,53,51,101,45,51,51,32,50,46,50,53,57,54,55,101,45,51,51,10,32,32,
      56,46,51,54,54,51,101,45,51,52,32,51,46,48,54,57,54,101,45,51,52,32,55,46,54,
      52,51,57,54,101,45,51,53,32,50,46,56,48,51,55,49,101,45,51,53,32,49,46,48,50,
      51,51,55,101,45,51,53,32,51,46,50,48,48,51,51,101,45,51,54,32,56,46,48,52,54,
      49,49,101,45,51,55,10,32,32,50,46,55,52,51,48,53,101,45,51,55,32,54,46,57,51,
      57,50,53,101,45,51,56,32,48,114,56,55,32,50,46,55,54,49,52,56,101,45,51,56,
      32,54,46,49,56,56,57,55,101,45,51,56,32,49,46,51,49,54,55,53,101,45,51,55,32,
      50,46,57,49,53,57,56,101,45,51,55,32,54,46,54,53,48,55,54,101,45,51,55,10,32,
      32,49,46,53,52,56,101,45,51,54,32,51,46,54,52,56,51,57,101,45,51,54,32,56,46,
      54,53,48,51,57,101,45,51,54,32,50,46,50,55,57,52,101,45,51,53,32,53,46,51,56,
      56,53,50,101,45,51,53,32,49,46,51,51,49,54,50,101,45,51,52,32,51,46,57,48,57,
      49,54,101,45,51,52,10,32,32,56,46,48,49,56,56,101,45,51,50,32,49,46,53,53,52,
      53,101,45,51,49,32,51,46,51,52,54,55,54,101,45,51,49,32,55,46,57,56,53,49,53,
      101,45,51,49,32,49,46,56,56,52,56,49,101,45,51,48,32,51,46,56,55,49,54,52,101,
      45,50,56,32,55,46,53,48,53,54,57,101,45,50,56,10,32,32,49,46,51,53,54,48,52,
      101,45,50,55,32,50,46,52,50,50,48,53,101,45,50,55,32,52,46,54,51,51,53,51,101,
      45,50,55,32,49,46,50,51,51,53,55,101,45,50,54,32,49,46,48,51,55,53,101,45,50,
      53,32,49,46,55,57,51,55,55,101,45,50,53,32,50,46,55,49,57,55,53,101,45,50,53,
      10,32,32,52,46,49,49,55,48,50,101,45,50,53,32,54,46,57,57,53,50,50,101,45,50,
      53,32,49,46,51,51,50,52,49,101,45,50,52,32,50,46,48,53,55,52,51,101,45,50,52,
      32,51,46,48,50,57,52,53,101,45,50,52,32,52,46,56,52,53,49,51,101,45,50,52,32,
      55,46,53,52,55,49,50,101,45,50,52,10,32,32,49,46,49,52,57,57,52,101,45,50,51,
      32,49,46,54,54,50,48,51,101,45,50,51,32,50,46,51,55,49,53,56,101,45,50,51,32,
      51,46,51,49,53,50,57,101,45,50,51,32,52,46,55,51,51,54,53,101,45,50,51,32,54,
      46,53,48,48,52,55,101,45,50,51,32,56,46,49,49,52,50,53,101,45,50,51,10,32,32,
      49,46,50,48,57,53,55,101,45,50,50,32,49,46,55,50,55,101,45,50,50,32,50,46,51,
      55,48,56,54,101,45,50,50,32,51,46,50,57,48,49,56,101,45,50,50,32,52,46,51,53,
      55,57,57,101,45,50,50,32,53,46,56,50,48,51,50,101,45,50,50,32,55,46,53,55,51,
      55,55,101,45,50,50,10,32,32,57,46,54,49,51,52,53,101,45,50,50,32,49,46,49,57,
      49,55,49,101,45,50,49,32,49,46,52,57,50,49,49,101,45,50,49,32,49,46,55,52,51,
      53,50,101,45,50,49,32,50,46,48,50,50,52,101,45,50,49,32,50,46,53,52,53,48,51,
      101,45,50,49,32,50,46,57,48,54,49,54,101,45,50,49,10,32,32,51,46,53,52,48,50,
      49,101,45,50,49,32,52,46,51,48,48,51,56,101,45,50,49,32,52,46,56,48,48,55,55,
      101,45,50,49,32,53,46,51,51,53,57,49,101,45,50,49,32,54,46,50,52,57,56,54,101,
      45,50,49,32,55,46,51,53,48,56,49,101,45,50,49,32,56,46,48,48,49,55,51,101,45,
      50,49,10,32,32,57,46,49,48,55,54,50,101,45,50,49,32,57,46,56,49,50,53,101,45,
      50,49,32,49,46,49,48,48,48,54,101,45,50,48,32,49,46,49,57,57,57,54,101,45,50,
      48,32,49,46,51,53,48,57,53,101,45,50,48,32,49,46,52,49,52,52,56,101,45,50,48,
      32,49,46,53,51,55,55,54,101,45,50,48,10,32,32,49,46,54,55,52,53,53,101,45,50,
      48,32,49,46,55,56,55,57,52,101,45,50,48,32,49,46,56,57,57,56,55,101,45,50,48,
      32,50,46,48,48,50,53,50,101,45,50,48,32,50,46,49,48,48,57,55,101,45,50,48,32,
      50,46,50,48,54,50,53,101,45,50,48,32,50,46,50,57,53,55,52,101,45,50,48,10,32,
      32,50,46,51,56,57,51,49,101,45,50,48,32,50,46,52,53,52,51,57,101,45,50,48,32,
      50,46,53,53,50,57,55,101,45,50,48,32,50,46,54,48,56,52,51,101,45,50,48,32,50,
      46,54,55,49,55,50,101,45,50,48,32,50,46,55,57,51,51,101,45,50,48,32,50,46,56,
      57,55,56,57,101,45,50,48,10,32,32,50,46,57,50,56,50,50,101,45,50,48,32,50,46,
      56,55,49,48,57,101,45,50,48,32,50,46,55,49,57,50,51,101,45,50,48,32,50,46,52,
      55,49,49,54,101,45,50,48,32,50,46,49,54,51,51,55,101,45,50,48,32,49,46,54,57,
      48,54,52,101,45,50,48,32,49,46,50,54,51,53,55,101,45,50,48,10,32,32,57,46,57,
      57,52,55,101,45,50,49,32,55,46,52,57,48,50,55,101,45,50,49,32,52,46,56,57,57,
      52,56,101,45,50,49,32,51,46,50,54,54,50,101,45,50,49,32,50,46,49,49,53,51,49,
      101,45,50,49,32,49,46,50,52,54,54,55,101,45,50,49,32,55,46,49,50,49,54,50,101,
      45,50,50,10,32,32,52,46,50,54,50,57,50,101,45,50,50,32,50,46,53,48,49,54,57,
      101,45,50,50,32,49,46,52,52,49,52,50,101,45,50,50,32,55,46,53,50,50,52,56,101,
      45,50,51,32,51,46,53,51,52,56,51,101,45,50,51,32,49,46,52,56,55,53,49,101,45,
      50,51,32,54,46,54,56,49,51,57,101,45,50,52,10,32,32,50,46,54,56,54,56,55,101,
      45,50,52,32,49,46,49,54,51,53,55,101,45,50,52,32,52,46,57,54,52,55,49,101,45,
      50,53,32,49,46,56,57,54,55,51,101,45,50,53,32,54,46,54,52,57,55,56,101,45,50,
      54,32,50,46,57,50,55,56,53,101,45,50,54,32,49,46,49,50,49,51,50,101,45,50,54,
      10,32,32,52,46,55,56,49,57,55,101,45,50,55,32,49,46,57,48,55,50,101,45,50,55,
      32,55,46,53,52,54,54,56,101,45,50,56,32,50,46,57,54,52,52,56,101,45,50,56,32,
      49,46,49,53,54,54,55,101,45,50,56,32,52,46,52,56,52,57,49,101,45,50,57,32,49,
      46,55,50,56,57,50,101,45,50,57,10,32,32,54,46,54,50,57,48,56,101,45,51,48,32,
      50,46,53,50,56,57,57,101,45,51,48,32,57,46,54,48,50,57,52,101,45,51,49,32,51,
      46,54,51,48,52,52,101,45,51,49,32,49,46,51,54,54,56,57,101,45,51,49,32,53,46,
      49,50,54,55,57,101,45,51,50,32,49,46,56,50,48,52,56,101,45,51,50,10,32,32,52,
      46,55,51,49,48,49,101,45,51,51,32,49,46,55,53,57,55,50,101,45,51,51,32,54,46,
      53,50,53,57,54,101,45,51,52,32,50,46,51,57,55,55,51,101,45,51,52,32,53,46,57,
      56,52,54,51,101,45,51,53,32,50,46,49,57,55,51,49,101,45,51,53,32,56,46,48,51,
      48,52,52,101,45,51,54,10,32,32,50,46,53,49,48,57,54,101,45,51,54,32,54,46,52,
      57,48,51,53,101,45,51,55,32,50,46,49,52,51,49,57,101,45,51,55,32,53,46,51,55,
      53,52,52,101,45,51,56,32,48,114,56,57,32,51,46,48,50,56,55,55,101,45,51,56,
      32,54,46,56,49,49,54,51,101,45,51,56,32,49,46,53,55,56,55,50,101,45,51,55,10,
      32,32,51,46,55,51,53,54,52,101,45,51,55,32,56,46,57,53,51,50,52,101,45,51,55,
      32,50,46,49,53,57,49,49,101,45,51,54,32,53,46,55,57,51,51,53,101,45,51,54,32,
      49,46,51,57,50,49,51,101,45,51,53,32,51,46,53,48,52,49,56,101,45,51,53,32,49,
      46,48,53,48,57,50,101,45,51,52,10,32,32,50,46,51,51,55,57,52,101,45,51,50,32,
      52,46,54,48,48,56,52,101,45,51,50,32,49,46,48,48,56,48,51,101,45,51,49,32,50,
      46,52,53,51,54,50,101,45,51,49,32,53,46,57,48,55,55,57,101,45,51,49,32,49,46,
      51,54,49,57,55,101,45,50,56,32,50,46,54,57,53,56,55,101,45,50,56,10,32,32,52,
      46,57,54,50,56,54,101,45,50,56,32,57,46,48,51,48,52,51,101,45,50,56,32,49,46,
      55,54,52,49,57,101,45,50,55,32,52,46,56,49,57,54,101,45,50,55,32,52,46,55,48,
      48,54,49,101,45,50,54,32,56,46,50,56,52,57,49,101,45,50,54,32,49,46,50,55,52,
      51,53,101,45,50,53,10,32,32,49,46,57,53,54,51,50,101,45,50,53,32,51,46,51,56,
      50,55,57,101,45,50,53,32,55,46,49,49,49,57,52,101,45,50,53,32,49,46,48,57,52,
      50,56,101,45,50,52,32,49,46,54,52,53,52,53,101,45,50,52,32,50,46,54,50,57,50,
      56,101,45,50,52,32,52,46,49,48,53,55,101,45,50,52,10,32,32,54,46,50,55,50,52,
      51,101,45,50,52,32,57,46,48,57,53,50,53,101,45,50,52,32,49,46,51,48,50,55,49,
      101,45,50,51,32,49,46,56,50,56,51,101,45,50,51,32,50,46,54,50,50,50,56,101,
      45,50,51,32,51,46,54,49,55,50,52,101,45,50,51,32,52,46,53,50,56,56,53,101,45,
      50,51,10,32,32,54,46,55,56,56,49,52,101,45,50,51,32,57,46,55,51,57,54,49,101,
      45,50,51,32,49,46,51,52,50,56,57,101,45,50,50,32,49,46,56,55,49,57,56,101,45,
      50,50,32,50,46,52,56,57,48,55,101,45,50,50,32,51,46,51,51,55,52,53,101,45,50,
      50,32,52,46,51,53,56,55,54,101,45,50,50,10,32,32,53,46,53,53,49,49,50,101,45,
      50,50,32,54,46,57,48,50,52,52,101,45,50,50,32,56,46,54,55,48,56,55,101,45,50,
      50,32,49,46,48,49,53,53,53,101,45,50,49,32,49,46,49,56,48,54,56,101,45,50,49,
      32,49,46,52,57,49,50,50,101,45,50,49,32,49,46,55,48,54,53,52,101,45,50,49,10,
      32,32,50,46,48,56,53,56,55,101,45,50,49,32,50,46,53,52,50,53,56,101,45,50,49,
      32,50,46,56,52,52,50,51,101,45,50,49,32,51,46,49,54,55,54,56,101,45,50,49,32,
      51,46,55,50,49,57,52,101,45,50,49,32,52,46,51,57,50,52,56,101,45,50,49,32,52,
      46,55,57,48,51,50,101,45,50,49,10,32,32,53,46,52,54,56,52,55,101,45,50,49,32,
      53,46,57,48,50,49,52,101,45,50,49,32,54,46,54,51,53,53,50,101,45,50,49,32,55,
      46,50,53,52,53,101,45,50,49,32,56,46,49,57,52,48,54,101,45,50,49,32,56,46,53,
      57,48,56,101,45,50,49,32,57,46,51,54,51,49,57,101,45,50,49,10,32,32,49,46,48,
      50,50,52,49,101,45,50,48,32,49,46,48,57,52,49,101,45,50,48,32,49,46,49,54,53,
      49,56,101,45,50,48,32,49,46,50,51,48,54,54,101,45,50,48,32,49,46,50,57,51,55,
      51,101,45,50,48,32,49,46,51,54,49,53,52,101,45,50,48,32,49,46,52,49,57,52,56,
      101,45,50,48,10,32,32,49,46,52,56,48,52,50,101,45,50,48,32,49,46,53,50,51,48,
      54,101,45,50,48,32,49,46,53,56,56,49,50,101,45,50,48,32,49,46,54,50,53,48,52,
      101,45,50,48,32,49,46,54,54,55,53,50,101,45,50,48,32,49,46,55,53,48,55,51,101,
      45,50,48,32,49,46,56,50,54,53,54,101,45,50,48,10,32,32,49,46,56,53,53,53,56,
      101,45,50,48,32,49,46,56,51,49,50,54,101,45,50,48,32,49,46,55,52,53,52,50,101,
      45,50,48,32,49,46,53,57,57,53,56,101,45,50,48,32,49,46,52,48,55,57,54,101,45,
      50,48,32,49,46,49,49,48,54,54,101,45,50,48,32,56,46,51,55,50,50,52,101,45,50,
      49,10,32,32,54,46,54,54,48,57,55,101,45,50,49,32,53,46,48,50,51,52,54,101,45,
      50,49,32,51,46,51,49,50,54,50,101,45,50,49,32,50,46,50,50,51,51,56,101,45,50,
      49,32,49,46,52,52,57,51,56,101,45,50,49,32,56,46,54,48,51,49,56,101,45,50,50,
      32,52,46,57,52,56,49,52,101,45,50,50,10,32,32,50,46,57,55,56,55,56,101,45,50,
      50,32,49,46,55,53,55,54,51,101,45,50,50,32,49,46,48,49,56,101,45,50,50,32,53,
      46,51,52,50,57,51,101,45,50,51,32,50,46,53,50,53,56,53,101,45,50,51,32,49,46,
      48,54,57,54,52,101,45,50,51,32,52,46,56,51,48,49,52,101,45,50,52,10,32,32,49,
      46,57,53,51,50,57,101,45,50,52,32,56,46,52,57,56,57,57,101,45,50,53,32,51,46,
      54,52,50,53,56,101,45,50,53,32,49,46,51,57,56,49,53,101,45,50,53,32,52,46,57,
      50,52,57,57,101,45,50,54,32,50,46,49,55,53,57,50,101,45,50,54,32,56,46,51,54,
      53,48,49,101,45,50,55,10,32,32,51,46,53,55,56,54,51,101,45,50,55,32,49,46,52,
      51,49,56,54,101,45,50,55,32,53,46,54,56,51,49,56,101,45,50,56,32,50,46,50,51,
      56,57,56,101,45,50,56,32,56,46,55,54,48,50,54,101,45,50,57,32,51,46,52,48,53,
      55,53,101,45,50,57,32,49,46,51,49,54,50,52,101,45,50,57,10,32,32,53,46,48,53,
      57,101,45,51,48,32,49,46,57,51,52,52,56,101,45,51,48,32,55,46,51,54,49,56,51,
      101,45,51,49,32,50,46,55,56,57,49,101,45,51,49,32,49,46,48,53,50,50,55,101,
      45,51,49,32,51,46,57,53,52,52,54,101,45,51,50,32,49,46,52,48,54,54,56,101,45,
      51,50,10,32,32,51,46,54,55,52,53,52,101,45,51,51,32,49,46,51,54,57,48,53,101,
      45,51,51,32,53,46,48,56,53,53,53,101,45,51,52,32,49,46,56,55,49,49,53,101,45,
      51,52,32,52,46,54,56,49,52,101,45,51,53,32,49,46,55,50,48,55,51,101,45,51,53,
      32,54,46,51,50,51,50,101,45,51,54,10,32,32,49,46,57,56,50,57,53,101,45,51,54,
      32,53,46,48,55,52,57,57,101,45,51,55,32,49,46,54,55,51,50,57,101,45,51,55,32,
      52,46,49,54,48,51,101,45,51,56,32,48,114,57,49,32,51,46,55,51,48,55,56,101,
      45,51,56,32,56,46,57,55,52,51,51,101,45,51,56,32,50,46,49,56,55,49,57,101,45,
      51,55,10,32,32,53,46,51,54,52,52,54,101,45,51,55,32,49,46,52,54,53,54,54,101,
      45,51,54,32,51,46,53,56,49,57,50,101,45,51,54,32,57,46,49,55,50,53,51,101,45,
      51,54,32,50,46,56,49,49,56,53,101,45,51,53,32,54,46,55,56,51,55,56,101,45,51,
      51,32,49,46,51,53,53,49,53,101,45,51,50,10,32,32,51,46,48,50,49,51,57,101,45,
      51,50,32,55,46,53,48,50,52,50,101,45,51,50,32,49,46,56,52,50,54,50,101,45,51,
      49,32,52,46,55,50,55,53,53,101,45,50,57,32,57,46,53,53,51,50,53,101,45,50,57,
      32,49,46,55,57,49,56,49,101,45,50,56,32,51,46,51,50,49,50,50,101,45,50,56,10,
      32,32,54,46,54,50,53,51,49,101,45,50,56,32,49,46,56,53,55,52,50,101,45,50,55,
      32,50,46,48,57,56,50,49,101,45,50,54,32,51,46,55,55,48,51,53,101,45,50,54,32,
      53,46,56,56,52,51,50,101,45,50,54,32,57,46,49,54,51,54,57,101,45,50,54,32,49,
      46,54,49,51,51,54,101,45,50,53,10,32,32,51,46,54,54,49,51,56,101,45,50,53,32,
      53,46,54,56,50,49,54,101,45,50,53,32,56,46,55,55,51,51,55,101,45,50,53,32,49,
      46,52,49,49,52,57,101,45,50,52,32,50,46,50,49,57,56,52,101,45,50,52,32,51,46,
      52,48,56,57,54,101,45,50,52,32,52,46,57,54,53,53,49,101,45,50,52,10,32,32,55,
      46,49,52,51,56,101,45,50,52,32,49,46,48,48,54,57,52,101,45,50,51,32,49,46,52,
      53,49,48,52,101,45,50,51,32,50,46,48,49,48,55,53,101,45,50,51,32,50,46,53,50,
      53,50,54,101,45,50,51,32,51,46,56,48,54,51,52,101,45,50,51,32,53,46,52,56,56,
      57,57,101,45,50,51,10,32,32,55,46,54,48,50,52,53,101,45,50,51,32,49,46,48,54,
      52,55,52,101,45,50,50,32,49,46,52,50,49,52,55,101,45,50,50,32,49,46,57,49,51,
      56,57,101,45,50,50,32,50,46,53,48,57,49,51,101,45,50,50,32,51,46,50,48,54,54,
      53,101,45,50,50,32,51,46,57,57,57,57,55,101,45,50,50,10,32,32,53,46,48,52,49,
      56,54,101,45,50,50,32,53,46,57,49,57,51,101,45,50,50,32,54,46,56,57,55,56,49,
      101,45,50,50,32,56,46,55,52,52,52,101,45,50,50,32,49,46,48,48,50,57,49,101,
      45,50,49,32,49,46,50,50,57,57,56,101,45,50,49,32,49,46,53,48,52,52,55,101,45,
      50,49,10,32,32,49,46,54,56,54,51,55,101,45,50,49,32,49,46,56,56,49,57,101,45,
      50,49,32,50,46,50,49,56,48,51,101,45,50,49,32,50,46,54,50,54,51,53,101,45,50,
      49,32,50,46,56,54,57,52,49,101,45,50,49,32,51,46,50,56,53,48,53,101,45,50,49,
      32,51,46,53,53,49,54,56,101,45,50,49,10,32,32,52,46,48,48,52,101,45,50,49,32,
      52,46,51,56,55,49,50,101,45,50,49,32,52,46,57,55,49,48,49,101,45,50,49,32,53,
      46,50,49,56,52,50,101,45,50,49,32,53,46,55,48,49,53,52,101,45,50,49,32,54,46,
      50,52,50,51,54,101,45,50,49,32,54,46,54,57,52,54,55,101,45,50,49,10,32,32,55,
      46,49,52,52,57,52,101,45,50,49,32,55,46,53,54,49,52,56,101,45,50,49,32,55,46,
      57,54,52,52,53,101,45,50,49,32,56,46,51,57,57,54,55,101,45,50,49,32,56,46,55,
      55,51,52,54,101,45,50,49,32,57,46,49,54,56,56,101,45,50,49,32,57,46,52,52,54,
      56,53,101,45,50,49,10,32,32,57,46,56,55,52,48,53,101,45,50,49,32,49,46,48,49,
      49,56,51,101,45,50,48,32,49,46,48,52,48,49,52,101,45,50,48,32,49,46,48,57,54,
      53,53,101,45,50,48,32,49,46,49,53,48,52,101,45,50,48,32,49,46,49,55,52,56,55,
      101,45,50,48,32,49,46,49,54,54,57,54,101,45,50,48,10,32,32,49,46,49,49,57,50,
      57,101,45,50,48,32,49,46,48,51,52,56,53,101,45,50,48,32,57,46,49,53,51,54,56,
      101,45,50,49,32,55,46,50,56,56,51,49,101,45,50,49,32,53,46,53,52,48,55,52,101,
      45,50,49,32,52,46,52,51,51,55,54,101,45,50,49,32,51,46,51,54,52,56,101,45,50,
      49,10,32,32,50,46,50,51,54,55,57,101,45,50,49,32,49,46,53,49,49,52,57,101,45,
      50,49,32,57,46,57,49,55,52,101,45,50,50,32,53,46,57,50,56,56,50,101,45,50,50,
      32,51,46,52,51,51,50,49,101,45,50,50,32,50,46,48,55,56,53,53,101,45,50,50,32,
      49,46,50,51,51,49,51,101,45,50,50,10,32,32,55,46,49,55,57,53,49,101,45,50,51,
      32,51,46,55,56,57,53,54,101,45,50,51,32,49,46,56,48,50,51,54,101,45,50,51,32,
      55,46,54,56,48,57,55,101,45,50,52,32,51,46,52,56,55,49,101,45,50,52,32,49,46,
      52,49,56,49,101,45,50,52,32,54,46,49,57,57,54,56,101,45,50,53,10,32,32,50,46,
      54,54,57,48,56,101,45,50,53,32,49,46,48,50,57,51,51,101,45,50,53,32,51,46,54,
      52,51,48,53,101,45,50,54,32,49,46,54,49,53,49,51,101,45,50,54,32,54,46,50,51,
      50,56,51,101,45,50,55,32,50,46,54,55,52,57,53,101,45,50,55,32,49,46,48,55,51,
      55,54,101,45,50,55,10,32,32,52,46,50,55,52,57,57,101,45,50,56,32,49,46,54,56,
      57,49,53,101,45,50,56,32,54,46,54,50,55,53,51,101,45,50,57,32,50,46,53,56,51,
      53,101,45,50,57,32,49,46,48,48,49,48,49,101,45,50,57,32,51,46,56,53,54,56,49,
      101,45,51,48,32,49,46,52,55,56,50,51,101,45,51,48,10,32,32,53,46,54,51,56,49,
      49,101,45,51,49,32,50,46,49,52,48,54,52,101,45,51,49,32,56,46,48,57,50,55,57,
      101,45,51,50,32,51,46,48,52,55,51,49,101,45,51,50,32,49,46,48,56,53,57,50,101,
      45,51,50,32,50,46,56,53,49,52,51,101,45,51,51,32,49,46,48,54,52,49,57,101,45,
      51,51,10,32,32,51,46,57,53,57,54,51,101,45,51,52,32,49,46,52,53,57,48,53,101,
      45,51,52,32,51,46,54,53,56,51,56,101,45,51,53,32,49,46,51,52,54,53,56,101,45,
      51,53,32,52,46,57,53,53,52,57,101,45,51,54,32,49,46,53,53,52,48,52,101,45,51,
      54,32,51,46,57,54,54,48,49,101,45,51,55,10,32,32,49,46,51,57,56,55,55,101,45,
      51,55,32,52,46,48,50,56,54,51,101,45,51,56,32,48,114,57,50,32,50,46,49,52,51,
      56,52,101,45,51,56,32,53,46,51,49,50,57,57,101,45,51,56,32,49,46,51,50,53,50,
      57,101,45,51,55,32,51,46,54,56,55,49,52,101,45,51,55,32,57,46,49,54,52,51,101,
      45,51,55,10,32,32,50,46,51,56,56,57,53,101,45,51,54,32,55,46,52,56,48,55,52,
      101,45,51,54,32,49,46,57,53,51,57,101,45,51,51,32,51,46,57,54,50,48,50,101,
      45,51,51,32,56,46,57,56,56,57,101,45,51,51,32,50,46,50,55,54,57,101,45,51,50,
      32,53,46,55,48,52,48,49,101,45,51,50,10,32,32,49,46,54,50,52,51,53,101,45,50,
      57,32,51,46,51,53,48,54,56,101,45,50,57,32,54,46,52,48,50,52,53,101,45,50,57,
      32,49,46,50,48,56,55,56,101,45,50,56,32,50,46,52,54,50,48,55,101,45,50,56,32,
      55,46,48,56,51,48,55,101,45,50,56,32,57,46,50,49,49,48,56,101,45,50,55,10,32,
      32,49,46,54,56,56,49,53,101,45,50,54,32,50,46,54,55,52,50,56,101,45,50,54,32,
      52,46,50,50,54,54,54,101,45,50,54,32,55,46,53,56,49,57,49,101,45,50,54,32,49,
      46,57,51,57,56,101,45,50,53,32,51,46,48,48,53,50,55,101,45,50,53,32,52,46,55,
      56,49,52,56,101,45,50,53,10,32,32,55,46,54,56,55,48,49,101,45,50,53,32,49,46,
      50,49,50,49,57,101,45,50,52,32,49,46,56,54,52,57,50,101,45,50,52,32,50,46,55,
      50,50,57,56,101,45,50,52,32,51,46,57,50,57,48,52,101,45,50,52,32,53,46,53,53,
      54,50,55,101,45,50,52,32,56,46,48,51,55,57,56,101,45,50,52,10,32,32,49,46,49,
      49,56,50,56,101,45,50,51,32,49,46,52,48,56,51,55,101,45,50,51,32,50,46,49,51,
      52,48,53,101,45,50,51,32,51,46,48,57,50,52,54,101,45,50,51,32,52,46,51,48,50,
      49,55,101,45,50,51,32,54,46,48,53,51,50,56,101,45,50,51,32,56,46,49,49,52,49,
      51,101,45,50,51,10,32,32,49,46,48,57,55,48,53,101,45,50,50,32,49,46,52,52,51,
      55,56,101,45,50,50,32,49,46,56,53,49,54,50,101,45,50,50,32,50,46,51,49,55,49,
      49,101,45,50,50,32,50,46,57,51,48,54,51,101,45,50,50,32,51,46,52,52,56,57,52,
      101,45,50,50,32,52,46,48,50,56,52,55,101,45,50,50,10,32,32,53,46,49,50,53,56,
      57,101,45,50,50,32,53,46,56,57,49,57,49,101,45,50,50,32,55,46,50,53,48,50,56,
      101,45,50,50,32,56,46,56,57,57,48,56,101,45,50,50,32,57,46,57,57,53,51,50,101,
      45,50,50,32,49,46,49,49,55,54,53,101,45,50,49,32,49,46,51,50,49,51,55,101,45,
      50,49,10,32,32,49,46,53,54,57,56,53,101,45,50,49,32,49,46,55,49,56,50,53,101,
      45,50,49,32,49,46,57,55,50,56,50,101,45,50,49,32,50,46,49,51,54,54,51,101,45,
      50,49,32,50,46,52,49,53,52,101,45,50,49,32,50,46,54,53,50,51,52,101,45,50,49,
      32,51,46,48,49,52,56,56,101,45,50,49,10,32,32,51,46,49,54,57,48,50,101,45,50,
      49,32,51,46,52,55,48,57,101,45,50,49,32,51,46,56,49,48,50,53,101,45,50,49,32,
      52,46,48,57,53,50,54,101,45,50,49,32,52,46,51,56,48,49,49,101,45,50,49,32,52,
      46,54,52,52,54,56,101,45,50,49,32,52,46,57,48,49,54,54,101,45,50,49,10,32,32,
      53,46,49,56,48,52,55,101,45,50,49,32,53,46,52,50,49,48,54,101,45,50,49,32,53,
      46,54,55,54,56,51,101,45,50,49,32,53,46,56,53,55,54,51,101,45,50,49,32,54,46,
      49,51,55,49,50,101,45,50,49,32,54,46,50,57,56,101,45,50,49,32,54,46,52,56,53,
      55,56,101,45,50,49,10,32,32,54,46,56,54,53,53,50,101,45,50,49,32,55,46,50,52,
      50,51,49,101,45,50,49,32,55,46,52,51,53,48,57,101,45,50,49,32,55,46,52,51,50,
      51,101,45,50,49,32,55,46,49,55,51,51,101,45,50,49,32,54,46,54,57,49,51,50,101,
      45,50,49,32,53,46,57,52,55,48,52,101,45,50,49,10,32,32,52,46,55,55,57,48,55,
      101,45,50,49,32,51,46,54,54,51,57,56,101,45,50,49,32,50,46,57,52,56,56,53,101,
      45,50,49,32,50,46,50,53,49,57,101,45,50,49,32,49,46,53,48,57,48,50,101,45,50,
      49,32,49,46,48,50,54,54,101,45,50,49,32,54,46,55,55,57,53,57,101,45,50,50,10,
      32,32,52,46,48,56,49,56,50,101,45,50,50,32,50,46,51,55,57,55,49,101,45,50,50,
      32,49,46,52,52,56,57,49,101,45,50,50,32,56,46,54,52,50,54,50,101,45,50,51,32,
      53,46,48,53,56,49,49,101,45,50,51,32,50,46,54,56,52,57,57,101,45,50,51,32,49,
      46,50,56,52,55,53,101,45,50,51,10,32,32,53,46,53,48,57,56,50,101,45,50,52,32,
      50,46,53,49,52,56,53,101,45,50,52,32,49,46,48,50,56,52,55,101,45,50,52,32,52,
      46,53,49,55,55,55,101,45,50,53,32,49,46,57,53,51,55,55,101,45,50,53,32,55,46,
      53,55,48,51,51,101,45,50,54,32,50,46,54,57,50,49,50,101,45,50,54,10,32,32,49,
      46,49,57,55,55,101,45,50,54,32,52,46,54,51,57,54,55,101,45,50,55,32,49,46,57,
      57,55,53,56,101,45,50,55,32,56,46,48,52,52,54,55,101,45,50,56,32,51,46,50,49,
      50,55,56,101,45,50,56,32,49,46,50,55,51,50,101,45,50,56,32,53,46,48,48,57,53,
      55,101,45,50,57,10,32,32,49,46,57,53,56,48,53,101,45,50,57,32,55,46,54,48,54,
      50,49,101,45,51,48,32,50,46,57,51,55,56,49,101,45,51,48,32,49,46,49,50,56,54,
      53,101,45,51,48,32,52,46,51,49,52,52,57,101,45,51,49,32,49,46,54,52,49,54,52,
      101,45,51,49,32,54,46,50,49,57,49,53,101,45,51,50,10,32,32,50,46,51,52,54,52,
      54,101,45,51,50,32,56,46,51,55,54,55,50,101,45,51,51,32,50,46,50,49,49,50,56,
      101,45,51,51,32,56,46,50,54,55,48,52,101,45,51,52,32,51,46,48,56,49,101,45,
      51,52,32,49,46,49,51,54,57,54,101,45,51,52,32,50,46,56,53,55,55,52,101,45,51,
      53,10,32,32,49,46,48,53,52,50,52,101,45,51,53,32,51,46,56,56,49,50,101,45,51,
      54,32,49,46,50,50,50,52,54,101,45,51,54,32,51,46,50,49,53,54,55,101,45,51,55,
      32,49,46,48,57,50,56,55,101,45,51,55,32,51,46,55,48,54,48,56,101,45,51,56,32,
      48,114,57,52,32,51,46,50,53,56,52,50,101,45,51,56,10,32,32,57,46,50,51,48,51,
      51,101,45,51,56,32,50,46,51,51,51,49,52,101,45,51,55,32,54,46,49,57,49,49,54,
      101,45,51,55,32,49,46,57,55,56,57,52,101,45,51,54,32,53,46,53,56,48,49,52,101,
      45,51,52,32,49,46,49,52,56,53,51,101,45,51,51,32,50,46,54,53,49,52,55,101,45,
      51,51,10,32,32,54,46,56,53,48,57,101,45,51,51,32,49,46,55,53,48,53,50,101,45,
      51,50,32,53,46,53,50,50,49,54,101,45,51,48,32,49,46,49,54,50,55,51,101,45,50,
      57,32,50,46,50,54,51,51,50,101,45,50,57,32,52,46,51,53,50,51,57,101,45,50,57,
      32,57,46,48,53,49,50,51,101,45,50,57,10,32,32,50,46,54,55,49,51,51,101,45,50,
      56,32,51,46,57,55,55,55,56,101,45,50,55,32,55,46,52,51,57,53,54,101,45,50,55,
      32,49,46,49,57,54,56,101,45,50,54,32,49,46,57,50,48,53,55,101,45,50,54,32,51,
      46,53,49,50,52,56,101,45,50,54,32,49,46,48,51,57,56,55,101,45,50,53,10,32,32,
      49,46,54,48,52,54,51,101,45,50,53,32,50,46,54,50,56,53,53,101,45,50,53,32,52,
      46,50,49,55,50,52,101,45,50,53,32,54,46,54,54,101,45,50,53,32,49,46,48,50,53,
      49,101,45,50,52,32,49,46,52,57,56,54,52,101,45,50,52,32,50,46,49,54,54,54,49,
      101,45,50,52,10,32,32,51,46,48,55,49,52,53,101,45,50,52,32,52,46,52,53,55,50,
      50,101,45,50,52,32,54,46,50,50,49,56,50,101,45,50,52,32,55,46,56,53,53,49,51,
      101,45,50,52,32,49,46,49,57,53,57,54,101,45,50,51,32,49,46,55,52,48,57,57,101,
      45,50,51,32,50,46,52,51,50,50,57,101,45,50,51,10,32,32,51,46,52,51,55,55,51,
      101,45,50,51,32,52,46,54,50,54,52,56,101,45,50,51,32,54,46,50,56,48,56,57,101,
      45,50,51,32,56,46,50,57,55,54,101,45,50,51,32,49,46,48,54,55,56,56,101,45,50,
      50,32,49,46,51,52,48,54,50,101,45,50,50,32,49,46,55,48,49,51,55,101,45,50,50,
      10,32,32,50,46,48,48,55,49,101,45,50,50,32,50,46,51,52,57,56,52,101,45,50,50,
      32,51,46,48,48,49,49,50,101,45,50,50,32,51,46,52,53,55,50,52,101,45,50,50,32,
      52,46,50,54,56,55,101,45,50,50,32,53,46,50,53,55,54,50,101,45,50,50,32,53,46,
      57,49,55,50,56,101,45,50,50,10,32,32,54,46,54,50,57,56,49,101,45,50,50,32,55,
      46,56,54,50,53,56,101,45,50,50,32,57,46,51,55,50,51,53,101,45,50,50,32,49,46,
      48,50,55,55,101,45,50,49,32,49,46,49,56,51,51,55,101,45,50,49,32,49,46,50,56,
      51,56,53,101,45,50,49,32,49,46,52,53,53,51,55,101,45,50,49,10,32,32,49,46,54,
      48,49,54,55,101,45,50,49,32,49,46,56,50,54,51,56,101,45,50,49,32,49,46,57,50,
      50,50,52,101,45,50,49,32,50,46,49,49,48,53,51,101,45,50,49,32,50,46,51,50,51,
      48,54,101,45,50,49,32,50,46,53,48,50,50,57,101,45,50,49,32,50,46,54,56,50,49,
      49,101,45,50,49,10,32,32,50,46,56,52,57,55,56,101,45,50,49,32,51,46,48,49,51,
      50,57,101,45,50,49,32,51,46,49,57,49,52,52,101,45,50,49,32,51,46,51,52,53,56,
      55,101,45,50,49,32,51,46,53,49,48,56,52,101,45,50,49,32,51,46,54,50,56,101,
      45,50,49,32,51,46,56,49,48,49,55,101,45,50,49,10,32,32,51,46,57,49,53,55,101,
      45,50,49,32,52,46,48,51,57,54,51,101,45,50,49,32,52,46,50,57,51,54,52,101,45,
      50,49,32,52,46,53,53,52,49,54,101,45,50,49,32,52,46,54,57,57,56,101,45,50,49,
      32,52,46,55,50,55,57,51,101,45,50,49,32,52,46,53,57,49,51,53,101,45,50,49,10,
      32,32,52,46,51,49,57,50,51,101,45,50,49,32,51,46,56,53,56,51,55,101,45,50,49,
      32,51,46,49,50,56,56,53,101,45,50,49,32,50,46,52,49,56,57,53,101,45,50,49,32,
      49,46,57,53,55,57,55,101,45,50,49,32,49,46,53,48,52,53,49,101,45,50,49,32,49,
      46,48,49,54,50,55,101,45,50,49,10,32,32,54,46,57,54,48,51,101,45,50,50,32,52,
      46,54,50,54,51,54,101,45,50,50,32,50,46,56,48,53,50,50,101,45,50,50,32,49,46,
      54,52,54,53,53,101,45,50,50,32,49,46,48,48,56,50,51,101,45,50,50,32,54,46,48,
      52,54,55,56,101,45,50,51,32,51,46,53,53,55,52,49,101,45,50,51,10,32,32,49,46,
      56,57,57,49,52,101,45,50,51,32,57,46,49,52,50,53,51,101,45,50,52,32,51,46,57,
      52,53,56,56,101,45,50,52,32,49,46,56,49,48,55,53,101,45,50,52,32,55,46,52,52,
      55,50,49,101,45,50,53,32,51,46,50,56,55,48,54,101,45,50,53,32,49,46,52,50,56,
      101,45,50,53,10,32,32,53,46,53,53,57,53,101,45,50,54,32,49,46,57,56,54,53,53,
      101,45,50,54,32,56,46,56,54,57,48,51,101,45,50,55,32,51,46,52,52,56,57,55,101,
      45,50,55,32,49,46,52,56,57,55,50,101,45,50,55,32,54,46,48,49,57,49,53,101,45,
      50,56,32,50,46,52,49,49,51,55,101,45,50,56,10,32,32,57,46,53,56,52,53,55,101,
      45,50,57,32,51,46,55,56,49,57,50,101,45,50,57,32,49,46,52,56,50,50,51,101,45,
      50,57,32,53,46,55,55,50,56,101,45,51,48,32,50,46,50,51,53,50,49,101,45,51,48,
      32,56,46,54,48,55,54,51,101,45,51,49,32,51,46,50,57,55,57,50,101,45,51,49,10,
      32,32,49,46,50,53,55,53,55,101,45,51,49,32,52,46,55,55,52,49,52,101,45,51,50,
      32,49,46,56,48,52,56,56,101,45,51,50,32,54,46,52,53,53,49,55,101,45,51,51,32,
      49,46,55,49,51,49,51,101,45,51,51,32,54,46,52,49,53,54,55,101,45,51,52,32,50,
      46,51,57,52,57,57,101,45,51,52,10,32,32,56,46,56,53,49,56,51,101,45,51,53,32,
      50,46,50,51,48,49,49,101,45,51,53,32,56,46,50,52,54,56,101,45,51,54,32,51,46,
      48,51,55,52,55,101,45,51,54,32,57,46,53,54,57,52,55,101,45,51,55,32,50,46,53,
      49,50,57,56,101,45,51,55,32,56,46,53,51,52,49,50,101,45,51,56,10,32,32,50,46,
      56,57,50,48,50,101,45,51,56,32,48,114,57,53,32,50,46,49,57,54,50,50,101,45,
      51,56,32,53,46,57,48,54,57,53,101,45,51,56,32,49,46,53,57,53,53,101,45,51,55,
      32,53,46,50,48,57,49,55,101,45,51,55,32,49,46,53,56,50,53,49,101,45,51,52,32,
      51,46,51,48,54,48,54,101,45,51,52,10,32,32,55,46,55,54,53,55,50,101,45,51,52,
      32,50,46,48,52,54,54,51,101,45,51,51,32,53,46,51,51,51,52,56,101,45,51,51,32,
      49,46,56,53,54,49,56,101,45,51,48,32,51,46,57,56,57,49,50,101,45,51,48,32,55,
      46,57,48,57,57,52,101,45,51,48,32,49,46,53,52,57,50,49,101,45,50,57,10,32,32,
      51,46,50,56,57,50,50,101,45,50,57,32,57,46,57,54,48,50,51,101,45,50,57,32,49,
      46,54,57,48,55,54,101,45,50,55,32,51,46,50,50,56,49,52,101,45,50,55,32,53,46,
      50,55,53,49,50,101,45,50,55,32,56,46,53,57,56,49,52,101,45,50,55,32,49,46,54,
      48,51,57,51,101,45,50,54,10,32,32,53,46,52,51,57,55,53,101,45,50,54,32,56,46,
      52,50,49,56,54,101,45,50,54,32,49,46,52,50,49,54,56,101,45,50,53,32,50,46,50,
      56,57,57,51,101,45,50,53,32,51,46,54,51,54,57,49,101,45,50,53,32,53,46,54,49,
      52,55,52,101,45,50,53,32,56,46,50,51,48,54,54,101,45,50,53,10,32,32,49,46,49,
      57,51,50,52,101,45,50,52,32,49,46,54,57,54,53,55,101,45,50,52,32,50,46,52,55,
      48,49,55,101,45,50,52,32,51,46,52,53,57,52,55,101,45,50,52,32,52,46,51,55,56,
      50,53,101,45,50,52,32,54,46,54,57,55,49,54,101,45,50,52,32,57,46,55,57,50,53,
      55,101,45,50,52,10,32,32,49,46,51,55,51,55,55,101,45,50,51,32,49,46,57,53,48,
      50,53,101,45,50,51,32,50,46,54,51,53,48,52,101,45,50,51,32,51,46,53,57,49,57,
      57,101,45,50,51,32,52,46,55,54,51,52,56,101,45,50,51,32,54,46,49,53,50,101,
      45,50,51,32,55,46,55,52,56,48,54,101,45,50,51,10,32,32,57,46,56,54,54,55,53,
      101,45,50,51,32,49,46,49,54,54,55,57,101,45,50,50,32,49,46,51,54,57,50,52,101,
      45,50,50,32,49,46,55,53,53,50,53,101,45,50,50,32,50,46,48,50,54,52,57,101,45,
      50,50,32,50,46,53,49,48,54,49,101,45,50,50,32,51,46,49,48,50,57,55,101,45,50,
      50,10,32,32,51,46,52,57,57,51,57,101,45,50,50,32,51,46,57,50,56,54,49,101,45,
      50,50,32,52,46,54,55,51,53,56,101,45,50,50,32,53,46,53,56,57,54,101,45,50,50,
      32,54,46,49,52,48,50,56,101,45,50,50,32,55,46,48,57,48,55,53,101,45,50,50,32,
      55,46,55,48,54,49,101,45,50,50,10,32,32,56,46,55,53,57,55,55,101,45,50,50,32,
      57,46,54,54,49,54,101,45,50,50,32,49,46,49,48,53,50,50,101,45,50,49,32,49,46,
      49,54,52,55,51,101,45,50,49,32,49,46,50,56,49,57,55,101,45,50,49,32,49,46,52,
      49,52,56,51,101,45,50,49,32,49,46,53,50,55,51,51,101,45,50,49,10,32,32,49,46,
      54,52,48,54,50,101,45,50,49,32,49,46,55,52,54,54,54,101,45,50,49,32,49,46,56,
      53,48,52,53,101,45,50,49,32,49,46,57,54,52,48,49,101,45,50,49,32,50,46,48,54,
      50,56,57,101,45,50,49,32,50,46,49,54,56,57,56,101,45,50,49,32,50,46,50,52,52,
      54,55,101,45,50,49,10,32,32,50,46,51,54,50,57,57,101,45,50,49,32,50,46,52,51,
      49,57,53,101,45,50,49,32,50,46,53,49,51,51,57,101,45,50,49,32,50,46,54,56,50,
      51,51,101,45,50,49,32,50,46,56,54,48,55,101,45,50,49,32,50,46,57,54,55,53,56,
      101,45,50,49,32,51,46,48,48,52,51,50,101,45,50,49,10,32,32,50,46,57,51,53,50,
      51,101,45,50,49,32,50,46,55,56,51,54,49,101,45,50,49,32,50,46,53,48,48,55,49,
      101,45,50,49,32,50,46,48,52,54,49,53,101,45,50,49,32,49,46,53,57,53,49,52,101,
      45,50,49,32,49,46,50,57,56,53,101,45,50,49,32,49,46,48,48,51,57,53,101,45,50,
      49,10,32,32,54,46,56,51,53,53,57,101,45,50,50,32,52,46,55,49,51,48,54,101,45,
      50,50,32,51,46,49,53,50,57,51,101,45,50,50,32,49,46,57,50,53,51,55,101,45,50,
      50,32,49,46,49,51,55,55,56,101,45,50,50,32,55,46,48,48,54,52,53,101,45,50,51,
      32,52,46,50,50,52,57,54,101,45,50,51,10,32,32,50,46,52,57,56,54,49,101,45,50,
      51,32,49,46,51,52,49,53,101,45,50,51,32,54,46,52,57,55,51,57,101,45,50,52,32,
      50,46,56,50,50,49,54,101,45,50,52,32,49,46,51,48,50,49,101,45,50,52,32,53,46,
      51,56,53,54,56,101,45,50,53,32,50,46,51,56,56,53,57,101,45,50,53,10,32,32,49,
      46,48,52,50,52,49,101,45,50,53,32,52,46,48,55,55,55,56,101,45,50,54,32,49,46,
      52,54,52,49,52,101,45,50,54,32,54,46,53,53,57,55,57,101,45,50,55,32,50,46,53,
      54,48,56,55,101,45,50,55,32,49,46,49,48,57,55,49,101,45,50,55,32,52,46,52,57,
      56,53,55,101,45,50,56,10,32,32,49,46,56,48,55,56,56,101,45,50,56,32,55,46,50,
      48,55,52,51,101,45,50,57,32,50,46,56,53,50,48,57,101,45,50,57,32,49,46,49,50,
      48,56,54,101,45,50,57,32,52,46,51,55,54,56,49,101,45,51,48,32,49,46,54,57,56,
      57,51,101,45,51,48,32,54,46,53,53,56,49,101,45,51,49,10,32,32,50,46,53,49,56,
      52,51,101,45,51,49,32,57,46,54,50,52,52,54,101,45,51,50,32,51,46,54,54,49,52,
      53,101,45,51,50,32,49,46,51,56,55,48,51,101,45,51,50,32,52,46,57,54,57,57,54,
      101,45,51,51,32,49,46,51,50,54,48,57,101,45,51,51,32,52,46,57,55,52,56,53,101,
      45,51,52,10,32,32,49,46,56,54,48,50,52,101,45,51,52,32,54,46,56,56,53,56,57,
      101,45,51,53,32,49,46,55,51,57,49,51,101,45,51,53,32,54,46,52,52,51,51,101,
      45,51,54,32,50,46,51,55,53,53,54,101,45,51,54,32,55,46,53,51,48,51,49,101,45,
      51,55,32,49,46,57,56,53,49,55,101,45,51,55,10,32,32,54,46,57,49,50,53,51,101,
      45,51,56,32,50,46,50,53,53,49,57,101,45,51,56,32,48,114,57,55,32,52,46,48,56,
      56,53,57,101,45,51,56,32,49,46,51,54,51,52,53,101,45,51,55,32,52,46,52,54,48,
      51,54,101,45,51,53,32,57,46,52,53,55,53,50,101,45,51,53,32,50,46,50,54,48,50,
      57,101,45,51,52,10,32,32,54,46,48,55,53,55,49,101,45,51,52,32,49,46,54,49,52,
      55,53,101,45,51,51,32,54,46,49,55,57,50,50,101,45,51,49,32,49,46,51,53,53,51,
      53,101,45,51,48,32,50,46,55,51,55,52,56,101,45,51,48,32,53,46,52,54,48,51,53,
      101,45,51,48,32,49,46,49,56,51,53,50,101,45,50,57,10,32,32,51,46,54,55,54,53,
      53,101,45,50,57,32,55,46,48,56,51,48,54,101,45,50,56,32,49,46,51,56,48,55,53,
      101,45,50,55,32,50,46,50,57,50,50,53,101,45,50,55,32,51,46,55,57,53,53,52,101,
      45,50,55,32,55,46,50,50,52,48,55,101,45,50,55,32,50,46,56,50,50,53,57,101,45,
      50,54,10,32,32,52,46,51,57,48,55,56,101,45,50,54,32,55,46,54,52,49,51,54,101,
      45,50,54,32,49,46,50,51,55,55,101,45,50,53,32,49,46,57,56,49,50,55,101,45,50,
      53,32,51,46,48,55,48,54,53,101,45,50,53,32,52,46,53,49,53,57,55,101,45,50,53,
      32,54,46,53,54,55,54,50,101,45,50,53,10,32,32,57,46,51,54,56,55,54,101,45,50,
      53,32,49,46,51,54,56,54,57,101,45,50,52,32,49,46,57,50,50,57,57,101,45,50,52,
      32,50,46,52,51,57,53,51,101,45,50,52,32,51,46,55,52,56,54,49,101,45,50,52,32,
      53,46,53,48,52,57,55,101,45,50,52,32,55,46,55,53,52,49,51,101,45,50,52,10,32,
      32,49,46,49,48,53,54,49,101,45,50,51,32,49,46,52,57,57,54,57,101,45,50,51,32,
      50,46,48,53,50,54,53,101,45,50,51,32,50,46,55,51,50,52,53,101,45,50,51,32,51,
      46,53,52,49,51,50,101,45,50,51,32,52,46,52,55,52,52,55,101,45,50,51,32,53,46,
      55,49,55,54,101,45,50,51,10,32,32,54,46,55,55,55,55,54,101,45,50,51,32,55,46,
      57,55,50,52,55,101,45,50,51,32,49,46,48,50,53,56,50,101,45,50,50,32,49,46,49,
      56,54,57,54,101,45,50,50,32,49,46,52,55,53,52,57,101,45,50,50,32,49,46,56,50,
      57,57,52,101,45,50,50,32,50,46,48,54,55,57,49,101,45,50,50,10,32,32,50,46,51,
      50,54,49,56,101,45,50,50,32,50,46,55,55,53,56,51,101,45,50,50,32,51,46,51,51,
      48,57,49,101,45,50,50,32,51,46,54,54,53,54,55,101,45,50,50,32,52,46,50,52,53,
      50,50,101,45,50,50,32,52,46,54,50,49,53,53,101,45,50,50,32,53,46,50,54,55,56,
      56,101,45,50,50,10,32,32,53,46,56,50,50,57,51,101,45,50,50,32,54,46,54,56,50,
      48,55,101,45,50,50,32,55,46,48,53,48,57,51,101,45,50,50,32,55,46,55,55,57,53,
      56,101,45,50,50,32,56,46,54,48,56,54,55,101,45,50,50,32,57,46,51,49,51,51,57,
      101,45,50,50,32,49,46,48,48,50,53,55,101,45,50,49,10,32,32,49,46,48,54,57,52,
      57,101,45,50,49,32,49,46,49,51,53,50,50,101,45,50,49,32,49,46,50,48,55,52,51,
      101,45,50,49,32,49,46,50,55,48,53,55,101,45,50,49,32,49,46,51,51,56,54,50,101,
      45,50,49,32,49,46,51,56,55,51,55,101,45,50,49,32,49,46,52,54,51,57,55,101,45,
      50,49,10,32,32,49,46,53,48,56,56,54,101,45,50,49,32,49,46,53,54,50,49,53,101,
      45,50,49,32,49,46,54,55,51,57,51,101,45,50,49,32,49,46,55,57,53,101,45,50,49,
      32,49,46,56,55,49,55,52,101,45,50,49,32,49,46,57,48,54,57,49,101,45,50,49,32,
      49,46,56,55,52,48,54,101,45,50,49,10,32,32,49,46,55,57,48,48,54,101,45,50,49,
      32,49,46,54,49,56,56,56,101,45,50,49,32,49,46,51,51,54,53,55,101,45,50,49,32,
      49,46,48,53,48,54,54,101,45,50,49,32,56,46,54,48,49,51,57,101,45,50,50,32,54,
      46,54,57,49,50,56,101,45,50,50,32,52,46,53,57,50,48,57,101,45,50,50,10,32,32,
      51,46,49,56,55,51,54,101,45,50,50,32,50,46,49,52,54,48,50,101,45,50,50,32,49,
      46,51,49,57,55,54,101,45,50,50,32,55,46,56,53,49,56,101,45,50,51,32,52,46,56,
      54,50,53,53,101,45,50,51,32,50,46,57,52,56,49,49,101,45,50,51,32,49,46,55,53,
      50,54,49,101,45,50,51,10,32,32,57,46,52,54,51,52,55,101,45,50,52,32,52,46,54,
      49,49,52,54,101,45,50,52,32,50,46,48,49,53,56,50,101,45,50,52,32,57,46,51,53,
      49,49,53,101,45,50,53,32,51,46,56,56,57,56,52,101,45,50,53,32,49,46,55,51,51,
      53,49,101,45,50,53,32,55,46,53,57,57,57,52,101,45,50,54,10,32,32,50,46,57,56,
      55,51,49,101,45,50,54,32,49,46,48,55,55,56,50,101,45,50,54,32,52,46,56,52,54,
      49,50,101,45,50,55,32,49,46,56,57,57,50,55,101,45,50,55,32,56,46,50,53,55,48,
      56,101,45,50,56,32,51,46,51,53,56,52,101,45,50,56,32,49,46,51,53,51,57,53,101,
      45,50,56,10,32,32,53,46,52,49,52,48,56,101,45,50,57,32,50,46,49,52,56,54,50,
      101,45,50,57,32,56,46,52,54,55,50,50,101,45,51,48,32,51,46,51,49,53,48,52,101,
      45,51,48,32,49,46,50,57,48,48,50,101,45,51,48,32,52,46,57,57,49,54,57,101,45,
      51,49,32,49,46,57,50,49,51,51,101,45,51,49,10,32,32,55,46,51,53,56,56,53,101,
      45,51,50,32,50,46,56,48,53,52,57,101,45,51,50,32,49,46,48,54,52,57,52,101,45,
      51,50,32,51,46,56,50,51,48,54,101,45,51,51,32,49,46,48,50,53,54,54,101,45,51,
      51,32,51,46,56,53,52,53,49,101,45,51,52,32,49,46,52,52,51,55,54,101,45,51,52,
      10,32,32,53,46,51,53,50,49,56,101,45,51,53,32,49,46,51,53,53,53,101,45,51,53,
      32,53,46,48,51,48,51,52,101,45,51,54,32,49,46,56,53,54,54,56,101,45,51,54,32,
      53,46,56,56,56,52,54,101,45,51,55,32,49,46,53,53,48,48,55,101,45,51,55,32,53,
      46,51,57,54,51,57,101,45,51,56,10,32,32,48,114,57,57,32,51,46,48,53,54,55,49,
      101,45,51,56,32,49,46,48,56,51,50,51,101,45,51,53,32,50,46,51,51,52,57,56,101,
      45,51,53,32,53,46,54,56,56,53,51,101,45,51,53,32,49,46,53,54,50,57,55,101,45,
      51,52,32,52,46,50,52,53,52,56,101,45,51,52,32,49,46,56,48,50,49,101,45,51,49,
      10,32,32,52,46,48,52,51,49,51,101,45,51,49,32,56,46,51,51,52,54,52,101,45,51,
      49,32,49,46,54,57,54,52,56,101,45,51,48,32,51,46,55,54,50,51,101,45,51,48,32,
      49,46,50,48,50,49,51,101,45,50,57,32,50,46,54,53,50,51,101,45,50,56,32,53,46,
      50,57,49,56,49,101,45,50,56,10,32,32,56,46,57,52,50,51,101,45,50,56,32,49,46,
      53,48,55,49,49,101,45,50,55,32,50,46,57,51,52,49,55,101,45,50,55,32,49,46,51,
      53,56,49,56,101,45,50,54,32,50,46,49,50,52,48,56,101,45,50,54,32,51,46,56,49,
      55,50,57,101,45,50,54,32,54,46,50,50,54,54,51,101,45,50,54,10,32,32,49,46,48,
      48,56,53,49,101,45,50,53,32,49,46,53,55,48,51,52,101,45,50,53,32,50,46,51,49,
      56,52,101,45,50,53,32,51,46,51,56,51,57,57,101,45,50,53,32,52,46,56,52,54,57,
      49,101,45,50,53,32,55,46,49,48,55,50,51,101,45,50,53,32,49,46,48,48,49,57,51,
      101,45,50,52,10,32,32,49,46,50,55,52,51,49,101,45,50,52,32,49,46,57,54,55,54,
      55,101,45,50,52,32,50,46,57,48,50,57,55,101,45,50,52,32,52,46,49,48,54,56,56,
      101,45,50,52,32,53,46,56,56,51,49,57,101,45,50,52,32,56,46,48,49,52,51,50,101,
      45,50,52,32,49,46,49,48,49,55,57,101,45,50,51,10,32,32,49,46,52,55,50,55,57,
      101,45,50,51,32,49,46,57,49,54,49,101,45,50,51,32,50,46,52,50,57,53,53,101,
      45,50,51,32,51,46,49,49,54,50,57,101,45,50,51,32,51,46,55,48,51,57,56,101,45,
      50,51,32,52,46,51,54,56,49,55,101,45,50,51,32,53,46,54,52,51,54,56,101,45,50,
      51,10,32,32,54,46,53,52,54,49,51,101,45,50,51,32,56,46,49,54,55,55,53,101,45,
      50,51,32,49,46,48,49,54,56,53,101,45,50,50,32,49,46,49,53,49,54,52,101,45,50,
      50,32,49,46,50,57,56,51,49,101,45,50,50,32,49,46,53,53,52,53,52,101,45,50,50,
      32,49,46,56,55,50,50,50,101,45,50,50,10,32,32,50,46,48,54,52,52,56,101,45,50,
      50,32,50,46,51,57,56,52,51,101,45,50,50,32,50,46,54,49,53,57,56,101,45,50,50,
      32,50,46,57,57,48,56,53,101,45,50,50,32,51,46,51,49,51,57,54,101,45,50,50,32,
      51,46,56,49,54,49,53,101,45,50,50,32,52,46,48,51,50,53,101,45,50,50,10,32,32,
      52,46,52,54,49,50,101,45,50,50,32,52,46,57,53,49,48,57,101,45,50,50,32,53,46,
      51,54,57,50,52,101,45,50,50,32,53,46,55,57,51,53,56,101,45,50,50,32,54,46,49,
      57,51,55,54,101,45,50,50,32,54,46,53,56,56,52,52,101,45,50,50,32,55,46,48,50,
      51,56,52,101,45,50,50,10,32,32,55,46,52,48,54,49,57,101,45,50,50,32,55,46,56,
      50,48,49,57,101,45,50,50,32,56,46,49,49,56,49,51,101,45,50,50,32,56,46,53,56,
      56,55,55,101,45,50,50,32,56,46,56,54,54,49,57,101,45,50,50,32,57,46,49,57,55,
      50,57,101,45,50,50,32,57,46,56,57,57,54,54,101,45,50,50,10,32,32,49,46,48,54,
      55,57,55,101,45,50,49,32,49,46,49,50,48,48,49,101,45,50,49,32,49,46,49,52,57,
      48,51,101,45,50,49,32,49,46,49,51,54,53,51,101,45,50,49,32,49,46,48,57,51,48,
      54,101,45,50,49,32,57,46,57,54,55,57,51,101,45,50,50,32,56,46,51,49,50,48,55,
      101,45,50,50,10,32,32,54,46,53,57,52,51,55,101,45,50,50,32,53,46,52,51,50,53,
      51,101,45,50,50,32,52,46,50,53,53,48,51,101,45,50,50,32,50,46,57,52,53,57,101,
      45,50,50,32,50,46,48,53,57,57,52,101,45,50,50,32,49,46,51,57,54,56,56,101,45,
      50,50,32,56,46,54,53,56,49,51,101,45,50,51,10,32,32,53,46,49,56,57,56,52,101,
      45,50,51,32,51,46,50,51,52,51,49,101,45,50,51,32,49,46,57,55,50,56,50,101,45,
      50,51,32,49,46,49,55,57,54,53,101,45,50,51,32,54,46,52,49,48,50,50,101,45,50,
      52,32,51,46,49,52,52,57,49,101,45,50,52,32,49,46,51,56,52,53,54,101,45,50,52,
      10,32,32,54,46,52,54,49,55,55,101,45,50,53,32,50,46,55,48,53,48,54,101,45,50,
      53,32,49,46,50,49,50,48,53,101,45,50,53,32,53,46,51,52,49,48,50,101,45,50,54,
      32,50,46,49,49,48,55,49,101,45,50,54,32,55,46,54,53,54,56,53,101,45,50,55,32,
      51,46,52,53,54,51,56,101,45,50,55,10,32,32,49,46,51,54,48,53,51,101,45,50,55,
      32,53,46,57,51,54,53,55,101,45,50,56,32,50,46,52,50,51,53,57,101,45,50,56,32,
      57,46,56,48,53,52,56,101,45,50,57,32,51,46,57,51,52,50,50,101,45,50,57,32,49,
      46,53,54,54,51,55,101,45,50,57,32,54,46,49,57,49,55,55,101,45,51,48,10,32,32,
      50,46,52,51,49,51,51,101,45,51,48,32,57,46,52,56,56,48,54,101,45,51,49,32,51,
      46,54,56,49,50,57,101,45,51,49,32,49,46,52,50,48,54,50,101,45,51,49,32,53,46,
      52,53,52,54,101,45,51,50,32,50,46,48,56,52,52,55,101,45,51,50,32,55,46,57,51,
      48,54,49,101,45,51,51,10,32,32,50,46,56,53,51,49,101,45,51,51,32,55,46,55,48,
      49,51,55,101,45,51,52,32,50,46,56,57,57,57,52,101,45,51,52,32,49,46,48,56,56,
      50,56,101,45,51,52,32,52,46,48,52,49,49,50,101,45,51,53,32,49,46,48,50,54,54,
      53,101,45,51,53,32,51,46,56,49,54,49,52,101,45,51,54,10,32,32,49,46,52,49,50,
      53,49,101,45,51,54,32,52,46,52,55,54,56,53,101,45,51,55,32,49,46,49,56,53,49,
      54,101,45,51,55,32,52,46,50,55,53,48,55,101,45,51,56,32,48,114,49,48,48,32,
      50,46,54,48,56,55,52,101,45,51,54,32,53,46,55,49,54,52,52,101,45,51,54,32,49,
      46,52,49,57,53,53,101,45,51,53,10,32,32,51,46,57,56,54,52,55,101,45,51,53,32,
      49,46,49,48,54,54,51,101,45,51,52,32,53,46,49,57,50,49,57,101,45,51,50,32,49,
      46,49,57,49,52,50,101,45,51,49,32,50,46,53,48,54,52,57,101,45,51,49,32,53,46,
      50,48,53,55,55,101,45,51,49,32,49,46,49,56,49,49,52,101,45,51,48,10,32,32,51,
      46,56,56,49,54,54,101,45,51,48,32,57,46,55,54,52,55,56,101,45,50,57,32,49,46,
      57,57,52,51,51,101,45,50,56,32,51,46,52,51,48,56,55,101,45,50,56,32,53,46,56,
      56,54,53,50,101,45,50,56,32,49,46,49,55,50,54,101,45,50,55,32,54,46,52,50,55,
      55,54,101,45,50,55,10,32,32,49,46,48,49,51,52,55,101,45,50,54,32,49,46,56,55,
      55,52,50,101,45,50,54,32,51,46,48,57,51,52,101,45,50,54,32,53,46,49,49,50,55,
      50,101,45,50,54,32,56,46,48,48,53,48,57,101,45,50,54,32,49,46,49,56,55,49,57,
      101,45,50,53,32,49,46,55,52,48,48,54,101,45,50,53,10,32,32,50,46,53,48,53,50,
      51,101,45,50,53,32,51,46,54,56,55,55,49,101,45,50,53,32,53,46,50,49,54,49,52,
      101,45,50,53,32,54,46,54,53,49,49,52,101,45,50,53,32,49,46,48,51,49,57,51,101,
      45,50,52,32,49,46,53,50,57,51,51,101,45,50,52,32,50,46,49,55,50,56,50,101,45,
      50,52,10,32,32,51,46,49,50,54,56,55,101,45,50,52,32,52,46,50,55,55,52,54,101,
      45,50,52,32,53,46,57,48,54,50,52,101,45,50,52,32,55,46,57,50,55,53,53,101,45,
      50,52,32,49,46,48,51,53,51,50,101,45,50,51,32,49,46,51,49,55,51,57,101,45,50,
      51,32,49,46,54,57,54,49,56,101,45,50,51,10,32,32,50,46,48,50,49,52,54,101,45,
      50,51,32,50,46,51,57,48,49,54,101,45,50,51,32,51,46,49,48,48,56,55,101,45,50,
      51,32,51,46,54,48,53,53,51,101,45,50,51,32,52,46,53,49,53,53,55,101,45,50,51,
      32,53,46,54,52,51,50,54,101,45,50,51,32,54,46,52,48,53,54,53,101,45,50,51,10,
      32,32,55,46,50,51,55,52,52,101,45,50,51,32,56,46,54,57,53,52,54,101,45,50,51,
      32,49,46,48,53,49,49,101,45,50,50,32,49,46,49,54,49,51,54,101,45,50,50,32,49,
      46,51,53,51,53,49,101,45,50,50,32,49,46,52,55,57,48,57,101,45,50,50,32,49,46,
      54,57,54,49,56,101,45,50,50,10,32,32,49,46,56,56,51,57,56,101,45,50,50,32,50,
      46,49,55,55,48,55,101,45,50,50,32,50,46,51,48,51,55,56,101,45,50,50,32,50,46,
      53,53,53,53,57,101,45,50,50,32,50,46,56,52,52,53,55,101,45,50,50,32,51,46,48,
      57,50,50,53,101,45,50,50,32,51,46,51,52,52,53,54,101,45,50,50,10,32,32,51,46,
      53,56,51,52,50,101,45,50,50,32,51,46,56,49,57,56,57,101,45,50,50,32,52,46,48,
      56,49,56,51,101,45,50,50,32,52,46,51,49,50,56,51,101,45,50,50,32,52,46,53,54,
      52,48,55,101,45,50,50,32,52,46,55,52,53,54,52,101,45,50,50,32,53,46,48,51,51,
      57,101,45,50,50,10,32,32,53,46,50,48,52,55,52,101,45,50,50,32,53,46,52,48,57,
      54,53,101,45,50,50,32,53,46,56,52,56,56,56,101,45,50,50,32,54,46,51,52,55,54,
      53,101,45,50,50,32,54,46,54,57,52,57,56,101,45,50,50,32,54,46,57,49,54,49,101,
      45,50,50,32,54,46,56,56,53,56,49,101,45,50,50,10,32,32,54,46,54,54,54,51,54,
      101,45,50,50,32,54,46,49,50,57,50,49,101,45,50,50,32,53,46,49,54,50,48,54,101,
      45,50,50,32,52,46,49,51,50,56,51,101,45,50,50,32,51,46,52,50,53,57,52,101,45,
      50,50,32,50,46,55,48,49,53,57,101,45,50,50,32,49,46,56,56,54,56,101,45,50,50,
      10,32,32,49,46,51,50,57,49,101,45,50,50,32,57,46,48,55,55,49,53,101,45,50,51,
      32,53,46,54,55,48,51,51,101,45,50,51,32,51,46,52,50,52,52,54,101,45,50,51,32,
      50,46,49,52,55,53,57,101,45,50,51,32,49,46,51,49,55,56,57,101,45,50,51,32,55,
      46,57,50,54,50,55,101,45,50,52,10,32,32,52,46,51,51,52,54,101,45,50,52,32,50,
      46,49,52,49,49,101,45,50,52,32,57,46,52,57,51,56,49,101,45,50,53,32,52,46,52,
      53,55,55,54,101,45,50,53,32,49,46,56,55,56,48,55,101,45,50,53,32,56,46,52,54,
      48,55,50,101,45,50,54,32,51,46,55,52,55,53,51,101,45,50,54,10,32,32,49,46,52,
      56,57,101,45,50,54,32,53,46,52,51,49,48,57,101,45,50,55,32,50,46,52,54,49,52,
      54,101,45,50,55,32,57,46,55,51,49,55,49,101,45,50,56,32,52,46,50,54,49,57,55,
      101,45,50,56,32,49,46,55,52,54,52,55,101,45,50,56,32,55,46,48,57,49,50,52,101,
      45,50,57,10,32,32,50,46,56,53,52,57,49,101,45,50,57,32,49,46,49,52,48,51,54,
      101,45,50,57,32,52,46,53,50,49,56,49,101,45,51,48,32,49,46,55,56,48,56,55,101,
      45,51,48,32,54,46,57,54,57,52,57,101,45,51,49,32,50,46,55,49,49,52,56,101,45,
      51,49,32,49,46,48,52,57,49,101,45,51,49,10,32,32,52,46,48,51,56,50,51,101,45,
      51,50,32,49,46,53,52,54,57,50,101,45,51,50,32,53,46,56,57,57,48,51,101,45,51,
      51,32,50,46,49,50,54,56,50,101,45,51,51,32,53,46,55,55,54,52,57,101,45,51,52,
      32,50,46,49,55,57,52,52,101,45,51,52,32,56,46,49,57,52,53,101,45,51,53,10,32,
      32,51,46,48,52,56,48,53,101,45,51,53,32,55,46,55,54,56,55,101,45,51,54,32,50,
      46,56,57,50,52,101,45,51,54,32,49,46,48,55,51,57,56,101,45,51,54,32,51,46,52,
      48,48,55,50,101,45,51,55,32,56,46,57,57,51,50,54,101,45,51,56,32,51,46,50,52,
      54,57,50,101,45,51,56,10,32,32,48,114,49,48,48,32,54,46,50,52,50,54,52,101,
      45,51,55,32,49,46,51,57,48,53,51,101,45,51,54,32,51,46,53,49,57,54,52,101,45,
      51,54,32,49,46,48,49,48,49,55,101,45,51,53,32,50,46,56,54,53,55,51,101,45,51,
      53,32,49,46,52,56,49,50,49,101,45,51,50,32,51,46,52,55,53,57,56,101,45,51,50,
      10,32,32,55,46,52,54,50,53,50,101,45,51,50,32,49,46,53,56,49,51,56,101,45,51,
      49,32,51,46,54,55,48,54,49,101,45,51,49,32,49,46,50,52,48,54,49,101,45,51,48,
      32,51,46,53,52,50,51,55,101,45,50,57,32,55,46,52,48,54,57,54,101,45,50,57,32,
      49,46,50,57,55,51,54,101,45,50,56,10,32,32,50,46,50,54,54,51,57,101,45,50,56,
      32,52,46,54,50,48,50,53,101,45,50,56,32,50,46,57,56,53,56,50,101,45,50,55,32,
      52,46,55,53,57,54,57,101,45,50,55,32,57,46,48,55,54,57,50,101,45,50,55,32,49,
      46,53,49,53,48,56,101,45,50,54,32,50,46,53,57,53,54,49,101,45,50,54,10,32,32,
      52,46,48,56,50,48,52,101,45,50,54,32,54,46,48,55,56,51,52,101,45,50,54,32,56,
      46,57,52,52,54,51,101,45,50,54,32,49,46,50,57,54,48,53,101,45,50,53,32,49,46,
      57,49,52,56,57,101,45,50,53,32,50,46,55,49,55,50,49,101,45,50,53,32,51,46,52,
      55,51,51,56,101,45,50,53,10,32,32,53,46,52,49,52,50,56,101,45,50,53,32,56,46,
      48,53,57,52,56,101,45,50,53,32,49,46,49,52,57,57,101,45,50,52,32,49,46,54,54,
      50,50,49,101,45,50,52,32,50,46,50,56,51,50,52,101,45,50,52,32,51,46,49,54,54,
      49,55,101,45,50,52,32,52,46,50,54,54,57,54,101,45,50,52,10,32,32,53,46,53,57,
      51,54,49,101,45,50,52,32,55,46,49,52,50,52,51,101,45,50,52,32,57,46,50,51,48,
      53,57,101,45,50,52,32,49,46,49,48,51,48,49,101,45,50,51,32,49,46,51,48,55,53,
      54,101,45,50,51,32,49,46,55,48,51,51,52,101,45,50,51,32,49,46,57,56,53,51,57,
      101,45,50,51,10,32,32,50,46,52,57,53,55,57,101,45,50,51,32,51,46,49,51,48,57,
      55,101,45,50,51,32,51,46,53,54,49,56,56,101,45,50,51,32,52,46,48,51,51,50,50,
      101,45,50,51,32,52,46,56,54,50,49,57,101,45,50,51,32,53,46,56,57,56,56,49,101,
      45,50,51,32,54,46,53,51,48,53,49,101,45,50,51,10,32,32,55,46,54,51,52,56,54,
      101,45,50,51,32,56,46,51,53,56,57,50,101,45,50,51,32,57,46,54,49,52,53,53,101,
      45,50,51,32,49,46,48,55,48,52,54,101,45,50,50,32,49,46,50,52,49,50,53,101,45,
      50,50,32,49,46,51,49,53,51,52,101,45,50,50,32,49,46,52,54,51,101,45,50,50,10,
      32,32,49,46,54,51,51,49,52,101,45,50,50,32,49,46,55,55,57,53,53,101,45,50,50,
      32,49,46,57,50,57,50,53,101,45,50,50,32,50,46,48,55,49,53,101,45,50,50,32,50,
      46,50,49,50,56,51,101,45,50,50,32,50,46,51,55,101,45,50,50,32,50,46,53,48,57,
      49,56,101,45,50,50,10,32,32,50,46,54,54,49,49,57,101,45,50,50,32,50,46,55,55,
      49,52,56,101,45,50,50,32,50,46,57,52,55,52,50,101,45,50,50,32,51,46,48,53,50,
      50,49,101,45,50,50,32,51,46,49,55,56,52,57,101,45,50,50,32,51,46,52,53,49,55,
      52,101,45,50,50,32,51,46,55,54,56,51,52,101,45,50,50,10,32,32,51,46,57,57,55,
      101,45,50,50,32,52,46,49,53,55,52,53,101,45,50,50,32,52,46,49,54,54,56,55,101,
      45,50,50,32,52,46,48,54,54,49,54,101,45,50,50,32,51,46,55,54,51,53,56,101,45,
      50,50,32,51,46,50,48,49,51,56,101,45,50,50,32,50,46,53,56,54,52,57,101,45,50,
      50,10,32,32,50,46,49,53,55,52,52,101,45,50,50,32,49,46,55,49,50,56,50,101,45,
      50,50,32,49,46,50,48,54,55,101,45,50,50,32,56,46,53,54,50,57,49,101,45,50,51,
      32,53,46,56,56,57,54,53,101,45,50,51,32,51,46,55,48,55,57,53,101,45,50,51,32,
      50,46,50,53,54,49,50,101,45,50,51,10,32,32,49,46,52,50,51,55,57,101,45,50,51,
      32,56,46,55,57,48,49,55,101,45,50,52,32,53,46,51,49,55,53,50,101,45,50,52,32,
      50,46,57,50,54,52,57,101,45,50,52,32,49,46,52,53,53,52,50,101,45,50,52,32,54,
      46,52,57,57,55,50,101,45,50,53,32,51,46,48,55,48,53,50,101,45,50,53,10,32,32,
      49,46,51,48,49,57,51,101,45,50,53,32,53,46,56,57,55,49,54,101,45,50,54,32,50,
      46,54,50,53,53,54,101,45,50,54,32,49,46,48,52,56,56,57,101,45,50,54,32,51,46,
      56,52,54,56,51,101,45,50,55,32,49,46,55,53,48,52,54,101,45,50,55,32,54,46,57,
      53,49,51,51,101,45,50,56,10,32,32,51,46,48,53,53,54,101,45,50,56,32,49,46,50,
      53,54,56,53,101,45,50,56,32,53,46,49,50,49,54,50,101,45,50,57,32,50,46,48,54,
      57,48,51,101,45,50,57,32,56,46,50,57,49,54,101,45,51,48,32,51,46,50,57,56,49,
      52,101,45,51,48,32,49,46,51,48,50,56,51,101,45,51,48,10,32,32,53,46,49,49,51,
      51,49,101,45,51,49,32,49,46,57,57,52,56,101,45,51,49,32,55,46,55,51,56,52,51,
      101,45,51,50,32,50,46,57,56,54,50,50,101,45,51,50,32,49,46,49,52,54,55,101,
      45,51,50,32,52,46,51,56,51,48,51,101,45,51,51,32,49,46,53,56,51,55,50,101,45,
      51,51,10,32,32,52,46,51,50,56,51,54,101,45,51,52,32,49,46,54,51,54,51,50,101,
      45,51,52,32,54,46,49,54,52,50,54,101,45,51,53,32,50,46,50,57,54,56,51,101,45,
      51,53,32,53,46,56,55,51,55,57,101,45,51,54,32,50,46,49,57,48,56,49,101,45,51,
      54,32,56,46,49,52,55,48,55,101,45,51,55,10,32,32,50,46,53,56,49,50,54,101,45,
      51,55,32,54,46,56,56,55,52,53,101,45,51,56,32,50,46,52,57,54,57,51,101,45,51,
      56,32,48,114,49,48,48,32,49,46,52,55,57,50,50,101,45,51,55,32,51,46,51,53,48,
      56,54,101,45,51,55,32,56,46,54,52,52,53,56,101,45,51,55,32,50,46,53,51,53,54,
      49,101,45,51,54,10,32,32,55,46,51,53,48,52,52,101,45,51,54,32,52,46,49,54,56,
      53,49,101,45,51,51,32,49,46,48,48,48,51,53,101,45,51,50,32,50,46,49,57,49,52,
      53,101,45,51,50,32,52,46,55,51,55,56,52,101,45,51,50,32,49,46,49,50,52,57,52,
      101,45,51,49,32,51,46,57,48,57,56,54,101,45,51,49,10,32,32,49,46,50,54,52,52,
      101,45,50,57,32,50,46,55,48,54,55,53,101,45,50,57,32,52,46,56,50,55,50,101,
      45,50,57,32,56,46,53,56,54,52,101,45,50,57,32,49,46,55,57,49,53,53,101,45,50,
      56,32,49,46,51,54,51,51,52,101,45,50,55,32,50,46,50,48,48,56,49,101,45,50,55,
      10,32,32,52,46,51,49,51,56,49,101,45,50,55,32,55,46,51,48,55,50,52,101,45,50,
      55,32,49,46,51,48,56,52,51,101,45,50,54,32,50,46,48,54,57,57,55,101,45,50,54,
      32,51,46,48,57,55,54,50,101,45,50,54,32,52,46,53,55,57,53,53,101,45,50,54,32,
      54,46,54,56,56,54,52,101,45,50,54,10,32,32,57,46,57,50,49,57,55,101,45,50,54,
      32,49,46,52,49,50,53,53,101,45,50,53,32,49,46,56,49,48,50,51,101,45,50,53,32,
      50,46,56,51,52,57,53,101,45,50,53,32,52,46,50,51,56,50,56,101,45,50,53,32,54,
      46,48,55,50,49,56,101,45,50,53,32,56,46,56,49,53,52,52,101,45,50,53,10,32,32,
      49,46,50,49,53,55,55,101,45,50,52,32,49,46,54,57,50,57,50,101,45,50,52,32,50,
      46,50,57,48,52,57,101,45,50,52,32,51,46,48,49,51,55,51,101,45,50,52,32,51,46,
      56,54,49,52,51,101,45,50,52,32,53,46,48,48,56,56,55,101,45,50,52,32,54,46,48,
      48,49,49,54,101,45,50,52,10,32,32,55,46,49,51,50,51,54,101,45,50,52,32,57,46,
      51,50,57,52,54,101,45,50,52,32,49,46,48,57,48,48,57,101,45,50,51,32,49,46,51,
      55,53,52,55,101,45,50,51,32,49,46,55,51,50,49,55,101,45,50,51,32,49,46,57,55,
      52,57,57,101,45,50,51,32,50,46,50,52,49,51,101,45,50,51,10,32,32,50,46,55,49,
      49,50,53,101,45,50,51,32,51,46,51,48,49,52,52,101,45,50,51,32,51,46,54,54,50,
      51,51,101,45,50,51,32,52,46,50,57,53,51,49,101,45,50,51,32,52,46,55,49,49,54,
      53,101,45,50,51,32,53,46,52,51,53,57,54,101,45,50,51,32,54,46,48,54,55,48,50,
      101,45,50,51,10,32,32,55,46,48,53,57,55,54,101,45,50,51,32,55,46,52,57,49,56,
      49,101,45,50,51,32,56,46,51,53,53,52,57,101,45,50,51,32,57,46,51,53,52,55,101,
      45,50,51,32,49,46,48,50,49,56,101,45,50,50,32,49,46,49,49,48,51,57,101,45,50,
      50,32,49,46,49,57,52,56,57,101,45,50,50,10,32,32,49,46,50,55,57,49,52,101,45,
      50,50,32,49,46,51,55,51,50,101,45,50,50,32,49,46,52,53,54,56,50,101,45,50,50,
      32,49,46,53,52,56,53,50,101,45,50,50,32,49,46,54,49,53,51,50,101,45,50,50,32,
      49,46,55,50,50,51,55,101,45,50,50,32,49,46,55,56,54,52,52,101,45,50,50,10,32,
      32,49,46,56,54,51,57,56,101,45,50,50,32,50,46,48,51,51,51,49,101,45,50,50,32,
      50,46,50,51,51,49,56,101,45,50,50,32,50,46,51,56,50,50,49,101,45,50,50,32,50,
      46,52,57,53,48,52,101,45,50,50,32,50,46,53,49,55,54,57,101,45,50,50,32,50,46,
      52,55,57,50,51,101,45,50,50,10,32,32,50,46,51,48,55,53,56,101,45,50,50,32,49,
      46,57,56,50,53,49,101,45,50,50,32,49,46,54,49,54,51,55,101,45,50,50,32,49,46,
      51,53,54,54,51,101,45,50,50,32,49,46,48,56,52,51,50,101,45,50,50,32,55,46,55,
      48,53,55,56,101,45,50,51,32,53,46,53,48,56,51,49,101,45,50,51,10,32,32,51,46,
      56,49,53,53,52,101,45,50,51,32,50,46,52,50,48,57,49,101,45,50,51,32,49,46,52,
      56,52,48,52,101,45,50,51,32,57,46,52,50,52,51,53,101,45,50,52,32,53,46,56,53,
      51,54,101,45,50,52,32,51,46,53,54,49,55,49,101,45,50,52,32,49,46,57,55,50,54,
      55,101,45,50,52,10,32,32,57,46,56,55,55,54,52,101,45,50,53,32,52,46,52,52,50,
      57,52,101,45,50,53,32,50,46,49,49,49,55,50,101,45,50,53,32,57,46,48,49,49,53,
      51,101,45,50,54,32,52,46,49,48,52,49,54,101,45,50,54,32,49,46,56,51,54,55,54,
      101,45,50,54,32,55,46,51,55,55,56,51,101,45,50,55,10,32,32,50,46,55,50,48,55,
      57,101,45,50,55,32,49,46,50,52,51,48,55,101,45,50,55,32,52,46,57,53,56,52,51,
      101,45,50,56,32,50,46,49,56,55,55,101,45,50,56,32,57,46,48,51,50,56,53,101,
      45,50,57,32,51,46,54,57,52,49,57,101,45,50,57,32,49,46,52,57,55,53,52,101,45,
      50,57,10,32,32,54,46,48,50,49,49,55,101,45,51,48,32,50,46,52,48,50,54,101,45,
      51,48,32,57,46,53,49,57,52,49,101,45,51,49,32,51,46,55,52,54,57,52,101,45,51,
      49,32,49,46,52,54,53,56,101,45,51,49,32,53,46,55,48,49,51,57,101,45,51,50,32,
      50,46,50,48,53,55,52,101,45,51,50,10,32,32,56,46,52,57,48,55,50,101,45,51,51,
      32,51,46,50,53,51,48,50,101,45,51,51,32,49,46,49,55,56,48,52,101,45,51,51,32,
      51,46,50,52,48,48,50,101,45,51,52,32,49,46,50,50,55,51,52,101,45,51,52,32,52,
      46,54,51,50,53,53,101,45,51,53,32,49,46,55,50,57,49,52,101,45,51,53,10,32,32,
      52,46,52,51,55,48,56,101,45,51,54,32,49,46,54,53,55,56,101,45,51,54,32,54,46,
      49,55,55,49,52,101,45,51,55,32,49,46,57,54,49,51,55,101,45,51,55,32,53,46,50,
      50,49,52,101,45,51,56,32,48,114,49,48,49,32,51,46,52,56,51,55,53,101,45,51,
      56,32,56,46,48,49,55,48,56,101,45,51,56,10,32,32,50,46,49,48,57,48,52,101,45,
      51,55,32,54,46,51,50,49,56,54,101,45,51,55,32,49,46,56,55,50,54,50,101,45,51,
      54,32,49,46,49,54,54,54,49,101,45,51,51,32,50,46,56,54,50,55,53,101,45,51,51,
      32,54,46,51,57,57,49,101,45,51,51,32,49,46,52,49,49,52,101,45,51,50,10,32,32,
      51,46,52,50,55,56,57,101,45,51,50,32,49,46,50,50,53,49,51,101,45,51,49,32,52,
      46,52,53,50,52,49,101,45,51,48,32,57,46,55,53,57,48,51,101,45,51,48,32,49,46,
      55,55,50,50,101,45,50,57,32,51,46,50,49,48,48,55,101,45,50,57,32,54,46,56,53,
      54,50,56,101,45,50,57,10,32,32,54,46,49,50,48,56,52,101,45,50,56,32,49,46,48,
      48,50,48,50,101,45,50,55,32,50,46,48,49,53,53,54,101,45,50,55,32,51,46,52,55,
      48,53,51,101,45,50,55,32,54,46,53,53,51,50,101,45,50,55,32,49,46,48,52,52,51,
      56,101,45,50,54,32,49,46,53,55,50,51,49,101,45,50,54,10,32,32,50,46,51,51,55,
      51,55,101,45,50,54,32,51,46,52,52,56,52,51,101,45,50,54,32,53,46,49,51,56,56,
      50,101,45,50,54,32,55,46,51,52,50,56,55,101,45,50,54,32,57,46,52,51,54,49,101,
      45,50,54,32,49,46,52,56,53,49,54,101,45,50,53,32,50,46,50,51,48,52,51,101,45,
      50,53,10,32,32,51,46,50,48,57,52,57,101,45,50,53,32,52,46,54,56,48,49,101,45,
      50,53,32,54,46,52,56,48,56,52,101,45,50,53,32,57,46,48,54,50,50,55,101,45,50,
      53,32,49,46,50,51,48,57,56,101,45,50,52,32,49,46,54,50,53,54,54,101,45,50,52,
      32,50,46,48,57,48,48,55,101,45,50,52,10,32,32,50,46,55,50,49,49,54,101,45,50,
      52,32,51,46,50,54,56,56,49,101,45,50,52,32,51,46,56,57,52,56,57,101,45,50,52,
      32,53,46,49,49,53,51,57,101,45,50,52,32,53,46,57,57,49,52,49,101,45,50,52,32,
      55,46,53,56,55,55,56,101,45,50,52,32,57,46,53,57,49,52,51,101,45,50,52,10,32,
      32,49,46,48,57,54,101,45,50,51,32,49,46,50,52,54,52,54,101,45,50,51,32,49,46,
      53,49,50,56,53,101,45,50,51,32,49,46,56,52,56,55,55,101,45,50,51,32,50,46,48,
      53,52,56,54,101,45,50,51,32,50,46,52,49,55,52,52,101,45,50,51,32,50,46,54,53,
      54,54,53,101,45,50,51,10,32,32,51,46,48,55,52,48,57,101,45,50,51,32,51,46,52,
      51,57,48,50,101,45,50,51,32,52,46,48,49,53,51,49,101,45,50,51,32,52,46,50,54,
      54,57,51,101,45,50,51,32,52,46,55,55,49,51,50,101,45,50,51,32,53,46,51,53,55,
      49,53,101,45,50,51,32,53,46,56,54,53,50,53,101,45,50,51,10,32,32,54,46,51,56,
      56,53,51,101,45,50,51,32,54,46,56,56,57,51,50,101,45,50,51,32,55,46,51,57,48,
      52,52,101,45,50,51,32,55,46,57,53,49,57,53,101,45,50,51,32,56,46,52,53,51,48,
      55,101,45,50,51,32,57,46,48,48,52,55,55,101,45,50,51,32,57,46,52,48,56,49,52,
      101,45,50,51,10,32,32,49,46,48,48,53,55,51,101,45,50,50,32,49,46,48,52,52,55,
      55,101,45,50,50,32,49,46,48,57,50,50,49,101,45,50,50,32,49,46,49,57,54,54,55,
      101,45,50,50,32,49,46,51,50,50,48,54,101,45,50,50,32,49,46,52,49,56,50,49,101,
      45,50,50,32,49,46,52,57,53,53,51,101,45,50,50,10,32,32,49,46,53,49,57,50,53,
      101,45,50,50,32,49,46,53,48,57,54,53,101,45,50,50,32,49,46,52,49,50,53,51,101,
      45,50,50,32,49,46,50,50,53,53,53,101,45,50,50,32,49,46,48,48,56,50,54,101,45,
      50,50,32,56,46,53,49,52,54,54,101,45,50,51,32,54,46,56,53,49,51,54,101,45,50,
      51,10,32,32,52,46,57,49,49,50,53,101,45,50,51,32,51,46,53,51,54,52,52,101,45,
      50,51,32,50,46,52,54,55,48,49,101,45,50,51,32,49,46,53,55,55,53,49,101,45,50,
      51,32,57,46,55,52,50,55,50,101,45,50,52,32,54,46,50,50,54,48,51,101,45,50,52,
      32,51,46,56,57,48,53,50,101,45,50,52,10,32,32,50,46,51,56,49,48,54,101,45,50,
      52,32,49,46,51,50,55,50,101,45,50,52,32,54,46,54,57,49,50,101,45,50,53,32,51,
      46,48,51,49,52,50,101,45,50,53,32,49,46,52,52,57,54,57,101,45,50,53,32,54,46,
      50,50,54,52,49,101,45,50,54,32,50,46,56,53,49,51,52,101,45,50,54,10,32,32,49,
      46,50,56,50,55,53,101,45,50,54,32,53,46,49,56,48,56,53,101,45,50,55,32,49,46,
      57,50,49,50,50,101,45,50,55,32,56,46,56,49,51,52,53,101,45,50,56,32,51,46,53,
      51,49,51,50,101,45,50,56,32,49,46,53,54,51,57,101,45,50,56,32,54,46,52,56,49,
      57,55,101,45,50,57,10,32,32,50,46,54,54,48,54,52,101,45,50,57,32,49,46,48,56,
      50,51,51,101,45,50,57,32,52,46,51,54,54,50,50,101,45,51,48,32,49,46,55,52,55,
      55,56,101,45,51,48,32,54,46,57,52,54,48,51,101,45,51,49,32,50,46,55,52,50,48,
      49,101,45,51,49,32,49,46,48,55,53,54,55,101,45,51,49,10,32,32,52,46,49,57,53,
      49,51,101,45,51,50,32,49,46,54,50,55,49,55,101,45,51,50,32,54,46,50,55,57,48,
      53,101,45,51,51,32,50,46,52,49,49,51,56,101,45,51,51,32,56,46,55,53,50,49,56,
      101,45,51,52,32,50,46,52,50,50,52,53,101,45,51,52,32,57,46,49,57,52,57,54,101,
      45,51,53,10,32,32,51,46,52,55,55,51,57,101,45,51,53,32,49,46,51,48,48,50,52,
      101,45,51,53,32,51,46,51,52,56,52,51,101,45,51,54,32,49,46,50,53,51,52,56,101,
      45,51,54,32,52,46,54,55,55,53,51,101,45,51,55,32,49,46,52,56,55,53,54,101,45,
      51,55,32,51,46,57,53,53,52,55,101,45,51,56,10,32,32,48,114,49,48,51,32,53,46,
      49,49,53,48,50,101,45,51,56,32,49,46,53,54,55,55,51,101,45,51,55,32,52,46,55,
      52,53,48,51,101,45,51,55,32,51,46,50,51,49,52,50,101,45,51,52,32,56,46,49,48,
      56,49,53,101,45,51,52,32,49,46,56,52,57,50,53,101,45,51,51,32,52,46,49,54,48,
      57,50,101,45,51,51,10,32,32,49,46,48,51,51,54,54,101,45,51,50,32,51,46,55,57,
      56,55,51,101,45,51,50,32,49,46,53,52,55,50,54,101,45,51,48,32,51,46,52,55,50,
      51,56,101,45,51,48,32,54,46,52,50,48,57,57,101,45,51,48,32,49,46,49,56,52,52,
      49,101,45,50,57,32,50,46,53,56,57,55,57,101,45,50,57,10,32,32,50,46,54,57,56,
      49,52,101,45,50,56,32,52,46,52,56,53,53,49,101,45,50,56,32,57,46,50,52,57,53,
      55,101,45,50,56,32,49,46,54,50,49,51,50,101,45,50,55,32,51,46,50,57,49,49,53,
      101,45,50,55,32,53,46,50,55,50,56,49,101,45,50,55,32,55,46,57,55,54,55,55,101,
      45,50,55,10,32,32,49,46,49,57,49,53,52,101,45,50,54,32,49,46,55,55,56,51,50,
      101,45,50,54,32,50,46,54,54,49,51,51,101,45,50,54,32,51,46,56,49,54,50,57,101,
      45,50,54,32,52,46,57,49,55,51,55,101,45,50,54,32,55,46,55,55,55,53,55,101,45,
      50,54,32,49,46,49,55,51,51,49,101,45,50,53,10,32,32,49,46,54,57,53,56,49,101,
      45,50,53,32,50,46,52,56,51,54,56,101,45,50,53,32,51,46,52,53,51,50,50,101,45,
      50,53,32,52,46,56,52,56,56,51,101,45,50,53,32,54,46,54,49,50,51,57,101,45,50,
      53,32,56,46,55,54,52,55,51,101,45,50,53,32,49,46,49,51,48,55,50,101,45,50,52,
      10,32,32,49,46,52,55,55,53,57,101,45,50,52,32,49,46,55,55,57,54,52,101,45,50,
      52,32,50,46,49,50,53,57,51,101,45,50,52,32,50,46,56,48,51,53,51,101,45,50,52,
      32,51,46,50,57,49,54,49,101,45,50,52,32,52,46,49,56,52,49,50,101,45,50,52,32,
      53,46,51,48,57,48,56,101,45,50,52,10,32,32,54,46,48,56,48,48,53,101,45,50,52,
      32,54,46,57,50,57,56,52,101,45,50,52,32,56,46,52,51,57,49,57,101,45,50,52,32,
      49,46,48,51,53,48,50,101,45,50,51,32,49,46,49,53,50,54,53,101,45,50,51,32,49,
      46,51,54,48,50,51,101,45,50,51,32,49,46,52,57,55,53,57,101,45,50,51,10,32,32,
      49,46,55,51,56,48,51,101,45,50,51,32,49,46,57,52,56,57,51,101,45,50,51,32,50,
      46,50,56,51,50,51,101,45,50,51,32,50,46,52,50,57,54,52,101,45,50,51,32,50,46,
      55,50,51,57,52,101,45,50,51,32,51,46,48,54,55,48,55,101,45,50,51,32,51,46,51,
      54,53,55,54,101,45,50,51,10,32,32,51,46,54,55,52,52,51,101,45,50,51,32,51,46,
      57,55,48,56,51,101,45,50,51,32,52,46,50,54,56,52,49,101,45,50,51,32,52,46,54,
      48,51,48,54,101,45,50,51,32,52,46,57,48,50,55,57,101,45,50,51,32,53,46,50,51,
      52,48,50,101,45,50,51,32,53,46,52,55,55,48,52,101,45,50,51,10,32,32,53,46,56,
      54,57,55,57,101,45,50,51,32,54,46,49,48,54,57,54,101,45,50,51,32,54,46,51,57,
      54,51,50,101,45,50,51,32,55,46,48,51,56,52,54,101,45,50,51,32,55,46,56,50,49,
      51,49,101,45,50,51,32,56,46,52,51,54,54,101,45,50,51,32,56,46,57,53,54,54,55,
      101,45,50,51,10,32,32,57,46,49,53,56,55,57,101,45,50,51,32,57,46,49,56,51,54,
      50,101,45,50,51,32,56,46,54,51,56,50,52,101,45,50,51,32,55,46,53,54,56,51,52,
      101,45,50,51,32,54,46,50,56,50,54,101,45,50,51,32,53,46,51,51,56,49,57,101,
      45,50,51,32,52,46,51,50,52,49,52,101,45,50,51,10,32,32,51,46,49,50,54,52,54,
      101,45,50,51,32,50,46,50,54,55,54,56,101,45,50,51,32,49,46,53,57,51,48,56,101,
      45,50,51,32,49,46,48,50,54,53,56,101,45,50,51,32,54,46,51,56,55,52,57,101,45,
      50,52,32,52,46,49,48,55,53,101,45,50,52,32,50,46,53,56,50,50,101,45,50,52,10,
      32,32,49,46,53,56,57,53,54,101,45,50,52,32,56,46,57,49,54,55,51,101,45,50,53,
      32,52,46,53,50,54,50,51,101,45,50,53,32,50,46,48,54,53,51,56,101,45,50,53,32,
      57,46,57,51,55,55,57,101,45,50,54,32,52,46,50,57,53,57,53,101,45,50,54,32,49,
      46,57,55,56,49,54,101,45,50,54,10,32,32,56,46,57,52,53,57,50,101,45,50,55,32,
      51,46,54,51,51,48,55,101,45,50,55,32,49,46,51,53,52,55,56,101,45,50,55,32,54,
      46,50,52,48,51,54,101,45,50,56,32,50,46,53,49,49,54,51,101,45,50,56,32,49,46,
      49,49,54,53,49,101,45,50,56,32,52,46,54,52,53,52,55,101,45,50,57,10,32,32,49,
      46,57,49,51,56,51,101,45,50,57,32,55,46,56,49,50,53,57,101,45,51,48,32,51,46,
      49,54,50,50,53,101,45,51,48,32,49,46,50,54,57,56,57,101,45,51,48,32,53,46,48,
      54,50,50,56,101,45,51,49,32,50,46,48,48,52,50,53,101,45,51,49,32,55,46,56,56,
      52,54,53,101,45,51,50,10,32,32,51,46,48,56,51,51,51,101,45,51,50,32,49,46,49,
      57,57,48,51,101,45,51,50,32,52,46,54,51,56,52,50,101,45,51,51,32,49,46,55,56,
      53,53,55,101,45,51,51,32,54,46,52,57,53,55,51,101,45,51,52,32,49,46,56,48,57,
      52,54,101,45,51,52,32,54,46,56,56,50,50,54,101,45,51,53,10,32,32,50,46,54,48,
      55,56,56,101,45,51,53,32,57,46,55,54,56,51,57,101,45,51,54,32,50,46,53,50,52,
      57,51,101,45,51,54,32,57,46,52,54,57,51,55,101,45,51,55,32,51,46,53,51,57,50,
      57,101,45,51,55,32,49,46,49,50,55,51,51,101,45,51,55,32,50,46,57,57,52,52,51,
      101,45,51,56,10,32,32,48,114,49,48,52,32,51,46,56,53,55,54,50,101,45,51,56,
      32,49,46,49,57,51,55,55,101,45,51,55,32,56,46,56,53,53,48,56,101,45,51,53,32,
      50,46,50,55,49,54,57,101,45,51,52,32,53,46,50,56,53,57,56,101,45,51,52,32,49,
      46,50,49,51,50,53,101,45,51,51,32,51,46,48,56,50,53,53,101,45,51,51,10,32,32,
      49,46,49,54,52,55,49,101,45,51,50,32,53,46,51,48,49,53,49,101,45,51,49,32,49,
      46,50,49,56,49,56,101,45,51,48,32,50,46,50,57,51,56,50,101,45,51,48,32,52,46,
      51,48,56,57,101,45,51,48,32,57,46,54,52,53,54,54,101,45,51,48,32,49,46,49,54,
      56,53,49,101,45,50,56,10,32,32,49,46,57,55,52,55,56,101,45,50,56,32,52,46,49,
      54,56,56,52,101,45,50,56,32,55,46,52,52,54,57,53,101,45,50,56,32,49,46,54,52,
      48,51,56,101,45,50,55,32,50,46,54,52,53,56,57,101,45,50,55,32,52,46,48,50,53,
      56,101,45,50,55,32,54,46,48,52,54,52,52,101,45,50,55,10,32,32,57,46,49,52,52,
      56,52,101,45,50,55,32,49,46,51,55,52,57,56,101,45,50,54,32,49,46,57,55,57,53,
      101,45,50,54,32,50,46,53,53,55,55,56,101,45,50,54,32,52,46,48,54,53,57,53,101,
      45,50,54,32,54,46,49,54,49,56,53,101,45,50,54,32,56,46,57,52,54,48,50,101,45,
      50,54,10,32,32,49,46,51,49,53,57,51,101,45,50,53,32,49,46,56,51,54,57,51,101,
      45,50,53,32,50,46,53,56,57,57,51,101,45,50,53,32,51,46,53,52,53,54,49,101,45,
      50,53,32,52,46,55,49,54,56,51,101,45,50,53,32,54,46,49,48,53,55,101,45,50,53,
      32,56,46,48,48,55,57,53,101,45,50,53,10,32,32,57,46,54,55,48,50,55,101,45,50,
      53,32,49,46,49,53,56,49,53,101,45,50,52,32,49,46,53,51,51,53,51,101,45,50,52,
      32,49,46,56,48,52,56,57,101,45,50,52,32,50,46,51,48,50,56,54,101,45,50,52,32,
      50,46,57,51,51,50,49,101,45,50,52,32,51,46,51,54,54,54,56,101,45,50,52,10,32,
      32,51,46,56,52,53,54,57,101,45,50,52,32,52,46,54,57,57,51,101,45,50,52,32,53,
      46,55,56,52,53,53,101,45,50,52,32,54,46,52,53,52,55,52,101,45,50,52,32,55,46,
      54,52,49,49,54,101,45,50,52,32,56,46,52,50,56,54,52,101,45,50,52,32,57,46,56,
      49,49,50,49,101,45,50,52,10,32,32,49,46,49,48,50,56,49,101,45,50,51,32,49,46,
      50,57,54,52,50,101,45,50,51,32,49,46,51,56,49,52,56,101,45,50,51,32,49,46,53,
      53,50,57,51,101,45,50,51,32,49,46,55,53,51,53,56,101,45,50,51,32,49,46,57,50,
      56,57,101,45,50,51,32,50,46,49,49,48,54,57,101,45,50,51,10,32,32,50,46,50,56,
      53,56,53,101,45,50,51,32,50,46,52,54,50,50,55,101,45,50,51,32,50,46,54,54,49,
      51,55,101,45,50,51,32,50,46,56,52,48,51,52,101,45,50,51,32,51,46,48,51,56,56,
      51,101,45,50,51,32,51,46,49,56,52,57,54,101,45,50,51,32,51,46,52,50,50,48,55,
      101,45,50,51,10,32,32,51,46,53,54,53,56,53,101,45,50,51,32,51,46,55,52,49,57,
      52,101,45,50,51,32,52,46,49,51,53,54,49,101,45,50,51,32,52,46,54,50,50,53,55,
      101,45,50,51,32,53,46,48,49,52,101,45,50,51,32,53,46,51,53,57,49,53,101,45,
      50,51,32,53,46,53,49,53,51,49,101,45,50,51,10,32,32,53,46,53,55,56,53,54,101,
      45,50,51,32,53,46,50,55,55,56,50,101,45,50,51,32,52,46,54,54,56,55,52,101,45,
      50,51,32,51,46,57,49,48,49,53,101,45,50,51,32,51,46,51,52,50,53,57,101,45,50,
      51,32,50,46,55,50,53,53,55,101,45,50,51,32,49,46,57,56,55,53,52,101,45,50,51,
      10,32,32,49,46,52,53,50,48,52,101,45,50,51,32,49,46,48,50,55,50,50,101,45,50,
      51,32,54,46,54,55,48,53,56,101,45,50,52,32,52,46,49,56,49,50,57,101,45,50,52,
      32,50,46,55,48,53,54,49,101,45,50,52,32,49,46,55,49,49,49,54,101,45,50,52,32,
      49,46,48,53,57,52,56,101,45,50,52,10,32,32,53,46,57,56,49,49,53,101,45,50,53,
      32,51,46,48,53,54,57,101,45,50,53,32,49,46,52,48,52,57,56,101,45,50,53,32,54,
      46,56,48,49,56,52,101,45,50,54,32,50,46,57,53,57,52,52,101,45,50,54,32,49,46,
      51,55,48,50,55,101,45,50,54,32,54,46,50,50,57,52,53,101,45,50,55,10,32,32,50,
      46,53,52,51,56,57,101,45,50,55,32,57,46,53,51,57,52,54,101,45,50,56,32,52,46,
      52,49,50,49,101,45,50,56,32,49,46,55,56,51,56,52,101,45,50,56,32,55,46,57,53,
      57,57,50,101,45,50,57,32,51,46,51,50,52,55,51,101,45,50,57,32,49,46,51,55,52,
      55,56,101,45,50,57,10,32,32,53,46,54,51,49,57,50,101,45,51,48,32,50,46,50,56,
      55,50,57,101,45,51,48,32,57,46,50,49,52,57,52,101,45,51,49,32,51,46,54,56,52,
      55,56,101,45,51,49,32,49,46,52,54,51,49,57,101,45,51,49,32,53,46,55,55,50,52,
      53,101,45,51,50,32,50,46,50,54,51,52,56,101,45,51,50,10,32,32,56,46,56,50,53,
      48,56,101,45,51,51,32,51,46,52,50,50,53,49,101,45,51,51,32,49,46,51,50,48,54,
      56,101,45,51,51,32,52,46,56,49,53,54,57,101,45,51,52,32,49,46,51,53,48,49,53,
      101,45,51,52,32,53,46,49,52,53,56,52,101,45,51,53,32,49,46,57,53,51,55,56,101,
      45,51,53,10,32,32,55,46,51,51,49,52,49,101,45,51,54,32,49,46,57,48,50,51,101,
      45,51,54,32,55,46,49,52,54,53,56,101,45,51,55,32,50,46,54,55,54,49,50,101,45,
      51,55,32,56,46,53,51,48,56,53,101,45,51,56,32,50,46,50,54,53,53,50,101,45,51,
      56,32,48,114,49,48,53,32,50,46,57,55,55,56,54,101,45,51,56,10,32,32,50,46,52,
      48,55,49,56,101,45,51,53,32,54,46,51,49,51,52,54,101,45,51,53,32,49,46,52,57,
      56,55,50,101,45,51,52,32,51,46,53,48,56,55,50,101,45,51,52,32,57,46,49,49,55,
      48,49,101,45,51,52,32,51,46,53,52,49,54,51,101,45,51,51,32,49,46,55,57,52,56,
      54,101,45,51,49,10,32,32,52,46,50,50,50,54,52,101,45,51,49,32,56,46,48,57,54,
      53,53,101,45,51,49,32,49,46,53,52,56,56,56,101,45,51,48,32,51,46,53,52,57,55,
      54,101,45,51,48,32,52,46,57,55,52,51,51,101,45,50,57,32,56,46,53,53,51,48,56,
      101,45,50,57,32,49,46,56,52,54,57,50,101,45,50,56,10,32,32,51,46,51,54,53,49,
      55,101,45,50,56,32,56,46,49,48,56,50,53,101,45,50,56,32,49,46,51,49,56,53,50,
      101,45,50,55,32,50,46,48,49,57,56,49,101,45,50,55,32,51,46,48,53,50,55,54,101,
      45,50,55,32,52,46,54,56,55,53,50,101,45,50,55,32,55,46,48,56,54,48,56,101,45,
      50,55,10,32,32,49,46,48,50,53,48,57,101,45,50,54,32,49,46,51,50,56,54,49,101,
      45,50,54,32,50,46,49,50,51,52,54,101,45,50,54,32,51,46,50,51,51,53,56,101,45,
      50,54,32,52,46,55,49,54,57,55,101,45,50,54,32,54,46,57,54,57,50,56,101,45,50,
      54,32,57,46,55,54,55,54,54,101,45,50,54,10,32,32,49,46,51,56,50,56,51,101,45,
      50,53,32,49,46,57,48,48,52,49,101,45,50,53,32,50,46,53,51,55,51,50,101,45,50,
      53,32,51,46,50,57,53,52,57,101,45,50,53,32,52,46,51,51,55,57,51,101,45,50,53,
      32,53,46,50,53,50,48,52,101,45,50,53,32,54,46,51,48,53,57,51,101,45,50,53,10,
      32,32,56,46,51,56,51,54,50,101,45,50,53,32,57,46,56,57,48,57,101,45,50,53,32,
      49,46,50,54,54,54,53,101,45,50,52,32,49,46,54,49,57,52,57,101,45,50,52,32,49,
      46,56,54,50,57,52,101,45,50,52,32,50,46,49,51,50,54,53,101,45,50,52,32,50,46,
      54,49,52,56,54,101,45,50,52,10,32,32,51,46,50,51,48,52,51,101,45,50,52,32,51,
      46,54,49,49,56,49,101,45,50,52,32,52,46,50,56,57,48,54,101,45,50,52,32,52,46,
      55,51,57,57,50,101,45,50,52,32,53,46,53,51,51,56,57,101,45,50,52,32,54,46,50,
      51,53,48,51,101,45,50,52,32,55,46,51,53,52,55,53,101,45,50,52,10,32,32,55,46,
      56,52,56,50,50,101,45,50,52,32,56,46,56,52,53,53,52,101,45,50,52,32,49,46,48,
      48,49,55,49,101,45,50,51,32,49,46,49,48,52,52,53,101,45,50,51,32,49,46,50,49,
      49,51,51,101,45,50,51,32,49,46,51,49,52,54,54,101,45,50,51,32,49,46,52,49,57,
      48,55,101,45,50,51,10,32,32,49,46,53,51,55,50,57,101,45,50,51,32,49,46,54,52,
      51,57,52,101,45,50,51,32,49,46,55,54,50,54,51,101,45,50,51,32,49,46,56,53,48,
      51,49,101,45,50,51,32,49,46,57,57,51,49,50,101,45,50,51,32,50,46,48,56,48,48,
      54,101,45,50,51,32,50,46,49,56,54,57,49,101,45,50,51,10,32,32,50,46,52,50,55,
      52,57,101,45,50,51,32,50,46,55,50,57,49,51,101,45,50,51,32,50,46,57,55,54,53,
      55,101,45,50,51,32,51,46,50,48,50,56,51,101,45,50,51,32,51,46,51,49,54,49,101,
      45,50,51,32,51,46,51,56,49,49,53,101,45,50,51,32,51,46,50,50,48,49,56,101,45,
      50,51,10,32,32,50,46,56,55,53,57,49,101,45,50,51,32,50,46,52,51,48,48,53,101,
      45,50,51,32,50,46,48,56,57,57,52,101,45,50,51,32,49,46,55,49,53,52,49,101,45,
      50,51,32,49,46,50,54,49,53,57,101,45,50,51,32,57,46,50,56,51,51,56,101,45,50,
      52,32,54,46,54,49,51,51,101,45,50,52,10,32,32,52,46,51,50,55,54,56,101,45,50,
      52,32,50,46,55,51,50,56,50,101,45,50,52,32,49,46,55,55,57,51,56,101,45,50,52,
      32,49,46,49,51,50,49,52,101,45,50,52,32,55,46,48,53,48,53,54,101,45,50,53,32,
      52,46,48,48,53,54,57,101,45,50,53,32,50,46,48,54,49,51,49,101,45,50,53,10,32,
      32,57,46,53,52,50,53,50,101,45,50,54,32,52,46,54,52,56,50,57,101,45,50,54,32,
      50,46,48,51,53,54,50,101,45,50,54,32,57,46,52,55,55,53,54,101,45,50,55,32,52,
      46,51,51,49,51,55,101,45,50,55,32,49,46,55,55,56,54,50,101,45,50,55,32,54,46,
      55,48,55,51,56,101,45,50,56,10,32,32,51,46,49,49,53,48,54,101,45,50,56,32,49,
      46,50,54,53,49,56,101,45,50,56,32,53,46,54,54,55,49,101,45,50,57,32,50,46,51,
      55,54,50,56,101,45,50,57,32,57,46,56,54,50,53,49,101,45,51,48,32,52,46,48,53,
      52,54,53,101,45,51,48,32,49,46,54,53,50,51,49,101,45,51,48,10,32,32,54,46,54,
      55,56,51,57,101,45,51,49,32,50,46,54,55,56,55,57,101,45,51,49,32,49,46,48,54,
      54,56,57,101,45,51,49,32,52,46,50,50,49,48,51,101,45,51,50,32,49,46,54,53,57,
      54,55,101,45,51,50,32,54,46,52,56,55,57,51,101,45,51,51,32,50,46,53,50,50,52,
      55,101,45,51,51,10,32,32,57,46,55,53,55,51,51,101,45,51,52,32,51,46,53,54,54,
      51,101,45,51,52,32,49,46,48,48,54,51,57,101,45,51,52,32,51,46,56,52,51,53,57,
      101,45,51,53,32,49,46,52,54,50,50,54,101,45,51,53,32,53,46,52,57,54,56,51,101,
      45,51,54,32,49,46,52,51,49,57,53,101,45,51,54,10,32,32,53,46,51,56,56,56,57,
      101,45,51,55,32,50,46,48,50,49,54,52,101,45,51,55,32,54,46,52,53,51,50,53,101,
      45,51,56,32,48,114,49,48,55,32,54,46,52,57,49,49,52,101,45,51,54,32,49,46,55,
      52,48,52,54,101,45,51,53,32,52,46,50,49,52,55,57,101,45,51,53,32,49,46,48,48,
      54,52,53,101,45,51,52,10,32,32,50,46,54,55,52,51,55,101,45,51,52,32,49,46,48,
      54,55,57,50,101,45,51,51,32,54,46,48,49,51,55,53,101,45,51,50,32,49,46,52,52,
      56,53,54,101,45,51,49,32,50,46,56,50,56,50,56,101,45,51,49,32,53,46,53,49,48,
      48,52,101,45,51,49,32,49,46,50,57,50,56,56,101,45,51,48,10,32,32,50,46,48,56,
      50,57,55,101,45,50,57,32,51,46,54,52,54,52,53,101,45,50,57,32,56,46,48,52,56,
      48,52,101,45,50,57,32,49,46,52,57,54,56,101,45,50,56,32,51,46,57,56,55,50,52,
      101,45,50,56,32,54,46,53,51,56,51,54,101,45,50,56,32,49,46,48,48,56,55,101,
      45,50,55,10,32,32,49,46,53,51,52,54,56,101,45,50,55,32,50,46,51,57,53,54,51,
      101,45,50,55,32,51,46,54,52,50,56,53,101,45,50,55,32,53,46,51,48,49,57,57,101,
      45,50,55,32,54,46,56,57,52,48,50,101,45,50,55,32,49,46,49,48,56,49,49,101,45,
      50,54,32,49,46,54,57,53,57,55,101,45,50,54,10,32,32,50,46,52,56,54,51,53,101,
      45,50,54,32,51,46,54,57,48,50,50,101,45,50,54,32,53,46,49,57,50,57,52,101,45,
      50,54,32,55,46,51,56,50,50,53,101,45,50,54,32,49,46,48,49,56,52,53,101,45,50,
      53,32,49,46,51,54,52,54,54,101,45,50,53,32,49,46,55,55,56,51,50,101,45,50,53,
      10,32,32,50,46,51,52,57,50,52,101,45,50,53,32,50,46,56,53,49,53,56,101,45,50,
      53,32,51,46,52,51,50,50,57,101,45,50,53,32,52,46,53,56,49,51,50,101,45,50,53,
      32,53,46,52,49,55,56,101,45,50,53,32,54,46,57,54,51,51,56,101,45,50,53,32,56,
      46,57,51,54,51,53,101,45,50,53,10,32,32,49,46,48,51,48,50,49,101,45,50,52,32,
      49,46,49,56,49,57,101,45,50,52,32,49,46,52,53,51,57,54,101,45,50,52,32,49,46,
      56,48,50,54,54,101,45,50,52,32,50,46,48,49,57,51,57,101,45,50,52,32,50,46,52,
      48,53,52,50,101,45,50,52,32,50,46,54,54,51,49,55,101,45,50,52,10,32,32,51,46,
      49,49,56,52,49,101,45,50,52,32,51,46,53,50,49,55,51,101,45,50,52,32,52,46,49,
      54,56,49,56,101,45,50,52,32,52,46,52,53,51,57,52,101,45,50,52,32,53,46,48,51,
      51,48,49,101,45,50,52,32,53,46,55,49,53,55,50,101,45,50,52,32,54,46,51,49,54,
      53,52,101,45,50,52,10,32,32,54,46,57,52,51,54,54,101,45,50,52,32,55,46,53,53,
      49,56,51,101,45,50,52,32,56,46,49,54,56,50,57,101,45,50,52,32,56,46,56,54,56,
      54,55,101,45,50,52,32,57,46,53,48,50,53,52,101,45,50,52,32,49,46,48,50,49,48,
      53,101,45,50,51,32,49,46,48,55,51,53,49,101,45,50,51,10,32,32,49,46,49,53,57,
      50,56,101,45,50,51,32,49,46,50,49,49,55,101,45,50,51,32,49,46,50,55,54,51,52,
      101,45,50,51,32,49,46,52,50,50,56,54,101,45,50,51,32,49,46,54,48,56,57,51,101,
      45,50,51,32,49,46,55,54,52,52,54,101,45,50,51,32,49,46,57,49,49,50,56,101,45,
      50,51,10,32,32,49,46,57,57,48,52,54,101,45,50,51,32,50,46,48,52,51,52,57,101,
      45,50,51,32,49,46,57,54,49,54,101,45,50,51,32,49,46,55,54,56,55,51,101,45,50,
      51,32,49,46,53,48,55,55,55,101,45,50,51,32,49,46,51,48,52,53,57,101,45,50,51,
      32,49,46,48,55,55,56,54,101,45,50,51,10,32,32,55,46,57,57,52,55,49,101,45,50,
      52,32,53,46,57,50,53,51,101,45,50,52,32,52,46,50,53,48,53,53,101,45,50,52,32,
      50,46,56,48,50,57,53,101,45,50,52,32,49,46,55,56,51,49,49,101,45,50,52,32,49,
      46,49,54,56,50,54,101,45,50,52,32,55,46,52,55,55,57,101,45,50,53,10,32,32,52,
      46,54,56,52,48,52,101,45,50,53,32,50,46,54,55,56,49,57,101,45,50,53,32,49,46,
      51,56,55,54,53,101,45,50,53,32,54,46,52,55,48,53,49,101,45,50,54,32,51,46,49,
      55,49,51,56,101,45,50,54,32,49,46,51,57,55,57,49,101,45,50,54,32,54,46,53,52,
      52,56,49,101,45,50,55,10,32,32,51,46,48,48,54,57,51,101,45,50,55,32,49,46,50,
      52,49,54,54,101,45,50,55,32,52,46,55,48,56,57,56,101,45,50,56,32,50,46,49,57,
      54,48,53,101,45,50,56,32,56,46,57,54,48,49,50,101,45,50,57,32,52,46,48,50,56,
      57,49,101,45,50,57,32,49,46,54,57,54,48,49,101,45,50,57,10,32,32,55,46,48,54,
      53,52,54,101,45,51,48,32,50,46,57,49,53,49,51,101,45,51,48,32,49,46,49,57,50,
      48,49,101,45,51,48,32,52,46,56,51,51,54,55,101,45,51,49,32,49,46,57,52,52,57,
      51,101,45,51,49,32,55,46,55,54,57,51,56,101,45,51,50,32,51,46,48,56,50,55,49,
      101,45,51,50,10,32,32,49,46,50,49,53,52,52,101,45,51,50,32,52,46,55,54,51,57,
      52,101,45,51,51,32,49,46,56,53,54,57,49,101,45,51,51,32,55,46,50,48,48,52,50,
      101,45,51,52,32,50,46,54,51,56,48,54,101,45,51,52,32,55,46,52,57,51,51,56,101,
      45,51,53,32,50,46,56,54,55,56,53,101,45,51,53,10,32,32,49,46,48,57,51,50,53,
      101,45,51,53,32,52,46,49,49,55,49,101,45,51,54,32,49,46,48,55,54,56,53,101,
      45,51,54,32,52,46,48,53,57,55,54,101,45,51,55,32,49,46,53,50,53,57,56,101,45,
      51,55,32,52,46,56,55,53,50,57,101,45,51,56,32,48,114,49,48,55,32,49,46,55,51,
      52,55,54,101,45,51,54,10,32,32,52,46,55,53,52,56,51,101,45,51,54,32,49,46,49,
      55,52,53,55,101,45,51,53,32,50,46,56,54,48,54,49,101,45,51,53,32,55,46,55,55,
      50,57,101,45,51,53,32,51,46,49,57,48,52,57,101,45,51,52,32,49,46,57,56,56,56,
      51,101,45,51,50,32,52,46,57,48,52,55,101,45,51,50,10,32,32,57,46,55,53,49,50,
      51,101,45,51,50,32,49,46,57,51,52,54,52,101,45,51,49,32,52,46,54,52,55,54,51,
      101,45,51,49,32,56,46,53,56,48,51,51,101,45,51,48,32,49,46,53,51,48,48,54,101,
      45,50,57,32,51,46,52,52,57,52,49,101,45,50,57,32,54,46,53,53,49,55,57,101,45,
      50,57,10,32,32,49,46,57,52,51,51,49,101,45,50,56,32,51,46,50,49,54,56,54,101,
      45,50,56,32,53,46,48,48,49,57,57,101,45,50,56,32,55,46,54,54,53,57,54,101,45,
      50,56,32,49,46,50,49,55,57,50,101,45,50,55,32,49,46,56,54,52,51,50,101,45,50,
      55,32,50,46,55,51,54,51,54,101,45,50,55,10,32,32,51,46,53,54,57,56,54,101,45,
      50,55,32,53,46,55,55,49,54,54,101,45,50,55,32,56,46,56,56,48,52,55,101,45,50,
      55,32,49,46,51,48,56,54,51,101,45,50,54,32,49,46,57,53,49,50,49,101,45,50,54,
      32,50,46,55,53,55,101,45,50,54,32,51,46,57,51,53,55,50,101,45,50,54,10,32,32,
      53,46,52,53,48,55,49,101,45,50,54,32,55,46,51,50,57,57,51,101,45,50,54,32,57,
      46,53,56,51,54,50,101,45,50,54,32,49,46,50,55,48,53,57,101,45,50,53,32,49,46,
      53,52,54,50,52,101,45,50,53,32,49,46,56,54,53,55,55,101,45,50,53,32,50,46,53,
      48,48,50,57,101,45,50,53,10,32,32,50,46,57,54,51,56,50,101,45,50,53,32,51,46,
      56,50,51,50,49,101,45,50,53,32,52,46,57,50,52,56,49,101,45,50,53,32,53,46,54,
      56,57,57,50,101,45,50,53,32,54,46,53,52,49,55,54,101,45,50,53,32,56,46,48,55,
      52,54,101,45,50,53,32,49,46,48,48,52,55,49,101,45,50,52,10,32,32,49,46,49,50,
      55,55,101,45,50,52,32,49,46,51,52,55,52,52,101,45,50,52,32,49,46,52,57,52,53,
      56,101,45,50,52,32,49,46,55,53,53,50,51,101,45,50,52,32,49,46,57,56,54,57,50,
      101,45,50,52,32,50,46,51,53,57,54,50,101,45,50,52,32,50,46,53,50,52,56,55,101,
      45,50,52,10,32,32,50,46,56,54,48,54,101,45,50,52,32,51,46,50,53,55,56,55,101,
      45,50,52,32,51,46,54,48,56,55,49,101,45,50,52,32,51,46,57,55,54,48,56,101,45,
      50,52,32,52,46,51,51,51,52,54,101,45,50,52,32,52,46,54,57,54,56,51,101,45,50,
      52,32,53,46,49,49,49,48,50,101,45,50,52,10,32,32,53,46,52,56,55,49,49,101,45,
      50,52,32,53,46,57,48,56,53,55,101,45,50,52,32,54,46,50,50,49,56,53,101,45,50,
      52,32,54,46,55,51,53,56,56,101,45,50,52,32,55,46,48,53,49,50,101,45,50,52,32,
      55,46,52,52,49,51,53,101,45,50,52,32,56,46,51,51,49,51,54,101,45,50,52,10,32,
      32,57,46,52,55,53,50,57,101,45,50,52,32,49,46,48,52,52,56,50,101,45,50,51,32,
      49,46,49,51,57,51,49,101,45,50,51,32,49,46,49,57,51,54,56,101,45,50,51,32,49,
      46,50,51,51,51,53,101,45,50,51,32,49,46,49,57,51,52,50,101,45,50,51,32,49,46,
      48,56,54,51,57,101,45,50,51,10,32,32,57,46,51,52,50,55,49,101,45,50,52,32,56,
      46,49,51,50,51,49,101,45,50,52,32,54,46,55,54,50,57,57,101,45,50,52,32,53,46,
      48,53,56,55,57,101,45,50,52,32,51,46,55,55,54,50,51,101,45,50,52,32,50,46,55,
      50,55,55,50,101,45,50,52,32,49,46,56,49,50,53,53,101,45,50,52,10,32,32,49,46,
      49,54,49,53,57,101,45,50,52,32,55,46,54,53,55,57,53,101,45,50,53,32,52,46,57,
      51,49,50,56,101,45,50,53,32,51,46,49,48,54,56,50,101,45,50,53,32,49,46,55,56,
      55,55,51,101,45,50,53,32,57,46,51,50,54,52,55,101,45,50,54,32,52,46,51,56,48,
      52,52,101,45,50,54,10,32,32,50,46,49,54,48,51,101,45,50,54,32,57,46,53,56,52,
      55,56,101,45,50,55,32,52,46,53,49,50,53,51,101,45,50,55,32,50,46,48,56,52,50,
      54,101,45,50,55,32,56,46,54,53,52,57,57,101,45,50,56,32,51,46,51,48,49,48,55,
      101,45,50,56,32,49,46,53,52,53,56,57,101,45,50,56,10,32,32,54,46,51,51,54,52,
      56,101,45,50,57,32,50,46,56,54,48,50,101,45,50,57,32,49,46,50,48,56,55,56,101,
      45,50,57,32,53,46,48,53,52,54,55,101,45,51,48,32,50,46,48,57,51,48,50,101,45,
      51,48,32,56,46,53,56,55,57,101,45,51,49,32,51,46,52,57,51,57,52,101,45,51,49,
      10,32,32,49,46,52,49,48,51,101,45,51,49,32,53,46,54,53,48,55,50,101,45,51,50,
      32,50,46,50,52,56,53,56,101,45,51,50,32,56,46,56,57,48,50,57,101,45,51,51,32,
      51,46,52,57,51,56,55,101,45,51,51,32,49,46,51,54,53,51,53,101,45,51,51,32,53,
      46,51,48,55,51,56,101,45,51,52,10,32,32,49,46,57,52,57,50,49,101,45,51,52,32,
      53,46,53,55,51,51,101,45,51,53,32,50,46,49,51,55,52,57,101,45,51,53,32,56,46,
      49,54,52,56,50,101,45,51,54,32,51,46,48,56,48,52,52,101,45,51,54,32,56,46,48,
      57,48,55,55,101,45,51,55,32,51,46,48,53,53,56,55,101,45,51,55,10,32,32,49,46,
      49,53,48,53,54,101,45,51,55,32,51,46,54,56,49,49,50,101,45,51,56,32,48,114,
      49,48,55,32,52,46,54,48,49,52,49,101,45,51,55,32,49,46,50,56,57,49,56,101,45,
      51,54,32,51,46,50,52,56,51,57,101,45,51,54,32,56,46,48,54,56,51,55,101,45,51,
      54,32,50,46,50,52,49,55,49,101,45,51,53,10,32,32,57,46,52,53,55,56,55,101,45,
      51,53,32,54,46,53,49,52,51,57,101,45,51,51,32,49,46,54,52,52,55,51,101,45,51,
      50,32,51,46,51,50,57,54,49,101,45,51,50,32,54,46,55,50,55,50,51,101,45,51,50,
      32,49,46,54,53,52,53,56,101,45,51,49,32,51,46,52,55,57,51,50,101,45,51,48,10,
      32,32,54,46,51,50,50,57,49,101,45,51,48,32,49,46,52,53,53,53,101,45,50,57,32,
      50,46,56,50,52,55,52,101,45,50,57,32,57,46,51,54,57,50,55,101,45,50,57,32,49,
      46,53,54,55,56,55,101,45,50,56,32,50,46,52,53,57,57,56,101,45,50,56,32,51,46,
      56,48,49,53,49,101,45,50,56,10,32,32,54,46,49,53,51,50,49,101,45,50,56,32,57,
      46,52,57,49,50,57,101,45,50,56,32,49,46,52,49,48,54,55,101,45,50,55,32,49,46,
      56,52,54,52,57,101,45,50,55,32,51,46,48,48,51,49,53,101,45,50,55,32,52,46,54,
      52,54,54,101,45,50,55,32,54,46,56,56,51,57,49,101,45,50,55,10,32,32,49,46,48,
      51,49,50,54,101,45,50,54,32,49,46,52,54,51,49,55,101,45,50,54,32,50,46,48,57,
      55,54,101,45,50,54,32,50,46,57,49,54,52,49,101,45,50,54,32,51,46,57,51,54,49,
      101,45,50,54,32,53,46,49,54,51,53,101,45,50,54,32,54,46,56,55,48,51,50,101,
      45,50,54,10,32,32,56,46,51,56,50,51,53,101,45,50,54,32,49,46,48,49,51,57,54,
      101,45,50,53,32,49,46,51,54,52,49,56,101,45,50,53,32,49,46,54,50,48,56,57,101,
      45,50,53,32,50,46,48,57,56,52,54,101,45,50,53,32,50,46,55,49,51,49,53,101,45,
      50,53,32,51,46,49,52,49,52,56,101,45,50,53,10,32,32,51,46,54,49,57,53,52,101,
      45,50,53,32,52,46,52,56,50,53,52,101,45,50,53,32,53,46,53,57,55,52,57,101,45,
      50,53,32,54,46,50,57,52,57,50,101,45,50,53,32,55,46,53,52,52,54,49,101,45,50,
      53,32,56,46,51,56,51,56,57,101,45,50,53,32,57,46,56,55,52,57,52,101,45,50,53,
      10,32,32,49,46,49,50,48,52,53,101,45,50,52,32,49,46,51,51,53,49,101,45,50,52,
      32,49,46,52,51,48,53,53,101,45,50,52,32,49,46,54,50,52,57,55,101,45,50,52,32,
      49,46,56,53,53,56,53,101,45,50,52,32,50,46,48,54,48,52,52,101,45,50,52,32,50,
      46,50,55,53,51,54,101,45,50,52,10,32,32,50,46,52,56,53,48,55,101,45,50,52,32,
      50,46,54,57,56,57,52,101,45,50,52,32,50,46,57,52,51,52,57,101,45,50,52,32,51,
      46,49,54,54,50,55,101,45,50,52,32,51,46,52,49,54,55,50,101,45,50,52,32,51,46,
      54,48,51,52,53,101,45,50,52,32,51,46,57,49,48,56,57,101,45,50,52,10,32,32,52,
      46,49,48,48,49,55,101,45,50,52,32,52,46,51,51,53,48,57,101,45,50,52,32,52,46,
      56,55,52,51,49,101,45,50,52,32,53,46,53,55,53,51,55,101,45,50,52,32,54,46,49,
      56,49,51,52,101,45,50,52,32,54,46,55,56,53,101,45,50,52,32,55,46,49,53,51,55,
      52,101,45,50,52,10,32,32,55,46,52,52,53,51,55,101,45,50,52,32,55,46,50,53,51,
      50,57,101,45,50,52,32,54,46,54,54,54,48,50,101,45,50,52,32,53,46,55,56,50,56,
      57,101,45,50,52,32,53,46,48,54,51,56,49,101,45,50,52,32,52,46,50,51,56,54,52,
      101,45,50,52,32,51,46,49,57,55,50,57,101,45,50,52,10,32,32,50,46,52,48,51,55,
      49,101,45,50,52,32,49,46,55,52,56,51,101,45,50,52,32,49,46,49,55,48,54,49,101,
      45,50,52,32,55,46,53,53,55,49,49,101,45,50,53,32,53,46,48,49,51,48,55,101,45,
      50,53,32,51,46,50,52,55,52,57,101,45,50,53,32,50,46,48,53,55,56,53,101,45,50,
      53,10,32,32,49,46,49,57,49,54,56,101,45,50,53,32,54,46,50,53,57,53,53,101,45,
      50,54,32,50,46,57,54,49,51,49,101,45,50,54,32,49,46,52,54,57,52,57,101,45,50,
      54,32,54,46,53,54,50,53,56,101,45,50,55,32,51,46,49,48,54,57,54,101,45,50,55,
      32,49,46,52,52,50,55,49,101,45,50,55,10,32,32,54,46,48,50,52,54,52,101,45,50,
      56,32,50,46,51,49,48,57,55,101,45,50,56,32,49,46,48,56,54,55,54,101,45,50,56,
      32,52,46,52,55,53,49,55,101,45,50,57,32,50,46,48,50,55,56,55,101,45,50,57,32,
      56,46,54,48,52,49,54,101,45,51,48,32,51,46,54,49,49,53,56,101,45,51,48,10,32,
      32,49,46,53,48,48,56,56,101,45,51,48,32,54,46,49,55,57,54,53,101,45,51,49,32,
      50,46,53,50,50,52,57,101,45,51,49,32,49,46,48,50,49,52,49,101,45,51,49,32,52,
      46,49,48,53,48,49,101,45,51,50,32,49,46,54,51,56,50,54,101,45,51,50,32,54,46,
      52,57,53,51,57,101,45,51,51,10,32,32,50,46,53,53,57,53,52,101,45,51,51,32,49,
      46,48,48,50,56,50,101,45,51,51,32,51,46,57,48,55,56,50,101,45,51,52,32,49,46,
      52,51,56,55,51,101,45,51,52,32,52,46,49,52,49,48,57,101,45,51,53,32,49,46,53,
      57,49,53,56,101,45,51,53,32,54,46,48,57,49,57,53,101,45,51,54,10,32,32,50,46,
      51,48,50,54,49,101,45,51,54,32,54,46,48,55,51,56,53,101,45,51,55,32,50,46,50,
      57,56,51,50,101,45,51,55,32,56,46,54,54,56,49,51,101,45,51,56,32,50,46,55,55,
      54,55,101,45,51,56,32,48,114,49,48,55,32,49,46,50,48,57,50,56,101,45,51,55,
      32,51,46,52,54,51,48,56,101,45,51,55,10,32,32,56,46,57,48,48,51,53,101,45,51,
      55,32,50,46,50,53,52,52,54,101,45,51,54,32,54,46,52,48,52,52,54,101,45,51,54,
      32,50,46,55,55,55,101,45,51,53,32,50,46,49,48,52,54,49,101,45,51,51,32,53,46,
      52,51,57,54,57,101,45,51,51,32,49,46,49,50,49,50,54,101,45,51,50,10,32,32,50,
      46,51,48,54,57,53,101,45,51,50,32,53,46,56,48,56,57,54,101,45,51,50,32,49,46,
      51,57,48,57,56,101,45,51,48,32,50,46,53,55,54,55,49,101,45,51,48,32,54,46,48,
      53,48,52,50,101,45,51,48,32,49,46,50,48,48,48,51,101,45,50,57,32,52,46,52,54,
      54,49,51,101,45,50,57,10,32,32,55,46,53,54,51,50,53,101,45,50,57,32,49,46,49,
      57,56,52,53,101,45,50,56,32,49,46,56,54,56,57,50,101,45,50,56,32,51,46,48,56,
      51,57,49,101,45,50,56,32,52,46,55,57,55,54,52,101,45,50,56,32,55,46,50,53,55,
      51,53,101,45,50,56,32,57,46,53,50,57,57,57,101,45,50,56,10,32,32,49,46,53,53,
      56,57,55,101,45,50,55,32,50,46,52,50,53,57,56,101,45,50,55,32,51,46,54,49,51,
      50,53,101,45,50,55,32,53,46,52,51,56,50,52,101,45,50,55,32,55,46,55,52,55,51,
      50,101,45,50,55,32,49,46,49,49,53,51,49,101,45,50,54,32,49,46,53,53,54,54,55,
      101,45,50,54,10,32,32,50,46,49,48,56,52,53,101,45,50,54,32,50,46,55,55,53,48,
      53,101,45,50,54,32,51,46,55,48,53,52,55,101,45,50,54,32,52,46,53,51,50,52,56,
      101,45,50,54,32,53,46,52,57,54,49,49,101,45,50,54,32,55,46,52,50,51,52,57,101,
      45,50,54,32,56,46,56,52,49,49,55,101,45,50,54,10,32,32,49,46,49,52,56,55,52,
      101,45,50,53,32,49,46,52,57,48,55,55,101,45,50,53,32,49,46,55,50,57,56,56,101,
      45,50,53,32,49,46,57,57,55,52,50,101,45,50,53,32,50,46,52,56,49,57,53,101,45,
      50,53,32,51,46,49,49,48,52,55,101,45,50,53,32,51,46,53,48,52,56,57,101,45,50,
      53,10,32,32,52,46,50,49,51,55,55,101,45,50,53,32,52,46,54,57,49,50,54,101,45,
      50,53,32,53,46,53,52,50,48,51,101,45,50,53,32,54,46,51,48,51,49,53,101,45,50,
      53,32,55,46,53,51,54,51,54,101,45,50,53,32,56,46,48,56,54,51,57,101,45,50,53,
      32,57,46,50,48,57,54,53,101,45,50,53,10,32,32,49,46,48,53,52,56,51,101,45,50,
      52,32,49,46,49,55,51,56,54,101,45,50,52,32,49,46,50,57,57,51,101,45,50,52,32,
      49,46,52,50,50,48,55,101,45,50,52,32,49,46,53,52,55,54,53,101,45,50,52,32,49,
      46,54,57,49,55,101,45,50,52,32,49,46,56,50,51,51,52,101,45,50,52,10,32,32,49,
      46,57,55,49,56,49,101,45,50,52,32,50,46,48,56,50,56,51,101,45,50,52,32,50,46,
      50,54,54,50,53,101,45,50,52,32,50,46,51,55,57,53,55,101,45,50,52,32,50,46,53,
      50,48,54,53,101,45,50,52,32,50,46,56,52,54,52,49,101,45,50,52,32,51,46,50,55,
      52,54,52,101,45,50,52,10,32,32,51,46,54,53,48,52,52,101,45,50,52,32,52,46,48,
      51,51,53,54,101,45,50,52,32,52,46,50,56,48,53,49,101,45,50,52,32,52,46,52,57,
      49,55,51,101,45,50,52,32,52,46,52,48,48,53,53,101,45,50,52,32,52,46,48,56,51,
      48,54,101,45,50,52,32,51,46,53,55,51,50,54,101,45,50,52,10,32,32,51,46,49,52,
      55,54,57,101,45,50,52,32,50,46,54,53,49,57,53,101,45,50,52,32,50,46,48,49,55,
      51,49,101,45,50,52,32,49,46,53,50,55,52,51,101,45,50,52,32,49,46,49,49,56,54,
      51,101,45,50,52,32,55,46,53,52,55,50,54,101,45,50,53,32,52,46,57,48,56,49,55,
      101,45,50,53,10,32,32,51,46,50,55,54,49,49,101,45,50,53,32,50,46,49,51,53,48,
      51,101,45,50,53,32,49,46,51,54,48,55,55,101,45,50,53,32,55,46,57,51,48,51,56,
      101,45,50,54,32,52,46,49,57,52,50,55,101,45,50,54,32,49,46,57,57,56,54,57,101,
      45,50,54,32,57,46,57,55,57,56,49,101,45,50,55,10,32,32,52,46,52,56,54,50,50,
      101,45,50,55,32,50,46,49,51,53,56,56,101,45,50,55,32,57,46,57,55,49,101,45,
      50,56,32,52,46,49,56,55,51,55,101,45,50,56,32,49,46,54,49,53,52,52,101,45,50,
      56,32,55,46,54,50,56,56,50,101,45,50,57,32,51,46,49,53,54,48,57,101,45,50,57,
      10,32,32,49,46,52,51,53,55,51,101,45,50,57,32,54,46,49,49,54,48,51,101,45,51,
      48,32,50,46,53,55,54,57,57,101,45,51,48,32,49,46,48,55,52,56,51,101,45,51,48,
      32,52,46,52,52,48,56,57,101,45,51,49,32,49,46,56,49,56,55,57,101,45,51,49,32,
      55,46,51,56,56,50,52,101,45,51,50,10,32,32,50,46,57,55,56,52,101,45,51,50,32,
      49,46,49,57,50,49,52,101,45,51,50,32,52,46,55,51,57,57,52,101,45,51,51,32,49,
      46,56,55,50,56,54,101,45,51,51,32,55,46,51,53,54,56,55,101,45,51,52,32,50,46,
      56,55,52,48,52,101,45,51,52,32,49,46,48,54,48,55,55,101,45,51,52,10,32,32,51,
      46,48,55,51,54,52,101,45,51,53,32,49,46,49,56,51,56,52,101,45,51,53,32,52,46,
      53,52,48,54,53,101,45,51,54,32,49,46,55,49,57,52,52,101,45,51,54,32,52,46,53,
      53,53,53,49,101,45,51,55,32,49,46,55,50,54,57,51,101,45,51,55,32,54,46,53,50,
      52,53,57,101,45,51,56,10,32,32,50,46,48,57,51,53,53,101,45,51,56,32,48,114,
      49,48,55,32,51,46,49,53,54,57,52,101,45,51,56,32,57,46,50,52,48,50,49,101,45,
      51,56,32,50,46,52,50,50,49,101,45,51,55,32,54,46,50,53,54,52,50,101,45,51,55,
      32,49,46,56,49,55,49,52,101,45,51,54,32,56,46,48,57,55,50,101,45,51,54,10,32,
      32,54,46,55,53,56,49,56,101,45,51,52,32,49,46,55,56,56,49,52,101,45,51,51,32,
      51,46,55,53,50,56,57,101,45,51,51,32,55,46,56,54,50,56,50,101,45,51,51,32,50,
      46,48,50,54,57,52,101,45,51,50,32,53,46,52,55,52,56,52,101,45,51,49,32,49,46,
      48,51,52,50,101,45,51,48,10,32,32,50,46,52,55,55,51,53,101,45,51,48,32,53,46,
      48,50,51,53,53,101,45,51,48,32,50,46,49,48,51,55,49,101,45,50,57,32,51,46,54,
      48,57,50,57,101,45,50,57,32,53,46,55,56,49,55,49,101,45,50,57,32,57,46,49,48,
      55,50,53,101,45,50,57,32,49,46,53,51,50,56,56,101,45,50,56,10,32,32,50,46,52,
      48,55,56,101,45,50,56,32,51,46,55,50,57,57,54,101,45,50,56,32,52,46,57,49,52,
      51,50,101,45,50,56,32,56,46,48,56,55,55,53,101,45,50,56,32,49,46,50,54,54,52,
      56,101,45,50,55,32,49,46,56,57,54,55,55,101,45,50,55,32,50,46,56,54,56,56,50,
      101,45,50,55,10,32,32,52,46,49,48,52,50,57,101,45,50,55,32,53,46,57,51,52,52,
      56,101,45,50,55,32,56,46,51,49,54,49,101,45,50,55,32,49,46,49,51,48,53,52,101,
      45,50,54,32,49,46,52,57,50,57,56,101,45,50,54,32,50,46,48,48,48,55,54,101,45,
      50,54,32,50,46,52,53,51,54,49,101,45,50,54,10,32,32,50,46,57,56,50,53,57,101,
      45,50,54,32,52,46,48,52,52,51,51,101,45,50,54,32,52,46,56,50,55,56,56,101,45,
      50,54,32,54,46,50,57,53,50,55,101,45,50,54,32,56,46,49,57,57,51,53,101,45,50,
      54,32,57,46,53,51,52,55,50,101,45,50,54,32,49,46,49,48,51,50,52,101,45,50,53,
      10,32,32,49,46,51,55,53,51,51,101,45,50,53,32,49,46,55,50,57,54,51,101,45,50,
      53,32,49,46,57,53,50,54,52,101,45,50,53,32,50,46,51,53,52,54,51,101,45,50,53,
      32,50,46,54,50,54,49,55,101,45,50,53,32,51,46,49,49,49,51,53,101,45,50,53,32,
      51,46,53,52,54,55,53,101,45,50,53,10,32,32,52,46,50,53,52,54,55,101,45,50,53,
      32,52,46,53,55,49,51,50,101,45,50,53,32,53,46,50,49,57,54,101,45,50,53,32,53,
      46,57,57,52,56,53,101,45,50,53,32,54,46,54,56,54,53,50,101,45,50,53,32,55,46,
      52,49,55,53,57,101,45,50,53,32,56,46,49,51,53,51,101,45,50,53,10,32,32,56,46,
      56,55,49,53,53,101,45,50,53,32,57,46,55,49,56,54,53,101,45,50,53,32,49,46,48,
      52,57,53,50,101,45,50,52,32,49,46,49,51,55,51,55,101,45,50,52,32,49,46,50,48,
      51,50,54,101,45,50,52,32,49,46,51,49,50,52,54,101,45,50,52,32,49,46,51,56,48,
      49,54,101,45,50,52,10,32,32,49,46,52,54,52,54,57,101,45,50,52,32,49,46,54,54,
      49,48,49,101,45,50,52,32,49,46,57,50,49,55,56,101,45,50,52,32,50,46,49,53,51,
      57,50,101,45,50,52,32,50,46,51,57,53,54,51,101,45,50,52,32,50,46,53,53,56,56,
      57,101,45,50,52,32,50,46,55,48,55,57,49,101,45,50,52,10,32,32,50,46,54,54,54,
      54,51,101,45,50,52,32,50,46,52,57,55,55,53,101,45,50,52,32,50,46,50,48,52,57,
      51,101,45,50,52,32,49,46,57,53,51,56,57,101,45,50,52,32,49,46,54,53,54,56,52,
      101,45,50,52,32,49,46,50,55,48,57,51,101,45,50,52,32,57,46,54,57,49,51,55,101,
      45,50,53,10,32,32,55,46,49,52,54,53,51,101,45,50,53,32,52,46,56,53,56,52,51,
      101,45,50,53,32,51,46,49,56,50,55,56,101,45,50,53,32,50,46,49,51,55,54,50,101,
      45,50,53,32,49,46,52,48,49,52,52,101,45,50,53,32,56,46,57,56,51,57,53,101,45,
      50,54,32,53,46,50,54,57,49,54,101,45,50,54,10,32,32,50,46,56,48,53,57,55,101,
      45,50,54,32,49,46,51,52,54,56,55,101,45,50,54,32,54,46,55,54,55,49,49,101,45,
      50,55,32,51,46,48,54,50,48,57,101,45,50,55,32,49,46,52,54,54,48,56,101,45,50,
      55,32,54,46,56,56,48,57,50,101,45,50,56,32,50,46,57,48,54,48,57,101,45,50,56,
      10,32,32,49,46,49,50,55,54,101,45,50,56,32,53,46,51,52,55,53,56,101,45,50,57,
      32,50,46,50,50,50,54,55,101,45,50,57,32,49,46,48,49,53,48,56,101,45,50,57,32,
      52,46,51,52,49,52,55,101,45,51,48,32,49,46,56,51,54,50,57,101,45,51,48,32,55,
      46,54,56,55,48,55,101,45,51,49,10,32,32,51,46,49,56,55,50,49,101,45,51,49,32,
      49,46,51,48,57,55,50,101,45,51,49,32,53,46,51,51,55,52,53,101,45,51,50,32,50,
      46,49,53,56,51,49,101,45,51,50,32,56,46,54,54,52,52,53,101,45,51,51,32,51,46,
      52,53,52,55,55,101,45,51,51,32,49,46,51,54,56,55,56,101,45,51,51,10,32,32,53,
      46,51,57,48,56,56,101,45,51,52,32,50,46,49,49,49,51,50,101,45,51,52,32,55,46,
      56,49,50,51,101,45,51,53,32,50,46,50,55,56,56,55,101,45,51,53,32,56,46,55,57,
      54,49,57,101,45,51,54,32,51,46,51,56,48,56,101,45,51,54,32,49,46,50,56,50,54,
      51,101,45,51,54,10,32,32,51,46,52,49,51,52,57,101,45,51,55,32,49,46,50,57,54,
      51,57,101,45,51,55,32,52,46,57,48,54,57,55,101,45,51,56,32,48,114,49,49,48,
      32,53,46,48,51,56,52,51,101,45,51,56,32,49,46,51,51,50,51,101,45,51,55,32,51,
      46,57,55,51,54,57,101,45,51,55,32,49,46,56,50,57,54,57,101,45,51,54,10,32,32,
      49,46,55,48,53,52,49,101,45,51,52,32,52,46,54,52,48,56,52,101,45,51,52,32,57,
      46,57,53,50,56,53,101,45,51,52,32,50,46,49,51,49,49,54,101,45,51,51,32,53,46,
      54,53,48,57,53,101,45,51,51,32,49,46,55,53,56,55,53,101,45,51,49,32,51,46,52,
      48,49,56,51,101,45,51,49,10,32,32,56,46,51,51,56,56,101,45,51,49,32,49,46,55,
      51,54,56,101,45,51,48,32,56,46,51,56,53,55,101,45,51,48,32,49,46,52,54,51,52,
      53,101,45,50,57,32,50,46,51,55,55,57,57,101,45,50,57,32,51,46,55,57,53,53,53,
      101,45,50,57,32,54,46,53,52,52,51,55,101,45,50,57,10,32,32,49,46,48,52,49,50,
      54,101,45,50,56,32,49,46,54,55,55,57,51,101,45,50,56,32,50,46,50,49,56,54,54,
      101,45,50,56,32,51,46,54,55,54,48,49,101,45,50,56,32,53,46,56,48,49,52,52,101,
      45,50,56,32,56,46,55,52,52,56,101,45,50,56,32,49,46,51,51,48,51,53,101,45,50,
      55,10,32,32,49,46,57,49,50,56,55,101,45,50,55,32,50,46,55,56,48,52,52,101,45,
      50,55,32,51,46,57,49,53,49,56,101,45,50,55,32,53,46,51,52,54,51,101,45,50,55,
      32,55,46,48,56,57,49,52,101,45,50,55,32,57,46,53,52,50,49,52,101,45,50,55,32,
      49,46,49,55,51,56,53,101,45,50,54,10,32,32,49,46,52,51,49,49,57,101,45,50,54,
      32,49,46,57,52,57,56,56,101,45,50,54,32,50,46,51,51,52,50,50,101,45,50,54,32,
      51,46,48,53,54,56,50,101,45,50,54,32,51,46,57,57,56,57,57,101,45,50,54,32,52,
      46,54,54,50,50,56,101,45,50,54,32,53,46,52,48,56,51,55,101,45,50,54,10,32,32,
      54,46,55,54,56,56,50,101,45,50,54,32,56,46,53,52,56,52,55,101,45,50,54,32,57,
      46,54,55,50,56,52,101,45,50,54,32,49,46,49,55,48,54,54,101,45,50,53,32,49,46,
      51,48,56,52,57,101,45,50,53,32,49,46,53,53,53,54,49,101,45,50,53,32,49,46,55,
      55,56,50,49,101,45,50,53,10,32,32,50,46,49,52,49,54,49,101,45,50,53,32,50,46,
      51,48,52,55,49,101,45,50,53,32,50,46,54,51,57,54,49,101,45,50,53,32,51,46,48,
      52,49,55,51,101,45,50,53,32,51,46,52,48,49,57,101,45,50,53,32,51,46,55,56,51,
      57,53,101,45,50,53,32,52,46,49,54,48,51,50,101,45,50,53,10,32,32,52,46,53,52,
      55,55,51,101,45,50,53,32,52,46,57,57,53,48,53,101,45,50,53,32,53,46,52,48,54,
      53,56,101,45,50,53,32,53,46,56,55,51,56,53,101,45,50,53,32,54,46,50,50,53,52,
      53,101,45,50,53,32,54,46,56,49,48,52,56,101,45,50,53,32,55,46,49,55,52,53,51,
      101,45,50,53,10,32,32,55,46,54,51,48,54,57,101,45,50,53,32,56,46,54,57,55,48,
      55,101,45,50,53,32,49,46,48,49,51,48,54,101,45,50,52,32,49,46,49,52,50,55,50,
      101,45,50,52,32,49,46,50,56,48,56,56,101,45,50,52,32,49,46,51,55,56,55,50,101,
      45,50,52,32,49,46,52,55,51,57,55,101,45,50,52,10,32,32,49,46,52,54,48,51,55,
      101,45,50,52,32,49,46,51,56,51,51,56,101,45,50,52,32,49,46,50,51,51,57,101,
      45,50,52,32,49,46,49,48,49,49,55,101,45,50,52,32,57,46,52,48,57,56,52,101,45,
      50,53,32,55,46,50,57,48,51,55,101,45,50,53,32,53,46,54,48,54,51,101,45,50,53,
      10,32,32,52,46,49,54,56,49,101,45,50,53,32,50,46,56,53,57,51,52,101,45,50,53,
      32,49,46,56,56,57,53,57,101,45,50,53,32,49,46,50,55,56,52,57,101,45,50,53,32,
      56,46,52,52,49,57,52,101,45,50,54,32,53,46,52,52,57,50,53,101,45,50,54,32,51,
      46,50,50,48,52,53,101,45,50,54,10,32,32,49,46,55,50,57,49,49,101,45,50,54,32,
      56,46,51,55,50,50,52,101,45,50,55,32,52,46,50,51,55,57,54,101,45,50,55,32,49,
      46,57,51,50,56,54,101,45,50,55,32,57,46,51,49,54,57,52,101,45,50,56,32,52,46,
      52,48,49,49,101,45,50,56,32,49,46,56,55,49,52,55,101,45,50,56,10,32,32,55,46,
      51,49,49,57,51,101,45,50,57,32,51,46,52,56,53,51,49,101,45,50,57,32,49,46,52,
      53,54,56,49,101,45,50,57,32,54,46,54,56,52,53,57,101,45,51,48,32,50,46,56,55,
      50,56,51,101,45,51,48,32,49,46,50,50,48,55,51,101,45,51,48,32,53,46,49,51,50,
      56,50,101,45,51,49,10,32,32,50,46,49,51,55,49,56,101,45,51,49,32,56,46,56,49,
      55,57,56,101,45,51,50,32,51,46,54,48,55,53,50,101,45,51,50,32,49,46,52,54,52,
      50,49,101,45,51,50,32,53,46,56,57,57,48,54,101,45,51,51,32,50,46,51,54,48,50,
      101,45,51,51,32,57,46,51,56,50,101,45,51,52,10,32,32,51,46,55,48,54,55,56,101,
      45,51,52,32,49,46,52,53,54,49,55,101,45,51,52,32,53,46,52,48,52,55,51,101,45,
      51,53,32,49,46,53,56,57,52,101,45,51,53,32,54,46,49,53,48,56,56,101,45,51,54,
      32,50,46,51,55,48,48,50,101,45,51,54,32,57,46,48,49,49,56,54,101,45,51,55,10,
      32,32,50,46,52,49,49,54,50,101,45,51,55,32,57,46,49,55,57,52,57,101,45,51,56,
      32,51,46,52,56,49,56,55,101,45,51,56,32,48,114,49,49,49,32,50,46,56,48,55,55,
      50,101,45,51,56,32,56,46,53,57,56,56,101,45,51,56,32,52,46,48,57,48,55,55,101,
      45,51,55,32,52,46,50,51,56,51,54,101,45,51,53,10,32,32,49,46,49,56,54,49,101,
      45,51,52,32,50,46,53,57,57,49,54,101,45,51,52,32,53,46,54,56,55,54,51,101,45,
      51,52,32,49,46,53,53,49,49,53,101,45,51,51,32,53,46,53,51,54,57,52,101,45,51,
      50,32,49,46,48,57,54,56,53,101,45,51,49,32,50,46,55,53,48,51,50,101,45,51,49,
      10,32,32,53,46,56,56,52,57,56,101,45,51,49,32,51,46,50,55,55,48,56,101,45,51,
      48,32,53,46,56,50,53,49,53,101,45,51,48,32,57,46,54,49,50,57,55,101,45,51,48,
      32,49,46,53,53,54,53,55,101,45,50,57,32,50,46,55,53,48,49,54,101,45,50,57,32,
      52,46,52,51,56,49,52,101,45,50,57,10,32,32,55,46,53,51,53,50,50,101,45,50,57,
      32,57,46,57,57,55,49,53,101,45,50,57,32,49,46,54,54,55,48,50,101,45,50,56,32,
      50,46,54,53,50,56,101,45,50,56,32,52,46,48,50,51,53,53,101,45,50,56,32,54,46,
      49,53,54,51,50,101,45,50,56,32,56,46,56,57,54,48,49,101,45,50,56,10,32,32,49,
      46,50,57,57,56,56,101,45,50,55,32,49,46,56,51,57,50,54,101,45,50,55,32,50,46,
      53,50,50,56,51,101,45,50,55,32,51,46,51,53,57,48,50,101,45,50,55,32,52,46,53,
      52,49,52,53,101,45,50,55,32,53,46,54,48,52,51,55,101,45,50,55,32,54,46,56,53,
      51,53,55,101,45,50,55,10,32,32,57,46,51,56,50,50,50,101,45,50,55,32,49,46,49,
      50,54,51,53,101,45,50,54,32,49,46,52,56,49,52,53,101,45,50,54,32,49,46,57,52,
      54,55,49,101,45,50,54,32,50,46,50,55,53,53,49,101,45,50,54,32,50,46,54,52,54,
      52,51,101,45,50,54,32,51,46,51,50,53,51,52,101,45,50,54,10,32,32,52,46,50,49,
      55,53,57,101,45,50,54,32,52,46,55,56,51,52,49,101,45,50,54,32,53,46,56,49,48,
      52,51,101,45,50,54,32,54,46,53,48,56,56,53,101,45,50,54,32,55,46,55,54,53,50,
      56,101,45,50,54,32,56,46,57,48,49,50,52,101,45,50,54,32,49,46,48,55,54,51,53,
      101,45,50,53,10,32,32,49,46,49,54,48,50,49,101,45,50,53,32,49,46,51,51,50,57,
      50,101,45,50,53,32,49,46,53,52,49,49,52,101,45,50,53,32,49,46,55,50,56,51,55,
      101,45,50,53,32,49,46,57,50,55,54,56,101,45,50,53,32,50,46,49,50,52,55,49,101,
      45,50,53,32,50,46,51,50,56,49,57,101,45,50,53,10,32,32,50,46,53,54,51,57,55,
      101,45,50,53,32,50,46,55,56,49,54,53,101,45,50,53,32,51,46,48,50,57,55,101,
      45,50,53,32,51,46,50,49,54,57,52,101,45,50,53,32,51,46,53,50,57,54,56,101,45,
      50,53,32,51,46,55,50,53,48,50,101,45,50,53,32,51,46,57,55,48,54,49,101,45,50,
      53,10,32,32,52,46,53,52,56,51,56,101,45,50,53,32,53,46,51,51,51,57,57,101,45,
      50,53,32,54,46,48,53,53,51,50,101,45,50,53,32,54,46,56,52,48,52,49,101,45,50,
      53,32,55,46,52,49,54,56,52,101,45,50,53,32,56,46,48,48,55,53,56,101,45,50,53,
      32,55,46,57,56,54,57,56,101,45,50,53,10,32,32,55,46,54,53,48,48,57,101,45,50,
      53,32,54,46,56,57,51,54,54,101,45,50,53,32,54,46,49,57,53,51,51,101,45,50,53,
      32,53,46,51,51,52,54,54,101,45,50,53,32,52,46,49,55,52,49,50,101,45,50,53,32,
      51,46,50,51,54,57,49,101,45,50,53,32,50,46,52,50,54,50,101,45,50,53,10,32,32,
      49,46,54,55,57,52,51,101,45,50,53,32,49,46,49,49,57,53,51,101,45,50,53,32,55,
      46,54,51,48,54,51,101,45,50,54,32,53,46,48,55,52,53,55,101,45,50,54,32,51,46,
      50,57,56,50,57,101,45,50,54,32,49,46,57,54,52,49,51,101,45,50,54,32,49,46,48,
      54,51,50,54,101,45,50,54,10,32,32,53,46,49,57,51,49,57,101,45,50,55,32,50,46,
      54,52,56,52,52,101,45,50,55,32,49,46,50,49,55,53,101,45,50,55,32,53,46,57,48,
      56,53,52,101,45,50,56,32,50,46,56,48,57,49,53,101,45,50,56,32,49,46,50,48,50,
      55,50,101,45,50,56,32,52,46,55,51,49,56,52,101,45,50,57,10,32,32,50,46,50,54,
      55,48,52,101,45,50,57,32,57,46,53,50,57,53,54,101,45,51,48,32,52,46,51,57,51,
      52,53,101,45,51,48,32,49,46,56,57,55,51,54,101,45,51,48,32,56,46,48,57,57,56,
      51,101,45,51,49,32,51,46,52,50,48,57,50,101,45,51,49,32,49,46,52,51,48,52,55,
      101,45,51,49,10,32,32,53,46,57,50,54,50,101,45,51,50,32,50,46,52,51,51,57,54,
      101,45,51,50,32,57,46,57,49,54,48,51,101,45,51,51,32,52,46,48,48,57,51,57,101,
      45,51,51,32,49,46,54,48,57,55,101,45,51,51,32,54,46,52,49,57,57,56,101,45,51,
      52,32,50,46,53,52,52,54,49,101,45,51,52,10,32,32,49,46,48,48,50,55,101,45,51,
      52,32,51,46,55,51,51,50,50,101,45,51,53,32,49,46,49,48,54,56,53,101,45,51,53,
      32,52,46,50,57,52,55,101,45,51,54,32,49,46,54,53,57,48,49,101,45,51,54,32,54,
      46,51,50,50,55,49,101,45,51,55,32,49,46,55,48,49,54,49,101,45,51,55,10,32,32,
      54,46,52,57,49,52,50,101,45,51,56,32,50,46,52,54,55,54,57,101,45,51,56,32,48,
      114,49,49,51,32,57,46,48,52,53,54,54,101,45,51,56,32,49,46,48,52,49,49,56,101,
      45,51,53,32,50,46,57,57,54,50,50,101,45,51,53,32,54,46,55,48,56,52,54,101,45,
      51,53,32,49,46,53,48,48,49,51,101,45,51,52,10,32,32,52,46,50,48,55,54,53,101,
      45,51,52,32,49,46,55,49,52,50,50,101,45,51,50,32,51,46,52,55,56,51,55,101,45,
      51,50,32,56,46,57,49,55,55,57,101,45,51,50,32,49,46,57,54,48,54,49,101,45,51,
      49,32,49,46,50,53,55,51,57,101,45,51,48,32,50,46,50,55,57,49,53,101,45,51,48,
      10,32,32,51,46,56,50,51,57,51,101,45,51,48,32,54,46,50,56,56,51,52,101,45,51,
      48,32,49,46,49,51,56,51,101,45,50,57,32,49,46,56,54,53,52,50,101,45,50,57,32,
      51,46,51,56,48,56,57,101,45,50,57,32,52,46,53,48,48,54,49,101,45,50,57,32,55,
      46,53,53,50,52,50,101,45,50,57,10,32,32,49,46,50,49,50,56,51,101,45,50,56,32,
      49,46,56,53,48,53,101,45,50,56,32,50,46,56,52,55,55,49,101,45,50,56,32,52,46,
      49,51,53,48,54,101,45,50,56,32,54,46,48,55,51,53,101,45,50,56,32,56,46,54,51,
      52,57,56,101,45,50,56,32,49,46,49,56,57,54,57,101,45,50,55,10,32,32,49,46,53,
      57,48,52,57,101,45,50,55,32,50,46,49,53,57,57,52,101,45,50,55,32,50,46,54,55,
      51,56,101,45,50,55,32,51,46,50,55,57,53,101,45,50,55,32,52,46,53,49,48,55,49,
      101,45,50,55,32,53,46,52,51,48,51,101,45,50,55,32,55,46,49,55,50,57,50,101,
      45,50,55,10,32,32,57,46,52,54,54,57,54,101,45,50,55,32,49,46,49,48,57,52,50,
      101,45,50,54,32,49,46,50,57,51,53,49,101,45,50,54,32,49,46,54,51,49,55,49,101,
      45,50,54,32,50,46,48,55,56,50,49,101,45,50,54,32,50,46,51,54,50,51,56,101,45,
      50,54,32,50,46,56,55,57,57,53,101,45,50,54,10,32,32,51,46,50,51,51,48,57,101,
      45,50,54,32,51,46,56,55,48,52,57,101,45,50,54,32,52,46,52,52,56,56,56,101,45,
      50,54,32,53,46,52,48,48,57,52,101,45,50,54,32,53,46,56,51,49,49,51,101,45,50,
      54,32,54,46,55,49,57,54,55,101,45,50,54,32,55,46,55,57,53,49,54,101,45,50,54,
      10,32,32,56,46,55,54,53,57,53,101,45,50,54,32,57,46,56,48,50,57,57,101,45,50,
      54,32,49,46,48,56,51,49,55,101,45,50,53,32,49,46,49,56,57,55,53,101,45,50,53,
      32,49,46,51,49,51,54,56,101,45,50,53,32,49,46,52,50,56,53,101,45,50,53,32,49,
      46,53,53,57,55,56,101,45,50,53,10,32,32,49,46,54,53,57,50,49,101,45,50,53,32,
      49,46,56,50,53,56,55,101,45,50,53,32,49,46,57,51,48,51,54,101,45,50,53,32,50,
      46,48,54,50,49,52,101,45,50,53,32,50,46,51,55,52,49,101,45,50,53,32,50,46,56,
      48,50,57,52,101,45,50,53,32,51,46,50,48,50,51,52,101,45,50,53,10,32,32,51,46,
      54,52,53,54,51,101,45,50,53,32,51,46,57,55,57,49,51,101,45,50,53,32,52,46,51,
      51,52,57,53,101,45,50,53,32,52,46,51,53,57,49,55,101,45,50,53,32,52,46,50,50,
      49,56,51,101,45,50,53,32,51,46,56,52,51,53,101,45,50,53,32,51,46,52,55,56,51,
      55,101,45,50,53,10,32,32,51,46,48,49,56,48,53,101,45,50,53,32,50,46,51,56,52,
      56,54,101,45,50,53,32,49,46,56,54,52,57,49,101,45,50,53,32,49,46,52,48,57,50,
      49,101,45,50,53,32,57,46,56,52,50,54,101,45,50,54,32,54,46,54,49,56,51,53,101,
      45,50,54,32,52,46,53,52,52,50,51,101,45,50,54,10,32,32,51,46,48,52,51,53,57,
      101,45,50,54,32,49,46,57,57,49,57,49,101,45,50,54,32,49,46,49,57,53,50,51,101,
      45,50,54,32,54,46,53,50,51,53,57,101,45,50,55,32,51,46,50,49,52,49,50,101,45,
      50,55,32,49,46,54,53,49,52,52,101,45,50,55,32,55,46,54,53,50,49,101,45,50,56,
      10,32,32,51,46,55,51,56,56,55,101,45,50,56,32,49,46,55,56,57,49,55,101,45,50,
      56,32,55,46,55,49,50,57,53,101,45,50,57,32,51,46,48,53,53,55,55,101,45,50,57,
      32,49,46,52,55,49,53,55,101,45,50,57,32,54,46,50,50,49,48,52,101,45,51,48,32,
      50,46,56,56,49,56,52,101,45,51,48,10,32,32,49,46,50,53,48,54,53,101,45,51,48,
      32,53,46,51,54,52,48,52,101,45,51,49,32,50,46,50,55,53,54,52,101,45,51,49,32,
      57,46,53,53,54,53,101,45,51,50,32,51,46,57,55,53,52,49,101,45,51,50,32,49,46,
      54,51,57,49,57,101,45,51,50,32,54,46,55,48,51,51,56,101,45,51,51,10,32,32,50,
      46,55,50,48,50,53,101,45,51,51,32,49,46,48,57,53,57,53,101,45,51,51,32,52,46,
      51,56,53,54,51,101,45,51,52,32,49,46,55,52,51,56,56,101,45,51,52,32,54,46,56,
      57,51,48,54,101,45,51,53,32,50,46,53,55,52,53,53,101,45,51,53,32,55,46,54,57,
      53,56,51,101,45,51,54,10,32,32,50,46,57,57,51,57,55,101,45,51,54,32,49,46,49,
      53,57,53,101,45,51,54,32,52,46,52,50,57,50,52,101,45,51,55,32,49,46,49,57,57,
      101,45,51,55,32,52,46,53,56,52,51,50,101,45,51,56,32,48,114,49,49,53,32,50,
      46,53,50,51,54,57,101,45,51,54,32,55,46,52,54,55,53,53,101,45,51,54,10,32,32,
      49,46,55,48,56,50,51,101,45,51,53,32,51,46,57,48,51,51,57,101,45,51,53,32,49,
      46,49,50,53,57,53,101,45,51,52,32,53,46,50,49,50,57,54,101,45,51,51,32,49,46,
      48,56,51,54,51,101,45,51,50,32,50,46,56,51,57,52,54,101,45,51,50,32,54,46,52,
      49,52,56,49,101,45,51,50,10,32,32,52,46,55,50,56,54,53,101,45,51,49,32,56,46,
      55,52,56,56,57,101,45,51,49,32,49,46,52,57,51,55,53,101,45,51,48,32,50,46,52,
      57,55,48,55,101,45,51,48,32,52,46,54,51,49,48,51,101,45,51,48,32,55,46,55,49,
      53,48,55,101,45,51,48,32,49,46,53,49,51,48,56,101,45,50,57,10,32,32,50,46,48,
      50,49,48,53,101,45,50,57,32,51,46,52,49,51,48,52,101,45,50,57,32,53,46,53,51,
      55,52,50,101,45,50,57,32,56,46,52,57,54,54,57,101,45,50,57,32,49,46,51,49,53,
      49,53,101,45,50,56,32,49,46,57,49,56,55,57,101,45,50,56,32,50,46,56,51,50,55,
      56,101,45,50,56,10,32,32,52,46,48,52,54,55,52,101,45,50,56,32,53,46,54,48,48,
      49,54,101,45,50,56,32,55,46,53,49,55,52,55,101,45,50,56,32,49,46,48,50,53,52,
      56,101,45,50,55,32,49,46,50,55,51,52,52,101,45,50,55,32,49,46,53,54,54,53,56,
      101,45,50,55,32,50,46,49,54,52,57,52,101,45,50,55,10,32,32,50,46,54,49,51,54,
      52,101,45,50,55,32,51,46,52,54,55,50,51,101,45,50,55,32,52,46,53,57,54,50,53,
      101,45,50,55,32,53,46,52,48,48,49,51,101,45,50,55,32,54,46,51,49,50,49,50,101,
      45,50,55,32,55,46,57,57,51,55,53,101,45,50,55,32,49,46,48,50,50,52,101,45,50,
      54,10,32,32,49,46,49,54,52,56,54,101,45,50,54,32,49,46,52,50,53,50,51,101,45,
      50,54,32,49,46,54,48,51,52,54,101,45,50,54,32,49,46,57,50,54,50,52,101,45,50,
      54,32,50,46,50,50,48,50,49,101,45,50,54,32,50,46,55,48,54,48,54,101,45,50,54,
      32,50,46,57,50,54,51,50,101,45,50,54,10,32,32,51,46,51,56,50,53,56,101,45,50,
      54,32,51,46,57,51,55,48,52,101,45,50,54,32,52,46,52,51,57,52,51,101,45,50,54,
      32,52,46,57,55,55,57,54,101,45,50,54,32,53,46,53,49,51,57,52,101,45,50,54,32,
      54,46,48,55,49,49,101,45,50,54,32,54,46,55,50,49,49,52,101,45,50,54,10,32,32,
      55,46,51,50,53,52,51,101,45,50,54,32,56,46,48,49,56,55,53,101,45,50,54,32,56,
      46,53,52,53,52,54,101,45,50,54,32,57,46,52,51,49,53,52,101,45,50,54,32,57,46,
      57,56,57,48,55,101,45,50,54,32,49,46,48,54,57,52,53,101,45,50,53,32,49,46,50,
      51,55,52,51,101,45,50,53,10,32,32,49,46,52,55,48,56,49,101,45,50,53,32,49,46,
      54,57,49,49,51,101,45,50,53,32,49,46,57,52,48,49,55,101,45,50,53,32,50,46,49,
      51,49,55,50,101,45,50,53,32,50,46,51,52,48,56,101,45,50,53,32,50,46,51,55,53,
      51,57,101,45,50,53,32,50,46,51,50,54,49,49,101,45,50,53,10,32,32,50,46,49,51,
      57,51,101,45,50,53,32,49,46,57,52,57,53,56,101,45,50,53,32,49,46,55,48,52,52,
      51,101,45,50,53,32,49,46,51,54,48,49,50,101,45,50,53,32,49,46,48,55,50,52,54,
      101,45,50,53,32,56,46,49,54,57,55,50,101,45,50,54,32,53,46,55,53,55,51,57,101,
      45,50,54,10,32,32,51,46,57,48,52,57,56,101,45,50,54,32,50,46,55,48,48,56,57,
      101,45,50,54,32,49,46,56,50,49,56,54,101,45,50,54,32,49,46,50,48,48,53,53,101,
      45,50,54,32,55,46,50,53,56,55,49,101,45,50,55,32,51,46,57,57,52,52,53,101,45,
      50,55,32,49,46,57,56,53,50,52,101,45,50,55,10,32,32,49,46,48,50,55,54,56,101,
      45,50,55,32,52,46,55,57,57,56,50,101,45,50,56,32,50,46,51,54,49,50,52,101,45,
      50,56,32,49,46,49,51,55,51,101,45,50,56,32,52,46,57,51,54,55,101,45,50,57,32,
      49,46,57,54,57,54,101,45,50,57,32,57,46,53,51,52,48,55,101,45,51,48,10,32,32,
      52,46,48,53,51,53,56,101,45,51,48,32,49,46,56,56,54,56,49,101,45,51,48,32,56,
      46,50,50,56,54,54,101,45,51,49,32,51,46,53,52,53,57,49,101,45,51,49,32,49,46,
      53,49,49,49,101,45,51,49,32,54,46,51,55,51,50,55,101,45,51,50,32,50,46,54,54,
      50,50,101,45,51,50,10,32,32,49,46,49,48,50,48,55,101,45,51,50,32,52,46,53,50,
      52,48,52,101,45,51,51,32,49,46,56,52,50,53,57,101,45,51,51,32,55,46,52,52,57,
      54,101,45,51,52,32,50,46,57,57,49,49,54,101,45,51,52,32,49,46,49,57,51,50,54,
      101,45,51,52,32,52,46,55,51,49,51,53,101,45,51,53,10,32,32,49,46,55,55,50,56,
      52,101,45,51,53,32,53,46,51,52,51,48,52,101,45,51,54,32,50,46,48,56,52,50,101,
      45,51,54,32,56,46,48,57,50,53,49,101,45,51,55,32,51,46,48,57,56,53,101,45,51,
      55,32,56,46,52,51,55,54,57,101,45,51,56,32,51,46,50,51,51,52,55,101,45,51,56,
      10,32,32,48,114,49,49,53,32,54,46,48,52,55,55,52,101,45,51,55,32,49,46,56,51,
      57,57,51,101,45,51,54,32,52,46,50,57,57,57,55,101,45,51,54,32,49,46,48,48,51,
      57,57,101,45,51,53,32,50,46,57,55,56,49,57,101,45,51,53,32,49,46,53,53,56,57,
      54,101,45,51,51,32,51,46,51,50,48,48,57,101,45,51,51,10,32,32,56,46,56,57,51,
      49,50,101,45,51,51,32,50,46,48,54,52,55,49,101,45,51,50,32,49,46,55,52,53,50,
      53,101,45,51,49,32,51,46,50,57,56,55,101,45,51,49,32,53,46,55,51,53,57,52,101,
      45,51,49,32,57,46,55,53,53,52,49,101,45,51,49,32,49,46,56,53,51,50,54,101,45,
      51,48,10,32,32,51,46,49,52,49,53,53,101,45,51,48,32,54,46,55,52,54,57,53,101,
      45,51,48,32,57,46,48,52,54,54,53,101,45,51,48,32,49,46,53,51,56,51,54,101,45,
      50,57,32,50,46,53,50,54,55,51,101,45,50,57,32,51,46,56,57,56,50,57,101,45,50,
      57,32,54,46,48,55,49,49,49,101,45,50,57,10,32,32,56,46,56,57,57,51,50,101,45,
      50,57,32,49,46,51,50,48,53,54,101,45,50,56,32,49,46,56,57,53,52,55,101,45,50,
      56,32,50,46,54,51,52,55,53,101,45,50,56,32,51,46,53,53,49,52,50,101,45,50,56,
      32,52,46,56,54,54,55,50,101,45,50,56,32,54,46,48,54,50,53,51,101,45,50,56,10,
      32,32,55,46,52,56,48,53,50,101,45,50,56,32,49,46,48,51,56,55,49,101,45,50,55,
      32,49,46,50,53,55,53,51,101,45,50,55,32,49,46,54,55,53,52,53,101,45,50,55,32,
      50,46,50,51,48,56,52,101,45,50,55,32,50,46,54,50,55,55,55,101,45,50,55,32,51,
      46,48,55,57,51,54,101,45,50,55,10,32,32,51,46,57,49,53,49,101,45,50,55,32,53,
      46,48,50,56,53,52,101,45,50,55,32,53,46,55,52,50,51,51,101,45,50,55,32,55,46,
      48,53,49,51,101,45,50,55,32,55,46,57,53,48,51,50,101,45,50,55,32,57,46,53,56,
      51,55,53,101,45,50,55,32,49,46,49,48,55,54,56,101,45,50,54,10,32,32,49,46,51,
      53,53,52,49,101,45,50,54,32,49,46,52,54,56,49,101,45,50,54,32,49,46,55,48,50,
      49,56,101,45,50,54,32,49,46,57,56,55,55,53,101,45,50,54,32,50,46,50,52,55,52,
      55,101,45,50,54,32,50,46,53,50,54,56,50,101,45,50,54,32,50,46,56,48,53,55,54,
      101,45,50,54,10,32,32,51,46,48,57,54,54,53,101,45,50,54,32,51,46,52,51,55,49,
      54,101,45,50,54,32,51,46,55,53,52,55,52,101,45,50,54,32,52,46,49,50,48,51,51,
      101,45,50,54,32,52,46,51,57,56,57,101,45,50,54,32,52,46,56,54,57,49,53,101,
      45,50,54,32,53,46,49,54,54,48,55,101,45,50,54,10,32,32,53,46,53,52,50,56,54,
      101,45,50,54,32,54,46,52,52,53,51,51,101,45,50,54,32,55,46,55,49,49,56,53,101,
      45,50,54,32,56,46,57,50,50,57,50,101,45,50,54,32,49,46,48,51,49,53,50,101,45,
      50,53,32,49,46,49,52,49,52,53,101,45,50,53,32,49,46,50,54,51,50,55,101,45,50,
      53,10,32,32,49,46,50,57,50,53,57,101,45,50,53,32,49,46,50,55,57,55,51,101,45,
      50,53,32,49,46,49,56,56,56,56,101,45,50,53,32,49,46,48,57,48,57,52,101,45,50,
      53,32,57,46,54,48,57,54,57,101,45,50,54,32,55,46,55,52,51,53,101,45,50,54,32,
      54,46,49,53,54,53,49,101,45,50,54,10,32,32,52,46,55,50,55,54,57,101,45,50,54,
      32,51,46,51,54,49,53,50,101,45,50,54,32,50,46,50,57,57,54,56,101,45,50,54,32,
      49,46,54,48,50,50,51,101,45,50,54,32,49,46,48,56,56,52,52,101,45,50,54,32,55,
      46,50,50,49,56,57,101,45,50,55,32,52,46,51,57,57,54,52,101,45,50,55,10,32,32,
      50,46,52,52,49,48,50,101,45,50,55,32,49,46,50,50,51,55,57,101,45,50,55,32,54,
      46,51,56,50,55,101,45,50,56,32,51,46,48,48,52,56,50,101,45,50,56,32,49,46,52,
      56,56,51,101,45,50,56,32,55,46,50,49,53,51,50,101,45,50,57,32,51,46,49,53,51,
      54,54,101,45,50,57,10,32,32,49,46,50,54,55,48,57,101,45,50,57,32,54,46,49,54,
      53,51,52,101,45,51,48,32,50,46,54,51,54,51,55,101,45,51,48,32,49,46,50,51,51,
      48,56,101,45,51,48,32,53,46,52,48,52,50,50,101,45,51,49,32,50,46,51,51,57,56,
      52,101,45,51,49,32,49,46,48,48,49,54,54,101,45,51,49,10,32,32,52,46,50,52,50,
      57,56,101,45,51,50,32,49,46,55,55,57,55,52,101,45,51,50,32,55,46,51,57,55,48,
      50,101,45,51,51,32,51,46,48,52,56,49,53,101,45,51,51,32,49,46,50,52,54,48,53,
      101,45,51,51,32,53,46,48,53,53,54,51,101,45,51,52,32,50,46,48,51,54,56,53,101,
      45,51,52,10,32,32,56,46,49,53,50,49,52,101,45,51,53,32,51,46,50,52,50,53,55,
      101,45,51,53,32,49,46,50,49,56,57,54,101,45,51,53,32,51,46,55,48,52,48,57,101,
      45,51,54,32,49,46,52,52,56,55,56,101,45,51,54,32,53,46,54,51,57,57,51,101,45,
      51,55,32,50,46,49,54,52,53,51,101,45,51,55,10,32,32,53,46,57,51,48,50,56,101,
      45,51,56,32,50,46,50,55,55,55,54,101,45,51,56,32,48,114,49,49,53,32,49,46,52,
      51,49,48,56,101,45,51,55,32,52,46,52,55,54,49,55,101,45,51,55,32,49,46,48,54,
      56,54,55,101,45,51,54,32,50,46,53,52,57,53,101,45,51,54,32,55,46,55,55,54,54,
      53,101,45,51,54,10,32,32,52,46,53,56,52,56,54,101,45,51,52,32,49,46,48,48,48,
      52,101,45,51,51,32,50,46,55,51,54,56,55,101,45,51,51,32,54,46,53,50,57,57,49,
      101,45,51,51,32,54,46,51,50,50,51,52,101,45,51,50,32,49,46,50,50,49,53,101,
      45,51,49,32,50,46,49,54,52,52,49,101,45,51,49,10,32,32,51,46,55,52,55,52,52,
      101,45,51,49,32,55,46,50,57,48,50,57,101,45,51,49,32,49,46,50,53,56,51,52,101,
      45,51,48,32,50,46,57,57,48,52,50,101,45,51,48,32,52,46,48,50,55,51,50,101,45,
      51,48,32,54,46,57,48,49,51,101,45,51,48,32,49,46,49,53,48,56,101,45,50,57,10,
      32,32,49,46,55,56,52,55,54,101,45,50,57,32,50,46,55,57,56,101,45,50,57,32,52,
      46,49,49,57,57,53,101,45,50,57,32,54,46,49,52,51,55,50,101,45,50,57,32,56,46,
      56,53,57,50,101,45,50,57,32,49,46,50,51,54,55,55,101,45,50,56,32,49,46,54,55,
      51,56,52,101,45,50,56,10,32,32,50,46,51,48,52,49,49,101,45,50,56,32,50,46,56,
      55,57,49,51,101,45,50,56,32,51,46,53,54,51,48,52,101,45,50,56,32,52,46,57,55,
      48,55,57,101,45,50,56,32,54,46,48,51,52,56,51,101,45,50,56,32,56,46,48,55,52,
      56,56,101,45,50,56,32,49,46,48,55,57,56,56,101,45,50,55,10,32,32,49,46,50,55,
      53,50,57,101,45,50,55,32,49,46,52,57,56,50,51,101,45,50,55,32,49,46,57,49,50,
      51,52,101,45,50,55,32,50,46,52,54,54,53,52,101,45,50,55,32,50,46,56,50,51,49,
      49,101,45,50,55,32,51,46,52,55,57,50,49,101,45,50,55,32,51,46,57,51,49,51,50,
      101,45,50,55,10,32,32,52,46,55,53,53,52,52,101,45,50,55,32,53,46,53,49,49,52,
      53,101,45,50,55,32,54,46,55,55,48,57,55,101,45,50,55,32,55,46,51,52,53,55,50,
      101,45,50,55,32,56,46,53,52,51,49,52,101,45,50,55,32,49,46,48,48,48,57,54,101,
      45,50,54,32,49,46,49,51,52,56,51,101,45,50,54,10,32,32,49,46,50,55,57,51,101,
      45,50,54,32,49,46,52,50,52,48,52,101,45,50,54,32,49,46,53,55,53,52,53,101,45,
      50,54,32,49,46,55,53,51,50,55,101,45,50,54,32,49,46,57,49,57,54,55,101,45,50,
      54,32,50,46,49,49,49,56,53,101,45,50,54,32,50,46,50,53,56,55,51,101,45,50,54,
      10,32,32,50,46,53,48,55,53,50,101,45,50,54,32,50,46,54,54,53,49,52,101,45,50,
      54,32,50,46,56,54,53,55,55,101,45,50,54,32,51,46,51,52,57,48,52,101,45,50,54,
      32,52,46,48,51,51,57,55,101,45,50,54,32,52,46,54,57,55,48,53,101,45,50,54,32,
      53,46,52,55,49,54,54,101,45,50,54,10,32,32,54,46,49,48,48,55,56,101,45,50,54,
      32,54,46,56,49,51,54,53,101,45,50,54,32,55,46,48,49,56,50,56,101,45,50,54,32,
      55,46,48,50,53,52,53,101,45,50,54,32,54,46,53,57,51,101,45,50,54,32,54,46,48,
      57,49,56,49,101,45,50,54,32,53,46,52,48,54,54,101,45,50,54,10,32,32,52,46,51,
      57,57,51,49,101,45,50,54,32,51,46,53,50,54,55,49,101,45,50,54,32,50,46,55,51,
      48,48,53,101,45,50,54,32,49,46,57,53,56,52,55,101,45,50,54,32,49,46,51,53,49,
      52,101,45,50,54,32,57,46,52,56,52,51,51,101,45,50,55,32,54,46,52,56,56,55,101,
      45,50,55,10,32,32,52,46,51,51,52,57,51,101,45,50,55,32,50,46,54,54,48,57,53,
      101,45,50,55,32,49,46,52,56,56,53,49,101,45,50,55,32,55,46,53,50,55,56,50,101,
      45,50,56,32,51,46,57,53,53,54,56,101,45,50,56,32,49,46,56,55,55,49,49,101,45,
      50,56,32,57,46,51,54,49,49,57,101,45,50,57,10,32,32,52,46,53,54,56,48,55,101,
      45,50,57,32,50,46,48,49,48,52,56,101,45,50,57,32,56,46,49,51,53,48,51,101,45,
      51,48,32,51,46,57,55,56,57,52,101,45,51,48,32,49,46,55,49,49,50,55,101,45,51,
      48,32,56,46,48,52,50,55,55,101,45,51,49,32,51,46,53,52,50,52,54,101,45,51,49,
      10,32,32,49,46,53,52,49,48,55,101,45,51,49,32,54,46,54,50,55,50,52,101,45,51,
      50,32,50,46,56,49,57,53,54,101,45,51,50,32,49,46,49,56,55,54,52,101,45,51,50,
      32,52,46,57,53,54,101,45,51,51,32,50,46,48,53,48,49,54,101,45,51,51,32,56,46,
      52,49,49,57,51,101,45,51,52,10,32,32,51,46,52,50,53,49,54,101,45,51,52,32,49,
      46,51,56,52,54,56,101,45,51,52,32,53,46,53,54,48,50,54,101,45,51,53,32,50,46,
      50,49,56,54,53,101,45,51,53,32,56,46,51,54,56,48,49,101,45,51,54,32,50,46,53,
      54,51,57,52,101,45,51,54,32,49,46,48,48,53,53,54,101,45,51,54,10,32,32,51,46,
      57,50,52,55,57,101,45,51,55,32,49,46,53,48,57,56,54,101,45,51,55,32,52,46,49,
      54,50,51,101,45,51,56,32,48,114,49,49,54,32,51,46,51,52,57,57,101,45,51,56,
      32,49,46,48,55,55,49,54,101,45,51,55,32,50,46,54,50,55,48,51,101,45,51,55,32,
      54,46,52,48,51,50,56,101,45,51,55,10,32,32,50,46,48,48,56,51,101,45,51,54,32,
      49,46,51,51,49,54,53,101,45,51,52,32,50,46,57,55,55,48,52,101,45,51,52,32,56,
      46,51,50,48,57,51,101,45,51,52,32,50,46,48,52,48,50,57,101,45,51,51,32,50,46,
      50,52,56,55,52,101,45,51,50,32,52,46,52,52,52,48,51,101,45,51,50,10,32,32,56,
      46,48,50,57,55,54,101,45,51,50,32,49,46,52,49,54,51,51,101,45,51,49,32,50,46,
      56,50,48,55,55,101,45,51,49,32,52,46,57,54,49,52,55,101,45,51,49,32,49,46,51,
      49,53,54,54,101,45,51,48,32,49,46,55,56,49,49,55,101,45,51,48,32,51,46,48,56,
      48,48,55,101,45,51,48,10,32,32,53,46,50,51,53,52,57,101,45,51,48,32,56,46,49,
      54,50,57,49,101,45,51,48,32,49,46,50,56,57,54,53,101,45,50,57,32,49,46,57,48,
      55,54,56,101,45,50,57,32,50,46,56,53,56,57,56,101,45,50,57,32,52,46,49,52,49,
      56,56,101,45,50,57,32,53,46,56,48,55,51,52,101,45,50,57,10,32,32,55,46,56,57,
      50,50,101,45,50,57,32,49,46,48,57,49,51,54,101,45,50,56,32,49,46,51,54,55,57,
      53,101,45,50,56,32,49,46,54,57,55,56,57,101,45,50,56,32,50,46,51,55,57,56,54,
      101,45,50,56,32,50,46,56,57,55,51,50,101,45,50,56,32,51,46,56,57,51,50,50,101,
      45,50,56,10,32,32,53,46,50,50,57,49,50,101,45,50,56,32,54,46,49,57,48,57,49,
      101,45,50,56,32,55,46,50,57,49,50,56,101,45,50,56,32,57,46,51,52,50,52,53,101,
      45,50,56,32,49,46,50,48,57,57,54,101,45,50,55,32,49,46,51,56,55,57,55,101,45,
      50,55,32,49,46,55,49,54,54,49,101,45,50,55,10,32,32,49,46,57,52,51,55,56,101,
      45,50,55,32,50,46,51,53,57,50,50,101,45,50,55,32,50,46,55,52,49,54,54,101,45,
      50,55,32,51,46,51,56,49,50,56,101,45,50,55,32,51,46,54,55,52,48,57,101,45,50,
      55,32,52,46,50,56,53,56,51,101,45,50,55,32,53,46,48,51,55,56,54,101,45,50,55,
      10,32,32,53,46,55,50,54,56,56,101,45,50,55,32,54,46,52,55,50,57,53,101,45,50,
      55,32,55,46,50,50,50,55,55,101,45,50,55,32,56,46,48,48,57,53,56,101,45,50,55,
      32,56,46,57,51,54,54,54,101,45,50,55,32,57,46,56,48,54,57,56,101,45,50,55,32,
      49,46,48,56,49,53,52,101,45,50,54,10,32,32,49,46,49,53,56,56,51,101,45,50,54,
      32,49,46,50,57,48,50,101,45,50,54,32,49,46,51,55,51,55,49,101,45,50,54,32,49,
      46,52,56,48,51,49,101,45,50,54,32,49,46,55,51,56,52,57,101,45,50,54,32,50,46,
      49,48,55,57,49,101,45,50,54,32,50,46,52,54,57,56,101,45,50,54,10,32,32,50,46,
      56,57,57,48,52,101,45,50,54,32,51,46,50,53,55,49,50,101,45,50,54,32,51,46,54,
      55,50,50,54,101,45,50,54,32,51,46,56,48,53,50,52,101,45,50,54,32,51,46,56,53,
      48,57,50,101,45,50,54,32,51,46,54,53,48,50,55,101,45,50,54,32,51,46,51,57,53,
      57,56,101,45,50,54,10,32,32,51,46,48,51,54,54,49,101,45,50,54,32,50,46,52,57,
      52,57,101,45,50,54,32,50,46,48,49,54,53,51,101,45,50,54,32,49,46,53,55,51,53,
      50,101,45,50,54,32,49,46,49,51,56,56,52,101,45,50,54,32,55,46,57,50,53,56,57,
      101,45,50,55,32,53,46,54,48,51,48,49,101,45,50,55,10,32,32,51,46,56,54,48,52,
      101,45,50,55,32,50,46,53,57,54,55,50,101,45,50,55,32,49,46,54,48,54,48,54,101,
      45,50,55,32,57,46,48,53,55,57,54,101,45,50,56,32,52,46,54,50,48,57,50,101,45,
      50,56,32,50,46,52,52,54,52,51,101,45,50,56,32,49,46,49,55,48,50,49,101,45,50,
      56,10,32,32,53,46,56,55,53,56,57,101,45,50,57,32,50,46,56,56,54,49,53,101,45,
      50,57,32,49,46,50,55,57,49,101,45,50,57,32,53,46,50,49,50,51,57,101,45,51,48,
      32,50,46,53,54,50,55,56,101,45,51,48,32,49,46,49,48,56,54,101,45,51,48,32,53,
      46,50,51,53,55,49,101,45,51,49,10,32,32,50,46,51,49,55,54,50,101,45,51,49,32,
      49,46,48,49,51,48,54,101,45,51,49,32,52,46,51,55,54,53,56,101,45,51,50,32,49,
      46,56,55,48,50,50,101,45,51,50,32,55,46,57,49,48,56,56,101,45,51,51,32,51,46,
      51,49,52,53,56,101,45,51,51,32,49,46,51,55,54,52,56,101,45,51,51,10,32,32,53,
      46,54,54,56,57,49,101,45,51,52,32,50,46,51,49,54,53,53,101,45,51,52,32,57,46,
      51,57,55,52,54,101,45,51,53,32,51,46,55,56,54,49,52,101,45,51,53,32,49,46,53,
      49,53,53,56,101,45,51,53,32,53,46,55,51,53,51,55,101,45,51,54,32,49,46,55,55,
      49,57,55,101,45,51,54,10,32,32,54,46,57,54,56,53,56,101,45,51,55,32,50,46,55,
      50,55,49,101,45,51,55,32,49,46,48,53,49,54,51,101,45,51,55,32,50,46,57,49,55,
      53,55,101,45,51,56,32,48,114,49,49,55,32,50,46,53,54,57,50,52,101,45,51,56,
      32,54,46,52,48,48,55,101,45,51,56,32,49,46,53,57,51,57,53,101,45,51,55,10,32,
      32,53,46,49,52,48,49,49,101,45,51,55,32,51,46,56,49,50,54,101,45,51,53,32,56,
      46,55,51,51,51,54,101,45,51,53,32,50,46,52,57,50,56,57,101,45,51,52,32,54,46,
      50,56,50,48,50,101,45,51,52,32,55,46,56,54,49,51,50,101,45,51,51,32,49,46,53,
      56,57,55,57,101,45,51,50,10,32,32,50,46,57,51,48,51,57,101,45,51,50,32,53,46,
      50,54,56,48,52,101,45,51,50,32,49,46,48,55,51,57,50,101,45,51,49,32,49,46,57,
      50,53,57,101,45,51,49,32,53,46,55,51,51,57,53,101,45,51,49,32,55,46,56,49,48,
      53,53,101,45,51,49,32,49,46,51,54,52,57,50,101,45,51,48,10,32,32,50,46,51,55,
      55,50,52,101,45,51,48,32,51,46,55,50,54,50,54,101,45,51,48,32,53,46,57,52,48,
      55,53,101,45,51,48,32,56,46,56,50,55,54,101,45,51,48,32,49,46,51,50,57,53,54,
      101,45,50,57,32,49,46,57,51,53,49,52,101,45,50,57,32,50,46,55,50,53,48,55,101,
      45,50,57,10,32,32,51,46,55,49,57,48,51,101,45,50,57,32,53,46,49,54,54,53,56,
      101,45,50,57,32,54,46,52,57,54,48,53,101,45,50,57,32,56,46,48,56,54,56,52,101,
      45,50,57,32,49,46,49,51,56,56,54,101,45,50,56,32,49,46,51,57,48,51,56,101,45,
      50,56,32,49,46,56,55,54,51,101,45,50,56,10,32,32,50,46,53,51,49,49,54,101,45,
      50,56,32,51,46,48,48,52,51,53,101,45,50,56,32,51,46,53,52,55,50,51,101,45,50,
      56,32,52,46,53,54,50,55,56,101,45,50,56,32,53,46,57,51,51,56,52,101,45,50,56,
      32,54,46,56,50,50,49,50,101,45,50,56,32,56,46,52,54,55,52,101,45,50,56,10,32,
      32,57,46,54,48,56,51,52,101,45,50,56,32,49,46,49,55,48,49,52,101,45,50,55,32,
      49,46,51,54,51,52,56,101,45,50,55,32,49,46,54,56,56,48,57,101,45,50,55,32,49,
      46,56,51,55,49,54,101,45,50,55,32,50,46,49,52,57,52,52,101,45,50,55,32,50,46,
      53,51,52,55,54,101,45,50,55,10,32,32,50,46,56,56,57,48,53,101,45,50,55,32,51,
      46,50,55,51,57,50,101,45,50,55,32,51,46,54,54,49,57,51,101,45,50,55,32,52,46,
      48,55,48,51,49,101,45,50,55,32,52,46,53,53,51,48,50,101,45,50,55,32,53,46,48,
      48,55,54,101,45,50,55,32,53,46,53,51,53,57,53,101,45,50,55,10,32,32,53,46,57,
      52,50,48,57,101,45,50,55,32,54,46,54,51,52,53,57,101,45,50,55,32,55,46,48,55,
      54,50,50,101,45,50,55,32,55,46,54,52,49,53,54,101,45,50,55,32,57,46,48,49,56,
      49,51,101,45,50,55,32,49,46,49,48,48,54,101,45,50,54,32,49,46,50,57,55,53,53,
      101,45,50,54,10,32,32,49,46,53,51,52,53,51,101,45,50,54,32,49,46,55,51,54,57,
      53,101,45,50,54,32,49,46,57,55,54,57,56,101,45,50,54,32,50,46,48,54,48,56,53,
      101,45,50,54,32,50,46,49,48,56,50,56,101,45,50,54,32,50,46,48,49,56,52,49,101,
      45,50,54,32,49,46,56,57,48,54,50,101,45,50,54,10,32,32,49,46,55,48,51,49,53,
      101,45,50,54,32,49,46,52,49,50,56,51,101,45,50,54,32,49,46,49,53,49,50,56,101,
      45,50,54,32,57,46,48,53,53,48,51,101,45,50,55,32,54,46,54,49,49,52,52,101,45,
      50,55,32,52,46,54,52,48,54,50,101,45,50,55,32,51,46,51,48,52,51,53,101,45,50,
      55,10,32,32,50,46,50,57,50,54,56,101,45,50,55,32,49,46,53,53,50,55,50,101,45,
      50,55,32,57,46,54,55,54,49,49,101,45,50,56,32,53,46,53,48,49,56,57,101,45,50,
      56,32,50,46,56,51,49,50,55,101,45,50,56,32,49,46,53,49,48,50,101,45,50,56,32,
      55,46,50,56,49,53,51,101,45,50,57,10,32,32,51,46,54,56,49,51,53,101,45,50,57,
      32,49,46,56,50,48,49,50,101,45,50,57,32,56,46,49,50,50,56,101,45,51,48,32,51,
      46,51,51,51,54,53,101,45,51,48,32,49,46,54,52,55,54,54,101,45,51,48,32,55,46,
      49,54,56,56,53,101,45,51,49,32,51,46,52,48,50,51,101,45,51,49,10,32,32,49,46,
      53,49,51,54,49,101,45,51,49,32,54,46,54,52,56,48,50,101,45,51,50,32,50,46,56,
      56,53,51,49,101,45,51,50,32,49,46,50,51,56,52,50,101,45,51,50,32,53,46,50,54,
      48,54,54,101,45,51,51,32,50,46,50,49,51,49,53,101,45,51,51,32,57,46,50,50,54,
      55,54,101,45,51,52,10,32,32,51,46,56,49,52,50,53,101,45,51,52,32,49,46,53,54,
      52,51,101,45,51,52,32,54,46,51,54,55,56,57,101,45,51,53,32,50,46,53,55,52,49,
      52,101,45,51,53,32,49,46,48,51,51,55,52,101,45,51,53,32,51,46,57,50,53,50,57,
      101,45,51,54,32,49,46,50,50,50,56,54,101,45,51,54,10,32,32,52,46,56,50,50,52,
      101,45,51,55,32,49,46,56,57,50,50,53,101,45,51,55,32,55,46,51,49,52,54,49,101,
      45,51,56,32,50,46,48,52,50,53,101,45,51,56,32,48,114,49,49,57,32,51,46,57,50,
      51,57,53,101,45,51,56,32,49,46,51,48,48,57,54,101,45,51,55,32,49,46,48,55,52,
      57,101,45,51,53,10,32,32,50,46,53,50,50,56,53,101,45,51,53,32,55,46,51,53,52,
      48,53,101,45,51,53,32,49,46,57,48,52,53,53,101,45,51,52,32,50,46,54,57,57,53,
      52,101,45,51,51,32,53,46,53,56,56,51,52,101,45,51,51,32,49,46,48,53,49,49,57,
      101,45,51,50,32,49,46,57,50,54,56,51,101,45,51,50,10,32,32,52,46,48,49,57,50,
      101,45,51,50,32,55,46,51,53,50,48,49,101,45,51,50,32,50,46,52,54,57,48,54,101,
      45,51,49,32,51,46,51,56,55,48,52,101,45,51,49,32,53,46,57,57,48,56,101,45,51,
      49,32,49,46,48,55,53,53,56,101,45,51,48,32,49,46,54,57,53,48,56,101,45,51,48,
      10,32,32,50,46,55,51,49,54,57,101,45,51,48,32,52,46,48,55,55,53,101,45,51,48,
      32,54,46,49,55,49,56,50,101,45,51,48,32,57,46,48,50,52,50,57,101,45,51,48,32,
      49,46,50,55,54,50,56,101,45,50,57,32,49,46,55,52,57,51,101,45,50,57,32,50,46,
      52,52,49,52,49,101,45,50,57,10,32,32,51,46,48,55,57,48,55,101,45,50,57,32,51,
      46,56,52,52,52,50,101,45,50,57,32,53,46,52,51,57,53,57,101,45,50,57,32,54,46,
      54,53,57,53,51,101,45,50,57,32,57,46,48,50,53,53,50,101,45,50,57,32,49,46,50,
      50,50,57,101,45,50,56,32,49,46,52,53,53,50,51,101,45,50,56,10,32,32,49,46,55,
      50,50,53,50,101,45,50,56,32,50,46,50,50,52,51,51,101,45,50,56,32,50,46,57,48,
      52,55,57,101,45,50,56,32,51,46,51,52,55,49,57,101,45,50,56,32,52,46,49,54,57,
      51,101,45,50,56,32,52,46,55,52,49,50,50,101,45,50,56,32,53,46,55,57,51,55,52,
      101,45,50,56,10,32,32,54,46,55,54,57,52,101,45,50,56,32,56,46,52,49,51,55,54,
      101,45,50,56,32,57,46,49,55,49,50,54,101,45,50,56,32,49,46,48,55,54,50,53,101,
      45,50,55,32,49,46,50,55,51,51,51,101,45,50,55,32,49,46,52,53,53,49,55,101,45,
      50,55,32,49,46,54,53,51,51,54,101,45,50,55,10,32,32,49,46,56,53,51,55,57,101,
      45,50,55,32,50,46,48,54,53,51,55,101,45,50,55,32,50,46,51,49,54,50,53,101,45,
      50,55,32,50,46,53,53,51,50,52,101,45,50,55,32,50,46,56,50,57,53,52,101,45,50,
      55,32,51,46,48,52,50,53,51,101,45,50,55,32,51,46,52,48,54,56,55,101,45,50,55,
      10,32,32,51,46,54,51,57,57,54,101,45,50,55,32,51,46,57,51,57,49,55,101,45,50,
      55,32,52,46,54,55,49,53,52,101,45,50,55,32,53,46,55,51,56,54,53,101,45,50,55,
      32,54,46,56,48,55,53,54,101,45,50,55,32,56,46,49,49,49,53,101,45,50,55,32,57,
      46,50,52,52,49,55,101,45,50,55,10,32,32,49,46,48,54,50,48,56,101,45,50,54,32,
      49,46,49,49,52,53,49,101,45,50,54,32,49,46,49,53,50,52,49,101,45,50,54,32,49,
      46,49,49,52,50,51,101,45,50,54,32,49,46,48,53,48,55,53,101,45,50,54,32,57,46,
      53,51,53,53,53,101,45,50,55,32,55,46,57,56,54,48,50,101,45,50,55,10,32,32,54,
      46,53,54,48,54,51,101,45,50,55,32,53,46,50,48,48,57,50,101,45,50,55,32,51,46,
      56,51,48,55,56,101,45,50,55,32,50,46,55,49,49,55,52,101,45,50,55,32,49,46,57,
      52,52,56,52,101,45,50,55,32,49,46,51,53,56,56,55,101,45,50,55,32,57,46,50,54,
      53,54,57,101,45,50,56,10,32,32,53,46,56,49,55,55,101,45,50,56,32,51,46,51,51,
      53,48,53,101,45,50,56,32,49,46,55,51,49,49,56,101,45,50,56,32,57,46,51,48,51,
      53,55,101,45,50,57,32,52,46,53,50,49,54,54,101,45,50,57,32,50,46,51,48,49,55,
      53,101,45,50,57,32,49,46,49,52,53,53,50,101,45,50,57,10,32,32,53,46,49,52,56,
      48,51,101,45,51,48,32,50,46,49,50,55,56,56,101,45,51,48,32,49,46,48,53,55,50,
      53,101,45,51,48,32,52,46,54,50,54,57,101,45,51,49,32,50,46,50,48,54,55,101,
      45,51,49,32,57,46,56,54,54,55,49,101,45,51,50,32,52,46,51,53,52,53,56,101,45,
      51,50,10,32,32,49,46,56,57,56,55,101,45,51,50,32,56,46,49,56,53,55,57,101,45,
      51,51,32,51,46,52,57,50,48,57,101,45,51,51,32,49,46,52,55,53,49,52,101,45,51,
      51,32,54,46,49,55,52,50,101,45,51,52,32,50,46,53,54,50,48,50,101,45,51,52,32,
      49,46,48,53,52,53,54,101,45,51,52,10,32,32,52,46,51,48,55,57,49,101,45,51,53,
      32,49,46,55,52,55,50,57,101,45,51,53,32,55,46,48,51,57,55,101,45,51,54,32,50,
      46,54,56,50,50,57,101,45,51,54,32,56,46,52,50,54,48,51,101,45,51,55,32,51,46,
      51,51,50,49,49,101,45,51,55,32,49,46,51,49,48,57,57,101,45,51,55,10,32,32,53,
      46,48,56,48,49,52,101,45,51,56,32,48,114,49,50,49,32,51,46,50,53,52,52,50,101,
      45,51,56,32,50,46,57,57,50,55,101,45,51,54,32,55,46,49,57,54,54,53,101,45,51,
      54,32,50,46,49,52,49,57,50,101,45,51,53,32,53,46,55,48,48,53,50,101,45,51,53,
      32,57,46,49,49,56,48,56,101,45,51,52,10,32,32,49,46,57,51,50,55,51,101,45,51,
      51,32,51,46,55,49,49,49,54,101,45,51,51,32,54,46,57,51,56,50,51,101,45,51,51,
      32,49,46,52,56,48,56,55,101,45,51,50,32,50,46,55,54,52,48,54,101,45,51,50,32,
      49,46,48,52,57,57,54,101,45,51,49,32,49,46,52,53,49,56,50,101,45,51,49,10,32,
      32,50,46,54,48,51,49,52,101,45,51,49,32,52,46,56,53,48,57,51,101,45,51,49,32,
      55,46,54,56,56,48,56,101,45,51,49,32,49,46,50,53,52,57,49,101,45,51,48,32,49,
      46,56,56,49,55,53,101,45,51,48,32,50,46,56,54,50,55,101,45,51,48,32,52,46,50,
      48,52,57,51,101,45,51,48,10,32,32,53,46,57,55,50,51,49,101,45,51,48,32,56,46,
      50,50,49,57,49,101,45,51,48,32,49,46,49,53,50,55,56,101,45,50,57,32,49,46,52,
      53,56,50,56,101,45,50,57,32,49,46,56,50,54,48,53,101,45,50,57,32,50,46,53,57,
      53,55,52,101,45,50,57,32,51,46,49,56,54,54,53,101,45,50,57,10,32,32,52,46,51,
      51,55,48,55,101,45,50,57,32,53,46,57,48,49,57,49,101,45,50,57,32,55,46,48,52,
      48,57,49,101,45,50,57,32,56,46,51,53,53,101,45,50,57,32,49,46,48,56,51,48,54,
      101,45,50,56,32,49,46,52,50,48,50,49,101,45,50,56,32,49,46,54,52,48,49,54,101,
      45,50,56,10,32,32,50,46,48,53,48,50,52,101,45,50,56,32,50,46,51,51,54,52,49,
      101,45,50,56,32,50,46,56,54,52,55,101,45,50,56,32,51,46,51,53,54,49,101,45,
      50,56,32,52,46,49,56,55,52,54,101,45,50,56,32,52,46,53,55,49,54,52,101,45,50,
      56,32,53,46,51,56,48,56,56,101,45,50,56,10,32,32,54,46,51,56,54,56,101,45,50,
      56,32,55,46,51,49,56,50,55,101,45,50,56,32,56,46,51,51,54,54,56,101,45,50,56,
      32,57,46,51,54,57,55,57,101,45,50,56,32,49,46,48,52,54,51,54,101,45,50,55,32,
      49,46,49,55,54,52,55,101,45,50,55,32,49,46,50,57,57,55,53,101,45,50,55,10,32,
      32,49,46,52,52,51,57,50,101,45,50,55,32,49,46,53,53,53,51,55,101,45,50,55,32,
      49,46,55,52,54,54,49,101,45,50,55,32,49,46,56,54,57,51,52,101,45,50,55,32,50,
      46,48,50,55,51,51,101,45,50,55,32,50,46,52,49,54,48,49,101,45,50,55,32,50,46,
      57,56,55,51,51,101,45,50,55,10,32,32,51,46,53,54,53,55,52,101,45,50,55,32,52,
      46,50,56,48,54,54,101,45,50,55,32,52,46,57,48,55,52,101,45,50,55,32,53,46,54,
      56,56,50,49,101,45,50,55,32,54,46,48,49,55,50,53,101,45,50,55,32,54,46,50,56,
      56,56,51,101,45,50,55,32,54,46,49,52,48,55,51,101,45,50,55,10,32,32,53,46,56,
      51,48,48,56,101,45,50,55,32,53,46,51,50,57,56,49,101,45,50,55,32,52,46,53,48,
      54,52,49,101,45,50,55,32,51,46,55,51,50,49,51,101,45,50,55,32,50,46,57,56,49,
      57,57,101,45,50,55,32,50,46,50,49,53,54,53,101,45,50,55,32,49,46,53,56,49,55,
      51,101,45,50,55,10,32,32,49,46,49,52,50,53,55,101,45,50,55,32,56,46,48,51,57,
      48,54,101,45,50,56,32,53,46,53,49,56,56,54,101,45,50,56,32,51,46,52,57,49,50,
      55,101,45,50,56,32,50,46,48,49,55,55,55,101,45,50,56,32,49,46,48,53,54,53,50,
      101,45,50,56,32,53,46,55,50,48,53,49,101,45,50,57,10,32,32,50,46,56,48,50,53,
      101,45,50,57,32,49,46,52,51,54,52,51,101,45,50,57,32,55,46,49,57,53,57,54,101,
      45,51,48,32,51,46,50,53,54,53,56,101,45,51,48,32,49,46,51,53,53,55,50,101,45,
      51,48,32,54,46,55,55,49,53,53,101,45,51,49,32,50,46,57,56,48,56,55,101,45,51,
      49,10,32,32,49,46,52,50,56,54,56,101,45,51,49,32,54,46,52,50,48,51,55,101,45,
      51,50,32,50,46,56,52,55,51,53,101,45,51,50,32,49,46,50,52,55,51,101,45,51,50,
      32,53,46,52,48,49,52,56,101,45,51,51,32,50,46,51,49,52,49,57,101,45,51,51,32,
      57,46,56,49,54,101,45,51,52,10,32,32,52,46,49,50,52,55,55,101,45,51,52,32,49,
      46,55,49,56,49,50,101,45,51,52,32,55,46,48,57,55,57,51,101,45,51,53,32,50,46,
      57,48,57,55,53,101,45,51,53,32,49,46,49,56,52,50,101,45,51,53,32,52,46,55,56,
      54,54,55,101,45,51,54,32,49,46,56,51,48,49,57,101,45,51,54,10,32,32,53,46,55,
      57,55,52,49,101,45,51,55,32,50,46,50,57,57,48,53,101,45,51,55,32,57,46,48,54,
      57,57,53,101,45,51,56,32,51,46,53,50,51,51,50,101,45,51,56,32,48,114,49,50,
      50,32,53,46,57,52,51,49,54,101,45,51,55,32,49,46,52,55,51,50,101,45,51,54,32,
      52,46,52,57,55,57,49,101,45,51,54,10,32,32,49,46,50,51,56,53,53,101,45,51,53,
      32,50,46,50,57,53,101,45,51,52,32,53,46,48,49,50,50,49,101,45,51,52,32,57,46,
      56,55,56,53,101,45,51,52,32,49,46,56,57,51,55,52,101,45,51,51,32,52,46,49,53,
      55,50,56,101,45,51,51,32,55,46,57,54,49,49,55,101,45,51,51,10,32,32,51,46,53,
      51,51,54,56,101,45,51,50,32,52,46,57,52,48,55,57,101,45,51,50,32,57,46,48,51,
      48,51,52,101,45,51,50,32,49,46,55,56,49,52,57,101,45,51,49,32,50,46,56,52,52,
      53,50,101,45,51,49,32,52,46,55,51,50,55,51,101,45,51,49,32,55,46,49,51,57,50,
      53,101,45,51,49,10,32,32,49,46,48,57,51,52,54,101,45,51,48,32,49,46,54,49,53,
      52,55,101,45,51,48,32,50,46,51,48,54,56,50,101,45,51,48,32,51,46,49,57,52,49,
      52,101,45,51,48,32,52,46,53,48,52,53,51,101,45,51,48,32,53,46,55,50,48,48,54,
      101,45,51,48,32,55,46,49,56,56,55,57,101,45,51,48,10,32,32,49,46,48,50,55,56,
      52,101,45,50,57,32,49,46,50,54,54,50,101,45,50,57,32,49,46,55,51,50,52,54,101,
      45,50,57,32,50,46,51,55,48,51,56,101,45,50,57,32,50,46,56,51,54,56,49,101,45,
      50,57,32,51,46,51,55,54,56,56,101,45,50,57,32,52,46,51,57,56,55,50,101,45,50,
      57,10,32,32,53,46,55,57,56,101,45,50,57,32,54,46,55,49,52,56,51,101,45,50,57,
      32,56,46,52,51,49,49,55,101,45,50,57,32,57,46,54,51,51,54,101,45,50,57,32,49,
      46,49,56,54,50,49,101,45,50,56,32,49,46,51,57,52,52,101,45,50,56,32,49,46,55,
      52,56,50,57,101,45,50,56,10,32,32,49,46,57,49,50,52,54,101,45,50,56,32,50,46,
      50,53,57,52,52,101,45,50,56,32,50,46,54,57,50,55,51,101,45,50,56,32,51,46,48,
      57,53,55,101,45,50,56,32,51,46,53,51,56,48,50,101,45,50,56,32,51,46,57,56,56,
      52,53,101,45,50,56,32,52,46,52,54,55,48,57,101,45,50,56,10,32,32,53,46,48,51,
      56,53,55,101,45,50,56,32,53,46,53,56,50,49,52,101,45,50,56,32,54,46,50,50,48,
      50,49,101,45,50,56,32,54,46,55,49,53,49,52,101,45,50,56,32,55,46,53,54,55,55,
      101,45,50,56,32,56,46,49,49,54,57,55,101,45,50,56,32,56,46,56,50,54,51,53,101,
      45,50,56,10,32,32,49,46,48,53,56,50,53,101,45,50,55,32,49,46,51,49,57,49,52,
      101,45,50,55,32,49,46,53,56,54,54,54,101,45,50,55,32,49,46,57,50,50,53,51,101,
      45,50,55,32,50,46,50,50,49,49,49,101,45,50,55,32,50,46,53,57,57,49,50,101,45,
      50,55,32,50,46,55,55,57,51,56,101,45,50,55,10,32,32,50,46,57,52,51,54,53,101,
      45,50,55,32,50,46,57,48,57,55,101,45,50,55,32,50,46,55,56,53,55,50,101,45,50,
      55,32,50,46,53,55,48,48,52,101,45,50,55,32,50,46,49,57,56,56,55,101,45,50,55,
      32,49,46,56,51,57,52,54,101,45,50,55,32,49,46,52,56,52,49,57,101,45,50,55,10,
      32,32,49,46,49,49,52,56,49,101,45,50,55,32,56,46,48,52,50,55,101,45,50,56,32,
      53,46,56,54,49,56,54,101,45,50,56,32,52,46,49,54,48,51,54,101,45,50,56,32,50,
      46,56,56,48,51,51,101,45,50,56,32,49,46,56,51,57,50,53,101,45,50,56,32,49,46,
      48,55,51,56,51,101,45,50,56,10,32,32,53,46,54,56,51,57,52,101,45,50,57,32,51,
      46,49,48,54,52,53,101,45,50,57,32,49,46,53,51,55,49,101,45,50,57,32,55,46,57,
      52,54,51,53,101,45,51,48,32,52,46,48,49,51,55,50,101,45,51,48,32,49,46,56,51,
      50,52,49,101,45,51,48,32,55,46,54,57,54,56,54,101,45,51,49,10,32,32,51,46,56,
      54,57,57,50,101,45,51,49,32,49,46,55,49,54,48,57,101,45,51,49,32,56,46,50,55,
      53,57,56,101,45,51,50,32,51,46,55,52,50,56,52,101,45,51,50,32,49,46,54,55,48,
      48,52,101,45,51,50,32,55,46,51,53,56,54,101,45,51,51,32,51,46,50,48,52,54,101,
      45,51,51,10,32,32,49,46,51,56,48,51,57,101,45,51,51,32,53,46,56,56,53,53,50,
      101,45,51,52,32,50,46,52,56,53,52,57,101,45,51,52,32,49,46,48,52,48,50,54,101,
      45,51,52,32,52,46,51,49,55,51,57,101,45,51,53,32,49,46,55,55,55,55,53,101,45,
      51,53,32,55,46,50,54,53,57,56,101,45,51,54,10,32,32,50,46,57,52,57,48,56,101,
      45,51,54,32,49,46,49,51,50,53,54,101,45,51,54,32,51,46,54,50,53,50,49,101,45,
      51,55,32,49,46,52,52,50,55,51,101,45,51,55,32,53,46,55,49,49,49,54,101,45,51,
      56,32,50,46,50,50,53,52,56,101,45,51,56,32,48,114,49,50,50,32,49,46,49,53,55,
      54,52,101,45,51,55,10,32,32,50,46,57,53,55,56,49,101,45,51,55,32,57,46,50,54,
      51,56,51,101,45,51,55,32,50,46,54,51,57,49,101,45,51,54,32,53,46,54,51,57,54,
      53,101,45,51,53,32,49,46,50,54,57,51,53,101,45,51,52,32,50,46,53,54,56,53,50,
      101,45,51,52,32,53,46,48,53,48,53,52,101,45,51,52,10,32,32,49,46,49,51,57,55,
      52,101,45,51,51,32,50,46,50,52,48,48,51,101,45,51,51,32,49,46,49,54,50,52,56,
      101,45,51,50,32,49,46,54,52,53,52,49,101,45,51,50,32,51,46,48,55,49,57,53,101,
      45,51,50,32,54,46,52,57,49,50,50,101,45,51,50,32,49,46,48,52,52,56,57,101,45,
      51,49,10,32,32,49,46,55,55,56,52,55,101,45,51,49,32,50,46,55,48,48,49,101,45,
      51,49,32,52,46,49,54,55,55,101,45,51,49,32,54,46,49,57,51,53,55,101,45,51,49,
      32,56,46,56,57,50,49,51,101,45,51,49,32,49,46,50,51,56,56,101,45,51,48,32,49,
      46,55,53,55,51,101,45,51,48,10,32,32,50,46,50,52,48,49,51,101,45,51,48,32,50,
      46,56,50,53,52,54,101,45,51,48,32,52,46,48,54,51,48,52,101,45,51,48,32,53,46,
      48,50,50,51,55,101,45,51,48,32,54,46,57,48,55,57,50,101,45,51,48,32,57,46,53,
      48,50,52,57,101,45,51,48,32,49,46,49,52,48,56,49,101,45,50,57,10,32,32,49,46,
      51,54,50,50,55,101,45,50,57,32,49,46,55,56,51,48,52,101,45,50,57,32,50,46,51,
      54,50,51,54,101,45,50,57,32,50,46,55,52,51,53,56,101,45,50,57,32,51,46,52,54,
      48,49,51,101,45,50,57,32,51,46,57,54,52,48,55,101,45,50,57,32,52,46,57,48,49,
      55,49,101,45,50,57,10,32,32,53,46,55,56,49,51,53,101,45,50,57,32,55,46,50,56,
      51,55,49,101,45,50,57,32,55,46,57,56,51,51,49,101,45,50,57,32,57,46,52,54,54,
      57,52,101,45,50,57,32,49,46,49,51,50,56,101,45,50,56,32,49,46,51,48,54,54,51,
      101,45,50,56,32,49,46,52,57,56,49,56,101,45,50,56,10,32,32,49,46,54,57,51,57,
      56,101,45,50,56,32,49,46,57,48,50,56,101,45,50,56,32,50,46,49,53,51,48,53,101,
      45,50,56,32,50,46,51,57,49,57,55,101,45,50,56,32,50,46,54,55,51,52,55,101,45,
      50,56,32,50,46,56,57,50,53,53,101,45,50,56,32,51,46,50,55,49,51,53,101,45,50,
      56,10,32,32,51,46,53,49,54,51,51,101,45,50,56,32,51,46,56,51,51,55,52,101,45,
      50,56,32,52,46,54,50,52,51,51,101,45,50,56,32,53,46,56,49,49,48,56,101,45,50,
      56,32,55,46,48,52,51,49,56,101,45,50,56,32,56,46,54,49,51,52,50,101,45,50,56,
      32,49,46,48,48,52,48,53,101,45,50,55,10,32,32,49,46,49,56,54,57,49,101,45,50,
      55,32,49,46,50,56,48,53,56,101,45,50,55,32,49,46,51,55,52,52,49,101,45,50,55,
      32,49,46,51,55,53,50,50,101,45,50,55,32,49,46,51,50,55,54,52,101,45,50,55,32,
      49,46,50,51,54,48,52,101,45,50,55,32,49,46,48,55,48,48,53,101,45,50,55,10,32,
      32,57,46,48,52,49,53,49,101,45,50,56,32,55,46,51,54,54,53,54,101,45,50,56,32,
      53,46,53,57,51,50,56,101,45,50,56,32,52,46,48,55,55,55,101,45,50,56,32,50,46,
      57,57,56,53,54,101,45,50,56,32,50,46,49,52,54,54,57,101,45,50,56,32,49,46,52,
      57,56,55,56,101,45,50,56,10,32,32,57,46,54,54,48,50,101,45,50,57,32,53,46,54,
      57,55,53,50,101,45,50,57,32,51,46,48,52,56,53,56,101,45,50,57,32,49,46,54,56,
      49,55,57,101,45,50,57,32,56,46,52,48,52,57,57,101,45,51,48,32,52,46,51,56,50,
      54,51,101,45,51,48,32,50,46,50,51,50,48,50,101,45,51,48,10,32,32,49,46,48,50,
      55,57,56,101,45,51,48,32,52,46,51,53,54,56,55,101,45,51,49,32,50,46,50,48,53,
      49,56,101,45,51,49,32,57,46,56,53,49,48,53,101,45,51,50,32,52,46,55,56,48,51,
      53,101,45,51,50,32,50,46,49,55,53,55,55,101,45,51,50,32,57,46,55,54,55,56,50,
      101,45,51,51,10,32,32,52,46,51,50,57,51,51,101,45,51,51,32,49,46,56,57,54,48,
      54,101,45,51,51,32,56,46,50,49,49,55,54,101,45,51,52,32,51,46,53,49,57,53,52,
      101,45,51,52,32,49,46,52,57,51,55,57,101,45,51,52,32,54,46,50,56,50,50,55,101,
      45,51,53,32,50,46,54,49,57,52,54,101,45,51,53,10,32,32,49,46,48,56,51,52,51,
      101,45,51,53,32,52,46,52,52,55,51,101,45,51,54,32,49,46,56,49,50,53,53,101,
      45,51,54,32,54,46,57,57,50,49,55,101,45,51,55,32,50,46,50,54,49,53,52,101,45,
      51,55,32,57,46,48,51,50,52,53,101,45,51,56,32,51,46,53,56,55,57,51,101,45,51,
      56,10,32,32,48,114,49,50,51,32,50,46,50,49,49,48,57,101,45,51,56,32,53,46,56,
      50,50,56,50,101,45,51,56,32,49,46,56,55,48,57,51,101,45,51,55,32,53,46,53,49,
      51,57,101,45,51,55,32,49,46,51,53,51,56,52,101,45,51,53,32,51,46,49,52,48,57,
      55,101,45,51,53,32,54,46,53,50,54,54,57,101,45,51,53,10,32,32,49,46,51,49,54,
      54,56,101,45,51,52,32,51,46,48,53,52,57,51,101,45,51,52,32,54,46,49,54,52,48,
      49,101,45,51,52,32,51,46,55,51,49,50,57,101,45,51,51,32,53,46,51,53,49,57,49,
      101,45,51,51,32,49,46,48,50,50,54,50,101,45,51,50,32,50,46,51,52,49,49,50,101,
      45,51,50,10,32,32,51,46,56,48,50,56,56,101,45,51,50,32,54,46,54,52,52,54,53,
      101,45,51,50,32,49,46,48,49,54,49,53,101,45,51,49,32,49,46,53,56,51,55,51,101,
      45,51,49,32,50,46,51,54,56,48,54,101,45,51,49,32,51,46,52,49,56,57,53,101,45,
      51,49,32,52,46,55,57,52,54,49,101,45,51,49,10,32,32,54,46,56,52,51,48,55,101,
      45,51,49,32,56,46,55,53,56,56,49,101,45,51,49,32,49,46,49,48,56,55,50,101,45,
      51,48,32,49,46,54,48,51,53,49,101,45,51,48,32,49,46,57,56,56,56,55,101,45,51,
      48,32,50,46,55,52,57,56,52,101,45,51,48,32,51,46,56,48,50,57,54,101,45,51,48,
      10,32,32,52,46,53,55,57,56,55,101,45,51,48,32,53,46,52,56,54,48,51,101,45,51,
      48,32,55,46,50,49,52,56,56,101,45,51,48,32,57,46,54,48,55,57,49,101,45,51,48,
      32,49,46,49,49,56,57,51,101,45,50,57,32,49,46,52,49,55,51,55,101,45,50,57,32,
      49,46,54,50,56,48,55,101,45,50,57,10,32,32,50,46,48,50,49,54,49,101,45,50,57,
      32,50,46,51,57,50,51,54,101,45,50,57,32,51,46,48,50,56,53,52,101,45,50,57,32,
      51,46,51,50,53,57,101,45,50,57,32,51,46,57,53,56,54,51,101,45,50,57,32,52,46,
      55,53,53,56,55,101,45,50,57,32,53,46,53,48,51,55,49,101,45,50,57,10,32,32,54,
      46,51,51,49,48,50,101,45,50,57,32,55,46,49,55,57,56,49,101,45,50,57,32,56,46,
      48,56,56,50,54,101,45,50,57,32,57,46,49,56,49,48,54,101,45,50,57,32,49,46,48,
      50,50,56,50,101,45,50,56,32,49,46,49,52,54,54,54,101,45,50,56,32,49,46,50,52,
      51,51,53,101,45,50,56,10,32,32,49,46,52,49,49,49,55,101,45,50,56,32,49,46,53,
      50,48,49,101,45,50,56,32,49,46,54,54,49,55,101,45,50,56,32,50,46,48,49,54,53,
      49,101,45,50,56,32,50,46,53,53,52,53,53,101,45,50,56,32,51,46,49,49,57,57,50,
      101,45,50,56,32,51,46,56,53,48,57,56,101,45,50,56,10,32,32,52,46,53,51,49,52,
      52,101,45,50,56,32,53,46,52,49,54,54,55,101,45,50,56,32,53,46,56,56,55,52,54,
      101,45,50,56,32,54,46,52,48,50,56,57,101,45,50,56,32,54,46,52,56,52,56,51,101,
      45,50,56,32,54,46,51,49,50,53,55,101,45,50,56,32,53,46,57,51,48,51,57,101,45,
      50,56,10,32,32,53,46,49,57,52,52,57,101,45,50,56,32,52,46,52,51,50,57,57,101,
      45,50,56,32,51,46,54,52,54,57,101,45,50,56,32,50,46,55,57,56,57,53,101,45,50,
      56,32,50,46,48,54,49,57,50,101,45,50,56,32,49,46,53,50,57,55,52,101,45,50,56,
      32,49,46,49,48,52,54,52,101,45,50,56,10,32,32,55,46,55,55,55,51,51,101,45,50,
      57,32,53,46,48,53,57,54,54,101,45,50,57,32,51,46,48,49,52,52,56,101,45,50,57,
      32,49,46,54,51,48,52,56,101,45,50,57,32,57,46,48,55,57,49,51,101,45,51,48,32,
      52,46,53,56,50,56,55,101,45,51,48,32,50,46,52,49,48,50,56,101,45,51,48,10,32,
      32,49,46,50,51,55,55,101,45,51,48,32,53,46,55,53,48,55,50,101,45,51,49,32,50,
      46,52,53,57,51,51,101,45,51,49,32,49,46,50,53,51,48,55,101,45,51,49,32,53,46,
      54,51,57,51,101,45,51,50,32,50,46,55,53,51,54,54,101,45,51,50,32,49,46,50,54,
      49,51,56,101,45,51,50,10,32,32,53,46,54,57,55,55,55,101,45,51,51,32,50,46,53,
      52,48,51,54,101,45,51,51,32,49,46,49,49,56,57,49,101,45,51,51,32,52,46,56,55,
      50,52,54,101,45,51,52,32,50,46,48,57,57,51,49,101,45,51,52,32,56,46,57,53,53,
      49,55,101,45,51,53,32,51,46,55,56,52,53,49,101,45,51,53,10,32,32,49,46,53,56,
      53,51,56,101,45,51,53,32,54,46,53,56,54,56,54,101,45,51,54,32,50,46,55,49,53,
      53,52,101,45,51,54,32,49,46,49,49,49,51,57,101,45,51,54,32,52,46,51,48,54,56,
      53,101,45,51,55,32,49,46,52,48,55,53,52,101,45,51,55,32,53,46,54,52,49,57,52,
      101,45,51,56,10,32,32,50,46,50,52,56,57,53,101,45,51,56,32,48,114,49,50,53,
      32,51,46,55,50,52,50,52,101,45,51,56,32,49,46,49,51,53,52,101,45,51,55,32,51,
      46,49,56,52,56,54,101,45,51,54,32,55,46,54,49,55,56,51,101,45,51,54,32,49,46,
      54,50,53,56,51,101,45,51,53,32,51,46,51,54,53,56,52,101,45,51,53,10,32,32,56,
      46,48,50,53,53,56,101,45,51,53,32,49,46,54,54,50,56,52,101,45,51,52,32,49,46,
      49,55,48,48,56,101,45,51,51,32,49,46,55,48,50,48,57,101,45,51,51,32,51,46,51,
      51,51,57,51,101,45,51,51,32,56,46,51,53,50,55,57,101,45,51,51,32,49,46,51,55,
      48,56,49,101,45,51,50,10,32,32,50,46,52,54,54,51,54,101,45,51,50,32,51,46,56,
      48,51,53,101,45,51,50,32,54,46,48,48,52,50,54,101,45,51,50,32,57,46,48,51,54,
      56,101,45,51,50,32,49,46,51,49,50,52,55,101,45,51,49,32,49,46,56,53,51,55,57,
      101,45,51,49,32,50,46,54,54,51,50,55,101,45,51,49,10,32,32,51,46,52,50,52,50,
      50,101,45,51,49,32,52,46,51,53,48,50,56,101,45,51,49,32,54,46,51,50,56,49,53,
      101,45,51,49,32,55,46,56,55,53,57,53,101,45,51,49,32,49,46,48,57,52,54,54,101,
      45,51,48,32,49,46,53,50,50,48,54,101,45,51,48,32,49,46,56,51,56,55,52,101,45,
      51,48,10,32,32,50,46,50,48,57,53,101,45,51,48,32,50,46,57,49,57,54,54,101,45,
      51,48,32,51,46,57,48,55,56,54,101,45,51,48,32,52,46,53,54,51,54,51,101,45,51,
      48,32,53,46,56,48,54,48,54,101,45,51,48,32,54,46,54,56,54,53,54,101,45,51,48,
      32,56,46,51,51,55,51,56,101,45,51,48,10,32,32,57,46,56,57,57,48,53,101,45,51,
      48,32,49,46,50,53,57,48,57,101,45,50,57,32,49,46,51,56,53,51,56,101,45,50,57,
      32,49,46,54,53,52,57,55,101,45,50,57,32,49,46,57,57,54,49,52,101,45,50,57,32,
      50,46,51,49,55,52,57,101,45,50,57,32,50,46,54,55,52,51,52,101,45,50,57,10,32,
      32,51,46,48,52,49,55,56,101,45,50,57,32,51,46,52,51,54,52,49,101,45,50,57,32,
      51,46,57,49,50,56,54,101,45,50,57,32,52,46,51,55,49,48,53,101,45,50,57,32,52,
      46,57,49,52,56,101,45,50,57,32,53,46,51,52,48,55,54,101,45,50,57,32,54,46,48,
      56,50,55,51,101,45,50,57,10,32,32,54,46,53,54,54,48,57,101,45,50,57,32,55,46,
      49,57,54,51,53,101,45,50,57,32,56,46,55,56,52,56,54,101,45,50,57,32,49,46,49,
      50,49,55,53,101,45,50,56,32,49,46,51,56,48,51,53,101,45,50,56,32,49,46,55,49,
      57,51,57,101,45,50,56,32,50,46,48,52,49,55,53,101,45,50,56,10,32,32,50,46,52,
      54,55,57,101,45,50,56,32,50,46,55,48,50,49,51,101,45,50,56,32,50,46,57,55,55,
      51,51,101,45,50,56,32,51,46,48,53,49,56,52,101,45,50,56,32,50,46,57,57,53,50,
      54,101,45,50,56,32,50,46,56,51,57,50,50,101,45,50,56,32,50,46,53,49,53,57,50,
      101,45,50,56,10,32,32,50,46,49,54,56,51,52,101,45,50,56,32,49,46,56,48,49,48,
      50,101,45,50,56,32,49,46,51,57,55,48,54,101,45,50,56,32,49,46,48,51,57,56,55,
      101,45,50,56,32,55,46,55,56,51,48,50,101,45,50,57,32,53,46,54,54,56,53,50,101,
      45,50,57,32,52,46,48,50,52,52,50,101,45,50,57,10,32,32,50,46,54,52,50,52,57,
      101,45,50,57,32,49,46,53,57,48,50,57,101,45,50,57,32,56,46,54,57,52,54,51,101,
      45,51,48,32,52,46,56,56,54,56,49,101,45,51,48,32,50,46,52,57,49,51,56,101,45,
      51,48,32,49,46,51,50,49,54,49,101,45,51,48,32,54,46,56,52,50,56,54,101,45,51,
      49,10,32,32,51,46,50,48,55,53,49,101,45,51,49,32,49,46,51,56,52,49,50,101,45,
      51,49,32,55,46,48,57,57,53,51,101,45,51,50,32,51,46,50,49,56,56,52,101,45,51,
      50,32,49,46,53,56,49,54,51,101,45,51,50,32,55,46,50,57,49,56,50,101,45,51,51,
      32,51,46,51,49,52,50,49,101,45,51,51,10,32,32,49,46,52,56,54,52,53,101,45,51,
      51,32,54,46,53,56,52,54,52,101,45,51,52,32,50,46,56,56,51,49,56,101,45,51,52,
      32,49,46,50,52,56,56,101,45,51,52,32,53,46,51,53,52,50,52,101,45,51,53,32,50,
      46,50,55,51,56,51,101,45,51,53,32,57,46,53,55,48,51,54,101,45,51,54,10,32,32,
      51,46,57,57,52,51,51,101,45,51,54,32,49,46,54,53,51,57,53,101,45,51,54,32,54,
      46,55,57,55,55,49,101,45,51,55,32,50,46,54,52,54,52,49,101,45,51,55,32,56,46,
      55,51,57,53,51,101,45,51,56,32,51,46,53,49,53,57,50,101,45,51,56,32,48,114,
      49,50,55,32,50,46,50,57,52,57,54,101,45,51,56,10,32,32,55,46,51,50,52,50,50,
      101,45,51,55,32,49,46,56,48,54,50,52,101,45,51,54,32,51,46,57,53,57,56,101,
      45,51,54,32,56,46,52,49,51,53,56,101,45,51,54,32,50,46,48,54,49,49,50,101,45,
      51,53,32,52,46,51,56,53,56,52,101,45,51,53,32,51,46,53,55,54,51,50,101,45,51,
      52,10,32,32,53,46,50,55,57,54,52,101,45,51,52,32,49,46,48,54,49,52,54,101,45,
      51,51,32,50,46,57,51,55,53,54,101,45,51,51,32,52,46,56,55,54,53,50,101,45,51,
      51,32,57,46,48,53,54,51,53,101,45,51,51,32,49,46,52,49,48,48,57,101,45,51,50,
      32,50,46,50,54,52,49,57,101,45,51,50,10,32,32,51,46,52,51,49,51,54,101,45,51,
      50,32,53,46,48,49,52,54,53,101,45,51,50,32,55,46,49,51,55,53,49,101,45,51,50,
      32,49,46,48,51,50,56,52,101,45,51,49,32,49,46,51,51,52,55,57,101,45,51,49,32,
      49,46,55,48,49,57,53,101,45,51,49,32,50,46,52,57,48,49,49,101,45,51,49,10,32,
      32,51,46,49,48,57,56,50,101,45,51,49,32,52,46,51,52,53,48,51,101,45,51,49,32,
      54,46,48,55,52,52,53,101,45,51,49,32,55,46,51,54,49,51,52,101,45,51,49,32,56,
      46,56,55,51,57,56,101,45,51,49,32,49,46,49,55,56,50,54,101,45,51,48,32,49,46,
      53,56,53,49,53,101,45,51,48,10,32,32,49,46,56,53,54,51,49,101,45,51,48,32,50,
      46,51,55,50,49,101,45,51,48,32,50,46,55,51,57,48,52,101,45,51,48,32,51,46,52,
      50,57,54,51,101,45,51,48,32,52,46,48,56,53,54,54,101,45,51,48,32,53,46,50,50,
      49,54,57,101,45,51,48,32,53,46,55,53,54,54,54,101,45,51,48,10,32,32,54,46,57,
      48,50,51,57,101,45,51,48,32,56,46,51,53,56,55,49,101,45,51,48,32,57,46,55,51,
      54,49,57,101,45,51,48,32,49,46,49,50,55,49,55,101,45,50,57,32,49,46,50,56,53,
      56,53,101,45,50,57,32,49,46,52,53,54,56,54,101,45,50,57,32,49,46,54,54,52,48,
      56,101,45,50,57,10,32,32,49,46,56,54,52,48,56,101,45,50,57,32,50,46,49,48,50,
      50,54,101,45,50,57,32,50,46,50,56,57,52,52,101,45,50,57,32,50,46,54,49,54,54,
      54,101,45,50,57,32,50,46,56,51,48,53,57,101,45,50,57,32,51,46,49,49,48,52,101,
      45,50,57,32,51,46,56,49,57,54,57,101,45,50,57,10,32,32,52,46,57,49,54,51,57,
      101,45,50,57,32,54,46,48,57,53,52,53,101,45,50,57,32,55,46,54,54,50,48,51,101,
      45,50,57,32,57,46,49,54,56,53,50,101,45,50,57,32,49,46,49,50,48,57,49,101,45,
      50,56,32,49,46,50,51,55,54,50,101,45,50,56,32,49,46,51,56,49,52,101,45,50,56,
      10,32,32,49,46,52,51,50,57,53,101,45,50,56,32,49,46,52,49,55,56,57,101,45,50,
      56,32,49,46,51,53,54,48,52,101,45,50,56,32,49,46,50,49,53,53,54,101,45,50,56,
      32,49,46,48,53,55,57,54,101,45,50,56,32,56,46,56,55,49,55,54,101,45,50,57,32,
      54,46,57,53,53,51,51,101,45,50,57,10,32,32,53,46,50,51,48,55,101,45,50,57,32,
      51,46,57,52,57,52,51,101,45,50,57,32,50,46,57,48,49,49,50,101,45,50,57,32,50,
      46,48,55,54,56,56,101,45,50,57,32,49,46,51,55,54,51,54,101,45,50,57,32,56,46,
      51,54,54,56,49,101,45,51,48,32,52,46,54,50,51,56,54,101,45,51,48,10,32,32,50,
      46,54,50,51,49,51,101,45,51,48,32,49,46,51,53,48,54,57,101,45,51,48,32,55,46,
      50,50,54,56,51,101,45,51,49,32,51,46,55,55,50,56,57,101,45,51,49,32,49,46,55,
      56,52,49,53,101,45,51,49,32,55,46,55,54,56,57,53,101,45,51,50,32,52,46,48,49,
      49,54,52,101,45,51,50,10,32,32,49,46,56,51,50,52,49,101,45,51,50,32,57,46,48,
      54,48,53,57,101,45,51,51,32,52,46,50,48,52,51,101,45,51,51,32,49,46,57,50,50,
      56,49,101,45,51,51,32,56,46,54,55,53,54,49,101,45,51,52,32,51,46,56,54,53,50,
      49,101,45,51,52,32,49,46,55,48,49,56,49,101,45,51,52,10,32,32,55,46,52,49,48,
      51,57,101,45,51,53,32,51,46,49,57,51,52,57,101,45,51,53,32,49,46,51,54,50,57,
      101,45,51,53,32,53,46,55,54,51,53,57,101,45,51,54,32,50,46,52,49,54,53,51,101,
      45,51,54,32,49,46,48,48,53,48,52,101,45,51,54,32,52,46,49,52,56,50,56,101,45,
      51,55,10,32,32,49,46,54,50,50,53,50,101,45,51,55,32,53,46,52,49,52,50,54,101,
      45,51,56,32,50,46,49,56,54,49,56,101,45,51,56,32,48,114,49,50,56,32,49,46,54,
      53,50,53,54,101,45,51,55,32,52,46,50,48,50,48,53,101,45,51,55,32,57,46,52,54,
      51,50,51,101,45,51,55,32,50,46,48,54,51,56,49,101,45,51,54,10,32,32,53,46,49,
      57,50,53,56,101,45,51,54,32,49,46,49,51,52,56,54,101,45,51,53,32,49,46,48,54,
      57,54,53,101,45,51,52,32,49,46,54,48,51,51,50,101,45,51,52,32,51,46,51,49,49,
      56,49,101,45,51,52,32,49,46,48,49,57,48,50,101,45,51,51,32,49,46,55,49,51,52,
      55,101,45,51,51,10,32,32,51,46,50,57,48,50,50,101,45,51,51,32,53,46,49,55,57,
      53,57,101,45,51,51,32,56,46,53,48,54,52,50,101,45,51,51,32,49,46,50,57,56,54,
      53,101,45,51,50,32,49,46,57,49,48,51,54,101,45,51,50,32,50,46,55,52,49,50,51,
      101,45,51,50,32,51,46,57,57,56,55,53,101,45,51,50,10,32,32,53,46,49,57,57,51,
      57,101,45,51,50,32,54,46,54,53,51,52,52,101,45,51,50,32,57,46,55,57,48,49,56,
      101,45,51,50,32,49,46,50,50,54,56,49,101,45,51,49,32,49,46,55,50,50,57,55,101,
      45,51,49,32,50,46,52,50,49,55,50,101,45,51,49,32,50,46,57,52,51,56,101,45,51,
      49,10,32,32,51,46,53,53,57,57,49,101,45,51,49,32,52,46,55,52,56,57,53,101,45,
      51,49,32,54,46,52,50,49,48,53,101,45,51,49,32,55,46,53,51,57,57,54,101,45,51,
      49,32,57,46,54,55,54,54,55,101,45,51,49,32,49,46,49,50,48,50,52,101,45,51,48,
      32,49,46,52,48,56,52,56,101,45,51,48,10,32,32,49,46,54,56,51,52,49,101,45,51,
      48,32,50,46,49,54,49,54,53,101,45,51,48,32,50,46,51,56,55,54,57,101,45,51,48,
      32,50,46,56,55,51,51,54,101,45,51,48,32,51,46,52,57,51,51,54,101,45,51,48,32,
      52,46,48,56,50,50,49,101,45,51,48,32,52,46,55,52,49,48,56,101,45,51,48,10,32,
      32,53,46,52,50,52,52,101,45,51,48,32,54,46,49,54,51,51,54,101,45,51,48,32,55,
      46,48,54,49,57,54,101,45,51,48,32,55,46,57,51,50,50,57,101,45,51,48,32,56,46,
      57,55,50,52,51,101,45,51,48,32,57,46,55,57,50,52,54,101,45,51,48,32,49,46,49,
      50,51,49,49,101,45,50,57,10,32,32,49,46,50,49,55,53,101,45,50,57,32,49,46,51,
      52,49,51,51,101,45,50,57,32,49,46,54,53,55,101,45,50,57,32,50,46,49,52,57,55,
      53,101,45,50,57,32,50,46,54,56,53,52,49,101,45,50,57,32,51,46,52,48,54,51,50,
      101,45,50,57,32,52,46,49,48,51,56,56,101,45,50,57,10,32,32,53,46,48,54,57,53,
      101,45,50,57,32,53,46,54,53,52,57,54,101,45,50,57,32,54,46,51,57,52,48,57,101,
      45,50,57,32,54,46,55,49,49,57,57,101,45,50,57,32,54,46,54,57,53,54,51,101,45,
      50,57,32,54,46,52,54,48,53,101,45,50,57,32,53,46,56,53,56,49,51,101,45,50,57,
      10,32,32,53,46,49,52,56,53,56,101,45,50,57,32,52,46,51,53,56,54,57,101,45,50,
      57,32,51,46,52,53,51,52,50,101,45,50,57,32,50,46,54,50,51,56,56,101,45,50,57,
      32,49,46,57,57,56,53,51,101,45,50,57,32,49,46,52,56,48,53,57,101,45,50,57,32,
      49,46,48,54,56,55,54,101,45,50,57,10,32,32,55,46,49,52,56,50,52,101,45,51,48,
      32,52,46,51,56,57,49,53,101,45,51,48,32,50,46,52,53,49,56,101,45,51,48,32,49,
      46,52,48,51,57,101,45,51,48,32,55,46,51,48,49,49,52,101,45,51,49,32,51,46,57,
      52,48,50,101,45,51,49,32,50,46,48,55,52,49,53,101,45,51,49,10,32,32,57,46,56,
      57,53,52,49,101,45,51,50,32,52,46,51,52,56,48,53,101,45,51,50,32,50,46,50,54,
      48,51,49,101,45,51,50,32,49,46,48,52,48,49,57,101,45,51,50,32,53,46,49,55,53,
      56,57,101,45,51,51,32,50,46,52,49,55,51,55,101,45,51,51,32,49,46,49,49,50,52,
      57,101,45,51,51,10,32,32,53,46,48,52,57,55,49,101,45,51,52,32,50,46,50,54,50,
      56,49,101,45,51,52,32,49,46,48,48,49,56,52,101,45,51,52,32,52,46,51,56,53,56,
      49,101,45,51,53,32,49,46,56,57,57,56,49,101,45,51,53,32,56,46,49,52,56,49,56,
      101,45,51,54,32,51,46,52,54,50,50,57,101,45,51,54,10,32,32,49,46,52,53,56,51,
      53,101,45,51,54,32,54,46,48,57,50,50,53,101,45,51,55,32,50,46,53,50,53,51,53,
      101,45,51,55,32,57,46,57,50,52,50,52,101,45,51,56,32,51,46,51,52,54,50,101,
      45,51,56,32,48,114,49,50,57,32,51,46,54,53,54,51,49,101,45,51,56,32,57,46,53,
      56,54,52,54,101,45,51,56,10,32,32,50,46,50,49,55,57,51,101,45,51,55,32,52,46,
      57,54,53,50,55,101,45,51,55,32,49,46,50,56,51,101,45,51,54,32,50,46,56,56,48,
      51,51,101,45,51,54,32,51,46,49,50,50,50,57,101,45,51,53,32,52,46,55,53,52,48,
      52,101,45,51,53,32,49,46,48,48,57,56,54,101,45,51,52,10,32,32,51,46,52,55,52,
      54,53,101,45,51,52,32,53,46,57,50,54,54,51,101,45,51,52,32,49,46,49,55,56,51,
      49,101,45,51,51,32,49,46,56,55,56,50,56,101,45,51,51,32,51,46,49,55,54,52,51,
      101,45,51,51,32,52,46,56,56,56,49,49,101,45,51,51,32,55,46,50,52,49,55,54,101,
      45,51,51,10,32,32,49,46,48,52,56,49,55,101,45,51,50,32,49,46,53,52,51,51,51,
      101,45,51,50,32,50,46,48,50,50,48,53,101,45,51,50,32,50,46,53,57,54,57,56,101,
      45,51,50,32,51,46,56,52,51,53,49,101,45,51,50,32,52,46,56,51,50,57,56,101,45,
      51,50,32,54,46,56,50,51,50,50,101,45,51,50,10,32,32,57,46,54,52,51,52,101,45,
      51,50,32,49,46,49,55,53,56,57,101,45,51,49,32,49,46,52,50,54,53,56,101,45,51,
      49,32,49,46,57,49,50,49,50,101,45,51,49,32,50,46,53,57,56,53,52,101,45,51,49,
      32,51,46,48,53,57,55,54,101,45,51,49,32,51,46,57,52,51,57,57,101,45,51,49,10,
      32,32,52,46,53,55,55,55,53,101,45,51,49,32,53,46,55,55,57,53,101,45,51,49,32,
      54,46,57,51,48,53,101,45,51,49,32,56,46,57,52,49,54,57,101,45,51,49,32,57,46,
      56,57,53,55,50,101,45,51,49,32,49,46,49,57,53,50,49,101,45,51,48,32,49,46,52,
      53,56,56,53,101,45,51,48,10,32,32,49,46,55,49,48,50,56,101,45,51,48,32,49,46,
      57,57,50,54,52,101,45,51,48,32,50,46,50,56,54,53,49,101,45,51,48,32,50,46,54,
      48,53,51,57,101,45,51,48,32,50,46,57,57,52,53,49,101,45,51,48,32,51,46,51,55,
      50,55,101,45,51,48,32,51,46,56,50,54,50,50,101,45,51,48,10,32,32,52,46,49,56,
      52,56,56,101,45,51,48,32,52,46,56,49,54,50,56,101,45,51,48,32,53,46,50,51,49,
      57,54,101,45,51,48,32,53,46,55,55,56,57,49,101,45,51,48,32,55,46,49,56,48,57,
      51,101,45,51,48,32,57,46,51,56,57,54,49,101,45,51,48,32,49,46,49,56,49,54,53,
      101,45,50,57,10,32,32,49,46,53,49,50,51,53,101,45,50,57,32,49,46,56,51,54,55,
      56,101,45,50,57,32,50,46,50,57,48,48,52,101,45,50,57,32,50,46,53,55,57,50,101,
      45,50,57,32,50,46,57,53,51,57,53,101,45,50,57,32,51,46,49,51,55,53,56,101,45,
      50,57,32,51,46,49,53,53,50,56,101,45,50,57,10,32,32,51,46,48,55,49,52,49,101,
      45,50,57,32,50,46,56,49,55,48,49,101,45,50,57,32,50,46,52,57,57,57,54,101,45,
      50,57,32,50,46,49,51,54,53,49,101,45,50,57,32,49,46,55,49,48,54,54,101,45,50,
      57,32,49,46,51,49,51,48,57,101,45,50,57,32,49,46,48,48,56,56,54,101,45,50,57,
      10,32,32,55,46,53,51,55,54,51,101,45,51,48,32,53,46,52,56,54,49,101,45,51,48,
      32,51,46,55,48,51,49,101,45,51,48,32,50,46,50,57,54,53,57,101,45,51,48,32,49,
      46,50,57,54,54,57,101,45,51,48,32,55,46,52,57,52,48,50,101,45,51,49,32,51,46,
      57,51,54,50,101,45,51,49,10,32,32,50,46,49,52,50,53,54,101,45,51,49,32,49,46,
      49,51,55,50,50,101,45,51,49,32,53,46,52,55,51,54,50,101,45,51,50,32,50,46,52,
      50,55,101,45,51,50,32,49,46,50,55,48,49,54,101,45,51,50,32,53,46,56,56,57,49,
      50,101,45,51,51,32,50,46,57,52,56,57,55,101,45,51,51,10,32,32,49,46,51,56,54,
      50,57,101,45,51,51,32,54,46,52,49,57,56,57,101,45,51,52,32,50,46,57,51,49,54,
      56,101,45,51,52,32,49,46,51,50,49,51,52,101,45,51,52,32,53,46,56,56,50,56,56,
      101,45,51,53,32,50,46,53,56,57,50,54,101,45,51,53,32,49,46,49,50,55,52,49,101,
      45,51,53,10,32,32,52,46,56,53,57,53,57,101,45,51,54,32,50,46,48,55,52,56,54,
      101,45,51,54,32,56,46,55,56,48,48,57,101,45,51,55,32,51,46,54,56,52,51,49,101,
      45,51,55,32,49,46,53,51,51,56,49,101,45,51,55,32,54,46,48,53,54,53,53,101,45,
      51,56,32,50,46,48,54,51,50,57,101,45,51,56,10,32,32,48,114,49,51,48,32,50,46,
      49,52,53,48,50,101,45,51,56,32,53,46,48,57,56,52,52,101,45,51,56,32,49,46,49,
      55,49,54,57,101,45,51,55,32,51,46,49,48,56,52,56,101,45,51,55,32,55,46,49,54,
      56,55,101,45,51,55,32,56,46,56,57,48,50,55,101,45,51,54,32,49,46,51,55,53,52,
      56,101,45,51,53,10,32,32,51,46,48,48,54,56,50,101,45,51,53,32,49,46,49,54,51,
      52,101,45,51,52,32,50,46,48,49,53,51,55,101,45,51,52,32,52,46,49,53,48,55,53,
      101,45,51,52,32,54,46,55,48,56,54,53,101,45,51,52,32,49,46,49,55,55,48,55,101,
      45,51,51,32,49,46,56,50,54,55,52,101,45,51,51,10,32,32,50,46,55,50,54,55,55,
      101,45,51,51,32,51,46,57,56,50,51,101,45,51,51,32,53,46,57,50,54,55,54,101,
      45,51,51,32,55,46,56,51,57,57,101,45,51,51,32,49,46,48,49,48,53,53,101,45,51,
      50,32,49,46,53,48,52,50,52,101,45,51,50,32,49,46,56,57,56,48,54,101,45,51,50,
      10,32,32,50,46,54,57,51,55,49,101,45,51,50,32,51,46,56,50,56,51,55,101,45,51,
      50,32,52,46,54,56,50,54,57,101,45,51,50,32,53,46,54,57,57,52,51,101,45,51,50,
      32,55,46,54,55,53,53,53,101,45,51,50,32,49,46,48,52,56,51,57,101,45,51,49,32,
      49,46,50,51,55,56,56,101,45,51,49,10,32,32,49,46,54,48,50,53,56,101,45,51,49,
      32,49,46,56,54,52,57,54,101,45,51,49,32,50,46,51,54,52,51,53,101,45,51,49,32,
      50,46,56,52,52,54,50,101,45,51,49,32,51,46,54,56,55,54,101,45,51,49,32,52,46,
      48,56,56,57,52,101,45,51,49,32,52,46,57,53,54,55,54,101,45,51,49,10,32,32,54,
      46,48,55,52,49,55,101,45,51,49,32,55,46,49,52,52,49,50,101,45,51,49,32,56,46,
      51,53,48,50,51,101,45,51,49,32,57,46,54,48,57,56,57,101,45,51,49,32,49,46,48,
      57,56,49,51,101,45,51,48,32,49,46,50,54,54,48,56,101,45,51,48,32,49,46,52,50,
      57,56,55,101,45,51,48,10,32,32,49,46,54,50,54,57,53,101,45,51,48,32,49,46,55,
      56,51,51,101,45,51,48,32,50,46,48,53,57,52,56,101,45,51,48,32,50,46,50,52,49,
      57,51,101,45,51,48,32,50,46,52,56,50,55,49,101,45,51,48,32,51,46,49,48,51,50,
      57,101,45,51,48,32,52,46,48,56,57,56,56,101,45,51,48,10,32,32,53,46,49,56,53,
      52,49,101,45,51,48,32,54,46,54,57,54,55,101,45,51,48,32,56,46,50,48,56,49,101,
      45,51,48,32,49,46,48,51,51,55,52,101,45,50,57,32,49,46,49,55,51,50,53,101,45,
      50,57,32,49,46,51,54,49,49,101,45,50,57,32,49,46,52,54,50,56,55,101,45,50,57,
      10,32,32,49,46,52,56,51,48,51,101,45,50,57,32,49,46,52,53,54,51,53,101,45,50,
      57,32,49,46,51,53,49,48,51,101,45,50,57,32,49,46,50,49,48,54,51,101,45,50,57,
      32,49,46,48,52,52,52,50,101,45,50,57,32,56,46,52,53,48,53,49,101,45,51,48,32,
      54,46,53,53,50,56,51,101,45,51,48,10,32,32,53,46,48,55,56,52,50,101,45,51,48,
      32,51,46,56,50,54,52,55,101,45,51,48,32,50,46,56,48,56,48,51,101,45,51,48,32,
      49,46,57,49,50,56,51,101,45,51,48,32,49,46,49,57,56,49,57,101,45,51,48,32,54,
      46,56,51,55,56,101,45,51,49,32,51,46,57,56,56,54,49,101,45,51,49,10,32,32,50,
      46,49,49,53,56,57,101,45,51,49,32,49,46,49,54,49,54,54,101,45,51,49,32,54,46,
      50,49,55,48,57,101,45,51,50,32,51,46,48,49,56,57,55,101,45,51,50,32,49,46,51,
      53,48,56,50,101,45,51,50,32,55,46,49,49,55,50,56,101,45,51,51,32,51,46,51,50,
      52,55,57,101,45,51,51,10,32,32,49,46,54,55,53,52,57,101,45,51,51,32,55,46,57,
      50,56,48,50,101,45,51,52,32,51,46,54,57,52,54,51,101,45,51,52,32,49,46,54,57,
      55,52,50,101,45,51,52,32,55,46,54,57,53,50,51,101,45,51,53,32,51,46,52,52,53,
      51,54,101,45,51,53,32,49,46,53,50,52,54,52,101,45,51,53,10,32,32,54,46,54,55,
      51,50,54,101,45,51,54,32,50,46,56,57,48,57,101,45,51,54,32,49,46,50,52,48,50,
      57,101,45,51,54,32,53,46,50,55,51,48,52,101,45,51,55,32,50,46,50,50,50,54,54,
      101,45,51,55,32,57,46,50,57,51,52,101,45,51,56,32,51,46,54,56,55,53,51,101,
      45,51,56,10,32,32,48,114,49,51,51,32,50,46,55,49,56,54,54,101,45,51,56,32,55,
      46,52,48,51,56,53,101,45,51,56,32,49,46,55,53,52,101,45,51,55,32,50,46,52,56,
      56,54,54,101,45,51,54,32,51,46,57,49,51,51,50,101,45,51,54,32,56,46,56,48,55,
      48,53,101,45,51,54,32,51,46,56,51,50,54,57,101,45,51,53,10,32,32,54,46,55,53,
      50,55,49,101,45,51,53,32,49,46,52,52,48,56,56,101,45,51,52,32,50,46,51,54,52,
      54,50,101,45,51,52,32,52,46,51,51,56,57,101,45,51,52,32,54,46,55,57,53,57,55,
      101,45,51,52,32,49,46,48,50,50,55,51,101,45,51,51,32,49,46,53,48,55,54,50,101,
      45,51,51,10,32,32,50,46,50,55,49,54,49,101,45,51,51,32,51,46,48,52,49,56,50,
      101,45,51,51,32,51,46,57,51,52,57,57,101,45,51,51,32,53,46,56,57,48,56,54,101,
      45,51,51,32,55,46,52,53,57,48,49,101,45,51,51,32,49,46,48,54,52,48,50,101,45,
      51,50,32,49,46,53,50,48,54,55,101,45,51,50,10,32,32,49,46,56,54,53,54,55,101,
      45,51,50,32,50,46,50,55,55,57,57,101,45,51,50,32,51,46,48,56,50,48,51,101,45,
      51,50,32,52,46,50,51,48,53,53,101,45,51,50,32,53,46,48,48,56,54,101,45,51,50,
      32,54,46,53,49,49,55,56,101,45,51,50,32,55,46,53,57,55,49,54,101,45,51,50,10,
      32,32,57,46,54,55,48,53,101,45,51,50,32,49,46,49,54,55,50,53,101,45,51,49,32,
      49,46,53,50,48,49,55,101,45,51,49,32,49,46,54,56,56,55,57,101,45,51,49,32,50,
      46,48,53,52,53,52,101,45,51,49,32,50,46,53,50,55,52,54,101,45,51,49,32,50,46,
      57,56,50,48,57,101,45,51,49,10,32,32,51,46,52,57,54,52,54,101,45,51,49,32,52,
      46,48,51,53,53,101,45,51,49,32,52,46,54,50,52,51,49,101,45,51,49,32,53,46,51,
      52,55,56,55,101,45,51,49,32,54,46,48,53,53,57,50,101,45,51,49,32,54,46,57,49,
      48,55,55,101,45,51,49,32,55,46,53,57,48,57,55,101,45,51,49,10,32,32,56,46,55,
      57,54,54,51,101,45,51,49,32,57,46,53,57,53,55,56,101,45,51,49,32,49,46,48,54,
      53,51,53,101,45,51,48,32,49,46,51,51,57,52,51,101,45,51,48,32,49,46,55,55,57,
      48,56,101,45,51,48,32,50,46,50,55,50,51,52,101,45,51,48,32,50,46,57,54,49,48,
      49,101,45,51,48,10,32,32,51,46,54,54,51,49,52,101,45,51,48,32,52,46,54,54,49,
      55,56,101,45,51,48,32,53,46,51,50,56,55,52,101,45,51,48,32,54,46,50,54,49,52,
      55,101,45,51,48,32,54,46,56,48,56,57,54,101,45,51,48,32,54,46,57,53,56,50,53,
      101,45,51,48,32,54,46,56,57,50,57,54,101,45,51,48,10,32,32,54,46,52,54,55,49,
      53,101,45,51,48,32,53,46,56,53,48,57,57,101,45,51,48,32,53,46,48,57,53,49,52,
      101,45,51,48,32,52,46,49,54,53,54,50,101,45,51,48,32,51,46,50,54,50,57,56,101,
      45,51,48,32,50,46,53,53,48,54,54,101,45,51,48,32,49,46,57,51,56,48,54,101,45,
      51,48,10,32,32,49,46,52,51,51,57,50,101,45,51,48,32,57,46,56,53,55,50,51,101,
      45,51,49,32,54,46,50,51,54,49,51,101,45,51,49,32,51,46,53,57,54,57,50,101,45,
      51,49,32,50,46,49,49,55,54,51,101,45,51,49,32,49,46,49,51,52,53,53,101,45,51,
      49,32,54,46,50,56,50,53,50,101,45,51,50,10,32,32,51,46,51,57,48,50,55,101,45,
      51,50,32,49,46,54,54,48,57,49,101,45,51,50,32,55,46,52,57,57,52,50,101,45,51,
      51,32,51,46,57,55,56,48,54,101,45,51,51,32,49,46,56,55,50,51,52,101,45,51,51,
      32,57,46,52,57,53,54,53,101,45,51,52,32,52,46,53,50,50,54,56,101,45,51,52,10,
      32,32,50,46,49,50,49,48,49,101,45,51,52,32,57,46,56,48,51,57,53,101,45,51,53,
      32,52,46,52,55,48,54,57,101,45,51,53,32,50,46,48,49,50,57,54,101,45,51,53,32,
      56,46,57,53,54,50,57,101,45,51,54,32,51,46,57,52,48,54,55,101,45,51,54,32,49,
      46,55,49,53,55,54,101,45,51,54,10,32,32,55,46,51,57,55,48,57,101,45,51,55,32,
      51,46,49,53,57,54,50,101,45,51,55,32,49,46,51,51,55,56,55,101,45,51,55,32,53,
      46,54,49,56,51,57,101,45,51,56,32,50,46,50,52,48,50,57,101,45,51,56,32,48,114,
      49,51,53,32,52,46,50,50,48,57,49,101,45,51,56,32,54,46,56,48,50,50,50,101,45,
      51,55,10,32,32,49,46,48,56,55,51,57,101,45,51,54,32,50,46,53,50,48,56,51,101,
      45,51,54,32,49,46,50,51,54,57,55,101,45,51,53,32,50,46,50,49,57,49,54,101,45,
      51,53,32,52,46,57,48,54,53,53,101,45,51,53,32,56,46,49,56,53,57,55,101,45,51,
      53,32,49,46,53,56,51,57,50,101,45,51,52,10,32,32,50,46,53,48,53,54,56,101,45,
      51,52,32,51,46,56,48,52,50,49,101,45,51,52,32,53,46,54,54,50,50,49,101,45,51,
      52,32,56,46,54,53,51,51,101,45,51,52,32,49,46,49,55,55,49,101,45,51,51,32,49,
      46,53,50,56,50,56,101,45,51,51,32,50,46,51,48,49,50,49,101,45,51,51,10,32,32,
      50,46,57,50,52,52,51,101,45,51,51,32,52,46,49,57,51,53,53,101,45,51,51,32,54,
      46,48,50,56,48,57,101,45,51,51,32,55,46,52,49,56,54,52,101,45,51,51,32,57,46,
      48,56,55,54,57,101,45,51,51,32,49,46,50,51,53,51,53,101,45,51,50,32,49,46,55,
      48,52,50,57,101,45,51,50,10,32,32,50,46,48,50,51,50,55,101,45,51,50,32,50,46,
      54,52,49,57,49,101,45,51,50,32,51,46,48,57,48,50,55,101,45,51,50,32,51,46,57,
      52,57,56,57,101,45,51,50,32,52,46,55,56,51,51,53,101,45,51,50,32,54,46,50,53,
      57,48,49,101,45,51,50,32,54,46,57,54,54,53,53,101,45,51,50,10,32,32,56,46,53,
      48,54,48,53,101,45,51,50,32,49,46,48,53,48,53,49,101,45,51,49,32,49,46,50,52,
      51,52,53,101,45,51,49,32,49,46,52,54,50,53,52,101,45,51,49,32,49,46,54,57,50,
      57,51,101,45,51,49,32,49,46,57,52,53,52,49,101,45,51,49,32,50,46,50,53,54,55,
      51,101,45,51,49,10,32,32,50,46,53,54,50,52,101,45,51,49,32,50,46,57,51,50,54,
      55,101,45,51,49,32,51,46,50,50,56,49,56,101,45,51,49,32,51,46,55,53,51,55,50,
      101,45,51,49,32,52,46,49,48,51,50,49,101,45,51,49,32,52,46,53,54,55,49,49,101,
      45,51,49,32,53,46,55,55,53,53,52,101,45,51,49,10,32,32,55,46,55,51,49,48,49,
      101,45,51,49,32,57,46,57,52,55,48,54,101,45,51,49,32,49,46,51,48,55,55,49,101,
      45,51,48,32,49,46,54,51,49,50,49,101,45,51,48,32,50,46,48,57,56,49,57,101,45,
      51,48,32,50,46,52,49,54,52,51,101,45,51,48,32,50,46,56,55,53,50,57,101,45,51,
      48,10,32,32,51,46,49,54,51,48,56,101,45,51,48,32,51,46,50,53,56,49,51,101,45,
      51,48,32,51,46,50,53,53,53,55,101,45,51,48,32,51,46,48,56,56,56,56,101,45,51,
      48,32,50,46,56,50,49,51,54,101,45,51,48,32,50,46,52,55,57,56,49,101,45,51,48,
      32,50,46,48,52,56,52,55,101,45,51,48,10,32,32,49,46,54,50,48,55,57,101,45,51,
      48,32,49,46,50,55,55,56,54,101,45,51,48,32,57,46,55,57,48,57,54,101,45,51,49,
      32,55,46,51,48,51,51,54,101,45,51,49,32,53,46,48,54,54,50,56,101,45,51,49,32,
      51,46,50,51,55,48,50,101,45,51,49,32,49,46,56,56,54,57,57,101,45,51,49,10,32,
      32,49,46,49,50,49,50,51,101,45,51,49,32,54,46,48,54,54,56,101,45,51,50,32,51,
      46,51,56,56,51,57,101,45,51,50,32,49,46,56,52,51,54,57,101,45,51,50,32,57,46,
      49,49,50,54,52,101,45,51,51,32,52,46,49,53,50,49,55,101,45,51,51,32,50,46,50,
      49,55,52,52,101,45,51,51,10,32,32,49,46,48,53,49,53,55,101,45,51,51,32,53,46,
      51,54,55,49,55,101,45,51,52,32,50,46,53,55,51,49,57,101,45,51,52,32,49,46,50,
      49,52,52,50,101,45,51,52,32,53,46,54,52,55,55,55,101,45,51,53,32,50,46,53,57,
      48,54,50,101,45,51,53,32,49,46,49,55,51,48,55,101,45,51,53,10,32,32,53,46,50,
      52,55,57,51,101,45,51,54,32,50,46,51,50,49,50,50,101,45,51,54,32,49,46,48,49,
      53,56,101,45,51,54,32,52,46,52,48,48,56,52,101,45,51,55,32,49,46,56,56,56,54,
      57,101,45,51,55,32,56,46,48,51,51,55,50,101,45,51,56,32,51,46,51,56,56,54,53,
      101,45,51,56,10,32,32,48,114,49,51,55,32,49,46,56,50,51,49,101,45,51,55,32,
      50,46,57,54,51,49,49,101,45,51,55,32,55,46,48,55,55,55,101,45,51,55,32,51,46,
      57,50,101,45,51,54,32,55,46,49,54,55,57,55,101,45,51,54,32,49,46,54,52,49,50,
      57,101,45,51,53,32,50,46,55,56,54,54,50,101,45,51,53,10,32,32,53,46,55,51,48,
      51,52,101,45,51,53,32,57,46,49,54,50,52,49,101,45,51,53,32,49,46,52,48,52,50,
      56,101,45,51,52,32,50,46,49,49,48,57,49,101,45,51,52,32,51,46,50,55,55,55,54,
      101,45,51,52,32,52,46,53,52,56,55,101,45,51,52,32,53,46,57,50,55,48,52,101,
      45,51,52,10,32,32,56,46,57,55,53,56,51,101,45,51,52,32,49,46,49,52,52,57,53,
      101,45,51,51,32,49,46,54,53,48,50,56,101,45,51,51,32,50,46,51,56,54,49,49,101,
      45,51,51,32,50,46,57,52,53,53,101,45,51,51,32,51,46,54,49,57,55,54,101,45,51,
      51,32,52,46,57,52,51,52,54,101,45,51,51,10,32,32,54,46,56,53,52,48,55,101,45,
      51,51,32,56,46,49,53,56,57,49,101,45,51,51,32,49,46,48,54,57,57,51,101,45,51,
      50,32,49,46,50,53,52,55,50,101,45,51,50,32,49,46,54,49,48,50,56,101,45,51,50,
      32,49,46,57,53,54,52,51,101,45,51,50,32,50,46,53,55,49,57,51,101,45,51,50,10,
      32,32,50,46,56,54,56,49,101,45,51,50,32,51,46,53,49,52,52,57,101,45,51,50,32,
      52,46,51,53,55,51,54,101,45,51,50,32,53,46,49,55,52,48,54,101,45,51,50,32,54,
      46,49,48,52,56,55,101,45,51,50,32,55,46,48,56,54,57,52,101,45,51,50,32,56,46,
      49,54,54,54,57,101,45,51,50,10,32,32,57,46,53,48,50,54,51,101,45,51,50,32,49,
      46,48,56,49,56,55,101,45,51,49,32,49,46,50,52,49,56,50,101,45,51,49,32,49,46,
      51,54,57,56,53,101,45,51,49,32,49,46,53,57,56,51,101,45,51,49,32,49,46,55,53,
      48,55,51,101,45,51,49,32,49,46,57,53,51,54,50,101,45,51,49,10,32,32,50,46,52,
      56,52,57,49,101,45,51,49,32,51,46,51,53,50,49,50,101,45,51,49,32,52,46,51,52,
      52,54,54,101,45,51,49,32,53,46,55,54,50,51,54,101,45,51,49,32,55,46,50,51,50,
      49,54,101,45,51,49,32,57,46,52,48,54,56,57,101,45,51,49,32,49,46,48,57,51,51,
      52,101,45,51,48,10,32,32,49,46,51,49,55,52,49,101,45,51,48,32,49,46,52,54,54,
      49,49,101,45,51,48,32,49,46,53,50,50,49,52,101,45,51,48,32,49,46,53,51,52,49,
      49,101,45,51,48,32,49,46,52,55,49,57,49,101,45,51,48,32,49,46,51,53,55,50,53,
      101,45,51,48,32,49,46,50,48,52,48,52,101,45,51,48,10,32,32,49,46,48,48,52,57,
      101,45,51,48,32,56,46,48,51,48,56,54,101,45,51,49,32,54,46,51,56,53,56,56,101,
      45,51,49,32,52,46,57,51,51,55,52,101,45,51,49,32,51,46,55,49,48,50,51,101,45,
      51,49,32,50,46,53,57,55,49,50,101,45,51,49,32,49,46,54,55,53,56,52,101,45,51,
      49,10,32,32,57,46,56,55,51,49,50,101,45,51,50,32,53,46,57,50,48,54,57,101,45,
      51,50,32,51,46,50,51,53,51,56,101,45,51,50,32,49,46,56,50,50,53,52,101,45,51,
      50,32,57,46,57,57,57,49,101,45,51,51,32,52,46,57,56,54,48,57,101,45,51,51,32,
      50,46,50,57,50,54,56,101,45,51,51,10,32,32,49,46,50,51,50,55,101,45,51,51,32,
      53,46,56,57,48,48,56,101,45,51,52,32,51,46,48,50,53,53,55,101,45,51,52,32,49,
      46,52,54,48,49,53,101,45,51,52,32,54,46,57,51,53,49,50,101,45,51,53,32,51,46,
      50,52,53,48,53,101,45,51,53,32,49,46,52,57,55,51,49,101,45,51,53,10,32,32,54,
      46,56,49,56,55,50,101,45,51,54,32,51,46,48,54,55,50,53,101,45,51,54,32,49,46,
      51,54,51,56,55,101,45,51,54,32,53,46,57,57,57,48,50,101,45,51,55,32,50,46,54,
      49,49,56,52,101,45,51,55,32,49,46,49,50,54,50,53,101,45,51,55,32,52,46,56,49,
      50,54,51,101,45,51,56,10,32,32,50,46,48,51,57,101,45,51,56,32,48,114,49,51,
      55,32,52,46,55,56,55,49,56,101,45,51,56,32,55,46,57,49,49,57,101,45,51,56,32,
      49,46,57,52,55,56,50,101,45,51,55,32,49,46,50,49,55,55,53,101,45,51,54,32,50,
      46,50,55,49,55,53,101,45,51,54,32,53,46,51,56,52,55,49,101,45,51,54,10,32,32,
      57,46,51,49,50,53,56,101,45,51,54,32,50,46,48,53,48,50,54,101,45,51,53,32,51,
      46,51,49,54,51,51,101,45,51,53,32,53,46,49,51,53,48,51,101,45,51,53,32,55,46,
      55,57,56,49,50,101,45,51,53,32,49,46,50,51,50,53,101,45,51,52,32,49,46,55,53,
      52,49,51,101,45,51,52,10,32,32,50,46,50,57,51,57,57,101,45,51,52,32,51,46,52,
      57,52,49,53,101,45,51,52,32,52,46,52,55,53,49,52,101,45,51,52,32,54,46,52,56,
      51,54,49,101,45,51,52,32,57,46,52,51,48,56,53,101,45,51,52,32,49,46,49,54,55,
      55,53,101,45,51,51,32,49,46,52,51,57,54,56,101,45,51,51,10,32,32,49,46,57,55,
      53,51,55,101,45,51,51,32,50,46,55,53,50,54,50,101,45,51,51,32,51,46,50,56,53,
      53,57,101,45,51,51,32,52,46,51,50,55,50,49,101,45,51,51,32,53,46,48,56,55,55,
      54,101,45,51,51,32,54,46,53,53,54,51,53,101,45,51,51,32,55,46,57,57,49,57,56,
      101,45,51,51,10,32,32,49,46,48,53,53,53,54,101,45,51,50,32,49,46,49,55,57,51,
      52,101,45,51,50,32,49,46,52,53,48,51,52,101,45,51,50,32,49,46,56,48,53,50,101,
      45,51,50,32,50,46,49,53,48,51,57,101,45,51,50,32,50,46,53,52,53,50,50,101,45,
      51,50,32,50,46,57,54,51,49,57,101,45,51,50,10,32,32,51,46,52,50,52,50,50,101,
      45,51,50,32,51,46,57,57,54,53,53,101,45,51,50,32,52,46,53,54,50,50,52,101,45,
      51,50,32,53,46,50,53,49,57,55,101,45,51,50,32,53,46,56,48,53,54,56,101,45,51,
      50,32,54,46,55,57,54,57,51,101,45,51,50,32,55,46,52,54,48,52,54,101,45,51,50,
      10,32,32,56,46,51,52,54,49,51,101,45,51,50,32,49,46,48,54,55,55,51,101,45,51,
      49,32,49,46,52,53,49,52,56,101,45,51,49,32,49,46,56,57,52,57,56,101,45,51,49,
      32,50,46,53,51,53,52,49,101,45,51,49,32,51,46,50,48,51,55,56,101,45,51,49,32,
      52,46,50,48,54,56,101,45,51,49,10,32,32,52,46,57,51,56,49,57,101,45,51,49,32,
      54,46,48,50,52,57,55,101,45,51,49,32,54,46,55,56,50,52,54,101,45,51,49,32,55,
      46,48,57,55,49,55,101,45,51,49,32,55,46,50,49,52,52,54,101,45,51,49,32,54,46,
      57,57,57,50,50,101,45,51,49,32,54,46,53,49,53,50,51,101,45,51,49,10,32,32,53,
      46,56,51,51,49,55,101,45,51,49,32,52,46,57,49,56,52,54,101,45,51,49,32,51,46,
      57,55,48,48,50,101,45,51,49,32,51,46,49,56,51,55,51,101,45,51,49,32,50,46,52,
      56,48,50,49,101,45,51,49,32,49,46,56,56,48,50,56,101,45,51,49,32,49,46,51,50,
      56,48,55,101,45,51,49,10,32,32,56,46,54,53,52,50,55,101,45,51,50,32,53,46,49,
      53,50,55,51,101,45,51,50,32,51,46,49,49,56,52,54,101,45,51,50,32,49,46,55,50,
      48,57,54,101,45,51,50,32,57,46,55,55,55,55,49,101,45,51,51,32,53,46,52,48,56,
      57,101,45,51,51,32,50,46,55,50,49,49,52,101,45,51,51,10,32,32,49,46,50,54,50,
      54,55,101,45,51,51,32,54,46,56,51,53,49,101,45,51,52,32,51,46,50,57,48,55,50,
      101,45,51,52,32,49,46,55,48,49,50,49,101,45,51,52,32,56,46,50,54,52,53,56,101,
      45,51,53,32,51,46,57,53,48,52,53,101,45,51,53,32,49,46,56,53,57,56,56,101,45,
      51,53,10,32,32,56,46,54,51,50,55,49,101,45,51,54,32,51,46,57,53,51,56,53,101,
      45,51,54,32,49,46,55,56,56,51,56,101,45,51,54,32,55,46,57,57,52,53,52,101,45,
      51,55,32,51,46,53,51,52,52,57,101,45,51,55,32,49,46,53,52,54,52,55,101,45,51,
      55,32,54,46,55,48,48,52,53,101,45,51,56,10,32,32,50,46,56,55,54,52,52,101,45,
      51,56,32,48,114,49,52,48,32,51,46,51,56,54,53,101,45,51,56,32,50,46,52,56,48,
      55,101,45,51,55,32,52,46,55,53,57,50,56,101,45,51,55,32,49,46,49,56,48,52,57,
      101,45,51,54,32,50,46,48,57,53,49,54,101,45,51,54,32,53,46,49,48,56,50,56,101,
      45,51,54,10,32,32,56,46,52,48,50,51,101,45,51,54,32,49,46,51,50,48,52,55,101,
      45,51,53,32,50,46,48,51,51,55,53,101,45,51,53,32,51,46,50,57,57,52,53,101,45,
      51,53,32,52,46,57,48,52,48,56,101,45,51,53,32,54,46,52,52,52,57,50,101,45,51,
      53,32,57,46,56,57,51,53,49,101,45,51,53,10,32,32,49,46,50,55,52,55,57,101,45,
      51,52,32,49,46,56,53,57,54,50,101,45,51,52,32,50,46,55,50,55,49,54,101,45,51,
      52,32,51,46,51,57,48,54,52,101,45,51,52,32,52,46,49,57,55,57,56,101,45,51,52,
      32,53,46,55,57,53,57,54,101,45,51,52,32,56,46,49,51,48,55,55,101,45,51,52,10,
      32,32,57,46,55,52,48,52,101,45,51,52,32,49,46,50,57,48,50,51,101,45,51,51,32,
      49,46,53,50,50,50,56,101,45,51,51,32,49,46,57,55,50,52,51,101,45,51,51,32,50,
      46,52,49,52,57,50,101,45,51,51,32,51,46,50,48,57,52,57,101,45,51,51,32,51,46,
      53,57,52,57,54,101,45,51,51,10,32,32,52,46,52,52,50,50,55,101,45,51,51,32,53,
      46,53,53,55,57,49,101,45,51,51,32,54,46,54,52,56,56,51,101,45,51,51,32,55,46,
      57,48,50,54,56,101,45,51,51,32,57,46,50,51,53,56,54,101,45,51,51,32,49,46,48,
      55,49,50,55,101,45,51,50,32,49,46,50,53,53,52,50,101,45,51,50,10,32,32,49,46,
      52,51,56,50,51,101,45,51,50,32,49,46,54,54,50,48,57,101,45,51,50,32,49,46,56,
      52,50,53,49,101,45,51,50,32,50,46,49,54,54,56,57,101,45,51,50,32,50,46,51,56,
      52,57,53,101,45,51,50,32,50,46,54,55,55,48,57,101,45,51,50,32,51,46,52,53,49,
      51,101,45,51,50,10,32,32,52,46,55,52,48,50,101,45,51,50,32,54,46,50,52,56,57,
      51,101,45,51,50,32,56,46,52,53,57,53,56,101,45,51,50,32,49,46,48,56,49,53,49,
      101,45,51,49,32,49,46,52,51,56,49,53,101,45,51,49,32,49,46,55,48,54,49,57,101,
      45,51,49,32,50,46,49,49,54,54,49,101,45,51,49,10,32,32,50,46,52,49,57,51,50,
      101,45,51,49,32,50,46,53,53,56,48,56,101,45,51,49,32,50,46,54,51,48,48,54,101,
      45,51,49,32,50,46,53,56,57,52,51,101,45,51,49,32,50,46,52,52,48,55,49,101,45,
      51,49,32,50,46,50,49,50,48,49,101,45,51,49,32,49,46,56,57,48,54,50,101,45,51,
      49,10,32,32,49,46,53,52,54,51,49,101,45,51,49,32,49,46,50,53,52,48,56,101,45,
      51,49,32,57,46,56,55,55,52,55,101,45,51,50,32,55,46,53,54,56,57,55,101,45,51,
      50,32,53,46,52,49,48,51,51,101,45,51,50,32,51,46,53,55,49,56,57,101,45,51,50,
      32,50,46,49,53,54,55,51,101,45,51,50,10,32,32,49,46,51,50,49,50,57,101,45,51,
      50,32,55,46,51,56,55,56,55,101,45,51,51,32,52,46,50,52,53,52,57,101,45,51,51,
      32,50,46,51,55,52,53,51,101,45,51,51,32,49,46,50,48,56,55,55,101,45,51,51,32,
      53,46,54,55,55,52,55,101,45,51,52,32,51,46,49,48,49,50,52,101,45,51,52,10,32,
      32,49,46,53,48,56,50,50,101,45,51,52,32,55,46,56,54,52,49,101,45,51,53,32,51,
      46,56,53,52,51,51,101,45,51,53,32,49,46,56,53,56,49,51,101,45,51,53,32,56,46,
      56,50,48,51,50,101,45,51,54,32,52,46,49,50,54,54,49,101,45,51,54,32,49,46,57,
      48,52,53,52,101,45,51,54,10,32,32,56,46,54,55,56,51,51,101,45,51,55,32,51,46,
      57,48,55,49,57,101,45,51,55,32,49,46,55,51,57,51,52,101,45,51,55,32,55,46,54,
      54,48,57,57,101,45,51,56,32,51,46,51,52,48,54,54,101,45,51,56,32,48,114,49,
      52,50,32,52,46,57,48,55,57,50,101,45,51,56,32,57,46,54,57,50,56,50,101,45,51,
      56,10,32,32,50,46,53,49,51,53,55,101,45,51,55,32,52,46,53,56,50,54,101,45,51,
      55,32,49,46,50,52,55,55,56,101,45,51,54,32,50,46,48,57,48,51,50,101,45,51,54,
      32,51,46,51,51,56,55,56,101,45,51,54,32,53,46,50,49,56,53,51,101,45,51,54,32,
      56,46,55,48,56,57,55,101,45,51,54,10,32,32,49,46,51,54,56,51,51,101,45,51,53,
      32,49,46,56,48,55,52,49,101,45,51,53,32,50,46,55,57,54,55,54,101,45,51,53,32,
      51,46,54,50,57,55,49,101,45,51,53,32,53,46,51,51,48,55,56,101,45,51,53,32,55,
      46,56,56,50,56,51,101,45,51,53,32,57,46,56,51,57,57,51,101,45,51,53,10,32,32,
      49,46,50,50,51,50,57,101,45,51,52,32,49,46,54,57,57,50,53,101,45,51,52,32,50,
      46,51,57,57,51,57,101,45,51,52,32,50,46,56,56,52,54,101,45,51,52,32,51,46,56,
      52,50,53,49,101,45,51,52,32,52,46,53,52,57,49,55,101,45,51,52,32,53,46,57,50,
      53,56,54,101,45,51,52,10,32,32,55,46,50,56,54,54,101,45,51,52,32,57,46,55,52,
      51,49,56,101,45,51,52,32,49,46,48,57,52,48,52,101,45,51,51,32,49,46,51,53,56,
      50,52,101,45,51,51,32,49,46,55,48,56,48,49,101,45,51,51,32,50,46,48,53,49,55,
      54,101,45,51,51,32,50,46,52,52,56,55,52,101,45,51,51,10,32,32,50,46,56,55,50,
      54,53,101,45,51,51,32,51,46,51,52,52,50,101,45,51,51,32,51,46,57,51,52,56,101,
      45,51,51,32,52,46,53,50,51,54,101,45,51,51,32,53,46,50,52,55,54,56,101,45,51,
      51,32,53,46,56,51,51,52,56,101,45,51,51,32,54,46,56,57,49,49,56,101,45,51,51,
      10,32,32,55,46,54,48,53,50,49,101,45,51,51,32,56,46,53,54,53,50,56,101,45,51,
      51,32,49,46,49,49,50,54,54,101,45,51,50,32,49,46,53,52,51,55,57,101,45,51,50,
      32,50,46,48,53,52,55,56,101,45,51,50,32,50,46,56,49,52,50,56,101,45,51,50,32,
      51,46,54,52,50,48,53,101,45,51,50,10,32,32,52,46,57,48,54,49,52,101,45,51,50,
      32,53,46,56,55,53,50,51,101,45,51,50,32,55,46,52,49,48,48,55,101,45,51,50,32,
      56,46,53,57,57,51,56,101,45,51,50,32,57,46,49,56,55,51,53,101,45,51,50,32,57,
      46,53,53,51,50,50,101,45,51,50,32,57,46,53,52,52,52,49,101,45,51,50,10,32,32,
      57,46,49,48,56,57,101,45,51,50,32,56,46,51,53,54,48,50,101,45,51,50,32,55,46,
      50,51,56,57,52,101,45,51,50,32,53,46,57,57,56,56,101,45,51,50,32,52,46,57,49,
      57,56,54,101,45,51,50,32,51,46,57,49,55,54,101,45,51,50,32,51,46,48,51,52,50,
      101,45,51,50,10,32,32,50,46,49,57,52,56,101,45,51,50,32,49,46,52,54,55,57,53,
      101,45,51,50,32,56,46,57,56,56,50,55,101,45,51,51,32,53,46,53,55,51,57,50,101,
      45,51,51,32,51,46,49,53,55,54,101,45,51,51,32,49,46,56,51,53,50,55,101,45,51,
      51,32,49,46,48,51,55,56,50,101,45,51,51,10,32,32,53,46,51,52,53,55,101,45,51,
      52,32,50,46,53,52,49,53,101,45,51,52,32,49,46,52,48,48,56,54,101,45,51,52,32,
      54,46,56,56,49,57,56,101,45,51,53,32,51,46,54,49,57,51,101,45,51,53,32,49,46,
      55,56,57,54,54,101,45,51,53,32,56,46,55,48,49,56,55,101,45,51,54,10,32,32,52,
      46,49,54,52,57,49,101,45,51,54,32,49,46,57,54,52,49,53,101,45,51,54,32,57,46,
      49,51,53,48,51,101,45,51,55,32,52,46,49,57,51,53,50,101,45,51,55,32,49,46,57,
      48,49,54,101,45,51,55,32,56,46,53,50,52,101,45,51,56,32,51,46,55,55,57,53,57,
      101,45,51,56,10,32,32,48,114,49,52,53,32,53,46,49,54,52,52,55,101,45,51,56,
      32,57,46,54,56,49,57,101,45,51,56,32,50,46,57,54,54,57,51,101,45,51,55,32,53,
      46,48,55,48,52,55,101,45,51,55,32,56,46,50,52,51,57,49,101,45,51,55,32,49,46,
      51,48,56,55,54,101,45,51,54,32,50,46,50,53,49,51,55,101,45,51,54,10,32,32,51,
      46,55,56,57,57,52,101,45,51,54,32,53,46,48,51,51,57,52,101,45,51,54,32,55,46,
      56,53,55,48,52,101,45,51,54,32,49,46,48,50,57,50,101,45,51,53,32,49,46,53,50,
      50,49,54,101,45,51,53,32,50,46,50,55,48,56,53,101,45,51,53,32,50,46,56,52,54,
      51,51,101,45,51,53,10,32,32,51,46,53,53,51,49,56,101,45,51,53,32,52,46,57,54,
      54,53,101,45,51,53,32,55,46,48,53,57,57,53,101,45,51,53,32,56,46,53,49,56,52,
      53,101,45,51,53,32,49,46,49,52,49,50,56,101,45,51,52,32,49,46,51,53,53,57,55,
      101,45,51,52,32,49,46,55,55,53,57,50,101,45,51,52,10,32,32,50,46,49,57,51,51,
      53,101,45,51,52,32,50,46,57,53,48,57,57,101,45,51,52,32,51,46,51,50,49,57,50,
      101,45,51,52,32,52,46,49,52,51,55,53,101,45,51,52,32,53,46,50,51,55,54,55,101,
      45,51,52,32,54,46,51,49,56,50,57,101,45,51,52,32,55,46,53,55,50,49,50,101,45,
      51,52,10,32,32,56,46,57,49,54,55,57,101,45,51,52,32,49,46,48,52,49,56,57,101,
      45,51,51,32,49,46,50,51,48,56,51,101,45,51,51,32,49,46,52,50,101,45,51,51,32,
      49,46,54,53,51,54,49,101,45,51,51,32,49,46,56,52,51,51,51,101,45,51,51,32,50,
      46,49,56,55,51,50,101,45,51,51,10,32,32,50,46,52,50,48,52,57,101,45,51,51,32,
      50,46,55,51,53,49,52,101,45,51,51,32,51,46,53,56,48,49,50,101,45,51,51,32,53,
      46,48,49,55,56,56,101,45,51,51,32,54,46,55,52,50,57,101,45,51,51,32,57,46,51,
      52,50,50,57,101,45,51,51,32,49,46,50,50,48,53,53,101,45,51,50,10,32,32,49,46,
      54,54,55,57,53,101,45,51,50,32,50,46,48,49,56,50,55,101,45,51,50,32,50,46,53,
      56,55,50,56,101,45,51,50,32,51,46,48,52,55,56,101,45,51,50,32,51,46,50,56,57,
      54,55,101,45,51,50,32,51,46,52,53,57,48,54,101,45,51,50,32,51,46,53,48,54,50,
      49,101,45,51,50,10,32,32,51,46,51,56,55,54,53,101,45,51,50,32,51,46,49,52,53,
      49,55,101,45,51,50,32,50,46,55,54,49,51,52,101,45,51,50,32,50,46,51,49,56,50,
      49,101,45,51,50,32,49,46,57,50,50,52,53,101,45,51,50,32,49,46,53,52,55,52,57,
      101,45,51,50,32,49,46,50,49,49,51,101,45,51,50,10,32,32,56,46,56,54,54,48,52,
      101,45,51,51,32,54,46,48,48,54,57,51,101,45,51,51,32,51,46,55,50,57,53,49,101,
      45,51,51,32,50,46,51,52,48,57,54,101,45,51,51,32,49,46,51,52,51,53,50,101,45,
      51,51,32,55,46,56,57,55,56,101,45,51,52,32,52,46,53,49,53,51,53,101,45,51,52,
      10,32,32,50,46,51,53,51,51,54,101,45,51,52,32,49,46,49,51,50,53,50,101,45,51,
      52,32,54,46,50,57,57,49,55,101,45,51,53,32,51,46,49,50,54,48,53,101,45,51,53,
      32,49,46,54,53,56,50,49,101,45,51,53,32,56,46,50,55,50,53,57,101,45,51,54,32,
      52,46,48,53,55,48,50,101,45,51,54,10,32,32,49,46,57,53,55,57,51,101,45,51,54,
      32,57,46,51,48,55,54,53,101,45,51,55,32,52,46,51,54,50,52,53,101,45,51,55,32,
      50,46,48,49,55,54,50,101,45,51,55,32,57,46,50,49,53,50,57,101,45,51,56,32,52,
      46,49,53,57,54,53,101,45,51,56,32,48,114,49,52,56,32,54,46,56,55,55,56,101,
      45,51,56,10,32,32,49,46,50,48,48,55,51,101,45,51,55,32,49,46,57,56,57,54,54,
      101,45,51,55,32,51,46,50,49,48,52,57,101,45,51,55,32,53,46,54,57,57,53,52,101,
      45,51,55,32,49,46,48,52,49,56,53,101,45,51,54,32,49,46,51,57,50,51,49,101,45,
      51,54,32,50,46,49,57,51,54,51,101,45,51,54,10,32,32,50,46,57,48,56,54,55,101,
      45,51,54,32,52,46,51,51,50,54,52,101,45,51,54,32,54,46,53,50,52,53,53,101,45,
      51,54,32,56,46,50,49,49,55,49,101,45,51,54,32,49,46,48,50,57,50,54,101,45,51,
      53,32,49,46,52,52,55,54,51,101,45,51,53,32,50,46,48,55,49,53,55,101,45,51,53,
      10,32,32,50,46,53,48,56,53,53,101,45,51,53,32,51,46,51,56,48,51,51,101,45,51,
      53,32,52,46,48,51,48,54,51,101,45,51,53,32,53,46,51,48,55,51,57,101,45,51,53,
      32,54,46,53,56,51,54,50,101,45,51,53,32,56,46,57,49,50,50,57,101,45,51,53,32,
      49,46,48,48,53,55,53,101,45,51,52,10,32,32,49,46,50,54,48,53,101,45,51,52,32,
      49,46,54,48,49,52,49,101,45,51,52,32,49,46,57,51,57,56,56,101,45,51,52,32,50,
      46,51,51,52,52,51,101,45,51,52,32,50,46,55,53,57,51,55,101,45,51,52,32,51,46,
      50,51,54,48,50,101,45,51,52,32,51,46,56,51,56,49,55,101,45,51,52,10,32,32,52,
      46,52,52,51,53,57,101,45,51,52,32,53,46,49,57,52,51,50,101,45,51,52,32,53,46,
      56,48,54,51,101,45,51,52,32,54,46,57,50,48,52,57,101,45,51,52,32,55,46,54,55,
      56,56,54,101,45,51,52,32,56,46,55,48,53,56,50,101,45,51,52,32,49,46,49,52,56,
      49,54,101,45,51,51,10,32,32,49,46,54,50,53,53,51,101,45,51,51,32,50,46,50,48,
      53,50,101,45,51,51,32,51,46,48,57,48,50,53,101,45,51,51,32,52,46,48,54,56,55,
      56,101,45,51,51,32,53,46,54,51,53,57,49,101,45,51,51,32,54,46,57,48,54,56,51,
      101,45,51,51,32,56,46,57,57,57,51,51,101,45,51,51,10,32,32,49,46,48,55,54,48,
      56,101,45,51,50,32,49,46,49,55,51,52,49,101,45,51,50,32,49,46,50,52,55,54,53,
      101,45,51,50,32,49,46,50,56,51,48,53,101,45,51,50,32,49,46,50,53,52,57,57,101,
      45,51,50,32,49,46,49,55,57,49,56,101,45,51,50,32,49,46,48,52,57,49,53,101,45,
      51,50,10,32,32,56,46,57,50,50,54,55,101,45,51,51,32,55,46,52,56,49,54,53,101,
      45,51,51,32,54,46,48,56,55,55,54,101,45,51,51,32,52,46,56,49,53,55,50,101,45,
      51,51,32,51,46,53,54,54,53,50,101,45,51,51,32,50,46,52,52,55,54,57,101,45,51,
      51,32,49,46,53,52,48,56,56,101,45,51,51,10,32,32,57,46,55,56,57,51,101,45,51,
      52,32,53,46,54,57,49,55,49,101,45,51,52,32,51,46,51,56,51,56,56,101,45,51,52,
      32,49,46,57,53,53,57,52,101,45,51,52,32,49,46,48,51,49,52,56,101,45,51,52,32,
      53,46,48,50,52,53,101,45,51,53,32,50,46,56,50,48,48,56,101,45,51,53,10,32,32,
      49,46,52,49,51,55,54,101,45,51,53,32,55,46,53,54,52,48,54,101,45,51,54,32,51,
      46,56,48,55,51,56,101,45,51,54,32,49,46,56,56,51,51,52,101,45,51,54,32,57,46,
      49,54,52,57,53,101,45,51,55,32,52,46,51,57,49,57,56,101,45,51,55,32,50,46,48,
      55,52,53,51,101,45,51,55,10,32,32,57,46,54,54,54,56,54,101,45,51,56,32,52,46,
      52,52,55,51,52,101,45,51,56,32,50,46,48,50,49,53,55,101,45,51,56,32,48,114,
      49,52,57,32,50,46,55,54,52,56,55,101,45,51,56,32,52,46,54,55,53,54,53,101,45,
      51,56,32,55,46,54,55,54,49,50,101,45,51,56,32,49,46,52,48,55,52,50,101,45,51,
      55,10,32,32,50,46,56,50,57,54,53,101,45,51,55,32,51,46,56,48,56,48,49,101,45,
      51,55,32,54,46,48,54,51,56,54,101,45,51,55,32,56,46,49,55,51,54,49,101,45,51,
      55,32,49,46,50,50,54,55,56,101,45,51,54,32,49,46,56,54,54,56,101,45,51,54,32,
      50,46,51,53,57,53,54,101,45,51,54,10,32,32,50,46,57,54,57,54,52,101,45,51,54,
      32,52,46,50,48,51,54,54,101,45,51,54,32,54,46,48,53,54,53,52,101,45,51,54,32,
      55,46,51,54,49,49,51,101,45,51,54,32,57,46,57,55,56,51,54,101,45,51,54,32,49,
      46,49,57,52,50,51,101,45,51,53,32,49,46,53,56,49,49,101,45,51,53,10,32,32,49,
      46,57,55,48,48,49,101,45,51,53,32,50,46,54,56,51,51,56,101,45,51,53,32,51,46,
      48,51,53,56,49,101,45,51,53,32,51,46,56,50,50,56,51,101,45,51,53,32,52,46,56,
      56,49,55,52,101,45,51,53,32,53,46,57,51,56,51,54,101,45,51,53,32,55,46,49,55,
      53,56,50,101,45,51,53,10,32,32,56,46,53,49,52,50,56,101,45,51,53,32,49,46,48,
      48,50,49,57,101,45,51,52,32,49,46,49,57,51,52,52,101,45,51,52,32,49,46,51,56,
      54,53,53,101,45,51,52,32,49,46,54,50,54,57,57,101,45,51,52,32,49,46,56,50,51,
      55,52,101,45,51,52,32,50,46,49,56,51,52,101,45,51,52,10,32,32,50,46,52,50,57,
      50,101,45,51,52,32,50,46,55,54,51,50,49,101,45,51,52,32,51,46,54,55,49,56,56,
      101,45,51,52,32,53,46,50,53,49,50,101,45,51,52,32,55,46,49,57,49,56,53,101,
      45,51,52,32,49,46,48,49,57,52,55,101,45,51,51,32,49,46,51,53,55,53,54,101,45,
      51,51,10,32,32,49,46,57,48,51,48,53,101,45,51,51,32,50,46,51,53,55,49,53,101,
      45,51,51,32,51,46,49,50,49,52,52,101,45,51,51,32,51,46,55,56,56,50,51,101,45,
      51,51,32,52,46,49,55,50,57,50,101,45,51,51,32,52,46,52,56,54,50,52,101,45,51,
      51,32,52,46,54,56,48,48,53,101,45,51,51,10,32,32,52,46,54,51,51,55,49,101,45,
      51,51,32,52,46,52,48,53,55,54,101,45,51,51,32,51,46,57,55,50,48,50,101,45,51,
      51,32,51,46,52,50,49,55,53,101,45,51,51,32,50,46,57,48,48,55,54,101,45,51,51,
      32,50,46,51,56,53,55,54,101,45,51,51,32,49,46,57,48,55,49,51,101,45,51,51,10,
      32,32,49,46,52,50,57,48,50,101,45,51,51,32,57,46,57,51,51,53,101,45,51,52,32,
      54,46,51,52,48,49,51,101,45,51,52,32,52,46,48,55,54,54,50,101,45,51,52,32,50,
      46,52,48,49,48,57,101,45,51,52,32,49,46,52,52,51,54,57,101,45,51,52,32,56,46,
      52,51,54,52,51,101,45,51,53,10,32,32,52,46,53,48,49,53,55,101,45,51,53,32,50,
      46,50,49,57,53,52,101,45,51,53,32,49,46,50,53,55,48,56,101,45,51,53,32,54,46,
      51,54,54,49,51,101,45,51,54,32,51,46,52,51,53,53,54,101,45,51,54,32,49,46,55,
      52,52,55,56,101,45,51,54,32,56,46,55,48,53,51,55,101,45,51,55,10,32,32,52,46,
      50,55,49,55,54,101,45,51,55,32,50,46,48,54,51,54,53,101,45,51,55,32,57,46,56,
      50,51,56,101,45,51,56,32,52,46,54,49,50,50,54,101,45,51,56,32,50,46,49,51,55,
      52,50,101,45,51,56,32,48,114,49,53,51,32,51,46,52,48,49,56,56,101,45,51,56,
      32,55,46,53,57,56,56,57,101,45,51,56,10,32,32,49,46,48,51,48,56,50,101,45,51,
      55,32,49,46,54,54,49,51,57,101,45,51,55,32,50,46,50,56,56,53,55,101,45,51,55,
      32,51,46,52,54,50,54,53,101,45,51,55,32,53,46,51,51,49,57,56,101,45,51,55,32,
      54,46,55,54,56,55,51,101,45,51,55,32,56,46,53,53,51,56,52,101,45,51,55,10,32,
      32,49,46,50,49,56,56,50,101,45,51,54,32,49,46,55,54,56,101,45,51,54,32,50,46,
      49,53,54,54,55,101,45,51,54,32,50,46,57,52,49,48,56,101,45,51,54,32,51,46,53,
      51,51,50,52,101,45,51,54,32,52,46,55,48,50,57,53,101,45,51,54,32,53,46,56,56,
      53,51,53,101,45,51,54,10,32,32,56,46,48,54,53,52,52,101,45,51,54,32,57,46,49,
      52,55,50,53,101,45,51,54,32,49,46,49,53,55,50,52,101,45,51,53,32,49,46,52,56,
      53,50,54,101,45,51,53,32,49,46,56,49,52,50,101,45,51,53,32,50,46,50,48,49,49,
      56,101,45,51,53,32,50,46,54,50,49,53,101,45,51,53,10,32,32,51,46,48,57,54,56,
      56,101,45,51,53,32,51,46,55,48,50,52,57,101,45,51,53,32,52,46,51,49,54,52,55,
      101,45,51,53,32,53,46,48,56,52,48,55,101,45,51,53,32,53,46,55,49,52,53,51,101,
      45,51,53,32,54,46,56,55,49,54,51,101,45,51,53,32,55,46,54,54,53,53,55,101,45,
      51,53,10,32,32,56,46,55,52,56,49,54,101,45,51,53,32,49,46,49,55,49,50,49,101,
      45,51,52,32,49,46,54,57,49,55,55,101,45,51,52,32,50,46,51,51,56,57,50,101,45,
      51,52,32,51,46,51,53,51,54,53,101,45,51,52,32,52,46,53,50,48,56,53,101,45,51,
      52,32,54,46,52,49,52,52,51,101,45,51,52,10,32,32,56,46,48,49,56,53,49,101,45,
      51,52,32,49,46,48,55,57,49,50,101,45,51,51,32,49,46,51,50,57,49,53,101,45,51,
      51,32,49,46,52,55,56,57,56,101,45,51,51,32,49,46,54,48,55,54,50,101,45,51,51,
      32,49,46,55,48,49,49,53,101,45,51,51,32,49,46,55,48,52,56,50,101,45,51,51,10,
      32,32,49,46,54,52,48,49,57,101,45,51,51,32,49,46,52,57,56,50,55,101,45,51,51,
      32,49,46,51,48,55,51,49,101,45,51,51,32,49,46,49,50,48,52,50,101,45,51,51,32,
      57,46,51,49,51,56,101,45,51,52,32,55,46,53,50,51,50,56,101,45,51,52,32,53,46,
      55,48,51,49,55,101,45,51,52,10,32,32,52,46,48,49,53,50,52,101,45,51,52,32,50,
      46,53,57,56,49,54,101,45,51,52,32,49,46,54,57,48,55,49,101,45,51,52,32,49,46,
      48,48,56,55,52,101,45,51,52,32,54,46,49,51,51,55,53,101,45,51,53,32,51,46,54,
      50,51,54,53,101,45,51,53,32,49,46,57,53,54,51,52,101,45,51,53,10,32,32,57,46,
      55,54,51,52,54,101,45,51,54,32,53,46,53,55,57,57,54,101,45,51,54,32,50,46,56,
      53,52,54,50,101,45,51,54,32,49,46,53,53,51,56,56,101,45,51,54,32,55,46,57,54,
      50,50,56,101,45,51,55,32,52,46,48,48,55,49,54,101,45,51,55,32,49,46,57,56,50,
      56,51,101,45,51,55,10,32,32,57,46,54,53,54,54,101,45,51,56,32,52,46,54,51,51,
      101,45,51,56,32,50,46,49,57,49,54,57,101,45,51,56,32,48,114,49,53,53,32,50,
      46,48,48,52,48,51,101,45,51,56,32,50,46,55,52,51,55,51,101,45,51,56,32,52,46,
      52,56,52,49,51,101,45,51,56,32,54,46,51,53,52,56,55,101,45,51,56,10,32,32,57,
      46,55,48,49,49,56,101,45,51,56,32,49,46,53,49,52,57,53,101,45,51,55,32,49,46,
      57,51,50,50,49,101,45,51,55,32,50,46,52,53,50,52,55,101,45,51,55,32,51,46,53,
      49,57,57,51,101,45,51,55,32,53,46,49,52,50,52,57,101,45,51,55,32,54,46,50,57,
      55,48,54,101,45,51,55,10,32,32,56,46,54,52,50,56,52,101,45,51,55,32,49,46,48,
      52,50,52,57,101,45,51,54,32,49,46,51,57,53,51,50,101,45,51,54,32,49,46,55,53,
      51,57,56,101,45,51,54,32,50,46,52,49,56,55,57,101,45,51,54,32,50,46,55,53,48,
      49,54,101,45,51,54,32,51,46,52,57,53,57,50,101,45,51,54,10,32,32,52,46,53,48,
      57,57,57,101,45,51,54,32,53,46,53,51,49,57,52,101,45,51,54,32,54,46,55,51,57,
      54,55,101,45,51,54,32,56,46,48,53,55,48,50,101,45,51,54,32,57,46,53,53,51,48,
      56,101,45,51,54,32,49,46,49,52,54,54,56,101,45,51,53,32,49,46,51,52,49,53,101,
      45,51,53,10,32,32,49,46,53,56,54,48,52,101,45,51,53,32,49,46,55,56,55,54,53,
      101,45,51,53,32,50,46,49,53,57,49,49,101,45,51,53,32,50,46,52,49,52,57,57,101,
      45,51,53,32,50,46,55,54,53,48,57,101,45,51,53,32,51,46,55,50,57,54,54,101,45,
      51,53,32,53,46,52,52,49,49,51,101,45,51,53,10,32,32,55,46,53,57,51,50,101,45,
      51,53,32,49,46,49,48,49,49,101,45,51,52,32,49,46,52,57,56,52,51,101,45,51,52,
      32,50,46,49,53,53,54,51,101,45,51,52,32,50,46,55,50,49,53,49,101,45,51,52,32,
      51,46,55,50,49,50,49,101,45,51,52,32,52,46,54,53,48,55,55,101,45,51,52,10,32,
      32,53,46,50,50,54,57,101,45,51,52,32,53,46,55,52,51,54,53,101,45,51,52,32,54,
      46,49,54,52,49,49,101,45,51,52,32,54,46,50,53,49,57,53,101,45,51,52,32,54,46,
      48,56,53,54,57,101,45,51,52,32,53,46,54,51,49,57,53,101,45,51,52,32,52,46,57,
      55,54,56,49,101,45,51,52,10,32,32,52,46,51,49,49,55,53,101,45,51,52,32,51,46,
      54,50,50,51,57,101,45,51,52,32,50,46,57,53,54,52,53,101,45,51,52,32,50,46,50,
      54,55,50,53,101,45,51,52,32,49,46,54,49,54,53,53,101,45,51,52,32,49,46,48,54,
      48,52,101,45,51,52,32,54,46,57,56,51,49,101,45,51,53,10,32,32,52,46,50,50,48,
      50,52,101,45,51,53,32,50,46,53,57,53,48,56,101,45,51,53,32,49,46,53,52,57,56,
      54,101,45,51,53,32,56,46,52,54,53,57,51,101,45,51,54,32,52,46,50,55,54,53,52,
      101,45,51,54,32,50,46,52,54,54,51,49,101,45,51,54,32,49,46,50,55,52,53,57,101,
      45,51,54,10,32,32,54,46,57,57,56,49,56,101,45,51,55,32,51,46,54,49,56,49,54,
      101,45,51,55,32,49,46,56,51,54,55,51,101,45,51,55,32,57,46,49,54,52,57,55,101,
      45,51,56,32,52,46,52,57,57,55,55,101,45,51,56,32,50,46,49,55,53,56,55,101,45,
      51,56,32,48,114,49,54,48,32,50,46,54,57,54,55,101,45,51,56,10,32,32,52,46,50,
      56,49,49,49,101,45,51,56,32,53,46,52,56,55,52,54,101,45,51,56,32,54,46,57,57,
      55,48,55,101,45,51,56,32,49,46,48,49,50,52,49,101,45,51,55,32,49,46,52,56,57,
      57,54,101,45,51,55,32,49,46,56,51,49,54,52,101,45,51,55,32,50,46,53,51,49,49,
      101,45,51,55,10,32,32,51,46,48,54,53,56,56,101,45,51,55,32,52,46,49,50,54,53,
      56,101,45,51,55,32,53,46,50,49,48,55,51,101,45,51,55,32,55,46,50,51,49,49,50,
      101,45,51,55,32,56,46,50,52,50,54,56,101,45,51,55,32,49,46,48,53,50,56,49,101,
      45,51,54,32,49,46,51,54,53,50,50,101,45,51,54,10,32,32,49,46,54,56,49,54,51,
      101,45,51,54,32,50,46,48,53,55,50,49,101,45,51,54,32,50,46,52,54,56,54,50,101,
      45,51,54,32,50,46,57,51,55,55,57,101,45,51,54,32,51,46,53,52,48,51,55,101,45,
      51,54,32,52,46,49,53,54,50,56,101,45,51,54,32,52,46,57,51,50,53,49,101,45,51,
      54,10,32,32,53,46,53,55,52,56,55,101,45,51,54,32,54,46,55,54,50,57,56,101,45,
      51,54,32,55,46,53,56,52,54,52,101,45,51,54,32,56,46,55,49,50,54,101,45,51,54,
      32,49,46,49,56,51,57,55,101,45,51,53,32,49,46,55,52,52,53,101,45,51,53,32,50,
      46,52,53,55,51,54,101,45,51,53,10,32,32,51,46,54,48,51,51,55,101,45,51,53,32,
      52,46,57,51,55,51,57,101,45,51,53,32,55,46,50,48,52,49,56,101,45,51,53,32,57,
      46,50,48,54,57,53,101,45,51,53,32,49,46,50,55,57,48,53,101,45,51,52,32,49,46,
      54,50,50,48,51,101,45,51,52,32,49,46,56,52,49,49,57,101,45,51,52,10,32,32,50,
      46,48,52,53,50,57,101,45,51,52,32,50,46,50,50,54,48,56,101,45,51,52,32,50,46,
      50,56,52,57,52,101,45,51,52,32,50,46,50,53,48,50,51,101,45,51,52,32,50,46,49,
      48,57,54,50,101,45,51,52,32,49,46,56,56,55,56,56,101,45,51,52,32,49,46,54,53,
      51,51,49,101,45,51,52,10,32,32,49,46,52,48,51,54,56,101,45,51,52,32,49,46,49,
      53,55,52,56,101,45,51,52,32,56,46,57,55,57,49,53,101,45,51,53,32,54,46,52,56,
      51,51,101,45,51,53,32,52,46,51,49,48,57,57,101,45,51,53,32,50,46,56,55,50,56,
      49,101,45,51,53,32,49,46,55,53,56,53,52,101,45,51,53,10,32,32,49,46,48,57,51,
      52,57,101,45,51,53,32,54,46,54,48,49,56,57,101,45,51,54,32,51,46,54,52,56,53,
      54,101,45,51,54,32,49,46,56,54,53,52,55,101,45,51,54,32,49,46,48,56,53,54,101,
      45,51,54,32,53,46,54,54,55,53,101,45,51,55,32,51,46,49,51,56,55,54,101,45,51,
      55,10,32,32,49,46,54,51,55,51,55,101,45,51,55,32,56,46,51,56,52,51,53,101,45,
      51,56,32,52,46,50,49,56,57,50,101,45,51,56,32,50,46,48,56,56,50,56,101,45,51,
      56,32,48,114,49,54,53,32,50,46,56,57,54,57,49,101,45,51,56,32,52,46,50,57,54,
      53,50,101,45,51,56,32,53,46,51,48,51,53,54,101,45,51,56,10,32,32,55,46,51,56,
      51,49,55,101,45,51,56,32,56,46,57,56,52,48,50,101,45,51,56,32,49,46,50,49,54,
      50,53,101,45,51,55,32,49,46,53,52,50,57,51,101,45,51,55,32,50,46,49,53,53,48,
      55,101,45,51,55,32,50,46,52,54,50,57,52,101,45,51,55,32,51,46,49,54,49,50,50,
      101,45,51,55,10,32,32,52,46,49,50,48,56,52,101,45,51,55,32,53,46,48,57,55,54,
      54,101,45,51,55,32,54,46,50,54,50,50,101,45,51,55,32,55,46,53,52,51,50,52,101,
      45,51,55,32,57,46,48,49,48,51,57,101,45,51,55,32,49,46,48,57,48,50,49,101,45,
      51,54,32,49,46,50,56,52,51,53,101,45,51,54,10,32,32,49,46,53,50,57,57,57,101,
      45,51,54,32,49,46,55,51,52,48,53,101,45,51,54,32,50,46,49,49,50,57,101,45,51,
      54,32,50,46,51,55,53,57,49,101,45,51,54,32,50,46,55,51,56,49,54,101,45,51,54,
      32,51,46,55,52,56,55,50,101,45,51,54,32,53,46,53,55,56,52,56,101,45,51,54,10,
      32,32,55,46,57,51,49,54,101,45,51,54,32,49,46,49,55,54,49,57,101,45,51,53,32,
      49,46,54,50,57,49,101,45,51,53,32,50,46,52,48,52,52,101,45,51,53,32,51,46,49,
      48,53,57,49,101,45,51,53,32,52,46,51,56,51,54,57,101,45,51,53,32,53,46,54,52,
      48,52,49,101,45,51,53,10,32,32,54,46,52,54,54,50,51,101,45,51,53,32,55,46,50,
      54,48,57,52,101,45,51,53,32,56,46,48,49,51,57,52,101,45,51,53,32,56,46,51,50,
      52,48,55,101,45,51,53,32,56,46,50,57,51,48,50,101,45,51,53,32,55,46,56,55,53,
      54,101,45,51,53,32,55,46,49,51,54,55,49,101,45,51,53,10,32,32,54,46,51,49,55,
      50,101,45,51,53,32,53,46,52,49,57,56,49,101,45,51,53,32,52,46,53,49,53,50,50,
      101,45,51,53,32,51,46,53,52,50,57,52,101,45,51,53,32,50,46,53,57,48,51,57,101,
      45,51,53,32,49,46,55,52,53,56,57,101,45,51,53,32,49,46,49,55,55,50,55,101,45,
      51,53,10,32,32,55,46,50,57,56,56,53,101,45,51,54,32,52,46,53,56,57,51,51,101,
      45,51,54,32,50,46,56,48,48,56,57,101,45,51,54,32,49,46,53,54,54,48,54,101,45,
      51,54,32,56,46,49,48,52,50,57,101,45,51,55,32,52,46,55,53,57,101,45,51,55,32,
      50,46,53,48,57,55,57,101,45,51,55,10,32,32,49,46,52,48,50,48,49,101,45,51,55,
      32,55,46,51,55,57,53,52,101,45,51,56,32,51,46,56,49,49,54,57,101,45,51,56,32,
      48,114,49,55,48,32,50,46,49,52,54,52,57,101,45,51,56,32,50,46,54,50,52,56,54,
      101,45,51,56,32,51,46,53,55,52,53,57,101,45,51,56,32,52,46,53,53,54,48,52,101,
      45,51,56,10,32,32,54,46,52,48,53,51,52,101,45,51,56,32,55,46,51,51,57,54,51,
      101,45,51,56,32,57,46,52,54,55,48,52,101,45,51,56,32,49,46,50,52,48,54,49,101,
      45,51,55,32,49,46,53,52,49,51,51,101,45,51,55,32,49,46,57,48,49,51,52,101,45,
      51,55,32,50,46,50,57,57,48,54,101,45,51,55,10,32,32,50,46,55,53,54,53,53,101,
      45,51,55,32,51,46,51,52,56,54,55,101,45,51,55,32,51,46,57,53,56,56,101,45,51,
      55,32,52,46,55,51,51,56,53,101,45,51,55,32,53,46,51,56,48,49,56,101,45,51,55,
      32,54,46,53,56,52,53,53,101,45,51,55,32,55,46,52,50,51,57,49,101,45,51,55,10,
      32,32,56,46,53,56,51,55,57,101,45,51,55,32,49,46,49,56,51,57,53,101,45,51,54,
      32,49,46,55,55,57,51,55,101,45,51,54,32,50,46,53,53,51,54,49,101,45,51,54,32,
      51,46,56,50,57,56,51,101,45,51,54,32,53,46,51,55,48,51,101,45,51,54,32,56,46,
      48,49,54,54,101,45,51,54,10,32,32,49,46,48,52,52,57,57,101,45,51,53,32,49,46,
      52,57,56,51,49,101,45,51,53,32,49,46,57,53,53,56,51,101,45,51,53,32,50,46,50,
      54,52,51,51,101,45,51,53,32,50,46,53,54,57,57,57,101,45,51,53,32,50,46,56,55,
      54,49,50,101,45,51,53,32,51,46,48,50,50,56,50,101,45,51,53,10,32,32,51,46,48,
      52,54,51,49,101,45,51,53,32,50,46,57,51,48,50,101,45,51,53,32,50,46,54,56,56,
      53,54,101,45,51,53,32,50,46,52,48,53,50,54,101,45,51,53,32,50,46,48,56,53,49,
      54,101,45,51,53,32,49,46,55,53,52,57,49,101,45,51,53,32,49,46,51,57,50,55,54,
      101,45,51,53,10,32,32,49,46,48,51,49,48,56,101,45,51,53,32,55,46,48,52,51,52,
      56,101,45,51,54,32,52,46,56,48,53,55,49,101,45,51,54,32,51,46,48,49,55,53,51,
      101,45,51,54,32,49,46,57,49,56,53,50,101,45,51,54,32,49,46,49,56,51,53,56,101,
      45,51,54,32,54,46,54,57,53,49,50,101,45,51,55,10,32,32,51,46,53,48,54,54,57,
      101,45,51,55,32,50,46,48,55,55,56,53,101,45,51,55,32,49,46,49,48,54,57,55,101,
      45,51,55,32,54,46,50,51,55,51,54,101,45,51,56,32,51,46,51,49,50,54,49,101,45,
      51,56,32,48,114,49,55,54,32,50,46,49,56,48,56,54,101,45,51,56,32,50,46,56,50,
      55,52,52,101,45,51,56,10,32,32,51,46,55,50,53,53,54,101,45,51,56,32,52,46,54,
      52,57,52,49,101,45,51,56,32,53,46,55,53,57,57,56,101,45,51,56,32,54,46,57,57,
      50,49,50,101,45,51,56,32,56,46,52,49,53,56,57,101,45,51,56,32,49,46,48,50,54,
      53,52,101,45,51,55,32,49,46,50,49,55,56,56,101,45,51,55,10,32,32,49,46,52,54,
      49,57,101,45,51,55,32,49,46,54,54,54,49,57,101,45,51,55,32,50,46,48,52,56,50,
      51,101,45,51,55,32,50,46,51,49,53,53,49,101,45,51,55,32,50,46,54,56,54,48,52,
      101,45,51,55,32,51,46,55,51,50,52,55,101,45,51,55,32,53,46,54,54,53,49,52,101,
      45,51,55,10,32,32,56,46,50,48,53,54,55,101,45,51,55,32,49,46,50,52,52,52,51,
      101,45,51,54,32,49,46,55,54,49,56,56,101,45,51,54,32,50,46,54,54,52,56,54,101,
      45,51,54,32,51,46,53,48,55,48,50,101,45,51,54,32,53,46,49,48,55,50,50,101,45,
      51,54,32,54,46,55,54,50,54,49,101,45,51,54,10,32,32,55,46,57,48,54,48,52,101,
      45,51,54,32,57,46,48,54,57,50,49,101,45,51,54,32,49,46,48,50,57,48,51,101,45,
      51,53,32,49,46,48,57,52,50,54,101,45,51,53,32,49,46,49,49,53,52,51,101,45,51,
      53,32,49,46,48,56,54,54,52,101,45,51,53,32,49,46,48,48,57,52,53,101,45,51,53,
      10,32,32,57,46,49,50,54,56,51,101,45,51,54,32,55,46,57,57,52,52,54,101,45,51,
      54,32,54,46,55,57,54,55,50,101,45,51,54,32,53,46,52,53,53,52,55,101,45,51,54,
      32,52,46,48,56,57,49,51,101,45,51,54,32,50,46,56,51,49,48,49,101,45,51,54,32,
      49,46,57,53,52,51,51,101,45,51,54,10,32,32,49,46,50,52,50,55,53,101,45,51,54,
      32,55,46,57,56,57,49,51,101,45,51,55,32,52,46,57,56,49,57,52,101,45,51,55,32,
      50,46,56,53,49,101,45,51,55,32,49,46,53,49,49,51,50,101,45,51,55,32,57,46,48,
      51,54,49,56,101,45,51,56,32,52,46,56,54,50,57,52,101,45,51,56,10,32,32,50,46,
      55,54,51,56,51,101,45,51,56,32,48,114,49,56,50,32,50,46,49,49,56,57,56,101,
      45,51,56,32,50,46,53,54,48,53,57,101,45,51,56,32,51,46,49,51,54,51,101,45,51,
      56,32,51,46,55,51,52,51,51,101,45,51,56,32,52,46,53,48,48,48,52,101,45,51,56,
      32,53,46,49,52,51,53,55,101,45,51,56,10,32,32,54,46,51,53,49,52,53,101,45,51,
      56,32,55,46,49,57,57,55,51,101,45,51,56,32,56,46,51,55,57,53,55,101,45,51,56,
      32,49,46,49,55,51,49,57,101,45,51,55,32,49,46,55,57,56,52,55,101,45,51,55,32,
      50,46,54,50,57,51,55,101,45,51,55,32,52,46,48,51,49,54,50,101,45,51,55,10,32,
      32,53,46,55,52,51,52,54,101,45,51,55,32,56,46,56,49,54,50,57,101,45,51,55,32,
      49,46,49,55,51,56,53,101,45,51,54,32,49,46,55,51,54,50,52,101,45,51,54,32,50,
      46,51,51,49,57,53,101,45,51,54,32,50,46,55,53,50,56,52,101,45,51,54,32,51,46,
      49,57,49,52,52,101,45,51,54,10,32,32,51,46,54,55,49,48,57,101,45,51,54,32,51,
      46,57,52,57,53,50,101,45,51,54,32,52,46,48,55,49,56,55,101,45,51,54,32,52,46,
      48,49,55,50,49,101,45,51,54,32,51,46,55,55,56,48,49,101,45,51,54,32,51,46,52,
      53,49,57,50,101,45,51,54,32,51,46,48,53,52,56,54,101,45,51,54,10,32,32,50,46,
      54,50,51,52,52,101,45,51,54,32,50,46,49,50,57,53,51,101,45,51,54,32,49,46,54,
      49,53,57,56,101,45,51,54,32,49,46,49,51,51,55,56,101,45,51,54,32,55,46,57,49,
      56,53,52,101,45,51,55,32,53,46,48,57,57,49,51,101,45,51,55,32,51,46,51,49,52,
      51,101,45,51,55,10,32,32,50,46,48,56,57,48,50,101,45,51,55,32,49,46,50,48,57,
      51,55,101,45,51,55,32,54,46,52,56,56,50,56,101,45,51,56,32,51,46,57,49,52,51,
      54,101,45,51,56,32,50,46,49,50,55,57,54,101,45,51,56,32,48,114,49,57,48,32,
      50,46,50,51,50,57,51,101,45,51,56,32,50,46,54,48,55,52,57,101,45,51,56,10,32,
      32,51,46,54,55,56,50,52,101,45,51,56,32,53,46,54,57,52,57,49,101,45,51,56,32,
      56,46,52,48,51,53,55,101,45,51,56,32,49,46,51,48,50,56,54,101,45,51,55,32,49,
      46,56,55,53,50,49,101,45,51,55,32,50,46,57,49,48,56,101,45,51,55,32,51,46,57,
      49,55,53,51,101,45,51,55,10,32,32,53,46,56,56,53,48,54,101,45,51,55,32,56,46,
      48,49,55,52,101,45,51,55,32,57,46,53,53,54,54,50,101,45,51,55,32,49,46,49,49,
      57,54,57,101,45,51,54,32,49,46,51,48,53,54,55,101,45,51,54,32,49,46,52,50,49,
      48,57,101,45,51,54,32,49,46,52,56,49,55,55,101,45,51,54,10,32,32,49,46,52,56,
      48,51,56,101,45,51,54,32,49,46,52,48,57,51,55,101,45,51,54,32,49,46,51,48,49,
      50,54,101,45,51,54,32,49,46,49,54,51,52,50,101,45,51,54,32,49,46,48,48,57,49,
      54,101,45,51,54,32,56,46,50,56,51,56,49,101,45,51,55,32,54,46,51,54,51,55,101,
      45,51,55,10,32,32,52,46,53,50,52,51,55,101,45,51,55,32,51,46,49,57,54,55,55,
      101,45,51,55,32,50,46,48,56,52,53,49,101,45,51,55,32,49,46,51,54,57,56,49,101,
      45,51,55,32,56,46,55,50,54,53,56,101,45,51,56,32,53,46,49,49,48,53,52,101,45,
      51,56,32,50,46,55,55,52,56,101,45,51,56,10,32,32,48,114,49,57,54,32,50,46,53,
      51,48,48,54,101,45,51,56,32,51,46,57,54,57,52,55,101,45,51,56,32,53,46,55,56,
      56,51,50,101,45,51,56,32,57,46,48,56,54,57,53,101,45,51,56,32,49,46,50,51,52,
      53,56,101,45,51,55,32,49,46,56,56,52,57,51,101,45,51,55,32,50,46,54,48,54,49,
      55,101,45,51,55,10,32,32,51,46,49,51,56,101,45,51,55,32,51,46,55,49,55,49,57,
      101,45,51,55,32,52,46,51,57,54,54,55,101,45,51,55,32,52,46,56,52,51,52,49,101,
      45,51,55,32,53,46,49,48,57,57,51,101,45,51,55,32,53,46,49,55,50,52,51,101,45,
      51,55,32,52,46,57,56,55,53,53,101,45,51,55,10,32,32,52,46,54,53,53,51,57,101,
      45,51,55,32,52,46,50,48,54,56,56,101,45,51,55,32,51,46,54,56,55,51,57,101,45,
      51,55,32,51,46,48,54,50,51,55,101,45,51,55,32,50,46,51,56,50,56,55,101,45,51,
      55,32,49,46,55,49,55,55,55,101,45,51,55,32,49,46,50,50,56,53,51,101,45,51,55,
      10,32,32,56,46,49,49,54,53,53,101,45,51,56,32,53,46,51,57,53,50,53,101,45,51,
      56,32,51,46,52,55,53,55,55,101,45,51,56,32,50,46,48,54,48,50,52,101,45,51,56,
      32,48,114,52,50,55,57,10,0};
    const char * textdata = (const char*)(&rawdata[0]);
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("LiquidWaterH2O_T293.6K.ncmat",textdata);
  }
  {
    // File Lu2O3_sg206_LutetiumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lutetium oxide (Lu2O3, cubic, SG-206 / Ia-3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2760K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structure and thermal expansion of Lu2O3 and Yb2O3\n"
      "#     up to the melting points\"\n"
      "#    Pavlik, III, Alfred J., et al. (2017)\n"
      "#    DOI: https://dx.doi.org/10.1016/j.jnucmat.2017.08.031\n"
      "#    Crystallography Open Database entry 1548517\n"
      "#    https://www.crystallography.net/cod/1548517.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1427\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Lu2O3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1427.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.4786\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Lu 1/4 1/4 1/4\n"
      "  Lu 3/4 1/4 1/4\n"
      "  Lu 1/4 3/4 1/4\n"
      "  Lu 1/4 1/4 3/4\n"
      "  Lu 3/4 3/4 1/4\n"
      "  Lu 1/4 3/4 3/4\n"
      "  Lu 3/4 1/4 3/4\n"
      "  Lu 3/4 3/4 3/4\n"
      "  Lu .9675 0 1/4\n"
      "  Lu 1/4 .9675 0\n"
      "  Lu 0 1/4 .9675\n"
      "  Lu .4675 0 1/4\n"
      "  Lu 1/4 .4675 0\n"
      "  Lu 0 1/4 .4675\n"
      "  Lu 3/4 .4675 1/2\n"
      "  Lu 1/2 3/4 .4675\n"
      "  Lu 1/2 1/4 .0325\n"
      "  Lu .0325 1/2 1/4\n"
      "  Lu 1/4 .0325 1/2\n"
      "  Lu .4675 1/2 3/4\n"
      "  Lu .0325 0 3/4\n"
      "  Lu 3/4 .0325 0\n"
      "  Lu 0 3/4 .0325\n"
      "  Lu .5325 0 3/4\n"
      "  Lu 3/4 .5325 0\n"
      "  Lu 0 3/4 .5325\n"
      "  Lu 1/4 .5325 1/2\n"
      "  Lu 1/2 1/4 .5325\n"
      "  Lu 1/2 3/4 .9675\n"
      "  Lu .9675 1/2 3/4\n"
      "  Lu 3/4 .9675 1/2\n"
      "  Lu .5325 1/2 1/4\n"
      "  O .391 .152 .382\n"
      "  O .382 .391 .152\n"
      "  O .152 .382 .391\n"
      "  O .891 .152 .118\n"
      "  O .118 .891 .152\n"
      "  O .152 .118 .891\n"
      "  O .618 .891 .348\n"
      "  O .348 .618 .891\n"
      "  O .652 .118 .609\n"
      "  O .609 .652 .118\n"
      "  O .118 .609 .652\n"
      "  O .891 .348 .618\n"
      "  O .609 .848 .618\n"
      "  O .618 .609 .848\n"
      "  O .848 .618 .609\n"
      "  O .109 .848 .882\n"
      "  O .882 .109 .848\n"
      "  O .848 .882 .109\n"
      "  O .382 .109 .652\n"
      "  O .652 .382 .109\n"
      "  O .348 .882 .391\n"
      "  O .391 .348 .882\n"
      "  O .882 .391 .348\n"
      "  O .109 .652 .382\n"
      "  O .891 .652 .882\n"
      "  O .882 .891 .652\n"
      "  O .652 .882 .891\n"
      "  O .391 .652 .618\n"
      "  O .618 .391 .652\n"
      "  O .652 .618 .391\n"
      "  O .118 .391 .848\n"
      "  O .848 .118 .391\n"
      "  O .152 .618 .109\n"
      "  O .109 .152 .618\n"
      "  O .618 .109 .152\n"
      "  O .391 .848 .118\n"
      "  O .109 .348 .118\n"
      "  O .118 .109 .348\n"
      "  O .348 .118 .109\n"
      "  O .609 .348 .382\n"
      "  O .382 .609 .348\n"
      "  O .348 .382 .609\n"
      "  O .882 .609 .152\n"
      "  O .152 .882 .609\n"
      "  O .848 .382 .891\n"
      "  O .891 .848 .382\n"
      "  O .382 .891 .848\n"
      "  O .609 .152 .882\n"
      "@DYNINFO\n"
      "  element  Lu\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00849971 .0799973\n"
      "  vdos_density .166029 .241928 .359983 .532311 .759209 .765242 .805373 1 .970392\n"
      "    .823676 .770036 .75381 .852852 .92411 .921268 .799363 .72559 .56788 .447167\n"
      "    .540902 .509289 .506863 .473049 .419339 .359696 .393592 .422746 .467759\n"
      "    .512615 .552733 .631193 .710314 .709943 .521977 .468192 .367064 .179379\n"
      "    .0650318 .0121063 .000397864 1.50801e-06 6.21949e-10 0r7 2.3671e-13\n"
      "    6.33931e-10 2.97604e-07 2.58165e-05 .000515022 .00377593 .0134468 .0234379\n"
      "    .0207451 .0165864 .0182878 .0192136 .0197603 .0245379 .0280562 .026327\n"
      "    .0232397 .0221862 .0221391 .0227541 .0226119 .021358 .0173062 .0159264\n"
      "    .0190855 .0202176 .0175346 .0148971 .0144635 .0146238 .0161479 .0177126\n"
      "    .0166748 .0160013 .0161167 .0161446 .0161474 .0159609 .0165458 .0171147\n"
      "    .0158968 .0120368 .00737111 .0034036 .00186168 .00280636 .00480185 .00661435\n"
      "    .00680013 .00516841 .00380331 .00372567 .00406278 .00505628 .00645965\n"
      "    .00705332 .00640646 .00529454 .00474488 .00535017 .00649088 .00673878\n"
      "    .00582133 .00509633 .00530949 .00562051 .00523481 .00439746 .00351743\n"
      "    .00273225 .00216312 .00186274 .00190451 .0026359 .00419056 .00553619\n"
      "    .00553338 .00492713 .00433914 .00328874 .00263823 .00333324 .00484608\n"
      "    .00621798 .0068434 .00674148 .00680397 .00750787 .00770101 .0064308 .0042653\n"
      "    .00219037 .000804563 .000190108 2.62085e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00849971 .0799973\n"
      "  vdos_density .0218186 .0290861 .038291 .0472946 .0643508 .0608902 .0594266\n"
      "    .0662231 .0574936 .0473839 .0421981 .0366998 .0340925 .0334077 .0313797\n"
      "    .0281659 .0262975 .0207359 .018718 .0237329 .0225667 .023129 .0214033\n"
      "    .0195867 .0173141 .0191712 .0204331 .0216958 .0236521 .0246286 .0247103\n"
      "    .0250428 .0245646 .0174557 .0143972 .00933941 .00296675 .00055904\n"
      "    7.73084e-05 2.41711e-06 9.1076e-09 3.75625e-12 0r7 3.14583e-12 8.42658e-09\n"
      "    3.95931e-06 .000344916 .00699185 .0528621 .195374 .357943 .351452 .355334\n"
      "    .515847 .635535 .673177 .794236 .885051 .860201 .804578 .77023 .760737\n"
      "    .802316 .837661 .808882 .64281 .604762 .791013 .910909 .858061 .794989\n"
      "    .825668 .856882 .93409 .980631 .836346 .743032 .754371 .800957 .884593\n"
      "    .953696 1 .989705 .906993 .687245 .41644 .189789 .0980058 .141745 .252772\n"
      "    .379835 .41436 .302632 .194223 .199333 .29926 .49131 .700888 .794408 .719653\n"
      "    .557491 .445261 .500834 .687711 .775724 .6061 .358638 .251317 .239034\n"
      "    .217008 .181001 .149175 .120823 .0979152 .0872491 .097791 .152852 .26153\n"
      "    .360325 .397863 .449393 .494153 .424817 .381389 .475839 .589618 .63159\n"
      "    .607831 .540361 .48039 .459201 .416427 .311547 .187129 .0889728 .0310537\n"
      "    .00711399 .000963652\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Lu2O3_sg206_LutetiumOxide.ncmat",textdata);
  }
  {
    // File Lu2SiO5_sg15.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# DilutetiumSiliconPentaoxide (Lu2SiO5, monoclinic, SG-15 / C2/c)\n"
      "#\n"
      "# Crystal structure taken from: Gustafsson, T., Klintenberg, M., Derenzo, S. E.,\n"
      "# Weber, M. J., Thomas, J. O., Acta Crystallographica Section C, vol. 57,\n"
      "# p. 668-669, 2001. https://www.crystallography.net/cod/2012009.html\n"
      "# DOI: https://dx.doi.org/10.1107/S0108270101005352\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.materialsproject.org/materials/mp-16969\n"
      "#   https://www.crystallography.net/cod/2300211.html\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for SiLu2O5 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d016/mp-16969.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.3]\n"
      "#\n"
      "@CELL\n"
      "  lengths 14.2774 6.6398 10.2465\n"
      "  angles 90 122.224 90\n"
      "@SPACEGROUP\n"
      "  15\n"
      "@ATOMPOSITIONS\n"
      "  Lu .03734 .25593 .96705\n"
      "  Lu .96266 .74407 .03295\n"
      "  Lu .96266 .25593 .53295\n"
      "  Lu .03734 .74407 .46705\n"
      "  Lu .14093 .37735 .33638\n"
      "  Lu .85907 .62265 .66362\n"
      "  Lu .85907 .37735 .16362\n"
      "  Lu .14093 .62265 .83638\n"
      "  Si .81792 .09171 .69311\n"
      "  Si .18208 .90829 .30689\n"
      "  Si .68208 .59171 .80689\n"
      "  Si .31792 .40829 .19311\n"
      "  O .91117 .00618 .86201\n"
      "  O .08883 .99382 .13799\n"
      "  O .58883 .50618 .63799\n"
      "  O .41117 .49382 .36201\n"
      "  O .88016 .28834 .67623\n"
      "  O .11984 .71166 .32377\n"
      "  O .11984 .28834 .82377\n"
      "  O .88016 .71166 .17623\n"
      "  O .7023 .14896 .67684\n"
      "  O .2977 .85104 .32316\n"
      "  O .7977 .64896 .82316\n"
      "  O .2023 .35104 .17684\n"
      "  O .79842 .9289 .56298\n"
      "  O .20158 .0711 .43702\n"
      "  O .20158 .9289 .93702\n"
      "  O .79842 .0711 .06298\n"
      "  O .01773 .4034 .3975\n"
      "  O .98227 .5966 .6025\n"
      "  O .98227 .4034 .1025\n"
      "  O .01773 .5966 .8975\n"
      "  Lu .53734 .75593 .96705\n"
      "  Lu .46266 .24407 .03295\n"
      "  Lu .46266 .75593 .53295\n"
      "  Lu .53734 .24407 .46705\n"
      "  Lu .64093 .87735 .33638\n"
      "  Lu .35907 .12265 .66362\n"
      "  Lu .35907 .87735 .16362\n"
      "  Lu .64093 .12265 .83638\n"
      "  Si .31792 .59171 .69311\n"
      "  Si .68208 .40829 .30689\n"
      "  Si .18208 .09171 .80689\n"
      "  Si .81792 .90829 .19311\n"
      "  O .41117 .50618 .86201\n"
      "  O .58883 .49382 .13799\n"
      "  O .08883 .00618 .63799\n"
      "  O .91117 .99382 .36201\n"
      "  O .38016 .78834 .67623\n"
      "  O .61984 .21166 .32377\n"
      "  O .61984 .78834 .82377\n"
      "  O .38016 .21166 .17623\n"
      "  O .2023 .64896 .67684\n"
      "  O .7977 .35104 .32316\n"
      "  O .2977 .14896 .82316\n"
      "  O .7023 .85104 .17684\n"
      "  O .29842 .4289 .56298\n"
      "  O .70158 .5711 .43702\n"
      "  O .70158 .4289 .93702\n"
      "  O .29842 .5711 .06298\n"
      "  O .51773 .9034 .3975\n"
      "  O .48227 .0966 .6025\n"
      "  O .48227 .9034 .1025\n"
      "  O .51773 .0966 .8975\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .130496\n"
      "  vdos_density .0549219 .0666549 .0828529 .0892094 .09604 .103016 .0989833\n"
      "    .0862021 .0872576 .114326 .126924 .125202 .0925294 .11878 .167851 .178185\n"
      "    .212751 .223667 .254172 .27331 .262488 .185767 .148322 .22111 .161022\n"
      "    .179298 .227659 .276253 .203164 .212893 .259722 .373564 .39931 .525843\n"
      "    .511151 .532944 .479392 .403383 .115814 .00962705 .0134694 .0983626 .221876\n"
      "    .341414 .401512 .476406 .511033 .575654 .447258 .38615 .394457 .383241\n"
      "    .332506 .15252 .151172 .229538 .299378 .37255 .35662 .356217 .310241 .316158\n"
      "    .221911 .186285 .157744 .109703 .112485 .117954 .0967874 .0788418 .0447738\n"
      "    .00909019 .000245483 .000833275 .0281468 .225485 .630827 .823518 .954175\n"
      "    .762106 .931413 1 .671266 .483566 .516385 .430306 .298095 .138849 .0581475\n"
      "    .0522118 .0557533 .0553383 .0452537 .0285394 .0166908 .0194633 .0345906\n"
      "    .0524066 .0366492 .0101397 .000797881 1.3809e-05 4.85799e-08 0r27\n"
      "    2.16403e-09 6.80389e-07 7.53564e-05 .0029568 .0416376 .217985 .465436\n"
      "    .510451 .471362 .558638 .70402 .810412 .805807 .701685 .643505 .615222\n"
      "    .55012 .433639 .368491 .529277 .829538 .971734 .930216 .850171 .761414\n"
      "    .658829 .591861 .500951 .355211 .231332 .16151 .122597 .0956323 .0742476\n"
      "    .0543538 .0340195 .016132 .00515723 .00100862\n"
      "@DYNINFO\n"
      "  element  Lu\n"
      "  fraction 2/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .130496\n"
      "  vdos_density .171798 .236729 .336655 .408582 .484818 .616584 .776277 .831984\n"
      "    .812006 .901085 1 .948456 .641665 .556014 .731608 .663425 .633193 .604734\n"
      "    .521568 .474851 .433576 .316704 .345976 .551261 .403216 .361668 .221035\n"
      "    .114753 .0931796 .119449 .107804 .110979 .089353 .10239 .0735696 .0707438\n"
      "    .0625718 .0582995 .0196771 .00177479 .00279319 .0185986 .0308029 .0419326\n"
      "    .0429924 .0479585 .0439165 .0403984 .0267506 .0202616 .020294 .0207533\n"
      "    .0185474 .00970694 .0100664 .0144902 .0149249 .0134183 .0113299 .0126588\n"
      "    .0119219 .0130849 .0103962 .0100565 .00929985 .0055613 .004761 .0046901\n"
      "    .00308301 .00191138 .000956032 .00018711 4.98662e-06 5.78187e-06 .000201054\n"
      "    .00175138 .00524167 .00725567 .00843142 .00706698 .00900338 .0100181\n"
      "    .00738853 .00575382 .00642403 .0064743 .00580213 .00375095 .00264148\n"
      "    .00340762 .00434473 .00543351 .00580309 .00472541 .00309322 .0030205\n"
      "    .00397024 .00465139 .00287921 .000750332 5.79462e-05 9.98815e-07 3.51049e-09\n"
      "    0r27 4.35723e-12 1.37358e-09 1.52809e-07 6.06756e-06 8.81541e-05 .000498168\n"
      "    .00124082 .00163399 .00137179 .000910363 .000653206 .000611328 .000577267\n"
      "    .000413737 .000235861 .000158284 .000138249 .000113456 9.51252e-05\n"
      "    .000126476 .000200319 .000271782 .000333236 .000386902 .000400622 .00037407\n"
      "    .000353728 .000305483 .000214686 .000140303 .000103317 8.44809e-05\n"
      "    7.06678e-05 5.83118e-05 4.48445e-05 2.91201e-05 1.41641e-05 4.60463e-06\n"
      "    9.10272e-07\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 5/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .130496\n"
      "  vdos_density .0474277 .061064 .0808605 .0916078 .105655 .128743 .143679\n"
      "    .143201 .125456 .150525 .158252 .146979 .109515 .123319 .174113 .171565\n"
      "    .197569 .243824 .303854 .357602 .376174 .288281 .241259 .359488 .255469\n"
      "    .347881 .434243 .562966 .523045 .785248 .698965 .671302 .513909 .613415\n"
      "    .525098 .558019 .533089 .471857 .14846 .0130367 .0250929 .18764 .380744\n"
      "    .459084 .500835 .57032 .581255 .625853 .456952 .400381 .463811 .516236\n"
      "    .47368 .321363 .444745 .728626 .735567 .690068 .663127 .842038 .906389 1\n"
      "    .767154 .751327 .734275 .408068 .315299 .305704 .230984 .165322 .0833633\n"
      "    .0160149 .000426104 .000620368 .0212494 .177159 .501932 .637385 .72473\n"
      "    .602668 .775297 .871812 .639692 .488792 .535201 .494546 .401384 .245114\n"
      "    .160877 .192685 .232855 .281937 .291589 .227223 .148347 .180162 .332743\n"
      "    .495897 .330616 .0876712 .00679633 .000117236 4.12116e-07 0r27 2.94505e-09\n"
      "    9.27739e-07 .000103085 .00408005 .0587814 .325455 .777522 .962437 .767938\n"
      "    .523306 .410168 .391078 .368654 .299474 .247988 .227878 .204588 .161188\n"
      "    .133067 .1837 .283763 .332355 .322044 .299341 .270504 .233686 .208647\n"
      "    .175635 .123697 .0797623 .0551024 .0414642 .0321109 .0247719 .0180362\n"
      "    .0112399 .00531313 .00169488 .000330998\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Lu2SiO5_sg15.ncmat",textdata);
  }
  {
    // File Mg2SiO4_sg62_MagnesiumSilicate.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Magnesium silicate (Mg2SiO4, orthorombic, SG-62 / Pnma)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2163K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Rietveld refinement of site-occupancy parameters of Mg2-xMnxSiO4\n"
      "#     using a new weight function in least-squares fitting  Note: e = 1\"\n"
      "#    Yamazaki, S. and Toraya, H. (1999)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0021889898010206\n"
      "#    Crystallography Open Database entry 9015658\n"
      "#    https://www.crystallography.net/cod/9015658.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-2895\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Mg2SiO4 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2895.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.2]\n"
      "#\n"
      "@CELL\n"
      "  lengths 10.20141 5.98348 4.75534\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  62\n"
      "@ATOMPOSITIONS\n"
      "  Mg   0   0   0\n"
      "  Mg   0 1/2   0\n"
      "  Mg 1/2 1/2 1/2\n"
      "  Mg 1/2   0 1/2\n"
      "  Mg .2772 1/4 .9914\n"
      "  Mg .7228 3/4 .0086\n"
      "  Mg .2228 3/4 .4914\n"
      "  Mg .7772 1/4 .5086\n"
      "  Si .0937 1/4 .426\n"
      "  Si .9063 3/4 .574\n"
      "  Si .4063 3/4 .926\n"
      "  Si .5937 1/4 .074\n"
      "  O .0909 1/4 .7627\n"
      "  O .9091 3/4 .2373\n"
      "  O .4091 3/4 .2627\n"
      "  O .5909 1/4 .7373\n"
      "  O .4494 1/4 .2204\n"
      "  O .5506 3/4 .7796\n"
      "  O .0506 3/4 .7204\n"
      "  O .9494 1/4 .2796\n"
      "  O .1615 .0366 .2782\n"
      "  O .1615 .4634 .2782\n"
      "  O .8385 .5366 .7218\n"
      "  O .3385 .5366 .7782\n"
      "  O .6615 .4634 .2218\n"
      "  O .6615 .0366 .2218\n"
      "  O .3385 .9634 .7782\n"
      "  O .8385 .9634 .7218\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 2/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0149995 .127496\n"
      "  vdos_density .0945142 .140377 .141312 .181328 .213828 .319139 .37516 .485339\n"
      "    .459209 .47028 .430358 .523541 .477341 .349588 .371792 .441605 .423511\n"
      "    .430179 .395971 .436791 .413022 .455659 .630397 .684092 .743952 .740644\n"
      "    .964095 1 .771568 .776855 .80944 .747994 .716087 .6548 .440862 .443696\n"
      "    .38723 .511594 .603946 .589627 .578382 .552656 .585208 .537847 .372639\n"
      "    .273174 .186864 .217177 .473359 .470974 .431806 .401247 .303118 .243562\n"
      "    .212463 .180037 .186961 .155778 .176552 .227288 .245639 .18585 .154204\n"
      "    .173666 .163436 .089587 .0358176 .0711979 .140264 .109167 .0774283 .0756618\n"
      "    .0721939 .0586301 .0504854 .0621193 .0649865 .0598041 .0697179 .0658618\n"
      "    .053969 .0376083 .0182064 .0044114 .000319012 4.95696e-06 1.50554e-08 0r19\n"
      "    4.92473e-14 3.21572e-11 7.06441e-09 6.069e-07 2.27174e-05 .000374348\n"
      "    .00272495 .00943944 .0164474 .0150143 .00826341 .00573731 .00783731\n"
      "    .00874447 .00807542 .00803918 .00714547 .00484945 .00348405 .00396587\n"
      "    .00558795 .00736843 .00832173 .00804399 .0073493 .00701779 .00679604\n"
      "    .0059723 .00403367 .00196508 .00145068 .00223136 .00321608 .00413187\n"
      "    .00491762 .00509263 .00407427 .00270752 .00195009 .00164527 .00146954\n"
      "    .00127471 .000930649 .00047108 .000143255\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 4/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0149995 .127496\n"
      "  vdos_density .0847858 .124065 .123086 .153291 .167647 .231561 .258026 .303669\n"
      "    .308291 .360996 .336069 .387161 .389135 .312243 .308474 .35021 .316382\n"
      "    .32736 .325633 .378188 .316582 .347716 .464751 .480088 .413463 .38336\n"
      "    .529847 .557591 .41293 .413778 .408651 .455129 .447202 .466869 .34232\n"
      "    .427923 .493655 .628205 .680087 .671295 .62903 .6066 .619722 .538432 .330654\n"
      "    .195094 .120767 .171184 .411864 .464331 .524264 .522905 .43807 .413409\n"
      "    .479585 .611199 .712563 .545568 .521978 .621245 .723266 .639632 .589939\n"
      "    .592966 .514995 .283063 .121317 .21406 .404247 .388884 .382137 .449272\n"
      "    .444059 .363585 .345614 .436636 .429738 .339115 .349337 .306457 .230862\n"
      "    .150426 .070645 .0170204 .00123002 1.91109e-05 5.80427e-08 0r19 1.57008e-11\n"
      "    9.57378e-09 1.87249e-06 .000125522 .0032536 .037944 .216859 .63618 1 .862736\n"
      "    .460408 .331285 .45102 .4663 .365874 .312308 .271814 .192359 .143414 .155392\n"
      "    .199225 .240595 .249949 .221559 .185043 .163386 .150126 .129272 .0933575\n"
      "    .0769662 .120676 .185514 .220651 .231981 .233005 .21866 .173633 .12051\n"
      "    .089515 .0755728 .0667168 .0570854 .0408028 .0201065 .00596007\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0149995 .127496\n"
      "  vdos_density .164479 .238938 .238181 .294118 .31663 .412563 .475085 .558156\n"
      "    .583545 .716656 .679581 .785927 .803981 .584351 .507428 .570316 .513856\n"
      "    .475438 .443726 .460117 .352292 .331678 .495175 .491475 .408991 .314889\n"
      "    .410733 .463335 .38956 .390727 .366239 .351879 .380219 .437326 .271664\n"
      "    .215191 .166652 .186408 .173001 .130715 .113691 .114454 .124959 .120094\n"
      "    .0987694 .0756215 .0512283 .0641768 .159927 .160847 .122833 .122744 .142739\n"
      "    .169272 .19031 .235129 .245146 .193166 .225435 .315182 .420937 .377971\n"
      "    .350921 .381823 .36131 .234892 .108048 .170424 .313845 .278885 .239571\n"
      "    .252578 .227363 .187768 .224686 .339358 .392422 .329762 .333109 .292035\n"
      "    .21426 .131453 .0602942 .0146735 .00106616 1.65851e-05 5.03853e-08 0r19\n"
      "    4.40861e-12 2.68339e-09 5.23168e-07 3.48132e-05 .000893915 .0105462 .0645142\n"
      "    .210161 .353718 .321641 .272013 .510954 .90749 1 .861188 .816771 .752501\n"
      "    .548952 .422388 .47402 .619688 .752965 .782148 .692057 .578073 .512228\n"
      "    .472841 .409373 .298471 .253596 .409664 .639872 .775112 .83215 .852368\n"
      "    .812481 .653354 .459216 .345133 .293928 .261312 .224858 .161316 .0796507\n"
      "    .0236355\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Mg2SiO4_sg62_MagnesiumSilicate.ncmat",textdata);
  }
  {
    // File MgAl2O4_sg227_MAS.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Magnesium aluminate spinel (MgAl2O4, MAS, cubic, SG-227 / Fd-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2408K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structure and lattice vibrations of Mg-Al spinel solid\n"
      "#    solution. Sample: Stoichiometric MgO.Al2O3\"\n"
      "#    Ishii, M., et al. (1982)\n"
      "#    DOI: https://dx.doi.org/10.1007/BF00309015\n"
      "#    Crystallography Open Database entry 9005767\n"
      "#    https://www.crystallography.net/cod/9005767.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/5000120.html\n"
      "#   https://www.materialsproject.org/materials/mp-3536\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for MgAl2O4 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d003/mp-3536.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 8.0806\n"
      "@SPACEGROUP\n"
      "  227\n"
      "@ATOMPOSITIONS\n"
      "  Mg 0 0 0\n"
      "  Mg 0 1/2 1/2\n"
      "  Mg 1/2 0 1/2\n"
      "  Mg 1/2 1/2 0\n"
      "  Mg 3/4 3/4 1/4\n"
      "  Mg 3/4 1/4 3/4\n"
      "  Mg 1/4 3/4 3/4\n"
      "  Mg 1/4 1/4 1/4\n"
      "  Al 5/8 5/8 5/8\n"
      "  Al 5/8 1/8 1/8\n"
      "  Al 1/8 5/8 1/8\n"
      "  Al 1/8 1/8 5/8\n"
      "  Al 3/8 1/8 7/8\n"
      "  Al 3/8 5/8 3/8\n"
      "  Al 7/8 1/8 3/8\n"
      "  Al 7/8 5/8 7/8\n"
      "  Al 1/8 3/8 7/8\n"
      "  Al 1/8 7/8 3/8\n"
      "  Al 5/8 3/8 3/8\n"
      "  Al 5/8 7/8 7/8\n"
      "  Al 3/8 7/8 1/8\n"
      "  Al 3/8 3/8 5/8\n"
      "  Al 7/8 7/8 5/8\n"
      "  Al 7/8 3/8 1/8\n"
      "  O .3873 .3873 .3873\n"
      "  O .3873 .8873 .8873\n"
      "  O .8873 .3873 .8873\n"
      "  O .8873 .8873 .3873\n"
      "  O .1373 .3627 .6373\n"
      "  O .1373 .8627 .1373\n"
      "  O .6373 .3627 .1373\n"
      "  O .6373 .8627 .6373\n"
      "  O .6127 .8873 .1127\n"
      "  O .6127 .3873 .6127\n"
      "  O .1127 .8873 .6127\n"
      "  O .1127 .3873 .1127\n"
      "  O .8873 .6127 .1127\n"
      "  O .8873 .1127 .6127\n"
      "  O .3873 .6127 .6127\n"
      "  O .3873 .1127 .1127\n"
      "  O .3627 .1373 .6373\n"
      "  O .3627 .6373 .1373\n"
      "  O .8627 .1373 .1373\n"
      "  O .8627 .6373 .6373\n"
      "  O .8627 .3627 .3627\n"
      "  O .8627 .8627 .8627\n"
      "  O .3627 .3627 .8627\n"
      "  O .3627 .8627 .3627\n"
      "  O .1373 .6373 .3627\n"
      "  O .1373 .1373 .8627\n"
      "  O .6373 .6373 .8627\n"
      "  O .6373 .1373 .3627\n"
      "  O .6127 .1127 .8873\n"
      "  O .6127 .6127 .3873\n"
      "  O .1127 .1127 .3873\n"
      "  O .1127 .6127 .8873\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0134995 .0979966\n"
      "  vdos_density .0553881 .0714319 .0717923 .100938 .114237 .117097 .0988535\n"
      "    .115213 .107124 .106863 .116223 .101809 .115116 .115564 .110819 .113813\n"
      "    .112489 .112795 .138892 .226769 .410325 .418039 .390482 .378595 .41976\n"
      "    .571447 .661178 .564542 .31187 .167437 .152023 .163495 .190226 .2418 .275125\n"
      "    .283373 .288929 .307892 .373868 .424874 .50631 .596245 .578742 .510127\n"
      "    .550196 .654189 .629497 .581952 .537208 .600608 .833622 1 .916839 .849668\n"
      "    .799587 .678979 .548657 .471543 .46962 .538462 .607153 .552321 .403815\n"
      "    .300096 .288305 .309575 .322519 .336724 .317746 .241581 .173735 .189484\n"
      "    .259207 .296595 .294771 .282645 .269639 .271193 .307589 .368175 .38714\n"
      "    .320833 .24282 .180439 .121933 .086823 .0770998 .0805193 .0868818 .0983452\n"
      "    .126162 .180842 .264451 .33536 .307025 .180785 .0810905 .0521432 .0552714\n"
      "    .0684017 .0915222 .12279 .143874 .141967 .125748 .110573 .105563 .10463\n"
      "    .0997518 .101721 .117475 .137896 .160363 .187928 .22594 .263541 .254597\n"
      "    .18958 .125365 .0970059 .0926203 .0964878 .103523 .112903 .124201 .134228\n"
      "    .138559 .140257 .150849 .184298 .24628 .319285 .362184 .331857 .239561\n"
      "    .147468 .0920575 .0632692 .0450799 .0346136 .0329564 .0362489 .0373629\n"
      "    .0339235 .0291016 .0239905 .0166214 .00820869 .00257651 .000479 5.24299e-05\n"
      "    2.23369e-05 .000123647 .000524709 .00159309 .00388057 .00876467 .0196471\n"
      "    .0415479 .0775934 .125391 .175238 .205073 .187553 .125115 .0579315 .0179781\n"
      "    .00362998 .000463543 3.64909e-05\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 2/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0134995 .0979966\n"
      "  vdos_density .0538321 .071248 .0689433 .0933803 .106849 .108064 .0918543\n"
      "    .108416 .100858 .102606 .110105 .100405 .111095 .115145 .109395 .117099\n"
      "    .120017 .123812 .139163 .161591 .230948 .228073 .216265 .222657 .280868\n"
      "    .40973 .501091 .464689 .354593 .313213 .315033 .305173 .28745 .284139 .29554\n"
      "    .301661 .306485 .277662 .294787 .330281 .396742 .487595 .500217 .403045\n"
      "    .353524 .330926 .273999 .231358 .20396 .222059 .311955 .393418 .379415\n"
      "    .346545 .318214 .271938 .227218 .19314 .174805 .171755 .173603 .174145\n"
      "    .173655 .172367 .206224 .246842 .244948 .267086 .333384 .359016 .376197\n"
      "    .445673 .527058 .528998 .491951 .476392 .498681 .566831 .643283 .671534\n"
      "    .614266 .481794 .370868 .313477 .275448 .238137 .216427 .22308 .249398\n"
      "    .309262 .430992 .623805 .861387 1 .843936 .480067 .236634 .186507 .218118\n"
      "    .27043 .330502 .382297 .385598 .335856 .268384 .212514 .182298 .173511\n"
      "    .174496 .187467 .210899 .227725 .231152 .226921 .227738 .233543 .214176\n"
      "    .164163 .121738 .106428 .108385 .119928 .137656 .15596 .174923 .20032\n"
      "    .225548 .235223 .225508 .199948 .174684 .175346 .210671 .267111 .326909\n"
      "    .374887 .392022 .361165 .296364 .246048 .25157 .294925 .31484 .287194\n"
      "    .240483 .190635 .127443 .0612903 .0188946 .00347258 .000364218 2.56934e-05\n"
      "    2.96868e-05 .000125456 .000398685 .00104002 .00247097 .00548651 .0110018\n"
      "    .0196343 .0317727 .046556 .0578846 .0555944 .0383239 .0181145 .00569339\n"
      "    .00115851 .000148638 1.17338e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 4/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0144995 .0979966\n"
      "  vdos_density .044024 .0597153 .0676571 .0684187 .0578531 .0679656 .0630326\n"
      "    .0636483 .0682322 .0615123 .0680582 .0695872 .0659992 .0694398 .0703513\n"
      "    .0712348 .0790447 .0925629 .132434 .129723 .121305 .119676 .13932 .194767\n"
      "    .232066 .207148 .137787 .101683 .0969751 .0942683 .0920968 .0961711 .101776\n"
      "    .101992 .101684 .0981232 .107189 .116892 .133347 .152235 .14841 .125986\n"
      "    .121849 .128149 .116218 .10561 .0964306 .104376 .143078 .176541 .17101\n"
      "    .162656 .162862 .173517 .208741 .245909 .279872 .332349 .383323 .378202\n"
      "    .333608 .321495 .384339 .471977 .505124 .503399 .489426 .440866 .384948\n"
      "    .416825 .50398 .53529 .507081 .454731 .449123 .525652 .5933 .555706 .44367\n"
      "    .319592 .238165 .228089 .255095 .261202 .256071 .271118 .300455 .328461\n"
      "    .363168 .435322 .552387 .62689 .536383 .334758 .218558 .222556 .270432\n"
      "    .317893 .355394 .376523 .35558 .302377 .259963 .248614 .26424 .285679\n"
      "    .295468 .307201 .331113 .348348 .350382 .355972 .38112 .411687 .396381\n"
      "    .322556 .249761 .21907 .223482 .253104 .303922 .365208 .425883 .472037\n"
      "    .488113 .485844 .495179 .538486 .645767 .822659 .986971 1 .845716 .655186\n"
      "    .513095 .40101 .306615 .259962 .284695 .348554 .382116 .359076 .309999\n"
      "    .250779 .169115 .0815315 .0251385 .00462189 .000539407 .000510783 .00251249\n"
      "    .00832707 .0194738 .037894 .0719704 .134771 .22954 .342557 .452193 .536415\n"
      "    .558407 .473087 .299928 .13388 .0404106 .00799125 .00100547 7.83744e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgAl2O4_sg227_MAS.ncmat",textdata);
  }
  {
    // File MgCO3_sg167_MagnesiumCarbonate.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Magnesium carbonate (MgCO3, trigonal, SG-167 / R-3c)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 623K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Electron density and optical anisotropy in rhombohedral carbonates.\n"
      "#     III. Synchrotron X-ray studies of CaCO3, MgCO3 and MnCO3\"\n"
      "#    Maslen, E. N., et al. (1995)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108768195006434\n"
      "#    Crystallography Open Database entry 9007692\n"
      "#    https://www.crystallography.net/cod/9007692.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-5348\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for MgCO3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d005/mp-5348.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.632 !! 15.002\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  167\n"
      "@ATOMPOSITIONS\n"
      "  Mg   0   0   0\n"
      "  Mg 2/3 1/3 1/3\n"
      "  Mg 1/3 2/3 2/3\n"
      "  Mg   0   0 1/2\n"
      "  Mg 2/3 1/3 5/6\n"
      "  Mg 1/3 2/3 1/6\n"
      "  C   0   0 1/4\n"
      "  C 2/3 1/3 7/12\n"
      "  C 1/3 2/3 11/12\n"
      "  C   0   0 3/4\n"
      "  C 2/3 1/3 1/12\n"
      "  C 1/3 2/3 5/12\n"
      "  O .27748 0 1/4\n"
      "  O .9441466666666667 1/3 7/12\n"
      "  O .6108133333333333 2/3 11/12\n"
      "  O .27748 .27748 3/4\n"
      "  O .9441466666666667 .6108133333333333 1/12\n"
      "  O .6108133333333333 .9441466666666667 5/12\n"
      "  O 0 .27748 1/4\n"
      "  O 2/3 .61081333333333333 7/12\n"
      "  O 1/3 .94414666666666667 11/12\n"
      "  O .72252 0 3/4\n"
      "  O .3891866666666667 1/3 1/12\n"
      "  O .0558533333333333 2/3 5/12\n"
      "  O .72252 .72252 1/4\n"
      "  O .3891866666666667 .0558533333333333 7/12\n"
      "  O .0558533333333333 .3891866666666667 11/12\n"
      "  O 0 .72252 3/4\n"
      "  O 2/3 .0558533333333333 1/12\n"
      "  O 1/3 .3891866666666667 5/12\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0187494 .194993\n"
      "  vdos_density .0442381 .0527263 .0601247 .0678759 .0790402 .0796739 .0820282\n"
      "    .0850758 .0862785 .0865714 .0941974 .0919442 .0749026 .0742148 .0769676\n"
      "    .0644258 .0659064 .0433754 .0414026 .0524339 .0511057 .0611889 .0450306\n"
      "    .029528 .0250346 .0294075 .0280708 .036154 .0451987 .0366063 .0280988\n"
      "    .0347687 .033467 .024218 .0318043 .0513327 .0631593 .0612128 .0735885\n"
      "    .032575 .0153433 .0125316 .0108 .0105559 .0108185 .0105434 .00840696\n"
      "    .00767103 .00589643 .0048667 .002658 .000515438 1.2962e-05 3.00216e-08 0r29\n"
      "    1.54805e-13 3.93314e-10 2.40911e-07 3.58938e-05 .00134375 .0141029 .0534704\n"
      "    .0988782 .130298 .14675 .0904392 .0250401 .00261287 8.20603e-05 6.93546e-07\n"
      "    1.52184e-09 0r6 5.6178e-10 2.57209e-07 3.8946e-05 .00198666 .0355943 .245036\n"
      "    .731112 1 .635259 .233507 .0766159 .0209947 .00313988 .000195654 4.50412e-06\n"
      "    3.6361e-08 0r25 6.44775e-12 8.2867e-10 5.05925e-08 1.4931e-06 2.16458e-05\n"
      "    .00015835 .00060645 .00125842 .00143267 .000883592 .000290202 5.07633e-05\n"
      "    4.82639e-06 2.54744e-07 7.42556e-09 1.01554e-10 8.73638e-13 0r39 3.17474e-10\n"
      "    1.85732e-08 6.66994e-07 1.50401e-05 .000214272 .00194638 .0114337 .0443849\n"
      "    .117602 .222863 .322106 .38441 .410608 .416229 .409784 .389517 .352266\n"
      "    .303808 .25834 .227755 .213609 .208519 .205003 .201472 .199482 .198401\n"
      "    .191588 .168049 .124281 .0730127 .0327121 .0108799 .002637 .000459194\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0179994 .194993\n"
      "  vdos_density .121624 .140168 .159524 .190444 .278217 .337516 .368647 .313124\n"
      "    .306421 .305211 .283405 .324432 .381087 .360467 .362909 .392054 .390907\n"
      "    .485994 .358268 .259504 .255009 .230459 .263751 .259182 .301947 .343039\n"
      "    .495649 .486082 .439578 .360244 .294993 .367727 .567954 .66539 .493651\n"
      "    .506429 .758637 .929913 .892834 1 .526327 .317369 .264444 .220102 .211194\n"
      "    .198755 .149939 .0823512 .0600963 .0424226 .0328175 .0172519 .00328951\n"
      "    8.25442e-05 1.91144e-07 0r29 2.8281e-14 7.19029e-11 4.41249e-08 6.62142e-06\n"
      "    .000254358 .00287866 .0123451 .0239616 .028388 .0274275 .0134968 .00270806\n"
      "    .00022479 6.47128e-06 5.33851e-08 1.16223e-10 0r6 5.89619e-13 2.73895e-10\n"
      "    4.25598e-08 2.32497e-06 4.88258e-05 .000444401 .00186337 .00365952 .00391672\n"
      "    .00302382 .00177635 .00063023 .000103922 6.70845e-06 1.56331e-07 1.26955e-09\n"
      "    0r25 1.64656e-11 2.13074e-09 1.30962e-07 3.91508e-06 5.81022e-05 .000441701\n"
      "    .00178393 .00391948 .00466193 .00292473 .000944268 .00015579 1.33402e-05\n"
      "    6.12533e-07 1.55159e-08 1.66138e-10 1.42924e-12 0r39 5.96315e-13 3.47748e-11\n"
      "    1.2469e-09 2.80512e-08 3.98365e-07 3.60471e-06 2.11045e-05 8.19866e-05\n"
      "    .000220147 .000435019 .000688801 .000958163 .00125353 .00157973 .00189253\n"
      "    .00209352 .00209489 .00191318 .00167098 .00149298 .00141058 .00136537\n"
      "    .00130052 .00121906 .00114595 .00107803 .00097742 .000801727 .00055717\n"
      "    .000311589 .000135185 4.4296e-05 1.07282e-05 1.88446e-06\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0179994 .194993\n"
      "  vdos_density .10173 .123488 .153484 .173856 .196552 .237309 .262224 .249375\n"
      "    .252963 .287938 .299285 .375843 .412573 .420407 .381988 .380342 .349031\n"
      "    .38789 .320177 .302046 .332141 .300858 .314275 .281932 .242509 .227712\n"
      "    .255274 .224779 .249437 .306733 .258524 .240187 .300799 .245596 .157792\n"
      "    .191105 .279305 .34191 .300995 .340725 .153083 .0683782 .0493655 .0380155\n"
      "    .033611 .03055 .0239991 .0143954 .0106283 .00716359 .00525462 .00265682\n"
      "    .000497187 1.24453e-05 2.88125e-08 0r29 1.3192e-12 3.35134e-09 2.05212e-06\n"
      "    .000305391 .0113833 .117803 .432878 .763319 .93758 1 .59403 .159108 .0163128\n"
      "    .000509395 4.29876e-06 9.42812e-09 0r6 9.14786e-11 4.19046e-08 6.35103e-06\n"
      "    .000324805 .00585781 .0408848 .124432 .173607 .112985 .0435869 .0152263\n"
      "    .00432918 .00065749 4.12067e-05 9.50531e-07 7.68103e-09 0r25 3.02271e-09\n"
      "    3.88517e-07 2.37219e-05 .000700198 .0101534 .0742959 .284504 .589367 .667224\n"
      "    .405999 .129715 .0215848 .00189968 9.1109e-05 2.4239e-06 2.86292e-08\n"
      "    2.46289e-10 0r39 6.57921e-11 3.84901e-09 1.38224e-07 3.11681e-06 4.44033e-05\n"
      "    .000403335 .00236915 .0091954 .0243555 .0461239 .0665863 .0793457 .0846529\n"
      "    .0858147 .0846009 .0805571 .0729293 .0629016 .0534805 .0472 .0444228\n"
      "    .0436319 .0432492 .0428877 .0428274 .0429112 .0416854 .0367288 .0272527\n"
      "    .0160491 .00720339 .00239906 .000582069 .000101439\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgCO3_sg167_MagnesiumCarbonate.ncmat",textdata);
  }
  {
    // File MgD2_sg136_MagnesiumDeuteride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# MagnesiumDeuteride (MgD2, tetragonal, SG-136 / P4_2/mnm)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 600K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Neutron Diffraction Study of Magnesium Deuteride\"\n"
      "#    W. H. Zachariasen, et al. (1963)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0365110X63000967\n"
      "#    Crystallography Open Database entry 2310000\n"
      "#    https://www.crystallography.net/cod/2310000.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#    https://www.crystallography.net/cod/4124639.html [with H->D]\n"
      "#    https://www.materialsproject.org/materials/mp-23710 [with H->D]\n"
      "#\n"
      "# Phonon spectrum calculations were performed, by Davide Campi and\n"
      "# Marco Bernasconi from University of Milano-Bicocca, within Density\n"
      "# Functional Perturbation Theory (DFPT) by using the\n"
      "# Perdew-Burke-Ernzerhof (PBE) approximation to the exchange and\n"
      "# correlation energy functional. Ultrasoft pseudopotentials and a\n"
      "# plane wave expansion of Kohn-Sham orbitals up to a kinetic cutoff of\n"
      "# 60 Ry was employed, as implemented in the Quantum-ESPRESSO package.\n"
      "#\n"
      "# In the electronic structure calculations, the Brillouin zone (BZ)\n"
      "# integration was performed over a uniform Gamma-centered 10x10x14\n"
      "# k-point mesh.\n"
      "#\n"
      "# References:\n"
      "#\n"
      "#  [1]: \"Phonons and related crystal properties from\n"
      "#       density-functional perturbation theory\"\n"
      "#       Baroni, S., De Gironcoli, S., Dal Corso, A., Giannozzi, P.\n"
      "#       Reviews of Modern Physics 73, 515-562.\n"
      "#       doi: 10. 1103/RevModPhys.73.515 , arXiv:0012092v1\n"
      "#  [2]: \"QUANTUM ESPRESSO: a modular and open-source software\n"
      "#       project for quantum simulations of materials\"\n"
      "#       Giannozzi, P., Baroni, S., et al.,\n"
      "#       2009. Q. J. Phys.: Condens. Matter 21, 395502.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.5618 !! 3.0205\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  136\n"
      "@ATOMPOSITIONS\n"
      "  D .3051 .3051   0\n"
      "  D .6949 .6949   0\n"
      "  D .8051 .1949 1/2\n"
      "  D .1949 .8051 1/2\n"
      "  Mg   0   0   0\n"
      "  Mg 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0055 .12925\n"
      "  vdos_density .0136187 .0185969 .0235957 .030616 .037432 .0473414 .0585318\n"
      "    .0734615 .0916004 .117909 .170266 .206625 .23817 .277579 .332776 .421293\n"
      "    .569905 .622434 .727197 1 .422583 .314269 .205903 .236291 .424201 .609561\n"
      "    .514874 .533626 .522025 .519562 .577518 .395002 .315117 .294706 .44167\n"
      "    .26559 .163819 .166498 .205106 .174419 .167557 .170095 .175034 .163904\n"
      "    .161706 .162789 .170038 .176105 .190341 .207836 .244356 .31461 .345847\n"
      "    .262733 .241182 .0238865 .0396973 .0329316 .0367994 .0267164 .0176022\n"
      "    .0113228 .0058453 .0117701 .0112713 .0113936 .0114059 .0114843 .0114167\n"
      "    .0114865 .0114126 .0114065 .0114005 .011406 .0115112 .0116354 .0119204\n"
      "    .0124839 .0135699 .0168196 .0177426 .0149001 .00939213 .0026341 .000558929\n"
      "    0r12 .00108361 .00323795 .00386471 .00403364 .0043243 .0043898 .00456403\n"
      "    .00461976 .00463287 .00475428 .00505956 .0063475 .00893656 .0278618 .018745\n"
      "    .0191354 .0175981 .0146141 .0124793 .0108755 .00958907 .00935169 .00950268\n"
      "    .00904303 .0110134 .0128976 .0101222 .00694963 .0034687 .00228344 .00171119\n"
      "    .00147179 .00102589 .000290947 .00348922 .0116007 .0322847 .0157968 .0121709\n"
      "    .0102327 .00897918 .00813406 .00757769 .00730391 .00753454 .00842538\n"
      "    .0072312 .00498519 .00144335 .00122857 .00101812 .00108101 .00124801\n"
      "    .00152007 .00189831 .0024104 .00314358 .00428397 .00599158 .00833873\n"
      "    .00908376 .0102969 .00959678 .00901608 .00795878 .00635719 .00484802\n"
      "    .00310339 .000952564\n"
      "@DYNINFO\n"
      "  element  D\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0055 .12925\n"
      "  vdos_density .00183879 .00246107 .00304914 .00384123 .00454528 .00552609\n"
      "    .0065157 .00771917 .00901084 .0106385 .0133698 .0149964 .016309 .0178413\n"
      "    .0201283 .0244984 .0345808 .0349472 .0366311 .0392798 .024963 .0204665\n"
      "    .0142551 .0167015 .0267232 .0308739 .0262475 .0323812 .0455451 .0605816\n"
      "    .103122 .0870274 .0658655 .0741147 .0909255 .039829 .0145915 .011894\n"
      "    .0118427 .0121863 .0154478 .0216437 .0323086 .03981 .0476857 .0552311\n"
      "    .064126 .0733427 .0843374 .0962181 .110237 .127235 .147334 .168833 .200229\n"
      "    .248202 .383888 .421395 .558621 .563626 .45451 .344735 .234367 .577802\n"
      "    .286623 .225299 .197172 .180248 .16827 .160537 .154032 .149427 .146133\n"
      "    .14392 .143042 .143213 .145037 .149492 .158017 .180227 .20091 .208359\n"
      "    .184774 .10328 .0616088 0r12 .00829292 .035059 .054105 .0693788 .0890245\n"
      "    .108076 .135845 .182797 .205006 .208347 .198387 .210789 .244959 1 .588939\n"
      "    .594591 .567849 .5238 .500931 .494232 .402861 .387375 .386935 .360867\n"
      "    .438359 .492338 .392277 .257193 .141815 .0954521 .0697477 .0593896 .0361709\n"
      "    .00896348 .1485 .385162 .797741 .458461 .383304 .343479 .318058 .301885\n"
      "    .293147 .294761 .335468 .291256 .162994 .0866005 .0231684 .0154069 .019976\n"
      "    .0286381 .0385557 .0520839 .0699346 .0933167 .126947 .17457 .25868 .398415\n"
      "    .47906 .594812 .468564 .462484 .486568 .349817 .274327 .213794 .138834\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgD2_sg136_MagnesiumDeuteride.ncmat",textdata);
  }
  {
    // File MgF2_sg136_MagnesiumFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Magnesium Flouride (MgF2, tetragonal, SG-136 / P4_2/mnm)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1536K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Rutile-type compounds. IV.  SiO2, GeO2 and a comparison with other rutile-type structures\"\n"
      "#    Baur, W. H. and Khan, A. A. (1971)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0567740871005466\n"
      "#    Crystallography Open Database entry 9007534\n"
      "#    https://www.crystallography.net/cod/9007534.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1526229.html\n"
      "#   https://www.crystallography.net/cod/9007434.html\n"
      "#   https://www.crystallography.net/cod/9009075.html\n"
      "#   https://www.materialsproject.org/materials/mp-1249\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for MgF2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1249.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.6213 !! 3.0159\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  136\n"
      "@ATOMPOSITIONS\n"
      "  Mg   0   0   0\n"
      "  Mg 1/2 1/2 1/2\n"
      "  F .3028 .3028 0\n"
      "  F .6972 .6972 0\n"
      "  F .8028 .1972 1/2\n"
      "  F .1972 .8028 1/2\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0114996 .0759974\n"
      "  vdos_density .0854214 .104768 .131167 .162668 .17926 .211332 .241913 .273792\n"
      "    .325499 .369289 .424183 .442045 .448132 .436715 .410451 .372575 .390363\n"
      "    .326459 .323201 .314903 .258398 .265889 .254714 .287387 .308281 .356895\n"
      "    .333795 .332626 .43203 .492962 .459194 .526484 .620936 .687388 .622998\n"
      "    .599327 .544248 .531841 .541541 .532414 .463117 .46238 .438984 .386023\n"
      "    .33461 .29762 .298045 .258417 .231301 .210566 .23146 .253084 .266714 .302081\n"
      "    .30559 .330721 .353625 .340046 .315888 .306231 .30366 .288276 .283783\n"
      "    .275652 .268903 .299559 .304301 .345717 .423166 .491468 .544491 .528213\n"
      "    .466068 .468509 .564771 .670006 .730423 .832736 .957092 1 .94898 .86639\n"
      "    .781185 .706975 .669441 .664271 .631295 .630452 .69654 .772886 .770923\n"
      "    .672816 .556146 .501197 .479794 .421674 .323328 .240784 .249566 .39459\n"
      "    .550634 .52807 .420076 .346014 .315533 .312993 .320357 .316315 .314978\n"
      "    .320278 .298859 .261764 .22856 .193935 .168756 .1492 .126046 .106991\n"
      "    .0850097 .0617576 .0490788 .0423232 .0345153 .0266775 .0187763 .0105439\n"
      "    .00410706 .00096628 .000122521 7.78212e-06\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0109996 .0759974\n"
      "  vdos_density .0949002 .10874 .123483 .153417 .174383 .194848 .255598 .296092\n"
      "    .376249 .434859 .520751 .65543 .700101 .71354 .713288 .664802 .65691 .617491\n"
      "    .510832 .480693 .405965 .358214 .468089 .768555 .985213 1 .822651 .574801\n"
      "    .476091 .529278 .602512 .554105 .639536 .684434 .713714 .679065 .58539\n"
      "    .458518 .427978 .410426 .376423 .359928 .382466 .36759 .298274 .239285\n"
      "    .218932 .223377 .211999 .353476 .634649 .614681 .636878 .549761 .593776\n"
      "    .641889 .628837 .705421 .745176 .661853 .627087 .611735 .534729 .452914\n"
      "    .405128 .362654 .333573 .275011 .257809 .287376 .331322 .388683 .420125\n"
      "    .387931 .38011 .470321 .584042 .618847 .638052 .656055 .598453 .508483\n"
      "    .436292 .381281 .345356 .331602 .341174 .351775 .382995 .448759 .508401\n"
      "    .49871 .416271 .326939 .288435 .28038 .255839 .217191 .208601 .290642\n"
      "    .500449 .670445 .593868 .43169 .326958 .268874 .24286 .233472 .227183\n"
      "    .232249 .241919 .222456 .184991 .150084 .118672 .097655 .0820703 .0663159\n"
      "    .0536912 .0397722 .025376 .0165727 .0125225 .00987629 .00762998 .00536848\n"
      "    .0030053 .00116548 .000273144 3.4547e-05 2.19134e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgF2_sg136_MagnesiumFlouride.ncmat",textdata);
  }
  {
    // File MgH2_sg136_MagnesiumHydride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# MagnesiumHydride (MgH2, tetragonal, SG-136 / P4_2/mnm)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 600K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"The Preparation and Some Properties of Magnesium Hydride\"\n"
      "#    Ellinger, F.H., et al. (1955)\n"
      "#    Crystallography Open Database entry 4124639\n"
      "#    https://www.crystallography.net/cod/4124639.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23710\n"
      "#\n"
      "# Phonon spectrum calculations were performed, by Davide Campi and\n"
      "# Marco Bernasconi from University of Milano-Bicocca, within Density\n"
      "# Functional Perturbation Theory (DFPT) by using the\n"
      "# Perdew-Burke-Ernzerhof (PBE) approximation to the exchange and\n"
      "# correlation energy functional. Ultrasoft pseudopotentials and a\n"
      "# plane wave expansion of Kohn-Sham orbitals up to a kinetic cutoff of\n"
      "# 60 Ry was employed, as implemented in the Quantum-ESPRESSO package.\n"
      "#\n"
      "# In the electronic structure calculations, the Brillouin zone (BZ)\n"
      "# integration was performed over a uniform Gamma-centered 10x10x14\n"
      "# k-point mesh.\n"
      "#\n"
      "# References:\n"
      "#\n"
      "#  [1]: \"Phonons and related crystal properties from\n"
      "#       density-functional perturbation theory\"\n"
      "#       Baroni, S., De Gironcoli, S., Dal Corso, A., Giannozzi, P.\n"
      "#       Reviews of Modern Physics 73, 515-562.\n"
      "#       doi: 10. 1103/RevModPhys.73.515 , arXiv:0012092v1\n"
      "#  [2]: \"QUANTUM ESPRESSO: a modular and open-source software\n"
      "#       project for quantum simulations of materials\"\n"
      "#       Giannozzi, P., Baroni, S., et al.,\n"
      "#       2009. Q. J. Phys.: Condens. Matter 21, 395502.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.5168 !! 3.0205\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  136\n"
      "@ATOMPOSITIONS\n"
      "  Mg 0 0 0\n"
      "  Mg 1/2 1/2 1/2\n"
      "  H .306 .306 0\n"
      "  H .194 .806 1/2\n"
      "  H .694 .694 0\n"
      "  H .806 .194 1/2\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .01675 .1825\n"
      "  vdos_density .0175555 .024598 .0264056 .0280035 .0319282 .0192015 .0159169\n"
      "    .0128382 .0100801 .0157358 .0212691 .0199524 .0175194 .0170981 .0203479\n"
      "    .0213716 .0220197 .0218978 .0220446 .0206822 .0279981 .0495172 .0515517\n"
      "    .0234733 .0152276 .00935188 .00480374 .00397048 .00490719 .00676521\n"
      "    .00836753 .0102107 .0119899 .013884 .0160628 .018178 .0208866 .0229716\n"
      "    .0246668 .0267596 .0284586 .0315592 .0347505 .0383185 .0417601 .0457868\n"
      "    .0498787 .0542335 .0588482 .0637693 .0692256 .074768 .0809732 .0877784\n"
      "    .0950782 .102808 .112004 .121975 .132987 .145978 .160522 .178963 .201515\n"
      "    .234086 .351295 .362314 .38155 .451739 .560152 .552529 .548285 .549682\n"
      "    .503845 .414485 .318011 .253053 .672085 .601728 .367878 .296864 .260008\n"
      "    .237999 .222095 .210183 .201678 .194104 .188546 .183955 .180653 .178067\n"
      "    .176379 .175697 .176448 .17794 .182667 .1928 .205063 .204762 .205549 .209426\n"
      "    .204538 .195641 .177719 .130526 .107883 .0884321 .0676096 .0335053 0r12\n"
      "    .00138584 .00554064 .0125797 .0230621 .0380857 .0442604 .0522629 .0632746\n"
      "    .0768213 .0878008 .100766 .1157 .133219 .153786 .181325 .217296 .237649\n"
      "    .257871 .248836 .266484 .295529 .34968 .489591 1 .729272 .669576 .625678\n"
      "    .597336 .572441 .556133 .548445 .546137 .506232 .46052 .454071 .448279\n"
      "    .442528 .450844 .522859 .575647 .536711 .423999 .319603 .19112 .143915\n"
      "    .110839 .0904542 .073687 .068287 .0464925 .0130198 .0273819 .200699 .728507\n"
      "    .788025 .561001 .476995 .431346 .400149 .377619 .36108 .348172 .339398\n"
      "    .333374 .333017 .338661 .359607 .441374 .473914 .133934 .00106215 .0065111\n"
      "    .00983358 .0166538 .0201247 .0264151 .0340207 .0422774 .0528096 .0648916\n"
      "    .0798935 .0981971 .121156 .150926 .195948 .237591 .318979 .424698 .476856\n"
      "    .536366 .606075 .62775 .532156 .508742 .501794 .505488 .41783 .320308\n"
      "    .257111 .202334 .146606 .0558797\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .007 .1825\n"
      "  vdos_density .0217357 .0276562 .0343528 .0432772 .0534767 .0664664 .0839117\n"
      "    .107877 .145462 .193664 .223146 .259894 .306793 .371721 .514154 .583177\n"
      "    .688552 1 .435452 .32576 .251935 .192273 .309183 .620281 .524248 .503201\n"
      "    .469567 .477679 .466673 .380192 .330532 .298276 .253901 .291831 .46872\n"
      "    .40846 .242155 .21548 .16777 .142752 .12179 .124774 .1292 .133131 .141797\n"
      "    .149831 .161182 .181497 .209997 .285626 .317518 .251696 .21787 .00268859\n"
      "    .00275677 .00281461 .00288316 .0029306 .00299363 .00304874 .00309168\n"
      "    .00313876 .00318728 .00323255 .00327318 .00331386 .00336711 .00341968\n"
      "    .00346121 .00353762 .00361445 .00370344 .00381936 .00396069 .00417314\n"
      "    .00448248 .00506737 .00912398 .0081174 .00742214 .00813078 .00955372\n"
      "    .00804113 .00670731 .00547968 .00422551 .00318479 .00214044 .00157894\n"
      "    .00262651 .00340196 .00330719 .00331654 .00329126 .00329383 .00328688\n"
      "    .00326419 .00326128 .00324944 .00323618 .00322697 .00323423 .00324343\n"
      "    .00325478 .00329281 .00336658 .00343742 .00363878 .00404271 .00442276\n"
      "    .00417901 .00394889 .00379437 .00334197 .00279433 .00208382 .00103874\n"
      "    .000631616 .000355533 .000155577 2.1334e-05 0r12 6.95342e-05 .000243558\n"
      "    .000485 .000782199 .00114234 .00115892 .00121899 .00132614 .00145543\n"
      "    .00149981 .00156323 .00163294 .0017074 .00177575 .00183306 .00189775\n"
      "    .00195495 .00199019 .00217298 .00242731 .00301343 .00386092 .00544189\n"
      "    .00661683 .00628307 .00558703 .0048642 .0043095 .00385303 .00350536\n"
      "    .00327955 .00313367 .00297801 .00285037 .00285575 .00287051 .00288499\n"
      "    .00296932 .00347782 .00393423 .00370883 .00287058 .00192081 .00117102\n"
      "    .000875236 .000683501 .000566424 .000474094 .000453388 .000336797 .000110456\n"
      "    .000191036 .00148501 .00730191 .00849694 .00553667 .00444149 .00382187\n"
      "    .00340191 .00310123 .00288374 .00272356 .00261495 .00254872 .00253164\n"
      "    .0025785 .00272111 .00313619 .00453044 .00243847 4.69641e-06 3.92155e-05\n"
      "    7.10768e-05 .000118939 .000149102 .000196075 .000250725 .000310632\n"
      "    .000384868 .000469601 .000573283 .000703702 .000866398 .00107399 .0013723\n"
      "    .00177463 .0023017 .00278791 .00287323 .00294464 .00297646 .0028774\n"
      "    .00264369 .00247159 .00227692 .00203401 .00170485 .00136655 .0010154\n"
      "    .000662377 .000325998 2.29071e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgH2_sg136_MagnesiumHydride.ncmat",textdata);
  }
  {
    // File MgO2H2_sg164_MagnesiumHydroxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Magnesium hydroxide, Mg(OH)2 (trigonal, SG-164 / P-3m1)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 623K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Static compression and H disorder in brucite, Mg(OH)2, to 11GPa:\n"
      "#     a powder neutron diffraction study  Sample: at P=0.0001GPa\"\n"
      "#    Catti, M., et al. (1995)\n"
      "#    Crystallography Open Database entry 9006330\n"
      "#    https://www.crystallography.net/cod/9006330.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1000054.html\n"
      "#   https://www.materialsproject.org/materials/mp-30247\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Mg(OH)2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20151124/d030/mp-30247.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.14979 !! 4.7702\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  164\n"
      "@ATOMPOSITIONS\n"
      "  Mg 0 0 0\n"
      "  H 1/3 2/3 .413\n"
      "  H 2/3 1/3 .587\n"
      "  O 1/3 2/3 .2203\n"
      "  O 2/3 1/3 .7797\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0109996 .466984\n"
      "  vdos_density .0494886 .0664589 .096512 .106212 .121836 .133552 .11388 .13278\n"
      "    .11953 .12003 .107555 .0953448 .0990706 .0664002 .0665333 .0506614 .0698471\n"
      "    .118059 .165245 .248127 .325793 .256699 .180025 .153321 .148484 .155711\n"
      "    .234459 .231565 .167558 .153431 .121467 .178305 .197899 .163004 .166468\n"
      "    .190259 .21506 .226883 .203872 .214924 .196513 .197811 .141141 .108388\n"
      "    .118983 .0627624 .0250324 .00900935 .00278358 .00280226 .00349706 .00543749\n"
      "    .00532229 .00634255 .00748329 .00953989 .0100327 .0136245 .0148347 .0166471\n"
      "    .0175239 .0252299 .0317133 .0342697 .0389548 .0461701 .0556461 .0631415\n"
      "    .0780321 .103357 .192404 .391275 .486001 .412887 .291369 .240697 .195924\n"
      "    .159727 .11548 .0958457 .073363 .0522526 .0368075 .0246421 .0177526 .0117071\n"
      "    .0118587 .0211427 .0302858 .0407073 .0509985 .065297 .0835953 .103022\n"
      "    .130992 .184204 .427627 .746876 .750233 .549717 .440216 .400343 .357565\n"
      "    .350248 .353148 .324013 .312324 .274641 .227362 .222229 .234177 .269456\n"
      "    .286749 .272685 .260034 .265168 .270498 .246074 .172359 .0896324 .0279814\n"
      "    .00380655 .000215818 4.99755e-06 3.80302e-08 7.97011e-11 0r296 2.83658e-10\n"
      "    6.78653e-09 7.14653e-08 6.25469e-07 4.67497e-06 2.98647e-05 .000163148\n"
      "    .000762449 .00304971 .010448 .030688 .0773935 .167947 .314564 .510783\n"
      "    .723524 .901691 .99978 1 .916641 .782673 .631892 .488086 .363178 .260449\n"
      "    .178871 .116247 .0704431 .0392186 .0197979 .00896315 .00360701 .00128104\n"
      "    .000399206 .000108642\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0109996 .466984\n"
      "  vdos_density .14781 .171051 .22213 .225484 .268851 .343072 .373225 .296825\n"
      "    .324029 .289225 .305531 .307781 .292473 .299248 .361972 .26858 .253247\n"
      "    .260729 .233644 .287361 .306573 .283127 .189508 .193863 .176703 .179438\n"
      "    .251454 .222926 .166478 .278437 .312459 .445255 .467392 .228651 .281089\n"
      "    .523909 1 .604278 .35183 .375773 .301995 .389485 .345907 .436847 .624899\n"
      "    .543168 .306321 .155906 .0349428 .00785609 .00343405 .00533271 .00596032\n"
      "    .00470085 .00964589 .00654211 .0103359 .0086904 .0123375 .0112816 .0166757\n"
      "    .0196505 .0260637 .0288835 .0225357 .0183841 .0196786 .0183561 .019814\n"
      "    .021115 .0265584 .0420366 .0582263 .0485205 .0281964 .0180275 .0108667\n"
      "    .00740245 .00425667 .0026465 .00177892 .00107967 .000645737 .000381852\n"
      "    .00025448 .000151297 .000135118 .000205578 .000273219 .00036303 .00046869\n"
      "    .000597643 .000655951 .000823214 .00103655 .00108081 .00147569 .00204685\n"
      "    .00223502 .00213429 .00220337 .00218594 .00196053 .00195578 .00182653\n"
      "    .00158779 .00170645 .00163955 .00174677 .00229544 .00267051 .003416\n"
      "    .00380128 .00339546 .00281754 .00247783 .00219979 .00168311 .000856882\n"
      "    .000264618 4.92073e-05 4.50031e-06 1.62095e-07 2.36946e-09 1.41216e-11\n"
      "    2.66727e-14 0r296 2.90214e-16 1.00167e-14 1.07429e-13 9.62703e-13\n"
      "    7.35844e-12 4.79911e-11 2.67705e-10 1.27924e-09 5.24791e-09 1.85425e-08\n"
      "    5.67003e-08 1.51087e-07 3.54148e-07 7.38991e-07 1.39152e-06 2.39584e-06\n"
      "    3.81064e-06 5.63045e-06 7.73873e-06 9.88198e-06 1.16977e-05 1.27999e-05\n"
      "    1.28959e-05 1.1899e-05 9.98942e-06 7.57779e-06 5.16063e-06 3.13768e-06\n"
      "    1.69554e-06 8.11426e-07 3.42913e-07 1.27661e-07 4.17763e-08 1.19925e-08\n"
      "    3.01382e-09\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .0109996 .466984\n"
      "  vdos_density .074631 .086019 .109885 .10993 .128977 .164803 .178245 .129011\n"
      "    .138332 .118902 .126097 .125052 .125563 .115285 .123263 .112696 .106239\n"
      "    .109663 .092962 .129229 .144237 .147626 .188583 .395655 .61677 .578912 1\n"
      "    .693851 .289495 .232002 .224269 .305325 .32554 .192473 .262587 .339011\n"
      "    .489743 .351099 .271651 .426852 .66903 .961574 .52555 .31059 .265946 .193096\n"
      "    .1103 .0560725 .0133447 .00437521 .00275817 .00385134 .00383054 .00322744\n"
      "    .0051561 .00401895 .00526541 .00489103 .00602418 .00556762 .0070482\n"
      "    .00853603 .0104608 .0108625 .00912793 .00827367 .00885142 .00888223 .0097473\n"
      "    .0111708 .0153365 .0262473 .0347116 .0293115 .0183683 .0130879 .00879386\n"
      "    .00649071 .00406347 .00286748 .00211177 .0013665 .000869379 .000546712\n"
      "    .000368702 .000254608 .000255197 .000469784 .000650118 .000822438 .000968199\n"
      "    .0011685 .00150125 .00174076 .00203365 .00248032 .00474942 .00708893\n"
      "    .0069831 .00566828 .00502369 .00468207 .00425043 .0042954 .00442437\n"
      "    .00399695 .00395341 .00363043 .0031655 .00345695 .00396466 .0046602\n"
      "    .00490476 .00457132 .00423653 .00420067 .0041574 .00362471 .00236282\n"
      "    .00112317 .000329658 4.3268e-05 2.37492e-06 5.37744e-08 4.05733e-10\n"
      "    8.47699e-13 0r296 8.3798e-12 1.99606e-10 2.10041e-09 1.83748e-08 1.37281e-07\n"
      "    8.76597e-07 4.78659e-06 2.23587e-05 8.9386e-05 .000306052 .000898353\n"
      "    .00226387 .00490807 .00918193 .0148867 .0210452 .0261596 .0289085 .0287944\n"
      "    .0262633 .0223009 .0179015 .0137522 .0101855 .00727971 .00498979 .00324091\n"
      "    .00196491 .00109527 .00055379 .000251152 .000101241 3.60122e-05 1.12379e-05\n"
      "    3.06202e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgO2H2_sg164_MagnesiumHydroxide.ncmat",textdata);
  }
  {
    // File MgO_sg225_Periclase.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Periclase (MgO)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0000501 in the AMCSD\n"
      "# Additional reference: Hazen R M, American Mineralogist, vol. 61, p. 266-271, 1976.\n"
      "#                       https://www.crystallography.net/cod/9000490.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "#\n"
      "#   https://www.materialsproject.org/materials/mp-1265\n"
      "#   https://www.crystallography.net/cod/1011117.html\n"
      "#   https://www.crystallography.net/cod/9000493.html\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for MgO (material ID 1265, DB release 2018-04-17) taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1265.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.211\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Mg   0 1/2 1/2\n"
      "  O  1/2   0   0\n"
      "  Mg   0   0   0\n"
      "  O  1/2 1/2 1/2\n"
      "  Mg 1/2 1/2   0\n"
      "  O    0   0 1/2\n"
      "  Mg 1/2   0 1/2\n"
      "  O    0 1/2   0\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00129996 0.080077536\n"
      "  vdos_density .000194326 .00112875 .00370751 .00738439 .0087821 .00631887\n"
      "    .00272666 .000764387 .000516878 .00159799 .00400107 .007091 .00945894\n"
      "    .0101474 .00918531 .00760322 .00613083 .0046609 .00396385 .00527271\n"
      "    .00820078 .0113495 .0139376 .0164743 .018587 .017672 .0135147 .0108831\n"
      "    .0122243 .0145582 .0142759 .0114091 .00956701 .0115994 .0177493 .025572\n"
      "    .0311126 .0330254 .0328539 .0311421 .0266414 .0206774 .0179211 .0209547\n"
      "    .0277528 .0343863 .0378706 .0382409 .0370423 .0352134 .0329783 .0320838\n"
      "    .0340861 .0386139 .0445328 .0503026 .0534483 .0538385 .0537816 .0544451\n"
      "    .0543489 .052534 .0501172 .047954 .0472423 .0510339 .0621077 .0765408\n"
      "    .0865063 .0870747 .0810499 .074097 .0691731 .0674959 .0720798 .0838634\n"
      "    .0969128 .102562 .0990585 .0931785 .0918225 .0966426 .1044 .11314 .122301\n"
      "    .129957 .132625 .130202 .12624 .125206 .128812 .137122 .148471 .160062\n"
      "    .168505 .172821 .174853 .178246 .185476 .195507 .204489 .209925 .214169\n"
      "    .221209 .233493 .25043 .268718 .283815 .294403 .304345 .318157 .337047\n"
      "    .35895 .383313 .412069 .448493 .496583 .557122 .630054 .713188 .801433\n"
      "    .886465 .95763 1 .997417 .945897 .858351 .765963 .692807 .64463 .609758\n"
      "    .574131 .534111 .497296 .473418 .463441 .459593 .451135 .433903 .412614\n"
      "    .395183 .386257 .383001 .380633 .376827 .372782 .369521 .365203 .356789\n"
      "    .343271 .327435 .314784 .309388 .310846 .313551 .311908 .304111 .29318\n"
      "    .282147 .272436 .264404 .259047 .256905 .256913 .255761 .250472 .240327\n"
      "    .228309 .218356 .21337 .213278 .215509 .216095 .212603 .206 .200312 .200726\n"
      "    .209438 .225524 .245748 .268356 .295135 .328921 .371221 .420204 .472409\n"
      "    .525327 .578116 .630386 .67981 .721398 .746984 .75147 .733265 .69828 .65682\n"
      "    .618475 .587278 .561568 .535948 .505822 .469332 .428981 .388511 .351107\n"
      "    .317386 .286435 .256864 .228597 .202712 .180544 .163514 .151803 .145301\n"
      "    .142946 .143028 .143768 .143725 .142232 .139277 .135175 .130146 .124468\n"
      "    .118467 .112761 .107925 .104157 .100865 .0973335 .0933243 .0893247 .0860598\n"
      "    .0836204 .0814011 .0784978 .0745773 .0701327 .0662958 .0640214 .0634871\n"
      "    .0639911 .0644609 .0640365 .062373 .0596358 .0562512 .0526651 .0492774\n"
      "    .0463493 .0440318 .0424349 .0418473 .042501 .044565 .0478029 .051619\n"
      "    .0553479 .0586131 .0614982 .0645345 .0683847 .073734 .0807908 .0894552\n"
      "    .0990916 .108821 .117955 .126654 .135944 .147202 .160847 .175494 .18764\n"
      "    .192955 .188216 .173403 .150776 .125184 .100663 .0798278 .0632021 .0503758\n"
      "    .0400706 .031455 .0239886 .017484 .012057 .00774522 .00459931 .00250677\n"
      "    .00123105 .000555783 .000222694 8.03804e-05 2.60674e-05 7.29653e-06\n"
      "    1.92163e-06 4.29592e-07 8.69115e-08 1.56574e-08 2.30409e-09 3.23914e-10\n"
      "    2.08184e-11 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00129996 0.080077536\n"
      "  vdos_density .000111624 .000648373 .00212966 .00424172 .0050446 .00362966\n"
      "    .00156625 .000439101 .000296968 .000917415 .00229384 .00405558 .00539403\n"
      "    .0057696 .0052053 .00428724 .00343862 .00260672 .0022174 .00294802 .00457086\n"
      "    .0063028 .00772453 .00913246 .0103131 .00980408 .00746948 .00595158\n"
      "    .00662155 .00786155 .00769736 .00613349 .00512168 .00621246 .0095284\n"
      "    .0137059 .0165751 .0174495 .0172385 .0162998 .013954 .0108301 .00934176\n"
      "    .0108316 .0142368 .0175402 .0192515 .0193969 .0187247 .0176808 .0163945\n"
      "    .0157837 .0166576 .0188326 .0217159 .0245106 .0259607 .0259942 .0257735\n"
      "    .0259117 .0256974 .0246704 .0233857 .0222525 .0217991 .0233905 .0282415\n"
      "    .0345426 .038772 .0387609 .0358346 .0325887 .0302895 .0293473 .0310195\n"
      "    .035784 .0411507 .0433317 .0414346 .0383182 .0370785 .0386108 .0415385\n"
      "    .0448783 .0482852 .0510209 .0517192 .0502813 .0480598 .0468611 .0473958\n"
      "    .0496026 .0528059 .0561041 .0584635 .0595202 .0597153 .0601379 .0615705\n"
      "    .0636688 .0652003 .0654159 .0651881 .0659109 .0684278 .0723999 .0764198\n"
      "    .0788997 .0795809 .0798281 .0808189 .0824392 .083998 .0856082 .088044\n"
      "    .0917959 .0968357 .102532 .108215 .112987 .11568 .115041 .111426 .10625\n"
      "    .101216 .0968981 .0928164 .0884211 .083923 .0797802 .0756954 .070824\n"
      "    .0652128 .0600907 .0568899 .0557304 .0554282 .0543537 .0518205 .0484006\n"
      "    .0451852 .0430816 .042368 .0430251 .044577 .046161 .0467389 .045779 .0433445\n"
      "    .0401529 .0371875 .0355429 .035816 .0378896 .0405355 .0421829 .0417308\n"
      "    .0395212 .0367115 .0351728 .0371963 .0465328 .066759 .101312 .150108 .208027\n"
      "    .266176 .315076 .348867 .36827 .379361 .38881 .399822 .410496 .416797\n"
      "    .418087 .419378 .428269 .448493 .475975 .503137 .526116 .549038 .57903\n"
      "    .619717 .668309 .720231 .773627 .830414 .890676 .947718 .987718 1 .980717\n"
      "    .937253 .882907 .830161 .786282 .752915 .726929 .702973 .675463 .641049\n"
      "    .598921 .551466 .502725 .45708 .417482 .385609 .361401 .343463 .330507\n"
      "    .321132 .315008 .311816 .310504 .308969 .304604 .295461 .281561 .264903\n"
      "    .247844 .231464 .214987 .196917 .176846 .15585 .135852 .118431 .10457\n"
      "    .0948146 .0901114 .0905963 .096223 .106078 .118871 .133747 .150146 .168024\n"
      "    .187085 .206465 .224893 .241479 .25598 .268837 .280602 .291337 .300664\n"
      "    .307774 .312022 .313557 .313248 .312741 .313407 .315898 .319864 .324238\n"
      "    .327531 .328418 .326351 .321948 .316619 .312115 .309584 .309141 .310025\n"
      "    .311647 .314429 .320182 .330993 .347085 .365716 .380625 .384432 .371726\n"
      "    .34243 .30024 .253117 .207736 .168483 .136296 .110545 .0891038 .0705947\n"
      "    .0541761 .0396551 .0274198 .0176459 .0104913 .00572343 .0028132 .00127119\n"
      "    .000509865 .000184241 5.9823e-05 1.67684e-05 4.4221e-06 9.90062e-07\n"
      "    2.00595e-07 3.61908e-08 5.33444e-09 7.53097e-10 5.00734e-11 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("MgO_sg225_Periclase.ncmat",textdata);
  }
  {
    // File Mg_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Magnesium (hcp).\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011183 in the AMCSD.\n"
      "# Additonal reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                      https://www.crystallography.net/cod/9008506.html\n"
      "#\n"
      "# VDOS curve at 290K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.20927 !! 5.21033\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Mg 1/3 2/3 1/4\n"
      "  Mg 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element  Mg\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.004135667662 0.0301903739326\n"
      "  vdos_density .0110375 .013245 .0154525 .0198675 .0220751 .0264901 .0309051\n"
      "    .0353201 .0397351 .0463576 .0529801 .0596026 .0684327 .0750552 .0860927\n"
      "    .0949227 .108168 .121413 .136865 .154525 .1766 .198675 .231788 .264901\n"
      "    .311258 .368653 .452539 .589404 .918322 .807947 .675497 .609272 .562914\n"
      "    .527594 .501104 .470199 .467991 .472406 .485651 .503311 .514349 .534216\n"
      "    .536424 .558499 .549669 .516556 .410596 .437086 .443709 .350993 .282561\n"
      "    .240618 .249448 .304636 .465784 .695364 1 .871965 .830022 .587196 .428256\n"
      "    .300221 .163355 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Mg_sg194.ncmat",textdata);
  }
  {
    // File Mo_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Molybdenum (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011221 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008543.html\n"
      "#\n"
      "# VDOS curve at 296K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.1473\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Mo   0   0   0\n"
      "  Mo 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Mo\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.010339169155 0.03337556358807\n"
      "  vdos_density .0395798 .041158 .0427361 .0448824 .0472496 .0492696 .0508478\n"
      "    .0524259 .054004 .0555822 .0578547 .0602219 .0625891 .0649563 .0673236\n"
      "    .0696908 .072058 .0744252 .0767924 .0797593 .0829156 .0860719 .0892282\n"
      "    .0923845 .0955407 .098697 .102579 .106525 .11047 .114415 .118361 .122306\n"
      "    .126315 .131049 .135783 .141149 .146673 .153017 .160118 .16722 .174322\n"
      "    .181423 .19004 .19872 .209009 .220056 .233313 .249883 .269673 .313072\n"
      "    .356471 .370043 .377934 .383173 .386329 .389927 .394662 .399396 .405709\n"
      "    .412021 .418902 .426004 .4338 .44248 .451538 .462585 .473632 .487457 .50166\n"
      "    .519651 .540167 .56548 .600988 .63773 .708487 .867699 .735625 .703788\n"
      "    .697287 .695708 .694187 .692894 .633707 .578515 .524859 .482817 .447309\n"
      "    .420322 .408486 .397155 .391632 .386108 .374272 .360858 .350726 .343625\n"
      "    .312361 .235438 .228751 .228483r2 .236532 .248368 .269357 .304077 .335955\n"
      "    .347002 .358049 .373736 .390306 .408644 .428371 .44854 .469845 .49115\n"
      "    .514822 .538494 .574097 .614339 .661873 .78739 1 .434391 .319617 .262792\n"
      "    .21387 .109081 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Mo_sg229.ncmat",textdata);
  }
  {
    // File Na4Si3Al3O12Cl_sg218_Sodalite.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Sodalite.\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0006211 in the AMCSD\n"
      "# Additional reference: Antao S M, Hassan I, Wang J, Lee P L, Toby B H, The\n"
      "# Canadian Mineralogist, vol. 46, p. 1501-1509, 2008.\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1011185.html\n"
      "#   https://www.crystallography.net/cod/2101556.html\n"
      "#   https://www.crystallography.net/cod/9003323.html\n"
      "#   https://www.materialsproject.org/materials/mp-23145\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Na4Si3Al3O12Cl taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23145.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 8.880679\n"
      "@SPACEGROUP\n"
      "  218\n"
      "@ATOMPOSITIONS\n"
      "  Na 0.17772 0.17772 0.17772\n"
      "  Na 0.82228 0.17772 0.82228\n"
      "  Na 0.67772 0.32228 0.32228\n"
      "  Na 0.67772 0.67772 0.67772\n"
      "  Na 0.82228 0.82228 0.17772\n"
      "  Na 0.17772 0.82228 0.82228\n"
      "  Na 0.32228 0.67772 0.32228\n"
      "  Na 0.32228 0.32228 0.67772\n"
      "  Al 1/4   0 1/2\n"
      "  Al 1/2 1/4   0\n"
      "  Al   0 1/2 3/4\n"
      "  Al 3/4   0 1/2\n"
      "  Al   0 1/2 1/4\n"
      "  Al 1/2 3/4   0\n"
      "  Si 1/4 1/2   0\n"
      "  Si   0 1/4 1/2\n"
      "  Si 1/2   0 3/4\n"
      "  Si 3/4 1/2   0\n"
      "  Si 1/2   0 1/4\n"
      "  Si   0 3/4 1/2\n"
      "  O 0.1378 0.14915 0.4391\n"
      "  O 0.5609 0.1378 0.85085\n"
      "  O 0.85085 0.4391 0.8622\n"
      "  O 0.8622 0.14915 0.5609\n"
      "  O 0.6378 0.0609 0.35085\n"
      "  O 0.9391 0.35085 0.3622\n"
      "  O 0.64915 0.3622 0.0609\n"
      "  O 0.6378 0.9391 0.64915\n"
      "  O 0.9391 0.64915 0.6378\n"
      "  O 0.64915 0.6378 0.9391\n"
      "  O 0.5609 0.8622 0.14915\n"
      "  O 0.85085 0.5609 0.1378\n"
      "  O 0.8622 0.85085 0.4391\n"
      "  O 0.4391 0.8622 0.85085\n"
      "  O 0.14915 0.5609 0.8622\n"
      "  O 0.1378 0.85085 0.5609\n"
      "  O 0.3622 0.9391 0.35085\n"
      "  O 0.0609 0.64915 0.3622\n"
      "  O 0.35085 0.6378 0.0609\n"
      "  O 0.3622 0.0609 0.64915\n"
      "  O 0.0609 0.35085 0.6378\n"
      "  O 0.35085 0.3622 0.9391\n"
      "  O 0.4391 0.1378 0.14915\n"
      "  O 0.14915 0.4391 0.1378\n"
      "  Cl   0   0   0\n"
      "  Cl 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 4/23\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00449985 0.132745\n"
      "  vdos_density .0125299 .0212659 .0319054 .0463833 .0786918 .090561 .16852\n"
      "    .147626 .164593 .271191 .252845 .148179 .124426 .127742 .111083 .113918\n"
      "    .100516 .198471 .225243 .596948 .553813 .570059 .28156 .636631 1 .536862\n"
      "    .39167 .179195 .154763 .222804 .254895 .136599 .0796192 .0364809 .0374696\n"
      "    .065294 .0831571 .0519419 .0364391 .024315 .0286899 .0218 .0135187 .0138869\n"
      "    .0140553 .0092204 .00819868 .0148478 .0140704 .0175143 .0167503 .0203893\n"
      "    .00849929 .00502566 .00517807 .0061235 .00777518 .00699574 .0058701\n"
      "    .00443846 .00309924 .00323502 .0042954 .00653973 .00601722 .00325639\n"
      "    .00178513 .00150093 .00158363 .0018578 .00276029 .00392836 .00450254\n"
      "    .00348648 .00130036 .00037611 .000242371 .000223477 .00014135 9.07402e-05\n"
      "    8.56816e-05 .000102969 .000126798 .000130521 .000126178 .000121137\n"
      "    .000107357 7.20156e-05 5.95668e-05 8.24763e-05 .000107614 .000131294\n"
      "    .000159941 .000179514 .000157171 8.80934e-05 5.50551e-05 5.22655e-05\n"
      "    4.06836e-05 3.00465e-05 2.57737e-05 2.1929e-05 3.3692e-05 6.14574e-05\n"
      "    5.46594e-05 3.82519e-05 4.41275e-05 .000135676 .000256299 .00017887\n"
      "    .000156122 .000451295 .000800645 .000733909 .000460166 .000259451 .000130221\n"
      "    4.56179e-05 8.95662e-06 8.3254e-07 2.88553e-08 3.09421e-10 9.46168e-13 0r19\n"
      "    4.95758e-17 2.17947e-14 3.91951e-12 3.22094e-10 1.28044e-08 2.4952e-07\n"
      "    2.33486e-06 1.05827e-05 2.54153e-05 3.92351e-05 5.68462e-05 .00010418\n"
      "    .000157019 .000166587 .000203627 .000302505 .000331717 .000217702\n"
      "    9.99289e-05 6.51944e-05 7.89026e-05 .000120551 .000175378 .000211348\n"
      "    .000229183 .000224831 .00016829 7.97757e-05 2.0931e-05 2.792e-06\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 3/23\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00449985 0.132745\n"
      "  vdos_density .0419209 .0672544 .0875488 .091148 .10235 .0851148 .102841\n"
      "    .0827312 .132431 .316807 .385343 .378061 .29197 .30775 .264207 .144539\n"
      "    .113573 .242139 .146561 .222881 .21524 .22553 .15276 .165801 .16677 .112551\n"
      "    .130817 .217984 .150247 .192017 .302604 .240133 .194768 .124574 .160126\n"
      "    .190005 .177491 .167869 .130877 .0935286 .17112 .14811 .110946 .126453\n"
      "    .123902 .0649443 .0935591 .176828 .152828 .155726 .0951624 .0986086 .0711691\n"
      "    .087084 .104212 .125341 .156877 .163498 .154961 .137677 .118391 .139687\n"
      "    .189488 .265252 .229195 .180054 .238373 .223539 .179518 .136277 .156939\n"
      "    .185523 .156172 .119276 .0734812 .0464347 .0476989 .0539324 .0425768\n"
      "    .0330475 .0322031 .0380712 .0452465 .051178 .0562112 .0536095 .044503\n"
      "    .0291469 .0402714 .0837809 .129753 .19511 .284218 .331758 .291135 .179446\n"
      "    .133838 .139051 .114127 .0950206 .0981351 .0927747 .11388 .186695 .189969\n"
      "    .163528 .194968 .486868 .807282 .456775 .168756 .328059 .589932 .563919\n"
      "    .379036 .237516 .136049 .0540793 .0118201 .00117872 4.20573e-05 4.55023e-07\n"
      "    1.39594e-09 0r19 2.23994e-12 9.25207e-10 1.5497e-07 1.12366e-05 .000376411\n"
      "    .00619892 .0513732 .216373 .497403 .7223 .791257 .898151 1 .671455 .272028\n"
      "    .140731 .122757 .111797 .114983 .131136 .147109 .181639 .237082 .28211\n"
      "    .325695 .351207 .284448 .141908 .0383129 .00518539\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 3/23\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00449985 0.132745\n"
      "  vdos_density .0345965 .053994 .0723299 .0812825 .092948 .0821361 .0999691\n"
      "    .0803287 .143265 .37162 .44079 .436983 .302128 .288808 .215319 .148262\n"
      "    .135703 .197482 .100701 .152256 .148293 .158858 .103606 .118147 .0827698\n"
      "    .0562268 .0634559 .0756934 .120744 .196033 .291763 .233668 .185114 .126221\n"
      "    .181373 .232407 .247442 .209294 .141794 .13323 .160352 .129152 .110823\n"
      "    .118911 .103402 .0535396 .0454038 .0872436 .104955 .239484 .382272 .520434\n"
      "    .231203 .168596 .214075 .296697 .418892 .392564 .365714 .315452 .218663\n"
      "    .252181 .35016 .474481 .385473 .205547 .105541 .0768574 .0624615 .0540366\n"
      "    .0649351 .086513 .0980556 .0944055 .0782938 .0751198 .0887526 .102175\n"
      "    .082766 .0663785 .0698969 .0973417 .133357 .143356 .148015 .176414 .208773\n"
      "    .165735 .106988 .0876032 .103552 .161225 .243506 .318813 .273258 .162274\n"
      "    .141627 .166604 .142106 .120625 .127437 .129649 .190706 .330756 .327645\n"
      "    .270151 .294498 .635994 1 .555888 .210963 .435224 .797897 .781844 .543918\n"
      "    .35404 .209252 .0849596 .0188352 .00189358 6.77754e-05 7.33958e-07\n"
      "    2.25244e-09 0r19 1.81902e-13 7.70702e-11 1.33035e-08 1.02007e-06 3.70998e-05\n"
      "    .000666125 .00588098 .0256808 .0607158 .0929285 .112095 .138442 .166149\n"
      "    .150748 .148908 .196876 .205898 .124206 .0400393 .00762101 .0019805 .0018644\n"
      "    .00217513 .00203464 .00172176 .00160177 .00130328 .000670539 .000184804\n"
      "    2.52807e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 12/23\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00449985 0.132745\n"
      "  vdos_density .0331228 .0543768 .0734502 .0833377 .102143 .0908814 .123722\n"
      "    .0973262 .192647 .599269 .641893 .545253 .491163 .526845 .464709 .324566\n"
      "    .266233 .326751 .205776 .298237 .298098 .398974 .254069 .290099 .260728\n"
      "    .163825 .18661 .327387 .215396 .211792 .313261 .242861 .223286 .158685\n"
      "    .27805 .559786 .746003 .574179 .416337 .284917 .499971 .430123 .303776\n"
      "    .323222 .301594 .162088 .171424 .319298 .316875 .489982 .55497 .613655\n"
      "    .255857 .174558 .189511 .224892 .278825 .259125 .247762 .225717 .173331\n"
      "    .203333 .258261 .327098 .268544 .189247 .221058 .210064 .193277 .213636\n"
      "    .33089 .496088 .612772 .569659 .313029 .135215 .0991733 .0984278 .0709478\n"
      "    .0510815 .0485053 .0589023 .0722736 .0755079 .0767572 .0826135 .0872941\n"
      "    .0662645 .0528508 .0658039 .0889597 .130662 .188636 .220464 .183904 .104893\n"
      "    .0698533 .0670675 .0515818 .039553 .0379344 .0334005 .0370172 .0584903\n"
      "    .0585793 .0497032 .0593109 .150282 .251057 .143484 .057601 .123657 .230558\n"
      "    .230271 .163339 .108081 .0646689 .0264683 .00589999 .000595021 2.13231e-05\n"
      "    2.30998e-07 7.09e-10 0r19 1.61955e-12 6.74158e-10 1.13982e-07 8.41415e-06\n"
      "    .000289791 .00492364 .0418393 .179303 .419501 .628716 .728353 .868608 1\n"
      "    .775917 .53463 .553797 .552191 .363501 .185389 .127936 .125848 .150514\n"
      "    .193584 .226541 .25495 .26784 .212946 .105095 .0282143 .00380809\n"
      "@DYNINFO\n"
      "  element  Cl\n"
      "  fraction 1/23\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00449985 0.132745\n"
      "  vdos_density .0299368 .0569859 .0971484 .17062 .339067 .40856 .813738 .772753\n"
      "    .72831 .434213 .728012 .510447 .185636 .132093 .0805359 .0668257 .0813768\n"
      "    .117057 .0591467 .0710663 .0713315 .0817404 .0728531 .394896 1 .449596\n"
      "    .105864 .0228304 .0125856 .00986283 .00723443 .00338249 .00136357 .000874937\n"
      "    .00177266 .00372915 .00471736 .0040534 .00306475 .00121985 .000668\n"
      "    .000486053 .000288457 .000262417 .000266925 .000141691 .000196459 .00028198\n"
      "    .000341957 .00089311 .000858533 .000889968 .000291815 .000108901 9.42378e-05\n"
      "    .000109523 .000134592 7.6828e-05 5.00217e-05 5.67748e-05 7.85103e-05\n"
      "    .000125984 .000225152 .000330612 .000247603 7.75345e-05 2.25174e-05\n"
      "    1.99909e-05 2.81779e-05 4.31394e-05 .000105732 .000199286 .000283886\n"
      "    .000287211 .000178142 .000108524 8.79165e-05 8.29557e-05 5.64379e-05\n"
      "    3.89601e-05 3.346e-05 3.05295e-05 2.70666e-05 2.17926e-05 1.88948e-05\n"
      "    2.02694e-05 2.63638e-05 2.39062e-05 1.2166e-05 9.89758e-06 1.85461e-05\n"
      "    4.13047e-05 7.77775e-05 .00010199 7.43138e-05 3.69606e-05 1.43881e-05\n"
      "    5.85569e-06 2.57503e-06 1.49851e-06 1.45595e-06 1.27743e-06 1.67309e-06\n"
      "    3.44962e-06 4.60088e-06 6.38022e-06 1.0102e-05 2.24036e-05 3.41246e-05\n"
      "    1.80247e-05 1.19311e-05 5.62367e-05 .000150656 .000199452 .000151913\n"
      "    8.12358e-05 3.42961e-05 9.70039e-06 1.37619e-06 8.84403e-08 2.45224e-09\n"
      "    2.42235e-11 7.17352e-14 0r19 2.23235e-19 3.38932e-16 1.07123e-13 1.48613e-11\n"
      "    8.74716e-10 2.16196e-08 2.28575e-07 1.09559e-06 2.66864e-06 4.06353e-06\n"
      "    6.40536e-06 1.36922e-05 2.00045e-05 1.56671e-05 1.23501e-05 1.83932e-05\n"
      "    2.20194e-05 1.42911e-05 5.45259e-06 2.37711e-06 1.97058e-06 2.18507e-06\n"
      "    3.14836e-06 5.7215e-06 1.1102e-05 1.71468e-05 1.69885e-05 9.42921e-06\n"
      "    2.68625e-06 3.73094e-07\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Na4Si3Al3O12Cl_sg218_Sodalite.ncmat",textdata);
  }
  {
    // File NaBr_sg225_SodiumBromide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Sodium Bromide (NaBr, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1020K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008677\n"
      "#    https://www.crystallography.net/cod/9008677.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-22916\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for NaBr taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d022/mp-22916.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.97324\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Na 0 0 0\n"
      "  Na 0 1/2 1/2\n"
      "  Na 1/2 0 1/2\n"
      "  Na 1/2 1/2 0\n"
      "  Br 1/2 1/2 1/2\n"
      "  Br 1/2 0 0\n"
      "  Br 0 1/2 0\n"
      "  Br 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  Br\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00424985 .0249991\n"
      "  vdos_density .125861 .136931 .147997 .178185 .217007 .248615 .290055 .349578\n"
      "    .429821 .524098 .582058 .607675 .625924 .655729 .7104 .784341 .871734\n"
      "    .958644 1 .952838 .822822 .644401 .458431 .329159 .295782 .323169 .362643\n"
      "    .402251 .469001 .594711 .756176 .845539 .733871 .495025 .261612 .102085\n"
      "    .0271945 .00441117 .00037758 1.51354e-05 2.67102e-07 2.2318e-07 8.76488e-06\n"
      "    .000165604 .00157904 .00825164 .0260521 .0552456 .0892441 .128686 .193335\n"
      "    .292441 .365013 .345411 .266349 .181577 .112756 .0691212 .0488297 .0387013\n"
      "    .0306718 .0249444 .0218223 .0207086 .0211015 .0228886 .0253669 .026934\n"
      "    .0265643 .0249949 .0228288 .0193125 .0148138 .010885 .00805145 .00592317\n"
      "    .00417209 .00272529 .00164871 .000907687 .000415455 .000142371 3.38967e-05\n"
      "    5.29519e-06\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00424985 .0249991\n"
      "  vdos_density .019838 .0213591 .0227757 .0270167 .0325422 .0367999 .0421818\n"
      "    .0502285 .0613508 .0735765 .0786693 .0778028 .0747607 .0717635 .0699958\n"
      "    .0679428 .0628687 .0540941 .045925 .0440714 .0434673 .0375073 .0290798\n"
      "    .024124 .0239223 .0250751 .0255186 .0256359 .0264195 .0287922 .0311161\n"
      "    .0291536 .0207245 .0111634 .00470395 .00142908 .000278488 3.2039e-05\n"
      "    2.06078e-06 6.95765e-08 7.86834e-08 6.53796e-06 .000249629 .00438031 .036386\n"
      "    .151566 .349773 .51741 .587045 .61837 .710768 .888914 1 .901381 .682942\n"
      "    .468075 .300091 .200806 .169644 .169471 .170462 .171092 .177262 .188693\n"
      "    .202822 .221372 .242803 .259033 .264181 .261449 .250517 .224893 .190828\n"
      "    .159803 .135566 .117496 .100952 .0837918 .06789 .0510392 .0316429 .0144151\n"
      "    .00437814 .000821498\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("NaBr_sg225_SodiumBromide.ncmat",textdata);
  }
  {
    // File NaCl_sg225_SodiumChloride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Sodium Chloride  (NaCl, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1000K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Halite-sylvite thermoelasticity  Sample: msl416031,\n"
      "#     T = 25 C, P = 0.0 kbar, cell volume = 179.42 ang**3\"\n"
      "#    Walker, D., et al. (2004)\n"
      "#    Crystallography Open Database entry 9003308\n"
      "#    https://www.crystallography.net/cod/9003308.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-22862\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for NaCl taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d022/mp-22862.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.6401\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Na 0 0 0\n"
      "  Na 0 1/2 1/2\n"
      "  Na 1/2 0 1/2\n"
      "  Na 1/2 1/2 0\n"
      "  Cl 1/2 1/2 1/2\n"
      "  Cl 1/2 0 0\n"
      "  Cl 0 1/2 0\n"
      "  Cl 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  Cl\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00609979 .0291047\n"
      "  vdos_density .0784835 .08192 .0870632 .0936226 .101597 .110059 .114585 .115374\n"
      "    .11989 .129545 .137948 .146896 .160972 .175885 .18686 .195733 .206356 .22074\n"
      "    .239065 .263274 .296634 .333574 .360659 .370882 .369277 .367434 .36916\n"
      "    .369276 .363282 .361436 .370482 .383475 .39065 .39285 .394183 .397409\n"
      "    .402943 .410318 .420247 .432661 .443613 .447048 .443714 .446344 .474375\n"
      "    .528439 .589247 .626264 .617562 .568549 .495265 .417315 .352323 .306325\n"
      "    .276265 .255112 .237515 .224987 .221883 .228618 .240411 .257659 .283441\n"
      "    .314811 .341166 .356915 .362535 .361895 .361404 .363448 .363388 .35345\n"
      "    .339804 .336836 .355159 .394897 .446543 .5012 .54662 .569363 .574315 .580513\n"
      "    .611538 .685964 .800969 .926095 1 .976189 .880403 .766722 .674191 .596975\n"
      "    .515973 .431518 .36397 .322351 .289814 .246974 .190615 .136814 .0981647\n"
      "    .0777067 .0714145 .0716426 .0746673 .0791853 .0854019 .0939077 .105444\n"
      "    .120046 .135833 .148834 .155034 .151421 .137619 .117451 .0949224 .0732637\n"
      "    .0539884 .0372 .0231886 .0126581 .00593152 .00228098 .000689567 .000172751\n"
      "    3.54123e-05 5.34182e-06 5.75958e-07 5.93944e-08 4.61695e-09 2.23217e-10 0\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00639978 .0290585\n"
      "  vdos_density .0565201 .0606857 .0656859 .0713913 .0756919 .0766973 .07876\n"
      "    .0845673 .0907582 .0962946 .104472 .114754 .123233 .13001 .137188 .146362\n"
      "    .15838 .174112 .195776 .222867 .245916 .256779 .256399 .252133 .249977\n"
      "    .24876 .244295 .238311 .237754 .241921 .244784 .243845 .240806 .237497\n"
      "    .235181 .23321 .230865 .2284 .225668 .220925 .213265 .205555 .204294 .209975\n"
      "    .215358 .210951 .198561 .186052 .175104 .161824 .146468 .133306 .126268\n"
      "    .126671 .132532 .143192 .161315 .192148 .241535 .31716 .419715 .518631\n"
      "    .576568 .576312 .532115 .4768 .428824 .396018 .374907 .356205 .336164\n"
      "    .321867 .324141 .345266 .381419 .42642 .47079 .504602 .521418 .529714\n"
      "    .549409 .598378 .691456 .81977 .940838 1 .962879 .872565 .78275 .721786\n"
      "    .679146 .633023 .585206 .555942 .549997 .54132 .50571 .442254 .376658\n"
      "    .327617 .30082 .291726 .291011 .294456 .300832 .310353 .323623 .341958\n"
      "    .366772 .395779 .422908 .440126 .438426 .417968 .383088 .340024 .292769\n"
      "    .241042 .184177 .125686 .0744047 .0369097 .0147212 .00498263 .00133772\n"
      "    .000270376 4.24784e-05 6.13111e-06 6.11015e-07 4.17851e-08 2.73537e-09 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("NaCl_sg225_SodiumChloride.ncmat",textdata);
  }
  {
    // File NaF_sg225_SodiumFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Sodium Flouride (NaF, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1266K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008679\n"
      "#    https://www.crystallography.net/cod/9008679.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-682\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for NaF taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-682.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.62\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Na 0 0 0\n"
      "  Na 0 1/2 1/2\n"
      "  Na 1/2 0 1/2\n"
      "  Na 1/2 1/2 0\n"
      "  F 1/2 1/2 1/2\n"
      "  F 1/2 0 0\n"
      "  F 0 1/2 0\n"
      "  F 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0134995 .0429985\n"
      "  vdos_density .0759001 .0861701 .0939552 .0966494 .104591 .116103 .122806\n"
      "    .127529 .137199 .14322 .147793 .163108 .192805 .227639 .240448 .227759\n"
      "    .214512 .206629 .1994 .192816 .185007 .181833 .18575 .184578 .173467 .162668\n"
      "    .162882 .167896 .163163 .147395 .134561 .133797 .139161 .138633 .130102\n"
      "    .119684 .110503 .107523 .112905 .116083 .107734 .0998943 .116481 .172338\n"
      "    .250118 .305137 .326184 .339392 .349729 .347097 .336579 .334313 .350977\n"
      "    .376449 .389727 .384945 .376098 .380899 .394092 .400109 .407371 .4216\n"
      "    .428514 .436313 .47163 .526875 .589004 .689641 .839431 .970623 1 .912772\n"
      "    .769278 .642621 .571763 .551384 .529886 .454129 .338077 .248493 .227583\n"
      "    .259101 .301728 .330795 .342708 .3393 .321325 .292567 .263284 .241822\n"
      "    .225635 .209649 .196979 .194365 .201003 .207053 .204025 .192967 .182342\n"
      "    .179698 .184331 .18942 .190914 .189971 .191069 .20081 .222583 .252958\n"
      "    .283304 .298273 .279479 .22437 .15463 .0952158 .0544118 .0283817 .0126652\n"
      "    .00453036 .00124416\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0134995 .0429985\n"
      "  vdos_density .113504 .129479 .141745 .146696 .159923 .178793 .190204 .198948\n"
      "    .216326 .22852 .238373 .26573 .317751 .379232 .404671 .388444 .37197 .364358\n"
      "    .357534 .351908 .345116 .348713 .366308 .372608 .359624 .352685 .377169\n"
      "    .419104 .436803 .420945 .414188 .448934 .490727 .479965 .42358 .369793\n"
      "    .334239 .316495 .317223 .314624 .286866 .254864 .242246 .240357 .239775\n"
      "    .236748 .232045 .241033 .255397 .250366 .234407 .233762 .25548 .283615\n"
      "    .296791 .292322 .28659 .296481 .317466 .333929 .349135 .36915 .384739 .40068\n"
      "    .437632 .494524 .565797 .673115 .821203 .955423 1 .929049 .791277 .663242\n"
      "    .594451 .57992 .558587 .47435 .346266 .236903 .176674 .152003 .138421\n"
      "    .124766 .112624 .103941 .097515 .0930842 .0907167 .0885471 .0848115 .0799781\n"
      "    .0760239 .0752164 .0790513 .0864178 .0935677 .0975525 .0998009 .104453\n"
      "    .112603 .121269 .127777 .131771 .135843 .145669 .165145 .192118 .218969\n"
      "    .232405 .217639 .173435 .117933 .0713383 .0400552 .0206269 .00913546\n"
      "    .00325402 .000891349\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("NaF_sg225_SodiumFlouride.ncmat",textdata);
  }
  {
    // File NaI_sg225_SodiumIodide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Sodium iodide (NaI, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 934K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008681\n"
      "#    https://www.crystallography.net/cod/9008681.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23268\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for NaI taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23268.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 6.4728\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Na 0 0 0\n"
      "  Na 0 1/2 1/2\n"
      "  Na 1/2 0 1/2\n"
      "  Na 1/2 1/2 0\n"
      "  I 1/2 1/2 1/2\n"
      "  I 1/2 0 0\n"
      "  I 0 1/2 0\n"
      "  I 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  I\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00119996 .0219992\n"
      "  vdos_density .0204449 .0289315 .0359742 .0432585 .0516669 .0623221 .0730541\n"
      "    .0861883 .103026 .118441 .131423 .153953 .190917 .235853 .291588 .365305\n"
      "    .444502 .502543 .536149 .56273 .593373 .641997 .711069 .795753 .893786\n"
      "    .986807 1 .846072 .586384 .365693 .259431 .254023 .29438 .342725 .399857\n"
      "    .502768 .658179 .743164 .642243 .423564 .220302 .088806 .0255969 .00485682\n"
      "    .000577289 4.16967e-05 1.77185e-06 4.26274e-08 5.26621e-10 0r6 2.79256e-13\n"
      "    3.26316e-11 2.12976e-09 8.3254e-08 1.9864e-06 2.9561e-05 .000280925\n"
      "    .00174855 .00737027 .0222283 .0520945 .102006 .16713 .218382 .222664 .182159\n"
      "    .125699 .0767488 .0443161 .0271083 .0191793 .0154452 .013491 .0123332\n"
      "    .0116287 .0113522 .0114026 .0115564 .0115998 .0113061 .0106067 .00976895\n"
      "    .00899622 .00808813 .00684737 .00546842 .00427479 .00334753 .00259952\n"
      "    .00198544 .00148507 .00106942 .000731283 .000469429 .000273703 .000137079\n"
      "    5.54539e-05 1.71893e-05 3.92928e-06 6.45557e-07\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00119996 .0219992\n"
      "  vdos_density .00212111 .00298769 .00370056 .00442914 .00525063 .00627904\n"
      "    .00730086 .00855041 .0101448 .0115485 .012661 .0146598 .0180126 .0221304\n"
      "    .0272693 .0340942 .0411276 .0452449 .0459256 .0451147 .044028 .0434378\n"
      "    .0427755 .0409971 .0380942 .0350591 .0326735 .0290908 .0229615 .0164907\n"
      "    .0124803 .0113243 .0114843 .0117953 .0120678 .0127101 .0137275 .013004\n"
      "    .00939834 .00508579 .00213499 .000689926 .000158623 2.34906e-05 2.07641e-06\n"
      "    1.05145e-07 3.02034e-09 4.92701e-11 2.64845e-13 0r6 1.07677e-11 1.20249e-09\n"
      "    7.62191e-08 2.85143e-06 6.37578e-05 .000866588 .00731218 .0392168 .137237\n"
      "    .325086 .556876 .766871 .931824 1 .90497 .687386 .455006 .276061 .1681\n"
      "    .119724 .105928 .106302 .111799 .119254 .128582 .140826 .155076 .168933\n"
      "    .179906 .185361 .185301 .183509 .181436 .174373 .158448 .137084 .116898\n"
      "    .100669 .0875519 .076627 .0671738 .0585808 .0504398 .0419468 .0321372\n"
      "    .0211597 .0111156 .0043804 .00123889 .000243939\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("NaI_sg225_SodiumIodide.ncmat",textdata);
  }
  {
    // File Na_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Sodium (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011223 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008545.html\n"
      "#\n"
      "# VDOS curve at 90K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.2906\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Na   0   0   0\n"
      "  Na 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Na\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.002067833831 0.015853392704333\n"
      "  vdos_density .0173027 .0192252 .0211477 .0229741 .0245762 .0261783 .028165\n"
      "    .0304079 .0326508 .0351822 .0377455 .0404371 .0436413 .0468455 .0502099\n"
      "    .0537345 .0572591 .0615528 .0660386 .0707488 .0774777 .0842065 .093755\n"
      "    .107533 .121311 .129706 .135794 .141882 .145086 .148291 .151591 .155116\n"
      "    .15864 .161973 .165177 .168381 .172162 .176007 .179852 .183697 .187542\n"
      "    .191547 .195713 .199878 .204556 .209363 .214201 .219328 .224454 .229709\n"
      "    .235157 .240604 .246499 .252587 .258675 .265084 .271492 .278573 .287225\n"
      "    .295876 .30472 .313692 .322663 .331635 .318402 .290525 .276747 .262969\n"
      "    .252716 .245987 .239258 .23458 .230414 .226377 .223493 .220609 .218238\n"
      "    .216636 .215034 .213656 .212375 .211093 .210773 .210452 .210132 .209811\n"
      "    .209491 .209747 .210388 .211029 .212535 .214137 .215803 .217726 .219648\n"
      "    .221891 .224454 .227018 .229838 .232721 .235765 .240251 .244737 .249992\n"
      "    .2564 .262809 .270339 .278349 .28636 .301419 .316479 .339359 .380486 .382\n"
      "    .377776 .372969 .368163 .363933 .359768 .355795 .352591 .349386 .346022\n"
      "    .342497 .338973 .335448 .331923 .328239 .323112 .317985 .312987 .30818\n"
      "    .303374 .299689 .296485 .293281 .291679 .290077 .288763 .288122 .287481\n"
      "    .287417 .287738 .288058 .28982 .291743 .293922 .297126 .30033 .304656\n"
      "    .310103 .31555 .323817 .332789 .342401 .357781 .373162 .394822 .425903\n"
      "    .456984 .514531 .552298 .570989 .603992 .636996 .683072 .759653 .836233 1\n"
      "    .773662 .536719 .466885 .415617 .366785 .327694 .288603 .247749 .205133\n"
      "    .162517 .0662481 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Na_sg229.ncmat",textdata);
  }
  {
    // File Nb_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Niobium (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011224 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008546.html\n"
      "#\n"
      "# VDOS curve at 296K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.3004\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Nb   0   0   0\n"
      "  Nb 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Nb\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0051695845775 0.026881839803\n"
      "  vdos_density .0296403 .0311841 .0333453 .035661 .0376679 .0392117 .0407554\n"
      "    .0430711 .0447692 .046313 .0478567 .0494005 .0509443 .0532599 .0549581\n"
      "    .056965 .0586631 .0597437 .0620594 .0636032 .0651469 .0671538 .0691607\n"
      "    .0707045 .0722482 .0753358 .0771883 .0787321 .0805846 .0829002 .0852159\n"
      "    .0883034 .0901559 .092626 .095096 .0971029 .100962 .103278 .106211 .109299\n"
      "    .112695 .116554 .120414 .123501 .127206 .131992 .137086 .141872 .147275\n"
      "    .15345 .160243 .166727 .174446 .184634 .195441 .214738 .256265 .322801\n"
      "    .36896 .367262 .374209 .388103 .411877 .391808 .359697 .342562 .27232\n"
      "    .246848 .228786 .215818 .206865 .201153 .197293 .19575 .196676 .200535\n"
      "    .206556 .211959 .211187 .209643 .2081 .205166 .202233 .200226 .196367\n"
      "    .195595 .192971 .191273 .189883 .187568 .185252 .183708 .159934 .145886\n"
      "    .144805 .148819 .156538 .1658 .178151 .194051 .214583 .241291 .276025\n"
      "    .334688 .464365 1 .70828 .568569 .530747 .58555 .50759 .306129 .139248\n"
      "    .116863 .103741 .0944785 .0864509 .0801214 .0744095 .0683888 .0629856\n"
      "    .0591262 .0540318 .0481655 .0401379 .026244 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Nb_sg229.ncmat",textdata);
  }
  {
    // File Ne_Gas_STP.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Neon gas.\n"
      "#\n"
      "# Noble gasses such as this one can be modelled realistically using the freegas\n"
      "# model of NCrystal. The density is the value at STP (273.15K, 1atm) calculated\n"
      "# with the ideal gas equation. The density value must currently (NCrystal\n"
      "# v2.7.0) be manually changed by the user if modelling using different\n"
      "# temperatures or pressures is desired (the formula is given below).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  gas\n"
      "@DYNINFO\n"
      "  element  Ne\n"
      "  fraction 1\n"
      "  type     freegas\n"
      "@DENSITY\n"
      "  # Notice: We are hardcoding the STP values (273.15K, 1atm) here. For other\n"
      "  # values of pressure and temperature, it can be calculated as:\n"
      "  #\n"
      "  #      density [kg/m3] = 245.9234 * ( P[atm] / T[K] )\n"
      "  #\n"
      "  # Which assumes a Ne mass of 20.1797 amu.\n"
      "  0.9003237 kg_per_m3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ne_Gas_STP.ncmat",textdata);
  }
  {
    // File Ni_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Nickel (fcc)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011153 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008476.html\n"
      "#\n"
      "# Cross sections were validated against measurements by R.G.Allen, et al. (1954,\n"
      "# EXFOR id 11762002) and H.Palevsky (1954, EXFOR id 11355002).\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 4 of:\n"
      "#\n"
      "#    \"Neutron scattering measurements of phonons in nickel at elevated temperatures\"\n"
      "#    M. Kresch, O. Delaire, R. Stevens, J. Y. Y. Lin, and B. Fultz\n"
      "#    Phys. Rev. B 75, 104301 - Published 9 March 2007\n"
      "#    https://doi.org/10.1103/PhysRevB.75.104301\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.52387\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Ni 0   1/2 1/2\n"
      "  Ni 0   0   0\n"
      "  Ni 1/2 1/2 0\n"
      "  Ni 1/2 0   1/2\n"
      "@DYNINFO\n"
      "  element  Ni\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0064985 .040403717391304\n"
      "  vdos_density .0525808 .0562783 .0599758 .0637698 .0691785 .0745871 .0799957\n"
      "    .0866669 .0938268 .100987 .108146 .115718 .123611 .131504 .139397 .148361\n"
      "    .158016 .167672 .177327 .188141 .200517 .212892 .223246 .233057 .242869\n"
      "    .255322 .274338 .292488 .309284 .327356 .346221 .366238 .386704 .409335\n"
      "    .43281 .463668 .501558 .540444 .579583 .614962 .648799 .683449 .71009\n"
      "    .732932 .754141 .769714 .788943 .81341 .835547 .851681 .866629 .877797\n"
      "    .888966 .901865 .917394 .930814 .940392 .950017 .953643 .957269 .960879\n"
      "    .971223 .984151 .98565 .98277 .968501 .948574 .917165 .876951 .826715\n"
      "    .783465 .754911 .729428 .705829 .679632 .653435 .627238 .599813 .57853\n"
      "    .560846 .543689 .526532 .518519 .515389 .528105 .54696 .578411 .621971\n"
      "    .679249 .756609 .842965 .91355 .967906 .994185 1 .975011 .931534 .877429\n"
      "    .795948 .687172 .600803 .507847 .436485 .35685 .282313 .2252 .180645 .140935\n"
      "    .104461 .0821725 .0684938 .0572877 .0469448 .0397425 .0354069 .0384485\n"
      "    .0437456 .0410459 .0207608 .00321169 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ni_sg225.ncmat",textdata);
  }
  {
    // File Nylon11_C11H21NO.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Nylon 11 (also known as PA 11 or Rilsan). Polyamide.\n"
      "#\n"
      "# CAS number: 25035-04-5\n"
      "#\n"
      "# https://www.chemicalbook.com/ProductChemicalPropertiesCB0176532_EN.htm\n"
      "# https://www.azom.com/article.aspx?ArticleID=436\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=10xCH2+1xNH\n"
      "#  --formula=C11H21NO\n"
      "#  --density=1.04\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 93.7% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.04 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 11/34\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element N\n"
      "  fraction 1/34\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 1/34\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 21/34\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.436473\n"
      "  vdos_density .0253091 .0525526 .083968 .105014 .116847 .127809 .123892 .11005\n"
      "    .104675 .11176 .115321 .100415 .0778644 .0580563 .0430224 .0415969 .0556726\n"
      "    .0690058 .0760717 .0832503 .0886041 .0791453 .0604832 .0528049 .047915\n"
      "    .0387606 .0403449 .0649975 .0952531 .0976982 .0756613 .0547002 .041115\n"
      "    .03729 .0443678 .0545102 .0608538 .0620679 .058258 .0566541 .0687543 .089439\n"
      "    .0904082 .0689158 .0515558 .0413913 .0460965 .0917383 .175886 .229589\n"
      "    .197198 .139305 .118434 .110957 .0994073 .0868426 .0859371 .112044 .144889\n"
      "    .149725 .129356 .123961 .151062 .163554 .145052 .144899 .159178 .151697\n"
      "    .128183 .117401 .134965 .167372 .183132 .185798 .198961 .220692 .24253\n"
      "    .259261 .248662 .226657 .19538 .172469 .214273 .324527 .472033 .569163\n"
      "    .551328 .52317 .541413 .523728 .422157 .311526 .289987 .362702 .464191\n"
      "    .554672 .643827 .690461 .614841 .409334 .192552 .0694732 .0258941 .0150017\n"
      "    .0156349 .0182543 .0171663 .0150877 .0161698 .0152585 .0105315 .00713821\n"
      "    .00537158 .00324728 .00187733 .00171953 .00136408 .000652713 .000282926\n"
      "    .000209042 .000202797 .000202566 .000202563r16 .000202555 .000202461\n"
      "    .000201933 .000200548 .000198413 .000193716 .000178478 .000145766 .000107781\n"
      "    8.57257e-05 7.96219e-05 7.86535e-05 7.72867e-05 6.99266e-05 5.0345e-05\n"
      "    2.61174e-05 1.16105e-05 8.11771e-06 1.06251e-05 1.51535e-05 1.81767e-05\n"
      "    1.90811e-05 1.92017e-05 1.92089e-05 1.9209e-05r3 1.92093e-05 1.92214e-05\n"
      "    1.95141e-05 2.25596e-05 3.57986e-05 5.71105e-05 6.12662e-05 4.42847e-05\n"
      "    2.87496e-05 2.23757e-05 2.08686e-05 2.12009e-05 2.35342e-05 2.82312e-05\n"
      "    3.31163e-05 3.59866e-05 3.69573e-05 3.71136e-05 3.71176e-05 3.71839e-05\n"
      "    3.7758e-05 4.23013e-05 6.35466e-05 .000117289 .000190179 .000240416\n"
      "    .000256974 .000260003 .000270752 .000494933 .00280798 .0129146 .0304763\n"
      "    .0512214 .120776 .268648 .446748 .68615 .924252 1 .91003 .777192 .717777\n"
      "    .67005 .511014 .277705 .113239 .0564204 .0467886 .045484 .0434479 .0411666\n"
      "    .0456826 .0460212 .0265034 .0073238 .00098783 8.89782e-05 9.10362e-06\n"
      "    7.54741e-07 0 4.05778e-07 5.47063e-06 3.77028e-05 .000145626 .000677484\n"
      "    .00492452 .0211457 .0417566 .0378108 .0164594 .00377361 .000498307\n"
      "    3.75075e-05 1.47016e-06 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Nylon11_C11H21NO.ncmat",textdata);
  }
  {
    // File Nylon12_C12H23NO.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Nylon 12 (also known as PA 2200 or PA 12). Polyamide.\n"
      "#\n"
      "# https://en.wikipedia.org/wiki/Nylon_12\n"
      "# https://www.azom.com/article.aspx?ArticleID=882\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=11xCH2+1xNH\n"
      "#  --formula=C12H23NO\n"
      "#  --density=1.02\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 93.8% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.02 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 12/37\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element N\n"
      "  fraction 1/37\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 1/37\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 23/37\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.436473\n"
      "  vdos_density .0252308 .0524473 .0838272 .104822 .116596 .127532 .123634\n"
      "    .109827 .10451 .111649 .115237 .100342 .0777923 .0579834 .0429447 .0415201\n"
      "    .0556157 .068974 .0760389 .0831947 .0885421 .0790982 .0604349 .0527387\n"
      "    .0478333 .0386602 .0402212 .064874 .0951831 .0976633 .0755908 .0545981\n"
      "    .0410374 .037237 .0442221 .0540279 .0599729 .0611423 .0575213 .055984\n"
      "    .0675087 .0868447 .0874237 .0672421 .0510705 .0411244 .0454522 .0906608\n"
      "    .174769 .228685 .196483 .138689 .11758 .109573 .0979891 .0859415 .0854696\n"
      "    .111753 .144621 .1495 .12912 .123654 .150815 .163322 .14442 .143031 .155508\n"
      "    .148032 .126474 .116962 .1348 .167201 .182674 .184786 .197772 .2199 .242144\n"
      "    .258963 .247982 .225422 .194115 .171513 .213493 .323694 .471146 .568592\n"
      "    .551096 .523013 .541273 .523623 .421978 .311173 .289563 .362413 .463856\n"
      "    .553833 .642318 .688436 .612815 .407651 .190961 .0679773 .0249286 .0144712\n"
      "    .0149769 .0172949 .0162681 .0143568 .0153123 .0144223 .0100452 .00687526\n"
      "    .00513767 .00306737 .00175106 .00159018 .00126235 .000612891 .000275806\n"
      "    .000208509 .000202823 .000202613 .00020261r16 .000202602 .000202508\n"
      "    .00020198 .000200595 .000198459 .000193761 .00017852 .0001458 .000107807\n"
      "    8.57456e-05 7.96404e-05 7.86718e-05 7.73047e-05 6.99428e-05 5.03567e-05\n"
      "    2.61235e-05 1.16132e-05 8.11959e-06 1.06276e-05 1.5157e-05 1.81809e-05\n"
      "    1.90855e-05 1.92062e-05 1.92133e-05 1.92135e-05r3 1.92137e-05 1.92259e-05\n"
      "    1.95187e-05 2.25648e-05 3.58069e-05 5.71238e-05 6.12804e-05 4.4295e-05\n"
      "    2.87563e-05 2.23809e-05 2.08733e-05 2.12046e-05 2.35357e-05 2.82309e-05\n"
      "    3.31144e-05 3.59799e-05 3.69511e-05 3.71154e-05 3.71248e-05 3.71925e-05\n"
      "    3.77668e-05 4.23112e-05 6.35614e-05 .000117317 .000190223 .000240472\n"
      "    .000257033 .000260049 .000269984 .000474532 .00258189 .011793 .0279614\n"
      "    .0485841 .119263 .267835 .446065 .685655 .924067 1 .910132 .77733 .717917\n"
      "    .670179 .511098 .277715 .113147 .0562133 .0465366 .0452359 .043141 .0402465\n"
      "    .0430566 .042371 .024222 .00668424 .000903036 8.15348e-05 8.3192e-06\n"
      "    6.87538e-07 0 3.68975e-07 4.97445e-06 3.42832e-05 .000132418 .000616038\n"
      "    .00447788 .0192278 .0379694 .0343814 .0149665 .00343135 .000453112\n"
      "    3.41057e-05 1.33682e-06 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Nylon12_C12H23NO.ncmat",textdata);
  }
  {
    // File Nylon610_C16H30N2O2.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Nylon 6,10 (PA 610). Polyamide.\n"
      "#\n"
      "# CAS number: 9008-66-6\n"
      "#\n"
      "# https://www.chemsrc.com/en/cas/9008-66-6_667727.html\n"
      "# https://polymerdatabase.com/polymers/nylon6-10.html\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=14xCH2+2xNH\n"
      "#  --formula=C16H30N2O2\n"
      "#  --density=1.04\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 93.3% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.04 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 16/50\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element N\n"
      "  fraction 2/50\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 2/50\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 30/50\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.436473\n"
      "  vdos_density .0256776 .0530486 .084631 .105916 .118028 .129115 .125107 .111102\n"
      "    .105451 .112283 .115716 .100758 .078204 .0583996 .0433879 .0419585 .0559405\n"
      "    .0691554 .0762259 .0835121 .0888956 .0793669 .0607104 .0531166 .0482998\n"
      "    .0392333 .0409272 .0655787 .0955827 .0978621 .0759937 .0551811 .0414801\n"
      "    .0375396 .0450539 .0567809 .0650008 .0664256 .0617266 .0598089 .0746185\n"
      "    .101653 .104459 .0767956 .0538406 .0426479 .04913 .096811 .181146 .233841\n"
      "    .200563 .142207 .122456 .117471 .106084 .091085 .0881384 .113415 .146153\n"
      "    .150786 .130469 .125406 .152223 .164648 .148028 .15369 .176455 .168948\n"
      "    .136228 .119466 .135741 .168174 .185286 .190561 .204562 .224417 .244345\n"
      "    .260664 .251861 .232474 .201333 .176967 .217946 .328451 .476211 .571849\n"
      "    .55242 .523911 .542073 .524219 .423 .313187 .291986 .364066 .465766 .558623\n"
      "    .650932 .699992 .624383 .417259 .20004 .076516 .03044 .0174993 .0187329\n"
      "    .0227712 .021395 .0185292 .0202072 .0191953 .0128213 .00837618 .00647284\n"
      "    .00409429 .00247182 .00232851 .00184304 .000840195 .000316449 .000211555\n"
      "    .000202674 .000202346 .000202341r16 .000202333 .000202239 .000201712\n"
      "    .000200329 .000198196 .000193504 .000178283 .000145607 .000107664\n"
      "    8.56319e-05 7.95348e-05 7.85674e-05 7.72021e-05 6.985e-05 5.02899e-05\n"
      "    2.60889e-05 1.15978e-05 8.10882e-06 1.06135e-05 1.51369e-05 1.81568e-05\n"
      "    1.90602e-05 1.91807e-05 1.91878e-05 1.9188e-05r3 1.91882e-05 1.92004e-05\n"
      "    1.94928e-05 2.25349e-05 3.57594e-05 5.7048e-05 6.11991e-05 4.42363e-05\n"
      "    2.87182e-05 2.23512e-05 2.08465e-05 2.11832e-05 2.35271e-05 2.82324e-05\n"
      "    3.31253e-05 3.60179e-05 3.69867e-05 3.71053e-05 3.70837e-05 3.71439e-05\n"
      "    3.77167e-05 4.2255e-05 6.34771e-05 .000117161 .000189971 .000240153\n"
      "    .000256693 .00025979 .000274371 .00059098 .00387242 .0181954 .0423163\n"
      "    .063638 .127899 .272479 .449966 .688479 .925122 1 .909551 .77654 .717116\n"
      "    .669443 .510619 .277658 .113671 .0573956 .0479753 .0466522 .0448923 .0454987\n"
      "    .058046 .0632064 .037244 .0103349 .00138704 .000124022 1.27967e-05\n"
      "    1.07114e-06 0 5.79048e-07 7.80663e-06 5.38022e-05 .000207809 .000966775\n"
      "    .00702733 .0301751 .059587 .0539563 .0234876 .00538497 .000711089\n"
      "    5.35236e-05 2.09792e-06 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Nylon610_C16H30N2O2.ncmat",textdata);
  }
  {
    // File Nylon66or6_C12H22N2O2.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Nylon 66 (aka \"6,6\", \"6/6\", or \"6-6\", PA 66). Polyamide.\n"
      "#\n"
      "# For the purposes of NCrystal, this material has composition and neutron\n"
      "# scattering properties which are identical to Nylon6 (PA6), so this NCMAT file\n"
      "# can be used to model either of these.\n"
      "#\n"
      "# https://en.wikipedia.org/wiki/Nylon_6\n"
      "# https://en.wikipedia.org/wiki/Nylon_66\n"
      "# https://www.azom.com/article.aspx?ArticleID=477\n"
      "# https://www.theplasticshop.co.uk/plastic_technical_data_sheets/nylon_66_technical_data_sheet.pdf\n"
      "# http://www.goodfellow.com/E/Polyamide-Nylon-6.html\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=10xCH2+2xNH\n"
      "#  --formula=C12H22N2O2\n"
      "#  --density=1.14\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 92.8% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.14 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 12/38\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element N\n"
      "  fraction 2/38\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 2/38\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 22/38\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.436473\n"
      "  vdos_density .0261677 .0537083 .0855127 .107117 .119599 .13085 .126722 .112501\n"
      "    .106483 .112979 .11624 .101215 .0786557 .0588561 .043874 .0424394 .0562968\n"
      "    .0693544 .0764309 .0838602 .0892833 .0796617 .0610126 .0535313 .0488115\n"
      "    .039862 .0417017 .0663516 .096021 .0980801 .0764356 .0558206 .0419656\n"
      "    .0378716 .0459663 .0598008 .0705161 .072221 .0663396 .0640045 .0824175\n"
      "    .117897 .123146 .0872752 .0568792 .0443191 .0531643 .103557 .18814 .239496\n"
      "    .205038 .146067 .127806 .126135 .114964 .0967271 .0910659 .115237 .147833\n"
      "    .152196 .13195 .127328 .153767 .166103 .151984 .165382 .199433 .19189\n"
      "    .146929 .122212 .136773 .169242 .188151 .196896 .212011 .22937 .246759\n"
      "    .26253 .256117 .24021 .209252 .182949 .22283 .33367 .481766 .575423 .553872\n"
      "    .524897 .54295 .524873 .42412 .315397 .294644 .365879 .467861 .563877\n"
      "    .660381 .712668 .637073 .427798 .209998 .0858824 .0364858 .0208209 .0228531\n"
      "    .0287784 .027019 .0231061 .0255767 .0244311 .0158666 .0100226 .00793744\n"
      "    .00522075 .00326245 .00313841 .00248001 .00108953 .000361033 .000214897\n"
      "    .000202511 .000202053 .000202046r16 .000202038 .000201945 .000201418\n"
      "    .000200037 .000197907 .000193222 .000178023 .000145394 .000107507\n"
      "    8.55071e-05 7.94189e-05 7.84529e-05 7.70896e-05 6.97482e-05 5.02166e-05\n"
      "    2.60508e-05 1.15809e-05 8.09701e-06 1.0598e-05 1.51149e-05 1.81303e-05\n"
      "    1.90324e-05 1.91527e-05 1.91599e-05 1.916e-05r3 1.91603e-05 1.91724e-05\n"
      "    1.94644e-05 2.2502e-05 3.57073e-05 5.69649e-05 6.11099e-05 4.41718e-05\n"
      "    2.86763e-05 2.23187e-05 2.08171e-05 2.11597e-05 2.35177e-05 2.8234e-05\n"
      "    3.31373e-05 3.60596e-05 3.70256e-05 3.70942e-05 3.70385e-05 3.70905e-05\n"
      "    3.76617e-05 4.21935e-05 6.33846e-05 .00011699 .000189694 .000239803\n"
      "    .00025632 .000259506 .000279184 .000718716 .00528804 .0252185 .0580628\n"
      "    .0801511 .137371 .277574 .454245 .691576 .926278 1 .908914 .775673 .716237\n"
      "    .668636 .510094 .277596 .114246 .0586926 .0495535 .0482058 .0468134 .0512601\n"
      "    .0744885 .0860616 .0515284 .0143394 .00191797 .000170628 1.77082e-05\n"
      "    1.49192e-06 0 8.09485e-07 1.09134e-05 7.52133e-05 .000290509 .00135151\n"
      "    .00982393 .0421835 .0833003 .0754287 .0328348 .00752797 .000994073\n"
      "    7.48238e-05 2.93281e-06 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Nylon66or6_C12H22N2O2.ncmat",textdata);
  }
  {
    // File PEEK_C19H12O3.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polyether-ether-ketone (PEEK). Thermoplastic polymer.\n"
      "#\n"
      "# The chemical composition and density value is widely known and quoted across\n"
      "# many sources, providing consistent information, although the density can vary\n"
      "# with 5% or so.\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=12xCHaro\n"
      "#  --formula=C19H12O3\n"
      "#  --density=1.3\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 87.4% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.3 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 19/34\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 3/34\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 12/34\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.432866\n"
      "  vdos_density .0237943 .0315475 .0433995 .0586297 .0738821 .0838902 .0835501\n"
      "    .0784029 .0744613 .0704175 .0558287 .037298 .0326092 .039743 .0429886\n"
      "    .0346587 .0210891 .0124559 .0178378 .0314617 .0356971 .0309153 .0271553\n"
      "    .0248605 .0202817 .0271311 .0701407 .119949 .107072 .0640391 .04897 .0446155\n"
      "    .0366833 .0380528 .0483776 .0522996 .0552269 .0583057 .053321 .0508078\n"
      "    .0715214 .101629 .0917831 .0541658 .0336414 .0385925 .0866661 .183064\n"
      "    .238742 .232304 .243738 .242441 .210337 .27473 .416138 .456194 .378195\n"
      "    .251189 .137101 .10811 .185616 .263221 .279582 .322345 .372739 .363986\n"
      "    .324518 .282608 .211942 .147426 .111311 .136005 .251492 .362538 .37544\n"
      "    .339552 .390913 .544451 .62834 .540939 .363957 .255869 .230187 .229402\n"
      "    .235318 .213555 .191393 .221309 .298987 .376109 .377393 .305809 .242642\n"
      "    .213057 .182667 .126151 .0914827 .110962 .133362 .117041 .11543 .125317\n"
      "    .0928684 .0465895 .0337105 .0419269 .0464123 .0456525 .0448739 .0385291\n"
      "    .0223913 .00824165 .0023864 .000788291 .00034011 .000137539 3.43205e-05\n"
      "    4.27272e-06 2.45439e-07 0r50 9.37081e-07 5.34267e-06 1.35701e-05 1.54824e-05\n"
      "    8.10862e-06 2.0607e-06 4.51114e-07 1.42325e-06 5.61623e-06 1.4818e-05\n"
      "    3.18257e-05 4.63824e-05 3.68168e-05 1.45308e-05 2.73197e-06 2.3801e-07 0\n"
      "    1.33285e-07 1.28153e-06 6.30338e-06 1.65201e-05 2.27525e-05 1.55779e-05\n"
      "    5.02861e-06 7.70308e-07 7.7543e-07 7.98671e-06 3.97136e-05 9.75522e-05\n"
      "    .000219846 .000873006 .00270892 .00630066 .0210451 .0831551 .230738 .403745\n"
      "    .454176 .310153 .137386 .152502 .410397 .75542 .968211 .976649 .781362\n"
      "    .533638 .435035 .459057 .372051 .168849 .0383649 .0041801 .000306999\n"
      "    9.07592e-05 3.24832e-05 5.49708e-06 4.18328e-07 0r3 1.45209e-07 1.4463e-06\n"
      "    6.47862e-06 1.33703e-05 1.34589e-05 7.28512e-06 2.2874e-06 4.01677e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PEEK_C19H12O3.ncmat",textdata);
  }
  {
    // File PVC_C2H3Cl.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polyvinyl Chloride (PVC)\n"
      "#\n"
      "# Density can vary from 1.1g/cm3 to 1.45g/cm3, where higher density materials are\n"
      "# more rigid.\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=1xCH2+1xCHali\n"
      "#  --formula=C2H3Cl\n"
      "#  --density=1.3\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 87.9% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.3 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 2/6\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element Cl\n"
      "  fraction 1/6\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 3/6\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .0188317 .0394442 .0624517 .0772837 .0859761 .0942395 .0916735\n"
      "    .0819811 .0780168 .0815736 .0829357 .074097 .0615682 .0487717 .0354583\n"
      "    .0310105 .0390889 .0489637 .0555081 .0607622 .0640796 .0581183 .0470694\n"
      "    .0429669 .0385443 .0303189 .0301994 .0471487 .0688526 .0707619 .0547587\n"
      "    .0394064 .0298059 .0303045 .0411646 .0478577 .0438597 .0382578 .0343224\n"
      "    .0342547 .041376 .0517422 .0573428 .055948 .0494002 .0364019 .0315244\n"
      "    .0566832 .112392 .153111 .136151 .0982155 .0814384 .0707835 .0632371\n"
      "    .0625178 .0670775 .0853488 .108338 .117657 .115114 .118317 .138252 .14344\n"
      "    .119598 .109471 .113621 .116717 .125669 .137628 .158833 .185162 .18657\n"
      "    .175366 .203659 .276392 .350363 .386388 .368786 .305117 .214707 .158144\n"
      "    .203928 .330313 .464697 .549213 .545083 .534922 .587481 .649815 .622586\n"
      "    .480661 .364051 .37021 .407461 .407659 .418737 .431849 .381015 .251976\n"
      "    .115799 .0403858 .0173897 .0124074 .0118194 .0128539 .0123892 .0100651\n"
      "    .00802242 .00691897 .0065032 .00598508 .00446902 .00237552 .00086828\n"
      "    .000306649 .000181078 .00014305 .000130476 .000128366 .000128208\n"
      "    .000128202r17 .000128197 .000128138 .000127804 .000126927 .000125576\n"
      "    .000122603 .000112959 9.22557e-05 6.82152e-05 5.4256e-05 5.03929e-05\n"
      "    4.978e-05 4.89155e-05 4.42824e-05 3.23832e-05 2.119e-05 2.60093e-05\n"
      "    3.88644e-05 3.49413e-05 2.10962e-05 1.39693e-05 1.23683e-05 1.21714e-05\n"
      "    1.21579e-05 1.21574e-05r3 1.21576e-05 1.21671e-05 1.23978e-05 1.48341e-05\n"
      "    2.56115e-05 4.32951e-05 4.7068e-05 3.44229e-05 2.46913e-05 2.17458e-05\n"
      "    2.67962e-05 3.99792e-05 4.32518e-05 3.38552e-05 2.87633e-05 2.9833e-05\n"
      "    3.37398e-05 3.81634e-05 4.07326e-05 4.0283e-05 3.81548e-05 3.74823e-05\n"
      "    5.03485e-05 9.23147e-05 .000147879 .0001761 .000173305 .000168285 .000209553\n"
      "    .00108642 .00938447 .0415092 .08384 .0897714 .115536 .22949 .361782 .503664\n"
      "    .695797 .902305 1 .872075 .662925 .552401 .472946 .314326 .146576 .0589884\n"
      "    .0326843 .0276213 .0253924 .0196118 .0105709 .00365311 .000859078 .0001783\n"
      "    4.06893e-05 1.30858e-05 6.85471e-06 2.70836e-06 1.10246e-06 8.48302e-07\n"
      "    5.67451e-07 8.04489e-07 2.44322e-06 5.09212e-06 5.57508e-06 2.93691e-06\n"
      "    9.01247e-07 8.94163e-07 1.91877e-06 2.54282e-06 1.72953e-06 5.56859e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PVC_C2H3Cl.ncmat",textdata);
  }
  {
    // File PbF2-beta_sg225_BetaLeadFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beta Lead Flouride (beta-PbF2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Formed by heating alpha-PbF2 to 600K. The resulting beta-phase is stable at\n"
      "# room temperatures.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Fluorocronite, the natural analogue of beta-PbF2, from\n"
      "#     the Sakha Republic, Russian Federation\"\n"
      "#    Mills, S. J., et al. (2011)\n"
      "#    DOI: https://dx.doi.org/10.1127/0935-1221/2011/0023-2136\n"
      "#    Crystallography Open Database entry 9015789\n"
      "#    https://www.crystallography.net/cod/9015789.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1530196.html\n"
      "#   https://www.crystallography.net/cod/9009027.html\n"
      "#   https://www.crystallography.net/cod/9014557.html\n"
      "#   https://www.materialsproject.org/materials/mp-315\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for PbF2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-315.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.9306\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Pb   0   0   0\n"
      "  Pb   0 1/2 1/2\n"
      "  Pb 1/2   0 1/2\n"
      "  Pb 1/2 1/2   0\n"
      "  F  1/4 1/4 1/4\n"
      "  F  1/4 3/4 3/4\n"
      "  F  3/4 1/4 3/4\n"
      "  F  3/4 3/4 1/4\n"
      "  F  1/4 3/4 1/4\n"
      "  F  1/4 1/4 3/4\n"
      "  F  3/4 3/4 3/4\n"
      "  F  3/4 1/4 1/4\n"
      "@DYNINFO\n"
      "  element  Pb\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .0449985\n"
      "  vdos_density .0670836 .083277 .130188 .242385 .474638 .810148 1 .872579 .62209\n"
      "    .483061 .385427 .274366 .220314 .203915 .18928 .184435 .182475 .181353\n"
      "    .176968 .166945 .166984 .169122 .163766 .160347 .161256 .154763 .150191\n"
      "    .152772 .152214 .147423 .145483 .161561 .217454 .331158 .47592 .514386\n"
      "    .368407 .211484 .140058 .109361 .0887759 .0735643 .0604032 .0493627 .0456272\n"
      "    .0436982 .0357459 .0254693 .0188027 .0156505 .014242 .0135129 .0126319\n"
      "    .0125829 .0141007 .0153323 .0152387 .0150332 .014999 .0147264 .0146516\n"
      "    .0146476 .0145315 .0145993 .0143924 .0131441 .0107158 .00796463 .0059028\n"
      "    .00480272 .00426734 .00369554 .00298784 .00239544 .00197701 .00170692\n"
      "    .00163979 .00162252 .00144028 .00118695 .000998867 .000944255 .0011117\n"
      "    .00145782 .00168323 .00157897 .00129687 .00099397 .000784633 .000726276\n"
      "    .000680618 .000550571 .000430919 .000418655 .000557385 .000917982 .00142555\n"
      "    .00172962 .00159345 .00117532 .000769998 .000597747 .000688299 .000815487\n"
      "    .000807935 .000782634 .000868563 .00112923 .00166318 .00223816 .00232985\n"
      "    .00185347 .00128528 .00103008 .00105204 .0012283 .00163744 .00218864\n"
      "    .0025026 .00243187 .00224143 .00218464 .00226962 .00243733 .00263032\n"
      "    .00275021 .00277928 .00282523 .00297598 .00319894 .00338501 .00347364\n"
      "    .00349457 .00349654 .00352767 .00366073 .00394808 .00435774 .00474633\n"
      "    .00491422 .00477167 .00442413 .0040569 .00377617 .00355728 .00332213\n"
      "    .00305309 .00278105 .00249204 .00214732 .00175667 .00135193 .00094803\n"
      "    .000574551 .000285794 .000112167 3.37462e-05 7.6108e-06 1.26373e-06\n"
      "    1.52241e-07 1.31504e-08 8.04079e-10 3.22713e-11\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .0449985\n"
      "  vdos_density .0147101 .0162082 .0194799 .0235388 .028518 .0378425 .0461903\n"
      "    .0414355 .0285769 .0217254 .0171211 .0131602 .0125789 .0127321 .0113885\n"
      "    .0103813 .0106715 .0119038 .0115177 .00992196 .0107324 .0126986 .0121602\n"
      "    .0118057 .0129869 .0127131 .0131078 .0145253 .0152502 .0161147 .0175996\n"
      "    .0221155 .0379887 .0899682 .203826 .337084 .425291 .486088 .525676 .560517\n"
      "    .634292 .724556 .773946 .780444 .812737 .902316 .98553 1 .9704 .944464\n"
      "    .93501 .923732 .871175 .797632 .760564 .730312 .658513 .589471 .551898\n"
      "    .501424 .427977 .364356 .339228 .343488 .343198 .340012 .350024 .363514\n"
      "    .376406 .406622 .446356 .468866 .481532 .497173 .50135 .500779 .524383\n"
      "    .55283 .552705 .548541 .554409 .554328 .564776 .583811 .585425 .586924 .5954\n"
      "    .590559 .58965 .599268 .597843 .593485 .588526 .56502 .527823 .497023\n"
      "    .485127 .478408 .450689 .390959 .317219 .268049 .259838 .25774 .221096\n"
      "    .155157 .0912157 .052036 .0421505 .0473141 .0478041 .038014 .0267657\n"
      "    .0221206 .0231898 .0275189 .0369187 .0493625 .056794 .0566563 .0552093\n"
      "    .0576281 .0635333 .0720229 .0829783 .0954422 .109442 .125292 .141392 .156102\n"
      "    .16917 .180727 .190991 .201285 .216384 .246507 .305355 .399438 .50672\n"
      "    .573655 .559724 .478933 .378608 .293055 .229292 .181315 .144429 .116616\n"
      "    .0947423 .0756057 .0582926 .0428682 .029028 .0171157 .00833021 .00321488\n"
      "    .000955387 .000213649 3.52778e-05 4.23481e-06 3.64973e-07 2.22723e-08\n"
      "    8.92176e-10\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PbF2-beta_sg225_BetaLeadFlouride.ncmat",textdata);
  }
  {
    // File PbO-alpha_sg129_Litharge.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Alpha Lead monoxide (alpha-PbO, Litharge, tetragonal, SG-129 / P4/nmm)\n"
      "#\n"
      "# This phase exists at lower temperatures and pressures, around 763-873K it\n"
      "# transitions into the beta phase (PbO-beta, Massicot). For more details about\n"
      "# the phase change, see:\n"
      "#\n"
      "#   Risold, D., J. Nagata and R. Suzuki. \"Thermodynamic description of the\n"
      "#   Pb-O system.\" Journal of Phase Equilibria 19 (1998): 213-233.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"On the crystal structure of tetragonal (red) Pb O\"\n"
      "#    Leciejewicz, J. (1961)\n"
      "#    Crystallography Open Database entry 2310434\n"
      "#    https://www.crystallography.net/cod/2310434.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-19921\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for PbO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d019/mp-19921.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.96 !! 5.01\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  129\n"
      "@ATOMPOSITIONS\n"
      "  Pb 1/4 1/4 .237\n"
      "  Pb 3/4 3/4 .763\n"
      "  O  3/4 1/4 0\n"
      "  O  1/4 3/4 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00149995 .0619979\n"
      "  vdos_density .0364341 .0564437 .0837397 .0999171 .0809833 .0907708 .105559\n"
      "    .119692 .107028 .0834001 .0489347 .032962 .0223626 .0156788 .0174003\n"
      "    .0187014 .0243162 .0258831 .0247759 .0237526 .019747 .019352 .0168924\n"
      "    .0115706 .00361959 .00158011 .00129035 .00178232 .00137351 .00254111\n"
      "    .00439506 .00564326 .00146391 .000116298 5.15938e-06 4.93828e-08 2.90054e-11\n"
      "    6.07908e-12 5.45796e-08 3.64799e-05 .00187553 .0104113 .024074 .0471433\n"
      "    .0657598 .0918021 .106995 .129832 .222599 .230182 .186669 .181019 .179574\n"
      "    .217278 .266166 .246392 .259585 .30933 .308335 .322132 .447763 .636132\n"
      "    .688558 .540053 .544134 .572618 .482857 .466004 .504258 .561705 .61724\n"
      "    .683522 .685344 .718123 .783846 .873731 .965435 1 .873214 .823279 .82401\n"
      "    .693837 .555393 .502625 .533392 .512169 .485493 .472038 .487071 .454373\n"
      "    .442602 .45195 .52063 .566159 .60094 .644747 .543958 .389252 .319781 .323021\n"
      "    .335074 .362067 .400058 .460152 .547725 .566381 .581562 .610668 .627184\n"
      "    .668817 .707103 .714887 .705045 .609379 .388534 .16045 .0473765 .0177943\n"
      "    .00887627 .00532521 .00261185 .000582437\n"
      "@DYNINFO\n"
      "  element  Pb\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00149995 .0619979\n"
      "  vdos_density .115693 .185644 .279933 .33016 .268647 .297067 .35642 .424183\n"
      "    .395934 .337149 .214331 .166852 .148235 .134729 .190617 .253912 .41273\n"
      "    .487474 .390771 .323547 .272156 .266446 .24817 .233205 .125249 .114957\n"
      "    .101708 .149734 .157045 .246344 .507076 1 .349529 .0436433 .00220626\n"
      "    2.15715e-05 1.26852e-08 1.47097e-13 1.32073e-09 8.83076e-07 4.56018e-05\n"
      "    .000263166 .000669636 .00132218 .00151463 .00181857 .0022395 .0021088\n"
      "    .00293739 .00345464 .00328147 .00324956 .00369324 .00418337 .00380555\n"
      "    .00438274 .00462243 .00524823 .0051128 .00544926 .00733918 .0101822 .0103966\n"
      "    .00853695 .00753396 .00706846 .00584807 .00564126 .00530966 .00577646\n"
      "    .00636765 .00613575 .00573584 .0061382 .00634646 .00626179 .00599087\n"
      "    .00666158 .00561909 .00472533 .00495315 .00472812 .00436498 .00435397\n"
      "    .00441649 .00399125 .00386135 .00368617 .00325258 .00299945 .00292721\n"
      "    .00294666 .00316285 .00300181 .00271448 .00261843 .00225852 .00192743\n"
      "    .00199554 .00222691 .00242814 .00272976 .0029924 .00352409 .0042765\n"
      "    .00436474 .00443689 .00466406 .00478297 .0049459 .00487462 .00453292\n"
      "    .00412822 .00335411 .00218128 .00111856 .000557863 .000324109 .00017747\n"
      "    .000107268 5.26182e-05 1.17335e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PbO-alpha_sg129_Litharge.ncmat",textdata);
  }
  {
    // File PbO-beta_sg57_Massicot.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beta Lead monoxide (beta-PbO, Massicot, orthorhombic, SG-57 / Pbcm).\n"
      "#\n"
      "# This phase exists at higher temperatures and pressures. At usual conditions it\n"
      "# melts around ~1100K, and below 763-873K it transitions into the alpha phase\n"
      "# (PbO-alpha, Litharge). For more details about the phase change, see:\n"
      "#\n"
      "#   Risold, D., J. Nagata and R. Suzuki. \"Thermodynamic description of the\n"
      "#   Pb-O system.\" Journal of Phase Equilibria 19 (1998): 213-233.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"A neutron diffraction study of orthorhombic Pb O\"\n"
      "#    Kay, M.I. (1961)\n"
      "#    Crystallography Open Database entry 2311040\n"
      "#    https://www.crystallography.net/cod/2311040.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-20878\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for PbO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d020/mp-20878.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.891 5.489 4.775\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  57\n"
      "@ATOMPOSITIONS\n"
      "  Pb .2309 .9792 1/4\n"
      "  Pb .7691 .0208 3/4\n"
      "  Pb .2309 .5208 3/4\n"
      "  Pb .7691 .4792 1/4\n"
      "  O  .8691 .0886 1/4\n"
      "  O  .1309 .9114 3/4\n"
      "  O  .8691 .4114 3/4\n"
      "  O  .1309 .5886 1/4\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0629978\n"
      "  vdos_density .0200505 .0245822 .0321448 .0372879 .0473306 .0557038 .0516735\n"
      "    .0447115 .038934 .033065 .0325944 .0376401 .0457282 .0523577 .0552099\n"
      "    .0561836 .0585942 .0678622 .0796862 .0838163 .0778656 .0605912 .0421338\n"
      "    .0324139 .0304258 .0320036 .0369769 .0470752 .0558829 .0549282 .0463689\n"
      "    .040089 .0365703 .0325849 .0313108 .0318114 .0310502 .0305716 .0357699\n"
      "    .0507292 .0620501 .057798 .0526257 .0492652 .0464333 .0408114 .0412985\n"
      "    .0464699 .0436185 .0450023 .0515433 .0485943 .0450753 .0524253 .0627142\n"
      "    .0670811 .073725 .0837855 .083405 .0698941 .0606801 .0643889 .0655808\n"
      "    .0504767 .0334014 .0279732 .0338424 .0374869 .028495 .0236191 .0297952\n"
      "    .0331193 .0308973 .0260157 .0199152 .0227589 .03604 .0478338 .0568044\n"
      "    .0732694 .0949184 .103246 .0936992 .0825454 .078871 .0747491 .0656238\n"
      "    .0605372 .0625501 .0595364 .0512231 .0496465 .0534232 .0601798 .079826\n"
      "    .110739 .133411 .1388 .136074 .133088 .129951 .1279 .127327 .125628 .134147\n"
      "    .178523 .260333 .338597 .379416 .398853 .431871 .491417 .57047 .640022\n"
      "    .645544 .572209 .475058 .40107 .361986 .369876 .421383 .487639 .556185\n"
      "    .630473 .684839 .6839 .631416 .565151 .530898 .555985 .624221 .686719\n"
      "    .708277 .689562 .646096 .590846 .536182 .494809 .472607 .466413 .472727\n"
      "    .48714 .498025 .499069 .503086 .527368 .569614 .607347 .619117 .604158\n"
      "    .578952 .556665 .543795 .55376 .601114 .68662 .799578 .916287 .995463 1\n"
      "    .925582 .802074 .670773 .561184 .485006 .442656 .428707 .433674 .445504\n"
      "    .450474 .433099 .380933 .297191 .20702 .142119 .118335 .132038 .170621\n"
      "    .217776 .255553 .272545 .27039 .259458 .24989 .246708 .24999 .258064 .270531\n"
      "    .288219 .311941 .342541 .380389 .422674 .462492 .493847 .517118 .536904\n"
      "    .555156 .56866 .572805 .566441 .553065 .538559 .529177 .530143 .542151\n"
      "    .559101 .573188 .582482 .591178 .603182 .616536 .622472 .609256 .569233\n"
      "    .505129 .429892 .358489 .298999 .251694 .214169 .18463 .161317 .141832\n"
      "    .12424 .108039 .0935445 .0808161 .0695147 .0593983 .0505721 .0432624\n"
      "    .0374149 .0325663 .0281239 .023706 .0192247 .0147759 .0105586 .00685159\n"
      "    .00393805 .00195879 .000826507 .00029104\n"
      "@DYNINFO\n"
      "  element  Pb\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00224992 .0629978\n"
      "  vdos_density .162937 .208913 .28458 .352369 .46656 .55851 .539571 .490905\n"
      "    .447582 .411711 .439629 .529438 .651028 .742229 .76989 .758492 .743753\n"
      "    .801392 .928805 .996851 .937236 .769083 .601779 .51119 .48638 .511288\n"
      "    .622076 .834226 1 .980692 .836412 .728541 .671007 .612724 .585146 .566686\n"
      "    .512478 .4495 .4045 .357926 .290632 .22946 .219012 .217403 .210261 .212416\n"
      "    .214845 .226757 .262064 .358462 .522938 .633629 .610829 .553019 .5487 .61747\n"
      "    .750785 .849386 .720615 .381902 .115843 .0225861 .0057073 .00268969\n"
      "    .00121088 .000560961 .00041328 .000374283 .000267589 .000211674 .0002397\n"
      "    .000232219 .000203237 .000177801 .000128566 .000127474 .000264763 .000546784\n"
      "    .00089379 .00120952 .00142434 .00145609 .00130877 .00107935 .000885697\n"
      "    .000784144 .000720001 .000640036 .000556314 .000458099 .000350993 .000278352\n"
      "    .000257311 .00034578 .000623294 .00100414 .00126841 .00132016 .00124637\n"
      "    .00115601 .00108519 .00105158 .0010966 .00142264 .00280484 .006376 .0119247\n"
      "    .0171846 .020435 .0222941 .0240284 .0262796 .0293626 .0323398 .0324304\n"
      "    .0283685 .0224778 .0174697 .0144548 .0137915 .0148995 .016391 .0176378\n"
      "    .0188392 .0196939 .0195807 .0183846 .0164648 .0146635 .013968 .0145016\n"
      "    .0153757 .0157132 .0152435 .0140968 .0126903 .0115672 .0110139 .0109436\n"
      "    .0110879 .0112511 .0113339 .0112249 .0109628 .0108525 .0111139 .0115588\n"
      "    .0117487 .0113853 .0105621 .00963341 .00883423 .00823489 .00801569 .00839675\n"
      "    .00934113 .0105563 .0116003 .0119874 .0114689 .0102124 .00866524 .007271\n"
      "    .00625037 .00560821 .00529449 .00527388 .00547487 .00575903 .00594154\n"
      "    .00581477 .00521356 .00417453 .00303003 .00221676 .00196017 .0022032\n"
      "    .00276156 .0034233 .0039722 .00426989 .00433026 .00427459 .0042316 .0042715\n"
      "    .0043914 .00456125 .00478286 .00508537 .00548398 .00597803 .00657299\n"
      "    .00725486 .00794642 .00854726 .00902918 .00944215 .00981972 .0101197\n"
      "    .0102686 .0102435 .0100941 .00990976 .00980234 .00989019 .0102094 .0106452\n"
      "    .0110339 .0113369 .0116524 .0120656 .0125194 .0128077 .0126761 .0119685\n"
      "    .0107446 .00927264 .00786242 .0066841 .00574909 .0050171 .0044592 .00403671\n"
      "    .00368664 .00335621 .00303259 .00272608 .00243964 .00216588 .00190246\n"
      "    .00165904 .00144903 .00127562 .00112693 .000985251 .000839061 .000686344\n"
      "    .000531317 .000381873 .000248918 .000143558 7.15895e-05 3.02656e-05\n"
      "    1.06732e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PbO-beta_sg57_Massicot.ncmat",textdata);
  }
  {
    // File PbS_sg225_LeadSulfide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Lead sulfide (PbS, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 1391 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Rocksalt structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008694\n"
      "#    https://www.crystallography.net/cod/9008694.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "#\n"
      "#    https://www.crystallography.net/cod/5000087.html\n"
      "#    https://www.crystallography.net/cod/9000001.html\n"
      "#    https://www.crystallography.net/cod/9013400.html\n"
      "#    https://www.crystallography.net/cod/9013401.html\n"
      "#    https://www.crystallography.net/cod/9013402.html\n"
      "#    https://www.crystallography.net/cod/9013403.html\n"
      "#    https://www.materialsproject.org/materials/mp-21276\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for PbS taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d021/mp-21276.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.9362\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Pb 0 0 0\n"
      "  Pb 0 1/2 1/2\n"
      "  Pb 1/2 0 1/2\n"
      "  Pb 1/2 1/2 0\n"
      "  S 1/2 1/2 1/2\n"
      "  S 1/2 0 0\n"
      "  S 0 1/2 0\n"
      "  S 0 0 1/2\n"
      "@DYNINFO\n"
      "  element  Pb\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00324989 .029999\n"
      "  vdos_density .0548676 .0726466 .095184 .133557 .196222 .248141 .283687 .330403\n"
      "    .398039 .47133 .579664 .746127 .939608 1 .894472 .618607 .286858 .114222\n"
      "    .0725293 .0633854 .0713133 .0865069 .0990366 .108669 .122268 .141931 .168144\n"
      "    .197608 .226269 .240559 .237294 .235135 .239318 .24269 .234209 .203883\n"
      "    .162199 .125759 .100106 .0808099 .0589126 .0344234 .0161293 .00850401\n"
      "    .00721581 .00732962 .00756449 .0079737 .00837213 .00813731 .00718444\n"
      "    .00622541 .00534968 .004307 .00358464 .00342227 .00329491 .00291286\n"
      "    .00261853 .0024815 .00239537 .0022992 .00202896 .00170961 .0015878 .00154317\n"
      "    .00146801 .00136328 .00120641 .00109695 .00116513 .00129532 .00130052\n"
      "    .00117011 .00100315 .000881977 .000810032 .000788904 .000806646 .000802839\n"
      "    .000783091 .000793431 .000799968 .000736593 .000635873 .000601865 .000674372\n"
      "    .000799466 .000896324 .00094739 .00102024 .00118116 .00139613 .00152679\n"
      "    .0014489 .00120589 .000957866 .000785079 .000651265 .000500679 .000330376\n"
      "    .00018335 8.84979e-05 3.8856e-05 1.55982e-05 5.41437e-06 1.48026e-06\n"
      "    2.91231e-07\n"
      "@DYNINFO\n"
      "  element  S\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00349988 .029999\n"
      "  vdos_density .0166382 .0272694 .0530954 .0779323 .101426 .115585 .104225\n"
      "    .103308 .0945346 .0918446 .0935007 .0803428 .0694164 .0732098 .0787589\n"
      "    .0777057 .0744461 .0656189 .0556033 .0571151 .0689962 .0859424 .106377\n"
      "    .110993 .107196 .100516 .116286 .150786 .165099 .156915 .140621 .125704\n"
      "    .158046 .211837 .227261 .220719 .233235 .274276 .312656 .361559 .44024\n"
      "    .512359 .572089 .640508 .711609 .778318 .85468 .947211 1 .966938 .896489\n"
      "    .811984 .729144 .709885 .746178 .748616 .688168 .645196 .649424 .686637\n"
      "    .723992 .696272 .635311 .626557 .654823 .690761 .704031 .666319 .639264\n"
      "    .702848 .797024 .828066 .8024 .767547 .764172 .799577 .857104 .923828 .97486\n"
      "    .997107 .990264 .938817 .838746 .722956 .633251 .59532 .602999 .623262\n"
      "    .636664 .65595 .700342 .765487 .816101 .813784 .76287 .704557 .661602\n"
      "    .614495 .533942 .420152 .301682 .204921 .1351 .0826268 .0414652 .0150034\n"
      "    .00358507\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("PbS_sg225_LeadSulfide.ncmat",textdata);
  }
  {
    // File Pb_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Lead (Pb)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011154 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008477.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 1 of:\n"
      "#\n"
      "#   \"Phonon density states in lead\"\n"
      "#   G. Gilat, Solid State Communications, Vol. 3, pp. 101-103, 1965.\n"
      "#   https://doi.org/10.1016/0038-1098(65)90232-2\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.9505\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Pb 1/2 1/2 1/2\n"
      "  Pb 1/2 0   0\n"
      "  Pb 0   1/2 0\n"
      "  Pb 0   0   1/2\n"
      "@DYNINFO\n"
      "  element  Pb\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .00115759 .009508775\n"
      "  vdos_density .0164391 .0181779 .0199167 .0216544 .0233835 .0251126 .0271535\n"
      "    .0294455 .0317376 .0340888 .0364649 .0393493 .0424824 .0457834 .0493122\n"
      "    .0530308 .0570704 .0617238 .0679636 .0747084 .0815044 .0876863 .0927762\n"
      "    .0978193 .102803 .10762 .112296 .116971 .121615 .126248 .13088 .135817\n"
      "    .140959 .146116 .151544 .156972 .1624 .167828 .17328 .178882 .184485 .190087\n"
      "    .196044 .201944 .2078 .213656 .219441 .225181 .230922 .237807 .244212\n"
      "    .257336 .26893 .275729 .280483 .285393 .290365 .294779 .299166 .303451\n"
      "    .307731 .313047 .318963 .324406 .329822 .33587 .342121 .349071 .356138\n"
      "    .363206 .370273 .377377 .38413 .390445 .397156 .40433 .412464 .423265\n"
      "    .433924 .445808 .458005 .470884 .484576 .498943 .514505 .531324 .549019\n"
      "    .567523 .589175 .621986 .66547 .710365 .811791 .889547 .950323 1 .99666\n"
      "    .949965 .893265 .827317 .774241 .740664 .703412 .678256 .659688 .64419\n"
      "    .633014 .622798 .610811 .599484 .585728 .5704 .550908 .493581 .338902\n"
      "    .309655 .298163 .293106 .295199 .298034 .302045 .306482 .311756 .317229\n"
      "    .322798 .328661 .334754 .341194 .347812 .354184 .360098 .366013 .373411\n"
      "    .381009 .38881 .396628 .404753 .4134 .424471 .435573 .446986 .458596 .471098\n"
      "    .485188 .496609 .486217 .443675 .416312 .394476 .377196 .35971 .343876\n"
      "    .32938 .31694 .305284 .298375 .292217 .28678 .283478 .280972 .281158 .28599\n"
      "    .291337 .296723 .302464 .311616 .331082 .355731 .38227 .492122 .552212\n"
      "    .643331 .677196 .704118 .73493 .773232 .803954 .824915 .833375 .83183\n"
      "    .818769 .814565 .822175 .81453 .76559 .712565 .553025 .420122 .408556\n"
      "    .403396 .401582 .400044 .397945 .394919 .389989 .383703 .376817 .36704\n"
      "    .354115 .325522 .250927 .00160974 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Pb_sg225.ncmat",textdata);
  }
  {
    // File Pd_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Paladium (fcc)\n"
      "#\n"
      "# Crystal struture converted from the cif file of the entry 0011155 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008478.html\n"
      "#\n"
      "# VDOS curve at 296K taken from (note: reference also has VDOS at 120K and 853K\n"
      "# available):\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.8898\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Pd 1/2 1/2   0\n"
      "  Pd 1/2   0 1/2\n"
      "  Pd   0 1/2 1/2\n"
      "  Pd   0   0   0\n"
      "@DYNINFO\n"
      "  element  Pd\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.011283590222294 0.028773155066851\n"
      "  vdos_density .314201 .329304 .344408 .359512 .375924 .39596 .415996 .436031\n"
      "    .460409 .497233 .534056 .61239 .671327 .683136 .694944 .706752 .718557\n"
      "    .730358 .74216 .753756 .763404 .773052 .782701 .792223 .800395 .808567\n"
      "    .814883 .819764 .824024 .8257 .827375 .826121 .824232 .730503 .673728\n"
      "    .640923 .610093 .583243 .556392 .535119 .514509 .494293 .481612 .470638\n"
      "    .459663 .448689 .437715 .426741 .415766 .404792 .392691 .379206 .365722\n"
      "    .351944 .338063 .324181 .308741 .292515 .275536 .254836 .234137 .212494\n"
      "    .192413 .193877 .246486 .300506 .359951 .434717 .521432 .623015 .687458\n"
      "    .70993 .735306 .760682 .786058 .814278 .845834 .87739 .908946 .940502\n"
      "    .970734 1 .759147 .614491 .528835 .449934 .373563 .300203 .150757 .131618\n"
      "    .107273 .0717718 .0240157 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Pd_sg225.ncmat",textdata);
  }
  {
    // File Polycarbonate_C16O3H14.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polycarbonate (PC).\n"
      "#\n"
      "# Specifically this is \"Polycarbonate of bisphenol A\", also known under the brand name \"Lexan\".\n"
      "#\n"
      "# Structure and density from:\n"
      "#\n"
      "# https://chem.nlm.nih.gov/chemidplus/rn/24936-68-3\n"
      "# https://www.worldofchemicals.com/chemicals/chemical-properties/polycarbonate.html\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=2xCH3+8xCHaro\n"
      "#  --formula=C16O3H14\n"
      "#  --density=1.239\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 89.9% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.239 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 16/33\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 3/33\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 14/33\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.432866\n"
      "  vdos_density .0498054 .0860414 .120815 .148821 .183835 .216586 .208006 .164945\n"
      "    .129171 .115009 .121834 .18056 .277419 .301067 .22759 .193332 .224192\n"
      "    .203439 .141819 .118128 .128635 .132328 .110135 .0799262 .0540003 .0495971\n"
      "    .0834995 .124898 .115777 .0804761 .0646576 .0562245 .0454014 .0452905\n"
      "    .0546715 .0555732 .0534588 .0527879 .0474963 .0465873 .0679858 .0991047\n"
      "    .0925522 .0570214 .0374108 .0441545 .0915757 .180213 .235379 .244271 .259151\n"
      "    .251628 .222969 .279284 .402491 .437252 .368304 .26267 .17081 .15886 .252862\n"
      "    .369541 .485048 .592569 .565676 .456525 .40098 .38469 .310443 .209857\n"
      "    .146524 .164127 .273373 .375778 .381871 .332119 .365254 .502854 .577462\n"
      "    .492297 .328576 .233898 .222184 .233908 .248122 .253622 .290899 .36602\n"
      "    .410681 .440788 .47847 .499463 .471163 .407192 .409827 .508308 .690884\n"
      "    .870449 .817317 .543831 .304746 .178978 .0985901 .0451479 .0316177 .0384184\n"
      "    .0424594 .0416579 .0404341 .0346139 .0204752 .00786826 .00243368 .000818278\n"
      "    .00033245 .000134075 4.22349e-05 1.62126e-05 1.27476e-05 1.25423e-05\n"
      "    1.25369e-05 1.25368e-05r23 1.2536e-05 1.25294e-05 1.24778e-05 1.22167e-05\n"
      "    1.13685e-05 9.36676e-06 6.09997e-06 2.86782e-06 1.03606e-06 4.59017e-07\n"
      "    3.64255e-07 3.56714e-07 3.56435e-07 3.56432e-07r9 3.56465e-07 3.58597e-07\n"
      "    4.19073e-07 1.1605e-06 4.94075e-06 1.20004e-05 1.36412e-05 7.31409e-06\n"
      "    2.12463e-06 7.43514e-07 1.57767e-06 5.17572e-06 1.30739e-05 2.768e-05\n"
      "    4.01997e-05 3.20263e-05 1.29286e-05 2.84249e-06 8.4332e-07 1.01733e-06\n"
      "    1.89776e-06 5.25067e-06 1.55264e-05 3.05202e-05 3.46721e-05 2.3381e-05\n"
      "    1.58523e-05 7.70504e-05 .000631017 .00309895 .0090137 .0166771 .0256801\n"
      "    .0600884 .183612 .393532 .503763 .436805 .38802 .50213 .743331 .957289\n"
      "    .986713 .836816 .722479 .770605 .855849 .841488 .671038 .458076 .373337\n"
      "    .393909 .319247 .144888 .0329231 .00358804 .000263616 7.78899e-05\n"
      "    2.78729e-05 4.71682e-06 3.58949e-07 0r3 1.24597e-07 1.24101e-06 5.55903e-06\n"
      "    1.14725e-05 1.15485e-05 6.25105e-06 1.96272e-06 3.44662e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polycarbonate_C16O3H14.ncmat",textdata);
  }
  {
    // File Polyester_C10H8O4.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polyester (PET, polyethylene terephthalate)\n"
      "#\n"
      "# Note: This file concerns amorphous polyester, which is always transparent.\n"
      "# Crystalline forms exist as well, and will often be white and with slighly\n"
      "# increased density.\n"
      "#\n"
      "# The chemical composition and density value is widely known and quoted across\n"
      "# many sources, providing consistent information. Specifically for the density of\n"
      "# amorphous PET, we use the Wikipedia value which itself is taken from: Van der\n"
      "# Vegt, A. K.; Govaert, L. E. (2005). Polymeren, van keten tot kunstof. VSSD. ISBN\n"
      "# 9071301486.\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=4xCHaro+2xCH2\n"
      "#  --formula=C10H8O4\n"
      "#  --density=1.37\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 88.1% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.37 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 10/22\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 4/22\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 8/22\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.432866\n"
      "  vdos_density .0365673 .0629947 .0956204 .122725 .142732 .158411 .155322\n"
      "    .141163 .134586 .137419 .129411 .104184 .0834263 .0736333 .0645363 .0571957\n"
      "    .057932 .061853 .0712907 .0868219 .094044 .0833445 .0662402 .0584939\n"
      "    .0511845 .0491728 .0824986 .138768 .152679 .122518 .0940458 .0744811\n"
      "    .0583418 .0566527 .0690395 .0769035 .0805932 .0834572 .0783914 .075839\n"
      "    .0958002 .122864 .112919 .0792763 .0606024 .058391 .0949218 .198587 .304422\n"
      "    .342452 .327862 .283452 .241369 .279564 .376674 .401517 .345884 .27192\n"
      "    .211519 .193802 .236358 .289939 .32346 .365257 .3856 .368492 .334565 .297407\n"
      "    .242823 .196822 .185429 .228712 .325101 .405889 .424148 .417162 .475864\n"
      "    .604739 .656439 .569267 .41215 .316039 .330187 .413451 .53023 .590816\n"
      "    .563387 .564958 .637409 .682123 .604797 .464962 .400435 .434947 .489338\n"
      "    .511811 .54829 .594236 .553225 .386723 .220537 .134653 .0814257 .0419983\n"
      "    .031732 .0373666 .0404203 .03967 .0388453 .0335621 .0207737 .00943274\n"
      "    .00392802 .00155845 .000626425 .000327653 .000211155 .000166574 .000156489\n"
      "    .000155344 .000155283 .000155281r17 .000155275 .000155204 .000154799\n"
      "    .000153737 .0001521 .0001485 .000136819 .000111742 8.26237e-05 6.57161e-05\n"
      "    6.1037e-05 6.02946e-05 5.92469e-05 5.36047e-05 3.85938e-05 2.00213e-05\n"
      "    8.90045e-06 6.22292e-06 8.14508e-06 1.16165e-05 1.3934e-05 1.46273e-05\n"
      "    1.47197e-05 1.47252e-05 1.47253e-05r3 1.47255e-05 1.47349e-05 1.49611e-05\n"
      "    1.73487e-05 2.81467e-05 4.77937e-05 5.71602e-05 4.5579e-05 2.81306e-05\n"
      "    1.87009e-05 1.63352e-05 1.73116e-05 2.22266e-05 3.27161e-05 4.92142e-05\n"
      "    6.23045e-05 5.58643e-05 3.93091e-05 3.04942e-05 2.86824e-05 2.89568e-05\n"
      "    3.25277e-05 4.96767e-05 9.46477e-05 .000158199 .000201392 .000208694\n"
      "    .000202965 .000201123 .000207034 .000247012 .000448592 .00217467 .0170966\n"
      "    .0802496 .200591 .340566 .536287 .767619 .937965 1 .936624 .783013 .616635\n"
      "    .506007 .52073 .653313 .768754 .76735 .619678 .431525 .350536 .357654\n"
      "    .283916 .127879 .0290295 .00318073 .000235914 6.85299e-05 2.44133e-05\n"
      "    4.12978e-06 3.14266e-07 0r3 1.09087e-07 1.08652e-06 4.86701e-06 1.00443e-05\n"
      "    1.01109e-05 5.47288e-06 1.71839e-06 3.01757e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polyester_C10H8O4.ncmat",textdata);
  }
  {
    // File Polyethylene_CH2.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polyethylene (PE).\n"
      "#\n"
      "# Note: This file models amorphous polyethylene, and the density value has been\n"
      "# set as 0.92, but could vary up to 5% in a given material.\n"
      "#\n"
      "# The VDOS curves were calculated using VASP DFT[1], with Phonopy[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.  The\n"
      "# calculation used an orthorombic unit cell with space group Pnma (62) (specific\n"
      "# PE structure taken from [4]). and the calculation was done on 3x5x9 k-point\n"
      "# grid.\n"
      "#\n"
      "# The performance was validated against measurements (Granada-1987 and\n"
      "# Lee-2020), and as an added sanity check it was verified that results were\n"
      "# consistent with a Polyethylene NCMAT file created with the ncrystal_hfg2ncmat\n"
      "# command (i.e. the hydrogen VDOS was consistent with one derived via the method\n"
      "# of G. Romanelli et. al (2021), doi:10.1088/1361-648X/abfc13).\n"
      "#\n"
      "# References:\n"
      "#  [1]: G. Kresse and J. Furthm\"uller, Phys. Rev. B 54 , 11 169 (1996.)\n"
      "#  [2]: \"First principles phonon calculations in materials science\",\n"
      "#       Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#  [4]: \"Materials Data on H2C (SG:62) by Materials Project\"\n"
      "#       Persson, Kristin (2016).DOI: 10.17188/1316749\n"
      "#       https://www.materialsproject.org/materials/mp-985782/\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  0.92 g_per_cm3\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00499983 0.388987\n"
      "  vdos_density .322584 .534107 .513798 .567147 .979635 1 .90088 .679148 .667954\n"
      "    .792674 .585743 .264702 .0958994 .0849349 .200291 .18888 .148477 .0468408\n"
      "    .227596 .178694 .0881526 .179048 .184071 .157636 .193127 .224345 .162481\n"
      "    .248246 .278777 .410049 .252139 .0253403 .000305302 3.41473e-07 0r3\n"
      "    1.79459e-12 4.59857e-09 1.3151e-06 8.71605e-05 .00467203 .0543112 .11141\n"
      "    .0759257 .0593393 .0752752 .0604568 .0486369 .0448907 .0440196 .0442852\n"
      "    .0426174 .0454424 .0434702 .05031 .190288 .623677 .721799 .552422 .36339\n"
      "    .268085 .501108 .721221 .708427 .750921 .379923 .214484 .328872 .50608\n"
      "    .418282 .293645 .25297 .233849 .225621 .227341 .230658 .1994 .114547 .109408\n"
      "    .136421 .111044 .179735 .529932 .744527 .345337 .0514444 .0296292 .0989765\n"
      "    .18324 .188444 .11578 .0382038 .00564802 .000332509 7.22427e-06 5.45938e-08\n"
      "    1.21493e-10 0r72 1.27466e-09 7.76038e-08 2.76659e-06 5.83371e-05 .000732565\n"
      "    .00553668 .0256557 .0753153 .147869 .20916 .230406 .210815 .165184 .105887\n"
      "    .050046 .0159285 .00324156 .000411334 3.21551e-05 1.53853e-06 4.47655e-08\n"
      "    5.03611e-10 0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00999966 0.387987\n"
      "  vdos_density .0318665 .0421859 .0675056 .108215 .151976 .170116 .17357 .183081\n"
      "    .175423 .164889 .169356 .183925 .200761 .215716 .199708 .129002 .0569422\n"
      "    .0242879 .0143587 .0077421 .00413391 .00728684 .0133438 .0155604 .0147525\n"
      "    .013608 .0139687 .0132327 .00810955 .0042884 .00846479 .0193417 .0237263\n"
      "    .0145705 .00643272 .00896616 .015196 .0169619 .0162861 .0162706 .0171736\n"
      "    .016846 .0154671 .0205795 .027199 .0231856 .016623 .0188992 .025387 .0281135\n"
      "    .0289381 .0340231 .0433007 .0519066 .0497203 .0324605 .0132498 .00326566\n"
      "    .000474291 3.93136e-05 1.79609e-06 4.39545e-08 5.52188e-10 0r5 8.87448e-14\n"
      "    1.04012e-11 6.96019e-10 2.66499e-08 5.8623e-07 7.60258e-06 6.48611e-05\n"
      "    .000489057 .00390158 .0252676 .106839 .281102 .466882 .509027 .391093\n"
      "    .242851 .152147 .119842 .119906 .122353 .109551 .0876404 .070595 .0630158\n"
      "    .0594899 .0550245 .0520758 .051979 .0524573 .0512474 .0484354 .0488658\n"
      "    .0520011 .0523933 .0511995 .0509302 .0511439 .0509744 .0512253 .0567807\n"
      "    .0686077 .0797584 .0846864 .0852327 .0881653 .0947742 .0991301 .100596\n"
      "    .107634 .130444 .172704 .220961 .241654 .213902 .16508 .141272 .147625\n"
      "    .146196 .112559 .065809 .0341581 .0237487 .0300106 .054319 .0985995 .14988\n"
      "    .183865 .190364 .182719 .176803 .175304 .175804 .179186 .185452 .191905\n"
      "    .198718 .208926 .223187 .240914 .262783 .286546 .309606 .342563 .401413\n"
      "    .471216 .499859 .448439 .334034 .211407 .124902 .0886805 .100797 .155752\n"
      "    .237072 .304479 .309195 .240135 .140672 .0650895 .0368382 .0563238 .12573\n"
      "    .251827 .427641 .61422 .747841 .779073 .706171 .565429 .400043 .245542\n"
      "    .127194 .0541911 .0186207 .00508736 .00109318 .000183087 2.37091e-05\n"
      "    2.35626e-06 1.78922e-07 1.02355e-08 3.97206e-10 0r144 6.77441e-10\n"
      "    7.25697e-09 6.06342e-08 4.41565e-07 2.81521e-06 1.57274e-05 7.70461e-05\n"
      "    .000331188 .00125017 .00414822 .0121138 .0311825 .0708992 .142769 .255511\n"
      "    .408273 .585858 .760476 .90074 .983225 1 .958759 .87693 .77361 .663031\n"
      "    .552174 .443086 .337511 .239929 .156737 .0929614 .0496248 .0237009 .0100868\n"
      "    .00381503 .00127996 .000380451 .000100093 2.32917e-05 4.79125e-06 8.707e-07\n"
      "    1.3947e-07 1.9331e-08 1.57274e-09 0\n"
      "\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polyethylene_CH2.ncmat",textdata);
  }
  {
    // File Polylactide_C3H4O2.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polylactide (PLA).\n"
      "#\n"
      "# Note: The density can vary by up to 10% depending on the actual material.\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=1xCHali+1xCH3\n"
      "#  --formula=C3H4O2\n"
      "#  --density=1.3\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 90.9% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.3 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 3/9\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element O\n"
      "  fraction 2/9\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 4/9\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .0331411 .0666322 .0947942 .111764 .135839 .162171 .153353 .11214\n"
      "    .0776112 .0655149 .0849356 .163214 .269778 .287871 .205506 .174632 .218328\n"
      "    .205321 .137669 .101362 .108525 .116599 .097329 .0684709 .044616 .0322087\n"
      "    .0283822 .027984 .0316088 .0333917 .0290449 .0227683 .0177108 .0183488\n"
      "    .0239762 .0233055 .0146989 .00686533 .00375138 .00540127 .0117057 .0220604\n"
      "    .0296044 .0284101 .0235342 .0202883 .0229612 .0286841 .0384685 .0573693\n"
      "    .0642352 .0560438 .053478 .0529618 .0549035 .0579224 .057339 .0612376\n"
      "    .0690522 .0868577 .123076 .180503 .288189 .360124 .280118 .172957 .155869\n"
      "    .182028 .175173 .135115 .107275 .107799 .113673 .114587 .124716 .145542\n"
      "    .175554 .199619 .196399 .152622 .089347 .0553681 .0792724 .133497 .173112\n"
      "    .213519 .275742 .332503 .339097 .354342 .419555 .454421 .407423 .33775\n"
      "    .348587 .463475 .65589 .816728 .738956 .466796 .21862 .0796155 .0253457\n"
      "    .010188 .00752701 .00833441 .0083879 .00666028 .00474757 .00386615 .00365805\n"
      "    .00322159 .00235757 .0012877 .000448349 .000104479 3.35976e-05 1.90048e-05\n"
      "    1.4123e-05 1.31741e-05 1.30933e-05 1.30903e-05r22 1.30902e-05 1.30894e-05\n"
      "    1.30825e-05 1.30286e-05 1.2756e-05 1.18704e-05 9.78025e-06 6.36966e-06\n"
      "    3.01303e-06 1.45713e-06 3.84513e-06 1.38583e-05 2.47318e-05 2.07518e-05\n"
      "    8.68207e-06 2.15271e-06 5.82954e-07 3.85562e-07 3.72591e-07 3.72173e-07\n"
      "    3.72167e-07r2 3.72189e-07 3.73473e-07 4.06306e-07 7.73815e-07 2.50603e-06\n"
      "    5.53608e-06 6.36146e-06 4.99096e-06 5.06366e-06 5.84996e-06 1.01872e-05\n"
      "    1.9562e-05 2.08733e-05 1.19565e-05 6.07293e-06 5.59115e-06 8.004e-06\n"
      "    1.11136e-05 1.29797e-05 1.27652e-05 1.13456e-05 9.59724e-06 1.16505e-05\n"
      "    2.36242e-05 3.69392e-05 3.31085e-05 1.81603e-05 1.48154e-05 .000111528\n"
      "    .00131975 .00986286 .0391066 .0766267 .0813585 .097943 .236642 .4663 .560558\n"
      "    .463647 .39417 .469384 .644038 .872498 1 .845296 .487039 .182511 .0440966\n"
      "    .00716109 .00106923 .000264463 7.56115e-05 1.95896e-05 1.08808e-05 1.09e-05\n"
      "    8.67165e-06 6.5854e-06 6.50297e-06 4.7573e-06 1.95027e-06 7.96181e-07\n"
      "    6.12691e-07 4.09845e-07 5.81047e-07 1.76463e-06 3.67782e-06 4.02664e-06\n"
      "    2.1212e-06 6.50931e-07 6.45815e-07 1.38584e-06 1.83656e-06 1.24917e-06\n"
      "    4.02195e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polylactide_C3H4O2.ncmat",textdata);
  }
  {
    // File Polypropylene_C3H6.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polypropylene (PP).\n"
      "#\n"
      "# Note: This file models amorphous polyethylene, and the density value has been\n"
      "# set as 0.855, but could be up to 10% higher (esp. in a crystalline material).\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=1xCH3+1xCHali+1xCH2\n"
      "#  --formula=C3H6\n"
      "#  --density=0.855\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 94.7% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  0.855 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 3/9\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 6/9\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .0339065 .0689534 .101344 .121487 .143822 .167707 .159663 .123411\n"
      "    .0953246 .0887439 .10496 .159729 .233447 .240381 .172056 .147924 .186368\n"
      "    .181161 .131829 .10645 .113779 .116715 .0954431 .0705997 .0505697 .0378031\n"
      "    .035337 .0436386 .057181 .059535 .0483768 .036133 .0276133 .0268609 .0332833\n"
      "    .0350148 .029106 .0233602 .020373 .0213329 .0281685 .0381256 .0427379\n"
      "    .0393661 .034147 .0289543 .0311906 .0498375 .08655 .12059 .115265 .0891633\n"
      "    .0789974 .0739549 .0712768 .0711923 .0720982 .0848751 .102411 .117897\n"
      "    .138472 .180285 .272422 .331911 .262662 .17581 .160775 .178212 .172281\n"
      "    .142738 .128609 .140301 .149194 .148692 .160358 .185421 .217583 .242185\n"
      "    .23455 .191214 .13174 .0989176 .132486 .212283 .293897 .359956 .402673\n"
      "    .436587 .44807 .453705 .46789 .455295 .411519 .38408 .42763 .545232 .721089\n"
      "    .858523 .772575 .493792 .22847 .0794481 .0247276 .0109949 .00868786\n"
      "    .00906045 .00895715 .00755253 .00597872 .00506794 .00460506 .00394622\n"
      "    .00277979 .00142699 .000512595 .000182403 .000110351 8.91311e-05 8.21707e-05\n"
      "    8.10038e-05 8.09161e-05 8.09131e-05r17 8.09103e-05 8.08775e-05 8.06929e-05\n"
      "    8.02081e-05 7.94608e-05 7.78169e-05 7.24836e-05 6.103e-05 4.76952e-05\n"
      "    3.97676e-05 3.69534e-05 3.50143e-05 3.19248e-05 2.67791e-05 1.87349e-05\n"
      "    1.20842e-05 1.46733e-05 2.17757e-05 1.96062e-05 1.19503e-05 8.00944e-06\n"
      "    7.12415e-06 7.01524e-06 7.00781e-06 7.00754e-06r3 7.00764e-06 7.01289e-06\n"
      "    7.14046e-06 8.48764e-06 1.44471e-05 2.42255e-05 2.63118e-05 1.93195e-05\n"
      "    1.39383e-05 1.23096e-05 1.51022e-05 2.23919e-05 2.42017e-05 1.90078e-05\n"
      "    1.62022e-05 1.68171e-05 1.90049e-05 2.14709e-05 2.2922e-05 2.27859e-05\n"
      "    2.19004e-05 2.2152e-05 3.11592e-05 5.91348e-05 9.4838e-05 .000109487\n"
      "    .000103837 .000102278 .000176941 .00110466 .00766109 .0301314 .0596251\n"
      "    .0700182 .111323 .271821 .510321 .666781 .676894 .650855 .677424 .764911\n"
      "    .919088 1 .825868 .469858 .178907 .0526584 .0208453 .015741 .0141883\n"
      "    .0108868 .00585472 .00202445 .000479634 .000101676 2.35153e-05 7.39068e-06\n"
      "    3.80104e-06 1.49795e-06 6.09625e-07 4.6908e-07 3.13779e-07 4.44852e-07\n"
      "    1.35101e-06 2.81575e-06 3.08281e-06 1.624e-06 4.98356e-07 4.94439e-07\n"
      "    1.06101e-06 1.40608e-06 9.56367e-07 3.07922e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polypropylene_C3H6.ncmat",textdata);
  }
  {
    // File Polystyrene_C8H8.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Polystyrene (PS).\n"
      "#\n"
      "# Note: The density can vary a lot depending on the actual material (e.g. the\n"
      "# density should be a lot lower if using this file to model expanded or extruded\n"
      "# polystyrene.\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=5xCHaro+1xCHali+1xCH2\n"
      "#  --formula=C8H8\n"
      "#  --density=1.0\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 91.7% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  1.0 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 8/16\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 8/16\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .0334822 .05309 .0779554 .101056 .120488 .134777 .132918 .1223\n"
      "    .116246 .114615 .101842 .0792678 .0673719 .0663295 .0613541 .0509213\n"
      "    .0431331 .0410231 .0499692 .0658186 .0717575 .063721 .0535795 .0489767\n"
      "    .0420537 .0434928 .0834903 .140077 .141121 .102177 .0785228 .0652419\n"
      "    .0520837 .0536591 .0698032 .0774785 .0778036 .0773061 .0702977 .0679156\n"
      "    .0914918 .125769 .119962 .084078 .0610226 .0578255 .0996821 .204606 .289949\n"
      "    .308416 .308878 .284878 .244888 .298477 .425684 .462569 .392642 .285296\n"
      "    .192821 .171411 .242091 .316315 .343534 .386491 .419116 .404875 .3706\n"
      "    .333415 .272958 .220038 .199133 .237958 .346396 .443118 .472138 .482403\n"
      "    .574696 .739383 .806962 .687281 .468077 .333395 .336976 .412181 .498434\n"
      "    .528939 .50581 .527576 .631523 .740824 .72566 .573698 .444786 .420924\n"
      "    .414994 .36246 .336818 .362843 .35317 .260434 .177114 .141015 .0969678\n"
      "    .0508592 .0385073 .0467836 .0506832 .0485789 .0466262 .0400523 .0247679\n"
      "    .0112742 .00490837 .00216168 .000838547 .00031238 .000140771 8.99295e-05\n"
      "    7.86226e-05 7.71321e-05 7.7031e-05 7.70277e-05 7.70276e-05r16 7.70246e-05\n"
      "    7.6989e-05 7.67884e-05 7.62617e-05 7.54496e-05 7.36635e-05 6.78692e-05\n"
      "    5.54299e-05 4.09856e-05 3.25986e-05 3.02775e-05 2.99093e-05 2.93898e-05\n"
      "    2.66062e-05 1.94567e-05 1.27316e-05 1.56271e-05 2.33509e-05 2.09938e-05\n"
      "    1.26752e-05 8.39316e-06 7.43124e-06 7.3129e-06 7.30483e-06 7.30454e-06\n"
      "    7.30453e-06r2 7.30465e-06 7.31038e-06 7.45131e-06 8.98077e-06 1.62611e-05\n"
      "    3.09904e-05 4.09222e-05 3.51062e-05 2.23895e-05 1.49854e-05 1.65202e-05\n"
      "    2.53466e-05 3.12192e-05 3.41462e-05 4.69318e-05 6.1136e-05 5.45717e-05\n"
      "    3.64671e-05 2.70185e-05 2.4425e-05 2.29395e-05 2.26446e-05 3.14447e-05\n"
      "    6.13378e-05 .000104241 .000127003 .00011864 .000105795 .000126623 .000653476\n"
      "    .0056459 .0249769 .0504643 .0541421 .0702304 .140408 .223239 .322222 .495525\n"
      "    .757095 .976972 .947095 .687254 .459893 .426236 .571197 .791844 .937462\n"
      "    .929519 .744541 .512413 .417077 .434025 .348811 .157822 .0358493 .00391878\n"
      "    .000293874 8.86731e-05 3.18898e-05 5.78367e-06 8.99414e-07 3.54226e-07\n"
      "    4.83683e-07 1.47401e-06 3.19478e-06 4.6971e-06 7.8003e-06 1.29978e-05\n"
      "    1.3076e-05 7.93993e-06 3.65882e-06 1.41337e-06 3.6778e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Polystyrene_C8H8.ncmat",textdata);
  }
  {
    // File Pt_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Platinum (fcc)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011157 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008480.html\n"
      "#\n"
      "# VDOS curve at 90K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.9231\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Pt 1/2 0   1/2\n"
      "  Pt 1/2 1/2 0\n"
      "  Pt 0   0   0\n"
      "  Pt 0   1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Pt\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0035153175127 0.024472018069181\n"
      "  vdos_density .0334117 .0368611 .0403105 .0437599 .0472093 .0506586 .054108\n"
      "    .0585719 .0631711 .0677703 .0723695 .0769687 .0815679 .0870463 .0927953\n"
      "    .0985443 .104293 .110042 .115791 .12154 .127289 .133038 .139463 .146295\n"
      "    .152044 .158401 .1653 .171049 .177339 .184238 .192219 .19932 .205069 .212847\n"
      "    .22049 .227389 .235235 .243283 .251332 .25938 .267699 .276898 .286096\n"
      "    .295295 .304493 .314435 .324919 .336417 .348591 .361306 .375104 .38951\n"
      "    .404458 .421704 .440034 .45958 .483455 .509968 .539863 .578888 .628059\n"
      "    .693597 .816896 1 .799758 .731541 .706921 .691974 .679462 .668775 .661877\n"
      "    .655722 .650379 .648079 .646456 .6449 .636852 .606889 .557448 .535602 .51592\n"
      "    .498673 .485755 .473581 .462083 .451599 .441657 .432458 .425154 .417579\n"
      "    .40838 .400061 .390389 .375442 .362118 .349876 .339528 .329924 .320725\n"
      "    .311527 .302329 .293198 .285149 .276492 .267294 .258095 .249438 .241389\n"
      "    .232259 .222587 .212239 .200876 .189378 .17788 .166382 .157251 .153802\n"
      "    .158266 .170034 .19763 .234153 .274192 .313286 .355355 .401482 .46587\n"
      "    .555192 .572801 .594647 .614667 .633064 .652611 .671075 .688322 .705569\n"
      "    .722816 .740063 .75528 .710574 .556501 .477233 .419405 .374563 .335876\n"
      "    .300435 .26939 .240781 .213389 .186943 .15901 .129859 .097665 .0627653\n"
      "    .027054 .00865729 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Pt_sg225.ncmat",textdata);
  }
  {
    // File Rb_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Rubidium (bcc)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011228 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008550.html\n"
      "#\n"
      "# VDOS curve at 120K taken from (note that it also contains a curve at 12K,\n"
      "# which we ignored for now):\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.605\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  Rb   0   0   0\n"
      "  Rb 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Rb\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00074442017916 0.00616805291304\n"
      "  vdos_density .034372 .0374103 .0404485 .0434868 .0468283 .0502077 .0535871\n"
      "    .0578764 .0624257 .0669749 .0717191 .0765608 .0814025 .0871739 .093689\n"
      "    .100204 .107543 .11591 .124277 .134627 .148941 .163254 .183775 .209159\n"
      "    .21347 .217827 .222555 .227283 .232011 .23695 .24189 .246829 .252331 .257904\n"
      "    .263477 .269075 .27468 .280285 .286638 .293365 .300091 .306285 .312053\n"
      "    .31782 .324585 .332594 .340604 .348863 .357621 .366378 .375189 .38419\n"
      "    .393191 .402602 .415291 .42798 .44067 .454269 .467868 .481467 .500871\n"
      "    .521002 .541132 .557108 .486161 .459132 .439507 .423585 .407662 .395928\n"
      "    .387545 .379161 .372157 .366876 .361596 .357041 .353938 .350835 .34793\n"
      "    .34572 .343511 .341411 .340193 .338974 .337756 .337512 .337268 .337025\n"
      "    .337517 .338102 .338687 .340283 .342168 .344052 .34637 .348905 .35144\n"
      "    .354443 .357823 .361202 .365585 .371223 .376861 .383311 .391386 .399461\n"
      "    .408522 .421032 .433542 .447679 .474829 .501978 .529127 .523863 .518599\n"
      "    .513335 .509009 .504801 .500593 .49684 .493217 .489594 .485873 .482104\n"
      "    .478334 .475287 .472818 .470348 .467496 .464165 .460834 .457774 .455256\n"
      "    .452738 .45018 .447483 .444786 .442061 .439121 .43618 .433239 .428999\n"
      "    .424758 .420518 .415743 .410901 .406059 .402317 .398889 .395461 .393018\n"
      "    .391068 .389119 .387657 .386584 .385512 .384945 .38501 .385075 .385649\n"
      "    .387241 .388834 .390881 .39452 .398159 .402059 .408038 .414017 .419996\n"
      "    .430914 .441832 .45275 .47089 .489931 .508973 .552189 .602312 .652435\n"
      "    .698843 .743393 .787943 .832186 .876183 .920181 .961858 1 .895034 .765056\n"
      "    .705688 .64632 .592242 .556677 .521112 .486084 .455361 .424637 .393914\n"
      "    .361744 .329574 .297405 .256397 .214284 .172171 .072361 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Rb_sg229.ncmat",textdata);
  }
  {
    // File Rubber_C5H8.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Rubber (polyisoprene, natural rubber)\n"
      "#\n"
      "# Density and structure taken from:\n"
      "#\n"
      "# https://www.chemicalbook.com/ChemicalProductProperty_EN_CB1382840.htm\n"
      "#\n"
      "# ----------------------------------------------------------------------------\n"
      "#\n"
      "# File generated by ncrystal_hfg2ncmat with:\n"
      "#\n"
      "#  --spec=1xCHali+1xCH3+2xCH2\n"
      "#  --formula=C5H8\n"
      "#  --density=0.92\n"
      "#\n"
      "# The hydrogen VDOS curve in this file is constructed using data from:\n"
      "#\n"
      "#   \"Thermal neutron cross sections of amino acids from average contributions\n"
      "#   of functional groups\", G. Romanelli, et. al., J. Phys.: Condens. Matter,\n"
      "#   (2021). doi:10.1088/1361-648X/abfc13\n"
      "#\n"
      "# Considering only scat. lengths and composition, incoherent scattering on\n"
      "# hydrogen accounts for 93.9% of scattering in this material (a higher value\n"
      "# implies more accurate modelling).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  solid\n"
      "@DENSITY\n"
      "  0.92 g_per_cm3\n"
      "@DYNINFO\n"
      "  element C\n"
      "  fraction 5/13\n"
      "  type vdosdebye\n"
      "  debye_temp 400.0\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 8/13\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00360721 0.434669\n"
      "  vdos_density .0343813 .070393 .105407 .127518 .148773 .171141 .163576 .130401\n"
      "    .106311 .103151 .11738 .157567 .210913 .210927 .151309 .131359 .166546\n"
      "    .166176 .128207 .109606 .117037 .116787 .0942734 .0719201 .0542623 .0412729\n"
      "    .0396505 .0533481 .0730416 .0757497 .060367 .0444221 .0337551 .0321404\n"
      "    .0390557 .0422772 .0380417 .0335907 .0306822 .0312141 .0383792 .0480897\n"
      "    .0508837 .0461613 .0407294 .0343292 .0362947 .0629573 .116371 .159801\n"
      "    .146915 .109705 .0948252 .0869753 .081432 .0794226 .0812522 .0995358 .123101\n"
      "    .137149 .148022 .18015 .262643 .314413 .251835 .17758 .163817 .175846\n"
      "    .170488 .147466 .14184 .160459 .171226 .169845 .182463 .210155 .24365\n"
      "    .268585 .258213 .21515 .158033 .125928 .165491 .261148 .36881 .45078 .481399\n"
      "    .501142 .515657 .515333 .497869 .455837 .41406 .412815 .476655 .59594\n"
      "    .761528 .884445 .793426 .510535 .23458 .0793442 .0243442 .0114954 .00940785\n"
      "    .00951076 .00931022 .00810593 .00674231 .00581331 .00519242 .00439565\n"
      "    .00304166 .00151339 .000552443 .000230733 .000157955 .000132625 .000124376\n"
      "    .000123074 .000122982 .000122979r17 .000122974 .000122921 .000122622\n"
      "    .000121836 .000120626 .000117962 .000109321 9.07683e-05 6.91964e-05\n"
      "    5.65209e-05 5.25106e-05 5.06651e-05 4.77748e-05 4.15194e-05 2.94511e-05\n"
      "    1.71943e-05 1.51788e-05 1.99423e-05 1.88956e-05 1.39774e-05 1.16419e-05\n"
      "    1.11812e-05 1.11271e-05 1.11232e-05 1.1123e-05r3 1.11231e-05 1.11308e-05\n"
      "    1.13172e-05 1.3272e-05 2.18533e-05 3.58172e-05 3.86855e-05 2.82064e-05\n"
      "    1.94426e-05 1.6316e-05 1.81506e-05 2.41472e-05 2.62661e-05 2.33812e-05\n"
      "    2.24847e-05 2.37797e-05 2.58279e-05 2.78948e-05 2.90884e-05 2.9001e-05\n"
      "    2.84468e-05 2.99387e-05 4.3259e-05 8.11594e-05 .000130748 .000156859\n"
      "    .000156975 .000156525 .000217512 .000971251 .00629549 .0245647 .0490803\n"
      "    .0629846 .119621 .293641 .537623 .732663 .809156 .810058 .806457 .83988\n"
      "    .947984 1 .813819 .459202 .176671 .0579687 .0293326 .0248409 .0228242\n"
      "    .0175921 .00947383 .00327332 .000770355 .000159361 3.40157e-05 7.94126e-06\n"
      "    3.20793e-06 1.21741e-06 4.93919e-07 3.80008e-07 2.54197e-07 3.60381e-07\n"
      "    1.09447e-06 2.28108e-06 2.49743e-06 1.31563e-06 4.03725e-07 4.00552e-07\n"
      "    8.59538e-07 1.13909e-06 7.74766e-07 2.49452e-07 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Rubber_C5H8.ncmat",textdata);
  }
  {
    // File Sc_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Scandium (hcp)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011192 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008514.html\n"
      "#\n"
      "# VDOS curve at 295K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.309 !! 5.2733\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Sc 1/3 2/3 1/4\n"
      "  Sc 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element  Sc\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0041795884525704 0.029893143497732\n"
      "  vdos_density .0111288 .0117466 .0123644 .0130844 .0139425 .0148006 .0156405\n"
      "    .0164633 .017286 .0181671 .0190964 .0200257 .0209667 .0219586 .0229504\n"
      "    .0239423 .024948 .0259557 .0270415 .0281884 .0293353 .0304823 .0316679\n"
      "    .0328794 .0340909 .0353025 .036514 .0379687 .0394685 .0409683 .0424712\n"
      "    .0440192 .0455673 .0471153 .0487461 .0505852 .0524243 .0542634 .0561024\n"
      "    .058057 .0600271 .0619972 .0641488 .0665601 .0689713 .0712417 .0734918\n"
      "    .075849 .0790209 .0821929 .0850278 .0878387 .0906496 .0939549 .0973396\n"
      "    .100724 .104242 .107765 .111409 .115166 .118924 .123289 .127491 .131488\n"
      "    .135534 .140175 .144785 .149228 .153671 .158724 .163794 .168611 .173402\n"
      "    .179019 .184645 .190303 .196028 .201896 .207961 .214564 .221692 .229649\n"
      "    .239611 .251819 .275156 .322788 .312486 .307701 .304174 .30296 .303624\n"
      "    .304311 .305038 .305765 .306597 .307475 .308352 .30925 .310148 .311045\n"
      "    .311941 .312834 .313727 .314619 .315512 .316476 .317452 .318428 .319423\n"
      "    .320533 .321643 .322753 .323867 .325052 .326236 .327421 .328606 .329941\n"
      "    .331691 .333441 .335571 .339748 .344127 .348148 .348456 .344432 .335046\n"
      "    .3265 .321405 .318233 .316167 .317208 .318654 .320087 .322902 .326593\n"
      "    .331549 .33998 .333892 .327808 .324136 .322719 .326283 .325889 .324149\n"
      "    .322636 .321382 .320206 .319106 .318172 .317432 .316669 .315841 .315402\n"
      "    .315385 .315368 .315135 .314772 .314837 .315406 .315985 .316585 .317294\n"
      "    .31829 .319287 .320294 .321826 .323359 .324891 .326938 .329036 .331135\n"
      "    .333603 .336074 .338589 .341293 .343997 .346873 .350049 .353246 .356729\n"
      "    .360365 .364194 .36788 .371508 .375647 .379981 .384515 .389441 .394366\n"
      "    .399519 .404876 .410434 .416472 .42251 .42924 .436491 .444252 .454371\n"
      "    .465193 .477695 .492263 .507538 .524007 .543735 .567395 .591891 .62016\n"
      "    .655586 .701629 .762724 .849941 .930204 1 .830542 .692618 .646964 .597559\n"
      "    .562538 .532228 .505692 .481346 .458178 .439017 .426546 .418729 .414074\n"
      "    .416687 .428603 .476467 .545814 .512799 .453503 .385684 .374773 .37944\n"
      "    .39386 .42475 .459211 .449123 .422137 .396248 .389873 .394627 .400094\n"
      "    .399895 .403059 .41485 .430306 .446714 .464535 .48566 .512063 .557882\n"
      "    .647552 .777658 .966272 .719714 .652989 .610656 .592106 .581744 .573408\n"
      "    .567357 .561802 .557119 .552435 .437343 .358748 .317251 .285632 .256503\n"
      "    .232357 .213977 .194953 .178666 .162702 .146115 .127363 .105849 .086228\n"
      "    .0579158 .0167878 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Sc_sg194.ncmat",textdata);
  }
  {
    // File SiC-beta_sg216_BetaSiliconCarbide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beta Silicon Carbide (beta-SiC, carborundum, cubic, SG-216 / F-43m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1973K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Zur Kristallstruktur des kubischen Karborunds\"\n"
      "#    Braekken, H (1930)\n"
      "#    Crystallography Open Database entry 1010995\n"
      "#    https://www.crystallography.net/cod/1010995.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.materialsproject.org/materials/mp-8062\n"
      "#   https://www.crystallography.net/cod/1011031.html\n"
      "#   https://www.crystallography.net/cod/9008856.html\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for SiC taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20151124/d008/mp-8062.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 4.348\n"
      "@SPACEGROUP\n"
      "  216\n"
      "@ATOMPOSITIONS\n"
      "  Si   0   0   0\n"
      "  Si   0 1/2 1/2\n"
      "  Si 1/2   0 1/2\n"
      "  Si 1/2 1/2   0\n"
      "  C  1/4 1/4 1/4\n"
      "  C  1/4 3/4 3/4\n"
      "  C  3/4 1/4 3/4\n"
      "  C  3/4 3/4 1/4\n"
      "@DYNINFO\n"
      "  element  C\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0254991 .116996\n"
      "  vdos_density .0130188 .015575 .0157034 .0200858 .0202764 .0259995 .0275375\n"
      "    .038024 .0491988 .0448798 .0450969 .0465249 .0454671 .0447086 .0447747\n"
      "    .0446022 .043407 .0442055 .0430205 .0437147 .0438825 .0437019 .0467404\n"
      "    .0472606 .0482102 .0450543 .0373141 .0332058 .0301974 .0283443 .0257028\n"
      "    .0229338 .0199302 .020721 .0189709 .0193499 .0190233 .0180696 .0184887\n"
      "    .0167892 .0166293 .0134879 .00861547 .00913886 .00855396 .00913076 .00977273\n"
      "    .0109238 .0110485 .011281 .0115452 .0126773 .0127853 .0136749 .0142654\n"
      "    .0150353 .0152341 .0141556 .0119755 .0090428 .00690017 .00538988 .00432837\n"
      "    .00336719 .002523 .0018171 .00122225 .000747235 .00042181 .000225495\n"
      "    9.14586e-05 1.97293e-05 1.43553e-06 2.44218e-08 8.55704e-11 0r8 1.68189e-12\n"
      "    1.95965e-09 6.35654e-07 5.82079e-05 .00157045 .0141705 .0564432 .141225\n"
      "    .289063 .550009 .882679 1 .790741 .570217 .443839 .300924 .148618 .0482626\n"
      "    .0130441 .0119385 .0226856 .0435866 .0785767 .129369 .214791 .351009 .460712\n"
      "    .434247 .327955 .227692 .150964 .102005 .0743805 .0565881 .0425887 .0291892\n"
      "    .0159434 .00572038 .00109072 9.45358e-05\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .0209993 .116996\n"
      "  vdos_density .0807216 .11161 .0967916 .1241 .122869 .157924 .154656 .187429\n"
      "    .189824 .246078 .250256 .325784 .34836 .485756 .637274 .590341 .609687\n"
      "    .643368 .642715 .649694 .667586 .683929 .684774 .718471 .720727 .759144\n"
      "    .78254 .807426 .895066 .936634 .986167 .944138 .795122 .727979 .676328\n"
      "    .643332 .597348 .519541 .450549 .476002 .446999 .458343 .463165 .453569\n"
      "    .464775 .438439 .4288 .316983 .166342 .160293 .155039 .169302 .190076\n"
      "    .220189 .235491 .250069 .271257 .318521 .354362 .436873 .588315 .799361\n"
      "    .88883 .889541 .794843 .630047 .505163 .427919 .375036 .326683 .284192\n"
      "    .245166 .195985 .135946 .0815675 .0545889 .0362404 .0113952 .000939622\n"
      "    1.6429e-05 5.79351e-08 0r8 1.03014e-13 1.20842e-10 3.98143e-08 3.83567e-06\n"
      "    .000120489 .00156249 .0111555 .0526297 .178782 .451958 .81945 1 .861198\n"
      "    .69926 .609744 .453616 .240232 .0811784 .0208687 .0123713 .0157754 .0228021\n"
      "    .033745 .055205 .10093 .176824 .250957 .270208 .242867 .197397 .147473\n"
      "    .109623 .0862698 .0697113 .0550204 .0391236 .0219547 .00801113 .00154072\n"
      "    .000134045\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("SiC-beta_sg216_BetaSiliconCarbide.ncmat",textdata);
  }
  {
    // File SiO2-alpha_sg154_AlphaQuartz.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Alpha-Quartz (SiO2, trigonal, SG-154 / P3_221)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 850K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"State-of-the-art high-resolution powder x-ray diffraction\n"
      "#     (HRPXRD) illustrated with Rietveld structure refinement of\n"
      "#     quartz, sodalite,  tremolite, and meionite\"\n"
      "#    Antao, S. M., et al. (2008)\n"
      "#    DOI: https://dx.doi.org/10.3749/canmin.46.5.1501\n"
      "#    Crystallography Open Database entry 9013321\n"
      "#    https://www.crystallography.net/cod/9013321.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/2100188.html\n"
      "#   https://www.crystallography.net/cod/5000035.html\n"
      "#\n"
      "# The VDOS curves were calculated using VASP DFT[1], with Phonopy[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: G. Kresse and J. Furthm\"uller, Phys. Rev. B 54 , 11 169 (1996.)\n"
      "#  [2]: \"First principles phonon calculations in materials science\",\n"
      "#       Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.913437 !! 5.405118\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  154\n"
      "@ATOMPOSITIONS\n"
      "  Si .47 0   2/3\n"
      "  Si 0   .47 1/3\n"
      "  Si .53 .53 0\n"
      "  O .4146 .2678 .78543\n"
      "  O .2678 .4146 .21457\n"
      "  O .7322 .1468 .45209666666666667\n"
      "  O .5854 .8532 .88123666666666667\n"
      "  O .8532 .5854 .11876333333333333\n"
      "  O .1468 .7322 .54790333333333333\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0095 .165\n"
      "  vdos_density .177028 .24498 .33808 .369121 .31477 .284239 .291603 .282314\n"
      "    .259883 .1968 .155077 .16577 .209744 .259427 .280949 .262354 .221366 .164319\n"
      "    .137059 .143932 .186564 .239782 .256911 .232866 .215149 .209122 .185629\n"
      "    .176678 .195524 .202855 .193301 .187836 .173609 .146022 .120113 .12457\n"
      "    .178425 .25077 .289705 .281197 .27278 .284264 .295704 .285539 .254412\n"
      "    .236167 .230694 .215386 .194632 .176633 .179722 .219105 .270407 .293776\n"
      "    .271294 .23119 .215711 .226385 .232062 .211786 .169696 .12716 .120202 .15657\n"
      "    .18732 .179879 .160771 .145216 .135704 .143941 .158387 .163286 .166021\n"
      "    .170112 .172847 .180804 .202687 .231065 .249604 .266584 .307355 .358899\n"
      "    .375104 .345509 .299933 .275775 .295576 .337034 .343931 .296266 .227749\n"
      "    .178469 .172659 .218134 .277547 .284638 .231816 .166051 .117259 .085909\n"
      "    .0640823 .045796 .0297047 .0178339 .0117729 .0107306 .0119743 .0146792\n"
      "    .018786 .025354 .0377635 .061851 .101235 .152607 .205824 .246401 .257153\n"
      "    .233273 .188701 .137376 .0910116 .058319 .0398047 .0300015 .0251584 .0245048\n"
      "    .0276042 .031966 .0346896 .0365941 .0401651 .0489521 .0695081 .106454\n"
      "    .155895 .201975 .231906 .241344 .229508 .202986 .175712 .155824 .141077\n"
      "    .124952 .106378 .0867194 .0687217 .0561925 .0488502 .0450277 .0417512\n"
      "    .0393097 .0390604 .0417995 .0458951 .0502638 .0551948 .0648004 .0870312\n"
      "    .131431 .201456 .28446 .354719 .388032 .378793 .341282 .297077 .25945\n"
      "    .227795 .196378 .163076 .136429 .136964 .182039 .26658 .365419 .459309\n"
      "    .552481 .655198 .761083 .848523 .903473 .935877 .966482 .996161 1 .953376\n"
      "    .856676 .732618 .605721 .490629 .392466 .310959 .243878 .186606 .135864\n"
      "    .0908674 .0535375 .0266094 .0108081 .00348032 .000869334 .000165771\n"
      "    2.3856e-05 2.56961e-06 2.0593e-07 1.21569e-08 4.30091e-10 0r26 3.85296e-11\n"
      "    2.79827e-09 4.9487e-08 6.17928e-07 6.14297e-06 4.89597e-05 .000313615\n"
      "    .00161873 .00675253 .0228519 .0631403 .143605 .270732 .430856 .58616 .689697\n"
      "    .704263 .621491 .470105 .302623 .166021 .0788673 .0344166 .0163197 .0111077\n"
      "    .0116982 .0152837 .0210984 .0293244 .0413654 .0586488 .0835636 .113912\n"
      "    .14583 .172793 .19181 .20295 .209462 .211592 .20882 .201967 .194076 .189475\n"
      "    .190062 .194445 .197694 .194882 .182472 .160001 .130745 .100178 .0729287\n"
      "    .051973 .0375702 .0285987 .023101 .0196099 .0169392 .0145699 .0123426\n"
      "    .0102194 .00817359 .00619845 .00435164 .0027569 .00153954 .00074339\n"
      "    .000305948 .000106016 3.08376e-05 7.48141e-06 1.50928e-06 2.52656e-07\n"
      "    3.50454e-08 4.01116e-09 3.81517e-10 1.68709e-11 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0095 .165\n"
      "  vdos_density .170093 .244495 .341224 .370208 .307669 .270156 .271434 .25857\n"
      "    .241815 .191117 .160812 .193555 .27977 .362832 .3836 .358887 .325159 .278865\n"
      "    .256758 .247784 .274594 .317016 .316676 .272155 .243127 .235911 .212226\n"
      "    .20122 .220787 .23078 .219967 .212768 .20065 .175934 .148424 .148003 .205218\n"
      "    .296566 .354575 .346774 .324941 .322653 .327012 .313059 .28091 .27534\n"
      "    .297472 .308492 .302026 .283236 .275587 .302942 .35467 .393689 .388702\n"
      "    .366104 .376767 .416119 .422636 .36126 .265511 .183308 .163713 .209851\n"
      "    .24959 .237397 .208843 .185184 .169804 .179136 .200219 .211255 .218212\n"
      "    .226698 .23391 .251215 .294264 .352144 .39894 .448456 .54769 .671082 .725015\n"
      "    .67869 .577749 .484253 .45055 .474823 .492918 .452812 .3707 .303462 .295522\n"
      "    .362361 .44191 .433767 .340211 .236353 .162129 .115637 .0837688 .0583078\n"
      "    .0372315 .0217002 .0141183 .0132734 .0155997 .0194888 .0245982 .0324639\n"
      "    .0471748 .0745212 .118066 .170569 .218881 .249901 .252062 .224689 .180384\n"
      "    .130726 .0854988 .0534054 .0351871 .0252619 .0197532 .0174996 .0180982\n"
      "    .0198403 .0211304 .0221365 .0242306 .029378 .0407389 .061369 .0889126\n"
      "    .115116 .131789 .136086 .127533 .110538 .0933202 .0807338 .0712192 .0614349\n"
      "    .0508788 .0398153 .0298025 .0227884 .0188163 .016657 .0151179 .0140047\n"
      "    .0137259 .0144204 .0157221 .017151 .0187779 .0219423 .0294084 .0448962\n"
      "    .0691295 .0976728 .120251 .128895 .122125 .105366 .0865918 .0701416 .0565217\n"
      "    .0447028 .0341538 .0255637 .0217658 .0249921 .0345534 .0469119 .0600337\n"
      "    .0747194 .0919841 .1105 .126683 .137969 .145408 .151053 .154382 .152534\n"
      "    .142941 .126443 .107136 .0881067 .0711461 .0567687 .0449436 .0354341\n"
      "    .0269569 .0196679 .0131344 .00772231 .00383822 .00155657 .000500583\n"
      "    .000124906 2.37982e-05 3.42254e-06 3.68466e-07 2.95167e-08 1.74178e-09\n"
      "    6.15342e-11 0r26 5.43167e-11 3.91252e-09 6.90775e-08 8.61945e-07 8.56336e-06\n"
      "    6.82132e-05 .000436757 .00225384 .00940249 .0319555 .0880836 .200404 .379311\n"
      "    .605431 .826779 .976715 1 .88373 .668352 .431361 .240889 .123242 .0673716\n"
      "    .0488338 .0481649 .054893 .0654677 .0788983 .0969601 .122535 .159971 .210786\n"
      "    .27076 .327776 .368454 .386515 .386901 .377845 .36417 .34558 .322141 .298496\n"
      "    .280319 .270619 .267042 .263144 .25275 .231279 .199027 .160151 .120811\n"
      "    .0864112 .0602575 .0425817 .0315696 .0250647 .0209329 .0178712 .0152332\n"
      "    .0128036 .0105244 .00836193 .00630525 .0044066 .00278245 .00155026\n"
      "    .000747456 .000307339 .000106439 3.09511e-05 7.50793e-06 1.51455e-06\n"
      "    2.53542e-07 3.51704e-08 4.0256e-09 3.82939e-10 1.70566e-11 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("SiO2-alpha_sg154_AlphaQuartz.ncmat",textdata);
  }
  {
    // File SiO2-beta_sg180_BetaQuartz.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beta-Quartz (beta-SiO2, hexagonal, SG-180 / P6_222)\n"
      "#\n"
      "# Under usual conditions this phase exists from 846 to 1943K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"XXIX. Kriterien f\"ur hexagonale Raumgruppen und die\n"
      "#     Kristallstruktur von beta-quarz\"\n"
      "#    Wyckoff, Ralph W. G. (1926)\n"
      "#    DOI: https://dx.doi.org/10.1524/zkri.1926.63.1.507\n"
      "#    Crystallography Open Database entry 1011200\n"
      "#    https://www.crystallography.net/cod/1011200.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-6922\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for SiO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d006/mp-6922.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.013 !! 5.47\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  180\n"
      "@ATOMPOSITIONS\n"
      "  Si 1/2 1/2 1/3\n"
      "  Si 1/2   0   0\n"
      "  Si   0 1/2 2/3\n"
      "  O .197 .803 .8333\n"
      "  O .197 .394 .4999666666666667\n"
      "  O .606 .803 .1666333333333333\n"
      "  O .803 .197 .8333\n"
      "  O .803 .606 .4999666666666667\n"
      "  O .394 .197 .1666333333333333\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00374987 .154495\n"
      "  vdos_density .0526284 .111948 .0854871 .0560426 .0631079 .0723978 .0788709\n"
      "    .161595 .159975 .0953855 .112774 .116754 .11924 .102866 .0802968 .0886511\n"
      "    .0939816 .109765 .0960609 .08341 .0693156 .0877331 .0909262 .0707775\n"
      "    .0838106 .114617 .0852876 .0678392 .0778879 .122096 .109353 .095049 .0946031\n"
      "    .0978568 .0976336 .0801517 .0740701 .0730694 .0833699 .0726172 .0653635\n"
      "    .0618727 .0767997 .107974 .139511 .150193 .10853 .0866991 .080991 .0642293\n"
      "    .0718462 .097037 .119541 .149443 .155369 .104979 .0904856 .0935246 .114409\n"
      "    .155184 .164669 .140008 .114917 .164067 .167654 .116685 .0399615 .0259129\n"
      "    .0413034 .049709 .0539925 .0594497 .0644236 .0731951 .081028 .0983751\n"
      "    .113178 .100842 .0613432 .0343515 .0142656 .00842813 .0175759 .0256475\n"
      "    .0353345 .0557437 .0747999 .101147 .138111 .15202 .149415 .119138 .0952804\n"
      "    .0790147 .0703754 .058626 .0388678 .0254396 .0210871 .0202432 .0198807\n"
      "    .0219892 .0310276 .0520744 .0912987 .141797 .177878 .178961 .162046 .141027\n"
      "    .113042 .0907669 .0756477 .0636048 .0526827 .0456377 .0523183 .135113\n"
      "    .367583 .701643 1 .974051 .632712 .406391 .379961 .385374 .325424 .16659\n"
      "    .0428288 .00508766 .000240134 3.92473e-06 2.06551e-08 0r30 2.04379e-12\n"
      "    3.38467e-10 2.60862e-08 1.04728e-06 2.33064e-05 .000305176 .00248536\n"
      "    .0132666 .0477127 .115058 .191776 .250834 .282544 .255973 .169366 .0768653\n"
      "    .024942 .00992064 .00857027 .00973487 .0114787 .0142948 .0182484 .023432\n"
      "    .0328684 .0527804 .0866421 .120994 .129678 .110295 .0930193 .0977009 .103554\n"
      "    .0853092 .0519849 .025996 .0126614 .00597941 .00229059\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00374987 .154495\n"
      "  vdos_density .230884 .363224 .244588 .212905 .170525 .203284 .185301 .409892\n"
      "    .383268 .225672 .257929 .310124 .314829 .298033 .224267 .238264 .285409\n"
      "    .356834 .333271 .265872 .229979 .340012 .32408 .215064 .235244 .339326\n"
      "    .253142 .213332 .291674 .450581 .36716 .304924 .287609 .339284 .303123\n"
      "    .226177 .200576 .191131 .237379 .218823 .182771 .132551 .166529 .224341\n"
      "    .292192 .340414 .256734 .21809 .19521 .194469 .25094 .298378 .355744 .445184\n"
      "    .413018 .259876 .215059 .247046 .350977 .559243 .703122 .589851 .572742 1\n"
      "    .932961 .484738 .108715 .0316678 .041689 .0477417 .0529692 .0580679 .0622823\n"
      "    .0715486 .0784516 .098419 .111272 .0986234 .0582887 .0314779 .0126766\n"
      "    .00754373 .0165058 .0215688 .0261716 .0368903 .0436845 .0530763 .0674889\n"
      "    .0724571 .0711059 .0558513 .0437623 .0354835 .0308677 .0248078 .0151202\n"
      "    .00881154 .00667549 .00603788 .0057064 .00618025 .00866693 .0148823 .026777\n"
      "    .042348 .0532881 .0535385 .0484699 .0406017 .0299878 .021666 .0162603\n"
      "    .0119746 .00811731 .00546692 .00448605 .00873579 .0234368 .0466848 .0696556\n"
      "    .072226 .052999 .0450843 .0539346 .0603481 .0529514 .0276375 .00720732\n"
      "    .0008647 4.10057e-05 6.71318e-07 3.53567e-09 0r30 6.44833e-12 1.06517e-09\n"
      "    8.1867e-08 3.27152e-06 7.22466e-05 .000934773 .00748619 .0391838 .138424\n"
      "    .329301 .543361 .70691 .799403 .732971 .491802 .225223 .0725447 .0277893\n"
      "    .0242445 .0313486 .0466466 .0695179 .0931622 .116609 .155223 .236692 .372647\n"
      "    .499739 .513255 .416887 .333971 .337509 .350801 .28389 .168212 .0801307\n"
      "    .0367152 .0165932 .00621075\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("SiO2-beta_sg180_BetaQuartz.ncmat",textdata);
  }
  {
    // File Si_sg227.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Silicon (diamond-like structure)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011243 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008565.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 6 of:\n"
      "#\n"
      "#   \"Thermal Expansion Anomaly Regulated by Entropy\"\n"
      "#   Liu, Z., Wang, Y. & Shang, S.\n"
      "#   Sci Rep 4, 7043 (2015).\n"
      "#   https://doi.org/10.1038/srep07043\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.4307\n"
      "@SPACEGROUP\n"
      "  227\n"
      "@ATOMPOSITIONS\n"
      "  Si 1/2 1/2 0\n"
      "  Si 1/4 3/4 3/4\n"
      "  Si 1/2 0   1/2\n"
      "  Si 1/4 1/4 1/4\n"
      "  Si 0   1/2 1/2\n"
      "  Si 3/4 3/4 1/4\n"
      "  Si 0   0   0\n"
      "  Si 3/4 1/4 3/4\n"
      "@DYNINFO\n"
      "  element Si\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0036920759485739 0.062149945134327\n"
      "  vdos_density .0035953 .00432814 .00506097 .00582205 .0068353 .00789585\n"
      "    .00896154 .0100555 .0113158 .0126527 .0139923 .0154801 .0172048 .0189005\n"
      "    .0205964 .0225374 .0249541 .0275406 .0301519 .0330486 .0363929 .0397432\n"
      "    .0436944 .0482983 .0529036 .0583764 .064959 .0731028 .0833569 .09807 .129743\n"
      "    .176931 .208731 .216511 .219194 .222176 .225494 .230326 .234711 .241282\n"
      "    .248536 .256613 .26885 .293386 .345082 .39065 .391125 .379346 .3659 .337422\n"
      "    .305365 .282562 .267157 .255833 .246971 .239395 .23479 .23073 .225854\n"
      "    .222862 .220625 .21893 .218082 .21598 .214941 .214065 .216463 .224803\n"
      "    .227257 .199525 .144743 .0849356 .0385901 .0225609 .0220409 .0231273\n"
      "    .0238936 .0249325 .0258365 .0269684 .0280858 .0292148 .0304388 .0316708\n"
      "    .0329348 .0342036 .0356334 .0372156 .0387534 .0402678 .0419764 .0435383\n"
      "    .0459555 .0479349 .0495281 .0520314 .0543341 .0567294 .0593492 .0622349\n"
      "    .0651641 .0683311 .0716077 .0751074 .0785998 .0824495 .0865847 .0912765\n"
      "    .0962289 .101373 .107162 .113565 .120807 .128998 .138308 .150439 .167284\n"
      "    .195589 .227794 .220188 .18384 .153901 .136804 .12297 .110287 .0989335\n"
      "    .0882451 .0801582 .0757573 .0747557 .0771857 .084534 .0988547 .115547\n"
      "    .125266 .127005 .12776 .129502 .133577 .13715 .139653 .142629 .14516 .146538\n"
      "    .148223 .149386 .150055 .150827 .149678 .145059 .13526 .12814 .123958\n"
      "    .121108 .117473 .113667 .111366 .109756 .106496 .10334 .102002 .101516\n"
      "    .0977271 .095234 .0943005 .0932852 .0916576 .11918 .311958 .647762 .825089\n"
      "    .802954 .756891 .750584 .761082 .780313 .811477 .857791 .935643 1 .847694\n"
      "    .507772 .305918 .2367 .1963 .166318 .140791 .11751 .0933721 .0633747 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Si_sg227.ncmat",textdata);
  }
  {
    // File Sn_sg141.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Beta-tin (Sn). (body-centered tetragonal, \"white tin\").\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011248 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008570.html\n"
      "#\n"
      "# The VDOS curve at 300K was extracted by T. Kittelmann using the engauge\n"
      "# digitizer software from Figure 4 (solid curve) of:\n"
      "#\n"
      "#     \"Direct determination of the phonon density of states in beta-Sn\"\n"
      "#     Barla, Alessandro & Plessel, J. & Abd-Elmeguid, Mohsen. (2000).\n"
      "#     Physical Review B. 61. https://dx.doi.org/10.1103/PhysRevB.61.R14881\n"
      "#\n"
      "# The curve in question was derived from work in:\n"
      "#\n"
      "#     E. G. Brovman and Yu. Kagan, Fiz. Tverd. Tela (Leningrad) 8,\n"
      "#     1402 (1966) [Sov. Phys. Solid State 8, 1120 (1966)].\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.8197 !! 3.17488\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  141\n"
      "@ATOMPOSITIONS\n"
      "  Sn   0   0   0\n"
      "  Sn 1/2   0 3/4\n"
      "  Sn 1/2 1/2 1/2\n"
      "  Sn   0 1/2 1/4\n"
      "@DYNINFO\n"
      "  element  Sn\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0016759 0.0184349\n"
      "  vdos_density .0531392 .0945335 .150109 .213574 .286094 .396231 .503733 .592516\n"
      "    .655594 .692495 .689801 .669612 .633298 .588878 .54714 .51319 .48579 .468322\n"
      "    .456413 .448441 .441464 .434488 .428441 .42271 .417991 .415075 .411851\n"
      "    .407347 .402843 .394486 .386226 .37996 .378779 .382702 .397434 .423217\n"
      "    .474034 .543061 .622614 .721921 .819083 .903185 .971724 1 .972552 .896022\n"
      "    .796909 .678025 .547771 .432472 .32284 .240839 .17676 .123845 .0778986\n"
      "    .0462663 .0247447 .0118274 .00659815 .00298692 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Sn_sg141.ncmat",textdata);
  }
  {
    // File SrF2_sg225_StrontiumFluoride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Strontium fluoride (SrF2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 1460K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Fluorite structure\"\n"
      "#    Wyckoff R W G (1963)\n"
      "#    Crystallography Open Database entry 9009043\n"
      "#    https://www.crystallography.net/cod/9009043.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-981\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for CaO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-981.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.7996\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Sr 0 0 0\n"
      "  Sr 0 1/2 1/2\n"
      "  Sr 1/2 0 1/2\n"
      "  Sr 1/2 1/2 0\n"
      "  F 1/4 1/4 1/4\n"
      "  F 1/4 3/4 3/4\n"
      "  F 3/4 1/4 3/4\n"
      "  F 3/4 3/4 1/4\n"
      "  F 1/4 3/4 1/4\n"
      "  F 1/4 1/4 3/4\n"
      "  F 3/4 3/4 3/4\n"
      "  F 3/4 1/4 1/4\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0479984\n"
      "  vdos_density .0185146 .0211562 .0245448 .0265251 .0260254 .0277547 .0308514\n"
      "    .0342983 .0349455 .0373604 .0434251 .0500604 .0511101 .0533924 .0655404\n"
      "    .0810992 .0942574 .100044 .0982308 .0897421 .0787555 .070588 .0655822\n"
      "    .0639975 .062876 .0600767 .0568578 .0518574 .0479017 .0494611 .0507247\n"
      "    .0473599 .0435142 .0406324 .0394499 .0399581 .0384729 .0358277 .035467\n"
      "    .0368671 .0380684 .0372807 .0358846 .0366154 .0370751 .0363822 .0377073\n"
      "    .0437679 .0596878 .0878505 .121511 .149835 .164721 .165313 .158969 .156208\n"
      "    .166248 .179031 .172545 .150571 .133972 .133892 .155326 .203721 .276298\n"
      "    .352227 .404786 .429318 .444703 .467004 .493076 .515356 .528631 .532101\n"
      "    .541153 .561362 .569071 .555698 .537477 .517807 .498265 .490533 .487089\n"
      "    .47197 .463164 .47839 .492414 .49202 .505864 .531897 .525921 .486891 .462121\n"
      "    .473606 .507031 .537221 .534325 .498234 .461811 .436168 .415627 .406251\n"
      "    .403877 .401656 .413604 .444132 .481287 .525346 .590183 .691863 .826541\n"
      "    .950404 1 .954138 .850257 .723113 .579062 .425964 .281367 .16224 .0804598\n"
      "    .0372275 .0228433 .0268242 .0432465 .0657459 .0851793 .0956038 .0992716\n"
      "    .103553 .113615 .128831 .146507 .168358 .202737 .258865 .332113 .393867\n"
      "    .410552 .378236 .324136 .275062 .239031 .212273 .189768 .168562 .147898\n"
      "    .12893 .113146 .100791 .091157 .0831119 .0753717 .0675376 .0600818 .0530275\n"
      "    .0460456 .0391425 .0320108 .0240405 .015682 .00851383 .00373593 .00129427\n"
      "@DYNINFO\n"
      "  element  Sr\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0479984\n"
      "  vdos_density .0946798 .110202 .129552 .141199 .140432 .152196 .172818 .195913\n"
      "    .20249 .22343 .268492 .317522 .336133 .371225 .488477 .665765 .855086\n"
      "    .975792 1 .945841 .868639 .821107 .788874 .768106 .751688 .734427 .716035\n"
      "    .686406 .659063 .670578 .680617 .652196 .616282 .566822 .499947 .437621\n"
      "    .381249 .337617 .325233 .338508 .351016 .33933 .316729 .315173 .319861\n"
      "    .310387 .305218 .307748 .299928 .282131 .272551 .273773 .280955 .311051\n"
      "    .366688 .435305 .539701 .656523 .68241 .595337 .491374 .438918 .434602\n"
      "    .460835 .481575 .462498 .416058 .367002 .323836 .296122 .287908 .28352\n"
      "    .268742 .247574 .231116 .224281 .221142 .213587 .199067 .179253 .15888\n"
      "    .142355 .131391 .12388 .116617 .110398 .107649 .108154 .111492 .115028\n"
      "    .111775 .0998722 .0857569 .0744661 .0655065 .055852 .0440602 .0333025\n"
      "    .0268552 .023416 .0208055 .0191555 .0184479 .0180732 .0188892 .0218196\n"
      "    .0259437 .029021 .0294589 .0285242 .0287729 .0303649 .0312771 .0303267\n"
      "    .0283354 .0270729 .0270652 .0260526 .0217694 .0156107 .0108087 .00874924\n"
      "    .00911855 .0120236 .0176459 .0241835 .0284718 .0291934 .028168 .0282282\n"
      "    .0305625 .0341372 .0373522 .0399055 .0427969 .0467285 .0506564 .0522497\n"
      "    .0503617 .0464239 .0426456 .0398536 .0376853 .0357793 .0340497 .0323865\n"
      "    .0307447 .029308 .0282125 .0273022 .0263022 .0250178 .0234198 .0217181\n"
      "    .020093 .0183956 .0164617 .0143566 .0120087 .00919184 .00608781 .00334328\n"
      "    .0014787 .000514694\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("SrF2_sg225_StrontiumFluoride.ncmat",textdata);
  }
  {
    // File SrH2_sg62_StrontiumHydride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Strontium Hydride (SrH2, orthorombic, SG-62 / Pnma)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1300K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Single crystal X-ray structure determinations on calcium\n"
      "#     and strontium  deuteride, CaD2 and SrD2\"\n"
      "#    Sichla, T. and Jacobs, H. (1996)\n"
      "#    Crystallography Open Database entry 4030810\n"
      "#    https://www.crystallography.net/cod/4030810.html [with D->H]\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-23714\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for SrH2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d023/mp-23714.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 6.361 3.857 7.303\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  62\n"
      "@ATOMPOSITIONS\n"
      "  H .63 1/4 23/25\n"
      "  H .87 3/4 .42\n"
      "  H .13 1/4 .58\n"
      "  H .37 3/4 2/25\n"
      "  H 1/20 1/4 .17\n"
      "  H 9/20 3/4 .67\n"
      "  H 11/20 1/4 .33\n"
      "  H 19/20 3/4 .83\n"
      "  Sr .2607 1/4 .8895\n"
      "  Sr .2393 3/4 .3895\n"
      "  Sr .7607 1/4 .6105\n"
      "  Sr .7393 3/4 .1105\n"
      "@DYNINFO\n"
      "  element  H\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .143995\n"
      "  vdos_density .00327858 .00418562 .00557011 .00731951 .00959962 .012086\n"
      "    .0131544 .0115078 .0148931 .0123585 .00971205 .0103847 .00955364 .00705719\n"
      "    .00601694 .0056912 .00449046 .0056182 .00548568 .00554623 .00433939\n"
      "    .00237121 .000831539 3.80712e-05 5.46549e-09 0r55 5.68402e-13 2.81538e-09\n"
      "    2.11094e-06 .00024278 .00462488 .0205035 .0407833 .0733648 .171274 .405938\n"
      "    .732738 .771604 .707232 .804613 .934963 .801605 .606643 .500639 .556349\n"
      "    .750373 .748914 .549276 .40625 .374639 .387682 .405345 .412513 .432693\n"
      "    .555546 .811159 .94415 .699464 .421771 .291253 .255232 .242917 .243419\n"
      "    .232484 .202168 .162412 .146984 .13336 .137026 .149943 .137337 .0889683\n"
      "    .033174 .0151403 .034728 .0727182 .121835 .175683 .239795 .380448 .662984\n"
      "    .960661 1 .735921 .444192 .282597 .193288 .128529 .0894175 .0748143 .0800589\n"
      "    .103724 .140375 .203015 .288208 .365417 .454324 .568189 .645224 .639983\n"
      "    .606799 .621605 .631748 .515965 .320937 .229519 .294165 .46243 .661495\n"
      "    .777297 .74155 .612056 .469535 .343427 .246819 .189741 .160772 .13834\n"
      "    .111625 .0844955 .0630758 .0467574 .0335622 .0227205 .013331 .0059251\n"
      "    .00177668 .000335306 3.83288e-05 2.56218e-06 9.59117e-08 1.92557e-09\n"
      "@DYNINFO\n"
      "  element  Sr\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00524982 .143995\n"
      "  vdos_density .107682 .143712 .201364 .281181 .392729 .538091 .672671 .67377 1\n"
      "    .946457 .774068 .884363 .854531 .667774 .596545 .559147 .394192 .531037\n"
      "    .622938 .803572 .642036 .341779 .116995 .00533913 7.66478e-07 0r55\n"
      "    1.15388e-15 5.71521e-12 4.28468e-09 4.92435e-07 9.34367e-06 4.08328e-05\n"
      "    8.32892e-05 .00021439 .000666247 .00169207 .00303825 .00292349 .00223281\n"
      "    .00241872 .00304359 .00255005 .00189043 .00155763 .00161527 .00195101\n"
      "    .00185559 .00144275 .00123874 .00134695 .00147681 .00144892 .00131995\n"
      "    .00116749 .00121565 .001509 .00169477 .00143353 .00106052 .000832213\n"
      "    .000756192 .000719397 .000725663 .000695025 .000624564 .000522721 .000489443\n"
      "    .000452501 .000452892 .000483036 .00043876 .000283287 .000105395 4.75558e-05\n"
      "    .000107522 .000218767 .000347866 .000469329 .000580576 .00076397 .00112507\n"
      "    .00157175 .00169513 .00130955 .000854821 .00063478 .000526376 .000419685\n"
      "    .000335656 .000301766 .000337409 .000446826 .000587177 .000803339 .00108457\n"
      "    .00130449 .0015497 .00189508 .00212851 .00210202 .00198959 .00201605\n"
      "    .00200544 .00161367 .00102552 .000745346 .000806968 .00096563 .00107667\n"
      "    .00107428 .000992492 .000920443 .000858111 .00073795 .000573044 .00044958\n"
      "    .000392044 .000360278 .000318742 .000267171 .000220389 .000178184 .000137784\n"
      "    9.93191e-05 6.10272e-05 2.79556e-05 8.53265e-06 1.62461e-06 1.86338e-07\n"
      "    1.2466e-08 4.66607e-10 9.36618e-12\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("SrH2_sg62_StrontiumHydride.ncmat",textdata);
  }
  {
    // File Sr_sg225.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Strontium.\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011161 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008484.html\n"
      "#\n"
      "# VDOS curve at 295K taken from:\n"
      "#\n"
      "#    \"Lattice dynamics of strontium and barium\" Buchenau, U. and Heiroth, M. and\n"
      "#    Schober, H. R. and Evers, J. and Oehlinger, G\n"
      "#    Phys. Rev. B, v.30, p3502-3505,1984, American Physical Society\n"
      "#    10.1103/PhysRevB.30.3502\n"
      "#\n"
      "@CELL\n"
      "  cubic 6.0847\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Sr 1/2 1/2 1/2\n"
      "  Sr 1/2   0   0\n"
      "  Sr   0 1/2   0\n"
      "  Sr   0   0 1/2\n"
      "@DYNINFO\n"
      "  element  Sr\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00420184 0.013124848539326\n"
      "  vdos_density .131669 .134848 .138028 .141207 .144387 .147566 .150925 .154478\n"
      "    .158031 .161584 .165137 .169232 .173602 .177972 .182342 .186711 .191196\n"
      "    .195849 .200502 .205155 .210287 .215598 .22091 .226221 .232289 .238466\n"
      "    .245257 .253274 .261266 .268839 .276637 .284948 .294337 .307989 .322575\n"
      "    .34081 .370442 .37602 .378671 .381322 .38393 .38628 .388631 .390982 .393332\n"
      "    .395819 .398441 .401063 .403685 .406307 .40887 .411312 .413755 .416198\n"
      "    .418641 .421277 .423944 .426611 .429282 .431962 .434642 .437323 .439977\n"
      "    .442489 .445001 .447513 .450032 .452732 .455432 .458132 .461013 .463969\n"
      "    .466925 .469881 .472702 .47546 .478217 .480975 .484019 .487123 .490224\n"
      "    .49321 .496195 .499181 .502167 .505474 .508852 .51223 .515608 .518857\n"
      "    .522052 .525246 .528547 .532115 .535683 .539318 .543103 .546888 .550679\n"
      "    .554553 .558426 .562299 .56602 .569708 .573395 .578359 .583556 .588753\n"
      "    .547836 .51771 .493084 .47418 .455721 .431484 .395049 .384423 .38522 .386016\n"
      "    .386813 .38788 .38904 .390201 .391362 .392195 .392833 .39347 .394107 .394527\n"
      "    .394798 .395069 .395329 .395537 .395744 .395952 .396159 .395901 .395455\n"
      "    .39501 .39454 .393369 .392197 .391026 .389716 .38823 .386743 .385257 .381566\n"
      "    .377727 .377707 .38175 .385794 .391929 .398417 .405708 .414737 .445511\n"
      "    .487478 .529798 .573545 .615614 .655977 .691824 .728114 .767885 .8125\n"
      "    .862016 .9224 1 .803598 .683591 .604967 .556261 .486147 .32186 .194451\n"
      "    .178944 .168013 .157716 .148358 .139082 .130388 .121693 .111883 .101527\n"
      "    .0900542 .077374 .0634006 .0471035 .0181757 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Sr_sg225.ncmat",textdata);
  }
  {
    // File Th3N4_sg166_ThoriumNitride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Thorium nitride (Th3N4, trigonal, SG-166 / R-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 3093K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"The crystal structure of Th3N4\"\n"
      "#    Bowman, A.L. and Arnold, G.P. (1971)\n"
      "#    Crystallography Open Database entry 2107066\n"
      "#    https://www.crystallography.net/cod/2107066.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-467\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Th3N4 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-467.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.875 !! 27.39\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  166\n"
      "@ATOMPOSITIONS\n"
      "  Th 0 0 0\n"
      "  Th 2/3 1/3 1/3\n"
      "  Th 1/3 2/3 2/3\n"
      "  Th 0 0 .2221\n"
      "  Th 0 0 .7779\n"
      "  Th 2/3 1/3 .5554333333333333\n"
      "  Th 2/3 1/3 .1112333333333333\n"
      "  Th 1/3 2/3 .8887666666666667\n"
      "  Th 1/3 2/3 .4445666666666667\n"
      "  N 0 0 .3766\n"
      "  N 0 0 .6234\n"
      "  N 2/3 1/3 .7099333333333333\n"
      "  N 2/3 1/3 .9567333333333333\n"
      "  N 1/3 2/3 .0432666666666667\n"
      "  N 1/3 2/3 .2900666666666667\n"
      "  N 0 0 .132\n"
      "  N 0 0 .868\n"
      "  N 2/3 1/3 .4653333333333333\n"
      "  N 2/3 1/3 .2013333333333333\n"
      "  N 1/3 2/3 .7986666666666667\n"
      "  N 1/3 2/3 .5346666666666667\n"
      "@DYNINFO\n"
      "  element  N\n"
      "  fraction 4/7\n"
      "  type     vdos\n"
      "  vdos_egrid .00549981 .0799973\n"
      "  vdos_density .0535375 .0635583 .0745653 .0704828 .0654994 .0592873 .0842802\n"
      "    .0720787 .0468948 .0392526 .0348241 .0359415 .0390284 .0360197 .0345301\n"
      "    .0353893 .0481276 .057821 .0604344 .0482113 .0583567 .0810527 .0677977\n"
      "    .0493332 .036843 .0475616 .104049 .143745 .112528 .0624014 .0309757 .0228811\n"
      "    .024115 .0196239 .0283536 .041476 .0251334 .00698922 .00262596 .00700046\n"
      "    .0348695 .12607 .144114 .204556 .318524 .443151 .488468 .547325 .602794\n"
      "    .594959 .63098 .82893 1 .967173 .820217 .436339 .301042 .413706 .536776\n"
      "    .431631 .414652 .535113 .623488 .610947 .494066 .422795 .449814 .493137\n"
      "    .480519 .39021 .377566 .407653 .443903 .475834 .53461 .56306 .564084 .501765\n"
      "    .428979 .394263 .388206 .416174 .439903 .414278 .427981 .459525 .434402\n"
      "    .422449 .416756 .395985 .37351 .403533 .511163 .625058 .68104 .730267\n"
      "    .702378 .639418 .613154 .6128 .637278 .688144 .689376 .57066 .373613 .237207\n"
      "    .209272 .249459 .26489 .215235 .211286 .340108 .649165 .954199 .946956\n"
      "    .686184 .402743 .274216 .259748 .208137 .163305 .175182 .200776 .196187\n"
      "    .18891 .199407 .197381 .175612 .180229 .225511 .256384 .27625 .328581\n"
      "    .410401 .486951 .500426 .478962 .476032 .468936 .443621 .397388 .328317\n"
      "    .265977 .225916 .201472 .180113 .140552 .0756267 .0232904 .00375311\n"
      "@DYNINFO\n"
      "  element  Th\n"
      "  fraction 3/7\n"
      "  type     vdos\n"
      "  vdos_egrid .00349988 .0799973\n"
      "  vdos_density .153606 .233879 .296572 .317686 .430633 .531406 .673872 .681951\n"
      "    .642839 .597907 .807294 .790131 .629296 .633218 .69905 .75796 .802403\n"
      "    .786861 .728182 .667889 .849838 1 .973332 .659733 .577002 .524635 .47201\n"
      "    .359924 .263788 .322242 .663829 .952267 .822552 .523209 .255036 .201687\n"
      "    .191498 .168212 .184535 .206793 .139929 .0495024 .00732925 .000564055\n"
      "    .00155761 .00553575 .00680619 .0173248 .0463122 .0636616 .0581869 .056918\n"
      "    .0590667 .0496524 .0423131 .0516838 .0600119 .0610283 .0559937 .0376082\n"
      "    .0272668 .0239073 .020808 .0200647 .0215094 .022913 .0201651 .0182989\n"
      "    .0157531 .0167754 .0206387 .0237671 .0230815 .0171477 .0146536 .0139098\n"
      "    .0133392 .0129587 .0131025 .0114561 .00908386 .00745959 .00654341 .00584923\n"
      "    .00552609 .0058533 .00613958 .0057183 .00577 .0062326 .00616898 .00631835\n"
      "    .00665387 .00679325 .00677978 .00719185 .00894971 .0116012 .0138735 .0158949\n"
      "    .0153357 .0138859 .0131619 .0130421 .0133037 .0131737 .0119978 .00975074\n"
      "    .00696102 .00502892 .00465847 .00545596 .00571561 .00470544 .00438627\n"
      "    .00560297 .00830774 .010798 .0104746 .00763851 .00437794 .00271138 .00249096\n"
      "    .00202315 .00152912 .00182297 .00241418 .00253396 .00244918 .00246521\n"
      "    .00248857 .00237629 .00243959 .00294683 .00338063 .00351403 .00355971\n"
      "    .00364035 .00379875 .00363754 .00324144 .00301645 .00286064 .00261719\n"
      "    .00225475 .001781 .00133608 .00103918 .000879332 .000770949 .000599063\n"
      "    .00032246 9.93949e-05 1.60264e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Th3N4_sg166_ThoriumNitride.ncmat",textdata);
  }
  {
    // File ThO2_sg225_ThoriumDioxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Thorium dixoide (ThO2, cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 3620K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York, Fluorite structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9009046\n"
      "#    https://www.crystallography.net/cod/9009046.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1537721.html\n"
      "#   https://www.materialsproject.org/materials/mp-643\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ThO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-643.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.5997\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Th   0   0   0\n"
      "  Th   0 1/2 1/2\n"
      "  Th 1/2   0 1/2\n"
      "  Th 1/2 1/2   0\n"
      "  O  1/4 1/4 1/4\n"
      "  O  1/4 3/4 3/4\n"
      "  O  3/4 1/4 3/4\n"
      "  O  3/4 3/4 1/4\n"
      "  O  1/4 3/4 1/4\n"
      "  O  1/4 1/4 3/4\n"
      "  O  3/4 3/4 3/4\n"
      "  O  3/4 1/4 1/4\n"
      "@DYNINFO\n"
      "  element  Th\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00949967 .0769974\n"
      "  vdos_density .105809 .139722 .161179 .276232 .63005 1 .586921 .472521 .395368\n"
      "    .339903 .255613 .204723 .162495 .21776 .180513 .17198 .194407 .164948 .1833\n"
      "    .170662 .171773 .158779 .23321 .339368 .435256 .363659 .182397 .111424\n"
      "    .0897744 .0709367 .0588308 .0459228 .0337487 .0227957 .0204002 .0093145\n"
      "    .00278584 .00192427 .00216093 .00228274 .00252325 .0027151 .00290553\n"
      "    .00341588 .00400019 .00490358 .0064702 .0091119 .0136646 .0180705 .0184969\n"
      "    .0163212 .0129915 .0112749 .0095563 .00823065 .00832567 .00795586 .00718264\n"
      "    .00659665 .00584715 .00614822 .00598668 .00519453 .00536021 .00563247\n"
      "    .00538705 .00474409 .00424159 .00390517 .00388192 .00336759 .00245392\n"
      "    .00165912 .00123173 .00114129 .00109165 .000964884 .000862688 .00104399\n"
      "    .00130495 .00125756 .00117359 .00110997 .00122106 .00147028 .00164236\n"
      "    .00151318 .00163503 .00238511 .00315591 .00319577 .0032149 .00322284\n"
      "    .0024806 .00147439 .000828589 .000993441 .00162629 .00157568 .00103926\n"
      "    .000577738 .000513344 .000771719 .00119948 .00174515 .00183668 .00148161\n"
      "    .00123061 .0013011 .00155449 .00181333 .00191867 .00197168 .0020743\n"
      "    .00215661 .00216718 .00222239 .00233161 .00246594 .00271806 .00295273\n"
      "    .00314937 .00327497 .00313001 .0028722 .0026437 .00240051 .0021552 .00185124\n"
      "    .00143137 .000934903 .000456732 .000145885 2.81081e-05 3.11288e-06\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0104996 .0769974\n"
      "  vdos_density .0146951 .02045 .0273524 .026075 .0148345 .014235 .0107407\n"
      "    .00790109 .0112086 .00892365 .00618369 .0100077 .00734123 .00713411\n"
      "    .00975316 .00766663 .00917187 .00911352 .0105818 .010466 .015961 .0236062\n"
      "    .0336613 .0289486 .0135252 .0074125 .00620248 .00520728 .00494406 .00996845\n"
      "    .0256194 .0266202 .0384207 .0489915 .0628383 .0748374 .0845531 .0943938\n"
      "    .107832 .108931 .105594 .125041 .166427 .227615 .281047 .361448 .500915\n"
      "    .6036 .557604 .486734 .407177 .394381 .362258 .336761 .349318 .315351\n"
      "    .327489 .342537 .303766 .33728 .335877 .290283 .340929 .392856 .372069\n"
      "    .353821 .368535 .358147 .337794 .278361 .222684 .207616 .21588 .249359\n"
      "    .274327 .322984 .3467 .333553 .338087 .311518 .295809 .310458 .308601\n"
      "    .319716 .348706 .360797 .395864 .470251 .617792 .82549 1 .939074 .659732\n"
      "    .359679 .141315 .046491 .0343342 .0309102 .0212619 .0127362 .0120607\n"
      "    .0180498 .0275137 .0397775 .0422524 .0360398 .0340409 .0393993 .0484606\n"
      "    .0599997 .0725388 .0861104 .0990725 .107779 .114004 .123886 .137309 .154739\n"
      "    .185117 .243514 .342696 .417384 .381574 .286869 .205418 .145472 .104582\n"
      "    .0767753 .0536388 .0326901 .0152495 .00470627 .000879577 9.49165e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ThO2_sg225_ThoriumDioxide.ncmat",textdata);
  }
  {
    // File Th_sg225.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Thorium (cubic, SG-225 / Fm-3m)\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York,\n"
      "#     Cubic closest packed, ccp, structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008485\n"
      "#    https://www.crystallography.net/cod/9008485.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 4 (dashed curve) of:\n"
      "#\n"
      "#    \"Phonon density of states in aluminium, calcium, lead and thorium.\"\n"
      "#    Korshunov, V.A. (1985). Izvestiya Akademii Nauk SSSR, Metally, (3), 205-210.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.0843\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  Th   0 1/2 1/2\n"
      "  Th   0   0   0\n"
      "  Th 1/2 1/2   0\n"
      "  Th 1/2   0 1/2\n"
      "@DYNINFO\n"
      "  element  Th\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .00417094 .0145288\n"
      "  vdos_density .104866 .111224 .117582 .12394 .130298 .136735 .144324 .153799\n"
      "    .165926 .178053 .192325 .20872 .226611 .250733 .274855 .298607 .315861\n"
      "    .324674 .331214 .337754 .344278 .350737 .357196 .363655 .369711 .374774\n"
      "    .379838 .384902 .389966 .394754 .399254 .403754 .408255 .412149 .415558\n"
      "    .418968 .422377 .424535 .426448 .42836 .430273 .431752 .433062 .434371\n"
      "    .435267 .433527 .431787 .430047 .428307 .426567 .425617 .424872 .423557\n"
      "    .420427 .417297 .414168 .41346 .413182 .412367 .406117 .399868 .39252\n"
      "    .383994 .375468 .368369 .361528 .354686 .348411 .342313 .336214 .332998\n"
      "    .331399 .332711 .33453 .337767 .341004 .343862 .340423 .333085 .325766\n"
      "    .318538 .31131 .304082 .297788 .291971 .286319 .281063 .275806 .27055 .26629\n"
      "    .262284 .258277 .25489 .251396 .24724 .243085 .239061 .235406 .23175 .228366\n"
      "    .225843 .223321 .220799 .2176 .213418 .208168 .202986 .198039 .193092\n"
      "    .187836 .182305 .176957 .17426 .178241 .190248 .207977 .226662 .246645\n"
      "    .272078 .29633 .328374 .358715 .400388 .44872 .519214 .613898 .734609\n"
      "    .890313 1 .922675 .776243 .625314 .517337 .357086 .196787 .18625 .175663\n"
      "    .165588 .155542 .145363 .135151 .121333 .106874 .0913897 .073894 .0563983\n"
      "    .0382215 .0211783 .0095229 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Th_sg225.ncmat",textdata);
  }
  {
    // File TiO2_sg136_Rutile.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Rutile Titanium oxide (TiO2, tetragonal, SG-136 / P4_2/mnm)\n"
      "#\n"
      "# Under usual conditions this phase exists from 873 to 2000K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Polyhedral thermal expansion in the TiO2 polymorphs: Refinement\n"
      "#     of the crystal structure of rutile and brookite at high temperature\n"
      "#     Sample at 25 degrees C\"\n"
      "#    Meagher, E. P. and Lager, G. A. (1979)\n"
      "#    Crystallography Open Database entry 9004141\n"
      "#    https://www.crystallography.net/cod/9004141.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1534781.html\n"
      "#   https://www.materialsproject.org/materials/mp-2657/\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for TiO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2657.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.593 !! 2.959\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  136\n"
      "@ATOMPOSITIONS\n"
      "  Ti 0 0 0\n"
      "  Ti 1/2 1/2 1/2\n"
      "  O .3051 .3051 0\n"
      "  O .6949 .6949 0\n"
      "  O .8051 .1949 1/2\n"
      "  O .1949 .8051 1/2\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .104996\n"
      "  vdos_density .00496965 .00710606 .00894016 .00855195 .0168936 .0147529 .01344\n"
      "    .0186678 .0205234 .0200073 .024135 .0248621 .0275137 .0434092 .041476\n"
      "    .0248581 .039675 .0305773 .0444134 .0879847 .0755775 .0932501 .103007\n"
      "    .127246 .199958 .351546 .436841 .447102 .354663 .290382 .318067 .277696\n"
      "    .263809 .250291 .285643 .312782 .338506 .30814 .41369 .485871 .615157\n"
      "    .590026 .566394 .478099 .408789 .406325 .321768 .259945 .306352 .333443\n"
      "    .343387 .289451 .284672 .333129 .419456 .472559 .462503 .423799 .323132\n"
      "    .290072 .286386 .238776 .223145 .216771 .172237 .161633 .275786 .590949 1\n"
      "    .761671 .847001 .713978 .436736 .263644 .234759 .239356 .265674 .276591\n"
      "    .304162 .341644 .363355 .31677 .257184 .235488 .224873 .175795 .156246\n"
      "    .136787 .0973056 .0592815 .0356324 .0361011 .0408617 .04148 .0376071\n"
      "    .0277691 .02262 .0207791 .0219758 .0185477 .015284 .0151254 .0240091\n"
      "    .0541403 .0959941 .122247 .165361 .189688 .214614 .240406 .241161 .249632\n"
      "    .230637 .20626 .194949 .185012 .175916 .15875 .13933 .132433 .13506 .108842\n"
      "    .0821863 .0862093 .0888923 .075392 .0753099 .0770468 .0691865 .0653183\n"
      "    .0546992 .0297662 .00889851 .00126047 7.16305e-05\n"
      "@DYNINFO\n"
      "  element  Ti\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .104996\n"
      "  vdos_density .103816 .175619 .271298 .511793 .598918 .696623 1 .733834 .798886\n"
      "    .357423 .27723 .23988 .229557 .260634 .217185 .142049 .163815 .0699076\n"
      "    .0763491 .182707 .0920653 .106592 .135536 .154355 .159768 .221313 .262056\n"
      "    .209649 .215315 .156923 .142851 .163406 .171132 .147885 .190523 .228483\n"
      "    .238849 .178775 .18485 .148887 .165958 .168125 .194585 .179293 .141491\n"
      "    .140467 .183509 .160196 .195031 .211172 .194567 .147047 .125512 .12413\n"
      "    .143104 .120907 .0978468 .0834695 .0872168 .116361 .154303 .136036 .12772\n"
      "    .130214 .11647 .12721 .140784 .127163 .128031 .145662 .129559 .109762\n"
      "    .110751 .116394 .122027 .116109 .129801 .137332 .153726 .139165 .124135\n"
      "    .0887258 .0530638 .0331065 .0253885 .0147794 .00843034 .00476589 .00317188\n"
      "    .00207583 .00144301 .000820966 .00160479 .00421575 .00434075 .00293794\n"
      "    .00156887 .00129242 .00181564 .00137582 .00122652 .00145314 .00206931\n"
      "    .00313093 .00650952 .0124758 .016289 .0168628 .0189401 .0225073 .0271531\n"
      "    .0336877 .0325793 .0279627 .0260337 .0248588 .0219724 .0181297 .0150857\n"
      "    .0128877 .0123803 .0101481 .00671696 .00604181 .00628039 .00537065 .00553188\n"
      "    .00610697 .00591019 .00598776 .00546539 .0032494 .00104514 .0001547\n"
      "    8.96085e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("TiO2_sg136_Rutile.ncmat",textdata);
  }
  {
    // File TiO2_sg141_Anatase.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Anatase Titanium oxide (TiO2, tetragonal, SG-141 / I4_1/amd)\n"
      "#\n"
      "# Under usual conditions this phase is stable at room temperature, converting to\n"
      "# the rutile phase between 500-1000K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Refinement of the structure of anatase at several temperatures\n"
      "#     Sample: T = 25 C  Locality: Legenbach quarry, Binnatal, Switzerland\"\n"
      "#    Horn, M., et al. (1972)\n"
      "#    DOI: https://dx.doi.org/10.1524/zkri.1972.136.3-4.273\n"
      "#    Crystallography Open Database entry 9008213\n"
      "#    https://www.crystallography.net/cod/9008213.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-390\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for TiO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d000/mp-390.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.7842 !! 9.5146\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  141\n"
      "@ATOMPOSITIONS\n"
      "  Ti   0   0   0\n"
      "  Ti 1/2 1/2 1/2\n"
      "  Ti   0 1/2 1/4\n"
      "  Ti 1/2   0 3/4\n"
      "  O   0   0 .2081\n"
      "  O 1/2 1/2 .7081\n"
      "  O   0 1/2 .4581\n"
      "  O 1/2   0 .9581\n"
      "  O 1/2 1/2 .2919\n"
      "  O   0   0 .7919\n"
      "  O 1/2   0 .5419\n"
      "  O   0 1/2 .0419\n"
      "@DYNINFO\n"
      "  element  Ti\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00974967 .106496\n"
      "  vdos_density .154827 .210809 .24846 .39347 .351289 .234614 .360684 .267192\n"
      "    .484635 .84919 1 .877137 .502744 .491225 .763684 .713939 .565015 .206036\n"
      "    .142837 .166401 .223802 .135076 .144062 .201984 .206278 .202092 .176844\n"
      "    .206243 .277688 .265312 .284573 .327535 .299593 .302686 .327174 .254155\n"
      "    .239293 .249369 .258388 .270944 .258219 .264754 .213077 .21303 .200564\n"
      "    .185672 .222885 .273015 .284051 .222144 .151062 .113717 .105534 .105724\n"
      "    .126565 .130441 .14933 .123425 .09783 .117248 .145626 .182356 .228209\n"
      "    .276266 .318766 .340802 .397843 .341578 .277327 .262468 .23939 .156161\n"
      "    .114177 .106312 .0906475 .0723137 .0414139 .0180965 .0120651 .0102665\n"
      "    .0101399 .0127911 .0107682 .00851257 .00781351 .00942302 .0115971 .0122468\n"
      "    .0130364 .0120286 .00723594 .00644073 .0074528 .00988793 .0118628 .0117537\n"
      "    .0117744 .0105867 .00796428 .00744304 .0099726 .0128322 .0125952 .0115464\n"
      "    .0134197 .013373 .0146929 .015274 .0156388 .0132317 .0130182 .0147615\n"
      "    .0165989 .018898 .0221533 .0223288 .0196352 .0180197 .0160177 .0153583\n"
      "    .0172676 .019577 .0232068 .0250006 .0210634 .0128813 .00640782 .00263476\n"
      "    .000689542 9.31701e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .0127496 .106496\n"
      "  vdos_density .105769 .213693 .445342 .411646 .521952 .579474 .409689 .280698\n"
      "    .420273 .537139 .897852 .905794 .711853 .431403 .311419 .215865 .244799\n"
      "    .22844 .263841 .286263 .370359 .316139 .272712 .332203 .434432 .574729\n"
      "    .725172 .806418 .795488 .68265 .635084 .528202 .468691 .458193 .446121\n"
      "    .449521 .519298 .515833 .484367 .399225 .383167 .365665 .366092 .384066\n"
      "    .353566 .299355 .298489 .335034 .468887 .573383 .64698 .611389 .615266\n"
      "    .484828 .41757 .523404 .53751 .477774 .521296 .567696 .56801 .652036 .652794\n"
      "    .61922 .693816 .640025 .573925 .481713 .356874 .295705 .281833 .235739\n"
      "    .21377 .226667 .21773 .201121 .188671 .192194 .153091 .153705 .180766\n"
      "    .218637 .293959 .491677 .91957 1 .433894 .114627 .0658359 .0726713 .0866802\n"
      "    .0805647 .0779494 .0762725 .064948 .0671275 .0833909 .102972 .107077 .108742\n"
      "    .126318 .121648 .134359 .157307 .17331 .163301 .172798 .202026 .231555\n"
      "    .27535 .30828 .306131 .290415 .286975 .26917 .264959 .296065 .328899 .384829\n"
      "    .412649 .341299 .192765 .0825567 .0305229 .00770459 .00103069\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("TiO2_sg141_Anatase.ncmat",textdata);
  }
  {
    // File Ti_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Titanium (hcp)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011195 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008517.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 5 of:\n"
      "#\n"
      "#   \"Lattice dynamics of hcp Ti\",\n"
      "#   C. Stassis, D. Arch, B. N. Harmon, and N. Wakabayashi\n"
      "#   Phys. Rev. B 19, 181 - Published 1 January 1979\n"
      "#   https://doi.org/10.1103/PhysRevB.19.181\n"
      "#\n"
      "@CELL\n"
      "  lengths 2.95 !! 4.686\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Ti 1/3 2/3 1/4\n"
      "  Ti 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element Ti\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0050175619664835 0.036101970246649\n"
      "  vdos_density .0205479 .0217686 .0229894 .0242101 .0254309 .0266516 .0278724\n"
      "    .0291313 .0305674 .0320035 .0334396 .0348756 .0364294 .0382764 .0401303\n"
      "    .041984 .0438378 .0456916 .0475453 .0495012 .0516524 .0538035 .0559547\n"
      "    .0581058 .0602569 .0626093 .0650432 .067477 .069911 .0723449 .0748473\n"
      "    .0776246 .0804106 .0831967 .0859829 .0891973 .0924878 .0957784 .0991899\n"
      "    .102841 .106493 .110145 .113796 .117861 .122268 .126683 .131238 .135828\n"
      "    .140418 .145007 .150106 .155456 .160808 .166158 .171578 .178197 .184816\n"
      "    .191434 .19851 .206481 .214452 .223714 .234863 .246013 .260506 .275895\n"
      "    .296124 .317153 .340298 .366082 .438069 .566511 .591168 .705991 .79974\n"
      "    .868029 .912258 .918302 .920579 .919685 .911557 .857945 .813472 .773428\n"
      "    .74075 .713774 .691138 .684773 .693021 .693315 .68574 .678197 .672112\n"
      "    .667939 .664566 .661866 .659336 .658464 .65812 .659405 .66108 .659656 .65529\n"
      "    .650654 .645971 .641147 .636313 .63131 .626277 .621244 .616212 .611041\n"
      "    .605508 .599976 .594443 .589006 .583634 .578261 .572888 .567632 .5625\n"
      "    .557368 .552236 .547104 .542033 .537001 .531968 .526938 .521924 .516909\n"
      "    .511878 .511266 .523528 .538967 .555694 .572167 .587855 .604682 .621739\n"
      "    .638396 .656221 .674044 .693406 .710327 .728364 .746018 .766891 .787192\n"
      "    .807013 .828851 .850859 .877216 .900817 .919622 .933852 .945381 .955863\n"
      "    .966246 .978468 .994793 1 .978542 .955983 .929513 .897416 .850268 .785479\n"
      "    .747923 .72966 .715238 .700326 .697234 .706021 .713665 .722788 .732644\n"
      "    .742492 .752703 .764745 .777647 .791597 .808489 .824462 .842155 .864227\n"
      "    .883402 .892003 .871146 .74454 .547644 .439777 .371314 .394825 .436966\n"
      "    .49559 .586272 .705963 .684129 .65003 .601763 .532556 .511505 .516305\n"
      "    .526178 .529849 .534023 .54046 .549178 .543307 .537009 .533075 .530016\n"
      "    .527571 .525836 .524856 .52485 .525696 .527518 .530208 .528829 .520448\n"
      "    .513292 .506658 .500205 .49459 .489223 .484561 .479929 .475973 .472064\n"
      "    .468726 .465482 .463206 .461781 .461711 .461936 .4617 .462861 .465116\n"
      "    .467753 .471329 .47577 .480925 .485617 .490487 .495875 .501997 .509659\n"
      "    .516966 .516309 .486637 .341108 .117982 .0016864 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Ti_sg194.ncmat",textdata);
  }
  {
    // File TlBr_sg221_ThaliumBromide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Thalium Bromide (TlBr, cubic, SG-221 / Pm-3m)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 733 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Second edition. Interscience Publishers, New York,\n"
      "#     Note: CsCl structure, cesium chloride structure\"\n"
      "#    Wyckoff, R. W. G. (1963)\n"
      "#    Crystallography Open Database entry 9008825\n"
      "#    https://www.crystallography.net/cod/9008825.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-22875\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for TlBr taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d022/mp-22875.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.98\n"
      "@SPACEGROUP\n"
      "  221\n"
      "@ATOMPOSITIONS\n"
      "  Tl 0 0 0\n"
      "  Br 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  Br\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .000699976 .0139995\n"
      "  vdos_density .0108746 .0140693 .015479 .0152075 .0141797 .0132649 .0128675\n"
      "    .0130391 .0136953 .014858 .0168489 .0201899 .025178 .0314665 .0380479\n"
      "    .0437164 .0475643 .0491164 .0484111 .0463665 .0447382 .044931 .0467105\n"
      "    .0486953 .0502499 .0520878 .0546338 .0566935 .056561 .0540047 .0505058\n"
      "    .047918 .0475306 .0500641 .0555704 .062948 .0700252 .0747848 .0769834\n"
      "    .0787786 .0836291 .0942964 .11178 .135886 .166098 .201791 .242951 .292121\n"
      "    .355071 .437407 .538578 .64826 .748922 .824061 .866847 .882633 .883434\n"
      "    .879782 .877236 .879146 .890188 .914525 .949494 .982992 1 .99281 .964595\n"
      "    .923969 .877696 .828885 .780781 .740224 .715854 .71206 .724641 .74263\n"
      "    .754771 .755065 .743286 .721488 .691255 .654765 .61735 .586916 .569328\n"
      "    .564026 .564527 .563922 .561067 .562752 .580298 .622879 .691433 .776204\n"
      "    .859072 .920165 .946126 .935694 .899024 .851524 .806775 .772167 .747819\n"
      "    .727801 .703253 .666761 .615996 .554574 .489996 .430124 .379929 .339877\n"
      "    .306824 .27705 .249455 .22641 .211512 .206048 .207159 .209243 .207312\n"
      "    .199638 .187997 .175877 .166203 .159868 .155549 .150614 .142484 .129726\n"
      "    .112463 .0921109 .0707739 .0506244\n"
      "@DYNINFO\n"
      "  element  Tl\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .000699976 .0139995\n"
      "  vdos_density .0225797 .0296368 .0334084 .0341163 .03365 .0339305 .036197\n"
      "    .0413673 .0508675 .0676701 .0968067 .144675 .217596 .319889 .450782 .601092\n"
      "    .752635 .8819 .967449 1 .989139 .95669 .920126 .88584 .859051 .848925\n"
      "    .855833 .863777 .857901 .843335 .835661 .839583 .84932 .863985 .887846\n"
      "    .916106 .932052 .921114 .883035 .831282 .785624 .763896 .773152 .802816\n"
      "    .827111 .820103 .774334 .706781 .645639 .610092 .60032 .602056 .597397 .5736\n"
      "    .52724 .463717 .393181 .325803 .269181 .228046 .204508 .197714 .20335\n"
      "    .214317 .223092 .224556 .21742 .203633 .186706 .170065 .15611 .146014\n"
      "    .139792 .136114 .132292 .125268 .113365 .097298 .0795514 .0628117 .0488107\n"
      "    .0381458 .0306849 .0259663 .0233557 .0220726 .0212856 .0203461 .0190198\n"
      "    .0175245 .0163167 .0157635 .0158971 .0163736 .0166425 .0162332 .0150048\n"
      "    .0132233 .0114302 .0101966 .00990128 .0106222 .0121446 .0140562 .0158868\n"
      "    .0172396 .0178703 .01772 .0169186 .015745 .0145145 .013439 .0125662 .0118506\n"
      "    .0112787 .0109244 .0108829 .0111527 .0115798 .0119235 .0119915 .011737\n"
      "    .0112604 .0107337 .0103078 .0100453 .00990113 .00975195 .00945434 .00889985\n"
      "    .00804477 .00691441 .00559383 .00421237\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("TlBr_sg221_ThaliumBromide.ncmat",textdata);
  }
  {
    // File Tm2O3_sg206_ThuliumOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Thulium oxide (Tm2O3, cubic, SG-206 / Ia-3)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2614K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"An X-ray diffraction and magnetic susceptibility study of Tmx Y2-x O3\"\n"
      "#    Blanusa, J., et al. (2000)\n"
      "#    Crystallography Open Database entry 1520870\n"
      "#    https://www.crystallography.net/cod/1520870.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1767\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Tm2O3 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1767.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.4908\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Tm .9661 0 1/4\n"
      "  Tm .0339 1/2 1/4\n"
      "  Tm 1/4 .9661 0\n"
      "  Tm 3/4 .5339 0\n"
      "  Tm 1/4 .0339 1/2\n"
      "  Tm 3/4 .4661 1/2\n"
      "  Tm 0 1/4 .9661\n"
      "  Tm 0 3/4 .5339\n"
      "  Tm 1/2 3/4 .4661\n"
      "  Tm .0339 0 3/4\n"
      "  Tm .9661 1/2 3/4\n"
      "  Tm 3/4 .0339 0\n"
      "  Tm 1/4 .4661 0\n"
      "  Tm 3/4 .9661 1/2\n"
      "  Tm 1/4 .5339 1/2\n"
      "  Tm 0 3/4 .0339\n"
      "  Tm 0 1/4 .4661\n"
      "  Tm 1/2 1/4 .5339\n"
      "  Tm .4661 1/2 3/4\n"
      "  Tm .5339 0 3/4\n"
      "  Tm 1/2 1/4 .0339\n"
      "  Tm .5339 1/2 1/4\n"
      "  Tm .4661 0 1/4\n"
      "  Tm 1/2 3/4 .9661\n"
      "  Tm 1/4 1/4 1/4\n"
      "  Tm 3/4 1/4 1/4\n"
      "  Tm 1/4 3/4 1/4\n"
      "  Tm 3/4 3/4 1/4\n"
      "  Tm 1/4 3/4 3/4\n"
      "  Tm 3/4 3/4 3/4\n"
      "  Tm 3/4 1/4 3/4\n"
      "  Tm 1/4 1/4 3/4\n"
      "  O .389 .154 .379\n"
      "  O .611 .346 .379\n"
      "  O .389 .846 .121\n"
      "  O .611 .654 .121\n"
      "  O .379 .389 .154\n"
      "  O .621 .111 .154\n"
      "  O .379 .611 .346\n"
      "  O .621 .889 .346\n"
      "  O .154 .379 .389\n"
      "  O .154 .621 .111\n"
      "  O .846 .879 .111\n"
      "  O .346 .621 .889\n"
      "  O .611 .846 .621\n"
      "  O .389 .654 .621\n"
      "  O .611 .154 .879\n"
      "  O .389 .346 .879\n"
      "  O .621 .611 .846\n"
      "  O .379 .889 .846\n"
      "  O .621 .389 .654\n"
      "  O .379 .111 .654\n"
      "  O .846 .621 .611\n"
      "  O .846 .379 .889\n"
      "  O .154 .121 .889\n"
      "  O .654 .379 .111\n"
      "  O .889 .654 .879\n"
      "  O .111 .846 .879\n"
      "  O .889 .346 .621\n"
      "  O .111 .154 .621\n"
      "  O .879 .889 .654\n"
      "  O .121 .611 .654\n"
      "  O .879 .111 .846\n"
      "  O .121 .389 .846\n"
      "  O .654 .879 .889\n"
      "  O .654 .121 .611\n"
      "  O .346 .379 .611\n"
      "  O .846 .121 .389\n"
      "  O .111 .346 .121\n"
      "  O .889 .154 .121\n"
      "  O .111 .654 .379\n"
      "  O .889 .846 .379\n"
      "  O .121 .111 .346\n"
      "  O .879 .389 .346\n"
      "  O .121 .889 .154\n"
      "  O .879 .611 .154\n"
      "  O .346 .121 .111\n"
      "  O .346 .879 .389\n"
      "  O .654 .621 .389\n"
      "  O .154 .879 .611\n"
      "@DYNINFO\n"
      "  element  Tm\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00849971 .0789973\n"
      "  vdos_density .160905 .261169 .363034 .595557 .726851 .747783 .805303 1 .91832\n"
      "    .79745 .751785 .729598 .813136 .915827 .92017 .788217 .727203 .587946\n"
      "    .462026 .528016 .496271 .485549 .481329 .432563 .360373 .381005 .397032\n"
      "    .445601 .511307 .514958 .611365 .687744 .702203 .594424 .473377 .411302\n"
      "    .220884 .0968326 .0239163 .00190166 4.80502e-05 1.8977e-07 8.73237e-11 0r5\n"
      "    3.34937e-13 9.95924e-10 5.05576e-07 4.56542e-05 .00088094 .00569975 .0168862\n"
      "    .0252085 .0215833 .0191044 .0214079 .0197652 .02268 .0291758 .0304464\n"
      "    .0260786 .0242215 .023607 .0239752 .0245176 .0244061 .0208901 .0165101\n"
      "    .0180505 .0214568 .020745 .017532 .0157553 .0148553 .0154154 .0180092\n"
      "    .0183682 .0183471 .0177466 .017431 .0188137 .019493 .0195677 .0194769\n"
      "    .0176306 .0128449 .00729925 .00326803 .00237691 .00371791 .00574772\n"
      "    .00760421 .0069423 .0045176 .00352845 .00402085 .00497473 .00659775\n"
      "    .00752083 .00707626 .0059241 .00508178 .00548055 .00684928 .00725026\n"
      "    .0059606 .0048491 .00499923 .00567715 .00597256 .0056797 .00495472 .00407876\n"
      "    .00311656 .00222919 .00184189 .00204584 .00302099 .00477588 .00598359\n"
      "    .00569995 .00511002 .00449241 .00337295 .00316804 .00450451 .00630679\n"
      "    .00743443 .00741324 .00717449 .0077135 .00820999 .00743733 .0054461\n"
      "    .00317879 .0014012 .000422078 7.99246e-05 9.01256e-06\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .00849971 .0789973\n"
      "  vdos_density .0203551 .0301646 .0365531 .0500116 .0610882 .057864 .0582541\n"
      "    .0650956 .0542782 .0458192 .0412039 .0357574 .0331077 .0331731 .0314356\n"
      "    .0275115 .0262188 .0211602 .0185821 .022753 .0217784 .022141 .0215571\n"
      "    .0196559 .0170823 .0182932 .0189727 .0202283 .0229324 .0231463 .024556\n"
      "    .024778 .024414 .0202445 .0151596 .0114257 .00418889 .000940469 .000166315\n"
      "    1.04319e-05 2.2742e-07 8.75908e-10 4.01857e-13 0r5 3.83487e-12 1.14058e-08\n"
      "    5.79657e-06 .000526429 .0103944 .0703811 .218213 .345779 .341047 .405916\n"
      "    .572476 .584635 .648967 .795075 .834934 .760265 .736893 .708347 .721232\n"
      "    .775026 .79349 .677443 .539278 .633855 .823828 .855403 .776086 .753055\n"
      "    .746141 .772503 .906576 .874585 .781453 .73108 .757381 .904007 1 .996526\n"
      "    .957758 .843731 .582654 .31397 .136023 .0964882 .158002 .268042 .388183\n"
      "    .365892 .219452 .156941 .219278 .391258 .634461 .756073 .719112 .579915\n"
      "    .446737 .475108 .660944 .740877 .536072 .279432 .184662 .19369 .2043 .193439\n"
      "    .170467 .145694 .11707 .0877121 .0767293 .0942895 .157211 .267275 .35275\n"
      "    .383938 .447203 .485398 .418189 .413708 .51014 .587433 .594855 .532233\n"
      "    .455716 .423854 .396185 .319921 .211286 .1132 .047003 .0136507 .00252615\n"
      "    .00028047\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Tm2O3_sg206_ThuliumOxide.ncmat",textdata);
  }
  {
    // File UF6_sg62_UraniumHexaflouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Uranium hexaflouride (UF6, orthorombic, SG-62 / Pnma)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 329.6K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structure of fluorides. Part XII. single-crystal neutron\n"
      "#     diffraction study of uranium hexafluoride at 293 K\"\n"
      "#    Levy, J H, et al. (1976)\n"
      "#    Crystallography Open Database entry 1008004\n"
      "#    https://www.crystallography.net/cod/1008004.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1522029.html\n"
      "#   https://www.materialsproject.org/materials/mp-2275\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for UF6 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2275.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 9.900 8.962 5.207\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  62\n"
      "@ATOMPOSITIONS\n"
      "  U .1295 1/4 .0799\n"
      "  U .6295 1/4 .4201\n"
      "  U .8705 3/4 .9201\n"
      "  U .3705 3/4 .5799\n"
      "  F .0126 1/4 .7711\n"
      "  F .5126 1/4 .7289\n"
      "  F .9874 3/4 .2289\n"
      "  F .4874 3/4 .2711\n"
      "  F .2471 1/4 .3895\n"
      "  F .7471 1/4 .1105\n"
      "  F .7529 3/4 .6105\n"
      "  F .2529 3/4 .8895\n"
      "  F .0143 .0947 .2378\n"
      "  F .5143 .4053 .2622\n"
      "  F .9857 .5947 .7622\n"
      "  F .4857 .9053 .7378\n"
      "  F .9857 .9053 .7622\n"
      "  F .4857 .5947 .7378\n"
      "  F .0143 .4053 .2378\n"
      "  F .5143 .0947 .2622\n"
      "  F .2443 .0937 .924\n"
      "  F .7443 .4063 .576\n"
      "  F .7557 .5937 .076\n"
      "  F .2557 .9063 .424\n"
      "  F .7557 .9063 .076\n"
      "  F .2557 .5937 .424\n"
      "  F .2443 .4063 .924\n"
      "  F .7443 .0937 .576\n"
      "@DYNINFO\n"
      "  element  U\n"
      "  fraction 1/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0029999 .0829972\n"
      "  vdos_density .707875 1 .756784 .569773 .439983 .212117 .12445 .139914 .112273\n"
      "    .0757377 .0357207 .0161606 .0045671 .000564001 2.46455e-05 5.2503e-08 0r6\n"
      "    1.64538e-15 1.15568e-10 3.40605e-07 5.61159e-05 .00200483 .0115829 .0190928\n"
      "    .0196542 .00962563 .00199851 .00551571 .0515099 .19448 .335007 .273376\n"
      "    .273955 .131652 .0752983 .0488329 .0324576 .0290484 .0215998 .00768156\n"
      "    .00105865 2.72277e-05 7.26773e-08 0r67 9.98924e-15 4.12078e-12 6.80684e-10\n"
      "    4.64716e-08 1.37347e-06 1.9013e-05 .000135727 .000542927 .00132303 .00218792\n"
      "    .00266796 .00237216 .0014035 .000499087 9.65321e-05 9.16029e-06 3.93195e-07\n"
      "    7.40229e-09 2.08067e-08 1.61519e-06 5.82185e-05 .000991692 .00830564\n"
      "    .0366654 .094485 .159801 .197146 .193115 .161613 .123444 .0940206 .0823999\n"
      "    .0844851 .089807 .0886228 .0719634 .0448808 .0234927 .014584 .0124898\n"
      "    .00921497 .00429027 .00116069 .000176 1.44528e-05 6.24134e-07\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 6/7\n"
      "  type     vdos\n"
      "  vdos_egrid .0029999 .0829972\n"
      "  vdos_density .109342 .15284 .127316 .123865 .185793 .330536 .464448 .624913\n"
      "    .571278 .568051 .394885 .252652 .102714 .0209051 .00149076 3.23232e-06 0r6\n"
      "    6.65783e-14 4.68103e-09 1.4054e-05 .00295447 .156459 .860317 1 .844872\n"
      "    .452006 .121374 .0234854 .109434 .422501 .72049 .659446 .728669 .475258\n"
      "    .602835 .64358 .647109 .661484 .518111 .216997 .0357781 .0009525 2.55154e-06\n"
      "    0r67 3.24389e-12 1.34044e-09 2.21909e-07 1.52236e-05 .000454189 .00637687\n"
      "    .0460396 .181823 .409151 .552927 .49908 .34755 .18389 .0627896 .0119391\n"
      "    .00112402 4.80774e-05 8.89176e-07 4.74867e-08 3.1602e-06 .000113885\n"
      "    .00193913 .016227 .0715129 .183695 .308999 .37828 .367368 .305276 .232179\n"
      "    .176378 .15419 .157458 .166072 .162262 .132272 .0969644 .126234 .263131\n"
      "    .370311 .283533 .117366 .0269628 .00350643 .000256912 1.03301e-05\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("UF6_sg62_UraniumHexaflouride.ncmat",textdata);
  }
  {
    // File UO2_sg225_UraniumDioxide.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Uraninite (UO2)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011728 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 239-444, 1963.\n"
      "#                       https://www.crystallography.net/cod/9009049.html\n"
      "#\n"
      "# VDOS curves at 600K taken from (NB: for other temperatures see below!):\n"
      "#\n"
      "#     \"Combining density functional theory and Monte Carlo neutron transport\n"
      "#      calculations to study the phonon density of states of UO2 up to 1675 K\n"
      "#      by inelastic neutron scattering\"\n"
      "#     G. Noguere, J. P. Scotta, S. Xu, A. Filhol, J. Ollivier, E. Farhi,\n"
      "#     Y. Calzavarra, S. Rols, B. Fak, J.-M. Zanotti, and Q. Berrod\n"
      "#     Phys. Rev. B 102, 134312 - Published 30 October 2020\n"
      "#     https://doi.org/10.1103/PhysRevB.102.134312\n"
      "#\n"
      "# The paper above provided VDOS curves at 300K, 350K, 420K, 600K, 900K, 1200K,\n"
      "# and 1675K. Most users will likely get decent performance for materials at most\n"
      "# temperatures, from simply using the VDOS in the present file. But for those\n"
      "# wishing slightly more realism, files with specific VDOS for all the listed\n"
      "# temperatures are also available at:\n"
      "#\n"
      "# https://github.com/mctools/ncrystal-extra/tree/master/data/validated\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.4682\n"
      "@SPACEGROUP\n"
      "  225\n"
      "@ATOMPOSITIONS\n"
      "  U 1/2   0 1/2\n"
      "  O 1/4 3/4 3/4\n"
      "  O 1/4 1/4 3/4\n"
      "  U 1/2 1/2   0\n"
      "  O 1/4 1/4 1/4\n"
      "  O 1/4 3/4 1/4\n"
      "  U   0   0   0\n"
      "  O 3/4 3/4 1/4\n"
      "  O 3/4 1/4 1/4\n"
      "  U   0 1/2 1/2\n"
      "  O 3/4 1/4 3/4\n"
      "  O 3/4 3/4 3/4\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0072 0.08\n"
      "  vdos_density .0111843 .0125824 .0139804 .0155782 .0173757 .0217695 .0263631\n"
      "    .0307569 .0351508 .0341522 .0323547 .027162 .0231676 .0219692 .0203715\n"
      "    .0193729 .0189734r2 .0191732 .0195726 .019972 .0209706 .022169 .027162\n"
      "    .0343519 .0417416 .0499301 .0601158 .0730977 .0880767 .103855 .118834\n"
      "    .131616 .141602 .148592 .152786 .154184 .156181 .159776 .16437 .170162\n"
      "    .176952 .183942 .190533 .196924 .203116 .209307 .215498 .222289 .232275\n"
      "    .24965 .27142 .296984 .323547 .350709 .37867 .40703 .434791 .460555 .482524\n"
      "    .498502 .506491 .507889 .50689 .499101 .488316 .475934 .463751 .454564\n"
      "    .447773 .441782 .436389 .430997 .426603 .423208 .42161 .420611 .420411\n"
      "    .42141 .424206 .427801 .431995 .436189 .441981 .452367 .463152 .469742r2\n"
      "    .46455 .463751 .455163 .434991 .403235 .373877 .362093 .3573 .356501 .366487\n"
      "    .401438 .424606 .440383 .447773 .438786 .426203 .417416 .418015 .424406\n"
      "    .43579 .448772 .462552 .476932 .492311 .509686 .533453 .570202 .628121\n"
      "    .714799 .815059 .904134 .965049 1 .996006 .932694 .812862 .653485 .47134\n"
      "    .298582 .159577 .0695027 .0325544 .0131815 .00499301 .00219692 .00139804\n"
      "    .00119832 .000998602 .00159776 .00279609 .00559217 .0113841 .0223687\n"
      "    .0381466 .0577192 .0768924 .0944677 .111843 .130817 .152986 .179149 .210505\n"
      "    .24965 .323347 .427801 .512882 .559617 .571999 .531456 .454963 .375874\n"
      "    .31456 .267426 .232075 .202916 .180747 .161374 .145596 .133214 .122828\n"
      "    .113841 .105852 .0988616 .0930697 .0884761 .0848812 .0808868 .0754943\n"
      "    .0689035 .0619133 .0525265 .0425404 .0383463r2 0\n"
      "@DYNINFO\n"
      "  element  U\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.004 0.08\n"
      "  vdos_density .0146953 .0180077 .0216815 .0257769 .0302939 .0353529 .0411949\n"
      "    .0478198 .0554083 .0642616 .0748013 .0872079 .101903 .120332 .143821 .181462\n"
      "    .262106 .496989 .773368 .913214 1 .815647 .632197 .495844 .394001 .323055\n"
      "    .280294 .264093 .259757 .262106 .262166 .259636 .251265 .245122 .259696\n"
      "    .301735 .401831 .487834 .572212 .529029 .423091 .318357 .230185 .169417\n"
      "    .131474 .10913 .0990123 .0911226 .0830523 .0748013 .061973 .0458323 .0344495\n"
      "    .0276439 .023127 .0210793 .0192725 .0193327 .0201759 .0217417 .0243315\n"
      "    .0281258 .0338473 .0393881 .0427006 .0440858 .0433028 .0404119 .0364972\n"
      "    .0322212 .0286076 .0258371 .0236088 .021802 .0202963 .0189713 .017827\n"
      "    .016743 .0158396 .0149964 .0142134 .013551 .0129487 .0124066 .0118646\n"
      "    .0113828 .0109612 .0105999 .0102385 .00987714 .00951578 .00915442 .00885329\n"
      "    .0084317 .00801012 .00746808 .00698627 .00644423 .00572151 .00475789\n"
      "    .00361359 .00271019 .00210793 .00180679 .00162611 .00144543 .00126476\n"
      "    .00108408 .000963623 .000903397 .00084317 .000903397 .000963623 .00102385\n"
      "    .00108408 .00120453 .00138521 .00156589 .00174657 .00192725 .00210793\n"
      "    .00234883 .00258974 .00283064 .003192 .00355336 .00403517 .00427608 .0043363\n"
      "    .00403517 .00331245 .00234883 .00138521 .000542038 .000180679 6.02265e-05\n"
      "    0r10 2.08952e-18 6.02265e-05 .000180679 .000421585 .000782944 .00138521\n"
      "    .0020477 .00283064 .00397495 .00536015 .00692604 .00855216 .00987714\n"
      "    .0110214 .0119851 .0129487 .0138521 .0142737 .014635 .0145748 .0142737\n"
      "    .0139123 .013551 .0130691 .0124669 .0118044 .0110214 .0102987 .00969646\n"
      "    .00921465 .00879306 .0084317 .00801012 .00752831 .00698627 .00662491\n"
      "    .00632378 .00620332 .0061431r2 .00608287 .00590219 .00566129r2 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("UO2_sg225_UraniumDioxide.ncmat",textdata);
  }
  {
    // File V_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Vanadium.\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011235 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008557.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 1 (bottom curve) of:\n"
      "#\n"
      "#   \"Positive Vibrational Entropy of Chemical Ordering in FeV\"\n"
      "#   J. A. Munoz, et. al.\n"
      "#   Phys. Rev. Lett. 107, 115501 - Published 8 September 2011\n"
      "#   https://doi.org/10.1103/PhysRevLett.107.115501\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.024\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  V 1/2 1/2 1/2\n"
      "  V   0   0   0\n"
      "@DYNINFO\n"
      "  element  V\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0025016 .049317257142857\n"
      "  vdos_density .00965782 .0109953 .0123328 .0138018 .0157158 .0176298 .0197426\n"
      "    .0221633 .0245839 .0268982 .0291428 .0313875 .0339008 .0364682 .0390357\n"
      "    .0419785 .0449224 .0479108 .0510669 .054223 .0576658 .0616221 .0655784\n"
      "    .0693062 .0729275 .0765488 .0806131 .0847674 .0889217 .0931958 .0974705\n"
      "    .101859 .106607 .111356 .116288 .121441 .126594 .130719 .134165 .137611\n"
      "    .142049 .146735 .151493 .157361 .163229 .168831 .173592 .178353 .182668\n"
      "    .18633 .189993 .194593 .199854 .205114 .209863 .214552 .219328 .225996\n"
      "    .232663 .239254 .245584 .251914 .258418 .265104 .27179 .278002 .283943\n"
      "    .289885 .296142 .302434 .308565 .312813 .317061 .324528 .34198 .359433\n"
      "    .375322 .389593 .403864 .413619 .421354 .429088 .453101 .478219 .50241\n"
      "    .520005 .5376 .556635 .578372 .600108 .626054 .656336 .686619 .706376\n"
      "    .724538 .7427 .773273 .8048 .835538 .860279 .88502 .904709 .915225 .925741\n"
      "    .92623 .918993 .911755 .897127 .880905 .864682 .842234 .818985 .796853\n"
      "    .780128 .763403 .748956 .738801 .728645 .729988 .739954 .74992 .750205\n"
      "    .746139 .742242 .744031 .745821 .750018 .766796 .783574 .795627 .799853\n"
      "    .804079 .808786 .813828 .818869 .831518 .846646 .862091 .886593 .911095\n"
      "    .932133 .939632 .947132 .954495 .96168 .968864 .978303 .989151 1 .980208\n"
      "    .952627 .924163 .870479 .816794 .765452 .723523 .681594 .637592 .590478\n"
      "    .543365 .498535 .455689 .412843 .373286 .334638 .29599 .269344 .243083\n"
      "    .217786 .197659 .177533 .159644 .145168 .130692 .1212 .115446 .109693\n"
      "    .0993809 .087677 .0759731 .0712815 .0674172 .063849 .0624343 .0610196\n"
      "    .058202 .052355 .046508 .0406028 .0346417 .0286807 .0281211 .0303831\n"
      "    .0326452 .0301744 .0273611 .0249223 .0279781 .031034 .0334406 .0342721\n"
      "    .0351035 .0327394 .028097 .0234546 .02169 .020824 .019958 .022993 .0266525\n"
      "    .0281491 .0201677 .0121863 .0103509 .0185772 .0268036 .0266436 .0201519\n"
      "    .0136601 .0109448 .0104688 .00994338 .00175151 .000263288 .000263815\n"
      "    .00101674 .0106993 .0164372 .014062 .0116867 .00460655 .000252635 .000226124\n"
      "    .000199614 .000173104 .000146593 .000120083 0r4 .00255174 .00574155\n"
      "    .00893136 .0100383 .00999226 .00994618 .00979193 .00960914 .00942634\n"
      "    .00792946 .00629839 .00482566 .00425031 .00367496 .00217532 0 .000130737\n"
      "    .000219444 .00187953 .00786702 .00506826 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("V_sg229.ncmat",textdata);
  }
  {
    // File W_sg229.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Tungsten (W). BCC.\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011236 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008558.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 2 of:\n"
      "#\n"
      "#   \"Effect of the variation of the electronic density of states of zirconium and\n"
      "#    tungsten on their respective thermal conductivity evolution with temperature\"\n"
      "#   Jean-Paul Crocombette et al 2015 J. Phys.: Condens. Matter 27 165501\n"
      "#   https://doi.org/10.1088/0953-8984/27/16/165501\n"
      "#\n"
      "# It should be noted that Crocombette-2015 argues that VDOS curve is not perfect\n"
      "# at higher frequencies. If a more convincing VDOS curve is one day available,\n"
      "# the one below could be replaced. However, the realism of even a rough VDOS\n"
      "# curve is much better than the alternative of a Debye spectrum.\n"
      "#\n"
      "@CELL\n"
      "  cubic 3.16469\n"
      "@SPACEGROUP\n"
      "  229\n"
      "@ATOMPOSITIONS\n"
      "  W   0   0   0\n"
      "  W 1/2 1/2 1/2\n"
      "@DYNINFO\n"
      "  element  W\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0043216486367601 .022719524261825\n"
      "  vdos_density .0101232 .0106726 .0112219 .0117713 .0123206 .01287 .0137012\n"
      "    .014817 .0159328 .0169083 .0176627 .0184171 .0191714 .0199258 .0208968\n"
      "    .022024 .0231511 .0242783 .0254054 .0262972 .0271617 .0280262 .0288907\n"
      "    .0301908 .0322817 .0343725 .0361933 .037844 .0394947 .0408034 .0419572\n"
      "    .0431111 .0448462 .0468532 .0488602 .0509592 .0531709 .0553827 .0578469\n"
      "    .0607227 .0635985 .0664451 .0681503 .0698556 .0715974 .0753734 .0791494\n"
      "    .0829254 .0867013 .0898169 .0927909 .0957649 .099457 .10464 .109823 .114727\n"
      "    .119604 .124523 .130037 .13555 .141239 .147541 .153997 .160713 .167429\n"
      "    .175785 .186076 .195625 .204629 .215631 .227534 .241537 .255596 .270479\n"
      "    .288007 .307803 .330597 .357823 .392835 .428167 .47862 .533955 .602948\n"
      "    .693166 .779083 .876573 .95458 .995439 1 .984201 .952981 .911956 .874782\n"
      "    .838143 .80706 .773017 .745801 .724059 .708034 .694877 .681772 .66824\n"
      "    .654367 .638154 .615735 .586958 .555114 .522993 .491376 .463629 .442637\n"
      "    .424899 .408618 .394621 .383561 .376408 .369704 .365996 .36497 .366525\n"
      "    .373129 .383969 .398185 .419085 .449694 .483974 .529851 .588045 .643678\n"
      "    .702483 .761529 .823197 .854896 .858506 .836259 .766754 .67909 .572288\n"
      "    .471922 .349923 .2528 .172083 .107368 .0621739 .0362051 .0214826 .0117393\n"
      "    .00678491 .00186939 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("W_sg229.ncmat",textdata);
  }
  {
    // File Xe_Gas_STP.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Xenon gas.\n"
      "#\n"
      "# Noble gasses such as this one can be modelled realistically using the freegas\n"
      "# model of NCrystal. The density is the value at STP (273.15K, 1atm) calculated\n"
      "# with the ideal gas equation. The density value must currently (NCrystal\n"
      "# v2.7.0) be manually changed by the user if modelling using different\n"
      "# temperatures or pressures is desired (the formula is given below).\n"
      "#\n"
      "@STATEOFMATTER\n"
      "  gas\n"
      "@DYNINFO\n"
      "  element  Xe\n"
      "  fraction 1\n"
      "  type     freegas\n"
      "@DENSITY\n"
      "  # Notice: We are hardcoding the STP values (273.15K, 1atm) here. For other\n"
      "  # values of pressure and temperature, it can be calculated as:\n"
      "  #\n"
      "  #      density [kg/m3] = 1600.025 * ( P[atm] / T[K] )\n"
      "  #\n"
      "  # Which assumes a Xe mass of 131.293 amu.\n"
      "  5.857679 kg_per_m3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Xe_Gas_STP.ncmat",textdata);
  }
  {
    // File Y2O3_sg206_Yttrium_Oxide.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Yttrium Oxide (Yttria). Cubic.\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2700K.\n"
      "#\n"
      "# Reference for crystal structure:\n"
      "#\n"
      "#   Park, Woon Bae, et. al., Journal of Materials Chemistry, vol. 21, p. 5780, 2011.\n"
      "#   https://www.crystallography.net/cod/7205917.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 3 (Cubic, 0 GPa, Ab-initio curve) of:\n"
      "#\n"
      "#   \"Phase transitions and thermodynamic properties of yttria, Y2O3 : Inelastic\n"
      "#    neutron scattering shell model and first-principles calculations\"\n"
      "#   Preyoshi P. Bose, et. al.\n"
      "#   Phys. Rev. B 84, 094301 - Published 12 September 2011\n"
      "#   https://doi.org/10.1103/PhysRevB.84.094301\n"
      "#\n"
      "@CELL\n"
      "  cubic 10.6431\n"
      "@SPACEGROUP\n"
      "  206\n"
      "@ATOMPOSITIONS\n"
      "  Y 0 0 0.5\n"
      "  Y 0.5 0 0\n"
      "  Y 0.5 0 0.5\n"
      "  Y 0.5 0.5 0.5\n"
      "  Y 0.5 0.25 0.7336\n"
      "  Y 0.5 0.75 0.7664\n"
      "  Y 0.2664 0 0.25\n"
      "  Y 0.2336 0 0.75\n"
      "  Y 0.75 0.2336 0\n"
      "  Y 0.75 0.7664 0.5\n"
      "  Y 0.5 0.75 0.2664\n"
      "  Y 0.5 0.25 0.2336\n"
      "  Y 0.7336 0 0.75\n"
      "  Y 0.7664 0 0.25\n"
      "  Y 0.25 0.7664 0\n"
      "  Y 0.25 0.2336 0.5\n"
      "  O 0.37 0.392 0.145\n"
      "  O 0.63 0.108 0.145\n"
      "  O 0.63 0.892 0.355\n"
      "  O 0.37 0.608 0.355\n"
      "  O 0.855 0.13 0.392\n"
      "  O 0.355 0.37 0.608\n"
      "  O 0.145 0.37 0.392\n"
      "  O 0.645 0.13 0.608\n"
      "  O 0.108 0.145 0.63\n"
      "  O 0.392 0.145 0.37\n"
      "  O 0.608 0.355 0.37\n"
      "  O 0.892 0.355 0.63\n"
      "  O 0.63 0.608 0.855\n"
      "  O 0.37 0.892 0.855\n"
      "  O 0.37 0.108 0.645\n"
      "  O 0.63 0.392 0.645\n"
      "  O 0.145 0.87 0.608\n"
      "  O 0.645 0.63 0.392\n"
      "  O 0.855 0.63 0.608\n"
      "  O 0.355 0.87 0.392\n"
      "  O 0.892 0.855 0.37\n"
      "  O 0.608 0.855 0.63\n"
      "  O 0.392 0.645 0.63\n"
      "  O 0.108 0.645 0.37\n"
      "  Y 0.5 0.5 0\n"
      "  Y 0 0.5 0.5\n"
      "  Y 0 0.5 0\n"
      "  Y 0 0 0\n"
      "  Y 0 0.75 0.2336\n"
      "  Y 0 0.25 0.2664\n"
      "  Y 0.7664 0.5 0.75\n"
      "  Y 0.7336 0.5 0.25\n"
      "  Y 0.25 0.7336 0.5\n"
      "  Y 0.25 0.2664 0\n"
      "  Y 0 0.25 0.7664\n"
      "  Y 0 0.75 0.7336\n"
      "  Y 0.2336 0.5 0.25\n"
      "  Y 0.2664 0.5 0.75\n"
      "  Y 0.75 0.2664 0.5\n"
      "  Y 0.75 0.7336 0\n"
      "  O 0.87 0.892 0.645\n"
      "  O 0.13 0.608 0.645\n"
      "  O 0.13 0.392 0.855\n"
      "  O 0.87 0.108 0.855\n"
      "  O 0.355 0.63 0.892\n"
      "  O 0.855 0.87 0.108\n"
      "  O 0.645 0.87 0.892\n"
      "  O 0.145 0.63 0.108\n"
      "  O 0.608 0.645 0.13\n"
      "  O 0.892 0.645 0.87\n"
      "  O 0.108 0.855 0.87\n"
      "  O 0.392 0.855 0.13\n"
      "  O 0.13 0.108 0.355\n"
      "  O 0.87 0.392 0.355\n"
      "  O 0.87 0.608 0.145\n"
      "  O 0.13 0.892 0.145\n"
      "  O 0.645 0.37 0.108\n"
      "  O 0.145 0.13 0.892\n"
      "  O 0.355 0.13 0.108\n"
      "  O 0.855 0.37 0.892\n"
      "  O 0.392 0.355 0.87\n"
      "  O 0.108 0.355 0.13\n"
      "  O 0.892 0.145 0.13\n"
      "  O 0.608 0.145 0.87\n"
      "@DYNINFO\n"
      "  element  Y\n"
      "  fraction 2/5\n"
      "  type     vdos\n"
      "  vdos_egrid .008194 .085292090909091\n"
      "  vdos_density .0856997 .0960481 .106397 .11729 .12875 .140481 .153334 .166186\n"
      "    .181254 .201244 .22856 .270507 .309292 .358133 .423642 .488283 .54151\n"
      "    .566965 .579243 .581908 .581563 .591187 .643498 .719369 .801305 .848877\n"
      "    .875724 .87569 .853304 .819879 .788225 .776441 .774311 .79515 .811236\n"
      "    .879082 .929422 .990082 1 .984991 .934265 .880552 .814598 .732746 .658159\n"
      "    .581901 .533768 .513791 .524118 .543032 .54969 .543406 .530114 .522174\n"
      "    .509034 .487715 .45887 .429108 .412021 .402503 .40491 .415407 .428176\n"
      "    .444122 .472361 .492197 .514669 .535679 .57158 .610126 .636346 .650988\n"
      "    .641453 .61605 .575829 .529712 .50869 .475976 .443056 .406031 .374129\n"
      "    .349714 .32496 .299854 .267081 .220343 .192504 .171601 .155622 .143347\n"
      "    .131981 .120981 .116378 .117769 .119489 .113151 .103388 .0940882 .0767534\n"
      "    .0641582 .05819 .0571136 .0584204 .0597272 .0609373 .0618775 .0628178\n"
      "    .0626759 .0621593 .0616426 .0625894 .0641295 .0641038 .0582472 .0528009\n"
      "    .049379 .0500674 .0513528 .0526382 .0530136 .0525288 .0498869 .0501072\n"
      "    .0503275 .0464334 .0404342 .0345035 .0304005 .0260699 .0213489 .0168567\n"
      "    .0131374 .0131692 .0172719 .0210119 .0227974 .0176774 .0143281 .0121066\n"
      "    .0118074 .0138498 .0159378 .0152298 .0145218 .013099 .0114239 .00990658\n"
      "    .00838923 .00962685 .0113133 .0119905 .00990671 .00691428 .00356018\n"
      "    .00167438 .000284804 .000725144 .00116548 .00160582 .00187548 .0021279\n"
      "    .00238031 .00363162 .00838623 .0131693 .0186535 .023793 .0277017 .0304403\n"
      "    .0326084 .0318367 .0279977 .0212345 .0155656 .0122879 .0122825 .0127572\n"
      "    .0136602 .0160463 .0184324 .0202886 .0215456 .0194157 .0161988 .0154967\n"
      "    .0187516 .0226834 .029727 .0330229 .0303883 .0259296 .0214073 .0174228\n"
      "    .0228707 .0279621 .0329793 .0379577 .0414904 .041359 .0379999 .0311162\n"
      "    .0237141 .0157418 .0100252 .00625049 .00371577 .00168165 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 3/5\n"
      "  type     vdos\n"
      "  vdos_egrid .005304 .076562086956522\n"
      "  vdos_density .00993635 .0108187 .0117011 .0125835 .0134659 .0143483 .0152307\n"
      "    .0161131 .0169955 .0178779 .0192335 .0209004 .0225673 .0242341 .025901\n"
      "    .0275679 .0292348 .0308346 .0321939 .0335533 .0341759 .0338885 .0371714\n"
      "    .041923 .0456393 .0489136 .0521879 .0554621 .0613358 .0676819 .0721821\n"
      "    .0765494 .0779457 .079342 .0803215 .0791682 .0763403 .0749805 .0743222\n"
      "    .0736638 .075608 .077776 .0806737 .0851607 .0882333 .09002 .0911847 .0883443\n"
      "    .0851768 .0819499 .0792133 .0764767 .0730867 .0693856 .0672651 .0652159\n"
      "    .0632793 .0613426 .0602009 .0619828 .0637646 .0631345 .0622237 .0607817\n"
      "    .0593397 .0570525 .0542897 .0510887 .0477934 .0444981 .0423673 .0407337\n"
      "    .0391026 .0376811 .0362596 .035146 .0353513 .0355567 .0378023 .0407514\n"
      "    .043146 .0451343 .0449827 .0444063 .0433602 .0426244 .0422885 .0419527\n"
      "    .0413971 .0405767 .0397556 .0388535 .0379514 .037461 .0371979 .0369348\n"
      "    .0366716 .0370187 .037477 .0381496 .0407324 .0433153 .0456718 .0475686\n"
      "    .0496305 .0536063 .057582 .0615578 .0663813 .0712467 .075764 .0796955\n"
      "    .0835995 .0846219 .0856443 .0854212 .0850887 .0847562 .0859994 .0874789\n"
      "    .0911172 .0981985 .112538 .150584 .192478 .251779 .331723 .414343 .502791\n"
      "    .560282 .618553 .685868 .697871 .779952 .85102 .882143 .932954 .96544\n"
      "    .970494 .958925 .932629 .907478 .896356 .897907 .909325 .934276 .95563\n"
      "    .951357 .948939 .934397 .881542 .811892 .762667 .695869 .65502 .65744\n"
      "    .669475 .725334 .790742 .817722 .871838 .89012 .921955 .96482 .980573\n"
      "    .981067 .975518 .966259 .963792 .971518 .977287 .981444 .980786 .941248\n"
      "    .900142 .806594 .790835 .787292 .813029 .874618 .924473 .956769 .989436 1\n"
      "    .998868 .992188 .976887 .943638 .921241 .872443 .789363 .71392 .626222\n"
      "    .530313 .487361 .414231 .369663 .311683 .272262 .215206 .212336 .218338\n"
      "    .288394 .33625 .408196 .415958 .409334 .374873 .345006 .348381 .365574\n"
      "    .463233 .529455 .569601 .648523 .685543 .724464 .757864 .771394 .766559\n"
      "    .751934 .732683 .72816 .753729 .781858 .815318 .812215 .77822 .669025 .49632\n"
      "    .345894 .21187 .1121 .050955 .0145242 .00592578 .00116623 9.94106e-05\n"
      "    .000100653 .000101895 .000103138 .00247739 .00652783 .0226103 .0386537\n"
      "    .0626915 .0937065 .18323 .245062 .296709 .339976 .386723 .410301 .415772\n"
      "    .42011 .421719 .41545 .393158 .363711 .30903 .277286 .249231 .23594 .231214\n"
      "    .23948 .259528 .286628 .326073 .370236 .434227 .4847 .516387 .525631 .534875\n"
      "    .542628 .556406 .575695 .592149 .614324 .642707 .645336 .639353 .61349\n"
      "    .536066 .477478 .402489 .337098 .294727 .291356 .296951 .335094 .365099\n"
      "    .411425 .440947 .450213 .438438 .424357 .387691 .355224 .273165 .246866\n"
      "    .17721 .117069 .0874186 .0382045 .0224058 .0108869 .00505914 .00168258 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Y2O3_sg206_Yttrium_Oxide.ncmat",textdata);
  }
  {
    // File Y2SiO5_sg15_YSO.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Y2SiO5 (YSO scintillator, monoclinic, SG-15 / C2/c)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2343K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    The Materials Project\n"
      "#    https://www.materialsproject.org/materials/mp-3520\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1001838.html\n"
      "#   https://www.crystallography.net/cod/1542007.html\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Y2SiO5 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d003/mp-3520.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.3]\n"
      "#\n"
      "@CELL\n"
      "  lengths 14.564338 6.835386 10.556968467868\n"
      "  angles 90 122.13203904306 90\n"
      "@SPACEGROUP\n"
      "  15\n"
      "@ATOMPOSITIONS\n"
      "  Y .963041 .255706 .032402\n"
      "  Y .036959 .255706 .467598\n"
      "  Y .036959 .744294 .967598\n"
      "  Y .963041 .744294 .532402\n"
      "  Y .1426405 .6180475 .337488\n"
      "  Y .8573595 .6180475 .162512\n"
      "  Y .8573595 .3819525 .662512\n"
      "  Y .1426405 .3819525 .837488\n"
      "  Y .463041 .755706 .032402\n"
      "  Y .536959 .755706 .467598\n"
      "  Y .536959 .244294 .967598\n"
      "  Y .463041 .244294 .532402\n"
      "  Y .6426405 .1180475 .337488\n"
      "  Y .3573595 .1180475 .162512\n"
      "  Y .3573595 .8819525 .662512\n"
      "  Y .6426405 .8819525 .837488\n"
      "  Si .681775 .590107 .305678\n"
      "  Si .818225 .090107 .194322\n"
      "  Si .318225 .409893 .694322\n"
      "  Si .181775 .909893 .805678\n"
      "  Si .181775 .090107 .305678\n"
      "  Si .318225 .590107 .194322\n"
      "  Si .818225 .909893 .694322\n"
      "  Si .681775 .409893 .805678\n"
      "  O .983335 .593793 .104224\n"
      "  O .016665 .593793 .395776\n"
      "  O .016665 .406207 .895776\n"
      "  O .983335 .406207 .604224\n"
      "  O .201181 .927008 .431958\n"
      "  O .798819 .927008 .068042\n"
      "  O .798819 .072992 .568042\n"
      "  O .201181 .072992 .931958\n"
      "  O .797031 .648026 .323694\n"
      "  O .702969 .148026 .176306\n"
      "  O .202969 .351974 .676306\n"
      "  O .297031 .851974 .823694\n"
      "  O .120599 .716453 .824225\n"
      "  O .879401 .716453 .675775\n"
      "  O .879401 .283547 .175775\n"
      "  O .120599 .283547 .324225\n"
      "  O .090702 .990857 .637565\n"
      "  O .409298 .490857 .862435\n"
      "  O .909298 .009143 .362435\n"
      "  O .590702 .509143 .137565\n"
      "  O .483335 .093793 .104224\n"
      "  O .516665 .093793 .395776\n"
      "  O .516665 .906207 .895776\n"
      "  O .483335 .906207 .604224\n"
      "  O .701181 .427008 .431958\n"
      "  O .298819 .427008 .068042\n"
      "  O .298819 .572992 .568042\n"
      "  O .701181 .572992 .931958\n"
      "  O .297031 .148026 .323694\n"
      "  O .202969 .648026 .176306\n"
      "  O .702969 .851974 .676306\n"
      "  O .797031 .351974 .823694\n"
      "  O .620599 .216453 .824225\n"
      "  O .379401 .216453 .675775\n"
      "  O .379401 .783547 .175775\n"
      "  O .620599 .783547 .324225\n"
      "  O .590702 .490857 .637565\n"
      "  O .909298 .990857 .862435\n"
      "  O .409298 .509143 .362435\n"
      "  O .090702 .009143 .137565\n"
      "@DYNINFO\n"
      "  element  Y\n"
      "  fraction 2/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .129746\n"
      "  vdos_density .129339 .207598 .273001 .347532 .390412 .439833 .532587 .584743\n"
      "    .583985 .719105 .749554 .872175 .799702 .931377 .931693 1 .891688 .866765\n"
      "    .680275 .59502 .701974 .777327 .71725 .662929 .760125 .711876 .604596\n"
      "    .675222 .63402 .530274 .601387 .55262 .505551 .48098 .458651 .457301 .45726\n"
      "    .563445 .663046 .468553 .0986184 .138549 .13543 .195949 .233038 .266975\n"
      "    .204705 .155298 .124664 .12506 .0751424 .0479159 .0650418 .0577749 .0496231\n"
      "    .0469016 .0642615 .062236 .0545875 .05608 .0540882 .0475309 .0335345\n"
      "    .0244509 .023159 .0222009 .0156028 .00868548 .00220169 .000183912\n"
      "    3.68284e-06 6.84552e-07 .000134689 .00400184 .019545 .0340451 .032143\n"
      "    .0287907 .0287976 .0339952 .034255 .0285235 .0193364 .0192762 .0239029\n"
      "    .0222545 .0230868 .0240328 .0210067 .0203606 .0255797 .0212093 .00873544\n"
      "    .00158589 9.23137e-05 1.13207e-06 2.51407e-09 0r31 1.0779e-11 3.83002e-09\n"
      "    4.69969e-07 2.01468e-05 .000309665 .00181835 .00461514 .00595117 .00461427\n"
      "    .00286592 .00227407 .00236826 .00197055 .00121809 .000808392 .000677809\n"
      "    .000542463 .000437157 .000528346 .00080752 .00115358 .00150279 .00161241\n"
      "    .00132175 .00103124 .00105446 .00112444 .000940039 .000628476 .000419508\n"
      "    .000322917 .000266739 .000221408 .000177438 .000128317 7.42777e-05\n"
      "    2.92365e-05 6.66887e-06 7.82536e-07 4.39663e-08\n"
      "@DYNINFO\n"
      "  element  Si\n"
      "  fraction 1/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .129746\n"
      "  vdos_density .046718 .0683175 .0822872 .0971684 .104154 .112439 .129299\n"
      "    .138507 .124645 .135866 .12051 .148933 .149779 .206521 .214467 .257019\n"
      "    .288858 .296661 .243227 .270118 .269741 .251807 .21891 .221143 .225645\n"
      "    .200779 .213724 .264823 .283005 .280715 .338183 .307485 .359244 .405173\n"
      "    .339386 .269525 .211125 .214175 .219109 .133426 .0397577 .154649 .198087\n"
      "    .322084 .419603 .500277 .411629 .360834 .280428 .256928 .142824 .0739521\n"
      "    .106478 .11942 .150915 .18351 .276441 .26561 .253984 .278746 .23616 .166884\n"
      "    .124053 .112922 .124945 .123002 .097435 .0650957 .0175211 .00143938\n"
      "    2.86267e-05 2.01278e-05 .00388561 .113531 .517479 .845292 .88634 .834978\n"
      "    .805145 .845275 .691681 .502288 .339133 .281257 .281065 .202998 .141179\n"
      "    .0996702 .0633963 .0580165 .0852817 .0864307 .0402787 .00776891 .000461738\n"
      "    5.68653e-06 1.26393e-08 0r31 1.50762e-09 5.33937e-07 6.51478e-05 .00275\n"
      "    .0405668 .21542 .45055 .487502 .486595 .602394 .771571 .876384 .789153\n"
      "    .678729 .629685 .554498 .419386 .317876 .378058 .597366 .849144 1 .930384\n"
      "    .689603 .503662 .47505 .47974 .394852 .264213 .172336 .124532 .0956964\n"
      "    .074521 .056662 .0392983 .022071 .00852386 .00192405 .000224599 1.25884e-05\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 5/8\n"
      "  type     vdos\n"
      "  vdos_egrid .00449985 .129746\n"
      "  vdos_density .0409835 .0670041 .0847589 .104535 .115632 .128427 .151021\n"
      "    .172138 .172042 .203751 .204643 .233838 .23088 .316384 .316999 .353906\n"
      "    .376957 .389526 .328933 .337409 .306816 .286699 .247436 .278322 .333031\n"
      "    .354591 .469774 .6318 .685228 .631116 .697498 .580932 .484893 .463685\n"
      "    .384016 .315001 .25685 .290687 .317462 .244959 .0869246 .361146 .352587\n"
      "    .502849 .614974 .687007 .551557 .49025 .439771 .483261 .36603 .383212\n"
      "    .627212 .537206 .461819 .49411 .82818 .921568 .946942 1 .903265 .670841\n"
      "    .40613 .31103 .311855 .306477 .239257 .149745 .0382644 .00291352 5.63771e-05\n"
      "    1.93892e-05 .00363408 .105797 .483838 .776797 .754531 .690859 .675414\n"
      "    .731942 .684468 .561773 .396721 .347498 .381885 .355034 .352505 .337095\n"
      "    .274876 .31006 .494763 .458217 .198418 .0369084 .00216676 2.6618e-05\n"
      "    5.91335e-08 0r31 2.19531e-09 7.7909e-07 9.53975e-05 .00406608 .0615583\n"
      "    .348631 .82652 .981395 .731198 .479457 .401753 .39989 .336367 .262564\n"
      "    .231701 .204939 .156317 .117325 .136279 .21169 .297634 .349563 .326714\n"
      "    .243706 .179138 .169817 .17162 .140844 .0936531 .0605865 .0434951 .0332701\n"
      "    .0258068 .0195528 .0135197 .00757567 .00292142 .000658898 7.68826e-05\n"
      "    4.30832e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Y2SiO5_sg15_YSO.ncmat",textdata);
  }
  {
    // File Y3Al5O12_sg230_YAG.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Yttrium aluminium garnet  (Y3Al5O12, YAG, cubic, SG-230 / Ia-3d)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 2963K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Cation distribution and crystal chemistry of\n"
      "#     Y3Al(5-x)Ga(x)O12 (0<=x<=5) garnet solid solutions\"\n"
      "#    Nakatsuka, A., et al. (1999)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0108768198012567\n"
      "#    Crystallography Open Database entry 2003066\n"
      "#    https://www.crystallography.net/cod/2003066.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/4312142.html\n"
      "#   https://www.materialsproject.org/materials/mp-3050\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for Y3Al5O12 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d003/mp-3050.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 12.0062\n"
      "@SPACEGROUP\n"
      "  230\n"
      "@ATOMPOSITIONS\n"
      "  Y 1/8 0 1/4\n"
      "  Y 5/8 0 1/4\n"
      "  Y 1/8 1/2 3/4\n"
      "  Y 3/8 1/2 1/4\n"
      "  Y 3/4 7/8 0\n"
      "  Y 1/4 5/8 0\n"
      "  Y 3/4 1/8 1/2\n"
      "  Y 1/4 3/8 1/2\n"
      "  Y 0 3/4 7/8\n"
      "  Y 0 1/4 5/8\n"
      "  Y 1/2 3/4 1/8\n"
      "  Y 1/2 1/4 3/8\n"
      "  Y 7/8 0 3/4\n"
      "  Y 3/8 0 3/4\n"
      "  Y 7/8 1/2 1/4\n"
      "  Y 5/8 1/2 3/4\n"
      "  Y 1/4 1/8 0\n"
      "  Y 3/4 3/8 0\n"
      "  Y 1/4 7/8 1/2\n"
      "  Y 3/4 5/8 1/2\n"
      "  Y 0 1/4 1/8\n"
      "  Y 0 3/4 3/8\n"
      "  Y 1/2 1/4 7/8\n"
      "  Y 1/2 3/4 5/8\n"
      "  Al 0 0 0\n"
      "  Al 1/2 0 1/2\n"
      "  Al 0 1/2 1/2\n"
      "  Al 1/2 1/2 0\n"
      "  Al 1/4 3/4 3/4\n"
      "  Al 1/4 1/4 1/4\n"
      "  Al 3/4 3/4 1/4\n"
      "  Al 3/4 1/4 3/4\n"
      "  Al 3/4 1/4 1/4\n"
      "  Al 3/4 3/4 3/4\n"
      "  Al 1/4 1/4 3/4\n"
      "  Al 1/4 3/4 1/4\n"
      "  Al 1/2 1/2 1/2\n"
      "  Al 0 1/2 0\n"
      "  Al 1/2 0 0\n"
      "  Al 0 0 1/2\n"
      "  Al 3/8 0 1/4\n"
      "  Al 7/8 0 1/4\n"
      "  Al 3/8 1/2 3/4\n"
      "  Al 1/8 1/2 1/4\n"
      "  Al 3/4 5/8 0\n"
      "  Al 1/4 7/8 0\n"
      "  Al 3/4 3/8 1/2\n"
      "  Al 1/4 1/8 1/2\n"
      "  Al 0 3/4 5/8\n"
      "  Al 0 1/4 7/8\n"
      "  Al 1/2 3/4 3/8\n"
      "  Al 1/2 1/4 1/8\n"
      "  Al 1/4 3/8 0\n"
      "  Al 1/4 5/8 1/2\n"
      "  Al 3/4 1/8 0\n"
      "  Al 3/4 7/8 1/2\n"
      "  Al 7/8 1/2 3/4\n"
      "  Al 1/8 0 3/4\n"
      "  Al 5/8 1/2 1/4\n"
      "  Al 0 3/4 1/8\n"
      "  Al 1/2 3/4 7/8\n"
      "  Al 0 1/4 3/8\n"
      "  Al 1/2 1/4 5/8\n"
      "  Al 5/8 0 3/4\n"
      "  O .9682 .0511 .1498\n"
      "  O .4682 .0511 .3502\n"
      "  O .9682 .4489 .6498\n"
      "  O .5318 .5511 .1498\n"
      "  O .8502 .0318 .9489\n"
      "  O .3502 .4682 .0511\n"
      "  O .6498 .9682 .4489\n"
      "  O .1498 .5318 .5511\n"
      "  O .9489 .8502 .0318\n"
      "  O .0511 .3502 .4682\n"
      "  O .4489 .6498 .9682\n"
      "  O .5511 .1498 .5318\n"
      "  O .1989 .7818 .8998\n"
      "  O .3011 .2182 .3998\n"
      "  O .6989 .7182 .1002\n"
      "  O .8011 .2818 .6002\n"
      "  O .2818 .6002 .8011\n"
      "  O .7182 .1002 .6989\n"
      "  O .2182 .3998 .3011\n"
      "  O .7818 .8998 .1989\n"
      "  O .1002 .6989 .7182\n"
      "  O .6002 .8011 .2818\n"
      "  O .8998 .1989 .7818\n"
      "  O .3998 .3011 .2182\n"
      "  O .0318 .9489 .8502\n"
      "  O .5318 .9489 .6498\n"
      "  O .0318 .5511 .3502\n"
      "  O .4682 .4489 .8502\n"
      "  O .1498 .9682 .0511\n"
      "  O .6498 .5318 .9489\n"
      "  O .3502 .0318 .5511\n"
      "  O .8502 .4682 .4489\n"
      "  O .0511 .1498 .9682\n"
      "  O .9489 .6498 .5318\n"
      "  O .5511 .3502 .0318\n"
      "  O .4489 .8502 .4682\n"
      "  O .8011 .2182 .1002\n"
      "  O .6989 .7818 .6002\n"
      "  O .3011 .2818 .8998\n"
      "  O .1989 .7182 .3998\n"
      "  O .7182 .3998 .1989\n"
      "  O .2818 .8998 .3011\n"
      "  O .7818 .6002 .6989\n"
      "  O .2182 .1002 .8011\n"
      "  O .8998 .3011 .2818\n"
      "  O .3998 .1989 .7182\n"
      "  O .1002 .8011 .2182\n"
      "  O .6002 .6989 .7818\n"
      "  O .4682 .5511 .6498\n"
      "  O .9682 .5511 .8502\n"
      "  O .4682 .9489 .1498\n"
      "  O .0318 .0511 .6498\n"
      "  O .3502 .5318 .4489\n"
      "  O .8502 .9682 .5511\n"
      "  O .1498 .4682 .9489\n"
      "  O .6498 .0318 .0511\n"
      "  O .4489 .3502 .5318\n"
      "  O .5511 .8502 .9682\n"
      "  O .9489 .1498 .4682\n"
      "  O .0511 .6498 .0318\n"
      "  O .6989 .2818 .3998\n"
      "  O .8011 .7182 .8998\n"
      "  O .1989 .2182 .6002\n"
      "  O .3011 .7818 .1002\n"
      "  O .7818 .1002 .3011\n"
      "  O .2182 .6002 .1989\n"
      "  O .7182 .8998 .8011\n"
      "  O .2818 .3998 .6989\n"
      "  O .6002 .1989 .2182\n"
      "  O .1002 .3011 .7818\n"
      "  O .3998 .6989 .2818\n"
      "  O .8998 .8011 .7182\n"
      "  O .5318 .4489 .3502\n"
      "  O .0318 .4489 .1498\n"
      "  O .5318 .0511 .8502\n"
      "  O .9682 .9489 .3502\n"
      "  O .6498 .4682 .5511\n"
      "  O .1498 .0318 .4489\n"
      "  O .8502 .5318 .0511\n"
      "  O .3502 .9682 .9489\n"
      "  O .5511 .6498 .4682\n"
      "  O .4489 .1498 .0318\n"
      "  O .0511 .8502 .5318\n"
      "  O .9489 .3502 .9682\n"
      "  O .3011 .7182 .6002\n"
      "  O .1989 .2818 .1002\n"
      "  O .8011 .7818 .3998\n"
      "  O .6989 .2182 .8998\n"
      "  O .2182 .8998 .6989\n"
      "  O .7818 .3998 .8011\n"
      "  O .2818 .1002 .1989\n"
      "  O .7182 .6002 .3011\n"
      "  O .3998 .8011 .7818\n"
      "  O .8998 .6989 .2182\n"
      "  O .6002 .3011 .7182\n"
      "  O .1002 .1989 .2818\n"
      "@DYNINFO\n"
      "  element  Y\n"
      "  fraction 3/20\n"
      "  type     vdos\n"
      "  vdos_egrid .0104996 .106496\n"
      "  vdos_density .063338 .104365 .127898 .163549 .242418 .405511 .533173 .472801 1\n"
      "    .803084 .354903 .425493 .365239 .30865 .291475 .375274 .301129 .307641\n"
      "    .323233 .353043 .454547 .34943 .17457 .0878691 .0753384 .155122 .0974327\n"
      "    .0928446 .0764007 .0605189 .0666321 .0463893 .0585791 .105327 .0805785\n"
      "    .0701405 .0558652 .0474522 .0508035 .0443115 .0318936 .0269239 .0295979\n"
      "    .0519397 .079669 .0617343 .0259561 .0261744 .0249774 .0251711 .0241611\n"
      "    .0204501 .017916 .0158145 .01285 .0085023 .00879929 .00956632 .0114832\n"
      "    .012107 .0117307 .0118635 .00932696 .00659961 .00652566 .00618896 .0066172\n"
      "    .00642969 .00610894 .00518235 .00462321 .00680377 .0141305 .0185874 .0147348\n"
      "    .010331 .00709928 .00514955 .0054877 .00575968 .00583515 .00634952 .00641501\n"
      "    .00489505 .00262501 .00143625 .000811543 .000437674 .000234832 .000109409\n"
      "    3.77955e-05 7.45384e-06 5.26068e-07 8.88924e-09 8.89414e-10 1.43393e-07\n"
      "    5.70899e-06 5.879e-05 .000214624 .000534801 .00104066 .00135846 .00163085\n"
      "    .00233726 .00288689 .00259267 .00234304 .0033883 .00485437 .00388553\n"
      "    .00175259 .000925167 .000879402 .00102929 .00143665 .0017787 .00182967\n"
      "    .001594 .00112269 .000670139 .000461701 .000446012 .000649778 .00145068\n"
      "    .00276508 .00301026 .00156627 .000363971 3.89852e-05\n"
      "@DYNINFO\n"
      "  element  Al\n"
      "  fraction 5/20\n"
      "  type     vdos\n"
      "  vdos_egrid .0104996 .106496\n"
      "  vdos_density .051002 .0753985 .083761 .0926171 .10995 .135555 .133179 .096184\n"
      "    .142579 .10277 .0681814 .155648 .16562 .187281 .326702 .503697 .337456 .4202\n"
      "    .374856 .389293 .48942 .586513 .426011 .408644 .40478 .651503 .522159\n"
      "    .710823 .67623 .544134 .610724 .371878 .390586 .538664 .459161 .475604\n"
      "    .505556 .478939 .54565 .567691 .399704 .393832 .374021 .468103 .609937\n"
      "    .62337 .356067 .422456 .4846 .605353 .599043 .583978 .654002 .59529 .58276\n"
      "    .531119 .621822 .65024 .691703 .734158 .854324 1 .854734 .514929 .412202\n"
      "    .330873 .32387 .342183 .366361 .296659 .229191 .175848 .264757 .383247\n"
      "    .33447 .260414 .212996 .192561 .238428 .27274 .281368 .307738 .302639\n"
      "    .215693 .119757 .0762803 .0526895 .0378608 .0286496 .0209597 .0127705\n"
      "    .00379585 .000308271 5.37606e-06 2.02934e-06 .000335017 .0132004 .130053\n"
      "    .397168 .651369 .825378 .672744 .420663 .407589 .48841 .434117 .330989\n"
      "    .315759 .416486 .422726 .292992 .21921 .198135 .211134 .273194 .30663\n"
      "    .281752 .232719 .167381 .110342 .0879834 .0898794 .112805 .197571 .330383\n"
      "    .340954 .177287 .0432416 .00500589\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 12/20\n"
      "  type     vdos\n"
      "  vdos_egrid .0104996 .106496\n"
      "  vdos_density .0350029 .0526009 .0579846 .0649737 .0782401 .0965933 .0894476\n"
      "    .0596402 .0926225 .0764942 .0536323 .0987611 .097592 .114789 .153967 .216996\n"
      "    .151833 .192251 .180339 .220277 .319073 .297843 .184445 .164479 .197085\n"
      "    .341825 .297244 .428208 .483219 .39945 .446192 .309884 .407168 .779171\n"
      "    .722566 .675722 .714994 .705465 .80938 .837384 .603473 .555181 .521227\n"
      "    .736468 1 .944006 .556463 .826006 .834337 .923225 .786481 .825287 .904163\n"
      "    .815514 .784611 .603233 .562644 .543865 .534754 .529658 .602352 .631585\n"
      "    .526585 .370979 .340197 .378567 .439413 .470809 .517413 .473206 .390814\n"
      "    .427876 .724262 .952868 .680482 .401193 .278529 .259907 .331396 .376728\n"
      "    .393712 .437103 .427665 .297995 .157701 .0953561 .0643455 .0451785 .0332513\n"
      "    .0236293 .0140478 .00412821 .000334262 5.82522e-06 1.83544e-06 .000302464\n"
      "    .011922 .117721 .365689 .645308 .905767 .812902 .55815 .556171 .688974\n"
      "    .649916 .525861 .538725 .705705 .646685 .400339 .321106 .30768 .283517\n"
      "    .320392 .348469 .321088 .264126 .184074 .112886 .0828168 .0810997 .101477\n"
      "    .181054 .304529 .312428 .160064 .0379899 .00424743\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Y3Al5O12_sg230_YAG.ncmat",textdata);
  }
  {
    // File Y_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Yttrium (hcp)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011199 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008521.html\n"
      "#\n"
      "# VDOS curve at 295K taken from:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.6474 !! 5.7306\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Y 1/3 2/3 1/4\n"
      "  Y 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element  Y\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0042022519113582 0.019678838219043\n"
      "  vdos_density .0359863 .0369621 .0379378 .0389135 .0398893 .040865 .0418408\n"
      "    .0429641 .0441217 .0452793 .0464369 .0475945 .0487521 .0501338 .0515972\n"
      "    .0530607 .0545241 .0559875 .0574527 .0589675 .0604822 .061997 .063511\n"
      "    .0650029 .0664949 .0679338 .0692052 .072253 .0751915 .0772717 .0792915\n"
      "    .0813114 .0832744 .0852043 .0871343 .0894692 .0919651 .0944754 .0973189\n"
      "    .0996111 .104653 .109963 .116201 .122446 .129223 .136576 .144711 .153282\n"
      "    .161784 .170733 .180534 .192073 .205667 .220848 .240082 .26894 .28578\n"
      "    .287051 .288335 .289677 .291018 .292378 .293793 .295209 .296624 .298001\n"
      "    .299364 .300727 .302366 .304097 .305828 .307558 .309463 .311178 .312236\n"
      "    .313445 .315896 .318347 .320302 .322255 .324088 .325901 .328221 .330544\n"
      "    .332867 .335336 .337916 .340484 .342949 .345414 .347895 .350445 .352995\n"
      "    .355545 .358339 .361169 .363998 .366773 .369541 .372313 .375098 .377876\n"
      "    .380628 .383381 .387062 .396172 .405879 .406916 .407318 .407576 .408273\n"
      "    .409249 .409861 .405792 .387147 .376579 .371711 .369253 .368168 .367329\n"
      "    .366366 .356811 .348791 .343405 .340332 .33887 .338596 .338944 .339732\n"
      "    .341153 .343707 .348391 .353743 .35891 .364797 .371627 .372471 .372684\n"
      "    .372904 .373123 .373256 .37335 .373487 .373745 .374003 .374186 .369668\n"
      "    .36157 .354131 .348564 .342992 .338547 .335226 .332383 .330466 .328852\n"
      "    .327709 .327535 .327594 .328171 .329548 .331663 .333833 .336507 .340099\n"
      "    .342365 .344646 .347982 .351056 .35349 .356905 .360463 .363747 .365996\n"
      "    .369842 .373715 .377717 .382377 .386347 .390032 .39453 .399372 .403151\n"
      "    .407658 .412521 .417629 .422947 .42814 .433276 .439086 .445332 .451753\n"
      "    .458521 .465135 .471646 .479107 .486965 .495736 .504734 .515332 .525746\n"
      "    .535808 .546651 .558128 .57051 .58074 .590154 .578506 .56039 .546226 .536697\n"
      "    .533095 .531775 .531487 .532037 .53324 .53494 .53997 .544996 .549565 .554953\n"
      "    .559948 .564477 .568848 .573031 .576912 .573349 .535158 .495352 .463363\n"
      "    .446979 .444689 .444863 .447688 .453486 .468275 .497504 .536846 .600732\n"
      "    .674322 .550198 .507466 .486352 .467469 .375644 .340773 .325525 .304463\n"
      "    .283773 .266555 .254017 .250579 .250353 .251813 .253788 .256267 .259808\n"
      "    .263617 .268508 .273925 .280452 .286914 .293344 .299846 .306856 .313897\n"
      "    .322217 .330214 .345411 .354544 .365155 .376524 .389886 .40208 .415567\n"
      "    .432604 .448923 .466562 .486809 .511086 .535637 .567874 .622328 .712317 1\n"
      "    .829534 .708258 .67375 .64724 .633428 .618457 .612849 .615003 .620157\n"
      "    .679145 .497209 .501523 .498627 .347619 .305645 .25032 .0804197 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Y_sg194.ncmat",textdata);
  }
  {
    // File ZnF2_sg136_ZincFlouride.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Zinc Flouride (ZnF2, tetragonal, SG-136 / P4_2/mnm)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 1145 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Rutile-type compounds. IV.  SiO2, GeO2 and a comparison\n"
      "#     with other rutile-type structures\"\n"
      "#    Baur, W. H. and Khan, A. A. (1971)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0567740871005466\n"
      "#    Crystallography Open Database entry 9007539\n"
      "#    https://www.crystallography.net/cod/9007539.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-1873\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ZnF2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d001/mp-1873.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 4.7048 !! 3.1338\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  136\n"
      "@ATOMPOSITIONS\n"
      "  Zn 0 0 0\n"
      "  Zn 1/2 1/2 1/2\n"
      "  F .3024 .3024 0\n"
      "  F .6976 .6976 0\n"
      "  F .8024 .1976 1/2\n"
      "  F .1976 .8024 1/2\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00649978 .0649978\n"
      "  vdos_density .0295314 .0424052 .0557861 .0615352 .0901354 .0998271 .144072\n"
      "    .170745 .185617 .196657 .211591 .205523 .220358 .239515 .220093 .213997\n"
      "    .246356 .260465 .24496 .22814 .219913 .170806 .203791 .610019 1 .766893\n"
      "    .573194 .556391 .485352 .392099 .371037 .361395 .322795 .282141 .244762\n"
      "    .190952 .124493 .105425 .100985 .0890894 .0889346 .0940935 .111884 .109511\n"
      "    .112292 .128015 .197366 .349755 .353624 .321482 .245042 .201545 .187503\n"
      "    .183202 .234488 .345005 .413728 .346922 .28284 .246436 .223906 .257012\n"
      "    .370303 .434299 .407081 .357095 .334265 .334895 .372203 .386235 .389263\n"
      "    .422644 .466879 .423659 .329939 .263121 .228629 .201567 .22357 .302589\n"
      "    .425223 .46911 .40108 .283003 .232312 .212509 .191856 .175778 .168553\n"
      "    .178725 .174528 .15279 .130163 .0974132 .0761384 .0810494 .119903 .170861\n"
      "    .213152 .244926 .280556 .323904 .375512 .416397 .393786 .305504 .234213\n"
      "    .195824 .169758 .153526 .140461 .136382 .132853 .122723 .0946014 .047841\n"
      "    .0135686 .00204184\n"
      "@DYNINFO\n"
      "  element  Zn\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00699976 .0649978\n"
      "  vdos_density .146152 .233239 .302347 .406705 .508547 .728269 .893718 .985302 1\n"
      "    .970882 .879726 .947685 .74102 .444023 .368683 .405482 .506362 .579609\n"
      "    .673027 .572178 .505052 .476756 .659898 .822434 .683182 .613317 .621804\n"
      "    .560605 .486268 .486028 .570776 .536735 .505625 .476731 .337325 .269272\n"
      "    .346151 .384089 .341482 .381518 .431152 .572896 .556491 .553741 .641504\n"
      "    .654367 .663756 .659886 .594597 .488701 .368079 .268576 .195687 .195237\n"
      "    .288778 .34241 .243227 .153199 .106657 .0831288 .100512 .17026 .213829\n"
      "    .193928 .154462 .137456 .142368 .15226 .144037 .131907 .134533 .143527\n"
      "    .13149 .106187 .0879507 .072594 .0622164 .0698945 .104907 .155837 .162778\n"
      "    .13064 .0898375 .073262 .0670727 .059621 .052341 .0495542 .0531579 .0473171\n"
      "    .0383584 .0342136 .0291467 .0270595 .030164 .0413808 .0535067 .0594255\n"
      "    .0609606 .0622386 .0634521 .0632159 .0609706 .0535719 .0414156 .0325844\n"
      "    .0273967 .023564 .0211077 .0193857 .0181968 .0171725 .0164234 .0136049\n"
      "    .00740512 .00226479 .000366042\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZnF2_sg136_ZincFlouride.ncmat",textdata);
  }
  {
    // File ZnO_sg186_ZincOxide.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Zinc Oxide (ZnO, hexagonal, SG-186 / P6_3mc)\n"
      "#\n"
      "# Valid temperatures for this structure are 0 to 2200 K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Anharmonic thermal vibrations in ZnO  Model: 2-c, at T = 473 K\"\n"
      "#    Kihara, K. and Donnay, G. (1985)\n"
      "#    Crystallography Open Database entry 9004179\n"
      "#    https://www.crystallography.net/cod/9004179.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-2133\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ZnO taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2133.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.2533 !! 5.2073\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  186\n"
      "@ATOMPOSITIONS\n"
      "  Zn 1/3 2/3 0\n"
      "  Zn 2/3 1/3 1/2\n"
      "  O 1/3 2/3 .382\n"
      "  O 2/3 1/3 .882\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0709976\n"
      "  vdos_density .0212807 .0230387 .0260117 .0286158 .0304662 .0318068 .0340084\n"
      "    .0368206 .0402244 .0468606 .0537214 .0597157 .0670651 .0762653 .086239\n"
      "    .0937878 .103595 .118474 .136046 .143403 .133529 .120659 .114 .108628\n"
      "    .102412 .0980581 .095006 .0931374 .0917094 .0895138 .0870646 .0829874\n"
      "    .078664 .0769525 .074843 .0689761 .0635474 .0605137 .0577646 .0549853\n"
      "    .0525596 .0495229 .0467529 .0456315 .0450714 .0444751 .0442967 .0446856\n"
      "    .0445165 .040142 .031136 .0225586 .0163478 .0113561 .0082988 .00761593\n"
      "    .00820752 .00915538 .00998416 .0102747 .0102785 .0103391 .0104799 .0108557\n"
      "    .011406 .0117443 .0117845 .01217 .0130593 .0134657 .0133862 .0137653\n"
      "    .0145451 .015289 .0159084 .0163102 .0167838 .0175171 .0181122 .0187393\n"
      "    .0200541 .0215733 .0222779 .0223906 .0224439 .0221686 .021753 .0217066\n"
      "    .0214775 .0202666 .0181936 .0159444 .0140245 .012376 .0106286 .00862396\n"
      "    .00656877 .00476941 .00332557 .00216126 .00123173 .000571228 .0001996\n"
      "    4.91686e-05 8.13473e-06 8.75832e-07 6.01819e-08 2.60614e-09 6.90915e-11 0r37\n"
      "    6.60613e-12 2.24769e-10 5.40843e-09 9.34779e-08 1.16321e-06 1.04492e-05\n"
      "    6.80479e-05 .000323504 .0011362 .00300906 .00621556 .0105198 .0154248\n"
      "    .0204049 .0247571 .028021 .031097 .0363718 .0460674 .060488 .0779864\n"
      "    .0965122 .115518 .136368 .159983 .184651 .208082 .231275 .257889 .289648\n"
      "    .324882 .362443 .404783 .455784 .517326 .589561 .672176 .762038 .850486\n"
      "    .925922 .978242 1 .987738 .945457 .884836 .820175 .762844 .718737 .688183\n"
      "    .667773 .653646 .643651 .636741 .632019 .629183 .628256 .627528 .6223\n"
      "    .607083 .579995 .545278 .510956 .483171 .462181 .443028 .419428 .387973\n"
      "    .350211 .31097 .274494 .242242 .213804 .189603 .173333 .171574 .189751\n"
      "    .228219 .282781 .348364 .421153 .497557 .572721 .641352 .700579 .751892\n"
      "    .799609 .846393 .889024 .917115 .915918 .873457 .789098 .676751 .558371\n"
      "    .452441 .36669 .299085 .243591 .195192 .151686 .112931 .0795194 .0520959\n"
      "    .0311378 .0166446 .00781952 .00318447 .00111266 .000330969 8.3306e-05\n"
      "@DYNINFO\n"
      "  element  Zn\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00724975 .0709976\n"
      "  vdos_density .105315 .115433 .131694 .146621 .158437 .168175 .182484 .200086\n"
      "    .221922 .26266 .306011 .346649 .39671 .459618 .529481 .589456 .670073\n"
      "    .789486 .930502 1 .945986 .868497 .833864 .80829 .776554 .756805 .746347\n"
      "    .745396r2 .738068 .731703 .713635 .691455 .689246 .681095 .639184 .602843\n"
      "    .58494 .565629 .549739 .538327 .517611 .499316 .498441 .501283 .502675\n"
      "    .511204 .528538 .538699 .49157 .377208 .258591 .167158 .0990364 .0615015\n"
      "    .0520712 .0556993 .0629548 .0697157 .072629 .073479 .0749434 .0773811 .08183\n"
      "    .087464 .0913366 .0932189 .0985277 .108247 .113956 .115989 .122704 .133513\n"
      "    .144671 .155578 .165513 .177495 .193611 .210782 .233123 .26977 .314468\n"
      "    .352108 .382183 .410834 .443079 .501726 .607894 .731666 .809886 .817263\n"
      "    .786509 .758867 .739614 .702815 .622675 .504371 .380998 .275268 .186531\n"
      "    .111105 .0535357 .01924 .00482832 .000808137 8.76254e-05 6.04693e-06\n"
      "    2.62577e-07 6.98715e-09 0r37 1.635e-12 5.56052e-11 1.33767e-09 2.31133e-08\n"
      "    2.87496e-07 2.581e-06 1.67919e-05 7.9709e-05 .000279274 .000736748 .00151263\n"
      "    .00253772 .00367921 .00480476 .0057473 .00640062 .00698077 .00805338 .010146\n"
      "    .0133351 .0172254 .0212956 .0253375 .0295741 .0341736 .0387717 .0428868\n"
      "    .0467172 .0510133 .0561349 .0617311 .0674983 .0738037 .0813034 .0902681\n"
      "    .100589 .112057 .124097 .135383 .144251 .14936 .14982 .145295 .136495\n"
      "    .125222 .113633 .103385 .0952473 .0891591 .0845666 .0809088 .0778917\n"
      "    .0753693 .0731777 .0711886 .069345 .0674823 .0651808 .0619367 .057592\n"
      "    .0526063 .0478148 .0438358 .0406792 .0378646 .0348508 .0314215 .0277919\n"
      "    .0243874 .0215153 .0192041 .0172301 .015282 .0132679 .0115364 .0106895\n"
      "    .0111197 .0127448 .015135 .0178051 .0204176 .0228438 .0251451 .027525\n"
      "    .0302584 .0335864 .0375815 .0420213 .0462935 .0494184 .0503688 .0486561\n"
      "    .0447178 .0396724 .0346265 .0301387 .0261827 .0224638 .0187578 .0150529\n"
      "    .011493 .00825818 .00550207 .00333643 .00180618 .000858063 .000352899\n"
      "    .000124367 3.72683e-05 9.43948e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZnO_sg186_ZincOxide.ncmat",textdata);
  }
  {
    // File ZnS_sg216_Sphalerite.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Zinc sulfide (sphalerite, zinc blende, cubic-ZnS, SG-216 / F-43m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1293K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Electron-density distribution in zinc blende\"\n"
      "#    Jumpertz, E. A. (1955)\n"
      "#    Crystallography Open Database entry 1100043\n"
      "#    https://www.crystallography.net/cod/1100043.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1538617.html\n"
      "#   https://www.materialsproject.org/materials/mp-10695\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ZnS taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d010/mp-10695.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  cubic 5.4145\n"
      "@SPACEGROUP\n"
      "  216\n"
      "@ATOMPOSITIONS\n"
      "  Zn   0   0   0\n"
      "  Zn   0 1/2 1/2\n"
      "  Zn 1/2   0 1/2\n"
      "  Zn 1/2 1/2   0\n"
      "  S  1/4 1/4 1/4\n"
      "  S  1/4 3/4 3/4\n"
      "  S  3/4 1/4 3/4\n"
      "  S  3/4 3/4 1/4\n"
      "@DYNINFO\n"
      "  element  S\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00674977 .0439985\n"
      "  vdos_density .0186568 .0225313 .0292953 .0335874 .0347646 .0457382 .0733644\n"
      "    .10447 .118405 .117277 .118035 .11656 .114516 .116524 .120665 .128264 .13978\n"
      "    .140126 .119682 .0952309 .0798991 .0718861 .0657624 .0598035 .057521\n"
      "    .0563046 .0543442 .0537684 .0515165 .0422217 .0271528 .0141597 .00796456\n"
      "    .00693934 .00678841 .00626511 .00727174 .00876119 .00870126 .00779453\n"
      "    .00768292 .00869516 .00959139 .0101756 .0104194 .00995596 .010591 .0120237\n"
      "    .0115824 .0106206 .0109015 .012188 .0138488 .0141863 .0135176 .014242\n"
      "    .0158056 .0158242 .0150038 .0154088 .0168455 .0173309 .0175236 .019038\n"
      "    .0210704 .0226432 .0240151 .0233274 .0186907 .012246 .00719557 .00437473\n"
      "    .00293821 .00208001 .00146156 .000967578 .000578305 .000298014 .000123387\n"
      "    3.79111e-05 8.11638e-06 1.16278e-06 1.08594e-07 6.45736e-09 2.36959e-10\n"
      "    4.63897e-12 0r17 2.34642e-10 1.05854e-08 3.06676e-07 5.72323e-06 6.91148e-05\n"
      "    .000544335 .00283444 .00999714 .0249041 .0468322 .0726617 .102219 .142596\n"
      "    .213311 .342584 .532704 .727167 .857821 .92309 .96651 1 .993512 .915785\n"
      "    .765681 .577244 .394996 .247732 .146828 .0924225 .075374 .0829804 .107404\n"
      "    .149254 .219226 .337959 .517594 .719713 .838306 .774131 .547487 .290255\n"
      "    .113852 .0327801 .00689192 .00105352 .000116527 9.27059e-06\n"
      "@DYNINFO\n"
      "  element  Zn\n"
      "  fraction 1/2\n"
      "  type     vdos\n"
      "  vdos_egrid .00674977 .0439985\n"
      "  vdos_density .0754911 .0927522 .122447 .142149 .150048 .204045 .337843 .495186\n"
      "    .576522 .590659 .617524 .633249 .647967 .688245 .747367 .840337 .963625 1\n"
      "    .874729 .713431 .613981 .560179 .514203 .469883 .459973 .462615 .463169\n"
      "    .477414 .469703 .383021 .232114 .105197 .049004 .0398282 .0392234 .0362487\n"
      "    .042434 .0523183 .0532635 .0492676 .0501608 .0568666 .0624813 .06854\n"
      "    .0734921 .0722408 .0780241 .0894302 .0880832 .0851892 .091549 .103197\n"
      "    .119136 .127966 .128548 .140193 .160212 .169897 .173931 .188704 .216133\n"
      "    .241413 .272547 .32683 .406959 .521725 .66566 .749667 .683775 .508902\n"
      "    .337439 .228834 .171634 .1376 .111337 .0884495 .0675296 .0458938 .0248352\n"
      "    .00979654 .00265694 .000473744 5.33597e-05 3.66647e-06 1.49373e-07\n"
      "    3.38891e-09 0r17 1.84861e-10 8.33618e-09 2.41369e-07 4.50011e-06 5.42601e-05\n"
      "    .000426253 .00221007 .00773837 .0190413 .0351039 .0529018 .0715943 .0950723\n"
      "    .133993 .20252 .298276 .385303 .422397 .407632 .370044 .331276 .294341\n"
      "    .254649 .209961 .163041 .118527 .0804025 .0522241 .0359754 .0300595 .0307011\n"
      "    .0353528 .0437629 .0577306 .0811414 .11648 .156342 .179513 .165365 .117363\n"
      "    .0626305 .0247716 .00719973 .00152895 .000236063 2.63543e-05 2.11387e-06\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZnS_sg216_Sphalerite.ncmat",textdata);
  }
  {
    // File Zn_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Zinc (hcp)\n"
      "#\n"
      "# Crystal structure converted from the cif file of the entry 0011200 in the AMCSD\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008522.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from the Born-von Karman curve in Figure 7 (Zn section) of:\n"
      "#\n"
      "#    Landolt-B\"ornstein - Group III Condensed Matter, Volume 13A 1981\n"
      "#    Metals: Phonon States. Electron States and Fermi Surfaces * Phonon\n"
      "#    States of Elements. Electron States and Fermi Surfaces of Alloys\n"
      "#    Editors: K.-H. Hellwege, J. L. Olsen\n"
      "#    ISBN: 978-3-540-09774-7 (Print) 978-3-540-38957-6 (Online)\n"
      "#    DOI: 10.1007/b19988\n"
      "#\n"
      "@CELL\n"
      "  lengths 2.6648 !! 4.9467\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Zn 1/3 2/3 1/4\n"
      "  Zn 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element  Zn\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid 0.005553333179857 0.026242221496971\n"
      "  vdos_density .123003 .13136 .139716 .148072 .157934 .169748 .181561 .263465\n"
      "    .373052 .482639 .56064 .568289 .693798 .774924 .85257 .947505 1 .991855\n"
      "    .975133 .954637 .931687 .901945 .851273 .796274 .741599 .684147 .624211\n"
      "    .514847 .465872 .416333 .374535 .338993 .328243 .327327 .342622 .392804\n"
      "    .424131 .447296 .458257 .44843 .435795 .425017 .419924 .420254 .428294\n"
      "    .431923 .435502 .436756 .436309 .433642 .434927 .436212 .437497 .440137\n"
      "    .443178 .446219 .449261 .452302 .45586 .460008 .464155 .468302 .47245\n"
      "    .476794 .48186 .486927 .491994 .49706 .509638 .522936 .533137 .542935\n"
      "    .552734 .562533 .57358 .584699 .60842 .644026 .684266 .736165 .798963\n"
      "    .848191 .850749 .826469 .772962 .765474 .767609 .783204 .835992 .886939\n"
      "    .890395 .840885 .761774 .688096 .609261 .5534 .523894 .497093 .468474\n"
      "    .437403 .414047 .412158 .416941 .422201 .428095 .431948 .503045 .618579\n"
      "    .579432 .517159 .449057 .424772 .408988 .393045 .377482 .364698 .351914\n"
      "    .33925 .326987 .314724 .304259 .294366 .284473 .274662 .265902 .257142\n"
      "    .248455 .240749 .233043 .225336 .21763 .210941 .206963 .203121 .201662\n"
      "    .200202 .199058 .199196 .199334 .199472 .201281 .203991 .206701 .21051\n"
      "    .21533 .220151 .225743 .24243 .260305 .273793 .287068 .299788 .312313\n"
      "    .324041 .338102 .360239 .387762 .463007 .55211 .64635 .697999 .70315 .687404\n"
      "    .659696 .628537 .615748 .613791 .62049 .636122 .662307 .74714 .88776 .832854\n"
      "    .747089 .659198 .621972 .603265 .5859 .568233 .544098 .43165 .323632 .291357\n"
      "    .279893 .269289 .262801 .255624 .245324 .235025 .205955 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Zn_sg194.ncmat",textdata);
  }
  {
    // File ZrF4-beta_sg84.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Beta Zirconium tetrafluoride (beta-ZrF4, tetragonal, SG-84 / P4_2/m)\n"
      "#\n"
      "# Under usual conditions this phase exists from 773K to 1180K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Structure du tetrafluorure de zirconium, ZrF4 alpha\"\n"
      "#    Papiernik, R., et al. (1982)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0567740882008760\n"
      "#    Crystallography Open Database entry 2108041\n"
      "#    https://www.crystallography.net/cod/2108041.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-561384\n"
      "#\n"
      "#  The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "#  OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "#  References:\n"
      "#   [1]: \"First principles phonon calculations in materials science\",\n"
      "#         Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#   [2]: Kyoto University database of phonon calculations.\n"
      "#        Files for ZrF4 taken from:\n"
      "#        http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d561/mp-561384.html\n"
      "#   [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#        of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#        Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.25]\n"
      "#\n"
      "@CELL\n"
      "  lengths 7.896 !! 7.724\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  84\n"
      "@ATOMPOSITIONS\n"
      "  Zr .18264 .31935 .23077\n"
      "  Zr .68065 .18264 .73077\n"
      "  Zr .81736 .68065 .23077\n"
      "  Zr .31935 .81736 .73077\n"
      "  Zr .81736 .68065 .76923\n"
      "  Zr .31935 .81736 .26923\n"
      "  Zr .18264 .31935 .76923\n"
      "  Zr .68065 .18264 .26923\n"
      "  F .7122 .4406 .1931\n"
      "  F .5594 .7122 .6931\n"
      "  F .2878 .5594 .1931\n"
      "  F .4406 .2878 .6931\n"
      "  F .2878 .5594 .8069\n"
      "  F .4406 .2878 .3069\n"
      "  F .7122 .4406 .8069\n"
      "  F .5594 .7122 .3069\n"
      "  F .2038 .0635 .2134\n"
      "  F .9365 .2038 .7134\n"
      "  F .7962 .9365 .2134\n"
      "  F .0635 .7962 .7134\n"
      "  F .7962 .9365 .7866\n"
      "  F .0635 .7962 .2866\n"
      "  F .2038 .0635 .7866\n"
      "  F .9365 .2038 .2866\n"
      "  F .6943 .182   0\n"
      "  F .818  .6943 1/2\n"
      "  F .3057 .818   0\n"
      "  F .182  .3057 1/2\n"
      "  F .3274 .2922   0\n"
      "  F .7078 .3274 1/2\n"
      "  F .6726 .7078   0\n"
      "  F .2922 .6726 1/2\n"
      "  F .0391 .3355   0\n"
      "  F .6645 .0391 1/2\n"
      "  F .9609 .6645   0\n"
      "  F .3355 .9609 1/2\n"
      "  F   0 1/2 .2974\n"
      "  F 1/2   0 .7974\n"
      "  F   0 1/2 .7026\n"
      "  F 1/2   0 .2026\n"
      "@DYNINFO\n"
      "  element  Zr\n"
      "  fraction 1/5\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00174994 0.080059755\n"
      "  vdos_density .120147 .153541 .200943 .201206 .212867 .240007 .267849 .279222\n"
      "    .280535 .37823 .465038 .459661 .493999 .568283 .637262 .70161 .709714\n"
      "    .650008 .624033 .688868 .725706 .729567 .710512 .735839 .706701 .616199\n"
      "    .550347 .580213 .629996 .696111 .671012 .540626 .466686 .443759 .393292\n"
      "    .385787 .426785 .469034 .483232 .477858 .393025 .362687 .414612 .477042\n"
      "    .48221 .503875 .517 .609687 .68204 .717423 .818587 .885776 .778211 .624834\n"
      "    .635723 .822432 .918039 .929578 .864258 .745531 .772662 .918245 .947912\n"
      "    .834484 .784963 .849131 .921832 .978118 .986539 .996221 .966182 .816539\n"
      "    .679222 .705451 .808347 .830768 .796087 .814772 .8191 .805349 .809673\n"
      "    .773206 .687911 .643176 .737065 .955465 1 .927268 .872929 .716104 .528808\n"
      "    .497524 .580752 .642388 .669301 .632795 .547171 .492634 .514146 .56521\n"
      "    .596524 .610143 .57749 .489858 .433438 .453627 .499594 .569782 .696974\n"
      "    .80125 .784312 .701736 .593433 .458389 .371023 .365461 .378414 .345836\n"
      "    .304957 .299495 .307497 .299116 .296207 .297836 .285115 .252137 .222163\n"
      "    .209479 .203622 .188099 .163783 .134739 .10502 .0883176 .112484 .190355\n"
      "    .274867 .276704 .203038 .111166 .0464796 .0191675 .0104337 .00914288\n"
      "    .0106512 .011782 .0106057 .0086375 .00915237 .0147473 .0214487 .0247986\n"
      "    .02629 .0301937 .0349036 .0372099 .0367571 .0360494 .0367874 .0393883\n"
      "    .0442817 .0542143 .0709376 .08798 .0925618 .07838 .0575543 .0415024 .0353407\n"
      "    .0371822 .0396335 .0391507 .0379523 .0387413 .0367935 .0284432 .016432\n"
      "    .00701667 .00214592 0\n"
      "@DYNINFO\n"
      "  element  F\n"
      "  fraction 4/5\n"
      "  type     vdos\n"
      "  vdos_egrid 0.00224992 0.080247146666667\n"
      "  vdos_density .0275908 .0347042 .0353262 .0364584 .0405442 .0454521 .0506521\n"
      "    .0502276 .050501 .065897 .0841646 .0880832 .0849667 .0956141 .106785 .117621\n"
      "    .127746 .131249 .126913 .121368 .128717 .141776 .145447 .152906 .155382\n"
      "    .164429 .186918 .245211 .32464 .426109 .567321 .644507 .723299 .717763\n"
      "    .590614 .508117 .520142 .511699 .425931 .382929 .433206 .550346 .624376\n"
      "    .681928 .744792 .7681 .750128 .672335 .671377 .744299 .782749 .806565\n"
      "    .767711 .780656 .829669 .812827 .804028 .845337 .87985 .808203 .669763\n"
      "    .608296 .696069 .831284 .843907 .81959 .782243 .691946 .645562 .699546\n"
      "    .789742 .801021 .736939 .697337 .722817 .779141 .801996 .835112 .870037\n"
      "    .873028 .846196 .742458 .60802 .560864 .594784 .651489 .663914 .647372\n"
      "    .648438 .638531 .599691 .567155 .547161 .515409 .478322 .462054 .477988\n"
      "    .57072 .683734 .688903 .636198 .598507 .55749 .490512 .449405 .492196\n"
      "    .569249 .615012 .620138 .574985 .496087 .426823 .411526 .468529 .562544\n"
      "    .657423 .715528 .715836 .666788 .617625 .645845 .775558 .926087 1 .989217\n"
      "    .970985 .98514 .959792 .870046 .765272 .688887 .677256 .733684 .805799\n"
      "    .811377 .716041 .600409 .555006 .564518 .561245 .531704 .515138 .523367\n"
      "    .537502 .534732 .513264 .498957 .508218 .521628 .51562 .48738 .433641 .36534\n"
      "    .301927 .283251 .396086 .631455 .858873 .902432 .706229 .447679 .245302\n"
      "    .119277 .065425 .042496 .0359847 .034472 .0355309 .0360884 .0340438 .0309762\n"
      "    .0315783 .0395897 .0564512 .0738972 .0853966 .0937894 .103188 .113323\n"
      "    .120546 .124043 .125254 .126628 .12919 .134874 .149993 .178751 .232978\n"
      "    .304248 .362832 .377701 .331527 .263467 .213998 .203617 .245915 .312167\n"
      "    .363552 .379466 .370108 .366303 .361178 .32583 .242617 .145759 .0706655\n"
      "    .025142 .00766968 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZrF4-beta_sg84.ncmat",textdata);
  }
  {
    // File ZrO2_sg137_Zirconia.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Zirconium dioxide (ZrO2, Zirconia, tetragonal, SG-137 / P4_2/nmc))\n"
      "#\n"
      "# Under usual conditions this phase exists from 1443K to 2643K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Simultaneous Structure and Size-Strain Refinement by the Rietveld Method\"\n"
      "#    Lutterotti, L. and Scardi, P. (1990)\n"
      "#    DOI: https://dx.doi.org/10.1107/S0021889890002382\n"
      "#    Crystallography Open Database entry 2300612\n"
      "#    https://www.crystallography.net/cod/2300612.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from:\n"
      "#\n"
      "#   https://www.crystallography.net/cod/1526427.html\n"
      "#   https://www.crystallography.net/cod/1539831.html\n"
      "#   https://materialsproject.org/materials/mp-2574\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ZrO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2574.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.5961 !! 5.177\n"
      "  angles 90 90 90\n"
      "@SPACEGROUP\n"
      "  137\n"
      "@ATOMPOSITIONS\n"
      "  Zr   0   0   0\n"
      "  Zr 1/2 1/2 1/2\n"
      "  O  1/2   0 .797\n"
      "  O    0 1/2 .203\n"
      "  O    0 1/2 .703\n"
      "  O  1/2   0 .297\n"
      "@DYNINFO\n"
      "  element  Zr\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0114996 0.0900802\n"
      "  vdos_density .237227 .306107 .362116 .383859 .474569 .597687 .710741 .846905\n"
      "    .939633 .91798 .967135 1 .914285 .85479 .736873 .615481 .623821 .598351\n"
      "    .516876 .527455 .637917 .688934 .626478 .587678 .600324 .58561 .585443\n"
      "    .547321 .498895 .44565 .355129 .283965 .264113 .275858 .278968 .275977\n"
      "    .256882 .240403 .277633 .347025 .388867 .405581 .428175 .470303 .50345\n"
      "    .532972 .531345 .508647 .522598 .534681 .541043 .569022 .539561 .469029\n"
      "    .396163 .327178 .271278 .253991 .302235 .33355 .300344 .237858 .193874\n"
      "    .167236 .137171 .124905 .130496 .12118 .0944805 .0792457 .0789794 .0777843\n"
      "    .0733443 .0680001 .0619241 .0589567 .0545217 .0453814 .0365866 .0314068\n"
      "    .0312286 .0352567 .0382659 .0365926 .0330367 .0293194 .0269855 .0303226\n"
      "    .0363794 .0394606 .0406604 .0414522 .040979 .0431091 .0492428 .0540246\n"
      "    .0554283 .059739 .0709595 .0856728 .0999636 .114618 .125948 .129414 .129875\n"
      "    .133653 .136004 .133805 .127486 .114636 .0932491 .0707687 .0539422 .0435656\n"
      "    .037577 .0342889 .0318958 .0293612 .0286136 .0301386 .0308893 .0302414\n"
      "    .0291539 .0268285 .0237773 .0216009 .0212778 .0225385 .024122 .0253256\n"
      "    .0263754 .0276663 .0290807 .0299962 .0294532 .0278485 .026001 .0239389\n"
      "    .0212121 .019028 .0190717 .0206949 .0221279 .0224774 .0220641 .0215955\n"
      "    .0216723 .0222042 .0228431 .0243563 .0272652 .0305645 .03183 .0294584\n"
      "    .0251157 .0209091 .0186662 .0184368 .0184885 .0180746 .0176527 .0171574\n"
      "    .0160478 .0145693 .01304 .0116485 .0109916 .0108726 .0104633 .00948994\n"
      "    .00848812 .00807803 .00840005 .00910394 .00969167 .00967986 .00914515\n"
      "    .00889947 .0098311 .0122783 .014989 .0164116 .0164255 .0157091 .0156904\n"
      "    .0174728 .0212509 .0270408 .0337541 .0389376 .0396324 .0358773 .0299913\n"
      "    .0246581 .0214012 .0200036 .0200995 .0202484 .0190602 .0161491 .0118961\n"
      "    .00759972 .00418573 .00195933 .000759269 0\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid 0.0114996 0.0900802\n"
      "  vdos_density .0547354 .0649554 .0828119 .103028 .134183 .163853 .207073\n"
      "    .252097 .260567 .22611 .202022 .184401 .145947 .11605 .0926878 .0881817\n"
      "    .104533 .130895 .122379 .126588 .160186 .228391 .288221 .28666 .274381\n"
      "    .279514 .290005 .303522 .334804 .321243 .271417 .232976 .228736 .217776\n"
      "    .186826 .182535 .211084 .253188 .285506 .328722 .385521 .428907 .447691\n"
      "    .455947 .424289 .390322 .412907 .469366 .512007 .489424 .438868 .414746\n"
      "    .39378 .388723 .398092 .378914 .358902 .386086 .446534 .465153 .430381\n"
      "    .389867 .409565 .425275 .360069 .328376 .381449 .385447 .341034 .376932\n"
      "    .456291 .461075 .40779 .37239 .375424 .4067 .401159 .339687 .277667 .248378\n"
      "    .262713 .312582 .349715 .326847 .272983 .230076 .216299 .246842 .287085\n"
      "    .289156 .268371 .261874 .26688 .282139 .306601 .31678 .307089 .323206\n"
      "    .388041 .4555 .495269 .527988 .550332 .561952 .58277 .609392 .621714 .619323\n"
      "    .61576 .619684 .616707 .579746 .502228 .422153 .373789 .352979 .335833\n"
      "    .319574 .321097 .339469 .351866 .358251 .358278 .331321 .28997 .265721\n"
      "    .273917 .305034 .332232 .3447 .356781 .382354 .413885 .430259 .424334\n"
      "    .420552 .433711 .442373 .431196 .426356 .454709 .498875 .531849 .547163\n"
      "    .548579 .546675 .561814 .609989 .685637 .787558 .895619 .957874 .947002\n"
      "    .866096 .769375 .693833 .660724 .666038 .67255 .657144 .614804 .546184\n"
      "    .466427 .403917 .362049 .321299 .287064 .26295 .236012 .204908 .186107\n"
      "    .189181 .212832 .244656 .266472 .256337 .213283 .162048 .131957 .134395\n"
      "    .150258 .163593 .172595 .188372 .226792 .308162 .442186 .632444 .839474\n"
      "    .986144 1 .904685 .778801 .681867 .627223 .591624 .557434 .509764 .432612\n"
      "    .329061 .215591 .119976 .0572081 .0232844 .00808906 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZrO2_sg137_Zirconia.ncmat",textdata);
  }
  {
    // File ZrO2_sg14_Zirconia.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Zirconium dioxide (ZrO2, Zirconia, monoclinic, SG-14 / P2_1/c)\n"
      "#\n"
      "# Under usual conditions this phase exists from 0 to 1443K.\n"
      "#\n"
      "# Structure converted with ncrystal_onlinedb2ncmat from:\n"
      "#\n"
      "#    \"Neutron diffraction and MAS NMR of cesium tungstate defect pyrochlores\"\n"
      "#    Whittle, K.R., et al. (2006)\n"
      "#    Crystallography Open Database entry 1528984\n"
      "#    https://www.crystallography.net/cod/1528984.html\n"
      "#\n"
      "# This crystal structure is also compatible with structure obtained from\n"
      "# https://www.materialsproject.org/materials/mp-2858\n"
      "#\n"
      "# The VDOS curves were calculated using Phonopy[1] input files from[2] and\n"
      "# OCLIMAX[3] software by Kemal Ramic from ESS Spallation Physics group.\n"
      "#\n"
      "# References:\n"
      "#  [1]: \"First principles phonon calculations in materials science\",\n"
      "#        Atsushi Togo and Isao Tanaka, Scr. Mater., 108, 1-5 (2015)\n"
      "#  [2]: Kyoto University database of phonon calculations.\n"
      "#       Files for ZrO2 taken from:\n"
      "#       http://phonondb.mtl.kyoto-u.ac.jp/ph20180417/d002/mp-2858.html\n"
      "#  [3]: Cheng, Y. Q.; Kolesnikov, A. I.; Ramirez-Cuesta, A. J., \"Calculation\n"
      "#       of the Thermal Neutron Scattering Cross-Section of Solids Using OCLIMAX\".\n"
      "#       Journal of Chemical Theory and Computation 2020, 16 (8), 5212-5217.\n"
      "#\n"
      "# Due to the low symmetry, we increase the dcutoff value slightly to keep the\n"
      "# number of hkl families more manageable: NCRYSTALMATCFG[dcutoff=0.2]\n"
      "#\n"
      "@CELL\n"
      "  lengths 5.1462 5.2082 5.3155\n"
      "  angles 90 99.249 90\n"
      "@SPACEGROUP\n"
      "  14\n"
      "@ATOMPOSITIONS\n"
      "  Zr .2754 .0395 .2083\n"
      "  Zr .7246 .5395 .2917\n"
      "  Zr .7246 .9605 .7917\n"
      "  Zr .2754 .4605 .7083\n"
      "  O  .07   .3317 .3447\n"
      "  O  .93   .8317 .1553\n"
      "  O  .93   .6683 .6553\n"
      "  O  .07   .1683 .8447\n"
      "  O  .4496 .7569 .4792\n"
      "  O  .5504 .2569 .0208\n"
      "  O  .5504 .2431 .5208\n"
      "  O  .4496 .7431 .9792\n"
      "@DYNINFO\n"
      "  element  Zr\n"
      "  fraction 1/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00824972 .103496\n"
      "  vdos_density .103457 .129549 .165785 .194281 .248912 .284534 .399031 .575458\n"
      "    .66506 .635732 .70696 .790782 1 .908862 .892193 .949776 .897677 .955755\n"
      "    .867278 .799305 .649271 .590353 .548545 .497407 .478496 .507184 .470967\n"
      "    .601673 .56729 .592064 .501572 .437297 .471467 .405635 .444006 .528345\n"
      "    .529146 .612438 .812543 .859846 .701473 .483789 .319115 .237681 .197188\n"
      "    .195522 .199956 .162939 .135405 .133942 .130909 .127158 .118645 .104548\n"
      "    .0955548 .0903513 .0673783 .0546061 .0507533 .0521971 .0569106 .0580968\n"
      "    .0498606 .0499733 .0518189 .0539012 .0527418 .0426252 .0263403 .0252527\n"
      "    .0280542 .0254678 .0213244 .0203764 .0231056 .0253084 .0269242 .0265399\n"
      "    .0276015 .0262848 .0210926 .0174801 .015464 .0133997 .0117603 .0109245\n"
      "    .00949667 .00794505 .00715728 .00747656 .00951359 .0117292 .0119092 .0116778\n"
      "    .0125249 .0139573 .0137567 .0133885 .0141127 .0139637 .0135847 .0135249\n"
      "    .0117485 .00769708 .00455497 .00472253 .00847444 .0130322 .0164571 .0177456\n"
      "    .0175285 .0172953 .0171487 .0170487 .0160248 .0127945 .0082703 .00500473\n"
      "    .00355807 .00307544 .00274372 .00245415 .00224384 .00188931 .00152261\n"
      "    .00129153 .000935747 .000446726\n"
      "@DYNINFO\n"
      "  element  O\n"
      "  fraction 2/3\n"
      "  type     vdos\n"
      "  vdos_egrid .00974967 .103496\n"
      "  vdos_density .0545412 .0619225 .0759185 .0850705 .112445 .156365 .206944\n"
      "    .223171 .237332 .254761 .260477 .197441 .199727 .205712 .203716 .236479\n"
      "    .238435 .241682 .259503 .2855 .31867 .300798 .274005 .304188 .346475 .480181\n"
      "    .540684 .654149 .588218 .484084 .459303 .299698 .260397 .29939 .324775\n"
      "    .395522 .551226 .688032 .509623 .28627 .244959 .5398 .795428 .899073 1\n"
      "    .88082 .755632 .732686 .787106 .870654 .846421 .775357 .725504 .703751\n"
      "    .560023 .508268 .51558 .572046 .668473 .769153 .7337 .818831 .927138 .994164\n"
      "    .993625 .849314 .610675 .681097 .796684 .772966 .639574 .586755 .677082\n"
      "    .849099 .975466 .932167 .925814 .842159 .666284 .556955 .473366 .368454\n"
      "    .292485 .262692 .233312 .204614 .20127 .208087 .221203 .218758 .183791\n"
      "    .184529 .232754 .289137 .294858 .28923 .308698 .319808 .335549 .355277\n"
      "    .331447 .235967 .164486 .206952 .341753 .425383 .447637 .43598 .415628\n"
      "    .394188 .36794 .337393 .284399 .200478 .11012 .0548283 .033974 .0274363\n"
      "    .0234573 .0200772 .0176723 .014449 .0113224 .00936541 .00666737 .00314348\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("ZrO2_sg14_Zirconia.ncmat",textdata);
  }
  {
    // File Zr_sg194.ncmat
    const char * textdata =
      "NCMAT v4\n"
      "#\n"
      "# Zirconium (hcp)\n"
      "#\n"
      "# Crystal structure was converted from the cif file of the entry 0011201 in the AMCSD.\n"
      "# Additional reference: Wyckoff R W G, Crystal Structures, vol. 1, p. 7-83, 1963.\n"
      "#                       https://www.crystallography.net/cod/9008523.html\n"
      "#\n"
      "# The VDOS curve was extracted by T. Kittelmann using the engauge digitizer\n"
      "# software from Figure 1 of:\n"
      "#\n"
      "#   \"Effect of the variation of the electronic density of states of zirconium and\n"
      "#    tungsten on their respective thermal conductivity evolution with temperature\"\n"
      "#   Jean-Paul Crocombette et al 2015 J. Phys.: Condens. Matter 27 165501\n"
      "#   https://doi.org/10.1088/0953-8984/27/16/165501\n"
      "#\n"
      "@CELL\n"
      "  lengths 3.232 !! 5.147\n"
      "  angles 90 90 120\n"
      "@SPACEGROUP\n"
      "  194\n"
      "@ATOMPOSITIONS\n"
      "  Zr 1/3 2/3 1/4\n"
      "  Zr 2/3 1/3 3/4\n"
      "@DYNINFO\n"
      "  element  Zr\n"
      "  fraction 1\n"
      "  type     vdos\n"
      "  vdos_egrid .0018888421345886 .022902210881887\n"
      "  vdos_density .00580803 .00699617 .00673608 .00416859 .00354729 .00362673\n"
      "    .00450489 .00710242 .00970558 .00996095 .0104084 .011033 .0126313 .0150165\n"
      "    .0172456 .019314 .0210789 .0210557 .0197406 .0180921 .0163888 .0143851\n"
      "    .0123014 .00998849 .00884003 .00879537 .0107318 .0140536 .019036 .0230005\n"
      "    .0265534 .0292249 .0303077 .0292462 .0247515 .0193833 .0153172 .0133485\n"
      "    .0156425 .0187844 .0231609 .0271647 .0302139 .0328087 .0348181 .0364424\n"
      "    .0379672 .039688 .0414352 .044429 .0478959 .0498049 .0492414 .0470342\n"
      "    .0446157 .0427659 .0419047 .0427471 .0444864 .0472776 .0501909 .0534146\n"
      "    .0540577 .0531831 .0521805 .05084 .0493318 .0484803 .0509086 .0569028\n"
      "    .0639763 .0682031 .068871 .0660106 .0622962 .0596912 .0592903 .0603288\n"
      "    .0627987 .0658798 .0685178 .0697241 .0703695 .0727463 .0790771 .0968184\n"
      "    .113115 .124957 .127758 .122055 .110556 .0996503 .0954017 .0958222 .0984303\n"
      "    .0985671 .0982696 .0981045 .100929 .104909 .108726 .115628 .121804 .125481\n"
      "    .12687 .125839 .122386 .119039 .115573 .113868 .117997 .133552 .147816\n"
      "    .165521 .177716 .188421 .194453 .197305 .193718 .187683 .182099 .183173\n"
      "    .189289 .195179 .202414 .21045 .218308 .224897 .227976 .228711 .226566\n"
      "    .219427 .211762 .208102 .211443 .224432 .242393 .263302 .281325 .292609\n"
      "    .301068 .308877 .314338 .322721 .329456 .346892 .363873 .375891 .381396\n"
      "    .384346 .386425 .389664 .395931 .406427 .420399 .437229 .457655 .484352\n"
      "    .512755 .541288 .563169 .576575 .572144 .56488 .570284 .599935 .663796\n"
      "    .720607 .765635 .78989 .807288 .83767 .875204 .929759 .927105 .912959\n"
      "    .871193 .813548 .759869 .713165 .708796 .728073 .754341 .771276 .764967\n"
      "    .733441 .674178 .618218 .607003 .607395 .640065 .661562 .67982 .695986\n"
      "    .721588 .746366 .765061 .761083 .74531 .706098 .676575 .656939 .650975\n"
      "    .649836 .651191 .654853 .660397 .672543 .687551 .712527 .742315 .759301\n"
      "    .756364 .748446 .7264 .71521 .714059 .713121 .711415 .707343 .681262 .646836\n"
      "    .603239 .575081 .551671 .52552 .515934 .520437 .524916 .520023 .511656\n"
      "    .510493 .518587 .532605 .539476 .541203 .53496 .529079 .51375 .49134 .459665\n"
      "    .427226 .399867 .395046 .392774 .392078 .392698 .393876 .397295 .40659\n"
      "    .419055 .428605 .431295 .421825 .406305 .388817 .364669 .353362 .349955\n"
      "    .367592 .388811 .404349 .405807 .398091 .390883 .391361 .401539 .417827\n"
      "    .425372 .415352 .399884 .384165 .373929 .365394 .357565 .348323 .335086\n"
      "    .3241 .315111 .304702 .298184 .295539 .298036 .303408 .309785 .310462\n"
      "    .308415 .308323 .312885 .322326 .334832 .356606 .382442 .415024 .451277\n"
      "    .477698 .486236 .488053 .490273 .498539 .526486 .554176 .572218 .575891\n"
      "    .578697 .586213 .597965 .615529 .648221 .70698 .779849 .859885 .914359\n"
      "    .962748 .979679 .990444 1 .998659 .987706 .974908 .953319 .913369 .8662\n"
      "    .805871 .757883 .704897 .659215 .63038 .60789 .578812 .550989 .525887\n"
      "    .511623 .494841 .46662 .433422 .400712 .375473 .36041 .350005 .337785\n"
      "    .321476 .30235 .282184 .256947 .216511 .170844 .128736 .0960426 .0624465\n"
      "    .0365649 .0193463 .0114496 .00615589 .00277092 .000477786 0\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("Zr_sg194.ncmat",textdata);
  }
  {
    // File void.ncmat
    const char * textdata =
      "NCMAT v5\n"
      "#\n"
      "# Special void material with ~0 density and with vanishing cross sections.\n"
      "#\n"
      "# This is implemented redundantly using three different ways to disable\n"
      "# interactions below. Either of the first two methods would be enough to\n"
      "# completely disable interactions in NCrystal, and the last one should work even\n"
      "# if the material is converted for usage by other codes like Geant4 or OpenMC.\n"
      "#\n"
      "@ATOMDB\n"
      "   #Turn off physics on this modified hydrogen by putting cross sections to 0.\n"
      "   H 1.007975973752u 0fm 0b 0b\n"
      "@DYNINFO\n"
      "  #Also turn off physics by asking for \"sterile\" dynamics:\n"
      "  element H\n"
      "  fraction 1\n"
      "  type sterile\n"
      "@DENSITY\n"
      "  #And also turn it off by giving it a vanishing density (not strictly 0 since\n"
      "  #that might lead to zero division errors). This should also survive if the\n"
      "  #material is converted for usage with other codes.\n"
      "  1e-200 g_per_cm3\n";
    ::NCRYSTAL_NAMESPACE::internal::registerEmbeddedNCMAT("void.ncmat",textdata);
  }
}
